#
# spec file for package kernel-docs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define srcversion 5.14
%define patchversion 5.14.21
%define git_commit e8ae24af7cafe8f779000984f971d3f13668cbbf
%define variant %{nil}
%define build_html 1
%define build_pdf 0

%include %_sourcedir/kernel-spec-macros

%(chmod +x %_sourcedir/{guards,apply-patches,check-for-config-changes,group-source-files.pl,split-modules,modversions,kabi.pl,mkspec,compute-PATCHVERSION.sh,arch-symbols,log.sh,try-disable-staging-driver,compress-vmlinux.sh,mkspec-dtb,check-module-license,klp-symbols,splitflist,mergedep,moddep,modflist,kernel-subpackage-build})

Name:           kernel-docs
Version:        5.14.21
%if 0%{?is_kotd}
Release:        150500.55.59.1.ge8ae24a
%else
Release:        150500.55.59.1
%endif
Summary:        Kernel Documentation
License:        GPL-2.0-only
Group:          Documentation/Man
URL:            https://www.kernel.org/
%if 0%{?suse_version} > 1500 || 0%{?sle_version} > 150300
BuildRequires:  bash-sh
%endif
# TW (4.13 or later) no longer needs xmlto
%if 0%{?sle_version}
BuildRequires:  xmlto
%endif
%if %build_pdf || %build_html
# ReST handling
BuildRequires:  ImageMagick
BuildRequires:  graphviz
BuildRequires:  graphviz-gd
BuildRequires:  graphviz-gnome
%if ! 0%{?suse_version} || 0%{?suse_version} > 1500
BuildRequires:  python3-base
BuildRequires:  python3-PyYAML
BuildRequires:  python3-Sphinx
BuildRequires:  texlive-amscls
%else
%if 0%{?suse_version} && 0%{?suse_version} < 1500
BuildRequires:  python-packaging
BuildRequires:  python-six
BuildRequires:  python-Sphinx
%else
BuildRequires:  python3-base
BuildRequires:  python3-Sphinx < 3
%endif
%endif
BuildRequires:  texlive-anyfontsize
%if %build_pdf
%if 0%{?suse_version} && 0%{?suse_version} < 1500
BuildRequires:  python-Sphinx-latex
%else
BuildRequires:  python3-base
BuildRequires:  python3-Sphinx-latex
%endif
BuildRequires:  texlive-adjustbox
BuildRequires:  texlive-dejavu
BuildRequires:  texlive-dejavu-fonts
BuildRequires:  texlive-glyphlist
BuildRequires:  texlive-makeindex
BuildRequires:  texlive-varwidth
BuildRequires:  texlive-xetex
BuildRequires:  texlive-zapfding
%endif
%endif
%if ! 0%{?is_kotd} || ! %{?is_kotd_qa}%{!?is_kotd_qa:0}
BuildArch:      noarch
%else
ExclusiveArch:  do_not_build
%endif
Source0:        https://www.kernel.org/pub/linux/kernel/v5.x/linux-%srcversion.tar.xz
Source3:        kernel-source.rpmlintrc
Source14:       series.conf
Source16:       guards
Source17:       apply-patches
Source19:       kernel-binary-conflicts
Source20:       obsolete-kmps
Source21:       config.conf
Source23:       supported.conf
Source33:       check-for-config-changes
Source35:       group-source-files.pl
Source36:       README.PATCH-POLICY.SUSE
Source37:       README.SUSE
Source38:       README.KSYMS
Source40:       source-timestamp
Source46:       split-modules
Source47:       modversions
Source48:       macros.kernel-source
Source49:       kernel-module-subpackage
Source50:       kabi.pl
Source51:       mkspec
Source52:       kernel-source%variant.changes
Source53:       kernel-source.spec.in
Source54:       kernel-binary.spec.in
Source55:       kernel-syms.spec.in
Source56:       kernel-docs.spec.in
Source57:       kernel-cert-subpackage
Source58:       constraints.in
Source60:       config.sh
Source61:       compute-PATCHVERSION.sh
Source62:       old-flavors
Source63:       arch-symbols
Source64:       package-descriptions
Source65:       kernel-spec-macros
Source67:       log.sh
Source68:       host-memcpy-hack.h
Source69:       try-disable-staging-driver
Source70:       kernel-obs-build.spec.in
Source71:       kernel-obs-qa.spec.in
Source72:       compress-vmlinux.sh
Source73:       dtb.spec.in.in
Source74:       mkspec-dtb
Source75:       release-projects
Source76:       check-module-license
Source77:       klp-symbols
Source78:       modules.fips
Source79:       splitflist
Source80:       mergedep
Source81:       moddep
Source82:       modflist
Source83:       kernel-subpackage-build
Source84:       kernel-subpackage-spec
Source85:       kernel-default-base.spec.txt
Source86:       old_changelog.txt
Source100:      config.tar.bz2
Source101:      config.addon.tar.bz2
Source102:      patches.arch.tar.bz2
Source103:      patches.drivers.tar.bz2
Source104:      patches.fixes.tar.bz2
Source105:      patches.rpmify.tar.bz2
Source106:      patches.suse.tar.bz2
Source108:      patches.addon.tar.bz2
Source109:      patches.kernel.org.tar.bz2
Source110:      patches.apparmor.tar.bz2
Source111:      patches.rt.tar.bz2
Source113:      patches.kabi.tar.bz2
Source114:      patches.drm.tar.bz2
Source120:      kabi.tar.bz2
Source121:      sysctl.tar.bz2
# These files are found in the kernel-source package:
NoSource:       0
NoSource:       3
NoSource:       14
NoSource:       16
NoSource:       17
NoSource:       19
NoSource:       20
NoSource:       21
NoSource:       23
NoSource:       33
NoSource:       35
NoSource:       36
NoSource:       37
NoSource:       38
NoSource:       40
NoSource:       46
NoSource:       47
NoSource:       48
NoSource:       49
NoSource:       50
NoSource:       51
NoSource:       52
NoSource:       53
NoSource:       54
NoSource:       55
NoSource:       56
NoSource:       57
NoSource:       58
NoSource:       60
NoSource:       61
NoSource:       62
NoSource:       63
NoSource:       64
NoSource:       65
NoSource:       67
NoSource:       68
NoSource:       69
NoSource:       70
NoSource:       71
NoSource:       72
NoSource:       73
NoSource:       74
NoSource:       75
NoSource:       76
NoSource:       77
NoSource:       78
NoSource:       79
NoSource:       80
NoSource:       81
NoSource:       82
NoSource:       83
NoSource:       84
NoSource:       85
NoSource:       86
NoSource:       100
NoSource:       101
NoSource:       102
NoSource:       103
NoSource:       104
NoSource:       105
NoSource:       106
NoSource:       108
NoSource:       109
NoSource:       110
NoSource:       111
NoSource:       113
NoSource:       114
NoSource:       120
NoSource:       121
Provides:       %name = %version-%source_rel
Provides:       %name-srchash-%git_commit

%description
A few basic documents from the current kernel sources.

%source_timestamp

%files
%if 0%{?suse_version} && 0%{?suse_version} < 1500
%doc COPYING
%else
%license COPYING
%endif
%doc CREDITS MAINTAINERS README
%doc old_changelog.txt

%if %build_pdf
%package pdf
Summary:        Kernel Documentation (PDF)
Group:          Documentation/Other

%description pdf
These are PDF documents built from the current kernel sources.

%source_timestamp

%files pdf
%dir %{_datadir}/doc/kernel
%docdir %{_datadir}/doc/kernel/pdf
%{_datadir}/doc/kernel/pdf
%endif

%if %build_html
%package html
Summary:        Kernel Documentation (HTML)
Group:          Documentation/HTML

%description html
These are HTML documents built from the current kernel sources.

%source_timestamp

%files html
%dir %{_datadir}/doc/kernel
%docdir %{_datadir}/doc/kernel/html
%{_datadir}/doc/kernel/html
%endif

%prep
%setup -q -c -T -a 0 -a 100 -a 101 -a 102 -a 103 -a 104 -a 105 -a 106 -a 108 -a 109 -a 110 -a 111 -a 113 -a 114 -a 120 -a 121
cp -a linux-%srcversion/{COPYING,CREDITS,MAINTAINERS,README} .
cp %_sourcedir/old_changelog.txt .
cd linux-%srcversion
%_sourcedir/apply-patches %_sourcedir/series.conf %my_builddir %symbols

%build
cd linux-%srcversion
export LANG=en_US.utf8
%if %build_html
mkdir -p html
make %{?make_arg} O=$PWD/html \
%if ! 0%{?suse_version} || 0%{?suse_version} >= 1500
	     PYTHON=python3 \
%endif
	     htmldocs
%endif
%if %build_pdf
mkdir -p pdf
make %{?make_arg} O=$PWD/pdf \
%if ! 0%{?suse_version} || 0%{?suse_version} >= 1500
	     PYTHON=python3 \
%endif
	     pdfdocs
%endif

%install
cd linux-%srcversion
%if %build_html
install -d %{buildroot}%{_datadir}/doc/kernel/html/rst
cp -a html/Documentation/output/* %{buildroot}%{_datadir}/doc/kernel/html/rst || true
%endif

%if %build_pdf
install -d %{buildroot}%{_datadir}/doc/kernel/pdf
for i in pdf/Documentation/output/latex/*.pdf; do
    cp -a $i %{buildroot}%{_datadir}/doc/kernel/pdf
done
%endif

%changelog
* Thu Apr 18 2024 nik.borisov@suse.com
- Refresh patches.kabi/kabi-allow-extra-bugints.patch. (bsc#1222952)
- commit a04a1a9
* Tue Apr 16 2024 vbabka@suse.cz
- mm/vmalloc: huge vmalloc backing pages should be split rather
  than compound (bsc#1217829).
- commit 539be83
* Fri Apr 12 2024 nik.borisov@suse.com
- Refresh patches.kabi/kabi-allow-extra-bugints.patch.
  Properly check whether the feature we are patching in the alternatives
  is a feature or a bug. This was broken because in apply_alternative()
  boot_cpu_has is used and if we have an alternative that depends on a bug
  bit (such as X86_BUG_SYSRET_SS_ATTRS) the boot_cpu_has will erroneously
  check if this bit is set in the feature ints rather than the bug ints.
  While at it ensure that static_cpu_has isn't called with extended
  bugs features as those aren't supported right now.
- commit 793068f
* Fri Apr 12 2024 jslaby@suse.cz
- Refresh
  patches.kabi/PCI-Add-locking-to-RMW-PCI-Express-Capability-Regist.patch.
  Drop a bogus hunk. It was introduced by mistake.
  Fixes: acf0d9920aee
- commit 3a754ef
* Thu Apr 11 2024 mkoutny@suse.com
- blacklist.conf: Add f7ec1cd5cc7e getrusage: use sig->stats_lock rather than lock_task_sighand()
  and its prereqs
- commit 0650209
* Thu Apr 11 2024 mkoutny@suse.com
- blacklist.conf: Add d9b3ce8769e3 mm: writeback: ratelimit stat flush from mem_cgroup_wb_stats
- commit 3201b4c
* Thu Apr 11 2024 jslaby@suse.cz
- tty: n_gsm: require CAP_NET_ADMIN to attach N_GSM0710 ldisc
  (bsc#1222619).
- commit 3d3186c
* Wed Apr 10 2024 osalvador@suse.de
- mm,page_owner: Defer enablement of static branch (bsc#1222366).
- commit aa158b4
* Tue Apr  9 2024 osalvador@suse.de
- stackdepot: rename pool_index to pool_index_plus_1 (git-fixes).
- commit 4edf006
* Tue Apr  9 2024 nik.borisov@suse.com
- blacklist.conf: We don't have annotate_noendbr in this kernel
  So shut up the warning.
- commit f6d75ac
* Tue Apr  9 2024 nik.borisov@suse.com
- RAS: Avoid build errors when CONFIG_DEBUG_FS=n (git-fixes).
- commit eb744cd
* Tue Apr  9 2024 osalvador@suse.de
- fs,hugetlb: fix NULL pointer dereference in hugetlbs_fill_super
  (bsc#1219264 CVE-2024-0841).
- commit fe3c052
* Tue Apr  9 2024 osalvador@suse.de
- fs,hugetlb: fix NULL pointer dereference in hugetlbs_fill_super
  (bsc#1219264 CVE-2024-0841).
- commit aa8204a
* Mon Apr  8 2024 jack@suse.cz
- nfsd: Fix error cleanup path in nfsd_rename() (bsc#1221044
  CVE-2023-52591).
- commit a849be1
* Mon Apr  8 2024 ohering@suse.de
- net: mana: Fix Rx DMA datasize and skb_over_panic (git-fixes).
- RDMA/mana_ib: Fix bug in creation of dma regions (git-fixes).
- Drivers: hv: vmbus: Calculate ring buffer size for more
  efficient use of memory (git-fixes).
- hv_netvsc: Register VF in netvsc_probe if NET_DEVICE_REGISTER
  missed (git-fixes).
- hv_netvsc: Fix race condition between netvsc_probe and
  netvsc_remove (git-fixes).
- scsi: storvsc: Fix ring buffer size calculation (git-fixes).
- hv_netvsc: Calculate correct ring size when PAGE_SIZE is not
  4 Kbytes (git-fixes).
- commit 82617ea
* Mon Apr  8 2024 iivanov@suse.de
- arm64: dts: broadcom: bcmbca: bcm4908: drop invalid switch cells (git-fixes)
- commit 22061fc
* Mon Apr  8 2024 iivanov@suse.de
- arm64: dts: marvell: reorder crypto interrupts on Armada SoCs (git-fixes)
- commit a61527a
* Mon Apr  8 2024 iivanov@suse.de
- blacklist.conf: ("arm64: dts: imx8mm-kontron: Use the VSELECT signal to switch SD card")
- commit 4b90502
* Mon Apr  8 2024 iivanov@suse.de
- arm64: dts: imx8mm-kontron: Add support for ultra high speed modes on (git-fixes)
- commit b828266
* Mon Apr  8 2024 jslaby@suse.cz
- blacklist.conf: add a couple of PCI git-fixes
- commit 37743ca
* Sat Apr  6 2024 tiwai@suse.de
- ata: sata_mv: Fix PCI device ID table declaration compilation
  warning (git-fixes).
- ata: sata_sx4: fix pdc20621_get_from_dimm() on 64-bit
  (git-fixes).
- ASoC: amd: acp: fix for acp_init function error handling
  (git-fixes).
- ASoC: rt711-sdw: fix locking sequence (git-fixes).
- ASoC: rt711-sdca: fix locking sequence (git-fixes).
- ASoC: rt5682-sdw: fix locking sequence (git-fixes).
- ASoC: ops: Fix wraparound for mask in snd_soc_get_volsw
  (git-fixes).
- ALSA: hda/realtek: Update Panasonic CF-SZ6 quirk to support
  headset with microphone (git-fixes).
- drm/i915/gt: Do not generate the command streamer for all the
  CCS (git-fixes).
- drm/display: fix typo (git-fixes).
- drm/panfrost: fix power transition timeout warnings (git-fixes).
- commit 56ef24f
* Fri Apr  5 2024 lduncan@suse.com
- scsi: pm80xx: Avoid leaking tags when processing
  OPC_INB_SET_CONTROLLER_CONFIG command (bsc#1220883
  cve-2023-52500).
- commit fc88013
* Fri Apr  5 2024 nik.borisov@suse.com
- KVM: x86: Add BHI_NO (bsc#1217339 CVE-2024-2201).
- commit c0e1ffe
* Fri Apr  5 2024 mfranc@suse.cz
- Update
  patches.suse/ALSA-sh-aica-reorder-cleanup-operations-to-avoid-UAF.patch
  (git-fixes CVE-2024-26654 bsc#1222304).
- Update
  patches.suse/HID-i2c-hid-of-fix-NULL-deref-on-failed-power-up.patch
  (git-fixes CVE-2024-26717 bsc#1222360).
- Update
  patches.suse/arm64-entry-fix-ARM64_WORKAROUND_SPECULATIVE_UNPRIV_LOAD.patch
  (bsc#1219443 CVE-2024-26670 bsc#1222356).
- Update
  patches.suse/crypto-ccp-Fix-null-pointer-dereference-in-__sev_pla.patch
  (git-fixes CVE-2024-26695 bsc#1222373).
- Update
  patches.suse/drm-msm-dpu-check-for-valid-hw_pp-in-dpu_encoder_hel.patch
  (git-fixes CVE-2024-26667 bsc#1222331).
- Update
  patches.suse/hwmon-coretemp-Fix-out-of-bounds-memory-access.patch
  (git-fixes CVE-2024-26664 bsc#1222355).
- Update patches.suse/nfsd-fix-RELEASE_LOCKOWNER.patch
  (bsc#1218968 CVE-2024-26629 bsc#1221379).
- Update
  patches.suse/pwm-Fix-out-of-bounds-access-in-of_pwm_single_xlate.patch
  (git-fixes CVE-2024-26599 bsc#1220365).
- Update
  patches.suse/sched-membarrier-reduce-the-ability-to-hammer-on-sys.patch
  (git-fixes bsc1220398 CVE-2024-26602 bsc#1220398).
- Update
  patches.suse/scsi-core-Move-scsi_host_busy-out-of-host-lock-for-waking-up-EH-handler.patch
  (git-fixes CVE-2024-26627 bsc#1221090).
- Update
  patches.suse/sr9800-Add-check-for-usbnet_get_endpoints.patch
  (git-fixes CVE-2024-26651 bsc#1221337).
- Update
  patches.suse/tracing-Ensure-visibility-when-inserting-an-element-into-tracing_map.patch
  (git-fixes CVE-2024-26645 bsc#1222056).
- Update
  patches.suse/xhci-handle-isoc-Babble-and-Buffer-Overrun-events-pr.patch
  (git-fixes CVE-2024-26659 bsc#1222317).
- commit bd16cf6
* Fri Apr  5 2024 mfranc@suse.cz
- Update
  patches.suse/Bluetooth-hci_codec-Fix-leaking-content-of-local_cod.patch
  (git-fixes CVE-2023-52518 bsc#1221056).
- Update
  patches.suse/FS-JFS-UBSAN-array-index-out-of-bounds-in-dbAdjTree.patch
  (git-fixes CVE-2023-52604 bsc#1221067).
- Update patches.suse/IB-ipoib-Fix-mcast-list-locking.patch
  (git-fixes CVE-2023-52587 bsc#1221082).
- Update
  patches.suse/KVM-s390-vsie-fix-race-during-shadow-creation.patch
  (git-fixes bsc#1220393 CVE-2023-52639 bsc#1222300).
- Update
  patches.suse/PCI-switchtec-Fix-stdev_release-crash-after-surprise.patch
  (git-fixes CVE-2023-52617 bsc#1221613).
- Update
  patches.suse/SUNRPC-Fix-a-suspicious-RCU-usage-warning.patch
  (git-fixes CVE-2023-52623 bsc#1222060).
- Update
  patches.suse/UBSAN-array-index-out-of-bounds-in-dtSplitRoot.patch
  (git-fixes CVE-2023-52603 bsc#1221066).
- Update
  patches.suse/bus-mhi-host-Add-alignment-check-for-event-ring-read.patch
  (git-fixes CVE-2023-52494 bsc#1221273).
- Update
  patches.suse/bus-mhi-host-Drop-chan-lock-before-queuing-buffers.patch
  (git-fixes CVE-2023-52493 bsc#1221274).
- Update
  patches.suse/can-j1939-Fix-UAF-in-j1939_sk_match_filter-during-se.patch
  (git-fixes CVE-2023-52637 bsc#1222291).
- Update
  patches.suse/crypto-scomp-fix-req-dst-buffer-overflow.patch
  (git-fixes CVE-2023-52612 bsc#1221616).
- Update
  patches.suse/drm-Don-t-unref-the-same-fb-many-times-by-mistake-du.patch
  (git-fixes CVE-2023-52486 bsc#1221277).
- Update
  patches.suse/drm-amdkfd-Fix-lock-dependency-warning-with-srcu.patch
  (git-fixes CVE-2023-52632 bsc#1222274).
- Update
  patches.suse/drm-meson-fix-memory-leak-on-hpd_notify-callback.patch
  (git-fixes CVE-2023-52563 bsc#1220937).
- Update
  patches.suse/hwrng-core-Fix-page-fault-dead-lock-on-mmap-ed-hwrng.patch
  (git-fixes CVE-2023-52615 bsc#1221614).
- Update
  patches.suse/iommu-arm-smmu-v3-Fix-soft-lockup-triggered-by-arm_smmu_mm_invalidate_range.patch
  (bsc#1215921 CVE-2023-52484 bsc#1220797).
- Update
  patches.suse/jfs-fix-array-index-out-of-bounds-in-dbAdjTree.patch
  (git-fixes CVE-2023-52601 bsc#1221068).
- Update
  patches.suse/jfs-fix-array-index-out-of-bounds-in-diNewExt.patch
  (git-fixes CVE-2023-52599 bsc#1221062).
- Update
  patches.suse/jfs-fix-slab-out-of-bounds-Read-in-dtSearch.patch
  (git-fixes CVE-2023-52602 bsc#1221070).
- Update patches.suse/jfs-fix-uaf-in-jfs_evict_inode.patch
  (git-fixes CVE-2023-52600 bsc#1221071).
- Update
  patches.suse/perf-x86-intel-uncore-Fix-NULL-pointer-dereference-issue-in-upi_fill_topology.patch
  (bsc#1218958 CVE-2023-52450 bsc#1220237).
- Update
  patches.suse/pstore-ram-Fix-crash-when-setting-number-of-cpus-to-.patch
  (git-fixes CVE-2023-52619 bsc#1221618).
- Update
  patches.suse/scsi-pm80xx-Avoid-leaking-tags-when-processing-OPC_INB_SET_CONTROLLER_CONFIG-command.patch
  (git-fixes CVE-2023-52500 bsc#1220883).
- Update
  patches.suse/wifi-ath9k-Fix-potential-array-index-out-of-bounds-r.patch
  (git-fixes CVE-2023-52594 bsc#1221045).
- Update
  patches.suse/wifi-rt2x00-restart-beacon-queue-when-hardware-reset.patch
  (git-fixes CVE-2023-52595 bsc#1221046).
- commit b1046c1
* Fri Apr  5 2024 mfranc@suse.cz
- Update
  patches.suse/netfilter-nftables-exthdr-fix-4-byte-stack-OOB-write.patch
  (CVE-2023-4881 bsc#1215221 CVE-2023-52628 bsc#1222117).
- commit fd3aabc
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: Fix printing of stack records (bsc#1222366).
- commit a7b445d
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: Fix accounting of pages when migrating
  (bsc#1222366).
- commit 37b3731
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: Fix refcount imbalance (bsc#1222366).
- commit 4dc29b0
* Fri Apr  5 2024 vkarasulli@suse.de
- iommu/mediatek: Fix forever loop in error handling (git-fixes).
- commit 21d467e
* Fri Apr  5 2024 jack@suse.cz
- selinux: saner handling of policy reloads (bsc#1222230 bsc#1221044
  CVE-2023-52591).
- commit 66a189d
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: Update metadata for tail pages (bsc#1222366).
- commit b2b2b31
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: fix recursion (bsc#1222366).
- commit 4517a6d
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: drop unnecessary check (bsc#1222366).
- commit 0c42427
* Fri Apr  5 2024 osalvador@suse.de
- mm,page_owner: check for null stack_record before bumping its
  refcount (bsc#1222366).
- commit 81f3531
* Fri Apr  5 2024 osalvador@suse.de
- Update patches metadata
- commit f6df04d
* Fri Apr  5 2024 nik.borisov@suse.com
- x86/bhi: Mitigate KVM by default (bsc#1217339 CVE-2024-2201).
- commit e8a52ff
* Fri Apr  5 2024 nik.borisov@suse.com
- x86/bhi: Add BHI mitigation knob (bsc#1217339 CVE-2024-2201).
- Update config files.
- commit 66b3207
* Fri Apr  5 2024 nik.borisov@suse.com
- x86/bhi: Enumerate Branch History Injection (BHI) bug (bsc#1217339 CVE-2024-2201).
- commit 797a250
* Fri Apr  5 2024 nik.borisov@suse.com
- KVM: x86: Advertise CPUID.(EAX=7,ECX=2):EDX[5:0] to userspace  (bsc#1217339 CVE-2024-2201).
- Refresh patches.suse/x86-bhi-Define-SPEC_CTRL_BHI_DIS_S.patch.
- commit d9a50a1
* Fri Apr  5 2024 nik.borisov@suse.com
- x86/bhi: Define SPEC_CTRL_BHI_DIS_S (bsc#1217339 CVE-2024-2201).
- commit c5355fd
* Fri Apr  5 2024 nik.borisov@suse.com
- Refresh patches.kabi/kabi-allow-extra-bugints.patch.
  Extend existing functionality to allow adding extra feature words in
  addition to extra bug words. This code is adjusted from SLE12-SP5 patch.
- commit 44177f4
* Fri Apr  5 2024 nik.borisov@suse.com
- x86/bhi: Add support for clearing branch history at syscall entry (bsc#1217339 CVE-2024-2201).
- commit 7297553
* Fri Apr  5 2024 nik.borisov@suse.com
- x86/cpufeature: Add missing leaf enumeration (bsc#1217339 CVE-2024-2201).
- commit 72a3a61
* Thu Apr  4 2024 tiwai@suse.de
- vboxsf: Avoid an spurious warning if load_nls_xxx() fails
  (git-fixes).
- drm/i915/bios: Tolerate devdata==NULL in
  intel_bios_encoder_supports_dp_dual_mode() (stable-fixes).
- drm/amdkfd: fix TLB flush after unmap for GFX9.4.2
  (stable-fixes).
- drm/amd/display: Return the correct HDCP error code
  (stable-fixes).
- drm/amdgpu: amdgpu_ttm_gart_bind set gtt bound flag
  (stable-fixes).
- drm/exynos: do not return negative values from .get_modes()
  (stable-fixes).
- drm/panel: do not return negative error codes from
  drm_panel_get_modes() (stable-fixes).
- drm/probe-helper: warn about negative .get_modes()
  (stable-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP EliteBook
  (stable-fixes).
- ALSA: hda/realtek - Add Headset Mic supported Acer NB platform
  (stable-fixes).
- drm/amdgpu/pm: Fix the error of pwm1_enable setting
  (stable-fixes).
- drm/amd/display: handle range offsets in VRR ranges
  (stable-fixes).
- commit 9310237
* Wed Apr  3 2024 shung-hsi.yu@suse.com
- bpf, sockmap: Prevent lock inversion deadlock in map delete elem
  (bsc#1209657 CVE-2023-0160).
- blacklist.conf: omit previous incomplete sockmap fix
- bpf, sockmap: Fix preempt_rt splat when using raw_spin_lock_t
  (git-fixes).
- commit 9a86a18
* Wed Apr  3 2024 nik.borisov@suse.com
- x86/bugs: Fix the SRSO mitigation on Zen3/4 (git-fixes).
- commit f738a42
* Wed Apr  3 2024 shung-hsi.yu@suse.com
- bpf, sockmap: Prevent lock inversion deadlock in map delete elem
  (bsc#1209657 CVE-2023-0160).
- commit 989b8c6
* Wed Apr  3 2024 shung-hsi.yu@suse.com
- blacklist.conf: omit reverted sockmap deadlock fix
- commit 397323e
* Tue Apr  2 2024 mkubecek@suse.cz
- netfilter: nf_tables: disallow anonymous set with timeout flag
  (CVE-2024-26642 bsc#1221830).
- commit 02a907f
* Tue Apr  2 2024 mkubecek@suse.cz
- netfilter: ctnetlink: fix possible refcount leak in
  ctnetlink_create_conntrack() (CVE-2023-7192 bsc#1218479).
- commit 0b47032
* Sun Mar 31 2024 tiwai@suse.de
- usb: typec: ucsi: Check for notifications after init
  (git-fixes).
- usb: typec: ucsi: Clear EVENT_PENDING under PPM lock
  (git-fixes).
- usb: typec: Return size of buffer if pd_set operation succeeds
  (git-fixes).
- usb: dwc3: Properly set system wakeup (git-fixes).
- usb: cdc-wdm: close race between read and workqueue (git-fixes).
- usb: dwc2: gadget: LPM flow fix (git-fixes).
- usb: dwc2: gadget: Fix exiting from clock gating (git-fixes).
- usb: dwc2: host: Fix ISOC flow in DDMA mode (git-fixes).
- usb: dwc2: host: Fix remote wakeup from hibernation (git-fixes).
- usb: dwc2: host: Fix hibernation flow (git-fixes).
- USB: core: Fix deadlock in usb_deauthorize_interface()
  (git-fixes).
- staging: vc04_services: fix information leak in
  create_component() (git-fixes).
- commit 74f6b3e
* Sat Mar 30 2024 tiwai@suse.de
- drm/i915/gt: Reset queue_priority_hint on parking (git-fixes).
- drm/qxl: remove unused variable from
  `qxl_process_single_command()` (git-fixes).
- drm/qxl: remove unused `count` variable from
  `qxl_surface_id_alloc()` (git-fixes).
- drm/vmwgfx: Create debugfs ttm_resource_manager entry only if
  needed (git-fixes).
- nouveau/dmem: handle kcalloc() allocation failure (git-fixes).
- ACPICA: debugger: check status of acpi_evaluate_object()
  in acpi_db_walk_for_fields() (git-fixes).
- commit 22f136e
* Fri Mar 29 2024 mkoutny@suse.com
- README.BRANCH: Remove copy of branch name
- commit 4834fba
* Fri Mar 29 2024 mkoutny@suse.com
- README.BRANCH: Remove copy of branch name
- commit 9b22290
* Fri Mar 29 2024 tiwai@suse.de
- thermal: intel: hfi: Add syscore callbacks for system-wide PM
  (CVE-2024-26646 bsc#1222070).
- thermal: intel: hfi: Disable an HFI instance when all its CPUs
  go offline (CVE-2024-26646 bsc#1222070).
- thermal: intel: hfi: Enable an HFI instance from its first
  online CPU (CVE-2024-26646 bsc#1222070).
- thermal: intel: hfi: Refactor enabling code into helper
  functions (CVE-2024-26646 bsc#1222070).
- commit 8d3563b
* Fri Mar 29 2024 tiwai@suse.de
- ASoC: meson: t9015: fix function pointer type mismatch
  (git-fixes).
- drm/tegra: hdmi: Fix some error handling paths in
  tegra_hdmi_probe() (git-fixes).
- drm/tegra: dsi: Fix some error handling paths in
  tegra_dsi_probe() (git-fixes).
- net/x25: fix incorrect parameter validation in the
  x25_getsockopt() function (git-fixes).
- Bluetooth: hci_core: Fix possible buffer overflow (git-fixes).
- sr9800: Add check for usbnet_get_endpoints (git-fixes).
- wifi: wilc1000: fix RCU usage in connect path (git-fixes).
- wifi: wilc1000: fix declarations ordering (stable-fixes).
- lib/cmdline: Fix an invalid format specifier in an assertion
  msg (git-fixes).
- Input: gpio_keys_polled - suppress deferred probe error for gpio
  (stable-fixes).
- firewire: core: use long bus reset on gap count error
  (stable-fixes).
- drm/amdgpu: Enable gpu reset for S3 abort cases on Raven series
  (stable-fixes).
- Bluetooth: rfcomm: Fix null-ptr-deref in rfcomm_check_security
  (stable-fixes).
- HID: multitouch: Add required quirk for Synaptics 0xcddc device
  (stable-fixes).
- drm/tegra: hdmi: Convert to devm_platform_ioremap_resource()
  (stable-fixes).
- drm/tegra: dsi: Make use of the helper function dev_err_probe()
  (stable-fixes).
- commit 2335ed9
* Fri Mar 29 2024 tiwai@suse.de
- ACPI: resource: Add Infinity laptops to
  irq1_edge_low_force_override (stable-fixes).
- Refresh
  patches.suse/ACPI-resource-Add-MAIBENBEN-X577-to-irq1_edge_low_fo.patch.
- commit a322c3a
* Fri Mar 29 2024 tiwai@suse.de
- ASoC: meson: aiu: fix function pointer type mismatch
  (git-fixes).
- ALSA: hda/realtek: fix ALC285 issues on HP Envy x360 laptops
  (stable-fixes).
- ACPI: resource: Do IRQ override on Lunnen Ground laptops
  (stable-fixes).
- ASoC: wm8962: Fix up incorrect error message in wm8962_set_fll
  (stable-fixes).
- ASoC: wm8962: Enable both SPKOUTR_ENA and SPKOUTL_ENA in mono
  mode (stable-fixes).
- ASoC: wm8962: Enable oscillator if selecting WM8962_FLL_OSC
  (stable-fixes).
- ASoC: Intel: bytcr_rt5640: Add an extra entry for the Chuwi
  Vi8 tablet (stable-fixes).
- ASoC: rt5645: Make LattePanda board DMI match more precise
  (stable-fixes).
- ASoC: meson: Use dev_err_probe() helper (stable-fixes).
- commit 8f94a4d
* Fri Mar 29 2024 tiwai@suse.de
- mmc: core: Avoid negative index with array access (git-fixes).
- mmc: core: Initialize mmc_blk_ioc_data (git-fixes).
- ALSA: aoa: avoid false-positive format truncation warning
  (git-fixes).
- ALSA: sh: aica: reorder cleanup operations to avoid UAF bugs
  (git-fixes).
- wifi: iwlwifi: fw: don't always use FW dump trig (git-fixes).
- wifi: iwlwifi: mvm: rfi: fix potential response leaks
  (git-fixes).
- net: ll_temac: platform_get_resource replaced by wrong function
  (git-fixes).
- nfc: nci: Fix uninit-value in nci_dev_up and nci_ntf_packet
  (git-fixes).
- ALSA: hda/realtek - ALC285 reduce pop noise from Headphone port
  (stable-fixes).
- commit a43d7a1
* Thu Mar 28 2024 tbogendoerfer@suse.de
- ipv6: init the accept_queue's spinlocks in inet6_create
  (bsc#1221293 CVE-2024-26614).
- commit 0ab8c0f
* Thu Mar 28 2024 tbogendoerfer@suse.de
- net/bnx2x: Prevent access to a freed page in page_pool
  (bsc#1215322).
- commit 6d39ac9
* Thu Mar 28 2024 tbogendoerfer@suse.de
- tcp: make sure init the accept_queue's spinlocks once
  (bsc#1221293 CVE-2024-26614).
- commit 943f002
* Thu Mar 28 2024 msuchanek@suse.de
- powerpc/boot: Disable power10 features after BOOTAFLAGS
  assignment (bsc#1194869).
- commit 17f8de7
* Thu Mar 28 2024 msuchanek@suse.de
- powerpc/boot: Fix boot wrapper code generation with
  CONFIG_POWER10_CPU (bsc#1194869).
- commit 9b67460
* Thu Mar 28 2024 msuchanek@suse.de
- powerpc/lib: Validate size for vector operations (bsc#1194869 CVE-2023-52606 bsc#1221069).
- powerpc/mm: Fix null-pointer dereference in pgtable_cache_add
  (CVE-2023-52607 bsc#1221061).
- powerpc: add compile-time support for lbarx, lharx
  (bsc#1194869).
- Update config files.
- powerpc/64s: POWER10 CPU Kconfig build option (bsc#1194869).
- Update config files.
- powerpc/sstep: Use bitwise instead of arithmetic operator for
  flags (bsc#1194869).
- powerpc/lib/sstep: use truncate_if_32bit() (bsc#1194869).
- powerpc/lib/sstep: Remove unneeded #ifdef __powerpc64__
  (bsc#1194869).
- powerpc/lib/sstep: Use l1_dcache_bytes() instead of opencoding
  (bsc#1194869).
- powerpc/lib/sstep: Don't use __{get/put}_user() on kernel
  addresses (bsc#1194869).
- commit b17389a
* Thu Mar 28 2024 nmorey@suse.com
- RDMA/mlx5: Relax DEVX access upon modify commands (git-fixes)
- commit 9423a91
* Thu Mar 28 2024 nmorey@suse.com
- RDMA/mlx5: Fix fortify source warning while accessing Eth segment (git-fixes)
- commit 16e4eca
* Wed Mar 27 2024 pjakobsson@suse.de
- Revert "fbdev: flush deferred IO before closing (git-fixes)." (bsc#1221814)
  This reverts commit 81476d7e609a6d383f3d404542eebc93cebd0a4d.
  This fixes bsc#1221814
- commit bc3a73c
* Wed Mar 27 2024 mkoutny@suse.com
- Update
  patches.suse/HID-intel-ish-hid-ipc-Disable-and-reenable-ACPI-GPE-.patch
  (git-fixes CVE-2023-52519 bsc#1220920).
- Update
  patches.suse/HID-sony-Fix-a-potential-memory-leak-in-sony_probe.patch
  (git-fixes CVE-2023-52529 bsc#1220929).
- Update
  patches.suse/IB-hfi1-Fix-bugs-with-non-PAGE_SIZE-end-multi-iovec-.patch
  (git-fixes CVE-2023-52474 bsc#1220445).
- Update
  patches.suse/RDMA-siw-Fix-connection-failure-handling.patch
  (git-fixes CVE-2023-52513 bsc#1221022).
- Update
  patches.suse/RDMA-srp-Do-not-call-scsi_done-from-srp_abort.patch
  (git-fixes CVE-2023-52515 bsc#1221048).
- Update
  patches.suse/Revert-tty-n_gsm-fix-UAF-in-gsm_cleanup_mux.patch
  (git-fixes CVE-2023-52564 bsc#1220938).
- Update
  patches.suse/bpf-Check-rcu_read_lock_trace_held-before-calling-bp.patch
  (bsc#1220251 CVE-2023-52447 CVE-2023-52621 bsc#1222073).
- Update
  patches.suse/ieee802154-ca8210-Fix-a-potential-UAF-in-ca8210_prob.patch
  (git-fixes CVE-2023-52510 bsc#1220898).
- Update
  patches.suse/net-nfc-llcp-Add-lock-when-modifying-device-list.patch
  (git-fixes CVE-2023-52524 bsc#1220927).
- Update
  patches.suse/net-usb-smsc75xx-Fix-uninit-value-access-in-__smsc75.patch
  (git-fixes CVE-2023-52528 bsc#1220843).
- Update
  patches.suse/nfc-nci-assert-requested-protocol-is-valid.patch
  (git-fixes CVE-2023-52507 bsc#1220833).
- Update
  patches.suse/nilfs2-fix-potential-use-after-free-in-nilfs_gccache.patch
  (git-fixes CVE-2023-52566 bsc#1220940).
- Update
  patches.suse/nvme-fc-Prevent-null-pointer-dereference-in-nvme_fc_.patch
  (bsc#1214842 CVE-2023-52508 bsc#1221015).
- Update
  patches.suse/nvmet-tcp-Fix-a-kernel-panic-when-host-sends-an-inva.patch
  (bsc#1217987 bsc#1217988 bsc#1217989 CVE-2023-6535 CVE-2023-6536
  CVE-2023-6356 CVE-2023-52454 bsc#1220320).
- Update
  patches.suse/platform-x86-think-lmi-Fix-reference-leak.patch
  (git-fixes CVE-2023-52520 bsc#1220921).
- Update
  patches.suse/ravb-Fix-use-after-free-issue-in-ravb_tx_timeout_wor.patch
  (bsc#1212514 CVE-2023-35827 CVE-2023-52509 bsc#1220836).
- Update
  patches.suse/ring-buffer-Do-not-attempt-to-read-past-commit.patch
  (git-fixes CVE-2023-52501 bsc#1220885).
- Update
  patches.suse/serial-8250_port-Check-IRQ-data-before-use.patch
  (git-fixes CVE-2023-52567 bsc#1220839).
- Update
  patches.suse/spi-sun6i-fix-race-between-DMA-RX-transfer-completio.patch
  (git-fixes CVE-2023-52517 bsc#1221055).
- Update
  patches.suse/spi-sun6i-reduce-DMA-RX-transfer-width-to-single-byt.patch
  (git-fixes CVE-2023-52511 bsc#1221012).
- Update
  patches.suse/wifi-mwifiex-Fix-oob-check-condition-in-mwifiex_proc.patch
  (git-fixes CVE-2023-52525 bsc#1220840).
- Update
  patches.suse/x86-alternatives-disable-kasan-in-apply_alternatives.patch
  (git-fixes CVE-2023-52504 bsc#1221553).
- Update
  patches.suse/x86-srso-fix-sbpb-enablement-for-spec_rstack_overflow-off.patch
  (git-fixes CVE-2023-52575 bsc#1220871).
- commit 5f353b0
* Wed Mar 27 2024 mkoutny@suse.com
- Update patches.suse/0001-mmc-moxart_remove-Fix-UAF.patch
  (bsc#1194516 CVE-2022-0487 CVE-2022-48626 bsc#1220366).
- Update
  patches.suse/crypto-qcom-rng-ensure-buffer-for-generate-is-comple.patch
  (git-fixes CVE-2022-48629 bsc#1220989).
- Update
  patches.suse/crypto-qcom-rng-fix-infinite-loop-on-requests-not-mu.patch
  (git-fixes CVE-2022-48630 bsc#1220990).
- commit f8cf886
* Wed Mar 27 2024 mkoutny@suse.com
- Update
  patches.suse/ALSA-hda-intel-sdw-acpi-harden-detection-of-controll.patch
  (git-fixes CVE-2021-46926 bsc#1220478).
- Update
  patches.suse/ALSA-rawmidi-fix-the-uninitalized-user_pversion.patch
  (git-fixes CVE-2021-47096 bsc#1220981).
- Update
  patches.suse/IB-qib-Fix-memory-leak-in-qib_user_sdma_queue_pkts.patch
  (git-fixes CVE-2021-47104 bsc#1220960).
- Update
  patches.suse/Input-elantech-fix-stack-out-of-bound-access-in-elan.patch
  (git-fixes CVE-2021-47097 bsc#1220982).
- Update
  patches.suse/KVM-x86-mmu-Don-t-advance-iterator-after-restart-due.patch
  (git-fixes CVE-2021-47094 bsc#1221551).
- Update patches.suse/NFSD-Fix-READDIR-buffer-overflow.patch
  (git-fixes bsc#1196346 CVE-2021-47107 bsc#1220965).
- Update
  patches.suse/asix-fix-uninit-value-in-asix_mdio_read.patch
  (git-fixes CVE-2021-47101 bsc#1220987).
- Update
  patches.suse/drm-mediatek-hdmi-Perform-NULL-pointer-check-for-mtk.patch
  (git-fixes CVE-2021-47108 bsc#1220986).
- Update
  patches.suse/hwmon-lm90-Prevent-integer-overflow-underflow-in-hys.patch
  (git-fixes CVE-2021-47098 bsc#1220983).
- Update
  patches.suse/ipmi-Fix-UAF-when-uninstall-ipmi_si-and-ipmi_msghand.patch
  (git-fixes CVE-2021-47100 bsc#1220985).
- Update
  patches.suse/ipmi-ssif-initialize-ssif_info-client-early.patch
  (bsc#1193490 CVE-2021-47095 bsc#1220979).
- Update
  patches.suse/mac80211-fix-locking-in-ieee80211_start_ap-error-pat.patch
  (git-fixes CVE-2021-47091 bsc#1220959).
- Update
  patches.suse/net-fix-use-after-free-in-tw_timer_handler.patch
  (bsc#1217195 CVE-2021-46936 bsc#1220439).
- Update
  patches.suse/net-marvell-prestera-fix-incorrect-structure-access.patch
  (git-fixes CVE-2021-47102 bsc#1221009).
- Update
  patches.suse/net-smc-fix-kernel-panic-caused-by-race-of-smc_sock
  (git-fixes CVE-2021-46925 bsc#1220466).
- Update
  patches.suse/nitro_enclaves-Use-get_user_pages_unlocked-call-to-handle-mmap-assert.patch
  (git fixes (mm/gup) CVE-2021-46927 bsc#1220443).
- Update
  patches.suse/platform-x86-intel_pmc_core-fix-memleak-on-registrat.patch
  (git-fixes CVE-2021-47093 bsc#1220978).
- Update patches.suse/sctp-use-call_rcu-to-free-endpoint.patch
  (CVE-2022-20154 bsc#1200599 CVE-2021-46929 bsc#1220482).
- Update patches.suse/tee-optee-Fix-incorrect-page-free-bug.patch
  (jsc#SLE-21844 CVE-2021-47087 bsc#1220954).
- Update
  patches.suse/tun-avoid-double-free-in-tun_free_netdev.patch
  (bsc#1209635 CVE-2022-4744 git-fixes CVE-2021-47082
  bsc#1220969).
- Update
  patches.suse/usb-gadget-f_fs-Clear-ffs_eventfd-in-ffs_data_clear.patch
  (git-fixes CVE-2021-46933 bsc#1220487).
- Update patches.suse/usb-mtu3-fix-list_head-check-warning.patch
  (git-fixes CVE-2021-46930 bsc#1220484).
- Update
  patches.suse/veth-ensure-skb-entering-GRO-are-not-cloned.patch
  (git-fixes CVE-2021-47099 bsc#1220955).
- commit b15f74e
* Wed Mar 27 2024 nik.borisov@suse.com
- RAS/AMD/FMPM: Fix build when debugfs is not enabled (jsc#PED-7619).
- commit 1bac2ee
* Wed Mar 27 2024 nik.borisov@suse.com
- RAS/AMD/FMPM: Safely handle saved records of various sizes (jsc#PED-7619).
- commit 0a6b09b
* Wed Mar 27 2024 nik.borisov@suse.com
- RAS/AMD/FMPM: Avoid NULL ptr deref in get_saved_records() (jsc#PED-7619).
- commit 11123f1
* Wed Mar 27 2024 shung-hsi.yu@suse.com
- selftests/bpf: add generic BPF program tester-loader
  (bsc#1222033).
- Refresh patches.suse/selftests-bpf-convenience-macro-for-use-with-asm-vol.patch
- commit fac2b7e
* Tue Mar 26 2024 tiwai@suse.de
- crypto: qat - avoid division by zero (git-fixes).
- crypto: qat - resolve race condition during AER recovery
  (git-fixes).
- crypto: qat - fix deadlock in backlog processing (git-fixes).
- crypto: qat - fix double free during reset (git-fixes).
- crypto: qat - increase size of buffers (git-fixes).
- crypto: qat - fix unregistration of compression algorithms
  (git-fixes).
- crypto: qat - fix unregistration of crypto algorithms
  (git-fixes).
- crypto: qat - ignore subsequent state up commands (git-fixes).
- commit 57086a4
* Tue Mar 26 2024 tiwai@suse.de
- crypto: qat - fix state machines cleanup paths (bsc#1218321).
- commit b45a9b9
* Tue Mar 26 2024 jslaby@suse.cz
- PCI: dwc: Fix a 64bit bug in dw_pcie_ep_raise_msix_irq()
  (git-fixes).
- PCI: rockchip: Use 64-bit mask on MSI 64-bit PCI address
  (git-fixes).
- commit 71917a0
* Tue Mar 26 2024 colyli@suse.de
- md/raid5: fix atomicity violation in raid5_cache_count
  (bsc#1219169, CVE-2024-23307).
- commit 30c5680
* Tue Mar 26 2024 mfranc@suse.cz
- s390/vtime: fix average steal time calculation (git-fixes
  bsc#1221951).
- commit dcc65eb
* Tue Mar 26 2024 mfranc@suse.cz
- s390/ptrace: handle setting of fpc register correctly
  (CVE-2023-52598 bsc#1221060 git-fixes).
- commit 997994b
* Tue Mar 26 2024 jlee@suse.com
- wifi: ath10k: fix NULL pointer dereference in
  ath10k_wmi_tlv_op_pull_mgmt_tx_compl_ev() (bsc#1218336
  CVE-2023-7042).
- commit 1784f9f
* Mon Mar 25 2024 ailiop@suse.com
- ubi: Check for too small LEB size in VTBL code (bsc#1219834
  CVE-2024-25739).
- commit ad7e175
* Mon Mar 25 2024 jslaby@suse.cz
- PCI: rockchip: Don't advertise MSI-X in PCIe capabilities
  (git-fixes).
- commit 617f4f7
* Mon Mar 25 2024 jslaby@suse.cz
- PCI: rockchip: Fix window mapping and address translation for
  endpoint (git-fixes).
- Refresh
  patches.suse/PCI-rockchip-Use-u32-variable-to-access-32-bit-regis.patch.
- commit ebc378b
* Mon Mar 25 2024 jslaby@suse.cz
- PCI: qcom: Enable BDF to SID translation properly (git-fixes).
- PCI: mediatek-gen3: Fix translation window size calculation
  (git-fixes).
- PCI: mediatek: Clear interrupt status before dispatching handler
  (git-fixes).
- PCI: dwc: endpoint: Fix dw_pcie_ep_raise_msix_irq() alignment
  support (git-fixes).
- PCI: Lengthen reset delay for VideoPropulsion Torrent QN16e card
  (git-fixes).
- Revert "PCI: tegra194: Enable support for 256 Byte payload"
  (git-fixes).
- PCI: fu740: Set the number of MSI vectors (git-fixes).
- PCI/ASPM: Use RMW accessors for changing LNKCTL (git-fixes).
- PCI: Make link retraining use RMW accessors for changing LNKCTL
  (git-fixes).
- PCI: Add locking to RMW PCI Express Capability Register
  accessors (git-fixes).
- kABI: PCI: Add locking to RMW PCI Express Capability Register
  accessors (kabi).
- PCI: qcom: Use DWC helpers for modifying the read-only DBI
  registers (git-fixes).
- commit 150da46
* Mon Mar 25 2024 nik.borisov@suse.com
- x86/CPU/AMD: Update the Zenbleed microcode revisions (git-fixes).
- commit 20654b5
* Mon Mar 25 2024 tiwai@suse.de
- wifi: ath11k: decrease MHI channel buffer length to 8KB
  (bsc#1207948).
- commit ccda276
* Mon Mar 25 2024 nik.borisov@suse.com
- x86/fpu: Keep xfd_state in sync with MSR_IA32_XFD (git-fixes).
- commit 76719ba
* Mon Mar 25 2024 dwagner@suse.de
- nvme: fix reconnection fail due to reserved tag allocation
  (git-fixes).
- commit 08c50ef
* Mon Mar 25 2024 jslaby@suse.cz
- blacklist.conf: add a couple of PCI ones
- commit 37e30e0
* Mon Mar 25 2024 shung-hsi.yu@suse.com
- bpf, scripts: Correct GPL license name (git-fixes).
- commit b7a1062
* Mon Mar 25 2024 neilb@suse.de
- Refresh
  patches.suse/nfsd4-add-refcount-for-nfsd4_blocked_lock.patch.
  Add another commit id
- commit 6697f38
* Mon Mar 25 2024 neilb@suse.de
- blacklist.conf: add unwanted nfs commit
- commit a4cc44e
* Mon Mar 25 2024 neilb@suse.de
- NFSv4.2: fix wrong shrinker_id (git-fixes).
- commit 5ba59c3
* Sat Mar 23 2024 tiwai@suse.de
- Add cherry-picked id of amdgpu patch (git-fixes)
- commit 3498702
* Sat Mar 23 2024 tiwai@suse.de
- spi: spi-mt65xx: Fix NULL pointer access in interrupt handler
  (git-fixes).
- spi: lm70llp: fix links in doc and comments (git-fixes).
- drm: Fix drm_fixp2int_round() making it add 0.5 (git-fixes).
- nouveau: reset the bo resource bus info after an eviction
  (git-fixes).
- rtc: mt6397: select IRQ_DOMAIN instead of depending on it
  (git-fixes).
- soc: fsl: qbman: Always disable interrupts when taking cgr_lock
  (git-fixes).
- kconfig: fix infinite loop when expanding a macro at the end
  of file (git-fixes).
- slimbus: core: Remove usage of the deprecated ida_simple_xx()
  API (git-fixes).
- iio: dummy_evgen: remove Excess kernel-doc comments (git-fixes).
- serial: 8250_exar: Don't remove GPIO device on suspend
  (git-fixes).
- tty: serial: samsung: fix tx_empty() to return TIOCSER_TEMT
  (git-fixes).
- serial: max310x: fix syntax error in IRQ error message
  (git-fixes).
- tty: vt: fix 20 vs 0x20 typo in EScsiignore (git-fixes).
- usb: gadget: net2272: Use irqflags in the call to
  net2272_probe_fin (git-fixes).
- usb: typec: ucsi: Clean up UCSI_CABLE_PROP macros (git-fixes).
- usb: xhci: Add error handling in xhci_map_urb_for_dma
  (git-fixes).
- usb: audio-v2: Correct comments for struct
  uac_clock_selector_descriptor (git-fixes).
- commit d110a91
* Sat Mar 23 2024 tiwai@suse.de
- blacklist.conf: add usb gadget patch to be reverted later
- commit d1cbd2f
* Sat Mar 23 2024 tiwai@suse.de
- Add cherry-picked id to amdgpu patch
- commit 2d7799f
* Fri Mar 22 2024 jroedel@suse.de
- x86/sev: Harden #VC instruction emulation somewhat (CVE-2024-25742 bsc#1221725).
- commit 02ed75a
* Fri Mar 22 2024 ailiop@suse.com
- ubifs: Queue up space reservation tasks if retrying many times
  (git-fixes).
- commit 061dcaa
* Fri Mar 22 2024 ailiop@suse.com
- ubifs: dbg_check_idx_size: Fix kmemleak if loading znode failed
  (git-fixes).
- commit 493a02c
* Fri Mar 22 2024 ailiop@suse.com
- ubifs: Remove unreachable code in dbg_check_ltab_lnum
  (git-fixes).
- commit 2771652
* Fri Mar 22 2024 ailiop@suse.com
- ubifs: fix sort function prototype (git-fixes).
- commit 6125609
* Fri Mar 22 2024 iivanov@suse.de
- Update patches.suse/dmaengine-fix-NULL-pointer-in-channel-unregistration.patch (git-fixes bsc#1221276 CVE-2023-52492)
- commit 7007f7d
* Fri Mar 22 2024 ailiop@suse.com
- ubifs: Set page uptodate in the correct place (git-fixes).
- commit 219703b
* Thu Mar 21 2024 vkarasulli@suse.de
- iommu/vt-d: Allow to use flush-queue when first level is
  default (git-fixes).
- commit 1821f9c
* Thu Mar 21 2024 vkarasulli@suse.de
- iommu/vt-d: Fix PASID directory pointer coherency (git-fixes).
- commit 23b5322
* Thu Mar 21 2024 vkarasulli@suse.de
- iommu/vt-d: Set No Execute Enable bit in PASID table entry
  (git-fixes).
- commit 3ba9d71
* Thu Mar 21 2024 vkarasulli@suse.de
- iommu/mediatek-v1: Fix an error handling path in
  mtk_iommu_v1_probe() (git-fixes).
- commit 3b5ce5d
* Thu Mar 21 2024 jlee@suse.com
- Bluetooth: rfcomm: Fix null-ptr-deref in rfcomm_check_security
  (bsc#1219170 CVE-2024-22099).
- commit ece27a6
* Thu Mar 21 2024 dwagner@suse.de
- scsi: qla2xxx: Update version to 10.02.09.200-k (bsc1221816).
- scsi: qla2xxx: Delay I/O Abort on PCI error (bsc1221816).
- scsi: qla2xxx: Change debug message during driver unload
  (bsc1221816).
- scsi: qla2xxx: Fix double free of fcport (bsc1221816).
- scsi: qla2xxx: Fix double free of the ha->vp_map pointer
  (bsc1221816).
- scsi: qla2xxx: Fix command flush on cable pull (bsc1221816).
- scsi: qla2xxx: NVME|FCP prefer flag not being honored
  (bsc1221816).
- scsi: qla2xxx: Update manufacturer detail (bsc1221816).
- scsi: qla2xxx: Split FCE|EFT trace control (bsc1221816).
- scsi: qla2xxx: Fix N2N stuck connection (bsc1221816).
- scsi: qla2xxx: Prevent command send on chip reset (bsc1221816).
- commit ac0c897
* Thu Mar 21 2024 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.4.0.1 patches
  (bsc#1221777).
- scsi: lpfc: Update lpfc version to 14.4.0.1 (bsc#1221777).
- scsi: lpfc: Define types in a union for generic void *context3
  ptr (bsc#1221777).
- scsi: lpfc: Define lpfc_dmabuf type for ctx_buf ptr
  (bsc#1221777).
- scsi: lpfc: Define lpfc_nodelist type for ctx_ndlp ptr
  (bsc#1221777).
- scsi: lpfc: Use a dedicated lock for ras_fwlog state
  (bsc#1221777).
- scsi: lpfc: Release hbalock before calling lpfc_worker_wake_up()
  (bsc#1221777).
- scsi: lpfc: Replace hbalock with ndlp lock in
  lpfc_nvme_unregister_port() (bsc#1221777).
- scsi: lpfc: Update lpfc_ramp_down_queue_handler() logic
  (bsc#1221777).
- scsi: lpfc: Remove IRQF_ONESHOT flag from threaded IRQ handling
  (bsc#1221777 bsc#1217959).
- scsi: lpfc: Move NPIV's transport unregistration to after
  resource clean up (bsc#1221777).
- scsi: lpfc: Remove unnecessary log message in queuecommand path
  (bsc#1221777).
- scsi: lpfc: Correct size for cmdwqe/rspwqe for memset()
  (bsc#1221777).
- scsi: lpfc: Correct size for wqe for memset() (bsc#1221777).
- commit 173a64c
* Thu Mar 21 2024 iivanov@suse.de
- firmware: arm_scmi: Check mailbox/SMT channel for consistency (bsc#1221375 CVE-2023-52608)
- commit f829935
* Thu Mar 21 2024 jslaby@suse.cz
- net: Fix features skip in for_each_netdev_feature() (git-fixes).
- commit dfc50d6
* Wed Mar 20 2024 ailiop@suse.com
- ntfs: fix use-after-free in ntfs_ucsncmp() (bsc#1221713).
- commit c06fc74
* Wed Mar 20 2024 neilb@suse.de
- NFS: Fix an off by one in root_nfs_cat() (git-fixes).
- NFSv4.2: fix listxattr maximum XDR buffer size (git-fixes).
- NFSv4.2: fix nfs4_listxattr kernel BUG at mm/usercopy.c:102
  (git-fixes).
- net: sunrpc: Fix an off by one in rpc_sockaddr2uaddr()
  (git-fixes).
- NFSD: Retransmit callbacks after client reconnects (git-fixes).
- NFSD: Reschedule CB operations when backchannel rpc_clnt is
  shut down (git-fixes).
- NFSD: Convert the callback workqueue to use delayed_work
  (git-fixes).
- NFSD: Reset cb_seq_status after NFS4ERR_DELAY (git-fixes).
- NFSD: fix LISTXATTRS returning more bytes than maxcount
  (git-fixes).
- NFSD: fix LISTXATTRS returning a short list with eof=TRUE
  (git-fixes).
- NFSD: change LISTXATTRS cookie encoding to big-endian
  (git-fixes).
- NFSD: fix nfsd4_listxattr_validate_cookie (git-fixes).
- SUNRPC: fix some memleaks in gssx_dec_option_array (git-fixes).
- SUNRPC: fix a memleak in gss_import_v2_context (git-fixes).
- nfsd: use vfs setgid helper (git-fixes).
- commit 90396a4
* Tue Mar 19 2024 oneukum@suse.com
- clk: zynq: Prevent null pointer dereference caused by kmalloc
  failure (git-fixes).
- commit 6c59283
* Tue Mar 19 2024 oneukum@suse.com
- media: imx: csc/scaler: fix v4l2_ctrl_handler memory leak
  (git-fixes).
- commit c2aa41d
* Tue Mar 19 2024 vkarasulli@suse.de
- iommu/dma: Trace bounce buffer usage when mapping buffers
  (git-fixes).
- commit e3645be
* Tue Mar 19 2024 oneukum@suse.com
- media: staging: ipu3-imgu: Set fields before
  media_entity_pads_init() (git-fixes).
- commit 5978536
* Tue Mar 19 2024 tiwai@suse.de
- drm/amd/display: Prevent vtotal from being set to 0 (git-fixes).
- commit 936859f
* Tue Mar 19 2024 tiwai@suse.de
- Drop temporarily amdgpu patch (to be reapplied later)
- commit 809ae8f
* Tue Mar 19 2024 nmorey@suse.com
- RDMA/rtrs-clt: Check strnlen return len in sysfs mpath_policy_store() (git-fixes)
- commit 373361b
* Tue Mar 19 2024 nmorey@suse.com
- RDMA/device: Fix a race between mad_client and cm_client init (git-fixes)
- commit 5b52744
* Tue Mar 19 2024 nmorey@suse.com
- RDMA/hns: Fix mis-modifying default congestion control algorithm (git-fixes)
- commit 95141c0
* Tue Mar 19 2024 nmorey@suse.com
- RDMA/srpt: Do not register event handler until srpt device is fully setup (git-fixes)
- commit 5d33595
* Tue Mar 19 2024 nmorey@suse.com
- RDMA/irdma: Remove duplicate assignment (git-fixes)
- commit 9841c04
* Tue Mar 19 2024 oneukum@suse.com
- blacklist.conf: cleanup only
- commit ecab69c
* Tue Mar 19 2024 oneukum@suse.com
- blacklist.conf: kABI
- commit 94731b9
* Tue Mar 19 2024 tiwai@suse.de
- drm/amd/display: fix hw rotated modes when PSR-SU is enabled
  (git-fixes).
- commit dc89308
* Tue Mar 19 2024 tiwai@suse.de
- drm/amd/display: Fix possible underflow for displays with
  large vblank (git-fixes).
- drm/amd/display: Revert vblank change that causes null pointer
  crash (git-fixes).
- commit 7e422d7
* Tue Mar 19 2024 tiwai@suse.de
- Revert "Revert "drm/amdgpu/display: change pipe policy for
  DCN 2.0"" (git-fixes).
- drm/amd/display: perform a bounds check before filling dirty
  rectangles (git-fixes).
- commit 7922bac
* Tue Mar 19 2024 tiwai@suse.de
- Refresh patches.suse/drm-amd-display-always-switch-off-ODM-before-committ.patch
  Add cherry-pickd id
- commit feac6cf
* Tue Mar 19 2024 tiwai@suse.de
- Refresh patches.suse/drm-amd-display-Write-to-correct-dirty_rect.patch
  Add cherry-picked id
- commit d1b610a
* Tue Mar 19 2024 tiwai@suse.de
- drm/amd/display: For prefetch mode > 0, extend prefetch if
  possible (git-fixes).
- drm/amd/display: Disable PSR-SU on Parade 0803 TCON again
  (git-fixes).
- drm/amd/display: Increase frame warning limit with KASAN or
  KCSAN in dml (git-fixes).
- drm/amd: Enable PCIe PME from D3 (git-fixes).
- drm/amd/pm: fix a memleak in aldebaran_tables_init (git-fixes).
- drm/amd/display: fix ABM disablement (git-fixes).
- drm/amd/display: Update min Z8 residency time to 2100 for DCN314
  (git-fixes).
- drm/amd/display: Remove min_dst_y_next_start check for Z8
  (git-fixes).
- drm/amd/display: Use DRAM speed from validation for dummy
  p-state (git-fixes).
- drm/amdgpu: Force order between a read and write to the same
  address (git-fixes).
- drm/amd/display: Include udelay when waiting for INBOX0 ACK
  (git-fixes).
- drm/i915: Call intel_pre_plane_updates() also for pipes getting
  enabled (git-fixes).
- drm/panel: auo,b101uan08.3: Fine tune the panel power sequence
  (git-fixes).
- drm/amd/display: Enable fast plane updates on DCN3.2 and above
  (git-fixes).
- drm/amd/display: fix a NULL pointer dereference in
  amdgpu_dm_i2c_xfer() (git-fixes).
- drm/amd/display: Guard against invalid RPTR/WPTR being set
  (git-fixes).
- drm/amdgpu: lower CS errors to debug severity (git-fixes).
- drm/amdgpu/smu13: drop compute workload workaround (git-fixes).
- drm/amd/pm: Fix error of MACO flag setting code (git-fixes).
- drm/i915: Add missing CCS documentation (git-fixes).
- drm/amdgpu: Unset context priority is now invalid (git-fixes).
- drm/panel: Move AUX B116XW03 out of panel-edp back to
  panel-simple (git-fixes).
- Revert "drm/amd: Disable S/G for APUs when 64GB or more host
  memory" (git-fixes).
- drm/amd/display: always switch off ODM before committing more
  streams (git-fixes).
- drm/amd/display: Blocking invalid 420 modes on HDMI TMDS for
  DCN31 (git-fixes).
- drm/amd/display: Use DTBCLK as refclk instead of DPREFCLK
  (git-fixes).
- drm/amd/display: Fix a bug when searching for insert_above_mpcc
  (git-fixes).
- commit e9791f4
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-vcn-Disable-indirect-SRAM-on-Vangogh-brok.patch (git-fixes)
  Alt-commit
- commit 633cb3b
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1398-drm-i915-pass-a-pointer-for-tlb-seqno-at-vma_invalid.patch (git-fixes)
  Alt-commit
- commit 4cec8c9
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1866-drm-i915-ttm-fix-32b-build.patch (git-fixes)
  Alt-commit
- commit a1a2486
* Tue Mar 19 2024 tiwai@suse.de
- drm/amd/display: ensure async flips are only accepted for fast
  updates (git-fixes).
- drm/exynos: fix a possible null-pointer dereference due to
  data race in exynos_drm_crtc_atomic_disable() (git-fixes).
- drm/amdgpu: Update min() to min_t() in 'amdgpu_info_ioctl'
  (git-fixes).
- drm/amd/display: Fix underflow issue on 175hz timing
  (git-fixes).
- drm/amd/display: dc.h: eliminate kernel-doc warnings
  (git-fixes).
- drm/edid: Add quirk for OSVR HDK 2.0 (git-fixes).
- drm/bridge: tc358762: Instruct DSI host to generate HSE packets
  (git-fixes).
- drm/amdgpu: Match against exact bootloader status (git-fixes).
- drm/amd/display: Exit idle optimizations before attempt to
  access PHY (git-fixes).
- drm/amd/display: Guard DCN31 PHYD32CLK logic against chip family
  (git-fixes).
- drm/amd/smu: use AverageGfxclkFrequency* to replace previous
  GFX Curr Clock (git-fixes).
- drm/amd/display: Prevent vtotal from being set to 0 (git-fixes).
- drm/amdgpu/pm: make mclk consistent for smu 13.0.7 (git-fixes).
- drm/amdgpu/pm: make gfxclock consistent for sienna cichlid
  (git-fixes).
- drm/ttm: Don't leak a resource on eviction error (git-fixes).
- drm/amd/display: Fix the delta clamping for shaper LUT
  (git-fixes).
- Revert "drm/amd: Disable PSR-SU on Parade 0803 TCON"
  (git-fixes).
- drm/amd/display: Set minimum requirement for using PSR-SU on
  Phoenix (git-fixes).
- drm/amd/display: Set minimum requirement for using PSR-SU on
  Rembrandt (git-fixes).
- drm/amd/display: Update correct DCN314 register header
  (git-fixes).
- drm/amd/display: Fix possible underflow for displays with
  large vblank (git-fixes).
- drm/amd/display: update extended blank for dcn314 onwards
  (git-fixes).
- drm/amd/display: Restore rptr/wptr for DMCUB as workaround
  (git-fixes).
- drm/amd/display: Add FAMS validation before trying to use it
  (git-fixes).
- drm/panel: boe-tv101wum-nl6: Fine tune the panel power sequence
  (git-fixes).
- drm/amd/display: add ODM case when looking for first split pipe
  (git-fixes).
- Revert "drm/amdgpu/display: change pipe policy for DCN 2.0"
  (git-fixes).
- Revert "drm/amdgpu/display: change pipe policy for DCN 2.1"
  (git-fixes).
- commit 5e1df8b
* Tue Mar 19 2024 tiwai@suse.de
- drm/amd/display: Keep PHY active for dp config (git-fixes).
- drm/ttm: Don't print error message if eviction was interrupted
  (git-fixes).
- Revert "drm/vc4: hdmi: Enforce the minimum rate at
  runtime_resume" (git-fixes).
- drm/amd/display: Write to correct dirty_rect (git-fixes).
- drm/amd/display: clean code-style issues in
  dcn30_set_mpc_shaper_3dlut (git-fixes).
- drm/amd/display: fix dc/core/dc.c kernel-doc (git-fixes).
- drm/amd/display: add FB_DAMAGE_CLIPS support (git-fixes).
- drm/amd/display: set per pipe dppclk to 0 when dpp is off
  (git-fixes).
- drm/amd/display: fix kernel-doc issues in dc.h (git-fixes).
- drm/amd/display: fix unbounded requesting for high pixel rate
  modes on dcn315 (git-fixes).
- drm/amd/display: use low clocks for no plane configs
  (git-fixes).
- drm/amd/display: Use min transition for all SubVP plane
  add/remove (git-fixes).
- drm/amd/display: Rework comments on dc file (git-fixes).
- drm/amd/display: Expand kernel doc for DC (git-fixes).
- drm/amd/display: Avoid ABM when ODM combine is enabled for eDP
  (git-fixes).
- drm/amd/display: Update OTG instance in the commit stream
  (git-fixes).
- drm/amd/display: Handle seamless boot stream (git-fixes).
- drm/amd/display: Add function for validate and update new stream
  (git-fixes).
- drm/amd/display: Handle virtual hardware detect (git-fixes).
- drm/amd/display: Include surface of unaffected streams
  (git-fixes).
- drm/amd/display: Copy DC context in the commit streams
  (git-fixes).
- drm/amd/display: Enable new commit sequence only for DCN32x
  (git-fixes).
- drm/amd/display: Rework context change check (git-fixes).
- drm/amd/display: Check if link state is valid (git-fixes).
- drm: panel-orientation-quirks: Add quirk for Acer Switch V 10
  (SW5-017) (git-fixes).
- drm/rockchip: dsi: Clean up 'usage_mode' when failing to attach
  (git-fixes).
- drm/vc4: Add module dependency on hdmi-codec (git-fixes).
- drm/i915/gt: Use i915_vm_put on ppgtt_create error paths
  (git-fixes).
- commit 17a985c
* Tue Mar 19 2024 tiwai@suse.de
- watchdog: stm32_iwdg: initialize default timeout (git-fixes).
- crypto: arm/sha - fix function cast warnings (git-fixes).
- crypto: xilinx - call finalize with bh disabled (git-fixes).
- mtd: rawnand: lpc32xx_mlc: fix irq handler prototype
  (git-fixes).
- mtd: rawnand: meson: fix scrambling mode value in command macro
  (git-fixes).
- mtd: maps: physmap-core: fix flash size larger than 32-bit
  (git-fixes).
- media: usbtv: Remove useless locks in usbtv_video_free()
  (git-fixes).
- media: ttpci: fix two memleaks in budget_av_attach (git-fixes).
- media: go7007: fix a memleak in go7007_load_encoder (git-fixes).
- media: dvb-frontends: avoid stack overflow warnings with clang
  (git-fixes).
- media: pvrusb2: fix uaf in pvr2_context_set_notify (git-fixes).
- media: pvrusb2: fix pvr2_stream_callback casts (git-fixes).
- media: pvrusb2: remove redundant NULL check (git-fixes).
- media: go7007: add check of return value of go7007_read_addr()
  (git-fixes).
- media: imx: csc/scaler: fix v4l2_ctrl_handler memory leak
  (git-fixes).
- media: sun8i-di: Fix chroma difference threshold (git-fixes).
- media: sun8i-di: Fix power on/off sequences (git-fixes).
- media: sun8i-di: Fix coefficient writes (git-fixes).
- media: edia: dvbdev: fix a use-after-free (git-fixes).
- media: v4l2-mem2mem: fix a memleak in v4l2_m2m_register_entity
  (git-fixes).
- media: v4l2-tpg: fix some memleaks in tpg_alloc (git-fixes).
- media: em28xx: annotate unchecked call to
  media_device_register() (git-fixes).
- media: xc4000: Fix atomicity violation in xc4000_get_frequency
  (git-fixes).
- media: staging: ipu3-imgu: Set fields before
  media_entity_pads_init() (git-fixes).
- net: lan78xx: fix runtime PM count underflow on link stop
  (git-fixes).
- mmc: mmci: stm32: fix DMA API overlapping mappings warning
  (git-fixes).
- drm/amd/display: Wrong colorimetry workaround (git-fixes).
- mmc: mmci: stm32: use a buffer for unaligned DMA requests
  (git-fixes).
- commit 6d10a8f
* Tue Mar 19 2024 oneukum@suse.com
- blacklist.conf: kABI
- commit 6018730
* Tue Mar 19 2024 oneukum@suse.com
- blacklist.conf: merely a cleanup
- commit f35d79c
* Tue Mar 19 2024 oneukum@suse.com
- xhci: handle isoc Babble and Buffer Overrun events properly
  (git-fixes).
- commit b33a274
* Tue Mar 19 2024 oneukum@suse.com
- xhci: process isoc TD properly when there was a transaction
  error mid TD (git-fixes).
- commit ef9dcf9
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/Revert-drm-amd-pm-resolve-reboot-exception-for-si-ol.patch (git-fixes)
  Alt-commit
- commit 51173ed
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-Fix-memory-leak-in-dm_sw_fini.patch (git-fixes)
  Alt-commit
- commit 9a337ae
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-display-Initialize-gamma-correction-mode-.patch (git-fixes)
  Alt-commit
- commit ae35079
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-Fix-possible-NULL-dereference-on-dev.patch (git-fixes)
  Alt-commit
- commit 968007a
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/Revert-drm-amd-display-increased-min_dcfclk_mhz-and-.patch (git-fixes)
  Alt-commit
- commit 29d289f
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/Revert-drm-amd-flush-any-delayed-gfxoff-on-suspend-e.patch (git-fixes)
  Alt-commit
- commit 6c8d470
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-Fix-possible-buffer-overflow-in-find.patch (git-fixes)
  Alt-commit
- commit d66904a
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-Fix-missing-error-code-in-gmc_v6-7-8-9_0_.patch (git-fixes)
  Alt-commit
- commit 17a587a
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-bridge-sii902x-Fix-probing-race-issue.patch (git-fixes)
  Alt-commit
- commit 0c6bf24
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-dp-Fix-passing-the-correct-DPCD_REV-for-drm.patch (git-fixes)
  Alt-commit
- commit eeb30fc
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-Disable-ASPM-for-VI-w-all-Intel-systems.patch (git-fixes)
  Alt-commit
- commit 2b0efc6
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-Fix-detection-of-_PR3-on-the-PCIe-root-port.patch (git-fixes)
  Alt-commit
- commit 0458ace
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-fix-the-white-screen-issue-when-64GB.patch (git-fixes)
  Alt-commit
- commit 46ed395
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-prevent-potential-division-by-zero-e.patch (git-fixes)
  Alt-commit
- commit b7ab8de
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-enable-cursor-degamma-for-DCN3-DRM-l.patch (git-fixes)
  Alt-commit
- commit 885580e
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-Remove-wait-while-locked.patch (git-fixes)
  Alt-commit
- commit 43c45c5
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-Add-smu-write-msg-id-fail-retry-proc.patch (git-fixes)
  Alt-commit
- commit b800d81
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-register-edp_backlight_control-for-D.patch (git-fixes)
  Alt-commit
- commit 164cdf4
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-fix-Null-pointer-dereference-error-in-amd.patch (git-fixes)
  Alt-commit
- commit c814bba
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-gfx10-Disable-gfxoff-before-disabling-pow.patch (git-fixes)
  Alt-commit
- commit e937913
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-pm-parse-pp_handle-under-appropriate-conditi.patch (git-fixes)
  Alt-commit
- commit f5d987c
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amd-display-fix-access-hdcp_workqueue-assert.patch (git-fixes)
  Alt-commit
- commit 0906f4d
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-nv-Apply-ASPM-quirk-on-Intel-ADL-AMD-Navi.patch (git-fixes)
  Alt-commit
- commit c25da25
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-Correct-the-power-calcultion-for-Renior-C.patch (git-fixes)
  Alt-commit
- commit bb8f92f
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/0549-drm-amdgpu-enable-Vangogh-VCN-indirect-sram-mode.patch (git-fixes)
  Alt-commit
- commit aa42634
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-Never-return-0-if-not-all-requests-retired.patch (git-fixes)
  Alt-commit
- commit bf8aa0c
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-Fix-negative-value-passed-as-remaining-time.patch (git-fixes)
  Alt-commit
- commit 33c3117
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-display-dp_mst-Fix-drm_dp_mst_add_affected_dsc_c.patch (git-fixes)
  Alt-commit
- commit 5f0e59c
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1631-drm-i915-gem-Really-move-i915_gem_context.link-under.patch (git-fixes)
  Alt-commit
- commit ae7a01a
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-dm-dp_mst-Don-t-grab-mst_mgr-lock-when-co.patch (git-fixes)
  Alt-commit
- commit a480119
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/drm-amdgpu-dm-mst-Use-the-correct-topology-mgr-point.patch (git-fixes)
  Alt-commit
- commit cfd3d6f
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1625-drm-i915-vdsc-Set-VDSC-PIC_HEIGHT-before-using-for-D.patch (git-fixes)
  Alt-commit
- commit 0691a9b
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1585-drm-i915-slpc-Let-s-fix-the-PCODE-min-freq-table-set.patch (git-fixes)
  Alt-commit
- commit b19cad4
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1536-drm-i915-guc-clear-stalled-request-after-a-reset.patch (git-fixes)
  Alt-commit
- commit fb1fad7
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1396-drm-i915-gt-Batch-TLB-invalidations.patch (git-fixes)
  Alt-commit
- commit 1d66c31
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1394-drm-i915-gt-Invalidate-TLB-of-the-OA-unit-at-TLB-inv.patch (git-fixes)
  Alt-commit
- commit 5c89722
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1393-drm-i915-gt-Ignore-TLB-invalidations-on-idle-engines.patch (git-fixes)
  Alt-commit
- commit 43ab4df
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1536-drm-i915-guc-clear-stalled-request-after-a-reset.patch (git-fixes)
  Alt-commit
- commit 9329ad7
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1859-drm-i915-selftests-fix-subtraction-overflow-bug.patch (git-fixes)
  Alt-commit
- commit 3943b71
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1855-drm-i915-ttm-fix-sg_table-construction.patch (git-fixes)
  Alt-commit
- commit d989f7a
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1644-i915-guc-reset-Make-__guc_reset_context-aware-of-gui.patch (git-fixes)
  Alt-commit
- commit 4511955
* Tue Mar 19 2024 pjakobsson@suse.de
- Refresh patches.suse/1639-drm-amd-Don-t-reset-dGPUs-if-the-system-is-going-to-.patch (git-fixes)
  Alt-commit
- commit 69ca555
* Mon Mar 18 2024 tonyj@suse.de
- perf/x86/lbr: Filter vsyscall addresses (bsc#1220703,
  CVE-2023-52476).
- commit c52b506
* Mon Mar 18 2024 jack@suse.cz
- fs: introduce lock_rename_child() helper (bsc#1221044
  CVE-2023-52591).
  Refresh patches.suse/fs-Establish-locking-order-for-unrelated-directories.patch
- commit 86376e0
* Mon Mar 18 2024 jack@suse.cz
- rename(): avoid a deadlock in the case of parents having no
  common ancestor (bsc#1221044 CVE-2023-52591).
- commit 16e3098
* Mon Mar 18 2024 jack@suse.cz
- kill lock_two_inodes() (bsc#1221044 CVE-2023-52591).
- commit 8b8deef
* Mon Mar 18 2024 jack@suse.cz
- rename(): fix the locking of subdirectories (bsc#1221044
  CVE-2023-52591).
- commit 146d81f
* Mon Mar 18 2024 jack@suse.cz
- f2fs: Avoid reading renamed directory if parent does not change
  (bsc#1221044 CVE-2023-52591).
- commit 5344280
* Mon Mar 18 2024 jack@suse.cz
- ext4: don't access the source subdirectory content on
  same-directory rename (bsc#1221044 CVE-2023-52591).
- commit b2b6374
* Mon Mar 18 2024 jack@suse.cz
- ext2: Avoid reading renamed directory if parent does not change
  (bsc#1221044 CVE-2023-52591).
- commit 2edcc11
* Mon Mar 18 2024 jack@suse.cz
- udf_rename(): only access the child content on cross-directory
  rename (bsc#1221044 CVE-2023-52591).
- commit 0257614
* Mon Mar 18 2024 jack@suse.cz
- ocfs2: Avoid touching renamed directory if parent does not
  change (bsc#1221044 CVE-2023-52591).
- commit e786f3a
* Mon Mar 18 2024 jack@suse.cz
- reiserfs: Avoid touching renamed directory if parent does not
  change (git-fixes bsc#1221044 CVE-2023-52591).
  Refresh patches.suse/reiserfs-add-check-to-detect-corrupted-directory-entry.patch
  Refresh patches.suse/reiserfs-don-t-panic-on-bad-directory-entries.patch
- commit 523ddca
* Mon Mar 18 2024 jack@suse.cz
- fs: don't assume arguments are non-NULL (bsc#1221044
  CVE-2023-52591).
- commit 2177893
* Mon Mar 18 2024 jack@suse.cz
- fs: Restrict lock_two_nondirectories() to non-directory inodes
  (bsc#1221044 CVE-2023-52591).
- commit a59a7cb
* Mon Mar 18 2024 jack@suse.cz
- fs: ocfs2: check status values (bsc#1221044 CVE-2023-52591).
- commit 8c6576f
* Mon Mar 18 2024 mfranc@suse.cz
- s390/pai: fix attr_event_free upper limit for pai device drivers
  (git-fixes bsc#1221633).
- commit dcd390e
* Mon Mar 18 2024 mfranc@suse.cz
- KVM: s390: only deliver the set service event bits (git-fixes
  bsc#1221631).
- commit 6e3593c
* Mon Mar 18 2024 mfranc@suse.cz
- Update
  patches.suse/s390-vfio-ap-always-filter-entire-AP-matrix.patch
  (git-fixes bsc#1219012 CVE-2024-26620 bsc#1221298).
- commit 4fb9779
* Fri Mar 15 2024 vkarasulli@suse.de
- iommu/vt-d: Don't issue ATS Invalidation request when device
  is disconnected (git-fixes).
- commit 4c37f6f
* Fri Mar 15 2024 tiwai@suse.de
- nilfs2: prevent kernel bug at submit_bh_wbc() (git-fixes).
- nilfs2: fix failure to detect DAT corruption in btree and
  direct mappings (git-fixes).
- ALSA: usb-audio: Stop parsing channels bits when all channels
  are found (git-fixes).
- ALSA: aaci: Delete unused variable in aaci_do_suspend
  (git-fixes).
- ASoC: meson: axg-tdm-interface: add frame rate constraint
  (git-fixes).
- ASoC: meson: axg-tdm-interface: fix mclk setup without mclk-fs
  (git-fixes).
- ASoC: amd: acp: Add missing error handling in sof-mach
  (git-fixes).
- ALSA: seq: fix function cast warnings (git-fixes).
- ALSA: aw2: avoid casting function pointers (git-fixes).
- ALSA: ctxfi: avoid casting function pointers (git-fixes).
- PCI: dwc: endpoint: Fix advertised resizable BAR size
  (git-fixes).
- PCI: switchtec: Fix an error handling path in
  switchtec_pci_probe() (git-fixes).
- PCI/P2PDMA: Fix a sleeping issue in a RCU read section
  (git-fixes).
- PCI: Mark 3ware-9650SE Root Port Extended Tags as broken
  (git-fixes).
- PCI/DPC: Print all TLP Prefixes, not just the first (git-fixes).
- PCI/AER: Fix rootport attribute paths in ABI docs (git-fixes).
- platform/mellanox: mlxreg-hotplug: Remove redundant NULL-check
  (git-fixes).
- leds: aw2013: Unlock mutex before destroying it (git-fixes).
- backlight: lp8788: Fully initialize backlight_properties during
  probe (git-fixes).
- backlight: lm3639: Fully initialize backlight_properties during
  probe (git-fixes).
- backlight: da9052: Fully initialize backlight_properties during
  probe (git-fixes).
- backlight: lm3630a: Don't set bl->props.brightness in
  get_brightness (git-fixes).
- backlight: lm3630a: Initialize backlight_properties on init
  (git-fixes).
- mfd: altera-sysmgr: Call of_node_put() only when
  of_parse_phandle() takes a ref (git-fixes).
- mfd: syscon: Call of_node_put() only when of_parse_phandle()
  takes a ref (git-fixes).
- pinctrl: mediatek: Drop bogus slew rate register range for
  MT8192 (git-fixes).
- HID: lenovo: Add middleclick_workaround sysfs knob for cptkbd
  (git-fixes).
- HID: amd_sfh: Update HPD sensor structure elements (git-fixes).
- commit d46946b
* Thu Mar 14 2024 nik.borisov@suse.com
- x86/mmio: Disable KVM mitigation when X86_FEATURE_CLEAR_CPU_BUF is set (bsc#1213456 CVE-2023-28746).
  This is an optimisation patch which got added late so there's no hurry
  to merge it.
- commit 69db574
* Thu Mar 14 2024 nik.borisov@suse.com
- Properly sort already upstream patches
- Refresh
  patches.suse/Documentation-hw-vuln-Add-documentation-for-RFDS.patch.
- Refresh
  patches.suse/KVM-x86-Export-RFDS_NO-and-RFDS_CLEAR-to-guests.patch.
- Refresh
  patches.suse/x86-entry-ia32-Ensure-s32-is-sign-extended-to-s64.patch.
- Refresh
  patches.suse/x86-rfds-Mitigate-Register-File-Data-Sampling-RFDS.patch.
- commit fe7e19d
* Thu Mar 14 2024 vkarasulli@suse.de
- iommu/amd: Mark interrupt as managed (git-fixes).
- commit 7365cc3
* Thu Mar 14 2024 iivanov@suse.de
- arm64: dts: imx8mm-venice-gw71xx: fix USB OTG VBUS (git-fixes)
- commit e4605be
* Thu Mar 14 2024 iivanov@suse.de
- blacklist.conf: ("arm64: dts: imx8mm-kontron: Disable pullups for I2C signals on SL/BL")
- commit 037b20c
* Thu Mar 14 2024 iivanov@suse.de
- blacklist.conf: ("arm64: dts: imx8mm-kontron: Disable pull resistors for SD card")
- commit a5753b4
* Thu Mar 14 2024 iivanov@suse.de
- blacklist.conf: ("arm64: dts: imx8mm-kontron: Disable pullups for onboard UART signals")
- commit 1c17a18
* Thu Mar 14 2024 iivanov@suse.de
- arm64: dts: allwinner: h6: Add RX DMA channel for SPDIF (git-fixes)
- commit f4fdf95
* Thu Mar 14 2024 iivanov@suse.de
- arm64: dts: rockchip: set num-cs property for spi on px30 (git-fixes)
- commit a51708e
* Thu Mar 14 2024 iivanov@suse.de
- arm64: mm: fix VA-range sanity check (git-fixes)
- commit dd606ae
* Thu Mar 14 2024 iivanov@suse.de
- arm64: set __exception_irq_entry with __irq_entry as a default (git-fixes)
- commit 4c81404
* Thu Mar 14 2024 iivanov@suse.de
- arm64: dts: rockchip: fix regulator name on rk3399-rock-4 (git-fixes)
- commit 59dc2f8
* Thu Mar 14 2024 iivanov@suse.de
- arm64: dts: rockchip: add SPDIF node for ROCK Pi 4 (git-fixes)
- commit b5996a2
* Thu Mar 14 2024 iivanov@suse.de
- arm64: dts: rockchip: add ES8316 codec for ROCK Pi 4 (git-fixes)
- commit 499e8df
* Thu Mar 14 2024 vbabka@suse.cz
- Update patches.kabi/kabi-fix-zone-unaccepted-memory.patch
  (jsc#PED-7167 bsc#1218643 bsc#1221338 bsc#1220114).
- commit 727559f
* Thu Mar 14 2024 iivanov@suse.de
- Make NVIDIA Grace-Hopper TPM related drivers build-ins (bsc#1221156)
- commit d2f65b3
* Thu Mar 14 2024 tiwai@suse.de
- drm/msm/dpu: add division of drm_display_mode's hskew parameter
  (git-fixes).
- drm/etnaviv: Restore some id values (git-fixes).
- drm/amdgpu: Fix missing break in ATOM_ARG_IMM Case of
  atom_get_src_int() (git-fixes).
- drm/msm/dpu: Only enable DSC_MODE_MULTIPLEX if dsc_merge is
  enabled (git-fixes).
- drm/msm/dpu: fix the programming of INTF_CFG2_DATA_HCTL_EN
  (git-fixes).
- drm/msm/dpu: improve DSC allocation (git-fixes).
- drm/mediatek: Fix a null pointer crash in
  mtk_drm_crtc_finish_page_flip (git-fixes).
- drm/mediatek: dsi: Fix DSI RGB666 formats and definitions
  (git-fixes).
- drm/tidss: Fix sync-lost issue with two displays (git-fixes).
- drm/tidss: Fix initial plane zpos values (git-fixes).
- drm/tegra: put drm_gem_object ref on error in tegra_fb_create
  (git-fixes).
- drm/radeon/ni: Fix wrong firmware size logging in
  ni_init_microcode() (git-fixes).
- drm/amd/display: Fix a potential buffer overflow in
  'dp_dsc_clock_en_read()' (git-fixes).
- drm/radeon/ni_dpm: remove redundant NULL check (git-fixes).
- drm/radeon: remove dead code in ni_mc_load_microcode()
  (git-fixes).
- drm/vmwgfx: Fix possible null pointer derefence with invalid
  contexts (git-fixes).
- media: tc358743: register v4l2 async device only after
  successful setup (git-fixes).
- drm/lima: fix a memleak in lima_heap_alloc (git-fixes).
- PM: suspend: Set mem_sleep_current during kernel command line
  setup (git-fixes).
- mmc: core: Fix switch on gp3 partition (git-fixes).
- mmc: wmt-sdmmc: remove an incorrect release_mem_region()
  call in the .remove function (git-fixes).
- mmc: tmio: avoid concurrent runs of mmc_request_done()
  (git-fixes).
- pwm: mediatek: Update kernel doc for struct pwm_mediatek_of_data
  (git-fixes).
- commit 7758a76
* Thu Mar 14 2024 tiwai@suse.de
- drm/panel-edp: use put_sync in unprepare (git-fixes).
- drm/rockchip: lvds: do not print scary message when probing
  defer (git-fixes).
- drm/rockchip: lvds: do not overwrite error code (git-fixes).
- drm/vmwgfx: fix a memleak in vmw_gmrid_man_get_node (git-fixes).
- drm: Don't treat 0 as -1 in drm_fixp2int_ceil (git-fixes).
- drm/rockchip: inno_hdmi: Fix video timing (git-fixes).
- drm/tegra: output: Fix missing i2c_put_adapter() in the error
  handling paths of tegra_output_probe() (git-fixes).
- drm/tegra: rgb: Fix missing clk_put() in the error handling
  paths of tegra_dc_rgb_probe() (git-fixes).
- drm/tegra: rgb: Fix some error handling paths in
  tegra_dc_rgb_probe() (git-fixes).
- drm/tegra: dsi: Fix missing pm_runtime_disable() in the error
  handling path of tegra_dsi_probe() (git-fixes).
- drm/tegra: dpaux: Fix PM disable depth imbalance in
  tegra_dpaux_probe (git-fixes).
- drm/tegra: dsi: Add missing check for of_find_device_by_node
  (git-fixes).
- ACPI: processor_idle: Fix memory leak in
  acpi_processor_power_exit() (git-fixes).
- ACPI: resource: Add MAIBENBEN X577 to
  irq1_edge_low_force_override (git-fixes).
- ACPI: scan: Fix device check notification handling (git-fixes).
- ACPI: CPPC: enable AMD CPPC V2 support for family 17h processors
  (git-fixes).
- cpufreq: brcmstb-avs-cpufreq: add check for cpufreq_cpu_get's
  return value (git-fixes).
- cpufreq: amd-pstate: Fix min_perf assignment in
  amd_pstate_adjust_perf() (git-fixes).
- commit 1cf1fe2
* Thu Mar 14 2024 nik.borisov@suse.com
- RAS: Export helper to get ras_debugfs_dir (jsc#PED-7619).
- commit 2d174a0
* Wed Mar 13 2024 msuchanek@suse.de
- powerpc/pseries: Fix potential memleak in papr_get_attr()
  (bsc#1200465 ltc#197256 jsc#SLE-18130 git-fixes).
- commit 3aea930
* Wed Mar 13 2024 nik.borisov@suse.com
- RAS/AMD/FMPM: Fix off by one when unwinding on error (jsc#PED-7619).
- commit b104443
* Wed Mar 13 2024 nik.borisov@suse.com
- RAS/AMD/FMPM: Add debugfs interface to print record entries (jsc#PED-7619).
- commit 0fb8312
* Wed Mar 13 2024 nik.borisov@suse.com
- RAS/AMD/FMPM: Save SPA values (jsc#PED-7619).
- commit 749cc57
* Wed Mar 13 2024 nik.borisov@suse.com
- Sort the AMD edac patches
- Refresh
  patches.suse/Documentation-RAS-Add-index-and-address-translation-sectio.patch.
- Refresh
  patches.suse/EDAC-amd64-Use-new-AMD-Address-Translation-Library.patch.
- Refresh
  patches.suse/RAS-AMD-ATL-Add-MI300-DRAM-to-normalized-address-translati.patch.
- Refresh
  patches.suse/RAS-AMD-ATL-Add-MI300-row-retirement-support.patch.
- Refresh patches.suse/RAS-AMD-ATL-Add-MI300-support.patch.
- Refresh
  patches.suse/RAS-AMD-ATL-Fix-array-overflow-in-get_logical_coh_st_fabri.patch.
- Refresh
  patches.suse/RAS-AMD-ATL-Fix-bit-overflow-in-denorm_addr_df4_np2.patch.
- Refresh
  patches.suse/RAS-Introduce-AMD-Address-Translation-Library.patch.
- Refresh
  patches.suse/RAS-Introduce-a-FRU-memory-poison-manager.patch.
- commit 9e22745
* Wed Mar 13 2024 tiwai@suse.de
- net: phy: fix phy_get_internal_delay accessing an empty array
  (git-fixes).
- Bluetooth: Remove superfluous call to hci_conn_check_pending()
  (git-fixes).
- Bluetooth: mgmt: Remove leftover queuing of power_off work
  (git-fixes).
- Bluetooth: Remove HCI_POWER_OFF_TIMEOUT (git-fixes).
- wifi: rtw88: 8821c: Fix false alarm count (git-fixes).
- wifi: ath11k: initialize rx_mcs_80 and rx_mcs_160 before use
  (git-fixes).
- wifi: ath9k: delay all of ath9k_wmi_event_tasklet() until init
  is complete (git-fixes).
- wifi: brcmsmac: avoid function pointer casts (git-fixes).
- wifi: wilc1000: prevent use-after-free on vif when cleaning
  up all interfaces (git-fixes).
- wifi: iwlwifi: mvm: don't set replay counters to 0xff
  (git-fixes).
- wifi: libertas: fix some memleaks in lbs_allocate_cmd_buffer()
  (git-fixes).
- wifi: iwlwifi: mvm: use FW rate for non-data only on new devices
  (git-fixes).
- wifi: iwlwifi: fix EWRD table validity check (git-fixes).
- wifi: iwlwifi: dbg-tlv: ensure NUL termination (git-fixes).
- wifi: iwlwifi: mvm: report beacon protection failures
  (git-fixes).
- wifi: brcmfmac: fix copyright year mentioned in platform_data
  header (git-fixes).
- wifi: ath10k: fix NULL pointer dereference in
  ath10k_wmi_tlv_op_pull_mgmt_tx_compl_ev() (git-fixes).
- can: softing: remove redundant NULL check (git-fixes).
- wifi: mwifiex: debugfs: Drop unnecessary error check for
  debugfs_create_dir() (git-fixes).
- wifi: wilc1000: fix multi-vif management when deleting a vif
  (git-fixes).
- wifi: rtl8xxxu: add cancel_work_sync() for c2hcmd_work
  (git-fixes).
- wifi: b43: Disable QoS for bcm4331 (git-fixes).
- wifi: b43: Stop correct queue in DMA worker when QoS is disabled
  (git-fixes).
- wifi: b43: Stop/wake correct queue in PIO Tx path when QoS is
  disabled (git-fixes).
- wifi: b43: Stop/wake correct queue in DMA Tx path when QoS is
  disabled (git-fixes).
- doc-guide: kernel-doc: tell about object-like macros
  (git-fixes).
- commit 15851fa
* Wed Mar 13 2024 neilb@suse.de
- nfsd: don't take fi_lock in nfsd_break_deleg_cb() (git-fixes).
- NFSv4.1: fixup use EXCHGID4_FLAG_USE_PNFS_DS for DS server
  (git-fixes).
- commit 407c3c5
* Wed Mar 13 2024 neilb@suse.de
- Refresh patches.suse/nfsd-fix-RELEASE_LOCKOWNER.patch.
  Add git-commit info
- commit bc859f9
* Wed Mar 13 2024 neilb@suse.de
- pNFS: Fix the pnfs block driver's calculation of layoutget size
  (git-fixes).
- NFSv4.1/pnfs: Ensure we handle the error NFS4ERR_RETURNCONFLICT
  (git-fixes).
- blocklayoutdriver: Fix reference leak of pnfs_device_node
  (git-fixes).
- SUNRPC: Fix a suspicious RCU usage warning (git-fixes).
- nfsd: fix file memleak on client_opens_release (git-fixes).
- SUNRPC: Fix RPC client cleaned up the freed pipefs dentries
  (git-fixes).
- NFSv4.1: fix SP4_MACH_CRED protection for pnfs IO (git-fixes).
- SUNRPC: Add an IS_ERR() check back to where it was (git-fixes).
- SUNRPC: ECONNRESET might require a rebind (git-fixes).
- svcrdma: Drop connection after an RDMA Read error (git-fixes).
- nfsd: lock_rename() needs both directories to live on the same
  fs (git-fixes).
- pNFS/flexfiles: Check the layout validity in
  ff_layout_mirror_prepare_stats (git-fixes).
- pNFS: Fix a hang in nfs4_evict_inode() (git-fixes).
- Revert "SUNRPC dont update timeout value on connection reset"
  (git-fixes).
- NFSv4: Fix a state manager thread deadlock regression
  (git-fixes).
- NFSv4: Fix a nfs4_state_manager() race (git-fixes).
- NFSv4.1: use EXCHGID4_FLAG_USE_PNFS_DS for DS server
  (git-fixes).
- NFS: rename nfs_client_kset to nfs_kset (git-fixes).
- commit dc5b918
* Wed Mar 13 2024 tbogendoerfer@suse.de
- Refresh patches.kabi/team-Hide-new-member-header-ops.patch.
  Fix for kABI workaround.
- commit 6ba2f5d
* Tue Mar 12 2024 lhenriques@suse.de
- ceph: fix deadlock or deadcode of misusing dget() (bsc#1221058
  CVE-2023-52583).
- commit 1a81018
* Tue Mar 12 2024 pvorel@suse.cz
- sched/rt: Disallow writing invalid values to sched_rt_period_us
  (bsc#1220176).
- commit ee86051
* Tue Mar 12 2024 lhenriques@suse.de
- Update
  patches.suse/netfs-fscache-Prevent-Oops-in-fscache_put_cache.patch
  (bsc#1220003 bsc#1221291 CVE-2024-26612).
- commit 0607d13
* Tue Mar 12 2024 lhenriques@suse.de
- netfs: Only call folio_start_fscache() one time for each folio
  (CVE-2023-52582 bsc#1220878).
- commit dfd082b
* Tue Mar 12 2024 lhenriques@suse.de
- netfs: Only call folio_start_fscache() one time for each folio
  (CVE-2023-52582 bsc#1220878).
- commit b301f9c
* Tue Mar 12 2024 jslaby@suse.cz
- Refresh
  patches.suse/mm-ima-kexec-of-use-memblock_free_late-from-ima_free.patch.
  Fix:
  * Section mismatch (function ima_free_kexec_buffer()) in modpost: vmlinux.o in ima_free_kexec_buffer()
  WARNING: modpost: vmlinux.o(.text+0xac1250): Section mismatch in reference from the function ima_free_kexec_buffer() to the function .init.text:__memblock_free_late()
- commit 5522f01
* Tue Mar 12 2024 ddiss@suse.de
- scsi: target: core: Silence the message about unknown VPD pages
  (bsc#1221252).
- commit 1d550ca
* Mon Mar 11 2024 pvorel@suse.cz
- sched/rt: sysctl_sched_rr_timeslice show default timeslice
  after reset (bsc#1220176).
- commit 4ac46cd
* Mon Mar 11 2024 msuchanek@suse.de
- powerpc/pseries/iommu: IOMMU table is not initialized for
  kdump over SR-IOV (bsc#1220492 ltc#205270).
- commit 27b28f5
* Mon Mar 11 2024 oneukum@suse.com
- Update
  patches.suse/usb-hub-Guard-against-accesses-to-uninitialized-BOS-.patch
  (bsc#1220790 CVE-2023-52477).
- commit d33bab7
* Mon Mar 11 2024 dwagner@suse.de
- nvmet-fc: take ref count on tgtport before delete assoc
  (git-fixes).
- nvmet-fc: avoid deadlock on delete association path (git-fixes).
- nvmet-fc: abort command when there is no binding (git-fixes).
- nvmet-fc: hold reference on hostport match (git-fixes).
- nvmet-fc: defer cleanup using RCU properly (git-fixes).
- nvmet-fc: release reference on target port (git-fixes).
- nvmet-fcloop: swap the list_add_tail arguments (git-fixes).
- nvme-fc: do not wait in vain when unloading module (git-fixes).
- nvmet-tcp: fix nvme tcp ida memory leak (git-fixes).
- commit 4d1e993
* Mon Mar 11 2024 colyli@suse.de
- raid1: fix use-after-free for original bio in
  raid1_write_request() (bsc#1221097).
- md: fix data corruption for raid456 when reshape restart while
  grow up (git-fixes).
- commit 35ee14b
* Sun Mar 10 2024 tiwai@suse.de
- i2c: aspeed: Fix the dummy irq expected print (git-fixes).
- i2c: wmt: Fix an error handling path in wmt_i2c_probe()
  (git-fixes).
- i2c: i801: Avoid potential double call to
  gpiod_remove_lookup_table (git-fixes).
- comedi: comedi_test: Prevent timers rescheduling during deletion
  (git-fixes).
- iio: pressure: dlhl60d: Initialize empty DLH bytes (git-fixes).
- tty: serial: fsl_lpuart: avoid idle preamble pending if CTS
  is enabled (git-fixes).
- vt: fix unicode buffer corruption when deleting characters
  (git-fixes).
- usb: port: Don't try to peer unused USB ports based on location
  (git-fixes).
- usb: gadget: ncm: Fix handling of zero block length packets
  (git-fixes).
- USB: usb-storage: Prevent divide-by-0 error in
  isd200_ata_command (git-fixes).
- Input: synaptics-rmi4 - fix UAF of IRQ domain on driver removal
  (git-fixes).
- ASoC: rcar: adg: correct TIMSEL setting for SSI9 (git-fixes).
- ASoC: madera: Fix typo in madera_set_fll_clks shift value
  (git-fixes).
- ALSA: hda/realtek - Fix headset Mic no show at resume back
  for Lenovo ALC897 platform (git-fixes).
- drm/i915/selftests: Fix dependency of some timeouts on HZ
  (git-fixes).
- drm/i915: Check before removing mm notifier (git-fixes).
- commit 5e91dbb
* Sat Mar  9 2024 dfaggioli@suse.com
- s390/vfio-ap: wire in the vfio_device_ops request callback
  (bsc#1205316).
- commit dc0bc15
* Sat Mar  9 2024 dfaggioli@suse.com
- s390/vfio-ap: realize the VFIO_DEVICE_SET_IRQS ioctl
  (bsc#1205316).
- commit 17d9de4
* Fri Mar  8 2024 iivanov@suse.de
- Fix "coresight: etm4x: Change etm4_platform_driver driver for MMIO devices" (bsc#1220775)
  Hunk with clk_put(drvdata->pclk) was incorrectly moved to another function.
- Refresh patches.suse/coresight-etm4x-Change-etm4_platform_driver-driver-for-MMIO-devices.patch.
- Refresh patches.suse/coresight-etm4x-Ensure-valid-drvdata-and-clock-before-clk_put.patch.
- commit 8983adc
* Fri Mar  8 2024 colyli@suse.de
- raid1: fix use-after-free for original bio in
  raid1_write_request() (bsc#1221097).
- commit 5154c94
* Fri Mar  8 2024 dfaggioli@suse.com
- s390/vfio-ap: realize the VFIO_DEVICE_GET_IRQ_INFO ioctl
  (bsc#1205316).
- commit dbbf2ae
* Fri Mar  8 2024 tiwai@suse.de
- ALSA: hda/realtek: fix mute/micmute LED For HP mt440
  (git-fixes).
- ALSA: hda/realtek: Enable Mute LED on HP 840 G8 (MB 8AB8)
  (git-fixes).
- commit d4f6f9f
* Fri Mar  8 2024 pjakobsson@suse.de
- drm/radeon: check the alloc_workqueue return value in radeon_crtc_init() (bsc#1220413 CVE-2023-52470).
- commit 9d7d799
* Fri Mar  8 2024 pjakobsson@suse.de
- drivers/amd/pm: fix a use-after-free in kv_parse_power_table (bsc#1220411 CVE-2023-52469).
- commit f4f0cf4
* Thu Mar  7 2024 iivanov@suse.de
- coresight: etm: Override TRCIDR3.CCITMIN on errata affected cpus (bsc#1220775)
- commit 4473cfd
* Thu Mar  7 2024 iivanov@suse.de
- coresight: etm4x: Do not access TRCIDR1 for identification (bsc#1220775)
- Refresh patches.suse/coresight-etm4x-Change-etm4_platform_driver-driver-for-MMIO-devices.patch.
- Refresh patches.suse/coresight-etm4x-Ensure-valid-drvdata-and-clock-before-clk_put.patch.
- commit ef5cdf7
* Thu Mar  7 2024 nmorey@suse.com
- IB/ipoib: Fix mcast list locking (git-fixes)
- commit 8d1c71a
* Thu Mar  7 2024 nmorey@suse.com
- RDMA/IPoIB: Fix error code return in ipoib_mcast_join (git-fixes)
- commit c54bb31
* Thu Mar  7 2024 iivanov@suse.de
- coresight: etm4x: Fix accesses to TRCSEQRSTEVR and TRCSEQSTR (bsc#1220775)
- commit fba33fc
* Thu Mar  7 2024 msuchanek@suse.de
- group-source-files.pl: Quote filenames (boo#1221077).
  The kernel source now contains a file with a space in the name.
  Add quotes in group-source-files.pl to avoid splitting the filename.
  Also use -print0 / -0 when updating timestamps.
- commit a005e42
* Thu Mar  7 2024 jslaby@suse.cz
- mm,ima,kexec,of: use memblock_free_late from
  ima_free_kexec_buffer (bsc#1220872 CVE-2023-52576).
- commit b1b1c9a
* Thu Mar  7 2024 iivanov@suse.de
- PCI/MSI: Prevent MSI hardware interrupt number truncation (bsc#1218777)
- commit 5410859
* Thu Mar  7 2024 iivanov@suse.de
- Update patches.suse/phy-ti-phy-omap-usb2-Fix-NULL-pointer-dereference-fo.patch (git-fixes,bsc#1220340,CVE-2024-26600)
- commit e321d5a
* Thu Mar  7 2024 iivanov@suse.de
- phy: ti: phy-omap-usb2: Fix NULL pointer dereference for SRP (bsc#1220340,CVE-2024-26600)
- commit 78e2b4a
* Thu Mar  7 2024 ddiss@suse.de
- erofs: fix lz4 inplace decompression (CVE-2023-52497
  bsc#1220879).
- commit ddeedf9
* Thu Mar  7 2024 ailiop@suse.com
- ACPI: extlog: fix NULL pointer dereference check (bsc#1221039
  CVE-2023-52605).
- commit 635c481
* Wed Mar  6 2024 iivanov@suse.de
- Update patches.suse/arm64-errata-Add-Cortex-A520-speculative-unprivileged-load-workaround.patch (bsc#1219443, bsc#1220887, CVE-2023-52481)
- commit 52243ca
* Wed Mar  6 2024 msuchanek@suse.de
- kernel-binary: Fix i386 build
  Fixes: 89eaf4cdce05 ("rpm templates: Move macro definitions below buildrequires")
- commit f7c6351
* Wed Mar  6 2024 fdmanana@suse.com
- btrfs: remove BUG() after failure to insert delayed dir index
  item (bsc#1220918 CVE-2023-52569).
- btrfs: improve error message after failure to add delayed dir
  index item (bsc#1220918 CVE-2023-52569).
- commit 53e1d2d
* Wed Mar  6 2024 denis.kirjanov@suse.com
- net: nfc: fix races in nfc_llcp_sock_get() and
  nfc_llcp_sock_get_sn() (CVE-2023-52502 bsc#1220831).
- commit 8c33586
* Wed Mar  6 2024 tbogendoerfer@suse.de
- kabi: team: Hide new member header_ops (bsc#1220870
  CVE-2023-52574).
- commit 9f49992
* Wed Mar  6 2024 mfranc@suse.cz
- KVM: s390: fix setting of fpc register (git-fixes bsc#1220392
  bsc#1221040 CVE-2023-52597).
- commit a90b87c
* Wed Mar  6 2024 petr.pavlu@suse.com
- tracing: Inform kmemleak of saved_cmdlines allocation
  (git-fixes).
- commit bb07230
* Wed Mar  6 2024 lhenriques@suse.de
- Update
  patches.suse/ceph-drop-messages-from-MDS-when-unmounting.patch
  (jsc#SES-1880 CVE-2022-48628 bsc#1220848).
- commit 187fa94
* Wed Mar  6 2024 msuchanek@suse.de
- kernel-binary: vdso: fix filelist for non-usrmerged kernel
  Fixes: a6ad8af207e6 ("rpm templates: Always define usrmerged")
- commit fb3f221
* Wed Mar  6 2024 shung-hsi.yu@suse.com
- bpf, sockmap: Reject sk_msg egress redirects to non-TCP sockets
  (bsc#1220926 CVE-2023-52523).
- commit 90d9f50
* Wed Mar  6 2024 colyli@suse.de
- md: Make sure md_do_sync() will set MD_RECOVERY_DONE
  (git-fixes).
- md: Don't ignore suspended array in md_check_recovery()
  (git-fixes).
- md: Whenassemble the array, consult the superblock of the
  freshest device (git-fixes).
- md: don't leave 'MD_RECOVERY_FROZEN' in error path of
  md_set_readonly() (git-fixes).
- md/raid6: use valid sector values to determine if an I/O should
  wait on the reshape (git-fixes).
- md/raid5: release batch_last before waiting for another
  stripe_head (git-fixes).
- md/raid10: check slab-out-of-bounds in md_bitmap_get_counter
  (git-fixes).
- md: introduce md_ro_state (git-fixes).
- commit cef73db
* Wed Mar  6 2024 jlee@suse.com
- aoe: fix the potential use-after-free problem in aoecmd_cfg_pkts
  (bsc#1218562 CVE-2023-6270).
- commit 57a4cd4
* Wed Mar  6 2024 jlee@suse.com
- efivarfs: force RO when remounting if SetVariable is not
  supported (bsc#1220328 CVE-2023-52463).
- commit eed7fb0
* Wed Mar  6 2024 mkoutny@suse.com
- topology: Fix up build warning in topology_is_visible()
  (jsc#PED-7618).
- commit 6c82a8d
* Wed Mar  6 2024 mkoutny@suse.com
- topology/sysfs: Hide PPIN on systems that do not support it
  (jsc#PED-7618).
- commit d8d9717
* Wed Mar  6 2024 colyli@suse.de
- blacklist.conf: add non-backport md git-fixes commits
- commit b13564d
* Wed Mar  6 2024 jroedel@suse.de
- iommu/vt-d: Avoid memory allocation in iommu_suspend()
  (CVE-2023-52559 bsc#1220933).
- commit c9b01ef
* Tue Mar  5 2024 msuchanek@suse.de
- Refresh patches.suse/0001-powerpc-pseries-memhp-Fix-access-beyond-end-of-drmem.patch.
  - update to upstream version
  - rename to same name as SLE15 SP5
- commit 1d2def1
* Tue Mar  5 2024 tbogendoerfer@suse.de
- ravb: Fix use-after-free issue in ravb_tx_timeout_work()
  (bsc#1212514 CVE-2023-35827).
- team: fix null-ptr-deref when team device type is changed
  (bsc#1220870 CVE-2023-52574).
- commit 2cc53f5
* Tue Mar  5 2024 tbogendoerfer@suse.de
- Update
  patches.suse/ice-xsk-return-xsk-buffers-back-to-pool-when-cleanin.patch
  (jsc#SLE-18375 bsc#1220961 CVE-2021-47105).
- Update patches.suse/net-mana-Fix-TX-CQE-error-handling.patch
  (bsc#1215986 bsc#1220932 CVE-2023-52532).
- Update
  patches.suse/net-mlx5e-Wrap-the-tx-reporter-dump-callback-to-extr.patch
  (jsc#SLE-19253 bsc#1220486 CVE-2021-46931).
  Added CVE references.
- commit 3e396c2
* Tue Mar  5 2024 oneukum@suse.com
- Input: pm8941-powerkey - fix debounce on gen2+ PMICs
  (git-fixes).
- commit bbebd44
* Tue Mar  5 2024 oneukum@suse.com
- Input: pm8941-pwrkey - add support for PON GEN3 base addresses
  (git-fixes).
- commit 7ab5a9e
* Tue Mar  5 2024 jdelvare@suse.de
- Update patches.suse/i2c-validate-user-data-in-compat-ioctl.patch
  (git-fixes bsc#1220469 CVE-2021-46934).
  Add bug and CVE references.
- commit 3a04060
* Tue Mar  5 2024 shung-hsi.yu@suse.com
- bpf: fix check for attempt to corrupt spilled pointer
  (bsc#1220325 CVE-2023-52462).
- commit 34faa5d
* Tue Mar  5 2024 petr.pavlu@suse.com
- tracing: Fix wasted memory in saved_cmdlines logic (git-fixes).
- commit 6793acf
* Tue Mar  5 2024 nik.borisov@suse.com
- KVM: x86: Export RFDS_NO and RFDS_CLEAR to guests (bsc#1213456 CVE-2023-28746).
- commit 7f00c86
* Tue Mar  5 2024 petr.pavlu@suse.com
- tracing/probes: Fix to show a parse error for bad type for $comm
  (git-fixes).
- commit fceb89f
* Tue Mar  5 2024 nik.borisov@suse.com
- x86/rfds: Mitigate Register File Data Sampling (RFDS) (bsc#1213456 CVE-2023-28746).
- commit ee70608
* Tue Mar  5 2024 petr.pavlu@suse.com
- ring-buffer: Clean ring_buffer_poll_wait() error return
  (git-fixes).
- commit 27ae4ee
* Tue Mar  5 2024 nik.borisov@suse.com
- Documentation/hw-vuln: Add documentation for RFDS (bsc#1213456 CVE-2023-28746).
- commit c955133
* Tue Mar  5 2024 petr.pavlu@suse.com
- blacklist.conf: add kABI-breaking tracing fixes, not worth it
- commit 8058748
* Tue Mar  5 2024 tiwai@suse.de
- wifi: mac80211: fix potential key use-after-free (CVE-2023-52530
  bsc#1220930).
- commit 3feca94
* Tue Mar  5 2024 tiwai@suse.de
- Update patch reference for iwlwifi fix (CVE-2023-52531 bsc#1220931)
- commit bde87cf
* Tue Mar  5 2024 tiwai@suse.de
- Update patch reference for pinctrl fix (CVE-2021-47083 bsc#1220917)
- commit b608623
* Tue Mar  5 2024 pjakobsson@suse.de
- drm/bridge: sii902x: Fix probing race issue (bsc#1220736 CVE-2024-26607).
- commit 70198c4
* Tue Mar  5 2024 jslaby@suse.cz
- Update
  patches.suse/vt-fix-memory-overlapping-when-deleting-chars-in-the.patch
  (git-fixes bsc#1220845 CVE-2022-48627).
- Update
  patches.suse/x86-srso-add-srso-mitigation-for-hygon-processors.patch
  (git-fixes bsc#1220735 CVE-2023-52482).
  Add CVE references.
- commit dcdac38
* Tue Mar  5 2024 mbrugger@suse.com
- mfd: syscon: Fix null pointer dereference in
  of_syscon_register() (bsc#1220433 CVE-2023-52467).
- commit b0262b8
* Tue Mar  5 2024 oneukum@suse.com
- Input: pm8941-pwrkey - add software key press debouncing support
  (git-fixes).
- commit 00016c1
* Tue Mar  5 2024 shung-hsi.yu@suse.com
- bpf: Fix re-attachment branch in bpf_tracing_prog_attach
  (bsc#1220254 CVE-2024-26591).
- commit fc948d3
* Tue Mar  5 2024 shung-hsi.yu@suse.com
- selftests/bpf: Add test for alu on PTR_TO_FLOW_KEYS (bsc#1220255
  CVE-2024-26589).
- bpf: Reject variable offset alu on PTR_TO_FLOW_KEYS (bsc#1220255
  CVE-2024-26589).
- commit 8a833ce
* Tue Mar  5 2024 mkubecek@suse.cz
- tls: fix race between tx work scheduling and socket close
  (CVE-2024-26585 bsc#1220187).
- commit 1306bff
* Tue Mar  5 2024 mkubecek@suse.cz
- kabi: restore return type of dst_ops::gc() callback
  (CVE-2023-52340 bsc#1219295).
- ipv6: remove max_size check inline with ipv4 (CVE-2023-52340
  bsc#1219295).
- commit b8eec42
* Mon Mar  4 2024 mkubecek@suse.cz
- netfilter: nf_tables: fix 64-bit load issue in
  nft_byteorder_eval() (CVE-2024-0607 bsc#1218915).
- netfilter: nf_tables: fix pointer math issue in
  nft_byteorder_eval() (CVE-2024-0607 bsc#1218915).
- commit e095cd0
* Mon Mar  4 2024 mkubecek@suse.cz
- netfilter: nft_set_pipapo: skip inactive elements during set
  walk (CVE-2023-6817 bsc#1218195).
- commit 4032aa7
* Mon Mar  4 2024 ailiop@suse.com
- tomoyo: fix UAF write bug in tomoyo_write_control() (bsc#1220825
  CVE-2024-26622).
- commit c8e5b38
* Mon Mar  4 2024 petr.pavlu@suse.com
- doc/README.SUSE: Update information about module support status
  (jsc#PED-5759)
  Following the code change in SLE15-SP6 to have externally supported
  modules no longer taint the kernel, update the respective documentation
  in README.SUSE:
  * Describe that support status can be obtained at runtime for each
  module from /sys/module/$MODULE/supported and for the entire system
  from /sys/kernel/supported. This provides a way how to now check that
  the kernel has any externally supported modules loaded.
  * Remove a mention that externally supported modules taint the kernel,
  but keep the information about bit 16 (X) and add a note that it is
  still tracked per module and can be read from
  /sys/module/$MODULE/taint. This per-module information also appears in
  Oopses.
- commit 9ed8107
* Mon Mar  4 2024 fdmanana@suse.com
- btrfs: fix double free of anonymous device after snapshot
  creation failure (bsc#1219126 CVE-2024-23850).
- commit 257a534
* Mon Mar  4 2024 fdmanana@suse.com
- btrfs: do not ASSERT() if the newly created subvolume already
  got read (bsc#1219126 CVE-2024-23850).
- commit a2ac581
* Mon Mar  4 2024 shung-hsi.yu@suse.com
- bpf: Minor cleanup around stack bounds (bsc#1220257
  CVE-2023-52452).
- bpf: Fix accesses to uninit stack slots (bsc#1220257
  CVE-2023-52452).
- bpf: Guard stack limits against 32bit overflow (git-fixes).
- bpf: Fix verification of indirect var-off stack access
  (git-fixes).
- bpf: Minor cleanup around stack bounds (bsc#1220257
  CVE-2023-52452).
- bpf: Fix accesses to uninit stack slots (bsc#1220257
  CVE-2023-52452).
- bpf: Add some comments to stack representation (bsc#1220257
  CVE-2023-52452).
- Refresh patches.kabi/kABI-fix-bpf-Tighten-ptr_to_btf_id-checks.patch
- bpf: Guard stack limits against 32bit overflow (git-fixes).
- bpf: Fix verification of indirect var-off stack access
  (git-fixes).
- bpf: Minor logging improvement (bsc#1220257).
- commit 7d03125
* Mon Mar  4 2024 oneukum@suse.com
- Input: i8042 - add Fujitsu Lifebook U728 to i8042 quirk table
  (git-fixes).
- commit b66785f
* Mon Mar  4 2024 oneukum@suse.com
- Input: i8042 - fix strange behavior of touchpad on Clevo NS70PU
  (git-fixes).
- commit 33289fd
* Mon Mar  4 2024 oneukum@suse.com
- Input: xpad - add Lenovo Legion Go controllers (git-fixes).
- commit a41f935
* Mon Mar  4 2024 oneukum@suse.com
- Input: i8042 - add Fujitsu Lifebook E5411 to i8042 quirk table
  (git-fixes).
- commit 80bb041
* Mon Mar  4 2024 oneukum@suse.com
- blacklist.conf: kABI
- commit e10e64a
* Mon Mar  4 2024 oneukum@suse.com
- Input: i8042 - add quirk for Fujitsu Lifebook A574/H
  (git-fixes).
- commit f166a3d
* Mon Mar  4 2024 oneukum@suse.com
- blacklist.conf: kABI
- commit 2948031
* Mon Mar  4 2024 jslaby@suse.cz
- serial: 8250: omap: Don't skip resource freeing if
  pm_runtime_resume_and_get() failed (bsc#1220350 CVE-2023-52457).
- commit c82f528
* Mon Mar  4 2024 jslaby@suse.cz
- serial: imx: fix tx statemachine deadlock (bsc#1220364
  CVE-2023-52456).
- commit cd9f92c
* Mon Mar  4 2024 osalvador@suse.de
- powerpc/pseries/memhp: Fix access beyond end of drmem array
  (bsc#1220250,CVE-2023-52451).
- commit fdc7254
* Mon Mar  4 2024 oneukum@suse.com
- usb: f_mass_storage: forbid async queue when shutdown happen
  (git-fixes).
- commit 35228c0
* Mon Mar  4 2024 oneukum@suse.com
- usb: hub: Replace hardcoded quirk value with BIT() macro
  (git-fixes).
- commit 1d57e38
* Mon Mar  4 2024 oneukum@suse.com
- net: usb: dm9601: fix wrong return value in dm9601_mdio_read
  (git-fixes).
- commit 012813c
* Mon Mar  4 2024 tiwai@suse.de
- Update patch reference for input fix (CVE-2021-46932 bsc#1220444)
- commit e44e0b1
* Mon Mar  4 2024 oneukum@suse.com
- lan78xx: enable auto speed configuration for LAN7850 if no
  EEPROM is detected (git-commit).
- commit bcacbd9
* Mon Mar  4 2024 tiwai@suse.de
- usb: dwc3: gadget: Ignore End Transfer delay on teardown
  (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Add-1ms-delay-after-end-transfer-com.patch.
- commit 251cd08
* Mon Mar  4 2024 tiwai@suse.de
- tomoyo: fix UAF write bug in tomoyo_write_control() (git-fixes).
- wifi: nl80211: reject iftype change with mesh ID change
  (git-fixes).
- usb: dwc3: gadget: Don't disconnect if not started (git-fixes).
- wifi: mac80211: adding missing drv_mgd_complete_tx() call
  (git-fixes).
- usb: f_mass_storage: forbid async queue when shutdown happen
  (git-fixes).
- usb: dwc3: host: Set XHCI_SG_TRB_CACHE_SIZE_QUIRK (git-fixes).
- spi: sh-msiof: avoid integer overflow in constants (git-fixes).
- wifi: mac80211: fix race condition on enabling fast-xmit
  (git-fixes).
- wifi: cfg80211: fix missing interfaces when dumping (git-fixes).
- usb: dwc3: gadget: Queue PM runtime idle on disconnect event
  (git-fixes).
- usb: dwc3: gadget: Handle EP0 request dequeuing properly
  (git-fixes).
- usb: hub: Replace hardcoded quirk value with BIT() macro
  (git-fixes).
- tty: allow TIOCSLCKTRMIOS with CAP_CHECKPOINT_RESTORE
  (git-fixes).
- watchdog: it87_wdt: Keep WDTCTRL bit 3 unmodified for
  IT8784/IT8786 (git-fixes).
- wifi: cfg80211: fix RCU dereference in __cfg80211_bss_update
  (git-fixes).
- wifi: cfg80211: free beacon_ies when overridden from hidden BSS
  (git-fixes).
- wifi: rtlwifi: rtl8723{be,ae}: using calculate_bit_shift()
  (git-fixes).
- wifi: rtl8xxxu: Add additional USB IDs for RTL8192EU devices
  (git-fixes).
- wifi: ath9k: Fix potential array-index-out-of-bounds read in
  ath9k_htc_txstatus() (git-fixes).
- wifi: rt2x00: restart beacon queue when hardware reset
  (git-fixes).
- wifi: iwlwifi: mvm: avoid baid size integer overflow
  (git-fixes).
- wifi: wext-core: Fix -Wstringop-overflow warning in
  ioctl_standard_iw_point() (git-fixes).
- wifi: ath11k: fix registration of 6Ghz-only phy without the
  full channel range (git-fixes).
- usb: dwc3: gadget: Refactor EP0 forced stall/restart into a
  separate API (git-fixes).
- usb: dwc3: gadget: Submit endxfer command if delayed during
  disconnect (git-fixes).
- commit 8b4f9a3
* Mon Mar  4 2024 tiwai@suse.de
- power: supply: bq27xxx-i2c: Do not free non existing IRQ
  (git-fixes).
- mmc: sdhci-xenon: add timeout for PHY init complete (git-fixes).
- mmc: sdhci-xenon: fix PHY init clock stability (git-fixes).
- mmc: core: Fix eMMC initialization with 1-bit bus connection
  (git-fixes).
- net: usb: dm9601: fix wrong return value in dm9601_mdio_read
  (git-fixes).
- mtd: spinand: gigadevice: Fix the get ecc status issue
  (git-fixes).
- nouveau: fix function cast warnings (git-fixes).
- media: ir_toy: fix a memleak in irtoy_tx (git-fixes).
- media: rc: bpf attach/detach requires write permission
  (git-fixes).
- mmc: slot-gpio: Allow non-sleeping GPIO ro (git-fixes).
- regulator: pwm-regulator: Add validity checks in continuous
  .get_voltage (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the TECLAST X16
  Plus tablet (git-fixes).
- spi: hisi-sfc-v3xx: Return IRQ_NONE if no interrupts were
  detected (git-fixes).
- PCI: switchtec: Fix stdev_release() crash after surprise hot
  remove (git-fixes).
- PCI: Fix 64GT/s effective data rate calculation (git-fixes).
- PCI: Only override AMD USB controller if required (git-fixes).
- PCI/AER: Decode Requester ID when no error info found
  (git-fixes).
- media: ddbridge: fix an error code problem in ddb_probe
  (git-fixes).
- mmc: mmc_spi: remove custom DMA mapped buffers (git-fixes).
- mmc: core: Use mrq.sbc in close-ended ffu (git-fixes).
- PCI: Add no PM reset quirk for NVIDIA Spectrum devices
  (git-fixes).
- pstore/ram: Fix crash when setting number of cpus to an odd
  number (git-fixes).
- PNP: ACPI: fix fortify warning (git-fixes).
- regulator: core: Only increment use_count when enable_count
  changes (git-fixes).
- PM: core: Remove unnecessary (void *) conversions (git-fixes).
- serial: 8250: Remove serial_rs485 sanitization from em485
  (git-fixes).
- PM: runtime: Have devm_pm_runtime_enable() handle
  pm_runtime_dont_use_autosuspend() (git-fixes).
- commit 9894050
* Mon Mar  4 2024 tiwai@suse.de
- gpio: fix resource unwinding order in error path (git-fixes).
- commit f4d7f82
* Mon Mar  4 2024 tiwai@suse.de
- gpiolib: Fix the error path order in
  gpiochip_add_data_with_key() (git-fixes).
- commit 9367441
* Mon Mar  4 2024 jdelvare@suse.de
- Update patches.suse/i2c-Fix-a-potential-use-after-free.patch
  (git-fixes bsc#1220409 CVE-2019-25162).
  Add bug and CVE references.
- commit 6df4ebd
* Mon Mar  4 2024 tiwai@suse.de
- Input: iqs269a - switch to DEFINE_SIMPLE_DEV_PM_OPS() and
  pm_sleep_ptr() (git-fixes).
- Refresh
  patches.suse/Input-iqs269a-do-not-poll-during-suspend-or-resume.patch.
- commit 7360a05
* Mon Mar  4 2024 tiwai@suse.de
- i2c: imx: Add timer for handling the stop condition (git-fixes).
- Refresh
  patches.suse/i2c-imx-Make-sure-to-unregister-adapter-on-remove.patch.
- commit 3a3d0f8
* Mon Mar  4 2024 tiwai@suse.de
- gpio: 74x164: Enable output pins after registers are reset
  (git-fixes).
- efi/capsule-loader: fix incorrect allocation size (git-fixes).
- fbcon: always restore the old font data in fbcon_do_set_font()
  (git-fixes).
- lan78xx: enable auto speed configuration for LAN7850 if no
  EEPROM is detected (git-fixes).
- i2c: imx: when being a target, mark the last read as processed
  (git-fixes).
- i2c: i801: Fix block process call transactions (git-fixes).
- iio: hid-sensor-als: Return 0 for
  HID_USAGE_SENSOR_TIME_TIMESTAMP (git-fixes).
- firewire: core: send bus reset promptly on gap count error
  (git-fixes).
- efi: Don't add memblocks for soft-reserved memory (git-fixes).
- hwmon: (coretemp) Enlarge per package core count limit
  (git-fixes).
- Input: xpad - add Lenovo Legion Go controllers (git-fixes).
- gpiolib: acpi: Ignore touchpad wakeup on GPD G1619-04
  (git-fixes).
- fbdev: sis: Error out if pixclock equals zero (git-fixes).
- fbdev: savage: Error out if pixclock equals zero (git-fixes).
- libsubcmd: Fix memory leak in uniq() (git-fixes).
- iio: adc: ad7091r: Set alert bit in config register (git-fixes).
- i3c: master: cdns: Update maximum prescaler value for i2c clock
  (git-fixes).
- leds: trigger: panic: Don't register panic notifier if creating
  the trigger failed (git-fixes).
- media: rockchip: rga: fix swizzling for RGB formats (git-fixes).
- media: stk1160: Fixed high volume of stk1160_dbg messages
  (git-fixes).
- i2c: i801: Remove i801_set_block_buffer_mode (git-fixes).
- HID: apple: Add 2021 magic keyboard FN key mapping (git-fixes).
- HID: apple: Add support for the 2021 Magic Keyboard (git-fixes).
- commit 0f0032c
* Mon Mar  4 2024 tiwai@suse.de
- dmaengine: ptdma: use consistent DMA masks (git-fixes).
- dmaengine: fsl-qdma: init irq after reg initialization
  (git-fixes).
- dmaengine: fsl-qdma: fix SoC may hang on 16 byte unaligned read
  (git-fixes).
- Revert "drm/amd/pm: resolve reboot exception for si oland"
  (git-fixes).
- drm/buddy: fix range bias (git-fixes).
- drm/amd/display: Fix memory leak in dm_sw_fini() (git-fixes).
- drm/syncobj: call drm_syncobj_fence_add_wait when WAIT_AVAILABLE
  flag is set (git-fixes).
- drm/ttm: Fix an invalid freeing on already freed page in error
  path (git-fixes).
- drm/amd/display: Preserve original aspect ratio in create stream
  (git-fixes).
- Revert "drm/amd/display: increased min_dcfclk_mhz and
  min_fclk_mhz" (git-fixes).
- drm/prime: Support page array >= 4GB (git-fixes).
- efi: runtime: Fix potential overflow of soft-reserved region
  size (git-fixes).
- drm/amd/display: Increase frame-larger-than for all
  display_mode_vba files (git-fixes).
- drm/amdgpu: reset gpu for s3 suspend abort case (git-fixes).
- drm/amdgpu: skip to program GFXDEC registers for suspend abort
  (git-fixes).
- dmaengine: fsl-qdma: Fix a memory leak related to the queue
  command DMA (git-fixes).
- dmaengine: ti: edma: Add some null pointer checks to the
  edma_probe (git-fixes).
- drm/amd/display: increased min_dcfclk_mhz and min_fclk_mhz
  (git-fixes).
- dmaengine: fsl-qdma: increase size of 'irq_name' (git-fixes).
- dmaengine: shdma: increase size of 'dev_id' (git-fixes).
- commit 61b82a0
* Mon Mar  4 2024 tiwai@suse.de
- ALSA: Drop leftover snd-rtctimer stuff from Makefile
  (git-fixes).
- ALSA: firewire-lib: fix to check cycle continuity (git-fixes).
- Bluetooth: qca: Fix wrong event type for patch config command
  (git-fixes).
- Bluetooth: Enforce validation on max value of connection
  interval (git-fixes).
- Bluetooth: hci_event: Fix handling of HCI_EV_IO_CAPA_REQUEST
  (git-fixes).
- Bluetooth: hci_event: Fix wrongly recorded wakeup BD_ADDR
  (git-fixes).
- Bluetooth: hci_sync: Fix accept_list when attempting to suspend
  (git-fixes).
- Bluetooth: Avoid potential use-after-free in hci_error_reset
  (git-fixes).
- Bluetooth: hci_sync: Check the correct flag before starting
  a scan (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LED For HP mt645
  (git-fixes).
- ALSA: hda/conexant: Add quirk for SWS JS201D (git-fixes).
- ASoC: sunxi: sun4i-spdif: Add support for Allwinner H616
  (git-fixes).
- ASoC: doc: Fix undefined SND_SOC_DAPM_NOPM argument (git-fixes).
- bus: moxtet: Add spi device table (git-fixes).
- Bluetooth: L2CAP: Fix possible multiple reject send (git-fixes).
- crypto: stm32/crc32 - fix parsing list of devices (git-fixes).
- crypto: octeontx2 - Fix cptvf driver cleanup (git-fixes).
- crypto: api - Disallow identical driver names (git-fixes).
- commit a409ffd
* Mon Mar  4 2024 tiwai@suse.de
- ALSA: usb-audio: Ignore clock selector errors for single
  connection (git-fixes).
- ALSA: hda/realtek: Enable headset mic on Vaio VJFE-ADL
  (git-fixes).
- ALSA: hda/realtek: Apply headset jack quirk for non-bass alc287
  thinkpads (git-fixes).
- ALSA: usb-audio: Check presence of valid altsetting control
  (git-fixes).
- ALSA: hda/realtek: Enable Mute LED on HP Laptop 14-fq0xxx
  (git-fixes).
- ALSA: hda/realtek: Fix the external mic not being recognised
  for Acer Swift 1 SF114-32 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ZBook Power
  (git-fixes).
- ahci: asm1166: correct count of reported ports (git-fixes).
- ACPI: extlog: fix NULL pointer dereference check (git-fixes).
- ACPI: APEI: set memory failure flags as MF_ACTION_REQUIRED on
  synchronous events (git-fixes).
- ACPI: video: Add quirk for the Colorful X15 AT 23 Laptop
  (git-fixes).
- ACPI: video: Add backlight=native DMI quirk for Apple iMac12,1
  and iMac12,2 (git-fixes).
- ACPI: video: Add backlight=native DMI quirk for Lenovo ThinkPad
  X131e (3371 AMD version) (git-fixes).
- ACPI: video: Add backlight=native DMI quirk for Apple iMac11,3
  (git-fixes).
- ACPI: button: Add lid disable DMI quirk for Nextbook Ares 8A
  (git-fixes).
- ACPI: resource: Skip IRQ override on ASUS ExpertBook B1502CBA
  (git-fixes).
- ACPI: resource: Skip IRQ override on Asus Expertbook B2402CBA
  (git-fixes).
- ACPI: resource: Add ASUS model S5402ZA to quirks (git-fixes).
- commit 728134a
* Mon Mar  4 2024 jlee@suse.com
- efivarfs: force RO when remounting if SetVariable is not
  supported (bsc#1220328 CVE-2023-52463).
- commit 6239d33
* Mon Mar  4 2024 shung-hsi.yu@suse.com
- kABI: bpf: map_fd_put_ptr() signature kABI workaround
  (bsc#1220251 CVE-2023-52447).
- kABI: bpf: struct bpf_map kABI workaround (bsc#1220251
  CVE-2023-52447).
- selftests/bpf: Test outer map update operations in syscall
  program (bsc#1220251 CVE-2023-52447).
- selftests/bpf: Add test cases for inner map (bsc#1220251
  CVE-2023-52447).
- bpf: Defer the free of inner map when necessary (bsc#1220251
  CVE-2023-52447).
- Refresh patches.suse/kABI-padding-for-bpf.patch
- bpf: Set need_defer as false when clearing fd array during
  map free (bsc#1220251 CVE-2023-52447).
- bpf: Add map and need_defer parameters to .map_fd_put_ptr()
  (bsc#1220251 CVE-2023-52447).
- bpf: Check rcu_read_lock_trace_held() before calling bpf map
  helpers (bsc#1220251 CVE-2023-52447).
- rcu-tasks: Provide rcu_trace_implies_rcu_gp() (bsc#1220251
  CVE-2023-52447).
- commit b7359fc
* Sat Mar  2 2024 wqu@suse.com
- btrfs: fix double free of anonymous device after snapshot
  creation failure (bsc#1219126 CVE-2024-23850).
- commit f8ba729
* Sat Mar  2 2024 ailiop@suse.com
- mtd: Fix gluebi NULL pointer dereference caused by ftl notifier
  (bsc#1220238 CVE-2023-52449).
- commit c132b67
* Sat Mar  2 2024 ailiop@suse.com
- fs/mount_setattr: always cleanup mount_kattr (bsc#1220457
  CVE-2021-46923).
- commit 89afe2f
* Fri Mar  1 2024 shung-hsi.yu@suse.com
- kABI: bpf: map_fd_put_ptr() signature kABI workaround
  (bsc#1220251 CVE-2023-52447).
- kABI: bpf: struct bpf_map kABI workaround (bsc#1220251
  CVE-2023-52447).
- kABI: bpf: map_fd_put_ptr() signature kABI workaround
  (bsc#1220251 CVE-2023-52447).
- kABI: bpf: struct bpf_map kABI workaround (bsc#1220251
  CVE-2023-52447).
- commit bec1c61
* Fri Mar  1 2024 shung-hsi.yu@suse.com
- selftests/bpf: Test outer map update operations in syscall
  program (bsc#1220251 CVE-2023-52447).
- selftests/bpf: Add test cases for inner map (bsc#1220251
  CVE-2023-52447).
- bpf: Defer the free of inner map when necessary (bsc#1220251
  CVE-2023-52447).
- Refresh patches.suse/kABI-padding-for-bpf.patch
- bpf: Set need_defer as false when clearing fd array during
  map free (bsc#1220251 CVE-2023-52447).
- bpf: Add map and need_defer parameters to .map_fd_put_ptr()
  (bsc#1220251 CVE-2023-52447).
- bpf: Check rcu_read_lock_trace_held() before calling bpf map
  helpers (bsc#1220251 CVE-2023-52447).
- rcu-tasks: Provide rcu_trace_implies_rcu_gp() (bsc#1220251
  CVE-2023-52447).
- selftests/bpf: Test outer map update operations in syscall
  program (bsc#1220251 CVE-2023-52447).
- selftests/bpf: Add test cases for inner map (bsc#1220251
  CVE-2023-52447).
- bpf: Defer the free of inner map when necessary (bsc#1220251
  CVE-2023-52447).
- Refresh patches.suse/kABI-padding-for-bpf.patch
- bpf: Set need_defer as false when clearing fd array during
  map free (bsc#1220251 CVE-2023-52447).
- bpf: Add map and need_defer parameters to .map_fd_put_ptr()
  (bsc#1220251 CVE-2023-52447).
- bpf: Check rcu_read_lock_trace_held() before calling bpf map
  helpers (bsc#1220251 CVE-2023-52447).
- rcu-tasks: Provide rcu_trace_implies_rcu_gp() (bsc#1220251
  CVE-2023-52447).
- commit aa6db76
* Fri Mar  1 2024 tiwai@suse.de
- Update patch reference for HID fix (CVE-2023-52478 bsc#1220796)
- commit 4aec836
* Fri Mar  1 2024 tiwai@suse.de
- Update patch reference for input fix (CVE-2023-52475 bsc#1220649)
- commit 00a87c8
* Fri Mar  1 2024 nik.borisov@suse.com
- topology/sysfs: Add PPIN in sysfs under cpu topology  (jsc#PED-7618).
- Refresh
  patches.suse/drivers-base-fix-userspace-break-from-using-bin_attr.patch.
- commit e74360b
* Fri Mar  1 2024 nik.borisov@suse.com
- topology/sysfs: Add format parameter to macro defining "show"  functions for proc (jsc#PED-7618).
- Refresh
  patches.suse/drivers-base-fix-userspace-break-from-using-bin_attr.patch.
- commit 978a12d
* Fri Mar  1 2024 nik.borisov@suse.com
- x86/cpu: X86_FEATURE_INTEL_PPIN finally has a CPUID bit (jsc#PED-7618).
- Refresh patches.suse/x86-speculation-disable-rrsba-behavior.patch.
- commit f7bed0d
* Fri Mar  1 2024 jgross@suse.com
- KVM: arm64: vgic-its: Avoid potential UAF in LPI translation
  cache (bsc#1220326, CVE-2024-26598).
- commit 74fd0dd
* Fri Mar  1 2024 dwagner@suse.de
- scsi: lpfc: Replace deprecated strncpy() with strscpy()
  (bsc#1220021).
- scsi: lpfc: Copyright updates for 14.4.0.0 patches
  (bsc#1220021).
- scsi: lpfc: Update lpfc version to 14.4.0.0 (bsc#1220021).
- scsi: lpfc: Change lpfc_vport load_flag member into a bitmask
  (bsc#1220021).
- scsi: lpfc: Change lpfc_vport fc_flag member into a bitmask
  (bsc#1220021).
- scsi: lpfc: Protect vport fc_nodes list with an explicit spin
  lock (bsc#1220021).
- scsi: lpfc: Change nlp state statistic counters into atomic_t
  (bsc#1220021).
- scsi: lpfc: Remove shost_lock protection for fc_host_port
  shost APIs (bsc#1220021).
- scsi: lpfc: Move handling of reset congestion statistics events
  (bsc#1220021).
- scsi: lpfc: Save FPIN frequency statistics upon receipt of
  peer cgn notifications (bsc#1220021).
- scsi: lpfc: Add condition to delete ndlp object after sending
  BLS_RJT to an ABTS (bsc#1220021).
- scsi: lpfc: Fix failure to delete vports when discovery is in
  progress (bsc#1220021).
- scsi: lpfc: Remove NLP_RCV_PLOGI early return during RSCN
  processing for ndlps (bsc#1220021).
- scsi: lpfc: Allow lpfc_plogi_confirm_nport() logic to execute
  for Fabric nodes (bsc#1220021).
- scsi: lpfc: Remove D_ID swap log message from trace event logger
  (bsc#1220021).
- scsi: lpfc: Use sg_dma_len() API to get struct scatterlist's
  length (bsc#1220021).
- scsi: lpfc: Fix possible memory leak in lpfc_rcv_padisc()
  (bsc#1220021).
- scsi: lpfc: Initialize status local variable in
  lpfc_sli4_repost_sgl_list() (bsc#1220021).
- scsi: lpfc: Use PCI_HEADER_TYPE_MFD instead of literal
  (bsc#1220021).
- PCI: Add PCI_HEADER_TYPE_MFD definition (bsc#1220021).
- commit 41ec061
* Fri Mar  1 2024 nik.borisov@suse.com
- x86/fpu: Stop relying on userspace for info to fault in xsave buffer (bsc#1220335, CVE-2024-26603).
- commit 4cbbdbf
* Fri Mar  1 2024 tiwai@suse.de
- Update patch reference for NFC fix (CVE-2021-46924 bsc#1220459)
- commit 8ac32a8
* Fri Mar  1 2024 nik.borisov@suse.com
- RAS/AMD/ATL: Fix bit overflow in denorm_addr_df4_np2() (git-fixes).
- commit 71868f2
* Fri Mar  1 2024 tiwai@suse.de
- media: pvrusb2: fix use after free on context disconnection
  (CVE-2023-52445 bsc#1220241).
- commit e4643a5
* Fri Mar  1 2024 nik.borisov@suse.com
- RAS: Introduce a FRU memory poison manager (jsc#PED-7618).
- commit 62d6d3a
* Fri Mar  1 2024 iivanov@suse.de
- hisi_acc_vfio_pci: Update migration data pointer correctly on (bsc#1220337,CVE-2023-52453)
- commit 6a9df09
* Fri Mar  1 2024 nik.borisov@suse.com
- RAS/AMD/ATL: Add MI300 row retirement support (jsc#PED-7618).
- Delete patches.suse/EDAC-amd64-Add-MI300-row-retirement-support.patch.
- commit 3cc5727
* Fri Mar  1 2024 jlee@suse.com
- uio: Fix use-after-free in uio_open (bsc#1220140
  CVE-2023-52439).
- commit fbf52b1
* Fri Mar  1 2024 ddiss@suse.de
- apparmor: avoid crash when parsed profile name is empty
  (CVE-2023-52443 bsc#1220240).
- commit 732bc93
* Fri Mar  1 2024 ailiop@suse.com
- ntfs: check overflow when iterating ATTR_RECORDs (git-fixes).
- commit c9fe433
* Fri Mar  1 2024 ailiop@suse.com
- ntfs: fix use-after-free in ntfs_attr_find() (git-fixes).
- commit 6df2cbb
* Fri Mar  1 2024 ailiop@suse.com
- xfs: short circuit xfs_growfs_data_private() if delta is zero
  (git-fixes).
- commit fcba050
* Fri Mar  1 2024 ailiop@suse.com
- xfs: remove unused fields from struct xbtree_ifakeroot
  (git-fixes).
- commit 86da8f9
* Fri Mar  1 2024 ailiop@suse.com
- fs: dlm: fix build with CONFIG_IPV6 disabled (git-fixes).
- commit 595274a
* Fri Mar  1 2024 ailiop@suse.com
- nilfs2: replace WARN_ONs for invalid DAT metadata block requests
  (git-fixes).
- commit 8b6113c
* Fri Mar  1 2024 ailiop@suse.com
- nilfs2: fix data corruption in dsync block recovery for small
  block sizes (git-fixes).
- commit 3bf00f7
* Fri Mar  1 2024 ailiop@suse.com
- jfs: fix array-index-out-of-bounds in diNewExt (git-fixes).
- commit 95bef1f
* Fri Mar  1 2024 ailiop@suse.com
- jfs: fix uaf in jfs_evict_inode (git-fixes).
- commit d7a8248
* Fri Mar  1 2024 ailiop@suse.com
- jfs: fix array-index-out-of-bounds in dbAdjTree (git-fixes).
- commit e676b4f
* Fri Mar  1 2024 ailiop@suse.com
- jfs: fix slab-out-of-bounds Read in dtSearch (git-fixes).
- commit fc7d276
* Fri Mar  1 2024 ailiop@suse.com
- UBSAN: array-index-out-of-bounds in dtSplitRoot (git-fixes).
- commit bcf9251
* Fri Mar  1 2024 ailiop@suse.com
- FS:JFS:UBSAN:array-index-out-of-bounds in dbAdjTree (git-fixes).
- commit 9b22efe
* Fri Mar  1 2024 ailiop@suse.com
- afs: Increase buffer size in afs_update_volume_status()
  (git-fixes).
- commit dd84cc3
* Fri Mar  1 2024 ailiop@suse.com
- afs: Hide silly-rename files from userspace (git-fixes).
- commit 3ff836d
* Fri Mar  1 2024 ailiop@suse.com
- afs: fix the usage of read_seqbegin_or_lock() in
  afs_find_server*() (git-fixes).
- commit c7a2b9c
* Fri Mar  1 2024 ailiop@suse.com
- afs: fix the usage of read_seqbegin_or_lock() in
  afs_lookup_volume_rcu() (git-fixes).
- commit 4fa847b
* Fri Mar  1 2024 wqu@suse.com
- btrfs: do not ASSERT() if the newly created subvolume already
  got read (bsc#1219126 CVE-2024-23850).
- commit 087f1fb
* Thu Feb 29 2024 mhocko@suse.com
- Update
  patches.suse/sched-membarrier-reduce-the-ability-to-hammer-on-sys.patch
  (git-fixes, bsc1220398, CVE-2024-26602).
- commit 7349e3e
* Thu Feb 29 2024 mkubecek@suse.cz
- tcp: fix tcp_mtup_probe_success vs wrong snd_cwnd (bsc#1218450).
- commit edd994d
* Thu Feb 29 2024 jdelvare@suse.de
- i2c: i801: Fix block process call transactions (bsc#1220009
  CVE-2024-26593).
- commit 1b64da9
* Wed Feb 28 2024 tbogendoerfer@suse.de
- RDMA/core: Fix uninit-value access in ib_get_eth_speed()
  (bsc#1219934).
- commit 3ebf8e4
* Wed Feb 28 2024 tbogendoerfer@suse.de
- mlxsw: spectrum_acl_tcam: Fix stack corruption (bsc#1220243
  CVE-2024-26586).
- mlxsw: spectrum_acl_tcam: Fix NULL pointer dereference in
  error path (bsc#1220344 CVE-2024-26595).
- commit 6e8b589
* Wed Feb 28 2024 iivanov@suse.de
- EDAC/thunderx: Fix possible out-of-bounds string access (bsc#1220330, CVE-2023-52464)
- commit 369d1fd
* Wed Feb 28 2024 tbogendoerfer@suse.de
- RDMA/core: Get IB width and speed from netdev (bsc#1219934).
- commit 24279f3
* Tue Feb 27 2024 mfranc@suse.cz
- KVM: s390: vsie: fix race during shadow creation (git-fixes
  bsc#1220393).
- commit 72fd28e
* Tue Feb 27 2024 mkoutny@suse.com
- Update config files.
  Cleanup with run_oldconfig.sh
- commit ef734e5
* Tue Feb 27 2024 mfranc@suse.cz
- KVM: s390: fix setting of fpc register (git-fixes bsc#1220392).
- commit 8d2ffe7
* Tue Feb 27 2024 mfranc@suse.cz
- supported.conf: remove external flag from IBM supported modules.
  (bsc#1209412)
- commit a25e99f
* Mon Feb 26 2024 iivanov@suse.de
- arm64: Subscribe Microsoft Azure Cobalt 100 to ARM Neoverse N2 errata (git-fixes)
- commit 7e2b55c
* Mon Feb 26 2024 iivanov@suse.de
- arm64: irq: set the correct node for shadow call stack (git-fixes)
- commit b343796
* Mon Feb 26 2024 iivanov@suse.de
- arm64: irq: set the correct node for VMAP stack (git-fixes)
- commit f682ae8
* Mon Feb 26 2024 iivanov@suse.de
- blacklist.conf: ("arm64: lib: Import latest version of Arm Optimized Routines' strncmp")
- commit 88ead84
* Mon Feb 26 2024 msuchanek@suse.de
- Refresh sorted patches.
- commit 9f45380
* Mon Feb 26 2024 msuchanek@suse.de
- powerpc/pseries: Set CPU_FTR_DBELL according to ibm,pi-features
  (bsc#1220348).
- powerpc/pseries: Add a clear modifier to ibm,pa/pi-features
  parser (bsc#1220348).
- commit 7e988f6
* Mon Feb 26 2024 tiwai@suse.de
- usb: gadget: ncm: Avoid dropping datagrams of properly parsed
  NTBs (git-fixes).
- usb: cdns3: fix memory double free when handle zero packet
  (git-fixes).
- usb: cdns3: fixed memory use after free at
  cdns3_gadget_ep_disable() (git-fixes).
- usb: roles: don't get/set_role() when usb_role_switch is
  unregistered (git-fixes).
- usb: roles: fix NULL pointer issue when put module's reference
  (git-fixes).
- usb: cdnsp: fixed issue with incorrect detecting CDNSP family
  controllers (git-fixes).
- usb: cdnsp: blocked some cdns3 specific code (git-fixes).
- USB: serial: option: add Fibocom FM101-GL variant (git-fixes).
- USB: serial: qcserial: add new usb-id for Dell Wireless DW5826e
  (git-fixes).
- USB: serial: cp210x: add ID for IMST iM871A-USB (git-fixes).
- commit 6aacbee
* Mon Feb 26 2024 mfranc@suse.cz
- s390: use the correct count for __iowrite64_copy() (git-fixes
  bsc#1220317).
- commit 3d0908e
* Mon Feb 26 2024 colyli@suse.de
- md: bypass block throttle for superblock update (bsc#1220154,
  CVE-2023-52437).
- commit 3b94bb4
* Fri Feb 23 2024 lhenriques@suse.de
- cachefiles: fix memory leak in cachefiles_add_cache()
  (bsc#1220267).
- commit 9bb720c
* Fri Feb 23 2024 ailiop@suse.com
- gfs2: Fix kernel NULL pointer dereference in gfs2_rgrp_dump
  (bsc#1220253 CVE-2023-52448).
- commit 12cdab5
* Fri Feb 23 2024 tiwai@suse.de
- platform/x86: thinkpad_acpi: Only update profile if successfully
  converted (git-fixes).
- platform/x86: touchscreen_dmi: Allow partial (prefix) matches
  for ACPI names (git-fixes).
- commit d153a3a
* Thu Feb 22 2024 msuchanek@suse.de
- rpm templates: Always define usrmerged
  usrmerged is now defined in kernel-spec-macros and not the distribution.
  Only check if it's defined in kernel-spec-macros, not everywhere where
  it's used.
- commit a6ad8af
* Thu Feb 22 2024 tiwai@suse.de
- USB: gadget: core: adjust uevent timing on gadget unbind
  (git-fixes).
- commit e3b30d8
* Thu Feb 22 2024 tiwai@suse.de
- blacklist.conf: entry for usb/gadget/udc/core that has been reverted
- commit 50292b0
* Thu Feb 22 2024 osalvador@suse.de
- mm,page_owner: Update Documentation regarding page_owner_stacks
  (jsc-PED#7423).
- commit 96f4587
* Thu Feb 22 2024 osalvador@suse.de
- mm,page_owner: Filter out stacks by a threshold (jsc-PED#7423).
- commit e683246
* Wed Feb 21 2024 osalvador@suse.de
- mm,page_owner: Display all stacks and their count
  (jsc-PED#7423).
- commit cfad590
* Wed Feb 21 2024 msuchanek@suse.de
- rpm templates: Move macro definitions below buildrequires
  Many of the rpm macros defined in the kernel packages depend directly or
  indirectly on script execution. OBS cannot execute scripts which means
  values of these macros cannot be used in tags that are required for OBS
  to see such as package name, buildrequires or buildarch.
  Accumulate macro definitions that are not directly expanded by mkspec
  below buildrequires and buildarch to make this distinction clear.
- commit 89eaf4c
* Wed Feb 21 2024 osalvador@suse.de
- mm,page_owner: Implement the tracking of the stacks count
  (jsc-PED#7423).
- commit 4c2de65
* Wed Feb 21 2024 osalvador@suse.de
- mm,page_owner: Maintain own list of stack_records structs
  (jsc-PED#7423).
- commit 91e49cb
* Wed Feb 21 2024 msuchanek@suse.de
- scsi: ibmvfc: Open-code reset loop for target reset
  (bsc#1220106).
- commit 8ab46b6
* Wed Feb 21 2024 msuchanek@suse.de
- scsi: ibmvfc: Limit max hw queues by num_online_cpus()
  (bsc#1220106).
- commit 648a1af
* Wed Feb 21 2024 osalvador@suse.de
- lib/stackdepot: Move stack_record struct definition into the
  header (jsc-PED#7423).
- commit 6077ffb
* Wed Feb 21 2024 osalvador@suse.de
- lib/stackdepot: Fix first entry having a 0-handle
  (jsc-PED#7423).
- commit 992fd7d
* Wed Feb 21 2024 osalvador@suse.de
- lib/stackdepot: add refcount for records (jsc-PED#7423).
- commit 714c529
* Wed Feb 21 2024 jslaby@suse.cz
- sched/membarrier: reduce the ability to hammer on sys_membarrier
  (git-fixes).
- commit 050cced
* Wed Feb 21 2024 osalvador@suse.de
- lib/stackdepot: add depot_fetch_stack helper (jsc-PED#7423).
- commit 2786362
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/srpt: fix function pointer cast warnings (git-fixes)
- commit dac438c
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/qedr: Fix qedr_create_user_qp error flow (git-fixes)
- commit b146859
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/srpt: Support specifying the srpt_service_guid parameter (git-fixes)
- commit 8d48d24
* Wed Feb 21 2024 nmorey@suse.com
- IB/hfi1: Fix sdma.h tx->num_descs off-by-one error (git-fixes)
- commit da3f72a
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/irdma: Add AE for too many RNRS (git-fixes)
- commit f63a394
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/irdma: Set the CQ read threshold for GEN 1 (git-fixes)
- commit 3b512eb
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/irdma: Validate max_send_wr and max_recv_wr (git-fixes)
- commit 98f2343
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/irdma: Fix KASAN issue with tasklet (git-fixes)
- commit 83211d5
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/bnxt_re: Add a missing check in bnxt_qplib_query_srq (git-fixes)
- commit 675dc2d
* Wed Feb 21 2024 nmorey@suse.com
- RDMA/bnxt_re: Return error for SRQ resize (git-fixes)
- commit c51f388
* Wed Feb 21 2024 nmorey@suse.com
- IB/hfi1: Fix a memleak in init_credit_return (git-fixes)
- commit 2afc750
* Wed Feb 21 2024 ohering@suse.de
- x86/mm: Fix memory encryption features advertisement (bsc#1206453).
- commit 143c33b
* Wed Feb 21 2024 jslaby@suse.cz
- rpm/check-for-config-changes: add GCC_ASM_GOTO_OUTPUT_WORKAROUND to IGNORED_CONFIGS_RE
  Introduced by commit 68fb3ca0e408 ("update workarounds for gcc "asm
  goto" issue").
- commit be1bdab
* Tue Feb 20 2024 denis.kirjanov@suse.com
- net: openvswitch: limit the number of recursions from action
  sets (bsc#1219835 CVE-2024-1151).
- commit ed2fd55
* Mon Feb 19 2024 lduncan@suse.com
- scsi: core: Move scsi_host_busy() out of host lock if it is
  for per-command (git-fixes).
- commit 65a3d05
* Mon Feb 19 2024 mbrugger@suse.com
- mfd: syscon: Fix null pointer dereference in
  of_syscon_register() (git-fixes).
- commit ac6a500
* Mon Feb 19 2024 msuchanek@suse.de
- powerpc/64: Set task pt_regs->link to the LR value on scv entry
  (bsc#1194869).
- powerpc: add crtsavres.o to always-y instead of extra-y
  (bsc#1194869).
- powerpc/watchpoints: Annotate atomic context in more places
  (bsc#1194869).
- powerpc/watchpoint: Disable pagefaults when getting user
  instruction (bsc#1194869).
- powerpc/watchpoints: Disable preemption in thread_change_pc()
  (bsc#1194869).
- powerpc/pseries: Rework lppaca_shared_proc() to avoid
  DEBUG_PREEMPT (bsc#1194869).
- powerpc: Don't include lppaca.h in paca.h (bsc#1194869).
- powerpc/powernv: Fix fortify source warnings in opal-prd.c
  (bsc#1194869).
- commit 148ec5a
* Mon Feb 19 2024 tiwai@suse.de
- modpost: trim leading spaces when processing source files list
  (git-fixes).
- kbuild: Fix changing ELF file type for output of gen_btf for
  big endian (git-fixes).
- irqchip/gic-v3-its: Fix GICv4.1 VPE affinity update (git-fixes).
- irqchip/irq-brcmstb-l2: Add write memory barrier before exit
  (git-fixes).
- driver core: Fix device_link_flag_is_sync_state_only()
  (git-fixes).
- iio: accel: bma400: Fix a compilation problem (git-fixes).
- staging: iio: ad5933: fix type mismatch regression (git-fixes).
- iio: magnetometer: rm3100: add boundary check for the value
  read from RM3100_REG_TMRC (git-fixes).
- iio: core: fix memleak in iio_device_register_sysfs (git-fixes).
- commit 55c0c3a
* Mon Feb 19 2024 msuchanek@suse.de
- compute-PATCHVERSION: Do not produce output when awk fails
  compute-PATCHVERSION uses awk to produce a shell script that is
  subsequently executed to update shell variables which are then printed
  as the patchversion.
  Some versions of awk, most notably bysybox-gawk do not understand the
  awk program and fail to run. This results in no script generated as
  output, and printing the initial values of the shell variables as
  the patchversion.
  When the awk program fails to run produce 'exit 1' as the shell script
  to run instead. That prevents printing the stale values, generates no
  output, and generates invalid rpm spec file down the line. Then the
  problem is flagged early and should be easier to diagnose.
- commit 8ef8383
* Mon Feb 19 2024 tiwai@suse.de
- Drop bcm5974 input patch causing a regression (bsc#1220030)
- commit cdfe144
* Mon Feb 19 2024 dwagner@suse.de
- nvme-fabrics: fix I/O connect error handling (git-fixes).
- commit 1cf32dd
* Sun Feb 18 2024 lduncan@suse.com
- scsi: fnic: Move fnic_fnic_flush_tx() to a work queue (git-fixes
  bsc#1219141).
- scsi: Revert "scsi: fcoe: Fix potential deadlock on
  &fip->ctlr_lock" (git-fixes bsc#1219141).
- scsi: core: Move scsi_host_busy() out of host lock for waking
  up EH handler (git-fixes).
- scsi: isci: Fix an error code problem in isci_io_request_build()
  (git-fixes).
- scsi: mpi3mr: Refresh sdev queue depth after controller reset
  (git-fixes).
- commit bb93e52
* Sun Feb 18 2024 lduncan@suse.com
- scsi: hisi_sas: Prevent parallel FLR and controller reset
  (git-fixes).
- Refresh
  patches.suse/scsi-hisi_sas-Replace-with-standard-error-code-return-value.patch.
- commit 90473ca
* Sat Feb 17 2024 tiwai@suse.de
- drm/amdgpu/display: Initialize gamma correction mode variable
  in dcn30_get_gamcor_current() (git-fixes).
- drm/amd/display: Fix possible NULL dereference on device
  remove/driver unload (git-fixes).
- Revert "drm/amd: flush any delayed gfxoff on suspend entry"
  (git-fixes).
- drm/amd/display: Fix possible buffer overflow in
  'find_dcfclk_for_voltage()' (git-fixes).
- drm/crtc: fix uninitialized variable use even harder
  (git-fixes).
- nouveau/svm: fix kvcalloc() argument order (git-fixes).
- can: j1939: Fix UAF in j1939_sk_match_filter during
  setsockopt(SO_J1939_FILTER) (git-fixes).
- wifi: iwlwifi: uninitialized variable in
  iwl_acpi_get_ppag_table() (git-fixes).
- wifi: iwlwifi: Fix some error codes (git-fixes).
- spi-mxs: Fix chipselect glitch (git-fixes).
- spi: ppc4xx: Drop write-only variable (git-fixes).
- HID: wacom: generic: Avoid reporting a serial of '0' to
  userspace (git-fixes).
- HID: wacom: Do not register input devices until after
  hid_hw_start (git-fixes).
- hwmon: (coretemp) Fix bogus core_id to attr name mapping
  (git-fixes).
- hwmon: (coretemp) Fix out-of-bounds memory access (git-fixes).
- hwmon: (aspeed-pwm-tacho) mutex for tach reading (git-fixes).
- drm/msm/dpu: check for valid hw_pp in
  dpu_encoder_helper_phys_cleanup (git-fixes).
- drm/msm/dp: return correct Colorimetry for
  DP_TEST_DYNAMIC_RANGE_CEA case (git-fixes).
- drm/msms/dp: fixed link clock divider bits be over written in
  BPC unknown case (git-fixes).
- drm/i915/gvt: Fix uninitialized variable in handle_mmio()
  (git-fixes).
- atm: idt77252: fix a memleak in open_card_ubr0 (git-fixes).
- crypto: ccp - Fix null pointer dereference in
  __sev_platform_shutdown_locked (git-fixes).
- commit 8c41a3a
* Sat Feb 17 2024 tiwai@suse.de
- ALSA: usb-audio: More relaxed check of MIDI jack names
  (git-fixes).
- ASoC: SOF: IPC3: fix message bounds on ipc ops (git-fixes).
- ASoC: rt5645: Fix deadlock in rt5645_jack_detect_work()
  (git-fixes).
- ALSA: hda/realtek: cs35l41: Fix order and duplicates in quirks
  table (git-fixes).
- ALSA: hda/realtek: cs35l41: Fix device ID / model name
  (git-fixes).
- ALSA: usb-audio: Sort quirk table entries (git-fixes).
- ALSA: usb-audio: add quirk for RODE NT-USB+ (git-fixes).
- ALSA: usb-audio: Add delay quirk for MOTU M Series 2nd revision
  (git-fixes).
- ALSA: usb-audio: Add a quirk for Yamaha YIT-W12TX transmitter
  (git-fixes).
- commit 4ee9775
* Fri Feb 16 2024 nik.borisov@suse.com
- x86/asm: Add _ASM_RIP() macro for x86-64 (%%rip) suffix (git-fixes).
- commit 515312a
* Fri Feb 16 2024 nik.borisov@suse.com
- KVM: VMX: Move VERW closer to VMentry for MDS mitigation (git-fixes).
- KVM: VMX: Use BT+JNC, i.e. EFLAGS.CF to select VMRESUME vs. VMLAUNCH (git-fixes).
- x86/bugs: Use ALTERNATIVE() instead of mds_user_clear static key (git-fixes).
  Also add mds_user_clear to kABI severities since it's strictly
  mitigation related so should be low risk.
- x86/entry_32: Add VERW just before userspace transition (git-fixes).
- x86/entry_64: Add VERW just before userspace transition (git-fixes).
- x86/bugs: Add asm helpers for executing VERW (git-fixes).
- commit f298aab
* Fri Feb 16 2024 lhenriques@suse.de
- netfs, fscache: Prevent Oops in fscache_put_cache()
  (bsc#1220003).
- commit 70831f5
* Fri Feb 16 2024 osalvador@suse.de
- mm: memory-failure: fix potential unexpected return value from
  unpoison_memory() (git-fixes).
- commit 4c346fc
* Thu Feb 15 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: disallow rule removal from chain binding
  (bsc#1218216 CVE-2023-5197).
- commit dcfc62f
* Thu Feb 15 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: skip bound chain in netns release path
  (bsc#1218216 CVE-2023-5197).
- commit 29d741f
* Thu Feb 15 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: disallow rule removal from chain binding
  (bsc#1218216 CVE-2023-5197).
- commit d7a1a4d
* Thu Feb 15 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: skip bound chain in netns release path
  (bsc#1218216 CVE-2023-5197).
- commit af879c8
* Thu Feb 15 2024 osalvador@suse.de
- mm/hwpoison: fix unpoison_memory() (bsc#1218663).
- commit e5b6bde
* Thu Feb 15 2024 osalvador@suse.de
- mm/hwpoison: remove MF_MSG_BUDDY_2ND and MF_MSG_POISONED_HUGE
  (bsc#1218663).
- commit d6fa958
* Thu Feb 15 2024 osalvador@suse.de
- mm/hwpoison: mf_mutex for soft offline and unpoison
  (bsc#1218663).
- commit 177fcfa
* Thu Feb 15 2024 jlee@suse.com
- net/rds: Fix UBSAN: array-index-out-of-bounds in rds_cmsg_recv
  (bsc#1219127 CVE-2024-23849).
- commit 43577c1
* Wed Feb 14 2024 dwagner@suse.de
- Refresh
  patches.suse/scsi-lpfc-use-unsigned-type-for-num_sge.patch.
- commit 6b5c8aa
* Wed Feb 14 2024 oneukum@suse.com
- USB: hub: check for alternate port before enabling
  A_ALT_HNP_SUPPORT (bsc#1218527).
- Delete patches.suse/usb-otg-numberpad-exception.patch.
  Removal of temporary work around
- commit 51410f7
* Wed Feb 14 2024 msuchanek@suse.de
- kernel-binary: Move build script to the end
  All other spec templates have the build script at the end, only
  kernel-binary has it in the middle. Align with the other templates.
- commit 98cbdd0
* Wed Feb 14 2024 msuchanek@suse.de
- rpm templates: Aggregate subpackage descriptions
  While in some cases the package tags, description, scriptlets and
  filelist are located together in other cases they are all across the
  spec file. Aggregate the information related to a subpackage in one
  place.
- commit 8eeb08c
* Wed Feb 14 2024 msuchanek@suse.de
- rpm templates: sort rpm tags
  The rpm tags in kernel spec files are sorted at random.
  Make the order of rpm tags somewhat more consistent across rpm spec
  templates.
- commit 8875c35
* Wed Feb 14 2024 oneukum@suse.com
- blacklist.conf: irrelevant in our configs
- commit 011570e
* Tue Feb 13 2024 colyli@suse.de
- dm: limit the number of targets and parameter size area
  (bsc#1219827, bsc#1219146, CVE-2023-52429, CVE-2024-23851).
- commit 26dc83e
* Tue Feb 13 2024 oneukum@suse.com
- usb: cdns3: Modify the return value of cdns_set_active ()
  to void when CONFIG_PM_SLEEP is disabled (git-fixes).
- Refresh patches.kabi/usb-cdns-readd-old-API.patch.
- commit f63fe1f
* Tue Feb 13 2024 oneukum@suse.com
- usb: cdns: readd old API (git-fixes).
- commit e63cfaf
* Tue Feb 13 2024 oneukum@suse.com
- usb: gadget: f_hid: fix report descriptor allocation
  (git-fixes).
- commit b1aee6d
* Tue Feb 13 2024 oneukum@suse.com
- Refresh
  patches.suse/USB-dwc2-write-HCINT-with-INTMASK-applied.patch.
  moved into sorted section
- commit 19ade31
* Tue Feb 13 2024 oneukum@suse.com
- usb: gadget: fsl_qe_udc: validate endpoint index for ch9 udc
  (git-fixes).
- commit e5f0b82
* Tue Feb 13 2024 oneukum@suse.com
- usb: cdns3: Put the cdns set active part outside the spin lock
  (git-fixes).
- commit 86f2eb0
* Tue Feb 13 2024 oneukum@suse.com
- USB: Gadget: core: Help prevent panic during UVC unconfigure
  (git-fixes).
- commit 00fdbf2
* Tue Feb 13 2024 oneukum@suse.com
- usb: gadget: core: remove unbalanced mutex_unlock in
  usb_gadget_activate (git-fixes).
- commit 4803ff6
* Tue Feb 13 2024 oneukum@suse.com
- usb: gadget: udc: Handle gadget_connect failure during bind
  operation (git-fixes).
- commit 70218de
* Tue Feb 13 2024 oneukum@suse.com
- USB: gadget: core: Add missing kerneldoc for vbus_work
  (git-fixes).
- commit 25e9543
* Tue Feb 13 2024 oneukum@suse.com
- usb: gadget: udc: core: Prevent soft_connect_store() race
  (git-fixes).
- commit eb5f8ac
* Tue Feb 13 2024 oneukum@suse.com
- usb: gadget: udc: core: Offload usb_udc_vbus_handler processing
  (git-fixes).
- commit 7a7bf5a
* Tue Feb 13 2024 oneukum@suse.com
- blacklist.conf: changed reason
  The old reason applied only to SP4. However
  this patch by coincidence still needs to be blacklisted in SP5
  for a completely different reason
- commit 5f8bebe
* Tue Feb 13 2024 oneukum@suse.com
- USB: gadget: Fix obscure lockdep violation for udc_mutex
  (git-fixes).
- Refresh
  patches.suse/USB-gadget-Fix-use-after-free-during-usb-config-swit.patch.
- commit a8658e1
* Tue Feb 13 2024 oneukum@suse.com
- USB: gadget: Fix use-after-free Read in usb_udc_uevent()
  (git-fixes).
- commit 6205e50
* Mon Feb 12 2024 mfranc@suse.cz
- s390/qeth: Fix potential loss of L3-IP@ in case of network
  issues (git-fixes bsc#1219840).
- commit 4987d16
* Mon Feb 12 2024 mfranc@suse.cz
- KVM: s390: fix cc for successful PQAP (git-fixes bsc#1219839).
- commit 47fbb44
* Mon Feb 12 2024 nik.borisov@suse.com
- Add reference to recently released CVE
- Update
  patches.suse/x86-entry-convert-int-0x80-emulation-to-idtentry.patch
  (bsc#1217927 CVE-2024-25744).
- Update
  patches.suse/x86-entry-do-not-allow-external-0x80-interrupts.patch
  (bsc#1217927 CVE-2024-25744).
- commit 1dc32d2
* Mon Feb 12 2024 dwagner@suse.de
- nvme-host: fix the updating of the firmware version (git-fixes).
- commit 27cca59
* Mon Feb 12 2024 iivanov@suse.de
- arm64: entry: fix ARM64_WORKAROUND_SPECULATIVE_UNPRIV_LOAD (bsc#1219443)
- commit 8b0cea9
* Mon Feb 12 2024 iivanov@suse.de
- arm64: entry: Simplify tramp_alias macro and tramp_exit routine (bsc#1219443)
- commit 713244d
* Mon Feb 12 2024 iivanov@suse.de
- arm64: entry: Preserve/restore X29 even for compat tasks (bsc#1219443)
- commit 2aa2cc1
* Sun Feb 11 2024 ykaukab@suse.de
- Refresh patches.suse/EDAC-amd64-Use-new-AMD-Address-Translation-Library.patch.
  Fix following error when building kvmsmall config by removing left over
  declaration:
  [  216s] In file included from ../arch/x86/kernel/cpu/mce/core.c:52:0:
  [  216s] ../arch/x86/include/asm/mce.h:366:1: error: duplicate 'static'
  [  216s]  static inline void mce_hygon_feature_init(struct cpuinfo_x86 *c) { return mce_amd_feature_init(c); }
  [  216s]  ^~~~~~
  [  216s] ../arch/x86/include/asm/mce.h:366:15: error: two or more data types in declaration specifiers
  [  216s]  static inline void mce_hygon_feature_init(struct cpuinfo_x86 *c) { return mce_amd_feature_init(c); }
  [  216s]                ^~~~
  [  216s] ../arch/x86/include/asm/mce.h: In function 'mce_hygon_feature_init':
  [  216s] ../arch/x86/include/asm/mce.h:366:75: error: void value not ignored as it ought to be
  [  216s]  static inline void mce_hygon_feature_init(struct cpuinfo_x86 *c) { return mce_amd_feature_init(c); }
  [  216s]                                                                            ^~~~~~~~~~~~~~~~~~~~~~~
  [  216s] ../arch/x86/include/asm/mce.h:366:50: error: control reaches end of non-void function [-Werror=return-type]
  [  216s]  static inline void mce_hygon_feature_init(struct cpuinfo_x86 *c) { return mce_amd_feature_init(c); }
- commit 7015e17
* Sat Feb 10 2024 iivanov@suse.de
- arm64: errata: Add Cortex-A510 speculative unprivileged load (bsc#1219443)
  Enable workaround.
- commit 72bb690
* Sat Feb 10 2024 iivanov@suse.de
- arm64: Rename ARM64_WORKAROUND_2966298 (bsc#1219443)
- Update config files.
- Refresh caps file
- commit 12d16a6
* Sat Feb 10 2024 iivanov@suse.de
- arm64: errata: Add Cortex-A520 speculative unprivileged load (bsc#1219443)
  Enable workaround without kABI break.
- Update config files.
- Refresh patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 2067234
* Sat Feb 10 2024 iivanov@suse.de
- arm64: errata: Mitigate Ampere1 erratum AC03_CPU_38 at stage-2 (git-fixes)
  Enable AMPERE_ERRATUM_AC03_CPU_38 workaround without kABI break
- Update config files
- Refresh patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 4d24e79
* Fri Feb  9 2024 nik.borisov@suse.com
- Refresh patches.suse/EDAC-amd64-Use-new-AMD-Address-Translation-Library.patch.
  Fix build due to incomplete line removal
- commit 720d084
* Fri Feb  9 2024 jgross@suse.com
- vhost: use kzalloc() instead of kmalloc() followed by memset()
  (CVE-2024-0340, bsc#1218689).
- commit 4c5a740
* Fri Feb  9 2024 mkoutny@suse.com
- README.BRANCH: Update cve/linux-5.14 maintainers
  Add myself to match SLE15-SP5 consumer + fix typo in branch name.
- commit da26653
* Fri Feb  9 2024 neilb@suse.de
- Refresh patches.suse/nfsd-fix-RELEASE_LOCKOWNER.patch.
  Accidentally removed nfs4_get_stateowner
- commit ad106c0
* Thu Feb  8 2024 msuchanek@suse.de
- kernel-binary: certs: Avoid trailing space
- commit bc7dc31
* Thu Feb  8 2024 vkarasulli@suse.de
- Bluetooth: Fix atomicity violation in {min,max}_key_size_set
  (git-fixes bsc#1219608 CVE-2024-24860).
- commit a1186fd
* Thu Feb  8 2024 vkarasulli@suse.de
- Update
  patches.suse/Bluetooth-Fix-atomicity-violation-in-min-max-_key_si.patch
  (git-fixes bsc#1219608 CVE-2024-24860).
- commit dedfe8a
* Thu Feb  8 2024 vbabka@suse.cz
- README.BRANCH: update branch name to cve/linux-5.14, update maintainers
  as requested
- commit 8e34879
* Wed Feb  7 2024 jslaby@suse.cz
- rpm/kernel-binary.spec.in: install scripts/gdb when enabled in config
  (bsc#1219653)
  They are put into -devel subpackage. And a proper link to
  /usr/share/gdb/auto-load/ is created.
- commit 1dccf2a
* Wed Feb  7 2024 nik.borisov@suse.com
- EDAC/amd64: Add MI300 row retirement support (jsc#PED-7618).
- commit fb688f3
* Wed Feb  7 2024 nik.borisov@suse.com
- RAS/AMD/ATL: Add MI300 DRAM to normalized address translation support (jsc#PED-7618).
- commit a26a502
* Wed Feb  7 2024 nik.borisov@suse.com
- RAS/AMD/ATL: Fix array overflow in get_logical_coh_st_fabric_id_mi300() (jsc#PED-7618).
- commit 83df5af
* Wed Feb  7 2024 nik.borisov@suse.com
- RAS/AMD/ATL: Add MI300 support (jsc#PED-7618).
- commit 761e3c8
* Wed Feb  7 2024 nik.borisov@suse.com
- Documentation: RAS: Add index and address translation section (jsc#PED-7618).
- commit d6e1334
* Wed Feb  7 2024 nik.borisov@suse.com
- EDAC/amd64: Use new AMD Address Translation Library (jsc#PED-7618).
- commit f1baba4
* Wed Feb  7 2024 nik.borisov@suse.com
- RAS: Introduce AMD Address Translation Library (jsc#PED-7618).
- commit d6ad6ba
* Wed Feb  7 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: check if catch-all set element is active
  in next generation (CVE-2024-1085 bsc#1219429).
- commit 7b3f4c4
* Tue Feb  6 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: reject QUEUE/DROP verdict parameters
  (CVE-2024-1086 bsc#1219434).
- commit 5f917ff
* Tue Feb  6 2024 ailiop@suse.com
- fs: indicate request originates from old mount API (git-fixes).
- commit 8ccbbb1
* Tue Feb  6 2024 ailiop@suse.com
- tracefs: Add missing lockdown check to tracefs_create_dir()
  (git-fixes).
- commit 36d0f04
* Tue Feb  6 2024 ailiop@suse.com
- fs: Fix error checking for d_hash_and_lookup() (git-fixes).
- commit b1a5e63
* Tue Feb  6 2024 ailiop@suse.com
- attr: block mode changes of symlinks (git-fixes).
- commit c0d7be1
* Tue Feb  6 2024 ailiop@suse.com
- eventfd: prevent underflow for eventfd semaphores (git-fixes).
- commit 3a099ca
* Tue Feb  6 2024 ailiop@suse.com
- kernfs: fix missing kernfs_idr_lock to remove an ID from the
  IDR (git-fixes).
- commit 5156b80
* Tue Feb  6 2024 ailiop@suse.com
- shmem: use ramfs_kill_sb() for kill_sb method of ramfs-based
  tmpfs (git-fixes).
- commit a75bdfb
* Tue Feb  6 2024 ailiop@suse.com
- fs: drop peer group ids under namespace lock (git-fixes).
- commit b6028f3
* Tue Feb  6 2024 ailiop@suse.com
- nsfs: add compat ioctl handler (git-fixes).
- commit 38694b2
* Tue Feb  6 2024 ailiop@suse.com
- aio: fix mremap after fork null-deref (git-fixes).
- commit 22e33d9
* Tue Feb  6 2024 ailiop@suse.com
- fs: don't audit the capability check in simple_xattr_list()
  (git-fixes).
- commit 5b6e2cc
* Tue Feb  6 2024 ailiop@suse.com
- mm: fs: initialize fsdata passed to write_begin/write_end
  interface (git-fixes).
- commit af45b4c
* Tue Feb  6 2024 ailiop@suse.com
- fs: sendfile handles O_NONBLOCK of out_fd (git-fixes).
- commit 088d52b
* Tue Feb  6 2024 ailiop@suse.com
- vfs: make freeze_super abort when sync_filesystem returns error
  (git-fixes).
- commit 6a3b59b
* Tue Feb  6 2024 ailiop@suse.com
- fs/mount_setattr: always cleanup mount_kattr (git-fixes).
- commit 113e698
* Tue Feb  6 2024 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Fix-potential-fence-use-after-free-v2.patch
  (bsc#1219128 CVE-2023-51042 git-fixes).
- commit 4b937fc
* Tue Feb  6 2024 tiwai@suse.de
- drm/amdgpu: Fix missing error code in 'gmc_v6/7/8/9_0_hw_init()'
  (git-fixes).
- drm/amdkfd: Fix 'node' NULL check in
  'svm_range_get_range_boundaries()' (git-fixes).
- drm/amdgpu: Release 'adev->pm.fw' before return in
  'amdgpu_device_need_post()' (git-fixes).
- drm/amdgpu: Fix with right return code '-EIO' in
  'amdgpu_gmc_vram_checking()' (git-fixes).
- drm/amd/powerplay: Fix kzalloc parameter 'ATOM_Tonga_PPM_Table'
  in 'get_platform_power_management_table()' (git-fixes).
- drm/amdkfd: Fix lock dependency warning with srcu (git-fixes).
- drm/amdkfd: Fix lock dependency warning (git-fixes).
- ALSA: hda/conexant: Fix headset auto detect fail in cx8070
  and SN6140 (git-fixes).
- ALSA: hda: Refer to correct stream index at loops (git-fixes).
- drm/amdkfd: Fix iterator used outside loop in
  'kfd_add_peer_prop()' (git-fixes).
- drm/amdgpu: Drop 'fence' check in 'to_amdgpu_amdkfd_fence()'
  (git-fixes).
- drm/amdgpu: Fix '*fw' from request_firmware() not released in
  'amdgpu_ucode_request()' (git-fixes).
- drm/amdgpu: Let KFD sync with VM fences (git-fixes).
- drm/amdgpu: Fix ecc irq enable/disable unpaired (git-fixes).
- drm/amd/display: make flip_timestamp_in_us a 64-bit variable
  (git-fixes).
- drm: using mul_u32_u32() requires linux/math64.h (git-fixes).
- drm/msm/dpu: fix writeback programming for YUV cases
  (git-fixes).
- drm/msm/dpu: Ratelimit framedone timeout msgs (git-fixes).
- drm/msm/dsi: Enable runtime PM (git-fixes).
- drm/amdgpu: fix ftrace event amdgpu_bo_move always move on
  same heap (git-fixes).
- drm/exynos: Call drm_atomic_helper_shutdown() at shutdown/unbind
  time (git-fixes).
- drm/framebuffer: Fix use of uninitialized variable (git-fixes).
- drm/panel-edp: Add override_edid_mode quirk for generic edp
  (git-fixes).
- drm/amd/display: Fix tiled display misalignment (git-fixes).
- commit 3c1f8a7
* Tue Feb  6 2024 jslaby@suse.cz
- rpm/mkspec: sort entries in _multibuild
  Otherwise it creates unnecessary diffs when tar-up-ing. It's of course
  due to readdir() using "random" order as served by the underlying
  filesystem.
  See for example:
  https://build.opensuse.org/request/show/1144457/changes
- commit d1155de
* Mon Feb  5 2024 petr.pavlu@suse.com
- Revert "tracing: Increase trace array ref count on enable and
  filter files" (bsc#1219490).
  Deleted:
  patches.suse/tracing-Increase-trace-array-ref-count-on-enable-and-filter-files.patch
  patches.suse/tracing-Fix-uaf-issue-when-open-the-hist-or-hist_debug-file.patch
  patches.suse/tracing-Have-event-inject-files-inc-the-trace-array-ref-count.patch
  Backported commit f5ca233e2e66 ("tracing: Increase trace array ref count
  on enable and filter files") causes a kernel panic and its upstream
  fix-up bb32500fb9b7 ("tracing: Have trace_event_file have ref counters")
  cannot be easily backported because it affects kABI. Revert the commit
  and its two related + dependent patches, at least for now.
- commit b75b68d
* Mon Feb  5 2024 ailiop@suse.com
- fs: Move notify_change permission checks into may_setattr
  (git-fixes).
- commit 9c54f53
* Mon Feb  5 2024 dwagner@suse.de
- blacklist.conf: add 'nvme: fix error-handling for io_uring
  nvme-passthrough'
- commit 580a5ab
* Mon Feb  5 2024 dwagner@suse.de
- nvme-rdma: Fix transfer length when write_generate/read_verify
  are 0 (git-fixes).
- commit b0bd240
* Mon Feb  5 2024 dwagner@suse.de
- nvme: trace: avoid memcpy overflow warning (git-fixes).
- nvmet: re-fix tracing strncpy() warning (git-fixes).
- nvme: fix max_discard_sectors calculation (git-fixes).
- nvme-pci: fix sleeping function called from interrupt context
  (git-fixes).
- nvme: introduce helper function to get ctrl state (git-fixes).
- nvme-pci: add BOGUS_NID for Intel 0a54 device (git-fixes).
- commit 45d7afe
* Mon Feb  5 2024 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.2.0.17 (bsc#1219582).
- scsi: lpfc: Move determination of vmid_flag after VMID
  reinitialization completes (bsc#1219582).
- scsi: lpfc: Reinitialize an NPIV's VMID data structures after
  FDISC (bsc#1219582).
- scsi: lpfc: Change VMID driver load time parameters to read only
  (bsc#1219582).
- commit bb7c841
* Mon Feb  5 2024 lhenriques@suse.de
- ceph: select FS_ENCRYPTION_ALGS if FS_ENCRYPTION (bsc#1219568).
- commit 5e28675
* Mon Feb  5 2024 tiwai@suse.de
- misc: fastrpc: Mark all sessions as invalid in cb_remove
  (git-fixes).
- serial: max310x: fail probe if clock crystal is unstable
  (git-fixes).
- serial: max310x: improve crystal stable clock detection
  (git-fixes).
- serial: max310x: set default value when reading clock ready bit
  (git-fixes).
- serial: core: Fix atomicity violation in uart_tiocmget
  (git-fixes).
- usb: ucsi_acpi: Fix command completion handling (git-fixes).
- usb: ucsi: Add missing ppm_lock (git-fixes).
- usb: host: xhci-plat: Add support for
  XHCI_SG_TRB_CACHE_SIZE_QUIRK (git-fixes).
- dmaengine: fix is_slave_direction() return false when
  DMA_DEV_TO_DEV (git-fixes).
- dmaengine: ti: k3-udma: Report short packet errors (git-fixes).
- dmaengine: fsl-dpaa2-qdma: Fix the size of dma pools
  (git-fixes).
- phy: ti: phy-omap-usb2: Fix NULL pointer dereference for SRP
  (git-fixes).
- phy: renesas: rcar-gen3-usb2: Fix returning wrong error code
  (git-fixes).
- dmaengine: idxd: Protect int_handle field in hw descriptor
  (git-fixes).
- commit 4d4442b
* Sun Feb  4 2024 tiwai@suse.de
- Input: atkbd - do not skip atkbd_deactivate() when skipping
  ATKBD_CMD_GETID (git-fixes).
- Input: atkbd - skip ATKBD_CMD_SETLEDS when skipping
  ATKBD_CMD_GETID (git-fixes).
- Input: bcm5974 - check endpoint type before starting traffic
  (git-fixes).
- ASoC: sun4i-spdif: Fix requirements for H6 (git-fixes).
- ASoC: codecs: lpass-wsa-macro: fix compander volume hack
  (git-fixes).
- ASoC: codecs: wcd938x: handle deferred probe (git-fixes).
- ASoC: codecs: wcd938x: fix headphones volume controls
  (git-fixes).
- ALSA: hda/cs8409: Suppress vmaster control for Dolphin models
  (git-fixes).
- nfc: nci: free rx_data_reassembly skb on NCI device cleanup
  (git-fixes).
- HID: i2c-hid-of: fix NULL-deref on failed power up (git-fixes).
- firewire: core: correct documentation of fw_csr_string()
  kernel API (git-fixes).
- commit 2100750
* Sun Feb  4 2024 colyli@suse.de
- md: fix bi_status reporting in md_end_clone_io (bsc#1210443).
- commit a1a4e04
* Fri Feb  2 2024 tabraham@suse.com
- perf/x86/uncore: Use u64 to replace unsigned for the uncore
  offsets array (bsc#1219512).
- commit 1425233
* Fri Feb  2 2024 denis.kirjanov@suse.com
- atm: Fix Use-After-Free in do_vcc_ioctl (CVE-2023-51780
  bsc#1218730).
- commit 658d424
* Fri Feb  2 2024 tzimmermann@suse.com
- fbdev: Only disable sysfb on the primary device (bsc#1216441)
  Update an existing patch to fix bsc#1216441.
- commit 1c5c5fe
* Thu Feb  1 2024 jgross@suse.com
- xen-netback: don't produce zero-size SKB frags (CVE-2023-46838,
  XSA-448, bsc#1218836).
- commit 9a897ff
* Thu Feb  1 2024 tiwai@suse.de
- drm/amdgpu/pm: Fix the power source flag error (git-fixes).
- commit fe7e152
* Thu Feb  1 2024 tiwai@suse.de
- nouveau/vmm: don't set addr on the fail path to avoid warning
  (git-fixes).
- drm/amd/display: Port DENTIST hang and TDR fixes to OTG disable
  W/A (git-fixes).
- drm: Don't unref the same fb many times by mistake due to
  deadlock handling (git-fixes).
- drm/amd/display: pbn_div need be updated for hotplug event
  (git-fixes).
- commit 962c8b3
* Thu Feb  1 2024 lhenriques@suse.de
- Update
  patches.suse/ext4-fix-kernel-BUG-in-ext4_write_inline_data_end.patch
  (CVE-2021-33631 bsc#1219412 bsc#1206894).
- commit 2260246
* Thu Feb  1 2024 mhocko@suse.com
- kabi, vmstat: skip periodic vmstat update for isolated CPUs
  (bsc#1217895).
- commit 8cb5798
* Thu Feb  1 2024 mhocko@suse.com
- sched/isolation: add cpu_is_isolated() API (bsc#1217895).
- trace,smp: Add tracepoints around remotelly called functions
  (bsc#1217895).
- vmstat: skip periodic vmstat update for isolated CPUs
  (bsc#1217895).
- Refresh
  patches.suse/0002-kernel-smp-make-csdlock-timeout-depend-on-boot-param.patch.
- commit 668c0e0
* Wed Jan 31 2024 msuchanek@suse.de
- kernel-source: Fix description typo
- commit 8abff35
* Wed Jan 31 2024 dwagner@suse.de
- nvmet-tcp: Fix the H2C expected PDU len calculation
  (bsc#1217987 bsc#1217988 bsc#1217989 CVE-2023-6535 CVE-2023-6536
  CVE-2023-6356).
- nvmet-tcp: remove boilerplate code (bsc#1217987 bsc#1217988
  bsc#1217989 CVE-2023-6535 CVE-2023-6536 CVE-2023-6356).
- nvmet-tcp: fix a crash in nvmet_req_complete() (bsc#1217987
  bsc#1217988 bsc#1217989 CVE-2023-6535 CVE-2023-6536
  CVE-2023-6356).
- nvmet-tcp: Fix a kernel panic when host sends an invalid H2C
  PDU length (bsc#1217987 bsc#1217988 bsc#1217989 CVE-2023-6535
  CVE-2023-6536 CVE-2023-6356).
- commit d968940
* Wed Jan 31 2024 jwiesner@suse.de
- clocksource: disable watchdog checks on TSC when TSC is watchdog
  (bsc#1215885).
- commit b33ffd8
* Tue Jan 30 2024 neilb@suse.de
- nfsd4: add refcount for nfsd4_blocked_lock (bsc#1218968
  bsc#1219349).
- commit e7c782d
* Tue Jan 30 2024 tiwai@suse.de
- wifi: brcmfmac: Fix use-after-free bug in brcmf_cfg80211_detach
  (CVE-2023-47233 bsc#1216702).
- commit 433859d
* Tue Jan 30 2024 jslaby@suse.cz
- rpm/constraints.in: set jobs for riscv to 8
  The same workers are used for x86 and riscv and the riscv builds take
  ages. So align the riscv jobs count to x86.
- commit b2c82b9
* Tue Jan 30 2024 petr.pavlu@suse.com
- blacklist.conf: add a not-relevant module commit
- commit d1799c4
* Tue Jan 30 2024 petr.pavlu@suse.com
- tracing/trigger: Fix to return error if failed to alloc snapshot
  (git-fixes).
- commit 6a3a4f2
* Tue Jan 30 2024 mkoutny@suse.com
- blacklist.conf: Add bunch of uclamp fixups
  244226035a1f sched/uclamp: Fix fits_capacity() check in feec()
  b759caa1d9f6 sched/uclamp: Make select_idle_capacity() use util_fits_cpu()
  c56ab1b3506b sched/uclamp: Make cpu_overutilized() use util_fits_cpu()
  d81304bc6193 sched/uclamp: Cater for uclamp in find_energy_efficient_cpu()'s early exit condition
  6b00a4014765 sched/uclamp: Set max_spare_cap_cpu even if max_spare_cap is 0
- commit 6be119f
* Tue Jan 30 2024 aabdallah@suse.de
- platform/x86: ISST: Reduce noise for missing numa information
  in logs (bsc#1219285).
- commit 017b316
* Mon Jan 29 2024 petr.pavlu@suse.com
- tracing: Ensure visibility when inserting an element into
  tracing_map (git-fixes).
- commit 95dfb0f
* Mon Jan 29 2024 petr.pavlu@suse.com
- bpf: Limit the number of kprobes when attaching program to
  multiple kprobes (git-fixes).
- commit ecd4878
* Mon Jan 29 2024 petr.pavlu@suse.com
- ring-buffer: Do not record in NMI if the arch does not support
  cmpxchg in NMI (git-fixes).
- commit 2ced0ce
* Mon Jan 29 2024 petr.pavlu@suse.com
- tracing: Fix uaf issue when open the hist or hist_debug file
  (git-fixes).
- commit 8c95da9
* Mon Jan 29 2024 petr.pavlu@suse.com
- tracing: Add size check when printing trace_marker output
  (git-fixes).
- commit ea9dc7e
* Mon Jan 29 2024 petr.pavlu@suse.com
- tracing: Have large events show up as '[LINE TOO BIG]' instead of
  nothing (git-fixes).
- commit 57bb6f3
* Mon Jan 29 2024 oneukum@suse.com
- asix: Add check for usbnet_get_endpoints (git-fixes).
- commit ce1c3e3
* Mon Jan 29 2024 oneukum@suse.com
- r8152: add vendor/device ID pair for ASUS USB-C2500 (git-fixes).
- r8152: add vendor/device ID pair for D-Link DUB-E250
  (git-fixes).
- commit a726891
* Mon Jan 29 2024 tiwai@suse.de
- drm/bridge: parade-ps8640: Make sure we drop the AUX mutex in
  the error case (git-fixes).
- commit b1d3207
* Mon Jan 29 2024 tiwai@suse.de
- clocksource: Skip watchdog check for large watchdog intervals
  (git-fixes).
- drm/bridge: anx7625: Ensure bridge is suspended in disable()
  (git-fixes).
- drm/bridge: parade-ps8640: Ensure bridge is suspended in
  .post_disable() (git-fixes).
- drm: panel-simple: add missing bus flags for Tianma
  tm070jvhg[30/33] (git-fixes).
- drm/bridge: parade-ps8640: Wait for HPD when doing an AUX
  transfer (git-fixes).
- drm/exynos: gsc: minor fix for loop iteration in
  gsc_runtime_resume (git-fixes).
- drm/exynos: fix accidental on-stack copy of exynos_drm_plane
  (git-fixes).
- gpio: eic-sprd: Clear interrupt after set the interrupt type
  (git-fixes).
- commit 0576231
* Fri Jan 26 2024 denis.kirjanov@suse.com
- net: sched: sch_qfq: Use non-work-conserving warning handler
  (CVE-2023-4921 bsc#1215275).
- commit b50ba0e
* Fri Jan 26 2024 msuchanek@suse.de
- mkspec: Use variant in constraints template
  Constraints are not applied consistently with kernel package variants.
  Add variant to the constraints template as appropriate, and expand it
  in mkspec.
- commit cc68ab9
* Fri Jan 26 2024 tiwai@suse.de
- kabi/severities: ignore _rtl92c_phy_calculate_bit_shift symbol
  It's an internal function that shouldn't have been exported
- commit eb24ddf
* Fri Jan 26 2024 tiwai@suse.de
- net: phy: micrel: populate .soft_reset for KSZ9131 (git-fixes).
- uio: Fix use-after-free in uio_open (git-fixes).
- parport: parport_serial: Add Brainboxes device IDs and geometry
  (git-fixes).
- parport: parport_serial: Add Brainboxes BAR details (git-fixes).
- pwm: stm32: Fix enable count for clk in .probe() (git-fixes).
- pwm: stm32: Use hweight32 in stm32_pwm_detect_channels
  (git-fixes).
- media: rkisp1: Fix media device memory leak (git-fixes).
- wifi: rtlwifi: rtl8192se: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: rtl8192ee: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: rtl8192de: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: rtl8192ce: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: rtl8192cu: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: rtl8192c: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: rtl8188ee: phy: using calculate_bit_shift()
  (git-fixes).
- wifi: rtlwifi: add calculate_bit_shift() (git-fixes).
- pstore: ram_core: fix possible overflow in
  persistent_ram_init_ecc() (git-fixes).
- wifi: iwlwifi: pcie: avoid a NULL pointer dereference
  (git-fixes).
- reset: hisilicon: hi6220: fix Wvoid-pointer-to-enum-cast warning
  (git-fixes).
- wifi: cfg80211: lock wiphy mutex for rfkill poll (git-fixes).
- pwm: stm32: Use regmap_clear_bits and regmap_set_bits where
  applicable (git-fixes).
- media: rkisp1: Read the ID register at probe time instead of
  streamon (git-fixes).
- commit d4f3c53
* Fri Jan 26 2024 tiwai@suse.de
- fjes: fix memleaks in fjes_hw_setup (git-fixes).
- ALSA: hda/realtek: Enable headset mic on Lenovo M70 Gen5
  (git-fixes).
- ALSA: hda/realtek: Enable mute/micmute LEDs and limit mic
  boost on HP ZBook (git-fixes).
- ALSA: hda/relatek: Enable Mute LED on HP Laptop 15s-fq2xxx
  (git-fixes).
- drm/amdkfd: fixes for HMM mem allocation (git-fixes).
- Input: atkbd - use ab83 as id when skipping the getid command
  (git-fixes).
- drivers: clk: zynqmp: update divider round rate logic
  (git-fixes).
- drm/tidss: Fix dss reset (git-fixes).
- drm/tidss: Check for K2G in in dispc_softreset() (git-fixes).
- drm/tidss: Return error value from from softreset (git-fixes).
- drm/tidss: Move reset to the end of dispc_init() (git-fixes).
- ACPI: resource: Add another DMI match for the TongFang GMxXGxx
  (git-fixes).
- Input: xpad - add Razer Wolverine V2 support (git-fixes).
- Input: i8042 - add nomux quirk for Acer P459-G2-M (git-fixes).
- Input: atkbd - skip ATKBD_CMD_GETID in translated mode
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Medion Lifetab
  S10346 (git-fixes).
- i2c: rk3x: fix potential spinlock recursion on poll (git-fixes).
- clk: rockchip: rk3128: Fix HCLK_OTG gate register (git-fixes).
- hwmon: (corsair-psu) Fix probe when built-in (git-fixes).
- ASoC: ops: add correct range check for limiting volume
  (git-fixes).
- ASoC: da7219: Support low DC impedance headset (git-fixes).
- ASoC: rt5650: add mutex to avoid the jack detection failure
  (git-fixes).
- ASoC: cs43130: Fix incorrect frame delay configuration
  (git-fixes).
- ASoC: cs43130: Fix the position of const qualifier (git-fixes).
- ASoC: Intel: Skylake: mem leak in skl register function
  (git-fixes).
- ASoC: nau8822: Fix incorrect type in assignment and cast to
  restricted __be16 (git-fixes).
- ASoC: Intel: Skylake: Fix mem leak in few functions (git-fixes).
- ASoC: wm8974: Correct boost mixer inputs (git-fixes).
- drm/amdkfd: Use resource_size() helper function (git-fixes).
- clk: zynqmp: Add a check for NULL pointer (git-fixes).
- clk: zynqmp: make bestdiv unsigned (git-fixes).
- media: rkisp1: Disable runtime PM in probe error path
  (git-fixes).
- commit f91e3c6
* Fri Jan 26 2024 tiwai@suse.de
- Drop clk imx patch that was reverted in the stable tree
- commit ab74263
* Fri Jan 26 2024 tiwai@suse.de
- Drop ASoC atmel patch that was reverted on stable tree
- commit 7e99407
* Fri Jan 26 2024 jslaby@suse.cz
- rpm/constraints.in: add static multibuild packages
  Commit 841012b049a5 (rpm/mkspec: use kernel-source: prefix for
  constraints on multibuild) added "kernel-source:" prefix to the
  dynamically generated kernels. But there are also static ones like
  kernel-docs. Those fail to build as the constraints are still not
  applied.
  So add the prefix also to the static ones.
  Note kernel-docs-rt is given kernel-source-rt prefix. I am not sure it
  will ever be multibuilt...
- commit c2e0681
* Thu Jan 25 2024 pjakobsson@suse.de
- Update
  patches.suse/drm-atomic-Fix-potential-use-after-free-in-nonblocki.patch
  (bsc#1219120 CVE-2023-51043 git-fixes).
- commit d004027
* Thu Jan 25 2024 msuchanek@suse.de
- Revert "Limit kernel-source build to architectures for which the kernel binary"
  This reverts commit 08a9e44c00758b5f3f3b641830ab6affff041132.
  The fix for bsc#1108281 directly causes bsc#1218768, revert.
- commit 2943b8a
* Thu Jan 25 2024 msuchanek@suse.de
- mkspec: Include constraints for both multibuild and plain package always
  There is no need to check for multibuild flag, the constraints can be
  always generated for both cases.
- commit 308ea09
* Thu Jan 25 2024 jslaby@suse.cz
- rpm/mkspec: use kernel-source: prefix for constraints on multibuild
  Otherwise the constraints are not applied with multibuild enabled.
- commit 841012b
* Wed Jan 24 2024 lduncan@suse.com
- scsi: hisi_sas: Correct the number of global debugfs registers
  (git-fixes).
- scsi: hisi_sas: Rollback some operations if FLR failed
  (git-fixes).
- commit 2336743
* Wed Jan 24 2024 lduncan@suse.com
- scsi: hisi_sas: Rename HISI_SAS_{RESET -> RESETTING}_BIT
  (git-fixes).
- Refresh
  patches.suse/scsi-hisi_sas-Add-more-logs-for-runtime-suspend-resume.patch.
- Refresh
  patches.suse/scsi-hisi_sas-Fix-rescan-after-deleting-a-disk.
- Refresh
  patches.suse/scsi-hisi_sas-Replace-with-standard-error-code-return-value.patch.
- Refresh
  patches.suse/scsi-hisi_sas-Use-libsas-internal-abort-support.patch.
- Refresh
  patches.suse/scsi-libsas-Don-t-always-drain-event-workqueue-for-HA-resume.patch.
- commit 6d49430
* Wed Jan 24 2024 tiwai@suse.de
- kabi/severities: ignore ASoC AMD acp driver symbols (bsc#1219136)
- commit afe2033
* Wed Jan 24 2024 jslaby@suse.cz
- rpm/kernel-source.rpmlintrc: add action-ebpf
  Upstream commit a79d8ba734bd (selftests: tc-testing: remove buildebpf
  plugin) added this precompiled binary blob. Adapt rpmlintrc for
  kernel-source.
- commit b5ccb33
* Wed Jan 24 2024 tiwai@suse.de
- Update config files: enable ASoC AMD PS drivers (bsc#1219136)
- commit ef8225f
* Wed Jan 24 2024 tiwai@suse.de
- ASoC: amd: yc: Fix non-functional mic on ASUS E1504FA
  (bsc#1219136).
- ASoC: amd: yc: Add DMI entry to support System76 Pangolin 13
  (bsc#1219136).
- ASoC: amd: yc: Add HP 255 G10 into quirk table (bsc#1219136).
- ASoC: amd: acp: Add kcontrols and widgets per-codec in common
  code (bsc#1219136).
- commit 4161e83
* Wed Jan 24 2024 tiwai@suse.de
- Add DMI ID for MSI Bravo 15 B7ED (bsc#1219136).
- ASoC: amd: yc: Fix a non-functional mic on Lenovo 82TL
  (bsc#1219136).
- ASoC: amd: yc: Add DMI entries to support Victus by HP Gaming
  Laptop 15-fb0xxx (8A3E) (bsc#1219136).
- ASoC: amd: acp3x-rt5682-max9836: Configure jack as not detecting
  Line Out (bsc#1219136).
- ASoC: amd: acp3x-rt5682-max9836: Map missing jack kcontrols
  (bsc#1219136).
- ASoC: amd: acp: Map missing jack kcontrols (bsc#1219136).
- ASoC: amd: acp-rt5645: Map missing jack kcontrols (bsc#1219136).
- ASoC: amd: acp-da7219-max98357a: Map missing jack kcontrols
  (bsc#1219136).
- ASoC: amd: acp: fix SND_SOC_AMD_ACP_PCI depdenencies
  (bsc#1219136).
- ASoC: amd: acp: delete unnecessary NULL check (bsc#1219136).
- ASoC: amd: acp: clean up some inconsistent indentings
  (bsc#1219136).
- ASoC: amd: acp: add pm ops support for rembrandt platform
  (bsc#1219136).
- ASoC: amd: acp: move pdm macros to common header file
  (bsc#1219136).
- ASoC: amd: acp: store the pdm stream channel mask (bsc#1219136).
- ASoC: amd: acp: export config_acp_dma() and
  config_pte_for_stream() symbols (bsc#1219136).
- ASoC: amd: acp: store xfer_resolution of the stream
  (bsc#1219136).
- ASoC: amd: acp: add pm ops support for acp pci driver
  (bsc#1219136).
- ASoC: amd: acp: store platform device reference created in
  pci probe call (bsc#1219136).
- ASoC: amd: acp: remove the redundant acp enable/disable
  interrupts functions (bsc#1219136).
- ASoC: amd: acp: add acp i2s master clock generation for
  rembrandt platform (bsc#1219136).
- ASoC: amd: acp: refactor the acp init and de-init sequence
  (bsc#1219136).
- ASoC: amd: Add new dmi entries to config entry (bsc#1219136).
- commit 120d62d
* Wed Jan 24 2024 tiwai@suse.de
- ASoC: amd: yc: Add MECHREVO Jiaolong Series MRID6 into DMI table
  (bsc#1219136).
- commit 150a883
* Wed Jan 24 2024 tiwai@suse.de
- ASoC: amd: yc: Add DMI entry to support System76 Pangolin 12
  (bsc#1219136).
- commit c977ecd
* Wed Jan 24 2024 tiwai@suse.de
- ASoC: amd: vangogh: Make use of DRV_NAME (bsc#1219136).
- ASoC: amd: yc: Add VivoBook Pro 15 to quirks list for acp6x
  (bsc#1219136).
- ASoC: amd: update pm_runtime enable sequence (bsc#1219136).
- ASoC: amd: acp: remove acp poweroff function (bsc#1219136).
- ASoC: amd: acp: clear pdm dma interrupt mask (bsc#1219136).
- ASoC: amd: vangogh: select CONFIG_SND_AMD_ACP_CONFIG
  (bsc#1219136).
- ASoC: amd: vangogh: Add check for acp config flags in vangogh
  platform (bsc#1219136).
- ASoC: amd: ps: refactor acp power on and reset functions
  (bsc#1219136).
- ASoC: amd: ps: remove the register read and write wrappers
  (bsc#1219136).
- ASoC: amd: ps: Update copyright notice (bsc#1219136).
- ASoC: amd: yc: Add Thinkpad Neo14 to quirks list for acp6x
  (bsc#1219136).
- ASoC: amd: ps: fix for acp_lock access in pdm driver
  (bsc#1219136).
- ASoC: amd: yc: Add Asus VivoBook Pro 14 OLED M6400RC to the
  quirks list for acp6x (bsc#1219136).
- ASoC: amd: yc: Add ASUS M3402RA into DMI table (bsc#1219136).
- ASoC: amd: Add check for acp config flags (bsc#1219136).
- ASoC: amd: yc: Add ThinkBook 14 G5+ ARP to quirks list for acp6x
  (bsc#1219136).
- ASoC: amd: Add Dell G15 5525 to quirks list (bsc#1219136).
- ASoC: amd: yc: Add DMI entries to support HP OMEN 16-n0xxx
  (8A42) (bsc#1219136).
- ASoC: amd: ps: update the acp clock source (bsc#1219136).
- ASoC: amd: acp: rembrandt: Drop if blocks with always false
  condition (bsc#1219136).
- ASoC: amd: vangogh: Remove unnecessary init function
  (bsc#1219136).
- ASoC: amd: yc: Add DMI entries to support Victus by HP Laptop
  16-e1xxx (8A22) (bsc#1219136).
- ASoC: amd: yc: Add DMI entries to support HP OMEN 16-n0xxx
  (8A43) (bsc#1219136).
- ASoC: amd: yp: Add OMEN by HP Gaming Laptop 16z-n000 to quirks
  (bsc#1219136).
- ASoC: amd: ps: Add a module parameter to influence pdm_gain
  (bsc#1219136).
- ASoC: amd: ps: Adjust the gain for PDM DMIC (bsc#1219136).
- ASoC: amd: renoir: Add a module parameter to influence pdm_gain
  (bsc#1219136).
- ASoC: amd: renoir: Adjust the gain for PDM DMIC (bsc#1219136).
- ASoC: amd: yc: Add a module parameter to influence pdm_gain
  (bsc#1219136).
- ASoC: amd: yc: Adjust the gain for PDM DMIC (bsc#1219136).
- ASoC: amd: acp: Refactor bit width calculation (bsc#1219136).
- ASoC: amd: acp: Enable i2s tdm support for skyrim platforms
  (bsc#1219136).
- ASoC: amd: acp: Add i2s tdm support in machine driver
  (bsc#1219136).
- ASoC: amd: acp: Refactor i2s clocks programming sequence
  (bsc#1219136).
- ASoC: amd: acp: Refactor dai format implementation
  (bsc#1219136).
- ASoC: amd: acp: Add new cpu dai's in machine driver
  (bsc#1219136).
- ASoC: amd: ps: Fix uninitialized ret in
  create_acp64_platform_devs() (bsc#1219136).
- ASoC: amd: ps: use static function (bsc#1219136).
- ASoC: amd: ps: remove unused variable (bsc#1219136).
- ASoC: amd: ps: use acp_lock to protect common registers in
  pdm driver (bsc#1219136).
- ASoC: amd: ps: add mutex lock for accessing common registers
  (bsc#1219136).
- ASoC: amd: Drop empty platform remove function (bsc#1219136).
- ASoC: amd: ps: move irq handler registration (bsc#1219136).
- ASoC: amd: ps: update dev index value in irq handler
  (bsc#1219136).
- ASoC: amd: ps: refactor platform device creation logic
  (bsc#1219136).
- ASoC: amd: ps: implement api to retrieve acp device config
  (bsc#1219136).
- ASoC: amd: yc: Add Xiaomi Redmi Book Pro 15 2022 into DMI table
  (bsc#1219136).
- ASoC: amd: yc: Add DMI support for new acer/emdoor platforms
  (bsc#1219136).
- ASoC: amd: yc: Add ASUS M5402RA into DMI table (bsc#1219136).
- ASoC: amd: yc: Add Razer Blade 14 2022 into DMI table
  (bsc#1219136).
- ASoC: amd: yc: Add Xiaomi Redmi Book Pro 14 2022 into DMI table
  (bsc#1219136).
- ASoC: amd: acp: Fix possible UAF in acp_dma_open (bsc#1219136).
- ASoC: amd: ps: Move acp63_dev_data strcture from PCI driver
  (bsc#1219136).
- ASoC: amd: ps: update macros with ps platform naming convention
  (bsc#1219136).
- ASoC: amd: Drop da7219_aad_jack_det() usage (bsc#1219136).
- ASoC: amd: fix ACP version typo mistake (bsc#1219136).
- ASoC: amd: acp: Add setbias level for rt5682s codec in machine
  driver (bsc#1219136).
- ASoC: amd: acp: Add TDM slots setting support for ACP I2S
  controller (bsc#1219136).
- ASoC: amd: Update Pink Sardine platform ACP register header
  (bsc#1219136).
- ASoC: amd: yc: Add Alienware m17 R5 AMD into DMI table
  (bsc#1219136).
- ASoC: amd: yc: Add Lenovo Thinkbook 14+ 2022 21D0 to quirks
  table (bsc#1219136).
- ASoC: amd: yc: Adding Lenovo ThinkBook 14 Gen 4+ ARA and Lenovo
  ThinkBook 16 Gen 4+ ARA to the Quirks List (bsc#1219136).
- ASoC: amd: acp: use function devm_kcalloc() instead of
  devm_kzalloc() (bsc#1219136).
- ASoC: amd: acp: use devm_kcalloc() instead of devm_kzalloc()
  (bsc#1219136).
- ASoC: amd: fix spelling mistake: "i.e" -> "i.e." (bsc#1219136).
- ASoC: amd: enable Pink sardine platform machine driver build
  (bsc#1219136).
- ASoC: amd: add Pink Sardine machine driver using dmic
  (bsc#1219136).
- ASoC: amd: create platform device for acp6.2 machine driver
  (bsc#1219136).
- ASoC: amd: enable Pink Sardine acp6.2 drivers build
  (bsc#1219136).
- ASoC: amd: add acp6.2 pdm driver pm ops (bsc#1219136).
- ASoC: amd: add acp6.2 pci driver pm ops (bsc#1219136).
- ASoC: amd: add acp6.2 pdm driver dma ops (bsc#1219136).
- ASoC: amd: add acp6.2 irq handler (bsc#1219136).
- ASoC: amd: add acp6.2 pdm platform driver (bsc#1219136).
- ASoC: amd: add platform devices for acp6.2 pdm driver and dmic
  driver (bsc#1219136).
- ASoC: amd: add acp6.2 init/de-init functions (bsc#1219136).
- ASoC: amd: add Pink Sardine ACP PCI driver (bsc#1219136).
- ASoC: amd: add Pink Sardine platform ACP IP register header
  (bsc#1219136).
- ASoC: amd: acp: Modify dai_id macros to be more generic
  (bsc#1219136).
- ASoC: amd: acp: remove unnecessary NULL checks (bsc#1219136).
- ASoC: amd: acp: add a label to make error path more clean
  (bsc#1219136).
- ASoC: amd: acp: switch to use dev_err_probe() (bsc#1219136).
- ASoC: amd: acp: Add TDM support for acp i2s stream
  (bsc#1219136).
- ASoC: amd: acp: Initialize list to store acp_stream during
  pcm_open (bsc#1219136).
- commit 14632ae
* Wed Jan 24 2024 iivanov@suse.de
- arm64: dts: imx8mp: imx8mq: Add parkmode-disable-ss-quirk on DWC3 (git-fixes)
- commit 3eba4f6
* Wed Jan 24 2024 iivanov@suse.de
- arm64: dts: imx8mq: drop usb3-resume-missing-cas from usb (git-fixes)
- commit ee809a9
* Wed Jan 24 2024 oneukum@suse.com
- xhci: track port suspend state correctly in unsuccessful resume
  cases (git-fixes).
- commit 5f8b948
* Wed Jan 24 2024 iivanov@suse.de
- arm64: dts: armada-3720-turris-mox: set irq type for RTC (git-fixes)
- commit a7b727f
* Wed Jan 24 2024 iivanov@suse.de
- arm64: mm: Always make sw-dirty PTEs hw-dirty in pte_modify (git-fixes)
- commit f3c4bfe
* Wed Jan 24 2024 iivanov@suse.de
- arm64: dts: rockchip: Expand reg size of vdec node for RK3399 (git-fixes)
- commit 7e17ca6
* Wed Jan 24 2024 iivanov@suse.de
- arm64: dts: ls208xa: use a pseudo-bus to constrain usb dma size (git-fixes)
- commit ed0fb4a
* Wed Jan 24 2024 iivanov@suse.de
- blacklist.conf: ("arm64: Restrict CPU_BIG_ENDIAN to GNU as or LLVM IAS 15.x or newer")
- commit 76fd77c
* Wed Jan 24 2024 dbond@suse.com
- scsi: mpt3sas: Fix loop logic (bsc#1219067).
- commit 872bee1
* Tue Jan 23 2024 lduncan@suse.com
- scsi: hisi_sas: Replace with standard error code return value
  (git-fixes).
- scsi: fnic: Return error if vmalloc() failed (git-fixes).
- scsi: mpt3sas: Fix an outdated comment (git-fixes).
- scsi: core: Always send batch on reset or error handling command
  (git-fixes).
- scsi: bnx2fc: Fix skb double free in bnx2fc_rcv() (git-fixes).
- scsi: be2iscsi: Fix a memleak in beiscsi_init_wrb_handle()
  (git-fixes).
- commit 3a87f07
* Tue Jan 23 2024 lduncan@suse.com
- blacklist.conf: add commit that breaks kabi
- commit 4ab1644
* Tue Jan 23 2024 lduncan@suse.com
- scsi: qla2xxx: Fix system crash due to bad pointer access
  (git-fixes).
- scsi: mpt3sas: Fix loop logic (git-fixes).
- scsi: megaraid_sas: Increase register read retry rount from
  3 to 30 for selected registers (git-fixes).
- scsi: libfc: Fix potential NULL pointer dereference in
  fc_lport_ptp_setup() (git-fixes).
- scsi: ibmvfc: Fix erroneous use of rtas_busy_delay with hcall
  return code (git-fixes).
- scsi: hisi_sas: Set debugfs_dir pointer to NULL after removing
  debugfs (git-fixes).
- scsi: mpt3sas: Fix in error path (git-fixes).
- scsi: pm80xx: Avoid leaking tags when processing
  OPC_INB_SET_CONTROLLER_CONFIG command (git-fixes).
- scsi: pm80xx: Use phy-specific SAS address when sending
  PHY_START command (git-fixes).
- scsi: megaraid_sas: Fix deadlock on firmware crashdump
  (git-fixes).
- scsi: hisi_sas: Fix normally completed I/O analysed as failed
  (git-fixes).
- scsi: hisi_sas: Fix warnings detected by sparse (git-fixes).
- scsi: iscsi: Rename iscsi_set_param() to iscsi_if_set_param()
  (git-fixes).
- scsi: hisi_sas: Modify v3 HW SATA completion error processing
  (git-fixes).
- commit d038b1c
* Tue Jan 23 2024 oneukum@suse.com
- xhci: pass port pointer as parameter to xhci_set_port_power()
  (git-fixes).
- xhci: cleanup xhci_hub_control port references (git-fixes).
- commit b297848
* Tue Jan 23 2024 oneukum@suse.com
- USB: xhci: workaround for grace period (git-fixes).
- commit 66e1fb8
* Tue Jan 23 2024 oneukum@suse.com
- xhci: Add grace period after xHC start to prevent premature
  runtime suspend (git-fixes).
- blacklist.conf: I wanted to avoid the kABI workaround for this, but it
  is needed; reinstate it.
- Refresh
  patches.suse/xhci-remove-unused-command-member-from-struct-xhci_h.patch.
- commit e6ea339
* Tue Jan 23 2024 tiwai@suse.de
- scripts/tar-up.sh: don't add spurious entry from kernel-sources.changes.old
  The previous change added the manual entry from kernel-sources.change.old
  to old_changelog.txt unnecessarily.  Let's fix it.
- commit fb033e8
* Tue Jan 23 2024 lhenriques@suse.de
- Update
  patches.suse/ext4-improve-error-recovery-code-paths-in-__ext4_rem.patch
  (bsc#1213017 bsc#1219053 CVE-2024-0775).
- commit 97ea702
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/irdma: Avoid free the non-cqp_request scratch (git-fixes)
- commit e0e972e
* Tue Jan 23 2024 nmorey@suse.com
- blacklist.conf: add 4fbc3a52cd4d ("RDMA/core: Fix umem iterator when PAGE_SIZE is greater then HCA pgsz")
- commit 294e9b8
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/irdma: Fix UAF in irdma_sc_ccq_get_cqe_info() (git-fixes)
- commit 345f1ff
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/irdma: Refactor error handling in create CQP (git-fixes)
- commit 4a6aa38
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-clt: Remove the warnings for req in_use check (git-fixes)
- commit 281db3f
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-clt: Fix the max_send_wr setting (git-fixes)
- commit 63679fd
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-srv: Destroy path files after making sure no IOs in-flight (git-fixes)
- commit 3c73c12
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-srv: Free srv_mr iu only when always_invalidate is true (git-fixes)
- commit 8cc2bd1
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-srv: Check return values while processing info request (git-fixes)
- commit 8d9fb90
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-clt: Start hb after path_up (git-fixes)
- commit e242a3d
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/rtrs-srv: Do not unconditionally enable irq (git-fixes)
- commit 29a41f7
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/irdma: Add wait for suspend on SQD (git-fixes)
- commit 538f2e3
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/irdma: Do not modify to SQD on error (git-fixes)
- commit 263fc9c
* Tue Jan 23 2024 nmorey@suse.com
- RDMA/hns: Fix unnecessary err return when using invalid congest control algorithm (git-fixes)
- commit 59ab729
* Tue Jan 23 2024 jslaby@suse.cz
- rpm/kernel-docs.spec.in: fix build with 6.8
  Since upstream commit f061c9f7d058 (Documentation: Document each netlink
  family), the build needs python yaml.
- commit 6a7ece3
* Mon Jan 22 2024 lduncan@suse.com
- scsi: hisi_sas: Modify v3 HW SSP underflow error processing
  (git-fixes).
- Refresh
  patches.suse/scsi-hisi_sas-Handle-NCQ-error-when-IPTT-is-valid.patch.
- commit 44aa3a5
* Mon Jan 22 2024 oneukum@suse.com
- blacklist.conf: kABI
- commit d83f18a
* Mon Jan 22 2024 oneukum@suse.com
- blacklist.conf: kABI
- commit 59ff7e1
* Mon Jan 22 2024 tiwai@suse.de
- Update patch reference for ax88179 fix (bsc#1218948)
- commit 5a21b74
* Mon Jan 22 2024 ohering@suse.de
- hv_netvsc: rndis_filter needs to select NLS (git-fixes).
- x86/hyperv: Use atomic_try_cmpxchg() to micro-optimize
  hv_nmi_unknown() (git-fixes).
- x86/hyperv: Fix the detection of E820_TYPE_PRAM in a Gen2 VM
  (git-fixes).
- commit 7633c65
* Mon Jan 22 2024 tiwai@suse.de
- drm/amdgpu: Fix cat debugfs amdgpu_regs_didt causes kernel
  null pointer (git-fixes).
- commit 3bf351b
* Mon Jan 22 2024 tiwai@suse.de
- dmaengine: fix NULL pointer in channel unregistration function
  (git-fixes).
- libapi: Add missing linux/types.h header to get the __u64 type
  on io.h (git-fixes).
- ALSA: oxygen: Fix right channel of capture volume mixer
  (git-fixes).
- power: supply: cw2015: correct time_to_empty units in sysfs
  (git-fixes).
- power: supply: bq256xx: fix some problem in bq256xx_hw_init
  (git-fixes).
- apparmor: avoid crash when parsed profile name is empty
  (git-fixes).
- ALSA: hda/realtek: Fix mute and mic-mute LEDs for HP Envy X360
  13-ay0xxx (git-fixes).
- ALSA: hda/realtek: Add quirks for ASUS Zenbook 2022 Models
  (git-fixes).
- drm/amd/display: get dprefclk ss info from integration info
  table (git-fixes).
- drm/crtc: fix uninitialized variable use (git-fixes).
- drm/crtc: Fix uninit-value bug in drm_mode_setcrtc (git-fixes).
- drm/exynos: fix a wrong error checking (git-fixes).
- drm/exynos: fix a potential error pointer dereference
  (git-fixes).
- drm/amdgpu: Add NULL checks for function pointers (git-fixes).
- nouveau/tu102: flush all pdbs on vmm flush (git-fixes).
- ALSA: hda: intel-nhlt: Ignore vbps when looking for DMIC 32
  bps format (git-fixes).
- drm/amd/display: update dcn315 lpddr pstate latency (git-fixes).
- commit 091325f
* Mon Jan 22 2024 tiwai@suse.de
- net: usb: ax88179_178a: avoid two consecutive device resets
  (bsc#1218948).
- net: usb: ax88179_178a: Bind only to vendor-specific interface
  (bsc#1218948).
- net: usb: ax88179_178a: restore state on resume (bsc#1218948).
- commit d91b154
* Mon Jan 22 2024 neilb@suse.de
- nfsd: fix RELEASE_LOCKOWNER (bsc#1218968).
- commit ad625bb
* Sun Jan 21 2024 colyli@suse.de
- badblocks: avoid checking invalid range in badblocks_check()
  (bsc#1174649).
- badblocks: switch to the improved badblock handling code
  (bsc#1174649).
- badblocks: improve badblocks_check() for multiple ranges
  handling (bsc#1174649).
- badblocks: improve badblocks_clear() for multiple ranges
  handling (bsc#1174649).
- badblocks: improve badblocks_set() for multiple ranges handling
  (bsc#1174649).
- badblocks: add helper routines for badblock ranges handling
  (bsc#1174649).
- badblocks: add more helper structure and routines in badblocks.h
  (bsc#1174649).
- commit 6a46786
* Sat Jan 20 2024 svarbanov@suse.de
- dt-bindings: gpio: Remove FSI domain ports on Tegra234 (jsc#PED-6694)
- commit 4ac18f0
* Fri Jan 19 2024 tonyj@suse.de
- perf/x86/intel/uncore: Factor out topology_gidnid_map()
  (bsc#1218958).
- perf/x86/intel/uncore: Fix NULL pointer dereference issue in
  upi_fill_topology() (bsc#1218958).
- commit fe3658c
* Fri Jan 19 2024 tiwai@suse.de
- net: usb: ax88179_178a: move priv to driver_priv (git-fixes).
- Refresh
  patches.suse/net-usb-ax88179_178a-wol-optimizations.patch.
- commit 8b1488e
* Fri Jan 19 2024 mfranc@suse.cz
- s390/vfio-ap: let on_scan_complete() callback filter matrix
  and update guest's APCB (git-fixes bsc#1219014).
- commit b83db20
* Fri Jan 19 2024 mfranc@suse.cz
- s390/vfio-ap: loop over the shadow APCB when filtering guest's
  AP configuration (git-fixes bsc#1219013).
- commit 0f291d1
* Fri Jan 19 2024 mfranc@suse.cz
- s390/vfio-ap: always filter entire AP matrix (git-fixes
  bsc#1219012).
- commit a461bd5
* Fri Jan 19 2024 mfranc@suse.cz
- s390/pci: fix max size calculation in zpci_memcpy_toio()
  (git-fixes bsc#1219006).
- commit 18b0ac3
* Fri Jan 19 2024 tiwai@suse.de
- modpost: move __attribute__((format(printf, 2, 3))) to modpost.h
  (git-fixes).
- kdb: Fix a potential buffer overflow in kdb_local() (git-fixes).
- i2c: s3c24xx: fix transferring more than one message in polling
  mode (git-fixes).
- i2c: s3c24xx: fix read transfers in polling mode (git-fixes).
- pwm: jz4740: Don't use dev_err_probe() in .request()
  (git-fixes).
- pwm: Fix out-of-bounds access in of_pwm_single_xlate()
  (git-fixes).
- dma-debug: fix kernel-doc warnings (git-fixes).
- usb: mon: Fix atomicity violation in mon_bin_vma_fault
  (git-fixes).
- usb: typec: class: fix typec_altmode_put_partner to put plugs
  (git-fixes).
- usb: xhci-mtk: fix a short packet issue of gen1 isoc-in transfer
  (git-fixes).
- usb: phy: mxs: remove CONFIG_USB_OTG condition for
  mxs_phy_is_otg_host() (git-fixes).
- usb: chipidea: wait controller resume finished for wakeup irq
  (git-fixes).
- usb: cdns3: Fix uvc fail when DMA cross 4k boundery since sg
  enabled (git-fixes).
- usb: cdns3: fix uvc failure work since sg support enabled
  (git-fixes).
- usb: dwc: ep0: Update request status in dwc3_ep0_stall_restart
  (git-fixes).
- Revert "usb: dwc3: don't reset device side if dwc3 was
  configured as host-only" (git-fixes).
- Revert "usb: dwc3: Soft reset phy on probe for host"
  (git-fixes).
- Revert "usb: typec: class: fix typec_altmode_put_partner to
  put plugs" (git-fixes).
- serial: sc16is7xx: set safe default SPI clock frequency
  (git-fixes).
- serial: sc16is7xx: add check for unsupported SPI modes during
  probe (git-fixes).
- serial: imx: Correct clock error message in function probe()
  (git-fixes).
- serial: imx: fix tx statemachine deadlock (git-fixes).
- serial: sccnxp: Improve error message if regulator_disable()
  fails (git-fixes).
- serial: 8250: omap: Don't skip resource freeing if
  pm_runtime_resume_and_get() failed (git-fixes).
- software node: Let args be NULL in
  software_node_get_reference_args (git-fixes).
- acpi: property: Let args be NULL in
  __acpi_node_get_property_reference (git-fixes).
- iio: adc: ad7091r: Pass iio_dev to event handler (git-fixes).
- iio: adc: ad9467: add mutex to struct ad9467_state (git-fixes).
- iio: adc: ad9467: don't ignore error codes (git-fixes).
- iio: adc: ad9467: fix reset gpio handling (git-fixes).
- bus: mhi: host: Drop chan lock before queuing buffers
  (git-fixes).
- bus: mhi: host: Add spinlock to protect WP access when queueing
  TREs (git-fixes).
- bus: mhi: host: Add alignment check for event ring read pointer
  (git-fixes).
- PCI: keystone: Fix race condition when initializing PHYs
  (git-fixes).
- PCI: Add ACS quirk for more Zhaoxin Root Ports (git-fixes).
- PCI/P2PDMA: Remove reference to pci_p2pdma_map_sg() (git-fixes).
- pinctrl: intel: Revert "Unexport intel_pinctrl_probe()"
  (git-fixes).
- leds: ledtrig-tty: Free allocated ttyname buffer on deactivate
  (git-fixes).
- leds: aw2013: Select missing dependency REGMAP_I2C (git-fixes).
- mfd: intel-lpss: Fix the fractional clock divider flags
  (git-fixes).
- firewire: ohci: suppress unexpected system reboot in AMD Ryzen
  machines and ASM108x/VT630x PCIe cards (git-fixes).
- mmc: core: Cancel delayed work before releasing host
  (git-fixes).
- net: usb: ax88179_178a: remove redundant init code (git-fixes).
- commit 050b9b3
* Fri Jan 19 2024 mfranc@suse.cz
- blacklist.conf: documentation fix
- commit 056879c
* Fri Jan 19 2024 mfranc@suse.cz
- KVM: s390: vsie: Fix STFLE interpretive execution identification
  (git-fixes bsc#1218997).
- commit a78caf7
* Fri Jan 19 2024 dwagner@suse.de
- nvme: move nvme_stop_keep_alive() back to original position
  (bsc#1211515).
- commit d640b69
* Fri Jan 19 2024 denis.kirjanov@suse.com
- netfilter: nf_tables: Reject tables of unsupported family
  (bsc#1218752 CVE-2023-6040).
- commit e03f1d3
* Fri Jan 19 2024 dwagner@suse.de
- nvme: start keep-alive after admin queue setup (bsc#1211515).
- nvme-loop: always quiesce and cancel commands before destroying
  admin q (bsc#1211515).
- nvme-tcp: avoid open-coding nvme_tcp_teardown_admin_queue()
  (bsc#1211515).
- commit f407c87
* Fri Jan 19 2024 tzimmermann@suse.com
- fbdev: Only disable sysfb on the primary device (bsc#1216441)
- commit 79783f0
* Thu Jan 18 2024 ailiop@suse.com
- ubifs: ubifs_symlink: Fix memleak of inode->i_link in error path
  (git-fixes).
- commit cc469c7
* Thu Jan 18 2024 ailiop@suse.com
- ubifs: Check @c->dirty_[n|p]n_cnt and @c->nroot state under
  @c->lp_mutex (git-fixes).
- commit d5d1991
* Thu Jan 18 2024 denis.kirjanov@suse.com
- tipc: fix a potential deadlock on &tx->lock (bsc#1218916
  CVE-2024-0641).
- commit d898738
* Thu Jan 18 2024 tiwai@suse.de
- Drop PCI vmd patches that caused a regression (bsc#1218005)
  Deleted:
  patches.suse/PCI-vmd-Fix-secondary-bus-reset-for-Intel-bridges.patch
  patches.suse/PCI-vmd-Fix-uninitialized-variable-usage-in-vmd_enab.patch
- commit 1697177
* Thu Jan 18 2024 denis.kirjanov@suse.com
- tipc: fix a potential deadlock on &tx->lock (bsc#1218916
  CVE-2024-0641).
- commit 7953be2
* Thu Jan 18 2024 denis.kirjanov@suse.com
- Update metadata
- commit c015ae2
* Wed Jan 17 2024 ematsumiya@suse.de
- smb: client: fix OOB in receive_encrypted_standard()
  (bsc#1218832 CVE-2024-0565).
- commit 3cac9c2
* Wed Jan 17 2024 ematsumiya@suse.de
- smb: client: fix OOB in receive_encrypted_standard()
  (bsc#1218832 CVE-2024-0565).
- commit e9083ae
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/mce: Cleanup mce_usable_address() (jsc#PED-7623).
- commit b54373d
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/mce: Define amd_mce_usable_address() (jsc#PED-7623).
- commit 69805de
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/MCE/AMD: Split amd_mce_is_memory_error() (jsc#PED-7623).
- commit 17233cd
* Wed Jan 17 2024 nmorey@suse.com
- IB/iser: Prevent invalidating wrong MR (git-fixes)
- commit 3e4d18d
* Wed Jan 17 2024 nmorey@suse.com
- RDMA/hns: Remove unnecessary checks for NULL in mtr_alloc_bufs() (git-fixes)
- commit c22413e
* Wed Jan 17 2024 nmorey@suse.com
- RDMA/hns: Fix inappropriate err code for unsupported operations (git-fixes)
- commit 366f439
* Wed Jan 17 2024 nmorey@suse.com
- RDMA/usnic: Silence uninitialized symbol smatch warnings (git-fixes)
- commit bb70cd4
* Wed Jan 17 2024 nik.borisov@suse.com
- Documentation: Begin a RAS section (jsc#PED-7622).
- commit b55cb06
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/MCE/AMD: Add new MA_LLC, USR_DP, and USR_CP bank types (jsc#PED-7622).
- commit 2a68e97
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/mce_amd: Remove SMCA Extended Error code descriptions (jsc#PED-7622).
- commit 44e51c1
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/amd64: Add support for family 0x19, models 0x90-9f devices (jsc#PED-7622).
- commit 05504bb
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/mc: Add support for HBM3 memory type (jsc#PED-7622).
- commit ea69eb6
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/amd_nb: Add AMD Family MI300 PCI IDs (jsc#PED-7622).
- Refresh
  patches.suse/PCI-Prevent-xHCI-driver-from-claiming-AMD-VanGogh-US.patch.
- commit 7126e83
* Wed Jan 17 2024 vkarasulli@suse.de
- ida: Fix crash in ida_free when the bitmap is empty (bsc#1218804
  CVE-2023-6915).
- commit 7caa324
* Wed Jan 17 2024 nik.borisov@suse.com
- platform/x86/amd/hsmp: Fix iomem handling (jsc#PED-7620).
- commit 12e7799
* Wed Jan 17 2024 nik.borisov@suse.com
- platform/x86/amd/hsmp: improve the error log (jsc#PED-7620).
- commit 1360d63
* Wed Jan 17 2024 nik.borisov@suse.com
- platform/x86/amd/hsmp: add support for metrics tbl (jsc#PED-7620).
- commit 289eab7
* Wed Jan 17 2024 nik.borisov@suse.com
- platform/x86/amd/hsmp: create plat specific struct (jsc#PED-7620).
- commit ac44ea2
* Wed Jan 17 2024 nik.borisov@suse.com
- platform/x86: use PLATFORM_DEVID_NONE instead of -1  (jsc#PED-7620).
- Refresh
  patches.suse/platform-x86-amd-pmc-remove-CONFIG_DEBUG_FS-checks.patch.
- commit 9b51c97
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/amd64: Cache and use GPU node map (jsc#PED-7616).
- commit 58aa5aa
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/amd64: Add support for AMD heterogeneous Family 19h Model 30h-3Fh (jsc#PED-7616).
- commit f30c55c
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/amd64: Document heterogeneous system enumeration (jsc#PED-7616).
- commit ffa78e3
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/MCE/AMD, EDAC/mce_amd: Decode UMC_V2 ECC errors (jsc#PED-7616).
- commit cfe246e
* Wed Jan 17 2024 nik.borisov@suse.com
- x86/amd_nb: Add MI200 PCI IDs (jsc#PED-7616).
- Refresh
  patches.suse/PCI-Prevent-xHCI-driver-from-claiming-AMD-VanGogh-US.patch.
- commit cb392fd
* Wed Jan 17 2024 nik.borisov@suse.com
- EDAC/mc: Add new HBM2 memory type (jsc#PED-7616).
- Refresh
  patches.suse/edac-add-rddr5-and-lrddr5-memory-types.patch.
- commit eca21a4
* Tue Jan 16 2024 oneukum@suse.com
- usb: otg numberpad exception (bsc#1218527).
- commit 3d70e84
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Add support for ECC on family 19h model 60h-7Fh (jsc#PED-7615).
- commit 16c2c66
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Remove module version string (jsc#PED-7615).
- commit b84231c
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Fix indentation in umc_determine_edac_cap() (jsc#PED-7615).
- commit b7d2f10
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Add get_err_info() to pvt->ops (jsc#PED-7615).
- commit ea43a00
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split dump_misc_regs() into dct/umc functions (jsc#PED-7615).
- commit 2c6263f
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split init_csrows() into dct/umc functions (jsc#PED-7615).
- commit 375eb6a
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split determine_edac_cap() into dct/umc functions (jsc#PED-7615).
- commit 2903760
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Rename f17h_determine_edac_ctl_cap() (jsc#PED-7615).
- commit 9071635
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split setup_mci_misc_attrs() into dct/umc functions (jsc#PED-7615).
- commit 21842b7
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split ecc_enabled() into dct/umc functions (jsc#PED-7615).
- commit 93157a0
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split read_mc_regs() into dct/umc functions (jsc#PED-7615).
- commit 01c4123
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split determine_memory_type() into dct/umc functions (jsc#PED-7615).
- commit 59d41b9
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split read_base_mask() into dct/umc functions (jsc#PED-7615).
- commit ddb7d7a
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split prep_chip_selects() into dct/umc functions (jsc#PED-7615).
- commit cb412ef
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Rework hw_info_{get,put} (jsc#PED-7615).
- commit f32e3e6
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Merge struct amd64_family_type into struct amd64_pvt (jsc#PED-7615).
- commit e87aae6
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Do not discover ECC symbol size for Family 17h and later (jsc#PED-7615).
- commit 555ada3
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Drop dbam_to_cs() for Family 17h and later (jsc#PED-7615).
- commit 8839a23
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Split get_csrow_nr_pages() into dct/umc functions (jsc#PED-7615).
- commit 9f0bb93
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Rename debug_display_dimm_sizes() (jsc#PED-7615).
- commit 13890aa
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Shut up an -Werror,-Wsometimes-uninitialized clang false  positive (jsc#PED-7615).
- commit 78d7b48
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Remove early_channel_count() (jsc#PED-7615).
- commit a00b2ae
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Remove PCI Function 0 (jsc#PED-7615).
- commit 49bc10d
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Remove PCI Function 6 (jsc#PED-7615).
- commit c2e9755
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Remove scrub rate control for Family 17h and later (jsc#PED-7615).
- commit 320ccbc
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Don't set up EDAC PCI control on Family 17h+ (jsc#PED-7615).
- commit 85a16a7
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Add context struct (jsc#PED-7615).
- commit 98c3472
* Tue Jan 16 2024 nik.borisov@suse.com
- EDAC/amd64: Allow for DF Indirect Broadcast reads (jsc#PED-7615).
- commit d8a1ed8
* Tue Jan 16 2024 nik.borisov@suse.com
- x86/cpu: Read/save PPIN MSR during initialization (jsc#PED-7615).
- commit deabf4e
* Tue Jan 16 2024 nik.borisov@suse.com
- x86/cpu: Merge Intel and AMD ppin_init() functions (jsc#PED-7615).
- commit c071d82
* Mon Jan 15 2024 mfranc@suse.cz
- s390: vfio-ap: tighten the NIB validity check (git-fixes)
  blacklist.conf: the reason for valid for SLE15-SP4, not so much for SP5
- commit fbc62d2
* Mon Jan 15 2024 iivanov@suse.de
- coresight: etm4x: Ensure valid drvdata and clock before clk_put() (bsc#1218779)
- commit 854c05d
* Mon Jan 15 2024 oneukum@suse.com
- blacklist.conf: not a fix
- commit e48ddb7
* Mon Jan 15 2024 mfranc@suse.cz
- Delete
  patches.suse/s390-sles15sp2-kdump-fix-out-of-memory-with-PCI.patch.
  Patch obsoleted by 73045a08cf55 ("s390: unify identity mapping limits
  handling")
- commit efb62ac
* Mon Jan 15 2024 mfranc@suse.cz
- s390/dasd: fix double module refcount decrement (bsc#1141539).
- commit 3b938a7
* Mon Jan 15 2024 iivanov@suse.de
- coresight: etm4x: Add ACPI support in platform driver (bsc#1218779)
- commit a6bc99c
* Mon Jan 15 2024 iivanov@suse.de
- coresight: platform: acpi: Ignore the absence of graph (bsc#1218779)
- commit 36e1498
* Mon Jan 15 2024 iivanov@suse.de
- coresight: etm4x: Change etm4_platform_driver driver for MMIO devices (bsc#1218779)
- commit aa5d7f2
* Mon Jan 15 2024 iivanov@suse.de
- coresight: etm4x: Drop pid argument from etm4_probe() (bsc#1218779)
- commit cf6ac73
* Mon Jan 15 2024 iivanov@suse.de
- coresight: etm4x: Drop iomem 'base' argument from etm4_probe() (bsc#1218779)
- commit 1e7e6ff
* Mon Jan 15 2024 iivanov@suse.de
- coresight: etm4x: Allocate and device assign 'struct etmv4_drvdata' (bsc#1218779)
- commit 86846ee
* Mon Jan 15 2024 iivanov@suse.de
- PCI/AER: Configure ECRC only if AER is native (bsc#1218778)
- commit 6ecb7b5
* Mon Jan 15 2024 aabdallah@suse.de
- Update: drm/vmwgfx: Keep a gem reference to user bos in surfaces
- Fix crash in vmw_context_cotables_unref when 3d support is enabled
  (bsc#1218738)
- commit 99a9f67
* Sun Jan 14 2024 tiwai@suse.de
- of: unittest: Fix of_count_phandle_with_args() expected value
  message (git-fixes).
- drm/bridge: nxp-ptn3460: simplify some error checking
  (git-fixes).
- drm/panfrost: Ignore core_mask for poweroff and disable PWRTRANS
  irq (git-fixes).
- commit e43eec3
* Sun Jan 14 2024 tiwai@suse.de
- drm/msm/dpu: Set input_sel bit for INTF (git-fixes).
- commit 29695c1
* Sun Jan 14 2024 tiwai@suse.de
- of: Fix double free in of_parse_phandle_with_args_map
  (git-fixes).
- HID: wacom: Correct behavior when processing some confidence ==
  false touches (git-fixes).
- fbdev: flush deferred IO before closing (git-fixes).
- fbdev: flush deferred work in fb_deferred_io_fsync()
  (git-fixes).
- fbdev: mmp: Fix typo and wording in code comment (git-fixes).
- fbdev: imxfb: fix left margin setting (git-fixes).
- media: dt-bindings: ov8856: decouple lanes and link frequency
  from driver (git-fixes).
- media: dvb-frontends: m88ds3103: Fix a memory leak in an error
  handling path of m88ds3103_probe() (git-fixes).
- media: cx231xx: fix a memleak in cx231xx_init_isoc (git-fixes).
- media: videobuf2-dma-sg: fix vmap callback (git-fixes).
- media: ov9734: Enable runtime PM before registering async
  sub-device (git-fixes).
- media: imx355: Enable runtime PM before registering async
  sub-device (git-fixes).
- media: pvrusb2: fix use after free on context disconnection
  (git-fixes).
- watchdog: rti_wdt: Drop runtime pm reference count when watchdog
  is unused (git-fixes).
- watchdog: bcm2835_wdt: Fix WDIOC_SETTIMEOUT handling
  (git-fixes).
- watchdog/hpwdt: Only claim UNKNOWN NMI if from iLO (git-fixes).
- watchdog: set cdev owner before adding (git-fixes).
- drm/amd/pm/smu7: fix a memleak in smu7_hwmgr_backend_init
  (git-fixes).
- drm/amdkfd: Confirm list is non-empty before utilizing
  list_first_entry in kfd_topology.c (git-fixes).
- drm/mediatek: Return error if MDP RDMA failed to enable the
  clock (git-fixes).
- drm/msm/dpu: Drop enable and frame_count parameters from
  dpu_hw_setup_misr() (git-fixes).
- drm/msm/dpu: rename dpu_encoder_phys_wb_setup_cdp to match
  its functionality (git-fixes).
- drm/msm/dsi: Use pm_runtime_resume_and_get to prevent refcnt
  leaks (git-fixes).
- drm/msm/mdp4: flush vblank event on disable (git-fixes).
- drm/amd/pm: fix a double-free in
  amdgpu_parse_extended_power_table (git-fixes).
- gpu/drm/radeon: fix two memleaks in radeon_vm_init (git-fixes).
- drm/amd/pm: fix a double-free in si_dpm_init (git-fixes).
- drm/amdgpu/debugfs: fix error code when smc register accessors
  are NULL (git-fixes).
- drm/radeon/trinity_dpm: fix a memleak in
  trinity_parse_power_table (git-fixes).
- drm/radeon/dpm: fix a memleak in sumo_parse_power_table
  (git-fixes).
- drm/radeon: check the alloc_workqueue return value in
  radeon_crtc_init() (git-fixes).
- drm/bridge: tc358767: Fix return value on error case
  (git-fixes).
- drm/bridge: cdns-mhdp8546: Fix use of uninitialized variable
  (git-fixes).
- drm/bridge: nxp-ptn3460: fix i2c_master_send() error checking
  (git-fixes).
- drm/drv: propagate errors from drm_modeset_register_all()
  (git-fixes).
- drm/tidss: Fix atomic_flush check (git-fixes).
- drm/bridge: Fix typo in post_disable() description (git-fixes).
- drm/radeon: check return value of radeon_ring_lock()
  (git-fixes).
- drm/radeon/r100: Fix integer overflow issues in
  r100_cs_track_check() (git-fixes).
- drm/radeon/r600_cs: Fix possible int overflows in
  r600_cs_check_reg() (git-fixes).
- drm/tilcdc: Fix irq free on unload (git-fixes).
- commit 10ca9c4
* Sun Jan 14 2024 tiwai@suse.de
- drivers: clk: zynqmp: calculate closest mux rate (git-fixes).
- clk: qcom: videocc-sm8150: Add missing PLL config property
  (git-fixes).
- clk: qcom: gpucc-sm8150: Update the gpu_cc_pll1 config
  (git-fixes).
- clk: samsung: Fix kernel-doc comments (git-fixes).
- clk: si5341: fix an error code problem in
  si5341_output_clk_set_rate (git-fixes).
- ASoC: rt5645: Drop double EF20 entry from dmi_platform_data[]
  (git-fixes).
- ASoC: amd: acp: Add missing MODULE_DESCRIPTION in mach-common
  (git-fixes).
- ASoC: amd: acp-config: Add missing MODULE_DESCRIPTION
  (git-fixes).
- ASoC: Intel: glk_rt5682_max98357a: fix board id mismatch
  (git-fixes).
- ASoC: cs35l33: Fix GPIO name and drop legacy include
  (git-fixes).
- drivers/amd/pm: fix a use-after-free in kv_parse_power_table
  (git-fixes).
- drm/bridge: tpd12s015: Drop buggy __exit annotation for remove
  function (git-fixes).
- drm/nouveau/fence:: fix warning directly dereferencing a rcu
  pointer (git-fixes).
- drm/panel-elida-kd35t133: hold panel in reset for unprepare
  (git-fixes).
- drm/panfrost: Really power off GPU cores in
  panfrost_gpu_power_off() (git-fixes).
- drm/panel: nt35510: fix typo (git-fixes).
- Revert "drm/omapdrm: Annotate dma-fence critical section in
  commit path" (git-fixes).
- Revert "drm/tidss: Annotate dma-fence critical section in
  commit path" (git-fixes).
- commit 335f137
* Sat Jan 13 2024 ailiop@suse.com
- ubifs: ubifs_link: Fix wrong name len calculating when UBIFS
  is encrypted (git-fixes).
- commit 8930a6f
* Sat Jan 13 2024 ailiop@suse.com
- exfat: support handle zero-size directory (git-fixes).
- commit aa8d54f
* Sat Jan 13 2024 ailiop@suse.com
- exfat: use kvmalloc_array/kvfree instead of kmalloc_array/kfree
  (git-fixes).
- commit eabf8a7
* Sat Jan 13 2024 ailiop@suse.com
- exfat: fix reporting fs error when reading dir beyond EOF
  (git-fixes).
- commit 006310e
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Fix kernel NULL pointer dereference in gfs2_rgrp_dump
  (git-fixes).
- commit bd29027
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: low-memory forced flush fixes (git-fixes).
- commit 7520dfb
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Switch to wait_event in gfs2_logd (git-fixes).
- commit de4f7d3
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Always check inode size of inline inodes (git-fixes).
- commit 6a40877
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Cosmetic gfs2_dinode_{in,out} cleanup (git-fixes).
- Refresh
  patches.suse/gfs2-Fix-inode-height-consistency-check.patch.
- commit 2086607
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Disable page faults during lockless buffered reads
  (git-fixes).
- commit 083a438
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: assign rgrp glock before compute_bitstructs (git-fixes).
- commit 4875ffd
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: release iopen glock early in evict (git-fixes).
- Refresh patches.suse/gfs2-fix-an-oops-in-gfs2_permission.patch.
- commit c3246bf
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Eliminate ip->i_gh (git-fixes).
- commit c0a896f
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Move the inode glock locking to gfs2_file_buffered_write
  (git-fixes).
- commit 25a5c4c
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Introduce flag for glock holder auto-demotion (git-fixes).
- commit fb547d4
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Remove redundant check from gfs2_glock_dq (git-fixes).
- commit 4f703a1
* Sat Jan 13 2024 ailiop@suse.com
- gfs2: Eliminate vestigial HIF_FIRST (git-fixes).
- commit e22854c
* Fri Jan 12 2024 tiwai@suse.de
- Update patch reference for rose fix (CVE-2023-51782 bsc#1218757)
- commit da9f8e9
* Fri Jan 12 2024 tiwai@suse.de
- ring-buffer/Documentation: Add documentation on buffer_percent
  file (git-fixes).
- kernel-doc: handle a void function without producing a warning
  (git-fixes).
- scripts/kernel-doc: restore warning for Excess struct/union
  (git-fixes).
- firmware: ti_sci: Fix an off-by-one in ti_sci_debugfs_create()
  (git-fixes).
- Bluetooth: Fix atomicity violation in {min,max}_key_size_set
  (git-fixes).
- Bluetooth: btmtkuart: fix recv_buf() return value (git-fixes).
- wifi: iwlwifi: mvm: send TX path flush in rfkill (git-fixes).
- wifi: iwlwifi: mvm: set siso/mimo chains to 1 in FW SMPS request
  (git-fixes).
- wifi: ath11k: Defer on rproc_get failure (git-fixes).
- wifi: mwifiex: configure BSSID consistently when starting AP
  (git-fixes).
- wifi: mt76: mt7921s: fix workqueue problem causes STA
  association fail (git-fixes).
- wifi: mt76: fix broken precal loading from MTD for mt7915
  (git-fixes).
- wifi: rtlwifi: Convert LNKCTL change to PCIe cap RMW accessors
  (git-fixes).
- wifi: rtlwifi: Remove bogus and dangerous ASPM disable/enable
  code (git-fixes).
- wifi: rtlwifi: rtl8821ae: phy: fix an undefined bitwise shift
  behavior (git-fixes).
- selftests/net: fix grep checking for fib_nexthop_multiprefix
  (git-fixes).
- wifi: libertas: stop selecting wext (git-fixes).
- wifi: rtw88: fix RX filter in FIF_ALLMULTI flag (git-fixes).
- crypto: scomp - fix req->dst buffer overflow (git-fixes).
- crypto: sahara - do not resize req->src when doing hash
  operations (git-fixes).
- crypto: sahara - fix processing hash requests with req->nbytes <
  sg->length (git-fixes).
- crypto: sahara - improve error handling in sahara_sha_process()
  (git-fixes).
- crypto: sahara - fix wait_for_completion_timeout() error
  handling (git-fixes).
- crypto: sahara - fix ahash reqsize (git-fixes).
- crypto: sahara - handle zero-length aes requests (git-fixes).
- crypto: s390/aes - Fix buffer overread in CTR mode (git-fixes).
- hwrng: core - Fix page fault dead lock on mmap-ed hwrng
  (git-fixes).
- crypto: sahara - fix processing requests with cryptlen <
  sg->length (git-fixes).
- crypto: sahara - fix ahash selftest failure (git-fixes).
- crypto: sahara - fix cbc selftest failure (git-fixes).
- crypto: sahara - remove FLAGS_NEW_KEY logic (git-fixes).
- crypto: ccp - fix memleak in ccp_init_dm_workarea (git-fixes).
- crypto: sa2ul - Return crypto_aead_setkey to transfer the error
  (git-fixes).
- drm/amdgpu: skip gpu_info fw loading on navi12 (git-fixes).
- drm/amd/display: add nv12 bounding box (git-fixes).
- commit bb694d9
* Thu Jan 11 2024 msuchanek@suse.de
- powerpc/powernv: Add a null pointer check to
  scom_debug_init_one() (bsc#1194869).
- powerpc/pseries: fix potential memory leak in
  init_cpu_associativity() (bsc#1194869).
- powerpc/xive: Fix endian conversion size (bsc#1194869).
- powerpc/fadump: reset dump area size if fadump memory reserve
  fails (bsc#1194869).
- powerpc/pseries: fix possible memory leak in ibmebus_bus_init()
  (bsc#1194869).
- commit 0f8bc2c
* Thu Jan 11 2024 msuchanek@suse.de
- powerpc/pseries/iommu: enable_ddw incorrectly returns direct
  mapping for SR-IOV device (bsc#1212091 ltc#199106 git-fixes).
- commit f1ad417
* Thu Jan 11 2024 msuchanek@suse.de
- powerpc/powernv: Add a null pointer check in
  opal_powercap_init() (bsc#1181674 ltc#189159 git-fixes).
- powerpc/powernv: Add a null pointer check in opal_event_init()
  (bsc#1065729).
- powerpc/pseries/memhp: Fix access beyond end of drmem array
  (bsc#1065729).
- commit 960ba4e
* Thu Jan 11 2024 mfranc@suse.cz
- s390/vfio-ap: unpin pages on gisc registration failure
  (git-fixes bsc#1218723).
- commit e07d25b
* Thu Jan 11 2024 mfranc@suse.cz
- series.conf: the patch is not in git and breaks series_insert.py
- commit fae10c6
* Thu Jan 11 2024 iivanov@suse.de
- ACPI: arm64: export acpi_arch_thermal_cpufreq_pctg() (bsc#1214377)
- commit c8d4ebe
* Thu Jan 11 2024 iivanov@suse.de
- ACPI: processor: reduce CPUFREQ thermal reduction pctg for Tegra241 (bsc#1214377)
- commit b7954e5
* Thu Jan 11 2024 iivanov@suse.de
- ACPI: thermal: Add Thermal fast Sampling Period (_TFP) support (bsc#1214377)
- commit 78d747c
* Thu Jan 11 2024 tiwai@suse.de
- Store the old kernel changelog entries in kernel-docs package (bsc#1218713)
  The old entries are found in kernel-docs/old_changelog.txt in docdir.
  rpm/old_changelog.txt can be an optional file that stores the similar
  info like rpm/kernel-sources.changes.old.  It can specify the commit
  range that have been truncated.  scripts/tar-up.sh expands from the
  git log accordingly.
- commit c9a2566
* Wed Jan 10 2024 nik.borisov@suse.com
- x86/entry/ia32: Ensure s32 is sign extended to s64 (bsc#1193285).
- commit 8afebed
* Wed Jan 10 2024 tiwai@suse.de
- ipmi: Use regspacings passed as a module parameter (git-fixes).
- PM: hibernate: Enforce ordering during image
  compression/decompression (git-fixes).
- ACPI: LPSS: Fix the fractional clock divider flags (git-fixes).
- ACPI: extlog: Clear Extended Error Log status when RAS_CEC
  handled the error (git-fixes).
- ACPI: video: check for error while searching for backlight
  device parent (git-fixes).
- ACPI: LPIT: Avoid u32 multiplication overflow (git-fixes).
- mtd: rawnand: rockchip: Add missing title to a kernel doc
  comment (git-fixes).
- mtd: rawnand: rockchip: Rename a structure (git-fixes).
- mtd: rawnand: pl353: Fix kernel doc (git-fixes).
- mtd: rawnand: Increment IFC_TIMEOUT_MSECS for nand controller
  response (git-fixes).
- mtd: Fix gluebi NULL pointer dereference caused by ftl notifier
  (git-fixes).
- spi: spi-zynqmp-gqspi: fix driver kconfig dependencies
  (git-fixes).
- usr/Kconfig: fix typos of "its" (git-fixes).
- usb: fsl-mph-dr-of: mark fsl_usb2_mpc5121_init() static
  (git-fixes).
- EDAC/thunderx: Fix possible out-of-bounds string access
  (git-fixes).
- ACPI: property: Allow _DSD buffer data only for byte accessors
  (git-fixes).
- efi/libstub: Disable PCI DMA before grabbing the EFI memory map
  (git-fixes).
- commit 7e9a91a
* Wed Jan 10 2024 krisman@suse.de
- io_uring/af_unix: disable sending io_uring over sockets
  (bsc#1218447 CVE-2023-6531).
  Requires a kABI fix due to the following:
  net/core/scm.c:135: warning: __scm_destroy: modversion changed because of changes in struct io_uring_cmd (became defined)
  net/core/scm.c:217: warning: __scm_send: modversion changed because of changes in struct io_uring_cmd (became defined)
  net/core/scm.c:266: warning: put_cmsg: modversion changed because of changes in struct io_uring_cmd (became defined)
  net/core/scm.c:280: warning: put_cmsg_scm_timestamping64: modversion changed because of changes in struct io_uring_cmd (became defined)
  net/core/scm.c:294: warning: put_cmsg_scm_timestamping: modversion changed because of changes in struct io_uring_cmd (became defined)
  net/core/scm.c:353: warning: scm_detach_fds: modversion changed because of changes in struct io_uring_cmd (became defined)
  net/core/scm.c:373: warning: scm_fp_dup: modversion changed because of changes in struct io_uring_cmd (became defined)
- commit aa4f175
* Tue Jan  9 2024 lhenriques@suse.de
- fuse: dax: set fc->dax to NULL in fuse_dax_conn_free()
  (bsc#1218659).
- commit 4ee6819
* Tue Jan  9 2024 jgross@suse.com
- swiotlb-xen: provide the "max_mapping_size" method (git-fixes).
- commit a036bcf
* Tue Jan  9 2024 jgross@suse.com
- xen/events: fix delayed eoi list handling (git-fixes).
- commit eb0149c
* Tue Jan  9 2024 jgross@suse.com
- xen-pciback: Consider INTx disabled when MSI/MSI-X is enabled
  (git-fixes).
- commit f6ed3e4
* Tue Jan  9 2024 jroedel@suse.de
- swiotlb: fix a braino in the alignment check fix (bsc#1216559).
- swiotlb: fix slot alignment checks (bsc#1216559).
- commit a41e3fe
* Tue Jan  9 2024 mkoutny@suse.com
- Update patches.kabi/kabi-fix-zone-unaccepted-memory.patch
  (jsc#PED-7167 bsc#1218643).
- commit f781e3d
* Tue Jan  9 2024 jgross@suse.com
- vsock/virtio: Fix unsigned integer wrap around in
  virtio_transport_has_space() (git-fixes).
- commit db5c328
* Tue Jan  9 2024 jgross@suse.com
- vhost: Allow null msg.size on VHOST_IOTLB_INVALIDATE
  (git-fixes).
- commit ad9e29a
* Tue Jan  9 2024 jgross@suse.com
- virtio_balloon: Fix endless deflation and inflation on arm64
  (git-fixes).
- commit 6583f74
* Tue Jan  9 2024 jgross@suse.com
- virtio-mmio: fix memory leak of vm_dev (git-fixes).
- commit d624528
* Tue Jan  9 2024 jroedel@suse.de
- swiotlb: use the calculated number of areas (git-fixes).
- swiotlb: mark swiotlb_memblock_alloc() as __init (git-fixes).
- commit b9aedb4
* Tue Jan  9 2024 jgross@suse.com
- KVM: SVM: Update EFER software model on CR0 trap for SEV-ES
  (git-fixes).
- commit 8696527
* Tue Jan  9 2024 jgross@suse.com
- KVM: x86: Mask LVTPC when handling a PMI (jsc#PED-7322).
- commit 146bca2
* Tue Jan  9 2024 ohering@suse.de
- io_uring/af_unix: disable sending io_uring over sockets
  (bsc#1218447, CVE-2023-6531).
- commit fdc256b
* Tue Jan  9 2024 jroedel@suse.de
- swiotlb: reduce the number of areas to match actual memory
  pool size (git-fixes).
- swiotlb: always set the number of areas before allocating the
  pool (git-fixes).
- swiotlb: fix debugfs reporting of reserved memory pools
  (git-fixes).
- swiotlb: fix a braino in the alignment check fix (bsc#1216559).
- swiotlb: fix slot alignment checks (bsc#1216559).
- swiotlb: fix the deadlock in swiotlb_do_find_slots (git-fixes).
- swiotlb: reduce the swiotlb buffer size on allocation failure
  (git-fixes).
- swiotlb: don't panic! (git-fixes).
- Revert "swiotlb: panic if nslabs is too small" (git-fixes).
- commit 1b89825
* Mon Jan  8 2024 palcantara@suse.de
- smb: client: fix potential OOB in smb2_dump_detail()
  (bsc#1217946 CVE-2023-6610).
- commit cfca7f7
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/purgatory: Remove LTO flags (git-fixes).
- commit bbd4f84
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/fpu/xstate: Prevent false-positive warning in __copy_xstate_uabi_buf() (git-fixes).
- commit 46d60b3
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/fpu: Invalidate FPU state correctly on exec() (git-fixes).
- commit 7686df9
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/cpu: Fix amd_check_microcode() declaration (git-fixes).
- Refresh patches.suse/x86-srso-set-cpuid-feature-bits-independently-of-bug-or-mitigation-status.patch.
- commit c22f4b4
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/cpu/amd: Enable Zenbleed fix for AMD Custom APU 0405 (git-fixes).
- commit d74349c
* Mon Jan  8 2024 pmladek@suse.com
- vsprintf/kallsyms: Prevent invalid data when printing symbol
  (bsc#1217602).
- commit 8dab9cc
* Mon Jan  8 2024 msuchanek@suse.de
- Limit kernel-source build to architectures for which the kernel binary
  is built (bsc#1108281).
- commit 08a9e44
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/boot: Fix incorrect startup_gdt_descr.size (git-fixes).
- commit fdc98a7
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/boot/compressed: Reserve more memory for page tables  (git-fixes).
- commit 6bf16e1
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Silence "suspicious RCU usage in gfs2_permission" warning
  (git-fixes).
- commit 3929c70
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/alternatives: Sync core before enabling interrupts (git-fixes).
- commit 4a0b72a
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/alternatives: Disable KASAN in apply_alternatives() (git-fixes).
- commit 7029135
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/smp: Use dedicated cache-line for mwait_play_dead() (git-fixes).
- commit 8087b92
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/srso: Add SRSO mitigation for Hygon processors (git-fixes).
- commit 7b8dfd1
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/srso: Fix SBPB enablement for (possible) future fixed HW   (git-fixes).
- Refresh
  patches.suse/x86-srso-fix-vulnerability-reporting-for-missing-microcode.patch.
- commit b121d1d
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/CPU/AMD: Check vendor in the AMD microcode callback (git-fixes).
- commit 43e31d9
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/srso: Fix vulnerability reporting for missing microcode (git-fixes).
- commit 98085ae
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/unwind/orc: Unwind ftrace trampolines with correct ORC entry (git-fixes).
- commit 270b9c8
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/alternatives: Disable interrupts and sync when optimizing NOPs in  place (git-fixes).
- commit 1bd102b
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: fix an oops in gfs2_permission (git-fixes).
- commit 60a8e84
* Mon Jan  8 2024 nik.borisov@suse.com
- iov_iter, x86: Be consistent about the __user tag on copy_mc_to_user() (git-fixes).
- commit a2dd84b
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: ignore negated quota changes (git-fixes).
- commit c2a4d43
* Mon Jan  8 2024 nik.borisov@suse.com
- x86/resctrl: Fix kernel-doc warnings (git-fixes).
- commit 50de71c
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Fix possible data races in gfs2_show_options()
  (git-fixes).
- commit 7592b99
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Fix inode height consistency check (git-fixes).
- commit 935054a
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: jdata writepage fix (git-fixes).
- commit e5f9516
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Improve gfs2_make_fs_rw error handling (git-fixes).
- commit 86c44aa
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Check sb_bsize_shift after reading superblock (git-fixes).
- commit 130df3d
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Switch from strlcpy to strscpy (git-fixes).
- commit 3054547
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: use i_lock spin_lock for inode qadata (git-fixes).
- commit 4e4b75a
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Fix filesystem block deallocation for short writes
  (git-fixes).
- commit 87cd867
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Make sure FITRIM minlen is rounded up to fs block size
  (git-fixes).
- commit 62669a7
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: gfs2_setattr_size error path fix (git-fixes).
- commit d0e789c
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Fix gfs2_release for non-writers regression (git-fixes).
- commit 1a34aa3
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Fix length of holes reported at end-of-file (git-fixes).
- commit 09da26e
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Clean up function may_grant (git-fixes).
- commit ce33b14
* Mon Jan  8 2024 ailiop@suse.com
- gfs2: Add wrapper for iomap_file_buffered_write (git-fixes).
- commit e045f1b
* Mon Jan  8 2024 ailiop@suse.com
- locks: fix KASAN: use-after-free in
  trace_event_raw_event_filelock_lock (git-fixes).
- commit 4758492
* Mon Jan  8 2024 ailiop@suse.com
- fs: avoid empty option when generating legacy mount string
  (git-fixes).
- commit 00945db
* Mon Jan  8 2024 ailiop@suse.com
- statfs: enforce statfs[64] structure initialization (git-fixes).
- commit d4a18c5
* Mon Jan  8 2024 ailiop@suse.com
- orangefs: Fix kmemleak in orangefs_{kernel,client}_debug_init()
  (git-fixes).
- commit b9e9b76
* Mon Jan  8 2024 ailiop@suse.com
- orangefs: Fix kmemleak in orangefs_prepare_debugfs_help_string()
  (git-fixes).
- commit 1d47e4a
* Mon Jan  8 2024 ailiop@suse.com
- orangefs: Fix sysfs not cleanup when dev init failed
  (git-fixes).
- commit f7a82d1
* Mon Jan  8 2024 ailiop@suse.com
- fs/remap: constrain dedupe of EOF blocks (git-fixes).
- commit e861bd6
* Mon Jan  8 2024 ailiop@suse.com
- fs: fix an infinite loop in iomap_fiemap (git-fixes).
- commit 41989d9
* Mon Jan  8 2024 ailiop@suse.com
- orangefs: Fix the size of a memory allocation in
  orangefs_bufmap_alloc() (git-fixes).
- commit 6623b23
* Mon Jan  8 2024 ailiop@suse.com
- iomap: Fix iomap_dio_rw return value for user copies
  (git-fixes).
- commit 2b65ea1
* Mon Jan  8 2024 ailiop@suse.com
- ubifs: Fix memory leak of bud->log_hash (git-fixes).
- commit dfe9a1f
* Mon Jan  8 2024 ailiop@suse.com
- ubifs: fix possible dereference after free (git-fixes).
- commit 971dae9
* Mon Jan  8 2024 ailiop@suse.com
- fs: ocfs2: namei: check return value of ocfs2_add_entry()
  (git-fixes).
- commit 63eae38
* Mon Jan  8 2024 ailiop@suse.com
- jfs: fix array-index-out-of-bounds in diAlloc (git-fixes).
- commit 8906b9a
* Mon Jan  8 2024 ailiop@suse.com
- jfs: fix array-index-out-of-bounds in dbFindLeaf (git-fixes).
- commit 28815ad
* Mon Jan  8 2024 ailiop@suse.com
- fs/jfs: Add validity check for db_maxag and db_agpref
  (git-fixes).
- commit 39d5b5e
* Mon Jan  8 2024 ailiop@suse.com
- fs/jfs: Add check for negative db_l2nbperpage (git-fixes).
- commit f831778
* Mon Jan  8 2024 ailiop@suse.com
- jfs: validate max amount of blocks before allocation
  (git-fixes).
- commit 4be1419
* Mon Jan  8 2024 ailiop@suse.com
- jfs: fix invalid free of JFS_IP(ipimap)->i_imap in diUnmount
  (git-fixes).
- commit 5b4b023
* Mon Jan  8 2024 ailiop@suse.com
- fs/jfs: prevent double-free in dbUnmount() after failed
  jfs_remount() (git-fixes).
- commit 51a993a
* Mon Jan  8 2024 ailiop@suse.com
- reiserfs: Replace 1-element array with C99 style flex-array
  (git-fixes).
- commit 6ad83f4
* Mon Jan  8 2024 ailiop@suse.com
- reiserfs: Check the return value from __getblk() (git-fixes).
- commit 0e912c9
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix use-after-free due to get/remove race in volume tree
  (git-fixes).
- commit f4a57bf
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix overwriting of result of DNS query (git-fixes).
- commit fe0f4c6
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix dynamic root lookup DNS check (git-fixes).
- commit 1e86064
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix the dynamic root's d_delete to always delete unused
  dentries (git-fixes).
- commit 3d5b3d7
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix refcount underflow from error handling race
  (git-fixes).
- commit 0a9c8bb
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix file locking on R/O volumes to operate in local mode
  (git-fixes).
- commit 5431cb3
* Mon Jan  8 2024 ailiop@suse.com
- afs: Return ENOENT if no cell DNS record can be found
  (git-fixes).
- commit 863355b
* Mon Jan  8 2024 ailiop@suse.com
- afs: Make error on cell lookup failure consistent with OpenAFS
  (git-fixes).
- commit 5fcd2cf
* Mon Jan  8 2024 ailiop@suse.com
- afs: Fix afs_server_list to be cleaned up with RCU (git-fixes).
- commit 8fc4f69
* Mon Jan  8 2024 ddiss@suse.de
- remove unnecessary WARN_ON_ONCE() (bsc#1214823 bsc#1218569).
- commit 6bd8135
* Sun Jan  7 2024 tiwai@suse.de
- i2c: core: Fix atomic xfer check for non-preempt config
  (git-fixes).
- commit 1b8a296
* Sat Jan  6 2024 tiwai@suse.de
- Bluetooth: MGMT/SMP: Fix address type when using SMP over
  BREDR/LE (git-fixes).
- commit ea51a70
* Sat Jan  6 2024 tiwai@suse.de
- net: usb: ax88179_178a: clean up pm calls (git-fixes).
- Refresh
  patches.suse/net-usb-ax88179_178a-fix-failed-operations-during-ax.patch.
- commit 10095df
* Sat Jan  6 2024 tiwai@suse.de
- mmc: sdhci-sprd: Fix eMMC init failure after hw reset
  (git-fixes).
- mmc: rpmb: fixes pause retune on all RPMB partitions
  (git-fixes).
- mmc: meson-mx-sdhc: Fix initialization frozen issue (git-fixes).
- USB: serial: option: add Quectel EG912Y module support
  (git-fixes).
- USB: serial: ftdi_sio: update Actisense PIDs constant names
  (git-fixes).
- USB: serial: option: add Quectel RM500Q R13 firmware support
  (git-fixes).
- USB: serial: option: add Foxconn T99W265 with new baseline
  (git-fixes).
- net: usb: ax88179_178a: avoid failed operations when device
  is disconnected (git-fixes).
- Input: soc_button_array - add mapping for airplane mode button
  (git-fixes).
- net: 9p: avoid freeing uninit memory in p9pdu_vreadf
  (git-fixes).
- Bluetooth: L2CAP: Send reject on command corrupted request
  (git-fixes).
- Bluetooth: hci_event: Fix not checking if HCI_OP_INQUIRY has
  been sent (git-fixes).
- wifi: cfg80211: fix certs build to not depend on file order
  (git-fixes).
- wifi: cfg80211: Add my certificate (git-fixes).
- net: usb: ax88179_178a: wol optimizations (git-fixes).
- commit 8fe75c7
* Fri Jan  5 2024 tiwai@suse.de
- Bluetooth: af_bluetooth: Fix Use-After-Free in bt_sock_recvmsg
  (CVE-2023-51779 bsc#1218559).
- commit b8b3309
* Fri Jan  5 2024 tiwai@suse.de
- ALSA: hda/realtek: fix speakers on XPS 9530 (2023) (git-fixes).
- ALSA: hda - Fix speaker and headset mic pin config for CHUWI
  CoreBook XPro (git-fixes).
- commit a14754c
* Fri Jan  5 2024 tiwai@suse.de
- ALSA: hda/realtek: Fix mute and mic-mute LEDs for HP ProBook
  440 G6 (git-fixes).
- ASoC: fsl_rpmsg: Fix error handler with pm_runtime_enable
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for a HP ZBook
  (git-fixes).
- ALSA: hda/realtek: enable SND_PCI_QUIRK for hp pavilion
  14-ec1xxx series (git-fixes).
- commit 379d8d1
* Fri Jan  5 2024 tiwai@suse.de
- r8169: Fix PCI error on system resume (git-fixes).
- wifi: iwlwifi: pcie: don't synchronize IRQs from IRQ
  (git-fixes).
- nfc: llcp_core: Hold a ref to llcp_local->dev when holding a
  ref to llcp_local (git-fixes).
- ASoC: meson: g12a-tohdmitx: Fix event generation for S/PDIF mux
  (git-fixes).
- ASoC: meson: g12a-toacodec: Fix event generation (git-fixes).
- ASoC: meson: g12a-tohdmitx: Validate written enum values
  (git-fixes).
- ASoC: meson: g12a-toacodec: Validate written enum values
  (git-fixes).
- drm/mgag200: Fix gamma lut not initialized for G200ER, G200EV,
  G200SE (git-fixes).
- drm/bridge: ps8640: Fix size mismatch warning w/ len
  (git-fixes).
- drm/bridge: ti-sn65dsi86: Never store more than msg->size
  bytes in AUX xfer (git-fixes).
- drm/bridge: parade-ps8640: Never store more than msg->size
  bytes in AUX xfer (git-fixes).
- drm/i915/dp: Fix passing the correct DPCD_REV for
  drm_dp_set_phy_test_pattern (git-fixes).
- commit eecc30f
* Fri Jan  5 2024 petr.pavlu@suse.com
- Delete doc/config-options.changes (jsc#PED-5021)
  Following on adedbd2a5c6 ("kernel-source: Remove config-options.changes
  (jsc#PED-5021)"), remove the now unused file from the tree.
- commit d1b9e97
* Fri Jan  5 2024 petr.pavlu@suse.com
- tracing: Fix blocked reader of snapshot buffer (git-fixes).
- commit f6f3907
* Fri Jan  5 2024 petr.pavlu@suse.com
- ring-buffer: Fix wake ups when buffer_percent is set to 100
  (git-fixes).
- commit 21c1070
* Fri Jan  5 2024 petr.pavlu@suse.com
- tracing / synthetic: Disable events after testing in
  synth_event_gen_test_init() (git-fixes).
- commit e21c29f
* Fri Jan  5 2024 petr.pavlu@suse.com
- tracing/synthetic: fix kernel-doc warnings (git-fixes).
- commit 62cdcf8
* Thu Jan  4 2024 msuchanek@suse.de
- powerpc/pseries/vas: Migration suspend waits for no in-progress
  open windows (bsc#1218397 ltc#204523).
- commit 26a4d82
* Thu Jan  4 2024 tbogendoerfer@suse.de
- net: mana: select PAGE_POOL (git-fixes).
- net: ena: Fix XDP redirection error (git-fixes).
- net: ena: Fix xdp drops handling due to multibuf packets
  (git-fixes).
- net: ena: Destroy correct number of xdp queues upon failure
  (git-fixes).
- qed: Fix a potential use-after-free in qed_cxt_tables_alloc
  (jsc#PED-1526).
- bnxt_en: Fix HWTSTAMP_FILTER_ALL packet timestamp logic
  (jsc#PED-1495).
- bnxt_en: Fix wrong return value check in bnxt_close_nic()
  (jsc#PED-1495).
- bnxt_en: Clear resource reservation during resume
  (jsc#PED-1495).
- RDMA/bnxt_re: Correct module description string (jsc#PED-1495).
- i40e: Fix unexpected MFS warning message (jsc#PED-372).
- net: bnxt: fix a potential use-after-free in bnxt_init_tc
  (jsc#PED-1495).
- gve: Fixes for napi_poll when budget is 0 (git-fixes).
- gve: Use size_add() in call to struct_size() (git-fixes).
- i40e: fix potential memory leaks in i40e_remove() (jsc#PED-372).
- i40e: Fix wrong check for I40E_TXR_FLAGS_WB_ON_ITR
  (jsc#PED-372).
- igc: Fix ambiguity in the ethtool advertising (jsc#PED-375).
- igb: Fix potential memory leak in igb_add_ethtool_nfc_entry
  (jsc#PED-370).
- i40e: Fix I40E_FLAG_VF_VLAN_PRUNING value (jsc#PED-372).
- qed: fix LL2 RX buffer allocation (jsc#PED-1526).
- i40e: prevent crash on probe if hw registers have invalid values
  (jsc#PED-372).
- qed/red_ll2: Fix undefined behavior bug in struct qed_ll2_info
  (jsc#PED-1526).
- igc: Expose tx-usecs coalesce setting to user (jsc#PED-375).
- bnxt_en: Flush XDP for bnxt_poll_nitroa0()'s NAPI
  (jsc#PED-1495).
- net: ena: Flush XDP packets on error (git-fixes).
- i40e: Fix VF VLAN offloading when port VLAN is configured
  (jsc#PED-372).
- igc: Fix infinite initialization loop with early XDP redirect
  (jsc#PED-375).
- igb: clean up in all error paths when enabling SR-IOV
  (jsc#PED-370).
- igb: Change IGB_MIN to allow set rx/tx value between 64 and 80
  (jsc#PED-370).
- igbvf: Change IGBVF_MIN to allow set rx/tx value between 64
  and 80 (jsc#PED-370).
- igc: Change IGC_MIN to allow set rx/tx value between 64 and 80
  (jsc#PED-375).
- igb: disable virtualization features on 82580 (jsc#PED-370).
- i40e: fix potential NULL pointer dereferencing of pf->vf
  i40e_sync_vsi_filters() (jsc#PED-372).
- igc: Fix the typo in the PTM Control macro (jsc#PED-375).
- igb: Avoid starting unnecessary workqueues (jsc#PED-370).
- i40e: fix misleading debug logs (jsc#PED-372).
- qede: fix firmware halt over suspend and resume (jsc#PED-1526).
- bnxt_en: Fix max_mtu setting for multi-buf XDP (jsc#PED-1495).
- bnxt_en: Fix page pool logic for page size >= 64K
  (jsc#PED-1495).
- bnxt: don't handle XDP in netpoll (jsc#PED-1495).
- commit 64a4c85
* Thu Jan  4 2024 tiwai@suse.de
- Revert "PCI/ASPM: Remove pcie_aspm_pm_state_change()"
  (git-fixes).
- commit 9be35d2
* Wed Jan  3 2024 msuchanek@suse.de
- mkspec: Add multibuild support (JSC-SLE#5501, boo#1211226, bsc#1218184)
  When MULTIBUILD option in config.sh is enabled generate a _multibuild
  file listing all spec files.
- commit f734347
* Wed Jan  3 2024 msuchanek@suse.de
- Build in the correct KOTD repository with multibuild
  (JSC-SLE#5501, boo#1211226, bsc#1218184)
  With multibuild setting repository flags is no longer supported for
  individual spec files - see
  https://github.com/openSUSE/open-build-service/issues/3574
  Add ExclusiveArch conditional that depends on a macro set up by
  bs-upload-kernel instead. With that each package should build only in
  one repository - either standard or QA.
  Note: bs-upload-kernel does not interpret rpm conditionals, and only
  uses the first ExclusiveArch line to determine the architectures to
  enable.
- commit aa5424d
* Wed Jan  3 2024 mkoutny@suse.com
- blacklist.conf: Add c98c18270be1 sched, cgroup: Restore meaning to hierarchical_quota
- commit 6115840
* Wed Jan  3 2024 mkoutny@suse.com
- mm: kmem: drop __GFP_NOFAIL when allocating objcg vectors
  (bsc#1218515).
- commit 00f113e
* Wed Jan  3 2024 mkoutny@suse.com
- blacklist.conf: e63a57303599 blk-cgroup: bypass blkcg_deactivate_policy after destroying
- commit 895355e
* Wed Jan  3 2024 petr.pavlu@suse.com
- ring-buffer: Fix slowpath of interrupted event (git-fixes).
- commit dbe7edd
* Wed Jan  3 2024 petr.pavlu@suse.com
- ring-buffer: Remove useless update to write_stamp in
  rb_try_to_discard() (git-fixes).
- commit 64ff947
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hfi1: Workaround truncation compilation error (git-fixes)
- commit 2302fb3
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hns: The UD mode can only be configured with DCQCN (git-fixes)
- commit ca9d38d
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hns: Add check for SL (git-fixes)
- commit cf9e8e3
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hns: Fix signed-unsigned mixed comparisons (git-fixes)
- commit 34178f4
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hns: Fix uninitialized ucmd in hns_roce_create_qp_common() (git-fixes)
- commit 47c4074
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hns: Fix printing level of asynchronous events (git-fixes)
- commit 892f8ec
* Wed Jan  3 2024 nmorey@suse.com
- IB/mlx5: Fix rdma counter binding for RAW QP (git-fixes)
- commit ffaf04e
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/hfi1: Use FIELD_GET() to extract Link Width (git-fixes)
- commit 4b8aeed
* Wed Jan  3 2024 nmorey@suse.com
- RDMA/core: Use size_{add,sub,mul}() in calls to struct_size() (git-fixes)
- commit 605983a
* Wed Jan  3 2024 tiwai@suse.de
- usb-storage: Add quirk for incorrect WP on Kingston DT Ultimate
  3.0 G3 (git-fixes).
- ALSA: usb-audio: Increase delay in MOTU M quirk (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG GV302XA (git-fixes).
- drm/i915: Reject async flips with bigjoiner (git-fixes).
- Bluetooth: hci_event: shut up a false-positive warning
  (git-fixes).
- Bluetooth: Fix deadlock in vhci_send_frame (git-fixes).
- wifi: mac80211: mesh: check element parsing succeeded
  (git-fixes).
- drm/amdgpu: fix tear down order in amdgpu_vm_pt_free
  (git-fixes).
- drm/i915: Fix intel_atomic_setup_scalers() plane_state handling
  (git-fixes).
- drm/i915: Fix remapped stride with CCS on ADL+ (git-fixes).
- drm/mediatek: Add spinlock for setting vblank event in
  atomic_begin (git-fixes).
- drm/i915: Relocate intel_atomic_setup_scalers() (git-fixes).
- drm/i915/dpt: Only do the POT stride remap when using DPT
  (git-fixes).
- drm/i915/mtl: limit second scaler vertical scaling in ver >=
  14 (git-fixes).
- commit 6c0ae87
* Tue Jan  2 2024 tiwai@suse.de
- drm/amdgpu/sdma5.2: add begin/end_use ring callbacks
  (bsc#1212139).
- commit a070291
* Tue Jan  2 2024 tiwai@suse.de
- Bluetooth: btusb: Add new PID/VID 0489:e0f2 for MT7921
  (bsc#1218461).
- commit 456e758
* Tue Jan  2 2024 tbogendoerfer@suse.de
- uapi: propagate __struct_group() attributes to the container
  union (jsc#SLE-18978).
- commit 3b553e2
* Tue Jan  2 2024 colyli@suse.de
- dm verity: initialize fec io before freeing it (git-fixes).
- dm-verity: don't use blocking calls from tasklets (git-fixes).
- dm: don't attempt to queue IO under RCU protection (git-fixes).
- null_blk: fix poll request timeout handling (git-fixes).
- dm: verity-loadpin: Add NULL pointer check for 'bdev' parameter
  (git-fixes).
- dm: fix __send_duplicate_bios() to always allow for splitting IO
  (bsc#1215952).
- dm: fix improper splitting for abnormal bios (bsc#1215952).
- md: select BLOCK_LEGACY_AUTOLOAD (git-fixes).
- dm: add cond_resched() to dm_wq_requeue_work() (git-fixes).
- commit 09d4263
* Tue Jan  2 2024 jlee@suse.com
- Update References
  patches.suse/Bluetooth-Reject-connection-with-the-device-which-ha.patch
  (git-fixes bsc#1215237 CVE-2020-26555).
- commit 0b8be40
* Tue Jan  2 2024 jlee@suse.com
- Update References
  patches.suse/Bluetooth-hci_event-Ignore-NULL-link-key.patch
  (git-fixes bsc#1215237 CVE-2020-26555).
- commit 3386934
* Sat Dec 30 2023 tiwai@suse.de
- iio: adc: ti_am335x_adc: Fix return value check of
  tiadc_request_dma() (git-fixes).
- iio: triggered-buffer: prevent possible freeing of wrong buffer
  (git-fixes).
- iio: imu: inv_mpu6050: fix an error code problem in
  inv_mpu6050_read_raw (git-fixes).
- iio: common: ms_sensors: ms_sensors_i2c: fix humidity conversion
  time table (git-fixes).
- interconnect: Treat xlate() returning NULL node as an error
  (git-fixes).
- Input: ipaq-micro-keys - add error handling for devm_kmemdup
  (git-fixes).
- lib/vsprintf: Fix %%pfwf when current node refcount == 0
  (git-fixes).
- ASoC: hdmi-codec: fix missing report for jack initial status
  (git-fixes).
- i2c: aspeed: Handle the coalesced stop conditions with the
  start conditions (git-fixes).
- pinctrl: at91-pio4: use dedicated lock class for IRQ
  (git-fixes).
- wifi: mac80211: mesh_plink: fix matches_local logic (git-fixes).
- net: rfkill: gpio: set GPIO direction (git-fixes).
- wifi: iwlwifi: pcie: add another missing bh-disable for
  rxq->lock (git-fixes).
- ARM: OMAP2+: Fix null pointer dereference and memory leak in
  omap_soc_device_init (git-fixes).
- spi: atmel: Fix clock issue when using devices with different
  polarities (git-fixes).
- soundwire: stream: fix NULL pointer dereference for multi_link
  (git-fixes).
- Revert "PCI: acpiphp: Reassign resources on bridge if necessary"
  (git-fixes).
- PCI: loongson: Limit MRRS to 256 (git-fixes).
- ALSA: hda/realtek: Apply mute LED quirk for HP15-db (git-fixes).
- ALSA: hda/hdmi: add force-connect quirks for ASUSTeK Z170
  variants (git-fixes).
- ALSA: hda/hdmi: add force-connect quirk for NUC5CPYB
  (git-fixes).
- net/rose: Fix Use-After-Free in rose_ioctl (git-fixes).
- net: usb: qmi_wwan: claim interface 4 for ZTE MF290 (git-fixes).
- usb: aqc111: check packet for fixup for true limit (git-fixes).
- commit ed00079
* Sat Dec 30 2023 tiwai@suse.de
- Drop PCI AER patch that has been reverted on stable trees
  Deleted:
  patches.suse/PCI-portdrv-Don-t-disable-AER-reporting-in-get_port_.patch
- commit 43c7676
* Sat Dec 30 2023 tiwai@suse.de
- Drop drm/bridge lt9611uxc patches that have been reverted on stable trees
- commit b9351c7
* Wed Dec 27 2023 osalvador@suse.de
- Rename before merging SLE15-SP4
- commit 0506236
* Wed Dec 27 2023 palcantara@suse.de
- smb: client: fix OOB in smbCalcSize() (bsc#1217947
  CVE-2023-6606).
- commit 97b24d1
* Mon Dec 25 2023 jlee@suse.com
- Update References
  patches.suse/tty-n_gsm-fix-the-UAF-caused-by-race-condition-in-gs.patch
  (git-fixes bsc#1218335 CVE-2023-6546).
- commit ad12641
* Sat Dec 23 2023 tonyj@suse.de
- perf: Fix perf_event_validate_size() lockdep splat
  (CVE-2023-6931 bsc#1218258).
- perf: Fix perf_event_validate_size() (CVE-2023-6931
  bsc#1218258).
- commit f91848d
* Sat Dec 23 2023 tonyj@suse.de
- perf: Fix perf_event_validate_size() lockdep splat
  (CVE-2023-6931 bsc#1218258).
- perf: Fix perf_event_validate_size() (CVE-2023-6931
  bsc#1218258).
- commit 00427a6
* Fri Dec 22 2023 dwagner@suse.de
- nvme-pci: always return an ERR_PTR from nvme_pci_alloc_dev
  (git-fixes).
- commit 6c500e1
* Fri Dec 22 2023 mfranc@suse.cz
- s390/vx: fix save/restore of fpu kernel context (git-fixes
  bsc#1218357).
- commit 4f47f85
* Fri Dec 22 2023 dwagner@suse.de
- blacklist.conf: add nvme entries
- commit 9216151
* Fri Dec 22 2023 dwagner@suse.de
- nvme-pci: Add sleep quirk for Kingston drives (git-fixes).
- nvmet-auth: complete a request only after freeing the dhchap
  pointers (git-fixes).
- nvme: sanitize metadata bounce buffer for reads (git-fixes).
- nvme-rdma: do not try to stop unallocated queues (git-fixes).
- nvme-pci: do not set the NUMA node of device if it has none
  (git-fixes).
- nvme-pci: factor out a nvme_pci_alloc_dev helper (git-fixes).
- nvme-pci: factor the iod mempool creation into a helper
  (git-fixes).
  Refresh:
  - patches.suse/nvme-pci-fix-page-size-checks.patch
- commit 19bc755
* Fri Dec 22 2023 dwagner@suse.de
- Rename to
  patches.suse/nvme-auth-use-chap-s2-to-indicate-bidirectional-auth.patch.
  and move the patch into the sorted section
- commit 633cfe2
* Fri Dec 22 2023 denis.kirjanov@suse.com
- net/smc: Fix pos miscalculation in statistics (bsc#1218139).
- commit 513a67c
* Fri Dec 22 2023 denis.kirjanov@suse.com
- net/smc: Fix pos miscalculation in statistics (bsc#1218139).
- commit a8b1f21
* Thu Dec 21 2023 oneukum@suse.com
- bus: ti-sysc: Flush posted write only after srst_udelay
  (git-fixes).
- commit c942b7c
* Thu Dec 21 2023 oneukum@suse.com
- reset: Fix crash when freeing non-existent optional resets
  (git-fixes).
- commit 6de5ad5
* Thu Dec 21 2023 oneukum@suse.com
- HID: multitouch: Add quirk for HONOR GLO-GXXX touchpad
  (git-fixes).
- commit 60dd723
* Thu Dec 21 2023 oneukum@suse.com
- HID: hid-asus: reset the backlight brightness level on resume
  (git-fixes).
- commit 79eff80
* Thu Dec 21 2023 oneukum@suse.com
- HID: hid-asus: add const to read-only outgoing usb buffer
  (git-fixes).
- commit 1c939ed
* Thu Dec 21 2023 oneukum@suse.com
- HID: add ALWAYS_POLL quirk for Apple kb (git-fixes).
- commit d088123
* Thu Dec 21 2023 oneukum@suse.com
- restore renamed device IDs for USB HID devices (git-fixes).
- commit 5519e39
* Thu Dec 21 2023 oneukum@suse.com
- HID: glorious: fix Glorious Model I HID report (git-fixes).
- commit ad69d7e
* Thu Dec 21 2023 shung-hsi.yu@suse.com
- bpf: Adjust insufficient default bpf_jit_limit (bsc#1218234 git-fixes).
- commit 95f41ac
* Wed Dec 20 2023 dwagner@suse.de
- scsi: lpfc: use unsigned type for num_sge (bsc#1214747).
- commit 513fc35
* Wed Dec 20 2023 oneukum@suse.com
- r8152: Add RTL8152_INACCESSIBLE to r8153_aldps_en() (git-fixes).
- commit 3ae518f
* Wed Dec 20 2023 oneukum@suse.com
- r8152: Add RTL8152_INACCESSIBLE to r8153_pre_firmware_1()
  (git-fixes).
- commit d714a95
* Wed Dec 20 2023 oneukum@suse.com
- r8152: Add RTL8152_INACCESSIBLE to r8156b_wait_loading_flash()
  (git-fixes).
- commit ad9ad0d
* Wed Dec 20 2023 shung-hsi.yu@suse.com
- bpf: Adjust insufficient default bpf_jit_limit (bsc#1218234 git-fixes).
- commit 697b74c
* Wed Dec 20 2023 denis.kirjanov@suse.com
- ipv4: igmp: fix refcnt uaf issue when receiving igmp query
  packet (bsc#1218253 CVE-2023-6932).
- commit 87dfb84
* Tue Dec 19 2023 tbogendoerfer@suse.de
- Refresh patches.suse/gve-Tx-path-for-DQO-QPL.patch.
  Fix backport.
- commit f5531ee
* Tue Dec 19 2023 oneukum@suse.com
- Input: xpad - add HyperX Clutch Gladiate Support (git-fixes).
- commit 6d0690b
* Tue Dec 19 2023 oneukum@suse.com
- Input: i8042 - add quirk for TUXEDO Gemini 17 Gen1/Clevo PD70PN
  (git-fixes).
- commit 8fa7ef8
* Tue Dec 19 2023 petr.pavlu@suse.com
- ring-buffer: Fix a race in rb_time_cmpxchg() for 32 bit archs
  (git-fixes).
- commit a4fe241
* Tue Dec 19 2023 petr.pavlu@suse.com
- ring-buffer: Do not try to put back write_stamp (git-fixes).
- commit df9fac1
* Tue Dec 19 2023 petr.pavlu@suse.com
- ring-buffer: Have saved event hold the entire event (git-fixes).
- commit 5347597
* Tue Dec 19 2023 petr.pavlu@suse.com
- ring-buffer: Do not update before stamp when switching
  sub-buffers (git-fixes).
- commit 9c594ba
* Tue Dec 19 2023 petr.pavlu@suse.com
- tracing: Update snapshot buffer on resize if it is allocated
  (git-fixes).
- commit d5996f1
* Tue Dec 19 2023 petr.pavlu@suse.com
- ring-buffer: Fix memory leak of free page (git-fixes).
- commit ee5f869
* Tue Dec 19 2023 petr.pavlu@suse.com
- ring-buffer: Fix writing to the buffer with max_data_size
  (git-fixes).
- commit bb90d48
* Tue Dec 19 2023 aabdallah@suse.de
- Update: drm/vmwgfx: Keep a gem reference to user bos in surfaces
- Fix drm gem object underflow (bsc#1218092)
- Fix crash on screen resize (bsc#1218229)
- commit b7258e7
* Tue Dec 19 2023 oneukum@suse.com
- blacklist.conf: cleanup
- commit 16dcb62
* Tue Dec 19 2023 oneukum@suse.com
- usb: hub: Guard against accesses to uninitialized BOS
  descriptors (git-fixes).
- commit 573da1a
* Tue Dec 19 2023 oneukum@suse.com
- kABI: restore void return to typec_altmode_attention
  (git-fixes).
- commit 9821aa3
* Tue Dec 19 2023 oneukum@suse.com
- usb: typec: bus: verify partner exists in
  typec_altmode_attention (git-fixes).
- commit 5fea3d2
* Tue Dec 19 2023 oneukum@suse.com
- blacklist.conf: it changes only logging
- commit 3cbbd08
* Tue Dec 19 2023 oneukum@suse.com
- r8152: Add RTL8152_INACCESSIBLE checks to more loops
  (git-fixes).
- commit f62163f
* Tue Dec 19 2023 oneukum@suse.com
- r8152: Rename RTL8152_UNPLUG to RTL8152_INACCESSIBLE
  (git-fixes).
- commit 064cc95
* Mon Dec 18 2023 mwilck@suse.com
- Refresh
  patches.suse/dm_blk_ioctl-implement-path-failover-for-SG_IO.patch. (bsc#1216776, bsc#1220277)
- commit c790172
* Mon Dec 18 2023 oneukum@suse.com
- Documentation: drop more IDE boot options and ide-cd.rst
  (git-fixes).
- commit 7993dcc
* Mon Dec 18 2023 iivanov@suse.de
- Update patches.suse/spi-tegra210-quad-Fix-duplicate-resource-error.patch (git-fixes, jsc#PED-3459
  Add reference to PED-3459
- commit c4a5ea6
* Mon Dec 18 2023 iivanov@suse.de
- Update patches.suse/spi-tegra210-quad-Multi-cs-support.patch (bsc#1212584, jsc#PED-3459
  Add reference to PED-3459.
- commit fc374a4
* Mon Dec 18 2023 iivanov@suse.de
- Update patches.suse/spi-tegra210-quad-Fix-combined-sequence.patch (bsc#1212584, jsc#PED-3459)
  Add reference to PED-3459.
- commit bff7fca
* Mon Dec 18 2023 oneukum@suse.com
- Drop Documentation/ide/ (git-fixes).
- commit d3eb72d
* Mon Dec 18 2023 oneukum@suse.com
- padata: Fix refcnt handling in padata_free_shell() (git-fixes).
- commit 5219779
* Mon Dec 18 2023 iivanov@suse.de
- arm64: vdso: remove two .altinstructions related symbols (jsc#PED-4729)
- commit bc081b4
* Fri Dec 15 2023 petr.pavlu@suse.com
- tracing: Set actual size after ring buffer resize (git-fixes).
- commit b915dbf
* Fri Dec 15 2023 petr.pavlu@suse.com
- tracing/perf: Add interrupt_context_level() helper (git-fixes).
- commit 9da609b
* Fri Dec 15 2023 petr.pavlu@suse.com
- tracing: Reuse logic from perf's get_recursion_context()
  (git-fixes).
- commit adc2c65
* Fri Dec 15 2023 petr.pavlu@suse.com
- tracing: relax trace_event_eval_update() execution with
  cond_resched() (git-fixes).
- commit 017c09c
* Fri Dec 15 2023 petr.pavlu@suse.com
- rethook: Use __rcu pointer for rethook::handler (git-fixes).
- kABI: Preserve the type of rethook::handler (git-fixes).
- commit 8b953cc
* Fri Dec 15 2023 petr.pavlu@suse.com
- rethook: Fix to use WRITE_ONCE() for rethook:: Handler
  (git-fixes).
- commit 7981c03
* Fri Dec 15 2023 petr.pavlu@suse.com
- fprobe: Fix to ensure the number of active retprobes is not zero
  (git-fixes).
- commit fe2f6d2
* Thu Dec 14 2023 tiwai@suse.de
- ALSA: hda/realtek: Add Framework laptop 16 to quirks
  (git-fixes).
- ALSA: hda/realtek: add new Framework laptop to quirks
  (git-fixes).
- drm/bridge: tc358768: select CONFIG_VIDEOMODE_HELPERS
  (git-fixes).
- drm/amdgpu: Update EEPROM I2C address for smu v13_0_0
  (git-fixes).
- drm/amdgpu: Add I2C EEPROM support on smu v13_0_6 (git-fixes).
- drm/i915/sdvo: stop caching has_hdmi_monitor in struct
  intel_sdvo (git-fixes).
- drm/amdgpu: simplify amdgpu_ras_eeprom.c (git-fixes).
- drm/amdgpu: Return from switch early for EEPROM I2C address
  (git-fixes).
- drm/amdgpu: Remove second moot switch to set EEPROM I2C address
  (git-fixes).
- drm/i915/lvds: Use REG_BIT() & co (git-fixes).
- drm/i915/display: Drop check for doublescan mode in modevalid
  (git-fixes).
- drm/amdgpu: Add support for RAS table at 0x40000 (git-fixes).
- drm/amdgpu: Decouple RAS EEPROM addresses from chips
  (git-fixes).
- drm/amdgpu: Remove redundant I2C EEPROM address (git-fixes).
- drm/amdgpu: Add EEPROM I2C address support for ip discovery
  (git-fixes).
- drm/amdgpu: Update ras eeprom support for smu v13_0_0 and
  v13_0_10 (git-fixes).
- commit 27aa9c9
* Thu Dec 14 2023 petr.pavlu@suse.com
- ring-buffer: Force absolute timestamp on discard of event
  (git-fixes).
- commit 703d47b
* Thu Dec 14 2023 petr.pavlu@suse.com
- tracing: Disable snapshot buffer when stopping instance tracers
  (git-fixes).
- commit ea1804c
* Thu Dec 14 2023 petr.pavlu@suse.com
- tracing: Stop current tracer when resizing buffer (git-fixes).
- commit 416045c
* Thu Dec 14 2023 petr.pavlu@suse.com
- tracing: Always update snapshot buffer size (git-fixes).
- commit ab3ac02
* Thu Dec 14 2023 petr.pavlu@suse.com
- kprobes: consistent rcu api usage for kretprobe holder
  (git-fixes).
- commit bd133f6
* Thu Dec 14 2023 petr.pavlu@suse.com
- tracing/kprobes: Fix the order of argument descriptions
  (git-fixes).
- commit 4822ad0
* Thu Dec 14 2023 petr.pavlu@suse.com
- tracing: Have the user copy of synthetic event address use
  correct context (git-fixes).
- commit ee4a2b2
* Thu Dec 14 2023 tabraham@suse.com
- nvme-core: check for too small lba shift (bsc#1214117).
- commit 5f6e755
* Thu Dec 14 2023 mfranc@suse.cz
- KVM: s390/mm: Properly reset no-dat (git-fixes bsc#1218056).
- commit 5b3fa66
* Thu Dec 14 2023 tiwai@suse.de
- kabi/severities: ignore kABI for asus-wmi drivers
  Tolerate the kABI changes, as used only locally for asus-wmi stuff
- commit 42dad1e
* Thu Dec 14 2023 tiwai@suse.de
- platform/x86: asus-wmi: Add support for ROG X13 tablet mode
  (git-fixes).
- commit 1640ab2
* Thu Dec 14 2023 tiwai@suse.de
- serial: sc16is7xx: address RX timeout interrupt errata
  (git-fixes).
- parport: Add support for Brainboxes IX/UC/PX parallel cards
  (git-fixes).
- hwmon: (nzxt-kraken2) Fix error handling path in kraken2_probe()
  (git-fixes).
- hwmon: (acpi_power_meter) Fix 4.29 MW bug (git-fixes).
- ALSA: pcm: fix out-of-bounds in snd_pcm_state_names (git-fixes).
- ALSA: hda/realtek: Enable headset on Lenovo M90 Gen5
  (git-fixes).
- ALSA: usb-audio: Add Pioneer DJM-450 mixer controls (git-fixes).
- nilfs2: prevent WARNING in nilfs_sufile_set_segment_usage()
  (git-fixes).
- nilfs2: fix missing error check for sb_set_blocksize call
  (git-fixes).
- platform/x86: wmi: Skip blocks with zero instances (git-fixes).
- platform/x86: asus-wmi: Move i8042 filter install to shared
  asus-wmi code (git-fixes).
- drm/amdgpu: correct the amdgpu runtime dereference usage count
  (git-fixes).
- kconfig: fix memory leak from range properties (git-fixes).
- i2c: designware: Fix corrupted memory seen in the ISR
  (git-fixes).
- drm/amdgpu: correct chunk_ptr to a pointer to chunk (git-fixes).
- drm/amd/amdgpu: Fix warnings in amdgpu/amdgpu_display.c
  (git-fixes).
- platform/x86: asus-wmi: Fix kbd_dock_devid tablet-switch
  reporting (git-fixes).
- platform/x86: wmi: Allow duplicate GUIDs for drivers that use
  struct wmi_driver (git-fixes).
- platform/x86: asus-wmi: Simplify tablet-mode-switch handling
  (git-fixes).
- platform/x86: asus-wmi: Simplify tablet-mode-switch probing
  (git-fixes).
- platform/x86: asus-wmi: Adjust tablet/lidflip handling to use
  enum (git-fixes).
- commit e47d99c
* Wed Dec 13 2023 petr.pavlu@suse.com
- tracing/kprobes: Fix the description of variable length
  arguments (git-fixes).
- commit ee78d8b
* Wed Dec 13 2023 vbabka@suse.cz
- x86/cpu: Don't write CSTAR MSR on Intel CPUs (jsc#PED-7167).
- commit a99a85b
* Wed Dec 13 2023 petr.pavlu@suse.com
- neighbor: tracing: Move pin6 inside CONFIG_IPV6=y section
  (git-fixes).
- commit 946e077
* Wed Dec 13 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: bail out on mismatching dynset and set
  expressions (bsc#1217938 CVE-2023-6622).
- commit de1dd10
* Wed Dec 13 2023 tiwai@suse.de
- HID: lenovo: Restrict detection of patched firmware only to
  USB cptkbd (git-fixes).
- commit 1bd99d4
* Tue Dec 12 2023 vbabka@suse.cz
- mm/pgtable: Fix multiple -Wstringop-overflow warnings
  (jsc#PED-7167).
- commit f790208
* Tue Dec 12 2023 tiwai@suse.de
- ASoC: wm_adsp: fix memleak in wm_adsp_buffer_populate
  (git-fixes).
- Bluetooth: hci_qca: Fix the teardown problem for real
  (git-fixes).
- Documentation: qat: Use code block for qat sysfs example
  (git-fixes).
- commit c75f6d8
* Tue Dec 12 2023 tiwai@suse.de
- ALSA: hda/realtek: Add supported ALC257 for ChromeOS
  (git-fixes).
- ALSA: hda/realtek: Headset Mic VREF to 100%% (git-fixes).
- ALSA: hda: intel-dsp-cfg: add LunarLake support (git-fixes).
- ACPI: x86: s2idle: Catch multiple ACPI_TYPE_PACKAGE objects
  (git-fixes).
- ACPI: video: Add backlight=native DMI quirk for Lenovo Ideapad
  Z470 (git-fixes).
- ACPICA: Add AML_NO_OPERAND_RESOLVE flag to Timer (git-fixes).
- ALSA: seq: oss: Fix racy open/close of MIDI devices (git-fixes).
- commit 200c0a2
* Tue Dec 12 2023 lhenriques@suse.de
- blacklist.conf: add two ceph commits
- commit d8d4641
* Tue Dec 12 2023 lhenriques@suse.de
- ceph: fix type promotion bug on 32bit systems (bsc#1217982).
- libceph: use kernel_connect() (bsc#1217981).
- ceph: fix incorrect revoked caps assert in ceph_fill_file_size()
  (bsc#1217980).
- commit e3e482f
* Tue Dec 12 2023 iivanov@suse.de
- arm64: mm: Fix "rodata=on" when CONFIG_RODATA_FULL_DEFAULT_ENABLED=y (git-fixes)
- commit 794f0e7
* Tue Dec 12 2023 iivanov@suse.de
- arm64: dts: imx8mn: Add sound-dai-cells to micfil node (git-fixes)
- commit 4dcfded
* Tue Dec 12 2023 iivanov@suse.de
- arm64: dts: imx8mm: Add sound-dai-cells to micfil node (git-fixes)
- commit 0fd1b8d
* Tue Dec 12 2023 iivanov@suse.de
- arm64: dts: arm: add missing cache properties (git-fixes)
- commit 710ea40
* Tue Dec 12 2023 iivanov@suse.de
- blacklist.conf: ("arm64: dts: broadcom: bcmbca: bcm4908: fix LED nodenames")
- commit 37fe1b1
* Tue Dec 12 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: bail out on mismatching dynset and set
  expressions (bsc#1217938 CVE-2023-6622).
- commit a69497c
* Tue Dec 12 2023 iivanov@suse.de
- arm64: dts: imx8mq-librem5: Remove dis_u3_susphy_quirk from (git-fixes)
- commit 8cd5213
* Tue Dec 12 2023 denis.kirjanov@suse.com
- Update metadata
- commit 17c3e48
* Tue Dec 12 2023 tbogendoerfer@suse.de
- net/tg3: fix race condition in tg3_reset_task() (bsc#1217801).
- commit 68db0d6
* Mon Dec 11 2023 nmorey@suse.com
- IB/mlx5: Fix init stage error handling to avoid double free of same QP and UAF (git-fixes)
- commit afc5184
* Mon Dec 11 2023 petr.pavlu@suse.com
- tracing: Fix a possible race when disabling buffered events
  (bsc#1217036).
- commit 26540da
* Mon Dec 11 2023 petr.pavlu@suse.com
- tracing: Fix a warning when allocating buffered events fails
  (bsc#1217036).
- commit ec57b73
* Mon Dec 11 2023 petr.pavlu@suse.com
- tracing: Fix incomplete locking when disabling buffered events
  (bsc#1217036).
- commit 2d81a3a
* Mon Dec 11 2023 petr.pavlu@suse.com
- tracing: Disable preemption when using the filter buffer
  (bsc#1217036).
- commit 0ade134
* Mon Dec 11 2023 petr.pavlu@suse.com
- tracing: Use __this_cpu_read() in
  trace_event_buffer_lock_reserver() (bsc#1217036).
- commit 8aa5d9a
* Mon Dec 11 2023 petr.pavlu@suse.com
- tracing: Fix warning in trace_buffered_event_disable()
  (git-fixes, bsc#1217036).
- commit b71b6ff
* Mon Dec 11 2023 dwagner@suse.de
- qla2xxx: add debug log for deprecated hw detected (bsc#1216032).
- commit e923023
* Mon Dec 11 2023 oneukum@suse.com
- usb: typec: ucsi: acpi: add quirk for ASUS Zenbook UM325
  (git-fixes).
- commit 19f2446
* Mon Dec 11 2023 dwagner@suse.de
- nvmet: nul-terminate the NQNs passed in the connect command
  (bsc#1217250 CVE-2023-6121).
- commit e359ed1
* Mon Dec 11 2023 mfranc@suse.cz
- KVM: s390: vsie: fix wrong VIR 37 when MSO is used (git-fixes
  bsc#1217933).
- commit e39e7a6
* Mon Dec 11 2023 nik.borisov@suse.com
- x86/entry: Do not allow external 0x80 interrupts (bsc#1217927).
- commit d94a391
* Mon Dec 11 2023 nik.borisov@suse.com
- x86/entry: Convert INT 0x80 emulation to IDTENTRY (bsc#1217927).
- commit 66b3050
* Sun Dec 10 2023 tiwai@suse.de
- gpiolib: sysfs: Fix error handling on failed export (git-fixes).
- Revert "xhci: Loosen RPM as default policy to cover for AMD
  xHC 1.1" (git-fixes).
- usb: typec: class: fix typec_altmode_put_partner to put plugs
  (git-fixes).
- ARM: PL011: Fix DMA support (git-fixes).
- serial: 8250: 8250_omap: Clear UART_HAS_RHR_IT_DIS bit
  (git-fixes).
- serial: 8250: 8250_omap: Do not start RX DMA on THRI interrupt
  (git-fixes).
- misc: mei: client.c: fix problem of return '-EOVERFLOW' in
  mei_cl_write (git-fixes).
- misc: mei: client.c: return negative error code in mei_cl_write
  (git-fixes).
- commit 09a57bf
* Fri Dec  8 2023 colyli@suse.de
- md/raid5-cache: fix null-ptr-deref for
  r5l_flush_stripe_to_raid() (git-fixes).
- md/raid5-cache: fix a deadlock in r5l_exit_log() (git-fixes).
- md/md-bitmap: remove unnecessary local variable in
  backlog_store() (git-fixes).
- md: don't update recovery_cp when curr_resync is ACTIVE
  (git-fixes).
- commit 0812db6
* Fri Dec  8 2023 colyli@suse.de
- md/raid1: fix error: ISO C90 forbids mixed declarations
  (git-fixes).
- md: raid0: account for split bio in iostat accounting
  (git-fixes).
- md/raid1: hold the barrier until handle_read_error() finishes
  (git-fixes).
- md/raid1: free the r1bio before waiting for blocked rdev
  (git-fixes).
- md: raid1: fix potential OOB in raid1_remove_disk() (git-fixes).
- md/md-bitmap: hold 'reconfig_mutex' in backlog_store()
  (git-fixes).
- md/md-bitmap: remove unnecessary local variable in
  backlog_store() (git-fixes).
- md/raid10: use dereference_rdev_and_rrdev() to get devices
  (git-fixes).
- md/raid10: factor out dereference_rdev_and_rrdev() (git-fixes).
- md: restore 'noio_flag' for the last mddev_resume() (git-fixes).
- Revert "md: unlock mddev before reap sync_thread in
  action_store" (git-fixes).
- md/raid0: add discard support for the 'original' layout
  (git-fixes).
- md/raid10: fix the condition to call bio_end_io_acct()
  (git-fixes).
- md/raid10: prevent soft lockup while flush writes (git-fixes).
- md/raid10: fix io loss while replacement replace rdev
  (git-fixes).
- md/raid10: fix null-ptr-deref of mreplace in raid10_sync_request
  (git-fixes).
- md/raid10: fix wrong setting of max_corr_read_errors
  (git-fixes).
- md/raid10: fix overflow of md/safe_mode_delay (git-fixes).
- md/raid5: fix miscalculation of 'end_sector' in
  raid5_read_one_chunk() (git-fixes).
- md/raid10: don't call bio_start_io_acct twice for bio which
  experienced read error (git-fixes).
- md/raid10: fix memleak of md thread (git-fixes).
- md/raid10: fix memleak for 'conf->bio_split' (git-fixes).
- md/raid10: fix leak of 'r10bio->remaining' for recovery
  (git-fixes).
- md/raid10: fix null-ptr-deref in raid10_sync_request
  (git-fixes).
- commit 75c9e76
* Fri Dec  8 2023 colyli@suse.de
- md/raid10: fix task hung in raid10d (git-fixes).
- Refresh patches.suse/md-display-timeout-error.patch for the above change.
- commit 90d12ef
* Fri Dec  8 2023 colyli@suse.de
- md: avoid signed overflow in slot_store() (git-fixes).
- md/raid10: factor out code from wait_barrier() to
  stop_waiting_barrier() (git-fixes).
- commit c35659b
* Fri Dec  8 2023 colyli@suse.de
- md: Set MD_BROKEN for RAID1 and RAID10 (git-fixes).
- Update patches.suse/md-display-timeout-error.patch for the above change.
- commit 77abf5c
* Fri Dec  8 2023 colyli@suse.de
- md: raid10 add nowait support (git-fixes).
- md: drop queue limitation for RAID1 and RAID10 (git-fixes).
- md/bitmap: don't set max_write_behind if there is no write
  mostly device (git-fixes).
- commit 44a1c08
* Fri Dec  8 2023 colyli@suse.de
- blacklist.conf: add non-backport commits
- commit 731fcaa
* Fri Dec  8 2023 petr.pavlu@suse.com
- kernel-source: Remove config-options.changes (jsc#PED-5021)
  The file doc/config-options.changes was used in the past to document
  kernel config changes. It was introduced in 2010 but haven't received
  any updates on any branch since 2015. The file is renamed by tar-up.sh
  to config-options.changes.txt and shipped in the kernel-source RPM
  package under /usr/share/doc. As its content now only contains outdated
  information, retaining it can lead to confusion for users encountering
  this file.
  Config changes are nowadays described in associated Git commit messages,
  which get automatically collected and are incorporated into changelogs
  of kernel RPM packages.
  Drop then this obsolete file, starting with its packaging logic.
  For branch maintainers: Upon merging this commit on your branch, please
  correspondingly delete the file doc/config-options.changes.
- commit adedbd2
* Fri Dec  8 2023 petr.pavlu@suse.com
- doc/README.SUSE: Simplify the list of references (jsc#PED-5021)
  Reduce indentation in the list of references, make the style consistent
  with README.md.
- commit 70e3c33
* Fri Dec  8 2023 tiwai@suse.de
- regmap: fix bogus error on regcache_sync success (git-fixes).
- platform/surface: aggregator: fix recv_buf() return value
  (git-fixes).
- commit e5d6930
* Thu Dec  7 2023 petr.pavlu@suse.com
- doc/README.SUSE: Add how to update the config for module signing
  (jsc#PED-5021)
  Configuration files for SUSE kernels include settings to integrate with
  signing support provided by the Open Build Service. This creates
  problems if someone tries to use such a configuration file to build
  a "standalone" kernel as described in doc/README.SUSE:
  * Default configuration files available in the kernel-source repository
  unset CONFIG_MODULE_SIG_ALL to leave module signing to
  pesign-obs-integration. In case of a "standalone" build, this
  integration is not available and the modules don't get signed.
  * The kernel spec file overrides CONFIG_MODULE_SIG_KEY to
  ".kernel_signing_key.pem" which is a file populated by certificates
  provided by OBS but otherwise not available. The value ends up in
  /boot/config-$VERSION-$RELEASE-$FLAVOR and /proc/config.gz. If someone
  decides to use one of these files as their base configuration then the
  build fails with an error because the specified module signing key is
  missing.
  Add information on how to enable module signing and where to find the
  relevant upstream documentation.
- commit a699dc3
* Thu Dec  7 2023 vbabka@suse.cz
- efi/unaccepted: Fix off-by-one when checking for overlapping
  ranges (jsc#PED-7167).
- commit cbbb7d9
* Wed Dec  6 2023 mkoutny@suse.com
- blacklist.conf: Cleanup entries that are backported
- commit d22e603
* Wed Dec  6 2023 petr.pavlu@suse.com
- doc/README.SUSE: Remove how to build modules using kernel-source
  (jsc#PED-5021)
  Remove the first method how to build kernel modules from the readme. It
  describes a process consisting of the kernel-source installation,
  configuring this kernel and then performing an ad-hoc module build.
  This method is not ideal as no modversion data is involved in the
  process. It results in a module with no symbol CRCs which can be wrongly
  loaded on an incompatible kernel.
  Removing the method also simplifies the readme because only two main
  methods how to build the modules are then described, either doing an
  ad-hoc build using kernel-devel, or creating a proper Kernel Module
  Package.
- commit 9285bb8
* Wed Dec  6 2023 oneukum@suse.com
- blacklist.conf: just in case fix for a corner case
- commit a3fc582
* Wed Dec  6 2023 oneukum@suse.com
- xhci: Clear EHB bit only at end of interrupt handler
  (git-fixes).
- commit d5adf2a
* Wed Dec  6 2023 oneukum@suse.com
- usb: config: fix iteration issue in 'usb_get_bos_descriptor()'
  (git-fixes).
- commit 5cdcb2d
* Wed Dec  6 2023 oneukum@suse.com
- usb: host: xhci-plat: fix possible kernel oops while resuming
  (git-fixes).
- commit b0504f4
* Wed Dec  6 2023 neilb@suse.de
- NFS: More fixes for nfs_direct_write_reschedule_io()
  (bsc#1211162).
- NFS: Use the correct commit info in nfs_join_page_group()
  (bsc#1211162).
- NFS: More O_DIRECT accounting fixes for error paths
  (bsc#1211162).
- NFS: Fix O_DIRECT locking issues (bsc#1211162).
- NFS: Fix error handling for O_DIRECT write scheduling
  (bsc#1211162).
- NFS: Fix a potential data corruption (bsc#1211162).
- NFS: Fix a use after free in nfs_direct_join_group()
  (bsc#1211162).
- nfs: only issue commit in DIO codepath if we have uncommitted
  data (bsc#1211162).
- NFS: Fix a few more clear_bit() instances that need release
  semantics (bsc#1211162).
- commit e61bcf9
* Tue Dec  5 2023 aabdallah@suse.de
- md: Put the right device in md_seq_next (bsc#1217822).
- commit 99a688a
* Tue Dec  5 2023 ailiop@suse.com
- xfs: make sure maxlen is still congruent with prod when rounding
  down (git-fixes).
- commit 2b9fc44
* Tue Dec  5 2023 ailiop@suse.com
- xfs: fix units conversion error in xfs_bmap_del_extent_delay
  (git-fixes).
- commit 95e2620
* Tue Dec  5 2023 ailiop@suse.com
- xfs: fix agf_fllast when repairing an empty AGFL (git-fixes).
- commit bfb62b0
* Tue Dec  5 2023 ailiop@suse.com
- xfs: return EINTR when a fatal signal terminates scrub
  (git-fixes).
- commit e6f4fe7
* Tue Dec  5 2023 ailiop@suse.com
- xfs: fix a bug in the online fsck directory leaf1 bestcount
  check (git-fixes).
- commit e328537
* Tue Dec  5 2023 ailiop@suse.com
- xfs: fix incorrect unit conversion in scrub tracepoint
  (git-fixes).
- Refresh
  patches.suse/xfs-standardize-AG-block-number-formatting-in-ftrace-output.patch.
- Refresh
  patches.suse/xfs-standardize-AG-number-formatting-in-ftrace-output.patch.
- commit e256630
* Tue Dec  5 2023 ailiop@suse.com
- xfs: decode scrub flags in ftrace output (git-fixes).
- commit d1fe7f7
* Tue Dec  5 2023 ailiop@suse.com
- xfs: remove the xfs_dsb_t typedef (git-fixes).
- commit 4e9f379
* Tue Dec  5 2023 ailiop@suse.com
- xfs: fix uninit warning in xfs_growfs_data (git-fixes).
- commit e9c4821
* Tue Dec  5 2023 ailiop@suse.com
- xfs: convert flex-array declarations in struct xfs_attrlist*
  (git-fixes).
- commit e33e297
* Tue Dec  5 2023 ailiop@suse.com
- xfs: remove the xfs_dinode_t typedef (git-fixes).
- commit c807e19
* Tue Dec  5 2023 ailiop@suse.com
- xfs: convert flex-array declarations in xfs attr shortform
  objects (git-fixes).
- commit 757cbc7
* Tue Dec  5 2023 ailiop@suse.com
- xfs: convert flex-array declarations in xfs attr leaf blocks
  (git-fixes).
- commit 1823624
* Tue Dec  5 2023 ailiop@suse.com
- xfs: use swap() to make dabtree code cleaner (git-fixes).
- commit d160cc2
* Tue Dec  5 2023 ailiop@suse.com
- xfs: fix silly whitespace problems with kernel libxfs
  (git-fixes).
- commit d822e52
* Tue Dec  5 2023 ailiop@suse.com
- xfs: rename xfs_has_attr() (git-fixes).
- commit fe8702c
* Tue Dec  5 2023 ailiop@suse.com
- xfs: Rename __xfs_attr_rmtval_remove (git-fixes).
- commit 6ea2cef
* Tue Dec  5 2023 ailiop@suse.com
- xfs: sysfs: use default_groups in kobj_type (git-fixes).
- commit 74d9b5c
* Tue Dec  5 2023 ailiop@suse.com
- xfs: replace snprintf in show functions with sysfs_emit
  (git-fixes).
- commit 84db35d
* Tue Dec  5 2023 ailiop@suse.com
- xfs: simplify two-level sysctl registration for xfs_table
  (git-fixes).
- commit 0321d28
* Tue Dec  5 2023 ailiop@suse.com
- xfs: add selinux labels to whiteout inodes (git-fixes).
- commit 8dc479c
* Tue Dec  5 2023 ailiop@suse.com
- xfs: Use kvcalloc() instead of kvzalloc() (git-fixes).
- Refresh
  patches.suse/xfs-reject-crazy-array-sizes-being-fed-to-XFS_IOC_GE.patch.
- commit 89900e3
* Tue Dec  5 2023 ailiop@suse.com
- xfs: clean up "%%Ld/%%Lu" which doesn't meet C standard
  (git-fixes).
- commit dbcc289
* Tue Dec  5 2023 ailiop@suse.com
- xfs: aborting inodes on shutdown may need buffer lock
  (git-fixes).
- commit 8b202be
* Tue Dec  5 2023 ailiop@suse.com
- xfs: remove the xfs_dqblk_t typedef (git-fixes).
- commit 4747a77
* Tue Dec  5 2023 ailiop@suse.com
- xfs: dump log intent items that cannot be recovered due to
  corruption (git-fixes).
- commit 6f8c678
* Tue Dec  5 2023 ailiop@suse.com
- xfs: sb verifier doesn't handle uncached sb buffer (git-fixes).
- commit c0c7079
* Tue Dec  5 2023 ailiop@suse.com
- xfs: remove kmem_alloc_io() (git-fixes).
- commit 831b642
* Mon Dec  4 2023 tabraham@suse.com
- x86/platform/uv: Use alternate source for socket to node data
  (bsc#1215696 bsc#1217790).
- commit ec7f699
* Mon Dec  4 2023 msuchanek@suse.de
- powerpc: Don't clobber f0/vs0 during fp|altivec register save
  (bsc#1217780).
- commit 46d31e2
* Mon Dec  4 2023 mfranc@suse.cz
- blacklist.conf: this is true for SLE15-SP4 not SLE15-SP5
  The backport was provided in bsc#1215123 for SP5, but it has further
  dependencies not present in SP4, so unless requested by IBM, I'm going
  to skip it for git-fixes.
- commit 5219b23
* Mon Dec  4 2023 tiwai@suse.de
- USB: serial: option: add Luat Air72*U series products
  (git-fixes).
- USB: serial: option: add Fibocom L7xx modules (git-fixes).
- USB: serial: option: don't claim interface 4 for ZTE MF290
  (git-fixes).
- ACPI: resource: Skip IRQ override on ASUS ExpertBook B1402CVA
  (git-fixes).
- commit 4c40fde
* Sun Dec  3 2023 tiwai@suse.de
- firewire: core: fix possible memory leak in create_units()
  (git-fixes).
- commit 0ade49c
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert log ticket and iclog flags to unsigned (git-fixes).
- commit 57245d3
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert quota options flags to unsigned (git-fixes).
- commit 7dfe466
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert inode lock flags to unsigned (git-fixes).
- commit 831f7e2
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert log item tracepoint flags to unsigned (git-fixes).
- commit 411032a
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert dquot flags to unsigned (git-fixes).
- commit 1630213
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert da btree operations flags to unsigned (git-fixes).
- commit 41198d9
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert buffer log item flags to unsigned (git-fixes).
- commit d4d0c9c
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert btree buffer log flags to unsigned (git-fixes).
- commit ced67a9
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert AGI log flags to unsigned (git-fixes).
- commit 66d955b
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert AGF log flags to unsigned (git-fixes).
- commit 91cefbb
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert bmapi flags to unsigned (git-fixes).
- commit 1ec6360
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert bmap extent type flags to unsigned (git-fixes).
- commit 30fead3
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert scrub type flags to unsigned (git-fixes).
- commit c3c7c82
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert attr type flags to unsigned (git-fixes).
- commit c641f4d
* Sat Dec  2 2023 ailiop@suse.com
- xfs: convert buffer flags to unsigned (git-fixes).
- commit 6147a1c
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize inode generation formatting in ftrace output
  (git-fixes).
- commit 81e4504
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize remaining xfs_buf length tracepoints
  (git-fixes).
- commit 0960978
* Sat Dec  2 2023 ailiop@suse.com
- xfs: resolve fork names in trace output (git-fixes).
- commit f8059aa
* Sat Dec  2 2023 ailiop@suse.com
- xfs: rename i_disk_size fields in ftrace output (git-fixes).
- commit 57eae70
* Sat Dec  2 2023 ailiop@suse.com
- xfs: disambiguate units for ftrace fields tagged "count"
  (git-fixes).
- commit 863210b
* Sat Dec  2 2023 ailiop@suse.com
- xfs: disambiguate units for ftrace fields tagged "len"
  (git-fixes).
- commit 09c5eba
* Sat Dec  2 2023 ailiop@suse.com
- xfs: disambiguate units for ftrace fields tagged "offset"
  (git-fixes).
- commit fd948b6
* Sat Dec  2 2023 ailiop@suse.com
- xfs: disambiguate units for ftrace fields tagged "blkno",
  "block", or "bno" (git-fixes).
- commit 21df855
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize daddr formatting in ftrace output (git-fixes).
- commit 4559eca
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize rmap owner number formatting in ftrace output
  (git-fixes).
- commit 1582a5c
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize AG block number formatting in ftrace output
  (git-fixes).
- commit c4b29ba
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize AG number formatting in ftrace output
  (git-fixes).
- commit a02451d
* Sat Dec  2 2023 ailiop@suse.com
- xfs: standardize inode number formatting in ftrace output
  (git-fixes).
- commit 3a0db07
* Sat Dec  2 2023 ailiop@suse.com
- xfs: add attr state machine tracepoints (git-fixes).
- commit b0c0355
* Sat Dec  2 2023 ailiop@suse.com
- xfs: mark the record passed into xchk_btree functions as const
  (git-fixes).
- commit 3247184
* Sat Dec  2 2023 ailiop@suse.com
- xfs: remove xfs_btree_cur_t typedef (git-fixes).
- commit 4b79f37
* Sat Dec  2 2023 ailiop@suse.com
- xfs: constify btree function parameters that are not modified
  (git-fixes).
- commit ca93659
* Sat Dec  2 2023 ailiop@suse.com
- xfs: make the start pointer passed to btree update_lastrec
  functions const (git-fixes).
- commit 28eb06c
* Sat Dec  2 2023 ailiop@suse.com
- xfs: make the start pointer passed to btree alloc_block
  functions const (git-fixes).
- commit 481ec89
* Sat Dec  2 2023 ailiop@suse.com
- xfs: make the pointer passed to btree set_root functions const
  (git-fixes).
- commit 068596a
* Sat Dec  2 2023 ailiop@suse.com
- xfs: make the keys and records passed to btree inorder functions
  const (git-fixes).
- commit 42fdf3b
* Sat Dec  2 2023 ailiop@suse.com
- xfs: mark the record passed into btree init_key functions as
  const (git-fixes).
- Refresh
  patches.suse/xfs-fix-rm_offset-flag-handling-in-rmap-keys.patch.
- commit ff2d5e6
* Sat Dec  2 2023 ailiop@suse.com
- xfs: make the key parameters to all btree query range functions
  const (git-fixes).
- Refresh
  patches.suse/xfs-make-the-record-pointer-passed-to-query_range-functions-const.patch.
- commit 6c6efbb
* Sat Dec  2 2023 ailiop@suse.com
- xfs: make the key parameters to all btree key comparison
  functions const (git-fixes).
- Refresh
  patches.suse/xfs-fix-rm_offset-flag-handling-in-rmap-keys.patch.
- commit ff17042
* Fri Dec  1 2023 msuchanek@suse.de
- kernel-binary: suse-module-tools is also required when installed
  Requires(pre) adds dependency for the specific sciptlet.
  However, suse-module-tools also ships modprobe.d files which may be
  needed at posttrans time or any time the kernel is on the system for
  generating ramdisk. Add plain Requires as well.
- commit 8c12816
* Fri Dec  1 2023 msuchanek@suse.de
- rpm: Use run_if_exists for all external scriptlets
  With that the scriptlets do not need to be installed for build.
- commit 25edd65
* Fri Dec  1 2023 mkoutny@suse.com
- Run scripts/renamepatches for SLE15-SP4
- commit 8219c38
* Fri Dec  1 2023 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.16 patches
  (bsc#1217731).
- scsi: lpfc: Update lpfc version to 14.2.0.16 (bsc#1217731).
- scsi: lpfc: Enhance driver logging for selected discovery events
  (bsc#1217731).
- scsi: lpfc: Refactor and clean up mailbox command memory free
  (bsc#1217731).
- scsi: lpfc: Return early in lpfc_poll_eratt() when the driver
  is unloading (bsc#1217731).
- scsi: lpfc: Eliminate unnecessary relocking in
  lpfc_check_nlp_post_devloss() (bsc#1217731).
- scsi: lpfc: Fix list_entry null check warning in
  lpfc_cmpl_els_plogi() (bsc#1217731).
- scsi: lpfc: Fix possible file string name overflow when updating
  firmware (bsc#1217731).
- scsi: lpfc: Correct maximum PCI function value for RAS fw
  logging (bsc#1217731).
- commit beb2571
* Fri Dec  1 2023 jwiesner@suse.de
- x86/tsc: Extend watchdog check exemption to 4-Sockets platform
  (bsc#1215885 bsc#1217217).
- commit 9971d9f
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Handle negative skews in "skew is too large"
  messages (bsc#1215885 bsc#1217217).
- commit 0c97af9
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Enable TSC watchdog checking of HPET and PMTMR
  only when requested (bsc#1215885 bsc#1217217).
- commit 0d6dfea
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Verify HPET and PMTMR when TSC unverified
  (bsc#1215885 bsc#1217217).
- commit e0464f3
* Fri Dec  1 2023 jwiesner@suse.de
- x86/tsc: Add option to force frequency recalibration with HW
  timer (bsc#1215885 bsc#1217217).
- commit 6710fea
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Improve "skew is too large" messages (bsc#1215885
  bsc#1217217).
- commit b4f2f8a
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Improve read-back-delay message (bsc#1215885
  bsc#1217217).
- commit 7fcc88d
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Loosen clocksource watchdog constraints
  (bsc#1215885 bsc#1217217).
- commit 4542fad
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Print clocksource name when clocksource is tested
  unstable (bsc#1215885 bsc#1217217).
- commit 9b735fa
* Fri Dec  1 2023 jwiesner@suse.de
- x86/tsc: Be consistent about use_tsc_delay() (bsc#1215885
  bsc#1217217).
- commit 8d1f4f9
* Fri Dec  1 2023 jwiesner@suse.de
- clocksource: Add a Kconfig option for WATCHDOG_MAX_SKEW
  (bsc#1215885 bsc#1217217).
- Update config files. The value of 125 corresponds to a later patch
  in the series.
- commit fd39c65
* Fri Dec  1 2023 denis.kirjanov@suse.com
- net/tls: do not free tls_rec on async operation in
  bpf_exec_tx_verdict() (bsc#1217332 CVE-2023-6176).
- commit 4d4ef94
* Fri Dec  1 2023 denis.kirjanov@suse.com
- Update metadata
- commit ca96232
* Fri Dec  1 2023 petr.pavlu@suse.com
- Revert "tracing: Fix warning in trace_buffered_event_disable()"
  (bsc#1217036)
  Temporarily revert the commit. It exposed a separate issue related to
  trace buffered event synchronization which needs to be fixed first.
- commit 4a725b5
* Fri Dec  1 2023 tiwai@suse.de
- mmc: cqhci: Fix task clearing in CQE error recovery (git-fixes).
- mmc: cqhci: Warn of halt or task clear failure (git-fixes).
- mmc: block: Retry commands in CQE error recovery (git-fixes).
- mmc: block: Be sure to wait while busy in CQE error recovery
  (git-fixes).
- mmc: cqhci: Increase recovery halt timeout (git-fixes).
- mmc: block: Do not lose cache flush during CQE error recovery
  (git-fixes).
- commit 49c4783
* Thu Nov 30 2023 tiwai@suse.de
- ALSA: hda: Disable power-save on KONTRON SinglePC (bsc#1217140).
- commit 05bfbfe
* Thu Nov 30 2023 jdelvare@suse.de
- Disable Loongson drivers
  Loongson is a mips architecture, it doesn't make sense to build
  Loongson drivers on other architectures.
- commit 23ca0fb
* Thu Nov 30 2023 aabdallah@suse.de
- NLM: Defend against file_lock changes after vfs_test_lock()
  (bsc#1217692).
- commit 9a0dbb5
* Thu Nov 30 2023 mfranc@suse.cz
- s390/ap: fix AP bus crash on early config change callback
  invocation (git-fixes bsc#1217687).
- commit 7155857
* Thu Nov 30 2023 tiwai@suse.de
- drm/amd: Update `update_pcie_parameters` functions to use
  uint8_t arguments (git-fixes).
- commit 5141a6d
* Thu Nov 30 2023 tiwai@suse.de
- drm/i915: Flush WC GGTT only on required platforms (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS UX7602ZM (git-fixes).
- drm/amdgpu/vkms: fix a possible null pointer dereference
  (git-fixes).
- drm/radeon: fix a possible null pointer dereference (git-fixes).
- drm/amdgpu: not to save bo in the case of RAS err_event_athub
  (git-fixes).
- drm/gma500: Fix call trace when psb_gem_mm_init() fails
  (git-fixes).
- clocksource/drivers/timer-atmel-tcb: Fix initialization on
  SAM9 hardware (git-fixes).
- clocksource/drivers/timer-imx-gpt: Fix potential memory leak
  (git-fixes).
- commit 7076be6
* Thu Nov 30 2023 tiwai@suse.de
- pinctrl: avoid reload of p state in list iteration (git-fixes).
- commit 37ee48d
* Thu Nov 30 2023 jslaby@suse.cz
- README.SUSE: fix patches.addon use
  It's series, not series.conf in there.
  And make it more precise on when the patches are applied.
- commit cb8969c
* Wed Nov 29 2023 mkubecek@suse.cz
- rxrpc: Fix race between conn bundle lookup and bundle removal
  (CVE-2023-2006 bsc#1210447).
- commit 88c559c
* Wed Nov 29 2023 mkubecek@suse.cz
- kabi/severities: ignore kabi in rxrpc (bsc#1210447)
  The rxrpc module is built since SLE15-SP3 but it is not shipped as part of
  any SLE product, only in Leap (in kernel-*-optional).
- commit 10d922d
* Wed Nov 29 2023 bwiedemann@suse.de
- Do not store build host name in initrd
  Without this patch, kernel-obs-build stored the build host name
  in its .build.initrd.kvm
  This patch allows for reproducible builds of kernel-obs-build and thus
  avoids re-publishing the kernel-obs-build.rpm when nothing changed.
  Note that this has no influence on the /etc/hosts file
  that is used during other OBS builds.
  https://bugzilla.opensuse.org/show_bug.cgi?id=1084909
- commit fd3a75e
* Wed Nov 29 2023 tiwai@suse.de
- drm/amd/display: use full update for clip size increase of
  large plane source (git-fixes).
- commit 05445b7
* Wed Nov 29 2023 tiwai@suse.de
- Input: xpad - add VID for Turtle Beach controllers (git-fixes).
- Refresh patches.suse/Input-xpad-add-PXN-V900-support.patch.
- commit a3a5e84
* Wed Nov 29 2023 tiwai@suse.de
- Revert "i2c: pxa: move to generic GPIO recovery" (git-fixes).
- drm/amd/display: Change the DMCUB mailbox memory location from
  FB to inbox (git-fixes).
- tty: Fix uninit-value access in ppp_sync_receive() (git-fixes).
- drm/amdgpu: fix software pci_unplug on some chips (git-fixes).
- drm/amdgpu: fix error handling in amdgpu_bo_list_get()
  (git-fixes).
- drm/qxl: prevent memory leak (git-fixes).
- mmc: sdhci-pci-gli: GL9750: Mask the replay timer timeout of
  AER (git-fixes).
- pwm: Fix double shift bug (git-fixes).
- i2c: dev: copy userspace array safely (git-fixes).
- i2c: designware: Disable TX_EMPTY irq while waiting for block
  length byte (git-fixes).
- sbsa_gwdt: Calculate timeout with 64-bit math (git-fixes).
- drm/amd/display: Avoid NULL dereference of timing generator
  (git-fixes).
- drm/amdgpu: don't use ATRM for external devices (git-fixes).
- media: imon: fix access to invalid resource for the second
  interface (git-fixes).
- media: ccs: Fix driver quirk struct documentation (git-fixes).
- media: cobalt: Use FIELD_GET() to extract Link Width
  (git-fixes).
- media: vivid: avoid integer overflow (git-fixes).
- media: gspca: cpia1: shift-out-of-bounds in set_flicker
  (git-fixes).
- i2c: sun6i-p2wi: Prevent potential division by zero (git-fixes).
- i2c: i801: fix potential race in
  i801_block_transaction_byte_by_byte (git-fixes).
- i3c: master: mipi-i3c-hci: Fix a kernel panic for accessing
  DAT_data (git-fixes).
- i3c: mipi-i3c-hci: Fix out of bounds access in
  hci_dma_irq_handler (git-fixes).
- mtd: cfi_cmdset_0001: Byte swap OTP info (git-fixes).
- usb: gadget: f_ncm: Always set current gadget in ncm_bind()
  (git-fixes).
- tty: serial: meson: fix hard LOCKUP on crtscts mode (git-fixes).
- tty: vcc: Add check for kstrdup() in vcc_probe() (git-fixes).
- HID: lenovo: Detect quirk-free fw on cptkbd and stop applying
  workaround (git-fixes).
- HID: Add quirk for Dell Pro Wireless Keyboard and Mouse KM5221W
  (git-fixes).
- PCI: Use FIELD_GET() in Sapphire RX 5600 XT Pulse quirk
  (git-fixes).
- PCI: Use FIELD_GET() to extract Link Width (git-fixes).
- PCI: tegra194: Use FIELD_GET()/FIELD_PREP() with Link Width
  fields (git-fixes).
- misc: pci_endpoint_test: Add Device ID for R-Car S4-8 PCIe
  controller (git-fixes).
- selftests/efivarfs: create-read: fix a resource leak
  (git-fixes).
- selftests/resctrl: Remove duplicate feature check from CMT test
  (git-fixes).
- mmc: sdhci-pci-gli: A workaround to allow GL9750 to enter ASPM
  L1.2 (git-fixes).
- drm/amdgpu: Fix a null pointer access when the smc_rreg pointer
  is NULL (git-fixes).
- drm/amdkfd: Fix shift out-of-bounds issue (git-fixes).
- drm/panel: st7703: Pick different reset sequence (git-fixes).
- drm: vmwgfx_surface.c: copy user-array safely (git-fixes).
- drm/msm/dp: skip validity check for DP CTS EDID checksum
  (git-fixes).
- drm/amdgpu: Fix potential null pointer derefernce (git-fixes).
- drm/amd: Fix UBSAN array-index-out-of-bounds for Polaris and
  Tonga (git-fixes).
- drm/amd: Fix UBSAN array-index-out-of-bounds for SMU7
  (git-fixes).
- drm/amdkfd: Fix a race condition of vram buffer unref in svm
  code (git-fixes).
- drm/panel/panel-tpo-tpg110: fix a possible null pointer
  dereference (git-fixes).
- drm/panel: fix a possible null pointer dereference (git-fixes).
- drm/komeda: drop all currently held locks if deadlock happens
  (git-fixes).
- platform/x86: thinkpad_acpi: Add battery quirk for Thinkpad
  X120e (git-fixes).
- regmap: Ensure range selector registers are updated after
  cache sync (git-fixes).
- Bluetooth: btusb: Add 0bda:b85b for Fn-Link RTL8852BE
  (git-fixes).
- Bluetooth: btusb: Add date->evt_skb is NULL check (git-fixes).
- Bluetooth: btusb: Add RTW8852BE device 13d3:3570 to device
  tables (git-fixes).
- wifi: ath10k: Don't touch the CE interrupt registers after
  power up (git-fixes).
- wifi: ath10k: fix clang-specific fortify warning (git-fixes).
- wifi: ath9k: fix clang-specific fortify warnings (git-fixes).
- wifi: mac80211: don't return unset power in
  ieee80211_get_tx_power() (git-fixes).
- serial: meson: Use platform_get_irq() to get the interrupt
  (git-fixes).
- commit 9bb6805
* Wed Nov 29 2023 tiwai@suse.de
- ASoC: ti: omap-mcbsp: Fix runtime PM underflow warnings
  (git-fixes).
- ALSA: hda: Fix possible null-ptr-deref when assigning a stream
  (git-fixes).
- atm: iphase: Do PCI error checks on own line (git-fixes).
- string.h: add array-wrappers for (v)memdup_user() (git-fixes).
- ACPI: resource: Do IRQ override on TongFang GMxXGxx (git-fixes).
- atl1c: Work around the DMA RX overflow issue (git-fixes).
- bluetooth: Add device 13d3:3571 to device tables (git-fixes).
- bluetooth: Add device 0bda:887b to device tables (git-fixes).
- Bluetooth: btusb: Add Realtek RTL8852BE support ID 0x0cb8:0xc559
  (git-fixes).
- commit 806162c
* Wed Nov 29 2023 tzimmermann@suse.com
- drm/vmwgfx: Keep a gem reference to user bos in surfaces (CVE-2023-5633, bsc#1216527)
- commit f0960a9
* Wed Nov 29 2023 tzimmermann@suse.com
- drm/vmwgfx: Rename vmw_buffer_object to vmw_bo (bsc#1216527)
- commit abbb5ea
* Wed Nov 29 2023 tzimmermann@suse.com
- drm/vmwgfx: Remove the duplicate bo_free function (bsc#1216527)
- commit a67bf72
* Wed Nov 29 2023 mkubecek@suse.cz
- netfilter: conntrack: dccp: copy entire header to stack buffer,
  not just basic one (CVE-2023-39197 bsc#1216976).
- commit b489a86
* Wed Nov 29 2023 mkubecek@suse.cz
- Update upstream references (add CVE-2023-4244 bsc#1215420)
- patches.kabi/kabi-hide-changes-in-struct-nft_set.patch
- patches.suse/netfilter-nf_tables-GC-transaction-API-to-avoid-race.patch
- patches.suse/netfilter-nf_tables-GC-transaction-race-with-abort-p.patch
- patches.suse/netfilter-nf_tables-GC-transaction-race-with-netns-d.patch
- patches.suse/netfilter-nf_tables-fix-GC-transaction-races-with-ne.patch
- patches.suse/netfilter-nf_tables-fix-kdoc-warnings-after-gc-rewor.patch
- patches.suse/netfilter-nf_tables-use-correct-lock-to-protect-gc_l.patch
- commit fee74b6
* Tue Nov 28 2023 mfranc@suse.cz
- blacklist.conf: non-trivial dependencies (bsc#1216105)
- commit b8ada5d
* Tue Nov 28 2023 mfranc@suse.cz
- s390/dasd: fix hanging device after request requeue (git-fixes
  LTC#203629 bsc#1215124).
- commit 1f9716b
* Tue Nov 28 2023 mfranc@suse.cz
- s390/cio: unregister device when the only path is gone
  (git-fixes bsc#1217609).
- commit 1a12a29
* Tue Nov 28 2023 mfranc@suse.cz
- s390/ptrace: fix PTRACE_GET_LAST_BREAK error handling (git-fixes
  bsc#1217599).
- commit c32f016
* Tue Nov 28 2023 mfranc@suse.cz
- s390/dasd: use correct number of retries for ERP requests
  (git-fixes bsc#1217598).
- commit 71adc5d
* Tue Nov 28 2023 ohering@suse.de
- Drivers: hv: vmbus: Remove unused extern declaration
  vmbus_ontimer() (git-fixes).
- x86/hyperv: fix a warning in mshyperv.h (git-fixes).
- x86/hyperv: Improve code for referencing hyperv_pcpu_input_arg
  (git-fixes).
- HID: hyperv: avoid struct memcpy overrun warning (git-fixes).
- x86/hyperv: Make hv_get_nmi_reason public (git-fixes).
- hv: simplify sysctl registration (git-fixes).
- x86/hyperv: Add HV_EXPOSE_INVARIANT_TSC define (git-fixes).
- HID: hyperv: remove unused struct synthhid_msg (git-fixes).
- HID: hyperv: Replace one-element array with flexible-array
  member (git-fixes).
- commit be51c3e
* Mon Nov 27 2023 jack@suse.cz
- sbitmap: fix up kABI for sbitmap_queue_wake_up() (bsc#1217095
  bsc#1217196).
- commit 47ffbc4
* Mon Nov 27 2023 oneukum@suse.com
- Update
  patches.suse/net-usb-lan78xx-reorder-cleanup-operations-to-avoid-.patch
  (bsc#1217068 CVE-2023-6039).
  Update reference. Bug retroactively declared a security issue.
- commit 867c96b
* Mon Nov 27 2023 ohering@suse.de
- hv_netvsc: Mark VF as slave before exposing it to user-mode
  (git-fixes).
- hv_netvsc: Fix race of register_netdevice_notifier and VF
  register (git-fixes).
- hv_netvsc: fix race of netvsc and VF register_netdevice
  (git-fixes).
- commit bbb7bfb
* Mon Nov 27 2023 mfranc@suse.cz
- s390/dasd: protect device queue against concurrent access
  (git-fixes bsc#1217515).
- commit 85f31b8
* Mon Nov 27 2023 ohering@suse.de
- net: mana: Fix return type of mana_start_xmit() (git-fixes).
- commit 9a9e0ef
* Mon Nov 27 2023 mfranc@suse.cz
- s390/ipl: add missing IPL_TYPE_ECKD_DUMP case to ipl_init()
  (git-fixes bsc#1217511).
- commit f70fcc0
* Sun Nov 26 2023 tiwai@suse.de
- USB: serial: option: fix FM101R-GL defines (git-fixes).
- USB: dwc3: qcom: fix ACPI platform device leak (git-fixes).
- USB: dwc3: qcom: fix software node leak on probe errors
  (git-fixes).
- USB: dwc3: qcom: fix resource leaks on probe deferral
  (git-fixes).
- USB: dwc3: qcom: fix wakeup after probe deferral (git-fixes).
- dt-bindings: usb: qcom,dwc3: fix example wakeup interrupt types
  (git-fixes).
- usb: dwc3: set the dma max_seg_size (git-fixes).
- usb: cdnsp: Fix deadlock issue during using NCM gadget
  (git-fixes).
- usb: dwc3: Fix default mode initialization (git-fixes).
- usb: typec: tcpm: Skip hard reset when in error recovery
  (git-fixes).
- dt-bindings: usb: hcd: add missing phy name to example
  (git-fixes).
- arm/xen: fix xen_vcpu_info allocation alignment (git-fixes).
- drm/rockchip: vop: Fix color for RGB888/BGR888 format on VOP
  full (git-fixes).
- drm/panel: simple: Fix Innolux G101ICE-L01 timings (git-fixes).
- drm/panel: simple: Fix Innolux G101ICE-L01 bus flags
  (git-fixes).
- ata: pata_isapnp: Add missing error check for devm_ioport_map()
  (git-fixes).
- net: usb: ax88179_178a: fix failed operations during
  ax88179_reset (git-fixes).
- xhci: Enable RPM on controllers that support low-power states
  (git-fixes).
- commit 77def7a
* Fri Nov 24 2023 vbabka@suse.cz
- Documentation: KVM: update s390-diag.rst reference
  (jsc#PED-7167).
- commit 9e480d9
* Fri Nov 24 2023 vbabka@suse.cz
- Documentation: KVM: update msr.rst reference (jsc#PED-7167).
- commit c082b41
* Fri Nov 24 2023 vbabka@suse.cz
- Documentation: KVM: update amd-memory-encryption.rst references
  (jsc#PED-7167).
- commit b8dc96a
* Fri Nov 24 2023 vbabka@suse.cz
- Documentation: KVM: update s390-pv.rst reference (jsc#PED-7167).
- commit 05075d0
* Fri Nov 24 2023 fcrozat@suse.com
- Ensure ia32_emulation is always enabled for kernel-obs-build
  If ia32_emulation is disabled by default, ensure it is enabled
  back for OBS kernel to allow building 32bit binaries (jsc#PED-3184)
  [ms: Always pass the parameter, no need to grep through the config which
  may not be very reliable]
- commit 56a2c2f
* Fri Nov 24 2023 aabdallah@suse.de
- blk-mq: fix null pointer dereference in
  blk_mq_clear_rq_mapping() (bsc#1217366).
- blk-mq: Don't clear driver tags own mapping (bsc#1217366).
- commit dfa78ac
* Fri Nov 24 2023 jlee@suse.com
- kobject: Fix slab-out-of-bounds in fill_kobj_path() (bsc#1216058
  CVE-2023-45863).
- commit 40e4871
* Thu Nov 23 2023 vbabka@suse.cz
- kabi/severities: make snp_issue_guest_request PASS (jsc#PED-7167)
- commit 77827e4
* Thu Nov 23 2023 vbabka@suse.cz
- kabi: fix sev-dev due to fs_struct became defined
  (jsc#PED-7167).
- commit c5a0dde
* Thu Nov 23 2023 vbabka@suse.cz
- Update config files: add CONFIG_TSM_REPORTS=m
- supported.conf: add drivers/virt/coco/tsm (jsc#PED-7167)
- commit 2f8fa7a
* Thu Nov 23 2023 vbabka@suse.cz
- mm: new primitive kvmemdup() (jsc#PED-7167).
- commit d3a5e1f
* Thu Nov 23 2023 vbabka@suse.cz
- virt: tdx-guest: Add Quote generation support using TSM_REPORTS
  (jsc#PED-7167).
- commit 861f5af
* Thu Nov 23 2023 vbabka@suse.cz
- virt: sevguest: Add TSM_REPORTS support for SNP_GET_EXT_REPORT
  (jsc#PED-7167).
- commit e88366a
* Thu Nov 23 2023 vbabka@suse.cz
- mm/slab: Add __free() support for kvfree (jsc#PED-7167).
- commit 509dea7
* Thu Nov 23 2023 vbabka@suse.cz
- mm: move kvmalloc-related functions to slab.h (jsc#PED-7167).
- commit 0233300
* Thu Nov 23 2023 vbabka@suse.cz
- cleanup: Make no_free_ptr() __must_check (jsc#PED-7167).
- commit b201be9
* Thu Nov 23 2023 jack@suse.cz
- sbitmap: fix batched wait_cnt accounting (bsc#1217095
  bsc#1217196).
- commit 1940c70
* Thu Nov 23 2023 vbabka@suse.cz
- kbuild: Drop -Wdeclaration-after-statement (jsc#PED-7167).
- commit 5d95f2b
* Thu Nov 23 2023 vbabka@suse.cz
- locking: Introduce __cleanup() based infrastructure
  (jsc#PED-7167).
- commit e6e6461
* Thu Nov 23 2023 vbabka@suse.cz
- apparmor: Free up __cleanup() name (jsc#PED-7167).
- commit 26b17bd
* Thu Nov 23 2023 vbabka@suse.cz
- dmaengine: ioat: Free up __cleanup() name (jsc#PED-7167).
- commit e8803fd
* Thu Nov 23 2023 vbabka@suse.cz
- virt: sevguest: Prep for kernel internal get_ext_report()
  (jsc#PED-7167).
- commit 0cb940c
* Thu Nov 23 2023 vbabka@suse.cz
- configfs-tsm: Introduce a shared ABI for attestation reports
  (jsc#PED-7167).
- commit 10dea0a
* Thu Nov 23 2023 vbabka@suse.cz
- virt: coco: Add a coco/Makefile and coco/Kconfig (jsc#PED-7167).
- commit 5dbe415
* Thu Nov 23 2023 vbabka@suse.cz
- virt: sevguest: Fix passing a stack buffer as a scatterlist
  target (jsc#PED-7167).
- commit 8f70fc7
* Thu Nov 23 2023 vbabka@suse.cz
- x86/sev: Get rid of special sev_es_enable_key (jsc#PED-7167).
- commit cfc4afc
* Thu Nov 23 2023 vbabka@suse.cz
- x86/sev: Change snp_guest_issue_request()'s fw_err argument
  (jsc#PED-7167).
- Refresh
  patches.suse/x86-sev-Add-SNP-specific-unaccepted-memory-support.patch.
- Refresh
  patches.suse/x86-sev-fix-calculation-of-end-address-based-on-number-of-pages.patch.
- commit b0dbaa9
* Thu Nov 23 2023 vbabka@suse.cz
- x86/sev: Mark snp_abort() noreturn (jsc#PED-7167).
- Refresh
  patches.suse/msft-hv-2785-x86-hyperv-Mark-hv_ghcb_terminate-as-noreturn.patch.
- Refresh
  patches.suse/x86-sev-Add-SNP-specific-unaccepted-memory-support.patch.
- Refresh
  patches.suse/x86-sev-fix-calculation-of-end-address-based-on-number-of-pages.patch.
- commit 1d710ba
* Thu Nov 23 2023 vbabka@suse.cz
- x86/sev: Fix address space sparse warning (jsc#PED-7167).
- commit f9303dd
* Thu Nov 23 2023 vbabka@suse.cz
- x86/sev-es: Replace open-coded hlt-loop with sev_es_terminate()
  (jsc#PED-7167).
- commit 8762be9
* Thu Nov 23 2023 vbabka@suse.cz
- x86/sev-es: Use insn_decode_mmio() for MMIO implementation
  (jsc#PED-7167).
- Refresh
  patches.suse/0001-x86-sev-Disable-MMIO-emulation-from-user-mode.patch.
- Refresh
  patches.suse/revert-x86-sev-expose-sev_es_ghcb_hv_call-for-use-by-hyperv.patch.
- commit aa3f3be
* Thu Nov 23 2023 vbabka@suse.cz
- virt/coco/sev-guest: Double-buffer messages (jsc#PED-7167).
- commit 15f676a
* Thu Nov 23 2023 vbabka@suse.cz
- crypto: ccp: Get rid of __sev_platform_init_locked()'s local
  function pointer (jsc#PED-7167).
- commit b3cd613
* Thu Nov 23 2023 vbabka@suse.cz
- crypto: ccp - Name -1 return value as SEV_RET_NO_FW_CALL
  (jsc#PED-7167).
- commit 2e2b1aa
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Move some PSP mailbox bit definitions into common
  header (jsc#PED-7167).
- commit f5d41ff
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Add a header for multiple drivers to use
  `__psp_pa` (jsc#PED-7167).
- commit c1447a5
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Drop TEE support for IRQ handler (jsc#PED-7167).
- commit 0245c9c
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Flush the SEV-ES TMR memory before giving it to
  firmware (jsc#PED-7167).
- commit 37d1c42
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Fail the PSP initialization when writing psp
  data file failed (jsc#PED-7167).
- commit 8eb81a7
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Initialize PSP when reading psp data file failed
  (jsc#PED-7167).
- commit 964fe87
* Wed Nov 22 2023 vbabka@suse.cz
- Documentation: KVM: add separate directories for
  architecture-specific documentation (jsc#PED-7167).
- Refresh
  patches.suse/Documentation-virt-Protected-virtual-machine-dumps.
- commit 65d104d
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Add a quirk to firmware update (jsc#PED-7167).
- commit be3da35
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Fix the INIT_EX data file open failure
  (jsc#PED-7167).
- commit 8e008f3
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Log when resetting PSP SEV state (jsc#PED-7167).
- commit cbd4722
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Ensure psp_ret is always init'd in
  __sev_platform_init_locked() (jsc#PED-7167).
- commit 04590b9
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - remove unneeded semicolon (jsc#PED-7167).
- commit 66d0422
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Add SEV_INIT_EX support (jsc#PED-7167).
- commit 366ae8c
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Add psp_init_on_probe module parameter
  (jsc#PED-7167).
- commit 7740560
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Refactor out sev_fw_alloc() (jsc#PED-7167).
- commit 9e591ea
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Move SEV_INIT retry for corrupted data
  (jsc#PED-7167).
- commit d4ca07b
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Add SEV_INIT rc error logging on init
  (jsc#PED-7167).
- commit cdccf1f
* Wed Nov 22 2023 vbabka@suse.cz
- crypto: ccp - Fix whitespace in sev_cmd_buffer_len()
  (jsc#PED-7167).
- commit 0d1b93f
* Wed Nov 22 2023 msuchanek@suse.de
- rpm: Define git commit as macro
- commit bcc92c8
* Wed Nov 22 2023 msuchanek@suse.de
- kernel-source: Move provides after sources
- commit dbbf742
* Tue Nov 21 2023 vbabka@suse.cz
- kabi: fix of_reserved_mem_* due to struct vm_struct became
  defined (jsc#PED-7167).
- commit fe6e5bb
* Tue Nov 21 2023 vbabka@suse.cz
- kabi: fix struct efi after adding unaccepted memory table
  (jsc#PED-7167).
- commit a7966f7
* Tue Nov 21 2023 vbabka@suse.cz
- kabi: fix struct zone kabi after adding unaccepted_pages and
  NR_UNACCEPTED (jsc#PED-7167).
- commit 8f32293
* Tue Nov 21 2023 vbabka@suse.cz
- efi/unaccepted: Fix soft lockups caused by parallel memory
  acceptance (jsc#PED-7167).
- commit cf31e81
* Tue Nov 21 2023 vbabka@suse.cz
- x86/sev: Change npages to unsigned long in snp_accept_memory()
  (jsc#PED-7167).
- commit b2636f5
* Tue Nov 21 2023 vbabka@suse.cz
- x86/efi: Safely enable unaccepted memory in UEFI (jsc#PED-7167).
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- commit 842a3e8
* Tue Nov 21 2023 vbabka@suse.cz
- x86/sev: Add SNP-specific unaccepted memory support
  (jsc#PED-7167).
- commit a3049b5
* Tue Nov 21 2023 vbabka@suse.cz
- x86/sev: Use large PSC requests if applicable (jsc#PED-7167).
- commit 104c8ad
* Tue Nov 21 2023 vbabka@suse.cz
- x86/sev: Allow for use of the early boot GHCB for PSC requests
  (jsc#PED-7167).
- commit 5770c31
* Tue Nov 21 2023 vbabka@suse.cz
- x86/sev: Put PSC struct on the stack in prep for unaccepted
  memory support (jsc#PED-7167).
- commit 8eef27d
* Tue Nov 21 2023 vbabka@suse.cz
- blacklist.conf: add 6e44bd6d34d6 ("memblock: exclude NOMAP regions from kmemleak")
- commit b227e9c
* Tue Nov 21 2023 vbabka@suse.cz
- of: reserved_mem: Have kmemleak ignore dynamically allocated
  reserved mem (jsc#PED-7167).
- commit 9853ac7
* Tue Nov 21 2023 vbabka@suse.cz
- KVM: arm64: Prevent kmemleak from accessing pKVM memory
  (jsc#PED-7167).
- commit 4aa43c4
* Tue Nov 21 2023 vbabka@suse.cz
- memblock: exclude MEMBLOCK_NOMAP regions from kmemleak
  (jsc#PED-7167).
- commit 14a2dde
* Tue Nov 21 2023 vbabka@suse.cz
- arm64: kdump: Skip kmemleak scan reserved memory for kdump
  (jsc#PED-7167).
- commit 76942c6
* Tue Nov 21 2023 vbabka@suse.cz
- blacklist.conf: add 4b2d63123693 ("memblock tests: Fix compilation errors.")
- commit 6d0fe82
* Tue Nov 21 2023 vbabka@suse.cz
- x86/tdx: Add unaccepted memory support (jsc#PED-7167).
- Update config files.
- commit a3311d5
* Tue Nov 21 2023 vbabka@suse.cz
- x86/tdx: Refactor try_accept_one() (jsc#PED-7167).
- commit b77010b
* Tue Nov 21 2023 vbabka@suse.cz
- x86/tdx: Make _tdx_hypercall() and __tdx_module_call() available
  in boot stub (jsc#PED-7167).
- commit b15eddb
* Tue Nov 21 2023 vbabka@suse.cz
- efi/unaccepted: Make sure unaccepted table is mapped
  (jsc#PED-7167).
- commit 4bc63d7
* Tue Nov 21 2023 vbabka@suse.cz
- efi/unaccepted: Use ACPI reclaim memory for unaccepted memory
  table (jsc#PED-7167).
- commit 810861b
* Tue Nov 21 2023 vbabka@suse.cz
- efi/unaccepted: Avoid load_unaligned_zeropad() stepping into
  unaccepted memory (jsc#PED-7167).
- commit 4372853
* Tue Nov 21 2023 vbabka@suse.cz
- efi: Add unaccepted memory support (jsc#PED-7167).
- commit 7218cd0
* Tue Nov 21 2023 vbabka@suse.cz
- x86/boot/compressed: Handle unaccepted memory (jsc#PED-7167).
- commit 8c5c7e3
* Tue Nov 21 2023 vbabka@suse.cz
- efi/libstub: Implement support for unaccepted memory
  (jsc#PED-7167).
- commit 4812a6a
* Tue Nov 21 2023 vbabka@suse.cz
- efi/x86: Get full memory map in allocate_e820() (jsc#PED-7167).
- commit fd7ea55
* Tue Nov 21 2023 vbabka@suse.cz
- efi: libstub: install boot-time memory map as config table
  (jsc#PED-7167).
- commit fab7632
* Tue Nov 21 2023 vbabka@suse.cz
- efi: libstub: remove DT dependency from generic stub
  (jsc#PED-7167).
- commit 1e716b4
* Tue Nov 21 2023 vbabka@suse.cz
- efi: libstub: unify initrd loading between architectures
  (jsc#PED-7167).
- commit 0a898aa
* Tue Nov 21 2023 vbabka@suse.cz
- efi: libstub: remove pointless goto kludge (jsc#PED-7167).
- commit f90bf10
* Tue Nov 21 2023 vbabka@suse.cz
- efi: libstub: simplify efi_get_memory_map() and struct
  efi_boot_memmap (jsc#PED-7167).
- commit 14d3065
* Tue Nov 21 2023 vbabka@suse.cz
- efi: libstub: avoid efi_get_memory_map() for allocating the
  virt map (jsc#PED-7167).
- commit 1df263c
* Tue Nov 21 2023 vbabka@suse.cz
- mm: Add support for unaccepted memory (jsc#PED-7167).
- commit 5e3914d
* Tue Nov 21 2023 vbabka@suse.cz
- mm/page_alloc: make deferred page init free pages in MAX_ORDER
  blocks (jsc#PED-7167).
- commit ce243bd
* Tue Nov 21 2023 vbabka@suse.cz
- mm: avoid passing 0 to __ffs() (jsc#PED-7167).
- commit ca83709
* Tue Nov 21 2023 vbabka@suse.cz
- iommu: fix MAX_ORDER usage in __iommu_dma_alloc_pages()
  (jsc#PED-7167).
- commit d4bb3e5
* Tue Nov 21 2023 vbabka@suse.cz
- mm/slub: fix MAX_ORDER usage in calculate_order()
  (jsc#PED-7167).
- commit f199973
* Tue Nov 21 2023 vbabka@suse.cz
- perf/core: fix MAX_ORDER usage in rb_alloc_aux_page()
  (jsc#PED-7167).
- commit 1c4ddf4
* Tue Nov 21 2023 vbabka@suse.cz
- genwqe: fix MAX_ORDER usage (jsc#PED-7167).
- commit 98051ee
* Tue Nov 21 2023 vbabka@suse.cz
- drm/i915: fix MAX_ORDER usage in
  i915_gem_object_get_pages_internal() (jsc#PED-7167).
- commit 1ff66ad
* Tue Nov 21 2023 vbabka@suse.cz
- floppy: fix MAX_ORDER usage (jsc#PED-7167).
- commit 3c63eb0
* Tue Nov 21 2023 vbabka@suse.cz
- x86/boot: Centralize __pa()/__va() definitions (jsc#PED-7167).
- Refresh
  patches.suse/0002-x86-sev-Check-IOBM-for-IOIO-exceptions-from-user-spa.patch.
- Refresh
  patches.suse/0003-x86-sev-Check-for-user-space-IOIO-pointing-to-kernel.patch.
- commit c3b36f2
* Tue Nov 21 2023 vbabka@suse.cz
- x86/tdx: Disable NOTIFY_ENABLES (jsc#PED-7167).
- commit 2aeea07
* Tue Nov 21 2023 vbabka@suse.cz
- x86/tdx: Relax SEPT_VE_DISABLE check for debug TD
  (jsc#PED-7167).
- commit 3d9e571
* Tue Nov 21 2023 vbabka@suse.cz
- x86/tdx: Use ReportFatalError to report missing SEPT_VE_DISABLE
  (jsc#PED-7167).
- commit d0a8a35
* Tue Nov 21 2023 vbabka@suse.cz
- mm: add pageblock_aligned() macro (jsc#PED-7167).
- commit 9dd19b0
* Tue Nov 21 2023 vbabka@suse.cz
- mm: add pageblock_align() macro (jsc#PED-7167).
- commit 9688763
* Tue Nov 21 2023 vbabka@suse.cz
- mm: reuse pageblock_start/end_pfn() macro (jsc#PED-7167).
- commit fb0ec58
* Tue Nov 21 2023 vbabka@suse.cz
- mm: Add PAGE_ALIGN_DOWN macro (jsc#PED-7167).
- commit af088ce
* Tue Nov 21 2023 vbabka@suse.cz
- x86/boot: Add an efi.h header for the decompressor
  (jsc#PED-7167).
- Refresh patches.suse/x86-Consolidate-port-I-O-helpers.patch.
- Refresh
  patches.suse/x86-boot-Port-I-O-Allow-to-hook-up-alternative-helpe.patch.
- commit 65acde5
* Tue Nov 21 2023 vbabka@suse.cz
- bitmap: unify find_bit operations (jsc#PED-7167).
- commit 472f1ed
* Tue Nov 21 2023 vbabka@suse.cz
- memblock: make memblock_find_in_range method private
  (jsc#PED-7167).
- commit 36da562
* Tue Nov 21 2023 tiwai@suse.de
- drm/msm/dsi: free TX buffer in unbind (git-fixes).
- drm/msm/dsi: use msm_gem_kernel_put to free TX buffer
  (git-fixes).
- drm: mediatek: mtk_dsi: Fix NO_EOT_PACKET settings/handling
  (git-fixes).
- drm/amd/display: Refactor dm_get_plane_scale helper (git-fixes).
- gpu: host1x: Correct allocated size for contexts (git-fixes).
- drm/bridge: tc358768: Fix tc358768_ns_to_cnt() (git-fixes).
- drm/bridge: tc358768: Clean up clock period code (git-fixes).
- drm/bridge: tc358768: Rename dsibclk to hsbyteclk (git-fixes).
- drm/bridge: tc358768: Use dev for dbg prints, not priv->dev
  (git-fixes).
- drm/bridge: tc358768: Print logical values, not raw register
  values (git-fixes).
- drm/bridge: tc358768: Use struct videomode (git-fixes).
- drm: bridge: it66121: Fix invalid connector dereference
  (git-fixes).
- wifi: ath11k: fix gtk offload status event locking (git-fixes).
- drm/bridge: tc358768: remove unused variable (git-fixes).
- commit a80fae6
* Tue Nov 21 2023 tiwai@suse.de
- fbdev: imsttfb: fix double free in probe() (git-fixes).
- fbdev: imsttfb: Release framebuffer and dealloc cmap on error
  path (git-fixes).
- commit 04adf1c
* Tue Nov 21 2023 tiwai@suse.de
- drm/bridge: lt8912b: Switch to devm MIPI-DSI helpers
  (git-fixes).
- Refresh
  patches.suse/drm-bridge-lt8912b-Add-hot-plug-detection.patch.
- commit 44c514b
* Tue Nov 21 2023 tiwai@suse.de
- drm/bridge: tc358768: Disable non-continuous clock mode
  (git-fixes).
- Refresh
  patches.suse/drm-bridge-tc358768-always-enable-HS-video-mode.patch.
- Refresh
  patches.suse/drm-bridge-tc358768-fix-TCLK_TRAILCNT-computation.patch.
- commit 1bb57d4
* Tue Nov 21 2023 tiwai@suse.de
- platform/x86: wmi: remove unnecessary initializations
  (git-fixes).
- Refresh
  patches.suse/platform-x86-wmi-use-bool-instead-of-int.patch.
- commit 9e3bd62
* Tue Nov 21 2023 tiwai@suse.de
- fbdev: imsttfb: fix a resource leak in probe (git-fixes).
- Fix termination state for idr_for_each_entry_ul() (git-fixes).
- crypto: caam/jr - fix Chacha20 + Poly1305 self test failure
  (git-fixes).
- crypto: caam/qi2 - fix Chacha20 + Poly1305 self test failure
  (git-fixes).
- crypto: hisilicon/hpre - Fix a erroneous check after snprintf()
  (git-fixes).
- HID: logitech-hidpp: Move get_wireless_feature_index() check
  to hidpp_connect_event() (git-fixes).
- HID: logitech-hidpp: Revert "Don't restart communication if
  not necessary" (git-fixes).
- HID: logitech-hidpp: Don't restart IO, instead defer
  hid_connect() only (git-fixes).
- drm/bridge: lt9611uxc: fix the race in the error path
  (git-fixes).
- drm/amdkfd: fix some race conditions in vram buffer alloc/free
  of svm code (git-fixes).
- drm/bridge: tc358768: Fix bit updates (git-fixes).
- drm/bridge: lt8912b: Manually disable HPD only if it was enabled
  (git-fixes).
- drm/bridge: lt8912b: Fix crash on bridge detach (git-fixes).
- drm/bridge: lt8912b: Fix bridge_detach (git-fixes).
- clk: ti: fix double free in of_ti_divider_clk_setup()
  (git-fixes).
- platform/x86: wmi: Fix opening of char device (git-fixes).
- wifi: iwlwifi: pcie: synchronize IRQs before NAPI (git-fixes).
- fbdev: imsttfb: Fix error path of imsttfb_probe() (git-fixes).
- wifi: iwlwifi: call napi_synchronize() before freeing rx/tx
  queues (git-fixes).
- HID: logitech-hidpp: Remove HIDPP_QUIRK_NO_HIDINPUT quirk
  (git-fixes).
- wifi: ath11k: debugfs: fix to work with multiple PCI devices
  (git-fixes).
- clk: ti: change ti_clk_register[_omap_hw]() API (git-fixes).
- mt76: dma: use kzalloc instead of devm_kzalloc for txwi
  (git-fixes).
- clk: ti: Update component clocks to use ti_dt_clk_name()
  (git-fixes).
- clk: ti: Update pll and clockdomain clocks to use
  ti_dt_clk_name() (git-fixes).
- clk: ti: Add ti_dt_clk_name() helper to use clock-output-names
  (git-fixes).
- drm/bridge: lt9611uxc: Register and attach our DSI device at
  probe (git-fixes).
- drm/bridge: lt9611uxc: Switch to devm MIPI-DSI helpers
  (git-fixes).
- drm/bridge: lt8912b: Register and attach our DSI device at probe
  (git-fixes).
- drm/mipi-dsi: Create devm device attachment (git-fixes).
- drm/mipi-dsi: Create devm device registration (git-fixes).
- commit ff3b9ac
* Mon Nov 20 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirks for ASUS 2024 Zenbooks
  (git-fixes).
- ALSA: hda: ASUS UM5302LA: Added quirks for cs35L41/10431A83
  on i2c bus (git-fixes).
- ALSA: hda/realtek: Add support dual speaker for Dell
  (git-fixes).
- ALSA: hda/realtek - ALC287 Realtek I2S speaker platform support
  (git-fixes).
- commit 162ac9b
* Sat Nov 18 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirks for HP Laptops (git-fixes).
- ALSA: hda/realtek: Enable Mute LED on HP 255 G10 (git-fixes).
- ALSA: hda/realtek - Enable internal speaker of ASUS K6500ZC
  (git-fixes).
- ALSA: hda/realtek: Enable Mute LED on HP 255 G8 (git-fixes).
- ALSA: hda/realtek - Add Dell ALC295 to pin fall back table
  (git-fixes).
- commit fe6b179
* Fri Nov 17 2023 tiwai@suse.de
- drm/amdgpu: Remove unnecessary domain argument (git-fixes).
- drm/amdgpu: skip vram reserve on firmware_v2_2 for bare-metal
  (bsc#1215802).
- drm/amdgpu: add drv_vram_usage_va for virt data exchange
  (bsc#1215802).
- drm/amdgpu: add vram reservation based on
  vram_usagebyfirmware_v2_2 (git-fixes).
- commit bcdadce
* Fri Nov 17 2023 tiwai@suse.de
- blacklist.conf: drop AMDGPU commits to be re-backported (bsc#1215802)
- commit 3dc6ba3
* Thu Nov 16 2023 mhocko@suse.com
- Update
  patches.suse/vringh-don-t-use-vringh_kiov_advance-in-vringh_iov_x.patch
  (git-fixes, bsc#1215710, CVE-2023-5158).
- commit aba4986
* Thu Nov 16 2023 mfranc@suse.cz
- s390/crashdump: fix TOD programmable field size (git-fixes
  bsc#1217205).
- commit 4fa67bc
* Wed Nov 15 2023 oneukum@suse.com
- USB: dwc2: write HCINT with INTMASK applied (bsc#1214286).
- commit 705073c
* Wed Nov 15 2023 mfranc@suse.cz
- s390/pkey: fix/harmonize internal keyblob headers (git-fixes
  bsc#1217200).
- commit 1330336
* Wed Nov 15 2023 aabdallah@suse.de
- net: fix use-after-free in tw_timer_handler (bsc#1217195).
- commit 797642c
* Wed Nov 15 2023 mfranc@suse.cz
- Update metadata
  patches.suse/s390-ipl-add-missing-secure-has_secure-file-to-ipl-type-unknown.patch
  (bsc#1214976 git-fixes).
- commit f7140ce
* Wed Nov 15 2023 mfranc@suse.cz
- s390/ipl: add missing secure/has_secure file to ipl type
  'unknown' (bsc#1214976 git-fixes).
- commit 293b1d2
* Wed Nov 15 2023 ohering@suse.de
- hv_netvsc: fix netvsc_send_completion to avoid multiple message
  length checks (git-fixes).
- commit e571a42
* Tue Nov 14 2023 tbogendoerfer@suse.de
- blacklist.conf: fix for only partially backported commit
- commit f8344aa
* Tue Nov 14 2023 tbogendoerfer@suse.de
- idpf: add SRIOV support and other ndo_ops (bsc#1215458).
- Update config files.
- supported.conf: marked idpf supported
- commit 8518538
* Tue Nov 14 2023 tbogendoerfer@suse.de
- idpf: fix potential use-after-free in idpf_tso() (bsc#1215458).
- PCI: Disable ATS for specific Intel IPU E2000 devices
  (bsc#1215458).
- PCI: Extract ATS disabling to a helper function (bsc#1215458).
- idpf: cancel mailbox work in error path (bsc#1215458).
- idpf: set scheduling mode for completion queue (bsc#1215458).
- idpf: add ethtool callbacks (bsc#1215458).
- idpf: add singleq start_xmit and napi poll (bsc#1215458).
- idpf: add RX splitq napi poll support (bsc#1215458).
- idpf: add TX splitq napi poll support (bsc#1215458).
- idpf: add splitq start_xmit (bsc#1215458).
- idpf: initialize interrupts and enable vport (bsc#1215458).
- idpf: configure resources for RX queues (bsc#1215458).
- idpf: configure resources for TX queues (bsc#1215458).
- idpf: add ptypes and MAC filter support (bsc#1215458).
- idpf: add create vport and netdev configuration (bsc#1215458).
- idpf: add core init and interrupt request (bsc#1215458).
- idpf: add controlq init and reset checks (bsc#1215458).
- idpf: add module register and probe functionality (bsc#1215458).
- virtchnl: add virtchnl version 2 ops (bsc#1215458).
- net: add macro netif_subqueue_completed_wake (bsc#1215458).
- net: piggy back on the memory barrier in bql when waking queues
  (bsc#1215458).
- net: provide macros for commonly copied lockless queue stop/wake
  code (bsc#1215458).
- docs: net: use C syntax highlight in driver.rst (bsc#1215458).
- docs: net: move the probe and open/close sections of driver.rst
  up (bsc#1215458).
- docs: net: reformat driver.rst from a list to sections
  (bsc#1215458).
- Documentation: networking: correct possessive "its"
  (bsc#1215458).
- commit 0dd7c0b
* Tue Nov 14 2023 mkoutny@suse.com
- blacklist.conf: Add 2ef269ef1ac0 cgroup/cpuset: Free DL BW in case can_attach() fails
- commit 635fb82
* Tue Nov 14 2023 tonyj@suse.de
- powerpc/perf/hv-24x7: Update domain value check (bsc#1215931).
- commit 8a4e21a
* Tue Nov 14 2023 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.2.0.15 (bsc#1217124).
- scsi: lpfc: Introduce LOG_NODE_VERBOSE messaging flag
  (bsc#1217124).
- scsi: lpfc: Validate ELS LS_ACC completion payload
  (bsc#1217124).
- scsi: lpfc: Reject received PRLIs with only initiator fcn role
  for NPIV ports (bsc#1217124).
- scsi: lpfc: Treat IOERR_SLI_DOWN I/O completion status the
  same as pci offline (bsc#1217124).
- scsi: lpfc: Remove unnecessary zero return code assignment in
  lpfc_sli4_hba_setup (bsc#1217124).
- commit 36a063a
* Tue Nov 14 2023 dwagner@suse.de
- scsi: qla2xxx: Use FIELD_GET() to extract PCIe capability fields
  (git-fixes).
- scsi: qla2xxx: Fix double free of dsd_list during driver load
  (git-fixes).
- commit 7802965
* Tue Nov 14 2023 iivanov@suse.de
- arm64: armv8_deprecated: fix unused-function error (git-fixes)
- commit 8a9ffd3
* Tue Nov 14 2023 iivanov@suse.de
- arm64: Add Cortex-A520 CPU part definition (git-fixes)
- commit ec1fe6f
* Tue Nov 14 2023 iivanov@suse.de
- arm64: armv8_deprecated: rework deprected instruction handling (git-fixes)
- commit bff85fe
* Tue Nov 14 2023 iivanov@suse.de
- arm64: armv8_deprecated: move aarch32 helper earlier (git-fixes)
- commit 5802265
* Tue Nov 14 2023 iivanov@suse.de
- arm64: armv8_deprecated move emulation functions (git-fixes)
- commit cb05023
* Tue Nov 14 2023 iivanov@suse.de
- arm64: armv8_deprecated: fold ops into insn_emulation (git-fixes)
- commit 3a9b307
* Tue Nov 14 2023 iivanov@suse.de
- arm64: rework EL0 MRS emulation (git-fixes)
- commit 9ce6c60
* Tue Nov 14 2023 iivanov@suse.de
- arm64: factor insn read out of call_undef_hook() (git-fixes)
- commit 6831136
* Tue Nov 14 2023 iivanov@suse.de
- arm64: factor out EL1 SSBS emulation hook (git-fixes)
- commit c8a644d
* Tue Nov 14 2023 iivanov@suse.de
- arm64: split EL0/EL1 UNDEF handlers (git-fixes)
- commit de48edd
* Tue Nov 14 2023 iivanov@suse.de
- arm64: allow kprobes on EL0 handlers (git-fixes)
- commit c9ac567
* Tue Nov 14 2023 iivanov@suse.de
- arm64: rework BTI exception handling (git-fixes)
- commit f21a31f
* Tue Nov 14 2023 iivanov@suse.de
- arm64: rework FPAC exception handling (git-fixes)
- commit da959d5
* Tue Nov 14 2023 iivanov@suse.de
- arm64: consistently pass ESR_ELx to die() (git-fixes)
- commit b804637
* Tue Nov 14 2023 iivanov@suse.de
- arm64: die(): pass 'err' as long (git-fixes)
- commit bac59fc
* Tue Nov 14 2023 iivanov@suse.de
- arm64: report EL1 UNDEFs better (git-fixes)
- commit 0e93130
* Mon Nov 13 2023 dwagner@suse.de
- nvme: update firmware version after commit (bsc#1215292).
- commit 1d3b546
* Mon Nov 13 2023 schwab@suse.de
- rpm/check-for-config-changes: add HAVE_SHADOW_CALL_STACK to IGNORED_CONFIGS_RE
  Not supported by our compiler.
- commit eb32b5a
* Mon Nov 13 2023 mfranc@suse.cz
- s390/cmma: fix handling of swapper_pg_dir and invalid_pg_dir
  (LTC#203997 bsc#1217086).
- commit 651d5ec
* Mon Nov 13 2023 mfranc@suse.cz
- s390/cmma: fix detection of DAT pages (LTC#203997 bsc#1217086).
- commit aa2ec99
* Mon Nov 13 2023 mfranc@suse.cz
- s390/mm: add missing arch_set_page_dat() call to gmap
  allocations (LTC#203997 bsc#1217086).
- commit b3d336b
* Mon Nov 13 2023 mfranc@suse.cz
- s390/mm: add missing arch_set_page_dat() call to
  vmem_crst_alloc() (LTC#203997 bsc#1217086).
- commit f15e0fe
* Mon Nov 13 2023 mfranc@suse.cz
- s390/cmma: fix initial kernel address space page table walk
  (LTC#203997 bsc#1217086).
- commit d8f4afa
* Mon Nov 13 2023 tiwai@suse.de
- net: Avoid address overwrite in kernel_connect (bsc#1216861).
- commit 39cb2fd
* Mon Nov 13 2023 tbogendoerfer@suse.de
- igb: set max size RX buffer when store bad packet is enabled
  (bsc#1216259 CVE-2023-45871).
- commit 15c91c9
* Sun Nov 12 2023 tiwai@suse.de
- fbdev: fsl-diu-fb: mark wr_reg_wa() static (git-fixes).
- fbdev: omapfb: Drop unused remove function (git-fixes).
- drm/syncobj: fix DRM_SYNCOBJ_WAIT_FLAGS_WAIT_AVAILABLE
  (git-fixes).
- drm/i915: Fix potential spectre vulnerability (git-fixes).
- i915/perf: Fix NULL deref bugs with drm_dbg() calls (git-fixes).
- ALSA: info: Fix potential deadlock at disconnection (git-fixes).
- ASoC: hdmi-codec: register hpd callback on component probe
  (git-fixes).
- spi: spi-zynq-qspi: add spi-mem to driver kconfig dependencies
  (git-fixes).
- Revert "mmc: core: Capture correct oemid-bits for eMMC cards"
  (git-fixes).
- mmc: vub300: fix an error code (git-fixes).
- mmc: sdhci_am654: fix start loop index for TAP value parsing
  (git-fixes).
- lsm: fix default return value for inode_getsecctx (git-fixes).
- lsm: fix default return value for vm_enough_memory (git-fixes).
- Input: synaptics-rmi4 - fix use after free in
  rmi_unregister_function() (git-fixes).
- i2c: iproc: handle invalid slave state (git-fixes).
- pwm: brcmstb: Utilize appropriate clock APIs in suspend/resume
  (git-fixes).
- pwm: sti: Reduce number of allocations and drop usage of
  chip_data (git-fixes).
- can: isotp: isotp_sendmsg(): fix TX state detection and wait
  behavior (git-fixes).
- commit ba5a839
* Fri Nov 10 2023 tonyj@suse.de
- perf/core: Fix potential NULL deref (bsc#1216584 CVE-2023-5717).
- commit 90eeaff
* Fri Nov 10 2023 tonyj@suse.de
- perf: Disallow mis-matched inherited group reads (bsc#1216584 CVE-2023-5717).
  Implement KABI fix for above
- commit 6ca2dbc
* Fri Nov 10 2023 tiwai@suse.de
- Update patch reference for QXL fix (CVE-2023-39198 bsc#1216965)
- commit d6014b6
* Fri Nov 10 2023 jack@suse.cz
- Add tag to
  patches.suse/RDMA-irdma-Prevent-zero-length-STAG-registration.patch
  (git-fixes CVE-2023-25775).
- commit 3c6e962
* Thu Nov  9 2023 tiwai@suse.de
- Update ath11k hibernation fix patch set (bsc#1207948)
  Refreshed patches from the latest subsystem tree
- commit dc70c11
* Thu Nov  9 2023 tiwai@suse.de
- ALSA: usb-audio: add quirk flag to enable native DSD for
  McIntosh devices (git-fixes).
- drm/ttm: Reorder sys manager cleanup step (git-fixes).
- drm/amdgpu: Reserve fences for VM update (git-fixes).
- fbdev: uvesafb: Call cn_del_callback() at the end of
  uvesafb_exit() (git-fixes).
- fbdev: atyfb: only use ioremap_uc() on i386 and ia64
  (git-fixes).
- commit 74d9c92
* Thu Nov  9 2023 tiwai@suse.de
- can: isotp: fix race between isotp_sendsmg() and isotp_release()
  (git-fixes).
- Refresh
  patches.suse/can-isotp-isotp_sendmsg-fix-return-error-fix-on-TX-p.patch.
- commit b988ee1
* Thu Nov  9 2023 tiwai@suse.de
- can: isotp: split tx timer into transmission and timeout
  (git-fixes).
- commit 65b452a
* Thu Nov  9 2023 tiwai@suse.de
- can: isotp: fix tx state handling for echo tx processing
  (git-fixes).
- commit 9db78d6
* Thu Nov  9 2023 tiwai@suse.de
- can: isotp: add local echo tx processing for consecutive frames
  (git-fixes).
- Refresh
  patches.suse/can-isotp-set-default-value-for-N_As-to-50-micro-sec.patch.
- commit 6c424b2
* Thu Nov  9 2023 tiwai@suse.de
- usb: storage: set 1.50 as the lower bcdDevice for older "Super
  Top" compatibility (git-fixes).
- tty: 8250: Add support for Intashield IX cards (git-fixes).
- tty: 8250: Add support for additional Brainboxes PX cards
  (git-fixes).
- tty: 8250: Add support for Intashield IS-100 (git-fixes).
- tty: 8250: Add support for Brainboxes UP cards (git-fixes).
- tty: 8250: Add support for additional Brainboxes UC cards
  (git-fixes).
- ALSA: hda: intel-dsp-config: Fix JSL Chromebook quirk detection
  (git-fixes).
- PCI: Prevent xHCI driver from claiming AMD VanGogh USB3 DRD
  device (git-fixes).
- clk: Sanitize possible_parent_show to Handle Return Value of
  of_clk_get_parent_name (git-fixes).
- r8152: Check for unplug in r8153b_ups_en() / r8153c_ups_en()
  (git-fixes).
- r8152: Check for unplug in rtl_phy_patch_request() (git-fixes).
- ASoC: rt5650: fix the wrong result of key button (git-fixes).
- Input: synaptics-rmi4 - handle reset delay when using SMBus
  trsnsport (git-fixes).
- dmaengine: ste_dma40: Fix PM disable depth imbalance in
  d40_probe (git-fixes).
- irqchip/stm32-exti: add missing DT IRQ flag translation
  (git-fixes).
- ASoC: simple-card: fixup asoc_simple_probe() error handling
  (git-fixes).
- can: isotp: handle wait_event_interruptible() return values
  (git-fixes).
- can: isotp: isotp_bind(): return -EINVAL on incorrect CAN ID
  formatting (git-fixes).
- can: isotp: remove re-binding of bound socket (git-fixes).
- can: isotp: sanitize CAN ID checks in isotp_bind() (git-fixes).
- can: isotp: set max PDU size to 64 kByte (git-fixes).
- commit d668003
* Wed Nov  8 2023 tiwai@suse.de
- regmap: prevent noinc writes from clobbering cache (git-fixes).
- pcmcia: ds: fix possible name leak in error path in
  pcmcia_device_add() (git-fixes).
- pcmcia: ds: fix refcount leak in pcmcia_device_add()
  (git-fixes).
- pcmcia: cs: fix possible hung task and memory leak pccardd()
  (git-fixes).
- commit afd2c59
* Tue Nov  7 2023 tiwai@suse.de
- media: venus: hfi_parser: Add check to keep the number of
  codecs within range (git-fixes).
- media: venus: hfi: add checks to handle capabilities from
  firmware (git-fixes).
- media: venus: hfi: fix the check to handle session buffer
  requirement (git-fixes).
- media: venus: hfi: add checks to perform sanity on queue
  pointers (git-fixes).
- media: siano: Drop unnecessary error check for
  debugfs_create_dir/file() (git-fixes).
- staging: media: ipu3: remove ftrace-like logging (git-fixes).
- media: lirc: drop trailing space from scancode transmit
  (git-fixes).
- media: sharp: fix sharp encoding (git-fixes).
- media: ccs: Correctly initialise try compose rectangle
  (git-fixes).
- media: cedrus: Fix clock/reset sequence (git-fixes).
- media: vidtv: mux: Add check and kfree for kstrdup (git-fixes).
- media: vidtv: psi: Add check for kstrdup (git-fixes).
- media: bttv: fix use after free error due to btv->timeout timer
  (git-fixes).
- media: i2c: max9286: Fix some redundant of_node_put() calls
  (git-fixes).
- media: qcom: camss: Fix missing vfe_lite clocks check
  (git-fixes).
- media: qcom: camss: Fix VFE-17x vfe_disable_output()
  (git-fixes).
- media: qcom: camss: Fix vfe_get() error jump (git-fixes).
- media: qcom: camss: Fix pm_domain_on sequence in probe
  (git-fixes).
- commit b662ba0
* Tue Nov  7 2023 tabraham@suse.com
- xfs: can't use kmem_zalloc() for attribute buffers
  (bsc#1216909).
- commit 112e50a
* Tue Nov  7 2023 tabraham@suse.com
- xfs: can't use kmem_zalloc() for attribute buffers
  (bsc#1216909).
- commit 02f7309
* Tue Nov  7 2023 lhenriques@suse.de
- NFS: Fix access to page->mapping (bsc#1216788).
- commit ad24095
* Mon Nov  6 2023 tiwai@suse.de
- Revert AMDGPU patches that caused a regression (bsc#1215802)
  Deleted:
  patches.suse/drm-amdgpu-Remove-unnecessary-domain-argument.patch
  patches.suse/drm-amdgpu-add-vram-reservation-based-on-vram_usageb.patch
- commit 7bd1588
* Sun Nov  5 2023 tiwai@suse.de
- i3c: master: svc: fix SDA keep low when polling IBIWON timeout
  happen (git-fixes).
- i3c: master: svc: fix check wrong status register in irq handler
  (git-fixes).
- i3c: master: svc: fix ibi may not return mandatory data byte
  (git-fixes).
- i3c: master: svc: fix wrong data return when IBI happen during
  start frame (git-fixes).
- i3c: master: svc: fix race condition in ibi work thread
  (git-fixes).
- i3c: Fix potential refcount leak in
  i3c_master_register_new_i3c_devs (git-fixes).
- i3c: master: cdns: Fix reading status register (git-fixes).
- mtd: rawnand: arasan: Include ECC syndrome along with in-band
  data while checking for ECC failure (git-fixes).
- modpost: fix tee MODULE_DEVICE_TABLE built on big-endian host
  (git-fixes).
- dmaengine: stm32-mdma: correct desc prep when channel running
  (git-fixes).
- dmaengine: pxa_dma: Remove an erroneous BUG_ON() in
  pxad_free_desc() (git-fixes).
- dmaengine: ti: edma: handle irq_of_parse_and_map() errors
  (git-fixes).
- usb: raw-gadget: properly handle interrupted requests
  (git-fixes).
- usb: typec: tcpm: Fix NULL pointer dereference in tcpm_pd_svdm()
  (git-fixes).
- xhci: Loosen RPM as default policy to cover for AMD xHC 1.1
  (git-fixes).
- USB: usbip: fix stub_dev hub disconnect (git-fixes).
- usb: chipidea: Simplify Tegra DMA alignment code (git-fixes).
- usb: chipidea: Fix DMA overwrite for Tegra (git-fixes).
- usb: dwc2: fix possible NULL pointer dereference caused by
  driver concurrency (git-fixes).
- tty: n_gsm: fix race condition in status line change on dead
  connections (git-fixes).
- tty: 8250: Add Brainboxes Oxford Semiconductor-based quirks
  (git-fixes).
- tty: 8250: Fix up PX-803/PX-857 (git-fixes).
- tty: 8250: Fix port count of PX-257 (git-fixes).
- tty: 8250: Remove UC-257 and UC-431 (git-fixes).
- tty/sysrq: replace smp_processor_id() with get_cpu()
  (git-fixes).
- serial: exar: Revert "serial: exar: Add support for Sealevel
  7xxxC serial cards" (git-fixes).
- tty: tty_jobctrl: fix pid memleak in disassociate_ctty()
  (git-fixes).
- seq_buf: fix a misleading comment (git-fixes).
- commit 9eaffc2
* Fri Nov  3 2023 tiwai@suse.de
- ASoC: SOF: core: Ensure sof_ops_free() is still called when
  probe never ran (git-fixes).
- PCI: vmd: Correct PCI Header Type Register's multi-function
  check (git-fixes).
- drm/bridge: lt9611uxc: fix the race in the error path
  (git-fixes).
- commit 1b39932
* Fri Nov  3 2023 vbabka@suse.cz
- mm/hmm: fault non-owner device private entries (bsc#1216844,
  jsc#PED-7237, git-fixes).
- commit 32900e8
* Fri Nov  3 2023 tiwai@suse.de
- ARM: 9321/1: memset: cast the constant byte to unsigned char
  (git-fixes).
- leds: trigger: ledtrig-cpu:: Fix 'output may be truncated'
  issue for 'cpu' (git-fixes).
- leds: pwm: Don't disable the PWM when the LED should be off
  (git-fixes).
- leds: turris-omnia: Do not use SMBUS calls (git-fixes).
- mfd: arizona-spi: Set pdata.hpdet_channel for ACPI enumerated
  devs (git-fixes).
- mfd: dln2: Fix double put in dln2_probe (git-fixes).
- mfd: core: Ensure disabled devices are skipped without aborting
  (git-fixes).
- i2c: core: Run atomic i2c xfer when !preemptible (git-fixes).
- ASoC: Intel: Skylake: Fix mem leak when parsing UUIDs fails
  (git-fixes).
- ASoC: fsl: Fix PM disable depth imbalance in fsl_easrc_probe
  (git-fixes).
- ASoC: ams-delta.c: use component after check (git-fixes).
- ASoC: fsl: mpc5200_dma.c: Fix warning of Function parameter
  or member not described (git-fixes).
- ASoC: codecs: wsa-macro: fix uninitialized stack variables
  with name prefix (git-fixes).
- ALSA: hda: cs35l41: Undo runtime PM changes at driver exit time
  (git-fixes).
- ALSA: hda: cs35l41: Fix unbalanced pm_runtime_get() (git-fixes).
- ASoC: cs35l41: Undo runtime PM changes at driver exit time
  (git-fixes).
- ASoC: cs35l41: Verify PM runtime resume errors in IRQ handler
  (git-fixes).
- hid: cp2112: Fix duplicate workqueue initialization (git-fixes).
- PCI/sysfs: Protect driver's D3cold preference from user space
  (git-fixes).
- PCI: keystone: Don't discard .probe() callback (git-fixes).
- PCI: keystone: Don't discard .remove() callback (git-fixes).
- PCI: exynos: Don't discard .remove() callback (git-fixes).
- PCI/ASPM: Fix L1 substate handling in aspm_attr_store_common()
  (git-fixes).
- commit ee1f9b6
* Thu Nov  2 2023 msuchanek@suse.de
- powerpc/vas: Limit open window failure messages in log bufffer
  (bsc#1216687 ltc#203927).
- commit 46c0aba
* Thu Nov  2 2023 tiwai@suse.de
- selftests/resctrl: Reduce failures due to outliers in MBA/MBM
  tests (git-fixes).
- selftests/resctrl: Ensure the benchmark commands fits to its
  array (git-fixes).
- selftests/pidfd: Fix ksft print formats (git-fixes).
- soc: qcom: llcc: Handle a second device without data corruption
  (git-fixes).
- clk: scmi: Free scmi_clk allocated when the clocks with invalid
  info are skipped (git-fixes).
- mmc: meson-gx: Remove setting of CMD_CFG_ERROR (git-fixes).
- drm/vc4: fix typo (git-fixes).
- drm/rockchip: Fix type promotion bug in rockchip_gem_iommu_map()
  (git-fixes).
- drm/amd/pm: Handle non-terminated overdrive commands
  (git-fixes).
- drm/mediatek: Fix iommu fault during crtc enabling (git-fixes).
- drm/mediatek: Fix iommu fault by swapping FBs after updating
  plane state (git-fixes).
- drm/amd/display: remove useless check in should_enable_fbc()
  (git-fixes).
- drm/radeon: possible buffer overflow (git-fixes).
- drm/rockchip: cdn-dp: Fix some error handling paths in
  cdn_dp_probe() (git-fixes).
- drm/bridge: tc358768: Fix use of uninitialized variable
  (git-fixes).
- drm/bridge: lt8912b: Add missing drm_bridge_attach call
  (git-fixes).
- drm/bridge: Fix kernel-doc typo in desc of output_bus_cfg in
  drm_bridge_state (git-fixes).
- drm/rockchip: vop: Fix call to crtc reset helper (git-fixes).
- drm/rockchip: vop: Fix reset of state in duplicate state crtc
  funcs (git-fixes).
- commit 811f56a
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-freq: Conditionally create attribute
  for read frequency (bsc#1217147).
- commit 6f5022b
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel-uncore-freq: tpmi: Provide cluster level
  control (bsc#1217147).
- commit 80ccc79
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel-uncore-freq: Uncore frequency control via
  TPMI (bsc#1217147).
- commit fbe3b66
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel-uncore-freq: Return error on write frequency
  (bsc#1217147).
- commit 2f8f404
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-freq: Add client processors
  (bsc#1217147).
- commit 6150a61
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-freq: Use sysfs_emit() to instead
  of scnprintf() (bsc#1217147).
- commit 03614e1
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-freq: Prevent driver loading in
  guests (bsc#1217147).
- commit 92fbb85
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-freq: fix uncore_freq_common_init()
  error codes (bsc#1217147).
- commit 419a1eb
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel/uncore-freq: Display uncore current frequency
  (bsc#1217147).
- commit 55dccde
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel/uncore-freq: Use sysfs API to create
  attributes (bsc#1217147).
- commit 692fa76
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-frequency: use default_groups in
  kobj_type (bsc#1217147).
- commit 0f6d491
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel-uncore-freq: Support for cluster level
  controls (bsc#1217147).
- commit cf6238b
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel-uncore-freq: Split common and enumeration
  part (bsc#1217147).
- Refresh
  patches.suse/platform-x86-intel-uncore-freq-add-emerald-rapids-support.patch.
- commit 32ecc8f
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86/intel/uncore-freq: Move to uncore-frequency folder (bsc#1217147).
- Refresh patches.suse/platform-x86-intel-uncore-freq-add-emerald-rapids-support.patch.
- Refresh patches.suse/platform-x86-intel-Intel-TPMI-enumeration-driver.patch.
- commit d9a88ed
* Thu Nov  2 2023 ggherdovich@suse.cz
- platform/x86: intel-uncore-frequency: Move to intel sub-directory (bsc#1217147).
- Refresh patches.suse/platform-x86-intel-Move-intel_pmt-from-MFD-to-Auxili.patch.
- Refresh patches.suse/platform-x86-Add-Intel-Software-Defined-Silicon-driv.patch.
- Refresh patches.suse/platform-x86-intel-uncore-freq-add-emerald-rapids-support.patch.
- commit 63123cb
* Wed Nov  1 2023 tabraham@suse.com
- x86/cpu: Clear SVM feature if disabled by BIOS (bsc#1214700).
- commit ef905d1
* Wed Nov  1 2023 ggherdovich@suse.cz
- platform/x86/intel: tpmi: Fix double free in
  tpmi_create_device() (bsc#1217147).
- commit b426c58
* Wed Nov  1 2023 ggherdovich@suse.cz
- platform/x86/intel/tpmi: Fix double free reported by Smatch
  (bsc#1217147).
- commit 5745347
* Wed Nov  1 2023 tiwai@suse.de
- clk: npcm7xx: Fix incorrect kfree (git-fixes).
- clk: keystone: pll: fix a couple NULL vs IS_ERR() checks
  (git-fixes).
- clk: qcom: ipq6018: drop the CLK_SET_RATE_PARENT flag from
  PLL clocks (git-fixes).
- clk: qcom: config IPQ_APSS_6018 should depend on QCOM_SMEM
  (git-fixes).
- clk: qcom: gcc-sm8150: Fix gcc_sdcc2_apps_clk_src (git-fixes).
- clk: qcom: mmcc-msm8998: Fix the SMMU GDSC (git-fixes).
- clk: qcom: mmcc-msm8998: Don't check halt bit on some branch
  clks (git-fixes).
- clk: qcom: clk-rcg2: Fix clock rate overflow for high parent
  frequencies (git-fixes).
- clk: imx: imx8qxp: Fix elcdif_pll clock (git-fixes).
- clk: imx: imx8mq: correct error handling path (git-fixes).
- clk: imx: Select MXC_CLK for CLK_IMX8QXP (git-fixes).
- clk: mediatek: clk-mt2701: Add check for mtk_alloc_clk_data
  (git-fixes).
- clk: mediatek: clk-mt7629: Add check for mtk_alloc_clk_data
  (git-fixes).
- clk: mediatek: clk-mt7629-eth: Add check for mtk_alloc_clk_data
  (git-fixes).
- clk: mediatek: clk-mt6797: Add check for mtk_alloc_clk_data
  (git-fixes).
- clk: mediatek: clk-mt6779: Add check for mtk_alloc_clk_data
  (git-fixes).
- clk: mediatek: clk-mt6765: Add check for mtk_alloc_clk_data
  (git-fixes).
- platform/x86: wmi: Fix probe failure when failing to register
  WMI devices (git-fixes).
- hwmon: (coretemp) Fix potentially truncated sysfs attribute name
  (git-fixes).
- spi: nxp-fspi: use the correct ioremap function (git-fixes).
- spi: tegra: Fix missing IRQ check in tegra_slink_probe()
  (git-fixes).
- regmap: debugfs: Fix a erroneous check after snprintf()
  (git-fixes).
- gpio: mockup: remove unused field (git-fixes).
- gpio: mockup: fix kerneldoc (git-fixes).
- PM: hibernate: Use __get_safe_page() rather than touching the
  list (git-fixes).
- PM / devfreq: rockchip-dfi: Make pmu regmap mandatory
  (git-fixes).
- ACPI: sysfs: Fix create_pnp_modalias() and create_of_modalias()
  (git-fixes).
- ACPI: FPDT: properly handle invalid FPDT subtables (git-fixes).
- thermal: core: prevent potential string overflow (git-fixes).
- wifi: ath11k: fix htt pktlog locking (git-fixes).
- wifi: ath11k: fix dfs radar event locking (git-fixes).
- wifi: ath11k: fix temperature event locking (git-fixes).
- wifi: iwlwifi: empty overflow queue during flush (git-fixes).
- wifi: mt76: mt7603: rework/fix rx pse hang check (git-fixes).
- wifi: rtlwifi: fix EDCA limit set by BT coexistence (git-fixes).
- wifi: rtw88: debug: Fix the NULL vs IS_ERR() bug for
  debugfs_create_file() (git-fixes).
- wifi: iwlwifi: Use FW rate for non-data frames (git-fixes).
- wifi: iwlwifi: honor the enable_ini value (git-fixes).
- wifi: mac80211: fix # of MSDU in A-MSDU calculation (git-fixes).
- can: dev: can_put_echo_skb(): don't crash kernel if
  can_priv::echo_skb is accessed out of bounds (git-fixes).
- can: dev: can_restart(): fix race condition between controller
  restart and netif_carrier_on() (git-fixes).
- can: dev: can_restart(): don't crash kernel if carrier is OK
  (git-fixes).
- can: sja1000: Fix comment (git-fixes).
- drm/gud: Use size_add() in call to struct_size() (git-fixes).
- commit 23d4c08
* Wed Nov  1 2023 jslaby@suse.cz
- rpm/check-for-config-changes: add AS_WRUSS to IGNORED_CONFIGS_RE
  Add AS_WRUSS as an IGNORED_CONFIGS_RE entry in check-for-config-changes
  to fix build on x86_32.
  There was a fix submitted to upstream but it was not accepted:
  https://lore.kernel.org/all/20231031140504.GCZUEJkMPXSrEDh3MA@fat_crate.local/
  So carry this in IGNORED_CONFIGS_RE instead.
- commit 7acca37
* Tue Oct 31 2023 krisman@suse.de
- io_uring/fdinfo: lock SQ thread while retrieving thread cpu/pid
  (bsc#1216693 CVE-2023-46862).
- commit 7e92d76
* Tue Oct 31 2023 krisman@suse.de
- io_uring/fdinfo: lock SQ thread while retrieving thread cpu/pid
  (bsc#1216693 CVE-2023-46862).
- commit 54290b6
* Tue Oct 31 2023 mkoutny@suse.com
- blacklist.conf: Add d243b34459ce kernel/fork: beware of __put_task_struct() calling context
- commit 6b082e7
* Tue Oct 31 2023 mkoutny@suse.com
- net-memcg: Fix scope of sockmem pressure indicators
  (bsc#1216759).
- commit adef0b8
* Tue Oct 31 2023 mkoutny@suse.com
- blacklist.conf: Add dc6e0818bc9a sched/cpuacct: Optimize away RCU read lock
- commit 3d40657
* Tue Oct 31 2023 ohering@suse.de
- fix x86/mm: print the encryption features in hyperv is disabled
- commit 37d6855
* Mon Oct 30 2023 nik.borisov@suse.com
- x86/sev: Use the GHCB protocol when available for SNP CPUID requests (git-fixes).
- commit 589a255
* Mon Oct 30 2023 nik.borisov@suse.com
- x86/sev: Do not try to parse for the CC blob on non-AMD hardware (git-fixes).
- commit 7c87ee0
* Mon Oct 30 2023 nik.borisov@suse.com
- x86: Move gds_ucode_mitigated() declaration to header (git-fixes).
- commit b9734f1
* Mon Oct 30 2023 nik.borisov@suse.com
- x86/fpu: Set X86_FEATURE_OSXSAVE feature after enabling OSXSAVE in CR4 (git-fixes).
- commit 4f89ad9
* Mon Oct 30 2023 nik.borisov@suse.com
- x86/cpu: Fix AMD erratum #1485 on Zen4-based CPUs (git-fixes).
- commit 83c32c0
* Mon Oct 30 2023 nik.borisov@suse.com
- x86/alternative: Add a __alt_reloc_selftest() prototype (git-fixes).
- commit 215ed36
* Mon Oct 30 2023 nik.borisov@suse.com
- x86/sev: Fix calculation of end address based on number of pages (git-fixes).
- commit 4005ffa
* Sun Oct 29 2023 tiwai@suse.de
- drm/amd: Move helper for dynamic speed switch check out of smu13
  (git-fixes).
- Refresh
  patches.suse/drm-amd-Disable-S-G-for-APUs-when-64GB-or-more-host-.patch.
- commit 5a82097
* Sun Oct 29 2023 tiwai@suse.de
- drm/amd: Disable ASPM for VI w/ all Intel systems (git-fixes).
- drm/dp_mst: Fix NULL deref in
  get_mst_branch_device_by_guid_helper() (git-fixes).
- commit 686c756
* Sun Oct 29 2023 tiwai@suse.de
- iio: exynos-adc: request second interupt only when touchscreen
  mode is used (git-fixes).
- iio: adc: xilinx-xadc: Correct temperature offset/scale for
  UltraScale (git-fixes).
- iio: adc: xilinx-xadc: Don't clobber preset voltage/temperature
  thresholds (git-fixes).
- misc: fastrpc: Clean buffers on remote invocation failures
  (git-fixes).
- i2c: stm32f7: Fix PEC handling in case of SMBUS transfers
  (git-fixes).
- i2c: muxes: i2c-mux-gpmux: Use of_get_i2c_adapter_by_node()
  (git-fixes).
- i2c: muxes: i2c-demux-pinctrl: Use of_get_i2c_adapter_by_node()
  (git-fixes).
- i2c: muxes: i2c-mux-pinctrl: Use of_get_i2c_adapter_by_node()
  (git-fixes).
- i2c: aspeed: Fix i2c bus hang in slave read (git-fixes).
- drm/i915/pmu: Check if pmu is closed before stopping event
  (git-fixes).
- firmware/imx-dsp: Fix use_after_free in imx_dsp_setup_channels()
  (git-fixes).
- r8152: Release firmware if we have an error in probe
  (git-fixes).
- r8152: Cancel hw_phy_work if we have an error in probe
  (git-fixes).
- r8152: Run the unload routine if we have errors during probe
  (git-fixes).
- r8152: Increase USB control msg timeout to 5000ms as per spec
  (git-fixes).
- net: usb: smsc95xx: Fix uninit-value access in smsc95xx_read_reg
  (git-fixes).
- net: ieee802154: adf7242: Fix some potential buffer overflow
  in adf7242_stats_show() (git-fixes).
- treewide: Spelling fix in comment (git-fixes).
- commit e69ab42
* Fri Oct 27 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: skip bound chain on rule flush
  (bsc#1215095 CVE-2023-3777).
- commit afb7c25
* Fri Oct 27 2023 spradhan@suse.de
- btrfs: always log symlinks in full mode (bsc#1214840).
- commit 396e138
* Fri Oct 27 2023 vkarasulli@suse.de
- Update
  patches.suse/0001-x86-sev-Disable-MMIO-emulation-from-user-mode.patch
  (bsc#1212649 CVE-2023-46813).
- Update
  patches.suse/0002-x86-sev-Check-IOBM-for-IOIO-exceptions-from-user-spa.patch
  (bsc#1212649 CVE-2023-46813).
- Update
  patches.suse/0003-x86-sev-Check-for-user-space-IOIO-pointing-to-kernel.patch
  (bsc#1212649 CVE-2023-46813).
- commit dd6a315
* Fri Oct 27 2023 neilb@suse.de
- remove unnecessary WARN_ON_ONCE() (bsc#1214823).
- NFSD: Never call nfsd_file_gc() in foreground paths
  (bsc#1215545).
- commit d81dfc3
* Thu Oct 26 2023 spradhan@suse.de
- btrfs: don't start transaction for scrub if the fs is mounted read-only (bsc#1214874).
- commit cc8e6f1
* Thu Oct 26 2023 jack@suse.cz
- quota: Fix slow quotaoff (bsc#1216621).
- commit 988e5f4
* Thu Oct 26 2023 vkarasulli@suse.de
- x86/sev: Check for user-space IOIO pointing to kernel space
  (bsc#1212649).
- commit 816f817
* Thu Oct 26 2023 vkarasulli@suse.de
- x86/sev: Check IOBM for IOIO exceptions from user-space
  (bsc#1212649).
- commit 2b69036
* Thu Oct 26 2023 vkarasulli@suse.de
- x86/sev: Disable MMIO emulation from user mode (bsc#1212649).
- commit 5dae47e
* Thu Oct 26 2023 tiwai@suse.de
- ALSA: hda/realtek - Fixed ASUS platform headset Mic issue
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG GU603ZV (git-fixes).
- ALSA: hda/relatek: Enable Mute LED on HP Laptop 15s-fq5xxx
  (git-fixes).
- drm/mediatek: Correctly free sg_table in gem prime vmap
  (git-fixes).
- drm/amd/pm: add unique_id for gc 11.0.3 (git-fixes).
- commit ad38bcf
* Thu Oct 26 2023 tiwai@suse.de
- phy: mapphone-mdm6600: Fix pinctrl_pm handling for sleep pins
  (git-fixes).
- phy: mapphone-mdm6600: Fix runtime PM for remove (git-fixes).
- phy: mapphone-mdm6600: Fix runtime disable on probe (git-fixes).
- gpio: vf610: set value before the direction to avoid a glitch
  (git-fixes).
- platform/surface: platform_profile: Propagate error if profile
  registration fails (git-fixes).
- platform/x86: asus-wmi: Map 0x2a code, Ignore 0x2b and 0x2c
  events (git-fixes).
- platform/x86: asus-wmi: Change ASUS_WMI_BRN_DOWN code from
  0x20 to 0x2e (git-fixes).
- USB: serial: option: add Fibocom to DELL custom modem FM101R-GL
  (git-fixes).
- USB: serial: option: add entry for Sierra EM9191 with new
  firmware (git-fixes).
- USB: serial: option: add Telit LE910C4-WWX 0x1035 composition
  (git-fixes).
- mmc: core: Capture correct oemid-bits for eMMC cards
  (git-fixes).
- Bluetooth: hci_sock: Correctly bounds check and pad
  HCI_MON_NEW_INDEX name (git-fixes).
- Bluetooth: avoid memcmp() out of bounds warning (git-fixes).
- Bluetooth: hci_sock: fix slab oob read in create_monitor_event
  (git-fixes).
- Bluetooth: hci_event: Fix coding style (git-fixes).
- Bluetooth: Reject connection with the device which has same
  BD_ADDR (git-fixes).
- Bluetooth: vhci: Fix race when opening vhci device (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the Positivo C4128B
  (git-fixes).
- drm: panel-orientation-quirks: Add quirk for One Mix 2S
  (git-fixes).
- HID: multitouch: Add required quirk for Synaptics 0xcd7e device
  (git-fixes).
- HID: holtek: fix slab-out-of-bounds Write in
  holtek_kbd_input_event (git-fixes).
- wifi: cfg80211: avoid leaking stack data into trace (git-fixes).
- wifi: mac80211: allow transmitting EAPOL frames with tainted
  key (git-fixes).
- wifi: cfg80211: Fix 6GHz scan configuration (git-fixes).
- wifi: iwlwifi: Ensure ack flag is properly cleared (git-fixes).
- wifi: mwifiex: Sanity check tlv_len and tlv_bitmap_len
  (git-fixes).
- Bluetooth: Avoid redundant authentication (git-fixes).
- Bluetooth: btusb: add shutdown function for QCA6174 (git-fixes).
- i2c: mux: Avoid potential false error message in
  i2c_mux_add_adapter (git-fixes).
- gpio: timberdale: Fix potential deadlock on &tgpio->lock
  (git-fixes).
- commit b480af6
* Thu Oct 26 2023 ohering@suse.de
- x86/mm: Print the encryption features correctly when a paravisor
  is present (bsc#1206453).
- commit d1a6274
* Tue Oct 24 2023 lduncan@suse.com
- scsi: iscsi_tcp: restrict to TCP sockets (git-fixes).
- scsi: pm8001: Setup IRQs on resume (git-fixes).
- scsi: mpt3sas: Perform additional retries if doorbell read
  returns 0 (git-fixes).
- scsi: fcoe: Fix potential deadlock on &fip->ctlr_lock
  (git-fixes).
- scsi: qedf: Do not touch __user pointer in
  qedf_dbg_fp_int_cmd_read() directly (git-fixes).
- scsi: qedf: Do not touch __user pointer in
  qedf_dbg_debug_cmd_read() directly (git-fixes).
- scsi: qedf: Do not touch __user pointer in
  qedf_dbg_stop_io_on_error_cmd_read() directly (git-fixes).
- scsi: qla4xxx: Add length check when parsing nlattrs
  (git-fixes).
- scsi: be2iscsi: Add length check when parsing nlattrs
  (git-fixes).
- scsi: iscsi: Add strlen() check in iscsi_if_set{_host}_param()
  (git-fixes).
- scsi: iscsi: Add length check for nlattr payload (git-fixes).
- scsi: qedi: Fix potential deadlock on &qedi_percpu->p_work_lock
  (git-fixes).
- scsi: mpi3mr: Propagate sense data for admin queue SCSI I/O
  (git-fixes).
- net: use sk_is_tcp() in more places (git-fixes).
- commit 24cbf21
* Tue Oct 24 2023 lduncan@suse.com
- blacklist.conf: added two commmits that break kabi
- commit fdf2030
* Tue Oct 24 2023 mwilck@suse.com
- nvme-fc: Prevent null pointer dereference in
  nvme_fc_io_getuuid() (bsc#1214842).
- commit 3b513db
* Tue Oct 24 2023 tiwai@suse.de
- ubi: Refuse attaching if mtd's erasesize is 0 (CVE-2023-31085
  bsc#1210778).
- commit 86e05f1
* Tue Oct 24 2023 oneukum@suse.com
- Update
  patches.suse/USB-ene_usb6250-Allocate-enough-memory-for-full-obje.patch
  (bsc#1216051 CVE-2023-45862).
  Retroactively recognized as a security issue
- commit 716929e
* Mon Oct 23 2023 mfranc@suse.cz
- KVM: s390: fix gisa destroy operation might lead to cpu stalls
  (git-fixes bsc#1216512).
- commit 3976fa9
* Mon Oct 23 2023 mfranc@suse.cz
- s390/pci: fix iommu bitmap allocation (git-fixes bsc#1216511).
- commit 2bb6835
* Mon Oct 23 2023 mfranc@suse.cz
- s390/cio: fix a memleak in css_alloc_subchannel (git-fixes
  bsc#1216510).
- commit d475feb
* Sat Oct 21 2023 tiwai@suse.de
- ACPI: irq: Fix incorrect return value in acpi_register_gsi()
  (git-fixes).
- Revert "pinctrl: avoid unsafe code pattern in find_pinctrl()"
  (git-fixes).
- mtd: rawnand: qcom: Unmap the right resource upon probe failure
  (git-fixes).
- mtd: rawnand: pl353: Ensure program page operations are
  successful (git-fixes).
- mtd: rawnand: arasan: Ensure program page operations are
  successful (git-fixes).
- mtd: spinand: micron: correct bitmask for ecc status
  (git-fixes).
- mtd: physmap-core: Restore map_rom fallback (git-fixes).
- mtd: rawnand: marvell: Ensure program page operations are
  successful (git-fixes).
- mmc: mtk-sd: Use readl_poll_timeout_atomic in msdc_reset_hw
  (git-fixes).
- mmc: core: sdio: hold retuning if sdio in 1-bit mode
  (git-fixes).
- ASoC: codecs: wcd938x-sdw: fix runtime PM imbalance on probe
  errors (git-fixes).
- ASoC: codecs: wcd938x-sdw: fix use after free on driver unbind
  (git-fixes).
- ASoC: codecs: wcd938x: fix unbind tear down order (git-fixes).
- ASoC: codecs: wcd938x: drop bogus bind error handling
  (git-fixes).
- ASoC: pxa: fix a memory leak in probe() (git-fixes).
- drm/i915: Retry gtt fault when out of fence registers
  (git-fixes).
- commit 766bf5d
* Fri Oct 20 2023 mwilck@suse.com
- qedf: Wait for stag work during unload (bsc#1214852).
- qedf: Don't process stag work during unload (bsc#1214852).
- scsi: qedf: Remove unused declaration (bsc#1214852).
- scsi: qedf: Remove unused 'num_handled' variable (bsc#1214852).
- scsi: qedf: Remove set but unused variable 'page' (bsc#1214852).
- commit 21e43de
* Fri Oct 20 2023 jwiesner@suse.de
- bonding: Return pointer to data after pull on skb (bsc#1214754).
- commit fbbe7cc
* Fri Oct 20 2023 jwiesner@suse.de
- bonding: do not assume skb mac_header is set (bsc#1214754).
- commit 88b9ad7
* Fri Oct 20 2023 jwiesner@suse.de
- bonding: Fix extraction of ports from the packet headers
  (bsc#1214754).
- commit b871478
* Fri Oct 20 2023 jwiesner@suse.de
- net/sched: fix netdevice reference leaks in
  attach_default_qdiscs() (git-fixes).
- commit 31c27cf
* Fri Oct 20 2023 jwiesner@suse.de
- net: sched: add barrier to fix packet stuck problem for lockless
  qdisc (bsc#1216345).
- commit 508758e
* Fri Oct 20 2023 jwiesner@suse.de
- net: sched: fixed barrier to prevent skbuff sticking in qdisc
  backlog (bsc#1216345).
- commit 839637c
* Fri Oct 20 2023 denis.kirjanov@suse.com
- Fix metadata references
- commit 42e4c9a
* Fri Oct 20 2023 tiwai@suse.de
- usb: hub: Guard against accesses to uninitialized BOS
  descriptors (git-fixes).
- drm/atomic-helper: relax unregistered connector check
  (git-fixes).
- ALSA: usb-audio: Fix microphone sound on Nexigo webcam
  (git-fixes).
- ALSA: hda/realtek - ALC287 merge RTK codec with CS CS35L41 AMP
  (git-fixes).
- ALSA: hda/realtek - Fixed two speaker platform (git-fixes).
- ALSA: hda/realtek - ALC287 I2S speaker platform support
  (git-fixes).
- ALSA: hda: intel-dsp-cfg: add LunarLake support (git-fixes).
- xhci: Keep interrupt disabled in initialization until host is
  running (git-fixes).
- commit ebb1cf8
* Fri Oct 20 2023 tiwai@suse.de
- net: rfkill: gpio: prevent value glitch during probe
  (git-fixes).
- net: usb: smsc95xx: Fix an error code in smsc95xx_reset()
  (git-fixes).
- gve: Do not fully free QPL pages on prefill errors (git-fixes).
- Bluetooth: hci_event: Fix using memcmp when comparing keys
  (git-fixes).
- Bluetooth: Fix a refcnt underflow problem for hci_conn
  (git-fixes).
- Bluetooth: hci_event: Ignore NULL link key (git-fixes).
- nfc: nci: fix possible NULL pointer dereference in
  send_acknowledge() (git-fixes).
- thunderbolt: Check that lane 1 is in CL0 before enabling lane
  bonding (git-fixes).
- thunderbolt: Workaround an IOMMU fault on certain systems with
  Intel Maple Ridge (git-fixes).
- Input: powermate - fix use-after-free in
  powermate_config_complete (git-fixes).
- Input: xpad - add PXN V900 support (git-fixes).
- Input: goodix - ensure int GPIO is in input for gpio_count ==
  1 && gpio_int_idx == 0 case (git-fixes).
- ACPI: resource: Skip IRQ override on ASUS ExpertBook B1402CBA
  (git-fixes).
- drm/amdgpu: add missing NULL check (git-fixes).
- drm/amd/display: Don't set dpms_off for seamless boot
  (git-fixes).
- pinctrl: avoid unsafe code pattern in find_pinctrl()
  (git-fixes).
- HID: logitech-hidpp: Fix kernel crash on receiver USB disconnect
  (git-fixes).
- ALSA: usb-audio: Fix microphone sound on Opencomm2 Headset
  (git-fixes).
- commit e8f9edc
* Fri Oct 20 2023 neilb@suse.de
- Refresh
  patches.suse/NFS-Fix-error-handling-for-O_DIRECT-write-scheduling.patch.
  This patch was backported badly and caused data corruption with O_DIRECT
  writes to NFS.
- commit d71869e
* Thu Oct 19 2023 aabdallah@suse.de
- intel x86 platform vsec kABI workaround (bsc#1216202).
- commit 2251c9f
* Thu Oct 19 2023 mgorman@suse.de
- sched/rt: Fix live lock between select_fallback_rq() and RT push
  (git fixes (sched)).
- sched/rt: Fix sysctl_sched_rr_timeslice intial value (git fixes
  (sched)).
- commit a2350c1
* Thu Oct 19 2023 mgorman@suse.de
- blacklist.conf: Applies only to RCU tiny configurations
- commit 1d1726b
* Thu Oct 19 2023 mgorman@suse.de
- blacklist.conf: Cosmetic change for !SMP configurations
- commit c9d6cc0
* Thu Oct 19 2023 mgorman@suse.de
- blacklist.conf: KABI hazard, only backport in response to a customer bug to justify the complexity
- commit 96bc817
* Thu Oct 19 2023 mgorman@suse.de
- sched/deadline,rt: Remove unused parameter from
  pick_next_[rt|dl]_entity() (git fixes (sched)).
- Refresh
  patches.suse/sched-rt-pick_next_rt_entity-check-list_entry.patch.
- commit d7f894e
* Thu Oct 19 2023 tiwai@suse.de
- thunderbolt: Restart XDomain discovery handshake after failure
  (git-fixes).
- ASoC: amd: yc: Fix non-functional mic on Lenovo 82YM
  (git-fixes).
- commit 82c941d
* Thu Oct 19 2023 tiwai@suse.de
- regmap: fix NULL deref on lookup (git-fixes).
- usb: typec: altmodes/displayport: Signal hpd low when exiting
  mode (git-fixes).
- usb: xhci: xhci-ring: Use sysdev for mapping bounce buffer
  (git-fixes).
- usb: gadget: udc-xilinx: replace memcpy with memcpy_toio
  (git-fixes).
- usb: dwc3: Soft reset phy on probe for host (git-fixes).
- usb: gadget: ncm: Handle decoding of multiple NTB's in unwrap
  call (git-fixes).
- usb: musb: Get the musb_qh poniter after musb_giveback
  (git-fixes).
- usb: musb: Modify the "HWVers" register address (git-fixes).
- usb: cdnsp: Fixes issue with dequeuing not queued requests
  (git-fixes).
- iio: pressure: ms5611: ms5611_prom_is_valid false negative bug
  (git-fixes).
- iio: pressure: dps310: Adjust Timeout Settings (git-fixes).
- iio: pressure: bmp280: Fix NULL pointer exception (git-fixes).
- counter: microchip-tcb-capture: Fix the use of internal GCLK
  logic (git-fixes).
- Input: psmouse - fix fast_reconnect function for PS/2 mode
  (git-fixes).
- dmaengine: stm32-mdma: abort resume if no ongoing transfer
  (git-fixes).
- dmaengine: mediatek: Fix deadlock caused by synchronize_irq()
  (git-fixes).
- dmaengine: idxd: use spin_lock_irqsave before
  wait_event_lock_irq (git-fixes).
- drm/msm/dpu: change _dpu_plane_calc_bw() to use u64 to avoid
  overflow (git-fixes).
- drm/msm/dsi: fix irq_of_parse_and_map() error checking
  (git-fixes).
- drm/msm/dsi: skip the wait for video mode done if not applicable
  (git-fixes).
- drm/msm/dp: do not reinitialize phy unless retry during link
  training (git-fixes).
- drm/vmwgfx: fix typo of sizeof argument (git-fixes).
- nfc: nci: assert requested protocol is valid (git-fixes).
- ieee802154: ca8210: Fix a potential UAF in ca8210_probe
  (git-fixes).
- pinctrl: renesas: rzn1: Enable missing PINMUX (git-fixes).
- ALSA: hda/realtek: Change model for Intel RVP board (git-fixes).
- commit 7f63276
* Thu Oct 19 2023 aabdallah@suse.de
- platform/x86/intel/vsec: Rework early hardware code
  (bsc#1216202).
- Refresh
  patches.suse/platform-x86-intel-pmt-Sapphire-Rapids-PMT-errata-fi.patch.
- Refresh
  patches.suse/platform-x86-intel-vsec-Add-support-for-Raptor-Lake.patch.
- commit d4b2cf1
* Wed Oct 18 2023 aabdallah@suse.de
- platform/x86/intel: Fix pmt_crashlog array reference
  (bsc#1216202).
- commit 21107ae
* Wed Oct 18 2023 aabdallah@suse.de
- platform/x86/intel: Fix 'rmmod pmt_telemetry' panic
  (bsc#1216202).
- commit 86f380b
* Wed Oct 18 2023 aabdallah@suse.de
- platform/x86/intel/pmt: telemetry: Fix fixed region handling
  (bsc#1216202).
- commit 540aa4c
* Wed Oct 18 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: unbind non-anonymous set if rule
  construction fails (git-fixes).
- commit b7f718b
* Wed Oct 18 2023 jgross@suse.com
- KVM: SVM: Don't kill SEV guest if SMAP erratum triggers in
  usermode (git-fixes).
- commit 5316d19
* Tue Oct 17 2023 mwilck@suse.com
- block: fix revalidate performance regression (bsc#1216057).
- commit 1c2461c
* Tue Oct 17 2023 jgross@suse.com
- KVM: x86/mmu: Reconstruct shadow page root if the guest PDPTEs
  is changed (git-fixes).
- commit 1d58a92
* Tue Oct 17 2023 jgross@suse.com
- vringh: don't use vringh_kiov_advance() in vringh_iov_xfer()
  (git-fixes).
- commit d4a31a2
* Tue Oct 17 2023 jgross@suse.com
- 9p: virtio: make sure 'offs' is initialized in zc_request
  (git-fixes).
- commit 66e7266
* Tue Oct 17 2023 petr.pavlu@suse.com
- Update config files: unset CONFIG_DEBUG_FORCE_FUNCTION_ALIGN_64B
  for Arm
  Configuration option CONFIG_DEBUG_FORCE_FUNCTION_ALIGN_64B=y is used
  only in the armv7hl + arm64 configurations and appears to be a relic
  from the update procedure in commit 98da1c5f42d ("SLE15-SP4: Update the
  base kernel version to 5.14.").
  Unset it because the option is intended for debugging, not really useful
  for production and makes the text size of vmlinux unnecessarily bigger
  by ~10%%
- commit 4229357
* Tue Oct 17 2023 jgross@suse.com
- xen-netback: use default TX queue size for vifs (git-fixes).
- commit 84805af
* Tue Oct 17 2023 oneukum@suse.com
- usb: typec: ucsi: Clear EVENT_PENDING bit if ucsi_send_command
  fails (git-fixes).
- commit a60f061
* Tue Oct 17 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: skip immediate deactivate in
  _PREPARE_ERROR (CVE-2023-39193 bsc#1215860).
- commit 6c937af
* Tue Oct 17 2023 denis.kirjanov@suse.com
- kabi: workaround for enum nft_trans_phase (bsc#1215104).
- commit 0a3d3d4
* Tue Oct 17 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: add NFT_TRANS_PREPARE_ERROR to deal with
  bound set/chain (git-fixes).
- commit 2e62a61
* Tue Oct 17 2023 denis.kirjanov@suse.com
- Update metadata
- commit e780ccd
* Tue Oct 17 2023 jgross@suse.com
- KVM: SVM: INTERCEPT_RDTSCP is never intercepted anyway
  (git-fixes).
- commit e1b3911
* Tue Oct 17 2023 lhenriques@suse.de
- ceph: remove unnecessary check for NULL in parse_longname()
  (bsc#1216333).
- commit 832393c
* Tue Oct 17 2023 lhenriques@suse.de
- ceph: fix type promotion bug on 32bit systems (bsc#1216324).
- libceph: use kernel_connect() (bsc#1216323).
- ceph: fix incorrect revoked caps assert in ceph_fill_file_size()
  (bsc#1216322).
- commit b0e62f5
* Mon Oct 16 2023 oneukum@suse.com
- net: usb: dm9601: fix uninitialized variable use in
  dm9601_mdio_read (git-fixes).
- commit 236df4a
* Mon Oct 16 2023 duwe@suse.de
- crypto: qat - fix crypto capability detection for 4xxx
  (PED-6401).
- crypto: qat - Remove unused function declarations (PED-6401).
- crypto: qat - use kfree_sensitive instead of memset/kfree()
  (PED-6401).
- crypto: qat - replace the if statement with min() (PED-6401).
- crypto: qat - add heartbeat counters check (PED-6401).
- crypto: qat - add heartbeat feature (PED-6401).
- crypto: qat - add measure clock frequency (PED-6401).
- crypto: qat - drop obsolete heartbeat interface (PED-6401).
- crypto: qat - add internal timer for qat 4xxx (PED-6401).
- crypto: qat - add fw_counters debugfs file (PED-6401).
- crypto: qat - change value of default idle filter (PED-6401).
- crypto: qat - do not export adf_init_admin_pm() (PED-6401).
- crypto: qat - expose pm_idle_enabled through sysfs (PED-6401).
- crypto: qat - extend configuration for 4xxx (PED-6401).
- crypto: qat - refactor fw config logic for 4xxx (PED-6401).
- crypto: qat - make fw images name constant (PED-6401).
- crypto: qat - move returns to default case (PED-6401).
- crypto: qat - unmap buffers before free for RSA (PED-6401).
- crypto: qat - unmap buffer before free for DH (PED-6401).
- crypto: qat - update slice mask for 4xxx devices (PED-6401).
- crypto: qat - set deprecated capabilities as reserved
  (PED-6401).
- crypto: qat - add missing function declaration in adf_dbgfs.h
  (PED-6401).
- crypto: qat - move dbgfs init to separate file (PED-6401).
- crypto: qat - drop redundant adf_enable_aer() (PED-6401).
- crypto: qat - fix apply custom thread-service mapping for dc
  service (PED-6401).
- crypto: qat - add support for 402xx devices (PED-6401).
- crypto: qat - make state machine functions static (PED-6401).
- crypto: qat - refactor device restart logic (PED-6401).
- crypto: qat - replace state machine calls (PED-6401).
- crypto: qat - fix concurrency issue when device state changes
  (PED-6401).
- crypto: qat - delay sysfs initialization (PED-6401).
- crypto: qat - Include algapi.h for low-level Crypto API
  (PED-6401).
- crypto: qat - drop log level of msg in get_instance_node()
  (PED-6401).
- Documentation: qat: change kernel version (PED-6401).
- crypto: qat - add qat_zlib_deflate (PED-6401).
- crypto: qat - extend buffer list logic interface (PED-6401).
- crypto: qat - fix spelling mistakes from 'bufer' to 'buffer'
  (PED-6401).
- crypto: qat - remove ADF_STATUS_PF_RUNNING flag from probe
  (PED-6401).
- Documentation: qat: rewrite description (PED-6401).
- commit 3c119b1
* Mon Oct 16 2023 mkoutny@suse.com
- cgroup: Remove duplicates in cgroup v1 tasks file (bsc#1211307).
- commit 555c311
* Mon Oct 16 2023 ohering@suse.de
- vmbus_testing: fix wrong python syntax for integer value
  comparison (git-fixes).
- Drivers: hv: vmbus: Fix vmbus_wait_for_unload() to scan present
  CPUs (git-fixes).
- Drivers: hv: vmbus: Call hv_synic_free() if hv_synic_alloc()
  fails (git-fixes).
- commit a15e7ae
* Mon Oct 16 2023 aabdallah@suse.de
- platform/x86/intel/pmt: Ignore uninitialized entries
  (bsc#1216202).
- commit ad7afc0
* Fri Oct 13 2023 dwagner@suse.de
- nvmet-tcp: Fix a possible UAF in queue intialization setup
  (bsc#1215768 CVE-2023-5178).
- commit b965ee1
* Fri Oct 13 2023 shung-hsi.yu@suse.com
- bpf: Fix incorrect verifier pruning due to missing register
  precision taints (bsc#1215518 CVE-2023-2163).
- bpf: propagate precision in ALU/ALU64 operations (git-fixes).
- commit 71da1d6
* Wed Oct 11 2023 tbogendoerfer@suse.de
- net: mana: Fix oversized sge0 for GSO packets (bsc#1215986).
- net: mana: Fix TX CQE error handling (bsc#1215986).
- commit 3666b58
* Wed Oct 11 2023 jgross@suse.com
- xen/events: replace evtchn_rwlock with RCU (bsc#1215745,
  xsa-441, cve-2023-34324).
- commit 291fb99
* Wed Oct 11 2023 msuchanek@suse.de
- scsi: ibmvfc: Implement channel queue depth and event buffer
  accounting (bsc#1209834 ltc#202097).
- scsi: ibmvfc: Remove BUG_ON in the case of an empty event pool
  (bsc#1209834 ltc#202097).
- commit 4313def
* Wed Oct 11 2023 krisman@suse.de
- io_uring/rw: remove leftover debug statement (git-fixes).
- commit 1a4c93e
* Tue Oct 10 2023 krisman@suse.de
- io_uring/rw: ensure kiocb_end_write() is always called
  (git-fixes).
- commit 1b4acf4
* Tue Oct 10 2023 iivanov@suse.de
- iommu/arm-smmu-v3: Fix soft lockup triggered by (bsc#1215921)
- commit 37b98a0
* Tue Oct 10 2023 iivanov@suse.de
- arm64/smmu: use TLBI ASID when invalidating entire range (bsc#1215921)
- commit a735cdb
* Tue Oct 10 2023 vkarasulli@suse.de
- netfilter: nfnetlink_osf: avoid OOB read (bsc#1216046
  CVE-2023-39189).
- commit 77dc791
* Tue Oct 10 2023 mfranc@suse.cz
- blacklist.conf: the codebase changed too much to backport the patch
- commit 11474a7
* Tue Oct 10 2023 tabraham@suse.com
- x86/platform/uv: Use alternate source for socket to node data
  (bsc#1215696).
- commit d399ded
* Mon Oct  9 2023 mkoutny@suse.com
- kabi: blkcg_policy_data fix KABI (bsc#1216062).
- commit cf25442
* Mon Oct  9 2023 mkoutny@suse.com
- blk-cgroup: support to track if policy is online (bsc#1216062).
- commit 45c3300
* Mon Oct  9 2023 mkoutny@suse.com
- mm, memcg: reconsider kmem.limit_in_bytes deprecation
  (bsc#1208788 bsc#1213705).
- commit bdf774a
* Mon Oct  9 2023 mkoutny@suse.com
- Revert "Delete patches.suse/memcg-drop-kmem-limit_in_bytes.patch."
  This reverts commit 52c1db3eb4e2acbdd91aaaefddc26b7207cd4c90.
  It'll be fixed differently in a following commit.
  Restore the commit with upstream commit already for proper sorting.
- commit 8474b47
* Mon Oct  9 2023 mkoutny@suse.com
- blk-cgroup: Fix NULL deref caused by blkg_policy_data being
  installed before init (bsc#1216062).
- commit c2395af
* Mon Oct  9 2023 mkoutny@suse.com
- blacklist.conf: Add 82b90b6c5b38 cgroup:namespace: Remove unused cgroup_namespaces_init()
- commit 6f5ac45
* Mon Oct  9 2023 tiwai@suse.de
- drm/amd: Fix detection of _PR3 on the PCIe root port
  (git-fixes).
- Bluetooth: hci_codec: Fix leaking content of local_codecs
  (git-fixes).
- Bluetooth: ISO: Fix handling of listen for unicast (git-fixes).
- drm/i915/gt: Fix reservation address in ggtt_reserve_guc_top
  (git-fixes).
- drm/amdkfd: Use gpu_offset for user queue's wptr (git-fixes).
- ALSA: hda: intel-sdw-acpi: Use u8 type for link index
  (git-fixes).
- drm/amdkfd: Insert missing TLB flush on GFX10 and later
  (git-fixes).
- drm/amdgpu/nbio4.3: set proper rmmio_remap.reg_offset for SR-IOV
  (git-fixes).
- drm/amdgpu/soc21: don't remap HDP registers for SR-IOV
  (git-fixes).
- drm/amdkfd: Flush TLB after unmapping for GFX v9.4.3
  (git-fixes).
- drm/bridge: ti-sn65dsi83: Do not generate HFP/HBP/HSA and EOT
  packet (git-fixes).
- commit 81ea9f4
* Mon Oct  9 2023 tiwai@suse.de
- HID: sony: remove duplicate NULL check before calling
  usb_free_urb() (git-fixes).
- commit 7cd0962
* Mon Oct  9 2023 tiwai@suse.de
- i2c: mux: gpio: Replace custom acpi_get_local_address()
  (git-fixes).
- commit ef5fd69
* Mon Oct  9 2023 tiwai@suse.de
- gpio: aspeed: fix the GPIO number passed to
  pinctrl_gpio_set_config() (git-fixes).
- gpio: pxa: disable pinctrl calls for MMP_GPIO (git-fixes).
- platform/x86: think-lmi: Fix reference leak (git-fixes).
- HID: intel-ish-hid: ipc: Disable and reenable ACPI GPE bit
  (git-fixes).
- HID: sony: Fix a potential memory leak in sony_probe()
  (git-fixes).
- wifi: mt76: mt76x02: fix MT76x0 external LNA gain handling
  (git-fixes).
- wifi: mwifiex: Fix oob check condition in
  mwifiex_process_rx_packet (git-fixes).
- wifi: iwlwifi: mvm: Fix a memory corruption issue (git-fixes).
- wifi: iwlwifi: dbg_ini: fix structure packing (git-fixes).
- wifi: mwifiex: Fix tlv_buf_left calculation (git-fixes).
- net: nfc: llcp: Add lock when modifying device list (git-fixes).
- net: usb: smsc75xx: Fix uninit-value access in
  __smsc75xx_read_reg (git-fixes).
- leds: Drop BUG_ON check for LED_COLOR_ID_MULTI (git-fixes).
- regmap: rbtree: Fix wrong register marked as in-cache when
  creating new node (git-fixes).
- nilfs2: fix potential use after free in
  nilfs_gccache_submit_read_data() (git-fixes).
- Revert "tty: n_gsm: fix UAF in gsm_cleanup_mux" (git-fixes).
- serial: 8250_port: Check IRQ data before use (git-fixes).
- firmware: arm_ffa: Don't set the memory region attributes for
  MEM_LEND (git-fixes).
- soc: imx8m: Enable OCOTP clock for imx8mm before reading
  registers (git-fixes).
- firmware: imx-dsp: Fix an error handling path in
  imx_dsp_setup_channels() (git-fixes).
- bus: ti-sysc: Fix missing AM35xx SoC matching (git-fixes).
- bus: ti-sysc: Use fsleep() instead of usleep_range() in
  sysc_reset() (git-fixes).
- i2c: npcm7xx: Fix callback completion ordering (git-fixes).
- ata: libata-core: Do not register PM operations for SAS ports
  (git-fixes).
- ata: libata-core: Fix port and device removal (git-fixes).
- ata: libata-core: Fix ata_port_request_pm() locking (git-fixes).
- ata: libata-sata: increase PMP SRST timeout to 10s (git-fixes).
- ata: libata-scsi: ignore reserved bits for REPORT SUPPORTED
  OPERATION CODES (git-fixes).
- gpio: pmic-eic-sprd: Add can_sleep flag for PMIC EIC chip
  (git-fixes).
- clk: tegra: fix error return case for recalc_rate (git-fixes).
- power: supply: ucs1002: fix error code in ucs1002_get_property()
  (git-fixes).
- gpio: tb10x: Fix an error handling path in tb10x_gpio_probe()
  (git-fixes).
- i2c: mux: gpio: Add missing fwnode_handle_put() (git-fixes).
- i2c: mux: demux-pinctrl: check the return value of
  devm_kstrdup() (git-fixes).
- i2c: i801: unregister tco_pdev in i801_probe() error path
  (git-fixes).
- ASoC: imx-rpmsg: Set ignore_pmdown_time for dai_link
  (git-fixes).
- ASoC: fsl: imx-pcm-rpmsg: Add SNDRV_PCM_INFO_BATCH flag
  (git-fixes).
- ALSA: hda: Disable power save for solving pop issue on Lenovo
  ThinkCentre M70q (git-fixes).
- spi: stm32: add a delay before SPI disable (git-fixes).
- spi: nxp-fspi: reset the FLSHxCR1 registers (git-fixes).
- drm/amdgpu: Handle null atom context in VBIOS info ioctl
  (git-fixes).
- drm/amd/display: Don't check registers, if using AUX BL control
  (git-fixes).
- spi: sun6i: fix race between DMA RX transfer completion and
  RX FIFO drain (git-fixes).
- spi: sun6i: reduce DMA RX transfer width to single byte
  (git-fixes).
- watchdog: iTCO_wdt: Set NO_REBOOT if the watchdog is not
  already running (git-fixes).
- watchdog: iTCO_wdt: No need to stop the timer in probe
  (git-fixes).
- commit 22d41cc
* Mon Oct  9 2023 oneukum@suse.com
- net: usb: smsc75xx: Fix uninit-value access in
  __smsc75xx_read_reg (git-fixes).
- commit 38bd5fc
* Mon Oct  9 2023 oneukum@suse.com
- r8152: check budget for r8152_poll() (git-fixes).
- commit b4330ba
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/core: Require admin capabilities to set system parameters (git-fixes)
- commit 165e98e
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/cma: Initialize ib_sa_multicast structure to 0 when join (git-fixes)
- commit ad12009
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/mlx5: Fix NULL string error (git-fixes)
- commit 5556b81
* Mon Oct  9 2023 nmorey@suse.com
- IB/mlx4: Fix the size of a buffer in add_port_entries() (git-fixes)
- commit 8c4cdf4
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/cma: Fix truncation compilation warning in make_cma_ports (git-fixes)
- commit a7c580d
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/uverbs: Fix typo of sizeof argument (git-fixes)
- commit 7e80897
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/cxgb4: Check skb value for failure to allocate (git-fixes)
- commit 6e18278
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/siw: Fix connection failure handling (git-fixes)
- commit 107f7c6
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/srp: Do not call scsi_done() from srp_abort() (git-fixes)
- commit ecb5c5e
* Mon Oct  9 2023 nmorey@suse.com
- RDMA/mlx5: Fix mutex unlocking on error flow for steering anchor creation (git-fixes)
- commit c1704fa
* Mon Oct  9 2023 shung-hsi.yu@suse.com
- kABI: fix bpf Invalidate slices on destruction of dynptrs on
  stack (bsc#1215863 CVE-2023-39191).
- commit d4285e9
* Sat Oct  7 2023 petr.pavlu@suse.com
- doc/README.PATCH-POLICY.SUSE: Convert the document to Markdown
  (jsc#PED-5021)
- commit c05cfc9
* Sat Oct  7 2023 petr.pavlu@suse.com
- doc/README.SUSE: Convert the document to Markdown (jsc#PED-5021)
- commit bff5e3e
* Sat Oct  7 2023 petr.pavlu@suse.com
- ring-buffer: Do not attempt to read past "commit" (git-fixes).
- commit ee556e0
* Sat Oct  7 2023 petr.pavlu@suse.com
- ring-buffer: Avoid softlockup in ring_buffer_resize()
  (git-fixes).
- commit bd7050f
* Sat Oct  7 2023 petr.pavlu@suse.com
- tracing: Make trace_marker{,_raw} stream-like (git-fixes).
- commit fda0bf6
* Sat Oct  7 2023 petr.pavlu@suse.com
- ring-buffer: Update "shortest_full" in polling (git-fixes).
- commit aad1d04
* Sat Oct  7 2023 petr.pavlu@suse.com
- ring-buffer: Fix bytes info in per_cpu buffer stats (git-fixes).
- commit 296da6c
* Sat Oct  7 2023 petr.pavlu@suse.com
- tracing: Have event inject files inc the trace array ref count
  (git-fixes).
- commit 817c093
* Sat Oct  7 2023 petr.pavlu@suse.com
- tracing: Have option files inc the trace array ref count
  (git-fixes).
- commit 921a48a
* Sat Oct  7 2023 petr.pavlu@suse.com
- tracing: Have current_trace inc the trace array ref count
  (git-fixes).
- commit 586ee6a
* Sat Oct  7 2023 petr.pavlu@suse.com
- tracing: Have tracing_max_latency inc the trace array ref count
  (git-fixes).
- commit 322c826
* Sat Oct  7 2023 petr.pavlu@suse.com
- tracing: Increase trace array ref count on enable and filter
  files (git-fixes).
- commit fa9da0d
* Sat Oct  7 2023 petr.pavlu@suse.com
- kprobes: Prohibit probing on CFI preamble symbol (git-fixes).
- commit de7b87f
* Sat Oct  7 2023 petr.pavlu@suse.com
- bpf: Add override check to kprobe multi link attach (git-fixes).
- commit 6aa8462
* Fri Oct  6 2023 shung-hsi.yu@suse.com
- Delete
  patches.suse/bpf-Fix-renaming-task_getsecid_subj-current_getsecid.patch.
  This patch shouldn't have been backported in the first place because we
  did not backport commit 6326948f940d "lsm: security_task_getsecid_subj()
  - > security_current_getsecid_subj()".
  Drop this patch fix resolve_btfids' complain that
  bpf_lsm_current_getsecid_subj is unresolvable.
- commit 9f9ad18
* Fri Oct  6 2023 shung-hsi.yu@suse.com
- blacklist.conf: add f655badf2a8f ("bpf: fix propagate_precision() logic for inner frames")
  Precision tracking for BPF subprogram is not backported, so we shouldn't
  need this fix.
- commit 7b579f5
* Fri Oct  6 2023 shung-hsi.yu@suse.com
- kABI: fix bpf Tighten-ptr_to_btf_id checks (git-fixes).
- commit 34ad358
* Fri Oct  6 2023 jroedel@suse.de
- iommu/amd: Add map/unmap_pages() iommu_domain_ops callback
  support (bsc#1212423).
- iommu/amd/io-pgtable: Implement unmap_pages io_pgtable_ops
  callback (bsc#1212423).
- iommu/amd/io-pgtable: Implement map_pages io_pgtable_ops
  callback (bsc#1212423).
- commit b7a7693
* Fri Oct  6 2023 shung-hsi.yu@suse.com
- selftests/bpf: Add more tests for check_max_stack_depth bug
  (git-fixes).
- bpf: Repeat check_max_stack_depth for async callbacks
  (git-fixes).
- bpf: Fix subprog idx logic in check_max_stack_depth (git-fixes).
- selftests/bpf: Add selftest for check_stack_max_depth bug
  (git-fixes).
- bpf: Fix max stack depth check for async callbacks (git-fixes).
- bpf: fix precision propagation verbose logging (git-fixes).
- bpf: Fix incorrect verifier pruning due to missing register
  precision taints (bsc#1215518 CVE-2023-2163).
- selftests/bpf: Add dynptr helper tests (bsc#1215863
  CVE-2023-39191).
- selftests/bpf: Add dynptr partial slot overwrite tests
  (bsc#1215863 CVE-2023-39191).
- selftests/bpf: Add dynptr var_off tests (bsc#1215863
  CVE-2023-39191).
- selftests/bpf: Add dynptr pruning tests (bsc#1215863
  CVE-2023-39191).
- selftests/bpf: convenience macro for use with 'asm volatile'
  blocks (bsc#1215863 CVE-2023-39191).
- bpf: Avoid recomputing spi in process_dynptr_func (bsc#1215863
  CVE-2023-39191).
- bpf: Combine dynptr_get_spi and is_spi_bounds_valid (bsc#1215863
  CVE-2023-39191).
- bpf: Allow reinitializing unreferenced dynptr stack slots
  (bsc#1215863 CVE-2023-39191).
- bpf: Invalidate slices on destruction of dynptrs on stack
  (bsc#1215863 CVE-2023-39191).
- bpf: Fix partial dynptr stack slot reads/writes (bsc#1215863
  CVE-2023-39191).
- bpf: Fix missing var_off check for ARG_PTR_TO_DYNPTR
  (bsc#1215863 CVE-2023-39191).
- bpf: Fix state pruning for STACK_DYNPTR stack slots (bsc#1215863
  CVE-2023-39191).
- bpf: Add missing btf_put to register_btf_id_dtor_kfuncs
  (git-fixes).
- bpf: Use memmove for bpf_dynptr_{read,write} (bsc#1215863
  CVE-2023-39191).
- bpf: Move PTR_TO_STACK alignment check to process_dynptr_func
  (bsc#1215863 CVE-2023-39191).
- bpf: Rework check_func_arg_reg_off (bsc#1215863 CVE-2023-39191).
- bpf: Rework process_dynptr_func (bsc#1215863 CVE-2023-39191).
- bpf: Propagate errors from process_* checks in check_func_arg
  (bsc#1215863 CVE-2023-39191).
- bpf: Refactor ARG_PTR_TO_DYNPTR checks into process_dynptr_func
  (bsc#1215863 CVE-2023-39191).
- selftests/bpf: convert dynptr_fail and map_kptr_fail subtests
  to generic tester (bsc#1215863 CVE-2023-39191).
- bpf: Tighten ptr_to_btf_id checks (git-fixes).
- selftests/bpf: Add reproducer for decl_tag in func_proto
  argument (git-fixes).
- bpf: Prevent decl_tag from being referenced in func_proto arg
  (git-fixes).
- bpf: propagate precision across all frames, not just the last
  one (git-fixes).
- bpf: propagate precision in ALU/ALU64 operations (git-fixes).
- bpf: Fix offset calculation error in __copy_map_value and
  zero_map_value (git-fixes).
- bpf: prevent decl_tag from being referenced in func_proto
  (git-fixes).
- selftests/bpf: Add reproducer for decl_tag in func_proto return
  type (git-fixes).
- bpf: Gate dynptr API behind CAP_BPF (git-fixes).
- selftests/bpf: Add tests for dynamic pointers parameters in
  kfuncs (bsc#1215863 CVE-2023-39191).
- bpf: Move dynptr type check to is_dynptr_type_expected()
  (bsc#1215863 CVE-2023-39191).
- btf: Export bpf_dynptr definition (git-fixes).
- bpf: Add helper macro bpf_for_each_reg_in_vstate (bsc#1215863
  CVE-2023-39191).
- bpf: Add zero_map_value to zero map value with special fields
  (git-fixes).
- bpf: Add copy_map_value_long to copy to remote percpu memory
  (git-fixes).
- bpf: Fix resetting logic for unreferenced kptrs (git-fixes).
- selftests/bpf: add extra test for using dynptr data slice
  after release (bsc#1215863 CVE-2023-39191).
- bpf: Fix ref_obj_id for dynptr data slices in verifier
  (git-fixes).
- bpf: Cleanup check_refcount_ok (git-fixes).
- selftests/bpf: Clean up sys_nanosleep uses (git-fixes).
- selftests/bpf: Copy over libbpf configs (bsc#1215863
  CVE-2023-39191).
- bpf: Tidy up verifier check_func_arg() (bsc#1215863
  CVE-2023-39191).
- commit 824f808
* Thu Oct  5 2023 mkoutny@suse.com
- Update
  patches.suse/ipv6-sr-fix-out-of-bounds-read-when-setting-HMAC-dat.patch
  (bsc#1211592 CVE-2023-2860).
- commit 6e15654
* Wed Oct  4 2023 nik.borisov@suse.com
- KVM: x86: work around QEMU issue with synthetic CPUID leaves (git-fixes).
- commit 7ac0d16
* Wed Oct  4 2023 nik.borisov@suse.com
- KVM: x86: Fix clang -Wimplicit-fallthrough in do_host_cpuid() (git-fixes).
- commit 14aa242
* Wed Oct  4 2023 mfranc@suse.cz
- s390: add z16 elf platform (git-fixes LTC#203789 bsc#1215956
  LTC#203788 bsc#1215957).
- commit a4355b3
* Wed Oct  4 2023 mkoutny@suse.com
- sched/cpuset: Bring back cpuset_mutex (bsc#1215955).
- cgroup/cpuset: Change references of cpuset_mutex to cpuset_rwsem
  (bsc#1215955).
- commit 59f5010
* Wed Oct  4 2023 mkoutny@suse.com
- blacklist.conf: Add c0f78fd5edcf cgroup/cpuset: Iterate only if DEADLINE tasks are present
  ... and its prereqs
- commit a4ba12c
* Wed Oct  4 2023 mkoutny@suse.com
- blacklist.conf: Add 98dfdd9ee939 sched/psi: Select KERNFS as needed
- commit d326b7e
* Wed Oct  4 2023 nik.borisov@suse.com
- x86/cpu: Enable STIBP on AMD if Automatic IBRS is enabled (bsc#1213772).
- commit 48235ff
* Wed Oct  4 2023 nik.borisov@suse.com
- KVM: x86: Propagate the AMD Automatic IBRS feature to the guest (bsc#1213772).
- commit 237820b
* Wed Oct  4 2023 nik.borisov@suse.com
- x86/cpu: Support AMD Automatic IBRS (bsc#1213772).
- Refresh patches.suse/x86-srso-add-ibpb_brtype-support.patch.
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
- commit 8ed20a4
* Wed Oct  4 2023 mfranc@suse.cz
- scsi: zfcp: Fix a double put in zfcp_port_enqueue() (git-fixes
  bsc#1215941).
- commit a62865f
* Wed Oct  4 2023 nik.borisov@suse.com
- x86/cpu, kvm: Add the SMM_CTL MSR not present feature  (bsc#1213772).
- Refresh patches.suse/x86-srso-add-ibpb_brtype-support.patch.
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
- commit aed5f36
* Wed Oct  4 2023 nik.borisov@suse.com
- x86/cpu, kvm: Add the Null Selector Clears Base feature  (bsc#1213772).
- Refresh patches.suse/x86-srso-add-ibpb_brtype-support.patch.
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
- commit 8f2a48f
* Wed Oct  4 2023 nik.borisov@suse.com
- x86/cpu, kvm: Move X86_FEATURE_LFENCE_RDTSC to its native leaf  (bsc#1213772).
- Refresh patches.suse/x86-srso-add-ibpb_brtype-support.patch.
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
- commit 553f579
* Wed Oct  4 2023 nik.borisov@suse.com
- x86/cpu, kvm: Add the NO_NESTED_DATA_BP feature (bsc#1213772).
- Refresh patches.suse/x86-srso-add-ibpb_brtype-support.patch.
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
- commit 80fb630
* Wed Oct  4 2023 nik.borisov@suse.com
- KVM: x86: Move open-coded CPUID leaf 0x80000021 EAX bit  propagation  code (bsc#1213772).
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
- commit f21e4e4
* Wed Oct  4 2023 nik.borisov@suse.com
- KVM: x86: synthesize CPUID leaf 0x80000021h if useful  (bsc#1213772).
- Refresh
  patches.suse/KVM-x86-Mask-off-reserved-bits-in-CPUID.80000001H.patch.
- Refresh
  patches.suse/KVM-x86-Move-lookup-of-indexed-CPUID-leafs-to-helper.
- commit 3d1c8b5
* Wed Oct  4 2023 nik.borisov@suse.com
- KVM: x86: add support for CPUID leaf 0x80000021 (bsc#1213772).
- Refresh
  patches.suse/KVM-x86-Mask-off-reserved-bits-in-CPUID.80000001H.patch.
- commit 320f1ae
* Wed Oct  4 2023 mkubecek@suse.cz
- net: xfrm: Fix xfrm_address_filter OOB read (CVE-2023-39194
  bsc#1215861).
- commit 55308cb
* Wed Oct  4 2023 mkubecek@suse.cz
- netfilter: xt_sctp: validate the flag_info count (CVE-2023-39193
  bsc#1215860).
- commit 5ec24b7
* Wed Oct  4 2023 mkubecek@suse.cz
- netfilter: xt_u32: validate user space input (CVE-2023-39192
  bsc#1215858).
- commit 292c059
* Wed Oct  4 2023 mkubecek@suse.cz
- ipv4: fix null-deref in ipv4_link_failure (CVE-2023-42754
  bsc#1215467).
- commit ad87dd3
* Tue Oct  3 2023 mfranc@suse.cz
- KVM: s390: pv: fix external interruption loop not always
  detected (git-fixes bsc#1215916).
- commit f1893aa
* Tue Oct  3 2023 jdelvare@suse.de
- btrfs: fix root ref counts in error handling in
  btrfs_get_root_ref (bsc#1214351 CVE-2023-4389).
- commit 3731029
* Tue Oct  3 2023 mfranc@suse.cz
- KVM: s390: fix KVM_S390_GET_CMMA_BITS for GFNs in memslot holes
  (git-fixes bsc#1215915).
- commit fe7fbfc
* Tue Oct  3 2023 mfranc@suse.cz
- KVM: s390/diag: fix racy access of physical cpu number in diag
  9c handler (git-fixes bsc#1215911).
- commit 6454286
* Tue Oct  3 2023 palcantara@suse.de
- fs/smb/client: Reset password pointer to NULL (bsc#1215899
  CVE-2023-5345).
- commit 679511d
* Tue Oct  3 2023 mfranc@suse.cz
- blacklist.conf: kABi breakage (vmalloc)
- commit 10bad47
* Tue Oct  3 2023 mfranc@suse.cz
- KVM: s390: interrupt: use READ_ONCE() before cmpxchg()
  (git-fixes bsc#1215896).
- commit 8726736
* Tue Oct  3 2023 mfranc@suse.cz
- KVM: s390: vsie: fix the length of APCB bitmap (git-fixes
  bsc#1215895).
- commit 9ff1a1e
* Tue Oct  3 2023 mfranc@suse.cz
- KVM: s390: vsie: Fix the initialization of the epoch extension
  (epdx) field (git-fixes bsc#1215894).
- commit 9c5bbd7
* Tue Oct  3 2023 petr.pavlu@suse.com
- doc/README.PATCH-POLICY.SUSE: Remove the list of links (jsc#PED-5021)
  All links have been incorporated into the text. Remove now unnecessary
  list at the end of the document.
- commit 43d62b1
* Tue Oct  3 2023 petr.pavlu@suse.com
- doc/README.SUSE: Adjust heading style (jsc#PED-5021)
  * Underscore all headings as a preparation for Markdown conversion.
  * Use title-style capitalization for the document name and
  sentence-style capitalization for section headings, as recommended in
  the current SUSE Documentation Style Guide.
- commit 11e3267
* Tue Oct  3 2023 mkubecek@suse.cz
- netfilter: ipset: add the missing IP_SET_HASH_WITH_NET0 macro
  for ip_set_hash_netportnet.c (CVE-2023-42753 bsc#1215150).
- commit 7a6be79
* Tue Oct  3 2023 mkubecek@suse.cz
- tcp: Reduce chance of collisions in inet6_hashfn()
  (CVE-2023-1206 bsc#1212703).
- commit e3ebd17
* Tue Oct  3 2023 krisman@suse.de
- io_uring/fs: remove sqe->rw_flags checking from LINKAT
  (git-fixes).
- commit d859323
* Tue Oct  3 2023 krisman@suse.de
- io_uring: fix memory leak when removing provided buffers
  (git-fixes).
- commit 032d39a
* Mon Oct  2 2023 krisman@suse.de
- io_uring: Replace 0-length array with flexible array
  (git-fixes).
- io_uring/rw: defer fsnotify calls to task context (git-fixes).
- commit 32ede95
* Mon Oct  2 2023 krisman@suse.de
- io_uring: fix fdinfo sqe offsets calculation (git-fixes).
- io_uring: ensure REQ_F_ISREG is set async offload (git-fixes).
- commit dcb29de
* Mon Oct  2 2023 pmladek@suse.com
- blacklist.conf: workqueue: compiler warning on 32-bit systems with
  Clang (bsc#1215877)
- commit b7e65aa
* Mon Oct  2 2023 pmladek@suse.com
- blacklist.conf: workqueue: Code refactoring
- commit e204334
* Mon Oct  2 2023 pmladek@suse.com
- blacklist.conf: printk: the changes look good but they do not fix
  any serious problem
- commit c560ceb
* Mon Oct  2 2023 pmladek@suse.com
- printk: ringbuffer: Fix truncating buffer size min_t cast
  (bsc#1215875).
- commit e0d3999
* Mon Oct  2 2023 ohering@suse.de
- scsi: storvsc: Handle additional SRB status values (git-fixes).
- commit d1a5f2f
* Fri Sep 29 2023 tabraham@suse.com
- scsi: qedf: Add synchronization between I/O completions and
  abort (bsc#1210658).
- commit 96a8c32
* Wed Sep 27 2023 tbogendoerfer@suse.de
- gve: fix frag_list chaining (bsc#1214479).
- gve: RX path for DQO-QPL (bsc#1214479).
- gve: Tx path for DQO-QPL (bsc#1214479).
- gve: Control path for DQO-QPL (bsc#1214479).
- gve: trivial spell fix Recive to Receive (bsc#1214479).
- gve: use vmalloc_array and vcalloc (bsc#1214479).
- gve: Unify duplicate GQ min pkt desc size constants
  (bsc#1214479).
- gve: Add AF_XDP zero-copy support for GQI-QPL format
  (bsc#1214479).
- gve: Add XDP REDIRECT support for GQI-QPL format (bsc#1214479).
- gve: Add XDP DROP and TX support for GQI-QPL format
  (bsc#1214479).
- gve: Changes to add new TX queues (bsc#1214479).
- gve: XDP support GQI-QPL: helper function changes (bsc#1214479).
- gve: Fix gve interrupt names (bsc#1214479).
- commit 4dd2d8d
* Wed Sep 27 2023 denis.kirjanov@suse.com
- net: sched: sch_qfq: Fix UAF in qfq_dequeue() (CVE-2023-4921
  bsc#1215275).
- commit 9408063
* Wed Sep 27 2023 denis.kirjanov@suse.com
- Update metadata
- commit 8a83576
* Wed Sep 27 2023 tzimmermann@suse.com
- drm/ast: report connection status on Display Port. (bsc#1152472)
  Backporting changes:
  * rename ast_device to ast_private
  * context changes
- commit b93ab93
* Wed Sep 27 2023 tzimmermann@suse.com
- drm/ast: Add BMC virtual connector (bsc#1152472)
  Backporting changes:
  * rename ast_device to ast_private
- commit 0eaf20c
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-Fix-an-error-handling-mistake-in-psp_sw_init.patch
  (git-fixes)
  Alt-commit
- commit e324027
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-vkms-relax-timer-deactivation-by-hrtimer_.patch
  (git-fixes)
  Alt-commit
- commit 2de4df3
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-Tighten-permissions-on-VBIOS-flashing-attrib.patch
  (git-fixes)
  Alt-commit
- commit d013066
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-Fix-output-of-pp_od_clk_voltage.patch
  (git-fixes)
  Alt-commit
- commit e4f052f
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-radeon-reintroduce-radeon_dp_work_func-content.patch
  (git-fixes)
  Alt-commit
- commit 6f484d3
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-change-gfx-11.0.4-external_id-range.patch
  (git-fixes)
  Alt-commit
- commit 79082dc
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Update-bounding-box-values-for-DCN32.patch
  (git-fixes)
  Alt-commit
- commit ba25d71
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Do-not-clear-GPINT-register-when-rel.patch
  (git-fixes)
  Alt-commit
- commit 4b4e240
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Reset-OUTBOX0-r-w-pointer-on-DMUB-re.patch
  (git-fixes)
  Alt-commit
- commit 171518a
* Wed Sep 27 2023 jack@suse.cz
- fs: no need to check source (bsc#1215752).
- commit 1a42abf
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fixes-for-dcn32_clk_mgr-implementati.patch
  (git-fixes)
  Alt-commit
- commit 9ba10de
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Return-error-code-on-DSC-atomic-chec.patch
  (git-fixes)
  Alt-commit
- commit 310423c
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Add-missing-WA-and-MCLK-validation.patch
  (git-fixes)
  Alt-commit
- commit b31adf2
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-allow-more-APUs-to-do-mode2-reset-when-go.patch
  (git-fixes)
  Alt-commit
- commit 2baa247
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Set-dcn32-caps.seamless_odm.patch
  (git-fixes)
  Alt-commit
- commit a0540d6
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-fix-return-value-check-in-kfd.patch
  (git-fixes)
  Alt-commit
- commit 97cc526
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1836-drm-aperture-Run-fbdev-removal-before-internal-helpe.patch
  (git-fixes)
  Alt-commit
- commit e35f57f
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dpu-drop-enum-dpu_core_perf_data_bus_id.patch
  (git-fixes)
  Alt-commit
- commit f8178cd
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-check-attr-flag-before-set-cursor-de.patch
  (git-fixes)
  Alt-commit
- commit f507792
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-Fix-vram-recover-doesn-t-work-after-whole.patch
  (git-fixes)
  Alt-commit
- commit 38e2a92
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-add-a-missing-lock-for-AMDGPU_SCHED.patch
  (git-fixes)
  Alt-commit
- commit 2ecd3e8
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-fix-flickering-caused-by-S-G-mode.patch
  (git-fixes)
  Alt-commit
- commit 33e82b2
* Wed Sep 27 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-nouveau-kms-nv50-fix-nv50_wndw_new_-prototype.patch
  (git-fixes)
  Alt-commit
- commit 4c21b50
* Wed Sep 27 2023 neilb@suse.de
- SUNRPC: Mark the cred for revalidation if the server rejects it
  (git-fixes).
- NFS/pNFS: Report EINVAL errors from connect() to the server
  (git-fixes).
- nfsd: fix change_info in NFSv4 RENAME replies (git-fixes).
- pNFS: Fix assignment of xprtdata.cred (git-fixes).
- NFSv4.2: fix handling of COPY ERR_OFFLOAD_NO_REQ (git-fixes).
- NFS: Guard against READDIR loop when entry names exceed
  MAXNAMELEN (git-fixes).
- nfs/blocklayout: Use the passed in gfp flags (git-fixes).
- NFSv4/pnfs: minor fix for cleanup path in nfs4_get_device_info
  (git-fixes).
- NFSD: da_addr_body field missing in some GETDEVICEINFO replies
  (git-fixes).
- fs: lockd: avoid possible wrong NULL parameter (git-fixes).
- nfsd: Fix race to FREE_STATEID and cl_revoked (git-fixes).
- xprtrdma: Remap Receive buffers after a reconnect (git-fixes).
- NFSv4: fix out path in __nfs4_get_acl_uncached (git-fixes).
- NFSv4.2: fix error handling in nfs42_proc_getxattr (git-fixes).
- NFSv4: Fix dropped lock for racing OPEN and delegation return
  (git-fixes).
- commit 087b1c4
* Tue Sep 26 2023 petr.pavlu@suse.com
- doc/README.PATCH-POLICY.SUSE: Reflow text to 80-column width
  (jsc#PED-5021)
- commit be0158c
* Tue Sep 26 2023 tbogendoerfer@suse.de
- uapi: stddef.h: Fix __DECLARE_FLEX_ARRAY for C++ (git-fixes).
- commit 68da368
* Tue Sep 26 2023 oneukum@suse.com
- usb: ehci: move new member has_ci_pec_bug into hole (git-fixes).
- commit bd8b5cf
* Tue Sep 26 2023 oneukum@suse.com
- usb: ehci: add workaround for chipidea PORTSC.PEC bug
  (git-fixes).
- commit a447793
* Tue Sep 26 2023 oneukum@suse.com
- net: usb: qmi_wwan: add Quectel EM05GV2 (git-fixes).
- commit 613dba7
* Tue Sep 26 2023 petr.pavlu@suse.com
- doc/README.PATCH-POLICY.SUSE: Update information about the tools
  (jsc#PED-5021)
  * Replace bugzilla.novell.com with bugzilla.suse.com and FATE with Jira.
  * Limit the range of commits in the exportpatch example to prevent it
  from running for too long.
  * Incorporate URLs directly into the text.
  * Fix typos and improve some wording, in particular avoid use of "there
  is/are" and prefer the present tense over the future one.
- commit c0bea0c
* Tue Sep 26 2023 petr.pavlu@suse.com
- doc/README.PATCH-POLICY.SUSE: Update information about the patch
  format (jsc#PED-5021)
  * Replace bugzilla.novell.com with bugzilla.suse.com and FATE with Jira.
  * Remove references to links to the patchtools and kernel source. They
  are incorporated in other parts of the text.
  * Use sentence-style capitalization for section headings, as recommended
  in the current SUSE Documentation Style Guide.
  * Fix typos and some wording, in particular avoid use of "there is/are".
- commit ce98345
* Tue Sep 26 2023 petr.pavlu@suse.com
- doc/README.PATCH-POLICY.SUSE: Update the summary and background
  (jsc#PED-5021)
  * Drop information about patches being split into directories per
  a subsystem because that is no longer the case.
  * Remove the mention that the expanded tree is present since SLE11-SP2
  as that is now only a historical detail.
  * Incorporate URLs and additional information in parenthenses directly
  into the text.
  * Fix typos and improve some wording.
- commit 640988f
* Tue Sep 26 2023 lhenriques@suse.de
- blacklist.conf: Add 3af5ae22030c ("ceph: make members in struct ceph_mds_request_args_ext a union")
- commit 27f4fed
* Tue Sep 26 2023 neilb@suse.de
- NFS: More fixes for nfs_direct_write_reschedule_io()
  (bsc#1211162).
- NFS: Use the correct commit info in nfs_join_page_group()
  (bsc#1211162).
- NFS: More O_DIRECT accounting fixes for error paths (bsc#1211162).
- NFS: Fix O_DIRECT locking issues (bsc#1211162).
- NFS: Fix error handling for O_DIRECT write scheduling
  (bsc#1211162).
- NFS: Fix a potential data corruption (bsc#1211162).
- NFS: Fix a use after free in nfs_direct_join_group()
  (bsc#1211162).
- nfs: only issue commit in DIO codepath if we have uncommitted
  data (bsc#1211162).
- NFS: Fix a few more clear_bit() instances that need release
  semantics (bsc#1211162).
- commit a323cf7
* Mon Sep 25 2023 msuchanek@suse.de
- kernel-binary: Move build-time definitions together
  Move source list and build architecture to buildrequires to aid in
  future reorganization of the spec template.
- commit 30e2cef
* Mon Sep 25 2023 tbogendoerfer@suse.de
- net: mana: Add page pool for RX buffers (bsc#1214040).
- bnx2x: new flag for track HW resource allocation (bsc#1202845
  bsc#1215322).
- commit 0f79d4d
* Mon Sep 25 2023 nik.borisov@suse.com
- blacklist.conf: Ignore redundant patch
- commit 6d0ecfc
* Mon Sep 25 2023 msuchanek@suse.de
- powerpc/fadump: make is_kdump_kernel() return false when fadump
  is active (bsc#1212639 ltc#202582).
- vmcore: remove dependency with is_kdump_kernel() for exporting
  vmcore (bsc#1212639 ltc#202582).
- commit a5cc68e
* Mon Sep 25 2023 nik.borisov@suse.com
- x86/srso: Fix srso_show_state() side effect (git-fixes).
- commit 619e525
* Mon Sep 25 2023 nik.borisov@suse.com
- x86/srso: Fix SBPB enablement for spec_rstack_overflow=off (git-fixes).
- commit 5e42be0
* Mon Sep 25 2023 nik.borisov@suse.com
- x86/srso: Don't probe microcode in a guest (git-fixes).
- commit 74b567d
* Mon Sep 25 2023 nik.borisov@suse.com
- x86/srso: Set CPUID feature bits independently of bug or mitigation  status (git-fixes).
- commit c6caed4
* Sat Sep 23 2023 tiwai@suse.de
- i915/pmu: Move execlist stats initialization to execlist
  specific setup (git-fixes).
- drm/meson: fix memory leak on ->hpd_notify callback (git-fixes).
- ASoC: SOF: core: Only call sof_ops_free() on remove if the
  probe was successful (git-fixes).
- ASoC: hdaudio.c: Add missing check for devm_kstrdup (git-fixes).
- ASoC: rt5640: Fix IRQ not being free-ed for HDA jack detect mode
  (git-fixes).
- ASoC: rt5640: Fix sleep in atomic context (git-fixes).
- ASoC: rt5640: Revert "Fix sleep in atomic context" (git-fixes).
- ASoC: amd: yc: Fix non-functional mic on Lenovo 82QF and 82UG
  (git-fixes).
- commit 0a41cf6
* Sat Sep 23 2023 tiwai@suse.de
- platform/x86: intel_scu_ipc: Fail IPC send if still busy
  (git-fixes).
- platform/x86: intel_scu_ipc: Don't override scu in
  intel_scu_ipc_dev_simple_command() (git-fixes).
- platform/x86: intel_scu_ipc: Check status upon timeout in
  ipc_wait_for_interrupt() (git-fixes).
- platform/x86: intel_scu_ipc: Check status after timeout in
  busy_loop() (git-fixes).
- ASoC: imx-audmix: Fix return error with devm_clk_get()
  (git-fixes).
- ASoC: tegra: Fix redundant PLLA and PLLA_OUT0 updates
  (git-fixes).
- ASoC: soc-utils: Export snd_soc_dai_is_dummy() symbol
  (git-fixes).
- ASoC: meson: spdifin: start hw on dai probe (git-fixes).
- ALSA: hda/realtek: Splitting the UX3402 into two separate models
  (git-fixes).
- commit 5e7ab5c
* Fri Sep 22 2023 mkoutny@suse.com
- Update
  patches.suse/net-sched-cbq-dont-intepret-cls-results-when-asked-t.patch.
  (bsc#1207036 CVE-2023-23454)
  Fold downstream fixup of caa4b35b4317d5147b3ab0fbdc9c075c7d2e9c12.
- commit 6635291
* Fri Sep 22 2023 dwagner@suse.de
- scsi: lpfc: Prevent use-after-free during rmmod with mapped
  NVMe rports (git-fixes).
- scsi: lpfc: Early return after marking final NLP_DROPPED flag
  in dev_loss_tmo (git-fixes).
- scsi: lpfc: Fix the NULL vs IS_ERR() bug for
  debugfs_create_file() (git-fixes).
- commit 39e6404
* Fri Sep 22 2023 dwagner@suse.de
- scsi: qla2xxx: Fix NULL vs IS_ERR() bug for debugfs_create_dir()
  (git-fixes).
- scsi: qla2xxx: Use raw_smp_processor_id() instead of
  smp_processor_id() (git-fixes).
- commit 2981c3a
* Fri Sep 22 2023 osalvador@suse.de
- x86/sev: Make enc_dec_hypercall() accept a size instead of
  npages (bsc#1214635).
- commit c11336f
* Thu Sep 21 2023 osalvador@suse.de
- Drop amdgpu patch causing spamming (bsc#1215523)
  Deleted:
  patches.suse/drm-amdgpu-install-stub-fence-into-potential-unused-.patch.
- commit 2351f50
* Thu Sep 21 2023 lhenriques@suse.de
- fuse: nlookup missing decrement in fuse_direntplus_link
  (bsc#1215581).
- commit 7cedbed
* Thu Sep 21 2023 tiwai@suse.de
- Drop amdgpu patch causing spamming (bsc#1215523)
  Deleted:
  patches.suse/drm-amdgpu-install-stub-fence-into-potential-unused-.patch.
- commit 2cab595
* Thu Sep 21 2023 tbogendoerfer@suse.de
- selftests: mlxsw: Fix test failure on Spectrum-4 (jsc#PED-1549).
- commit 34e493d
* Thu Sep 21 2023 tbogendoerfer@suse.de
- net: mana: Configure hwc timeout from hardware (bsc#1214037).
- commit cc9aa11
* Thu Sep 21 2023 jkosina@suse.cz
- USB: core: Change usb_get_device_descriptor() API (bsc#1213123
  CVE-2023-37453 bsc#1215553 bsc#1215522 bsc#1215552).
  Refresh patches.suse/USB-core-Fix-race-by-not-overwriting-udev-descriptor.patch (add missing hunk)
  Refresh patches.suse/USB-core-Fix-oversight-in-SuperSpeed-initialization.patch (context)
- commit be6100d
* Thu Sep 21 2023 jgross@suse.com
- virtio-net: set queues after driver_ok (git-fixes).
- commit a8caba5
* Wed Sep 20 2023 jgross@suse.com
- vhost: handle error while adding split ranges to iotlb
  (git-fixes).
- commit 059dc93
* Wed Sep 20 2023 jgross@suse.com
- vhost: allow batching hint without size (git-fixes).
- commit 8c5d403
* Wed Sep 20 2023 msuchanek@suse.de
- kernel-binary: python3 is needed for build
  At least scripts/bpf_helpers_doc.py requires python3 since Linux 4.18
  Other simimlar scripts may exist.
- commit c882efa
* Wed Sep 20 2023 jgross@suse.com
- KVM: x86/mmu: Include mmu.h in spte.h (git-fixes).
- commit e049205
* Wed Sep 20 2023 jgross@suse.com
- KVM: x86: Fix KVM_CAP_SYNC_REGS's sync_regs() TOCTOU issues
  (git-fixes).
- commit fced801
* Wed Sep 20 2023 jgross@suse.com
- blacklist.conf: add b439eb8ab57855, as prereq patch is missing
- commit 7f6a95d
* Wed Sep 20 2023 jgross@suse.com
- vhost_vdpa: fix the crash in unmap a large memory (git-fixes).
- commit 5c68686
* Wed Sep 20 2023 jgross@suse.com
- iommu/virtio: Detach domain on endpoint release (git-fixes).
- commit b648ef9
* Wed Sep 20 2023 jgross@suse.com
- vhost-scsi: unbreak any layout for response (git-fixes).
- commit 374c9ef
* Wed Sep 20 2023 jgross@suse.com
- drm/virtio: Use appropriate atomic state in
  virtio_gpu_plane_cleanup_fb() (git-fixes).
- commit 491eae6
* Wed Sep 20 2023 jgross@suse.com
- drm/virtio: Correct drm_gem_shmem_get_sg_table() error handling
  (git-fixes).
- commit e8e33de
* Wed Sep 20 2023 jgross@suse.com
- virtio-net: fix race between set queues and probe (git-fixes).
- commit 1089568
* Wed Sep 20 2023 jgross@suse.com
- virtio_net: Fix probe failed when modprobe virtio_net
  (git-fixes).
- commit 5915735
* Wed Sep 20 2023 jgross@suse.com
- virtio_net: add checking sq is full inside xdp xmit (git-fixes).
- commit 87c00dd
* Wed Sep 20 2023 jgross@suse.com
- virtio_net: separate the logic of checking whether sq is full
  (git-fixes).
- commit 7064a0d
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel/vsec: Use mutex for ida_alloc() and ida_free() (bsc#1217147).
- commit d467a3d
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel/tpmi: ADD tpmi external interface for tpmi feature  drivers (bsc#1217147).
- commit 2fc7201
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel/tpmi: Process CPU package mapping (bsc#1217147).
- commit ffa3080
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel: Intel TPMI enumeration driver (bsc#1217147).
- commit 89bf620
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel/vsec: Support private data (bsc#1217147).
- Refresh patches.kabi/x86-platform-intel-vsec-struct-kabi-workaround.patch.
- commit edfdcee
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel/vsec: Enhance and Export intel_vsec_add_aux() (bsc#1217147).
- Refresh patches.kabi/x86-platform-intel-vsec-struct-kabi-workaround.patch.
- commit cffea5b
* Wed Sep 20 2023 nik.borisov@suse.com
- platform/x86/intel/vsec: Add TPMI ID (bsc#1217147).
- commit 86ed40f
* Wed Sep 20 2023 jgross@suse.com
- virtio_net: reorder some funcs (git-fixes).
- commit 4f7fbb1
* Tue Sep 19 2023 mwilck@suse.com
- nvme-auth: use chap->s2 to indicate bidirectional authentication
  (bsc#1214543).
- commit 41ae88c
* Tue Sep 19 2023 ohering@suse.de
- x86/coco: Allow CPU online/offline for a TDX VM with the paravisor on Hyper-V (bsc#1206453).
- x86/hyperv: Add hv_write_efer() for a TDX VM with the paravisor (bsc#1206453).
- x86/hyperv: Move the code in ivm.c around to avoid unnecessary ifdef's (bsc#1206453).
- x86/hyperv: Remove hv_isolation_type_en_snp (bsc#1206453).
- x86/hyperv: Use TDX GHCI to access some MSRs in a TDX VM with the paravisor (bsc#1206453).
- Drivers: hv: vmbus: Bring the post_msg_page back for TDX VMs with the paravisor (bsc#1206453).
- x86/hyperv: Introduce a global variable hyperv_paravisor_present (bsc#1206453).
- Drivers: hv: vmbus: Support >64 VPs for a fully enlightened TDX/SNP VM (bsc#1206453).
- x86/hyperv: Fix serial console interrupts for fully enlightened TDX guests (bsc#1206453).
- Drivers: hv: vmbus: Support fully enlightened TDX guests (bsc#1206453).
- x86/hyperv: Support hypercalls for fully enlightened TDX guests (bsc#1206453).
- x86/hyperv: Fix undefined reference to isolation_type_en_snp without CONFIG_HYPERV (bsc#1206453).
- x86/hyperv: Add missing 'inline' to hv_snp_boot_ap() stub (bsc#1206453).
- x86/hyperv: Add hyperv-specific handling for VMMCALL under SEV-ES (bsc#1206453).
- x86/hyperv: Add smp support for SEV-SNP guest (bsc#1206453).
- clocksource: hyper-v: Mark hyperv tsc page unencrypted in sev-snp enlightened guest (bsc#1206453).
- x86/hyperv: Use vmmcall to implement Hyper-V hypercall in sev-snp enlightened guest (bsc#1206453).
- drivers: hv: Mark percpu hvcall input arg page unencrypted in SEV-SNP enlightened guest (bsc#1206453).
- x86/hyperv: Mark Hyper-V vp assist page unencrypted in SEV-SNP enlightened guest (bsc#1206453).
- x86/hyperv: Set Virtual Trust Level in VMBus init message (bsc#1206453).
- x86/hyperv: Add sev-snp enlightened guest static key (bsc#1206453)
- x86/hyperv: Mark hv_ghcb_terminate() as noreturn (bsc#1206453).
- x86/hyperv: Add VTL specific structs and hypercalls (bsc#1206453).
- x86/coco: Export cc_vendor (bsc#1206453).
- merge HV_ISOLATION_TYPE_TDX into upstream patch file
- commit a53eaa2
* Tue Sep 19 2023 iivanov@suse.de
- module: Expose module_init_layout_section() (git-fixes)
- commit 54615cb
* Tue Sep 19 2023 iivanov@suse.de
- arm64: tegra: Update AHUB clock parent and rate (git-fixes)
- commit d3da4d8
* Tue Sep 19 2023 iivanov@suse.de
- arm64: module: Use module_init_layout_section() to spot init sections (git-fixes)
- commit f80791e
* Tue Sep 19 2023 iivanov@suse.de
- arm64: sdei: abort running SDEI handlers during crash (git-fixes)
- commit ec53ad3
* Tue Sep 19 2023 jgross@suse.com
- virtio: acknowledge all features before access (git-fixes).
- commit 4e146ad
* Tue Sep 19 2023 nmorey@suse.com
- RDMA/siw: Fabricate a GID on tun and loopback devices (git-fixes)
- commit 9b7add1
* Tue Sep 19 2023 jgross@suse.com
- hwrng: virtio - Fix race on data_avail and actual data
  (git-fixes).
- commit 6d20bd3
* Tue Sep 19 2023 jgross@suse.com
- virtio-rng: make device ready before making request (git-fixes).
- commit c09ce65
* Tue Sep 19 2023 jgross@suse.com
- vhost: fix hung thread due to erroneous iotlb entries
  (git-fixes).
- commit cc76cf8
* Tue Sep 19 2023 iivanov@suse.de
- arm64/fpsimd: Only provide the length to cpufeature for xCR registers (git-fixes)
- commit 89467e1
* Tue Sep 19 2023 iivanov@suse.de
- arm64: module-plts: inline linux/moduleloader.h (git-fixes)
- commit afca04d
* Tue Sep 19 2023 jgross@suse.com
- hwrng: virtio - always add a pending request (git-fixes).
- commit 912363c
* Tue Sep 19 2023 jgross@suse.com
- hwrng: virtio - don't waste entropy (git-fixes).
- commit 4771c4e
* Tue Sep 19 2023 jgross@suse.com
- hwrng: virtio - don't wait on cleanup (git-fixes).
- commit e9188eb
* Tue Sep 19 2023 mkubecek@suse.cz
- af_unix: Fix null-ptr-deref in unix_stream_sendpage()
  (CVE-2023-4622 bsc#1215117).
- commit a6ce336
* Tue Sep 19 2023 jgross@suse.com
- hwrng: virtio - add an internal buffer (git-fixes).
- commit 477109e
* Tue Sep 19 2023 mkubecek@suse.cz
- net/sched: sch_hfsc: Ensure inner classes have fsc curve
  (CVE-2023-4623 bsc#1215115).
- commit 72e753f
* Tue Sep 19 2023 jgross@suse.com
- virtio_ring: fix avail_wrap_counter in virtqueue_add_packed
  (git-fixes).
- commit 60546dd
* Tue Sep 19 2023 jgross@suse.com
- net: do not allow gso_size to be set to GSO_BY_FRAGS
  (git-fixes).
- commit b96a7ad
* Tue Sep 19 2023 jgross@suse.com
- virtio-mmio: don't break lifecycle of vm_dev (git-fixes).
- commit 45da2ea
* Tue Sep 19 2023 rhopkins@suse.de
- KVM: SEV: remove ghcb variable declarations (CVE-2023-4155
  bsc#1214022).
- KVM: SEV: only access GHCB fields once (CVE-2023-4155
  bsc#1214022).
- KVM: SEV: snapshot the GHCB before accessing it (CVE-2023-4155
  bsc#1214022).
- commit f5b3d4d
* Tue Sep 19 2023 jgross@suse.com
- xen: remove a confusing comment on auto-translated guest I/O
  (git-fixes).
- commit 80c5d27
* Tue Sep 19 2023 iivanov@suse.de
- spi: tegra210-quad: Enable TPM wait polling (bsc#1213534)
- commit 00c70ee
* Tue Sep 19 2023 iivanov@suse.de
- spi: Add TPM HW flow flag (bsc#1213534)
- commit 754a368
* Tue Sep 19 2023 jgross@suse.com
- x86/PVH: avoid 32-bit build warning when obtaining VGA console
  info (git-fixes).
- commit 8d6614d
* Tue Sep 19 2023 iivanov@suse.de
- spi: tegra210-quad: set half duplex flag (bsc#1213534)
- commit 6cc1be6
* Tue Sep 19 2023 iivanov@suse.de
- tpm_tis_spi: Add hardware wait polling (bsc#1213534)
- commit 8e51a51
* Tue Sep 19 2023 jgross@suse.com
- iommu/virtio: Return size mapped for a detached domain
  (git-fixes).
- commit ac677be
* Tue Sep 19 2023 jgross@suse.com
- virtio-blk: set req->state to MQ_RQ_COMPLETE after polling
  I/O is finished (git-fixes).
- commit 7124cfb
* Tue Sep 19 2023 jgross@suse.com
- vhost: allow batching hint without size (git-fixes).
- commit 89e41c0
* Mon Sep 18 2023 osalvador@suse.de
- Rename colliding patches before merging SLE15-SP4
- commit 6493f7c
* Mon Sep 18 2023 petr.pavlu@suse.com
- doc/README.SUSE: Reflow text to 80-column width (jsc#PED-5021)
- commit e8f2c67
* Mon Sep 18 2023 petr.pavlu@suse.com
- doc/README.SUSE: Minor content clean up (jsc#PED-5021)
  * Mark the user's build directory as a variable, not a command:
  'make -C $(your_build_dir)' -> 'make -C $YOUR_BUILD_DIR'.
  * Unify how to get the current directory: 'M=$(pwd)' -> 'M=$PWD'.
  * 'GIT' / 'git' -> 'Git'.
- commit 1cb4ec8
* Mon Sep 18 2023 tzimmermann@suse.com
- blacklist.conf: Append 'Revert "fbcon: Use kzalloc() in fbcon_prepare_logo()"'
- commit 501bd2e
* Mon Sep 18 2023 tzimmermann@suse.com
- blacklist.conf: Append 'video/aperture: Only remove sysfb on the default vga pci device'
- commit bfaaaff
* Mon Sep 18 2023 jgross@suse.com
- blacklist.conf: add "x86/xen: Set MTRR state when running as Xen PV initial domain"
- commit 0acd697
* Mon Sep 18 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update information about module paths
  (jsc#PED-5021)
  * Use version variables to describe names of the
  /lib/modules/$VERSION-$RELEASE-$FLAVOR/... directories
  instead of using specific example versions which get outdated quickly.
  * Note: Keep the /lib/modules/ prefix instead of using the new
  /usr/lib/modules/ location for now. The updated README is expected to
  be incorporated to various branches that are not yet usrmerged.
- commit 7eba2f0
* Mon Sep 18 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update information about custom patches
  (jsc#PED-5021)
  * Replace mention of various patches.* directories with only
  patches.suse as the typical location for patches.
  * Replace i386 with x86_64 in the example how to define a config addon.
  * Fix some typos and wording.
- commit 2997d22
* Mon Sep 18 2023 tzimmermann@suse.com
- blacklist.conf: Append 'parisc: Flush gatt writes and adjust gatt mask in parisc_agp_mask_memory()'
- commit 30a9db6
* Mon Sep 18 2023 tzimmermann@suse.com
- blacklist.conf: Append 'parisc/agp: Annotate parisc agp init functions with __init'
- commit 9eb45cc
* Mon Sep 18 2023 tiwai@suse.de
- ata: libata: disallow dev-initiated LPM transitions to
  unsupported states (git-fixes).
- i2c: aspeed: Reset the i2c controller when timeout occurs
  (git-fixes).
- selftests: tracing: Fix to unmount tracefs for recovering
  environment (git-fixes).
- drm/amd/display: fix the white screen issue when >= 64GB DRAM
  (git-fixes).
- drm: gm12u320: Fix the timeout usage for usb_bulk_msg()
  (git-fixes).
- commit 1f4e814
* Mon Sep 18 2023 wqu@suse.com
- btrfs: don't hold CPU for too long when defragging a file
  (bsc#1214988).
- commit 9b89645
* Sat Sep 16 2023 jgross@suse.com
- 9p/xen : Fix use after free bug in xen_9pfs_front_remove due
  to race condition (bsc#1215206, CVE-2023-1859).
- commit f333aa7
* Fri Sep 15 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update information about config files
  (jsc#PED-5021)
  * Use version variables to describe a name of the /boot/config-... file
  instead of using specific example versions which get outdated quickly.
  * Replace removed silentoldconfig with oldconfig.
  * Mention that oldconfig can automatically pick a base config from
  "/boot/config-$(uname -r)".
  * Avoid writing additional details in parentheses, incorporate them
  instead properly in the text.
- commit cba5807
* Fri Sep 15 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update the patch selection section
  (jsc#PED-5021)
  * Make the steps how to obtain expanded kernel source more generic in
  regards to version numbers.
  * Use '#' instead of '$' as the command line indicator to signal that
  the steps need to be run as root.
  * Update the format of linux-$SRCVERSION.tar.bz2 to xz.
  * Improve some wording.
- commit e14852c
* Fri Sep 15 2023 mkubecek@suse.cz
- netfilter: nftables: exthdr: fix 4-byte stack OOB write
  (CVE-2023-4881 bsc#1215221).
- commit 0de26c1
* Fri Sep 15 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update information about (un)supported modules
  (jsc#PED-5021)
  * Update the list of taint flags. Convert it to a table that matches the
  upstream documentation format and describe specifically flags that are
  related to module support status.
  * Fix some typos and wording.
- commit e46f0df
* Fri Sep 15 2023 petr.pavlu@suse.com
- doc/README.SUSE: Bring information about compiling up to date
  (jsc#PED-5021)
  * When building the kernel, don't mention to initially change the
  current directory to /usr/src/linux because later description
  discourages it and specifies to use 'make -C /usr/src/linux'.
  * Avoid writing additional details in parentheses, incorporate them
  instead properly in the text.
  * Fix the obsolete name of /etc/modprobe.d/unsupported-modules ->
  /etc/modprobe.d/10-unsupported-modules.conf.
  * Drop a note that a newly built kernel should be added to the boot
  manager because that normally happens automatically when running
  'make install'.
  * Update a link to the Kernel Module Packages Manual.
  * When preparing a build for external modules, mention use of the
  upstream recommended 'make modules_prepare' instead of a pair of
  'make prepare' + 'make scripts'.
  * Fix some typos+grammar.
- commit b9b7e79
* Thu Sep 14 2023 mkubecek@suse.cz
- sctp: leave the err path free in sctp_stream_init to
  sctp_stream_free (CVE-2023-2177 bsc#1210643).
- commit 337b7d8
* Wed Sep 13 2023 petr.pavlu@suse.com
- doc/README.SUSE: Bring the overview section up to date
  (jsc#PED-5021)
  * Update information in the overview section that was no longer
  accurate.
  * Improve wording and fix some typos+grammar.
- commit 798c075
* Wed Sep 13 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update the references list (jsc#PED-5021)
  * Remove the reference to Linux Documentation Project. It has been
  inactive for years and mostly contains old manuals that aren't
  relevant for contemporary systems and hardware.
  * Update the name and link to LWN.net. The original name "Linux Weekly
  News" has been deemphasized over time by its authors.
  * Update the link to Kernel newbies website.
  * Update the reference to The Linux Kernel Module Programming Guide. The
  document has not been updated for over a decade but it looks its
  content is still relevant for today.
  * Point Kernel Module Packages Manual to the current version.
  * Add a reference to SUSE SolidDriver Program.
- commit 0edac75
* Wed Sep 13 2023 mfranc@suse.cz
- s390/ipl: add loadparm parameter to eckd ipl/reipl data
  (jsc#PED-2023).
- commit 364a30d
* Wed Sep 13 2023 mfranc@suse.cz
- s390/ipl: add DEFINE_GENERIC_LOADPARM() (jsc#PED-2023).
- commit cd6d27a
* Wed Sep 13 2023 mfranc@suse.cz
- s390/ipl: use octal values instead of S_* macros (jsc#PED-2023).
- commit db2ef83
* Wed Sep 13 2023 mfranc@suse.cz
- kabi: hide changes in enum ipl_type and struct sclp_info
  (jsc#PED-2023 jsc#PED-2025).
- commit b6fb6b6
* Wed Sep 13 2023 mfranc@suse.cz
- s390/ipl: add eckd dump support (jsc#PED-2025).
- commit 0961d1f
* Wed Sep 13 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update title information (jsc#PED-5021)
  * Drop the mention of kernel versions from the readme title.
  * Remove information about the original authors of the document. Rely as
  in case of other readmes on Git metadata to get information about all
  contributions.
  * Strip the table of contents. The document is short and easy to
  navigate just by scrolling through it.
- commit 06f5139
* Wed Sep 13 2023 petr.pavlu@suse.com
- doc/README.SUSE: Update information about DUD (jsc#PED-5021)
  Remove a dead link to description of Device Update Disks found
  previously on novell.com. Replace it with a short section summarizing
  what DUD is and reference the mkdud + mksusecd tools and their
  documentation for more information.
- commit 7eeba4e
* Wed Sep 13 2023 tiwai@suse.de
- platform/mellanox: mlxbf-pmc: Fix reading of unprogrammed events
  (git-fixes).
- platform/mellanox: mlxbf-pmc: Fix potential buffer overflows
  (git-fixes).
- platform/mellanox: mlxbf-tmfifo: Drop jumbo frames (git-fixes).
- platform/mellanox: mlxbf-tmfifo: Drop the Rx packet if no more
  descriptors (git-fixes).
- kselftest/runner.sh: Propagate SIGTERM to runner child
  (git-fixes).
- commit 495d04f
* Wed Sep 13 2023 mfranc@suse.cz
- s390/ipl: add eckd support (jsc#PED-2023).
- commit 21b5156
* Tue Sep 12 2023 vbabka@suse.cz
- Delete patches.suse/genksyms-add-override-flag.diff.
  Unncessary after KBUILD_OVERRIDE removed.
- commit 870adc7
* Tue Sep 12 2023 mfranc@suse.cz
- s390/dasd: fix command reject error on ESE devices (LTC#203630
  bsc#1215123 git-fixes).
- commit 5862ca2
* Tue Sep 12 2023 jroedel@suse.de
- x86/sev: Make enc_dec_hypercall() accept a size instead of npages (bsc#1214635).
- commit 834e1c2
* Tue Sep 12 2023 jack@suse.cz
- jbd2: restore t_checkpoint_io_list to maintain kABI
  (bsc#1214946).
- commit 1a1980a
* Tue Sep 12 2023 petr.pavlu@suse.com
- rpm/kernel-binary.spec.in: Drop use of KBUILD_OVERRIDE=1
  Genksyms has functionality to specify an override for each type in
  a symtypes reference file. This override is then used instead of an
  actual type and allows to preserve modversions (CRCs) of symbols that
  reference the type. It is kind of an alternative to doing kABI fix-ups
  with '#ifndef __GENKSYMS__'. The functionality is hidden behind the
  genksyms --preserve option which primarily tells the tool to strictly
  verify modversions against a given reference file or fail.
  Downstream patch patches.suse/genksyms-add-override-flag.diff which is
  present in various kernel-source branches separates the override logic.
  It allows it to be enabled with a new --override flag and used without
  specifying the --preserve option. Setting KBUILD_OVERRIDE=1 in the spec
  file is then a way how the build is told that --override should be
  passed to all invocations of genksyms. This was needed for SUSE kernels
  because their build doesn't use --preserve but instead resulting CRCs
  are later checked by scripts/kabi.pl.
  However, this override functionality was not utilized much in practice
  and the only use currently to be found is in SLE11-SP1-LTSS. It means
  that no one should miss this option and KBUILD_OVERRIDE=1 together with
  patches.suse/genksyms-add-override-flag.diff can be removed.
  Notes for maintainers merging this commit to their branches:
  * Downstream patch patches.suse/genksyms-add-override-flag.diff can be
  dropped after merging this commit.
  * Branch SLE11-SP1-LTSS uses the mentioned override functionality and
  this commit should not be merged to it, or needs to be reverted
  afterwards.
- commit 4aa02b8
* Mon Sep 11 2023 tiwai@suse.de
- drm/display: Don't assume dual mode adaptors support i2c
  sub-addressing (bsc#1213808).
- commit 9c64306
* Mon Sep 11 2023 mfranc@suse.cz
- s390/dasd: fix hanging device after request requeue (git-fixes
  LTC#203629 bsc#1215124).
- commit 96b18bb
* Mon Sep 11 2023 msuchanek@suse.de
- blacklist.conf: Add ef73dcaa3121 ("powerpc: xmon: remove unused variables")
- commit 78179fa
* Mon Sep 11 2023 msuchanek@suse.de
- powerpc/iommu: Fix notifiers being shared by PCI and VIO buses
  (bsc#1065729).
- powerpc/xics: Remove unnecessary endian conversion
  (bsc#1065729).
- word-at-a-time: use the same return type for has_zero regardless
  of endianness (bsc#1065729).
- commit bde8063
* Mon Sep 11 2023 petr.pavlu@suse.com
- mlx4: Delete custom device management logic (bsc#1187236).
- mlx4: Connect the infiniband part to the auxiliary bus
  (bsc#1187236).
- mlx4: Connect the ethernet part to the auxiliary bus
  (bsc#1187236).
- mlx4: Register mlx4 devices to an auxiliary virtual bus
  (bsc#1187236).
- mlx4: Avoid resetting MLX4_INTFF_BONDING per driver
  (bsc#1187236).
- mlx4: Move the bond work to the core driver (bsc#1187236).
- mlx4: Get rid of the mlx4_interface.activate callback
  (bsc#1187236).
- mlx4: Replace the mlx4_interface.event callback with a notifier
  (bsc#1187236).
- commit 0aba257
* Mon Sep 11 2023 petr.pavlu@suse.com
- mlx4: Use 'void *' as the event param of mlx4_dispatch_event()
  (bsc#1187236).
- mlx4: Rename member mlx4_en_dev.nb to netdev_nb (bsc#1187236).
- mlx4: Get rid of the mlx4_interface.get_dev callback
  (bsc#1187236).
- net/mlx4: Remove many unnecessary NULL values (bsc#1187236).
- kabi/severities: ignore mlx4 internal symbols
- tracing: Fix race issue between cpu buffer write and swap
  (git-fixes).
- tracing: Remove extra space at the end of hwlat_detector/mode
  (git-fixes).
- tracing: Remove unnecessary copying of tr->current_trace
  (git-fixes).
- bpf: Clear the probe_addr for uprobe (git-fixes).
- commit 47e9584
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/fpu: Take task_struct* in copy_sigframe_from_user_to_xstate() (git-fixes).
- commit 74c2613
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/mm: Avoid incomplete Global INVLPG flushes (git-fixes).
- commit a8877f3
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/resctrl: Fix to restore to original value when re-enabling hardware prefetch register (git-fixes).
- commit 670fb4d
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/resctrl: Fix task CLOSID/RMID update race (git-fixes).
- commit 9871c87
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/reboot: Disable virtualization in an emergency if SVM is supported (git-fixes).
- commit 3949a2b
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/virt: Force GIF=1 prior to disabling SVM (for reboot flows) (git-fixes).
- commit 4534667
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/sgx: Reduce delay and interference of enclave release (git-fixes).
- commit ef6d157
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/rtc: Remove __init for runtime functions (git-fixes).
- commit 4511d93
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/mm: Do not shuffle CPU entry areas without KASLR (git-fixes).
- commit cb39678
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/mce: Retrieve poison range from hardware (git-fixes).
- commit c9f1ddb
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/ioremap: Fix page aligned size calculation in __ioremap_caller() (git-fixes).
- commit 96d9365
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/mem_encrypt: Unbreak the AMD_MEM_ENCRYPT=n build (git-fixes).
- commit 12a2933
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/resctl: fix scheduler confusion with 'current' (git-fixes).
- commit 0d855b9
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/purgatory: remove PGO flags (git-fixes).
- commit 9d8ada6
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/ioapic: Don't return 0 from arch_dynirq_lower_bound() (git-fixes).
- commit ea0772f
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/i8259: Mark legacy PIC interrupts with IRQ_LEVEL (git-fixes).
- commit c1031f1
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/head/64: Switch to KERNEL_CS as soon as new GDT is installed (git-fixes).
- commit bbfad26
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/cpu: Add model number for Intel Arrow Lake processor (git-fixes).
- commit bf6d064
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/cpu: Add Lunar Lake M (git-fixes).
- commit 7ecc64d
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/bugs: Reset speculation control settings on init (git-fixes).
- commit 2a6dd8e
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/boot/e820: Fix typo in e820.c comment (git-fixes).
- commit ac06968
* Mon Sep 11 2023 nik.borisov@suse.com
- x86/alternative: Fix race in try_get_desc() (git-fixes).
- commit d841323
* Mon Sep 11 2023 nik.borisov@suse.com
- uprobes/x86: Allow to probe a NOP instruction with 0x66 prefix (git-fixes).
- commit 11f0960
* Mon Sep 11 2023 nik.borisov@suse.com
- KVM: VMX: Fix header file dependency of asm/vmx.h (git-fixes).
- commit cae635f
* Mon Sep 11 2023 nik.borisov@suse.com
- KVM: SVM: Remove a duplicate definition of VMCB_AVIC_APIC_BAR_MASK (git-fixes).
- commit 2a03ef8
* Mon Sep 11 2023 tiwai@suse.de
- Revert "PCI: Mark NVIDIA T4 GPUs to avoid bus reset"
  (git-fixes).
- PCI: Free released resource after coalescing (git-fixes).
- ntb: Fix calculation ntb_transport_tx_free_entry() (git-fixes).
- ntb: Drop packets when qp link is down (git-fixes).
- ntb: Clean up tx tail index on link down (git-fixes).
- idr: fix param name in idr_alloc_cyclic() doc (git-fixes).
- commit a1c9c68
* Sun Sep 10 2023 ohering@suse.de
- x86/hyperv: Add hv_isolation_type_tdx() to detect TDX guests (bsc#1206453).
- arm64/hyperv: Use CPUHP_AP_HYPERV_ONLINE state to fix CPU online sequencing (bsc#1206453).
- x86/hyperv: Fix hyperv_pcpu_input_arg handling when CPUs go online/offline (bsc#1206453).
- commit 665fc14
* Sat Sep  9 2023 tiwai@suse.de
- ALSA: hda/cirrus: Fix broken audio on hardware with two CS42L42
  codecs (git-fixes).
- arm64: csum: Fix OoB access in IP checksum code for negative
  lengths (git-fixes).
- commit f43b75b
* Fri Sep  8 2023 sthackarajan@suse.de
- patches.suse/ovl-remove-privs-in-ovl_copyfile.patch:(git-fixes).
- commit daa1815
* Fri Sep  8 2023 lhenriques@suse.de
- ceph: make num_fwd and num_retry to __u32 (jsc#SES-1880).
- ceph: switch ceph_lookup/atomic_open() to use new fscrypt helper
  (jsc#SES-1880).
- ceph: fix updating i_truncate_pagecache_size for fscrypt
  (jsc#SES-1880).
- ceph: wait for OSD requests' callbacks to finish when unmounting
  (jsc#SES-1880).
- ceph: drop messages from MDS when unmounting (jsc#SES-1880).
- ceph: prevent snapshot creation in encrypted locked directories
  (jsc#SES-1880).
- ceph: add support for encrypted snapshot names (jsc#SES-1880).
- ceph: invalidate pages when doing direct/sync writes
  (jsc#SES-1880).
- ceph: plumb in decryption during reads (jsc#SES-1880).
- ceph: add encryption support to writepage and writepages
  (jsc#SES-1880).
- ceph: add read/modify/write to ceph_sync_write (jsc#SES-1880).
- ceph: align data in pages in ceph_sync_write (jsc#SES-1880).
- ceph: don't use special DIO path for encrypted inodes
  (jsc#SES-1880).
- ceph: add truncate size handling support for fscrypt
  (jsc#SES-1880).
- ceph: add object version support for sync read (jsc#SES-1880).
- libceph: allow ceph_osdc_new_request to accept a multi-op read
  (jsc#SES-1880).
- libceph: add CEPH_OSD_OP_ASSERT_VER support (jsc#SES-1880).
- ceph: add infrastructure for file encryption and decryption
  (jsc#SES-1880).
- ceph: handle fscrypt fields in cap messages from MDS
  (jsc#SES-1880).
- ceph: size handling in MClientRequest, cap updates and inode
  traces (jsc#SES-1880).
- ceph: mark directory as non-complete after loading key
  (jsc#SES-1880).
- ceph: allow encrypting a directory while not having Ax caps
  (jsc#SES-1880).
- ceph: add some fscrypt guardrails (jsc#SES-1880).
- ceph: create symlinks with encrypted and base64-encoded targets
  (jsc#SES-1880).
- ceph: add support to readdir for encrypted names (jsc#SES-1880).
- ceph: pass the request to parse_reply_info_readdir()
  (jsc#SES-1880).
- ceph: make ceph_fill_trace and ceph_get_name decrypt names
  (jsc#SES-1880).
- ceph: add helpers for converting names for userland presentation
  (jsc#SES-1880).
- ceph: make d_revalidate call fscrypt revalidator for encrypted
  dentries (jsc#SES-1880).
- ceph: set DCACHE_NOKEY_NAME flag in ceph_lookup/atomic_open()
  (jsc#SES-1880).
- ceph: decode alternate_name in lease info (jsc#SES-1880).
- ceph: send alternate_name in MClientRequest (jsc#SES-1880).
- ceph: encode encrypted name in ceph_mdsc_build_path and dentry
  release (jsc#SES-1880).
- ceph: add base64 endcoding routines for encrypted names
  (jsc#SES-1880).
- ceph: make ioctl cmds more readable in debug log (jsc#SES-1880).
- ceph: add fscrypt ioctls and ceph.fscrypt.auth vxattr
  (jsc#SES-1880).
- ceph: implement -o test_dummy_encryption mount option
  (jsc#SES-1880).
- ceph: fscrypt_auth handling for ceph (jsc#SES-1880).
- ceph: use osd_req_op_extent_osd_iter for netfs reads
  (jsc#SES-1880).
- libceph: add new iov_iter-based ceph_msg_data_type and
  ceph_osd_data_type (jsc#SES-1880).
- ceph: make ceph_msdc_build_path use ref-walk (jsc#SES-1880).
- ceph: preallocate inode for ops that may create one
  (jsc#SES-1880).
- ceph: add new mount option to enable sparse reads
  (jsc#SES-1880).
- fscrypt: new helper function - fscrypt_prepare_lookup_partial()
  (jsc#SES-1880).
- commit e0cd53a
* Fri Sep  8 2023 mfranc@suse.cz
- s390/qeth: Don't call dev_close/dev_open (DOWN/UP) (bsc#1214873
  git-fixes).
- commit b0dc76c
* Fri Sep  8 2023 dwagner@suse.de
- nvme-tcp: add recovery_delay to sysfs (bsc#1201284).
- nvme-tcp: delay error recovery until the next KATO interval
  (bsc#1201284).
- nvme-tcp: make 'err_work' a delayed work (bsc#1201284).
- nvme-tcp: Do not terminate commands when in RESETTING
  (bsc#1201284).
- commit 96ee377
* Fri Sep  8 2023 mfranc@suse.cz
- s390/zcrypt: don't leak memory if dev_set_name() fails
  (git-fixes bsc#1215148).
- commit 62bce52
* Fri Sep  8 2023 tiwai@suse.de
- drm/amd/display: enable cursor degamma for DCN3+ DRM legacy
  gamma (git-fixes).
- drm/amd/display: Remove wait while locked (git-fixes).
- drm/amd/display: Add smu write msg id fail retry process
  (git-fixes).
- drm/amd/display: register edp_backlight_control() for DCN301
  (git-fixes).
- drm/i915/gvt: Put the page reference obtained by KVM's
  gfn_to_pfn() (git-fixes).
- drm/i915/gvt: Verify pfn is "valid" before dereferencing
  "struct page" (git-fixes).
- commit 5618424
* Fri Sep  8 2023 tiwai@suse.de
- drm/amd/display: prevent potential division by zero errors
  (git-fixes).
- drm/i915: mark requests for GuC virtual engines to avoid
  use-after-free (git-fixes).
- net: phy: micrel: Correct bit assignments for phy_device flags
  (git-fixes).
- pwm: lpc32xx: Remove handling of PWM channels (git-fixes).
- i3c: master: svc: fix probe failure when no i3c device exist
  (git-fixes).
- drm/i915/gvt: Drop unused helper intel_vgpu_reset_gtt()
  (git-fixes).
- commit 3aa0807
* Thu Sep  7 2023 lhenriques@suse.de
- libceph: add sparse read support to OSD client (jsc#SES-1880).
- Refresh
  patches.suse/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- commit b981786
* Thu Sep  7 2023 lhenriques@suse.de
- libceph: add sparse read support to msgr1 (jsc#SES-1880).
- libceph: support sparse reads on msgr2 secure codepath
  (jsc#SES-1880).
- libceph: new sparse_read op, support sparse reads on msgr2
  crc codepath (jsc#SES-1880).
- commit 588989e
* Thu Sep  7 2023 lhenriques@suse.de
- libceph: define struct ceph_sparse_extent and add some helpers
  (jsc#SES-1880).
- Refresh
  patches.suse/libceph-add-support-for-CMPEXT-compare-extent-reques.patch.
- commit 8520c28
* Thu Sep  7 2023 lhenriques@suse.de
- libceph: add spinlock around osd->o_requests (jsc#SES-1880).
- ceph: voluntarily drop Xx caps for requests those touch parent
  mtime (jsc#SES-1880).
- commit f6bb2ab
* Thu Sep  7 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit fe6afec
* Thu Sep  7 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit b1fabe7
* Thu Sep  7 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit c50e08f
* Thu Sep  7 2023 oneukum@suse.com
- Input: tca6416-keypad - fix interrupt enable disbalance
  (git-fixes).
- commit de27518
* Thu Sep  7 2023 lhenriques@suse.de
- fs: do not update freeing inode i_io_list (bsc#1214813).
- fs: record I_DIRTY_TIME even if inode already has I_DIRTY_INODE
  (bsc#1214813).
- commit 2c1c38b
* Thu Sep  7 2023 tiwai@suse.de
- watchdog: intel-mid_wdt: add MODULE_ALIAS() to allow auto-load
  (git-fixes).
- backlight: gpio_backlight: Drop output GPIO direction check
  for initial power state (git-fixes).
- USB: serial: option: add FOXCONN T99W368/T99W373 product
  (git-fixes).
- USB: serial: option: add Quectel EM05G variant (0x030e)
  (git-fixes).
- tcpm: Avoid soft reset when partner does not support get_status
  (git-fixes).
- usb: typec: tcpci: clear the fault status bit (git-fixes).
- ARM: pxa: remove use of symbol_get() (git-fixes).
- Bluetooth: btsdio: fix use after free bug in btsdio_remove
  due to race condition (git-fixes).
- usb: typec: tcpci: move tcpci.h to include/linux/usb/
  (git-fixes).
- commit 72d5b0f
* Wed Sep  6 2023 lduncan@suse.com
- blacklist.conf: add git-fix to ignore
  this one removes unused kABI functions, but
  just leave them in
- commit 8007015
* Wed Sep  6 2023 lduncan@suse.com
- scsi: snic: Fix double free in snic_tgt_create() (git-fixes).
- commit 1ed2b1b
* Wed Sep  6 2023 mhocko@suse.com
- blacklist.conf: 9011e49d54dc ("modules: only allow symbol_get of
  EXPORT_SYMBOL_GPL modules") is not really fixing any existing bug.
- commit 550f5fc
* Wed Sep  6 2023 tiwai@suse.de
- Move upstreamed pinctrl patch into sorted section
- commit 38f70f2
* Wed Sep  6 2023 jlee@suse.com
- Update References tag
  patches.suse/Bluetooth-L2CAP-Fix-use-after-free-in-l2cap_sock_rea.patch
  (git-fixes bsc#1214233 CVE-2023-40283).
- commit 731b49d
* Wed Sep  6 2023 tiwai@suse.de
- ata: pata_falcon: fix IO base selection for Q40 (git-fixes).
- ata: sata_gemini: Add missing MODULE_DESCRIPTION (git-fixes).
- ata: pata_ftide010: Add missing MODULE_DESCRIPTION (git-fixes).
- kconfig: fix possible buffer overflow (git-fixes).
- commit 4a140a1
* Wed Sep  6 2023 jlee@suse.com
- Update References
  patches.suse/Bluetooth-L2CAP-Fix-use-after-free-in-l2cap_sock_rea.patch
  (git-fixes bsc#1214233 CVE-2023-40283).
- commit 63a801c
* Tue Sep  5 2023 msuchanek@suse.de
- powerpc/rtas: mandate RTAS syscall filtering (bsc#1023051).
- commit ac82be8
* Tue Sep  5 2023 msuchanek@suse.de
- Refresh sorted section
- commit a6fbcee
* Tue Sep  5 2023 mkubecek@suse.cz
- netfilter: nf_tables: use correct lock to protect gc_list
  (CVE-2023-4563 bsc#1214727).
- netfilter: nf_tables: GC transaction race with abort path
  (CVE-2023-4563 bsc#1214727).
- netfilter: nf_tables: GC transaction race with netns dismantle
  (CVE-2023-4563 bsc#1214727).
- netfilter: nf_tables: fix GC transaction races with netns and
  netlink event exit path (CVE-2023-4563 bsc#1214727).
- netfilter: nf_tables: fix kdoc warnings after gc rework
  (CVE-2023-4563 bsc#1214727).
- refresh
  - patches.kabi/kabi-hide-changes-in-struct-nft_set.patch
- kabi: hide changes in struct nft_set (CVE-2023-4563
  bsc#1214727).
- netfilter: nf_tables: GC transaction API to avoid race with
  control plane (CVE-2023-4563 bsc#1214727).
- commit cfed41c
* Tue Sep  5 2023 jack@suse.cz
- quota: add new helper dquot_active() (bsc#1214998).
- commit 26cc2da
* Tue Sep  5 2023 jack@suse.cz
- quota: rename dquot_active() to inode_quota_active()
  (bsc#1214997).
- commit c4d7e83
* Tue Sep  5 2023 jack@suse.cz
- quota: factor out dquot_write_dquot() (bsc#1214995).
- commit 40e5ccd
* Tue Sep  5 2023 nik.borisov@suse.com
- x86/speculation: Mark all Skylake CPUs as vulnerable to GDS (git-fixes).
- commit 47ff352
* Tue Sep  5 2023 jack@suse.cz
- block/mq-deadline: use correct way to throttling write requests
  (bsc#1214993).
- commit a152c28
* Tue Sep  5 2023 jack@suse.cz
- blk-iocost: use spin_lock_irqsave in adjust_inuse_and_calc_cost
  (bsc#1214992).
- commit 61a6c12
* Tue Sep  5 2023 jack@suse.cz
- loop: Fix use-after-free issues (bsc#1214991).
- commit 761b7ce
* Tue Sep  5 2023 jack@suse.cz
- loop: loop_set_status_from_info() check before assignment
  (bsc#1214990).
- commit 777c353
* Tue Sep  5 2023 jack@suse.cz
- blk-iocost: fix divide by 0 error in calc_lcoefs()
  (bsc#1214986).
- commit bfe49ae
* Tue Sep  5 2023 petr.pavlu@suse.com
- fprobe: Ensure running fprobe_exit_handler() finished before
  calling rethook_free() (git-fixes).
- commit eaf20f1
* Tue Sep  5 2023 tzimmermann@suse.com
- "drm/vmwgfx: Remove rcu locks from user resources" (bsc#1203329 CVE-2022-40133 bsc#1203330 CVE-2022-38457)
  This patch also fixes two CVEs. Update the References tag accordingly.
- commit 552e790
* Tue Sep  5 2023 mfranc@suse.cz
- s390/ipl: add missing secure/has_secure file to ipl type
  'unknown' (bsc#1214976).
- commit 33974e8
* Tue Sep  5 2023 tiwai@suse.de
- cpufreq: Fix the race condition while updating the
  transition_task of policy (git-fixes).
- rpmsg: glink: Add check for kstrdup (git-fixes).
- leds: turris-omnia: Drop unnecessary mutex locking (git-fixes).
- leds: trigger: tty: Do not use LED_ON/OFF constants, use
  led_blink_set_oneshot instead (git-fixes).
- leds: Fix BUG_ON check for LED_COLOR_ID_MULTI that is always
  false (git-fixes).
- leds: multicolor: Use rounded division when calculating color
  components (git-fixes).
- leds: pwm: Fix error code in led_pwm_create_fwnode()
  (git-fixes).
- docs: printk-formats: Fix hex printing of signed values
  (git-fixes).
- commit 1c98d58
* Mon Sep  4 2023 lduncan@suse.com
- scsi: qedf: Fix firmware halt over suspend and resume
  (git-fixes).
- scsi: qedi: Fix firmware halt over suspend and resume
  (git-fixes).
- scsi: snic: Fix possible memory leak if device_add() fails
  (git-fixes).
- scsi: core: Fix possible memory leak if device_add() fails
  (git-fixes).
- scsi: core: Fix legacy /proc parsing buffer overflow
  (git-fixes).
- scsi: 53c700: Check that command slot is not NULL (git-fixes).
- scsi: fnic: Replace return codes in fnic_clean_pending_aborts()
  (git-fixes).
- scsi: scsi_debug: Remove dead code (git-fixes).
- scsi: 3w-xxxx: Add error handling for initialization failure
  in tw_probe() (git-fixes).
- scsi: qedf: Fix NULL dereference in error handling (git-fixes).
- commit f8c12c2
* Mon Sep  4 2023 palcantara@suse.de
- cifs: Fix UAF in cifs_demultiplex_thread() (bsc#1208995
  CVE-2023-1192).
- commit 542332a
* Mon Sep  4 2023 lduncan@suse.com
- blacklist.conf: add git-fix that breaks kabi
- commit 8b9578b
* Mon Sep  4 2023 jack@suse.cz
- udf: Fix uninitialized array access for some pathnames
  (bsc#1214967).
- commit 00df6f1
* Mon Sep  4 2023 jack@suse.cz
- udf: Fix off-by-one error when discarding preallocation
  (bsc#1214966).
- commit 03b82ad
* Mon Sep  4 2023 jack@suse.cz
- udf: Fix file corruption when appending just after end of
  preallocated extent (bsc#1214965).
- commit 4b5134d
* Mon Sep  4 2023 jack@suse.cz
- udf: Fix extension of the last extent in the file (bsc#1214964).
- commit ae72675
* Mon Sep  4 2023 jack@suse.cz
- quota: fix dqput() to follow the guarantees dquot_srcu should
  provide (bsc#1214963).
- commit e6fd888
* Mon Sep  4 2023 jack@suse.cz
- quota: fix warning in dqgrab() (bsc#1214962).
- commit e51a8ce
* Mon Sep  4 2023 jack@suse.cz
- quota: Properly disable quotas when add_dquot_ref() fails
  (bsc#1214961).
- commit 4d1d992
* Mon Sep  4 2023 jack@suse.cz
- fs: Lock moved directories (bsc#1214959).
- commit cae328c
* Mon Sep  4 2023 jack@suse.cz
- fs: Establish locking order for unrelated directories
  (bsc#1214958).
- commit 5f1d5b9
* Mon Sep  4 2023 jack@suse.cz
- ext4: Remove ext4 locking of moved directory (bsc#1214957).
- commit 37394c0
* Mon Sep  4 2023 jack@suse.cz
- blacklist.conf: Blacklist 69562eb0bd3e
- commit 1f4b3d5
* Mon Sep  4 2023 mgorman@suse.de
- sched/fair: Use recent_used_cpu to test p->cpus_ptr (git fixes).
- sched/fair: Fix inaccurate tally of ttwu_move_affine (git
  fixes).
- commit 4be7d48
* Mon Sep  4 2023 jack@suse.cz
- jbd2: correct the end of the journal recovery scan range
  (bsc#1214955).
- commit 11f4a50
* Mon Sep  4 2023 jack@suse.cz
- ext4: fix memory leaks in
  ext4_fname_{setup_filename,prepare_lookup} (bsc#1214954).
- commit 4b6c845
* Mon Sep  4 2023 jack@suse.cz
- jbd2: check 'jh->b_transaction' before removing it from
  checkpoint (bsc#1214953).
- commit 03f7b6f
* Mon Sep  4 2023 jack@suse.cz
- jbd2: fix checkpoint cleanup performance regression
  (bsc#1214952).
- commit 5a6fc81
* Mon Sep  4 2023 jack@suse.cz
- ext4: avoid potential data overflow in next_linear_group
  (bsc#1214951).
- commit 3e19652
* Mon Sep  4 2023 jack@suse.cz
- ext4: correct inline offset when handling xattrs in inode body
  (bsc#1214950).
- commit 86048c8
* Mon Sep  4 2023 jack@suse.cz
- jbd2: fix a race when checking checkpoint buffer busy
  (bsc#1214949).
- commit 003f040
* Mon Sep  4 2023 jack@suse.cz
- jbd2: Fix wrongly judgement for buffer head removing while
  doing checkpoint (bsc#1214948).
- commit 4a7cf2e
* Mon Sep  4 2023 jack@suse.cz
- jbd2: remove journal_clean_one_cp_list() (bsc#1214947).
- commit c697d1d
* Mon Sep  4 2023 jack@suse.cz
- jbd2: remove t_checkpoint_io_list (bsc#1214946).
- commit fb2b64f
* Mon Sep  4 2023 jack@suse.cz
- jbd2: recheck chechpointing non-dirty buffer (bsc#1214945).
- commit bc0367a
* Mon Sep  4 2023 jack@suse.cz
- ext4: fix wrong unit use in ext4_mb_new_blocks (bsc#1214944).
- commit bf72f09
* Mon Sep  4 2023 jack@suse.cz
- ext4: fix wrong unit use in ext4_mb_clear_bb (bsc#1214943).
- commit a5e1fe1
* Mon Sep  4 2023 jack@suse.cz
- ext4: get block from bh in ext4_free_blocks for fast commit
  replay (bsc#1214942).
- commit f797e3b
* Mon Sep  4 2023 jack@suse.cz
- ext4: reflect error codes from ext4_multi_mount_protect()
  to its callers (bsc#1214941).
- commit eadc3e7
* Mon Sep  4 2023 oneukum@suse.com
- USB: core: Fix oversight in SuperSpeed initialization
  (bsc#1213123 CVE-2023-37453).
- commit 6b6c148
* Mon Sep  4 2023 jack@suse.cz
- ext4: set goal start correctly in ext4_mb_normalize_request
  (bsc#1214940).
- commit cc90b6a
* Mon Sep  4 2023 mgorman@suse.de
- blacklist.conf: Not a fix, relatively high risk of performance regression
- commit fd04425
* Mon Sep  4 2023 oneukum@suse.com
- USB: core: Fix race by not overwriting udev->descriptor in
  hub_port_init() (bsc#1213123 CVE-2023-37453).
- commit a1f446d
* Mon Sep  4 2023 oneukum@suse.com
- USB: core: Unite old scheme and new scheme descriptor reads
  (bsc#1213123 CVE-2023-37453).
- commit 9f60ef1
* Mon Sep  4 2023 mfranc@suse.cz
- Refresh
  patches.suse/0002-nvme-tcp-fix-potential-unbalanced-freeze-unfreeze.patch.
- Refresh
  patches.suse/0003-nvme-rdma-fix-potential-unbalanced-freeze-unfreeze.patch.
- commit 452e63f
* Mon Sep  4 2023 dwagner@suse.de
- scsi: lpfc: Do not abuse UUID APIs and LPFC_COMPRESS_VMID_SIZE
  (git-fixes).
- scsi: lpfc: Modify when a node should be put in device recovery
  mode during RSCN (git-fixes).
- scsi: lpfc: Remove reftag check in DIF paths (git-fixes).
- commit 8c191d2
* Mon Sep  4 2023 dwagner@suse.de
- scsi: qla2xxx: Remove unused variables in
  qla24xx_build_scsi_type_6_iocbs() (bsc#1214928).
- scsi: qla2xxx: Update version to 10.02.09.100-k (bsc#1214928).
- Revert "scsi: qla2xxx: Fix buffer overrun" (bsc#1214928).
- scsi: qla2xxx: Fix smatch warn for qla_init_iocb_limit()
  (bsc#1214928).
- scsi: qla2xxx: Remove unsupported ql2xenabledif option
  (bsc#1214928).
- scsi: qla2xxx: Error code did not return to upper layer
  (bsc#1214928).
- scsi: qla2xxx: Add logs for SFP temperature monitoring
  (bsc#1214928).
- scsi: qla2xxx: Fix firmware resource tracking (bsc#1214928).
- scsi: qla2xxx: Flush mailbox commands on chip reset
  (bsc#1214928).
- scsi: qla2xxx: Allow 32-byte CDBs (bsc#1214928).
- scsi: qla2xxx: Move resource to allow code reuse (bsc#1214928).
- scsi: qla2xxx: Remove unused declarations (bsc#1214928).
- commit 1dd6a86
* Mon Sep  4 2023 dwagner@suse.de
- series: update meta data
  Move qla2xxx, lpcf, powerpc, net anc cpu patches into main section.
- commit b5aafc0
* Mon Sep  4 2023 nmorey@suse.com
- scsi: RDMA/srp: Fix residual handling (git-fixes)
- commit 429e77b
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/efa: Fix wrong resources deallocation order (git-fixes)
- commit c7f667b
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/siw: Correct wrong debug message (git-fixes)
- commit 3732fc1
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/siw: Balance the reference of cep->kref in the error path (git-fixes)
- commit 9281d22
* Mon Sep  4 2023 nmorey@suse.com
- Revert "IB/isert: Fix incorrect release of isert connection" (git-fixes)
- commit 1b277c9
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/irdma: Prevent zero-length STAG registration (git-fixes)
- commit e55bab1
* Mon Sep  4 2023 nmorey@suse.com
- IB/uverbs: Fix an potential error pointer dereference (git-fixes)
- commit 0e5f5fb
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/hns: Fix CQ and QP cache affinity (git-fixes)
- commit fee7fe7
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/hns: Fix incorrect post-send with direct wqe of wr-list (git-fixes)
- commit 988bb43
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/hns: Fix port active speed (git-fixes)
- commit f1ca0f2
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix max_qp count for virtual functions (git-fixes)
- commit dd0f3ab
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/irdma: Replace one-element array with flexible-array member (git-fixes)
- commit e8addea
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/qedr: Remove a duplicate assignment in irdma_query_ah() (git-fixes)
- commit c2623e0
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix error handling in probe failure path (git-fixes)
- commit c6f50a4
* Mon Sep  4 2023 nmorey@suse.com
- IB/hfi1: Fix possible panic during hotplug remove (git-fixes)
- commit 632a598
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/umem: Set iova in ODP flow (git-fixes)
- commit ec8b3f4
* Mon Sep  4 2023 nmorey@suse.com
- RDMA/mlx5: Return the firmware result upon destroying QP/RQ (git-fixes)
- commit 1ff5e5f
* Mon Sep  4 2023 tiwai@suse.de
- bus: mhi: host: Skip MHI reset if device is in RDDM (git-fixes).
- fsi: master-ast-cf: Add MODULE_FIRMWARE macro (git-fixes).
- fsi: aspeed: Reset master errors after CFAM reset (git-fixes).
- commit 643257d
* Mon Sep  4 2023 tiwai@suse.de
- dmaengine: ste_dma40: Add missing IRQ check in d40_probe
  (git-fixes).
- dmaengine: idxd: Modify the dependence of attribute
  pasid_enabled (git-fixes).
- phy/rockchip: inno-hdmi: do not power on rk3328 post pll on
  reg write (git-fixes).
- phy/rockchip: inno-hdmi: round fractal pixclock in rk3328
  recalc_rate (git-fixes).
- phy/rockchip: inno-hdmi: use correct vco_div_5 macro on rk3328
  (git-fixes).
- mtd: rawnand: fsmc: handle clk prepare error in
  fsmc_nand_resume() (git-fixes).
- mtd: rawnand: brcmnand: Fix mtd oobsize (git-fixes).
- mtd: rawnand: brcmnand: Fix potential out-of-bounds access in
  oob write (git-fixes).
- mtd: rawnand: brcmnand: Fix crash during the panic_write
  (git-fixes).
- mtd: rawnand: brcmnand: Fix potential false time out warning
  (git-fixes).
- mtd: spi-nor: Check bus width while setting QE bit (git-fixes).
- HID: wacom: remove the battery when the EKR is off (git-fixes).
- HID: logitech-dj: Fix error handling in
  logi_dj_recv_switch_to_dj_mode() (git-fixes).
- HID: multitouch: Correct devm device reference for hidinput
  input_dev name (git-fixes).
- media: i2c: rdacm21: Fix uninitialized value (git-fixes).
- media: i2c: ccs: Check rules is non-NULL (git-fixes).
- media: ov2680: Fix regulators being left enabled on
  ov2680_power_on() errors (git-fixes).
- media: ov2680: Fix ov2680_set_fmt() which ==
  V4L2_SUBDEV_FORMAT_TRY not working (git-fixes).
- media: ov2680: Add ov2680_fill_format() helper function
  (git-fixes).
- media: ov2680: Don't take the lock for try_fmt calls
  (git-fixes).
- media: ov2680: Remove VIDEO_V4L2_SUBDEV_API ifdef-s (git-fixes).
- media: ov2680: Fix vflip / hflip set functions (git-fixes).
- media: ov2680: Fix ov2680_bayer_order() (git-fixes).
- media: ov5640: Enable MIPI interface in ov5640_set_power_mipi()
  (git-fixes).
- media: venus: hfi_venus: Write to VIDC_CTRL_INIT after unmasking
  interrupts (git-fixes).
- media: venus: hfi_venus: Only consider sys_idle_indicator on V1
  (git-fixes).
- media: go7007: Remove redundant if statement (git-fixes).
- media: rkvdec: increase max supported height for H.264
  (git-fixes).
- media: cx24120: Add retval check for cx24120_message_send()
  (git-fixes).
- media: dvb-usb: m920x: Fix a potential memory leak in
  m920x_i2c_xfer() (git-fixes).
- media: dib7000p: Fix potential division by zero (git-fixes).
- drivers: usb: smsusb: fix error handling code in
  smsusb_init_device (git-fixes).
- media: v4l2-core: Fix a potential resource leak in
  v4l2_fwnode_parse_link() (git-fixes).
- media: i2c: tvp5150: check return value of devm_kasprintf()
  (git-fixes).
- media: ad5820: Drop unsupported ad5823 from i2c_ and
  of_device_id tables (git-fixes).
- fbdev: Update fbdev source file paths (git-fixes).
- amba: bus: fix refcount leak (git-fixes).
- dma-buf/sync_file: Fix docs syntax (git-fixes).
- firmware: stratix10-svc: Fix an NULL vs IS_ERR() bug in probe
  (git-fixes).
- driver core: test_async: fix an error code (git-fixes).
- Documentation: devices.txt: Fix minors for ttyCPM* (git-fixes).
- Documentation: devices.txt: Remove ttySIOC* (git-fixes).
- Documentation: devices.txt: Remove ttyIOC* (git-fixes).
- serial: sc16is7xx: fix bug when first setting GPIO direction
  (git-fixes).
- serial: sc16is7xx: fix broken port 0 uart init (git-fixes).
- serial: tegra: handle clk prepare error in tegra_uart_hw_init()
  (git-fixes).
- serial: sprd: Fix DMA buffer leak issue (git-fixes).
- serial: sprd: Assign sprd_port after initialized to avoid
  wrong access (git-fixes).
- usb: typec: tcpm: set initial svdm version based on pd revision
  (git-fixes).
- usb: dwc3: meson-g12a: do post init to fix broken usb after
  resumption (git-fixes).
- USB: gadget: f_mass_storage: Fix unused variable warning
  (git-fixes).
- usb: phy: mxs: fix getting wrong state with
  mxs_phy_is_otg_host() (git-fixes).
- usb: chipidea: imx: improve logic if samsung,picophy-* parameter
  is 0 (git-fixes).
- platform/x86: dell-sysman: Fix reference leak (git-fixes).
- commit 729e789
* Fri Sep  1 2023 ddiss@suse.de
- target: compare and write backend driver sense handling
  (bsc#1177719 bsc#1213026).
- Refresh patches.suse/target-rbd-support-COMPARE_AND_WRITE.patch.
- commit a2ae103
* Fri Sep  1 2023 ohering@suse.de
- clocksource/drivers/hyper-v: Rework clocksource and sched clock setup (bsc#1206453).
- Drivers: hv: vmbus: Call hv_synic_free() if hv_synic_alloc() fails (bsc#1206453).
- PCI: hv: Replace retarget_msi_interrupt_params with (bsc#1206453).
- Drivers: hv: vmbus: Remove the per-CPU post_msg_page (bsc#1206453).
- clocksource: hyper-v: make sure Invariant-TSC is used if it is (bsc#1206453).
- PCI: hv: Enable PCI pass-thru devices in Confidential VMs (bsc#1206453).
- Drivers: hv: Don't remap addresses that are above shared_gpa_boundary (bsc#1206453).
- hv_netvsc: Remove second mapping of send and recv buffers (bsc#1206453).
- Drivers: hv: vmbus: Remove second way of mapping ring buffers (bsc#1206453).
- Drivers: hv: vmbus: Remove second mapping of VMBus monitor pages (bsc#1206453).
- swiotlb: Remove bounce buffer remapping for Hyper-V (bsc#1206453).
- x86/hyperv: Change vTOM handling to use standard coco mechanisms (bsc#1206453).
- x86/mm: Handle decryption/re-encryption of bss_decrypted consistently (bsc#1206453).
- Drivers: hv: Explicitly request decrypted in vmap_pfn() calls (bsc#1206453).
- x86/hyperv: Reorder code to facilitate future work (bsc#1206453).
- x86/ioremap: Add hypervisor callback for private MMIO mapping in coco (bsc#1206453).
- x86/tdx: Do not corrupt frame-pointer in __tdx_hypercall() (bsc#1206453).
- x86/tdx: Expand __tdx_hypercall() to handle more arguments (bsc#1206453).
- x86/tdx: Refactor __tdx_hypercall() to allow pass down more arguments (bsc#1206453).
- x86/tdx: Add more registers to struct tdx_hypercall_args (bsc#1206453).
- x86/tdx: Fix typo in comment in __tdx_hypercall() (bsc#1206453).
- Drivers: hv: Enable vmbus driver for nested root partition (bsc#1206453).
- x86/hyperv: Add an interface to do nested hypercalls (bsc#1206453).
- Drivers: hv: Setup synic registers in case of nested root partition (bsc#1206453).
- x86/hyperv: Add support for detecting nested hypervisor (bsc#1206453).
- clocksource: hyper-v: Add TSC page support for root partition (bsc#1206453).
- clocksource: hyper-v: Use TSC PFN getter to map vvar page (bsc#1206453).
- clocksource: hyper-v: Introduce TSC PFN getter (bsc#1206453).
- clocksource: hyper-v: Introduce a pointer to TSC page (bsc#1206453).
- x86/hyperv: Remove BUG_ON() for kmap_local_page() (bsc#1206453).
- x86/hyperv: Replace kmap() with kmap_local_page() (bsc#1206453).
- define more Hyper-V related constants (bsc#1206453).
- commit 7dd2c1c
* Fri Sep  1 2023 shung-hsi.yu@suse.com
- libbpf: Fix btf_dump's packed struct determination (bsc#1211220
  jsc#PED-3924).
- libbpf: Fix single-line struct definition output in btf_dump
  (bsc#1211220 jsc#PED-3924).
- commit 7a046db
* Thu Aug 31 2023 lduncan@suse.com
- blacklist.conf: add git-fix to skip
- commit 47580cb
* Thu Aug 31 2023 lduncan@suse.com
- scsi: snic: Fix double free in snic_tgt_create() (git-fixes).
- commit d711707
* Thu Aug 31 2023 shung-hsi.yu@suse.com
- libbpf: Fix BTF-to-C converter's padding logic (bsc#1211220
  jsc#PED-3924).
- selftests/bpf: Test btf dump for struct with padding only fields
  (bsc#1211220 jsc#PED-3924).
- bpftool: Print newline before '}' for struct with padding only
  fields (bsc#1211220 jsc#PED-3924).
- commit 93aeeb8
* Thu Aug 31 2023 tiwai@suse.de
- drm/msm/dpu: fix the irq index in
  dpu_encoder_phys_wb_wait_for_commit_done (git-fixes).
- drm/mediatek: Remove freeing not dynamic allocated memory
  (git-fixes).
- drm/repaper: Reduce temporary buffer size in repaper_fb_dirty()
  (git-fixes).
- drm/amd/display: Do not set drr on pipe commit (git-fixes).
- drm/bridge: anx7625: Use common macros for HDCP capabilities
  (git-fixes).
- drm/bridge: anx7625: Use common macros for DP power sequencing
  commands (git-fixes).
- drm/mxsfb: Disable overlay plane in
  mxsfb_plane_overlay_atomic_disable() (git-fixes).
- drm/gma500: Use drm_aperture_remove_conflicting_pci_framebuffers
  (git-fixes).
- commit cc8e0cf
* Thu Aug 31 2023 tiwai@suse.de
- bus: ti-sysc: Fix cast to enum warning (git-fixes).
- commit 586e58b
* Thu Aug 31 2023 tiwai@suse.de
- Add cherry-picked if to fbdev patch
- commit 32815f6
* Thu Aug 31 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for mute LEDs on HP ENVY x360
  15-eu0xxx (git-fixes).
- ALSA: hda/realtek: Add quirk for HP Victus 16-d1xxx to enable
  mute LED (git-fixes).
- commit 2c05a9a
* Thu Aug 31 2023 tiwai@suse.de
- ALSA: usb-audio: Fix init call orders for UAC1 (git-fixes).
- commit 3ba2db1
* Thu Aug 31 2023 tiwai@suse.de
- PCI: microchip: Remove cast between incompatible function type
  (git-fixes).
- PCI: meson: Remove cast between incompatible function type
  (git-fixes).
- PCI: microchip: Correct the DED and SEC interrupt bit offsets
  (git-fixes).
- PCI: Mark NVIDIA T4 GPUs to avoid bus reset (git-fixes).
- wifi: ath10k: Use RMW accessors for changing LNKCTL (git-fixes).
- wifi: ath11k: Use RMW accessors for changing LNKCTL (git-fixes).
- PCI: pciehp: Use RMW accessors for changing LNKCTL (git-fixes).
- pinctrl: cherryview: fix address_space_handler() argument
  (git-fixes).
- pinctrl: mcp23s08: check return value of devm_kasprintf()
  (git-fixes).
- ipmi_si: fix a memleak in try_smi_init() (git-fixes).
- ipmi:ssif: Fix a memory leak when scanning for an adapter
  (git-fixes).
- ipmi:ssif: Add check for kstrdup (git-fixes).
- firmware: meson_sm: fix to avoid potential NULL pointer
  dereference (git-fixes).
- firmware: cs_dsp: Fix new control name check (git-fixes).
- fbdev/ep93xx-fb: Do not assign to struct fb_info.dev
  (git-fixes).
- PCI: acpiphp: Use pci_assign_unassigned_bridge_resources()
  only for non-root bus (git-fixes).
- PCI: acpiphp: Reassign resources on bridge if necessary
  (git-fixes).
- commit 10e5d93
* Thu Aug 31 2023 tiwai@suse.de
- drm/radeon: Use RMW accessors for changing LNKCTL (git-fixes).
- drm/amdgpu: Use RMW accessors for changing LNKCTL (git-fixes).
- dt-bindings: clocks: imx8mp: make sai4 a dummy clock
  (git-fixes).
- dt-bindings: clock: xlnx,versal-clk: drop select:false
  (git-fixes).
- dt-bindings: crypto: ti,sa2ul: make power-domains conditional
  (git-fixes).
- drm/msm/a2xx: Call adreno_gpu_init() earlier (git-fixes).
- drm/msm/mdp5: Don't leak some plane state (git-fixes).
- drm/msm: Update dev core dump to not print backwards
  (git-fixes).
- drm/etnaviv: fix dumping of active MMU context (git-fixes).
- drm/amd/pm: fix variable dereferenced issue in
  amdgpu_device_attr_create() (git-fixes).
- drm/mediatek: Fix potential memory leak if vmap() fail
  (git-fixes).
- drm/mediatek: Fix dereference before null check (git-fixes).
- drm/panel: simple: Add missing connector type and pixel format
  for AUO T215HVN01 (git-fixes).
- drm/bridge: fix -Wunused-const-variable= warning (git-fixes).
- drm/armada: Fix off-by-one error in
  armada_overlay_get_property() (git-fixes).
- drm/atomic-helper: Update reference to
  drm_crtc_force_disable_all() (git-fixes).
- drm/tegra: dpaux: Fix incorrect return value of platform_get_irq
  (git-fixes).
- fbdev: fix potential OOB read in fast_imageblit() (git-fixes).
- fbdev: Fix sys_imageblit() for arbitrary image widths
  (git-fixes).
- fbdev: Improve performance of sys_imageblit() (git-fixes).
- commit a3652b5
* Thu Aug 31 2023 tiwai@suse.de
- docs: kernel-parameters: Refer to the correct bitmap function
  (git-fixes).
- clk: qcom: gcc-sm8250: Fix gcc_sdcc2_apps_clk_src (git-fixes).
- clk: qcom: gcc-sc7180: Fix up gcc_sdcc2_apps_clk_src
  (git-fixes).
- clk: qcom: gcc-mdm9615: use proper parent for pll0_vote clock
  (git-fixes).
- clk: qcom: camcc-sc7180: fix async resume during probe
  (git-fixes).
- clk: imx: pll14xx: dynamically configure PLL for
  393216000/361267200Hz (git-fixes).
- clk: imx: composite-8m: fix clock pauses when set_rate would
  be a no-op (git-fixes).
- clk: imx8mp: fix sai4 clock (git-fixes).
- clk: sunxi-ng: Modify mismatched function name (git-fixes).
- drivers: clk: keystone: Fix parameter judgment in
  _of_pll_clk_init() (git-fixes).
- bus: ti-sysc: Fix build warning for 64-bit build (git-fixes).
- ALSA: pcm: Fix missing fixup call in compat hw_refine ioctl
  (git-fixes).
- ASoC: tegra: Fix SFC conversion for few rates (git-fixes).
- ALSA: ac97: Fix possible error value of *rac97 (git-fixes).
- ASoC: stac9766: fix build errors with REGMAP_AC97 (git-fixes).
- drm: xlnx: zynqmp_dpsub: Add missing check for dma_set_mask
  (git-fixes).
- drm/amdgpu: avoid integer overflow warning in
  amdgpu_device_resize_fb_bar() (git-fixes).
- drm/bridge: anx7625: Drop device lock before
  drm_helper_hpd_irq_event() (git-fixes).
- drm: adv7511: Fix low refresh rate register for ADV7533/5
  (git-fixes).
- drm/ast: Fix DRAM init on AST2200 (git-fixes).
- backlight/lv5207lp: Compare against struct fb_info.device
  (git-fixes).
- backlight/gpio_backlight: Compare against struct fb_info.device
  (git-fixes).
- backlight/bd6107: Compare against struct fb_info.device
  (git-fixes).
- drm/bridge: tc358764: Fix debug print parameter order
  (git-fixes).
- audit: fix possible soft lockup in __audit_inode_child()
  (git-fixes).
- ALSA: ymfpci: Fix the missing snd_card_free() call at probe
  error (git-fixes).
- drm/amd/display: check TG is non-null before checking if enabled
  (git-fixes).
- drm/amd/display: do not wait for mpc idle if tg is disabled
  (git-fixes).
- commit 08c4f7b
* Wed Aug 30 2023 tiwai@suse.de
- Kbuild: add -Wno-shift-negative-value where -Wextra is used
  (bsc#1214756).
- commit 8140064
* Wed Aug 30 2023 jslaby@suse.cz
- rpm/mkspec-dtb: support for nested subdirs
  Commit 724ba6751532 ("ARM: dts: Move .dts files to vendor
  sub-directories") moved the dts to nested subdirs, add a support for
  that. That is, generate a %%dir entry in %%files for them.
- commit 6484eda
* Wed Aug 30 2023 ykaukab@suse.de
- Update patches.kabi/lockdown-kABI-workaround-for-lockdown_reason-changes.patch
  Apply following fixup from Michal Suchánek:
  Don't reorder lockdown reason.
- commit 9382b89
* Wed Aug 30 2023 tiwai@suse.de
- wifi: mt76: mt7921: fix non-PSC channel scan fail (git-fixes).
- commit 616c360
* Wed Aug 30 2023 tiwai@suse.de
- wifi: mwifiex: Fix missed return in oob checks failed path
  (git-fixes).
- commit 9baf357
* Wed Aug 30 2023 tiwai@suse.de
- nilfs2: fix WARNING in mark_buffer_dirty due to discarded
  buffer reuse (git-fixes).
- lib/test_meminit: allocate pages up to order MAX_ORDER
  (git-fixes).
- HWPOISON: offline support: fix spelling in Documentation/ABI/
  (git-fixes).
- wifi: ath9k: use IS_ERR() with debugfs_create_dir() (git-fixes).
- wifi: ath9k: protect WMI command response buffer replacement
  with a lock (git-fixes).
- wifi: ath9k: fix races between ath9k_wmi_cmd and
  ath9k_wmi_ctrl_rx (git-fixes).
- wifi: mwifiex: avoid possible NULL skb pointer dereference
  (git-fixes).
- wifi: radiotap: fix kernel-doc notation warnings (git-fixes).
- wifi: nl80211/cfg80211: add forgotten nla_policy for BSS color
  attribute (git-fixes).
- wifi: mwifiex: fix memory leak in mwifiex_histogram_read()
  (git-fixes).
- Bluetooth: btusb: Do not call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: Fix potential use-after-free when clear keys
  (git-fixes).
- Bluetooth: Remove unused declaration amp_read_loc_info()
  (git-fixes).
- Bluetooth: nokia: fix value check in
  nokia_bluetooth_serdev_probe() (git-fixes).
- wifi: mwifiex: fix error recovery in PCIE buffer descriptor
  management (git-fixes).
- wifi: mt76: mt7915: fix power-limits while chan_switch
  (git-fixes).
- wifi: mt76: testmode: add nla_policy for MT76_TM_ATTR_TX_LENGTH
  (git-fixes).
- wifi: mt76: mt7921: do not support one stream on secondary
  antenna only (git-fixes).
- wifi: mwifiex: Fix OOB and integer underflow when rx packets
  (git-fixes).
- wifi: rtw89: debug: Fix error handling in
  rtw89_debug_priv_btc_manual_set() (git-fixes).
- can: gs_usb: gs_usb_receive_bulk_callback(): count RX overflow
  errors also in case of OOM (git-fixes).
- hwrng: iproc-rng200 - Implement suspend and resume calls
  (git-fixes).
- crypto: caam - fix unchecked return value error (git-fixes).
- crypto: stm32 - Properly handle pm_runtime_get failing
  (git-fixes).
- hwrng: pic32 - use devm_clk_get_enabled (git-fixes).
- hwrng: nomadik - keep clock enabled while hwrng is registered
  (git-fixes).
- hwmon: (tmp513) Fix the channel number in tmp51x_is_visible()
  (git-fixes).
- spi: tegra20-sflash: fix to check return value of
  platform_get_irq() in tegra_sflash_probe() (git-fixes).
- regmap: rbtree: Use alloc_flags for memory allocations
  (git-fixes).
- commit 243ba95
* Tue Aug 29 2023 lduncan@suse.com
- blacklist.conf: add git-fix that breaks kabi
- commit 29743c2
* Tue Aug 29 2023 lduncan@suse.com
- scsi: qedf: Fix firmware halt over suspend and resume
  (git-fixes).
- scsi: qedi: Fix firmware halt over suspend and resume
  (git-fixes).
- scsi: snic: Fix possible memory leak if device_add() fails
  (git-fixes).
- scsi: core: Fix possible memory leak if device_add() fails
  (git-fixes).
- scsi: core: Fix legacy /proc parsing buffer overflow
  (git-fixes).
- scsi: 53c700: Check that command slot is not NULL (git-fixes).
- scsi: fnic: Replace return codes in fnic_clean_pending_aborts()
  (git-fixes).
- scsi: scsi_debug: Remove dead code (git-fixes).
- scsi: 3w-xxxx: Add error handling for initialization failure
  in tw_probe() (git-fixes).
- scsi: qedf: Fix NULL dereference in error handling (git-fixes).
- commit f37057a
* Tue Aug 29 2023 msuchanek@suse.de
- docs/process/howto: Replace C89 with C11 (bsc#1214756).
- commit 8393e27
* Tue Aug 29 2023 msuchanek@suse.de
- Kbuild: move to -std=gnu11 (bsc#1214756).
- commit ef844c1
* Tue Aug 29 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 382e160
* Tue Aug 29 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: deactivate catchall elements in next
  generation (bsc#1214729 CVE-2023-4569).
- commit 6289fe5
* Tue Aug 29 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: deactivate catchall elements in next
  generation (bsc#1214729 CVE-2023-4569).
- commit ab071f2
* Tue Aug 29 2023 denis.kirjanov@suse.com
- Update metadata
- commit afac039
* Tue Aug 29 2023 lhenriques@suse.de
- netfs: fix parameter of cleanup() (bsc#1214743).
- netfs: Fix lockdep warning from taking sb_writers whilst
  holding  mmap_lock (bsc#1214742).
- commit bb32ecc
* Tue Aug 29 2023 tiwai@suse.de
- selftests/futex: Order calls to futex_lock_pi (git-fixes).
- selftests/resctrl: Close perf value read fd on errors
  (git-fixes).
- selftests/resctrl: Unmount resctrl FS if child fails to run
  benchmark (git-fixes).
- selftests/resctrl: Don't leak buffer in fill_cache()
  (git-fixes).
- PM / devfreq: Fix leak in devfreq_dev_release() (git-fixes).
- ACPI: x86: s2idle: Fix a logic error parsing AMD constraints
  table (git-fixes).
- selftests/harness: Actually report SKIP for signal tests
  (git-fixes).
- pstore/ram: Check start of empty przs during init (git-fixes).
- commit ad35b22
* Tue Aug 29 2023 tiwai@suse.de
- Move upstreamed powerpc patches into sorted section
- commit 3a27181
* Tue Aug 29 2023 tiwai@suse.de
- Move upstreamed HID patch into sorted section
- commit 85ada69
* Mon Aug 28 2023 denis.kirjanov@suse.com
- e1000: Remove unnecessary use of kmap_atomic() (jsc#PED-5738).
- commit 411ade7
* Mon Aug 28 2023 denis.kirjanov@suse.com
- intel/e1000:fix repeated words in comments (jsc#PED-5738).
- commit 36d3f87
* Mon Aug 28 2023 denis.kirjanov@suse.com
- intel: remove unused macros (jsc#PED-5738).
- commit 8c0592a
* Mon Aug 28 2023 denis.kirjanov@suse.com
- e1000: Fix typos in comments (jsc#PED-5738).
- commit b74464e
* Mon Aug 28 2023 denis.kirjanov@suse.com
- e1000: switch to napi_build_skb() (jsc#PED-5738).
- commit 8f3d353
* Mon Aug 28 2023 denis.kirjanov@suse.com
- e1000: switch to napi_consume_skb() (jsc#PED-5738).
- commit b269f24
* Mon Aug 28 2023 petr.pavlu@suse.com
- tracing: Fix memleak due to race between current_tracer and
  trace (git-fixes).
- commit cd1e0a8
* Mon Aug 28 2023 petr.pavlu@suse.com
- tracing: Fix cpu buffers unavailable due to 'record_disabled'
  missed (git-fixes).
- commit 8e87d30
* Mon Aug 28 2023 petr.pavlu@suse.com
- ring-buffer: Do not swap cpu_buffer during resize process
  (git-fixes).
- commit e5ec19f
* Mon Aug 28 2023 ailiop@suse.com
- xfs: fix sb write verify for lazysbcount (bsc#1214661).
- commit 29e65a8
* Mon Aug 28 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: Adjust balance_performance EPP for
  Sapphire Rapids (bsc#1214659).
- commit c3cfee9
* Sun Aug 27 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: Enable HWP IO boost for all servers
  (bsc#1208949 jsc#PED-6003 jsc#PED-6004).
- commit bd6042f
* Sun Aug 27 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: Fix scaling for hybrid-capable systems
  with disabled E-cores (bsc#1212526 bsc#1214368 jsc#PED-4927
  jsc#PED-4929).
- commit 0340dfe
* Sun Aug 27 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: hybrid: Use known scaling factor for
  P-cores (bsc#1212526 bsc#1214368 jsc#PED-4927 jsc#PED-4929).
- commit 91615ae
* Sun Aug 27 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: Read all MSRs on the target CPU
  (bsc#1212526 bsc#1214368 jsc#PED-4927 jsc#PED-4929).
- commit 639f9f6
* Sun Aug 27 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: hybrid: Rework HWP calibration
  (bsc#1212526 bsc#1214368 jsc#PED-4927 jsc#PED-4929).
- Update
  patches.suse/cpufreq-intel_pstate-Fix-cpu-pstate.turbo_freq-initi.patch
  (git-fixes bsc#1212526 bsc#1214368 jsc#PED-4927 jsc#PED-4929).
- commit 689587b
* Sun Aug 27 2023 tiwai@suse.de
- Use the cherry-picked id for an AMDGPU patch and resort
- commit 07365e7
* Sun Aug 27 2023 tiwai@suse.de
- tty: serial: fsl_lpuart: Add i.MXRT1050 support (git-fixes).
- Refresh
  patches.suse/tty-serial-fsl_lpuart-add-earlycon-for-imx8ulp-platf.patch.
- commit f34a3a2
* Sun Aug 27 2023 tiwai@suse.de
- selftests: forwarding: tc_actions: Use ncat instead of nc
  (git-fixes).
- watchdog: sp5100_tco: support Hygon FCH/SCH (Server Controller
  Hub) (git-fixes).
- thunderbolt: Read retimer NVM authentication status prior
  tb_retimer_set_inbound_sbtx() (git-fixes).
- usb: chipidea: imx: add missing USB PHY DPDM wakeup setting
  (git-fixes).
- usb: chipidea: imx: don't request QoS for imx8ulp (git-fixes).
- usb: gadget: u_serial: Avoid spinlock recursion in
  __gs_console_push (git-fixes).
- pcmcia: rsrc_nonstatic: Fix memory leak in
  nonstatic_release_resource_db() (git-fixes).
- PCI: tegra194: Fix possible array out of bounds access
  (git-fixes).
- tty: serial: fsl_lpuart: reduce RX watermark to 0 on LS1028A
  (git-fixes).
- tty: serial: fsl_lpuart: make rx_watermark configurable for
  different platforms (git-fixes).
- selftests: forwarding: tc_actions: cleanup temporary files
  when test is aborted (git-fixes).
- usb: dwc3: Fix typos in gadget.c (git-fixes).
- commit 5394953
* Sun Aug 27 2023 tiwai@suse.de
- drm/amd: flush any delayed gfxoff on suspend entry (git-fixes).
- commit d60a005
* Sun Aug 27 2023 tiwai@suse.de
- i2c: designware: Handle invalid SMBus block data response
  length value (git-fixes).
- drm/qxl: fix UAF on handle creation (git-fixes).
- drm/amdgpu: Fix potential fence use-after-free v2 (git-fixes).
- Bluetooth: btusb: Add MT7922 bluetooth ID for the Asus Ally
  (git-fixes).
- Bluetooth: L2CAP: Fix use-after-free (git-fixes).
- media: v4l2-mem2mem: add lock to protect parameter num_rdy
  (git-fixes).
- ARM: dts: imx6dl: prtrvt, prtvt7, prti6q, prtwd2: fix USB
  related warnings (git-fixes).
- drm/amdgpu: install stub fence into potential unused fence
  pointers (git-fixes).
- drm/amd/display: fix access hdcp_workqueue assert (git-fixes).
- ASoC: SOF: Intel: fix SoundWire/HDaudio mutual exclusion
  (git-fixes).
- HID: add quirk for 03f0:464a HP Elite Presenter Mouse
  (git-fixes).
- HID: logitech-hidpp: Add USB and Bluetooth IDs for the Logitech
  G915 TKL Keyboard (git-fixes).
- PCI: s390: Fix use-after-free of PCI resources with per-function
  hotplug (git-fixes).
- drm/amd/display: phase3 mst hdcp for multiple displays
  (git-fixes).
- drm/amd/display: save restore hdcp state when display is
  unplugged from mst hub (git-fixes).
- iio: adc: stx104: Implement and utilize register structures
  (git-fixes).
- iio: adc: stx104: Utilize iomap interface (git-fixes).
- ARM: dts: imx6sll: fixup of operating points (git-fixes).
- commit e2faa35
* Sat Aug 26 2023 tiwai@suse.de
- pinctrl: amd: Mask wake bits on probe again (git-fixes).
- pinctrl: amd: Revert "pinctrl: amd: disable and mask interrupts
  on probe" (git-fixes).
- commit 15b9551
* Sat Aug 26 2023 tiwai@suse.de
- ASoC: amd: yc: Fix a non-functional mic on Lenovo 82SJ
  (git-fixes).
- commit 5e59635
* Sat Aug 26 2023 tiwai@suse.de
- clk: Fix slab-out-of-bounds error in devm_clk_release()
  (git-fixes).
- clk: Fix undefined reference to `clk_rate_exclusive_{get,put}'
  (git-fixes).
- pinctrl: renesas: rza2: Add lock around
  pinctrl_generic{{add,remove}_group,{add,remove}_function}
  (git-fixes).
- drm/vmwgfx: Fix shader stage validation (git-fixes).
- dma-buf/sw_sync: Avoid recursive lock during fence signal
  (git-fixes).
- commit 7c5f1b7
* Fri Aug 25 2023 tiwai@suse.de
- batman-adv: Hold rtnl lock during MTU update via netlink
  (git-fixes).
- commit 8468886
* Fri Aug 25 2023 tiwai@suse.de
- batman-adv: Fix batadv_v_ogm_aggr_send memory leak (git-fixes).
- batman-adv: Fix TT global entry leak when client roamed back
  (git-fixes).
- batman-adv: Do not get eth header before
  batadv_check_management_packet (git-fixes).
- batman-adv: Don't increase MTU when set by user (git-fixes).
- batman-adv: Trigger events for auto adjusted MTU (git-fixes).
- commit d59057e
* Thu Aug 24 2023 tiwai@suse.de
- drm/amd/display: disable RCO for DCN314 (git-fixes).
- commit 5dc74f0
* Thu Aug 24 2023 tiwai@suse.de
- drm/qxl: fix UAF on handle creation (git-fixes).
- drm/amd: flush any delayed gfxoff on suspend entry (git-fixes).
- drm/amdgpu: skip fence GFX interrupts disable/enable for S0ix
  (git-fixes).
- drm/amdgpu/pm: fix throttle_status for other than MP1 11.0.7
  (git-fixes).
- drm/amd/pm: skip the RLC stop when S0i3 suspend for SMU
  v13.0.4/11 (git-fixes).
- drm/amdgpu: Fix potential fence use-after-free v2 (git-fixes).
- drm/amd/display: Enable dcn314 DPP RCO (git-fixes).
- drm/amd/display: Skip DPP DTO update if root clock is gated
  (git-fixes).
- drm/amdgpu: keep irq count in amdgpu_irq_disable_all
  (git-fixes).
- drm/amd/display: Apply 60us prefetch for DCFCLK <= 300Mhz
  (git-fixes).
- drm/amdgpu: install stub fence into potential unused fence
  pointers (git-fixes).
- drm/amdgpu: fix memory leak in mes self test (git-fixes).
- drm/amdgpu: Fix integer overflow in amdgpu_cs_pass1 (git-fixes).
- drm/amdgpu: fix calltrace warning in amddrm_buddy_fini
  (git-fixes).
- drm: rcar-du: remove R-Car H3 ES1.* workarounds (git-fixes).
- drm/stm: ltdc: fix late dereference check (git-fixes).
- drm/amd/display: Implement workaround for writing to
  OTG_PIXEL_RATE_DIV register (git-fixes).
- commit 162942a
* Thu Aug 24 2023 tiwai@suse.de
- Move sorted nouveau patch into sorted section
- commit 5cfebfc
* Wed Aug 23 2023 palcantara@suse.de
- smb: client: fix null auth (git-fixes).
- commit f89a725
* Wed Aug 23 2023 jack@suse.cz
- Update tags in
  patches.suse/md-raid5-Improve-performance-for-sequential-IO.patch.
- commit 5c3390a
* Wed Aug 23 2023 msuchanek@suse.de
- powerpc/rtas: block error injection when locked down
  (bsc#1023051).
  Refresh patches.kabi/lockdown-kABI-workaround-for-lockdown_reason-changes.patch
- powerpc/rtas: enture rtas_call is called with MMU enabled
  (bsc#1023051).
- commit e7f7145
* Wed Aug 23 2023 vkarasulli@suse.de
- Input: cyttsp4_core - change del_timer_sync() to
  timer_shutdown_sync() (bsc#1213971 CVE-2023-4134).
- commit 2dfd188
* Wed Aug 23 2023 msuchanek@suse.de
- Refresh patches.suse/powerpc-rtas-Keep-MSR-RI-set-when-calling-RTAS.patch.
- commit 0cbb740
* Wed Aug 23 2023 tiwai@suse.de
- Drop rtsx patch that caused a regression (bsc#1214397,bsc#1214428)
  It caused mysterious problem wrt NVMe.
  Better to drop and blacklist for now.
- commit 2257ff2
* Wed Aug 23 2023 msuchanek@suse.de
- powerpc: Move DMA64_PROPNAME define to a header (bsc#1214297 ltc#197503).
- commit af67897
* Wed Aug 23 2023 nik.borisov@suse.com
- x86/CPU/AMD: Fix the DIV(0) initial fix attempt (bsc#1213927, CVE-2023-20588).
- commit eb5704d
* Wed Aug 23 2023 nik.borisov@suse.com
- x86/CPU/AMD: Do not leak quotient data after a division by 0 (bsc#1213927, CVE-2023-20588).
- commit 8b5290e
* Wed Aug 23 2023 ohering@suse.de
- scsi: storvsc: Fix handling of virtual Fibre Channel timeouts
  (git-fixes).
- scsi: storvsc: Limit max_sectors for virtual Fibre Channel
  devices (git-fixes).
- scsi: storvsc: Handle SRB status value 0x30 (git-fixes).
- scsi: storvsc: Always set no_report_opcodes (git-fixes).
- commit aace9fd
* Wed Aug 23 2023 msuchanek@suse.de
- old-flavors: Drop 2.6 kernels.
  2.6 based kernels are EOL, upgrading from them is no longer suported.
- commit 7bb5087
* Wed Aug 23 2023 oneukum@suse.com
- kunit: make kunit_test_timeout compatible with comment
  (git-fixes).
- commit e060c5b
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 2db68b2
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit b9b490f
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: specific to Clang
- commit 0d88df7
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: not used in our build process
- commit 5705a43
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: designed to break kABI but relevant only on big endian
- commit 3477f1d
* Wed Aug 23 2023 oneukum@suse.com
- lib/test_meminit: destroy cache in kmem_cache_alloc_bulk()
  test (git-fixes).
- commit 0595e9f
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: cleanup
- commit 8d51620
* Wed Aug 23 2023 oneukum@suse.com
- blacklist.conf: We do not use that tool
- commit f8ec126
* Wed Aug 23 2023 oneukum@suse.com
- docs: networking: replace skb_hwtstamp_tx with skb_tstamp_tx
  (git-fixes).
- commit d96f965
* Tue Aug 22 2023 nik.borisov@suse.com
- kabi: Allow extra bugsints (bsc#1213927).
- commit fc75ce0
* Tue Aug 22 2023 nik.borisov@suse.com
- Refresh patches.suse/x86-srso-add-ibpb.patch.
  CPU_IBPB_ENTRY is always on so adjust code accordingly.
- commit 0ed13bd
* Tue Aug 22 2023 tbogendoerfer@suse.de
- Update
  patches.suse/net-vmxnet3-fix-possible-NULL-pointer-dereference-in.patch
  (bsc#1200431 bsc#1214451 CVE-2023-4459).
  Added CVE reference.
- commit 13a12f4
* Tue Aug 22 2023 jlee@suse.com
- net: nfc: Fix use-after-free caused by nfc_llcp_find_local
  (bsc#1213601 CVE-2023-3863).
- nfc: llcp: simplify llcp_sock_connect() error paths (bsc#1213601
  CVE-2023-3863).
- nfc: llcp: nullify llcp_sock->dev on connect() error paths
  (bsc#1213601 CVE-2023-3863).
- commit 0932a11
* Mon Aug 21 2023 nik.borisov@suse.com
- kabi/severities: Ignore newly added SRSO mitigation functions
- commit 4452f05
* Mon Aug 21 2023 mfranc@suse.cz
- s390/zcrypt: fix reply buffer calculations for CCA replies
  (bsc#1213949).
- commit 26e242b
* Mon Aug 21 2023 tiwai@suse.de
- tty: fix hang on tty device with no_room set (git-fixes).
- n_tty: Rename tail to old_tail in n_tty_read() (git-fixes).
- commit 22b52a9
* Mon Aug 21 2023 tiwai@suse.de
- tty: n_gsm: fix the UAF caused by race condition in
  gsm_cleanup_mux (git-fixes).
- tty: serial: fsl_lpuart: Clear the error flags by writing 1
  for lpuart32 platforms (git-fixes).
- commit 2bc2940
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/static_call: Fix __static_call_fixup() (git-fixes).
- commit 57d4f01
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/srso: Correct the mitigation status when SMT is disabled (git-fixes).
- commit c2d3421
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/srso: Explain the untraining sequences a bit more (git-fixes).
- commit f62146e
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu/kvm: Provide UNTRAIN_RET_VM (git-fixes).
- commit 7f39f56
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu: Cleanup the untrain mess (git-fixes).
- commit 13632c3
* Mon Aug 21 2023 nik.borisov@suse.com
- objtool/x86: Fixup frame-pointer vs rethunk (git-fixes).
- commit 522332f
* Mon Aug 21 2023 nik.borisov@suse.com
- objtool: Union instruction::{call_dest,jump_table} (git-fixes).
- commit d5ea86a
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu: Rename srso_(.*)_alias to srso_alias_\1 (git-fixes).
- commit 847a96f
* Mon Aug 21 2023 tbogendoerfer@suse.de
- xfrm: add NULL check in xfrm_update_ae_params (bsc#1213666
  CVE-2023-3772).
- commit 9e44d01
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu: Rename original retbleed methods (git-fixes).
- commit 81c5e75
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu: Clean up SRSO return thunk mess (git-fixes).
- commit fa0b815
* Mon Aug 21 2023 nik.borisov@suse.com
- objtool/x86: Fix SRSO mess (git-fixes).
- commit 8bf5635
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/alternative: Make custom return thunk unconditional (git-fixes).
- commit a446ea5
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu: Fix up srso_safe_ret() and __x86_return_thunk() (git-fixes).
- commit 06974c4
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/cpu: Fix __x86_return_thunk symbol type (git-fixes).
- commit 086adb4
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/retpoline,kprobes: Skip optprobe check for indirect jumps with  retpolines and IBT (git-fixes).
- commit 9392b3c
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/retpoline,kprobes: Fix position of thunk sections with CONFIG_LTO_CLANG (git-fixes).
- commit 99556d6
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/srso: Disable the mitigation on unaffected configurations (git-fixes).
- commit af52734
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/retpoline: Don't clobber RFLAGS during srso_safe_ret() (git-fixes).
- commit 43e1da9
* Mon Aug 21 2023 nik.borisov@suse.com
- x86/srso: Fix build breakage with the LLVM linker (git-fixes).
- commit 7af6810
* Mon Aug 21 2023 msuchanek@suse.de
- powerpc/rtas_flash: allow user copy to flash block cache objects
  (bsc#1194869).
- commit 0fccbf5
* Sun Aug 20 2023 tiwai@suse.de
- i2c: bcm-iproc: Fix bcm_iproc_i2c_isr deadlock issue
  (git-fixes).
- i2c: hisi: Only handle the interrupt of the driver's transfer
  (git-fixes).
- i2c: designware: Correct length byte validation logic
  (git-fixes).
- fbdev: mmp: fix value check in mmphw_probe() (git-fixes).
- commit 5738f62
* Sat Aug 19 2023 tiwai@suse.de
- supported.conf: fix typos for -!optional markers
- commit a15b83f
* Sat Aug 19 2023 tiwai@suse.de
- drm/i915/sdvo: fix panel_type initialization (git-fixes).
- commit af00eea
* Sat Aug 19 2023 tiwai@suse.de
- ALSA: hda/realtek - Remodified 3k pull low procedure
  (git-fixes).
- ASoC: meson: axg-tdm-formatter: fix channel slot allocation
  (git-fixes).
- ASoC: lower "no backend DAIs enabled for ... Port" log severity
  (git-fixes).
- ASoC: rt5665: add missed regulator_bulk_disable (git-fixes).
- ALSA: hda/cs8409: Support new Dell Dolphin Variants (git-fixes).
- ALSA: hda/realtek: Switch Dell Oasis models to use SPI
  (git-fixes).
- ALSA: hda/realtek: Add quirks for HP G11 Laptops (git-fixes).
- ALSA: usb-audio: Add support for Mythware XA001AU capture and
  playback interfaces (git-fixes).
- mmc: wbsd: fix double mmc_free_host() in wbsd_init()
  (git-fixes).
- mmc: block: Fix in_flight[issue_type] value error (git-fixes).
- arm64: dts: qcom: qrb5165-rb5: fix thermal zone conflict
  (git-fixes).
- bus: ti-sysc: Flush posted write on enable before reset
  (git-fixes).
- arm64: dts: rockchip: Disable HS400 for eMMC on ROCK Pi 4
  (git-fixes).
- soc: aspeed: socinfo: Add kfree for kstrdup (git-fixes).
- net: phy: broadcom: stub c45 read/write for 54810 (git-fixes).
- selftests: mirror_gre_changes: Tighten up the TTL test match
  (git-fixes).
- net: phy: fix IRQ-based wake-on-lan over hibernate / power off
  (git-fixes).
- drm/panel: simple: Fix AUO G121EAN01 panel timings according
  to the docs (git-fixes).
- commit a48515a
* Fri Aug 18 2023 lduncan@suse.com
- Update config files. Drop the dpt_i2o kernel module.
  For: jsc#PED-4579, CVE-2023-2007
- commit f332a85
* Fri Aug 18 2023 msuchanek@suse.de
- mkspec: Allow unsupported KMPs (bsc#1214386)
- commit 55d8b82
* Fri Aug 18 2023 lhenriques@suse.de
- libceph: fix potential hang in ceph_osdc_notify() (bsc#1214393).
- ceph: defer stopping mdsc delayed_work (bsc#1214392).
- commit 722c601
* Fri Aug 18 2023 msuchanek@suse.de
- check-for-config-changes: ignore BUILTIN_RETURN_ADDRESS_STRIPS_PAC (bsc#1214380).
  gcc7 on SLE 15 does not support this while later gcc does.
- commit 5b41c27
* Thu Aug 17 2023 mfranc@suse.cz
- s390/purgatory: disable branch profiling (git-fixes
  bsc#1214372).
- commit 28f91ce
* Thu Aug 17 2023 mfranc@suse.cz
- scsi: zfcp: Defer fc_rport blocking until after ADISC response
  (git-fixes bsc#1214371).
- commit 5ac3747
* Thu Aug 17 2023 mfranc@suse.cz
- KVM: s390: fix sthyi error handling (git-fixes bsc#1214370).
- commit 3711e45
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: avoid allocation if module is already present and ready
  (bsc#1213921).
- commit d1f96fc
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: move check_modinfo() early to early_mod_check()
  (bsc#1213921).
- commit f1bebb1
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: move early sanity checks into a helper (bsc#1213921).
- commit 77019ff
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: extract patient module check into helper (bsc#1213921).
- commit 8edb1c8
* Thu Aug 17 2023 msuchanek@suse.de
- powerpc/kexec: Fix build failure from uninitialised variable
  (bsc#1212091 ltc#199106).
- powerpc/64e: Fix kexec build error (bsc#1212091 ltc#199106).
- Refresh patches.suse/powerpc-Take-in-account-addition-CPU-node-when-build.patch
- Refresh patches.suse/powerpc-kexec_file-fix-implicit-decl-error.patch
- commit c8f4ed0
* Thu Aug 17 2023 tbogendoerfer@suse.de
- Update
  patches.suse/net-vmxnet3-fix-possible-use-after-free-bugs-in-vmxn.patch
  (bsc#1200431 bsc#1214350 CVE-2023-4387).
  Added CVE reference.
- commit 8897012
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: avoid allocation if module is already present and ready
  (bsc#1213921).
- commit a42ca12
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: move check_modinfo() early to early_mod_check()
  (bsc#1213921).
- commit b97680b
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: move early sanity checks into a helper (bsc#1213921).
- commit d4f0452
* Thu Aug 17 2023 mfranc@suse.cz
- Update config files.
  run_oldconfig.sh
- CONFIG_NVME_VERBOSE_ERRORS=y          gone with a82baa8083b
- CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT=13   gone with 7e152d55123
- commit 7a11d4b
* Thu Aug 17 2023 petr.pavlu@suse.com
- module: extract patient module check into helper (bsc#1213921).
- commit de545b1
* Thu Aug 17 2023 denis.kirjanov@suse.com
- Enable Analog Devices Industrial Ethernet PHY driver (jsc#PED-4759)
- commit 63c2b4e
* Thu Aug 17 2023 tbogendoerfer@suse.de
- net: mana: Fix MANA VF unload when hardware is unresponsive
  (git-fixes).
- iavf: fix potential races for FDIR filters (git-fixes).
- ice: Fix RDMA VSI removal during queue rebuild (git-fixes).
- qed: Fix scheduling in a tasklet while getting stats
  (git-fixes).
- i40e: Fix an NULL vs IS_ERR() bug for debugfs_create_dir()
  (git-fixes).
- ice: Fix memory management in ice_ethtool_fdir.c (git-fixes).
- net: hns3: fix wrong bw weight of disabled tc issue (git-fixes).
- ice: Fix max_rate check while configuring TX rate limits
  (git-fixes).
- commit 66cd4bc
* Thu Aug 17 2023 msuchanek@suse.de
- powerpc/iommu: Fix iommu_table_in_use for a small default DMA
  window case (bsc#1212091 ltc#199106).
- powerpc/kernel/iommu: Add new iommu_table_in_use() helper
  (bsc#1212091 ltc#199106).
- powerpc/iommu: don't set failed sg dma_address to
  DMA_MAPPING_ERROR (bsc#1212091 ltc#199106).
- powerpc/iommu: return error code from .map_sg() ops (bsc#1212091
  ltc#199106).
- commit 63fd00c
* Thu Aug 17 2023 tiwai@suse.de
- drm/amd/display: trigger timing sync only if TG is running
  (git-fixes).
- commit efc7084
* Thu Aug 17 2023 tiwai@suse.de
- drm/amd/display: Retain phantom plane/stream if validation fails
  (git-fixes).
- Refresh
  patches.suse/drm-amd-display-filter-out-invalid-bits-in-pipe_fuse.patch.
- commit 7b85ac2
* Thu Aug 17 2023 tiwai@suse.de
- drm/amdgpu: fix possible UAF in amdgpu_cs_pass1() (git-fixes).
- drm/nouveau/nvkm/dp: Add workaround to fix DP 1.3+ DPCD issues
  (git-fixes).
- drm/amd/pm: avoid unintentional shutdown due to temperature
  momentary fluctuation (git-fixes).
- drm/amd/pm: expose swctf threshold setting for legacy powerplay
  (git-fixes).
- drm/amd/display: limit DPIA link rate to HBR3 (git-fixes).
- drm/amd/pm/smu7: move variables to where they are used
  (git-fixes).
- drm/amd/pm: fulfill powerplay peak profiling mode shader/memory
  clock settings (git-fixes).
- drm/amd/pm: fulfill swsmu peak profiling mode shader/memory
  clock settings (git-fixes).
- drm/amd/display: trigger timing sync only if TG is running
  (git-fixes).
- drm/amd/display: fix the build when DRM_AMD_DC_DCN is not set
  (git-fixes).
- drm/amd/display: Disable phantom OTG after enable for plane
  disable (git-fixes).
- drm/amd/display: Use update plane and stream routine for DCN32x
  (git-fixes).
- commit d699896
* Thu Aug 17 2023 tiwai@suse.de
- misc: rtsx: judge ASPM Mode to set PETXCFG Reg (git-fixes).
- drm/nouveau/gr: enable memory loads on helper invocation on
  all channels (git-fixes).
- commit 8a7a168
* Wed Aug 16 2023 msuchanek@suse.de
- kernel-binary: Common dependencies cleanup
  Common dependencies are copied to a subpackage, there is no need for
  copying defines or build dependencies there.
- commit 254b03c
* Wed Aug 16 2023 msuchanek@suse.de
- kernel-binary: Drop code for kerntypes support
  Kerntypes was a SUSE-specific feature dropped before SLE 12.
- commit 2c37773
* Wed Aug 16 2023 tiwai@suse.de
- ACPI/IORT: Update SMMUv3 DeviceID support (bsc#1214305).
- commit 4628976
* Wed Aug 16 2023 oneukum@suse.com
- net: usb: lan78xx: reorder cleanup operations to avoid UAF bugs
  (git-fixes).
- commit 9c04620
* Wed Aug 16 2023 msuchanek@suse.de
- powerpc/iommu: TCEs are incorrectly manipulated with DLPAR
  add/remove of memory (bsc#1212091 ltc#199106).
- powerpc/iommu: Incorrect DDW Table is referenced for SR-IOV
  device (bsc#1212091 ltc#199106).
- pseries/iommu/ddw: Fix kdump to work in absence of
  ibm,dma-window (bsc#1214297 ltc#197503).
- powerpc/pseries/iommu: Print ibm,query-pe-dma-windows parameters
  (bsc#1212091 ltc#199106).
- powerpc: fix typos in comments (bsc#1212091 ltc#199106).
- powerpc/pseries: Add __init attribute to eligible functions
  (bsc#1212091 ltc#199106).
- powerpc/pseries/ddw: Do not try direct mapping with persistent
  memory and one window (bsc#1212091 ltc#199106).
- powerpc/pseries/ddw: simplify enable_ddw() (bsc#1212091
  ltc#199106).
- powerpc/pseries/iommu: Add of_node_put() before break
  (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Create huge DMA window if no MMIO32 is
  present (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Check if the default window in use
  before removing it (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Use correct vfree for it_map (bsc#1212091
  ltc#199106).
- powerpc/pseries/iommu: Rename "direct window" to "dma window"
  (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Make use of DDW for indirect mapping
  (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Find existing DDW with given property
  name (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Update remove_dma_window() to accept
  property name (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Reorganize iommu_table_setparms*()
  with new helper (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Add ddw_property_create() and refactor
  enable_ddw() (bsc#1212091 ltc#199106).
  Refresh patches.suse/powerps-pseries-dma-Add-support-for-2M-IOMMU-page-si.patch
- powerpc/pseries/iommu: Allow DDW windows starting at 0x00
  (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Add ddw_list_new_entry() helper
  (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Add iommu_pseries_alloc_table() helper
  (bsc#1212091 ltc#199106).
- powerpc/pseries/iommu: Replace hard-coded page shift
  (bsc#1212091 ltc#199106).
  Refresh patches.suse/powerpc-iommu-Limit-number-of-TCEs-to-512-for-H_STUF.patch
- commit 4f11eef
* Wed Aug 16 2023 msuchanek@suse.de
- powerpc/mm/altmap: Fix altmap boundary check (bsc#1120059
  git-fixes).
- commit f722e3b
* Wed Aug 16 2023 tbogendoerfer@suse.de
- bnx2x: fix page fault following EEH recovery (bsc#1214299).
- commit f8a9432
* Tue Aug 15 2023 ddiss@suse.de
- target_core_rbd: fix leak and reduce kmalloc calls
  (bsc#1212873).
- target_core_rbd: fix rbd_img_request.snap_id assignment
  (bsc#1212857).
- target_core_rbd: remove snapshot existence validation code
  (bsc#1212857).
- file: reinstate f_pos locking optimization for regular files
  (bsc#1213759).
- commit 0469dd9
* Tue Aug 15 2023 denis.kirjanov@suse.com
- net: ieee802154: at86rf230: Stop leaking skb's (git-fixes).
- commit 3d175df
* Tue Aug 15 2023 denis.kirjanov@suse.com
- mlxsw: pci: Add shutdown method in PCI driver (git-fixes).
- commit d9c79ec
* Tue Aug 15 2023 denis.kirjanov@suse.com
- blacklist.conf: add drivers/net/ethernet/renesas/ drivers
- commit 0c8d3f5
* Tue Aug 15 2023 denis.kirjanov@suse.com
- sfc: fix crash when reading stats while NIC is resetting
  (git-fixes).
- commit 61c7a4c
* Tue Aug 15 2023 denis.kirjanov@suse.com
- ice: Fix crash by keep old cfg when update TCs more than queues
  (git-fixes).
- commit 4e80ce2
* Tue Aug 15 2023 msuchanek@suse.de
- powerpc/pseries: Honour current SMT state when DLPAR onlining
  CPUs (bsc#1214285 bsc#1205462 ltc#200161 ltc#200588).
- powerpc: Add HOTPLUG_SMT support (bsc#1214285 bsc#1205462
  ltc#200161 ltc#200588).
  Update config files.
- powerpc/pseries: Initialise CPU hotplug callbacks earlier
  (bsc#1214285 bsc#1205462 ltc#200161 ltc#200588).
- cpu/SMT: Allow enabling partial SMT states via sysfs
  (bsc#1214285 bsc#1205462 ltc#200161 ltc#200588).
- cpu/SMT: Create topology_smt_thread_allowed() (bsc#1214285
  bsc#1205462 ltc#200161 ltc#200588).
- cpu/SMT: Remove topology_smt_supported() (bsc#1214285
  bsc#1205462 ltc#200161 ltc#200588).
- cpu/SMT: Store the current/max number of threads (bsc#1214285
  bsc#1205462 ltc#200161 ltc#200588).
- cpu/SMT: Move smt/control simple exit cases earlier (bsc#1214285
  bsc#1205462 ltc#200161 ltc#200588).
- cpu/SMT: Move SMT prototypes into cpu_smt.h (bsc#1214285
  bsc#1205462 ltc#200161 ltc#200588).
- commit 8bd8972
* Tue Aug 15 2023 mkoutny@suse.com
- sched/psi: use kernfs polling functions for PSI trigger polling
  (bsc#1209799).
- commit 4477665
* Tue Aug 15 2023 jack@suse.cz
- md/raid0: Fix performance regression for large sequential writes
  (bsc#1213916).
- md/raid0: Factor out helper for mapping and submitting a bio
  (bsc#1213916).
- commit d85264e
* Tue Aug 15 2023 tiwai@suse.de
- drm/nouveau/disp: fix use-after-free in error handling of
  nouveau_connector_create (bsc#1214073).
- commit 4e5fad7
* Mon Aug 14 2023 alnovak@suse.cz
- ceph: don't check for quotas on MDS stray dirs (bsc#1214238).
- commit dcb3418
* Mon Aug 14 2023 jroedel@suse.de
- iommu/dma: Fix incorrect error return on iommu deferred attach
  (git-fixes).
- Refresh patches.suse/iommu-dma-Fix-arch_sync_dma-for-map.patch.
- Refresh
  patches.suse/iommu-dma-check-config_swiotlb-more-broadly.
- commit c7a880f
* Mon Aug 14 2023 jroedel@suse.de
- iommu/dma: return error code from iommu_dma_map_sg()
  (git-fixes).
- Refresh patches.suse/iommu-dma-Fix-arch_sync_dma-for-map.patch.
- Refresh
  patches.suse/iommu-dma-check-config_swiotlb-more-broadly.
- commit 5d989c6
* Mon Aug 14 2023 jroedel@suse.de
- iommu/amd: Fix pci device refcount leak in ppr_notifier()
  (git-fixes).
- iommu/amd: Fix ill-formed ivrs_ioapic, ivrs_hpet and
  ivrs_acpihid options (git-fixes).
- iommu/amd: Fix ivrs_acpihid cmdline parsing code (git-fixes).
- iommu/fsl_pamu: Fix resource leak in fsl_pamu_probe()
  (git-fixes).
- iommu/rockchip: fix permission bits in page table entries v2
  (git-fixes).
- iommu/sun50i: Remove IOMMU_DOMAIN_IDENTITY (git-fixes).
- iommu/sun50i: Implement .iotlb_sync_map (git-fixes).
- iommu/sun50i: Fix flush size (git-fixes).
- iommu/sun50i: Fix R/W permission check (git-fixes).
- iommu/sun50i: Consider all fault sources for reset (git-fixes).
- iommu/sun50i: Fix reset release (git-fixes).
- iommu/vt-d: Fix PCI device refcount leak in
  dmar_dev_scope_init() (git-fixes).
- iommu/vt-d: Fix PCI device refcount leak in has_external_pci()
  (git-fixes).
- iommu/vt-d: Set SRE bit only when hardware has SRS cap
  (git-fixes).
- iommu/vt-d: Preset Access bit for IOVA in FL non-leaf paging
  entries (git-fixes).
- iommu/vt-d: Clean up si_domain in the init_dmars() error path
  (git-fixes).
- iommu/iova: Fix module config properly (git-fixes).
- iommu/omap: Fix buffer overflow in debugfs (git-fixes).
- iommu/arm-smmu-v3: Make default domain type of HiSilicon PTT
  device to identity (git-fixes).
- iommu/vt-d: Check correct capability for sagaw determination
  (git-fixes).
- iommu/vt-d: Correctly calculate sagaw value of IOMMU
  (git-fixes).
- iommu/vt-d: Fix kdump kernels boot failure with scalable mode
  (git-fixes).
- iommu/amd: use full 64-bit value in build_completion_wait()
  (git-fixes).
- iommu/amd: Fix compile warning in init code (git-fixes).
- iommu/amd: Add PCI segment support for ivrs_ commands
  (git-fixes).
- iommu/io-pgtable-arm-v7s: Add a quirk to allow pgtable PA up
  to 35bit (git-fixes).
- iommu/dma: Fix iova map result check bug (git-fixes).
- iommu/arm-smmu-v3: check return value after calling
  platform_get_resource() (git-fixes).
- iommu/arm-smmu: fix possible null-ptr-deref in
  arm_smmu_device_probe() (git-fixes).
- iommu/vt-d: Add RPLS to quirk list to skip TE disabling
  (git-fixes).
- iommu/arm-smmu-v3: fix event handling soft lockup (git-fixes).
- iommu/dart: Initialize DART_STREAMS_ENABLE (git-fixes).
- commit b73aa3b
* Mon Aug 14 2023 jroedel@suse.de
- iommu/mediatek: Set dma_mask for PGTABLE_PA_35_EN (git-fixes).
- iommu/amd: Do not identity map v2 capable device when snp is
  enabled (git-fixes).
- iommu/s390: Fix duplicate domain attachments (git-fixes).
- iommu/mediatek: Validate number of phandles associated with
  "mediatek,larbs" (git-fixes).
- iommu/mediatek: Add error path for loop of mm_dts_parse
  (git-fixes).
- iommu/mediatek: Use component_match_add (git-fixes).
- iommu/mediatek: Add platform_device_put for recovering the
  device refcnt (git-fixes).
- iommu/mediatek: Check return value after calling
  platform_get_resource() (git-fixes).
- commit 7224acf
* Mon Aug 14 2023 jroedel@suse.de
- iommu/amd: Add map/unmap_pages() iommu_domain_ops callback
  support (bsc#1212423).
- iommu/amd/io-pgtable: Implement unmap_pages io_pgtable_ops
  callback (bsc#1212423).
- iommu/amd/io-pgtable: Implement map_pages io_pgtable_ops
  callback (bsc#1212423).
- commit c0cd652
* Mon Aug 14 2023 lzhong@suse.de
- nvme-rdma: fix potential unbalanced freeze & unfreeze
  (bsc#1208902).
- nvme-tcp: fix potential unbalanced freeze & unfreeze
  (bsc#1208902).
- commit 2d8bf94
* Mon Aug 14 2023 nik.borisov@suse.com
- x86/mce: Make sure logged MCEs are processed after sysfs update (git-fixes).
- commit 64aa9ec
* Mon Aug 14 2023 nik.borisov@suse.com
- x86/CPU/AMD: Disable XSAVES on AMD family 0x17 (git-fixes).
- commit b1259cb
* Mon Aug 14 2023 nik.borisov@suse.com
- blacklist.conf: Blacklist useless doc patch
- commit be8f79d
* Mon Aug 14 2023 nik.borisov@suse.com
- x86/speculation: Add cpu_show_gds() prototype (git-fixes).
- commit edd5557
* Sun Aug 13 2023 ailiop@suse.com
- fs/sysv: Null check to prevent null-ptr-deref bug (git-fixes).
- commit ae6500e
* Sun Aug 13 2023 tiwai@suse.de
- iio: cros_ec: Fix the allocation size for cros_ec_command
  (git-fixes).
- iio: adc: ina2xx: avoid NULL pointer dereference on OF device
  match (git-fixes).
- usb: dwc3: Properly handle processing of pending events
  (git-fixes).
- usb-storage: alauda: Fix uninit-value in alauda_check_media()
  (git-fixes).
- usb: common: usb-conn-gpio: Prevent bailing out if initial
  role is none (git-fixes).
- usb: typec: altmodes/displayport: Signal hpd when configuring
  pin assignment (git-fixes).
- usb: typec: tcpm: Fix response to vsafe0V event (git-fixes).
- commit d86b205
* Sat Aug 12 2023 denis.kirjanov@suse.com
- netfilter: KABI workaround for CVE-2023-3610 bsc#1213580
  (git-fixes).
- commit b3532ef
* Sat Aug 12 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: fix chain binding transaction logic
  (bsc#1213580 CVE-2023-3610).
- commit e6eb926
* Sat Aug 12 2023 denis.kirjanov@suse.com
- Refresh
  patches.suse/powerpc-pseries-vas-Hold-mmap_mutex-after-mmap-lock-.patch.
- commit 60482d4
* Sat Aug 12 2023 denis.kirjanov@suse.com
- netfilter: KABI workaround for CVE-2023-3610 bsc#1213580
  (git-fixes).
- commit ecae123
* Sat Aug 12 2023 denis.kirjanov@suse.com
- netfilter: nf_tables: fix chain binding transaction logic
  (bsc#1213580 CVE-2023-3610).
- commit 12da4f7
* Sat Aug 12 2023 tiwai@suse.de
- drm/amd: Disable S/G for APUs when 64GB or more host memory
  (git-fixes).
- drm/amdgpu: add S/G display parameter (git-fixes).
- commit 5f61fab
* Sat Aug 12 2023 tiwai@suse.de
- drm/amdgpu: Remove unnecessary domain argument (git-fixes).
- commit d154fc5
* Sat Aug 12 2023 tiwai@suse.de
- drm/amd/display: Ensure that planes are in the same order
  (git-fixes).
- drm/amdgpu: add vram reservation based on
  vram_usagebyfirmware_v2_2 (git-fixes).
- commit f3e97e4
* Sat Aug 12 2023 tiwai@suse.de
- hwmon: (pmbus/bel-pfe) Enable PMBUS_SKIP_STATUS_CHECK for
  pfe1100 (git-fixes).
- nilfs2: fix use-after-free of nilfs_root in dirtying inodes
  via iput (git-fixes).
- drm/amd/display: check attr flag before set cursor degamma on
  DCN3+ (git-fixes).
- drm/shmem-helper: Reset vma->vm_ops before calling
  dma_buf_mmap() (git-fixes).
- drm/rockchip: Don't spam logs in atomic check (git-fixes).
- drm/nouveau/disp: Revert a NULL check inside
  nouveau_connector_get_modes (git-fixes).
- arm64: dts: imx8mn-var-som: add missing pull-up for onboard
  PHY reset pinmux (git-fixes).
- soundwire: fix enumeration completion (git-fixes).
- net: usbnet: Fix WARNING in usbnet_start_xmit/usb_submit_urb
  (git-fixes).
- Bluetooth: L2CAP: Fix use-after-free in l2cap_sock_ready_cb
  (git-fixes).
- selftests/rseq: check if libc rseq support is registered
  (git-fixes).
- soundwire: bus: pm_runtime_request_resume on peripheral
  attachment (git-fixes).
- commit 1f8ce0d
* Fri Aug 11 2023 vkarasulli@suse.de
- net/sched: cls_route: No longer copy tcf_result on update  to
  avoid use-after-free (bsc#1214149 CVE-2023-4128).
- net/sched: cls_fw: No longer copy tcf_result on update to
  avoid use-after-free (bsc#1214149 CVE-2023-4128).
- net/sched: cls_u32: No longer copy tcf_result on update  to
  avoid use-after-free (bsc#1214149 CVE-2023-4128).
- commit 9904c3b
* Fri Aug 11 2023 lhenriques@suse.de
- ceph: never send metrics if disable_send_metrics is set
  (bsc#1214180).
- commit 32f3ae7
* Fri Aug 11 2023 tiwai@suse.de
- wifi: cfg80211: fix sband iftype data lookup for AP_VLAN
  (git-fixes).
- selftests: forwarding: tc_flower: Relax success criterion
  (git-fixes).
- selftests: forwarding: ethtool_extended_state: Skip when using
  veth pairs (git-fixes).
- selftests: forwarding: ethtool: Skip when using veth pairs
  (git-fixes).
- selftests: forwarding: Add a helper to skip test when using
  veth pairs (git-fixes).
- selftests: forwarding: Switch off timeout (git-fixes).
- selftests: forwarding: Skip test when no interfaces are
  specified (git-fixes).
- net: phy: at803x: remove set/get wol callbacks for AR8032
  (git-fixes).
- dmaengine: pl330: Return DMA_PAUSED when transaction is paused
  (git-fixes).
- dmaengine: mcf-edma: Fix a potential un-allocated memory access
  (git-fixes).
- commit b70a6bf
* Fri Aug 11 2023 nik.borisov@suse.com
- blacklist.conf: Blacklist useless doc fix
- commit 685dbed
* Fri Aug 11 2023 ddiss@suse.de
- exfat: check if filename entries exceeds max filename length
  (bsc#1214120 CVE-2023-4273).
- commit b7e68de
* Thu Aug 10 2023 nik.borisov@suse.com
- x86/srso: Fix return thunks in generated code (git-fixes).
- commit b4d125e
* Thu Aug 10 2023 nik.borisov@suse.com
- Refresh patches.suse/kvm-add-gds_no-support-to-kvm.patch.
- Refresh
  patches.suse/x86-speculation-add-force-option-to-gds-mitigation.patch.
- Refresh
  patches.suse/x86-speculation-add-gather-data-sampling-mitigation.patch.
- Refresh
  patches.suse/x86-speculation-add-kconfig-option-for-gds.patch.
- Refresh
  patches.suse/x86-srso-add-a-speculative-ras-overflow-mitigation.patch.
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
  Sort latest set of security vulnerabilities according to upstream order.
- commit 4a12398
* Thu Aug 10 2023 petr.pavlu@suse.com
- tracing/histograms: Return an error if we fail to add histogram
  to hist_vars list (git-fixes).
- commit d08da8a
* Wed Aug  9 2023 tiwai@suse.de
- Drop cfg80211 lock fix patches that caused a regression (bsc#1213757)
  Deleted:
  patches.suse/wifi-cfg80211-fix-locking-in-regulatory-disconnect.patch
  patches.suse/wifi-cfg80211-fix-locking-in-sched-scan-stop-work.patch
- commit f824698
* Wed Aug  9 2023 mkubecek@suse.cz
- netfilter: nf_tables: disallow rule addition to bound chain
  via NFTA_RULE_CHAIN_ID (CVE-2023-4147 bsc#1213968).
- commit c0bb265
* Wed Aug  9 2023 tbogendoerfer@suse.de
- cxgb4: fix use after free bugs caused by circular dependency
  problem (bsc#1213970 CVE-2023-4133).
- timers: Provide timer_shutdown[_sync]() (bsc#1213970).
- timers: Add shutdown mechanism to the internal functions
  (bsc#1213970).
- timers: Split [try_to_]del_timer[_sync]() to prepare for
  shutdown mode (bsc#1213970).
- timers: Silently ignore timers with a NULL function
  (bsc#1213970).
- timers: Rename del_timer() to timer_delete() (bsc#1213970).
- timers: Rename del_timer_sync() to timer_delete_sync()
  (bsc#1213970).
- timers: Use del_timer_sync() even on UP (bsc#1213970).
- timers: Update kernel-doc for various functions (bsc#1213970).
- timers: Replace BUG_ON()s (bsc#1213970).
- clocksource/drivers/sp804: Do not use timer namespace for
  timer_shutdown() function (bsc#1213970).
- clocksource/drivers/arm_arch_timer: Do not use timer namespace
  for timer_shutdown() function (bsc#1213970).
- ARM: spear: Do not use timer namespace for timer_shutdown()
  function (bsc#1213970).
- commit 0322b50
* Wed Aug  9 2023 jgross@suse.com
- xen/netback: Fix buffer overrun triggered by unusual packet
  (CVE-2023-34319, XSA-432, bsc#1213546).
- commit 6591b03
* Tue Aug  8 2023 nik.borisov@suse.com
- x86/srso: Tie SBPB bit setting to microcode patch detection (bsc#1213287, CVE-2023-20569).
- commit 90a74a8
* Tue Aug  8 2023 ailiop@suse.com
- ubifs: Fix memleak when insert_old_idx() failed (git-fixes).
- commit 2837d15
* Tue Aug  8 2023 ailiop@suse.com
- jffs2: correct logic when creating a hole in jffs2_write_begin
  (git-fixes).
- commit f413344
* Tue Aug  8 2023 tiwai@suse.de
- mmc: moxart: read scr register without changing byte order
  (git-fixes).
- commit 12e8704
* Mon Aug  7 2023 palcantara@suse.de
- cifs: update internal module version number for cifs.ko
  (bsc#1193629).
- commit ade2a6e
* Mon Aug  7 2023 palcantara@suse.de
- smb: client: fix dfs link mount against w2k8 (bsc#1212142).
- commit 2f90082
* Mon Aug  7 2023 palcantara@suse.de
- cifs: add missing return value check for cifs_sb_tlink
  (bsc#1193629).
- commit a08c7b4
* Mon Aug  7 2023 palcantara@suse.de
- smb3: do not set NTLMSSP_VERSION flag for negotiate not auth
  request (bsc#1193629).
- commit 1b17674
* Mon Aug  7 2023 palcantara@suse.de
- cifs: allow dumping keys for directories too (bsc#1193629).
- commit e7fda39
* Mon Aug  7 2023 palcantara@suse.de
- cifs: fix mid leak during reconnection after timeout threshold
  (git-fixes).
- commit 30d4c82
* Mon Aug  7 2023 palcantara@suse.de
- cifs: is_network_name_deleted should return a bool
  (bsc#1193629).
- commit 85c6bb9
* Mon Aug  7 2023 palcantara@suse.de
- smb: client: Fix -Wstringop-overflow issues (bsc#1193629).
- commit 37f3408
* Mon Aug  7 2023 palcantara@suse.de
- cifs: if deferred close is disabled then close files immediately
  (git-fixes).
- commit 1cd51c4
* Mon Aug  7 2023 palcantara@suse.de
- SMB3: Do not send lease break acknowledgment if all file
  handles have been closed (git-fixes).
- commit 68ee604
* Mon Aug  7 2023 petr.pavlu@suse.com
- fprobe: add unlock to match a succeeded
  ftrace_test_recursion_trylock (git-fixes).
- commit adbdcc7
* Mon Aug  7 2023 petr.pavlu@suse.com
- fprobe: Release rethook after the ftrace_ops is unregistered
  (git-fixes).
- commit 3548d7c
* Mon Aug  7 2023 mfranc@suse.cz
- net: tun_chr_open(): set sk_uid from current_fsuid()
  (CVE-2023-4194 bsc#1214019).
- commit b6c8070
* Mon Aug  7 2023 mfranc@suse.cz
- net: tap_open(): set sk_uid from current_fsuid() (CVE-2023-4194
  bsc#1214019).
- commit d59e993
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing/probes: Fix to avoid double count of the string length
  on the array (git-fixes).
- commit 24b5022
* Mon Aug  7 2023 petr.pavlu@suse.com
- blacklist.conf: add tracing patches implementing new functionality
- commit 1e7f3cf
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing/probes: Fix to record 0-length data_loc in
  fetch_store_string*() if fails (git-fixes).
- commit c96ae0e
* Mon Aug  7 2023 petr.pavlu@suse.com
- Revert "tracing: Add "(fault)" name injection to kernel probes"
  (git-fixes).
- commit 658fc31
* Mon Aug  7 2023 petr.pavlu@suse.com
- bpf: Disable preemption in bpf_event_output (git-fixes).
- commit 21194b8
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing: Fix warning in trace_buffered_event_disable()
  (git-fixes).
- commit 9a84de4
* Mon Aug  7 2023 petr.pavlu@suse.com
- ring-buffer: Fix wrong stat of cpu_buffer->read (git-fixes).
- commit 9c2f42a
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing/probes: Fix to update dynamic data counter if fetcharg
  uses it (git-fixes).
- commit a5e8186
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing/probes: Fix not to count error code to total length
  (git-fixes).
- commit 1fa72f4
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing: Fix memory leak of iter->temp when reading trace_pipe
  (git-fixes).
- commit 6f343ba
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing/histograms: Add histograms to hist_vars if they have
  referenced variables (git-fixes).
- commit 17940e8
* Mon Aug  7 2023 petr.pavlu@suse.com
- ftrace: Fix possible warning on checking all pages used in
  ftrace_process_locs() (git-fixes).
- commit 825cbd9
* Mon Aug  7 2023 petr.pavlu@suse.com
- ring-buffer: Fix deadloop issue on reading trace_pipe
  (git-fixes).
- commit fc2b8fe
* Mon Aug  7 2023 petr.pavlu@suse.com
- tracing: Fix null pointer dereference in tracing_err_log_open()
  (git-fixes).
- commit 498fa96
* Mon Aug  7 2023 vbabka@suse.cz
- README.BRANCH: Add Miroslav Franc as a SLE15-SP4 co-maintainer.
- commit 3b7c83a
* Mon Aug  7 2023 neilb@suse.de
- nfsd: Remove incorrect check in nfsd4_validate_stateid
  (git-fixes).
- commit 2cc1911
* Mon Aug  7 2023 neilb@suse.de
- blacklist.conf: add a cleanup
- commit 976e622
* Sun Aug  6 2023 tiwai@suse.de
- drm/i915: Fix premature release of request's reusable memory
  (git-fixes).
- commit a19a4b2
* Sun Aug  6 2023 tiwai@suse.de
- mtd: rawnand: fsl_upm: Fix an off-by one test in fun_exec_op()
  (git-fixes).
- mtd: rawnand: rockchip: Align hwecc vs. raw page helper layouts
  (git-fixes).
- mtd: rawnand: rockchip: fix oobfree offset and description
  (git-fixes).
- mtd: rawnand: omap_elm: Fix incorrect type in assignment
  (git-fixes).
- mtd: spinand: toshiba: Fix ecc_get_status (git-fixes).
- drm/ttm: check null pointer before accessing when swapping
  (git-fixes).
- commit 6d64757
* Fri Aug  4 2023 ddiss@suse.de
- exfat: release s_lock before calling dir_emit() (bsc#1214000).
- exfat: fix unexpected EOF while reading dir (bsc#1214000).
- exfat_iterate(): don't open-code file_inode(file) (bsc#1214000).
- commit 00dff49
* Fri Aug  4 2023 mkoutny@suse.com
- blacklist.conf: Add 3b8abb323953 mm: kmem: fix a NULL pointer dereference in obj_stock_flush_required()
- commit 3ae175c
* Fri Aug  4 2023 mkoutny@suse.com
- blacklist.conf: Add 9ec272c586b0 watchdog/hardlockup: keep kernel.nmi_watchdog sysctl as 0444 if probe fails
- commit ff37424
* Fri Aug  4 2023 nik.borisov@suse.com
- Refresh patches.suse/x86-srso-add-srso_no-support.patch.
  Handle the newly added SBPB feature correctly when run in hypervisor
  context and interept an MSR write.
- commit ef9889a
* Fri Aug  4 2023 nik.borisov@suse.com
- Update config files.
  We want SRSO mitigation on by default
- commit acc813b
* Fri Aug  4 2023 svarbanov@suse.de
- net: stmmac: tegra: Properly allocate clock bulk data (bsc#1213733)
- commit f38b73b
* Fri Aug  4 2023 alnovak@suse.cz
- netfs: Fix missing xas_retry() calls in xarray iteration
  (bsc#1213946 bsc#1214404).
- netfs: Fix missing xas_retry() calls in xarray iteration
  (bsc#1213946).
- commit e7bc55c
* Fri Aug  4 2023 tiwai@suse.de
- wifi: cfg80211: Fix return value in scan logic (git-fixes).
- wifi: mt76: mt7615: do not advertise 5 GHz on first phy of
  MT7615D (DBDC) (git-fixes).
- USB: zaurus: Add ID for A-300/B-500/C-700 (git-fixes).
- firmware: arm_scmi: Drop OF node reference in the transport
  channel setup (git-fixes).
- USB: gadget: Fix the memory leak in raw_gadget driver
  (git-fixes).
- USB: quirks: add quirk for Focusrite Scarlett (git-fixes).
- usb: ohci-at91: Fix the unhandle interrupt when resume
  (git-fixes).
- USB: serial: simple: sort driver entries (git-fixes).
- USB: serial: simple: add Kaufmann RKS+CAN VCP (git-fixes).
- USB: serial: option: add Quectel EC200A module support
  (git-fixes).
- USB: serial: option: support Quectel EM060K_128 (git-fixes).
- phy: qcom-snps-femto-v2: properly enable ref clock (git-fixes).
- phy: qcom-snps-femto-v2: keep cfg_ahb_clk enabled during
  runtime suspend (git-fixes).
- gpio: mvebu: fix irq domain leak (git-fixes).
- gpio: mvebu: Make use of devm_pwmchip_add (git-fixes).
- gpio: tps68470: Make tps68470_gpio_output() always set the
  initial value (git-fixes).
- drm/ttm: never consider pinned BOs for eviction&swap
  (git-fixes).
- i2c: nomadik: Remove a useless call in the remove function
  (git-fixes).
- pwm: meson: fix handling of period/duty if greater than UINT_MAX
  (git-fixes).
- i2c: nomadik: Use devm_clk_get_enabled() (git-fixes).
- i2c: nomadik: Remove unnecessary goto label (git-fixes).
- i2c: Improve size determinations (git-fixes).
- i2c: Delete error messages for failed memory allocations
  (git-fixes).
- PCI: rockchip: Remove writes to unused registers (git-fixes).
- PCI/ASPM: Avoid link retraining race (git-fixes).
- PCI/ASPM: Factor out pcie_wait_for_retrain() (git-fixes).
- PCI/ASPM: Return 0 or -ETIMEDOUT from  pcie_retrain_link()
  (git-fixes).
- phy: qcom-snps: correct struct qcom_snps_hsphy kerneldoc
  (git-fixes).
- ACPI: processor: perflib: Avoid updating frequency QoS
  unnecessarily (git-fixes).
- ACPI: processor: perflib: Use the "no limit" frequency QoS
  (git-fixes).
- pwm: Add a stub for devm_pwmchip_add() (git-fixes).
- phy: qcom-snps: Use dev_err_probe() to simplify code
  (git-fixes).
- pwm: meson: Simplify duplicated per-channel tracking
  (git-fixes).
- commit f6445d7
* Wed Aug  2 2023 oneukum@suse.com
- Input: exc3000 - properly stop timer on shutdown (git-fixes).
- commit 0eb1518
* Wed Aug  2 2023 oneukum@suse.com
- Input: iqs269a - do not poll during ATI (git-fixes).
- commit 5bdf465
* Wed Aug  2 2023 oneukum@suse.com
- Input: iqs269a - do not poll during suspend or resume
  (git-fixes).
- commit 467fdbf
* Wed Aug  2 2023 oneukum@suse.com
- Input: i8042 - add Clevo PCX0DX to i8042 quirk table
  (git-fixes).
- commit 0922201
* Wed Aug  2 2023 jlee@suse.com
- relayfs: fix out-of-bounds access in relay_file_read
  (bsc#1212502 CVE-2023-3268).
- commit 9c2a6e6
* Wed Aug  2 2023 jlee@suse.com
- can: af_can: fix NULL pointer dereference in can_rcv_filter
  (bsc#1210627 CVE-2023-2166).
- commit e89fee8
* Wed Aug  2 2023 jlee@suse.com
- can: af_can: fix NULL pointer dereference in can_rcv_filter
  (bsc#1210627 CVE-2023-2166).
- commit 95374ce
* Tue Aug  1 2023 mfranc@suse.cz
- s390: introduce nospec_uses_trampoline() (git-fixes
  bsc#1213870).
- commit c2ccf75
* Tue Aug  1 2023 mfranc@suse.cz
- s390/dasd: print copy pair message only for the correct error
  (git-fixes bsc#1213872).
- commit a5594a2
* Tue Aug  1 2023 mfranc@suse.cz
- s390/ipl: add missing intersection check to ipl_report handling
  (git-fixes bsc#1213871).
- commit 8806556
* Tue Aug  1 2023 tiwai@suse.de
- Move upstreamed sound patch into sorted sectoin
- commit 8a29738
* Tue Aug  1 2023 tbogendoerfer@suse.de
- iavf: check for removal state before IAVF_FLAG_PF_COMMS_FAILED
  (git-fixes).
- iavf: fix potential deadlock on allocation failure (git-fixes).
- ice: Fix memory management in ice_ethtool_fdir.c (git-fixes).
- iavf: fix reset task race with iavf_remove() (git-fixes).
- iavf: fix a deadlock caused by rtnl and driver's lock circular
  dependencies (git-fixes).
- Revert "iavf: Do not restart Tx queues after reset task failure"
  (git-fixes).
- Revert "iavf: Detach device during reset task" (git-fixes).
- iavf: Wait for reset in callbacks which trigger it (git-fixes).
- ice: Fix max_rate check while configuring TX rate limits
  (git-fixes).
- net/mlx5e: Check for NOT_READY flag state after locking
  (git-fixes).
- net/mlx5e: fix memory leak in mlx5e_ptp_open (git-fixes).
- net/mlx5e: fix memory leak in mlx5e_fs_tt_redirect_any_create
  (git-fixes).
- net/mlx5e: fix double free in mlx5e_destroy_flow_table
  (git-fixes).
- sfc: fix crash when reading stats while NIC is resetting
  (git-fixes).
- ice: handle extts in the miscellaneous interrupt thread
  (git-fixes).
- net/mlx5: DR, Support SW created encap actions for FW table
  (git-fixes).
- net/mlx5e: xsk: Set napi_id to support busy polling on XSK RQ
  (git-fixes).
- net/mlx5e: XDP, Allow growing tail for XDP multi buffer
  (git-fixes).
- sfc: use budget for TX completions (git-fixes).
- sfc: fix XDP queues mode with legacy IRQ (git-fixes).
- iavf: Move netdev_update_features() into watchdog task
  (git-fixes).
- commit 79a5c42
* Tue Aug  1 2023 mfranc@suse.cz
- blacklist.conf: has non-trivial dependencies
- commit 0c7dbe0
* Tue Aug  1 2023 mfranc@suse.cz
- s390/bpf: Add expoline to tail calls (git-fixes bsc#1213870).
- commit 66f8c8e
* Tue Aug  1 2023 mfranc@suse.cz
- KVM: s390: pv: fix index value of replaced ASCE (git-fixes
  bsc#1213867).
- commit e789a10
* Tue Aug  1 2023 mfranc@suse.cz
- s390/decompressor: specify __decompress() buf len to avoid
  overflow (git-fixes bsc#1213863).
- commit 59015c6
* Tue Aug  1 2023 lhenriques@suse.de
- libceph: harden msgr2.1 frame segment length checks
  (bsc#1213857).
- ceph: don't let check_caps skip sending responses for revoke
  msgs (bsc#1213856).
- commit 9052bbe
* Tue Aug  1 2023 iivanov@suse.de
- KVM: arm64: Warn if accessing timer pending state outside of vcpu (bsc#1213620)
- commit 222f2a2
* Tue Aug  1 2023 tiwai@suse.de
- Update config files: set CONFIG_GDS_FORCE_MITIGATION=n
- commit f04be94
* Tue Aug  1 2023 tiwai@suse.de
- bpf: add missing header file include (bsc#1211738
  CVE-2023-0459).
- commit 1ccaaad
* Mon Jul 31 2023 tiwai@suse.de
- Drop the recent USB gadget fix patches
  The recent USB gadget fix patches look dubious and likely leading to
  locking problem.  Drop them for now until we get the proper backports
  Deleted:
  patches.suse/usb-gadget-core-remove-unbalanced-mutex_unlock-in-us.patch
  patches.suse/usb-gadget-udc-core-Offload-usb_udc_vbus_handler-pro.patch
  patches.suse/usb-gadget-udc-core-Prevent-soft_connect_store-race.patch
- commit d9bbe1b
* Mon Jul 31 2023 oneukum@suse.com
- block: Fix a source code comment in
  include/uapi/linux/blkzoned.h (git-fixes).
- commit 8349665
* Mon Jul 31 2023 oneukum@suse.com
- blacklist.conf: cleanup
- commit fb32f77
* Mon Jul 31 2023 oneukum@suse.com
- blacklist.conf: cleanup
- commit 4a72f90
* Mon Jul 31 2023 oneukum@suse.com
- scftorture: Count reschedule IPIs (git-fixes).
- commit e88bc8d
* Mon Jul 31 2023 tiwai@suse.de
- Revert "Drop AMDGPU patches for fixing regression (bsc#1213304,bsc#1213777)"
  SLE15-SP5 branch works as is, hence revive the dropped patches again.
- commit b4b1978
* Mon Jul 31 2023 tbogendoerfer@suse.de
- netfilter: nft_set_pipapo: fix improper element removal
  (bsc#1213812 CVE-2023-4004).
- commit 4902a99
* Mon Jul 31 2023 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-mthca-Fix-crash-when-polling-CQ-for-shared-QPs.patch
  (git-fixes bsc#1212604).
  Added bug reference.
- commit 391a3ba
* Mon Jul 31 2023 tbogendoerfer@suse.de
- igc: Fix Kernel Panic during ndo_tx_timeout callback
  (git-fixes).
- iavf: use internal state to free traffic IRQs (git-fixes).
- iavf: Fix out-of-bounds when setting channels on remove
  (git-fixes).
- iavf: Fix use-after-free in free_netdev (git-fixes).
- igc: Prevent garbled TX queue with XDP ZEROCOPY (git-fixes).
- net: ena: fix shift-out-of-bounds in exponential backoff
  (git-fixes).
- igc: Fix inserting of empty frame for launchtime (git-fixes).
- igc: Fix launchtime before start of cycle (git-fixes).
- octeontx2-pf: Add additional check for MCAM rules (git-fixes).
- gve: unify driver name usage (git-fixes).
- octeontx2-af: Move validation of ptp pointer before its usage
  (git-fixes).
- igc: Handle PPS start time programming for past time values
  (git-fixes).
- igc: set TP bit in 'supported' and 'advertising' fields of
  ethtool_link_ksettings (git-fixes).
- igc: Remove delay during TX ring configuration (git-fixes).
- gve: Set default duplex configuration to full (git-fixes).
- octeontx-af: fix hardware timestamp configuration (git-fixes).
- igc: Work around HW bug causing missing timestamps (git-fixes).
- igc: Check if hardware TX timestamping is enabled earlier
  (git-fixes).
- igc: Fix race condition in PTP tx code (git-fixes).
- igc: Enable and fix RX hash usage by netstack (git-fixes).
- commit a695c8c
* Mon Jul 31 2023 mfranc@suse.cz
- s390/dasd: fix hanging device after quiesce/resume (git-fixes
  bsc#1213810).
- commit dfb76f0
* Mon Jul 31 2023 tiwai@suse.de
- Drop AMDGPU patches for fixing regression (bsc#1213304,bsc#1213777)
  Deleted:
  patches.suse/drm-amd-display-Add-wrapper-to-call-planes-and-strea.patch
  patches.suse/drm-amd-display-Use-dc_update_planes_and_stream.patch
  Refreshed:
  patches.suse/drm-amd-display-fix-the-system-hang-while-disable-PS.patch
- commit b04dd6d
* Mon Jul 31 2023 tiwai@suse.de
- usb: typec: Use sysfs_emit_at when concatenating the string
  (git-fixes).
- usb: typec: Iterate pds array when showing the pd list
  (git-fixes).
- usb: typec: Set port->pd before adding device for typec_port
  (git-fixes).
- commit 4e8be6b
* Mon Jul 31 2023 tiwai@suse.de
- m ALSA: usb-audio: Add quirk for Tascam Model 12 (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-Update-for-native-DSD-support-quirks.patch.
- commit 99c6344
* Mon Jul 31 2023 tiwai@suse.de
- usb: dwc3: pci: skip BYT GPIO lookup table for hardwired phy
  (git-fixes).
- Revert "usb: gadget: tegra-xudc: Fix error check in
  tegra_xudc_powerdomain_init()" (git-fixes).
- Revert "usb: xhci: tegra: Fix error check" (git-fixes).
- usb: gadget: core: remove unbalanced mutex_unlock in
  usb_gadget_activate (git-fixes).
- Revert "usb: dwc3: core: Enable AutoRetry feature in the
  controller" (git-fixes).
- Revert "xhci: add quirk for host controllers that don't update
  endpoint DCS" (git-fixes).
- usb: xhci-mtk: set the dma max_seg_size (git-fixes).
- usb: dwc3: don't reset device side if dwc3 was configured as
  host-only (git-fixes).
- serial: sifive: Fix sifive_serial_console_setup() section
  (git-fixes).
- Documentation: devices.txt: reconcile serial/ucc_uart minor
  numers (git-fixes).
- tty: n_gsm: fix UAF in gsm_cleanup_mux (git-fixes).
- staging: ks7010: potential buffer overflow in
  ks_wlan_set_encode_ext() (git-fixes).
- staging: r8712: Fix memory leak in _r8712_init_xmit_priv()
  (git-fixes).
- Revert "debugfs, coccinelle: check for obsolete
  DEFINE_SIMPLE_ATTRIBUTE() usage" (git-fixes).
- commit 68f52c9
* Sun Jul 30 2023 mkubecek@suse.cz
- ipv6: rpl: Fix Route of Death (CVE-2023-2156 bsc#1211131).
- commit c2f8329
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/irdma: Report correct WC error (git-fixes)
- commit bbd2277
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/irdma: Fix op_type reporting in CQEs (git-fixes)
- commit 9cf2e90
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix hang during driver unload (git-fixes)
- commit 88338bc
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/bnxt_re: Prevent handling any completions after qp destroy (git-fixes)
- commit cea614e
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/mthca: Fix crash when polling CQ for shared QPs (git-fixes)
- commit 9675e7a
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/core: Update CMA destination address on rdma_resolve_addr (git-fixes)
- commit 2321b3b
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/irdma: Fix data race on CQP request done (git-fixes)
- commit ea2e3ca
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/irdma: Fix data race on CQP completion stats (git-fixes)
- commit 0780ef4
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/irdma: Add missing read barriers (git-fixes)
- commit 495eb3b
* Sun Jul 30 2023 nmorey@suse.com
- RDMA/mlx4: Make check for invalid flags stricter (git-fixes)
- commit 67b00ed
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Rate limit usb_set_interface error reporting
  (git-fixes).
- ALSA: usb-audio: Add FIXED_RATE quirk for JBL Quantum610
  Wireless (git-fixes).
- ALSA: usb-audio: Fix possible NULL pointer dereference in
  snd_usb_pcm_has_fixed_rate() (git-fixes).
- ALSA: usb-audio: Always initialize fixed_rate in
  snd_usb_find_implicit_fb_sync_format() (git-fixes).
- Revert "ALSA: usb-audio: Drop superfluous interface setup at
  parsing" (git-fixes).
- ALSA: usb-audio: More refactoring of hw constraint rules
  (git-fixes).
- ALSA: usb-audio: Add new quirk FIXED_RATE for JBL Quantum810
  Wireless (git-fixes).
- commit b55a442
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Workaround for XRUN at prepare (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-Fix-broken-resume-due-to-UAC3-power-s.patch.
- commit 9074d7a
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Avoid superfluous endpoint setup (git-fixes).
- ALSA: usb-audio: Correct the return code from
  snd_usb_endpoint_set_params() (git-fixes).
- ALSA: usb-audio: Apply mutex around
  snd_usb_endpoint_set_params() (git-fixes).
- ALSA: usb-audio: Avoid unnecessary interface change at EP close
  (git-fixes).
- ALSA: usb-audio: Properly refcounting clock rate (git-fixes).
- commit 0041e9b
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Split endpoint setups for hw_params and prepare
  (take#2) (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-Fix-broken-resume-due-to-UAC3-power-s.patch.
- commit 0822cdf
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Clear fixed clock rate at closing EP
  (git-fixes).
- commit 5be6bf5
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Drop superfluous interface setup at parsing
  (git-fixes).
- ALSA: usb-audio: Use atomic_try_cmpxchg in ep_state_update
  (git-fixes).
- ALSA: usb-audio: Fix wrong kfree issue in
  snd_usb_endpoint_free_all (git-fixes).
- ALSA: usb-audio: Refcount multiple accesses on the single clock
  (git-fixes).
- commit a3859e4
* Sat Jul 29 2023 tiwai@suse.de
- amd-pstate: Fix amd_pstate mode switch (git-fixes).
- Refresh
  patches.suse/cpufreq-amd-pstate-Add-guided-mode-control-support-v.patch.
- commit f595cdb
* Sat Jul 29 2023 tiwai@suse.de
- ALSA: usb-audio: Update for native DSD support quirks
  (git-fixes).
- commit 43f1612
* Sat Jul 29 2023 tiwai@suse.de
- ACPI/IORT: Remove erroneous id_count check in
  iort_node_get_rmr_info() (git-fixes).
- drm/amd/display: Unlock on error path in
  dm_handle_mst_sideband_msg_ready_event() (git-fixes).
- drm/amd: Fix an error handling mistake in psp_sw_init()
  (git-fixes).
- drm/i915: Fix an error handling path in igt_write_huge()
  (git-fixes).
- drm/i915/dpt: Use shmem for dpt objects (git-fixes).
- commit 38b2687
* Sat Jul 29 2023 tiwai@suse.de
- ASoC: atmel: Fix the 8K sample parameter in I2SC master
  (git-fixes).
- ASoC: rt711-sdca: fix for JD event handling in ClockStop Mode0
  (git-fixes).
- ASoC: rt711: fix for JD event handling in ClockStop Mode0
  (git-fixes).
- ASoc: codecs: ES8316: Fix DMIC config (git-fixes).
- ASoC: rt5682-sdw: fix for JD event handling in ClockStop Mode0
  (git-fixes).
- ASoC: wm8904: Fill the cache for WM8904_ADC_TEST_0 register
  (git-fixes).
- ASoC: da7219: Check for failure reading AAD IRQ events
  (git-fixes).
- ASoC: da7219: Flush pending AAD IRQ when suspending (git-fixes).
- ALSA: hda/realtek: Support ASUS G713PV laptop (git-fixes).
- ALSA: hda/relatek: Enable Mute LED on HP 250 G8 (git-fixes).
- commit e160036
* Sat Jul 29 2023 tiwai@suse.de
- ata: pata_ns87415: mark ns87560_tf_read static (git-fixes).
- serial: qcom-geni: drop bogus runtime pm state update
  (git-fixes).
- hwmon: (k10temp) Enable AMD3255 Proc to show negative
  temperature (git-fixes).
- hwmon: (nct7802) Fix for temp6 (PECI1) processed even if PECI1
  disabled (git-fixes).
- tpm_tis: Explicitly check for error code (git-fixes).
- ASoC: fsl_spdif: Silence output on stop (git-fixes).
- drm/msm: Fix IS_ERR_OR_NULL() vs NULL check in
  a5xx_submit_in_rb() (git-fixes).
- drm/msm/adreno: Fix snapshot BINDLESS_DATA size (git-fixes).
- drm/msm/dpu: drop enum dpu_core_perf_data_bus_id (git-fixes).
- commit 2f04296
* Fri Jul 28 2023 ddiss@suse.de
- file: always lock position for FMODE_ATOMIC_POS (bsc#1213759).
- commit 5a72d04
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/srso: Add IBPB on VMEXIT (bsc#1213287, CVE-2023-20569).
- commit 179babc
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/srso: Add IBPB (bsc#1213287, CVE-2023-20569).
- commit 2cb8ed9
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/srso: Add SRSO_NO support (bsc#1213287, CVE-2023-20569).
- commit 17c6a41
* Fri Jul 28 2023 iivanov@suse.de
- KVM: downgrade two BUG_ONs to WARN_ON_ONCE (git-fixes)
- commit ad8acc9
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/cpu, kvm: Add support for CPUID_80000021_EAX (bsc#1213287, CVE-2023-20569).
- Refresh patches.suse/x86-cpufeatures-add-kabi-padding.patch.
- commit fe91ad7
* Fri Jul 28 2023 dwagner@suse.de
- nvme: don't reject probe due to duplicate IDs for single-ported
  PCIe devices (git-fixes).
- nvme: fix the NVME_ID_NS_NVM_STS_MASK definition (git-fixes).
- commit 72e33c1
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/srso: Add IBPB_BRTYPE support (bsc#1213287, CVE-2023-20569).
- commit f111fdf
* Fri Jul 28 2023 iivanov@suse.de
- KVM: arm64: Don't read a HW interrupt pending state in user context (git-fixes)
- commit ffcb733
* Fri Jul 28 2023 iivanov@suse.de
- KVM: Don't null dereference ops->destroy (git-fixes)
- commit 3407958
* Fri Jul 28 2023 iivanov@suse.de
- KVM: Initialize debugfs_dentry when a VM is created to avoid NULL (git-fixes)
- commit f80bc2c
* Fri Jul 28 2023 tiwai@suse.de
- wifi: ath11k: add support for suspend in power down state
  (bsc#1207948).
- commit 0ef156d
* Fri Jul 28 2023 nik.borisov@suse.com
- x86: Sanitize linker script (bsc#1213287, CVE-2023-20569).
- commit 16a308d
* Fri Jul 28 2023 dwagner@suse.de
- nvme-pci: fix DMA direction of unmapping integrity data
  (git-fixes).
- nvme-pci: remove nvme_queue from nvme_iod (git-fixes).
- commit 3d56665
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/retbleed: Add __x86_return_thunk alignment checks (bsc#1213287, CVE-2023-20569).
- commit 7bc51ed
* Fri Jul 28 2023 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.14 patches
  (bsc#1213756).
- scsi: lpfc: Update lpfc version to 14.2.0.14 (bsc#1213756).
- scsi: lpfc: Clean up SLI-4 sysfs resource reporting
  (bsc#1213756).
- scsi: lpfc: Refactor cpu affinity assignment paths
  (bsc#1213756).
- scsi: lpfc: Abort outstanding ELS cmds when mailbox timeout
  error is detected (bsc#1213756).
- scsi: lpfc: Make fabric zone discovery more robust when handling
  unsolicited LOGO (bsc#1213756).
- scsi: lpfc: Set Establish Image Pair service parameter only
  for Target Functions (bsc#1213756).
- scsi: lpfc: Revise ndlp kref handling for dev_loss_tmo_callbk
  and lpfc_drop_node (bsc#1213756).
- scsi: lpfc: Qualify ndlp discovery state when processing RSCN
  (bsc#1213756).
- scsi: lpfc: Remove extra ndlp kref decrement in FLOGI cmpl
  for loop topology (bsc#1213756).
- scsi: lpfc: Simplify fcp_abort transport callback log message
  (bsc#1213756).
- scsi: lpfc: Pull out fw diagnostic dump log message from
  driver's trace buffer (bsc#1213756).
- scsi: lpfc: Fix a possible data race in
  lpfc_unregister_fcf_rescan() (bsc#1213756).
- scsi: lpfc: Fix lpfc_name struct packing (bsc#1213756).
- scsi: lpfc: Avoid -Wstringop-overflow warning (bsc#1213756).
- scsi: lpfc: Use struct_size() helper (bsc#1213756).
- scsi: lpfc: Fix incorrect big endian type assignments in FDMI
  and VMID paths (bsc#1213756).
- scsi: lpfc: Replace all non-returning strlcpy() with strscpy()
  (bsc#1213756).
- scsi: lpfc: Replace one-element array with flexible-array member
  (bsc#1213756).
- scsi: lpfc: Fix incorrect big endian type assignment in bsg
  loopback path (bsc#1213756).
- commit 3d33912
* Fri Jul 28 2023 ailiop@suse.com
- blacklist.conf: add commit 122deabfe142 ("ubifs: dirty_cow_znode: Fix
  memleak in error handling path")
  This is reverted in commit 7d01cb27f6ae ("Revert "ubifs:
  dirty_cow_znode: Fix memleak in error handling path"")
- commit b666937
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix memory leak in do_rename (git-fixes).
- commit 9147a2c
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/srso: Add a Speculative RAS Overflow mitigation (bsc#1213287, CVE-2023-20569).
- commit 3021432
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix server->active leak in afs_put_server (git-fixes).
- commit 214e9da
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix dynamic root getattr (git-fixes).
- commit edbfecf
* Fri Jul 28 2023 ailiop@suse.com
- jffs2: GC deadlock reading a page that is used in
  jffs2_write_begin() (git-fixes).
- commit d4f2e0b
* Fri Jul 28 2023 ailiop@suse.com
- jffs2: reduce stack usage in jffs2_build_xattr_subsystem()
  (git-fixes).
- commit 5f487ee
* Fri Jul 28 2023 ailiop@suse.com
- jffs2: fix memory leak in jffs2_do_fill_super (git-fixes).
- commit 359ea76
* Fri Jul 28 2023 ailiop@suse.com
- jffs2: fix memory leak in jffs2_scan_medium (git-fixes).
- commit 47521cf
* Fri Jul 28 2023 ailiop@suse.com
- jffs2: fix memory leak in jffs2_do_mount_fs (git-fixes).
- commit 3127ba1
* Fri Jul 28 2023 ailiop@suse.com
- jffs2: fix use-after-free in jffs2_clear_xattr_subsystem
  (git-fixes).
- commit 629e159
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Free memory for tmpfile name (git-fixes).
- commit b8a1ad9
* Fri Jul 28 2023 tiwai@suse.de
- wifi: ath11k: remove MHI LOOPBACK channels (bsc#1207948).
- wifi: ath11k: handle thermal device registeration together
  with MAC (bsc#1207948).
- wifi: ath11k: handle irq enable/disable in several code path
  (bsc#1207948).
- bus: mhi: add new interfaces to handle MHI channels directly
  (bsc#1207948).
- bus: mhi: host: add destroy_device argument to mhi_power_down()
  (bsc#1207948).
- commit 9564a14
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: ubifs_writepage: Mark page dirty after writing inode
  failed (git-fixes).
- commit 840e02c
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Re-statistic cleaned znode count if commit failed
  (git-fixes).
- commit 8fb0e1e
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix memory leak in alloc_wbufs() (git-fixes).
- commit 8e663ab
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Reserve one leb for each journal head while doing budget
  (git-fixes).
- commit cbe6386
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: do_rename: Fix wrong space budget when target inode's
  nlink > 1 (git-fixes).
- commit b6963c0
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix wrong dirty space budget for dirty inode (git-fixes).
- commit b3864d7
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Rectify space budget for ubifs_xrename() (git-fixes).
- commit 567a5c8
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Rectify space budget for ubifs_symlink() if symlink is
  encrypted (git-fixes).
- commit 3474d4d
* Fri Jul 28 2023 dwagner@suse.de
- scsi: qla2xxx: Update version to 10.02.08.500-k (bsc#1213747).
- scsi: qla2xxx: fix inconsistent TMF timeout (bsc#1213747).
- scsi: qla2xxx: Fix TMF leak through (bsc#1213747).
- scsi: qla2xxx: Turn off noisy message log (bsc#1213747).
- scsi: qla2xxx: Fix session hang in gnl (bsc#1213747).
- scsi: qla2xxx: Fix erroneous link up failure (bsc#1213747).
- scsi: qla2xxx: Fix command flush during TMF (bsc#1213747).
- scsi: qla2xxx: Limit TMF to 8 per function (bsc#1213747).
- scsi: qla2xxx: Adjust IOCB resource on qpair create
  (bsc#1213747).
- scsi: qla2xxx: Fix deletion race condition (bsc#1213747).
- scsi: qla2xxx: Use vmalloc_array() and vcalloc() (bsc#1213747).
- scsi: qla2xxx: Fix error code in qla2x00_start_sp()
  (bsc#1213747).
- scsi: qla2xxx: Silence a static checker warning (bsc#1213747).
- scsi: qla2xxx: Remove unused nvme_ls_waitq wait queue
  (bsc#1213747).
- scsi: qla2xxx: Update version to 10.02.08.400-k (bsc#1213747).
- scsi: qla2xxx: Correct the index of array (bsc#1213747).
- scsi: qla2xxx: Pointer may be dereferenced (bsc#1213747).
- scsi: qla2xxx: Fix buffer overrun (bsc#1213747).
- scsi: qla2xxx: Check valid rport returned by fc_bsg_to_rport()
  (bsc#1213747).
- scsi: qla2xxx: Avoid fcport pointer dereference (bsc#1213747).
- scsi: qla2xxx: Fix potential NULL pointer dereference
  (bsc#1213747).
- scsi: qla2xxx: Array index may go out of bound (bsc#1213747).
- scsi: qla2xxx: Drop useless LIST_HEAD (bsc#1213747).
- scsi: qla2xxx: Replace one-element array with
  DECLARE_FLEX_ARRAY() helper (bsc#1213747).
- scsi: qla2xxx: Fix end of loop test (bsc#1213747).
- scsi: qla2xxx: Fix NULL pointer dereference in target mode
  (bsc#1213747).
- commit e04dc4d
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix build errors as symbol undefined (git-fixes).
- commit 003e06c
* Fri Jul 28 2023 dwagner@suse.de
- series: udpate metadata
  Refresh
- patches.suse/ibmvnic-Do-not-reset-dql-stats-on-NON_FATAL-err.patch
- commit 3672423
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix AA deadlock when setting xattr for encrypted file
  (git-fixes).
- commit 905856b
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: rename_whiteout: correct old_dir size computing
  (git-fixes).
- commit 746fc1a
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix to add refcount once page is set private (git-fixes).
- commit eb16186
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix read out-of-bounds in ubifs_wbuf_write_nolock()
  (git-fixes).
- commit ec064eb
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: setflags: Make dirtied_ino_d 8 bytes aligned (git-fixes).
- commit 44d5601
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Rectify space amount budget for mkdir/tmpfile operations
  (git-fixes).
- commit 5c3e281
* Fri Jul 28 2023 nik.borisov@suse.com
- x86/returnthunk: Allow different return thunks (bsc#1213287, CVE-2023-20569).
- commit 9047ebd
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix 'ui->dirty' race between do_tmpfile() and writeback
  work (git-fixes).
- commit f4b451d
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Rename whiteout atomically (git-fixes).
- commit eb7797d
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Add missing iput if do_tmpfile() failed in rename
  whiteout (git-fixes).
- commit 6d376e9
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Fix deadlock in concurrent rename whiteout and inode
  writeback (git-fixes).
- commit fcb2f4b
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: rename_whiteout: Fix double free for whiteout_ui->data
  (git-fixes).
- commit 289d359
* Fri Jul 28 2023 ailiop@suse.com
- ubifs: Error path in ubifs_remount_rw() seems to wrongly free
  write buffers (git-fixes).
- commit 90b0b69
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: return positive pid value for F_GETLK (git-fixes).
- commit 6a5ab84
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: move sending fin message into state change handling
  (git-fixes).
- commit dab00d6
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: don't set stop rx flag after node reset (git-fixes).
- commit 4b30eff
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: start midcomms before scand (git-fixes).
- commit a80feb6
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: add midcomms init/start functions (git-fixes).
- commit 1f391d7
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: fix log of lowcomms vs midcomms (git-fixes).
- commit d7af52c
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: retry accept() until -EAGAIN or error returns
  (git-fixes).
- commit 8d74a84
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: handle -EBUSY first in lock arg validation (git-fixes).
- commit 8503974
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: fix race between test_bit() and queue_work()
  (git-fixes).
- commit a237b08
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: fix race in lowcomms (git-fixes).
- commit 92fc0f8
* Fri Jul 28 2023 ailiop@suse.com
- dlm: fix missing lkb refcount handling (git-fixes).
- commit 263b40e
* Fri Jul 28 2023 ailiop@suse.com
- dlm: fix plock invalid read (git-fixes).
- commit 7bcd1e8
* Fri Jul 28 2023 ailiop@suse.com
- fs: dlm: filter user dlm messages for kernel locks (git-fixes).
- commit 38ca134
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix vlserver probe RTT handling (git-fixes).
- commit fc1925d
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix setting of mtime when creating a file/dir/symlink
  (git-fixes).
- commit 6bbf246
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix updating of i_size with dv jump from server
  (git-fixes).
- commit 6731933
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix lost servers_outstanding count (git-fixes).
- commit 29cfb62
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix fileserver probe RTT handling (git-fixes).
- commit b1a6d0f
* Fri Jul 28 2023 ailiop@suse.com
- afs: Use the operation issue time instead of the reply time
  for callbacks (git-fixes).
- commit dce7453
* Fri Jul 28 2023 ailiop@suse.com
- afs: Return -EAGAIN, not -EREMOTEIO, when a file already locked
  (git-fixes).
- commit 856031a
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix access after dec in put functions (git-fixes).
- commit 7e9acb5
* Fri Jul 28 2023 ailiop@suse.com
- afs: Use refcount_t rather than atomic_t (git-fixes).
- commit ee87d6d
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix infinite loop found by xfstest generic/676 (git-fixes).
- commit e319694
* Fri Jul 28 2023 ailiop@suse.com
- afs: Adjust ACK interpretation to try and cope with NAT
  (git-fixes).
- commit 0170794
* Fri Jul 28 2023 ailiop@suse.com
- rxrpc, afs: Fix selection of abort codes (git-fixes).
- commit 6b22544
* Fri Jul 28 2023 ailiop@suse.com
- afs: Fix afs_getattr() to refetch file status if callback
  break occurred (git-fixes).
- commit 610ac25
* Fri Jul 28 2023 ailiop@suse.com
- coda: Avoid partial allocation of sig_inputArgs (git-fixes).
- commit a4211ac
* Fri Jul 28 2023 ailiop@suse.com
- fs: hfsplus: remove WARN_ON() from
  hfsplus_cat_{read,write}_inode() (git-fixes).
- commit e720f69
* Fri Jul 28 2023 ailiop@suse.com
- FS: JFS: Check for read-only mounted filesystem in txBegin
  (git-fixes).
- commit 74fc884
* Fri Jul 28 2023 ailiop@suse.com
- FS: JFS: Fix null-ptr-deref Read in txBegin (git-fixes).
- commit ded2fdb
* Fri Jul 28 2023 ailiop@suse.com
- fs: jfs: Fix UBSAN: array-index-out-of-bounds in dbAllocDmapLev
  (git-fixes).
- commit d3b12be
* Fri Jul 28 2023 ailiop@suse.com
- jfs: jfs_dmap: Validate db_l2nbperpage while mounting
  (git-fixes).
- commit cb7cfeb
* Fri Jul 28 2023 tbogendoerfer@suse.de
- net: mana: Use the correct WQE count for ringing RQ doorbell
  (bsc#1212901).
- net: mana: Batch ringing RX queue doorbell on receiving packets
  (bsc#1212901).
- commit de409ae
* Fri Jul 28 2023 msuchanek@suse.de
- kernel-binary.spec.in: Remove superfluous %%%% in Supplements
  Fixes: 02b7735e0caf ("rpm/kernel-binary.spec.in: Add Enhances and Supplements tags to in-tree KMPs")
- commit 264db74
* Fri Jul 28 2023 tiwai@suse.de
- drm/amd/display: check TG is non-null before checking if enabled
  (git-fixes).
- drm/amd/pm: re-enable the gfx imu when smu resume (git-fixes).
- commit 0e22ad9
* Fri Jul 28 2023 tiwai@suse.de
- pinctrl: amd: Don't show `Invalid config param` errors
  (git-fixes).
- commit 924f82b
* Fri Jul 28 2023 tiwai@suse.de
- can: gs_usb: gs_can_close(): add missing set of CAN state to
  CAN_STATE_STOPPED (git-fixes).
- net: phy: marvell10g: fix 88x3310 power up (git-fixes).
- soundwire: qcom: update status correctly with mask (git-fixes).
- phy: hisilicon: Fix an out of bounds check in
  hisi_inno_phy_probe() (git-fixes).
- regmap: Account for register length in SMBus I/O limits
  (git-fixes).
- regmap: Drop initial version of maximum transfer length fixes
  (git-fixes).
- ASoC: fsl_sai: Disable bit clock with transmitter (git-fixes).
- drm/amd/display: Keep PHY active for DP displays on DCN31
  (git-fixes).
- drm/amd/display: Disable MPC split by default on special asic
  (git-fixes).
- drm/client: Fix memory leak in drm_client_modeset_probe
  (git-fixes).
- pinctrl: amd: Use amd_pinconf_set() for all config options
  (git-fixes).
- drm/radeon: Fix integer overflow in radeon_cs_parser_init
  (git-fixes).
- ALSA: emu10k1: roll up loops in DSP setup code for Audigy
  (git-fixes).
- commit a35f25e
* Thu Jul 27 2023 krisman@suse.de
- io_uring: ensure IOPOLL locks around deferred work (bsc#1213272
  CVE-2023-21400).
- commit 744cfeb
* Thu Jul 27 2023 jgross@suse.com
- KVM: VMX: Inject #GP, not #UD, if SGX2 ENCLS leafs are
  unsupported (git-fixes).
- commit 34f9d1f
* Thu Jul 27 2023 jgross@suse.com
- KVM: VMX: Inject #GP on ENCLS if vCPU has paging disabled
  (CR0.PG==0) (git-fixes).
- commit 6d14c23
* Thu Jul 27 2023 tiwai@suse.de
- Update config files: enable CONFIG_X86_AMD_PSTATE (bsc#1212445)
- commit 09b37e1
* Thu Jul 27 2023 jgross@suse.com
- KVM: VMX: restore vmx_vmexit alignment (git-fixes).
- commit fe48bf1
* Thu Jul 27 2023 jgross@suse.com
- KVM: x86: Account fastpath-only VM-Exits in vCPU stats
  (git-fixes).
- commit c6619e5
* Thu Jul 27 2023 vbabka@suse.cz
- Delete patches.suse/memcg-drop-kmem-limit_in_bytes.patch.
  Drop the patch in order to fix bsc#1213705.
- commit 52c1db3
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: add amd-pstate driver parameter for mode
  selection (bsc#1212445).
- commit 14292ad
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: Set a fallback policy based on
  preferred_profile (bsc#1212445).
- ACPI: CPPC: Add definition for undefined FADT preferred PM
  profile value (bsc#1212445).
- cpufreq: amd-pstate: Make amd-pstate EPP driver name hyphenated
  (bsc#1212445).
- cpufreq: amd-pstate: Write CPPC enable bit per-socket
  (bsc#1212445).
- cpufreq: amd-pstate: Update policy->cur in
  amd_pstate_adjust_perf() (bsc#1212445).
- cpufreq: amd-pstate: Remove fast_switch_possible flag from
  active driver (bsc#1212445).
- cpufreq: amd-pstate: Add ->fast_switch() callback (bsc#1212445).
- commit 8041c32
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: Make varaiable mode_state_machine static
  (bsc#1212445).
- cpufreq: amd-pstate: Add guided mode control support via sysfs
  (bsc#1212445).
- cpufreq: amd-pstate: Add guided autonomous mode (bsc#1212445).
- Documentation: cpufreq: amd-pstate: Move amd_pstate param to
  alphabetical order (bsc#1212445).
- cpufreq: amd-pstate: remove MODULE_LICENSE in non-modules
  (bsc#1212445).
- cpufreq: amd-pstate: Let user know amd-pstate is disabled
  (bsc#1212445).
- cpufreq: amd-pstate: Fix invalid write to MSR_AMD_CPPC_REQ
  (bsc#1212445).
- cpufreq: amd-pstate: avoid uninitialized variable use
  (bsc#1212445).
- cpufreq: amd-pstate: convert sprintf with sysfs_emit()
  (bsc#1212445).
- cpufreq: amd-pstate: add driver working mode switch support
  (bsc#1212445).
- cpufreq: amd-pstate: implement suspend and resume callbacks
  (bsc#1212445).
- commit cecc1a7
* Thu Jul 27 2023 jgross@suse.com
- vhost: support PACKED when setting-getting vring_base
  (git-fixes).
- commit 0bfd988
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: implement amd pstate cpu online and
  offline callback (bsc#1212445).
- Refresh patches.kabi/cpp_epp_perf-kABI-workaround.patch.
- commit 0db85b8
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: implement Pstate EPP support for the AMD
  processors (bsc#1212445).
- Refresh patches.kabi/cpp_epp_perf-kABI-workaround.patch.
- commit 43aa608
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: optimize driver working mode selection
  in amd_pstate_param() (bsc#1212445).
- cpufreq: amd-pstate: fix kernel hang issue while amd-pstate
  unregistering (bsc#1212445).
- cpufreq: amd-pstate: change amd-pstate driver to be built-in
  type (bsc#1212445).
- cpufreq: amd-pstate: cpufreq: amd-pstate: reset MSR_AMD_PERF_CTL
  register at init (bsc#1212445).
- cpufreq: amd-pstate: Fix Kconfig dependencies for AMD P-State
  (bsc#1212445).
- commit 81828e8
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: Expose struct amd_cpudata (bsc#1212445).
- MAINTAINERS: Add AMD P-State driver maintainer entry
  (bsc#1212445).
- commit f8c7ae3
* Thu Jul 27 2023 tiwai@suse.de
- cpufreq: amd-pstate: Fix initial highest_perf value
  (bsc#1212445).
- cpufreq: amd-pstate: update pstate frequency transition delay
  time (bsc#1212445).
- cpufreq: amd_pstate: map desired perf into pstate scope for
  powersave governor (bsc#1212445).
- cpufreq: amd_pstate: fix wrong lowest perf fetch (bsc#1212445).
- cpufreq: amd-pstate: fix white-space (bsc#1212445).
- cpufreq: amd-pstate: simplify cpudata pointer assignment
  (bsc#1212445).
- ACPI: CPPC: Add ACPI disabled check to acpi_cpc_valid()
  (bsc#1212445).
- cpufreq: amd-pstate: Add resume and suspend callbacks
  (bsc#1212445).
- cpufreq: amd-pstate: Add more tracepoint for AMD P-State module
  (bsc#1212445).
- cpufreq: amd-pstate: Fix struct amd_cpudata kernel-doc comment
  (bsc#1212445).
- cpufreq: amd-pstate: Add AMD P-State performance attributes
  (bsc#1212445).
- cpufreq: amd-pstate: Add AMD P-State frequencies attributes
  (bsc#1212445).
- cpufreq: amd-pstate: Add boost mode support for AMD P-State
  (bsc#1212445).
- cpufreq: amd-pstate: Add trace for AMD P-State module
  (bsc#1212445).
- cpufreq: amd-pstate: Introduce the support for the processors
  with shared memory solution (bsc#1212445).
- cpufreq: amd-pstate: Add fast switch function for AMD P-State
  (bsc#1212445).
- cpufreq: amd-pstate: Introduce a new AMD P-State driver to
  support future processors (bsc#1212445).
- commit 68cc349
* Thu Jul 27 2023 jgross@suse.com
- vhost_net: revert upend_idx only on retriable error (git-fixes).
- commit 8b2dc73
* Thu Jul 27 2023 mfranc@suse.cz
- s390/vmem: fix empty page tables cleanup under KASAN (git-fixes
  bsc#1213715).
- commit 6879f59
* Thu Jul 27 2023 mfranc@suse.cz
- s390/qeth: Fix vipa deletion (git-fixes bsc#1213713).
- commit 48f331c
* Thu Jul 27 2023 jgross@suse.com
- virtio_net: Fix error unwinding of XDP initialization
  (git-fixes).
- commit a90e297
* Thu Jul 27 2023 jgross@suse.com
- virtio-net: Maintain reverse cleanup order (git-fixes).
- commit ee47906
* Thu Jul 27 2023 jgross@suse.com
- x86/PVH: obtain VGA console info in Dom0 (git-fixes).
- commit a5c9518
* Thu Jul 27 2023 jgross@suse.com
- xen/pvcalls-back: fix double frees with
  pvcalls_new_active_socket() (git-fixes).
- commit ae3a872
* Thu Jul 27 2023 jgross@suse.com
- xen/blkfront: Only check REQ_FUA for writes (git-fixes).
- commit 05a3279
* Thu Jul 27 2023 tiwai@suse.de
- platform/x86: msi-laptop: Fix rfkill out-of-sync on MSI Wind
  U100 (git-fixes).
- media: staging: atomisp: select V4L2_FWNODE (git-fixes).
- commit 29a4c8a
* Thu Jul 27 2023 mkubecek@suse.cz
- net/sched: cls_fw: Fix improper refcount update leads to
  use-after-free (CVE-2023-3776 bsc#1213588).
- commit 057a69b
* Wed Jul 26 2023 tabraham@suse.com
- block, bfq: Fix division by zero error on zero wsum
  (bsc#1213653).
- commit da28d59
* Wed Jul 26 2023 colyli@suse.de
- md: add error_handlers for raid0 and linear (bsc#1212766).
- commit 19b2ae4
* Wed Jul 26 2023 tiwai@suse.de
- drm/ttm: fix warning that we shouldn't mix && and ||
  (git-fixes).
- commit 25df30d
* Wed Jul 26 2023 tiwai@suse.de
- drm/ttm: fix bulk_move corruption when adding a entry
  (git-fixes).
- commit 04de7a2
* Wed Jul 26 2023 tiwai@suse.de
- ASoC: rt5640: Fix sleep in atomic context (git-fixes).
- commit ee2d57e
* Wed Jul 26 2023 jlee@suse.com
- net: nfc: Fix use-after-free caused by nfc_llcp_find_local
  (bsc#1213601 CVE-2023-3863).
- nfc: llcp: simplify llcp_sock_connect() error paths (bsc#1213601
  CVE-2023-3863).
- nfc: llcp: nullify llcp_sock->dev on connect() error paths
  (bsc#1213601 CVE-2023-3863).
- commit 63ddbca
* Wed Jul 26 2023 tiwai@suse.de
- mhi_power_down() kABI workaround (bsc#1207948).
- commit 24dd94d
* Wed Jul 26 2023 tiwai@suse.de
- kabi/severities: relax kABI for ath11k local symbols (bsc#1207948)
- commit 3000949
* Wed Jul 26 2023 jslaby@suse.cz
- Update
  patches.suse/vc_screen-don-t-clobber-return-value-in-vcs_read.patch
  (git-fixes bsc#1213167 CVE-2023-3567).
- Update
  patches.suse/vc_screen-modify-vcs_size-handling-in-vcs_read.patch
  (git-fixes bsc#1213167 CVE-2023-3567).
- Update
  patches.suse/vc_screen-move-load-of-struct-vc_data-pointer-in-vcs.patch
  (git-fixes bsc#1213167 CVE-2023-3567).
  Add references.
- commit 86b316a
* Wed Jul 26 2023 tiwai@suse.de
- drm/vmwgfx: Remove explicit and broken vblank handling
  (bsc#1213632).
- commit d21ac8b
* Wed Jul 26 2023 tiwai@suse.de
- drm/vmwgfx: Fix Legacy Display Unit atomic drm support
  (bsc#1213632).
- commit 6057f49
* Wed Jul 26 2023 tiwai@suse.de
- drm/vmwgfx: Remove rcu locks from user resources (bsc#1213632).
- commit a689fa2
* Wed Jul 26 2023 jlee@suse.com
- Bluetooth: hci_ldisc: check HCI_UART_PROTO_READY flag in
  HCIUARTGETPROTO (bsc#1210780 CVE-2023-31083).
- commit ad56bc8
* Tue Jul 25 2023 tiwai@suse.de
- ALSA: usb-audio: Add quirk for Microsoft Modern Wireless Headset
  (bsc#1207129).
- commit 6298aeb
* Tue Jul 25 2023 neilb@suse.de
- Revert "NFSv4: Retry LOCK on OLD_STATEID during delegation
  return" (git-fixes).
- NFSv4.1: freeze the session table upon receiving
  NFS4ERR_BADSESSION (git-fixes).
- svcrdma: Prevent page release when nothing was received
  (git-fixes).
- NFSD: add encoding of op_recall flag for write delegation
  (git-fixes).
- SUNRPC: Fix UAF in svc_tcp_listen_data_ready() (git-fixes).
- nfsd: fix double fget() bug in __write_ports_addfd()
  (git-fixes).
- NFSD: Remove open coding of string copy (git-fixes).
- SUNRPC: Fix trace_svc_register() call site (git-fixes).
- SUNRPC: always free ctxt when freeing deferred request
  (git-fixes).
- SUNRPC: double free xprt_ctxt while still in use (git-fixes).
- SUNRPC: remove the maximum number of retries in call_bind_status
  (git-fixes).
- NFSv4.1: Always send a RECLAIM_COMPLETE after establishing lease
  (git-fixes).
- SUNRPC: Remove dead code in svc_tcp_release_rqst() (git-fixes).
- NFSD: Fix sparse warning (git-fixes).
- commit 8c604d4
* Mon Jul 24 2023 tiwai@suse.de
- drm/amd/display: fix access hdcp_workqueue assert (git-fixes).
- drm/amd/display: phase3 mst hdcp for multiple displays
  (git-fixes).
- commit d286bfe
* Mon Jul 24 2023 tiwai@suse.de
- drm/amd/display: only accept async flips for fast updates
  (git-fixes).
- drm/amd/display: save restore hdcp state when display is
  unplugged from mst hub (git-fixes).
- drm/amd/display: Only update link settings after successful
  MST link train (git-fixes).
- commit d4f34b0
* Mon Jul 24 2023 mkubecek@suse.cz
- net/sched: cls_u32: Fix reference counter leak leading to
  overflow (CVE-2023-3609 bsc#1213586).
- commit e129a1f
* Mon Jul 24 2023 mkubecek@suse.cz
- net/sched: sch_qfq: account for stab overhead in qfq_enqueue
  (CVE-2023-3611 bsc#1213585).
- net/sched: sch_qfq: reintroduce lmax bound check for MTU
  (bsc#1213585).
- net/sched: sch_qfq: refactor parsing of netlink parameters
  (bsc#1213585).
- commit 67a1d0b
* Mon Jul 24 2023 tiwai@suse.de
- Fix null pointer dereference in drm_dp_atomic_find_time_slots()
  (bsc#1213578).
- commit 453d6f3
* Mon Jul 24 2023 tiwai@suse.de
- drm/amd/display: Add polling method to handle MST reply packet
  (bsc#1213578).
- commit 308c526
* Mon Jul 24 2023 nmorey@suse.com
- IB/hfi1: Use bitmap_zalloc() when applicable (git-fixes)
- commit cb2f513
* Mon Jul 24 2023 tiwai@suse.de
- Revive drm_dp_mst_hpd_irq() function (bsc#1213578).
- commit 499a97d
* Mon Jul 24 2023 tiwai@suse.de
- drm/dp_mst: Clear MSG_RDY flag before sending new message
  (bsc#1213578).
- commit a5454fb
* Mon Jul 24 2023 tiwai@suse.de
- drm/amd/pm: conditionally disable pcie lane/speed switching
  for SMU13 (git-fixes).
- drm/amd/pm: share the code around SMU13 pcie parameters update
  (git-fixes).
- drm/i915: Don't preserve dpll_hw_state for slave crtc in
  Bigjoiner (git-fixes).
- drm/bridge: ti-sn65dsi86: Fix auxiliary bus lifetime
  (git-fixes).
- drm/amd/display: Add monitor specific edid quirk (git-fixes).
- drm/amd/display: Remove Phantom Pipe Check When Calculating
  K1 and K2 (git-fixes).
- drm/amd/pm: add abnormal fan detection for smu 13.0.0
  (git-fixes).
- drm/amd/display: fix seamless odm transitions (git-fixes).
- drm/amdgpu: Fix minmax warning (git-fixes).
- drm/amdgpu: add the fan abnormal detection feature (git-fixes).
- commit e81cef2
* Mon Jul 24 2023 tiwai@suse.de
- pinctrl: amd: Detect internal GPIO0 debounce handling
  (git-fixes).
- commit 2209e7e
* Mon Jul 24 2023 tiwai@suse.de
- drm/msm/disp/dpu: get timing engine status from intf status
  register (git-fixes).
- Refresh
  patches.suse/drm-msm-dpu-Remove-duplicate-register-defines-from-I.patch.
- commit 01f0700
* Mon Jul 24 2023 tiwai@suse.de
- usb: dwc2: platform: Improve error reporting for problems
  during .remove() (git-fixes).
- Refresh
  patches.suse/usb-dwc2-Fix-some-error-handling-paths.patch.
- commit c99cdac
* Mon Jul 24 2023 tiwai@suse.de
- drm/atomic: Fix potential use-after-free in nonblocking commits
  (git-fixes).
- pinctrl: amd: Only use special debounce behavior for GPIO 0
  (git-fixes).
- drm/amdgpu: avoid restore process run into dead loop
  (git-fixes).
- i2c: xiic: Don't try to handle more interrupt events after error
  (git-fixes).
- drm/amd/display: Correct `DMUB_FW_VERSION` macro (git-fixes).
- drm/amdgpu: fix clearing mappings for BOs that are always
  valid in VM (git-fixes).
- USB: serial: option: add LARA-R6 01B PIDs (git-fixes).
- xhci: Show ZHAOXIN xHCI root hub speed correctly (git-fixes).
- xhci: Fix TRB prefetch issue of ZHAOXIN hosts (git-fixes).
- xhci: Fix resume issue of some ZHAOXIN hosts (git-fixes).
- tty: serial: fsl_lpuart: add earlycon for imx8ulp platform
  (git-fixes).
- PCI: Add function 1 DMA alias quirk for Marvell 88SE9235
  (git-fixes).
- PCI/PM: Avoid putting EloPOS E2/S2/H2 PCIe Ports in D3cold
  (git-fixes).
- pinctrl: amd: Fix mistake in handling clearing pins at startup
  (git-fixes).
- drm/msm/dpu: Set DPU_DATA_HCTL_EN for in INTF_SC7180_MASK
  (git-fixes).
- drm/bridge: tc358768: fix THS_TRAILCNT computation (git-fixes).
- drm/bridge: tc358768: fix THS_ZEROCNT computation (git-fixes).
- drm/bridge: tc358768: fix TCLK_TRAILCNT computation (git-fixes).
- drm/atomic: Allow vblank-enabled + self-refresh "disable"
  (git-fixes).
- drm/bridge: tc358768: Add atomic_get_input_bus_fmts()
  implementation (git-fixes).
- hwmon: (pmbus/adm1275) Fix problems with temperature monitoring
  on ADM1272 (git-fixes).
- selftests: rtnetlink: remove netdevsim device after ipsec
  offload test (git-fixes).
- leds: trigger: netdev: Recheck NETDEV_LED_MODE_LINKUP on dev
  rename (git-fixes).
- mmc: core: disable TRIM on Kingston EMMC04G-M627 (git-fixes).
- mmc: sdhci: fix DMA configure compatibility issue when 64bit
  DMA mode is used (git-fixes).
- kselftest: vDSO: Fix accumulation of uninitialized ret when
  CLOCK_REALTIME is undefined (git-fixes).
- ACPI: utils: Fix acpi_evaluate_dsm_typed() redefinition error
  (git-fixes).
- crypto: qat - Use helper to set reqsize (git-fixes).
- crypto: kpp - Add helper to set reqsize (git-fixes).
- wifi: ray_cs: Drop useless status variable in parse_addr()
  (git-fixes).
- wifi: ray_cs: Utilize strnlen() in parse_addr() (git-fixes).
- hwmon: (adm1275) Allow setting sample averaging (git-fixes).
- i2c: xiic: Defer xiic_wakeup() and __xiic_start_xfer() in
  xiic_process() (git-fixes).
- wl3501_cs: use eth_hw_addr_set() (git-fixes).
- commit 87a543d
* Mon Jul 24 2023 jlee@suse.com
- Update References tag
  patches.suse/fbcon-set_con2fb_map-needs-to-set-con2fb_map.patch
  (git-fixes bsc#1213417 CVE-2023-38409).
- commit 256b397
* Sun Jul 23 2023 schwab@suse.de
- rpm/mkspec-dtb: add riscv64 dtb-allwinner subpackage
- commit ec82ffc
* Sat Jul 22 2023 ailiop@suse.com
- xfs: wait iclog complete before tearing down AIL (bsc#1211811).
- commit a2d37c4
* Sat Jul 22 2023 ailiop@suse.com
- xfs: run callbacks before waking waiters in
  xlog_state_shutdown_callbacks (bsc#1211811).
- commit 602a6b0
* Sat Jul 22 2023 tiwai@suse.de
- drm/i915/tc: Fix system resume MST mode restore for DP-alt sinks
  (git-fixes).
- commit c057899
* Sat Jul 22 2023 tiwai@suse.de
- ASoC: SOF: ipc3-dtrace: uninitialized data in
  dfsentry_trace_filter_write() (git-fixes).
- ASoC: amd: acp: fix for invalid dai id handling in
  acp_get_byte_count() (git-fixes).
- fbdev: imxfb: Removed unneeded release_mem_region (git-fixes).
- commit 8fba390
* Sat Jul 22 2023 tiwai@suse.de
- ASoC: codecs: wcd-mbhc-v2: fix resource leaks on component
  remove (git-fixes).
- ASoC: codecs: wcd934x: fix resource leaks on component remove
  (git-fixes).
- ASoC: codecs: wcd938x: fix missing clsh ctrl error handling
  (git-fixes).
- ASoC: codecs: wcd938x: fix dB range for HPHL and HPHR
  (git-fixes).
- ASoC: codecs: wcd938x: fix soundwire initialisation race
  (git-fixes).
- ASoC: codecs: wcd938x: fix codec initialisation race
  (git-fixes).
- ASoC: tegra: Fix ADX byte map (git-fixes).
- ASoC: tegra: Fix AMX byte map (git-fixes).
- commit 2c27c0a
* Sat Jul 22 2023 tiwai@suse.de
- ALSA: hda/realtek: Add support for DELL Oasis 13/14/16 laptops
  (git-fixes).
- ALSA: hda/realtek: Enable Mute LED on HP Laptop 15s-eq2xxx
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo NS70AU (git-fixes).
- commit 61a595d
* Sat Jul 22 2023 tiwai@suse.de
- ALSA: hda/realtek: Fix generic fixup definition for cs35l41 amp
  (git-fixes).
- ALSA: hda/realtek - remove 3k pull low procedure (git-fixes).
- fbdev: au1200fb: Fix missing IRQ check in au1200fb_drv_probe
  (git-fixes).
- fbdev: imxfb: warn about invalid left/right margin (git-fixes).
- commit 61676e6
* Fri Jul 21 2023 ailiop@suse.com
- xfs: drop async cache flushes from CIL commits (bsc#1211811).
- commit b52f8c8
* Fri Jul 21 2023 ailiop@suse.com
- xfs: async CIL flushes need pending pushes to be made stable
  (bsc#1211811).
- commit a7a8e83
* Fri Jul 21 2023 ailiop@suse.com
- xfs: move the CIL workqueue to the CIL (bsc#1211811).
- commit bdc017f
* Fri Jul 21 2023 ailiop@suse.com
- xfs: CIL work is serialised, not pipelined (bsc#1211811).
- commit 41681a2
* Fri Jul 21 2023 ailiop@suse.com
- xfs: AIL needs asynchronous CIL forcing (bsc#1211811).
- commit df27a10
* Fri Jul 21 2023 ailiop@suse.com
- xfs: order CIL checkpoint start records (bsc#1211811).
- commit 1723063
* Fri Jul 21 2023 ailiop@suse.com
- xfs: attach iclog callbacks in xlog_cil_set_ctx_write_state()
  (bsc#1211811).
- commit 7d0f707
* Fri Jul 21 2023 ailiop@suse.com
- xfs: don't run shutdown callbacks on active iclogs
  (bsc#1211811).
- Refresh patches.suse/xfs-pass-a-CIL-context-to-xlog_write.patch.
- commit bbe5b6f
* Fri Jul 21 2023 ailiop@suse.com
- xfs: separate out log shutdown callback processing
  (bsc#1211811).
- commit 8739ead
* Fri Jul 21 2023 ailiop@suse.com
- xfs: rework xlog_state_do_callback() (bsc#1211811).
- commit e073f75
* Fri Jul 21 2023 ailiop@suse.com
- xfs: factor out log write ordering from xlog_cil_push_work()
  (bsc#1211811).
- commit 9190d3a
* Fri Jul 21 2023 ailiop@suse.com
- xfs: pass a CIL context to xlog_write() (bsc#1211811).
- Delete
  patches.suse/xfs-drop-async-cache-flushes-from-CIL-commits.patch.
- commit 32853a9
* Fri Jul 21 2023 mkoutny@suse.com
- Revert "usb: gadget: udc: core: Offload usb_udc_vbus_handler processing"
  This reverts commit bc0618750f6987c96fa2a99ae8452ae74c5cb94b.
- commit 2488305
* Fri Jul 21 2023 mkoutny@suse.com
- Revert "usb: gadget: udc: core: Prevent soft_connect_store() race"
  This reverts commit b1dbc3a2da2b71fefe5889fb00557f6279033499.
  udc_lock and udc->connect_lock nesting must be resolved post-merge.
- commit aa5b47d
* Fri Jul 21 2023 ailiop@suse.com
- xfs: XLOG_STATE_IOERROR must die (bsc#1211811).
- commit 90fa477
* Fri Jul 21 2023 ailiop@suse.com
- xfs: move xlog_commit_record to xfs_log_cil.c (bsc#1211811).
- commit b415a31
* Fri Jul 21 2023 tiwai@suse.de
- kabi/severities: ignore kABI of vmwgfx
  The driver exports a function unnecessarily without used by anyone else.
  Ignore the kABI changes.
- commit 62ee467
* Fri Jul 21 2023 tiwai@suse.de
- kabi/severities: ignore kABI of i915 module
  It's exported only for its sub-module, not really used by externals
- commit 63cfeb5
* Fri Jul 21 2023 tiwai@suse.de
- Add alt-commit to amdgpu patches
- commit bee21b3
* Fri Jul 21 2023 tiwai@suse.de
- drm/amdgpu/vkms: relax timer deactivation by
  hrtimer_try_to_cancel (git-fixes).
- drm/msm/a5xx: really check for A510 in a5xx_gpu_init
  (git-fixes).
- drm/msm/dpu: clean up dpu_kms_get_clk_rate() returns
  (git-fixes).
- drm/msm/dpu: Set DPU_DATA_HCTL_EN for in INTF_SC7180_MASK
  (git-fixes).
- drm/bridge: anx7625: Prevent endless probe loop (git-fixes).
- drm: Add fixed-point helper to get rounded integer values
  (git-fixes).
- drm/bridge: tc358768: fix THS_TRAILCNT computation (git-fixes).
- drm/bridge: tc358768: fix THS_ZEROCNT computation (git-fixes).
- drm/bridge: tc358768: fix TCLK_TRAILCNT computation (git-fixes).
- drm/bridge: tc358768: Add atomic_get_input_bus_fmts()
  implementation (git-fixes).
- drm: use mgr->dev in drm_dbg_kms in drm_dp_add_payload_part2
  (git-fixes).
- drm/amdgpu: vcn_4_0 set instance 0 init sched score to 1
  (git-fixes).
- drm/amd/pm: workaround for compute workload type on some skus
  (git-fixes).
- drm/amd/display: Reduce sdp bw after urgent to 90%% (git-fixes).
- drm/amdgpu: change reserved vram info print (git-fixes).
- swsmu/amdgpu_smu: Fix the wrong if-condition (git-fixes).
- commit 3a68598
* Fri Jul 21 2023 tiwai@suse.de
- drm/amd/pm: conditionally disable pcie lane switching for some
  sienna_cichlid SKUs (git-fixes).
- drm/amdgpu: enable tmz by default for GC 11.0.1 (git-fixes).
- drm/amd/pm: resolve reboot exception for si oland (git-fixes).
- drm/amd/pm: reverse mclk clocks levels for SMU v13.0.5
  (git-fixes).
- drm/amd/pm: reverse mclk and fclk clocks levels for SMU v13.0.4
  (git-fixes).
- drm/amd/display: Have Payload Properly Created After Resume
  (git-fixes).
- drm/amd/pm: add missing NotifyPowerSource message mapping for
  SMU13.0.7 (git-fixes).
- drm/amd/pm: fix possible power mode mismatch between driver
  and PMFW (git-fixes).
- drm/amdgpu/gmc11: implement get_vbios_fb_size() (git-fixes).
- drm/amdgpu/gfx11: Adjust gfxoff before powergating on gfx11
  as well (git-fixes).
- drm/amdgpu/gfx11: update gpu_clock_counter logic (git-fixes).
- drm/amdgpu/jpeg: Remove harvest checking for JPEG3 (git-fixes).
- drm/amd/pm: avoid potential UBSAN issue on legacy asics
  (git-fixes).
- drm/amd/display: Enforce 60us prefetch for 200Mhz DCFCLK modes
  (git-fixes).
- drm/amdgpu: set gfx9 onwards APU atomics support to be true
  (git-fixes).
- drm/dsc: fix DP_DSC_MAX_BPP_DELTA_* macro values (git-fixes).
- drm/dsc: fix drm_edp_dsc_sink_output_bpp() DPCD high byte usage
  (git-fixes).
- commit 26f6cbe
* Fri Jul 21 2023 tiwai@suse.de
- drm/amd/display: filter out invalid bits in pipe_fuses
  (git-fixes).
- commit 1fab8ae
* Fri Jul 21 2023 tiwai@suse.de
- drm/amd/display: Change default Z8 watermark values (git-fixes).
- drm/amdgpu: fix an amdgpu_irq_put() issue in gmc_v9_0_hw_fini()
  (git-fixes).
- drm/amdgpu: fix amdgpu_irq_put call trace in gmc_v10_0_hw_fini
  (git-fixes).
- drm/amdgpu: fix amdgpu_irq_put call trace in gmc_v11_0_hw_fini
  (git-fixes).
- drm/i915: Check pipe source size when using skl+ scalers
  (git-fixes).
- drm/amd/display: Lowering min Z8 residency time (git-fixes).
- drm/amd/display: Add missing WA and MCLK validation (git-fixes).
- drm/amdgpu: reserve the old gc_11_0_*_mes.bin (git-fixes).
- drm/amdgpu: refine get gpu clock counter method (git-fixes).
- commit 6d48349
* Fri Jul 21 2023 tiwai@suse.de
- drm/msm/disp/dpu: get timing engine status from intf status
  register (git-fixes).
- Refresh
  patches.suse/drm-msm-dpu-Remove-duplicate-register-defines-from-I.patch.
- commit 05668f6
* Fri Jul 21 2023 tiwai@suse.de
- drm/amdgpu: Fix sdma v4 sw fini error (git-fixes).
- drm/amd/display: Correct DML calculation to follow HW SPEC
  (git-fixes).
- drm/amd/amdgpu: introduce gc_*_mes_2.bin v2 (git-fixes).
- drm/amd/display: fixed dcn30+ underflow issue (git-fixes).
- drm/amd/display: Fix 4to1 MPC black screen with DPP RCO
  (git-fixes).
- drm/amd/amdgpu: limit one queue per gang (git-fixes).
- drm/i915/tc: Fix TC port link ref init for DP MST during HW
  readout (git-fixes).
- drm/amd/display: Ensure vmin and vmax adjust for DCE
  (git-fixes).
- drm/amd/display: Enable HostVM based on rIOMMU active
  (git-fixes).
- drm/amd/display: Update minimum stutter residency for DCN314 Z8
  (git-fixes).
- drm/amd/display: Add minimum Z8 residency debug option
  (git-fixes).
- drm/amd/display: Do not update DRR while BW optimizations
  pending (git-fixes).
- drm/amd/display: Correct DML calculation to align HW formula
  (git-fixes).
- drm/amd/display: populate subvp cmd info only for the top pipe
  (git-fixes).
- drm/rockchip: dw_hdmi: cleanup drm encoder during unbind
  (git-fixes).
- drm/amd/display: fix a divided-by-zero error (git-fixes).
- commit 9c0d61f
* Fri Jul 21 2023 tiwai@suse.de
- drm/amd/display: limit timing for single dimm memory
  (git-fixes).
- drm/amd/display: set dcn315 lb bpp to 48 (git-fixes).
- drm/amdgpu: Fix desktop freezed after gpu-reset (git-fixes).
- drm: buddy_allocator: Fix buddy allocator init on 32-bit systems
  (git-fixes).
- drm/amdgpu/gfx: set cg flags to enter/exit safe mode
  (git-fixes).
- drm/amdgpu: Force signal hw_fences that are embedded in
  non-sched jobs (git-fixes).
- drm/amdgpu: add mes resume when do gfx post soft reset
  (git-fixes).
- drm/i915/guc: Fix missing ecodes (git-fixes).
- drm/i915/fbdev: lock the fbdev obj before vma pin (git-fixes).
- commit 602ee99
* Fri Jul 21 2023 tiwai@suse.de
- drm/amdgpu/vcn: Disable indirect SRAM on Vangogh broken BIOSes
  (git-fixes).
- drm/i915/sseu: fix max_subslices array-index-out-of-bounds
  access (git-fixes).
- drm/display: Don't block HDR_OUTPUT_METADATA on unknown EOTF
  (git-fixes).
- drm/msm/adreno: fix runtime PM imbalance at unbind (git-fixes).
- drm/amd: Don't allow s0ix on APUs older than Raven (git-fixes).
- drm/i915: Populate encoder->devdata for DSI on icl+ (git-fixes).
- drm/amd/display: Update Z8 SR exit/enter latencies (git-fixes).
- drm/amd/display: Remove stutter only configurations (git-fixes).
- drm/amd/display: Fix Z8 support configurations (git-fixes).
- drm/i915/guc: Rename GuC register state capture node to be
  more obvious (git-fixes).
- commit ae9d397
* Fri Jul 21 2023 tiwai@suse.de
- drm/msm/dpu: Add DSC hardware blocks to register snapshot
  (git-fixes).
- drm/amdgpu: declare firmware for new MES 11.0.4 (git-fixes).
- drm: rcar-du: Fix setting a reserved bit in DPLLCR (git-fixes).
- drm: rcar-du: Add quirk for H3 ES1.x pclk workaround
  (git-fixes).
- drm/i915/mtl: update scaler source and destination limits for
  MTL (git-fixes).
- drm: Add missing DP DSC extended capability definitions
  (git-fixes).
- Revert "drm/i915: Disable DSB usage for now" (git-fixes).
- drm/i915: Do panel VBT init early if the VBT declares an
  explicit panel type (git-fixes).
- drm/i915: Introduce intel_panel_init_alloc() (git-fixes).
- commit cc492ab
* Fri Jul 21 2023 tiwai@suse.de
- drm/msm/hdmi: use devres helper for runtime PM management
  (git-fixes).
- Refresh
  patches.suse/drm-msm-hdmi-Add-missing-check-for-alloc_ordered_wor.patch.
- commit 7348d6f
* Fri Jul 21 2023 tiwai@suse.de
- drm/amd: Use `amdgpu_ucode_*` helpers for MES (git-fixes).
- drm/amd: Load MES microcode during early_init (git-fixes).
- drm/amd/display: fix PSR-SU/DSC interoperability support
  (git-fixes).
- drm/amd: Add a new helper for loading/validating microcode
  (git-fixes).
- drm/display/dp_mst: Fix payload addition on a disconnected sink
  (git-fixes).
- drm/bridge: anx7625: Convert to i2c's .probe_new() (git-fixes).
- drm: panel-orientation-quirks: Add quirk for DynaBook K50
  (git-fixes).
- drm/panel: boe-tv101wum-nl6: Ensure DSI writes succeed during
  disable (git-fixes).
- drm/i915: Fix a memory leak with reused mmap_offset (git-fixes).
- drm/drm_vma_manager: Add drm_vma_node_allow_once() (git-fixes).
- drm: Optimize drm buddy top-down allocation method (git-fixes).
- drm/virtio: Fix memory leak in virtio_gpu_object_create()
  (git-fixes).
- drm/amd/display: Add debug option to skip PSR CRTC disable
  (git-fixes).
- drm/amdgpu/mes11: enable reg active poll (git-fixes).
- drm/amd/amdgpu: update mes11 api def (git-fixes).
- drm/msm/adreno: Simplify read64/write64 helpers (git-fixes).
- drm/amd/display: Add Z8 allow states to z-state support list
  (git-fixes).
- drm/amd/display: Update Z8 watermarks for DCN314 (git-fixes).
- drm/virtio: Simplify error handling of
  virtio_gpu_object_create() (git-fixes).
- commit e9a6574
* Fri Jul 21 2023 tbogendoerfer@suse.de
- Update
  patches.suse/net-tun-fix-bugs-for-oversize-packet-when-napi-frags.patch
  (git-fixes CVE-2023-3812 bsc#1213543).
  Added CVE reference.
- commit 98bd6ff
* Fri Jul 21 2023 tiwai@suse.de
- drm/i915/guc: Limit scheduling properties to avoid overflow
  (git-fixes).
- Refresh
  patches.suse/drm-i915-Fix-compute-pre-emption-w-a-to-apply-to-com.patch.
- commit 696b0f8
* Fri Jul 21 2023 tiwai@suse.de
- adreno: Shutdown the GPU properly (git-fixes).
- drm/i915: Use _MMIO_PIPE() for SKL_BOTTOM_COLOR (git-fixes).
- drm/etnaviv: reap idle mapping if it doesn't match the softpin
  address (git-fixes).
- drm/etnaviv: move idle mapping reaping into separate function
  (git-fixes).
- drm/amdgpu: Don't set struct drm_driver.output_poll_changed
  (git-fixes).
- drm/meson: Fix return type of meson_encoder_cvbs_mode_valid()
  (git-fixes).
- drm/amd/display (gcc13): fix enum mismatch (git-fixes).
- drm/amdgpu: remove deprecated MES version vars (git-fixes).
- drm/amd/display: Remove optimization for VRR updates
  (git-fixes).
- drm/amd/display: Refactor eDP PSR codes (git-fixes).
- drm/amd/display: Remove FPU guards from the DML folder
  (git-fixes).
- drm/i915/guc: Add error-capture init warnings when needed
  (git-fixes).
- drm/i915/gt: Cleanup partial engine discovery failures
  (git-fixes).
- drm/i915: Allow panel fixed modes to have differing sync
  polarities (git-fixes).
- drm/i915: Print return value on error (git-fixes).
- drm/i915: Fix TypeC mode initialization during system resume
  (git-fixes).
- drm/vmwgfx: Remove vmwgfx_hashtab (git-fixes).
- drm/vmwgfx: Refactor ttm reference object hashtable to use
  linux/hashtable (git-fixes).
- drm/vmwgfx: Refactor resource validation hashtable to use
  linux/hashtable implementation (git-fixes).
- drm/vmwgfx: Remove ttm object hashtable (git-fixes).
- drm/vmwgfx: Refactor resource manager's hashtable to use
  linux/hashtable implementation (git-fixes).
- drm/vmwgfx: Write the driver id registers (git-fixes).
- dma-buf/dma-resv: Stop leaking on krealloc() failure
  (git-fixes).
- Bluetooth: hci_sync: Avoid use-after-free in dbg for
  hci_remove_adv_monitor() (git-fixes).
- Bluetooth: ISO: fix iso_conn related locking and validity issues
  (git-fixes).
- Bluetooth: hci_event: call disconnect callback before deleting
  conn (git-fixes).
- Bluetooth: use RCU for hci_conn_params and iterate safely in
  hci_sync (git-fixes).
- commit a039f9f
* Fri Jul 21 2023 iivanov@suse.de
- irqchip/gicv3: Workaround for NVIDIA erratum T241-FABRIC-4 (bsc#1213533)
- commit 42bde43
* Fri Jul 21 2023 iivanov@suse.de
- irqchip/gicv3: Handle resource request failure consistently (bsc#1213533)
- commit 9a79248
* Fri Jul 21 2023 iivanov@suse.de
- irqchip/gic-v3: Claim iomem resources (bsc#1213533)
- commit 58b558e
* Fri Jul 21 2023 tiwai@suse.de
- drm/client: Fix memory leak in drm_client_target_cloned
  (git-fixes).
- net: phy: prevent stale pointer dereference in phy_init()
  (git-fixes).
- can: bcm: Fix UAF in bcm_proc_show() (git-fixes).
- selftests: tc: add ConnTrack procfs kconfig (git-fixes).
- selftests: tc: add 'ct' action kconfig dep (git-fixes).
- selftests: tc: set timeout to 15 minutes (git-fixes).
- rsi: remove kernel-doc comment marker (git-fixes).
- pie: fix kernel-doc notation warning (git-fixes).
- devlink: fix kernel-doc notation warnings (git-fixes).
- codel: fix kernel-doc notation warnings (git-fixes).
- commit a53eee1
* Thu Jul 20 2023 mkubecek@suse.cz
- netfilter: nf_tables: prevent OOB access in nft_byteorder_eval
  (CVE-2023-35001 bsc#1213059).
- netfilter: nf_tables: do not ignore genmask when looking up
  chain by id (CVE-2023-31248 bsc#1213061).
- commit 2165cfd
* Thu Jul 20 2023 mkoutny@suse.com
- uaccess: Add speculation barrier to copy_from_user()
  (bsc#1211738 CVE-2023-0459).
- commit 444186d
* Thu Jul 20 2023 lhenriques@suse.de
- fuse: ioctl: translate ENOSYS in outarg (bsc#1213524).
- fuse: revalidate: don't invalidate if interrupted (bsc#1213523).
- commit 6e0bfdd
* Thu Jul 20 2023 mkubecek@suse.cz
- netfilter: nf_tables: incorrect error path handling with
  NFT_MSG_NEWRULE (CVE-2023-3390 CVE-2023-3117 bsc#1212846
  bsc#1213245).
- commit fc1ae7b
* Thu Jul 20 2023 msuchanek@suse.de
- powerpc/pseries/vas: Hold mmap_mutex after mmap lock during
  window close (jsc#PED-542 git-fixes).
- commit 0caaae2
* Thu Jul 20 2023 dwagner@suse.de
- Drop
  patches.suse/nvme-warn-about-shared-namespaces-without-CONFIG_NVM.patch (bsc#1213311)
- Delete
  patches.suse/nvme-warn-about-shared-namespaces-without-CONFIG_NVM.patch.
- Refresh
  patches.suse/nvme-refactor-namespace-probing.patch
- commit a744f3d
* Thu Jul 20 2023 nik.borisov@suse.com
- KVM: Add GDS_NO support to KVM (bsc#1206418, CVE-2022-40982).
- commit aa4b0be
* Thu Jul 20 2023 nik.borisov@suse.com
- x86/speculation: Add Kconfig option for GDS (bsc#1206418, CVE-2022-40982).
- commit 9f327b6
* Thu Jul 20 2023 nik.borisov@suse.com
- x86/speculation: Add force option to GDS mitigation (bsc#1206418, CVE-2022-40982).
- commit a0b814b
* Thu Jul 20 2023 nik.borisov@suse.com
- x86/speculation: Add Gather Data Sampling mitigation (bsc#1206418, CVE-2022-40982).
- commit bc512dd
* Thu Jul 20 2023 tiwai@suse.de
- drm/i915: Never return 0 if not all requests retired
  (git-fixes).
- drm/i915: Fix negative value passed as remaining time
  (git-fixes).
- drm/i915/sdvo: Grab mode_config.mutex during LVDS init to
  avoid WARNs (git-fixes).
- commit d9993e1
* Thu Jul 20 2023 tiwai@suse.de
- drm/i915/dp_mst: Add the MST topology state for modesetted CRTCs
  (bsc#1213493).
- commit 8d27c97
* Thu Jul 20 2023 ailiop@suse.com
- xfs: don't deplete the reserve pool when trying to shrink the fs
  (git-fixes).
- commit 5a2f80d
* Thu Jul 20 2023 ailiop@suse.com
- xfs: don't reverse order of items in bulk AIL insertion
  (git-fixes).
- commit d6e35fc
* Thu Jul 20 2023 ailiop@suse.com
- xfs: fix logdev fsmap query result filtering (git-fixes).
- commit c455cfa
* Thu Jul 20 2023 ailiop@suse.com
- xfs: clean up the rtbitmap fsmap backend (git-fixes).
- commit 48d04d0
* Thu Jul 20 2023 ailiop@suse.com
- xfs: fix getfsmap reporting past the last rt extent (git-fixes).
- commit c0bf1f4
* Thu Jul 20 2023 ailiop@suse.com
- xfs: fix integer overflows in the fsmap rtbitmap and logdev
  backends (git-fixes).
- commit 2722715
* Thu Jul 20 2023 ailiop@suse.com
- xfs: fix interval filtering in multi-step fsmap queries
  (git-fixes).
- commit bdbe0c0
* Thu Jul 20 2023 ailiop@suse.com
- xfs: fix uninitialized variable access (git-fixes).
- commit 00489cf
* Thu Jul 20 2023 ailiop@suse.com
- xfs: pass explicit mount pointer to rtalloc query functions
  (git-fixes).
- commit 8dd0d7d
* Thu Jul 20 2023 ailiop@suse.com
- xfs: make the record pointer passed to query_range functions
  const (git-fixes).
- commit f3907e2
* Thu Jul 20 2023 ailiop@suse.com
- xfs: make fsmap backend function key parameters const
  (git-fixes).
- commit f2d77e2
* Thu Jul 20 2023 ailiop@suse.com
- xfs: fix off-by-one error when the last rt extent is in use
  (git-fixes).
- commit 6038622
* Thu Jul 20 2023 ailiop@suse.com
- ocfs2: Switch to security_inode_init_security() (git-fixes).
- commit a16070d
* Thu Jul 20 2023 ailiop@suse.com
- ocfs2: check new file size on fallocate call (git-fixes).
- commit 3af0daa
* Thu Jul 20 2023 ailiop@suse.com
- ocfs2: fix use-after-free when unmounting read-only filesystem
  (git-fixes).
- commit 32172b2
* Thu Jul 20 2023 palcantara@suse.de
- smb: client: fix missed ses refcounting (git-fixes).
- commit 1464145
* Wed Jul 19 2023 msuchanek@suse.de
- powerpc/security: Fix Speculation_Store_Bypass reporting on
  Power10 (bsc#1188885 ltc#193722 git-fixes).
- commit 298c13e
* Wed Jul 19 2023 petr.pavlu@suse.com
- Refresh
  patches.suse/keys-Fix-linking-a-duplicate-key-to-a-keyring-s-asso.patch.
- commit d8bebeb
* Wed Jul 19 2023 tiwai@suse.de
- security: keys: Modify mismatched function name (git-fixes).
- tpm: tpm_vtpm_proxy: fix a race condition in /dev/vtpmx creation
  (git-fixes).
- commit 9b8aa64
* Tue Jul 18 2023 nik.borisov@suse.com
- x86/cpu/amd: Add a Zenbleed fix (bsc#1213286, CVE-2023-20593).
- commit e269335
* Tue Jul 18 2023 nik.borisov@suse.com
- x86/cpu/amd: Move the errata checking functionality up (bsc#1213286, CVE-2023-20593).
- commit 74df26d
* Tue Jul 18 2023 oneukum@suse.com
- usb: gadget: udc: core: Prevent soft_connect_store() race
  (git-fixes).
- commit b1dbc3a
* Tue Jul 18 2023 oneukum@suse.com
- usb: gadget: udc: core: Offload usb_udc_vbus_handler processing
  (git-fixes).
- commit bc06187
* Tue Jul 18 2023 jslaby@suse.cz
- x86/platform/uv: Update UV platform code for SNC (bsc#1212256
  jsc#PED-4718).
- x86/platform/uv: Remove remaining BUG_ON() and BUG() calls
  (bsc#1212256 jsc#PED-4718).
- x86/platform/uv: UV support for sub-NUMA clustering (bsc#1212256
  jsc#PED-4718).
- x86/platform/uv: Helper functions for allocating and freeing
  conversion tables (bsc#1212256 jsc#PED-4718).
- x86/platform/uv: When searching for minimums, start at INT_MAX
  not 99999 (bsc#1212256 jsc#PED-4718).
- x86/platform/uv: Fix printed information in calc_mmioh_map
  (bsc#1212256 jsc#PED-4718).
- x86/platform/uv: Introduce helper function uv_pnode_to_socket
  (bsc#1212256 jsc#PED-4718).
- x86/platform/uv: Add platform resolving #defines for misc
  GAM_MMIOH_REDIRECT* (bsc#1212256 jsc#PED-4718).
- commit 22f8c94
* Mon Jul 17 2023 msuchanek@suse.de
- rpm: Update dependency to match current kmod.
- commit d687dc3
* Mon Jul 17 2023 oneukum@suse.com
- usb: dwc2: Fix some error handling paths (git-fixes).
- commit b3ae2f4
* Mon Jul 17 2023 oneukum@suse.com
- blacklist.conf: optimization
- commit 9e3e296
* Mon Jul 17 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 938b640
* Mon Jul 17 2023 oneukum@suse.com
- usb: typec: Fix fast_role_swap_current show function
  (git-fixes).
- commit b9a4a79
* Mon Jul 17 2023 nik.borisov@suse.com
- blacklist.conf: Blacklist redundant patch
- commit 48411ae
* Mon Jul 17 2023 iivanov@suse.de
- arm64: vdso: Pass (void *) to virt_to_page() (git-fixes)
- commit 80dd531
* Mon Jul 17 2023 iivanov@suse.de
- arm64/mm: mark private VM_FAULT_X defines as vm_fault_t (git-fixes)
- commit beb79bd
* Mon Jul 17 2023 iivanov@suse.de
- Revert "arm64: dts: zynqmp: Add address-cells property to interrupt (git-fixes)
- commit d0d71ee
* Mon Jul 17 2023 iivanov@suse.de
- arm64: dts: microchip: sparx5: do not use PSCI on reference boards (git-fixes)
- commit ada238c
* Mon Jul 17 2023 iivanov@suse.de
- arm64: xor-neon: mark xor_arm64_neon_*() static (git-fixes)
- commit c9bacb3
* Mon Jul 17 2023 tiwai@suse.de
- spi: bcm63xx: fix max prepend length (git-fixes).
- commit 656db51
* Sat Jul 15 2023 tiwai@suse.de
- drm/i915: Fix one wrong caching mode enum usage (git-fixes).
- drm/panel: simple: Add Powertip PH800480T013 drm_display_mode
  flags (git-fixes).
- drm/ttm: Don't leak a resource on swapout move error
  (git-fixes).
- drm/panel: simple: Add connector_type for innolux_at043tn24
  (git-fixes).
- wifi: rtw89: debug: fix error code in
  rtw89_debug_priv_send_h2c_set() (git-fixes).
- wifi: airo: avoid uninitialized warning in airo_get_rate()
  (git-fixes).
- commit d32565b
* Thu Jul 13 2023 tbogendoerfer@suse.de
- net: mana: Add support for vlan tagging (bsc#1212301).
- commit b4b8120
* Wed Jul 12 2023 mfranc@suse.cz
- s390: define RUNTIME_DISCARD_EXIT to fix link error with GNU
  ld < 2.36 (git-fixes bsc#1213264).
- commit 02c9941
* Wed Jul 12 2023 mfranc@suse.cz
- s390/debug: add _ASM_S390_ prefix to header guard (git-fixes
  bsc#1213263).
- commit ddf8224
* Wed Jul 12 2023 mfranc@suse.cz
- blacklist.conf: clang warning
- commit e4ffa77
* Wed Jul 12 2023 mfranc@suse.cz
- s390/ap: fix status returned by ap_aqic() (git-fixes
  bsc#1213259).
- commit 5299a79
* Wed Jul 12 2023 mfranc@suse.cz
- s390/ap: fix status returned by ap_qact() (git-fixes
  bsc#1213258).
- commit 43d22ed
* Wed Jul 12 2023 tiwai@suse.de
- Move upstreamed x86 patch into sorted section
- commit d418f0a
* Wed Jul 12 2023 tiwai@suse.de
- Move upstreamed AMDGPU patches into sorted section
- commit 399c97a
* Wed Jul 12 2023 tiwai@suse.de
- Bluetooth: hci_bcm: do not mark valid bd_addr as invalid
  (git-fixes).
- commit 04e6123
* Wed Jul 12 2023 tiwai@suse.de
- nilfs2: reject devices with insufficient block count
  (git-fixes).
- perf/x86/amd/core: Always clear status for idx (bsc#1213233).
- soundwire: bus_type: Avoid lockdep assert in sdw_drv_probe()
  (git-fixes).
- soundwire: cadence: Drain the RX FIFO after an IO timeout
  (git-fixes).
- commit 0234d5a
* Wed Jul 12 2023 mfranc@suse.cz
- s390/percpu: add READ_ONCE() to arch_this_cpu_to_op_simple()
  (git-fixes bsc#1213252).
- commit c694863
* Wed Jul 12 2023 tiwai@suse.de
- drm/amdgpu: Fix memcpy() in
  sienna_cichlid_append_powerplay_table function (git-fixes).
- net: qrtr: Fix an uninit variable access bug in qrtr_tx_resume()
  (git-fixes).
- net: qrtr: start MHI channel after endpoit creation (git-fixes).
- commit 7915fbb
* Wed Jul 12 2023 tiwai@suse.de
- cpufreq: tegra194: Fix module loading (git-fixes).
- drm/bridge: anx7625: Fix refcount bug in anx7625_parse_dt()
  (git-fixes).
- commit 0b3f8c1
* Wed Jul 12 2023 tiwai@suse.de
- Bluetooth: fix use-bdaddr-property quirk (git-fixes).
- Bluetooth: fix invalid-bdaddr quirk for non-persistent setup
  (git-fixes).
- acpi: Fix suspend with Xen PV (git-fixes).
- commit 7879a1f
* Wed Jul 12 2023 tiwai@suse.de
- wifi: ath11k: Add missing check for ioremap (git-fixes).
- wifi: ath10k: Trigger STA disconnect after reconfig complete
  on hardware restart (git-fixes).
- usb: typec: Fix fast_role_swap_current show function
  (git-fixes).
- x86/amd_nb: Add PCI ID for family 19h model 78h (git-fixes).
- commit 51addf5
* Wed Jul 12 2023 tiwai@suse.de
- PCI: vmd: Fix uninitialized variable usage in
  vmd_enable_domain() (git-fixes).
- soundwire: stream: Add missing clear of alloc_slave_rt
  (git-fixes).
- selftests: cgroup: fix unsigned comparison with less than zero
  (git-fixes).
- selftests/ir: fix build with ancient kernel headers (git-fixes).
- selftests: forwarding: Fix packet matching in mirroring
  selftests (git-fixes).
- commit 72553e2
* Wed Jul 12 2023 tiwai@suse.de
- drm/bridge: tc358767: Switch to devm MIPI-DSI helpers
  (git-fixes).
- drm/bridge: ti-sn65dsi83: Fix enable error path (git-fixes).
- drm/bridge: it6505: Move a variable assignment behind a null
  pointer check in receive_timing_debugfs_show() (git-fixes).
- drm/msm/dpu: Assign missing writeback log_mask (git-fixes).
- commit 85e8c29
* Wed Jul 12 2023 tiwai@suse.de
- drm/msm/dpu: set DSC flush bit correctly at MDP CTL flush
  register (git-fixes).
- drm/amdgpu: Fix usage of UMC fill record in RAS (git-fixes).
- drm/amd/display: Fix a test dml32_rq_dlg_get_rq_reg()
  (git-fixes).
- drm/amd/display: Fix a test CalculatePrefetchSchedule()
  (git-fixes).
- commit 68b289c
* Wed Jul 12 2023 tiwai@suse.de
- Add alt-commit to an amdgpu patch
- commit 17f4d4e
* Wed Jul 12 2023 mfranc@suse.cz
- s390: discard .interp section (git-fixes bsc#1213247).
- commit 227bb94
* Wed Jul 12 2023 tiwai@suse.de
- Bluetooth: ISO: Fix CIG auto-allocation to select configurable
  CIG (git-fixes).
- commit 2742425
* Wed Jul 12 2023 tiwai@suse.de
- Bluetooth: ISO: use hci_sync for setting CIG parameters
  (git-fixes).
- Bluetooth: ISO: consider right CIS when removing CIG at cleanup
  (git-fixes).
- commit 2dd543b
* Wed Jul 12 2023 tiwai@suse.de
- ASoC: Intel: sof_sdw: remove SOF_SDW_TGL_HDMI for MeteorLake
  devices (git-fixes).
- ASoC: SOF: topology: Fix logic for copying tuples (git-fixes).
- commit 13a5a3a
* Wed Jul 12 2023 jgross@suse.com
- kABI fix after Restore kABI for NVidia vGPU driver
  (bsc#1210825).
- commit 61abbf8
* Wed Jul 12 2023 tiwai@suse.de
- s390/pci: clean up left over special treatment for function zero
  (bsc#1212525).
- s390/pci: remove redundant pci_bus_add_devices() on new bus
  (bsc#1212525).
- s390/pci: only add specific device in zpci_bus_scan_device()
  (bsc#1212525).
- PCI: s390: Fix use-after-free of PCI resources with per-function
  hotplug (bsc#1212525).
- commit 12637e5
* Wed Jul 12 2023 tiwai@suse.de
- i2c: tegra: Set ACPI node as primary fwnode (bsc#1213226).
- commit 9454717
* Wed Jul 12 2023 jgross@suse.com
- Restore kABI for NVidia vGPU driver (bsc#1210825).
- commit 416c78b
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: remove redundant pointer 'server' (bsc#1193629).
- commit 20babff
* Wed Jul 12 2023 palcantara@suse.de
- cifs: fix session state transition to avoid use-after-free issue
  (bsc#1193629).
- commit a0e7e51
* Wed Jul 12 2023 palcantara@suse.de
- cifs: new dynamic tracepoint to track ses not found errors
  (bsc#1193629).
- commit 79e9e86
* Wed Jul 12 2023 palcantara@suse.de
- cifs: log session id when a matching ses is not found
  (bsc#1193629).
- commit 920ccfd
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: improve DFS mount check (bsc#1193629).
- commit 8dd4bf1
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix shared DFS root mounts with different prefixes
  (bsc#1193629).
- commit 4ae5a6b
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix parsing of source mount option (bsc#1193629).
- commit 2375f35
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix broken file attrs with nodfs mounts
  (bsc#1193629).
- commit cf3707b
* Wed Jul 12 2023 palcantara@suse.de
- cifs: print client_guid in DebugData (bsc#1193629).
- commit edd7762
* Wed Jul 12 2023 palcantara@suse.de
- cifs: fix session state check in smb2_find_smb_ses
  (bsc#1193629).
- commit 8dbfb28
* Wed Jul 12 2023 palcantara@suse.de
- cifs: fix session state check in reconnect to avoid
  use-after-free issue (bsc#1193629).
- commit 6191deb
* Wed Jul 12 2023 palcantara@suse.de
- cifs: do all necessary checks for credits within or before
  locking (bsc#1193629).
- commit 5bb05f4
* Wed Jul 12 2023 palcantara@suse.de
- cifs: prevent use-after-free by freeing the cfile later
  (bsc#1193629).
- commit b7bc433
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix warning in generic_ip_connect() (bsc#1193629).
- commit f671e4f
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix warning in CIFSFindNext() (bsc#1193629).
- commit d1f13ae
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix warning in CIFSFindFirst() (bsc#1193629).
- commit 01673ee
* Wed Jul 12 2023 palcantara@suse.de
- smb3: do not reserve too many oplock credits (bsc#1193629).
- commit 73fb9a2
* Wed Jul 12 2023 palcantara@suse.de
- cifs: print more detail when invalidate_inode_mapping fails
  (bsc#1193629).
- commit a875165
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix warning in cifs_smb3_do_mount() (bsc#1193629).
- commit 28577bd
* Wed Jul 12 2023 palcantara@suse.de
- smb: client: fix warning in cifs_match_super() (bsc#1193629).
- commit c6a889a
* Wed Jul 12 2023 palcantara@suse.de
- cifs: print nosharesock value while dumping mount options
  (bsc#1193629).
- commit 4243019
* Tue Jul 11 2023 jgross@suse.com
- Refresh
  patches.suse/x86-xen-fix-secondary-processor-fpu-initialization.patch.
- commit 011270e
* Tue Jul 11 2023 jgross@suse.com
- x86: Fix .brk attribute in linker script (git-fixes).
- commit cacd6a8
* Tue Jul 11 2023 lhenriques@suse.de
- ceph: fix blindly expanding the readahead windows (bsc#1213206).
- ceph: add a dedicated private data for netfs rreq (bsc#1213205).
- commit 9f18816
* Tue Jul 11 2023 lhenriques@suse.de
- blacklist.conf: Blacklist 23ee27dce30e and dc94bb8f271c
- commit aa7880b
* Mon Jul 10 2023 rgoldwyn@suse.com
- Update patches.suse/fs-hfsplus-fix-UAF-issue-in-hfsplus_put_super.patch (CVE-2023-2985, bsc#1211867).
- commit b8edf00
* Mon Jul 10 2023 mkoutny@suse.com
- Run scripts/renamepatches for SLE15-SP4
- commit 3002b60
* Mon Jul 10 2023 msuchanek@suse.de
- kabi/severities: Add VAS symbols changed due to recent fix
  VAS accelerators are directly tied to the architecture, there is no
  reason to have out-of-tree production drivers
- commit a0d0af6
* Mon Jul 10 2023 vliaskovitis@suse.com
- memcg: drop kmem.limit_in_bytes (bsc#1208788, bsc#1212905).
- commit d8a2ca6
* Mon Jul 10 2023 msuchanek@suse.de
- blacklist.conf: Unapplicable ppc fixes
- commit 1d050a8
* Mon Jul 10 2023 msuchanek@suse.de
- powerpc/book3s64/mm: Fix DirectMap stats in /proc/meminfo
  (bsc#1194869).
- powerpc: update ppc_save_regs to save current r1 in pt_regs
  (bsc#1194869).
- powerpc/powernv/sriov: perform null check on iov before
  dereferencing iov (bsc#1194869).
- powerpc/64s: Fix VAS mm use after free (bsc#1194869).
- powerpc/interrupt: Don't read MSR from
  interrupt_exit_kernel_prepare() (bsc#1194869).
- powerpc/bpf: Fix use of user_pt_regs in uapi (bsc#1194869).
- powerpc/prom_init: Fix kernel config grep (bsc#1194869).
- powerpc/xics: fix refcount leak in icp_opal_init()
  (bsc#1194869).
- powerpc/ftrace: Remove ftrace init tramp once kernel init is
  complete (bsc#1194869).
- powerpc/64: Only WARN if __pa()/__va() called with bad addresses
  (bsc#1194869).
- powerpc/powernv/vas: Assign real address to rx_fifo in
  vas_rx_win_attr (bsc#1194869).
- powerpc: define get_cycles macro for arch-override
  (bsc#1194869).
- powerpc/secvar: fix refcount leak in format_show()
  (bsc#1194869).
- powerpc/mm: Switch obsolete dssall to .long (bsc#1194869).
- powerpc: clean vdso32 and vdso64 directories (bsc#1194869).
- signal: Replace force_sigsegv(SIGSEGV) with
  force_fatal_sig(SIGSEGV) (bsc#1194869).
- signal/powerpc: On swapcontext failure force SIGSEGV
  (bsc#1194869).
- commit 42f7ecb
* Mon Jul 10 2023 schwab@suse.de
- rpm/check-for-config-changes: ignore also RISCV_ISA_* and DYNAMIC_SIGFRAME
  They depend on CONFIG_TOOLCHAIN_HAS_*.
- commit 1007103
* Mon Jul 10 2023 msuchanek@suse.de
- powerpc/mm/dax: Fix the condition when checking if altmap
  vmemap can cross-boundary (bsc#1150305 ltc#176097 git-fixes).
- commit 19eb287
* Mon Jul 10 2023 msuchanek@suse.de
- blacklist.conf: No 32bit signals on ppc64
- commit f2f83b0
* Mon Jul 10 2023 msuchanek@suse.de
- blacklist.conf: d9e5c3e9e751 powerpc: Export mmu_feature_keys[] as
  non-GPL
- commit 5cb5bd5
* Mon Jul 10 2023 msuchanek@suse.de
- blacklist.conf: b74196af372f powerpc/fadump: Fix fadump to work with a
  different endian capture kernel
  This changes the shared data from LE to BE for our kernel.
- commit 9bc7a26
* Mon Jul 10 2023 tiwai@suse.de
- NTB: ntb_tool: Add check for devm_kcalloc (git-fixes).
- NTB: ntb_transport: fix possible memory leak while
  device_register() fails (git-fixes).
- ntb: intel: Fix error handling in intel_ntb_pci_driver_init()
  (git-fixes).
- NTB: amd: Fix error handling in amd_ntb_pci_driver_init()
  (git-fixes).
- ntb: idt: Fix error handling in idt_pci_driver_init()
  (git-fixes).
- commit e2532ad
* Sat Jul  8 2023 tiwai@suse.de
- ALSA: jack: Fix mutex call in snd_jack_report() (git-fixes).
- commit 626f9e0
* Sat Jul  8 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for ASUS ROG GZ301V (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG G614Jx (git-fixes).
- ALSA: hda/realtek: Amend G634 quirk to enable rear speakers
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG GA402X (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG GX650P (git-fixes).
- ALSA: pcm: Fix potential data race at PCM memory allocation
  helpers (git-fixes).
- ALSA: hda: fix a possible null-pointer dereference due to data
  race in snd_hdac_regmap_sync() (git-fixes).
- ALSA: hda/realtek: Add quirks for Unis H3C Desktop B760 & Q760
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo NPx0SNx (git-fixes).
- ALSA: fireface: make read-only const array for model names
  static (git-fixes).
- ALSA: oxfw: make read-only const array models static
  (git-fixes).
- commit 588fb29
* Sat Jul  8 2023 tiwai@suse.de
- Fix documentation of panic_on_warn (git-fixes).
- commit d3bc78b
* Sat Jul  8 2023 tiwai@suse.de
- ALSA: hda/realtek: Whitespace fix (git-fixes).
- apparmor: fix missing error check for rhashtable_insert_fast
  (git-fixes).
- Revert "drm/amd/display: edp do not add non-edid timings"
  (git-fixes).
- drm/i915/psr: Use hw.adjusted mode when calculating io/fast
  wake times (git-fixes).
- commit 5cd5af9
* Fri Jul  7 2023 mhocko@suse.com
- ubi: Fix failure attaching when vid_hdr offset equals to
  (sub)page size (bsc#1210584).
- ubi: ensure that VID header offset + VID header size <= alloc,
  size (bsc#1210584).
- commit d00dadd
* Fri Jul  7 2023 msuchanek@suse.de
- hvcs: Synchronize hotplug remove with port free (bsc#1213134
  ltc#202861).
- hvcs: Use vhangup in hotplug remove (bsc#1213134 ltc#202861).
- hvcs: Get reference to tty in remove (bsc#1213134 ltc#202861).
- hvcs: Use driver groups to manage driver attributes (bsc#1213134
  ltc#202861).
- hvcs: Use dev_groups to manage hvcs device attributes
  (bsc#1213134 ltc#202861).
- hvcs: Fix hvcs port reference counting (bsc#1213134 ltc#202861).
- commit bcb2fb0
* Fri Jul  7 2023 jack@suse.cz
- fixup ext4-avoid-deadlock-in-fs-reclaim-with-page-writebac.patch
- commit da8cf7d
* Fri Jul  7 2023 mhocko@suse.com
- Update patches.suse/KVM-x86-fix-sending-PV-IPI.patch (git-fixes,
  bsc#1210853).
- commit c3e9aec
* Fri Jul  7 2023 jack@suse.cz
- blacklist.conf: Blacklist b87c7cdf2bed
- commit 6e43578
* Fri Jul  7 2023 ohering@suse.de
- add mainline tags to five pci_hyperv patches
- commit 6e402f4
* Fri Jul  7 2023 tiwai@suse.de
- rtc: efi: Enable SET/GET WAKEUP services as optional
  (bsc#1213116).
- rtc: efi: Add wakeup support (bsc#1213116).
- rtc: efi: switch to devm_rtc_allocate_device (bsc#1213116).
- commit 917e186
* Fri Jul  7 2023 tiwai@suse.de
- spi: bcm-qspi: return error if neither hif_mspi nor mspi is
  available (git-fixes).
- dt-bindings: phy: brcm,brcmstb-usb-phy: Fix error in
  "compatible" conditional schema (git-fixes).
- phy: tegra: xusb: check return value of devm_kzalloc()
  (git-fixes).
- phy: tegra: xusb: Clear the driver reference in usb-phy dev
  (git-fixes).
- phy: Revert "phy: Remove SOC_EXYNOS4212 dep. from
  PHY_EXYNOS4X12_USB" (git-fixes).
- selftests: mptcp: depend on SYN_COOKIES (git-fixes).
- selftests: mptcp: sockopt: return error if wrong mark
  (git-fixes).
- Documentation: ABI: sysfs-class-net-qmi: pass_through contact
  update (git-fixes).
- docs: networking: Update codeaurora references for rmnet
  (git-fixes).
- Add MODULE_FIRMWARE() for FIRMWARE_TG357766 (git-fixes).
- pwm: ab8500: Fix error code in probe() (git-fixes).
- pwm: sysfs: Do not apply state to already disabled PWMs
  (git-fixes).
- pwm: imx-tpm: force 'real_period' to be zero in suspend
  (git-fixes).
- soundwire: qcom: fix storing port config out-of-bounds
  (git-fixes).
- media: cec: i2c: ch7322: also select REGMAP (git-fixes).
- media: atomisp: gmin_platform: fix out_len in
  gmin_get_config_dsm_var() (git-fixes).
- media: venus: helpers: Fix ALIGN() of non power of two
  (git-fixes).
- media: i2c: Correct format propagation for st-mipid02
  (git-fixes).
- media: usb: siano: Fix warning due to null work_func_t function
  pointer (git-fixes).
- media: videodev2.h: Fix struct v4l2_input tuner index comment
  (git-fixes).
- media: usb: Check az6007_read() return value (git-fixes).
- drm/amdgpu: Validate VM ioctl flags (git-fixes).
- Documentation: bonding: fix the doc of peer_notif_delay
  (git-fixes).
- Documentation: timers: hrtimers: Make hybrid union historical
  (git-fixes).
- drm/amdgpu: Set vmbo destroy after pt bo is created (git-fixes).
- commit 50938e1
* Thu Jul  6 2023 jack@suse.cz
- udf: Detect system inodes linked into directory hierarchy
  (bsc#1213114).
- commit 94969d9
* Thu Jul  6 2023 jack@suse.cz
- udf: Preserve link count of system files (bsc#1213113).
- commit 796148e
* Thu Jul  6 2023 jack@suse.cz
- udf: Do not update file length for failed writes to inline files
  (bsc#1213041).
- commit 7c424ea
* Thu Jul  6 2023 jack@suse.cz
- udf: Do not bother merging very long extents (bsc#1213040).
- commit 2bbc059
* Thu Jul  6 2023 jack@suse.cz
- udf: Truncate added extents on failed expansion (bsc#1213039).
- commit 570559c
* Thu Jul  6 2023 jack@suse.cz
- udf: Define EFSCORRUPTED error code (bsc#1213038).
- commit a788ad0
* Thu Jul  6 2023 jack@suse.cz
- udf: Fix extending file within last block (bsc#1213037).
- commit 03c1b38
* Thu Jul  6 2023 jack@suse.cz
- udf: Discard preallocation before extending file with a hole
  (bsc#1213036).
- commit 1574fab
* Thu Jul  6 2023 jack@suse.cz
- udf: Do not bother looking for prealloc extents if i_lenExtents
  matches i_size (bsc#1213035).
- commit 55f8d82
* Thu Jul  6 2023 jack@suse.cz
- udf: Fix preallocation discarding at indirect extent boundary
  (bsc#1213034).
- commit dd71a49
* Thu Jul  6 2023 jack@suse.cz
- udf: Avoid double brelse() in udf_rename() (bsc#1213032).
- commit b7363e8
* Thu Jul  6 2023 jack@suse.cz
- udf: Fix error handling in udf_new_inode() (bsc#1213112).
- commit 36daa9d
* Thu Jul  6 2023 jack@suse.cz
- writeback: fix call of incorrect macro (bsc#1213024).
- commit 3d9859a
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist e730558adffb
- commit dfc29a7
* Thu Jul  6 2023 jack@suse.cz
- inotify: Avoid reporting event with invalid wd (bsc#1213025).
- commit 663980c
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix bug_on in __es_tree_search caused by bad quota inode
  (bsc#1213111).
- commit d2402bb
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix to check return value of freeze_bdev() in
  ext4_shutdown() (bsc#1213021).
- commit 8a5e5cc
* Thu Jul  6 2023 jack@suse.cz
- ext4: turn quotas off if mount failed after enabling quotas
  (bsc#1213110).
- commit 54ce041
* Thu Jul  6 2023 jack@suse.cz
- ext4: Fix reusing stale buffer heads from last failed mounting
  (bsc#1213020).
- commit b4e9a35
* Thu Jul  6 2023 jack@suse.cz
- ext4: only update i_reserved_data_blocks on successful block
  allocation (bsc#1213019).
- commit 05b1124
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist dea9d8f7643f
- commit 5f3f2c9
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist eb1f822c76be and 1b2924393309
- commit dfea016
* Thu Jul  6 2023 jack@suse.cz
- ext4: add lockdep annotations for i_data_sem for ea_inode's
  (bsc#1213109).
- commit bd7e51d
* Thu Jul  6 2023 jack@suse.cz
- ext4: disallow ea_inodes with extended attributes (bsc#1213108).
- commit 8d79354
* Thu Jul  6 2023 jack@suse.cz
- ext4: set lockdep subclass for the ea_inode in
  ext4_xattr_inode_cache_find() (bsc#1213107).
- commit 086e29e
* Thu Jul  6 2023 jack@suse.cz
- ext4: add EA_INODE checking to ext4_iget() (bsc#1213106).
- commit 6f2cbde
* Thu Jul  6 2023 jack@suse.cz
- ext4: bail out of ext4_xattr_ibody_get() fails for any reason
  (bsc#1213018).
- commit 688805b
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 2220eaf90992
- commit 646c4d8
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix deadlock when converting an inline directory in
  nojournal mode (bsc#1213105).
- commit cce4da1
* Thu Jul  6 2023 jack@suse.cz
- ext4: improve error recovery code paths in __ext4_remount()
  (bsc#1213017).
- commit 29aa4fc
* Thu Jul  6 2023 jack@suse.cz
- ext4: improve error handling from ext4_dirhash() (bsc#1213104).
- commit eb9fd41
* Thu Jul  6 2023 jack@suse.cz
- ext4: check iomap type only if ext4_iomap_begin() does not fail
  (bsc#1213103).
- commit 0e400a2
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 4f04351888a8
- commit 3ec5acd
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix data races when using cached status extents
  (bsc#1213102).
- commit 5ba34cb
* Thu Jul  6 2023 jack@suse.cz
- ext4: avoid deadlock in fs reclaim with page writeback
  (bsc#1213016).
- commit 1d798af
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 463808f237cf
- commit 8ab6243
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 5354b2af3406
- commit af1acbd
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix lockdep warning when enabling MMP (bsc#1213100).
- commit 12832e4
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix WARNING in mb_find_extent (bsc#1213099).
- commit cf6660d
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix use-after-free read in ext4_find_extent for bigalloc +
  inline (bsc#1213098).
- commit 4e5840b
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix i_disksize exceeding i_size problem in paritally
  written case (bsc#1213015).
- commit 4f1e279
* Thu Jul  6 2023 jack@suse.cz
- jdb2: Don't refuse invalidation of already invalidated buffers
  (bsc#1213014).
- commit 02a11f8
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 93cdf49f6eca
- commit 3fbd00a
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 01e4ca294517
- commit d9ac63d
* Thu Jul  6 2023 jack@suse.cz
- ext4: zero i_disksize when initializing the bootloader inode
  (bsc#1213013).
- commit 659d07a
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix WARNING in ext4_update_inline_data (bsc#1213012).
- commit e942503
* Thu Jul  6 2023 jack@suse.cz
- ext4: move where set the MAY_INLINE_DATA flag is set
  (bsc#1213011).
- commit 414128b
* Thu Jul  6 2023 jack@suse.cz
- ext4: fix task hung in ext4_xattr_delete_inode (bsc#1213096).
- commit c860105
* Thu Jul  6 2023 jack@suse.cz
- jbd2: fix data missing when reusing bh which is ready to be
  checkpointed (bsc#1213095).
- commit fba1499
* Thu Jul  6 2023 jack@suse.cz
- ext4: update s_journal_inum if it changes after journal replay
  (bsc#1213094).
- commit 555a671
* Thu Jul  6 2023 jack@suse.cz
- ext4: fail ext4_iget if special inode unallocated (bsc#1213010).
- commit e1a7504
* Thu Jul  6 2023 jack@suse.cz
- ext4: refuse to create ea block when umounted (bsc#1213093).
- commit 0a1540e
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 1e9d62d25281
- commit ec4ee27
* Thu Jul  6 2023 jack@suse.cz
- ext4: use ext4_fc_tl_mem in fast-commit replay path
  (bsc#1213092).
- commit 52602e2
* Thu Jul  6 2023 jack@suse.cz
- ext4: block range must be validated before use in
  ext4_mb_clear_bb() (bsc#1213090).
- commit 1a54a0f
* Thu Jul  6 2023 jack@suse.cz
- ext4: add strict range checks while freeing blocks
  (bsc#1213089).
- commit 48fbaec
* Thu Jul  6 2023 jack@suse.cz
- ext4: add ext4_sb_block_valid() refactored out of
  ext4_inode_block_valid() (bsc#1213088).
- commit 29b9d07
* Thu Jul  6 2023 jack@suse.cz
- ext4: refactor ext4_free_blocks() to pull out ext4_mb_clear_bb()
  (bsc#1213087).
- commit 8815a41
* Thu Jul  6 2023 jack@suse.cz
- blacklist.conf: Blacklist 3bbef91bdd21
- commit aca1605
* Thu Jul  6 2023 nmorey@suse.com
- RDMA/rxe: Fix access checks in rxe_check_bind_mw (git-fixes)
- commit 2665c42
* Thu Jul  6 2023 lzhong@suse.de
- nvme-multipath: support io stats on the mpath device
  (bsc#1210565).
- nvme: introduce nvme_start_request (bsc#1210565).
- commit 3351644
* Wed Jul  5 2023 krisman@suse.de
- io_uring/msg_ring: fix missing lock on overflow for IOPOLL
  (bsc#1211014 CVE-2023-2430).
- io_uring: don't expose io_fill_cqe_aux() (bsc#1211014).
- commit 2777ae4
* Wed Jul  5 2023 tiwai@suse.de
- drm/amd: Don't try to enable secure display TA multiple times
  (bsc#1212848, bsc#1212961).
- drm/amdgpu: fix number of fence calculations (bsc#1212848,
  bsc#1212961).
- drm/amd: Disable PSR-SU on Parade 0803 TCON (bsc#1212848,
  bsc#1212961).
- drm/amd/pm: update the LC_L1_INACTIVITY setting to address
  possible noise issue (bsc#1212848, bsc#1212961).
- drm/amd/display: disable seamless boot if force_odm_combine
  is enabled (bsc#1212848, bsc#1212961).
- drm/amd/display: add a NULL pointer check (bsc#1212848,
  bsc#1212961).
- drm/amd/pm: revise the ASPM settings for thunderbolt attached
  scenario (bsc#1212848, bsc#1212961).
- drm/amdgpu: fix clearing mappings for BOs that are always
  valid in VM (bsc#1212848, bsc#1212961).
- commit 8330033
* Wed Jul  5 2023 ohering@suse.de
- disable two x86 PAT related patches (bsc#1212456)
  This may break i915 when booted with nopat, but fixes /dev/mem access
  in Xen PV domU.
- commit 4174e9f
* Wed Jul  5 2023 tiwai@suse.de
- opp: Fix use-after-free in lazy_opp_tables after probe deferral
  (git-fixes).
- clk: qcom: gcc-ipq6018: Use floor ops for sdcc clocks
  (git-fixes).
- clk: qcom: camcc-sc7180: Add parent dependency to all camera
  GDSCs (git-fixes).
- commit aa116bc
* Tue Jul  4 2023 krisman@suse.de
- Delete
  patches.suse/io_uring-hold-uring-mutex-around-poll-removal.patch.
  This was a SP4 specific fix.  SLE15SP5 relies on the upstream commit
  22968e88b8e ("io_uring/poll: serialize poll linked timer start with poll
  removal (bsc#1212838 CVE-2023-3389).") instead.
- commit 427eb46
* Tue Jul  4 2023 mkoutny@suse.com
- net/sched: tcindex: Do not use perfect hashing (bsc#1210335
  CVE-2023-1829).
- commit 28b65ec
* Tue Jul  4 2023 mkoutny@suse.com
- blacklist.conf: Add 3d2af77e31ad blk-cgroup: Reinit blkg_iostat_set after clearing in blkcg_reset_stats()
- commit 84acea1
* Tue Jul  4 2023 mkoutny@suse.com
- blacklist.conf: Add 6f363f5aa845 cgroup: Do not corrupt task iteration when rebinding subsystem
- commit 71728c0
* Tue Jul  4 2023 fweisbecker@suse.de
- sched/debug: fix dentry leak in update_sched_domain_debugfs (git-fixes)
- commit 073b9b6
* Tue Jul  4 2023 fweisbecker@suse.de
- sched: Fix DEBUG && !SCHEDSTATS warn (git-fixes)
- commit f0ad26b
* Tue Jul  4 2023 tiwai@suse.de
- extcon: usbc-tusb320: Unregister typec port on driver removal
  (git-fixes).
- commit b2eac46
* Tue Jul  4 2023 tiwai@suse.de
- usb: dwc3: gadget: Propagate core init errors to UDC during
  pullup (git-fixes).
- usb: dwc3-meson-g12a: Fix an error handling path in
  dwc3_meson_g12a_probe() (git-fixes).
- usb: dwc3: qcom: Fix an error handling path in dwc3_qcom_probe()
  (git-fixes).
- usb: dwc3: qcom: Release the correct resources in
  dwc3_qcom_remove() (git-fixes).
- usb: xhci: Remove unused udev from xhci_log_ctx trace event
  (git-fixes).
- usb: hide unused usbfs_notify_suspend/resume functions
  (git-fixes).
- usb: phy: phy-tahvo: fix memory leak in tahvo_usb_probe()
  (git-fixes).
- usb: gadget: u_serial: Add null pointer check in gserial_suspend
  (git-fixes).
- usb: dwc3: qcom: Fix potential memory leak (git-fixes).
- serial: atmel: don't enable IRQs prematurely (git-fixes).
- tty: serial: imx: fix rs485 rx after tx (git-fixes).
- serial: 8250_omap: Use force_suspend and resume for system
  suspend (git-fixes).
- tty: serial: samsung_tty: Fix a memory leak in
  s3c24xx_serial_getclk() when iterating clk (git-fixes).
- tty: serial: samsung_tty: Fix a memory leak in
  s3c24xx_serial_getclk() in case of error (git-fixes).
- serial: 8250: lock port for UART_IER access in omap8250_irq()
  (git-fixes).
- serial: 8250: lock port for stop_rx() in omap8250_irq()
  (git-fixes).
- serial: 8250: omap: Fix freeing of resources on failed register
  (git-fixes).
- extcon: Fix kernel doc of property capability fields to avoid
  warnings (git-fixes).
- extcon: Fix kernel doc of property fields to avoid warnings
  (git-fixes).
- misc: fastrpc: Create fastrpc scalar with correct buffer count
  (git-fixes).
- firmware: stratix10-svc: Fix a potential resource leak in
  svc_create_memory_pool() (git-fixes).
- test_firmware: return ENOMEM instead of ENOSPC on failed memory
  allocation (git-fixes).
- meson saradc: fix clock divider mask length (git-fixes).
- iio: accel: fxls8962af: errata bug only applicable for
  FXLS8962AF (git-fixes).
- iio: accel: fxls8962af: fixup buffer scan element type
  (git-fixes).
- iio: adc: ad7192: Fix internal/external clock selection
  (git-fixes).
- iio: adc: ad7192: Fix null ad7192_state pointer access
  (git-fixes).
- w1: fix loop in w1_fini() (git-fixes).
- w1: w1_therm: fix locking behavior in convert_t (git-fixes).
- mfd: stmpe: Only disable the regulators if they are enabled
  (git-fixes).
- mfd: stmfx: Nullify stmfx->vdd in case of error (git-fixes).
- mfd: stmfx: Fix error path in stmfx_chip_init (git-fixes).
- mfd: intel-lpss: Add missing check for platform_get_resource
  (git-fixes).
- mfd: pm8008: Fix module autoloading (git-fixes).
- mfd: rt5033: Drop rt5033-battery sub-device (git-fixes).
- mailbox: ti-msgmgr: Fill non-message tx data fields with 0x0
  (git-fixes).
- rtc: st-lpc: Release some resources in st_rtc_probe() in case
  of error (git-fixes).
- extcon: usbc-tusb320: Update state on probe even if no IRQ
  pending (git-fixes).
- extcon: usbc-tusb320: Call the Type-C IRQ handler only if a
  port is registered (git-fixes).
- extcon: usbc-tusb320: Add USB TYPE-C support (git-fixes).
- commit 5d09f51
* Mon Jul  3 2023 palcantara@suse.de
- cifs: add a warning when the in-flight count goes negative
  (bsc#1193629).
- commit b5356cb
* Mon Jul  3 2023 palcantara@suse.de
- cifs: fix lease break oops in xfstest generic/098 (bsc#1193629).
- commit 4a371a3
* Mon Jul  3 2023 palcantara@suse.de
- cifs: fix max_credits implementation (bsc#1193629).
- commit 54568db
* Mon Jul  3 2023 palcantara@suse.de
- cifs: fix sockaddr comparison in iface_cmp (bsc#1193629).
- commit f115649
* Mon Jul  3 2023 palcantara@suse.de
- cifs: print all credit counters in DebugData (bsc#1193629).
- commit cfab0d3
* Mon Jul  3 2023 palcantara@suse.de
- cifs: fix status checks in cifs_tree_connect (bsc#1193629).
- commit db74448
* Mon Jul  3 2023 palcantara@suse.de
- smb: remove obsolete comment (bsc#1193629).
- commit dbdd811
* Mon Jul  3 2023 palcantara@suse.de
- cifs: address unused variable warning (bsc#1193629).
- commit 2c0db9f
* Mon Jul  3 2023 palcantara@suse.de
- smb: delete an unnecessary statement (bsc#1193629).
- commit 8263cc2
* Mon Jul  3 2023 palcantara@suse.de
- smb3: missing null check in SMB2_change_notify (bsc#1193629).
- commit f544a57
* Mon Jul  3 2023 msuchanek@suse.de
- ibmvnic: Do not reset dql stats on NON_FATAL err (bsc#1212603
  ltc#202604).
- commit 9cf4e75
* Mon Jul  3 2023 tiwai@suse.de
- Move upstreamed x86, scsi and arm patches into sorted section
- commit 68279fe
* Mon Jul  3 2023 jgross@suse.com
- x86/xen: fix secondary processor fpu initialization
  (bsc#1212869).
- commit 8ea47f4
* Mon Jul  3 2023 tbogendoerfer@suse.de
- bonding: Fix negative jump label count on nested bonding
  (bsc#1212685).
- commit 8398ce5
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Avoid calling wake_up threads from spin_lock context (git-fixes)
- commit 4610493
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: wraparound mbox producer index (git-fixes)
- commit 3193b97
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/vmw_pvrdma: Remove unnecessary check on wr->opcode (git-fixes)
- commit 4a80233
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/hns: Fix hns_roce_table_get return value (git-fixes)
- commit c5a9ac4
* Mon Jul  3 2023 nmorey@suse.com
- IB/hfi1: Fix wrong mmu_node used for user SDMA packet after invalidate (git-fixes)
- commit 030725c
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/rxe: Remove dangling declaration of rxe_cq_disable() (git-fixes)
- commit 9e18a28
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/irdma: avoid fortify-string warning in irdma_clr_wqes (git-fixes)
- commit 5d11670
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Remove unnecessary checks (git-fixes)
- commit 465a1cc
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Return directly without goto jumps (git-fixes)
- commit a16408a
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix to remove an unnecessary log (git-fixes)
- commit 5b86f20
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Remove a redundant check inside bnxt_re_update_gid (git-fixes)
- commit 5fd5166
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Use unique names while registering interrupts (git-fixes)
- commit 4d45831
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix to remove unnecessary return labels (git-fixes)
- commit 0f82e06
* Mon Jul  3 2023 nmorey@suse.com
- RDMA/bnxt_re: Disable/kill tasklet only if it is enabled (git-fixes)
- commit fa23528
* Mon Jul  3 2023 tiwai@suse.de
- hwrng: st - keep clock enabled while hwrng is registered
  (git-fixes).
- hwrng: imx-rngc - fix the timeout for init and self check
  (git-fixes).
- crypto: marvell/cesa - Fix type mismatch warning (git-fixes).
- crypto: nx - fix build warnings when DEBUG_FS is not enabled
  (git-fixes).
- commit f87750a
* Mon Jul  3 2023 msuchanek@suse.de
- Remove more packaging cruft for SLE < 12 SP3
- commit a16781c
* Sat Jul  1 2023 mkoutny@suse.com
- Run scripts/renamepatches for SLE15-SP4
- commit 77c0957
* Sat Jul  1 2023 tiwai@suse.de
- PCI: endpoint: Add missing documentation about the MSI/MSI-X
  range (git-fixes).
- misc: pci_endpoint_test: Re-init completion for every test
  (git-fixes).
- misc: pci_endpoint_test: Free IRQs before removing the device
  (git-fixes).
- PCI: vmd: Reset VMD config register between soft reboots
  (git-fixes).
- PCI: rockchip: Set address alignment for endpoint mode
  (git-fixes).
- PCI: rockchip: Use u32 variable to access 32-bit registers
  (git-fixes).
- PCI: rockchip: Fix legacy IRQ generation for RK3399 PCIe
  endpoint core (git-fixes).
- PCI: rockchip: Add poll and timeout to wait for PHY PLLs to
  be locked (git-fixes).
- PCI: rockchip: Assert PCI Configuration Enable bit after probe
  (git-fixes).
- PCI: rockchip: Write PCI Device ID to correct register
  (git-fixes).
- PCI: qcom: Disable write access to read only registers for IP
  v2.3.3 (git-fixes).
- PCI: ftpci100: Release the clock resources (git-fixes).
- PCI: cadence: Fix Gen2 Link Retraining process (git-fixes).
- PCI: Add pci_clear_master() stub for non-CONFIG_PCI (git-fixes).
- PCI: Release resource invalidated by coalescing (git-fixes).
- PCI: pciehp: Cancel bringup sequence if card is not present
  (git-fixes).
- PCI/ASPM: Disable ASPM on MFD function removal to avoid
  use-after-free (git-fixes).
- pinctrl: cherryview: Return correct value if pin in push-pull
  mode (git-fixes).
- pinctrl: at91-pio4: check return value of devm_kasprintf()
  (git-fixes).
- pinctrl: microchip-sgpio: check return value of devm_kasprintf()
  (git-fixes).
- platform/x86: thinkpad_acpi: Fix lkp-tests warnings for platform
  profiles (git-fixes).
- platform/x86: think-lmi: Correct NVME password handling
  (git-fixes).
- platform/x86: think-lmi: Correct System password interface
  (git-fixes).
- platform/x86: think-lmi: mutex protection around multiple WMI
  calls (git-fixes).
- commit 22e7ca3
* Fri Jun 30 2023 msuchanek@suse.de
- Get module prefix from kmod (bsc#1212835).
- commit f6691b0
* Fri Jun 30 2023 palcantara@suse.de
- smb: move client and server files to common directory fs/smb
  (bsc#1193629).
- Update config and supported.conf files due to renaming.
- commit ae50c24
* Fri Jun 30 2023 mfranc@suse.cz
- blacklist.conf: gcc 12 issue
- commit 81cb1b7
* Fri Jun 30 2023 mfranc@suse.cz
- s390/gmap: voluntarily schedule during key setting (git-fixes
  bsc#1212892).
- commit 4ccd632
* Fri Jun 30 2023 tiwai@suse.de
- ALSA: hda: LNL: add HD Audio PCI ID (git-fixes).
- commit d9f0e46
* Fri Jun 30 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirks for ROG ALLY CS35l41 audio
  (git-fixes).
- commit 913f7b5
* Fri Jun 30 2023 mkubecek@suse.cz
- rpm/check-for-config-changes: ignore also PAHOLE_HAS_*
  We now also have options like CONFIG_PAHOLE_HAS_LANG_EXCLUDE.
- commit 86b52c1
* Fri Jun 30 2023 tiwai@suse.de
- bus: fsl-mc: fsl-mc-allocator: Drop a write-only variable
  (git-fixes).
- soc/fsl/qe: fix usb.c build errors (git-fixes).
- memory: brcmstb_dpfe: fix testing array offset after use
  (git-fixes).
- drivers: meson: secure-pwrc: always enable DMA domain
  (git-fixes).
- bus: ti-sysc: Fix dispc quirk masking bool variables
  (git-fixes).
- soc: samsung: exynos-pmu: Re-introduce Exynos4212 support
  (git-fixes).
- drm/msm/dpu: correct MERGE_3D length (git-fixes).
- drm/msm/dp: Free resources after unregistering them (git-fixes).
- drm/msm/dpu: do not enable color-management if DSPPs are not
  available (git-fixes).
- drm/msm/adreno: fix sparse warnings in a6xx code (git-fixes).
- drm/msm/dsi: don't allow enabling 14nm VCO with unprogrammed
  rate (git-fixes).
- drm/i915/gvt: remove unused variable gma_bottom in command
  parser (git-fixes).
- amdgpu: validate offset_in_bo of drm_amdgpu_gem_va (git-fixes).
- drm/radeon: fix possible division-by-zero errors (git-fixes).
- drm/amd/display: Fix artifacting on eDP panels when engaging
  freesync video mode (git-fixes).
- drm/amd/display: drop redundant memset() in
  get_available_dsc_slices() (git-fixes).
- drm/amdkfd: Fix potential deallocation of previously deallocated
  memory (git-fixes).
- drm/amd/display: Explicitly specify update type per plane info
  change (git-fixes).
- radeon: avoid double free in ci_dpm_init() (git-fixes).
- drm/amd/display: Add logging for display MALL refresh setting
  (git-fixes).
- drm/panel: simple: fix active size for Ampire
  AM-480272H3TMQW-T01H (git-fixes).
- drm/panel: sharp-ls043t1le01: adjust mode settings (git-fixes).
- drm: sun4i_tcon: use devm_clk_get_enabled in
  `sun4i_tcon_init_clocks` (git-fixes).
- drm/vram-helper: fix function names in vram helper doc
  (git-fixes).
- drm/bridge: tc358768: fix TXTAGOCNT computation (git-fixes).
- drm/bridge: tc358768: fix TCLK_ZEROCNT computation (git-fixes).
- drm/bridge: tc358768: fix PLL target frequency (git-fixes).
- drm/bridge: tc358768: fix PLL parameters computation
  (git-fixes).
- drm/bridge: tc358768: always enable HS video mode (git-fixes).
- drm/rockchip: vop: Leave vblank enabled in self-refresh
  (git-fixes).
- ASoC: imx-audmix: check return value of devm_kasprintf()
  (git-fixes).
- ASoC: mediatek: mt8173: Fix irq error path (git-fixes).
- ASoC: es8316: Do not set rate constraints for unsupported MCLKs
  (git-fixes).
- ASoC: es8316: Increment max value for ALC Capture Target Volume
  control (git-fixes).
- ALSA: ac97: Fix possible NULL dereference in snd_ac97_mixer
  (git-fixes).
- ALSA: hda/realtek: Enable mute/micmute LEDs and limit mic
  boost on EliteBook (git-fixes).
- Input: adxl34x - do not hardcode interrupt trigger type
  (git-fixes).
- Input: drv260x - remove unused .reg_defaults (git-fixes).
- Input: drv260x - sleep between polling GO bit (git-fixes).
- Input: drv260x - fix typo in register value define (git-fixes).
- HID: logitech-hidpp: add HIDPP_QUIRK_DELAYED_INIT for the T651
  (git-fixes).
- fbdev: omapfb: lcd_mipid: Fix an error handling path in
  mipid_spi_probe() (git-fixes).
- clk: ti: clkctrl: check return value of kasprintf() (git-fixes).
- clk: keystone: sci-clk: check return value of kasprintf()
  (git-fixes).
- clk: si5341: free unused memory on probe failure (git-fixes).
- clk: si5341: check return value of {devm_}kasprintf()
  (git-fixes).
- clk: si5341: return error if one synth clock registration fails
  (git-fixes).
- clk: cdce925: check return value of kasprintf() (git-fixes).
- clk: vc5: check memory returned by kasprintf() (git-fixes).
- clk: Fix memory leak in devm_clk_notifier_register()
  (git-fixes).
- clk: tegra: tegra124-emc: Fix potential memory leak (git-fixes).
- clk: imx: clk-imx8mp: improve error handling in
  imx8mp_clocks_probe() (git-fixes).
- clk: imx: clk-imx8mn: fix memory leak in imx8mn_clocks_probe
  (git-fixes).
- clk: imx: scu: use _safe list iterator to avoid a use after free
  (git-fixes).
- clk: samsung: Add Exynos4212 compatible to CLKOUT driver
  (git-fixes).
- hwmon: (gsc-hwmon) fix fan pwm temperature scaling (git-fixes).
- commit 7ae139a
* Fri Jun 30 2023 krisman@suse.de
- io_uring: hold uring mutex around poll removal (bsc#1212838
  CVE-2023-3389).
- commit e7c3e0b
* Thu Jun 29 2023 krisman@suse.de
- io_uring/poll: serialize poll linked timer start with poll
  removal (bsc#1212838 CVE-2023-3389).
- commit 22968e8
* Thu Jun 29 2023 ailiop@suse.com
- ocfs2: fix non-auto defrag path not working issue (git-fixes).
- commit 9e8659c
* Thu Jun 29 2023 ailiop@suse.com
- ocfs2: fix defrag path triggering jbd2 ASSERT (git-fixes).
- commit 3c403c0
* Thu Jun 29 2023 ailiop@suse.com
- ocfs2: fix freeing uninitialized resource on ocfs2_dlm_shutdown
  (git-fixes).
- commit b453224
* Thu Jun 29 2023 msuchanek@suse.de
- usrmerge: Adjust module path in the kernel sources (bsc#1212835).
  With the module path adjustment applied as source patch only
  ALP/Tumbleweed kernel built on SLE/Leap needs the path changed back to
  non-usrmerged.
- commit dd9a820
* Thu Jun 29 2023 vkarasulli@suse.de
- ipvlan:Fix out-of-bounds caused by unclear skb->cb (bsc#1212842
  CVE-2023-3090).
- commit 7062cce
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/mlx5: Create an indirect flow table for steering anchor (git-fixes)
- commit c069ce3
* Thu Jun 29 2023 mfranc@suse.cz
- signal/s390: Use force_sigsegv in default_trap_handler
  (git-fixes bsc#1212861).
- commit 65a5c57
* Thu Jun 29 2023 mfranc@suse.cz
- blacklist.conf: cleanup commit
- commit 2bf2715
* Thu Jun 29 2023 petr.pavlu@suse.com
- tracing/timer: Add missing hrtimer modes to
  decode_hrtimer_mode() (git-fixes).
- commit ed0442b
* Thu Jun 29 2023 petr.pavlu@suse.com
- writeback: fix dereferencing NULL mapping->host on
  writeback_page_template (git-fixes).
- commit 9837e76
* Thu Jun 29 2023 petr.pavlu@suse.com
- x86/kprobes: Fix arch_check_optimized_kprobe check within
  optimized_kprobe range (git-fixes).
- commit 085878a
* Thu Jun 29 2023 mfranc@suse.cz
- blacklist.conf: gcc warnings for the newer version of the compiler
- commit 1dd8f7f
* Thu Jun 29 2023 fdmanana@suse.com
- btrfs: unset reloc control if transaction commit fails in
  prepare_to_relocate() (bsc#1212051 CVE-2023-3111).
- commit 8d54367
* Thu Jun 29 2023 dwagner@suse.de
- blacklist.conf: add nvme git-fixes
- commit 4c8c2ea
* Thu Jun 29 2023 nmorey@suse.com
- net/mlx5: add IFC bits for bypassing port select flow table (git-fixes)
- commit cbfecbe
* Thu Jun 29 2023 dwagner@suse.de
- nvme-core: fix dev_pm_qos memleak (git-fixes).
- nvme-core: fix memory leak in dhchap_ctrl_secret (git-fixes).
- nvme-core: fix memory leak in dhchap_secret_store (git-fixes).
- nvme: double KA polling frequency to avoid KATO with TBKAS on
  (git-fixes).
- nvme-pci: add quirk for missing secondary temperature thresholds
  (git-fixes).
- commit 52de066
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rxe: Fix rxe_cq_post (git-fixes)
- commit 00af074
* Thu Jun 29 2023 nmorey@suse.com
- IB/isert: Fix incorrect release of isert connection (git-fixes)
- commit e38bdbc
* Thu Jun 29 2023 nmorey@suse.com
- IB/isert: Fix possible list corruption in CMA handler (git-fixes)
- commit 6bacb44
* Thu Jun 29 2023 nmorey@suse.com
- IB/isert: Fix dead lock in ib_isert (git-fixes)
- commit ffd174a
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/mlx5: Fix affinity assignment (git-fixes)
- commit 29d122c
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/mlx5: Don't set tx affinity when lag is in hash mode (git-fixes)
- commit 2b5aac8
* Thu Jun 29 2023 nmorey@suse.com
- IB/uverbs: Fix to consider event queue closing also upon non-blocking mode (git-fixes)
- commit 8f45747
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/uverbs: Restrict usage of privileged QKEYs (git-fixes)
- commit fe78e01
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/cma: Always set static rate to 0 for RoCE (git-fixes)
- commit 361e585
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/mlx5: Initiate dropless RQ for RAW Ethernet functions (git-fixes)
- commit e6d3548
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rxe: Fix the use-before-initialization error of resp_pkts (git-fixes)
- commit 1b7d9cb
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rxe: Fix ref count error in check_rkey() (git-fixes)
- commit 7284531
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rxe: Fix packet length checks (git-fixes)
- commit ca5d9e2
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rtrs: Fix rxe_dealloc_pd warning (git-fixes)
- commit bdd8fdf
* Thu Jun 29 2023 tiwai@suse.de
- wifi: ath9k: convert msecs to jiffies where needed (git-fixes).
- wifi: ath9k: Fix possible stall on ath9k_txq_list_has_key()
  (git-fixes).
- wifi: ath9k: don't allow to overwrite ENDPOINT0 attributes
  (git-fixes).
- wifi: iwlwifi: mvm: indicate HW decrypt for beacon protection
  (git-fixes).
- wifi: cfg80211: rewrite merging of inherited elements
  (git-fixes).
- wifi: iwlwifi: pcie: fix NULL pointer dereference in
  iwl_pcie_irq_rx_msix_handler() (git-fixes).
- wifi: iwlwifi: pull from TXQs with softirqs disabled
  (git-fixes).
- wifi: rsi: Do not set MMC_PM_KEEP_POWER in shutdown (git-fixes).
- wifi: rsi: Do not configure WoWlan in shutdown hook if not
  enabled (git-fixes).
- wifi: atmel: Fix an error handling path in atmel_probe()
  (git-fixes).
- wifi: orinoco: Fix an error handling path in orinoco_cs_probe()
  (git-fixes).
- wifi: orinoco: Fix an error handling path in spectrum_cs_probe()
  (git-fixes).
- wifi: ath9k: avoid referencing uninit memory in
  ath9k_wmi_ctrl_rx (git-fixes).
- wifi: ath9k: fix AR9003 mac hardware hang check register offset
  calculation (git-fixes).
- wifi: mwifiex: Fix the size of a memory allocation in
  mwifiex_ret_802_11_scan() (git-fixes).
- wifi: wilc1000: fix for absent RSN capabilities WFA testcase
  (git-fixes).
- mmc: mmci: Set PROBE_PREFER_ASYNCHRONOUS (git-fixes).
- mtd: rawnand: meson: fix unaligned DMA buffers handling
  (git-fixes).
- Revert "mtd: rawnand: arasan: Prevent an unsupported
  configuration" (git-fixes).
- spi: dw: Round of n_bytes to power of 2 (git-fixes).
- spi: spi-geni-qcom: Correct CS_TOGGLE bit in SPI_TRANS_CFG
  (git-fixes).
- regulator: helper: Document ramp_delay parameter of
  regulator_set_ramp_delay_regmap() (git-fixes).
- regulator: core: Streamline debugfs operations (git-fixes).
- regulator: core: Fix more error checking for
  debugfs_create_dir() (git-fixes).
- pstore/ram: Add check for kstrdup (git-fixes).
- integrity: Fix possible multiple allocation in
  integrity_inode_get() (git-fixes).
- Revert "net: phy: dp83867: perform soft reset and retain
  established link" (git-fixes).
- mmc: sdhci-msm: Disable broken 64-bit DMA on MSM8916
  (git-fixes).
- nilfs2: fix buffer corruption due to concurrent device reads
  (git-fixes).
- soundwire: dmi-quirks: add new mapping for HP Spectre x360
  (git-fixes).
- Input: soc_button_array - add invalid acpi_index DMI quirk
  handling (git-fixes).
- spi: lpspi: disable lpspi module irq in DMA mode (git-fixes).
- media: cec: core: don't set last_initiator if tx in progress
  (git-fixes).
- usb: gadget: udc: fix NULL dereference in remove() (git-fixes).
- nfcsim.c: Fix error checking for debugfs_create_dir (git-fixes).
- HID: wacom: Add error check to wacom_parse_and_register()
  (git-fixes).
- commit b21df60
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rtrs: Fix the last iu->buf leak in err path (git-fixes)
- commit d45f7dc
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rxe: Removed unused name from rxe_task struct (git-fixes)
- commit e3cca5c
* Thu Jun 29 2023 nmorey@suse.com
- RDMA/rxe: Remove the unused variable obj (git-fixes)
- commit 0081865
* Thu Jun 29 2023 tiwai@suse.de
- can: isotp: isotp_sendmsg(): fix return error fix on TX path
  (git-fixes).
- can: kvaser_pciefd: Remove handler for unused
  KVASER_PCIEFD_PACK_TYPE_EFRAME_ACK (git-fixes).
- can: kvaser_pciefd: Remove useless write to interrupt register
  (git-fixes).
- can: length: fix description of the RRS field (git-fixes).
- can: length: fix bitstuffing count (git-fixes).
- can: length: make header self contained (git-fixes).
- elf: correct note name comment (git-fixes).
- drm/amd/display: fix the system hang while disable PSR
  (git-fixes).
- ARM: dts: Fix erroneous ADS touchscreen polarities (git-fixes).
- ASoC: nau8824: Add quirk to active-high jack-detect (git-fixes).
- ASoC: simple-card: Add missing of_node_put() in case of error
  (git-fixes).
- drm/exynos: fix race condition UAF in exynos_g2d_exec_ioctl
  (git-fixes).
- drm/exynos: vidi: fix a wrong error return (git-fixes).
- drm/radeon: fix race condition UAF in
  radeon_gem_set_domain_ioctl (git-fixes).
- arm64: Add missing Set/Way CMO encodings (git-fixes).
- drm/amd/display: Add wrapper to call planes and stream update
  (git-fixes).
- drm/amd/display: Use dc_update_planes_and_stream (git-fixes).
- drm/amd/display: Add minimal pipe split transition state
  (git-fixes).
- commit f746d09
* Thu Jun 29 2023 dwagner@suse.de
- blacklist.conf: add git-fixes for nvme
- commit e4a757c
* Thu Jun 29 2023 petr.pavlu@suse.com
- x86/build: Avoid relocation information in final vmlinux
  (bsc#1187829).
- commit b248c02
* Wed Jun 28 2023 ailiop@suse.com
- gfs2: Don't deref jdesc in evict (bsc#1212265 CVE-2023-3212).
- commit 2228e4a
* Tue Jun 27 2023 tzimmermann@suse.com
- Remove patches.suse/0523-of-Create-platform-devices-for-OF-framebuffers.patch (bsc#1212405)
- commit 6d207a1
* Tue Jun 27 2023 tbogendoerfer@suse.de
- ice: Fix XDP memory leak when NIC is brought up and down
  (git-fixes).
- ice: block LAN in case of VF to VF offload (git-fixes).
- ice: Reset FDIR counter in FDIR init stage (git-fixes).
- ice: fix wrong fallback logic for FDIR (git-fixes).
- ice: fix invalid check for empty list in
  ice_sched_assoc_vsi_to_agg() (git-fixes).
- ice: add profile conflict check for AVF FDIR (git-fixes).
- ice: Fix DSCP PFC TLV creation (git-fixes).
- ice: copy last block omitted in ice_get_module_eeprom()
  (git-fixes).
- ice: switch: fix potential memleak in ice_add_adv_recipe()
  (git-fixes).
- ice: Do not use WQ_MEM_RECLAIM flag for workqueue (git-fixes).
- ice: Prevent set_channel from changing queues while RDMA active
  (git-fixes).
- ice: config netdev tc before setting queues number (git-fixes).
- ice: Fix ice_xdp_xmit() when XDP TX queue number is not
  sufficient (git-fixes).
- ice: Don't double unplug aux on peer initiated reset
  (git-fixes).
- ice: use bitmap_free instead of devm_kfree (git-fixes).
- ice: xsk: use Rx ring's XDP ring when picking NAPI context
  (git-fixes).
- ice: Ignore EEXIST when setting promisc mode (git-fixes).
- ice: handle E822 generic device ID in PLDM header (git-fixes).
- ice: ethtool: Prohibit improper channel config for DCB
  (git-fixes).
- ice: ethtool: advertise 1000M speeds properly (git-fixes).
- ice: Fix memory corruption in VF driver (git-fixes).
- ice, xsk: Diversify return values from xsk_wakeup call paths
  (git-fixes).
- commit 6a47979
* Tue Jun 27 2023 tiwai@suse.de
- thermal/drivers/sun8i: Fix some error handling paths in
  sun8i_ths_probe() (git-fixes).
- PM: domains: fix integer overflow issues in genpd_parse_state()
  (git-fixes).
- clocksource/drivers/cadence-ttc: Fix memory leak in
  ttc_timer_probe (git-fixes).
- irqchip/jcore-aic: Fix missing allocation of IRQ descriptors
  (git-fixes).
- irqchip/clps711x: Remove unused clps711x_intc_init() function
  (git-fixes).
- irqchip/ftintc010: Mark all function static (git-fixes).
- commit bc06af3
* Mon Jun 26 2023 krisman@suse.de
- io_uring: fix size calculation when registering buf ring
  (git-fixes).
- commit 4eadbe9
* Mon Jun 26 2023 msuchanek@suse.de
- kernel-docs: Use python3 together with python3-Sphinx (bsc#1212741).
- commit 95a40a6
* Mon Jun 26 2023 martin.wilck@suse.com
- scsi: core: Improve warning message in scsi_device_block()
  (bsc#1209284).
- scsi: core: Don't wait for quiesce in scsi_device_block()
  (bsc#1209284).
- scsi: core: Don't wait for quiesce in scsi_stop_queue()
  (bsc#1209284).
- scsi: core: Merge scsi_internal_device_block() and
  device_block() (bsc#1209284).
- scsi: sg: Increase number of devices (bsc#1210048).
- scsi: bsg: Increase number of devices (bsc#1210048).
- commit 8f3e780
* Mon Jun 26 2023 vkarasulli@suse.de
- Update references in the patch
  patches.suse/HID-intel_ish-hid-Add-check-for-ishtp_dma_tx_map.patch
  (git-fixes bsc#1212606 CVE-2023-3358).
- commit f3ebbc7
* Mon Jun 26 2023 nik.borisov@suse.com
- x86/mm: Fix use of uninitialized buffer in sme_enable() (git-fixes).
- commit 26e74c2
* Mon Jun 26 2023 nik.borisov@suse.com
- x86/mm: Fix RESERVE_BRK() for older binutils (git-fixes).
- commit e8ab3ef
* Mon Jun 26 2023 nik.borisov@suse.com
- x86/sgx: Mark PCMD page as dirty when modifying contents (git-fixes).
- commit d73721e
* Mon Jun 26 2023 nik.borisov@suse.com
- x86/sgx: Fix race between reclaimer and page fault handler (git-fixes).
- commit 958e41f
* Mon Jun 26 2023 msuchanek@suse.de
- powerpc/set_memory: Avoid spinlock recursion in
  change_page_attr() (bsc#1194869).
- commit c747d4c
* Mon Jun 26 2023 tiwai@suse.de
- i2c: imx-lpi2c: fix type char overflow issue when calculating
  the clock cycle (git-fixes).
- i2c: qup: Add missing unwind goto in qup_i2c_probe()
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG GV601V (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS ROG G634Z (git-fixes).
- ALSA: hda/realtek: Add "Intel Reference board" and "NUC 13"
  SSID in the ALC256 (git-fixes).
- ALSA: hda/realtek: Add quirks for ASUS GU604V and GU603V
  (git-fixes).
- commit 607c980
* Mon Jun 26 2023 msuchanek@suse.de
- powerpc/64s/radix: Fix exit lazy tlb mm switch with irqs enabled
  (bsc#1194869).
- powerpc/iommu: Limit number of TCEs to 512 for H_STUFF_TCE hcall
  (bsc#1194869 bsc#1212701).
- commit 98497f8
* Fri Jun 23 2023 tiwai@suse.de
- ieee802154: hwsim: Fix possible memory leaks (git-fixes).
- mmc: usdhi60rol0: fix deferred probing (git-fixes).
- mmc: sunxi: fix deferred probing (git-fixes).
- mmc: sh_mmcif: fix deferred probing (git-fixes).
- mmc: sdhci-spear: fix deferred probing (git-fixes).
- mmc: sdhci-acpi: fix deferred probing (git-fixes).
- mmc: owl: fix deferred probing (git-fixes).
- mmc: omap_hsmmc: fix deferred probing (git-fixes).
- mmc: omap: fix deferred probing (git-fixes).
- mmc: mvsdio: fix deferred probing (git-fixes).
- mmc: mtk-sd: fix deferred probing (git-fixes).
- mmc: bcm2835: fix deferred probing (git-fixes).
- mmc: meson-gx: remove redundant mmc_request_done() call from
  irq context (git-fixes).
- mmc: mmci: stm32: fix max busy timeout calculation (git-fixes).
- commit a8d1547
* Fri Jun 23 2023 jlee@suse.com
- HID: amd_sfh: Add missing check for dma_alloc_coherent
  (bsc#1212605 CVE-2023-3357).
- commit 1058d70
* Fri Jun 23 2023 jlee@suse.com
- HID: amd_sfh: Add missing check for dma_alloc_coherent
  (bsc#1212605 CVE-2023-3357).
- commit 1aef403
* Fri Jun 23 2023 jlee@suse.com
- Update References tag patches.suse/drm-msm-dpu-Add-check-for-pstates.patch
  (git-fixes 1212556 CVE-2023-3220).
- commit 7faa4b1
* Thu Jun 22 2023 mkoutny@suse.com
- Refresh patches.suse/x86-mm-use-mm_alloc-in-poking_init.patch.
  To fix build that missed mm_alloc definition.
- commit dcd5af4
* Thu Jun 22 2023 tbogendoerfer@suse.de
- net/mlx5: fix missing mutex_unlock in
  mlx5_fw_fatal_reporter_err_work() (jsc#SLE-19253).
- commit f9de2c8
* Thu Jun 22 2023 vbabka@suse.cz
- Refresh
  patches.suse/mm-vmalloc-do-not-output-a-spurious-warning-when-huge-vmalloc-fails.patch.
  Update mainline status and sort the patch.
- commit 9716927
* Thu Jun 22 2023 mfranc@suse.cz
- s390/pkey: zeroize key blobs (git-fixes bsc#1212619).
- commit 859dd00
* Thu Jun 22 2023 nik.borisov@suse.com
- x86/mm: fix poking_init() for Xen PV guests (git-fixes).
- commit 3f14de3
* Thu Jun 22 2023 tiwai@suse.de
- drm/amdgpu: add missing radeon secondary PCI ID (git-fixes).
- commit a15afdd
* Thu Jun 22 2023 tiwai@suse.de
- regulator: pca9450: Fix LDO3OUT and LDO4OUT MASK (git-fixes).
- regmap: spi-avmm: Fix regmap_bus max_raw_write (git-fixes).
- USB: serial: option: add Quectel EM061KGL series (git-fixes).
- drm/amd/display: edp do not add non-edid timings (git-fixes).
- selftests/ptp: Fix timestamp printf format for PTP_SYS_OFFSET
  (git-fixes).
- net: usb: qmi_wwan: add support for Compal RXM-G1 (git-fixes).
- spi: fsl-dspi: avoid SCK glitches with continuous transfers
  (git-fixes).
- nilfs2: fix incomplete buffer cleanup in
  nilfs_btnode_abort_change_key() (git-fixes).
- test_firmware: prevent race conditions by a correct
  implementation of locking (git-fixes).
- ARM: dts: vexpress: add missing cache properties (git-fixes).
- drm:amd:amdgpu: Fix missing buffer object unlock in failure path
  (git-fixes).
- power: supply: Fix logic checking if system is running from
  battery (git-fixes).
- power: supply: Ratelimit no data debug output (git-fixes).
- power: supply: bq27xxx: Use mod_delayed_work() instead of
  cancel() + schedule() (git-fixes).
- power: supply: sc27xx: Fix external_power_changed race
  (git-fixes).
- power: supply: ab8500: Fix external_power_changed race
  (git-fixes).
- ASoC: dwc: move DMA init to snd_soc_dai_driver probe()
  (git-fixes).
- ASoC: soc-pcm: test if a BE can be prepared (git-fixes).
- platform/x86: asus-wmi: Ignore WMI events with codes 0x7B,
  0xC0 (git-fixes).
- regulator: Fix error checking for debugfs_create_dir
  (git-fixes).
- spi: tegra210-quad: Fix iterator outside loop (git-fixes).
- test_firmware: Use kstrtobool() instead of strtobool()
  (git-fixes).
- commit 571f9b4
* Thu Jun 22 2023 krisman@suse.de
- io_uring: clear TIF_NOTIFY_SIGNAL if set and task_work not
  available (git-fixes).
- io_uring: don't gate task_work run on TIF_NOTIFY_SIGNAL
  (git-fixes).
- task_work: Decouple TIF_NOTIFY_SIGNAL and task_work (git-fixes).
- task_work: Introduce task_work_pending (git-fixes).
- commit df895bd
* Wed Jun 21 2023 lduncan@suse.com
- blacklist.conf: add drbd git-fix not needed
  in-kernel drbd driver evidently no used
- commit b2c119a
* Wed Jun 21 2023 lduncan@suse.com
- blacklist.conf: added drbd git-fix
  drbd in kernel no supported/used
- commit d232113
* Wed Jun 21 2023 tbogendoerfer@suse.de
- igb: Fix extts capture value format for 82580/i354/i350
  (git-fixes).
- commit 551cf8d
* Wed Jun 21 2023 mfranc@suse.cz
- s390/dasd: Use correct lock while counting channel queue length
  (git-fixes bsc#1212592).
- commit 3416e6e
* Wed Jun 21 2023 iivanov@suse.de
- blacklist.conf: ("arm64: dts: colibri-imx8x: delete adc1 and dsp")
- commit eb24176
* Wed Jun 21 2023 iivanov@suse.de
- arm64: dts: imx8mn-var-som: fix PHY detection bug by adding deassert (git-fixes)
- commit 9aba35e
* Wed Jun 21 2023 iivanov@suse.de
- arm64: dts: broadcom: bcmbca: bcm4908: fix procmon nodename (git-fixes)
- commit ae23b2f
* Wed Jun 21 2023 iivanov@suse.de
- arm64: dts: broadcom: bcmbca: bcm4908: fix NAND interrupt name (git-fixes)
- commit 5cee83a
* Wed Jun 21 2023 iivanov@suse.de
- arm64: dts: Move BCM4908 dts to bcmbca folder (git-fixes)
- commit bfb5d9b
* Wed Jun 21 2023 mkoutny@suse.com
- cgroup: Use cgroup_attach_{lock,unlock}() from
  cgroup_attach_task_all() (bsc#1212563).
- commit f39cb40
* Wed Jun 21 2023 iivanov@suse.de
- spi: tegra210-quad: Fix combined sequence (bsc#1212584)
- commit 148b744
* Wed Jun 21 2023 iivanov@suse.de
- spi: tegra210-quad: Multi-cs support (bsc#1212584)
- commit 1e10d7b
* Wed Jun 21 2023 nik.borisov@suse.com
- x86/mm: Use mm_alloc() in poking_init() (bsc#1212448).
- commit ae2a42d
* Wed Jun 21 2023 mkoutny@suse.com
- bpf: Fix UAF in task local storage (bsc#1212564).
- commit 26b737d
* Wed Jun 21 2023 mkoutny@suse.com
- cgroup: fix missing cpus_read_{lock,unlock}() in
  cgroup_transfer_tasks() (bsc#1212563).
- commit 2b82ccd
* Wed Jun 21 2023 vbabka@suse.cz
- mm/vmalloc: do not output a spurious warning when huge vmalloc()
  fails (bsc#1211410).
- commit ae4e43c
* Wed Jun 21 2023 mkoutny@suse.com
- cgroup: always put cset in cgroup_css_set_put_fork
  (bsc#1212561).
- commit ae170c0
* Wed Jun 21 2023 vbabka@suse.cz
- mm: vmalloc: avoid warn_alloc noise caused by fatal signal
  (bsc#1211410).
- commit 0352c7c
* Wed Jun 21 2023 jlee@suse.com
- Update References tag
  patches.suse/usb-gadget-udc-renesas_usb3-Fix-use-after-free-bug-i.patch
  (git-fixes bsc#1212513 CVE-2023-35828).
- commit 058d07e
* Wed Jun 21 2023 jlee@suse.com
- Update References tag
  patches.suse/usb-gadget-udc-renesas_usb3-Fix-use-after-free-bug-i.patch
  (git-fixes bsc#1212513 CVE-2023-35828).
- commit 056f2bd
* Wed Jun 21 2023 tiwai@suse.de
- ACPI: sleep: Avoid breaking S3 wakeup due to might_sleep()
  (git-fixes).
- commit 7ecdfc8
* Wed Jun 21 2023 krisman@suse.de
- io_uring: fix return value when removing provided buffers
  (git-fixes).
- commit 87fa3c6
* Tue Jun 20 2023 nik.borisov@suse.com
- x86/mm: Initialize text poking earlier (bsc#1212448).
- Refresh patches.suse/init-provide-arch_cpu_finalize_init.patch.
- Refresh patches.suse/init-remove-check_bugs-leftovers.patch.
- commit fe545d9
* Tue Jun 20 2023 nik.borisov@suse.com
- mm: Move mm_cachep initialization to mm_init() (bsc#1212448).
- commit b8943a6
* Tue Jun 20 2023 nik.borisov@suse.com
- Refresh patches.suse/init-invoke-arch_cpu_finalize_init-earlier.patch.
  Move arch_cpu_finalize_init() to the correct place.
- commit 87f94ba
* Tue Jun 20 2023 ykaukab@suse.de
- x86/mem_encrypt: Unbreak the AMD_MEM_ENCRYPT=n build
  (git-fixes).
- commit 718a891
* Tue Jun 20 2023 mhocko@suse.com
- binfmt_elf: Take the mmap lock when walking the VMA list
  (bsc#1209039 CVE-2023-1249).
- commit bc9a5c4
* Tue Jun 20 2023 lhenriques@suse.de
- ceph: fix use-after-free bug for inodes when flushing capsnaps
  (bsc#1212540).
- commit c22ab50
* Tue Jun 20 2023 iivanov@suse.de
- Enable NXP SNVS RTC driver for i.MX 8MQ/8MP (jsc#PED-4758)
- commit 985593a
* Tue Jun 20 2023 jslaby@suse.cz
- x86/microcode: Print previous version of microcode after reload
  (git-fixes).
- blacklist.conf: remove it
- Refresh
  patches.suse/x86-microcode-add-a-parameter-to-microcode_check-to-store-cpu-capabilities.patch.
- Refresh
  patches.suse/x86-microcode-adjust-late-loading-result-reporting-message.patch.
  Take the blacklisted commit instead of merging it into the second patch.
  Refresh the third one to the upstream version.
- commit b0493cf
* Tue Jun 20 2023 jslaby@suse.cz
- x86/microcode/amd: Remove load_microcode_amd()'s bsp parameter
  (git-fixes).
- blacklist.conf: remove it
- Refresh
  patches.suse/x86-microcode-amd-fix-mixed-steppings-support.patch.
  Take the blacklisted commit instead of merging it into the latter patch.
  This solves a bug in the latter patch backport as the patch now applies
  cleanly and no manual changes are needed.
- commit 7d65f32
* Tue Jun 20 2023 jlee@suse.com
- Update References tag
  patches.suse/media-rkvdec-fix-use-after-free-bug-in-rkvdec_remove.patch
  (git-fixes bsc#1212495 CVE-2023-35829).
- commit 85c0f24
* Tue Jun 20 2023 jlee@suse.com
- Update References tag
  patches.suse/media-rkvdec-fix-use-after-free-bug-in-rkvdec_remove.patch
  (git-fixes bsc#1212495 CVE-2023-35829).
- commit e786422
* Tue Jun 20 2023 jlee@suse.com
- Update References tag
  patches.suse/media-saa7134-fix-use-after-free-bug-in-saa7134_fini.patch
  (git-fixes bsc#1212494 CVE-2023-35823).
- commit 5365d0b
* Mon Jun 19 2023 tonyj@suse.de
- perf/x86/intel/cstate: Add Emerald Rapids (PED-4396).
- commit 16a9e76
* Mon Jun 19 2023 tiwai@suse.de
- Move upstreamed thunderbolt patch into sorted section
- commit 375578f
* Mon Jun 19 2023 tbogendoerfer@suse.de
- Update
  patches.suse/net-sched-flower-fix-possible-OOB-write-in-fl_set_ge.patch
  (CVE-2023-35788 bsc#1212504).
  Added CVE reference.
- commit 48e3971
* Mon Jun 19 2023 tiwai@suse.de
- supported.conf: Move bt878 and bttv modules to kernel-*-extra (jsc#PED-3931)
- commit 9d2272d
* Mon Jun 19 2023 jlee@suse.com
- Update References tag
  patches.suse/media-saa7134-fix-use-after-free-bug-in-saa7134_fini.patch
  (git-fixes bsc#1212494 CVE-2023-35823).
- commit 6056471
* Mon Jun 19 2023 tbogendoerfer@suse.de
- igb: fix nvm.ops.read() error handling (git-fixes).
- igc: Fix possible system crash when loading module (git-fixes).
- igc: Clean the TX buffer and TX descriptor ring (git-fixes).
- iavf: remove mask from iavf_irq_enable_queues() (git-fixes).
- bnxt_en: Implement .set_port / .unset_port UDP tunnel callbacks
  (git-fixes).
- bnxt_en: Skip firmware fatal error recovery if chip is not
  accessible (git-fixes).
- bnxt_en: Query default VLAN before VNIC setup on a VF
  (git-fixes).
- bnxt_en: Don't issue AP reset during ethtool's reset operation
  (git-fixes).
- net: sched: fix possible refcount leak in tc_chain_tmplt_add()
  (git-fixes).
- net/sched: flower: fix possible OOB write in fl_set_geneve_opt()
  (git-fixes).
- tools: bpftool: Remove invalid \' json escape (git-fixes).
- net/net_failover: fix txq exceeding warning (git-fixes).
- net/sched: sch_netem: Fix arithmetic in netem_dump() for 32-bit
  platforms (git-fixes).
- tls: Skip tls_append_frag on zero copy size (git-fixes).
- net/sched: fix initialization order when updating chain 0 head
  (git-fixes).
- commit 357e3aa
* Mon Jun 19 2023 tzimmermann@suse.com
- Update commit 52b1b46c39ae ("of: Create platform devices for OF framebuffers") (bsc#1212405)
  Add missing changes to drivers/of/platform.c.
- commit 630ba4e
* Sun Jun 18 2023 tiwai@suse.de
- staging: octeon: delete my name from TODO contact (git-fixes).
- usb: typec: ucsi: Fix command cancellation (git-fixes).
- USB: dwc3: fix use-after-free on core driver unbind (git-fixes).
- USB: dwc3: qcom: fix NULL-deref on suspend (git-fixes).
- usb: dwc3: gadget: Reset num TRBs before giving back the request
  (git-fixes).
- thunderbolt: dma_test: Use correct value for absent rings when
  creating paths (git-fixes).
- serial: lantiq: add missing interrupt ack (git-fixes).
- commit 07ac6ad
* Sat Jun 17 2023 tiwai@suse.de
- drm/bridge: ti-sn65dsi86: Avoid possible buffer overflow
  (git-fixes).
- drm/amd: Tighten permissions on VBIOS flashing attributes
  (git-fixes).
- drm/amd: Make sure image is written to trigger VBIOS image
  update flow (git-fixes).
- commit 69e13d8
* Sat Jun 17 2023 tiwai@suse.de
- ALSA: usb-audio: Add quirk flag for HEM devices to enable
  native DSD playback (git-fixes).
- ALSA: usb-audio: Fix broken resume due to UAC3 power state
  (git-fixes).
- ALSA: hda/realtek: Add a quirk for Compaq N14JP6 (git-fixes).
- commit f8fff8d
* Sat Jun 17 2023 tiwai@suse.de
- drm/nouveau: add nv_encoder pointer check for NULL (git-fixes).
- drm/nouveau/dp: check for NULL nv_connector->native_mode
  (git-fixes).
- drm/nouveau: don't detect DSM for non-NVIDIA device (git-fixes).
- nouveau: fix client work fence deletion race (git-fixes).
- commit a872fd6
* Fri Jun 16 2023 tiwai@suse.de
- Drop a buggy dvb-core fix patch (bsc#1205758)
  Also the kabi workaround is dropped, too
- commit 655bd4b
* Fri Jun 16 2023 tiwai@suse.de
- blacklist.conf: Purge entries that have been already backported
- commit bdbe0da
* Fri Jun 16 2023 nik.borisov@suse.com
- x86/fpu: Move FPU initialization into arch_cpu_finalize_init() (bsc#1212448).
- commit 072fd20
* Fri Jun 16 2023 nik.borisov@suse.com
- x86/fpu: Mark init functions __init (bsc#1212448).
- commit e8f4a8e
* Fri Jun 16 2023 nik.borisov@suse.com
- x86/fpu: Remove cpuinfo argument from init functions (bsc#1212448).
- commit 73b8e7c
* Fri Jun 16 2023 nik.borisov@suse.com
- x86/init: Initialize signal frame size late (bsc#1212448).
- commit 95c2ee8
* Fri Jun 16 2023 nik.borisov@suse.com
- init, x86: Move mem_encrypt_init() into arch_cpu_finalize_init() (bsc#1212448).
- commit a0f0e12
* Fri Jun 16 2023 nik.borisov@suse.com
- init: Invoke arch_cpu_finalize_init() earlier (bsc#1212448).
- commit 0ae852a
* Fri Jun 16 2023 nik.borisov@suse.com
- init: Remove check_bugs() leftovers (bsc#1212448).
- commit 4db22bb
* Fri Jun 16 2023 nik.borisov@suse.com
- ARM: cpu: Switch to arch_cpu_finalize_init() (bsc#1212448).
- commit fb20d0a
* Fri Jun 16 2023 nik.borisov@suse.com
- x86/cpu: Switch to arch_cpu_finalize_init() (bsc#1212448).
- commit 1d74981
* Fri Jun 16 2023 nik.borisov@suse.com
- init: Provide arch_cpu_finalize_init() (bsc#1212448).
- commit 54c49f5
* Fri Jun 16 2023 tiwai@suse.de
- kABI workaround for cpp_acpi extensions for EPP (bsc#1212445).
- commit 18fbe10
* Fri Jun 16 2023 tiwai@suse.de
- x86/msr: Add AMD CPPC MSR definitions (bsc#1212445).
- Refresh patches.suse/x86-msr-Add-PerfCntrGlobal-registers.patch.
- Refresh
  patches.suse/x86-sev-add-sev-snp-guest-feature-negotiation-support.patch.
- commit 44c00ed
* Fri Jun 16 2023 tiwai@suse.de
- ACPI: CPPC: Add auto select register read/write support
  (bsc#1212445).
- ACPI: CPPC: Add AMD pstate energy performance preference cppc
  control (bsc#1212445).
- commit e98b87c
* Thu Jun 15 2023 iivanov@suse.de
- bpf, arm64: Clear prog->jited_len along prog->jited (git-fixes)
- commit 07346cf
* Thu Jun 15 2023 iivanov@suse.de
- bpf, arm64: Feed byte-offset into bpf line info (git-fixes)
- commit 98e0ea3
* Thu Jun 15 2023 iivanov@suse.de
- bpf, arm64: Call build_prologue() first in first JIT pass (git-fixes)
- commit a8ca534
* Thu Jun 15 2023 iivanov@suse.de
- blacklist.conf: ("mm: defer kmemleak object creation of module_alloc()")
- commit 98eb467
* Thu Jun 15 2023 iivanov@suse.de
- bpf, arm64: Use emit_addr_mov_i64() for BPF_PSEUDO_FUNC (git-fixes)
- commit cab9765
* Thu Jun 15 2023 iivanov@suse.de
- blacklist.conf: ("arm64/bpf: Remove 128MB limit for BPF JIT programs")
- commit a3de279
* Thu Jun 15 2023 msuchanek@suse.de
- kernel-docs: Add buildrequires on python3-base when using python3
  The python3 binary is provided by python3-base.
- commit c5df526
* Thu Jun 15 2023 mfranc@suse.cz
- blacklist.conf: kABI breakage, removed exported symbol
- commit 470424a
* Thu Jun 15 2023 tbogendoerfer@suse.de
- qed/qede: Fix scheduling while atomic (git-fixes).
- igb: fix bit_shift to be in [1..8] range (git-fixes).
- net: hns3: fix reset delay time to avoid configuration timeout
  (git-fixes).
- net: hns3: fix sending pfc frames after reset issue (git-fixes).
- net: hns3: fix output information incomplete for dumping tx
  queue info with debugfs (git-fixes).
- mlxfw: fix null-ptr-deref in mlxfw_mfa2_tlv_next() (git-fixes).
- octeontx2-pf: Recalculate UDP checksum for ptp 1-step sync
  packet (git-fixes).
- octeontx2-pf: Fix the use of GFP_KERNEL in atomic context on rt
  (git-fixes).
- octeontx2-pf: Avoid use of GFP_KERNEL in atomic context
  (git-fixes).
- octeontx2-pf: Fix resource leakage in VF driver unbind
  (git-fixes).
- net: ena: Update NUMA TPH hint register upon NUMA node update
  (git-fixes).
- net: ena: Set default value for RX interrupt moderation
  (git-fixes).
- net: ena: Fix rx_copybreak value update (git-fixes).
- net: ena: Use bitmask to indicate packet redirection
  (git-fixes).
- net: ena: Account for the number of processed bytes in XDP
  (git-fixes).
- net: ena: Don't register memory info on XDP exchange
  (git-fixes).
- net: ena: Fix toeplitz initial hash value (git-fixes).
- net: hns3: add interrupts re-initialization while doing VF FLR
  (git-fixes).
- net: hns3: fix tm port shapping of fibre port is incorrect
  after driver initialization (git-fixes).
- nfp: only report pause frame configuration for physical device
  (git-fixes).
- commit 099bed1
* Thu Jun 15 2023 tiwai@suse.de
- drm/i915/selftests: Add some missing error propagation
  (git-fixes).
- drm/i915: Use 18 fast wake AUX sync len (git-fixes).
- drm/amdgpu: fix xclk freq on CHIP_STONEY (git-fixes).
- drm/amd/pm: Fix power context allocation in SMU13 (git-fixes).
- Bluetooth: Fix use-after-free in hci_remove_ltk/hci_remove_irk
  (git-fixes).
- Input: psmouse - fix OOB access in Elantech protocol
  (git-fixes).
- drm/i915: Explain the magic numbers for AUX SYNC/precharge
  length (git-fixes).
- drm/i915/selftests: Stop using kthread_stop() (git-fixes).
- drm/i915/selftests: Increase timeout for live_parallel_switch
  (git-fixes).
- commit 120ec14
* Wed Jun 14 2023 lduncan@suse.com
- scsi: stex: Fix gcc 13 warnings (git-fixes).
- scsi: core: Decrease scsi_device's iorequest_cnt if dispatch
  failed (git-fixes).
- commit 2be82b5
* Wed Jun 14 2023 iivanov@suse.de
- blacklist.conf: ("KVM: arm64: nvhe: Fix build with profile optimization")
- commit f894646
* Wed Jun 14 2023 iivanov@suse.de
- KVM: arm64: Don't hypercall before EL2 init (git-fixes)
- commit d26dd54
* Wed Jun 14 2023 iivanov@suse.de
- KVM: arm64: vgic: Read HW interrupt pending state from the HW (git-fixes)
- commit 6837f01
* Wed Jun 14 2023 iivanov@suse.de
- KVM: arm64: Save PSTATE early on exit (git-fixes)
- commit d156653
* Wed Jun 14 2023 iivanov@suse.de
- KVM: arm64: Propagate errors from __pkvm_prot_finalize hypercall (git-fixes)
- commit 7097157
* Wed Jun 14 2023 iivanov@suse.de
- ARM: 9295/1: unwind:fix unwind abort for uleb128 case (git-fixes)
- commit d5dcfa2
* Wed Jun 14 2023 oneukum@suse.com
- blacklist.conf: build dependency fix
- commit b9cb9eb
* Wed Jun 14 2023 oneukum@suse.com
- blacklist.conf: specific to Clang
- commit dbb2d18
* Wed Jun 14 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit c8b8dbc
* Wed Jun 14 2023 oneukum@suse.com
- blacklist.conf: irrelevant in our kernel configs
- commit 147680e
* Wed Jun 14 2023 oneukum@suse.com
- blacklist.conf: for compiler we don't use
- commit 5a08370
* Wed Jun 14 2023 petr.pavlu@suse.com
- tracing: Have event format check not flag %%p* on
  __get_dynamic_array() (git-fixes, bsc#1212350).
- blacklist.conf: Remove the commit
- commit e1130da
* Wed Jun 14 2023 petr.pavlu@suse.com
- tracing: Update print fmt check to handle new __get_sockaddr()
  macro (git-fixes, bsc#1212350).
- commit 0b13d9e
* Wed Jun 14 2023 tiwai@suse.de
- blacklist.conf: Drop already backported entry
- commit 21b7697
* Wed Jun 14 2023 tiwai@suse.de
- dt-bindings: i3c: silvaco,i3c-master: fix missing schema
  restriction (git-fixes).
- nilfs2: fix possible out-of-bounds segment allocation in resize
  ioctl (git-fixes).
- commit 9dcda7c
* Tue Jun 13 2023 tbogendoerfer@suse.de
- vhost_vdpa: support PACKED when setting-getting vring_base
  (jsc#PED-1549).
- vduse: avoid empty string for dev name (jsc#PED-1549).
- net/mlx5: Read embedded cpu after init bit cleared
  (jsc#PED-1549).
- net/mlx5e: Fix error handling in mlx5e_refresh_tirs
  (jsc#PED-1549).
- net/mlx5e: Don't attach netdev profile while handling internal
  error (jsc#PED-1549).
- net/mlx5: fw_tracer, Fix event handling (jsc#PED-1549).
- net/mlx5: SF, Drain health before removing device
  (jsc#PED-1549).
- net/mlx5: Devcom, serialize devcom registration (jsc#PED-1549).
- net/mlx5: Devcom, fix error flow in mlx5_devcom_register_device
  (jsc#PED-1549).
- net/mlx5e: Fix SQ wake logic in ptp napi_poll context
  (jsc#PED-1549).
- net/mlx5e: Fix deadlock in tc route query code (jsc#PED-1549).
- net/mlx5: Fix error message when failing to allocate device
  memory (jsc#PED-1549).
- net/mlx5e: Use correct encap attribute during invalidation
  (jsc#PED-1549).
- net/mlx5: DR, Check force-loopback RC QP capability
  independently from RoCE (jsc#PED-1549).
- net/mlx5: DR, Fix crc32 calculation to work on big-endian (BE)
  CPUs (jsc#PED-1549).
- net/mlx5: Handle pairing of E-switch via uplink un/load APIs
  (jsc#PED-1549).
- net/mlx5: Collect command failures data only for known commands
  (jsc#PED-1549).
- net/mlx5e: do as little as possible in napi poll when budget
  is 0 (jsc#PED-1549).
- ice: Fix ice VF reset during iavf initialization (jsc#PED-376).
- ice: block LAN in case of VF to VF offload (jsc#PED-376).
- vhost_vdpa: fix unmap process in no-batch mode (jsc#PED-1549).
- net/mlx5e: Nullify table pointer when failing to create
  (jsc#PED-1549).
- net/mlx5: E-switch, Don't destroy indirect table in split rule
  (jsc#PED-1549).
- net/mlx5: E-switch, Create per vport table based on devlink
  encap mode (jsc#PED-1549).
- net/mlx5e: Don't clone flow post action attributes second time
  (jsc#PED-1549).
- ice: Reset FDIR counter in FDIR init stage (jsc#PED-376).
- ice: fix wrong fallback logic for FDIR (jsc#PED-376).
- ice: fix invalid check for empty list in
  ice_sched_assoc_vsi_to_agg() (jsc#PED-376).
- ice: add profile conflict check for AVF FDIR (jsc#PED-376).
- ice: Fix ice_cfg_rdma_fltr() to only update relevant fields
  (jsc#PED-376).
- net/mlx5: E-Switch, Fix an Oops in error handling code
  (jsc#PED-1549).
- net/mlx5: Read the TC mapping of all priorities on ETS query
  (jsc#PED-1549).
- net/mlx5e: Overcome slow response for first macsec ASO WQE
  (jsc#PED-1549).
- net/mlx5e: Initialize link speed to zero (jsc#PED-1549).
- net/mlx5: Fix steering rules cleanup (jsc#PED-1549).
- net/mlx5e: Block entering switchdev mode with ns inconsistency
  (jsc#PED-1549).
- net/mlx5e: Set uplink rep as NETNS_LOCAL (jsc#PED-1549).
- ice: check if VF exists before mode check (jsc#PED-376).
- net/mlx5: Set BREAK_FW_WAIT flag first when removing driver
  (jsc#PED-1549).
- net/mlx5e: Fix cleanup null-ptr deref on encap lock
  (jsc#PED-1549).
- net/mlx5: E-switch, Fix missing set of split_count when forward
  to ovs internal port (jsc#PED-1549).
- net/mlx5: E-switch, Fix wrong usage of source port rewrite in
  split rules (jsc#PED-1549).
- net/mlx5: Disable eswitch before waiting for VF pages
  (jsc#PED-1549).
- net/mlx5: Fix setting ec_function bit in MANAGE_PAGES
  (jsc#PED-1549).
- net/mlx5e: Don't cache tunnel offloads capability
  (jsc#PED-1549).
- net/mlx5e: Fix macsec ASO context alignment (jsc#PED-1549).
- ice: xsk: disable txq irq before flushing hw (jsc#PED-376).
- vhost-vdpa: free iommu domain after last use during cleanup
  (jsc#PED-1549).
- vdpa/mlx5: should not activate virtq object when suspended
  (jsc#PED-1549).
- ice: Fix DSCP PFC TLV creation (jsc#PED-376).
- ice: copy last block omitted in ice_get_module_eeprom()
  (jsc#PED-376).
- net/mlx5: Geneve, Fix handling of Geneve object id as error code
  (jsc#PED-1549).
- net/mlx5e: Verify flow_source cap before using it
  (jsc#PED-1549).
- net/mlx5: ECPF, wait for VF pages only after disabling host PFs
  (jsc#PED-1549).
- mlx5: fix possible ptp queue fifo use-after-free (jsc#PED-1549).
- mlx5: fix skb leak while fifo resync and push (jsc#PED-1549).
- vdpa/mlx5: Initialize CVQ iotlb spinlock (jsc#PED-1549).
- vdpa/mlx5: Don't clear mr struct on destroy MR (jsc#PED-1549).
- vdpa/mlx5: Directly assign memory key (jsc#PED-1549).
- net/mlx5: Enhance debug print in page allocation failure
  (jsc#PED-1549).
- ice: fix lost multicast packets in promisc mode (jsc#PED-376).
- net/mlx5: Serialize module cleanup with reload and remove
  (jsc#PED-1549).
- net/mlx5: fw_tracer, Zero consumer index when reloading the
  tracer (jsc#PED-1549).
- net/mlx5: fw_tracer, Clear load bit when freeing string DBs
  buffers (jsc#PED-1549).
- net/mlx5: Expose SF firmware pages counter (jsc#PED-1549).
- net/mlx5: Store page counters in a single array (jsc#PED-1549).
- net/mlx5e: IPoIB, Show unknown speed instead of error
  (jsc#PED-1549).
- net/mlx5e: Fix crash unsetting rx-vlan-filter in switchdev mode
  (jsc#PED-1549).
- net/mlx5: Bridge, fix ageing of peer FDB entries (jsc#PED-1549).
- net/mlx5e: Update rx ring hw mtu upon each rx-fcs flag change
  (jsc#PED-1549).
- ice: switch: fix potential memleak in ice_add_adv_recipe()
  (jsc#PED-376).
- ice: Do not use WQ_MEM_RECLAIM flag for workqueue (jsc#PED-376).
- ice: Prevent set_channel from changing queues while RDMA active
  (jsc#PED-376).
- net: mlx5: eliminate anonymous module_init & module_exit
  (jsc#PED-1549).
- net/mlx5: E-switch, Fix switchdev mode after devlink reload
  (jsc#PED-1549).
- net/mlx5e: Set decap action based on attr for sample
  (jsc#PED-1549).
- net/mlx5e: QoS, Fix wrongfully setting parent_element_id on
  MODIFY_SCHEDULING_ELEMENT (jsc#PED-1549).
- net/mlx5: E-switch, Fix setting of reserved fields on
  MODIFY_SCHEDULING_ELEMENT (jsc#PED-1549).
- net/mlx5e: Remove redundant xsk pointer check in
  mlx5e_mpwrq_validate_xsk (jsc#PED-1549).
- net/mlx5e: Avoid false lock dependency warning on tc_ht even
  more (jsc#PED-1549).
- net/mlx5e: Fix macsec possible null dereference when updating
  MAC security entity (SecY) (jsc#PED-1549).
- net/mlx5e: Fix macsec ssci attribute handling in offload path
  (jsc#PED-1549).
- net/mlx5e: Don't support encap rules with gbp option
  (jsc#PED-1549).
- net/mlx5: Fix ptp max frequency adjustment range (jsc#PED-1549).
- net/mlx5e: IPoIB, Fix child PKEY interface stats on rx path
  (jsc#PED-1549).
- net/mlx5e: IPoIB, Block PKEY interfaces with less rx queues
  than parent (jsc#PED-1549).
- net/mlx5e: IPoIB, Block queue count configuration when sub
  interfaces are present (jsc#PED-1549).
- net/mlx5e: Verify dev is present for fix features ndo
  (jsc#PED-1549).
- net/mlx5: Fix command stats access after free (jsc#PED-1549).
- net/mlx5e: TC, Keep mod hdr actions after mod hdr alloc
  (jsc#PED-1549).
- net/mlx5: check attr pointer validity before dereferencing it
  (jsc#PED-1549).
- net/mlx5: Lag, fix failure to cancel delayed bond work
  (jsc#PED-1549).
- net/mlx5e: Set geneve_tlv_option_0_exist when matching on
  geneve option (jsc#PED-1549).
- net/mlx5e: Fix hw mtu initializing at XDP SQ allocation
  (jsc#PED-1549).
- net/mlx5e: Always clear dest encap in neigh-update-del
  (jsc#PED-1549).
- net/mlx5e: CT: Fix ct debugfs folder name (jsc#PED-1549).
- net/mlx5e: Fix RX reporter for XSK RQs (jsc#PED-1549).
- net/mlx5e: IPoIB, Don't allow CQE compression to be turned on
  by default (jsc#PED-1549).
- net/mlx5: Fix RoCE setting at HCA level (jsc#PED-1549).
- net/mlx5: Avoid recovery in probe flows (jsc#PED-1549
  bsc#1211794).
- net/mlx5: Fix io_eq_size and event_eq_size params validation
  (jsc#PED-1549).
- net/mlx5: Add forgotten cleanup calls into mlx5_init_once()
  error path (jsc#PED-1549).
- net/mlx5: E-Switch, properly handle ingress tagged packets on
  VST (jsc#PED-1549).
- vdpa: conditionally fill max max queue pair for stats
  (jsc#PED-1549).
- vhost_vdpa: fix the crash in unmap a large memory
  (jsc#PED-1549).
- vhost-vdpa: fix an iotlb memory leak (jsc#PED-1549).
- vdpa/mlx5: Fix wrong mac address deletion (jsc#PED-1549).
- vdpa/mlx5: Fix rule forwarding VLAN to TIR (jsc#PED-1549).
- vDPA: check virtio device features to detect MQ (jsc#PED-1549).
- vDPA: check VIRTIO_NET_F_RSS for max_virtqueue_paris's presence
  (jsc#PED-1549).
- vduse: prevent uninitialized memory accesses (jsc#PED-1549).
- vdpa/ifcvf: fix the calculation of queuepair (jsc#PED-1549).
- vDPA: fix 'cast to restricted le16' warnings in vdpa.c
  (jsc#PED-1549).
- vduse: Fix NULL pointer dereference on sysfs access
  (jsc#PED-1549).
- vdpa: Fix error logic in vdpa_nl_cmd_dev_get_doit
  (jsc#PED-1549).
- vduse: Fix returning wrong type in vduse_domain_alloc_iova()
  (jsc#PED-1549).
- vdpa: Use BIT_ULL for bit operations (jsc#PED-1549).
- vduse: check that offset is within bounds in get_config()
  (jsc#PED-1549).
- vduse: fix memory corruption in vduse_dev_ioctl()
  (jsc#PED-1549).
- commit d943688
* Tue Jun 13 2023 tbogendoerfer@suse.de
- vhost_vdpa: support PACKED when setting-getting vring_base
  (jsc#SLE-19253).
- net/mlx5: Read embedded cpu after init bit cleared
  (jsc#SLE-19253).
- net/mlx5e: Fix error handling in mlx5e_refresh_tirs
  (jsc#SLE-19253).
- net/mlx5e: Don't attach netdev profile while handling internal
  error (jsc#SLE-19253).
- net/mlx5: fw_tracer, Fix event handling (jsc#SLE-19253).
- net/mlx5: SF, Drain health before removing device
  (jsc#SLE-19253).
- net/mlx5: Devcom, fix error flow in mlx5_devcom_register_device
  (jsc#SLE-19253).
- net/mlx5e: Fix SQ wake logic in ptp napi_poll context
  (jsc#SLE-19253).
- net/mlx5: Fix error message when failing to allocate device
  memory (jsc#SLE-19253).
- net/mlx5: DR, Check force-loopback RC QP capability
  independently from RoCE (jsc#SLE-19253).
- net/mlx5: DR, Fix crc32 calculation to work on big-endian (BE)
  CPUs (jsc#SLE-19253).
- net/mlx5e: do as little as possible in napi poll when budget
  is 0 (jsc#SLE-19253).
- net/mlx5: E-switch, Don't destroy indirect table in split rule
  (jsc#SLE-19253).
- net/mlx5: E-switch, Create per vport table based on devlink
  encap mode (jsc#SLE-19253).
- net/mlx5: E-Switch, Fix an Oops in error handling code
  (jsc#SLE-19253).
- net/mlx5: Read the TC mapping of all priorities on ETS query
  (jsc#SLE-19253).
- net/mlx5: Fix steering rules cleanup (jsc#SLE-19253).
- net/mlx5e: Block entering switchdev mode with ns inconsistency
  (jsc#SLE-19253).
- net/mlx5e: Set uplink rep as NETNS_LOCAL (jsc#SLE-19253).
- net/mlx5: E-switch, Fix missing set of split_count when forward
  to ovs internal port (jsc#SLE-19253).
- net/mlx5: Geneve, Fix handling of Geneve object id as error code
  (jsc#SLE-19253).
- net/mlx5e: Verify flow_source cap before using it
  (jsc#SLE-19253).
- vdpa/mlx5: Don't clear mr struct on destroy MR (jsc#SLE-19253).
- vdpa/mlx5: Directly assign memory key (jsc#SLE-19253).
- net/mlx5: Enhance debug print in page allocation failure
  (jsc#SLE-19253).
- net/mlx5: Serialize module cleanup with reload and remove
  (jsc#SLE-19253).
- net/mlx5: fw_tracer, Zero consumer index when reloading the
  tracer (jsc#SLE-19253).
- net/mlx5: fw_tracer, Clear load bit when freeing string DBs
  buffers (jsc#SLE-19253).
- net/mlx5e: IPoIB, Show unknown speed instead of error
  (jsc#SLE-19253).
- net/mlx5: Bridge, fix ageing of peer FDB entries
  (jsc#SLE-19253).
- net/mlx5e: Update rx ring hw mtu upon each rx-fcs flag change
  (jsc#SLE-19253).
- net: mlx5: eliminate anonymous module_init & module_exit
  (jsc#SLE-19253).
- net/mlx5e: QoS, Fix wrongfully setting parent_element_id on
  MODIFY_SCHEDULING_ELEMENT (jsc#SLE-19253).
- net/mlx5: E-switch, Fix setting of reserved fields on
  MODIFY_SCHEDULING_ELEMENT (jsc#SLE-19253).
- net/mlx5e: Avoid false lock dependency warning on tc_ht even
  more (jsc#SLE-19253).
- net/mlx5e: Don't support encap rules with gbp option
  (jsc#SLE-19253).
- net/mlx5: Fix ptp max frequency adjustment range
  (jsc#SLE-19253).
- net/mlx5: check attr pointer validity before dereferencing it
  (jsc#SLE-19253).
- net/mlx5e: Fix hw mtu initializing at XDP SQ allocation
  (jsc#SLE-19253).
- net/mlx5e: Always clear dest encap in neigh-update-del
  (jsc#SLE-19253).
- net/mlx5e: IPoIB, Don't allow CQE compression to be turned on
  by default (jsc#SLE-19253).
- net/mlx5: Fix RoCE setting at HCA level (jsc#SLE-19253).
- net/mlx5: Avoid recovery in probe flows (jsc#SLE-19253).
- net/mlx5: Add forgotten cleanup calls into mlx5_init_once()
  error path (jsc#SLE-19253).
- net/mlx5: E-Switch, properly handle ingress tagged packets on
  VST (jsc#SLE-19253).
- net/mlx5e: Fix use-after-free when reverting termination table
  (jsc#SLE-19253).
- net/mlx5: Fix uninitialized variable bug in outlen_write()
  (jsc#SLE-19253).
- net/mlx5: Fix handling of entry refcount when command is not
  issued to FW (jsc#SLE-19253).
- net/mlx5: SF: Fix probing active SFs during driver probe phase
  (jsc#SLE-19253).
- net/mlx5: Fix FW tracer timestamp calculation (jsc#SLE-19253).
- net/mlx5e: E-Switch, Fix comparing termination table instance
  (jsc#SLE-19253).
- net/mlx5: Allow async trigger completion execution on single
  CPU systems (jsc#SLE-19253).
- net/mlx5: Bridge, verify LAG state when adding bond to bridge
  (jsc#SLE-19253).
- net/mlx5: Fix crash during sync firmware reset (jsc#SLE-19253).
- net/mlx5: Fix possible use-after-free in async command interface
  (jsc#SLE-19253).
- net/mlx5e: Extend SKB room check to include PTP-SQ
  (jsc#SLE-19253).
- net/mlx5: Wait for firmware to enable CRS before
  pci_restore_state (jsc#SLE-19253).
- net/mlx5e: Do not increment ESN when updating IPsec ESN state
  (jsc#SLE-19253).
- RDMA/mlx5: Rely on RoCE fw cap instead of devlink when setting
  profile (jsc#SLE-19253).
- net/mlx5e: Fix wrong tc flag used when set hw-tc-offload off
  (jsc#SLE-19253).
- net/mlx5e: Fix wrong application of the LRO state
  (jsc#SLE-19253).
- net/mlx5: Avoid false positive lockdep warning by adding
  lock_class_key (jsc#SLE-19253).
- mlx5: do not use RT_TOS for IPv6 flowlabel (jsc#SLE-19253).
- net/mlx5e: Modify slow path rules to go to slow fdb
  (jsc#SLE-19253).
- net/mlx5e: Fix the value of MLX5E_MAX_RQ_NUM_MTTS
  (jsc#SLE-19253).
- net/mlx5e: Fix capability check for updating vnic env counters
  (jsc#SLE-19253).
- net/mlx5e: kTLS, Fix build time constant test in RX
  (jsc#SLE-19253).
- net/mlx5e: kTLS, Fix build time constant test in TX
  (jsc#SLE-19253).
- net/mlx5: fs, fail conflicting actions (jsc#SLE-19253).
- net/mlx5: Rearm the FW tracer after each tracer event
  (jsc#SLE-19253).
- vdpa: Fix error logic in vdpa_nl_cmd_dev_get_doit
  (jsc#SLE-19253).
- net/mlx5: correct ECE offset in query qp output (jsc#SLE-19253).
- net/mlx5: Don't use already freed action pointer
  (jsc#SLE-19253).
- net/mlx5: Allow future addition of IPsec object modifiers
  (jsc#SLE-19253).
- net/mlx5: Don't advertise IPsec netdev support for non-IPsec
  device (jsc#SLE-19253).
- net/mlx5: Initialize flow steering during driver probe
  (jsc#SLE-19253).
- net/mlx5: DR, Fix missing flow_source when creating
  multi-destination FW table (jsc#SLE-19253).
- net/mlx5e: TC, Fix ct_clear overwriting ct action metadata
  (jsc#SLE-19253).
- net/mlx5e: Fix MPLSoUDP encap to use MPLS action information
  (jsc#SLE-19253).
- vdpa/mlx5: Fix wrong configuration of virtio_version_1_0
  (jsc#SLE-19253).
- ifcvf/vDPA: fix misuse virtio-net device config size for blk
  dev (jsc#SLE-19253).
- commit 5fae4a0
* Tue Jun 13 2023 lduncan@suse.com
- blacklist.conf: add git-fix that breaks kabi
- commit 2df77d4
* Tue Jun 13 2023 colyli@suse.de
- device-dax: Fix duplicate 'hmem' device registration
  (bsc#1211400).
- commit fe68506
* Tue Jun 13 2023 mfranc@suse.cz
- blacklist.conf: cleanup, dead reference won't break anything
- commit ea07443
* Tue Jun 13 2023 mfranc@suse.cz
- blacklist.conf: cleanup, dead reference won't break anything
- commit ba4ce58
* Tue Jun 13 2023 mfranc@suse.cz
- s390/vfio-ap: fix an error handling path in
  vfio_ap_mdev_probe_queue() (git-fixes).
- commit f457cb6
* Tue Jun 13 2023 mfranc@suse.cz
- s390/ap: fix memory leak in ap_init_qci_info() (git-fixes).
- commit afafbd3
* Tue Jun 13 2023 msuchanek@suse.de
- Remove orphaned CONFIG_PRINTK_SAFE_LOG_BUF_SHIFT (bsc#1189998
  git-fixes).
- commit 7e152d5
* Tue Jun 13 2023 msuchanek@suse.de
- blacklist.conf: Add more powerpc unsupported platform paths
- commit c3b3c8e
* Tue Jun 13 2023 msuchanek@suse.de
- powerpc/purgatory: remove PGO flags (bsc#1194869).
- commit 9bba037
* Tue Jun 13 2023 oneukum@suse.com
- blacklist.conf: cleanup, not a fix
- commit ae23f77
* Tue Jun 13 2023 oneukum@suse.com
- blacklist.conf: cleanup, not a fix
- commit 0b74b98
* Tue Jun 13 2023 oneukum@suse.com
- blacklist.conf: build only
- commit 2de0332
* Tue Jun 13 2023 oneukum@suse.com
- usb: cdns3: fix NCM gadget RX speed 20x slow than expection
  at iMX8QM (git-fixes).
- commit c52eada
* Tue Jun 13 2023 oneukum@suse.com
- blacklist.conf: feature, not a fix
- commit 44f5d9b
* Tue Jun 13 2023 oneukum@suse.com
- blacklist.conf: optimization, not a fix
- commit 02f5051
* Tue Jun 13 2023 petr.pavlu@suse.com
- bpf: Add extra path pointer check to d_path helper (git-fixes).
- commit ddb86f8
* Tue Jun 13 2023 petr.pavlu@suse.com
- tracing/probe: trace_probe_primary_from_call(): checked
  list_first_entry (git-fixes).
- commit 150f29b
* Tue Jun 13 2023 petr.pavlu@suse.com
- tracing/histograms: Allow variables to have some modifiers
  (git-fixes).
- commit 70e4f92
* Tue Jun 13 2023 petr.pavlu@suse.com
- rcu: Fix missing TICK_DEP_MASK_RCU_EXP dependency check
  (git-fixes).
- commit 192a450
* Tue Jun 13 2023 jlee@suse.com
- Update References tag patches.suse/Bluetooth-HCI-Fix-global-out-of-bounds.patch
  (git-fixes bsc#1209780 CVE-2023-28866).
- commit c39b9fc
* Mon Jun 12 2023 osalvador@suse.de
- Rename colliding patches before merging SLE15-SP4
- commit 4c05fe2
* Mon Jun 12 2023 petr.pavlu@suse.com
- x86/kprobes: Fix __recover_optprobed_insn check optimizing logic
  (git-fixes).
- commit c98a23e
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobes: Fix to handle forcibly unoptimized kprobes on
  freeing_list (git-fixes).
- commit 86488b1
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobes: Fix check for probe enabled in kill_kprobe()
  (git-fixes).
- commit 296ebb2
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobes: Skip clearing aggrprobe's post_handler in
  kprobe-on-ftrace case (git-fixes).
- commit 998483a
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobe: reverse kp->flags when arm_kprobe failed (git-fixes).
- commit 5a80a04
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobes: Prohibit probes in gate area (git-fixes).
- commit b68c831
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobes: don't call disarm_kprobe() for disabled kprobes
  (git-fixes).
- commit 8dd6622
* Mon Jun 12 2023 petr.pavlu@suse.com
- kprobes: Forbid probing on trampoline and BPF code areas
  (git-fixes).
- commit 3b3e3e9
* Mon Jun 12 2023 tbogendoerfer@suse.de
- bnxt_en: Prevent kernel panic when receiving unexpected
  PHC_UPDATE event (git-fixes).
- docs/memory-barriers.txt: Add a missed closing parenthesis
  (git-fixes).
- Documentation: devlink: add add devlink-selftests to the table
  of contents (git-fixes).
- Documentation: devlink: mlx5.rst: Fix htmldoc build warning
  (git-fixes).
- commit 649adb1
* Mon Jun 12 2023 petr.pavlu@suse.com
- SUNRPC: Clean up svc_deferred_class trace events (git-fixes).
- commit a8e7886
* Mon Jun 12 2023 petr.pavlu@suse.com
- tracing: Introduce helpers to safely handle dynamic-sized
  sockaddrs (git-fixes).
- commit eabd7b4
* Sun Jun 11 2023 tiwai@suse.de
- eeprom: at24: also select REGMAP (git-fixes).
- i2c: sprd: Delete i2c adapter in .remove's error path
  (git-fixes).
- i2c: mv64xxx: Fix reading invalid status value in atomic mode
  (git-fixes).
- arm64: dts: imx8mn-beacon: Fix SPI CS pinmux (git-fixes).
- arm64: dts: imx8-ss-dma: assign default clock rate for lpuarts
  (git-fixes).
- arm64: dts: imx8qm-mek: correct GPIOs for USDHC2 CD and WP
  signals (git-fixes).
- firmware: arm_ffa: Set handle field to zero in memory descriptor
  (git-fixes).
- arm64: dts: qcom: sc7180-lite: Fix SDRAM freq for misidentified
  sc7180-lite boards (git-fixes).
- commit 031042b
* Sat Jun 10 2023 ailiop@suse.com
- hfs/hfsplus: avoid WARN_ON() for sanity check, use proper
  error handling (git-fixes).
- commit 5599965
* Sat Jun 10 2023 ailiop@suse.com
- revert "squashfs: harden sanity check in
  squashfs_read_xattr_id_table" (git-fixes).
- commit fd69a9c
* Sat Jun 10 2023 tiwai@suse.de
- drm/amdgpu/gfx10: Disable gfxoff before disabling powergating
  (git-fixes).
- ACPI: resource: Add IRQ override quirk for LG UltraPC 17U70P
  (git-fixes).
- commit 74cc1a9
* Sat Jun 10 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Clevo NS50AU (git-fixes).
- ALSA: hda/realtek: Add quirks for Asus ROG 2024 laptops using
  CS35L41 (git-fixes).
- ALSA: hda/realtek: Add Lenovo P3 Tower platform (git-fixes).
- ALSA: hda/realtek: Add a quirk for HP Slim Desktop S01
  (git-fixes).
- commit 74a4806
* Sat Jun 10 2023 tiwai@suse.de
- ALSA: hda: Glenfly: add HD Audio PCI IDs and HDMI Codec Vendor
  IDs (git-fixes).
- Refresh
  patches.suse/ALSA-hda-Add-NVIDIA-codec-IDs-a3-through-a7-to-patch.patch.
- commit 588740e
* Sat Jun 10 2023 tiwai@suse.de
- pinctrl: meson-axg: add missing GPIOA_18 gpio group (git-fixes).
- ALSA: hda/realtek: Enable 4 amplifiers instead of 2 on a HP
  platform (git-fixes).
- ASoC: codecs: wsa881x: do not set can_multi_write flag
  (git-fixes).
- test_firmware: fix the memory leak of the allocated firmware
  buffer (git-fixes).
- drm/amd/pm: reverse mclk and fclk clocks levels for renoir
  (git-fixes).
- drm/amd/pm: reverse mclk and fclk clocks levels for vangogh
  (git-fixes).
- drm/amd/pm: reverse mclk and fclk clocks levels for yellow carp
  (git-fixes).
- fbcon: Fix null-ptr-deref in soft_cursor (git-fixes).
- mailbox: mailbox-test: fix a locking issue in
  mbox_test_message_write() (git-fixes).
- HID: google: add jewel USB id (git-fixes).
- regmap: Account for register length when chunking (git-fixes).
- dmaengine: pl330: rename _start to prevent build error
  (git-fixes).
- dmaengine: at_xdmac: fix potential Oops in
  at_xdmac_prep_interleaved() (git-fixes).
- drm/amdgpu: skip disabling fence driver src_irqs when device
  is unplugged (git-fixes).
- drm/msm: Be more shouty if per-process pgtables aren't working
  (git-fixes).
- ALSA: oss: avoid missing-prototype warnings (git-fixes).
- ASoC: ssm2602: Add workaround for playback distortions
  (git-fixes).
- ASoC: dwc: limit the number of overrun messages (git-fixes).
- wifi: b43: fix incorrect __packed annotation (git-fixes).
- wifi: mac80211: simplify chanctx allocation (git-fixes).
- wifi: rtl8xxxu: fix authentication timeout due to incorrect
  RCR value (git-fixes).
- media: mn88443x: fix !CONFIG_OF error by drop of_match_ptr
  from ID table (git-fixes).
- media: dvb_ca_en50221: fix a size write bug (git-fixes).
- media: netup_unidvb: fix irq init by register it at the end
  of probe (git-fixes).
- media: dvb-usb: dw2102: fix uninit-value in
  su3000_read_mac_address (git-fixes).
- media: dvb-usb: digitv: fix null-ptr-deref in digitv_i2c_xfer()
  (git-fixes).
- media: dvb-usb-v2: rtl28xxu: fix null-ptr-deref in
  rtl28xxu_i2c_xfer (git-fixes).
- media: dvb-usb-v2: ce6230: fix null-ptr-deref in
  ce6230_i2c_master_xfer() (git-fixes).
- media: dvb-usb-v2: ec168: fix null-ptr-deref in ec168_i2c_xfer()
  (git-fixes).
- media: dvb-usb: az6027: fix three null-ptr-deref in
  az6027_i2c_xfer() (git-fixes).
- media: dvb_demux: fix a bug for the continuity counter
  (git-fixes).
- fbdev: stifb: Fix info entry in sti_struct on error path
  (git-fixes).
- fbdev: modedb: Add 1920x1080 at 60 Hz video mode (git-fixes).
- fbdev: imsttfb: Fix use after free bug in imsttfb_probe
  (git-fixes bsc#1211387).
- drm/ast: Fix ARM compatibility (git-fixes).
- platform/x86: intel_scu_pcidrv: Add back PCI ID for Medfield
  (git-fixes).
- mailbox: mailbox-test: Fix potential double-free in
  mbox_test_message_write() (git-fixes).
- drm/amdgpu: Use the default reset when loading or reloading
  the driver (git-fixes).
- drm/amdgpu: release gpu full access after
  "amdgpu_device_ip_late_init" (git-fixes).
- watchdog: menz069_wdt: fix watchdog initialisation (git-fixes).
- tpm, tpm_tis: Request threaded interrupt handler (git-fixes).
- dmaengine: at_xdmac: Move the free desc to the tail of the
  desc list (git-fixes).
- ath6kl: Use struct_group() to avoid size-mismatched casting
  (git-fixes).
- commit 0cb0fbe
* Fri Jun  9 2023 iivanov@suse.de
- arm64: Add a capability for FEAT_ECV (jsc#PED-4729)
  Use cpu_hwcaps PLACEHOLDER_4 for HAS_ECV.
- commit 77ce7b5
* Fri Jun  9 2023 iivanov@suse.de
- arm64: Add CNT{P,V}CTSS_EL0 alternatives to cnt{p,v}ct_el0 (jsc#PED-4729)
- commit ed9cdec
* Fri Jun  9 2023 iivanov@suse.de
- arm64: vdso: Fix "no previous prototype" warning (jsc#PED-4729)
- commit 33cc60c
* Fri Jun  9 2023 iivanov@suse.de
- arm64: vdso: use SYS_CNTVCTSS_EL0 for gettimeofday (jsc#PED-4729)
- commit c246916
* Fri Jun  9 2023 iivanov@suse.de
- arm64: alternative: patch alternatives in the vDSO (jsc#PED-4729)
- commit 51dd2a2
* Fri Jun  9 2023 iivanov@suse.de
- arm64: module: move find_section to header (jsc#PED-4729)
- commit 64f6862
* Fri Jun  9 2023 tiwai@suse.de
- Update patch reference for fbcon fix (CVE-2023-3161 bsc#1212154)
- commit dd50606
* Fri Jun  9 2023 msuchanek@suse.de
- Move setting %%%%build_html to config.sh
- commit dd39da3
* Fri Jun  9 2023 iivanov@suse.de
- Update patches.suse/arm64-efi-Execute-runtime-services-from-a-dedicated-.patch (git-fixes bsc#1212155 CVE-2023-21102)
- commit 15cbf6b
* Fri Jun  9 2023 iivanov@suse.de
- Update patches.suse/efi-rt-wrapper-Add-missing-include.patch (git-fixes bsc#1212155 CVE-2023-21102)
- commit d2f0708
* Fri Jun  9 2023 tiwai@suse.de
- Update patch reference for memstick fix (CVE-2023-3141 bsc#1212129 bsc#1211449)
- commit 089d7db
* Fri Jun  9 2023 msuchanek@suse.de
- Fix missing top level chapter numbers on SLE12 SP5 (bsc#1212158).
- commit 7ebcbd5
* Fri Jun  9 2023 tbogendoerfer@suse.de
- devlink: hold region lock when flushing snapshots (git-fixes).
- xsk: Fix corrupted packets for XDP_SHARED_UMEM (git-fixes).
- net: devlink: Fix missing mutex_unlock() call (git-fixes).
- commit 59c3cb8
* Fri Jun  9 2023 jslaby@suse.cz
- Refresh
  patches.suse/0042-block-mq-deadline-Fix-dd_finish_request-for-zoned-devices.patch.
  Remove also per_prio from dd_finish_request(). There are no more users
  in 5.4. Silences the compiler warning:
  block/mq-deadline.c:830:22: error: unused variable ‘per_prio’
- commit ed6b28b
* Fri Jun  9 2023 tiwai@suse.de
- drm/amdgpu: fix Null pointer dereference error in
  amdgpu_device_recover_vram (git-fixes).
- Bluetooth: ISO: don't try to remove CIG if there are bound
  CIS left (git-fixes).
- commit 1a13c67
* Fri Jun  9 2023 tiwai@suse.de
- drm/msm: Set max segment size earlier (git-fixes).
- drm/i915/gt: Use the correct error value when kernel_context()
  fails (git-fixes).
- batman-adv: Broken sync while rescheduling delayed work
  (git-fixes).
- Bluetooth: L2CAP: Add missing checks for invalid DCID
  (git-fixes).
- Bluetooth: Fix l2cap_disconnect_req deadlock (git-fixes).
- Bluetooth: hci_qca: fix debugfs registration (git-fixes).
- wifi: cfg80211: fix locking in regulatory disconnect
  (git-fixes).
- wifi: cfg80211: fix locking in sched scan stop work (git-fixes).
- wifi: mt76: mt7615: fix possible race in mt7615_mac_sta_poll
  (git-fixes).
- can: j1939: avoid possible use-after-free when
  j1939_can_rx_register fails (git-fixes).
- can: j1939: change j1939_netdev_lock type to mutex (git-fixes).
- can: j1939: j1939_sk_send_loop_abort(): improved error queue
  handling in J1939 Socket (git-fixes).
- Input: xpad - delete a Razer DeathAdder mouse VID/PID entry
  (git-fixes).
- Input: fix open count when closing inhibited device (git-fixes).
- commit 0d88720
* Thu Jun  8 2023 msuchanek@suse.de
- Move setting %%%%split_optional to config.sh
- commit 77f3750
* Thu Jun  8 2023 msuchanek@suse.de
- Move setting %%%%supported_modules_check to config.sh
- commit 5ada69b
* Thu Jun  8 2023 msuchanek@suse.de
- rpm/kernel-docs.spec.in: pass PYTHON=python3 to fix build error (bsc#1160435)
- commit 799f050
* Thu Jun  8 2023 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Fix compatibility wth newer rpm
- commit 334fb4d
* Thu Jun  8 2023 msuchanek@suse.de
- powerpc/64s: Make POWER10 and later use pause_short in cpu_relax
  loops (bsc#1209367 ltc#195662).
- powerpc: add ISA v3.0 / v3.1 wait opcode macro (bsc#1209367
  ltc#195662).
- powerpc: Redefine HMT_xxx macros as empty on PPC32 (bsc#1209367
  ltc#195662).
- commit 6862b4a
* Thu Jun  8 2023 iivanov@suse.de
- arm64: Stash shadow stack pointer in the task struct on interrupt (git-fixes)
- commit 5ad6888
* Thu Jun  8 2023 iivanov@suse.de
- arm64: Always load shadow stack pointer directly from the task struct (git-fixes)
- commit da8b9db
* Wed Jun  7 2023 msuchanek@suse.de
- Also include kernel-docs build requirements for ALP
- commit 114d088
* Wed Jun  7 2023 lduncan@suse.com
- scsi: mpi3mr: Suppress command reply debug prints (bsc#1211820).
- commit 6e7a635
* Wed Jun  7 2023 msuchanek@suse.de
- Move the kernel-binary conflicts out of the spec file.
  Thie list of conflicting packages varies per release.
  To reduce merge conflicts move the list out of the spec file.
- commit 4d81125
* Wed Jun  7 2023 msuchanek@suse.de
- Avoid unsuported tar parameter on SLE12
- commit f11765a
* Wed Jun  7 2023 msuchanek@suse.de
- Move obsolete KMP list into a separate file.
  The list of obsoleted KMPs varies per release, move it out of the spec
  file.
- commit 016bc55
* Wed Jun  7 2023 jack@suse.cz
- ext4: unconditionally enable the i_version counter
  (bsc#1211299).
- commit 9850f2e
* Wed Jun  7 2023 msuchanek@suse.de
- Trim obsolete KMP list.
  SLE11 is out of support, we do not need to handle upgrading from SLE11
  SP1.
- commit 08819bb
* Wed Jun  7 2023 msuchanek@suse.de
- powerpc/64s/radix: Fix soft dirty tracking (bsc#1065729).
- commit 4df8ec9
* Wed Jun  7 2023 msuchanek@suse.de
- Generalize kernel-doc build requirements.
- commit 23b058f
* Wed Jun  7 2023 tiwai@suse.de
- spi: qup: Request DMA before enabling clocks (git-fixes).
- platform/surface: aggregator: Allow completion work-items to
  be executed in parallel (git-fixes).
- commit 9916d6b
* Tue Jun  6 2023 fweisbecker@suse.de
- sched/rt: pick_next_rt_entity(): check list_entry (bsc#1208600 CVE-2023-1077)
- commit f5b50ae
* Tue Jun  6 2023 nmorey@suse.com
- RDMA/rxe: Fix the error "trying to register non-static key in rxe_cleanup_task" (git-fixes)
- commit a9533db
* Tue Jun  6 2023 nmorey@suse.com
- RDMA/rtrs-srv: Pass the correct number of entries for dma mapped SGL (git-fixes)
- commit 01fdb10
* Tue Jun  6 2023 nmorey@suse.com
- RDMA/rtrs-clt: Replace list_next_or_null_rr_rcu with an inline function (git-fixes)
- commit edb8dfd
* Tue Jun  6 2023 nmorey@suse.com
- blacklist: add RTRS rename patches
  First patch makes codes less confusing but is only used by
  the 2 following ones which break kABI
- commit 9fca67c
* Tue Jun  6 2023 nmorey@suse.com
- IB/rdmavt: add missing locks in rvt_ruc_loopback (git-fixes)
- commit 8cb567c
* Tue Jun  6 2023 msuchanek@suse.de
- Refresh patches.suse/add-suse-supported-flag.patch.
  Fix table alignment.
- commit ed5f850
* Tue Jun  6 2023 ailiop@suse.com
- blacklist.conf: add ntfs3
  ntfs3 was introduced in v5.15-rc1, and as such we don't carry it on
  SLE15-SP4.
- commit 9ff2c7c
* Tue Jun  6 2023 msuchanek@suse.de
- kernel-binary: Add back kernel-default-base guarded by option
  Add configsh option for splitting off kernel-default-base, and for
  not signing the kernel on non-efi
- commit 28c22af
* Tue Jun  6 2023 tiwai@suse.de
- supported.conf: add comments for missing CVE fixes for net/rose
- commit 5508bf5
* Tue Jun  6 2023 tzimmermann@suse.com
- blacklist.conf: Append 'fbdev: Disable sysfb device registration when removing conflicting FBs'
- commit 3f0f464
* Tue Jun  6 2023 tzimmermann@suse.com
- blacklist.conf: Append 'fbdev: omapfb: panel-tpo-td043mtea1: fix error code in probe()'
- commit 2090f27
* Tue Jun  6 2023 tzimmermann@suse.com
- Update "fbdev: Fix cfb_imageblit() for arbitrary image widths"
  Add Alt-commit tag to patch.
- commit c61111b
* Tue Jun  6 2023 tzimmermann@suse.com
- Update "fbdev: Fix sys_imageblit() for arbitrary image widths"
  Add Alt-commit tag to patch.
- commit 17e3968
* Tue Jun  6 2023 tzimmermann@suse.com
- blacklist.conf: Append 'fbdev: da8xx-fb: add missing regulator_disable() in fb_probe'
- commit e00fe84
* Tue Jun  6 2023 tzimmermann@suse.com
- blacklist.conf: Append 'parisc: fbdev/stifb: Align graphics memory size to 4MB'
- commit 418d50c
* Tue Jun  6 2023 tzimmermann@suse.com
- blacklist.conf: Append 'Revert "fbcon: don't lose the console font across generic->chip driver switch"'
- commit addaa82
* Tue Jun  6 2023 tzimmermann@suse.com
- blacklist.conf: Append 'Revert "fbdev: Make fb_release() return -ENODEV if fbdev was unregistered"'
- commit 66c01be
* Tue Jun  6 2023 tzimmermann@suse.com
- fbdev: fbcon: Destroy mutex on freeing struct fb_info (bsc#1152489)
- commit eb830fc
* Tue Jun  6 2023 tzimmermann@suse.com
- fbdev: Prevent possible use-after-free in fb_release() (bsc#1152472)
  Backporting changes:
  * replace refcount_read() with atomic_read()
- commit 23a912f
* Tue Jun  6 2023 tbogendoerfer@suse.de
- sfc: disable RXFCS and RXALL features by default (git-fixes).
- i825xx: sni_82596: use eth_hw_addr_set() (git-fixes).
- flow_dissector: Do not count vlan tags inside tunnel payload
  (git-fixes).
- nfp: flower: fix ingress police using matchall filter
  (git-fixes).
- mlxsw: minimal: Fix deadlock in ports creation (git-fixes).
- ethernet: seeq/ether3: don't write directly to netdev->dev_addr
  (git-fixes).
- ethernet: 8390/etherh: don't write directly to netdev->dev_addr
  (git-fixes).
- ethernet: i825xx: don't write directly to netdev->dev_addr
  (git-fixes).
- ethernet: tundra: don't write directly to netdev->dev_addr
  (git-fixes).
- ethernet: 3com/typhoon: don't write directly to netdev->dev_addr
  (git-fixes).
- ref_tracker: use __GFP_NOFAIL more carefully (git-fixes).
- net: linkwatch: be more careful about dev->linkwatch_dev_tracker
  (git-fixes).
- net: natsemi: fix hw address initialization for jazz and xtensa
  (git-fixes).
- octeon: constify netdev->dev_addr (git-fixes).
- net: add missing include in include/net/gro.h (git-fixes).
- mlxsw: spectrum: Allow driver to load with old firmware versions
  (git-fixes).
- net: of: fix stub of_net helpers for CONFIG_NET=n (git-fixes).
- nfp: flower-ct: fix error return code in nfp_fl_ct_add_offload()
  (git-fixes).
- commit 2b295af
* Tue Jun  6 2023 tbogendoerfer@suse.de
- sfc: disable RXFCS and RXALL features by default (git-fixes).
- commit 3f25e44
* Tue Jun  6 2023 nik.borisov@suse.com
- x86/topology: Fix duplicated core ID within a package (git-fixes).
- commit 98adc02
* Tue Jun  6 2023 tzimmermann@suse.com
- Update "drm/i915/gem: add missing boundary check in vm_access" (bsc#1211263 CVE-2023-28410)
  Add bug and CVE number to the References tag.
- commit f799efb
* Tue Jun  6 2023 nik.borisov@suse.com
- x86/topology: Fix multiple packages shown on a single-package system (git-fixes).
- commit 70a1ce4
* Tue Jun  6 2023 nik.borisov@suse.com
- x86/syscall: Include asm/ptrace.h in syscall_wrapper header (git-fixes).
- commit 4309e22
* Tue Jun  6 2023 tiwai@suse.de
- kabi/severities: ignore kABI in bq27xxx_battery module
  Those are local symbols that are used only by child drivers
- commit 8d7e23d
* Tue Jun  6 2023 tiwai@suse.de
- kABI workaround for btbcm.c (git-fixes).
- commit ab2692b
* Tue Jun  6 2023 dwagner@suse.de
- nvme: fix passthrough csi check (git-fixes).
- nvme: move the Samsung X5 quirk entry to the core quirks
  (git-fixes).
- commit d03fbdf
* Tue Jun  6 2023 tiwai@suse.de
- power: supply: bq27xxx: expose battery data when CI=1
  (git-fixes).
- Refresh
  patches.suse/power-supply-bq27xxx-Fix-bq27xxx_battery_update-race.patch.
- commit 3c4cf6c
* Tue Jun  6 2023 tiwai@suse.de
- KEYS: asymmetric: Copy sig and digest in
  public_key_verify_signature() (git-fixes).
- power: supply: bq27xxx: Ensure power_supply_changed() is called
  on current sign changes (git-fixes).
- power: supply: bq27xxx: Move bq27xxx_battery_update() down
  (git-fixes).
- power: supply: bq27xxx: Fix poll_interval handling and races
  on remove (git-fixes).
- bluetooth: Add cmd validity checks at the start of
  hci_sock_ioctl() (git-fixes).
- Bluetooth: hci_bcm: Fall back to getting bdaddr from EFI if
  not set (git-fixes).
- commit 31ed077
* Mon Jun  5 2023 tiwai@suse.de
- drm/mgag200: Fix gamma lut not initialized (git-fixes).
- drm/amd/pm: Fix output of pp_od_clk_voltage (git-fixes).
- drm/radeon: reintroduce radeon_dp_work_func content (git-fixes).
- ASoC: Intel: avs: Fix declaration of enum avs_channel_config
  (git-fixes).
- ASoC: Intel: avs: Access path components under lock (git-fixes).
- mmc: block: ensure error propagation for non-blk (git-fixes).
- commit 98193dd
* Mon Jun  5 2023 tiwai@suse.de
- ASoC: rt5682: Disable jack detection interrupt during suspend
  (git-fixes).
- Refresh patches.kabi/snd-soc-rt5682-kABI-workaround.patch.
- commit ce0cf1d
* Mon Jun  5 2023 tiwai@suse.de
- misc: fastrpc: reject new invocations during device removal
  (git-fixes).
- misc: fastrpc: return -EPIPE to invocations on device removal
  (git-fixes).
- iio: imu: inv_icm42600: fix timestamp reset (git-fixes).
- iio: adc: ad_sigma_delta: Fix IRQ issue by setting
  IRQ_DISABLE_UNLAZY flag (git-fixes).
- dt-bindings: iio: adc: renesas,rcar-gyroadc: Fix adi,ad7476
  compatible value (git-fixes).
- iio: dac: mcp4725: Fix i2c_master_send() return value handling
  (git-fixes).
- iio: light: vcnl4035: fixed chip ID check (git-fixes).
- iio: adc: ad7192: Change "shorted" channels to differential
  (git-fixes).
- iio: accel: st_accel: Fix invalid mount_matrix on devices
  without ACPI _ONT method (git-fixes).
- iio: adc: mxs-lradc: fix the order of two cleanup operations
  (git-fixes).
- tty: serial: fsl_lpuart: use UARTCTRL_TXINV to send break
  instead of UARTCTRL_SBK (git-fixes).
- serial: 8250_tegra: Fix an error handling path in
  tegra_uart_probe() (git-fixes).
- usb: usbfs: Use consistent mmap functions (git-fixes).
- usb: usbfs: Enforce page requirements for mmap (git-fixes).
- dt-bindings: usb: snps,dwc3: Fix "snps,hsphy_interface" type
  (git-fixes).
- usb: gadget: f_fs: Add unbind event before functionfs_unbind
  (git-fixes).
- mmc: vub300: fix invalid response handling (git-fixes).
- selinux: don't use make's grouped targets feature yet
  (git-fixes).
- mtd: rawnand: marvell: don't set the NAND frequency select
  (git-fixes).
- mtd: rawnand: marvell: ensure timing values are written
  (git-fixes).
- mtd: rawnand: ingenic: fix empty stub helper definitions
  (git-fixes).
- selftests: mptcp: sockopt: skip if MPTCP is not supported
  (git-fixes).
- selftests: mptcp: pm nl: skip if MPTCP is not supported
  (git-fixes).
- selftests: mptcp: connect: skip if MPTCP is not supported
  (git-fixes).
- net: usb: qmi_wwan: Set DTR quirk for BroadMobi BM818
  (git-fixes).
- HID: wacom: avoid integer overflow in wacom_intuos_inout()
  (git-fixes).
- ata: libata-scsi: Use correct device no in ata_find_dev()
  (git-fixes).
- firmware: arm_ffa: Set reserved/MBZ fields to zero in the
  memory descriptors (git-fixes).
- firmware: arm_ffa: Check if ffa_driver remove is present before
  executing (git-fixes).
- dt-binding: cdns,usb3: Fix cdns,on-chip-buff-size type
  (git-fixes).
- gpio: mockup: Fix mode of debugfs files (git-fixes).
- drm/sched: Remove redundant check (git-fixes).
- 3c589_cs: Fix an error handling path in tc589_probe()
  (git-fixes).
- power: supply: sbs-charger: Fix INHIBITED bit for Status reg
  (git-fixes).
- power: supply: bq27xxx: After charger plug in/out wait 0.5s
  for things to stabilize (git-fixes).
- power: supply: bq27xxx: Add cache parameter to
  bq27xxx_battery_current_and_status() (git-fixes).
- power: supply: bq27xxx: Fix I2C IRQ race on remove (git-fixes).
- power: supply: bq27xxx: Fix bq27xxx_battery_update() race
  condition (git-fixes).
- power: supply: leds: Fix blink to LED on transition (git-fixes).
- ALSA: hda/realtek: Enable headset onLenovo M70/M90 (git-fixes).
- ASoC: Intel: Skylake: Fix declaration of enum skl_ch_cfg
  (git-fixes).
- ASoC: lpass: Fix for KASAN use_after_free out of bounds
  (git-fixes).
- ALSA: hda: Fix unhandled register update during auto-suspend
  period (git-fixes).
- ALSA: hda/ca0132: add quirk for EVGA X299 DARK (git-fixes).
- dt-bindings: ata: ahci-ceva: Cover all 4 iommus entries
  (git-fixes).
- net: mdio: mvusb: Fix an error handling path in
  mvusb_mdio_probe() (git-fixes).
- watchdog: sp5100_tco: Immediately trigger upon starting
  (git-fixes).
- dt-bindings: ata: ahci-ceva: convert to yaml (git-fixes).
- commit 2ec09cc
* Mon Jun  5 2023 mkubecek@suse.cz
- net: rpl: fix rpl header size calculation (CVE-2023-2156
  bsc#1211131).
- commit c308d83
* Mon Jun  5 2023 tiwai@suse.de
- thunderbolt: Mask ring interrupt on Intel hardware as well
  (bsc#1210165).
- commit 4a76dd6
* Mon Jun  5 2023 tbogendoerfer@suse.de
- net: mellanox: mlxbf_gige: Fix skb_panic splat under memory
  pressure (bsc#1211564).
- commit 8e0fc37
* Mon Jun  5 2023 dwagner@suse.de
- nvme: fix the name of Zone Append for verbose logging
  (git-fixes).
- commit 7550791
* Mon Jun  5 2023 dwagner@suse.de
- blacklist: add nvme bogus nsid check
  We don't not need these quirks as we don't ship the check.
- commit bbebeaf
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/resctrl: Fix min_cbm_bits for AMD (git-fixes).
- commit f0be05e
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/pm: Add enumeration check before spec MSRs save/restore setup (git-fixes).
- commit 89bdacb
* Mon Jun  5 2023 tiwai@suse.de
- Update patch-mainline metadata for a lockdown patch
- commit ff4a857
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/tsx: Add a feature bit for TSX control MSR support (git-fixes).
- commit b67ebd4
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/fpu: Fix the init_fpstate size check with the actual size (git-fixes).
- commit 3cd00dd
* Mon Jun  5 2023 dwagner@suse.de
- nvme-tcp: fix a possible UAF when failing to allocate an io
  queue (git-fixes).
- nvme-pci: mark Lexar NM760 as IGNORE_DEV_SUBNQN (git-fixes).
- nvme-fc: fix a missing queue put in
  nvmet_fc_ls_create_association (git-fixes).
- nvme: also return I/O command effects from nvme_command_effects
  (git-fixes).
- nvmet: use NVME_CMD_EFFECTS_CSUPP instead of open coding it
  (git-fixes).
- nvme: fix multipath crash caused by flush request when blktrace
  is enabled (git-fixes).
- nvme-pci: clear the prp2 field when not used (git-fixes).
- nvmet: fix memory leak in nvmet_subsys_attr_model_store_locked
  (git-fixes).
- nvme-pci: disable write zeroes on various Kingston SSD
  (git-fixes).
- nvme-pci: avoid the deepest sleep state on ZHITAI TiPro5000 SSDs
  (git-fixes).
- nvmet-tcp: add bounds check on Transfer Tag (git-fixes).
- nvme-pci: set min_align_mask before calculating max_hw_sectors
  (git-fixes).
- nvmet: fix mar and mor off-by-one errors (git-fixes).
- nvmet-tcp: fix unhandled tcp states in nvmet_tcp_state_change()
  (git-fixes).
- nvmet-tcp: fix lockdep complaint on nvmet_tcp_wq flush during
  queue teardown (git-fixes).
- nvme: handle the persistent internal error AER (git-fixes).
  Refresh:
  - patches.suse/nvme-fix-async-event-trace-event.patc
- nvme: fix regression when disconnect a recovering ctrl
  (git-fixes).
  Refresh:
  - patches.suse/nvme-rdma-fix-possible-hang-caused-during-ctrl-delet.patch
  - patches.suse/nvme-tcp-fix-possible-hang-caused-during-ctrl-deleti.patch
- nvme: add a bogus subsystem NQN quirk for Micron MTFDKBA2T0TFH
  (git-fixes).
- nvme-pci: avoid the deepest sleep state on ZHITAI TiPro7000 SSDs
  (git-fixes).
- nvme: set non-mdts limits in nvme_scan_work (git-fixes).
- nvme-pci: fix a NULL pointer dereference in
  nvme_alloc_admin_tags (git-fixes).
- block: add a bdev_max_zone_append_sectors helper (git-fixes).
- nvme-multipath: fix hang when disk goes live over reconnect
  (git-fixes).
- nvme-pci: add quirks for Samsung X5 SSDs (git-fixes).
- nvmet: move the call to nvmet_ns_changed out of
  nvmet_ns_revalidate (git-fixes).
- nvme-tcp: lockdep: annotate in-kernel sockets (git-fixes).
- nvme: check for duplicate identifiers earlier (git-fixes).
- nvme: cleanup __nvme_check_ids (git-fixes).
- nvmet: use i_size_read() to set size for file-ns (git-fixes).
  Refresh:
  - patches.suse/nvmet-only-allocate-a-single-slab-for-bvecs.patch
- nvme-tcp: fix bogus request completion when failing to send AER
  (git-fixes).
- nvme-pci: add the IGNORE_DEV_SUBNQN quirk for Intel P4500/P4600
  SSDs (git-fixes).
- commit c657707
* Mon Jun  5 2023 denis.kirjanov@suse.com
- tipc: add an extra conn_get in tipc_conn_alloc (bsc#1209288
  CVE-2023-1382).
- commit 39972bc
* Mon Jun  5 2023 denis.kirjanov@suse.com
- tipc: set con sock in tipc_conn_alloc (bsc#1209288
  CVE-2023-1382).
- commit 06e5733
* Mon Jun  5 2023 denis.kirjanov@suse.com
- tipc: add an extra conn_get in tipc_conn_alloc (bsc#1209288
  CVE-2023-1382).
- commit e3a141d
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/fpu: Fix copy_xstate_to_uabi() to copy init states correctly (git-fixes).
- commit 43cdfba
* Mon Jun  5 2023 nik.borisov@suse.com
- blacklist.conf: Exclude an irrelevant patch for us.
  We don't have the fp_init.size et al variables so this patch doesn't
  apply to our kernel.
- commit 30f92bf
* Mon Jun  5 2023 denis.kirjanov@suse.com
- tipc: set con sock in tipc_conn_alloc (bsc#1209288
  CVE-2023-1382).
- commit a68b414
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/fpu: Use _Alignof to avoid undefined behavior in TYPE_ALIGN (git-fixes).
- commit 244216a
* Mon Jun  5 2023 nik.borisov@suse.com
- purgatory: fix disabling debug info (git-fixes).
- commit 1ebc547
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/microcode: Rip out the OLD_INTERFACE (git-fixes).
- commit d380760
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/microcode: Add explicit CPU vendor dependency (git-fixes).
- commit 44d8ccb
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/microcode/AMD: Track patch allocation size explicitly (git-fixes).
- Refresh patches.suse/x86-microcode-amd-fix-mixed-steppings-support.patch.
- commit c6646fc
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/static_call: Serialize __static_call_fixup() properly (git-fixes).
- commit d2f3f53
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/entry: Build thunk_$(BITS) only if CONFIG_PREEMPTION=y (git-fixes).
- commit 3a9f080
* Mon Jun  5 2023 ohering@suse.de
- net: mana: Fix perf regression: remove rx_cqes, tx_cqes counters
  (git-fixes).
- scsi: storvsc: Don't pass unused PFNs to Hyper-V host
  (git-fixes).
- x86/hyperv: Block root partition functionality in a Confidential
  VM (git-fixes).
- commit 85569e3
* Mon Jun  5 2023 nik.borisov@suse.com
- x86/bugs: Do not enable IBPB at firmware entry when IBPB is not  available (git-fixes).
- commit bf87aed
* Mon Jun  5 2023 tzimmermann@suse.com
- Update "drm/vmwgfx: Do not drop the reference to the handle too soon" (bsc#1211593 bsc#1211595 CVE-2023-33951 CVE-2023-33952)
  This empty commit adds CVE and bug numbers for commit 60fd346359c
  (Update "drm/vmwgfx: Do not drop the reference to the handle too soon") to
  the changelog.
- Update "drm/vmwgfx: Do not drop the reference to the handle too soon"
  Add CVE and bug numbers to the References tag.
- commit 4c13d1d
* Mon Jun  5 2023 dwagner@suse.de
- scsi: qla2xxx: Replace all non-returning strlcpy() with
  strscpy() (bsc#1211960).
- scsi: qla2xxx: Update version to 10.02.08.300-k (bsc#1211960).
- scsi: qla2xxx: Wait for io return on terminate rport
  (bsc#1211960).
- scsi: qla2xxx: Fix mem access after free (bsc#1211960).
- scsi: qla2xxx: Fix hang in task management (bsc#1211960).
- scsi: qla2xxx: Fix task management cmd fail due to unavailable
  resource (bsc#1211960).
- scsi: qla2xxx: Fix task management cmd failure (bsc#1211960).
- scsi: qla2xxx: Multi-que support for TMF (bsc#1211960).
- scsi: qla2xxx: Refer directly to the qla2xxx_driver_template
  (bsc#1211960).
- scsi: qla2xxx: Remove default fabric ops callouts (bsc#1211960).
- scsi: qla2xxx: Drop redundant pci_enable_pcie_error_reporting()
  (bsc#1211960).
- commit 4c4bf74
* Mon Jun  5 2023 dwagner@suse.de
- lpfc: update metadata
- Refresh
  patches.suse/scsi-lpfc-Add-new-RCQE-status-for-handling-DMA-failu.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-double-free-in-lpfc_cmpl_els_logo_acc-.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-verbose-logging-for-SCSI-commands-issu.patch.
- Refresh
  patches.suse/scsi-lpfc-Match-lock-ordering-of-lpfc_cmd-buf_lock-a.patch.
- Refresh
  patches.suse/scsi-lpfc-Replace-blk_irq_poll-intr-handler-with-thr.patch.
- Refresh
  patches.suse/scsi-lpfc-Update-congestion-warning-notification-per.patch.
- Refresh
  patches.suse/scsi-lpfc-Update-lpfc-version-to-14.2.0.12.patch.
- commit 497ebb3
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/irdma: Fix Local Invalidate fencing (git-fixes)
- commit aaaea1e
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/irdma: Prevent QP use after free (git-fixes)
- commit 34e3a35
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix return value of bnxt_re_process_raw_qp_pkt_rx (git-fixes)
- commit 6c40b4b
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix a possible memory leak (git-fixes)
- commit 1c28ea3
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/hns: Modify the value of long message loopback slice (git-fixes)
- commit c5d0c28
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/hns: Fix base address table allocation (git-fixes)
- commit c15c063
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/hns: Fix timeout attr in query qp for HIP08 (git-fixes)
- commit c581318
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/efa: Fix unsupported page sizes in device (git-fixes)
- commit f7d5b0b
* Fri Jun  2 2023 nmorey@suse.com
- RDMA/bnxt_re: Fix the page_size used during the MR creation (git-fixes)
- commit 8102023
* Fri Jun  2 2023 msuchanek@suse.de
- usrmerge: Compatibility with earlier rpm (boo#1211796)
- commit 2191d32
* Fri Jun  2 2023 trenn@suse.com
- platform/x86: ISST: Remove 8 socket limit (bsc#1211836).
- commit 3d86542
* Thu Jun  1 2023 lduncan@suse.com
- scsi: qedi: Fix use after free bug in qedi_remove() (git-fixes).
- scsi: hisi_sas: Handle NCQ error when IPTT is valid (git-fixes).
- scsi: megaraid: Fix mega_cmd_done() CMDID_INT_CMDS (git-fixes).
- scsi: ses: Handle enclosure with just a primary component
  gracefully (git-fixes).
- scsi: core: Improve scsi_vpd_inquiry() checks (git-fixes).
- scsi: megaraid_sas: Fix fw_crash_buffer_show() (git-fixes).
- scsi: libsas: Grab the ATA port lock in
  sas_ata_device_link_abort() (git-fixes).
- scsi: libsas: Add sas_ata_device_link_abort() (git-fixes).
- commit 9f00bdd
* Thu Jun  1 2023 msuchanek@suse.de
- Fix usrmerge error (boo#1211796)
- commit da84579
* Wed May 31 2023 clin@suse.com
- Update CVE reference to
  patches.suse/arm64-Add-AMPERE1-to-the-Spectre-BHB-affected-list.patch
  (git-fixes bsc#1205153 bsc#1211855 CVE-2023-3006).
- commit 7d0a08a
* Wed May 31 2023 oneukum@suse.com
- media: radio-shark: Add endpoint checks (git-fixes).
- commit fb4ddc1
* Wed May 31 2023 oneukum@suse.com
- USB: sisusbvga: Add endpoint checks (git-fixes).
- commit d88241f
* Wed May 31 2023 martin.wilck@suse.com
- lpfc: Copyright updates for 14.2.0.13 patches (bsc#1211852).
- lpfc: Update lpfc version to 14.2.0.13 (bsc#1211852).
- commit d8cfc9c
* Wed May 31 2023 oneukum@suse.com
- blacklist.conf: prerequisites way too intrusive
- commit b6394eb
* Wed May 31 2023 oneukum@suse.com
- blacklist.conf: prerequisites too intrusive
- commit 7aaa267
* Wed May 31 2023 martin.wilck@suse.com
- scsi: lpfc: Update lpfc version to 14.2.0.12 (bsc#1211847).
- scsi: lpfc: Replace blk_irq_poll intr handler with threaded IRQ
  (bsc#1211847).
- scsi: lpfc: Add new RCQE status for handling DMA failures
  (bsc#1211847).
- scsi: lpfc: Update congestion warning notification period
  (bsc#1211847).
- scsi: lpfc: Match lock ordering of lpfc_cmd->buf_lock and
  hbalock for abort paths (bsc#1211847).
- commit b6545fd
* Wed May 31 2023 martin.wilck@suse.com
- scsi: lpfc: Fix double free in lpfc_cmpl_els_logo_acc() caused
  by lpfc_nlp_not_used() (bsc#1211847).
- scsi: lpfc: Fix verbose logging for SCSI commands issued to
  SES devices (bsc#1211847).
- commit 31cb016
* Wed May 31 2023 nmorey@suse.com
- RDMA/core: Fix multiple -Warray-bounds warnings (git-fixes)
- commit 5587605
* Tue May 30 2023 martin.wilck@suse.com
- lpfc: Enhance congestion statistics collection
  (bsc#1211852).
- lpfc: Clean up SLI-4 CQE status handling
  (bsc#1211852).
- lpfc: Change firmware upgrade logging to KERN_NOTICE instead
  of TRACE_EVENT (bsc#1211852).
- lpfc: Revise NPIV ELS unsol rcv cmpl logic to drop ndlp based
  on nlp_state (bsc#1211852).
- commit 04bc1f2
* Tue May 30 2023 martin.wilck@suse.com
- lpfc: Account for fabric domain ctlr device loss recovery
  (bsc#1211346, bsc#1211852).
- lpfc: Clear NLP_IN_DEV_LOSS flag if already in rediscovery
  (bsc#1211852).
- lpfc: Fix use-after-free rport memory access in
  lpfc_register_remote_port (bsc#1211852, bsc#1208410, bsc#1211346).
- commit ffe8e83
* Tue May 30 2023 oneukum@suse.com
- usb: dwc3: gadget: Execute gadget stop after halting the
  controller (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Improve-dwc3_gadget_suspend-and-dwc3.patch.
- commit 35f936b
* Tue May 30 2023 oneukum@suse.com
- usb: typec: tcpm: fix multiple times discover svids error
  (git-fixes).
- commit a381d7f
* Tue May 30 2023 oneukum@suse.com
- net: cdc_ncm: Deal with too low values of dwNtbOutMaxSize
  (git-fixes).
- commit 6b5ad0e
* Tue May 30 2023 osalvador@suse.de
- Rename colliding patches before merging SLE15-SP4
- commit 7ae2e32
* Tue May 30 2023 mkoutny@suse.com
- blacklist.conf: Add c0f2df49cf24 cgroup: Fix build failure when CONFIG_SHRINKER_DEBUG
- commit dc0b28b
* Mon May 29 2023 palcantara@suse.de
- cifs: mapchars mount option ignored (bsc#1193629).
- commit 516a6c4
* Mon May 29 2023 palcantara@suse.de
- smb3: display debug information better for encryption
  (bsc#1193629).
- commit 7f16b38
* Mon May 29 2023 palcantara@suse.de
- cifs: fix smb1 mount regression (bsc#1193629).
- commit 565aa62
* Mon May 29 2023 palcantara@suse.de
- SMB3: drop reference to cfile before sending oplock break
  (bsc#1193629).
- commit 714d17f
* Mon May 29 2023 palcantara@suse.de
- SMB3: Close all deferred handles of inode in case of handle
  lease break (bsc#1193629).
- commit 31916b9
* Mon May 29 2023 palcantara@suse.de
- cifs: release leases for deferred close handles when freezing
  (bsc#1193629).
- commit fba9221
* Mon May 29 2023 palcantara@suse.de
- smb3: fix problem remounting a share after shutdown
  (bsc#1193629).
- commit 8678043
* Mon May 29 2023 palcantara@suse.de
- SMB3: force unmount was failing to close deferred close files
  (bsc#1193629).
- commit b75c848
* Mon May 29 2023 palcantara@suse.de
- smb3: improve parallel reads of large files (bsc#1193629).
- commit 739a949
* Mon May 29 2023 palcantara@suse.de
- do not reuse connection if share marked as isolated
  (bsc#1193629).
- commit 50ed2cc
* Mon May 29 2023 palcantara@suse.de
- SMB3: Close deferred file handles in case of handle lease break
  (bsc#1193629).
- commit 79b4858
* Mon May 29 2023 palcantara@suse.de
- SMB3.1.1: add new tree connect ShareFlags (bsc#1193629).
- commit 64fbbd7
* Mon May 29 2023 palcantara@suse.de
- cifs: fix pcchunk length type in smb2_copychunk_range
  (bsc#1193629).
- commit 278a0ed
* Mon May 29 2023 palcantara@suse.de
- cifs: print smb3_fs_context::source when mounting (bsc#1193629).
- commit eeed402
* Mon May 29 2023 palcantara@suse.de
- cifs: update internal module version number for cifs.ko
  (bsc#1193629).
- commit 2c9169a
* Mon May 29 2023 palcantara@suse.de
- cifs: Avoid a cast in add_lease_context() (bsc#1193629).
- commit 61dd23b
* Mon May 29 2023 palcantara@suse.de
- cifs: Simplify SMB2_open_init() (bsc#1193629).
- commit 90eaeae
* Mon May 29 2023 palcantara@suse.de
- cifs: Simplify SMB2_open_init() (bsc#1193629).
- commit 0f1ffd2
* Mon May 29 2023 colyli@suse.de
- dm ioctl: fix nested locking in table_clear() to remove deadlock
  concern (bsc#1210806, CVE-2023-2269).
- commit 7a60d3e
* Mon May 29 2023 palcantara@suse.de
- cifs: Simplify SMB2_open_init() (bsc#1193629).
- commit b2da20f
* Mon May 29 2023 colyli@suse.de
- dm ioctl: fix nested locking in table_clear() to remove deadlock
  concern (bsc#1210806, CVE-2023-2269).
- commit 2bbfc45
* Mon May 29 2023 lhenriques@suse.de
- fuse: always revalidate rename target dentry (bsc#1211808).
- fuse: fix attr version comparison in fuse_read_update_size()
  (bsc#1211807).
- commit cfbffb5
* Mon May 29 2023 mkoutny@suse.com
- blacklist.conf: Add 659c0ce1cb9e kernel/sys.c: fix and improve control flow in __sys_setres[ug]id()
- commit 93ea3c4
* Mon May 29 2023 mkoutny@suse.com
- cgroup: Reorganize css_set_lock and kernfs path processing
  (bsc#1205650).
- cgroup: Make cgroup_get_from_id() prettier (bsc#1205650).
- cgroup: Homogenize cgroup_get_from_id() return value
  (bsc#1205650).
- cgroup: cgroup: Honor caller's cgroup NS when resolving cgroup
  id (bsc#1205650).
- blacklist.conf: Remove 4534dee94 to ease dependant backports
- cgroup: Honor caller's cgroup NS when resolving path
  (bsc#1205650).
- cgroup.c: add helper __cset_cgroup_from_root to cleanup
  duplicated codes (bsc#1203906).
- commit 45f8307
* Mon May 29 2023 mkoutny@suse.com
- cgroup: reduce dependency on cgroup_mutex (bsc#1205650).
- Refresh
  patches.suse/cgroup-cgroup_get_from_id-must-check-the-looked-up-kn-is-a-directory.patch.
- blacklist.conf: Remove patch from blacklist (became prereq)
- commit 249c983
* Mon May 29 2023 msuchanek@suse.de
- Remove usrmerge compatibility symlink in buildroot (boo#1211796)
  Besides Makefile depmod.sh needs to be patched to prefix /lib/modules.
  Requires corresponding patch to kmod.
- commit b8e00c5
* Mon May 29 2023 lhenriques@suse.de
- ceph: force updating the msg pointer in non-split case
  (bsc#1211804).
- commit a688822
* Fri May 26 2023 mkoutny@suse.com
- supported.conf: Add a guard for unsupported rose module
- commit 8bd11be
* Fri May 26 2023 jwiesner@suse.de
- blacklist.conf: 03cab65a07e0 ("selftests/futex: fix build for clang")
- commit 19afb99
* Fri May 26 2023 jwiesner@suse.de
- locking/rwsem: Add __always_inline annotation to
  __down_read_common() and inlined callers (git-fixes).
- commit e0ba102
* Fri May 26 2023 jwiesner@suse.de
- rtmutex: Ensure that the top waiter is always woken up
  (git-fixes).
- commit 0184302
* Fri May 26 2023 jwiesner@suse.de
- futex: Resend potentially swallowed owner death notification
  (git-fixes).
- commit c8b2fc6
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/maccess: rework absolute lowcore accessors
- commit 6e763ee
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/smp: cleanup control register update routines
- commit 869cbe8
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/smp: cleanup target CPU callback starting
- commit ac0ad39
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/dump: fix old lowcore virtual vs physical address confusion
- commit f2ccc2e
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/traps: improve panic message for translation-specification exception
- commit 1cb3dd4
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/dump: fix os_info virtual vs physical address confusion
- commit 82b75e7
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: LLVM test case fix
- commit 8a6e662
* Thu May 25 2023 mfranc@suse.cz
- s390/vdso: remove -nostdlib compiler flag (git-fixes
  bsc#1211714).
- commit 3aedab5
* Thu May 25 2023 mfranc@suse.cz
- blacklist.conf: s390/boot: allocate amode31 section in decompressor
- commit 3a70444
* Thu May 25 2023 oneukum@suse.com
- Update
  patches.suse/HID-asus-use-spinlock-to-protect-concurrent-accesses.patch
  (bsc#1208604 CVE-2023-1079).
  Added bugzilla and CVE
- commit 1bf4240
* Thu May 25 2023 oneukum@suse.com
- Update
  patches.suse/HID-asus-use-spinlock-to-safely-schedule-workers.patch
  (bsc#1208604 CVE-2023-1079).
  Added bugzilla and CVE
- commit a4b9147
* Thu May 25 2023 tiwai@suse.de
- regulator: mt6359: add read check for PMIC MT6359 (git-fixes).
- regulator: pca9450: Fix BUCK2 enable_mask (git-fixes).
- serial: Add support for Advantech PCI-1611U card (git-fixes).
- serial: 8250_exar: Add support for USR298x PCI Modems
  (git-fixes).
- usb-storage: fix deadlock when a scsi command timeouts more
  than once (git-fixes).
- USB: UHCI: adjust zhaoxin UHCI controllers OverCurrent bit value
  (git-fixes).
- USB: usbtmc: Fix direction for 0-length ioctl control messages
  (git-fixes).
- nilfs2: fix use-after-free bug of nilfs_root in
  nilfs_evict_inode() (git-fixes).
- net: phy: dp83867: add w/a for packet errors seen with short
  cables (git-fixes).
- tpm/tpm_tis: Disable interrupts for more Lenovo devices
  (git-fixes).
- soundwire: qcom: gracefully handle too many ports in DT
  (git-fixes).
- phy: st: miphy28lp: use _poll_timeout functions for waits
  (git-fixes).
- staging: rtl8192e: Replace macro RTL_PCI_DEVICE with PCI_DEVICE
  (git-fixes).
- serial: 8250: Reinit port->pm on port specific driver unbind
  (git-fixes).
- spi: spi-imx: fix MX51_ECSPI_* macros when cs > 3 (git-fixes).
- wifi: ath11k: Fix SKB corruption in REO destination ring
  (git-fixes).
- wifi: iwlwifi: dvm: Fix memcpy: detected field-spanning write
  backtrace (git-fixes).
- wifi: iwlwifi: pcie: Fix integer overflow in
  iwl_write_to_user_buf (git-fixes).
- wifi: iwlwifi: pcie: fix possible NULL pointer dereference
  (git-fixes).
- wifi: ath: Silence memcpy run-time false positive warning
  (git-fixes).
- wifi: brcmfmac: cfg80211: Pass the PMK in binary instead of hex
  (git-fixes).
- remoteproc: stm32_rproc: Add mutex protection for workqueue
  (git-fixes).
- regmap: cache: Return error in cache sync operations for
  REGCACHE_NONE (git-fixes).
- platform/x86: hp-wmi: Support touchpad on/off (git-fixes).
- commit 17eb14e
* Thu May 25 2023 tiwai@suse.de
- Input: xpad - add constants for GIP interface numbers
  (git-fixes).
- commit ae95fb0
* Thu May 25 2023 tiwai@suse.de
- mmc: sdhci-esdhc-imx: make "no-mmc-hs400" works (git-fixes).
- drm/msm/dpu: Move non-MDP_TOP INTF_INTR offsets out of hwio
  header (git-fixes).
- mfd: dln2: Fix memory leak in dln2_probe() (git-fixes).
- clk: tegra20: fix gcc-7 constant overflow warning (git-fixes).
- HID: wacom: generic: Set battery quirk only when we see battery
  data (git-fixes).
- HID: logitech-hidpp: Reconcile USB and Unifying serials
  (git-fixes).
- HID: logitech-hidpp: Don't use the USB serial for USB devices
  (git-fixes).
- Bluetooth: L2CAP: fix "bad unlock balance" in
  l2cap_disconnect_rsp (git-fixes).
- Bluetooth: btintel: Add LE States quirk support (git-fixes).
- ACPI: EC: Fix oops when removing custom query handlers
  (git-fixes).
- ACPICA: ACPICA: check null return of ACPI_ALLOCATE_ZEROED in
  acpi_db_display_objects (git-fixes).
- ACPICA: Avoid undefined behavior: applying zero offset to null
  pointer (git-fixes).
- memstick: r592: Fix UAF bug in r592_remove due to race condition
  (bsc#1211449).
- media: pci: tw68: Fix null-ptr-deref bug in buf prepare and
  finish (git-fixes).
- media: cx23885: Fix a null-ptr-deref bug in buffer_prepare()
  and buffer_finish() (git-fixes).
- drm/amd: Fix an out of bounds error in BIOS parser (git-fixes).
- drm/msm/dp: Clean up handling of DP AUX interrupts (git-fixes).
- drm/tegra: Avoid potential 32-bit integer overflow (git-fixes).
- drm/amd/display: Use DC_LOG_DC in the trasform pixel function
  (git-fixes).
- drm/displayid: add displayid_get_header() and check bounds
  better (git-fixes).
- arm64: dts: qcom: msm8996: Add missing DWC3 quirks (git-fixes).
- HID: wacom: add three styli to wacom_intuos_get_tool_type
  (git-fixes).
- HID: wacom: Add new Intuos Pro Small (PTH-460) device IDs
  (git-fixes).
- HID: wacom: Force pen out of prox if no events have been
  received in a while (git-fixes).
- drm/msm/dpu: Add INTF_5 interrupts (git-fixes).
- commit d814c1f
* Wed May 24 2023 mfranc@suse.cz
- s390/qdio: fix do_sqbs() inline assembly constraint (git-fixes
  bsc#1211693).
- s390/dasd: fix hanging blockdevice after request requeue
  (git-fixes bsc#1211687).
- s390/kprobes: fix current_kprobe never cleared after kprobes
  reenter (git-fixes bsc#1211688).
- s390/kprobes: fix irq mask clobbering on kprobe reenter from
  post_handler (git-fixes bsc#1211689).
- s390/mem_detect: fix detect_memory() error handling (git-fixes
  bsc#1211691).
- s390/lcs: Fix return type of lcs_start_xmit() (git-fixes
  bsc#1211690).
- s390/netiucv: Fix return type of netiucv_tx() (git-fixes
  bsc#1211692).
- s390/ctcm: Fix return type of ctc{mp,}m_tx() (git-fixes
  bsc#1211686).
- commit dcbf1cc
* Wed May 24 2023 tiwai@suse.de
- dmaengine: idxd: Only call idxd_enable_system_pasid() if
  succeeded in enabling SVA feature (git-fixes).
- commit bdaf824
* Wed May 24 2023 tiwai@suse.de
- kABI workaround for mt76_poll_msec() (git-fixes).
- commit 8310024
* Wed May 24 2023 tiwai@suse.de
- wifi: mt76: mt7921e: improve reliability of dma reset
  (git-fixes).
- wifi: mt76: mt7921e: fix probe timeout after reboot (git-fixes).
- wifi: mt76: add flexible polling wait-interval support
  (git-fixes).
- dmaengine: idxd: Do not enable user type Work Queue without
  Shared Virtual Addressing (git-fixes).
- dmaengine: idxd: Separate user and kernel pasid enabling
  (git-fixes).
- drm/amdgpu: update drm_display_info correctly when the edid
  is read (git-fixes).
- commit 5f45933
* Wed May 24 2023 mkoutny@suse.com
- Update
  patches.suse/scsi-iscsi_tcp-Fix-UAF-during-login-when-accessing-the-shost-ipaddress.patch
  (git-fixes CVE-2023-2162 bsc#1210647).
- commit ef8f1cf
* Wed May 24 2023 tiwai@suse.de
- configfs: fix possible memory leak in configfs_create_dir()
  (git-fixes).
- debugfs: fix error when writing negative value to atomic_t
  debugfs file (git-fixes).
- libfs: add DEFINE_SIMPLE_ATTRIBUTE_SIGNED for signed value
  (git-fixes).
- commit 1a0085a
* Wed May 24 2023 tiwai@suse.de
- can: kvaser_usb: Add struct kvaser_usb_busparams (git-fixes).
- can: kvaser_usb: kvaser_usb_leaf: Handle CMD_ERROR_EVENT
  (git-fixes).
- can: kvaser_usb: kvaser_usb_leaf:
  Rename {leaf,usbcan}_cmd_error_event to
  {leaf,usbcan}_cmd_can_error_event (git-fixes).
- can: kvaser_usb: kvaser_usb_leaf: Get capabilities from device
  (git-fixes).
- commit 686ab31
* Wed May 24 2023 tiwai@suse.de
- can: kvaser_usb_leaf: Fix overread with an invalid command
  (git-fixes).
- commit 9e9ebea
* Wed May 24 2023 tiwai@suse.de
- drivers: base: dd: fix memory leak with using debugfs_lookup()
  (git-fixes).
- drivers: base: component: fix memory leak with using
  debugfs_lookup() (git-fixes).
- commit 537af53
* Wed May 24 2023 jgross@suse.com
- virtio_net: suppress cpu stall when free_unused_bufs
  (git-fixes).
- commit da7bbcd
* Wed May 24 2023 oneukum@suse.com
- usb: gadget: u_ether: Fix host MAC address case (git-fixes).
- commit ab5927c
* Wed May 24 2023 jgross@suse.com
- virtio_net: bugfix overflow inside xdp_linearize_page()
  (git-fixes).
- commit 7b42c19
* Wed May 24 2023 tiwai@suse.de
- ASoC: fsl_micfil: Fix error handler with pm_runtime_enable
  (git-fixes).
- ARM: 9296/1: HP Jornada 7XX: fix kernel-doc warnings
  (git-fixes).
- ACPI: bus: Ensure that notify handlers are not running after
  removal (git-fixes).
- ata: pata_octeon_cf: drop kernel-doc notation (git-fixes).
- commit bc3d0e5
* Wed May 24 2023 oneukum@suse.com
- usb: dwc3: gadget: Improve dwc3_gadget_suspend() and
  dwc3_gadget_resume() (git-fixes).
- commit b5c53da
* Wed May 24 2023 jgross@suse.com
- virtio-net: Keep stop() to follow mirror sequence of open()
  (git-fixes).
- commit 0d2ec00
* Wed May 24 2023 jgross@suse.com
- virtio-net: execute xdp_do_flush() before napi_complete_done()
  (git-fixes).
- commit 1fe332b
* Wed May 24 2023 jgross@suse.com
- tools/virtio: fix the vringh test for virtio ring changes
  (git-fixes).
- commit 7846dae
* Wed May 24 2023 jgross@suse.com
- vhost/net: Clear the pending messages when the backend is
  removed (git-fixes).
- commit ed68aca
* Wed May 24 2023 jgross@suse.com
- tools/virtio: initialize spinlocks in vring_test.c (git-fixes).
- commit 5a7e7d8
* Wed May 24 2023 jgross@suse.com
- virtio_net: split free_unused_bufs() (git-fixes).
- commit 00244a7
* Wed May 24 2023 jgross@suse.com
- tools/virtio: compile with -pthread (git-fixes).
- commit efe7e12
* Wed May 24 2023 oneukum@suse.com
- usb: dwc3: gadget: Stall and restart EP0 if host is unresponsive
  (git-fixes).
- commit 97aa26c
* Wed May 24 2023 jgross@suse.com
- tools/virtio: fix virtio_test execution (git-fixes).
- commit ab7f233
* Wed May 24 2023 jgross@suse.com
- vdpa: fix use-after-free on vp_vdpa_remove (git-fixes).
- commit a4fbbfa
* Wed May 24 2023 jgross@suse.com
- blacklist.conf: add 838d6d3461db ("virtio: unexport virtio_finalize_features")
- commit daac2ad
* Wed May 24 2023 nmorey@suse.com
- RDMA/mlx5: Use correct device num_ports when modify DC (git-fixes)
- commit a805982
* Wed May 24 2023 nmorey@suse.com
- RDMA/mlx5: Fix flow counter query via DEVX (git-fixes)
- commit 7af3d10
* Wed May 24 2023 nmorey@suse.com
- blacklist.conf: black list non applicable fix
- commit 0b43409
* Wed May 24 2023 tiwai@suse.de
- power: supply: bq24190_charger: using pm_runtime_resume_and_get
  instead of pm_runtime_get_sync (git-fixes).
- Refresh
  patches.suse/power-supply-bq24190-Fix-use-after-free-bug-in-bq241.patch.
- commit 32112a8
* Wed May 24 2023 jgross@suse.com
- net: skip virtio_net_hdr_set_proto if protocol already set
  (git-fixes).
- commit 04b2165
* Wed May 24 2023 nmorey@suse.com
- IB/hfi1: Fix bugs with non-PAGE_SIZE-end multi-iovec user SDMA requests (git-fixes)
- commit b034548
* Wed May 24 2023 nmorey@suse.com
- IB/hfi1: Fix SDMA mmu_rb_node not being evicted in LRU order (git-fixes)
- commit bc9efec
* Wed May 24 2023 nmorey@suse.com
- RDMA/srpt: Add a check for valid 'mad_agent' pointer (git-fixes)
- commit 5d5e37e
* Wed May 24 2023 nmorey@suse.com
- RDMA/cm: Trace icm_send_rej event before the cm state is reset (git-fixes)
- commit 5ca599d
* Wed May 24 2023 nmorey@suse.com
- RDMA/siw: Remove namespace check from siw_netdev_event() (git-fixes)
- commit 711a6c8
* Wed May 24 2023 nmorey@suse.com
- RDMA/rxe: Remove tasklet call from rxe_cq.c (git-fixes)
- commit dc85357
* Wed May 24 2023 nmorey@suse.com
- RDMA/rdmavt: Delete unnecessary NULL check (git-fixes)
- commit f6fa4f5
* Wed May 24 2023 nmorey@suse.com
- RDMA/siw: Fix potential page_array out of range access (git-fixes)
- commit 9b285aa
* Wed May 24 2023 nmorey@suse.com
- IB/hifi1: add a null check of kzalloc_node in hfi1_ipoib_txreq_init (git-fixes)
- commit 4de26a7
* Wed May 24 2023 jgross@suse.com
- net: accept UFOv6 packages in virtio_net_hdr_to_skb (git-fixes).
- commit c8c1599
* Wed May 24 2023 jslaby@suse.cz
- x86/lib/memmove: Decouple ERMS from FSRM (bsc#1206578).
- x86/alternative: Support relocations in alternatives
  (bsc#1206578).
- x86/alternative: Make debug-alternative selective (bsc#1206578).
- commit 3be7202
* Wed May 24 2023 jgross@suse.com
- net: virtio_net_hdr_to_skb: count transport header in UFO
  (git-fixes).
- commit 435a431
* Wed May 24 2023 jslaby@suse.cz
- PCI/ASPM: Remove pcie_aspm_pm_state_change() (git-fixes).
- commit 4efb06a
* Tue May 23 2023 mkoutny@suse.com
- Update patches.suse/drm-msm-gpu-Fix-potential-double-free.patch
  (git-fixes CVE-2023-21106 bsc#1211654).
- commit f3f491e
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: Fix a repeated word checkpatch warning (git-fixes).
- commit 39f5ae5
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: Fix ep0 handling when getting reset while doing
  control transfer (git-fixes).
- commit acaaa13
* Tue May 23 2023 oneukum@suse.com
- USB / dwc3: Fix a checkpatch warning in core.c (git-fixes).
- commit 838022e
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: gadget: Delay issuing End Transfer (git-fixes).
- commit 19b0a32
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: gadget: Only End Transfer for ep0 data phase
  (git-fixes).
- commit 7e9b934
* Tue May 23 2023 petr.pavlu@suse.com
- trace/hwlat: make use of the helper function
  kthread_run_on_cpu() (git-fixes).
- Refresh
  patches.suse/trace-hwlat-Do-not-start-per-cpu-thread-if-it-is-already-running.patch.
- commit 9bf20d6
* Tue May 23 2023 petr.pavlu@suse.com
- fprobe: add recursion detection in fprobe_exit_handler
  (git-fixes).
- commit a7eb4b8
* Tue May 23 2023 petr.pavlu@suse.com
- fprobe: make fprobe_kprobe_handler recursion free (git-fixes).
- commit 8531dd6
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: remove a possible unnecessary 'out of memory'
  message (git-fixes).
- commit 59239b9
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: Align DWC3_EP_* flag macros (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Wait-for-ep0-xfers-to-complete-durin.patch.
- commit 4a16748
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: drd: use helper to get role-switch-default-mode
  (git-fixes).
- commit ee299c9
* Tue May 23 2023 petr.pavlu@suse.com
- rethook: use preempt_{disable, enable}_notrace in
  rethook_trampoline_handler (git-fixes).
- commit 41332a5
* Tue May 23 2023 petr.pavlu@suse.com
- tracing: Fix permissions for the buffer_percent file
  (git-fixes).
- commit 0318a81
* Tue May 23 2023 petr.pavlu@suse.com
- ring-buffer: Sync IRQ works before buffer destruction
  (git-fixes).
- commit a78e19a
* Tue May 23 2023 petr.pavlu@suse.com
- ring-buffer: Ensure proper resetting of atomic variables in
  ring_buffer_reset_online_cpus (git-fixes).
- commit 2b75346
* Tue May 23 2023 petr.pavlu@suse.com
- ring-buffer: Fix kernel-doc (git-fixes).
- commit 6ecbbdc
* Tue May 23 2023 petr.pavlu@suse.com
- net: qrtr: correct types of trace event parameters (git-fixes).
- commit dbac4e1
* Tue May 23 2023 petr.pavlu@suse.com
- f2fs: Fix f2fs_truncate_partial_nodes ftrace event (git-fixes).
- commit 6ed4e1b
* Tue May 23 2023 oneukum@suse.com
- usb: dwc3: ep0: Don't prepare beyond Setup stage (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Avoid-duplicate-requests-to-enable-R.patch.
- commit eccafbc
* Tue May 23 2023 denis.kirjanov@suse.com
- ipv6: sr: fix out-of-bounds read when setting HMAC data
  (bsc#1211592).
- commit 5a240f0
* Tue May 23 2023 denis.kirjanov@suse.com
- ipv6: sr: fix out-of-bounds read when setting HMAC data
  (bsc#1211592).
- commit fa266c0
* Tue May 23 2023 tiwai@suse.de
- Correct the bq24190 fix patch to apply at the right place (CVE-2023-33288 bsc#1211590)
- commit 9ac2993
* Tue May 23 2023 tiwai@suse.de
- power: supply: bq24190: Fix use after free bug in bq24190_remove
  due to race condition (CVE-2023-33288 bsc#1211590).
- commit 373505c
* Tue May 23 2023 lduncan@suse.com
- blacklist.conf: add commit to skip
- commit 239980b
* Tue May 23 2023 lduncan@suse.com
- scsi: mpi3mr: Fix throttle_groups memory leak (git-fixes).
- commit 3e861d2
* Tue May 23 2023 jgross@suse.com
- KVM: x86: Inject #GP if WRMSR sets reserved bits in APIC
  Self-IPI (git-fixes).
- commit 742c6c3
* Tue May 23 2023 jgross@suse.com
- KVM: x86/vmx: Do not skip segment attributes if unusable bit
  is set (git-fixes).
- commit 9eaecda
* Mon May 22 2023 jgross@suse.com
- KVM: x86: Copy filter arg outside kvm_vm_ioctl_set_msr_filter()
  (git-fixes).
- commit 30d94a9
* Mon May 22 2023 jgross@suse.com
- KVM: x86/pmu: Ignore pmu->global_ctrl check if vPMU doesn't
  support global_ctrl (git-fixes).
- commit aa84341
* Mon May 22 2023 jgross@suse.com
- KVM: x86: Protect the unused bits in MSR exiting flags
  (git-fixes).
- commit 28b2cff
* Mon May 22 2023 jgross@suse.com
- KVM: x86/svm: add __GFP_ACCOUNT to __sev_dbg_{en,de}crypt_user()
  (git-fixes).
- commit 4df9796
* Mon May 22 2023 jgross@suse.com
- KVM: x86: do not set st->preempted when going back to user space
  (git-fixes).
- commit 757f49a
* Mon May 22 2023 jgross@suse.com
- KVM: SVM: Don't rewrite guest ICR on AVIC IPI virtualization
  failure (git-fixes).
- commit f034027
* Mon May 22 2023 jgross@suse.com
- KVM: x86: Do not change ICR on write to APIC_SELF_IPI
  (git-fixes).
- commit 71266ce
* Mon May 22 2023 tbogendoerfer@suse.de
- gve: Handle alternate miss completions (bsc#1211519).
- gve: Adding a new AdminQ command to verify driver (bsc#1211519).
- gve: Fix error return code in gve_prefill_rx_pages()
  (bsc#1211519).
- gve: Reduce alloc and copy costs in the GQ rx path
  (bsc#1211519).
- google/gve:fix repeated words in comments (bsc#1211519).
- gve: Fix spelling mistake "droping" -> "dropping" (bsc#1211519).
- gve: enhance no queue page list detection (bsc#1211519).
- commit e7ab3d9
* Mon May 22 2023 jgross@suse.com
- KVM: x86/mmu: avoid NULL-pointer dereference on page freeing
  bugs (git-fixes).
- commit 0592eea
* Mon May 22 2023 jgross@suse.com
- KVM: LAPIC: Enable timer posted-interrupt only when mwait/hlt
  is advertised (git-fixes).
- commit b3bd831
* Mon May 22 2023 jgross@suse.com
- kvm: x86: Disable KVM_HC_CLOCK_PAIRING if tsc is in always
  catchup mode (git-fixes).
- commit 61c19ae
* Mon May 22 2023 jgross@suse.com
- KVM: x86: Report deprecated x87 features in supported CPUID
  (git-fixes).
- commit f103d79
* Mon May 22 2023 jgross@suse.com
- KVM: nVMX: eVMCS: Filter out VM_EXIT_SAVE_VMX_PREEMPTION_TIMER
  (git-fixes).
- commit 28c6c36
* Mon May 22 2023 jgross@suse.com
- KVM: nVMX: Also filter MSR_IA32_VMX_TRUE_PINBASED_CTLS when
  eVMCS (git-fixes).
- commit aa258cd
* Mon May 22 2023 jgross@suse.com
- KVM: VMX: Set vmcs.PENDING_DBG.BS on #DB in STI/MOVSS blocking
  shadow (git-fixes).
- commit 10c2c56
* Mon May 22 2023 msuchanek@suse.de
- kernel-source: Remove unused macro variant_symbols
- commit 915ac72
* Mon May 22 2023 jgross@suse.com
- KVM: VMX: Introduce vmx_msr_bitmap_l01_changed() helper
  (git-fixes).
- commit 7736978
* Mon May 22 2023 jgross@suse.com
- KVM: nVMX: Don't use Enlightened MSR Bitmap for L3 (git-fixes).
- commit a6f9309
* Mon May 22 2023 jgross@suse.com
- blacklist.conf: add 9dba4d24cbb55 ("86/kvm: remove unused ack_notifier
  callbacks"
- commit 7c642cd
* Mon May 22 2023 jgross@suse.com
- KVM: X86: Fix tlb flush for tdp in kvm_invalidate_pcid()
  (git-fixes).
- commit 28c590c
* Mon May 22 2023 mfranc@suse.cz
- s390/extmem: return correct segment type in __segment_load()
  (bsc#1210450 git-fixes).
- commit 0040ffc
* Mon May 22 2023 mfranc@suse.cz
- s390/uaccess: add missing earlyclobber annotations to __clear_user()
  (bsc#1209856 git-fixes).
- commit 66fb793
* Mon May 22 2023 jgross@suse.com
- xen/netback: use same error messages for same errors
  (git-fixes).
- commit a7eb923
* Mon May 22 2023 nik.borisov@suse.com
- perf/x86/rapl: Add support for Intel Emerald Rapids (PED-4394).
- commit ab497dd
* Mon May 22 2023 msuchanek@suse.de
- powerpc/iommu: DMA address offset is incorrectly calculated
  with 2MB TCEs (jsc#SLE-19556 git-fixes).
- commit 893c217
* Mon May 22 2023 mfranc@suse.cz
- net/iucv: Fix size of interrupt data (bsc#1211465 git-fixes).
- s390/qeth: fix use-after-free in hsci (bsc#1210449 git-fixes).
- commit 0720e89
* Mon May 22 2023 nik.borisov@suse.com
- intel_idle: add Emerald Rapids Xeon support (PED-3849).
- commit 8d09d1b
* Mon May 22 2023 nik.borisov@suse.com
- powercap: intel_rapl: add support for Emerald Rapids (PED-4398).
- commit dc22ac7
* Mon May 22 2023 nik.borisov@suse.com
- EDAC/i10nm: Add Intel Emerald Rapids server support (PED-4400).
- commit e69675e
* Mon May 22 2023 tiwai@suse.de
- fbdev: udlfb: Fix endpoint check (git-fixes).
- fbdev: arcfb: Fix error handling in arcfb_probe() (git-fixes).
- USB: core: Add routines for endpoint checks in old drivers
  (git-fixes).
- fbdev: ep93xx-fb: Add missing clk_disable_unprepare in
  ep93xxfb_probe() (git-fixes).
- fbdev: stifb: Fall back to cfb_fillrect() on 32-bit HCRX cards
  (git-fixes).
- commit b351847
* Mon May 22 2023 nik.borisov@suse.com
- platform/x86: intel-uncore-freq: add Emerald Rapids support (PED-4390).
- commit 058df37
* Sun May 21 2023 tiwai@suse.de
- Move upstreamed thunderbolt patch into sorted section
- commit 11f4550
* Sun May 21 2023 tiwai@suse.de
- vc_screen: reload load of struct vc_data pointer in vcs_write()
  to avoid UAF (git-fixes).
- serial: qcom-geni: fix enabling deactivated interrupt
  (git-fixes).
- serial: 8250_bcm7271: fix leak in `brcmuart_probe` (git-fixes).
- serial: 8250_bcm7271: balance clk_enable calls (git-fixes).
- serial: arc_uart: fix of_iomap leak in `arc_serial_probe`
  (git-fixes).
- thunderbolt: Clear registers properly when auto clear isn't
  in use (bsc#1210165).
- xhci: Fix incorrect tracking of free space on transfer rings
  (git-fixes).
- xhci-pci: Only run d3cold avoidance quirk for s2idle
  (git-fixes).
- usb: typec: altmodes/displayport: fix pin_assignment_show
  (git-fixes).
- usb: dwc3: debugfs: Resume dwc3 before accessing registers
  (git-fixes).
- commit 8584d07
* Sat May 20 2023 tiwai@suse.de
- ALSA: hda: Add NVIDIA codec IDs a3 through a7 to patch table
  (git-fixes).
- ALSA: hda: Fix Oops by 9.1 surround channel names (git-fixes).
- ALSA: hda/realtek: Fix mute and micmute LEDs for yet another
  HP laptop (git-fixes).
- ALSA: usb-audio: Add a sample rate workaround for Line6 Pod Go
  (git-fixes).
- ALSA: hda/realtek: Add quirk for HP EliteBook G10 laptops
  (git-fixes).
- ALSA: hda/realtek: Add a quirk for HP EliteDesk 805 (git-fixes).
- ALSA: hda/realtek: Add quirk for 2nd ASUS GU603 (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo L140AU (git-fixes).
- commit 6ddb5bd
* Sat May 20 2023 tiwai@suse.de
- drm/msm/dpu: Remove duplicate register defines from INTF
  (git-fixes).
- drm/msm/dp: unregister audio driver during unbind (git-fixes).
- drm/exynos: fix g2d_open/close helper function definitions
  (git-fixes).
- Documentation/filesystems: ramfs-rootfs-initramfs: use :Author:
  (git-fixes).
- Documentation/filesystems: sharedsubtree: add section headings
  (git-fixes).
- ALSA: cs46xx: mark snd_cs46xx_download_image as static
  (git-fixes).
- ALSA: hda/realtek: Apply HP B&O top speaker profile to Pavilion
  15 (git-fixes).
- ALSA: firewire-digi00x: prevent potential use after free
  (git-fixes).
- commit 473b547
* Fri May 19 2023 tiwai@suse.de
- Move upstreamed media patches into sorted section
- commit 201322a
* Fri May 19 2023 tiwai@suse.de
- Revert "supported.conf: Add a guard for unsupported DVB modules"
  The fix has been merged to the upstream and will be backported
- commit 5c3d334
* Fri May 19 2023 tiwai@suse.de
- media: dvb_net: kABI workaround (CVE-2022-45886 bsc#1205760).
- media: dvb_frontend: kABI workaround (CVE-2022-45885
  bsc#1205758).
- commit 93a2fd7
* Fri May 19 2023 tiwai@suse.de
- media: ttusb-dec: fix memory leak in ttusb_dec_exit_dvb()
  (CVE-2022-45887 bsc#1205762).
- media: dvb-core: Fix use-after-free due to race condition at
  dvb_ca_en50221 (CVE-2022-45919 bsc#1205803).
- media: dvb-core: Fix use-after-free due to race at
  dvb_register_device() (CVE-2022-45884 bsc#1205756).
- media: dvb-core: Fix use-after-free due on race condition at
  dvb_net (CVE-2022-45886 bsc#1205760).
- media: dvb-core: Fix kernel WARNING for blocking operation in
  wait_event*() (CVE-2023-31084 bsc#1210783).
- media: dvb-core: Fix use-after-free on race condition at
  dvb_frontend (CVE-2022-45885 bsc#1205758).
- commit 3c0eba9
* Fri May 19 2023 tiwai@suse.de
- can: kvaser_pciefd: Disable interrupts in probe error path
  (git-fixes).
- can: kvaser_pciefd: Do not send EFLUSH command on TFD interrupt
  (git-fixes).
- can: kvaser_pciefd: Empty SRB buffer in probe (git-fixes).
- can: kvaser_pciefd: Call request_irq() before enabling
  interrupts (git-fixes).
- can: kvaser_pciefd: Clear listen-only bit if not explicitly
  requested (git-fixes).
- can: kvaser_pciefd: Set CAN_STATE_STOPPED in
  kvaser_pciefd_stop() (git-fixes).
- wifi: iwlwifi: mvm: don't trust firmware n_channels (git-fixes).
- wifi: iwlwifi: mvm: fix OEM's name in the tas approved list
  (git-fixes).
- wifi: iwlwifi: fix OEM's name in the ppag approved list
  (git-fixes).
- wifi: iwlwifi: fw: fix DBGI dump (git-fixes).
- wifi: iwlwifi: mvm: fix cancel_delayed_work_sync() deadlock
  (git-fixes).
- wifi: mac80211: fix min center freq offset tracing (git-fixes).
- cassini: Fix a memory leak in the error handling path of
  cas_init_one() (git-fixes).
- can: j1939: recvmsg(): allow MSG_CMSG_COMPAT flag (git-fixes).
- can: isotp: recvmsg(): allow MSG_CMSG_COMPAT flag (git-fixes).
- selftets: seg6: disable rp_filter by default in
  srv6_end_dt4_l3vpn_test (git-fixes).
- selftests: seg6: disable DAD on IPv6 router cfg for
  srv6_end_dt4_l3vpn_test (git-fixes).
- media: netup_unidvb: fix use-after-free at del_timer()
  (git-fixes).
- selftests/sgx: Add "test_encl.elf" to TEST_FILES (git-fixes).
- selftests: srv6: make srv6_end_dt46_l3vpn_test more robust
  (git-fixes).
- commit 41844ce
* Thu May 18 2023 jlee@suse.com
- Update References
  patches.suse/bluetooth-Perform-careful-capability-checks-in-hci_s.patch
  (git-fixes bsc#1210533 CVE-2023-2002).
- commit 0d52fb3
* Thu May 18 2023 jlee@suse.com
- Update References
  patches.suse/bluetooth-Perform-careful-capability-checks-in-hci_s.patch
  (git-fixes bsc#1210533 CVE-2023-2002).
- commit 318f49e
* Thu May 18 2023 denis.kirjanov@suse.com
- net: sched: sch_qfq: prevent slab-out-of-bounds in
  qfq_activate_agg (bsc#1210940 CVE-2023-31436).
- commit 66f563f
* Thu May 18 2023 denis.kirjanov@suse.com
- net: sched: sch_qfq: prevent slab-out-of-bounds in
  qfq_activate_agg (bsc#1210940 CVE-2023-31436).
- commit 8a9beae
* Thu May 18 2023 tiwai@suse.de
- drm/amd/display: Add NULL plane_state check for cursor disable
  logic (git-fixes).
- commit e359fd6
* Thu May 18 2023 tiwai@suse.de
- drm/amdgpu/gfx: disable gfx9 cp_ecc_error_irq only when enabling
  legacy gfx ras (git-fixes).
- drm/amdgpu: disable sdma ecc irq only when sdma RAS is enabled
  in suspend (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the Dexp Ursus
  KX210i (git-fixes).
- platform/x86: touchscreen_dmi: Add upside-down quirk for
  GDIX1002 ts on the Juno Tablet (git-fixes).
- drm/amd/display: Fix hang when skipping modeset (git-fixes).
- HID: wacom: Set a default resolution for older tablets
  (git-fixes).
- drm/i915/dg2: Add HDMI pixel clock frequencies 267.30 and
  319.89 MHz (git-fixes).
- drm/i915/dg2: Add additional HDMI pixel clock frequencies
  (git-fixes).
- drm/i915/dg2: Support 4k@30 on HDMI (git-fixes).
- commit 2af09b7
* Wed May 17 2023 ohering@suse.de
- Add a bug reference to two existing drm-hyperv changes (bsc#1211281).
- commit 5df9068
* Wed May 17 2023 palcantara@suse.de
- cifs: fix sharing of DFS connections (bsc#1208758).
- commit eca9f8a
* Wed May 17 2023 palcantara@suse.de
- cifs: avoid potential races when handling multiple dfs tcons
  (bsc#1208758).
- commit 63e23c3
* Wed May 17 2023 palcantara@suse.de
- cifs: protect access of TCP_Server_Info::{origin,leaf}_fullpath
  (bsc#1208758).
- commit afe04d7
* Wed May 17 2023 palcantara@suse.de
- cifs: fix potential race when tree connecting ipc (bsc#1208758).
- commit e5ca6c5
* Wed May 17 2023 palcantara@suse.de
- cifs: fix potential use-after-free bugs in
  TCP_Server_Info::hostname (bsc#1208758).
- commit c684f06
* Wed May 17 2023 palcantara@suse.de
- cifs: protect session status check in smb2_reconnect()
  (bsc#1208758).
- commit a5777d5
* Wed May 17 2023 palcantara@suse.de
- smb3: move some common open context structs to smbfs_common
  (bsc#1193629).
- commit 584d68d
* Wed May 17 2023 palcantara@suse.de
- smb3: make query_on_disk_id open context consistent and move
  to common code (bsc#1193629).
- commit c9e01f8
* Wed May 17 2023 palcantara@suse.de
- cifs: missing lock when updating session status (bsc#1193629).
- commit 54a1882
* Wed May 17 2023 palcantara@suse.de
- SMB3: Add missing locks to protect deferred close file list
  (git-fixes).
- commit de29309
* Wed May 17 2023 palcantara@suse.de
- cifs: avoid dup prefix path in dfs_get_automount_devname()
  (git-fixes).
- commit ed1670a
* Wed May 17 2023 palcantara@suse.de
- cifs: sanitize paths in cifs_update_super_prepath (git-fixes).
- commit afc9290
* Tue May 16 2023 tbogendoerfer@suse.de
- Refresh
  patches.suse/net-ice-Add-support-for-enable_iwarp-and-enable_roce.patch.
- Delete
  patches.suse/devlink-Add-enable_iwarp-generic-device-param.patch.
  Fixed broken kABI (bsc#1208050 bsc#1211414).
- commit 118de8c
* Mon May 15 2023 tbogendoerfer@suse.de
- Refresh
  patches.suse/net-mana-Add-new-MANA-VF-performance-counters-for-ea.patch.
  Fix backport.
- commit 6887ae9
* Fri May 12 2023 tiwai@suse.de
- drm/amdgpu: change gfx 11.0.4 external_id range (git-fixes).
- drm/amd/pm: parse pp_handle under appropriate conditions
  (git-fixes).
- drm/i915: Fix NULL ptr deref by checking new_crtc_state
  (git-fixes).
- drm/i915/guc: Don't capture Gen8 regs on Xe devices (git-fixes).
- drm/fbdev-generic: prohibit potential out-of-bounds access
  (git-fixes).
- commit c326a09
* Fri May 12 2023 tiwai@suse.de
- HID: microsoft: Add rumble support to latest xbox controllers
  (bsc#1211280).
- commit a92cf6c
* Fri May 12 2023 tiwai@suse.de
- Update the thunderbolt fix to the latest upstream version (bsc#1210165)
- commit d92e1a7
* Fri May 12 2023 ailiop@suse.com
- affs: initialize fsdata in affs_truncate() (git-fixes).
- commit 556d7fa
* Fri May 12 2023 ailiop@suse.com
- fs: sysv: Fix sysv_nblocks() returns wrong value (git-fixes).
- commit caf7724
* Fri May 12 2023 ailiop@suse.com
- fs: hfsplus: fix UAF issue in hfsplus_put_super (git-fixes).
- commit e87f79f
* Fri May 12 2023 ailiop@suse.com
- hfs: fix missing hfs_bnode_get() in __hfs_bnode_create
  (git-fixes).
- commit 563e8d3
* Fri May 12 2023 ailiop@suse.com
- hfsplus: fix bug causing custom uid and gid being unable to
  be assigned with mount (git-fixes).
- commit 610a8fb
* Fri May 12 2023 ailiop@suse.com
- hfs: Fix OOB Write in hfs_asc2mac (git-fixes).
- commit 8b5744b
* Fri May 12 2023 ailiop@suse.com
- hfs: fix OOB Read in __hfs_brec_find (git-fixes).
- commit feebcc9
* Fri May 12 2023 ailiop@suse.com
- hfs/hfsplus: use WARN_ON for sanity check (git-fixes).
- commit 8740f85
* Fri May 12 2023 ailiop@suse.com
- fs: jfs: fix possible NULL pointer dereference in dbFree()
  (git-fixes).
- commit dd91206
* Fri May 12 2023 ailiop@suse.com
- fs/jfs: fix shift exponent db_agl2size negative (git-fixes).
- commit a58e29a
* Fri May 12 2023 ailiop@suse.com
- fs: jfs: fix shift-out-of-bounds in dbDiscardAG (git-fixes).
- commit c7328c2
* Fri May 12 2023 ailiop@suse.com
- jfs: Fix fortify moan in symlink (git-fixes).
- commit 11b192f
* Fri May 12 2023 ailiop@suse.com
- fs: jfs: fix shift-out-of-bounds in dbAllocAG (git-fixes).
- commit 79e06af
* Fri May 12 2023 tbogendoerfer@suse.de
- kabi/severities: added Microsoft mana symbold (bsc#1210551)
- commit 9c4a05e
* Fri May 12 2023 tbogendoerfer@suse.de
- net: mana: Check if netdev/napi_alloc_frag returns single page
  (bsc#1210551).
- net: mana: Rename mana_refill_rxoob and remove some empty lines
  (bsc#1210551).
- net: mana: Add support for jumbo frame (bsc#1210551).
- net: mana: Enable RX path to handle various MTU sizes
  (bsc#1210551).
- net: mana: Refactor RX buffer allocation code to prepare for
  various MTU (bsc#1210551).
- net: mana: Use napi_build_skb in RX path (bsc#1210551).
- net: mana: Add new MANA VF performance counters for easier
  troubleshooting (bsc#1209982).
- commit ac98332
* Fri May 12 2023 ailiop@suse.com
- reiserfs: Add security prefix to xattr name in
  reiserfs_security_write() (git-fixes).
- commit 20d1751
* Fri May 12 2023 ailiop@suse.com
- reiserfs: Add missing calls to reiserfs_security_free()
  (git-fixes).
- commit 680dc2c
* Fri May 12 2023 ailiop@suse.com
- Squashfs: fix handling and sanity checking of xattr_ids count
  (git-fixes).
- commit 3c564fc
* Fri May 12 2023 ailiop@suse.com
- squashfs: harden sanity check in squashfs_read_xattr_id_table
  (git-fixes).
- commit 982f949
* Fri May 12 2023 ailiop@suse.com
- xfs: set bnobt/cntbt numrecs correctly when formatting new AGs
  (git-fixes).
- commit 5814c62
* Fri May 12 2023 jgross@suse.com
- kABI: Fix kABI after backport Emulate RDPID only if it is enabled in guest
  (git-fixes)
- commit ef4b42f
* Fri May 12 2023 jlee@suse.com
- ACPI: tables: Add support for NBFT (bsc#1195921).
- commit 90b0d13
* Fri May 12 2023 tiwai@suse.de
- drm/amdgpu: Fix vram recover doesn't work after whole GPU reset
  (v2) (git-fixes).
- drm/i915/dp: prevent potential div-by-zero (git-fixes).
- drm/mipi-dsi: Set the fwnode for mipi_dsi_device (git-fixes).
- docs: networking: fix x25-iface.rst heading & index order
  (git-fixes).
- gve: Remove the code of clearing PBA bit (git-fixes).
- nilfs2: do not write dirty data after degenerating to read-only
  (git-fixes).
- nilfs2: fix infinite loop in nilfs_mdt_get_block() (git-fixes).
- clk: qcom: gcc-sm8350: fix PCIe PIPE clocks handling
  (git-fixes).
- pstore: Revert pmsg_lock back to a normal mutex (git-fixes).
- wifi: mt76: mt7921e: Set memory space enable in PCI_COMMAND
  if unset (git-fixes).
- selftests: xsk: Disable IPv6 on VETH1 (git-fixes).
- wifi: rtl8xxxu: RTL8192EU always needs full init (git-fixes).
- mailbox: zynqmp: Fix typo in IPI documentation (git-fixes).
- mailbox: zynqmp: Fix IPI isr handling (git-fixes).
- drm/ttm/pool: Fix ttm_pool_alloc error path (git-fixes).
- arm64: kgdb: Set PSTATE.SS to 1 to re-enable single-step
  (git-fixes).
- ARM: dts: qcom: ipq8064: Fix the PCI I/O port range (git-fixes).
- selftests/resctrl: Check for return value after write_schemata()
  (git-fixes).
- selftests/resctrl: Allow ->setup() to return errors (git-fixes).
- selftests/resctrl: Move ->setup() call outside of test specific
  branches (git-fixes).
- selftests/resctrl: Return NULL if malloc_and_init_memory()
  did not alloc mem (git-fixes).
- tpm, tpm_tis: Disable interrupts if tpm_tis_probe_irq() failed
  (git-fixes).
- tpm, tpm_tis: Claim locality before writing TPM_INT_ENABLE
  register (git-fixes).
- iio: adc: palmas_gpadc: fix NULL dereference on rmmod
  (git-fixes).
- selftests mount: Fix mount_setattr_test builds failed
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Acer Iconia One
  7 B1-750 (git-fixes).
- ASOC: Intel: sof_sdw: add quirk for Intel 'Rooks County'
  NUC M15 (git-fixes).
- ASoC: soc-pcm: fix hw->formats cleared by soc_pcm_hw_init()
  for dpcm (git-fixes).
- asm-generic/io.h: suppress endianness warnings for readq()
  and writeq() (git-fixes).
- drm/ttm: optimize pool allocations a bit v2 (git-fixes).
- clk: qcom: regmap: add PHY clock source implementation
  (git-fixes).
- ARM: dts: qcom: ipq8064: reduce pci IO size to 64K (git-fixes).
- arm64: dts: Add base DTS file for bcmbca device Asus GT-AX6000
  (git-fixes).
- ARM64: dts: Add DTS files for bcmbca SoC BCM6858 (git-fixes).
- arm64: dts: Add DTS files for bcmbca SoC BCM4912 (git-fixes).
- arm64: dts: Add DTS files for bcmbca SoC BCM63158 (git-fixes).
- selftests/resctrl: Extend CPU vendor detection (git-fixes).
- spi: spi-imx: using pm_runtime_resume_and_get instead of
  pm_runtime_get_sync (git-fixes).
- media: rcar_fdp1: Fix the correct variable assignments
  (git-fixes).
- arm64: dts: broadcom: bcm4908: add DT for Netgear RAXE500
  (git-fixes).
- serial: stm32: re-introduce an irq flag condition in
  usart_receive_chars (git-fixes).
- media: rcar_fdp1: Make use of the helper function
  devm_platform_ioremap_resource() (git-fixes).
- commit c094bdc
* Thu May 11 2023 jgross@suse.com
- KVM: nVMX: Emulate NOPs in L2, and PAUSE if it's not intercepted
  (git-fixes).
- commit d64e14c
* Thu May 11 2023 jgross@suse.com
- KVM: VMX: Use is_64_bit_mode() to check 64-bit mode in SGX
  handler (git-fixes).
- commit 56061d9
* Thu May 11 2023 jgross@suse.com
- KVM: x86: Remove a redundant guest cpuid check in kvm_set_cr4()
  (git-fixes).
- commit a6ab5bb
* Thu May 11 2023 jgross@suse.com
- KVM: SVM: Fix benign "bool vs. int" comparison in svm_set_cr0()
  (git-fixes).
- commit f475ade
* Thu May 11 2023 jgross@suse.com
- KVM: SVM: hyper-v: placate modpost section mismatch error
  (git-fixes).
- commit 816e1bf
* Thu May 11 2023 jgross@suse.com
- KVM: SVM: Fix potential overflow in SEV's
  send|receive_update_data() (git-fixes).
- commit 16c4f84
* Thu May 11 2023 jgross@suse.com
- KVM: SVM: Require logical ID to be power-of-2 for AVIC entry
  (git-fixes).
- commit aed233d
* Thu May 11 2023 tiwai@suse.de
- platform/x86: thinkpad_acpi: Fix platform profiles on T490
  (git-fixes).
- commit 1c69e0b
* Thu May 11 2023 jgross@suse.com
- KVM: x86/xen: Fix memory leak in kvm_xen_write_hypercall_page()
  (git-fixes).
- commit 81f590f
* Thu May 11 2023 jgross@suse.com
- KVM: nVMX: Properly expose ENABLE_USR_WAIT_PAUSE control to L1
  (git-fixes).
- commit 77c8954
* Thu May 11 2023 jgross@suse.com
- KVM: nVMX: Document that ignoring memory failures for VMCLEAR
  is deliberate (git-fixes).
- commit b84688a
* Thu May 11 2023 jgross@suse.com
- KVM: x86: ioapic: Fix level-triggered EOI and userspace I/OAPIC
  reconfigure race (git-fixes).
- commit 5d05f90
* Thu May 11 2023 nik.borisov@suse.com
- x86/nospec: Unwreck the RSB stuffing (git-fixes).
- commit b1c4544
* Thu May 11 2023 nik.borisov@suse.com
- x86/amd: Use IBPB for firmware calls (git-fixes).
- Refresh patches.suse/x86-speculation-Add-RSB-VM-Exit-protections.patch.
- commit 98a0873
* Thu May 11 2023 jgross@suse.com
- KVM: nVMX: Inject #GP, not #UD, if "generic" VMXON CR0/CR4
  check fails (git-fixes).
- commit 8d3f5e6
* Thu May 11 2023 nik.borisov@suse.com
- x86/speculation: Identify processors vulnerable to SMT RSB predictions (git-fixes).
- commit 55ad85a
* Thu May 11 2023 nik.borisov@suse.com
- x86/bugs: Add "unknown" reporting for MMIO Stale Data (git-fixes).
- commit c9d308d
* Thu May 11 2023 jgross@suse.com
- KVM: SVM: Skip WRMSR fastpath on VM-Exit if next RIP isn't valid
  (git-fixes).
- commit 341c774
* Thu May 11 2023 duwe@suse.de
- ECO for QAT driver update was approved (PED-3955).
  Allow kABI changes below drivers/crypto/qat and remove
  the corresponding kABI padding patch.
- commit d46b3f1
* Thu May 11 2023 nik.borisov@suse.com
- x86/speculation/mmio: Print SMT warning (git-fixes).
- commit b61badb
* Thu May 11 2023 nik.borisov@suse.com
- x86/bugs: Warn when "ibrs" mitigation is selected on Enhanced IBRS  parts (git-fixes).
- commit 309477d
* Thu May 11 2023 nik.borisov@suse.com
- x86/alternative: Report missing return thunk details (git-fixes).
- commit a6de731
* Thu May 11 2023 jgross@suse.com
- KVM: x86: Fail emulation during EMULTYPE_SKIP on any exception
  (git-fixes).
- commit b95c292
* Thu May 11 2023 jgross@suse.com
- KVM: VMX: Resume guest immediately when injecting #GP on ECREATE
  (git-fixes).
- commit 028e88b
* Thu May 11 2023 nik.borisov@suse.com
- blacklist.conf: Blacklist already integrated patch
- commit f08adc0
* Thu May 11 2023 nik.borisov@suse.com
- blacklist.conf: Remove alread-integrated patch
- commit 6038830
* Thu May 11 2023 jgross@suse.com
- KVM: x86: Mask off reserved bits in CPUID.8000001FH (git-fixes).
- commit f34367a
* Thu May 11 2023 jgross@suse.com
- KVM: nVMX: Prioritize TSS T-flag #DBs over Monitor Trap Flag
  (git-fixes).
- commit 4d26615
* Thu May 11 2023 jgross@suse.com
- KVM: nVMX: Treat General Detect #DB (DR7.GD=1) as fault-like
  (git-fixes).
- commit 1c41646
* Thu May 11 2023 jgross@suse.com
- KVM: x86: Mask off unsupported and unknown bits of
  IA32_ARCH_CAPABILITIES (git-fixes).
- commit e7d58ae
* Thu May 11 2023 jgross@suse.com
- KVM: x86: fix typo in __try_cmpxchg_user causing non-atomicness
  (git-fixes).
- commit 31729ed
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Limit length in kvm_vm_ioctl_mte_copy_tags() to INT_MAX (git-fixes)
- commit e94cf3b
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Fix buffer overflow in kvm_arm_set_fw_reg() (git-fixes)
- commit 7aef2ca
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: PMU: Restore the guest's EL0 event counting after (git-fixes)
- commit 1e49eb1
* Thu May 11 2023 msuchanek@suse.de
- Fix bug reference.
- Update patches.suse/powerpc-64s-Fix-local-irq-disable-when-PMIs-are-disa.patch
  (bsc#1195655 ltc#195733 git-fixes).
- Update patches.suse/powerpc-64s-hash-Make-hash-faults-work-in-NMI-contex.patch
  (bsc#1195655 ltc#195733).
- commit 75b352e
* Thu May 11 2023 jgross@suse.com
- KVM: x86/emulator: Emulate RDPID only if it is enabled in guest
  (git-fixes).
- commit 8e78e7b
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Don't arm a hrtimer for an already pending timer (git-fixes)
- commit 7242bab
* Thu May 11 2023 iivanov@suse.de
- KVM: Destroy target device if coalesced MMIO unregistration fails (git-fixes)
- commit 24e09a6
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Free hypervisor allocations if vector slot init fails (git-fixes)
- commit 94fc8c2
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: GICv4.1: Fix race with doorbell on VPE (git-fixes)
- commit a2031d5
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Fix S1PTW handling on RO memslots (git-fixes)
- commit 57c82ed
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Fix PAR_TO_HPFAR() to work independently of PA_BITS. (git-fixes)
- commit 4084e39
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Fix kvm init failure when mode!=vhe and VA_BITS=52. (git-fixes)
- commit 80e5dc8
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Fix bad dereference on MTE-enabled systems (git-fixes)
- commit b34a907
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: vgic: Fix exit condition in scan_its_table() (git-fixes)
- commit 18fdaaf
* Thu May 11 2023 msuchanek@suse.de
- powerpc/rtas: use memmove for potentially overlapping buffer
  copy (bsc#1065729).
- powerpc: Don't try to copy PPR for task with NULL pt_regs
  (bsc#1065729).
- commit a0f9fd4
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Reject 32bit user PSTATE on asymmetric systems (git-fixes)
- commit 1e56a5b
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Treat PMCR_EL1.LC as RES1 on asymmetric systems (git-fixes)
- commit 32b2eb1
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Don't return from void function (git-fixes)
- commit 929b4b8
* Thu May 11 2023 iivanov@suse.de
- KVM: Don't set Accessed/Dirty bits for ZERO_PAGE (git-fixes)
- commit d5c7f0a
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: nvhe: Eliminate kernel-doc warnings (git-fixes)
- commit c528fa6
* Thu May 11 2023 iivanov@suse.de
- KVM: Don't create VM debugfs files outside of the VM directory (git-fixes)
- commit f35aa14
* Thu May 11 2023 jslaby@suse.cz
- x86/fpu/xsave: Initialize offset/size cache early (bsc#1211205).
- commit 5c67650
* Thu May 11 2023 iivanov@suse.de
- Revert "KVM: set owner of cpu and vm file operations" (git-fixes)
- commit 641eec4
* Thu May 11 2023 iivanov@suse.de
- KVM: Prevent module exit until all VMs are freed (git-fixes)
- commit d75ff37
* Thu May 11 2023 iivanov@suse.de
- KVM: arm64: Stop handle_exit() from handling HVC twice when an SError (git-fixes)
- commit e7649a0
* Thu May 11 2023 iivanov@suse.de
- KVM: Disallow user memslot with size that exceeds "unsigned long" (git-fixes)
- commit 3d5e854
* Thu May 11 2023 iivanov@suse.de
- arm64: errata: add detection for AMEVCNTR01 incrementing incorrectly (git-fixes)
  Enable workaround and fix kABI breakage.
- commit 65ad1d7
* Thu May 11 2023 iivanov@suse.de
- arm64: kgdb: Set PSTATE.SS to 1 to re-enable single-step (git-fixes)
- commit 66d6673
* Thu May 11 2023 iivanov@suse.de
- kvm/vfio: Fix potential deadlock on vfio group_lock (git-fixes)
- commit eba8d17
* Thu May 11 2023 iivanov@suse.de
- kvm/vfio: Fix potential deadlock problem in vfio (git-fixes)
- commit 3afe80a
* Thu May 11 2023 tbogendoerfer@suse.de
- RDMA/mana: hide new rdma_driver_ids (bsc#1210741 jsc#PED-4022).
- commit f8b8352
* Thu May 11 2023 tbogendoerfer@suse.de
- RDMA/mana_ib: Add a driver for Microsoft Azure Network Adapter
  (bsc#1210741 jsc#PED-4022).
- Update config files.
- supported.conf: mark mana_ib supported
- commit 1a4c2c7
* Thu May 11 2023 tbogendoerfer@suse.de
- net: mana: Move header files to a common location (bsc#1210741
  jsc#PED-4022).
- Refresh
  patches.suse/net-mana-Fix-IRQ-name-add-PCI-and-queue-number.patch.
- commit 5b586a1
* Thu May 11 2023 tbogendoerfer@suse.de
- RDMA/mana_ib: Fix a bug when the PF indicates more entries for
  registering memory on first packet (bsc#1210741 jsc#PED-4022).
- RDMA/mana_ib: Prevent array underflow in mana_ib_create_qp_raw()
  (bsc#1210741 jsc#PED-4022).
- RDMA/mana: Remove redefinition of basic u64 type (bsc#1210741
  jsc#PED-4022).
- commit 34e74c1
* Wed May 10 2023 tbogendoerfer@suse.de
- net: mana: Define data structures for protection domain and
  memory registration (bsc#1210741 jsc#PED-4022).
- net: mana: Define data structures for allocating doorbell page
  from GDMA (bsc#1210741 jsc#PED-4022).
- net: mana: Define and process GDMA response code
  GDMA_STATUS_MORE_ENTRIES (bsc#1210741 jsc#PED-4022).
- net: mana: Define max values for SGL entries (bsc#1210741
  jsc#PED-4022).
- net: mana: Record port number in netdev (bsc#1210741
  jsc#PED-4022).
- net: mana: Export Work Queue functions for use by RDMA driver
  (bsc#1210741 jsc#PED-4022).
- net: mana: Set the DMA device max segment size (bsc#1210741
  jsc#PED-4022).
- net: mana: Handle vport sharing between devices (bsc#1210741
  jsc#PED-4022).
- net: mana: Record the physical address for doorbell page region
  (bsc#1210741 jsc#PED-4022).
- net: mana: Add support for auxiliary device (bsc#1210741
  jsc#PED-4022).
- commit f92c525
* Wed May 10 2023 vkarasulli@suse.de
- KVM: nVMX: add missing consistency checks for CR0 and CR4
  (bsc#1210294 CVE-2023-30456).
- commit ef9d3af
* Wed May 10 2023 vkarasulli@suse.de
- KVM: nVMX: add missing consistency checks for CR0 and CR4
  (bsc#1210294 CVE-2023-30456).
- commit 8fd5c72
* Wed May 10 2023 oneukum@suse.com
- blacklist.conf: cleanup of a comment
- commit 84e5a2f
* Wed May 10 2023 oneukum@suse.com
- blacklist.conf: dependencies cannot be met
- commit e3d82fb
* Wed May 10 2023 tiwai@suse.de
- iwlwifi: cfg: Add missing MODULE_FIRMWARE() for *.pnvm
  (bsc#1207553).
- commit f66a3d1
* Wed May 10 2023 ddiss@suse.de
- apparmor: add a kernel label to use on kernel objects
  (bsc#1211113).
- commit 51d9c3d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add resubmit logic for decompression (jsc#PED-3692)
- commit 0291fd1
* Tue May  9 2023 duwe@suse.de
- crypto: acomp - define max size for destination (jsc#PED-3692)
- commit 85592d8
* Tue May  9 2023 duwe@suse.de
- crypto: qat - enable deflate for QAT GEN4 (jsc#PED-3692)
- commit e4a787e
* Tue May  9 2023 duwe@suse.de
- crypto: qat - expose deflate through acomp api for QAT GEN2 (jsc#PED-3692)
- commit 0a12d82
* Tue May  9 2023 duwe@suse.de
- crypto: qat - rename and relocate GEN2 config function (jsc#PED-3692)
- commit 84eb593
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate qat_algs_alloc_flags() (jsc#PED-3692)
- commit b8f6153
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate backlog related structures (jsc#PED-3692)
- commit 4cc71cc
* Tue May  9 2023 duwe@suse.de
- crypto: qat - extend buffer list interface (jsc#PED-3692)
- commit add926d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - generalize crypto request buffers (jsc#PED-3692)
- commit 53057db
* Tue May  9 2023 duwe@suse.de
- crypto: qat - change bufferlist logic interface (jsc#PED-3692)
- commit e94a222
* Tue May  9 2023 duwe@suse.de
- crypto: qat - rename bufferlist functions (jsc#PED-3692)
- commit 6fb4fa4
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate bufferlist logic (jsc#PED-3692)
- commit babeef7
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix error return code in adf_probe (jsc#PED-3692)
- commit 8fbb831
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add limit to linked list parsing (jsc#PED-3692)
- commit 57cf8db
* Tue May  9 2023 duwe@suse.de
- crypto: qat - use reference to structure in dma_map_single() (jsc#PED-3692)
- commit 191d933
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix DMA transfer direction (jsc#PED-3692)
- commit 8033e5b
* Tue May  9 2023 duwe@suse.de
- crypto: drivers - move from strlcpy with unused retval to (jsc#PED-3692)
- commit 2893932
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add check to validate firmware images (jsc#PED-3692)
- commit 638d767
* Tue May  9 2023 duwe@suse.de
- crypto: qat - expose device config through sysfs for 4xxx (jsc#PED-3692)
- commit da7d730
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate and rename adf_sriov_prepare_restart() (jsc#PED-3692)
- commit 9d2ec7c
* Tue May  9 2023 duwe@suse.de
- crypto: qat - change behaviour of (jsc#PED-3692)
- commit 88b302a
* Tue May  9 2023 duwe@suse.de
- crypto: qat - expose device state through sysfs for 4xxx (jsc#PED-3692)
- commit c9aee29
* Tue May  9 2023 duwe@suse.de
- crypto: qat - Removes the x86 dependency on the QAT drivers (jsc#PED-3692)
- commit b693728
* Tue May  9 2023 duwe@suse.de
- crypto: qat - replace get_current_node() with numa_node_id() (jsc#PED-3692)
- commit e064970
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add support for 401xx devices (jsc#PED-3692)
- commit f05d9dc
* Tue May  9 2023 duwe@suse.de
- crypto: qat - re-enable registration of algorithms (jsc#PED-3692)
- commit 68596ea
* Tue May  9 2023 duwe@suse.de
- crypto: qat - honor CRYPTO_TFM_REQ_MAY_SLEEP flag (jsc#PED-3692)
- commit e4d21be
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add param check for DH (jsc#PED-3692)
- commit da607b7
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add param check for RSA (jsc#PED-3692)
- commit 7eefa16
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add backlog mechanism (jsc#PED-3692)
- commit 624d1d0
* Tue May  9 2023 duwe@suse.de
- crypto: qat - refactor submission logic (jsc#PED-3692)
- commit b8e53cb
* Tue May  9 2023 duwe@suse.de
- crypto: qat - use pre-allocated buffers in datapath (jsc#PED-3692)
- commit bd15683
* Tue May  9 2023 duwe@suse.de
- crypto: qat - Fix unsigned function returning negative (jsc#PED-3692)
- commit c617c8f
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove line wrapping for pfvf_ops functions (jsc#PED-3692)
- commit b866596
* Tue May  9 2023 duwe@suse.de
- crypto: qat - use u32 variables in all GEN4 pfvf_ops (jsc#PED-3692)
- commit e40b5cb
* Tue May  9 2023 duwe@suse.de
- crypto: qat - replace disable_vf2pf_interrupts() (jsc#PED-3692)
- commit 02bc64e
* Tue May  9 2023 duwe@suse.de
- crypto: qat - leverage the GEN2 VF mask definiton (jsc#PED-3692)
- commit 4d65255
* Tue May  9 2023 duwe@suse.de
- crypto: qat - rework the VF2PF interrupt handling logic (jsc#PED-3692)
- commit b225eca
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix off-by-one error in PFVF debug print (jsc#PED-3692)
- commit 2b6fd0a
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix wording and formatting in code comment (jsc#PED-3692)
- commit 1e0a7c3
* Tue May  9 2023 duwe@suse.de
- crypto: qat - test PFVF registers for spurious interrupts on (jsc#PED-3692)
- commit c5057e2
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add check for invalid PFVF protocol version 0 (jsc#PED-3692)
- commit 9de3f9b
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add missing restarting event notification in (jsc#PED-3692)
- commit a8dbb60
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove unnecessary tests to detect PFVF support (jsc#PED-3692)
- commit 1848290
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove unused PFVF stubs (jsc#PED-3692)
- commit 1cf3054
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove unneeded braces (jsc#PED-3692)
- commit a02a4ee
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix ETR sources enabled by default on GEN2 (jsc#PED-3692)
- commit 56dd6e7
* Tue May  9 2023 duwe@suse.de
- crypto: qat - set COMPRESSION capability for DH895XCC (jsc#PED-3692)
- commit dd0685f
* Tue May  9 2023 duwe@suse.de
- crypto: qat - stop using iommu_present() (jsc#PED-3692)
- commit e463f30
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix initialization of pfvf rts_map_msg (jsc#PED-3692)
- commit c63cf22
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix initialization of pfvf cap_msg structures (jsc#PED-3692)
- commit 29cae5c
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove unneeded assignment (jsc#PED-3692)
- commit 988ee72
* Tue May  9 2023 duwe@suse.de
- crypto: qat - enable power management for QAT GEN4 (jsc#PED-3692)
- commit d524451
* Tue May  9 2023 duwe@suse.de
- crypto: qat - move and rename GEN4 error register definitions (jsc#PED-3692)
- commit 5536852
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add misc workqueue (jsc#PED-3692)
- commit cb5c3b7
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix access to PFVF interrupt registers for GEN4 (jsc#PED-3692)
- commit 89bd3f8
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix a signedness bug in get_service_enabled() (jsc#PED-3692)
- commit a7f67e3
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix definition of ring reset results (jsc#PED-3692)
- commit 151593d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add support for compression for 4xxx (jsc#PED-3692)
- commit dfc51e6
* Tue May  9 2023 duwe@suse.de
- crypto: qat - allow detection of dc capabilities for 4xxx (jsc#PED-3692)
- commit 8557674
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add PFVF support to enable the reset of ring (jsc#PED-3692)
- commit 5d143f2
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add PFVF support to the GEN4 host driver (jsc#PED-3692)
- commit 916a77e
* Tue May  9 2023 duwe@suse.de
- crypto: qat - config VFs based on ring-to-svc mapping (jsc#PED-3692)
- commit 6601ff4
* Tue May  9 2023 duwe@suse.de
- crypto: qat - exchange ring-to-service mappings over PFVF (jsc#PED-3692)
- commit e8ce44d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - support fast ACKs in the PFVF protocol (jsc#PED-3692)
- commit 986f0e6
* Tue May  9 2023 duwe@suse.de
- crypto: qat - exchange device capabilities over PFVF (jsc#PED-3692)
- commit 7d28fba
* Tue May  9 2023 duwe@suse.de
- crypto: qat - introduce support for PFVF block messages (jsc#PED-3692)
- commit 6155681
* Tue May  9 2023 duwe@suse.de
- crypto: qat - store the ring-to-service mapping (jsc#PED-3692)
- commit 77f298d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - store the PFVF protocol version of the (jsc#PED-3692)
- commit da2daed
* Tue May  9 2023 duwe@suse.de
- crypto: qat - improve the ACK timings in PFVF send (jsc#PED-3692)
- commit a184282
* Tue May  9 2023 duwe@suse.de
- crypto: qat - leverage read_poll_timeout in PFVF send (jsc#PED-3692)
- commit e08ef29
* Tue May  9 2023 duwe@suse.de
- crypto: qat - leverage bitfield.h utils for PFVF messages (jsc#PED-3692)
- commit 77c5d55
* Tue May  9 2023 duwe@suse.de
- crypto: qat - abstract PFVF messages with struct pfvf_message (jsc#PED-3692)
- commit 22808a8
* Tue May  9 2023 duwe@suse.de
- crypto: qat - set PFVF_MSGORIGIN just before sending (jsc#PED-3692)
- commit 529c178
* Tue May  9 2023 duwe@suse.de
- crypto: qat - make PFVF send and receive direction agnostic (jsc#PED-3692)
- commit 2cfdf60
* Tue May  9 2023 duwe@suse.de
- crypto: qat - make PFVF message construction direction (jsc#PED-3692)
- commit 192475a
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add the adf_get_pmisc_base() helper function (jsc#PED-3692)
- commit 029b3f8
* Tue May  9 2023 duwe@suse.de
- crypto: qat - support the reset of ring pairs on PF (jsc#PED-3692)
- commit b21ae8f
* Tue May  9 2023 duwe@suse.de
- crypto: qat - extend crypto capability detection for 4xxx (jsc#PED-3692)
- commit 86b6de1
* Tue May  9 2023 duwe@suse.de
- crypto: qat - set COMPRESSION capability for QAT GEN2 (jsc#PED-3692)
- commit c36c1b5
* Tue May  9 2023 duwe@suse.de
- crypto: qat - set CIPHER capability for QAT GEN2 (jsc#PED-3692)
- commit 5a6ccb5
* Tue May  9 2023 duwe@suse.de
- crypto: qat - get compression extended capabilities (jsc#PED-3692)
- commit 6bc8ecc
* Tue May  9 2023 duwe@suse.de
- crypto: qat - improve logging of PFVF messages (jsc#PED-3692)
- commit 69ac24d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix VF IDs in PFVF log messages (jsc#PED-3692)
- commit a09ab7d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - do not rely on min version (jsc#PED-3692)
- commit 1fbc50a
* Tue May  9 2023 duwe@suse.de
- crypto: qat - refactor pfvf version request messages (jsc#PED-3692)
- commit bd91022
* Tue May  9 2023 duwe@suse.de
- crypto: qat - pass the PF2VF responses back to the callers (jsc#PED-3692)
- commit ce27ee1
* Tue May  9 2023 duwe@suse.de
- crypto: qat - use enums for PFVF protocol codes (jsc#PED-3692)
- commit 07d0530
* Tue May  9 2023 duwe@suse.de
- crypto: qat - reorganize PFVF protocol definitions (jsc#PED-3692)
- commit dfcb218
* Tue May  9 2023 duwe@suse.de
- crypto: qat - reorganize PFVF code (jsc#PED-3692)
- commit ebf7e16
* Tue May  9 2023 duwe@suse.de
- crypto: qat - abstract PFVF receive logic (jsc#PED-3692)
- commit 4ac3bf8
* Tue May  9 2023 duwe@suse.de
- crypto: qat - abstract PFVF send function (jsc#PED-3692)
- commit 3228a9b
* Tue May  9 2023 duwe@suse.de
- crypto: qat - differentiate between pf2vf and vf2pf offset (jsc#PED-3692)
- commit 7a44395
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add pfvf_ops (jsc#PED-3692)
- commit 5960736
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate PFVF disabled function (jsc#PED-3692)
- commit 1aa65a8
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate PFVF VF related logic (jsc#PED-3692)
- commit 53e0309
* Tue May  9 2023 duwe@suse.de
- crypto: qat - relocate PFVF PF related logic (jsc#PED-3692)
- commit b869385
* Tue May  9 2023 duwe@suse.de
- crypto: qat - handle retries due to collisions in (jsc#PED-3692)
- commit 27aa4db
* Tue May  9 2023 duwe@suse.de
- crypto: qat - split PFVF message decoding from handling (jsc#PED-3692)
- commit 375be54
* Tue May  9 2023 duwe@suse.de
- crypto: qat - re-enable interrupts for legacy PFVF messages (jsc#PED-3692)
- commit 253518f
* Tue May  9 2023 duwe@suse.de
- crypto: qat - change PFVF ACK behaviour (jsc#PED-3692)
- commit b8f6615
* Tue May  9 2023 duwe@suse.de
- crypto: qat - move interrupt code out of the PFVF handler (jsc#PED-3692)
- commit 2d2c8ab
* Tue May  9 2023 duwe@suse.de
- crypto: qat - move VF message handler to adf_vf2pf_msg.c (jsc#PED-3692)
- commit 08b5439
* Tue May  9 2023 duwe@suse.de
- crypto: qat - move vf2pf interrupt helpers (jsc#PED-3692)
- commit 32a2e31
* Tue May  9 2023 duwe@suse.de
- crypto: qat - refactor PF top half for PFVF (jsc#PED-3692)
- commit b27b05c
* Tue May  9 2023 duwe@suse.de
- crypto: qat - do not handle PFVF sources for qat_4xxx (jsc#PED-3692)
- commit c5402df
* Tue May  9 2023 duwe@suse.de
- crypto: qat - simplify adf_enable_aer() (jsc#PED-3692)
- commit ef47805
* Tue May  9 2023 duwe@suse.de
- crypto: qat - share adf_enable_pf2vf_comms() from (jsc#PED-3692)
- commit 3c38713
* Tue May  9 2023 duwe@suse.de
- crypto: qat - extract send and wait from (jsc#PED-3692)
- commit d88c673
* Tue May  9 2023 duwe@suse.de
- crypto: qat - add VF and PF wrappers to common send function (jsc#PED-3692)
- commit 688556e
* Tue May  9 2023 duwe@suse.de
- crypto: qat - rename pfvf collision constants (jsc#PED-3692)
- commit 4f0c483
* Tue May  9 2023 duwe@suse.de
- crypto: qat - move pfvf collision detection values (jsc#PED-3692)
- commit 7d933b4
* Tue May  9 2023 duwe@suse.de
- crypto: qat - use hweight for bit counting (jsc#PED-3692)
- commit f443d35
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove duplicated logic across GEN2 drivers (jsc#PED-3692)
- commit 4276cd3
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix handling of VF to PF interrupts (jsc#PED-3692)
- commit 89e9e5e
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove unneeded packed attribute (jsc#PED-3692)
- commit abcbfac
* Tue May  9 2023 duwe@suse.de
- crypto: qat - free irq in case of failure (jsc#PED-3692)
- commit 227e146
* Tue May  9 2023 duwe@suse.de
- crypto: qat - free irqs only if allocated (jsc#PED-3692)
- commit a4d86dd
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove unmatched CPU affinity to cluster IRQ (jsc#PED-3692)
- commit e9e0672
* Tue May  9 2023 duwe@suse.de
- crypto: qat - replace deprecated MSI API (jsc#PED-3692)
- commit 4f29ad0
* Tue May  9 2023 duwe@suse.de
- crypto: qat - flush vf workqueue at driver removal (jsc#PED-3692)
- commit 49708c6
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove the unnecessary get_vintmsk_offset() (jsc#PED-3692)
- commit dd303d7
* Tue May  9 2023 duwe@suse.de
- crypto: qat - prevent spurious MSI interrupt in VF (jsc#PED-3692)
- commit 167b6ae
* Tue May  9 2023 duwe@suse.de
- crypto: qat - remove empty sriov_configure() (jsc#PED-3692)
- commit 0767718
* Tue May  9 2023 duwe@suse.de
- crypto: qat - fix a typo in a comment (jsc#PED-3692)
- commit 8a91dc4
* Tue May  9 2023 duwe@suse.de
- crypto: qat - disable AER if an error occurs in probe (jsc#PED-3692)
- commit df8b85d
* Tue May  9 2023 duwe@suse.de
- crypto: qat - set DMA mask to 48 bits for Gen2 (jsc#PED-3692)
- commit dbe426c
* Tue May  9 2023 duwe@suse.de
- crypto: qat - simplify code and axe the use of a deprecated (jsc#PED-3692)
- commit ac1c697
* Tue May  9 2023 tbogendoerfer@suse.de
- sfc: fix TX channel offset when using legacy interrupts
  (git-fixes).
- net: tun: avoid disabling NAPI twice (git-fixes).
- commit 03bb08f
* Tue May  9 2023 pmladek@suse.com
- workqueue: Print backtraces from CPUs with hung CPU bound
  workqueues (bsc#1211044).
- commit edb7f74
* Tue May  9 2023 pmladek@suse.com
- workqueue: Warn when a rescuer could not be created
  (bsc#1211044).
- commit bbf3c79
* Tue May  9 2023 pmladek@suse.com
- workqueue: Interrupted create_worker() is not a repeated event
  (bsc#1211044).
- commit 86794c5
* Tue May  9 2023 pmladek@suse.com
- workqueue: Warn when a new worker could not be created
  (bsc#1211044).
- commit eb3a726
* Tue May  9 2023 pmladek@suse.com
- workqueue: Fix hung time report of worker pools (bsc#1211044).
- commit 3a59651
* Tue May  9 2023 nik.borisov@suse.com
- x86/boot: Skip realmode init code when running as Xen PV guest   (git-fixes).
- Refresh    patches.kabi/kABI-Fix-kABI-after-x86-mm-cpa-Generalize-__set_memo.patch.
- commit e90b7a1
* Tue May  9 2023 tbogendoerfer@suse.de
- RDMA/irdma: Remove excess error variables (jsc#SLE-18383).
- Refresh
  patches.suse/RDMA-irdma-Validate-udata-inlen-and-outlen.patch.
- commit 4d4fa6d
* Tue May  9 2023 nik.borisov@suse.com
- x86/signal: Fix the value returned by strict_sas_size() (git-fixes).
- commit d3c6791
* Tue May  9 2023 tbogendoerfer@suse.de
- RDMA/irdma: Remove enum irdma_status_code (jsc#SLE-18383).
- Refresh
  patches.suse/RDMA-irdma-Prevent-some-integer-underflows.patch.
- Refresh
  patches.suse/RDMA-irdma-Return-correct-WC-error-for-bind-operatio.patch.
- Refresh
  patches.suse/RDMA-irdma-Return-error-on-MR-deregister-CQP-failure.patch.
- Refresh
  patches.suse/RDMA-irdma-Validate-udata-inlen-and-outlen.patch.
- commit 11ed66b
* Tue May  9 2023 tbogendoerfer@suse.de
- sfc: Fix module EEPROM reporting for QSFP modules (git-fixes).
- sfc: Fix use-after-free due to selftest_work (git-fixes).
- RDMA/irdma: Do not generate SW completions for NOPs
  (jsc#SLE-18383).
- gve: Secure enough bytes in the first TX desc for all TCP pkts
  (git-fixes).
- sfc: ef10: don't overwrite offload features at NIC reset
  (git-fixes).
- gve: Cache link_speed value from device (git-fixes).
- sfc: correctly advertise tunneled IPv6 segmentation (git-fixes).
- RDMA/irdma: Fix RQ completion opcode (jsc#SLE-18383).
- RDMA/irdma: Fix inline for multiple SGE's (jsc#SLE-18383).
- iavf: Do not restart Tx queues after reset task failure
  (jsc#SLE-18385).
- iavf: Fix a crash during reset task (jsc#SLE-18385).
- net: tun: fix bugs for oversize packet when napi frags enabled
  (git-fixes).
- sfc: include vport_id in filter spec hash and equal()
  (git-fixes).
- sfc: Change VF mac via PF as first preference if available
  (git-fixes).
- sfc: fix null pointer dereference in efx_hard_start_xmit
  (git-fixes).
- RDMA/irdma: Fix drain SQ hang with no completion
  (jsc#SLE-18383).
- net: tun: stop NAPI when detaching queues (git-fixes).
- net: tun: unlink NAPI from device on destruction (git-fixes).
- sfc: fix wrong tx channel offset with efx_separate_tx_channels
  (git-fixes).
- sfc: fix considering that all channels have TX queues
  (git-fixes).
- RDMA/irdma: Add SW mechanism to generate completions on error
  (jsc#SLE-18383).
- commit b8a7c09
* Tue May  9 2023 nik.borisov@suse.com
- x86/numa: Use cpumask_available instead of hardcoded NULL check (git-fixes).
- commit ca9f52b
* Tue May  9 2023 nik.borisov@suse.com
- x86/mm: Use proper mask when setting PUD mapping (git-fixes).
- commit d9bb4d3
* Tue May  9 2023 nik.borisov@suse.com
- x86/MCE/AMD: Use an u64 for bank_map (git-fixes).
- commit 4d91aa8
* Tue May  9 2023 nik.borisov@suse.com
- x86/pat: Fix x86_has_pat_wp() (git-fixes).
- commit 9499df5
* Tue May  9 2023 tbogendoerfer@suse.de
- iavf: remove active_cvlans and active_svlans bitmaps
  (jsc#PED-835).
- iavf: refactor VLAN filter states (jsc#PED-835).
- iavf: do not track VLAN 0 filters (jsc#PED-835).
- ethernet: ice: avoid gcc-9 integer overflow warning
  (jsc#PED-376).
- igb: Fix PPS input and output using 3rd and 4th SDP
  (jsc#PED-370).
- ice: xsk: Fix cleaning of XDP_TX frames (jsc#PED-376).
- ice: Fix disabling Rx VLAN filtering with port VLAN enabled
  (jsc#PED-376).
- ice: move devlink port creation/deletion (jsc#PED-376).
- iavf: schedule watchdog immediately when changing primary MAC
  (jsc#PED-835).
- iavf: fix temporary deadlock and failure to set MAC address
  (jsc#PED-835).
- ice: Add check for kzalloc (jsc#PED-376).
- ice: Fix potential memory leak in ice_gnss_tty_write()
  (jsc#PED-376).
- ice: xsk: do not use xdp_return_frame() on tx_buf->raw_buf
  (jsc#PED-376).
- tun: annotate access to queue->trans_start (jsc#PED-370).
- commit 8e759c9
* Tue May  9 2023 schwab@suse.de
- rpm/constraints.in: Increase disk size constraint for riscv64 to 52GB
- commit 1c1a4cd
* Tue May  9 2023 mkubecek@suse.cz
- act_mirred: use the backlog for nested calls to mirred ingress
  (CVE-2022-4269 bsc#1206024).
- net/sched: act_mirred: better wording on protection against
  excessive stack growth (CVE-2022-4269 bsc#1206024).
- commit 0660aaf
* Tue May  9 2023 mkubecek@suse.cz
- netfilter: nf_tables: deactivate anonymous set from preparation
  phase (CVE-2023-32233 bsc#1211043).
- commit a0bdb58
* Mon May  8 2023 tbogendoerfer@suse.de
- igc: read before write to SRRCTL register (jsc#SLE-18377).
- ixgbe: Fix panic during XDP_TX with > 64 CPUs (jsc#SLE-18384).
- RDMA/mlx4: Prevent shift wrapping in set_user_sq_size()
  (jsc#SLE-19255).
- ixgbe: Enable setting RSS table to default values
  (jsc#SLE-18384).
- ixgbe: Allow flow hash to be set via ethtool (jsc#SLE-18384).
- i40e: fix i40e_setup_misc_vector() error handling
  (jsc#SLE-18378).
- i40e: fix accessing vsi->active_filters without holding lock
  (jsc#SLE-18378).
- i40e: fix registers dump after run ethtool adapter self test
  (jsc#SLE-18378).
- i40e: fix flow director packet filter programming
  (jsc#SLE-18378).
- iavf: fix hang on reboot with ice (jsc#SLE-18385).
- igc: fix the validation logic for taprio's gate list
  (jsc#SLE-18377).
- igbvf: Regard vf reset nack as success (jsc#SLE-18379).
- intel/igbvf: free irq on the error path in igbvf_request_msix()
  (jsc#SLE-18379).
- igb: Enable SR-IOV after reinit (jsc#SLE-18379).
- igb: revert rtnl_lock() that causes deadlock (jsc#SLE-18379).
- iavf: fix non-tunneled IPv6 UDP packet type and hashing
  (jsc#SLE-18385).
- iavf: fix inverted Rx hash condition leading to disabled hash
  (jsc#SLE-18385).
- i40e: Fix kernel crash during reboot when adapter is in recovery
  mode (jsc#SLE-18378).
- igb: conditionalize I2C bit banging on external thermal sensor
  support (jsc#SLE-18379).
- ixgbe: add double of VLAN header when computing the max MTU
  (jsc#SLE-18384).
- i40e: add double of VLAN header when computing the max MTU
  (jsc#SLE-18378).
- ixgbe: allow to increase MTU to 3K with XDP enabled
  (jsc#SLE-18384).
- i40e: Add checking for null for nlmsg_find_attr()
  (jsc#SLE-18378).
- igc: Add ndo_tx_timeout support (jsc#SLE-18377).
- igc: return an error if the mac type is unknown in
  igc_ptp_systim_to_hwtstamp() (jsc#SLE-18377).
- iavf/iavf_main: actually log ->src mask when talking about it
  (jsc#SLE-18385).
- igc: Fix PPS delta between two synchronized end-points
  (jsc#SLE-18377).
- ixgbe: fix pci device refcount leak (jsc#SLE-18384).
- igc: Set Qbv start_time and end_time to end_time if not being
  configured in GCL (jsc#SLE-18377).
- igc: recalculate Qbv end_time by considering cycle time
  (jsc#SLE-18377).
- igc: allow BaseTime 0 enrollment for Qbv (jsc#SLE-18377).
- igc: Add checking for basetime less than zero (jsc#SLE-18377).
- igc: Use strict cycles for Qbv scheduling (jsc#SLE-18377).
- igc: Enhance Qbv scheduling by using first flag bit
  (jsc#SLE-18377).
- igb: Initialize mailbox message for VF reset (jsc#SLE-18379).
- i40e: Fix the inability to attach XDP program on downed
  interface (jsc#SLE-18378).
- i40e: Fix for VF MAC address 0 (jsc#SLE-18378).
- iavf: Fix error handling in iavf_init_module() (jsc#SLE-18385).
- iavf: Fix race condition between iavf_shutdown and iavf_remove
  (jsc#SLE-18385).
- i40e: Fix flow-type by setting GL_HASH_INSET registers
  (jsc#SLE-18378).
- i40e: Fix VF hang when reset is triggered on another VF
  (jsc#SLE-18378).
- i40e: Fix ethtool rx-flow-hash setting for X722 (jsc#SLE-18378).
- i40e: Fix DMA mappings leak (jsc#SLE-18378).
- i40e: Fix set max_tx_rate when it is lower than 1 Mbps
  (jsc#SLE-18378).
- i40e: Fix VF set max MTU size (jsc#SLE-18378).
- iavf: Fix set max MTU size with port VLAN and jumbo frames
  (jsc#SLE-18385).
- iavf: Fix bad page state (jsc#SLE-18385).
- iavf: Fix cached head and tail value for iavf_get_tx_pending
  (jsc#SLE-18385).
- iavf: Detach device during reset task (jsc#SLE-18385).
- i40e: Fix kernel crash during module removal (jsc#SLE-18378).
- i40e: Fix ADQ rate limiting for PF (jsc#SLE-18378).
- i40e: Fix incorrect address type for IPv6 flow rules
  (jsc#SLE-18378).
- ixgbe: stop resetting SYSTIME in ixgbe_ptp_start_cyclecounter
  (jsc#SLE-18384).
- igb: Add lock to avoid data race (jsc#SLE-18379).
- iavf: Fix 'tc qdisc show' listing too many queues
  (jsc#SLE-18385).
- iavf: Fix max_rate limiting (jsc#SLE-18385).
- i40e: Refactor tc mqprio checks (jsc#SLE-18378).
- igc: Lift TAPRIO schedule restriction (jsc#SLE-18377).
- i40e: Fix interface init with MSI interrupts (no MSI-X)
  (jsc#SLE-18378).
- iavf: Disallow changing rx/tx-frames and rx/tx-frames-irq
  (jsc#SLE-18385).
- i40e: Fix erroneous adapter reinitialization during recovery
  process (jsc#SLE-18378).
- igc: Reinstate IGC_REMOVED logic and implement it properly
  (jsc#SLE-18377).
- i40e: Fix VF's MAC Address change on VM (jsc#SLE-18378).
- i40e: Fix calculating the number of queue pairs (jsc#SLE-18378).
- i40e: Fix adding ADQ filter to TC0 (jsc#SLE-18378).
- ice: Fix interrupt moderation settings getting cleared
  (jsc#SLE-18375).
- ice: Set txq_teid to ICE_INVAL_TEID on ring creation
  (jsc#SLE-18375).
- commit 80d0092
* Mon May  8 2023 tiwai@suse.de
- x86: don't use REP_GOOD or ERMS for small memory clearing
  (bsc#1211140).
- x86/cpufeatures: Add macros for Intel's new fast rep string
  features (bsc#1211140).
- commit ff3ce03
* Mon May  8 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 5d04727
* Mon May  8 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit c5f691e
* Mon May  8 2023 oneukum@suse.com
- blacklist.conf: build fix irrelevant in our configs
- commit 3a1de0e
* Mon May  8 2023 jgross@suse.com
- ACPI: processor: Fix evaluating _PDC method when running as
  Xen dom0 (git-fixes).
- commit 9762d65
* Mon May  8 2023 jgross@suse.com
- xen/netback: don't do grant copy across page boundary
  (git-fixes).
- commit f4517dd
* Mon May  8 2023 tiwai@suse.de
- crypto: sun8i-ss - Fix a test in sun8i_ss_setup_ivs()
  (git-fixes).
- commit 46b1fec
* Mon May  8 2023 neilb@suse.de
- SUNRPC: fix breakage caused by introduction of rq_xprt_ctxt
  (bsc#1210775).
- commit 2b91689
* Sun May  7 2023 tiwai@suse.de
- ASoC: Intel: soc-acpi-byt: Fix "WM510205" match no longer
  working (git-fixes).
- commit 2290160
* Sun May  7 2023 tiwai@suse.de
- ALSA: hda/realtek: Fix mute and micmute LEDs for an HP laptop
  (git-fixes).
- ALSA: caiaq: input: Add error handling for unsupported input
  methods in `snd_usb_caiaq_input_init` (git-fixes).
- ALSA: usb-audio: Add quirk for Pioneer DDJ-800 (git-fixes).
- ALSA: hda/realtek: support HP Pavilion Aero 13-be0xxx Mute LED
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS UM3402YAR using CS35L41
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ThinkPad P1 Gen 6 (git-fixes).
- commit 9ac9894
* Sat May  6 2023 tiwai@suse.de
- drm/i915/dsi: Use unconditional msleep() instead of
  intel_dsi_msleep() (git-fixes).
- drm/amd/display: Update bounding box values for DCN321
  (git-fixes).
- drm/amd/display: Do not clear GPINT register when releasing
  DMUB from reset (git-fixes).
- drm/amd/display: Reset OUTBOX0 r/w pointer on DMUB reset
  (git-fixes).
- drm/amd/display: Fixes for dcn32_clk_mgr implementation
  (git-fixes).
- drm/amd/display: Return error code on DSC atomic check failure
  (git-fixes).
- commit 9272171
* Sat May  6 2023 tiwai@suse.de
- r8152: move setting r8153b_rx_agg_chg_indicate() (git-fixes).
- r8152: fix the poor throughput for 2.5G devices (git-fixes).
- r8152: fix flow control issue of RTL8156A (git-fixes).
- i2c: omap: Fix standard mode false ACK readings (git-fixes).
- i2c: tegra: Fix PEC support for SMBUS block read (git-fixes).
- drm/amdgpu: add a missing lock for AMDGPU_SCHED (git-fixes).
- drm/amd/display: fix flickering caused by S/G mode (git-fixes).
- commit bec3ff8
* Fri May  5 2023 vkarasulli@suse.de
- Update references to patch
  patches.suse/wifi-brcmfmac-slab-out-of-bounds-read-in-brcmf_get_a.patch
  (git-fixes bsc#1209287 CVE-2023-1380).
- commit 1374551
* Fri May  5 2023 msuchanek@suse.de
- Remove obsolete rpm spec constructs
  defattr does not need to be specified anymore
  buildroot does not need to be specified anymore
- commit c963185
* Fri May  5 2023 msuchanek@suse.de
- kernel-spec-macros: Fix up obsolete_rebuilds_subpackage to generate
  obsoletes correctly (boo#1172073 bsc#1191731).
  rpm only supports full length release, no provides
- commit c9b5bc4
* Fri May  5 2023 vkarasulli@suse.de
- wifi: brcmfmac: slab-out-of-bounds read in
  brcmf_get_assoc_ies() (bsc#1209287 CVE-2023-1380).
- commit 39854dd
* Fri May  5 2023 tbogendoerfer@suse.de
- bnxt_en: Do not initialize PTP on older P3/P4 chips
  (jsc#SLE-18978).
- bnxt_en: Add missing 200G link speed reporting (jsc#SLE-18978).
- bnxt_en: Fix typo in PCI id to device description string mapping
  (jsc#SLE-18978).
- bnxt_en: Fix reporting of test result in ethtool selftest
  (jsc#SLE-18978).
- qed/qed_sriov: guard against NULL derefs from
  qed_iov_get_vf_info (jsc#SLE-19001).
- qed/qed_mng_tlv: correctly zero out ->min instead of ->hour
  (jsc#SLE-19001).
- qed/qed_dev: guard against a possible division by zero
  (jsc#SLE-19001).
- bnxt_en: Avoid order-5 memory allocation for TPA data
  (jsc#SLE-18978).
- bnxt_en: Fix mqprio and XDP ring checking logic (jsc#SLE-18978).
- qede: execute xdp_do_flush() before napi_complete_done()
  (jsc#SLE-19001).
- bnxt: Do not read past the end of test names (jsc#SLE-18978).
- qed: allow sleep in qed_mcp_trace_dump() (jsc#SLE-19001).
- cxgb4: fix missing unlock on ETHOFLD desc collect fail path
  (jsc#SLE-18992).
- bnxt: prevent skb UAF after handing over to PTP worker
  (jsc#SLE-18978).
- bnxt_en: fix NQ resource accounting during vf creation on
  57500 chips (jsc#SLE-18978).
- bnxt_en: set missing reload flag in devlink features
  (jsc#SLE-18978).
- commit aee4a77
* Fri May  5 2023 nik.borisov@suse.com
- x86/microcode/AMD: Add a @cpu parameter to the reloading functions (git-fixes).
- commit bb4fcce
* Fri May  5 2023 tiwai@suse.de
- watchdog: dw_wdt: Fix the error handling path of
  dw_wdt_drv_probe() (git-fixes).
- commit 01087d8
* Thu May  4 2023 jack@suse.cz
- Update tags in
  patches.suse/ext4-fix-use-after-free-in-ext4_xattr_set_entry.patch
  (bsc#1206878 bsc#1211105 CVE-2023-2513).
- commit ce8b695
* Thu May  4 2023 denis.kirjanov@suse.com
- Update
  patches.suse/net-qcom-emac-Fix-use-after-free-bug-in-emac_remove-.patch
  (bsc#1211037 CVE-2023-2483).
- commit 26a85a8
* Thu May  4 2023 tiwai@suse.de
- ACPI: PM: Do not turn of unused power resources on the Toshiba
  Click Mini (git-fixes).
- drm/amd/display: Simplify same effect if/else blocks
  (git-fixes).
- drm/i915/dg2: Drop one PCI ID (git-fixes).
- Input: exc3000 - properly stop timer on shutdown (git-fixes).
- virtio_net: Fix probe failed when modprobe virtio_net
  (git-fixes).
- dt-bindings: remoteproc: st,stm32-rproc: Fix phandle-array
  parameters description (git-fixes).
- dt-bindings: power: renesas,apmu: Fix cpus property limits
  (git-fixes).
- commit 8fb0395
* Thu May  4 2023 tiwai@suse.de
- Add already cherry-picked id to amdgpu patch
- commit b8a5308
* Thu May  4 2023 msuchanek@suse.de
- kernel-binary: install expoline.o (boo#1210791 bsc#1211089)
- commit d6c8c20
* Thu May  4 2023 nik.borisov@suse.com
- x86/sev: Add SEV-SNP guest feature negotiation support (git-fixes).
- commit 91bdec8
* Thu May  4 2023 nik.borisov@suse.com
- x86/microcode/AMD: Fix mixed steppings support (git-fixes).
- commit 4cd1b96
* Thu May  4 2023 nik.borisov@suse.com
- x86/reboot: Disable SVM, not just VMX, when stopping CPUs (git-fixes).
- commit 01bca28
* Thu May  4 2023 nik.borisov@suse.com
- x86/crash: Disable virt in core NMI crash handler to avoid double  shootdown (git-fixes).
- commit aa4ba49
* Thu May  4 2023 nik.borisov@suse.com
- x86/microcode: Adjust late loading result reporting message (git-fixes).
- commit fa7132b
* Thu May  4 2023 nik.borisov@suse.com
- x86/microcode: Check CPU capabilities after late microcode update  correctly (git-fixes).
- commit a7e591b
* Thu May  4 2023 nik.borisov@suse.com
- x86/microcode: Add a parameter to microcode_check() to store CPU  capabilities (git-fixes).
- commit 24950dd
* Thu May  4 2023 denis.kirjanov@suse.com
- Update
  patches.suse/net-qcom-emac-Fix-use-after-free-bug-in-emac_remove-.patch
  (bsc#1211037 CVE-2023-2483).
- commit b748693
* Thu May  4 2023 denis.kirjanov@suse.com
- Refresh
  patches.suse/powerpc-64-Always-build-with-128-bit-long-double.patch.
- commit 0cbc080
* Thu May  4 2023 oneukum@suse.com
- mt76: mt7921: fix kernel panic by accessing unallocated
  eeprom.data (git-fixes).
- commit 5cc8af4
* Thu May  4 2023 tiwai@suse.de
- PM: hibernate: Turn snapshot_test into global variable
  (git-fixes).
- Refresh
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
- commit df2c292
* Thu May  4 2023 tiwai@suse.de
- PM: hibernate: Do not get block device exclusively in
  test_resume mode (git-fixes).
- PM: hibernate: fix load_image_and_restore() error path
  (git-fixes).
- commit 5109b71
* Thu May  4 2023 tiwai@suse.de
- pwm: meson: Fix g12a ao clk81 name (git-fixes).
- pwm: meson: Fix axg ao mux parents (git-fixes).
- soundwire: qcom: correct setting ignore bit on v1.5.1
  (git-fixes).
- phy: tegra: xusb: Add missing tegra_xusb_port_unregister for
  usb2_port and ulpi_port (git-fixes).
- dmaengine: at_xdmac: do not enable all cyclic channels
  (git-fixes).
- dmaengine: dw-edma: Fix to enable to issue dma request on DMA
  processing (git-fixes).
- dmaengine: dw-edma: Fix to change for continuous transfer
  (git-fixes).
- dma: gpi: remove spurious unlock in gpi_ch_init (git-fixes).
- dmaengine: mv_xor_v2: Fix an error code (git-fixes).
- commit d0a5bb0
* Wed May  3 2023 oneukum@suse.com
- blacklist.conf: cleanup designed to break kABI
- commit d13ef2b
* Wed May  3 2023 oneukum@suse.com
- mt76: mt7915: fix incorrect testmode ipg on band 1 caused by
  wmm_idx (git-fixes).
- commit 06c84d1
* Wed May  3 2023 oneukum@suse.com
- swiotlb: relocate PageHighMem test away from rmem_swiotlb_setup
  (git-fixes).
- commit 2260701
* Wed May  3 2023 dwagner@suse.de
- blacklist.conf: add nvme git-fixes
- commit e6d21df
* Wed May  3 2023 dwagner@suse.de
- nvme: fix discard support without oncs (git-fixes).
- nvmet: fix workqueue MEM_RECLAIM flushing dependency
  (git-fixes).
- nvme: generalize the nvme_multi_css check in nvme_scan_ns
  (git-fixes).
- nvme: rename nvme_validate_or_alloc_ns to nvme_scan_ns
  (git-fixes).
- nvme: fix interpretation of DMRSL (git-fixes).
- nvmet: use a private workqueue instead of the system workqueue
  (git-fixes).
  Refresh:
  - patches.suse/nvmet-don-t-defer-passthrough-commands-with-trivial-.patch
  - patches.suse/nvmet-only-allocate-a-single-slab-for-bvecs.patch
- commit d34faf0
* Wed May  3 2023 nik.borisov@suse.com
- x86/mm: Cleanup the control_va_addr_alignment() __setup handler (git-fixes).
- commit 4e894db
* Wed May  3 2023 nik.borisov@suse.com
- mce: fix set_mce_nospec to always unmap the whole page (git-fixes).
- commit 5998565
* Wed May  3 2023 nik.borisov@suse.com
- x86/mce: relocate set{clear}_mce_nospec() functions (git-fixes).
  This is a preparation for the next patch
- commit bde7887
* Wed May  3 2023 nik.borisov@suse.com
- blacklist.conf: Disable already integrated patch
  Despite not having it as a separate commit we already have
  x86_spec_ctrl_current declared via DECLARE_PER_CPU
- commit 3a23dac
* Wed May  3 2023 nik.borisov@suse.com
- x86: drop bogus "cc" clobber from __try_cmpxchg_user_asm() (git-fixes).
- commit 821679e
* Wed May  3 2023 nik.borisov@suse.com
- blacklist.conf: Blacklist i386 speculation fix
  We don't care about 32 bit so might as well blacklist this commit
- commit 85cd434
* Wed May  3 2023 nik.borisov@suse.com
- x86: Fix return value of __setup handlers (git-fixes).
- commit 4af5381
* Wed May  3 2023 nik.borisov@suse.com
- x86/delay: Fix the wrong asm constraint in delay_loop() (git-fixes).
- commit 4ec04e5
* Wed May  3 2023 mfranc@suse.cz
- blacklist.conf: the commit might cause regression (bsc#1210947)
- commit 373f459
* Wed May  3 2023 nik.borisov@suse.com
- x86/fault: Cast an argument to the proper address space in prefetch() (git-fixes).
- commit b654685
* Wed May  3 2023 nik.borisov@suse.com
- x86, sched: Fix undefined reference to init_freq_invariance_cppc()  build error (git-fixes).
- commit 2520bfd
* Wed May  3 2023 jslaby@suse.cz
- blacklist.conf: add one char git-fixes
- commit 442298b
* Wed May  3 2023 tiwai@suse.de
- platform/x86: amd: pmc: provide user message where s0ix is
  not supported (bsc#1210644).
- commit 21a6814
* Wed May  3 2023 tiwai@suse.de
- platform/x86/amd: pmc: Fix memory leak in
  amd_pmc_stb_debugfs_open_v2() (bsc#1210644).
- commit c2c420b
* Wed May  3 2023 tiwai@suse.de
- platform/x86: amd: pmc: Remove __maybe_unused from
  amd_pmc_suspend_handler() (bsc#1210644).
- commit 5088332
* Wed May  3 2023 tiwai@suse.de
- pinctrl: renesas: r8a779a0: Remove incorrect AVB[01] pinmux
  configuration (git-fixes).
- pinctrl: qcom: lpass-lpi: set output value before enabling
  output (git-fixes).
- mfd: tqmx86: Correct board names for TQMxE39x (git-fixes).
- mfd: tqmx86: Do not access I2C_DETECT register through io_base
  (git-fixes).
- leds: tca6507: Fix error handling of using
  fwnode_property_read_string (git-fixes).
- leds: Fix reference to led_set_brightness() in doc (git-fixes).
- leds: TI_LMU_COMMON: select REGMAP instead of depending on it
  (git-fixes).
- commit d6008ec
* Wed May  3 2023 ailiop@suse.com
- xfs: fix rm_offset flag handling in rmap keys (git-fixes).
- commit 84b434f
* Tue May  2 2023 ailiop@suse.com
- xfs: verify buffer contents when we skip log replay (bsc#1210498
  CVE-2023-2124).
- commit c6f30c5
* Tue May  2 2023 vbabka@suse.cz
- mm: take a page reference when removing device exclusive entries
  (bsc#1211025).
- commit fd0cc4f
* Tue May  2 2023 oneukum@suse.com
- usb: mtu3: fix kernel panic at qmu transfer done irq handler
  (git-fixes).
- commit 7fcf832
* Tue May  2 2023 oneukum@suse.com
- blacklist.conf: prerequisites break kABI
- commit 0cfe9b1
* Tue May  2 2023 oneukum@suse.com
- struct ci_hdrc: hide new member at end (git-fixes).
- commit d06f402
* Tue May  2 2023 oneukum@suse.com
- usb: chipidea: core: fix possible concurrent when switch role
  (git-fixes).
- commit d07905a
* Tue May  2 2023 mhocko@suse.com
- Update
  patches.suse/perf-Fix-check-before-add_event_to_groups-in-perf_group_detach.patch
  (git fixes, bsc#1210986, CVE-2023-2235).
- commit c5399e7
* Tue May  2 2023 nik.borisov@suse.com
- blacklist.conf: Exclude unrelated kconfig patch
- commit 2595126
* Tue May  2 2023 nik.borisov@suse.com
- x86/bugs: Enable STIBP for IBPB mitigated RETBleed (git-fixes).
- commit f115e36
* Tue May  2 2023 mgorman@suse.de
- locking/rwbase: Mitigate indefinite writer starvation.
  Move out of sorted as the patch has moved within the tip tree.
- commit 76573ee
* Tue May  2 2023 tiwai@suse.de
- Input: raspberrypi-ts - fix refcount leak in rpi_ts_probe
  (git-fixes).
- Input: hp_sdc_rtc - mark an unused function as __maybe_unused
  (git-fixes).
- rtc: meson-vrtc: Use ktime_get_real_ts64() to get the current
  time (git-fixes).
- rtc: omap: include header for omap_rtc_power_off_program
  prototype (git-fixes).
- commit 4f6ef5f
* Mon May  1 2023 tiwai@suse.de
- power: supply: generic-adc-battery: fix unit scaling
  (git-fixes).
- dt-bindings: mailbox: qcom,apcs-kpss-global: fix SDX55 'if'
  match (git-fixes).
- clk: rockchip: rk3399: allow clk_cifout to force clk_cifout_src
  to reparent (git-fixes).
- clk: add missing of_node_put() in "assigned-clocks" property
  parsing (git-fixes).
- clk: at91: clk-sam9x60-pll: fix return value check (git-fixes).
- clocksource/drivers/davinci: Fix memory leak in
  davinci_timer_register when init fails (git-fixes).
- USB: serial: option: add UNISOC vendor and TOZED LT70C product
  (git-fixes).
- wifi: brcmfmac: slab-out-of-bounds read in brcmf_get_assoc_ies()
  (git-fixes).
- drm/fb-helper: set x/yres_virtual in drm_fb_helper_check_var
  (git-fixes).
- selftests/kselftest/runner/run_one(): allow running
  non-executable files (git-fixes).
- commit fc18250
* Mon May  1 2023 neilb@suse.de
- NFS: Cleanup unused rpc_clnt variable (git-fixes).
- NFSD: callback request does not use correct credential for
  AUTH_SYS (git-fixes).
- sunrpc: only free unix grouplist after RCU settles (git-fixes).
- nfsd: call op_release, even when op_func returns an error
  (git-fixes).
- NFSD: Avoid calling OPDESC() with ops->opnum == OP_ILLEGAL
  (git-fixes).
- commit aa8b700
* Fri Apr 28 2023 dfaggioli@suse.com
- KVM: VMX: Execute IBPB on emulated VM-exit when guest has IBRS
  (bsc#1206992 CVE-2022-2196).
- commit 6ec5f5b
* Fri Apr 28 2023 dfaggioli@suse.com
- KVM: VMX: Execute IBPB on emulated VM-exit when guest has IBRS (bsc#1206992
  CVE-2022-2196).
- commit 2cab1a4
* Fri Apr 28 2023 mkoutny@suse.com
- Update config files.
  Backport of 78f0929884d4 ("powerpc/64: Always build with 128-bit long double")
  pulls in CONFIG_DRM_AMD_DC_DCN=y and transitively
  DRM_AMD_SECURE_DISPLAY=y.
- commit c3249c3
* Fri Apr 28 2023 mkoutny@suse.com
- Run scripts/renamepatches for SLE15-SP4
- commit 1062719
* Fri Apr 28 2023 dwagner@suse.de
- nvme: send Identify with CNS 06h only to I/O controllers
  (bsc#1209693).
- commit cac1763
* Fri Apr 28 2023 dwagner@suse.de
- nvme: send Identify with CNS 06h only to I/O controllers
  (bsc#1209693).
- commit fe51de7
* Fri Apr 28 2023 dwagner@suse.de
- scsi: kABI workaround for fc_host_fpin_rcv (git-fixes).
- scsi: lpfc: Silence an incorrect device output (bsc#1210943).
- scsi: lpfc: Fix ioremap issues in lpfc_sli4_pci_mem_setup()
  (bsc#1210943).
- scsi: lpfc: Drop redundant pci_enable_pcie_error_reporting()
  (bsc#1210943).
- scsi: lpfc: Copyright updates for 14.2.0.11 patches
  (bsc#1210943).
- scsi: lpfc: Update lpfc version to 14.2.0.11 (bsc#1210943).
- scsi: lpfc: Revise lpfc_error_lost_link() reason code evaluation
  logic (bsc#1210943).
- scsi: lpfc: Skip waiting for register ready bits when in
  unrecoverable state (bsc#1210943).
- scsi: lpfc: Correct used_rpi count when devloss tmo fires with
  no recovery (bsc#1210943).
- scsi: lpfc: Defer issuing new PLOGI if received RSCN before
  completing REG_LOGIN (bsc#1210943).
- scsi: lpfc: Record LOGO state with discovery engine even if
  aborted (bsc#1210943).
- scsi: lpfc: Fix lockdep warning for rx_monitor lock when
  unloading driver (bsc#1210943).
- scsi: lpfc: Reorder freeing of various DMA buffers and their
  list removal (bsc#1210943).
- scsi: lpfc: Prevent lpfc_debugfs_lockstat_write() buffer
  overflow (bsc#1210943).
- cpumask: fix incorrect cpumask scanning result checks
  (bsc#1210943).
- scsi: lpfc: Fix double word in comments (bsc#1210943).
- scsi: scsi_transport_fc: Add an additional flag to
  fc_host_fpin_rcv() (bsc#1210943).
- commit 7354766
* Fri Apr 28 2023 ykaukab@suse.de
- ACPI: CPPC: Disable FIE if registers in PCC regions
  (bsc#1210953).
- cpufreq: CPPC: Fix build error without
  CONFIG_ACPI_CPPC_CPUFREQ_FIE (bsc#1210953).
- cpufreq: CPPC: Fix performance/frequency conversion (git-fixes).
- commit 5d50d5f
* Fri Apr 28 2023 petr.pavlu@suse.com
- keys: Fix linking a duplicate key to a keyring's assoc_array
  (bsc#1207088).
- commit 52b6749
* Fri Apr 28 2023 dwagner@suse.de
- scsi: kABI workaround for fc_host_fpin_rcv (git-fixes).
- scsi: lpfc: Silence an incorrect device output (bsc#1210943).
- scsi: lpfc: Fix ioremap issues in lpfc_sli4_pci_mem_setup()
  (bsc#1210943).
- scsi: lpfc: Drop redundant pci_enable_pcie_error_reporting()
  (bsc#1210943).
- scsi: lpfc: Copyright updates for 14.2.0.11 patches
  (bsc#1210943).
- scsi: lpfc: Update lpfc version to 14.2.0.11 (bsc#1210943).
- scsi: lpfc: Revise lpfc_error_lost_link() reason code evaluation
  logic (bsc#1210943).
- scsi: lpfc: Skip waiting for register ready bits when in
  unrecoverable state (bsc#1210943).
- scsi: lpfc: Correct used_rpi count when devloss tmo fires with
  no recovery (bsc#1210943).
- scsi: lpfc: Defer issuing new PLOGI if received RSCN before
  completing REG_LOGIN (bsc#1210943).
- scsi: lpfc: Record LOGO state with discovery engine even if
  aborted (bsc#1210943).
- scsi: lpfc: Fix lockdep warning for rx_monitor lock when
  unloading driver (bsc#1210943).
- scsi: lpfc: Reorder freeing of various DMA buffers and their
  list removal (bsc#1210943).
- scsi: lpfc: Prevent lpfc_debugfs_lockstat_write() buffer
  overflow (bsc#1210943).
- cpumask: fix incorrect cpumask scanning result checks
  (bsc#1210943).
- scsi: lpfc: Fix double word in comments (bsc#1210943).
- scsi: scsi_transport_fc: Add an additional flag to
  fc_host_fpin_rcv() (bsc#1210943).
- commit 01da3a6
* Fri Apr 28 2023 tiwai@suse.de
- drm/panel: novatek-nt35950: Only unregister DSI1 if it exists
  (git-fixes).
- commit c6fcc44
* Fri Apr 28 2023 tiwai@suse.de
- bus: mhi: host: Use mhi_tryset_pm_state() for setting fw error
  state (git-fixes).
- bus: mhi: host: Remove duplicate ee check for syserr
  (git-fixes).
- bus: mhi: host: Range check CHDBOFF and ERDBOFF (git-fixes).
- docs: driver-api: firmware_loader: fix missing argument in
  usage example (git-fixes).
- fbdev: mmp: Fix deferred clk handling in mmphw_probe()
  (git-fixes).
- ASoC: soc-compress: Inherit atomicity from DAI link for Compress
  FE (git-fixes).
- drm/panel: novatek-nt35950: Improve error handling (git-fixes).
- commit d4ae846
* Fri Apr 28 2023 tiwai@suse.de
- virtio_ring: don't update event idx on get_buf (git-fixes).
- firmware: stratix10-svc: Fix an NULL vs IS_ERR() bug in probe
  (git-fixes).
- dt-bindings: iio: ti,tmp117: fix documentation link (git-fixes).
- dt-bindings: nvmem: qcom,spmi-sdam: fix example 'reg' property
  (git-fixes).
- vmci_host: fix a race condition in vmci_host_poll() causing GPF
  (git-fixes).
- fpga: bridge: fix kernel-doc parameter description (git-fixes).
- driver core: Don't require dynamic_debug for initcall_debug
  probe timing (git-fixes).
- staging: rtl8192e: Fix W_DISABLE# does not work after stop/start
  (git-fixes).
- staging: iio: resolver: ads1210: fix config mode (git-fixes).
- drivers: staging: rtl8723bs: Fix locking in
  rtw_scan_timeout_handler() (git-fixes).
- drivers: staging: rtl8723bs: Fix locking in
  _rtw_join_timeout_handler() (git-fixes).
- serial: 8250: Add missing wakeup event reporting (git-fixes).
- tty: serial: fsl_lpuart: adjust buffer length to the intended
  size (git-fixes).
- tty: Prevent writing chars during tcsetattr TCSADRAIN/FLUSH
  (git-fixes).
- serial: 8250_bcm7271: Fix arbitration handling (git-fixes).
- usb: chipidea: fix missing goto in `ci_hdrc_probe` (git-fixes).
- USB: dwc3: fix runtime pm imbalance on unbind (git-fixes).
- USB: dwc3: fix runtime pm imbalance on probe errors (git-fixes).
- xhci: fix debugfs register accesses while suspended (git-fixes).
- usb: gadget: tegra-xudc: Fix crash in vbus_draw (git-fixes).
- usb: chipidea: imx: avoid unnecessary probe defer (git-fixes).
- usb: gadget: udc: renesas_usb3: Fix use after free bug in
  renesas_usb3_remove due to race condition (git-fixes).
- usb: dwc3: gadget: Change condition for processing suspend event
  (git-fixes).
- usb: host: xhci-rcar: remove leftover quirk handling
  (git-fixes).
- i2c: cadence: cdns_i2c_master_xfer(): Fix runtime PM leak on
  error path (git-fixes).
- ipmi: fix SSIF not responding under certain cond (git-fixes).
- ipmi:ssif: Add send_retries increment (git-fixes).
- spi: cadence-quadspi: fix suspend-resume implementations
  (git-fixes).
- spi: fsl-spi: Fix CPM/QE mode Litte Endian (git-fixes).
- spi: qup: Don't skip cleanup in remove's error path (git-fixes).
- ASoC: fsl_mqs: move of_node_put() to the correct location
  (git-fixes).
- ASoC: es8316: Handle optional IRQ assignment (git-fixes).
- ASoC: cs35l41: Only disable internal boost (git-fixes).
- PCI: qcom: Fix the incorrect register usage in v2.7.0 config
  (git-fixes).
- PCI: imx6: Install the fault handler only on compatible match
  (git-fixes).
- PCI: pciehp: Fix AB-BA deadlock between reset_lock and
  device_lock (git-fixes).
- PCI/EDR: Clear Device Status after EDR error recovery
  (git-fixes).
- drm/panel: otm8009a: Set backlight parent to panel device
  (git-fixes).
- commit 30ae662
* Fri Apr 28 2023 dwagner@suse.de
- kabi/severities: ignore KABI for NVMe target (bsc#1174777)
  The target code is only for testing and there are no external users.
- commit a8c10fa
* Thu Apr 27 2023 dwagner@suse.de
- nvme: fix discard support without oncs (git-fixes).
- nvme: bring back auto-removal of deleted namespaces during
  sequential scan (git-fixes).
- nvmet: fix workqueue MEM_RECLAIM flushing dependency
  (git-fixes).
- nvme: fix the CRIMS and CRWMS definitions to match the spec
  (git-fixes).
- commit 73673ae
* Thu Apr 27 2023 dwagner@suse.de
- blacklist.conf: add nvme git-fixes
- commit be17720
* Thu Apr 27 2023 tbogendoerfer@suse.de
- Update
  patches.suse/net-mlx5-DR-Fix-NULL-vs-IS_ERR-checking-in-dr_domain.patch
  (jsc#SLE-19253 bsc#1208845 CVE-2023-23006).
  Added CVE reference.
- commit 53f1f7b
* Thu Apr 27 2023 dwagner@suse.de
- nvme: improve the NVME_CONNECT_AUTHREQ* definitions (git-fixes).
- commit da2e21e
* Thu Apr 27 2023 jack@suse.cz
- ext4: use ext4_journal_start/stop for fast commit transactions
  (bsc#1210793).
  Refresh patches.suse/ext4-fast-commit-may-not-fallback-for-ineligible-com.patch
  patches.suse/ext4-fix-fallocate-to-use-file_modified-to-update-pe.patch
  patches.suse/ext4-fix-race-condition-between-ext4_write-and-ext4_.patch
- commit b470a11
* Thu Apr 27 2023 dwagner@suse.de
- nvme-fcloop: fix "inconsistent {IN-HARDIRQ-W} -> {HARDIRQ-ON-W}
  usage" (git-fixes).
- nvme: fix async event trace event (git-fixes).
- nvmet: fix I/O Command Set specific Identify Controller
  (git-fixes).
- nvmet: fix Identify Active Namespace ID list handling
  (git-fixes).
- nvmet: fix Identify Controller handling (git-fixes).
- nvmet: fix Identify Namespace handling (git-fixes).
- commit da5f4d4
* Thu Apr 27 2023 mkoutny@suse.com
- signal: HANDLER_EXIT should clear SIGNAL_UNKILLABLE
  (bsc#1210816).
- signal: Don't always set SA_IMMUTABLE for forced signals
  (bsc#1210816).
- commit 1d55fab
* Thu Apr 27 2023 tiwai@suse.de
- wifi: ath11k: fix writing to unintended memory region
  (git-fixes).
- wifi: ath11k: fix deinitialization of firmware resources
  (git-fixes).
- wifi: mt76: mt7921e: stop chip reset worker in unregister hook
  (git-fixes).
- wifi: mt76: mt7921: fix missing unwind goto in `mt7921u_probe`
  (git-fixes).
- wifi: mt76: mt7915: expose device tree match table (git-fixes).
- wifi: ath11k: fix SAC bug on peer addition with sta band
  migration (git-fixes).
- commit 5c05439
* Thu Apr 27 2023 tiwai@suse.de
- bluetooth: Perform careful capability checks in hci_sock_ioctl()
  (git-fixes).
- Revert "Bluetooth: btsdio: fix use after free bug in
  btsdio_remove due to unfinished work" (git-fixes).
- wifi: mt76: fix 6GHz high channel not be scanned (git-fixes).
- wifi: mt76: add missing locking to protect against concurrent
  rx/status calls (git-fixes).
- wifi: mt76: handle failure of vzalloc in mt7615_coredump_work
  (git-fixes).
- wifi: iwlwifi: fw: fix memory leak in debugfs (git-fixes).
- wifi: iwlwifi: mvm: check firmware response size (git-fixes).
- wifi: iwlwifi: make the loop for card preparation effective
  (git-fixes).
- wifi: iwlwifi: fw: move memset before early return (git-fixes).
- wifi: iwlwifi: mvm: initialize seq variable (git-fixes).
- wifi: iwlwifi: yoyo: Fix possible division by zero (git-fixes).
- wifi: iwlwifi: yoyo: skip dump correctly on hw error
  (git-fixes).
- wifi: iwlwifi: mvm: don't set CHECKSUM_COMPLETE for unsupported
  protocols (git-fixes).
- wifi: iwlwifi: trans: don't trigger d3 interrupt twice
  (git-fixes).
- wifi: iwlwifi: debug: fix crash in __iwl_err() (git-fixes).
- wifi: iwlwifi: fix duplicate entry in iwl_dev_info_table
  (git-fixes).
- wifi: rt2x00: Fix memory leak when handling surveys (git-fixes).
- wifi: rtw89: fix potential race condition between napi_init
  and napi_enable (git-fixes).
- wifi: rtlwifi: fix incorrect error codes in
  rtl_debugfs_set_write_reg() (git-fixes).
- wifi: rtlwifi: fix incorrect error codes in
  rtl_debugfs_set_write_rfreg() (git-fixes).
- wifi: ath6kl: reduce WARN to dev_dbg() in callback (git-fixes).
- wifi: ath5k: fix an off by one check in
  ath5k_eeprom_read_freq_list() (git-fixes).
- wifi: ath9k: hif_usb: fix memory leak of remain_skbs
  (git-fixes).
- wifi: ath6kl: minor fix for allocation size (git-fixes).
- wifi: mac80211: adjust scan cancel comment/check (git-fixes).
- wifi: rtw88: mac: Return the original error from
  rtw_mac_power_switch() (git-fixes).
- wifi: rtw88: mac: Return the original error from
  rtw_pwr_seq_parser() (git-fixes).
- wifi: brcmfmac: support CQM RSSI notification with older
  firmware (git-fixes).
- crypto: drbg - Only fail when jent is unavailable in FIPS mode
  (git-fixes).
- crypto: sa2ul - Select CRYPTO_DES (git-fixes).
- crypto: caam - Clear some memory in instantiate_rng (git-fixes).
- crypto: safexcel - Cleanup ring IRQ workqueues on load failure
  (git-fixes).
- drm/i915: Fix fast wake AUX sync len (git-fixes).
- nilfs2: initialize unused bytes in segment summary blocks
  (git-fixes).
- platform/x86: gigabyte-wmi: add support for X570S AORUS ELITE
  (git-fixes).
- selftests: sigaltstack: fix -Wuninitialized (git-fixes).
- platform/x86 (gigabyte-wmi): Add support for A320M-S2H V2
  (git-fixes).
- commit ce41906
* Wed Apr 26 2023 dwagner@suse.de
- nvmet: force reconnect when number of queue changes (git-fixes).
- commit 4fecb2d
* Wed Apr 26 2023 msuchanek@suse.de
- powerpc/64e: Fix amdgpu build on Book3E w/o AltiVec
  (bsc#1194869).
- drm/amdgpu: Re-enable DCN for 64-bit powerpc (bsc#1194869).
- Refresh patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch
- amdgpu: disable powerpc support for the newer display engine
  (bsc#1194869).
- Refresh patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch
- commit a05fdb3
* Wed Apr 26 2023 tiwai@suse.de
- ALSA: hda/realtek: fix speaker, mute/micmute LEDs not work on
  a HP platform (git-fixes).
- ALSA: hda/cirrus: Add extra 10 ms delay to allow PLL settle
  and lock (git-fixes).
- commit 94a71e8
* Wed Apr 26 2023 tiwai@suse.de
- ALSA: hda/realtek: Enable mute/micmute LEDs and speaker support
  for HP Laptops (git-fixes).
- Refresh
  patches.suse/ALSA-hda-realtek-fix-mute-micmute-LEDs-for-a-HP-ProB-2ae147d643d3.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-mute-micmute-LEDs-for-a-HP-ProB-9fdc1605c504.patch.
- commit d95e43b
* Wed Apr 26 2023 tiwai@suse.de
- ALSA: hda: cs35l41: Enable Amp High Pass Filter (git-fixes).
- commit fa425c8
* Wed Apr 26 2023 dwagner@suse.de
- nvmet: avoid potential UAF in nvmet_req_complete() (git-fixes).
- nvme: fix handling single range discard request (git-fixes).
- nvme-pci: fix timeout request state check (git-fixes).
- nvmet: don't defer passthrough commands with trivial effects
  to the workqueue (git-fixes).
- nvme: fix the NVME_CMD_EFFECTS_CSE_MASK definition (git-fixes).
- nvme-pci: fix page size checks (git-fixes).
- nvme-pci: fix mempool alloc size (git-fixes).
- nvme-pci: fix doorbell buffer value endianness (git-fixes).
- nvme: return err on nvme_init_non_mdts_limits fail (git-fixes).
- nvmet: only allocate a single slab for bvecs (git-fixes).
- nvme initialize core quirks before calling nvme_init_subsystem
  (git-fixes).
- nvme: fix SRCU protection of nvme_ns_head list (git-fixes).
  Refresh:
  - patches.suse/nvme-multipath-skip-not-ready-namespaces-when-revalidating.patch
- nvmet: fix a memory leak in nvmet_auth_set_key (git-fixes).
- nvmet: fix a memory leak (git-fixes).
- nvme-tcp: fix possible circular locking when deleting a
  controller under memory pressure (git-fixes).
- nvmet: fix invalid memory reference in
  nvmet_subsys_attr_qid_max_show (git-fixes).
- nvme-hwmon: kmalloc the NVME SMART log buffer (git-fixes).
- nvme-hwmon: consistently ignore errors from nvme_hwmon_init
  (git-fixes).
- nvme-multipath: fix possible hang in live ns resize with ANA
  access (git-fixes).
- nvme-tcp: fix possible hang caused during ctrl deletion
  (git-fixes).
- nvme-rdma: fix possible hang caused during ctrl deletion
  (git-fixes).
- nvmet: add helpers to set the result field for connect commands
  (git-fixes).
- nvmet-auth: don't try to cancel a non-initialized work_struct
  (git-fixes).
- nvme: Fix IOC_PR_CLEAR and IOC_PR_RELEASE ioctls for nvme
  devices (git-fixes).
- nvme-tcp: fix regression that causes sporadic requests to time
  out (git-fixes).
- nvmet: fix a use-after-free (git-fixes).
- nvme: catch -ENODEV from nvme_revalidate_zones again
  (git-fixes).
- nvme-auth: uninitialized variable in nvme_auth_transform_key()
  (git-fixes).
- nvme: define compat_ioctl again to unbreak 32-bit userspace
  (git-fixes).
- nvme: use command_id instead of req->tag in
  trace_nvme_complete_rq() (git-fixes).
- nvmet-tcp: fix regression in data_digest calculation
  (git-fixes).
- nvme: add device name to warning in uuid_show() (git-fixes).
- nvme: set dma alignment to dword (git-fixes).
- nvme: fix the read-only state for zoned namespaces with
  unsupposed features (git-fixes).
- nvmet: revert "nvmet: make discovery NQN configurable"
  (git-fixes).
  Refresh:
  - patches.suse/nvmet-expose-max-queues-to-configfs.patch
- nvmet: use IOCB_NOWAIT only if the filesystem supports it
  (git-fixes).
- nvmet-tcp: fix incomplete data digest send (git-fixes).
- nvme: fix per-namespace chardev deletion (git-fixes).
- nvmet: looks at the passthrough controller when initializing
  CAP (git-fixes).
- nvme: move nvme_multi_css into nvme.h (git-fixes).
- commit 11db83e
* Wed Apr 26 2023 msuchanek@suse.de
- powerpc/64: Always build with 128-bit long double (bsc#1194869).
- commit 8544568
* Wed Apr 26 2023 tiwai@suse.de
- Update alt-commit for already cherry-picked amdgpu patches
- commit 6852969
* Wed Apr 26 2023 mfranc@suse.cz
- s390/ap: fix crash on older machines based on QCI info missing
  (git-fixes bsc#1210947).
- commit 6baf829
* Wed Apr 26 2023 tiwai@suse.de
- drm/msm/adreno: adreno_gpu: Use suspend() instead of idle()
  on load error (git-fixes).
- commit 20c99d7
* Wed Apr 26 2023 tiwai@suse.de
- platform/x86/amd: pmc: Move out of BIOS SMN pair for STB init
  (git-fixes).
- commit b09463a
* Wed Apr 26 2023 tiwai@suse.de
- platform/x86/amd: pmc: Utilize SMN index 0 for driver probe
  (git-fixes).
- platform/x86/amd: pmc: Move idlemask check into
  `amd_pmc_idlemask_read` (git-fixes).
- platform/x86/amd: pmc: Don't dump data after resume from s0i3
  on picasso (git-fixes).
- platform/x86/amd: pmc: Don't try to read SMU version on Picasso
  (git-fixes).
- platform/x86/amd: pmc: add CONFIG_SERIO dependency (git-fixes).
- commit 75b1136
* Wed Apr 26 2023 tiwai@suse.de
- drm/amd/pm: remove unused num_of_active_display variable
  (git-fixes).
- drm/msm: fix workqueue leak on bind errors (git-fixes).
- drm/msm: fix missing wq allocation error handling (git-fixes).
- drm/msm: fix vram leak on bind errors (git-fixes).
- commit 73f47ea
* Wed Apr 26 2023 tiwai@suse.de
- platform/x86/amd: pmc: Hide SMU version and program attributes
  for Picasso (git-fixes).
- drm/i915/color: Fix typo for Plane CSC indexes (git-fixes).
- drm/msm: fix drm device leak on bind errors (git-fixes).
- drm/msm: fix NULL-deref on irq uninstall (git-fixes).
- drm/msm/adreno: fix runtime PM imbalance at gpu load
  (git-fixes).
- gpu: host1x: Fix potential double free if IOMMU is disabled
  (git-fixes).
- commit 1c264d7
* Wed Apr 26 2023 tiwai@suse.de
- hwmon: (pmbus/fsp-3y) Fix functionality bitmask in FSP-3Y
  YM-2151E (git-fixes).
- hwmon: (adt7475) Use device_property APIs when configuring
  polarity (git-fixes).
- hwmon: (k10temp) Check range scale when CUR_TEMP register is
  read-write (git-fixes).
- remoteproc: imx_rproc: Call of_node_put() on iteration error
  (git-fixes).
- remoteproc: st: Call of_node_put() on iteration error
  (git-fixes).
- remoteproc: stm32: Call of_node_put() on iteration error
  (git-fixes).
- mmc: sdhci-of-esdhc: fix quirk to ignore command inhibit for
  data (git-fixes).
- mtd: spi-nor: Fix a trivial typo (git-fixes).
- mtd: core: fix error path for nvmem provider (git-fixes).
- mtd: core: fix nvmem error reporting (git-fixes).
- mtd: core: provide unique name for nvmem device, take two
  (git-fixes).
- regulator: stm32-pwr: fix of_iomap leak (git-fixes).
- regulator: core: Avoid lockdep reports when resolving supplies
  (git-fixes).
- regulator: core: Consistently set mutex_owner when using
  ww_mutex_lock_slow() (git-fixes).
- regulator: core: Shorten off-on-delay-us for always-on/boot-on
  by time since booted (git-fixes).
- media: venus: dec: Fix handling of the start cmd (git-fixes).
- media: rc: gpio-ir-recv: Fix support for wake-up (git-fixes).
- media: saa7134: fix use after free bug in saa7134_finidev due
  to race condition (git-fixes).
- media: dm1105: Fix use after free bug in dm1105_remove due to
  race condition (git-fixes).
- media: rkvdec: fix use after free bug in rkvdec_remove
  (git-fixes).
- media: max9286: Free control handler (git-fixes).
- media: av7110: prevent underflow in write_ts_to_decoder()
  (git-fixes).
- soc: ti: pm33xx: Fix refcount leak in am33xx_pm_probe
  (git-fixes).
- remoteproc: Harden rproc_handle_vdev() against integer overflow
  (git-fixes).
- commit 28cddd0
* Wed Apr 26 2023 tiwai@suse.de
- drm/i915: Make intel_get_crtc_new_encoder() less oopsy
  (git-fixes).
- commit 0730fed
* Wed Apr 26 2023 tiwai@suse.de
- dt-bindings: remoteproc: stm32-rproc: Typo fix (git-fixes).
- drm/amd/display: Fix potential null dereference (git-fixes).
- drm/msm: fix NULL-deref on snapshot tear down (git-fixes).
- drm: msm: adreno: Disable preemption on Adreno 510 (git-fixes).
- drm/msm/adreno: drop bogus pm_runtime_set_active() (git-fixes).
- drm/msm/disp/dpu: check for crtc enable rather than crtc active
  to release shared resources (git-fixes).
- dt-bindings: arm: fsl: Fix copy-paste error in comment
  (git-fixes).
- dt-bindings: soc: qcom: smd-rpm: re-add missing qcom,rpm-msm8994
  (git-fixes).
- firmware: qcom_scm: Clear download bit during reboot
  (git-fixes).
- commit f201efd
* Wed Apr 26 2023 tiwai@suse.de
- drm/bridge: lt8912b: Fix DSI Video Mode (git-fixes).
- drm/lima/lima_drv: Add missing unwind goto in lima_pdev_probe()
  (git-fixes).
- drm/amd/display/dc/dce60/Makefile: Fix previous attempt to
  silence known override-init warnings (git-fixes).
- drm: rcar-du: Fix a NULL vs IS_ERR() bug (git-fixes).
- drm/bridge: adv7533: Fix adv7533_mode_valid for adv7533 and
  adv7535 (git-fixes).
- drm/probe-helper: Cancel previous job before starting new one
  (git-fixes).
- drm/vgem: add missing mutex_destroy (git-fixes).
- drm/rockchip: Drop unbalanced obj unref (git-fixes).
- commit df8d449
* Wed Apr 26 2023 tiwai@suse.de
- ACPI: VIOT: Initialize the correct IOMMU fwspec (git-fixes).
- arm64: dts: qcom: msm8994-msft-lumia-octagon: drop unit address
  from PMI8994 regulator (git-fixes).
- arm64: dts: qcom: msm8994-kitakami: drop unit address from
  PMI8994 regulator (git-fixes).
- arm64: dts: qcom: sc7180-trogdor-lazor: correct trackpad supply
  (git-fixes).
- arm64: dts: qcom: sm8250: Fix the PCI I/O port range
  (git-fixes).
- arm64: dts: qcom: msm8996: Fix the PCI I/O port range
  (git-fixes).
- arm64: dts: qcom: ipq8074: Fix the PCI I/O port range
  (git-fixes).
- arm64: dts: qcom: msm8998: Fix the PCI I/O port range
  (git-fixes).
- arm64: dts: qcom: sdm845: Fix the PCI I/O port range
  (git-fixes).
- arm64: dts: qcom: msm8998: Fix stm-stimulus-base reg name
  (git-fixes).
- ARM: dts: qcom: ipq4019: Fix the PCI I/O port range (git-fixes).
- arm64: dts: ti: k3-j721e-main: Remove ti,strobe-sel property
  (git-fixes).
- ARM: dts: s5pv210: correct MIPI CSIS clock name (git-fixes).
- ARM: dts: exynos: fix WM8960 clock name in Itop Elite
  (git-fixes).
- ARM: dts: gta04: fix excess dma channel usage (git-fixes).
- arm64: dts: renesas: r8a774c0: Remove bogus voltages from OPP
  table (git-fixes).
- arm64: dts: renesas: r8a77990: Remove bogus voltages from OPP
  table (git-fixes).
- commit 94ce2fb
* Wed Apr 26 2023 dwagner@suse.de
- nvme: copy firmware_rev on each init (git-fixes).
- commit 4771369
* Wed Apr 26 2023 dwagner@suse.de
- nvme: copy firmware_rev on each init (git-fixes).
- commit e5addae
* Wed Apr 26 2023 jlee@suse.com
- Update References
  patches.suse/xirc2ps_cs-Fix-use-after-free-bug-in-xirc2ps_detach.patch
  (git-fixes, bsc#1209871, CVE-2023-1670).
- commit dbed461
* Wed Apr 26 2023 jlee@suse.com
- Update References
  patches.suse/xirc2ps_cs-Fix-use-after-free-bug-in-xirc2ps_detach.patch
  (git-fixes, bsc#1209871, CVE-2023-1670).
- commit fad389c
* Tue Apr 25 2023 mkoutny@suse.com
- Run scripts/renamepatches for SLE15-SP4
- commit 7ec2da0
* Tue Apr 25 2023 mkoutny@suse.com
- cgroup/cpuset: Wake up cpuset_attach_wq tasks in
  cpuset_cancel_attach() (bsc#1210827).
- commit cd76825
* Tue Apr 25 2023 jack@suse.cz
- block: do not reverse request order when flushing plug list
  (bsc#1208081 bsc#1208588 bsc#1208076).
- commit 13ff241
* Tue Apr 25 2023 jack@suse.cz
- Update tags in
  patches.suse/block-do-not-reverse-request-order-when-flushing-plu.patch
  (bsc#1208081 bsc#1208588 bsc#1208076).
- commit d8390eb
* Tue Apr 25 2023 mkoutny@suse.com
- blacklist.conf:
- Add eee878537941 cgroup/cpuset: Add cpuset_can_fork() and cpuset_cancel_fork() methods
- Add 42a11bf5c543 cgroup/cpuset: Make cpuset_fork() handle CLONE_INTO_CGROUP properly
- commit 5eafca7
* Tue Apr 25 2023 jack@suse.cz
- md/raid5: Improve performance for sequential IO (bsc#1208081).
- commit a475baf
* Tue Apr 25 2023 mkoutny@suse.com
- blacklist.conf: Add adb8213014b2 mm: memcg: fix stale protection of reclaim target memcg
- commit 3fa74a9
* Tue Apr 25 2023 mkoutny@suse.com
- seccomp: Move copy_seccomp() to no failure path (bsc#1210817).
- commit c871759
* Tue Apr 25 2023 mkoutny@suse.com
- signal: Add SA_IMMUTABLE to ensure forced siganls do not get
  changed (bsc#1210816).
- commit f20434b
* Tue Apr 25 2023 tiwai@suse.de
- KEYS: Add missing function documentation (git-fixes).
- KEYS: Create static version of public_key_verify_signature
  (git-fixes).
- selinux: ensure av_permissions.h is built when needed
  (git-fixes).
- selinux: fix Makefile dependencies of flask.h (git-fixes).
- commit 0854c0e
* Mon Apr 24 2023 msuchanek@suse.de
- powerpc/papr_scm: Update the NUMA distance table for the
  target node (bsc#1209999 ltc#202140 bsc#1142685 ltc#179509
  FATE#327775 git-fixes).
- powerpc/pseries: Consolidate different NUMA distance update
  code paths (bsc#1209999 ltc#202140 bsc#1142685 ltc#179509
  FATE#327775 git-fixes).
- Refresh patches.suse/powerpc-numa-Update-cpu_cpu_map-on-CPU-online-offlin.patch
- commit 7bab4e8
* Mon Apr 24 2023 jack@suse.cz
- Update tags
  patches.suse/ocfs2-fix-data-corruption-after-failed-write.patch.
- commit 90e3245
* Mon Apr 24 2023 jack@suse.cz
- udf: Check consistency of Space Bitmap Descriptor (bsc#1210771).
- commit d6c6801
* Mon Apr 24 2023 jack@suse.cz
- udf: Fix a slab-out-of-bounds write bug in udf_find_entry()
  (bsc#1206649).
- commit 4e476eb
* Mon Apr 24 2023 jack@suse.cz
- udf: Support splicing to file (bsc#1210770).
- commit d2cfd5b
* Mon Apr 24 2023 jack@suse.cz
- writeback, cgroup: fix null-ptr-deref write in
  bdi_split_work_to_wbs (bsc#1210769).
- commit 036cbcd
* Mon Apr 24 2023 jack@suse.cz
- mm/filemap: fix page end in filemap_get_read_batch
  (bsc#1210768).
- commit 48f3bbb
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix another off-by-one fsmap error on 1k block filesystems
  (bsc#1210767).
- commit 9bc20af
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix RENAME_WHITEOUT handling for inline directories
  (bsc#1210766).
- commit 1ad1269
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix cgroup writeback accounting with fs-layer encryption
  (bsc#1210765).
- commit 480dd33
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix incorrect options show of original mount_opt and
  extend mount_opt2 (bsc#1210764).
- commit ec7e31c
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix possible double unlock when moving a directory
  (bsc#1210763).
- commit 88434ef
* Mon Apr 24 2023 jack@suse.cz
- ext4: Fix deadlock during directory rename (bsc#1210763).
- commit 71130aa
* Mon Apr 24 2023 jack@suse.cz
- ext4: Fix possible corruption when moving a directory
  (bsc#1210763).
- commit 5d35ccf
* Mon Apr 24 2023 jack@suse.cz
- blacklist.conf: Blacklist 118901ad1f25
- commit 4dd3cc9
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix corruption when online resizing a 1K bigalloc fs
  (bsc#1206891).
- commit aebc870
* Mon Apr 24 2023 jack@suse.cz
- ext4: fix bad checksum after online resize (bsc#1210762 bsc#1208076).
- commit 57823aa
* Mon Apr 24 2023 tiwai@suse.de
- Move upstreamed ACPI patch into sorted section
- commit 2b7d47e
* Mon Apr 24 2023 tiwai@suse.de
- Move upstreamed ath11 patch into sorted section
- commit 356c4b1
* Mon Apr 24 2023 ohering@suse.de
- Drivers: vmbus: Check for channel allocation before looking
  up relids (git-fixes).
- commit ab07682
* Sat Apr 22 2023 tiwai@suse.de
- fpga: bridge: properly initialize bridge device before
  populating children (git-fixes).
- commit 661e719
* Sat Apr 22 2023 tiwai@suse.de
- ALSA: hda/realtek: fix mute/micmute LEDs for a HP ProBook
  (git-fixes).
- commit 34b9f7a
* Sat Apr 22 2023 tiwai@suse.de
- iio: light: tsl2772: fix reading proximity-diodes from device
  tree (git-fixes).
- iio: adc: at91-sama5d2_adc: fix an error code in
  at91_adc_allocate_trigger() (git-fixes).
- ASoC: fsl_asrc_dma: fix potential null-ptr-deref (git-fixes).
- ALSA: hda/realtek: Remove specific patch for Dell Precision 3260
  (git-fixes).
- ASN.1: Fix check for strdup() success (git-fixes).
- commit fa0048a
* Sat Apr 22 2023 neilb@suse.de
- Update
  patches.suse/NFSD-fix-problems-with-cleanup-on-errors-in-nfsd4_co.patch
  (git-fixes bsc#1210725).
- commit aab0dd8
* Fri Apr 21 2023 tiwai@suse.de
- thunderbolt: Clear registers properly when auto clear isn't
  in use (bsc#1210165).
- commit 13a0ffe
* Fri Apr 21 2023 tiwai@suse.de
- e1000e: Disable TSO on i219-LM card to increase speed
  (git-fixes).
- clk: sprd: set max_register according to mapping range
  (git-fixes).
- Bluetooth: L2CAP: Fix use-after-free in
  l2cap_disconnect_{req,rsp} (git-fixes).
- Bluetooth: Fix race condition in hidp_session_thread
  (git-fixes).
- drm/i915/dsi: fix DSS CTL register offsets for TGL+ (git-fixes).
- x86/PCI: Add quirk for AMD XHCI controller that loses MSI-X
  state in D3hot (git-fixes).
- drm/i915: fix race condition UAF in i915_perf_add_config_ioctl
  (git-fixes).
- power: supply: cros_usbpd: reclassify "default case!" as debug
  (git-fixes).
- drm: panel-orientation-quirks: Add quirk for Lenovo Yoga Book
  X90F (git-fixes).
- ACPI: resource: Add Medion S17413 to IRQ override quirk
  (git-fixes).
- efi: sysfb_efi: Add quirk for Lenovo Yoga Book X91F/L
  (git-fixes).
- i2c: hisi: Avoid redundant interrupts (git-fixes).
- i2c: imx-lpi2c: clean rx/tx buffers upon new message
  (git-fixes).
- wifi: iwlwifi: mvm: fix mvmtxq->stopped handling (git-fixes).
- wifi: mwifiex: mark OF related data as maybe unused (git-fixes).
- ARM: 9290/1: uaccess: Fix KASAN false-positives (git-fixes).
- i915/perf: Replace DRM_DEBUG with driver specific drm_dbg call
  (git-fixes).
- commit ba21d6e
* Thu Apr 20 2023 oneukum@suse.com
- regulator: fan53555: Explicitly include bits header (git-fixes).
- commit 9852306
* Thu Apr 20 2023 mgorman@suse.de
- sched/fair: Fix imbalance overflow (bsc#1155798 (CPU scheduler
  functional and performance backports)).
- sched_getaffinity: don't assume 'cpumask_size()' is fully
  initialized (bsc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/fair: Move calculate of avg_load to a better location
  (bsc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 1c631df
* Thu Apr 20 2023 jslaby@suse.cz
- PCI: dwc: Fix PORT_LINK_CONTROL update when CDM check enabled
  (git-fixes).
- PCI: loongson: Add more devices that need MRRS quirk
  (git-fixes).
- PCI: loongson: Prevent LS7A MRRS increases (git-fixes).
- kABI: PCI: loongson: Prevent LS7A MRRS increases (kabi).
- commit c742154
* Thu Apr 20 2023 jslaby@suse.cz
- x86/entry: Avoid very early RET (git-fixes).
- commit 7f33ce2
* Thu Apr 20 2023 jslaby@suse.cz
- x86/PAT: Have pat_enabled() properly reflect state when running
  on Xen (git-fixes).
- commit 7ccbf72
* Thu Apr 20 2023 jslaby@suse.cz
- blacklist.conf: add some x86 git-fixes
- commit cf1feaf
* Thu Apr 20 2023 nmorey@suse.com
- RDMA/core: Refactor rdma_bind_addr (bsc#1210629 CVE-2023-2176)
- commit a844601
* Thu Apr 20 2023 oneukum@suse.com
- regulator: fan53555: Fix wrong TCS_SLEW_MASK (git-fixes).
- commit f5a41ba
* Wed Apr 19 2023 tiwai@suse.de
- platform/x86/amd: pmc: remove CONFIG_SUSPEND checks
  (bsc#1210644).
- platform/x86/amd: pmc: Add line break for readability
  (bsc#1210644).
- platform/x86/amd: pmc: differentiate STB/SMU messaging prints
  (bsc#1210644).
- platform/x86/amd: pmc: Write dummy postcode into the STB DRAM
  (bsc#1210644).
- platform/x86/amd: pmc: Add num_samples message id support to
  STB (bsc#1210644).
- platform/x86/amd: pmc: Add a module parameter to disable
  workarounds (bsc#1210644).
- platform/x86/amd: pmc: Disable IRQ1 wakeup for RN/CZN
  (bsc#1210644).
- platform/x86/amd: Fix refcount leak in amd_pmc_probe
  (bsc#1210644).
- platform/x86/amd: pmc: Add a workaround for an s0i3 issue on
  Cezanne (bsc#1210644).
- platform/x86/amd: pmc: Add new ACPI ID AMDI0009 (bsc#1210644).
- platform/x86/amd: pmc: Remove more CONFIG_DEBUG_FS checks
  (bsc#1210644).
- platform/x86/amd: pmc: Read SMU version during suspend on
  Cezanne systems (bsc#1210644).
- platform/x86/amd: pmc: remove CONFIG_DEBUG_FS checks
  (bsc#1210644).
- platform/x86/amd: pmc: Fix build without debugfs (bsc#1210644).
- platform/x86/amd: pmc: Add sysfs files for SMU (bsc#1210644).
- platform/x86/amd: pmc: Always write to the STB (bsc#1210644).
- platform/x86/amd: pmc: Add defines for STB events (bsc#1210644).
- platform/x86/amd/pmc: Add new platform support (bsc#1210644).
- platform/x86/amd/pmc: Add new acpi id for PMC controller
  (bsc#1210644).
- commit c4e4057
* Wed Apr 19 2023 tiwai@suse.de
- platform/x86: Move AMD platform drivers to separate directory
  (bsc#1210644).
- supported.conf:
- commit f5c32e0
* Wed Apr 19 2023 tiwai@suse.de
- platform/x86: amd-pmc: Simplify error handling and store the
  pci_dev in amd_pmc_dev structure (bsc#1210644).
- Refresh
  patches.suse/platform-x86-amd-pmc-Correct-usage-of-SMU-version.patch.
- commit 0ad4da1
* Wed Apr 19 2023 tiwai@suse.de
- platform/x86/amd/pmc: Add new platform support (bsc#1210644).
- platform/x86/amd/pmc: Add new acpi id for PMC controller
  (bsc#1210644).
- platform/x86: amd-pmc: Fix build error unused-function
  (bsc#1210644).
- platform/x86: amd-pmc: Shuffle location of
  amd_pmc_get_smu_version() (bsc#1210644).
- platform/x86: amd-pmc: Avoid reading SMU version at probe time
  (bsc#1210644).
- platform/x86: amd-pmc: Move FCH init to first use (bsc#1210644).
- platform/x86: amd-pmc: Move SMU logging setup out of init
  (bsc#1210644).
- platform/x86: amd-pmc: Fix compilation without CONFIG_SUSPEND
  (bsc#1210644).
- platform/x86: amd-pmc: Only report STB errors when STB enabled
  (bsc#1210644).
- platform/x86: amd-pmc: Drop CPU QoS workaround (bsc#1210644).
- platform/x86: amd-pmc: Output error codes in messages
  (bsc#1210644).
- platform/x86: amd-pmc: Move to later in the suspend process
  (bsc#1210644).
- platform/x86: amd-pmc: Validate entry into the deepest state
  on resume (bsc#1210644).
- platform/x86: amd-pmc: uninitialized variable in
  amd_pmc_s2d_init() (bsc#1210644).
- platform/x86: amd-pmc: Set QOS during suspend on CZN w/ timer
  wakeup (bsc#1210644).
- platform/x86: amd-pmc: Add support for AMD Spill to DRAM STB
  feature (bsc#1210644).
- platform/x86: amd-pmc: Make amd_pmc_stb_debugfs_fops static
  (bsc#1210644).
- platform/x86: amd-pmc: Add support for AMD Smart Trace Buffer
  (bsc#1210644).
- platform/x86: amd-pmc: Drop check for valid alarm time
  (bsc#1210644).
- platform/x86: amd-pmc: Downgrade dev_info message to dev_dbg
  (bsc#1210644).
- platform/x86: amd-pmc: fix compilation without
  CONFIG_RTC_SYSTOHC_DEVICE (bsc#1210644).
- platform/x86: amd-pmc: Add special handling for timer based
  S0i3 wakeup (bsc#1210644).
- platform/x86: amd-pmc: adjust arguments for `amd_pmc_send_cmd`
  (bsc#1210644).
- platform/x86: amd-pmc: Add a message to print resume time info
  (bsc#1210644).
- platform/x86: amd-pmc: Send command to dump data after clearing
  OS_HINT (bsc#1210644).
- platform/x86: amd-pmc: Check s0i3 cycle status (bsc#1210644).
- commit 5092faa
* Wed Apr 19 2023 jslaby@suse.cz
- x86/entry: Don't call error_entry() for XENPV (git-fixes).
- x86/entry: Move CLD to the start of the idtentry macro
  (git-fixes).
- x86/entry: Move PUSH_AND_CLEAR_REGS out of error_entry()
  (git-fixes).
- x86/entry: Switch the stack after error_entry() returns
  (git-fixes).
- Refresh patches.suse/objtool-Add-entry-UNRET-validation.patch.
- Refresh patches.suse/x86-Add-magic-AMD-return-thunk.patch.
- Refresh
  patches.suse/x86-entry-Add-kernel-IBRS-implementation.patch.
- x86/traps: Use pt_regs directly in fixup_bad_iret() (git-fixes).
- x86/MCE/AMD: Fix memory leak when threshold_create_bank()
  fails (git-fixes).
- x86/fpu: Prevent FPU state corruption (git-fixes).
- x86/pci/xen: Disable PCI/MSI masking for XEN_HVM guests
  (git-fixes).
- x86/kvm: Preserve BSP MSR_KVM_POLL_CONTROL across suspend/resume
  (git-fixes).
- x86: __memcpy_flushcache: fix wrong alignment if size > 2^32
  (git-fixes).
- x86/tsx: Disable TSX development mode at boot (git-fixes).
- Refresh
  patches.suse/0010-KVM-x86-speculation-Disable-Fill-buffer-clear-within.patch.
- Refresh patches.suse/x86-cpu-amd-Add-Spectral-Chicken.patch.
- stat: fix inconsistency between struct stat and struct
  compat_stat (git-fixes).
- x86/msi: Fix msi message data shadow struct (git-fixes).
- kABI: x86/msi: Fix msi message data shadow struct (kabi).
- x86/bug: Prevent shadowing in __WARN_FLAGS (git-fixes).
- commit fc2d705
* Wed Apr 19 2023 jslaby@suse.cz
- blacklist.conf: add some x86 git-fixes
- commit 67b8a58
* Wed Apr 19 2023 tiwai@suse.de
- drm/amdkfd: Fixed kfd_process cleanup on module exit
  (git-fixes).
- drm/amd/display: Fix DP MST sinks removal issue (git-fixes).
- drm/amdkfd: fix potential kgd_mem UAFs (git-fixes).
- drm/amdkfd: fix a potential double free in pqm_create_queue
  (git-fixes).
- drm/amdkfd: Get prange->offset after svm_range_vram_node_new
  (git-fixes).
- drm/amdkfd: Fix BO offset for multi-VMA page migration
  (git-fixes).
- drm/amdgpu: skip psp suspend for IMU enabled ASICs mode2 reset
  (git-fixes).
- drm/amdgpu: for S0ix, skip SDMA 5.x+ suspend/resume (git-fixes).
- drm/amd/display: Clear MST topology if it fails to resume
  (git-fixes).
- commit 4e29596
* Wed Apr 19 2023 tiwai@suse.de
- amdgpu: fix build on non-DCN platforms (git-fixes).
- commit aeede7a
* Wed Apr 19 2023 tiwai@suse.de
- memstick: fix memory leak if card device is never registered
  (git-fixes).
- mmc: sdhci_am654: Set HIGH_SPEED_ENA for SDR12 and SDR25
  (git-fixes).
- arm64: dts: qcom: ipq8074-hk01: enable QMP device, not the
  PHY node (git-fixes).
- ARM: dts: rockchip: fix a typo error for rk3288 spdif node
  (git-fixes).
- arm64: dts: imx8mm-evk: correct pmic clock source (git-fixes).
- arm64: dts: meson-g12-common: specify full DMC range
  (git-fixes).
- commit e50472a
* Tue Apr 18 2023 ddiss@suse.de
- ovl: fail on invalid uid/gid mapping at copy up (CVE-2023-0386
  bsc#1209615).
- commit 92426ca
* Tue Apr 18 2023 ddiss@suse.de
- ovl: fail on invalid uid/gid mapping at copy up (CVE-2023-0386
  bsc#1209615).
- commit c351e67
* Tue Apr 18 2023 nmorey@suse.com
- RDMA/irdma: Do not generate SW completions for NOPs (git-fixes)
- commit 0f57761
* Tue Apr 18 2023 oneukum@suse.com
- supported.conf: support u_ether and libcomposite
  (jsc-PED#3750)
  This is necessary for g_ncm
  (for maintainance see jsc-PED#3759)
- commit 93dcc25
* Tue Apr 18 2023 nmorey@suse.com
- RDMA/core: Fix GID entry ref leak when create_ah fails (git-fixes)
- commit 96566e9
* Tue Apr 18 2023 nmorey@suse.com
- RDMA/cma: Allow UD qp_type to join multicast only (git-fixes)
- commit 048d3b4
* Tue Apr 18 2023 nmorey@suse.com
- IB/mlx5: Add support for 400G_8X lane speed (git-fixes)
- commit e08b805
* Tue Apr 18 2023 nmorey@suse.com
- RDMA/irdma: Add ipv4 check to irdma_find_listener() (git-fixes)
- commit b64d8ba
* Tue Apr 18 2023 nmorey@suse.com
- RDMA/irdma: Increase iWARP CM default rexmit count (git-fixes)
- commit c3ec287
* Tue Apr 18 2023 nmorey@suse.com
- RDMA/irdma: Fix memory leak of PBLE objects (git-fixes)
- commit 6a66ca6
* Tue Apr 18 2023 tbogendoerfer@suse.de
- vmxnet3: use gro callback when UPT is enabled (bsc#1209739).
- commit b706955
* Tue Apr 18 2023 tbogendoerfer@suse.de
- vmxnet3: use gro callback when UPT is enabled (bsc#1209739).
- commit 507557e
* Tue Apr 18 2023 oneukum@suse.com
- supported.conf: declaring usb_f_ncm supported as
  requested in (jsc#PED-3750)
  Support for the legacy functionality g_ncm is still
  under discussion
  (see jsc-PED#3200)
  For maintainance see (jsc#PED-3759)
- commit 2970881
* Tue Apr 18 2023 osalvador@suse.de
- Rename colliding patches before the next SLE15-SP5-GA -> SLE15-SP5 merge
- commit 604e91e
* Tue Apr 18 2023 pmladek@suse.com
- blacklist.conf: vsprintf: just a small code size optimization
- commit 11066c4
* Tue Apr 18 2023 pmladek@suse.com
- blacklist.conf: fix for a feature which was not backported
- commit 40356f9
* Tue Apr 18 2023 pmladek@suse.com
- blacklist.conf: needed just for a cleanup
- commit 2ad4085
* Tue Apr 18 2023 jslaby@suse.cz
- x86/speculation: Allow enabling STIBP with legacy IBRS
  (bsc#1210506 CVE-2023-1998).
- commit 43f265f
* Tue Apr 18 2023 tiwai@suse.de
- Update patch reference for hwmon fix (CVE-2023-1855 bsc#1210202)
- commit 0565559
* Mon Apr 17 2023 ddiss@suse.de
- cifs: fix negotiate context parsing (bsc#1210301).
- commit 6999463
* Mon Apr 17 2023 tonyj@suse.de
- blacklist.conf: add perf git-fixes we are not taking
- commit affe5db
* Mon Apr 17 2023 tonyj@suse.de
- perf/core: Fix the same task check in perf_event_set_output
  (git fixes).
- perf: Fix check before add_event_to_groups() in
  perf_group_detach() (git fixes).
- perf: fix perf_event_context->time (git fixes).
- perf/core: Fix perf_output_begin parameter is incorrectly
  invoked in perf_event_bpf_output (git fixes).
- powerpc/perf/hv-24x7: add missing RTAS retry status handling
  (git fixes).
- powerpc/hv-gpci: Fix hv_gpci event list (git fixes).
- powerpc: declare unmodified attribute_group usages const
  (git-fixes).
- commit c25cc8c
* Mon Apr 17 2023 mkoutny@suse.com
- supported.conf: Add a guard for unsupported DVB modules
- commit 09bbe06
* Mon Apr 17 2023 tiwai@suse.de
- Update patch reference for power driver fix (CVE-2023-30772 bsc#1210329)
- commit d3db856
* Mon Apr 17 2023 mgorman@suse.de
- sched/fair: Sanitize vruntime of entity being migrated
  (bsc#1203325).
- sched/fair: sanitize vruntime of entity being placed
  (bsc#1203325).
- sched/fair: Limit sched slice duration (bsc#1189999 (Scheduler
  functional and performance backports)).
- sched/numa: Stop an exhastive search if an idle core is found
  (bsc#1189999 (Scheduler functional and performance backports)).
- commit 24ed78f
* Mon Apr 17 2023 mgorman@suse.de
- mm: page_alloc: skip regions with hugetlbfs pages when
  allocating 1G pages (bsc#1210034).
- commit 421448a
* Sun Apr 16 2023 tiwai@suse.de
- wifi: mt76: mt7915: fix memory leak in mt7915_mcu_exit
  (git-fixes).
- nilfs2: fix underflow in second superblock position calculations
  (git-fixes).
- mmc: block: Remove error check of hw_reset on reset (git-fixes).
- mt76: mt7915: fix incorrect testmode ipg on band 1 caused by
  wmm_idx (git-fixes).
- mt76: mt7921: do not update pm states in case of error
  (git-fixes).
- mt76: mt7921: fix kernel crash at mt7921_pci_remove (git-fixes).
- commit b34d82f
* Sun Apr 16 2023 tiwai@suse.de
- wifi: mt76: mt7921: fix reporting of TX AGGR histogram
  (git-fixes).
- wifi: mt76: mt7915: fix reporting of TX AGGR histogram
  (git-fixes).
- commit 099da4d
* Sun Apr 16 2023 tiwai@suse.de
- i2c: ocores: generate stop condition after timeout in polling
  mode (git-fixes).
- commit 95ee80d
* Sat Apr 15 2023 tiwai@suse.de
- ALSA: hda/hdmi: disable KAE for Intel DG2 (git-fixes).
- commit b2ee60b
* Sat Apr 15 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirks for Lenovo Z13/Z16 Gen2
  (git-fixes).
- ALSA: hda: patch_realtek: add quirk for Asus N7601ZM
  (git-fixes).
- ALSA: firewire-tascam: add missing unwind goto in
  snd_tscm_stream_start_duplex() (git-fixes).
- ALSA: emu10k1: don't create old pass-through playback device
  on Audigy (git-fixes).
- ALSA: emu10k1: fix capture interrupt handler unlinking
  (git-fixes).
- ALSA: hda/sigmatel: fix S/PDIF out on Intel D*45* motherboards
  (git-fixes).
- ALSA: hda/sigmatel: add pin overrides for Intel DP45SG
  motherboard (git-fixes).
- ALSA: i2c/cs8427: fix iec958 mixer control deactivation
  (git-fixes).
- commit 4a758e5
* Sat Apr 15 2023 lduncan@suse.com
- scsi: iscsi_tcp: Check that sock is valid before
  iscsi_set_param() (git-fixes).
- scsi: qla2xxx: Fix memory leak in qla2x00_probe_one()
  (git-fixes).
- scsi: mpt3sas: Don't print sense pool info twice (git-fixes).
- scsi: megaraid_sas: Fix crash after a double completion
  (git-fixes).
- scsi: scsi_dh_alua: Fix memleak for 'qdata' in alua_activate()
  (git-fixes).
- scsi: qla2xxx: Perform lockless command completion in abort path
  (git-fixes).
- scsi: core: Add BLIST_SKIP_VPD_PAGES for SKhynix H28U74301AMR
  (git-fixes).
- scsi: core: Fix a procfs host directory removal regression
  (git-fixes).
- scsi: mpt3sas: Fix NULL pointer access in
  mpt3sas_transport_port_add() (git-fixes).
- scsi: sd: Fix wrong zone_write_granularity value during
  revalidate (git-fixes).
- scsi: megaraid_sas: Update max supported LD IDs to 240
  (git-fixes).
- scsi: lpfc: Avoid usage of list iterator variable after loop
  (git-fixes).
- scsi: lpfc: Check kzalloc() in lpfc_sli4_cgn_params_read()
  (git-fixes).
- scsi: hisi_sas: Check devm_add_action() return value
  (git-fixes).
- scsi: core: Remove the /proc/scsi/${proc_name} directory earlier
  (git-fixes).
- scsi: core: Fix a source code comment (git-fixes).
- scsi: ipr: Work around fortify-string warning (git-fixes).
- scsi: ses: Don't attach if enclosure has no components
  (git-fixes).
- scsi: ses: Fix slab-out-of-bounds in ses_intf_remove()
  (git-fixes).
- scsi: ses: Fix possible desc_ptr out-of-bounds accesses
  (git-fixes).
- scsi: ses: Fix possible addl_desc_ptr out-of-bounds accesses
  (git-fixes).
- scsi: ses: Fix slab-out-of-bounds in
  ses_enclosure_data_process() (git-fixes).
- scsi: aic94xx: Add missing check for dma_map_single()
  (git-fixes).
- scsi: mpt3sas: Fix a memory leak (git-fixes).
- scsi: snic: Fix memory leak with using debugfs_lookup()
  (git-fixes).
- scsi: libsas: Remove useless dev_list delete in
  sas_ex_discover_end_dev() (git-fixes).
- scsi: iscsi_tcp: Fix UAF during login when accessing the shost
  ipaddress (git-fixes).
- commit fce4b5b
* Fri Apr 14 2023 msuchanek@suse.de
- k-m-s: Drop Linux 2.6 support
- commit 22b2304
* Fri Apr 14 2023 lduncan@suse.com
- scsi: iscsi_tcp: Fix UAF during logout when accessing the
  shost ipaddress (git-fixes).
- Refresh
  patches.kabi/kABI-fix-change-of-iscsi_host_remove-arguments.patch.
- commit dfafac0
* Fri Apr 14 2023 msuchanek@suse.de
- Remove obsolete KMP obsoletes (bsc#1210469).
- commit 7f325c6
* Fri Apr 14 2023 tiwai@suse.de
- drm/amdgpu/display/mst: adjust the naming of mst_port and port
  of aconnector (bsc#1206843).
- Refresh
  patches.suse/drm-amd-display-Add-DSC-Support-for-Synaptics-Cascad.patch.
- commit e1992e9
* Fri Apr 14 2023 jslaby@suse.cz
- Update
  patches.kabi/PCI-dwc-Add-dw_pcie_ops.host_deinit-callback.patch
  (kabi bsc#1210206).
  Fix kabi breakage.
- commit cf0ac3f
* Fri Apr 14 2023 clin@suse.com
- Update CVE reference to
  patches.suse/netdevsim-fib-Fix-reference-count-leak-on-route-dele.patch
  (git-fixes bsc#1210454 CVE-2023-2019).
- commit 4e95d11
* Fri Apr 14 2023 clin@suse.com
- Update CVE reference to patches.suse/udmabuf-add-back-sanity-check.patch
  (git-fixes bsc#1210453 CVE-2023-2008).
- commit 62da89a
* Fri Apr 14 2023 clin@suse.com
- Update CVE reference to
  patches.suse/netdevsim-fib-Fix-reference-count-leak-on-route-dele.patch
  (git-fixes bsc#1210454 CVE-2023-2019).
- commit 75fc91b
* Fri Apr 14 2023 clin@suse.com
- Update CVE reference to patches.suse/udmabuf-add-back-sanity-check.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 bsc#1210453
  CVE-2023-2008).
- commit 342d08e
* Fri Apr 14 2023 tiwai@suse.de
- drm/amd/display: Pass the right info to drm_dp_remove_payload
  (bsc#1206843).
- drm/i915/dp_mst: Fix payload removal during output disabling
  (bsc#1206843).
- commit b762a1f
* Fri Apr 14 2023 tiwai@suse.de
- Refresh patches.kabi/drm-dp-mst-kabi-workaround.patch (bsc#1206843)
  Add the kABI workaround for drm_dp_remove_payload(), too
- commit 9cc82fc
* Fri Apr 14 2023 tiwai@suse.de
- drm/display/dp_mst: Add drm_atomic_get_old_mst_topology_state()
  (bsc#1206843).
- drm/display/dp_mst: Handle old/new payload states in
  drm_dp_remove_payload() (bsc#1206843).
- commit dd0c4f6
* Fri Apr 14 2023 tiwai@suse.de
- drm/amd/display: Take FEC Overhead into Timeslot Calculation
  (bsc#1206843).
- Refresh
  patches.suse/drm-amd-display-Add-DSC-Support-for-Synaptics-Cascad.patch.
- Refresh
  patches.suse/drm-amdgpu-display-mst-adjust-the-naming-of-mst_port.patch.
- commit fd7c9e9
* Fri Apr 14 2023 tiwai@suse.de
- drm/amd/pm: correct the pcie link state check for SMU13
  (bsc#1206843).
- drm/amd/pm: correct SMU13.0.7 max shader clock reporting
  (bsc#1206843).
- drm/amd/pm: correct SMU13.0.7 pstate profiling clock settings
  (bsc#1206843).
- commit 5eef911
* Fri Apr 14 2023 tiwai@suse.de
- usb: typec: tcpm: fix create duplicate source-capabilities file
  (git-fixes).
- usb: ucsi_acpi: Increase the command completion timeout
  (git-fixes).
- commit b61e848
* Fri Apr 14 2023 tiwai@suse.de
- fbcon: set_con2fb_map needs to set con2fb_map! (git-fixes).
- fbcon: Fix error paths in set_con2fb_map (git-fixes).
- mt76: mt7915: fix possible NULL pointer dereference in
  mt7915_mac_fill_rx_vector (git-fixes).
- commit 3d10805
* Fri Apr 14 2023 tiwai@suse.de
- Bluetooth: Set ISO Data Path on broadcast sink (git-fixes).
- Bluetooth: SCO: Fix possible circular locking dependency
  sco_sock_getsockopt (git-fixes).
- Bluetooth: hci_conn: Fix not cleaning up on LE Connection
  failure (git-fixes).
- commit c44d2c1
* Fri Apr 14 2023 tiwai@suse.de
- net: phy: nxp-c45-tja11xx: add remove callback (git-fixes).
- net: phy: nxp-c45-tja11xx: fix unsigned long multiplication
  overflow (git-fixes).
- Revert "pinctrl: amd: Disable and mask interrupts on resume"
  (git-fixes).
- drm/armada: Fix a potential double free in an error handling
  path (git-fixes).
- fbmem: Reject FB_ACTIVATE_KD_TEXT from userspace (git-fixes).
- usb: dwc3: pci: add support for the Intel Meteor Lake-S
  (git-fixes).
- USB: serial: option: add Quectel RM500U-CN modem (git-fixes).
- USB: serial: option: add Telit FE990 compositions (git-fixes).
- USB: serial: cp210x: add Silicon Labs IFS-USB-DATACABLE IDs
  (git-fixes).
- nilfs2: fix potential UAF of struct nilfs_sc_info in
  nilfs_segctor_thread() (git-fixes).
- drm/nouveau/disp: Support more modes by checking with lower bpc
  (git-fixes).
- drm/bridge: lt9611: Fix PLL being unable to lock (git-fixes).
- serial: exar: Add support for Sealevel 7xxxC serial cards
  (git-fixes).
- serial: 8250_exar: derive nr_ports from PCI ID for Acces I/O
  cards (git-fixes).
- commit f9cf523
* Fri Apr 14 2023 clin@suse.com
- nfc: st-nci: Fix use after free bug in ndlc_remove due to race
  condition (git-fixes bsc#1210337 CVE-2023-1990).
- commit 12594bd
* Thu Apr 13 2023 lduncan@suse.com
- scsi: hisi_sas: Set a port invalid only if there are no devices
  attached when refreshing port id (git-fixes).
- commit 5cdcc2b
* Thu Apr 13 2023 mkoutny@suse.com
- signal handling: don't use BUG_ON() for debugging (bsc#1210439).
- commit 3f10ae8
* Thu Apr 13 2023 lduncan@suse.com
- Update
  patches.suse/scsi-core-Add-BLIST_NO_VPD_SIZE-for-some-VDASD.patch
  (git-fixes bsc#1203039), adding back the bug number reference.
- commit 2587a1f
* Thu Apr 13 2023 lduncan@suse.com
- scsi: core: Add BLIST_NO_VPD_SIZE for some VDASD (git-fixes
  bsc#1203039) (renamed now that it's upstgream)
- Refresh
  patches.kabi/blk-mq-fix-kabi-support-concurrent-queue-quiesce-unquiesce.patch.
- Refresh
  patches.kabi/kABI-fix-adding-another-field-to-scsi_device.patch.
- Refresh patches.kabi/kABI-fix-adding-field-to-scsi_device.patch.
- commit 14ff6ce
* Thu Apr 13 2023 tbogendoerfer@suse.de
- ice: avoid bonding causing auxiliary plug/unplug under RTNL lock
  (bsc#1210158).
- commit bca1250
* Thu Apr 13 2023 tbogendoerfer@suse.de
- ice: avoid bonding causing auxiliary plug/unplug under RTNL lock
  (bsc#1210158).
- commit 5691022
* Thu Apr 13 2023 jroedel@suse.de
- virt/coco/sev-guest: Add throttling awareness (bsc#1209927).
- virt/coco/sev-guest: Convert the sw_exit_info_2 checking to
  a switch-case (bsc#1209927).
- virt/coco/sev-guest: Do some code style cleanups (bsc#1209927).
- virt/coco/sev-guest: Carve out the request issuing logic into
  a helper (bsc#1209927).
- virt/coco/sev-guest: Remove the disable_vmpck label in
  handle_guest_request() (bsc#1209927).
- virt/coco/sev-guest: Simplify extended guest request handling
  (bsc#1209927).
- virt/coco/sev-guest: Check SEV_SNP attribute at probe time
  (bsc#1209927).
- virt/sev-guest: Return -EIO if certificate buffer is not large
  enough (bsc#1209927).
- commit b35c5f2
* Thu Apr 13 2023 lhenriques@suse.de
- fscache: Use wait_on_bit() to wait for the freeing of
  relinquished  volume (bsc#1210409).
- commit 67a1645
* Thu Apr 13 2023 tiwai@suse.de
- Update reference for BT fix (CVE-2023-1989 bsc#1210336)
- commit 2383449
* Thu Apr 13 2023 clin@suse.com
- Update CVE reference to
  patches.suse/nfc-st-nci-Fix-use-after-free-bug-in-ndlc_remove-due.patch
  (git-fixes bsc#1210337 CVE-2023-1990).
- commit ddf99ea
* Wed Apr 12 2023 oneukum@suse.com
- usb: typec: tcpm: fix create duplicate source-capabilities file
  (git-fixes).
- commit 48f9553
* Wed Apr 12 2023 tiwai@suse.de
- mtd: rawnand: meson: fix bitmask for length in command word
  (git-fixes).
- mtdblock: tolerate corrected bit-flips (git-fixes).
- mtd: rawnand: stm32_fmc2: use timings.mode instead of checking
  tRC_min (git-fixes).
- mtd: rawnand: stm32_fmc2: remove unsupported EDO mode
  (git-fixes).
- commit 6504d96
* Tue Apr 11 2023 petr.pavlu@suse.com
- tracing: Add trace_array_puts() to write into instance
  (git-fixes).
- commit 059865f
* Tue Apr 11 2023 petr.pavlu@suse.com
- blacklist.conf: add a not-relevant ftrace commit
- commit 2220417
* Tue Apr 11 2023 tiwai@suse.de
- Fix a compile warning in the previous nouveau patch (bsc#1208209)
  Refreshed:
  patches.suse/drm-nouveau-blacklist-Turing-and-Ampere-models-as-default.patch
- commit b2a56d6
* Tue Apr 11 2023 petr.pavlu@suse.com
- ftrace: Fix issue that 'direct->addr' not restored in
  modify_ftrace_direct() (git-fixes).
- commit 03fd814
* Tue Apr 11 2023 petr.pavlu@suse.com
- tracing: Free error logs of tracing instances (git-fixes).
- commit b4f001c
* Tue Apr 11 2023 petr.pavlu@suse.com
- tracing: Have tracing_snapshot_instance_cond() write errors
  to the appropriate instance (git-fixes).
- commit b3421ec
* Tue Apr 11 2023 petr.pavlu@suse.com
- ftrace: Mark get_lock_parent_ip() __always_inline (git-fixes).
- commit 46954c5
* Tue Apr 11 2023 petr.pavlu@suse.com
- ring-buffer: Fix race while reader and writer are on the same
  page (git-fixes).
- commit c740036
* Tue Apr 11 2023 petr.pavlu@suse.com
- rcu: Fix rcu_torture_read ftrace event (git-fixes).
- commit cb9e9b0
* Tue Apr 11 2023 petr.pavlu@suse.com
- mm: mmap: remove newline at the end of the trace (git-fixes).
- commit 01340e1
* Tue Apr 11 2023 tiwai@suse.de
- kABI workaround for drm_dp_mst helper updates (bsc#1206843).
- commit 622757e
* Tue Apr 11 2023 petr.pavlu@suse.com
- tracing: Fix wrong return in kprobe_event_gen_test.c
  (git-fixes).
- commit f76dcf0
* Tue Apr 11 2023 tiwai@suse.de
- Add cherry-picked IDs and resort DRM patches (bsc#1206843)
- commit fea8c06
* Tue Apr 11 2023 tiwai@suse.de
- drm/dp_mst: Avoid deleting payloads for connectors staying
  enabled (bsc#1206843).
- commit baf0e12
* Tue Apr 11 2023 tiwai@suse.de
- drm/amdgpu/dm/mst: Fix uninitialized var in
  pre_compute_mst_dsc_configs_for_state() (bsc#1206843).
- drm/i915/dp_mst: Fix mst_mgr lookup during atomic check
  (bsc#1206843).
- commit 8d6c62d
* Tue Apr 11 2023 tiwai@suse.de
- drm/display/dp_mst: Move all payload info into the atomic state
  (bsc#1206843).
- Refresh
  patches.suse/0029-drm-dp_mst-add-passthrough_aux-to-struct-drm_dp_mst_.patch.
- Refresh
  patches.suse/drm-display-dp_mst-Fix-down-up-message-handling-afte.patch.
- commit 9d76c56
* Tue Apr 11 2023 petr.pavlu@suse.com
- tracing: Fix poll() and select() do not work on per_cpu
  trace_pipe and trace_pipe_raw (git-fixes, bsc#1209841).
- commit b44ae5f
* Tue Apr 11 2023 tiwai@suse.de
- drm/display/dp_mst: Correct the kref of port (bsc#1206843).
- drm/amdgpu/display/mst: limit payload to be updated one by one
  (bsc#1206843).
- drm/amdgpu/display/mst: Fix mst_state->pbn_div and slot count
  assignments (bsc#1206843).
- drm/amdgpu/dm/dp_mst: Don't grab mst_mgr->lock when computing
  DSC state (bsc#1206843).
- drm/amdgpu/dm/mst: Use the correct topology mgr pointer in
  amdgpu_dm_connector (bsc#1206843).
- drm/amdgpu/mst: Stop ignoring error codes and deadlocking
  (bsc#1206843).
- drm/radeon: Drop legacy MST support (bsc#1206843).
- drm/display/dp_mst: Maintain time slot allocations when deleting
  payloads (bsc#1206843).
- drm/display/dp_mst: Drop all ports from topology on CSNs before
  queueing link address work (bsc#1206843).
- drm/display/dp_mst: Add helpers for serializing SST <-> MST
  transitions (bsc#1206843).
- drm/nouveau/kms: Pull mst state in for all modesets
  (bsc#1206843).
- drm/nouveau/kms: Cache DP encoders in nouveau_connector
  (bsc#1206843).
- commit 1e5c142
* Tue Apr 11 2023 tiwai@suse.de
- drm/display/dp_mst: Add nonblocking helpers for DP MST
  (bsc#1206843).
- Refresh
  patches.suse/drm-i915-Disable-DC-states-for-all-commits.patch.
- commit 8f808fd
* Tue Apr 11 2023 tiwai@suse.de
- drm/display/dp_mst: Rename drm_dp_mst_vcpi_allocation
  (bsc#1206843).
- Refresh
  patches.suse/drm-display-dp_mst-Fix-drm_dp_mst_add_affected_dsc_c.patch.
- commit 52cb469
* Tue Apr 11 2023 tiwai@suse.de
- drm/display/dp_mst: Fix modeset tracking in
  drm_dp_atomic_release_vcpi_slots() (bsc#1206843).
- drm/display/dp_mst: Don't open code modeset checks for releasing
  time slots (bsc#1206843).
- drm/display/dp_mst: Add helper for finding payloads in atomic
  MST state (bsc#1206843).
- drm/display/dp_mst: Fix confusing docs for
  drm_dp_atomic_release_time_slots() (bsc#1206843).
- drm/display/dp_mst: Call them time slots, not VCPI slots
  (bsc#1206843).
- commit 6531ec1
* Tue Apr 11 2023 tiwai@suse.de
- x86/acpi/boot: Correct acpi_is_processor_usable() check
  (git-fixes).
- x86/ACPI/boot: Use FADT version to check support for online
  capable (git-fixes).
- commit 0f1b7d9
* Mon Apr 10 2023 palcantara@suse.de
- cifs: double lock in cifs_reconnect_tcon() (git-fixes).
- commit cdf6666
* Sun Apr  9 2023 lduncan@suse.com
- scsi: hisi_sas: Revert change to limit max hw sectors for v3 HW
  (bsc#1210230).
- commit 8a085e8
* Sun Apr  9 2023 tiwai@suse.de
- kABI workaround for xhci (git-fixes).
- commit cbab93c
* Sun Apr  9 2023 tiwai@suse.de
- iio: adc: ti-ads7950: Set `can_sleep` flag for GPIO chip
  (git-fixes).
- iio: dac: cio-dac: Fix max DAC write value check for 12-bit
  (git-fixes).
- iio: light: cm32181: Unregister second I2C client if present
  (git-fixes).
- iio: adc: ad7791: fix IRQ flags (git-fixes).
- iio: adis16480: select CONFIG_CRC32 (git-fixes).
- tty: serial: sh-sci: Fix Rx on RZ/G2L SCI (git-fixes).
- tty: serial: fsl_lpuart: avoid checking for transfer complete
  when UARTCTRL_SBK is asserted in lpuart32_tx_empty (git-fixes).
- dt-bindings: serial: renesas,scif: Fix 4th IRQ for 4-IRQ SCIFs
  (git-fixes).
- tty: serial: sh-sci: Fix transmit end interrupt handler
  (git-fixes).
- usb: cdnsp: Fixes error: uninitialized symbol 'len' (git-fixes).
- usb: typec: altmodes/displayport: Fix configure initial pin
  assignment (git-fixes).
- xhci: Free the command allocated for setting LPM if we return
  early (git-fixes).
- xhci: also avoid the XHCI_ZERO_64B_REGS quirk with a passthrough
  iommu (git-fixes).
- usb: xhci: tegra: fix sleep in atomic call (git-fixes).
- nilfs2: fix sysfs interface lifetime (git-fixes).
- commit 3aae146
* Sat Apr  8 2023 tiwai@suse.de
- i915 kABI workaround (git-fixes).
- commit 6ef5b0a
* Sat Apr  8 2023 tiwai@suse.de
- drm/i915: Fix context runtime accounting (git-fixes).
- drm/i915: fix race condition UAF in i915_perf_add_config_ioctl
  (git-fixes).
- drm/i915/dpt: Treat the DPT BO as a framebuffer (git-fixes).
- drm/i915/gem: Flush lmem contents after construction
  (git-fixes).
- drm/i915: Disable DC states for all commits (git-fixes).
- drm/i915: Move CSC load back into .color_commit_arm() when
  PSR is enabled on skl/glk (git-fixes).
- drm/meson: fix missing component unbind on bind errors
  (git-fixes).
- Bluetooth: HCI: Fix global-out-of-bounds (git-fixes).
- Bluetooth: Fix race condition in hci_cmd_sync_clear (git-fixes).
- drm/cirrus: NULL-check pipe->plane.state->fb in
  cirrus_pipe_update() (git-fixes).
- drm/i915: stop abusing swiotlb_max_segment (git-fixes).
- commit 2fe568b
* Sat Apr  8 2023 tiwai@suse.de
- ALSA: hda/hdmi: Preserve the previous PCM device upon
  re-enablement (git-fixes).
- ASoC: hdac_hdmi: use set_stream() instead of set_tdm_slots()
  (git-fixes).
- ASoC: SOF: ipc4: Ensure DSP is in D0I0 during
  sof_ipc4_set_get_data() (git-fixes).
- Bluetooth: ISO: fix timestamped HCI ISO data packet parsing
  (git-fixes).
- Bluetooth: btusb: Remove detection of ISO packets over bulk
  (git-fixes).
- Bluetooth: hci_core: Detect if an ACL packet is in fact an
  ISO packet (git-fixes).
- ata: libata: Set __ATA_BASE_SHT max_sectors (git-fixes).
- ata: pata_macio: Fix compilation warning (git-fixes).
- ata: pata_octeon_cf: fix call to trace_ata_bmdma_stop()
  (git-fixes).
- commit 19fe5df
* Sat Apr  8 2023 tiwai@suse.de
- gpio: davinci: Add irq chip flag to skip set wake (git-fixes).
- gpio: GPIO_REGMAP: select REGMAP instead of depending on it
  (git-fixes).
- commit b56644c
* Fri Apr  7 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Clevo X370SNW (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for a HP ProBook
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs don't work for a HP
  platform (git-fixes).
- commit f336cd9
* Fri Apr  7 2023 tiwai@suse.de
- can: isotp: isotp_ops: fix poll() to not report false EPOLLOUT
  events (git-fixes).
- can: j1939: j1939_tp_tx_dat_new(): fix out-of-bounds memory
  access (git-fixes).
- wifi: mac80211: fix invalid drv_sta_pre_rcu_remove calls for
  non-uploaded sta (git-fixes).
- pwm: sprd: Explicitly set .polarity in .get_state() (git-fixes).
- pwm: cros-ec: Explicitly set .polarity in .get_state()
  (git-fixes).
- drm/panfrost: Fix the panfrost_mmu_map_fault_addr() error path
  (git-fixes).
- platform/x86: think-lmi: Clean up display of current_value on
  Thinkstation (git-fixes).
- platform/x86: think-lmi: Fix memory leaks when parsing
  ThinkStation WMI strings (git-fixes).
- platform/x86: think-lmi: Fix memory leak when showing current
  settings (git-fixes).
- commit a8eaaa9
* Thu Apr  6 2023 msuchanek@suse.de
- powerpc/pseries/vas: Ignore VAS update for DLPAR if copy/paste
  is not enabled (bsc#1210216 ltc#202189).
- commit ef2d513
* Thu Apr  6 2023 fdmanana@suse.com
- btrfs: fix race between quota disable and quota assign ioctls
  (CVE-2023-1611 bsc#1209687).
- commit dcf095c
* Thu Apr  6 2023 tiwai@suse.de
- Drop doubly-applied AMDGPU S3 workaround patch (bsc#1206843)
- commit 0622244
* Thu Apr  6 2023 tiwai@suse.de
- Add missing IP_VERSION checks for psr for DCN314/315 (bsc#1206843)
  The patches missed a couple of chunks.  Fixed them.
- commit 865b208
* Thu Apr  6 2023 tiwai@suse.de
- Recover the dropped aspm check in AMDGPU driver (bsc#1206843)
  The upstream kept the code chunk at merging the branch.
  Refreshed:
  patches.suse/0720-drm-amd-Refactor-amdgpu_aspm-to-be-evaluated-per-dev.patch
- commit 841847b
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu: Register ACPI video backlight when skipping amdgpu
  backlight registration (bsc#1206843).
- commit 336f06d
* Thu Apr  6 2023 ykaukab@suse.de
- Drop patches.suse/arm64-Discard-.note.GNU-stack-section.patch
  References: bsc#1209798
  Dropping this patch as commit 99cb0d917ffa ("arch: fix broken BuildID for arm64 and riscv")
  is already applied. See https://bugzilla.suse.com/show_bug.cgi?id=1209798#c14
- commit 639dbf7
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu: Fix potential NULL dereference (bsc#1206843).
- commit 1c3357b
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu: allow more APUs to do mode2 reset when go to S4
  (bsc#1206843).
- ACPI: video: Fix missing native backlight on Chromebooks
  (bsc#1206843).
- ACPI: video: Refactor acpi_video_get_backlight_type() a bit
  (bsc#1203693).
- commit 46c719d
* Thu Apr  6 2023 tiwai@suse.de
- drm/amd/display: Set dcn32 caps.seamless_odm (bsc#1206843).
- drm/amd/display: fix wrong index used in dccg32_set_dpstreamclk
  (bsc#1206843).
- drm/amdgpu/nv: Apply ASPM quirk on Intel ADL + AMD Navi
  (bsc#1206843).
- drm/amdgpu: skip ASIC reset for APUs when go to S4
  (bsc#1206843).
- drm/amdgpu: reposition the gpu reset checking for reuse
  (bsc#1206843).
- drm/amdgpu: Don't resume IOMMU after incomplete init
  (bsc#1206843).
- drm/amd/display: disconnect MPCC only on OTG change
  (bsc#1206843).
- drm/amd/display: Do not set DRR on pipe Commit (bsc#1206843).
- drm/amd/display: Remove OTG DIV register write for Virtual
  signals (bsc#1206843).
- drm/amd/pm: Fix sienna cichlid incorrect OD volage after resume
  (bsc#1206843).
- drm/amd/pm: bump SMU 13.0.4 driver_if header version
  (bsc#1206843).
- drm/amd: Fix initialization mistake for NBIO 7.3.0
  (bsc#1206843).
- drm/amdgpu: Fix call trace warning and hang when removing
  amdgpu device (bsc#1206843).
- drm/amd/display: Update clock table to include highest clock
  setting (bsc#1206843).
- drm/amdgpu: fix ttm_bo calltrace warning in psp_hw_fini
  (bsc#1206843).
- drm/amd/display: fix k1 k2 divider programming for phantom
  streams (bsc#1206843).
- drm/amdkfd: add GC 11.0.4 KFD support (bsc#1206843).
- drm/amdkfd: Fix the memory overrun (bsc#1206843).
- drm/amdkfd: Fix the warning of array-index-out-of-bounds
  (bsc#1206843).
- drm/amd/display: Include virtual signal to set k1 and k2 values
  (bsc#1206843).
- drm/amdkfd: introduce dummy cache info for property asic
  (bsc#1206843).
- commit 5a1dd66
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu/soc21: Add video cap query support for VCN_4_0_4
  (bsc#1206843).
- drm/amdgpu: fix error checking in amdgpu_read_mm_registers
  for nv (bsc#1206843).
- drm/amdgpu: fix error checking in amdgpu_read_mm_registers
  for soc21 (bsc#1206843).
- drm/amd: Fix initialization for nbio 7.5.1 (bsc#1206843).
- drm/amd/display: Disable HUBP/DPP PG on DCN314 for now
  (bsc#1206843).
- drm/amd/display: Enable P-state validation checks for DCN314
  (bsc#1206843).
- drm/amd/display: Do not commit pipe when updating DRR
  (bsc#1206843).
- drm/amd/display: fix FCLK pstate change underflow (bsc#1206843).
- Revert "drm/amdgpu: TA unload messages are not actually sent
  to psp when amdgpu is uninstalled" (bsc#1206843).
- drm/amd/display: Properly reuse completion structure
  (bsc#1206843).
- drm/amd/display: adjust MALL size available for DCN32 and DCN321
  (bsc#1206843).
- drm/amd/display: Set hvm_enabled flag for S/G mode
  (bsc#1206843).
- drm/amdgpu/soc21: don't expose AV1 if VCN0 is harvested
  (bsc#1206843).
- drm/amd/display: Allow subvp on vactive pipes that are
  2560x1440@60 (bsc#1206843).
- drm/amd/display: fix mapping to non-allocated address
  (bsc#1206843).
- drm/amd: Avoid ASSERT for some message failures (bsc#1206843).
- drm/amdkfd: Page aligned memory reserve size (bsc#1206843).
- drm/amd: Avoid BUG() for case of SRIOV missing IP version
  (bsc#1206843).
- drm/amd/display: Defer DIG FIFO disable after VID stream enable
  (bsc#1206843).
- drm/amd/display: Reduce expected sdp bandwidth for dcn321
  (bsc#1206843).
- commit df803a5
* Thu Apr  6 2023 tiwai@suse.de
- drm/amd/display: Fix race condition in DPIA AUX transfer
  (bsc#1206843).
- commit 22c401f
* Thu Apr  6 2023 tiwai@suse.de
- drm/amd/display: Move DCN314 DOMAIN power control to DMCUB
  (bsc#1206843).
- drm/amd/amdgpu: fix warning during suspend (bsc#1206843).
- drm/amd/display: properly handling AGP aperture in vm setup
  (bsc#1206843).
- drm/amdgpu: Enable vclk dclk node for gc11.0.3 (bsc#1206843).
- drm/amdgpu: enable HDP SD for gfx 11.0.3 (bsc#1206843).
- drm/amd/display: Reset DMUB mailbox SW state after HW reset
  (bsc#1206843).
- drm/amd/display: Unassign does_plane_fit_in_mall function from
  dcn3.2 (bsc#1206843).
- drm/amd/display: Adjust downscaling limits for dcn314
  (bsc#1206843).
- drm/amd/display: Add missing brackets in calculation
  (bsc#1206843).
- commit c53b024
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu/smu: skip pptable init under sriov (bsc#1206843).
- drm/amdgpu: Use the TGID for trace_amdgpu_vm_update_ptes
  (bsc#1206843).
- drm/amdgpu: Add unique_id support for GC 11.0.1/2 (bsc#1206843).
- drm/amd/pm: bump SMU 13.0.7 driver_if header version
  (bsc#1206843).
- drm/amd/pm: bump SMU 13.0.0 driver_if header version
  (bsc#1206843).
- drm/amd/pm: add SMU 13.0.7 missing GetPptLimit message mapping
  (bsc#1206843).
- drm/amd: Fix initialization for nbio 4.3.0 (bsc#1206843).
- drm/amd/pm: drop unneeded dpm features disablement for SMU
  13.0.4/11 (bsc#1206843).
- drm/amdgpu: update wave data type to 3 for gfx11 (bsc#1206843).
- drm/amdgpu/display/mst: update mst_mgr relevant variable when
  long HPD (bsc#1206843).
- drm/amd/pm: add missing AllowIHInterrupt message mapping for
  SMU13.0.0 (bsc#1206843).
- drm/amdgpu: correct MEC number for gfx11 APUs (bsc#1206843).
- drm/amdkfd: Fix NULL pointer error for GC 11.0.1 on mGPU
  (bsc#1206843).
- drm/amdkfd: Add sync after creating vram bo (bsc#1206843).
- drm/amdgpu: add tmz support for GC IP v11.0.4 (bsc#1206843).
- drm/amdgpu: add tmz support for GC 11.0.1 (bsc#1206843).
- commit 4cfe6b9
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu: enable VCN DPG for GC IP v11.0.4 (bsc#1206843).
- commit 3472aee
* Thu Apr  6 2023 tiwai@suse.de
- drm/amdgpu: enable GFX IP v11.0.4 CG support (bsc#1206843).
- commit a134f7e
* Thu Apr  6 2023 tiwai@suse.de
- drm/amd/display: disable S/G display on DCN 3.1.4 (bsc#1206843).
- drm/amd/display: disable S/G display on DCN 3.1.5 (bsc#1206843).
- drm/amdgpu: allow multipipe policy on ASICs with one MEC
  (bsc#1206843).
- drm/amdgpu: fix amdgpu_job_free_resources v2 (bsc#1206843).
- drm/amd/pm: enable GPO dynamic control support for SMU13.0.7
  (bsc#1206843).
- drm/amd/pm: enable GPO dynamic control support for SMU13.0.0
  (bsc#1206843).
- drm/amdgpu: enable GFX Clock Gating control for GC IP v11.0.4
  (bsc#1206843).
- drm/amdgpu: enable GFX Power Gating for GC IP v11.0.4
  (bsc#1206843).
- drm/amdgpu: enable PSP IP v13.0.11 support (bsc#1206843).
- drm/amdgpu: Enable pg/cg flags on GC11_0_4 for VCN
  (bsc#1206843).
- drm/amdgpu/discovery: enable nbio support for NBIO v7.7.1
  (bsc#1206843).
- drm/amdgpu/pm: use the specific mailbox registers only for
  SMU IP v13.0.4 (bsc#1206843).
- drm/amdgpu/soc21: add mode2 asic reset for SMU IP v13.0.11
  (bsc#1206843).
- drm/amdgpu/pm: add GFXOFF control IP version check for SMU IP
  v13.0.11 (bsc#1206843).
- drm/amdgpu: add smu 13 support for smu 13.0.11 (bsc#1206843).
- drm/amdgpu/pm: enable swsmu for SMU IP v13.0.11 (bsc#1206843).
- drm/amdgpu: add gmc v11 support for GC 11.0.4 (bsc#1206843).
- drm/amdgpu: add soc21 common ip block support for GC 11.0.4
  (bsc#1206843).
- drm/amdgpu: add gfx support for GC 11.0.4 (bsc#1206843).
- drm/amdgpu/discovery: set the APU flag for GC 11.0.4
  (bsc#1206843).
- drm/amdgpu: set GC 11.0.4 family (bsc#1206843).
- drm/amdgpu/discovery: add PSP IP v13.0.11 support (bsc#1206843).
- drm/amdgpu/discovery: enable mes support for GC v11.0.4
  (bsc#1206843).
- drm/amdgpu/discovery: enable gfx v11 for GC 11.0.4
  (bsc#1206843).
- drm/amdgpu/discovery: enable gmc v11 for GC 11.0.4
  (bsc#1206843).
- drm/amdgpu/discovery: enable soc21 common for GC 11.0.4
  (bsc#1206843).
- drm/amd/pm: Enable bad memory page/channel recording support
  for smu v13_0_0 (bsc#1206843).
- commit daeeb9c
* Thu Apr  6 2023 tiwai@suse.de
- drm/amd/pm/smu13: BACO is supported when it's in BACO state
  (bsc#1206843).
- drm/amdgpu: Fixed bug on error when unloading amdgpu
  (bsc#1206843).
- drm/amd/pm: add the missing mapping for PPT feature on SMU13.0.0
  and 13.0.7 (bsc#1206843).
- drm/amd/pm: correct the reference clock for fan speed(rpm)
  calculation (bsc#1206843).
- drm/amd/display: Uninitialized variables causing 4k60 UCLK to
  stay at DPM1 and not DPM0 (bsc#1206843).
- drm/amd/display: Report to ACPI video if no panels were found
  (bsc#1206843).
- ACPI: video: Allow GPU drivers to report no panels
  (bsc#1206843).
- drm/amdgpu: skip mes self test after s0i3 resume for MES IP
  v11.0 (bsc#1206843).
- drm/amd/pm: correct the fan speed retrieving in PWM for some
  SMU13 asics (bsc#1206843).
- drm/amd/pm: bump SMU13.0.0 driver_if header to version 0x34
  (bsc#1206843).
- drm/amdgpu: skip MES for S0ix as well since it's part of GFX
  (bsc#1206843).
- drm/amdkfd: Fix double release compute pasid (bsc#1206843).
- drm/amdkfd: Fix kfd_process_device_init_vm error handling
  (bsc#1206843).
- drm/amd/pm: update SMU13.0.0 reported maximum shader clock
  (bsc#1206843).
- drm/amd/pm: correct SMU13.0.0 pstate profiling clock settings
  (bsc#1206843).
- drm/amdgpu: Fix size validation for non-exclusive domains (v4)
  (bsc#1206843).
- drm/amd/pm: add missing SMU13.0.7 mm_dpm feature mapping
  (bsc#1206843).
- drm/amd/pm: add missing SMU13.0.0 mm_dpm feature mapping
  (bsc#1206843).
- drm/amd/display: Add DCN314 display SG Support (bsc#1206843).
- drm/amd/display: Fix DTBCLK disable requests and SRC_SEL
  programming (bsc#1206843).
- drm/amdgpu: Fix potential double free and null pointer
  dereference (bsc#1206843).
- drm/amd/display: Fix display corruption w/ VSR enable
  (bsc#1206843).
- drm/amd/display: Add check for DET fetch latency hiding for
  dcn32 (bsc#1206843).
- drm/amd/display: revert Disable DRR actions during state commit
  (bsc#1206843).
- drm/amd/display: Workaround to increase phantom pipe vactive
  in pipesplit (bsc#1206843).
- drm/amd/pm: enable mode1 reset on smu_v13_0_10 (bsc#1206843).
- drm/amd/display: Disable DRR actions during state commit
  (bsc#1206843).
- drm/amd/display: Use min transition for SubVP into MPO
  (bsc#1206843).
- drm/amd/display: move remaining FPU code to dml folder
  (bsc#1206843).
- drm/amd/display: skip commit minimal transition state
  (bsc#1206843).
- drm/amdgpu: Don't register backlight when another backlight
  should be used (v3) (bsc#1206843).
- ACPI: video: Add acpi_video_backlight_use_native() helper
  (bsc#1206843).
- commit d1e3036
* Thu Apr  6 2023 tbogendoerfer@suse.de
- Update
  patches.suse/Fix-double-fget-in-vhost_net_set_backend.patch
  (git-fixes bsc#1210203 CVE-2023-1838).
  Added CVE reference.
- commit 39f99de
* Thu Apr  6 2023 tiwai@suse.de
- supported.conf: Move ns to kernel-*-extra (bsc#1209965)
- commit 54d8531
* Thu Apr  6 2023 tiwai@suse.de
- Input: focaltech - use explicitly signed char type (git-fixes).
- Input: goodix - add Lenovo Yoga Book X90F to nine_bytes_report
  DMI table (git-fixes).
- drm/etnaviv: fix reference leak when mmaping imported buffer
  (git-fixes).
- drm/amd/display: Add DSC Support for Synaptics Cascaded MST Hub
  (git-fixes).
- fbdev: au1200fb: Fix potential divide by zero (git-fixes).
- fbdev: lxfb: Fix potential divide by zero (git-fixes).
- fbdev: intelfb: Fix potential divide by zero (git-fixes).
- fbdev: nvidia: Fix potential divide by zero (git-fixes).
- fbdev: tgafb: Fix potential divide by zero (git-fixes).
- ALSA: hda/ca0132: fixup buffer overrun at tuning_ctl_set()
  (git-fixes).
- ALSA: asihpi: check pao in control_message() (git-fixes).
- ASoC: codecs: tx-macro: Fix for KASAN: slab-out-of-bounds
  (git-fixes).
- commit 83ef835
* Wed Apr  5 2023 fweisbecker@suse.de
- blacklist.conf: b8ac29b40183 timekeeping: contribute wall clock to rng on time change
  Breaks kABI and not critical
- commit 3ea8922
* Wed Apr  5 2023 fweisbecker@suse.de
- timers: Prevent union confusion from unexpected (git-fixes)
- commit 80b3ef6
* Wed Apr  5 2023 fweisbecker@suse.de
- alarmtimer: Prevent starvation by small intervals and SIG_IGN (git-fixes)
- commit 67d84fc
* Wed Apr  5 2023 fweisbecker@suse.de
- wireguard: ratelimiter: use hrtimer in selftest (git-fixes)
- commit b77ea41
* Wed Apr  5 2023 mkoutny@suse.com
- s390/uaccess: add missing earlyclobber annotations to
  __clear_user() (bsc#1209858).
- commit 7e310c6
* Wed Apr  5 2023 tiwai@suse.de
- supported.conf: Move qrtr and qrtr-mhi to kernel-*-extra (bsc#1209965)
- commit 90db4f1
* Wed Apr  5 2023 oneukum@suse.com
- usb: typec: ucsi: Don't warn on probe deferral (git-fixes).
- commit 4661196
* Wed Apr  5 2023 denis.kirjanov@suse.com
- ipv6: raw: Deduct extension header length in
  rawv6_push_pending_frames (bsc#1207168 CVE-2023-0394).
- commit cab54ec
* Wed Apr  5 2023 denis.kirjanov@suse.com
- Refresh
  patches.suse/scsi-qla2xxx-Add-option-to-disable-FC2-Target-suppor.patch.
- commit c7b89ec
* Wed Apr  5 2023 oneukum@suse.com
- blacklist.conf: cosmetic, not a fix
- commit 524a401
* Wed Apr  5 2023 oneukum@suse.com
- Refresh
  patches.suse/HID-u2fzero-ignore-incomplete-packets-without-data.patch.
  added alternate commit ID
- commit d8e619b
* Wed Apr  5 2023 oneukum@suse.com
- clocksource/drivers/mediatek: Optimize systimer irq clear flow
  on shutdown (git-fixes).
- commit 5ced514
* Wed Apr  5 2023 oneukum@suse.com
- usb: ucsi: Fix ucsi->connector race (git-fixes).
- commit 513d457
* Wed Apr  5 2023 denis.kirjanov@suse.com
- ipv6: raw: Deduct extension header length in
  rawv6_push_pending_frames (bsc#1207168 CVE-2023-0394).
- commit c5f0b5e
* Wed Apr  5 2023 denis.kirjanov@suse.com
- Refresh
  patches.suse/io_uring-rsrc-fix-null-ptr-deref-in-io_file_bitmap_g.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Add-option-to-disable-FC2-Target-suppor.patch.
- commit 43eae0c
* Tue Apr  4 2023 msuchanek@suse.de
- Define kernel-vanilla as source variant
  The vanilla_only macro is overloaded. It is used for determining if
  there should be two kernel sources built as well as for the purpose of
  determmioning if vanilla kernel should be used for kernel-obs-build.
  While the former can be determined at build time the latter needs to be
  baked into the spec file template. Separate the two while also making
  the latter more generic.
  $build_dtbs is enabled on every single rt and azure branch since 15.3
  when the setting was introduced, gate on the new $obs_build_variant
  setting as well.
- commit 36ba909
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-selftests-Unwind-hugepages-to-drop-wakeref-.patch
  (git-fixes)
  Alt-commit
- commit daf56a3
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Reserve-enough-fence-slot-for-i915_vma_unbi.patch
  (git-fixes)
  Alt-commit
- commit 8c8f36d
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-improve-the-catch-all-evict-to-handle-lock-.patch
  (git-fixes)
  Alt-commit
- commit 9c38e1e
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-ttm-consider-CCS-for-backup-objects.patch
  (git-fixes)
  Alt-commit
- commit df99f84
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-guc-make-default_lists-const-data.patch
  (git-fixes)
  Alt-commit
- commit 4903b8e
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-bios-fix-a-memory-leak-in-generate_lfp_data.patch
  (git-fixes)
  Alt-commit
- commit 8e421eb
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-amd-display-Enable-Freesync-Video-Mode-by.patch
  (git-fixes)
  Alt-commit
- commit 02210ce
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdkfd-Fix-kernel-warning-during-topology-setup.patch
  (git-fixes)
  Alt-commit
- commit 65c618b
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-avoid-large-variable-on-kernel-stack.patch
  (git-fixes)
  Alt-commit
- commit 093171b
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1366-drm-i915-gen11-Moving-WAs-to-icl_gt_workarounds_init.patch
  (git-fixes)
  Alt-commit
- commit 9a319d7
* Tue Apr  4 2023 colyli@suse.de
- bcache: fix wrong bdev parameter when calling bio_alloc_clone()
  in do_bio_hook() (git-fixes, bsc#1205493).
- bcache: put bch_bio_map() back to correct location in
  journal_write_unlocked() (git-fixes, bsc#1205493).
- bcache: Revert "bcache: use bvec_virt" (git-fixes, bsc#1205493).
- commit 7971642
* Tue Apr  4 2023 oneukum@suse.com
- USB: fotg210: fix memory leak with using debugfs_lookup()
  (git-fixes).
- commit 632f169
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fail-atomic_check-early-on-normalize.patch
  (git-fixes)
  Alt-commit
- commit ceb3eab
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-fence-Fix-oops-due-to-non-matching-drm_sc.patch
  (git-fixes)
  Alt-commit
- commit c85372d
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-fix-issues-with-driver-unload.patch
  (git-fixes)
  Alt-commit
- commit e974612
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fix-COLOR_SPACE_YCBCR2020_TYPE-matri.patch
  (git-fixes)
  Alt-commit
- commit 7941903
* Tue Apr  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Calculate-output_color_space-after-p.patch
  (git-fixes)
  Alt-commit
- commit 107d5d6
* Mon Apr  3 2023 dwagner@suse.de
- scsi: qla2xxx: Synchronize the IOCB count to be in order
  (bsc#1209292 bsc#1209684 bsc#1209556).
- nvme-tcp: always fail a request when sending it failed
  (bsc#1208902).
- commit 8d76faa
* Mon Apr  3 2023 palcantara@suse.de
- cifs: get rid of dead check in smb2_reconnect() (bsc#1193629).
- commit edea1ec
* Mon Apr  3 2023 palcantara@suse.de
- cifs: prevent infinite recursion in CIFSGetDFSRefer()
  (bsc#1193629).
- commit dd2e168
* Mon Apr  3 2023 palcantara@suse.de
- cifs: avoid races in parallel reconnects in smb1 (bsc#1193629).
- commit e5fbb85
* Mon Apr  3 2023 palcantara@suse.de
- cifs: fix DFS traversal oops without CONFIG_CIFS_DFS_UPCALL
  (bsc#1193629).
- commit 435fcff
* Mon Apr  3 2023 tiwai@suse.de
- drm/nouveau: blacklist Turing and Ampere models as default
  (bsc#1208209).
- commit b751cb8
* Mon Apr  3 2023 tiwai@suse.de
- platform/x86: think-lmi: Use min_t() for comparison and
  assignment (bsc#1210050).
- platform/x86: think-lmi: certificate support clean ups
  (bsc#1210050).
- platform/x86: think-lmi: Certificate authentication support
  (bsc#1210050).
- platform/x86: think-lmi: Prevent underflow in index_store()
  (bsc#1210050).
- platform/x86: think-lmi: Simplify tlmi_analyze() error handling
  a bit (bsc#1210050).
- platform/x86: think-lmi: Move kobject_init() call into
  tlmi_create_auth() (bsc#1210050).
- platform/x86: think-lmi: Opcode support (bsc#1210050).
- platform/x86: think-lmi: add debug_cmd (bsc#1210050).
- commit 49b6cc8
* Mon Apr  3 2023 tiwai@suse.de
- rpm/constraints.in: increase the disk size for armv6/7 to 24GB
  It grows and the build fails recently on SLE15-SP4/5.
- commit 8ba35ca
* Mon Apr  3 2023 tiwai@suse.de
- platform/x86: thinkpad_acpi: Fix thinklight LED brightness
  returning 255 (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix profile modes on Intel
  platforms (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix profile mode display in AMT
  mode (bsc#1210050).
- platform/x86: thinkpad_acpi: use strstarts() (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix max_brightness of thinklight
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Enable s2idle quirk for 21A1
  machine type (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix reporting a non present second
  fan on some models (bsc#1210050).
- platform/x86: thinkpad_acpi: Explicitly set to balanced mode
  on startup (bsc#1210050).
- platform/x86: thinkpad_acpi: Use backlight helper (bsc#1210050).
- platform/x86: thinkpad-acpi: Enable AMT by default on supported
  systems (bsc#1210050).
- platform/x86: thinkpad-acpi: Add support for automatic mode
  transitions (bsc#1210050).
- platform/x86: thinkpad_acpi: do not use PSC mode on Intel
  platforms (bsc#1210050).
- platform/x86: thinkpad-acpi: profile capabilities as integer
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix a memory leak of EFCH MMIO
  resource (bsc#1210050).
- platform/x86: thinkpad_acpi: Correct dual fan probe
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Add a s2idle resume quirk for a
  number of laptops (bsc#1210050).
- platform/x86: thinkpad_acpi: Convert btusb DMI list to quirks
  (bsc#1210050).
- platform/x86: thinkpad_acpi: consistently check fan_get_status
  return (bsc#1210050).
- platform/x86: thinkpad_acpi: Don't use test_bit on an integer
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix compiler warning about
  uninitialized err variable (bsc#1210050).
- platform/x86: thinkpad_acpi: clean up dytc profile convert
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Add PSC mode support (bsc#1210050).
- platform/x86: thinkpad_acpi: Add dual fan probe (bsc#1210050).
- platform/x86: thinkpad_acpi: Add dual-fan quirk for T15g
  (2nd gen) (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix incorrect use of platform
  profile on AMD platforms (bsc#1210050).
- platform/x86: thinkpad_acpi: Add quirk for ThinkPads without
  a fan (bsc#1210050).
- platform/x86: thinkpad_acpi: Add LED_RETAIN_AT_SHUTDOWN to
  led_class_devs (bsc#1210050).
- platform/x86: thinkpad_acpi: Remove unused
  sensors_pdev_attrs_registered flag (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix the hwmon sysfs-attr showing
  up in the wrong place (bsc#1210050).
- platform/x86: thinkpad_acpi: tpacpi_attr_group contains driver
  attributes not device attrs (bsc#1210050).
- platform/x86: thinkpad_acpi: Register tpacpi_pdriver after
  subdriver init (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix thermal_temp_input_attr sorting
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Remove "goto err_exit" from
  hotkey_init() (bsc#1210050).
- platform/x86: thinkpad_acpi: Properly indent code in
  tpacpi_dytc_profile_init() (bsc#1210050).
- platform/x86: thinkpad_acpi: Cleanup dytc_profile_available
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Simplify dytc_version handling
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Make *_init() functions return
  - ENODEV instead of 1 (bsc#1210050).
- platform/x86: thinkpad_acpi: Accept ibm_init_struct.init()
  returning -ENODEV (bsc#1210050).
- platform/x86: thinkpad_acpi: Convert platform driver to use
  dev_groups (bsc#1210050).
- platform/x86: thinkpad_acpi: Get privacy-screen / lcdshadow
  ACPI handles only once (bsc#1210050).
- platform/x86: thinkpad_acpi: Add hotkey_notify_extended_hotkey()
  helper (bsc#1210050).
- platform/x86: thinkpad_acpi: Add lid_logo_dot to the list of
  safe LEDs (bsc#1210050).
- platform/x86: thinkpad_acpi: Restore missing hotkey_tablet_mode
  and hotkey_radio_sw sysfs-attr (bsc#1210050).
- platform/x86: thinkpad_acpi: Fix coccinelle warnings
  (bsc#1210050).
- platform/x86: thinkpad_acpi: Switch to common use of attributes
  (bsc#1210050).
- commit 9704026
* Mon Apr  3 2023 osalvador@suse.de
- Rename colliding patches before the next SLE15-SP4 -> SLE15-SP5 merge
- commit 1325888
* Mon Apr  3 2023 neilb@suse.de
- NFSv4: Fix hangs when recovering open state after a server
  reboot (git-fixes).
- commit bb218a4
* Sun Apr  2 2023 tiwai@suse.de
- Input: alps - fix compatibility with -funsigned-char
  (bsc#1209805).
- pinctrl: amd: Disable and mask interrupts on resume (git-fixes).
- pinctrl: ocelot: Fix alt mode for ocelot (git-fixes).
- pinctrl: at91-pio4: fix domain name assignment (git-fixes).
- commit 4704fd1
* Sat Apr  1 2023 schwab@suse.de
- rpm/check-for-config-changes: add TOOLCHAIN_NEEDS_* to IGNORED_CONFIGS_RE
  This new form was added in commit e89c2e815e76 ("riscv: Handle
  zicsr/zifencei issues between clang and binutils").
- commit 234baea
* Sat Apr  1 2023 tiwai@suse.de
- platform/x86/intel/pmc: Alder Lake PCH slp_s0_residency fix
  (git-fixes).
- regulator: Handle deferred clk (git-fixes).
- commit b056d1f
* Fri Mar 31 2023 tonyj@suse.de
- powerpc/hv-gpci: Fix hv_gpci event list (bsc#1207935).
- powerpc: declare unmodified attribute_group usages const
  (bsc#1207935).
- commit 7fced51
* Fri Mar 31 2023 tiwai@suse.de
- kabi/severities: ignore kABI changes for mt76/* local modules (bsc#1209980)
- commit 28b45ce
* Fri Mar 31 2023 tiwai@suse.de
- kABI workaround for ieee80211 and co (bsc#1209980).
- commit 801af48
* Fri Mar 31 2023 tiwai@suse.de
- wifi: mt76: do not run mt76_unregister_device() on unregistered
  hw (bsc#1209980).
- wifi: mt76: add memory barrier to SDIO queue kick (bsc#1209980).
- wifi: mt76: mt7915: call mt7915_mcu_set_thermal_throttling()
  only after init_work (bsc#1209980).
- wifi: mt76: mt7915: fix unintended sign extension of
  mt7915_hw_queue_read() (bsc#1209980).
- wifi: mt76: mt7915: drop always true condition of
  __mt7915_reg_addr() (bsc#1209980).
- wifi: mt76: mt7915: check return value before accessing
  free_block_num (bsc#1209980).
- wifi: mt76: mt7921s: fix slab-out-of-bounds access in sdio host
  (bsc#1209980).
- wifi: mt76: mt7915: add missing of_node_put() (bsc#1209980).
- mt76: mt7915: Fix PCI device refcount leak in
  mt7915_pci_init_hif2() (bsc#1209980).
- wifi: mt76: mt7915: fix mt7915_mac_set_timing() (bsc#1209980).
- wifi: mac80211: Set TWT Information Frame Disabled bit as 1
  (bsc#1209980).
- wifi: mt76: fix receiving LLC packets on mt7615/mt7915
  (bsc#1209980).
- wifi: mt76: mt7921e: fix rmmod crash in driver reload test
  (bsc#1209980).
- wifi: mt76: mt7915: fix mcs value in ht mode (bsc#1209980).
- wifi: mt76: connac: fix possible unaligned access in
  mt76_connac_mcu_add_nested_tlv (bsc#1209980).
- wifi: mt76: mt7915: fix possible unaligned access in
  mt7915_mac_add_twt_setup (bsc#1209980).
- wifi: mt76: mt7921s: fix race issue between reset and
  suspend/resume (bsc#1209980).
- wifi: mt76: mt7921e: fix crash in chip reset fail (bsc#1209980).
- mt76: mt7615: fix throughput regression on DFS channels
  (bsc#1209980).
- mt76: mt7921s: fix possible sdio deadlock in command fail
  (bsc#1209980).
- mt76: mt7921s: fix firmware download random fail (bsc#1209980).
- mt76: mt7915: fix twt table_mask to u16 in mt7915_dev
  (bsc#1209980).
- mt76: fix tx status related use-after-free race on station
  removal (bsc#1209980).
- mt76: fix antenna config missing in 6G cap (bsc#1209980).
- mt76: mt7915: report rx mode value in mt7915_mac_fill_rx_rate
  (bsc#1209980).
- mt76: mt7915: do not pass data pointer to
  mt7915_mcu_muru_debug_set (bsc#1209980).
- mt76: mt7915: fix possible uninitialized pointer dereference
  in mt7986_wmac_gpio_setup (bsc#1209980).
- mt76: mt7921: honor pm user configuration in
  mt7921_sniffer_interface_iter (bsc#1209980).
- mt76: mt7915: fix DBDC default band selection on MT7915D
  (bsc#1209980).
- mac80211: twt: don't use potentially unaligned pointer
  (bsc#1209980).
- commit c89b1ec
* Fri Mar 31 2023 tiwai@suse.de
- blacklist.conf: drop mt76 entry to be backported
- commit 816bb5a
* Fri Mar 31 2023 tiwai@suse.de
- wifi: mt76: mt7921e: fix random fw download fail (git-fixes).
- mt76: mt7921: Fix the error handling path of mt7921_pci_probe()
  (git-fixes).
- mt76: mt7921e: fix possible probe failure after reboot
  (bsc#1198835).
- commit 1a8b883
* Fri Mar 31 2023 tiwai@suse.de
- Update config and supported.conf for mt76 updates (bsc#1209980)
- commit 28f616f
* Fri Mar 31 2023 tiwai@suse.de
- mt76: fix monitor rx FCS error in DFS channel (bsc#1209980).
- mt76: mt7921: don't enable beacon filter when
  IEEE80211_CONF_CHANGE_MONITOR is set (bsc#1209980).
- mt76: fix wrong HE data rate in sniffer tool (bsc#1209980).
- mt76: mt7921: move mt7921_init_hw in a dedicated work
  (bsc#1209980).
- mt76: mt7921: add mt7921u driver (bsc#1209980).
- mt76: mt7921: move mt7921_usb_sdio_tx_status_data in mac common
  code (bsc#1209980).
- mt76: mt7921: move mt7921_usb_sdio_tx_complete_skb in common
  mac code (bsc#1209980).
- mt76: mt7921: move mt7921_usb_sdio_tx_prepare_skb in common
  mac code (bsc#1209980).
- mt76: mt7921: update mt7921_skb_add_usb_sdio_hdr to support usb
  (bsc#1209980).
- mt76: mt7921: disable runtime pm for usb (bsc#1209980).
- mt76: usb: introduce __mt76u_init utility routine (bsc#1209980).
- mt76: usb: add req_type to ___mt76u_wr signature (bsc#1209980).
- mt76: usb: add req_type to ___mt76u_rr signature (bsc#1209980).
- mt76: mt7915: fix typos in comments (bsc#1209980).
- mt76: mt7915: fix phy cap in mt7915_set_stream_he_txbf_caps()
  (bsc#1209980).
- mt76: mt7915: fix beamforming mib stats (bsc#1209980).
- mt76: mt7915: set band1 TGID field in tx descriptor
  (bsc#1209980).
- mt76: fix invalid rssi report (bsc#1209980).
- mt76: use le32/16_get_bits() whenever possible (bsc#1209980).
- mt76: connac: make read-only array ba_range static const
  (bsc#1209980).
- mt76: mt7915: check for devm_pinctrl_get() failure
  (bsc#1209980).
- mt76: mt7921: get rid of mt7921_wait_for_mcu_init declaration
  (bsc#1209980).
- mt76: mt7915: add txpower init for 6GHz (bsc#1209980).
- mt76: mt7915: fix eeprom fields of txpower init values
  (bsc#1209980).
- mt76: mt7915: add 6 GHz support (bsc#1209980).
- mt76: connac: add 6 GHz support for wtbl and starec
  configuration (bsc#1209980).
- mt76: mt7915: allow beaconing on all chains (bsc#1209980).
- mt76: mt7921: fix xmit-queue dump for usb and sdio
  (bsc#1209980).
- mt76: mt7921: make mt7921_init_tx_queues static (bsc#1209980).
- mt76: split single ldpc cap bit into bits (bsc#1209980).
- mt76: mt7915: fix DFS no radar detection event (bsc#1209980).
- mt76: mt7921: use mt76_hw instead of open coding it
  (bsc#1209980).
- mt76: mt7921: fix up the monitor mode (bsc#1209980).
- mt76: mt7663u: introduce mt7663u_mcu_power_on routine
  (bsc#1209980).
- mt76: mt7615: honor ret from mt7615_mcu_restart in
  mt7663u_mcu_init (bsc#1209980).
- mt76: fix dfs state issue with 160 MHz channels (bsc#1209980).
- mt76: mt7915: simplify conditional (bsc#1209980).
- mt76: mt7921: fix injected MPDU transmission to not use HW
  A-MSDU (bsc#1209980).
- mt76: mt7915e: Enable thermal management by default
  (bsc#1209980).
- mt76: mt7915e: Add a hwmon attribute to get the actual throttle
  state (bsc#1209980).
- mt76: mt7915e: Fix degraded performance after temporary overheat
  (bsc#1209980).
- mt76: improve signal strength reporting (bsc#1209980).
- mt76: mt7915: use min_t() to make code cleaner (bsc#1209980).
- mt76: mt7915: fix the muru tlv issue (bsc#1209980).
- mt76: mt7915: check band idx for bcc event (bsc#1209980).
- mt76: connac: adjust wlan_idx size from u8 to u16 (bsc#1209980).
- mt76: mt7915: fix endianness warnings in mt7915_mac_tx_free()
  (bsc#1209980).
- commit f72f619
* Fri Mar 31 2023 tiwai@suse.de
- mt76: sdio: honor the largest Tx buffer the hardware can support
  (bsc#1209980).
- Refresh patches.suse/paddings-for-mediatek-802.11.patch.
- commit 004e1b3
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: fix endianness warnings in
  mt7915_debugfs_rx_fw_monitor (bsc#1209980).
- mt76: mt7615: fix compiler warning on frame size (bsc#1209980).
- mt76: mt7915: initialize smps mode in
  mt7915_mcu_sta_rate_ctrl_tlv() (bsc#1209980).
- mt76: mt7915: introduce band_idx in mt7915_phy (bsc#1209980).
- mt76: mt7915: add support for MT7986 (bsc#1209980).
- mt76: mt7921s: fix missing fc type/sub-type for 802.11 pkts
  (bsc#1209980).
- mt76: mt7915: fix potential memory leak of fw monitor packets
  (bsc#1209980).
- mt76: mt7915: Fix channel state update error issue
  (bsc#1209980).
- mt76: fix endianness errors in reverse_frag0_hdr_trans
  (bsc#1209980).
- mt76: mt7615: introduce SAR support (bsc#1209980).
- mt76: redefine mt76_for_each_q_rx to adapt mt7986 changes
  (bsc#1209980).
- mt76: do not always copy ethhdr in reverse_frag0_hdr_trans
  (bsc#1209980).
- mt76: mt76x02: use mt76_phy_dfs_state to determine radar
  detector state (bsc#1209980).
- mt76: mt7615: fix/rewrite the dfs state handling logic
  (bsc#1209980).
- mt76: mt7915: fix/rewrite the dfs state handling logic
  (bsc#1209980).
- mt76: mt76x02: improve tx hang detection (bsc#1209980).
- mt76x02: improve mac error check/reset reliability
  (bsc#1209980).
- mt76: mt7921s: run sleep mode by default (bsc#1209980).
- mt76: mt7915: fix the nss setting in bitrates (bsc#1209980).
- mt76: mt7915: update max_mpdu_size in mt7915_mcu_sta_amsdu_tlv()
  (bsc#1209980).
- mt76: mt7915: fix mcs_map in mt7915_mcu_set_sta_he_mcs()
  (bsc#1209980).
- mt76: mt7921s: fix a possible memory leak in mt7921_load_patch
  (bsc#1209980).
- mt76: mt7915: fix possible memory leak in mt7915_mcu_add_sta
  (bsc#1209980).
- mt76: mt7663s: flush runtime-pm queue after waking up the device
  (bsc#1209980).
- mt76: mt7615: add support for LG LGSBWAC02 (MT7663BUN)
  (bsc#1209980).
- mt76: mt7921: remove duplicated code in
  mt7921_mac_decode_he_radiotap (bsc#1209980).
- mt76: mt7915: add missing DATA4_TB_SPTL_REUSE1 to
  mt7915_mac_decode_he_radiotap (bsc#1209980).
- mt76: connac: move mt76_connac_lmac_mapping in mt76-connac
  module (bsc#1209980).
- mt76: mt7915: enable radar background detection (bsc#1209980).
- commit c81ee54
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: report radar pattern if detected by rdd2
  (bsc#1209980).
- mt76: mt7915: introduce rdd_monitor debugfs node (bsc#1209980).
- mt76: mt7915: enable radar trigger on rdd2 (bsc#1209980).
- mt76: mt7915: introduce mt7915_set_radar_background routine
  (bsc#1209980).
- mt76: mt7915: set bssinfo/starec command when adding interface
  (bsc#1209980).
- mt76: mt7921: toggle runtime-pm adding a monitor vif
  (bsc#1209980).
- mt76: mt7921: fix endianness issues in mt7921_mcu_set_tx()
  (bsc#1209980).
- mt76: sdio: disable interrupt in mt76s_sdio_irq (bsc#1209980).
- mt76: mt7921s: fix mt7921s_mcu_[fw|drv]_pmctrl (bsc#1209980).
- mt76: mt7921: fix ht mcs in mt7921_mac_add_txs_skb()
  (bsc#1209980).
- mt76: mt7921: do not always disable fw runtime-pm (bsc#1209980).
- mt76: mt7915: add support for passing chip/firmware debug data
  to user space (bsc#1209980).
- mt76: mt7615e: process txfree and txstatus without allocating
  skbs (bsc#1209980).
- mt76: mt7915: update bss_info with cipher after setting the
  group key (bsc#1209980).
- mt76: mt7615: update bss_info with cipher after setting the
  group key (bsc#1209980).
- mt76: connac: add support for passing the cipher field in
  bss_info (bsc#1209980).
- mt76: mt7921e: process txfree and txstatus without allocating
  skbs (bsc#1209980).
- mt76: mt7615: fix a possible race enabling/disabling runtime-pm
  (bsc#1209980).
- mt76: mt7921: set EDCA parameters with the MCU CE command
  (bsc#1209980).
- mt76: mt76_connac: fix MCU_CE_CMD_SET_ROC definition error
  (bsc#1209980).
- cfg80211: rename offchannel_chain structs to background_chain
  to avoid confusion with ETSI standard (bsc#1209980).
- cfg80211: allow continuous radar monitoring on offchannel chain
  (bsc#1209980).
- cfg80211: schedule offchan_cac_abort_wk in cfg80211_radar_event
  (bsc#1209980).
- cfg80211: fix possible NULL pointer dereference in
  cfg80211_stop_offchan_radar_detection (bsc#1209980).
- cfg80211: move offchan_cac_event to a dedicated work
  (bsc#1209980).
- mac80211: introduce set_radar_offchan callback (bsc#1209980).
- cfg80211: implement APIs for dedicated radar detection HW
  (bsc#1209980).
- commit 36879b4
* Fri Mar 31 2023 tiwai@suse.de
- blacklist.conf: remove mt76 entries to be backported
- commit 605ad92
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: forbid the doze mode when coredump is in progress
  (bsc#1209980).
- Refresh
  patches.suse/mt76-mt7921-fix-a-leftover-race-in-runtime-pm.patch.
- commit 748f4be
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921e: make dev->fw_assert usage consistent
  (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_rdd_cmd in mt76-connac module
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_set_rts_thresh
  (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_gen_dl_mode in mt76-connac
  module (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_init_download
  (bsc#1209980).
- mt76: mt7915: rely on
  mt76_connac_mcu_patch_sem_ctrl/mt76_connac_mcu_start_patch
  (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_restart in common module
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_start_firmware
  (bsc#1209980).
- mt76: mt7921: get rid of mt7921_mcu_get_eeprom (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_set_pm in connac module
  (bsc#1209980).
- mt76: connac: introduce is_connac_v1 utility routine
  (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_wtbl_update_hdr_trans in
  connac module (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_wtbl_hdr_trans_tlv
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_wtbl_ht_tlv (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_wtbl_smps_tlv
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_sta_uapsd (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_sta_basic_tlv
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_wtbl_generic_tlv
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_sta_ba (bsc#1209980).
- commit 1ff3598
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: rely on mt76_connac_mcu_wtbl_ba_tlv (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_sta_ba_tlv (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_bss_basic_tlv in connac
  module (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_bss_ext_tlv in connac module
  (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_bss_omac_tlv in connac module
  (bsc#1209980).
- mt76: mt7915: remove duplicated defs in mcu.h (bsc#1209980).
- mt76: mt7915: move pci specific code back to pci.c
  (bsc#1209980).
- mt76: mt7921s: update mt7921s_wfsys_reset sequence
  (bsc#1209980).
- mt76: mt7921s: clear MT76_STATE_MCU_RUNNING immediately after
  reset (bsc#1209980).
- mt76: sdio: lock sdio when it is needed (bsc#1209980).
- mt76: make mt76_sar_capa static (bsc#1209980).
- mt76: mt7915: add device id for mt7916 (bsc#1209980).
- mt76: set wlan_idx_hi on mt7916 (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_add_key in connac module
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_get_phy utilities
  (bsc#1209980).
- mt76: connac: move mt76_connac_chan_bw in common code
  (bsc#1209980).
- mt76: connac: move mt76_connac_mcu_get_cipher in common code
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_add_tlv routine
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_alloc_wtbl_req
  (bsc#1209980).
- mt76: mt7915: rely on mt76_connac_mcu_alloc_sta_req
  (bsc#1209980).
- commit e0188b0
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: rework eeprom.c to adapt mt7916 changes
  (bsc#1209980).
- Refresh
  patches.suse/ieee80211-add-EHT-1K-aggregation-definitions.patch.
- commit d53dd48
* Fri Mar 31 2023 tiwai@suse.de
- mt76: add MT_RXQ_MAIN_WA for mt7916 (bsc#1209980).
- Refresh
  patches.suse/wifi-mt76-dma-free-rx_head-in-mt76_dma_rx_cleanup.patch.
- commit c3e6e2a
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: add mt7916 calibrated data support (bsc#1209980).
- mt76: mt7915: update mt7915_chan_mib_offs for mt7916
  (bsc#1209980).
- mt76: mt7915: update rx rate reporting for mt7916 (bsc#1209980).
- mt76: mt7915: add txfree event v3 (bsc#1209980).
- mt76: mt7915: enlarge wcid size to 544 (bsc#1209980).
- mt76: mt7915: add firmware support for mt7916 (bsc#1209980).
- mt76: mt7915: rework dma.c to adapt mt7916 changes
  (bsc#1209980).
- mt76: mt7915: refine register definition (bsc#1209980).
- commit 41212d1
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: introduce mt76_vif in mt7915_vif (bsc#1209980).
- Refresh
  patches.suse/mt76-mt7915-use-proper-aid-value-in-mt7915_mcu_wtbl_.patch.
- commit cc491c0
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: add mt7915_mmio_probe() as a common probing
  function (bsc#1209980).
- mt76: mt7921: fix a possible race enabling/disabling runtime-pm
  (bsc#1209980).
- mt76: mt7921s: fix cmd timeout in throughput test (bsc#1209980).
- mt76: mt7921s: fix suspend error with enlarging mcu timeout
  value (bsc#1209980).
- mt76: mt7921s: make pm->suspended usage consistent
  (bsc#1209980).
- mt76: mt7921: clear pm->suspended in mt7921_mac_reset_work
  (bsc#1209980).
- mt76: connac: rely on le16_add_cpu in
  mt76_connac_mcu_add_nested_tlv (bsc#1209980).
- mt76: mt7921: remove dead definitions (bsc#1209980).
- mt76: mt7915: add mu-mimo and ofdma debugfs knobs (bsc#1209980).
- commit 444d748
* Fri Mar 31 2023 tiwai@suse.de
- blacklist.conf: remove mt76 entry to be backported
- commit b435ad3
* Fri Mar 31 2023 tiwai@suse.de
- mt76: connac: introduce MCU_UNI_CMD macro (bsc#1209980).
- Refresh
  patches.suse/wifi-mt76-mt7921-add-mt7921_mutex_acquire-at-mt7921_.patch.
- commit 34e39e3
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: reduce log severity levels for informative
  messages (bsc#1209980).
- mt76: mt7915: rely on mt76_connac definitions (bsc#1209980).
- mt76: connac: rely on MCU_CMD macro (bsc#1209980).
- mt76: connac: introduce MCU_CE_CMD macro (bsc#1209980).
- mt76: connac: remove MCU_FW_PREFIX bit (bsc#1209980).
- mt76: connac: align MCU_EXT definitions with 7915 driver
  (bsc#1209980).
- mt76: connac: introduce MCU_EXT macros (bsc#1209980).
- mt76: mt7921: fix network buffer leak by txs missing
  (bsc#1209980).
- mt76: mt7615: in debugfs queue stats, skip wmm index 3 on mt7663
  (bsc#1209980).
- mt76: mt7915: process txfree and txstatus without allocating
  skbs (bsc#1209980).
- mt76: allow drivers to drop rx packets early (bsc#1209980).
- mt76: mt7663: disable 4addr capability (bsc#1209980).
- mt76: mt7615: clear mcu error interrupt status on mt7663
  (bsc#1209980).
- mt76: only access ieee80211_hdr after mt76_insert_ccmp_hdr
  (bsc#1209980).
- mt76: move sar_capa configuration in common code (bsc#1209980).
- mt76: connac: fix last_chan configuration in
  mt76_connac_mcu_rate_txpower_band (bsc#1209980).
- mt76: mt7921s: fix possible kernel crash due to invalid Rx count
  (bsc#1209980).
- mt76: mt7921s: fix bus hang with wrong privilege (bsc#1209980).
- mt76: mt7921: use correct iftype data on 6GHz cap init
  (bsc#1209980).
- commit 695735a
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921s: fix the device cannot sleep deeply in suspend
  (bsc#1209980).
- Refresh
  patches.suse/wifi-mt76-sdio-fix-the-deadlock-caused-by-sdio-stat_.patch.
- Refresh
  patches.suse/wifi-mt76-sdio-poll-sta-stat-when-device-transmits-d.patch.
- commit fa450b9
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: move mt76_connac_mcu_set_hif_suspend to
  bus-related files (bsc#1209980).
- Refresh
  patches.suse/mt76-mt7921-fix-possible-resume-failure.patch.
- Refresh
  patches.suse/wifi-mt76-mt7921e-fix-race-issue-between-reset-and-s.patch.
- commit d72fdce
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: fix boolreturn.cocci warning (bsc#1209980).
- mt76: eeprom: tolerate corrected bit-flips (bsc#1209980).
- mt76: mt7603: improve reliability of tx powersave filtering
  (bsc#1209980).
- mt76: clear sta powersave flag after notifying driver
  (bsc#1209980).
- mt76: mt7915: introduce SAR support (bsc#1209980).
- mt76: mt7603: introduce SAR support (bsc#1209980).
- mt76: mt7915: improve wmm index allocation (bsc#1209980).
- mt76: mt7615: fix unused tx antenna mask in testmode
  (bsc#1209980).
- commit 39dbb8e
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7615: fix decap offload corner case with 4-addr VLAN
  frames (bsc#1209980).
- mt76: mt7915: fix decap offload corner case with 4-addr VLAN
  frames (bsc#1209980).
- mt76: mt76x02: introduce SAR support (bsc#1209980).
- mt76: move sar utilities to mt76-core module (bsc#1209980).
- mt76: mt7921: honor mt76_connac_mcu_set_rate_txpower return
  value in mt7921_config (bsc#1209980).
- mt76: fix the wiphy's available antennas to the correct value
  (bsc#1209980).
- mt76: connac: remove PHY_MODE_AX_6G configuration in
  mt76_connac_get_phy_mode (bsc#1209980).
- mt76: mt7615: remove dead code in get_omac_idx (bsc#1209980).
- mt76: connac: fix a theoretical NULL pointer dereference in
  mt76_connac_get_phy_mode (bsc#1209980).
- mt76: mt7921: fix possible NULL pointer dereference in
  mt7921_mac_write_txwi (bsc#1209980).
- mt76: fix possible OOB issue in mt76_calculate_default_rate
  (bsc#1209980).
- mt76: mt7921: introduce 160 MHz channel bandwidth support
  (bsc#1209980).
- mt76: debugfs: fix queue reporting for mt76-usb (bsc#1209980).
- mt76: mt7921: add support for PCIe ID 0x0608/0x0616
  (bsc#1209980).
- mt76: testmode: add support to set MAC (bsc#1209980).
- mt76: mt7915: add default calibrated data support (bsc#1209980).
- mt76: only set rx radiotap flag from within decoder functions
  (bsc#1209980).
- mt76: reverse the first fragmented frame to 802.11
  (bsc#1209980).
- mt76: mt7915: fix SMPS operation fail (bsc#1209980).
- mt76: mt7915: fix return condition in
  mt7915_tm_reg_backup_restore() (bsc#1209980).
- commit 67b0014
* Fri Mar 31 2023 tiwai@suse.de
- Refresh patches.suse/mt76-mt7915-cleanup-Wunused-but-set-variable.patch
- commit 31b264d
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: fix MT7921E reset failure (bsc#1209980).
- mt76: mt7915: get rid of mt7915_mcu_set_fixed_rate routine
  (bsc#1209980).
- mt76: remove variable set but not used (bsc#1209980).
- mt76: mt7921: fix build regression (bsc#1209980).
- mt76: fix key pointer overwrite in
  mt7921s_write_txwi/mt7663_usb_sdio_write_txwi (bsc#1209980).
- mt76: fix possible pktid leak (bsc#1209980).
- mt76: fix timestamp check in tx_status (bsc#1209980).
- mt76: connac: fix unresolved symbols when CONFIG_PM is unset
  (bsc#1209980).
- mt76: Make use of the helper macro kthread_run() (bsc#1209980).
- mt76: Print error message when reading EEPROM from mtd failed
  (bsc#1209980).
- mt76: mt7921: disable 4addr capability (bsc#1209980).
- mt76: mt7915: add debugfs knobs for MCU utilization
  (bsc#1209980).
- mt76: mt7915: add WA firmware log support (bsc#1209980).
- mt76: mt7915: fix endiannes warning mt7915_mcu_beacon_check_caps
  (bsc#1209980).
- mt76: mt7915: rework debugfs fixed-rate knob (bsc#1209980).
- mt76: mt7915: rework .set_bitrate_mask() to support more options
  (bsc#1209980).
- mt76: mt7915: remove mt7915_mcu_add_he() (bsc#1209980).
- mt76: mt7615: apply cached RF data for DBDC (bsc#1209980).
- mt76: mt7921: fix Wformat build warning (bsc#1209980).
- mt76: mt7921: fix mt7921s Kconfig (bsc#1209980).
- mt76: mt7915: change max rx len limit of hw modules
  (bsc#1209980).
- mt76: mt7915: fix missing HE phy cap (bsc#1209980).
- mt76: mt7915: rework mt7915_mcu_sta_muru_tlv() (bsc#1209980).
- mt76: mt7915: enable HE UL MU-MIMO (bsc#1209980).
- mt76: mt7921: add per-vif counters in ethtool (bsc#1209980).
- mt76: mt7921: move tx amsdu stats in mib_stats (bsc#1209980).
- mt76: mt7921: add sta stats accounting in mt7921_mac_add_txs_skb
  (bsc#1209980).
- mt76: mt7921: introduce stats reporting through ethtool
  (bsc#1209980).
- mt76: mt7921: add some more MIB counters (bsc#1209980).
- commit 7382178
* Fri Mar 31 2023 tiwai@suse.de
- Update config and supported.conf for MT7921 updates (bsc#1209980)
- commit 4f07fe9
* Fri Mar 31 2023 tiwai@suse.de
- mt76: do not reset MIB counters in get_stats callback
  (bsc#1209980).
- mt76: mt7915: move tx amsdu stats in mib_stats (bsc#1209980).
- mt76: mt7915: run mt7915_get_et_stats holding mt76 mutex
  (bsc#1209980).
- mt76: move mt76_ethtool_worker_info in mt76 module
  (bsc#1209980).
- mt76: move mt76_sta_stats in mt76.h (bsc#1209980).
- mt76: mt76x0: correct VHT MCS 8/9 tx power eeprom offset
  (bsc#1209980).
- mt76: mt7921s: add reset support (bsc#1209980).
- mt76: mt7921: introduce mt7921s support (bsc#1209980).
- mt76: mt7921: refactor mt7921_mcu_send_message (bsc#1209980).
- mt76: mt7921: rely on mcu_get_nic_capability (bsc#1209980).
- commit 8735fd6
* Fri Mar 31 2023 tiwai@suse.de
- mt76: sdio: introduce parse_irq callback (bsc#1209980).
- Refresh patches.suse/paddings-for-mediatek-802.11.patch.
- commit 77843dd
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: use physical addr to unify register access
  (bsc#1209980).
- Refresh
  patches.suse/mt76-mt7921-fix-mt7921_queues_acq-implementation.patch.
- commit 500be8d
* Fri Mar 31 2023 tiwai@suse.de
- mt76: connac: extend mcu_get_nic_capability (bsc#1209980).
- mt76: sdio: extend sdio module to support CONNAC2 (bsc#1209980).
- mt76: sdio: move common code in mt76_sdio module (bsc#1209980).
- mt76: mt7921: make all event parser reusable between mt7921s
  and mt7921e (bsc#1209980).
- mt76: mt7663s: rely on mcu reg access utility (bsc#1209980).
- mt76: connac: move mcu reg access utility routines in
  mt76_connac_lib module (bsc#1209980).
- mt76: mt7921: add MT7921_COMMON module (bsc#1209980).
- mt76: mt7921: refactor init.c to be bus independent
  (bsc#1209980).
- mt76: mt7921: refactor mcu.c to be bus independent
  (bsc#1209980).
- commit 90f3347
* Fri Mar 31 2023 tiwai@suse.de
- blacklist.conf: remove mt76 entry to be backported
- commit 10113a9
* Fri Mar 31 2023 tiwai@suse.de
- Drop conflicting patches temporarily; to be revived later
  Deleted:
  patches.suse/mt76-mt7921-Fix-the-error-handling-path-of-mt7921_pc.patch
  patches.suse/mt76-mt7921e-fix-possible-probe-failure-after-reboot.patch
  patches.suse/wifi-mt76-mt7921e-fix-random-fw-download-fail.patch
- commit f79b93b
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: refactor mac.c to be bus independent
  (bsc#1209980).
- Refresh
  patches.suse/mt76-mt7921e-fix-possible-probe-failure-after-reboot.patch.
- commit ab56d5c
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: refactor dma.c to be pcie specific (bsc#1209980).
- mt76: mt7921: add MU EDCA cmd support (bsc#1209980).
- mt76: mt7915: remove dead code in debugfs code (bsc#1209980).
- mt76: sdio: export mt76s_alloc_rx_queue and mt76s_alloc_tx
  routines (bsc#1209980).
- mt76: mt7915: improve code readability for xmit-queue handler
  (bsc#1209980).
- mt76: mt7915: introduce mt76 debugfs sub-dir for ext-phy
  (bsc#1209980).
- mt76: rely on phy pointer in mt76_register_debugfs_fops routine
  signature (bsc#1209980).
- mt76: mt7915: set muru platform type (bsc#1209980).
- mt76: mt7915: set VTA bit in tx descriptor (bsc#1209980).
- mt76: mt7915: rework starec TLV tags (bsc#1209980).
- mt76: mt7915: improve starec readability of txbf (bsc#1209980).
- mt76: mt7915: fix txbf starec TLV issues (bsc#1209980).
- mt76: mt7915: introduce mt7915_mcu_beacon_check_caps()
  (bsc#1209980).
- mt76: do not access 802.11 header in ccmp check for 802.3 rx
  skbs (bsc#1209980).
- mt76: use a separate CCMP PN receive counter for management
  frames (bsc#1209980).
- mt76: mt7921: add delay config for sched scan (bsc#1209980).
- mt76: debugfs: improve queue node readability (bsc#1209980).
- mt76: mt7915: add twt_stats knob in debugfs (bsc#1209980).
- commit c055a7e
* Fri Mar 31 2023 tiwai@suse.de
- mt76: introduce packet_id idr (bsc#1209980).
- Refresh
  patches.suse/mt76-fix-use-after-free-by-removing-a-non-RCU-wcid-p.patch.
- commit 94943c5
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: add 6GHz support (bsc#1209980).
- Refresh
  patches.suse/ieee80211-change-HE-nominal-packet-padding-value-def.patch.
- commit 90cfa88
* Fri Mar 31 2023 tiwai@suse.de
- mt76: connac: set 6G phymode in mt76_connac_get_phy_mode{,v2}
  (bsc#1209980).
- Refresh
  patches.suse/mt76-connac-fix-possible-NULL-pointer-dereference-in.patch.
- commit 30986a8
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7915: enable twt responder capability (bsc#1209980).
- mt76: mt7915: introduce mt7915_mac_add_twt_setup routine
  (bsc#1209980).
- mt76: mt7915: introduce mt7915_mcu_twt_agrt_update mcu command
  (bsc#1209980).
- mt76: mt7915: introduce __mt7915_get_tsf routine (bsc#1209980).
- mt76: support reading EEPROM data embedded in fdt (bsc#1209980).
- mt76: schedule status timeout at dma completion (bsc#1209980).
- mt76: substitute sk_buff_head status_list with spinlock_t
  status_lock (bsc#1209980).
- mt76: remove mt76_wcid pointer from mt76_tx_status_check
  signature (bsc#1209980).
- mt76: add 6GHz support (bsc#1209980).
- mt76: connac: enable hw amsdu @ 6GHz (bsc#1209980).
- mt76: connac: add 6GHz support to mt76_connac_mcu_uni_add_bss
  (bsc#1209980).
- mt76: connac: add 6GHz support to mt76_connac_mcu_sta_tlv
  (bsc#1209980).
- mt76: connac: set 6G phymode in single-sku support
  (bsc#1209980).
- mt76: connac: add 6GHz support to
  mt76_connac_mcu_set_channel_domain (bsc#1209980).
- mt76: connac: enable 6GHz band for hw scan (bsc#1209980).
- mt76: mt7915: add mib counters to ethtool stats (bsc#1209980).
- mt76: mt7915: add more MIB registers (bsc#1209980).
- mt76: mt7915: add tx mu/su counters to mib (bsc#1209980).
- mt76: mt7915: add some per-station tx stats to ethtool
  (bsc#1209980).
- mt76: mt7915: add tx stats gathered from tx-status callbacks
  (bsc#1209980).
- mt76: mt7915: add ethtool stats support (bsc#1209980).
- mt76: mt7921: robustify hardware initialization flow
  (bsc#1209980).
- mt76: mt7915: honor all possible error conditions in
  mt7915_mcu_init() (bsc#1209980).
- mt76: move spin_lock_bh to spin_lock in tasklet (bsc#1209980).
- mt76: mt7921: remove mt7921_sta_stats (bsc#1209980).
- mt76: mt7921: remove mcu rate reporting code (bsc#1209980).
- mt76: mt7921: report tx rate directly from tx status
  (bsc#1209980).
- mac80211: introduce individual TWT support in AP mode
  (bsc#1209980).
- ieee80211: add TWT element definitions (bsc#1209980).
- commit b788540
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: update mib counters dumping phy stats
  (bsc#1209980).
- Refresh
  patches.suse/wifi-mt76-mt7921e-fix-race-issue-between-reset-and-s.patch.
- commit c0eac68
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: move mt7921_queue_rx_skb to mac.c (bsc#1209980).
- commit 8366f32
* Fri Mar 31 2023 tiwai@suse.de
- mt76: mt7921: add support for tx status reporting (bsc#1209980).
- mt76: mt7921: start reworking tx rate reporting (bsc#1209980).
- mt76: mt7915: enable configured beacon tx rate (bsc#1209980).
- mt76: disable BH around napi_schedule() calls (bsc#1209980).
- mt76: fill boottime_ns in Rx path (bsc#1209980).
- mt76: switch from 'pci_' to 'dma_' API (bsc#1209980).
- mt76: fix boolreturn.cocci warnings (bsc#1209980).
- mt76: mt7915: rename debugfs tx-queues (bsc#1209980).
- mt76: mt7915: rework debugfs queue info (bsc#1209980).
- mt76: mt7915: fix WMM index on DBDC cards (bsc#1209980).
- mt76: mt7915: improve code readability in mt7915_mcu_sta_bfer_ht
  (bsc#1209980).
- mt76: mt7915: introduce bss coloring support (bsc#1209980).
- mt76: mt7915: add LED support (bsc#1209980).
- mt76: mt7915: fix potential NPE in TXS processing (bsc#1209980).
- mt76: mt7915: fix he_mcs capabilities for 160mhz (bsc#1209980).
- mt76: use IEEE80211_OFFLOAD_ENCAP_ENABLED instead of
  MT_DRV_AMSDU_OFFLOAD (bsc#1209980).
- mt76: mt7915: update mac timing settings (bsc#1209980).
- mt76: mt7921: fix endianness warnings in
  mt7921_mac_decode_he_mu_radiotap (bsc#1209980).
- mt76: mt7915: add HE-LTF into fixed rate command (bsc#1209980).
- mt76: mt7615: move mt7615_mcu_set_p2p_oppps in mt76_connac
  module (bsc#1209980).
- mt76: mt7921: get rid of monitor_vif (bsc#1209980).
- mt76: connac: add support for limiting to maximum regulatory
  Tx power (bsc#1209980).
- mt76: add support for setting mcast rate (bsc#1209980).
- mt76: mt7915: switch proper tx arbiter mode in testmode
  (bsc#1209980).
- mt76: mt7921: send EAPOL frames at lowest rate (bsc#1209980).
- mt76: mt7915: send EAPOL frames at lowest rate (bsc#1209980).
- mt76: mt7915: add control knobs for thermal throttling
  (bsc#1209980).
- commit b013531
* Fri Mar 31 2023 osalvador@suse.de
- Rename colliding patches before the next SLE15-SP5-GA -> SLE15-SP5 merge
- commit ddc2365
* Fri Mar 31 2023 tiwai@suse.de
- ca8210: Fix unsigned mac_len comparison with zero in
  ca8210_skb_tx() (git-fixes).
- commit 1abdd92
* Fri Mar 31 2023 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Lenovo ZhaoYang CF4620Z
  (git-fixes).
- ALSA: ymfpci: Fix BUG_ON in probe function (git-fixes).
- ALSA: hda/realtek: Fix support for Dell Precision 3260
  (git-fixes).
- ALSA: hda/realtek: Add quirks for some Clevo laptops
  (git-fixes).
- commit 5254cf5
* Fri Mar 31 2023 ohering@suse.de
- remove "PCI: hv: Use async probing to reduce boot time" (bsc#1207185).
- commit 9e80db8
* Fri Mar 31 2023 tiwai@suse.de
- can: bcm: bcm_tx_setup(): fix KMSAN uninit-value in vfs_write
  (git-fixes).
- r8169: fix RTL8168H and RTL8107E rx crc error (git-fixes).
- net: phy: dp83869: fix default value for tx-/rx-internal-delay
  (git-fixes).
- drm/i915/tc: Fix the ICL PHY ownership check in TC-cold state
  (git-fixes).
- ALSA: usb-audio: Fix regression on detection of Roland VS-100
  (git-fixes).
- ALSA: usb-audio: Fix recursive locking at XRUN during syncing
  (git-fixes).
- ALSA: hda/conexant: Partial revert of a quirk for Lenovo
  (git-fixes).
- thunderbolt: Rename shadowed variables bit to interrupt_bit
  and auto_clear_bit (git-fixes).
- thunderbolt: Disable interrupt auto clear for rings (git-fixes).
- thunderbolt: Use const qualifier for `ring_interrupt_index`
  (git-fixes).
- thunderbolt: Use scale field when allocating USB3 bandwidth
  (git-fixes).
- thunderbolt: Call tb_check_quirks() after initializing adapters
  (git-fixes).
- thunderbolt: Add missing UNSET_INBOUND_SBTX for retimer access
  (git-fixes).
- uas: Add US_FL_NO_REPORT_OPCODES for JMicron JMS583Gen 2
  (git-fixes).
- nilfs2: fix kernel-infoleak in nilfs_ioctl_wrap_copy()
  (git-fixes).
- drm/i915: Preserve crtc_state->inherited during state clearing
  (git-fixes).
- efi: sysfb_efi: Fix DMI quirks not working for simpledrm
  (git-fixes).
- serial: 8250: ASPEED_VUART: select REGMAP instead of depending
  on it (git-fixes).
- net: usb: qmi_wwan: add Telit 0x1080 composition (git-fixes).
- net: usb: cdc_mbim: avoid altsetting toggling for Telit FE990
  (git-fixes).
- ca8210: fix mac_len negative array access (git-fixes).
- HID: intel-ish-hid: ipc: Fix potential use-after-free in work
  function (git-fixes).
- HID: cp2112: Fix driver not registering GPIO IRQ chip as
  threaded (git-fixes).
- ACPI: x86: utils: Add Cezanne to the list for forcing
  StorageD3Enable (git-fixes).
- serial: fsl_lpuart: Fix comment typo (git-fixes).
- serial: 8250: SERIAL_8250_ASPEED_VUART should depend on
  ARCH_ASPEED (git-fixes).
- commit 182d88d
* Fri Mar 31 2023 tiwai@suse.de
- ath11k: pci: Add more MODULE_FIRMWARE() entries (bsc#1209965).
- commit 54b5b79
* Thu Mar 30 2023 lduncan@suse.com
- scsi_disk kABI: add back members (bsc#1209092).
- scsi: sd: Revert "Rework asynchronous resume support"
  (bsc#1209092).
- commit 15e2238
* Thu Mar 30 2023 tiwai@suse.de
- wifi: ath11k: reduce the MHI timeout to 20s (bsc#1207948).
- commit 1b30876
* Thu Mar 30 2023 msuchanek@suse.de
- Refresh patches.suse/arm64-Discard-.note.GNU-stack-section.patch.
  Add corresponding upstream commit metadata and sort.
- commit ac8f8e6
* Thu Mar 30 2023 msuchanek@suse.de
- arch: fix broken BuildID for arm64 and riscv (bsc#1209798).
- commit 2ca3471
* Thu Mar 30 2023 ohering@suse.de
- Fix error path in pci-hyperv to unlock the mutex state_lock
- commit 3898057
* Thu Mar 30 2023 neilb@suse.de
- NFS: Pass i_size to fscache_unuse_cookie() when a file is
  released (git-fixes).
- commit 3a97940
* Thu Mar 30 2023 neilb@suse.de
- lockd: set file_lock start and end when decoding nlm4 testargs
  (git-fixes).
- commit b3df611
* Wed Mar 29 2023 vbabka@suse.cz
- Delete
  patches.suse/Makefile-link-with-z-noexecstack-no-warn-rwx-segment.patch.
- Delete
  patches.suse/x86-link-vdso-and-boot-with-z-noexecstack-no-warn-rw.patch.
  Again, delete patches causing bsc#1209798, which were restored by accident.
- commit bbfb5d1
* Wed Mar 29 2023 msuchanek@suse.de
- powerpc: Remove linker flag from KBUILD_AFLAGS (bsc#1194869).
- powerpc/kcsan: Exclude udelay to prevent recursive
  instrumentation (bsc#1194869).
- powerpc/iommu: fix memory leak with using debugfs_lookup()
  (bsc#1194869).
- powerpc/64s/interrupt: Fix interrupt exit race with security
  mitigation switch (bsc#1194869).
- powerpc/kexec_file: fix implicit decl error (bsc#1194869).
- powerpc/vmlinux.lds: Don't discard .comment (bsc#1194869).
- powerpc/vmlinux.lds: Don't discard .rela* for relocatable builds
  (bsc#1194869).
- powerpc/vmlinux.lds: Define RUNTIME_DISCARD_EXIT (bsc#1194869).
- powerpc/xmon: Fix -Wswitch-unreachable warning in bpt_cmds
  (bsc#1194869).
- powerpc/ioda/iommu/debugfs: Generate unique debugfs entries
  (bsc#1194869).
- powerpc/iommu: Add missing of_node_put in iommu_init_early_dart
  (bsc#1194869).
- powerpc/powernv: fix missing of_node_put in uv_init()
  (bsc#1194869).
- commit 3d61390
* Wed Mar 29 2023 msuchanek@suse.de
- blacklist.conf: Add fix not needed in 5.14
  d80f6de9d601 powerpc/iommu: Fix iommu_table_in_use for a small default DMA window case
- commit 8fa612c
* Wed Mar 29 2023 msuchanek@suse.de
- powerpc/btext: add missing of_node_put (bsc#1065729).
- commit 986d3dc
* Wed Mar 29 2023 oneukum@suse.com
- net: asix: fix modprobe "sysfs: cannot create duplicate
  filename" (git-fixes).
- commit f535630
* Wed Mar 29 2023 oneukum@suse.com
- net: usb: asix: remove redundant assignment to variable reg
  (git-fixes).
- commit c20b71b
* Wed Mar 29 2023 oneukum@suse.com
- net: usb: use eth_hw_addr_set() (git-fixes).
- commit f6de603
* Wed Mar 29 2023 vkarasulli@suse.de
- kvm: initialize all of the kvm_debugregs structure before
  sending it to userspace (bsc#1209532 CVE-2023-1513).
- commit 0b16baa
* Wed Mar 29 2023 vkarasulli@suse.de
- kvm: initialize all of the kvm_debugregs structure before
  sending it to userspace (bsc#1209532 CVE-2023-1513).
- commit 9ce0eaf
* Wed Mar 29 2023 msuchanek@suse.de
- powerpc/powernv/ioda: Skip unallocated resources when mapping
  to PE (bsc#1065729).
- commit 8723ead
* Wed Mar 29 2023 msuchanek@suse.de
- powerpc/rtas: ensure 4KB alignment for rtas_data_buf
  (bsc#1065729).
- powerpc/pseries/lparcfg: add missing RTAS retry status handling
  (bsc#1065729).
- powerpc/pseries/lpar: add missing RTAS retry status handling
  (bsc#1109158 ltc#169177 git-fixes).
- commit 6122a0b
* Wed Mar 29 2023 mkoutny@suse.com
- Update
  patches.suse/prlimit-do_prlimit-needs-to-have-a-speculation-check.patch
  (bsc#1209256 CVE-2017-5753).
- commit e09128d
* Wed Mar 29 2023 jack@suse.cz
- sbitmap: Avoid lockups when waker gets preempted (bsc#1209118).
- commit 2ee3a6c
* Wed Mar 29 2023 oneukum@suse.com
- blacklist.conf: cleanup, not a fix
- commit 29c7dbf
* Wed Mar 29 2023 oneukum@suse.com
- blacklist.conf: cleanup, not fix
- commit e3722ae
* Wed Mar 29 2023 oneukum@suse.com
- blacklist.conf: documentation update of a little used driver only
- commit 9deed66
* Wed Mar 29 2023 oneukum@suse.com
- blacklist.conf: documentation only
- commit de3860f
* Wed Mar 29 2023 oneukum@suse.com
- s390/vfio-ap: fix memory leak in vfio_ap device driver
  (git-fixes).
- commit 8168fab
* Wed Mar 29 2023 ohering@suse.de
- PCI: hv: Use async probing to reduce boot time (bsc#1207185).
- PCI: hv: Add a per-bus mutex state_lock (bsc#1207185).
- Revert "PCI: hv: Fix a timing issue which causes kdump to fail
  occasionally" (bsc#1207185).
- PCI: hv: Remove the useless hv_pcichild_state from struct
  hv_pci_dev (bsc#1207185).
- PCI: hv: Fix a race condition in hv_irq_unmask() that can
  cause panic (bsc#1207185).
- PCI: hv: fix a race condition bug in hv_pci_query_relations()
  (bsc#1207185).
- commit b4eeab5
* Wed Mar 29 2023 jlee@suse.com
- Bluetooth: Fix double free in hci_conn_cleanup (bsc#1209052
  CVE-2023-28464).
- commit 8b25016
* Wed Mar 29 2023 jlee@suse.com
- Bluetooth: Fix double free in hci_conn_cleanup (bsc#1209052 CVE-2023-28464).
- commit 0d26662
* Tue Mar 28 2023 palcantara@suse.de
- smb3: fix unusable share after force unmount failure
  (bsc#1193629).
- commit 1091b58
* Tue Mar 28 2023 palcantara@suse.de
- cifs: fix dentry lookups in directory handle cache
  (bsc#1193629).
- commit 663c78d
* Tue Mar 28 2023 palcantara@suse.de
- smb3: lower default deferred close timeout to address perf
  regression (bsc#1193629).
- commit bb31b2c
* Tue Mar 28 2023 palcantara@suse.de
- cifs: fix missing unload_nls() in smb2_reconnect()
  (bsc#1193629).
- commit 7a7c9a9
* Tue Mar 28 2023 palcantara@suse.de
- cifs: avoid race conditions with parallel reconnects
  (bsc#1193629).
- commit e64476f
* Tue Mar 28 2023 palcantara@suse.de
- cifs: append path to open_enter trace event (bsc#1193629).
- commit 2eff580
* Tue Mar 28 2023 palcantara@suse.de
- cifs: print session id while listing open files (bsc#1193629).
- commit 851a108
* Tue Mar 28 2023 palcantara@suse.de
- cifs: dump pending mids for all channels in DebugData
  (bsc#1193629).
- commit 6d11c27
* Tue Mar 28 2023 palcantara@suse.de
- cifs: empty interface list when server doesn't support query
  interfaces (bsc#1193629).
- commit 9a0c2a5
* Tue Mar 28 2023 palcantara@suse.de
- cifs: do not poll server interfaces too regularly (bsc#1193629).
- commit 7762f86
* Tue Mar 28 2023 palcantara@suse.de
- cifs: lock chan_lock outside match_session (bsc#1193629).
- commit 4cfd2c2
* Tue Mar 28 2023 palcantara@suse.de
- cifs: check only tcon status on tcon related functions
  (bsc#1193629).
- commit 6e30684
* Tue Mar 28 2023 vkarasulli@suse.de
- net: tls: fix possible race condition between
  do_tls_getsockopt_conf() and do_tls_setsockopt_conf()
  (bsc#1209366 CVE-2023-28466).
- commit 3dab1fe
* Tue Mar 28 2023 vkarasulli@suse.de
- net: tls: fix possible race condition between
  do_tls_getsockopt_conf() and do_tls_setsockopt_conf()
  (bsc#1209366 CVE-2023-28466).
- commit 3a1702c
* Tue Mar 28 2023 mfranc@suse.cz
- s390/boot: simplify and fix kernel memory layout setup
  (bsc#1209600).
- blacklist.conf: remove 9a39abb7c9aa
- commit bbd2ed5
* Tue Mar 28 2023 tabraham@suse.com
- s390/dasd: fix no record found for raw_track_access
  (bsc#1207574).
- commit f363675
* Tue Mar 28 2023 jroedel@suse.de
- iommu/vt-d: Avoid superfluous IOTLB tracking in lazy mode
  (bsc#1208948).
- iommu/vt-d: Fix buggy QAT device mask (bsc#1208219).
- iommu/vt-d: Add a fix for devices need extra dtlb flush
  (bsc#1208219).
- commit 176a2f6
* Tue Mar 28 2023 jlee@suse.com
- Update references in
  patches.suse/x86-speculation-restore-speculation-related-msrs-during-s3-resume.patch
  (bsc#1198400 bsc#1209779 CVE-2023-1637).
- commit 87fc4f6
* Tue Mar 28 2023 jlee@suse.com
- Update references in
  patches.suse/x86-speculation-restore-speculation-related-msrs-during-s3-resume.patch
  (bsc#1198400 bsc#1209779 CVE-2023-1637).
- commit 590be4e
* Tue Mar 28 2023 osalvador@suse.de
- Rename colliding patches before the next SLE15-SP4 -> SLE15-SP5 merge
- commit 50da2ac
* Tue Mar 28 2023 jlee@suse.com
- Update references in
  patches.suse/NFSD-fix-use-after-free-in-nfsd4_ssc_setup_dul.patch
  (git-fixes bsc#1209788 CVE-2023-1652).
- commit f81ee89
* Tue Mar 28 2023 jlee@suse.com
- Update references in
  patches.suse/NFSD-fix-use-after-free-in-nfsd4_ssc_setup_dul.patch
  (git-fixes bsc#1209788 CVE-2023-1652).
- commit 469b2c0
* Tue Mar 28 2023 tiwai@suse.de
- platform/x86: think-lmi: Add possible_values for ThinkStation
  (git-fixes).
- platform/x86: think-lmi: only display possible_values if
  available (git-fixes).
- platform/x86: think-lmi: use correct possible_values delimiters
  (git-fixes).
- platform/x86: think-lmi: add missing type attribute (git-fixes).
- mtd: rawnand: meson: invalidate cache on polling ECC bit
  (git-fixes).
- commit 0563887
* Tue Mar 28 2023 jslaby@suse.cz
- Revert "Revert "x86: link vdso and boot with -z noexecstack" (bsc#1209798)"
  This reverts commit 26c6d5069004c3a470d53c3a53228ad5d44aa2a5.
- commit 4af196c
* Tue Mar 28 2023 jslaby@suse.cz
- Revert "Revert "Makefile: link with -z noexecstack --no-warn-rwx-segments" (bsc#1209798)"
  This reverts commit 7db37fcbd312a083337d722b2c5543e6bf3a5c70.
- commit e9292ed
* Tue Mar 28 2023 jslaby@suse.cz
- Revert "Makefile: link with -z noexecstack --no-warn-rwx-segments" (bsc#1209798)
  This reverts commit 34f9acb95470d2d2543e314cadd40a0e1c0ee6e1.
  It causes problems on aarch64:
  ... BuildID Mismatch vmlinux= vmlinux_debuginfo=
- commit 7db37fc
* Tue Mar 28 2023 jslaby@suse.cz
- Revert "x86: link vdso and boot with -z noexecstack" (bsc#1209798)
  This reverts commit dc30142edffcbb9537e3cc47b176cb97109792c7.
  It causes problems on aarch64:
  ... BuildID Mismatch vmlinux= vmlinux_debuginfo=
- commit 26c6d50
* Mon Mar 27 2023 mkoutny@suse.com
- mm: memcg: fix swapcached stat accounting (bsc#1209804).
- commit 8f8bc2f
* Mon Mar 27 2023 ailiop@suse.com
- xfs: pass the correct cursor to xfs_iomap_prealloc_size
  (git-fixes).
- commit 6692117
* Mon Mar 27 2023 mkoutny@suse.com
- mm: memcontrol: deprecate charge moving (bsc#1209801).
- commit a953603
* Mon Mar 27 2023 ailiop@suse.com
- xfs: remove xfs_setattr_time() declaration (git-fixes).
- commit aa31e13
* Mon Mar 27 2023 mkoutny@suse.com
- blacklist.conf: Add da34a8484d16 mm: memcontrol: deprecate charge moving
- commit 6635ae8
* Mon Mar 27 2023 mkoutny@suse.com
- blacklist.conf: Add c91bdc935899 mm: memcontrol: don't allocate cgroup swap arrays when memcg is disabled
- commit 61fff14
* Mon Mar 27 2023 mkoutny@suse.com
- blacklist.conf: Add dbb16df6443c Revert "memcg: cleanup racy sum avoidance code"
- commit 6069ccd
* Mon Mar 27 2023 mkoutny@suse.com
- blacklist.conf: Add 9b3016154c91 memcg: sync flush only if periodic flush is delayed
- commit b4b0020
* Mon Mar 27 2023 mkoutny@suse.com
- sched/psi: Fix use-after-free in ep_remove_wait_queue()
  (bsc#1209799).
- commit 40303b2
* Mon Mar 27 2023 tiwai@suse.de
- Drop build fix patch causing a regression on aarch64 (bsc#1209798)
  Delete patches.suse/Makefile-link-with-z-noexecstack-no-warn-rwx-segment.patch
- commit cc75cf8
* Mon Mar 27 2023 oneukum@suse.com
- net: usb: lan78xx: Limit packet length to skb->len (git-fixes).
- commit 53c4e74
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Fix memory allocation bug (git-fixes).
- commit 8d1f2f9
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Fix race condition in disconnect handling (git-fixes).
- commit 5612173
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Fix race conditions in suspend/resume handling
  (git-fixes).
- commit 27662e3
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Fix partial packet errors on suspend/resume
  (git-fixes).
- commit 6979f29
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Fix exception on link speed change (git-fixes).
- commit f7c495b
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Add missing return code checks (git-fixes).
- Refresh
  patches.suse/lan78xx-Enable-LEDs-and-auto-negotiation.patch.
- commit adb9750
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Remove unused pause frame queue (git-fixes).
- commit f843fdb
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Set flow control threshold to prevent packet loss
  (git-fixes).
- commit 6bbd43a
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Remove unused timer (git-fixes).
- commit 685aa9a
* Mon Mar 27 2023 oneukum@suse.com
- lan78xx: Fix white space and style issues (git-fixes).
- commit 7f22f3d
* Mon Mar 27 2023 tbogendoerfer@suse.de
- netdevice: add the case if dev is NULL (bsc#1208628).
- Refresh
  patches.suse/net-add-net-device-refcount-tracker-infrastructure.patch.
- commit 726a950
* Mon Mar 27 2023 tiwai@suse.de
- usb: dwc2: fix a devres leak in hw_enable upon suspend resume
  (git-fixes).
- usb: chipdea: core: fix return -EINVAL if request role is the
  same with current role (git-fixes).
- usb: cdnsp: changes PCI Device ID to fix conflict with CNDS3
  driver (git-fixes).
- usb: cdns3: Fix issue with using incorrect PCI device function
  (git-fixes).
- usb: cdnsp: Fixes issue with redundant Status Stage (git-fixes).
- usb: typec: tcpm: fix warning when handle discover_identity
  message (git-fixes).
- usb: gadget: u_audio: don't let userspace block driver unbind
  (git-fixes).
- usb: dwc3: gadget: Add 1ms delay after end transfer command
  without IOC (git-fixes).
- usb: dwc3: Fix a typo in field name (git-fixes).
- usb: ucsi: Fix NULL pointer deref in ucsi_connector_change()
  (git-fixes).
- USB: gadget: pxa27x_udc: fix memory leak with using
  debugfs_lookup() (git-fixes).
- USB: gadget: pxa25x_udc: fix memory leak with using
  debugfs_lookup() (git-fixes).
- USB: gadget: lpc32xx_udc: fix memory leak with using
  debugfs_lookup() (git-fixes).
- USB: gadget: bcm63xx_udc: fix memory leak with using
  debugfs_lookup() (git-fixes).
- USB: gadget: gr_udc: fix memory leak with using debugfs_lookup()
  (git-fixes).
- USB: isp1362: fix memory leak with using debugfs_lookup()
  (git-fixes).
- USB: isp116x: fix memory leak with using debugfs_lookup()
  (git-fixes).
- USB: sl811: fix memory leak with using debugfs_lookup()
  (git-fixes).
- USB: uhci: fix memory leak with using debugfs_lookup()
  (git-fixes).
- USB: chipidea: fix memory leak with using debugfs_lookup()
  (git-fixes).
- commit 7d86b44
* Sun Mar 26 2023 tiwai@suse.de
- hwmon: fix potential sensor registration fail if of_node is
  missing (git-fixes).
- commit 07bdfd9
* Sat Mar 25 2023 tiwai@suse.de
- arm64: dts: qcom: sm8350: Mark UFS controller as cache coherent
  (git-fixes).
- firmware: arm_scmi: Fix device node validation for mailbox
  transport (git-fixes).
- arm64: dts: imx8mn: specify #sound-dai-cells for SAI nodes
  (git-fixes).
- ARM: dts: imx6sl: tolino-shine2hd: fix usbotg1 pinctrl
  (git-fixes).
- ARM: dts: imx6sll: e60k02: fix usbotg1 pinctrl (git-fixes).
- arm64: dts: imx8mm-nitrogen-r2: fix WM8960 clock name
  (git-fixes).
- power: supply: da9150: Fix use after free bug in
  da9150_charger_remove due to race condition (git-fixes).
- drm/i915/gt: perform uc late init after probe error injection
  (git-fixes).
- drm/i915/active: Fix missing debug object activation
  (git-fixes).
- drm/bridge: lt8912b: return EPROBE_DEFER if bridge is not found
  (git-fixes).
- platform/chrome: cros_ec_chardev: fix kernel data leak from
  ioctl (git-fixes).
- i2c: xgene-slimpro: Fix out-of-bounds bug in
  xgene_slimpro_i2c_xfer() (git-fixes).
- i2c: hisi: Only use the completion interrupt to finish the
  transfer (git-fixes).
- i2c: imx-lpi2c: check only for enabled interrupt flags
  (git-fixes).
- Bluetooth: btsdio: fix use after free bug in btsdio_remove
  due to unfinished work (git-fixes).
- Bluetooth: L2CAP: Fix responding with wrong PDU type
  (git-fixes).
- Bluetooth: btqcomsmd: Fix command timeout after setting BD
  address (git-fixes).
- wifi: mac80211: fix qos on mesh interfaces (git-fixes).
- net: mdio: thunder: Add missing fwnode_handle_put() (git-fixes).
- atm: idt77252: fix kmemleak when rmmod idt77252 (git-fixes).
- net: qcom/emac: Fix use after free bug in emac_remove due to
  race condition (git-fixes).
- net: phy: Ensure state transitions are processed from phy_stop()
  (git-fixes).
- xirc2ps_cs: Fix use after free bug in xirc2ps_detach
  (git-fixes).
- net: usb: smsc95xx: Limit packet length to skb->len (git-fixes).
- commit d23fee6
* Fri Mar 24 2023 jwiesner@suse.de
- Rename
  patches.suse/locking-rwsem-Disable-preemption-in-all-down_write-a.patch.
- commit 37a8307
* Fri Mar 24 2023 jwiesner@suse.de
- Rename
  patches.suse/locking-rwsem-Disable-preemption-in-all-down_read-an.patch.
- commit f080340
* Fri Mar 24 2023 jwiesner@suse.de
- Refresh
  patches.suse/locking-rwsem-Prevent-non-first-waiter-from-spinning.patch.
- commit af52be6
* Fri Mar 24 2023 krisman@suse.de
- Refresh
  patches.suse/arm64-Avoid-repeated-AA64MMFR1_EL1-register-read-on-.patch.
  Patch is merged upstream. Update headers.
- commit 1a36cd0
* Fri Mar 24 2023 krisman@suse.de
- io_uring/rsrc: fix null-ptr-deref in io_file_bitmap_get()
  (bsc#1209637 CVE-2023-1583).
- commit f226fd0
* Fri Mar 24 2023 krisman@suse.de
- git-sort: Add io_uring 6.3 fixes remote
- commit 6392287
* Fri Mar 24 2023 tiwai@suse.de
- Delete patches.suse/iwlwifi-module-firmware-ucode-fix.patch (bsc#1209681)
  linux-firmware tree finally provides iwlwifi-*-72.ucode, and more badly,
  they dropped *-71.ucode, hence the workaround leads to the firmware load
  failure.  Drop the old workaround now.
- commit 7a74f9a
* Fri Mar 24 2023 iivanov@suse.de
- arm64: dts: freescale: Fix pca954x i2c-mux node names (git-fixes)
- commit 7b4b228
* Fri Mar 24 2023 iivanov@suse.de
- arm64: dts: imx8mp-phycore-som: Remove invalid PMIC property (git-fixes)
- commit 33ca96b
* Fri Mar 24 2023 iivanov@suse.de
- arm64: dts: imx8mp: correct usb clocks (git-fixes)
- commit 6f82a6d
* Fri Mar 24 2023 iivanov@suse.de
- blacklist.conf: ("lockdep: Fix -Wunused-parameter for _THIS_IP_")
- commit a81781d
* Fri Mar 24 2023 iivanov@suse.de
- arm64: dts: imx8mq: fix mipi_csi bidirectional port numbers (git-fixes)
- commit 3fb6c9b
* Fri Mar 24 2023 iivanov@suse.de
- arm64: dts: imx8mq: add mipi csi phy and csi bridge descriptions (git-fixes)
- commit 6bf0b7f
* Fri Mar 24 2023 tbogendoerfer@suse.de
- Update
  patches.suse/tun-avoid-double-free-in-tun_free_netdev.patch
  (bsc#1209635 CVE-2022-4744 git-fixes).
  Added CVE reference.
- commit 730f781
* Fri Mar 24 2023 iivanov@suse.de
- arm64/cpufeature: Fix field sign for DIT hwcap detection (git-fixes)
- commit d75fe48
* Fri Mar 24 2023 mkubecek@suse.cz
- net/sched: tcindex: update imperfect hash filters respecting
  rcu (CVE-2023-1281 bsc#1209634).
- commit aced962
* Thu Mar 23 2023 petr.pavlu@suse.com
- Delete patches.suse/trace-hwlat-make-use-of-the-helper-function-kthread_run_on_cpu.patch
  Cleanup commit ff78f6679d2e ("trace/hwlat: make use of the helper
  function kthread_run_on_cpu()") was added to SLE15-SP4 to avoid
  a conflict when backporting 08697bca9bbb ("trace/hwlat: Do not start
  per-cpu thread if it is already running"). However, the needed helper
  function kthread_run_on_cpu() is missing in this codestream. The
  rt_debug config enables hwlat and then failed to build.
  Revert adding the cleanup patch and instead adjust context of
  patches.suse/trace-hwlat-Do-not-start-per-cpu-thread-if-it-is-already-running.patch.
- commit 86cbb00
* Thu Mar 23 2023 mkoutny@suse.com
- Update
  patches.suse/Revert-block-freeze-the-queue-earlier-in-del_gendisk-4c66.patch
  (git-fixes bsc#1208921).
- commit b2c9582
* Thu Mar 23 2023 palcantara@suse.de
- cifs: use DFS root session instead of tcon ses (bsc#1193629).
- commit 67abae4
* Thu Mar 23 2023 palcantara@suse.de
- cifs: return DFS root session id in DebugData (bsc#1193629).
- commit cadd823
* Thu Mar 23 2023 palcantara@suse.de
- cifs: fix use-after-free bug in refresh_cache_worker()
  (bsc#1193629).
- commit 596d51f
* Thu Mar 23 2023 palcantara@suse.de
- cifs: set DFS root session in cifs_get_smb_ses() (bsc#1193629).
- commit 8d91ba8
* Thu Mar 23 2023 palcantara@suse.de
- cifs: generate signkey for the channel that's reconnecting
  (bsc#1193629).
- commit a188b7e
* Thu Mar 23 2023 palcantara@suse.de
- cifs: Fix smb2_set_path_size() (git-fixes).
- commit 969e280
* Thu Mar 23 2023 palcantara@suse.de
- cifs: Move the in_send statistic to __smb_send_rqst()
  (git-fixes).
- commit 9c6865d
* Thu Mar 23 2023 mkubecek@suse.cz
- Update patches.suse/s390-qeth-don-t-offer-.ndo_bridge_-ops-for-OSA-devices
  (bsc#1208368).
  The change was mistakenly applied to a different structure than in the
  original mainline commit.
- commit 362c966
* Thu Mar 23 2023 tiwai@suse.de
- Move upstream fbdev fix into sorted section
- commit 309198c
* Thu Mar 23 2023 mgorman@suse.de
- Refresh
  patches.suse/locking-rwbase-Mitigate-indefinite-writer-starvation.patch.
  Update patch metadata and move to sorted section.
- commit b2600c8
* Thu Mar 23 2023 vbabka@suse.cz
- fs/proc: task_mmu.c: don't read mapcount for migration entry
  (CVE-2023-1582, bsc#1209636).
- commit 7b0d6b1
* Thu Mar 23 2023 tiwai@suse.de
- drm/i915/active: Fix misuse of non-idle barriers as fence
  trackers (git-fixes).
- drm/i915: Remove unused bits of i915_vma/active api (git-fixes).
- commit d37a1a8
* Thu Mar 23 2023 tiwai@suse.de
- Add the already cherry-picked id to a driver base patch
- commit c16d60a
* Thu Mar 23 2023 tiwai@suse.de
- Add i915 revert on stable 5.15.y to blacklist
  It's fixed by the proper patch instead
- commit 23d11f5
* Thu Mar 23 2023 tiwai@suse.de
- tty: serial: fsl_lpuart: skip waiting for transmission complete
  when UARTCTRL_SBK is asserted (git-fixes).
- fbdev: stifb: Provide valid pixelclock and add fb_check_var()
  checks (git-fixes).
- net: phy: smsc: bail out in lan87xx_read_status if
  genphy_read_status fails (git-fixes).
- net: phy: nxp-c45-tja11xx: fix MII_BASIC_CONFIG_REV bit
  (git-fixes).
- ALSA: hda/realtek: Fix the speaker output on Samsung Galaxy
  Book2 Pro (git-fixes).
- ALSA: hda: intel-dsp-config: add MTL PCI id (git-fixes).
- drm/i915/psr: Use calculated io and fast wake lines (git-fixes).
- vdpa_sim: set last_used_idx as last_avail_idx in
  vdpasim_queue_ready (git-fixes).
- drm/amd/display: fix shift-out-of-bounds in
  CalculateVMAndRowBytes (git-fixes).
- drm/amdkfd: Fix an illegal memory access (git-fixes).
- mmc: atmel-mci: fix race between stop command and start of
  next command (git-fixes).
- PCI/DPC: Await readiness of secondary bus after reset
  (git-fixes).
- drm/i915/display: clean up comments (git-fixes).
- drm/i915/display/psr: Handle plane and pipe restrictions at
  every page flip (git-fixes).
- drm/i915/display/psr: Use drm damage helpers to calculate
  plane damaged area (git-fixes).
- drm/i915/display: Workaround cursor left overs with PSR2
  selective fetch enabled (git-fixes).
- commit f8f59a8
* Wed Mar 22 2023 ddiss@suse.de
- fs: account for group membership (bsc#1205191).
- fs: add i_user_ns() helper (bsc#1205191).
- fs: account for filesystem mappings (bsc#1205191).
- fs: tweak fsuidgid_has_mapping() (bsc#1205191).
- fs: move mapping helpers (bsc#1205191).
  Refresh patches.suse/nfs-set-acl-perm.patch.
- commit 07e6f26
* Wed Mar 22 2023 vkarasulli@suse.de
- af_unix: Get user_ns from in_skb in unix_diag_get_exact()
  (bsc#1209290 CVE-2023-28327).
- commit 33f5457
* Wed Mar 22 2023 tbogendoerfer@suse.de
- bnxt_en: Avoid order-5 memory allocation for TPA data
  (bsc#1209079).
- bnxt_en: Fix mqprio and XDP ring checking logic (bsc#1209079).
- bnxt: Do not read past the end of test names (bsc#1209079).
- bnxt: make sure we return pages to the pool (bsc#1209079).
- bnxt_en: Fix HDS and jumbo thresholds for RX packets
  (bsc#1209079).
- bnxt_en: Fix first buffer size calculations for XDP multi-buffer
  (bsc#1209079).
- bnxt_en: Fix XDP RX path (bsc#1209079).
- bnxt_en: Simplify bnxt_xdp_buff_init() (bsc#1209079).
- commit 776d314
* Wed Mar 22 2023 tiwai@suse.de
- drm/i915: Don't use BAR mappings for ring buffers with LLC
  (git-fixes).
- drm/i915: Don't use stolen memory for ring buffers with LLC
  (git-fixes).
- commit 60b6f88
* Wed Mar 22 2023 mgorman@suse.de
- locking/rwbase: Mitigate indefinite writer starvation
  (bsc#1189998 (PREEMPT_RT prerequisite backports), bsc#1206552).
- commit ec97cf5
* Wed Mar 22 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit d693a6f
* Wed Mar 22 2023 oneukum@suse.com
- blacklist.conf: changes exports to user space in a way that is not a bug
  fix
- commit f047586
* Wed Mar 22 2023 martin.wilck@suse.com
- scsi: smartpqi: Replace one-element array with flexible-array
  member (bsc#1207315).
- scsi: smartpqi: Change version to 2.1.20-035 (bsc#1207315).
- scsi: smartpqi: Initialize feature section info (bsc#1207315).
- scsi: smartpqi: Add controller cache flush during rmmod
  (bsc#1207315).
- scsi: smartpqi: Correct device removal for multi-actuator
  devices (bsc#1207315).
- scsi: smartpqi: Change sysfs raid_level attribute to N/A for
  controllers (bsc#1207315).
- scsi: smartpqi: Correct max LUN number (bsc#1207315).
- scsi: smartpqi: Add new controller PCI IDs (bsc#1207315).
- scsi: smartpqi: Convert to host_tagset (bsc#1207315).
- scsi: smartpqi: Replace one-element array with flexible-array
  member (bsc#1207315).
- scsi: smartpqi: Change version to 2.1.20-035 (bsc#1207315).
- scsi: smartpqi: Initialize feature section info (bsc#1207315).
- scsi: smartpqi: Add controller cache flush during rmmod
  (bsc#1207315).
- scsi: smartpqi: Correct device removal for multi-actuator
  devices (bsc#1207315).
- scsi: smartpqi: Change sysfs raid_level attribute to N/A for
  controllers (bsc#1207315).
- scsi: smartpqi: Correct max LUN number (bsc#1207315).
- scsi: smartpqi: Add new controller PCI IDs (bsc#1207315).
- scsi: smartpqi: Convert to host_tagset (bsc#1207315).
- commit b83f575
* Wed Mar 22 2023 oneukum@suse.com
- kconfig: Update config changed flag before calling callback
  (git-fixes).
- commit 4822afa
* Wed Mar 22 2023 vliaskovitis@suse.com
- drivers/base: Fix unsigned comparison to -1 in
  CPUMAP_FILE_MAX_BYTES (bsc#1208815).
- commit 263387d
* Wed Mar 22 2023 oneukum@suse.com
- netlink: prevent potential spectre v1 gadgets (bsc#1209547
  CVE-2017-5753).
- commit 82fdaab
* Wed Mar 22 2023 vkarasulli@suse.de
- af_unix: Get user_ns from in_skb in unix_diag_get_exact()
  (bsc#1209290 CVE-2023-28327).
- commit dee84d8
* Wed Mar 22 2023 oneukum@suse.com
- netlink: prevent potential spectre v1 gadgets (bsc#1209547
  CVE-2017-5753).
- commit 35271d8
* Wed Mar 22 2023 vliaskovitis@suse.com
- drivers/base: fix userspace break from using bin_attributes
  for cpumap and cpulist (bsc#1208815).
- commit d8ec347
* Wed Mar 22 2023 tiwai@suse.de
- keys: Do not cache key in task struct if key is requested from
  kernel thread (git-fixes).
- net: usb: smsc75xx: Move packet length check to prevent kernel
  panic in skb_pull (git-fixes).
- commit 2977668
* Wed Mar 22 2023 neilb@suse.de
- KABI FIX FOR: NFSv4: keep state manager thread active if swap
  is enabled (Never, kabi).
- commit b299bd6
* Wed Mar 22 2023 neilb@suse.de
- NFSD: fix use-after-free in nfsd4_ssc_setup_dul() (git-fixes).
- SUNRPC: Fix a server shutdown leak (git-fixes).
- NFSD: Protect against filesystem freezing (git-fixes).
- NFS: fix disabling of swap (git-fixes).
- nfs4trace: fix state manager flag printing (git-fixes).
- NFSD: fix problems with cleanup on errors in nfsd4_copy
  (git-fixes).
- nfsd: fix race to check ls_layouts (git-fixes).
- NFSD: fix leaked reference count of nfsd4_ssc_umount_item
  (git-fixes).
- nfsd: zero out pointers after putting nfsd_files on COPY setup
  error (git-fixes).
- NFSD: fix use-after-free in nfsd4_ssc_setup_dul() (git-fixes).
- pNFS/filelayout: Fix coalescing test for single DS (git-fixes).
- SUNRPC: ensure the matching upcall is in-flight upon downcall
  (git-fixes).
- nfsd: fix handling of readdir in v4root vs. mount upcall timeout
  (git-fixes).
- nfsd: shut down the NFSv4 state objects before the filecache
  (git-fixes).
- nfsd: under NFSv4.1, fix double svc_xprt_put on rpc_create
  failure (git-fixes).
- NFSv4.x: Fail client initialisation if state manager thread
  can't run (git-fixes).
- SUNRPC: Fix missing release socket in rpc_sockname()
  (git-fixes).
- xprtrdma: Fix regbuf data not freed in rpcrdma_req_create()
  (git-fixes).
- NFS: Fix an Oops in nfs_d_automount() (git-fixes).
- NFSv4: Fix a deadlock between nfs4_open_recover_helper()
  and delegreturn (git-fixes).
- NFSv4: Fix a credential leak in _nfs4_discover_trunking()
  (git-fixes).
- NFSv4.2: Fix initialisation of struct nfs4_label (git-fixes).
- NFSv4.1 provide mount option to toggle trunking discovery
  (git-fixes).
- NFSv4: keep state manager thread active if swap is enabled
  (git-fixes).
- commit 14ee2c8
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/0007-KVM-x86-fix-uninitialized-variable-use-on-KVM_REQ_TR.patch.
- commit 089b934
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/ABI-sysfs-platform-intel-pmc-add-blank-lines-to-make.patch.
- commit 7b8a6b9
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-dell-Make-DELL_WMI_PRIVACY-depend-on-DE.patch.
- commit 4ed9d34
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-dell-fix-DELL_WMI_PRIVACY-dependencies-.patch.
- commit 0eec42e
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/media-omap3isp-Use-struct_group-for-memcpy-region.patch.
- commit 00ac80b
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-panasonic-laptop-filter-out-duplicate-v.patch.
- commit e000b5f
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-panasonic-laptop-don-t-report-duplicate.patch.
- commit 3170bbd
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-panasonic-laptop-revert-Resolve-hotkey-.patch.
- commit a5ede1a
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-pmc_atom-Fix-SLP_TYPx-bitfield-mask.patch.
- commit 2702ecd
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-panasonic-laptop-sort-includes-alphabet.patch.
- commit 052e442
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-panasonic-laptop-de-obfuscate-button-co.patch.
- commit 5d841c6
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel-hid-add-quirk-to-support-Surface-.patch.
- commit 4725095
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/s390-smp-enforce-lowcore-protection-on-CPU-restart.
- commit a719c88
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/media-hantro-Fix-check-for-single-irq.patch.
- commit de936c5
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/surface-surface3_power-Fix-battery-readings-on-batte.patch.
- commit 76939e7
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel_pmc_core-fix-memleak-on-registrat.patch.
- commit 80a87e6
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel-sdsi-Fix-bug-in-multi-packet-read.patch.
- commit db8c50b
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel-sdsi-Poll-on-ready-bit-for-writes.patch.
- commit ce80bbd
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel-sdsi-Handle-leaky-bucket.patch.
- commit b70c57e
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel_skl_int3472-Correct-null-check.patch.
- commit 5811d7c
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-x86-intel_scu_ipc-Fix-busy-loop-expiry-time.patch.
- commit fc6f944
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-mellanox-mlxreg-io-Fix-read-access-of-n-byt.patch.
- commit 062c13d
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/platform-mellanox-mlxreg-io-Fix-argument-base-in-kst.patch.
- commit fc77c26
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/0003-drm-amdgpu-vi-disable-ASPM-on-Intel-Alder-Lake-based.patch.
- commit c4fb03d
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/0019-drm-i915-Fix-SEL_FETCH_PLANE_-PIPE_B-register-addres.patch.
- commit 6ed4d33
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/0018-drm-i915-Check-EDID-for-HDR-static-metadata-when-cho.patch.
- commit a9bbb21
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/0002-drm-i915-Fix-race-in-__i915_vma_remove_closed.patch.
- commit 28ac7e5
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/0021-drm-amd-display-Fix-memory-leak-in-dcn21_clock_sourc.patch.
- commit edab7ff
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh patches.suse/0020-drm-amdkfd-Fix-GWS-queue-count.patch.
- commit c546d5f
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/drm-amdgpu-smu10-fix-SoC-fclk-units-in-auto-mode.patch.
- commit 99ff2ef
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/drm-vmwgfx-Disable-command-buffers-on-svga3-without-.patch.
- commit 113a6a1
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/drm-vmwgfx-Initialize-drm_mode_fb_cmd2.patch.
- commit e614184
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/gve-Correct-order-of-processing-device-options.patch.
- commit 3e70dc2
* Tue Mar 21 2023 pjakobsson@suse.de
- blacklist.conf: Change blacklist entry to alt-commit
- Refresh
  patches.suse/net-mlx5-Fix-some-error-handling-paths-in-mlx5e_tc_a.patch.
- commit 8fed9e5
* Tue Mar 21 2023 jwiesner@suse.de
- fs: dlm: don't call kernel_getpeername() in error_report()
  (bsc#1208130).
- commit b5f97c7
* Tue Mar 21 2023 jwiesner@suse.de
- fs: dlm: use sk->sk_socket instead of con->sock (bsc#1208130).
- commit cb6a3cb
* Tue Mar 21 2023 msuchanek@suse.de
- ppc64le: HWPOISON_INJECT=m (bsc#1209572).
- commit 3d2007b
* Tue Mar 21 2023 oneukum@suse.com
- struct dwc3: mask new member (git-fixes).
- commit 29d28eb
* Tue Mar 21 2023 tiwai@suse.de
- drm/i915/active: Fix misuse of non-idle barriers as fence
  trackers (git-fixes).
- drm/i915/psr: Use calculated io and fast wake lines (git-fixes).
- drm/msm/dpu: clear DSPP reservations in rm release (git-fixes).
- drm/amd/display: Revert Reduce delay when sink device not able
  to ACK 00340h write (git-fixes).
- drm/display/dp_mst: Fix down message handling after a packet
  reception error (git-fixes).
- drm/display/dp_mst: Fix down/up message handling after sink
  disconnect (git-fixes).
- commit 60b582d
* Tue Mar 21 2023 tiwai@suse.de
- ACPI: PPTT: Fix to avoid sleep in the atomic context when PPTT
  is absent (git-fixes).
- ASoC: SOF: Intel: MTL: Fix the device description (git-fixes).
- ASoC: SOF: ipc4-topology: set dmic dai index from copier
  (git-fixes).
- ASoC: Intel: soc-acpi: fix copy-paste issue in topology names
  (git-fixes).
- drm/ttm: Fix a NULL pointer dereference (git-fixes).
- drm/amdgpu: fix return value check in kfd (git-fixes).
- drm/msm/dpu: fix clocks settings for msm8998 SSPP blocks
  (git-fixes).
- drm/msm/dpu: drop DPU_DIM_LAYER from MIXER_MSM8998_MASK
  (git-fixes).
- drm/msm/dpu: disable features unsupported by QCM2290
  (git-fixes).
- net: phy: mxl-gpy: add MDINT workaround (git-fixes).
- ARM: defconfig: drop CONFIG_DRM_RCAR_LVDS (git-fixes).
- commit e99c228
* Tue Mar 21 2023 oneukum@suse.com
- USB: dwc3: fix memory leak with using debugfs_lookup()
  (git-fixes).
- commit 5d4bb23
* Tue Mar 21 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 1170e89
* Tue Mar 21 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit fb6be59
* Tue Mar 21 2023 petr.pavlu@suse.com
- tracing/hwlat: Replace sched_setaffinity with
  set_cpus_allowed_ptr (git-fixes).
- commit 5dae012
* Tue Mar 21 2023 petr.pavlu@suse.com
- ring-buffer: remove obsolete comment for free_buffer_page()
  (git-fixes).
- commit e7730cf
* Tue Mar 21 2023 petr.pavlu@suse.com
- tracing: Make splice_read available again (git-fixes).
- commit 83c2809
* Tue Mar 21 2023 petr.pavlu@suse.com
- trace/hwlat: Do not start per-cpu thread if it is already
  running (git-fixes).
- commit b67192b
* Tue Mar 21 2023 petr.pavlu@suse.com
- trace/hwlat: make use of the helper function
  kthread_run_on_cpu() (git-fixes).
- commit 091a305
* Tue Mar 21 2023 petr.pavlu@suse.com
- trace/hwlat: Do not wipe the contents of per-cpu thread data
  (git-fixes).
- commit 907b256
* Tue Mar 21 2023 petr.pavlu@suse.com
- tracing: Make tracepoint lockdep check actually test something
  (git-fixes).
- commit b2e4082
* Tue Mar 21 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 6922af5
* Tue Mar 21 2023 petr.pavlu@suse.com
- ftrace: Fix invalid address access in lookup_rec() when index
  is 0 (git-fixes).
- commit 59f3693
* Tue Mar 21 2023 petr.pavlu@suse.com
- tracing: Check field value in hist_field_name() (git-fixes).
- commit a92eb30
* Tue Mar 21 2023 petr.pavlu@suse.com
- tracing: Do not let histogram values have some modifiers
  (git-fixes).
- commit 2761bfa
* Tue Mar 21 2023 petr.pavlu@suse.com
- tracing: Add NULL checks for buffer in
  ring_buffer_free_read_page() (git-fixes).
- commit 1bf9381
* Tue Mar 21 2023 petr.pavlu@suse.com
- ring-buffer: Handle race between rb_move_tail and rb_check_pages
  (git-fixes).
- commit 94bd9c6
* Tue Mar 21 2023 petr.pavlu@suse.com
- blacklist.conf: add a not-relevant ftrace cleanup
- commit 57cd4dc
* Tue Mar 21 2023 oneukum@suse.com
- debugfs: add debugfs_lookup_and_remove() (git-fixes).
- commit 6f9f252
* Tue Mar 21 2023 lduncan@suse.com
- Update
  patches.suse/scsi-ufs-ufs-mediatek-Fix-error-checking-in-ufs_mtk_init_va09_pwr_ctrl
  Adding CVE and bsc reference (git-fixes CVE-2023-23001 bsc#1208829).
- commit 2128b6e
* Tue Mar 21 2023 tonyj@suse.de
- x86/perf/zhaoxin: Add stepping check for ZXC (git fixes).
- perf/x86/intel: Add Emerald Rapids (git fixes).
- perf/x86/intel/uncore: Add Emerald Rapids (git fixes).
- perf/x86/msr: Add Emerald Rapids (git fixes).
- perf/x86/rapl: Treat Tigerlake like Icelake (git fixes).
- perf/core: Call LSM hook after copying perf_event_attr
  (git fixes).
- perf/x86/amd: fix potential integer overflow on shift of a int
  (git fixes).
- perf/x86/intel/uncore: Fix reference count leak in
  __uncore_imc_init_box() (git fixes).
- perf/x86/intel/uncore: Fix reference count leak in
  snr_uncore_mmio_map() (git fixes).
- perf/x86/intel/uncore: Fix reference count leak in
  hswep_has_limit_sbox() (git fixes).
- perf/x86/intel/uncore: Fix reference count leak in
  sad_cfg_iio_topology() (git fixes).
- perf: Fix possible memleak in pmu_dev_alloc() (git fixes).
- bpf, perf: Use subprog name when reporting subprog ksymbol
  (git fixes).
- perf/x86/intel/pt: Fix sampling using single range output
  (git fixes).
- perf/x86/intel: Add Cooper Lake stepping to isolation_ucodes
  (git fixes).
- perf/x86/intel: Fix pebs event constraints for SPR (git fixes).
- perf/x86/intel: Fix pebs event constraints for ICL (git fixes).
- perf/x86/rapl: Use standard Energy Unit for SPR Dram RAPL domain
  (git fixes).
- x86/cpu: Add several Intel server CPU model numbers (git fixes).
- perf/x86/rapl: Add support for Intel AlderLake-N (git fixes).
- perf/x86/intel/lbr: Use setup_clear_cpu_cap() instead of
  clear_cpu_cap() (git fixes).
- perf/x86/uncore: Add new Raptor Lake S support (git fixes).
- x86/cpu: Add CPU model numbers for Meteor Lake (git fixes).
- x86/cpu: Add new Raptor Lake CPU model number (git fixes).
- perf/x86/intel/uncore: Fix broken read_counter() for SNB IMC
  PMU (git fixes).
- perf/x86/intel: Fix pebs event constraints for ADL (git fixes).
- perf/x86/intel/ds: Fix precise store latency handling (git
  fixes).
- perf/x86/lbr: Enable the branch type for the Arch LBR by default
  (git fixes).
- perf/x86/intel: Fix PEBS data source encoding for ADL (git
  fixes).
- perf/x86/intel: Fix PEBS memory access info encoding for ADL
  (git fixes).
- perf/core: Fix data race between perf_event_set_output()
  and perf_mmap_close() (git fixes).
- perf/x86/intel: Fix event constraints for ICL (git fixes).
- perf/x86/uncore: Add new Alder Lake and Raptor Lake support
  (git fixes).
- perf/x86/uncore: Clean up uncore_pci_ids (git fixes).
- perf/amd/ibs: Use interrupt regs ip for stack unwinding
  (git fixes).
- x86/cpu: Add new Alderlake and Raptorlake CPU model numbers
  (git fixes).
- perf/x86/intel: Don't extend the pseudo-encoding to GP counters
  (git fixes).
- perf/core: Inherit event_caps (git fixes).
- perf/x86/uncore: Add Raptor Lake uncore support (git fixes).
- perf/x86/intel/pt: Relax address filter validation (git fixes).
- x86/perf: Default set FREEZE_ON_SMI for all (git fixes).
- perf: Always wake the parent event (git fixes).
- x86/perf: Avoid warning for Arch LBR without XSAVE (git fixes).
- perf/x86/rapl: fix AMD event handling (git fixes).
- x86/cpu: Drop spurious underscore from RAPTOR_LAKE #define
  (git fixes).
- x86/cpu: Add Raptor Lake to Intel family (git fixes).
- commit 74e398e
* Tue Mar 21 2023 lduncan@suse.com
- Update
  patches.suse/scsi-ufs-ufs-mediatek-Fix-error-checking-in-ufs_mtk_init_va09_pwr_ctrl
  Adding CVE and bsc reference (git-fixes CVE-2023-23001 bsc#1208829).
- commit 89a1730
* Tue Mar 21 2023 neilb@suse.de
- Refresh patches.suse/NFSv3-handle-out-of-order-write-replies.patch.
  Careless typo - might cause bsc#1209457
- commit 1d76618
* Mon Mar 20 2023 petr.pavlu@suse.com
- rethook: fix a potential memleak in rethook_alloc() (git-fixes).
- commit ba93146
* Mon Mar 20 2023 petr.pavlu@suse.com
- tracing/fprobe: Fix to check whether fprobe is registered
  correctly (git-fixes).
- commit 80cd39d
* Mon Mar 20 2023 petr.pavlu@suse.com
- fprobe: Check rethook_alloc() return in rethook initialization
  (git-fixes).
- commit c0d54a5
* Mon Mar 20 2023 petr.pavlu@suse.com
- fprobe: Fix smatch type mismatch warning (git-fixes).
- commit 81f671e
* Mon Mar 20 2023 petr.pavlu@suse.com
- rethook: Reject getting a rethook if RCU is not watching
  (git-fixes).
- commit ea320af
* Mon Mar 20 2023 petr.pavlu@suse.com
- Revert "bpf: Add support to inline bpf_get_func_ip helper on
  x86" (git-fixes).
- Refresh
  patches.suse/bpf-Fix-kprobe_multi-return-probe-backtrace.patch.
- commit ba17c57
* Mon Mar 20 2023 oneukum@suse.com
- fotg210-udc: Add missing completion handler (git-fixes).
- commit 6b598ac
* Mon Mar 20 2023 oneukum@suse.com
- USB: fix memory leak with using debugfs_lookup() (git-fixes).
- commit 4c4d5c0
* Mon Mar 20 2023 oneukum@suse.com
- net: usb: smsc75xx: Limit packet length to skb->len (git-fixes).
- commit 146b5ac
* Mon Mar 20 2023 lhenriques@suse.de
- ceph: update the time stamps and try to drop the suid/sgid
  (bsc#1209504).
- commit e7df378
* Mon Mar 20 2023 msuchanek@suse.de
- powerpc/mm: Fix false detection of read faults (bsc#1208864).
- commit d1405ec
* Mon Mar 20 2023 msuchanek@suse.de
- supported.conf: Remove duplicate entry.
- commit 2c93f73
* Mon Mar 20 2023 nmorey@suse.com
- RDMA/mlx5: Use rdma_umem_for_each_dma_block() (git-fixes)
- commit 0b08321
* Mon Mar 20 2023 nmorey@suse.com
- IB/hfi1: Update RMT size calculation (git-fixes)
- commit 46a7a1c
* Mon Mar 20 2023 nmorey@suse.com
- IB/hfi1: Assign npages earlier (git-fixes)
- commit b6b4a13
* Mon Mar 20 2023 tiwai@suse.de
- serial: qcom-geni: fix console shutdown hang (git-fixes).
- serial: 8250_fsl: fix handle_irq locking (git-fixes).
- serial: 8250_em: Fix UART port type (git-fixes).
- interconnect: exynos: fix node leak in probe PM QoS error path
  (git-fixes).
- interconnect: fix mem leak when freeing nodes (git-fixes).
- interconnect: qcom: osm-l3: fix icc_onecell_data allocation
  (git-fixes).
- firmware: xilinx: don't make a sleepable memory allocation
  from an atomic context (git-fixes).
- fbdev: omapfb: cleanup inconsistent indentation (git-fixes).
- hwmon: (ltc2992) Set `can_sleep` flag for GPIO chip (git-fixes).
- hwmon: (adm1266) Set `can_sleep` flag for GPIO chip (git-fixes).
- hwmon: tmp512: drop of_match_ptr for ID table (git-fixes).
- hwmon: (ucd90320) Add minimum delay between bus accesses
  (git-fixes).
- hwmon: (ina3221) return prober error code (git-fixes).
- hwmon: (xgene) Fix use after free bug in xgene_hwmon_remove
  due to race condition (git-fixes).
- hwmon: (adt7475) Fix masking of hysteresis registers
  (git-fixes).
- hwmon: (adt7475) Display smoothing attributes in correct order
  (git-fixes).
- media: m5mols: fix off-by-one loop termination error
  (git-fixes).
- nfc: st-nci: Fix use after free bug in ndlc_remove due to race
  condition (git-fixes).
- nfc: pn533: initialize struct pn533_out_arg properly
  (git-fixes).
- mmc: sdhci_am654: lower power-on failed message severity
  (git-fixes).
- ALSA: hda: Match only Intel devices with CONTROLLER_IN_GPU()
  (git-fixes).
- drm/bridge: Fix returned array size name for
  atomic_get_input_bus_fmts kdoc (git-fixes).
- drm/sun4i: fix missing component unbind on bind errors
  (git-fixes).
- drm/meson: fix 1px pink line on GXM when scaling video overlay
  (git-fixes).
- drm/panfrost: Don't sync rpm suspension after mmu flushing
  (git-fixes).
- drm/shmem-helper: Remove another errant put in error path
  (git-fixes).
- clk: HI655X: select REGMAP instead of depending on it
  (git-fixes).
- docs: Correct missing "d_" prefix for dentry_operations member
  d_weak_revalidate (git-fixes).
- drm/amdgpu: fix error checking in amdgpu_read_mm_registers
  for soc15 (git-fixes).
- drm/connector: print max_requested_bpc in state debugfs
  (git-fixes).
- drm/nouveau/kms/nv50: fix nv50_wndw_new_ prototype (git-fixes).
- nfc: change order inside nfc_se_io error path (git-fixes).
- regulator: core: Use ktime_get_boottime() to determine how
  long a regulator was off (git-fixes).
- media: rc: gpio-ir-recv: add remove function (git-fixes).
- media: ov5640: Fix analogue gain control (git-fixes).
- PCI: Add SolidRun vendor ID (git-fixes).
- drm/nouveau/kms/nv50-: remove unused functions (git-fixes).
- regulator: core: Fix off-on-delay-us for always-on/boot-on
  regulators (git-fixes).
- regulator: Flag uncontrollable regulators as always_on
  (git-fixes).
- commit fc61e5c
* Fri Mar 17 2023 tiwai@suse.de
- Delete patches.suse/drm-i915-Don-t-use-BAR-mappings-for-ring-buffers-wit.patch
  Resulted in an Oops / hang at boot (bsc#1209436)
- commit 0da96b0
* Fri Mar 17 2023 tiwai@suse.de
- hwmon: (k10temp): Add support for new family 17h and 19h models
  (bsc#1208848).
- x86/amd_nb: Add AMD PCI IDs for SMN communication (bsc#1208848).
- commit c3dd9ac
* Thu Mar 16 2023 vkarasulli@suse.de
- Update references in
  patches.suse/media-dvb-usb-az6027-fix-null-ptr-deref-in-az6027_i2.patch
  (git-fixes bsc#1209291 CVE-2023-28328).
- commit eeabf0f
* Thu Mar 16 2023 vkarasulli@suse.de
- Update references in
  patches.suse/media-dvb-usb-az6027-fix-null-ptr-deref-in-az6027_i2.patch
  (git-fixes bsc#1209291 CVE-2023-28328).
- commit dc99e31
* Thu Mar 16 2023 jslaby@suse.cz
- Refresh
  patches.suse/drm-amd-display-fix-issues-with-driver-unload.patch.
  Fix build warning:
  .../amdgpu_dm/amdgpu_dm.c: In function 'amdgpu_dm_fini':
  .../amdgpu_dm/amdgpu_dm.c:1417:6: warning: unused variable 'i' [-Wunused-variable]
  int i;
    ^
- commit 25c8b43
* Thu Mar 16 2023 jslaby@suse.cz
- x86/msr: Remove .fixup usage (git-fixes).
- kABI: x86/msr: Remove .fixup usage (kabi).
- Refresh patches.suse/x86-futex-Remove-.fixup-usage.patch.
- commit c013cdd
* Thu Mar 16 2023 jslaby@suse.cz
- x86/fpu: Cache xfeature flags from CPUID (git-fixes).
- commit b735f37
* Thu Mar 16 2023 jslaby@suse.cz
- x86/fpu/xsave: Handle compacted offsets correctly with
  supervisor states (git-fixes).
- x86/fpu: Remove unused supervisor only offsets (git-fixes).
- x86/fpu/xstate: Fix the ARCH_REQ_XCOMP_PERM implementation
  (git-fixes).
- KVM: x86: fix sending PV IPI (git-fixes).
- x86: Annotate call_on_stack() (git-fixes).
- x86/sgx: Free backing memory after faulting the enclave page
  (git-fixes).
- Refresh
  patches.suse/x86-sgx-set-active-memcg-prior-to-shmem-allocation.patch.
- x86/kvm: Don't use pv tlb/ipi/sched_yield if on 1 vCPU
  (git-fixes).
- x86/bug: Merge annotate_reachable() into _BUG_FLAGS() asm
  (git-fixes).
- x86/sgx: Silence softlockup detection when releasing large
  enclaves (git-fixes).
- x86/mce/inject: Avoid out-of-bounds write when setting flags
  (git-fixes).
- x86/mce: Mark mce_read_aux() noinstr (git-fixes).
- x86/mce: Mark mce_end() noinstr (git-fixes).
- x86/mce: Mark mce_panic() noinstr (git-fixes).
- x86/mce: Allow instrumentation during task work queueing
  (git-fixes).
- x86/uaccess: Move variable into switch case statement
  (git-fixes).
- x86/mm: Flush global TLB when switching to trampoline page-table
  (git-fixes).
- x86/fpu/xsave: Handle compacted offsets correctly with
  supervisor states (git-fixes).
- x86/fpu: Remove unused supervisor only offsets (git-fixes).
- x86/fpu/xstate: Fix the ARCH_REQ_XCOMP_PERM implementation
  (git-fixes).
- KVM: x86: fix sending PV IPI (git-fixes).
- x86: Annotate call_on_stack() (git-fixes).
- x86/sgx: Free backing memory after faulting the enclave page
  (git-fixes).
- Refresh
  patches.suse/x86-sgx-set-active-memcg-prior-to-shmem-allocation.patch.
- x86/kvm: Don't use pv tlb/ipi/sched_yield if on 1 vCPU
  (git-fixes).
- x86/bug: Merge annotate_reachable() into _BUG_FLAGS() asm
  (git-fixes).
- x86/sgx: Silence softlockup detection when releasing large
  enclaves (git-fixes).
- x86/mce/inject: Avoid out-of-bounds write when setting flags
  (git-fixes).
- x86/mce: Mark mce_read_aux() noinstr (git-fixes).
- x86/mce: Mark mce_end() noinstr (git-fixes).
- x86/mce: Mark mce_panic() noinstr (git-fixes).
- x86/mce: Allow instrumentation during task work queueing
  (git-fixes).
- x86/uaccess: Move variable into switch case statement
  (git-fixes).
- x86/mm: Flush global TLB when switching to trampoline page-table
  (git-fixes).
- commit cd115f3
* Thu Mar 16 2023 shung-hsi.yu@suse.com
- rpm/group-source-files.pl: Fix output difference when / is in location
  While previous attempt to fix group-source-files.pl in 6d651362c38
  "rpm/group-source-files.pl: Deal with {pre,post}fixed / in location"
  breaks the infinite loop, it does not properly address the issue. Having
  prefixed and/or postfixed forward slash still result in different
  output.
  This commit changes the script to use the Perl core module File::Spec
  for proper path manipulation to give consistent output.
- commit 4161bf9
* Thu Mar 16 2023 heming.zhao@suse.com
- ocfs2: fix non-auto defrag path not working issue (bsc#1199304).
- ocfs2: fix defrag path triggering jbd2 ASSERT (bsc#1199304).
- io_uring: fix fget leak when fs don't support nowait buffered
  read (bsc#1205205).
- commit 49d0ed2
* Wed Mar 15 2023 jslaby@suse.cz
- kABI: do not check external trampolines for signature (kabi
  bsc#1207894 bsc#1211243).
- commit b4624ad
* Tue Mar 14 2023 tonyj@suse.de
- perf/x86/uncore: Don't WARN_ON_ONCE() for a broken discovery
  table (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/uncore: Add a quirk for UPI on SPR (bsc#1206824,
  bsc#1206493, bsc#1206492).
- perf/x86/uncore: Ignore broken units in discovery table
  (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/uncore: Fix potential NULL pointer in
  uncore_get_alias_name (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/uncore: Factor out uncore_device_to_die() (bsc#1206824,
  bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Make set_mapping() procedure void
  (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Update sysfs-devices-mapping file
  (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Enable UPI topology discovery for
  Sapphire Rapids (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Enable UPI topology discovery for
  Icelake Server (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Get UPI NodeID and GroupID (bsc#1206824,
  bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Enable UPI topology discovery for
  Skylake Server (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Generalize get_topology() for SKX PMUs
  (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Disable I/O stacks to PMU mapping on
  ICX-D (bsc#1206824, bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Clear attr_update properly (bsc#1206824,
  bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Introduce UPI topology type (bsc#1206824,
  bsc#1206493, bsc#1206492).
- perf/x86/intel/uncore: Generalize IIO topology support
  (bsc#1206824, bsc#1206493, bsc#1206492).
- commit 23fd14b
* Tue Mar 14 2023 msuchanek@suse.de
- Require suse-kernel-rpm-scriptlets at all times.
  The kernel packages call scriptlets for each stage, add the dependency
  to make it clear to libzypp that the scriptlets are required.
  There is no special dependency for posttrans, these scriptlets run when
  transactions are resolved. The plain dependency has to be used to
  support posttrans.
- commit 56c4dbe
* Tue Mar 14 2023 msuchanek@suse.de
- Replace mkinitrd dependency with dracut (bsc#1202353).
  Also update mkinitrd refrences in documentation and comments.
- commit e356c9b
* Tue Mar 14 2023 mkoutny@suse.com
- mm: memcg: fix NULL pointer in
  mem_cgroup_track_foreign_dirty_slowpath() (bsc#1209262).
- commit ca9be2b
* Tue Mar 14 2023 ddiss@suse.de
- watch_queue: fix IOC_WATCH_QUEUE_SET_SIZE alloc error paths
  (bsc#1197617).
- commit 34bfa16
* Tue Mar 14 2023 oneukum@suse.com
- vp_vdpa: fix the crash in hot unplug with vp_vdpa (git-fixes).
- commit f537dbc
* Tue Mar 14 2023 oneukum@suse.com
- vdpa/vp_vdpa: fix kfree a wrong pointer in vp_vdpa_remove
  (git-fixes).
- commit db1d8ee
* Tue Mar 14 2023 mkoutny@suse.com
- blacklist.conf: Add cgroup locking optimizations
  be288169712f cgroup: reduce dependency on cgroup_mutex
  671c11f0619e cgroup: Elide write-locking threadgroup_rwsem when updating csses on an empty subtree
- commit a274f6f
* Tue Mar 14 2023 mkoutny@suse.com
- fork: allow CLONE_NEWTIME in clone3 flags (bsc#1209258).
- commit 49f82de
* Tue Mar 14 2023 mkoutny@suse.com
- blacklist.conf: Add 9360d035a579 panic: Separate sysctl logic from CONFIG_SMP
- commit 70188a8
* Tue Mar 14 2023 mkoutny@suse.com
- blacklist.conf: Add 9df918698408 kernel/panic: move panic sysctls to its own file
- commit 7099ede
* Tue Mar 14 2023 mkoutny@suse.com
- prlimit: do_prlimit needs to have a speculation check
  (bsc#1209256 CVE-2017-5753).
- prlimit: do_prlimit needs to have a speculation check
  (bsc#1209256).
- commit b7234d1
* Tue Mar 14 2023 oneukum@suse.com
- blacklist.conf: this is very hard to explain. This patch stops a staging
  driver from doing something extremely stupid, but it is visible and not
  technically a fix
- commit 55006f0
* Tue Mar 14 2023 oneukum@suse.com
- staging: rtl8192e: Remove call_usermodehelper starting
  RadioPower.sh (git-fixes).
- commit c4abe3e
* Tue Mar 14 2023 mkoutny@suse.com
- blacklist.conf: Add c16bdeb5a39f rlimit: Fix RLIMIT_NPROC enforcement failure caused by capability calls in set_user
  And also reasoning dependency/guard 2863643fb8b9 ("set_user: add capability check when rlimit(RLIMIT_NPROC) exceeds")
- commit 2a2c4f0
* Tue Mar 14 2023 oneukum@suse.com
- blacklist.conf: this is very hard to explain. This patch stops a staging
  driver from doing something extremely stupid, but it is visible and not
  technically a fix
- commit a35c342
* Tue Mar 14 2023 oneukum@suse.com
- staging: rtl8192e: Remove function ..dm_check_ac_dc_power
  calling a script (git-fixes).
- commit e719318
* Tue Mar 14 2023 tabraham@suse.com
- s390/kexec: fix ipl report address for kdump (bsc#1207529).
- commit a28d6d2
* Tue Mar 14 2023 msuchanek@suse.de
- rpm/kernel-obs-build.spec.in: Remove SLE11 cruft
- commit 871eeb4
* Tue Mar 14 2023 tabraham@suse.com
- rcu: Tighten rcu_advance_cbs_nowake() checks (bsc#1209159).
- commit d31c746
* Tue Mar 14 2023 mfranc@suse.cz
- sctp: sctp_sock_filter(): avoid list_entry() on possibly empty
  list (bsc#1208602, git-fixes).
- commit fcfa0eb
* Tue Mar 14 2023 mfranc@suse.cz
- sctp: sctp_sock_filter(): avoid list_entry() on possibly empty
  list (bsc#1208602, git-fixes).
- commit 4b74bf5
* Tue Mar 14 2023 mfranc@suse.cz
- rds: rds_rm_zerocopy_callback() correct order for
  list_add_tail() (CVE-2023-1078 bsc#1208601).
- rds: rds_rm_zerocopy_callback() use list_first_entry()
  (CVE-2023-1078 bsc#1208601).
- commit 590edab
* Tue Mar 14 2023 mfranc@suse.cz
- rds: rds_rm_zerocopy_callback() correct order for
  list_add_tail() (CVE-2023-1078 bsc#1208601).
- rds: rds_rm_zerocopy_callback() use list_first_entry()
  (CVE-2023-1078 bsc#1208601).
- commit b467b16
* Tue Mar 14 2023 jslaby@suse.cz
- blacklist.conf: add some X86 ARCHITECTURE git-fixes
- commit 6e9c445
* Mon Mar 13 2023 mfranc@suse.cz
- net/tls: tls_is_tx_ready() checked list_entry (CVE-2023-1075
  bsc#1208598).
- commit 04f7ce9
* Mon Mar 13 2023 lduncan@suse.com
- scsi: sd: Fix wrong zone_write_granularity value during
  revalidate (git-fixes).
- scsi: megaraid_sas: Update max supported LD IDs to 240
  (git-fixes).
- commit cc4694e
* Mon Mar 13 2023 oneukum@suse.com
- blacklist.conf: feature, not fix
- commit 3b9cbfd
* Mon Mar 13 2023 oneukum@suse.com
- blacklist.conf: duplicate
- commit 082c8b7
* Mon Mar 13 2023 oneukum@suse.com
- Update patches.suse/hid-bigben_probe-validate-report-count.patch
  (bsc#1208605).
  Added bugzilla reference to fix already applied
- commit 784a3b2
* Mon Mar 13 2023 ohering@suse.de
- scsi: storvsc: Handle BlockSize change in Hyper-V VHD/VHDX file
  (git-fixes).
- commit 1bde01c
* Mon Mar 13 2023 jslaby@suse.cz
- signal: Implement force_fatal_sig (git-fixes).
- blacklist.conf: remove it
- commit fc01034
* Mon Mar 13 2023 jslaby@suse.cz
- bpf, x64: Factor out emission of REX byte in more cases
  (git-fixes).
- blacklist.conf: remove it
- commit 3ad465f
* Mon Mar 13 2023 jslaby@suse.cz
- bpf: Fix extable address check (git-fixes).
- bpf: Fix extable fixup offset (git-fixes).
- x86/64/mm: Map all kernel memory into trampoline_pgd
  (git-fixes).
- x86/sgx: Fix free page accounting (git-fixes).
- signal/x86: In emulate_vsyscall force a signal instead of
  calling do_exit (git-fixes).
- signal/seccomp: Refactor seccomp signal and coredump generation
  (git-fixes).
- commit 128d44a
* Mon Mar 13 2023 tiwai@suse.de
- wifi: cfg80211: Partial revert "wifi: cfg80211: Fix use after
  free for wext" (git-fixes).
- tpm/eventlog: Don't abort tpm_read_log on faulty ACPI address
  (git-fixes).
- commit c121561
* Mon Mar 13 2023 neilb@suse.de
- NFS: nfsiod should not block forever in mempool_alloc()
  (git-fixes).
- commit 3938521
* Mon Mar 13 2023 neilb@suse.de
- KABI FIX FOR NFSv4: Fix free of uninitialized nfs4_label on
  referral lookup (git-fixes).
- commit 3fe030b
* Sun Mar 12 2023 lduncan@suse.com
- scsi: mpi3mr: Fix missing mrioc->evtack_cmds initialization
  (git-fixes).
- scsi: mpi3mr: Remove unnecessary memcpy() to alltgt_info->dmi
  (git-fixes).
- scsi: mpi3mr: Fix issues in mpi3mr_get_all_tgt_info()
  (git-fixes).
- scsi: aacraid: Allocate cmd_priv with scsicmd (git-fixes).
- commit 400886d
* Sun Mar 12 2023 lduncan@suse.com
- scsi: scsi_ioctl: Validate command size (git-fixes).
- Refresh
  patches.suse/scsi-core-Remove-the-cmd-field-from-struct-scsi_request.patch.
- commit 8ec66ae
* Sun Mar 12 2023 tiwai@suse.de
- ASoC: zl38060 add gpiolib dependency (git-fixes).
- pwm: stm32-lp: fix the check on arr and cmp registers update
  (git-fixes).
- phy: rockchip-typec: Fix unsigned comparison with less than zero
  (git-fixes).
- PCI: Add ACS quirk for Wangxun NICs (git-fixes).
- PCI: Take other bus devices into account when distributing
  resources (git-fixes).
- PCI: Align extra resources for hotplug bridges properly
  (git-fixes).
- iio: accel: mma9551_core: Prevent uninitialized variable in
  mma9551_read_config_word() (git-fixes).
- iio: accel: mma9551_core: Prevent uninitialized variable in
  mma9551_read_status_word() (git-fixes).
- tools/iio/iio_utils:fix memory leak (git-fixes).
- mei: bus-fixup:upon error print return values of send and
  receive (git-fixes).
- staging: emxx_udc: Add checks for dma_alloc_coherent()
  (git-fixes).
- serial: sc16is7xx: setup GPIO controller later in probe
  (git-fixes).
- tty: serial: fsl_lpuart: disable the CTS when send break signal
  (git-fixes).
- tty: fix out-of-bounds access in tty_driver_lookup_tty()
  (git-fixes).
- usb: uvc: Enumerate valid values for color matching (git-fixes).
- USB: ene_usb6250: Allocate enough memory for full object
  (git-fixes).
- usb: host: xhci: mvebu: Iterate over array indexes instead of
  using pointer math (git-fixes).
- media: uvcvideo: Silence memcpy() run-time false positive
  warnings (git-fixes).
- media: uvcvideo: Quirk for autosuspend in Logitech B910 and C910
  (git-fixes).
- media: uvcvideo: Handle errors from calls to usb_string
  (git-fixes).
- media: uvcvideo: Handle cameras with invalid descriptors
  (git-fixes).
- mfd: arizona: Use pm_runtime_resume_and_get() to prevent refcnt
  leak (git-fixes).
- firmware/efi sysfb_efi: Add quirk for Lenovo IdeaPad Duet 3
  (git-fixes).
- ASoC: zl38060: Remove spurious gpiolib select (git-fixes).
- Bluetooth: hci_sock: purge socket queues in the destruct()
  callback (git-fixes).
- commit 1135294
* Sat Mar 11 2023 tiwai@suse.de
- kABI workaround for hid quirks (git-fixes).
- commit 2ce6cac
* Sat Mar 11 2023 tiwai@suse.de
- HID: retain initial quirks set up when creating HID devices
  (git-fixes).
- commit 0d98469
* Sat Mar 11 2023 jslaby@suse.cz
- PCI: dwc: Add dw_pcie_ops.host_deinit() callback (git-fixes).
- kABI: PCI: dwc: Add dw_pcie_ops.host_deinit() callback (kabi).
- commit ccb0b3a
* Sat Mar 11 2023 tiwai@suse.de
- thermal/drivers/tsens: Add compat string for the qcom,msm8960
  (git-fixes).
- Refresh
  patches.suse/thermal-drivers-tsens-Sort-out-msm8976-vs-msm8956-da.patch.
- commit 0c14aac
* Sat Mar 11 2023 tiwai@suse.de
- drm/msm/disp/dpu: fix sc7280_pp base offset (git-fixes).
- drm/msm/dpu: fix len of sc7180 ctl blocks (git-fixes).
- drm/msm/a5xx: fix context faults during ring switch (git-fixes).
- drm/msm/a5xx: fix the emptyness check in the preempt code
  (git-fixes).
- drm/msm/a5xx: fix highest bank bit for a530 (git-fixes).
- drm/msm/a5xx: fix setting of the CP_PREEMPT_ENABLE_LOCAL
  register (git-fixes).
- drm/msm: Fix potential invalid ptr free (git-fixes).
- vfio/type1: restore locked_vm (git-fixes).
- vfio/type1: track locked_vm per dma (git-fixes).
- vfio/type1: prevent underflow of locked_vm via exec()
  (git-fixes).
- tty: serial: imx: disable Ageing Timer interrupt request irq
  (git-fixes).
- usb: gadget: configfs: Restrict symlink creation is UDC already
  binded (git-fixes).
- usb: typec: intel_pmc_mux: Don't leak the ACPI device reference
  count (git-fixes).
- wifi: ath9k: hif_usb: clean up skbs if ath9k_hif_usb_rx_stream()
  fails (git-fixes).
- wifi: ath9k: Fix use-after-free in ath9k_hif_usb_disconnect()
  (git-fixes).
- wifi: mt76: dma: free rx_head in mt76_dma_rx_cleanup
  (git-fixes).
- wifi: rtl8xxxu: Use a longer retry limit of 48 (git-fixes).
- wifi: mt7601u: fix an integer underflow (git-fixes).
- wifi: brcmfmac: ensure CLM version is null-terminated to
  prevent stack-out-of-bounds (git-fixes).
- wifi: brcmfmac: Fix potential stack-out-of-bounds in
  brcmf_c_preinit_dcmds() (git-fixes).
- wifi: rtl8xxxu: fixing transmisison failure for rtl8192eu
  (git-fixes).
- thermal: intel: intel_pch: Add support for Wellsburg PCH
  (git-fixes).
- thermal: intel: Fix unsigned comparison with less than zero
  (git-fixes).
- wifi: ath9k: use proper statements in conditionals (git-fixes).
- tty: serial: imx: Handle RS485 DE signal active high
  (git-fixes).
- usb: typec: intel_pmc_mux: Use the helper
  acpi_dev_get_memory_resources() (git-fixes).
- usb: gadget: configfs: remove using list iterator after loop
  body as a ptr (git-fixes).
- usb: gadget: configfs: use to_usb_function_instance() in cfg
  (un)link func (git-fixes).
- usb: gadget: configfs: use to_config_usb_cfg() in os_desc_link()
  (git-fixes).
- commit 31f8312
* Sat Mar 11 2023 tiwai@suse.de
- nfc: fdp: add null check of devm_kmalloc_array in
  fdp_nci_i2c_read_device_properties (git-fixes).
- drm/radeon: Fix eDP for single-display iMac11,2 (git-fixes).
- drm/i915/quirks: Add inverted backlight quirk for HP 14-r206nv
  (git-fixes).
- media: i2c: imx219: Fix binning for RAW8 capture (git-fixes).
- media: i2c: imx219: Split common registers from mode tables
  (git-fixes).
- PCI: Avoid FLR for AMD FCH AHCI adapters (git-fixes).
- firmware: coreboot: framebuffer: Ignore reserved pixel color
  bits (git-fixes).
- media: uvcvideo: Check for INACTIVE in uvc_ctrl_is_accessible()
  (git-fixes).
- drm: panel-orientation-quirks: Add quirk for Lenovo IdeaPad
  Duet 3 10IGL5 (git-fixes).
- drm/msm/dsi: Add missing check for alloc_ordered_workqueue
  (git-fixes).
- drm: amd: display: Fix memory leakage (git-fixes).
- drm/radeon: free iio for atombios when driver shutdown
  (git-fixes).
- drm/amd/display: Fix potential null-deref in dm_resume
  (git-fixes).
- drm/edid: fix AVI infoframe aspect ratio handling (git-fixes).
- drm/tiny: ili9486: Do not assume 8-bit only SPI controllers
  (git-fixes).
- drm/omap: dsi: Fix excessive stack usage (git-fixes).
- drm/vc4: dpi: Fix format mapping for RGB565 (git-fixes).
- hwmon: (coretemp) Simplify platform device handling (git-fixes).
- HID: multitouch: Add quirks for flipped axes (git-fixes).
- HID: logitech-hidpp: Don't restart communication if not
  necessary (git-fixes).
- HID: Add Mapping for System Microphone Mute (git-fixes).
- pinctrl: at91: use devm_kasprintf() to avoid potential leaks
  (git-fixes).
- spi: dw_bt1: fix MUX_MMIO dependencies (git-fixes).
- regulator: s5m8767: Bounds check id indexing into arrays
  (git-fixes).
- regulator: max77802: Bounds check regulator id against opmode
  (git-fixes).
- KEYS: asymmetric: Fix ECDSA use via keyctl uapi (git-fixes).
- drm/vc4: dpi: Add option for inverting pixel clock and output
  enable (git-fixes).
- mt76: mt7915: fix polling firmware-own status (git-fixes).
- media: uvcvideo: Fix memory leak of object map on error exit
  path (git-fixes).
- pinctrl: mediatek: fix coding style (git-fixes).
- media: uvcvideo: Check controls flags before accessing them
  (git-fixes).
- media: uvcvideo: Use control names from framework (git-fixes).
- media: uvcvideo: Add support for V4L2_CTRL_TYPE_CTRL_CLASS
  (git-fixes).
- media: uvcvideo: refactor __uvc_ctrl_add_mapping (git-fixes).
- media: uvcvideo: Remove s_ctrl and g_ctrl (git-fixes).
- media: uvcvideo: Do not check for V4L2_CTRL_WHICH_DEF_VAL
  (git-fixes).
- commit af57661
* Sat Mar 11 2023 tiwai@suse.de
- Documentation/hw-vuln: Document the interaction between IBRS
  and STIBP (git-fixes).
- ALSA: hda/realtek: Add quirk for HP EliteDesk 800 G6 Tower PC
  (git-fixes).
- dmaengine: sf-pdma: pdma_desc memory leak fix (git-fixes).
- docs/scripts/gdb: add necessary make scripts_gdb step
  (git-fixes).
- ASoC: codecs: lpass: fix incorrect mclk rate (git-fixes).
- ASoC: kirkwood: Iterate over array indexes instead of using
  pointer math (git-fixes).
- ASoC: soc-compress: Reposition and add pcm_mutex (git-fixes).
- Bluetooth: btusb: Add VID:PID 13d3:3529 for Realtek RTL8821CE
  (git-fixes).
- ACPI: Don't build ACPICA with '-Os' (git-fixes).
- ACPI: video: Fix Lenovo Ideapad Z570 DMI match (git-fixes).
- clocksource: Suspend the watchdog temporarily when high read
  latency detected (git-fixes).
- arm64: dts: qcom: pmk8350: Use the correct PON compatible
  (git-fixes).
- arm64: dts: amlogic: meson-gxbb-kii-pro: fix led node name
  (git-fixes).
- arm64: dts: amlogic: meson-gxl-s905d-phicomm-n1: fix led node
  name (git-fixes).
- arm64: dts: amlogic: meson-sm1-bananapi-m5: fix adc keys node
  names (git-fixes).
- arm64: dts: amlogic: meson-gx-libretech-pc: fix update button
  name (git-fixes).
- arm64: dts: amlogic: meson-gxl: add missing unit address to
  eth-phy-mux node name (git-fixes).
- arm64: dts: amlogic: meson-gx: add missing unit address to
  rng node name (git-fixes).
- arm64: dts: amlogic: meson-gxl-s905d-sml5442tw: drop invalid
  clock-names property (git-fixes).
- arm64: dts: amlogic: meson-gx: add missing SCPI sensors
  compatible (git-fixes).
- arm64: dts: amlogic: meson-axg: fix SCPI clock dvfs node name
  (git-fixes).
- arm64: dts: amlogic: meson-gx: fix SCPI clock dvfs node name
  (git-fixes).
- ARM: dts: exynos: Use Exynos5420 compatible for the MIPI video
  phy (git-fixes).
- arm64: dts: qcom: ipq8074: correct PCIe QMP PHY output clock
  names (git-fixes).
- arm64: dts: qcom: ipq8074: fix Gen3 PCIe QMP PHY (git-fixes).
- arm64: dts: qcom: ipq8074: fix Gen2 PCIe QMP PHY (git-fixes).
- arm64: dts: qcom: pmk8350: Specify PBS register for PON
  (git-fixes).
- arm64: dts: qcom: ipq8074: fix PCIe PHY serdes size (git-fixes).
- ACPI: resource: Add helper function
  acpi_dev_get_memory_resources() (git-fixes).
- ath9k: htc: clean up statistics macros (git-fixes).
- ath9k: hif_usb: simplify if-if to if-else (git-fixes).
- ASoC: codecs: tx-macro: move to individual clks from bulk
  (git-fixes).
- ASoC: codecs: rx-macro: move to individual clks from bulk
  (git-fixes).
- ASoC: codecs: tx-macro: move clk provider to managed variants
  (git-fixes).
- ASoC: codecs: rx-macro: move clk provider to managed variants
  (git-fixes).
- arm64: dts: qcom: Fix IPQ8074 PCIe PHY nodes (git-fixes).
- ASoC: codecs: Change bulk clock voting to optional voting in
  digital codecs (git-fixes).
- ASoC: fsl_sai: Update to modern clocking terminology
  (git-fixes).
- commit 8491e1c
* Sat Mar 11 2023 lduncan@suse.com
- scsi_disk kABI: add back members (bsc#1209092).
- scsi: sd: Revert "Rework asynchronous resume support"
  (bsc#1209092).
- commit 4f4ac99
* Fri Mar 10 2023 mfranc@suse.cz
- tap: tap_open(): correctly initialize socket uid (CVE-2023-1076
  bsc#1208599).
- tun: tun_chr_open(): correctly initialize socket uid
  (CVE-2023-1076 bsc#1208599).
- net: add sock_init_data_uid() (CVE-2023-1076 bsc#1208599).
- netfilter: nf_tables: fix null deref due to zeroed list head
  (CVE-2023-1095 bsc#1208777).
- commit 1969911
* Fri Mar 10 2023 iivanov@suse.de
- arm64: cmpxchg_double*: hazard against entire exchange variable (git-fixes)
- commit 17b413e
* Fri Mar 10 2023 tiwai@suse.de
- kABI workaround for struct fb_deferred_io changes (bsc#1208266).
- commit 4c272e6
* Fri Mar 10 2023 tiwai@suse.de
- fbdev: Fix incorrect page mapping clearance at
  fb_deferred_io_release() (bsc#1208266).
- commit a4b869b
* Fri Mar 10 2023 tiwai@suse.de
- Move upstreamed fbdev fix into sorted section
- commit 322351e
* Fri Mar 10 2023 iivanov@suse.de
- crypto: arm64 - Fix unused variable compilation warnings of (git-fixes)
- commit bedb569
* Fri Mar 10 2023 iivanov@suse.de
- arm64: make is_ttbrX_addr() noinstr-safe (git-fixes)
- commit 04f9814
* Fri Mar 10 2023 iivanov@suse.de
- arm64: mm: kfence: only handle translation faults (git-fixes)
- commit 53720ca
* Fri Mar 10 2023 iivanov@suse.de
- arm64: atomics: remove LL/SC trampolines (git-fixes)
- commit abb3814
* Fri Mar 10 2023 iivanov@suse.de
- arm64: dts: juno: Add missing MHU secure-irq (git-fixes)
- commit 8ba9b76
* Fri Mar 10 2023 iivanov@suse.de
- arm64: dts: arm: drop unused interrupt-names in MHU (git-fixes)
- commit 830c0c2
* Fri Mar 10 2023 iivanov@suse.de
- arm64: cacheinfo: Fix incorrect assignment of signed error value to (git-fixes)
- commit bf5800f
* Fri Mar 10 2023 iivanov@suse.de
- arm64: Treat ESR_ELx as a 64-bit register (git-fixes)
- commit 2dadb72
* Fri Mar 10 2023 jslaby@suse.cz
- blacklist.conf: add some X86 git-fixes
- commit 05ac891
* Fri Mar 10 2023 iivanov@suse.de
- blacklist.conf: ("arm64: dts: ten64: remove redundant interrupt declaration for")
- commit b0f32f5
* Fri Mar 10 2023 iivanov@suse.de
- blacklist.conf: ("Revert "arm64: rethook: Add arm64 rethook implementation"")
- commit ec9590a
* Thu Mar  9 2023 jroedel@suse.de
- Update
  patches.suse/dma-direct-use-is_swiotlb_active-in-dma_direct_map_page
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-add-a-SWIOTLB_ANY-flag-to-lift-the-low-memory-restrictio
  (jsc#PED-3259).
- Update patches.suse/swiotlb-avoid-potential-left-shift-overflow
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-clean-up-some-coding-style-and-minor-issues
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-consolidate-rounding-up-default_nslabs
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-don-t-panic-when-the-swiotlb-buffer-can-t-be-allocated
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-ensure-a-segment-doesn-t-cross-the-area-boundary
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-fail-map-correctly-with-failed-io_tlb_default_mem
  (jsc#PED-3259).
- Update patches.suse/swiotlb-fix-a-typo (jsc#PED-3259).
- Update
  patches.suse/swiotlb-fix-passing-local-variable-to-debugfs_create_ulong
  (jsc#PED-3259).
- Update patches.suse/swiotlb-fix-setting-force_bounce
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-fix-use-after-free-on-error-handling-path
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-make-swiotlb_exit-a-no-op-if-SWIOTLB_FORCE-is-set
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-make-the-swiotlb_init-interface-more-useful
  (jsc#PED-3259).
- Update patches.suse/swiotlb-panic-if-nslabs-is-too-small
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-pass-a-gfp_mask-argument-to-swiotlb_init_late
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-provide-swiotlb_init-variants-that-remap-the-buffer
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-remove-a-useless-return-in-swiotlb_init
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-remove-swiotlb_init_with_tbl-and-swiotlb_init_late_with_
  (jsc#PED-3259).
- Update patches.suse/swiotlb-remove-unused-fields-in-io_tlb_mem
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-rename-swiotlb_late_init_with_default_size
  (jsc#PED-3259).
- Update patches.suse/swiotlb-simplify-swiotlb_max_segment
  (jsc#PED-3259).
- Update patches.suse/swiotlb-split-up-the-global-swiotlb-lock
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-use-the-right-nslabs-derived-sizes-in-swiotlb_init_late
  (jsc#PED-3259).
- Update
  patches.suse/swiotlb-use-the-right-nslabs-value-in-swiotlb_init_remap
  (jsc#PED-3259).
- Update patches.suse/x86-remove-cruft-from-asm-dma-mapping.h
  (jsc#PED-3259).
- commit 2a9e12c
* Thu Mar  9 2023 jroedel@suse.de
- Refresh
  patches.suse/swiotlb-don-t-panic-when-the-swiotlb-buffer-can-t-be-allocated.
- Refresh
  patches.suse/swiotlb-provide-swiotlb_init-variants-that-remap-the-buffer.
- Refresh
  patches.suse/swiotlb-remove-swiotlb_init_with_tbl-and-swiotlb_init_late_with_.
- commit a424b40
* Thu Mar  9 2023 tiwai@suse.de
- Update patch reference for HID fixes (CVE-2023-25012 bsc#1207560)
- commit ac09f05
* Thu Mar  9 2023 tbogendoerfer@suse.de
- qede: avoid uninitialized entries in coal_entry array
  (bsc#1205846).
- qede: fix interrupt coalescing configuration (bsc#1205846).
- commit bcd42d6
* Thu Mar  9 2023 jslaby@suse.cz
- PCI: vmd: Fix secondary bus reset for Intel bridges (git-fixes).
- commit 5081b7b
* Thu Mar  9 2023 jslaby@suse.cz
- PCI/PTM: Add pci_suspend_ptm() and pci_resume_ptm() (git-fixes).
- commit da09379
* Thu Mar  9 2023 jslaby@suse.cz
- PCI: qcom: Fix host-init error handling (git-fixes).
- PCI: Unify delay handling for reset and resume (git-fixes).
- PCI/PM: Always disable PTM for all devices during suspend
  (git-fixes).
- PCI: mediatek-gen3: Fix refcount leak in
  mtk_pcie_init_irq_domains() (git-fixes).
- PCI/PM: Fix bridge_d3_blacklist Elo i2 overwrite of Gigabyte
  X299 (git-fixes).
- PCI: qcom: Fix pipe clock imbalance (git-fixes).
- PCI: mediatek-gen3: Assert resets to ensure expected init state
  (git-fixes).
- PCI: Avoid pci_dev_lock() AB/BA deadlock with
  sriov_numvfs_store() (git-fixes).
- PCI/PM: Avoid putting Elo i2 PCIe Ports in D3cold (git-fixes).
- PCI: xgene: Revert "PCI: xgene: Use inbound resources for setup"
  (git-fixes).
- PCI: aardvark: Check return value of generic_handle_domain_irq()
  when processing INTx IRQ (git-fixes).
- PCI: Reduce warnings on possible RW1C corruption (git-fixes).
- kABI: PCI: Reduce warnings on possible RW1C corruption (kabi).
- Refresh patches.suse/0001-kABI-more-hooks-for-PCI-changes.patch.
- PCI: aardvark: Fix link training (git-fixes).
- Refresh
  patches.suse/PCI-aardvark-Fix-checking-for-link-up-via-LTSSM-stat.patch.
- commit 3cab0bb
* Thu Mar  9 2023 jslaby@suse.cz
- blacklist.conf: add some PCI git-fixes
- commit 259b001
* Thu Mar  9 2023 tiwai@suse.de
- platform: x86: MLX_PLATFORM: select REGMAP instead of depending
  on it (git-fixes).
- commit b403668
* Thu Mar  9 2023 neilb@suse.de
- NFSv4.2: Fix a memory stomp in decode_attr_security_label
  (git-fixes).
- NFSv4.2: Clear FATTR4_WORD2_SECURITY_LABEL when done decoding
  (git-fixes).
- SUNRPC: Don't leak netobj memory when gss_read_proxy_verf()
  fails (git-fixes).
- NFSD: pass range end to vfs_fsync_range() instead of count
  (git-fixes).
- nfsd: don't call nfsd_file_put from client states seqfile
  display (git-fixes).
- NFSD: Finish converting the NFSv3 GETACL result encoder
  (git-fixes).
- NFSD: Finish converting the NFSv2 GETACL result encoder
  (git-fixes).
- nfs4: Fix kmemleak when allocate slot failed (git-fixes).
- NFSv4.2: Fixup CLONE dest file size for zero-length count
  (git-fixes).
- NFSv4: Retry LOCK on OLD_STATEID during delegation return
  (git-fixes).
- SUNRPC: Fix null-ptr-deref when xps sysfs alloc failed
  (git-fixes).
- NFSv4.1: We must always send RECLAIM_COMPLETE after a reboot
  (git-fixes).
- NFSv4.1: Handle RECLAIM_COMPLETE trunking errors (git-fixes).
- NFSv4: Fix a potential state reclaim deadlock (git-fixes).
- NFSv4/pNFS: Always return layout stats on layout return for
  flexfiles (git-fixes).
- NFSD: fix use-after-free on source server when doing
  inter-server copy (git-fixes).
- NFSD: Return nfserr_serverfault if splice_ok but buf->pages
  have data (git-fixes).
- NFSD: Fix handling of oversized NFSv4 COMPOUND requests
  (git-fixes).
- nfsd: Fix a memory leak in an error handling path (git-fixes).
- NFSv4/pnfs: Fix a use-after-free bug in open (git-fixes).
- NFSv4: Add an fattr allocation to _nfs4_discover_trunking()
  (git-fixes).
- NFSv4: Fix free of uninitialized nfs4_label on referral lookup
  (git-fixes).
- NFSv4: Don't hold the layoutget locks across multiple RPC calls
  (git-fixes).
- SUNRPC: Return true/false (not 1/0) from bool functions
  (git-fixes).
- NFS: Avoid writeback threads getting stuck in mempool_alloc()
  (git-fixes).
- NFS: nfsiod should not block forever in mempool_alloc()
  (git-fixes).
- commit 4c29b9b
* Thu Mar  9 2023 neilb@suse.de
- blacklist.conf: fixes for bugs we don't have
- commit afbbfc5
* Wed Mar  8 2023 pjakobsson@suse.de
- Update
  patches.suse/0929-malidp-Fix-NULL-vs-IS_ERR-checking.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 bsc#1208843
  CVE-2023-23004).
- commit 61251ad
* Wed Mar  8 2023 pjakobsson@suse.de
- malidp: Fix NULL vs IS_ERR() checking (bsc#1208843
  CVE-2023-23004).
- commit 87efba8
* Wed Mar  8 2023 mpdesouza@suse.com
- Delete
  patches.suse/livepatch-define-a-macro-for-new-api-identification.patch.
  This definition was used by kgraft codestreams (SLE12-SP3), but the
  livepatch support for such codestreams has ended.
- commit f5aeaad
* Wed Mar  8 2023 tiwai@suse.de
- drm/shmem-helper: Revert accidental non-GPL export (git-fixes).
- drm/i915: Remove unused variable (git-fixes).
- drm/i915/huc: always init the delayed load fence (git-fixes).
- commit a4167af
* Wed Mar  8 2023 tiwai@suse.de
- drm/i915: Don't use stolen memory for ring buffers with LLC
  (git-fixes).
- drm/shmem-helper: Fix locking for drm_gem_shmem_get_pages_sgt()
  (git-fixes).
- drm/amd/display: don't call dc_interrupt_set() for disabled
  crtcs (git-fixes).
- drm/vc4: hvs: SCALER_DISPBKGND_AUTOHS is only valid on HVS4
  (git-fixes).
- drm/vc4: dpi: Fix format mapping for RGB565 (git-fixes).
- drm/vc4: kms: Sort the CRTCs by output before assigning them
  (git-fixes).
- drm/bridge: ti-sn65dsi83: Fix delay after reset deassert to
  match spec (git-fixes).
- drm/i915: Move fd_install after last use of fence (git-fixes).
- drm/i915: Fix up locking around dumping requests lists
  (git-fixes).
- drm/i915: Fix request ref counting during error capture &
  debugfs dump (git-fixes).
- drm/amdgpu: Correct the power calcultion for Renior/Cezanne
  (git-fixes).
- drm/i915: Allow switching away via vga-switcheroo if
  uninitialized (git-fixes).
- drm/i915: Fix potential context UAFs (git-fixes).
- drm/amd: Delay removal of the firmware framebuffer (git-fixes).
- drm/i915/migrate: Account for the reserved_space (git-fixes).
- drm/amdgpu: fix mmhub register base coding error (git-fixes).
- drm/msm/a6xx: Fix speed-bin detection vs probe-defer
  (git-fixes).
- drm/ttm: fix undefined behavior in bit shift for
  TTM_TT_FLAG_PRIV_POPULATED (git-fixes).
- drm/vmwgfx: Fix race issue calling pin_user_pages (git-fixes).
- drm/display/dp_mst: Fix drm_dp_mst_add_affected_dsc_crtcs()
  return code (git-fixes).
- drm/display: Don't assume dual mode adaptors support i2c
  sub-addressing (git-fixes).
- drm/i915/dgfx: Keep PCI autosuspend control 'on' by default
  on all dGPU (git-fixes).
- drm/msm/dp: cleared DP_DOWNSPREAD_CTRL register before start
  link training (git-fixes).
- drm/i915/psr: Fix PSR_IMR/IIR field handling (git-fixes).
- drm/dp: Don't rewrite link config when setting phy test pattern
  (git-fixes).
- drm/meson: reorder driver deinit sequence to fix use-after-free
  bug (git-fixes).
- drm/vmwgfx: Fix memory leak in vmw_mksstat_add_ioctl()
  (git-fixes).
- drm/bochs: fix blanking (git-fixes).
- drm/dp_mst: fix drm_dp_dpcd_read return value checks
  (git-fixes).
- drm/virtio: Use appropriate atomic state in
  virtio_gpu_plane_cleanup_fb() (git-fixes).
- drm/virtio: Correct drm_gem_shmem_get_sg_table() error handling
  (git-fixes).
- drm/vc4: drv: Call component_unbind_all() (git-fixes).
- drm: bridge: adv7511: unregister cec i2c device after cec
  adapter (git-fixes).
- commit b147aab
* Wed Mar  8 2023 tiwai@suse.de
- amdgpu/nv.c: Corrected typo in the video capabilities resolution
  (git-fixes).
- ata: libata: fix NCQ autosense logic (git-fixes).
- commit 51c9b58
* Wed Mar  8 2023 tiwai@suse.de
- drm/i915: move a Kconfig symbol to unbreak the menu presentation
  (git-fixes).
- drm/msm/dpu: sc7180: add missing WB2 clock control (git-fixes).
- drm/msm/dsi: Allow 2 CTRLs on v2.5.0 (git-fixes).
- drm/msm/dpu: Remove num_enc from topology struct in favour of
  num_dsc (git-fixes).
- drm/msm/dpu: Reject topologies for which no DSC blocks are
  available (git-fixes).
- drm/msm/dpu: Wire up DSC mask for active CTL configuration
  (git-fixes).
- drm/msm/dpu: check for null return of devm_kzalloc() in
  dpu_writeback_init() (git-fixes).
- drm/tegra: firewall: Check for is_addr_reg existence in IMM
  check (git-fixes).
- drm/amdgpu: Use the sched from entity for amdgpu_cs trace
  (git-fixes).
- drm/amd/display: Conversion to bool not necessary (git-fixes).
- drm: exynos: dsi: Fix MIPI_DSI*_NO_* mode flags (git-fixes).
- drm/amd/display: fix duplicate assignments (git-fixes).
- drm/edid: fix parsing of 3D modes from HDMI VSDB (git-fixes).
- drm: mxsfb: DRM_IMX_LCDIF should depend on ARCH_MXC (git-fixes).
- drm/vmwgfx: Do not drop the reference to the handle too soon
  (git-fixes).
- drm/vmwgfx: Stop accessing buffer objects which failed init
  (git-fixes).
- drm/vc4: crtc: Increase setup cost in core clock calculation
  to handle extreme reduced blanking (git-fixes).
- drm/amd/display: fix cursor offset on rotation 180 (git-fixes).
- drm/i915: Avoid potential vm use-after-free (git-fixes).
- drm/i915: Remove __maybe_unused from mtl_info (git-fixes).
- drm/i915/migrate: fix corner case in CCS aux copying
  (git-fixes).
- drm/i915/dmc: Update DG2 DMC version to v2.08 (git-fixes).
- drm/i915/huc: fix leak of debug object in huc load fence on
  driver unload (git-fixes).
- drm/msm/mdp5: fix reading hw revision on db410c platform
  (git-fixes).
- drm/i915/pxp: use <> instead of "" for headers in include/
  (git-fixes).
- drm/amd/display: wait for vblank during pipe programming
  (git-fixes).
- drm/i915/huc: bump timeout for delayed load and reduce print
  verbosity (git-fixes).
- drm/bridge: it6505: Fix return value check for
  pm_runtime_get_sync (git-fixes).
- drm/msm/a6xx: Fix kvzalloc vs state_kcalloc usage (git-fixes).
- commit 640dc39
* Wed Mar  8 2023 tiwai@suse.de
- kABI compatibility workaround for efivars (git-fixes).
- commit b3d8cd8
* Wed Mar  8 2023 tiwai@suse.de
- mei: pxp: Use correct macros to initialize uuid_le (git-fixes).
- usb: typec: pd: Remove usb_suspend_supported sysfs from sink
  PDO (git-fixes).
- gpu: host1x: Fix mask for syncpoint increment register
  (git-fixes).
- ASoC: topology: Properly access value coming from topology file
  (git-fixes).
- ASoC: Intel: avs: Use min_t instead of min with cast
  (git-fixes).
- Bluetooth: hci_conn: Refactor hci_bind_bis() since it always
  succeeds (git-fixes).
- ACPI: resource: Do IRQ override on all TongFang GMxRGxx
  (git-fixes).
- ACPI: resource: Add IRQ overrides for MAINGEAR Vector Pro 2
  models (git-fixes).
- x86/acpi/boot: Do not register processors that cannot be
  onlined for x2APIC (git-fixes).
- dmaengine: tegra: Fix memory leak in terminate_all()
  (git-fixes).
- PCI: vmd: Fix secondary bus reset for Intel bridges (git-fixes).
- ima: Fix memory leak in __ima_inode_hash() (git-fixes).
- soc/tegra: cbb: Use correct master_id mask for CBB NOC in
  Tegra194 (git-fixes).
- dma-buf: Use dma_fence_unwrap_for_each when importing fences
  (git-fixes).
- efi: efivars: Fix variable writes with unsupported
  query_variable_store() (git-fixes).
- efi: efivars: Fix variable writes without query_variable_store()
  (git-fixes).
- efi: ssdt: Don't free memory if ACPI table was loaded
  successfully (git-fixes).
- dma-mapping: reformat comment to suppress htmldoc warning
  (git-fixes).
- efi/x86: libstub: Fix typo in __efi64_argmap* name (git-fixes).
- dma-buf: cleanup kerneldoc of removed component (git-fixes).
- commit 6c0e94f
* Wed Mar  8 2023 dwagner@suse.de
- nvme-auth: fix an error code in
  nvme_auth_process_dhchap_challenge() (bsc#1202633).
- nvme-auth: don't use NVMe status codes (bsc#1202633).
- nvme-auth: mark nvme_auth_wq static (bsc#1202633).
- nvme-auth: use workqueue dedicated to authentication
  (bsc#1202633).
- nvme-auth: fix smatch warning complaints (bsc#1202633).
- nvme-auth: have dhchap_auth_work wait for queues auth to
  complete (bsc#1202633).
- nvme-auth: remove redundant auth_work flush (bsc#1202633).
- nvme-auth: convert dhchap_auth_list to an array (bsc#1202633).
- nvme-auth: check chap ctrl_key once constructed (bsc#1202633).
- nvme-auth: no need to reset chap contexts on re-authentication
  (bsc#1202633).
- nvme-auth: remove redundant deallocations (bsc#1202633).
- nvme-auth: clear sensitive info right after authentication
  completes (bsc#1202633).
- nvme-auth: guarantee dhchap buffers under memory pressure
  (bsc#1202633).
- nvme-auth: don't keep long lived 4k dhchap buffer (bsc#1202633).
- nvme-auth: remove redundant if statement (bsc#1202633).
- nvme-auth: don't override ctrl keys before validation
  (bsc#1202633).
- nvme-auth: don't ignore key generation failures when
  initializing ctrl keys (bsc#1202633).
- nvme-auth: remove redundant buffer deallocations (bsc#1202633).
- nvme-auth: don't re-authenticate if the controller is not LIVE
  (bsc#1202633).
- nvme-auth: remove symbol export from nvme_auth_reset
  (bsc#1202633).
- nvme-auth: rename authentication work elements (bsc#1202633).
- nvme-auth: rename __nvme_auth_[reset|free] to
  nvme_auth[reset|free]_dhchap (bsc#1202633).
- commit 51f626f
* Wed Mar  8 2023 jack@suse.cz
- block: do not reverse request order when flushing plug list
  (bsc#1208588 bsc#1208128).
- commit cb29e6d
* Wed Mar  8 2023 msuchanek@suse.de
- Do not sign the vanilla kernel (bsc#1209008).
- commit cee4d89
* Wed Mar  8 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit 086f5da
* Wed Mar  8 2023 dwagner@suse.de
- nvme-auth: fix an error code in
  nvme_auth_process_dhchap_challenge() (bsc#1202633).
- nvme-auth: don't use NVMe status codes (bsc#1202633).
- nvme-auth: mark nvme_auth_wq static (bsc#1202633).
- nvme-auth: use workqueue dedicated to authentication
  (bsc#1202633).
- nvme-auth: fix smatch warning complaints (bsc#1202633).
- nvme-auth: have dhchap_auth_work wait for queues auth to
  complete (bsc#1202633).
- nvme-auth: remove redundant auth_work flush (bsc#1202633).
- nvme-auth: convert dhchap_auth_list to an array (bsc#1202633).
- nvme-auth: check chap ctrl_key once constructed (bsc#1202633).
- nvme-auth: no need to reset chap contexts on re-authentication
  (bsc#1202633).
- nvme-auth: remove redundant deallocations (bsc#1202633).
- nvme-auth: clear sensitive info right after authentication
  completes (bsc#1202633).
- nvme-auth: guarantee dhchap buffers under memory pressure
  (bsc#1202633).
- nvme-auth: don't keep long lived 4k dhchap buffer (bsc#1202633).
- nvme-auth: remove redundant if statement (bsc#1202633).
- nvme-auth: don't override ctrl keys before validation
  (bsc#1202633).
- nvme-auth: don't ignore key generation failures when
  initializing ctrl keys (bsc#1202633).
- nvme-auth: remove redundant buffer deallocations (bsc#1202633).
- nvme-auth: don't re-authenticate if the controller is not LIVE
  (bsc#1202633).
- nvme-auth: remove symbol export from nvme_auth_reset
  (bsc#1202633).
- nvme-auth: rename authentication work elements (bsc#1202633).
- nvme-auth: rename __nvme_auth_[reset|free] to
  nvme_auth[reset|free]_dhchap (bsc#1202633).
- commit 67a47c5
* Wed Mar  8 2023 oneukum@suse.com
- blacklist.conf: kABI, cosmetic
- commit f03aa8f
* Wed Mar  8 2023 pjakobsson@suse.de
- Update
  patches.suse/0169-drm-virtio-Fix-NULL-vs-IS_ERR-checking-in-virtio_gpu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849
  bsc#1208776 CVE-2023-22998).
- commit 9a79dee
* Wed Mar  8 2023 tiwai@suse.de
- Add cherry-picked id for nouveau patch
- commit d18ab1d
* Wed Mar  8 2023 neilb@suse.de
- VFS: filename_create(): fix incorrect intent (bsc#1197534).
- commit a961e32
* Wed Mar  8 2023 neilb@suse.de
- KABI FIX FOR: NFSv4.1 query for fs_location attr on a new file
  system (Never, kabi).
- commit f615f65
* Tue Mar  7 2023 palcantara@suse.de
- update internal module version number for cifs.ko (bsc#1193629).
- commit c325c43
* Tue Mar  7 2023 pjakobsson@suse.de
- drm/virtio: Fix NULL vs IS_ERR checking in
  virtio_gpu_object_shmem_init (bsc#1208776 CVE-2023-22998).
- commit cd9c832
* Tue Mar  7 2023 shung-hsi.yu@suse.com
- rpm/group-source-files.pl: Deal with {pre,post}fixed / in location
  When the source file location provided with -L is either prefixed or
  postfixed with forward slash, the script get stuck in a infinite loop
  inside calc_dirs() where $path is an empty string.
  user@localhost:/tmp> perl "$HOME/group-source-files.pl" -D devel.files -N nondevel.files -L /usr/src/linux-5.14.21-150500.41/
  ...
  path = /usr/src/linux-5.14.21-150500.41/Documentation/Kconfig
  path = /usr/src/linux-5.14.21-150500.41/Documentation
  path = /usr/src/linux-5.14.21-150500.41
  path = /usr/src
  path = /usr
  path =
  path =
  path =
  ... # Stuck in an infinite loop
  This workarounds the issue by breaking out the loop once path is an
  empty string. For a proper fix we'd want something that
  filesystem-aware, but this workaround should be enough for the rare
  occation that this script is ran manually.
  Link: http://mailman.suse.de/mlarch/SuSE/kernel/2023/kernel.2023.03/msg00024.html
- commit 6d65136
* Tue Mar  7 2023 oneukum@suse.com
- media: imx: imx7-media-csi: fix missing clk_disable_unprepare()
  in imx7_csi_init() (git-fixes).
- commit e70e8d4
* Tue Mar  7 2023 oneukum@suse.com
- media: platform: ti: Add missing check for devm_regulator_get
  (git-fixes).
- commit 08661ee
* Tue Mar  7 2023 tiwai@suse.de
- phy: tegra: xusb: Fix return value of tegra_xusb_find_port_node
  function (CVE-2023-23000 bsc#1208816).
- commit 4632142
* Tue Mar  7 2023 tiwai@suse.de
- Update patch reference for media fix (CVE-2023-1118 bsc#1208837)
- commit 778b9f2
* Tue Mar  7 2023 oneukum@suse.com
- media: ti: cal: fix possible memory leak in cal_ctx_create()
  (git-fixes).
- commit 2ff7792
* Tue Mar  7 2023 oneukum@suse.com
- struct uvc_device move flush_status  new member to end
  (git-fixes).
- commit 8ba3f50
* Tue Mar  7 2023 oneukum@suse.com
- media: uvcvideo: Fix race condition with usb_kill_urb
  (git-fixes).
- commit 9dd8ca0
* Tue Mar  7 2023 oneukum@suse.com
- media: coda: Add check for kmalloc (git-fixes).
- commit 8c98f78
* Tue Mar  7 2023 dwagner@suse.de
- scsi: qla2xxx: Add option to disable FC2 Target support
  (bsc#1198438 bsc#1206103).
- Delete
  patches.suse/revert-scsi-qla2xxx-Changes-to-support-FCP2-Target.patch.
- commit 2e3b139
* Tue Mar  7 2023 oneukum@suse.com
- media: coda: Add check for dcoda_iram_alloc (git-fixes).
- commit 705609f
* Tue Mar  7 2023 dwagner@suse.de
- scsi: qla2xxx: Add option to disable FC2 Target support
  (bsc#1198438 bsc#1206103).
- Delete
  patches.suse/revert-scsi-qla2xxx-Changes-to-support-FCP2-Target.patch.
- commit 9b1b9b9
* Tue Mar  7 2023 oneukum@suse.com
- blacklist.conf: cosmetic, not a bug fix
- commit a1eb9b6
* Tue Mar  7 2023 mkubecek@suse.cz
- net/ulp: use consistent error code when blocking ULP
  (CVE-2023-0461 bsc#1208787).
- net/ulp: prevent ULP without clone op from entering the LISTEN
  status (CVE-2023-0461 bsc#1208787).
- commit bad820e
* Tue Mar  7 2023 jlee@suse.com
- Revert "Update config files. (bsc#1198101)"
  This reverts commit 924d3f9978137dc25cb49a295c832a32144bc64e.
  (bsc#1198101, bsc#1208976)
  Joey Lee:
- This is a my mistake for sending the
  LOCK_DOWN_KERNEL_FORCE_INTEGRITY=y change to 15-SP5 branch
  instead of vanilla flavor. So I reverted the change here.
- commit d606892
* Tue Mar  7 2023 neilb@suse.de
- KABI FIX FOR: NFSD: Have legacy NFSD WRITE decoders use
  xdr_stream_subsegment() (git-fixes).
- commit bd901a6
* Tue Mar  7 2023 neilb@suse.de
- KABI FIX FOR: NFS: Further optimisations for 'ls -l'
  (git-fixes).
- commit 894aa13
* Tue Mar  7 2023 neilb@suse.de
- SUNRPC: Fix socket waits for write buffer space (git-fixes).
- NFSv4: Protect the state recovery thread against direct reclaim
  (git-fixes).
- NFSv4.2: fix reference count leaks in _nfs42_proc_copy_notify()
  (git-fixes).
- NFSD: Fix nfsd_breaker_owns_lease() return values (git-fixes).
- NFSD: COMMIT operations must not return NFS?ERR_INVAL
  (git-fixes).
- sunrpc: Fix potential race conditions in
  rpc_sysfs_xprt_state_change() (git-fixes).
- net/sunrpc: fix reference count leaks in
  rpc_sysfs_xprt_state_change (git-fixes).
- SUNRPC allow for unspecified transport time in rpc_clnt_add_xprt
  (git-fixes).
- NFSv4 handle port presence in fs_location server string
  (git-fixes).
- NFSv4 expose nfs_parse_server_name function (git-fixes).
- NFSv4.1 query for fs_location attr on a new file system
  (git-fixes).
- NFSv4 store server support for fs_location attribute
  (git-fixes).
- NFSv4 remove zero number of fs_locations entries error check
  (git-fixes).
- NFSv4.1: Fix uninitialised variable in devicenotify (git-fixes).
- nfs: nfs4clinet: check the return value of kstrdup()
  (git-fixes).
- NFSv4 only print the label when its queried (git-fixes).
- NFSD: De-duplicate net_generic(nf->nf_net, nfsd_net_id)
  (git-fixes).
- NFSD: Have legacy NFSD WRITE decoders use
  xdr_stream_subsegment() (git-fixes).
- NFS: Create a new nfs_alloc_fattr_with_label() function
  (git-fixes).
- NFS: Always initialise fattr->label in nfs_fattr_alloc()
  (git-fixes).
- NFS: Don't allocate nfs_fattr on the stack in __nfs42_ssc_open()
  (git-fixes).
- NFS: Further optimisations for 'ls -l' (git-fixes).
- commit fc8bee1
* Tue Mar  7 2023 neilb@suse.de
- blacklist.conf: NFS updates
- commit 424a052
* Mon Mar  6 2023 tonyj@suse.de
- selftests/powerpc: Account for offline cpus in perf-hwbreak test
  (bsc#1206232).
- selftests/powerpc: Bump up rlimit for perf-hwbreak test
  (bsc#1206232).
- selftests/powerpc: Move perror closer to its use (bsc#1206232).
- commit cc3db6d
* Mon Mar  6 2023 palcantara@suse.de
- cifs: prevent data race in cifs_reconnect_tcon() (bsc#1193629).
- commit 6b88ff8
* Mon Mar  6 2023 palcantara@suse.de
- cifs: improve checking of DFS links over
  STATUS_OBJECT_NAME_INVALID (git-fixes).
- commit 2d97db4
* Mon Mar  6 2023 palcantara@suse.de
- cifs: reuse cifs_match_ipaddr for comparison of dstaddr too
  (bsc#1193629).
- commit aef7d88
* Mon Mar  6 2023 palcantara@suse.de
- cifs: match even the scope id for ipv6 addresses (bsc#1193629).
- commit a3d06fc
* Mon Mar  6 2023 palcantara@suse.de
- cifs: update ip_addr for ses only for primary chan setup
  (bsc#1193629).
- commit 9b0633d
* Mon Mar  6 2023 palcantara@suse.de
- cifs: use tcon allocation functions even for dummy tcon
  (git-fixes).
- commit 4cb2b33
* Mon Mar  6 2023 palcantara@suse.de
- cifs: use the least loaded channel for sending requests
  (bsc#1193629).
- commit cfdb032
* Mon Mar  6 2023 palcantara@suse.de
- smb3: Replace smb2pdu 1-element arrays with flex-arrays
  (bsc#1193629).
- commit 8183847
* Mon Mar  6 2023 msuchanek@suse.de
- selftests/ftrace: Convert tracer tests to use 'requires'
  to specify program dependency (bsc#1204993 ltc#200103).
- selftests/ftrace: Add check for ping command for trigger tests
  (bsc#1204993 ltc#200103).
- commit 11e08ba
* Mon Mar  6 2023 palcantara@suse.de
- cifs: get rid of dns resolve worker (bsc#1193629).
- commit 2cb37b3
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Fix warning and UAF when destroy the MR list (git-fixes).
- commit 5fa5f21
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Fix lost destroy smbd connection when MR allocate failed
  (git-fixes).
- commit f517a17
* Mon Mar  6 2023 palcantara@suse.de
- cifs: return a single-use cfid if we did not get a lease
  (bsc#1193629).
- commit 90e06b0
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Check the lease context if we actually got a lease
  (bsc#1193629).
- commit 8e90bef
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Replace remaining 1-element arrays (bsc#1193629).
- commit a459269
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Convert struct fealist away from 1-element array
  (bsc#1193629).
- commit da04015
* Mon Mar  6 2023 palcantara@suse.de
- cifs: fix mount on old smb servers (boo#1206935).
- commit 1f96ba2
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Fix uninitialized memory reads for oparms.mode
  (bsc#1193629).
- commit 54e33cf
* Mon Mar  6 2023 palcantara@suse.de
- cifs: remove unneeded 2bytes of padding from smb2 tree connect
  (bsc#1193629).
- commit be0bd63
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Fix uninitialized memory read in smb3_qfs_tcon()
  (bsc#1193629).
- commit 0882d15
* Mon Mar  6 2023 palcantara@suse.de
- cifs: don't try to use rdma offload on encrypted connections
  (bsc#1193629).
- commit e4e0061
* Mon Mar  6 2023 palcantara@suse.de
- cifs: split out smb3_use_rdma_offload() helper (bsc#1193629).
- commit 04a4e24
* Mon Mar  6 2023 palcantara@suse.de
- cifs: introduce cifs_io_parms in smb2_async_writev()
  (bsc#1193629).
- commit 3e469a4
* Mon Mar  6 2023 palcantara@suse.de
- cifs: get rid of unneeded conditional in cifs_get_num_sgs()
  (bsc#1193629).
- commit 406d57e
* Mon Mar  6 2023 palcantara@suse.de
- cifs: prevent data race in smb2_reconnect() (bsc#1193629).
- commit 57b5cfd
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Get rid of unneeded conditional in the smb2_get_aead_req()
  (bsc#1193629).
- commit 1affc8c
* Mon Mar  6 2023 palcantara@suse.de
- cifs: print last update time for interface list (bsc#1193629).
- commit 77e9288
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Replace zero-length arrays with flexible-array members
  (bsc#1193629).
- commit ccb5ba6
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Use kstrtobool() instead of strtobool() (bsc#1193629).
- commit 782ea60
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Fix use-after-free in rdata->read_into_pages()
  (git-fixes).
- commit 107b2e5
* Mon Mar  6 2023 palcantara@suse.de
- cifs: Fix oops due to uncleared server->smbd_conn in reconnect
  (git-fixes).
- commit fe84ac1
* Mon Mar  6 2023 msuchanek@suse.de
- kernel-module-subpackage: Fix expansion with -b parameter (bsc#1208179).
  When -b is specified the script is prefixed with KMP_NEEDS_MKINITRD=1
  which sets the variable for a simple command.
  However, the script is no longer a simple command. Export the variable
  instead.
- commit 152a069
* Mon Mar  6 2023 tbogendoerfer@suse.de
- Refresh
  patches.suse/ice-Do-not-skip-not-enabled-queues-in-ice_vc_dis_qs_.patch.
- Refresh
  patches.suse/ice-clear-stale-Tx-queue-settings-before-configuring.patch.
  Fix bug introduced by broken backport (bsc#1208628).
- commit d902e3e
* Mon Mar  6 2023 tbogendoerfer@suse.de
- Refresh
  patches.suse/ice-Do-not-skip-not-enabled-queues-in-ice_vc_dis_qs_.patch.
- Refresh
  patches.suse/ice-clear-stale-Tx-queue-settings-before-configuring.patch.
  Fix bug introduced by broken backport (bsc#1208628).
- commit d43449e
* Mon Mar  6 2023 tiwai@suse.de
- Move upstreamed i915 and media fixes into sorted section
- commit f79acc7
* Mon Mar  6 2023 jack@suse.cz
- ocfs2: Fix data corruption after failed write (bsc#1208542).
- commit 92f0180
* Mon Mar  6 2023 dwagner@suse.de
- nvme-fabrics: show well known discovery name (bsc#1200054).
- commit ae66fb5
* Mon Mar  6 2023 dwagner@suse.de
- nvme-fabrics: show well known discovery name (bsc#1200054).
- commit 0dc6ff3
* Mon Mar  6 2023 ohering@suse.de
- hv_netvsc: Check status in SEND_RNDIS_PKT completion message
  (git-fixes).
- commit cf78232
* Mon Mar  6 2023 tiwai@suse.de
- ASoC: mchp-spdifrx: Fix uninitialized use of mr in
  mchp_spdifrx_hw_params() (git-fixes).
- commit ef46bcf
* Mon Mar  6 2023 tiwai@suse.de
- ALSA: ice1712: Delete unreachable code in aureon_add_controls()
  (git-fixes).
- ALSA: ice1712: Do not left ice->gpio_mutex locked in
  aureon_add_controls() (git-fixes).
- ASoC: adau7118: don't disable regulators on device unbind
  (git-fixes).
- watchdog: sbsa_wdog: Make sure the timeout programming is
  within the limits (git-fixes).
- watchdog: pcwd_usb: Fix attempting to access uninitialized
  memory (git-fixes).
- watchdog: Fix kmemleak in watchdog_cdev_register (git-fixes).
- watchdog: at91sam9_wdt: use devm_request_irq to avoid missing
  free_irq() in error path (git-fixes).
- vc_screen: don't clobber return value in vcs_read (git-fixes).
- vc_screen: modify vcs_size() handling in vcs_read() (git-fixes).
- wifi: ath11k: allow system suspend to survive ath11k
  (git-fixes).
- vdpa_sim: not reset state in vdpasim_queue_ready (git-fixes).
- VMCI: check context->notify_page after call to
  get_user_pages_fast() to avoid GPF (git-fixes).
- tty: serial: fsl_lpuart: Fix the wrong RXWATER setting for rx
  dma case (git-fixes).
- tty: serial: qcom-geni-serial: stop operations in progress at
  shutdown (git-fixes).
- tty: serial: fsl_lpuart: clear LPUART Status Register in
  lpuart32_shutdown() (git-fixes).
- USB: serial: option: add support for VW/Skoda "Carstick LTE"
  (git-fixes).
- usb: dwc3: pci: add support for the Intel Meteor Lake-M
  (git-fixes).
- usb: max-3421: Fix setting of I/O pins (git-fixes).
- usb: musb: mediatek: don't unregister something that wasn't
  registered (git-fixes).
- USB: core: Don't hold device lock while reading the
  "descriptors" sysfs file (git-fixes).
- usb: early: xhci-dbc: Fix a potential out-of-bound memory access
  (git-fixes).
- usb: gadget: fusb300_udc: free irq on the error path in
  fusb300_probe() (git-fixes).
- wifi: mac80211: make rate u32 in sta_set_rate_info_rx()
  (git-fixes).
- wifi: cfg80211: Fix use after free for wext (git-fixes).
- wifi: ath11k: Fix memory leak in ath11k_peer_rx_frag_setup
  (git-fixes).
- wifi: ath9k: htc_hst: free skb in ath9k_htc_rx_msg() if there
  is no callback function (git-fixes).
- wifi: mwifiex: fix loop iterator in
  mwifiex_update_ampdu_txwinsize() (git-fixes).
- wifi: mwifiex: Add missing compatible string for SD8787
  (git-fixes).
- wifi: iwl4965: Add missing check for
  create_singlethread_workqueue() (git-fixes).
- wifi: iwl3945: Add missing check for
  create_singlethread_workqueue (git-fixes).
- wifi: cfg80211: Fix extended KCK key length check in
  nl80211_set_rekey_data() (git-fixes).
- wifi: orinoco: check return value of hermes_write_wordrec()
  (git-fixes).
- wifi: rtl8xxxu: Fix memory leaks with RTL8723BU, RTL8192EU
  (git-fixes).
- wifi: rtw89: Add missing check for alloc_workqueue (git-fixes).
- wifi: wl3501_cs: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: libertas: cmdresp: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: libertas: main: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: libertas: if_usb: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: libertas_tf: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: brcmfmac: unmap dma buffer in brcmf_msgbuf_alloc_pktid()
  (git-fixes).
- wifi: brcmfmac: fix potential memory leak in
  brcmf_netdev_start_xmit() (git-fixes).
- wifi: wilc1000: fix potential memory leak in wilc_mac_xmit()
  (git-fixes).
- wifi: ipw2200: fix memory leak in ipw_wdev_init() (git-fixes).
- wifi: ipw2x00: don't call dev_kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: rtlwifi: Fix global-out-of-bounds bug in
  _rtl8812ae_phy_set_txpower_limit() (git-fixes).
- wifi: rtl8xxxu: don't call dev_kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: libertas: fix memory leak in lbs_init_adapter()
  (git-fixes).
- wifi: iwlegacy: common: don't call dev_kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: rtlwifi: rtl8723be: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: rtlwifi: rtl8188ee: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: rtlwifi: rtl8821ae: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- wifi: rsi: Fix memory leak in rsi_coex_attach() (git-fixes).
- commit 795b424
* Mon Mar  6 2023 tiwai@suse.de
- thermal: intel: BXT_PMIC: select REGMAP instead of depending
  on it (git-fixes).
- thermal: intel: quark_dts: fix error pointer dereference
  (git-fixes).
- rtc: allow rtc_read_alarm without read_alarm callback
  (git-fixes).
- rtc: pm8xxx: fix set-alarm race (git-fixes).
- rtc: sun6i: Always export the internal oscillator (git-fixes).
- spi: tegra210-quad: Fix validate combined sequence (git-fixes).
- nfc: fix memory leak of se_io context in nfc_genl_se_io
  (git-fixes).
- remoteproc: qcom_q6v5_mss: Use a carveout to authenticate
  modem headers (git-fixes).
- remoteproc/mtk_scp: Move clk ops outside send_lock (git-fixes).
- mtd: rawnand: fsl_elbc: Propagate HW ECC settings to HW
  (git-fixes).
- mtd: rawnand: sunxi: Fix the size of the last OOB region
  (git-fixes).
- mtd: rawnand: sunxi: Clean up chips after failed init
  (git-fixes).
- mtd: spi-nor: Fix shift-out-of-bounds in spi_nor_set_erase_type
  (git-fixes).
- mtd: spi-nor: spansion: Consider reserved bits in CFR5 register
  (git-fixes).
- mtd: spi-nor: core: fix implicit declaration warning
  (git-fixes).
- mtd: spi-nor: sfdp: Fix index value for SCCR dwords (git-fixes).
- mtd: dataflash: remove duplicate SPI ID table (git-fixes).
- soundwire: cadence: Don't overflow the command FIFOs
  (git-fixes).
- phy: rockchip-typec: fix tcphy_get_mode error case (git-fixes).
- PCI: switchtec: Return -EFAULT for copy_to_user() errors
  (git-fixes).
- PCI: Fix dropping valid root bus resources with .end = zero
  (git-fixes).
- PCI/PM: Observe reset delay irrespective of bridge_d3
  (git-fixes).
- PCI/IOV: Enlarge virtfn sysfs name buffer (git-fixes).
- PCI: hotplug: Allow marking devices as disconnected during
  bind/unbind (git-fixes).
- serial: fsl_lpuart: fix RS485 RTS polariy inverse issue
  (git-fixes).
- serial: tegra: Add missing clk_disable_unprepare() in
  tegra_uart_hw_init() (git-fixes).
- tty: serial: fsl_lpuart: disable Rx/Tx DMA in
  lpuart32_shutdown() (git-fixes).
- printf: fix errname.c list (git-fixes).
- pinctrl: mediatek: Initialize variable *buf to zero (git-fixes).
- pinctrl: rockchip: Fix refcount leak in
  rockchip_pinctrl_parse_groups (git-fixes).
- pinctrl: stm32: Fix refcount leak in stm32_pctrl_get_irq_domain
  (git-fixes).
- pinctrl: qcom: pinctrl-msm8976: Correct function names for
  wcss pins (git-fixes).
- spi: synquacer: Fix timeout handling in
  synquacer_spi_transfer_one() (git-fixes).
- spi: bcm63xx-hsspi: Endianness fix for ARM based SoC
  (git-fixes).
- sefltests: netdevsim: wait for devlink instance after netns
  removal (git-fixes).
- thermal/drivers/hisi: Drop second sensor hi3660 (git-fixes).
- thermal: intel: powerclamp: Fix cur_state for multi package
  system (git-fixes).
- thermal/drivers/tsens: limit num_sensors to 9 for msm8939
  (git-fixes).
- thermal/drivers/tsens: fix slope values for msm8939 (git-fixes).
- thermal/drivers/tsens: Sort out msm8976 vs msm8956 data
  (git-fixes).
- thermal/drivers/tsens: Drop msm8976-specific defines
  (git-fixes).
- net/rose: Fix to not accept on connected socket (git-fixes).
- platform/x86: touchscreen_dmi: Add Chuwi Vi8 (CWI501) DMI match
  (git-fixes).
- platform/x86: amd-pmc: Correct usage of SMU version (git-fixes).
- selftest/lkdtm: Skip stack-entropy test if lkdtm is not
  available (git-fixes).
- platform/x86: amd-pmc: Fix compilation when CONFIG_DEBUGFS is
  disabled (git-fixes).
- platform/x86: amd-pmc: Export Idlemask values based on the APU
  (git-fixes).
- commit 14a6c6a
* Mon Mar  6 2023 tiwai@suse.de
- media: saa7134: Use video_unregister_device for radio_dev
  (git-fixes).
- media: usb: siano: Fix use after free bugs caused by
  do_submit_urb (git-fixes).
- media: i2c: ov7670: 0 instead of -EINVAL was returned
  (git-fixes).
- media: rc: Fix use-after-free bugs caused by ene_tx_irqsim()
  (git-fixes).
- media: v4l2-jpeg: ignore the unknown APP14 marker (git-fixes).
- media: v4l2-jpeg: correct the skip count in
  jpeg_parse_app14_data (git-fixes).
- media: ipu3-cio2: Fix PM runtime usage_count in driver unbind
  (git-fixes).
- media: i2c: ov772x: Fix memleak in ov772x_probe() (git-fixes).
- media: ov5675: Fix memleak in ov5675_init_controls()
  (git-fixes).
- media: ov2740: Fix memleak in ov2740_init_controls()
  (git-fixes).
- media: max9286: Fix memleak in max9286_v4l2_register()
  (git-fixes).
- Input: iqs626a - drop unused device node references (git-fixes).
- Input: ads7846 - don't check penirq immediately for 7845
  (git-fixes).
- Input: ads7846 - always set last command to PWRDOWN (git-fixes).
- Input: ads7846 - don't report pressure for ads7845 (git-fixes).
- Input: iqs269a - configure device with a single block write
  (git-fixes).
- Input: iqs269a - increase interrupt handler return delay
  (git-fixes).
- Input: iqs269a - drop unused device node references (git-fixes).
- i2c: designware: fix i2c_dw_clk_rate() return size to be u32
  (git-fixes).
- iio: light: tsl2563: Do not hardcode interrupt trigger type
  (git-fixes).
- misc/mei/hdcp: Use correct macros to initialize uuid_le
  (git-fixes).
- misc: enclosure: Fix doc for enclosure_find() (git-fixes).
- lib/zlib: remove redundation assignement of avail_in
  dfltcc_gdht() (git-fixes).
- leds: led-core: Fix refcount leak in of_led_get() (git-fixes).
- mfd: pcf50633-adc: Fix potential memleak in
  pcf50633_adc_async_read() (git-fixes).
- mfd: cs5535: Don't build on UML (git-fixes).
- gpu: host1x: Don't skip assigning syncpoints to channels
  (git-fixes).
- gpu: ipu-v3: common: Add of_node_put() for reference returned
  by of_graph_get_port_by_id() (git-fixes).
- hwmon: (mlxreg-fan) Return zero speed for broken fan
  (git-fixes).
- hwmon: (ltc2945) Handle error case in ltc2945_value_store
  (git-fixes).
- hwmon: (ftsteutates) Fix scaling of measurements (git-fixes).
- Revert "HID: logitech-hidpp: add a module parameter to keep
  firmware gestures" (git-fixes).
- hid: bigben_probe(): validate report count (git-fixes).
- HID: bigben: use spinlock to safely schedule workers
  (git-fixes).
- HID: bigben_worker() remove unneeded check on report_field
  (git-fixes).
- HID: bigben: use spinlock to protect concurrent accesses
  (git-fixes).
- HID: asus: use spinlock to safely schedule workers (git-fixes).
- HID: asus: use spinlock to protect concurrent accesses
  (git-fixes).
- gpio: tegra186: remove unneeded loop in
  tegra186_gpio_init_route_mapping() (git-fixes).
- lib/mpi: Fix buffer overrun when SG is too long (git-fixes).
- leds: led-class: Add missing put_device() to led_put()
  (git-fixes).
- mmc: jz4740: Work around bug on JZ4760(B) (git-fixes).
- mmc: mmc_spi: fix error handling in mmc_spi_probe() (git-fixes).
- mmc: sdio: fix possible resource leaks in some error paths
  (git-fixes).
- HID: core: Fix deadloop in hid_apply_multiplier (git-fixes).
- HID: elecom: add support for TrackBall 056E:011C (git-fixes).
- staging: mt7621-dts: change palmbus address to lower case
  (git-fixes).
- commit ed4a4d9
* Mon Mar  6 2023 tiwai@suse.de
- drm/i915: Don't use BAR mappings for ring buffers with LLC
  (git-fixes).
- dt-bindings: hwlock: sun6i: Add missing #hwlock-cells
  (git-fixes).
- dt-bindings: input: iqs626a: Redefine trackpad property types
  (git-fixes).
- dt-bindings: power: supply: pm8941-coincell: Don't require
  charging properties (git-fixes).
- firmware: coreboot: Remove GOOGLE_COREBOOT_TABLE_ACPI/OF
  Kconfig entries (git-fixes).
- firmware: dmi-sysfs: Fix null-ptr-deref in
  dmi_sysfs_register_handle (git-fixes).
- firmware: stratix10-svc: add missing gen_pool_destroy() in
  stratix10_svc_drv_probe() (git-fixes).
- eeprom: idt_89hpesx: Fix error handling in idt_init()
  (git-fixes).
- dt-bindings: usb: amlogic,meson-g12a-usb-ctrl: make G12A
  usb3-phy0 optional (git-fixes).
- drm/amdgpu: fix enum odm_combine_mode mismatch (git-fixes).
- drm/amd/display: reduce else-if to else in
  dcn10_blank_pixel_data() (git-fixes).
- drm/msm/dpu: set pdpu->is_rt_pipe early in
  dpu_plane_sspp_atomic_update() (git-fixes).
- drm/msm/mdp5: Add check for kzalloc (git-fixes).
- drm/msm/dpu: Add check for pstates (git-fixes).
- drm/msm/dpu: Add check for cstate (git-fixes).
- drm/msm/dpu: drop stale comment from struct dpu_mdp_cfg doc
  (git-fixes).
- drm/msm: use strscpy instead of strncpy (git-fixes).
- drm/msm/hdmi: Add missing check for alloc_ordered_workqueue
  (git-fixes).
- dt-bindings: msm: dsi-controller-main: Add vdd* descriptions
  back in (git-fixes).
- drm/msm/dpu: Disallow unallocated resources to be returned
  (git-fixes).
- drm/msm/gem: Add check for kmalloc (git-fixes).
- drm/msm: clean event_thread->worker in case of an error
  (git-fixes).
- drm/msm/adreno: Fix null ptr access in adreno_gpu_cleanup()
  (git-fixes).
- drm/mediatek: Clean dangling pointer on bind error path
  (git-fixes).
- drm/mediatek: mtk_drm_crtc: Add checks for devm_kcalloc
  (git-fixes).
- drm/mediatek: Drop unbalanced obj unref (git-fixes).
- drm/mediatek: Use NULL instead of 0 for NULL pointer
  (git-fixes).
- drm/mediatek: dsi: Reduce the time of dsi from LP11 to sending
  cmd (git-fixes).
- drm/mipi-dsi: Fix byte order of 16-bit DCS set/get brightness
  (git-fixes).
- drm/bridge: lt9611: pass a pointer to the of node (git-fixes).
- drm/bridge: lt9611: fix clock calculation (git-fixes).
- drm/bridge: lt9611: fix programming of video modes (git-fixes).
- drm/bridge: lt9611: fix polarity programming (git-fixes).
- drm/bridge: lt9611: fix HPD reenablement (git-fixes).
- drm/bridge: lt9611: fix sleep mode setup (git-fixes).
- drm/vc4: hdmi: Correct interlaced timings again (git-fixes).
- drm/vc4: hvs: Fix colour order for xRGB1555 on HVS5 (git-fixes).
- drm/vc4: hvs: Set AXI panic modes (git-fixes).
- drm/omapdrm: Remove unused struct csc_coef_rgb2yuv (git-fixes).
- drm: tidss: Fix pixel format definition (git-fixes).
- drm/bridge: lt8912b: Add hot plug detection (git-fixes).
- drm/vkms: Fix null-ptr-deref in vkms_release() (git-fixes).
- drm/vkms: Fix memory leak in vkms_init() (git-fixes).
- drm/bridge: megachips: Fix error handling in
  i2c_register_driver() (git-fixes).
- drm/vc4: vec: Use pm_runtime_resume_and_get() in
  vc4_vec_encoder_enable() (git-fixes).
- gpio: vf610: connect GPIO label to dev name (git-fixes).
- dt-bindings: net: snps,dwmac: Fix snps,reset-delays-us
  dependency (git-fixes).
- dt-bindings: arm: fsl: Fix bindings for APF28Dev board
  (git-fixes).
- commit 3467b1b
* Mon Mar  6 2023 tiwai@suse.de
- auxdisplay: hd44780: Fix potential memory leak in
  hd44780_remove() (git-fixes).
- Documentation: simplify and clarify DCO contribution example
  language (git-fixes).
- clk: qcom: gcc-qcs404: fix names of the DSI clocks used as
  parents (git-fixes).
- clk: qcom: gcc-qcs404: disable gpll[04]_out_aux parents
  (git-fixes).
- clk: Honor CLK_OPS_PARENT_ENABLE in clk_core_is_enabled()
  (git-fixes).
- clk: imx: avoid memory leak (git-fixes).
- clk: renesas: cpg-mssr: Remove superfluous check in resume code
  (git-fixes).
- clk: renesas: cpg-mssr: Fix use after free if
  cpg_mssr_common_init() failed (git-fixes).
- clk: ralink: fix 'mt7621_gate_is_enabled()' function
  (git-fixes).
- dmaengine: ptdma: check for null desc before calling
  pt_cmd_callback (git-fixes).
- dmaengine: dw-axi-dmac: Do not dereference NULL structure
  (git-fixes).
- dmaengine: idxd: Set traffic class values in GRPCFG on DSA 2.0
  (git-fixes).
- dmaengine: dw-edma: Fix readq_ch() return value truncation
  (git-fixes).
- dmaengine: dw-edma: Drop chancnt initialization (git-fixes).
- dmaengine: dw-edma: Fix invalid interleaved xfers semantics
  (git-fixes).
- dmaengine: dw-edma: Don't permit non-inc interleaved xfers
  (git-fixes).
- dmaengine: dw-edma: Fix missing src/dst address of interleaved
  xfers (git-fixes).
- driver core: fw_devlink: Add DL_FLAG_CYCLE support to device
  links (git-fixes).
- drivers: base: transport_class: fix resource leak when
  transport_add_device() fails (git-fixes).
- drivers: base: transport_class: fix possible memory leak
  (git-fixes).
- driver core: fix resource leak in device_add() (git-fixes).
- driver core: fix potential null-ptr-deref in device_add()
  (git-fixes).
- comedi: use menuconfig for main Comedi menu (git-fixes).
- Revert "char: pcmcia: cm4000_cs: Replace mdelay with
  usleep_range in set_protocol" (git-fixes).
- backlight: backlight: Fix doc for backlight_device_get_by_name
  (git-fixes).
- docs: gdbmacros: print newest record (git-fixes).
- drm: mxsfb: DRM_MXSFB should depend on ARCH_MXS || ARCH_MXC
  (git-fixes).
- drm/fourcc: Add missing big-endian XRGB1555 and RGB565 formats
  (git-fixes).
- drm: Fix potential null-ptr-deref due to drmm_mode_config_init()
  (git-fixes).
- audit: update the mailing list in MAINTAINERS (git-fixes).
- docs: ftrace: fix a issue with duplicated subtitle number
  (git-fixes).
- ASoC: soc-dapm.h: fixup warning struct snd_pcm_substream not
  declared (git-fixes).
- ASoC: tlv320adcx140: fix 'ti,gpio-config' DT property init
  (git-fixes).
- ASoC: dt-bindings: meson: fix gx-card codec node regex
  (git-fixes).
- ASoC: rsnd: Remove unnecessary rsnd_dbg_dai_call() (git-fixes).
- ASoC: rsnd: fixup #endif position (git-fixes).
- Bluetooth: hci_qca: get wakeup status from serdev device handle
  (git-fixes).
- Bluetooth: L2CAP: Fix potential user-after-free (git-fixes).
- crypto: crypto4xx - Call dma_unmap_page when done (git-fixes).
- crypto: rsa-pkcs1pad - Use akcipher_request_complete
  (git-fixes).
- crypto: qat - fix out-of-bounds read (git-fixes).
- Revert "crypto: rsa-pkcs1pad - Replace GFP_ATOMIC with
  GFP_KERNEL in pkcs1pad_encrypt_sign_complete" (git-fixes).
- crypto: xts - Handle EBUSY correctly (git-fixes).
- crypto: seqiv - Handle EBUSY correctly (git-fixes).
- crypto: essiv - Handle EBUSY correctly (git-fixes).
- crypto: ccp - Failure on re-initialization due to duplicate
  sysfs filename (git-fixes).
- crypto: ccp - Avoid page allocation failure warning for
  SEV_GET_ID2 (git-fixes).
- crypto: x86/ghash - fix unaligned access in ghash_setkey()
  (git-fixes).
- drm/i915/gen11: Wa_1408615072/Wa_1407596294 should be on GT list
  (git-fixes).
- drm/amd/display: Properly handle additional cases where DCN
  is not supported (git-fixes).
- drm/nouveau/devinit/tu102-: wait for GFW_BOOT_PROGRESS ==
  COMPLETED (git-fixes).
- clk: mxl: syscon_node_to_regmap() returns error pointers
  (git-fixes).
- clk: mxl: Fix a clk entry by adding relevant flags (git-fixes).
- clk: mxl: Add option to override gate clks (git-fixes).
- clk: mxl: Remove redundant spinlocks (git-fixes).
- clk: mxl: Switch from direct readl/writel based IO to regmap
  based IO (git-fixes).
- drm/i915/gen11: Moving WAs to icl_gt_workarounds_init()
  (git-fixes).
- commit d5e5686
* Mon Mar  6 2023 tiwai@suse.de
- ARM: dts: exynos: correct TMU phandle in Odroid XU3 family
  (git-fixes).
- ARM: dts: exynos: correct TMU phandle in Odroid HC1 (git-fixes).
- ARM: dts: exynos: correct TMU phandle in Odroid XU (git-fixes).
- ARM: dts: exynos: correct TMU phandle in Exynos5250 (git-fixes).
- ARM: dts: exynos: correct TMU phandle in Exynos4210 (git-fixes).
- ARM: dts: exynos: correct TMU phandle in Exynos4 (git-fixes).
- ARM: dts: spear320-hmi: correct STMPE GPIO compatible
  (git-fixes).
- applicom: Fix PCI device refcount leak in applicom_init()
  (git-fixes).
- arm64: efi: Make efi_rt_lock a raw_spinlock (git-fixes).
- ASoC: mchp-spdifrx: disable all interrupts in
  mchp_spdifrx_dai_remove() (git-fixes).
- ASoC: mchp-spdifrx: fix controls which rely on rsr register
  (git-fixes).
- ASoC: soc-compress.c: fixup private_data on
  snd_soc_new_compress() (git-fixes).
- ALSA: hda/ca0132: minor fix for allocation size (git-fixes).
- ACPI: battery: Fix missing NUL-termination with large strings
  (git-fixes).
- ACPICA: nsrepair: handle cases without a return value correctly
  (git-fixes).
- ACPICA: Drop port I/O validation for some regions (git-fixes).
- ARM: dts: qcom: sdx55: Add Qcom SMMU-500 as the fallback for
  IOMMU node (git-fixes).
- arm64: dts: ti: k3-j7200: Fix wakeup pinmux range (git-fixes).
- arm64: dts: mediatek: mt7622: Add missing pwm-cells to pwm node
  (git-fixes).
- arm64: dts: mt8192: Fix CPU map for single-cluster SoC
  (git-fixes).
- arm64: dts: mediatek: mt8183: Fix systimer 13 MHz clock
  description (git-fixes).
- arm64: dts: meson: bananapi-m5: switch VDDIO_C pin to OPEN_DRAIN
  (git-fixes).
- arm64: dts: amlogic: meson-sm1-odroid-hc4: fix active fan
  thermal trip (git-fixes).
- arm64: dts: meson: remove CPU opps below 1GHz for G12A boards
  (git-fixes).
- arm64: dts: meson-gx: Fix the SCPI DVFS node name and unit
  address (git-fixes).
- arm64: dts: meson-g12a: Fix internal Ethernet PHY unit name
  (git-fixes).
- arm64: dts: meson-gx: Fix Ethernet MAC address unit name
  (git-fixes).
- arm64: dts: imx8m: Align SoC unique ID node unit address
  (git-fixes).
- ARM: dts: imx7s: correct iomuxc gpr mux controller cells
  (git-fixes).
- ARM: dts: exynos: correct HDMI phy compatible in Exynos4
  (git-fixes).
- ARM: dts: exynos: correct wr-active property in Exynos3250
  Rinato (git-fixes).
- ARM: dts: sun8i: nanopi-duo2: Fix regulator GPIO reference
  (git-fixes).
- arm64: dts: renesas: beacon-renesom: Fix gpio expander reference
  (git-fixes).
- arm64: dts: qcom: ipq8074: fix Gen3 PCIe node (git-fixes).
- arm64: dts: qcom: ipq8074: correct Gen2 PCIe ranges (git-fixes).
- arm64: dts: qcom: ipq8074: correct USB3 QMP PHY-s clock output
  names (git-fixes).
- arm64: dts: qcom: sc7280: correct SPMI bus address cells
  (git-fixes).
- arm64: dts: qcom: sc7180: correct SPMI bus address cells
  (git-fixes).
- arm64: dts: qcom: sdm845-db845c: fix audio codec interrupt
  pin name (git-fixes).
- arm64: dts: qcom: sm8150-kumano: Panel framebuffer is 2.5k
  instead of 4k (git-fixes).
- arm64: dts: qcom: qcs404: use symbol names for PCIe resets
  (git-fixes).
- ARM: bcm2835_defconfig: Enable the framebuffer (git-fixes).
- ARM: zynq: Fix refcount leak in zynq_early_slcr_init
  (git-fixes).
- ARM: imx: Call ida_simple_remove() for ida_simple_get
  (git-fixes).
- ARM: s3c: fix s3c64xx_set_timer_source prototype (git-fixes).
- ARM: OMAP1: call platform_device_put() in error case in
  omap1_dm_timer_init() (git-fixes).
- ARM: OMAP2+: Fix memory leak in realtime_counter_init()
  (git-fixes).
- ALSA: hda/realtek - fixed wrong gpio assigned (git-fixes).
- ALSA: hda/conexant: add a new hda codec SN6180 (git-fixes).
- ACPI: NFIT: fix a potential deadlock during NFIT teardown
  (git-fixes).
- ARM: dts: rockchip: add power-domains property to dp node on
  rk3288 (git-fixes).
- arm64: dts: rockchip: drop unused LED mode property from
  rk3328-roc-cc (git-fixes).
- ASoC: rt715-sdca: fix clock stop prepare timeout issue
  (git-fixes).
- ASoC: cs42l56: fix DT probe (git-fixes).
- ASoC: Intel: sof_cs42l42: always set dpcm_capture for amplifiers
  (git-fixes).
- ASoC: Intel: sof_rt5682: always set dpcm_capture for amplifiers
  (git-fixes).
- ALSA: hda: Do not unset preset when cleaning up codec
  (git-fixes).
- ACPI / x86: Add support for LPS0 callback handler (git-fixes).
- commit b514cae
* Mon Mar  6 2023 clin@suse.com
- Move upstreamed ipmi patches into sorted section
- commit 6815ed5
* Mon Mar  6 2023 clin@suse.com
- Refresh
  patches.suse/ipmi-ssif-Add-a-timer-between-request-retries.patch.
- Refresh patches.suse/ipmi-ssif-Remove-rtc_us_timer.patch.
- Refresh patches.suse/ipmi-ssif-resend_msg-cannot-fail.patch.
- Refresh
  patches.suse/ipmi_ssif-Rename-idle-state-and-check.patch.
- commit 39421c5
* Mon Mar  6 2023 neilb@suse.de
- KABI fix for:  NFSv3: handle out-of-order write replies
  (bsc#1205544).
- commit 931f6bd
* Mon Mar  6 2023 neilb@suse.de
- NFSv3: handle out-of-order write replies (bsc#1205544).
- commit 96398e7
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Disable preemption in all down_write*() and
  up_write() code paths (bsc#1207270).
- commit 87b3e0b
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Disable preemption in all down_read*() and
  up_read() code paths (bsc#1207270).
- commit c4762ff
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Prevent non-first waiter from spinning in
  down_write() slowpath (bsc#1207270).
- commit 61aa9bc
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Disable preemption while trying for rwsem lock
  (bsc#1207270).
- commit 164c146
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Allow slowpath writer to ignore handoff bit if
  not set by first waiter (bsc#1207270).
- commit 05a6130
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Always try to wake waiters in out_nolock path
  (bsc#1207270).
- commit 2d3049a
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Conditionally wake waiters in reader/writer
  slowpaths (bsc#1207270).
- commit 6c03884
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: No need to check for handoff bit if wait queue
  empty (bsc#1207270).
- commit 7ef94ea
* Fri Mar  3 2023 jwiesner@suse.de
- locking: Add missing __sched attributes (bsc#1207270).
- commit 241a50d
* Fri Mar  3 2023 jwiesner@suse.de
- locking/rwsem: Make handoff bit handling more consistent
  (bsc#1207270).
- commit 68640da
* Fri Mar  3 2023 lhenriques@suse.de
- ceph: avoid use-after-free in ceph_fl_release_lock()
  (jsc#SES-1880).
- ceph: switch to vfs_inode_has_locks() to fix file lock bug
  (jsc#SES-1880).
- filelock: new helper: vfs_inode_has_locks (jsc#SES-1880).
- commit d8c831f
* Fri Mar  3 2023 lhenriques@suse.de
- blacklist: removed 461ab10ef7e6 ("ceph: switch to vfs_inode_has_locks() to fix file lock bug")
- commit c2731e3
* Thu Mar  2 2023 oneukum@suse.com
- wifi: ath9k: Fix potential stack-out-of-bounds write in
  ath9k_wmi_rsp_callback() (git-fixes).
- commit 4c1ac5d
* Thu Mar  2 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 6eda7e6
* Thu Mar  2 2023 oneukum@suse.com
- vc_screen: don't clobber return value in vcs_read (git-fixes).
- commit 433ce65
* Thu Mar  2 2023 osalvador@suse.de
- Rename colliding patches before the next SLE15-SP5-GA -> SLE15-SP5 merge
- commit c4969c6
* Wed Mar  1 2023 mkoutny@suse.com
- blacklist.conf: Add oops_limit accretion disk
- commit b22c6d0
* Wed Mar  1 2023 ailiop@suse.com
- xfs: get root inode correctly at bulkstat (git-fixes bsc#1207501
  ltc#201370).
- commit cc3c733
* Wed Mar  1 2023 msuchanek@suse.de
- powerpc/eeh: Set channel state after notifying the drivers
  (bsc#1208784 ltc#201612).
- commit c4cafd6
* Wed Mar  1 2023 trenn@suse.com
- platform/x86: ISST: PUNIT device mapping with Sub-NUMA
  clustering (bsc#1208420).
- commit 30beac0
* Wed Mar  1 2023 nmorey@suse.com
- IB/hfi1: Fix sdma.h tx->num_descs off-by-one errors (git-fixes)
- commit adff7f2
* Wed Mar  1 2023 nmorey@suse.com
- IB/hfi1: Fix math bugs in hfi1_can_pin_pages() (git-fixes)
- commit 3bdf9ca
* Wed Mar  1 2023 nmorey@suse.com
- RDMA/rxe: Fix missing memory barriers in rxe_queue.h (git-fixes)
- commit 878e0eb
* Wed Mar  1 2023 nmorey@suse.com
- iw_cxgb4: Fix potential NULL dereference in c4iw_fill_res_cm_id_entry() (git-fixes)
- commit d90e67e
* Wed Mar  1 2023 nmorey@suse.com
- RDMA/irdma: Cap MSIX used to online CPUs + 1 (git-fixes)
- commit 05d982b
* Wed Mar  1 2023 nmorey@suse.com
- RDMA/cxgb4: Fix potential null-ptr-deref in pass_establish() (git-fixes)
- commit 7eb2c03
* Wed Mar  1 2023 nmorey@suse.com
- RDMA/siw: Fix user page pinning accounting (git-fixes)
- commit d72f1f4
* Tue Feb 28 2023 msuchanek@suse.de
- powerpc/64s: Make POWER10 and later use pause_short in cpu_relax
  loops (bsc#1208376 ltc#201076).
- powerpc: add ISA v3.0 / v3.1 wait opcode macro (bsc#1208376
  ltc#201076).
- commit 2a06230
* Tue Feb 28 2023 lhenriques@suse.de
- fuse: add inode/permission checks to fileattr_get/fileattr_set
  (bsc#1208759).
- commit 91990ec
* Tue Feb 28 2023 msuchanek@suse.de
- ibmvnic: Assign XPS map to correct queue index (bsc#1208757
  ltc#201720 jsc#PED-2322 git-fixes).
- commit be76316
* Tue Feb 28 2023 oneukum@suse.com
- usb: gadget: u_serial: Add null pointer check in gserial_resume
  (git-fixes).
- commit 4549b2e
* Tue Feb 28 2023 oneukum@suse.com
- Update
  patches.suse/usb-dwc3-dwc3-qcom-Add-missing-platform_device_put-i.patch
  (bsc#1208741 CVE-2023-22995).
  Added CVE reference for fix already present
- commit 80a158a
* Tue Feb 28 2023 oneukum@suse.com
- Update
  patches.suse/usb-dwc3-dwc3-qcom-Add-missing-platform_device_put-i.patch
  (bsc#1208741 CVE-2023-22995).
  Added CVE reference for fix already present
- commit 3d3f080
* Tue Feb 28 2023 tbogendoerfer@suse.de
- net: mpls: fix stale pointer if allocation fails during device
  rename (bsc#1208700 CVE-2023-26545).
- commit 7ee1e3a
* Tue Feb 28 2023 nmorey@suse.com
- RDMA/cxgb4: add null-ptr-check after ip_dev_find() (git-fixes)
- commit 364a0c0
* Tue Feb 28 2023 nmorey@suse.com
- RDMA/cxgb4: remove unnecessary NULL check in __c4iw_poll_cq_one() (git-fixes)
- commit 4c3dcae
* Mon Feb 27 2023 ohering@suse.de
- HV: hv_balloon: fix memory leak with using debugfs_lookup()
  (git-fixes).
- debugfs: add debugfs_lookup_and_remove() (git-fixes).
- commit ed061fb
* Mon Feb 27 2023 ohering@suse.de
- iommu/hyper-v: Allow hyperv irq remapping without x2apic
  (git-fixes).
- commit 944a8e8
* Mon Feb 27 2023 colyli@suse.de
- Avoid deadlock for recursive I/O on dm-thin when used as swap
  (bsc#1177529).
- commit 2838b47
* Mon Feb 27 2023 colyli@suse.de
- Avoid deadlock for recursive I/O on dm-thin when used as swap
  (bsc#1177529).
- commit 9236175
* Mon Feb 27 2023 oneukum@suse.com
- KVM: s390: selftest: memop: Fix integer literal (git-fixes).
- commit e09d7ee
* Mon Feb 27 2023 petr.pavlu@suse.com
- blacklist.conf: add not-relevant ftrace fixes
  Merge commit 6ac2a14c651 ("Merge remote-tracking branch
  'origin/SLE15-SP4' into SLE15-SP5") removed changes to blacklist a set
  of eprobe-related patches (new functionality). Add them again, in the
  same position in blacklist.conf as they appear on the SLE15-SP4 branch.
- commit 8caacbd
* Mon Feb 27 2023 mkoutny@suse.com
- x86/mm: Randomize per-cpu entry area (bsc#1207845
  CVE-2023-0597).
- commit 3959431
* Sat Feb 25 2023 jgross@suse.com
- [xen] fix "direction" argument of iov_iter_kvec() (git-fixes).
- commit defee4c
* Fri Feb 24 2023 jgross@suse.com
- xen/privcmd: Fix a possible warning in
  privcmd_ioctl_mmap_resource() (git-fixes).
- commit fca2519
* Fri Feb 24 2023 jgross@suse.com
- x86/xen: Fix memory leak in xen_init_lock_cpu() (git-fixes).
- commit d392a17
* Fri Feb 24 2023 jgross@suse.com
- x86/xen: Fix memory leak in xen_smp_intr_init{_pv}()
  (git-fixes).
- commit cd8f1e2
* Fri Feb 24 2023 jgross@suse.com
- blacklist.conf: add "xen/netback: don't call kfree_skb() under
  spin_lock_irqsave()"
- commit 49e8a38
* Fri Feb 24 2023 jgross@suse.com
- xen-netfront: Fix NULL sring after live migration (git-fixes).
- commit 81410eb
* Fri Feb 24 2023 jgross@suse.com
- xen/netback: fix build warning (git-fixes).
- Refresh
  patches.suse/xen-netback-Ensure-protocol-headers-don-t-fall-in-th.patch.
- commit 18cf292
* Fri Feb 24 2023 jgross@suse.com
- xen/platform-pci: add missing free_irq() in error path
  (git-fixes).
- commit 1274346
* Fri Feb 24 2023 jroedel@suse.de
- watchdog: ixp4xx: Implement restart (bsc#1208619).
- watchdog: ixp4xx_wdt: Fix address space warning (bsc#1208619).
- watchdog: ixp4xx: Rewrite driver to use core (bsc#1208619).
- commit 9de0515
* Fri Feb 24 2023 jroedel@suse.de
- watchdog: orion_wdt: support pretimeout on Armada-XP
  (bsc#1208619).
- watchdog: allow building BCM7038_WDT for BCM4908 (bsc#1208619).
- commit e3586dc
* Fri Feb 24 2023 jgross@suse.com
- xen-pciback: Allow setting PCI_MSIX_FLAGS_MASKALL too
  (git-fixes).
- commit e6b17f1
* Fri Feb 24 2023 jroedel@suse.de
- x86/cpufeatures: Introduce x2AVIC CPUID bit (bsc#1208619).
- x86: Remove vendor checks from prefer_mwait_c1_over_halt
  (bsc#1208619).
- x86: Handle idle=nomwait cmdline properly for x86_idle
  (bsc#1208619).
- commit 6257657
* Fri Feb 24 2023 jgross@suse.com
- xen/netback: do some code cleanup (git-fixes).
- Refresh
  patches.suse/xen-netback-don-t-call-kfree_skb-with-interrupts-dis.patch.
- commit ea1b704
* Fri Feb 24 2023 jgross@suse.com
- xen/netfront: destroy queues before real_num_tx_queues is zeroed
  (git-fixes).
- commit 264c043
* Fri Feb 24 2023 pvorel@suse.cz
- loop: fix ioctl calls using compat_loop_info (bsc#1207333).
- commit 11a60da
* Fri Feb 24 2023 dwagner@suse.de
- nvme-pci: add bogus ID quirk for ADATA SX6000PNP (bsc#1207827).
- commit bac8005
* Thu Feb 23 2023 ailiop@suse.com
- xfs: convert ptag flags to unsigned (git-fixes).
- commit a339957
* Thu Feb 23 2023 ailiop@suse.com
- xfs: don't leak btree cursor when insrec fails after a split
  (git-fixes).
- commit fb35824
* Thu Feb 23 2023 ailiop@suse.com
- xfs: don't assert fail on perag references on teardown
  (git-fixes).
- commit d42b263
* Thu Feb 23 2023 ailiop@suse.com
- xfs: zero inode fork buffer at allocation (git-fixes).
- commit e8b3335
* Thu Feb 23 2023 dwagner@suse.de
- block: bio-integrity: Copy flags when bio_integrity_payload
  is cloned (bsc#1208541).
- commit 6689970
* Thu Feb 23 2023 dwagner@suse.de
- block: bio-integrity: Copy flags when bio_integrity_payload
  is cloned (bsc#1208541).
- commit 9308710
* Thu Feb 23 2023 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.10 patches
  (bsc#1208607).
- scsi: lpfc: Update lpfc version to 14.2.0.10 (bsc#1208607).
- scsi: lpfc: Introduce new attention types for
  lpfc_sli4_async_fc_evt() handler (bsc#1208607).
- scsi: lpfc: Reinitialize internal VMID data structures after
  FLOGI completion (bsc#1208607).
- scsi: lpfc: Fix use-after-free KFENCE violation during sysfs
  firmware write (bsc#1208607).
- scsi: lpfc: Exit PRLI completion handling early if ndlp not
  in PRLI_ISSUE state (bsc#1208607).
- scsi: lpfc: Remove duplicate ndlp kref decrement in
  lpfc_cleanup_rpis() (bsc#1208607 bsc#1208534).
- scsi: lpfc: Remove redundant clean up code in disable_vport()
  (bsc#1208607).
- scsi: lpfc: Set max DMA segment size to HBA supported SGE length
  (bsc#1208607).
- scsi: lpfc: Resolve miscellaneous variable set but not used
  compiler warnings (bsc#1208607).
- scsi: lpfc: Replace outdated strncpy() with strscpy()
  (bsc#1208607).
- scsi: lpfc: Fix space indentation in lpfc_xcvr_data_show()
  (bsc#1208607).
- commit faff970
* Thu Feb 23 2023 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.10 patches
  (bsc#1208607).
- scsi: lpfc: Update lpfc version to 14.2.0.10 (bsc#1208607).
- scsi: lpfc: Introduce new attention types for
  lpfc_sli4_async_fc_evt() handler (bsc#1208607).
- scsi: lpfc: Reinitialize internal VMID data structures after
  FLOGI completion (bsc#1208607).
- scsi: lpfc: Fix use-after-free KFENCE violation during sysfs
  firmware write (bsc#1208607).
- scsi: lpfc: Exit PRLI completion handling early if ndlp not
  in PRLI_ISSUE state (bsc#1208607).
- scsi: lpfc: Remove duplicate ndlp kref decrement in
  lpfc_cleanup_rpis() (bsc#1208607 bsc#1208534).
- scsi: lpfc: Remove redundant clean up code in disable_vport()
  (bsc#1208607).
- scsi: lpfc: Set max DMA segment size to HBA supported SGE length
  (bsc#1208607).
- scsi: lpfc: Resolve miscellaneous variable set but not used
  compiler warnings (bsc#1208607).
- scsi: lpfc: Replace outdated strncpy() with strscpy()
  (bsc#1208607).
- scsi: lpfc: Fix space indentation in lpfc_xcvr_data_show()
  (bsc#1208607).
- commit eecdcbc
* Thu Feb 23 2023 dwagner@suse.de
- scsi: qla2xxx: Check if port is online before sending ELS
  (bsc#1208570).
- commit 443b318
* Wed Feb 22 2023 dwagner@suse.de
- scsi: qla2xxx: Remove the unused variable wwn (bsc#1208570).
- scsi: qla2xxx: Simplify if condition evaluation (bsc#1208570).
- scsi: qla2xxx: Use a variable for repeated mem_size computation
  (bsc#1208570).
- scsi: qla2xxx: Make qla_trim_buf() and __qla_adjust_buf()
  static (bsc#1208570).
- scsi: qla2xxx: Fix printk() format string (bsc#1208570).
- scsi: qla2xxx: Update version to 10.02.08.200-k (bsc#1208570).
- scsi: qla2xxx: Select qpair depending on which CPU post_cmd()
  gets called (bsc#1208570).
- scsi: qla2xxx: edif: Fix clang warning (bsc#1208570).
- scsi: qla2xxx: edif: Reduce memory usage during low I/O
  (bsc#1208570).
- scsi: qla2xxx: edif: Fix stall session after app start
  (bsc#1208570).
- scsi: qla2xxx: edif: Fix performance dip due to lock contention
  (bsc#1208570).
- scsi: qla2xxx: Relocate/rename vp map (bsc#1208570).
- scsi: qla2xxx: Remove dead code (GNN ID) (bsc#1208570).
- scsi: qla2xxx: Remove dead code (GPNID) (bsc#1208570).
- scsi: qla2xxx: Remove dead code (bsc#1208570).
- scsi: qla2xxx: Update version to 10.02.08.100-k (bsc#1208570).
- scsi: qla2xxx: Fix IOCB resource check warning (bsc#1208570).
- scsi: qla2xxx: Remove increment of interface err cnt
  (bsc#1208570).
- scsi: qla2xxx: Fix erroneous link down (bsc#1208570).
- scsi: qla2xxx: Remove unintended flag clearing (bsc#1208570).
- scsi: qla2xxx: Fix stalled login (bsc#1208570).
- scsi: qla2xxx: Fix exchange oversubscription for management
  commands (bsc#1208570).
- scsi: qla2xxx: Fix exchange oversubscription (bsc#1208570).
- scsi: qla2xxx: Fix DMA-API call trace on NVMe LS requests
  (bsc#1208570).
- scsi: qla2xxx: Fix link failure in NPIV environment
  (bsc#1208570).
- Update metadata
  Refresh:
  - patches.suse/ibmvnic-Toggle-between-queue-types-in-affinity-mappi.patch
- commit 5ee8c94
* Wed Feb 22 2023 dwagner@suse.de
- scsi: qla2xxx: Remove the unused variable wwn (bsc#1208570).
- scsi: qla2xxx: Simplify if condition evaluation (bsc#1208570).
- scsi: qla2xxx: Use a variable for repeated mem_size computation
  (bsc#1208570).
- scsi: qla2xxx: Make qla_trim_buf() and __qla_adjust_buf()
  static (bsc#1208570).
- scsi: qla2xxx: Fix printk() format string (bsc#1208570).
- scsi: qla2xxx: Update version to 10.02.08.200-k (bsc#1208570).
- scsi: qla2xxx: Select qpair depending on which CPU post_cmd()
  gets called (bsc#1208570).
- scsi: qla2xxx: edif: Fix clang warning (bsc#1208570).
- scsi: qla2xxx: edif: Reduce memory usage during low I/O
  (bsc#1208570).
- scsi: qla2xxx: edif: Fix stall session after app start
  (bsc#1208570).
- scsi: qla2xxx: edif: Fix performance dip due to lock contention
  (bsc#1208570).
- scsi: qla2xxx: Relocate/rename vp map (bsc#1208570).
- scsi: qla2xxx: Remove dead code (GNN ID) (bsc#1208570).
- scsi: qla2xxx: Remove dead code (GPNID) (bsc#1208570).
- scsi: qla2xxx: Remove dead code (bsc#1208570).
- scsi: qla2xxx: Update version to 10.02.08.100-k (bsc#1208570).
- scsi: qla2xxx: Fix IOCB resource check warning (bsc#1208570).
- scsi: qla2xxx: Remove increment of interface err cnt
  (bsc#1208570).
- scsi: qla2xxx: Fix erroneous link down (bsc#1208570).
- scsi: qla2xxx: Remove unintended flag clearing (bsc#1208570).
- scsi: qla2xxx: Fix stalled login (bsc#1208570).
- scsi: qla2xxx: Fix exchange oversubscription for management
  commands (bsc#1208570).
- scsi: qla2xxx: Fix exchange oversubscription (bsc#1208570).
- scsi: qla2xxx: Fix DMA-API call trace on NVMe LS requests
  (bsc#1208570).
- scsi: qla2xxx: Fix link failure in NPIV environment
  (bsc#1208570).
- scsi: qla2xxx: Check if port is online before sending ELS
  (bsc#1208570).
- commit e9e64c0
* Wed Feb 22 2023 ohering@suse.de
- hv_netvsc: Allocate memory in netvsc_dma_map() with GFP_ATOMIC
  (git-fixes).
- x86/hyperv: Introduce
  HV_MAX_SPARSE_VCPU_BANKS/HV_VCPUS_PER_SPARSE_BANK constants
  (git-fixes).
- PCI: hv: update comment in x86 specific hv_arch_irq_unmask
  (git-fixes).
- hv: fix comment typo in vmbus_channel/low_latency (git-fixes).
- commit e18f1a9
* Wed Feb 22 2023 ohering@suse.de
- drm/hyperv: Fix an error handling path in hyperv_vmbus_probe() (git-fixes).
- commit 43b143c
* Wed Feb 22 2023 ohering@suse.de
- drm/hyperv : Removing the restruction of VRAM allocation with
  PCI bar size (git-fixes).
- commit 6cc703f
* Wed Feb 22 2023 oneukum@suse.com
- powercap: fix possible name leak in powercap_register_zone()
  (git-fixes).
- commit d3806fa
* Wed Feb 22 2023 oneukum@suse.com
- usb: dwc3: qcom: suppress unused-variable warning (git-fixes).
- commit f901e29
* Wed Feb 22 2023 msuchanek@suse.de
- Add missing s390 vfio patch hunk (bsc#1208565 ltc#201535).
- Refresh patches.suse/vfio-simplify-iommu-group-allocation-for-mediated-devices.
- Refresh patches.suse/s390-vfio-ap-prepare-for-dynamic-update-of-guest-s-APCB-on-queue.
- Refresh patches.suse/s390-vfio-ap-rename-matrix_dev-lock-mutex-to-matrix_dev-mdevs_lo.
- commit 43ce0be
* Tue Feb 21 2023 jroedel@suse.de
- swiotlb: make the swiotlb_init interface more useful (PED-3259).
- Refresh
  patches.suse/powerpc-pseries-wire-up-rng-during-setup_arch.patch.
- commit b11b64c
* Tue Feb 21 2023 jroedel@suse.de
- x86: centralize setting SWIOTLB_FORCE when guest memory
  encryption is enabled (jsc#PED-3259).
- Refresh
  patches.suse/x86-mm-move-protection_map-inside-the-platform.patch.
- commit f253520
* Tue Feb 21 2023 jroedel@suse.de
- dma-direct: use is_swiotlb_active in dma_direct_map_page
  (PED-3259).
- Refresh
  patches.suse/dma-direct-support-PCI-P2PDMA-pages-in-dma-direct-map_sg.
- commit 7a27888
* Tue Feb 21 2023 jroedel@suse.de
- kABI: Work around kABI changes after '20347fca71a3 swiotlb:
  split up the global swiotlb lock' (jsc#PED-3259).
- commit 480cec9
* Tue Feb 21 2023 jroedel@suse.de
- swiotlb: fail map correctly with failed io_tlb_default_mem
  (PED-3259).
- blacklist.conf: Remove above commit from blacklist
- commit 6538ce6
* Tue Feb 21 2023 jroedel@suse.de
- swiotlb: fix a typo (PED-3259).
- swiotlb: avoid potential left shift overflow (PED-3259).
- swiotlb: fix passing local variable to debugfs_create_ulong()
  (PED-3259).
- swiotlb: clean up some coding style and minor issues (PED-3259).
- swiotlb: ensure a segment doesn't cross the area boundary
  (PED-3259).
- swiotlb: consolidate rounding up default_nslabs (PED-3259).
- swiotlb: remove unused fields in io_tlb_mem (PED-3259).
- swiotlb: fix use after free on error handling path (PED-3259).
- swiotlb: split up the global swiotlb lock (PED-3259).
- swiotlb: panic if nslabs is too small (PED-3259).
- swiotlb: remove a useless return in swiotlb_init (PED-3259).
- swiotlb: fix setting ->force_bounce (PED-3259).
- swiotlb: use the right nslabs-derived sizes in swiotlb_init_late
  (PED-3259).
- swiotlb: use the right nslabs value in swiotlb_init_remap
  (PED-3259).
- swiotlb: don't panic when the swiotlb buffer can't be allocated
  (PED-3259).
- x86: remove cruft from <asm/dma-mapping.h> (PED-3259).
- swiotlb: remove swiotlb_init_with_tbl and
  swiotlb_init_late_with_tbl (PED-3259).
- swiotlb: merge swiotlb-xen initialization into swiotlb
  (jsc#PED-3259).
- swiotlb: provide swiotlb_init variants that remap the buffer
  (PED-3259).
- swiotlb: pass a gfp_mask argument to swiotlb_init_late
  (PED-3259).
- swiotlb: add a SWIOTLB_ANY flag to lift the low memory
  restriction (PED-3259).
- swiotlb: rename swiotlb_late_init_with_default_size (PED-3259).
- swiotlb: simplify swiotlb_max_segment (PED-3259).
- swiotlb: make swiotlb_exit a no-op if SWIOTLB_FORCE is set
  (PED-3259).
- swiotlb: simplify debugfs setup (jsc#PED-3259).
- swiotlb: Free tbl memory in swiotlb_exit() (jsc#PED-3259).
- commit 9e015ad
* Tue Feb 21 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit b59e5d1
* Tue Feb 21 2023 oneukum@suse.com
- usb: musb: Add and use inline function musb_otg_state_string
  (git-fixes).
- commit cd1604d
* Tue Feb 21 2023 oneukum@suse.com
- usb: musb: Add and use inline functions musb_{get,set}_state
  (git-fixes).
- commit 4523590
* Tue Feb 21 2023 oneukum@suse.com
- usb: musb: remove schedule work called after flush (git-fixes).
- commit f3d8faf
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: Fix memory leak in dwc3_qcom_interconnect_init
  (git-fixes).
- commit b3d3528
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: clean up icc init (git-fixes).
- commit 88d9416
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: only parse 'maximum-speed' once (git-fixes).
- commit b64ea4c
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: clean up suspend callbacks (git-fixes).
- commit 2e3d004
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: fix wakeup implementation (git-fixes).
- Refresh
  patches.suse/usb-dwc3-core-leave-default-DMA-if-the-controller-do.patch.
- commit 9b6a3e2
* Tue Feb 21 2023 oneukum@suse.com
- Revert "usb: dwc3: qcom: Keep power domain on to retain
  controller status" (git-fixes).
- commit 2174f55
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: core: Host wake up support from system suspend
  (git-fixes).
- Refresh
  patches.suse/usb-dwc3-core-leave-default-DMA-if-the-controller-do.patch.
- commit f82f88f
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: fix peripheral and OTG suspend (git-fixes).
- commit dc0c872
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: fix gadget-only builds (git-fixes).
- commit d9b764b
* Tue Feb 21 2023 tbogendoerfer@suse.de
- vmxnet3: move rss code block under eop descriptor (bsc#1208212).
- commit 4cd8f2e
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: Keep power domain on to retain controller
  status (git-fixes).
- commit f6409bd
* Tue Feb 21 2023 oneukum@suse.com
- usb: dwc3: qcom: Configure wakeup interrupts during suspend
  (git-fixes).
- Refresh patches.suse/usb-dwc3-qcom-fix-runtime-PM-wakeup.patch.
- Refresh
  patches.suse/usb-dwc3-qcom-fix-use-after-free-on-runtime-PM-wakeu.patch.
- commit a8bd7ad
* Tue Feb 21 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit b99a3c8
* Tue Feb 21 2023 oneukum@suse.com
- s390/dasd: Fix potential memleak in dasd_eckd_init()
  (git-fixes).
- commit 4a4e22d
* Tue Feb 21 2023 mkoutny@suse.com
- Update kabi files.
  Based on PublicBeta-202302 ISO, kernel 5.14.21-150500.40.1
- commit 2b36ed6
* Tue Feb 21 2023 mkoutny@suse.com
- Rename patch filenames for SLE15-SP4
  Invocation of scripts/renamepatches for smoother upcoming merge of
  SLE15-SP4.
- commit 22a1068
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: 9280/1: mm: fix warning on phys_addr_t to void pointer")
- commit 5089b86
* Mon Feb 20 2023 iivanov@suse.de
- ARM: renumber bits related to _TIF_WORK_MASK (git-fixes)
- commit c91243e
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: 9266/1: mm: fix no-MMU ZERO_PAGE() implementation")
- commit 400cab3
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: at91: pm: avoid soft resetting AC DLL")
- commit 6bcebc9
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: sama7g5: fix signal name of pin PB2")
- commit 919e157
* Mon Feb 20 2023 oneukum@suse.com
- Update
  patches.suse/usb-rndis_host-Secure-rndis_query-check-against-int-.patch
  (CVE-2023-23559 bsc#1207051).
  Added CVE reference to existing fix
- commit af8ad62
* Mon Feb 20 2023 iivanov@suse.de
- ARM: dts: am5748: keep usb4_tm disabled (git-fixes)
- commit b8d72b7
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: sama7g5ek: specify proper regulator output ranges")
- commit 3ab614b
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: at91: pm: fix DDR recalibration when resuming from backup and")
- commit 0f7a39d
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: at91: pm: fix self-refresh for sama7g5")
- commit be8848f
* Mon Feb 20 2023 oneukum@suse.com
- Update
  patches.suse/usb-rndis_host-Secure-rndis_query-check-against-int-.patch
  (CVE-2023-23559 bsc#1207051).
  Added CVE reference to patch already merged through git-fixes
- commit a3e1190
* Mon Feb 20 2023 iivanov@suse.de
- ARM: dts: qcom: msm8974: add required ranges to OCMEM (git-fixes)
- commit 91b832e
* Mon Feb 20 2023 iivanov@suse.de
- ARM: dts: imx7-colibri-eval-v3: correct can controller comment (git-fixes)
- commit 1de40c0
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: qcom-msm8974: fix irq type on blsp2_uart1")
- commit fa5a88a
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: ux500: Fix Gavini accelerometer mounting matrix")
- commit 2b7186a
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: ux500: Fix Codina accelerometer mounting matrix")
- commit aaa59d4
* Mon Feb 20 2023 iivanov@suse.de
- xen/arm: Fix race in RB-tree based P2M accounting (git-fixes)
- commit 6cae44e
* Mon Feb 20 2023 iivanov@suse.de
- ARM: dts: stm32: add missing usbh clock and fix clk order on (git-fixes)
- commit 34357fd
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: at91: pm: use proper compatibles for sama7g5's rtc and rtt")
- commit c94ffa5
* Mon Feb 20 2023 jroedel@suse.de
- virt: sevguest: Rename the sevguest dir and files to sev-guest
  (bsc#1208449).
- Refresh
  patches.suse/x86-sev-Get-the-AP-jump-table-address-from-secrets-page.
- commit efc1984
* Mon Feb 20 2023 jroedel@suse.de
- virt: sevguest: Change driver name to reflect generic SEV
  support (bsc#1208449).
- Refresh
  patches.suse/x86-sev-Get-the-AP-jump-table-address-from-secrets-page.
- commit 9995360
* Mon Feb 20 2023 jroedel@suse.de
- virt/sev-guest: Add a MODULE_ALIAS (bsc#1208449).
- virt/sev-guest: Remove unnecessary free in init_crypto()
  (bsc#1208449).
- virt/sev-guest: Prevent IV reuse in the SNP guest driver
  (bsc#1208449).
- virt: sev-guest: Pass the appropriate argument type to iounmap()
  (bsc#1208449).
- commit 61ff2a0
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: versatile: Add missing of_node_put in dcscb_init")
- commit 346b599
* Mon Feb 20 2023 iivanov@suse.de
- ARM: omap: remove debug-leds driver (git-fixes)
- commit 8b7f9eb
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: sama7g5: remove interrupt-parent from gic node")
- commit 7886324
* Mon Feb 20 2023 iivanov@suse.de
- irqchip/gic-v3: Refactor ISB + EOIR at ack time (git-fixes)
- commit 7eff197
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: sama7g5ek: enable pull-up on flexcom3 console lines")
- commit 5fe218b
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("arm/xen: Fix some refcount leaks")
- commit e7dd5e5
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: sama7g5: Remove unused properties in i2c nodes")
- commit 8a32969
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: fix low limit for CPU regulator")
- commit 51d5738
* Mon Feb 20 2023 iivanov@suse.de
- ARM: remove some dead code (git-fixes)
- commit f7ced4a
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: 9179/1: uaccess: avoid alignment faults in")
- commit ac48f9d
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: gpio-ranges property is now required")
- commit 8e50da0
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("Revert "ARM: 9070/1: Make UNWINDER_ARM depend on ld.bfd or ld.lld")
- commit 6e45b56
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("Documentation, arch: Remove leftovers from CIFS_WEAK_PW_HASH")
- commit db21aa5
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: dts: at91: update alternate function of signal PD20")
- commit 638e70e
* Mon Feb 20 2023 iivanov@suse.de
- ARM: imx: rename DEBUG_IMX21_IMX27_UART to DEBUG_IMX27_UART (git-fixes)
- commit b3c9eb5
* Mon Feb 20 2023 iivanov@suse.de
- ARM: shmobile: rcar-gen2: Add missing of_node_put() (git-fixes)
- commit 255b829
* Mon Feb 20 2023 iivanov@suse.de
- kmap_local: don't assume kmap PTEs are linear arrays in memory (git-fixes)
  Update config/armv7hl/default too.
- commit 4f3ffba
* Mon Feb 20 2023 iivanov@suse.de
- ARM: dts: stm32: use usbphyc ck_usbo_48m as USBH OHCI clock on (git-fixes)
- commit 9fe9f3d
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("ARM: 9131/1: mm: Fix PXN process with LPAE feature")
- commit 401f82c
* Mon Feb 20 2023 iivanov@suse.de
- blacklist.conf: ("Revert "ARM: rethook: Add rethook arm implementation"")
- commit 9d83e14
* Mon Feb 20 2023 jlee@suse.com
- Update config files. (bsc#1198101)
  Using CONFIG_LOCK_DOWN_KERNEL_FORCE_INTEGRITY instead of
  CONFIG_LOCK_DOWN_KERNEL_FORCE_NONE because Microsoft signed shim be
  used to load vanilla kernel.
- commit 924d3f9
* Mon Feb 20 2023 tzimmermann@suse.com
- drm/vmwgfx: Avoid NULL-ptr deref in vmw_cmd_dx_define_query() (bsc#1203331 CVE-2022-38096)
- commit 1c4885c
* Fri Feb 17 2023 mkoutny@suse.com
- Rename patch filenames for SLE15-SP4
  Invocation of scripts/renamepatches for smoother upcoming merge of
  SLE15-SP4.
- commit 93fe69a
* Fri Feb 17 2023 lhenriques@suse.de
- blacklist: add commit 752f59637128 ("docs: filesystems: update netfs-api.rst reference")
- commit b636a21
* Fri Feb 17 2023 lhenriques@suse.de
- fscache_cookie_enabled: check cookie is valid before accessing
  it (bsc#1208429).
- commit eb9d928
* Fri Feb 17 2023 lhenriques@suse.de
- ceph: flush cap releases when the session is flushed
  (bsc#1208428).
- commit 6cc818b
* Fri Feb 17 2023 colyli@suse.de
- block, bfq: fix uaf for bfqq in bic_set_bfqq() (git-fixes).
- blk-cgroup: fix missing pd_online_fn() while activating policy
  (git-fixes).
- block: don't allow splitting of a REQ_NOWAIT bio (git-fixes).
- block: mq-deadline: Rename deadline_is_seq_writes() (git-fixes).
- blk-mq: fix possible memleak when register 'hctx' failed
  (git-fixes).
- block: mq-deadline: Do not break sequential write streams to
  zoned HDDs (git-fixes).
- block: clear ->slave_dir when dropping the main slave_dir
  reference (git-fixes).
- md/raid1: stop mdx_raid1 thread when raid1 array run failed
  (git-fixes).
- md: fix a crash in mempool_free (git-fixes).
- md/bitmap: Fix bitmap chunk size overflow issues (git-fixes).
- drivers/md/md-bitmap: check the return value of
  md_bitmap_get_counter() (git-fixes).
- block/bfq-iosched.c: use "false" rather than "BLK_RW_ASYNC"
  (git-fixes).
- block: fix and cleanup bio_check_ro (git-fixes).
- commit 1404ba9
* Fri Feb 17 2023 colyli@suse.de
- blacklist.conf: add git-fixes commit which won't be backported
- commit 9c78c8a
* Fri Feb 17 2023 tbogendoerfer@suse.de
- net: mana: Assign interrupts to CPUs based on NUMA nodes
  (bsc#1208153).
- Refresh
  patches.suse/net-mana-Fix-IRQ-name-add-PCI-and-queue-number.patch.
- commit e0863ac
* Fri Feb 17 2023 tbogendoerfer@suse.de
- net: mana: Fix accessing freed irq affinity_hint (bsc#1208153).
- genirq: Provide new interfaces for affinity hints (bsc#1208153).
- commit b973d25
* Fri Feb 17 2023 colyli@suse.de
- Revert "block: freeze the queue earlier in del_gendisk"
  (git-fixes).
- blk-mq: Fix kmemleak in blk_mq_init_allocated_queue (git-fixes).
- block: Fix possible memory leak for rq_wb on add_disk failure
  (git-fixes).
- block: fix memory leak for elevator on add_disk failure
  (git-fixes).
- blk-mq: fix null pointer dereference in
  blk_mq_clear_rq_mapping() (git-fixes).
- block: fix leaking minors of hidden disks (git-fixes).
- blk-throttle: fix that io throttle can only work for single bio
  (git-fixes).
- Revert "block: freeze the queue earlier in del_gendisk"
  (git-fixes).
- blk-lib: fix blkdev_issue_secure_erase (git-fixes).
- blk-mq: run queue no matter whether the request is the last
  request (git-fixes).
- nbd: add missing definition of pr_fmt (git-fixes).
- commit 6b26f6b
* Fri Feb 17 2023 colyli@suse.de
- block: don't allow the same type rq_qos add more than once
  (git-fixes).
- Refresh for the above change,
  patches.suse/0011-blk-wbt-call-rq_qos_add-after-wb_normal-is-initializ.patch.
- commit 4567c7a
* Fri Feb 17 2023 colyli@suse.de
- block: fix default IO priority handling again (git-fixes).
- commit 096c24a
* Fri Feb 17 2023 colyli@suse.de
- lib/sbitmap: Fix invalid loop in __sbitmap_queue_get_batch()
  (git-fixes).
- block: pop cached rq before potentially blocking
  rq_qos_throttle() (git-fixes).
- block: null_blk: Fix null_zone_write() (git-fixes).
- bcache: fix wrong bdev parameter when calling bio_alloc_clone()
  in do_bio_hook() (git-fixes).
- bcache: put bch_bio_map() back to correct location in
  journal_write_unlocked() (git-fixes).
- loop: fix ioctl calls using compat_loop_info (git-fixes).
- block: loop:use kstatfs.f_bsize of backing file to set discard
  granularity (git-fixes).
- bcache: Revert "bcache: use bvec_virt" (git-fixes).
- commit f1533d7
* Fri Feb 17 2023 colyli@suse.de
- nbd: Fix hungtask when nbd_config_put (git-fixes).
- Refresh for the above change,
  patches.suse/0002-nbd-fix-possible-overflow-on-first_minor-in-nbd_dev_.patch.
  patches.suse/0015-nbd-Fix-hung-on-disconnect-request-if-socket-is-closed-before.patch.
- commit 955220c
* Fri Feb 17 2023 tiwai@suse.de
- drm/amd/display: Fail atomic_check early on normalize_zpos error
  (git-fixes).
- net/usb: kalmia: Don't pass act_len in usb_bulk_msg error path
  (git-fixes).
- net: openvswitch: fix possible memory leak in
  ovs_meter_cmd_set() (git-fixes).
- commit 305b479
* Thu Feb 16 2023 lhenriques@suse.de
- ceph: flush cap releases when the session is flushed
  (jsc#SES-1880).
- ceph: blocklist the kclient when receiving corrupted snap trace
  (jsc#SES-1880).
- ceph: move mount state enum to super.h (jsc#SES-1880).
- ceph: try to check caps immediately after async creating
  finishes (jsc#SES-1880).
- ceph: remove useless session parameter for check_caps()
  (jsc#SES-1880).
- ceph: use locks_inode_context helper (jsc#SES-1880).
- commit 0bc961f
* Thu Feb 16 2023 tzimmermann@suse.de
- Set references for "drm/vmwgfx: Validate the box size for the snooped cursor" (bsc#1203332 CVE-2022-36280)
- commit 9d6fa3b
* Thu Feb 16 2023 tzimmermann@suse.de
- Set references for "drm/vmwgfx: Validate the box size for the snooped cursor" (bsc#1203332 CVE-2022-36280)
- commit 0ae8ff1
* Thu Feb 16 2023 colyli@suse.de
- blacklist.conf: add git-fixes commits which won't be backported
- commit 7b7f4d0
* Thu Feb 16 2023 krisman@suse.de
- io_uring: ensure that cached task references are always put
  on exit (git-fixes).
- commit 23f3718
* Thu Feb 16 2023 krisman@suse.de
- io_uring: recycle kbuf recycle on tw requeue (git-fixes).
- io_uring/kbuf: fix not advancing READV kbuf ring (git-fixes).
- commit 20f7c7d
* Wed Feb 15 2023 krisman@suse.de
- io_uring/fdinfo: fix sqe dumping for IORING_SETUP_SQE128
  (git-fixes).
- commit e28942d
* Wed Feb 15 2023 krisman@suse.de
- io_uring: fix CQ waiting timeout handling (git-fixes).
- io_uring: fix ordering of args in io_uring_queue_async_work
  (git-fixes).
- commit efc9ab1
* Wed Feb 15 2023 mkoutny@suse.com
- Update kabi files.
  Add arm64 64kb flavor, based on daily build 5.14.21-150500.9.1.g9b76281.aarch64.rpm
- commit 2a6f1f8
* Wed Feb 15 2023 mhocko@suse.com
- exit: Use READ_ONCE() for all oops/warn limit reads
  (bsc#1207328).
- exit: Allow oops_limit to be disabled (bsc#1207328).
- commit 75afc24
* Wed Feb 15 2023 mhocko@suse.com
- panic: Introduce warn_limit (bsc#1207328).
- panic: Consolidate open-coded panic_on_warn checks
  (bsc#1207328).
- kasan: no need to unset panic_on_warn in end_report()
  (bsc#1207328).
- ubsan: no need to unset panic_on_warn in ubsan_epilogue()
  (bsc#1207328).
- panic: unset panic_on_warn inside panic() (bsc#1207328).
- commit 2d71785
* Wed Feb 15 2023 mhocko@suse.com
- Update
  patches.suse/0001-exit-Put-an-upper-limit-on-how-often-we-can-oops.patch
  (bsc#1207328, bsc#1208290).
- commit d66a2b6
* Wed Feb 15 2023 tiwai@suse.de
- usb: core: add quirk for Alcor Link AK9563 smartcard reader
  (git-fixes).
- drm/i915: Fix VBT DSI DVO port handling (git-fixes).
- commit d08ee1f
* Tue Feb 14 2023 mhocko@suse.com
- exit: Move force_uaccess back into do_exit (bsc#1207328).
- blacklist.conf: blacklist fixups for unsupported arches
- exit: Guarantee make_task_dead leaks the tsk when calling
  do_task_exit (bsc#1207328).
- objtool: Add a missing comma to avoid string concatenation
  (bsc#1207328).
- commit a5e521f
* Tue Feb 14 2023 mkoutny@suse.com
- Rename patch filenames for SLE15-SP4
  Invocation of scripts/renamepatches for smoother upcoming merge of
  SLE15-SP4.
- commit 87b2aad
* Tue Feb 14 2023 mhocko@suse.com
- exit: Put an upper limit on how often we can oops (bsc#1207328).
- sysctl: add a new register_sysctl_init() interface
  (bsc#1207328).
- exit: Stop poorly open coding do_task_dead in make_task_dead
  (bsc#1207328).
- exit: Move oops specific logic from do_exit into make_task_dead
  (bsc#1207328).
- exit: Add and use make_task_dead (bsc#1207328).
- commit b158add
* Tue Feb 14 2023 mkoutny@suse.com
- blacklist.conf: Add 4a7ba45b1a43 memcg: fix possible use-after-free in memcg_write_event_control()
- commit 6452dee
* Tue Feb 14 2023 tbogendoerfer@suse.de
- net: mana: Fix IRQ name - add PCI and queue number
  (bsc#1207875).
- commit da88ecc
* Tue Feb 14 2023 jslaby@suse.cz
- x86/boot: Avoid using Intel mnemonics in AT&T syntax asm
  (git-fixes).
- x86/asm: Fix an assembler warning with current binutils
  (git-fixes).
- x86/kprobes: Fix optprobe optimization check with CONFIG_RETHUNK
  (git-fixes).
- x86/kprobes: Fix kprobes instruction boudary check with
  CONFIG_RETHUNK (git-fixes).
- x86/kvm: Remove unused virt to phys translation in
  kvm_guest_cpu_init() (git-fixes).
- x86/microcode/intel: Do not retry microcode reloading on the
  APs (git-fixes).
- x86/MCE/AMD: Clear DFR errors found in THR handler (git-fixes).
- signal/vm86_32: Properly send SIGSEGV when the vm86 state
  cannot be saved (git-fixes).
- x86: ACPI: cstate: Optimize C3 entry on AMD CPUs (git-fixes).
- commit e419e31
* Tue Feb 14 2023 jslaby@suse.cz
- blacklist.conf: add some x86 entries
- commit a9b7553
* Tue Feb 14 2023 jslaby@suse.cz
- x86/bugs: Flush IBP in ib_prctl_set() (bsc#1207773
  CVE-2023-0045).
- commit e08d6f4
* Tue Feb 14 2023 vbabka@suse.cz
- Fix page corruption caused by racy check in __free_pages
  (bsc#1208149).
- commit 4cd4141
* Tue Feb 14 2023 vbabka@suse.cz
- Fix page corruption caused by racy check in __free_pages
  (bsc#1208149).
- commit 28d64fc
* Tue Feb 14 2023 clin@suse.com
- ipmi:ssif: Add a timer between request retries (bsc#1206459).
- ipmi:ssif: Remove rtc_us_timer (bsc#1206459).
- ipmi_ssif: Rename idle state and check (bsc#1206459).
- ipmi:ssif: resend_msg() cannot fail (bsc#1206459).
- commit a36b0e7
* Tue Feb 14 2023 clin@suse.com
- Delete
  patches.suse/ipmi-ssif-Add-60ms-time-internal-between-write-retri.patch.
- commit 2fa3c94
* Tue Feb 14 2023 clin@suse.com
- ipmi:ssif: Add a timer between request retries (bsc#1206459).
- ipmi:ssif: Remove rtc_us_timer (bsc#1206459).
- ipmi_ssif: Rename idle state and check (bsc#1206459).
- ipmi:ssif: resend_msg() cannot fail (bsc#1206459).
- commit b0ebf1b
* Tue Feb 14 2023 clin@suse.com
- Delete
  patches.suse/ipmi-ssif-Add-60ms-time-internal-between-write-retri.patch.
- commit 8704cd7
* Mon Feb 13 2023 nmorey@suse.com
- RDMA/usnic: use iommu_map_atomic() under spin_lock() (git-fixes)
- commit af04c13
* Mon Feb 13 2023 nmorey@suse.com
- RDMA/irdma: Fix potential NULL-ptr-dereference (git-fixes)
- commit c54f45a
* Mon Feb 13 2023 nmorey@suse.com
- IB/IPoIB: Fix legacy IPoIB due to wrong number of queues (git-fixes)
- commit 16b662e
* Mon Feb 13 2023 nmorey@suse.com
- IB/hfi1: Restore allocated resources on failed copyout (git-fixes)
- commit ccc63fc
* Mon Feb 13 2023 nmorey@suse.com
- [infiniband] READ is "data destination", not source... (git-fixes)
- commit e72e699
* Mon Feb 13 2023 petr.pavlu@suse.com
- bpf: Fix a possible task gone issue with
  bpf_send_signal[_thread]() helpers (git-fixes).
- commit 6dd7272
* Mon Feb 13 2023 petr.pavlu@suse.com
- bpf: Skip task with pid=1 in send_signal_common() (git-fixes).
- commit e9da05e
* Mon Feb 13 2023 petr.pavlu@suse.com
- tracing: Fix poll() and select() do not work on per_cpu
  trace_pipe and trace_pipe_raw (git-fixes).
- commit 6d2cfdd
* Mon Feb 13 2023 petr.pavlu@suse.com
- trace_events_hist: add check for return value of
  'create_hist_field' (git-fixes).
- commit 6dd7173
* Mon Feb 13 2023 petr.pavlu@suse.com
- tracing: Make sure trace_printk() can output as soon as it
  can be used (git-fixes).
- commit cac7b63
* Mon Feb 13 2023 pjakobsson@suse.de
- drm/i915/dg2: Drop force_probe requirement (bsc#1208203
  jsc#PED-1218).
- commit 4a027ed
* Mon Feb 13 2023 ailiop@suse.com
- xfs: get root inode correctly at bulkstat (git-fixes).
- commit 9ce516e
* Mon Feb 13 2023 ailiop@suse.com
- xfs: get rid of assert from xfs_btree_islastblock (git-fixes).
- commit e57f9b7
* Mon Feb 13 2023 ailiop@suse.com
- xfs: fix incorrect i_nlink caused by inode racing (git-fixes).
- commit c3d3d8a
* Mon Feb 13 2023 ailiop@suse.com
- xfs: fix incorrect error-out in xfs_remove (git-fixes).
- commit 02b6bac
* Mon Feb 13 2023 ailiop@suse.com
- xfs: initialize the check_owner object fully (git-fixes).
- commit 546b660
* Mon Feb 13 2023 ailiop@suse.com
- xfs: Fix unreferenced object reported by kmemleak in
  xfs_sysfs_init() (git-fixes).
- commit 74fa058
* Mon Feb 13 2023 ailiop@suse.com
- xfs: fix memory leak in xfs_errortag_init (git-fixes).
- commit 2209123
* Mon Feb 13 2023 ailiop@suse.com
- xfs: reject crazy array sizes being fed to XFS_IOC_GETBMAP*
  (git-fixes).
- commit 771f028
* Mon Feb 13 2023 ailiop@suse.com
- xfs: return errors in xfs_fs_sync_fs (git-fixes).
- commit eac1dda
* Mon Feb 13 2023 ailiop@suse.com
- xfs: prevent a WARN_ONCE() in xfs_ioc_attr_list() (git-fixes).
- commit b33153c
* Mon Feb 13 2023 ailiop@suse.com
- xfs: fix maxlevels comparisons in the btree staging code
  (git-fixes).
- commit fe32862
* Mon Feb 13 2023 ailiop@suse.com
- xfs: estimate post-merge refcounts correctly (bsc#1208183).
- commit 5ea2f7f
* Mon Feb 13 2023 ailiop@suse.com
- xfs: hoist refcount record merge predicates (bsc#1208183).
- commit 295092d
* Mon Feb 13 2023 petr.pavlu@suse.com
- module: Don't wait for GOING modules (bsc#1196058, bsc#1186449,
  bsc#1204356, bsc#1204662).
- commit 4544b7b
* Mon Feb 13 2023 colyli@suse.de
- Update config files to enable CONFIG_IMA_DISABLE_HTABLE (bsc#1207301)
- ppc64le/default, arm64/default, armv7hl/default,s390x/default,
  x86_64/default
- commit c4d15e7
* Mon Feb 13 2023 tiwai@suse.de
- usb: typec: altmodes/displayport: Fix probe pin assign check
  (git-fixes).
- commit 26849f9
* Mon Feb 13 2023 colyli@suse.de
- nvdimm: disable namespace on error (bsc#1166486).
- commit d2b1bbc
* Mon Feb 13 2023 colyli@suse.de
- nvdimm: disable namespace on error (bsc#1166486).
- commit 195740e
* Sun Feb 12 2023 tiwai@suse.de
- spi: dw: Fix wrong FIFO level setting for long xfers
  (git-fixes).
- commit 81770af
* Sat Feb 11 2023 tiwai@suse.de
- ALSA: hda/realtek: Add Positivo N14KP6-TG (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs don't work for a HP
  platform (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS UM3402 using CS35L41
  (git-fixes).
- ALSA: hda/realtek: Enable mute/micmute LEDs on HP Elitebook,
  645 G9 (git-fixes).
- ALSA: hda/realtek: Fix the speaker output on Samsung Galaxy
  Book2 Pro 360 (git-fixes).
- commit 58ec4c2
* Sat Feb 11 2023 tiwai@suse.de
- clk: ingenic: jz4760: Update M/N/OD calculation algorithm
  (git-fixes).
- pinctrl: intel: Restore the pins that used to be in Direct
  IRQ mode (git-fixes).
- pinctrl: single: fix potential NULL dereference (git-fixes).
- pinctrl: aspeed: Fix confusing types in return value
  (git-fixes).
- pinctrl: mediatek: Fix the drive register definition of some
  Pins (git-fixes).
- arm64: dts: meson-gx: Make mmc host controller interrupts
  level-sensitive (git-fixes).
- arm64: dts: meson-g12-common: Make mmc host controller
  interrupts level-sensitive (git-fixes).
- arm64: dts: meson-axg: Make mmc host controller interrupts
  level-sensitive (git-fixes).
- ASoC: topology: Return -ENOMEM on memory allocation failure
  (git-fixes).
- ALSA: emux: Avoid potential array out-of-bound in
  snd_emux_xg_control() (git-fixes).
- ALSA: pci: lx6464es: fix a debug loop (git-fixes).
- commit 1f306c4
* Fri Feb 10 2023 denis.kirjanov@suse.com
- qlcnic: prevent ->dcb use-after-free on qlcnic_dcb_enable()
  failure (jsc#PED-1523).
- commit d6be7f9
* Fri Feb 10 2023 denis.kirjanov@suse.com
- qlcnic: Clean up some inconsistent indenting (jsc#PED-1523).
- commit 721c552
* Fri Feb 10 2023 denis.kirjanov@suse.com
- drivers: net: qlcnic: Fix potential memory leak in
  qlcnic_sriov_init() (jsc#PED-1523).
- commit 821568b
* Fri Feb 10 2023 tiwai@suse.de
- drm/i915: Initialize the obj flags for shmem objects
  (git-fixes).
- drm/virtio: exbuf->fence_fd unmodified on interrupted wait
  (git-fixes).
- drm/amdgpu/fence: Fix oops due to non-matching drm_sched
  init/fini (git-fixes).
- selftests: forwarding: lib: quote the sysctl values (git-fixes).
- can: j1939: do not wait 250 ms if the same addr was already
  claimed (git-fixes).
- net: USB: Fix wrong-direction WARNING in plusb.c (git-fixes).
- net: phy: meson-gxl: use MMD access dummy stubs for GXL,
  internal PHY (git-fixes).
- efi: Accept version 2 of memory attributes table (git-fixes).
- selftests: net: udpgso_bench_tx: Cater for pending datagrams
  zerocopy benchmarking (git-fixes).
- selftests: net: udpgso_bench: Fix racing bug between the rx/tx
  programs (git-fixes).
- selftests: net: udpgso_bench_rx/tx: Stop when wrong CLI args
  are provided (git-fixes).
- selftests: net: udpgso_bench_rx: Fix 'used uninitialized'
  compiler warning (git-fixes).
- ASoC: Intel: bytcht_es8316: Drop reference count of ACPI device
  after use (git-fixes).
- i2c: rk3x: fix a bunch of kernel-doc warnings (git-fixes).
- i2c: mxs: suppress probe-deferral error message (git-fixes).
- i2c: designware-pci: Add new PCI IDs for AMD NAVI GPU
  (git-fixes).
- drm/amd/display: Fix timing not changning when freesync video
  is enabled (git-fixes).
- platform/x86: gigabyte-wmi: add support for B450M DS3H WIFI-CF
  (git-fixes).
- platform/x86: dell-wmi: Add a keymap for KEY_MUTE in type
  0x0010 table (git-fixes).
- net/x25: Fix to not accept on connected socket (git-fixes).
- fbdev: smscufx: fix error handling code in ufx_usb_probe
  (git-fixes).
- ASoC: Intel: bytcht_es8316: move comment to the right place
  (git-fixes).
- ASoC: Intel: boards: fix spelling in comments (git-fixes).
- commit 3e5740a
* Thu Feb  9 2023 iivanov@suse.de
- watchdog/hpwdt: Enable HP_WATCHDOG for ARM64 systems. (jsc#PED-3210)
  Also enable module in aarch64 default configuration.
- commit 75d6ed8
* Thu Feb  9 2023 jack@suse.cz
- mbcache: Fixup kABI of mb_cache_entry (bsc#1207653).
- commit fa7eb4a
* Thu Feb  9 2023 mkoutny@suse.com
- block: fix missing blkcg_bio_issue_init (bsc#1208107).
- commit d928e31
* Thu Feb  9 2023 mkoutny@suse.com
- blk-cgroup: properly pin the parent in blkcg_css_online
  (bsc#1208105).
- commit 5dc2a34
* Thu Feb  9 2023 jack@suse.cz
- jbd2: Fix up kABI of ext4 fast commit interface (bsc#1207590).
- commit 6fe03db
* Thu Feb  9 2023 msuchanek@suse.de
- blacklist.conf: Add inapplicable ppc fixes
- commit 27b4e1f
* Thu Feb  9 2023 msuchanek@suse.de
- blacklist.conf: Add more unsupported ppc architecture paths
- commit 7ff8dae
* Thu Feb  9 2023 tiwai@suse.de
- ACPI: x86: s2idle: Stop using AMD specific codepath for
  Rembrandt+ (bsc#1206224).
- ACPI: x86: s2idle: Force AMD GUID/_REV 2 on HP Elitebook 865
  (bsc#1206224).
- ACPI: x86: s2idle: Add another ID to s2idle_dmi_table
  (bsc#1206224).
- ACPI: x86: s2idle: Fix a NULL pointer dereference (bsc#1206224).
- ACPI: x86: s2idle: Add a quirk for ASUSTeK COMPUTER INC. ROG
  Flow X13 (bsc#1206224).
- ACPI: x86: s2idle: Add a quirk for Lenovo Slim 7 Pro 14ARH7
  (bsc#1206224).
- ACPI: x86: s2idle: Add a quirk for ASUS ROG Zephyrus G14
  (bsc#1206224).
- ACPI: x86: s2idle: Add a quirk for ASUS TUF Gaming A17 FA707RE
  (bsc#1206224).
- ACPI: x86: s2idle: Add module parameter to prefer Microsoft GUID
  (bsc#1206224).
- ACPI: x86: s2idle: If a new AMD _HID is missing assume Rembrandt
  (bsc#1206224).
- ACPI: x86: s2idle: Move _HID handling for AMD systems into
  structures (bsc#1206224).
- ACPI: PM: s2idle: Use LPS0 idle if ACPI_FADT_LOW_POWER_S0 is
  unset (bsc#1206224).
- ACPI: PM: s2idle: Add support for upcoming AMD uPEP HID AMDI008
  (bsc#1206224).
- commit 35655fa
* Thu Feb  9 2023 tiwai@suse.de
- of/address: Return an error when no valid dma-ranges are found
  (git-fixes).
- usb: gadget: f_hid: fix refcount leak on error path (git-fixes).
- commit 787429a
* Wed Feb  8 2023 palcantara@suse.de
- cifs: do not include page data when checking signature
  (git-fixes).
- commit 371ed21
* Wed Feb  8 2023 mkubecek@suse.cz
- net: sched: fix race condition in qdisc_graft() (CVE-2023-0590
  bsc#1207795).
- net_sched: add __rcu annotation to netdev->qdisc (CVE-2023-0590
  bsc#1207795).
- commit 37e8915
* Wed Feb  8 2023 denis.kirjanov@suse.com
- aquantia: Do not purge addresses when setting the number of
  rings (jsc#PED-1530).
- commit 39a03b2
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: macsec: clear encryption keys from the stack
  (jsc#PED-1530).
- commit 643f719
* Wed Feb  8 2023 denis.kirjanov@suse.com
- atlantic: fix deadlock at aq_nic_stop (jsc#PED-1530).
- commit 4a9a64f
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: fix potential memory leak in aq_ndev_close()
  (jsc#PED-1530).
- commit 719db2f
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: remove aq_nic_deinit() when resume
  (jsc#PED-1530).
- commit ff2f581
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: remove deep parameter on suspend/resume functions
  (jsc#PED-1530).
- commit 9e96b4d
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic:fix repeated words in comments (jsc#PED-1530).
- commit d6d4ffb
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: verify hw_head_ lies within TX buffer ring
  (jsc#PED-1530).
- commit 7059ede
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: add check for MAX_SKB_FRAGS (jsc#PED-1530).
- commit e719b81
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: reduce scope of is_rsc_complete (jsc#PED-1530).
- commit b04c254
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: atlantic: fix "frag[0] not initialized" (jsc#PED-1530).
- commit 0263576
* Wed Feb  8 2023 oneukum@suse.com
- r8152: add vendor/device ID pair for Microsoft Devkit
  (git-fixes).
- commit 13ad6ed
* Wed Feb  8 2023 oneukum@suse.com
- net: usb: cdc_ether: add support for Thales Cinterion PLS62-W
  modem (git-fixes).
- commit fec8d1b
* Wed Feb  8 2023 oneukum@suse.com
- usb: gadget: udc: do not clear gadget driver.bus (git-fixes).
- commit 171d9b2
* Wed Feb  8 2023 oneukum@suse.com
- blacklist.conf: infrastructure, not a fix
- commit 785a53a
* Wed Feb  8 2023 oneukum@suse.com
- xhci: Fix null pointer dereference when host dies (git-fixes).
- commit ca28ad0
* Wed Feb  8 2023 oneukum@suse.com
- xhci-pci: set the dma max_seg_size (git-fixes).
- commit c025ff3
* Wed Feb  8 2023 denis.kirjanov@suse.com
- Update
  patches.suse/net-sched-cbq-dont-intepret-cls-results-when-asked-t.patch
  (bsc#1207361 bsc#1207036 CVE-2023-23454).
- commit 521fdca
* Wed Feb  8 2023 denis.kirjanov@suse.com
- Update
  patches.suse/net-sched-atm-dont-intepret-cls-results-when-asked-t.patch
  (bsc#1207361 bc#1207125 CVE-2023-23455).
- commit c8b6243
* Wed Feb  8 2023 oneukum@suse.com
- usb: gadget: f_hid: fix f_hidg lifetime vs cdev (git-fixes).
- commit b8e6a95
* Wed Feb  8 2023 ohering@suse.de
- Remove duplicate Git-commit tag in patch file
- commit e53c839
* Wed Feb  8 2023 dwagner@suse.de
- nvmet-auth: add missing goto in nvmet_setup_auth() (bsc#1207050
  CVE-2023-0122).
- commit bf95e5e
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: sched: atm: dont intepret cls results when asked to drop
  (bsc#1207125 CVE-2023-23455).
- commit 7c3cc04
* Wed Feb  8 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 2978c58
* Wed Feb  8 2023 denis.kirjanov@suse.com
- net: sched: cbq: dont intepret cls results when asked to drop
  (bsc#1207036 CVE-2023-23454).
- commit 6b9dae7
* Wed Feb  8 2023 ddiss@suse.de
- io_uring/poll: fix poll_refs race with cancelation (bsc#1207511
  CVE-2023-0468).
- io_uring: make poll refs more robust (bsc#1207511
  CVE-2023-0468).
- io_uring: cmpxchg for poll arm refs release (bsc#1207511
  CVE-2023-0468).
- io_uring: fix tw losing poll events (bsc#1207511 CVE-2023-0468).
- io_uring: update res mask in io_poll_check_events (bsc#1207511
  CVE-2023-0468).
- commit 4fe9bfe
* Tue Feb  7 2023 krisman@suse.de
- io_uring: pass in EPOLL_URING_WAKE for eventfd signaling and
  wakeups (bsc#1207100).
- eventfd: provide a eventfd_signal_mask() helper (bsc#1207100).
- eventpoll: add EPOLL_URING_WAKE poll wakeup flag (bsc#1207100).
- commit 9e5a117
* Tue Feb  7 2023 ohering@suse.de
- scsi: storvsc: Correct reporting of Hyper-V I/O size limits
  (git-fixes).
- commit 7c7cc75
* Tue Feb  7 2023 ohering@suse.de
- drm/hyperv: Add error message for fb size greater than allocated
  (git-fixes).
- commit cafd34d
* Tue Feb  7 2023 tbogendoerfer@suse.de
- RDMA/core: Fix ib block iterator counter overflow (bsc#1207878).
- commit 6de96d2
* Tue Feb  7 2023 tiwai@suse.de
- ASoC: Intel: bytcr_rt5640: Drop reference count of ACPI device
  after use (git-fixes).
- ASoC: Intel: bytcht_es8316: Drop reference count of ACPI device
  after use (git-fixes).
- mei: bus: fix unlink on bus in error path (git-fixes).
- ASoC: Intel: Skylake: Fix driver hang during shutdown
  (git-fixes).
- bus: mhi: host: Fix race between channel preparation and M0
  event (git-fixes).
- crypto: qat - fix error return code in adf_probe (git-fixes).
- crypto: hisilicon/qm - add missing pci_dev_put() in q_num_set()
  (git-fixes).
- Bluetooth: hci_core: fix error handling in hci_register_dev()
  (git-fixes).
- Bluetooth: hci_sync: cancel cmd_timer if hci_open failed
  (git-fixes).
- Bluetooth: hci_qca: Fix the teardown problem for real
  (git-fixes).
- Bluetooth: Fix crash when replugging CSR fake controllers
  (git-fixes).
- ASoC: rt1308-sdw: add the default value of some registers
  (git-fixes).
- commit 1ba130d
* Tue Feb  7 2023 tiwai@suse.de
- usb: typec: ucsi: Don't attempt to resume the ports before
  they exist (git-fixes).
- fpga: m10bmc-sec: Fix probe rollback (git-fixes).
- ASoC: Intel: avs: Implement PCI shutdown (git-fixes).
- ASoC: Intel: sof_es8336: Drop reference count of ACPI device
  after use (git-fixes).
- ASoC: amd: acp-es8336: Drop reference count of ACPI device
  after use (git-fixes).
- ALSA: memalloc: Workaround for Xen PV (git-fixes).
- Bluetooth: hci_sync: Fix use HCI_OP_LE_READ_BUFFER_SIZE_V2
  (git-fixes).
- commit 68396c5
* Tue Feb  7 2023 colyli@suse.de
- Delete for regression addressed (bsc#1207933) patches.suse/0029-zram-do-not-lookup-algorithm-in-backends-table.patch.
- commit bebd4c7
* Tue Feb  7 2023 tbogendoerfer@suse.de
- net/mlx5: Dynamically resize flow counters query buffer
  (bsc#1195175).
- commit 6a283ad
* Tue Feb  7 2023 nmorey@suse.com
- IB/hfi1: Remove user expected buffer invalidate race (git-fixes)
- commit 02f72aa
* Tue Feb  7 2023 nmorey@suse.com
- IB/hfi1: Immediately remove invalid memory from hardware (git-fixes)
- commit 9a77ebc
* Tue Feb  7 2023 nmorey@suse.com
- IB/hfi1: Fix expected receive setup error exit issues (git-fixes)
- commit b274778
* Tue Feb  7 2023 nmorey@suse.com
- IB/hfi1: Reserve user expected TIDs (git-fixes)
- commit fe650ef
* Tue Feb  7 2023 nmorey@suse.com
- IB/hfi1: Reject a zero-length user expected buffer (git-fixes)
- commit 09b161d
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/core: Fix ib block iterator counter overflow (git-fixes)
- commit dd46f2f
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/rxe: Prevent faulty rkey generation (git-fixes)
- commit d9dabe6
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/mlx5: Fix validation of max_rd_atomic caps for DC (git-fixes)
- commit 3feb1bc
* Tue Feb  7 2023 vbabka@suse.cz
- Update kabi files from 5.14.21-150400.24.41.1 (January 2023 update).
- commit 2e08d61
* Tue Feb  7 2023 tbogendoerfer@suse.de
- net/tg3: resolve deadlock in tg3_reset_task() during EEH
  (bsc#1207842).
- commit a65c09c
* Tue Feb  7 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit f264e1b
* Tue Feb  7 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit a5843b9
* Tue Feb  7 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 61ccddd
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/mlx5: Fix mlx5_ib_get_hw_stats when used for device (git-fixes)
- commit 06d39b7
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/srp: Move large values to a new enum for gcc13 (git-fixes)
- commit 1322a9f
* Tue Feb  7 2023 nmorey@suse.com
- RDMA: Handle the return code from dma_resv_wait_timeout() properly (git-fixes)
- commit 68f91e1
* Tue Feb  7 2023 tiwai@suse.de
- fbdev: Fix invalid page access after closing deferred I/O
  devices (bsc#1207284).
- commit 6a8d940
* Tue Feb  7 2023 tiwai@suse.de
- arm64: dts: imx8mq-thor96: fix no-mmc property for SDHCI
  (git-fixes).
- ARM: dts: vf610: Fix pca9548 i2c-mux node names (git-fixes).
- ARM: dts: imx: Fix pca9547 i2c-mux node name (git-fixes).
- dmaengine: imx-sdma: Fix a possible memory leak in
  sdma_transfer_init (git-fixes).
- HID: playstation: sanity check DualSense calibration data
  (git-fixes).
- extcon: usbc-tusb320: fix kernel-doc warning (git-fixes).
- selftests: Provide local define of __cpuid_count() (git-fixes).
- selftests/vm: remove ARRAY_SIZE define from individual tests
  (git-fixes).
- tools: fix ARRAY_SIZE defines in tools and selftests hdrs
  (git-fixes).
- commit fe9cb53
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/rxe: Fix inaccurate constants in rxe_type_info (git-fixes)
- commit 6a3687f
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/rxe: Fix oops with zero length reads (git-fixes)
- commit c904c2a
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/rxe: Make responder handle RDMA Read failures (git-fixes)
- commit 611caee
* Tue Feb  7 2023 nmorey@suse.com
- RDMA/rxe: Fix mr->map double free (git-fixes)
- commit f009f44
* Tue Feb  7 2023 jlee@suse.com
- ACPI: tables: Add support for NBFT (bsc#1206340).
- commit 3deca17
* Tue Feb  7 2023 clin@suse.com
- ipmi:ssif: Add 60ms time internal between write retries
  (bsc#1206459).
- ipmi:ssif: Increase the message retry time (bsc#1206459).
- commit 14626c0
* Mon Feb  6 2023 ohering@suse.de
- x86/hyperv: Remove unregister syscore call from Hyper-V cleanup
  (git-fixes).
- commit 905c5a6
* Mon Feb  6 2023 ohering@suse.de
- hv_netvsc: Fix missed pagebuf entries in netvsc_dma_map/unmap()
  (git-fixes).
- commit aae275a
* Mon Feb  6 2023 ohering@suse.de
- x86/hyperv: Restore VP assist page after cpu offlining/onlining
  (git-fixes).
- commit bd7d55d
* Mon Feb  6 2023 tabraham@suse.com
- Update patch tags
  - patches.suse/watchdog-diag288_wdt-do-not-use-stack-buffers-for-ha.patch
- patches.suse/watchdog-diag288_wdt-fix-__diag288-inline-assembly.patch
- commit 9dc3955
* Mon Feb  6 2023 msuchanek@suse.de
- powerpc/kexec_file: Count hot-pluggable memory in FDT estimate
  (bsc#1194869).
- powerpc/64s/radix: Fix RWX mapping with relocated kernel
  (bsc#1194869).
- powerpc/64s/radix: Fix crash with unaligned relocated kernel
  (bsc#1194869).
- powerpc/kexec_file: Fix division by zero in extra size
  estimation (bsc#1194869).
- powerpc: move __end_rodata to cover arch read-only sections
  (bsc#1194869).
- powerpc/vmlinux.lds: Add an explicit symbol for the SRWX
  boundary (bsc#1194869).
- powerpc/vmlinux.lds: Ensure STRICT_ALIGN_SIZE is at least page
  aligned (bsc#1194869).
- commit 9e11a71
* Mon Feb  6 2023 msuchanek@suse.de
- powerpc/64s: Fix local irq disable when PMIs are disabled
  (bsc#1195655 ltc#1195655 git-fixes).
- commit 42a147d
* Mon Feb  6 2023 tiwai@suse.de
- usb: gadget: f_uac2: Fix incorrect increment of bNumEndpoints
  (git-fixes).
- usb: gadget: f_fs: Fix unbalanced spinlock in
  __ffs_ep0_queue_wait (git-fixes).
- usb: dwc3: qcom: enable vbus override when in OTG dr-mode
  (git-fixes).
- vc_screen: move load of struct vc_data pointer in vcs_read()
  to avoid UAF (git-fixes).
- serial: 8250_dma: Fix DMA Rx rearm race (git-fixes).
- iio: imu: fxos8700: fix MAGN sensor scale and unit (git-fixes).
- iio: imu: fxos8700: remove definition FXOS8700_CTRL_ODR_MIN
  (git-fixes).
- iio: imu: fxos8700: fix failed initialization ODR mode
  assignment (git-fixes).
- iio: imu: fxos8700: fix incorrect ODR mode readback (git-fixes).
- iio: hid: fix the retval in gyro_3d_capture_sample (git-fixes).
- iio: hid: fix the retval in accel_3d_capture_sample (git-fixes).
- iio:adc:twl6030: Enable measurement of VAC (git-fixes).
- iio: imu: fxos8700: fix ACCEL measurement range selection
  (git-fixes).
- iio: imu: fxos8700: fix IMU data bits returned to user space
  (git-fixes).
- iio: imu: fxos8700: fix incomplete ACCEL and MAGN channels
  readback (git-fixes).
- iio: imu: fxos8700: fix swapped ACCEL and MAGN channels readback
  (git-fixes).
- iio: imu: fxos8700: fix map label of channel type to MAGN sensor
  (git-fixes).
- iio:adc:twl6030: Enable measurements of VUSB, VBAT and others
  (git-fixes).
- iio: adc: berlin2-adc: Add missing of_node_put() in error path
  (git-fixes).
- iio: adc: stm32-dfsdm: fill module aliases (git-fixes).
- fpga: stratix10-soc: Fix return value check in
  s10_ops_write_init() (git-fixes).
- fbcon: Check font dimension limits (git-fixes).
- commit 0505fbb
* Sun Feb  5 2023 tiwai@suse.de
- Move upstreamed net patch into sorted section
- commit 6bb42b5
* Sun Feb  5 2023 tiwai@suse.de
- efi: fix potential NULL deref in efi_mem_reserve_persistent
  (git-fixes).
- drm/i915/adlp: Fix typo for reference clock (git-fixes).
- drm/i915: Fix potential bit_17 double-free (git-fixes).
- drm/vc4: hdmi: make CEC adapter name unique (git-fixes).
- commit 0b0e115
* Fri Feb  3 2023 msuchanek@suse.de
- ibmvnic: Toggle between queue types in affinity mapping
  (jsc#PED-2322).
- commit 03b696f
* Fri Feb  3 2023 tabraham@suse.com
- watchdog: diag288_wdt: do not use stack buffers for hardware
  data (bsc#1207497).
- commit 70827db
* Fri Feb  3 2023 tabraham@suse.com
- watchdog: diag288_wdt: fix __diag288() inline assembly
  (bsc#1207497).
- commit a36f04c
* Fri Feb  3 2023 fdmanana@suse.com
- btrfs: fix race between quota rescan and disable leading to
  NULL pointer deref (bsc#1207158).
- btrfs: fix race between quota enable and quota rescan ioctl
  (bsc#1207158).
- commit df99a9d
* Fri Feb  3 2023 fdmanana@suse.com
- btrfs: qgroup: remove outdated TODO comments (bsc#1207158).
- commit 0780574
* Fri Feb  3 2023 fdmanana@suse.com
- btrfs: qgroup: remove duplicated check in adding qgroup
  relations (bsc#1207158).
- commit 672de9e
* Fri Feb  3 2023 fdmanana@suse.com
- btrfs: move QUOTA_ENABLED check to rescan_should_stop from
  btrfs_qgroup_rescan_worker (bsc#1207158).
- commit 8a7e537
* Fri Feb  3 2023 tiwai@suse.de
- ata: libata: Fix sata_down_spd_limit() when no link speed is
  reported (git-fixes).
- can: j1939: fix errant WARN_ON_ONCE in j1939_session_deactivate
  (git-fixes).
- net: phy: meson-gxl: Add generic dummy stubs for MMD register
  access (git-fixes).
- netrom: Fix use-after-free caused by accept on already connected
  socket (git-fixes).
- net: phy: dp83822: Fix null pointer access on DP83825/DP83826
  devices (git-fixes).
- arm64: dts: imx8mm: Fix pad control for UART1_DTE_RX
  (git-fixes).
- bus: sunxi-rsb: Fix error handling in sunxi_rsb_init()
  (git-fixes).
- netrom: Fix use-after-free of a listening socket (git-fixes).
- commit 27bf187
* Fri Feb  3 2023 tiwai@suse.de
- ALSA: hda/realtek: Add Acer Predator PH315-54 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs, speaker don't work
  for a HP platform (git-fixes).
- commit 1379d54
* Thu Feb  2 2023 krisman@suse.de
- io_uring/filetable: fix file reference underflow (git-fixes
  bsc#1207521 CVE-2023-0469).
- commit 518523a
* Thu Feb  2 2023 tiwai@suse.de
- ASoC: Intel: bytcr_wm5102: Drop reference count of ACPI device
  after use (git-fixes).
- ASoC: Intel: bytcr_rt5651: Drop reference count of ACPI device
  after use (git-fixes).
- ALSA: hda/via: Avoid potential array out-of-bound in
  add_secret_dac_path() (git-fixes).
- firewire: fix memory leak for payload of request subaction to
  IEC 61883-1 FCP region (git-fixes).
- drm/i915/selftest: fix intel_selftest_modify_policy argument
  types (git-fixes).
- arm64: dts: qcom: msm8992-libra: Fix the memory map (git-fixes).
- drm/amd/display: fix issues with driver unload (git-fixes).
- ASoC: fsl-asoc-card: Fix naming of AC'97 CODEC widgets
  (git-fixes).
- ASoC: fsl_ssi: Rename AC'97 streams to avoid collisions with
  AC'97 CODEC (git-fixes).
- ASoC: fsl_micfil: Correct the number of steps on SX controls
  (git-fixes).
- cpufreq: armada-37xx: stop using 0 as NULL pointer (git-fixes).
- cpufreq: Add Tegra234 to cpufreq-dt-platdev blocklist
  (git-fixes).
- platform/x86: asus-nb-wmi: Add alternate mapping for
  KEY_SCREENLOCK (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the CSL Panther
  Tab HD (git-fixes).
- drm: Add orientation quirk for Lenovo ideapad D330-10IGL
  (git-fixes).
- r8152: add vendor/device ID pair for Microsoft Devkit
  (git-fixes).
- net: usb: cdc_ether: add support for Thales Cinterion PLS62-W
  modem (git-fixes).
- spi: spidev: remove debug messages that access spidev->spi
  without locking (git-fixes).
- drm/amdgpu: complete gfxoff allow signal during suspend without
  delay (git-fixes).
- i2c: mv64xxx: Add atomic_xfer method to driver (git-fixes).
- i2c: mv64xxx: Remove shutdown method from driver (git-fixes).
- thermal/core: Remove duplicate information when an error occurs
  (git-fixes).
- arm64: dts: qcom: msm8992-libra: Add CPU regulators (git-fixes).
- commit f0fb46a
* Thu Feb  2 2023 tiwai@suse.de
- drm/amd/display: Take emulated dc_sink into account for HDCP
  (bsc#1207734).
- commit bbfc833
* Wed Feb  1 2023 lduncan@suse.com
- scsi: Revert "scsi: core: map PQ=1, PDT=other values to
  SCSI_SCAN_TARGET_PRESENT" (git-fixes).
- commit 03470cd
* Wed Feb  1 2023 lduncan@suse.com
- scsi: hpsa: Fix allocation size for scsi_host_alloc()
  (git-fixes).
- scsi: ufs: core: Enable link lost interrupt (git-fixes).
- scsi: mpt3sas: Remove scsi_dma_map() error messages (git-fixes).
- scsi: ufs: Stop using the clock scaling lock in the error
  handler (git-fixes).
- commit 280e1ff
* Wed Feb  1 2023 lhenriques@suse.de
- Update config files.
  New config option CONFIG_CACHEFILES_ONDEMAND.
- commit ef23649
* Wed Feb  1 2023 lhenriques@suse.de
- fs: change test in inode_insert5 for adding to the sb list
  (jsc#SES-1880).
- commit 6570d82
* Wed Feb  1 2023 lhenriques@suse.de
- fscache: Fix oops due to race with cookie_lru and use_cookie
  (jsc#SES-1880).
- fscache: fix OOB Read in __fscache_acquire_volume
  (jsc#SES-1880).
- ceph: fix NULL pointer dereference for req->r_session
  (jsc#SES-1880).
- ceph: fix a NULL vs IS_ERR() check when calling
  ceph_lookup_inode() (jsc#SES-1880).
- ceph: fix incorrectly showing the .snap size for stat
  (jsc#SES-1880).
- ceph: fail the open_by_handle_at() if the dentry is being
  unlinked (jsc#SES-1880).
- ceph: increment i_version when doing a setattr with caps
  (jsc#SES-1880).
- ceph: Use kcalloc for allocating multiple elements
  (jsc#SES-1880).
- ceph: no need to wait for transition RDCACHE|RD -> RD
  (jsc#SES-1880).
- ceph: fail the request if the peer MDS doesn't support getvxattr
  op (jsc#SES-1880).
- ceph: wake up the waiters if any new caps comes (jsc#SES-1880).
- libceph: drop last_piece flag from ceph_msg_data_cursor
  (jsc#SES-1880).
- fscrypt: add fscrypt_context_for_new_inode (jsc#SES-1880).
- fscrypt: export fscrypt_fname_encrypt and
  fscrypt_fname_encrypted_size (jsc#SES-1880).
- commit 941f30a
* Wed Feb  1 2023 lhenriques@suse.de
- blacklist: remove ceph commits from the list
  aa1d627207ca ("ceph: Use kcalloc for allocating multiple elements")
  5bd76b8de5b7 ("ceph: fix NULL pointer dereference for req->r_session")
- commit 54964bf
* Tue Jan 31 2023 ohering@suse.de
- blacklist.conf: add drivers/video/fbdev/hyperv_fb.c
  This branch defaults to DRM.
- commit 35643e4
* Tue Jan 31 2023 ohering@suse.de
- x86/hyperv: Add constant HV_ISOLATION_TYPE_TDX (related to bug 1206453 and PED-3247).
- commit a452b5e
* Tue Jan 31 2023 clin@suse.com
- ipmi:ssif: Add 60ms time internal between write retries
  (bsc#1206459).
- ipmi:ssif: Increase the message retry time (bsc#1206459).
- commit 05eee5d
* Mon Jan 30 2023 jack@suse.cz
- Update tags
  patches.suse/ext4-Fix-check-for-block-being-out-of-directory-size.patch.
- commit 7dd4cb0
* Mon Jan 30 2023 jack@suse.cz
- ocfs2: rewrite error handling of ocfs2_fill_super (bsc#1207771).
- commit 117a059
* Mon Jan 30 2023 jack@suse.cz
- ocfs2: ocfs2_mount_volume does cleanup job before return error
  (bsc#1207770).
- commit dfd7632
* Mon Jan 30 2023 mhocko@suse.com
- mm: /proc/pid/smaps_rollup: fix no vma's null-deref
  (bsc#1207769).
- commit 20e2b2f
* Mon Jan 30 2023 jack@suse.cz
- ocfs2: quota_local: fix possible uninitialized-variable access
  in ocfs2_local_read_info() (bsc#1207768).
- commit 4b2997d
* Mon Jan 30 2023 petr.pavlu@suse.com
- btrfs: fix trace event name typo for FLUSH_DELAYED_REFS
  (git-fixes).
- commit db40f07
* Mon Jan 30 2023 petr.pavlu@suse.com
- tracing/hist: Fix issue of losting command info in error_log
  (git-fixes).
- commit 3ae8811
* Mon Jan 30 2023 petr.pavlu@suse.com
- tracing: Fix race where histograms can be called before the
  event (git-fixes).
- commit 3fe5f69
* Mon Jan 30 2023 petr.pavlu@suse.com
- tracing: Use alignof__(struct {type b;}) instead of offsetof()
  (git-fixes).
- commit 2e96b05
* Mon Jan 30 2023 petr.pavlu@suse.com
- blacklist.conf: add not-relevant ftrace fixes
- commit 2ba4363
* Mon Jan 30 2023 petr.pavlu@suse.com
- blacklist.conf: add commits for tracking skb drop reasons
- commit f7cc13a
* Mon Jan 30 2023 petr.pavlu@suse.com
- blacklist.conf: add a move of trace_pid_list logic
- commit 8c14765
* Mon Jan 30 2023 petr.pavlu@suse.com
- tracing: Fix mismatched comment in __string_len (git-fixes).
- commit ed647e2
* Mon Jan 30 2023 petr.pavlu@suse.com
- module: Don't wait for GOING modules (bsc#1196058, bsc#1186449,
  bsc#1204356, bsc#1204662).
- commit 35ea4d8
* Mon Jan 30 2023 tiwai@suse.de
- Revert "Input: synaptics - switch touchpad on HP Laptop
  15-da3001TU to RMI mode" (git-fixes).
- commit c8ef0bf
* Sun Jan 29 2023 colyli@suse.de
- block, bfq: fix uaf for bfqq in bfq_exit_icq_bfqq (git-fixes).
- commit ff23887
* Sun Jan 29 2023 colyli@suse.de
- Delete
  patches.suse/0004-block-check-minor-range-in-device_add_disk.patch.
- commit 89a42b5
* Sun Jan 29 2023 colyli@suse.de
- blacklist.conf: add git-fix commit which won't be backported
- commit 1012afa
* Sun Jan 29 2023 colyli@suse.de
- loop: Fix the max_loop commandline argument treatment when it
  is set to 0 (git-fixes).
- block, bfq: fix possible uaf for 'bfqq->bic' (git-fixes).
- dm thin: Use last transaction's pmd->root when commit failed
  (git-fixes).
- dm thin: resume even if in FAIL mode (git-fixes).
- dm cache: set needs_check flag after aborting metadata
  (git-fixes).
- dm cache: Fix ABBA deadlock between shrink_slab and
  dm_cache_metadata_abort (git-fixes).
- dm thin: Fix ABBA deadlock between shrink_slab and
  dm_pool_abort_metadata (git-fixes).
- dm integrity: Fix UAF in dm_integrity_dtr() (git-fixes).
- dm cache: Fix UAF in destroy() (git-fixes).
- dm clone: Fix UAF in clone_dtr() (git-fixes).
- dm thin: Fix UAF in run_timer_softirq() (git-fixes).
- blktrace: Fix output non-blktrace event when blk_classic option
  enabled (git-fixes).
- block: mq-deadline: Fix dd_finish_request() for zoned devices
  (git-fixes).
- elevator: update the document of elevator_switch (git-fixes).
- bfq: fix waker_bfqq inconsistency crash (git-fixes).
- dm integrity: clear the journal on suspend (git-fixes).
- dm integrity: flush the journal on suspend (git-fixes).
- dm ioctl: fix misbehavior if list_versions races with module
  loading (git-fixes).
- block, bfq: fix null pointer dereference in bfq_bio_bfqg()
  (git-fixes).
- blk-wbt: fix that 'rwb->wc' is always set to 1 in wbt_init()
  (git-fixes).
- md/raid5: Wait for MD_SB_CHANGE_PENDING in raid5d (git-fixes).
- bcache: fix set_at_max_writeback_rate() for multiple attached
  devices (git-fixes).
- blk-throttle: prevent overflow while calculating wait time
  (git-fixes).
- nbd: Fix hung when signal interrupts nbd_start_device_ioctl()
  (git-fixes).
- md: Flush workqueue md_rdev_misc_wq in md_alloc() (git-fixes).
- zram: do not lookup algorithm in backends table (git-fixes).
- block: ensure iov_iter advances for added pages (git-fixes).
- drivers:md:fix a potential use-after-free bug (git-fixes).
- null_blk: fix ida error handling in null_add_dev() (git-fixes).
- md: Notify sysfs sync_completed in md_reap_sync_thread()
  (git-fixes).
- dm raid: fix address sanitizer warning in raid_resume
  (git-fixes).
- dm raid: fix address sanitizer warning in raid_status
  (git-fixes).
- dm writecache: set a default MAX_WRITEBACK_JOBS (git-fixes).
- block/bio: remove duplicate append pages code (git-fixes).
- block: fix infinite loop for invalid zone append (git-fixes).
- nbd: fix io hung while disconnecting device (git-fixes).
- nbd: fix race between nbd_alloc_config() and module removal
  (git-fixes).
- nbd: call genl_unregister_family() first in nbd_cleanup()
  (git-fixes).
- md: protect md_unregister_thread from reentrancy (git-fixes).
- nbd: Fix hung on disconnect request if socket is closed before
  (git-fixes).
- block, bfq: protect 'bfqd->queued' by 'bfqd->lock' (git-fixes).
- dm: requeue IO if mapping table not yet available (git-fixes).
- dm ioctl: prevent potential spectre v1 gadget (git-fixes).
- Revert "Revert "block, bfq: honor already-setup queue merges""
  (git-fixes).
- bfq: fix use-after-free in bfq_dispatch_request (git-fixes).
- block, bfq: don't move oom_bfqq (git-fixes).
- block/bfq_wf2q: correct weight to ioprio (git-fixes).
- dm: fix alloc_dax error handling in alloc_dev (git-fixes).
- dm space map common: add bounds check to sm_ll_lookup_bitmap()
  (git-fixes).
- dm btree: add a defensive bounds check to insert_at()
  (git-fixes).
- block: check minor range in device_add_disk() (git-fixes).
- virtio-blk: modify the value type of num in virtio_queue_rq()
  (git-fixes).
- swim3: add missing major.h include (git-fixes).
- commit 4a07308
* Sun Jan 29 2023 colyli@suse.de
- block: use bdev_get_queue() in bio.c (git-fixes).
- Refresh for the above change,
  patches.suse/block-fix-rq-qos-breakage-from-skipping-rq_qos_done_.patch.
- commit c3aca76
* Sat Jan 28 2023 colyli@suse.de
- blacklist.conf: add git-fixes commits which won't be backported
- commit 6443e7d
* Fri Jan 27 2023 lhenriques@suse.de
- cachefiles: make on-demand request distribution fairer
  (jsc#SES-1880).
- cachefiles: fix error return code in cachefiles_ondemand_copen()
  (jsc#SES-1880).
- fscache: fix misdocumented parameter (jsc#SES-1880).
- libceph: clean up ceph_osdc_start_request prototype
  (jsc#SES-1880).
- libceph: fix ceph_pagelist_reserve() comment typo
  (jsc#SES-1880).
- ceph: remove useless check for the folio (jsc#SES-1880).
- ceph: make f_bsize always equal to f_frsize (jsc#SES-1880).
- ceph: flush the dirty caps immediatelly when quota is
  approaching (jsc#SES-1880).
- libceph: print fsid and epoch with osd id (jsc#SES-1880).
- libceph: check pointer before assigned to "c->rules"
  (jsc#SES-1880).
- ceph: don't get the inline data for new creating files
  (jsc#SES-1880).
- ceph: update the auth cap when the async create req is forwarded
  (jsc#SES-1880).
- ceph: make change_auth_cap_ses a global symbol (jsc#SES-1880).
- ceph: fix incorrect old_size length in ceph_mds_request_args
  (jsc#SES-1880).
- ceph: call netfs_subreq_terminated with was_async == false
  (jsc#SES-1880).
- ceph: convert to generic_file_llseek (jsc#SES-1880).
- ceph: fix the incorrect comment for the ceph_mds_caps struct
  (jsc#SES-1880).
- ceph: prevent a client from exceeding the MDS maximum xattr size
  (jsc#SES-1880).
- ceph: choose auth MDS for getxattr with the Xs caps
  (jsc#SES-1880).
- ceph: add session already open notify support (jsc#SES-1880).
- commit f01bb22
* Fri Jan 27 2023 lhenriques@suse.de
- ceph: wait for the first reply of inflight async unlink
  (jsc#SES-1880).
- Refresh
  patches.suse/ceph-don-t-truncate-file-in-atomic_open.patch.
- commit 6774969
* Fri Jan 27 2023 lhenriques@suse.de
- fs/dcache: export d_same_name() helper (jsc#SES-1880).
- ceph: remove useless CEPHFS_FEATURES_CLIENT_REQUIRED
  (jsc#SES-1880).
- fscache: add tracepoint when failing cookie (jsc#SES-1880).
- fscache: don't leak cookie access refs if invalidation is in
  progress or failed (jsc#SES-1880).
- docs: filesystems: update netfs-api.rst reference
  (jsc#SES-1880).
- commit d147e79
* Fri Jan 27 2023 lhenriques@suse.de
- fscrypt: add new helper functions for test_dummy_encryption
  (jsc#SES-1880).
- fscrypt: factor out fscrypt_policy_to_key_spec() (jsc#SES-1880).
- commit 5ea3f64
* Fri Jan 27 2023 lhenriques@suse.de
- netfs: do not unlock and put the folio twice (jsc#SES-1880).
- fscache: Fix invalidation/lookup race (jsc#SES-1880).
- cachefiles: narrow the scope of flushed requests when releasing
  fd (jsc#SES-1880).
- fscache: Introduce fscache_cookie_is_dropped() (jsc#SES-1880).
- fscache: Fix if condition in fscache_wait_on_volume_collision()
  (jsc#SES-1880).
- ceph: wait on async create before checking caps for syncfs
  (jsc#SES-1880).
- 9p: fix EBADF errors in cached mode (jsc#SES-1880).
- netfs: Rename the netfs_io_request cleanup op and give it an
  op pointer (jsc#SES-1880).
- ceph: fix decoding of client session messages flags
  (jsc#SES-1880).
- ceph: switch TASK_INTERRUPTIBLE to TASK_KILLABLE (jsc#SES-1880).
- ceph: remove redundant variable ino (jsc#SES-1880).
- ceph: try to queue a writeback if revoking fails (jsc#SES-1880).
- ceph: fix statfs for subdir mounts (jsc#SES-1880).
- ceph: fix possible deadlock when holding Fwb to get inline_data
  (jsc#SES-1880).
- ceph: redirty the page for writepage on failure (jsc#SES-1880).
- ceph: try to choose the auth MDS if possible for getattr
  (jsc#SES-1880).
- ceph: disable updating the atime since cephfs won't maintain it
  (jsc#SES-1880).
- ceph: flush the mdlog for filesystem sync (jsc#SES-1880).
- ceph: rename unsafe_request_wait() (jsc#SES-1880).
- libceph: use swap() macro instead of taking tmp variable
  (jsc#SES-1880).
- ceph: fix statx AT_STATX_DONT_SYNC vs AT_STATX_FORCE_SYNC check
  (jsc#SES-1880).
- ceph: no need to invalidate the fscache twice (jsc#SES-1880).
- ceph: replace usage of found with dedicated list iterator
  variable (jsc#SES-1880).
- ceph: use dedicated list iterator variable (jsc#SES-1880).
- ceph: update the dlease for the hashed dentry when removing
  (jsc#SES-1880).
- ceph: stop retrying the request when exceeding 256 times
  (jsc#SES-1880).
- ceph: stop forwarding the request when exceeding 256 times
  (jsc#SES-1880).
- ceph: remove unused CEPH_MDS_LEASE_RELEASE related code
  (jsc#SES-1880).
- cachefiles: add tracepoints for on-demand read mode
  (jsc#SES-1880).
- cachefiles: enable on-demand read mode (jsc#SES-1880).
- cachefiles: implement on-demand read (jsc#SES-1880).
- cachefiles: notify the user daemon when withdrawing cookie
  (jsc#SES-1880).
- cachefiles: unbind cachefiles gracefully in on-demand mode
  (jsc#SES-1880).
- cachefiles: notify the user daemon when looking up cookie
  (jsc#SES-1880).
- cachefiles: extract write routine (jsc#SES-1880).
- netfs: Eliminate Clang randstruct warning (jsc#SES-1880).
- commit ce95c8d
* Fri Jan 27 2023 lhenriques@suse.de
- blacklist: removed 1b2ba3c5616e ("ceph: flush the mdlog for filesystem sync")
- commit 559d59c
* Fri Jan 27 2023 lhenriques@suse.de
- libceph: fix misleading ceph_osdc_cancel_request() comment
  (jsc#SES-1880).
- ceph: fix possible NULL pointer dereference for req->r_session
  (jsc#SES-1880).
- ceph: remove incorrect session state check (jsc#SES-1880).
- ceph: get snap_rwsem read lock in handle_cap_export for
  ceph_add_cap (jsc#SES-1880).
- libceph: disambiguate cluster/pool full log message
  (jsc#SES-1880).
- fscache: remove FSCACHE_OLD_API Kconfig option (jsc#SES-1880).
- fscache: Use wrapper fscache_set_cache_state() directly when
  relinquishing (jsc#SES-1880).
- fscache: Move fscache_cookies_seq_ops specific code under
  CONFIG_PROC_FS (jsc#SES-1880).
- fscache: Remove the cookie parameter from
  fscache_clear_page_bits() (jsc#SES-1880).
- cachefiles: Fix KASAN slab-out-of-bounds in
  cachefiles_set_volume_xattr (jsc#SES-1880).
- cachefiles: unmark inode in use in error path (jsc#SES-1880).
- netfs: Keep track of the actual remote file size (jsc#SES-1880).
- netfs: Split some core bits out into their own file
  (jsc#SES-1880).
- netfs: Split fs/netfs/read_helper.c (jsc#SES-1880).
- netfs: Rename read_helper.c to io.c (jsc#SES-1880).
- netfs: Prepare to split read_helper.c (jsc#SES-1880).
- netfs: Add a function to consolidate beginning a read
  (jsc#SES-1880).
- commit 759f021
* Fri Jan 27 2023 lhenriques@suse.de
- blacklist: removed 7acae6183cf3 ("ceph: fix possible NULL pointer dereference for req->r_session")
- commit 91f76f5
* Fri Jan 27 2023 lhenriques@suse.de
- netfs: Add a netfs inode context (jsc#SES-1880).
- Refresh
  patches.suse/cifs-fix-potential-deadlock-in-direct-reclaim.patch.
- commit fa3a76d
* Fri Jan 27 2023 lhenriques@suse.de
- ceph: Make ceph_init_request() check caps on readahead
  (jsc#SES-1880).
- netfs: Change ->init_request() to return an error code
  (jsc#SES-1880).
- netfs: Refactor arguments for netfs_alloc_read_request
  (jsc#SES-1880).
- netfs: Adjust the netfs_failure tracepoint to indicate
  non-subreq lines (jsc#SES-1880).
- netfs: Trace refcounting on the netfs_io_subrequest struct
  (jsc#SES-1880).
- netfs: Trace refcounting on the netfs_io_request struct
  (jsc#SES-1880).
- netfs: Adjust the netfs_rreq tracepoint slightly (jsc#SES-1880).
- netfs: Split netfs_io_* object handling out (jsc#SES-1880).
- netfs: Finish off rename of netfs_read_request to
  netfs_io_request (jsc#SES-1880).
- netfs: Rename netfs_read_*request to netfs_io_*request
  (jsc#SES-1880).
- netfs: Generate enums from trace symbol mapping lists
  (jsc#SES-1880).
- fscache: export fscache_end_operation() (jsc#SES-1880).
- afs: Sort out symlink reading (jsc#SES-1880).
- commit f1d9e86
* Fri Jan 27 2023 tiwai@suse.de
- wifi: mt76: mt7921e: fix random fw download fail (git-fixes).
- commit 1ad5589
* Fri Jan 27 2023 tiwai@suse.de
- Bluetooth: ISO: Fix possible circular locking dependency
  (git-fixes).
- Bluetooth: hci_event: Fix Invalid wait context (git-fixes).
- Bluetooth: ISO: Fix possible circular locking dependency
  (git-fixes).
- Bluetooth: hci_conn: Fix memory leaks (git-fixes).
- Bluetooth: ISO: Avoid circular locking dependency (git-fixes).
- Bluetooth: hci_conn: use HCI dst_type values also for BIS
  (git-fixes).
- Bluetooth: Fix support for Read Local Supported Codecs V2
  (git-fixes).
- Bluetooth: Remove codec id field in vendor codec definition
  (git-fixes).
- Bluetooth: hci_sync: Fix not indicating power state (git-fixes).
- commit 006c8e8
* Fri Jan 27 2023 tiwai@suse.de
- Add already cherry-picked commits for BT patches
- commit b1b3160
* Fri Jan 27 2023 msuchanek@suse.de
- Update patches.suse/xfs-get-root-inode-correctly-at-bulkstat.patch
  (git-fixes bsc#1207501 ltc#201370).
- commit e6e8484
* Fri Jan 27 2023 msuchanek@suse.de
- Update patches.suse/btrfs-fix-processing-of-delayed-tree-block-refs-duri.patch
  (bsc#1206057 bsc#1207506 ltc#201368).
- commit 15be8ec
* Fri Jan 27 2023 msuchanek@suse.de
- Update patches.suse/btrfs-fix-processing-of-delayed-data-refs-during-bac.patch
  (bsc#1206056 bsc#1207507 ltc#201367).
- commit 1354bb5
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix deadlock due to mbcache entry corruption
  (bsc#1207653).
- commit ea7e0f8
* Thu Jan 26 2023 jack@suse.cz
- ocfs2: fix memory leak in ocfs2_mount_volume() (bsc#1207652).
- commit 5549473
* Thu Jan 26 2023 jack@suse.cz
- ocfs2: fix memory leak in ocfs2_stack_glue_init() (bsc#1207651).
- commit c18a79b
* Thu Jan 26 2023 jack@suse.cz
- ocfs2: clear dinode links count in case of error (bsc#1207650).
- commit a2d0061
* Thu Jan 26 2023 jack@suse.cz
- ocfs2: fix BUG when iput after ocfs2_mknod fails (bsc#1207649).
- commit 29f0a1d
* Thu Jan 26 2023 jack@suse.cz
- ext4,f2fs: fix readahead of verity data (bsc#1207648).
- commit ed4271e
* Thu Jan 26 2023 jack@suse.cz
- mbcache: Avoid nesting of cache->c_list_lock under bit locks
  (bsc#1207647).
- commit 947b83a
* Thu Jan 26 2023 jack@suse.cz
- jbd2: add miss release buffer head in fc_do_one_pass()
  (bsc#1207646).
- commit c61f342
* Thu Jan 26 2023 jack@suse.cz
- jbd2: fix potential use-after-free in jbd2_fc_wait_bufs
  (bsc#1207645).
- commit d4e2227
* Thu Jan 26 2023 jack@suse.cz
- jbd2: fix potential buffer head reference count leak
  (bsc#1207644).
- commit 45a2852
* Thu Jan 26 2023 jack@suse.cz
- jbd2: wake up journal waiters in FIFO order, not LIFO
  (bsc#1207643).
- commit 8fd722e
* Thu Jan 26 2023 jack@suse.cz
- vfs: Check the truncate maximum size in inode_newsize_ok()
  (bsc#1207642).
- commit 4685fa4
* Thu Jan 26 2023 jack@suse.cz
- jbd2: fix a potential race while discarding reserved buffers
  after an abort (bsc#1207641).
- commit b0b81dd
* Thu Jan 26 2023 jack@suse.cz
- ocfs2: fix crash when mount with quota enabled (bsc#1207640).
- commit 5afbf05
* Thu Jan 26 2023 jack@suse.cz
- quota: Check next/prev free block number after reading from
  quota file (bsc#1206640).
- commit 1e65abd
* Thu Jan 26 2023 jack@suse.cz
- quota: Prevent memory allocation recursion while holding dq_lock
  (bsc#1207639).
- commit a7495d2
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist dd5532a4994b
- commit 4bd9a40
* Thu Jan 26 2023 jack@suse.cz
- writeback: avoid use-after-free after removing device
  (bsc#1207638).
- commit 1776642
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix reserved cluster accounting in __es_remove_extent()
  (bsc#1207637).
- commit 17f75d7
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix inode leak in ext4_xattr_inode_create() on an error
  path (bsc#1207636).
- commit 86dbaea
* Thu Jan 26 2023 jack@suse.cz
- ext4: allocate extended attribute value in vmalloc area
  (bsc#1207635).
- commit 3278f6d
* Thu Jan 26 2023 jack@suse.cz
- ext4: avoid unaccounted block allocation when expanding inode
  (bsc#1207634).
- commit 587e0b3
* Thu Jan 26 2023 jack@suse.cz
- ext4: initialize quota before expanding inode in setproject
  ioctl (bsc#1207633).
- commit 09b6e51
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix kernel BUG in 'ext4_write_inline_data_end()'
  (bsc#1206894).
- commit e824a9a
* Thu Jan 26 2023 jack@suse.cz
- fs: ext4: initialize fsdata in pagecache_write() (bsc#1207632).
- commit 59e5f40
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix delayed allocation bug in ext4_clu_mapped for bigalloc
  + inline (bsc#1207631).
- commit fcf7010
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix uninititialized value in 'ext4_evict_inode'
  (bsc#1206893).
- commit a4ce862
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix error code return to user-space in ext4_get_branch()
  (bsc#1207630).
- commit 3052920
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist 89481b5fa8c0
- commit aafc810
* Thu Jan 26 2023 jack@suse.cz
- ext4: init quota for 'old.inode' in 'ext4_rename' (bsc#1207629).
- commit 9d7a800
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix off-by-one errors in fast-commit block filling
  (bsc#1207628).
- commit b215d68
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix unaligned memory access in ext4_fc_reserve_space()
  (bsc#1207627).
- commit 5e2318b
* Thu Jan 26 2023 jack@suse.cz
- ext4: add missing validation of fast-commit record lengths
  (bsc#1207626).
- commit 9374e7a
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix leaking uninitialized memory in fast-commit journal
  (bsc#1207625).
- commit bea0a27
* Thu Jan 26 2023 jack@suse.cz
- ext4: don't set up encryption key during jbd2 transaction
  (bsc#1207624).
- commit 94c26c2
* Thu Jan 26 2023 jack@suse.cz
- ext4: disable fast-commit of encrypted dir operations
  (bsc#1207623).
- commit 8b84b5f
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix use-after-free in ext4_orphan_cleanup (bsc#1207622).
- commit 868c482
* Thu Jan 26 2023 jack@suse.cz
- ext4: don't allow journal inode to have encrypt flag
  (bsc#1207621).
- commit fa42934
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix undefined behavior in bit shift for
  ext4_check_flag_values (bsc#1206890).
- commit fe391f3
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix bug_on in __es_tree_search caused by bad boot loader
  inode (bsc#1207620).
- commit b0bf8bc
* Thu Jan 26 2023 jack@suse.cz
- ext4: add EXT4_IGET_BAD flag to prevent unexpected bad inode
  (bsc#1207619).
- commit 0e8c6a3
* Thu Jan 26 2023 jack@suse.cz
- ext4: add helper to check quota inums (bsc#1207618).
- commit 710d5f0
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist 78742d4d056d
- commit 510a3a2
* Thu Jan 26 2023 jack@suse.cz
- ext4: add inode table check in __ext4_get_inode_loc to aovid
  possible infinite loop (bsc#1207617).
- commit 4fac5ac
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist 318cdc822c63
- commit efccaca
* Thu Jan 26 2023 jack@suse.cz
- ext4: silence the warning when evicting inode with
  dioread_nolock (bsc#1206889).
- commit a2ec490
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix use-after-free in ext4_ext_shift_extents
  (bsc#1206888).
- commit 786ae72
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix warning in 'ext4_da_release_space' (bsc#1206887).
- commit 0e67070
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix BUG_ON() when directory entry has invalid rec_len
  (bsc#1206886).
- commit b11568d
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix potential out of bound read in ext4_fc_replay_scan()
  (bsc#1207616).
- commit 191b92e
* Thu Jan 26 2023 jack@suse.cz
- ext4: factor out ext4_fc_get_tl() (bsc#1207615).
- commit 4278623
* Thu Jan 26 2023 jack@suse.cz
- ext4: introduce EXT4_FC_TAG_BASE_LEN helper (bsc#1207614).
- commit 54601c7
* Thu Jan 26 2023 jack@suse.cz
- ext4: update 'state->fc_regions_size' after successful memory
  allocation (bsc#1207613).
- commit dca6962
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix potential memory leak in ext4_fc_record_regions()
  (bsc#1207612).
- commit 65b0d99
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix potential memory leak in
  ext4_fc_record_modified_inode() (bsc#1207611).
- commit 313959b
* Thu Jan 26 2023 jack@suse.cz
- ext4: goto right label 'failed_mount3a' (bsc#1207610).
- commit 73881e2
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix miss release buffer head in ext4_fc_write_inode
  (bsc#1207609).
- commit 60277f8
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix dir corruption when ext4_dx_add_entry() fails
  (bsc#1207608).
- commit d8d3c16
* Thu Jan 26 2023 jack@suse.cz
- ext4: place buffer head allocation before handle start
  (bsc#1207607).
- commit 767ca31
* Thu Jan 26 2023 jack@suse.cz
- ext4: ext4_read_bh_lock() should submit IO if the buffer isn't
  uptodate (bsc#1207606).
- commit 7864371
* Thu Jan 26 2023 jack@suse.cz
- ext4: don't increase iversion counter for ea_inodes
  (bsc#1207605).
- commit 15b3923
* Thu Jan 26 2023 jack@suse.cz
- ext4: make ext4_lazyinit_thread freezable (bsc#1206885).
- commit 0a2f6bf
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix null-ptr-deref in ext4_write_info (bsc#1206884).
- commit a8218a0
* Thu Jan 26 2023 jack@suse.cz
- ext4: don't run ext4lazyinit for read-only filesystems
  (bsc#1207603).
- commit d920748
* Thu Jan 26 2023 jack@suse.cz
- ext4: avoid crash when inline data creation follows DIO write
  (bsc#1206883).
- commit efade7c
* Thu Jan 26 2023 jack@suse.cz
- ext4: continue to expand file system when the target size
  doesn't reach (bsc#1206882).
- commit caafbe8
* Thu Jan 26 2023 jack@suse.cz
- ext4: limit the number of retries after discarding
  preallocations blocks (bsc#1207602).
- commit 550c1e6
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix bug in extents parsing when eh_entries == 0 and
  eh_depth > 0 (bsc#1206881).
- commit 846b339
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist mballoc opimization fixes
- commit 2ee70c1
* Thu Jan 26 2023 jack@suse.cz
- ext4: avoid resizing to a partial cluster size (bsc#1206880).
- commit cee3b5d
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist b24e77ef1c6d
- commit 5f27096
* Thu Jan 26 2023 lhenriques@suse.de
- ceph: uninitialized variable in debug output (jsc#SES-1880).
- ceph: use tracked average r/w/m latencies to display metrics
  in debugfs (jsc#SES-1880).
- ceph: include average/stdev r/w/m latency in mds metrics
  (jsc#SES-1880).
- ceph: track average r/w/m latency (jsc#SES-1880).
- ceph: use ktime_to_timespec64() rather than
  jiffies_to_timespec64() (jsc#SES-1880).
- ceph: assign the ci only when the inode isn't NULL
  (jsc#SES-1880).
- commit 7f5eb5f
* Thu Jan 26 2023 lhenriques@suse.de
- ceph: misc fix for code style and logs (jsc#SES-1880).
- Refresh
  patches.suse/ceph-avoid-putting-the-realm-twice-when-decoding-snaps-fails.patch.
- commit 915976e
* Thu Jan 26 2023 lhenriques@suse.de
- ceph: allocate capsnap memory outside of ceph_queue_cap_snap()
  (jsc#SES-1880).
- ceph: do not release the global snaprealm until unmounting
  (jsc#SES-1880).
- ceph: remove incorrect and unused CEPH_INO_DOTDOT macro
  (jsc#SES-1880).
- ceph: eliminate the recursion when rebuilding the snap context
  (jsc#SES-1880).
- ceph: zero the dir_entries memory when allocating it
  (jsc#SES-1880).
- ceph: move to a dedicated slabcache for ceph_cap_snap
  (jsc#SES-1880).
- ceph: add getvxattr op (jsc#SES-1880).
- libceph: drop else branches in prepare_read_data{,_cont}
  (jsc#SES-1880).
- ceph: fix comments mentioning i_mutex (jsc#SES-1880).
- ceph: fail the request directly if handle_reply gets an ESTALE
  (jsc#SES-1880).
- ceph: wake waiters after failed async create (jsc#SES-1880).
- ceph: wait for async create reply before sending any cap
  messages (jsc#SES-1880).
- ceph: eliminate req->r_wait_for_completion from ceph_mds_request
  (jsc#SES-1880).
- ceph: uninline the data on a file opened for writing
  (jsc#SES-1880).
- ceph: make ceph_netfs_issue_op() handle inlined data
  (jsc#SES-1880).
- commit 4f1bb1d
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist 51ae846cff56
- commit 8cb8660
* Thu Jan 26 2023 jack@suse.cz
- ext4: correct the misjudgment in ext4_iget_extra_inode
  (bsc#1206878).
- commit 7565182
* Thu Jan 26 2023 jack@suse.cz
- ext4: correct max_inline_xattr_value_size computing
  (bsc#1206878).
- commit 5344160
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix use-after-free in ext4_xattr_set_entry (bsc#1206878).
- commit 51cff2a
* Thu Jan 26 2023 jack@suse.cz
- ext4: add EXT4_INODE_HAS_XATTR_SPACE macro in xattr.h
  (bsc#1206878).
- commit 0336ab6
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix extent status tree race in writeback error recovery
  path (bsc#1206877).
- commit b84af9c
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist 4978c659e7b5
- commit a7e7239
* Thu Jan 26 2023 jack@suse.cz
- ext4: update s_overhead_clusters in the superblock during an
  on-line resize (bsc#1206876).
- commit e6b6979
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist fs/ext2
- commit 1e7297b
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist 4efd9f0d120c
- commit 3b5e25a
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix bug_on in start_this_handle during umount filesystem
  (bsc#1207594).
- commit 90713b0
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist c864ccd182d6
- commit bc0a035
* Thu Jan 26 2023 lhenriques@suse.de
- cifs: Fix the readahead conversion to manage the batch when
  reading from cache (jsc#SES-1880).
- cifs: Implement cache I/O by accessing the cache directly
  (jsc#SES-1880).
- commit aeedd18
* Thu Jan 26 2023 jack@suse.cz
- blacklist.conf: Blacklist cc5095747edf
- commit 60d47ef
* Thu Jan 26 2023 jack@suse.cz
- ext4: fix ext4_mb_mark_bb() with flex_bg with fast_commit
  (bsc#1207593).
- commit 2407741
* Thu Jan 26 2023 jack@suse.cz
- ext4: correct cluster len and clusters changed accounting in
  ext4_mb_mark_bb (bsc#1207592).
- commit b2577a3
* Thu Jan 26 2023 jack@suse.cz
- ext4: fast commit may miss file actions (bsc#1207591).
- commit ea4e204
* Thu Jan 26 2023 jack@suse.cz
- ext4: fast commit may not fallback for ineligible commit
  (bsc#1207590).
- commit 5e4d8de
* Thu Jan 26 2023 jack@suse.cz
- ext4: simplify updating of fast commit stats (bsc#1207589).
- commit 85414f9
* Thu Jan 26 2023 jack@suse.cz
- ext4: drop ineligible txn start stop APIs (bsc#1207588).
- commit 62a4d65
* Thu Jan 26 2023 lhenriques@suse.de
- cifs: Transition from ->readpages() to ->readahead()
  (jsc#SES-1880).
- Refresh patches.suse/Adjust-cifssb-maximum-read-size.patch.
- commit 9ab1e02
* Thu Jan 26 2023 lhenriques@suse.de
- Update config files.
  New config option CONFIG_CACHEFILES_ERROR_INJECTION.
- commit c7f3506
* Thu Jan 26 2023 lhenriques@suse.de
- cifs: Support fscache indexing rewrite (jsc#SES-1880).
- Refresh
  patches.suse/cifs-Add-constructor-destructors-for-tcon-cfid.patch.
- Refresh
  patches.suse/cifs-Make-tcon-contain-a-wrapper-structure-cached_fids-instead-of-c.patch.
- Refresh
  patches.suse/cifs-Move-cached-dir-functions-into-a-separate-file.patch.
- Refresh
  patches.suse/cifs-remove-cifs_-prefix-from-init-destroy-mids-functions.patch.
- Refresh
  patches.suse/cifs-replace-kfree-with-kfree_sensitive-for-sensitive-data.patch.
- Refresh
  patches.suse/cifs-split-out-ses-and-tcon-retrieval-from-mount_get_conns-.patch.
- Refresh
  patches.suse/cifs-when-insecure-legacy-is-disabled-shrink-amount-of-SMB1-code.patch.
- Refresh patches.suse/cifs-writeback-fix.patch.
- Refresh
  patches.suse/smb3-add-dynamic-trace-points-for-tree-disconnect.patch.
- commit aba9248
* Thu Jan 26 2023 ailiop@suse.com
- vfs: make sync_filesystem return errors from ->sync_fs
  (git-fixes).
- commit eff9790
* Thu Jan 26 2023 ailiop@suse.com
- fs: remove __sync_filesystem (git-fixes).
- commit 88736d7
* Thu Jan 26 2023 mkubecek@suse.cz
- sctp: fail if no bound addresses can be used for a given scope
  (bsc#1206677).
- commit e201f3b
* Wed Jan 25 2023 lhenriques@suse.de
- cachefiles: Fix volume coherency attribute (jsc#SES-1880).
- cachefiles: Fix incorrect length to fallocate() (jsc#SES-1880).
- libceph: optionally use bounce buffer on recv path in crc mode
  (jsc#SES-1880).
- libceph: make recv path in secure mode work the same as send
  path (jsc#SES-1880).
- netfs, cachefiles: Add a method to query presence of data in
  the cache (jsc#SES-1880).
- ceph: put the requests/sessions when it fails to alloc memory
  (jsc#SES-1880).
- netfs: Make ops->init_rreq() optional (jsc#SES-1880).
- fscache: Add a comment explaining how page-release optimisation
  works (jsc#SES-1880).
- cachefiles: Check that the backing filesystem supports tmpfiles
  (jsc#SES-1880).
- cachefiles: Explain checks in a comment (jsc#SES-1880).
- cachefiles: Trace active-mark failure (jsc#SES-1880).
- cachefiles: Make some tracepoint adjustments (jsc#SES-1880).
- cachefiles: set default tag name if it's unspecified
  (jsc#SES-1880).
- cachefiles: Calculate the blockshift in terms of bytes, not
  pages (jsc#SES-1880).
- fscache: Fix the volume collision wait condition (jsc#SES-1880).
- ceph: move CEPH_SUPER_MAGIC definition to magic.h
  (jsc#SES-1880).
- ceph: remove redundant Lsx caps check (jsc#SES-1880).
- ceph: add new "nopagecache" option (jsc#SES-1880).
- ceph: don't check for quotas on MDS stray dirs (jsc#SES-1880).
- ceph: drop send metrics debug message (jsc#SES-1880).
- rbd: make const pointer spaces a static const array
  (jsc#SES-1880).
- ceph: Fix incorrect statfs report for small quota
  (jsc#SES-1880).
- ceph: mount syntax module parameter (jsc#SES-1880).
- ceph: record updated mon_addr on remount (jsc#SES-1880).
- ceph: new device mount syntax (jsc#SES-1880).
- libceph: rename parse_fsid() to ceph_parse_fsid() and export
  (jsc#SES-1880).
- libceph: generalize addr/ip parsing based on delimiter
  (jsc#SES-1880).
- 9p: fix enodata when reading growing file (jsc#SES-1880).
- 9p, afs, ceph, nfs: Use current_is_kswapd() rather than
  gfpflags_allow_blocking() (jsc#SES-1880).
- fscache: Add a tracepoint for cookie use/unuse (jsc#SES-1880).
- ceph: add fscache writeback support (jsc#SES-1880).
- ceph: conversion to new fscache API (jsc#SES-1880).
- nfs: Implement cache I/O by accessing the cache directly
  (jsc#SES-1880).
- commit 74173ff
* Wed Jan 25 2023 lhenriques@suse.de
- blacklist: drop ceph commit
- commit ba2e082
* Wed Jan 25 2023 lhenriques@suse.de
- nfs: Convert to new fscache volume/cookie API (jsc#SES-1880).
- Refresh
  patches.suse/0001-NFS-flush-out-dirty-data-on-file-fput.patch.
- commit afbd263
* Wed Jan 25 2023 lhenriques@suse.de
- 9p: Copy local writes to the cache when writing to the server
  (jsc#SES-1880).
- commit 505ae37
* Wed Jan 25 2023 lhenriques@suse.de
- 9p: Use fscache indexing rewrite and reenable caching
  (jsc#SES-1880).
- afs: Skip truncation on the server of data we haven't written
  yet (jsc#SES-1880).
- afs: Copy local writes to the cache when writing to the server
  (jsc#SES-1880).
- afs: Convert afs to use the new fscache API (jsc#SES-1880).
- fscache, cachefiles: Display stat of culling events
  (jsc#SES-1880).
- fscache, cachefiles: Display stats of no-space events
  (jsc#SES-1880).
- cachefiles: Allow cachefiles to actually function
  (jsc#SES-1880).
- fscache, cachefiles: Store the volume coherency data
  (jsc#SES-1880).
- cachefiles: Implement the I/O routines (jsc#SES-1880).
- cachefiles: Implement cookie resize for truncate (jsc#SES-1880).
- cachefiles: Implement begin and end I/O operation
  (jsc#SES-1880).
- cachefiles: Implement backing file wrangling (jsc#SES-1880).
- cachefiles: Implement culling daemon commands (jsc#SES-1880).
- cachefiles: Mark a backing file in use with an inode flag
  (jsc#SES-1880).
- cachefiles: Implement metadata/coherency data storage in xattrs
  (jsc#SES-1880).
- cachefiles: Implement key to filename encoding (jsc#SES-1880).
- cachefiles: Implement object lifecycle funcs (jsc#SES-1880).
- cachefiles: Add tracepoints for calls to the VFS (jsc#SES-1880).
- cachefiles: Implement volume support (jsc#SES-1880).
- cachefiles: Implement cache registration and withdrawal
  (jsc#SES-1880).
- cachefiles: Implement a function to get/create a directory in
  the cache (jsc#SES-1880).
- vfs, cachefiles: Mark a backing file in use with an inode flag
  (jsc#SES-1880).
- cachefiles: Provide a function to check how much space there is
  (jsc#SES-1880).
- cachefiles: Register a miscdev and parse commands over it
  (jsc#SES-1880).
- cachefiles: Add security derivation (jsc#SES-1880).
- cachefiles: Add cache error reporting macro (jsc#SES-1880).
- cachefiles: Add a couple of tracepoints for logging errors
  (jsc#SES-1880).
- cachefiles: Add some error injection support (jsc#SES-1880).
- cachefiles: Define structs (jsc#SES-1880).
- cachefiles: Introduce rewritten driver (jsc#SES-1880).
- fscache: Provide a function to resize a cookie (jsc#SES-1880).
- fscache: Provide a function to note the release of a page
  (jsc#SES-1880).
- vfs, fscache: Implement pinning of cache usage for writeback
  (jsc#SES-1880).
- fscache: Implement higher-level write I/O interface
  (jsc#SES-1880).
- fscache: Implement raw I/O interface (jsc#SES-1880).
- netfs: Pass more information on how to deal with a hole in
  the cache (jsc#SES-1880).
- fscache: Provide a function to let the netfs update its
  coherency data (jsc#SES-1880).
- fscache: Provide read/write stat counters for the cache
  (jsc#SES-1880).
- fscache: Count data storage objects in a cache (jsc#SES-1880).
- fscache: Provide a means to begin an operation (jsc#SES-1880).
- fscache: Implement cookie invalidation (jsc#SES-1880).
- fscache: Implement cookie user counting and resource pinning
  (jsc#SES-1880).
- fscache: Implement simple cookie state machine (jsc#SES-1880).
- fscache: Add a function for a cache backend to note an I/O error
  (jsc#SES-1880).
- fscache: Provide and use cache methods to lookup/create/free
  a volume (jsc#SES-1880).
- fscache: Implement functions add/remove a cache (jsc#SES-1880).
- fscache: Implement cookie-level access helpers (jsc#SES-1880).
- fscache: Implement volume-level access helpers (jsc#SES-1880).
- fscache: Implement cache-level access helpers (jsc#SES-1880).
- fscache: Implement cookie registration (jsc#SES-1880).
- fscache: Implement volume registration (jsc#SES-1880).
- fscache: Implement cache registration (jsc#SES-1880).
- fscache: Implement a hash function (jsc#SES-1880).
- fscache: Introduce new driver (jsc#SES-1880).
- netfs: Pass a flag to ->prepare_write() to say if there's no
  alloc'd space (jsc#SES-1880).
- netfs: Display the netfs inode number in the netfs_read
  tracepoint (jsc#SES-1880).
- fscache: Remove the contents of the fscache driver, pending
  rewrite (jsc#SES-1880).
- cachefiles: Delete the cachefiles driver pending rewrite
  (jsc#SES-1880).
- fscache, cachefiles: Disable configuration (jsc#SES-1880).
- fs: add is_idmapped_mnt() helper (jsc#SES-1880).
- NFS: Remove unnecessary TRACE_DEFINE_ENUM()s (jsc#SES-1880).
- NFS: Always provide aligned buffers to the RPC read layers
  (jsc#SES-1880).
- commit 50c0425
* Wed Jan 25 2023 msuchanek@suse.de
- Update patches.suse/btrfs-send-fix-sending-link-commands-for-existing-fi.patch
  (bsc#1206036 bsc#1207500 ltc#201363).
- commit 5345944
* Wed Jan 25 2023 ykaukab@suse.de
- add kABI files
- commit ffd2c40
* Wed Jan 25 2023 lhenriques@suse.de
- 9p: Convert to using the netfs helper lib to do reads and
  caching (jsc#SES-1880).
- commit 9285dce
* Wed Jan 25 2023 tiwai@suse.de
- efi: rt-wrapper: Add missing include (git-fixes).
- commit 3d91aef
* Wed Jan 25 2023 tiwai@suse.de
- mei: me: add meteor lake point M DID (git-fixes).
- USB: serial: option: add Quectel EM05CN modem (git-fixes).
- USB: serial: option: add Quectel EM05CN (SG) modem (git-fixes).
- USB: serial: cp210x: add SCALANCE LPE-9000 device id
  (git-fixes).
- USB: serial: option: add Quectel EC200U modem (git-fixes).
- USB: serial: option: add Quectel EM05-G (RS) modem (git-fixes).
- USB: serial: option: add Quectel EM05-G (GR) modem (git-fixes).
- USB: serial: option: add Quectel EM05-G (CS) modem (git-fixes).
- usb: core: hub: disable autosuspend for TI TUSB8041 (git-fixes).
- usb: gadget: f_ncm: fix potential NULL ptr deref in
  ncm_bitrate() (git-fixes).
- usb: acpi: add helper to check port lpm capability using acpi
  _DSM (git-fixes).
- xhci: Fix null pointer dereference when host dies (git-fixes).
- xhci-pci: set the dma max_seg_size (git-fixes).
- drm/amd/display: Fix set scaling doesn's work (git-fixes).
- drm/i915/display: Check source height is > 0 (git-fixes).
- wifi: mac80211: sdata can be NULL during AMPDU start
  (git-fixes).
- nilfs2: fix general protection fault in nilfs_btree_insert()
  (git-fixes).
- r8169: move rtl_wol_enable_rx() and rtl_prepare_power_down()
  (git-fixes).
- fbdev: omapfb: avoid stack overflow warning (git-fixes).
- virtio_pci: modify ENOENT to EINVAL (git-fixes).
- arm64: efi: Execute runtime services from a dedicated stack
  (git-fixes).
- drm/amdgpu: disable runtime pm on several sienna cichlid
  cards(v2) (git-fixes).
- drm/amdgpu: drop experimental flag on aldebaran (git-fixes).
- staging: mt7621-dts: change some node hex addresses to lower
  case (git-fixes).
- commit bd99d4d
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add limit to linked list parsing (jsc#PED-1073)
- commit 63dafbf
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - use reference to structure in dma_map_single() (jsc#PED-1073)
- commit 21b5b5f
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix DMA transfer direction (jsc#PED-1073)
- commit 4b02dad
* Wed Jan 25 2023 duwe@suse.de
- crypto: drivers - move from strlcpy with unused retval to (jsc#PED-1073)
- commit b6f1e1d
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add check to validate firmware images (jsc#PED-1073)
- commit 3a6ee25
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - expose device config through sysfs for 4xxx (jsc#PED-1073)
- commit b101f0b
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - relocate and rename adf_sriov_prepare_restart() (jsc#PED-1073)
- commit bd08b37
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - change behaviour of (jsc#PED-1073)
- commit 6147816
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - expose device state through sysfs for 4xxx (jsc#PED-1073)
- commit e6c0efa
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - Removes the x86 dependency on the QAT drivers (jsc#PED-1073)
- commit d0bcf05
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - replace get_current_node() with numa_node_id() (jsc#PED-1073)
- commit bd87c89
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add support for 401xx devices (jsc#PED-1073)
- commit 679f445
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - re-enable registration of algorithms (jsc#PED-1073)
- commit 9490076
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - honor CRYPTO_TFM_REQ_MAY_SLEEP flag (jsc#PED-1073)
- commit 34ce5b5
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add param check for DH (jsc#PED-1073)
- commit dc54139
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add param check for RSA (jsc#PED-1073)
- commit 24fd0ed
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add backlog mechanism (jsc#PED-1073)
- commit 4bee9a7
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - refactor submission logic (jsc#PED-1073)
- commit 734bc69
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - use pre-allocated buffers in datapath (jsc#PED-1073)
- commit 0ca4497
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - Fix unsigned function returning negative (jsc#PED-1073)
- commit 75ce6f5
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - remove line wrapping for pfvf_ops functions (jsc#PED-1073)
- commit a50367d
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - use u32 variables in all GEN4 pfvf_ops (jsc#PED-1073)
- commit 19343b4
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - replace disable_vf2pf_interrupts() (jsc#PED-1073)
- commit f879cc5
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - leverage the GEN2 VF mask definiton (jsc#PED-1073)
- commit 3abd2ce
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - rework the VF2PF interrupt handling logic (jsc#PED-1073)
- commit d02d7f1
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix off-by-one error in PFVF debug print (jsc#PED-1073)
- commit 445360b
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix wording and formatting in code comment (jsc#PED-1073)
- commit 374d0e9
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - test PFVF registers for spurious interrupts on (jsc#PED-1073)
- commit 371ac9a
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add check for invalid PFVF protocol version 0 (jsc#PED-1073)
- commit 36b0c3b
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add missing restarting event notification in (jsc#PED-1073)
- commit d8f5ed8
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - remove unnecessary tests to detect PFVF support (jsc#PED-1073)
- commit d97cfbc
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - remove unused PFVF stubs (jsc#PED-1073)
- commit adf1574
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - remove unneeded braces (jsc#PED-1073)
- commit 6b7ab3d
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix ETR sources enabled by default on GEN2 (jsc#PED-1073)
- commit 80ffbff
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - set COMPRESSION capability for DH895XCC (jsc#PED-1073)
- commit 5b94529
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - stop using iommu_present() (jsc#PED-1073)
- commit 4bc85ab
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix initialization of pfvf rts_map_msg (jsc#PED-1073)
- commit 1df3331
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix initialization of pfvf cap_msg structures (jsc#PED-1073)
- commit 85d0965
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - remove unneeded assignment (jsc#PED-1073)
- commit 03bca5f
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - enable power management for QAT GEN4 (jsc#PED-1073)
- commit 2dc1704
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - move and rename GEN4 error register definitions (jsc#PED-1073)
- commit 7e03d42
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add misc workqueue (jsc#PED-1073)
- commit f1f825f
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix access to PFVF interrupt registers for GEN4 (jsc#PED-1073)
- commit 5887826
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix a signedness bug in get_service_enabled() (jsc#PED-1073)
- commit 47dbd63
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - fix definition of ring reset results (jsc#PED-1073)
- commit d54f385
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add support for compression for 4xxx (jsc#PED-1073)
- commit 84ac7d5
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - allow detection of dc capabilities for 4xxx (jsc#PED-1073)
- commit c7713fa
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add PFVF support to enable the reset of ring (jsc#PED-1073)
- commit 93ce56b
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add PFVF support to the GEN4 host driver (jsc#PED-1073)
- commit 57cdfd9
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - config VFs based on ring-to-svc mapping (jsc#PED-1073)
- commit 536fc2b
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - exchange ring-to-service mappings over PFVF (jsc#PED-1073)
- commit 74d1b5e
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - support fast ACKs in the PFVF protocol (jsc#PED-1073)
- commit a8d5aa9
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - exchange device capabilities over PFVF (jsc#PED-1073)
- commit d7b3505
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - introduce support for PFVF block messages (jsc#PED-1073)
- commit 7453a10
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - store the ring-to-service mapping (jsc#PED-1073)
- commit 1dbf5a0
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - store the PFVF protocol version of the (jsc#PED-1073)
- commit 93b5f1c
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - improve the ACK timings in PFVF send (jsc#PED-1073)
- commit 1c79eaf
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - leverage read_poll_timeout in PFVF send (jsc#PED-1073)
- commit d6effda
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - leverage bitfield.h utils for PFVF messages (jsc#PED-1073)
- commit fa7b29f
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - abstract PFVF messages with struct pfvf_message (jsc#PED-1073)
- commit ec2bc15
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - set PFVF_MSGORIGIN just before sending (jsc#PED-1073)
- commit f1348f1
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - make PFVF send and receive direction agnostic (jsc#PED-1073)
- commit aedbe07
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - make PFVF message construction direction (jsc#PED-1073)
- commit 2ca2bcf
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - add the adf_get_pmisc_base() helper function (jsc#PED-1073)
- commit 9792449
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - support the reset of ring pairs on PF (jsc#PED-1073)
- commit de04ed8
* Wed Jan 25 2023 duwe@suse.de
- crypto: qat - extend crypto capability detection for 4xxx (jsc#PED-1073)
- commit c3023c8
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - set COMPRESSION capability for QAT GEN2 (jsc#PED-1073)
- commit a2fb7a9
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - set CIPHER capability for QAT GEN2 (jsc#PED-1073)
- commit 84fa17b
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - get compression extended capabilities (jsc#PED-1073)
- commit e0f1f60
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - improve logging of PFVF messages (jsc#PED-1073)
- commit 7d50788
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - fix VF IDs in PFVF log messages (jsc#PED-1073)
- commit 5431014
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - do not rely on min version (jsc#PED-1073)
- commit 870229a
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - refactor pfvf version request messages (jsc#PED-1073)
- commit e5c3675
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - pass the PF2VF responses back to the callers (jsc#PED-1073)
- commit f631a94
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - use enums for PFVF protocol codes (jsc#PED-1073)
- commit 35a9ec3
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - reorganize PFVF protocol definitions (jsc#PED-1073)
- commit 1e1f12f
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - reorganize PFVF code (jsc#PED-1073)
- commit 55964eb
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - abstract PFVF receive logic (jsc#PED-1073)
- commit 0bc641c
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - abstract PFVF send function (jsc#PED-1073)
- commit 3416f84
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - differentiate between pf2vf and vf2pf offset (jsc#PED-1073)
- commit e148df7
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - add pfvf_ops (jsc#PED-1073)
- commit 75cf99a
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - relocate PFVF disabled function (jsc#PED-1073)
- commit ef7a717
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - relocate PFVF VF related logic (jsc#PED-1073)
- commit 0fab52c
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - relocate PFVF PF related logic (jsc#PED-1073)
- commit b8a060b
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - handle retries due to collisions in (jsc#PED-1073)
- commit 44db9e5
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - split PFVF message decoding from handling (jsc#PED-1073)
- commit fcf9fe5
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - re-enable interrupts for legacy PFVF messages (jsc#PED-1073)
- commit a527278
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - change PFVF ACK behaviour (jsc#PED-1073)
- commit 2675449
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - move interrupt code out of the PFVF handler (jsc#PED-1073)
- commit d8bed3f
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - move VF message handler to adf_vf2pf_msg.c (jsc#PED-1073)
- commit d8fe103
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - move vf2pf interrupt helpers (jsc#PED-1073)
- commit 51a2a33
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - refactor PF top half for PFVF (jsc#PED-1073)
- commit d9293dc
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - do not handle PFVF sources for qat_4xxx (jsc#PED-1073)
- commit 7b66f0b
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - simplify adf_enable_aer() (jsc#PED-1073)
- commit 363539f
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - share adf_enable_pf2vf_comms() from (jsc#PED-1073)
- commit 269527c
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - extract send and wait from (jsc#PED-1073)
- commit 2343cd2
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - add VF and PF wrappers to common send function (jsc#PED-1073)
- commit 451a710
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - rename pfvf collision constants (jsc#PED-1073)
- commit a3a56b6
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - move pfvf collision detection values (jsc#PED-1073)
- commit 7350bb3
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - use hweight for bit counting (jsc#PED-1073)
- commit 1febd0b
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - remove duplicated logic across GEN2 drivers (jsc#PED-1073)
- commit 2d901d7
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - fix handling of VF to PF interrupts (jsc#PED-1073)
- commit ad3f610
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - remove unneeded packed attribute (jsc#PED-1073)
- commit 25d51cb
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - free irq in case of failure (jsc#PED-1073)
- commit 63e7873
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - free irqs only if allocated (jsc#PED-1073)
- commit b76de9d
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - remove unmatched CPU affinity to cluster IRQ (jsc#PED-1073)
- commit 438e39e
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - replace deprecated MSI API (jsc#PED-1073)
- commit 1c74ede
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - flush vf workqueue at driver removal (jsc#PED-1073)
- commit 59ae093
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - remove the unnecessary get_vintmsk_offset() (jsc#PED-1073)
- commit 248800f
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - prevent spurious MSI interrupt in VF (jsc#PED-1073)
- commit 001fdd0
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - remove empty sriov_configure() (jsc#PED-1073)
- commit 5936a46
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - fix a typo in a comment (jsc#PED-1073)
- commit 6691294
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - disable AER if an error occurs in probe (jsc#PED-1073)
- commit 4868b18
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - set DMA mask to 48 bits for Gen2 (jsc#PED-1073)
- commit c72ae11
* Tue Jan 24 2023 duwe@suse.de
- crypto: qat - simplify code and axe the use of a deprecated (jsc#PED-1073)
- commit 7032dc6
* Tue Jan 24 2023 duwe@suse.de
- Disable intel qat on non-intel architectures
- commit 5c48fb8
* Tue Jan 24 2023 ykaukab@suse.de
- rename for-TB-and-USB4-XDomain-structures.patch for consistency
- commit 3cc1d20
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix infinite loop in tracing_read_pipe on overflowed
  print_trace_line (git-fixes).
- commit 2c44713
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix issue of missing one synthetic field (git-fixes).
- commit 3def245
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix possible memory leak in __create_synth_event()
  error path (git-fixes).
- commit 6ed0eab
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing/hist: Fix out-of-bound write on
  'action_data.var_ref_idx' (git-fixes).
- commit 750c560
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing/hist: Fix wrong return value in parse_action_params()
  (git-fixes).
- commit ebbb4bd
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix complicated dependency of CONFIG_TRACER_MAX_TRACE
  (git-fixes).
- commit e866c70
* Tue Jan 24 2023 lhenriques@suse.de
- ceph: initialize i_size variable in ceph_sync_read
  (jsc#SES-1880).
- netfs: fix parameter of cleanup() (jsc#SES-1880).
- netfs: Fix lockdep warning from taking sb_writers whilst
  holding mmap_lock (jsc#SES-1880).
- ceph: add a new metric to keep track of remote object copies
  (jsc#SES-1880).
- libceph, ceph: move ceph_osdc_copy_from() into cephfs code
  (jsc#SES-1880).
- ceph: clean-up metrics data structures to reduce code
  duplication (jsc#SES-1880).
- ceph: split 'metric' debugfs file into several files
  (jsc#SES-1880).
- ceph: return the real size read when it hits EOF (jsc#SES-1880).
- ceph: shut down mount on bad mdsmap or fsmap decode
  (jsc#SES-1880).
- ceph: fix mdsmap decode when there are MDS's beyond max_mds
  (jsc#SES-1880).
- ceph: ignore the truncate when size won't change with Fx caps
  issued (jsc#SES-1880).
- ceph: don't rely on error_string to validate blocklisted session
  (jsc#SES-1880).
- ceph: just use ci->i_version for fscache aux info
  (jsc#SES-1880).
- ceph: shut down access to inode when async create fails
  (jsc#SES-1880).
- ceph: refactor remove_session_caps_cb (jsc#SES-1880).
- ceph: fix auth cap handling logic in remove_session_caps_cb
  (jsc#SES-1880).
- ceph: drop private list from remove_session_caps_cb
  (jsc#SES-1880).
- ceph: don't use -ESTALE as special return code in
  try_get_cap_refs (jsc#SES-1880).
- ceph: print inode numbers instead of pointer values
  (jsc#SES-1880).
- ceph: enable async dirops by default (jsc#SES-1880).
- libceph: drop ->monmap and err initialization (jsc#SES-1880).
- ceph: convert to noop_direct_IO (jsc#SES-1880).
- fscache_cookie_enabled: check cookie is valid before accessing
  it (jsc#SES-1880).
- commit f5f0829
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing/probes: Handle system names with hyphens (git-fixes).
- commit 2323e61
* Tue Jan 24 2023 lhenriques@suse.de
- blacklist: remove 89d43d0551a8 ("ceph: put the requests/sessions when it fails to alloc memory")
- commit 46eecd9
* Tue Jan 24 2023 petr.pavlu@suse.com
- ftrace/x86: Add back ftrace_expected for ftrace bug reports
  (git-fixes).
- commit a14379e
* Tue Jan 24 2023 petr.pavlu@suse.com
- ftrace: Clean comments related to FTRACE_OPS_FL_PER_CPU
  (git-fixes).
- commit 8869d2a
* Tue Jan 24 2023 lhenriques@suse.de
- ceph: fix off by one bugs in unsafe_request_wait()
  (jsc#SES-1880).
- ceph: drop the mdsc_get_session/put_session dout messages
  (jsc#SES-1880).
- ceph: don't WARN if we're forcibly removing the session caps
  (jsc#SES-1880).
- ceph: don't WARN if we're force umounting (jsc#SES-1880).
- ceph: reconnect to the export targets on new mdsmaps
  (jsc#SES-1880).
- ceph: print more information when we can't find snaprealm
  (jsc#SES-1880).
- ceph: add ceph_change_snap_realm() helper (jsc#SES-1880).
- ceph: remove redundant initializations from mdsc and session
  (jsc#SES-1880).
- ceph: add a new vxattr to return auth mds for an inode
  (jsc#SES-1880).
- ceph: remove some defunct forward declarations (jsc#SES-1880).
- ceph: flush the mdlog before waiting on unsafe reqs
  (jsc#SES-1880).
- ceph: flush mdlog before umounting (jsc#SES-1880).
- ceph: make iterate_sessions a global symbol (jsc#SES-1880).
- ceph: make ceph_create_session_msg a global symbol
  (jsc#SES-1880).
- ceph: fix comment about short copies in ceph_write_end
  (jsc#SES-1880).
- commit 4e12f60
* Tue Jan 24 2023 lhenriques@suse.de
- fscache: Remove an unused static variable (jsc#SES-1880).
- fscache: Fix some kerneldoc warnings shown up by W=1
  (jsc#SES-1880).
- cachefiles: Use file_inode() rather than accessing ->f_inode
  (jsc#SES-1880).
- netfs: Move cookie debug ID to struct netfs_cache_resources
  (jsc#SES-1880).
- fscache: Select netfs stats if fscache stats are enabled
  (jsc#SES-1880).
- commit bbdc82f
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Add DYNAMIC flag for dynamic events (git-fixes).
- kABI: Preserve TRACE_EVENT_FL values (git-fixes).
- commit f696f09
* Tue Jan 24 2023 petr.pavlu@suse.com
- IB/mad: Don't call to function that might sleep while in atomic
  context (git-fixes).
- commit 1b3cb60
* Tue Jan 24 2023 jwiesner@suse.de
- tcp: Fix a data-race around sysctl_tcp_tso_rtt_log
  (bsc#1207361).
- commit 8b43c40
* Tue Jan 24 2023 palcantara@suse.de
- cifs: remove unused function (bsc#1193629).
- commit dddb552
* Tue Jan 24 2023 jwiesner@suse.de
- tcp: adjust TSO packet sizes based on min_rtt (bsc#1207361).
- commit c11acdd
* Tue Jan 24 2023 jwiesner@suse.de
- tcp: Don't acquire inet_listen_hashbucket::lock with disabled BH
  (bsc#1207361).
- commit 2d4b85b
* Tue Jan 24 2023 jwiesner@suse.de
- tcp: move inet->rx_dst_ifindex to sk->sk_rx_dst_ifindex
  (bsc#1207361).
- commit 14de981
* Tue Jan 24 2023 jwiesner@suse.de
- tcp: tweak len/truesize ratio for coalesce candidates
  (bsc#1207361).
- commit edfd8e9
* Tue Jan 24 2023 palcantara@suse.de
- cifs: fix return of uninitialized rc in
  dfs_cache_update_tgthint() (bsc#1193629).
- commit 107299a
* Tue Jan 24 2023 palcantara@suse.de
- cifs: handle cache lookup errors different than -ENOENT
  (bsc#1193629).
- commit 263d1e1
* Tue Jan 24 2023 palcantara@suse.de
- cifs: remove duplicate code in __refresh_tcon() (bsc#1193629).
- commit ede0049
* Tue Jan 24 2023 palcantara@suse.de
- cifs: don't take exclusive lock for updating target hints
  (bsc#1193629).
- commit 441f914
* Tue Jan 24 2023 palcantara@suse.de
- cifs: avoid re-lookups in dfs_cache_find() (bsc#1193629).
- commit 6dbdc1d
* Tue Jan 24 2023 palcantara@suse.de
- cifs: fix potential deadlock in cache_refresh_path()
  (git-fixes).
- commit 4646a4f
* Tue Jan 24 2023 petr.pavlu@suse.com
- jbd2: use the correct print format (git-fixes).
- commit 34db311
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix warning on variable 'struct trace_array'
  (git-fixes).
- commit 771db36
* Tue Jan 24 2023 petr.pavlu@suse.com
- scsi: tracing: Fix compile error in trace_array calls when
  TRACING is disabled (git-fixes).
- commit ac58cae
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Avoid adding tracer option before update_tracer_options
  (git-fixes).
- commit ce3e735
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix sleeping function called from invalid context on
  RT kernel (git-fixes).
- commit 52007fe
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Make tp_printk work on syscall tracepoints (git-fixes).
- commit b728605
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Have syscall trace events use
  trace_event_buffer_lock_reserve() (git-fixes).
- blacklist.conf: Remove the commit from the list
- commit 54d48a6
* Tue Jan 24 2023 oneukum@suse.com
- xhci: Prevent infinite loop in transaction errors recovery
  for streams (git-fixes).
- commit 85092a8
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: incorrect isolate_mote_t cast in mm_vmscan_lru_isolate
  (git-fixes).
- commit 954cfad
* Tue Jan 24 2023 oneukum@suse.com
- blacklist.conf: prerequisites break kABI
- commit ea0d023
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Have type enum modifications copy the strings
  (git-fixes).
- commit fdf4a79
* Tue Jan 24 2023 oneukum@suse.com
- mt76: fix use-after-free by removing a non-RCU wcid pointer
  (git-fixes).
- commit 5bb0d81
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Have TRACE_DEFINE_ENUM affect trace event types as well
  (git-fixes).
- commit 9aa6f06
* Tue Jan 24 2023 oneukum@suse.com
- blacklist.conf: Unlist 10cb21f4ff3f9cb36d1e1c39bf80426f02f4986a
  The entry was valid only for SP4 and the patch taken in SP5
  Thus it should not be listed at teh same time
- commit ceec295
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing/osnoise: Make osnoise_main to sleep for microseconds
  (git-fixes).
- commit 31030cc
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Ensure trace buffer is at least 4096 bytes large
  (git-fixes).
- commit d84d209
* Tue Jan 24 2023 petr.pavlu@suse.com
- tracing: Fix tp_printk option related with
  tp_printk_stop_on_boot (git-fixes).
- commit 2d97144
* Tue Jan 24 2023 oneukum@suse.com
- paddings for the inter DMN tunnel stuff of TB (bsc#1207439).
- commit 67bb45c
* Tue Jan 24 2023 oneukum@suse.com
- paddings for ath 802.11 (bsc#1207439).
- commit 5a06131
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: cbq: dont intepret cls results when asked to drop
  (bsc#1207361).
- commit ddab1a0
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: atm: dont intepret cls results when asked to drop
  (bsc#1207361).
- commit 6b251c2
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: fix memory leak in tcindex_set_parms (bsc#1207361).
- commit 0bf0bf4
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: Fix use after free in red_enqueue() (bsc#1207361).
- commit e23a513
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: fix race condition in qdisc_graft() (bsc#1207361).
- commit a308ff1
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: sfb: fix null pointer access issue when sfb_init()
  fails (bsc#1207361).
- commit 4f72489
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: cake: fix null pointer access issue when cake_init()
  fails (bsc#1207361).
- commit 39f4159
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: act_ct: fix possible refcount leak in tcf_ct_init()
  (bsc#1207361).
- commit 50b1a73
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: fix possible refcount leak in tc_new_tfilter()
  (bsc#1207361).
- commit 4381a72
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: taprio: avoid disabling offload when it was never
  enabled (bsc#1207361).
- commit 3ac48e1
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: fix netdevice reference leaks in
  attach_default_qdiscs() (bsc#1207361).
- commit c027f2b
* Tue Jan 24 2023 oneukum@suse.com
- paddings for mediatek 802.11 (bsc#1207439).
- commit 16db63a
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: tbf: don't call qdisc_put() while holding tree lock
  (bsc#1207361).
- commit 62026f3
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: fix misuse of qcpu->backlog in
  gnet_stats_add_queue_cpu (bsc#1207361).
- commit c5e3f37
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: cls_api: Fix flow action initialization
  (bsc#1207361).
- commit b0a0a61
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: sch_netem: Fix arithmetic in netem_dump() for 32-bit
  platforms (bsc#1207361).
- commit 84ef588
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: add barrier to fix packet stuck problem for lockless
  qdisc (bsc#1207361).
- commit ea9576e
* Tue Jan 24 2023 jwiesner@suse.de
- net: sched: fixed barrier to prevent skbuff sticking in qdisc
  backlog (bsc#1207361).
- commit 2c7a559
* Tue Jan 24 2023 oneukum@suse.com
- paddings for realtik 802.11 (bsc#1207439).
- commit 4ed6d80
* Tue Jan 24 2023 jwiesner@suse.de
- net_sched: em_meta: add READ_ONCE() in var_sk_bound_if()
  (bsc#1207361).
- commit c50ecf4
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: cls_u32: fix possible leak in u32_init_knode()
  (bsc#1207361).
- commit a9f32c4
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: taprio: Check if socket flags are valid
  (bsc#1207361).
- commit 0942621
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: fix initialization order when updating chain 0 head
  (bsc#1207361).
- commit 34cd1cb
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: act_ct: fix ref leak when switching zones
  (bsc#1207361).
- commit 0833c6c
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: fix incorrect vlan_push_eth dest field (bsc#1207361).
- commit 757cbd1
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: act_ct: Fix flow table lookup after ct clear or
  switching zones (bsc#1207361).
- commit 96f803e
* Tue Jan 24 2023 jwiesner@suse.de
- net_sched: restore "mpu xxx" handling (bsc#1207361).
- commit 024a7f3
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: sch_ets: don't remove idle classes from the
  round-robin list (bsc#1207361).
- commit 005267d
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: fq_pie: prevent dismantle issue (bsc#1207361).
- commit 1717957
* Tue Jan 24 2023 jwiesner@suse.de
- net/sched: sch_ets: don't peek at classes beyond 'nbands'
  (bsc#1207361).
- commit ee4b9c2
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: add a 'default' case in do_ip_vs_set_ctl() (bsc#1207361).
- commit 0ab71c0
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: fix type warning in do_div() on 32 bit (bsc#1207361).
- commit 4102780
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: run_estimation should control the kthread tasks
  (bsc#1207361).
- commit 51bb0d7
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: add est_cpulist and est_nice sysctl vars (bsc#1207361).
- commit 2723796
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: use kthreads for stats estimation (bsc#1207361).
- commit ff08e41
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: use u64_stats_t for the per-cpu counters (bsc#1207361).
- commit 51c5bfe
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: use common functions for stats allocation (bsc#1207361).
- commit 347e1b2
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: add rcu protection to stats (bsc#1207361).
- commit 5f23238
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: fix WARNING in ip_vs_app_net_cleanup() (bsc#1207361).
- commit 31ae8c3
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: fix WARNING in __ip_vs_cleanup_batch() (bsc#1207361).
- commit bb6c429
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: use explicitly signed chars (bsc#1207361).
- commit 22855ea
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: correctly print the memory size of ip_vs_conn_tab
  (bsc#1207361).
- commit f56bcd9
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: remove unused variable for ip_vs_new_dest (bsc#1207361).
- commit b94d2b7
* Tue Jan 24 2023 jwiesner@suse.de
- ipvs: autoload ipvs on genl access (bsc#1207361).
- commit 12cf4c5
* Tue Jan 24 2023 oneukum@suse.com
- for TB and USB4 XDomain structures (bsc#1207439).
- commit e00e308
* Tue Jan 24 2023 oneukum@suse.com
- paddings for gadgets (bsc#1207439).
- commit 6b4b17c
* Tue Jan 24 2023 oneukum@suse.com
- paddings for the new structures for roles (bsc#1207439).
- commit 1ac04ac
* Tue Jan 24 2023 oneukum@suse.com
- paddings: add for type C new in SP5 (bsc#1207439).
- commit 769e51e
* Tue Jan 24 2023 tiwai@suse.de
- ath11k: Fix unexpected return buffer manager error for QCA6390
  (git-fixes).
- commit fb54c7f
* Mon Jan 23 2023 oneukum@suse.com
- ath11k_hw_params unremane cal_size (bsc#1199701 CVE-2020-24588).
- commit 042d893
* Mon Jan 23 2023 oneukum@suse.com
- ath11k_hw_params reinsert deleted members (bsc#1199701
  CVE-2020-24588).
- commit 36b3581
* Mon Jan 23 2023 mkubecek@suse.cz
- netfilter: nft_payload: incorrect arithmetics when fetching
  VLAN header bits (CVE-2023-0179 bsc#1207034).
- commit 3ea68f0
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/selftests: Unwind hugepages to drop wakeref on error
  (git-fixes).
- commit 907589c
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/gpu: Fix potential double-free (git-fixes).
- commit a9243cf
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dpu: Fix memory leak in msm_mdss_parse_data_bus_icc_path
  (git-fixes).
- commit ac4c813
* Mon Jan 23 2023 petr.pavlu@suse.com
- tracing/perf: Avoid -Warray-bounds warning for __rel_loc macro
  (git-fixes).
- commit 1b48195
* Mon Jan 23 2023 petr.pavlu@suse.com
- tracing: Avoid -Warray-bounds warning for __rel_loc macro
  (git-fixes).
- commit 42e71d6
* Mon Jan 23 2023 petr.pavlu@suse.com
- SUNRPC: Don't dereference xprt->snd_task if it's a cookie
  (git-fixes).
- commit b6b2aeb
* Mon Jan 23 2023 petr.pavlu@suse.com
- tracing: Add '__rel_loc' using trace event macros (git-fixes).
- commit 6bca62f
* Mon Jan 23 2023 petr.pavlu@suse.com
- tracing: Add trace_event helper macros __string_len() and
  __assign_str_len() (git-fixes).
- commit c14bed0
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dpu: Fix some kernel-doc comments (git-fixes).
- commit 4a894d0
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: Reserve enough fence slot for i915_vma_unbind_async
  (git-fixes).
- commit 6a22d0f
* Mon Jan 23 2023 pjakobsson@suse.de
- Revert "drm/amd/display: Enable Freesync Video Mode by default"
  (git-fixes).
- commit fc98aa7
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/amdkfd: Fix kernel warning during topology setup
  (git-fixes).
- commit 184a51d
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: improve the catch-all evict to handle lock contention
  (git-fixes).
- commit 08d6b57
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/amd/pm: avoid large variable on kernel stack (git-fixes).
- commit d1c9734
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/ttm: consider CCS for backup objects (git-fixes).
- commit db4d244
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/bios: fix a memory leak in generate_lfp_data_ptrs
  (git-fixes).
- commit bf8b707
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/guc: make default_lists const data (git-fixes).
- commit 66da1c8
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/mdp5: stop overriding drvdata (git-fixes).
- commit 1b93d3f
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-warn-in-intel_display_power_-_domain-fu.patch
  (git-fixes)
  Alt-commit
- commit 34ded5b
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-psr-Send-update-also-on-invalidate.patch
  (git-fixes)
  Alt-commit
- commit bd4acf7
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/amd/display: delete the duplicate .set_odm_bypass
  initialization in dcn314_tg_funcs (git-fixes).
- commit fa9b5a7
* Mon Jan 23 2023 pjakobsson@suse.de
- drm: lcdif: Set and enable FIFO Panic threshold (git-fixes).
- commit 0454dc1
* Mon Jan 23 2023 pjakobsson@suse.de
- drm: rcar-du: Drop leftovers dependencies from Kconfig
  (git-fixes).
- commit 3caed8e
* Mon Jan 23 2023 petr.pavlu@suse.com
- tracing: Fix a kmemleak false positive in tracing_map
  (git-fixes).
- commit de3f801
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/amdgpu: Revert "drm/amdgpu: getting fan speed pwm for
  vega10 properly" (git-fixes).
- commit 11afadd
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Do-not-set-cache_dirty-for-DGFX.patch
  (git-fixes)
  Alt-commit
- commit 069f690
* Mon Jan 23 2023 petr.pavlu@suse.com
- tracing: Don't use out-of-sync va_list in event printing
  (git-fixes).
- commit cf27dc0
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: Fix compute pre-emption w/a to apply to compute
  engines (git-fixes).
- commit 6a05b60
* Mon Jan 23 2023 petr.pavlu@suse.com
- SUNRPC: Use BIT() macro in rpc_show_xprt_state() (git-fixes).
- commit 1620581
* Mon Jan 23 2023 petr.pavlu@suse.com
- SUNRPC: Update trace flags (git-fixes).
- commit 491eea9
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-display-problems-after-resume.patch
  (git-fixes)
  Alt-commit
- commit 16c0276
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-guc-Fix-revocation-of-non-persistent-contex.patch
  (git-fixes)
  Alt-commit
- commit 73c4eaa
* Mon Jan 23 2023 petr.pavlu@suse.com
- blacklist.conf: add a not-relevant ftrace fix
- commit a05a606
* Mon Jan 23 2023 pjakobsson@suse.de
- drm: lcdif: change burst size to 256B (git-fixes).
- commit 42076b9
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Extend-Wa_1607297627-to-Alderlake-P.patch
  (git-fixes)
  Alt-commit
- commit 60a4ef1
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: it6505: Initialize AUX channel in it6505_i2c_probe
  (git-fixes).
- commit f833b7b
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/nouveau-fix-migrate_to_ram-for-faulting-page.patch.
  Alt-commit
- commit bcdeb12
* Mon Jan 23 2023 pjakobsson@suse.de
- drm: lcdif: Switch to limited range for RGB to YUV conversion
  (git-fixes).
- commit c04f538
* Mon Jan 23 2023 tabraham@suse.com
- scsi: storvsc: Fix swiotlb bounce buffer leak in confidential VM
  (bsc#1206006).
- commit f397f8a
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/atomic-helper: Don't allocate new plane state in CRTC check
  (git-fixes).
- commit bcbb234
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: it6505: Add pre_enable/post_disable callback
  (git-fixes).
- commit 9ad1e5e
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: it6505: Adapt runtime power management framework
  (git-fixes).
- commit 2b7732d
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/gvt: Get reference to KVM iff attachment to VM is
  successful (git-fixes).
- commit d805a79
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: Fix warn in intel_display_power_*_domain() functions
  (git-fixes).
- commit 4355ab1
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: Do not set cache_dirty for DGFX (git-fixes).
- commit b67cd7d
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/psr: Send update also on invalidate (git-fixes).
- commit 9a2ccac
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/imx: Kconfig: Remove duplicated 'select DRM_KMS_HELPER'
  line (git-fixes).
- commit 35e1a89
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/rockchip: fix fbdev on non-IOMMU devices (git-fixes).
- commit b133d03
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/rockchip: dw_hdmi: filter regulator -EPROBE_DEFER error
  messages (git-fixes).
- commit 8fe85cd
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: ps8640: Add back the 50 ms mystery delay after HPD
  (git-fixes).
- commit 11ba84f
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: Extend Wa_1607297627 to Alderlake-P (git-fixes).
- commit 2986994
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dp: fix bridge lifetime (git-fixes).
- commit 17d7b7f
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dp: fix aux-bus EP lifetime (git-fixes).
- commit 610600e
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dp: fix memory corruption with too many bridges
  (git-fixes).
- commit 240da7f
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dp: add atomic_check to bridge ops (git-fixes).
- commit 8b8f36a
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/a6xx: Replace kcalloc() with kvzalloc() (git-fixes).
- commit 74ec471
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/vc4: hdmi: Enforce the minimum rate at runtime_resume
  (git-fixes).
- commit b1e60d3
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-display-consider-DG2_RC_CCS_CC-when-migrati.patch
  (git-fixes)
  Alt-commit
- commit d227c44
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915: Fix display problems after resume (git-fixes).
- commit 8a33e76
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/guc: Fix revocation of non-persistent contexts
  (git-fixes).
- commit 15a9fe5
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-watermark-calculations-for-DG2-CCS-CC-m.patch
  (git-fixes)
  Alt-commit
- commit 3f34b95
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-watermark-calculations-for-DG2-CCS-modi.patch
  (git-fixes)
  Alt-commit
- commit e71aeb7
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/i915/gvt: Add missing vfio_unregister_group_dev() call
  (git-fixes).
- commit b27f38e
* Mon Jan 23 2023 oneukum@suse.com
- USB: gadget: Add ID numbers to configfs-gadget driver names
  (git-fixes).
- commit 4a8d0d1
* Mon Jan 23 2023 oneukum@suse.com
- usb: ucsi: Ensure connector delayed work items are flushed
  (git-fixes).
- commit 1fc8962
* Mon Jan 23 2023 oneukum@suse.com
- thunderbolt: Disable XDomain lane 1 only in software connection
  manager (git-fixes).
- commit d9590e7
* Mon Jan 23 2023 msuchanek@suse.de
- blacklist.conf: Add upstream config paths.
- commit 4a7f4f2
* Mon Jan 23 2023 fweisbecker@suse.de
- sched/core: Fix arch_scale_freq_tick() on tickless systems (git-fixes)
- commit cd7192b
* Mon Jan 23 2023 fweisbecker@suse.de
- sched/uclamp: Make asym_fits_capacity() use util_fits_cpu() (git-fixes)
- commit 3e6177d
* Mon Jan 23 2023 fweisbecker@suse.de
- sched/core: Introduce sched_asym_cpucap_active() (git-fixes)
- commit 97e4a68
* Mon Jan 23 2023 fweisbecker@suse.de
- sched, cpuset: Fix dl_cpu_busy() panic due to empty (git-fixes)
- commit 18a9947
* Mon Jan 23 2023 fweisbecker@suse.de
- wait: Fix __wait_event_hrtimeout for RT/DL tasks (git-fixes)
- commit ad3a9e3
* Mon Jan 23 2023 fweisbecker@suse.de
- sched/core: Avoid obvious double update_rq_clock warning (git-fixes)
- commit 97af059
* Mon Jan 23 2023 fweisbecker@suse.de
- sched/deadline: Merge dl_task_can_attach() and dl_cpu_busy() (git-fixes)
- commit b78774a
* Mon Jan 23 2023 fweisbecker@suse.de
- sched/tracing: Report TASK_RTLOCK_WAIT tasks as (git-fixes)
- commit 8c13d3e
* Mon Jan 23 2023 fweisbecker@suse.de
- sched: Avoid double preemption in __cond_resched_*lock*() (git-fixes)
- commit acf4640
* Mon Jan 23 2023 oneukum@suse.com
- ath11k_hwparams: hide new member spectral (bsc#1199701
  CVE-2020-24588).
- commit 665734d
* Mon Jan 23 2023 ddiss@suse.de
- Refresh
  patches.suse/USB-gadgetfs-Fix-race-between-mounting-and-unmountin.patch.
  Now in mainline. Add to sorted section.
- commit 6995158
* Mon Jan 23 2023 pjakobsson@suse.de
- virtio-gpu: fix shift wrapping bug in
  virtio_gpu_fence_event_create() (git-fixes).
- commit 539bf79
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: it6505: use drm_debug_enabled() in
  it6505_debug_print() (git-fixes).
- commit 5e6dd4b
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dpu: drop unused variable from dpu_kms_mdp_snapshot()
  (git-fixes).
- commit af06b2e
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm/dpu: drop unused memory allocation (git-fixes).
- commit 9feabb5
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/msm: lookup the ICC paths in both mdp5/dpu and mdss devices
  (git-fixes).
- commit ee2eeca
* Mon Jan 23 2023 pjakobsson@suse.de
- drm: rcar-du: Drop leftovers variables from Makefile
  (git-fixes).
- commit 58c08bd
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1626-drm-i915-Set-correct-domains-values-at-_i915_vma_mov.patch
  (git-fixes)
  Alt-commit
- commit 4063805
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/virtio: set fb_modifiers_not_supported (git-fixes).
- commit a4aac7f
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: it6505: Fix the order of DP_SET_POWER commands
  (git-fixes).
- commit 4df42d4
* Mon Jan 23 2023 pjakobsson@suse.de
- drm: fix drm_mipi_dbi build errors (git-fixes).
- commit 2d79b8a
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/panel: use 'select' for Ili9341 panel driver helpers
  (git-fixes).
- commit 8e413c7
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/virtio: Fix same-context optimization (git-fixes).
- commit 596bba8
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/lcdif: switch to devm_drm_of_get_bridge (git-fixes).
- commit 34f6f39
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/lcdif: Clean up debug prints and comments (git-fixes).
- commit ecdc499
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/lcdif: Consistently use plain timings (git-fixes).
- commit 7c978f1
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/lcdif: Clean up headers (git-fixes).
- commit a5dc0be
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/format-helper: Fix test on big endian architectures
  (git-fixes).
- commit b0bfed2
* Mon Jan 23 2023 tiwai@suse.de
- kABI workaround for struct acpi_ec (bsc#1207149).
- commit 67b47b6
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: tc358767: Add of_node_put() when breaking out of
  loop (git-fixes).
- commit a3c7986
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/virtio: Unlock reservations on dma_resv_reserve_fences()
  error (git-fixes).
- commit e81bc04
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/bridge: it6505: Power on downstream device in .atomic_enable
  (git-fixes).
- commit 0c6ade5
* Mon Jan 23 2023 tiwai@suse.de
- ACPI: EC: Fix ECDT probe ordering issues (bsc#1207149).
- ACPI: EC: Fix EC address space handler unregistration
  (bsc#1207149).
- ACPICA: Allow address_space_handler Install and _REG execution
  as 2 separate steps (bsc#1207149).
- ACPICA: include/acpi/acpixf.h: Fix indentation (bsc#1207149).
- commit 6a8ca13
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1845-drm-bridge-fsl-ldb-Drop-DE-signal-polarity-inversion.patch.
  Alt-commit
- commit b9eec37
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0496-drm-amd-display-DIG-mapping-change-is-causing-a-bloc.patch.
  Alt-commit
- commit e4ed54f
* Mon Jan 23 2023 pjakobsson@suse.de
- drm/amdgpu: don't use BACO for reset in S3 (git-fixes).
- commit 3504f0f
* Mon Jan 23 2023 pjakobsson@suse.de
- blacklist.conf: 803abfd8dda5 drm: bridge: fix unmet dependency on DRM_KMS_HELPER for DRM_PANEL_BRIDGE
- commit 151afa1
* Mon Jan 23 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fix-DPIA-outbox-timeout-after-S3-S4-.patch
  Alt-commit
- commit f5105c7
* Mon Jan 23 2023 nstange@suse.de
- Update patches.suse/crypto-dh-implement-FIPS-PCT.patch
  (jsc#SLE-21132,bsc#1191256,bsc#1207184).
- commit 0f2985d
* Mon Jan 23 2023 nstange@suse.de
- Update patches.suse/crypto-ecdh-implement-FIPS-PCT.patch
  (jsc#SLE-21132,bsc#1191256,bsc#1207184).
- commit 65a34a6
* Sun Jan 22 2023 tiwai@suse.de
- VMCI: Use threaded irqs instead of tasklets (git-fixes).
- gsmi: fix null-deref in gsmi_get_variable (git-fixes).
- misc: fastrpc: Fix use-after-free race condition for maps
  (git-fixes).
- misc: fastrpc: Don't remove map on creater_process and
  device_release (git-fixes).
- w1: fix WARNING after calling w1_process() (git-fixes).
- w1: fix deadloop in __w1_remove_master_device() (git-fixes).
- driver core: Fix test_async_probe_init saves device in wrong
  array (git-fixes).
- staging: vchiq_arm: fix enum vchiq_status return types
  (git-fixes).
- serial: atmel: fix incorrect baudrate setup (git-fixes).
- tty: fix possible null-ptr-defer in spk_ttyio_release
  (git-fixes).
- serial: pch_uart: Pass correct sg to dma_unmap_sg() (git-fixes).
- tty: serial: qcom-geni-serial: fix slab-out-of-bounds on RX
  FIFO buffer (git-fixes).
- USB: misc: iowarrior: fix up header size for
  USB_DEVICE_ID_CODEMERCS_IOW100 (git-fixes).
- usb: host: ehci-fsl: Fix module alias (git-fixes).
- usb: typec: tcpm: Fix altmode re-registration causes sysfs
  create fail (git-fixes).
- usb: gadget: g_webcam: Send color matching descriptor per frame
  (git-fixes).
- usb: typec: altmodes/displayport: Fix pin assignment calculation
  (git-fixes).
- usb: typec: altmodes/displayport: Add pin assignment helper
  (git-fixes).
- usb: gadget: f_fs: Ensure ep0req is dequeued before free_request
  (git-fixes).
- usb: gadget: f_fs: Prevent race during ffs_ep0_queue_wait
  (git-fixes).
- usb: xhci: Check endpoint is valid before dereferencing it
  (git-fixes).
- usb-storage: apply IGNORE_UAS only for HIKSEMI MD202 on RTL9210
  (git-fixes).
- usb: cdns3: remove fetched trb from cache before dequeuing
  (git-fixes).
- thunderbolt: Use correct function to calculate maximum USB3
  link rate (git-fixes).
- thunderbolt: Do not call PM runtime functions in
  tb_retimer_scan() (git-fixes).
- thunderbolt: Do not report errors if on-board retimers are found
  (git-fixes).
- pinctrl: rockchip: fix mux route data for rk3568 (git-fixes).
- mmc: sunxi-mmc: Fix clock refcount imbalance during unbind
  (git-fixes).
- mmc: sdhci-esdhc-imx: correct the tuning start tap and step
  setting (git-fixes).
- PM: AVS: qcom-cpr: Fix an error handling path in cpr_probe()
  (git-fixes).
- soc: imx8m: Fix incorrect check for of_clk_get_by_name()
  (git-fixes).
- firmware: arm_scmi: Harden shared memory access in
  fetch_notification (git-fixes).
- firmware: arm_scmi: Harden shared memory access in
  fetch_response (git-fixes).
- memory: mvebu-devbus: Fix missing clk_disable_unprepare in
  mvebu_devbus_probe() (git-fixes).
- memory: atmel-sdramc: Fix missing clk_disable_unprepare in
  atmel_ramc_probe() (git-fixes).
- memory: tegra: Remove clients SID override programming
  (git-fixes).
- drm/amd/display: Fix COLOR_SPACE_YCBCR2020_TYPE matrix
  (git-fixes).
- drm/amd/display: Calculate output_color_space after pixel
  encoding adjustment (git-fixes).
- drm/panfrost: fix GENERIC_ATOMIC64 dependency (git-fixes).
- drm/i915: re-disable RC6p on Sandy Bridge (git-fixes).
- dmaengine: xilinx_dma: call of_node_put() when breaking out
  of for_each_child_of_node() (git-fixes).
- dmaengine: Fix double increment of client_count in
  dma_chan_get() (git-fixes).
- dmaengine: tegra210-adma: fix global intr clear (git-fixes).
- phy: phy-can-transceiver: Skip warning if no "max-bitrate"
  (git-fixes).
- phy: Revert "phy: qualcomm: usb28nm: Add MDM9607 init sequence"
  (git-fixes).
- phy: rockchip-inno-usb2: Fix missing clk_disable_unprepare()
  in rockchip_usb2phy_power_on() (git-fixes).
- phy: ti: fix Kconfig warning and operator precedence
  (git-fixes).
- Revert "wifi: mac80211: fix memory leak in ieee80211_if_add()"
  (git-fixes).
- wifi: rndis_wlan: Prevent buffer overflow in rndis_query_oid
  (git-fixes).
- wifi: brcmfmac: fix regression for Broadcom PCIe wifi devices
  (git-fixes).
- virtio-net: correctly enable callback during start_xmit
  (git-fixes).
- net: mdio: validate parameter addr in mdiobus_get_phy()
  (git-fixes).
- net: usb: sr9700: Handle negative len (git-fixes).
- net: wan: Add checks for NULL for utdm in undo_uhdlc_init and
  unmap_si_regs (git-fixes).
- net: nfc: Fix use-after-free in local_cleanup() (git-fixes).
- l2tp: Don't sleep and disable BH under writer-side
  sk_callback_lock (git-fixes).
- commit b75f08a
* Sun Jan 22 2023 tiwai@suse.de
- comedi: adv_pci1760: Fix PWM instruction handling (git-fixes).
- ACPI: PRM: Check whether EFI runtime is available (git-fixes).
- ARM: dts: at91: sam9x60: fix the ddr clock for sam9x60
  (git-fixes).
- Revert "ARM: dts: armada-39x: Fix compatible string for gpios"
  (git-fixes).
- Revert "ARM: dts: armada-38x: Fix compatible string for gpios"
  (git-fixes).
- arm64: dts: qcom: msm8992: Don't use sfpb mutex (git-fixes).
- arm64: dts: imx8mm-venice-gw7901: fix USB2 controller OC
  polarity (git-fixes).
- ARM: imx: add missing of_node_put() (git-fixes).
- arm64: dts: imx8mm-beacon: Fix ecspi2 pinmux (git-fixes).
- ARM: dts: imx6qdl-gw560x: Remove incorrect 'uart-has-rtscts'
  (git-fixes).
- ARM: dts: imx7d-pico: Use 'clock-frequency' (git-fixes).
- ARM: dts: imx6ul-pico-dwarf: Use 'clock-frequency' (git-fixes).
- Revert "arm64: dts: meson-sm1-odroid-hc4: disable unused USB
  PHY0" (git-fixes).
- dmaengine: lgm: Move DT parsing after initialization
  (git-fixes).
- dmaengine: ti: k3-udma: Do conditional decrement of
  UDMA_CHAN_RT_PEER_BCNT_REG (git-fixes).
- dmaengine: idxd: Do not call DMX TX callbacks during workqueue
  disable (git-fixes).
- dmaengine: idxd: Let probe fail when workqueue cannot be enabled
  (git-fixes).
- Bluetooth: Fix possible deadlock in rfcomm_sk_state_change
  (git-fixes).
- Bluetooth: hci_qca: Fix driver shutdown on closed serdev
  (git-fixes).
- commit 5b33587
* Sat Jan 21 2023 tonyj@suse.de
- perf/x86/amd: Fix crash due to race between amd_pmu_enable_all,
  perf NMI and throttling (git fixes).
- perf/x86/amd/uncore: Fix memory leak for events array (git
  fixes).
- perf/x86/amd/lbr: Adjust LBR regardless of filtering (git
  fixes).
- perf/x86/utils: Fix uninitialized var in get_branch_type()
  (git fixes).
- perf/x86/intel/lbr: Fix unchecked MSR access error on HSW
  (git fixes).
- x86/perf: Fix snapshot_branch_stack warning in VM (git fixes).
- commit 5d08c94
* Fri Jan 20 2023 dwagner@suse.de
- blk: kABI: Add suse_kabi_padding to blk layer structs
  (bsc#1207345).
- commit c25973f
* Fri Jan 20 2023 pmladek@suse.com
- Update
  patches.suse/HID-check-empty-report_list-in-hid_validate_values.patch
  (git-fixes, bsc#1206784).
- commit b88f181
* Fri Jan 20 2023 pmladek@suse.com
- Update
  patches.suse/HID-check-empty-report_list-in-bigben_probe.patch
  (git-fixes, bsc#1206784).
- commit dc5fa1c
* Fri Jan 20 2023 pmladek@suse.com
- Update
  patches.suse/HID-betop-check-shape-of-output-reports.patch
  (git-fixes, bsc#1207186).
- commit fb93871
* Fri Jan 20 2023 jslaby@suse.cz
- blacklist.conf: add one docs update
- commit bfb0e4d
* Fri Jan 20 2023 tonyj@suse.de
- perf/x86/ibs: Add new IBS register bits into header
  (jsc#PED-1752).
- perf/core: Add a new read format to get a number of lost samples
  (jsc#PED-1752).
- x86/events/intel/ds: Enable large PEBS for
  PERF_SAMPLE_WEIGHT_TYPE (jsc#PED-1752).
- perf/ibs: Fix comment (jsc#PED-1755).
- perf/amd/ibs: Use interrupt regs ip for stack unwinding
  (jsc#PED-1755).
- perf/x86: Unify format of events sysfs show (jsc#PED-1755).
- perf report: Add tools/arch/x86/include/asm/amd-ibs.h
  (jsc#PED-1755 (dependent patch)).
- perf/x86/amd/ibs: Add bitfield definitions in new
  <asm/amd-ibs.h> header (jsc#PED-1755 (dependent patch)).
- commit c98b108
* Fri Jan 20 2023 tonyj@suse.de
- signal: Deliver SIGTRAP on perf event asynchronously if blocked
  (jsc#PED-1755).
- blacklist.conf: remove blacklist inherited from SP4 for this patch
- commit 0a01122
* Fri Jan 20 2023 tonyj@suse.de
- signal/sparc: si_trapno is only used with SIGILL ILL_ILLTRP
  (jsc#PED-1755 (dependent patch)).
- arm64: Add compile-time asserts for siginfo_t offsets
  (jsc#PED-1755 (dependent patch)).
- arm: Add compile-time asserts for siginfo_t offsets
  (jsc#PED-1755 (dependent patch)).
- sparc64: Add compile-time asserts for siginfo_t offsets
  (jsc#PED-1755 (dependent patch)).
- commit 3e86e1d
* Fri Jan 20 2023 tonyj@suse.de
- Update References in following patches (add jsc#PED-1755 jsc#PED-1752):
  patches.suse/ACPI-Add-perf-low-power-callback.patch
  patches.suse/perf-amd-ibs-add-support-for-l3-miss-filtering.patch
  patches.suse/perf-amd-ibs-advertise-zen4_ibs_extensions-as-pmu-capability-attribute.patch
  patches.suse/perf-amd-ibs-cascade-pmu-init-functions-return-value.patch
  patches.suse/perf-amd-ibs-use-is_visible-callback-for-dynamic-attributes.patch
  patches.suse/perf-core-Add-perf_clear_branch_entry_bitfields-helper.patch
  patches.suse/perf-x86-Add-new-Alder-Lake-and-Raptor-Lake-support.patch
  patches.suse/perf-x86-amd-Add-AMD-Fam19h-Branch-Sampling-support.patch
  patches.suse/perf-x86-amd-Add-AMD-branch-sampling-period-adjustment.patch
  patches.suse/perf-x86-amd-Add-branch-brs-helper-event-for-Fam19h-BRS.patch
  patches.suse/perf-x86-amd-Add-idle-hooks-for-branch-sampling.patch
  patches.suse/perf-x86-amd-Enable-branch-sampling-priv-level-filtering.patch
  patches.suse/perf-x86-amd-Fix-AMD-BRS-period-adjustment.patch
  patches.suse/perf-x86-amd-Make-Zen3-branch-sampling-opt-in.patch
  patches.suse/perf-x86-amd-Remove-unused-variable-hwc.patch
  patches.suse/perf-x86-amd-Run-AMD-BRS-code-only-on-supported-hw.patch
  patches.suse/perf-x86-amd-core-Add-PerfMonV2-counter-control.patch
  patches.suse/perf-x86-amd-core-Add-PerfMonV2-overflow-handling.patch
  patches.suse/perf-x86-amd-core-Detect-PerfMonV2-support.patch
  patches.suse/perf-x86-amd-core-Detect-available-counters.patch
  patches.suse/perf-x86-amd-core-Fix-reloading-events-for-SVM.patch
  patches.suse/perf-x86-amd-uncore-Add-PerfMonV2-DF-event-format.patch
  patches.suse/perf-x86-amd-uncore-Add-PerfMonV2-RDPMC-assignments.patch
  patches.suse/perf-x86-amd-uncore-Detect-available-DF-counters.patch
  patches.suse/perf-x86-amd-uncore-Use-attr_update-for-format-attributes.patch
  patches.suse/perf-x86-amd-uncore-Use-dynamic-events-array.patch
  patches.suse/perf-x86-cstate-Add-new-Alder-Lake-and-Raptor-Lake-support.patch
  patches.suse/perf-x86-intel-Fix-PEBS-data-source-encoding-for-ADL.patch
  patches.suse/perf-x86-intel-Fix-PEBS-memory-access-info-encoding-for-ADL.patch
  patches.suse/perf-x86-msr-Add-new-Alder-Lake-and-Raptor-Lake-support.patch
  patches.suse/perf-x86-uncore-Add-new-Alder-Lake-and-Raptor-Lake-support.patch
  patches.suse/perf-x86-uncore-Clean-up-uncore_pci_ids.patch
  patches.suse/x86-cpufeatures-Add-AMD-Fam19h-Branch-Sampling-feature.patch
  patches.suse/x86-cpufeatures-Add-PerfMonV2-feature-bit.patch
  patches.suse/x86-msr-Add-PerfCntrGlobal-registers.patch
- commit 7004549
* Fri Jan 20 2023 ddiss@suse.de
- USB: gadgetfs: Fix race between mounting and unmounting
  (CVE-2022-4382 bsc#1206258).
- commit 458382c
* Fri Jan 20 2023 ddiss@suse.de
- git_sort: add usb-linus branch for gregkh/usb
- commit 67c0004
* Thu Jan 19 2023 pjakobsson@suse.de
- mei: bus: enable sending gsc commands (jsc#PED-1218).
- commit 419eee7
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/uc: Add patch level version number support
  (jsc#PED-1218).
- commit d5df365
* Thu Jan 19 2023 lduncan@suse.com
- scsi: mpi3mr: Refer CONFIG_SCSI_MPI3MR in Makefile (git-fixes).
- scsi: snic: Fix possible UAF in snic_tgt_create() (git-fixes).
- scsi: fcoe: Fix transport not deattached when fcoe_if_init()
  fails (git-fixes).
- scsi: ipr: Fix WARNING in ipr_init() (git-fixes).
- scsi: scsi_debug: Fix possible name leak in
  sdebug_add_host_helper() (git-fixes).
- scsi: fcoe: Fix possible name leak when device_register()
  fails (git-fixes).
- scsi: scsi_debug: Fix a warning in resp_report_zones()
  (git-fixes).
- scsi: scsi_debug: Fix a warning in resp_verify() (git-fixes).
- scsi: efct: Fix possible memleak in efct_device_init()
  (git-fixes).
- scsi: hpsa: Fix possible memory leak in hpsa_add_sas_device()
  (git-fixes).
- scsi: hpsa: Fix error handling in hpsa_add_sas_host()
  (git-fixes).
- scsi: mpt3sas: Fix possible resource leaks in
  mpt3sas_transport_port_add() (git-fixes).
- scsi: hpsa: Fix possible memory leak in hpsa_init_one()
  (git-fixes).
- scsi: scsi_debug: Fix a warning in resp_write_scat()
  (git-fixes).
- scsi: elx: libefc: Fix second parameter type in state callbacks
  (git-fixes).
- scsi: core: Fix a race between scsi_done() and scsi_timeout()
  (git-fixes).
- commit fd6cfde
* Thu Jan 19 2023 tiwai@suse.de
- Update patch reference for sound fix (CVE-2023-0266 bsc#1207134)
- commit a076073
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: join running log transaction when logging new name
  (bsc#1207263).
- commit 862de17
* Thu Jan 19 2023 vbabka@suse.cz
- mm/memory: return vm_fault_t result from migrate_to_ram()
  callback (jsc#PED-1294).
- commit 3d72145
* Thu Jan 19 2023 vbabka@suse.cz
- mm/migrate_device: return number of migrating pages in
  args->cpages (jsc#PED-1294).
- commit 3f2d91f
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: fix assertion failure when logging directory key range
  item (bsc#1207263).
- commit fdf19d2
* Thu Jan 19 2023 vbabka@suse.cz
- mm/rmap.c: avoid double faults migrating device private pages
  (jsc#PED-1294).
- Refresh
  patches.suse/mm-add-zone-device-coherent-type-memory-support.patch.
- commit 59ec623
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: prepare extents to be logged before locking a log tree
  path (bsc#1207263).
- commit 2e8db4d
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Incorporate Wa_16014892111 into DRAW_WATERMARK
  tuning (jsc#PED-1218).
- commit 198767a
* Thu Jan 19 2023 pjakobsson@suse.de
- Revert "drm/i915/dg2: Add preemption changes for Wa_14015141709"
  (jsc#PED-1218).
- commit 9b18ee0
* Thu Jan 19 2023 pjakobsson@suse.de
- Revert "drm/i915/dg2: extend Wa_1409120013 to DG2"
  (jsc#PED-1218).
- commit 75a79d0
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: introduce Wa_22015475538 (jsc#PED-1218).
- commit 229ce62
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/guc: Enable compute scheduling on DG2 (jsc#PED-1218).
- commit db87b41
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/gt: Flush to global observation point before breadcrumb
  write (jsc#PED-1218).
- commit 5457826
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/display: consider DG2_RC_CCS_CC when migrating buffers
  (jsc#PED-1218).
- commit 6ba4dd0
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915: allow control over the flags when migrating
  (jsc#PED-1218).
- commit 20c8195
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/display: handle migration for dpt (jsc#PED-1218).
- commit 227f621
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/ttm: Abort suspend on i915_ttm_backup failure
  (jsc#PED-1218).
- commit e970146
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915: Remove unwanted pointer unpacking (jsc#PED-1218).
- commit 2b56902
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: remove useless path release in the fast fsync path
  (bsc#1207263).
- commit 6542fdf
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/guc/slpc: Run SLPC selftests on all tiles
  (jsc#PED-1218).
- Refresh
  patches.suse/drm-i915-guc-slpc-Add-SLPC-selftest-live_slpc_power.patch.
- commit 2a471f1
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/guc/slpc: Add SLPC selftest live_slpc_power
  (jsc#PED-1218).
- commit a1462d1
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/huc: define gsc-compatible HuC fw for DG2
  (jsc#PED-1218).
- commit 00ce288
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: use single variable to track return value at
  btrfs_log_inode() (bsc#1207263).
- commit 801e9e3
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/uc: Update to latest GuC and use new-format GuC/HuC
  names (jsc#PED-1218).
- commit 45ecbb1
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/uc: Support for version reduced and multiple firmware
  files (jsc#PED-1218).
- commit 4791ce9
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: avoid inode logging during rename and link when possible
  (bsc#1207263).
- commit 8842469
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/huc: better define HuC status getparam possible return
  values (jsc#PED-1218).
- commit dd23b5a
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/huc: stall media submission until HuC is loaded
  (jsc#PED-1218).
- commit 6404d76
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/huc: track delayed HuC load with a fence
  (jsc#PED-1218).
- commit 97360ee
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: setup HuC loading via GSC (jsc#PED-1218).
- commit c0e5f01
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/pxp: add huc authentication and loading command
  (jsc#PED-1218).
- commit 401dd65
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/pxp: implement function for sending tee stream command
  (jsc#PED-1218).
- commit 218257a
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/pxp: load the pxp module when we have a gsc-loaded huc
  (jsc#PED-1218).
- commit 6bf9226
* Thu Jan 19 2023 pjakobsson@suse.de
- mei: pxp: support matching with a gfx discrete card
  (jsc#PED-1218).
- commit 55874e3
* Thu Jan 19 2023 pjakobsson@suse.de
- mei: pxp: add command streamer API to the PXP driver
  (jsc#PED-1218).
- commit e13c906
* Thu Jan 19 2023 pjakobsson@suse.de
- mei: bus: extend bus API to support command streamer API
  (jsc#PED-1218).
- commit 35f76cf
* Thu Jan 19 2023 pjakobsson@suse.de
- mei: adjust extended header kdocs (jsc#PED-1218).
- commit 955ba01
* Thu Jan 19 2023 pjakobsson@suse.de
- mei: add support to GSC extended header (jsc#PED-1218).
- commit 45c2eed
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/gsc: allocate extended operational memory in LMEM
  (jsc#PED-1218).
- commit b1681ff
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/gsc: add GSC XeHP SDV platform definition
  (jsc#PED-1218).
- commit 69efde1
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/gsc: add slow_firmware flag to the gsc device
  definition (jsc#PED-1218).
- commit fe02f1d
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/gsc: skip irq initialization if using polling
  (jsc#PED-1218).
- commit 050ebd5
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Bump up CDCLK for DG2 (jsc#PED-1218).
- commit eb0b0f2
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dmc: Update DG2 DMC firmware to v2.07 (jsc#PED-1218).
- commit a6a3de8
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Update DG2 to GuC v70.4.1 (jsc#PED-1218).
- commit 0bffcf4
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Add support for DC5 state (jsc#PED-1218).
- commit 3335e38
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_1509727124 (jsc#PED-1218).
- commit 6166725
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Add additional tuning settings (jsc#PED-1218).
- commit 9aaa98b
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915/dg2: Add additional HDMI pixel clock frequencies
  (jsc#PED-1218).
- commit feb1ae3
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915: Fix watermark calculations for DG2 CCS+CC modifier
  (jsc#PED-1218).
- commit 0611a7d
* Thu Jan 19 2023 pjakobsson@suse.de
- drm/i915: Fix watermark calculations for DG2 CCS modifiers
  (jsc#PED-1218).
- commit db7bbe8
* Thu Jan 19 2023 tbogendoerfer@suse.de
- i40e: Fix for VF MAC address 0 (jsc#PED-372).
- net/mlx5: Lag, Fix for loop when checking lag (jsc#PED-1549).
- net/mlx5e: MACsec, block offload requests with encrypt off
  (jsc#PED-1549).
- net/mlx5e: MACsec, fix Tx SA active field update (jsc#PED-1549).
- net/mlx5e: MACsec, fix add Rx security association (SA) rule
  memory leak (jsc#PED-1549).
- net/mlx5e: MACsec, fix mlx5e_macsec_update_rxsa bail condition
  and functionality (jsc#PED-1549).
- net/mlx5e: MACsec, fix update Rx secure channel active field
  (jsc#PED-1549).
- net/mlx5e: MACsec, fix memory leak when MACsec device is deleted
  (jsc#PED-1549).
- net/mlx5e: MACsec, fix RX data path 16 RX security channel limit
  (jsc#PED-1549).
- net/mlx5e: Use kvfree() in mlx5e_accel_fs_tcp_create()
  (jsc#PED-1549).
- net/mlx5e: Fix a couple error codes (jsc#PED-1549).
- net/mlx5e: Fix use-after-free when reverting termination table
  (jsc#PED-1549).
- net/mlx5: Fix uninitialized variable bug in outlen_write()
  (jsc#PED-1549).
- net/mlx5: E-switch, Fix duplicate lag creation (jsc#PED-1549).
- net/mlx5: E-switch, Destroy legacy fdb table when needed
  (jsc#PED-1549).
- net/mlx5: DR, Fix uninitialized var warning (jsc#PED-1549).
- iavf: Fix error handling in iavf_init_module() (jsc#PED-835).
- qed: avoid defines prefixed with CONFIG (jsc#PED-1526).
- net/mlx5e: Fix possible race condition in macsec extended
  packet number update routine (jsc#PED-1549).
- net/mlx5e: Fix MACsec update SecY (jsc#PED-1549).
- net/mlx5e: Fix MACsec SA initialization routine (jsc#PED-1549).
- net/mlx5e: Remove leftovers from old XSK queues enumeration
  (jsc#PED-1549).
- net/mlx5e: Offload rule only when all encaps are valid
  (jsc#PED-1549).
- net/mlx5e: Fix missing alignment in size of MTT/KLM entries
  (jsc#PED-1549).
- net/mlx5: Fix sync reset event handler error flow
  (jsc#PED-1549).
- net/mlx5: E-Switch, Set correctly vport destination
  (jsc#PED-1549).
- net/mlx5: Lag, avoid lockdep warnings (jsc#PED-1549).
- net/mlx5: Fix handling of entry refcount when command is not
  issued to FW (jsc#PED-1549).
- net/mlx5: cmdif, Print info on any firmware cmd failure to
  tracepoint (jsc#PED-1549).
- net/mlx5: SF: Fix probing active SFs during driver probe phase
  (jsc#PED-1549).
- net/mlx5: Fix FW tracer timestamp calculation (jsc#PED-1549).
- net/mlx5: Do not query pci info while pci disabled
  (jsc#PED-1549).
- ice: fix handling of burst Tx timestamps (jsc#PED-376).
- iavf: Fix race condition between iavf_shutdown and iavf_remove
  (jsc#PED-835).
- iavf: remove INITIAL_MAC_SET to allow gARP to work properly
  (jsc#PED-835).
- iavf: Do not restart Tx queues after reset task failure
  (jsc#PED-835).
- iavf: Fix a crash during reset task (jsc#PED-835).
- net/mlx5e: TC, Fix slab-out-of-bounds in parse_tc_actions
  (jsc#PED-1549).
- net/mlx5e: E-Switch, Fix comparing termination table instance
  (jsc#PED-1549).
- net/mlx5e: TC, Fix wrong rejection of packet-per-second policing
  (jsc#PED-1549).
- net/mlx5e: Fix tc acts array not to be dependent on enum order
  (jsc#PED-1549).
- net/mlx5e: Fix usage of DMA sync API (jsc#PED-1549).
- net/mlx5e: Add missing sanity checks for max TX WQE size
  (jsc#PED-1549).
- net/mlx5: fw_reset: Don't try to load device in case PCI isn't
  working (jsc#PED-1549).
- net/mlx5: E-switch, Set to legacy mode if failed to change
  switchdev mode (jsc#PED-1549).
- net/mlx5: Allow async trigger completion execution on single
  CPU systems (jsc#PED-1549).
- net/mlx5: Bridge, verify LAG state when adding bond to bridge
  (jsc#PED-1549).
- iavf: Fix VF driver counting VLAN 0 filters (jsc#PED-835).
- ice: Fix spurious interrupt during removal of trusted VF
  (jsc#PED-376).
- commit f1b4a41
* Thu Jan 19 2023 tbogendoerfer@suse.de
- bnxt_en: add dynamic debug support for HWRM messages
  (git-fixes).
- Refresh
  patches.suse/bnxt_en-Increase-firmware-message-response-DMA-wait-.patch.
- commit 8e93e3e
* Thu Jan 19 2023 tbogendoerfer@suse.de
- i40e: Disallow ip4 and ip6 l4_4_bytes (git-fixes).
- i40e: Fix not setting default xps_cpus after reset (git-fixes).
- octeontx2-pf: Fix potential memory leak in otx2_init_tc()
  (jsc#SLE-24682).
- igb: Allocate MSI-X vector when testing (git-fixes).
- net: tun: Fix use-after-free in tun_detach() (git-fixes).
- i40e: Fix error handling in i40e_init_module() (git-fixes).
- ixgbevf: Fix resource leak in ixgbevf_init_module() (git-fixes).
- qlcnic: fix sleep-in-atomic-context bugs caused by msleep
  (git-fixes).
- octeontx2-af: Fix reference count issue in rvu_sdp_init()
  (jsc#SLE-24682).
- octeontx2-pf: Add check for devm_kcalloc (git-fixes).
- bnx2x: fix pci device refcount leak in
  bnx2x_vf_is_pcie_pending() (git-fixes).
- sfc: fix potential memleak in __ef100_hard_start_xmit()
  (git-fixes).
- octeontx2-af: debugsfs: fix pci device refcount leak
  (git-fixes).
- net/mlx4: Check retval of mlx4_bitmap_init (git-fixes).
- net: liquidio: simplify if expression (git-fixes).
- net: ena: Fix error handling in ena_init() (git-fixes).
- bnxt_en: Remove debugfs when pci_register_driver failed
  (git-fixes).
- net: macvlan: Use built-in RCU list checking (git-fixes).
- net: liquidio: release resources when liquidio driver open
  failed (git-fixes).
- net: macvlan: fix memory leaks of macvlan_common_newlink
  (git-fixes).
- cxgb4vf: shut down the adapter when t4vf_update_port_info()
  failed in cxgb4vf_open() (git-fixes).
- net: cxgb3_main: disable napi when bind qsets failed in
  cxgb_up() (git-fixes).
- net: tun: call napi_schedule_prep() to ensure we own a napi
  (git-fixes).
- drivers: net: xgene: disable napi when register irq failed in
  xgene_enet_open() (git-fixes).
- ipv6: addrlabel: fix infoleak when sending struct ifaddrlblmsg
  to network (git-fixes).
- tcp: prohibit TCP_REPAIR_OPTIONS if data was already sent
  (git-fixes).
- bnxt_en: fix potentially incorrect return value for
  ndo_rx_flow_steer (git-fixes).
- bnxt_en: Fix possible crash in bnxt_hwrm_set_coal() (git-fixes).
- bnxt_en: fix the handling of PCIE-AER (git-fixes).
- bnxt_en: refactor bnxt_cancel_reservations() (git-fixes).
- net: tun: Fix memory leaks of napi_get_frags (git-fixes).
- commit 098df56
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: stop doing unnecessary log updates during a rename
  (bsc#1207263).
- commit af7d282
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: remove unnecessary NULL check for the new inode during
  rename exchange (bsc#1207263).
- commit bf101e4
* Thu Jan 19 2023 fdmanana@suse.com
- btrfs: avoid logging all directory changes during renames
  (bsc#1207263).
- commit 4234518
* Thu Jan 19 2023 tiwai@suse.de
- HID: betop: check shape of output reports (git-fixes).
- HID: revert CHERRY_MOUSE_000C quirk (git-fixes).
- HID: check empty report_list in bigben_probe() (git-fixes).
- HID: check empty report_list in hid_validate_values()
  (git-fixes).
- HID: intel_ish-hid: Add check for ishtp_dma_tx_map (git-fixes).
- tomoyo: fix broken dependency on *.conf.default (git-fixes).
- efi: tpm: Avoid READ_ONCE() for accessing the event log
  (git-fixes).
- docs: Fix the docs build with Sphinx 6.0 (git-fixes).
- drm/i915/gt: Reset twice (git-fixes).
- regulator: da9211: Use irq handler when ready (git-fixes).
- pinctrl: amd: Add dynamic debugging for active GPIOs
  (git-fixes).
- arm64: atomics: format whitespace consistently (git-fixes).
- commit a241497
* Wed Jan 18 2023 blezhepekov@suse.de
- PCI/PM: Define pci_restore_standard_config() only for CONFIG_PM_SLEEP
  (bsc#1207269).
- commit d337d79
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: pass the dentry to btrfs_log_new_name() instead of the
  inode (bsc#1207263).
- commit db8e195
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: add helper to delete a dir entry from a log tree
  (bsc#1207263).
- commit f7a9c31
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: stop trying to log subdirectories created in past
  transactions (bsc#1207263).
- commit 7c6f2ce
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: stop copying old dir items when logging a directory
  (bsc#1207263).
- commit f0f8008
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: put initial index value of a directory in a constant
  (bsc#1207263).
- commit 72e8d53
* Wed Jan 18 2023 jgross@suse.com
- KVM: x86: Check for existing Hyper-V vCPU in kvm_hv_vcpu_init()
  (bsc#1206616).
- Refresh
  patches.suse/KVM-x86-Report-error-when-setting-CPUID-if-Hyper-V-a.patch.
- commit 957a2a9
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: don't log unnecessary boundary keys when logging
  directory (bsc#1207263).
- commit 4b59646
* Wed Jan 18 2023 fdmanana@suse.com
- btrfs: remove write and wait of struct walk_control
  (bsc#1207263).
- commit f7b4e9a
* Wed Jan 18 2023 oneukum@suse.com
- ath11k: change return buffer manager for QCA6390 (bsc#1199701
  CVE-2020-24588).
- Refresh
  patches.kabi/hide-appended-member-supports_dynamic_smps_6ghz.patch.
- Refresh
  patches.suse/ath11k-set-correct-NL80211_FEATURE_DYNAMIC_SMPS-for-.patch.
- commit 9f7ada4
* Wed Jan 18 2023 oneukum@suse.com
- ath11k: Change number of TCL rings to one for QCA6390
  (bsc#1199701 CVE-2020-24588).
- Refresh
  patches.kabi/hide-appended-member-supports_dynamic_smps_6ghz.patch.
- Refresh
  patches.suse/ath11k-set-correct-NL80211_FEATURE_DYNAMIC_SMPS-for-.patch.
- commit d6ca39b
* Wed Jan 18 2023 denis.kirjanov@suse.com
- net: sched: disallow noqueue for qdisc classes (bsc#1207237
  CVE-2022-47929).
- commit 573fdfa
* Wed Jan 18 2023 denis.kirjanov@suse.com
- Refresh
  patches.suse/scsi-mpt3sas-Remove-usage-of-dma_get_required_mask-A.patch.
- commit a1d2451
* Wed Jan 18 2023 denis.kirjanov@suse.com
- net: sched: disallow noqueue for qdisc classes (bsc#1207237
  CVE-2022-47929).
- commit f7f84ac
* Wed Jan 18 2023 denis.kirjanov@suse.com
- Refresh
  patches.suse/scsi-mpt3sas-Remove-usage-of-dma_get_required_mask-A.patch.
- commit cdcfa1d
* Wed Jan 18 2023 oneukum@suse.com
- ath11k: use hw_params to access board_size and cal_offset
  (bsc#1199701 CVE-2020-24588).
- commit e135fc0
* Wed Jan 18 2023 oneukum@suse.com
- ath11k: Add spectral scan support for QCN9074 (bsc#1199701
  CVE-2020-24588).
- commit 026f93a
* Wed Jan 18 2023 oneukum@suse.com
- ath11k: Introduce spectral hw configurable param (bsc#1199701
  CVE-2020-24588).
- commit 576bcf6
* Wed Jan 18 2023 oneukum@suse.com
- ath11k: Refactor spectral FFT bin size (bsc#1199701
  CVE-2020-24588).
- commit ab5a009
* Wed Jan 18 2023 oneukum@suse.com
- blacklist.conf: kABI
- commit 2049d90
* Wed Jan 18 2023 oneukum@suse.com
- blacklist.conf: fix affects only unsupported hardware and is complex
- commit f76a544
* Wed Jan 18 2023 oneukum@suse.com
- mt76: mt7921: avoid unnecessary spin_lock/spin_unlock in
  mt7921_mcu_tx_done_event (git-fixes).
- commit 089efbe
* Wed Jan 18 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit 62d28a7
* Wed Jan 18 2023 pjakobsson@suse.de
- supported.conf: Add support for mei/gsc and mei/pxp
  These are used by the i915 drm driver which we support.
- commit 7d03e84
* Tue Jan 17 2023 oneukum@suse.com
- Documentation: Remove bogus claim about del_timer_sync()
  (git-fixes).
- commit 1100a76
* Tue Jan 17 2023 oneukum@suse.com
- clocksource/drivers/sp804: Do not use timer namespace for
  timer_shutdown() function (bsc#1207210).
- commit 732baf1
* Tue Jan 17 2023 oneukum@suse.com
- clocksource/drivers/arm_arch_timer: Do not use timer namespace
  for timer_shutdown() function (bsc#1207210).
- commit 41b066c
* Tue Jan 17 2023 oneukum@suse.com
- ARM: spear: Do not use timer namespace for timer_shutdown()
  function (bsc#1207210).
- commit 07adb97
* Tue Jan 17 2023 palcantara@suse.de
- cifs: Fix uninitialized memory read for smb311 posix symlink
  create (git-fixes).
- commit 6c87295
* Tue Jan 17 2023 palcantara@suse.de
- cifs: fix potential memory leaks in session setup (bsc#1193629).
- commit a50abb3
* Tue Jan 17 2023 palcantara@suse.de
- cifs: do not query ifaces on smb1 mounts (git-fixes).
- commit 525e434
* Tue Jan 17 2023 palcantara@suse.de
- cifs: fix double free on failed kerberos auth (git-fixes).
- commit c048c3a
* Tue Jan 17 2023 palcantara@suse.de
- cifs: remove redundant assignment to the variable match
  (bsc#1193629).
- commit 5b8956d
* Tue Jan 17 2023 palcantara@suse.de
- cifs: fix file info setting in cifs_open_file() (git-fixes).
- commit e6259cb
* Tue Jan 17 2023 palcantara@suse.de
- cifs: fix file info setting in cifs_query_path_info()
  (git-fixes).
- commit 1b4d4fe
* Tue Jan 17 2023 palcantara@suse.de
- cifs: fix interface count calculation during refresh
  (git-fixes).
- commit 46ee30a
* Tue Jan 17 2023 palcantara@suse.de
- cifs: refcount only the selected iface during interface update
  (git-fixes).
- commit bd6c57b
* Tue Jan 17 2023 palcantara@suse.de
- cifs: protect access of TCP_Server_Info::{dstaddr,hostname}
  (bsc#1193629).
- commit bc728e2
* Tue Jan 17 2023 palcantara@suse.de
- cifs: fix race in assemble_neg_contexts() (bsc#1193629).
- commit b120307
* Tue Jan 17 2023 palcantara@suse.de
- cifs: ignore ipc reconnect failures during dfs failover
  (bsc#1193629).
- commit 2b37719
* Tue Jan 17 2023 oneukum@suse.com
- wifi: mt76: mt7921: add mt7921_mutex_acquire at
  mt7921_sta_set_decap_offload (git-fixes).
- commit 1185bd8
* Tue Jan 17 2023 oneukum@suse.com
- wifi: mt76: sdio: poll sta stat when device transmits data
  (git-fixes).
- commit a94c4e2
* Tue Jan 17 2023 oneukum@suse.com
- wifi: mt76: sdio: fix the deadlock caused by sdio->stat_work
  (git-fixes).
- commit 5e2a5dd
* Tue Jan 17 2023 oneukum@suse.com
- wifi: mt76: mt7921e: fix race issue between reset and
  suspend/resume (git-fixes).
- commit 14a8748
* Tue Jan 17 2023 pjakobsson@suse.de
- Update config files.
  Compile Intel MEI GSC and PXP as modules and enable PXP support in i915
- commit 4b61e7a
* Tue Jan 17 2023 oneukum@suse.com
- timers: Provide timer_shutdown[_sync]() (bsc#1207210).
- commit dfbb709
* Tue Jan 17 2023 oneukum@suse.com
- timers: Add shutdown mechanism to the internal functions
  (bsc#1207210).
- commit 1872ad5
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: Remove redundant dev_err call (jsc#PED-1218)
- commit def1efe
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: fix repeated words in comments (jsc#PED-1218)
- commit f8cd14f
* Tue Jan 17 2023 pjakobsson@suse.de
- misc: move from strlcpy with unused retval to strscpy (jsc#PED-1218)
- commit b374bab
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: debugfs: add pxp mode to devstate in debugfs (jsc#PED-1218)
- commit 54550f0
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: drop ready bits check after start (jsc#PED-1218)
- commit e59e50f
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: add transition to PXP mode in resume flow (jsc#PED-1218)
- commit 9221384
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: setup gsc extended operational memory (jsc#PED-1218)
- commit 2afe146
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: mkhi: add memory ready command (jsc#PED-1218)
- commit 9c16742
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: bus: export common mkhi definitions into a separate header (jsc#PED-1218)
- commit c161979
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: extend timeouts on slow devices (jsc#PED-1218)
- commit f332e05
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: wait for reset thread on stop (jsc#PED-1218)
- commit 05eecbf
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: use polling instead of interrupts (jsc#PED-1218)
- commit 5516bd4
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: add slow_firmware flag to the mei auxiliary device (jsc#PED-1218)
- commit 4f1b4a2
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: add kdoc for struct mei_aux_device (jsc#PED-1218)
- commit 6c88369
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: me: fix clang -Wformat warning (jsc#PED-1218)
- commit 3d6ba6d
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: me: set internal pg flag to off on hardware reset (jsc#PED-1218)
- commit 0558ced
* Tue Jan 17 2023 pjakobsson@suse.de
- misc/mei: Add NULL check to component match callback functions (jsc#PED-1218)
- commit 3fa222e
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: retrieve the firmware version (jsc#PED-1218)
- commit b1feec5
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: add runtime pm handlers (jsc#PED-1218)
- commit 753f72f
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: gsc: setup char driver alive in spite of firmware handshake (jsc#PED-1218)
- commit 4bb37e0
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: add support for graphics system controller (gsc) devices (jsc#PED-1218)
- commit d2ae483
* Tue Jan 17 2023 oneukum@suse.com
- timers: Split [try_to_]del_timer[_sync]() to prepare for
  shutdown mode (bsc#1207210).
- commit b8d985d
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: do not overwrite state on hw start (jsc#PED-1218)
- commit 0ac38a6
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: me: fix reset policy on read error in interrupt (jsc#PED-1218)
- commit c2fd51b
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: me: avoid link reset on shutdown (jsc#PED-1218)
- commit 09dcced
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: me: Use dma_set_mask_and_coherent() and simplify code (jsc#PED-1218)
- commit 8e8c8bb
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: cleanup status before client dma setup call (jsc#PED-1218)
- commit ce0c046
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: add POWERING_DOWN into device state print (jsc#PED-1218)
- commit 0bad049
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: Remove some dead code (jsc#PED-1218)
- commit 197a41e
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: bus: add client dma interface (jsc#PED-1218)
- commit eec091a
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: Remove usage of the deprecated "pci-dma-compat.h" API (jsc#PED-1218)
- commit 0c7d4e8
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: pxp: export pavp client to me client bus (jsc#PED-1218)
- commit fd37485
* Tue Jan 17 2023 pjakobsson@suse.de
- mei: constify passed buffers and structures (jsc#PED-1218)
- commit b605b1f
* Tue Jan 17 2023 oneukum@suse.com
- timers: Silently ignore timers with a NULL function
  (bsc#1207210).
- commit d1bb69a
* Tue Jan 17 2023 iivanov@suse.de
- Refresh patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch
  Add few more placeholders to cover incoming SP5 kABI freeze.
- commit d27c40c
* Tue Jan 17 2023 oneukum@suse.com
- timers: Rename del_timer() to timer_delete() (bsc#1207210).
- commit e369abb
* Tue Jan 17 2023 oneukum@suse.com
- tick/sched: Fix non-kernel-doc comment (git-fixes).
- commit f87a2cc
* Tue Jan 17 2023 oneukum@suse.com
- timers: Rename del_timer_sync() to timer_delete_sync()
  (bsc#1207210).
- commit 3447b41
* Tue Jan 17 2023 oneukum@suse.com
- timers: Update kernel-doc for various functions (bsc#1207210).
- Refresh patches.suse/timers-Use-del_timer_sync-even-on-UP.patch.
- commit ff25845
* Tue Jan 17 2023 oneukum@suse.com
- timers: Replace BUG_ON()s (bsc#1207210).
- commit c97095f
* Tue Jan 17 2023 oneukum@suse.com
- timers: Replace in_irq() with in_hardirq() (bsc#1207210).
- commit 928fe39
* Tue Jan 17 2023 oneukum@suse.com
- time: Correct the prototype of ns_to_kernel_old_timeval and
  ns_to_timespec64 (bsc#1207210).
- commit 9beb70c
* Tue Jan 17 2023 oneukum@suse.com
- posix-timers: Make do_clock_gettime() static (bsc#1207210).
- commit bb3634f
* Tue Jan 17 2023 oneukum@suse.com
- timers: Provide a better debugobjects hint for delayed works
  (bsc#1207210).
- commit 8d1d68a
* Tue Jan 17 2023 oneukum@suse.com
- clocksource: Replace cpumask_weight() with cpumask_empty()
  (bsc#1207210).
- commit bf09466
* Tue Jan 17 2023 oneukum@suse.com
- tick/nohz: Use WARN_ON_ONCE() to prevent console saturation.
- commit 6458db5
* Tue Jan 17 2023 oneukum@suse.com
- timers: Simplify calc_index() (bsc#1207210).
- commit 54552f4
* Tue Jan 17 2023 oneukum@suse.com
- timers: Initialize base::next_expiry_recalc in
  timers_prepare_cpu() (bsc1207210).
- commit 973d206
* Tue Jan 17 2023 oneukum@suse.com
- task_work: Remove unnecessary include from posix_timers.h
  (bsc#1207210).
- commit 874bb62
* Tue Jan 17 2023 oneukum@suse.com
- timers: Use del_timer_sync() even on UP (bsc#1207210).
- commit 018b962
* Tue Jan 17 2023 tiwai@suse.de
- ASoC: Intel: sof-nau8825: fix module alias overflow (git-fixes).
- ASoC: Intel: fix sof-nau8825 link failure (git-fixes).
- commit 79719c0
* Tue Jan 17 2023 oneukum@suse.com
- timers: Get rid of del_singleshot_timer_sync() (bsc#1207210).
- commit a0aff26
* Tue Jan 17 2023 oneukum@suse.com
- timers: Move timer sysctl into the timer code (bsc#1207210).
- Refresh
  patches.suse/bpf-Move-BPF-sysctls-from-kernel-sysctl.c-to-BPF-cor.patch.
- commit 8e56817
* Mon Jan 16 2023 lhenriques@suse.de
- blacklist.conf: 461ab10ef7e6 ("ceph: switch to vfs_inode_has_locks() to fix file lock bug")
- commit fd3cf81
* Mon Jan 16 2023 schwab@suse.de
- rpm/mkspec-dtb: add riscv64 dtb-renesas subpackage
- commit 6020754
* Mon Jan 16 2023 oneukum@suse.com
- USB: gadget: Fix use-after-free during usb config switch
  (git-fixes).
- commit 0889148
* Mon Jan 16 2023 oneukum@suse.com
- usb: gadget: udc: core: remove usage of list iterator past
  the loop body (git-fixes).
- commit 0bb0a32
* Mon Jan 16 2023 oneukum@suse.com
- usb: gadget: udc: core: Revise comments for USB ep
  enable/disable (git-fixes).
- commit f9853da
* Mon Jan 16 2023 oneukum@suse.com
- usb: gadget: udc: core: Print error code in
  usb_gadget_probe_driver() (git-fixes).
- commit 31875c7
* Mon Jan 16 2023 oneukum@suse.com
- usb: gadget: udc: core: Use pr_fmt() to prefix messages
  (git-fixes).
- commit 89beb81
* Mon Jan 16 2023 oneukum@suse.com
- usb: fotg210-udc: Fix ages old endianness issues (git-fixes).
- commit 324082f
* Mon Jan 16 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit eb58aba
* Mon Jan 16 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit 23de7da
* Mon Jan 16 2023 oneukum@suse.com
- Revert "usb: typec: ucsi: add a common function
  ucsi_unregister_connectors()" (git-fixes).
- commit ff3efdb
* Mon Jan 16 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit 19ef3e5
* Mon Jan 16 2023 oneukum@suse.com
- blacklist.conf: cleanup that changes kABI
- commit eea8908
* Mon Jan 16 2023 oneukum@suse.com
- blacklist.conf: false positive
- commit 52ff06b
* Mon Jan 16 2023 oneukum@suse.com
- s390/qeth: fix various format strings (git-fixes).
- commit 2ee54d9
* Mon Jan 16 2023 ykaukab@suse.de
- af_unix: fix regression in read after shutdown (bsc#1206476).
- af_unix: Rename UNIX-DGRAM to UNIX to maintain backwards
  compatability (bsc#1206476).
- unix: Fix an issue in unix_shutdown causing the other end
  read/write failures (bsc#1206476).
- commit 5b4c916
* Mon Jan 16 2023 jlee@suse.com
- Bluetooth: hci_conn: Fix crash on hci_create_cis_sync
  (jsc#PED-1407).
- Bluetooth: Fix EALREADY and ELOOP cases in bt_status()
  (jsc#PED-1407).
- Bluetooth: hci_conn: add missing hci_dev_put() in
  iso_listen_bis() (jsc#PED-1407).
- Bluetooth: btusb: Fix CSR clones again by re-adding
  ERR_DATA_REPORTING quirk (jsc#PED-1407).
- Bluetooth: hci_conn: Fix not restoring ISO buffer count on
  disconnect (jsc#PED-1407).
- Bluetooth: hci_conn: Fix CIS connection dst_type handling
  (jsc#PED-1407).
- Bluetooth: Prevent double register of suspend (jsc#PED-1407).
- Bluetooth: use hdev->workqueue when queuing
  hdev->{cmd,ncmd}_timer works (jsc#PED-1407).
- Bluetooth: avoid hci_dev_test_and_set_flag() in mgmt_init_hdev()
  (jsc#PED-1407).
- Bluetooth: Fix HCIGETDEVINFO regression (jsc#PED-1407).
- Bluetooth: hci_sync: Fix hci_read_buffer_size_sync
  (jsc#PED-1407).
- Bluetooth: hci_sync: hold hdev->lock when cleanup hci_conn
  (jsc#PED-1407).
- Bluetooth: move from strlcpy with unused retval to strscpy
  (jsc#PED-1407).
- Bluetooth: hci_event: Fix checking conn for le_conn_complete_evt
  (jsc#PED-1407).
- Bluetooth: ISO: Fix not handling shutdown condition
  (jsc#PED-1407).
- Bluetooth: hci_sync: fix double mgmt_pending_free() in
  remove_adv_monitor() (jsc#PED-1407).
- Bluetooth: MGMT: Fix Get Device Flags (jsc#PED-1407).
- Bluetooth: hci_event: Fix vendor (unknown) opcode status
  handling (jsc#PED-1407).
- Bluetooth: ISO: Fix not using the correct QoS (jsc#PED-1407).
- Bluetooth: don't try to cancel uninitialized works at
  mgmt_index_removed() (jsc#PED-1407).
- Bluetooth: ISO: Fix iso_sock_getsockopt for BT_DEFER_SETUP
  (jsc#PED-1407).
- Bluetooth: hci_event: Fix build warning with C=1 (jsc#PED-1407).
- Bluetooth: ISO: Fix memory corruption (jsc#PED-1407).
- Bluetooth: Fix null pointer deref on unexpected status event
  (jsc#PED-1407).
- Bluetooth: ISO: Fix info leak in iso_sock_getsockopt()
  (jsc#PED-1407).
- Bluetooth: hci_conn: Fix updating ISO QoS PHY (jsc#PED-1407).
- Bluetooth: ISO: unlock on error path in iso_sock_setsockopt()
  (jsc#PED-1407).
- treewide: Replace GPLv2 boilerplate/reference with SPDX -
  gpl-2.0_390.RULE (jsc#PED-1407).
- Bluetooth: btusb: Detect if an ACL packet is in fact an ISO
  packet (jsc#PED-1407).
- Bluetooth: btusb: Add support for ISO packets (jsc#PED-1407).
- Bluetooth: ISO: Add broadcast support (jsc#PED-1407).
- Bluetooth: Add initial implementation of BIS connections
  (jsc#PED-1407).
- Bluetooth: Add BTPROTO_ISO socket type (jsc#PED-1407).
- Bluetooth: Add initial implementation of CIS connections
  (jsc#PED-1407).
- Bluetooth: hci_core: Introduce hci_recv_event_data
  (jsc#PED-1407).
- Bluetooth: Convert delayed discov_off to hci_sync
  (jsc#PED-1407).
- Bluetooth: Remove update_scan hci_request dependancy
  (jsc#PED-1407).
- Bluetooth: Remove dead code from hci_request.c (jsc#PED-1407).
- Bluetooth: btrtl: Fix typo in comment (jsc#PED-1407).
- Bluetooth: MGMT: Fix holding hci_conn reference while command
  is queued (jsc#PED-1407).
- Bluetooth: mgmt: Fix using hci_conn_abort (jsc#PED-1407).
- Bluetooth: Use bt_status to convert from errno (jsc#PED-1407).
- Bluetooth: Add bt_status (jsc#PED-1407).
- Bluetooth: hci_sync: Split hci_dev_open_sync (jsc#PED-1407).
- Bluetooth: hci_sync: Refactor remove Adv Monitor (jsc#PED-1407).
- Bluetooth: hci_sync: Refactor add Adv Monitor (jsc#PED-1407).
- Bluetooth: hci_sync: Remove HCI_QUIRK_BROKEN_ERR_DATA_REPORTING
  (jsc#PED-1407).
- Bluetooth: btusb: Remove HCI_QUIRK_BROKEN_ERR_DATA_REPORTING
  for fake CSR (jsc#PED-1407).
- Bluetooth: btusb: Remove HCI_QUIRK_BROKEN_ERR_DATA_REPORTING
  for QCA (jsc#PED-1407).
- Bluetooth: hci_sync: Check LMP feature bit instead of quirk
  (jsc#PED-1407).
- Bluetooth: hci_sync: Correct hci_set_event_mask_page_2_sync()
  event mask (jsc#PED-1407).
- Bluetooth: btusb: Add a new VID/PID 0489/e0e2 for MT7922
  (jsc#PED-1407).
- Bluetooth: btusb: Set HCI_QUIRK_BROKEN_ENHANCED_SETUP_SYNC_CONN
  for MTK (jsc#PED-1407).
- Bluetooth: hci_bcm: Increase host baudrate for CYW55572 in
  autobaud mode (jsc#PED-1407).
- Bluetooth: hci_bcm: Prevent early baudrate setting in autobaud
  mode (jsc#PED-1407).
- Bluetooth: clean up error pointer checking (jsc#PED-1407).
- Bluetooth: Add default wakeup callback for HCI UART driver
  (jsc#PED-1407).
- Bluetooth: hci_sync: Don't remove connected devices from accept
  list (jsc#PED-1407).
- Bluetooth: hci_sync: Fix not updating privacy_mode
  (jsc#PED-1407).
- Bluetooth: Collect kcov coverage from hci_rx_work
  (jsc#PED-1407).
- Bluetooth: btmtksdio: Add in-band wakeup support (jsc#PED-1407).
- Bluetooth: mgmt: Fix refresh cached connection info
  (jsc#PED-1407).
- Bluetooth: HCI: Fix not always setting Scan Response/Advertising
  Data (jsc#PED-1407).
- Bluetooth: eir: Fix using strlen with
  hdev->{dev_name,short_name} (jsc#PED-1407).
- Bluetooth: use memset avoid memory leaks (jsc#PED-1407).
- Bluetooth: fix an error code in hci_register_dev()
  (jsc#PED-1407).
- Bluetooth: Unregister suspend with userchannel (jsc#PED-1407).
- Bluetooth: Fix index added after unregister (jsc#PED-1407).
- Bluetooth: When HCI work queue is drained, only queue chained
  work (jsc#PED-1407).
- Bluetooth: clear the temporary linkkey in hci_conn_cleanup
  (jsc#PED-1407).
- Bluetooth: hci_bcm: Add support for FW loading in autobaud mode
  (jsc#PED-1407).
- Bluetooth: hci_qca: Return wakeup for qca_wakeup (jsc#PED-1407).
- commit 0e09a8f
* Mon Jan 16 2023 jlee@suse.com
- Bluetooth: hci_sync: Fix suspend performance regression
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix resuming scan after suspend resume
  (jsc#PED-1407).
- Bluetooth: Always set event mask on suspend (jsc#PED-1407).
- Bluetooth: mgmt: Fix double free on error path (jsc#PED-1407).
- Bluetooth: core: Fix deadlock on hci_power_on_sync
  (jsc#PED-1407).
- bluetooth: don't use bitmaps for random flag accesses
  (jsc#PED-1407).
  Refresh
  patches.suse/Bluetooth-MGMT-Fixes-build-warnings-with-C-1.patch.
- Bluetooth: hci_conn: Fix hci_connect_le_sync (jsc#PED-1407).
- Bluetooth: hci_sync: use hci_skb_event() helper (jsc#PED-1407).
- Bluetooth: eir: Add helpers for managing service data
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix attempting to suspend with unfiltered
  passive scan (jsc#PED-1407).
- Bluetooth: MGMT: Add conditions for setting
  HCI_CONN_FLAG_REMOTE_WAKEUP (jsc#PED-1407).
- Bluetooth: btmtksdio: fix the reset takes too long
  (jsc#PED-1407).
- Bluetooth: btmtksdio: fix possible FW initialization failure
  (jsc#PED-1407).
- Bluetooth: btmtksdio: fix use-after-free at btmtksdio_recv_event
  (jsc#PED-1407).
- Bluetooth: btbcm: Add entry for BCM4373A0 UART Bluetooth
  (jsc#PED-1407).
- Bluetooth: btusb: Add a new PID/VID 0489/e0c8 for MT7921
  (jsc#PED-1407).
- Bluetooth: btusb: Add 0x0bda:0x8771 Realtek 8761BUV devices
  (jsc#PED-1407).
- Bluetooth: btusb: Set HCI_QUIRK_BROKEN_ERR_DATA_REPORTING for
  QCA (jsc#PED-1407).
- Bluetooth: core: Fix missing power_on work cancel on HCI close
  (jsc#PED-1407).
- Bluetooth: btusb: add support for Qualcomm WCN785x
  (jsc#PED-1407).
- Bluetooth: protect le accept and resolv lists with hdev->lock
  (jsc#PED-1407).
- Bluetooth: btrtl: Add support for RTL8852C (jsc#PED-1407).
- Bluetooth: btusb: Set HCI_QUIRK_BROKEN_ENHANCED_SETUP_SYNC_CONN
  for QCA (jsc#PED-1407).
- Bluetooth: Print broken quirks (jsc#PED-1407).
- Bluetooth: HCI: Add HCI_QUIRK_BROKEN_ENHANCED_SETUP_SYNC_CONN
  quirk (jsc#PED-1407).
- Bluetooth: btintel: Constify static struct regmap_bus
  (jsc#PED-1407).
- Bluetooth: Keep MGMT pending queue ordered FIFO (jsc#PED-1407).
- Bluetooth: mt7921s: Fix the incorrect pointer check
  (jsc#PED-1407).
- Bluetooth: btbcm: Support per-board firmware variants
  (jsc#PED-1407).
- commit 861106f
* Sat Jan 14 2023 tiwai@suse.de
- ALSA: pcm: Move rwsem lock inside snd_ctl_elem_read to prevent
  UAF (git-fixes).
- ALSA: hda/realtek: Enable mute/micmute LEDs on HP Spectre x360
  13-aw0xxx (git-fixes).
- ALSA: hda/hdmi: Add a HP device 0x8715 to force connect list
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs don't work for a HP
  platform (git-fixes).
- ALSA: hda - Enable headset mic on another Dell laptop with
  ALC3254 (git-fixes).
- ALSA: hda/realtek - Turn on power early (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for a HP ProBook
  (git-fixes).
- commit ffbf830
* Sat Jan 14 2023 tiwai@suse.de
- efi: fix userspace infinite retry read efivars after EFI
  runtime services page fault (git-fixes).
- ASoC: qcom: lpass-cpu: Fix fallback SD line index handling
  (git-fixes).
- ASoC: wm8904: fix wrong outputs volume after power reactivation
  (git-fixes).
- ALSA: control-led: use strscpy in set_led_id() (git-fixes).
- ALSA: hda: cs35l41: Check runtime suspend capability at
  runtime_idle (git-fixes).
- ALSA: hda: cs35l41: Don't return -EINVAL from system
  suspend/resume (git-fixes).
- ALSA: usb-audio: Relax hw constraints for implicit fb sync
  (git-fixes).
- ALSA: usb-audio: Make sure to stop endpoints before closing EPs
  (git-fixes).
- platform/x86: dell-privacy: Only register SW_CAMERA_LENS_COVER
  if present (git-fixes).
- platform/x86: dell-privacy: Fix SW_CAMERA_LENS_COVER reporting
  (git-fixes).
- platform/surface: aggregator: Add missing call to
  ssam_request_sync_free() (git-fixes).
- platform/surface: aggregator: Ignore command messages not
  intended for us (git-fixes).
- platform/x86: sony-laptop: Don't turn off 0x153 keyboard
  backlight during probe (git-fixes).
- drm/msm/adreno: Make adreno quirks not overwrite each other
  (git-fixes).
- drm/msm: another fix for the headless Adreno GPU (git-fixes).
- dt-bindings: msm: dsi-controller-main: Fix description of core
  clock (git-fixes).
- dt-bindings: msm: dsi-controller-main: Fix operating-points-v2
  constraint (git-fixes).
- dt-bindings: msm: dsi-phy-28nm: Add missing qcom,
  dsi-phy-regulator-ldo-mode (git-fixes).
- drm/msm/dp: do not complete dp_aux_cmd_fifo_tx() if irq is
  not for aux transfer (git-fixes).
- dt-bindings: msm/dsi: Don't require vdds-supply on 10nm PHY
  (git-fixes).
- dt-bindings: msm/dsi: Don't require vcca-supply on 14nm PHY
  (git-fixes).
- drm/virtio: Fix GEM handle creation UAF (git-fixes).
- commit 127798d
* Fri Jan 13 2023 msuchanek@suse.de
- powerpc/rtas: avoid scheduling in rtas_os_term() (bsc#1065729).
- powerpc/rtas: avoid device tree lookups in rtas_os_term()
  (bsc#1065729).
- commit 49b518d
* Fri Jan 13 2023 tiwai@suse.de
- nfc: pn533: Wait for out_urb's completion in
  pn533_usb_send_frame() (git-fixes).
- ALSA: hda/realtek: Apply dual codec fixup for Dell Latitude
  laptops (git-fixes).
- ALSA: line6: fix stack overflow in line6_midi_transmit
  (git-fixes).
- ALSA: line6: correct midi status byte when receiving data from
  podxt (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Advantech MICA-071
  tablet (git-fixes).
- drm/amdgpu: handle polaris10/11 overlap asics (v2) (git-fixes).
- drm/amdgpu: make display pinning more flexible (v2) (git-fixes).
- HID: plantronics: Additional PIDs for double volume key presses
  quirk (git-fixes).
- HID: multitouch: fix Asus ExpertBook P2 P2451FA trackpoint
  (git-fixes).
- remoteproc: core: Do pm_relax when in RPROC_OFFLINE state
  (git-fixes).
- soundwire: dmi-quirks: add quirk variant for LAPBC710 NUC15
  (git-fixes).
- PCI: Fix pci_device_is_present() for VFs by checking PF
  (git-fixes).
- wifi: wilc1000: sdio: fix module autoloading (git-fixes).
- ARM: 9256/1: NWFPE: avoid compiler-generated __aeabi_uldivmod
  (git-fixes).
- ima: Fix a potential NULL pointer access in
  ima_restore_measurement_list (git-fixes).
- ipmi: fix long wait in unload when IPMI disconnect (git-fixes).
- drm/connector: send hotplug uevent on connector cleanup
  (git-fixes).
- ALSA: patch_realtek: Fix Dell Inspiron Plus 16 (git-fixes).
- selftests: Use optional USERCFLAGS and USERLDFLAGS (git-fixes).
- ACPI: resource: Skip IRQ override on Asus Vivobook
  K3402ZA/K3502ZA (git-fixes).
- selftests: set the BUILD variable to absolute path (git-fixes).
- drm/i915/migrate: fix length calculation (git-fixes).
- drm/i915/migrate: fix offset calculation (git-fixes).
- drm/i915/migrate: don't check the scratch page (git-fixes).
- commit 1d4442d
* Fri Jan 13 2023 oneukum@suse.com
- media: stv0288: use explicitly signed char (git-fixes).
- commit 72af28b
* Fri Jan 13 2023 jlee@suse.com
- Bluetooth: hci_sync: Cleanup hci_conn if it cannot be aborted
  (jsc#PED-1407).
- Bluetooth: hci_event: Fix creating hci_conn object on error
  status (jsc#PED-1407).
- Bluetooth: hci_event: Fix checking for invalid handle on error
  status (jsc#PED-1407).
- Bluetooth: ath3k: remove superfluous header files
  (jsc#PED-1407).
- Bluetooth: bcm203x: remove superfluous header files
  (jsc#PED-1407).
- Bluetooth: hci_bcm: Add the Asus TF103C to the
  bcm_broken_irq_dmi_table (jsc#PED-1407).
- Bluetooth: mt7921s: Add WBS support (jsc#PED-1407).
- Bluetooth: mt7921s: Add .btmtk_get_codec_config_data
  (jsc#PED-1407).
- Bluetooth: mt7921s: Add .get_data_path_id (jsc#PED-1407).
- Bluetooth: mt7921s: Set HCI_QUIRK_VALID_LE_STATES
  (jsc#PED-1407).
- Bluetooth: btmtkuart: fix error handling in mtk_hci_wmt_sync()
  (jsc#PED-1407).
- Bluetooth: Send AdvMonitor Dev Found for all matched devices
  (jsc#PED-1407).
- Bluetooth: msft: Clear tracked devices on resume (jsc#PED-1407).
- Bluetooth: fix incorrect nonblock bitmask in
  bt_sock_wait_ready() (jsc#PED-1407).
- Bluetooth: Don't assign twice the same value (jsc#PED-1407).
- Bluetooth: btrtl: Add support for RTL8852B (jsc#PED-1407).
- Bluetooth: hci_uart: add missing NULL check in h5_enqueue
  (jsc#PED-1407).
- Bluetooth: btusb: Use quirk to skip HCI_FLT_CLEAR_ALL on fake
  CSR controllers (jsc#PED-1407).
  blacklist.conf: removed b3cf94c8b6b2f1a2b94825a025db291da2b151fd
- Bluetooth: hci_sync: Add a new quirk to skip HCI_FLT_CLEAR_ALL
  (jsc#PED-1407).
- Bluetooth: btmtkuart: fix the conflict between mtk and msft
  vendor event (jsc#PED-1407).
- Bluetooth: btmtkuart: add .set_bdaddr support (jsc#PED-1407).
- Bluetooth: btmtkuart: rely on BT_MTK module (jsc#PED-1407).
- Bluetooth: mgmt: remove redundant assignment to variable cur_len
  (jsc#PED-1407).
- bluetooth: Use netif_rx() (jsc#PED-1407).
- Bluetooth: hci_bcm: add BCM43430A0 & BCM43430A1 (jsc#PED-1407).
  Refresh
  patches.suse/Bluetooth-hci_bcm-Add-BCM4349B1-variant.patch.
- Bluetooth: btmtksdio: Fix kernel oops when sdio suspend
  (jsc#PED-1407).
- Bluetooth: btusb: Add a new PID/VID 13d3/3567 for MT7921
  (jsc#PED-1407).
- Bluetooth: move adv_instance_cnt read within the device lock
  (jsc#PED-1407).
- Bluetooth: hci_event: Add missing locking on hdev in
  hci_le_ext_adv_term_evt (jsc#PED-1407).
- Bluetooth: btusb: Make use of of BIT macro to declare flags
  (jsc#PED-1407).
- Bluetooth: mediatek: fix the conflict between mtk and msft
  vendor event (jsc#PED-1407).
- Bluetooth: mt7921s: support bluetooth reset mechanism
  (jsc#PED-1407).
- Bluetooth: make array bt_uuid_any static const (jsc#PED-1407).
- Bluetooth: 6lowpan: No need to clear memory twice
  (jsc#PED-1407).
- Bluetooth: btusb: Improve stability for QCA devices
  (jsc#PED-1407).
- Bluetooth: btusb: add support for LG LGSBWAC02 (MT7663BUN)
  (jsc#PED-1407).
- Bluetooth: btusb: Add support for Intel Madison Peak (MsP2)
  device (jsc#PED-1407).
- Bluetooth: Improve skb handling in mgmt_device_connected()
  (jsc#PED-1407).
- Bluetooth: Fix skb allocation in mgmt_remote_name() &
  mgmt_device_connected() (jsc#PED-1407).
- Bluetooth: mgmt: Remove unneeded variable (jsc#PED-1407).
- Bluetooth: hci_sync: fix undefined return of
  hci_disconnect_all_sync() (jsc#PED-1407).
- Bluetooth: mgmt: Replace zero-length array with flexible-array
  member (jsc#PED-1407).
- Bluetooth: Increment management interface revision
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix queuing commands when HCI_UNREGISTER
  is set (jsc#PED-1407).
- Bluetooth: hci_h5: Add power reset via gpio in h5_btrtl_open
  (jsc#PED-1407).
- Bluetooth: btrtl: Add support for RTL8822C hci_ver 0x08
  (jsc#PED-1407).
- Bluetooth: hci_event: Fix HCI_EV_VENDOR max_len (jsc#PED-1407).
- Bluetooth: hci_core: Rate limit the logging of invalid SCO
  handle (jsc#PED-1407).
- Bluetooth: hci_event: Ignore multiple conn complete events
  (jsc#PED-1407).
- Bluetooth: msft: fix null pointer deref on
  msft_monitor_device_evt (jsc#PED-1407).
- Bluetooth: btmtksdio: mask out interrupt status (jsc#PED-1407).
- Bluetooth: btmtksdio: run sleep mode by default (jsc#PED-1407).
- Bluetooth: btmtksdio: lower log level in
  btmtksdio_runtime_[resume|suspend]() (jsc#PED-1407).
- Bluetooth: mt7921s: fix btmtksdio_[drv|fw]_pmctrl()
  (jsc#PED-1407).
- Bluetooth: mt7921s: fix bus hang with wrong privilege
  (jsc#PED-1407).
- Bluetooth: btmtksdio: refactor
  btmtksdio_runtime_[suspend|resume]() (jsc#PED-1407).
- Bluetooth: mt7921s: fix firmware coredump retrieve
  (jsc#PED-1407).
- Bluetooth: Remove kernel-doc style comment block (jsc#PED-1407).
- Bluetooth: mgmt: Add MGMT Adv Monitor Device Found/Lost events
  (jsc#PED-1407).
- Bluetooth: msft: Handle MSFT Monitor Device Event
  (jsc#PED-1407).
- Bluetooth: fix null ptr deref on hci_sync_conn_complete_evt
  (jsc#PED-1407).
- Bluetooth: hci_sync: unlock on error in
  hci_inquiry_result_with_rssi_evt() (jsc#PED-1407).
- Bluetooth: btmtksdio: clean up inconsistent error message in
  btmtksdio_mtk_reg_read (jsc#PED-1407).
- Bluetooth: btmtksdio: move struct reg_read_cmd to common file
  (jsc#PED-1407).
- Bluetooth: mt7921s: Enable SCO over I2S (jsc#PED-1407).
- Bluetooth: mt7921s: Support wake on bluetooth (jsc#PED-1407).
- Bluetooth: btmtksdio: rename btsdio_mtk_reg_read (jsc#PED-1407).
- Bluetooth: hci_sync: Fix compilation warning (jsc#PED-1407).
- commit 85f2a84
* Fri Jan 13 2023 tabraham@suse.com
- mm: compaction: kABI: avoid pglist_data kABI breakage
  (bsc#1207010).
- commit 488d3ad
* Thu Jan 12 2023 krisman@suse.de
- arm64: Avoid repeated AA64MMFR1_EL1 register read on pagefault
  path (performance bsc#1203219).
- commit 82bc0ed
* Thu Jan 12 2023 shung-hsi.yu@suse.com
- Correct the JIRA reference to jsc#PED-1377
  Previous BPF patches wrongly used PED-1368 (Epic) as the JIRA reference
  when PED-1377 (Implementation) should be used. Correct the JIRA
  reference for all BPF patches as discussed[1].
  1: https://suse.slack.com/archives/C02DQLWPALQ/p1673498537819009
- commit 529c95c
* Thu Jan 12 2023 tabraham@suse.com
- mm: compaction: support triggering of proactive compaction by
  user (bsc#1207010).
- commit a9c5d6a
* Thu Jan 12 2023 tbogendoerfer@suse.de
- octeontx2-pf: Fix lmtst ID used in aura free (jsc#SLE-24682).
- octeontx2-af: Allow mkex profile without DMAC and add L2M/L2B
  header extraction support (jsc#SLE-24682).
- octeontx2-pf: Fix pfc_alloc_status array overflow
  (jsc#SLE-24682).
- octeontx2-pf: Fix SQE threshold checking (jsc#SLE-24682).
- octeontx2-pf: NIX TX overwrites SQ_CTX_HW_S[SQ_INT]
  (jsc#SLE-24682).
- octeontx2-pf: Fix unused variable build error (jsc#SLE-24682).
- octeontx2-af: Initialize PTP_SEC_ROLLOVER register properly
  (jsc#SLE-24682).
- octeontx2-af: Add PTP PPS Errata workaround on CN10K silicon
  (jsc#SLE-24682).
- octeontx2-pf: Add support for ptp 1-step mode on CN10K silicon
  (jsc#SLE-24682).
- octeontx2-af: return correct ptp timestamp for CN10K silicon
  (jsc#SLE-24682).
- octeontx2-pf: Add egress PFC support (jsc#SLE-24682).
- octeontx2-pf: Reduce minimum mtu size to 60 (jsc#SLE-24682).
- octeontx2-af: Set NIX link credits based on max LMAC
  (jsc#SLE-24682).
- octeontx2-af: Limit link bringup time at firmware
  (jsc#SLE-24682).
- octeontx2-af: Skip CGX/RPM probe incase of zero lmac count
  (jsc#SLE-24682).
- octeontx2: Modify mbox request and response structures
  (jsc#SLE-24682).
- octeontx2-af: Don't reset previous pfc config (jsc#SLE-24682).
- octeontx2-af: fix operand size in bitwise operation
  (jsc#SLE-24682).
- commit a2de709
* Thu Jan 12 2023 ggherdovich@suse.cz
- cpufreq: intel_pstate: Add Sapphire Rapids support in no-HWP
  mode (bsc#1201068).
- commit 15e54a9
* Thu Jan 12 2023 ggherdovich@suse.cz
- cpufreq: ACPI: Only set boost MSRs on supported CPUs
  (bsc#1205485).
- commit 2fc91f1
* Thu Jan 12 2023 ggherdovich@suse.cz
- cpufreq: ACPI: Remove unused variables 'acpi_cpufreq_online'
  and 'ret' (bsc#1205485).
- commit bac712b
* Thu Jan 12 2023 jlee@suse.com
- Bluetooth: hci_sync: Fix not processing all entries on cmd_sync_work (jsc#PED-1407).
- Bluetooth: hci_core: Fix unbalanced unlock in set_device_flags()
  (jsc#PED-1407).
- Bluetooth: Fix not checking MGMT cmd pending queue
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix not using conn_timeout (jsc#PED-1407).
- Bluetooth: hci_sync: Fix hci_update_accept_list_sync
  (jsc#PED-1407).
- Bluetooth: assign len after null check (jsc#PED-1407).
- Bluetooth: fix data races in smp_unregister(), smp_del_chan()
  (jsc#PED-1407).
- Bluetooth: hci_core: Fix leaking sent_cmd skb (jsc#PED-1407).
- Bluetooth: hci_sock: fix endian bug in hci_sock_setsockopt()
  (jsc#PED-1407).
- Bluetooth: btqca: sequential validation (jsc#PED-1407).
- Bluetooth: hci_event: Rework hci_inquiry_result_with_rssi_evt
  (jsc#PED-1407).
- Bluetooth: btbcm: disable read tx power for MacBook Air 8,1
  and 8,2 (jsc#PED-1407).
- Bluetooth: MGMT: Fix spelling mistake "simultanous" ->
  "simultaneous" (jsc#PED-1407).
- Bluetooth: MGMT: Fix LE simultaneous roles UUID if not supported
  (jsc#PED-1407).
- Bluetooth: hci_sync: Add check simultaneous roles support
  (jsc#PED-1407).
- Bluetooth: hci_sync: Wait for proper events when connecting LE
  (jsc#PED-1407).
- Bluetooth: hci_sync: Add support for waiting specific LE
  subevents (jsc#PED-1407).
- Bluetooth: hci_sync: Add hci_le_create_conn_sync (jsc#PED-1407).
- Bluetooth: hci_event: Use skb_pull_data when processing inquiry
  results (jsc#PED-1407).
- Bluetooth: hci_sync: Push sync command cancellation to workqueue
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix not always pausing advertising when
  necessary (jsc#PED-1407).
- Bluetooth: mgmt: Make use of mgmt_send_event_skb in
  MGMT_EV_DEVICE_CONNECTED (jsc#PED-1407).
- Bluetooth: mgmt: Make use of mgmt_send_event_skb in
  MGMT_EV_DEVICE_FOUND (jsc#PED-1407).
- Bluetooth: mgmt: Introduce mgmt_alloc_skb and
  mgmt_send_event_skb (jsc#PED-1407).
- Bluetooth: btusb: Return error code when getting patch status
  failed (jsc#PED-1407).
- blacklist.conf: removed 995d948cf2e45834275f07afc1c9881a9902e73c
- Bluetooth: btusb: Handle download_firmware failure cases
  (jsc#PED-1407).
- blacklist.conf: removed 00c0ee9850b7b0cb7c40b8daba806ae2245e59d4
- Bluetooth: msft: Fix compilation when CONFIG_BT_MSFTEXT is
  not set (jsc#PED-1407).
- Bluetooth: hci_sync: Set Privacy Mode when updating the
  resolving list (jsc#PED-1407).
- Bluetooth: Introduce HCI_CONN_FLAG_DEVICE_PRIVACY device flag
  (jsc#PED-1407).
- Bluetooth: btusb: Add support for queuing during polling
  interval (jsc#PED-1407).
- Bluetooth: hci_core: Rework hci_conn_params flags
  (jsc#PED-1407).
  Refresh
  patches.suse/Bluetooth-MGMT-Fixes-build-warnings-with-C-1.patch.
- Bluetooth: btbcm: disable read tx power for some Macs with
  the T2 Security chip (jsc#PED-1407).
- Bluetooth: add quirk disabling LE Read Transmit Power
  (jsc#PED-1407).
- blacklist.conf: removed d2f8114f9574509580a8506d2ef72e7e43d1a5bd
- Bluetooth: btmtksdio: enable AOSP extension for MT7921
  (jsc#PED-1407).
- Bluetooth: btmtksdio: enable msft opcode (jsc#PED-1407).
- Bluetooth: hci_event: Use of a function table to handle Command
  Status (jsc#PED-1407).
- Bluetooth: hci_event: Use of a function table to handle Command
  Complete (jsc#PED-1407).
- Bluetooth: hci_event: Use of a function table to handle LE
  subevents (jsc#PED-1407).
- Bluetooth: hci_event: Use of a function table to handle HCI
  events (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse LE Direct Advertising
  Report event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse LE Ext Advertising
  Report event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse LE Advertising
  Report event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse LE Metaevents
  (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse Extended Inquiry
  Result event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse Inquiry Result with
  RSSI event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse Inquiry Result event
  (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse Number of Complete
  Packets event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse Command Complete
  event (jsc#PED-1407).
- Bluetooth: HCI: Use skb_pull_data to parse BR/EDR events
  (jsc#PED-1407).
- Bluetooth: btmtksdio: handle runtime pm only when sdio_func
  is available (jsc#PED-1407).
  Refresh
  patches.suse/Bluetooth-btmtksdio-fix-resume-failure.patch.
- Bluetooth: btusb: Cancel sync commands for certain URB errors
  (jsc#PED-1407).
- Bluetooth: hci_core: Cancel sync command if sending a frame
  failed (jsc#PED-1407).
- Bluetooth: Add hci_cmd_sync_cancel to public API (jsc#PED-1407).
- Bluetooth: Reset more state when cancelling a sync command
  (jsc#PED-1407).
- Bluetooth: Limit duration of Remote Name Resolve (jsc#PED-1407).
- Bluetooth: Send device found event on name resolve failure
  (jsc#PED-1407).
- Bluetooth: HCI: Fix definition of hci_rp_delete_stored_link_key
  (jsc#PED-1407).
- Bluetooth: HCI: Fix definition of hci_rp_read_stored_link_key
  (jsc#PED-1407).
- Bluetooth: btusb: re-definition for board_id in struct
  qca_version (jsc#PED-1407).
- Bluetooth: btmtksdio: drop the unnecessary variable created
  (jsc#PED-1407).
- Bluetooth: btmtksdio: add support of processing firmware
  coredump and log (jsc#PED-1407).
- Bluetooth: Attempt to clear HCI_LE_ADV on adv set terminated
  error event (jsc#PED-1407).
- Bluetooth: Ignore HCI_ERROR_CANCELLED_BY_HOST on adv set
  terminated event (jsc#PED-1407).
- Bluetooth: hci_request: Remove bg_scan_update work
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_CONNECTABLE to use
  cmd_sync (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_DISCOVERABLE to use
  cmd_sync (jsc#PED-1407).
- Bluetooth: btmrvl_main: repair a non-kernel-doc comment
  (jsc#PED-1407).
- Bluetooth: Don't initialize msft/aosp when using user channel
  (jsc#PED-1407).
- Bluetooth: fix uninitialized variables notify_evt
  (jsc#PED-1407).
- Bluetooth: hci_h4: Fix padding calculation error within
  h4_recv_buf() (jsc#PED-1407).
- Bluetooth: aosp: Support AOSP Bluetooth Quality Report
  (jsc#PED-1407).
- Bluetooth: Add struct of reading AOSP vendor capabilities
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix not setting adv set duration
  (jsc#PED-1407).
- Bluetooth: hci_sync: Fix missing static warnings (jsc#PED-1407).
- Bluetooth: btusb: Add support using different nvm for variant
  WCN6855 controller (jsc#PED-1407).
- Bluetooth: hci_sync: Rework hci_suspend_notifier (jsc#PED-1407).
- Bluetooth: hci_sync: Rework init stages (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SSP (jsc#PED-1407).
- Bluetooth: hci_sync: Convert adv_expire (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_ADVERTISING
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_PHY_CONFIGURATION
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_LOCAL_NAME
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_READ_LOCAL_OOB_EXT_DATA
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_READ_LOCAL_OOB_DATA
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_LE (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_GET_CLOCK_INFO
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_SECURE_CONN
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_GET_CONN_INFO
  (jsc#PED-1407).
- Bluetooth: hci_sync: Enable synch'd set_bredr (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_SET_FAST_CONNECTABLE
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_OP_START_DISCOVERY
  (jsc#PED-1407).
- Bluetooth: hci_sync: Convert MGMT_SET_POWERED (jsc#PED-1407).
- Bluetooth: hci_sync: Rework background scan (jsc#PED-1407).
- Bluetooth: hci_sync: Enable advertising when LL privacy is
  enabled (jsc#PED-1407).
- Bluetooth: hci_sync: Make use of hci_cmd_sync_queue set 3
  (jsc#PED-1407).
- Bluetooth: hci_sync: Make use of hci_cmd_sync_queue set 2
  (jsc#PED-1407).
- Bluetooth: hci_sync: Make use of hci_cmd_sync_queue set 1
  (jsc#PED-1407).
- Bluetooth: Add helper for serialized HCI command execution
  (jsc#PED-1407).
- Bluetooth: Fix removing adv when processing cmd complete
  (jsc#PED-1407).
- Bluetooth: btmtksdio: add MT7921s Bluetooth support
  (jsc#PED-1407).
- mmc: add MT7921 SDIO identifiers for MediaTek Bluetooth devices
  (jsc#PED-1407).
- Bluetooth: btmtksdio: transmit packet according to status
  TX_EMPTY (jsc#PED-1407).
- Bluetooth: btmtksdio: use register CRPLR to read packet length
  (jsc#PED-1407).
- Bluetooth: btmtksdio: update register CSDIOCSR operation
  (jsc#PED-1407).
- Bluetooth: btmtksdio: move interrupt service to work
  (jsc#PED-1407).
- Bluetooth: btmtksdio: explicitly set WHISR as write-1-clear
  (jsc#PED-1407).
- Bluetooth: btmtksdio: add .set_bdaddr support (jsc#PED-1407).
- Bluetooth: btmtksido: rely on BT_MTK module (jsc#PED-1407).
- Bluetooth: mediatek: add BT_MTK module (jsc#PED-1407).
- Update config files.
  Add CONFIG_BT_MTK=m to x86_64, arm64, armv7hl, ppc64le
- supported.conf: drivers/bluetooth/btmtk.ko
- Bluetooth: hci_bcm: Remove duplicated entry in OF table
  (jsc#PED-1407).
  Refresh
  patches.suse/Bluetooth-hci_bcm-Add-BCM4349B1-variant.patch.
- Bluetooth: vhci: Fix checking of msft_opcode (jsc#PED-1407).
- Bluetooth: btsdio: Do not bind to non-removable BCM4345 and
  BCM43455 (jsc#PED-1407).
- Bluetooth: vhci: Add support for setting msft_opcode and
  aosp_capable (jsc#PED-1407).
- Bluetooth: Fix memory leak of hci device (jsc#PED-1407).
- Bluetooth: btintel: Fix bdaddress comparison with garbage value
  (jsc#PED-1407).
- Bluetooth: hci_sock: purge socket queues in the destruct()
  callback (jsc#PED-1407).
- Bluetooth: mgmt: Fix Experimental Feature Changed event
  (jsc#PED-1407).
- Bluetooth: hci_vhci: Fix to set the force_wakeup value
  (jsc#PED-1407).
- Bluetooth: Read codec capabilities only if supported
  (jsc#PED-1407).
- Bluetooth: Fix handling of SUSPEND_DISCONNECTING (jsc#PED-1407).
- Bluetooth: hci_vhci: Fix calling hci_{suspend,resume}_dev
  (jsc#PED-1407).
- commit 5bca608
* Thu Jan 12 2023 jlee@suse.com
- Bluetooth: defer cleanup of resources in hci_unregister_dev()
  (jsc#PED-1407).
- blacklist.conf: removed 58ce6d5b27 for backporting it to sync the
  final code with v5.15 mainline kernel. It is for the later
  backporting work of SLE15-SP5 kernel.
- commit c8fd950
* Thu Jan 12 2023 lduncan@suse.com
- drbd: destroy workqueue when drbd device was freed (git-fixes).
- drbd: remove call to memset before free
  device/resource/connection (git-fixes).
- drbd: use after free in drbd_create_device() (git-fixes).
- drbd: set QUEUE_FLAG_STABLE_WRITES (git-fixes).
- drbd: remove usage of list iterator variable after loop
  (git-fixes).
- commit 26591d7
* Wed Jan 11 2023 oneukum@suse.com
- Update
  patches.suse/dmaengine-idxd-Fix-crc_val-field-for-completion-reco.patch
  (bsc#1206554).
  Added bugzilla number
- commit 1fe5012
* Wed Jan 11 2023 lduncan@suse.com
- blacklist.conf: add two drbd git-fixes to ignore
- commit d03d927
* Wed Jan 11 2023 msuchanek@suse.de
- ibmveth: Always stop tx queues during close (bsc#1065729).
- commit 11e0f4a
* Wed Jan 11 2023 msuchanek@suse.de
- ibmveth: Use dma_alloc_coherent() instead of
  kmalloc/dma_map_single() (jsc#PED-2639).
- commit 411f10b
* Wed Jan 11 2023 mbrugger@suse.com
- memory: tegra: Add DLA clients for Tegra234 (jsc#PED-1163).
- clk: tegra: Support BPMP-FW ABI deny flags (jsc#PED-1763).
- firmware: tegra: Update BPMP ABI (jsc#PED-1763).
- commit 08a5e4c
* Wed Jan 11 2023 msuchanek@suse.de
- ibmveth: Reduce default tx queues to 8 (jsc#PED-2639).
- ibmveth: Ethtool set queue support (jsc#PED-2639).
- ibmveth: Implement multi queue on xmit (jsc#PED-2639).
- ibmveth: Copy tx skbs into a premapped buffer (jsc#PED-2639).
- commit 6783457
* Wed Jan 11 2023 ggherdovich@suse.cz
- cpufreq: ACPI: Defer setting boost MSRs (bsc#1205485).
- commit 32f938b
* Wed Jan 11 2023 tbogendoerfer@suse.de
- Refresh
  patches.suse/octeontx2-Move-devlink-registration-to-be-last-devli.patch.
  Added missing hunk in backport.
- commit 9b34e71
* Wed Jan 11 2023 ailiop@suse.com
- xfs: get root inode correctly at bulkstat (git-fixes).
- commit ecbb587
* Wed Jan 11 2023 ailiop@suse.com
- xfs: get rid of assert from xfs_btree_islastblock (git-fixes).
- commit f759e44
* Wed Jan 11 2023 ailiop@suse.com
- xfs: fix incorrect i_nlink caused by inode racing (git-fixes).
- commit c814812
* Wed Jan 11 2023 ailiop@suse.com
- xfs: fix incorrect error-out in xfs_remove (git-fixes).
- commit 0241b15
* Wed Jan 11 2023 ailiop@suse.com
- xfs: initialize the check_owner object fully (git-fixes).
- commit 42eb8fb
* Wed Jan 11 2023 ailiop@suse.com
- xfs: Fix unreferenced object reported by kmemleak in
  xfs_sysfs_init() (git-fixes).
- commit 48cbefa
* Wed Jan 11 2023 ailiop@suse.com
- xfs: fix memory leak in xfs_errortag_init (git-fixes).
- commit 881b44a
* Wed Jan 11 2023 ailiop@suse.com
- xfs: reject crazy array sizes being fed to XFS_IOC_GETBMAP*
  (git-fixes).
- commit 0bf8d62
* Wed Jan 11 2023 ailiop@suse.com
- xfs: return errors in xfs_fs_sync_fs (git-fixes).
- commit 0f9b0ad
* Wed Jan 11 2023 ailiop@suse.com
- xfs: prevent a WARN_ONCE() in xfs_ioc_attr_list() (git-fixes).
- commit 9430296
* Wed Jan 11 2023 msuchanek@suse.de
- powerpc: Take in account addition CPU node when building kexec
  FDT (bsc#1207016 ltc#201108).
- powerpc: export the CPU node count (bsc#1207016 ltc#201108).
- commit 4ca3eba
* Wed Jan 11 2023 ailiop@suse.com
- xfs: fix maxlevels comparisons in the btree staging code
  (git-fixes).
- commit d0f5fd6
* Wed Jan 11 2023 oneukum@suse.com
- blacklist.conf: misattributed
- commit ee5f25a
* Wed Jan 11 2023 oneukum@suse.com
- blacklist.conf: too risky
- commit 51ffe7a
* Wed Jan 11 2023 oneukum@suse.com
- blacklist.conf: misattributed, we do not have this bug
- commit bc3473d
* Wed Jan 11 2023 tonyj@suse.de
- powerpc/perf: Include caps feature for power10 DD1 version
  (jsc#PED-557).
- powerpc/perf: Use PVR rather than oprofile field to determine
  CPU version (jsc#PED-557).
- docs: ABI: sysfs-bus-event_source-devices: Document sysfs caps
  entry for PMU (jsc#PED-557).
- powerpc/perf: Add support for caps under sysfs in powerpc
  (jsc#PED-557).
- powerpc/perf: Give generic PMU a nice name (jsc#PED-557).
- powerpc/perf: Update MMCR2 to support event exclude_idle
  (jsc#PED-557).
- powerpc/perf: Add __init attribute to eligible functions
  (jsc#PED-557).
- powerpc/perf: Add data source encodings for power10 platform
  (jsc#PED-557).
- powerpc/perf: Add encodings to represent data based on newer
  composite PERF_MEM_LVLNUM* fields (jsc#PED-557).
- perf: Add new macros for mem_hops field (jsc#PED-557).
- perf powerpc: Refactor the code definition of perf reg extended
  mask in tools side header file (jsc#PED-557).
- powerpc/perf: Expose instruction and data address registers
  as part of extended regs (jsc#PED-557).
- powerpc/perf: Refactor the code definition of perf reg extended
  mask (jsc#PED-557).
- perf: Add mem_hops field in perf_mem_data_src structure
  (jsc#PED-557).
- perf: Add comment about current state of PERF_MEM_LVL_*
  namespace and remove an extra line (jsc#PED-557).
- commit 6625827
* Tue Jan 10 2023 jlee@suse.com
- Bluetooth: Rename driver .prevent_wake to .wakeup
  (jsc#PED-1407).
- Bluetooth: btrtl: Ask ic_info to drop firmware (jsc#PED-1407).
- Bluetooth: btrtl: Add support for MSFT extension to rtl8821c
  devices (jsc#PED-1407).
- Bluetooth: hci_vhci: Add force_prevent_wake entry
  (jsc#PED-1407).
- Bluetooth: hci_vhci: Add force_suspend entry (jsc#PED-1407).
- Bluetooth: btrsi: remove superfluous header files from btrsi.c
  (jsc#PED-1407).
- Bluetooth: btrtl: Set VsMsftOpCode based on device table
  (jsc#PED-1407).
- Bluetooth: btrtl: enable Realtek 8822C/8852A to support AOSP
  extension (jsc#PED-1407).
- Bluetooth: hci_qca: enable Qualcomm WCN399x for AOSP extension
  (jsc#PED-1407).
- Bluetooth: hci_h5: directly return hci_uart_register_device()
  ret-val (jsc#PED-1407).
- Bluetooth: hci_h5: Fix (runtime)suspend issues on RTL8723BS HCIs
  (jsc#PED-1407).
- Bluetooth: hci_ldisc: require CAP_NET_ADMIN to attach N_HCI
  ldisc (jsc#PED-1407).
- Bluetooth: hci_uart: fix GPF in h5_recv (jsc#PED-1407).
- Bluetooth: btintel: Fix incorrect out of memory check
  (jsc#PED-1407).
- Bluetooth: hci_vhci: Add support for offload codecs over SCO
  (jsc#PED-1407).
- Bluetooth: btintel: Define a callback to fetch codec config data
  (jsc#PED-1407).
- Bluetooth: btintel: Define callback to fetch data_path_id
  (jsc#PED-1407).
- Bluetooth: btintel: Read supported offload use cases
  (jsc#PED-1407).
- Bluetooth: btintel: Read boot address irrespective of controller
  mode (jsc#PED-1407).
- Bluetooth: btintel: Fix boot address (jsc#PED-1407).
- Bluetooth: set quality report callback for Intel (jsc#PED-1407).
- Bluetooth: btintel: support link statistics telemetry events
  (jsc#PED-1407).
- Bluetooth: btusb: disable Intel link statistics telemetry events
  (jsc#PED-1407).
- Bluetooth: btbcm: add patch ram for bluetooth (jsc#PED-1407).
- Bluetooth: hci_bcm: Fix kernel doc comments (jsc#PED-1407).
- Bluetooth: btmrvl_sdio: Remove all strcpy() uses (jsc#PED-1407).
- Bluetooth: hci_h5: Add runtime suspend (jsc#PED-1407).
- Bluetooth: hci_h5: btrtl: Maintain flow control if wakeup is
  enabled (jsc#PED-1407).
- Bluetooth: hci_h5: add WAKEUP_DISABLE flag (jsc#PED-1407).
- Bluetooth: btrsi: use non-kernel-doc comment for copyright
  (jsc#PED-1407).
- Bluetooth: btrtl: Set MSFT opcode for RTL8852 (jsc#PED-1407).
- Bluetooth: hci_h5: Disable the hci_suspend_notifier for btrtl
  devices (jsc#PED-1407).
- commit 8b7d0e7
* Tue Jan 10 2023 jlee@suse.com
- Bluetooth: hci_sock: Replace use of memcpy_from_msg with
  bt_skb_sendmsg (jsc#PED-1407).
- Bluetooth: Make use of hci_{suspend,resume}_dev on suspend
  notifier (jsc#PED-1407).
- Bluetooth: Fix handling of experimental feature for codec
  offload (jsc#PED-1407).
- Bluetooth: Fix handling of experimental feature for quality
  reports (jsc#PED-1407).
- Bluetooth: Fix wrong opcode when LL privacy enabled
  (jsc#PED-1407).
- Bluetooth: Fix Advertisement Monitor Suspend/Resume
  (jsc#PED-1407).
- Bluetooth: hci_core: Move all debugfs handling to hci_debugfs.c
  (jsc#PED-1407).
- Bluetooth: hci_sock: Add support for BT_{SND,RCV}BUF
  (jsc#PED-1407).
- Bluetooth: eir: Move EIR/Adv Data functions to its own file
  (jsc#PED-1407).
- Bluetooth: Keep MSFT ext info throughout a hci_dev's life cycle
  (jsc#PED-1407).
- Bluetooth: Allow usb to auto-suspend when SCO use non-HCI
  transport (jsc#PED-1407).
- Bluetooth: Add offload feature under experimental flag
  (jsc#PED-1407).
- Bluetooth: Add support for msbc coding format (jsc#PED-1407).
- Bluetooth: Configure codec for HFP offload use case
  (jsc#PED-1407).
- Bluetooth: Add support for
  HCI_Enhanced_Setup_Synchronous_Connection command
  (jsc#PED-1407).
- Bluetooth: Allow setting of codec for HFP offload use case
  (jsc#PED-1407).
- Bluetooth: Allow querying of supported offload codecs over
  SCO socket (jsc#PED-1407).
- Bluetooth: Add support for Read Local Supported Codecs V2
  (jsc#PED-1407).
- Bluetooth: Enumerate local supported codec and cache details
  (jsc#PED-1407).
- Bluetooth: Fix using RPA when address has been resolved
  (jsc#PED-1407).
- Bluetooth: Fix using address type from events (jsc#PED-1407).
- Bluetooth: Fix enabling advertising for central role
  (jsc#PED-1407).
- Bluetooth: Support the quality report events (jsc#PED-1407).
- Bluetooth: mgmt: Disallow legacy MGMT_OP_READ_LOCAL_OOB_EXT_DATA
  (jsc#PED-1407).
- Bluetooth: reorganize functions from hci_sock_sendmsg()
  (jsc#PED-1407).
- Bluetooth: Fix return value in hci_dev_do_close()
  (jsc#PED-1407).
- Bluetooth: mgmt: Pessimize compile-time bounds-check
  (jsc#PED-1407).
- Bluetooth: Store advertising handle so it can be re-enabled
  (jsc#PED-1407).
- Bluetooth: switch to lock_sock in RFCOMM (jsc#PED-1407).
- Bluetooth: serialize calls to sco_sock_{set,clear}_timer
  (jsc#PED-1407).
  Refresh
  patches.suse/Bluetooth-fix-repeated-calls-to-sco_sock_kill.patch.
- Bluetooth: HCI: Add proper tracking for enable status of adv
  instances (jsc#PED-1407).
- commit 3dd3d25
* Tue Jan 10 2023 jlee@suse.com
- net/smc: Stop the CLC flow if no link to map buffers on
  (jsc#PED-612).
- net/smc: Remove redundant refcount increase (jsc#PED-612).
- tcp: Fix data-races around keepalive sysctl knobs (jsc#PED-612).
- commit 1952393
* Mon Jan  9 2023 palcantara@suse.de
- cifs: Fix kmap_local_page() unmapping (git-fixes).
- commit ff2c079
* Mon Jan  9 2023 oneukum@suse.com
- usb: typec: ucsi: Resume in separate work (git-fixes).
- commit 76ae6e4
* Mon Jan  9 2023 oneukum@suse.com
- usb: typec: ucsi: Wait for the USB role switches (git-fixes).
- Refresh
  patches.suse/usb-typec-ucsi-Check-the-connection-on-resume.patch.
- commit 9a1f1e9
* Mon Jan  9 2023 oneukum@suse.com
- usb: typec: ucsi: add a common function
  ucsi_unregister_connectors() (git-fixes).
- commit 19bdccf
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: fix dropped frame after missed isoc
  (git-fixes).
- commit 688f2a7
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: fix list double add in uvcg_video_pump
  (git-fixes).
- commit 54779ec
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: Fix comment blocks style (git-fixes).
- commit 1cfa521
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: use on returned header len in
  video_encode_isoc_sg (git-fixes).
- blacklist.conf: unlisted for kABI reasons
- commit f51b8ab
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: only pump video data if necessary (git-fixes).
- commit d1cf504
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: only schedule stream in streaming state
  (git-fixes).
- commit 463e8d0
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: improve sg exit condition (git-fixes).
- commit e788d19
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: giveback vb2 buffer on req complete
  (git-fixes).
- commit 77eaf55
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: test if ep->desc is valid on ep_queue
  (git-fixes).
- commit 9d7cee3
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: f_ncm: remove check for NULL skb_tx_data in timer
  function (git-fixes).
- commit 4699ed0
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: f_ncm: remove spurious boolean timer_stopping
  (git-fixes).
- commit 84c5c78
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: f_ncm: remove timer_force_tx field (git-fixes).
- commit 7a34bb5
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: implement dwPresentationTime and
  scrSourceClock (git-fixes).
- commit 3c7c35c
* Mon Jan  9 2023 oneukum@suse.com
- usb: gadget: uvc: consistently use define for headerlen
  (git-fixes).
- blacklist.conf: removed entry added for kABI reasons
- commit 8c1cbd9
* Mon Jan  9 2023 oneukum@suse.com
- usb: typec: Don't try to register component master without
  components (git-fixes).
- Refresh
  patches.suse/ACPI-bus-Introduce-acpi_bus_for_each_dev.patch.
- commit 5620cff
* Mon Jan  9 2023 oneukum@suse.com
- usb: typec: Only attempt to link USB ports if there is fwnode
  (git-fixes).
- Refresh
  patches.suse/ACPI-bus-Introduce-acpi_bus_for_each_dev.patch.
- commit 9f29d76
* Mon Jan  9 2023 tiwai@suse.de
- Revert "usb: ulpi: defer ulpi_register on ulpi_read_id timeout"
  (git-fixes).
- drm/i915/gvt: fix vgpu debugfs clean in remove (git-fixes).
- drm/i915/gvt: fix gvt debugfs destroy (git-fixes).
- drm/i915: unpin on error in intel_vgpu_shadow_mm_pin()
  (git-fixes).
- drm/imx: ipuv3-plane: Fix overlay plane width (git-fixes).
- drm/meson: Reduce the FIFO lines held when AFBC is not used
  (git-fixes).
- drm/panfrost: Fix GEM handle creation ref-counting (git-fixes).
- thermal: int340x: Add missing attribute for data rate base
  (git-fixes).
- caif: fix memory leak in cfctrl_linkup_request() (git-fixes).
- usb: rndis_host: Secure rndis_query check against int overflow
  (git-fixes).
- dt-bindings: net: sun8i-emac: Add phy-supply property
  (git-fixes).
- net: phy: xgmiitorgmii: Fix refcount leak in xgmiitorgmii_probe
  (git-fixes).
- nfc: Fix potential resource leaks (git-fixes).
- vmxnet3: correctly report csum_level for encapsulated packet
  (git-fixes).
- gpio: sifive: Fix refcount leak in sifive_gpio_probe
  (git-fixes).
- fbdev: matroxfb: G200eW: Increase max memory from 1 MB to 16 MB
  (git-fixes).
- commit ac1915a
* Fri Jan  6 2023 msuchanek@suse.de
- powerpc/powernv: add missing of_node_put (bsc#1065729).
- commit 678d5a8
* Fri Jan  6 2023 jeffm@suse.com
- rpm/kernel-binary.spec.in: Add Enhances and Supplements tags to in-tree KMPs
  This makes in-tree KMPs more consistent with externally built KMPs and
  silences several rpmlint warnings.
- commit 02b7735
* Fri Jan  6 2023 mkubecek@suse.cz
- rpm/check-for-config-changes: add OBJTOOL and FTRACE_MCOUNT_USE_*
  Dummy gcc pretends to support -mrecord-mcount option but actual gcc on
  ppc64le does not. Therefore ppc64le builds of 6.2-rc1 and later in OBS
  enable FTRACE_MCOUNT_USE_OBJTOOL and OBJTOOL config options, resulting in
  check failure.
  As we already have FTRACE_MCOUNT_USE_CC and FTRACE_MCOUNT_USE_RECORDMCOUNT
  in the exception list, replace them with a general pattern. And add OBJTOOL
  as well.
- commit 887416f
* Fri Jan  6 2023 mgorman@suse.de
- mm: fix race between MADV_FREE reclaim and blkdev direct IO read
  (bsc#1204989,bsc#1205601).
- commit 83e47e1
* Fri Jan  6 2023 vkarasulli@suse.de
- KVM: x86: fix uninitialized variable use on
  KVM_REQ_TRIPLE_FAULT (bsc#1204652 CVE-2022-3344).
- blacklist.conf: blacklist commit id
  df0bb47baa95aad133820b149851d5b94cbc6790 which duplicates
  commit id e542baf30b48605d4336bf54b98e76b8fb98af30.
- commit c2fe422
* Fri Jan  6 2023 msuchanek@suse.de
- powerpc/xive/spapr: correct bitmap allocation size (fate#322438
  git-fixes).
- commit e6f2b08
* Fri Jan  6 2023 mkoutny@suse.com
- Update config files.
  run_oldconfig.sh
- CONFIG_HAVE_FUTEX_CMPXCHG=y	gone with b1a940fffe2
- CONFIG_IOMMU_DMA_PCI_SAC=y	gone with 76df036f14c
- commit b08e284
* Fri Jan  6 2023 vbabka@suse.cz
- Refresh
  patches.suse/NFS-Handle-missing-attributes-in-OPEN-reply.patch.
  Update commit log to prevent patch and quilt from thinking it should apply the
  example hunks and fail.
- commit a6bcec2
* Fri Jan  6 2023 wqu@suse.com
- patches.suse/btrfs-fix-resolving-backrefs-for-inline-extent-follo.patch:
  (bsc#1206456).
- commit 31db88a
* Fri Jan  6 2023 neilb@suse.de
- NFS: Handle missing attributes in OPEN reply (bsc#1203740).
- commit 4f80fa3
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/uncore: Add new Raptor Lake S support (jsc#PED-1819).
- commit e0bc8f3
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/cstate: Add new Raptor Lake S support (jsc#PED-1819).
- commit 16be332
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/msr: Add new Raptor Lake S support (jsc#PED-1819).
- commit bd61d6b
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86: Add new Raptor Lake S support (jsc#PED-1819).
- commit 8d97594
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/uncore: Add new Alder Lake and Raptor Lake support
  (jsc#PED-1819 (dependent patch)).
- commit d40f3bf
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/uncore: Clean up uncore_pci_ids (jsc#PED-1819
  (dependent patch)).
- commit 0e23448
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/cstate: Add new Alder Lake and Raptor Lake support
  (jsc#PED-1819 (dependent patch)).
- commit 717ff32
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/intel: Fix unchecked MSR access error for Alder Lake N
  (jsc#PED-1815).
- commit 6dcc002
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/msr: Add new Alder Lake and Raptor Lake support
  (jsc#PED-1815 (dependent patch)).
- commit c55d872
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86: Add new Alder Lake and Raptor Lake support
  (jsc#PED-1815 (dependent patch)).
- commit c1ef9ab
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/intel: Fix PEBS data source encoding for ADL
  (jsc#PED-1063).
- commit ad59991
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/intel: Fix PEBS memory access info encoding for ADL
  (jsc#PED-1063).
- commit 4c2b975
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/lbr: Add LbrExtV2 branch speculation info support
  (jsc#PED-1754).
- commit 8427736
* Thu Jan  5 2023 tonyj@suse.de
- perf/core: Add speculation info to branch entries
  (jsc#PED-1754).
- commit 9b8ff9e
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/lbr: Use fusion-aware branch classifier
  (jsc#PED-1754).
- commit b4f4f58
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86: Make branch classifier fusion-aware (jsc#PED-1754).
- commit 5d847a8
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/lbr: Add LbrExtV2 software branch filter support
  (jsc#PED-1754).
- commit cd2bd6f
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86: Move branch classifier (jsc#PED-1754).
- commit a010199
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/lbr: Add LbrExtV2 hardware branch filter support
  (jsc#PED-1754).
- commit 7925b23
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/lbr: Add LbrExtV2 branch record support
  (jsc#PED-1754).
- commit e02a724
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/lbr: Detect LbrExtV2 support (jsc#PED-1754).
- commit fa51139
* Thu Jan  5 2023 tonyj@suse.de
- x86/cpufeatures: Add LbrExtV2 feature bit (jsc#PED-1754).
- commit 53deb80
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Add generic branch record interfaces
  (jsc#PED-1754).
- commit 2894a88
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Refactor branch attributes (jsc#PED-1754).
- commit ee9e17e
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/brs: Move feature-specific functions
  (jsc#PED-1754).
- commit 970515b
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/uncore: Add PerfMonV2 RDPMC assignments
  (jsc#PED-1754 (PerfMonV2)).
- commit 9c3a34a
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/uncore: Add PerfMonV2 DF event format (jsc#PED-1754
  (PerfMonV2)).
- commit 706d078
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/uncore: Detect available DF counters (jsc#PED-1754
  (PerfMonV2)).
- commit d31ab36
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/uncore: Use attr_update for format attributes
  (jsc#PED-1754 (PerfMonV2)).
- commit 9178682
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/uncore: Use dynamic events array (jsc#PED-1754
  (PerfMonV2)).
- commit 9e65a7a
* Thu Jan  5 2023 tonyj@suse.de
- tools headers cpufeatures: Sync with the kernel sources
  (jsc#PED-1754 (PerfMonV2)).
- commit b27286e
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Fix reloading events for SVM (jsc#PED-1754
  (PerfMonV2)).
- commit f53c763
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Run AMD BRS code only on supported hw
  (jsc#PED-1754 (dependent patch)).
- commit 4b0be09
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Fix AMD BRS period adjustment (jsc#PED-1754
  (PerfMonV2)).
- commit 6f00a69
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Remove unused variable 'hwc' (jsc#PED-1754
  (PerfMonV2)).
- commit 67c33d7
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Add PerfMonV2 overflow handling (jsc#PED-1754
  (PerfMonV2), jsc#PED-972, jsc#PED-956).
- commit bc61efd
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Add PerfMonV2 counter control (jsc#PED-1754
  (PerfMonV2), jsc#PED-972, jsc#PED-956).
- commit 3489a5e
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Detect available counters (jsc#PED-1754
  (PerfMonV2), jsc#PED-972, jsc#PED-956).
- commit 5456d3d
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd/core: Detect PerfMonV2 support (jsc#PED-1754
  (PerfMonV2), jsc#PED-972, jsc#PED-956).
- commit 70a5053
* Thu Jan  5 2023 tonyj@suse.de
- x86/msr: Add PerfCntrGlobal* registers (jsc#PED-1754
  (PerfMonV2), jsc#PED-972, jsc#PED-956).
- commit 6ed32cf
* Thu Jan  5 2023 tonyj@suse.de
- x86/cpufeatures: Add PerfMonV2 feature bit (jsc#PED-1754
  (PerfMonV2), jsc#PED-972, jsc#PED-956).
- commit d5b6c0b
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Add idle hooks for branch sampling (jsc#PED-1754
  (dependent patch)).
- commit b56900d
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Make Zen3 branch sampling opt-in (jsc#PED-1754
  (dependent patch)).
- Update config files.
- commit 2c1bba0
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Add AMD branch sampling period adjustment
  (jsc#PED-1754 (dependent patch)).
- commit b593cf8
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Enable branch sampling priv level filtering
  (jsc#PED-1754 (dependent patch)).
- commit 9193da6
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Add branch-brs helper event for Fam19h BRS
  (jsc#PED-1754 (dependent patch)).
- commit 2a1732e
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/amd: Add AMD Fam19h Branch Sampling support
  (jsc#PED-1754 (dependent patch)).
- commit e2eda7c
* Thu Jan  5 2023 tonyj@suse.de
- x86/cpufeatures: Add AMD Fam19h Branch Sampling feature
  (jsc#PED-1754 (dependent patch)).
- Refresh patches.suse/x86-cpu-amd-Enumerate-BTC_NO.patch.
- commit 998e489
* Thu Jan  5 2023 tonyj@suse.de
- perf/core: Add perf_clear_branch_entry_bitfields() helper
  (jsc#PED-1754 (dependent patch)).
- commit 24dd617
* Thu Jan  5 2023 tonyj@suse.de
- perf: Add irq and exception return branch types (jsc#PED-1754
  (dependent patch)).
- commit a46ea37
* Thu Jan  5 2023 tonyj@suse.de
- tools headers cpufeatures: Sync with the kernel sources
  (jsc#PED-1754 (PerfMonV2) (dependent patch)).
- commit 22f9173
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/intel/lbr: Support LBR format V7 (jsc#PED-1754
  (dependent patch)).
- commit 15e8c84
* Thu Jan  5 2023 tonyj@suse.de
- x86: perf: Move RDPMC event flag to a common definition
  (jsc#PED-1754 (dependent patch)).
- commit d2e0e0b
* Thu Jan  5 2023 martin.wilck@suse.com
- scsi: mpt3sas: Remove usage of dma_get_required_mask() API
  (bsc#1206912,bsc#1206098).
- scsi: mpt3sas: re-do lost mpt3sas DMA mask fix
  (bsc#1206912,bsc#1206098).
- scsi: mpt3sas: Don't change DMA mask while reallocating pools
  (bsc#1206912,bsc#1206098).
- commit 496371c
* Thu Jan  5 2023 tonyj@suse.de
- perf/amd/uncore: Allow the driver to be built as a module
  (jsc#PED-1754 (dependent patch)).
- Update config files.
- commit ba163c2
* Thu Jan  5 2023 tonyj@suse.de
- perf/amd/uncore: Clean up header use, use <linux/ include
  paths instead of <asm/ (jsc#PED-1754 (PerfMonV2)).
- commit 7a6f467
* Thu Jan  5 2023 tonyj@suse.de
- perf/amd/uncore: Simplify code, use free_percpu()'s built-in
  check for NULL (jsc#PED-1754 (PerfMonV2)).
- commit 9f4388f
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/intel: Increase max number of the fixed counters
  (jsc#PED-823).
- commit e723f6b
* Thu Jan  5 2023 tonyj@suse.de
- KVM: x86: use the KVM side max supported fixed counter
  (jsc#PED-823).
- Refresh
  patches.suse/KVM-x86-pmu-Use-different-raw-event-masks-for-AMD-an.patch.
- commit a03975a
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/intel: Enable PEBS format 5 (jsc#PED-823).
- commit df6f8dd
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/cstate: Add SAPPHIRERAPIDS_X CPU support (jsc#PED-855).
- commit be3bb44
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/uncore: Add Raptor Lake uncore support (jsc#PED-832,
  jsc#PED-828).
- commit 489af74
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/msr: Add Raptor Lake CPU support (jsc#PED-828).
- commit dea9417
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86/cstate: Add Raptor Lake support (jsc#PED-828).
- commit 518df5f
* Thu Jan  5 2023 tonyj@suse.de
- perf/x86: Add Intel Raptor Lake support (jsc#PED-828).
- commit de4e77d
* Thu Jan  5 2023 vkarasulli@suse.de
- KVM: x86: remove exit_int_info warning in svm_handle_exit
  (bsc#1204652 CVE-2022-3344).
- KVM: x86: allow L1 to not intercept triple fault (bsc#1204652
  CVE-2022-3344).
- KVM: x86: forcibly leave nested mode on vCPU reset (bsc#1204652
  CVE-2022-3344).
- KVM: x86: add kvm_leave_nested (bsc#1204652 CVE-2022-3344).
- KVM: x86: nSVM: harden svm_free_nested against freeing  vmcb02
  while still in use (bsc#1204652 CVE-2022-3344).
- KVM: x86: nSVM: leave nested mode on vCPU free (bsc#1204652
  CVE-2022-3344).
- commit a745b62
* Thu Jan  5 2023 mkubecek@suse.cz
- net: allow retransmitting a TCP packet if original is still
  in queue (bsc#1188605 bsc#1187428 bsc#1206619).
- commit 894711e
* Thu Jan  5 2023 mhocko@suse.com
- memcg, kmem: further deprecate kmem.limit_in_bytes
  (bsc#1206896).
- Refresh
  patches.suse/memcg-deprecate-memory.force_empty-knob.patch.
- commit 855cb6d
* Thu Jan  5 2023 lizhang@suse.de
- x86/sgx/virt: implement SGX_IOC_VEPC_REMOVE ioctl (bsc#1197801).
- x86/sgx/virt: extract sgx_vepc_remove_page (bsc#1197801).
- commit a278c47
* Thu Jan  5 2023 mhocko@suse.com
- mm/mempolicy: fix memory leak in set_mempolicy_home_node system
  call (bsc#1206468).
- commit 2ac9622
* Thu Jan  5 2023 tiwai@suse.de
- vdpa_sim: fix vringh initialization in vdpasim_queue_ready()
  (git-fixes).
- vhost: fix range used in translate_desc() (git-fixes).
- vringh: fix range used in iotlb_translate() (git-fixes).
- vhost/vsock: Fix error handling in vhost_vsock_init()
  (git-fixes).
- vdpa_sim: fix possible memory leak in vdpasim_net_init()
  and vdpasim_blk_init() (git-fixes).
- commit 4896995
* Thu Jan  5 2023 tiwai@suse.de
- Move upstreamed kexec patch into sorted section
- commit 8762bd7
* Wed Jan  4 2023 msuchanek@suse.de
- blacklist.conf: Add ppc ddw fix only applicable to 5.15
- commit b91171d
* Wed Jan  4 2023 mbrugger@suse.com
- mmc: sdhci-tegra: Issue CMD and DAT resets together
  (jsc#PED-1763).
- mmc: sdhci-tegra: Add support to program MC stream ID
  (jsc#PED-1763).
- mmc: sdhci-tegra: Separate Tegra194 and Tegra234 SoC data
  (jsc#PED-1763).
- mmc: sdhci-tegra: Sort includes alphabetically (jsc#PED-1763).
- iommu/tegra: Add tegra_dev_iommu_get_stream_id() helper
  (jsc#PED-1763).
- iommu: Add note about struct iommu_fwspec usage (jsc#PED-1763).
- mmc: sdhci: Centralize CMD and DATA reset handling
  (jsc#PED-1763).
- commit c038f24
* Wed Jan  4 2023 mkoutny@suse.com
- blacklist.conf: Add 710ffe671e01 sched/psi: Stop relying on timer_pending() for poll_work rescheduling
- commit 8adb37f
* Wed Jan  4 2023 pjakobsson@suse.de
- Refresh
  patches.suse/lib-bitmap-change-type-of-bitmap_weight-to-unsigned-long.
  Fixes two warnings in drivers/gpu/drm/i915/gt/intel_sseu.c
- commit d17c3ca
* Wed Jan  4 2023 tiwai@suse.de
- wifi: ath11k: fix firmware assert during bandwidth change for
  peer sta (git-fixes).
- wifi: ath11k: fix warning in dma_free_coherent() of memory
  chunks while recovery (git-fixes).
- wifi: ath11k: Fix hardware restart failure due to twt debugfs
  failure (git-fixes).
- nl80211: don't hold RTNL in color change request (git-fixes).
- mac80211: always have ieee80211_sta_restart() (git-fixes).
- cfg80211: fix BSS color notify trace enum confusion (git-fixes).
- commit 81ba8d5
* Wed Jan  4 2023 tiwai@suse.de
- Add alt-commit to ath11k patch
- commit d58ee96
* Tue Jan  3 2023 fweisbecker@suse.de
- sched/uclamp: Make task_fits_capacity() use util_fits_cpu() (git-fixes)
- commit a265076
* Tue Jan  3 2023 fweisbecker@suse.de
- sched/uclamp: Fix relationship between uclamp and migration (git-fixes)
- commit d4e9f78
* Tue Jan  3 2023 fweisbecker@suse.de
- sched/core: Fix comparison in sched_group_cookie_match() (git-fixes)
- commit f64ffc5
* Tue Jan  3 2023 fweisbecker@suse.de
- sched/core: Fix the bug that task won't enqueue into core (git-fixes)
- commit f50eaf7
* Tue Jan  3 2023 fweisbecker@suse.de
- sched/topology: Remove redundant variable and fix incorrect (git-fixes)
- commit 653c1b4
* Tue Jan  3 2023 krisman@suse.de
- Refresh patches.suse/io_uring-add-io_op_defs-def-pointer-in-req-init-and-.patch.
  Solve compiler warning introduced by
  patches.suse/io_uring-add-io_op_defs-def-pointer-in-req-init-and-.patch
  since we don't have the audit patches.
  fs/io_uring.c: In function ‘io_issue_sqe’:
  fs/io_uring.c:7953:26: warning: unused variable
  ‘def’ [-Wunused-variable]
  const struct io_op_def *def = &io_op_defs[req->opcode];
- commit 3cc6118
* Tue Jan  3 2023 jwiesner@suse.de
- futex: Resend potentially swallowed owner death notification
  (bsc#1204996).
- commit d973597
* Tue Jan  3 2023 jwiesner@suse.de
- locking/lockdep: Print more debug information - report name
  and key when look_up_lock_class() got confused (bsc#1204996).
- commit cb994ef
* Tue Jan  3 2023 jwiesner@suse.de
- locking: Add __sched to semaphore functions (bsc#1204996).
- commit aeb3883
* Tue Jan  3 2023 jwiesner@suse.de
- locking: Add __lockfunc to slow path functions (bsc#1204996).
- commit a801255
* Tue Jan  3 2023 jwiesner@suse.de
- locking/spinlocks: Mark spinlocks noinline when inline spinlocks
  are disabled (bsc#1204996).
- commit 5eddf49
* Tue Jan  3 2023 jwiesner@suse.de
- x86/xen: Make save_fl() noinstr (bsc#1204996).
  This is a partial backport.
- commit 27a635d
* Tue Jan  3 2023 jwiesner@suse.de
- locking/qrwlock: Change "queue rwlock" to "queued rwlock"
  (bsc#1204996).
- commit 4c71b5a
* Tue Jan  3 2023 jwiesner@suse.de
- locking/local_lock: Make the empty local_lock_*() function a
  macro (bsc#1204996).
- commit 53585cf
* Tue Jan  3 2023 jwiesner@suse.de
- Documentation/locking/locktypes: Fix PREEMPT_RT _bh()
  description (bsc#1204996).
- commit 218c821
* Tue Jan  3 2023 jwiesner@suse.de
- futex: Fix additional regressions (bsc#1204996).
- commit 816bbf0
* Tue Jan  3 2023 jwiesner@suse.de
- lockdep/selftests: Adapt ww-tests for PREEMPT_RT (bsc#1204996).
- commit ff0bc37
* Tue Jan  3 2023 jwiesner@suse.de
- lockdep/selftests: Skip the softirq related tests on PREEMPT_RT
  (bsc#1204996).
- commit bc822a3
* Tue Jan  3 2023 jwiesner@suse.de
- lockdep/selftests: Unbalanced migrate_disable() &
  rcu_read_lock() (bsc#1204996).
- commit b4137b8
* Tue Jan  3 2023 jwiesner@suse.de
- lockdep/selftests: Avoid using local_lock_{acquire|release}()
  (bsc#1204996).
- commit 2b6b814
* Tue Jan  3 2023 jwiesner@suse.de
- lockdep: Remove softirq accounting on PREEMPT_RT (bsc#1204996).
- commit 9f82069
* Tue Jan  3 2023 jwiesner@suse.de
- futex: Fix sparc32/m68k/nds32 build regression (bsc#1204996).
- commit 838d13a
* Tue Jan  3 2023 jwiesner@suse.de
- futex: Remove futex_cmpxchg detection (bsc#1204996).
- Refresh
  patches.suse/arm64-implement-support-for-static-call-trampolines.patch.
- commit b1a940f
* Tue Jan  3 2023 jwiesner@suse.de
- futex: Ensure futex_atomic_cmpxchg_inatomic() is present
  (bsc#1204996).
- commit 74b9c63
* Tue Jan  3 2023 jwiesner@suse.de
- locktorture,rcutorture,torture: Always log error message
  (bsc#1204996).
- commit 2261ec1
* Tue Jan  3 2023 jwiesner@suse.de
- mm: make generic arch_is_kernel_initmem_freed() do what it says
  (bsc#1204996).
- commit 5b09c11
* Tue Jan  3 2023 tzimmermann@suse.de
- Build fix for patches.suse/0007-drm-ast-Style-cleanups-in-plane-code.patch
- commit 72f48ef
* Tue Jan  3 2023 oneukum@suse.com
- blacklist.conf: removes a feature
- commit 4da5756
* Tue Jan  3 2023 oneukum@suse.com
- blacklist.conf: misattributed
- commit 3e3a9a5
* Tue Jan  3 2023 msuchanek@suse.de
- blacklist.conf: pSeries and powernv get dt from firmware
- commit c257ae8
* Tue Jan  3 2023 tzimmermann@suse.de
- Remove patches.suse/0008-drm-ast-Convert-ast-to-SHMEM.patch
  Replaces the ast driver's memory management. Deemed too intrusive at
  this point.
- commit 3af75cf
* Tue Jan  3 2023 tzimmermann@suse.de
- Remove patches.suse/0009-drm-ast-Avoid-reprogramming-primary-plane-scanout-ad.patch
  Depends on commit f2fa5a99ca81 ("drm/ast: Convert ast to SHMEM"), which
  is not to be taken.
- commit 2275d8a
* Tue Jan  3 2023 msuchanek@suse.de
- powerpc/pseries/eeh: use correct API for error log size
  (bsc#1065729).
- powerpc/perf: callchain validate kernel stack pointer bounds
  (bsc#1065729).
- powerpc/xive: add missing iounmap() in error path in
  xive_spapr_populate_irq_data() (fate#322438 git-fixes).
- powerpc/pci: Fix get_phb_number() locking (bsc#1065729).
- powerpc/64: Init jump labels before parse_early_param()
  (bsc#1065729).
- commit 773dc74
* Tue Jan  3 2023 dwagner@suse.de
- scsi: lpfc: Remove linux/msi.h include (jsc#PED-1445).
- scsi: lpfc: Update lpfc version to 14.2.0.9 (jsc#PED-1445).
- scsi: lpfc: Fix crash involving race between FLOGI timeout
  and devloss handler (jsc#PED-1445).
- scsi: lpfc: Fix MI capability display in cmf_info sysfs
  attribute (jsc#PED-1445).
- scsi: lpfc: Correct bandwidth logging during receipt of
  congestion sync WCQE (jsc#PED-1445).
- scsi: lpfc: Fix WQ|CQ|EQ resource check (jsc#PED-1445).
- scsi: lpfc: Use memset_startat() helper (jsc#PED-1445).
- scsi: lpfc: Remove redundant pointer 'lp' (jsc#PED-1445).
- string.h: Introduce memset_startat() for wiping trailing
  members and padding (jsc#PED-1445).
- commit 7d406bf
* Tue Jan  3 2023 dwagner@suse.de
- scsi: qla2xxx: Fix crash when I/O abort times out (jsc#PED-568).
- scsi: qla2xxx: Initialize vha->unknown_atio_[list, work]
  for NPIV hosts (jsc#PED-568).
- scsi: qla2xxx: Remove duplicate of vha->iocb_work initialization
  (jsc#PED-568).
- scsi: qla2xxx: Remove unused variable 'found_devs'
  (jsc#PED-568).
- scsi: qla2xxx: Fix set-but-not-used variable warnings
  (jsc#PED-568).
- commit ae77c26
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0512-drm-amdgpu-Fix-memory-leak-in-amdgpu_cs_pass1.patch
  Alt-commit
- commit 1e5e07b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0505-Revert-drm-amdgpu-Revert-drm-amdgpu-getting-fan-spee.patch
  Alt-commit
- commit b78e9d4
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0498-drm-amdgpu-workaround-for-TLB-seq-race.patch
  Alt-commit
- commit 6514c13
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0497-drm-amdkfd-Fix-error-handling-in-criu_checkpoint.patch
  Alt-commit
- commit 6b3bf94
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0496-drm-amdkfd-Fix-error-handling-in-kfd_criu_restore_ev.patch
  Alt-commit
- commit 9dffa14
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0488-drm-amdgpu-Disable-GPU-reset-on-SRIOV-before-remove-.patch
  Alt-commit
- commit f1bd673
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0458-drm-amdgpu-Fix-for-BO-move-issue.patch
  Alt-commit
- commit d4447ef
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0453-drm-amd-display-Increase-frame-size-limit-for-displa.patch
  Alt-commit
- commit a7419eb
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0450-drm-amd-pm-Init-pm_attr_list-when-dpm-is-disabled.patch
  Alt-commit
- commit c0d0de3
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0437-Revert-drm-amdgpu-let-mode2-reset-fallback-to-defaul.patch
  Alt-commit
- commit 52e58f3
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0436-Revert-drm-amdgpu-add-debugfs-amdgpu_reset_level.patch
  Alt-commit
- commit 39c902b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-gt-Restrict-forced-preemption-to-the-active.patch
  Alt-commit
- commit bd75bbd
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1630-drm-i915-gem-Flush-contexts-on-driver-release.patch
  Alt-commit
- commit bad2826
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1682-drm-amd-display-Prevent-OTG-shutdown-during-PSR-SU.patch
  Alt-commit
- commit 61274b8
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-bridge-lt8912b-fix-corrupted-image-output.patch
  Alt-commit
- commit 2316a72
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-bridge-lt8912b-set-hdmi-or-dvi-mode.patch
  Alt-commit
- commit 2133bcf
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh patches.suse/drm-bridge-lt8912b-add-vsync-hsync.patch
  Alt-commit
- commit 266d546
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1633-drm-amdgpu-Update-PTE-flags-with-TF-enabled.patch
  Alt-commit
- commit bfe6803
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1569-drm-msm-gpu-Drop-qos-request-if-devm_devfreq_add_dev.patch
  Alt-commit
- commit 2b26c3f
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dsi-Fix-number-of-regulators-for-SDM660.patch
  Alt-commit
- commit c0a62d6
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dsi-Fix-number-of-regulators-for-msm8996_dsi.patch
  Alt-commit
- commit c15f7ca
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dp-delete-DP_RECOVERED_CLOCK_OUT_EN-to-fix-t.patch
  Alt-commit
- commit adff5a6
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1565-drm-msm-dpu-populate-wb-or-intf-before-reset_intf_cf.patch
  Alt-commit
- commit a4febda
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1563-drm-msm-dp-make-eDP-panel-as-the-first-connected-con.patch
  Alt-commit
- commit b1262cc
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-make-sure-to-init-common-IP-before-gmc.patch
  Alt-commit
- commit e0e0502
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-move-nbio-sdma_doorbell_range-into-sdma-c.patch
  Alt-commit
- commit 4ba9490
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-move-nbio-ih_doorbell_range-into-ih-code-.patch
  Alt-commit
- commit 2bd6442
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1584-drm-i915-bios-Copy-the-whole-MIPI-sequence-block.patch
  Alt-commit
- commit 4d2310f
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1628-drm-i915-gt-Fix-perf-limit-reasons-bit-positions.patch
  Alt-commit
- commit 325abcb
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1627-drm-i915-guc-Cancel-GuC-engine-busyness-worker-synch.patch
  Alt-commit
- commit a462127
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-fix-null-pointer-dereference.patch
  Alt-commit
- commit 5efcdd4
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-display-avoid-warnings-when-registering-dua.patch
  Alt-commit
- commit 2ff075b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1587-drm-i915-consider-HAS_FLAT_CCS-in-needs_ccs_pages.patch
  Alt-commit
- commit bc64d4b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1516-drm-amdkfd-Fix-isa-version-for-the-GC-10.3.7.patch
  Alt-commit
- commit 9e8e91b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1515-drm-amdgpu-Fix-page-table-setup-on-Arcturus.patch
  Alt-commit
- commit 6e2e4f3
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1507-drm-amd-display-Include-missing-header.patch
  Alt-commit
- commit c0948f4
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1403-drm-bridge-lvds-codec-Fix-error-checking-of-drm_of_l.patch
  Alt-commit
- commit e805a85
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-simpledrm-Fix-return-type-of-simpledrm_simple_di.patch
  Alt-commit
- commit 82f1a27
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh patches.suse/1535-drm-i915-ttm-fix-CCS-handling.patch
  Alt-commit
- commit 8392350
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1397-drm-i915-gem-Remove-shared-locking-on-freeing-object.patch
  Alt-commit
- commit 3ed5c5e
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-gt-Skip-TLB-invalidations-once-wedged.patch
  Alt-commit
- commit 5842078
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1392-drm-i915-ttm-don-t-leak-the-ccs-state.patch
  Alt-commit
- commit 3e66148
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1391-drm-i915-disable-pci-resize-on-32-bit-machine.patch
  Alt-commit
- commit 5d36207
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1868-drm-i915-guc-support-v69-in-parallel-to-v70.patch
  Alt-commit
- commit 838e794
* Tue Jan  3 2023 tiwai@suse.de
- xfrm: Fix oops in __xfrm_state_delete() (bsc#1206794).
- commit b8910c1
* Tue Jan  3 2023 firo.yang@suse.com
- sctp: sysctl: make extra pointers netns aware (bsc#1204760).
- commit 7c1cca0
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-display-avoid-warnings-when-registering-dua.patch
  Alt-commit
- commit 31535e6
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh patches.suse/1535-drm-i915-ttm-fix-CCS-handling.patch
  Alt-commit
- commit 2a16909
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-nouveau-fix-another-off-by-one-in-nvbios_addr.patch
  Alt-commit
- commit 72f6b36
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1858-drm-i915-gem-Look-for-waitboosting-across-the-whole-.patch
  Alt-commit
- commit a50fb2a
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-gt-Serialize-TLB-invalidates-with-GT-resets.patch
  Alt-commit
- commit 7ee316f
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-selftests-fix-a-couple-IS_ERR-vs-NULL-tests.patch
  Alt-commit
- commit 658f400
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1841-drm-i915-Fix-vm-use-after-free-in-vma-destruction.patch
  Alt-commit
- commit cffb6c4
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1840-drm-i915-guc-ADL-N-should-use-the-same-GuC-FW-as-ADL.patch
  Alt-commit
- commit aafbee9
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1864-drm-amd-display-correct-check-of-coverage-blend-mode.patch
  Alt-commit
- commit af86cdf
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Only-use-depth-36-bpp-linebuffers-on.patch
  Alt-commit
- commit d8a2831
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1869-drm-amd-display-Fix-new-dmub-notification-enabling-i.patch
  Alt-commit
- commit 17c1c16
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1838-drm-amdgpu-display-disable-prefer_shadow-for-generic.patch
  Alt-commit
- commit 74390db
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1837-drm-amdgpu-keep-fbdev-buffers-pinned-during-suspend.patch
  Alt-commit
- commit 2af931a
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1844-drm-bridge-fsl-ldb-Enable-split-mode-for-LVDS-dual-l.patch
  Alt-commit
- commit 14d962d
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1843-drm-bridge-fsl-ldb-Fix-mode-clock-rate-validation.patch
  Alt-commit
- commit cd8513c
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-fix-a-possible-refcount-leak-in-intel_dp_ad.patch
  Alt-commit
- commit 1c9e775
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1818-drm-i915-dgfx-Disable-d3cold-at-gfx-root-port.patch
  Alt-commit
- commit 8ed8c56
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-amdgpu-display-set-vblank_disable_immedia.patch
  Alt-commit
- commit d43753c
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-fourcc-fix-integer-type-usage-in-uapi-header.patch
  Alt-commit
- commit 973024a
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1820-drm-amdgpu-fix-adev-variable-used-in-amdgpu_device_g.patch
  Alt-commit
- commit b5d6078
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1876-drm-i915-reset-Add-additional-steps-for-Wa_220118020.patch
  Alt-commit
- commit 95b9e7a
* Tue Jan  3 2023 tiwai@suse.de
- Revert i915 patch workaround for SLE15-SP4
  Fix compile warning
- commit cd23aa4
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-sdma_v4_0-turn-off-SDMA-ring-buffer-in-th.patch
  Alt-commit
- commit 41b83ab
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-reg-Fix-spelling-mistake-Unsupport-Unsuppor.patch
  Alt-commit
- commit d746af5
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-fix-sdma-doorbell-init-ordering-on-APUs.patch
  Alt-commit
- commit 0f2757b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdkfd-Fix-memory-leak-in-kfd_mem_dmamap_userptr.patch
  Alt-commit
- commit a635317
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-ttm-never-purge-busy-objects.patch
  Alt-commit
- commit be2dd4d
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-Make-.remove-and-.shutdown-HW-shutdown-consi.patch
  Alt-commit
- commit a0ff67b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dsi-fix-the-inconsistent-indenting.patch
  Alt-commit
- commit c6fc5ca
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-fix-a-possible-refcount-leak-in-intel_dp_ad.patch
  Alt-commit
- commit d4ca67b
* Tue Jan  3 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-move-iommu_resume-before-ip-init-resume.patch
  Alt-commit
- commit d5590c6
* Mon Jan  2 2023 mkoutny@suse.com
- Rename patch filenames for SLE15-SP4
  Invocation of scripts/renamepatches for smoother upcoming merge of
  SLE15-SP4.
- commit 0fd17a7
* Mon Jan  2 2023 krisman@suse.de
- io_uring: do not recycle buffer in READV (bsc#1205205).
- io_uring: fix free of unallocated buffer list (bsc#1205205).
- io_uring: check that we have a file table when allocating
  update slots (bsc#1205205).
- io_uring: explicit sqe padding for ioctl commands (bsc#1205205).
- io_uring: fix provided buffer import (bsc#1205205).
- io_uring: keep sendrecv flags in ioprio (bsc#1205205).
- io_uring: move io_uring_get_opcode out of TP_printk
  (bsc#1205205).
- io_uring: fix double poll leak on repolling (bsc#1205205).
- io_uring: fix wrong arm_poll error handling (bsc#1205205).
- io_uring: fail links when poll fails (bsc#1205205).
- io_uring: fix req->apoll_events (bsc#1205205).
- io_uring: fix merge error in checking send/recv addr2 flags
  (bsc#1205205).
- io_uring: mark reissue requests with REQ_F_PARTIAL_IO
  (bsc#1205205).
- io_uring: recycle provided buffer if we punt to io-wq
  (bsc#1205205).
- io_uring: do not use prio task_work_add in uring_cmd
  (bsc#1205205).
- io_uring: commit non-pollable provided mapped buffers upfront
  (bsc#1205205).
- io_uring: make io_fill_cqe_aux honour CQE32 (bsc#1205205).
- io_uring: remove __io_fill_cqe() helper (bsc#1205205).
- io_uring: fix ->extra{1,2} misuse (bsc#1205205).
- io_uring: fill extra big cqe fields from req (bsc#1205205).
- io_uring: unite fill_cqe and the 32B version (bsc#1205205).
- io_uring: get rid of __io_fill_cqe{32}_req() (bsc#1205205).
- io_uring: remove IORING_CLOSE_FD_AND_FILE_SLOT (bsc#1205205).
- commit 0ad2477
* Mon Jan  2 2023 krisman@suse.de
- io_uring: use original request task for inflight tracking
  (bsc#1205205 CVE-2022-40476 bsc#1203435).
- Revert "io_uring: add buffer selection support to IORING_OP_NOP"
  (bsc#1205205).
- Revert "io_uring: support CQE32 for nop operation"
  (bsc#1205205).
- io_uring: fix double unlock for pbuf select (bsc#1205205).
- io_uring: kbuf: fix bug of not consuming ring buffer in partial
  io case (bsc#1205205).
- io_uring: openclose: fix bug of closing wrong fixed file
  (bsc#1205205).
- io_uring: fix not locked access to fixed buf table
  (bsc#1205205).
- io_uring: fix races with buffer table unregister (bsc#1205205).
- io_uring: fix races with file table unregister (bsc#1205205).
- io_uring: limit size of provided buffer ring (bsc#1205205).
- io_uring: fix types in provided buffer ring (bsc#1205205).
- io_uring: fix index calculation (bsc#1205205).
- io_uring: reinstate the inflight tracking (bsc#1205205).
- io_uring: fix deadlock on iowq file slot alloc (bsc#1205205).
- io_uring: let IORING_OP_FILES_UPDATE support choosing fixed
  file slots (bsc#1205205).
- io_uring: defer alloc_hint update to io_file_bitmap_set()
  (bsc#1205205).
- io_uring: ensure fput() called correspondingly when direct
  install fails (bsc#1205205).
- commit 02c2bf9
* Mon Jan  2 2023 krisman@suse.de
- io_uring: fix a memory leak of buffer group list on exit
  (bsc#1205205).
- io_uring: move shutdown under the general net section
  (bsc#1205205).
- io_uring: unify calling convention for async prep handling
  (bsc#1205205).
- io_uring: add io_op_defs 'def' pointer in req init and issue
  (bsc#1205205).
- io_uring: make prep and issue side of req handlers named
  consistently (bsc#1205205).
- io_uring: make timeout prep handlers consistent with other
  prep handlers (bsc#1205205).
- io_uring: cleanup handling of the two task_work lists
  (bsc#1205205).
- io_uring: fix incorrect __kernel_rwf_t cast (bsc#1205205).
- io_uring: disallow mixed provided buffer group registrations
  (bsc#1205205).
- io_uring: initialize io_buffer_list head when shared ring is
  unregistered (bsc#1205205).
- io_uring: add fully sparse buffer registration (bsc#1205205).
- io_uring: use rcu_dereference in io_close (bsc#1205205).
- io_uring: consistently use the EPOLL* defines (bsc#1205205).
- io_uring: make apoll_events a __poll_t (bsc#1205205).
- io_uring: drop a spurious inline on a forward declaration
  (bsc#1205205).
- commit a4bca23
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1755-drm-amdgpu-Fix-GTT-size-reporting-in-amdgpu_ioctl.patch
  Alt-commit
- commit 9674d82
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1740-drm-amdgpu-always-flush-the-TLB-on-gfx8.patch
  Alt-commit
- commit e9c3efa
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1736-Revert-drm-amd-display-Pass-the-new-context-into-dis.patch
  Alt-commit
- commit 3f7dde3
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1735-Revert-drm-amdgpu-Ensure-the-DMA-engine-is-deactivat.patch
  Alt-commit
- commit 05f9059
* Mon Jan  2 2023 krisman@suse.de
- io_uring: don't use ERR_PTR for user pointers (bsc#1205205).
- io_uring: use a rwf_t for io_rw.flags (bsc#1205205).
- io_uring: add support for ring mapped supplied buffers
  (bsc#1205205).
- commit 11326c4
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Fix PLL setup for G200_SE_A rev >=4 (jsc#PED-1185)
- commit 164cfbb
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Do not call drm_atomic_add_affected_planes() (jsc#PED-1185)
- commit 6f1c96f
* Mon Jan  2 2023 krisman@suse.de
- io_uring: add io_pin_pages() helper (bsc#1205205).
- io_uring: add buffer selection support to IORING_OP_NOP
  (bsc#1205205).
- refresh patches.suse/io_uring-support-CQE32-for-nop-operation.patch
- io_uring: fix locking state for empty buffer group
  (bsc#1205205).
- commit 6a78805
* Mon Jan  2 2023 krisman@suse.de
- io_uring: implement multishot mode for accept (bsc#1205205).
- io_uring: let fast poll support multishot (bsc#1205205).
- io_uring: add REQ_F_APOLL_MULTISHOT for requests (bsc#1205205).
- io_uring: add IORING_ACCEPT_MULTISHOT for accept (bsc#1205205).
- commit c5002b9
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1819-drm-i915-tweak-the-ordering-in-cpu_write_needs_clflu.patch
  Alt-commit
- commit 785ee00
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-gem-add-missing-else.patch
  Alt-commit
- commit 2dc8a99
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1787-drm-i915-fdinfo-Don-t-show-engine-classes-not-presen.patch
  Alt-commit
- commit dbb0091
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1754-drm-i915-uc-remove-accidental-static-from-a-local-va.patch
  Alt-commit
- commit 3193654
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1753-drm-i915-Individualize-fences-before-adding-to-dma_r.patch
  Alt-commit
- commit 8632a17
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1752-drm-i915-gt-Fix-memory-leaks-in-per-gt-sysfs.patch
  Alt-commit
- commit 4833a0a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-reset-Fix-error_state_read-ptr-offset-use.patch
  Alt-commit
- commit 6b05eea
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1621-drm-i915-gt-Fix-use-of-static-in-macro-mismatch.patch
  Alt-commit
- commit f453ddb
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1645-drm-i915-Use-i915_gem_object_ggtt_pin_ww-for-reloc_i.patch
  Alt-commit
- commit 215d5c0
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-CFI-violation-with-show_dynamic_id.patch
  Alt-commit
- commit 1453b58
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1617-drm-i915-gt-Fix-build-error-without-CONFIG_PM.patch
  Alt-commit
- commit e2407e1
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1620-drm-i915-audio-fix-audio-code-enable-disable-pipe-lo.patch
  Alt-commit
- commit 6d331cb
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1618-drm-i915-Fix-mixing-different-enum-types-warnings-in.patch
  Alt-commit
- commit b118fae
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1747-drm-ast-Support-multiple-outputs.patch
  Alt-commit
- commit a01527b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-bridge-ti-sn65dsi83-Handle-dsi_lanes-0-as-invali.patch
  Alt-commit
- commit 6b528f0
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1872-drm-scheduler-Don-t-kill-jobs-in-interrupt-context.patch
  Alt-commit
- commit 2910374
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1841-drm-i915-Fix-vm-use-after-free-in-vma-destruction.patch
  Alt-commit
- commit e1bfce4
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1840-drm-i915-guc-ADL-N-should-use-the-same-GuC-FW-as-ADL.patch
  Alt-commit
- commit ad8da9c
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1625-drm-amdgpu-ctx-only-reset-stable-pstate-if-the-user-.patch
  Alt-commit
- commit cca25cb
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-amd-pm-keep-the-BACO-feature-enabled-for-.patch
  Alt-commit
- commit b4a0b18
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1609-drm-i915-fbc-Consult-hw.crtc-instead-of-uapi.crtc.patch
  Alt-commit
- commit b717a0c
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1606-drm-i915-Fix-DISP_POS_Y-and-DISP_HEIGHT-defines.patch
  Alt-commit
- commit 79c867e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-display-psr-Unset-enable_psr2_sel_fetch-if-.patch
  Alt-commit
- commit b40c96c
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-do-not-use-passthrough-mode-in-Xen-dom0.patch
  Alt-commit
- commit 6ea315a
* Mon Jan  2 2023 krisman@suse.de
- io_uring: only wake when the correct events are set
  (bsc#1205205).
- io_uring: avoid io-wq -EAGAIN looping for !IOPOLL (bsc#1205205).
- io_uring: add flag for allocating a fully sparse direct
  descriptor space (bsc#1205205).
- commit 21e3a0f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1614-drm-amd-pm-fix-the-deadlock-issue-observed-on-SI.patch
  Alt-commit
- commit dca8e38
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1469-drm-i915-Fix-renamed-struct-field.patch
  Alt-commit
- commit ca69d2a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-gem-add-missing-boundary-check-in-vm_access.patch
  Alt-commit
- commit 538a03b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1392-drm-i915-gtt-reduce-overzealous-alignment-constraint.patch
  Alt-commit
- commit 0b42b8c
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1612-drm-amdgpu-don-t-runtime-suspend-if-there-are-displa.patch
  Alt-commit
- commit 4b27505
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-Ensure-HDA-function-is-suspended-before-A.patch
  Alt-commit
- commit 8af249f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1569-drm-amdgpu-fix-VCN-3.1.2-firmware-name.patch
  Alt-commit
- commit abf52e5
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-display-change-pipe-policy-for-DCN-2.1.patch
  Alt-commit
- commit 2119936
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1529-drm-amd-display-Remove-redundant-dsc-power-gating-fr.patch
  Alt-commit
- commit c0559f8
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0835-drm-i915-display-vrr-Reset-VRR-capable-property-on-a.patch
  Alt-commit
- commit 0eb26d8
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-PSF-GV-point-mask-when-SAGV-is-not-poss.patch
  Alt-commit
- commit 90b6c9d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1395-drm-i915-display-Do-not-re-enable-PSR-after-it-was-m.patch
  Alt-commit
- commit ced54b3
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-display-Fix-HPD-short-pulse-handling-for-eD.patch
  Alt-commit
- commit 907849f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1390-drm-i915-Fix-the-async-flip-wm0-ddb-optimization.patch
  Alt-commit
- commit 0b06aab
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1389-drm-i915-Check-async-flip-capability-early-on.patch
  Alt-commit
- commit 7fe968e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1388-drm-i915-Don-t-skip-ddb-allocation-if-data_rate-0.patch
  Alt-commit
- commit c841b3b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1326-drm-i915-psr-Set-SF-Partial-Frame-Enable-also-on-ful.patch
  Alt-commit
- commit 84b01d8
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1387-drm-i915-Avoid-negative-shift-due-to-bigjoiner_pipes.patch
  Alt-commit
- commit 5b4f424
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-s-JSP2-ICP2-PCH.patch
  Alt-commit
- commit de700d9
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh patches.suse/drm-vmwgfx-Fix-fencing-on-SVGAv3.patch
  Alt-commit
- commit 365c41d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-fix-suspend-resume-hang-regression.patch
  Alt-commit
- commit daa61d3
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1322-drm-exynos-Search-for-TE-gpio-in-DSI-panel-s-node.patch
  Alt-commit
- commit 9a9626a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1321-drm-exynos-Don-t-fail-if-no-TE-gpio-is-defined-for-D.patch
  Alt-commit
- commit 4142230
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-guc-slpc-Correct-the-param-count-for-unset-.patch
  Alt-commit
- commit 7d6e99e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1308-Revert-drm-amdgpu-add-modifiers-in-amdgpu_vkms_plane.patch
  Alt-commit
- commit 0fb1c9d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-do-not-enable-asic-reset-for-raven2.patch
  Alt-commit
- commit e5c3c80
* Mon Jan  2 2023 krisman@suse.de
- io_uring: bump max direct descriptor count to 1M (bsc#1205205).
- commit e0dcc53
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1327-drm-panel-Select-DRM_DP_HELPER-for-DRM_PANEL_EDP.patch
  Alt-commit
- commit 5d45a01
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-ttm-tweak-priority-hint-selection.patch
  Alt-commit
- commit 59a386a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1272-drm-i915-ttm-Return-some-errors-instead-of-trying-me.patch
  Alt-commit
- commit 66bfd62
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1269-drm-i915-pmu-Fix-KMD-and-GuC-race-on-accessing-busyn.patch
  Alt-commit
- commit 53c8b74
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1267-drm-i915-pmu-Use-PM-timestamp-instead-of-RING-TIMEST.patch
  Alt-commit
- commit 32a7068
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1265-drm-i915-Lock-timeline-mutex-directly-in-error-path-.patch
  Alt-commit
- commit 6191247
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1264-drm-i915-Allocate-intel_engine_coredump_alloc-with-A.patch
  Alt-commit
- commit 04cbfe7
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-ttm-ensure-we-unmap-when-purging.patch
  Alt-commit
- commit 2add25a
* Mon Jan  2 2023 krisman@suse.de
- io_uring: allow allocated fixed files for accept (bsc#1205205).
- commit 057b503
* Mon Jan  2 2023 mhocko@suse.com
- EDAC/mc_sysfs: Increase legacy channel support to 12
  (bsc#1205263).
- commit 4cb5420
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-ttm-add-unmap_virtual-callback.patch
  Alt-commit
- commit 3946211
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-don-t-call-free_mmap_offset-when-purging.patch
  Alt-commit
- commit 298209e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1139-drm-i915-pxp-Hold-RPM-wakelock-during-PXP-unbind.patch
  Alt-commit
- commit 9551497
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1384-drm-i915-Increment-composite-fence-seqno.patch
  Alt-commit
- commit b34c76f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1383-drm-i915-Fix-possible-uninitialized-variable-in-para.patch
  Alt-commit
- commit ad51784
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-bw-atomic-check-when-switching-between-.patch
  Alt-commit
- commit af7c9c7
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Correctly-populate-use_sagv_wm-for-all-pipe.patch
  Alt-commit
- commit 68d6bc2
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1312-drm-i915-Disconnect-PHYs-left-connected-by-BIOS-on-d.patch
  Alt-commit
- commit 8e17f0c
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-dg2-Print-PHY-name-properly-on-calibration-.patch
  Alt-commit
- commit 4dbb18a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-Widen-the-QGV-point-mask.patch
  Alt-commit
- commit dd95055
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1296-drm-i915-fbc-Fix-the-plane-end-Y-offset-check.patch
  Alt-commit
- commit 4e0c6d6
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-opregion-check-port-number-bounds-for-SWSCI.patch
  Alt-commit
- commit 74b7000
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-mbus-join-config-lookup.patch
  Alt-commit
- commit ea4899d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-dbuf-slice-config-lookup.patch
  Alt-commit
- commit fc4e533
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch
  Alt-commit
- commit 3e241f1
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-For-vblank_disable_immediate-check-P.patch
  Alt-commit
- commit 9c326df
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-correct-the-sequence-of-sending-gpu-reset.patch
  Alt-commit
- commit 070f8ac
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-fix-hwmon-node-of-power1_label-create-iss.patch
  Alt-commit
- commit 72a7fdb
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1283-drm-amdgpu-display-change-pipe-policy-for-DCN-2.0.patch
  Alt-commit
- commit 7ad305b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-dc-calcs-dce_calcs-Fix-a-memleak-in-.patch
  Alt-commit
- commit 8014041
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-amdgpu-fixing-read-wrong-pf2vf-data-in-SRIOV.patch
  Alt-commit
- commit 78ef15d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1188-drm-amd-display-Revert-W-A-for-hard-hangs-on-DCN20-D.patch
  Alt-commit
- commit 39f9900
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1186-drm-amdgpu-Fix-rejecting-Tahiti-GPUs.patch
  Alt-commit
- commit 3ad8afd
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-don-t-do-resets-on-APUs-which-don-t-suppo.patch
  Alt-commit
- commit 4e4ca5b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1273-drm-i915-Fix-header-test-for-CONFIG_X86.patch
  Alt-commit
- commit eeea914
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1270-drm-i915-Fix-oops-due-to-missing-stack-depot.patch
  Alt-commit
- commit 2d2a3c8
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-adlp-Fix-TypeC-PHY-ready-status-readout.patch
  Alt-commit
- commit 54494d7
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-overlay-Prevent-divide-by-zero-bugs-in-scal.patch
  Alt-commit
- commit b47031d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1139-drm-i915-pxp-Hold-RPM-wakelock-during-PXP-unbind.patch
  Alt-commit
- commit d4035df
* Mon Jan  2 2023 krisman@suse.de
- io_uring: allow allocated fixed files for openat/openat2
  (bsc#1205205).
  - Refresh patches.suse/fs-io_uring-add-infrastructure-for-uring-cmd.patch
  - Refresh patches.suse/io_uring-add-support-for-128-byte-SQEs.patch
- io_uring: add basic fixed file allocator (bsc#1205205).
- io_uring: track fixed files with a bitmap (bsc#1205205).
- commit 46e40d3
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1075-drm-i915-fbc-Remember-to-update-FBC-state-even-when-.patch
  Alt-commit
- commit 64a9a12
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1146-drm-mipi-dbi-Fix-source-buffer-address-in-mipi_dbi_b.patch
  Alt-commit
- commit 5a5b73d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1145-drm-fix-error-found-in-some-cases-after-the-patch-d1.patch
  Alt-commit
- commit 644485a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0997-drm-vmwgfx-Fix-possible-usage-of-an-uninitialized-va.patch
  Alt-commit
- commit 3af11ce
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0002-drm-vmwgfx-Remove-unused-compile-options.patch
  Alt-commit
- commit fed7575
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-vmwgfx-Remove-explicit-transparent-hugepages-sup.patch
  Alt-commit
- commit 940b192
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0994-drm-vmwgfx-Fix-a-size_t-long-int-format-specifier-mi.patch
  Alt-commit
- commit 24808e7
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-keep-the-BACO-feature-enabled-for-suspend.patch
  Alt-commit
- commit 06acb55
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1393-drm-amdgpu-no-DC-support-for-headless-chips.patch
  Alt-commit
- commit 49e234b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Set-optimize_pwr_state-for-DCN31.patch
  Alt-commit
- commit 22f50d2
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Send-s0i2_rdy-in-stream_count-0-opti.patch
  Alt-commit
- commit 3518e87
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1398-drm-amd-display-Fix-USB4-null-pointer-dereference-in.patch
  Alt-commit
- commit 6a8a622
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1382-drm-i915-guc-Only-assign-guc_id.id-when-stealing-guc.patch
  Alt-commit
- commit 5a04745
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1381-drm-i915-guc-Use-correct-context-lock-when-callig-cl.patch
  Alt-commit
- commit 59f8d3a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-fix-a-potential-gpu_metrics_table-memory-.patch
  Alt-commit
- commit 1555484
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Set-exit_optimized_pwr_state-for-DCN.patch
  Alt-commit
- commit 841eef9
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-display-Fix-an-unsigned-subtraction-which-c.patch
  Alt-commit
- commit 89adcaa
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-dp-Perform-30ms-delay-after-source-OUI-writ.patch
  Alt-commit
- commit 617997f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-vc4-kms-Wait-for-the-commit-before-increasing-ou.patch
  Alt-commit
- commit d5bf0ff
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1365-drm-i915-Fix-error-pointer-dereference-in-i915_gem_d.patch
  Alt-commit
- commit 8ad6c12
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-i915-Implement-Wa_1508744258.patch
  Alt-commit
- commit 067c3fc
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1317-drm-i915-gt-Hold-RPM-wakelock-during-PXP-suspend.patch
  Alt-commit
- commit 8362ef5
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1284-drm-i915-guc-fix-NULL-vs-IS_ERR-checking.patch
  Alt-commit
- commit 664a6e7
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0445-drm-i915-Revert-guc_id-from-i915_request-tracepoint.patch
  Alt-commit
- commit 38d7da8
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1230-drm-i915-guc-Fix-recursive-lock-in-GuC-submission.patch
  Alt-commit
- commit 1d48ac4
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1311-drm-amdgpu-pm-fix-powerplay-OD-interface.patch
  Alt-commit
- commit 760025f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Set-plane-update-flags-for-all-plane.patch
  Alt-commit
- commit 3236400
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fix-DPIA-outbox-timeout-after-GPU-re.patch
  Alt-commit
- commit 6c484b3
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fix-OLED-brightness-control-on-eDP.patch
  Alt-commit
- commit 914e1e5
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1284-drm-i915-guc-fix-NULL-vs-IS_ERR-checking.patch
  Alt-commit
- commit 97a7fa2
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1283-drm-i915-dsi-xelpd-Fix-the-bit-mask-for-wakeup-GB.patch
  Alt-commit
- commit 6d825ca
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-i915-tgl-dsi-Gate-the-ddi-clocks-after-pl.patch
  Alt-commit
- commit 1e0407d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1237-drm-i915-adlp-fb-Prevent-the-mapping-of-redundant-tr.patch
  Alt-commit
- commit 9336c3d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-fb-Fix-rounding-error-in-subsampled-plane-s.patch
  Alt-commit
- commit 45e916e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-hdmi-Turn-DP-TMDS-output-buffers-back-on-in.patch
  Alt-commit
- commit 03074ad
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1231-drm-i915-dp-fix-integer-overflow-in-128b-132b-data-r.patch
  Alt-commit
- commit 8c78a03
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1229-drm-i915-cdclk-put-the-cdclk-vtables-in-const-data.patch
  Alt-commit
- commit c1a94fe
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1228-Revert-drm-i915-bios-gracefully-disable-dual-eDP-for.patch
  Alt-commit
- commit bc36480
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-dp-Skip-the-HW-readout-of-DPCD-on-disabled-.patch
  Alt-commit
- commit 6b44594
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Add-support-for-panels-with-VESA-backlights.patch
  Alt-commit
- commit 3fe37e4
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1279-drm-scheduler-fix-drm_sched_job_add_implicit_depende.patch
  Alt-commit
- commit 5157667
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1243-drm-locking-fix-__stack_depot_-name-conflict.patch
  Alt-commit
- commit 651e523
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0445-drm-i915-Revert-guc_id-from-i915_request-tracepoint.patch
  Alt-commit
- commit a2a9439
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fix-deadlock-when-falling-back-to-v2.patch
  Alt-commit
- commit 3b72ce5
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Catch-yet-another-unconditioal-clflush.patch
  Alt-commit
- commit e13fa3b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Convert-unconditional-clflush-to-drm_clflus.patch
  Alt-commit
- commit 2d56d86
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0432-drm-i915-fix-blank-screen-booting-crashes.patch
  Alt-commit
- commit 229b7f9
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Remove-memory-frequency-calculation.patch
  Alt-commit
- commit e1eaf83
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0439-drm-i915-Fix-bug-in-user-proto-context-creation-that.patch
  Alt-commit
- commit f9ec525
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-runtime-pm-handling-in-i915_gem_shrink.patch
  Alt-commit
- commit 7997408
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Remove-warning-from-the-rps-worker.patch
  Alt-commit
- commit 14a9cc0
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-request-fix-early-tracepoints.patch
  Alt-commit
- commit 4c46892
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0429-drm-i915-guc-docs-Fix-pdfdocs-build-error-by-removin.patch
  Alt-commit
- commit b22c773
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0426-drm-i915-Move-__i915_gem_free_object-to-ttm_bo_destr.patch
  Alt-commit
- commit a999e57
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0423-drm-i915-selftests-Always-initialize-err-in-igt_dmab.patch
  Alt-commit
- commit 8eeaf56
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0422-drm-i915-selftests-Do-not-use-import_obj-uninitializ.patch
  Alt-commit
- commit dacbd16
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0421-drm-i915-Get-PM-ref-before-accessing-HW-register.patch
  Alt-commit
- commit 154a778
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0420-drm-i915-Release-ctx-syncobj-on-final-put-not-on-ctx.patch
  Alt-commit
- commit 0ab228f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0419-drm-i915-gem-Fix-the-mman-selftest.patch
  Alt-commit
- commit 932c54f
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0412-drm-i915-selftest-Fix-use-of-err-in-igt_reset_-fail-.patch
  Alt-commit
- commit 66255d0
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0411-drm-i915-gt-Potential-error-pointer-dereference-in-p.patch
  Alt-commit
- commit 2474065
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0409-drm-i915-Use-designated-initializers-for-init-exit-t.patch
  Alt-commit
- commit b6c085e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-handle-the-case-of-pci_channel_io_frozen-.patch
  Alt-commit
- commit fe9a5e6
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdkfd-fix-a-potential-ttm-sg-memory-leak.patch
  Alt-commit
- commit 46cd76d
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1364-drm-rcar-du-Don-t-create-encoder-for-unconnected-LVD.patch
  Alt-commit
- commit 3f12462
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdkfd-fix-dma-mapping-leaking-warning.patch
  Alt-commit
- commit 44e142b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1286-drm-amd-display-fix-empty-debug-macros.patch
  Alt-commit
- commit 30b2486
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-amd-display-Fix-white-screen-page-fault-for-gpuv.patch
  Alt-commit
- commit 22968f1
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1261-drm-amd-display-dc_assert_fp_enabled-assert-only-if-.patch
  Alt-commit
- commit 960d859
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/1260-drm-amd-display-Add-NULL-checks-for-vblank-workqueue.patch
  Alt-commit
- commit a8ede03
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0440-drm-i915-Free-the-returned-object-of-acpi_evaluate_d.patch
  Alt-commit
- commit 99ce24b
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Extend-the-async-flip-VT-d-w-a-to-skl-bxt.patch
  Alt-commit
- commit da6e4d0
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-bdb-Fix-version-check.patch
  Alt-commit
- commit 78e0f84
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-tc-Fix-TypeC-port-init-resume-time-sanitiza.patch
  Alt-commit
- commit 77e4ab5
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-audio-Use-BIOS-provided-value-for-RKL-HDA-l.patch
  Alt-commit
- commit 4d494d0
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh patches.suse/0427-drm-i915-Free-all-DMC-payloads.patch
  Alt-commit
- commit c3e794c
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0425-drm-i915-Update-memory-bandwidth-parameters.patch
  Alt-commit
- commit 809a4bb
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-dp-Use-max-params-for-panels-eDP-1.4.patch
  Alt-commit
- commit 2e04f9e
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0410-drm-i915-adl_p-Also-disable-underrun-recovery-with-M.patch
  Alt-commit
- commit a1dd90a
* Mon Jan  2 2023 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-i915-dp-return-proper-DPRX-link-training-result.patch
  Alt-commit
- commit 75dfd6c
* Mon Jan  2 2023 krisman@suse.de
- Update
  patches.suse/io_uring-place-fixed-tables-under-memcg-limits.patch
  (bsc#1205205).
  Originally backported from -stable, it was now missing a hunk.
- commit ae15ad7
* Mon Jan  2 2023 dwagner@suse.de
- nvme: enable uring-passthrough for admin commands
  (jsc#PED-1183).
- nvme: helper for uring-passthrough checks (jsc#PED-1183).
- nvme: add vectored-io support for uring-cmd (jsc#PED-1183).
- commit c7756c4
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Avoid reprogramming primary-plane scanout address (jsc#PED-1465)
- commit 3b77789
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Convert ast to SHMEM (jsc#PED-1465)
  Backporting notes:
  * context changes
- commit d8e59a0
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Style cleanups in plane code (jsc#PED-1465)
  Backporting notes:
  * context changes
- commit 91dcf9c
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Rename struct ast_cursor_plane to struct ast_plane (jsc#PED-1465)
- commit 96eafac
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Remove cursor double buffering (jsc#PED-1465)
- commit 715d675
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Do not call drm_atomic_add_affected_planes() (jsc#PED-1465)
  Backporting notes:
  * context changes
- commit 01f9c91
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Call drm_atomic_helper_check_plane_state() unconditionally (jsc#PED-1465)
  Backporting notes:
  * context changes
- commit 0913a02
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Acquire I/O-register lock in atomic_commit_tail function (jsc#PED-1465)
- commit 669ece8
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Add Atomic gamma lut support for aspeed (jsc#PED-1465)
- commit 9620260
* Mon Jan  2 2023 martin.wilck@suse.com
- blacklist.conf: add scsi-mpt3sas-Fix-return-value-check-of-dma_get_required_mask.patch (bsc#1206098)
- Delete
  patches.suse/scsi-mpt3sas-Fix-return-value-check-of-dma_get_required_mask.patch.
  This patch breaks Xen.
- commit cc3a20c
* Mon Jan  2 2023 msuchanek@suse.de
- powerpc/papr_scm: Implement initial support for injecting smart errors (jsc#PED-990).
- Refresh patches.suse/powerpc-papr_scm-Add-perf-interface-support.patch.
- Refresh patches.suse/powerpc-papr_scm-Fix-leaking-nvdimm_events_map-eleme.patch.
- Refresh patches.suse/powerpc-papr_scm-Fix-nvdimm-event-mappings.patch.
- commit d591dac
* Mon Jan  2 2023 dwagner@suse.de
- nvme: wire-up uring-cmd support for io-passthru on char-device
  (jsc#PED-1183).
  Refresh:
  - patches.suse/blk-mq-remove-the-done-argument-to-blk_execute_rq_nowait.patch
- commit f999169
* Mon Jan  2 2023 msuchanek@suse.de
- powerpc/pseries: Use lparcfg to reconfig VAS windows for DLPAR
  CPU (bsc#1204433 ltc#200179).
- commit f3b0c64
* Mon Jan  2 2023 dwagner@suse.de
- fs: get rid of the res2 iocb->ki_complete argument
  (jsc#PED-1183).
  Refresh:
  - patches.suse/io_uring-add-a-priority-tw-list-for-irq-completion-w.patch
  - patches.suse/io_uring-batch-completion-in-prior_task_list.patch
  - patches.suse/io_uring-cleanup-handling-of-the-two-task_work-lists.patch
  - patches.suse/io_uring-simplify-selected-buf-handling.patch
  - patches.suse/io_uring-speedup-provided-buffer-handling.patch
  - patches.suse/ovl-fix-use-after-free-in-struct-ovl_aio_req.patch
- usb: remove res2 argument from gadget code completions
  (jsc#PED-1183).
- commit ab0c1ee
* Mon Jan  2 2023 msuchanek@suse.de
- powerpc/pseries: unregister VPA when hot unplugging a CPU
  (bsc#1205695 ltc#200603).
- commit bcbd230
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Remove type field from struct mga_device (jsc#PED-1185)
- commit 25d8f90
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Move CRTC atomic_enable to model-specific code (jsc#PED-1185)
- commit 8787069
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Move mode-config to model-specific code (jsc#PED-1185)
- commit 6da06fe
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Provide per-device callbacks for PIXPLLC (jsc#PED-1185)
- commit a5a5fe4
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/siw: Fix pointer cast warning (git-fixes)
- commit 366e50d
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Provide per-device callbacks for BMC synchronization (jsc#PED-1185)
- commit 4f608b9
* Mon Jan  2 2023 nmorey@suse.com
- IB/IPoIB: Fix queue count inconsistency for PKEY child interfaces (git-fixes)
- commit 0dbba4f
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Add per-device callbacks (jsc#PED-1185)
- commit 0a4ecca
* Mon Jan  2 2023 tiwai@suse.de
- ALSA: memalloc: Allocate more contiguous pages for fallback case
  (jsc#PED-850).
- ALSA: doc: Drop snd_dma_continuous_data() usages (jsc#PED-850).
- ALSA: memalloc: Drop special handling of GFP for CONTINUOUS
  allocation (jsc#PED-850).
- ASoC: Intel: sst: Switch to standard device pages (jsc#PED-850).
- ALSA: pdaudiocf: Drop superfluous GFP setup (jsc#PED-850).
- ALSA: vx: Drop superfluous GFP setup (jsc#PED-850).
- commit f684e2b
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Set SCROFF in primary-plane code (jsc#PED-1185)
- commit 1f92090
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Replace simple-KMS with regular atomic helpers (jsc#PED-1185)
  Backporting notes:
  * replace DRM_PLANE_NO_SCALING with DRM_PLANE_HELPER_NO_SCALING
  * context changes
- commit 8b7ac9c
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Reorganize before dropping simple-KMS helpers (jsc#PED-1185)
- commit 73b0724
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Store primary plane's color format in CRTC state (jsc#PED-1185)
- commit afd8a5f
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Acquire I/O-register lock in atomic_commit_tail function (jsc#PED-1185)
- commit df06d53
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Move ER/EW3 register initialization to per-model code (jsc#PED-1185)
- commit e49792e
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Move DAC-register setup into model-specific code (jsc#PED-1185)
- commit d3aee25
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200: Split mgag200_modeset_init() (jsc#PED-1185)
- commit 9a5cda8
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/mgag200:remove rebundant word "or" in comments (jsc#PED-1185)
- commit dec4e3d
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Fix XRC caps on HIP08 (git-fixes)
- commit 59e36ed
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Fix error code of CMD (git-fixes)
- commit 5f70364
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Fix page size cap from firmware (git-fixes)
- commit 6cde7a4
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Fix PBL page MTR find (git-fixes)
- commit 8abc588
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Fix AH attr queried by query_qp (git-fixes)
- commit adf2f5b
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/srp: Fix error return code in srp_parse_options() (git-fixes)
- commit 6f932f1
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hfi1: Fix error return code in parse_platform_config() (git-fixes)
- commit e3f1da5
* Mon Jan  2 2023 tiwai@suse.de
- ACPI: resource: Skip IRQ override on Asus Vivobook S5602ZA
  (git-fixes).
- commit 57208d1
* Mon Jan  2 2023 nmorey@suse.com
- RDMA: Disable IB HW for UML (git-fixes)
- commit 79de999
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/nldev: Fix failure to send large messages (git-fixes)
- commit 8afb6ef
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/nldev: Add checks for nla_nest_start() in fill_stat_counter_qps() (git-fixes)
- commit 7f11c74
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/rxe: Fix NULL-ptr-deref in rxe_qp_do_cleanup() when socket create failed (git-fixes)
- commit 9304b2c
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: fix memory leak in hns_roce_alloc_mr() (git-fixes)
- commit 8bd6757
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/irdma: Initialize net_type before checking it (git-fixes)
- commit c1ce45c
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hfi: Decrease PCI device reference count in error path (git-fixes)
- commit 4b06dc0
* Mon Jan  2 2023 tiwai@suse.de
- ACPI: resource: Add Asus ExpertBook B2502 to Asus quirks
  (git-fixes).
- ACPI: resource: do IRQ override on Lenovo 14ALC7 (git-fixes).
- ACPI: resource: do IRQ override on XMG Core 15 (git-fixes).
- ALSA: hda/hdmi: Static PCM mapping again with AMD HDMI codecs
  (git-fixes).
- ACPI: irq: Fix some kernel-doc issues (git-fixes).
- ACPI: pfr_update: use ACPI_FREE() to free acpi_object
  (git-fixes).
- ACPI: pfr_telemetry: use ACPI_FREE() to free acpi_object
  (git-fixes).
- ACPI: resource: do IRQ override on LENOVO IdeaPad (git-fixes).
- ACPI: resource: Skip IRQ override on Asus Vivobook
  K3402ZA/K3502ZA (git-fixes).
- commit ba86327
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Fix ext_sge num error when post send (git-fixes)
- commit 6e743d4
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/irdma: Do not request 2-level PBLEs for CQ alloc (git-fixes)
- commit 0f16ea1
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/siw: Set defined status for work completion with undefined status (git-fixes)
- commit a9ebe54
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/nldev: Return "-EAGAIN" if the cm_id isn't from expected port (git-fixes)
- commit 26efba0
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/core: Make sure "ib_port" is valid when access sysfs node (git-fixes)
- commit 00cffbb
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/restrack: Release MR restrack when delete (git-fixes)
- commit 20085bc
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/siw: Fix immediate work request flush to completion queue (git-fixes)
- commit 4193611
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/irdma: Report the correct link speed (git-fixes)
- commit 83b7019
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/core: Fix order of nldev_exit call (git-fixes)
- commit 76dc905
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/efa: Add EFA 0xefa2 PCI ID (git-fixes)
- commit 7e28dca
* Mon Jan  2 2023 nmorey@suse.com
- RDMA/hns: Repacing 'dseg_len' by macros in fill_ext_sge_inl_data() (git-fixes)
- commit 9035bce
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: make ast_modeset static (jsc#PED-1465)
- commit 829bca5
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Fix video broken in some resolutions on ast2600 (jsc#PED-1465)
- commit bbb90ea
* Mon Jan  2 2023 tzimmermann@suse.de
- drm/ast: Add resolution support for 1152x864@75 (jsc#PED-1465)
- commit 27087c9
* Sun Jan  1 2023 lduncan@suse.com
- drbd: use blk_queue_max_discard_sectors helper (git-fixes).
- commit fbf939a
* Sun Jan  1 2023 tiwai@suse.de
- ALSA: seq: fix undefined behavior in bit shift for
  SNDRV_SEQ_FILTER_USE_EVENT (git-fixes).
- ALSA: pcm: fix undefined behavior in bit shift for
  SNDRV_PCM_RATE_KNOT (git-fixes).
- commit 1504232
* Sun Jan  1 2023 tiwai@suse.de
- rtc: cmos: Fix wake alarm breakage (git-fixes).
- commit de5fcc7
* Sun Jan  1 2023 tiwai@suse.de
- rtc: cmos: Fix event handler registration ordering issue
  (git-fixes).
- Revert "platform/chrome: cros_ec_typec: Cleanup switch handle
  return paths" (git-fixes).
- commit ec01d22
* Sun Jan  1 2023 tiwai@suse.de
- HID: wacom: Ensure bootloader PID is usable in hidraw mode
  (git-fixes).
- HID: mcp2221: don't connect hidraw (git-fixes).
- remoteproc: qcom: q6v5: Fix missing clk_disable_unprepare()
  in q6v5_wcss_qcs404_power_on() (git-fixes).
- remoteproc: qcom_q6v5_pas: Fix missing of_node_put() in
  adsp_alloc_memory_region() (git-fixes).
- remoteproc: qcom_q6v5_pas: detach power domains on remove
  (git-fixes).
- remoteproc: qcom_q6v5_pas: disable wakeup on probe fail or
  remove (git-fixes).
- remoteproc: qcom: q6v5: Fix potential null-ptr-deref in
  q6v5_wcss_init_mmio() (git-fixes).
- remoteproc: sysmon: fix memory leak in qcom_add_sysmon_subdev()
  (git-fixes).
- mfd: pm8008: Fix return value check in pm8008_probe()
  (git-fixes).
- rtc: mxc_v2: Add missing clk_disable_unprepare() (git-fixes).
- rtc: pic32: Move devm_rtc_allocate_device earlier in
  pic32_rtc_probe() (git-fixes).
- rtc: st-lpc: Add missing clk_disable_unprepare in st_rtc_probe()
  (git-fixes).
- rtc: snvs: Allow a time difference on clock register read
  (git-fixes).
- misc: tifm: fix possible memory leak in tifm_7xx1_switch_media()
  (git-fixes).
- misc: ocxl: fix possible name leak in ocxl_file_register_afu()
  (git-fixes).
- vfio: platform: Do not pass return buffer to ACPI _RST method
  (git-fixes).
- gpiolib: cdev: fix NULL-pointer dereferences (git-fixes).
- drm/sti: Fix return type of
  sti_{dvo,hda,hdmi}_connector_mode_valid() (git-fixes).
- drm/fsl-dcu: Fix return type of
  fsl_dcu_drm_connector_mode_valid() (git-fixes).
- wifi: mt76: do not run mt76u_status_worker if the device is
  not running (git-fixes).
- wifi: brcmfmac: Fix potential shift-out-of-bounds in
  brcmf_fw_alloc_request() (git-fixes).
- wifi: ar5523: Fix use-after-free on ar5523_cmd() timed out
  (git-fixes).
- wifi: ath9k: verify the expected usb_endpoints are present
  (git-fixes).
- hamradio: baycom_epp: Fix return type of baycom_send_packet()
  (git-fixes).
- mmc: renesas_sdhi: better reset from HS400 mode (git-fixes).
- mmc: f-sdh30: Add quirks for broken timeout clock capability
  (git-fixes).
- ipmi: fix memleak when unload ipmi driver (git-fixes).
- HID: hid-sensor-custom: set fixed size for custom attributes
  (git-fixes).
- hwmon: (jc42) Fix missing unlock on error in jc42_write()
  (git-fixes).
- hwmon: (jc42) Restore the min/max/critical temperatures on
  resume (git-fixes).
- hwmon: (jc42) Convert register access and caching to
  regmap/regcache (git-fixes).
- regulator: core: fix use_count leakage when handling boot-on
  (git-fixes).
- media: si470x: Fix use-after-free in si470x_int_in_callback()
  (git-fixes).
- media: dvb-usb: fix memory leak in dvb_usb_adapter_init()
  (git-fixes).
- media: dvb-frontends: fix leak of memory fw (git-fixes).
- nilfs2: fix shift-out-of-bounds due to too large exponent of
  block size (git-fixes).
- nilfs2: fix shift-out-of-bounds/overflow in
  nilfs_sb2_bad_offset() (git-fixes).
- soc: ti: knav_qmss_queue: Fix PM disable depth imbalance in
  knav_queue_probe (git-fixes).
- rtc: cmos: fix build on non-ACPI platforms (git-fixes).
- extcon: usbc-tusb320: Factor out extcon into dedicated functions
  (git-fixes).
- tty: serial: altera_uart_{r,t}x_chars() need only uart_port
  (git-fixes).
- tty: serial: clean up stop-tx part in altera_uart_tx_chars()
  (git-fixes).
- rtc: rtc-cmos: Do not check ACPI_FADT_LOW_POWER_S0 (git-fixes).
- mfd: pm8008: Remove driver data structure pm8008_data
  (git-fixes).
- platform/chrome: cros_ec_typec: Cleanup switch handle return
  paths (git-fixes).
- gpiolib: Get rid of redundant 'else' (git-fixes).
- soc: ti: knav_qmss_queue: Use pm_runtime_resume_and_get instead
  of pm_runtime_get_sync (git-fixes).
- usb: typec: Factor out non-PD fwnode properties (git-fixes).
- gpiolib: make struct comments into real kernel docs (git-fixes).
- mt76: stop the radar detector after leaving dfs channel
  (git-fixes).
- extcon: usbc-tusb320: Add support for TUSB320L (git-fixes).
- extcon: usbc-tusb320: Add support for mode setting and reset
  (git-fixes).
- commit cfb92f2
* Sun Jan  1 2023 tiwai@suse.de
- clk: st: Fix memory leak in st_of_quadfs_setup() (git-fixes).
- drm/amd/display: Use the largest vready_offset in pipe group
  (git-fixes).
- drm/mediatek: Fix return type of mtk_hdmi_bridge_mode_valid()
  (git-fixes).
- drm/amd/display: fix array index out of bound error in bios
  parser (git-fixes).
- drm/etnaviv: add missing quirks for GC300 (git-fixes).
- drm/fourcc: Fix vsub/hsub for Q410 and Q401 (git-fixes).
- drm/sti: Use drm_mode_copy() (git-fixes).
- drm/rockchip: Use drm_mode_copy() (git-fixes).
- drm/msm: Use drm_mode_copy() (git-fixes).
- drm/amdgpu: Fix type of second parameter in odn_edit_dpm_table()
  callback (git-fixes).
- drm/amdgpu: Fix type of second parameter in trans_msg() callback
  (git-fixes).
- drm/amd/display: prevent memory leak (git-fixes).
- clocksource/drivers/timer-ti-dm: Fix missing
  clk_disable_unprepare in dmtimer_systimer_init_clock()
  (git-fixes).
- clocksource/drivers/sh_cmt: Access registers according to spec
  (git-fixes).
- crypto: hisilicon/qm - fix missing destroy qp_idr (git-fixes).
- drm/fourcc: Add packed 10bit YUV 4:2:0 format (git-fixes).
- drm/amd/display: Manually adjust strobe for DCN303 (git-fixes).
- commit f4d3289
* Sun Jan  1 2023 tiwai@suse.de
- ata: ahci: Fix PCS quirk application for suspend (git-fixes).
- ALSA: hda/realtek: Add quirk for Lenovo TianYi510Pro-14IOB
  (git-fixes).
- ALSA: usb-audio: add the quirk for KT0206 device (git-fixes).
- ALSA: hda/hdmi: Add HP Device 0x8711 to force connect list
  (git-fixes).
- apparmor: Fix memleak in alloc_ns() (git-fixes).
- apparmor: Use pointer to struct aa_label for lbs_cred
  (git-fixes).
- apparmor: Fix abi check to include v8 abi (git-fixes).
- apparmor: fix lockdep warning when removing a namespace
  (git-fixes).
- apparmor: fix a memleak in multi_transaction_new() (git-fixes).
- brcmfmac: return error when getting invalid max_flowrings from
  dongle (git-fixes).
- ASoC: codecs: rt298: Add quirk for KBL-R RVP platform
  (git-fixes).
- acct: fix potential integer overflow in encode_comp_t()
  (git-fixes).
- ACPICA: Fix error code path in acpi_ds_call_control_method()
  (git-fixes).
- binfmt_misc: fix shift-out-of-bounds in check_special_flags
  (git-fixes).
- can: kvaser_usb: do not increase tx statistics when sending
  error message frames (git-fixes).
- commit 86527dd
* Sat Dec 31 2022 krisman@suse.de
- io_uring_enter(): don't leave f.flags uninitialized
  (bsc#1205205).
- fs,io_uring: add infrastructure for uring-cmd (bsc#1205205).
- commit 65da421
* Sat Dec 31 2022 krisman@suse.de
- io_uring: support CQE32 for nop operation (bsc#1205205).
- io_uring: enable CQE32 (bsc#1205205).
- io_uring: support CQE32 in /proc info (bsc#1205205).
- io_uring: add tracing for additional CQE32 fields (bsc#1205205).
- io_uring: overflow processing for CQE32 (bsc#1205205).
- io_uring: flush completions for CQE32 (bsc#1205205).
- io_uring: modify io_get_cqe for CQE32 (bsc#1205205).
- io_uring: add CQE32 completion processing (bsc#1205205).
- io_uring: add CQE32 setup processing (bsc#1205205).
- io_uring: change ring size calculation for CQE32 (bsc#1205205).
- io_uring: store add. return values for CQE32 (bsc#1205205).
- io_uring: support CQE32 in io_uring_cqe (bsc#1205205).
- io_uring: add support for 128-byte SQEs (bsc#1205205).
- commit 5f65c9c
* Fri Dec 30 2022 krisman@suse.de
- io_uring: don't clear req->kbuf when buffer selection is done
  (bsc#1205205).
- io_uring: eliminate the need to track provided buffer ID
  separately (bsc#1205205).
- io_uring: move provided buffer state closer to submit state
  (bsc#1205205).
- io_uring: move provided and fixed buffers into the same io_kiocb
  area (bsc#1205205).
- io_uring: abstract out provided buffer list selection
  (bsc#1205205).
- io_uring: never call io_buffer_select() for a buffer re-select
  (bsc#1205205).
- io_uring: get rid of hashed provided buffer groups
  (bsc#1205205).
- io_uring: always use req->buf_index for the provided buffer
  group (bsc#1205205).
- io_uring: ignore ->buf_index if REQ_F_BUFFER_SELECT isn't set
  (bsc#1205205).
- io_uring: kill io_rw_buffer_select() wrapper (bsc#1205205).
- io_uring: make io_buffer_select() return the user address
  directly (bsc#1205205).
- io_uring: kill io_recv_buffer_select() wrapper (bsc#1205205).
- io_uring: use 'sr' vs 'req->sr_msg' consistently (bsc#1205205).
- io_uring: add POLL_FIRST support for send/sendmsg and
  recv/recvmsg (bsc#1205205).
- io_uring: check IOPOLL/ioprio support upfront (bsc#1205205).
- commit 66f0777
* Fri Dec 30 2022 krisman@suse.de
- io_uring: replace smp_mb() with smp_mb__after_atomic() in
  io_sq_thread() (bsc#1205205).
- io_uring: serialize ctx->rings->sq_flags with atomic_or/and
  (bsc#1205205).
- commit 46d5cc1
* Fri Dec 30 2022 krisman@suse.de
- io_uring: use the text representation of ops in trace
  (bsc#1205205).
- io_uring: rename op -> opcode (bsc#1205205).
- io_uring: add io_uring_get_opcode (bsc#1205205).
- io_uring: add type to op enum (bsc#1205205).
- commit ac3439a
* Fri Dec 30 2022 krisman@suse.de
- io-uring: Make statx API stable (bsc#1205205).
- commit 9da1e0c
* Fri Dec 30 2022 krisman@suse.de
- namei: Standardize callers of filename_create() (bsc#1205205).
- namei: Standardize callers of filename_lookup() (bsc#1205205).
- rename __filename_parentat() to filename_parentat()
  (bsc#1205205).
- commit 4516718
* Fri Dec 30 2022 krisman@suse.de
- io_uring: cleanup error-handling around io_req_complete
  (bsc#1205205).
- io_uring: fix compile warning for 32-bit builds (bsc#1205205).
- commit 3d747e9
* Fri Dec 30 2022 dwagner@suse.de
- asm-generic: fix __get_unaligned_be48() on 32 bit platforms
  (git-fixes).
- block: move lower_48_bits() to block (git-fixes).
- crypto: fix crc64 testmgr digest byte order (git-fixes).
- commit 4af3c1c
* Fri Dec 30 2022 krisman@suse.de
- putname(): IS_ERR_OR_NULL() is wrong here (bsc#1205205).
- commit faed8af
* Thu Dec 29 2022 krisman@suse.de
- io_uring: return an error when cqe is dropped (bsc#1205205).
- io_uring: use constants for cq_overflow bitfield (bsc#1205205).
- io_uring: rework io_uring_enter to simplify return value
  (bsc#1205205).
- io_uring: trace cqe overflows (bsc#1205205).
- io_uring: add trace support for CQE overflow (bsc#1205205).
- io_uring: allow re-poll if we made progress (bsc#1205205).
- io_uring: support MSG_WAITALL for IORING_OP_SEND(MSG)
  (bsc#1205205).
- io_uring: add support for IORING_ASYNC_CANCEL_ANY (bsc#1205205).
- io_uring: allow IORING_OP_ASYNC_CANCEL with 'fd' key
  (bsc#1205205).
- io_uring: add support for IORING_ASYNC_CANCEL_ALL (bsc#1205205).
- io_uring: pass in struct io_cancel_data consistently
  (bsc#1205205).
- io_uring: remove dead 'poll_only' argument to io_poll_cancel()
  (bsc#1205205).
- io_uring: refactor io_disarm_next() locking (bsc#1205205).
- io_uring: move timeout locking in io_timeout_cancel()
  (bsc#1205205).
- io_uring: store SCM state in io_fixed_file->file_ptr
  (bsc#1205205).
- io_uring: make tracing format consistent (bsc#1205205).
- commit 39d1cb1
* Thu Dec 29 2022 krisman@suse.de
- io_uring: kill ctx arg from io_req_put_rsrc (bsc#1205205).
- io_uring: add a helper for putting rsrc nodes (bsc#1205205).
- io_uring: store rsrc node in req instead of refs (bsc#1205205).
- io_uring: refactor io_assign_file error path (bsc#1205205).
- io_uring: use right helpers for file assign locking
  (bsc#1205205).
- io_uring: add data_race annotations (bsc#1205205).
- io_uring: inline io_req_complete_fail_submit() (bsc#1205205).
- commit 450dddf
* Thu Dec 29 2022 krisman@suse.de
- io_uring: refactor io_submit_sqe() (bsc#1205205).
- io_uring: refactor lazy link fail (bsc#1205205).
- io_uring: introduce IO_REQ_LINK_FLAGS (bsc#1205205).
- commit 7257924
* Thu Dec 29 2022 krisman@suse.de
- io_uring: refactor io_queue_sqe() (bsc#1205205).
- io_uring: rename io_queue_async_work() (bsc#1205205).
- io_uring: inline io_queue_sqe() (bsc#1205205).
- io_uring: helper for prep+queuing linked timeouts (bsc#1205205).
- io_uring: inline io_free_req() (bsc#1205205).
- io_uring: kill io_put_req_deferred() (bsc#1205205).
- io_uring: minor refactoring for some tw handlers (bsc#1205205).
- io_uring: clean poll tw PF_EXITING handling (bsc#1205205).
- commit 76f6f2c
* Thu Dec 29 2022 tiwai@suse.de
- ASoC: SOF: Revert: "core: unregister clients and machine
  drivers in .shutdown" (git-fixes).
- ALSA: hda/hdmi: fix stream-id config keep-alive for rt suspend
  (git-fixes).
- ALSA: hda/hdmi: set default audio parameters for KAE
  silent-stream (git-fixes).
- ALSA: hda/hdmi: fix i915 silent stream programming flow
  (git-fixes).
- ASoC: Intel: avs: Lock substream before snd_pcm_stop()
  (git-fixes).
- ASoC: Intel: avs: Fix potential RX buffer overflow (git-fixes).
- ASoC: Intel: avs: Fix DMA mask assignment (git-fixes).
- fpga: m10bmc-sec: Fix kconfig dependencies (git-fixes).
- ASoC: tegra: Fix MBDRC bypass mode check (git-fixes).
- commit 2e2e222
* Thu Dec 29 2022 tiwai@suse.de
- mfd: qcom_rpm: Use devm_of_platform_populate() to simplify code
  (git-fixes).
- commit 0741514
* Thu Dec 29 2022 tiwai@suse.de
- Revert an ASoC patch that cuased a regression (bsc#1206703)
  Delete:
  patches.suse/ASoC-soc-pcm-Don-t-zero-TDM-masks-in-__soc_pcm_open.patch
- commit f822682
* Thu Dec 29 2022 krisman@suse.de
- io_uring: optimise io_get_cqe() (bsc#1205205).
- io_uring: optimise submission left counting (bsc#1205205).
- io_uring: optimise submission loop invariant (bsc#1205205).
- io_uring: add helper to return req to cache list (bsc#1205205).
- io_uring: helper for empty req cache checks (bsc#1205205).
- io_uring: inline io_flush_cached_reqs (bsc#1205205).
- io_uring: shrink final link flush (bsc#1205205).
- io_uring: memcpy CQE from req (bsc#1205205).
- io_uring: explicitly keep a CQE in io_kiocb (bsc#1205205).
- commit 9665bbf
* Wed Dec 28 2022 krisman@suse.de
- Revert "Delete patches.suse/io_uring-af_unix-defer-registered-files-gc-to-io_uri.patch."
  Commit
  1ef22332e132 ("patches.suse/io_uring-af_unix-defer-registered-files-gc-to-io_uri.patch.")
  was dropped temporarily to facilitate the merge of the SCM accounting
  series.  Re-add it now, with a refresh to fix the merge.
- commit 8b69a3e
* Wed Dec 28 2022 krisman@suse.de
- io_uring: rename io_sqe_file_register (bsc#1205205).
- io_uring: deduplicate SCM accounting (bsc#1205205).
- io_uring: don't pass around fixed index for scm (bsc#1205205).
- io_uring: refactor __io_sqe_files_scm (bsc#1205205).
- io_uring: uniform SCM accounting (bsc#1205205).
- commit c5a2074
* Wed Dec 28 2022 krisman@suse.de
- Delete patches.suse/io_uring-af_unix-defer-registered-files-gc-to-io_uri.patch.
  Temporarily, in order to apply a conflicting series.
- commit 488c1a0
* Wed Dec 28 2022 krisman@suse.de
- io_uring: don't scm-account for non af_unix sockets
  (bsc#1205205).
- commit afdcd7f
* Wed Dec 28 2022 krisman@suse.de
- io_uring: move finish_wait() outside of loop in cqring_wait()
  (bsc#1205205).
- io_uring: refactor io_req_add_compl_list() (bsc#1205205).
- io_uring: silence io_for_each_link() warning (bsc#1205205).
- io_uring: partially uninline io_put_task() (bsc#1205205).
- io_uring: cleanup conditional submit locking (bsc#1205205).
- io_uring: optimise mutex locking for submit+iopoll
  (bsc#1205205).
- io_uring: pre-calculate syscall iopolling decision
  (bsc#1205205).
- io_uring: split off IOPOLL argument verifiction (bsc#1205205).
- io_uring: clean up io_queue_next() (bsc#1205205).
- io_uring: move poll recycling later in compl flushing
  (bsc#1205205).
- io_uring: optimise io_free_batch_list (bsc#1205205).
- io_uring: refactor io_req_find_next (bsc#1205205).
- io_uring: remove extra ifs around io_commit_cqring
  (bsc#1205205).
- io_uring: small optimisation of tctx_task_work (bsc#1205205).
- commit ffac3fd
* Wed Dec 28 2022 krisman@suse.de
- io_uring/msg_ring: check file type before putting (bsc#1205670)
- commit c35fe0a
* Wed Dec 28 2022 krisman@suse.de
- io_uring: don't attempt to IOPOLL for MSG_RING requests
  (bsc#1205205).
- io_uring: assign non-fixed early for async work (bsc#1205205).
- io_uring: check that data field is 0 in ringfd unregister
  (bsc#1205205).
- io_uring: check reserved fields for recv/recvmsg (bsc#1205205).
- io_uring: check reserved fields for send/sendmsg (bsc#1205205).
- io_uring: fix leaks on IOPOLL and CQE_SKIP (bsc#1205205).
- io_uring: free iovec if file assignment fails (bsc#1205205).
- io_uring: abort file assignment prior to assigning creds
  (bsc#1205205).
- io_uring: fix poll error reporting (bsc#1205205).
- io_uring: fix poll file assign deadlock (bsc#1205205).
- io_uring: use right issue_flags for splice/tee (bsc#1205205).
- io_uring: verify pad field is 0 in io_get_ext_arg (bsc#1205205).
- io_uring: verify resv is 0 in ringfd register/unregister
  (bsc#1205205).
- io_uring: verify that resv2 is 0 in io_uring_rsrc_update2
  (bsc#1205205).
- io_uring: move io_uring_rsrc_update2 validation (bsc#1205205).
- io_uring: fix assign file locking issue (bsc#1205205).
- io_uring: stop using io_wq_work as an fd placeholder
  (bsc#1205205).
- io_uring: move apoll->events cache (bsc#1205205).
- io_uring: io_kiocb_update_pos() should not touch file for non
  - 1 offset (bsc#1205205).
- io_uring: flag the fact that linked file assignment is sane
  (bsc#1205205).
- io_uring: use nospec annotation for more indexes (bsc#1205205).
- io_uring: zero tag on rsrc removal (bsc#1205205).
- io_uring: don't touch scm_fp_list after queueing skb
  (bsc#1205205).
- io_uring: nospec index for tags on files update (bsc#1205205).
- io_uring: implement compat handling for IORING_REGISTER_IOWQ_AFF
  (bsc#1205205).
- io_uring: drop the old style inflight file tracking
  (bsc#1205205).
- The CVE
  patch ("io_uring-use-original-request-task-for-inflight-trac.patch")
  was preemptively added, but it is not needed and actually doesn't make
  sense after ("io_uring: drop the old style inflight file tracking").
  Drop it for now, and let it be re-added later.
- commit 225e700
* Wed Dec 28 2022 tiwai@suse.de
- Refresh patches.suse/drm-i915-ttm-never-purge-busy-objects.patch
  Fix the compilation warning/error for SLE15-SP4 code;
  should be reverted for SLE15-SP5
- commit 01b9ce4
* Wed Dec 28 2022 tiwai@suse.de
- wifi: ath11k: fix peer addition/deletion error on sta band
  migration (bsc#1206451).
- wifi: ath11k: fix failed to find the peer with peer_id 0 when
  disconnected (bsc#1206451).
- wifi: ath11k: Include STA_KEEPALIVE_ARP_RESPONSE TLV header
  by default (bsc#1206451).
- wifi: ath11k: mhi: fix potential memory leak in
  ath11k_mhi_register() (bsc#1206451).
- wifi: ath11k: Fix incorrect QMI message ID mappings
  (bsc#1206451).
- wifi: ath11k: Register shutdown handler for WCN6750
  (bsc#1206451).
- wifi: ath10k: Set tx credit to one for WCN3990 snoc based
  devices (bsc#1206451).
- wifi: ath11k: Fix register write failure on QCN9074
  (bsc#1206451).
- ath11k: Avoid REO CMD failed prints during firmware recovery
  (bsc#1206451).
- ath11k: fix missing skb drop on htc_tx_completion error
  (bsc#1206451).
- ath11k: fix IRQ affinity warning on shutdown (bsc#1206451).
- ath11k: Init hw_params before setting up AHB resources
  (bsc#1206451).
- ath11k: Fix warning on variable 'sar' dereference before check
  (bsc#1206451).
- commit 1f8a3d3
* Wed Dec 28 2022 tiwai@suse.de
- wifi: mac80211: add gfp_t parameter to
  ieeee80211_obss_color_collision_notify (bsc#1206451).
- ath6kl: Use cc-disable-warning to disable -Wdangling-pointer
  (bsc#1206451).
- wifi: carl9170: silence a GCC 12 -Warray-bounds warning
  (bsc#1206451).
- wifi: ath6k: silence false positive -Wno-dangling-pointer
  warning on GCC 12 (bsc#1206451).
- wifi: ath9k: silence array-bounds warning on GCC 12
  (bsc#1206451).
- ath11k: remove redundant assignment to variables vht_mcs and
  he_mcs (bsc#1206451).
- ath11k: Reuse the available memory after firmware reload
  (bsc#1206451).
- wil6210: remove 'freq' debugfs (bsc#1206451).
- ath11k: Designating channel frequency when sending management
  frames (bsc#1206451).
- ath11k: Implement remain-on-channel support (bsc#1206451).
- ath11k: Handle keepalive during WoWLAN suspend and resume
  (bsc#1206451).
- ath11k: reset 11d state in process of recovery (bsc#1206451).
- ath11k: Fix RX de-fragmentation issue on WCN6750 (bsc#1206451).
- commit d0c0646
* Wed Dec 28 2022 tiwai@suse.de
- ath10k: support bus and device specific API 1 BDF selection
  (bsc#1206451).
- ath11k: Add support for targets without trustzone (bsc#1206451).
- wil6210: switch to netif_napi_add_tx() (bsc#1206451).
- wil6210: use NAPI_POLL_WEIGHT for napi budget (bsc#1206451).
- ath10k: remove a copy of the NAPI_POLL_WEIGHT define
  (bsc#1206451).
- ath11k: Add support for WCN6750 device (bsc#1206451).
- ath11k: Datapath changes to support WCN6750 (bsc#1206451).
- ath11k: HAL changes to support WCN6750 (bsc#1206451).
- ath11k: Add QMI changes for WCN6750 (bsc#1206451).
- ath11k: Fetch device information via QMI for WCN6750
  (bsc#1206451).
- ath11k: Add register access logic for WCN6750 (bsc#1206451).
- ath11k: Add HW params for WCN6750 (bsc#1206451).
- ath11k: Move parameters in bus_params to hw_params
  (bsc#1206451).
- ath11k: change management tx queue to avoid connection timed
  out (bsc#1206451).
- ath11k: fix warning of not found station for bssid in message
  (bsc#1206451).
- bus: mhi: host: pci_generic: Flush recovery worker during freeze
  (bsc#1206451).
- bus: mhi: host: pci_generic: Add missing poweroff() PM callback
  (bsc#1206451).
- commit a37600a
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Don't use GFP_KERNEL in atomic context (bsc#1206451).
- ath9k: hif_usb: simplify if-if to if-else (bsc#1206451).
- wil6210: simplify if-if to if-else (bsc#1206451).
- ath10k: simplify if-if to if-else (bsc#1206451).
- ath11k: read country code from SMBIOS for WCN6855/QCA6390
  (bsc#1206451).
- ath11k: Update WBM idle ring HP after FW mode on (bsc#1206451).
- ath11k: WMI changes to support WCN6750 (bsc#1206451).
- ath11k: Do not put HW in DBS mode for WCN6750 (bsc#1206451).
- wil6210: use pm_runtime_resume_and_get() instead of
  pm_runtime_get_sync() (bsc#1206451).
- ath11k: Fix build warning without CONFIG_IPV6 (bsc#1206451).
- ath11k: fix missing unlock on error in ath11k_wow_op_resume()
  (bsc#1206451).
- ath11k: Add support for SAR (bsc#1206451).
- ath11k: add support for extended wmi service bit (bsc#1206451).
- ath9k: Remove unnecessary print function dev_err()
  (bsc#1206451).
- wcn36xx: clean up some inconsistent indenting (bsc#1206451).
- ath11k: Fix spelling mistake "reseting" -> "resetting"
  (bsc#1206451).
- ath9k: fix ath_get_rate_txpower() to respect the rate list
  end tag (bsc#1206451).
- mac80211: introduce BSS color collision detection (bsc#1206451).
- ath11k: mhi: remove unnecessary goto from ath11k_mhi_start()
  (bsc#1206451).
- commit 14615cc
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: mhi: add error handling for suspend and resume
  (bsc#1206451).
- ath11k: mhi: remove state machine (bsc#1206451).
- ath11k: fix driver initialization failure with WoW unsupported
  hw (bsc#1206451).
- ath11k: Remove unnecessary delay in ath11k_core_suspend
  (bsc#1206451).
- ath11k: Change max no of active probe SSID and BSSID to fw
  capability (bsc#1206451).
- ath11k: Remove core PCI references from PCI common code
  (bsc#1206451).
- ath11k: Refactor MSI logic to support WCN6750 (bsc#1206451).
- ath11k: Choose MSI config based on HW revision (bsc#1206451).
- ath11k: Refactor PCI code to support WCN6750 (bsc#1206451).
- ath11k: PCI changes to support WCN6750 (bsc#1206451).
- commit 7184a77
* Wed Dec 28 2022 tiwai@suse.de
- wcn36xx: Improve readability of wcn36xx_caps_name (bsc#1206451).
- ath9k: make is2ghz consistent in ar9003_eeprom (bsc#1206451).
- ath10k: enable napi on RX path for usb (bsc#1206451).
- ath10k: add support for MSDU IDs for USB devices (bsc#1206451).
- ath11k: reduce the wait time of 11d scan and hw scan while
  add interface (bsc#1206451).
- ath11k: add support to search regdb data in board-2.bin for
  WCN6855 (bsc#1206451).
- wcn36xx: Implement tx_rate reporting (bsc#1206451).
- ath11k: store and send country code to firmware after recovery
  (bsc#1206451).
- ath9k: add functions to get paprd rate mask (bsc#1206451).
- ath9k: refactor ar9003_hw_spur_mitigate_ofdm (bsc#1206451).
- ath9k: use AR9300_MAX_CHAINS when appropriate (bsc#1206451).
- ath9k: split set11nRateFlags and set11nChainSel (bsc#1206451).
- ath9k: make ATH_SREV macros more consistent (bsc#1206451).
- ath11k: Add peer rhash table support (bsc#1206451).
- ath11k: add read variant from SMBIOS for download board data
  (bsc#1206451).
- ath11k: add fallback board name without variant while searching
  board-2.bin (bsc#1206451).
- ath11k: enable PLATFORM_CAP_PCIE_GLOBAL_RESET QMI host
  capability (bsc#1206451).
- ath11k: fix the warning of dev_wake in
  mhi_pm_disable_transition() (bsc#1206451).
- ath11k: Add hw-restart option to simulate_fw_crash
  (bsc#1206451).
- ath11k: add synchronization operation between reconfigure of
  mac80211 and ath11k_base (bsc#1206451).
- commit 4e3c6c5
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: add support for device recovery for QCA6390/WCN6855
  (bsc#1206451).
- ath11k: disable regdb support for QCA6390 (bsc#1206451).
- ath11k: remove unused ATH11K_BD_IE_BOARD_EXT (bsc#1206451).
- ath11k: change fw build id format in driver init log
  (bsc#1206451).
- ath11k: Refactor the peer delete (bsc#1206451).
- ath10k: Use of_device_get_match_data() helper (bsc#1206451).
- ath10k: Trigger sta disconnect on hardware restart
  (bsc#1206451).
- ath6kl: fix typos in comments (bsc#1206451).
- ath9k: Use platform_get_irq() to get the interrupt
  (bsc#1206451).
- ath11k: support GTK rekey offload (bsc#1206451).
- ath11k: support ARP and NS offload (bsc#1206451).
- ath11k: purge rx pktlog when entering WoW (bsc#1206451).
- ath11k: implement hardware data filter (bsc#1206451).
- ath11k: Add WoW net-detect functionality (bsc#1206451).
- ath11k: Add basic WoW functionalities (bsc#1206451).
- ar5523: Use kzalloc instead of kmalloc/memset (bsc#1206451).
- Revert "ath11k: mesh: add support for 256 bitmap in blockack
  frames in 11ax" (bsc#1206451).
- mmc: core: improve API to make clear mmc_hw_reset is for cards
  (bsc#1206451).
- bus: mhi: Make mhi_state_str[] array static inline and move
  to common.h (bsc#1206451).
- bus: mhi: Move common MHI definitions out of host directory
  (bsc#1206451).
- mac80211: Add support to trigger sta disconnect on hardware
  restart (bsc#1206451).
- commit 2ffebef
* Wed Dec 28 2022 tiwai@suse.de
- bus: mhi: host: Rename "struct mhi_tre" to "struct
  mhi_ring_element" (bsc#1206451).
- bus: mhi: Cleanup the register definitions used in headers
  (bsc#1206451).
- bus: mhi: Use bitfield operations for handling DWORDs of ring
  elements (bsc#1206451).
- bus: mhi: Use bitfield operations for register read and write
  (bsc#1206451).
- bus: mhi: Move host MHI code to "host" directory (bsc#1206451).
- bus: mhi: Fix MHI DMA structure endianness (bsc#1206451).
- bus: mhi: Fix pm_state conversion to string (bsc#1206451).
- bus: mhi: pci_generic: Add mru_default for Quectel EM1xx series
  (bsc#1206451).
- ar5523: fix typo "to short" -> "too short" (bsc#1206451).
- carl9170: devres ar->survey_info (bsc#1206451).
- carl9170: replace bitmap_zalloc with devm_bitmap_zalloc
  (bsc#1206451).
- carl9170: devres-ing input_allocate_device (bsc#1206451).
- carl9170: devres-ing hwrng_register usage (bsc#1206451).
- carl9170: replace GFP_ATOMIC in ampdu_action, it can sleep
  (bsc#1206451).
- ath11k: remove unneeded flush_workqueue (bsc#1206451).
- ath6kl: add device ID for WLU5150-D81 (bsc#1206451).
- ath9k: make array voice_priority static const (bsc#1206451).
- ath6kl: wmi: Replace one-element array with flexible-array
  member in struct wmi_aplist_event (bsc#1206451).
- ath6kl: wmi: Replace one-element array with flexible-array
  member in struct wmi_disconnect_event (bsc#1206451).
- ath6kl: wmi: Replace one-element array with flexible-array
  member in struct wmi_connect_event (bsc#1206451).
- ath6kl: wmi: Replace one-element array with flexible-array
  member in struct wmi_channel_list_reply (bsc#1206451).
- ath6kl: wmi: Replace one-element array with flexible-array
  member in struct wmi_start_scan_cmd (bsc#1206451).
- ath6kl: wmi: Replace one-element array with flexible-array
  member in struct wmi_begin_scan_cmd (bsc#1206451).
- carl9170: Replace zero-length arrays with flexible-array members
  (bsc#1206451).
- ath11k: add dbring debug support (bsc#1206451).
- ath11k: translate HE status to radiotap format (bsc#1206451).
- ath11k: decode HE status tlv (bsc#1206451).
- ath11k: switch to using ieee80211_tx_status_ext() (bsc#1206451).
- ath11k: Fix frames flush failure caused by deadlock
  (bsc#1206451).
- Revert "ath10k: drop beacon and probe response which leak from
  other channel" (bsc#1206451).
- commit f8b20f3
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Handle failure in qmi firmware ready (bsc#1206451).
- ath11k: Invalidate cached reo ring entry before accessing it
  (bsc#1206451).
- ath: Replace zero-length arrays with flexible-array members
  (bsc#1206451).
- ath6kl: Replace zero-length arrays with flexible-array members
  (bsc#1206451).
- ath11k: Replace zero-length arrays with flexible-array members
  (bsc#1206451).
- ath10k: Replace zero-length array with flexible-array member
  (bsc#1206451).
- ath9k: use hw_random API instead of directly dumping into
  random.c (bsc#1206451).
- ath11k: configure RDDM size to mhi for recovery by firmware
  (bsc#1206451).
- ath11k: fix invalid m3 buffer address (bsc#1206451).
- ath11k: add ath11k_qmi_free_resource() for recovery
  (bsc#1206451).
- wcn36xx: use struct_size over open coded arithmetic
  (bsc#1206451).
- ath11k: fix destination monitor ring out of sync (bsc#1206451).
- ath11k: fix radar detection in 160 Mhz (bsc#1206451).
- ath11k: fix WARN_ON during ath11k_mac_update_vif_chan
  (bsc#1206451).
- ath11k: fix uninitialized rate_idx in
  ath11k_dp_tx_update_txcompl() (bsc#1206451).
- wcn36xx: Uninitialized variable in wcn36xx_change_opchannel()
  (bsc#1206451).
- wcn36xx: clean up some inconsistent indenting (bsc#1206451).
- ath11k: add debugfs for TWT debug calls (bsc#1206451).
- ath11k: add WMI calls to manually add/del/pause/resume TWT
  dialogs (bsc#1206451).
- ath11k: Add debugfs interface to configure firmware debug log
  level (bsc#1206451).
- commit cc56fbe
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Fix missing rx_desc_get_ldpc_support in wcn6855_ops
  (bsc#1206451).
- ath11k: Fix uninitialized symbol 'rx_buf_sz' (bsc#1206451).
- ath11k: Rename ath11k_ahb_ext_irq_config (bsc#1206451).
- wireless: Atheros: Use netif_rx() (bsc#1206451).
- mac80211: fix struct ieee80211_tx_info size (bsc#1206451).
- ath11k: avoid firmware crash when reg set for QCA6390/WCN6855
  (bsc#1206451).
- ath11k: set WMI_PEER_40MHZ while peer assoc for 6 GHz
  (bsc#1206451).
- wcn36xx: Add SNR reporting via get_survey() (bsc#1206451).
- bus: mhi: pci_generic: Add mru_default for Cinterion MV31-W
  (bsc#1206451).
- bus: mhi: pci_generic: Add mru_default for Foxconn SDX55
  (bsc#1206451).
- commit 0ec1f96
* Wed Dec 28 2022 tiwai@suse.de
- wcn36xx: Track SNR and RSSI for each RX frame (bsc#1206451).
- wcn36xx: Track the band and channel we are tuned to
  (bsc#1206451).
- wcn36xx: Implement get_snr() (bsc#1206451).
- wcn36xx: Use platform_get_irq_byname() to get the interrupt
  (bsc#1206451).
- ath9k: remove redundant status variable (bsc#1206451).
- ath11k: Reconfigure hardware rate for WCN6855 after vdev is
  started (bsc#1206451).
- ath: dfs_pattern_detector: Avoid open coded arithmetic in
  memory allocation (bsc#1206451).
- ath10k: Use platform_get_irq() to get the interrupt
  (bsc#1206451).
- ath5k: fix ah_txq_isr_txok_all setting (bsc#1206451).
- ath5k: remove unused ah_txq_isr_txurn member from struct
  ath5k_hw (bsc#1206451).
- cfg80211: separate get channel number from ies (bsc#1206451).
- commit c67f556
* Wed Dec 28 2022 tiwai@suse.de
- ath5k: remove unused ah_txq_isr_qcborn member from struct
  ath5k_hw (bsc#1206451).
- ath5k: remove unused ah_txq_isr_qcburn member from struct
  ath5k_hw (bsc#1206451).
- ath5k: remove unused ah_txq_isr_qtrig member from struct
  ath5k_hw (bsc#1206451).
- ath11k: fix error code in ath11k_qmi_assign_target_mem_chunk()
  (bsc#1206451).
- ath11k: move function ath11k_dp_rx_process_mon_status
  (bsc#1206451).
- ath11k: enable RX PPDU stats in monitor co-exist mode
  (bsc#1206451).
- ath11k: free peer for station when disconnect from AP for
  QCA6390/WCN6855 (bsc#1206451).
- ath11k: add LDPC FEC type in 802.11 radiotap header
  (bsc#1206451).
- ath11k: Refactor the fallback routine when peer create fails
  (bsc#1206451).
- ath11k: fix workqueue not getting destroyed after rmmod
  (bsc#1206451).
- ath11k: add missing of_node_put() to avoid leak (bsc#1206451).
- bus: mhi: pci_generic: Introduce Sierra EM919X support
  (bsc#1206451).
- bus: mhi: core: Use correctly sized arguments for bit field
  (bsc#1206451).
- bus: mhi: core: Add an API for auto queueing buffers for DL
  channel (bsc#1206451).
- bus: mhi: core: Fix race while handling SYS_ERR at power up
  (bsc#1206451).
- bus: mhi: pci_generic: Simplify code and axe the use of a
  deprecated API (bsc#1206451).
- bus: mhi: core: Minor style and comment fixes (bsc#1206451).
- bus: mhi: core: Use macros for execution environment features
  (bsc#1206451).
- bus: mhi: pci_generic: Add new device ID support for T99W175
  (bsc#1206451).
- commit cc2ca5e
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Fix unexpected return buffer manager error for QCA6390
  (bsc#1206451).
- ath11k: add support of firmware logging for WCN6855
  (bsc#1206451).
- ath10k: replace strlcpy with strscpy (bsc#1206451).
- ath11k: add regdb.bin download for regdb offload (bsc#1206451).
- ath11k: add support for hardware rfkill for QCA6390
  (bsc#1206451).
- ath11k: report tx bitrate for iw wlan station dump
  (bsc#1206451).
- ath11k: fix warning of RCU usage for
  ath11k_mac_get_arvif_by_vdev_id() (bsc#1206451).
- ath11k: add signal report to mac80211 for QCA6390 and WCN6855
  (bsc#1206451).
- ath11k: report rssi of each chain to mac80211 for
  QCA6390/WCN6855 (bsc#1206451).
- ath5k: switch to rate table based lookup (bsc#1206451).
- commit c2ad030
* Wed Dec 28 2022 tiwai@suse.de
- codel: remove unnecessary sock.h include (bsc#1206451).
- mac80211: Use memset_after() to clear tx status (bsc#1206451).
- wcn36xx: Implement beacon filtering (bsc#1206451).
- wcn36xx: Fix physical location of beacon filter comment
  (bsc#1206451).
- wcn36xx: Fix beacon filter structure definitions (bsc#1206451).
- ath11k: Use reserved host DDR addresses from DT for PCI devices
  (bsc#1206451).
- ath11k: Change qcn9074 fw to operate in mode-2 (bsc#1206451).
- ath11k: add ab to TARGET_NUM_VDEVS & co (bsc#1206451).
- ath11k: set DTIM policy to stick mode for station interface
  (bsc#1206451).
- ath11k: support MAC address randomization in scan (bsc#1206451).
- ath10k: wmi: remove array of flexible structures (bsc#1206451).
- ath10k: htt: remove array of flexible structures (bsc#1206451).
- ath10k: drop beacon and probe response which leak from other
  channel (bsc#1206451).
- ath11k: add spectral/CFR buffer validation support
  (bsc#1206451).
- ath11k: Process full monitor mode rx support (bsc#1206451).
- ath11k: add software monitor ring descriptor for full monitor
  (bsc#1206451).
- ath11k: Add htt cmd to enable full monitor mode (bsc#1206451).
- ath6kl: Use struct_group() to avoid size-mismatched casting
  (bsc#1206451).
- ath11k: enable IEEE80211_HW_SINGLE_SCAN_ON_ALL_BANDS for WCN6855
  (bsc#1206451).
- commit 84946bb
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: add wait operation for tx management packets for flush
  from mac80211 (bsc#1206451).
- Refresh
  patches.suse/ath11k-Don-t-check-arvif-is_started-before-sending-m.patch.
- commit 2a2aff5
* Wed Dec 28 2022 tiwai@suse.de
- ath10k: fix scan abort when duration is set for hw scan
  (bsc#1206451).
- ath: regdom: extend South Korea regulatory domain support
  (bsc#1206451).
- carl9170: Use the bitmap API when applicable (bsc#1206451).
- ath11k: add 11d scan offload support (bsc#1206451).
- ath11k: add configure country code for QCA6390 and WCN6855
  (bsc#1206451).
- ath11k: change to use dynamic memory for channel list of scan
  (bsc#1206451).
- ath11k: Fix QMI file type enum value (bsc#1206451).
- ath11k: add support for WCN6855 hw2.1 (bsc#1206451).
- ath9k: switch to rate table based lookup (bsc#1206451).
- wcn36xx: Use correct SSN for ADD BA request (bsc#1206451).
- ath11k: Use memset_startat() for clearing queue descriptors
  (bsc#1206451).
- ath11k: Fix spelling mistake "detetction" -> "detection"
  (bsc#1206451).
- Revert "ath11k: add read variant from SMBIOS for download
  board data" (bsc#1206451).
- ath11k: Fix mon status ring rx tlv processing (bsc#1206451).
- ath11k: add read variant from SMBIOS for download board data
  (bsc#1206451).
- ath11k: skip sending vdev down for channel switch (bsc#1206451).
- ath11k: fix read fail for htt_stats and htt_peer_stats for
  single pdev (bsc#1206451).
- ath11k: calculate the correct NSS of peer for HE capabilities
  (bsc#1206451).
- ath11k: change to treat alpha code na as world wide regdomain
  (bsc#1206451).
- commit 4c8170e
* Wed Dec 28 2022 tiwai@suse.de
- blacklist.conf: drop a patch to be backported
- commit 36349d6
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Set IRQ affinity to CPU0 in case of one MSI vector
  (bsc#1206451).
- ath11k: do not restore ASPM in case of single MSI vector
  (bsc#1206451).
- ath11k: add support one MSI vector (bsc#1206451).
- ath11k: refactor multiple MSI vector implementation
  (bsc#1206451).
- ath11k: use ATH11K_PCI_IRQ_DP_OFFSET for DP IRQ (bsc#1206451).
- ath11k: add CE and ext IRQ flag to indicate irq_handler
  (bsc#1206451).
- ath11k: get msi_data again after request_irq is called
  (bsc#1206451).
- ath9k: fix intr_txqs setting (bsc#1206451).
- ath11k: add hw_param for wakeup_mhi (bsc#1206451).
- ath11k: add support for BSS color change (bsc#1206451).
- mac80211: add support for BSS color change (bsc#1206451).
- nl80211: add support for BSS coloring (bsc#1206451).
- commit df04b33
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Increment pending_mgmt_tx count before tx send invoke
  (bsc#1206451).
- Refresh
  patches.suse/ath11k-Don-t-check-arvif-is_started-before-sending-m.patch.
- commit 6ba28b5
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: add trace log support (bsc#1206451).
- ath11k: Add missing qmi_txn_cancel() (bsc#1206451).
- ath11k: use cache line aligned buffers for dbring (bsc#1206451).
- ath11k: Disabling credit flow for WMI path (bsc#1206451).
- ath11k: send proper txpower and maxregpower values to firmware
  (bsc#1206451).
- ath11k: fix FCS_ERR flag in radio tap header (bsc#1206451).
- ath11k: move peer delete after vdev stop of station for QCA6390
  and WCN6855 (bsc#1206451).
- ath11k: fix the value of msecs_to_jiffies in
  ath11k_debugfs_fw_stats_request (bsc#1206451).
- ath11k: remove return for empty tx bitrate in
  mac_op_sta_statistics (bsc#1206451).
- ath11k: enable IEEE80211_VHT_EXT_NSS_BW_CAPABLE if NSS ratio
  enabled (bsc#1206451).
- ath11k: avoid unnecessary lock contention in tx_completion path
  (bsc#1206451).
- ath11k: add branch predictors in dp_tx path (bsc#1206451).
- ath11k: avoid while loop in ring selection of tx completion
  interrupt (bsc#1206451).
- ath11k: remove mod operator in dst ring processing
  (bsc#1206451).
- ath11k: allocate HAL_WBM2SW_RELEASE ring from cacheable memory
  (bsc#1206451).
- ath11k: add branch predictors in process_rx (bsc#1206451).
- ath11k: remove usage quota while processing rx packets
  (bsc#1206451).
- ath11k: avoid active pdev check for each msdu (bsc#1206451).
- ath11k: avoid additional access to ath11k_hal_srng_dst_num_free
  (bsc#1206451).
- commit 1f62248
* Wed Dec 28 2022 tiwai@suse.de
- wcn36xx: add debug prints for sw_scan start/complete
  (bsc#1206451).
- Refresh
  patches.suse/wcn36xx-ensure-pairing-of-init_scan-finish_scan-and-.patch.
- commit b979675
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: modify dp_rx desc access wrapper calls inline
  (bsc#1206451).
- ath11k: allocate dst ring descriptors from cacheable memory
  (bsc#1206451).
- ath11k: disable unused CE8 interrupts for ipq8074 (bsc#1206451).
- ath11k: fix firmware crash during channel switch (bsc#1206451).
- ath11k: Fix 'unused-but-set-parameter' error (bsc#1206451).
- ath11k: fix DMA memory free in CE pipe cleanup (bsc#1206451).
- ath11k: avoid unnecessary BH disable lock in STA kickout event
  (bsc#1206451).
- ath11k: fix error routine when fallback of add interface fails
  (bsc#1206451).
- ath11k: fix fw crash due to peer get authorized before key
  install (bsc#1206451).
- ath11k: Clear auth flag only for actual association in security
  mode (bsc#1206451).
- ath11k: enable 802.11 power save mode in station mode
  (bsc#1206451).
- ath11k: convert ath11k_wmi_pdev_set_ps_mode() to use enum
  wmi_sta_ps_mode (bsc#1206451).
- ath9k: use swap() to make code cleaner (bsc#1206451).
- wcn36xx: implement flush op to speed up connected scan
  (bsc#1206451).
- ath10k: fetch (pre-)calibration data via nvmem subsystem
  (bsc#1206451).
- wcn36xx: add missing 5GHz channels 136 and 144 (bsc#1206451).
- wcn36xx: switch on antenna diversity feature bit (bsc#1206451).
- wcn36xx: Treat repeated BMPS entry fail as connection loss
  (bsc#1206451).
- wcn36xx: Add chained transfer support for AMSDU (bsc#1206451).
- commit 8734f28
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: change return buffer manager for QCA6390 (bsc#1206451).
- Refresh
  patches.suse/ath11k-set-correct-NL80211_FEATURE_DYNAMIC_SMPS-for-.patch.
- commit 1615660
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Change number of TCL rings to one for QCA6390
  (bsc#1206451).
- Refresh
  patches.suse/ath11k-set-correct-NL80211_FEATURE_DYNAMIC_SMPS-for-.patch.
- commit 1d2c5c5
* Wed Dec 28 2022 tiwai@suse.de
- wcn36xx: Enable hardware scan offload for 5Ghz band
  (bsc#1206451).
- ath5k: replace snprintf in show functions with sysfs_emit
  (bsc#1206451).
- ath9k: fix an IS_ERR() vs NULL check (bsc#1206451).
- ath11k: Identify DFS channel when sending scan channel list
  command (bsc#1206451).
- ath9k: support DT ieee80211-freq-limit property to limit
  channels (bsc#1206451).
- ath11k: Handle MSI enablement during rmmod and SSR
  (bsc#1206451).
- ath11k: Use kcalloc() instead of kzalloc() (bsc#1206451).
- ath11k: Remove redundant assignment to variable fw_size
  (bsc#1206451).
- commit f7a801d
* Wed Dec 28 2022 palcantara@suse.de
- cifs: update internal module number (bsc#1193629).
- commit 2c23471
* Wed Dec 28 2022 palcantara@suse.de
- cifs: don't leak -ENOMEM in smb2_open_file() (bsc#1193629).
- cifs: use origin fullpath for automounts (bsc#1193629).
- commit d701916
* Wed Dec 28 2022 palcantara@suse.de
- cifs: set correct status of tcon ipc when reconnecting
  (bsc#1193629).
- commit 57f84f1
* Wed Dec 28 2022 palcantara@suse.de
- cifs: optimize reconnect of nested links (bsc#1193629).
- cifs: fix source pathname comparison of dfs supers
  (bsc#1193629).
- commit 2490abe
* Wed Dec 28 2022 palcantara@suse.de
- cifs: fix confusing debug message (bsc#1193629).
- cifs: don't block in dfs_cache_noreq_update_tgthint()
  (bsc#1193629).
- commit 2d792b4
* Wed Dec 28 2022 palcantara@suse.de
- cifs: refresh root referrals (bsc#1193629).
- cifs: fix refresh of cached referrals (bsc#1193629).
- commit 5f89779
* Wed Dec 28 2022 palcantara@suse.de
- cifs: don't refresh cached referrals from unactive mounts
  (bsc#1193629).
- cifs: share dfs connections and supers (bsc#1193629).
- commit d487cdb
* Wed Dec 28 2022 palcantara@suse.de
- cifs: split out ses and tcon retrieval from mount_get_conns()
  (bsc#1193629).
- cifs: set resolved ip in sockaddr (bsc#1193629).
- commit 6b4ca3c
* Wed Dec 28 2022 palcantara@suse.de
- cifs: remove unused smb3_fs_context::mount_options
  (bsc#1193629).
- commit 45748b3
* Wed Dec 28 2022 palcantara@suse.de
- cifs: get rid of mount options string parsing (bsc#1193629).
- cifs: use fs_context for automounts (bsc#1193629).
- commit 3459851
* Wed Dec 28 2022 palcantara@suse.de
- cifs: reduce roundtrips on create/qinfo requests (bsc#1193629).
- commit 5298349
* Wed Dec 28 2022 palcantara@suse.de
- cifs: set correct ipc status after initial tree connect
  (bsc#1193629).
- cifs: set correct tcon status after initial tree connect
  (bsc#1193629).
- commit c4c2e58
* Wed Dec 28 2022 palcantara@suse.de
- cifs: Remove duplicated include in cifsglob.h (bsc#1193629).
- commit e5a8551
* Wed Dec 28 2022 palcantara@suse.de
- cifs: fix oops during encryption (bsc#1199294).
- commit ddcc642
* Wed Dec 28 2022 palcantara@suse.de
- cifs: print warning when conflicting soft vs. hard mount
  options specified (bsc#1193629).
- commit d3798b8
* Wed Dec 28 2022 palcantara@suse.de
- cifs: fix missing display of three mount options (bsc#1193629).
- commit de33d28
* Wed Dec 28 2022 palcantara@suse.de
- cifs: fix various whitespace errors in headers (bsc#1193629).
- commit 8d59280
* Wed Dec 28 2022 palcantara@suse.de
- cifs: minor cleanup of some headers (bsc#1193629).
- commit 86a2d1f
* Wed Dec 28 2022 palcantara@suse.de
- cifs: skip alloc when request has no pages (bsc#1193629).
- commit 992bc71
* Wed Dec 28 2022 palcantara@suse.de
- cifs: Parse owner/group for stat in smb311 posix extensions
  (bsc#1193629).
- commit fa4a327
* Wed Dec 28 2022 palcantara@suse.de
- cifs: Add "extbuf" and "extbuflen" args to smb2_compound_op()
  (bsc#1193629).
- commit 9c7ee24
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: Fix spelling mistake "incompaitiblity" ->
  "incompatibility" (bsc#1206451).
- ath11k: Remove unused variable in ath11k_dp_rx_mon_merg_msdus()
  (bsc#1206451).
- ath9k: add option to reset the wifi chip via debugfs
  (bsc#1206451).
- ath11k: fix m68k and xtensa build failure in
  ath11k_peer_assoc_h_smps() (bsc#1206451).
- ath11k: support SMPS configuration for 6 GHz (bsc#1206451).
- ath11k: add 6 GHz params in peer assoc command (bsc#1206451).
- ieee80211: Add new A-MPDU factor macro for HE 6 GHz peer caps
  (bsc#1206451).
- ath11k: indicate to mac80211 scan complete with aborted flag
  for ATH11K_SCAN_STARTING state (bsc#1206451).
- ath11k: indicate scan complete for scan canceled when scan
  running (bsc#1206451).
- ath11k: add HTT stats support for new stats (bsc#1206451).
- ath11k: Change masking and shifting in htt stats (bsc#1206451).
- ath11k: Remove htt stats fixed size array usage (bsc#1206451).
- ath11k: Replace HTT_DBG_OUT with scnprintf (bsc#1206451).
- ath11k: Rename macro ARRAY_TO_STRING to PRINT_ARRAY_TO_BUF
  (bsc#1206451).
- ath11k: Fix inaccessible debug registers (bsc#1206451).
- ath11k: Drop MSDU with length error in DP rx path (bsc#1206451).
- ath11k: copy cap info of 6G band under WMI_HOST_WLAN_5G_CAP
  for WCN6855 (bsc#1206451).
- ath11k: enable 6G channels for WCN6855 (bsc#1206451).
- ath11k: re-enable ht_cap/vht_cap for 5G band for WCN6855
  (bsc#1206451).
- ath11k: fix survey dump collection in 6 GHz (bsc#1206451).
- ath11k: add channel 2 into 6 GHz channel list (bsc#1206451).
- ath11k: Add wmi peer create conf event in wmi_tlv_event_id
  (bsc#1206451).
- ath11k: Avoid "No VIF found" warning message (bsc#1206451).
- ath11k: Fix crash during firmware recovery on reo cmd ring
  access (bsc#1206451).
- ath11k: Assign free_vdev_map value before ieee80211_register_hw
  (bsc#1206451).
- ath11k: Add vdev start flag to disable hardware encryption
  (bsc#1206451).
- ath11k: Update pdev tx and rx firmware stats (bsc#1206451).
- ath11k: Fix pktlog lite rx events (bsc#1206451).
- ath11k: Add support for RX decapsulation offload (bsc#1206451).
- ath11k: Replace one-element array with flexible-array member
  (bsc#1206451).
- ath11k: add caldata download support from EEPROM (bsc#1206451).
- ath11k: add caldata file for multiple radios (bsc#1206451).
- ath11k: clean up BDF download functions (bsc#1206451).
- ath11k: use hw_params to access board_size and cal_offset
  (bsc#1206451).
- ath11k: Wstringop-overread warning (bsc#1206451).
- ath11k: Add spectral scan support for QCN9074 (bsc#1206451).
- ath11k: Fix the spectral minimum FFT bin count (bsc#1206451).
- ath11k: Introduce spectral hw configurable param (bsc#1206451).
- ath11k: Refactor spectral FFT bin size (bsc#1206451).
- ath11k: add support for 80P80 and 160 MHz bandwidth
  (bsc#1206451).
- ath11k: add support for setting fixed HE rate/gi/ltf
  (bsc#1206451).
- commit d36fc91
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: monitor mode clean up to use separate APIs
  (bsc#1206451).
- Refresh
  patches.suse/ath11k-acquire-ab-base_lock-in-unassign-when-finding.patch.
- commit 1ee395c
* Wed Dec 28 2022 tiwai@suse.de
- Revert "bus: mhi: Add inbound buffers allocation flag"
  (bsc#1206451).
- Refresh
  patches.suse/drivers-net-mhi-fix-error-path-in-mhi_net_newlink.patch.
- commit 669b7e4
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: add separate APIs for monitor mode (bsc#1206451).
- ath11k: move static function ath11k_mac_vdev_setup_sync to top
  (bsc#1206451).
- wcn36xx: Implement Idle Mode Power Save (bsc#1206451).
- ath11k: add support in survey dump with bss_chan_info
  (bsc#1206451).
- ath11k: Rename atf_config to flag1 in target_resource_config
  (bsc#1206451).
- ath11k: fix 4addr multicast packet tx (bsc#1206451).
- ath11k: fix 4-addr tx failure for AP and STA modes
  (bsc#1206451).
- ath9k: owl-loader: fetch pci init values through nvmem
  (bsc#1206451).
- ath9k: fetch calibration data via nvmem subsystem (bsc#1206451).
- ar5512: remove duplicate USB device ID (bsc#1206451).
- bus: mhi: core: Improve debug messages for power up
  (bsc#1206451).
- bus: mhi: core: Replace DMA allocation wrappers with original
  APIs (bsc#1206451).
- bus: mhi: core: Add range checks for BHI and BHIe (bsc#1206451).
- bus: mhi: pci_generic: Set register access length for MHI driver
  (bsc#1206451).
- commit b692de6
* Wed Dec 28 2022 tiwai@suse.de
- bus: mhi: Add inbound buffers allocation flag (bsc#1206451).
- Refresh
  patches.suse/drivers-net-mhi-fix-error-path-in-mhi_net_newlink.patch.
- commit 71b6926
* Wed Dec 28 2022 tiwai@suse.de
- ath11k: set register access length for MHI driver (bsc#1206451).
- bus: mhi: Add MMIO region length to controller structure
  (bsc#1206451).
- bus: mhi: core: Set BHI and BHIe pointers to NULL in clean-up
  (bsc#1206451).
- bus: mhi: core: Set BHI/BHIe offsets on power up preparation
  (bsc#1206451).
- bus: mhi: pci_generic: Add Cinterion MV31-W PCIe to MHI
  (bsc#1206451).
- wcn36xx: Allow firmware name to be overridden by DT
  (bsc#1206451).
- ath11k: Remove some duplicate code (bsc#1206451).
- ath: switch from 'pci_' to 'dma_' API (bsc#1206451).
- commit 6abdb20
* Wed Dec 28 2022 tiwai@suse.de
- bus: mhi: pci-generic: configurable network interface MRU
  (bsc#1206451).
- commit 5e4a416
* Wed Dec 28 2022 ptesarik@suse.cz
- MAINTAINERS: pick up all vfio_ap docs for VFIO AP maintainers
  (jsc#PED-623).
- s390/ap: fix error handling in __verify_queue_reservations()
  (jsc#PED-623).
- commit 4a1af0c
* Wed Dec 28 2022 ptesarik@suse.cz
- KVM: s390: pci: Fix allocation size of aift kzdev elements
  (jsc#PED-613).
- Documentation: kvm: extend KVM_S390_ZPCI_OP subheading underline
  (jsc#PED-613).
- MAINTAINERS: additional files related kvm s390 pci passthrough
  (jsc#PED-613).
- commit 371bd25
* Wed Dec 28 2022 tiwai@suse.de
- pstore: Make sure CONFIG_PSTORE_PMSG selects CONFIG_RT_MUTEXES
  (git-fixes).
- crypto: ccree - Make cc_debugfs_global_fini() available for
  module init function (git-fixes).
- ASoC: ops: Correct bounds check for second channel on SX
  controls (git-fixes).
- clk: Fix pointer casting to prevent oops in devm_clk_release()
  (git-fixes).
- commit b22634c
* Wed Dec 28 2022 tiwai@suse.de
- usb: gadget: uvc: Rename bmInterfaceFlags -> bmInterlaceFlags
  (git-fixes).
- usb: dwc3: core: defer probe on ulpi_read_id timeout
  (git-fixes).
- usb: ulpi: defer ulpi_register on ulpi_read_id timeout
  (git-fixes).
- usb: gadget: uvc: Prevent buffer overflow in setup handler
  (git-fixes).
- usb: storage: Add check for kcalloc (git-fixes).
- USB: serial: cp210x: add Kamstrup RF sniffer PIDs (git-fixes).
- USB: serial: option: add Quectel EM05-G modem (git-fixes).
- USB: serial: f81534: fix division by zero on line-speed change
  (git-fixes).
- USB: serial: f81232: fix division by zero on line-speed change
  (git-fixes).
- xhci: Apply XHCI_RESET_TO_DEFAULT quirk to ADL-N (git-fixes).
- usb: dwc3: Fix race between dwc3_set_mode and __dwc3_set_mode
  (git-fixes).
- usb: cdnsp: fix lack of ZLP for ep0 (git-fixes).
- usb: xhci-mtk: fix leakage of shared hcd when fail to set
  wakeup irq (git-fixes).
- usb: dwc3: pci: Update PCIe device ID for USB3 controller on
  CPU sub-system for Raptor Lake (git-fixes).
- wifi: brcmfmac: Fix error return code in
  brcmf_sdio_download_firmware() (git-fixes).
- wifi: rtl8xxxu: Fix the channel width reporting (git-fixes).
- wifi: rtl8xxxu: Add __packed to struct rtl8723bu_c2h
  (git-fixes).
- wifi: iwlwifi: mvm: fix double free on tx path (git-fixes).
- wifi: mt76: fix coverity overrun-call in mt76_get_txpower()
  (git-fixes).
- wifi: cfg80211: Fix not unregister reg_pdev when
  load_builtin_regdb_keys() fails (git-fixes).
- wifi: mac80211: fix memory leak in ieee80211_if_add()
  (git-fixes).
- wifi: ath10k: Fix return value in ath10k_pci_init() (git-fixes).
- wifi: rtw89: fix physts IE page check (git-fixes).
- wifi: rtw89: Fix some error handling path in
  rtw89_core_sta_assoc() (git-fixes).
- wifi: rtw89: use u32_encode_bits() to fill MAC quota value
  (git-fixes).
- wifi: rsi: Fix handling of 802.3 EAPOL frames sent via control
  port (git-fixes).
- wifi: ath9k: hif_usb: Fix use-after-free in
  ath9k_hif_usb_reg_in_cb() (git-fixes).
- wifi: ath9k: hif_usb: fix memory leak of urbs in
  ath9k_hif_usb_dealloc_tx_urbs() (git-fixes).
- wifi: rtl8xxxu: gen2: Turn on the rate control (git-fixes).
- commit 4d78293
* Wed Dec 28 2022 tiwai@suse.de
- uio: uio_dmem_genirq: Fix deadlock between irq config and
  handling (git-fixes).
- uio: uio_dmem_genirq: Fix missing unlock in irq configuration
  (git-fixes).
- usb: roles: fix of node refcount leak in
  usb_role_switch_is_parent() (git-fixes).
- usb: typec: tipd: Fix spurious fwnode_handle_put in error path
  (git-fixes).
- usb: typec: tipd: Cleanup resources if devm_tps6598_psy_register
  fails (git-fixes).
- usb: typec: tcpci: fix of node refcount leak in
  tcpci_register_port() (git-fixes).
- usb: typec: Check for ops->exit instead of ops->enter in
  altmode_exit (git-fixes).
- tpm/tpm_crb: Fix error message in __crb_relinquish_locality()
  (git-fixes).
- usb: dwc3: gadget: Disable GUSB2PHYCFG.SUSPHY for End Transfer
  (git-fixes).
- commit 00e7f07
* Wed Dec 28 2022 tiwai@suse.de
- test_firmware: fix memory leak in test_firmware_init()
  (git-fixes).
- thermal/drivers/qcom/temp-alarm: Fix inaccurate warning for gen2
  (git-fixes).
- thermal/drivers/imx8mm_thermal: Validate temperature range
  (git-fixes).
- spi: spi-gpio: Don't set MOSI as an input if not 3WIRE mode
  (git-fixes).
- spi: spidev: mask SPI_CS_HIGH in SPI_IOC_RD_MODE (git-fixes).
- thermal: core: fix some possible name leaks in error paths
  (git-fixes).
- tpm/tpm_ftpm_tee: Fix error handling in ftpm_mod_init()
  (git-fixes).
- tpm: tpm_tis: Add the missed acpi_put_table() to fix memory leak
  (git-fixes).
- tpm: tpm_crb: Add the missed acpi_put_table() to fix memory leak
  (git-fixes).
- tpm: acpi: Call acpi_put_table() to fix memory leak (git-fixes).
- commit 3ea2187
* Wed Dec 28 2022 tiwai@suse.de
- soc: mediatek: pm-domains: Fix the power glitch issue
  (git-fixes).
- serial: sunsab: Fix error handling in sunsab_init() (git-fixes).
- serial: pch: Fix PCI device refcount leak in pch_request_dma()
  (git-fixes).
- serial: stm32: move dma_request_chan() before
  clk_prepare_enable() (git-fixes).
- spi: Update reference to struct spi_controller (git-fixes).
- soc: qcom: Select REMAP_MMIO for LLCC driver (git-fixes).
- soc: ti: smartreflex: Fix PM disable depth imbalance in
  omap_sr_probe (git-fixes).
- drivers: soc: ti: knav_qmss_queue: Mark knav_acc_firmwares as
  static (git-fixes).
- soc: qcom: llcc: make irq truly optional (git-fixes).
- commit 41d3c92
* Wed Dec 28 2022 tiwai@suse.de
- regulator: core: fix deadlock on regulator enable (git-fixes).
- pstore: Properly assign mem_type property (git-fixes).
- pstore: Switch pmsg_lock to an rt_mutex to avoid priority
  inversion (git-fixes).
- pwm: mediatek: always use bus clock for PWM on MT7622
  (git-fixes).
- pwm: lpc18xx-sct: Fix a comment to match code (git-fixes).
- pwm: sifive: Call pwm_sifive_update_clock() while mutex is held
  (git-fixes).
- pwm: tegra: Improve required rate calculation (git-fixes).
- selftests: devlink: fix the fd redirect in dummy_reporter_test
  (git-fixes).
- r6040: Fix kmemleak in probe and remove (git-fixes).
- selftests/powerpc: Fix resource leaks (git-fixes).
- serial: pl011: Do not clear RX FIFO & RX interrupt in unthrottle
  (git-fixes).
- serial: amba-pl011: avoid SBSA UART accessing DMACR register
  (git-fixes).
- serial: 8250_bcm7271: Fix error handling in brcmuart_init()
  (git-fixes).
- serial: tegra: Read DMA status before terminating (git-fixes).
- staging: rtl8192e: Fix potential use-after-free in
  rtllib_rx_Monitor() (git-fixes).
- staging: rtl8192u: Fix use after free in ieee80211_rx()
  (git-fixes).
- regulator: qcom-labibb: Fix missing of_node_put() in
  qcom_labibb_regulator_probe() (git-fixes).
- regulator: core: fix resource leak in regulator_register()
  (git-fixes).
- regulator: core: fix module refcount leak in set_supply()
  (git-fixes).
- regulator: bd718x7: Drop unnecessary info print (git-fixes).
- regulator: core: use kfree_const() to free space conditionally
  (git-fixes).
- regulator: qcom-rpmh: Fix PMR735a S3 regulator spec (git-fixes).
- regulator: core: fix unbalanced of node refcount in
  regulator_dev_lookup() (git-fixes).
- selftests/efivarfs: Add checking of the test return value
  (git-fixes).
- selftests/ftrace: event_triggers: wait longer for
  test_event_enable (git-fixes).
- pstore: Avoid kcore oops by vmap()ing with VM_IOREMAP
  (git-fixes).
- pstore/ram: Fix error return code in ramoops_probe()
  (git-fixes).
- pstore/zone: Use GFP_ATOMIC to allocate zone buffer (git-fixes).
- regulator: twl6030: fix get status of twl6032 regulators
  (git-fixes).
- regulator: slg51000: Wait after asserting CS pin (git-fixes).
- commit b3e3245
* Wed Dec 28 2022 tiwai@suse.de
- nfc: pn533: Clear nfc_target before being used (git-fixes).
- phy: usb: s2 WoL wakeup_count not incremented for USB->Eth
  devices (git-fixes).
- power: supply: fix null pointer dereferencing in
  power_supply_get_battery_info (git-fixes).
- power: supply: ab8500: Fix error handling in
  ab8500_charger_init() (git-fixes).
- power: supply: z2_battery: Fix possible memleak in
  z2_batt_probe() (git-fixes).
- power: supply: fix residue sysfs file in error handle route
  of __power_supply_register() (git-fixes).
- PCI: pci-epf-test: Register notifier if only core_init_notifier
  is enabled (git-fixes).
- PCI: vmd: Disable MSI remapping after suspend (git-fixes).
- PCI: dwc: Fix n_fts[] array overrun (git-fixes).
- PCI/sysfs: Fix double free in error path (git-fixes).
- PCI: Check for alloc failure in pci_request_irq() (git-fixes).
- pinctrl: pinconf-generic: add missing of_node_put() (git-fixes).
- pinctrl: k210: call of_node_put() (git-fixes).
- mtd: spi-nor: Fix the number of bytes for the dummy cycles
  (git-fixes).
- mtd: spi-nor: hide jedec_id sysfs attribute if not present
  (git-fixes).
- mtd: spi-nor: Check for zero erase size in
  spi_nor_find_best_erase_type() (git-fixes).
- mtd: maps: pxa2xx-flash: fix memory leak in probe (git-fixes).
- mtd: lpddr2_nvm: Fix possible null-ptr-deref (git-fixes).
- proc: fixup uptime selftest (git-fixes).
- PNP: fix name memory leak in pnp_alloc_dev() (git-fixes).
- PM: hibernate: Fix mistake in kerneldoc comment (git-fixes).
- PM: runtime: Do not call __rpm_callback() from rpm_idle()
  (git-fixes).
- platform/chrome: cros_usbpd_notify: Fix error handling in
  cros_usbpd_notify_init() (git-fixes).
- platform/mellanox: mlxbf-pmc: Fix event typo (git-fixes).
- platform/x86: intel_scu_ipc: fix possible name leak in
  __intel_scu_ipc_register() (git-fixes).
- platform/x86: mxm-wmi: fix memleak in mxm_wmi_call_mx[ds|mx]()
  (git-fixes).
- platform/x86: huawei-wmi: fix return value calculation
  (git-fixes).
- pinctrl: meditatek: Startup with the IRQs disabled (git-fixes).
- commit 9546018
* Wed Dec 28 2022 tiwai@suse.de
- mmc: sdhci-sprd: Disable CLK_AUTO when the clock is less than
  400K (git-fixes).
- mmc: vub300: fix warning - do not call blocking ops when
  !TASK_RUNNING (git-fixes).
- mmc: core: Normalize the error handling branch in
  sd_read_ext_regs() (git-fixes).
- mmc: renesas_sdhi: alway populate SCC pointer (git-fixes).
- mmc: mmci: fix return value check of mmc_add_host() (git-fixes).
- mmc: wbsd: fix return value check of mmc_add_host() (git-fixes).
- mmc: via-sdmmc: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: meson-gx: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: omap_hsmmc: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: atmel-mci: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: wmt-sdmmc: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: vub300: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: toshsd: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: rtsx_usb_sdmmc: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: rtsx_pci: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: pxamci: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: mxcmmc: fix return value check of mmc_add_host()
  (git-fixes).
- mmc: moxart: fix return value check of mmc_add_host()
  (git-fixes).
- mtd: Fix device name leak when register device failed in
  add_mtd_device() (git-fixes).
- commit 5e3071e
* Wed Dec 28 2022 tiwai@suse.de
- mailbox: zynq-ipi: fix error handling while device_register()
  fails (git-fixes).
- mailbox: arm_mhuv2: Fix return value check in mhuv2_probe()
  (git-fixes).
- mailbox: mpfs: read the system controller's status (git-fixes).
- mfd: qcom_rpm: Fix an error handling path in qcom_rpm_probe()
  (git-fixes).
- mfd: bd957x: Fix Kconfig dependency on REGMAP_IRQ (git-fixes).
- mfd: mt6360: Add bounds checking in Regmap read/write call-backs
  (git-fixes).
- mISDN: hfcmulti: don't call dev_kfree_skb/kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- mISDN: hfcpci: don't call dev_kfree_skb/kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- mISDN: hfcsusb: don't call dev_kfree_skb/kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- HSI: omap_ssi_core: Fix error handling in ssi_init()
  (git-fixes).
- HSI: omap_ssi_core: fix possible memory leak in ssi_probe()
  (git-fixes).
- iio: fix memory leak in iio_device_register_eventset()
  (git-fixes).
- iio: adc128s052: add proper .data members in adc128_of_match
  table (git-fixes).
- iio: temperature: ltc2983: make bulk write buffer DMA-safe
  (git-fixes).
- iio: adc: ad_sigma_delta: do not use internal iio_dev lock
  (git-fixes).
- i2c: ismt: Fix an out-of-bounds bug in ismt_access()
  (git-fixes).
- i2c: mux: reg: check return value after calling
  platform_get_resource() (git-fixes).
- i2c: pxa-pci: fix missing pci_disable_device() on error in
  ce4100_i2c_probe (git-fixes).
- hwrng: amd - Fix PCI device refcount leak (git-fixes).
- integrity: Fix memory leakage in keyring allocation error path
  (git-fixes).
- mmc: alcor: fix return value check of mmc_add_host()
  (git-fixes).
- ipmi: fix use after free in _ipmi_destroy_user() (git-fixes).
- ipmi: kcs: Poll OBF briefly to reduce OBE latency (git-fixes).
- Input: wistron_btns - disable on UML (git-fixes).
- Input: elants_i2c - properly handle the reset GPIO when power
  is off (git-fixes).
- Input: joystick - fix Kconfig warning for JOYSTICK_ADC
  (git-fixes).
- media: saa7164: fix missing pci_disable_device() (git-fixes).
- media: dvb-usb: az6027: fix null-ptr-deref in az6027_i2c_xfer()
  (git-fixes).
- media: dvb-core: Fix ignored return value in
  dvb_register_frontend() (git-fixes).
- media: dvb-core: Fix double free in dvb_register_device()
  (git-fixes).
- media: imon: fix a race condition in send_packet() (git-fixes).
- media: solo6x10: fix possible memory leak in solo_sysfs_init()
  (git-fixes).
- media: vidtv: Fix use-after-free in vidtv_bridge_dvb_init()
  (git-fixes).
- media: vimc: Fix wrong function called when vimc_init() fails
  (git-fixes).
- media: adv748x: afe: Select input port when initializing AFE
  (git-fixes).
- media: v4l2-ctrls: Fix off-by-one error in integer menu control
  check (git-fixes).
- media: vivid: fix compose size exceed boundary (git-fixes).
- staging: media: tegra-video: fix device_node use after free
  (git-fixes).
- staging: media: tegra-video: fix chan->mipi value on error
  (git-fixes).
- media: i2c: ad5820: Fix error path (git-fixes).
- ipu3-imgu: Fix NULL pointer dereference in
  imgu_subdev_set_selection() (git-fixes).
- media: camss: Clean up received buffers on failed start of
  streaming (git-fixes).
- media: videobuf-dma-contig: use dma_mmap_coherent (git-fixes).
- lib/fonts: fix undefined behavior in bit shift for
  get_default_font (git-fixes).
- lib/debugobjects: fix stat count and optimize
  debug_objects_mem_init (git-fixes).
- media: v4l2-dv-timings.c: fix too strict blanking sanity checks
  (git-fixes).
- mmc: mtk-sd: Fix missing clk_disable_unprepare in
  msdc_of_clock_parse() (git-fixes).
- commit 492bdad
* Wed Dec 28 2022 tiwai@suse.de
- driver core: Fix bus_type.match() error handling in
  __driver_attach() (git-fixes).
- Refresh
  patches.suse/drivers-base-implement-dev_enable_async_probe.patch.
- commit 72f2b42
* Wed Dec 28 2022 tiwai@suse.de
- drm/i915/display: Don't disable DDI/Transcoder when setting
  phy test pattern (git-fixes).
- drm/i915: Fix documentation for
  intel_uncore_forcewake_put__locked (git-fixes).
- dmaengine: idxd: Fix crc_val field for completion record
  (git-fixes).
- Documentation: devres: add missing
  devm_acpi_dma_controller_free() helper (git-fixes).
- HSI: omap_ssi_core: fix unbalanced pm_runtime_disable()
  (git-fixes).
- device property: Fix documentation for fwnode_get_next_parent()
  (git-fixes).
- Documentation: devres: add missing MEM helper (git-fixes).
- firmware: raspberrypi: fix possible memory leak in
  rpi_firmware_probe() (git-fixes).
- drivers: dio: fix possible memory leak in dio_init()
  (git-fixes).
- Documentation: devres: add missing PHY helpers (git-fixes).
- dt-bindings: gpio: gpio-davinci: Increase maxItems in
  gpio-line-names (git-fixes).
- fbdev: fbcon: release buffer when fbcon_do_set_font() failed
  (git-fixes).
- fbdev: uvesafb: Fixes an error handling path in uvesafb_probe()
  (git-fixes).
- fbdev: uvesafb: don't build on UML (git-fixes).
- fbdev: geode: don't build on UML (git-fixes).
- fbdev: vermilion: decrease reference count in error path
  (git-fixes).
- fbdev: via: Fix error in via_core_init() (git-fixes).
- fbdev: pm2fb: fix missing pci_disable_device() (git-fixes).
- fbdev: ssd1307fb: Drop optional dependency (git-fixes).
- crypto: img-hash - Fix variable dereferenced before check
  'hdev->req' (git-fixes).
- crypto: omap-sham - Use pm_runtime_resume_and_get() in
  omap_sham_probe() (git-fixes).
- crypto: tcrypt - Fix multibuffer skcipher speed test mem leak
  (git-fixes).
- crypto: cryptd - Use request context instead of stack for
  sub-request (git-fixes).
- crypto: ccree - Remove debugfs when platform_driver_register
  failed (git-fixes).
- crypto: rockchip - rework by using crypto_engine (git-fixes).
- crypto: rockchip - remove non-aligned handling (git-fixes).
- crypto: rockchip - better handle cipher key (git-fixes).
- crypto: rockchip - add fallback for ahash (git-fixes).
- crypto: rockchip - add fallback for cipher (git-fixes).
- crypto: rockchip - do not store mode globally (git-fixes).
- crypto: rockchip - do not do custom power management
  (git-fixes).
- crypto: n2 - add missing hash statesize (git-fixes).
- crypto: nitrox - avoid double free on error path in
  nitrox_sriov_init() (git-fixes).
- crypto: sun8i-ss - use dma_addr instead u32 (git-fixes).
- hamradio: don't call dev_kfree_skb() under spin_lock_irqsave()
  (git-fixes).
- Documentation: bonding: update miimon default to 100
  (git-fixes).
- Revert "dt-bindings: marvell,prestera: Add description for
  device-tree bindings" (git-fixes).
- dt-bindings: clock: qcom,aoncc-sm8250: fix compatible
  (git-fixes).
- drm/amdkfd: Fix memory leakage (git-fixes).
- drm/amdgpu: Fix PCI device refcount leak in
  amdgpu_atrm_get_bios() (git-fixes).
- drm/radeon: Fix PCI device refcount leak in
  radeon_atrm_get_bios() (git-fixes).
- drm/amd/pm/smu11: BACO is supported when it's in BACO state
  (git-fixes).
- drm/i915/dsi: fix VBT send packet port selection for dual link
  DSI (git-fixes).
- drm/amdgpu: fix pci device refcount leak (git-fixes).
- drm/tegra: Add missing clk_disable_unprepare() in
  tegra_dc_probe() (git-fixes).
- drm/mediatek: Modify dpi power on/off sequence (git-fixes).
- drm/i915: remove circ_buf.h includes (git-fixes).
- drm/i915/ttm: never purge busy objects (git-fixes).
- drm/radeon: Add the missed acpi_put_table() to fix memory leak
  (git-fixes).
- drm/etnaviv: don't truncate physical page address (git-fixes).
- dt-bindings: display: sun6i-dsi: Fix clock conditional
  (git-fixes).
- drm/ingenic: Fix missing platform_driver_unregister() call in
  ingenic_drm_init() (git-fixes).
- Revert "drm/amd/display: Limit max DSC target bpp for specific
  monitors" (git-fixes).
- drm/amdgpu/powerplay/psm: Fix memory leak in power state init
  (git-fixes).
- drm/panel/panel-sitronix-st7701: Remove panel on DSI attach
  failure (git-fixes).
- drm/vmwgfx: Validate the box size for the snooped cursor
  (git-fixes).
- drm/rockchip: lvds: fix PM usage counter unbalance in poweron
  (git-fixes).
- drm/vmwgfx: Fix a sparse warning in kernel docs (git-fixes).
- drm/bridge: adv7533: remove dynamic lane switching from adv7533
  bridge (git-fixes).
- drm/edid: Fix minimum bpc supported with DSC1.2 for HDMI sink
  (git-fixes).
- floppy: Fix memory leak in do_floppy_init() (git-fixes).
- Documentation/features-refresh.sh: Only sed the beginning
  "arch" of ARCH_DIR (git-fixes).
- docs/zh_CN: Fix '.. only::' directive's expression (git-fixes).
- Documentation: devres: add missing PWM helper (git-fixes).
- drm/vmwgfx: Don't use screen objects when SEV is active
  (git-fixes).
- drm/shmem-helper: Avoid vm_open error paths (git-fixes).
- drm/shmem-helper: Remove errant put in error path (git-fixes).
- drm: bridge: dw_hdmi: fix preference of RGB modes over YUV420
  (git-fixes).
- drm/bridge: ti-sn65dsi86: Fix output polarity setting bug
  (git-fixes).
- drm/amdgpu/sdma_v4_0: turn off SDMA ring buffer in the s2idle
  suspend (git-fixes).
- HID: uclogic: Add HID_QUIRK_HIDINPUT_FORCE quirk (git-fixes).
- HID: ite: Enable QUIRK_TOUCHPAD_ON_OFF_REPORT on Acer Aspire
  Switch V 10 (git-fixes).
- gpiolib: fix memory leak in gpiochip_setup_dev() (git-fixes).
- fbcon: Use kzalloc() in fbcon_prepare_logo() (git-fixes).
- gpiolib: check the 'ngpios' property in core gpiolib code
  (git-fixes).
- gpiolib: improve coding style for local variables (git-fixes).
- drm/bridge: anx7625: Fix edid_read break case in
  sp_tx_edid_read() (git-fixes).
- commit 1ce780f
* Wed Dec 28 2022 tiwai@suse.de
- Refresh patches.suse/dt-bindings-clocks-imx8mp-Add-ID-for-usb-suspend-clo.patch
  Correct the doubly defined IMX8MP_CLK_END
- commit 880f395
* Wed Dec 28 2022 tiwai@suse.de
- ASoC: rt5670: Remove unbalanced pm_runtime_put() (git-fixes).
- ASoC: rockchip: spdif: Add missing clk_disable_unprepare()
  in rk_spdif_runtime_resume() (git-fixes).
- ASoC: wm8994: Fix potential deadlock (git-fixes).
- ASoC: mediatek: mt8183: fix refcount leak in
  mt8183_mt6358_ts3a227_max98357_dev_probe() (git-fixes).
- ASoC: rockchip: pdm: Add missing clk_disable_unprepare()
  in rockchip_pdm_runtime_resume() (git-fixes).
- ASoC: audio-graph-card: fix refcount leak of cpu_ep in
  __graph_for_each_link() (git-fixes).
- ASoC: mediatek: mt8173-rt5650-rt5514: fix refcount leak in
  mt8173_rt5650_rt5514_dev_probe() (git-fixes).
- class: fix possible memory leak in __class_register()
  (git-fixes).
- chardev: fix error handling in cdev_device_add() (git-fixes).
- Bluetooth: RFCOMM: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: hci_core: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: hci_bcsp: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: hci_h5: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: hci_ll: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: hci_qca: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: btusb: don't call kfree_skb() under
  spin_lock_irqsave() (git-fixes).
- Bluetooth: btintel: Fix missing free skb in
  btintel_setup_combined() (git-fixes).
- Bluetooth: MGMT: Fix error report for ADD_EXT_ADV_PARAMS
  (git-fixes).
- can: tcan4x5x: Remove invalid write in clear_interrupts
  (git-fixes).
- can: kvaser_usb_leaf: Fix bogus restart events (git-fixes).
- can: kvaser_usb_leaf: Fix wrong CAN state after stopping
  (git-fixes).
- can: kvaser_usb_leaf: Set Warning state even without bus errors
  (git-fixes).
- clk: qcom: clk-krait: fix wrong div2 functions (git-fixes).
- clk: qcom: lpass-sc7180: Fix pm_runtime usage (git-fixes).
- clk: qcom: gcc-sm8250: Use retention mode for USB GDSCs
  (git-fixes).
- clk: imx: replace osc_hdmi with dummy (git-fixes).
- clk: imx: imx8mp: add shared clk gate for usb suspend clk
  (git-fixes).
- clk: rockchip: Fix memory leak in rockchip_clk_register_pll()
  (git-fixes).
- clk: sunxi-ng: v3s: Correct the header guard of ccu-sun8i-v3s.h
  (git-fixes).
- clk: renesas: r9a06g032: Repair grave increment error
  (git-fixes).
- clk: nomadik: correct struct name kernel-doc warning
  (git-fixes).
- clk: socfpga: Fix memory leak in socfpga_gate_init()
  (git-fixes).
- clk: samsung: Fix memory leak in _samsung_clk_register_pll()
  (git-fixes).
- ASoC: pcm512x: Fix PM disable depth imbalance in pcm512x_probe
  (git-fixes).
- ASoC: mediatek: mt8173: Enable IRQ when pdata is ready
  (git-fixes).
- ASoC: mediatek: mtk-btcvsd: Add checks for write and read of
  mtk_btcvsd_snd (git-fixes).
- ASoC: dt-bindings: wcd9335: fix reset line polarity in example
  (git-fixes).
- binfmt: Fix error return code in load_elf_fdpic_binary()
  (git-fixes).
- binfmt_elf: fix documented return value for load_elf_phdrs()
  (git-fixes).
- Bluetooth: btusb: Add debug message for CSR controllers
  (git-fixes).
- can: mcba_usb: Fix termination command argument (git-fixes).
- can: sja1000: fix size of OCR_MODE_MASK define (git-fixes).
- clk: Provide new devm_clk helpers for prepared and enabled
  clocks (git-fixes).
- clk: generalize devm_clk_get() a bit (git-fixes).
- can: kvaser_usb: kvaser_usb_leaf: fix bittiming limits
  (git-fixes).
- commit 4b9e60b
* Wed Dec 28 2022 tiwai@suse.de
- arm64: dts: mt8183: Fix Mali GPU clock (git-fixes).
- amdgpu/pm: prevent array underflow in
  vega20_odn_edit_dpm_table() (git-fixes).
- ASoC: qcom: Add checks for devm_kcalloc (git-fixes).
- ASoC: pxa: fix null-pointer dereference in filter() (git-fixes).
- ASoC: jz4740-i2s: Handle independent FIFO flush bits
  (git-fixes).
- ALSA: mts64: fix possible null-ptr-defer in snd_mts64_interrupt
  (git-fixes).
- ALSA: pcm: Set missing stop_operating flag at undoing trigger
  start (git-fixes).
- ALSA: asihpi: fix missing pci_disable_device() (git-fixes).
- ACPICA: Fix use-after-free in
  acpi_ut_copy_ipackage_to_ipackage() (git-fixes).
- ARM: dts: qcom: apq8064: fix coresight compatible (git-fixes).
- arm64: dts: qcom: sm8250: fix USB-DP PHY registers (git-fixes).
- ARM: dts: armada-39x: Fix compatible string for gpios
  (git-fixes).
- ARM: dts: armada-38x: Fix compatible string for gpios
  (git-fixes).
- ARM: dts: turris-omnia: Add switch port 6 node (git-fixes).
- ARM: dts: turris-omnia: Add ethernet aliases (git-fixes).
- ARM: dts: armada-39x: Fix assigned-addresses for every PCIe
  Root Port (git-fixes).
- ARM: dts: armada-38x: Fix assigned-addresses for every PCIe
  Root Port (git-fixes).
- ARM: dts: armada-375: Fix assigned-addresses for every PCIe
  Root Port (git-fixes).
- ARM: dts: armada-xp: Fix assigned-addresses for every PCIe
  Root Port (git-fixes).
- ARM: dts: armada-370: Fix assigned-addresses for every PCIe
  Root Port (git-fixes).
- ARM: dts: dove: Fix assigned-addresses for every PCIe Root Port
  (git-fixes).
- arm64: dts: armada-3720-turris-mox: Add missing interrupt for
  RTC (git-fixes).
- arm64: dts: qcom: sm8250: drop bogus DP PHY clock (git-fixes).
- arm64: dts: qcom: sm8250: correct LPASS pin pull down
  (git-fixes).
- arm64: dts: qcom: msm8916: Drop MSS fallback compatible
  (git-fixes).
- arm64: dts: qcom: sdm845-cheza: fix AP suspend pin bias
  (git-fixes).
- arm64: dts: qcom: sdm845-db845c: correct SPI2 pins drive
  strength (git-fixes).
- arm64: dts: qcom: sdm630: fix UART1 pin bias (git-fixes).
- arm64: dts: qcom: msm8996: fix GPU OPP table (git-fixes).
- arm64: dts: qcom: msm8996: fix supported-hw in cpufreq OPP
  tables (git-fixes).
- arm64: dts: qcom: msm8996: Add MSM8996 Pro support (git-fixes).
- arm64: dts: qcom: sdm850-lenovo-yoga-c630: correct I2C12 pins
  drive strength (git-fixes).
- arm64: dts: qcom: sm8250-sony-xperia-edo: fix touchscreen
  bias-disable (git-fixes).
- arm64: dts: qcom: ipq6018-cp01-c1: use BLSPI1 pins (git-fixes).
- ARM: dts: nuvoton: Remove bogus unit addresses from
  fixed-partition nodes (git-fixes).
- arm64: dts: ti: k3-j721e-main: Drop dma-coherent in crypto node
  (git-fixes).
- arm64: dts: ti: k3-am65-main: Drop dma-coherent in crypto node
  (git-fixes).
- arm64: dts: mediatek: mt6797: Fix 26M oscillator unit name
  (git-fixes).
- arm64: dts: mediatek: pumpkin-common: Fix devicetree warnings
  (git-fixes).
- arm64: dts: mt2712-evb: Fix usb vbus regulators unit names
  (git-fixes).
- arm64: dts: mt2712-evb: Fix vproc fixed regulators unit names
  (git-fixes).
- arm64: dts: mt2712e: Fix unit address for pinctrl node
  (git-fixes).
- arm64: dts: mt2712e: Fix unit_address_vs_reg warning for
  oscillators (git-fixes).
- arm64: dts: mt6779: Fix devicetree build warnings (git-fixes).
- arm64: dts: mt7622: drop r_smpl property from mmc node
  (git-fixes).
- arm64: dts: mt8183: drop drv-type from mmc-node (git-fixes).
- ARM: dts: stm32: Fix AV96 WLAN regulator gpio property
  (git-fixes).
- ARM: dts: stm32: Drop stm32mp15xc.dtsi from Avenger96
  (git-fixes).
- arm: dts: spear600: Fix clcd interrupt (git-fixes).
- ARM: mmp: fix timer_read delay (git-fixes).
- ARM: ux500: do not directly dereference __iomem (git-fixes).
- Revert "ARM: dts: imx7: Fix NAND controller size-cells"
  (git-fixes).
- ASoC: cs42l51: Correct PGA Volume minimum value (git-fixes).
- ASoC: ops: Check bounds for second channel in
  snd_soc_put_volsw_sx() (git-fixes).
- ASoC: fsl_micfil: explicitly clear CHnF flags (git-fixes).
- ASoC: fsl_micfil: explicitly clear software reset bit
  (git-fixes).
- ASoC: soc-pcm: Add NULL check in BE reparenting (git-fixes).
- ASoC: rt711-sdca: fix the latency time of clock stop prepare
  state machine transitions (git-fixes).
- ASoC: wm8962: Wait for updated value of WM8962_CLOCKING1
  register (git-fixes).
- ALSA: seq: Fix function prototype mismatch in
  snd_seq_expand_var_event (git-fixes).
- ARM: dts: rockchip: disable arm_global_timer on rk3066 and
  rk3188 (git-fixes).
- ARM: dts: rockchip: rk3188: fix lcdc1-rgb24 node name
  (git-fixes).
- arm64: dts: rockchip: fix ir-receiver node names (git-fixes).
- ARM: dts: rockchip: fix ir-receiver node names (git-fixes).
- arm: dts: rockchip: remove clock-frequency from rtc (git-fixes).
- arm: dts: rockchip: fix node name for hym8563 rtc (git-fixes).
- arm64: dts: rockchip: keep I2S1 disabled for GPIO function on
  ROCK Pi 4 series (git-fixes).
- ARM: 9251/1: perf: Fix stacktraces for tracepoint events in
  THUMB2 kernels (git-fixes).
- commit 0882612
* Wed Dec 28 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 407fb87
* Wed Dec 28 2022 vkarasulli@suse.de
- Update
  patches.kabi/usb.h-struct-usb_device-hide-new-member.patch
  (git-fixes bsc#1206664 CVE-2022-4662).
- Update
  patches.suse/USB-core-Prevent-nested-device-reset-calls.patch
  (git-fixes bsc#1206664 CVE-2022-4662).
- commit 3b17120
* Tue Dec 27 2022 krisman@suse.de
- io_uring: defer file assignment (bsc#1205205).
- Refresh io_uring-fix-uninitialized-field-in-rw-io_kiocb.patch after
  adding 584b0180f0f4d.
- Refresh to fix
  patches.suse/io_uring-move-read-write-file-prep-state-into-actual.patch
  trivial merge conflict.
- io_uring: propagate issue_flags state down to file assignment
  (bsc#1205205).
- io_uring: move read/write file prep state into actual opcode
  handler (bsc#1205205).
- io_uring: defer splice/tee file validity check until command
  issue (bsc#1205205).
- io_uring: don't check req->file in io_fsync_prep()
  (bsc#1205205).
- io_uring: defer msg-ring file validity check until command issue
  (bsc#1205205).
- io_uring: fail links if msg-ring doesn't succeeed (bsc#1205205).
- io_uring: fix memory leak of uid in files registration
  (bsc#1205205).
- io_uring: fix put_kbuf without proper locking (bsc#1205205).
- io_uring: fix invalid flags for io_put_kbuf() (bsc#1205205).
- io_uring: improve req fields comments (bsc#1205205).
- io_uring: enable EPOLLEXCLUSIVE for accept poll (bsc#1205205).
- io_uring: improve task work cache utilization (bsc#1205205).
- io_uring: fix async accept on O_NONBLOCK sockets (bsc#1205205).
- io_uring: remove IORING_CQE_F_MSG (bsc#1205205).
- io_uring: add flag for disabling provided buffer recycling
  (bsc#1205205).
- io_uring: ensure recv and recvmsg handle MSG_WAITALL correctly
  (bsc#1205205).
- io_uring: don't recycle provided buffer if punted to async
  worker (bsc#1205205).
- io_uring: fix assuming triggered poll waitqueue is the single
  poll (bsc#1205205).
- io_uring: bump poll refs to full 31-bits (bsc#1205205).
- io_uring: remove poll entry from list when canceling all
  (bsc#1205205).
- io_uring: fix memory ordering when SQPOLL thread goes to sleep
  (bsc#1205205).
- io_uring: ensure that fsnotify is always called (bsc#1205205).
- io_uring: recycle provided before arming poll (bsc#1205205).
- io_uring: don't check unrelated req->open.how in accept request
  (bsc#1205205).
- io_uring: manage provided buffers strictly ordered
  (bsc#1205205).
- commit 3f82eb0
* Tue Dec 27 2022 krisman@suse.de
- io_uring: fold evfd signalling under a slower path
  (bsc#1205205).
- io_uring: thin down io_commit_cqring() (bsc#1205205).
- io_uring: shuffle io_eventfd_signal() bits around (bsc#1205205).
- io_uring: remove extra barrier for non-sqpoll iopoll
  (bsc#1205205).
- io_uring: fix provided buffer return on failure for kiocb_done()
  (bsc#1205205).
- io_uring: extend provided buf return to fails (bsc#1205205).
- io_uring: refactor timeout cancellation cqe posting
  (bsc#1205205).
- io_uring: normilise naming for fill_cqe* (bsc#1205205).
- io_uring: cache poll/double-poll state with a request flag
  (bsc#1205205).
- io_uring: cache req->apoll->events in req->cflags (bsc#1205205).
- io_uring: move req->poll_refs into previous struct hole
  (bsc#1205205).
- io_uring: recycle apoll_poll entries (bsc#1205205).
- io_uring: remove duplicated member check for io_msg_ring_prep()
  (bsc#1205205).
- io_uring: allow submissions to continue on error (bsc#1205205).
- io_uring: recycle provided buffers if request goes async
  (bsc#1205205).
- io_uring: ensure reads re-import for selected buffers
  (bsc#1205205).
- io_uring: retry early for reads if we can poll (bsc#1205205).
- io_uring: minor io_cqring_wait() optimization (bsc#1205205).
- io_uring: add support for IORING_OP_MSG_RING command
  (bsc#1205205).
- io_uring: speedup provided buffer handling (bsc#1205205).
- io_uring: add support for registering ring file descriptors
  (bsc#1205205).
- commit 93be92b
* Tue Dec 27 2022 tiwai@suse.de
- Update patch reference for mali drm fix (CVE-2022-3115 bsc#1206393)
- commit 92552e2
* Tue Dec 27 2022 tiwai@suse.de
- Update patch reference for wilc1000 fix (CVE-2022-47520 bsc#1206515)
- commit 9822092
* Tue Dec 27 2022 tiwai@suse.de
- kabi/severities: ignore kABI change for meson driver fix (CVE-2022-3112 bsc#1206399)
- commit d487c3e
* Tue Dec 27 2022 tiwai@suse.de
- media: meson: vdec: potential dereference of null pointer
  (CVE-2022-3112 bsc#1206399).
- commit 9d391c5
* Tue Dec 27 2022 oneukum@suse.com
- usb: dwc3: qcom: fix runtime PM wakeup (git-fixes).
- commit e80a310
* Tue Dec 27 2022 tiwai@suse.de
- Update patch reference for BT fix (CVE-2022-3564 bsc#1206073)
- commit 6efc048
* Tue Dec 27 2022 oneukum@suse.com
- usb: dwc3: fix PHY disable sequence (git-fixes).
- commit 7228f51
* Tue Dec 27 2022 oneukum@suse.com
- blacklist.conf: cleanup that depends on the new feature of support for scatter/gather in uvc gadgets
- commit 0558392
* Tue Dec 27 2022 oneukum@suse.com
- blacklist.conf: cleanup that depends on the new feature of support for
  scatter/gather in uvc gadgets
- commit 788ee91
* Tue Dec 27 2022 oneukum@suse.com
- usb: gadget: uvc: rework uvcg_queue_next_buffer to
  uvcg_complete_buffer (git-fixes).
- commit 9523aa1
* Tue Dec 27 2022 oneukum@suse.com
- blacklist.conf: cleanup breaking kABI
- commit e89eed6
* Tue Dec 27 2022 oneukum@suse.com
- blacklist.conf: cleanup designed to break kABI
- commit 8110223
* Tue Dec 27 2022 oneukum@suse.com
- net: usb: smsc95xx: fix external PHY reset (git-fixes).
- commit d0d567a
* Sun Dec 25 2022 lduncan@suse.com
- scsi: iscsi: kabi: add iscsi_conn_queue_work back (git-fixes).
- commit ed33fcf
* Fri Dec 23 2022 krisman@suse.de
- io_uring: documentation fixup (bsc#1205205).
- io_uring: do not recalculate ppos unnecessarily (bsc#1205205).
- io_uring: update kiocb->ki_pos at execution time (bsc#1205205).
- io_uring: remove duplicated calls to io_kiocb_ppos
  (bsc#1205205).
- io_uring: Remove unneeded test in io_run_task_work_sig()
  (bsc#1205205).
- io-uring: Make tracepoints consistent (bsc#1205205).
- io-uring: add __fill_cqe function (bsc#1205205).
- io-wq: use IO_WQ_ACCT_NR rather than hardcoded number
  (bsc#1205205).
- io-wq: reduce acct->lock crossing functions lock/unlock
  (bsc#1205205).
- io-wq: decouple work_list protection from the big wqe->lock
  (bsc#1205205).
- io_uring: Fix use of uninitialized ret in io_eventfd_register()
  (bsc#1205205).
- io_uring: remove ring quiesce for io_uring_register
  (bsc#1205205).
- io_uring: avoid ring quiesce while registering restrictions
  and enabling rings (bsc#1205205).
- io_uring: avoid ring quiesce while registering async eventfd
  (bsc#1205205).
- io_uring: avoid ring quiesce while registering/unregistering
  eventfd (bsc#1205205).
- io_uring: remove trace for eventfd (bsc#1205205).
- io_uring: Remove unused function req_ref_put (bsc#1205205).
- io_uring: fix not released cached task refs (bsc#1205205).
- commit bf0f477
* Fri Dec 23 2022 krisman@suse.de
- io_uring: disallow modification of rsrc_data during quiesce
  (bsc#1205205).
- io_uring: don't convert to jiffies for waiting on timeouts
  (bsc#1205205).
- mm: io_uring: allow oom-killer from io_uring_setup
  (bsc#1205205).
- io_uring: Clean up a false-positive warning from GCC 9.3.0
  (bsc#1205205).
- io_uring: remove unused argument from io_rsrc_node_alloc
  (bsc#1205205).
- io_uring: fix bug in slow unregistering of nodes (bsc#1205205).
- io-wq: delete dead lock shuffling code (bsc#1205205).
- io_uring: perform poll removal even if async work removal is
  successful (bsc#1205205).
- io-wq: add intermediate work step between pending list and
  active work (bsc#1205205).
- io-wq: perform both unstarted and started work cancelations
  in one go (bsc#1205205).
- io-wq: invoke work cancelation with wqe->lock held
  (bsc#1205205).
- io-wq: make io_worker lock a raw spinlock (bsc#1205205).
- io-wq: remove useless 'work' argument to __io_worker_busy()
  (bsc#1205205).
- io_uring: fix UAF due to missing POLLFREE handling
  (bsc#1205205).
- commit 96ef516
* Thu Dec 22 2022 jack@suse.cz
- sbitmap: fix lockup while swapping (bsc#1206602).
- commit dc64fbc
* Thu Dec 22 2022 mbrugger@suse.com
- config: update configs
  Enable CONFIG_DWMAC_TEGRA for arm64.
- commit 1ed0535
* Thu Dec 22 2022 mbrugger@suse.com
- net: stmmac: tegra: Add MGBE support (jsc#PED-1763).
- net: stmmac: Power up SERDES after the PHY link (jsc#PED-1763).
- net: stmmac: power up/down serdes in stmmac_open/release
  (jsc#PED-1763).
- commit c7345bd
* Thu Dec 22 2022 krisman@suse.de
- io_uring: remove redundant tab space (bsc#1205205).
- io_uring: remove unused function parameter (bsc#1205205).
- io_uring: use completion batching for poll rem/upd
  (bsc#1205205).
- io_uring: single shot poll removal optimisation (bsc#1205205).
- commit 92de3cd
* Thu Dec 22 2022 krisman@suse.de
- io_uring: poll rework (bsc#1205205).
- Refresh patches.suse/io_uring-disable-polling-signalfd-pollfree-files.patch
- io_uring: kill poll linking optimisation (bsc#1205205).
- io_uring: move common poll bits (bsc#1205205).
- io_uring: refactor poll update (bsc#1205205).
- io_uring: remove double poll on poll update (bsc#1205205).
- io_uring: code clean for some ctx usage (bsc#1205205).
- io_uring: code clean for completion_lock in
  io_arm_poll_handler() (bsc#1205205).
- commit ac4f119
* Wed Dec 21 2022 krisman@suse.de
- io_uring: batch completion in prior_task_list (bsc#1205205).
- io_uring: split io_req_complete_post() and add a helper
  (bsc#1205205).
- io_uring: add helper for task work execution code (bsc#1205205).
- io_uring: add a priority tw list for irq completion work
  (bsc#1205205).
- io-wq: add helper to merge two wq_lists (bsc#1205205).
- io_uring: reuse io_req_task_complete for timeouts (bsc#1205205).
- io_uring: tweak iopoll CQE_SKIP event counting (bsc#1205205).
- io_uring: simplify selected buf handling (bsc#1205205).
- io_uring: move up io_put_kbuf() and io_put_rw_kbuf()
  (bsc#1205205).
- io_uring: validate timespec for timeout removals (bsc#1205205).
- io_uring: better to use REQ_F_IO_DRAIN for req->flags
  (bsc#1205205).
- io_uring: fix no lock protection for ctx->cq_extra
  (bsc#1205205).
- io_uring: disable drain with cqe skip (bsc#1205205).
- io_uring: don't spinlock when not posting CQEs (bsc#1205205).
- io_uring: add option to skip CQE posting (bsc#1205205).
- io_uring: clean cqe filling functions (bsc#1205205).
- io_uring: improve argument types of kiocb_done() (bsc#1205205).
- io_uring: clean __io_import_iovec() (bsc#1205205).
- io_uring: improve send/recv error handling (bsc#1205205).
- io_uring: simplify reissue in kiocb_done (bsc#1205205).
- commit f85e470
* Wed Dec 21 2022 martin.wilck@suse.com
- scsi: mpt3sas: Fix possible resource leaks in
  mpt3sas_transport_port_add() (jsc#PED-1491).
- commit 9f7633b
* Wed Dec 21 2022 martin.wilck@suse.com
- Move 6.2-rc1 patches to mainline section
- Refresh
  patches.suse/dt-bindings-Add-headers-for-NVDEC-on-Tegra234.patch.
- Refresh
  patches.suse/dt-bindings-tegra-Update-headers-for-Tegra234.patch.
- Refresh
  patches.suse/ibmvnic-Add-hotpluggable-CPU-callbacks-to-reassign-a.patch.
- Refresh
  patches.suse/ibmvnic-Assign-IRQ-affinity-hints-to-device-queues.patch.
- Refresh
  patches.suse/ibmvnic-Update-XPS-assignments-during-affinity-bindi.patch.
- Refresh
  patches.suse/sched-Clear-ttwu_pending-after-enqueue_task.patch.
- Refresh
  patches.suse/scsi-lpfc-Create-a-sysfs-entry-called-lpfc_xcvr_data.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-hard-lockup-when-reading-the-rx_monito.patch.
- Refresh
  patches.suse/scsi-lpfc-Log-when-congestion-management-limits-are-.patch.
- Refresh
  patches.suse/scsi-lpfc-Set-sli4_param-s-cmf-option-to-zero-when-C.patch.
- Refresh
  patches.suse/scsi-lpfc-Update-lpfc-version-to-14.2.0.8.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Add-I-O-pad-table-for-Tegra234.patch.
- commit e7edc3d
* Wed Dec 21 2022 martin.wilck@suse.com
- mpt3sas: Remove usage of dma_get_required_mask api
  (bsc#1206098).
- commit 211db83
* Wed Dec 21 2022 mkoutny@suse.com
- Merge remote-tracking branch 'origin/users/vkarasulli/SLE15-SP5/for-next' into SLE15-SP5
  Pull AMD HSMP patches from Vasant Karasulli
  Conflicts:
  series.conf: git-sort
- commit 7cd30e5
* Wed Dec 21 2022 mkoutny@suse.com
- Merge remote-tracking branch 'origin/SLE15-SP4' into SLE15-SP5
  Dropped patches.kabi/
  New backport of patches.suse/block-Do-not-reread-partition-table-on-exclusively-o.patch
  Conflicts:
  blacklist.conf: dropped kABI items
  patches.suse/drm-amdkfd-Check-for-null-pointer-after-calling-kmem.patch: merged References:
  patches.suse/net-mlx5-Fix-mlx5_get_next_dev-peer-device-matching.patch: --ours
  patches.suse/net-mlx5-Lag-filter-non-compatible-devices.patch: --ours
  patches.suse/timers-implement-usleep_idle_range.patch: dropped duplicate
  series.conf: git-sort
- commit 4be84f8
* Wed Dec 21 2022 mkoutny@suse.com
- Merge remote-tracking branch 'origin/users/mbrugger/SLE15-SP5/for-next' into SLE15-SP5
  Pull Tegra updates from Matthias Brugger
  Conflicts:
  series.conf: manual git-sort
- commit 13eced4
* Wed Dec 21 2022 vkarasulli@suse.de
- amd_hsmp: Add HSMP protocol version 5 messages (jsc#PED-1295).
- commit 5d95b59
* Wed Dec 21 2022 vkarasulli@suse.de
- Documentation: Add x86/amd_hsmp driver (jsc#PED-1295).
- platform/x86: Add AMD system management interface
  (jsc#PED-1295).
  Update config file and supported.conf.
  Note: upstream commit ef233eaf moves all AMD platform drivers
  including this one to a new directory. Other AMD platform drivers
  are not up-to-date on SP5 branch. Hence the mentioned commit is
  omitted from this patch series.
- commit 8176519
* Wed Dec 21 2022 tbogendoerfer@suse.de
- vsock: Enable y2038 safe timeval for timeout (bsc#1206101).
- vsock: Refactor vsock_*_getsockopt to resemble sock_getsockopt
  (bsc#1206101).
- commit e791efd
* Wed Dec 21 2022 mbrugger@suse.com
- pwm: tegra: Improve required rate calculation (jsc#PED-1763).
- phy: tegra: p2u: Set ENABLE_L2_EXIT_RATE_CHANGE in calibration
  (jsc#PED-1763).
- serial: tegra: Read DMA status before terminating
  (jsc#PED-1763).
- memory: tegra: Add API for retrieving carveout bounds
  (jsc#PED-1763).
- commit 4ea4708
* Wed Dec 21 2022 mbrugger@suse.com
- series.conf sort entries
- commit ba7985e
* Wed Dec 21 2022 mbrugger@suse.com
- scripts/git_sort/git_sort.py: add tegra DRM and linux-pwm repo
- commit 8a65be9
* Tue Dec 20 2022 oneukum@suse.com
- net: usb: qmi_wwan: add u-blox 0x1342 composition (git-fixes).
- commit 4371191
* Tue Dec 20 2022 oneukum@suse.com
- blacklist.conf: misattributed
- commit e5b755e
* Tue Dec 20 2022 oneukum@suse.com
- rtc: pcf85063: Fix reading alarm (git-fixes).
- commit 424b0c4
* Tue Dec 20 2022 oneukum@suse.com
- rtc: pcf85063: fix pcf85063_clkout_control (gut-fixes).
- commit 6c3ba9b
* Tue Dec 20 2022 oneukum@suse.com
- rtc: ds1347: fix value written to century register (git-fixes).
- commit c64b579
* Tue Dec 20 2022 oneukum@suse.com
- pci_iounmap'2: Electric Boogaloo: try to make sense of it all
  (git-fixes).
- commit de1a47e
* Tue Dec 20 2022 tbogendoerfer@suse.de
- net/mlx5: Fix mlx5_get_next_dev() peer device matching
  (bsc#1206536).
- net/mlx5: Lag, filter non compatible devices (bsc#1206536).
- commit 7f6b5b4
* Tue Dec 20 2022 jslaby@suse.cz
- Update config files.
  Just run oldconfig. This:
  * shuffles SCSI_UFS symbols due to f8b0a82d3029
  * adds PAHOLE_VERSION due to 540104acb439 and fixes to 9999 by
  198281919002
- commit 2a9d9f1
* Tue Dec 20 2022 jslaby@suse.cz
- scripts: dummy-tools, add pahole (jsc#PED-1368).
- commit 1982819
* Tue Dec 20 2022 jslaby@suse.cz
- x86/microcode: Remove unnecessary perf callback (jsc#PED-1072).
- x86/microcode: Taint and warn on late loading (jsc#PED-1072).
- x86/microcode: Default-disable late loading (jsc#PED-1072).
- Update config files (add MICROCODE_LATE_LOADING=n).
- x86/microcode: Rip out the OLD_INTERFACE (jsc#PED-1072).
- Update config files (drop MICROCODE_OLD_INTERFACE).
- x86/split_lock: Enable the split lock feature on Raptor Lake
  (jsc#PED-1040).
- commit e99cba2
* Tue Dec 20 2022 ptesarik@suse.cz
- KVM: s390: pv: make use of ultravisor AIV support (jsc#PED-628).
- commit 00a8e78
* Mon Dec 19 2022 ptesarik@suse.cz
- KVM: s390: selftests: Fix memop extension capability check
  (jsc#PED-610).
- commit 3b44208
* Mon Dec 19 2022 ptesarik@suse.cz
- s390/zcrypt: Filter admin CPRBs on custom devices (jsc#PED-610).
- s390/zcrypt: Add admask to zcdn (jsc#PED-610).
- s390/zcrypt: CCA control CPRB sending (jsc#PED-610).
- commit ef65cd5
* Mon Dec 19 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 302a460
* Mon Dec 19 2022 oneukum@suse.com
- blacklist.conf: misattributed in upstream, fixes a feature we lack
- commit fca7a76
* Mon Dec 19 2022 oneukum@suse.com
- tracing/doc: Fix typos on the timerlat tracer documentation
  (git-fixes).
- commit f1f58a1
* Mon Dec 19 2022 oneukum@suse.com
- MAINTAINERS: update arm,vic.yaml reference (git-fixes).
- commit 60bf131
* Mon Dec 19 2022 oneukum@suse.com
- MAINTAINERS: fix update references to stm32 audio bindings
  (git-fixes).
- commit 5fab9fb
* Mon Dec 19 2022 oneukum@suse.com
- parisc: Declare pci_iounmap() parisc version only when
  CONFIG_PCI enabled (git-fixes).
- commit dfda08c
* Mon Dec 19 2022 oneukum@suse.com
- blacklist.conf: breaks kABI, not important in our configurations
- commit 93e7ee0
* Mon Dec 19 2022 oneukum@suse.com
- MAINTAINERS: update gpio-zynq.yaml reference (git-fixes).
- commit ced834d
* Mon Dec 19 2022 oneukum@suse.com
- MAINTAINERS: update arm,pl353-smc.yaml reference (git-fixes).
- commit 62c9d5b
* Mon Dec 19 2022 oneukum@suse.com
- efi: Add iMac Pro 2017 to uefi skip cert quirk (git-fixes).
- commit 3bcf3ad
* Mon Dec 19 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit aa1610b
* Mon Dec 19 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 75dccba
* Mon Dec 19 2022 oneukum@suse.com
- af_unix: call proto_unregister() in the error path in
  af_unix_init() (git-fixes).
- commit 03b4484
* Mon Dec 19 2022 oneukum@suse.com
- af_unix: fix potential NULL deref in unix_dgram_connect()
  (git-fixes).
- commit ac6f207
* Mon Dec 19 2022 oneukum@suse.com
- af_unix: Fix NULL pointer bug in unix_shutdown (git-fixes).
- commit 43ff3e3
* Mon Dec 19 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 095062f
* Mon Dec 19 2022 ptesarik@suse.cz
- s390/pci: allow zPCI zbus without a function zero (jsc#PED-600).
- PCI: Extend isolated function probing to s390 (jsc#PED-600).
- PCI: Move jailhouse's isolated function handling to
  pci_scan_slot() (jsc#PED-600).
- PCI: Split out next_ari_fn() from next_fn() (jsc#PED-600).
- PCI: Clean up pci_scan_slot() (jsc#PED-600).
- s390/pci: reset zdev->zbus on registration failure
  (jsc#PED-600).
- commit b9687e0
* Mon Dec 19 2022 jroedel@suse.de
- iommu/amd: Handle return of iommu_device_sysfs_add
  (bsc#1205701).
- Refresh
  patches.suse/iommu-amd-Simplify-and-Consolidate-Virtual-APIC-AVIC-Enablement.
- commit 1433be7
* Mon Dec 19 2022 pjakobsson@suse.de
- drm/amdgpu: don't register a dirty callback for non-atomic
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- Refresh
  patches.suse/Revert-drm-amdgpu-use-dirty-framebuffer-helper.patch.
- commit d217748
* Mon Dec 19 2022 pjakobsson@suse.de
- drm/amdgpu: use dirty framebuffer helper (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225 jsc#PED-2849).
- Refresh
  patches.suse/Revert-drm-amdgpu-use-dirty-framebuffer-helper.patch.
- commit efb9a8b
* Mon Dec 19 2022 neilb@suse.de
- NFSD: fix use-after-free in __nfs42_ssc_open() (bsc#1206209
  CVE-2022-4379).
- commit 42200b2
* Sun Dec 18 2022 ptesarik@suse.cz
- Documentation/virt/kvm/api.rst: Add protvirt dump/info api
  descriptions (jsc#PED-622).
- Refresh
  patches.suse/KVM-s390-resetting-the-Topology-Change-Report.
- commit 8bbc89e
* Sun Dec 18 2022 ptesarik@suse.cz
- KVM: s390: Add KVM_CAP_S390_PROTECTED_DUMP (jsc#PED-622).
- Refresh
  patches.suse/KVM-s390-resetting-the-Topology-Change-Report.
- commit 0bbcaf6
* Sun Dec 18 2022 ptesarik@suse.cz
- KVM: s390: selftests: Use TAP interface in the reset test
  (jsc#PED-622).
- KVM: s390: selftests: Use TAP interface in the tprot test
  (jsc#PED-622).
- KVM: s390: selftests: Use TAP interface in the sync_regs test
  (jsc#PED-622).
- KVM: s390: selftests: Use TAP interface in the memop test
  (jsc#PED-622).
- Documentation/virt/kvm/api.rst: Explain rc/rrc delivery
  (jsc#PED-622).
- Documentation: virt: Protected virtual machine dumps
  (jsc#PED-622).
- KVM: s390: Add CPU dump functionality (jsc#PED-622).
- KVM: s390: Add configuration dump functionality (jsc#PED-622).
- KVM: s390: pv: Add query dump information (jsc#PED-622).
- KVM: s390: pv: Add dump support definitions (jsc#PED-622).
- KVM: s390: pv: Add query interface (jsc#PED-622).
- s390/uv: Add dump fields to query (jsc#PED-622).
- s390/uv: Add SE hdr query information (jsc#PED-622).
- s390: uv: Add offset comments to UV query struct and fix naming
  (jsc#PED-622).
- commit 55e3132
* Fri Dec 16 2022 jroedel@suse.de
- iommu/dma: Add config for PCI SAC address trick (bsc#1205701).
- Update config files.
- commit 97b7b39
* Fri Dec 16 2022 jroedel@suse.de
- iommu/amd: Specify PCI segment ID when getting pci device
  (bsc#1205701).
- Refresh
  patches.suse/iommu-amd-Simplify-and-Consolidate-Virtual-APIC-AVIC-Enablement.
- commit 800b5fe
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Convert global spinlock into per domain lock
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- commit 839dc2e
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Use device_domain_lock accurately (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- commit 6e83adc
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Fold __dmar_remove_one_dev_info() into its caller
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Remove-global-g_iommus-array.patch.
- commit 15dccd5
* Fri Dec 16 2022 jwiesner@suse.de
- locking/rwsem: Disable preemption at all down_write*() and
  up_write() code paths (bsc#1204996).
- commit aa6acce
* Fri Dec 16 2022 jwiesner@suse.de
- locking/rwsem: Disable preemption at all down_read*() and
  up_read() code paths (bsc#1204996).
- commit 83a61ea
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Check device list of domain in domain free path
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Remove-global-g_iommus-array.patch.
- commit 8695954
* Fri Dec 16 2022 jwiesner@suse.de
- locking/rwsem: Prevent non-first waiter from spinning in
  down_write() slowpath (bsc#1204996).
- commit ae50584
* Fri Dec 16 2022 jwiesner@suse.de
- locking/rwsem: drop redundant semicolon of down_write_nest_lock
  (bsc#1204996).
- commit 9ab37a7
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Acquiring lock in pasid manipulation helpers
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- commit e5ecf33
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Replace spin_lock_irqsave() with spin_lock()
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers.
- commit fe39ad7
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Use pci_get_domain_bus_and_slot() in pgtable_walk()
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Remove-global-g_iommus-array.patch.
- commit ce336d9
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Move include/linux/intel-iommu.h under iommu
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- Refresh
  patches.suse/iommu-vt-d-Use-IDA-interface-to-manage-iommu-sequenc.patch.
- commit 6547df5
* Fri Dec 16 2022 jroedel@suse.de
- iommu/arm-smmu-qcom: Add debug support for TLB sync timeouts
  (bsc#1205701).
- Update config files.
- commit bba4fe9
* Fri Dec 16 2022 jroedel@suse.de
- KVM: s390: add KVM_S390_ZPCI_OP to manage guest zPCI devices
  (bsc#1205701).
- Refresh
  patches.suse/KVM-s390-resetting-the-Topology-Change-Report.
- commit 49355f9
* Fri Dec 16 2022 jroedel@suse.de
- vfio/pci: introduce CONFIG_VFIO_PCI_ZDEV_KVM (bsc#1205701).
- Update config files.
- commit 094e4b9
* Fri Dec 16 2022 jroedel@suse.de
- drm: Implement DRM aperture helpers under video/ (bsc#1205701).
- Update config files.
- commit 3715129
* Fri Dec 16 2022 jroedel@suse.de
- vfio/ccw: Remove mdev from struct channel_program (bsc#1205701).
- Refresh patches.suse/vfio-ccw-Remove-UUID-from-s390-debug-log.
- commit 6c3bcd2
* Fri Dec 16 2022 jroedel@suse.de
- bus: platform,amba,fsl-mc,PCI: Add device DMA ownership
  management (bsc#1205701).
- Refresh patches.suse/0001-kABI-more-hooks-for-PCI-changes.patch.
- commit f23ce3c
* Fri Dec 16 2022 jroedel@suse.de
- iommu/vt-d: Change return type of dmar_insert_one_dev_info()
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers.
- commit d5aeb78
* Fri Dec 16 2022 jroedel@suse.de
- x86: remove the IOMMU table infrastructure (bsc#1205701).
- Refresh patches.suse/iommu-amd-Enable-swiotlb-in-all-cases.
- commit 85a678e
* Fri Dec 16 2022 jroedel@suse.de
- vfio/mdev: Remove mdev drvdata (bsc#1205701).
- Update patches.suse/vfio-ccw-Remove-UUID-from-s390-debug-log
  (bsc#1205701).
- commit 98a89f5
* Fri Dec 16 2022 jroedel@suse.de
- vfio/mdev: Remove mdev_parent_ops (bsc#1205701).
- Refresh patches.suse/vfio-ccw-Remove-UUID-from-s390-debug-log.
- commit d6f8f34
* Fri Dec 16 2022 jroedel@suse.de
- s390/vfio-ap: bypass unnecessary processing of AP resources
  (bsc#1205701).
- KVM: s390: pci: register pci hooks without interpretation
  (bsc#1205701).
- KVM: s390: pci: fix GAIT physical vs virtual pointers usage
  (bsc#1205701).
- KVM: s390: pci: fix plain integer as NULL pointer warnings
  (bsc#1205701).
- iommu/vt-d: Check correct capability for sagaw determination
  (bsc#1205701).
- Revert "iommu/vt-d: Fix possible recursive locking in
  intel_iommu_init()" (bsc#1205701).
- iommu: Fix false ownership failure on AMD systems with PASID
  activated (bsc#1205701).
- iommu/vt-d: Fix possible recursive locking in intel_iommu_init()
  (bsc#1205701).
- iommu/virtio: Fix interaction with VFIO (bsc#1205701).
- iommu/vt-d: Fix lockdep splat due to klist iteration in atomic
  context (bsc#1205701).
- iommu/vt-d: Fix recursive lock issue in iommu_flush_dev_iotlb()
  (bsc#1205701).
- iommu/vt-d: Correctly calculate sagaw value of IOMMU
  (bsc#1205701).
- iommu/vt-d: Fix kdump kernels boot failure with scalable mode
  (bsc#1205701).
- iommu/amd: use full 64-bit value in build_completion_wait()
  (bsc#1205701).
- KVM: s390: pci: Hook to access KVM lowlevel from VFIO
  (bsc#1205701).
- Revert "iommu/of: Delete usage of
  driver_deferred_probe_check_state()" (bsc#1205701).
- vfio: Move vfio.c to vfio_main.c (bsc#1205701).
- lib/bitmap: change type of bitmap_weight to unsigned long
  (bsc#1205701).
- s390/docs: fix warnings for vfio_ap driver doc (bsc#1205701).
- s390/docs: fix warnings for vfio_ap driver lock usage doc
  (bsc#1205701).
- s390/Docs: new doc describing lock usage by the vfio_ap device
  driver (bsc#1205701).
- s390/vfio-ap: update docs to include dynamic config support
  (bsc#1205701).
- s390/vfio-ap: handle config changed and scan complete
  notification (bsc#1205701).
- s390/vfio-ap: sysfs attribute to display the guest's matrix
  (bsc#1205701).
- s390/vfio-ap: implement in-use callback for vfio_ap driver
  (bsc#1205701).
- s390/vfio-ap: reset queues after adapter/domain unassignment
  (bsc#1205701).
- s390/vfio-ap: hot plug/unplug of AP devices when probed/removed
  (bsc#1205701).
- s390/vfio-ap: allow hot plug/unplug of AP devices when
  assigned/unassigned (bsc#1205701).
- s390/vfio-ap: prepare for dynamic update of guest's APCB on
  queue probe/remove (bsc#1205701).
- s390/vfio-ap: prepare for dynamic update of guest's APCB on
  assign/unassign (bsc#1205701).
- s390/vfio-ap: use proper locking order when setting/clearing
  KVM pointer (bsc#1205701).
- s390/vfio-ap: introduce new mutex to control access to the
  KVM pointer (bsc#1205701).
- s390/vfio-ap: rename matrix_dev->lock mutex to
  matrix_dev->mdevs_lock (bsc#1205701).
- s390/vfio-ap: allow assignment of unavailable AP queues to
  mdev device (bsc#1205701).
- s390/vfio-ap: refresh guest's APCB by filtering AP resources
  assigned to mdev (bsc#1205701).
- s390/vfio-ap: introduce shadow APCB (bsc#1205701).
- s390/vfio-ap: manage link between queue struct and matrix mdev
  (bsc#1205701).
- s390/vfio-ap: move probe and remove callbacks to vfio_ap_ops.c
  (bsc#1205701).
- s390/vfio-ap: use new AP bus interface to search for queue
  devices (bsc#1205701).
- Revert "iommu/dma: Add config for PCI SAC address trick"
  (bsc#1205701).
- PCI/P2PDMA: Remove pci_p2pdma_map_sg() (bsc#1205701).
- RDMA/rw: drop pci_p2pdma_map_sg() (bsc#1205701).
- RDMA/core: introduce ib_dma_pci_p2p_dma_supported()
  (bsc#1205701).
- nvme-pci: check DMA ops when indicating support for PCI P2PDMA
  (bsc#1205701).
- iommu/dma: support PCI P2PDMA pages in dma-iommu map_sg
  (bsc#1205701).
- iommu: Explicitly skip bus address marked segments in
  __iommu_map_sg() (bsc#1205701).
- dma-mapping: add flags to dma_map_ops to indicate PCI P2PDMA
  support (bsc#1205701).
- dma-direct: support PCI P2PDMA pages in dma-direct map_sg
  (bsc#1205701).
- dma-mapping: allow EREMOTEIO return code for P2PDMA transfers
  (bsc#1205701).
- PCI/P2PDMA: Introduce helpers for dma_map_sg implementations
  (bsc#1205701).
- PCI/P2PDMA: Attempt to set map_type if it has not been set
  (bsc#1205701).
- lib/scatterlist: add flag for indicating P2PDMA segments in
  an SGL (bsc#1205701).
- scsi: scsi_transport_sas: cap shost opt_sectors according to
  DMA optimal limit (bsc#1205701).
- scsi: sd: allow max_sectors be capped at DMA optimal size limit
  (bsc#1205701).
- scsi: core: cap shost max_sectors according to DMA limits only
  once (bsc#1205701).
- dma-iommu: add iommu_dma_opt_mapping_size() (bsc#1205701).
- dma-mapping: add dma_opt_mapping_size() (bsc#1205701).
- iommu/arm-smmu-v3: cleanup arm_smmu_dev_{enable,disable}_feature
  (bsc#1205701).
- iommu: remove the put_resv_regions method (bsc#1205701).
- iommu: remove iommu_dev_feature_enabled (bsc#1205701).
- iommu: remove the unused dev_has_feat method (bsc#1205701).
- iommu/iova: change IOVA_MAG_SIZE to 127 to save memory
  (bsc#1205701).
- iommu: Clean up release_device checks (bsc#1205701).
- iommu: Make .release_device optional (bsc#1205701).
- iommu: Use dev_iommu_ops() for probe_finalize (bsc#1205701).
- iommu/arm-smmu: Get associated RMR info and install bypass SMR
  (bsc#1205701).
- iommu/arm-smmu-v3: Get associated RMR info and install bypass
  STE (bsc#1205701).
- iommu/arm-smmu-v3: Refactor arm_smmu_init_bypass_stes() to
  force bypass (bsc#1205701).
- iommu/arm-smmu-v3: Introduce strtab init helper (bsc#1205701).
- iommu/dma: Fix race condition during iova_domain initialization
  (bsc#1205701).
- iommu: Directly use ida_alloc()/free() (bsc#1205701).
- iommu/amd: Fix compile warning in init code (bsc#1205701).
- iommu/amd: Add support for AVIC when SNP is enabled
  (bsc#1205701).
- iommu/amd: Do not support IOMMUv2 APIs when SNP is enabled
  (bsc#1205701).
- iommu/amd: Do not support IOMMU_DOMAIN_IDENTITY after SNP is
  enabled (bsc#1205701).
- iommu/amd: Set translation valid bit only when IO page tables
  are in use (bsc#1205701).
- iommu/amd: Introduce function to check and enable SNP
  (bsc#1205701).
- iommu/amd: Globally detect SNP support (bsc#1205701).
- iommu/amd: Process all IVHDs before enabling IOMMU features
  (bsc#1205701).
- iommu/amd: Introduce global variable for storing common EFR
  and EFR2 (bsc#1205701).
- iommu/amd: Introduce Support for Extended Feature 2 Register
  (bsc#1205701).
- iommu/amd: Change macro for IOMMU control register bit shift
  to decimal value (bsc#1205701).
- iommu/amd: Update amd_iommu_fault structure to include PCI
  seg ID (bsc#1205701).
- iommu/amd: Update device_state structure to include PCI seg ID
  (bsc#1205701).
- iommu/amd: Print PCI segment ID in error log messages
  (bsc#1205701).
- iommu/amd: Add PCI segment support for ivrs_ commands
  (bsc#1205701).
- iommu/amd: Include PCI segment ID when initialize IOMMU
  (bsc#1205701).
- iommu/amd: Introduce get_device_sbdf_id() helper function
  (bsc#1205701).
- iommu/amd: Flush upto last_bdf only (bsc#1205701).
- iommu/amd: Remove global
  amd_iommu_[dev_table/alias_table/last_bdf] (bsc#1205701).
- iommu/amd: Update set_dev_entry_bit() and get_dev_entry_bit()
  (bsc#1205701).
- iommu/amd: Update (un)init_device_table_dma() (bsc#1205701).
- iommu/amd: Update set_dte_irq_entry (bsc#1205701).
- iommu/amd: Update dump_dte_entry (bsc#1205701).
- iommu/amd: Update iommu_ignore_device (bsc#1205701).
- iommu/amd: Update set_dte_entry and clear_dte_entry
  (bsc#1205701).
- iommu/amd: Convert to use per PCI segment rlookup_table
  (bsc#1205701).
- iommu/amd: Update alloc_irq_table and alloc_irq_index
  (bsc#1205701).
- iommu/amd: Update amd_irte_ops functions (bsc#1205701).
- iommu/amd: Introduce struct amd_ir_data.iommu (bsc#1205701).
- iommu/amd: Update irq_remapping_alloc to use IOMMU lookup
  helper function (bsc#1205701).
- iommu/amd: Convert to use rlookup_amd_iommu helper function
  (bsc#1205701).
- iommu/amd: Convert to use per PCI segment irq_lookup_table
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment rlookup table size
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment alias table size
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment device table size
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment last_bdf (bsc#1205701).
- iommu/amd: Introduce per PCI segment unity map list
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment alias_table (bsc#1205701).
- iommu/amd: Introduce per PCI segment old_dev_tbl_cpy
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment dev_data_list
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment irq_lookup_table
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment rlookup table
  (bsc#1205701).
- iommu/amd: Introduce per PCI segment device table (bsc#1205701).
- iommu/amd: Introduce pci segment structure (bsc#1205701).
- iommu/amd: Update struct iommu_dev_data definition
  (bsc#1205701).
- iommu/vt-d: Remove unused domain_get_iommu() (bsc#1205701).
- iommu/vt-d: Unnecessary spinlock for root table alloc and free
  (bsc#1205701).
- iommu/vt-d: Remove clearing translation data in
  disable_dmar_iommu() (bsc#1205701).
- iommu/vt-d: debugfs: Remove device_domain_lock usage
  (bsc#1205701).
- iommu/vt-d: Remove unused iovad from dmar_domain (bsc#1205701).
- x86/boot/tboot: Move tboot_force_iommu() to Intel IOMMU
  (bsc#1205701).
- KVM: x86: Remove unnecessary include (bsc#1205701).
- drm/i915: Remove unnecessary include (bsc#1205701).
- iommu/vt-d: Remove unnecessary exported symbol (bsc#1205701).
- agp/intel: Use per device iommu check (bsc#1205701).
- iommu/vt-d: Move trace/events/intel_iommu.h under iommu
  (bsc#1205701).
- iommu/virtio: Add map/unmap_pages() callbacks implementation
  (bsc#1205701).
- iommu/arm-smmu-qcom: Add SM6375 SMMU compatible (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for Qualcomm SM6375
  (bsc#1205701).
- iommu: arm-smmu-impl: Add 8250 display compatible to the client
  list (bsc#1205701).
- drivers: iommu: fix clang -wformat warning (bsc#1205701).
- iommu/mediatek: Log with dev_err_probe when failing to parse
  dts (bsc#1205701).
- iommu/mediatek: Allow page table PA up to 35bit (bsc#1205701).
- iommu/io-pgtable-arm-v7s: Add a quirk to allow pgtable PA up
  to 35bit (bsc#1205701).
- iommu/mediatek: Cleanup pericfg lookup flow (bsc#1205701).
- iommu/mediatek: Lookup phandle to retrieve syscon to infracfg
  (bsc#1205701).
- dt-bindings: iommu: mediatek: Add mediatek,infracfg phandle
  (bsc#1205701).
- iommu/exynos: Enable default VM instance on SysMMU v7
  (bsc#1205701).
- iommu/exynos: Add SysMMU v7 register set (bsc#1205701).
- iommu/exynos: Abstract non-common registers on different
  variants (bsc#1205701).
- iommu/exynos: Set correct dma mask for SysMMU v5+ (bsc#1205701).
- iommu/exynos: Reuse SysMMU constants for page size and order
  (bsc#1205701).
- iommu/exynos: Make driver independent of the system page size
  (bsc#1205701).
- vfio/pci: fix the wrong word (bsc#1205701).
- vfio/ccw: Check return code from subchannel quiesce
  (bsc#1205701).
- vfio/ccw: Remove FSM Close from remove handlers (bsc#1205701).
- vfio/ccw: Add length to DMA_UNMAP checks (bsc#1205701).
- vfio: Replace phys_pfn with pages for vfio_pin_pages()
  (bsc#1205701).
- vfio/ccw: Add kmap_local_page() for memcpy (bsc#1205701).
- vfio: Rename user_iova of vfio_dma_rw() (bsc#1205701).
- vfio/ccw: Change pa_pfn list to pa_iova list (bsc#1205701).
- vfio/ap: Change saved_pfn to saved_iova (bsc#1205701).
- vfio: Pass in starting IOVA to vfio_pin/unpin_pages API
  (bsc#1205701).
- vfio/ccw: Only pass in contiguous pages (bsc#1205701).
- vfio/ap: Pass in physical address of ind to ap_aqic()
  (bsc#1205701).
- vfio: Make vfio_unpin_pages() return void (bsc#1205701).
- vfio/spapr_tce: Fix the comment (bsc#1205701).
- vfio: Replace the iommu notifier with a device list
  (bsc#1205701).
- vfio: Replace the DMA unmapping notifier with a callback
  (bsc#1205701).
- vfio/ccw: Move FSM open/close to MDEV open/close (bsc#1205701).
- vfio/ccw: Refactor vfio_ccw_mdev_reset (bsc#1205701).
- vfio/ccw: Create a CLOSE FSM event (bsc#1205701).
- vfio/ccw: Create an OPEN FSM Event (bsc#1205701).
- vfio/ccw: Update trace data for not operational event
  (bsc#1205701).
- vfio/ccw: Flatten MDEV device (un)register (bsc#1205701).
- vfio/ccw: Pass enum to FSM event jumptable (bsc#1205701).
- vfio/ccw: Remove private->mdev (bsc#1205701).
- vfio/pci: fix the wrong word (bsc#1205701).
- vfio/spapr_tce: Remove the unused parameters container
  (bsc#1205701).
- vfio: Move "device->open_count--" out of group_rwsem in
  vfio_device_open() (bsc#1205701).
- vfio: remove useless judgement (bsc#1205701).
- vfio: check iommu_group_set_name() return value (bsc#1205701).
- vfio: check vfio_register_iommu_driver() return value
  (bsc#1205701).
- vfio: Use device_iommu_capable() (bsc#1205701).
- vfio/type1: Simplify bus_type determination (bsc#1205701).
- vfio: Split migration ops from main device ops (bsc#1205701).
- vfio/mlx5: Protect mlx5vf_disable_fds() upon close device
  (bsc#1205701).
- vfio: de-extern-ify function prototypes (bsc#1205701).
- KVM: s390/pci: fix include duplicates (bsc#1205701).
- vfio-pci/zdev: different maxstbl for interpreted devices
  (bsc#1205701).
- vfio-pci/zdev: add function handle to clp base capability
  (bsc#1205701).
- vfio-pci/zdev: add open/close device hooks (bsc#1205701).
- KVM: s390: pci: add routines to start/stop interpretive
  execution (bsc#1205701).
- KVM: s390: pci: provide routines for enabling/disabling
  interrupt forwarding (bsc#1205701).
- KVM: s390: mechanism to enable guest zPCI Interpretation
  (bsc#1205701).
- KVM: s390: pci: enable host forwarding of Adapter Event
  Notifications (bsc#1205701).
- KVM: s390: pci: do initial setup for AEN interpretation
  (bsc#1205701).
- KVM: s390: pci: add basic kvm_zdev structure (bsc#1205701).
- s390/pci: stash dtsm and maxstbl (bsc#1205701).
- s390/pci: stash associated GISA designation (bsc#1205701).
- s390/pci: externalize the SIC operation controls and routine
  (bsc#1205701).
- s390/airq: allow for airq structure that uses an input vector
  (bsc#1205701).
- s390/airq: pass more TPI info to airq handlers (bsc#1205701).
- s390/sclp: detect the AISI facility (bsc#1205701).
- s390/sclp: detect the AENI facility (bsc#1205701).
- s390/sclp: detect the AISII facility (bsc#1205701).
- s390/sclp: detect the zPCI load/store interpretation facility
  (bsc#1205701).
- treewide: Replace GPLv2 boilerplate/reference with SPDX -
  gpl-2.0_8.RULE (bsc#1205701).
- iommu/of: Delete usage of driver_deferred_probe_check_state()
  (bsc#1205701).
- vfio/pci: Remove console drivers (bsc#1205701).
- vfio: do not set FMODE_LSEEK flag (bsc#1205701).
- vfio: Move IOMMU_CAP_CACHE_COHERENCY test to after we know we
  have a group (bsc#1205701).
- iommu/ipmmu-vmsa: Fix compatible for rcar-gen4 (bsc#1205701).
- dt-bindings: Add xen,grant-dma IOMMU description for xen-grant
  DMA ops (bsc#1205701).
- vfio: remove VFIO_GROUP_NOTIFY_SET_KVM (bsc#1205701).
- vfio/pci: Add driver_managed_dma to the new vfio_pci drivers
  (bsc#1205701).
- vfio: Do not manipulate iommu dma_owner for fake iommu groups
  (bsc#1205701).
- vfio/pci: Move the unused device into low power state with
  runtime PM (bsc#1205701).
- vfio/pci: Virtualize PME related registers bits and initialize
  to zero (bsc#1205701).
- vfio/pci: Change the PF power state to D0 before enabling VFs
  (bsc#1205701).
- vfio/pci: Invalidate mmaps and block the access in D3hot power
  state (bsc#1205701).
- vfio: Change struct vfio_group::container_users to a non-atomic
  int (bsc#1205701).
- vfio: Simplify the life cycle of the group FD (bsc#1205701).
- vfio: Fully lock struct vfio_group::container (bsc#1205701).
- vfio: Split up vfio_group_get_device_fd() (bsc#1205701).
- vfio: Change struct vfio_group::opened from an atomic to bool
  (bsc#1205701).
- vfio: Add missing locking for struct vfio_group::kvm
  (bsc#1205701).
- include/uapi/linux/vfio.h: Fix trivial typo - _IORW should be
  _IOWR instead (bsc#1205701).
- vfio/pci: Use the struct file as the handle not the vfio_group
  (bsc#1205701).
- kvm/vfio: Remove vfio_group from kvm (bsc#1205701).
- vfio: Change vfio_group_set_kvm() to vfio_file_set_kvm()
  (bsc#1205701).
- vfio: Change vfio_external_check_extension() to
  vfio_file_enforced_coherent() (bsc#1205701).
- vfio: Remove vfio_external_group_match_file() (bsc#1205701).
- vfio: Change vfio_external_user_iommu_id() to
  vfio_file_iommu_group() (bsc#1205701).
- kvm/vfio: Store the struct file in the kvm_vfio_group
  (bsc#1205701).
- kvm/vfio: Move KVM_DEV_VFIO_GROUP_* ioctls into functions
  (bsc#1205701).
- vfio: Delete container_q (bsc#1205701).
- vfio/pci: Remove vfio_device_get_from_dev() (bsc#1205701).
- vfio/pci: Have all VFIO PCI drivers store the
  vfio_pci_core_device in drvdata (bsc#1205701).
- vfio: Remove calls to vfio_group_add_container_user()
  (bsc#1205701).
- vfio: Remove dead code (bsc#1205701).
- drm/i915/gvt: Change from vfio_group_(un)pin_pages to
  vfio_(un)pin_pages (bsc#1205701).
- vfio/mdev: Pass in a struct vfio_device * to vfio_dma_rw()
  (bsc#1205701).
- vfio/mdev: Pass in a struct vfio_device * to
  vfio_pin/unpin_pages() (bsc#1205701).
- vfio: Make vfio_(un)register_notifier accept a vfio_device
  (bsc#1205701).
- vfio: Stop using iommu_present() (bsc#1205701).
- vfio/mlx5: Run the SAVE state command in an async mode
  (bsc#1205701).
- vfio/mlx5: Refactor to enable VFs migration in parallel
  (bsc#1205701).
- vfio/mlx5: Manage the VF attach/detach callback from the PF
  (bsc#1205701).
- iommu/s390: Tolerate repeat attach_dev calls (bsc#1205701).
- iommu: iommu_group_claim_dma_owner() must always assign a domain
  (bsc#1205701).
- iommu: Remove iommu group changes notifier (bsc#1205701).
- vfio: Remove iommu group notifier (bsc#1205701).
- vfio: Delete the unbound_list (bsc#1205701).
- vfio: Remove use of vfio_group_viable() (bsc#1205701).
- vfio: Set DMA ownership for VFIO devices (bsc#1205701).
- PCI: portdrv: Set driver_managed_dma (bsc#1205701).
- PCI: pci_stub: Set driver_managed_dma (bsc#1205701).
- amba: Stop sharing platform_dma_configure() (bsc#1205701).
- driver core: Add dma_cleanup callback in bus_type (bsc#1205701).
- iommu: Add DMA ownership management interfaces (bsc#1205701).
- iommu/amd: Remove redundant check (bsc#1205701).
- iommu/amd: Do not call sleep while holding spinlock
  (bsc#1205701).
- iommu/vt-d: Remove hard coding PGSNP bit in PASID entries
  (bsc#1205701).
- iommu/vt-d: Remove domain_update_iommu_snooping() (bsc#1205701).
- iommu/vt-d: Check domain force_snooping against attached devices
  (bsc#1205701).
- iommu/vt-d: Block force-snoop domain attaching if no SC support
  (bsc#1205701).
- iommu/vt-d: Size Page Request Queue to avoid overflow condition
  (bsc#1205701).
- iommu/vt-d: Fold dmar_insert_one_dev_info() into its caller
  (bsc#1205701).
- iommu/vt-d: Remove unneeded validity check on dev (bsc#1205701).
- iommu/dma: Explicitly sort PCI DMA windows (bsc#1205701).
- iommu/dma: Fix iova map result check bug (bsc#1205701).
- vfio: Require that devices support DMA cache coherence
  (bsc#1205701).
- iommu: Redefine IOMMU_CAP_CACHE_COHERENCY as the cap flag for
  IOMMU_CACHE (bsc#1205701).
- vfio: Move the Intel no-snoop control off of IOMMU_CACHE
  (bsc#1205701).
- iommu: Introduce the domain op enforce_cache_coherency()
  (bsc#1205701).
- dt-bindings: iommu: Drop client node in examples (bsc#1205701).
- iommu/amd: Indicate whether DMA remap support is enabled
  (bsc#1205701).
- dma-iommu: Check that swiotlb is active before trying to use it
  (bsc#1205701).
- iommu/fsl_pamu: Prepare cleanup of powerpc's asm/prom.h
  (bsc#1205701).
- iommu/arm-smmu: Force identity domains for legacy binding
  (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for Tegra234 SOC
  (bsc#1205701).
- dt-bindings: arm-smmu: Document nvidia,memory-controller
  property (bsc#1205701).
- iommu/arm-smmu-qcom: Add SC8280XP support (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for Qualcomm SC8280XP
  (bsc#1205701).
- iommu/arm-smmu-v3: check return value after calling
  platform_get_resource() (bsc#1205701).
- iommu/arm-smmu: fix possible null-ptr-deref in
  arm_smmu_device_probe() (bsc#1205701).
- dt-bindings: arm-smmu: Add binding for SDX65 SMMU (bsc#1205701).
- iommu/msm: Add a check for the return of kzalloc()
  (bsc#1205701).
- iommu/mediatek: Add mt8186 iommu support (bsc#1205701).
- iommu/mediatek: mt8195: Enable multi banks for infra iommu
  (bsc#1205701).
- iommu/mediatek: Backup/restore regsiters for multi banks
  (bsc#1205701).
- iommu/mediatek: Initialise/Remove for multi bank dev
  (bsc#1205701).
- iommu/mediatek: Get the proper bankid for multi banks
  (bsc#1205701).
- iommu/mediatek: Change the domid to iova_region_id
  (bsc#1205701).
- iommu/mediatek: Initialise bank HW for each a bank
  (bsc#1205701).
- iommu/mediatek: Add mtk_iommu_bank_data structure (bsc#1205701).
- iommu/mediatek-v1: Just rename mtk_iommu to mtk_iommu_v1
  (bsc#1205701).
- iommu/mediatek: Remove mtk_iommu.h (bsc#1205701).
- iommu/mediatek: Separate mtk_iommu_data for v1 and v2
  (bsc#1205701).
- iommu/mediatek: Just move code position in hw_init
  (bsc#1205701).
- iommu/mediatek: Only adjust code about register base
  (bsc#1205701).
- iommu/mediatek: Add mt8195 support (bsc#1205701).
- iommu/mediatek: Add PCIe support (bsc#1205701).
- iommu/mediatek: Add infra iommu support (bsc#1205701).
- iommu/mediatek: Add a PM_CLK_AO flag for infra iommu
  (bsc#1205701).
- iommu/mediatek: Allow IOMMU_DOMAIN_UNMANAGED for PCIe VFIO
  (bsc#1205701).
- iommu/mediatek: Adjust device link when it is sub-common
  (bsc#1205701).
- iommu/mediatek: Contain MM IOMMU flow with the MM TYPE
  (bsc#1205701).
- iommu/mediatek: Add IOMMU_TYPE flag (bsc#1205701).
- iommu/mediatek: Add SUB_COMMON_3BITS flag (bsc#1205701).
- iommu/mediatek: Always enable output PA over 32bits in isr
  (bsc#1205701).
- iommu/mediatek: Remove the granule in the tlb flush
  (bsc#1205701).
- iommu/mediatek: Add a flag STD_AXI_MODE (bsc#1205701).
- iommu/mediatek: Add a flag DCM_DISABLE (bsc#1205701).
- iommu/mediatek: Add 12G~16G support for multi domains
  (bsc#1205701).
- iommu/mediatek: Adapt sharing and non-sharing pgtable case
  (bsc#1205701).
- iommu/mediatek: Add mutex for data in the mtk_iommu_domain
  (bsc#1205701).
- dt-bindings: mediatek: mt8186: Add binding for MM iommu
  (bsc#1205701).
- dt-bindings: mediatek: mt8195: Add binding for infra IOMMU
  (bsc#1205701).
- dt-bindings: mediatek: mt8195: Add binding for MM IOMMU
  (bsc#1205701).
- dt-bindings: iommu: Add Apple SART DMA address filter
  (bsc#1205701).
- vfio/mdev: Use the driver core to create the 'remove' file
  (bsc#1205701).
- vfio/mdev: Remove mdev_parent_ops dev_attr_groups (bsc#1205701).
- vfio/mdev: Remove vfio_mdev.c (bsc#1205701).
- iommu/vt-d: Add RPLS to quirk list to skip TE disabling
  (bsc#1205701).
- dt-bindings: iommu: arm,smmu-v3: make PRI IRQ optional
  (bsc#1205701).
- s390/vfio-ap: remove superfluous MODULE_DEVICE_TABLE declaration
  (bsc#1205701).
- s390/vfio-ap: fix kernel doc and signature of group notifier
  functions (bsc#1205701).
- s390/ap: notify drivers on config changed and scan complete
  callbacks (bsc#1205701).
- s390/ap: driver callback to indicate resource in use
  (bsc#1205701).
- s390/vfio-ap: add s390dbf logging to the vfio_ap_irq_enable
  function (bsc#1205701).
- s390/vfio-ap: add s390dbf logging to the handle_pqap function
  (bsc#1205701).
- s390-vfio-ap: introduces s390 kernel debug feature for vfio_ap
  device driver (bsc#1205701).
- vfio-pci: Provide reviewers and acceptance criteria for variant
  drivers (bsc#1205701).
- iommu/vt-d: Remove unused macros (bsc#1205701).
- s390/ap: add missing virt_to_phys address conversion
  (bsc#1205701).
- kvm: use kvfree() in kvm_arch_free_vm() (bsc#1205701).
- xen/pci-swiotlb: reduce visibility of symbols (bsc#1205701).
- commit 15d9c5c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix array index out of bound error in DCN32 DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8aa6c97
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/sdma_v4_0: turn off SDMA ring buffer in the s2idle suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 49f3c9e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: enable Vangogh VCN indirect sram mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit af498fa
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: temporarily disable broken Clang builds due to blown (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8d5c42f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: re-use original vcn0 doorbell value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d99481f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Partially revert "drm/amdgpu: update drm_display_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2c3128
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: No display after resume from WB/CB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4e293d8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix use-after-free during gpu recovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f70a16e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: update driver if header for smu_13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c1c27f1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix rotated cursor offset calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 372fb8a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Use new num clk levels struct for max mclk index (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01c3466
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Avoid setting pixel rate divider to N/A (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ed7c2d2
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Use viewport height for subvp mall allocation size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 227a2c3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update soc bounding box for dcn32/dcn321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2a14e0d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/dc/dce120: Fix audio register mapping, stop triggering KASAN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea95cf0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/psp: don't free PSP buffers on suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b752ee2
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/amdgpu: reserve vm invalidation engine for firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 73725d7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable Aldebaran devices to report CU Occupancy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb1843d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix userptr HMM range handling v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9c6f99e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: always register an MMU notifier for userptr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 488af43
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Align dcn314_smu logging with other DCNs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 47daf6f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: handle gang submit before VMID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2e40f26
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: fix SMU13 runpm hang due to unintentional workaround (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d842fb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: enable runpm support over BACO for SMU13.0.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f6e4564
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: enable runpm support over BACO for SMU13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e28421
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: there is no vbios fb on devices with no display hw (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f30325
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix a memory limit issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4e5fa04
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: disable BACO support on more cards (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2e87f6a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: don't enable DRM CRTC degamma property for DCE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b484933
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Set max for prefetch lines on dcn32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4975232
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: use uclk pstate latency for fw assisted mclk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c53c7d1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix prefetch calculations for dcn32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit add676e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix optc2_configure warning on dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1540b31
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix calculation for cursor CAB allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fc83236
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Support parsing VRAM info v3.0 from VBIOS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit eafd9f9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix invalid DPIA AUX reply causing system hang (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aba8536
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Add psp_13_0_10_ta firmware to modinfo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aa2bcab
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix access timeout to DPIA AUX at boot time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ddeb074
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix memory leak in amdgpu_cs_pass1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 046cfae
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use the last IB as gang leader v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fbdd0a9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the lpfn checking condition in drm buddy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4df5666
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: only fill dirty rectangles when PSR is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9a88d7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Drop eviction lock when allocating PT BO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 054dd2c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Unlock bo_list_mutex after error handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bb9a6b5
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: Revert "drm/amdgpu: getting fan speed pwm for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c82dc51
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Enforce minimum prefetch time for low memclk on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 310085b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix gpio port mapping issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4cf8144
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix reg timeout in enc314_enable_fifo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1be3549
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix FCLK deviation and tool compile issues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c8e16e7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Zeromem mypipe heap struct before using it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f74533b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update SR watermarks for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 46fc61a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: workaround for TLB seq race (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cda9bf5
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix error handling in criu_checkpoint (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7941be7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix error handling in kfd_criu_restore_events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e5a722a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU IP v13.0.4 msg interface header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 22eb991
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: update GFX11 CWSR trap handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2bbc7c8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Investigate tool reported FCLK P-state deviations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 686c453
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add DSC delay factor workaround (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d353e7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Round up DST_after_scaler to nearest int (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 72d37f5
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Use forced DSC bpp in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 47f1738
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix DCN32 DSC delay calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b3565dd
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Disable GPU reset on SRIOV before remove pci. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 83c329a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: disable GFXOFF during compute for GFX11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4d9c917
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: Fail the suspend if resources can't be evicted (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e432740
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: correct MES debugfs versions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cce455c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: set fb_modifiers_not_supported in vkms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4cc66a1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: cursor update command incomplete (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bddbf43
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Enable timing sync on DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit eb80e5a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Set memclk levels to be at least 1 for dcn32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 465b42d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update latencies on DCN321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 882ff77
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Limit dcn32 to 1950Mhz display clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ab89fbe
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Ignore Cable ID Feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8980093
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update DSC capabilitie for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2283318
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: disallow gfxoff until GC IP blocks complete s2idle resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 25847ed
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Revert logic for plane modifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4b88d0a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: correct the cache info for gfx1036 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d5c103d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: update gfx1037 Lx cache setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aa7c452
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: skip mes self test for gc 11.0.3 in recover (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cde6da4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: Add IMU fw version to fw version queries (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6db4a7e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Don't return false if no stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e42d740
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove wrong pipe control lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6822a33
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: allow gfxoff on gc_11_0_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7554344
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Remove ATC L2 access for MMHUB 2.1.x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a08b227
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Adjust MES polling timeout for sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a6b1d37
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: update driver-if header for smu_v13_0_10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5b31f81
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix pstate setting issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 26c9b88
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use DRM_SCHED_FENCE_DONT_PIPELINE for VM updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8f3e7de
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/sched: add DRM_SCHED_FENCE_DONT_PIPELINE flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ded501
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix for BO move issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ded6c3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: dequeue mes scheduler during fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 50f229a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: enable thermal alert on smu_v13_0_10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5e02418
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Program GC registers through RLCG interface in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b17b9db
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix type of reset_type parameter in hqd_destroy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 16298ea
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Increase frame size limit for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a73365b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: add SMU IP v13.0.4 IF version define to V7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1753a5d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU IP v13.0.4 driver interface version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0b1c58c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: Init pm_attr_list when dpm is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9298c65
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: disable cstate feature for gpu reset scenario (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3f9f65d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: fulfill SMU13.0.7 cstate control interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f20c107
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: fulfill SMU13.0.0 cstate control interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3ead429
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Add sriov vf ras support in amdgpu_ras_asic_supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d771ac
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable ras support for mp0 v13_0_0 and v13_0_10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b9fb0d3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable gmc soft reset on gmc_v11_0_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 17f6ef2
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: skip mes self test for gc 11.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fc07ccc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: skip loading pptable from driver on secure board for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1968daa
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/amdgpu: enable gfx clock gating features on smu_v13_0_10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f2535f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: temporarily disable thermal alert on smu_v13_0_10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 131bc6d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Revert "drm/amdgpu: getting fan speed pwm for vega10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f4881d6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Refactor mode2 reset logic for v11.0.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f44bede
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: let mode2 reset fallback to default when failure" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e407b45
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: add debugfs amdgpu_reset_level" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8972cbf
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add HUBP surface flip interrupt handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f99af90
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Simplify bool conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 846dc65
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix transfer function passed to build_coefficients() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0359687
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add a license to cursor_reg_cache.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 46cecf3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make virtual_disable_link_output static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 713d2d9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix indentation in dc.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit db00dc9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make dcn32_split_stream_for_mpc_or_odm static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8244226
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix build error on arm64 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2151e30
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.207 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d7a04c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Clean some DCN32 macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 971a6db
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Add poison mode query for umc v8_10_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0783f17
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Update umc v8_10_0 headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 60d870c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix coding style issue for mca notifier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 45e4277
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: define convert_error_address for umc v8.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 581d280
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: define RAS convert_error_address API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4b5ec6d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: remove check for CE in RAS error address query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 57f9331
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix array-bounds error in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d2b3456
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: vega10_hwmgr: fix potential off-by-one overflow in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 027bec0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix SDMA suspend/resume on SR-IOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2e47f4b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: switch sdma buffer function tear down to a helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c20df32
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix SDMA engine resume issue under SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 51ab2e1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix watermark calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8d0253e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Drop uncessary OTG lock check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15200b0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Use set_vtotal_min_max to configure OTG VTOTAL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5e1d3d3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add a missing hook to DCN20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 861139c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: always allow pstate change when no dpps are active (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 34ad8c0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Display does not light up after S4 resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e92cdd0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Use the same cursor info across features (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6c73118
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix bug preventing FCLK Pstate allow message being (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c68d6d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Acquire FCLK DPM levels on DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5864922
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Validate DSC After Enable All New CRTCs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a897278
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add a helper to map ODM/MPC/Multi-Plane resources (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea4b1aa
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: increase hardware status wait time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 47117e6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Do not trigger timing sync for phantom pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e4e3fed
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Use correct pixel clock to program DTBCLK DTO's (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b37c18f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: do not compare integers of different widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cc9da0e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: zeromem mypipe heap struct before using it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f8b3d47
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: properly configure DCFCLK when enable/disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a430c08
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amd/display: skip commit minimal transition state" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 80dc0e7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update PMFW z-state interface for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bedb988
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: explicitly disable psr_feature_enable appropriately (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6451977
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Correct amdgpu_amdkfd_total_mem_size calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 53c96d6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Set vmbo destroy after pt bo is created (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d8b403d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix VRAM BO swap issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 62d004f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused struct i2c_id_config_access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d3c6b0a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Removed unused variable 'sdp_stream_enable' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 882b9d6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up dcn32_fpu.c kernel-doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d3d38c0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Enable dpia support for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a6fdac
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable F32_WPTR_POLL_ENABLE in mqd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9afa7a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/sdma: add missing release_firmware() in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7e2c81
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up one inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cf13a57
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up one inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 17dcebe
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Minor code style change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2f95b4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: update DSC for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 938c7c1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Disconnect DSC for unused pipes during ODM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a121dae
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: unblock mcm_luts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e92370f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.206 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ff7b3fc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Enable 2 to 1 ODM policy if supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f84ec38
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add PState change high hook for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d436fdc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable VCN PG on GC11_0_1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2bd576b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add missing mask sh for SYM32_TP_SQ_PULSE register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 37c4011
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add missing SDP registers to DCN32 reglist (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d70e4c7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix disable DSC logic in the DIO code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1459999
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix merging dynamic ODM+MPO configs on DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5c6a242
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Adding missing HDMI ACP SEND register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7683100
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove OPTC lock check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 873331a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix SubVP control flow in the MPO context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 11da6ec
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update DCN321 hook that deals with pipe aquire (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c001b4a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Drop unused code for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7fc86cb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: block odd h_total timings from halving pixel rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9149b2
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix vupdate and vline position calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 68e1a1f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: write all 4 bytes of FFE_PRESET dpcd value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 029977d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Increase compbuf size prior to updating clocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b35f24b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Keep OTG on when Z10 is disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4f01532
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add dummy pstate workaround to dcn315 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6c29f64
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: skip commit minimal transition state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 108e6de
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add log for LTTPR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9ef3764
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: For SubVP pipe split case use min transition into (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e8c864
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Refactor edp ILR caps codes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c762723
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Allow PSR exit when panel is disconnected (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9d057ee
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: AUX tracing cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 618b2d4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix integer overflow during MSA V_Freq calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b3715e9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Disable GSL when enabling phantom pipe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15b3049
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: prevent S4 test from failing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 232edc3
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amd/display: correct hostvm flag" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d00ace0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Block SubVP if rotation being used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e3cf036
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix dcn315 dml detile overestimation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3f1c6ed
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Reorder FCLK P-state switch sequence for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ab8386
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Program SubVP in dc_commit_state_no_check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 42ce9a5
* Fri Dec 16 2022 pjakobsson@suse.de
- drivers/amd/pm: check the return value of amdgpu_bo_kmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f13e192
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: change to enc314_stream_encoder_dp_blank static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1c358fa
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Only commit SubVP state after pipe programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 980f178
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix mutex lock in dcn10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 799b734
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix UBSAN shift-out-of-bounds warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit af657ac
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Track unified memory when switching xnack mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb558f4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: correct the memcpy size for ip discovery firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3671516
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Skip put_reset_domain if it doesn't exist (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4ea7c41
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: remove switch from amdgpu_gmc_noretry_set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d964dab
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix mc_umc_status used uninitialized warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5a5940e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add page retirement handling for CPU RAS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1fa6f13
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use RAS error address convert api in mca notifier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dfa558c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: support to convert dedicated umc mca address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c8bb8a3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: export umc error address convert interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b26b647
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix sdma v4 init microcode error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 83ed01f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix array-bounds error in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a6c96b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix compiler warning for amdgpu_gfx_cp_init_microcode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01ea0df
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix a compiling error in old kernels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0caf1a9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add rlc_sr_cntl_list to firmware array (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 75e3d88
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Refactor LTTPR mode selection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f69c16e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.205 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c25ff50
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix a divide by zero error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b2d2d53
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Only use ODM2:1 policy for high pixel rate displays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e741441
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix various dynamic ODM transitions on DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 29f84b6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: polling vid stream status in hpo dp blank (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 925be5b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix CAB allocation calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 46ffa87
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update MALL SS NumWays calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 932e61b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: skip phantom pipes when checking for pending flip (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 883fb6e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Cursor Info Update refactor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1f11e1c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add ABM control to panel_config struct. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 34f1ebb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Disable MALL when TMZ surface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9b69ade
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add debug keys for override bios settings. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 65874b7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix audio on display after unplugging another (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4a30875
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add missing null check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01ec0c7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add debug option for exiting idle optimizations on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 739a89f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Change EDID fallback condition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aedf1c1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Do DIO FIFO enable after DP video stream enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0994df4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable SA software trap. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 310ca3c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add missing XGMI hive registers for mmhub 9.4.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 30813b1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: update vcn4 fw shared data structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0e3c10
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/sdma6: use common function to init sdma fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 579f695
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: support sdma struct v2 fw init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 168da75
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: use common function to init sdma fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 13be56f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/sdma4: use common function to init sdma fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 66b58dd
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add function to init SDMA microcode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c66a8fa
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: use common function to init cp fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit df7ad78
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: use common function to init CP fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 05f7e50
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/gfx9: use common function to init cp fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 64ba0e3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add function to init CP microcode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a7fabf9
* Fri Dec 16 2022 pjakobsson@suse.de
- drivers/amd/pm: check the return value of amdgpu_bo_kmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa7ba1d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use simplified API for p2p dist calc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4bf08ab
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Disable verbose for p2p dist calc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 95a1db8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fixed ras warning when uninstalling amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f2bf75
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: switch to amdgpu_gfx_rlc_init_microcode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f15775b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/gfx9: switch to amdgpu_gfx_rlc_init_microcode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3b2355d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix amdgpu_vm_pt_free warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ba565a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use vm status_lock to protect pt free (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d091b1c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use vm status_lock to protect vm evicted list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6fb83f3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use vm status_lock to protect vm moved list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b986a8c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use vm status_lock to protect vm idle list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7100ac4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use vm status_lock to protect relocated list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ded6d24
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Rename vm invalidate lock to status_lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9929b7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: Remove unneeded result variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 526189f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: Remove the unneeded result variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 706670a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: bump minor for gang submit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb1b683
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: properly initialize return value during CS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3158dcb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add gang submit frontend v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cad9768
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add gang submit backend v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe5f1bb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup instance limit on VCN4 v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 92fb06c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: getting fan speed pwm for vega10 properly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 36888ac
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: revert "fix limiting AV1 to the first instance on VCN3" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 82e2318
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: move entity selection and job init earlier during CS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6edaf97
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup error handling in amdgpu_cs_parser_bos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3d4852
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup CS pass2 v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ffb6c3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: Remove redundant check condition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bb702b0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fixed psp fence and memory issues when removing amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9cdca3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Adjust removal control flow for smu v13_0_2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb2872a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.204 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4b946f6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: solve regression in update phy state refactor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f219bf1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: update dccg based on HW delta (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6813d96
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Do second pass through DML for DET calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3a706c1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: log vertical interrupt 1 for debug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 45fcd18
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Revise Sink device string ID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e35c156
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Modify DML to adjust Vstartup Position (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 22f936e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Enable committing subvp config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3bcc85
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Assume connectors are on single slot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f78d5ca
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: do not compare integers of different widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0ae5a5c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Ignore k1/k2 values for virtual signal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3fdc630
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Don't allocate DET for phantom pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b47561f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Expose few dchubbub functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8515765
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Removing 2 phys (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4818b34
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Added new DCN301 Asic Id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f0fb40e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: correct hostvm flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 102aa4a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix urgent latency override for DCN32/DCN321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0d9e168
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Uncomment SubVP pipe split assignment in driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3be6d4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: skip audio setup when audio stream is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4173d4a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Refactor edp panel power sequencer(PPS) codes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8445668
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.203 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1baff98
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.134.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e1d301a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix SubVP way calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ba0ce9d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Disable SubVP on driver disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b9532a1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: SubVP pipe split case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9926df8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add debug option for allocating extra way for cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6359994
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: For ODM seamless transition require AUTO mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b407b6b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: support proper mst payload removal when link is not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4bf1da3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: rework recent update PHY state commit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 13feb05
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add MES and MES-KIQ version in debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e74485b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Various logs added (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9e0d42f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add debug option for dramclk_change_latency in apu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bd66c0d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix pipe split prediction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 343859a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove some unused definitions from DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 843c4f8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2368c64
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d9ee45
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4ea47e4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ec8d65
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aa1f3e7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1f1aad4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix spelling mistake "detroyed" -> "destroyed" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 49150fd
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add rlcv/rlcp version info to debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2b589bc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add two new subquery ids (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a330520
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: support print rlc v2_x ucode hdr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c7fc10
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Use the consolidated MQD manager functions for GFX11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d32dcf9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: SDMA update use unlocked iterator (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3f34bba
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: remove unused declarations in hardwaremanager.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 65e029c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix boolconv.cocci warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit af6d16a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make optc32_phantom_crtc_post_enable, (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 65e1095
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make some functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a07d1ee
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make some functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4fbcae4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make mmhubbub32_config_mcif_buf static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef452dd
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make some functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e36f9e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make optc314_phantom_crtc_post_enable static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d2aa59
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make enc314_stream_encoder_dvi_set_stream_attribute (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cded34d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make some functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9e8e9a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm:add new gpu_metrics_v2_3 to acquire average temperature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0354c57
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display/amdgpu_dm: remove duplicate included header files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 05fca75
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove the unused function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e742ea4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make mpc32_program_shaper and mpc32_program_3dlut (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a7fb2c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make dcn32_link_encoder_is_in_alt_mode and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12c7f21
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make dscl32_calc_lb_num_partitions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 692a893
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: make enc32_stream_encoder_dvi_set_stream_attribute (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e79ae8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix memory leak in hpd_rx_irq_create_workqueue() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b18babb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: fix warning about missing imu prototype (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit efe7a83
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: reorder CS code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7c84131
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup CS init/fini and pass1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1e389f8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use DMA_RESV_USAGE_BOOKKEEP v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c60b25d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: revert "partial revert "remove ctx->lock" v2" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6760d19
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: move setting the job resources (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 79cfef1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: remove SRIOV and MCBP dependencies from the CS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3906f81
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.202 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8df526a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix register definitions for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 811a320
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Avoid force minimal transaction in case of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1a40e5c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Don't adjust VRR unnecessarily (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad66583
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Adding log for spread_spectrum_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f633108
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Added debug option for forcing subvp num ways (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3aa90e4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Update viewport position for phantom pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1aed3c9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Assign link type before check dsc workaround. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bcafaba
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Reverted DSC programming sequence change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit edc710b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Correct I2C register offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5247808
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Optimizations for DML math (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3e2f399
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Add EEPROM I2C address for smu v13_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c253e51
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: added support for ras driver loading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c860ab5
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/display: remove unneeded "default n" options (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 300b5b0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix repeated words in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 41fde7a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup coding style in amdgpu_amdkfd_gpuvm.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 62e8b2d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup coding style in amdgpu_amdkfd.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 58810c0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup coding style in amdgpu_sync.c file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 038644b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup coding style in amdgpu_acpi.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 510502c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Remove the unneeded result variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1047cdf
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: remove possible condition with no effect (if == (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ecd1d69
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Simplify bool conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2268cdc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b24ef7a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Fix hive reference count leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0bcae36
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Rely on MCUMC_STATUS for umc v8_10 correctable error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1803ca9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: update header files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e543092
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Remove prefault before migrating to VRAM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2b3cd1
* Fri Dec 16 2022 pjakobsson@suse.de
- amd/amdkfd: fix repeated words in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e2ab280
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use per device reset_domain for XGMI on sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 719f567
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/amdgpu: update GC 10.3.0 pwrdec (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5f4961d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Fix CRIU restore op due to doorbell offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 06fff42
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add missing CGTS*TCC_DISABLE to 10.3 headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe6ab42
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove the unneeded result variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 49177c6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: TA unload messages are not actually sent to psp when (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 227ef83
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix indentation in commit_planes_for_stream() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 34c9c95
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add MMSCH v4_0 support for sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 02a5b24
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add sriov VCN v4_0 unified queue support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63a5fe0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add vcn/vcn1 in white list to load its firmware under (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4776b92
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Disable CG/PG for SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d10c14
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: Skip smu_v13 register irq on SRIOV VF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aa409dc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/admgpu: Skip CG/PG on SOC21 under SRIOV VF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b32309c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use RLCG to program GRBM_GFX_CNTL during full access time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ee19565
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Skip program SDMA0_SEM_WAIT_FAIL_TIMER_CNTL under SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 179dfa6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Skip the VRAM base offset on SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cd94ea3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: skip "Issue additional private vm invalidation to MMHUB" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 37adcbd
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Skip the program of MMMC_VM_AGP_* in SRIOV on MMHUB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 739b4cb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Use PSP program IH_RB_CNTL registers under SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1eacb5c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Support PSP 13.0.10 on SR-IOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4bbb1e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: sriov remove vcn_4_0 and jpeg_4_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4df3c53
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: refine virtualization psp fw skip check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1646a07
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: enable WPTR_POLL_ENABLE for sriov on sdma_v6_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bd97821
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add a compute pipe reset for RS64 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea356fb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add sriov nbio callback structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d9e774
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add CHIP_IP_DISCOVERY support for virtualization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit afb4232
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix documentation for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 23d51a7
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/gpu: Add Multiplane Overlay doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 51eb8ce
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/gpu: Add an explanation about the DCN pipeline (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d2ba44e
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/gpu: Add info table for ASICs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a9b27c4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Remove the unneeded result variable 'r' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3d1c37f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for MES 11.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 38dd122
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for GFX 11.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8426f6c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Set GC family for GC 11.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc01ade
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: enable imu_rlc_ram programming for v11_0_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12ab1b1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Added GFX 11.0.3 Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a71f589
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: init gfx config for gfx v11_0_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1e99544
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: declare firmware for new MES 11.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 37989be
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: declare firmware for new GC 11.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 91a60bc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for GMC 11.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6109d36
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: initialize gmc sw config for v11_0_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 16d5497
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add gfxhub_v3_0_3 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad210a1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add gc v11_0_3 ip headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit da02d5d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f3d815
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4997032
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indentings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8611d55
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: clean up one inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6afa104
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for LSDMA 6.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9d7c09
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for sdma 6.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9f99ebe
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: declare firmware for new SDMA 6.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e0f7351
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: enable smu block for smu 13.0.10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 877a4b4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: added supported smu 13.0.10 sw pptable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3ee6ee9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: add smu_v13_0_10 driver if version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 354e4c7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: add smu_v13_0_10 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 83d644f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for PSP 13.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1fced6f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: added firmware module for psp 13.0.10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0cd844d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: support psp v13_0_10 ip block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f2f7892
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add new ip block for SOC21 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 336089d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Enable pg/cg flags on GC11_0_3 for VCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a6a0df
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: initialize common sw config for v11_0_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b6f49ac
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: drop gc 11_0_0 golden settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8811ab8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: remove redundant variables err and ret (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit affacc4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant vertical_line_start variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2257d73
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Correct cursor position on horizontal mirror (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3254abc
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.201 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15a65ad
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add visual confirm color support for SubVP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a1e73d3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.132.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ff08b1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add comments. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d3288a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Revert "program k1/k2 divider for virtual signal for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cc03eff
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix primary EDP link detection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b750ca6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix wrong register access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c32f30a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Refactor edp dsc codes. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f63941b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: SubVP missing scaling case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7045e3d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add support for visual confirm color (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8b6a408
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Allow PHY state update between same states (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9189ede
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Cleanup PSR flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 48c5138
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Cursor lag with PSR1 eDP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 794ccb0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add DC debug option to force LTTPR mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1aeead4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add a override flag as wa for some specific dongle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c976a4c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Only commit SubVP state after pipe programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a75e7a2
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove assert from PHY state update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63e2d32
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Refine aux transaction before retrieve caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c601348
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Don't choose SubVP display if ActiveMargin > 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0ffa742
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Set ODM policy based on number of DSC slices (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3436ebd
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.200 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a957ce6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix variable dereferenced before check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5919c3
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Remove the unneeded result variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 732df1b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: remove possible condition with no effect (if == else) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8527697
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: remove possible condition with no effect (if == else) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 483b976
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: fix potential memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0ee53b0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: fix potential memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0f25eb
* Fri Dec 16 2022 pjakobsson@suse.de
- drm: amd: amdgpu: ACPI: Add comment about ACPI_FADT_LOW_POWER_S0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb767b8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use dev_info to benefit mGPU case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a37de39
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use adev_to_drm to get drm device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 48966b7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/amdgpu: avoid soft reset check when gpu recovery disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e5620ff
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdkfd: Allocate doorbells only when needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4296d95
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove redundant check in atomic_check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit df07f29
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Adding log clock table from SMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 14fbe1b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Uncomment SubVP scaling case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 19aa6c1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add interface to track PHY state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 48e544a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Free phantom plane and stream properly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b1afc8b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: program k1/k2 divider for virtual signal for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b1d8f63
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Cursor flicker when entering PSRSU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a479b5a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: change to runtime initialization for reg offsets for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6af32d9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: change to runtime initialization for reg offsets for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8c4b44f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Change AUX NACK behavior (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1c5c8b7
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: HDMI ODM Combine Policy Correction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f80ba8d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix odm 2:1 policy not being applied consistently in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 493db76
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: do not change pipe split policy for RV2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 317e601
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.199 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d1b634
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.130.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6af280c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: skip set_topology_info for VF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d8689a0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: remove unneeded defines from bios parser (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f500a4f
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: remove unused header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 85d2fc9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: remove unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6d7f6e0
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix i386 frame size warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7c00ac9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: Document gfx_off members of struct amdgpu_gfx (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit de7777a
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/gpu: Document GFXOFF's count and residency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 774c2de
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/pm: Implement GFXOFF's entry count and residency for vangogh (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ce439c2
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd: Add detailed GFXOFF stats to debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 96258c4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix minor codestyle problems (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 00a288c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: fix overflow on MIN_I64 definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 00c2c2e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 54d8e3d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Fix comment typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b33f9e6
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f2c5692
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use sjt mec fw on aldebaran for sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7e5587
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: include soc._clock_tmp[] into DC's scratch region (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e3306a1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: implement DSC pass-through support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f4dff8e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: consider DSC pass-through during mode validation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f7c39f8
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/dp_mst: add passthrough_aux to struct drm_dp_mst_port (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 540a96a
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/gpu/amdgpu/amdgpu_dm: add DM docs for pixel blend mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b81a157
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: add doc entries for MPC blending configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e601a6
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/amdgpu/display: add DC color caps info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 740c789
* Fri Dec 16 2022 pjakobsson@suse.de
- Documentation/amdgpu_dm: Add DM color correction documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81e836d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Document some of the DML structs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1441056
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Expand documentation for timing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f900e9
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Document pipe split policy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 60e5674
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add some extra kernel doc to amdgpu_dm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 29cdf19
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add basic kernel doc to CRC code under DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c4e34d4
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amd/display: Add documentation to some of the cursor struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0684ccf
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: reduce reset time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 670ab5d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: revert context to stop engine before mode2 reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 330694c
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: save and restore gc hub regs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2672713
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add debugfs amdgpu_reset_level (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fcc39d5
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: let mode2 reset fallback to default when failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b30617d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: add mode2 reset for sienna_cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 39a4810
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/dm/mst: Rename get_payload_table() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 79e4c0b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu/dc/mst: Rename dp_mst_stream_allocation(_table) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ab027d1
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu_dm: Rely on split out luminance calculation function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cfb684b
* Fri Dec 16 2022 pjakobsson@suse.de
- drm: New function to get luminance range based on static hdr metadata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 932d139
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use idr_init_base() to initialize fpriv->bo_list_handles (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 109b69e
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: use idr_init_base() to initialize mgr->ctx_handles (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4dac93
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: re-apply "move internal vram_mgr function into the C (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f127ad
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: reapply "fix start calculation in amdgpu_vram_mgr_new"" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7317a90
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/amdgpu: audit bo->resource usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8274d0d
* Fri Dec 16 2022 pjakobsson@suse.de
- drm/ttm: rename and cleanup ttm_bo_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0fac2d5
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: fix start calculation in amdgpu_vram_mgr_new" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit db8d849
* Fri Dec 16 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: move internal vram_mgr function into the C file" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d6aa1b4
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Add-HUBP-surface-flip-interrupt-hand.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 689ea76
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-disable-BACO-on-special-BEIGE_GOBY-card.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7647e36
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Fix-NULL-pointer-dereference-in-svm_migra.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit cf8589c
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Fix-memory-leak-in-kfd_mem_dmamap_userptr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2f6104e
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-fix-sdma-doorbell-init-ordering-on-APUs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 85ea804
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-set-vm_update_mode-0-as-default-for-Sienn.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 52fa632
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-build-breakage-with-CONFIG_DEBUG.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2fefed9
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-smu7_hwmgr-fix-potential-off-by-one-overf.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 1e0eb25
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-amdgpu-use-dirty-framebuffer-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- commit 039d1cb
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-vblank-refcount-in-vrr-transitio.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit e51efec
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Remove-interface-for-periodic-interr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 656ffd5
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-fix-initial-connector-audio-value.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit d5e8c0f
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Migrate-in-CPU-page-fault-use-current-mm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c35ade7
* Fri Dec 16 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-handle-CPU-fault-on-COW-mapping.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit a8b6c2a
* Fri Dec 16 2022 pjakobsson@suse.de
- drm: Drop drm_framebuffer.h from drm_crtc.h (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225 jsc#PED-2849).
- commit 46db46f
* Fri Dec 16 2022 pjakobsson@suse.de
- Update config files for the DRM v6.0 backport. (jsc#PED-1176)
- commit 450bace
* Thu Dec 15 2022 lduncan@suse.com
- scsi: core: Fix passthrough retry counter handling (git-fixes).
- scsi: sd: Rework asynchronous resume support (git-fixes).
- commit 8ae63fe
* Thu Dec 15 2022 pjakobsson@suse.de
- media: uapi: Add some RGB bus formats for i.MX8qm/qxp pixel combiner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3eb5b7e
* Thu Dec 15 2022 pjakobsson@suse.de
- drivers/firmware: Don't mark as busy the simple-framebuffer IO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4df7c3c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: switch to amdgpu_gfx_rlc_init_microcode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3946e47
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to init rlc firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3ec59e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to init rlc fw in header v2_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 46e11b2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to init rlc fw in header v2_3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c3eb1b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to init rlc fw in header v2_2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1e209ba
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to init rlc fw in header v2_1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 78f8a7e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to init rlc fw in header v2_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e05db02
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: save rlcv/rlcp ucode version in amdgpu_gfx (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2a9f09a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Enable sram on vcn_4_0_2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5b661d4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Enable VCN DPG for GC11_0_1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1be945c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Perf_limit_reasons are only available for Gen11+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d63f084
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Prevent OTG shutdown during PSR SU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cfd9ee1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add amdgpu suspend-resume code path under SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6fa78d5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Remove fence_process in count_emitted (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c3db0eb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Correct the position in patch_cond_exec (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f73daf0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fill in clock values when DPM is not enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a9a1c67
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Avoid unnecessary pixel rate divider programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 88976ce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove assert for odm transition case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 941e09a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix typo in get_pixel_rate_div (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03d398b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix audio on display after unplugging another (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d219d9b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add explicit FIFO disable for DP blank (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cbf4157
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Wrap OTG disable workaround with FIFO control (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2f625aa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Do DIO FIFO enable after DP video stream enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8eb32ce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update DCN32 to use new SR latencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5db8634
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Avoid avoid unnecessary pixel rate divider (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8af2b7e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: fix dropped interrupt in kfd_int_process_v11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4093a96
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: pass queue size and is_aql_queue to MES (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 416c78a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: fix MQD init for GFX11 in init_mqd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bba322f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: use adverse selection for dpm features unsupported by (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2983b05
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfxoff feature for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2eb52e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: avoid gfx register accessing during gfxoff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3a4c695
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/hisilicon: Add depends on MMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 945fddf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Force 32 bpp on the console (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63133af
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: Fix wrong dither settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8833b2b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce number of arguments of dml314's (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cec76e6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce number of arguments of dml314's (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5582cba
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: drop the pptable related workarounds for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3b7d8a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: add support for 3794 pptable for SMU13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bcc49f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: correct num_dsc based on HW cap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7faf9c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable OTG WA for the plane_state NULL case on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c7e0448
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add shift and mask for ICH_RESET_AT_END_OF_LINE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bc6c442
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: increase dcn315 pstate change latency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 753e1b6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix DP MST timeslot issue when fallback happened (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bd93ec8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Display distortion after hotplug 5K tiled display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9bc2fdc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update dummy P-state search to use DCN32 DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7899470
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Assume an LTTPR is always present on fixed_vs links (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8bc05a7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix dcn315 memory channel count and width read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c45fb6c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Only consider pixle rate div policy for DCN32+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5c10b46
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Port DCN30 420 logic to DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ca8ef9b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Update PTE flags with TF enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7c0b389
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: zero the sdma_hqd_mask of 2nd SDMA engine for SDMA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d535ef
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gem: Really move i915_gem_context.link under ref protection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f8cf679
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gem: Flush contexts on driver release (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b513fed
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915/display: Re-add check for low voltage sku for max dp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 41b375a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Fix perf limit reasons bit positions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e401e9a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc: Cancel GuC engine busyness worker synchronously (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e7dcdb7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Set correct domains values at _i915_vma_move_to_active (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6b1fb1e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/vdsc: Set VDSC PIC_HEIGHT before using for DP DSC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c69d41
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Fix (vblank) IRQs not working after suspend/resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a8a11ed
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Fix WARN_ON(lock->magic != lock) error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 89af545
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel-edp: Fix delays for Innolux N116BCA-EA1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 65aa789
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce number of arguments of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6b9a1c9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce number of arguments of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a460699
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Refactor SubVP calculation to remove FPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e236fe
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add workaround for subvp cursor corruption for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3f359fb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: SW cursor fallback for SubVP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cf2d77e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Round cursor width up for MALL allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9581653
* Thu Dec 15 2022 pmladek@suse.com
- Update
  patches.suse/drm-amdkfd-Check-for-null-pointer-after-calling-kmem.patch
  (CVE-2022-3108 bsc#1206389 git-fixes).
- commit cc09cbc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Correct dram channel width for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 44d9cc0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Relax swizzle checks for video non-RGB formats on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit adb5f5a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Hook up DCN314 specific dml implementation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit def02f3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enable dlg and vba compilation for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 24b7081
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix compilation errors on DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3816ed7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix divide by zero in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc371ed
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fixing DIG FIFO Error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d05383
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update MBLK calculation for SubVP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a36d9c9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Revert "Fallback to SW cursor if SubVP + cursor too (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 87b8311
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Skip reset error status for psp v13_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 82ef4bd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add HDP remap functionality to nbio 7.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 729ab2d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: change the alignment size of TMR BO to 1M (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc08ae8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Enable full reset when RAS is supported on gc v11_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b1a9628
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Don't enable LTR if not supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 630d668
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: consider HAS_FLAT_CCS() in needs_ccs_pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7c51f7d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/slpc: Let's fix the PCODE min freq table setup for SLPC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1b8e874
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Copy the whole MIPI sequence block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8c26df5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ttm: cleanup the resource of ghost objects after locking them (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 49bcb33
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ttm: update bulk move object of ghost BO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e911953
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: Handle EDID 1.4 range descriptor h/vfreq offsets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4e22fce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: prevent toc firmware memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7512988
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: correct doorbell range/size value for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c050ede
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: print address in hex format rather than decimal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a7e4b41
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix memory leak when using debugfs_lookup() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c7de23
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: add missing SetMGpuFanBoostLimitRpm mapping for SMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb0c81c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add rlc_firmware_header_v2_4 to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ba4650c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/gpu: Drop qos request if devm_devfreq_add_device() fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 98fa869
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: populate wb or intf before reset_intf_cfg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f660406
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: make eDP panel as the first connected connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6366a39
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: only init tap_delay ucode when it's included in ucode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 715459b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix black flash when switching from ODM2to1 to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d15ceb8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix check for stream and plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit acc7765
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Re-initialize viewport after pipe merge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 26f1867
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use correct plane for CAB cursor size allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 890004d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: ensure no PCIe peer access for CPU XGMI iolinks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3922b65
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: bump SMU 13.0.0 driver_if header version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8f11e81
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: use vbios carried pptable for all SMU13.0.7 SKUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d1e480
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: use vbios carried pptable for those supported SKUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9c7426d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix wrong register access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1f91d2c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: use actual cursor size instead of max for CAB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b9ca8ae
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: disable display fresh from MALL on an edge case for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7387856
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix CAB cursor size allocation for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0be61ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Missing HPO instance added (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 243dbe9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: set dig fifo read start level to 7 before dig fifo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 737bfa1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix use-after-free in amdgpu_cs_ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8b71640
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix OTG H timing reset for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 737a42a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix DCN32 DPSTREAMCLK_CNTL programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 590fc40
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Update mes_v11_api_def.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ace1ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: disable FRU access on special SIENNA CICHLID card (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 820782b
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf/dma-resv: check if the new fence is really later (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bb0e09e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/backlight: Disable pps power hook for aux based backlight (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 30e8992
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dsi: fix dual-link DSI backlight and CABC ports for display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a96a81
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dsi: filter invalid backlight and CABC ports (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 41b934b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc: clear stalled request after a reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5540b5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/ttm: fix CCS handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5910431
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: Fix Comet Lake (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f51f27b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: Fix kernel-doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aab6561
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: Fix kernel-doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d5b3fc7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: Fix kernel-doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 91ba0f7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: fix typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5ea88a0
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: Move fbdev drivers from strlcpy to strscpy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit db60fa1
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: omap: Remove unnecessary print function dev_err() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4660d75
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: fbcon: Destroy mutex on freeing struct fb_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d457c3f
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: radeon: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 02ab3a3
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: sisfb: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 764e272
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: ssd1307fb: Fix repeated words in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa226d0
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: omapfb: Fix tests for platform_get_irq() failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 36ce17d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add MGCG perfmon setting for gfx11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c58dbf5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Fix isa version for the GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40a18cd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix page table setup on Arcturus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3e027b3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU 13.0.0 driver_if header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9c86b14
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add sdma instance check for gfx11 CGCG (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 171e9f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: enable PCON support for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0074d34
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable NBIO IP v7.7.0 Clock Gating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 35ba256
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add NBIO IP v7.7.0 Clock Gating support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a1f2b73
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add TX_POWER_CTRL_1 macro definitions for NBIO IP v7.7.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cd6c9cc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Include missing header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6153e5c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix hive reference leak when adding xgmi device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 545504e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable GFXOFF allow control for GC IP v11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d63a8c5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Rework power up (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9eb8d6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Depends on CONFIG_PM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8573ae9
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amd/amdgpu: add pipe1 hardware support" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a018f93
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix use-after-free on amdgpu_bo_list mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2dd16be
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix interrupt handling on ih_soft ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9b968c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add secure display TA load for Renoir (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 60bf7db
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Include scaling factor for SubVP command (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e2d10e5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Return void from the stop_dbg_mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 288be39
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add decode_iv_ts helper for ih_v6 block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0fb58f6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add chip revision to DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f1f7a3b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use pitch when calculating size to cache in MALL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d43a146
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Don't set DSC for phantom pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bc5731d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update clock table policy for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0e97b39
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Modify header inclusion pattern (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 222e320
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix plug/unplug external monitor will hang while (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 151078c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add debug parameter to retain default clock table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52575bb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: do not compare integers of different widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40bc858
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add reserved dc_log_type. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c118042
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.198 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c218e23
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: reverted limiting vscsdp_for_colorimetry and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9cd7967
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: Enable GFXOFF feature for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7afc73e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable IH Clock Gating for OSS IP v6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ebd4643
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: potential crash in kfd_create_indirect_link_prop() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5a5d9f2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: reserve 2 queues for sdma 6.0.1 in bitmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 94bb692
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable ATHUB IP v3.0.1 Clock Gating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a83f63d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable HDP IP v5.2.1 Clock Gating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit de0cde2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable MMHUB IP v3.0.1 Clock Gating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1f74a34
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add ATHUB IP v3.0.1 Clock Gating support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 816df3a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add HDP IP v5.2.1 Clock Gating support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f4c168
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add MMHUB IP v3.0.1 Clock Gating support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 537eaf2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update the smu driver interface version for SMU IP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81de60b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Fix mm reference in SVM eviction worker
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- Refresh
  patches.suse/mm-memory.c-fix-race-when-faulting-a-device-private-page.patch.
- commit 6a96693
* Thu Dec 15 2022 pmladek@suse.com
- lkdtm/bugs: Check for the NULL pointer after calling kmalloc
  (CVE-2022-3104 bsc#1206396).
- commit 5144632
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: add mode1 support on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d3334a7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add ih cg and hdp sd on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9355f42
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: add missing ->fini_xxxx interfaces for some SMU13 asics (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12b1b73
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: disable 3DCGCG/CGLS temporarily due to stability issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e69f0f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: double free error and freeing uninitialized null pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef8ec5e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Only disable prefer_shadow on hawaii (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cbf01e4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: set panel orientation before drm_dev_register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40562f0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: Fix a potential gpu_metrics_table memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a951f40
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: Fix a potential gpu_metrics_table memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 68f0276
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add GFX Power Gating support for GC IP v11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 625c021
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable GFX Power Gating for GC IP v11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7e4c0b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Handle restart of kfd_ioctl_wait_events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c606794
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Avoid direct cast to amdgpu_ttm_tt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7e00106
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: skip pptable override for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 896688d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: add 3715 softpptable support for SMU13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0512fa1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Enable translate_further to extend UTCL2 reach (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d294929
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.197 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 047f5fd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add 16 lines margin for SubVP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 76d91b9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix TDR eDP and USB4 display light up issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a530f98
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Don't try to enter MALL SS if stereo3d (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40cbd83
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Revert "attempt to fix the logic in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9e725b9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Correct DTBCLK for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f28cb7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enable SubVP by default on DCN32 & DCN321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8281589
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix VPG instancing for dcn314 HPO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6b11f73
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix Compile-time Warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40ad347
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Allow alternate prefetch modes in DML for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 542e1ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Avoid MPC infinite loop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1589616
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Device flash garbage before get in OS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 105a73b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix TMDS 4K@60Hz YCbCr420 corruption issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef167e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add a variable to update FCLK latency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15607f0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix CAB allocation for multiple displays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa99fac
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop FPU flags from Makefile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9756091
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move populate dml pipes from DCN314 to dml (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c39eae1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Create FPU files for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12cdd74
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use pixels per container logic for DCN314 DCCG (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 362c128
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: remove EnableGfxOff message for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5bd9306
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: update smu driver interface header for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f8443e7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable GFX Clock Gating control for GC IP v11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 764c414
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add GFX Clock Gating support for GC IP v11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0e4969e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: change family id name for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 82b5106
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant reference of header file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81a897b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Avoid another list of reset devices (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4358094
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: include missing headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7ea3526
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: change vram width algorithm for vram_info v3_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2e90a51
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Pessimistic availability based on rounded up allocations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 891224e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Remove rounding from vram allocation path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2bd9cc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove header from source file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7feb4b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: make variables static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 771dc5e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove DML Makefile duplicate lines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c71fcf2
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amd/display: reduce stack for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d341975
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amd/display: reduce stack for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ff357bb
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amd/display: reduce stack for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d1bcbf
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amd/display: reduce stack for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b6ad70f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add a missing register field for HPO DP stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit beac3ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: lvds-codec: Fix error checking of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2268050
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/imx/dcss: get rid of HPD warning message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f7dc1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: pass a pointer for tlb seqno at vma_invalidate_tlb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4efeddb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gem: Remove shared locking on freeing objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c3220f6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Batch TLB invalidations (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225 jsc#PED-2849).
- commit d89ef68
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Invalidate TLB of the OA unit at TLB invalidations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 20718b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Ignore TLB invalidations on idle engines
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- Refresh
  patches.suse/drm-i915-fix-TLB-invalidation-for-Gen12-video-and-co.patch.
- commit 514c88d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/ttm: don't leak the ccs state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 305b9f9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: disable pci resize on 32-bit machine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8996e2d
* Thu Dec 15 2022 pjakobsson@suse.de
- OPP: Make dev_pm_opp_set_regulators() accept NULL terminated list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4111aff
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: imxfb: fix return value check in imxfb_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6aad061
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: imxfb: Convert request_mem_region + ioremap to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1cbdb62
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: imxfb: Fold <linux/platform_data/video-imxfb.h> into (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f658ffc
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: imxfb: Drop platform data support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d9fb3c7
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: omapfb: Unexport omap*_update_window_async() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01cf4e7
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Remove backward bug-compatibility (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c223714
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Remove unused definitions and variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cf2d43b
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Fix VGA modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 819e40b
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Fix TT High video mode vertical refresh (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2eef87a
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Remove unneeded casts to void * (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 53c64f2
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Remove unneeded casts from void * (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e20fd2e
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Fix ext_setcolreg() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7bbd269
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Fix inverse handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ae409f7
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Remove bogus FB_VMODE_YWRAP flags (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e50172
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: atari: Simplify atafb_pan_display() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9ea4232
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: Make *fb_setup() and *fb_init() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 33ca722
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: cirrusfb: Make cirrusfb_zorro_unregister() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 57c0430
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: sa1100fb: Remove unused sa1100fb_setup() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe0ed6f
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: amiga: Simplify amifb_pan_display() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d9d06ba
* Thu Dec 15 2022 pjakobsson@suse.de
- video: fbdev: offb: Include missing linux/platform_device.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 42c50c6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Remove unnecessary include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5abc0c5
* Thu Dec 15 2022 pjakobsson@suse.de
- backlight: lp855x: Switch to atomic PWM API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2695f0e
* Thu Dec 15 2022 pjakobsson@suse.de
- backlight: rt4831: Apply ocp level from devicetree (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9ddadee
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: Replace roundup with DIV_ROUND_UP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c73fe2b
* Thu Dec 15 2022 pjakobsson@suse.de
- video:backlight: remove reference to AVR32 architecture in ltv350qv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dfc4e84
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: fix build failure due to implicit declaration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c9ee069
* Thu Dec 15 2022 pjakobsson@suse.de
- treewide: Replace GPLv2 boilerplate/reference with SPDX - (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 005378a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: delete vdda regulator related functions from eDP/DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 85325fd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: restore code for plane with no modifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3743e48
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix a compilation failure on PowerPC caused by FPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit af33382
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable support for psp 13.0.4 block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 24845de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add files for PSP 13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8be5a7c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add header files for MP 13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1b7f93b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: correct RLC_RLCS_BOOTLOAD_STATUS offset and index (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 08be83d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: send msg to IMU for the front-door loading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c5fea0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: use time_is_before_jiffies(a + b) to replace "jiffies - a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f977c5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix hive reference leak when reflecting psp topology info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 376aa35
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable GFX ULV feature support for SMU13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8932493
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update driver if header for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8ae5c2e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: move mes self test after drm sched re-started (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5a6110
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: drop non-necessary call trace dump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fefab84
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable VCN cg and JPEG cg/pg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a141397
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: vcn_4_0_2 video codec query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a878e3b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add VCN_4_0_2 firmware support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8cb0c45
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add VCN function in NBIO v7.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ddbfb38
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix a vcn4 boot poll bug in emulation mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8f91715
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add memory training support for PSP_V13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3eb1460
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: remove an unnecessary amdgpu_bo_ref (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e66258e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: Add get_gfx_off_status interface for yellow carp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8b548c0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused struct freesync_context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 791107d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add additional page fault settings for gfx11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 597fadb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01ea7db
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix i2s_pdata out of bound array access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 70b0933
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: fix kgd_mem memory leak when importing dmabuf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0cb4d24
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add debugfs for kfd system and ttm mem used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5f45dcd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: track unified memory reservation with xnack off (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8822533
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix signedness bug in execute_synaptics_rc_command() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f3780a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bf1491c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9657304
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3fe2e97
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 79a8f41
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5a59191
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a3e1b4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0b72606
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 36fe3fb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1af2499
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b298b3c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa50c72
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 371af7d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cf1fc1d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 05b0ae9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bf32000
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63f5337
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 82825d0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3feab1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 106a46d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 61b7f7f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Split giant svm range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3529a0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Set svm range max pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 47d32b6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Allow TTM to evict svm bo from same process (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c1a257a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the incomplete product number (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9db1fa8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: use adev_to_drm for consistency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 78a07bd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/dc/dce: fix repeated words in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 536cc23
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: move DAC load detection method (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a01e9b0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: add output class (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 91b1dee
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: add supervisor mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 33a6f8a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: add conn method to query HPD pin status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4612845
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: add connector class (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0254c0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: add common channel class handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 71035a6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: split sor hda funcs out to their own struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e358a60
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: split sor dp funcs out to their own struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 111aa2b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: replace hda func pointer check with flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 60a85cd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: merge nv50_disp_new_() and nvkm_disp_new() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 30bb497
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: group supervisor-related struct members (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e98c8c2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: merge head/outp/ior code into chipset files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4993d49
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: add common class handling between <nv50 and >=nv50 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 73a37ba
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: collapse nv50_disp into nvkm_disp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 71a0643
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: collapse nv50_disp_func into nvkm_disp_func (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit afdcdec
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: clean up nvkm_outp constructors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 05a7549
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/disp: collapse nvkm_dp into nvkm_outp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5ec796
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce stack size in the mode support function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ed3c1dd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.196 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 10e71a0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Copy crc_skip_count when duplicating CRTC state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa14c9d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add debug option for idle optimizations on cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0afe263
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable MPC split for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b378c6c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add missing ODM 2:1 policy logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bda320c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update DCN32 and DCN321 SR latencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b192bbe
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add reinstate dram in the FPO logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2c736d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add dc_ctx to link_enc_create() parameters (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a68ee84
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Cache cursor when cursor exceeds 64x64 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5a355a5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add support for manual DMUB FAMS trigger (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit be417da
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix dpstreamclk programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1e50c8c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add missing AUDIO_DTO_SEL reg field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 002827f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add OTG/ODM functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a31ab25
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use correct clock source constructor for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a6356bc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use correct DTO_SRC_SEL for 128b/132b encoding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0519cdc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add pixel rate div calcs and programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6bda786
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove FPU flags from DCN30 Makefile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e3981dc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Create patch bounding box function for isolate FPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 174ac5a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move mclk calculation function to DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b3a5712
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove FPU operations from dcn201 resources (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fae9f66
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fallback to SW cursor if SubVP + cursor too big (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ce251fc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop unnecessary FPU flags on dcn302 files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b31828d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reboot while unplug hdcp enabled dp from mst hub (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2e2f9f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reset pipe count when iterating for DET override (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cc9ba97
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Calculate MALL cache lines based on Mblks required (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7871a3a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix two MPO videos in single display ODM combine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40819d8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Guard against zero memory channels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 294987b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Updates SubVP and SubVP DRR cases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f383418
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix OPTC function pointers for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40cfbcb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add enable/disable FIFO callbacks to stream setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef6c9e3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable swiotlb for gmc 11.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1cdd074
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable swiotlb for gmc 10.0 (V2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4819e0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Fix typo 'the the' in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 86ad2c9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: reduce stack for dml32_CalculatePrefetchSchedule (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 795e516
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: reduce stack for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cd2c22f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: reduce stack for dml32_CalculateVMRowAndSwath (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1f83610
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: reduce stack for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b1a1a0a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: reduce stack size in dcn32 dml (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b1320f5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Process notifier release callback don't take mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit db540e6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Correct mmu_notifier_get failure handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bf9955a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Specify supported modifiers for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 95c522f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix dc_version detect for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5772799
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: move FPU code from dcn301 clk mgr to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4d4792d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: move FPU code from dcn30 clk mgr to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ded502
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: move FPU code on dcn21 clk_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc7b0ee
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove useless FPU protection wrapper from (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a4c85d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix soft-fp vs hard-fp on DCN 3.1 family for powerpc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0ac56df
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.195 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 74a8c15
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop FPU code from dcn321 resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 09545ea
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Create dcn321_fpu file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7fb8f5e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop FPU flags from dcn32 Makefile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d90ba6e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move bounding box to FPU folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 87550ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move ntuple to insert entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3276c41
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move dlg params calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2db21e6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move wm and dlg calculation to FPU code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63a6b34
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move SubVP functions to dcn32_fpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52ffeda
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move phanton stream to FPU code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 900b6f2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move insert entry table to the FPU code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f74e36c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Refactor code to handle non coherent and uncached (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d2c6d90
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add TAP_DELAYS upload support for gfx10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 458511d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: revise the driver reloading fix for SMU 13.0.0 and 13.0.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c1b3f4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: correct smu 13.0.0/7 mp1 state setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6aedb07
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU13.0.0 driver_if header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63d318a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable GPO feature support for SMU13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f6a2441
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update driver if header for smu_13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 05c7217
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move predict pipe to dml fpu folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad8e965
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/pm/swsmu: add ras eeprom i2c function for smu13 v13_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c502e8b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add dcdebugmask option for disabling MPO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit de88a92
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add visualconfirm module parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 14f2fd7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move populate phaton function to dml (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 36d953b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: bump driver version for IP discovery info in HW INFO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 90212b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add the IP discovery IP versions for HW INFO data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 48b646a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop FPU flags from dcn32_clk_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 98f9c55
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Revert "drm/amd/display: disable idle optimizations" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8bb0f1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update DML logic for unbounded req handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b2d16ad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update Cursor Attribute MALL cache (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f82f31f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix comment typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f4390fa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/radeon: Fix comment typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e429fcc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add dm ip block for dcn 3.1.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d62dafc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable dmcu fw loading for dcn314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 44aa6ef
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Loop through all pipes for DET allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 00a029a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable GPUVM in IP resource configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 122b0b5
* Thu Dec 15 2022 pjakobsson@suse.de
- Documentation/gpu: Add GFXOFF section (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4ffca16
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/debugfs: Expose GFXOFF state to userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3003d10
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: move dcn31_update_soc_for_wm_a func to dml fpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 943379e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused MaxUsedBW variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 55e0eb4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused variables from dcn10_stream_encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 159273a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused variables from (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7eca20d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused NumberOfStates variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ba8429
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ac6b4c1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused clk_src variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b0d5133
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update de-tile override to anticipate pipe splitting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a4a6af
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Don't set dram clock change requirement for SubVP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 90c54e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix hard hang if DSC is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit af8fad1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove number of DSC slices override in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3f96668
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Create a file dedicated for CRTC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 87389ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Create a file dedicated to planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7484ca
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add tags for indicating mst progress status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 096a506
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add is_mst_connector debugfs entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2bc11ce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix trigger_hotplug to support mst case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f7dcbaf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Expose function reset_cur_dp_mst_topology (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit faa2717
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update in dml (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d720df2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3bdbb6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Support vertical interrupt 0 for all dcn ASIC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3e4214d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfx ulv and gpo on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9f866f9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Change get_pipe_idx function scope (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9d2972f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Write masked value to control register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 637e20e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix scratch register access method in SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a8ca0e7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: remove acc_size from reserve/unreserve mem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 366447c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add comment to HW_IP_VCN_ENC type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a654e7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable mode1 reset for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 494a57b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: correct the PSP_BL_CMD enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 82542ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: drop runpm from amdgpu_device structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 028da4d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: drop runtime pm disablement quirk on several sienna (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb1404b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: skip SMU FW reloading in runpm BACO case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 066b3d1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: introduce runtime pm mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4ebcbd7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unnecessary NULL check in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef2259c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Clarify asics naming in Kconfig options (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c41511
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix spelling mistake "supporing" -> "supporting" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5387bb7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: restore original stable pstate on ctx fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6db3740
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: use the same HDP flush registers for all nbio 2.3.x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 80b169d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: use the same HDP flush registers for all nbio 7.4.x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea170ea
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: create I2S platform devices for Jadeite platform (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 80c74fd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add dmi check for jadeite platform (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4764a31
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Call trace info was found in dmesg when loading amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a9e296
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix for coding style issues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit acbff90
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add umc ras functions for umc v8_10_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ca52d5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add umc v8_10_0 ip headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8dedeb3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Get rid of amdgpu_job->external_hw_fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5e60e90
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: limiting AV1 to first instance on VCN4 decode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b59b430
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Add lmem_bar_size modparam (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit acf0e60
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Add support for LMEM PCIe resizable bar (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b2476d8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Correct ss -> steering calculation for pre-Xe_HP platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9a29f38
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Only kick the signal worker if there's been an update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1c2e049
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Bump GT idling delay to 2 jiffies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f1b9202
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_15010599737 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fecf8de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/mtl: Add MeteorLake PCI IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7543785
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/mtl: Add MeteorLake platform info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ebcc7c6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Add general DSS steering iterator to intel_gt_mcr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a4b9653
* Thu Dec 15 2022 pjakobsson@suse.de
- i915/perf: Disable OA sseu config param for gfx12.50+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a69dcb0
* Thu Dec 15 2022 pjakobsson@suse.de
- i915/perf: Replace DRM_DEBUG with driver specific drm_dbg call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 56429d9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/selftests: Grab the runtime pm in shrink_thp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit feb3375
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc: Asynchronous flush of GuC log regions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0310648
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/doc/rfc: VM_BIND uapi definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4355ca6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Update i915 uapi documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 21f6445
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/doc/rfc: VM_BIND feature design document (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e2c85ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: DG2 and ATS-M device ID updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f251184
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Implement w/a 16016694945 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 380e0a3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: turn on small BAR support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5979695
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/ttm: disallow CPU fallback mode for ccs pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bb1dbdb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/ttm: handle blitter failure on DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e929b64
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/selftests: ensure we reserve a fence slot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 33868c1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/selftests: skip the mman tests for stolen (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit be50c1b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/uapi: tweak error capture on recoverable contexts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 329dd02
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/error: skip non-mappable pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 652b66c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/uapi: add NEEDS_CPU_ACCESS hint (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bfd7bf1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/uapi: apply ALLOC_GPU_ONLY by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 155dcb0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: remove intel_memory_region avail (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fcb8c43
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/uapi: expose the avail tracking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ecad90
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/uapi: add probed_cpu_visible_size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 039ded4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/doc: add rfc section for small BAR uapi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 06d0ba6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Add a new SLPC selftest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 27a8d3c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix for drm buddy memory corruption (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15e48c8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: rcar-du: Lift z-pos restriction on primary plane for Gen3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 465ad8a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: rcar-du: Fix Alpha blending issue on Gen3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 44244b4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: rcar-du: Add num_rpf to struct rcar_du_device_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4ac887d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: rcar-du: Drop file name from comment header blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 937300f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: rcar-du: Extend CMM HDSE documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c20c637
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Don't read-back PCI option register before writing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a58c6ee
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: revert "return only unsignaled fences in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ece0805
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove duplicate dcn314 includes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b3f5957
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enable DCN314 in DM (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225 jsc#PED-2849).
- commit 469f0e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DMUB support for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 402a24d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enable DCN314 in DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2623743
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN314 version identifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 67bb4bd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN314 DML calculation support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a6010e8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN314 DC resources (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9875015
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN314 clock manager (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4de2ac9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN314 IRQ services (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1949bcc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add reg headers for DCN314 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9686ea7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: attempt to fix the logic in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f6d7422
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: Implement get GFXOFF status for vangogh (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit af43b3b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: make some dc_dmub_srv functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4b7611
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix file permissions on some files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 30758b3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix acronym typo in glossary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d0be81
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.194 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d988c71
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix lag when moving windowed MPO across display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4a353ed
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add NBIO reg offsets to DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4e46b56
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN reg offsets to DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc93617
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add system info table log (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3fdb65c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Grab dc_lock before detecting link (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 408a8b5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Re-implementing ARGB16161616 pixel format as 22 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 29beb62
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.193 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1a83106
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: update DML1 logic for unbounded req handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f9d30a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: add aggregated doorbell support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 109e4a7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/sdma6: add aggregated doorbell support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15e0311
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: ring aggregatged doorbell when mes queue is unmapped (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 19745d1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes11: initialize aggregated doorbell (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad820b1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: init aggregated doorbell (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6abd1c9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: support reset flag set for gpu reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7aed33f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: support SDMA soft recovery for sdma v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 33277fa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable soft reset for gfx 11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 790e79a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: support gfx soft reset for gfx v11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 560cc40
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce SCDC Status Flags Definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0e52dc4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: make enable link independent from verified link caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f45e37d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: bump KFD version for unified ctx save/restore memory (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9629738
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix unnecessary pipe split playing NV12 1080p MPO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 99e47d2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix black screen when disabling Freesync in OSD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e81c3f6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable PSRSU when DSC enabled on the specific sink (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7bf4e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Clear edid when unplug mst connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 54a359a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix windowed MPO video with ODM combine for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 61003c6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Removing assert statements for Linux (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 39009ac
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Helper function for ALPM initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f446f41
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Check for DP2.0 when checking ODM combine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8c0af35
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Exit SubVP if MPO in use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ee91dd8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: set correct mes ring ready flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b869a6f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/gmc10: adjust gart size for parts that support S/G display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f884d23
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: fix bo va unmap issue in mes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9eb556b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: fix mes submission in atomic context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4090671
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: drop the thermal_controller_type check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8bef618
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: ac/dc change for smu_v13_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 60a4a1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enable ODM combine default policy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit deb042b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add callback to set dig mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 94f5b0f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix 32 bit compilation errors in dc_dmub_srv.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 90cf912
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 754b618
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix non-x86/PPC64 compilation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8b71524
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix one list corruption when create queue fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 47632cc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/radeon: avoid bogus "vram limit (0) must be a power of 2" warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dd0203b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove repeated includes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1c7c030
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: Remove duplicated argument to || (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f78dd8c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: make get_refresh_rate() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c964ae2
* Thu Dec 15 2022 pmladek@suse.com
- Update
  patches.suse/media-mtk-vcodec-potential-dereference-of-null-point.patch
  (CVE-2022-3113 bsc#1206390 git-fixes).
- commit 3cbcfe5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove set but unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 44f41ad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: optimize svm range evict (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa0ffb3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: correct idle_power_optimizations disablement return (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4e1ad21
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: remove stale debug setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d2e660d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: change svm range evict (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 64d788c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: add new flag for svm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7aa0fc0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused variables from vba_vars_st (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f638923
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove duplicate code across dcn30 and dcn31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 79e9e10
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1422c91
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove return value of Calculate256BBlockSizes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e544598
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdpgu/debugfs: Simplify some exit paths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1a0e325
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: Fix an error handling path in amdgpu_mes_self_test() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6507406
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Maintain old audio programming sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 45139c2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.192 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6d2921d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: rename hdmi_frl_pcon_support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b947e7c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: enable PCON SST support for newer ASICs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ba21fce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: OVT Update on InfoFrame and Mode Management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a79737c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes11: fix to unmap legacy queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4817e37
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Initialize lt_settings on instantiation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 754b0e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix uninitialized variable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 132a364
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move all linux includes into OS types (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 35d42c3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix null timing generator resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 50fb8e7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add flag to modify MST delay (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3b1a62
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable TBT3 DSC work around by default. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2a410a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix refresh rate issue on Club 3D (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12f4f5f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove configuration option for dpia hpd delay (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 70ef173
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Indicate stream change on ODM change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d8025d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: disable otg toggle w/a on boot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5471084
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix dmub soft hang for PSR 1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a1eca94
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Guard against NULL link encoder in log hw state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a858a4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove incorrect ASSERT check for link_enc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7abe15c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Guard against ddc_pin being NULL for AUX (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 001ceca
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Program ACP related register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c9323e0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add an option to skip wait for HPD when powering on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a1cd58c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Don't set dram clock change requirement for SubVP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e1c8718
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Extend soc BB capabilitiy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5f11bfa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Maintain consistent mode of operation during encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 76586e7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: guard for virtual calling destroy_link_encoders (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ac87240
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: disable timing sync b/w odm halves (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6014db8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add minimal pipe split transition state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb7aa1b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add SubVP control lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c95795
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix stream->link_enc unassigned during stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c8cdf1a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add basic infrastructure for enabling FAMS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 78db0b4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Make OPTC3 function accessible to other DCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9063f4f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update gpuvm_max_page_table_levels IP param (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 50c7d2b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Switch to correct DTO on HDMI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 27d4620
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Change DET policy for MPO cases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7380b80
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use two pixel per container for k1/k2 div (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0ff450
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Apply ODM 2:1 policy for single display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 14d66a0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add function to set pixels per cycle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f48004
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Prepare for new interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit de97061
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add SubVP required code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit eebafdb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add missing registers for ACP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52302a3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: skip whole ras bad page framework on sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e45fcc8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Only send ras feature for gfx block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 32a1773
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU 13.0.0 driver_if header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fd1b9e5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: simplify vm_validate_pt_pd_bos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 55179b1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Add debug mask for subviewport mclk switch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3d43c56
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: remove unused functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f09961d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/flcn: remove unused functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 69a5595
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau: remove double WFI when destroying channels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8c95b90
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/ce/gv100-: move method buffer to ce ctx (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5688eaf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/fifo: remove rd32/wr32 accessors from channels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 96b5f3f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/fifo: rip out cevent, never used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f20041b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/device: remove pwrsrc notify in favour of a direct call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bdaddd2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/nvkm: remove unused header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 98d1fce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/nvkm: zero out engine pointer for subdev-provided classes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1100074
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/nvkm: use list_add_tail() when building object tree (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e5ae604
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/nvkm: rip out event uapi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 641fb7a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/nvif: add wrapper for open-coded (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cc53d0c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Make enable_eviction flag static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit add07ee
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Switch to pfn mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7efb5a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Deprecate MSM_BO_UNCACHED harder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 783bcfe
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/adreno: Defer enabling runpm until hw_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bb3da66
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/gem: Drop obj lock in msm_gem_free_object() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7e7f8d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: remove dp_display_en/disable prototypes and data argument (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a441657
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: rename second dp_display_enable()'s argument (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fcc6fd5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: remove unused stubs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5061d69
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/adreno: Do not propagate void return values (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3ba4f9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/gpu: Add GEM debug label to devcore (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0493977
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/gpu: Capture all BO addr+size in devcore (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ae46e1d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: switch msm_kms_init_aspace() to use device_iommu_mapped() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1852e47
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: move KMS aspace init to the separate helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8412124
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Stop using iommu_present() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c5073a4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/mdp5: move iommu_domain_alloc() call close to its usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c029961
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: check both DPU and MDSS devices for the IOMMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2cf097d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Fix %%d vs %%u (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d12b37d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: move struct dpu_hw_blk definition to dpu_hw_utils.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 19c2b6e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: merge base_off with blk_off in struct dpu_hw_blk_reg_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9952911
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: drop length from struct dpu_hw_blk_reg_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f1a57bb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: drop xin_id from struct dpu_hw_blk_reg_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ee39915
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/adreno: Allow larger address space size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03c9413
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/adreno: Fix up formatting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 770d599
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/a6xx: Add speedbin support for A619 GPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5ab4a63
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/adreno: Add A619 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2e549e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/adreno: Remove dead code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f894765
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Avoid unclocked GMU register access in 6xx gpu_busy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bcc7431
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/mdp4: get rid of struct mdp4_platform_config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c986cc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/mdp4: move iommu_domain_alloc() call close to its usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 914b9ee
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/mdp5: Add perf data for MDP v1.16 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 46ca20a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: support attaching the "next" bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 782a1f1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: drop empty bridge callbacks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81129f6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi-phy: populate 8x60 HDMI PHY requirements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a921a0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: reuse MSM8960's config for MSM8660 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 23b5689
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: merge platform config for 8974/8084/8994/8996 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bc69f32
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: drop hpd_regs usage on 8x74/8084 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6438987
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: drop unused GPIO support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7e20d4
* Thu Dec 15 2022 pmladek@suse.com
- Update
  patches.suse/msft-hv-2553-hv_netvsc-Add-check-for-kvmalloc_array.patch
  (CVE-2022-3107 bsc#1206395 git-fixes).
- commit 74c81de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: drop the hdmi-mux support (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225 jsc#PED-2849).
- Refresh
  patches.suse/drm-msm-hdmi-drop-empty-none-regulator-lists.patch.
- commit 79437b9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/hdmi: fill the pwr_regs bulk regulators (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 79313e8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dsi: Use single function for reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit beb4404
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: use ARRAY_SIZE for calculating num_descs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12d4d91
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: Remove encoder pointer from struct msm_dp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9a61eeb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: make dp_bridge_mode_valid() more precise (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 94bff70
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: rewrite dss_module_power to use bulk clock functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cd9e453
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: inline dp_power_clk_set_rate() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d4d31c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: set stream_pixel rate directly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4fd09f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dp: "inline" dp_ctrl_set_clock_rate("ctrl_link") (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5b2e86
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: add dspp support for sc7280 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c2059be
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: simplify and unify dpu_encoder_get_intf and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d25332
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: Add interface support for CRC debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a1123fa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: Add MISR register support for interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7cd3d6a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: Move MISR methods to dpu_hw_util (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa8234d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: Move LM CRC code into separate method (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5c6507c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: remove hard-coded linewidth limit for writeback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 19b90be
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: fix maxlinewidth for writeback block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ab798c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: move intf and wb assignment to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 851e655
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: drop enum msm_display_caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2493d58
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: dont_use IS_ERR_OR_NULL for encoder phys backends (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e4ac8a3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: make dpu hardware catalog static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3d14409
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: constify struct dpu_mdss_cfg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f284af
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: change catalog->dma_cfg to be a const pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d5153f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: change catalog->perf to be a const pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 34f813b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: remove hwversion field from data structures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 052516e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: move VBIF_XINL_QOS_LVL_REMAP size to hw_catalog (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4561cbc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: use feature bit for LM combined alpha check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9f2c7a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm/dpu: add writeback support for sc7180 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7c89d71
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Fix fence rollover issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 984f6be
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Use div64_ul instead of do_div (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 788dc60
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Expose client engine utilization via fdinfo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e3d5fb4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Add DRM_GEM_FOPS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 25f12bf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Make msm_gem_free_object() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 26d5c58
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Add pixels_per_iter config support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 253b35f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Add input_2pixel config support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f6fae6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Add config to support direct connection to dpi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ea8f85
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Add YUV422 output support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bdb0fdf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Move the csc_enable bit to SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 27092db
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Move the yuv422_en_bit to SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 421dc40
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Move swap_shift to SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ea198d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Move hvsize_mask to SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f577621
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Move dimension mask to SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d5b0599
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Implement a swap_input toggle in SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8471e39
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Implement a CK/DE pol toggle in SoC config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0138386
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Add support for quantization range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 33c7bdd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: dpi: Add kernel document for struct mtk_dpi_conf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f545599
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: Ensure bridge disable happends before suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f4ee49
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: Add mediatek-drm plane color encoding info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b6a2254
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: Add display MDP RDMA support for MT8195 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 74a2a50
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: Add MT8186 DSI compatible for mtk_drm_drv.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ecac90c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mediatek: Add mt8186 dsi compatible to mtk_dsi.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 13877f0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: vic: Use devm_platform_ioremap_resource() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 72a5a63
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Use the bitmap API to allocate bitmaps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4be2c0e
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Generalize host1x_cdma_push_wide() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e35a46c
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Initialize syncval in channel_submit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6056c81
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: Include DMA API header where used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9c89b93
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: Fix vmapping of prime buffers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1f3ffb5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: vic: Add Tegra234 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit eb3e9ad
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Use RESTART_W to skip timed out jobs on Tegra186+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc65739
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Add MLOCK release code on Tegra234 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 00b6475
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Rewrite job opcode sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d853c3
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Tegra234 device data and headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1fee01f
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Program interrupt destinations on Tegra234 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e84939a
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Allow reset to be missing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 182f219
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Program virtualization tables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 96c5cec
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Simplify register mapping and add common aperture (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5eb996d
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Deduplicate hardware headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 85f5ea1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: Implement stream ID related callbacks on engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fc66c32
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: Support context isolation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5ba1ad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: nvdec: Fix TRANSCFG register offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0d88b1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/tegra: falcon: Set DMACTX field on DMA transactions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 461f717
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Program context stream ID on submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0b1ae66
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu: host1x: Add context device management code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2def853
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: xlnx: add <linux/io.h> for readl/writel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit caeddf3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Use atomic variants of drm_bridge_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 294ebae
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Add wait_hpd_asserted() callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 59d30aa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Fix NULL pointer crash when using edp-panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b345a63
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: use pm_runtime_force_suspend(resume) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f5d2e63
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Convert to devm_i2c_new_dummy_device() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9c748e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Remove linux/i2c.h from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6760173
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Remove linux/media-bus-format.h from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 88f2f49
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Remove linux/fb.h from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b33b977
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vmwgfx: Stop using 'TRUE' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fba5bdf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ingenic: Use the highest possible DMA burst size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 95b02c8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: simple: add ETML0700Y5DHA panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 150c70e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: simple: Add support for HannStar HSD101PWW2 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 62ac42a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: i.MX8 bridge drivers should depend on ARCH_MXC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 49de233
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Remove unnecessary junk from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e59bb46
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: take HF-EEODB extension count into account (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5b7ed4e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add HF-EEODB support to EDID read and allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ea1836
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: do invalid block filtering in-place (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7b0f8f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid_raw() to access the raw EDID data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 54e862c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/probe-helper: add drm_connector_helper_get_modes() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f893b12
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid_connector_update() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b5e9f8d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: abstract debugfs override EDID set/reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 85a9225
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: clean up connector update error handling and debug logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7ae632
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_connector_update_edid_property() to struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a95c44
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: move drm_connector_update_edid_property() to drm_edid.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9928cb1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Nuke PCH_JSP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7b39771
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Nuke PCH_MCC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5158f13
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Use short PCH names consistently (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2016084
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: clean up comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e5c458b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drain freed object after suspend display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4473ffa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: use DISPLAY_VER() instead of accessing match_info directly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c761cee
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: debug log ddi port info after parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 974d250
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Fix error code in icl_compute_combo_phy_dpll() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b849be3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Move the color stuff under INTEL_INFO->display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 583dd0e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Get rid of XE_LPD_CURSOR_OFFSETS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6bd7a68
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Use _MMIO_PIPE2() where appropriate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3ad4811
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Use _MMIO_TRANS2() where appropriate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8b979a8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: s/_CURSOR2/_MMIO_CURSOR2// (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4965329
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Make pipe_offsets[] & co. u32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 606d4ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Move display_mmio_offset under INTEL_INFO->display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit efed882
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Move pipe_offsets[] & co. to INTEL_INFO->display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 63f0513
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Move dbuf details to INTEL_INFO->display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3317199
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Eliminate PIPECONF RMWs from .color_commit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 619cd5c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Call i915_gem_suspend() only after display is turned off (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 65224dd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: add missing FP_START/END checks dcn32_clk_mgr.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4251d01
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix __nedf2 undefined for 32 bit compilation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad31e74
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix __muldf3 undefined for 32 bit compilation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d6da480
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix __floatunsidf undefined for 32 bit compilation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a1c108
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix __umoddi3 undefined for 32 bit compilation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 325beb6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Bump KFD API version for SMI profiling event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4689e51
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Asynchronously free smi_client (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e11e85f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add unmap from GPU SMI event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 10bb330
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add user queue eviction restore SMI event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 75bda81
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add migration SMI event (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225 jsc#PED-2849).
- Refresh
  patches.suse/drm-amdkfd-Migrate-in-CPU-page-fault-use-current-mm.patch.
- Refresh
  patches.suse/drm-amdkfd-handle-CPU-fault-on-COW-mapping.patch.
- Refresh
  patches.suse/mm-memory.c-fix-race-when-faulting-a-device-private-page.patch.
- commit 5f2c214
* Thu Dec 15 2022 pmladek@suse.com
- Update
  patches.suse/power-supply-wm8350-power-Add-missing-free-in-free_c.patch
  (CVE-2022-3111 bsc#1206394 git-fixes).
- commit 3e68171
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add GPU recoverable fault SMI event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f94f0e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Enable per process SMI event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a99d3ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add KFD SMI event IDs and triggers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a836532
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amdgpu/gmc11: avoid cpu accessing registers to flush VM" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 58cdb08
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable mes to access registers v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3563790
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes: add mes register access interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 22530d2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes11: add mes11 misc op (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b9825b0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: fix cu mask for asics with wgps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0fb0493
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add common interface for mes misc op (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b370407
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes11: update mes interface for acessing registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4722256
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix documentation warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 70aa127
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Re-org and cleanup the redundant code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cc8297f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: expose additional modifier for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e51ae8b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Load TA firmware for DCN321/DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit eb65b28
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/amdgpu_dm: fix kernel-doc markups (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 951f61f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: change to_dal_irq_source_dnc32() storage class (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9db3f56
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused globals FORCE_RATE and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a077e81
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: drop set but unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 103e170
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fix typos in amdgpu_stop_pending_resets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6d540a7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Removed unused variable ret (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ee700b7
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amdkfd: Free queue after unmap queue success" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 64c2075
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display/dc: Fix null pointer exception (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5c1481a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Follow up change to previous drm scheduler change. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9b20557
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sched: Partial revert of 'drm/sched: Keep s_fence->parent (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8cd3279
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Prevent race between late signaled fences and GPU reset. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c8acc52
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add put fence in amdgpu_fence_driver_clear_job_fences (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4b49ca
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Remove useless amdgpu_display_freesync_ioctl() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 74a4618
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add mc wptr addr support for mes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 84d1616
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display : Log DP link training failure reason (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5b6aca9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable VR0 HOT support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 92fd350
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: update GFX11 cs settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 07b1034
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: reduce stack size in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c2147b8
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amd/display: ignore modifiers when checking for format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f9f91b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: Fix spelling mistake "supporing" -> "supporting" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0d056b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Fix spelling mistake "mechanim" -> "mechanism" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 859748c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: drop unexpected word 'for' in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1015e30
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix indentation in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6fb51cf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Update mes_v11_api_def.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 717e46d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Enable GFX11 usermode queue oversubscription (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 07c0092
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Fetch MES scheduler/KIQ versions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c5228e5
* Thu Dec 15 2022 pjakobsson@suse.de
- gpu/drm/radeon: Fix typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 646211f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: fix no previous prototype warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0e53a29
* Thu Dec 15 2022 pjakobsson@suse.de
- amdgpu/pm: Fix possible array out-of-bounds if SCLK levels != 2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit eba1836
* Thu Dec 15 2022 pjakobsson@suse.de
- amdgpu/pm: Fix incorrect variable for size of clocks array (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2cc2e38
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Free queue after unmap queue success (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9d2dbd9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add queue to MES if it becomes active (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6521467
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix incorrect comparison in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad3effc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix array index in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0cb90c4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: vm - drop unexpected word "the" in the comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 205fda0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/radeon: Drop CONFIG_BACKLIGHT_CLASS_DEVICE ifdefs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b81cfb9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: correct sdma queue number of sdma 6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e577d16
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Drop CONFIG_BACKLIGHT_CLASS_DEVICE ifdefs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a0fcd5a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.191 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 74e85a1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop duplicate define (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1e5084f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update hook dcn32_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 500dd8b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Implement a pme workaround function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef3cf61
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Get VCO frequency from registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 464a6c4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update SW state correctly for FCLK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7ae746c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix divide-by-zero in DPPCLK and DISPCLK calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3cb4547
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update DPPCLK programming sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 25997fc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Check minimum disp_clk and dpp_clk debug option (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 664a70f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix in dp link-training when updating payload (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1274338
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: extract update stream allocation to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e2a9c4b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused vendor specific w/a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea72317
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Handle downstream LTTPR with fixed VS sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ccd46f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Change initializer to single brace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 456e04b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: rename lane_settings to hw_lane_settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f1f00c1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix in overriding DP drive settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 37c998a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enrich the log in MST payload update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit febec16
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Change HDMI judgement condition. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4da9261
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add SMU logging code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ae1b7af
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Turn off internal backlight when plugging external (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e034efa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix eDP not light up on resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 48075ce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add mst port output bw check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b584508
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop unnecessary detect link code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ce86437
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Take emulated dc_sink into account for HDCP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d7326e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Release remote dc_sink under mst scenario (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 10dc3e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Revert "drm/amd/display: Add flag to
  detect dpms force off during HPD" (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225 jsc#PED-2849).
- Refresh
  patches.suse/drm-amd-display-Revert-drm-amd-display-turn-DPMS-off.patch.
- commit 97de6b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove compiler warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d323df8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add LSDMA block for LSDMA v6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c1072f1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add missing reg defs for DCN3x HUBBUB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c06e88
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Don't show warning on reading vbios values for SMU13 3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 21e2d76
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: skip to set mp1 unload state in special case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit afbfe9f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/gmc11: avoid cpu accessing registers to flush VM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ad6577e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: adjust EccInfo_t struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f6a4234
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Remove break for VMID loop TLB flush on MES (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4392fed
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: adjust unified queue code format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e936c4d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: support unified queue only in vcn4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3dc3bd2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: add unified queue ib test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 21e7df2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop unnecessary guard from DC resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 72f4617
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: make FP handling in Makefiles consistent (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 515267f
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amdgpu/display: Protect some functions with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d442238
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: fix warning when CONFIG_HSA_AMD_P2P is not set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8a0273e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: remove redundant enable_mes and enable_mes_kiq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb7738a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Blank for uclk OC in dm instead of dc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2afcc71
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add null check to dc_submit_i2c_oem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b0a4e8f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: FVA timing adjustment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d83b96d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add vrr_active_variable to dc_stream_update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e0a912
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Pass vrr mode to dcn (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d6529c9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Adding VTEM to dc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81b42ac
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Copy hfvsif_infopacket when stream update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e418c32
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add support for HF-VSIF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4070379
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Firmware assisted MCLK switch and FS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c9e585b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: DAL ACR, dc part, fix missing dcn30 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e5f9a40
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ecca4a8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Drop unused privacy_mask setters and getters (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit da6c700
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.190 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c1abbe1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: update topology_update_input_v3 struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f0548c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add debug option for exiting idle optimizations on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b877e05
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: dsc validate fail not pass to atomic check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9ded516
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix monitor flash issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8d6a5f7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: lower lane count first when CR done partially fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cd27cb7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Add available memory ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40fb79a
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/amdgpu/gmc11: enable AGP aperture" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8d41eea
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable MACO support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6b51e74
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable UCLK DS feature for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8302f68
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: dml: move some variables to heap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2b553b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use pre-allocated temp struct for bounding box (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6edf5f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: remove the repeated EnableGfxImu message sending (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 90b1785
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: correct the firmware flag address for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 867b687
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: ignore modifiers when checking for format support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 85cfe06
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: disable GPA mode in backdoor load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a19db30
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable vcn/jpeg v4_0_2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f15c6cc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: fix driver reload SMC firmware fail issue for smu13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d9fc2a3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: support BAMACO reset on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0c0cfe1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfxoff on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 97cd0b8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update the driver if header for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8aa3f99
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Stop any pending reset if another in progress. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 278e2da
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Rename amdgpu_device_gpu_recover_imp back to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 24a25f6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add work_struct for GPU reset from kfd. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef76b06
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add work_struct for GPU reset from debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b2cd5f4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/admgpu: Serialize RAS recovery work directly into reset domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cae9400
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Cache result of last reset at reset domain level. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 68af4bd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Remove field io_link_count from struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8788a1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: Fix compilation issues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b89df58
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: Remove unnecessary typecasts and fix build issues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 391c1ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable BACO on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7a2b1aa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: add interface to deallocate power_context for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1b9d906
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded dpm features disablement for SMU 13.0.0/7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e1481f5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: drop redundant declarations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a709cf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable mode1 reset support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5b259cd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: avoid to perform undesired clockgating operation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 567687d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: enable ASPM support for PCIE 7.4.0/7.6.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe57ba7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: optimize the interface for dpm feature status query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dab0e3c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded thermal_controller_type check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c6acaa5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable FW CTF feature for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f49215d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix scratch register access method in SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d499fd8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/radeon: Initialize fences array entries in radeon_sa_bo_next_hole (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e072e29
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Document and fix GTT BO kmap API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 822558f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce frame size in the bouding box for DCN21 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 83af962
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Extend KFD device topology to surface peer-to-peer links (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e77d3a3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/radeon: integer overflow in radeon_mode_dumb_create() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 14e64ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: simplify amdgpu_ucode_get_load_type() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8216811
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce frame size in the bouding box for DCN31/316 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 87b6d1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce frame size in the bouding box for DCN301 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 88c5072
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix null pointer deref error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 635e1cd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: Add peer-to-peer support among PCIe connected AMD GPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 99edc47
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdkfd: Define config HSA_AMD_P2P to support peer-to-peer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dc081e5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Reduce frame size in the bouding box for DCN20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b870bc2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove duplicated macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 963dcbc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Fix alignment issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e466034
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: refactor dirty rect dmub command decision (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ae7dcb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: pass panel instance in DMUB dirty rect command (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4dc1f99
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add PSR-SU-RC support in DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d488eab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: expose AMD specific DPCD for PSR-SU-RC support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 054cf58
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.189 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8c77690
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add HDMI member to DTO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9d2377
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Extend soc BB capabilitiy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6de9fb2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix entry into transient encoder assignment mode. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3520131
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix dpp dto for disabled pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 12e4245
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.188 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a4e9b6b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.119.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a4fdd1d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Enable 3 plane MPO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b8204b0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add DP sanity checks during enable stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 039f62c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Correct min comp buffer size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5603bc4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Blank eDP on enable drv if odm enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b598c4f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Avoid reading LTTPR caps in non-LTTPR mode. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cec97cb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/soc21: add mode2 asic reset for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4d07916
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: fix DCN3.2 Makefiles for non-x86 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7118da
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: make some functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2550bcd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add comments about VCN instance handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dda23ef
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Detect dpcd_rev when hotplug mst monitor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b311603
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Update optimized blank calc and programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f980391
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Implement MPO PSR SU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef4b01c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: update cursor position to DMUB FW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb0de01
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: calculate psr config settings in runtime in DM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 27cc162
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add shared helpers to update psr config fields to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9313c45
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: PSRSU+DSC WA for specific TCON (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a029533
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: use HW lock mgr for PSR-SU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 31dad7b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Set PSR level to enable ALPM by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 16f0d1f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: fix system hang when PSR exits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ee9c5c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add vline time in micro sec to PSR context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e3c4328
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Set default value of line_capture_indication (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d922f64
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Passing Y-granularity to dmub fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aa67b08
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add pipe1 hardware support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b6971f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Enable high priority gfx queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ca3484d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: adding device coredump support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 84f22b1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: save the reset dump register value for devcoredump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ba4400b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: program PSR2 DPCD Configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03b4648
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: revise Start/End SDP data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cfb6d54
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: update GSP1 generic info packet for PSRSU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d086f3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: combine dirty rectangles in DMUB FW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8888e37
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: feed PSR-SU as psr version to dmub FW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit db7c03e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: align dmub cmd header to latest dmub FW to support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d9dd0de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display/dc: Add ACP_DATA register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef4fdd8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: Protect some functions with CONFIG_DRM_AMD_DC_DCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 54cffca
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add ODM seamless boot support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4369467
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Implement DTBCLK ref switching on dcn32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dea67c6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Match dprefclk with clk registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5dc1a5e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: cleaning up smu_if to add future flexibility (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 61face9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: update disp pattern generator routine for DCN30 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e410228
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Updates for OTG and DCCG clocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cc64a07
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: FCLK P-state support updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 56e56ef
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Introduce new update_clocks logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8893cbe
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: set link fec status during init for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6cf4e1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add new pixel rate programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5005b64
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Remove W/A for ODM memory pins (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 61bb3c9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix up comment in amdgpu_device_asic_has_dc_support() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8636b29
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: do not override CURSOR_REQ_MODE when SubVP is not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c02449e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: delete duplicate condition in gfx_v11_0_soft_reset() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e888d6d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: use new register offsets for smu_cmn.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 41acf28
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: change dsc image width cap for dcn32 and dcn321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 25451b3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: add SMU mailbox registers in SMU context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7c5968
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Disable DTB Ref Clock Switching in dcn32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0d7dd1d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/gmc11: enable AGP aperture (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7708baa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: convert nbio_v2_3_clear_doorbell_interrupt() to IP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f69622
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: set dram speed for all states (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 25824ec
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: simplify the logic in amdgpu_device_parse_gpu_info_fw() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ce15531
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: convert sienna_cichlid_populate_umd_state_clk() to use IP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 34767bf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Halve DTB Clock Value for DCN32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0c5f264
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add additional guard for FCLK pstate message for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4b13ab9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix sdma doorbell issue on SDMA v6.0 and NBIO v7.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ca9743
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add CSDMA reg offsets for NBIO v7.7.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 13fb825
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add apu sequence in the imu v11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52d7262
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: implement the SMU_MSG_EnableGfxImu function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c2f9fd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: update MP v13_0_4 smu message register marco (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4395127
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub v3_0_1 ip block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 60c32f6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub v3_0_1 headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 25d3f33
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: use the callback function for reset status polling on IMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 84efb21
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Ensure that DMCUB fw in use is loaded by DC and not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6ada8a6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: use updated clock source init routine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d35896e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Select correct DTO source (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 427e395
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: print umc correctable error address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dd3050c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: disable idle optimizations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 250ec30
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add missing interrupt handlers for DCN32/DCN321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0d7780
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Implement WM table transfer for DCN32/DCN321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4f01163
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Various DML fixes to enable higher timings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa62c48
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add guard for FCLK pstate message to PMFW for DCN321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c4a33cc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: introduce two work mode for imu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8ccb0a9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Use DTBCLK for valid pixel clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 32237ff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add missing instance for clock source register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d39ba3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Fix USBC link creation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e35ebe
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Add GFX11 modifiers support to AMDGPU (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a25b237
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/amdgpu: align the cg and pg settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0da3a99
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add DCN32 to IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 285aa11
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DM support for DCN32/DCN321 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225 jsc#PED-2849).
- commit f98f753
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/mes11: update mes11 api interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 68c3b65
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add dependant changes for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9e7bb68
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add DCN32/321 specific files for Display Core (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0dd4c7b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add CLKMGR changes for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5fb5200
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: DML changes for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a74c102
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add GPIO changes for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ad805e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: add dcn32 IRQ changes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ce92369
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DMCUB source files and changes for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d9f4af4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: add register headers for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a75656f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN32/321 version identifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ede8c27
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Add atomfirmware.h definitions needed for DCN32/321 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 251662e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/pm: support mca_ceumc_addr in ecctable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5dad7a4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd: Fix spelling typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb38b57
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: enable fclk ds feature for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2bd80cf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU 13.0.0 driver_if header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0e1e1b1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/pm: correct the way for retrieving current uclk frequency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52aa9b2
* Thu Dec 15 2022 pjakobsson@suse.de
- amdgpu: amdgpu_device.c: Removed trailing whitespace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6286d5d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: convert (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea10a2a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: simplify amdgpu_device_asic_has_dc_support() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 78ea4c7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: Prepare for new interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d769e7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Fix a lockdep warning at error capture (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6310ef0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Use non-blocking H2G for waitboost (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ba72d1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc: Don't update engine busyness stats too frequently (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ed6a5c4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Do not access rq->engine without a reference (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fee4d2f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Prefer "XEHP_" prefix for registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3acf332
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Correct duplicated/misplaced GT register definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 742dee0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/selftests: Increase timeout for live_parallel_switch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4234b1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Re-do the intel-gtt split (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b580c2c
* Thu Dec 15 2022 pjakobsson@suse.de
- agp/intel: Rename intel-gtt symbols (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 475c97d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: Add smem fallback allocation for dpt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3bbd273
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: extend i915_vma_pin_iomap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 40998aa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: don't leak lmem mapping in vma_evict (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 877bca6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Fix spelling typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6eacb62
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Add global forcewake request to drpc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c7bfe82
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Improve on suspend / resume time with VT-d enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01b29d5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Cleanup interface for MCR operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 68d4dd0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Move multicast register handling to a dedicated file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 68062e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Improve user experience and driver robustness under
  SIGINT or similar (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- Refresh
  patches.suse/drm-i915-gt-Restrict-forced-preemption-to-the-active.patch.
- commit 2b3b51e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Add recommended MMIO setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a37180
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Adjust EU per SS according to HAS_ONE_EU_PER_FUSE_BIT() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d6bc17e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Add register steering (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 35b486f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/xehp: Correct steering initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b08afc2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: More PVC+DG2 workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b908a98
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dg2: Correct DSS check for Wa_1308578152 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0955b20
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_14015795083 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 348f309
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/client: only include what's needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03ce5a2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: GuC depriv applies to PVC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3b717b9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Add extra registers to GPU error dump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 316e362
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Add SSEU changes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ab98744
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/sseu: Disassociate internal subslice mask representation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9f9045f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/sseu: Don't try to store EU mask internally in UAPI format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b3a2241
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/sseu: Simplify gen11+ SSEU handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ac1ec49
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/xehp: Drop GETPARAM lookups of I915_PARAM_[SUB]SLICE_MASK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2a6a1e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/xehp: Use separate sseu init function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7436e33
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Add initial PVC workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7d9900
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Extract stepping information from PCI revid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d76111
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Add media RP0/RPn to per-gt sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e665233
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pcode: Init pcode on different gt's (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 669ff54
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gt: Add media freq factor to per-gt sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4df6ca0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/hwconfig: Future-proof platform checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 46ab286
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/hwconfig: Report no hwconfig support on ADL-N (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8f0c5e5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc: XEHPSDV and PVC do not use HuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d50de51
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Add new BCS engines to GuC engine list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 15fcccf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Remove additional 3D flags from PIPE_CONTROL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa6de32
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Add forcewake support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 209e273
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/uncore: Reorganize and document shadow and forcewake tables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b1fa024
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Update tiled blits selftest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2abb92d
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_gt_uc from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8779838
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_rc6 from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe0cb2f
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_reset_engine from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7414ed
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_logical_ring_elsq from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f3f841
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_ddi from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bd9d7ff
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_dp_mst from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b39277d
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/i915: Drop has_psr from device info" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 652e0b4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dg2: Extend Wa_22010954014 to DG2-G11 and DG2-G12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ebd4de5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dg2: Add workaround 22014600077 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b4b0dd3
* Thu Dec 15 2022 pjakobsson@suse.de
- uapi/drm/i915: Document memory residency and Flat-CCS capability of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e4085ad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc: Remove unnecessary GuC err capture noise (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 17534e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: gracefully error out on platform with small-bar (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0faa1f3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: determine lmem_size properly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 792fca0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: return -EIO on lmem setup failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e0a83c4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/guc/rc: Use i915_probe_error instead of drm_error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 04765c2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: read fuses for link copy engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e517518
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: skip all copy engines from aux table invalidate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bed58ac
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Reset support for new copy engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e4d222
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Interrupt support for new copy engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f5a5ee0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Engine definitions for new copy engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 42737c5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gvt: Use intel_engine_mask_t for ring mask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2c1267e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Reduce stack usage in reset selftest with extra blitter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d661804
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Read correct RP_STATE_CAP register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit da7d211
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pvc: Define MOCS table for PVC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 17dfeff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/gem: Make drop_pages() return bool (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 67d69e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Only setup private tmpfs mount when needed and fix logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8375857
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Enable THP on Icelake and beyond (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fc5522f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_psr from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a49c1be
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_dp_mst from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 299d1a5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_ddi from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4d7ceb7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_logical_ring_elsq from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ec4b866
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_reset_engine from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e432374
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_rc6 from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 83acb51
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Drop has_gt_uc from device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 683921c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Don't use DRM_DEBUG_WARN_ON for ring unexpectedly not idle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b20b610
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Don't use DRM_DEBUG_WARN_ON for unexpected l3bank/mslice (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cf33ce5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/huc: Don't fail the probe if HuC init fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0c11f1c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/huc: Prepare for GSC-loaded HuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 883b06f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/huc: Add fetch support for gsc-loaded HuC binary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 57a7779
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/huc: drop intel_huc_is_authenticated (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bdd9f55
* Thu Dec 15 2022 pjakobsson@suse.de
- iosys-map: Add per-word write (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 56f68d8
* Thu Dec 15 2022 pjakobsson@suse.de
- iosys-map: Add per-word read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2ff2d25
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: lcdif: Add support for i.MX8MP LCDIF variant (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1faa892
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Do not cache dsi_lanes twice (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7994de4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/display/selftests: drop extra word 'for' in comments for MST (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 281953e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Move pixel doubling from Pixelvalve to HDMI block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9e6c426
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Force modeset when bpc or format changes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 20fa8d4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Report that 3d/stereo is allowed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3ec899
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Add MISC_CONTROL register for vc4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f03ab9e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Add HDMI format detection registers to register list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 484c28b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove VC4_HDMI_SCHEDULER_CONTROL_VERT_ALWAYS_KEEPOUT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 89fff09
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Skip writes to disabled packet RAM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 601d56d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Stop checking for enabled output in audio (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b663406
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Move HDMI reset to pm_resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 61619db
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Switch to pm_runtime_status_suspended (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dadd751
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Avoid full hdmi audio fifo writes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit edc7bc3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Clear unused infoframe packet RAM registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f8f149a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Add all the vc5 HDMI registers into the debugfs dumps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 53eff5c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: dsi: Release workaround buffer and DMA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e9b6357
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: dpi: Ensure a default format is selected (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a6af31f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: dpi: Add option for inverting pixel clock and output enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e5d643a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: dpi: Add support for composite syncs to vc4_dpi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6c80ca0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: hvs: Add debugfs node that dumps the current display lists (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4462dce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: plane: Add alpha_blend_mode property to each plane. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 91997f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: kms: Use maximum FIFO load for the HVS clock rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4adf12e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: kms: Warn if clk_set_min_rate fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d222b50
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/fourcc: Document the Intel CCS modifiers' CC plane expected pitch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e0c0a62
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/stm: ltdc: update hardware error management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 50d7fc3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/stm: ltdc: add support of horizontal & vertical mirroring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7f88078
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/stm: ltdc: add support of the dynamic z-order (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d2ab536
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/stm: ltdc: fix various coding-style warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e018f6b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/stm: ltdc: remove error message about scaling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 663d3d5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/stm: ltdc: disable all layers before crtc shutdown (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5ecf28f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/doc: Add KUnit documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d7ff3c1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/format-helper: Add KUnit tests for drm_fb_xrgb8888_to_rgb332() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6a92030
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/rect: Add DRM_RECT_INIT() macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f8caac2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ast: Enable primary plane with CRTC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f1af4e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/simple-kms: Use drm_atomic_helper_check_crtc_state() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d06caf8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/atomic-helper: Add helper drm_atomic_helper_check_crtc_state() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e51a01
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/fb-helper: Fix out-of-bounds access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bc953de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Implement DRM aperture helpers under video/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3b1b41
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ast: Fix black screen when getting out of suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 852ed72
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mcde: Fix refcount leak in mcde_dsi_bind (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit efe2615
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/connector: Remove usage of the deprecated ida_simple_xxx API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b7426f2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: introduce ebbg,ft8719 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c03d753
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mipi-dsi: Introduce mipi_dsi_dcs_write_seq macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ec166eb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8622: Use backlight helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 632e436
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel-edp: Add LQ140M1JW48 edp panel entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8c2bdb0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: simple: add AM-800600P5TMQW-TB8H (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c7b5913
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: shmobile: Use backlight helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 670dfce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: panel-asus-z00t-tm5p5-n35596: Use backlight helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c19c981
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: panel-dsi-cm: Use backlight helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 64b4972
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: sony-acx565akm: Use backlight helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 420a087
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: panel-simple: Add dev_err_probe if backlight could not be (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 78f8f4b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/pl111: drop unexpected word "the" in the comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4c3f91c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: nt35510: Remove duplicate 'the' in two places. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 886ce74
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: simple: Add DataImage FG1001L0DSSWMG01 panel support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 426f7de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/logicvc: add missing of_node_put() in logicvc_layers_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aa27bc7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: fix device_node_continue.cocci warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01ddb82
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Remove unnecessary print function dev_err() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dabf8a7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: logicvc: fix error code in logicvc_layer_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f4d00b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: logicvc: Fix uninitialized variable in probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8ed93c7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ast: Fixed the casting issue reported by sparse (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1621725
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/display: Fix build error without CONFIG_OF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 49d575b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/Kconfig: Drop duplicate "select ACPI_VIDEO" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c6702dd
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: deprecate DMABUF_SYSFS_STATS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 216cf71
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: calculate panel type as per child device index in VBT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 83f4ea8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: convert modeset setup to struct drm_i915_private (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f64fc9e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: split out hw state readout and sanitize (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a4f4c0d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: some struct drm_i915_private *i915 conversions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 32701e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: rename dev_priv -> i915 in crtc state dump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7c1a5bc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: change who adds [] around crtc state dump context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81429bc
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: split out crtc state dump to a separate file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 375cf70
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: split out modeset verification code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e58910
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/mpllb: move mpllb state check to intel_snps_phy.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c599a00
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/mpllb: use I915_STATE_WARN() for state mismatch warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit be8aa08
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dpll: move shared dpll state verification to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 67cbef2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/wm: move wm state verification to intel_pm.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8ea4c46
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Introduce panel_bits() and panel_bool() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0f1918a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Don't parse the DPS panel type when the VBT does not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 394580b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Move panel_type stuff out of parse_panel_options() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef2e699
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Remove bogus LPT iCLKIP WARN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a9c88ed
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Sanitize underrun reporting before turning off any pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1acbf5e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Extract intel_sanitize_fifo_underrun_reporting() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1cb0bd8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Do not start connector polling on headless sku (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8a21ba0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Do not start connector polling if display is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5e16423
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/opregion: add function to check if headless sku (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef39131
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: split ddi port parsing and debug printing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d2bd541
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: no need to pass i915 to parse_ddi_port() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7482b23
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: use dvi and hdmi support helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f926ae7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Skip FDI vs. dotclock sanity check during readout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b84b99a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Introduce struct iclkip_params (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ddeb6da
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Extract intel_crtc_dotclock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 037c812
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: Fix handling of enable_psr parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b968e56
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Parse max link rate from the eDP BDB block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7022994
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Update eDP fast link training link rate parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4609f6a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Initialize eDP source rates after per-panel VBT parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a73cbc7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/overlay: remove redundant GEM_BUG_ON() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 79f9233
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pxp: fix sparse warning for not declared symbol (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit bf87a30
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: remove noisy logs in intel_dp_dsc_get_output_bpp() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52c7965
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/utils: throw out unused stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5e23fd5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/drv: drop intel_bios.h include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3c4bfd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/tasklet: separate local hacks around struct tasklet_struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 107133a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display/fbc: Do not apply WA 22014263786 to DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9a11119
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/regs: split out intel audio register definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 01c6791
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display/adlp: More updates to voltage swing table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 82b63ce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Treat DMRRS as static DRRS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6150161
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Define more BDB contents (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e68b9f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Fix aggressiveness typos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb326a8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Accept more fixed modes with VRR panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7b34630
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Print out rejected fixed modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6f56f5d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Parse VRR capability from VBT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f4e1ea4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display: stop using BUG() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1c9ec8a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Require an exact DP link freq match for the DG2 PLL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 39b9e6b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Check hw.enable and hw.active in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 225dc86
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Improve modeset debugs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 18e04f1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: s/pipe_config/crtc_state/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 05c716f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Adjust intel_modeset_pipe_config() & co. calling convention (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 780c46a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Extract PIPE_CONF_CHECK_RECT() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 251d273
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Extract PIPE_CONF_CHECK_TIMINGS() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c3a9ee2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Clean up DPLL related debugs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b14dd09
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Split shared dpll .get_dplls() into compute and get phases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c37a19
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/tc: Don't default disconnected legacy Type-C ports to TBT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0a814a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Determine panel type via PNPID match (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b3678de
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Split VBT data into per-panel vs. global parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1c746b8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Split VBT parsing to global vs. panel specific parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4974b13
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/bios: Split parse_driver_features() into two parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 65b6b6c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Keep VDD enabled during eDP probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9705895
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Reinit PPS delays after VBT has been fully parsed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 98ab767
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Split PPS init+sanitize in two (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03a3fff
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Stash away original BIOS programmed PPS delays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d17598
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Don't apply quirks/etc. to the VBT PPS delays if they (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fba3a8a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Introduce pps_delays_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8419286
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pps: Split pps_init_delays() into distinct parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0deff3c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Extract intel_edp_fixup_vbt_bpp() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 00ae31c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Pass intel_connector to intel_vrr_is_capable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e40c0a6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display/adl_p: Updates to HDMI combo PHY voltage swing table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e4c65b4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dg2: Support 4k@30 on HDMI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6cfa5c4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: fix typos in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aaa9bf5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/d12+: Disable DMC firmware flip queue handlers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c8cf20
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Rename block_size()/block_offset() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8a27876
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pcode: Add a couple of pcode helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 69171e9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/pcode: Extend pcode functions for multiple gt's (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5d7fe5e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Introduce has_media_ratio_mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ef51145
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Ensure damage clip area is within pipe area (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 752db8b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/psr: Use full update In case of area calculation fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e304300
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: Use drm_dbg for rpm logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b6e8cfb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/dmc: Load DMC on DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b50f110
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: remove single-use GEM_DEBUG_EXEC() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c10f857
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915: remove unused GEM_DEBUG_DECL() and GEM_DEBUG_BUG_ON() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3b2e20
* Thu Dec 15 2022 pjakobsson@suse.de
- GPU: drm: drop unexpected word "the" in the comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8f3cc5d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: panel-orientation-quirks: drop unexpected word "the" in the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4927a6b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vc4: drop unexpected word "the" in the comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81fe372
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/prime: drop unexpected word "the" in the comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 444e3b2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/mmu: drop unexpected word "the" in the comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0d857ea
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/dp_mst: Get rid of old comment in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ebae0a3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/display/dp_mst: Don't validate port refs in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dd059b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/display: Remove duplicate 'the' in two places. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8018509
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Provide wait_hpd_asserted() in struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 542dc3f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: atna33xc20: Take advantage of wait_hpd_asserted() in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f382925
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel-edp: Take advantage of wait_hpd_asserted() in struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe155e3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/dp: Add wait_hpd_asserted() callback to struct drm_dp_aux (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa01b4c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Config orientation property if panel provides it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e892f36
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: elida-kd35t133: Implement .get_orientation callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 43ed2b7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: ili9881c: Implement .get_orientation callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 028869d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: panel-simple: Implement .get_orientation callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a679955
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: lvds: Implement .get_orientation callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e081319
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: panel-edp: Implement .get_orientation callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 422e3ea
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: boe-tv101wum-nl6: Implement .get_orientation callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 39911a4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: Add an API to allow drm to set orientation from panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d9ee4cf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/xlnx: Fix build failure due to missing include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8e9c26b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: drop set but unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit de295fd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Drop drm_connector.h from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f2b0c3d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Drop drm_blend.h from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1dc11d4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Drop drm_edid.h from drm_crtc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c8c7f1b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Allow GPIO operations to sleep (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8a008fd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: add more dev_err_probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 219bb56
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge/tc358775: Fix DSI clock division for vsync delay (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c6aac3c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge/tc358775: Return before displaying inappropriate error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6797084
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: Add LDB support for i.MX8qm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f9c2f65
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: Add LDB support for i.MX8qxp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fce57d5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: Add LDB driver helper support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ffb9bc8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: Add i.MX8qxp pixel link to DPI support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3f0999c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: Add i.MX8qm/qxp display pixel link support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 35056f0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: imx: Add i.MX8qm/qxp pixel combiner support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 90d93eb
* Thu Dec 15 2022 pjakobsson@suse.de
- iosys-map: Fix typo in documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 27908e1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau: Fix spelling typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 029bb73
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/dp/mst: Read the extended DPCD capabilities during system resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e89f557
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sun4i: sun8i-hdmi-phy: Group PHY ops functions by generation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2026ed
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sun4i: sun8i-hdmi-phy: Separate A83T and H3 PHY ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 52f84a1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sun4i: sun8i-hdmi-phy: Support multiple custom PHY ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 86c0ee7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sun4i: sun8i-hdmi-phy: Used device-managed clocks/resets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f2426ec
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sun4i: sun8i-hdmi-phy: Use devm_platform_ioremap_resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c040c7d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/sun4i: sun8i-hdmi-phy: Use of_device_get_match_data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit dbae417
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu/display: fix build when CONFIG_DEBUG_FS is not set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b810951
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: it6505: Add missing CRYPTO_HASH dependency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e32d00a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Zero error variable when panel bridge not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e23090b
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "fbdev: vesafb: Allow to be built if COMPILE_TEST is enabled" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 81595c7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Fix convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c7055d4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/probe-helper: abstract .get_modes() connector helper call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e094c65
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add new interfaces around struct drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit aee5264
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: keep track of alloc size in drm_do_get_edid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e76ce97
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add block count and data helper functions for drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2428cbe
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: abstract cea data block collection size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4a49184
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: fix CTA data block collection size for CTA version 3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c0e963c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/syncobj: add missing error return code in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6668a32
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: vkms: Alloc the compose frame using vzalloc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 86c4b8c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vkms: check plane_composer->map[0] before using it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0a93aad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/v3d: Add support for bcm2711 (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225 jsc#PED-2849).
- Refresh patches.suse/drm-v3d-add-support-for-bcm2711.patch.
- commit 3a729cf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/v3d: Get rid of pm code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2490f57
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: rcar: Drop unused variables due to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb6fd16
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358775: Fix drm_of_get_data_lanes_count_ep conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f1f11c5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: of: Mark empty drm_of_get_data_lanes_count and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b952308
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e7572dd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Do not cache dsi_lanes and host twice (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f3ebcfd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: rcar: Convert to drm_of_get_data_lanes_count_ep (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4ba0ed7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/msm: Convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9337144
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d701b8d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358775: Convert to drm_of_get_data_lanes_count_ep (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 691c1a4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5143c6b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: lt9211: Convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03b4db0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: lt8912: Convert to drm_of_get_data_lanes_count_ep (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 751f89f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: icn6211: Convert to drm_of_get_data_lanes_count_ep (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d65230e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Convert to drm_of_get_data_lanes_count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 167711f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: of: Add drm_of_get_data_lanes_count and drm_of_get_data_lanes_ep (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c3741d1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Fix htmldocs indentation warning w/ DP AUX power requirements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7d8633f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Add support for the LogiCVC display controller (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8cc4ac0
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "fbdev: Prevent probing generic drivers if a FB is already (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f31bb6e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Include <linux/vmalloc.h> for G200 BIOS code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1b57af6
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/virtio: Fix NULL vs IS_ERR checking in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4985618
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/virtio: simplify the return expression (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 20451e8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/qxl: remove qxl_log_level global (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4f4c3cd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bochs: Explicitly include linux/module.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 03d1541
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/bios: Rename prom_init() and friends functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c8b387b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: nt36672a: add backlight support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ee8607e
* Thu Dec 15 2022 pjakobsson@suse.de
- fbcon: Remove obsolete reference to initmem_freed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8eb2f5f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/cma-helper: Describe what a "contiguous chunk" actually means (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6087ba1
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: Add an API for importing sync files (v10) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a5e4888
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: Add an API for exporting sync files (v14) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b6b3e09
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/meson: encoder_hdmi: Fix refcount leak in meson_encoder_hdmi_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d23a707
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/meson: encoder_cvbs: Fix refcount leak in meson_encoder_cvbs_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 75f4577
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Store positions of I2C data and clock bits in device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b499be4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Store vidrst flag in device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5a39877
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Store maximum resolution and memory bandwidth in device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 010e3f8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Store HW_BUG_NO_STARTADD flag in device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b36c288
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Add struct mgag200_device_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 78bc691
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Implement new init logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 24dd96b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Call mgag200_device_probe_vram() from per-model init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1ae04d9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Move PCI-option setup into model-specific code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 806ef9b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Initialize each model in separate function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d96598
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Remove special case for G200SE with <2 MiB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ed458ab
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/probe-helper: Default to 640x480 if no EDID on DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f49cd3f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: bridge: Add TI DLPC3433 DSI to DMD bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 66b38f9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Handle DP AUX more properly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7751b95
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: Add devm_drm_bridge_add() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9cdd62e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/dp: Add callbacks to make using DP AUX bus properly easier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a84b90a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Read EDID from the correct i2c adapter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 24fa83a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Make oaktrail lvds use ddc adapter from drm_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 156a1a1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Make cdv crt use ddc adapter from drm_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1fe1204
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Make psb lvds use ddc adapter from drm_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a80e044
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Make cdv hdmi use ddc adapter from drm_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 69d7151
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Make cdv lvds use ddc adapter from drm_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d25c8d7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Make gma_i2c_chan a subclass of i2c_adapter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2d21237
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gma500: Use gma_ prefix for our i2c abstraction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d3fb67e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ssd130x: Only define a SPI device ID table when built as a module (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 18c546d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/fifo/gv100-: set gv100_fifo_runlist storage-class to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e797fe4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: use dma_fence_unwrap_merge() in drm_syncobj (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ac503cc
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: generalize dma_fence unwrap & merging v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 307be43
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: return only unsignaled fences in dma_fence_unwrap_for_each (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d1aa461
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: cleanup dma_fence_unwrap implementation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0ab5ff2
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: cleanup dma_fence_unwrap selftest v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f5325f3
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: cleanup dma_fence_chain_walk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 411ee12
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: Extract drm_edid_decode_mfg_id() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1666b57
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Add arm,mali-valhall-jm compatible (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ae2948e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Add Mali-G57 "Natt" support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1d54112
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Don't set L2_MMU_CONFIG quirks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 0e4beac
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Add "clean only safe" feature bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b5fc177
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Add HW_ISSUE_TTRX_3485 quirk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 92dad39
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Handle HW_ISSUE_TTRX_3076 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit cb1d7ea
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Constify argument to has_hw_issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 58144bb
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panfrost: Handle HW_ISSUE_TTRX_2968_TTRX_3162 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4d75ae
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Adjust clock phase using SYS_CTRL_1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fc22e46
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: bridge: adv7511: Move CEC definitions to adv7511_cec.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f60d55a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/vkms: Update vkms_composer_worker documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e8b175
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: use ENOMEM for drmm_kzalloc allocation failures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 95869f9
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: Fix build error when CONFIG_DRM_PANEL_SAMSUNG_ATNA33XC20=y (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 53cdac2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/tegra: remove needless NULL check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fe4df95
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/mmu: fix typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 791264a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau: clear output poll workers before nouveau_fbcon_destroy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 53c0786
* Thu Dec 15 2022 pjakobsson@suse.de
- Revert "drm/bridge: anx7625: Use DPI bus type" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 715bc5c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Use both bits for HDMI sensing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ff7e61c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Consolidate detection logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2fd7b25
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Add missing of_node_put for endpoint (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 69dc34d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amd/display: Move connector debugfs to drm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8ea01ce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/i915/display/debug: Expose crtc current bpc via debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8355d27
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/debug: Expose connector's max supported bpc via debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ce2fc28
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/r128: Fix undefined behavior due to shift overflowing the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4eec87c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Report DSI-to-(e)DP as supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a2a3bce
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Handle dsi_lanes == 0 as invalid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5185ddf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/dp: Export symbol / kerneldoc fixes for DP AUX bus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 18a653b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Document the power requirements for DP AUX transfers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c98e6c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/probe-helper: For DP, add 640x480 if all other modes are bad (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6fd9f16
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/probe-helper: Add helper for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 676d5dd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gem: Warn on trying to use a non-existing framebuffer plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f78e74d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gem-vram: Ignore planes that are unused by framebuffer format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fa9ad01
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gem-vram: Share code between GEM VRAM's _{prepare, cleanup}_fb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 17895bd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gem: Ignore color planes that are unused by framebuffer format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c3511ae
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/gem: Share code between drm_gem_fb_{begin,end}_cpu_access() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 9b5ced5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/meson: add YUV422 output support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1956b40
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/meson: Fix refcount leak in meson_encoder_hdmi_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c693607
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/udl: Set VGA connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6cc51bd
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Split up connector's mode_valid helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1930725
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Test memory requirements in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7a0dab1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Remove struct mga_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2f6df96
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Switch I2C code to managed cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7b51166
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Implement connector's get_modes with helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 706ce50
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Fail on I2C initialization errors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 17c41f1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Acquire I/O lock while reading EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c96ee00
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Use DPI bus type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d4f94cf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: bridge: DRM_FSL_LDB should depend on ARCH_MXC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3091b2c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Register macro clean up (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7fdd66e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Enable atomic gamma lut update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a6f20b0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/client: Don't add new command-line mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 518f151
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/client: Look for command-line modes first (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 51a13ad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm: Always warn if user-defined modes are not supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 66f7686
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/panel: feiyang-fy07024di26a30d: make reset gpio optional (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 69a6ada
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert version_greater() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b74996c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/displayid: convert to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6e4eaca
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid helper for drm_update_tile_info() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b2eca9f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_edid_iter_begin() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 676749e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert cea_db_iter_edid_begin() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 45340d3
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid helper for drm_detect_monitor_audio() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 283081e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid helper for drm_detect_hdmi_monitor() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 80f94e2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid helper for drm_edid_to_speaker_allocation() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4134dfa
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add drm_edid helper for drm_edid_to_sad() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 50dc12d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_for_each_detailed_block() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c82b913
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert get_monitor_name() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 04b0fe0
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert mode_in_range() and drm_monitor_supports_rb() to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e78b26f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_mode_std() and children to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 7579ad8
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_cvt_modes_for_range() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 66234b5
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_gtf_modes_for_range() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 698b502
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_dmt_modes_for_range() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a43720d
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_mode_detailed() to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 6dbb7bf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert struct detailed_mode_closure to drm_edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 133fa35
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_edid_connector_update() to drm_edid fully (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f216208
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: propagate drm_edid to drm_edid_to_eld() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 28c9a5b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: keep propagating drm_edid to display info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 06dec5c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: start propagating drm_edid to lower levels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b42a4d4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add struct drm_edid container (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d67fe6c
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_for_each_detailed_block() to edid iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d382b13
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: use else-if in CTA extension parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 1cb5b84
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: vesafb: Allow to be built if COMPILE_TEST is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c491915
* Thu Dec 15 2022 pjakobsson@suse.de
- fbdev: Restart conflicting fb removal loop when unregistering devices (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit d3b78e4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Add DSI-to-(e)DP mode support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 2620233
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Factor out DSI and DPI RX enablement (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 519e313
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Warn once if trying to set start address on broken (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fb25dad
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Optimize damage clips (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit fc245d7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/mgag200: Add FB_DAMAGE_CLIPS support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 828a15f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: cdns-dsi: Add support for pre_enable and post_enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit ea83eaf
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/todo: Add entry for converting kselftests to kunit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 848fdf7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: move internal vram_mgr function into the C file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 676ed50
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: fix start calculation in amdgpu_vram_mgr_new
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- Delete
  patches.suse/1852-Revert-drm-amdgpu-add-drm-buddy-support-to-amdgpu.patch.
- commit e5f6d74
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/amdgpu: switch DM to atomic fence helpers v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 350d2d7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: simplify the return expression of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 762e04b
* Thu Dec 15 2022 pjakobsson@suse.de
- dma-buf: add the name field to the table header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a3b0d3b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/ttm: move default BO destructor into VMWGFX v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 57ef5d4
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/rockchip: Fix Kconfig dependencies for display-port encoders (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 793aa37
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/bridge: nwl-dsi: Set PHY mode in nwl_dsi_mode_set() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c89396f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/nouveau/gr/gf100-: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 904f0be
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: sunset drm_find_cea_extension() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 4daf241
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: skip CTA extension scan in drm_edid_to_eld() just for CTA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a11491e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: detect color formats and CTA revision in all CTA extensions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 911e709
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: detect basic audio in all CEA extensions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit c711a62
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: restore some type safety to cea_db_*() functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a744b10
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: sunset the old unused cea data block iterators (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 07e9c63
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_edid_to_eld() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 894e217
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_parse_cea_ext() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a156537
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_detect_monitor_audio() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit a50ebe2
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_detect_hdmi_monitor() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5a95060
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_edid_to_sad() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 675241e
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert drm_edid_to_speaker_allocation() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 3c70be7
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: convert add_cea_modes() to use cea db iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit f4cdb4f
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: clean up cea_db_is_*() functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b0fc901
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add iterator for CTA data blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit e67621a
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: add iterator for EDID base and extension blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8619c23
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: clean up CTA data block tag definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 5351718
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: rename HDMI Forum VSDB to SCDS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 011abe1
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: check for HF-SCDB block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 8268674
* Thu Dec 15 2022 pjakobsson@suse.de
- phy: Add LVDS configuration options (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit b0bab5b
* Thu Dec 15 2022 pjakobsson@suse.de
- drm/edid: reset display info in drm_add_edid_modes() for NULL edid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225 jsc#PED-2849)
- commit 19960c6
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gt-Restrict-forced-preemption-to-the-active.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- commit ac20fbf
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-bridge-analogix-dp-add-panel-prepare-unpr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c9be059
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-lt8912b-fix-corrupted-image-output.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7d23ffa
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-lt8912b-set-hdmi-or-dvi-mode.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c1c47eb
* Thu Dec 15 2022 pjakobsson@suse.de
- Update patches.suse/drm-bridge-lt8912b-add-vsync-hsync.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8e28c00
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-simple-Fix-innolux_g121i1_l01-bus_format.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4f1be15
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-dsi-Move-mtk_dsi_stop-call-back-to-mtk_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 80815fa
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-dsi-Add-atomic-destroy-duplicate-_state.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4e67c3b
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-don-t-register-a-dirty-callback-for-non-a.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4cd6bf1
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-skip-audio-setup-when-audio-stream-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8601838
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-update-gamut-remap-if-plane-has-chan.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 1cf318b
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-double-cursor-on-non-video-RGB-M.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit a47e2fc
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-Fix-return-type-of-cdn_dp_connector_mod.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 5ac8175
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-gma500-Fix-BUG-sleeping-function-called-from-inv.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit bfc86a8
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-Fix-OSD1-RGB-to-YCbCr-coefficient.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 56afa9b
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-Correct-OSD1-global-alpha-value.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit d76db1a
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-make-sure-to-init-common-IP-before-gmc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit a945dd0
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-move-nbio-sdma_doorbell_range-into-sdma-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 1b2c11e
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-move-nbio-ih_doorbell_range-into-ih-code-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit fdade4e
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Mark-dml30-s-UseMinimumDCFCLK-as-noi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 27d99a8
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Reduce-number-of-arguments-of-dml31--21485d3da659.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2bcff5f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Reduce-number-of-arguments-of-dml31-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 519a6d4
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Limit-user-regamma-to-a-valid-value.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 45fa71a
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-use-dirty-framebuffer-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b90c54f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-disable-BACO-entry-exit-completely-on-sev.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2ea0dc4
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/msft-hv-2640-drm-hyperv-Fix-an-error-handling-path-in-hyperv_vmbu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit e7dda31
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Implement-WaEdpLinkRateDataReload.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 977c07a
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panfrost-devfreq-set-opp-to-the-recommended-one-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 9eb45ff
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Skip-wm-ddb-readout-for-disabled-pipes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3824478
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-glk-ECS-Liva-Q2-needs-GLK-HDMI-port-timing-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 91cfb44
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-fix-null-pointer-dereference.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit dbb33d5
* Thu Dec 15 2022 pjakobsson@suse.de
- Update patches.suse/drm-msm-rd-Fix-FIFO-full-deadlock.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c1532c5
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-Fix-number-of-regulators-for-SDM660.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2ad5d4e
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-Fix-number-of-regulators-for-msm8996_dsi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4fa85a7
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-delete-DP_RECOVERED_CLOCK_OUT_EN-to-fix-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 60acb4e
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-fix-the-inconsistent-indenting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit de6e484
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-amdgpu-skip-ucode-loading-if-ucode_size-0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 6b733e6
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-display-avoid-warnings-when-registering-dua.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 5f62865
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-reg-Fix-spelling-mistake-Unsupport-Unsuppor.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2affcd5
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/fbdev-chipsfb-Add-missing-pci_disable_device-in-chip.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 209af6b
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/fbdev-fb_pm2fb-Avoid-potential-divide-by-zero-error.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 883d6dd
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-mmVM_L2_CNTL3-register-not-initialized-co.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 30914d9
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-radeon-add-a-force-flush-to-delay-work-when-rade.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3ce7c9f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Check-num_gfx_rings-for-gfx-v9_0-rb-setup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit a6e165f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Move-psp_xgmi_terminate-call-from-amdgpu_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8d4a874
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-gem-Fix-GEM-handle-release-errors.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit d2cfe14
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-remove-useless-condition-in-amdgpu_job_st.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b0557cb
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-avoid-doing-vm_init-multiple-time.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 410e79f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Increase-tlb-flush-timeout-for-sriov.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 50685a6
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-pixel-clock-programming.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 439de00
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-add-missing-fini_microcode-interface-for-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 6f03339
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-clear-optc-underflow-before-turn-off.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8d21e04
* Thu Dec 15 2022 jgross@suse.com
- selftests/tdx: Test TDX attestation GetReport support
  (jsc#PED-1266).
- commit 69f588f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-For-stereo-keep-FLIP_ANY_FRAME.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 23de554
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Check-correct-bounds-for-stream-enco.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 199ae06
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-HDMI-VSIF-V3-incorrect-issue.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 02f0d9c
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-sun4i-dsi-Prevent-underflow-when-computing-packe.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit feffc22
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-ttm-Fix-dummy-res-NULL-ptr-deref-bug.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit a38769a
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-Fix-refcount-bugs-in-meson_vpu_has_availab.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 203221d
* Thu Dec 15 2022 pjakobsson@suse.de
- Update patches.suse/drm-nouveau-recognise-GA103.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2b0acb1
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gt-Skip-TLB-invalidations-once-wedged.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b102344
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-gem-Properly-annotate-WW-context-on-drm_gem_lock.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit d7cfef2
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-shmem-helper-Add-missing-vunmap-on-error.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8aff0ee
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-s3fb-Check-the-size-of-screen-before-mem.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit ea50290
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-arkfb-Check-the-size-of-screen-before-me.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit ac883db
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-vt8623fb-Check-the-size-of-screen-before.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4bf7cf2
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-i740fb-Check-the-argument-of-i740_calc_v.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 208309c
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-arkfb-Fix-a-divide-by-zero-bug-in-ark_se.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7b36441
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-sis-fix-typos-in-SiS_GetModeID.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c5ae4f1
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-amba-clcd-Fix-refcount-leak-bugs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 10ae71b
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drivers-video-backlight-platform_lcd.c-add-su.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit e408c03
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-Fix-overflow-implicit-truncation-warnings.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit f9468b7
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Avoid-MPC-infinite-loop.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3a639db
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3488ce3
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-Don-t-pm_runtime_put_sync-only-pm_runtim.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit bd75f61
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-acpi-Don-t-print-error-when-we-get-EINPR.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 5e2fea3
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-kms-Fix-failure-path-for-creating-DP-con.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7fdc829
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Check-BO-s-requested-pinning-domains-agai.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7318533
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-exynos-exynos7_drm_decon-free-resources-when-clk.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit e5185e1
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dpu-Fix-for-non-visible-planes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 207b6a3
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-mdp5-Fix-global-state-lock-backoff.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2bda7eb
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-hdmi-drop-empty-none-regulator-lists.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- commit c99bc09
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-hdmi-enable-core-vcc-core-vdda-supply-for-89.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2f96adb
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-dpi-Only-enable-dpi-after-the-bridge-is.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 5da46ff
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-dpi-Remove-output-format-of-YUV.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 655db53
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-Add-pull-down-MIPI-operation-in-mtk_dsi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 9badb6d
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-Keep-dsi-as-LP00-before-dcs-cmds-transf.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3efc34f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-Separate-poweron-poweroff-from-enable-d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit dab4803
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-Modify-dsi-funcs-to-atomic-operations.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 921cd07
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-tegra-vic-Fix-build-warning-when-CONFIG_PM-n.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7605454
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-sii8620-fix-possible-off-by-one.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4cd8ee9
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-Fix-an-error-handling-path-rockchip_dp_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit bac234c
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-vop-Don-t-crash-for-invalid-duplicate_s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 4d731b5
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-change-vc4_dma_range_matches-from-a-global-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7ed13e9
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-amd_shared.h-Add-missing-doc-for-PP_GFX_DCS_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3ee3667
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Revert-drm-amd-display-turn-DPMS-off.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849).
- commit 1f3edd4
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-radeon-fix-incorrrect-SPDX-License-Identifiers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 614b441
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-radeon-fix-potential-buffer-overflow-in-ni_set_m.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 437d32f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-i915-Hold-reference-to-intel_context-over.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 26d9653
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Correct-HDMI-timing-registers-for-inter.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8f8dcff
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Fix-timings-for-interlaced-modes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 18c8e53
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Reset-HDMI-MISC_CONTROL-register.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 316ec7d
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Disable-audio-if-dmas-property-is-prese.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 0720c9e
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-dsi-Add-correct-stop-condition-to-vc4_dsi_en.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 8fc49ad
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-dsi-Fix-dsi0-interrupt-support.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c5a34e5
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-dsi-Register-dsi0-as-the-correct-vc4-encoder.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 2c5f98c
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-dsi-Correct-pixel-order-for-DSI0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b904c8a
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-dsi-Correct-DSI-divider-calculations.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit faba8a3
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-plane-Fix-margin-calculations-for-the-right-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 7c2b239
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-plane-Remove-subpixel-positioning-check.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 3d7f862
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-drv-Adopt-the-dma-configuration-from-the-HVS.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit ae2e842
* Thu Dec 15 2022 pjakobsson@suse.de
- Update patches.suse/drm-doc-Fix-comment-typo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 9ec17a4
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-adv7511-Add-check-for-mipi_dsi_driver_reg.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit be86a31
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/msft-hv-2626-drm-hyperv-drm-Include-framebuffer-and-EDID-headers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b32b46f
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/fbcon-Fix-boundary-checks-for-fbcon-vc-n1-n2-paramet.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 6e6eb97
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-adv7511-override-i2c-address-of-cec-before-acces.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b124445
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/udmabuf-Set-the-DMA-mask-for-the-udmabuf-device-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 6a6e9d1
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/virtio-gpu-fix-a-missing-check-to-avoid-NULL-derefer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 629a4c7
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-lt9611uxc-Cancel-only-driver-s-work.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit f8d84cc
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-fix-another-off-by-one-in-nvbios_addr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit c00d4eb
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/msft-hv-2614-drm-hyperv-Removing-the-restruction-of-VRAM-allocati.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit e75c048
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mipi-dbi-align-max_chunk-to-2-in-spi_transfer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit b8ebfea
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-st7735r-Fix-module-autoloading-for-Okaya-RH12812.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit 16d84ec
* Thu Dec 15 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-tc358767-Make-sure-Refclk-clock-are-enabl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225
  jsc#PED-2849)
- commit a62d7bd
* Thu Dec 15 2022 jgross@suse.com
- virt: Add TDX guest driver (jsc#PED-1266).
- Update config files.
- Add tdx-guest driver to supported.conf.
- commit fcf1f27
* Thu Dec 15 2022 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-uverbs-Check-for-null-return-of-kmalloc_array.patch
  (jsc#SLE-19249 bsc#1206398 CVE-2022-3105).
- commit 1d5d55f
* Thu Dec 15 2022 tbogendoerfer@suse.de
- Update
  patches.suse/sfc_ef100-potential-dereference-of-null-pointer.patch
  (git-fixes bsc#1206397 CVE-2022-3106).
  Added CVE reference
- commit 7a802f9
* Thu Dec 15 2022 tbogendoerfer@suse.de
- Update
  patches.suse/msft-hv-2684-net-mana-Fix-race-on-per-CQ-variable-napi-work_done.patch
  (git-fixes bsc#1206188).
  Added bugzilla reference
- commit 495320f
* Thu Dec 15 2022 jgross@suse.com
- x86/tdx: Add a wrapper to get TDREPORT0 from the TDX Module
  (jsc#PED-1266).
- commit 8fccfd1
* Thu Dec 15 2022 oneukum@suse.com
- padata: Fix list iterator in padata_do_serial() (git-fixes).
- commit 7ce0fe3
* Thu Dec 15 2022 oneukum@suse.com
- HID: usbhid: Add ALWAYS_POLL quirk for some mice (git-fixes).
- commit 43731f8
* Thu Dec 15 2022 lduncan@suse.com
- blk-mq: remove the done argument to blk_execute_rq_nowait
  (git-fixes).
- Refresh
  patches.suse/scsi-ufs-Split-the-drivers-scsi-ufs-directory.patch.
- commit 953f403
* Thu Dec 15 2022 lduncan@suse.com
- scsi: fcoe: Fix Wstringop-overflow warnings in
  fcoe_wwn_from_mac() (git-fixes).
- scsi: initio: Fix a kernel-doc warning (git-fixes).
- scsi: dc395x: Fix a kernel-doc warning (git-fixes).
- scsi: atp870u: Fix a kernel-doc warning (git-fixes).
- scsi: a100u2w: Fix a kernel-doc warning (git-fixes).
- commit abeee1c
* Wed Dec 14 2022 oneukum@suse.com
- restore m_can_lec_type (git-fixes).
- commit 785d940
* Wed Dec 14 2022 oneukum@suse.com
- can: m_can: is_lec_err(): clean up LEC error handling
  (git-fixes).
- commit c7997f5
* Wed Dec 14 2022 oneukum@suse.com
- can: m_can: fix typo prescalar -> prescaler (git-fixes).
- commit b0ef074
* Wed Dec 14 2022 jwiesner@suse.de
- locking/rwsem: Disable preemption while trying for rwsem lock
  (bsc#1204996).
- commit 871c9d5
* Wed Dec 14 2022 jwiesner@suse.de
- locking/rwsem: Allow slowpath writer to ignore handoff bit if
  not set by first waiter (bsc#1204996).
- commit 37c2f7a
* Wed Dec 14 2022 jwiesner@suse.de
- locking/rwsem: Always try to wake waiters in out_nolock path
  (bsc#1204996).
- commit 4fbbd9a
* Wed Dec 14 2022 jwiesner@suse.de
- locking/rwsem: Conditionally wake waiters in reader/writer
  slowpaths (bsc#1204996).
- commit 6ba05a7
* Wed Dec 14 2022 jwiesner@suse.de
- locking/rwsem: No need to check for handoff bit if wait queue
  empty (bsc#1204996).
- commit ba72873
* Wed Dec 14 2022 jwiesner@suse.de
- locking: Add missing __sched attributes (bsc#1204996).
- commit 07ad670
* Wed Dec 14 2022 jwiesner@suse.de
- locking/rwsem: Make handoff bit handling more consistent
  (bsc#1204996).
- commit e7a6ef4
* Wed Dec 14 2022 ggherdovich@suse.cz
- intel_idle: Add AlderLake-N support (bsc#1205635 jsc#PED-743).
- commit 93d4ddd
* Wed Dec 14 2022 oneukum@suse.com
- can: do not increase rx_bytes statistics for RTR frames
  (git-fixes).
- commit 5858150
* Wed Dec 14 2022 oneukum@suse.com
- can: do not increase rx statistics when generating a CAN rx
  error message frame (git-fixes).
- Refresh
  patches.suse/can-kvaser_usb_hydra-do-not-report-txerr-and-rxerr-d.patch.
- Refresh
  patches.suse/can-kvaser_usb_leaf-do-not-report-txerr-and-rxerr-du.patch.
- Refresh
  patches.suse/can-pch_can-do-not-report-txerr-and-rxerr-during-bus.patch.
- commit db678c8
* Wed Dec 14 2022 colyli@suse.de
- dm-log-writes: set dma_alignment limit in io_hints
  (jsc#PED-2765).
- dm-integrity: set dma_alignment limit in io_hints
  (jsc#PED-2765).
- block: make blk_set_default_limits() private (jsc#PED-2765).
- dm-crypt: provide dma_alignment limit in io_hints
  (jsc#PED-2765).
- block: make dma_alignment a stacking queue_limit (jsc#PED-2765).
- dm integrity: clear the journal on suspend (jsc#PED-2765).
- dm integrity: flush the journal on suspend (jsc#PED-2765).
- dm bufio: Fix missing decrement of no_sleep_enabled if
  dm_bufio_client_create failed (jsc#PED-2765).
- dm ioctl: fix misbehavior if list_versions races with module
  loading (jsc#PED-2765).
- dm clone: Fix typo in block_device format specifier
  (jsc#PED-2765).
- dm cache: delete the redundant word 'each' in comment
  (jsc#PED-2765).
- dm raid: fix typo in analyse_superblocks code comment
  (jsc#PED-2765).
- dm verity: enable WQ_HIGHPRI on verify_wq (jsc#PED-2765).
- dm raid: delete the redundant word 'that' in comment
  (jsc#PED-2765).
- dm: change from DMWARN to DMERR or DMCRIT for fatal errors
  (jsc#PED-2765).
- md: Fix spelling mistake in comments of r5l_log (jsc#PED-2766).
- md/raid5: Wait for MD_SB_CHANGE_PENDING in raid5d
  (jsc#PED-2766).
- md/raid10: convert resync_lock to use seqlock (jsc#PED-2766).
- md/raid10: fix improper BUG_ON() in raise_barrier()
  (jsc#PED-2766).
- md/raid10: prevent unnecessary calls to wake_up() in fast path
  (jsc#PED-2766).
- md/raid10: don't modify 'nr_waitng' in wait_barrier() for the
  case nowait (jsc#PED-2766).
- md/raid10: factor out code from wait_barrier() to
  stop_waiting_barrier() (jsc#PED-2766).
- md: Remove extra mddev_get() in md_seq_start() (jsc#PED-2766).
- md/raid5: Don't read ->active_stripes if it's not needed
  (jsc#PED-2766).
- md/raid5: Cleanup prototype of raid5_get_active_stripe()
  (jsc#PED-2766).
- md/raid5: Drop extern on function declarations in raid5.h
  (jsc#PED-2766).
- md/raid5: Refactor raid5_get_active_stripe() (jsc#PED-2766).
- md/raid10: fix compile warning (jsc#PED-2766).
- md/raid5: Fix spelling mistakes in comments (jsc#PED-2766).
- dm: verity-loadpin: Only trust verity targets with enforcement
  (jsc#PED-2765).
- md: Flush workqueue md_rdev_misc_wq in md_alloc()
  (jsc#PED-2766).
- dm bufio: fix some cases where the code sleeps with spinlock
  held (jsc#PED-2765).
- dm writecache: fix smatch warning about invalid return from
  writecache_map (jsc#PED-2765).
- dm verity: fix verity_parse_opt_args parsing (jsc#PED-2765).
- dm verity: fix DM_VERITY_OPTS_MAX value yet again
  (jsc#PED-2765).
- dm bufio: simplify DM_BUFIO_CLIENT_NO_SLEEP locking
  (jsc#PED-2765).
- dm verity: have verify_wq use WQ_HIGHPRI if
  "try_verify_in_tasklet" (jsc#PED-2765).
- dm verity: remove WQ_CPU_INTENSIVE flag since using WQ_UNBOUND
  (jsc#PED-2765).
- dm verity: only copy bvec_iter in verity_verify_io if in_tasklet
  (jsc#PED-2765).
- dm verity: optimize verity_verify_io if FEC not configured
  (jsc#PED-2765).
- dm verity: conditionally enable branching for
  "try_verify_in_tasklet" (jsc#PED-2765).
- dm bufio: conditionally enable branching for
  DM_BUFIO_CLIENT_NO_SLEEP (jsc#PED-2765).
- dm verity: allow optional args to alter primary args handling
  (jsc#PED-2765).
- dm verity: Add optional "try_verify_in_tasklet" feature
  (jsc#PED-2765).
- dm bufio: Add DM_BUFIO_CLIENT_NO_SLEEP flag (jsc#PED-2765).
- dm bufio: Add flags argument to dm_bufio_client_create
  (jsc#PED-2765).
- drivers:md:fix a potential use-after-free bug (jsc#PED-2766).
- md/raid5: Ensure batch_last is released before sleeping for
  quiesce (jsc#PED-2766).
- md/raid5: Move stripe_request_ctx up (jsc#PED-2766).
- md/raid5: Drop unnecessary call to
  r5c_check_stripe_cache_usage() (jsc#PED-2766).
- md/raid5: Make is_inactive_blocked() helper (jsc#PED-2766).
- md/raid5: Refactor raid5_get_active_stripe() (jsc#PED-2766).
- md: return the allocated devices from md_alloc (jsc#PED-2766).
- md: open code md_probe in autorun_devices (jsc#PED-2766).
- md: remove unneeded semicolon (jsc#PED-2766).
- md: fix build failure for !MODULE (jsc#PED-2766).
- raid5: fix duplicate checks for rdev->saved_raid_disk
  (jsc#PED-2766).
- md: simplify md_open (jsc#PED-2766).
- md: only delete entries from all_mddevs when the disk is freed
  (jsc#PED-2766).
- md: stop using for_each_mddev in md_exit (jsc#PED-2766).
- md: stop using for_each_mddev in md_notify_reboot
  (jsc#PED-2766).
- md: stop using for_each_mddev in md_do_sync (jsc#PED-2766).
- md: factor out the rdev overlaps check from rdev_size_store
  (jsc#PED-2766).
- md: rename md_free to md_kobj_release (jsc#PED-2766).
- md: implement ->free_disk (jsc#PED-2766).
- md: fix error handling in md_alloc (jsc#PED-2766).
- md: fix mddev->kobj lifetime (jsc#PED-2766).
- md/raid5: Convert prepare_to_wait() to wait_woken() api
  (jsc#PED-2766).
- md/raid5: Fix sectors_to_do bitmap overflow in
  raid5_make_request() (jsc#PED-2766).
- md: Fix spelling mistake in comments (jsc#PED-2766).
- md/raid5: Increase restriction on max segments per request
  (jsc#PED-2766).
- md/raid5: Improve debug prints (jsc#PED-2766).
- md/raid5: Pivot raid5_make_request() (jsc#PED-2766).
- md/raid5: Check all disks in a stripe_head for reshape progress
  (jsc#PED-2766).
- md/raid5: Refactor add_stripe_bio() (jsc#PED-2766).
- md/raid5: Keep a reference to last stripe_head for batch
  (jsc#PED-2766).
- md/raid5: Refactor for loop in raid5_make_request() into while
  loop (jsc#PED-2766).
- md/raid5: Move read_seqcount_begin() into make_stripe_request()
  (jsc#PED-2766).
- md/raid5: Drop the do_prepare flag in raid5_make_request()
  (jsc#PED-2766).
- md/raid5: Factor out helper from raid5_make_request() loop
  (jsc#PED-2766).
- md/raid5: Move common stripe get code into new find_get_stripe()
  helper (jsc#PED-2766).
- md/raid5: Move stripe_add_to_batch_list() call out of
  add_stripe_bio() (jsc#PED-2766).
- md/raid5: Refactor raid5_make_request loop (jsc#PED-2766).
- md/raid5: Factor out ahead_of_reshape() function (jsc#PED-2766).
- md/raid5: Make logic blocking check consistent with logic that
  blocks (jsc#PED-2766).
- md: Explicitly create command-line configured devices
  (jsc#PED-2766).
- md: Notify sysfs sync_completed in md_reap_sync_thread()
  (jsc#PED-2766).
- md: Ensure resync is reported after it starts (jsc#PED-2766).
- md: Use enum for overloaded magic numbers used by
  mddev->curr_resync (jsc#PED-2766).
- md/raid5-cache: Annotate pslot with __rcu notation
  (jsc#PED-2766).
- md/raid5-cache: Clear conf->log after finishing work
  (jsc#PED-2766).
- md/raid5-cache: Drop RCU usage of conf->log (jsc#PED-2766).
- md/raid5-cache: Take mddev_lock in r5c_journal_mode_show()
  (jsc#PED-2766).
- md/raid5: suspend the array for calls to log_exit()
  (jsc#PED-2766).
- md/raid5-ppl: Drop unused argument from
  ppl_handle_flush_request() (jsc#PED-2766).
- md/raid5-log: Drop extern decorators for function prototypes
  (jsc#PED-2766).
- dm: verity-loadpin: Drop use of dm_table_get_num_targets()
  (jsc#PED-2765).
- dm: Add verity helpers for LoadPin (jsc#PED-2765).
- dm: fix dm-raid crash if md_handle_request() splits bio
  (jsc#PED-2765).
- dm raid: fix address sanitizer warning in raid_resume
  (jsc#PED-2765).
- dm raid: fix address sanitizer warning in raid_status
  (jsc#PED-2765).
- dm: Start pr_preempt from the same starting path (jsc#PED-2765).
- dm: Fix PR release handling for non All Registrants
  (jsc#PED-2765).
- dm: Start pr_reserve from the same starting path (jsc#PED-2765).
- dm: Allow dm_call_pr to be used for path searches
  (jsc#PED-2765).
- dm writecache: count number of blocks discarded, not number
  of discard bios (jsc#PED-2765).
- dm writecache: count number of blocks written, not number of
  write bios (jsc#PED-2765).
- dm writecache: count number of blocks read, not number of read
  bios (jsc#PED-2765).
- dm writecache: return void from functions (jsc#PED-2765).
- dm kcopyd: use __GFP_HIGHMEM when allocating pages
  (jsc#PED-2765).
- dm writecache: set a default MAX_WRITEBACK_JOBS (jsc#PED-2765).
- dm snapshot: fix typo in snapshot_map() comment (jsc#PED-2765).
- dm raid: remove redundant "the" in parse_raid_params() comment
  (jsc#PED-2765).
- dm cache: fix typo in 2 comment blocks (jsc#PED-2765).
- dm verity: fix checkpatch close brace error (jsc#PED-2765).
- dm table: rename dm_target variable in dm_table_add_target()
  (jsc#PED-2765).
- dm table: audit all dm_table_get_target() callers
  (jsc#PED-2765).
- dm table: remove dm_table_get_num_targets() wrapper
  (jsc#PED-2765).
- dm: add two stage requeue mechanism (jsc#PED-2765).
- dm: add dm_bio_rewind() API to DM core (jsc#PED-2765).
- dm: improve BLK_STS_DM_REQUEUE and BLK_STS_AGAIN handling
  (jsc#PED-2765).
- dm: refactor dm_md_mempool allocation (jsc#PED-2765).
- dm: unexport dm_get_reserved_rq_based_ios (jsc#PED-2765).
- dm-zoned: cleanup dmz_fixup_devices (jsc#PED-2765).
- block: replace blkdev_nr_zones with bdev_nr_zones
  (jsc#PED-2765).
- dm: open code blk_max_size_offset in max_io_len (jsc#PED-2765).
- block: factor out a chunk_size_left helper (jsc#PED-2765).
- md/raid5: missing error code in setup_conf() (jsc#PED-2766).
- dm raid: fix KASAN warning in raid5_remove_disk (jsc#PED-2766).
- dm: fix BLK_STS_DM_REQUEUE handling when dm_io represents
  split bio (jsc#PED-2765).
- dm: do not return early from dm_io_complete if BLK_STS_AGAIN
  without polling (jsc#PED-2765).
- md/raid5-ppl: Fix argument order in bio_alloc_bioset()
  (jsc#PED-2766).
- dm: fix narrow race for REQ_NOWAIT bios being issued despite
  no support (jsc#PED-2765).
- dm: fix use-after-free in dm_put_live_table_bio (jsc#PED-2765).
- dm: fix race in dm_start_io_acct (jsc#PED-2765).
- dm: fix zoned locking imbalance due to needless check in
  clone_endio (jsc#PED-2765).
- dm: fix bio_set allocation (jsc#PED-2765).
- commit 4d2daa1
* Wed Dec 14 2022 colyli@suse.de
- md: remove most calls to bdevname (jsc#PED-2766).
- Update for the above change,
  patches.suse/0014-md-Replace-snprintf-with-scnprintf.patch.
  Refresh patches.suse/md-display-timeout-error.patch.
- commit dbdf4f6
* Wed Dec 14 2022 colyli@suse.de
- md: protect md_unregister_thread from reentrancy (jsc#PED-2766).
- dm table: fix dm_table_supports_poll to return false if no
  data devices (jsc#PED-2765).
- dm: pass NULL bdev to bio_alloc_clone (jsc#PED-2765).
- dm cache metadata: remove unnecessary variable in __dump_mapping
  (jsc#PED-2765).
- dm mpath: provide high-resolution timer to HST for bio-based
  (jsc#PED-2765).
- dm: improve abnormal bio processing (jsc#PED-2765).
- dm: simplify bio-based IO accounting further (jsc#PED-2765).
- dm: put all polled dm_io instances into a single list
  (jsc#PED-2765).
- dm: improve dm_io reference counting (jsc#PED-2765).
- dm: don't grab target io reference in dm_zone_map_bio
  (jsc#PED-2765).
- dm: improve bio splitting and associated IO accounting
  (jsc#PED-2765).
- dm: switch to bdev based IO accounting interfaces
  (jsc#PED-2765).
- dm: pass dm_io instance to dm_io_acct directly (jsc#PED-2765).
- dm: don't pass bio to __dm_start_io_acct and dm_end_io_acct
  (jsc#PED-2765).
- dm: use bio_sectors in dm_aceept_partial_bio (jsc#PED-2765).
- dm: simplify basic targets (jsc#PED-2765).
- dm: conditionally enable branching for less used features
  (jsc#PED-2765).
- dm: introduce dm_{get,put}_live_table_bio called from
  dm_submit_bio (jsc#PED-2765).
- dm: move hot dm_io members to same cacheline as dm_target_io
  (jsc#PED-2765).
- dm: add local variables to clone_endio and __map_bio
  (jsc#PED-2765).
- dm: mark various branches unlikely (jsc#PED-2765).
- dm: simplify dm_start_io_acct (jsc#PED-2765).
- dm: simplify dm_io access in dm_split_and_process_bio
  (jsc#PED-2765).
- dm: factor out dm_io_set_error and __dm_io_dec_pending
  (jsc#PED-2765).
- dm: conditionally enable BIOSET_PERCPU_CACHE for dm_io bioset
  (jsc#PED-2765).
- md: Replace role magic numbers with defined constants
  (jsc#PED-2766).
- md/raid5: Annotate functions that hold device_lock with
  __must_hold (jsc#PED-2766).
- md/raid5-ppl: Annotate with rcu_dereference_protected()
  (jsc#PED-2766).
- md/raid5: Annotate rdev/replacement access when mddev_lock is
  held (jsc#PED-2766).
- md/raid5: Annotate rdev/replacement accesses when nr_pending
  is elevated (jsc#PED-2766).
- md/raid5: Add __rcu annotation to struct disk_info
  (jsc#PED-2766).
- md/raid5: Un-nest struct raid5_percpu definition (jsc#PED-2766).
- md/raid5: Cleanup setup_conf() error returns (jsc#PED-2766).
- md: replace deprecated strlcpy & remove duplicated line
  (jsc#PED-2766).
- commit 8bfdfcb
* Wed Dec 14 2022 colyli@suse.de
- md: Set MD_BROKEN for RAID1 and RAID10 (jsc#PED-2766).
- Update for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit 66796e8
* Wed Dec 14 2022 pmladek@suse.com
- Update patches.suse/clk-imx-Add-check-for-kcalloc.patch
  (CVE-2022-3114 bsc#1206391 git-fixes).
- commit 064b31b
* Wed Dec 14 2022 colyli@suse.de
- dm: fix bio length of empty flush (jsc#PED-2765).
- dm: allow dm_accept_partial_bio() for dm_io without duplicate
  bios (jsc#PED-2765).
- dm zone: fix NULL pointer dereference in dm_zone_map_bio
  (jsc#PED-2765).
- dm: fix bio polling to handle possibile BLK_STS_AGAIN
  (jsc#PED-2765).
- dm: fix dm_io and dm_target_io flags race condition on Alpha
  (jsc#PED-2765).
- dm ioctl: log an error if the ioctl structure is corrupted
  (jsc#PED-2765).
- dm: consolidate spinlocks in dm_io struct (jsc#PED-2765).
- dm: reduce size of dm_io and dm_target_io structs
  (jsc#PED-2765).
- dm: switch dm_target_io booleans over to proper flags
  (jsc#PED-2765).
- dm: switch dm_io booleans over to proper flags (jsc#PED-2765).
- dm: return void from __send_empty_flush (jsc#PED-2765).
- dm: factor out dm_io_complete (jsc#PED-2765).
- dm cache: use dm_submit_bio_remap (jsc#PED-2765).
- dm: simplify dm_sumbit_bio_remap interface (jsc#PED-2765).
- dm thin: use dm_submit_bio_remap (jsc#PED-2765).
- dm: add WARN_ON_ONCE to dm_submit_bio_remap (jsc#PED-2765).
- dm: support bio polling (jsc#PED-2765).
- dm mpath: use DMINFO instead of printk with KERN_INFO
  (jsc#PED-2765).
- dm: stop using bdevname (jsc#PED-2765).
- dm-zoned: remove the ->name field in struct dmz_dev
  (jsc#PED-2765).
- dm: remove unnecessary local variables in __bind (jsc#PED-2765).
- dm: requeue IO if mapping table not yet available
  (jsc#PED-2765).
- dm io: remove stale comment block for dm_io() (jsc#PED-2765).
- dm thin metadata: remove unused dm_thin_remove_block and
  __remove (jsc#PED-2765).
- dm thin: use time_is_before_jiffies instead of open coding it
  (jsc#PED-2765).
- dm ioctl: prevent potential spectre v1 gadget (jsc#PED-2765).
- dm: cleanup double word in comment (jsc#PED-2765).
- dm ima: fix wrong length calculation for no_data string
  (jsc#PED-2765).
- dm cache policy smq: make static read-only array table const
  (jsc#PED-2765).
- dm delay: use dm_submit_bio_remap (jsc#PED-2765).
- dm crypt: use dm_submit_bio_remap (jsc#PED-2765).
- dm: add dm_submit_bio_remap interface (jsc#PED-2765).
- dm: flag clones created by __send_duplicate_bios (jsc#PED-2765).
- dm: reduce dm_io and dm_target_io struct sizes (jsc#PED-2765).
- dm: move duplicate code from callers of alloc_tio into alloc_tio
  (jsc#PED-2765).
- dm: record old_sector in dm_target_io before calling map
  function (jsc#PED-2765).
- dm: remove legacy code only needed before submit_bio recursion
  (jsc#PED-2765).
- dm: remove unused mapped_device argument from free_tio
  (jsc#PED-2765).
- dm: remove impossible BUG_ON in __send_empty_flush
  (jsc#PED-2765).
- dm: reduce code duplication in __map_bio (jsc#PED-2765).
- dm: refactor dm_split_and_process_bio a bit (jsc#PED-2765).
- dm: fold __clone_and_map_data_bio into __split_and_process_bio
  (jsc#PED-2765).
- dm: rename split functions (jsc#PED-2765).
- dm: reorder members in mapped_device struct (jsc#PED-2765).
- dm: eliminate copying of dm_io fields in dm_io_dec_pending
  (jsc#PED-2765).
- dm stats: fix too short end duration_ns when using
  precise_timestamps (jsc#PED-2765).
- raid5: initialize the stripe_head embeeded bios as needed
  (jsc#PED-2766).
- raid5-cache: statically allocate the recovery ra bio
  (jsc#PED-2766).
- raid5-cache: fully initialize flush_bio when needed
  (jsc#PED-2766).
- commit a1dff8e
* Wed Dec 14 2022 colyli@suse.de
- raid5-ppl: fully initialize the bio in ppl_new_iounit
  (jsc#PED-2766).
- Update for the above change,
  patches.suse/block-remove-the-per-bio-request-write-hint.patch.
- commit 89aa628
* Wed Dec 14 2022 colyli@suse.de
- md: use msleep() in md_notify_reboot() (jsc#PED-2766).
- md: raid1/raid10: drop pending_cnt (jsc#PED-2766).
- dm-integrity: stop using bio_devname (jsc#PED-2765).
- dm-crypt: stop using bio_devname (jsc#PED-2765).
- md: fix NULL pointer deref with nowait but no mddev->queue
  (jsc#PED-2766).
- dm-stripe: add a stripe_dax_pgoff helper (jsc#PED-2765).
- dm-log-writes: add a log_writes_dax_pgoff helper (jsc#PED-2765).
- dm-linear: add a linear_dax_pgoff helper (jsc#PED-2765).
- dm: make the DAX support depend on CONFIG_FS_DAX (jsc#PED-2765).
- dm: fix alloc_dax error handling in alloc_dev (jsc#PED-2765).
- dm sysfs: use default_groups in kobj_type (jsc#PED-2765).
- dm integrity: Use struct_group() to zero struct journal_sector
  (jsc#PED-2765).
- dm space map common: add bounds check to sm_ll_lookup_bitmap()
  (jsc#PED-2765).
- dm btree: add a defensive bounds check to insert_at()
  (jsc#PED-2765).
- dm btree remove: change a bunch of BUG_ON() calls to proper
  errors (jsc#PED-2765).
- dm btree spine: eliminate duplicate le32_to_cpu() in
  node_check() (jsc#PED-2765).
- dm btree spine: remove extra node_check function declaration
  (jsc#PED-2765).
- md: use default_groups in kobj_type (jsc#PED-2766).
- lib/raid6: Use strict priority ranking for pq gen() benchmarking
  (jsc#PED-2766).
- md: fix spelling of "its" (jsc#PED-2766).
- md: raid456 add nowait support (jsc#PED-2766).
- md: raid10 add nowait support (jsc#PED-2766).
- md: raid1 add nowait support (jsc#PED-2766).
- md: add support for REQ_NOWAIT (jsc#PED-2766).
- md: drop queue limitation for RAID1 and RAID10 (jsc#PED-2766).
- dm integrity: fix data corruption due to improper use of
  bvec_kmap_local (jsc#PED-2765).
- md: fix double free of mddev->private in autorun_array()
  (jsc#PED-2766).
- raid5-ppl: use swap() to make code cleaner (jsc#PED-2766).
- md/bitmap: don't set max_write_behind if there is no write
  mostly device (jsc#PED-2766).
- dm table: log table creation error code (jsc#PED-2765).
- dm: make workqueue names device-specific (jsc#PED-2765).
- dm writecache: Make use of the helper macro kthread_run()
  (jsc#PED-2765).
- dm crypt: Make use of the helper macro kthread_run()
  (jsc#PED-2765).
- dm verity: use bvec_kmap_local in verity_for_bv_block
  (jsc#PED-2765).
- dm log writes: use memcpy_from_bvec in log_writes_map
  (jsc#PED-2765).
- dm integrity: use bvec_kmap_local in __journal_read_write
  (jsc#PED-2765).
- dm integrity: use bvec_kmap_local in integrity_metadata
  (jsc#PED-2765).
- dm: Remove redundant flush_workqueue() calls (jsc#PED-2765).
- dm crypt: log aead integrity violations to audit subsystem
  (jsc#PED-2765).
- commit 7162949
* Wed Dec 14 2022 colyli@suse.de
- dm integrity: log audit events for dm-integrity target
  (jsc#PED-2765).
- Update config files for the above change.
- commit 7bd6cb8
* Wed Dec 14 2022 colyli@suse.de
- dm: introduce audit event module for device mapper
  (jsc#PED-2765).
- Update config files for the above change.
- commit 2fb01e3
* Wed Dec 14 2022 colyli@suse.de
- md: remove unused argument from md_new_event (jsc#PED-2766).
- commit ad7b741
* Wed Dec 14 2022 colyli@suse.de
- md/raid5: call roundup_pow_of_two in raid5_run (jsc#PED-2766).
- Update for the above change,
  patches.suse/raid5-don-t-set-the-discard_alignment-queue-limit.patch.
- commit 76cf1a2
* Wed Dec 14 2022 colyli@suse.de
- md/raid1: use rdev in raid1_write_request directly
  (jsc#PED-2766).
- Update for the above change,
  patches.suse/block-pass-a-block_device-to-bio_clone_fast.patch.
- commit b5ed325
* Wed Dec 14 2022 oneukum@suse.com
- kABI: reintroduce a non-inline usleep_range (git-fixes).
- commit 21c3a5e
* Wed Dec 14 2022 colyli@suse.de
- dm clone: make array 'descs' static (jsc#PED-2765).
- dm verity: skip redundant verity_handle_err() on I/O errors
  (jsc#PED-2765).
- dm: use fs_dax_get_by_bdev instead of dax_get_by_host
  (jsc#PED-2765).
- dm crypt: use in_hardirq() instead of deprecated in_irq()
  (jsc#PED-2765).
- dm ima: update dm target attributes for ima measurements
  (jsc#PED-2765).
- dm ima: add a warning in dm_init if duplicate ima events are
  not measured (jsc#PED-2765).
- dm: update target status functions to support IMA measurement
  (jsc#PED-2765).
- dm writecache: add event counters (jsc#PED-2765).
- dm writecache: report invalid return from writecache_map helpers
  (jsc#PED-2765).
- dm writecache: further writecache_map() cleanup (jsc#PED-2765).
- dm writecache: factor out writecache_map_remap_origin()
  (jsc#PED-2765).
- dm writecache: split up writecache_map() to improve code
  readability (jsc#PED-2765).
- commit 1242173
* Wed Dec 14 2022 colyli@suse.de
- blacklist.conf: remove 2 commits which will be backported now.
- commit 9dcf930
* Wed Dec 14 2022 oneukum@suse.com
- units: add the HZ macros (git-fixes).
- commit 3f20d38
* Wed Dec 14 2022 oneukum@suse.com
- units: Add SI metric prefix definitions (git-fixes).
- commit de9d9f3
* Wed Dec 14 2022 oneukum@suse.com
- can: kvaser_usb: make use of units.h in assignment of frequency
  (git-fixes).
- commit 595fe30
* Wed Dec 14 2022 oneukum@suse.com
- dt-bindings: clocks: imx8mp: Add ID for usb suspend clock
  (git-fixes).
- commit c4d1409
* Wed Dec 14 2022 petr.pavlu@suse.com
- module: change to print useful messages from
  elf_validity_check() (git-fixes).
- commit cc1513a
* Wed Dec 14 2022 petr.pavlu@suse.com
- module: fix [e_shstrndx].sh_size=0 OOB access (git-fixes).
- commit f0db1f3
* Wed Dec 14 2022 petr.pavlu@suse.com
- blacklist.conf: module loader cleanup, not a bug fix
- commit 143fbeb
* Wed Dec 14 2022 petr.pavlu@suse.com
- tracing: Free buffers when a used dynamic event is removed
  (git-fixes).
- commit f5bb197
* Wed Dec 14 2022 petr.pavlu@suse.com
- tracing: Add tracing_reset_all_online_cpus_unlocked() function
  (git-fixes).
- commit 1bf2379
* Wed Dec 14 2022 petr.pavlu@suse.com
- tracing/osnoise: Fix duration type (git-fixes).
- commit e223ebb
* Tue Dec 13 2022 osalvador@suse.de
- Revert "drm/vc4: hvs: Reset muxes at probe time (git-fixes)"
  This reverts commit e9930004277041d4c4b755977bd775a2a5bd7e99.
  The reverted change clears hardware state on the RPi4, which leaves the
  screen blank. Without it, the display works correctly.
  Conflicts:
  series.conf
- commit 1861904
* Tue Dec 13 2022 pjakobsson@suse.de
- supported.conf: Move bochs and cirrus into drm/tiny (bsc#1206376)
- commit 45eb5d6
* Tue Dec 13 2022 ptesarik@suse.cz
- s390/dasd: fix possible buffer overflow in copy_pair_show
  (jsc#PED-599).
- s390/dasd: add device ping attribute (jsc#PED-599).
- s390/dasd: suppress generic error messages for PPRC secondary
  devices (jsc#PED-599).
- s390/dasd: add ioctl to perform a swap of the drivers copy pair
  (jsc#PED-599).
- s390/dasd: add copy pair swap capability (jsc#PED-599).
- s390/dasd: add copy pair setup (jsc#PED-599).
- s390/dasd: add query PPRC function (jsc#PED-599).
- s390/dasd: put block allocation in separate function
  (jsc#PED-599).
- commit c8c456f
* Tue Dec 13 2022 ptesarik@suse.cz
- s390/crypto: fix compile error for ChaCha20 module
  (jsc#PED-603).
- commit 218189d
* Tue Dec 13 2022 ptesarik@suse.cz
- s390/crypto: add SIMD implementation for ChaCha20 (jsc#PED-603).
- Update config files: Build the chacha_s390 module.
- rpm/modules.fips: Add chacha_s390.
- supported.conf: Mark chacha_s390 as supported.
- commit aff5a88
* Tue Dec 13 2022 oneukum@suse.com
- timers: implement usleep_idle_range() (git-fixes).
- commit 27ef52e
* Tue Dec 13 2022 oneukum@suse.com
- include/linux/delay.h: replace kernel.h with the necessary
  inclusions (git-fixes).
- commit 9192244
* Tue Dec 13 2022 oneukum@suse.com
- timers: implement usleep_idle_range() (git-fixes).
- commit 8d5d397
* Tue Dec 13 2022 jack@suse.cz
- ext4: avoid BUG_ON when creating xattrs (bsc#1205496).
- commit 99b40af
* Tue Dec 13 2022 hare@suse.de
- scsi: ufs: core: Remove redundant HPB unmap (jsc#PED-818).
- commit e38475f
* Tue Dec 13 2022 hare@suse.de
- scsi: fnic: Stop using the SCSI pointer (jsc#PED-1559).
- commit 5169e81
* Tue Dec 13 2022 mgorman@suse.de
- rtmutex: Add acquire semantics for rtmutex lock acquisition
  slow path (bnc#1203829).
- commit f0851ea
* Mon Dec 12 2022 mkoutny@suse.com
- memcg: Fix possible use-after-free in
  memcg_write_event_control() (bsc#1206344).
- commit bb70275
* Mon Dec 12 2022 hare@suse.de
- block: freeze the queue earlier in del_gendisk (jsc#PED-1183).
- block: remove per-disk debugfs files in blk_unregister_queue
  (jsc#PED-1183).
- block: serialize all debugfs operations using q->debugfs_mutex
  (jsc#PED-1183).
- block: disable the elevator int del_gendisk (jsc#PED-1183).
- block: freeze the queue earlier in del_gendisk (jsc#PED-1183).
- block: remove per-disk debugfs files in blk_unregister_queue
  (jsc#PED-1183).
- block: serialize all debugfs operations using q->debugfs_mutex
  (jsc#PED-1183).
- block: disable the elevator int del_gendisk (jsc#PED-1183).
- commit af2a7a1
* Mon Dec 12 2022 hare@suse.de
- scsi: ufs: Fix a race between the interrupt handler and the
  reset handler (jsc#PED-818).
- scsi: ufs: Support clearing multiple commands at once
  (jsc#PED-818).
- scsi: ufs: Simplify ufshcd_clear_cmd() (jsc#PED-818).
- scsi: ufs: Fix a race between the interrupt handler and the
  reset handler (jsc#PED-818).
- scsi: ufs: Support clearing multiple commands at once
  (jsc#PED-818).
- scsi: ufs: Simplify ufshcd_clear_cmd() (jsc#PED-818).
- commit d2c0168
* Mon Dec 12 2022 hare@suse.de
- block/bfq: Enable I/O statistics (jsc#PED-1183).
- blk-mq: don't clear flush_rq from tags->rqs[] (jsc#PED-1183).
- blk-mq: avoid to touch q->elevator without any protection
  (jsc#PED-1183).
- blk-mq: protect q->elevator by ->sysfs_lock in
  blk_mq_elv_switch_none (jsc#PED-1183).
- block/bfq: Enable I/O statistics (jsc#PED-1183).
- blk-mq: don't clear flush_rq from tags->rqs[] (jsc#PED-1183).
- blk-mq: avoid to touch q->elevator without any protection
  (jsc#PED-1183).
- blk-mq: protect q->elevator by ->sysfs_lock in
  blk_mq_elv_switch_none (jsc#PED-1183).
- commit 6112d69
* Mon Dec 12 2022 krisman@suse.de
- io_uring: zero iocb->ki_pos for stream file types (bsc#1205205).
- io-wq: drop wqe lock before creating new worker (bsc#1205205).
- io-wq: check for wq exit after adding new worker task_work
  (bsc#1205205).
- io_uring: ensure task_work gets run as part of cancelations
  (bsc#1205205).
- io-wq: remove spurious bit clear on task_work addition
  (bsc#1205205).
- io_uring: fix soft lockup when call __io_remove_buffers
  (bsc#1205205).
- io_uring: fix link traversal locking (bsc#1205205).
- io_uring: fail cancellation for EXITING tasks (bsc#1205205).
- io_uring: correct link-list traversal locking (bsc#1205205).
- io_uring: fix missed comment from *task_file rename
  (bsc#1205205).
- io_uring: honour zeroes as io-wq worker limits (bsc#1205205).
- io_uring: remove dead 'sqe' store (bsc#1205205).
- io_uring: remove redundant assignment to ret in
  io_register_iowq_max_workers() (bsc#1205205).
- io-wq: fix max-workers not correctly set on multi-node system
  (bsc#1205205).
- io_uring: clean up io_queue_sqe_arm_apoll (bsc#1205205).
- io-wq: remove worker to owner tw dependency (bsc#1205205).
- commit c411c37
* Mon Dec 12 2022 hare@suse.de
- scsi: vmw_pvscsi: Expand vcpuHint to 16 bits (jsc#PED-1559).
- scsi: sd: Fix interpretation of VPD B9h length (jsc#PED-1559).
- scsi: vmw_pvscsi: Expand vcpuHint to 16 bits (jsc#PED-1559).
- scsi: sd: Fix interpretation of VPD B9h length (jsc#PED-1559).
- commit ee7f3bf
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Return BLK_STS_TRANSPORT for ALUA transitioning
  (jsc#PED-1559).
- scsi: sd_zbc: Prevent zone information memory leak
  (jsc#PED-1559).
- scsi: myrb: Fix up null pointer access on myrb_cleanup()
  (jsc#PED-1559).
- scsi: core: Unexport scsi_bus_type (jsc#PED-1559).
- scsi: sd: Don't call blk_cleanup_disk() in sd_probe()
  (jsc#PED-1559).
- scsi: ufs: ufshcd: Delete unnecessary NULL check (jsc#PED-818).
- scsi: core: Return BLK_STS_TRANSPORT for ALUA transitioning
  (jsc#PED-1559).
- scsi: sd_zbc: Prevent zone information memory leak
  (jsc#PED-1559).
- scsi: myrb: Fix up null pointer access on myrb_cleanup()
  (jsc#PED-1559).
- scsi: core: Unexport scsi_bus_type (jsc#PED-1559).
- scsi: sd: Don't call blk_cleanup_disk() in sd_probe()
  (jsc#PED-1559).
- scsi: ufs: ufshcd: Delete unnecessary NULL check (jsc#PED-818).
- commit 79e0797
* Mon Dec 12 2022 ohering@suse.de
- net: mana: Fix race on per-CQ variable napi work_done
  (git-fixes).
- commit 82dd88a
* Mon Dec 12 2022 hare@suse.de
- scsi: ufs: Split the drivers/scsi/ufs directory (jsc#PED-818).
- Refresh
  patches.suse/block-Change-the-return-type-of-blk_mq_map_queues-into-void.patch.
- commit 87966d4
* Mon Dec 12 2022 ptesarik@suse.cz
- s390/boot: add secure boot trailer (bsc#1205257 LTC#200451).
- commit 9fd2fd0
* Mon Dec 12 2022 ptesarik@suse.cz
- s390/dcssblk: fix deadlock when adding a DCSS (git-fixes).
- vfio/ccw: Fix FSM state if mdev probe fails (git-fixes).
- scsi: zfcp: Declare zfcp_sdev_attrs as static (git-fixes).
- commit 12c6044
* Mon Dec 12 2022 pjakobsson@suse.de
- Refresh
  patches.suse/0013-drm-msm-disp-dpu1-set-mdp-clk-to-the-maximum-frequen.patch.
  Fixes a warning introduced by the drm v5.19 backport
- commit 1eeb8b0
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Remove <scsi/scsi_request.h> (jsc#PED-1559).
- Refresh patches.suse/cdrom-add-poll_event_interruptible.patch.
- commit 5e2459e
* Mon Dec 12 2022 hare@suse.de
- nbd: use pr_err to output error message (jsc#PED-1183).
- nbd: fix io hung while disconnecting device (jsc#PED-1183).
- nbd: don't clear 'NBD_CMD_INFLIGHT' flag if request is not
  completed (jsc#PED-1183).
- nbd: fix race between nbd_alloc_config() and module removal
  (jsc#PED-1183).
- nbd: call genl_unregister_family() first in nbd_cleanup()
  (jsc#PED-1183).
- nbd: use pr_err to output error message (jsc#PED-1183).
- nbd: fix io hung while disconnecting device (jsc#PED-1183).
- nbd: don't clear 'NBD_CMD_INFLIGHT' flag if request is not
  completed (jsc#PED-1183).
- nbd: fix race between nbd_alloc_config() and module removal
  (jsc#PED-1183).
- nbd: call genl_unregister_family() first in nbd_cleanup()
  (jsc#PED-1183).
- commit bfc9ba8
* Mon Dec 12 2022 hare@suse.de
- block: Fix potential deadlock in blk_ia_range_sysfs_show()
  (jsc#PED-1183).
- commit ceb48e2
* Mon Dec 12 2022 hare@suse.de
- block: remove useless BUG_ON() in blk_mq_put_tag()
  (jsc#PED-1183).
- block: make bioset_exit() fully resilient against being called
  twice (jsc#PED-1183).
- block: use bio_queue_enter instead of blk_queue_enter in
  bio_poll (jsc#PED-1183).
- block: document BLK_STS_AGAIN usage (jsc#PED-1183).
- block: remove useless BUG_ON() in blk_mq_put_tag()
  (jsc#PED-1183).
- block: make bioset_exit() fully resilient against being called
  twice (jsc#PED-1183).
- block: use bio_queue_enter instead of blk_queue_enter in
  bio_poll (jsc#PED-1183).
- block: document BLK_STS_AGAIN usage (jsc#PED-1183).
- commit 4662b24
* Mon Dec 12 2022 hare@suse.de
- scsi: dpt_i2o: Drop redundant spinlock initialization
  (jsc#PED-1559).
- scsi: libfc: Remove get_cpu() semantics in fc_exch_em_alloc()
  (jsc#PED-1559).
- scsi: fcoe: Add a local_lock to fcoe_percpu (jsc#PED-1559).
- scsi: sr: Add memory allocation failure handling for
  get_capabilities() (jsc#PED-1559).
- scsi: dpt_i2o: Drop redundant spinlock initialization
  (jsc#PED-1559).
- scsi: libfc: Remove get_cpu() semantics in fc_exch_em_alloc()
  (jsc#PED-1559).
- scsi: fcoe: Add a local_lock to fcoe_percpu (jsc#PED-1559).
- scsi: sr: Add memory allocation failure handling for
  get_capabilities() (jsc#PED-1559).
- commit 5157e53
* Mon Dec 12 2022 hare@suse.de
- scsi: ufs: ufshpb: Clean up ufshpb_suspend()/resume()
  (jsc#PED-1183).
- scsi: ufs: ufshpb: Add handing of device reset regions in HPB
  device mode (jsc#PED-1183).
- scsi: ufs: ufshpb: Change sysfs node hpb_stats/rb_* prefix to
  start with rcmd_* (jsc#PED-1183).
- scsi: ufs: ufshpb: Clean up the handler when device resets
  HPB information (jsc#PED-1183).
- scsi: ufs: ufshpb: Remove enum initialization value
  (jsc#PED-1183).
- scsi: ufs: ufshpb: Merge ufshpb_reset() and ufshpb_reset_host()
  (jsc#PED-1183).
- scsi: ufs: qcom: Enable RPM_AUTOSUSPEND for runtime PM
  (jsc#PED-1183).
- scsi: ufs: core: Remove redundant wmb() in ufshcd_send_command()
  (jsc#PED-1183).
- scsi: ufs: qcom: Simplify handling of devm_phy_get()
  (jsc#PED-1183).
- scsi: ufs: qcom: Fix acquiring the optional reset control line
  (jsc#PED-1183).
- scsi: ufs: ufshpb: Clean up ufshpb_suspend()/resume()
  (jsc#PED-1183).
- scsi: ufs: ufshpb: Add handing of device reset regions in HPB
  device mode (jsc#PED-1183).
- scsi: ufs: ufshpb: Change sysfs node hpb_stats/rb_* prefix to
  start with rcmd_* (jsc#PED-1183).
- scsi: ufs: ufshpb: Clean up the handler when device resets
  HPB information (jsc#PED-1183).
- scsi: ufs: ufshpb: Remove enum initialization value
  (jsc#PED-1183).
- scsi: ufs: ufshpb: Merge ufshpb_reset() and ufshpb_reset_host()
  (jsc#PED-1183).
- scsi: ufs: qcom: Enable RPM_AUTOSUSPEND for runtime PM
  (jsc#PED-1183).
- scsi: ufs: core: Remove redundant wmb() in ufshcd_send_command()
  (jsc#PED-1183).
- scsi: ufs: qcom: Simplify handling of devm_phy_get()
  (jsc#PED-1183).
- scsi: ufs: qcom: Fix acquiring the optional reset control line
  (jsc#PED-1183).
- commit d6efdc5
* Mon Dec 12 2022 hare@suse.de
- scsi: sd: Reorganize DIF/DIX code to avoid calling revalidate
  twice (jsc#PED-1559).
- scsi: sd: Optimal I/O size should be a multiple of reported
  granularity (jsc#PED-1559).
- scsi: sd: Switch to using scsi_device VPD pages (jsc#PED-1559).
- scsi: sd: Use cached ATA Information VPD page (jsc#PED-1559).
- scsi: core: Do not truncate INQUIRY data on modern devices
  (jsc#PED-1559).
- scsi: core: Cache VPD pages b0, b1, b2 (jsc#PED-1559).
- scsi: sd: Reorganize DIF/DIX code to avoid calling revalidate
  twice (jsc#PED-1559).
- scsi: sd: Optimal I/O size should be a multiple of reported
  granularity (jsc#PED-1559).
- scsi: sd: Switch to using scsi_device VPD pages (jsc#PED-1559).
- scsi: sd: Use cached ATA Information VPD page (jsc#PED-1559).
- scsi: core: Do not truncate INQUIRY data on modern devices
  (jsc#PED-1559).
- scsi: core: Cache VPD pages b0, b1, b2 (jsc#PED-1559).
- commit 63b11c8
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Pick suitable allocation length in
  scsi_report_opcode() (jsc#PED-1559).
- commit fddb46a
* Mon Dec 12 2022 hare@suse.de
- scsi: megaraid: Fix error check return value of
  register_chrdev() (jsc#PED-1559).
- scsi: core: Refine how we set tag_set NUMA node (jsc#PED-1559).
- scsi: fnic: Remove unneeded flush_workqueue() (jsc#PED-1559).
- scsi: bfa: Remove unneeded flush_workqueue() (jsc#PED-1559).
- scsi: message: fusion: Remove unused variable retval
  (jsc#PED-1559).
- scsi: aha1542: Remove unneeded semicolon (jsc#PED-1559).
- scsi: bfa: Remove redundant NULL check (jsc#PED-1559).
- scsi: fnic: Remove redundant NULL check (jsc#PED-1559).
- scsi: mac53c94: Fix warning comparing pointer to 0
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Hide gap zones (jsc#PED-1559).
- scsi: sd: sd_zbc: Return early in
  sd_zbc_check_zoned_characteristics() (jsc#PED-1559).
- scsi: sd: sd_zbc: Introduce struct zoned_disk_info
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Use logical blocks as unit when querying zones
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Verify that the zone size is a power of two
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Improve source code documentation
  (jsc#PED-1559).
- scsi: megaraid: Fix error check return value of
  register_chrdev() (jsc#PED-1559).
- scsi: core: Refine how we set tag_set NUMA node (jsc#PED-1559).
- scsi: fnic: Remove unneeded flush_workqueue() (jsc#PED-1559).
- scsi: bfa: Remove unneeded flush_workqueue() (jsc#PED-1559).
- scsi: message: fusion: Remove unused variable retval
  (jsc#PED-1559).
- scsi: aha1542: Remove unneeded semicolon (jsc#PED-1559).
- scsi: bfa: Remove redundant NULL check (jsc#PED-1559).
- scsi: fnic: Remove redundant NULL check (jsc#PED-1559).
- scsi: mac53c94: Fix warning comparing pointer to 0
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Hide gap zones (jsc#PED-1559).
- scsi: sd: sd_zbc: Return early in
  sd_zbc_check_zoned_characteristics() (jsc#PED-1559).
- scsi: sd: sd_zbc: Introduce struct zoned_disk_info
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Use logical blocks as unit when querying zones
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Verify that the zone size is a power of two
  (jsc#PED-1559).
- scsi: sd: sd_zbc: Improve source code documentation
  (jsc#PED-1559).
- commit a0b2943
* Mon Dec 12 2022 hare@suse.de
- scsi: scsi_dh_alua: Properly handle the ALUA transitioning state
  (jsc#PED-1559).
- commit fd3a48b
* Mon Dec 12 2022 hare@suse.de
- scsi: ufs: Use pm_runtime_resume_and_get() instead of
  pm_runtime_get_sync() (jsc#PED-1183).
- scsi: ufs: core: Remove duplicate include in ufshcd
  (jsc#PED-1183).
- scsi: ufs: Move the ufs_is_valid_unit_desc_lun() definition
  (jsc#PED-1183).
- scsi: ufs: Move the struct ufs_ref_clk definition
  (jsc#PED-1183).
- scsi: ufs: Split the ufshcd.h header file (jsc#PED-1183).
- scsi: ufs: Minimize #include directives (jsc#PED-1183).
- scsi: ufs: Fix kernel-doc syntax in ufshcd.h (jsc#PED-1183).
- scsi: ufs: Remove unnecessary ufshcd-crypto.h include directives
  (jsc#PED-1183).
- scsi: ufs: Introduce ufshcd_clkgate_delay_set() (jsc#PED-1183).
- scsi: ufs: Remove locking from around single register writes
  (jsc#PED-1183).
- scsi: ufs: Remove the TRUE and FALSE definitions (jsc#PED-1183).
- scsi: ufs: Remove paths from source code comments
  (jsc#PED-1183).
- scsi: ufs: Use an SPDX license identifier in the Kconfig file
  (jsc#PED-1183).
- scsi: ufs: Rename sdev_ufs_device into ufs_device_wlun
  (jsc#PED-1183).
- scsi: ufs: Remove the driver version (jsc#PED-1183).
- scsi: ufs: Make the config_scaling_param calls type safe
  (jsc#PED-1183).
- scsi: ufs: Switch to aggregate initialization (jsc#PED-1183).
- scsi: ufs: Remove unused constants and code (jsc#PED-1183).
- scsi: ufs: Invert the return value of ufshcd_is_hba_active()
  (jsc#PED-1183).
- scsi: ufs: Declare the quirks array const (jsc#PED-1183).
- scsi: ufs: Rename struct ufs_dev_fix into ufs_dev_quirk
  (jsc#PED-1183).
- scsi: ufs: Remove the UFS_FIX() and END_FIX() macros
  (jsc#PED-1183).
- scsi: ufs: Use get_unaligned_be16() instead of be16_to_cpup()
  (jsc#PED-1183).
- scsi: ufs: Remove ufshcd_lrb.sense_buffer (jsc#PED-1183).
- scsi: ufs: Remove ufshcd_lrb.sense_bufflen (jsc#PED-1183).
- scsi: ufs: Simplify statements that return a boolean
  (jsc#PED-1183).
- scsi: ufs: Remove superfluous boolean conversions
  (jsc#PED-1183).
- scsi: ufs: Declare ufshcd_wait_for_register() static
  (jsc#PED-1183).
- scsi: ufs: Fix a spelling error in a source code comment
  (jsc#PED-1183).
- scsi: ufs: core: Increase fDeviceInit poll frequency
  (jsc#PED-1183).
- scsi: ufs: Use pm_runtime_resume_and_get() instead of
  pm_runtime_get_sync() (jsc#PED-1183).
- scsi: ufs: core: Remove duplicate include in ufshcd
  (jsc#PED-1183).
- scsi: ufs: Move the ufs_is_valid_unit_desc_lun() definition
  (jsc#PED-1183).
- scsi: ufs: Move the struct ufs_ref_clk definition
  (jsc#PED-1183).
- scsi: ufs: Split the ufshcd.h header file (jsc#PED-1183).
- scsi: ufs: Minimize #include directives (jsc#PED-1183).
- scsi: ufs: Fix kernel-doc syntax in ufshcd.h (jsc#PED-1183).
- scsi: ufs: Remove unnecessary ufshcd-crypto.h include directives
  (jsc#PED-1183).
- scsi: ufs: Introduce ufshcd_clkgate_delay_set() (jsc#PED-1183).
- scsi: ufs: Remove locking from around single register writes
  (jsc#PED-1183).
- scsi: ufs: Remove the TRUE and FALSE definitions (jsc#PED-1183).
- scsi: ufs: Remove paths from source code comments
  (jsc#PED-1183).
- scsi: ufs: Use an SPDX license identifier in the Kconfig file
  (jsc#PED-1183).
- scsi: ufs: Rename sdev_ufs_device into ufs_device_wlun
  (jsc#PED-1183).
- scsi: ufs: Remove the driver version (jsc#PED-1183).
- scsi: ufs: Make the config_scaling_param calls type safe
  (jsc#PED-1183).
- scsi: ufs: Switch to aggregate initialization (jsc#PED-1183).
- scsi: ufs: Remove unused constants and code (jsc#PED-1183).
- scsi: ufs: Invert the return value of ufshcd_is_hba_active()
  (jsc#PED-1183).
- scsi: ufs: Declare the quirks array const (jsc#PED-1183).
- scsi: ufs: Rename struct ufs_dev_fix into ufs_dev_quirk
  (jsc#PED-1183).
- scsi: ufs: Remove the UFS_FIX() and END_FIX() macros
  (jsc#PED-1183).
- scsi: ufs: Use get_unaligned_be16() instead of be16_to_cpup()
  (jsc#PED-1183).
- scsi: ufs: Remove ufshcd_lrb.sense_buffer (jsc#PED-1183).
- scsi: ufs: Remove ufshcd_lrb.sense_bufflen (jsc#PED-1183).
- scsi: ufs: Simplify statements that return a boolean
  (jsc#PED-1183).
- scsi: ufs: Remove superfluous boolean conversions
  (jsc#PED-1183).
- scsi: ufs: Declare ufshcd_wait_for_register() static
  (jsc#PED-1183).
- scsi: ufs: Fix a spelling error in a source code comment
  (jsc#PED-1183).
- scsi: ufs: core: Increase fDeviceInit poll frequency
  (jsc#PED-1183).
- commit e60db01
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Increase max device queue_depth to 4096
  (jsc#PED-1559).
- scsi: fcoe: Simplify if-if to if-else (jsc#PED-1559).
- scsi: vmw_pvscsi: No need to clear memory after a
  dma_alloc_coherent() call (jsc#PED-1559).
- scsi: ufs: ufshcd-pltfrm: Simplify pdev->dev usage
  (jsc#PED-1183).
- scsi: core: Increase max device queue_depth to 4096
  (jsc#PED-1559).
- scsi: fcoe: Simplify if-if to if-else (jsc#PED-1559).
- scsi: ufs: core: Remove redundant HPB unmap (jsc#PED-1183).
- scsi: vmw_pvscsi: No need to clear memory after a
  dma_alloc_coherent() call (jsc#PED-1559).
- scsi: ufs: ufshcd-pltfrm: Simplify pdev->dev usage
  (jsc#PED-1183).
- commit 0539732
* Mon Dec 12 2022 hare@suse.de
- scsi: sd: Clean up gendisk if device_add_disk() failed
  (jsc#PED-1559).
- scsi: message: fusion: Remove redundant variable dmp
  (jsc#PED-1559).
- scsi: mvsas: Add PCI ID of RocketRaid 2640 (jsc#PED-1559).
- scsi: sd: sd_read_cpr() requires VPD pages (jsc#PED-1559).
- scsi: sym53c500_cs: Stop using struct scsi_pointer
  (jsc#PED-1559).
- scsi: bnx2i: Fix spelling mistake "mis-match" -> "mismatch"
  (jsc#PED-1559).
- scsi: aic7xxx: Use standard PCI subsystem, subdevice defines
  (jsc#PED-1559).
- scsi: core: sysfs: Remove comments that conflict with the
  actual logic (jsc#PED-1559).
- scsi: isci: Fix spelling mistake "doesnt" -> "doesn't"
  (jsc#PED-1559).
- scsi: core: Fix sbitmap depth in scsi_realloc_sdev_budget_map()
  (jsc#PED-1559).
- scsi: aha152x: Stop using struct scsi_pointer (jsc#PED-1559).
- scsi: sr: Fix typo in CDROM(CLOSETRAY|EJECT) handling
  (jsc#PED-1559).
- scsi: core: scsi_logging: Fix a BUG (jsc#PED-1559).
- scsi: sd: Clean up gendisk if device_add_disk() failed
  (jsc#PED-1559).
- scsi: message: fusion: Remove redundant variable dmp
  (jsc#PED-1559).
- scsi: mvsas: Add PCI ID of RocketRaid 2640 (jsc#PED-1559).
- scsi: sd: sd_read_cpr() requires VPD pages (jsc#PED-1559).
- scsi: sym53c500_cs: Stop using struct scsi_pointer
  (jsc#PED-1559).
- scsi: bnx2i: Fix spelling mistake "mis-match" -> "mismatch"
  (jsc#PED-1559).
- scsi: aic7xxx: Use standard PCI subsystem, subdevice defines
  (jsc#PED-1559).
- scsi: core: sysfs: Remove comments that conflict with the
  actual logic (jsc#PED-1559).
- scsi: isci: Fix spelling mistake "doesnt" -> "doesn't"
  (jsc#PED-1559).
- scsi: core: Fix sbitmap depth in scsi_realloc_sdev_budget_map()
  (jsc#PED-1559).
- scsi: aha152x: Stop using struct scsi_pointer (jsc#PED-1559).
- scsi: sr: Fix typo in CDROM(CLOSETRAY|EJECT) handling
  (jsc#PED-1559).
- scsi: core: scsi_logging: Fix a BUG (jsc#PED-1559).
- commit 8628b54
* Mon Dec 12 2022 hare@suse.de
- scsi: scsi_ioctl: Drop needless assignment in sg_io()
  (jsc#PED-1559).
- scsi: bsg: Drop needless assignment in scsi_bsg_sg_io_fn()
  (jsc#PED-1559).
- scsi: scsi_ioctl: Drop needless assignment in sg_io()
  (jsc#PED-1559).
- scsi: bsg: Drop needless assignment in scsi_bsg_sg_io_fn()
  (jsc#PED-1559).
- commit e162870
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Remove unreachable code warning (jsc#PED-1559).
- Refresh
  patches.suse/scsi-do-not-print-reservation-conflict-for-TEST-UNIT.patch.
- commit 956094f
* Mon Dec 12 2022 hare@suse.de
- scsi: libfc: Fix use after free in fc_exch_abts_resp()
  (jsc#PED-1559).
- commit 8049cae
* Mon Dec 12 2022 hare@suse.de
- scsi: fnic: Finish scsi_cmnd before dropping the spinlock
  (jsc#PED-1559).
- scsi: fnic: Finish scsi_cmnd before dropping the spinlock
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-fnic-Stop-using-the-SCSI-pointer.patch.
- commit 5a3e793
* Mon Dec 12 2022 hare@suse.de
- scsi: wd719x: Return proper error code when dma_set_mask()
  fails (jsc#PED-1559).
- scsi: iscsi: Drop temp workq_name (jsc#PED-1559).
- scsi: wd719x: Return proper error code when dma_set_mask()
  fails (jsc#PED-1559).
- scsi: iscsi: Drop temp workq_name (jsc#PED-1559).
- commit 74fd7f6
* Mon Dec 12 2022 hare@suse.de
- scsi: iscsi: Use the session workqueue for recovery
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-iscsi-Release-endpoint-ID-when-its-freed.patch.
- commit af949d5
* Mon Dec 12 2022 hare@suse.de
- scsi: iscsi: ql4xxx: Use per-session workqueue for unbinding
  (jsc#PED-1559).
- commit 465b06c
* Mon Dec 12 2022 hare@suse.de
- scsi: iscsi: Remove iscsi_scan_finished() (jsc#PED-1559).
- Refresh
  patches.suse/scsi-libiscsi-Teardown-iscsi_cls_conn-gracefully.patch.
- commit b9aa9e6
* Mon Dec 12 2022 hare@suse.de
- scsi: iscsi: Speed up session unblocking and removal
  (jsc#PED-1559).
- scsi: iscsi: Fix recovery and unblocking race (jsc#PED-1559).
- scsi: iscsi: Speed up session unblocking and removal
  (jsc#PED-1559).
- scsi: iscsi: Fix recovery and unblocking race (jsc#PED-1559).
- commit 18e8d4e
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Remove struct scsi_request (jsc#PED-1559).
- commit 7606e7b
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Move the result field from struct scsi_request to
  struct scsi_cmnd (jsc#PED-1559).
- scsi: core: Move the resid_len field from struct scsi_request
  to struct scsi_cmnd (jsc#PED-1559).
- scsi: core: Remove the sense and sense_len fields from struct
  scsi_request (jsc#PED-1559).
- scsi: core: Move the result field from struct scsi_request to
  struct scsi_cmnd (jsc#PED-1559).
- scsi: core: Move the resid_len field from struct scsi_request
  to struct scsi_cmnd (jsc#PED-1559).
- scsi: core: Remove the sense and sense_len fields from struct
  scsi_request (jsc#PED-1559).
- commit d4c2916
* Mon Dec 12 2022 hare@suse.de
- scsi: qla4xxx: Remove unneeded variable (jsc#PED-1559).
- scsi: aha152x: Fix aha152x_setup() __setup handler return value
  (jsc#PED-1559).
- scsi: mac53c94: Stop using struct scsi_pointer (jsc#PED-1559).
- scsi: mesh: Stop using struct scsi_pointer (jsc#PED-1559).
- scsi: core: docs: Update notes about scsi_times_out
  (jsc#PED-1559).
- scsi: qla4xxx: Remove unneeded variable (jsc#PED-1559).
- scsi: aha152x: Fix aha152x_setup() __setup handler return value
  (jsc#PED-1559).
- scsi: mac53c94: Stop using struct scsi_pointer (jsc#PED-1559).
- scsi: mesh: Stop using struct scsi_pointer (jsc#PED-1559).
- scsi: core: docs: Update notes about scsi_times_out
  (jsc#PED-1559).
- commit 4e40010
* Mon Dec 12 2022 hare@suse.de
- scsi: libiscsi: Move ehwait initialization to (jsc#PED-1559).
- Refresh
  patches.suse/scsi-libiscsi-Add-iscsi_cls_conn-to-sysfs-after-initialization.patch.
- commit 1849cbf
* Mon Dec 12 2022 hare@suse.de
- scsi: core: Remove struct scsi_pointer from struct scsi_cmnd
  (jsc#PED-1559).
- scsi: zalon: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: wd33c93: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: wd719x: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: usb: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: sym53c8xx_2: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: qla1280: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: ppa: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: sym53c500_cs: Move the SCSI pointer to private command
  data (jsc#PED-1559).
- scsi: nsp_cs: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: nsp32: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: mvumi: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: mvsas: Fix a set-but-not-used warning (jsc#PED-1559).
- scsi: mesh: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: megaraid: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: mac53c94: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: mac53c94: Fix a set-but-not-used compiler warning
  (jsc#PED-1559).
- scsi: core: Remove struct scsi_pointer from struct scsi_cmnd
  (jsc#PED-1559).
- scsi: zalon: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: wd33c93: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: wd719x: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: usb: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: sym53c8xx_2: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: qla1280: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: ppa: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: sym53c500_cs: Move the SCSI pointer to private command
  data (jsc#PED-1559).
- scsi: nsp_cs: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: nsp32: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: mvumi: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: mvsas: Fix a set-but-not-used warning (jsc#PED-1559).
- scsi: mesh: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: megaraid: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: mac53c94: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: mac53c94: Fix a set-but-not-used compiler warning
  (jsc#PED-1559).
- commit d859eee
* Mon Dec 12 2022 hare@suse.de
- scsi: libfc: Stop using the SCSI pointer (jsc#PED-1559).
- Refresh patches.suse/fcoe-reduce-max_sectors.
- commit 998ddfe
* Mon Dec 12 2022 hare@suse.de
- scsi: initio: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: imm: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: hptiop: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: fdomain: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: esp_scsi: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: dc395x: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: bfa: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: aha152x: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: aha1542: Remove a set-but-not-used array (jsc#PED-1559).
- scsi: advansys: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: 53c700: Stop clearing SCSI pointer fields (jsc#PED-1559).
- scsi: arm: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: arm: Rename arm/scsi.h into arm/arm_scsi.h (jsc#PED-1559).
- scsi: NCR5380: Add SCp members to struct NCR5380_cmd
  (jsc#PED-1559).
- scsi: NCR5380: Remove the NCR5380_CMD_SIZE macro (jsc#PED-1559).
- scsi: Remove drivers/scsi/scsi.h (jsc#PED-1559).
- scsi: nsp_cs: Use true and false instead of TRUE and FALSE
  (jsc#PED-1559).
- scsi: nsp_cs: Change the return type of two functions into
  'void' (jsc#PED-1559).
- scsi: ips: Use true and false instead of TRUE and FALSE
  (jsc#PED-1559).
- scsi: ips: Change the return type of ips_release() into 'void'
  (jsc#PED-1559).
- scsi: ips: Remove an unreachable statement (jsc#PED-1559).
- scsi: initio: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: imm: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: hptiop: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: fnic: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: fdomain: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: esp_scsi: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: dc395x: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: bfa: Stop using the SCSI pointer (jsc#PED-1559).
- scsi: aha152x: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: aha1542: Remove a set-but-not-used array (jsc#PED-1559).
- scsi: advansys: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: 53c700: Stop clearing SCSI pointer fields (jsc#PED-1559).
- scsi: arm: Move the SCSI pointer to private command data
  (jsc#PED-1559).
- scsi: arm: Rename arm/scsi.h into arm/arm_scsi.h (jsc#PED-1559).
- scsi: NCR5380: Add SCp members to struct NCR5380_cmd
  (jsc#PED-1559).
- scsi: NCR5380: Remove the NCR5380_CMD_SIZE macro (jsc#PED-1559).
- scsi: Remove drivers/scsi/scsi.h (jsc#PED-1559).
- scsi: nsp_cs: Use true and false instead of TRUE and FALSE
  (jsc#PED-1559).
- scsi: nsp_cs: Change the return type of two functions into
  'void' (jsc#PED-1559).
- scsi: ips: Use true and false instead of TRUE and FALSE
  (jsc#PED-1559).
- scsi: ips: Change the return type of ips_release() into 'void'
  (jsc#PED-1559).
- scsi: ips: Remove an unreachable statement (jsc#PED-1559).
- commit ab15672
* Mon Dec 12 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: hvs: Reset muxes at probe time'
- commit 7d65cb6
* Sun Dec 11 2022 nstange@suse.de
- random: convert to using fops->write_iter() (bsc#1204911).
- commit a7bff26
* Sun Dec 11 2022 nstange@suse.de
- random: zero buffer after reading entropy from userspace
  (bsc#1204911).
- commit 3217a87
* Sun Dec 11 2022 nstange@suse.de
- random: allow partial reads if later user copies fail
  (bsc#1204911).
- commit 9005c8f
* Sun Dec 11 2022 nstange@suse.de
- random: check for signals every PAGE_SIZE chunk of /dev/random
  (bsc#1204911).
- commit 19aa9ae
* Sun Dec 11 2022 nstange@suse.de
- random: convert to using fops->read_iter() (bsc#1204911).
- commit 10d2455
* Sun Dec 11 2022 nstange@suse.de
- random: remove outdated INT_MAX >> 6 check in urandom_read()
  (bsc#1204911).
- commit 485f330
* Sun Dec 11 2022 nstange@suse.de
- Drop FIPS mode DRBG->getrandom(2) wire-up (bsc#1191259)
- Delete
  patches.suse/0001-char-random-wire-up-userspace-interface-to-SP800-90B.patch.
- Delete
  patches.suse/0002-char-random-reinstantiate-DRBGs-once-optimized-sha51.patch.
- commit 84d63aa
* Sat Dec 10 2022 hare@suse.de
- scsi: Remove unused member cmd_pool for structure
  scsi_host_template (jsc#PED-1559).
- scsi: message: fusion: Use GFP_KERNEL (jsc#PED-1559).
- scsi: ibmvscsis: Silence -Warray-bounds warning (jsc#PED-1559).
- scsi: Remove unused member cmd_pool for structure
  scsi_host_template (jsc#PED-1559).
- scsi: message: fusion: Use GFP_KERNEL (jsc#PED-1559).
- scsi: ibmvscsis: Silence -Warray-bounds warning (jsc#PED-1559).
- commit da850a6
* Sat Dec 10 2022 hare@suse.de
- scsi: usb: storage: Complete the SCSI request directly
  (jsc#PED-1559).
- scsi: core: Add scsi_done_direct() for immediate completion
  (jsc#PED-1559).
- scsi: core: Make "access_state" sysfs attribute always visible
  (jsc#PED-1559).
- scsi: usb: storage: Complete the SCSI request directly
  (jsc#PED-1559).
- scsi: core: Add scsi_done_direct() for immediate completion
  (jsc#PED-1559).
- scsi: core: Make "access_state" sysfs attribute always visible
  (jsc#PED-1559).
- commit 4d27d31
* Sat Dec 10 2022 hare@suse.de
- scsi: core: Reallocate device's budget map on queue depth change
  (jsc#PED-1559).
- commit a19aedd
* Sat Dec 10 2022 krisman@suse.de
- io_uring: harder fdinfo sq/cq ring iterating (bsc#1205205).
- io_uring: don't assign write hint in the read path
  (bsc#1205205).
- io_uring: clusterise ki_flags access in rw_prep (bsc#1205205).
- io_uring: kill unused param from io_file_supports_nowait
  (bsc#1205205).
- io_uring: clean up timeout async_data allocation (bsc#1205205).
- io_uring: don't try io-wq polling if not supported
  (bsc#1205205).
- io_uring: check if opcode needs poll first on arming
  (bsc#1205205).
- io_uring: clean iowq submit work cancellation (bsc#1205205).
- io_uring: clean io_wq_submit_work()'s main loop (bsc#1205205).
- io-wq: use helper for worker refcounting (bsc#1205205).
- io_uring: implement async hybrid mode for pollable requests
  (bsc#1205205).
- io_uring: Use ERR_CAST() instead of ERR_PTR(PTR_ERR())
  (bsc#1205205).
- io_uring: split logic of force_nonblock (bsc#1205205).
- commit fd37815
* Fri Dec  9 2022 lduncan@suse.com
- SCSI: iscsi: kabi: fix libiscsi new field (git-fixes).
- scsi: iscsi: Fix possible memory leak when device_register()
  failed (git-fixes).
- scsi: scsi_debug: Fix possible UAF in sdebug_add_host_helper()
  (git-fixes).
- scsi: scsi_debug: Make the READ CAPACITY response compliant
  with ZBC (git-fixes).
- scsi: core: Restrict legal sdev_state transitions via sysfs
  (git-fixes).
- scsi: iscsi: iscsi_tcp: Fix null-ptr-deref while calling
  getpeername() (git-fixes).
- scsi: 3w-9xxx: Avoid disabling device if failing to enable it
  (git-fixes).
- scsi: qedf: Fix a UAF bug in __qedf_probe() (git-fixes).
- scsi: megaraid_sas: Fix double kfree() (git-fixes).
- scsi: iscsi: Run recv path from workqueue (git-fixes).
- scsi: iscsi: Add recv workqueue helpers (git-fixes).
- scsi: iscsi: Rename iscsi_conn_queue_work() (git-fixes).
- scsi: hisi_sas: Limit max hw sectors for v3 HW (git-fixes).
- scsi: pmcraid: Fix missing resource cleanup in error case
  (git-fixes).
- scsi: ipr: Fix missing/incorrect resource cleanup in error case
  (git-fixes).
- scsi: mpt3sas: Fix out-of-bounds compiler warning (git-fixes).
- scsi: vmw_pvscsi: Expand vcpuHint to 16 bits (git-fixes).
- scsi: myrb: Fix up null pointer access on myrb_cleanup()
  (git-fixes).
- scsi: ufs: Use pm_runtime_resume_and_get() instead of
  pm_runtime_get_sync() (git-fixes).
- scsi: megaraid: Fix error check return value of
  register_chrdev() (git-fixes).
- scsi: iscsi: Fix harmless double shift bug (git-fixes).
- scsi: scsi_dh_alua: Properly handle the ALUA transitioning state
  (git-fixes).
- commit 49caf69
* Fri Dec  9 2022 krisman@suse.de
- io_uring: warning about unused-but-set parameter (bsc#1205205).
- io_uring: inform block layer of how many requests we are
  submitting (bsc#1205205).
- io_uring: simplify io_file_supports_nowait() (bsc#1205205).
- io_uring: combine REQ_F_NOWAIT_{READ,WRITE} flags (bsc#1205205).
- commit da2fea2
* Fri Dec  9 2022 krisman@suse.de
- io_uring: arm poll for non-nowait files (bsc#1205205).
- commit 89f1da0
* Fri Dec  9 2022 lhenriques@suse.de
- fuse: lock inode unconditionally in fuse_fallocate()
  (bsc#1206273).
- commit f576f6c
* Fri Dec  9 2022 lhenriques@suse.de
- blacklist.conf: added 80019f113832 ("fuse: always initialize sb->s_fs_info")
- commit dda205a
* Fri Dec  9 2022 pjakobsson@suse.de
- supported.conf: Add drivers/gpu/drm/drm_display_helper as supported
- commit fe52262
* Fri Dec  9 2022 jdelvare@suse.de
- fbdev: smscufx: Fix several use-after-free bugs (git-fixes).
- commit a097aee
* Fri Dec  9 2022 pjakobsson@suse.de
- Update config files for the DRM v5.19 backport.
- commit 0269a8e
* Fri Dec  9 2022 pjakobsson@suse.de
- sysfb: Enable boot time VESA graphic mode selection
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit b486d98
* Fri Dec  9 2022 jdelvare@suse.de
- Refresh
  patches.suse/fbdev-smscufx-Fix-use-after-free-in-ufx_ops_open.patch.
  Update metadata (Git-commit and Patch-mainline).
- commit 8f64db0
* Fri Dec  9 2022 tiwai@suse.de
- Update patch reference for proc fixes (CVE-2022-4378 bsc#1206207)
- commit cab6fa7
* Fri Dec  9 2022 pjakobsson@suse.de
- drm: Rename dp/ to display/ (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Ignore-First-MST-Sideband-Message-Re.patch.
- commit 4a08b07
* Fri Dec  9 2022 tzimmermann@suse.de
- Revert "drm/vc4: hvs: Reset muxes at probe time (git-fixes)." (bsc#1202341)
  This reverts commit 303122d0f2160411fa1068220bc59849d848550d.
  The reverted change clears hardware state on the RPi4, which leaves the
  screen blank. Without it, the display works correctly.
- commit 957f968
* Fri Dec  9 2022 tiwai@suse.de
- selftests: rtnetlink: correct xfrm policy rule in
  kci_test_ipsec_offload (git-fixes).
- vmxnet3: use correct intrConf reference when using extended
  queues (git-fixes).
- vmxnet3: correctly report encapsulated LRO packet (git-fixes).
- proc: proc_skip_spaces() shouldn't think it is working on C
  strings (git-fixes).
- proc: avoid integer type confusion in get_proc_long (git-fixes).
- commit 3a866aa
* Fri Dec  9 2022 tiwai@suse.de
- macsec: add missing attribute validation for offload
  (git-fixes).
- net: thunderbolt: fix memory leak in tbnet_open() (git-fixes).
- mac802154: fix missing INIT_LIST_HEAD in ieee802154_if_add()
  (git-fixes).
- ca8210: Fix crash by zero initializing data (git-fixes).
- ieee802154: cc2520: Fix error return code in cc2520_hw_init()
  (git-fixes).
- net: mdio: fix unbalanced fwnode reference count in
  mdio_device_release() (git-fixes).
- NFC: nci: Bounds check struct nfc_target arrays (git-fixes).
- Bluetooth: Fix not cleanup led when bt_init fails (git-fixes).
- Bluetooth: 6LoWPAN: add missing hci_dev_put() in
  get_l2cap_conn() (git-fixes).
- e1000e: Fix TX dispatch condition (git-fixes).
- HID: core: fix shift-out-of-bounds in hid_report_raw_event
  (git-fixes).
- HID: hid-lg4ff: Add check for empty lbuf (git-fixes).
- gpio: amd8111: Fix PCI device reference count leak (git-fixes).
- ACPI: HMAT: Fix initiator registration for single-initiator
  systems (git-fixes).
- ACPI: HMAT: remove unnecessary variable initialization
  (git-fixes).
- pinctrl: intel: Save and restore pins in "direct IRQ" mode
  (git-fixes).
- nilfs2: fix NULL pointer dereference in
  nilfs_palloc_commit_free_entry() (git-fixes).
- commit a0e4929
* Fri Dec  9 2022 krisman@suse.de
- fs/io_uring: Prioritise checking faster conditions first in
  io_write (bsc#1205205).
- io_uring: clean io_prep_rw() (bsc#1205205).
- Refresh patches.suse/io_uring-fix-uninitialized-field-in-rw-io_kiocb.patch
- io_uring: optimise fixed rw rsrc node setting (bsc#1205205).
- io_uring: return iovec from __io_import_iovec (bsc#1205205).
- io_uring: optimise io_import_iovec fixed path (bsc#1205205).
- io_uring: kill io_wq_current_is_worker() in iopoll
  (bsc#1205205).
- io_uring: optimise req->ctx reloads (bsc#1205205).
- commit 67dd059
* Fri Dec  9 2022 krisman@suse.de
- io_uring: rearrange io_read()/write() (bsc#1205205).
- io_uring: clean up io_import_iovec (bsc#1205205).
- io_uring: optimise io_import_iovec nonblock passing
  (bsc#1205205).
- io_uring: optimise read/write iov state storing (bsc#1205205).
- io_uring: encapsulate rw state (bsc#1205205).
- io_uring: optimise rw comletion handlers (bsc#1205205).
- io_uring: prioritise read success path over fails (bsc#1205205).
- io_uring: consistent typing for issue_flags (bsc#1205205).
- commit 479555e
* Fri Dec  9 2022 krisman@suse.de
- io_uring: optimise rsrc referencing (bsc#1205205).
- io_uring: optimise io_req_set_rsrc_node() (bsc#1205205).
- commit 238d6c6
* Fri Dec  9 2022 krisman@suse.de
- io_uring: fix io_free_batch_list races (bsc#1205205).
- commit b5a6a2e
* Fri Dec  9 2022 krisman@suse.de
- io_uring: remove extra io_ring_exit_work wake up (bsc#1205205).
- io_uring: optimise out req->opcode reloading (bsc#1205205).
- io_uring: reshuffle io_submit_state bits (bsc#1205205).
- io_uring: safer fallback_work free (bsc#1205205).
- io_uring: optimise plugging (bsc#1205205).
- commit a2be93d
* Thu Dec  8 2022 krisman@suse.de
- io_uring: fix potential req refcount underflow (bsc#1205205).
- Refresh patches.suse/io_uring-disable-polling-signalfd-pollfree-files.patch.
- commit bc69324
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Re-enable DCN for 64-bit powerpc (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch.
- commit 10cb260
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/reset: Add additional steps for Wa_22011802037 for execlist (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 720e736
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel-edp: Fix variable typo when saving hpd absent delay from DT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5f3575
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/scheduler: Don't kill jobs in interrupt context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e92019a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Protect the amdgpu_bo_list list with a mutex v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 225fcb8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix new dmub notification enabling in DM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be721dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: support v69 in parallel to v70 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c660040
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Support programming the EU priority in the GuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69798db
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/ttm: fix 32b build (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74c7174
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Ensure valid event timestamp for cursor-only commits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13aafcb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: correct check of coverage blend mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea087bc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: Prevent divide by zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4b91ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: correct the MEC atomic support firmware checking for GC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5136051
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftests: fix subtraction overflow bug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4940477
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gem: Look for waitboosting across the whole object prior to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8ac861
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/ttm: fix sg_table construction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0666ab
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: add drm buddy support to amdgpu" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 518d034
* Thu Dec  8 2022 pjakobsson@suse.de
- amdgpu: disable powerpc support for the newer display
  engine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch.
- commit e838dba
* Thu Dec  8 2022 lduncan@suse.com
- scsi: iscsi: Merge suspend fields (git-fixes).
- Refresh
  patches.suse/scsi-iscsi-Fix-NOP-handling-during-conn-recovery.patch.
- commit 0f7d01e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ssd130x: Fix pre-charge period setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc64198
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: Fix one use-after-free of fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7ae2f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: Detach from ARM DMA domain in attach_device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90af06d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: fsl-ldb: Drop DE signal polarity inversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50a5d52
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: fsl-ldb: Enable split mode for LVDS dual link (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e55a27
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: fsl-ldb: Fix mode clock rate validation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8b7405
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: panel-orientation-quirks: Add quirk for the Lenovo Yoga Tablet 2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0930ee8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix vm use-after-free in vma destruction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b0f104
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: ADL-N should use the same GuC FW as ADL-S (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c97e391
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/display: disable prefer_shadow for generic fb helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91b65ad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: keep fbdev buffers pinned during suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a04fc2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/aperture: Run fbdev removal before internal helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f47a50e
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Use fbcon_info_from_console() in fbcon_modechange_possible() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac6b35a
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Disable sysfb device registration when removing conflicting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71f79df
* Thu Dec  8 2022 pjakobsson@suse.de
- firmware: sysfb: Add sysfb_disable() helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 414aff7
* Thu Dec  8 2022 pjakobsson@suse.de
- firmware: sysfb: Make sysfb_create_simplefb() return a pdev
  pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 9176c7e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: perfmon: Fix variable dereferenced before check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f148a5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix adev variable used in amdgpu_device_gpu_recover() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8562f7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: tweak the ordering in cpu_write_needs_clflush (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91aa8cf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dgfx: Disable d3cold at gfx root port (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b103f1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Fix error return on fence id alloc fail (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45df7d1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Fix variable dereferenced before check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6377d58
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: reset drm_dev to NULL at dp_display_unbind() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d80511
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Increment vsync_cnt before waking up userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a571ba
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: omap: Remove duplicate 'the' in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54fdafd
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: omapfb: Align '*' in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eaf93f1
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: simplefb: Check before clk_put() not needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d36d869
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: au1100fb: Drop unnecessary NULL ptr check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af6fd9f
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: skeletonfb: Convert to generic power management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e95fa88
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: cirrusfb: Remove useless reference to PCI power (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 080fd2c
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: intelfb: Initialize value of stolen size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 017c83c
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: intelfb: Use aperture size from pci_resource_len (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2642c81
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: skeletonfb: Fix syntax errors in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34915b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/xen: Add missing VM_DONTEXPAND flag in mmap callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b25e675
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: force link training for display resolution change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 362ea70
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: limit wb modes based on max_mixer_width (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a26de7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Don't overwrite hw fence in hw_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72c400a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Drop update_fences() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed8b0de
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Drop early returns in close/purge vma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f462f3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Separate object and vma unpin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef359b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Ensure mmap offset is initialized (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d93655
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Re-add check for low voltage sku for max dp source (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c46bfe7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fdinfo: Don't show engine classes not present (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 659f699
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Return if frontend is not present (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5fab27
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: fix error code in vc4_check_tex_size() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36a5a38
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Add DMA mask and segment size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d809553
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Fixed possible integer overflow (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd71eee
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: panel-orientation-quirks: Add quirk for Aya Neo Next (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d9a283
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: Warn if some v3d code is run on BCM2711 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 9b0ecc7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: crtc: Fix out of order frames during asynchronous page flips (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ccdef97
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: crtc: Don't call into BO Handling on Async Page-Flips on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6ca018
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: crtc: Move the BO Handling out of Common Page-Flip Handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1959cce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: crtc: Move the BO handling out of common page-flip callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e66de6a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: crtc: Use an union to store the page flip callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8bb1ca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: drv: Skip BO Backend Initialization on BCM2711 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b66cc1b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: plane: Register a different drm_plane_helper_funcs on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34b536e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: kms: Register a different drm_mode_config_funcs on BCM2711 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aeb01e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: drv: Register a different driver on BCM2711
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-vc4-drv-Adopt-the-dma-configuration-from-the-HVS.patch.
- commit a0e0f88
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: bo: Split out Dumb buffers fixup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b20043
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: bo: Rename vc4_dumb_create (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b68673
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: Consolidate Hardware Revision Check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07ba147
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: plane: Prevent async update if we don't have a dlist (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9038c55
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: dw-hdmi: Fix ddc-en GPIO consumer conflict (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44de4ae
* Thu Dec  8 2022 pjakobsson@suse.de
- amd/display/dc: Fix COLOR_ENCODING and COLOR_RANGE doing nothing for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fd611d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix typo in override_lane_settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48e40c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix DC warning at driver load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0e4be3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd: Revert "drm/amd/display: keep eDP Vdd on when eDP stream is (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57a7847
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Adjust logic around GTT size (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 066c2f0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/exynos: mic: Rework initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6691e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/exynos: fix IS_ERR() vs NULL check in probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa7eb00
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix GTT size reporting in amdgpu_ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6be187
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uc: remove accidental static from a local variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dbab5e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Individualize fences before adding to dma_resv obj (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b47d40e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Fix memory leaks in per-gt sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5c8b26
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: fix bulk move handling v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5885ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: fix missing NULL check in ttm_device_swapout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77f241c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/atomic: fix warning of unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd2df33
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ast: Support multiple outputs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a966960
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panfrost: Job should reference MMU not file_priv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e1c522
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: only invalid/prime icache when finish loading both (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31f85a9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg2: Add jpeg vmid update under IB submit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af277e1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: always flush the TLB on gfx8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2aceb77
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix limiting AV1 to the first instance on VCN3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e492372
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd:Fix fw version for 10.3.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9b85b4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Add MODE register to wave debug info in gfx11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20d77df
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Pass the new context into disable OTG WA" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9594610
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: Ensure the DMA engine is deactivated during set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55ad217
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: suppress the compile warning about 64 bit type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3f4a3c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: suppress compile warnings about possible unaligned (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4813243
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Fix partial migration bugs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 291cccc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Update PDEs flush TLB if PTB/PDB moved (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9fef95
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable tmz by default for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a401c89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Add GC 10.3.6 and 10.3.7 KFD definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df8c1bf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Resolve RAS GFX error count issue after cold boot on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0ab2a8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix ras supported check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 154f66f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove stale config guards (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1579ad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: make gfx_v11_0_rlc_stop static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a615349
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix a missing break in gfx_v11_0_handle_priv_fault (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f39d0e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix aper_base for APU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a7dcad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: make program_imu_rlc_ram static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e8291c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.187 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3de384e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix possible infinite loop in DP LT fallback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf9939d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Don't clear ref_dtbclk value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efdba6a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix DMUB outbox trace in S4 (#4465) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe38b5b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Wait DMCUB to idle state before reset. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2abff54
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Pass the new context into disable OTG WA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59f5355
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: revert Blank eDP on disable/enable drv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e33caa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/pmu: replace cpumask_weight with cpumask_empty where (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7ac311
* Thu Dec  8 2022 pjakobsson@suse.de
- LoongArch: Add writecombine support for drm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e632cc0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Move min BW request and full BW disable back to mdss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9247dff
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Fix pointer dereferenced before checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da853bb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove unused code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a98478
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: remove superfluous init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d779a5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: Always clear mask bits to disable interrupts at (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 736f88d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add drm-client-id to fdinfo v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit acf7f89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Convert to common fdinfo format v5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12579e1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: bump minor version number (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f49ae87
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add AMDGPU_VM_NOALLOC v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77a79fd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add AMDGPU_GEM_CREATE_DISCARDABLE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01604d6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: Return auto perf level, if unsupported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9dde6dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: fix typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4a99a9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx: fix typos in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8476c57
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: differentiate between LP and non-LP DDR memory (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9260393
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Resolve pcie_bif RAS recovery bug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50577d1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: clean up asd on the ta_firmware_header_v2_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c984bd6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: validate VCN and SDMA instances (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91e95e4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: add Coverage blend mode for overlay plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffca702
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Off by one in dm_dmub_outbox1_low_irq() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 060c820
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: suppress some compile warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2685bf8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct the metrics version for SMU 11.0.11/12/13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bd712a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Add gfx11 trap handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d4fa84
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: port cwsr trap handler from dkms branch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f1c608
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add HDMI_ACP_SEND register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da2f623
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add support of tmz for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86f3072
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: change code name to ip version for tmz set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12e10e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: move amdgpu_gmc_tmz_set after ip_version populated (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 255236b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support ras on SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4119df7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: smu_v13_0_4: delete duplicate condition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91e6d12
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable memory temp reading for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff0768f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable more dpm features for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eadfe93
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct the softpptable ids used for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28a983e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: update SMU 13.0.0 driver_if header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b05928e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: skip dpm disablement on suspend for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d02d109
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable more dpm features for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5bb3b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: fix a potential gpu_metrics_table memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fece07a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: rework KIQ programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f1d0f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Set CP_HQD_PQ_CONTROL.RPTR_BLOCK_SIZE correctly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67c02f1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup ctx implementation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22d9c70
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: simplify cpu hive assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdd912a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Clean up of initializing doorbells for gfx_v9 and gfx_v10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe3370d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.186 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fdcbfc
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Refactor LTTPR cap retrieval" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6b4c14
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fic incorrect pipe being used for clk update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fb1c0c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Move FPU associated DCN30 code to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49e3286
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Check zero planes for OTG disable W/A on clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 596361a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Allow individual control of eDP hotplug support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5eff035
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: clear request when release aux engine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fa73bb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Clean up code in dc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d406e02
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Query DPIA HPD status. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 846bd96
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Update link training fallback behaviour. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9129e6
* Thu Dec  8 2022 pjakobsson@suse.de
- ARM: pxa: move regs-lcd.h into driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42f1343
* Thu Dec  8 2022 pjakobsson@suse.de
- ARM: pxa: stop using mach/bitfield.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60c4bb4
* Thu Dec  8 2022 pjakobsson@suse.de
- ARM: pxa: split up mach/hardware.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56e5e0b
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: omap: Add prototype for hwa742_update_window_async() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e5fc3c
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: vesafb: Fix a use-after-free due early fb_info cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9308a2
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: radeon: Fix spelling typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2d776a
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: xen: remove setting of 'transp' parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8c8c73
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: omapfb: simplify the return expression of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2eec7d4
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: omapfb: simplify the return expression of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d87985
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: hyperv_fb: Allow resolutions with size > 64 MB for Gen1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8a4e1e
* Thu Dec  8 2022 pjakobsson@suse.de
- parisc: video: fbdev: stifb: Add sti_dump_font() to dump STI font (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b582ab7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: fix EDID struct for old ARM OABI format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e6d679
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/hyperv: Remove support for Hyper-V 2008 and 2008R2/Win7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca70d28
* Thu Dec  8 2022 pjakobsson@suse.de
- video: hyperv_fb: Remove support for Hyper-V 2008 and
  2008R2/Win7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/msft-hv-2648-PCI-Move-PCI_VENDOR_ID_MICROSOFT-PCI_DEVICE_ID_HYPER.patch.
- commit bbc07ad
* Thu Dec  8 2022 lduncan@suse.com
- scsi: megaraid_sas: Target with invalid LUN ID is deleted
  during scan (git-fixes).
- scsi: mvsas: Add PCI ID of RocketRaid 2640 (git-fixes).
- scsi: mpt3sas: Fail reset operation if config request timed out
  (git-fixes).
- scsi: core: Fix sbitmap depth in scsi_realloc_sdev_budget_map()
  (git-fixes).
- scsi: libfc: Fix use after free in fc_exch_abts_resp()
  (git-fixes).
- scsi: hisi_sas: Free irq vectors in order for v3 HW (git-fixes).
- scsi: aha152x: Fix aha152x_setup() __setup handler return value
  (git-fixes).
- scsi: pm8001: Fix memory leak in
  pm8001_chip_fw_flash_update_req() (git-fixes).
- scsi: pm8001: Fix tag leaks on error (git-fixes).
- scsi: pm8001: Fix task leak in pm8001_send_abort_all()
  (git-fixes).
- scsi: pm8001: Fix pm8001_mpi_task_abort_resp() (git-fixes).
- scsi: pm8001: Fix pm80xx_pci_mem_copy() interface (git-fixes).
- scsi: mpi3mr: Fix memory leaks (git-fixes).
- scsi: mpi3mr: Fix reporting of actual data transfer size
  (git-fixes).
- scsi: smartpqi: Fix kdump issue when controller is locked up
  (git-fixes).
- scsi: bfa: Replace snprintf() with sysfs_emit() (git-fixes).
- scsi: mvsas: Replace snprintf() with sysfs_emit() (git-fixes).
- scsi: pm8001: Fix use-after-free for aborted SSP/STP sas_task
  (git-fixes).
- scsi: pm8001: Fix use-after-free for aborted TMF sas_task
  (git-fixes).
- scsi: core: Reallocate device's budget map on queue depth change
  (git-fixes).
- scsi: pm80xx: Fix double completion for SATA devices
  (git-fixes).
- scsi: myrs: Fix crash in error case (git-fixes).
- scsi: ufs: Treat link loss as fatal error (git-fixes).
- scsi: ufs: Use generic error code in ufshcd_set_dev_pwr_mode()
  (git-fixes).
- scsi: pm8001: Fix bogus FW crash for maxcpus=1 (git-fixes).
- scsi: qedf: Change context reset messages to ratelimited
  (git-fixes).
- scsi: qedf: Fix refcount issue when LOGO is received during TMF
  (git-fixes).
- scsi: qedf: Add stag_work to all the vports (git-fixes).
- scsi: ufs: ufshcd-pltfrm: Check the return value of
  devm_kstrdup() (git-fixes).
- scsi: mpi3mr: Fixes around reply request queues (git-fixes).
- scsi: sr: Don't use GFP_DMA (git-fixes).
- scsi: ufs: Fix a kernel crash during shutdown (git-fixes).
- commit b966a92
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/hyperv: Add error message for fb size greater than allocated (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66c1899
* Thu Dec  8 2022 pjakobsson@suse.de
- mmap locking API: fix missed mmap_sem references in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c70262b
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: omap: pass irqs as resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c87d45e
* Thu Dec  8 2022 pjakobsson@suse.de
- ARM: omap1: move lcd_dma code into omapfb driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit def65c9
* Thu Dec  8 2022 pjakobsson@suse.de
- ARM: omap1: innovator: pass lcd control address as pdata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 543fcad
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: omapfb: lcd_ams_delta: fix unused variable warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d8e671
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uc: Fix undefined behavior due to shift overflowing the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b2d70f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/reg: fix undefined behavior due to shift overflowing the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1800f2e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Fix use of static in macro mismatch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 068d1c0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/audio: fix audio code enable/disable pipe logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 881683b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix 'mixing different enum types' warnings in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 15f984a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Fix build error without CONFIG_PM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6591367
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add DRM_MODE_ROTATE_180 back to supported rotations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b0ae39
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: don't free the IRQ if it was not requested (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3762c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: limit writeback modes according to max_linewidth (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 140eca9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Fix fb plane offset calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1943251
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: don't powerup at modeset time for parade-ps8640 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ceabeea
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Unmap legacy queue when MES is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 61e8a30
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: consistent approach for smartshift (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bbfaba
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a7c197
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Fix static checker warning on MES queue type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b68007d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Move mutex_init(&smu->message_lock) to smu_early_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5f05cd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add SMU v13.0.4 into the IP discovery list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96c1e0d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add GFXOFF control IP version check for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9f9562
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: enable swsmu for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 387ef19
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add swsmu ppt implementation for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42ec084
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add some common ppt functions for SMU IP v13.0.x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31ba413
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add EnableGfxImu message dummy map for SMU IP v13.0.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39811e2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add smu v13.0.4 driver SMU if headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa10e8c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: fix mes mqd settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f634f2d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: fix me field handling in map_queue packet (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64619b5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: allocate MMIO/DOORBELL BOs with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfa0731
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Ensure the DMA engine is deactivated during set ups (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 243c804
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add smu power_limit callback for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8ec5dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add smu feature map support for smu_v13_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a66d4f8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add smu feature map support for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc83c22
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: support ss metrics read for smu11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c448193
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add smu pp_feature_mask callback for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2d25a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b4021a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Remove duplicated argument in vcn_v4_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd46bfb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: vm flush needed after updating PDEs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca0ff5b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.185 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c12c1f0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove unnecessary else by CONFIG_DRM_AMD_DC_DCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 346a529
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: include header for vcn_dec_sw_ring_emit_fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd68f0e
* Thu Dec  8 2022 pjakobsson@suse.de
- amdgpu/pm: Disallow managing power profiles on SRIOV for Sienna (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b70f51
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant CONFIG_DRM_AMD_DC_DCN in
  amdgpu_dm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/Revert-drm-amdgpu-display-set-vblank_disable_immedia.patch.
- commit 9a45c91
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: suppress compile warning about possible unaligned (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a680e44
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add vcn ras poison consumption event handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9131b94
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: add jpeg ras poison consumption handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8346d4c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant CONFIG_DRM_AMD_DC_DCN for z10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6fb42e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant CONFIG_DRM_AMD_DC_DCN in irq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d868cd0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: refine RAS poison consumption handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd9af92
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable RAS IH for poison consumption (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 398982b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant CONFIG_DRM_AMD_DC_DCN in gpio (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c371c41
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant CONFIG_DRM_AMD_DC_DCN in dce (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef615f2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove redundant CONFIG_DRM_AMD_DC_DCN in dc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5024de8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: do not wait for vblank during pipe programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d99cf92
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: do not calculate DP2.0 SST payload when link is off (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d6ca50
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: do not disable an invalid irq source in hdp finish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d77dca8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: move definition of dc_flip_addrs struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a5066b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Reset cached PSR parameters after hibernate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b05f7a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Refactor LTTPR cap retrieval (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/drm-amd-display-Assume-an-LTTPR-is-always-present-on.patch.
- commit fd7590b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support memory power gating for lsdma 6.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9170d61
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support memory power gating for lsdma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b214a16
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add LSDMA block for LSDMA v6.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5654c25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add LSDMA block for LSDMA v6.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e09e94
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support fill mem for LSDMA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c95b5ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support mem copy for LSDMA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 625a77a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add lsdma block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7bece3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add lsdma v6_0_0 ip headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cab44a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: unlock on error in gfx_v11_0_kiq_resume() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8f55b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: fix format specifier for size_t (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c25417
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: make smu_v13_0_7_check_fw_status() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6dc45a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: Return failure when firmware failed to load in SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b48d8d8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Implement get_vmid_pasid_mapping for gfx11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de226bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Update event_interrupt_isr_v11 return (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e4191d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Disable SDMA WPTR_POLL_ENABLE for sdma_v6_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f5abd2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfxoff control on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae8a8b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: disable ac/dc on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 347a2c9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: disable the gfxoff feature temporarily for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1d361c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable FCLK DPM support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ba57ee
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct the way for retrieving current fclk frequency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55cc794
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct the way for retrieving current uclk frequency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 347e03e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct the check for current link status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e61558
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable UCLK DPM for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0947473
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable BACO support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bc575b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable lclk dpm/ds and BACO features for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc05a38
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add sysfs to shows psp vbflash status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eea1880
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: Add vbflash sysfs interface support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cb46be
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: Add VBIOS flash handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f19be2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/psp: Add C2P registers to mp_13_0_2 header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6917b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Return true/false (not 1/0) from bool functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b38f3cc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: remove unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52e913f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn4: replace ip based software ring decode with common (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76a8430
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn3: replace ip based software ring decode with common (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea8952c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: add common vcn sofware ring decode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3be707
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: nuke dynamic gfx scratch reg allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c0ede2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: simplify nv and soc21 read_register functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f5acd7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: flush delete wq after wait fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd9e4ec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable mes support for GC v11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 569e841
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable gfx v11 for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3ad781
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable imu firmware for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cc524d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: add GC 11.0.1 KFD support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4426c80
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add GC v11.0.1 into mes v11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b057693
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gfx support for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b2778d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: set flag for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c43aa88
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: set GC 11.0.1 family (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63b3b03
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add GC 11.0.1 family id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 172de06
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable sdma v6 for SDMA 6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cb4cc4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add sdma support for sdma 6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ad0379
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add PSP v13.0.4 into the IP discovery list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d209b9d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable ih v6 for OSS 6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffb847e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable gmc v11 for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d4463a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gmc v11 support for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a10b45
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable soc21 common for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19a325e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add soc21 common ip block support for GC 11.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7eb20a7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub support for MMHUB 3.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdafd9a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add HDP v5.2.1 into the IP discovery list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72e4497
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add the files of HDP v5.2 block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c7dccd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add hdp v5_2_1 ip headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1625d93
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/admgpu/discovery: add NBIO v7.7 into the IP discovery list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ac53ec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add the files of NBIO v7.7 block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4894325
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add pcie port function helpers for SOC21 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8658f25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add nbio v7_7_0 ip headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7215e93
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: skip the new gc doorbell function for some asics (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c0df25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: handle asics with 1 SDMA instance (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de5e2e9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: report preDS gfxclk on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70aaa9f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: change the soft pptable id for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eccd41c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable pmlog support for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fe4542
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable workload type change on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab7100e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: pp_dpm_sclk change for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9834b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfx pcc and soc cg on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e61adbb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfx ds for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56837c9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/soc21: enable mmhub and athub power gating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3c28c8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add the pg_flag for athub and mmhub pg on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e6b524
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: port the fan interface to smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 61d03f2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable pp_dpm_vclk/dclk interface for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 444b4bb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm:add UMD Pstate clock settings for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c19d65
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: pp_dpm_* interface for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90bf795
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: update the features for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9dee2af
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add SCPM support in smu v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 020d4b2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable platform features for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc54331
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable fclk,vcn ds and df cstate for smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26a1cec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable mp0,vcn,dcn dpm on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c58216b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable link dpm and link ds on smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e13e9b3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add mvdd and vddio scaling in smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc5e608
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add features to smu_v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa20190
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: support power on/off vcn/jpeg in smu v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b679f3e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add get enable mask function for smu v13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5bcd31
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add SMU_13_0_7 ppt_funcs for SMU_13_0_7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c098b7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: add smu 13.0.7 firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee48267
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: add SMU_13_0_7 PMFW headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 407f245
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable cgcg and cgls for GC 11_0_2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e55583a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: set family for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d438b1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add gfx11 support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 913209a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: update rlc ram for gc v11_0_2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfa2682
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: add asic support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2be8824
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add initial GC 11.0.2 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b0553e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gc v11_0_2 imu firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57397a5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add mes11 support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c51fdc0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes 11 firmware for mes 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 30dcd30
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add sdma6 support for SDMA 6.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3b6ffa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: add asic support for SDMA 6.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0986a7b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add sdma 6.0.2 firware support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a512669
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: enable vcn/jpeg v4_0_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 132efe3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Enable vcn v4_0_4 sram (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 188feae
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: enable VCN DPG mode for VCN4_0_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bac02c2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: enable VCN PG for VCN4_0_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1dd8e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: enable VCN CG for VCN4_0_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0b4914
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: enable JPEG PG for VCN4_0_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1c66cb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: enable JPEG CG for VCN4_0_4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6c10dc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add VCN4_0_4 firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13460ce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add psp13 support for PSP 13.0.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 837ddcd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp13: add support for MP0 13.0.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32d73e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add gmc11 support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6d5627
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add GMC11 support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1c7cfb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add UMC 8.11.0 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27ac88e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: split mmhub v3_0_2 callbacks from mmhub v3_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffc2d11
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub v3_0_2 ip callback functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0579b81
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub v3_0_2 ip headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfd1b75
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add SMUIO_13_0_8 func support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54ba9b2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add hdp6 support for HDP 6.0.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53cfb9a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add nbio 4.3 support for NBIO 4.3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4793cb1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add smu13 support for MP1 13.0.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 836fc08
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add ih6 support for IH 6.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e717dad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add support for ATHUB 3.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a6c3c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add soc21 support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a34db24
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add soc21 support for GC 11.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cbf9eb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable clock gating for HDP 6.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0047d23
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable clock gating for IH 6.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f4799b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable MGCG and LS for MMHUB 3.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c172ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable MGCG and LS for ATHUB 3.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d9772a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable more dpm features to pair with PMFW 78.31.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6c7ca5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable gfx ulv feature control for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 30448f0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable deep sleep features control for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36263ca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: support more DPM features for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5640210
* Thu Dec  8 2022 krisman@suse.de
- io_uring: correct fill events helpers types (bsc#1205205).
- io_uring: inline io_poll_complete (bsc#1205205).
- io_uring: inline io_req_needs_clean() (bsc#1205205).
- io_uring: remove struct io_completion (bsc#1205205).
- commit 2ec33b5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable more GFX clockgating features for GC 11.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec8182d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable df cstate feature for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a504b0c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable PMLOG support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f2a3df6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable ppfeature mask setting for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf42308
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable RunDcBtc support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fee0c5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable power profile setting for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d399bf2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable ac/dc switching for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e31d84
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable power limit retrieving and setting for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9903062
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: simplify the return expression of vega10_ih_hw_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98dc6fd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: simplify the return expression (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57e40ad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: Avoid uninitialised variable 'index' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc469bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: Avoid uninitialised variable 'index' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0e51df
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: Add missing break (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a69757d
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "fbdev: fbmem: add a helper to determine if an aperture is (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06ea002
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: disable runpm if we are the primary adapter" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3649f55
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: remove some register fields that no longer exist (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 848e2f0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add VCN 4.0 Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33d494a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add vcn_4_0_0 video codec query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e38bdd6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: enable vcn4 dpg mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5dc4429
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: enable JPEG PG and CG for VCN4_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe723eb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable VCN4 PG and CG for VCN4_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e0718f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: add jpeg support for VCN4_0_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b90c5a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add VCN4 ip block support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddadb29
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add irq sources for vcn v4_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5d41ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: move out asic specific definition from common header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0de7766
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: make software ring functions reuseable for newer VCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23acd69
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add vcn 4_0_0 header files v7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f2f8bb0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add SDMA v6_0 ip block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d489555
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add initial support for sdma v6.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6371231
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add sdma v6_0_0 pkt header v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ae4b1f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.184 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c003925
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.115.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 507fbdf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Clean up pixel format types (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4d6e5a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add new DSC interface to disconnect from pipe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5f5814
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Remove outdated register for dcn3+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36f8e6f
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Reset cached PSR parameters after hibernate" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7e4dfc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add Connection Manager boot option. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d2671d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Make OPTC3 function accessible to other DCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d4aac5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add MES11 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1df9308
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add GFX 11.0 Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b22eaf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx11: enable kiq to map mes ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 449cf11
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: enable kiq to map mes ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b999d3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable GENERIC0_INT for gfx/compute pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5193d70
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable fgcg for soc21 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0987ad5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable GFX CGCG/CGLS for GC11.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d783a89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Add KFD support for soc21 v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b257628
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: add helper to generate cache info from gfx config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92b95a5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add init support for GFX11 (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2703cb0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes11: initiate mes v11 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 593b899
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support imu for gfx11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d0874b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes unmap legacy queue routine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ce35af
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support RS64 CP fw front door load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e75f6f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: renovate sdma fw struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f52658e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: handle AMDGPU_FW_LOAD_RLC_BACKDOOR_AUTO in SMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec9a16f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix the fw size for sdma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d63c25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add more fw load type to fit new ASICs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a06b07
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: correct cp doorbell range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9aee883
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: adjust the fw load type list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 540dca8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx: refine fw hdr check fuction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a665b58
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: extend the show ucode name function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 304ecf5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: init SDMA v6 microcode with PSP load type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e7743a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add convert for new gfx type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d29f9dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support IMU front door load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e97d14b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add new CP_MES ucode ids (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a94bad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support for new SDMA front door load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b33ebc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support RLCV firmware front door load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25f350f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support RLCP firmware front door load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cbdcac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: Update the doorbell function signatures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 091fa0b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: disable mes sdma queue test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e86a07
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: fix vm csa update issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0109bdc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes10.1: add mes self test in late init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d87aad1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement mes self test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca15ae9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: add ring/ib test for mes self test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e78460
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: create gang and queues for mes self test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd6a429
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: map ctx metadata for mes self test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56862b3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: kiq takes charge of all queues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d10465
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: skip gds switch for mes queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78a29b7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: skip kiq ib tests if mes enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3fa94e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: skip some checking for mes queue ib submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1261f4e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Enable KFD with MES enabled (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 7ef85ad
* Thu Dec  8 2022 krisman@suse.de
- namei: Fix use after free in kern_path_locked (bsc#1205205).
- commit 28a75ef
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: skip kfd routines when mes enabled (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit d806489
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: add helper functions to alloc/free ctx metadata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c1eaf6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement removing mes ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ccfdc5f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: use ring for kernel queue submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e73794e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: add helper function to get the ctx meta data offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 654ad29
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: add helper function to convert ring to queue property (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa1b576
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement removing mes queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91fbb93
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement adding mes queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 469b560
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: initialize mqd from queue properties (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20cc177
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement resuming all gangs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2feae63
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement suspending all gangs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 829fbd7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement removing mes gang (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6dc23a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement adding mes gang (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bce36b6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement destroying mes process (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9aff802
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: implement creating mes process v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 909414c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes10.1: implement the suspend/resume routine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit acf3e04
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes10.1: add delay after mes engine enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5deb9e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes10.1: call general mes initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58b2d81
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: relocate status_fence slot allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f12bdc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: initialize/finalize common mes structure v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d9d62c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes queue id mask v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca27fc5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: manage mes doorbell allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit feb53a6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable mes kiq N-1 test on sienna cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8da2b9e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes kiq frontdoor loading support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 289b90c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: add mes kiq callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a95caf2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes kiq PSP GFX FW type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28c19b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: add mes support for sdma ib test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ccba93
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: add mes support for sdma ring test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afae482
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: add mes queue fence handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49ce035
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: associate mes queue id with fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a26ba61
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: initialize sdma mqd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b33d03
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: add mes support for sdma ib test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ab646b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: add mes support for sdma ring test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9a93a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: add mes queue fence handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a6dc89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: associate mes queue id with fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aebc1dc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: initialize sdma mqd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e3f58e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma: use per-ctx sdma csa address for mes sdma queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ac696a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: don't use kiq to flush gpu tlb if mes enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6eace7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: add mes support for gfx ib test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e09515
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: add mes queue fence handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f31291
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/mes: extend mes framework to support multiple mes pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5a1c50
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: allocate doorbell index for mes kiq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e811936
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes_kiq module parameter v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c17847b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: update mes process/gang/queue definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d441173
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: use the whole doorbell space for mes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5487a5f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gmc10: skip emitting pasid mapping packet (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f69778
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: use INVALIDATE_TLBS to invalidate TLBs v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 450bf40
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: inherit vmid from mqd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb2bd5a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: associate mes queue id with fence v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c02f13
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: use per ctx CSA for de metadata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7ca761
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: use per ctx CSA for ce metadata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56b4341
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: implement mqd functions of gfx/compute eng v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12d8d3c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: assign the cpu/gpu address of fence from ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df10169
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: initialize/finalize the ring for mes queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e2a4a1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: use ring structure to access rptr/wptr v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73c8dd0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: define ring structure to access rptr/wptr/fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c73293d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mes ctx data in amdgpu_ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f41ed29
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add the per-context meta data v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48a8f27
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add helper function to initialize mqd from ring v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd7f971
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: define MQD abstract layer for hw ip (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12da2d2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add imu fw structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25d62f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add rlc TOC header file for soc21 (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4397fd9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add FGCG support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a74cdc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support rlc v2_3 ucode struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8903d88
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gfx firmware header v2_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ae8518
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add irq src id for GFX11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af02a41
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gfx11 mqd structures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82ddcb2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gfx11 clearstate header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4d4bcb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add soc21 chip enum header v8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18d88cb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: Set GC family for GC 11.0 IP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42db355
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add GC v11_0_0 family id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8254cc1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix null pointer exception while load amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67dbf62
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: Enable SMU for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5596c6e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/soc21: enable ATHUB and MMHUB PG (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1888a49
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/smu: Update SMU13 support for SMU 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c10269
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/smu: add smu v13_0 header files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca00775
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable the support for retrieving combo pptable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32141ea
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct SMU OverridePcieParameters related settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d03b33
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable SCPM support for SMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbdcbe5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: enable pptable ucode loading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1987ac8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: update the hw initialization sequence around pptable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 583fba8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: correct the way for retrieving bootup clocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit addfb82
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: move bootup values retrieving to ->sw_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fef511d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: fix NULL pointer issue of amdgpu_smu_stb_debug_fs_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9250fa9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: enable pp_dpm_vclk/dclk sysfs interface support for SMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d7d611
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: query core refclk from bios for smu v13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58e7814
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add updated smu_info structures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f5c92f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add GMC 11.0 Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8211126
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gmc v11_0 ip block (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f942ab
* Thu Dec  8 2022 jack@suse.cz
- ext4: Fixup pages without buffers (bsc#1205495).
- commit 31c03d6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: save the setting of VM_CONTEXT_CNTL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60d8133
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub v3_0 ip block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bd4359
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mmhub v3_0_0 ip headers v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21b3c58
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gfxhub v3_0 ip block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1ac7a2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add athub v3_0 ip block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 796a315
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add athub v3_0_0 ip headers v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79552be
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: Enable PSP for PSP 13.0.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 966ac9b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add tracking for the enablement of SCPM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd19dfe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: rework psp firmware name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ded465
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support psp v13_0_0 microcode init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39005cc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add support for spl fw load on psp v13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07d71b2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: extend PSP GFX FW type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17beed2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support print psp v2_0 hdr debug information (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac1932b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: deallocate memory when psp_load_fw failed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 057edaf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: move shared buffer frees into single function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d18ac01
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: fix memory leak in terminate functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2fd95a1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: drop load/unload/init_shared_buf wrappers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 396f284
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: Disable fan control if not supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe9fe4b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: init smuio v13_0_6 callbacks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4d91e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/psp: move PSP memory alloc from hw_init to sw_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c50260
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add smuio v13_0_6 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4458138
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add smuio v13_0_6 ip headers v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8fddd4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Remove trailing space (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b7770c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add HDP v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94d2c11
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add hdp version 6 functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fb8e59
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Free user pages if kvmalloc_array fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44be2e6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add hdp v6_0_0 ip headers v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91e4b96
* Thu Dec  8 2022 pjakobsson@suse.de
- gpu/drm/radeon: Fix spelling typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b7998b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: simplify the return expression of navi10_ih_hw_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a9e99a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: simplify the return expression of iceland_ih_hw_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc02248
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add IH v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd24d6d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add ih v6_0 ip block v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc5a960
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/smu: Increace dpm level count only for smu v13.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca1feb4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add soc21 ih clientid definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 616a84e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add osssys v6_0_0 ip headers v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c3e51d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add NBIO 4.3 Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b08f7e6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add nbio v4_3_0 ip block v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 133057e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add nbio v4_3_0 ip headers v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1223ef7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add soc21 common Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1362ea0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/etnaviv: reap idle softpin mappings when necessary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f29e236
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/etnaviv: move flush_seq increment into etnaviv_iommu_map/unmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27d6d8d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/etnaviv: move MMU context ref/unref into map/unmap_gem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7782830
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/tegra: gem: Do not try to dereference ERR_PTR() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a3a4b2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/tegra: vic: Fix unused-function warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4517cde
* Thu Dec  8 2022 pjakobsson@suse.de
- gpu: host1x: Show all allocated syncpts via debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef2717f
* Thu Dec  8 2022 pjakobsson@suse.de
- gpu: host1x: Do not use mapping cache for job submissions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94ea2cf
* Thu Dec  8 2022 pjakobsson@suse.de
- gpu: host1x: Fix a kernel-doc warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f9dc91
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: remove NULL-ness check in dpu_hw_intr_destroy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bed52bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Limit command submission when no IOMMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f144937
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: pll_7nm: remove unsupported dividers for DSI pixel clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28fce9e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Fix shutdown (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 806256b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp: dpu1: Properly sort qcm2290_dpu_caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 646bfb5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: avoid clearing hw interrupts if hw_intr is null (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb1c3a6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: don't access mode pointer before it is set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a570b90
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add missing break statement for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5103de9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Fix null pointer dereferences without iommu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7c12cf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: drop old eDP block support (again) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dc66fe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: use RMW cycles in dsi_update_dsc_timing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc77d12
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Clean up CRC debug logs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 195a1cb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: remove unused refcount for encoder_phys_wb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62dfd79
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: fix returnvar.cocci warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14399d3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/mdp5: Eliminate useless code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72df28e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: Support the eDP modes given by panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 728f2c8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: wait for hpd high before aux transaction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 395b612
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: Support only IRQ_HPD and REPLUG interrupts for eDP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56f9c2e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: select DRM_DP_AUX_BUS for the AUX bus support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7c19b0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: Add eDP support via aux_bus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b806474
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: tear down main link at unplug handle immediately (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71ccf4a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: remove max_pclk_khz field from dp_panel/dp_display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14ef37a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: simplify dp_connector_get_modes() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88fe8d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: drop dp_mode argument from dp_panel_get_modes() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0fba78
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: replace DRM_DEBUG_DP marco with drm_dbg_dp
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dp-Silence-inconsistent-indent-warning.patch.
- Refresh
  patches.suse/drm-msm-dp-do-not-stop-transmitting-phy-test-pattern.patch.
- commit 76181c1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: remove extra wrappers and public functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 483c9f8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: replace dp_connector with drm_bridge_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d007f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add wb_idx to DRM traces in dpu_encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f0a2aa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add wb_idx to existing DRM prints in dpu_encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad238e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add writeback blocks to the display snapshot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4687f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: gracefully handle null fb commits for writeback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37a7b84
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: initialize dpu encoder and connector for writeback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0161a4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add the writeback connector layer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74e7b72
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: introduce the dpu_encoder_phys_* for writeback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c9ff39
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: move _dpu_plane_get_qos_lut to dpu_hw_util file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85758a7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add encoder operations to prepare/cleanup wb job (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d5dd2a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: make changes to dpu_encoder to support virtual encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c64682b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add an API to reset the encoder related hw blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba6cb9c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add changes to support writeback in hw_ctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e6f501
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add writeback blocks to DPU RM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0eabaec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add dpu_hw_wb abstraction for writeback blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d360c1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: rename dpu_hw_pipe_cdp_cfg to dpu_hw_cdp_cfg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b69247e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add reset_intf_cfg operation for dpu_hw_ctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed9a543
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: add writeback blocks to the sm8250 DPU catalog (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7377b7c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: introduce drm_writeback_connector_init_with_encoder() API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a26ed46
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: allow passing possible_crtcs to drm_writeback_connector_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9516096
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Issue MDSS reset during initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37e2c92
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: add inline rotation support for sc7280 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fe61eb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: add inline function to validate format support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab0a6e2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: Bind pingpong block to intf on active ctls in cmd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55e1744
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: drop INTF_EDP from interface type conditions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d92708f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: drop obsolete INTF_EDP comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 795c5cf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: drop INTF_TYPE_MAX symbol (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8d4ffa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: document INTF_EDP/INTF_DP difference (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cb7ed7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: pass irq to dpu_encoder_helper_wait_for_irq() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e22abd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: remove struct dpu_encoder_irq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71b7efd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: get rid of dpu_encoder_helper_(un)register_irq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 654ffa1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: allow just single IRQ callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1e3db6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: remove always-true argument of dpu_core_irq_read() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b5fdc0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: remove extra wrappers around dpu_core_irq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2329b16
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: change msm_sched_ops from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab3cfcd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: remove unused hotplug and edid macros from msm_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2a429e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: Add support for DSC configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 163607f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Update generated headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7d9fca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: add mode valid callback for dsi_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab0f4e7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add DSC support in RM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3ea898
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add support for DSC in topology (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7994b57
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Add missing num_dspp field documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8223be
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: don't use merge_3d if DSC merge topology is used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c86fc7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add support for DSC in encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93a9f33
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add DSC support in hw_ctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 270bbe0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add DSC for SDM845 to hw_catalog (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bea6e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add support for DSC in pingpong block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3d21d9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: Add support for DSC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b29bb60
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: Pass DSC params to drm_panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc005bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dsi: add support for dsc data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25e2200
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dp: enable widebus feature for display port (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c9d54d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: revise timing engine programming to support widebus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a08cf8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: replace BIT(x) with correspond marco define string (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 822d088
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: don't store created planes, connectors and encoders
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0009-drm-msm-remove-unused-plane_property-field-from-msm_.patch.
- commit 84aacaa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: loop over encoders using drm_for_each_encoder() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92146d9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/dpu: remove manual destruction of DRM objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 382e58a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: make mdp5/dpu devices master components (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0010-drm-msm-dpu-fix-error-check-return-value-of-irq_of_p.patch.
- Refresh
  patches.suse/0013-drm-msm-disp-dpu1-set-mdp-clk-to-the-maximum-frequen.patch.
- commit de68903
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: allow compile time selection of driver components (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a8f752
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: stop using device's match data pointer (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0010-drm-msm-dpu-fix-error-check-return-value-of-irq_of_p.patch.
- commit 09e0bbd
* Thu Dec  8 2022 lduncan@suse.com
- scsi: libiscsi: Fix UAF in
  iscsi_conn_get_param()/iscsi_conn_teardown() (git-fixes).
- Refresh
  patches.suse/scsi-libiscsi-Teardown-iscsi_cls_conn-gracefully.patch.
- commit c3c0393
* Thu Dec  8 2022 krisman@suse.de
- io_uring: add support for IORING_OP_LINKAT (bsc#1205205).
- io_uring: add support for IORING_OP_SYMLINKAT (bsc#1205205).
- io_uring: add support for IORING_OP_MKDIRAT (bsc#1205205).
- namei: update do_*() helpers to return ints (bsc#1205205).
- namei: make do_linkat() take struct filename (bsc#1205205).
- namei: add getname_uflags() (bsc#1205205).
- namei: make do_symlinkat() take struct filename (bsc#1205205).
- commit 170c93c
* Thu Dec  8 2022 krisman@suse.de
- namei: make do_mknodat() take struct filename (bsc#1205205).
- Refresh
  patches.suse/fs-move-S_ISGID-stripping-into-the-vfs_-helpers.patch.
- commit b589588
* Thu Dec  8 2022 lduncan@suse.com
- scsi: iscsi: Unblock session then wake up error handler
  (git-fixes).
- scsi: scsi_debug: Fix out-of-bound read in resp_report_tgtpgs()
  (git-fixes).
- scsi: scsi_debug: Fix out-of-bound read in resp_readcap16()
  (git-fixes).
- scsi: advansys: Fix kernel pointer leak (git-fixes).
- commit 82fa2c6
* Thu Dec  8 2022 krisman@suse.de
- namei: make do_mkdirat() take struct filename (bsc#1205205).
- Refresh patches.suse/fs-move-S_ISGID-stripping-into-the-vfs_-helpers.patch
- namei: change filename_parentat() calling conventions
  (bsc#1205205).
- namei: ignore ERR/NULL names in putname() (bsc#1205205).
- commit 846e630
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: split the main platform driver (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Make-.remove-and-.shutdown-HW-shutdown-consi.patch.
- commit c12ab74
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: remove extra indirection for msm_mdss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 672f37a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: unify MDSS drivers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ecf5bec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: return the average load over the polling period (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5478b4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: simplify gpu_busy callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32079f3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: remove explicit devfreq status reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9af35d1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Add a way for userspace to allocate GPU iova (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8603ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Add fenced vma unpin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfb9216
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Split vma lookup and pin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4c7d2a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Rework vma lookup and pin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56ecd0d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Drop msm_gem_iova() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9849cc8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Drop PAGE_SHIFT for address space mm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 110332b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Split out inuse helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e850645
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Convert some missed GEM_WARN_ON()s (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fbaac5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gpu: Drop duplicate fence counter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2ffba0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm/gem: Move prototypes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 216fea9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Add a way to override processes comm/cmdline (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9423323
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Split out helper to get comm/cmdline (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da0b9f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Add support for pointer params (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9b9784
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/msm: Remove unused field in submit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c49447
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/fourcc: Add QCOM tiled modifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e467ae8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Respect VBT seamless DRRS min refresh rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd346bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Parse the seamless DRRS min refresh rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7175a8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Refactor panel_type code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7bfe54
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Extract get_panel_type() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa4c849
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Assume panel_type==0 if the VBT has bogus data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2fda84
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Document the mess around the LFP data tables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87b5b12
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Get access to the tail end of the LFP data block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40b7c81
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Generate LFP data table pointers if the VBT lacks them (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8978f1e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Reorder panel DTD parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dec5a16
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use drm_mode_init() for on-stack modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eeec9b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: warn about missing ->get_buf_trans initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0f0ad1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: move tons of power well initializers to rodata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9ebcb2
* Thu Dec  8 2022 pjakobsson@suse.de
- i915/gvt: Fix NULL pointer dereference in init_mmio_block_handlers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a6c469
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: Fix the compiling error when (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f483f9d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: Make intel_gvt_match_device() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63ef4ab
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add first set of DG2 PCI IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c92702b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Add workaround for spurious AUX timeouts/hotplugs on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dc38a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: Add missing symbol export. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 744b9dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add crtc .crtc_get_shared_dpll() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8cae4c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Split out dg2_crtc_compute_clock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6fc46a7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Clear the dpll_hw_state when disabling a pipe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ce29df
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move the dpll_hw_state clearing to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14b5059
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move stuff into intel_dpll_crtc_compute_clock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74163d8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Adjust .crtc_compute_clock() calling convention (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77266a8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove pointless dpll_funcs checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2014405
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Pass dev_priv to intel_shared_dpll_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51af01c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make .get_dplls() return int (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ab036f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: s/false/0/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 180b49f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: merge gvt.c into kvmgvt.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84370d6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: convert to use vfio_register_emulated_iommu_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ed5e05
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove kvmgt_guest_{init,exit} (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cd779d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: pass a struct intel_vgpu to the vfio read/write helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efbd6ec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: streamline intel_vgpu_create (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c324822
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove the extra vfio_device refcounting for dmabufs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 877966e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove struct intel_gvt_mpt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b382b2c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize dma_pin_guest_page (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 811947b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->dma_{,un}map_guest_page
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0001-drm-i915-gvt-fix-double-free-bug-in-split_2MB_gtt_en.patch.
- commit ca7baab
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->{enable,disable}_page_track (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87ad0ce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->gfn_to_mfn (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 763aab9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->is_valid_gfn (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b70f5c8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->inject_msi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 094861e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->detach_vgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a95952
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->set_edid and ->set_opregion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b622e4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->{get,put}_vfio_device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c91efa4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: devirtualize ->{read,write}_gpa (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25eb3e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove vgpu->handle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c54751
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: merge struct kvmgt_guest_info into strut intel_vgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2b8f56
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: merge struct kvmgt_vdev into struct intel_vgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 847d666
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove the unused from_virt_to_mfn op (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f4da9d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove the map_gfn_to_mfn and set_trap_area ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66c900a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove intel_gvt_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 725678b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: move the gvt code into kvmgt.ko (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit acaed91
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: rename intel_vgpu_ops to intel_vgpu_mdev_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 067ebdc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove enum hypervisor_type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb357d0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: remove module refcounting in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a203d07
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: better align the Makefile with i915 Makefile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 314050f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gvt: fix trace TRACE_INCLUDE_PATH (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8441f75
* Thu Dec  8 2022 pjakobsson@suse.de
- i915/gvt: Use the initial HW state snapshot saved in i915 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ef7c90
* Thu Dec  8 2022 pjakobsson@suse.de
- i915/gvt: Save the initial HW state snapshot in i915 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ddef30
* Thu Dec  8 2022 pjakobsson@suse.de
- i915/gvt: Separate the MMIO tracking table from GVT-g (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cadb4cf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fixup merge of the power well refactor patchset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d57c50
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove the XELPD specific AUX and DDI power domains (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e68cb9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove duplicate DDI/AUX power domain mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f014df
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove the ICL specific TBT power domains (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88e56b0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove the aliasing of power domain enum values (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7b38e1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Sanitize the port -> DDI/AUX power domain mapping for each (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f4aabd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Sanitize the ADL-S power well definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cc817b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Simplify the DG1 power well descriptors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3c74c8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Allow platforms to share power well descriptors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06c25a6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Simplify power well definitions by adding power well (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc663ff
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Convert the u64 power well domains mask to a bitmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bb10fd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Convert the power well descriptor domain mask to an array (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f3d9ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Sanitize the power well names (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3109bf5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename the power domain names to end with pipes/ports (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92fee4f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move the HSW power well flags to a common bitfield (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b902fda
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move the dg2 fixed_enable_delay power well param to a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1569c8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move the power domain->well mappings to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 646f5d5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Unexport the for_each_power_well() macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdbf899
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move per-platform power well hooks to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7122be1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Add workaround 22014263786 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8abeb96
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Program i830 DPLL FP register later (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce19174
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: program wm blocks to at least blocks required per line (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a4a28e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/rpl-p: Add PCI IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d664c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/psr: Clear more PSR state during disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6d60f2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: mtk_dsi: Remove unnecessary print function dev_err() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0fe749
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: Add lut diff flag for new gamma hardware support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f66e8a6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: Add display support for MT8186 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4874e1f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: Fix DPI component detection for MT8192 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cddfc47
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: mtk_drm_crtc: Use kmalloc in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05c841e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: mtk_drm_plane: Use kmalloc in mtk_plane_duplicate_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6171d94
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/qxl: add drm_gem_plane_helper_prepare_fb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 507ae58
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/todo: Add entry for using kunit in the subsystem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7747284
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: simplify the return expression of ast_drm_resume() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18c062a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mgag200: Protect concurrent access to I/O registers with lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8badf4b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ast: Protect concurrent access to I/O registers with lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3173281
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Add DRM-managed mutex_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7e31b2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Share implementation among conversion helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a2ee78
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Unify the parameters of all per-line conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 464da32
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Remove optional byte-swap from line convertion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1b4422
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Implement drm_fb_swab() with per-line helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3dc420
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Fix DP bridge mode detection from DT endpoints (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b9d2bf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: mxsfb: Implement LCDIF scanout CRC32 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef2c1d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: remove trace_dma_fence_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dee7fe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/devinit: fix returnvar.cocci warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ce7703
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: exynos: dsi: Use child panel or bridge find helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ed5265
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm: bridge: mcde_dsi: Switch to devm_drm_of_get_bridge" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9521eaf
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm: bridge: mcde_dsi: Drop explicit bridge remove" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f200d8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/etnaviv: avoid cleaning up sched_job when submit succeeded (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10c0c5a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: fix typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6fdab7b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: Make VOP driver optional (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29199cd
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf/sync_file: cleanup fence merging a bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efe2607
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/simpledrm: Use fbdev defaults for shadow buffering (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c082b6
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Use pageref offset for deferred-I/O writeback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d307fd3
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Rename pagelist to pagereflist for deferred I/O (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c38b8c
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Refactor implementation of page_mkwrite (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7d8d08
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Track deferred-I/O pages in pageref struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cb99be
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Put mmap for deferred I/O into drivers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c286800
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ast: Create the driver for ASPEED proprietory Display-Port (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 190b743
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: dw_hdmi: add regulator support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46e8219
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: dw_hdmi: add rk3568 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fdba7d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: dw_hdmi: rename vpll clock to reference clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dffa2dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: Add crtc_endpoint_id to rockchip_encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b67371
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: Embed drm_encoder into rockchip_decoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e6259f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: Support YUV formats with U/V swapped (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 924ea8f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: rk3066_hdmi: Replace drm_detect_hdmi_monitor() with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b678916
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: inno_hdmi: Replace drm_detect_hdmi_monitor() with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2340de3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: cdn-dp: change rk3399_cdn_dp from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e400153
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/rockchip: Refactor IOMMU initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8cbd39
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tfp410: Make tfp410_fini() return void (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b26d6e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: ldb: Implement simple Freescale i.MX8MP LDB bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23b2909
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: adv7511: use non-legacy mode for CEC RX (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1661eba
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: adv7511: enable CEC support for ADV7535 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 823fc3f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: it6505: Send DPCD SET_POWER to downstream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c45b3c1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: use drm_gem_plane_helper_prepare_fb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4306544
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: handle kernel fences in drm_gem_plane_helper_prepare_fb v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 586edb9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: simple: Add Startek KD070WVFPA043-C069A panel support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5259eea
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: simplify the return expression of nouveau_debugfs_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 446f756
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: simplify the return expression of vc4_grab_bin_bo() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ee134e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: simplify the return expression of vc4_prepare_fb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c80b93
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: dsi: delete unnecessary IS_ERR() checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91128f0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: drop kernel-doc for static functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffed4d5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: fix kernel-doc parameter name mismatches (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3649138
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Select DP helper for DRM_DP_AUX_CHARDEV and DRM_DP_CEC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b062d62
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/dp_mst: Lower down debug info level when receive NAK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 047f664
* Thu Dec  8 2022 pjakobsson@suse.de
- malidp: Fix NULL vs IS_ERR() checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26da059
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: use IOMEM_ERR_PTR() directly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c25fff
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/pvc: add initial Ponte Vecchio definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb9565a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix assert in i915_ggtt_pin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 222df03
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: remove superfluous string helper include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f216fb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Document the eviction of the Flat-CCS objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6af3f0a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: optimize the ccs_sz calculation per chunk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b48954f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Clear SET_PREDICATE_RESULT prior to executing the ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6993a8c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftests: Skip poisoning SET_PREDICATE_RESULT on dg2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43173c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/xehpsdv/dg1/tgl: Fix issue with LRI relative addressing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0bd6547
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Xe_HP SDV and DG2 have up to 4 CCS engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 231984d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/xehp: Add compute engine ABI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d707144
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/xehp: Add register for compute engine's MMIO-based TLB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d903e00
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uapi: Add kerneldoc for engine class enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a01b138
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/pmu: Use existing uncore helper to read gpm_timestamp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4e194e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Define GuC firmware version for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fb566f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/imx: ipuv3-plane: Remove redundant color encoding and range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e63731d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/imx: ipuv3-plane: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a6e8f8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/imx: make static read-only array channel_offsets const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 859034f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/imx: imx-tve: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 702228d
* Thu Dec  8 2022 pjakobsson@suse.de
- gpu: ipu-v3: image-convert: use swap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df1c19e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Free user pages if amdgpu_cs_parser_bos failed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 382a2e7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix build warning for TA debugfs interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 208c162
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add soc21 common ip block v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28e7741
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add new write field for soc21 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa99bcb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add nbio callback to query rom offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eae5da1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add gc v11_0_0 ip headers v11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b605a78
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add mp v13_0_0 ip headers v7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 253d015
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: update query ref clk from bios (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7d88fa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: update gc info from bios table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a287047
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add atom_gfx_info_v3_0 structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7de3af1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: support query vram_info v3_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b7efa7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add vram_info v3_0 structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b393d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: switch to atomfirmware_asic_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63fdb4a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to execute atomfirmware asic_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8dc44a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: move all table parsing into amdgpu_discovery.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d0e2c9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add a function to parse the vcn info table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1d989a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add additional validation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 324e706
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add a function to get the mall_size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1130094
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: handle UMC harvesting in IP discovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d078dce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: store the number of UMC IPs on the asic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03aaaad
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: store the mall size in the gmc structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2937bd2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: fix byteswapping in gc info parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b592d3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: disable runtime pm on several sienna cichlid cards(v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac762b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: populate additional GC info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97e60bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: update latest IP discovery table structures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a734269
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add function to decode ip version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edad598
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: increase HWIP MAX INSTANCE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26a823d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: fix the compile warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3710015
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Fix circular lock dependency warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a00a68
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Fix updating IO links during device removal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29d6fed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Use non-atomic bitmap functions when possible (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit abbedb7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Use bitmap_zalloc() when applicable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7154d11
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: protect remaining FPU-code calls on dcn3.1.x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 086686a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd: Fix spelling typo in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51c0ca5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2eaaf96
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: debugfs: fix NULL dereference in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4baed0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: debugfs: fix error codes in write functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5810b19
* Thu Dec  8 2022 pjakobsson@suse.de
- gpu/drm/radeon: Fix typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e629fb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd: add dc feature mask flags for PSR allow smu and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f1dbaa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: fix if == else warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77ff3a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/display: Make dcn31_set_low_power_state static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1527fec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix out-of-bound access for gfx_v10_0_ring_test_ib() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca1f6e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/sdma: Remove redundant lower_32_bits() calls when settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a778910
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: change cac_weights_* to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c52b75
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: change cik_default_state table from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24867ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: fix non-kernel-doc comment warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9468f08
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Update mapping if range attributes changed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 824b2e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Add SVM range mapped_to_gpu flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5137697
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.183 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ee25d9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Keep track of DSC packed PPS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76d42a4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused integer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1688ead
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Maintain current link settings in link loss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4f4f20
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Remove ddc write and read size checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a64f0e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: read PSR-SU cap DPCD for specific panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ababa7b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Don't pass HostVM by default on DCN3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5541d68
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Reset cached PSR parameters after hibernate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fa8a43
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add Audio readback registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 882ca94
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: update dcn315 clk table read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a487ae
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.182 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4b9573
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix HDCP QUERY Error for eDP and Tiled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e12a86
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Insert smu busy status before sending another (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bc5c5d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Ignore bogus signals from MEC efficiently (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14821bb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Remove useless kfree (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12996ce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Ta fw needs to be loaded for SRIOV aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db27eb6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add RAS fatal error interrupt handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b89741
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add RAS poison consumption handler (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25e79f7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add RAS poison creation handler (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e363b3f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix drm-next merge fallout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 865d09e
* Thu Dec  8 2022 lduncan@suse.com
- scsi: ufs: core: Fix ufshcd_probe_hba() prototype to match
  the definition (git-fixes).
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 0c849f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Add RGB565-to-XRGB8888 conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ff4e8e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Add RGB888-to-XRGB8888 conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b10fee9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Print warning on missing format conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c059d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sched: use __string in tracepoints (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a1b52e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sched: use DECLARE_EVENT_CLASS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba9a5ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/devinit/nva3-: fix returnvar.cocci warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f15205
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/disp/gv100: make gv100_disp_wndw and gv100_disp_wndw_mthd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4cbb50
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/disp/gv100: make gv100_disp_wimm static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54c4f8f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/kms/gv100: use static for gv100_disp_core_mthd_[base|sor] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9eb324
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/v3d: Fix null pointer dereference of pointer perfmon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40bb128
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Add compatible for D1 display engine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92108da
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Add support for D1 TCONs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3aacfc4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Add support for D1 TCON TOP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16574a2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Add support for D1 mixers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53443bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: csc: Add support for the new MMIO layout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e83c6b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Allow VI layers to be primary planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56578c6
* Thu Dec  8 2022 pjakobsson@suse.de
- sun4i/drm: sun8i: use mode_set engine callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27200d1
* Thu Dec  8 2022 pjakobsson@suse.de
- sun4i/drm: backend: use mode_set engine callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2d178a
* Thu Dec  8 2022 pjakobsson@suse.de
- sun4i/drm: engine: Add mode_set callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56d34e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: Allow building the driver on RISC-V (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18df396
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: hdmi: Use more portable I/O helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8db0988
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358762: drop connector field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16948d2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ssd130x: Make ssd130x_remove() return void (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb5fd2d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: mxsfb: Obtain bus flags from bridge state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 318a97c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: mxsfb: Reorder mxsfb_crtc_mode_set_nofb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 368612e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: mxsfb: Factor out mxsfb_set_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9120549
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: mxsfb: Replace mxsfb_get_fb_paddr() with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92befc6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: mxsfb: Wrap FIFO reset and comments into mxsfb_reset_block() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7592484
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Move SCDC helpers into display-helper library (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0f28bf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Move HDMI helpers into display-helper module
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Ignore-First-MST-Sideband-Message-Re.patch.
- commit ff32553
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Move HDCP helpers into display-helper module (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 305f84a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Move DSC header and helpers into display-helper module (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 562ff69
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Split DisplayPort header into core and helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42ea0bf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/display: Introduce a DRM display-helper module (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b0a3f4
* Thu Dec  8 2022 shung-hsi.yu@suse.com
- kbuild: Unify options for BTF generation for vmlinux and modules
  (bsc#1204693).
- Refresh patches.suse/kbuild-Add-skip_encoding_btf_enum64-option-to-pahole.patch
- commit 5addeac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Put related statements next to each other in Makefile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff4f883
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/tilcdc: fix typos in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5081450
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: lvds: Drop now redundant width-mm and height-mm check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db9b9d4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/modes: Make width-mm/height-mm check in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adff123
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: simple: Add DataImage FG040346DSSWBG04 panel support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 056c8e7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Reserve fence slots on buffer objects in cotables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bccf9e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/gsp: change gv100_gsp from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7983aa6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: Fix it6505 Kconfig DRM_DP_AUX_BUS dependency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e49df09
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/doc: Add sections about tiny drivers and external refs to intro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 333895d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sun4i: hdmi: Replace drm_detect_hdmi_monitor() with is_hdmi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbde7cd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: dw_hdmi: Audio: fix returnvar.cocci warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24bfaae
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: use kvcalloc() instead of kvmalloc_array() in ttm_tt v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1eca6b1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: remove pointless ttm_eu usage from DM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e7cf64
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: remove pointless ttm_eu usage from vkms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f61c8ff
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove vc4_hdmi_encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a780bc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Replace drm_detect_hdmi_monitor() with is_hdmi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b08afb9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: add gsc with special gsc bar offsets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cab0d8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gsc: add gsc as a mei auxiliary device (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 7fa29d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftests: tweak the misaligned_case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e4ad79
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftests: fixup min_alignment usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5c8178
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/buddy: sanity check the size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b755b3c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: consider min_page_size when migrating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94b36e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Add workaround 18019627453 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3671770
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Enable Wa_22012727170/Wa_22012727685 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9801619
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Enable Wa_14014475959 - RCS / CCS context exit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f372383
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Apply Wa_16011777198 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fad157b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Enable GuC based workarounds for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af40968
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Enable Wa_22011802037 for gen12 GuC based platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96d84af
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add Wa_22011802037 force cs halt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b94da44
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/hwconfig: Add DG2 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e43bda
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Don't show engine information in fdinfo with GuC submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b69443
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Use i915_probe_error instead of drm_err (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fcd686
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uapi: Add DRM_I915_QUERY_GEOMETRY_SUBSLICES (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07926da
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/doc: Link query items to their uapi structs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0bd1acd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/doc: Convert perf UAPI comments to kerneldoc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3560188
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/doc: Convert drm_i915_query_topology_info comment to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc0f659
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Update to GuC version 70.1.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 049eacc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/migrate: Evict and restore the flatccs capable lmem obj (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27bf6f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gem: Add extra pages in ttm_tt for ccs data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d24609
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftest_migrate: Check CCS meta data clear (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ef4e3d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftest_migrate: Consider the possible roundup of size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8924f37
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Clear compress metadata for Flat-ccs objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a75720
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Pass the -EINVAL when emit_pte doesn't update any PTE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 953bb62
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Optimize the migration and clear loop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45f2e89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Use XY_FAST_COLOR_BLT to clear obj on graphics ver 12+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7c3c04
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: use engine instance directly for offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cf7721
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/rps: Centralize computation of freq caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f61f24a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/selftests: handle more rounding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b277c3c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Require INTEL_GTT to depend on X86 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7742d4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Split intel-gtt functions by arch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 248c7ec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fixup kerneldoc in struct i915_gem_context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3127de
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Expose client engine utilisation via fdinfo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64c8f10
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Count engine instances per uabi class (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9eb5fbe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Document fdinfo format specification (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67335a1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Track context current active time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06e168f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Track all user contexts per client (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 862f114
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Track runtime spent in closed and unreachable GEM contexts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cce97d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make GEM contexts track DRM clients (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42a4ec2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Explicitly track DRM clients (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2293201
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_22014226127 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 691e5c1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/migrate: move the sanity check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd4ecf3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/ttm: limit where we apply TTM_PL_FLAG_CONTIGUOUS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45c9fb1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: avoid concurrent writes to aux_inv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81f3622
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: add lmem_size modparam (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a832dcb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Correctly free guc capture struct on error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a30453
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uapi: Document DRM_I915_QUERY_HWCONFIG_BLOB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad3d246
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Print the GuC error capture output register list. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7c0e4e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Plumb GuC-capture into gpu_coredump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2efd1bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Pre-allocate output nodes for extraction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6df8b6c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Extract GuC error capture lists on G2H notification. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6234977
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Check sizing of guc_capture output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa6d86e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add capture region into intel_guc_log (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d4cc7c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Update GuC-log relay function names (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e2f359
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add GuC's error state capture output structures. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ec8772
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add Gen9 registers for GuC error state capture. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f54857f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add DG2 registers for GuC error state capture. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6db65e7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add XE_LP steered register lists support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dbb571
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add XE_LP static registers for GuC error capture. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a310c6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Update GuC ADS size for error capture lists (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f80021
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: replace cache_clflush_range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6add9df
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/: Re-work clflush_write32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 152ff8b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Re-work reset_csb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a23f34d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Drop invalidate_csb_entries (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60716bc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Re-work intel_write_status_page (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80048d9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: fix i915_reg_t initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbd910b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/debugfs: Do not return '0' if there is nothing to return (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56522e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gem: Don't evict unmappable VMAs when pinning with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81c6f41
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Add sysfs throttle frequency interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95bc073
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Create per-tile RPS sysfs interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95b224d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Create per-tile RC6 sysfs interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9805f7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: create per-tile sysfs interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35453a3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Prepare for multiple GTs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit beca1cf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: add gt_is_root() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4eabb8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename INTEL_REGION_LMEM with INTEL_REGION_LMEM_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d95b05
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add logical mapping for video decode engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e9b03b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Add preemption changes for Wa_14015141709 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28b658f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uapi: Add query for hwconfig blob (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1896eed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add fetch of hwconfig blob (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62c018e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: fixup the initial fb base on DGFX (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29c9189
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Check mappable aperture when pinning preallocated (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bbbf6c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/ttm: wire up the object offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02e68c0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: add i915_gem_object_create_region_at() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7053bfb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/stolen: consider I915_BO_ALLOC_GPU_ONLY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57e5d28
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/stolen: don't treat small BAR as an error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bb0b54
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/lmem: don't treat small BAR as an error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f090cd9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add support for steered register writes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbc96e6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: add steering info to GuC register save/restore list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit febeca5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Report steering details in debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7fdb72
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Reduce stack usage in debugfs due to SSEU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2fc3ffc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/xehp: Update topology dumps for Xe_HP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21db258
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/sseu: Don't overallocate subslice storage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92e48b7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gt: Remove GEN12_SFC_DONE_MAX from register defs header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f38e4b3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/xehp: Drop aux table invalidation on FlatCCS platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3518774
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: opportunistically apply ALLOC_CONTIGIOUS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9601bf4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: stop checking for NULL vma->obj (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe5e3f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: limit the async bind to bind_async_flags (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0faac6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbdev: fixup setting screen_size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3c4add
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gem: Remove some unnecessary code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff1db17
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove the vma refcount (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f38d3f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove the vm open count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 731f5db
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmabuf: Fix prime_mmap to work when using LMEM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90696a4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmabuf: Update dma_buf_ops.unmap_dma_buf callback to use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd6478f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add RCS mask to GuC ADS params (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9ae0f6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/xehp: Support platforms with CCS engines but no RCS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53686cc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Fix potential invalid pointer dereferences when (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fbfc5a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Drop obsolete H2G definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc15ef1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Rename desc_idx to ctx_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34133ee
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Move lrc desc setup to where it is needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b7a26f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Split guc_lrc_desc_pin apart (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8f2b95
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Better name for context id limit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit addd610
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Add an explicit 'submission_initialized' flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0011786
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/guc: Do not conflate lrc_desc with GuC id for registration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79bf4f8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Update PF2VF header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a71ce3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Properly indent PF2VF header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d4d937
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Update MIT license in SRIOV msg header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a710400
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/display: make hubp31_program_extended_blank static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef4dd28
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Remove useless code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c73997
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amdkfd: only allow heavy-weight TLB flush on some ASICs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba2ea43
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Add debugfs TA load/unload/invoke support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d44381
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Use indirect buffer and save response status for TA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 905cebb
* Thu Dec  8 2022 pjakobsson@suse.de
- Documentation/gpu: Add entries to amdgpu glossary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8642612
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon/kms: change evergreen_default_state table from global to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa634ab
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: add virtual_setup_stream_attribute decl to header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcda3a6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: fix double free in si_parse_power_table() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f98dfeb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: make hubp1_wait_pipe_read_start() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24ca828
* Thu Dec  8 2022 pjakobsson@suse.de
- amdgpu/pm: Clarify documentation of error handling in send_smc_mesg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bab490a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/pm: fix the null pointer while the smu is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71e518c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: only allow heavy-weight TLB flush on some ASICs for SVM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62d0b9f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: move kfd_flush_tlb_after_unmap into kfd_priv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc284a4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Remove static from variable in RLCG Reg RW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eada7b1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: fix race condition in kfd_wait_on_events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96bc401
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Pass HostVM enable flag into DCN3.1 DML" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64f1e7c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix one use-after-free of VM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18cce60
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: potential NULL dereference in kfd_set/reset_event() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fb9308
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Cleanup IO links during KFD device removal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7b1dd0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Not request init data for MS_HYPERV with vega10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58e1385
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: shrink bitmap size in struct svm_validate_context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae76399
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: extract update stream allocation to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 456c54c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: implement shared PSR-SU sink validation helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a509f48
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: add PSR2 support and capability definition as per eDP 1.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be8dbb2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.181 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd14a84
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Select correct DTO source (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a09110f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Asynchronously free events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a3aed1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: expose skip_detection_link_training to debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5491812
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add dtb clock to dc_clocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 30d6d3b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix inconsistent timestamp type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83ab75e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: add DCN30 support FEC init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84b5bfd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add odm seamless boot support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 510a397
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Always update DPPCLK_DTO when clock increase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 868920b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Insert pulling smu busy status before sending (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cae7467
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Power down hardware if timer not trigger (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 270f247
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: ensure PSR force_static flag can always be set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cacb99
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix crash on setting VRR with no display connected (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf68934
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Disable FEC if DSC not supported for EDP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9707b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: remove r600_blit_shaders.[c|h] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71512bf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Disallow entering PSR when panel is disconnected (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a271beb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: do not wait for mpc idle if tg is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3a4a29
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add umc query error status function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc7fea7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: fix 64 bit divide in freesync code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7eeb86
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix incorrect enum type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ea4bbb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: change cayman_default_state table from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3016b79
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Update debugfs GCA data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4cabbb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Fix asm/hypervisor.h build error. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 356af2c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Handle drain retry fault race with XNACK mode change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8705cd4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Use flexible array member (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3181210
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: expand cg_flags from u32 to u64 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0bad355
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Only reserve vram for firmware with vega9 MS_HYPERV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 031dfcb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Fix NULL pointer dereference (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ff8bf5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: cleanup extern usage in function definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54805ce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Improve concurrency of event handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a34dbc2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/dc: remove duplicate include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d85b2a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Remove leftover igp_lane_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ceb0492
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: change si_default_state table from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 138b7df
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: simplify if-if to if-else (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff93925
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Add missing NULL check in svm_range_map_to_gpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b68383
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.111.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88dcc04
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Check for invalid input params when building scaling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c43c2de
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Move link_trace for edp to dp_trace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33c8afe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.180 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20a5fc1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: fix missing-prototypes warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0995495
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Enable 3 plane for DCN 3.0 and 3.02 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dedf527
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: extract set stream attribute to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af230e2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: revert Power down hardware if timer not trigger (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86f1b40
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: add support for handling 128b/132b link training (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd1ae31
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Remove underflow IRQ type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b64196
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add flip interval workaround (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97acd25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Flush TLB after mapping for VG20+XGMI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db1a76f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Remove unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59c8d8c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix unused-but-set-variable warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b63730f
* Thu Dec  8 2022 pjakobsson@suse.de
- amdgpu/pm: Enable sysfs nodes for vclk and dclk for NAVI12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b0e850
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix TLB flushing during eviction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db06725
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix unique_id references for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ab18fe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: remove DC_FP_* wrapper from dml folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0761ec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: detach fpu operations from dcn10_validate_bandwidth (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 404332e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Add unique_id support for sienna cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2338cc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Use metrics data function to get unique_id for Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e002e83
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Add UNIQUE_ID to MetricsMember_t (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 466ea0d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Use switch case for unique_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb9d8f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: Use atomic64_t type for pdd->tlb_seq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6b53b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix incorrect size printing in error msg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b03c2a5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: fix some kerneldoc in the VM code v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf0f267
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix pointer dereferenced before checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72cef5d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Add tlb_cb for unlocked update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e506c3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Correct unlocked update fence handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86440e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix pointer dereferenced before checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e54859
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.179 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 208b821
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.110.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87c27ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Update LTTPR UHBR link rate support struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97c3238
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Add support for USBC connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4ace49
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Power down hardware if timer not trigger (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81e4529
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Enable 3-plane MPO for DCN31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a49cb10
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Set fec register init value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92830d0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Remove SW w/a for HDCP 1.4 1A-07 failure based on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bfb895
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Create underflow interrupt IRQ type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d8b37c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: Add jpeg ras error query support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53f5c01
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add VCN ras error query support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60b68e6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add vcn and jpeg ver 2.6 ras register definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8fa805
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: Add jpeg block ras support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a05f490
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add vcn ras support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e7c516
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Add vcn and jpeg ras support flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97534d4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Re-classify some log messages in commit path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 152e9ca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/pm: Check feature support using IP version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65ac6f3
* Thu Dec  8 2022 pjakobsson@suse.de
- amdgpu/pm: Implement emit_clk_levels for vega10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc6ee3b
* Thu Dec  8 2022 pjakobsson@suse.de
- amdgpu/pm: Add new hwmgr API function "emit_clock_levels" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c21f3b0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: remove table_freed param from the VM code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc25ce6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: use tlb_seq from the VM subsystem for SVM as well v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit add21ba
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: start using tlb_seq from the VM subsystem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eeb0d01
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: rework TLB flushing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b38eb04
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: simplify VM update tracking a bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 194a89c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: separate VM PT handling into amdgpu_vm_pt.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1edcd1d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: move VM PDEs to idle after update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2e85f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: move FPU related code from dcn316 to dml/dcn31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a37b615
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: move FPU related code from dcn315 to dml/dcn31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1ce65c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: move FPU related code from dcn31 to dml/dcn31 folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4bcc84
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.178 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit caf8518
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.109.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a7745d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: print unmap queue status for RAS poison consumption (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6af0da
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix HDCP SEND AKI INIT error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cb117b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: drop redundant check of harvest info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2fa767d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Fix spelling mistake "regiser" -> "register" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77871a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: add RAS poison consumption handling for UTCL2 (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a23debf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add UTCL2 RAS poison query for Aldebaran (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 088c450
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: replace source_id with client_id for RAS poison (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0437fbc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdkfd: refine event_interrupt_poison_consumption (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4906f5b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: make amdgpu_display_gem_fb_verify_and_init() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c85e73d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: drop amdgpu_display_gem_fb_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2833764
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: make amdgpu_display_framebuffer_init() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 855bd40
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: Use TTM builtin resource manager debugfs code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efe2b5e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/qxl: Use TTM builtin resource manager debugfs code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07c5109
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: Use TTM builtin resource manager debugfs code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cceb194
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Add debugfs entries for various ttm resource managers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a90bfdc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: Add common debugfs code for resource managers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d70b255
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/solomon: Add SSD130x OLED displays SPI support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b258860
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/solomon: Move device info from ssd130x-i2c to the core driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9db4b89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/solomon: Add ssd130x new compatible strings and deprecate old (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 294e1e2
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: Warn in hot-unplug workaround for framebuffers without device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e01ede1
* Thu Dec  8 2022 pjakobsson@suse.de
- of: Create platform devices for OF framebuffers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89ad358
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: fix a potential repeat execution in psb_driver_load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5292a98
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Add DSI lane count DT property parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd9d4f3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Use uint8 for lane-swing arrays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f7fd75
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: dw_hdmi: Audio: Add General Parallel Audio (GPA) driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36255d9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: dw_hdmi: add reset function for PHY GEN1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 587a4e4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: dw_hdmi: Enable GCP only for Deep Color (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 454adb1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: dw_hdmi: default enable workaround to clear the overflow (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3e6034
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: panel: Register connector if DRM device is already (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c89644e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: adv7511: Enable DRM_BRIDGE_OP_HPD based on HPD interrupt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09aca37
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: lt9211: Add Lontium LT9211 bridge driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94107ca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Fill in empty ELD when no connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c4f11b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/tidss: Soft Reset DISPC on startup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e17d889
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: Call intel_fbc_activate() directly from frontbuffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d0348f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce intel_fbc_sanitize() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f91df76
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: Remove intel_fbc_global_disable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4942863
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove remaining locks from i9xx plane udpates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 616a574
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: Skip nuke when flip is pending (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db36229
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: Streamline frontbuffer busy bits handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b031022
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/fbc: Eliminate possible_framebuffer_bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66286fa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Add support for DG2 clear color compression (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba76f11
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/fourcc: Introduce format modifier for DG2 clear color (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2cfa76c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Add support for DG2 render and media compression (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 691e890
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/fourcc: Introduce format modifiers for DG2 render and media (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d63bd76
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Validate the panel_name table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d284640
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Trust the LFP data pointers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09740d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Validate LFP data table pointers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41e3835
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Use the copy of the LFP data table always (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f161ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Make copies of VBT data blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6246228
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Use the cached BDB version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1b6948
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Do not explode on phy calibration error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 583fa06
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Swap ret and status returned from skl_pcode_request (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef18d10
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix skl_pcode_try_request function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a370d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uncore: Warn only if unclaimed access remains flagged (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 676faf1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Fix warnings about PSR lock not held (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 627a0a3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/uncore: Warn on previous unclaimed accesses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c49353
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/adlp: Fix register corruption after DDI clock enabling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2b83dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Split i915_run_as_guest into x86 and non-x86 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb50d31
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/psr: Use continuos full frame to handle frontbuffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4a44e5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/psr: Lock and unlock PSR around pipe updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93eb167
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/psr: Set partial frame enable when forcing full (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8410a77
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/pmu: Drop redundant IS_VALLEYVIEW check in __get_rc6() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37c8242
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dsb: modified to drm_info in dsb_prepare() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aaaaf0b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Fix DFP rgb->ycbcr conversion matrix (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2b72e9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Duplicate native HDMI TMDS clock limit handling for DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2f7dd6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Add support for "4:2:0 also" modes for DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9b93e3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Rework HDMI DFP TMDS clock handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60a147e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Make intel_dp_output_format() usable for "4:2:0 also" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69de460
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Pass around intel_connector rather than drm_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 335e8de
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Reorder intel_dp_compute_config() a bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46901e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: s/intel_dp_hdmi_ycbcr420/intel_dp_is_ycbcr420/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25c6e18
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Extract intel_dp_has_audio() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56b3c12
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Respect the sink's max TMDS clock when dealing with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01f16ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: Extract intel_dp_tmds_clock_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3b11d5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/bios: Extract struct lvds_lfp_data_ptr_table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d93e31f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove dead members from dev_priv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6dbc1e4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use drm_connector_attach_hdr_output_metadata_property() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df4a412
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Allow static DRRS on LVDS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6025c28
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Allow static DRRS on all eDP ports (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d800000
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move intel_drrs_compute_config() into intel_dp.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e123419
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Allow higher refresh rate alternate fixed modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c4d749
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Allow an arbitrary number of downclock modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31b1424
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Stop duplicating the EDID fixed/downclock modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1301a7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Combine the EDID fixed_mode+downclock_mode lookup into one (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6939b26
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Nuke intel_drrs_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3984b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Refactor non-EDID fixed mode duplication (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b2bb8c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Put fixed modes directly onto the panel's fixed_modes list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 013eb46
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_edp_has_drrs() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc71804
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Add HAS_MBUS_JOINING (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8e873c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: split out dmc registers to a separate file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efec4e3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: hide DMC version macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d008cc9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: abstract GPU error state dump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f322ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Handle the DG2 max bw properly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66d5dcc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Fix programing of PIPE_MBUS_DBOX_CTL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 753a9ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Adjust MBUS DBOX BW and B credits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c29bb7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/tgl+: Set default values for all registers in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6115319
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dp: make DSC usage logging actually useful (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5dacdd9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/audio: move has_audio checks to within codec enable/disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be3326e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/audio: unify audio codec enable/disable debug logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ee0bc1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move intel_vtd_active and run_as_guest to i915_utils (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 15aea0a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: fix i915_reg_t usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d62592
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: move dmc debugfs to intel_dmc.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11bd5c2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: move assert_dmc_loaded() to intel_dmc.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 61e2759
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: simplify intel_dmc_load_program() conditions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64049fc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/ats-m: add ATS-M platform info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18c65f6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add RPL-S PCI IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb816af
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Change SDVO fixed mode handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b782111
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use intel_panel_edid_fixed_mode() for sdvo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20ec04e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_panel_encoder_fixed_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7240340
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_panel_vbt_sdvo_fixed_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92da125
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename intel_panel_vbt_fixed_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8f9e47
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use intel_panel_preferred_fixed_mode() more (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eedba14
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_edp_add_properties() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 232c2dd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use DRM_MODE_FMT+DRM_MODE_ARG() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf2e623
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Pass intel_connector to intel_panel_{init,fini}() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cbd0c6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Split pipe+output CSC programming to noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7281065
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Split color_commit() into noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cccb360
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make ilk+ pfit regiser unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4ba227
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove locks around skl+ scaler programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 171d7da
* Thu Dec  8 2022 pjakobsson@suse.de
- docs: gpu: i915.rst: Fix DRRS documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09c8227
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add a DP1.2 compatible way to read LTTPR capabilities (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d54311
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Extend DP HDR support to hsw+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e6732f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/intel_combo_phy: Print I/O voltage info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 387cd69
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Remove check for low voltage sku for max dp
  source rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 433145b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: s/enable/active/ for DRRS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f7274f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add "maximum pipe read bandwidth" checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e45a65a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix DBUF bandwidth vs. cdclk handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c49247e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Properly write lock bw_state when it changes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ab57c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Round up when calculating display bandwidth requirements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 581964b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Nuke intel_bw_calc_min_cdclk() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 946ee7a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove total[] and uv_total[] from ddb allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7df64e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Pre-calculate plane relative data rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c6ceaf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Split plane data_rate into data_rate+data_rate_y (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdd2373
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Tweak plane ddb allocation tracking (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Skip-wm-ddb-readout-for-disabled-pipes.patch.
- commit 3e5e4f6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/adlp: More voltage swing table updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb02bae
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/sdvo: prefer __packed over __attribute__((packed)) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 092675c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename QGV request/response bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe68b25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Unconfuses QGV vs. PSF point masks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7248c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename pre-icl SAGV enable/disable functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19c28e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Reject excessive SAGV block time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17dbb49
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Probe whether SAGV works on pre-icl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e052b0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rework SAGV block time probing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a95eb05
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: include uapi/drm/i915_drm.h directly where needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 817b916
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: move i915_gem_object_needs_bit17_swizzle() to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f94d560
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Deal with bigjoiner vs. DRRS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6d8440
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Do DRRS disable/enable during pre/post_plane_update() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ea42fe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Schedule DRRS work from intel_drrs_enable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8edb4e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Don't cancel/schedule drrs work if the pipe wasn't affected (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc620d7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Determine DRRS frontbuffer_bits ahead of time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db14ae0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix DRRS frontbuffer_bits handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd16d8f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add missing tab to DRRS debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ade8ba3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Put the downclock_mode check back into can_enable_drrs() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d583827
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fabc44c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Convert fixed_mode/downclock_mode into a list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11201fc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Implement static DRRS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35ad884
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Enable eDP DRRS on ilk/snb port A (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24da4e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move DRRS enable/disable higher up (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f23c976
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Stash DRRS state under intel_crtc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45ebdfb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Eliminate the intel_dp dependency from DRRS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e9880e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_drrs_type_str() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9776408
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_panel_drrs_type() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07668c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_panel_preferred_fixed_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit deabb47
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_panel_get_modes() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdcdc5a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_panel_{fixed,downclock}_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48b19b0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Nuke dev_priv->drrs.type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1338b4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Simplify intel_panel_info() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fd9f67
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/lvds: Pass fixed_mode to compute_is_dual_link_lvds() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34e5ba8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/sdvo: Pass the requesed mode to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 724389d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dsi: Pass fixed_mode to *_dsi_add_properties() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cd7833
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Update eDP voltage swing table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94ef99b
* Thu Dec  8 2022 pjakobsson@suse.de
- x86/gpu: include drm/i915_pciids.h directly in early quirks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33a7dc1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename PIPECONF refresh select bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62b64d6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Clean up DRRS refresh rate enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1639738
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Polish drrs type enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01cbe4a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Program MSA timing delay on ilk/snb/ivb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9da71d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Read DRRS MSA timing delay from VBT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32af90a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Pimp DRRS debugs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b843e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Constify intel_drrs_init() args (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ccce0f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix up some DRRS type checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f26793
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove struct dp_link_dpll (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da2d945
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Populate bxt/glk DPLL clock limits a bit more (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a78d0e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Replace hand rolled bxt vco calculation with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0fd21c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Replace bxt_clk_div with struct dpll (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b382e54
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Store the m2 divider as a whole in bxt_clk_div (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 657f178
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Clean up bxt/glk PLL registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b070c7b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove redundant/wrong comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22e708c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Store the /5 target clock in struct dpll on vlv/chv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb92450
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make the PIPESRC rect relative to the entire bigjoiner area (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa56108
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove leftover cnl SAGV block time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b766e4d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dsi: use min_t() to make code cleaner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e668de
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gmbus: use to_intel_gmbus() instead of open coding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d3dcce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gmbus: move some local bus variables within loops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92c0e44
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use bigjoiner_pipes more (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8dcd182
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Eliminate bigjoiner boolean (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9641eb6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Start tracking PIPESRC as a drm_rect (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 043464b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use designated initializers for bxt_dp_clk_val[] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73ff76e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove bxt m2_frac_en (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aac5bbe
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Clean up some struct/array initializers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c10cb2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move a bunch of stuff into rodata from the stack (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5dfc819
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Nuke skl_wrpll_context_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ac669c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Relocate a few more pch transcoder bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 874cea0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Relocate ibx pch port sanitation code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d1137b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove framestart_delay sanitation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d2bd1c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move framestart_delay to crtc_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e25d0ef
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: Update DMC to v2.16 on ADL-P (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ceaea82
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: include linux/highmem.h and linux/swap.h where needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 724c981
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gmbus: alloc intel_gmbus dynamically (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 913a40a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gmbus: pass gpio reg to intel_gpio_setup() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc2f102
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gmbus: reduce gmbus pin lookups in gmbus setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d7f233
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/gmbus: combine gmbus pin lookups to one function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 584946d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/adl-n: Add stepping info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8c2860
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Pimp async flip debugs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 012e64d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Use I915_BO_ALLOC_CONTIGUOUS flag for DPT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c55976d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display: Allow users to disable PSR2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dc968b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: update new TMDS clock setting defined by VBT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20e841e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Remove code related to underrun recovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c18bdba
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use str_on_off() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ee9444
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use str_enabled_disabled() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3124b2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use str_enable_disable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fc69f5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Use str_yes_no() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d746ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: make a handful of read-only arrays static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 627978b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move intel_display_power_well_is_enabled() to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2ecc96
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add functions to get a power well's (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d85859
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Add function to call a power well's sync_hw() hook (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9e00a3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move power well get/put/enable/disable functions to a new (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 698a911
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Move i915_power_well_regs struct into i915_power_well_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aba4044
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove redundant state verification during TypeC AUX power (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ba7e24
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Sanitize open-coded power well enable()/disable() calls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebf39ae
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix the VDSC_PW2 power domain enum value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e1927b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/wm: use REG_FIELD_{PREP,GET} for PLANE_WM_BLOCKS_MASK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23310c3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix MSO vs. bigjoiner timings confusion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45ec3fc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_crtc_compute_pipe_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27b96ca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_crtc_compute_pipe_src() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a0b0db
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_bigjoiner_adjust_timings() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae86ac4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Extract intel_splitter_adjust_timings() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce1477d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Rename variables in intel_crtc_compute_config() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a40d76
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Remove nop bigjoiner state copy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1aaf1b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Fix cursor coordinates on bigjoiner slave (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3da0d09
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dmc: Do not try loading wrong DMC version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 972347c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Skip output init on PHY calibration failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit abe82e9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make pre-skl sprite plane registers unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05deaf2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make most pre-skl primary plane registers unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70ae1df
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make cursor plane registers unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9ea431
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Make skl+ universal plane registers unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4aa17b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Optimize icl+ universal plane programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff5bae7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915/dg2: Tile 4 plane format support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aae3e1d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: Introduce new Tile 4 format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d4399f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/gr/gf100-: change gf108_gr_fwif from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1acaf9c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: change base917c_format from global to static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f05e13d
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "video: fbdev: fbmem: fix pointer reference to null device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d9f427
* Thu Dec  8 2022 pjakobsson@suse.de
- video: fbdev: fbmem: fix pointer reference to null device field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17472c4
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: replace snprintf in show functions with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64db7b9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/dp: Factor out a function to probe a DPCD address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d354ff8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: add EDID block count and size helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f89c9f6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: add single point of return to drm_do_get_edid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a23f9aa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: drop extra local var (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef2f2ac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: convert extension block read to EDID block read helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f685304
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: use EDID block read helper in drm_do_get_edid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e59ec25
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: abstract an EDID block read helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fb29fb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: add typedef for block read function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c315ce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: pass struct edid to connector_bad_edid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b305f8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: add a helper to log dump an EDID block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a376f87
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: refactor EDID block status printing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 189c590
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: have edid_block_check() detect blocks that are all zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f339830
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: convert edid_is_zero() to edid_block_is_zero() for blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ecf671d
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Fix delayed takeover locking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e1d2d8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: lvds: Use bus_flags from DT panel-timing property (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87e28ef
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: lvds: Simplify mode parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8b10a6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Convert to regmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d421b54
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: fix kerneldoc for ttm_lru_bulk_move (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76d65ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: fixup ttm_bo_add_move_fence v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b9015e
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: use min() to make code cleaner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b70489c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: stop passing NULL fence in ttm_bo_move_sync_cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31298ba
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9ec2a5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Use drm_mode_init() for on-stack modes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9e3eaa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/arm/malidp: Stop using iommu_present() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 699cb26
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ingenic: Add dw-hdmi driver specialization for jz4780 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc6e20f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ingenic: Implement proper .atomic_get_input_bus_fmts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa3ec1c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: display-connector: add ddc-en gpio support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f23ceed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: fix logic inversion in ttm_eu_reserve_buffers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 546229e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: add a check to verify the size alignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3c4955
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: kms: Improve logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fee6ed9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: kms: Warn if we have an incompatible muxing setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17abc90
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: kms: Store channel in local variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 402d287
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: fix i915_gem_object_wait_moving_fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fdccbb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: add drm buddy support to amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8a7c24
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: fix broken build (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 727cfbf
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Maintain a private array of fb_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a461b90
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: untangle fbcon_exit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36d788f
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Move more code into fbcon_release (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4997be7
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Move console_lock for register/unlink/unregister (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c49a0e4
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: use lock_fb_info in fbcon_open/release (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a71cb9
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: move more common code into fb_open() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef5c1a8
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Ditch error handling for con2fb_release_oldinfo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 789ad22
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Extract fbcon_open/release helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d90713
* Thu Dec  8 2022 pjakobsson@suse.de
- fb: Delete fb_info->queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a188355
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Replace FBCON_FLAGS_INIT with a boolean (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb73967
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Use delayed work for cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d874508
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev/sysfs: Fix locking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0319173
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: delete delayed loading code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 080f9b4
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: Introduce wrapper for console->fb_info lookup
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/fbdev-fbcon-Properly-revert-changes-when-vc_resize-f.patch.
- commit 0de21da
* Thu Dec  8 2022 pjakobsson@suse.de
- fbcon: delete a few unneeded forward decl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18439d5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: Use newer fence API properly to fix build errors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edf83e8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ssd130x: Add support for SINO WEALTH SH1106 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3e2c91
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ssd130x: Support page addressing mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f948621
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: drop seq count based update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9deb0ca
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: remove bo->moving (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a68ad5d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/i915: drop bo->moving dependency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1837c3
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: wait for map to complete for static attachments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c107e4
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: add DMA_RESV_USAGE_BOOKKEEP v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf95cdb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: use DMA_RESV_USAGE_KERNEL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8c64bd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: use DMA_RESV_USAGE_KERNEL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2b6c47
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: add DMA_RESV_USAGE_KERNEL v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb008d1
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf & drm/amdgpu: remove dma_resv workaround (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 089d43e
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: specify usage while adding fences to dma_resv obj v7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07d739f
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: add enum dma_resv_usage v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63af93c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sti: fix typos in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59e4623
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: sti: fix spelling mistake: rejec -> rejection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1bc5c5
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf/drivers: make reserving a shared slot mandatory v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d05583
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/drm_modeset_helper_vtables.h: fix a typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94aeda6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hvs: Use pointer to HVS in HVS_READ and HVS_WRITE macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 379c17c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: kms: Ignore atomic_flush if we're disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd2ea95
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hvs: Move the dlist setup to its own function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e169a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hvs: Remove dlist setup duplication (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a21109
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hvs: Store channel in variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a21009
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: kms: Take old state core clock rate into account (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6e3d19
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove clock rate initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ba91ec
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: Add logging and comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 929c335
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Drop I2C module owner assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eba9cd3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: fix a missing break in psb_intel_crtc_mode_set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dae7df7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Mark module exit callback with __exit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74154d9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Fix DSI-to-DPI PLL configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1079257
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: innolux-ej030na and abt-y030xx067a: add .enable and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d4e826
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: Add panel driver for NewVision NV3052C based LCDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05c5560
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ingenic: Add ingenic_drm_bridge_atomic_enable and disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2814bf0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: support more than one write fence in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6be489
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: finally make dma_resv_excl_fence private v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b29e65
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: stop using dma_resv_excl_fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 697dfa0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format_helper: fix a kernel-doc typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5685d66
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: fix a kernel-doc typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8a046a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sched: Check locking in drm_sched_job_add_implicit_dependencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff2fc89
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gem: Delete gem array fencing helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c358b8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/etnaviv: Use scheduler dependency handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adb3b26
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: nwl-dsi: Drop the drm_of_panel_bridge_remove() function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f040126
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: mcde_dsi: Drop explicit bridge remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d94161
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: use dma_resv_get_singleton in amdgpu_pasid_free_cb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ced72b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/atomic-helper: support more than one write fence in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c06b7f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: use dma_resv_for_each_fence for CS workaround v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e3fbc5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/radeon: stop using dma_resv_excl_fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf03e9e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: stop using dma_resv_excl_fence v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cce9535
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: add dma_resv_get_singleton v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 345432c
* Thu Dec  8 2022 pjakobsson@suse.de
- drivers/dma-buf: dma-buf.c: fix a typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01e3264
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: Add a parameter to add extra pages into ttm_tt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ff46fb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: reduce magic when updating the EDID block checksum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 023e4cf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: track invalid blocks in drm_do_get_edid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 340084d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: split out invalid block filtering to a separate function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d7156b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: simplify block check when filtering invalid blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9181bac
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: use a better variable name for EDID block read retries (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e520c31
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: split drm_edid_block_valid() to check and act parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42ee6bc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: split out edid_header_fix() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4760aa6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: clean up edid_is_zero() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1db8a97
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: make drm_edid_header_is_valid() accept void pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f101107
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: add edid_block_tag() helper to get the EDID extension tag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e51443
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: clean up EDID block checksum functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da76253
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: use struct edid * in drm_do_get_edid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48f4bda
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: drop the DAG approach for the dma_resv object v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6ee299
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: mcde_dsi: Switch to devm_drm_of_get_bridge
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/drm-mcde-Fix-refcount-leak-in-mcde_dsi_bind.patch.
- commit f9625e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: dw-mipi-dsi: Switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc6067a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: nwl-dsi: Switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aab2f02
* Thu Dec  8 2022 pjakobsson@suse.de
- Revert "drm/bridge: dw-mipi-dsi: Find the possible DSI devices" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc4c090
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Add atomic_get_input_bus_fmts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8dcf52e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Switch to atomic operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3961ec0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Check link status register after enabling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f41554
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Read and validate chip IDs before configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc2979c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Rework ICN6211_DSI to chipone_writeb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ca3498
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Add I2C configuration support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b93e4f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Implement atomic_get_input_bus_fmts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 060ec55
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Set SYS_CTRL_1 to value used in examples (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fca579
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Disable DPI color swap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ebde2f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Use DSI burst mode without EoT and with LP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ce0d23
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Add generic DSI-to-DPI PLL configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 082335d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: icn6211: Add HS/VS/DE polarity handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b61189e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: exynos: dsi: Switch to atomic funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5dc100
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: exynos: dsi: Convert to bridge driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1c22f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: exynos: dsi: Use drm panel_bridge API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f89815
* Thu Dec  8 2022 pjakobsson@suse.de
- exynos: drm: dsi: Attach in_bridge in MIC driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e57335
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: panel: Reset the connector state pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09361cb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: tc358764: Use drm panel_bridge API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb36f47
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Add DSI-to-DPI mode support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9504c8c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Split tc_set_video_mode() into common and (e)DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d39148
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Detect bridge mode from connected
  endpoints in DT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-tc358767-Fix-e-DP-bridge-endpoint-parsing.patch.
- Refresh
  patches.suse/drm-bridge-tc358767-Make-sure-Refclk-clock-are-enabl.patch.
- commit 76abebd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Move bridge ops setup into
  tc_probe_edp_bridge_endpoint() (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-tc358767-Fix-e-DP-bridge-endpoint-parsing.patch.
- commit b13a8bf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Wrap (e)DP aux I2C registration into (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1de5d6f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Implement atomic_check callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 073cbd6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Convert to atomic ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f51035
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358767: Change tc_ prefix to tc_edp_ for (e)DP specific (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6754966
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: add missing destroy_workqueue() in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1610951
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: Implement atomic_print_state for HVS channel state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72daf34
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: Constify private state accessors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79234f2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/atomic: Add atomic_print_state to private objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2aad410
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/atomic: Print the state every non-blocking commit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48ae4f9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel-edp: Fix AUO B133UAN01 panel id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5aba6e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel-edp: Add AUO B133UAN01 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd214d1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: split drm_add_edid_modes() to two (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a86f707
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: add more general struct edid constness in the interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2f422c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: constify struct edid passed around in callbacks and closure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8db03ae
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: constify struct edid passed to detailed blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a7b132
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: constify struct detailed_timing in parsing callbacks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 803f4c6
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: constify struct detailed_timing in lower level parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9234b1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: use struct detailed_timing member access in gtf2 functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bebcb09
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: use struct detailed_timing member access in is_rb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac95951
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: pass a timing pointer to is_detailed_timing_descriptor() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c933f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: pass a timing pointer to is_display_descriptor() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b61b5a1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: fix reduced blanking support check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13efa57
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/edid: don't modify EDID while parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5668fe7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amdgpu: drop amdgpu_gtt_node (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e5948c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: rework bulk move handling v5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 668d6e0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: de-inline ttm_bo_pin/unpin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fd4877
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: allow bulk moves for all domains (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f09d7c1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: add resource iterator v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c1b40b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ttm: move the LRU into resource handling v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afa8706
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/sched: Fix htmldoc warning. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40bd666
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Set downstream sink into normal status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83297d0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: omapdrm: Do no allocate non-scanout GEMs through DMM/TILER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 190b333
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: omapdrm: Support exporting of non-contiguous GEM BOs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2410995
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: omapdrm: simplify omap_gem_pin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 156f210
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/qxl: fix qxl can't use in arm64 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8d4a76
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/virtio: Remove restriction of non-zero blob_flags (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0deb7b5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Support HDMI YUV output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bba9dc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Always try to have the highest bpc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8754e3d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Take bpp into account for the scrambler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a4e522
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Take the sink maximum TMDS clock into account (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21212c0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Move clock calculation into its own function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59b10aa
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Move clock validation to its own function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b26a09f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Rename pixel_rate variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c34f86
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: it6505: Fix build error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 736f584
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: finally make the dma_resv_list private v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4790373
* Thu Dec  8 2022 pjakobsson@suse.de
- dma-buf: add dma_resv_replace_fences v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a188134
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/etnaviv: stop using dma_resv_excl_fence v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c26879
* Thu Dec  8 2022 pjakobsson@suse.de
- RDMA: use dma_resv_wait() instead of extracting the fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b592f4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: bridge: it66121: Add audio support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 721fce7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Add crtc prefix to vblank functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bff423
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Declare a few functions static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2835a15
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Free the correct connector allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fae7a44
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: gma500 don't register non-hotpluggable connectors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69d543c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Make use of the drm connector iterator (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85a9856
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Uninstall interrupts on driver removal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9217418
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Use managed drmm_mode_config_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d47fb56
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/tilcdc: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ab0c7b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c87e70
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Fix mob cursor allocation race (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 582ec9a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Fix an invalid read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6f272a
* Thu Dec  8 2022 pjakobsson@suse.de
- fbdev: defio: fix the pagelist corruption (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4bd27e9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel-edp: add LQ140M1JW46 edp panel entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe12618
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Cosmetic cleanup of irq code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac16ec3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Don't store crtc_funcs in psb_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6a7e7c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move gma_intel_crtc_funcs into gma_display.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 158f21c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Remove unused declarations and other cruft (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfad85e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vc4: add tracepoints for CL submissions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ba27a0
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ssd130x: Reduce temporary buffer sizes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad4867c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/ssd130x: Fix rectangle updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76781da
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Fix XRGB888 to monochrome conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d5ba4f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/format-helper: Rename drm_fb_xrgb8888_to_mono_reversed() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c430af5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/doc: Clarify what ioctls can be used on render nodes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c30ffd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau: Fix spelling mistake "endianess" -> "endianness" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89f8e60
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move GTT memory-range setup into helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c884a2e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move GTT enable and disable code into helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 888c737
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move GEM memory management functions to gem.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51f6756
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Inline psb_gtt_restore() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a21e080
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Split GTT init/resume/fini into GTT and GEM functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9258d8
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Cleanup GTT uninit and error handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1211ce
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move GTT resume logic out of psb_gtt_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bc6be4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move GTT setup and restoration into helper funtions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ce0bab
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Remove struct psb_gtt.sem sempahore (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50d6ae7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Move GTT locking into GTT helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba00773
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Acquire reservation lock for GEM objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e47861
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/gma500: Remove struct psb_gem_object.npage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b8cde3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/solomon: Make DRM_SSD130X depends on MMU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 626d156
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/panel: Use drm_mode_duplicate() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e7f057
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/imx: Use drm_mode_duplicate() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 921803f
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 709f0e4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Add drm_mode_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c54bbd2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Stop using surface dma commands on most configurations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6160966
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Implement MSI/MSI-X support for IRQs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8632fd
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Allow querying of the SVGA PCI id from the userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cc1ce4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Print capabilities early during the initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0db289b
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Cleanup multimon initialization code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cf4ea1
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/vmwgfx: Add support for CursorMob and CursorBypass 4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f01d5cb
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: analogix_dp: Enable autosuspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a71e2d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8ed00c
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: ssd130x: Always apply segment remap setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1491819
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: ssd130x: Fix COM scan direction register mask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6e6271
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02c68ed
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: check the return on anx7625_aux_trans (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c46e0d
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: anx7625: config hs packets end aligned to avoid screen (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d442cbf
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/mediatek: implement the DSI HS packets aligned (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01a736e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/dsi: transfer DSI HS packets ending at the same time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4c9e0a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/doc: pull in drm_buddy.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 500d3e2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c98fde5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358775: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9030e64
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: tc358762: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4bb935e
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a40da2
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8622: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c30ed41
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge: nxp-ptn3460: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6e22c7
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/komeda: plane: Remove redundant color encoding and range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbc0109
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/komeda: plane: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b43855
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/komeda: plane: switch to plane reset helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29a62f3
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/omap: fix NULL but dereferenced coccicheck error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0852d5
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/selftests: missing error code in igt_buddy_alloc_smoke() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7014ab4
* Thu Dec  8 2022 pjakobsson@suse.de
- drm: Drop commas after SoC match table sentinels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22b198c
* Thu Dec  8 2022 pjakobsson@suse.de
- sysfb: Make config option dependencies explicit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34d1639
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/bridge_connector: enable HPD by default if supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a7cad9
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/selftests: fix a shift-out-of-bounds bug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96af2dc
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/nouveau/instmem: fix uninitialized_var.cocci warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 249b35a
* Thu Dec  8 2022 pjakobsson@suse.de
- drm/amd/display: Fix Wstringop-overflow warnings in dc_link_dp.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit deb2f17
* Thu Dec  8 2022 pjakobsson@suse.de
- xen/drm: switch xen_drm_front to use INVALID_GRANT_REF
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 8a1138c
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/nouveau-svm-Fix-to-migrate-all-requested-pages.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33322dd
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-simpledrm-Fix-return-type-of-simpledrm_simple_di.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6275104
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-imx-dcss-Add-missing-of_node_put-in-fail-path.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 512b960
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-ttm-fix-locking-in-vmap-vunmap-TTM-GEM-helpers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94e5b82
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Remove-one-duplicated-ef-removal.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cd9235
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Only-use-depth-36-bpp-linebuffers-on.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c57405d
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Ignore-First-MST-Sideband-Message-Re.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 30a28e4
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gt-Serialize-TLB-invalidates-with-GT-resets.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 505fcbf
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gt-Serialize-GRDOM-access-between-multiple-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03134cd
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-selftests-fix-a-couple-IS_ERR-vs-NULL-tests.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 04eacab
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gvt-IS_ERR-vs-NULL-bug-in-intel_gvt_update_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10234c4
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panfrost-Fix-shrinker-list-corruption-by-madvise.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2372c56
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panfrost-Put-mapping-instead-of-shmem-obj-on-pan.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1da6bbc
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-fix-a-possible-refcount-leak-in-intel_dp_ad.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6985c39
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/video-of_display_timing.h-include-errno.h.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0de3864
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/fbdev-fbmem-Fix-logo-center-image-dx-issue.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf37c38
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-amdgpu-display-set-vblank_disable_immedia.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 79f2753
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-To-flush-tlb-for-MMHUB-of-RAVEN-series.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6f5b15
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-fourcc-fix-integer-type-usage-in-uapi-header.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07d5ffb
* Thu Dec  8 2022 pjakobsson@suse.de
- Update patches.suse/drm-i915-gem-add-missing-else.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec2b567
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-pxa3xx-gcu-Fix-integer-overflow-in-pxa3x.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cab527b
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-check-core_initialized-before-disable-int.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7a70b6
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-mdp4-Fix-refcount-leak-in-mdp4_modeset_init_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 197f699
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-use-for_each_sgtable_sg-to-iterate-over-scat.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10ae5f8
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-Switch-ordering-of-runpm-put-vs-devfreq_idle.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbfaae1
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-Fix-double-pm_runtime_disable-call.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f58ccfb
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Implement-w-a-22010492432-for-adl-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d31029
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-sun4i-Fix-crash-during-suspend-after-component-b.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03ae468
* Thu Dec  8 2022 pjakobsson@suse.de
- Update patches.suse/udmabuf-add-back-sanity-check.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92585dd
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Cap-OLED-brightness-per-max-frame-av.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b8ec79
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-reset-Fix-error_state_read-ptr-offset-use.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca60fdf
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-atomic-Force-bridge-self-refresh-exit-on-CRTC-sw.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 61f5333
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-analogix_dp-Support-PSR-exit-to-disable-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cd648e
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-ti-sn65dsi83-Handle-dsi_lanes-0-as-invali.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d338370
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-add-pinned-BOs-to-kfd_bo_list.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 015a895
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Use-mmget_not_zero-in-MMU-notifier.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd2420d
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-update-VCN-codec-support-for-Yellow-Carp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cf3021
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Read-Golden-Settings-Table-from-VBIO.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffb46ff
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-imx-fix-compiler-warning-with-gcc-12.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f6135d
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-use-bitmap_-from-to-_arr32-where-appropri.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b330e72
* Thu Dec  8 2022 pjakobsson@suse.de
- Update patches.suse/drm-amdgpu-add-beige-goby-PCI-ID.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42415b4
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-cs-make-commands-with-0-chunks-illegal-be.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a85b66d
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-Fix-missing-thermal-throttler-status.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf66331
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-radeon-fix-a-possible-null-pointer-dereference.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a1d589
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Check-if-modulo-is-0-before-dividing.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef02441
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-pxa3xx-gcu-release-the-resources-correct.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 317dc4b
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-clcdfb-Fix-refcount-leak-in-clcdfb_of_vr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5460b55
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dsi-fix-VBT-send-packet-port-selection-for-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce8c86b
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-CFI-violation-with-show_dynamic_id.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b984a6
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dpu-handle-pm_runtime_get_sync-errors-in-bin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5dd63ff
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-fix-possible-memory-leak-in-mdp5_crtc_cursor.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0064cb6
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-a6xx-Fix-refcount-leak-in-a6xx_gpu_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f6c830
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-update-smartshift-powerboost-calc-for-smu-cdf4c8ec3987.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0fc50e2
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-update-smartshift-powerboost-calc-for-smu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4c5cf4
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-ucode-Remove-firmware-load-type-check-in-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3f1d20
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-etnaviv-check-for-reaped-mapping-in-etnaviv_iomm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebad4e9
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-return-an-error-pointer-in-msm_gem_prime_get.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e63243
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-mdp5-Return-error-code-in-mdp5_mixer_release.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ceb2d2
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-mdp5-Return-error-code-in-mdp5_pipe_release-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 164b918
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-fix-event-thread-stuck-in-wait_event-afte.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80ba623
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-fix-address-for-second-DSI-PHY-on-SDM660.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92534d8
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-add-missing-include-to-msm_drv.c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e12820
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0013-drm-msm-disp-dpu1-set-mdp-clk-to-the-maximum-frequen.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 6fc5475
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-fix-error-check-return-value-of-irq_of_parse.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78ef3c1
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-hdmi-fix-error-check-return-value-of-irq_of_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0668b95
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-hdmi-check-return-value-after-calling-platfo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e0651a
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-fix-error-checks-and-return-values-for-D.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49bb67c
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-do-not-stop-transmitting-phy-test-pattern.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 82bd707
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-reset-DP-controller-before-transmit-phy-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d7f984
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-fix-error-check-return-value-of-irq_of_pa.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b1494f
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0011-drm-msm-dp-stop-event-kernel-thread-when-DP-unbind.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea179c0
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-disp-dpu1-set-vbif-hw-config-to-NULL-to-avoi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e53276f
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0010-drm-msm-dpu-fix-error-check-return-value-of-irq_of_p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 7182f61
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dpu-adjust-display_v_end-for-eDP-and-DP.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a96b27c
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0009-drm-msm-remove-unused-plane_property-field-from-msm_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 5389648
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0008-drm-msm-properly-add-and-remove-internal-bridges.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a84d1c7
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-dpi-Use-mt8183-output-formats-for-mt819.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54a2cb3
* Thu Dec  8 2022 pjakobsson@suse.de
- Update patches.suse/drm-mediatek-Fix-mtk_cec_mask.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8343170
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0005-drm-mediatek-Add-vblank-register-unregister-callback.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ce6aec
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-subdev-bus-Ratelimit-logging-for-fault-e.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dee219f
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-vop-fix-possible-null-ptr-deref-in-vop_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00596b3
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-panel-simple-Fix-proper-bpc-for-AM-1280800.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9650e0f
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-tc358767-Fix-e-DP-bridge-endpoint-parsing.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 14cc76f
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-plane-Move-range-check-for-format_count-earlier.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a015a1
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-sdma-Fix-incorrect-calculations-of-the-wp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c644e7d
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-simple-Add-missing-bus-flags-for-Innolux-G.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9c7262
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-Fix-error-handling-in-analogix_dp_probe.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f2dbf2
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Disabling-Z10-on-DCN31.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf2516f
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-DCN3.1-don-t-mark-as-kernel-doc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd7fc2d
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mali-dp-potential-dereference-of-null-pointer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e96d33
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-komeda-return-early-if-drm_universal_plane_init-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e4a940
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-komeda-Fix-an-undefined-behavior-bug-in-komeda_p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad5d5d2
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-txp-Force-alpha-to-be-0xff-if-it-s-disabled.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60eed46
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-txp-Don-t-set-TXP_VSTART_AT_EOF.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c15f5d7
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hvs-Reset-muxes-at-probe-time.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e993000
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/fbcon-Consistently-protect-deferred_takeover-with-co.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1062284
* Thu Dec  8 2022 pjakobsson@suse.de
- Update patches.suse/drm-sti-don-t-use-kernel-doc-markers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2043edb
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0005-stm-ltdc-fix-two-incorrect-NULL-checks-on-list-itera.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5cc3b6
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hvs-Fix-frame-count-register-readout.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4c4e30
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-clk-Fix-an-incorrect-NULL-check-on-list-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84d66ce
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/0004-drm-bridge-icn6211-Fix-HFP_HSW_HBP_HI-and-HFP_MIN-ha.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56b3824
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-icn6211-Fix-register-layout.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c252d1
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-tc358767-Move-e-DP-bridge-endpoint-parsin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45adb47
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-adv7511-clean-up-CEC-adapter-when-probe-f.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7f7076
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-edid-fix-invalid-EDID-extension-block-filtering.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc4c3d8
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/gma500-fix-an-incorrect-NULL-check-on-list-iterator.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20f51ac
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-kms-nv50-atom-fix-an-incorrect-NULL-chec.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5d12cc
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-virtio-fix-NULL-pointer-dereference-in-virtio_gp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 695b907
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-it66121-Fix-the-register-page-length.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4dd716
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-validate-the-screen-formats.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfd3d73
* Thu Dec  8 2022 pjakobsson@suse.de
- Update patches.suse/drm-blend-fix-typo-in-the-comment.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2cd886
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-analogix_dp-Grab-runtime-PM-reference-for.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2297e26
* Thu Dec  8 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-Wstringop-overflow-warning-in-call-to-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0ad046
* Thu Dec  8 2022 pjakobsson@suse.de
- blacklist.conf: Unblacklist patches for the DRM v5.19 backport
- commit 7d77e30
* Thu Dec  8 2022 oneukum@suse.com
- mt76: mt7915: take RCU read lock when calling
  ieee80211_bss_get_elem() (git-fixes).
- commit 78250da
* Thu Dec  8 2022 oneukum@suse.com
- mt76: mt7915: adapt new firmware to update BA winsize for Rx
  session (git-fixes).
- commit 02c043c
* Thu Dec  8 2022 oneukum@suse.com
- mt76: mt7915: fix calling mt76_wcid_alloc with incorrect
  parameter (git-fixes).
- commit e6da983
* Thu Dec  8 2022 oneukum@suse.com
- mt76: mt7921: Add mt7922 support (git-fixes).
- commit abbd497
* Thu Dec  8 2022 oneukum@suse.com
- mt76: mt7921: introduce testmode support (git-fixes).
- commit 7a18fe6
* Thu Dec  8 2022 oneukum@suse.com
- mt76: mt7915: fix ht mcs in mt7915_mac_add_txs_skb()
  (git-fixes).
- commit 0f7e1f0
* Thu Dec  8 2022 jlee@suse.com
- net/smc: Fix af_ops of child socket pointing to released memory
  (jsc#PED-612).
- perf beauty: Update copy of linux/socket.h with the kernel
  sources (jsc#PED-612).
- net/smc: Send out the remaining data in sndbuf before close
  (jsc#PED-612).
- net/smc: fix a memory leak in smc_sysctl_net_exit()
  (jsc#PED-612).
- net/smc: fix -Wmissing-prototypes warning when CONFIG_SYSCTL
  not set (jsc#PED-612).
- net/smc: fix compile warning for smc_sysctl (jsc#PED-612).
- Revert "net/smc: don't req_notify until all CQEs drained"
  (jsc#PED-612).
- net/smc: fix document build WARNING from smc-sysctl.rst
  (jsc#PED-612).
- net: smc: fix different types in min() (jsc#PED-612).
- net/smc: don't send in the BH context if sock_owned_by_user
  (jsc#PED-612).
- net/smc: don't req_notify until all CQEs drained (jsc#PED-612).
- net/smc: correct settings of RMB window update limit
  (jsc#PED-612).
- net/smc: add sysctl for autocorking (jsc#PED-612).
- net/smc: add autocorking support (jsc#PED-612).
- net/smc: add sysctl interface for SMC (jsc#PED-612).
- commit bc5996d
* Thu Dec  8 2022 lduncan@suse.com
- scsi: core: Fix scsi_mode_sense() buffer length handling
  (git-fixes).
- scsi: pm80xx: Fix memory leak during rmmod (git-fixes).
- scsi: hisi_sas: Use managed PCI functions (git-fixes).
- scsi: ncr53c8xx: Remove unused retrieve_from_waiting_list()
  function (git-fixes).
- commit 5431fc1
* Wed Dec  7 2022 lduncan@suse.com
- blacklist.conf: add git-fixes to be blacklisted
- commit cbba3af
* Wed Dec  7 2022 jlee@suse.com
- net/smc: Call trace_smc_tx_sendmsg when data corked
  (jsc#PED-612).
- net/smc: unlock on error paths in __smc_setsockopt()
  (jsc#PED-612).
- net/smc: return ETIMEDOUT when smc_connect_clc() timeout
  (jsc#PED-612).
- net/smc: Add comment for smc_tx_pending (jsc#PED-612).
- net/smc: Add global configure for handshake limitation by
  netlink (jsc#PED-612).
- net/smc: Dynamic control handshake limitation by socket options
  (jsc#PED-612).
- net/smc: Limit SMC visits when handshake workqueue congested
  (jsc#PED-612).
- net/smc: Limit backlog connections (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Only-save-the-original-clcsock-callback-functions.
  patches.suse/net-smc-Fix-slab-out-of-bounds-issue-in-fallback.
- net/smc: Make smc_tcp_listen_work() independent (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Fix-slab-out-of-bounds-issue-in-fallback.
- net/smc: Cork when sendpage with MSG_SENDPAGE_NOTLAST flag
  (jsc#PED-612).
- net/smc: Remove corked dealyed work (jsc#PED-612).
- commit 282408f
* Wed Dec  7 2022 jlee@suse.com
- net/smc: Fix cleanup when register ULP fails (jsc#PED-612).
- net/smc: use GFP_ATOMIC allocation in smc_pnet_add_eth()
  (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Use-a-mutex-for-locking-struct-smc_pnettable.
- net/smc: fix ref_tracker issue in smc_pnet_add() (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Use-a-mutex-for-locking-struct-smc_pnettable.
- Partially revert "net/smc: Add netlink net namespace support"
  (jsc#PED-612).
- net/smc: Resolve the race between SMC-R link access and clear
  (jsc#PED-612).
- net/smc: Introduce a new conn->lgr validity check helper
  (jsc#PED-612).
- net/smc: Resolve the race between link group access and
  termination (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Fix-possible-access-to-freed-memory-in-link-clear.
- net/smc: fix possible NULL deref in smc_pnet_add_eth()
  (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Use-a-mutex-for-locking-struct-smc_pnettable.
- net/smc: add comments for smc_link_{usable|sendable}
  (jsc#PED-612).
- net/smc: Introduce TCP ULP support (jsc#PED-612).
- net/smc: Add net namespace for tracepoints (jsc#PED-612).
- net/smc: Print net namespace in log (jsc#PED-612).
- net/smc: Add netlink net namespace support (jsc#PED-612).
- net/smc: Introduce net namespace support for linkgroup
  (jsc#PED-612).
- net/smc: Use the bitmap API when applicable (jsc#PED-612).
- net/smc: add net device tracker to struct smc_pnetentry
  (jsc#PED-612).
  Refresh
  patches.suse/net-smc-Use-a-mutex-for-locking-struct-smc_pnettable.
- commit fadefcf
* Wed Dec  7 2022 osalvador@suse.de
- README.BRANCH
  Add Michal Koutny as a replacement during my absence
- commit 54cbbfd
* Wed Dec  7 2022 jlee@suse.com
- net/smc: fix listen processing for SMC-Rv2 (jsc#PED-612).
  Refresh
  patches.suse/net-smc-set-ini-smcrv2.ib_dev_v2-to-NULL-if-SMC-Rv2-is-unavailable.
- commit 2cfe8ef
* Wed Dec  7 2022 pjakobsson@suse.de
- supported.conf: Add drivers/gpu/drm/drm_dp_helper as supported
- commit 6c43562
* Wed Dec  7 2022 pjakobsson@suse.de
- supported.conf: Add drivers/gpu/drm/drm_buddy as supported
- commit d5ca0ed
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/dp: Move DisplayPort AUX bus helpers into dp/ (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 10ce96a
* Wed Dec  7 2022 pjakobsson@suse.de
- Refresh
  patches.suse/0708-drm-amd-display-configure-dc-hw-resource-for-DCN-3.1.patch.
- Update
  patches.suse/drm-amd-display-Enable-PSR-by-default-on-newer-DCN.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 2f4c99e
* Wed Dec  7 2022 pjakobsson@suse.de
- Update config files for the DRM v5.18 backport.
- commit ebb169e
* Wed Dec  7 2022 pjakobsson@suse.de
- PCI/VGA: Move vgaarb to drivers/pci (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- commit 360770e
* Wed Dec  7 2022 fdmanana@suse.com
- btrfs: check if root is readonly while setting security xattr
  (bsc#1206147).
- commit 50a73ba
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Use i915_gem_object_ggtt_pin_ww for reloc_iomap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b029985
* Wed Dec  7 2022 pjakobsson@suse.de
- i915/guc/reset: Make __guc_reset_context aware of guilty engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2052243
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/dp/mst: fix a possible memory leak in fetch_monitor_name() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37f854e
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf: ensure unique directory name for dmabuf stats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9954b8f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd: Don't reset dGPUs if the system is going to s2idle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 771cc30
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf: call dma_buf_stats_setup after dmabuf is in valid list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5eab69
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: efifb: Fix a use-after-free due early fb_info cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 805b633
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: vesafb: Cleanup fb_info in .fb_destroy rather than .remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14f39e8
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: efifb: Cleanup fb_info in .fb_destroy rather than .remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7135896
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: simplefb: Cleanup fb_info in .fb_destroy rather than .remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c3cc19
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Prevent possible use-after-free in fb_release() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a06709
* Wed Dec  7 2022 pjakobsson@suse.de
- Revert "fbdev: Make fb_release() return -ENODEV if fbdev was (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19893f1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/ctx: only reset stable pstate if the user changed it (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19b0c83
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: undo clearing of z10 related function pointers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f04bb13
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: ite-it6505: add missing Kconfig option select (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0adb537
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Make fb_release() return -ENODEV if fbdev was unregistered (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed15589
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: keep mmhub clock gating being enabled during s2idle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 981b6c4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: fix the deadlock issue observed on SI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 735c364
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: don't runtime suspend if there are displays attached (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb36986
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU add support for GWS queues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74c0694
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/fbc: Consult hw.crtc instead of uapi.crtc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ac38f6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Fix DISP_POS_Y and DISP_HEIGHT defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8af7caf
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: clps711x-fb: Use syscon_regmap_lookup_by_phandle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0350ed0
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: mmp: replace usage of found with dedicated list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c232b90
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: sh_mobile_lcdcfb: Remove sh_mobile_lcdc_check_var() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c59c6eb
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: i740fb: use memset_io() to clear screen (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf3564d
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: s3fb: Error out if 'pixclock' equals zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2733c9
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: arkfb: Error out if 'pixclock' equals zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0649b0b
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: tridentfb: Error out if 'pixclock' equals zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9088e3
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: vt8623fb: Error out if 'pixclock' equals zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50b4d2a
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: kyro: Error out if 'lineclock' equals zero (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a98c7c9
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: neofb: Fix the check of 'var->pixclock' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbb2c79
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: imxfb: Fix missing of_node_put in imxfb_probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ddef6a
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: omap: Make it CCF clk API compatible (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d36c0ad
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: aty/matrox/...: Prepare cleanup of powerpc's asm/prom.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8aef2a5
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: pm2fb: Fix a kernel-doc formatting issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c53e75d
* Wed Dec  7 2022 pjakobsson@suse.de
- linux/fb.h: Spelling s/palette/palette/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 329ebfb
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: sis: fix potential NULL dereference in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bf4e7a
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: pxafb: use if else instead (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8c7b61
* Wed Dec  7 2022 pjakobsson@suse.de
- video: fbdev: of: display_timing: Remove a redundant zeroing of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5af025
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: partial revert "remove ctx->lock" v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad6eda6
* Wed Dec  7 2022 pjakobsson@suse.de
- Revert "drm: of: Lookup if child node has panel or bridge" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7c5099
* Wed Dec  7 2022 pjakobsson@suse.de
- Revert "drm: of: Properly try all possible cases for bridge/panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66504e2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/vmwgfx: Fix gem refcounting and memory evictions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e5e9e4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/vc4: Fix build error when CONFIG_DRM_VC4=y && (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8404feb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/radeon: fix logic inversion in radeon_sync_resv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13d008a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Revert "drm/msm: Stop using iommu_present()" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbb3812
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/display/vrr: Reset VRR capable property on a long hpd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67e92b9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: remove dtbclk_ss compensation for dcn316 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46e7e8e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fix VCN 3.1.2 firmware name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b86b1d5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Avoid -Wunused-function with !CONFIG_PM_SLEEP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff9857a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Stop using iommu_present() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ca87b4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Use indexed array initializer to prevent mismatches (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fabdd8a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Remove mutex from wait_event condition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89147e8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Park scheduler threads for system suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e7ba57
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Rename runtime suspend/resume functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a071ad
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Sunset igpu legacy mmap support based on GRAPHICS_VER_FULL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7e7811
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Fix unregistering of framebuffers without device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c69d59
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: of: Properly try all possible cases for bridge/panel detection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6adc35f
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf: handle empty dma_fence_arrays gracefully (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf7693f
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf/sync-file: fix logic error in new fence merge code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 873f871
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf/sync-file: fix warning about fence containers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e01bd2
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf: add dma_fence_unwrap v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 611642b
* Wed Dec  7 2022 pjakobsson@suse.de
- dma-buf: Add dma_fence_array_for_each (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 708efaa
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: update dcn315 clock table read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0f4bd6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add configuration options for AUX wake work around. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a853a62
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: remove assert for odm transition case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 611097e
* Wed Dec  7 2022 fdmanana@suse.com
- btrfs: do not allow compression on nodatacow files
  (bsc#1206149).
- commit 5167f62
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Sync up header and implementation to use the same (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57aa43b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fix incorrect GCR_GENERAL_CNTL address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11292c9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add work around for AUX failure on wake. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 624aee6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Clear optc false state when disable otg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c14eed
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Remove redundant dsc power gating from init_hw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cf13eb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Correct Slice reset calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60d519a
* Wed Dec  7 2022 fdmanana@suse.com
- btrfs: export a helper for compression hard check (bsc#1206149).
- commit f5cf2dc
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/vcn3: send smu interface type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae77eb2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel: ili9341: fix optional regulator handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4ab180
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: enable gfx1037 clock counter retrieval function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a62a7e5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: set noretry for gfx 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38ca7f9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: set noretry=1 for GFX 10.3.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e720814
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: set noretry=1 for gc 10.3.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7d8d29
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add more cases to noretry=1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7a0176
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Check use_xgmi_p2p before reporting hive_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9307870
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: remove destructive verify link for TMDS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3abb862
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add support for zstate during extended
  vblank (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Add-HUBP-surface-flip-interrupt-hand.patch.
- commit 6acb388
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add fSMC_MSG_SetDtbClk support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55ba112
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Reduce stack size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f91a06c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add asic smu support check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c14b667
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add workarounds for VCN TMZ issue on CHIP_RAVEN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a17256a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/gmc: use PCI BARs for APUs in passthrough (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf6c77e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/pm: fix the Stable pstate Test in amdgpu_test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71ab4c9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: prevent memory wipe in suspend/shutdown stage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17cd511
* Wed Dec  7 2022 pjakobsson@suse.de
- video: omapfb: dss: Make use of the helper component_compare_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a59bc3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: of: Make use of the helper component_release_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0765f43
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/vc4: Make use of the helper component_compare_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c683da
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/omap: dss: Make use of the helper component_compare_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38df572
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/mcde: Make use of the helper component_compare_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c5b527
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/exynos: Make use of the helper component_compare_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bcc9c81
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/rockchip: Make use of the helper component_compare_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6776a03
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sun4i: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4008ef4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sti: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2577648
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sprd: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca995ad
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9703024
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/meson: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5f77b5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/mediatek: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 751ec7c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ingenic: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc1fbd7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/hirin: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdc60ff
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/etnaviv: Make use of the helper component_compare_of/dev_name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85ec4ab
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/armada: Make use of the helper component_compare_of/dev_name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01f7b50
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/komeda: Make use of the helper component_compare_of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9af5c9
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Fix cfb_imageblit() for arbitrary image widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 773a0a5
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Fix sys_imageblit() for arbitrary image widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de3b728
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftest: plane_helper: Put test structures in static storage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c3c76f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ttm: Fix a kernel oops due to an invalid read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f528857
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Fix renamed struct field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32b0bb4
* Wed Dec  7 2022 pjakobsson@suse.de
- backlight: backlight: Slighly simplify devm_of_find_backlight() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85ca4fc
* Wed Dec  7 2022 pjakobsson@suse.de
- backlight: pwm_bl: Avoid open coded arithmetic in memory allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8736642
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18cded8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/radeon: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b900237
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Use ternary operator in `vcn_v1_0_start()` (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5094af
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove pointless on stack mode copies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfc9089
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: fix indenting in __smu_cmn_reg_print_error() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1d8e7c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/dc: fix typos in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9c1ba5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fix typos in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01ecf67
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: fix typos in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c158df
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Add stolen reserved memory for MI25 SRIOV. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d2b085
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Merge get_reserved_allocation to get_vbios_allocations. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72348ba
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: evict svm bo worker handle error (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/mm-memory.c-fix-race-when-faulting-a-device-private-page.patch.
- commit 180bf1c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: fix vcn ring test failure in igt reload test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4813d1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: only allow secure submission on rings which support that (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 099aa31
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fixed the warnings reported by kernel test robot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37d7f91
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.177 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed0c8ab
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.108.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce36660
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add save/restore PANEL_PWRSEQ_REF_DIV2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 326a2d7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Wait for hubp read line for Pollock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b84d6c1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add null pointer filter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2189a8e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Retry when fail reading lane status during LT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c796f8d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add new enum for EDID status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80a1d4a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Block zstate when more than one plane enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38d7b16
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Update engine ddc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 816c201
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Fix a few parts in debugfs entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 195d74a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add function to get the pipe from the stream context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 857016b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add I2C escape to support query device exist. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e2a9c3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Move reset domain init before calling RREG32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aee9f65
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd: fix gfx hang on renoir in IGT reload test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de427a4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: only check for _PR3 on dGPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12e7cf0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: use pm mutex to protect ecc info table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f225c6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: drop xmgi23 error query/reset support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21b1a8a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fix aldebaran xgmi topology for vf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff5dc39
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/display: enable scatter/gather display for DCN 3.1.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac9aded
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU export dmabuf handles for GTT BOs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5dab31
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Refactor restore BO function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d14ce2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU remove sync and TLB flush on restore (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff21b28
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: fix dp kvm can't light up (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85643f9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: Send message when resp status is 0xFC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5dc9431
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: message smu to update bad channel info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3961e2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: add send bad channel info function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cab5a60
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: move FPU code from dcn10 to dml/dcn10 folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39b806e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: move FPU operations from dcn21 to dml/dcn20 folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f40318
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: move FPU-related code from dcn20 to dml folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b02ba9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Fix compile error from TO_CLK_MGR_INTERNAL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7952c8c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Fix double free during GPU reset on DC streams (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa4eee7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add NULL check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f76533
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.176 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd6e085
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.107.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7607d2a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: enable dcn315/316 s0i2 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e15dc2d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: handle DP2.0 RX with UHBR20 but not UHBR13.5 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 325d5fe
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: disable HPD SW timer for passive dongle type 1 only (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cabc2e8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: add gamut coefficient set A and B (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9618b9e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: merge two duplicated clock_source_create (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dc5191
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add link dp trace support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a4a27d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: move FPU associated DCN303 code to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 858aed1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Release AUX engine after failed acquire (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 61a24a0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add minimal pipe split transition state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64d8390
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Clean up fixed VS PHY test w/a function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7739330
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: fix the clock source contruct for dcn315 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79c8459
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: cleaning up smu_if to add future flexibility (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit defa996
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: fix deep color ratio (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2278a51
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: add debug option to bypass ssinfo from bios for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29a35df
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: change registers in error checking for smu 13.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8039fd3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Disable baco dummy mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cd6d3e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/display: Do not re-enable PSR after it was marked as not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c9c200
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/gtt: reduce overzealous alignment constraints for GGTT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c6fccd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/gvt: add the missing mdev attribute "name" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c121968
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Fix the async flip wm0/ddb optimization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bc8c16
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Check async flip capability early on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99c6ed2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Don't skip ddb allocation if data_rate==0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e4fb46
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Avoid negative shift due to bigjoiner_pipes==0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5bd61d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fix a wrong ib reference (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a18b23
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: bail out early if no get_atc_vmid_pasid_mapping_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce54dab
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Add format attribute to kfd_smi_event_add (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7db747e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: initialize the vmid_wait with the stub fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cec8107
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: properly embed the IBs into the job (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 898d699
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: use job and ib structures directly in CS parsers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3390016
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: header cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5431273
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/amdgpu: set disabled vcn to no_schduler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f841e7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: install ctx entities with cmpxchg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1442ca8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: implement get_atc_vmid_pasid_mapping_info for gfx10.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e6ec0f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: judge get_atc_vmid_pasid_mapping_info before call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93c6bb5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Add vcn firmware log (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c59c1fe
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: Update fw shared data structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b655e63
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Add DFC CAP support for aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2ce1c6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Set correct DMA mask for aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8705171
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Refactor mode2 reset logic for v13.0.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8adf50e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.175 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1c75c0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: add verify_link_cap back for hdmi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6e0047
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.106.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9c64e1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: refine the EDID override (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3bb053
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Pass deep sleep disabled allow info to dmub fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5adc1bd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Refactor fixed VS w/a for PHY tests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a26bde5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Program OPP before ODM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5353784
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Pass HostVM enable flag into DCN3.1 DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8291e93
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: remove redundant null check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 500c1a0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5: drop unused cyan skillfish firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da098a9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: drop unused cyan skillfish firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6c1887
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: remove unused gpu_info firmwares (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 875fe3d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Use IP versions in convert_tiling_flags_to_modifier() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9507610
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Modify plane removal sequence to avoid hangs. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab24ca1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: new v3 SmuMetrics data structure for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e9d0c9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: enable gfxoff routine for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df9cd34
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: enable gfx power gating for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f25b1a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/nv: enable clock gating for GC 10.3.7 subblock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52ae11f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: enable gfx clock gating control for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73fa6af
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Move CAP firmware loading to the beginning of PSP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a77ca29
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Bump minor version for hot plug tests enabling. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2645ae
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Fix sigsev when accessing MMIO on hot unplug. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e8c435
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: convert code name to ip version for noretry set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89a47da
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: move amdgpu_gmc_noretry_set after ip_versions populated (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de5de7e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant .ras_fini initialization in some ras (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 083482f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5468e7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ae4640
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0f0e24
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e243202
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5d9670
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94f1950
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c736d1d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of amdgpu_ras_block_late_fini in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdf28cf
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: centrally calls the .ras_fini function of all ras blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 296c104
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize xxx_ras_fini function of each ras block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d2fc88
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Modify .ras_fini function pointer parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f752fa7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Adding a dc_debug option and dmub setting to use PHY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af00e74
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add frame alternate 3D & restrict HW packed on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e79b06e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Fix realloc of ptr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2165b46
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Reset VIC if HDMI_VIC is present (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8816911
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Make functional resource functions non-static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b1341a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Remove invalid RDPCS Programming in DAL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23c1ba6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Add SMI add event helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b943193
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Correct SMI event read size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09e42ae
* Wed Dec  7 2022 pjakobsson@suse.de
- Revert "drm/amdkfd: process_info lock not needed for svm" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e341439
* Wed Dec  7 2022 pjakobsson@suse.de
- gpu/amd: vega10_hwmgr: fix inappropriate private variable name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5bdac8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Don't fill up the logs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42887fe
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Fix crash on devices without devfreq support (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce6650a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/adreno: fix cast in adreno_get_param() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1106cec
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/a6xx: Fix missing ARRAY_SIZE() check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 881b9ca
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Add MSM_SUBMIT_FENCE_SN_IN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84c49fd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/a6xx: Zap counters across context switch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 188e52d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Add SYSPROF param (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41ae3d1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Add SET_PARAM ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebcb020
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Update generated headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45f88dc
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/exynos: fimd: add BGR support for exynos4/5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c528b2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/adreno: Expose speedbin to userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8aa45d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/a6xx: Add support for 7c3 SKUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fb3ae2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/adreno: Generate name from chipid for 7c3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f59e0b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: Use generic name for gpu resources (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a710f9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dsi: Add support for qcm2290 dsi controller (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 702ee6e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dsi: Allow to specify dsi config as pdata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6decc1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Track global faults per address-space (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 617cdbc
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/gpu: Add ctx to get_param() (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh patches.suse/drm-msm-rd-Fix-FIFO-full-deadlock.patch.
- commit e1f25f9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: replace bitmap_weight with bitmap_empty where appropriate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68b2624
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dsi/phy: fix 7nm v4.0 settings for C-PHY mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ebe1da
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dsi: move DSI host powerup to modeset time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 541e708
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dsi: Add 10nm dsi phy tuning configuration support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cad9737
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dsi: Add dsi phy tuning configuration support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e42125
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: support finding next bridge even for DP interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3be62e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: support attaching bridges to the DP encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a45370
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: fix panel bridge attachment (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0008-drm-msm-properly-add-and-remove-internal-bridges.patch.
- commit 6895288
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: enhance debug info related to dp phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8235c3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: add connector type to enhance debug messages
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dp-add-fail-safe-mode-outside-of-event_mutex.patch.
- Refresh
  patches.suse/drm-msm-dp-remove-fail-safe-mode-related-code.patch.
- commit 62e3058
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: add support of tps4 (training pattern 4) for HBR3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c00ba7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: do not initialize phy until plugin interrupt received (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 928fff8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: Add DisplayPort controller for SM8350 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cd019c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: Simplify dp_debug_init() and dp_debug_get() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f1e86f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: Add sc8180x DP controllers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ca08d2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dp: Move debugfs files into subdirectory (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df2de88
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: move utility functions from msm_drv.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 416a75c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/rd: Add chip-id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0576e8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: reduce usage of round_pixclk callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fff3eac
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: move msm_readl/_writel to msm_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b84d4f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: drop dbgname argument from msm_ioremap*() (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-hdmi-check-return-value-after-calling-platfo.patch.
- commit 3ecf4d4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: drop register logging support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba7a0aa
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: replace DEFINE_SIMPLE_ATTRIBUTE with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af8b3f1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: wire up MSM8998's DSPP blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f734d6c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: add support for QCM2290 MDSS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c806cd4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Fix timeout issues on command mode panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ba119d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Add a function to retrieve the current CTL status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06e432e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: simplify clocks handling (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0013-drm-msm-disp-dpu1-set-mdp-clk-to-the-maximum-frequen.patch.
- commit 9d3ed0e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: pull connector from dpu_encoder_phys to dpu_encoder_virt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c08b4f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: switch dpu_encoder to use atomic_mode_set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9595d9f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: encoder: drop unused mode_fixup callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a6e193
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: drop bus_scaling_client field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5faf0b2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: remove msm_dp cached in dpu_encoder_virt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6be9c0e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: move struct msm_display_info to dpu driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit acfdbd9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: drop unused access macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b92b83
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Only create debugfs for PRIMARY minor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7dfa1bf
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Add SC8180x to hw catalog (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6a3f7e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Add INTF_5 interrupts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 992aa5b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: fix error handling in dpu_rm_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3873479
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: stop embedding dpu_hw_blk into dpu_hw_intf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7045659
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: get INTF blocks directly rather than through RM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b06f5b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: drop unused lm_max_width from RM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ff480a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm: populate intf_audio_select() base on hardware capability (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbd7a58
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Update function parameter documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddfec93
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Update the comment style (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbb3d77
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove set but unused variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c281a0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0790f31
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu1: Add MSM8998 to hw catalog (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 617ddd1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/dpu1: Add DMA2, DMA3 clock control to enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d7b47c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: Move render/compute engine reset domains related (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe348c3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: Add compute workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1618748
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: handle fused off CCS engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2dd85f2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: Don't support parallel submission on compute / render (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88d8f16
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp/guc: enable compute engine inside GuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70a85c5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: Enable ccs/dual-ctx in RCU_MODE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97c247d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: Define context scheduling attributes in lrc descriptor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa4a4db
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Move context descriptor fields to intel_lrc.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 542e759
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: CCS should use RCS setup functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c0c2f9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: compute engine pipe_control (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09a168b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: Add Compute CS IRQ handlers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 024b4bd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: CCS shares the render reset domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dfb2a0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehp: Define compute class and engine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c325bff
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Depend on !PREEMPT_RT. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eebce56
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Do not complain about stale reset notifications (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4259e78
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Initialize GuC submission locks and queues early (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be68216
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Fix flag query helper function to not modify state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e977cc1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/selftests: exercise mmap migration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6437095
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/selftests: handle allocation failures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf5e1cd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/ttm: mappable migration on fault (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d1ff11
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/ttm: make eviction mappable aware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e48606a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Clarify vma lifetime (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-i915-Fix-race-in-__i915_vma_remove_closed.patch.
- commit 4d59f1c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/selftests: mock test io_size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78dbc8e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/buddy: tweak 2big check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83e5a82
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/buddy: adjust res->start (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d138951
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/buddy: track available visible size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18dfbc4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: add I915_BO_ALLOC_GPU_ONLY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0374a8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/ttm: require mappable by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1d67c0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: add io_size plumbing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8796ac
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: apply PM_EARLY for non-GTT mappable objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d0d8aa
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Remove plain ads_blob pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67273c7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert __guc_ads_init to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c05cf8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert guc_mmio_reg_state_init to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6231a3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert capture list to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 240c77b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert mapping table to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 365f7cc
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Replace check for golden context size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20667d1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert golden context prep to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b90746a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert guc_ads_private_data_reset to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41d1ca8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert engine record to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8117c20
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert policies update to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71cb459
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Convert golden context init to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19b9af6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Add read/write helpers for ADS blob (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 75f3a56
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc: Keep iosys_map of ads_blob around (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70ae7a3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/gt: Add helper for shmem copy to iosys_map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f0b0b0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/dg2: add Wa_14014947963 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 890f005
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/ttm: fixup the mock_bo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c878403
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Check stolen memory size before calling drm_mm_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59dd0bb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/rps/tgl+: Remove RPS interrupt support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c2db95
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/tgl: Simply subplatform detection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c6613b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Use wrapper for reading RP_STATE_CAP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 529bdd7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/gt: use get_reset_domain() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fcf38e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/lmem: Enable lmem for platforms with Flat CCS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d57e35b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: Add has_flat_ccs to device info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5241bad
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/uapi: document behaviour for DG2 64K support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22927e3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/migrate: add acceleration support for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42e1ef9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/gtt: add xehpsdv_ppgtt_insert_entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31951a3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/gtt: allow overriding the pt alignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99be357
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: add gtt misalignment test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f89742e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: support 64K GTT pages for discrete cards (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b4e76c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: enforce min GTT alignment for discrete cards (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e52282
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: add needs_compact_pt flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2246e8e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915: Kill the fake lmem support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45a0cd1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/dg2: Move misplaced 'ctx' & 'gt' wa's to engine wa list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9ef0a5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/i915/perf: Skip the i915_perf_init for dg2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 04754f8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ssd130x: remove redundant initialization of pointer mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e2e87f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/aspeed: Add AST2600 chip support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0460928
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/aspeed: Update INTR_STS handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2c58ec
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: Add TODO item for optimizing format helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6663b1
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Improve performance of cfb_imageblit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 167b37d
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Remove trailing whitespaces from cfbimgblt.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0b8ee2
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Improve performance of sys_imageblit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f16524
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Improve performance of sys_fillrect() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0817b9e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panfrost: cleanup comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa2d8d9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: nwl-dsi: Remove superfluous write to NWL_DSI_IRQ_MASK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab37744
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: Clear the DP_AUX_I2C_MOT bit passed in aux read command. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 867fca6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/v3d: centralize error handling when init scheduler fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29d3da7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: chipone-icn6211: switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee174b6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Fix release wrong workqueue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3fb555d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: it6505: Fix the read buffer array bound (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6693dd0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel: simple: Initialize bpc in RK101II01D-CT panel descriptor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41c6353
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/tiny: Add MIPI DBI compatible SPI driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58be511
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/mipi-dbi: Add driver_private member to struct mipi_dbi_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76780b7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/modes: Add of_get_drm_panel_display_mode() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17bbe61
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/modes: Remove trailing whitespace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56523b4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/todo: Update panic handling todo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b73b4e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/omap: plane: Remove redundant color encoding and range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b201a1c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/object: Add default color encoding and range value at reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da28442
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sun4i: layer: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5de479e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sti: plane: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73cda58
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/rcar: plane: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9b1204
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/omap: plane: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffb8966
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/nouveau/kms: Remove redundant zpos initialisation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd6e199
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/msm/mdp5: Remove redundant zpos initialisation (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-mdp5-check-the-return-of-kzalloc.patch.
- commit 3d03926
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/object: Add default zpos value at reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fafbed
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/object: Add drm_object_property_get_default_value() function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54d78ab
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/omap: plane: Fix zpos initial value mismatch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8a6c38
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: of: Lookup if child node has panel or bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ad6ff2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/stm: ltdc: add support for CRC hashing feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee356ed
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/stm: Avoid using val uninitialized in ltdc_set_ycbcr_config() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1238dd3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/dp: Fix off-by-one in register cache size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41dc6cb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/nouveau: Remove the unused header file nvif/list.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce153fb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/repaper: Use format helper for xrgb8888 to monochrome conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7a8160
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: rcar-du: Don't restart group when enabling plane on Gen3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b03d57
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: rcar-du: Don't select VSP1 sink on Gen3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd3cb87
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: rcar-du: Drop LVDS device tree backward compatibility (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4991d28
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: rcar-du: lvds: Add r8a77961 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c330b8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/tegra: Support YVYU, VYUY and YU24 formats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50cf6f1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/tegra: Support semi-planar formats on Tegra114+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1488695
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/tegra: Fix planar formats on Tegra186 and later (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a1965c
* Wed Dec  7 2022 pjakobsson@suse.de
- gpu: host1x: Fix an error handling path in 'host1x_probe()' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bded79
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/tegra: dpaux: Remove unneeded variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34cd7f2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/tegra: Use dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e6fd6b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add gfxoff support for smu 13.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5309647
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: refine smu 13.0.5 pp table code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d8c4b7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Turn functions into static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2022063
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Use NULL instead of 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35a2a81
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add conditional around function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6454fd9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Adjust functions documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2afac7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Fix DC definition of PMFW Pstate table for DCN316 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06989c1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Exclude PCI reset method for now. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05b9907
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Add use_xgmi_p2p module parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2b3ef2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: fix mode2 reset fail for smu 13.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 242701f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: config HDP_MISC_CNTL.READ_BUFFER_WATERMARK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 293edf6
* Wed Dec  7 2022 pjakobsson@suse.de
- amdgpu/pm: Disable managing hwmon sysfs attributes for ONEVF mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad08b91
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: fix typo in amdgpu_discovery.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d2264b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: increasing DRAM BW percent for DCN315 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c01237
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Set compbuf size to min at prep prevent overbook crb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7a7620
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: revert populating dcn315 clk table based on dcfclk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d55af38
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: limit unbounded requesting to 5k (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ce61d1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add reset register dump trace on GPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7232116
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add debugfs for reset registers list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a964554
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/nv: set mode2 reset for MP1 13.0.8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97e71a2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/nv: enable gfx10.3.7 clock gating support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 270fe65
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: Fix missing prototype warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b959db
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add mode2 reset support for smu 13.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a519fd3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Fixed warning reported by kernel test robot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0acf720
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Print bdf in peer map failure message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4085dcb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.174 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d79918e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: add debug option to bypass ssinfo from bios. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e633b53
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Refactor fixed VS logic for non-transparent mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 962454b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: add cable ID support for usb c connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ae51f5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: clear remote dc_sink when stop mst (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99a683f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Ignore Transitional Invalid Link Rate Error Message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2005e3a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Fix wrong resolution with DP/VGA adapter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37b6324
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Refactor PSR DPCD caps detection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4308980
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Set compbuf size to min at prep prevent overbook crb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c09cc69
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: lock/un-lock cursor if odm pipe split used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32298c3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Turn global functions into static functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7894f38
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add missing prototypes to dcn201_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3c3c2d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd120e7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused dmub_outbox_irq_info_funcs variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7614570
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused dcn316_smu_set_voltage_via_phyclk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdfc20d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused temp variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c63be94
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Remove unused get_umc_v8_7_channel_index function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e564a52
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Change amdgpu_ras_block_late_init_default function scope (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ca33af
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: use ktime rather than jiffies for benchmark results (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eab74eb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: use kernel BO API for benchmark buffer management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 400cce9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: derive GTT display support from DM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3b526c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/display: split dmcu and gpuvm handling logic
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 7bd478f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: drop testing module parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25a999f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: drop benchmark module parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d9cd69
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: expose benchmarks via debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee06607
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Use real device for messages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f209b9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Fix for possible integer overflow (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8dbf6f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add a benchmark mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4abd59
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: print the selected benchmark test in the log (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8c875e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: plumb error handling though amdgpu_benchmark() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit decfd61
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/benchmark: use dev_info rather than DRM macros for logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5da9dd4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Fix typo in *whether* in comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26d4e16
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: read harvest bit per IP data on legacy GPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee3e725
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: validate SMU feature enable message for getting feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2942fd5
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: enable TMZ option for onwards asic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f67242a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Fix criu_restore_bo error handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 983b6f4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdkfd: Drop IH ring overflow message to dbg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 941b54a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add dm ip block for dcn 3.1.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 612e6ec
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 DM Support (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 12e9bdf
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 CORE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09837eb
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 blocks to Makefile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f57219f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 Command Table Helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac2203d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 Resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4b8b31
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 DMUB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2245d1f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 IRQ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0bef3f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 GPIO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 753271d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 CLK_MGR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5070a74
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN315 family information (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12a0898
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/include: add DCN 3.1.5 registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8ac1b6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add mp 13.0.5 header files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6135d8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: add smu_v13_0_5_ppt implementation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21b9429
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/pm: update smc message sequence for smu 13.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac6b2b8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/admgpu/pm: add smu 13.0.5 driver interface headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ed88ed
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add support for psp 13.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4767ba7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add smuio support for smuio 13.0.10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdbcb24
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add support for nbio 7.3.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c268ad
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: enable vcn pg and cg for vcn 3.1.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc42eae
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: add vcn support for vcn 3.1.2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cd78ef
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: add support for sdma 5.2.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a8314e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/mediatek: Add wait_for_event for crtc disable by cmdq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b43187
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: add drm buddy pathological testcase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cf4a00
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: add drm buddy smoke testcase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54bc025
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: add drm buddy pessimistic testcase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 593732f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: add drm buddy optimistic testcase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66ace92
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: add drm buddy alloc range testcase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa7c4bd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: add drm buddy alloc limit testcase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71c2954
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/selftests: Move i915 buddy selftests into drm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ebc16e
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sched: Add device pointer to drm_gpu_scheduler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ea8155
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: implement a method to free unused pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9e37a0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: implement top-down allocation method (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8e98fc
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: improve drm_buddy_alloc function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e59c518
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/vc4: Use drm_mode_copy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1165f1
* Wed Dec  7 2022 hare@suse.de
- scsi: megaraid: Avoid mismatched storage type sizes
  (jsc#PED-1559).
- scsi: core: Fix scsi_mode_select() interface (jsc#PED-1559).
- scsi: sd_zbc: Clean up sd_zbc_parse_report() setting of wp
  (jsc#PED-1559).
- scsi: sd_zbc: Simplify zone full condition check (jsc#PED-1559).
- scsi: Remove superfluous #include <linux/async.h> directives
  (jsc#PED-1559).
- scsi: bfa: Declare 'bfad_im_vport_attrs' static (jsc#PED-1559).
- scsi: core: Declare 'scsi_scan_type' static (jsc#PED-1559).
- scsi: core: Suppress a kernel-doc warning (jsc#PED-1559).
- scsi: megaraid: Avoid mismatched storage type sizes
  (jsc#PED-1559).
- scsi: core: Fix scsi_mode_select() interface (jsc#PED-1559).
- scsi: sd_zbc: Clean up sd_zbc_parse_report() setting of wp
  (jsc#PED-1559).
- scsi: sd_zbc: Simplify zone full condition check (jsc#PED-1559).
- scsi: Remove superfluous #include <linux/async.h> directives
  (jsc#PED-1559).
- scsi: bfa: Declare 'bfad_im_vport_attrs' static (jsc#PED-1559).
- scsi: core: Declare 'scsi_scan_type' static (jsc#PED-1559).
- scsi: core: Suppress a kernel-doc warning (jsc#PED-1559).
- commit b5e07a0
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel: nt35560: Support also ACX424AKM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81a1ab7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel: nt35560: Support more panel IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 680eb33
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel: Rename Sony ACX424 to Novatek NT35560 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f638a4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel-edp: Add eDP sharp panel support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78ebdec
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev: Don't sort deferred-I/O pages by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec4b86f
* Wed Dec  7 2022 pjakobsson@suse.de
- fbdev/defio: Early-out if page is already enlisted (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b14381f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/solomon: Add SSD130x OLED displays I2C support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16ab0f6
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: Add driver for Solomon SSD130x OLED displays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbad297
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/format-helper: Add drm_fb_xrgb8888_to_mono_reversed() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fa6eba
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/format-helper: Add drm_fb_xrgb8888_to_gray8_line() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab2b676
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/modes: Fix drm_mode_copy() docs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c31a55d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/vc4: Use of_device_get_match_data() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 736da14
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panel-edp: Allow querying the detected panel via debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bca0cd
* Wed Dec  7 2022 pjakobsson@suse.de
- drm: Plumb debugfs_init through to panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d0de5c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Use drm_bridge_connector (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43443ae
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/radeon: remove resource accounting v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adc40b9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: remove VRAM accounting v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4845d84
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: remove PL_PREEMPT accounting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9005bf
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: remove GTT accounting v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27eed11
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sprd: check the platform_get_resource() return value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 096f476
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sprd: fix potential NULL dereference (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ce4853
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/sprd: remove the selected DRM_KMS_CMA_HELPER in kconfig (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc8148f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ttm: add common accounting to the resource mgr v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1947e89
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ttm: fix resource manager size type and description (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c5f127
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Support reading edid through aux channel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76158b1
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Convert to use devm_kzalloc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df5a42d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/bridge: anx7625: send DPCD command to downstream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f5d95d
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ingenic: Fix support for JZ4780 HDMI output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36a983a
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/gem-shmem: Don't store mmap'ed buffers in core dumps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e301437
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/gem-shmem: Set vm_ops in static initializer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6a0cf3
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/lima: avoid error task dump attempt when not enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27951fe
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Fix htmldoc warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e454e6c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/panfrost: Handle IDVS_GROUP_SIZE feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a92014
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/fb-helper: Clip damage area horizontally (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a3e53b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/fb-helper: Clip damage area to written memory range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43ac1ce
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/fb-helper: Calculate damaged area in separate helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95661d4
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/fb-helper: Fix vertical damage clipping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4465fec
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/fb-helper: Fix clip rectangle height (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ac17df
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Fix compile error. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73d0e5f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Revert 'drm/amdgpu: annotate a false positive recursive (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97fc92c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Rework amdgpu_device_lock_adev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76b0061
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Move in_gpu_reset into reset_domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66eb9f9
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Move reset sem into reset_domain (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Increase-tlb-flush-timeout-for-sriov.patch.
- commit 941dfcc
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Rework reset domain to be refcounted. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef54959
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Drop concurrent GPU reset protection for device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac7c452
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Drop hive->in_reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae8a343
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amd/virt: For SRIOV send GPU reset directly to TDR queue. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33b7f9f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Serialize non TDR gpu recovery with TDRs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit caaece8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Move scheduler init to after XGMI is ready (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 811b8b2
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/amdgpu: Introduce reset domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff31c58
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/nouveau/backlight: Fix LVDS backlight detection on some laptops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c87c5e6
* Wed Dec  7 2022 pjakobsson@suse.de
- nouveau/svm: Use struct_size() helper in nouveau_pfns_map() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4688d8
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ast: Move SIL164-based connector code into separate helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 197c0d7
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ast: Move DP501-based connector code into separate
  helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit 47e8852
* Wed Dec  7 2022 hare@suse.de
- scsi: core: Use eh_timeout for START STOP UNIT (jsc#PED-1559).
- scsi: core: Remove Scsi_Host.shost_dev_attr_groups
  (jsc#PED-1559).
- scsi: core: Simplify control flow in scmd_eh_abort_handler()
  (jsc#PED-1559).
- scsi: core: Use eh_timeout for START STOP UNIT (jsc#PED-1559).
- scsi: core: Remove Scsi_Host.shost_dev_attr_groups
  (jsc#PED-1559).
- scsi: core: Simplify control flow in scmd_eh_abort_handler()
  (jsc#PED-1559).
- commit a4c6bad
* Wed Dec  7 2022 hare@suse.de
- Revert "virtio-scsi: don't let virtio core to validate used
  buffer length" (jsc#PED-1559).
- scsi: iscsi: Unblock session then wake up error handler
  (jsc#PED-1559).
- scsi: bsg: Fix errno when scsi_bsg_register_queue() fails
  (jsc#PED-1559).
- scsi: scsi_transport_sas: Add 22.5 Gbps link rate definitions
  (jsc#PED-1559).
- scsi: target: core: Stop using bdevname() (jsc#PED-1559).
- scsi: aha1542: Use memcpy_{from,to}_bvec() (jsc#PED-1559).
- scsi: scsi_debug: Fix out-of-bound read in resp_report_tgtpgs()
  (jsc#PED-1559).
- scsi: scsi_debug: Fix out-of-bound read in resp_readcap16()
  (jsc#PED-1559).
- scsi: 3w-xxx: Remove redundant initialization of variable retval
  (jsc#PED-1559).
- scsi: fcoe: Use netif_is_bond_master() instead of open code
  (jsc#PED-1559).
- scsi: ibmvscsi: Use GFP_KERNEL with dma_alloc_coherent()
  in initialize_event_pool() (jsc#PED-1559).
- scsi: sd: Print write through due to no caching mode page as
  warning (jsc#PED-1559).
- Revert "virtio-scsi: don't let virtio core to validate used
  buffer length" (jsc#PED-1559).
- scsi: iscsi: Unblock session then wake up error handler
  (jsc#PED-1559).
- scsi: bsg: Fix errno when scsi_bsg_register_queue() fails
  (jsc#PED-1559).
- scsi: scsi_transport_sas: Add 22.5 Gbps link rate definitions
  (jsc#PED-1559).
- scsi: target: core: Stop using bdevname() (jsc#PED-1559).
- scsi: aha1542: Use memcpy_{from,to}_bvec() (jsc#PED-1559).
- scsi: scsi_debug: Fix out-of-bound read in resp_report_tgtpgs()
  (jsc#PED-1559).
- scsi: scsi_debug: Fix out-of-bound read in resp_readcap16()
  (jsc#PED-1559).
- scsi: 3w-xxx: Remove redundant initialization of variable retval
  (jsc#PED-1559).
- scsi: fcoe: Use netif_is_bond_master() instead of open code
  (jsc#PED-1559).
- scsi: ibmvscsi: Use GFP_KERNEL with dma_alloc_coherent()
  in initialize_event_pool() (jsc#PED-1559).
- scsi: sd: Print write through due to no caching mode page as
  warning (jsc#PED-1559).
- commit 9b8214c
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ast: Read encoder possible-CRTC mask from drm_crtc_mask() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a1368f
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ast: Initialize encoder and connector for VGA in helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d8db11
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ast: Rename struct ast_connector to struct ast_vga_connector
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit 181784b
* Wed Dec  7 2022 pjakobsson@suse.de
- drm/ast: Remove unused value dp501_maxclk (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit f4fa780
* Wed Dec  7 2022 hare@suse.de
- virtio-scsi: don't let virtio core to validate used buffer
  length (jsc#PED-1559).
- scsi: isci: Use the proper SCSI midlayer interfaces for PI
  (jsc#PED-1559).
- virtio-scsi: don't let virtio core to validate used buffer
  length (jsc#PED-1559).
- scsi: isci: Use the proper SCSI midlayer interfaces for PI
  (jsc#PED-1559).
- commit e2af537
* Wed Dec  7 2022 jslaby@suse.cz
- x86/bugs: Make sure MSR_SPEC_CTRL is updated properly upon
  resume from S3 (bsc#1206037).
- commit 6215cd5
* Wed Dec  7 2022 hare@suse.de
- sr: implement ->free_disk to simplify refcounting
  (jsc#PED-1183).
- commit ebc93f0
* Wed Dec  7 2022 hare@suse.de
- sd: implement ->free_disk to simplify refcounting
  (jsc#PED-1183).
- Refresh
  patches.suse/scsi-core-Remove-the-cmd-field-from-struct-scsi_request.patch.
- commit d7dfbb4
* Wed Dec  7 2022 hare@suse.de
- sd: delay calling free_opal_dev (jsc#PED-1183).
- sd: call sd_zbc_release_disk before releasing the scsi_device
  reference (jsc#PED-1183).
- sd: rename the scsi_disk.dev field (jsc#PED-1183).
- sd: delay calling free_opal_dev (jsc#PED-1183).
- sd: call sd_zbc_release_disk before releasing the scsi_device
  reference (jsc#PED-1183).
- sd: rename the scsi_disk.dev field (jsc#PED-1183).
- commit f4c264c
* Wed Dec  7 2022 hare@suse.de
- scsi: message: fusion: Remove unused mpt_pci driver .probe()
  (jsc#PED-1559).
- scsi: isci: Remove a declaration (jsc#PED-1559).
- scsi: message: fusion: Remove unused mpt_pci driver .probe()
  (jsc#PED-1559).
- scsi: isci: Remove a declaration (jsc#PED-1559).
- commit 08fd58a
* Wed Dec  7 2022 pjakobsson@suse.de
- Refresh
  patches.suse/0923-drm-tegra-gr3d-Support-generic-power-domain-and-runt.patch.
  Removes a warning introduced by the drm v5.17 backport
- commit ed18bed
* Wed Dec  7 2022 hare@suse.de
- scsi: staging: unisys: visorhba: Call scsi_done() directly
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Remove-the-done-argument-from-SCSI-queuecommand_lck-functions.patch.
- commit aecd3f6
* Wed Dec  7 2022 hare@suse.de
- scsi: fas216: Introduce struct fas216_cmd_priv (jsc#PED-1559).
- commit 46575ea
* Wed Dec  7 2022 hare@suse.de
- scsi: core: pm: Rely on the device driver core for async power
  management (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Fix-early-registration-of-sysfs-attributes.patch.
- Refresh
  patches.suse/scsi-core-Register-sysfs-attributes-earlier.patch.
- commit 7ef0dea
* Wed Dec  7 2022 hare@suse.de
- scsi: core: pm: Only runtime resume if necessary (jsc#PED-1559).
- scsi: sd: Rename sd_resume() into sd_resume_system() (jsc#PED-1559).
- scsi: core: pm: Only runtime resume if necessary (jsc#PED-1559).
- scsi: sd: Rename sd_resume() into sd_resume_system() (jsc#PED-1559).
- commit a13153c
* Wed Dec  7 2022 jgross@suse.com
- xen/netback: don't call kfree_skb() with interrupts disabled
  (bsc#1206114, XSA-424, CVE-2022-42328, CVE-2022-42329).
- commit 90098d3
* Wed Dec  7 2022 jgross@suse.com
- xen/netback: Ensure protocol headers don't fall in the
  non-linear area (bsc#1206113, XSA-423, CVE-2022-3643).
- commit 6c8da66
* Tue Dec  6 2022 hare@suse.de
- scsi: advansys: Fix kernel pointer leak (jsc#PED-1559).
- scsi: core: Fix scsi_mode_select() buffer length handling
  (jsc#PED-1559).
- scsi: core: Fix scsi_mode_sense() buffer length handling
  (jsc#PED-1559).
- scsi: core: Delete scsi_{get,free}_host_dev() (jsc#PED-1559).
- scsi: lpfc: Add support for optional PLDV handling
  (jsc#PED-1559).
- scsi: lpfc: Return NULL rather than a plain 0 integer
  (jsc#PED-1559).
- scsi: advansys: Fix kernel pointer leak (jsc#PED-1559).
- scsi: core: Fix scsi_mode_select() buffer length handling
  (jsc#PED-1559).
- scsi: core: Fix scsi_mode_sense() buffer length handling
  (jsc#PED-1559).
- scsi: core: Delete scsi_{get,free}_host_dev() (jsc#PED-1559).
- scsi: lpfc: Add support for optional PLDV handling
  (jsc#PED-1559).
- scsi: lpfc: Return NULL rather than a plain 0 integer
  (jsc#PED-1559).
- commit da1c96a
* Tue Dec  6 2022 hare@suse.de
- scsi: acornscsi: Remove scsi_cmd_to_tag() reference
  (jsc#PED-1559).
- commit 21487f6
* Tue Dec  6 2022 hare@suse.de
- scsi: acornscsi: Remove tagged queuing vestiges (jsc#PED-1559).
- Refresh
  patches.suse/scsi-acornscsi-Call-scsi_done-directly.patch.
- commit 717a651
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ast: Remove AST_TX_ITE66121 constant (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit 4d9df29
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ast: Move connector mode_valid function to CRTC
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit 9578313
* Tue Dec  6 2022 hare@suse.de
- scsi: fas216: Kill scmd->tag (jsc#PED-1559).
- scsi: sd: Make sd_spinup_disk() less noisy (jsc#PED-1559).
- scsi: ncr53c8xx: Remove unused retrieve_from_waiting_list()
  (jsc#PED-1559).
- scsi: st: Add missing break in switch statement in st_ioctl()
  (jsc#PED-1559).
- scsi: core: scsi_ioctl: Fix error code propagation in SG_IO
  (jsc#PED-1559).
- scsi: ncr53c8xx: Remove unused code (jsc#PED-1559).
- scsi: ncr53c8xx: Complete all commands during bus reset
  (jsc#PED-1559).
- scsi: ncr53c8xx: Remove 'sync_reset' argument from
  (jsc#PED-1559).
- scsi: core: Fix missing FORCE for scsi_devinfo_tbl.c build
  (jsc#PED-1559).
- scsi: qla1280: Stop using scsi_cmnd.tag (jsc#PED-1559).
- scsi: fas216: Kill scmd->tag (jsc#PED-1559).
- scsi: sd: Make sd_spinup_disk() less noisy (jsc#PED-1559).
- scsi: ncr53c8xx: Remove unused retrieve_from_waiting_list()
  (jsc#PED-1559).
- scsi: st: Add missing break in switch statement in st_ioctl()
  (jsc#PED-1559).
- scsi: core: scsi_ioctl: Fix error code propagation in SG_IO
  (jsc#PED-1559).
- scsi: ncr53c8xx: Remove unused code (jsc#PED-1559).
- scsi: ncr53c8xx: Complete all commands during bus reset
  (jsc#PED-1559).
- scsi: ncr53c8xx: Remove 'sync_reset' argument from
  (jsc#PED-1559).
- scsi: core: Fix missing FORCE for scsi_devinfo_tbl.c build
  (jsc#PED-1559).
- scsi: qla1280: Stop using scsi_cmnd.tag (jsc#PED-1559).
- commit 56d7677
* Tue Dec  6 2022 hare@suse.de
- scsi: sd: Do not exit sd_spinup_disk() quietly (jsc#PED-1559).
- commit fe439f2
* Tue Dec  6 2022 hare@suse.de
- scsi: core: Remove scsi_cmnd.tag (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Don-t-memset-the-entire-scsi_cmnd-in-scsi_init_command.patch.
- commit ca1737a
* Tue Dec  6 2022 hare@suse.de
- scsi: ibmvfc: Stop using scsi_cmnd.tag (jsc#PED-1559).
- scsi: fnic: Stop setting scsi_cmnd.tag (jsc#PED-1559).
- scsi: wd719: Stop using scsi_cmnd.tag (jsc#PED-1559).
- scsi: ibmvfc: Stop using scsi_cmnd.tag (jsc#PED-1559).
- scsi: fnic: Stop setting scsi_cmnd.tag (jsc#PED-1559).
- scsi: wd719: Stop using scsi_cmnd.tag (jsc#PED-1559).
- commit 499a20c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ast: Fail if connector initialization fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19f3f56
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: use dma_fence_chain_contained (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8cb127
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf: add dma_fence_chain_contained helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4daf59
* Tue Dec  6 2022 vbabka@suse.cz
- mm/memory.c: fix race when faulting a device private page
  (CVE-2022-3523, bsc#1204363).
  nouveau: fix migrate_to_ram() for faulting page (CVE-2022-3523,
  bsc#1204363).
  mm/memory: return vm_fault_t result from migrate_to_ram()
  callback (CVE-2022-3523, bsc#1204363).
  kabi: workaround for migrate_vma.fault_page (CVE-2022-3523,
  bsc#1204363).
- commit 14f6a2f
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf: warn about containers in dma_resv object (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c31dca
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf: Warn about dma_fence_chain container rules v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 341144e
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf: warn about dma_fence_array container rules v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65486b6
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf: consolidate dma_fence subclass checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd6f400
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Convert open-coded yes/no strings to yesno() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e5312f
* Tue Dec  6 2022 pjakobsson@suse.de
- include/linux/string_helpers.h: add linux/string.h for strlen() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d61ef0d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/gem: Sort includes alphabetically (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf77ea1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Use str_yes_no() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ffb478
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/privacy-screen: Fix sphinx warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0802d86
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/sprd: remove allow_fb_modifiers setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f3e09e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: document struct drm_mode_fb_cmd2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2958cff
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Stop spamming log with drm_cache message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bd59bd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/connector: Fix typo in documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d22464
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: mxsfb: Use dev_err_probe() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71c0e9e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vmwgfx: remove vmw_wait_dma_fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1265c36
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Simplify the connector state retrieval (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5eee81d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: Clear EDID Deep Color Modes in drm_reset_display_info() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7992aab
* Tue Dec  6 2022 pjakobsson@suse.de
- Revert "drm/panel-edp: Allow querying the detected panel via sysfs" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b89aa7e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panel-edp: Allow querying the detected panel via sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 860bdb5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: add it6505 driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd6c9cf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/v3d: fix missing unlock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af3ca8d
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-resv: some doc polish for iterators (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd86c98
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: remove allow_fb_modifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46ea147
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: add support modifiers for drivers whose planes only support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b49c75a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: introduce fb_modifiers_not_supported flag in mode_config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c01a66d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Fix an error handling path in lt9611_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 015598b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/xen: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00c4a8c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/tilcdc: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5af4a80
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/tegra: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87acc54
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/sti: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9048ec
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/sprd: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63f78c0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/rockchip: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d8e3fd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: rcar-du: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 829ea5d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/omap: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 540a9b6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/msm: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4264b9e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/mediatek: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40f25a0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/mcde: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 773eeb2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ingenic: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7aba3df
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/imx: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 976dc31
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/hyperv: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95ddc2a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/gma500: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 830c4d5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/exynos: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 372938e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/armada: Add support for the nomodeset kernel parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f06c139
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/xlnx: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f200c30
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/tve200: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d0f4e1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/arc: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd3aa7f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/tidss: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbddd59
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/sun4i: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d58d94f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1f1eda
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/shmobile: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee9d24e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: mxsfb: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c40bab
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/meson: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d19480
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/kmb: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4bbe3f7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/hisilicon/kirin: Use drm_module_platform_driver() to register the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit daa0ff4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/fsl-dcu: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50b6b26
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/atmel-hlcdc: Use drm_module_platform_driver() to register the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 745f742
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/aspeed: Use drm_module_platform_driver() to register the driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b0783a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vmwgfx: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00d48da
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vboxvideo: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f84cdf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/qxl: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0446786
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/qxl: Move ioctl array next to its only user (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc15828
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/mgag200: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fa0019
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/hisilicon/hibmc: Allow to be built if COMPILE_TEST is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5c95c3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: More gt idling time with guc submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4cdd92
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: align the plane_vma to min_page_size of stolen mem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e90488
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_22011450934 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22b8c09
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Use a single pass to calculate regset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8012c2d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Prepare for error propagation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c121ce
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce G12 subplatform of DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35f1c87
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg2: s/engine->i915/i915/ for engine workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 653caae
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_14015227452 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee3d5e6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Allow dead vm to unbind vma's without lock. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9557240
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Lock dpt_obj around set_cache_level, v2. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbb8927
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: delete shadow "ret" variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73197f6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Update guc shim control programming on newer platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3641a1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/wopcm: Handle pre-programmed WOPCM registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84d4a59
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/rpl-s: Add stepping info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6ac922
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix vma resource freeing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2fa810
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Use struct_size() helper in kmalloc() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c510e45
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/selftests: Use less in contexts steal guc id test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f937b98
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Ensure multi-lrc fini breadcrumb math is correct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1843d66
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_18018781329 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39909a7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: fix header file inclusion for might_alloc() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bf51eb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Flush G2H handler during a GT reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c44cb6a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Add work queue to trigger a GT reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a21d37
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Remove hacks for reset and schedule disable G2H being (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78d14c0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/selftests: Add a cancel request selftest that triggers a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6635287
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove short-term pins from execbuf, v6. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddc5c21
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove support for unlocked i915_vma unbind (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0916ce2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Add i915_vma_unbind_unlocked, and take obj lock for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 845676b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Add object locking to i915_gem_evict_for_node and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2ae55c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Add locking to i915_gem_evict_vm(), v3. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba3492e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Call i915_gem_evict_vm in vm_fault_gtt to prevent new (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9863a28
* Tue Dec  6 2022 pjakobsson@suse.de
- i915: make array flex_regs static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 992779e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Improve GuC loading status check/error reports (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0066d7c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Update to GuC version 69.0.3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fbc9b7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Temporarily bump the GuC load timeout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87e0310
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use struct vma_resource instead of struct vma_snapshot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b03148
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Asynchronous migration selftest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09b5b94
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use vma resources for async unbinding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba5262e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Don't pin the object pages during pending vma binds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95257c8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use the vma resource as argument for gtt binding / (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb83628
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Initial introduction of vma resources (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5fb543
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: clean up shrinker_release_pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99d0856
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: remove writeback hook (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 960de41
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove unused i915->ggtt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06ea264
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/selftests: Use to_gt() helper for GGTT accesses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e35e30
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/display: Use to_gt() helper for GGTT accesses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b63ec2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gem: Use to_gt() helper for GGTT accesses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c35a20c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use to_gt() helper for GGTT accesses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbdb1c1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Use to_gt() helper for GGTT accesses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1573d94
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gem: Use local pointer ttm for __i915_ttm_move (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a2498e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Check for wedged before doing stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ceb0817
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/execlists: Weak parallel submission support for execlists (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3851f57
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/guc: Report error on invalid reset notification (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ff4ad9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract intel_bw_check_data_rate() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1587ea8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract icl_qgv_points_mask() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3d5f7a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Properly clear crtc state when disabling it fully, again (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01c58a0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove odd any_ms=true assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2042081
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Dump hw.enable and pipe_mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4543652
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Dump the crtc hw state always (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5dd94ac
* Tue Dec  6 2022 pjakobsson@suse.de
- Revert "drm/i915/display/vrr: Reset VRR capable property on a long (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d47ad47
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/adl-n: Add PCH Support for Alder Lake N (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c0b1c1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/display/vrr: Reset VRR capable property on a long hpd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de0e988
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/adlp: Add TypeC PHY TBT->DP-alt/legacy mode switch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90d63dc
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/pxp: prefer forward declaration over includes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd8d321
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/reg: split out icl_dsi_regs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a350901
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/reg: split out vlv_dsi_regs.h and vlv_dsi_pll_regs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 984ce86
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dsi: add separate init timer mask definition for ICL DSI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f3f1e7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dsi: disassociate VBT video transfer mode from register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc37686
* Tue Dec  6 2022 pjakobsson@suse.de
- iosys-map: Add a few more helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cf2c04
* Tue Dec  6 2022 pjakobsson@suse.de
- iosys-map: Add offset to iosys_map_memcpy_to() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f3298e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg2: Enable 5th port (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35d01a7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg2: Drop 38.4 MHz MPLLB tables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4537504
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix for PHY_MISC_TC1 offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 386245b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Pimp icl+ sagv pre/post update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0b14f1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Split pre-icl vs. icl+ SAGV hooks apart (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe70f2d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Drop pointless i830 PIPECONF read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b2523a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Make the CHV CGM CSC register writes lockless (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37352a5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Make the pipe/output CSC register writes lockless (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 021ba75
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move PIPE_CHICKEN RMW out from the vblank evade critical (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7fa310
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/display: Implement Wa_16013835468 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 455fbd5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/display: Group PSR2 prog sequences and workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b91433a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/display/tgl+: Implement new PLL programming step (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2114b18
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: remove accidental static on what should be a local (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a5c42a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Polish ilk+ wm register bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6aefc92
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_crtc_planes_update_arm() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a59a1ec
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up SSKPD/MLTR defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 139b24b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/lrc: replace include with forward declarations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f676643
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/lrc: move lrc_get_runtime() to intel_lrc.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9faa040
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fbdev: hide struct intel_fbdev in intel_fbdev.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c0726a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fbdev: add intel_fbdev_framebuffer() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5961f4b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: fix build issue when using clang (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b090d58
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: #include drm_edid.h for drm_edid_block_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6e3269
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Add missing intel_mchbar_regs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3607e8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move MCHBAR registers to their own header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9c6710
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Define MCH registers relative to MCHBAR_MIRROR_BASE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce3ae81
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Order GT registers by MMIO offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82501f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Use consistent offset notation in intel_gt_regs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e19ab92
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Cleanup spacing of intel_gt_regs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec814a6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Use parameterized RING_MI_MODE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2caf25e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Move SFC lock bits to intel_engine_regs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d61874
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Drop duplicate register definition for VDBOX_CGCTL3F18 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aac1667
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Unconfuse pre-icl vs. icl+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4676355
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Add REG_GENMASK64() and REG_FIELD_GET64() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f02c5c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use {active,scaled}_planes to compute ilk watermarks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c48eb1f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce scaled_planes bitmask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca1a24c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move intel_plane_atomic_calc_changes() & co. out (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64f1ce7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Change bigjoiner state tracking to use the pipe bitmask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae940d4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Return both master and slave pipes from (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99b5698
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use for_each_intel_crtc_in_pipe_mask() more (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b08c5a6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Convert for_each_intel_crtc_mask() to take a pipe mask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7690381
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_crtc_is_bigjoiner_{slave,master}() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a770af
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg1: Update DMC_DEBUG3 register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71319eb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: fix drm_i915.h include grouping and sorting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 324c92a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: axe lots of unnecessary includes from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d61d4af
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: include some drm headers only where needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a24f32
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: include shmem_fs.h only where needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 804a05c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: don't include drm_cache.h in i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1667d2b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out i915_file_private.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e17d6a9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: move i915_reset_count()/i915_reset_engine_count() out of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a6db89
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: move i915_gem_vm_lookup() where it's used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f4a5b3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: move i915_cache_level_str() static in i915_debugfs.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e824910
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out gem/i915_gem_domain.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d041c2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Nuke some dead code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a65f8d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up the bigjoiner state copy logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 293053f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove weird code from intel_atomic_check_bigjoiner() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5370302
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix bigjoiner state copy fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d585a3d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Flag crtc scaling_filter changes as modeset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cb8535
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: Reuse intel_hdmi_tmds_clock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efeabe9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/hdmi: Simplify intel_hdmi_mode_clock_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8c584d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract skl_crtc_calc_dbuf_bw() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20911e4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract skl_allocate_plane_ddb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1b46e0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce skl_plane_ddb_iter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d88c83
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix plane relative_data_rate calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a67de99
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract skl_ddb_entry_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 783c176
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Drop pointless dev_priv argument (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8f9b67
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out gem/i915_gem_create.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17b06d4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out gem/i915_gem_dmabuf.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90757ea
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/selftests: Disable runtime pm wakeref tracking for the mock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d6336f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: remove leftover i915_gem_pm.h declarations from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d41d3f5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out i915_gem_internal.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2c2917
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: update slot information for 128b/132b (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a4e66d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: add 128b/132b support to link status checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae59322
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: rewrite DP 2.0 128b/132b link training based on errata (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f1d4cd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: move intel_dp_prepare_link_train() call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13dd514
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: add some new DPCD macros from DP 2.0 E11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb59219
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: add 128b/132b link status helpers from DP 2.0 E11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fefe4e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: add drm_dp_128b132b_read_aux_rd_interval() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 351c0fe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/opregion: debug log about Mailbox #2 for backlight (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d838f39
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/opregion: handle SWSCI Mailbox #2 obsoletion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c75156
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/opregion: early exit from encoder notify if SWSCI isn't (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c351176
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/opregion: abstract the check for valid swsci function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1eaddfb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: move the DRIVER_* macros to i915_driver.[ch] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7202698
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: move intel_hws_csb_write_index() out of i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 04a1aa6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix IPS disable in intel_plane_disable_noatomic() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65723f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract hsw_ips_get_config() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 253c63e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move the IPS code to its own file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a90d8a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Hoover the IPS enable/disable calls into the pre/post (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fee55a7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Change IPS calling convention (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c152ba4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move vblank waits out from IPS code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0149ee
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/pm: hide struct drm_i915_clock_gating_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 048c649
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dpll: hide struct intel_dpll_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bd2f2b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dpll: add intel_dpll_crtc_compute_clock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa593fe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fdi: hide struct intel_fdi_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f35a437
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/hpd: hide struct intel_hotplug_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e6a992
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/color: hide struct intel_color_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4488d6f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: group i915_drv.h forward declarations together (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f8bf0a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Use proper enum in pm_unmap_queues_v9() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe7a377
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add gc 10.3.6 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0711a97
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add support for gmc10 for gc 10.3.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 829cffd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add Clock and Power Gating support for gc 10.3.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d3463a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add nv common init for gc 10.3.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fcfb7d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/smu11.5: restore cclks in vangogh_set_performance_level (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41a68ca
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Dynamically initialize IP instance attributes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b89a196
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add APU flag to gca_config debugfs data (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 403a4c3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: Use amdgpu_device_should_use_aspm on navi umd pstate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 578aa34
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: Refactor `amdgpu_aspm` to be evaluated per device
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0003-drm-amdgpu-vi-disable-ASPM-on-Intel-Alder-Lake-based.patch.
- commit 815485d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix ARM compilation warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d64696
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant .ras_late_init initialization in some (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 391fbb6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: define amdgpu_ras_late_init to call all ras blocks' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6514245
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize xxx_ras_late_init function of each ras block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8326a36
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of ras_late_init in mca ras block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6a8d19
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of ras_late_init in mmhub ras (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa6367e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Remove redundant calls of ras_late_init in hdp ras block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3c40fe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify .ras_late_init function pointer parameter
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Move-psp_xgmi_terminate-call-from-amdgpu_.patch.
- commit d90f40d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: Add sw DM function for 3.1.6 DCE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b45263
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add DCN316 resource and SMU clock manager (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f2195e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add DMUB support for DCN316 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 897bca2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: configure dc hw resource for DCN 3.1.6
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 672556f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/include: Add MP 13.0.8 register headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a4fe65
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/include: Add register headers for DCN 3.1.6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e2dd20
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: Add GC 10.3.7 Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 474a9fa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Replace zero-length array with flexible-array member (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ff1d5d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: add support for SDMA 5.2.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0305e13
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: Add support for MP1 13.0.8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a494b3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/psp: Add support for MP0 13.0.8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d59339
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/gmc10: add support for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e6230c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: update vcn/jpeg PG flags for VCN 3.1.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68d06fa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: set new revision id for 10.3.7 GC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fc6340
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: set sw common init for GC 10.3.7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27c2310
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: Add 13.0.9 SMUIO block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1f5583
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: smu7: downgrade voltage error to info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 346d430
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add nbio sw func for 7.5.1 nbio (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd03652
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: make cyan skillfish support code more consistent (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fee1905
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: add return value check for queue eviction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d38a09e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Replace zero-length array with flexible-array member (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d614e53
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add dsc pre-validation in atomic check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 857ee35
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix wait for RLCG command completion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4ed4f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add dsc mst stream pbn log for debug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b629e2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.173 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4211fcd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.104.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8529ca5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: enable z9 denial interface by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8667f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Add "harvest" to IP discovery sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2943623
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: make sure pipe power gating reach requested hw state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5da20ba
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: dsc mst re-compute pbn for changes on hub (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bacb5a8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Fix for dmub outbox notification enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 136f72e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fulfill Sienna_Cichlid implementations for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40d67fa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fulfill Navi1x implementations for DriverSmuConfig (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f9b254
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: correct the default DriverSmuConfig table settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27fec19
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: Adjust the name string for firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 75d9519
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: check return status before using stable_pstate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0cdefe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: reset lane settings after each PHY repeater LT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 367f3a4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: navi2x requires extended engines to map and unmap sdma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f0e3b1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: remove unneeded unmap single queue option (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdedd3a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Handle the GPU recovery failure in SRIOV environment
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 269da56
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: print more error info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64c1577
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Merge amdgpu_ras_late_init/amdgpu_ras_late_fini
  to amdgpu_ras_block_late_init/amdgpu_ras_block_late_fini
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0011-drm-amdgpu-fix-amdgpu_ras_block_late_init-error-hand.patch.
- commit 3b05617
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize operating sysfs and interrupt function
  interface in amdgpu_ras.c (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0011-drm-amdgpu-fix-amdgpu_ras_block_late_init-error-hand.patch.
- commit c389bb2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_xgmi_ras_late_init/amdgpu_xgmi_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f49f810
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_umc_ras_late_init/amdgpu_umc_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70cc010
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_sdma_ras_late_init/amdgpu_sdma_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1adb1b0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_nbio_ras_late_init/amdgpu_nbio_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55cf108
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_mmhub_ras_late_init/amdgpu_mmhub_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33a0838
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_mca_ras_late_init/amdgpu_mca_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c11f02b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_hdp_ras_late_init/amdgpu_hdp_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9ff9f6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize amdgpu_gfx_ras_late_init/amdgpu_gfx_ras_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1169322
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize xxx_ras_late_init/xxx_ras_late_fini for each ras (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e99dce0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: no rlcg legacy read in SRIOV case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4fa8c1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix a kerneldoc warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 924a42e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Fix leftover errors and warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32280ca
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: update SPDX license header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe673e1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Show IP discovery in sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b2c50b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix some kerneldoc warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d48fb7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: replace err by dbg print at svm vram migration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6853ef2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Fix prototype warning for get_process_num_bos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ca9770
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU fix extra whitespace and block comment warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f916a02
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: adjust register address calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a96590d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove ctx->lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e58e03
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Reset OOB table error count info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ed091c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fulfill the support for DriverSmuConfig table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 891405b
* Tue Dec  6 2022 pjakobsson@suse.de
- amdgpu/pm: Add emit_clock_levels calls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2156233
* Tue Dec  6 2022 pjakobsson@suse.de
- amdgpu/pm: Implement emit_clk_levels for navi10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a1bef8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: loose check for umc poison mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 929128b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add support for GC 10.1.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5534063
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: fix loop error handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e4573d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: extend dcn201 support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6bba15
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: fix freeing an unset pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b42837
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU return -EFAULT for copy_to_user() failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e62aba
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU fix a NULL vs IS_ERR() check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a419e6e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fix enabled features retrieving on Renoir and Cyan (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c37a707
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix gmc init fail in sriov mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08dc615
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: correct hwmon power label name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9b8f94
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/amdgpu/amdgpu_uvd: Fix forgotten unmap buffer object (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec5bada
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/radeon/uvd: Fix forgotten unmap buffer objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b029ec
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Consolidate MQD manager functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f68d066
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Remove unused old debugger implementation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd727a2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Fix TLB flushing in KFD SVM with no HWS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ab871d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drm/amd/pm: disable GetPptLimit message in sriov mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 456415a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: use unmap all queues for poison consumption (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd4a343
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: rename kfd_process_vm_fault to kfd_dqm_evict_pasid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fcde0d9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: move dpcs_3_0_3 headers from dcn to dpcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02c9fe5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: move dpcs_3_0_0 headers from dcn to dpcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d144819
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add missing license to dpcs_3_0_0 headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf838e4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: drop experimental flag on aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b261c13
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: add missing prototypes to amdgpu_dpm_internal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e8f0ce
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fix error handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4161fa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: reserve the pd while cleaning up PRTs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af5c8f8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: move lockdep assert to the right place. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f0d0c2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: handle null link encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27e0aa7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.172 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2937a3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.103.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69acbe9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Fix DP LT sequence on EQ fail (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9989b0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: change fastboot timing validation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cbd47d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/display/dc: do blocked MST topology discovery at resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0eda0b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: remove static from optc31_set_drr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e16b17
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: limit unbounded requesting to 5k (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ae2695
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Fix for variable may be used uninitialized error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed68c84
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: revise the implementation of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85a1c6d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: avoid consecutive retrieving for enabled ppfeatures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5944720
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop the cache for enabled ppfeatures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc301b6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: correct the usage for 'supported' member of smu_feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5438fe1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: update the data type for retrieving enabled ppfeatures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b87846
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: unify the interface for retrieving enabled ppfeatures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5569f4f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: correct the way for retrieving enabled ppfeatures on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e70fddd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: check the GART table before invalidating TLB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d98b73
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix list add issue in vram reserve (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f5b53c
* Tue Dec  6 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: Add judgement to avoid infinite loop" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7627d9b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fixed the defect of soft lock caused by infinite loop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42a527e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Set FRU bus for Aldebaran and Vega 20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 259c27a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Prevent random memory access in FRU code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77be6b5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Don't offset by 2 in FRU EEPROM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c3113c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Nerf "buff" to "buf" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5336fc8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Bump up KFD API version for CRIU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aebd54d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU resume shared virtual memory ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c80ef8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU prepare for svm resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 820ed8d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Save Shared Virtual Memory ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c54217
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Discover svm ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e89e59d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: use user_gpu_id for svm ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 867f700
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU allow external mm for svm ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b9fe67
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU checkpoint and restore xnack mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4abdd39
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU export BOs as prime dmabuf objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f45afc8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU implement gpu_id remapping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19bbb39
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU checkpoint and restore events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0df32d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU checkpoint and restore queue control stack (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a68ce09
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU checkpoint and restore queue mqds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c18e63
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU restore queue doorbell id (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/0020-drm-amdkfd-Fix-GWS-queue-count.patch.
- commit 293228e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU restore sdma id for queues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d571a4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU restore queue ids (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1747752
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU add queues support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b50170
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Implement KFD unpause operation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de57e0e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Implement KFD resume ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4c569c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Implement KFD restore ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9164cc6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Implement KFD checkpoint ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c2f3f2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Implement KFD process_info ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e8056c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: CRIU Introduce Checkpoint-Restore APIs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0022fd5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Print once if RAS unsupported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3269ff2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: rename amdgpu_vm_bo_rmv to _del (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17e6259
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add some lockdep checks to the VM code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e886e56
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Use NULL pointer instead of plain integer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48207ab
* Tue Dec  6 2022 pjakobsson@suse.de
- amdgpu/pm: Implement new API function "emit" that accepts buffer base (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5ed9b9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: limit the number of dst address in trace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b634ed
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: avoid suspend on dGPUs w/ s2idle support when runtime PM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba0716a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: restructure amdgpu_fill_buffer v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e77b0a7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: rework GART copy window handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cbb8e5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: lower BUG_ON into WARN_ON for AMDGPU_PL_PREEMPT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22b01d5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c30d3c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Trigger DP2 Sequence With Uncertified Cable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d64bde3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.171 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d54e09
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.102.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b17d920
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: move link_hwss to link folder and break down
  to files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch.
- commit 47b902c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: move get_link_hwss to dc_resource (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bf2398
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: temporarly move non link_hwss code to dc_link_dp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9bec28
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add set dp lane settings to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd6da38
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add set dp link test pattern to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0191366
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add enable/disable dp link output to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 337102d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: refactor destructive verify link cap sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43490f7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add setup/reset stream encoder to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ca13d8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add infoframe update sequence debug trace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6dd01fa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Improve dce_aux_transfer_with_retries logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48208fa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add link enc null ptr check for cable ID (#2597) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 926722b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: drop flood print in rlcg reg access function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50399f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix uninitialized variable use warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c123be7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Add judgement to avoid infinite loop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6948e57
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Fix variable set but not used warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f52306f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: fix spelling mistake: synatpics -> synaptics (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18bba79
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: remove duplicate include in 'arcturus_ppt.c' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb125df
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove duplicate include in 'amdgpu_device.c' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28a59ff
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: Only run s3 or s0ix if system is configured properly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d64909
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Wrong order for config and counter_id parameters (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 429a240
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/amdgpu: fix spelling mistake "disbale" -> "disable" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5c6a52
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: bump driver version for new CTX OP to set/get stable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e48123
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/UAPI: add new CTX OP to get/set stable pstates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d68721
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu/i2c: return an error if the SMU is not running (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e17c43a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: Enable FRU EEPROM for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f220ecf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: Expose the FRU SMU I2C bus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45e2e70
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add 1.3.1/2.4.0 athub CG support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0b1e8e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: convert code name to ip version for athub (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ee6fdf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Fix unused variable warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d78a21d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: get hash bit for CH4 in umc channel index (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d01933
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: update algorithm of umc address conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc9bc70
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: increase bad page number for umc ras query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 197845f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add umc_fill_error_record to make code more simple (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfab8ab
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Wipe all VRAM on free when RAS is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5b94ec
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix an error message in rmmod (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d471119
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fix the deadlock observed on performance_level setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bdaa4e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add Missing HPO Stream Encoder Function Hook (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dda4a6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: svm range restore work deadlock when process exit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d7fefa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Ensure mm remain valid in svm deferred_list work (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d3ea0f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: enable heavy-weight TLB flush on Vega20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e94cfce
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add determine passthrough under arm64 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-set-vm_update_mode-0-as-default-for-Sienn.patch.
- commit 086d5b9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: convert to DCE IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 344a69f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: convert to UVD IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d3434f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: convert to NBIO IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6e0433
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: don't use /** for non-kernel-doc comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d10c088
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/radeon: remove redundant assignment to reg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9544a00
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: convert amdgpu_display_supported_domains() to IP versions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa5b365
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: handle BACO synchronization with secondary funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1339ed
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: move runtime pm init after drm and fbdev init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32de50d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: move PX checking into amdgpu_device_ip_early_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8985fbd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: set APU flag based on IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05a46f6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/pm/smu7: drop message about VI performance levels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5737b66
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Call dc_stream_release for remove link enc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f45c622
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add debug option for z9 disable interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8bdd70
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: fix zstate allow interface to PMFW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1e9e6a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Disable physym clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52bfd88
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Fix disabling dccg clocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25425db
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: allow set dp drive setting when stream is not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3d53ca
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Remove unnecessary function definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58a6058
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.170 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd29c7f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Reset preferred training settings immediately (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7872f40
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.101.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e175d70
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Update VSC HDR infoPacket on TF change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd292e7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: remove PHY repeater count check for LTTPR
  mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Assume-an-LTTPR-is-always-present-on.patch.
- commit dd4422f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Support synchronized indirect reg access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8b69e9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add DSC Enable for Synaptics Hub (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d5c7b8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Retrieve MST Downstream Port Status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e90a106
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add Synaptics Fifo Reset Workaround (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97afd6b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add Cable ID support for native DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f4820d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Change return type of dm_helpers_dp_mst_stop_top_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe2e336
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Only set PSR version when valid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dcccb0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Change error to warning when hpd remains low for eDP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e433bd8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Driver support for MCLK query tool (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63d8ea0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: do not compare integers of different widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9695ab
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add protection in link encoder matching logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9447c7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Don't update drm connector when read local EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1795576
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: fix a coding error causing set throttled vcp size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da26001
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: rename dc_link_hwss struct to link_hwss (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0364700
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: add more link_hwss types and method to decide which (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd9279f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: abstract encoder related hwseq across different (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a18c44a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Drop DCN for DP2.x logic (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Assume-an-LTTPR-is-always-present-on.patch.
- commit 9491f65
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Add work around to enforce TBT3 compatibility. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c1257b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: factor out dp detection link training and mst top (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d106b3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: use existing fini_smc_tables function for cyan skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3c76a0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: add get_dpm_ultimate_freq function for cyan skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf55c3e
* Tue Dec  6 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: No longer insert ras blocks into ras_list if it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8089c11
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Move xgmi ras initialization from .late_init to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5fdc94
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix channel index mapping for SIENNA_CICHLID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82348a2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: switch to common helper to read bios from rom (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dadc71
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: retire rlc callbacks sriov_rreg/wreg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e47194c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: switch to amdgpu_sriov_rreg/wreg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ec8f86
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add helper for rlcg indirect reg access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35fd196
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: init rlcg_reg_access_ctrl for gfx10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f7893a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: init rlcg_reg_access_ctrl for gfx9 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2ae359
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add structures for rlcg indirect reg access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50e2e81
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: switch to get_rlcg_reg_access_flag for gfx10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6caa2a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: switch to get_rlcg_reg_access_flag for gfx9 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25973e7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to query rlcg reg access flag
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-set-vm_update_mode-0-as-default-for-Sienn.patch.
- commit 4d334f7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e6a369
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: remove useless if (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 393750f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: use dev_*** to print output in multiple GPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cc8ab3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: drop WARN_ON in amdgpu_gart_bind/unbind (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99eda3f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Not to call dpcd_set_source_specific_data during (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08b8a45
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded hwmgr->smu_lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f4864f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded feature->mutex (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-pm-use-bitmap_-from-to-_arr32-where-appropri.patch.
- commit a35f84d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded smu_baco->mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78ef37f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded smu->sensor_lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8585ccb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded smu->metrics_lock (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-pm-update-smartshift-powerboost-calc-for-smu-cdf4c8ec3987.patch.
- Refresh
  patches.suse/drm-amd-pm-update-smartshift-powerboost-calc-for-smu.patch.
- commit 3c233a7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded vcn/jpeg_gate_lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 75a2f48
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unneeded lock protection smu->mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9048d8a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: enable amdgpu_dc module parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 003eadb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd: Fix MSB of SMU version printing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfad276
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Disable FRU EEPROM access for SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23a351c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix the page fault caused by uninitialized variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16b9517
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix convert bad page retiremt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74e4b1c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: enable heavy-weight TLB flush on Arcturus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee8340f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix broken debug sdma vram access function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13ae579
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove gart.ready flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13597c0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove unused variable warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcb887a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4d819f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Remove repeated calls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ad57ee
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: modify a pair of functions for the pcie port wreg/rreg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7729b9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add vram check function for GMC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c428273
* Tue Dec  6 2022 pjakobsson@suse.de
- amdgpu/amdgpu_psp: remove unneeded ret variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b2d268
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/radeon: fix UVD suspend error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9af1586
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Add missing pm_runtime_put_autosuspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3326732
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: move calcs folder into DML (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-building-new-display-engine-w.patch.
- commit f96aed6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.169 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d16db80
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.100.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3ae4bd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: update dml to rev.99 and smu clk_table w/a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1566119
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Fix black screen issue on memory clock switch en (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df189d8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: DCEFCLK DS on CLK init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0aee66
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: modify SMU_TIMEOUT macro. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee9502e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: move FPU associated DCN302 code to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a40bb2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.168 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1565745
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: support new PMFW interface to disable Z9 only (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea5c7e1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: adjust bit comparison to be more type safe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f54c56d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Disabled seamless boots on DP and renamed
  power_down_display_on_boot (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-power-gating-before-init_pipe.patch.
- commit 46a26f0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: Enable sysfs required by rocm-smi tool for One VF mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3309064
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the code style warnings in hdp xgmi mca and umc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41e9aa3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the code style warnings in sdma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9598ee
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the code style warnings in gmc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45c93a9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the code style warnings in gfx (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f44d8f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Fix the code style warnings in amdgpu_ras (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f85861c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: drop redundant check of ip discovery_bin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2447e4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: handle denied inject error into critical regions v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06b3e34
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: add message smu to get ecc_table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 706acfe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: add new query interface for umc_v8_7 block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e617b5a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: Update smu driver interface for sienna cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22f6607
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Remove redundant initialization of dpg_width (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4408ee6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: Replace one-element array with flexible-array member (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a21c7a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: fix null ptr access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0eedc9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: fix compile warning for ras_block_match_default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4633649
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Use ARRAY_SIZE to get array length (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e66a92
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 148f85a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cf80fe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: No longer insert ras blocks into ras_list if it already (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e69c50
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Add ras supported check for register_ras_block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb441f2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Add interface to load SRIOV cap FW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1454cb0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdkfd: Fix indentation on switch statement (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8ece9b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup ttm debug sdma vram access function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f31aa2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: improve debug VRAM access performance using sdma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49af46b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Removed redundant ras code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 758a162
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Adjust error inject function code style in amdgpu_ras.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6adc3d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify mca block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1470362
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify sdma block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b493e1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify umc block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3fb0aa0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify nbio block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1ae542
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify mmhub block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 759effe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify hdp block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b5a7a8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify xgmi block to fit for the unified ras
  block data and ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Move-psp_xgmi_terminate-call-from-amdgpu_.patch.
- commit 8947812
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify gfx block to fit for the unified ras block data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76718ad
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Modify the compilation failed problem when other ras (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3023fb3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: Unify ras block interface for each ras block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9b0a1e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: correct the checks for fan attributes support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df2550a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/pm: move additional logic into (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa56125
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop those unrealistic thermal_type checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39f82bb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: wrap those atombios APIs used by SI under (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3769846
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: unified lock protections in amdgpu_dpm.c
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-don-t-use-BACO-for-reset-in-S3.patch.
- commit 08a8ab4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: revise the performance level setting APIs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a63e0e3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop unnecessary gfxoff controls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e6edad
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: relocate the power related headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit baf6041
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose the smu_context structure used internally (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a73e099
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: drop redundant or unused APIs and data structures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e241e8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: move those code piece used by Stoney only to smu8_hwmgr.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edb1836
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: optimize the amdgpu_pm_compute_clocks() implementations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd4c0e4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: move pp_force_state_enabled member to amdgpu_pm structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f25ade3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: create a new holder for those APIs used only by legacy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a839d6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose the API used internally only in kv_dpm.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e1361a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose those APIs used internally only in si_dpm.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0475ef4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose those APIs used internally only in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 328f7be
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose power implementation details to display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48069cf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose power implementation details to amdgpu_pm.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a7e2e4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/pm: do not expose implementation details to other blocks out (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edc24b7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/radeon: use kernel is_power_of_2 rather than local version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 302417f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amd/display: Enable Freesync Video Mode by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfa634e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: make sienna cichlid function static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d1fa19
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf-map: Rename to iosys-map (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-ttm-fix-locking-in-vmap-vunmap-TTM-GEM-helpers.patch.
- Refresh patches.suse/drm-udl-Drop-unneeded-alignment.patch.
- commit ee21c1c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix trailing semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d06f050
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Disable unused power wells left enabled by BIOS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b80e92b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Do not spam log with missing arch support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e51ab9c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move [more] GT registers to their own header file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d98fd5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Only include i915_reg.h from .c files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfe8355
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move GT registers to their own header file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f64a4c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Parameterize MI_PREDICATE registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2e368f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Parameterize R_PWR_CLK_STATE register definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 811b7d6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/perf: Express OA register ranges with i915_range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3431ebe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/perf: Move OA regs to their own header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5cd344
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: remove VGA register definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bf018a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/vga: switch to use VGA definitions from video/vga.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f95329
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: s/GRAPHICS_VER/DISPLAY_VER/ where appropriate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8805266
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Document BDW+ DRRS M/N programming requirements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2655475
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Always check dp_m2_n2 on pre-bdw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7b4c25
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Dump dp_m2_n2 always (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb9d71d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Program pch transcoder m2/n2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 569d622
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clear DP M2/N2 when not doing DRRS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26ec52c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix transcoder_has_m2_n2() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4a8b0a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract can_enable_drrs() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f057d2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract {i9xx,ilk}_configure_cpu_transcoder() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db21cf1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move M/N setup to a more logical place on ddi platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68f1112
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move PCH transcoder M/N setup into the PCH code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6865de
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Pass crtc+cpu_transcoder to intel_cpu_transcoder_set_m_n() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ec1f6d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Split intel_cpu_transcoder_get_m_n() into M1/N1 vs. M2/N2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2af240
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Split intel_cpu_transcoder_set_m_n() into M1/N1 vs. M2/N2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit abf870f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Nuke ilk_get_fdi_m_n_config() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d169021
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Nuke intel_dp_get_m_n() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d955189
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Nuke intel_dp_set_m_n() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84ea866
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Enable rpm wakeref tracking whether runtime pm is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6e7c79
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move drrs hardware bit frobbing to small helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa55251
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: s/gmch_{m,n}/data_{m,n}/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4bce9a3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up M/N register defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5afc118
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract intel_{get,set}_m_n() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 361401e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up PIPESRC defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b69f795
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up PCH_TRANSCONF/TRANS_DP_CTL bit defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b23b5f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up PIPECONF bit defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 960356e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up SKL_BOTTOM_COLOR defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 257905c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up PIPEMISC register defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3180d13
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Bump DSL linemask to 20 bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0790040
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use single_enabled_crtc() in i9xx_update_wm() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0dd408f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use the correct plane source width in watermark (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2592cd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix up pixel_rate vs. clock confusion in wm calculations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2a35ce
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move dsc/joiner enable into hsw_crtc_enable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 852ae2a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract hsw_configure_cpu_transcoder() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95deec7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use per-device debugs for bigjoiner stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65299e8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Simplify intel_dsc_source_support() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6cee26
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Skip dsc readout if the transcoder is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4e2e31
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Don't allocate extra ddb during async flip for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a3c43f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use wm0 only during async flips for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit add7dea
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce do_async_flip flag to intel_plane_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afabbc1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Pass plane to watermark calculation functions
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Treat-SAGV-block-time-0-as-SAGV-disabled.patch.
- commit b4fe7f1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce ilk_pch_pre_enable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b375fb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/cdclk: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7805357
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/cdclk: update intel_dump_cdclk_config() logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a3796d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/lspcon: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7441a2b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/sprite: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 370a79b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/plane: convert to drm device based logging and WARN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f9696c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aad794d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/hotplug: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5fcd49
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/pps: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92cdf50
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/snps: convert to drm device based logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8d8703
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: nuke local versions of WARN_ON/WARN_ON_ONCE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19d276f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Nuke dg2_ddi_pre_enable_dp() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b19bd9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/hdmi: Clean up TMDS clock limit exceeding user mode handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91e0d0d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up pre-skl primary plane registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e42d697
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: only ack the ESI we actually handled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2994ed
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: ack sink irq ESI for link status changes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d39581
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: read link status only when requested by sink in ESI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 188bc0a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: abstract handling of link status in DP MST (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df420c2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: debug log 4 bytes of ESI right after reading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d6b556
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: abstract intel_dp_ack_sink_irq_esi() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5941345
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/mst: fix intel_dp_mst_hpd_irq() indentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae1bc4a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out i915_reg_read_ioctl() to i915_ioctl.[ch] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 111bf53
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dmc: Eliminate remnant GEN<n> references (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 013baf2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up vlv/chv sprite plane registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc8715f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/hdmi: Ignore DP++ TMDS clock limit for native HDMI ports (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28d8093
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/bios: Nuke DEVICE_TYPE_DP_DUAL_MODE_BITS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edfb6d4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/bios: Throw out the !has_ddi_port_info() codepaths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4798cc2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/bios: Use i915->vbt.ports[] for all g4x+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5455e3f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/bios: Use i915->vbt.ports[] on CHV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 530fb0f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/bios: Introduce has_ddi_port_info() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52a1dff
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove zombie async flip vt-d w/a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ac1435
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dpll: make intel_shared_dpll_funcs internal to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb906a9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Nuke pointless middle men for skl+ plane programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bf6b65
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Declutter color key register stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 754b226
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Extract skl_plane_aux_dist() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 305a3d7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up cursor registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b584bfb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up g4x+ sprite plane registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 041f57f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Clean up ivb+ sprite plane registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01b19cc
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use REG_BIT() & co. for universal plane bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36589fe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Sipmplify PLANE_STRIDE masking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26e8c4c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/psr: remove unused lines_to_wait vbt info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da8d505
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/pcode: rename sandybridge_pcode_* to snb_pcode_* (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d263cf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dp: make intel_dp_pack_aux() static again (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a63f29b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify vgpu_types (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 546730b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify gtt_type_table_entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c373f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify formats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af37a63
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify cmd_interrupt_events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e25981
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify gvt_mmio_block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ceb685
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify intel_gvt_sched_policy_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a068bd4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify intel_gvt_irq_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df2f5e1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify intel_gvt_gtt_pte_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7f0189
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Constify intel_gvt_gtt_gma_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b31dfb9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Fix cmd parser error for Passmark9 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35d5a26
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gvt: Use list_entry to access list members (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93b9775
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Drop unused _PORT3 and _PORT4 TC phy register offsets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 656ed17
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move TC PHY registers to their own header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ed58f4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move combo PHY registers to their own header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ebefbe
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Move SNPS PHY registers to their own header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bcd565
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/gt: Move engine registers to their own header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba9cfc3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Introduce i915_reg_defs.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b99b4e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Replace GFX_MODE_GEN7 with RING_MODE_GEN7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56c5100
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use RING_PSMI_CTL rather than per-engine macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b709825
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Parameterize ECOSKPD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf27f2f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Parameterize PWRCTX_MAXCNT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46668b5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Use parameterized GPR register definitions everywhere (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1746aaf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/snps: vswing value refined for SNPS phys (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 3f26804
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out vlv sideband registers from i915_reg.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0219b1a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out PCI config space registers from i915_reg.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1810f6a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out gem/i915_gem_tiling.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cfc539
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out gem/i915_gem_userptr.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a96b8c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out i915_gem_evict.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66def7d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out i915_cmd_parser.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c06160e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: split out i915_getparam.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2150365
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Fix possible NULL pointer dereferences in i9xx_update_wm() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c2a5e5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: stop including i915_irq.h from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f67eca
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/opregion: add support for mailbox #5 EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb9563c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dsi: Drop double check ACPI companion device for NULL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 871c5e6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/bios: fix slab-out-of-bounds access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 987a467
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Always include the debugfs dentry in drm_crtc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72fbe07
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/adl-n: Enable ADL-N platform (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2d3afd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/dg1: Read OPROM via SPI controller (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8e047e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915: Remove unused intel_gmbus_set_speed() function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5567264
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/backlight: Make ext_pwm_disable_backlight() call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3984296
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fbc: Register per-crtc debugfs files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a74bff0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce device info fbc_mask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d0b788
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fbc: Loop through FBC instances in various places (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a5e8a4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/fbc: Parametrize FBC register offsets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74c7a02
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/cdclk: move struct intel_cdclk_funcs to intel_cdclk.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fe9001
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/i915/cdclk: turn around i915_drv.h and intel_cdclk.h dependency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb38d2e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panel: simple: add Multi-Inno Technology MI0700S4T-6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 941db79
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: mxsfb: Shutdown the display on system shutdown (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16a80ef
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: mxsfb: Shutdown the display on remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58af7b2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Add TODO item for requesting memory regions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 897487a
* Tue Dec  6 2022 pjakobsson@suse.de
- fbdev/simplefb: Request memory region in driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 598c5e2
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/simpledrm: Request memory region in driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad1ba4e
* Tue Dec  6 2022 pjakobsson@suse.de
- fbdev: Hot-unplug firmware fb devices on forced removal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf85715
* Tue Dec  6 2022 pjakobsson@suse.de
- gpu: drm: panel-edp: Add panels planned for sc7180-trogdor-pazquel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8dc7793
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ttm: add a weak BO reference to the resource v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d54cb79
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ttm: add back a reference to the bdev to the res manager (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdf4eb7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ttm: add ttm_resource_fini v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54c0dc1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: Support type 7 timings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e334cf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Change CSC callback prototype (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e92bb8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Define colorspace matrices (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf359c4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Replace CSC_CTL hardcoded value by defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba3fafa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Move XBAR setup to csc_setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2512764
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Use full range helper in csc functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit add6f2a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Add full range RGB helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3da2ac5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: Split deep color modes between RGB and YUV444 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b958527
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: Rename drm_hdmi_avi_infoframe_colorspace to _colorimetry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6478ab3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/docs: Document where the C8 color lut is stored (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a199e67
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/gma: Remove calls to kmap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c1cfaa
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: improve non-desktop quirk logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfd0f8d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: remove non_desktop quirk for HPN-3515 and LEN-B800. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 946416a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/edid: support Microsoft extension for HMDs and specialized (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e45d60
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: use ttm_resource_manager_debug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb71ea5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/radeon: use ttm_resource_manager_debug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b265f9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Update docs after moving DisplayPort helpers around (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5287394
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/locking: fix drm_modeset_acquire_ctx kernel-doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd9aed4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/malidp: Replace module initialization with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27fbc9f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/arm/hdlcd: Replace module initialization with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8895f39
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/komeda: Replace module initialization with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2be7c73
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/imx/dcss: Replace module initialization with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fae84db
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Provide platform module-init macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e82067
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/hisilicon/hibmc: Replace module initialization with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fcd2181
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/cirrus: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8be478
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bochs: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9766620
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ast: Replace module-init boiler-plate code with DRM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4542cfc
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: Provide PCI module-init macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78d7a54
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/doc: Fix TTM acronym (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03c3a07
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: Remove extra device acquisition method of i2c client in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e07d90
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/msm: Fix include statements for DisplayPort (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2660680
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/selftests: Select DRM_DP_HELPER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ecceca9
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf: drop excl_fence parameter from dma_resv_get_fences (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92ecd2f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/amdgpu: remove excl as shared workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2284d60
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: move the buddy allocator from i915 into common drm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c185047
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Return -EPROBE_DEFER if the dsi host was not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9013921
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: Move public DisplayPort headers into dp/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a7badf
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: Move DisplayPort helpers into separate helper module (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b8ed8c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: Move DP declarations into separate header file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dea0f3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp_mst: Remove trailing whitespace. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d9959b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: sii902x: add support for DRM_BRIDGE_ATTACH_NO_CONNECTOR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 623271e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panfrost: initial dual core group GPUs support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18f370f
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: s3c-fb: remove redundant initialization of pointer bufs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be5d8b5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: remove redundant assignment of variable size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46fece0
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: bridge: it66121: Remove redundant check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ca415e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: dw-mipi-dsi: Switch to atomic operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0aa33f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: Drop format_mod_supported function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e5c6f6
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: add support of ycbcr pixel formats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06b0f2f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: add support of flexible pixel formats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98b6477
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: add per plane update support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f729c3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: add YCbCr 422 output support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4aef070
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: switch to regmap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16fb3d7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panfrost: Merge some feature lists (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62ecfa3
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panfrost: Remove features meant for userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8e41ee
* Tue Dec  6 2022 pjakobsson@suse.de
- video: vga16fb: Fix logic that checks for the display standard (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4a3635
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: bridge: nwl-dsi: Drop panel_bridge from nwl_dsi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a30afcc
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: adv7533: make array clock_div_by_lanes static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ddb654
* Tue Dec  6 2022 pjakobsson@suse.de
- Revert "drm: exynos: dsi: Convert to bridge driver" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3b93fc
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/gma500: remove redundant ret variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e73cf4f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/mst: use DP_GET_SINK_COUNT() for sink count in ESI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0efc25d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dp: note that DPCD 0x2002-0x2003 match 0x200-0x201 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 133a489
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: Notify the firmware when DRM is in charge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1435c9
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: Remove conflicting framebuffers before callind bind_all (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72bc497
* Tue Dec  6 2022 pjakobsson@suse.de
- firmware: raspberrypi: Add RPI_FIRMWARE_NOTIFY_DISPLAY_DONE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7a6ebb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vc4: Support nomodeset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70a2620
* Tue Dec  6 2022 pjakobsson@suse.de
- dma-buf-map: Fix dot vs comma in example (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d790eec
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panfrost: Update create_bo flags comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2853f5c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/privacy_screen_x86: Add entry for ChromeOS privacy-screen (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcc7e2b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/privacy_screen: Add drvdata in drm_privacy_screen (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac5dbda
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: anx7625: add audio codec .get_eld support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dcad93
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: anx7625: add HDCP support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 315e378
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Add bridge helper atomic conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 838450f
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vkms: drop "Multiple overlay planes" TODO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5eb1076
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vkms: add support for multiple overlay planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0db4410
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/vkms: refactor overlay plane creation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96ea68a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge/tc358775: Fix for dual-link LVDS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f7a6fd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: omapdrm: Fix implicit dma_buf fencing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df74809
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/panel: Update Boe-tv110c9m initial code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c20fb51
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/plane: Fix typo in format_mod_supported documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00b93d1
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/plane: Make format_mod_supported truly optional (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ec0024
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Link device to ensure suspend/resume order (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6e2db7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: exynos: dsi: Add mode_set function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7463ad8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm: exynos: dsi: Convert to bridge driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 606af11
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Fix null vs IS_ERR() checking in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c18c83c
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Check GPIO description to avoid crash (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96632cb
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: ltdc: support of new hardware version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a62eac4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: remove conflicting framebuffers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c981484
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: chipone-icn6211: Add mode_set API (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0004-drm-bridge-icn6211-Fix-HFP_HSW_HBP_HI-and-HFP_MIN-ha.patch.
- Refresh
  patches.suse/drm-bridge-icn6211-Fix-register-layout.patch.
- commit db34138
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: chipone-icn6211: Switch to atomic operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1257b8e
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: dsi: provide the implementation of mode_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 667f197
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge/synopsys: dsi: extend the prototype of mode_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63e8bd4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/stm: dsi: move lane capability detection in probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2df74b
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/dbi: Use a static inline stub for mipi_dbi_debugfs_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd682f8
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Add vcc supply regulator support
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0008-drm-bridge-sn65dsi83-Fix-an-error-handling-path-in-s.patch.
- commit fa8d002
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Make enable GPIO optional (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3afc767
* Tue Dec  6 2022 pjakobsson@suse.de
- mock a drm_plane in igt_check_plane_state to make the test more (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85e6354
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: add support for eDP link rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f14476
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: add support for hbr3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6af4106
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: add support for lttprs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9123a7
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: fixup cr/eq delays for 1.4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb96a10
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: add support for tps4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 633ed18
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: generate supported link rates table at detect (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8def57a
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp/dp: explicitly control scrambling when setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 218a6a5
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/nouveau/disp: remove some remnant of a rework (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91563c4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ingenic: Add support for JZ4780 and HDMI output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9e749d
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/ingenic: prepare ingenic drm for later addition of JZ4780 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89afcfc
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/tilcdc: add const to of_device_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6010c52
* Tue Dec  6 2022 pjakobsson@suse.de
- nds32: Remove the architecture (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95d0abd
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/rockchip: cdn-dp: Support HDMI codec plug-change callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a93b4e
* Tue Dec  6 2022 pjakobsson@suse.de
- media: v4l2-mediabus: Use structures to describe bus configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe3e643
* Tue Dec  6 2022 pjakobsson@suse.de
- media: v4l2-fwnode: Move bus config structure to v4l2_mediabus.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e8a9b9
* Tue Dec  6 2022 pjakobsson@suse.de
- media: drm/mediatek: Get rid of mtk_smi_larb_get/put (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2f308c
* Tue Dec  6 2022 pjakobsson@suse.de
- media: drm/mediatek: Add pm runtime support for ovl and rdma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebb8d92
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: kyro: make read-only array ODValues static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86929e9
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: offb: fix warning comparing pointer to 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10a48ac
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: s3c-fb: fix platform_get_irq.cocci warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1f790d
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: via: check the return value of kstrdup() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e5c433
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: au1100fb: Spelling s/palette/palette/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 530dc55
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: atari: Remove unused atafb_setcolreg() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fae924a
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: atari: Convert to standard round_up() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 452d648
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: atari: Fix TT High video mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0700d1b
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: Use sysfs_emit() instead of snprintf() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40eb2ce
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: s3c-fb: Use platform_get_irq() to get the interrupt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6d6d4e
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: Fix wrong file path for pvr2fb.c in Kconfig help text (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36e04d7
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: pxa3xx-gcu: Remove unnecessary print function dev_err() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f160b6f
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: pxa168fb: Remove unnecessary print function dev_err() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02cc3e7
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: pxa168fb: Initialize pointers with NULL and not plain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4320216
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: savagefb: make a variable local (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b30c17
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbmem: use swap() to make code cleaner in fb_rotate_logo() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51a3dd9
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: mmp: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2b7c09
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: s3c-fb: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bf130b
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: ssd1307fb: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b89ba20
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: pxa3xx-gcu: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd621b1
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: pxa168fb: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25cac06
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: da8xx-fb: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c242063
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: panel-tpo-td043mtea1: Make use of the helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1be06d
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: panel-sharp-ls037v7dw01: Make use of the helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a6a811
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: lcd_ams_delta: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7b2482
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: panel-lgphilips-lb035q02: Make use of the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9e8fbc
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: asiliantfb: remove redundant assignment to variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7012512
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: atyfb: Remove assigned but never used variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ff8cd3
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: au1200fb: Make use of dma_mmap_coherent() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ae1c30
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: via: Fix spelling mistake "bellow" -> "below" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b67abd
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: s3c-fb: drop unneeded MODULE_ALIAS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7fb345
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: ocfb: add const to of_device_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7767dec
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: sis: use swap() to make code cleaner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 097d0e0
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: mb862xx: remove redundant assignment to pointer ptr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d58ed1
* Tue Dec  6 2022 pjakobsson@suse.de
- backlight: qcom-wled: Add PM6150L compatible (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4407bd
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: mach64_ct: remove redundant res variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4f662e
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: use default_groups in kobj_type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 579463c
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: omapfb: Remove redundant 'flush_workqueue()' calls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7e2421
* Tue Dec  6 2022 pjakobsson@suse.de
- backlight: lm3630a_bl: Remove redundant 'flush_workqueue()' calls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 598a7f3
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: imxfb: Check for null res pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4d4087
* Tue Dec  6 2022 pjakobsson@suse.de
- video: fbdev: aty128fb: make some arrays static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cdc6a5
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dmc-Add-MMIO-range-restrictions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8376db0
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/dma-buf-fix-use-of-DMA_BUF_SET_NAME_-A-B-in-userspac.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c539c8
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Fix-build-error-for-implicit-function-d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3178ea
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-Fix-a-potential-theorical-leak-in-nouvea.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db05a43
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-tegra-Stop-using-iommu_present.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ded65c
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-Disable-command-buffers-on-svga3-without-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e63740
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-Initialize-drm_mode_fb_cmd2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 526a35c
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-vmwgfx-Fix-fencing-on-SVGAv3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbb5f06
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-amd-pm-keep-the-BACO-feature-enabled-for-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70809e0
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-remove-fail-safe-mode-related-code.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit eecbede
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Avoid-reading-audio-pattern-past-AUD.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74fe615
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-do-not-use-passthrough-mode-in-Xen-dom0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94a5248
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0021-drm-amd-display-Fix-memory-leak-in-dcn21_clock_sourc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca7761f
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/0020-drm-amdkfd-Fix-GWS-queue-count.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 52e00f3
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0019-drm-i915-Fix-SEL_FETCH_PLANE_-PIPE_B-register-addres.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 308387f
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0018-drm-i915-Check-EDID-for-HDR-static-metadata-when-cho.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1ae946
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0017-drm-sun4i-Remove-obsolete-references-to-PHYS_OFFSET.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95bcc61
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-i740fb-Error-out-if-pixclock-equals-zero.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 285b9fb
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0002-video-fbdev-udlfb-properly-check-endpoint-type.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d128065
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-Use-pm_runtime_resume_and_get-to-fix-pm_runt.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 667a7d5
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-raspberrypi-touchscreen-Initialise-the-bri.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74b37e6
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-raspberrypi-touchscreen-Avoid-NULL-deref-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c63243
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-display-psr-Unset-enable_psr2_sel_fetch-if-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7bd611
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Enable-gfxoff-quirk-on-MacBook-Pro.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bf7fa3
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Ensure-HDA-function-is-suspended-before-A.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a71ea8d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-don-t-ignore-alpha-property-on-pre-m.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 750e758
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-add-fail-safe-mode-outside-of-event_mutex.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 8a34702
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-Use-connector-directly-in-msm_dsi_manage.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 365c3f5
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-mdp5-check-the-return-of-kzalloc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit d0d3cf7
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-Fix-range-size-vs-end-confusion.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca1b7b4
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-disp-check-the-return-value-of-kzalloc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 769ac05
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-Add-missing-put_task_struct-in-debugfs-path.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc00946
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-pmu-Add-missing-callbacks-for-Tegra-devi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9fdab8
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-smu10-fix-SoC-fclk-units-in-auto-mode.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2177a21
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-display-change-pipe-policy-for-DCN-2.1.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7164b33
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-don-t-use-BACO-for-reset-in-S3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 15c50bf
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Create-file-descriptor-after-client-is-ad.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9151e6
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/amd-display-set-backlight-only-if-required.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24ed544
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-allocate_mst_payload-assert-on-r.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfb183a
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Revert-FEC-check-in-validation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10f025b
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Enable-power-gating-before-init_pipe.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 680fea1
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/gpu-ipu-v3-Fix-dev_dbg-frequency-output.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 751c180
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-imx-dw_hdmi-imx-Fix-bailout-in-error-cases-of-pr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfbca2b
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-imx-Fix-memory-leak-in-imx_pd_connector_get_mode.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14af028
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-imx-imx-ldb-Check-for-null-pointer-after-calling.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6dda65e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Check-for-potential-null-return-of-kmallo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fdf3d7
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-vcn-improve-vcn-dpg-stop-procedure.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10e7d63
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Fix-Incorrect-VMIDs-passed-to-HWS.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c34babe
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-vcn-Fix-the-register-setting-for-vcn1.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0e33dc
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Update-VTEM-Infopacket-definition.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a50fd6d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-FEC-check-in-timing-validation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b913b2
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-fix-audio-format-not-updated-after-e.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b802131
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-p-state-allow-debug-index-on-dcn.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb0792d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-fix-off-by-one-in-amdgpu_gfx_kiq_acquire.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c0c4da
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-conduct-a-proper-cleanup-of-PDB-bo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66e0ef3
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-amd-Add-USBC-connector-ID.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4350054
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0016-drm-edid-fix-CEA-extension-byte-3-parsing.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8a883e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-edid-check-basic-audio-support-on-CEA-extension-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f4407a
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-PSF-GV-point-mask-when-SAGV-is-not-poss.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 973bab1
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Treat-SAGV-block-time-0-as-SAGV-disabled.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 16a1cb9
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Reject-unsupported-TMDS-rates-on-ICL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f08d776
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Add-pstate-verification-and-recovery.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6e006b
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-display-Fix-HPD-short-pulse-handling-for-eD.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d360d47
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gem-add-missing-boundary-check-in-vm_access.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae97b5e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-msm-Fix-dirtyfb-refcounting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f98193
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-Avoid-dirtyfb-stalls-on-video-mode-displays-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5589658
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-hdmi-Remove-spurious-IRQF_ONESHOT-flag.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cb50ea
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-Remove-spurious-IRQF_ONESHOT-flag.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6ce870
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-Use-ref-fw-clock-instead-of-global-name-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76e41d8
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-always-add-fail-safe-mode-into-connector-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e94c99
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-stop-link-training-after-link-training-2-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fae11d5
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-populate-connector-of-struct-dp_panel.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5c79e0
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-msm-dpu-fix-dp-audio-condition.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 860cf55
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-msm-dpu-add-DSPP-blocks-teardown.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27c9561
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-cdns-dsi-Make-sure-to-to-create-proper-al.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e11fb91
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-simpledrm-Add-panel-orientation-property-on-non-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff9a2cc
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/gpu-host1x-Fix-a-memory-leak-in-host1x_remove.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a6154d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-tegra-Fix-reference-leak-in-tegra_dsi_ganged_pro.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e97b96
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Remove-vupdate_int_entry-definition.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 299eb61
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-make-CRAT-table-missing-message-informati.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c628f70
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-mediatek-Allow-commands-to-be-sent-during-video-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aada785
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-anx7625-Fix-overflow-issue-on-reading-EDI.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 414f1e5
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-syncobj-flatten-dma_fence_chains-on-transfer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44c18c4
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-dw-hdmi-use-safe-format-when-first-in-bri.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9befc47
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-backlight-Just-set-all-backlight-types-a.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 330c65d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-fb-helper-Mark-screen-buffers-in-system-memory-w.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d37e22
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-Add-missing-pm_runtime_put_sync.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66c62d6
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-i915-dg2-Add-Wa_22011100796.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7f4ebe
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-a-race-between-vma-object-destruction-a.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit faffb26
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0011-drm-amdgpu-fix-amdgpu_ras_block_late_init-error-hand.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit a8fbedb
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Add-affected-crtcs-to-atomic-state-f.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dbe390
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-enable-pm-sysfs-write-for-one-VF-mode.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d58e70
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Fix-recursive-locking-warning.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8190c91
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Don-t-take-process-mutex-for-svm-ioctls.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4658f38
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-return-ENOTSUPP-if-there-is-no-get_dpm_ul.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e67601
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-a-NULL-pointer-dereference-in-am.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59bd238
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Use-PSR-version-selected-during-set_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10f741c
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/drm-amd-display-Fix-memory-leak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 599bba9
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-amdgpu-amdgpu_cs-fix-refcount-leak-of-a-dma_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68e5789
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-suppress-the-warning-about-enum-value-AMD.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7470d36
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Add-signal-type-check-when-verify-st.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37dbeaa
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-Add-orientation-quirk-for-GPD-Win-Max.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2fc1921
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-acr-Fix-undefined-behavior-in-nvkm_acr_h.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e945df4
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0001-drm-connector-Fix-typo-in-output-format.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17d43ca
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-edid-Don-t-clear-formats-if-using-deep-color.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 409075e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-selftests-test-drm_dp_mst_helper-Fix-memory-leak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 807c766
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0001-drm-ast-Create-threshold-values-for-AST2600.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a40951d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/mgag200-fix-memmapsl-configuration-in-GCTL6-register.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d8ad3e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-virtio-Ensure-that-objs-is-not-NULL-in-virtio_gp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 527bd8e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update patches.suse/udmabuf-validate-ubuf-pagecount.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d1c3ac
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panfrost-Check-for-error-num-after-setting-mask.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7bb875
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-doc-overview-before-functions-for-drm_writeback..patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67797f5
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-v3d-v3d_drv-Check-for-error-num-after-setting-ma.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbfce24
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-adv7511-Fix-ADV7535-HPD-enablement.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 032381c
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-nwl-dsi-Fix-PM-disable-depth-imbalance-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40ba1ec
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-Add-missing-pm_runtime_disable-in-__dw_mi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2928252
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-Fix-free-wrong-object-in-sii8620_init_rcp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99f54dc
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-Fix-error-handling-when-afbcd.ops-init-fai.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 641347b
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-osd_afbcd-Add-an-exit-callback-to-struct-m.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8585ce
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/0008-drm-bridge-sn65dsi83-Fix-an-error-handling-path-in-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit b356b22
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-omapfb-Add-missing-of_node_put-in-dvic_p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64a14fc
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-sm712fb-Fix-crash-in-smtcfb_write.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f4a288
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-sm712fb-Fix-crash-in-smtcfb_read.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c35542
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-atari-Atari-2-bpp-STe-palette-bugfix.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fc62c8
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-udlfb-replace-snprintf-in-show-functions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45982be
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-omapfb-panel-tpo-td043mtea1-Use-sysfs_em.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5930563
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-omapfb-panel-dsi-cm-Use-sysfs_emit-inste.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb40eea
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-fbcvt.c-fix-printing-in-fb_cvt_print_nam.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb53e5c
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-atmel_lcdfb-fix-an-error-code-in-atmel_l.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3ed884
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-omapfb-acx565akm-replace-snprintf-with-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1cf7ba
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-cirrusfb-check-pixclock-to-avoid-divide-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6b4d1d
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-w100fb-Reset-global-state.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a30c7e6
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-nvidiafb-Use-strscpy-to-prevent-buffer-o.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 15ae0a4
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-smscufx-Fix-null-ptr-deref-in-ufx_usb_pr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7041e2e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-controlfb-Fix-COMPILE_TEST-build.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bf015f
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-matroxfb-set-maxvram-of-vbG200eW-to-the-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7218a0e
* Tue Dec  6 2022 pjakobsson@suse.de
- Update
  patches.suse/video-fbdev-stifb-Implement-the-stifb_fillrect-funct.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2510f61
* Tue Dec  6 2022 pjakobsson@suse.de
- blacklist.conf: Unblacklist patches for the DRM v5.18 backport
- commit db7a320
* Tue Dec  6 2022 pjakobsson@suse.de
- supported.conf: Add drivers/gpu/drm/drm_cma_helper as supported
- commit b124d33
* Tue Dec  6 2022 pjakobsson@suse.de
- supported.conf: Add drivers/gpu/drm/drm_shmem_helper as supported
- commit 11a5bb4
* Tue Dec  6 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi83: Register and attach our DSI device at
  probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0008-drm-bridge-sn65dsi83-Fix-an-error-handling-path-in-s.patch.
- commit e2a80fe
* Tue Dec  6 2022 pjakobsson@suse.de
- Update config files for the DRM v5.17 backport.
- commit 5d71bba
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- commit ebad831
* Mon Dec  5 2022 pjakobsson@suse.de
- drm: Don't make DRM_PANEL_BRIDGE dependent on DRM_KMS_HELPERS
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/drm-bridge-fix-unmet-dependency-on-DRM_KMS_HELPER-fo.patch.
- commit 5d1a4a0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: make SPDX License expression more sound (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddabe04
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/panel: Select DRM_DP_HELPER for DRM_PANEL_EDP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a50615
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/psr: Set "SF Partial Frame Enable" also on full update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df8dfa1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: Search for TE-gpio in DSI panel's node (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c4c1bf
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: Don't fail if no TE-gpio is defined for DSI driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6840e3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: gsc: Use platform_get_irq() to get the interrupt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9605bd3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos/fimc: Use platform_get_irq() to get the interrupt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 30bb475
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos/exynos_drm_fimd: Use platform_get_irq_byname() to get the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a40c95f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: mixer: Use platform_get_irq() to get the interrupt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 984de21
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos/exynos7_drm_decon: Use platform_get_irq_byname() to get (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9536318
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Disconnect PHYs left connected by BIOS on disabled ports (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8a7055
* Mon Dec  5 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: add modifiers in amdgpu_vkms_plane_init()" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac09168
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix stream->link_enc unassigned during stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dadb8f6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: dpaux: Populate AUX bus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1749222
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Fix cast to restricted __le32 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e5f959
* Mon Dec  5 2022 pjakobsson@suse.de
- gpu: host1x: Always return syncpoint value when waiting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0550ff
* Mon Dec  5 2022 pjakobsson@suse.de
- gpu: host1x: Fix hang on Tegra186+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9ed503
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Fix the plane end Y offset check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02d2f42
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: mtk_dsi: Avoid EPROBE_DEFER loop with external bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 814f999
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu/display: change pipe policy for DCN 2.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc4e3dc
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: keep eDP Vdd on when eDP stream is already enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1caee8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add utcl2_harvest to gc 10.3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bce1d27
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Fix header test for !CONFIG_X86 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 266547a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Return some errors instead of trying memcpy move (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0c0af7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Fix oops due to missing stack depot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b1c30d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Fix KMD and GuC race on accessing busyness (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b03106
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Use PM timestamp instead of RING TIMESTAMP for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8d5761
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Lock timeline mutex directly in error path of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0af3d0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Allocate intel_engine_coredump_alloc with ALLOW_FAIL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 244d710
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: revert "Reset fifo after enable otg" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85811d0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix a potential GPU hang on cyan skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebc593d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: Only run s3 or s0ix if system is configured properly
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-avoid-suspend-on-dGPUs-w-s2idle-support-when.patch.
- commit 2d3f3b4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: add support to check whether the system is set to s3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 413154f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: Warn users about potential s0ix problems (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68ffcc7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu/display: Remove t_srx_delay_us. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a62f5b1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Wrap dcn301_calculate_wm_and_dlg for FPU. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c60a16
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu/display: use msleep rather than udelay for long delays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c23b687
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu/display: adjust msleep limit in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 705337e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: filter out radeon secondary ids as well (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53d1977
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: change FIFO reset condition to embedded display only (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3c7f4b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Correct MPC split policy for DCN301 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ce26a0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix for otg synchronization logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9d1165
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Cancel idle/boost work on suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca2f97a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Wait for idle before suspending (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef0ecf9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: remove variable set but not used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd32818
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mgag200: Fix PLL setup for g200wb and g200ew (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a367a0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/arm: arm hdlcd select DRM_GEM_CMA_HELPER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c78797
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/radeon: fix variable type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c86ab39
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/imx/dcss: i.MX8MQ DCSS select DRM_GEM_CMA_HELPER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41b272a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Unregister codec device on unbind (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fb4de5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/privacy-screen: Fix sphinx warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f74963a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vc4: crtc: Fix redundant variable assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b08f212
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Don't try disabling SCDC on Pi0-3. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e4eed0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Ensure we don't use 2711 HPD registers on Pi0-3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d8d4b5
* Mon Dec  5 2022 pjakobsson@suse.de
- fbdev: fbmem: Fix the implicit type casting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae78810
* Mon Dec  5 2022 pjakobsson@suse.de
- drm: mxsfb: Fix NULL pointer dereference (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58f513f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/privacy-screen: honor acpi=off in detect_thinkpad_privacy_screen (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b53473
* Mon Dec  5 2022 pjakobsson@suse.de
- Replace for_each_*_bit_from() with for_each_*_bit() where appropriate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d38d294
* Mon Dec  5 2022 pjakobsson@suse.de
- lib/stackdepot: allow optional init and stack_table allocation
  by kvmalloc() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- commit fb45318
* Mon Dec  5 2022 lduncan@suse.com
- Refresh patches.suse/block-remove-QUEUE_FLAG_DISCARD.patch.
  This fixes a compiler warning:
  * unused-variable (q) in ../drivers/block/loop.c in lo_fallocate
    ../drivers/block/loop.c: In function 'lo_fallocate':
    ../drivers/block/loop.c:311:24: warning: unused variable 'q' [-Wunused-variable]
- commit 2063438
* Mon Dec  5 2022 lduncan@suse.com
- scsi: hisi_sas: Fix memory ordering in hisi_sas_task_deliver()
  (git-fixes).
- commit 186bfca
* Mon Dec  5 2022 vbabka@suse.cz
- powerpc: drop dependency on <asm/machdep.h> in archrandom.h
  (jsc#PED-1248).
- commit 4260858
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: fix processing of delayed tree block refs during backref
  walking (bsc#1206057).
- commit 83a8ed2
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: fix processing of delayed data refs during backref
  walking (bsc#1206056).
- commit 2ec426f
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: fix send failure of a subcase of orphan inodes
  (bsc#1206036).
- commit 90cbaac
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: fix failures when processing inodes with no links
  (bsc#1206036).
- commit f017ade
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: use boolean types for current inode status
  (bsc#1206036).
- commit 36f86c0
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: refactor arguments of get_inode_info()
  (bsc#1206036).
- commit a80bf85
* Mon Dec  5 2022 lhenriques@suse.de
- ceph: avoid putting the realm twice when decoding snaps fails
  (bsc#1206051).
- ceph: allow ceph.dir.rctime xattr to be updatable (bsc#1206050).
- ceph: fix memory leak in ceph_readdir when note_last_dentry
  returns  error (bsc#1206049).
- ceph: fix inode reference leakage in ceph_get_snapdir()
  (bsc#1206048).
- ceph: do not update snapshot context when there is no new
  snapshot (bsc#1206047).
- ceph: switch netfs read ops to use rreq->inode instead of
  rreq->mapping->host (bsc#1206046).
- ceph: properly handle statfs on multifs setups (bsc#1206045).
- commit 777e847
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: remove unused type parameter to iterate_inode_ref_t
  (bsc#1206036).
- commit 0e9e4f2
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: remove unused found_type parameter to
  lookup_dir_item_inode() (bsc#1206036).
- commit 7f2d376
* Mon Dec  5 2022 pjakobsson@suse.de
- i915: simplify subdirectory registration with register_sysctl() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9de9e3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: apply vcn harvest quirk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3721eb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Revert W/A for hard hangs on DCN20/DCN21 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0fd452e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: drop flags check for CHIP_IP_DISCOVERY (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch.
- commit a5563a5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Fix rejecting Tahiti GPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e426ce3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: invert the logic in amdgpu_device_should_recover_gpu() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffe2058
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Enable recovery on yellow carp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82dd4e0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Implement new step in the TC voltage swing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78a057a
* Mon Dec  5 2022 pjakobsson@suse.de
- virtio: wrap config->reset calls (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/virtio_console-break-out-of-buf-poll-on-remove.patch.
- commit f73310d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Fix ASIC name typos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6363976
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Fix DQM asserts on Hawaii (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31cb7eb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Use correct VIEWPORT_DIMENSION for DCN2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdd95a2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/pm: only send GmiPwrDnControl msg on master die (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 043663f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: use spin_lock_irqsave to avoid deadlock by local (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 072a2d9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: not return error on the init_apu_flags (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3262cdb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Use prange->update_list head for remove_list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7749ce8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Use prange->list head for insert_list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d773d53
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: invalid parameter check in dmub_hpd_callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a5da2a
* Mon Dec  5 2022 pjakobsson@suse.de
- Revert "drm/amdgpu: Don't inherit GEM object VMAs in child process" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 230d056
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: use default_groups in kobj_type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b383a2a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: use default_groups in kobj_type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7f9e93
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add pcie indirect support to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8a9773
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: recover gart table at resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23637fb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: do not pass ttm_resource_manager to vram_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85a9841
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: do not pass ttm_resource_manager to gtt_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90680d5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Unmap MMIO mappings when device is not unplugged (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c9400f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Enable second VCN for certain Navy Flounder. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6afe0d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Clear garbage data in err_data before usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87eaf27
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add version check before using DP alt query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f0ffa0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: introduce mpo detection flags (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 283d65d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add check for forced_clocks debug option (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29f4a67
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: unhard code link to phy idx mapping in dc link and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 04ae21c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix underflow for fused display pipes case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b28a1ef
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add dummy event6 for vega10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 579e26e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: enable sdma ecc interrupt event can be handled by (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8469203
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mipi-dbi: Fix source-buffer address in mipi_dbi_buf_copy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3383d40
* Mon Dec  5 2022 pjakobsson@suse.de
- drm: fix error found in some cases after the patch d1af5cd86997 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14a27e7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: only fault WILLNEED objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd3aaa7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pxp: Hold RPM wakelock during PXP unbind (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3215217
* Mon Dec  5 2022 pjakobsson@suse.de
- dmaengine: xilinx_dpdma: stop using slave_id field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6344caf
* Mon Dec  5 2022 pjakobsson@suse.de
- kobject: remove kset from struct kset_uevent_ops callbacks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 147f072
* Mon Dec  5 2022 lhenriques@suse.de
- blacklist.conf: added 1b2ba3c5616e ("ceph: flush the mdlog for filesystem sync")
- commit a1975bc
* Mon Dec  5 2022 pjakobsson@suse.de
- backlight: qcom-wled: Remove unnecessary double whitespace
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/backlight-qcom-wled-Respect-enabled-strings-in-set_b.patch.
- commit 79ca77e
* Mon Dec  5 2022 pjakobsson@suse.de
- backlight: qcom-wled: Provide enabled_strings default for WLED 4 and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 788e232
* Mon Dec  5 2022 pjakobsson@suse.de
- backlight: qcom-wled: Remove unnecessary 4th default string in WLED3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fad4382
* Mon Dec  5 2022 pjakobsson@suse.de
- backlight: lp855x: Add support ACPI enumeration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcda8c0
* Mon Dec  5 2022 pjakobsson@suse.de
- backlight: lp855x: Add dev helper variable to lp855x_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a25d73e
* Mon Dec  5 2022 pjakobsson@suse.de
- backlight: lp855x: Move device_config setting out of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0436c6
* Mon Dec  5 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Fix for otg synchronization logic" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6829a8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: fix dereference before NULL check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 345029a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: save error count in RAS poison handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e58a01
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: drop redundant semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b790b34
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: get and restore link res map (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27b4e6d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: support dynamic HPO DP link encoder allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70dbf22
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: access hpo dp link encoder only through link (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d8352d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: populate link res in both detection and validation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4415211
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: define link res and make it accessible to all link (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7c82bb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.167 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53c50ad
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.98 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5821abb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Undo ODM combine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe952e0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add reg defs for DCN303 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6463484
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Changed pipe split policy to allow for multi-display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f40002
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Remove CR AUX RD Interval limit for LTTPR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4530972
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix check for null function ptr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbb0bd6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Block z-states when stutter period exceeds criteria (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83aa1a5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Refactor vendor specific link training sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de9b247
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Limit max link cap with LTTPR caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4be1eb5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Check the memory can be accesssed by (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47463b7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: correct sdma queue number in kfd device init (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit abd80a6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Access the FRU on Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ff2d05
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Only overwrite serial if field is empty (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7396a5f
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: always use the rbtree based inode ref management
  infrastructure (bsc#1206036).
- commit e503e70
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Enable unique_id for Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ad59ad
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Increase potential product_name to 64 characters (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f817a6f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Remove the redundant code of psp bootloader functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f78fbd7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Call amdgpu_device_unmap_mmio() if device is unplugged to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14c514e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Send Message to SMU on aldebaran passthrough for sbr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c05f2e1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Don't inherit GEM object VMAs in child process (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb8de2a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: reset queue which consumes RAS poison (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48bae38
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: add reset queue function for RAS poison (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0fb128c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: add reset parameter for unmap queues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b42aaf
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add gpu reset control for umc page retirement (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea5a46c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Modify indirect register access for gfx9 sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6aaf01
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: get xgmi info before ip_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4df7aa7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Modify indirect register access for amdkfd_gfx_v9 sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e18800
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Modify indirect register access for gmc_v9_0 sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98c4e74
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Add *_SOC15_IP_NO_KIQ() macro definitions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f758dd4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Filter security violation registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebb6c69
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix warning comparing pointer to 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9193d15
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: clean up some leftovers from bring up (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebb8499
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: use max() and min() to make code cleaner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e241a5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/pm: restore SMU version print statement for dGPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ba956a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: fix svm_bo release invalid wait context warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 166b2d6
* Mon Dec  5 2022 pjakobsson@suse.de
- drivers/amd/pm: smu13: use local variable adev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c4212c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Remember to update FBC state even when not reallocating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bc7b33
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/a5xx: Fix missing CP_PROTECT for SMMU on A540 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1858cbf
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/a5xx: Add support for Adreno 506 GPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b233a67
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: add layer mixer register dump to dpu snapshot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db6311d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: move SSPP debugfs support from plane to SSPP code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 607e1d1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: remove unneeded variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e56a24
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Don't use autosuspend for display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3cf9667
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/debugfs: Add display/kms state snapshot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2795815
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/disp: Export helper for capturing snapshot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e34391
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/disp: Tweak display snapshot to match gpu snapshot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 356729a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: add dpu_plane_atomic_print_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eddeee2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: add dpu_crtc_atomic_print_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2726ee
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Fix double free on error in msm_dp_bridge_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38d7323
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: simplify DPU's regset32 code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3d1978
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: stop manually removing debugfs files for the DPU CRTC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8765b5b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: stop manually removing debugfs files for the DPU plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a03af55
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: drop plane's default_scaling debugfs file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47c64cd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: make danger_status/safe_status readable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1734dc
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: move disable_danger out of plane subdir (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcec7a3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/a6xx: Skip crashdumper state if GPU needs_hw_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfed8a4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/disp/dpu1: set default group ID for CTL. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92ca975
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dsi: fix initialization in the bonded DSI case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13c6d74
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: fix CDP setup to account for multirect index (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f08df55
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: simplify DPU_SSPP features checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b4ed87
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: drop pe argument from _dpu_hw_sspp_setup_scaler3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 194f477
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: drop scaler config from plane state (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Avoid-dirtyfb-stalls-on-video-mode-displays-.patch.
- commit 23210f2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: employ bridge mechanism for display enable and
  disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dp-populate-connector-of-struct-dp_panel.patch.
- commit 1065f7f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/hdmi: switch to drm_bridge_connector (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0008-drm-msm-properly-add-and-remove-internal-bridges.patch.
- Refresh
  patches.suse/drm-msm-hdmi-fix-error-check-return-value-of-irq_of_.patch.
- commit 464d8a2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: removed logically dead code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3cc898c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: remove node from list before freeing the node (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9f91f3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Re-order dp_audio_put in deinit_sub_modules (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16c726f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove encoder->enable() hack (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f1b761
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove useless checks in dpu_encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34bf990
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu_kms: Re-order dpu includes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08a51a3
* Mon Dec  5 2022 lhenriques@suse.de
- blacklist.conf: added 5bd76b8de5b7 ("ceph: fix NULL pointer dereference for req->r_session")
- commit 33375e7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Don't allow zero fence_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 564dd3b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Add "qcom, sc7280-dp" to support display port. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de92741
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Initialize MDSS irq domain at probe time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7e231a
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: fix sending link commands for existing file paths
  (bsc#1206036).
- commit 382a30f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Allocate msm_drm_private early and pass it as driver
  data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0011-drm-msm-dp-stop-event-kernel-thread-when-DP-unbind.patch.
- Refresh
  patches.suse/0013-drm-msm-disp-dpu1-set-mdp-clk-to-the-maximum-frequen.patch.
- Refresh
  patches.suse/drm-msm-Make-.remove-and-.shutdown-HW-shutdown-consi.patch.
- Refresh
  patches.suse/drm-msm-dp-check-core_initialized-before-disable-int.patch.
- commit c8c413c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: use compatible lists to find mdp node (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e4f166
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: Add more of the INTF interrupt regions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33e9902
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Drop now unused hpd_high member (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ff068e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Name GMU bos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f81a2b3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Add a comment in a6xx_gmu_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbd7317
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Snapshot GMU debug buffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 376f971
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Also snapshot GMU HFI buffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c62f570
* Mon Dec  5 2022 lhenriques@suse.de
- blacklist.conf: added aa1d627207ca ("ceph: Use kcalloc for allocating multiple elements")
- commit 169da79
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Make a6xx_get_gmu_log() more generic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0503a6d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Add some WARN_ON()s (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12f422e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/a6xx: Capture gmu log in devcoredump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce0bf2f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/gpu: Respect PM QoS constraints (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78ce44f
* Mon Dec  5 2022 pjakobsson@suse.de
- units: add the HZ macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55ea4ef
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Increase gpu boost interval (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1193059
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/adreno: Name the shadow buffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ea33d4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Add debugfs to disable hw err handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f272ad5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Handle fence rollover (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 739f134
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Remove struct_mutex usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eec1bb8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Drop priv->lastctx (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bd68ae
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm: Remove unnecessary struct_mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8cb710
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/mdp5: drop vdd regulator (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 30689c2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Enable ASSR for supported DP sinks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13cfbd2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Enable downspread for supported DP sinks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f883b7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/dp: Add macro to check max_downspread capability (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36a791e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dp: Add DP controllers for sc7280 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0243468
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dsi: stop setting clock parents manually (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00884e5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dsi: untangle cphy setting from the src pll setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3323a60
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/edp: drop old eDP support (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0008-drm-msm-properly-add-and-remove-internal-bridges.patch.
- commit 5ad9d32
* Mon Dec  5 2022 lhenriques@suse.de
- blacklist.conf: added 89d43d0551a8 ("ceph: put the requests/sessions when it fails to alloc memory")
- commit e095309
* Mon Dec  5 2022 lhenriques@suse.de
- blacklist.conf: added 0e24421ac431 ("ceph: fix mdsmap decode when there are MDS's beyond max_mds")
- commit 0e95811
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/mdp5: drop eDP support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4d3e19
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: don't cache pipe->cap->sblk in dpu_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eabbef9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: don't cache pipe->cap->features in dpu_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0b360f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: remove dpu_hw_pipe_cdp_cfg from dpu_plane
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Avoid-dirtyfb-stalls-on-video-mode-displays-.patch.
- commit 0dea28d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: drop dpu_csc_cfg from dpu_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4488467
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: move dpu_hw_pipe_cfg out of struct dpu_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b175ed
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: remove stage_cfg from struct dpu_crtc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66875af
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: drop pipe_name from struct dpu_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1977ab5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: remove pipe_qos_cfg from struct dpu_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9748101
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/msm/dpu: move LUT levels out of QOS config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05af209
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Fix possible usage of an uninitialized variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ecb9c09
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Fix a size_t/long int format specifier mismatch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 676380e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Use trylock instead of blocking lock for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 102c656
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Break out the i915_deps utility (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6fdb61
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: remove questionable fence optimization during copy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cd8e92
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Avoid using the i915_fence_array when collecting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fba2f07
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Request RP0 before loading firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b639bf4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add ww ctx to i915_gem_object_trylock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f1cca4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Require object lock when freeing pages during destruction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 576fc1a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Trylock the object when shrinking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be90a88
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Flag an error if an engine reset fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5619f5e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Increase GuC log size for CONFIG_DEBUG_GEM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc94095
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Speed up GuC log dumps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53d9cad
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Ensure i915_vma tests do not get -ENOSPC with the locking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d2cd7b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Ensure gem_contexts selftests work with unbind changes, v2. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0fb5dc7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Force ww lock for i915_gem_object_ggtt_pin_ww, v2. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fcb03fe
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Take object lock in i915_ggtt_pin if ww is not set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8aaa70b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Remove pages_mutex and intel_gtt->vma_ops.set/clear_pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eeb40bb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Change shrink ordering to use locking around unbinding. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bebde0a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Remove unused bits of i915_vma/active api (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 220bb24
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Rename i915->gt to i915->gt0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63d3edd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pxp: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 499cbde
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/selftests: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e3f838
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gvt: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70ec930
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gem: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e685ac
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gt: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89089fc
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display: Use to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d51ca6b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Introduce to_gt() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f23d2c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Store backpointer to GT in uncore (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- commit a92ff49
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Selftest for stealing of guc ids (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f2285d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Kick G2H tasklet if no credits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0fad464
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Add extra debug on CT deadlock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d2426e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Don't hog IRQs when destroying contexts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c047314
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Remove racey GEM_BUG_ON (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d20bac
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: replace X86_FEATURE_PAT with pat_enabled() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc7f058
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/debugfs: add noreclaim annotations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99c3053
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: fix large buffer population trucation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64cd9cb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Test all device memory on probing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7873f77
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Sanitycheck device iomem on probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b44f88
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Exclude reserved stolen from driver use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 015e432
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Don't leak the capture list items (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20ce265
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: support bigger RSA keys (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0ebe37
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/uc: Prepare for different firmware key sizes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c082adb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Fix coredump of perma-pinned vmas (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ee601d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Don't disable interrupts and pretend a lock as been (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9059550
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/guc: Don't go bang in GuC log if no GuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f34658a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/uc: Allow platforms to have GuC but not HuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4845fab
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Fix wakeref leak in PMU busyness during reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdba283
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Wait longer for busyness data to be available from GuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13ae943
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: enforce min page size for scratch (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32abd48
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gtt/xehpsdv: move scratch page to system memory (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d72e0af
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: set min page-size to 64K (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2a891f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add has_64k_pages flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f894036
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/etnaviv: constify static struct cooling_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 239e70d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/etnaviv: use a 32 bit mask as coherent DMA mask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb8cde2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/etnaviv: fix dma configuration of the virtual device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3f943e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/etnaviv: use PLATFORM_DEVID_NONE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4002c23
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: drop the use of label from exynos_dsi_register_te_irq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81b22f1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: remove useless type conversion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b46de0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8e09d3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/exynos: Replace legacy gpio interface for gpiod interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19f9125
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Add back arm_iommu_detach_device() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31e0937
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Consolidate runtime PM management of older UAPI codepath (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 904abad
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: submit: Remove pm_runtime_enabled() checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 829732d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: nvdec: Stop channel on suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c87fed2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: vic: Stop channel on suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8e5d29
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: gr3d: Support generic power domain and runtime PM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 063b721
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: gr2d: Support generic power domain and runtime PM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0abeca0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: hdmi: Add OPP support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9c1216
* Mon Dec  5 2022 pjakobsson@suse.de
- PM: runtime: add devm_pm_runtime_enable helper (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/PM-runtime-Add-safety-net-to-supplier-device-release.patch.
- Refresh
  patches.suse/PM-runtime-Redefine-pm_runtime_release_supplier.patch.
- commit 9376255
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: dc: Support OPP and SoC core voltage scaling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3d4992
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: submit: Add missing pm_runtime_mark_last_busy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a13d31
* Mon Dec  5 2022 pjakobsson@suse.de
- gpu: host1x: Add host1x_channel_stop() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbf7a43
* Mon Dec  5 2022 pjakobsson@suse.de
- gpu: host1x: Add initial runtime PM and OPP support
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/gpu-host1x-Fix-a-memory-leak-in-host1x_remove.patch.
- commit 6145917
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: vic: Handle tegra_drm_alloc() failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f318e88
* Mon Dec  5 2022 pjakobsson@suse.de
- gpu: host1x: Add missing DMA API include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a0ea7a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: hdmi: Register audio CODEC on Tegra20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5717647
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: hdmi: Unwind tegra_hdmi_init() errors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 138d3e0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Mark nvdec PM functions as __maybe_unused (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73fe13a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Mark nvdec_writel() as inline (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c745e8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: dc: rgb: Allow changing PLLD rate on Tegra30+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a396611
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Remove duplicate struct declaration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b20ad71
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: vic: Use autosuspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2eb75ce
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: dc: rgb: Move PCLK shifter programming to CRTC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1a15f4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Bump VIC/NVDEC clock rates to Fmax (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92d220e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Add NVDEC driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a47db5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Support asynchronous commits for cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02c6aa9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Propagate errors from drm_gem_plane_helper_prepare_fb() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce1ebfb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Do not reference tegra_plane_funcs directly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc539fe
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Implement buffer object cache (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 795f566
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/tegra: Implement correct DMA-BUF semantics (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56c4e9d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/radeon: Fix syntax errors in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93e92ca
* Mon Dec  5 2022 pjakobsson@suse.de
- amdgpu: fix some comment typos (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac73173
* Mon Dec  5 2022 pjakobsson@suse.de
- amdgpu: fix some kernel-doc markup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbca453
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: include description of some of the GC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ea5af8
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: include description of AMDGPU hardware structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1da88e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/pm: Skip power state allocation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e70483
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: use adev_to_drm to get drm_device pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de2504f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: move smu_debug_mask to a more proper place (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c697e30
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: send: introduce recorded_ref_alloc and recorded_ref_free
  (bsc#1206036).
- commit f582043
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: SRIOV flr_work should use down_write (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c291c0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.166 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd1c899
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: implement dc_mode_memclk (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Protect-update_bw_bounding_box-FPU-c.patch.
- commit 1f7a116
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: ODM + MPO window on only one half of ODM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41c9a8e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.97 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d82964a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Force det buf size to 192KB with 3+ streams and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb8c7ad
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: parse and check PSR SU caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3dabfd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add src/ext ID info for dummy service (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45acd6e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add debugfs entry for ILR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1df0e3b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm:amdgpu:remove unneeded variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a55a8c
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: split amdgpu/index for readability (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f777d2
* Mon Dec  5 2022 pjakobsson@suse.de
- drivers/amd/pm: drop statement to print FW version for smu_v13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9abf2c0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: fix function scopes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c3bf50
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Reduce stack size for dml31 UseMinimumDCFCLK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c544627
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Reduce stack size for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 147c275
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: re-format file header comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d345bca
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: remove unnecessary variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f176bbb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix amdgpu_ras_mca_query_error_status scope (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f526258
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: move variable to local scope (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21d3ee1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: add some extra checks that is_dig_enabled is defined (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5af0b7f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Reduce SG bo memory usage for mGPUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 333b470
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Detect if amdgpu in IOMMU direct map mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f353707
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: Add amdgpu and dc glossary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfeed2c
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: Add basic overview of DC pipeline (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f85ce4
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: How to collect DTN log (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab97988
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: Document pipe split visual confirmation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fb52fa
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: Document amdgpu_dm_visual_confirm debugfs entry (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c9b610
* Mon Dec  5 2022 pjakobsson@suse.de
- Documentation/gpu: Reorganize DC documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8abad6f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add support for SMU debug option (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 066dba3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: introduce a kind of halt state for amdgpu device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3489634
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: check df_funcs and its callback pointers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ca01f3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: read and authenticate ip discovery binary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b75135e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to verify ip discovery binary signature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 394cc9f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: rename discovery_read_binary helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d40c70c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add helper to load ip_discovery binary from file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d00ea6b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix incorrect VCN revision in SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0544494
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: add modifiers in amdgpu_vkms_plane_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 737ce25
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: disable default navi2x co-op kernel support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60f9b8c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: add Navi2x to GWS init conditions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77f4c53
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: only hw fini SMU fisrt for ASICs need that (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bca392f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: remove power on/off SDMA in SMU hw_init/fini() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9879a9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Make KFD support on Hawaii experimental (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 892c37f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Don't split unchanged SVM ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 30c76de
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Fix svm_range_is_same_attrs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f8fa91
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Fix error handling in svm_range_add (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2293071
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Handle fault with same timestamp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0714417
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix location of prototype for amdgpu_kms_compat_ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d8aa7c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: append missing includes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53df40d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: fix function scopes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9542f04
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix function scopes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4899ee2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: fix improper docstring syntax (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4d51bc
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd: Mark IP_BASE definition as __maybe_unused (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41bc77a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: extended waiting SRIOV VF reset completion timeout to 10s (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c75aa5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: recover XGMI topology for SRIOV VF after reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da539ba
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: added PSP XGMI initialization for SRIOV VF during recover (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit abd9cd8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: skip reset other device in the same hive if it's SRIOV VF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87b5d5b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add feature flags to disable LTTPR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d44d47a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: enable RAS poison flag when GPU is connected to CPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2622264
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add Debugfs Entry to Force in SST Sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 893801a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: replace drm_detect_hdmi_monitor() with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55b1aa6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: use drm_edid_get_monitor_name() instead of duplicating (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 293567d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: update drm_display_info correctly when the edid is read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a20855
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: skip umc ras error count harvest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab8dfb0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: free vkms_output after use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4267be
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: drop the critial WARN_ON in amdgpu_vkms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d03151
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Reduce stack usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfe1c94
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Query DMCUB for dp alt status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e1c0d2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.96 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2e3b7c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: add a debug option to force dp2 lt fallback method (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b262331
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Rename a struct field to describe a cea component (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 488f51c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Adding dpia debug bits for hpd delay (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22cf98c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Move link_enc init logic to DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07d6df8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Added Check For dc->res_pool (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ad27c3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Prevent PSR disable/reenable in HPD IRQ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a73ec4c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add W/A for PHY tests with certain LTTPR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9a9c5e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Apply LTTPR workarounds to non-transparent mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2a4fde
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: only skip get ecc info for aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a87bfc9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Correct the value of the no_atomic_fw_version variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a19d02
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Use oriented source size when checking cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b57133b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: handle SRIOV VCN revision parsing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51f6414
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: skip query ecc info in gpu recovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb301d8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: update fw_load_type module parameter doc to match code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f9afb3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: err_pin_bo path leaks kfd_bo_list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5fe589
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: remove hardcoded device_info structs (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 1675437
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: add kfd_device_info_init function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9a010b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: replace asic_name with amdgpu_asic_name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d370ec6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: adjust the kfd reset sequence in reset sriov function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b62b0b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.164 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08f8a9d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.95 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f58055a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add 16ms AUX RD interval W/A for specific LTTPR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d454aec
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add force detile buffer size debug flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 75c05e5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Skip vendor specific LTTPR w/a outside link training (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2695d20
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add vendor specific LTTPR workarounds for
  DCN31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Disabling-Z10-on-DCN31.patch.
- commit 54477fc
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: PSR panel capability debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8fce9c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix dual eDP abnormal display issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7903fee
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: add function for eDP and backlight power on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3b51d8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix for otg synchronization logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d8b9a5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: add hdmi disable debug check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aedf143
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Enable P010 for DCN3x ASICs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8e3938
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add DP-HDMI FRL PCON Support in DC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bd3851
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Add DP-HDMI FRL PCON SST Support in DM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b73637c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: Use MAX_HWIP instead of HW_ID_MAX (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd35eaf
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: declare static function to fix compiler warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0004f4b
* Mon Dec  5 2022 pjakobsson@suse.de
- amdgpu/pm: Modify implmentations of get_power_profile_mode to use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da2fd63
* Mon Dec  5 2022 pjakobsson@suse.de
- amdgpu/pm: Create shared array of power profile name strings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29114fa
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: handle IH ring1 overflow (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8e42fb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix disable ras feature failed when unload drvier v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf0d14a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/pm: Add warning for unexpected PG requests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0913811
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: fix vkms crtc settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29d7ab8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Slighly optimize 'init_doorbell_bitmap()' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c63041
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdkfd: Use bitmap_zalloc() when applicable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6773b0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: fix application of sizeof to pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0aca53b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amd/display: Fix warning comparing pointer to 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 497bf98
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Set the default value of rotation to DRM_MODE_ROTATE_0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7aaa30
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Adjust to the alphabetic order for mediatek-drm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 537fe8e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Rename the define of register offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38e0faf
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Remove unused define in mtk_drm_ddp_comp.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94cb9d1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Clear pending flag when cmdq packet is done (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a02fbd4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Add mbox_free_channel in mtk_drm_crtc_destroy
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0005-drm-mediatek-Add-vblank-register-unregister-callback.patch.
- commit 7179e10
* Mon Dec  5 2022 fdmanana@suse.com
- btrfs: prevent subvol with swapfile from being deleted
  (bsc#1206035).
- commit 17d1de0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Add cmdq_handle in mtk_crtc (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0005-drm-mediatek-Add-vblank-register-unregister-callback.patch.
- commit f16c36a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Detect CMDQ execution timeout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca4b2e4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Remove the pointer of struct cmdq_client (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bb9442
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Use mailbox rx_callback instead of cmdq_task_cb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7078c5e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Add support for Mediatek SoC MT8192 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80305de
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Add component RDMA4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d94be3b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Add component POSTMASK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6325a8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/mediatek: Add component OVL_2L2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cf1722
* Mon Dec  5 2022 pjakobsson@suse.de
- soc: mediatek: mmsys: add comp OVL_2L2/POSTMASK/RDMA4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4819d5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/ast: Move I2C code into separate source file (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit d1692a5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/ast: Convert I2C code to managed cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b632957
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/ast: Handle failed I2C initialization gracefully
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-ast-Create-the-driver-for-ASPEED-proprietory-Dis.patch.
- commit 59b713a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vc4: plane: Add support for YUV color encodings and ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf4dd71
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vc4: plane: Add support for DRM_FORMAT_P030 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b744b6e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/fourcc: Add packed 10bit YUV 4:2:0 format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c7620b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/simpledrm: Add [AX]RGB2101010 formats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aaba893
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/format-helper: Add drm_fb_xrgb8888_to_xrgb2101010_toio() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24c23ea
* Mon Dec  5 2022 pjakobsson@suse.de
- of: Move simple-framebuffer device handling from simplefb to of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1910993
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/panel: simple: Add Team Source Display TST043015CMHX panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c972b1c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/bridge: lvds-codec: Add support for pixel data sampling edge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c937bd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm: document DRM_IOCTL_MODE_GETFB2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5f7bac
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/sprd: add Unisoc's drm mipi dsi&dphy driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fbea57
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/sprd: add Unisoc's drm display controller driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1659fa1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/sprd: add Unisoc's drm kms master (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55b1889
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Bump the minor version (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-vmwgfx-Remove-unused-compile-options.patch.
- commit 42196f3
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Remove usage of MOBFMT_RANGE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5dcfd7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: add support for updating only offsets of constant buffers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7fe3d4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Allow checking for gl43 contexts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06ad4f7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: support 64 UAVs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e967223
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: support SVGA_3D_CMD_DX_DEFINE_RASTERIZER_STATE_V2 command (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41c6e69
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Update device headers for GL43 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d47be71
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Implement create_handle on drm_framebuffer_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ad134d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Implement DRIVER_GEM (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh patches.suse/drm-vmwgfx-Fix-fencing-on-SVGAv3.patch.
- Refresh
  patches.suse/drm-vmwgfx-Fix-stale-file-descriptors-on-failed-user.patch.
- Refresh
  patches.suse/drm-vmwgfx-Remove-explicit-transparent-hugepages-sup.patch.
- commit 301987d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Stop hardcoding the PCI ID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99a3f62
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Add a debug callback to mobid resource manager (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63b59b4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/vmwgfx: Remove the dedicated memory accounting (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-vmwgfx-Remove-explicit-transparent-hugepages-sup.patch.
- commit ea399ab
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/amdgpu: don't skip runtime pm get on A+A config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1c3912
* Mon Dec  5 2022 pjakobsson@suse.de
- drm: Replace kernel.h with the necessary inclusions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86b6af6
* Mon Dec  5 2022 pjakobsson@suse.de
- kernel.h: split out container_of() and typeof_member() macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 844c38d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Fix implicit use of struct pci_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 793b0b9
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Move pipe/transcoder/abox masks under (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a942284
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/cdclk: hide struct intel_cdclk_vals (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76e4c62
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/cdclk: move intel_atomic_check_cdclk() to intel_cdclk.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d45a5ca
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pxp: remove useless includes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b3d16d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pxp: un-inline intel_pxp_is_enabled() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ab7e53
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fb: reduce include dependencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c85cc4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: avoid intel_frontbuffer.h include with declaration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a62935
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/psr: avoid intel_frontbuffer.h include with declaration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5bf4e56
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/active: remove useless i915_utils.h include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a26119a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/reset: include intel_display.h instead of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ca62e8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add privacy-screen support (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 971f99a
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add intel_modeset_probe_defer() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23e814f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: s/intel_get_first_crtc/intel_first_crtc/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c442e6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Relocate intel_crtc_for_plane() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8a3309
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Nuke {pipe,plane}_to_crtc_mapping[] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92b67d8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/trace: split out display trace to a separate file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc56b05
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/trace: clean up boilerplate organization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cffcd62
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dmc: Update DMC to v2.14 on ADL-P (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af2c93f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Skip remap_io_mapping() for non-x86 platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab3cacb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/rpl-s: Enable guc submission by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2aa3c57
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/rpl-s: Add PCH Support for Raptor Lake S (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-i915-s-JSP2-ICP2-PCH.patch.
- commit d8518f6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/rpl-s: Add PCI IDS for Raptor Lake S (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ced7fe4
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Allow cdclk squasher to be reconfigured live (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 276e8b5
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display/dg2: Read CD clock from squasher table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5a760c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display/dg2: Set CD clock squashing registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05c05bd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display/dg2: Sanitize CD clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 610d682
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display/dg2: Introduce CD clock squashing table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 238fa4f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ddi: add use_edp_hobl() and use_edp_low_vswing() helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3aceb1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/snps: use div32 version of MPLLB word clock for UHBR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48bb4a0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/xelpd: Add Pipe Color Lut caps to platform config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cff814b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/xelpd: Enable Pipe Degamma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94a4eb0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/xelpd: Enable Pipe color support for D13 platform (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b967fa
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dmc: Change max DMC FW size on ADL-P (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8308670
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/adlp: Remove require_force_probe protection (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46ad440
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/adl_p: Add ddc pin mapping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fb3066
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Get rid of the "sizes are 0 based" stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4724eb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Pimp the FBC debugfs output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e364059
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: No FBC+double wide pipe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 198e189
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: s/parms/fbc_state/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c65c97
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Move plane pointer into intel_fbc_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ccb736f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Nuke state_cache (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5c23ae
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Disable FBC fully on FIFO underrun (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae70247
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Move stuff from intel_fbc_can_enable() into (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c17fbcb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Allocate intel_fbc dynamically (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c0519b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce intel_fbc_add_plane() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b52fe29
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Move FBC debugfs stuff into intel_fbc.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae630c6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Pass i915 instead of FBC instance to FBC underrun stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b23a8fe
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Flatten __intel_fbc_pre_update() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63872c7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Track FBC usage per-plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 483af5d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Pass around FBC instance instead of crtc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9b9bf0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Reuse the same struct for the cache and params (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd67f08
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Nuke more FBC state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51eb36c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Relocate intel_fbc_override_cfb_stride() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7287fcc
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Nuke lots of crap from intel_fbc_state_cache (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4aa706e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Pass whole plane state to intel_fbc_min_limit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec6b9ca
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fbc: Eliminate racy intel_fbc_is_active() usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c86c7c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Rename PLANE_CUS_CTL Y plane bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e013dd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Rename plane YUV order bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1928bed
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Get rid of the 64bit PLANE_CC_VAL mmio (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7db0843
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display: stop including i915_drv.h from (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e281bcd
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display: convert dp_to_i915() to a macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ce663c
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: move enum hpd_pin to intel_display.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7512457
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: split out intel_pm_types.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9339327
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/fb: move intel_fb_uses_dpt to intel_fb.c and un-inline (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11cbd7f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/crtc: un-inline some crtc functions and move to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 876dafb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/selftest: Disable IRQ for timestamp calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42517c0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dg2: extend Wa_1409120013 to DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53851fe
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_14010547955 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df1a4fb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dg2: s/DISP_STEPPING/DISPLAY_STEPPING/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d7da58
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add PLANE_CUS_CTL restriction in max_width (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b79ebe
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display: remove intel_wait_for_vblank() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aeefe61
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/crtc: rename intel_get_crtc_for_plane() to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eff6dc7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/crtc: rename intel_get_crtc_for_pipe() to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb3025d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/display: add intel_crtc_wait_for_next_vblank() and use it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca1e612
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gt: Use hw_engine_masks as reset_domains (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-gt-Serialize-GRDOM-access-between-multiple-.patch.
- commit fa36a8e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/selftests: handle object rounding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffd54a2
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/migrate: fix length calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adca763
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/migrate: fix offset calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1671f7f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/migrate: don't check the scratch page (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a9a330
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/selftests: Follow up on increase timeout in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a50366
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Introduce new macros for i915 PTE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca13175
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_16013000631 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7027342
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/dg2: Add Wa_16011777198 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d49fc6d
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add workaround numbers to GEN7_COMMON_SLICE_CHICKEN1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eabdac8
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Update error capture code to avoid using the current vma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd7f5d7
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gem: Fix a NULL pointer dereference in igt_request_rewind() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 342333f
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Use per device iommu check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac0f50e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Drop stealing of bits from i915_sw_fence function pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83bcd81
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Fix synchronization of PMU callback with reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d9f362
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gemfs: don't mark huge_opt as static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4f1007
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Use __GFP_KSWAPD_RECLAIM in the capture code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d914c1e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Avoid allocating a page array for the gpu coredump (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fcba5d6
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Update i915_gem_obj_copy_ttm() to be asynchronous (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 255aa37
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Implement asynchronous TTM moves (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2de6feb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Correctly handle waiting for gpu when shrinking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 481f076
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Drop region reference counting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a94aa0
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Move the i915_gem_obj_copy_ttm() function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81e5cb1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Add support for moving fence waiting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17a7cfa
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Increase the live_engine_busy_stats sample period (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e38af1
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: fixup build failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e9641e
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/gem: placate scripts/kernel-doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a82494
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/ttm: Fix error code in i915_ttm_eviction_valuable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eabae31
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915/pmu: Avoid with_intel_runtime_pm within spinlock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62d6092
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Drain the ttm delayed workqueue too (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb525cb
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: Remove resv from i915_vma (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 672da6b
* Mon Dec  5 2022 pjakobsson@suse.de
- drm/i915: vma is always backed by an object (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-i915-Fix-race-in-__i915_vma_remove_closed.patch.
- commit fe29b56
* Mon Dec  5 2022 mgorman@suse.de
- sched: Disable sched domain debugfs creation on ppc64 unless
  sched_verbose is specified (bnc#1205653).
- commit 039564b
* Mon Dec  5 2022 tiwai@suse.de
- char: tpm: Protect tpm_pm_suspend with locks (git-fixes).
- Input: raydium_ts_i2c - fix memory leak in raydium_i2c_send()
  (git-fixes).
- commit 0216ffd
* Mon Dec  5 2022 lduncan@suse.com
- null_blk: Modify the behavior of null_map_queues()
  (jsc#PED-1118).
- ata: libata-sata: Fix device queue depth control (jsc#PED-1118).
- ata: libata-scsi: Fix initialization of device queue depth
  (jsc#PED-1118).
- ata: libata-scsi: cap ata_device->max_sectors according to
  shost->max_sectors (jsc#PED-1118).
- ata: libata-scsi: fix result type of ata_ioc32() (jsc#PED-1118).
- ata: libata-eh: fix sloppy result type of
  ata_internal_cmd_timeout() (jsc#PED-1118).
- ata: libata-core: fix sloppy parameter type in
  ata_exec_internal[_sg]() (jsc#PED-1118).
- ata: libata-eh: fix sloppy result type of ata_eh_nr_in_flight()
  (jsc#PED-1118).
- ata: libata-core: make ata_exec_internal_sg() *static*
  (jsc#PED-1118).
- ata: make transfer mode masks *unsigned int* (jsc#PED-1118).
- ata: libata-core: get rid of *else* branches in
  ata_id_n_sectors() (jsc#PED-1118).
- ata: libata-core: fix sloppy typing in ata_id_n_sectors()
  (jsc#PED-1118).
- libata: fix translation of concurrent positioning ranges
  (jsc#PED-1118).
- libata: fix reading concurrent positioning ranges log
  (jsc#PED-1118).
- ata: libata-core: Allow forcing most horkage flags
  (jsc#PED-1118).
- ata: libata-core: Improve link flags forced settings
  (jsc#PED-1118).
- ata: libata-core: Refactor force_tbl definition (jsc#PED-1118).
- ata: libata-core: cleanup ata_device_blacklist (jsc#PED-1118).
- ata: libata-core: replace "its" with "it is" (jsc#PED-1118).
- ata: libata-core: fix parameter type in ata_xfer_mode2shift()
  (jsc#PED-1118).
- libata: Improve ATA queued command allocation (jsc#PED-1118).
- ata: libata-sff: Fix compilation warning in
  ata_sff_lost_interrupt() (jsc#PED-1118).
- scsi: core: Remove the cmd field from struct scsi_request
  (jsc#PED-1118).
- scsi: core: Don't memset() the entire scsi_cmnd in
  scsi_init_command() (jsc#PED-1118).
- scsi: target: pscsi: Remove struct pscsi_plugin_task
  (jsc#PED-1118).
- ata: libata-sff: use *switch* statement in
  ata_sff_dev_classify() (jsc#PED-1118).
- ata: add/use ata_taskfile::{error|status} fields (jsc#PED-1118).
- ata: libata-scsi: use *switch* statements to check SCSI command
  codes (jsc#PED-1118).
- ata: libata-sff: refactor ata_sff_altstatus() (jsc#PED-1118).
- ata: libata-sff: refactor ata_sff_set_devctl() (jsc#PED-1118).
- ata: libata-sff: make ata_resources_present() return 'bool'
  (jsc#PED-1118).
- ata: libata-sff: make ata_devchk() return 'bool' (jsc#PED-1118).
- ata: libata: make ata_host_suspend() *void* (jsc#PED-1118).
- ata: libata: ata_{sff|std}_prereset() always return 0
  (jsc#PED-1118).
- ata: libata-acpi: kill ata_acpi_on_suspend() (jsc#PED-1118).
- ata: libata-scsi: Simplify scsi_XX_lba_len() (jsc#PED-1118).
- ata: libata-scsi: Simplify ata_scsi_mode_select_xlat()
  (jsc#PED-1118).
- ata: libata-scsi: Cleanup ata_get_xlat_func() (jsc#PED-1118).
- ata: libata-core: Fix ata_dev_config_cpr() (jsc#PED-1118).
- ata: libata-core: Introduce ATA_HORKAGE_NO_LOG_DIR horkage
  (jsc#PED-1118).
- ata: libata: Rename link flag ATA_LFLAG_NO_DB_DELAY
  (jsc#PED-1118).
- ata: libata-scsi: simplify __ata_scsi_queuecmd() (jsc#PED-1118).
- ata: fix read_id() ata port operation interface (jsc#PED-1118).
- ata: libata-scsi: rework ata_dump_status to avoid using
  pr_cont() (jsc#PED-1118).
- ata: libata: remove debug compilation switches (jsc#PED-1118).
- ata: libata: drop ata_msg_drv() (jsc#PED-1118).
- ata: libata: drop ata_msg_info() (jsc#PED-1118).
- ata: libata: drop ata_msg_probe() (jsc#PED-1118).
- ata: libata: drop ata_msg_warn() (jsc#PED-1118).
- ata: libata: drop ata_msg_malloc() (jsc#PED-1118).
- ata: libata: drop ata_msg_ctl() (jsc#PED-1118).
- ata: libata: drop ata_msg_error() and ata_msg_intr()
  (jsc#PED-1118).
- ata: sata_sx4: Drop pointless VPRINTK() calls and convert the
  remaining ones (jsc#PED-1118).
- ata: sata_sil: Drop pointless VPRINTK() calls (jsc#PED-1118).
- ata: sata_fsl: convert VPRINTK() calls to ata_port_dbg()
  (jsc#PED-1118).
- ata: sata_nv: drop pointless VPRINTK() calls and convert
  remaining ones (jsc#PED-1118).
- ata: sata_mv: Drop pointless VPRINTK() call and convert the
  remaining one (jsc#PED-1118).
- ata: sata_inic162x: Drop pointless VPRINTK() calls
  (jsc#PED-1118).
- ata: sata_rcar: Drop pointless VPRINTK() calls (jsc#PED-1118).
- ata: sata_qstor: Drop pointless VPRINTK() calls (jsc#PED-1118).
- ata: sata_promise: Drop pointless VPRINTK() calls and convert
  the remaining ones (jsc#PED-1118).
- ata: pata_via: Drop pointless VPRINTK() calls (jsc#PED-1118).
- ata: pata_octeon_cf: Drop pointless VPRINTK() calls and convert
  the remaining one (jsc#PED-1118).
- ata: pdc_adma: Drop pointless VPRINTK() calls and remove
  disabled NCQ debugging (jsc#PED-1118).
- ata: ahci: Drop pointless VPRINTK() calls and convert the
  remaining ones (jsc#PED-1118).
- ata: libata: remove pointless VPRINTK() calls (jsc#PED-1118).
- ata: pata_pdc2027x: Replace PDPRINTK() with standard ata logging
  (jsc#PED-1118).
- ata: sata_qstor: replace DPRINTK() with dev_dbg()
  (jsc#PED-1118).
- ata: sata_rcar: replace DPRINTK() with ata_port_dbg()
  (jsc#PED-1118).
- ata: sata_fsl: move DPRINTK to ata debugging (jsc#PED-1118).
- ata: pdc_adma: Remove DPRINTK call (jsc#PED-1118).
- ata: pata_octeon_cf: remove DPRINTK() macro in interrupt context
  (jsc#PED-1118).
- ata: sata_mv: replace DPRINTK with dynamic debugging
  (jsc#PED-1118).
- ata: sata_mv: kill 'port' argument in mv_dump_all_regs()
  (jsc#PED-1118).
- ata: libata: move DPRINTK to ata debugging (jsc#PED-1118).
- ata: libata: revamp ata_get_cmd_descript() (jsc#PED-1118).
- ata: libata: move ata_{port,link,dev}_dbg to standard pr_XXX()
  macros (jsc#PED-1118).
- ata: libata: add tracepoints for ATA error handling
  (jsc#PED-1118).
- ata: libata-scsi: drop DPRINTK calls for cdb translation
  (jsc#PED-1118).
- commit 091bb8a
* Mon Dec  5 2022 lduncan@suse.com
- ata: libata-sff: tracepoints for HSM state machine
  (jsc#PED-1118).
- Refresh patches.suse/ata-Fix-racy-link-clearance.patch.
- commit 9567147
* Sun Dec  4 2022 lduncan@suse.com
- ata: libata: tracepoints for bus-master DMA (jsc#PED-1118).
- ata: libata: add qc_prep tracepoint (jsc#PED-1118).
- ata: libata: add reset tracepoints (jsc#PED-1118).
- ata: libata: sanitize ATA_HORKAGE_DUMP_ID (jsc#PED-1118).
- ata: libata: move ata_dump_id() to dynamic debugging
  (jsc#PED-1118).
- ata: libata: Add ata_port_classify() helper (jsc#PED-1118).
- ata: libata: whitespace cleanup (jsc#PED-1118).
- ata: libata: remove pointless debugging messages (jsc#PED-1118).
- ata: libata: use min() to make code cleaner (jsc#PED-1118).
- ata: libata-scsi: use sysfs_emit() (jsc#PED-1118).
- ata: libata-sata: use sysfs_emit() (jsc#PED-1118).
- ata: replace snprintf in show functions with sysfs_emit
  (jsc#PED-1118).
- ata: libata-sata: Declare ata_ncq_sdev_attrs static
  (jsc#PED-1118).
- ata: libata: add missing ata_identify_page_supported() calls
  (jsc#PED-1118).
- ata: libata: improve ata_read_log_page() error message
  (jsc#PED-1118).
- libata: add horkage for missing Identify Device log
  (jsc#PED-1118).
- libata-scsi: fix checking of DMA state (jsc#PED-1118).
- commit 21faff6
* Sun Dec  4 2022 krisman@suse.de
- io_uring: control ->async_data with a REQ_F flag (bsc#1205205).
- io_uring: optimise io_free_batch_list() (bsc#1205205).
- io_uring: mark cold functions (bsc#1205205).
- io_uring: optimise ctx referencing by requests (bsc#1205205).
- io_uring: merge CQ and poll waitqueues (bsc#1205205).
- io_uring: don't wake sqpoll in io_cqring_ev_posted
  (bsc#1205205).
- io_uring: optimise INIT_WQ_LIST (bsc#1205205).
- io_uring: optimise request allocation (bsc#1205205).
- io_uring: delay req queueing into compl-batch list
  (bsc#1205205).
- io_uring: add more likely/unlikely() annotations (bsc#1205205).
- io_uring: optimise kiocb layout (bsc#1205205).
- io_uring: add flag to not fail link after timeout (bsc#1205205).
- io_uring: clean up buffer select (bsc#1205205).
- io_uring: init opcode in io_init_req() (bsc#1205205).
- io_uring: don't return from io_drain_req() (bsc#1205205).
- io_uring: extra a helper for drain init (bsc#1205205).
- commit bda10e2
* Sun Dec  4 2022 tiwai@suse.de
- usb: dwc3: gadget: Return -ESHUTDOWN on ep disable (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Clear-ep-descriptor-last.patch.
- commit eede34a
* Sun Dec  4 2022 tiwai@suse.de
- usb: dwc3: gadget: conditionally remove requests (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Clear-ep-descriptor-last.patch.
- commit baddb4e
* Sun Dec  4 2022 tiwai@suse.de
- i2c: imx: Only DMA messages with I2C_M_DMA_SAFE flag set
  (git-fixes).
- i2c: npcm7xx: Fix error handling in npcm_i2c_init() (git-fixes).
- pinctrl: single: Fix potential division by zero (git-fixes).
- mmc: sdhci-sprd: Fix no reset data and command after voltage
  switch (git-fixes).
- mmc: mmc_test: Fix removal of debugfs file (git-fixes).
- mmc: sdhci-esdhc-imx: correct CQHCI exit halt state check
  (git-fixes).
- mmc: core: Fix ambiguous TRIM and DISCARD arg (git-fixes).
- ASoC: ops: Fix bounds check for _sx controls (git-fixes).
- ALSA: dice: fix regression for Lexicon I-ONIX FW810S
  (git-fixes).
- wifi: wilc1000: validate number of channels (git-fixes).
- wifi: wilc1000: validate length of
  IEEE80211_P2P_ATTR_CHANNEL_LIST attribute (git-fixes).
- wifi: wilc1000: validate length of
  IEEE80211_P2P_ATTR_OPER_CHANNEL attribute (git-fixes).
- wifi: wilc1000: validate pairwise and authentication suite
  offsets (git-fixes).
- ASoC: sgtl5000: Reset the CHIP_CLK_CTRL reg on remove
  (git-fixes).
- dma-buf: fix racing conflict of dma_heap_add() (git-fixes).
- selftests: mptcp: fix mibit vs mbit mix up (git-fixes).
- Input: soc_button_array - add Acer Switch V 10 to
  dmi_use_low_level_irq[] (git-fixes).
- Input: soc_button_array - add use_low_level_irq module parameter
  (git-fixes).
- Input: goodix - try resetting the controller when no config
  is set (git-fixes).
- Input: synaptics - switch touchpad on HP Laptop 15-da3001TU
  to RMI mode (git-fixes).
- serial: 8250: 8250_omap: Avoid RS485 RTS glitch on
  - >set_termios() (git-fixes).
- tools: iio: iio_generic_buffer: Fix read size (git-fixes).
- iio: pressure: ms5611: fixed value compensation bug (git-fixes).
- ASoC: stm32: dfsdm: manage cb buffers cleanup (git-fixes).
- ASoC: fsl_asrc fsl_esai fsl_sai: allow CONFIG_PM=N (git-fixes).
- ASoC: Intel: bytcht_es8316: Add quirk for the Nanote UMPC-01
  (git-fixes).
- net: usb: qmi_wwan: add Telit 0x103a composition (git-fixes).
- platform/x86: hp-wmi: Ignore Smart Experience App event
  (git-fixes).
- platform/x86: acer-wmi: Enable SW_TABLET_MODE on Switch V 10
  (SW5-017) (git-fixes).
- platform/x86: asus-wmi: add missing pci_dev_put() in
  asus_wmi_set_xusb2pr() (git-fixes).
- ata: libata-core: do not issue non-internal commands once EH
  is pending (git-fixes).
- arm64/syscall: Include asm/ptrace.h in syscall_wrapper header
  (git-fixes).
- spi: stm32: fix stm32_spi_prepare_mbr() that halves spi clk
  for every run (git-fixes).
- mmc: sdhci-brcmstb: Fix SDHCI_RESET_ALL for CQHCI (git-fixes).
- ALSA: usb-audio: add quirk to fix Hamedal C20 disconnect issue
  (git-fixes).
- wifi: ath11k: Fix QCN9074 firmware boot on x86 (git-fixes).
- wifi: mac80211: Fix ack frame idr leak when mesh has no route
  (git-fixes).
- wifi: airo: do not assign -1 to unsigned char (git-fixes).
- wifi: mac80211_hwsim: fix debugfs attribute ps with rc table
  support (git-fixes).
- wifi: mac80211: fix memory free error when registering wiphy
  fail (git-fixes).
- audit: fix undefined behavior in bit shift for AUDIT_BIT
  (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the RCA Cambio
  W101 v2 2-in-1 (git-fixes).
- platform/x86: ideapad-laptop: Disable touchpad_switch
  (git-fixes).
- selftests: mptcp: make sendfile selftest work (git-fixes).
- ASoC: fsl_sai: use local device pointer (git-fixes).
- mmc: sdhci-brcmstb: Enable Clock Gating to save power
  (git-fixes).
- mmc: sdhci-brcmstb: Re-organize flags (git-fixes).
- ata: libata-scsi: simplify __ata_scsi_queuecmd() (git-fixes).
- iio: ms5611: Simplify IO callback parameters (git-fixes).
- selftests: mptcp: more stable simult_flows tests (git-fixes).
- commit 4ec7214
* Sat Dec  3 2022 krisman@suse.de
- io_uring: disable draining earlier (bsc#1205205).
- io_uring: comment why inline complete calls io_clean_op()
  (bsc#1205205).
- io_uring: kill off ->inflight_entry field (bsc#1205205).
- io_uring: restructure submit sqes to_submit checks
  (bsc#1205205).
- io_uring: reshuffle queue_sqe completion handling (bsc#1205205).
- io_uring: inline hot path of __io_queue_sqe() (bsc#1205205).
- io_uring: split slow path from io_queue_sqe (bsc#1205205).
- io_uring: remove drain_active check from hot path (bsc#1205205).
- io_uring: deduplicate io_queue_sqe() call sites (bsc#1205205).
- io_uring: don't pass state to io_submit_state_end (bsc#1205205).
- io_uring: don't pass tail into io_free_batch_list (bsc#1205205).
- io_uring: inline completion batching helpers (bsc#1205205).
- io_uring: optimise batch completion (bsc#1205205).
- io_uring: convert iopoll_completed to store_release
  (bsc#1205205).
- io_uring: add a helper for batch free (bsc#1205205).
- io_uring: use single linked list for iopoll (bsc#1205205).
- io_uring: split iopoll loop (bsc#1205205).
- io_uring: replace list with stack for req caches (bsc#1205205).
- io-wq: add io_wq_work_node based stack (bsc#1205205).
- io_uring: remove allocation cache array (bsc#1205205).
- io_uring: use slist for completion batching (bsc#1205205).
- io_uring: make io_do_iopoll return number of reqs (bsc#1205205).
- io_uring: force_nonspin (bsc#1205205).
- io_uring: mark having different creds unlikely (bsc#1205205).
- io_uring: return boolean value for io_alloc_async_data
  (bsc#1205205).
- io_uring: optimise io_req_init() sqe flags checks (bsc#1205205).
- io_uring: remove ctx referencing from complete_post
  (bsc#1205205).
- io_uring: add more uring info to fdinfo for debug (bsc#1205205).
- io_uring: kill extra wake_up_process in tw add (bsc#1205205).
- io_uring: dedup CQE flushing non-empty checks (bsc#1205205).
- io_uring: inline linked part of io_req_find_next (bsc#1205205).
- io_uring: inline io_dismantle_req (bsc#1205205).
- io_uring: kill off ios_left (bsc#1205205).
- io_uring: dump sqe contents if issue fails (bsc#1205205).
- io-wq: improve wq_list_add_tail() (bsc#1205205).
- commit 0a258fe
* Sat Dec  3 2022 krisman@suse.de
- io_uring: apply worker limits to previous users (bsc#1205205).
- io_uring: fix ltimeout unprep (bsc#1205205).
- io_uring: apply max_workers limit to all future users
  (bsc#1205205).
- io-wq: max_worker fixes (bsc#1205205).
- io_uring: fix wrong condition to grab uring lock (bsc#1205205).
- commit c0f60bd
* Sat Dec  3 2022 krisman@suse.de
- Blacklist io-wq-max_worker-fixes on SP4
  Commit bc369921d670 ("io-wq: max_worker fixes") claims to fix
  2e480058ddc2 ("io-wq: provide a way to limit max number of workers") but
  actually fixes 7a842fb589e3 ("io-wq: code clean of
  io_wqe_create_worker()") which we don't carry in SP4.  Blacklist it to
  silent git-fixes.
  Nevertheless, it is required in SP5. This commit must be reverted there.
- commit 4da02f1
* Fri Dec  2 2022 krisman@suse.de
- io-wq: exclusively gate signal based exit on get_signal()
  return (git-fixes).
- commit 0f61b91
* Fri Dec  2 2022 lduncan@suse.com
- Do not enable CONFIG_ATARI_PARTITION (jsc#PED-1573)
- commit 51c7091
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Create a full object for mock_ring, v2. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3be9dea
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Create a dummy object for gen6 ppgtt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 927a39a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: move the pre_pin earlier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6820bca
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Skip error capture when wedged on init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39d446b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Don't read query SSEU for non-existent slice 0 on old (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a6422a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Check GuC status before freq boost (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9eff446
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dg2: Program recommended HW settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e107401
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dg2: Add initial gt/ctx/engine workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7be8814
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: Add initial workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1a9d13
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: Fix illegal addition to shrinker list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5133e8e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: split general MMIO setup from per-GT uncore init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7d272a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: rework some irq functions to take intel_gt as argument (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72ec013
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/selftests: Use clear_and_wake_up_bit() for the per-engine (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e507fe
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/gem: Fix gem_madvise for ttm+shmem objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20c261b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/guc: Refcount context during error capture (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8669d83
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/resets: Don't set / test for per-engine reset bits with GuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f74ec4d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/selftests: Rework context handling in hugepages selftests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81d1b1d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Remove gen6_ppgtt_unpin_all (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21d3f5f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: Failsafe migration blits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9aeaae5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: Reorganize the ttm move code (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-ttm-ensure-we-unmap-when-purging.patch.
- commit 49e5920
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: fixup dma_fence_wait usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6af8ca0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Update boost sysfs hooks for SLPC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4791aa8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Add waitboost functionality for SLPC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5e552a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/guc/slpc: Define and initialize boost frequency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ad5f45
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Rename GT_STEP to GRAPHICS_STEP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e039d4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Track media IP stepping separated from GT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1224d5c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Add struct to hold IP version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77a79a4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dmabuf: drop the flush on discrete (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77bd899
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: stop setting cache_dirty on discrete (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a125c6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: move cpu_write_needs_clflush (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ede5fdd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/clflush: disallow on discrete (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff1d4a0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/clflush: fixup handling of cache_dirty (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9533f5e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Introduce refcounted sg-tables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5ff3d0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Enable WaProgramMgsrForCorrectSliceSpecificMmioReads for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71df5b0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Remove some dead struct fwd decl from i915_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc4104c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/gtt: stop caching the scratch page (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d9ec71
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/gtt: flush the scratch page (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d76b814
* Fri Dec  2 2022 blezhepekov@suse.de
- Fix patches.suse/MM-reclaim-mustn-t-enter-FS-for-swap-over-NFS.patch
  Fixed implicit-function-declaration warning when
  swap is disabled (bsc#1205993).
- commit 2816166
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/pmu: Connect engine busyness stats from GuC to
  pmu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/treewide-Replace-zero-length-arrays-with-flexible-array-members.patch.
- commit 21c6fcc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/pmu: Add a name to the execlists stats (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd5c48c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Use ERR_CAST instead of ERR_PTR(PTR_ERR()) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51ef343
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/selftests: Fix inconsistent IS_ERR and PTR_ERR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddb1a9e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/selftests: Update live.evict to wait on requests / idle GPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 659ddf5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/selftests: Increase timeout in requests perf selftest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73fba5c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: enable shmem tt backend (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-ttm-add-unmap_virtual-callback.patch.
- commit b3d553e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: use cached system pages when evicting lmem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6637389
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: move shrinker management into adjust_lru
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-ttm-add-unmap_virtual-callback.patch.
- commit 43084f0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: add some kernel-doc for shrink_pin and friends (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3912a6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: drop unneeded make_unshrinkable in free_object (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b60d11
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/gtt: drop unneeded make_unshrinkable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d82cb4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/ttm: add tt shmem backend (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-don-t-call-free_mmap_offset-when-purging.patch.
- Refresh
  patches.suse/drm-i915-ttm-add-unmap_virtual-callback.patch.
- Refresh
  patches.suse/drm-i915-ttm-ensure-we-unmap-when-purging.patch.
- Refresh
  patches.suse/drm-i915-ttm-tweak-priority-hint-selection.patch.
- commit 9f84be2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/gem: Break out some shmem backend utils (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 606815c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi86: defer if there is no dsi host (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d05935a
* Fri Dec  2 2022 pjakobsson@suse.de
- omapdrm: dss: mark runtime PM functions __maybe_unused (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc5e9f7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: Add a 'right overlay' to plane state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8408b4a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: add plane_atomic_print_state support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1166df
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: dynamically assign hw overlays to planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eede7e9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: Add global state as a private atomic object (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 531a39d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: omap_plane: subclass drm_plane_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b701321
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: introduce omap_hw_overlay (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc2b173
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: Add ovl checking funcs to dispc_ops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b33fce
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: Add ability to check if requested plane modes can be (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3ec8d9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: add sanity plane state check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b36916b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: omapdrm: Export correct scatterlist for TILER backed BOs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc5fd99
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Add backpointer to drm_device in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8350e70
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: Update Boe-tv110c9m and Inx-hj110iz initial code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c019a52
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/rockchip: pass 0 to drm_fbdev_generic_setup() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 562c80f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/rockchip: use generic fbdev setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7884574
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: aspeed: select CONFIG_DRM_GEM_CMA_HELPER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d94ef08
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: fsl-dcu: select CONFIG_DRM_GEM_CMA_HELPER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f42ea75
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Return error codes from struct drm_driver.gem_create_object (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4337028
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ttm: Clarify that the TTM_PL_SYSTEM is under TTMs control (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea3e261
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vmwgfx: Switch the internal BO's to ttm_bo_type_kernel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 062d6e4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vmwgfx: Introduce a new placement for MOB page tables
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-vmwgfx-Remove-explicit-transparent-hugepages-sup.patch.
- commit 213268d
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: make fence mandatory for dma_resv_add_excl_fence v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9687778
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ttm: stop pruning fences after wait (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ecc166
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Remove dma_resv_prune (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f9b31d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/qxl: use iterator instead of dma_resv_shared_list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ef7f90
* Fri Dec  2 2022 pjakobsson@suse.de
- lontium-lt9611: check a different register bit for HDMI sensing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01b78c4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Remove CONFIG_DRM_KMS_CMA_HELPER option (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65c09e0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/mipi-dbi: Remove dependency on GEM CMA helper library (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c809d5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/cma-helper: Pass GEM CMA object in public interfaces
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-cma-helper-Set-VM_DONTEXPAND-for-mmap.patch.
- commit 44e6e49
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/cma-helper: Export dedicated wrappers for GEM object functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0029567
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/cma-helper: Move driver and file ops to the end of header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76ab059
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Declare hashtable as legacy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7806475
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vmwgfx: Copy DRM hash-table code into driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c321677
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ttm: Don't include drm_hashtab.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 347475e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/tidss: Fix warning: unused variable 'tidss_pm_ops' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 582c5fe
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: rcar-du: Add R-Car DSI driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a78407a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: rcar-du: crtc: Support external DSI dot clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0b4de4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: rcar-du: Add DSI support to rcar_du_output_name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2fa6c8f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/rcar: stop using 'imply' for dependencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e907b94
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: add new fields for Sienna Cichlid. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 973445f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Print the error on command submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c14702
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Sienna: Print failed BTC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3249fd0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Add debug prints (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 254bd65
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: update the domain flags for dumb buffer creation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fcd7478
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: Declare Unpin BO api as static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edccd7b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: move kfd post_reset out of reset_sriov function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d3b7ac
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.163 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d45f35
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.94 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdc3a7d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Fix ODM combine issue with fast boot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f33294
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Display object info table changes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9aad2f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: fix accidental casting enum to bool (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40daa11
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: retain/release at proper places in link_enc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4a165b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Rename dcn_validate_bandwidth to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8267b4a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: fixed an error related to 4:2:0/4:2:2 DSC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67124b7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: enable seamless boot for DCN301 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Ignore-First-MST-Sideband-Message-Re.patch.
- Delete
  patches.suse/drm-amd-display-Correct-MPC-split-policy-for-DCN301.patch.
- commit 73332ee
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Run full global validation in dc_commit_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ccab2ff
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: based on flag reset z10 function pointer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47cb995
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: Remove unused entries in table (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 48e1595
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Add debugfs info for STB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a67795e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Add STB support in sienna_cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8afbcbd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Add STB accessors interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56a6c18
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu/pm: clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6afdf9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: Retrieve SDMA numbers from amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6ba856
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: query umc error info from ecc_table v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9e5925
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: add message smu to get ecc_table v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3022fd3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: add new query interface for umc block v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e4e84d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/pm: Update smu driver interface for aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7430e1b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: cleanup the code a bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e63432
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: remove no need NULL check before kfree (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c833827
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/amdgpu: cleanup the code style a bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1f1276
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/amdgpu: remove useless break after return (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14622f7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: fix cond_no_effect.cocci warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a8d4f0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Clean up some inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5a4de6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: Add recovery_lock to save bad pages function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac4a606
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: support new mode-1 reset interface (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e7391a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Revert "retain/release stream pointer in link enc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec434e3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.162 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d52d42
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: fixed the DSC power off sequence during Driver PnP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6a39da
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.93 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46a411d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.92 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1fea53
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Visual Confirm Bar Height Adjust (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b3f966
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Fix eDP will flash when boot to OS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9825d4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Enable DSC over eDP (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Cap-pflip-irqs-per-max-otg-number.patch.
- Refresh
  patches.suse/drm-amd-display-explicitly-set-is_dsc_supported-to-f.patch.
- commit bc2a3d5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Fix LTTPR not Enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 362ec07
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Reset fifo after enable otg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 912b09c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Code change for DML isolation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95cb2b2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: set MSA vsp/hsp to 0 for positive polarity for DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ed0cba
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Revert changes for MPO underflow (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/drm-amdgpu-display-change-pipe-policy-for-DCN-2.0.patch.
- commit 378ce51
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Only flush delta from last command execution (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e841a1a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Secondary display goes blank on Non DCN31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d19f00
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: Pin MMIO/DOORBELL BO's in GTT domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8639927
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: Update BO memory accounting to rely on allocation flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 237e737
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Reduce dmesg error to a debug print (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 153cc8d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Drop config guard for DC_LOG_DP2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91707dc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace asic_family with asic_type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91cb424
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: convert misc checks to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54c90ac
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: convert switches to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7350ecf
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: convert KFD_IS_SOC to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a0d754
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: remove unneeded variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cbd97f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/radeon: correct indentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef1f223
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace trivial funcs with direct access
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-amdkfd-remove-unused-function.patch.
- commit 2bd44d3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: log amdgpu_dm_atomic_check() failure cause (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59e7c48
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Wait for ACK for INBOX0 HW Lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c144b63
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Initialise encoder assignment when initialising (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b05913
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Query all entries in assignment table during (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf13072
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: To support sending TPS3 pattern when restoring link (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 877e44a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.161 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3d852f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Adjust code indentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ec17ad
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Add hpd pending flag to indicate detection of new (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d99bd19
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Fix Coverity Issues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0cd44c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: retain/release stream pointer in link enc table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f4f59b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: fix stale info in link encoder assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53de1da
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: use link_rate_set above DPCD 1.3 (#1527) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9df7ab4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: clean up some formats and log (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14f466f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: bring dcn31 clk mgr in line with other version style (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8292bd7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Fix detection of aligned DMUB firmware meta info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8a4750
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Use link_enc_cfg API for queries. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 534e7d0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: remove dmcub_support cap dependency (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9a2eab
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Pass panel inst to a PSR command (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 544090a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: Add helper for blanking all dp displays
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-power-gating-before-init_pipe.patch.
- commit 05be7a4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amd/display: remove unnecessary conditional operators (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10d1556
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: return early on error while setting bar0 memtype (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0556fea
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: remove unnecessary checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef59681
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: Add sysfs bitfields and enums to uAPI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7bb27d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: use generic fb helpers instead of setting up AMD own's. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc2f882
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: remove kgd_dev declaration and initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a653c8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace/remove remaining kgd_dev references (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a35c010
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in gpuvm amdgpu_amdkfd funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9c4d7a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in get amdgpu_amdkfd funcs
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-amdkfd-remove-unused-function.patch.
- commit 1442b2d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in various amgpu_amdkfd funcs
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-To-flush-tlb-for-MMHUB-of-RAVEN-series.patch.
- commit 2d5f1d7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in various kfd2kgd funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f790cd4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in hqd/mqd kfd2kgd funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64d0601
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in static gfx v10_3 funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 089a35f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in static gfx v10 funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdad87e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in static gfx v9 funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9408aba
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in static gfx v8 funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10e7374
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: replace kgd_dev in static gfx v7 funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a95a32c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdkfd: add amdgpu_device entry to kfd_dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7811388
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Fix build error caused by missing drm_nomodeset.o (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d5bf28
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Decouple nomodeset from CONFIG_VGA_CONSOLE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d42b009
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Move nomodeset kernel parameter to the DRM subsystem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fdd2ea
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vboxvideo: Drop CONFIG_VGA_CONSOLE guard to call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce364bc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Don't print messages if drivers are disabled due nomodeset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c54d91c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: get rid of DRM_DEBUG_* log calls in drm core, files
  drm_a*.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-atomic-Add-the-crtc-to-affected-crtc-only-if-uap.patch.
- commit 54b4054
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: fix an error code in anx7625_register_audio() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7f7567
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Fix edid_read break case in sp_tx_edid_read() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bff270
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: ttm: correct ttm_range_manager kernel-doc notation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17165e2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: partially revert "svm bo enable_signal call condition" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03abac7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix DPT suspend/resume on !HAS_DISPLAY platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88fe545
* Fri Dec  2 2022 pjakobsson@suse.de
- Revert "drm/i915/dg2: Tile 4 plane format support" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51779ab
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi: split out icl_dsi.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eeb4ea2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi: split out vlv_dsi.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68f9605
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi: split out vlv_dsi_pll.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4969bc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi: split out intel_dsi_vbt.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 857209a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dg2: Tile 4 plane format support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81e0a92
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/rpm: Enable runtime pm autosuspend by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f898c2f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dg2: Implement WM0 cursor WA for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6516862
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/pxp: fix includes for headers in include/drm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f789363
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: drop intel_display.h include from intel_display_power.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66724ba
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: move structs from intel_display_power.h to .c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4590f5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/debugfs: move debug printing to intel_display_power.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf92cc6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: drop intel_display.h include from intel_dpll_mgr.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bc78ac
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: drop intel_display.h include from intel_ddi.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c235083
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Clean up CRC register defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a66eaa
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Clean up DPINVGTT/VLV_DPFLIPSTAT bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db8df0c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Clean up FPGA_DBG/CLAIM_ER bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b87e93
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/: Extend VRR platform support to Gen 11 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 959b658
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Disable DSB usage for now (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f6a002
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Declare .(de)gamma_lut_tests for icl+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7375431
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix framestart_delay commens in VRR code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ac71f7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Do vblank evasion correctly if vrr push has already been (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21d3d71
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move vrr push after the frame counter sampling again (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f3f589
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/vlv_dsi: Double pixelclock on read-back for dual-link panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdb4575
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix fastsets on TypeC ports following a non-blocking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb40992
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/driver: add i915_driver_ prefix to functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d0de63
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/driver: rename driver to i915_drm_driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77c1371
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/driver: rename i915_drv.c to i915_driver.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad69f42
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Disable D3Cold in s2idle and runtime pm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9488c8b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: fix the FBC kernel-doc warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 901cacd
* Fri Dec  2 2022 pjakobsson@suse.de
- agp/intel-gtt: reduce intel-gtt dependencies more (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e46d711
* Fri Dec  2 2022 pjakobsson@suse.de
- agp/intel-gtt: Replace kernel.h with the necessary inclusions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d6afb6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: include intel-gtt.h only where needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f075b2e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi/xelpd: Disable DC states in Video mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c1d8c4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi/xelpd: Add DSI transcoder support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c374f37
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: make array states static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f0af6b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/psr: Fix PSR2 handling of multiplanar format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1c544d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/1915/fbc: Replace plane->has_fbc with a pointer to the fbc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1b6b73
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Start passing around intel_fbc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 269754b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: s/dev_priv/i915/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0ea85e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Relocate FBC_LLC_READ_CTRL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45e2c8a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Finish polishing FBC1 registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcd3729
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Clean up all register defines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06ff5bd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Nuke BDW_FBC_COMP_SEG_MASK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc853a0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce intel_fbc_set_false_color() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c01dbc2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce .program_cfb() vfunc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca67464
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: s/gen7/ivb/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7026bc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce .nuke() vfunc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36012c5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce intel_fbc_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6498108
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Extract helpers to compute FBC control register values (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 393ac2f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Introduce intel_fbc_is_compressing() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 695a351
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Just use params->fence_y_offset always (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58b2141
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Extract {skl,glk}_fbc_program_cfb_stride() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d294be
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fbc: Extract snb_fbc_program_fence() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91973a0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi: transmit brightness command in HS state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35513f8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dp: For PCON TMDS mode set only the relavant bits in config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0021c8e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dp: Optimize the FRL configuration for HDMI2.1 PCON (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3ee369
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: pin: delete duplicate check in intel_pin_and_fence_fb_obj() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45b23f4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Call intel_update_active_dpll() for both bigjoiner pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c454b90
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Use unlocked register accesses for LUT loads (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1546ff5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Use vblank workers for gamma updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01c5240
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Do vrr push before sampling the frame counter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 168c1f1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsi: disable lpdt if it is not enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35f8389
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Disable underrun recovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a97347
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/audio: rename intel_init_audio_hooks to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cce4f55
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/audio: move intel_audio_funcs internal to intel_audio.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08a54d0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/audio: define the audio struct separately from (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc566e0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/audio: name the audio sub-struct in drm_i915_private (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e25383e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/audio: group audio under anonymous struct in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9317cc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split vlv/chv sprite plane update into noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b6a41c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split ivb+ sprite plane update into noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 872e240
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split g4x+ sprite plane update into noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b779a41
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split pre-skl primary plane update into noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95d18d4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split skl+ plane update into noarm+arm pair (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f272af
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split update_plane() into update_noarm() + update_arm() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b71c79c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix up the sprite namespacing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d10a4fb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix async flip with decryption and/or DPT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbc3e36
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Reject planar formats when doing async flips (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 056c8f1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Use intel_de_rmw() for icl combo phy programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3289163
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Use intel_de_rmw() for icl mg phy programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01fd17b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Use intel_de_rmw() for tgl dkl phy programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39c0da0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Enable per-lane drive settings for icl+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f29e7b8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Query the vswing levels per-lane for snps phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b394c5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Query the vswing levels per-lane for tgl dkl phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60e213a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Query the vswing levels per-lane for icl mg phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0640d6a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Query the vswing levels per-lane for icl combo phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 789a6ec
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Stop using group access when progrmming icl combo phy TX (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d820f13
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix comment about modeset parameters (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ed2e3c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Restore memory mapping for DPT FBs across system (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57826f7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Factor out i915_ggtt_suspend_vm/i915_ggtt_resume_vm() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ff70ba
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/adlp/fb: Remove restriction on CCS AUX plane strides (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5934ae5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/adlp/fb: Remove restriction on semiplanar UV plane offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18d875b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fb: Rename i915_color_plane_view::stride to mapping_stride (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c92ccd0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/adlp/fb: Fix remapping of linear CCS AUX surfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4655942
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fb: Factor out functions to remap contiguous FB obj pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 007ab25
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display: program audio CDCLK-TS for keepalives (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c41e1e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display: Check async flip state of every crtc and plane once (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d199a96
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Don't request GMBUS to generate irqs when called while irqs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 911c511
* Fri Dec  2 2022 pjakobsson@suse.de
- i915/display/dmc: Add Support for PipeC and PipeD DMC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 757bbe6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/adlp: Implement workaround 16013190616 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5de00d7
* Fri Dec  2 2022 pjakobsson@suse.de
- Revert "drm/i915/display/psr: Do full fetch when handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1f1eb5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display: Add initial selective fetch support for biplanar (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94e1802
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fb: Fold modifier CCS type/tiling attribute to plane caps (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e79ce53
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fb: Don't store bitmasks in the intel_plane_caps enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d4021e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/fb: Don't report MC CCS plane capability on GEN<12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db66736
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix icl+ combo phy static lane power down setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d30b42e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/adlp: Extend PSR2 support in transcoder B (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22306f4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dsc: demote noisy drm_info() to drm_kms_dbg() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0d2542
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Nuke PIPE_CONFIG_QUIRK_BIGJOINER_SLAVE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdd73eb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Reduce bigjoiner special casing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c0664d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Perform correct cpu_transcoder readout for bigjoiner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85b28d9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Split PPS write from DSC enable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af320e7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Simplify intel_crtc_copy_uapi_to_hw_state_nomodeset() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d17296
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_master_crtc() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3895ea5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Disable all planes before modesetting any pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45f0c15
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/psr: Disable PSR before modesets turn off all planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3ccc07
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: abstraction for iosf to compile on all archs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89d4ecc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display: Wait PSR2 get out of deep sleep to update pipe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46fc5fc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Small optimization to intel_dp_mst_atomic_master_trans_check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12fee05
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: remove CNL leftover (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60f97ef
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/hdmi: Extract intel_hdmi_output_format() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2162166
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/hdmi: Unify "4:2:0 also" logic between .mode_valid() and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed1f202
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/hdmi: Introduce intel_hdmi_tmds_clock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e90504
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/hdmi: Introduce intel_hdmi_is_ycbr420() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5cb319
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/hdmi: Split intel_hdmi_bpc_possible() to source vs. sink (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47bf4bf
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move function prototypes to the correct header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0de7db
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Add functions to check for RC CCS CC and MC CCS modifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cfd912
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move is_ccs_modifier() to intel_fb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1952d1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Add a platform independent way to check for CCS AUX planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10f246c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Handle CCS CC planes separately from CCS AUX planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3683aed
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Add a platform independent way to get the RC CCS CC plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc9b29f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move intel_format_info_is_yuv_semiplanar() to intel_fb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e72cabe
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Unexport is_semiplanar_uv_plane() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b0afbb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Simplify the modifier check for interlaced scanout support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b78b15
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Add tiling attribute to the modifier descriptor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eba0add
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move intel_get_format_info() to intel_fb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f50a98
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Add a table with a descriptor for all i915 modifiers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a968484
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display: Add warn_on in intel_psr_pause() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf6dc82
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/display: Rename POWER_DOMAIN_DPLL_DC_OFF to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3ea2a0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dp: Sanitize link common rate array lookups (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 774ca2a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dp: Sanitize sink rate DPCD register values (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b79b750
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dp: Ensure sink/link max lane count values are always valid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68dc61a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915/dp: use new link training delay helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b030c92
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Introduce lpt_pch_disable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a859d1e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move intel_ddi_fdi_post_disable() to fdi code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb97a0a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Introduce ilk_pch_disable() and ilk_pch_post_disable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 758f63c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move iCLKIP readout to the pch code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c022544
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Extract ilk_pch_get_config() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3aeef67
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move LPT PCH readout code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e3c8b5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Clean up the {ilk,lpt}_pch_enable() calling convention (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bef020
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move PCH modeset code to its own file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44045c7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move PCH refclock stuff into its own file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23d8bbd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Don't propagate the gen split confusion further (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b79b7c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Rename intel_load_plane_csc_black() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d653b0a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Remove the drm_dbg() from the vblank evade critical section (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad2cfdc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix up skl_program_plane() pxp stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ba3de0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Move the pxp plane state computation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3460445
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Clarify probing order in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6515441
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/dp, drm/i915: Add support for VESA backlights using PWM for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3dae6b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Explicitly check DPCD backlights for aux (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 005bf91
* Fri Dec  2 2022 pjakobsson@suse.de
- gpu: drm: panel-edp: Fix edp_panel_entry documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88072a0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Fix additional suspend/resume at bootup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2b4b0c
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: nuke dma_resv_get_excl_unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 779b0b9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: stop getting excl fence separately (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c81773
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: use new iterator in i915_gem_object_wait_reservation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f56a89b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: Fix i915_request fence wait semantics (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5574d0c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: use new cursor in intel_prepare_plane_fb v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb15bbb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: use the new iterator in i915_sw_fence_await_reservation v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8b6b4e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: use new iterator in i915_gem_object_wait_priority (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d03f6f0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/i915: use the new iterator in i915_gem_busy_ioctl v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 695b1af
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/shmem-helper: Pass GEM shmem object in public interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56d5073
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/shmem-helper: Export dedicated wrappers for GEM object functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9c1514
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/shmem-helper: Unexport drm_gem_shmem_create_with_handle() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d2db4d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau: set RGB quantization range to FULL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bc0756
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms: delete an useless function call in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63078aa
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Remove several set but not used variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64325a0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/fifo: make tu102_fifo_runlist static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b928a63
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/dispnv50/headc57d: Make local function 'headc57d_olut' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d88e230
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/device: use snprintf() to replace strncpy() to avoid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89f7a14
* Fri Dec  2 2022 pjakobsson@suse.de
- nouveau/nvkm/subdev/devinit/mcp89.c:Unneeded variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c497d5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Always validate LUTs in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 734a407
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Use NV_ATOMIC() in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7b7fec
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau: Remove unused variable ret (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63627ac
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Correct size checks for cursors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c64e84f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/bios/init: A typo fix (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 676f613
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/core/client: Mark nvkm_uclient_sclass with static keyword (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd522f9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv140-: Add CRC methods to gv100_disp_core_mthd_head (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ad8957
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nvd9-nv138: Fix CRC calculation for the cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0b32da
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv140-: Use hard-coded wndws or core channel for
  CRC channel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-nouveau-kms-nv50-atom-fix-an-incorrect-NULL-chec.patch.
- commit 080c429
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Check vbl count after CRC context flip (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be4dd6e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Use drm_dbg_kms() in crc.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 629e31c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/meson: encoder_cvbs: switch to bridge with ATTACH_NO_CONNECTOR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e535ea1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/meson: rename venc_cvbs to encoder_cvbs (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-meson-Fix-error-handling-when-afbcd.ops-init-fai.patch.
- commit a4e7f76
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/meson: encoder_hdmi: switch to bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea82620
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/meson: remove useless recursive components matching (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5600e69
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Populate devices on aux-bus
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-parade-ps8640-Fix-regulator-supply-order.patch.
- commit cfa76c0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Enable runtime power management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0429a3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Clarify semantics of struct drm_mode_config.{min, max}_{width, (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d097f8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/simpledrm: Support virtual screen sizes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae5942d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/simpledrm: Enable FB_DAMAGE_CLIPS property (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49df597
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/fb-helper: Allocate shadow buffer of surface height
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-fb-helper-Mark-screen-buffers-in-system-memory-w.patch.
- commit 33e82ff
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/format-helper: Streamline blit-helper interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2990f1f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/format-helper: Rework format-helper conversion functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d85b53
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/format-helper: Add destination-buffer pitch to drm_fb_swab() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8da3381
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/format-helper: Rework format-helper memcpy functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3db3e58
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/format-helper: Export drm_fb_clip_offset() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88e20a2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Update documentation and TODO of gem_prime_mmap hook (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63ca442
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/xen: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce3c7b7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/etnaviv: use dma_resv_describe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d544b30
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/msm: use the new dma_resv_describe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48069c1
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: add dma_fence_describe and dma_resv_describe v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f66036
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/tidss: Make use of the helper macro SET_RUNTIME_PM_OPS() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2b59bf
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: increase DSS5 max tv pclk to 192MHz (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a9ed76
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 235482e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omap: dss: Make use of the helper macro SET_RUNTIME_PM_OPS() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32349d9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/omapdrm: Convert to SPDX identifier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd47851
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Introduce a scdc_enabled flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 415888f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Introduce an output_enabled flag (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4f56af
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Check the device state in prepare() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d23bc9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Prevent access to crtc->state outside of KMS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98aa66b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Use a mutex to prevent concurrent framework access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0eacad5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Add a spinlock to protect register access
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-vc4-hdmi-Correct-HDMI-timing-registers-for-inter.patch.
- Refresh
  patches.suse/drm-vc4-hdmi-Fix-timings-for-interlaced-modes.patch.
- Refresh
  patches.suse/drm-vc4-hdmi-Reset-HDMI-MISC_CONTROL-register.patch.
- commit ad00b13
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: add HDMI audio function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 706fe82
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: add MIPI DPI input feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef4c3af
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: fix not correct return value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dec4a1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: Increase the core clock based on HVS load (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d7b7ce
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Raise the maximum clock rate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b98556
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: Leverage the load tracker on the BCM2711 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b81f1c1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: crtc: Add some logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10e5d91
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: crtc: Rework the encoder retrieval code (again) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df766f9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: crtc: Add encoder to vc4_crtc_config_pv prototype (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 886aa8f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: Make vc4_crtc_get_encoder public (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d44bc91
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove the DDC probing for status detection
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-vc4-hdmi-Fix-HPD-GPIO-detection.patch.
- commit b2f1087
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/radeon: use dma_resv_wait_timeout() instead of manually waiting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c611e22
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/etnaviv: stop getting the excl fence separately here (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18c80d7
* Fri Dec  2 2022 pjakobsson@suse.de
- i915/display/dp: send a more fine-grained link-status uevent (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 741759a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/probe-helper: use drm_kms_helper_connector_hotplug_event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92eb4f4
* Fri Dec  2 2022 pjakobsson@suse.de
- amdgpu: use drm_kms_helper_connector_hotplug_event (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Revert-drm-amd-display-turn-DPMS-off.patch.
- commit afac415
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/connector: use drm_sysfs_connector_hotplug_event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85116c3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/probe-helper: add drm_kms_helper_connector_hotplug_event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6c74ef
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/sysfs: introduce drm_sysfs_connector_hotplug_event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 318d88f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/sched: Avoid lockdep spalt on killing a processes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76b698f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Remove bogus register write (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 13d3eb6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Attach bridge chain to encoders (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28b6251
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Upload palette before frame (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 386a6bd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Set DMA descriptor chain register when starting CRTC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b2d524
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Move IPU scale settings to private state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be74c56
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Add support for private objects (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 722a446
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ingenic: Simplify code by using hwdescs array (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3ca66c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: import DMA_BUF module namespace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ff1eb1
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau: use the new interator in nv50_wndw_prepare_fb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25ec630
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/virtio: fix another potential integer overflow on shift of a int (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9da39a8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/virtio: fix potential integer overflow on shift of a int (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbe0cb6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi86: ti_sn65dsi86_read_u16() __maybe_unused
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-ti-sn65dsi86-Set-max-register-for-regmap.patch.
- commit 112628a
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: remove restriction of IOCTL:DMA_BUF_SET_NAME (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 790f177
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/kmb: Enable support for framebuffer console (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95f6cf0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/msm/dsi: Adjust probe order (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46c354d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/kirin: dsi: Adjust probe order (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d66194f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358775: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8371208
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358775: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5eb2cb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi86: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e97905a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi86: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f91c745
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi83: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd88181
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: sn65dsi83: Fix bridge removal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 125a319
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: ps8640: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8d8d68
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: ps8640: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 032943d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: lt9611uxc: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad6e38f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: lt9611uxc: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c854a9e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dcfa6a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: lt9611: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 437c8fd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: lt8912b: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0e7865
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: lt8912b: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6aae601
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Register and attach our DSI device at probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83557fc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 144939f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: adv7511: Register and attach our DSI device at
  probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-adv7511-clean-up-CEC-adapter-when-probe-f.patch.
- commit c9e1adb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: adv7533: Switch to devm MIPI-DSI helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a46e5d7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Link CMA framebuffer helpers into KMS helper library (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81b67b5
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Implement the pwm_chip (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-ti-sn65dsi86-Set-max-register-for-regmap.patch.
- commit d6f351b
* Fri Dec  2 2022 pjakobsson@suse.de
- pwm: Introduce single-PWM of_xlate function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65e8608
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Use regmap_bulk_write API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5ea14b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/etnaviv: replace dma_resv_get_excl_unlocked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8461eb
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/etnaviv: use new iterator in etnaviv_gem_describe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6639d22
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: st: fix error handling in test_get_fences() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0459c56
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: novatek-nt35950: remove unneeded semicolon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5529b7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: make sharp_ls055d1sx04 static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5328c21
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: ilitek-ili9881c: Read panel orientation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a9d387
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Warn if we access the controller while disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8da1981
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: use new iterator in drm_gem_plane_helper_prepare_fb v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3fc3e26
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Move GEM memory managers into modules (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 615a3b7
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Link several object files into drm_kms_helper.ko (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b6c9c4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Build drm_irq.o only if CONFIG_DRM_LEGACY has been set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1991bc
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: use new iterator in amdgpu_ttm_bo_eviction_valuable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e018d8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: use the new iterator in amdgpu_sync_resv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 837fa7a
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: add dma_resv selftest v4 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b114c86
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/nouveau: use the new iterator in nouveau_fence_sync (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 734b731
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: fix kerneldoc for renamed members (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee7ee03
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/rockchip: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db82db2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/sun4i: virtual CMA addresses are not needed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 945203a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Remove generic DRM drivers in probe function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76cce5c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/radeon: use new iterator in radeon_sync_resv (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82d889c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/msm: use new iterator in msm_gem_describe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cfd158
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/amdgpu: use new iterator in amdgpu_vm_prt_fini (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0025b54
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/dp: reuse the 8b/10b link training delay helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c6bdc3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/dp: add helpers to read link training delays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1a6520
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358768: Correct BTACNTRL1 programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd1236f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358768: Disable non-continuous clock mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c56b091
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358768: Calculate video start delay (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54f9440
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358768: Support pulse mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc7e4a4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: tc358768: Enable reference clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 887f8db
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Rename struct gtt_range to struct psb_gem_object (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7af5c3
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Rewrite GTT page insert/remove without struct gtt_range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c43ac0
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Set page-caching flags in GEM pin/unpin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f9f502
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Inline psb_gtt_{alloc,free}_range() into rsp callers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eca7fec
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Inline psb_gtt_attach_pages() and psb_gtt_detach_pages() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c233a1a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Rename psb_gtt_{pin,unpin}() to psb_gem_{pin,unpin}() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcd22c6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Allocate GTT ranges in stolen memory with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d099ba4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Reimplement psb_gem_create() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be6eea4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Use to_gtt_range() everywhere (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69a5068
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/gma500: Move helpers for struct gtt_range from gtt.c to gem.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43b4536
* Fri Dec  2 2022 pjakobsson@suse.de
- dma-buf: Update obsoluted comments on dma_buf_vmap/vunmap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2d0194
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/rockchip: vop: Add timeout for DSP hold (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6c57b8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/v3d: nullify pointer se with a NULL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32be85b
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: Add Sony Tulip Truly NT35521 driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7ce68f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: Add BOE BF060Y8M-AJ0 5.99" AMOLED panel driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16d2f64
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: Add driver for Novatek NT35950 DSI DriverIC panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 069606a
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Optimize reset line toggling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7100c6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: ilitek-ili9881c: Make gpio-reset optional (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 731aa42
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: ilitek-ili9881d: add support for Wanchanglong W552946ABA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 529aa70
* Fri Dec  2 2022 pjakobsson@suse.de
- video: omapfb: replace snprintf in show functions with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a85b9b
* Fri Dec  2 2022 pjakobsson@suse.de
- video: fbdev: replace snprintf in show functions with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1a846d
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/tiny: ili9163: fix build (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 850d44f
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/tiny: add driver for newhaven, 1.8-128160EF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e504858
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: dsi-cm: replace snprintf in show functions with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b89cb25
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/bridge: synopsys: dw-hdmi: also allow interlace on bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40e69c8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: y030xx067a: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfb7b81
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: xpp055c272: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b678462
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: td043mtea1: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fd14dd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: sofef00: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e53126
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: s6e63j0x03: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2b7cbe
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: nt39016: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80b9bb6
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: ls037v7dw01: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60e5c05
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: k101-im2ba02: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29ecbcd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: ili9881c: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 735c8fd
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: fy07024di26a30d: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49581d8
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: ej030na: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 936c481
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: panel: nt36672a: Removed extra whitespace. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7fca76
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel: Add JDI R63452 MIPI DSI panel driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db869be
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/panel-simple: Add Vivax TPC-9150 panel v6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1447af9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: of: Add drm_of_lvds_get_data_mapping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a3a3ba
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: panel-simple: Add support for the Innolux G070Y2-T02 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c650d03
* Fri Dec  2 2022 pjakobsson@suse.de
- video: omapfb: Fix fall-through warning for Clang (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2254b2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/connector: Add a drm_connector privacy-screen helper functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d9b0c2
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/privacy-screen: Add notifier support (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 430636e
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/privacy-screen: Add X86 specific arch init code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e6aaf4
* Fri Dec  2 2022 pjakobsson@suse.de
- drm: Add privacy-screen class (v4) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdc06a9
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/connector: Add support for privacy-screen properties (v4) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 670587c
* Fri Dec  2 2022 pjakobsson@suse.de
- drm/ttm: fix compilation on ARCH=um (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d86b8c
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-fix-suspend-resume-hang-regression.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05851c3
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-i915-s-JSP2-ICP2-PCH.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit b2f7a98
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-guc-slpc-Correct-the-param-count-for-unset-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6608792
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dg2-Print-PHY-name-properly-on-calibration-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c647219
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-bw-atomic-check-when-switching-between-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e48618
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Correctly-populate-use_sagv_wm-for-all-pipe.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7df6744
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-i915-Widen-the-QGV-point-mask.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 976f85c
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-check-vm-ready-by-amdgpu_vm-evicting-flag.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce24578
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-bypass-tiling-flag-check-in-virtual-displ.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0218cd6
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-do-not-enable-asic-reset-for-raven2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d3d4cc
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 7871316
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-For-vblank_disable_immediate-check-P.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f91987
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-fix-some-OEM-SKU-specific-stability-issue.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b3a783
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-disable-MMHUB-PG-for-Picasso.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36984a1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Protect-update_bw_bounding_box-FPU-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit b7f41e1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-opregion-check-port-number-bounds-for-SWSCI.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3766fd3
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-ttm-tweak-priority-hint-selection.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 293ffb5
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-i915-Fix-mbus-join-config-lookup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c67015a
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-dbuf-slice-config-lookup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb746f8
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gvt-Make-DRM_I915_GVT-depend-on-X86.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c25462f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-gvt-clean-up-kernel-doc-in-gtt.c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3350845
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-radeon-Fix-backlight-control-on-iMac-12-1.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8a6166
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-correct-the-sequence-of-sending-gpu-reset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 086379d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-skipping-SDMA-hw_init-and-hw_fini-for-S0i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ceb97cb
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-correct-UMD-pstate-clocks-for-Dimgrey-Cav.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4516c7d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/phy-dphy-Correct-clk_pre-parameter.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a5e2bd
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-display-change-pipe-policy-for-DCN-2.0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3d424f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-fix-hwmon-node-of-power1_label-create-iss.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54e6cae
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-fix-yellow-carp-wm-clamping.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6673127
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Cap-pflip-irqs-per-max-otg-number.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit cb345e1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/display-amd-decrease-message-verbosity-about-waterma.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 619dbd6
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Workaround-broken-BIOS-DBUF-configuration-o.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ed9a88
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Populate-pipe-dbuf-slices-more-accurately-d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47a6445
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Allow-join_mbus-cases-for-adlp-dbuf-configu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 818ee1d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Disable-DRRS-on-IVB-HSW-port-A.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b036399
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-adlp-Fix-TypeC-PHY-ready-status-readout.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25ceff0
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-overlay-Prevent-divide-by-zero-bugs-in-scal.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc6785f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-fix-logic-inversion-in-check.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12d6094
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-avoid-suspend-on-dGPUs-w-s2idle-support-when.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 17f7ce6
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Force-link_rate-as-LINK_RATE_RBR2-fo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f221a90
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-watermark-latencies-is-not-enough-on.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d9a233
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Update-watermark-values-for-DCN301.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e37b7f5
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-correct-the-MGpuFanBoost-support-for-Beig.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83a9008
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/msft-hv-2513-video-hyperv_fb-Fix-validation-of-screen-resolution.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05910fa
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-FP-start-end-for-dcn30_internal_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e8012e
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-dc-calcs-dce_calcs-Fix-a-memleak-in-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f679d7b
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Correct-MPC-split-policy-for-DCN301.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a71e28d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-etnaviv-relax-submit-size-limits.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36b99ab
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-invalid-parameter-check-in-msm_dsi_phy_e.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b191c62
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-a6xx-Add-missing-suspend_count-increment.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 684b5b0
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-msm-Fix-wrong-size-calculation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ced450
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dpu-invalid-parameter-check-in-dpu_setup_dsp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a3483d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-hdmi-Fix-missing-put_device-call-in-msm_hdmi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43a2f25
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-Fix-missing-put_device-call-in-dsi_get_p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c1f88b
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-orientation-quirks-Add-quirk-for-the-1Netb.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0b94b6
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-Fix-deadlock-on-DSI-device-attach-error.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0de769
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-simple-Fix-Innolux-G070Y2-L01-BPP-settings.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08a1adc
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-imx-parallel-display-Remove-bus-flags-check-in-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83a2d3e
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-sun4i-mixer-Fix-P010-and-P210-format-numbers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 191e4e8
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vrr-Set-VRR-capable-prop-only-if-it-is-attached-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bed2b1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-ti-sn65dsi86-Properly-undo-autosuspend.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37bcdae
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-edid-Always-set-RGB444.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4384758
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-crtc-Fix-runtime_pm-reference-counting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c933ff
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-atomic-Don-t-pollute-crtc_state-mode_blob-with-e.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4073aa
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-cma-helper-Set-VM_DONTEXPAND-for-mmap.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit a0ee926
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-vop-Correct-RK3399-VOP-register-fields.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11c6efa
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-dw_hdmi-Do-not-leave-clock-enabled-in-e.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c52228
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/0004-fbcon-Avoid-cap-set-but-not-used-warning.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e6361d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-simple-Assign-data-from-panel_dpi_probe-co.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0e094e
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Allow-DBLCLK-modes-even-if-horz-timing-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f500b9f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/0002-fbcon-Add-option-to-enable-legacy-hardware-accelerat.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f642d9b
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/0001-Revert-fbcon-Disable-accelerated-scrolling.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b79b5e5
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/dma-buf-heaps-Fix-potential-spectre-v1-gadget.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 078a626
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-fix-off-by-one-in-BIOS-boundary-checking.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55cdeb7
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-kmb-Fix-for-build-errors-with-Warray-bounds.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 054bbcf
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-ast-Support-1600x900-with-108MHz-PCLK.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e582011
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-amdgpu-fixing-read-wrong-pf2vf-data-in-SRIOV.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b34212
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-don-t-do-resets-on-APUs-which-don-t-suppo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ea76b2
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-display-ehl-Update-voltage-swing-table.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55ce6bc
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-Check-for-null-pointer-after-calling-kmem.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eccb1df
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-reset-dcn31-SMU-mailbox-on-failures.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d7d4c5
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-amdkfd-remove-unused-function.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 6bb23b1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-explicitly-set-is_dsc_supported-to-f.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 58af856
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Don-t-reinitialize-DMCUB-on-s0ix-res.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd67d92
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-don-t-set-s3-and-s0ix-at-the-same-time.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d538877
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-explicitly-check-for-s0ix-when-evicting-r.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0937eb8
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-atomic-Check-new_crtc_state-active-to-determine-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 539badc
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-ttm-ensure-we-unmap-when-purging.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 94b2e11
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-ttm-add-unmap_virtual-callback.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 960fa7b
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-don-t-call-free_mmap_offset-when-purging.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit e3535a1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/backlight-qcom-wled-Respect-enabled-strings-in-set_b.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 020dae5
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/backlight-qcom-wled-Override-default-length-with-qco.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66217b5
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/backlight-qcom-wled-Fix-off-by-one-maximum-with-defa.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f2f97dc
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/backlight-qcom-wled-Use-cpu_to_le16-macro-to-perform.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 984c24f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/backlight-qcom-wled-Pass-number-of-elements-to-read-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8444eda
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/backlight-qcom-wled-Validate-enabled-string-indices-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e1e9e8
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-the-uninitialized-variable-in-en.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 092b088
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/amdgpu-pm-Make-sysfs-pm-attributes-as-read-only-for-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01742ac
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-fixup-bad-vram-size-on-gmc-v8.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a94e655
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Separate-vf2pf-work-item-init-from-virt-d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b9ca2c
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dpu-fix-safe-status-debugfs-file.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 226dc6b
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-dp_link_parse_sink_count-return-immediate.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce0908a
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-displayPort-driver-need-algorithm-rationa.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0aa02c
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/0002-drm-vmwgfx-Remove-unused-compile-options.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit ce58292
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-Remove-explicit-transparent-hugepages-sup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 5df3ea7
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Require-the-vm-mutex-for-i915_vma_bind.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5358197
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-uc-correctly-track-uc_fw-init-failure.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ece217
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-etnaviv-consider-completed-fence-seqno-in-hang-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c5a222
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-etnaviv-limit-submit-sizes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 971e919
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/gpu-host1x-Add-back-arm_iommu_detach_device.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d3b09d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-tegra-vic-Fix-DMA-API-misuse.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7591872
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-tegra-gr2d-Explicitly-control-module-reset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ded4527
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/gpu-host1x-Drop-excess-kernel-doc-entry-key.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8da0095
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-amdgpu-fix-gmc-bo-pin-count-leak-in-SRIOV.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a578c4f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-amdgpu-fix-psp-tmr-bo-pin-count-leak-in-SRIO.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c51992
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-out-of-bounds-access-on-DNC31-st.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1283d9b
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-bug-in-debugfs-crc_win_update-en.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f74bc2
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-radeon-radeon_kms-Fix-a-NULL-pointer-dereference.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3adbe5f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Fix-a-NULL-pointer-dereference-in-amdgpu_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e478ad2
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-ti-sn65dsi86-Set-max-register-for-regmap.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 5b64c79
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/dma_fence_array-Fix-PENDING_ERROR-leak-in-dma_fence_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0552ce7
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-Fail-to-initialize-on-broken-configs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 783b321
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-Release-ttm-memory-if-probe-fails.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d99fb47
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vmwgfx-Remove-the-deprecated-lower-mem-limit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ce7ca4
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rcar-du-Fix-CRTC-timings-when-CMM-is-used.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df2ef1d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-display-Only-set-vblank_disable_immediate.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d63dbc1
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-add-else-to-avoid-double-destroy-clk.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8daa95
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-display-set-vblank_disable_immediate-for-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f22f054
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-check-top_pipe_to_program-pointer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 653920f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-megachips-Ensure-both-bridges-are-probed-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28a70f9
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vboxvideo-fix-a-NULL-vs-IS_ERR-check.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2eeed31
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-panel-orientation-quirks-Add-quirk-for-the-Lenov.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8285d0a
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Fix-Memory-BW-formulae-for-ADL-P.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94deac3
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Update-memory-bandwidth-formulae.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8e0fb6
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-i915-display-Disable-audio-DRRS-and-PSR-b.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 665168d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Avoid-bitwise-vs-logical-OR-warning-in-snb_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 132378c
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-dp-Don-t-read-back-backlight-mode-in-drm_edp_bac.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3b6e9a
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-kms-nv04-use-vzalloc-for-nv04_display.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c29bc0
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-pmu-gm200-use-alternate-falcon-reset-seq.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 935c1c7
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-nouveau-pmu-gm200-avoid-touching-PMU-outside-of-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 877bbc7
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-meson-split-out-encoder-from-meson_dw_hdmi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2539d16
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-display-connector-implement-bus-fmts-call.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7de2b7
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-dw-hdmi-handle-ELD-when-DRM_BRIDGE_ATTACH.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bf11ff
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-ttm-Put-BO-in-its-memory-manager-s-lru-list.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a0f645
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-lima-fix-warning-when-CONFIG_DEBUG_SG-y-CONFIG_D.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0427bad
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-crtc-Copy-assigned-channel-to-the-CRTC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bd7d52
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-Fix-non-blocking-commit-getting-stuck-foreve.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2171c8f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-crtc-Drop-feed_txp-from-state.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f496bd8
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-analogix_dp-Make-PSR-exit-block-less.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 538c983
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Enable-the-scrambler-on-reconnection.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7595e5d
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-vc4-hdmi-Fix-HPD-GPIO-detection.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 4be4673
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-crtc-Make-sure-the-HDMI-controller-is-powere.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ab456f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Make-sure-the-device-is-powered-with-CE.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28a9fbc
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Split-the-CEC-disable-enable-functions-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b36ee5f
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Rework-the-pre_crtc_configure-error-han.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5dbd12
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Make-sure-the-controller-is-powered-up-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 697d484
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Make-sure-the-controller-is-powered-in-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40767b0
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-vc4-hdmi-Move-the-HSM-clock-enable-to-runtime_pm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e136b65
* Fri Dec  2 2022 pjakobsson@suse.de
- Update patches.suse/drm-vc4-hdmi-Set-a-default-HSM-rate.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb9ff66
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-dsi-Disable-PLL-clock-on-bind-error.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 576f100
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-dsi-Fix-unbalanced-clock-on-probe-error.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33eb9a9
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-dsi-Reconfigure-hardware-on-resume.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e89316
* Fri Dec  2 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-rockchip-dsi-Hold-pm-runtime-across-bind-unbind.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7fdb2f
* Fri Dec  2 2022 pjakobsson@suse.de
- blacklist.conf: Unblacklist patches for the drm v5.17 backport
- commit 9385530
* Fri Dec  2 2022 tiwai@suse.de
- hwmon: (coretemp) fix pci device refcount leak in nv1a_ram_new()
  (git-fixes).
- hwmon: (coretemp) Check for null before removing sysfs attrs
  (git-fixes).
- hwmon: (ibmpex) Fix possible UAF when ibmpex_register_bmc()
  fails (git-fixes).
- hwmon: (i5500_temp) fix missing pci_disable_device()
  (git-fixes).
- hwmon: (ina3221) Fix shunt sum critical calculation (git-fixes).
- hwmon: (ltc2947) fix temperature scaling (git-fixes).
- ARM: at91: rm9200: fix usb device clock id (git-fixes).
- commit e077c40
* Fri Dec  2 2022 shung-hsi.yu@suse.com
- scripts/pahole-flags.sh: Parse DWARF and generate BTF with
  multithreading (jsc#PED-1368).
- Refresh patches.suse/kbuild-Add-skip_encoding_btf_enum64-option-to-pahole.patch
- scripts/pahole-flags.sh: Use pahole-version.sh (jsc#PED-1368).
- kbuild: Add CONFIG_PAHOLE_VERSION (jsc#PED-1368).
- kbuild: Unify options for BTF generation for vmlinux and modules
  (jsc#PED-1368).
- Refresh patches.suse/kbuild-Add-skip_encoding_btf_enum64-option-to-pahole.patch
- kbuild: merge vmlinux_link() between ARCH=um and other
  architectures (jsc#PED-1368).
- kbuild: do not remove 'linux' link in scripts/link-vmlinux.sh
  (jsc#PED-1368).
- kbuild: merge vmlinux_link() between the ordinary link and
  Clang LTO (jsc#PED-1368).
- kbuild: Fix TRIM_UNUSED_KSYMS with LTO_CLANG (jsc#PED-1368).
- commit 85ab11f
* Thu Dec  1 2022 farosas@suse.de
- KVM: SEV-ES: Use V_TSC_AUX if available instead of
  RDTSC/MSR_TSC_AUX intercepts (jsc#PED-1756).
- commit f6d4aa5
* Thu Dec  1 2022 farosas@suse.de
- x86/cpufeatures: Add virtual TSC_AUX feature bit (jsc#PED-1756).
- commit 316875d
* Thu Dec  1 2022 jack@suse.cz
- block: Do not reread partition table on exclusively open device
  (bsc#1190969).
- commit e522e07
* Thu Dec  1 2022 lduncan@suse.com
- Refresh
  patches.suse/block-Change-the-return-type-of-blk_mq_map_queues-into-void.patch.
- commit 65bc700
* Thu Dec  1 2022 hare@suse.de
- block: turn bdev->bd_openers into an atomic_t (jsc#PED-1183).
- Refresh patches.suse/target-add-rbd-backend.patch.
- commit 529eeb7
* Thu Dec  1 2022 lduncan@suse.com
- Re-sort series.conf based on upstream updates.
- commit b42ca1f
* Thu Dec  1 2022 vbabka@suse.cz
- memory tier, sysfs: rename attribute "nodes" to "nodelist"
  (jsc#PED-1248).
- commit 5cbb20b
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion: expose memory tier details via sysfs
  (jsc#PED-1248).
- commit 3d73b84
* Thu Dec  1 2022 vbabka@suse.cz
- lib/nodemask: optimize node_random for nodemask with single
  NUMA node (jsc#PED-1248).
- commit 6d03bf0
* Thu Dec  1 2022 vbabka@suse.cz
- lib/nodemask: inline next_node_in() and node_random()
  (jsc#PED-1248).
- commit 0ded189
* Thu Dec  1 2022 vbabka@suse.cz
- nodemask: Fix return values to be unsigned (jsc#PED-1248).
- commit 1c4b663
* Thu Dec  1 2022 vbabka@suse.cz
- bitmap: Fix return values to be unsigned (jsc#PED-1248).
- commit 5a09274
* Thu Dec  1 2022 hare@suse.de
- blk-cgroup: replace bio_blkcg with bio_blkcg_css (jsc#PED-1183).
- Refresh
  patches.suse/block-fix-bio_clone_blkg_association-to-associate-wi.patch.
- commit 1bd854e
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion: update node_is_toptier to work with memory tiers
  (jsc#PED-1248).
- commit b4d9a4b
* Thu Dec  1 2022 hare@suse.de
- blk-cgroup: move struct blkcg to block/blk-cgroup.h
  (jsc#PED-1183).
- Refresh
  patches.suse/blk-cgroup-move-blkcg_-get-set-_fc_appid-out-of-line.patch.
- commit 61e589a
* Thu Dec  1 2022 tiwai@suse.de
- Update patch reference for ATM fix (CVE-2022-3635 bsc#1204631)
- commit 7ef6216
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion: demote pages according to allocation fallback order
  (jsc#PED-1248).
- commit aac4a5a
* Thu Dec  1 2022 vbabka@suse.cz
- mm/vmscan.c: fix -Wunused-but-set-variable warning
  (jsc#PED-1248).
- commit e68965a
* Thu Dec  1 2022 hare@suse.de
- target: pass a block_device to target_configure_unmap_from_queue
  (jsc#PED-1183).
- Refresh patches.suse/target-add-rbd-backend.patch.
- commit 930800f
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion: drop memtier from memtype (jsc#PED-1248).
- commit bc92656
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion: add pg_data_t member to track node memory tier
  details (jsc#PED-1248).
- commit 0666d2d
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion: build demotion targets based on explicit memory
  tiers (jsc#PED-1248).
- commit 04d3821
* Thu Dec  1 2022 vbabka@suse.cz
- mm/demotion/dax/kmem: set node's abstract distance to
  MEMTIER_DEFAULT_DAX_ADISTANCE (jsc#PED-1248).
- commit ed4a649
* Thu Dec  1 2022 tiwai@suse.de
- Move upstreamed i915 fix into sorted section
- commit 8ee5ebf
* Thu Dec  1 2022 jroedel@suse.de
- qcom_scm: hide Kconfig symbol (bsc#1205701).
- Refresh
  patches.suse/net-ipa-add-an-interconnect-dependency.patch.
- Delete patches.suse/1344-qcom_scm-hide-Kconfig-symbol.patch.
- commit b435c24
* Thu Dec  1 2022 jroedel@suse.de
- vfio/pci: Rename vfio_pci_device to vfio_pci_core_device
  (bsc#1205701).
- commit 6ed9204
* Thu Dec  1 2022 jroedel@suse.de
- vfio/pci: Rename vfio_pci.c to vfio_pci_core.c (bsc#1205701).
- commit fbffa36
* Thu Dec  1 2022 hare@suse.de
- block: add a bdev_fua helper (jsc#PED-1183).
- commit a17194f
* Thu Dec  1 2022 mgorman@suse.de
- blacklist.conf: Remove banned commits that have been merged
- commit e5d7055
* Thu Dec  1 2022 hare@suse.de
- nbd: Fix hung on disconnect request if socket is closed before
  (jsc#PED-1183).
- block: null_blk: Improve device creation with configfs
  (jsc#PED-1183).
- block: null_blk: Cleanup messages (jsc#PED-1183).
- block: null_blk: Cleanup device creation and deletion
  (jsc#PED-1183).
- block: null_blk: Fix code style issues (jsc#PED-1183).
- xen-blkback: use bdev_discard_alignment (jsc#PED-1183).
- rnbd-srv: use bdev_discard_alignment (jsc#PED-1183).
- loop: remove a spurious clear of discard_alignment
  (jsc#PED-1183).
- dasd: don't set the discard_alignment queue limit
  (jsc#PED-1183).
- raid5: don't set the discard_alignment queue limit
  (jsc#PED-1183).
- dm-zoned: don't set the discard_alignment queue limit
  (jsc#PED-1183).
- null_blk: don't set the discard_alignment queue limit
  (jsc#PED-1183).
- nbd: don't set the discard_alignment queue limit (jsc#PED-1183).
- ubd: don't set the discard_alignment queue limit (jsc#PED-1183).
- commit a1b18e8
* Thu Dec  1 2022 hare@suse.de
- null-blk: save memory footprint for struct nullb_cmd
  (jsc#PED-1183).
- block/rnbd-clt: Avoid flush_workqueue(system_long_wq) usage
  (jsc#PED-1183).
- block: add a disk_openers helper (jsc#PED-1183).
- zram: cleanup zram_remove (jsc#PED-1183).
- zram: cleanup reset_store (jsc#PED-1183).
- nbd: use the correct block_device in nbd_bdev_reset
  (jsc#PED-1183).
- commit 20d6dbb
* Thu Dec  1 2022 hare@suse.de
- blk-mq: fix typo in comment (jsc#PED-1183).
- bfq: Remove bfq_requeue_request_body() (jsc#PED-1183).
- bfq: Remove superfluous conversion from RQ_BIC() (jsc#PED-1183).
- commit cdb4316
* Thu Dec  1 2022 hare@suse.de
- blk-cgroup: delete rcu_read_lock_held() WARN_ON_ONCE()
  (jsc#PED-1183).
- commit 0025f68
* Thu Dec  1 2022 hare@suse.de
- blk-throttle: Set BIO_THROTTLED when bio has been throttled
  (jsc#PED-1183).
- blk-cgroup: Remove unnecessary rcu_read_lock/unlock()
  (jsc#PED-1183).
- blk-cgroup: always terminate io.stat lines (jsc#PED-1183).
- commit 162590f
* Thu Dec  1 2022 hare@suse.de
- block, bfq: make bfq_has_work() more accurate (jsc#PED-1183).
- Refresh
  patches.suse/bfq-Relax-waker-detection-for-shared-queues.patch.
- commit 51298b1
* Thu Dec  1 2022 hare@suse.de
- block, bfq: protect 'bfqd->queued' by 'bfqd->lock'
  (jsc#PED-1183).
- commit 63d588e
* Thu Dec  1 2022 hare@suse.de
- block: cleanup the VM accounting in submit_bio (jsc#PED-1183).
- block: Fix the bio.bi_opf comment (jsc#PED-1183).
- block: reorder the REQ_ flags (jsc#PED-1183).
- blk-iocost: combine local_stat and desc_stat to stat
  (jsc#PED-1183).
- block: improve the error message from bio_check_eod
  (jsc#PED-1183).
- block: allow passing a NULL bdev to
  bio_alloc_clone/bio_init_clone (jsc#PED-1183).
- block: remove superfluous calls to blkcg_bio_issue_init
  (jsc#PED-1183).
- commit f40f348
* Thu Dec  1 2022 hare@suse.de
- kthread: unexport kthread_blkcg (jsc#PED-1183).
- blk-cgroup: cleanup blkcg_maybe_throttle_current (jsc#PED-1183).
- blk-cgroup: cleanup blk_cgroup_congested (jsc#PED-1183).
- blk-cgroup: move blkcg_css to blk-cgroup.c (jsc#PED-1183).
- blk-cgroup: remove unneeded includes from <linux/blk-cgroup.h>
  (jsc#PED-1183).
- blk-cgroup: remove pointless CONFIG_BLOCK ifdefs (jsc#PED-1183).
- blktrace: cleanup the __trace_note_message interface
  (jsc#PED-1183).
- blk-cgroup: move blkcg_{pin,unpin}_online out of line
  (jsc#PED-1183).
- commit a24940b
* Thu Dec  1 2022 hare@suse.de
- blk-cgroup: move blk_cgroup_congested out line (jsc#PED-1183).
- commit f98f145
* Thu Dec  1 2022 hare@suse.de
- blk-cgroup: remove __bio_blkcg (jsc#PED-1183).
- block: ignore RWF_HIPRI hint for sync dio (jsc#PED-1183).
- block/partitions/ldm: Remove redundant assignments
  (jsc#PED-1183).
- block/partitions/atari: Remove redundant assignment
  (jsc#PED-1183).
- block/partitions/acorn: Remove redundant assignments
  (jsc#PED-1183).
- block/blk-map: Remove redundant assignment (jsc#PED-1183).
- block/badblocks: Remove redundant assignments (jsc#PED-1183).
- block: change exported IO accounting interface from gendisk
  to bdev (jsc#PED-1183).
- commit 04aff38
* Thu Dec  1 2022 hare@suse.de
- block/mq-deadline: Set the fifo_time member also if inserting
  at head (jsc#PED-1183).
- commit 1ad931a
* Thu Dec  1 2022 hare@suse.de
- Revert "block: release rq qos structures for queue without
  (jsc#PED-1183).
- commit dcf2be2
* Thu Dec  1 2022 hare@suse.de
- Revert "block: inherit request start time from bio for
  BLK_CGROUP" (jsc#PED-1183).
- commit d56ac19
* Thu Dec  1 2022 hare@suse.de
- block: add ->poll_bio to block_device_operations (jsc#PED-1183).
- commit 31f9bb3
* Thu Dec  1 2022 pjakobsson@suse.de
- drm/i915/display: Renaming DRRS functions to intel_drrs_*()
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/Revert-drm-i915-display-Disable-audio-DRRS-and-PSR-b.patch.
- Refresh
  patches.suse/drm-i915-Disable-DRRS-on-IVB-HSW-port-A.patch.
- commit bc74772
* Thu Dec  1 2022 hare@suse.de
- direct-io: remove random prefetches (jsc#PED-1183).
- commit 9f00b27
* Thu Dec  1 2022 hare@suse.de
- block: decouple REQ_OP_SECURE_ERASE from REQ_OP_DISCARD
  (jsc#PED-1183).
- Refresh
  patches.suse/xen-blkback-fix-persistent-grants-negotiation.patch.
- commit 7cfafd6
* Thu Dec  1 2022 hare@suse.de
- block: add a bdev_discard_granularity helper (jsc#PED-1183).
- commit 56ad4fa
* Thu Dec  1 2022 hare@suse.de
- block: remove QUEUE_FLAG_DISCARD (jsc#PED-1183).
- Refresh patches.suse/md-display-timeout-error.patch.
- Refresh patches.suse/nvme-fix-interpretation-of-DMRSL.patch.
- commit 9322390
* Thu Dec  1 2022 hare@suse.de
- block: add a bdev_max_discard_sectors helper (jsc#PED-1183).
- commit c997c68
* Thu Dec  1 2022 hare@suse.de
- block: refactor discard bio size limiting (jsc#PED-1183).
- block: move {bdev,queue_limit}_discard_alignment out of line
  (jsc#PED-1183).
- block: use bdev_discard_alignment in part_discard_alignment_show
  (jsc#PED-1183).
- commit efe8023
* Thu Dec  1 2022 hare@suse.de
- block: remove queue_discard_alignment (jsc#PED-1183).
- block: move bdev_alignment_offset and
  queue_limit_alignment_offset out of line (jsc#PED-1183).
- commit 2d18ee8
* Thu Dec  1 2022 hare@suse.de
- block: use bdev_alignment_offset in disk_alignment_offset_show
  (jsc#PED-1183).
- block: use bdev_alignment_offset in part_alignment_offset_show
  (jsc#PED-1183).
- block: add a bdev_max_zone_append_sectors helper (jsc#PED-1183).
- block: add a bdev_stable_writes helper (jsc#PED-1183).
- commit 5896b84
* Thu Dec  1 2022 hare@suse.de
- block: add a bdev_write_cache helper (jsc#PED-1183).
- commit d16e99a
* Thu Dec  1 2022 hare@suse.de
- pktcdvd: stop using bio_reset (jsc#PED-1183).
- commit ff1b56a
* Thu Dec  1 2022 hare@suse.de
- block: turn bio_kmalloc into a simple kmalloc wrapper
  (jsc#PED-1183).
- Refresh patches.suse/0001-oracleasm-4.0-compat-changes.patch.
- Refresh
  patches.suse/oracleasm-reinstate-bio_map_user_iov-declaration-in-.patch.
- commit f789ce5
* Thu Dec  1 2022 hare@suse.de
- target/pscsi: remove pscsi_get_bio (jsc#PED-1183).
- squashfs: always use bio_kmalloc in squashfs_bio_read
  (jsc#PED-1183).
- btrfs: simplify ->flush_bio handling (jsc#PED-1183).
- block: allow use of per-cpu bio alloc cache by block drivers
  (jsc#PED-1183).
- block: allow using the per-cpu bio cache from bio_alloc_bioset
  (jsc#PED-1183).
- commit 7747b3e
* Thu Dec  1 2022 hare@suse.de
- fs: do not pass __GFP_HIGHMEM to bio_alloc in do_mpage_readpage
  (jsc#PED-1183).
- commit 9504288
* Thu Dec  1 2022 hare@suse.de
- block: remove the per-bio/request write hint (jsc#PED-1183).
- commit d2d48c7
* Thu Dec  1 2022 hare@suse.de
- f2fs: pass the bio operation to bio_alloc_bioset (jsc#PED-1183).
- f2fs: don't pass a bio to f2fs_target_device (jsc#PED-1183).
- nilfs2: pass the operation to bio_alloc (jsc#PED-1183).
- ext4: pass the operation to bio_alloc (jsc#PED-1183).
- mpage: pass the operation to bio_alloc (jsc#PED-1183).
- commit f2163f2
* Thu Dec  1 2022 hare@suse.de
- ext4: stop using bio_devname (jsc#PED-1183).
- raid5-ppl: stop using bio_devname (jsc#PED-1183).
- raid1: stop using bio_devname (jsc#PED-1183).
- md-multipath: stop using bio_devname (jsc#PED-1183).
- commit b1dcdf6
* Thu Dec  1 2022 hare@suse.de
- block: simplify the block device syncing code (jsc#PED-1183).
- Refresh patches.suse/block-remove-genhd.h.patch.
- commit ab90e3e
* Thu Dec  1 2022 hare@suse.de
- fat: use sync_blockdev_nowait (jsc#PED-1183).
- btrfs: use sync_blockdev (jsc#PED-1183).
- xen-blkback: use sync_blockdev (jsc#PED-1183).
- commit d2735fe
* Thu Dec  1 2022 hare@suse.de
- block: remove __sync_blockdev (jsc#PED-1183).
- Refresh patches.suse/block-remove-genhd.h.patch.
- commit 4e149bd
* Thu Dec  1 2022 hare@suse.de
- fs: remove __sync_filesystem (jsc#PED-1183).
- commit 163c6de
* Thu Dec  1 2022 shung-hsi.yu@suse.com
- nfp: bpf: Fix typo 'the the' in comment (jsc#PED-1368).
- tcp: Fix data-races around sysctl_tcp_syncookies (jsc#PED-1368).
- seg6: bpf: fix skb checksum in bpf_push_seg6_encap()
  (jsc#PED-1368).
- bpf: Add flags arg to bpf_dynptr_read and bpf_dynptr_write APIs
  (jsc#PED-1368).
- bpf: Make sure mac_header was set before using it
  (jsc#PED-1368).
- bpf, selftests: Add verifier test case for jmp32's jeq/jne
  (jsc#PED-1368).
- bpf, selftests: Add verifier test case for imm=0,umin=0,umax=1
  scalar (jsc#PED-1368).
- bpf: Fix insufficient bounds propagation from
  adjust_scalar_min_max_vals (jsc#PED-1368).
- bpf: Fix incorrect verifier simulation around jmp32's jeq/jne
  (jsc#PED-1368).
- xsk: Clear page contiguity bit when unmapping pool
  (jsc#PED-1368).
- selftests/bpf: Test sockmap update when socket has ULP
  (jsc#PED-1368).
- sock: redo the psock vs ULP protection check (jsc#PED-1368).
- selftest/bpf: Fix kprobe_multi bench test (jsc#PED-1368).
- bpf: Force cookies array to follow symbols sorting
  (jsc#PED-1368).
- ftrace: Keep address offset in ftrace_lookup_symbols
  (jsc#PED-1368).
- selftests/bpf: Shuffle cookies symbols in kprobe multi test
  (jsc#PED-1368).
- selftests/bpf: Test tail call counting with bpf2bpf and data
  on stack (jsc#PED-1368).
- bpf, x86: Fix tail call count offset calculation on bpf2bpf call
  (jsc#PED-1368).
- bpf: Limit maximum modifier chain length in btf_check_type_tags
  (jsc#PED-1368).
- bpf: Fix request_sock leak in sk lookup helpers (jsc#PED-1368).
- xsk: Fix generic transmit when completion queue reservation
  fails (jsc#PED-1368).
- xsk: Fix handling of invalid descriptors in XSK TX batching API
  (jsc#PED-1368).
- selftests/bpf: Add selftest for calling global functions from
  freplace (jsc#PED-1368).
- bpf: Fix calling global functions from BPF_PROG_TYPE_EXT
  programs (jsc#PED-1368).
- bpf: Use safer kvmalloc_array() where possible (jsc#PED-1368).
- bpf, arm64: Clear prog->jited_len along prog->jited
  (jsc#PED-1368).
- selftests net: fix bpf build error (jsc#PED-1368).
- bpf: Fix probe read error in ___bpf_prog_run() (jsc#PED-1368).
- selftests/bpf: fix stacktrace_build_id with missing
  kprobe/urandom_read (jsc#PED-1368).
- commit e9a143c
* Thu Dec  1 2022 shung-hsi.yu@suse.com
- selftests/bpf: Dynptr tests (jsc#PED-1368).
- bpf: Add dynptr data slices (jsc#PED-1368).
- bpf: Add bpf_dynptr_read and bpf_dynptr_write (jsc#PED-1368).
- bpf: Dynptr support for ring buffers (jsc#PED-1368).
- bpf: Add bpf_dynptr_from_mem for local dynptrs (jsc#PED-1368).
- bpf: Add verifier support for dynptrs (jsc#PED-1368).
- bpf: Suppress 'passing zero to PTR_ERR' warning (jsc#PED-1368).
- bpf: Introduce bpf_arch_text_invalidate for bpf_prog_pack
  (jsc#PED-1368).
- x86/alternative: Introduce text_poke_set (jsc#PED-1368).
- bpf: Fill new bpf_prog_pack with illegal instructions
  (jsc#PED-1368).
- selftests/bpf: Fix spelling mistake: "unpriviliged" ->
  "unprivileged" (jsc#PED-1368).
- selftests/bpf: fix btf_dump/btf_dump due to recent clang change
  (jsc#PED-1368).
- s390/bpf: Fix typo in comment (jsc#PED-1368).
- libbpf: Fix typo in comment (jsc#PED-1368).
- selftests/bpf: add tests verifying unprivileged bpf behaviour
  (jsc#PED-1368).
- bpf: refine kernel.unprivileged_bpf_disabled behaviour
  (jsc#PED-1368).
- bpf: Allow kfunc in tracing and syscall programs (jsc#PED-1368).
- selftests/bpf: Remove filtered subtests from output
  (jsc#PED-1368).
- selftests/bpf: Fix subtest number formatting in test_progs
  (jsc#PED-1368).
- selftests/bpf: Add missing trampoline program type to
  trampoline_count test (jsc#PED-1368).
- selftests/bpf: Verify first of struct mptcp_sock (jsc#PED-1368).
- selftests/bpf: Verify ca_name of struct mptcp_sock
  (jsc#PED-1368).
- commit ecc9a54
* Thu Dec  1 2022 shung-hsi.yu@suse.com
- selftests/bpf: Verify token of struct mptcp_sock (jsc#PED-1368).
- selftests/bpf: Test bpf_skc_to_mptcp_sock (jsc#PED-1368).
- selftests/bpf: Add MPTCP test base (jsc#PED-1368).
- selftests/bpf: Enable CONFIG_IKCONFIG_PROC in config
  (jsc#PED-1368).
- bpf: Add bpf_skc_to_mptcp_sock_proto (jsc#PED-1368).
- selftests/bpf: Fix some bugs in map_lookup_percpu_elem testcase
  (jsc#PED-1368).
- libbpf: remove bpf_create_map*() APIs (jsc#PED-1368).
- libbpf: start 1.0 development cycle (jsc#PED-1368).
- libbpf: fix up global symbol counting logic (jsc#PED-1368).
- selftests/bpf: Add missed ima_setup.sh in Makefile
  (jsc#PED-1368).
- selftests/bpf: Fix building bpf selftests statically
  (jsc#PED-1368).
- libbpf: fix memory leak in attach_tp for target-less tracepoint
  program (jsc#PED-1368).
- bpftool: Use sysfs vmlinux when dumping BTF by ID
  (jsc#PED-1368).
- bpf: Add MEM_UNINIT as a bpf_type_flag (jsc#PED-1368).
- selftests/bpf: Fix usdt_400 test case (jsc#PED-1368).
- selftests/bpf: Convert some selftests to high-level BPF map APIs
  (jsc#PED-1368).
- libbpf: Add safer high-level wrappers for map operations
  (jsc#PED-1368).
- selftests/bpf: Check combination of jit blinding and pointers
  to bpf subprogs (jsc#PED-1368).
- bpf: Fix combination of jit blinding and pointers to bpf
  subprogs (jsc#PED-1368).
- bpf: Fix potential array overflow in bpf_trampoline_get_progs()
  (jsc#PED-1368).
- selftests/bpf: make fexit_stress test run in serial mode
  (jsc#PED-1368).
- selftests/bpf: add test case for bpf_map_lookup_percpu_elem
  (jsc#PED-1368).
- bpf: add bpf_map_lookup_percpu_elem for percpu map
  (jsc#PED-1368).
- selftests/bpf: Add tests for kptr_ref refcounting
  (jsc#PED-1368).
- selftests/bpf: Add negative C tests for kptrs (jsc#PED-1368).
- bpf: Prepare prog_test_struct kfuncs for runtime tests
  (jsc#PED-1368).
- bpf: Fix sparse warning for bpf_kptr_xchg_proto (jsc#PED-1368).
- selftests/bpf: fix a few clang compilation errors
  (jsc#PED-1368).
- selftests/bpf: Enable CONFIG_FPROBE for self tests
  (jsc#PED-1368).
- selftests: xsk: make stat tests not spin on getsockopt
  (jsc#PED-1368).
- selftests: xsk: make the stats tests normal tests
  (jsc#PED-1368).
- selftests: xsk: introduce validation functions (jsc#PED-1368).
- selftests: xsk: cleanup veth pair at ctrl-c (jsc#PED-1368).
- selftests: xsk: add timeout to tests (jsc#PED-1368).
- selftests: xsk: fix reporting of failed tests (jsc#PED-1368).
- selftests: xsk: run all tests for busy-poll (jsc#PED-1368).
- selftests: xsk: do not send zero-length packets (jsc#PED-1368).
- selftests: xsk: cleanup bash scripts (jsc#PED-1368).
- libbpf: Add bpf_program__set_insns function (jsc#PED-1368).
- libbpf: Clean up ringbuf size adjustment implementation
  (jsc#PED-1368).
- selftest/bpf: The test cases of BPF cookie for
  fentry/fexit/fmod_ret/lsm (jsc#PED-1368).
- libbpf: Assign cookies to links in libbpf (jsc#PED-1368).
- bpf, x86: Attach a cookie to fentry/fexit/fmod_ret/lsm
  (jsc#PED-1368).
- xsk: Drop ternary operator from xskq_cons_has_entries
  (jsc#PED-1368).
- commit ed1f5c7
* Wed Nov 30 2022 ohering@suse.de
- x86/hyperv: Update 'struct hv_enlightened_vmcs' definition
  (git-fixes).
- x86/hyperv: Fix 'struct hv_enlightened_vmcs' definition
  (git-fixes).
- commit 86dd4ce
* Wed Nov 30 2022 ohering@suse.de
- hv: Use driver_set_override() instead of open-coding
  (jsc#PED-1549).
- commit 7a3471c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Register MCE notifier for Aldebaran RAS
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/x86-mce-amd-edac-mce_amd-support-non-uniform-mca-bank-type-enumeration.patch.
- commit 90d6034
* Wed Nov 30 2022 shung-hsi.yu@suse.com
- bpf, x86: Create bpf_tramp_run_ctx on the caller thread's stack
  (jsc#PED-1368).
- bpf, x86: Generate trampolines from bpf_tramp_links
  (jsc#PED-1368).
- selftests/bpf: Add attach bench test (jsc#PED-1368).
- bpf: Resolve symbols with ftrace_lookup_symbols for kprobe
  multi link (jsc#PED-1368).
- fprobe: Resolve symbols with ftrace_lookup_symbols
  (jsc#PED-1368).
- ftrace: Add ftrace_lookup_symbols function (jsc#PED-1368).
- kallsyms: Make kallsyms_on_each_symbol generally available
  (jsc#PED-1368).
- Refresh patches.suse/Revert-kallsyms-unexport-kallsyms_lookup_name-and-kallsyms_on_each_symbol.patch
- selftests/bpf: Add bpf link iter test (jsc#PED-1368).
- selftests/bpf: Use ASSERT_* instead of CHECK (jsc#PED-1368).
- selftests/bpf: Fix result check for test_bpf_hash_map
  (jsc#PED-1368).
- bpf: Add bpf_link iterator (jsc#PED-1368).
- selftests/bpf: Replace bpf_trace_printk in tunnel kernel code
  (jsc#PED-1368).
- selftests/bpf: Move vxlan tunnel testcases to test_progs
  (jsc#PED-1368).
- bpf: Add source ip in "struct bpf_tunnel_key" (jsc#PED-1368).
- bpftool: bpf_link_get_from_fd support for LSM programs in lskel
  (jsc#PED-1368).
- selftests/bpf: Handle batch operations for map-in-map bpf-maps
  (jsc#PED-1368).
- bpf: Extend batch operations for map-in-map bpf-maps
  (jsc#PED-1368).
- bpf: Print some info if disable bpf_jit_enable failed
  (jsc#PED-1368).
- bpf: Remove unused parameter from find_kfunc_desc_btf()
  (jsc#PED-1368).
- bpftool: Declare generator name (jsc#PED-1368).
- samples: bpf: Don't fail for a missing VMLINUX_BTF when
  VMLINUX_H is provided (jsc#PED-1368).
- bpftool: Output message if no helpers found in feature probing
  (jsc#PED-1368).
- bpftool: Adjust for error codes from libbpf probes
  (jsc#PED-1368).
- selftests/bpf: Test libbpf's ringbuf size fix up logic
  (jsc#PED-1368).
- libbpf: Automatically fix up BPF_MAP_TYPE_RINGBUF size, if
  necessary (jsc#PED-1368).
- libbpf: Provide barrier() and barrier_var() in bpf_helpers.h
  (jsc#PED-1368).
- selftests/bpf: Add bpf_core_field_offset() tests (jsc#PED-1368).
- libbpf: Complete field-based CO-RE helpers with field offset
  helper (jsc#PED-1368).
- selftests/bpf: Use both syntaxes for field-based CO-RE helpers
  (jsc#PED-1368).
- libbpf: Improve usability of field-based CO-RE helpers
  (jsc#PED-1368).
- libbpf: Make __kptr and __kptr_ref unconditionally use
  btf_type_tag() attr (jsc#PED-1368).
- selftests/bpf: Prevent skeleton generation race (jsc#PED-1368).
- selftests/bpf: Fix two memory leaks in prog_tests
  (jsc#PED-1368).
- selftests/bpf: Test bpf_map__set_autocreate() and related log
  fixup logic (jsc#PED-1368).
- libbpf: Allow to opt-out from creating BPF maps (jsc#PED-1368).
- libbpf: Use libbpf_mem_ensure() when allocating new map
  (jsc#PED-1368).
- libbpf: Append "..." in fixed up log if CO-RE spec is truncated
  (jsc#PED-1368).
- selftests/bpf: Use target-less SEC() definitions in various
  tests (jsc#PED-1368).
- libbpf: Support target-less SEC() definitions for BTF-backed
  programs (jsc#PED-1368).
- libbpf: Allow "incomplete" basic tracing SEC() definitions
  (jsc#PED-1368).
- bpf, sockmap: Call skb_linearize only when required in
  sk_psock_skb_ingress_enqueue (jsc#PED-1368).
- bpf, docs: Fix typo "respetively" to "respectively"
  (jsc#PED-1368).
- bpf, docs: BPF_FROM_BE exists as alias for BPF_TO_BE
  (jsc#PED-1368).
- bpf, docs: Remove duplicated word "instructions" (jsc#PED-1368).
- samples/bpf: Detach xdp prog when program exits unexpectedly
  in xdp_rxq_info_user (jsc#PED-1368).
- bpf/selftests: Add granular subtest output for prog_test
  (jsc#PED-1368).
- selftests/bpf: Add libbpf's log fixup logic selftests
  (jsc#PED-1368).
- libbpf: Fix up verifier log for unguarded failed CO-RE relos
  (jsc#PED-1368).
- libbpf: Simplify bpf_core_parse_spec() signature (jsc#PED-1368).
- libbpf: Refactor CO-RE relo human description formatting routine
  (jsc#PED-1368).
- libbpf: Record subprog-resolved CO-RE relocations
  unconditionally (jsc#PED-1368).
- selftests/bpf: Add CO-RE relos and SEC("?...") to linked_funcs
  selftests (jsc#PED-1368).
- libbpf: Avoid joining .BTF.ext data with BPF programs by
  section name (jsc#PED-1368).
- libbpf: Fix logic for finding matching program for CO-RE
  relocation (jsc#PED-1368).
- libbpf: Drop unhelpful "program too large" guess (jsc#PED-1368).
- libbpf: Fix anonymous type check in CO-RE logic (jsc#PED-1368).
- bpf: Compute map_btf_id during build time (jsc#PED-1368).
- selftests/bpf: Add test for strict BTF type check
  (jsc#PED-1368).
- selftests/bpf: Add verifier tests for kptr (jsc#PED-1368).
- selftests/bpf: Add C tests for kptr (jsc#PED-1368).
- libbpf: Add kptr type tag macros to bpf_helpers.h
  (jsc#PED-1368).
- bpf: Make BTF type match stricter for release arguments
  (jsc#PED-1368).
- bpf: Teach verifier about kptr_get kfunc helpers (jsc#PED-1368).
- bpf: Wire up freeing of referenced kptr (jsc#PED-1368).
- bpf: Populate pairs of btf_id and destructor kfunc in btf
  (jsc#PED-1368).
- bpf: Adapt copy_map_value for multiple offset case
  (jsc#PED-1368).
- Refresh patches.suse/kABI-padding-for-bpf.patch
- bpf: Prevent escaping of kptr loaded from maps (jsc#PED-1368).
- bpf: Allow storing referenced kptr in map (jsc#PED-1368).
- bpf: Tag argument to be released in bpf_func_proto
  (jsc#PED-1368).
- bpf: Allow storing unreferenced kptr in map (jsc#PED-1368).
- Refresh patches.suse/kABI-padding-for-bpf.patch
- bpf: Use bpf_prog_run_array_cg_flags everywhere (jsc#PED-1368).
- bpftool, musl compat: Replace sys/fcntl.h by fcntl.h
  (jsc#PED-1368).
- bpftool, musl compat: Replace nftw with FTW_ACTIONRETVAL
  (jsc#PED-1368).
- libbpf: Remove unnecessary type cast (jsc#PED-1368).
- selftests/bpf: Switch fexit_stress to bpf_link_create() API
  (jsc#PED-1368).
- libbpf: Teach bpf_link_create() to fallback to
  bpf_raw_tracepoint_open() (jsc#PED-1368).
- bpf: Allow attach TRACING programs through LINK_CREATE command
  (jsc#PED-1368).
- libbpf: Improve libbpf API documentation link position
  (jsc#PED-1368).
- libbpf: Remove redundant non-null checks on obj_elf
  (jsc#PED-1368).
- selftests/bpf: Fix map tests errno checks (jsc#PED-1368).
- selftests/bpf: Fix prog_tests uprobe_autoattach compilation
  error (jsc#PED-1368).
- selftests/bpf: Fix attach tests retcode checks (jsc#PED-1368).
- bpf: Move check_ptr_off_reg before check_map_access
  (jsc#PED-1368).
- bpf: Make btf_find_field more generic (jsc#PED-1368).
- libbpf: Add documentation to API functions (jsc#PED-1368).
- libbpf: Update API functions usage to check error
  (jsc#PED-1368).
- libbpf: Add error returns to two API functions (jsc#PED-1368).
- samples/bpf: Reduce the sampling interval in xdp1_user
  (jsc#PED-1368).
- selftests/bpf: Add test for skb_load_bytes (jsc#PED-1368).
- net: Change skb_ensure_writable()'s write_len param to unsigned
  int type (jsc#PED-1368).
- bpf: Enlarge offset check value to INT_MAX in
  bpf_skb_{load,store}_bytes (jsc#PED-1368).
- libbpf: Support riscv USDT argument parsing logic
  (jsc#PED-1368).
- libbpf: Fix usdt_cookie being cast to 32 bits (jsc#PED-1368).
- bpf: Fix usage of trace RCU in local storage (jsc#PED-1368).
- selftests/bpf: Add tests for type tag order validation
  (jsc#PED-1368).
- bpf: Ensure type tags precede modifiers in BTF (jsc#PED-1368).
- selftests/bpf: Use non-autoloaded programs in few tests
  (jsc#PED-1368).
- libbpf: Support opting out from autoloading BPF programs
  declaratively (jsc#PED-1368).
- selftests/bpf: Workaround a verifier issue for test exhandler
  (jsc#PED-1368).
- selftests/bpf: Limit unroll_count for pyperf600 test
  (jsc#PED-1368).
- bpf: Move rcu lock management out of BPF_PROG_RUN routines
  (jsc#PED-1368).
- selftests/bpf: Refactor prog_tests logging and test execution
  (jsc#PED-1368).
- xsk: Diversify return codes in xsk_rcv_check() (jsc#PED-1368).
- xsk: Improve xdp_do_redirect() error codes (jsc#PED-1368).
- bpf: Remove unnecessary type castings (jsc#PED-1368).
- bpf: Move BPF sysctls from kernel/sysctl.c to BPF core
  (jsc#PED-1368).
- libbpf: Usdt aarch64 arg parsing support (jsc#PED-1368).
- bpf: Remove redundant assignment to meta.seq in
  __task_seq_show() (jsc#PED-1368).
- selftests/bpf: Drop duplicate max/min definitions
  (jsc#PED-1368).
- riscv, bpf: Implement more atomic operations for RV64
  (jsc#PED-1368).
- tools/runqslower: Use libbpf 1.0 API mode instead of
  RLIMIT_MEMLOCK (jsc#PED-1368).
- bpftool: Use libbpf 1.0 API mode instead of RLIMIT_MEMLOCK
  (jsc#PED-1368).
- selftests/bpf: Use libbpf 1.0 API mode instead of RLIMIT_MEMLOCK
  (jsc#PED-1368).
- samples/bpf: Use libbpf 1.0 API mode instead of RLIMIT_MEMLOCK
  (jsc#PED-1368).
- libbpf: Fix a bug with checking bpf_probe_read_kernel()
  support in old kernels (jsc#PED-1368).
- selftests/bpf: Improve by-name subtest selection logic in
  prog_tests (jsc#PED-1368).
- libbpf: Add ARC support to bpf_tracing.h (jsc#PED-1368).
- bpf: Fix excessive memory allocation in stack_map_alloc()
  (jsc#PED-1368).
- selftests/bpf: Fix return value checks in perf_event_stackmap
  test (jsc#PED-1368).
- selftests/bpf: Add CO-RE relos into linked_funcs selftests
  (jsc#PED-1368).
- libbpf: Use weak hidden modifier for USDT BPF-side API functions
  (jsc#PED-1368).
- libbpf: Don't error out on CO-RE relos for overriden weak
  subprogs (jsc#PED-1368).
- samples, bpf: Move routes monitor in xdp_router_ipv4 in a
  dedicated thread (jsc#PED-1368).
- libbpf: Allow WEAK and GLOBAL bindings during BTF fixup
  (jsc#PED-1368).
- libbpf: Use strlcpy() in path resolution fallback logic
  (jsc#PED-1368).
- libbpf: Add s390-specific USDT arg spec parsing logic
  (jsc#PED-1368).
- libbpf: Make BPF-side of USDT support work on big-endian
  machines (jsc#PED-1368).
- libbpf: Minor style improvements in USDT code (jsc#PED-1368).
- libbpf: Fix use #ifdef instead of #if to avoid compiler warning
  (jsc#PED-1368).
- libbpf: Potential NULL dereference in usdt_manager_attach_usdt()
  (jsc#PED-1368).
- selftests/bpf: Uprobe tests should verify param/return values
  (jsc#PED-1368).
- libbpf: Improve string parsing for uprobe auto-attach
  (jsc#PED-1368).
- libbpf: Improve library identification for uprobe binary path
  resolution (jsc#PED-1368).
- selftests/bpf: Test for writes to map key from BPF helpers
  (jsc#PED-1368).
- selftests/bpf: Test passing rdonly mem to global func
  (jsc#PED-1368).
- bpf: Reject writes for PTR_TO_MAP_KEY in check_helper_mem_access
  (jsc#PED-1368).
- bpf: Check PTR_TO_MEM | MEM_RDONLY in check_helper_mem_access
  (jsc#PED-1368).
- bpf: Do write access check for kfunc and global func
  (jsc#PED-1368).
- selftests/bpf: Use bpf_num_possible_cpus() in per-cpu map
  allocations (jsc#PED-1368).
- libbpf: Fix spelling mistake "libaries" -> "libraries"
  (jsc#PED-1368).
- selftests/bpf: Fix issues in parse_num_list() (jsc#PED-1368).
- selftests/bpf: Fix file descriptor leak in load_kallsyms()
  (jsc#PED-1368).
- bpf, arm64: Sign return address for JITed code (jsc#PED-1368).
- selftests/bpf: Add urandom_read shared lib and USDTs
  (jsc#PED-1368).
- selftests/bpf: Add basic USDT selftests (jsc#PED-1368).
- libbpf: Add x86-specific USDT arg spec parsing logic
  (jsc#PED-1368).
- libbpf: Wire up spec management and other arch-independent
  USDT logic (jsc#PED-1368).
- libbpf: Add USDT notes parsing and resolution logic
  (jsc#PED-1368).
- libbpf: Wire up USDT API and bpf_link integration
  (jsc#PED-1368).
- libbpf: Add BPF-side of USDT support (jsc#PED-1368).
- libbpf: Support Debian in resolve_full_path() (jsc#PED-1368).
- selftests/bpf: Define SYS_NANOSLEEP_KPROBE_NAME for aarch64
  (jsc#PED-1368).
- bpftool: Handle libbpf_probe_prog_type errors (jsc#PED-1368).
- bpftool: Add missing link types (jsc#PED-1368).
- bpftool: Add syscall prog type (jsc#PED-1368).
- selftests/bpf: Fix parsing of prog types in UAPI hdr for
  bpftool sync (jsc#PED-1368).
- samples: bpf: Fix linking xdp_router_ipv4 after migration
  (jsc#PED-1368).
- sample: bpf: syscall_tp_user: Print result of verify_map
  (jsc#PED-1368).
- libbpf: Don't return -EINVAL if hdr_len <
  offsetofend(core_relo_len) (jsc#PED-1368).
- selftests/bpf: Add tests for uprobe auto-attach via skeleton
  (jsc#PED-1368).
- selftests/bpf: Add tests for uprobe attach by name
  (jsc#PED-1368).
- libbpf: Add auto-attach for uprobes based on section name
  (jsc#PED-1368).
- libbpf: Support function name-based attach uprobes
  (jsc#PED-1368).
- libbpf: auto-resolve programs/libraries when necessary for
  uprobes (jsc#PED-1368).
- samples: bpf: Convert xdp_router_ipv4 to XDP samples helper
  (jsc#PED-1368).
- bpf: Correct the comment for BTF kind bitfield (jsc#PED-1368).
- selftests/bpf: Fix cd_flavor_subdir() of test_progs
  (jsc#PED-1368).
- selftests/bpf: Return true/false (not 1/0) from bool functions
  (jsc#PED-1368).
- selftests/bpf: Fix vfs_link kprobe definition (jsc#PED-1368).
- bpf: Replace usage of supported with dedicated list iterator
  variable (jsc#PED-1368).
- bpf, test_offload.py: Skip base maps without names
  (jsc#PED-1368).
- bpf: Remove redundant assignment to smap->map.value_size
  (jsc#PED-1368).
- selftests/bpf: Remove unused variable from bpf_sk_assign test
  (jsc#PED-1368).
- bpf: Use swap() instead of open coding it (jsc#PED-1368).
- bpf, tests: Add load store test case for tail call
  (jsc#PED-1368).
- bpf, tests: Add tests for BPF_LDX/BPF_STX with different offsets
  (jsc#PED-1368).
- bpf, arm64: Adjust the offset of str/ldr(immediate) to positive
  number (jsc#PED-1368).
- bpf, arm64: Optimize BPF store/load using arm64
  str/ldr(immediate offset) (jsc#PED-1368).
- arm64, insn: Add ldr/str with immediate offset (jsc#PED-1368).
- tcp: add accessors to read/set tp->snd_cwnd (jsc#PED-1368).
- x86/speculation: Add missing prototype for unpriv_ebpf_notify()
  (jsc#PED-1368).
- sysctl: add a new register_sysctl_init() interface
  (jsc#PED-1368).
- commit c5ed6f5
* Wed Nov 30 2022 pjakobsson@suse.de
- Update config files for the DRM v5.16 backport.
- commit 29966d5
* Wed Nov 30 2022 tiwai@suse.de
- net: ethernet: renesas: ravb: Fix promiscuous mode after system
  resumed (git-fixes).
- net: mdiobus: fix unbalanced node reference count (git-fixes).
- wifi: mac8021: fix possible oob access in
  ieee80211_get_rate_duration (git-fixes).
- wifi: cfg80211: don't allow multi-BSSID in S1G (git-fixes).
- wifi: cfg80211: fix buffer overflow in elem comparison
  (git-fixes).
- net: wwan: iosm: fix dma_alloc_coherent incompatible pointer
  type (git-fixes).
- net: wwan: iosm: fix kernel test robot reported error
  (git-fixes).
- net: ethernet: nixge: fix NULL dereference (git-fixes).
- net: ethernet: ti: am65-cpsw: fix error handling in
  am65_cpsw_nuss_probe() (git-fixes).
- e100: Fix possible use after free in e100_xmit_prepare
  (git-fixes).
- fm10k: Fix error handling in fm10k_init_module() (git-fixes).
- net: phy: fix null-ptr-deref while probe() failed (git-fixes).
- can: m_can: Add check for devm_clk_get (git-fixes).
- can: m_can: pci: add missing m_can_class_free_dev() in
  probe/remove methods (git-fixes).
- can: etas_es58x: es58x_init_netdev(): free netdev when
  register_candev() (git-fixes).
- can: cc770: cc770_isa_probe(): add missing free_cc770dev()
  (git-fixes).
- can: sja1000_isa: sja1000_isa_probe(): add missing
  free_sja1000dev() (git-fixes).
- Revert "net: phy: meson-gxl: improve link-up behavior"
  (git-fixes).
- commit 225e8fd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix USB4 null pointer dereference in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d096c7d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: no DC support for headless chips (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55c1dcd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: fix runpm documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd7e581
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: introduce new amdgpu_fence object to indicate the job (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2922b44
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Increment composite fence seqno (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0294377
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Fix possible uninitialized variable in parallel extension (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95aff4b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Only assign guc_id.id when stealing guc_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b2b785
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Use correct context lock when callig (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68d691c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: correct the wrong cached state for GMC on PICASSO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a4c650
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: prevent reading unitialized links (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d63b13b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gen11: Moving WAs to icl_gt_workarounds_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b30f25b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Fix error pointer dereference in i915_gem_do_execbuffer() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36c0d5b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: fix ttm_bo_swapout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 15b64b6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: use drm_poll(..) instead of virtio_gpu_poll(..) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f23e246
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtgpu api: define a dummy fence signaled event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19aade1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: adjust the kfd reset sequence in reset sriov function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8e7ad1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: set "r = 0" explicitly before goto (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23bb04a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add work around for tunneled MST. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffcf9f7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Clear DPCD lane settings after repeater training (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 438e361
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Don't halt RLC on GFX suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25ecfda
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: fix the missed handling for SDMA2 and SDMA3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1809c2c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: cancel the correct hrtimer on exit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b22999
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/sriov/vcn: add new vcn ip revision check case for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3181d37
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: msm: fix building without CONFIG_COMMON_CLK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56e2ff1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/gpu: Fix check for devices without devfreq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84a4593
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/gpu: Fix idle_work time (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7286d6d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/a6xx: Fix uinitialized use of gpu_scid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10b2d71
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Fix null ptr access msm_ioctl_gem_submit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3226da
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Demote debug message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 449edcf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Make a6xx_gpu_set_freq() static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b164bdb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Restore error return on invalid fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fda43c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Fix wait_fence submitqueue leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6971c4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Fix mmap to include VM_IO and VM_DONTDUMP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 849be59
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/devfreq: Fix OPP refcnt leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9de98c
* Wed Nov 30 2022 pjakobsson@suse.de
- xen: flag xen_drm_front to be not essential for system boot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b1a732
* Wed Nov 30 2022 pjakobsson@suse.de
- xen: add "not_essential" flag to struct xenbus_driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b5d212
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Hold RPM wakelock during PXP suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6ef98f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: update bios scratch when setting backlight (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a6ae74
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm: fix powerplay OD interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3bbc23
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Skip ASPM programming on aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fc3110
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: fix byteorder error in amdgpu discovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e45f023
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: enable Navi retry fault wptr overflow (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 324aa56
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: enable Navi 48-bit IH timestamp counter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d238f1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: simplify drain retry fault (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6739df
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: handle VMA remove race (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dcfc33
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: process exit and retry fault race (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 880282e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: move kfd post_reset out of reset_sriov function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9704c44
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fixed DSC would not PG after removing DSC stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6dd378e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Reset link encoder assignments for GPU
  reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Fix-DPIA-outbox-timeout-after-S3-S4-.patch.
- commit abcc03d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Fix double free of dmabuf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 152dde1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Fix MMIO HDP flush on SRIOV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c89119
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: add GFXCLK/SCLK clocks level print support for APUs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca9acc4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Remove artificial freq level on Navi1x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f265784
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add error print when failing to add IP block(v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55b8592
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Enhanced reporting also for a stuck command (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dcbb6d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: fix NULL vs IS_ERR() checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3349999
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dsi/xelpd: Fix the bit mask for wakeup GB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b589db4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/scheduler: fix drm_sched_job_add_implicit_dependencies harder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8854fe
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/scheduler: fix drm_sched_job_add_implicit_dependencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73ab46a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: Double check mem_type of BO while eviction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d12d8b
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: acquire name lock before read/write dma_buf.name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 324cb3f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add missed support for UVD IP_VERSION(3, 0, 64) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f148fc0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: drop jpeg IP initialization in SRIOV case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f925228
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: reject both non-zero src_x and src_y only for DCN1x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5908cfb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add callbacks for DMUB HPD IRQ notifications (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2263a5d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Don't lock connection_mutex for DMUB HPD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46bf605
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add comment where CONFIG_DRM_AMD_DC_DCN macro ends (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ad8842
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: Fix retry fault drain race conditions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1667fc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: lower the VAs base offset to 8KB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca3854d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix exit from amdgpu_dm_atomic_check() abruptly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b6360f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdgpu: fix the kfd pre_reset sequence in sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7727395
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: fix uvd crash on Polaris12 during driver unloading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63d4875
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: fix SI handling in amdgpu_device_asic_has_dc_support() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6e39e8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Fix dangling kfd_bo pointer for shared BOs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f978f98
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdkfd: Don't sent command to HWS on kfd reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fad2c04
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: correctly toggle gfx on/off around RLC_SPM_* register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29ecd5b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: correct xgmi ras error count reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72f613b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Correct DPMS disable IP version check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 976778d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Fix csb.bo pin_count leak on gfx 9 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3cc2d7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Avoid writing GMC registers under sriov in gmc9 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5347fe7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/powerplay: fix sysfs_emit/sysfs_emit_at handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f51a365
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Make sure to reserve BOs before adding or removing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1699ff9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Don't allow partial copy_from_user (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0653d9e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/locking: fix __stack_depot_* name conflict (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be28efd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: Fix NULL dereference error in virtio_gpu_poll (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 439b373
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/adlp/fb: Prevent the mapping of redundant trailing padding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d988f2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Extend the async flip VT-d w/a to skl/bxt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc25f04
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dmabuf: fix broken build (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc8e9e1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dp: fix integer overflow in 128b/132b data rate calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ad2d05
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Fix recursive lock in GuC submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6f4dfa
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/cdclk: put the cdclk vtables in const data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf12cfa
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/i915/bios: gracefully disable dual eDP for now" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 435fc00
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf/poll: Get a file reference for outstanding fence callbacks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25a7212
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.160 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69321bc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.91 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f9ead7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: add condition check for dmub notification (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3527c8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Added new DMUB boot option for power optimization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78d6b63
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add MPC meory shutdown support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddd9202
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Added HPO HW control shutdown support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afc4015
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix register write sequence for LINK_SQUARE_PATTERN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 908eee9
* Wed Nov 30 2022 tiwai@suse.de
- net: stmmac: work around sporadic tx issue on link-up
  (git-fixes).
- commit e5a3408
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Clear encoder assignments when state cleared. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e38bb17
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Force disable planes on any pipe split change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eec834c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix bpc calculation for specific encodings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efb430d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: avoid link loss short pulse stuck the system (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62983a6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix dummy p-state hang on monitors with extreme (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b84154
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix dcn10_log_hubp_states printf format string (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5f791f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: dsc engine not disabled after unplug dsc mst hub (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ba810d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: update RLC_PG_DELAY_3 Value to 200us for yellow carp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed0a557
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm: Don't show pp_power_profile_mode for unsupported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90f9ffc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Adjust returns when power_profile_mode is not supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22ccce7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Add missing mutex for pp_get_power_profile_mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac46988
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm: drop pp_power_profile_mode support for yellow carp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e89593
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: update gfx target version for Renoir (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 583a0b9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Convert SMU version to decimal in debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80530e8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: use correct register mask to extract field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 409b054
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdgpu: fix bad job hw_fence use after free in advance tdr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 385f136
* Wed Nov 30 2022 jgross@suse.com
- KVM: x86/mmu: Fix race condition in direct_page_fault
  (bsc#1205882, CVE-2022-45869).
- commit e2a86d6
* Wed Nov 30 2022 nstange@suse.de
- Add support for enabling livepatching related packages on -RT (jsc#PED-1706)
- commit 9d41244
* Wed Nov 30 2022 oneukum@suse.com
- blacklist.conf: faeture, not fix
- commit 8c4e5cb
* Wed Nov 30 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit e518f66
* Wed Nov 30 2022 oneukum@suse.com
- blacklist.conf: misattributed
- commit dd8dac1
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7915: remove mt7915_sta_stats (git-fixes).
- commit 6b47a88
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/locking: add backtrace for locking contended locks without (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 739a2ac
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm_bo_api: update the description for @placement and @sg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05acf46
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau/mmu/gp100: remove unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4c5bbe3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: mxsfb: Set fallback bus format when the bridge doesn't provide (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0df91e6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: mxsfb: Print failed bus format in hex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c8df30
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: st7703: Add media bus format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9363279
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: mantix: Add media bus format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d2ea1b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: nwl-dsi: Add atomic_get_input_bus_fmts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b685954
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/v3d: fix copy_from_user() error codes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1f7c22
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: s6e63m0: Make s6e63m0_remove() return void (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77bdc3f
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-resv: Fix dma_resv_get_fences and dma_resv_copy_fences after (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d58a13f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau/nouveau_bo: Remove unused variables 'dev' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e35b37
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau/gem: remove redundant semi-colon (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb5f66c
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7915: report tx rate directly from tx status.
- commit f6f7789
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau/mmu/gp100-: drop unneeded assignment in the if condition. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a74872
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau/mmu: drop unneeded assignment in the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4c67cf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau/nvenc: remove duplicate include in base.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58f8274
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: fix the missed drm_gem_object_put() in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5281991
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: Add support for Sharp LS060T1SX01 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5bbcdd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: lvds-codec: Add support for LVDS data mapping select (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd96716
* Wed Nov 30 2022 pjakobsson@suse.de
- fbdev: fbmem: Fix double free of 'fb_info->pixmap.addr' (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3640d3d
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/panel: Add support for Sharp LS060T1SX01 panel" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a2140c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: Add support for Sharp LS060T1SX01 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f7458a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: panel-simple: add LOGIC Technologies LTTD800480070-L2RT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a55189
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Implement .detach callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29ac79d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: use new iterator in drm_gem_fence_array_add_implicit v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23b90ca
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: use the new iterator in i915_request_await_object v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ebdb9c
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7915: cleanup -Wunused-but-set-variable (git-fixes).
- commit 75e4d27
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/scheduler: use new iterator in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 419c116
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: use the new iterator in ttm_bo_flush_all_fences (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b36cd1
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: use the new iterator in dma_resv_poll (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03c45b5
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: use the new iterator in dma_buf_debug_show (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c94b82
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: add dma_resv_for_each_fence v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0b37bd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/connector: refer to CTA-861-G in the "content type" prop docs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b98c126
* Wed Nov 30 2022 pjakobsson@suse.de
- lib, stackdepot: add helper to print stack entries into buffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c388f8c
* Wed Nov 30 2022 pjakobsson@suse.de
- lib, stackdepot: add helper to print stack entries (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c9cbdc
* Wed Nov 30 2022 pjakobsson@suse.de
- video: backlight: ili9320: Make ili9320_remove() return void (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 669e240
* Wed Nov 30 2022 pjakobsson@suse.de
- backlight: Propagate errors from get_brightness() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d4f541
* Wed Nov 30 2022 pjakobsson@suse.de
- fix for "dma-buf: move dma-buf symbols into the DMA_BUF module (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5c9a3c
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: move dma-buf symbols into the DMA_BUF module namespace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97e13a2
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: Fix pin callback comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fa6ed9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: MST support for DPIA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 301ddb2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add SDMA IP instance info for soc15 parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f01b276
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add UVD/VCN IP instance info for soc15 parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a27ab48
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/UAPI: rearrange header to better align related items (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6d83a8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Enable dpia in dmub only for DCN31 B0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b291af
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix USB4 hot plug crash issue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1396c78
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: move FPU associated DCN301 code to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d93dc5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix link training regression for 1 or 2 lane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66d567a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: add two lane settings training options (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81fba32
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: decouple hw_lane_settings from dpcd_lane_settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a1a8cb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: implement decide lane settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 031b1d5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: adopt DP2.0 LT SCR revision 8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93b29a1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: FEC configuration for dpia links in MST mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4738d42
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: FEC configuration for dpia links (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e25eb50
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add workaround flag for EDID read on certain docks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0692866
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Set phy_mux_sel bit in dmub scratch register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5f4ffb
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7915: report HE MU radiotap (git-fixes).
- commit a87b2d6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Manually adjust strobe for DCN303 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fcdd5f0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.159 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9fecd1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.90 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4614add
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Remove unused macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20b3689
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: allow windowed mpo + odm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7839b60
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: set Layout properly for 8ch audio at timing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d376fa7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix 3DLUT skipped programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e4648e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.158 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0e1dbb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.89 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1568f0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Handle I2C-over-AUX write channel status update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 424ac05
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add comment for preferred_training_settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e55158a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Implement fixed DP drive settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d2747c1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: restyle dcn31 resource header inline with other (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d511077
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: clean up dcn31 revision check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5adeabe
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Defer GAMCOR and DSCL power down sequence to vupdate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5995455
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Set i2c memory to light sleep during hw init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6db47ab
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix a crash on USB4 over C20 PHY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e73ff87
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: move FPU associated DSC code to DML folder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9527157
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add support for USB4 on C20 PHY for DCN3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5bc96b7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: dc_link_set_psr_allow_active refactoring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3c636c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Get ceiling for v_total calc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ce9081
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Align bw context with hw config when system resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ea1108
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm: look up current_level for asics without pm callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9c768a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: remove GPRs init for ALDEBARAN in gpu reset (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d23232f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: Remove cu mask from struct queue_properties(v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f820916
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: Add an optional argument into update queue operation(v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5480f1e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: skip GPRs init for some CU settings on ALDEBARAN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a4b0ab
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Update TA version output in driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad18fcb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: restore userptr ignore bad address error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3476ba1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Add kernel parameter support for ignoring bad page (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 198e7dc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Warn when bad pages approaches 90%% threshold (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fcdf60
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: Add R10 and R12 FourCC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63a6fbf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: fix missing #include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4e12c0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove commit and its uses in dpu_crtc_set_crc_source() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 189b3d8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove dynamic allocation from atomic context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d01c079
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove impossible NULL check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 872080c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: Add CRC support for DPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c44018
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/hdmi: use bulk regulator API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 528f283
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Fix missing include files in msm_gem_shrinker.c
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/treewide-Add-missing-includes-masked-by-cgroup-bpf-d.patch.
- commit a2cbef1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Fix missing include files in msm_gem.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 818358d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Support up to 3 DP controllers (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0009-drm-msm-remove-unused-plane_property-field-from-msm_.patch.
- Refresh
  patches.suse/0011-drm-msm-dp-stop-event-kernel-thread-when-DP-unbind.patch.
- commit cc94bb1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Allow attaching a drm_panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa4d557
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7921: add .set_sar_specs support (git-fixes).
- commit cebdf8d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Allow specifying connector_type per controller (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39ac5f1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Remove global g_dp_display variable (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0011-drm-msm-dp-stop-event-kernel-thread-when-DP-unbind.patch.
- Refresh
  patches.suse/drm-msm-dp-check-core_initialized-before-disable-int.patch.
- commit 538619e
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7921: enable aspm by default (git-fixes).
- commit 507fcc6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: unlock on error in get_sched_entity() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3850c88
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: Remove redundant 'flush_workqueue()' calls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 156aa5f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Simplify the dp_debug debugfs show function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbdaf40
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Use the connector passed to dp_debug_get() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 792bda5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/a6xx: correct cx_debugbus_read arguments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd8593e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dsi: use bulk clk API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 545f495
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/devfreq: Add 1ms delay before clamping freq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59b12c8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Add hrtimer + kthread_work helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c1fe02
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Allow sub-regions to be specified in DT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8aa60d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Store each subblock in the io region (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29e94a8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Refactor ioremap wrapper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f2253c1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Use devres for ioremap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0132b7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/mdp5: Add configuration for MDP v1.16 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 757c8c6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dsi: Add phy configuration for MSM8953 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dsi-fix-address-for-second-DSI-PHY-on-SDM660.patch.
- commit eae9b6e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: Use IS_ERR() instead of IS_ERR_OR_NULL() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0ddfa1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: msm: adreno: use DEFINE_DEBUGFS_ATTRIBUTE with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e714927
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: delete conversion from bool value to bool return (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bab513a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/mdp5: Remove redundant null check before (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b928da5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: dsi: Remove redundant null check before (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4940b09
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/mdp4: Remove redundant null check before (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfb76b0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: fix warning "using plain integer as NULL pointer" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c173797
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dp: Remove redundant initialization of variable bpp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dbd313
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: Remove some nonsense (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82e9b1b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dsi: Support NO_CONNECTOR bridges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 750c76a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: msm: hdmi: Constify static structs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05db451
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dsi: Use division result from div_u64_rem in 7nm and 14nm PLL (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c25df0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Remove initialization of static variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68c584a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: remove unneeded variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 580e5cf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: Change dpu_crtc_get_vblank_counter to use vsync count. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf7c13a
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7921: avoid unnecessary spin_lock/spin_unlock in
  mt7921_mcu_tx_done_event (git-fixes).
- commit 6ddb3c4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: merge struct dpu_irq into struct dpu_hw_intr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a63fdd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: don't clear IRQ register twice (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7a97b5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm/dpu: squash dpu_core_irq into dpu_hw_interrupts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c79220
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/display: fix build when CONFIG_DRM_AMD_DC_DCN is not set (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91e6ab1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 MST DM Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b589bb5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 MST DC Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70dfe37
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: Update MST First Link Slot Information Based on Encoding Format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99f8f3f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: Remove slot checks in dp mst topology during commit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6959df9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Disable fan control if not supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e40ac16
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/nbio7.4: use original HDP_FLUSH bits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f215d2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/smu11.0: add missing IP version check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2de498
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: handle VCN harvesting for VCN SMU setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4569212
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Workaround harvesting info for some navy flounder boards (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0cefd8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/vcn3.0: remove intermediate variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea78bdc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/vcn2.0: remove intermediate variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1042ee0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Consolidate VCN firmware setup code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84850d9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/vcn3.0: handle harvesting in firmware setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed9253d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add dummy_page_addr to sriov msg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28e81b3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: remove grbm cam index/data operations for gfx v10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9eaf34a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/pm: Enable GPU metrics for One VF mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e28b456
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Clarify error when hitting bad page threshold (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97b72a5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: drop navi reg init functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e73ca90
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: drop nv_set_ip_blocks() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd53cba
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: drop soc15_set_ip_blocks() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae2254a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: protect raven_device_info with KFD_SUPPORT_IOMMU_V2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f10eac
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: protect hawaii_device_info with CONFIG_DRM_AMDGPU_CIK (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 120def2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: fix typo in gfx_v10_0_update_gfx_clock_gating() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87609a4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: replace snprintf in show functions with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed5f875
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: support B0&B1 external revision id for yellow carp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1d5016
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: parse hw_id_name for SDMA instance 2 and 3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3fb4c1c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: output warning for unsupported ras error inject (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f00495
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: centralize checking for RAS TA status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfa64cb
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Add helper for blanking all dp
  displays" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-power-gating-before-init_pipe.patch.
- commit 479b16c
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/amd/display: Fix error in dmesg at boot" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87111d8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.88 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c199f1f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add bios parser support for latest firmware_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e22f1e0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.157 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9de18f9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Change initializer to single brace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a0de19
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Disable hdmistream and hdmichar clocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit caf3e0b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Removed z10 save after dsc disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b4d9ea
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Disable dpstreamclk, symclk32_se, and symclk32_le (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbbdcff
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Disable dsc root clock when not being used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b13255
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add missing PSR state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80d8b52
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix DP2 SE and LE SYMCLK selection for B0 PHY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7829a0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Removed power down on boot from DCN31 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51b3d0b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Validate plane rects before use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e383335
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: correct apg audio channel enable golden value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96a3ebf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: do not compare integers of different widths (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b04c6cd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Clean Up VPG Low Mem Power (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 280a14e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: add DP2.0 debug option to set MST_EN for SST stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c38b18f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Do not skip link training on DP quick hot plug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 796fcff
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Clear encoder assignment for copied streams (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bde1d61
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Disable dpp root clock when not being used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c21cb3a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fully switch to dmub for all dcn21 asics
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Look-at-firmware-version-to-determin.patch.
- commit e074fa2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Do irq_fini_hw after ip_fini_early (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 359cad6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: map gpu hive id to xgmi connected cpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ce9f0c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: load PSP RL in resume path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c684434
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/psp: add some missing cases to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79d1aa5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: fix is_support_sw_smu() for VEGA20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00a4ddb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/smu11: fix firmware version check for vangogh (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5578143
* Wed Nov 30 2022 pjakobsson@suse.de
- amdgpu/pm: (v2) add limit_type to
  (pptable_funcs)->set_power_limit signature (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-pm-Fix-incorrect-power-limit-readback-in-smu.patch.
- commit 3b66096
* Wed Nov 30 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 267578b
* Wed Nov 30 2022 oneukum@suse.com
- mt76: mt7921: introduce mt7921_mcu_set_beacon_filter utility
  routine (git-fixes).
- Refresh
  patches.suse/mt76-mt7921e-fix-possible-probe-failure-after-reboot.patch.
- commit 5be4395
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Fix RAS page retirement with mode2 reset on Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f442ce0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: Enable RAS error injection after mode2 reset on Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7994047
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: enable display for cyan skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6959b77
* Wed Nov 30 2022 pjakobsson@suse.de
- amd/display: check cursor plane matches underlying plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2544613
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/nbio2.3: don't use GPU_HDP_FLUSH bit 12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11e948e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/nbio7.4: don't use GPU_HDP_FLUSH bit 12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9334c36
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: query default sclk from smu for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8150795
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/selftests: mark up hugepages object with start_cpu_write (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ec6abc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: mark up internal objects with start_cpu_write (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6a4891
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: expand on the kernel-doc for cache_dirty (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffc53e0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/shmem: ensure flush during swap-in on non-LLC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a32f9af
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/userptr: add paranoid flush-on-acquire (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 797d914
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dmabuf: add paranoid flush-on-acquire (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7042368
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: extract bypass-llc check into helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbc7e31
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: mark userptr objects as ALLOC_USER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3b4091
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: mark dmabuf objects as ALLOC_USER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b5bfc57
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/selftests: remove duplicate include in mock_region.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50a4ef8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Enable multi-bb execbuf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f45f9a8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Update I915_GEM_BUSY IOCTL to understand composite fences (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6967227
* Wed Nov 30 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit ca10017
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Make request conflict tracking understand parallel submits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f1ff44
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Handle errors in multi-lrc requests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8d063b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Multi-BB execbuf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b98ad8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Implement no mid batch preemption for multi-lrc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf46ed3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Add basic GuC multi-lrc selftest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05fb9bf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/doc: Update parallel submit doc to point to i915_drm.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e97918
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Connect UAPI to GuC multi-lrc interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5972fa
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Update debugfs for GuC multi-lrc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f485c86
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Implement multi-lrc reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58f8ae2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Insert submit fences between requests in parent-child (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd3bb0b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Implement multi-lrc submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1652b72
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Implement parallel context pin / unpin functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a74433e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Assign contexts in parent-child relationship (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f3b4e3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Ensure GuC schedule operations do not operate on child (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27015a6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Add multi-lrc context registration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65f0788
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Introduce context parent-child relationship (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e7e464
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Expose logical engine instance to user (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68436bb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Add logical engine mapping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb30281
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Don't call switch_to_kernel_context with GuC submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3c07e1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Take engine PM when a context is pinned with GuC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd5b8c1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Take GT PM ref when deregistering context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e9f41b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Move GuC guc_id allocation under submission state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41811a4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: move remaining debugfs interfaces into gt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b15638
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Stop using I915_TILING_* in client blit selftest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ec322a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: add asm/cacheflush.h for use of clflush() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be2384e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: include tsc.h where used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbee209
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Clean up PXP Kconfig info. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 293fecd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uapi: Add comment clarifying purpose of I915_TILING_* values (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2aef132
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Fix oops on platforms w/o hpd support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 428b901
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Add all per-lane register definitions for icl combo phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e02d7ec
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Extract icl_combo_phy_loadgen_select() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cb7ccb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Remove dead DKL_TX_LOADGEN_SHARING_PMD_DISABLE stuff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd8381e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use standard form terminating condition for lane for loops (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit badeea7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Shrink {icl_mg,tgl_dkl}_phy_ddi_buf_trans (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb2904d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Remove pointless extra namespace from dkl/snps buf trans (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f376401
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: rename intel_sideband.[ch] to intel_sbi.[ch] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34b1bd7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: split out intel_pcode.[ch] to separate file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fcb535
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/bios: gracefully disable dual eDP for now (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 812c76b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: split out vlv sideband to a separate file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1de9792
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/display: remove unused intel-mid.h include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c104e35
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: remove IS_ACTIVE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da58f73
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Handle Intel igfx + Intel dgfx hybrid graphics setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16fdf0c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Clean up disabled warnings (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/Kbuild-add-Wno-shift-negative-value-where-Wextra-is-.patch.
- commit b17ed47
* Wed Nov 30 2022 oneukum@suse.com
- mac80211: radiotap: Use BIT() instead of shifts (git-fixes).
- commit fa4dbfe
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: enable PXP for integrated Gen12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc1f523
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: add PXP documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3cf9d66
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: add pxp debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c840f7e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: black pixels on pxp disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b03b8b6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Add plane decryption support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5166171
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Enable PXP power management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 645067d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: start the arb session on demand (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a407b52
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: interfaces for using protected objects
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- Refresh patches.suse/drm-i915-gem-add-missing-else.patch.
- commit c7cbfd4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Implement PXP irq handler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c34a02b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Implement arb session teardown (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 900dc73
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Create the arbitrary session after boot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e730587
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: set KCR reg init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7efa7af
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Implement funcs to create the TEE channel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f70cfc7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: allocate a vcs context for pxp usage (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c592ddc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: define PXP device flag and kconfig (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28938f0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pxp: Define PXP component interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f2e269
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Move and improve error message for missed CTB reply (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41d64b0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Print error name on CTB send failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9376e81
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Print error name on CTB (de)registration failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d837f28
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Verify result from CTB (de)register action (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8738625
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use fixed offset for PTEs location (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca49bcf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/ttm: Rework object initialization slightly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7074934
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use direction definition DMA_BIDIRECTIONAL instead of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed2f4b2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Flush buffer pools on driver remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58acafd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/selftests: exercise shmem_writeback with THP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7f12a4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Reduce the number of objects subject to memcpy
  recover (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- commit 76bc901
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Don't back up pinned LMEM context images and rings
  during suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- commit 98e983f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Register the migrate contexts with their
  engines (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Replace-the-unconditional-clflush-with-drm_.patch.
- commit d01825e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915 Implement LMEM backup and restore for suspend / resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b0012e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Increase suspend timeout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4d86b6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gem: Implement a function to process all gem objects of a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cecafdd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/ttm: Implement a function to copy the contents of two (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c35c4a1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gem: Fix a lockdep warning the __i915_gem_is_lmem() function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53d6210
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uncore: fwtable read handlers are now used on all forcewake (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b888f68
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/debugfs: Do not report currently active engine when (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9d785f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dg2: Add DG2-specific shadow register table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5e3cbe
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uncore: Drop gen11 mmio read handlers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07b84f2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uncore: Drop gen11/gen12 mmio write handlers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f307fc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uncore: Replace gen8 write functions with general fwtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50d74eb
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uncore: Associate shadow table with uncore (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3921ff
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/uncore: Convert gen6/gen7 read operations to fwtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 598c1f8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Check SFC fusing before recording/dumping SFC_DONE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4160fa
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehp: Check new fuse bits for SFC availability (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 04f5972
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Take pinning into account in __i915_gem_object_is_lmem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0daca0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Enable GuC submission by default on DG1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 352c4c3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Add DG1 GuC / HuC firmware defs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa6db92
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: put all guc objects in lmem when available (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 470cff4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Do not define vma on stack (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16815cd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Add "intel_" as prefix in set_mocs_index() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e84ca8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Make wa list per-gt (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- commit a9b4aca
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: deduplicate frequency dump on debugfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24f9b36
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: rename debugfs_gt_pm files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb4f665
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: rename debugfs_engines files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3070a8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: rename debugfs_gt files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a38dc4a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Mark GPU wedging on driver unregister unrecoverable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d778739
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Add mmap lock around vma_lookup() in the mman selftest. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0740c4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dg2: Define MOCS table for DG2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fb39e3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: Define MOCS table for XeHP SDV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80686c1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Add GuC kernel doc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 238d1d4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Drop guc_active move everything into guc_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1123ea2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Move fields protected by guc->contexts_lock into sub (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37607bf
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Move GuC priority fields in context under guc_active (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d40964
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Drop pin count check trick between sched_disable and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c5b404
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Proper xarray usage for contexts_lookup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd82264
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Rework and simplify locking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 983c751
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Move guc_blocked fence to struct guc_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dea56b8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Release submit fence from an irq_work (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a46f43b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Don't touch guc_state.sched_state without a lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9851548
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/selftests: Add initial GuC selftest for scrubbing lost G2H (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60b8a42
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/guc: Process all G2H message at once in work queue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbaad73
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use Transparent Hugepages when IOMMU is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 992ed08
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: clean up inconsistent indenting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92ed000
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/selftests: fixup igt_shrink_thp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48a9c42
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gtt: add some flushing for the 64K GTT path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1e7759
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Add separate MOCS table for Gen12 devices other than (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a015f7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Stop rcu support for i915_address_space (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d403f50
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: use xa_lock/unlock for fpriv->vm_xa lookups (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4ecd59
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Drop __rcu from gem_context->vm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 265458d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use i915_gem_context_get_eb_vm in intel_context_set_gem (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09133f8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Add i915_gem_context_is_full_ppgtt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7828e6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use i915_gem_context_get_eb_vm in ctx_getparam (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 404c3e1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Rename i915_gem_context_get_vm_rcu to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90249b9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Drop code to handle set-vm races from execbuf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9477e99
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Release i915_gem_context from a worker (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0001-drm-i915-Keep-gem-ctx-vm-alive-until-the-final-put.patch.
- commit 2b46bea
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Initialize L3CC table in mocs init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74269ce
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Initialize unused MOCS entries with device specific (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e4d459
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Set BLIT_CCTL reg to un-cached (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b5290f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Set CMD_CCTL to UC for Gen12 Onward (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4302800
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gt: Add support of mocs propagation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 697a92e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Actually delete gpu reloc selftests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 000f0c7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Ensure wa_init_finish() is called for ctx workaround list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6004dd6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/pci: rename functions to have i915_pci prefix (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9a7ac4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm, drm/i915: Update ttm_move_memcpy for async use (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0431ae
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/ttm: Reorganize the ttm move code somewhat (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a98b50
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dg2: Add new LRI reg offsets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2df5162
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/selftests: Increase timeout in i915_gem_contexts selftests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e852f7b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: s/0/NULL/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f744d4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dg1: remove __maybe_unused leftover (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce3e1d1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/debugfs: hook up ttm_resource_manager_debug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5026bc5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/buddy: add some pretty printing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4206c91
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Ditch the i915_gem_ww_ctx loop member (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 375561e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dg2: Maintain backward-compatible nested batch behavior (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e26fef
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Add pci ids and uapi for DG1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f0719b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: Read correct RP_STATE_CAP register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f15469
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: factor out function to read RP_STATE_CAP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a159758
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Use locked access to ctx->engines in set_priority (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bff65a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehpsdv: Add compute DSS type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 806390b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/dg2: Report INSTDONE_GEOM values in error state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 66dbebd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehp: Loop over all gslices for INSTDONE processing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 348ff8d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/xehp: Xe_HP shadowed registers are a strict superset of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 462aa1d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gen12: Update shadowed register table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11e5e35
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915/gen11: Update shadowed register table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7d61c6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Make shadow tables range-based (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a9d51a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: Re-use gen11 forcewake read functions on gen12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2617933
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: correct name of GT forcewake domain in error messages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e983643
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: dw-hdmi-cec: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3250f2f
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: use new iterator in dma_resv_test_signaled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d791e5f
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: use new iterator in dma_resv_wait_timeout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72cd56e
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: use new iterator in dma_resv_get_fences v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3311b0b
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: use new iterator in dma_resv_copy_fences (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f344f0
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: add dma_resv_for_each_fence_unlocked v8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c9758c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/edid: Fix crash with zero/invalid EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05cd8f8
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm: cleanup: drm_modeset_lock_all_ctx() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24d851f
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/i915: cleanup: drm_modeset_lock_all_ctx() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ccb0379
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/msm: cleanup: drm_modeset_lock_all_ctx() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c43335
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbb5174
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/vmwgfx: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71175d6
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/tegra: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e4e957
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/shmobile: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34bcea3
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/radeon: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf0205b
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/omapdrm: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97c93fb
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/nouveau: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5f5723
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/msm: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bd9362
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/i915: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63c12a9
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/i915: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28a8b6b
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/gma500: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4bb4f2
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm/amd: cleanup: drm_modeset_lock_all() -->
  DRM_MODESET_LOCK_ALL_BEGIN()" (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Revert-drm-amd-display-turn-DPMS-off.patch.
- commit c839ad1
* Wed Nov 30 2022 pjakobsson@suse.de
- Revert "drm: cleanup: remove drm_modeset_(un)lock_all()" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4612119
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gud: Add GUD_PIXEL_FORMAT_RGB888 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b53bb2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gud: Add GUD_PIXEL_FORMAT_RGB332 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86c00d5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gud: Add GUD_PIXEL_FORMAT_R8 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37a42d6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/format-helper: Add drm_fb_xrgb8888_to_rgb888() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82cecd3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/format-helper: Add drm_fb_xrgb8888_to_rgb332() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7624abc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/fourcc: Add R8 to drm_format_info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 628602b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/v3d: add multiple syncobjs support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6b9d50
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/v3d: add generic ioctl extension (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-v3d-v3d_drv-Check-for-error-num-after-setting-ma.patch.
- commit e109e57
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/v3d: alloc and init job in one shot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8f7b68
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/v3d: decouple adding job dependencies steps from job init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac30bec
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Implement bridge->mode_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06e96e2
* Wed Nov 30 2022 pjakobsson@suse.de
- doc: drm: remove TODO entry regarding DRM_MODSET_LOCK_ALL cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d1eebe
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: cleanup: remove drm_modeset_(un)lock_all() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a54d167
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd: cleanup: drm_modeset_lock_all() -->
  DRM_MODESET_LOCK_ALL_BEGIN() (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Revert-drm-amd-display-turn-DPMS-off.patch.
- commit ae16ea8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7553dc5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8322ee
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f033388
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60bf436
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/nouveau: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db39e96
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/omapdrm: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 330daf0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/radeon: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c889117
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/shmobile: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e05fa14
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/tegra: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd36eac
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/vmwgfx: cleanup: drm_modeset_lock_all() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0560555
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: cleanup: drm_modeset_lock_all() --> DRM_MODESET_LOCK_ALL_BEGIN() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b108f4a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: cleanup: drm_modeset_lock_all_ctx() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19adda3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/i915: cleanup: drm_modeset_lock_all_ctx() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3b57ac
* Wed Nov 30 2022 pjakobsson@suse.de
- drm: cleanup: drm_modeset_lock_all_ctx() --> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d76fb5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/lease: allow empty leases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e43ee3
* Wed Nov 30 2022 pjakobsson@suse.de
- dma-buf: fix and rework dma_buf_poll v7 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16149cd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/dp: Add Additional DP2 Headers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd6ef23
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: Add stubs for devm_drm_of_get_bridge when OF is disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79cd17e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: add TTM_TT_FLAG_EXTERNAL_MAPPABLE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55a006c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: add some kernel-doc for TTM_TT_FLAG_* (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9020a60
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: s/FLAG_SG/FLAG_EXTERNAL/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2a2b47
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: remove TTM_PAGE_FLAG_NO_RETRY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 954071d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: move ttm_tt_{add, clear}_mapping into amdgpu (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e310ae
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ttm: stop setting page->index for the ttm_tt (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fda2a8a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: advertise feature to userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fbe4f2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: add virtio_gpu_fence_event (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d53cf5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: handle (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4eb3ff7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: allocate an array of fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3a1843
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: stop using drv->context when (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ce48d5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: plumb {base_fence_ctx, ring_idx} (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77bf934
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: track {ring_idx, emit_fence_info} (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dced223
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: support init ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b699b1d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: probe for feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6524f5
* Wed Nov 30 2022 pjakobsson@suse.de
- virtio-gpu api: multiple context types with explicit initialization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc06cac
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtio: implement context init: track valid capabilities in a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6815e42
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/virtgpu api: create context init feature (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3323ba9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: support for BOE and INX video mode panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 868837b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/panel: boe-tv101wum-nl6: Support enabling a 3.3V rail (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8fad88
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Actually check for the connector status in hotplug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ea669b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/probe-helper: Create a HPD IRQ event helper for a single (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 299a87a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/probe-helper: Document drm_helper_hpd_irq_event() return value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7d920f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/msm: allow compile_test on !ARM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f8007e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/edid: Fix drm_edid_encode_panel_id() kerneldoc warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2cf4371
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/print: Add deprecation notes to DRM_...() functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afd2073
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/edid: Fix EDID quirk compile error on older compilers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cfb800
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: Fix wrong pointer passed to PTR_ERR() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a367d7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/mipi-dsi: Create devm device attachment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b2a6f5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/mipi-dsi: Create devm device registration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ec02e2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: Document the probe issue with MIPI-DSI bridges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8087e3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: Add documentation sections (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a03c6f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Add support for AUX channel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f335fe8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Use regmap APIs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b765e72
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: Managed device release (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a7f052
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: Remove dev_priv branch from unload function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a405090
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: Embed struct drm_device in struct drm_psb_private (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e515efc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: Disable PCI device during shutdown (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34a05a4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/gma500: Replace references to dev_private with helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ca22d0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/vboxvideo: Use managed interfaces for framebuffer write combining (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 554c6d9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/mgag200: Use managed interfaces for framebuffer write combining (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 161bb48
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/ast: Use managed interfaces for framebuffer write combining (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb2c977
* Wed Nov 30 2022 pjakobsson@suse.de
- lib: devres: Add managed arch_io_reserve_memtype_wc() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5604cb8
* Wed Nov 30 2022 pjakobsson@suse.de
- lib: devres: Add managed arch_phys_wc_add() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14c0ae5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix duplicated inclusion (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6fdfe99
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: remove duplicate include in dcn201_clk_mgr.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4043fd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: use adev_to_drm for consistency when accessing
  drm_device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/Revert-drm-amdgpu-stop-scheduler-when-calling-hw_fin.patch.
- commit da7b9f8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix Werror when building (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7160886
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add missing case for HDP for renoir (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 733353d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Remove redundant initialization of variable result (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f22b5d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/discovery: add missing case for SMU 11.0.5 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4962c1b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add 120Hz support for freesync video mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91a424d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: return early if debugfs is not initialized (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb15f7b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: USB4 bring up set correct address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 266a9ba
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix USB4 Aux via DMUB terminate unexpectedly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b4304b
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Deadlock/HPD Status/Crash Bug Fix (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c3f885
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix for access for ddc pin and aux engine. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f53b36
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add debug flags for USB4 DP link training. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d9b443
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix DIG_HPD_SELECT for USB4 display endpoints. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3b9977
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Support for SET_CONFIG processing with DMUB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a2ec7f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add dpia debug options (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db58e96
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Read USB4 DP tunneling data from DPCD. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1df58f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Support for SET_CONFIG processing with DMUB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bcbf3ac
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Implement end of training for hop in DPIA display (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac18f27
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Implement DPIA equalisation phase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3dfa8ec
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Implement DPIA clock recovery phase (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8089c5
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Implement DPIA link configuration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb69387
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Implement DPIA training loop (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Add-pstate-verification-and-recovery.patch.
- commit 6065661
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Train DPIA links with fallback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52cffea
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Skip DPCD read for DPTX-to-DPIA hop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29a5c9f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add stub to get DPIA tunneling device
  data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Assume-an-LTTPR-is-always-present-on.patch.
- commit 1886f7e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Stub out DPIA link training call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d0cbef
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Set DPIA link endpoint type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bc1417
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Support for DMUB HPD and HPD RX interrupt handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98ca028
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: USB4 DPIA enumeration and AUX Tunneling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e74f709
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Update link encoder object creation. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e76e83
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix DCC settings for DCN3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9de669
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix error in dmesg at boot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 825c9d2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Fix concurrent dynamic encoder assignment. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7d16b8
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Add helper for blanking all dp displays
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-power-gating-before-init_pipe.patch.
- commit 4bc0870
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.156 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6dad873
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.87 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b5a0db
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Added root clock optimization flags (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db18539
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Re-arrange FPU code structure for dcn2x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4db77ad
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: print warning and taint kernel if lockup timeout is (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92b51cc
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: init iommu after amdkfd device init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7e6a6ec
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/gmc9: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a924da7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: Prevent using DMUB rptr that is out-of-bounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de79675
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/display: fold DRM_AMD_DC_DCN201 into DRM_AMD_DC_DCN (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit def0b20
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: remove some repeated includings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76ccf87
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: consolidate case statements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 728a605
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg: add jpeg2.6 start/end (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c432a14
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/jpeg2: move jpeg2 shared macro to header file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d19437f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add an option to override IP discovery table from a file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 146d352
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: convert kfd_device.c to use GC IP version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f13a35
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdkfd: clean up parameters in kgd2kfd_probe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6576ae4
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add support for SRIOV in IP discovery path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 876f6e6
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: clean up set IP function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc244be
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: convert IP version array to include instances
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0001-drm-amdgpu-gfx9-switch-to-golden-tsc-registers-for-r.patch.
- Refresh
  patches.suse/0005-drm-amdgpu-gfx10-add-wraparound-gpu-counter-check-fo.patch.
- Refresh
  patches.suse/drm-amd-display-Enable-PSR-by-default-on-newer-DCN.patch.
- Refresh
  patches.suse/drm-amd-display-Look-at-firmware-version-to-determin.patch.
- Refresh
  patches.suse/drm-amd-pm-fix-reading-SMU-FW-version-from-amdgpu_fi.patch.
- commit cc798c1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: set CHIP_IP_DISCOVERY as the asic type by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d96c00
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add new asic_type for IP discovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7dc416e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/ucode: add default behavior (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae00156
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: get VCN harvest information from IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e04f5d1
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: remove manual instance setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b015d8e
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/sdma: remove manual instance setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4e6a8d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: get VCN and SDMA instances from IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c342a9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add HWID of SDMA instance 2 and 3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8d77e9
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add VCN1 hardware IP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a46f241
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amd/display: fix error case handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a37ddd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/soc15: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 718e2f7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/vcn2.5: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9ed53c
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/amdgpu_vcn: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e47a6f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm/amdgpu_smu: convert more IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a5f4a2
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm/smu_v13.0: convert IP version checking
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-pm-fix-reading-SMU-FW-version-from-amdgpu_fi.patch.
- commit bd4471a
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/pm/smu_v11.0: update IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ccc729
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/psp_v13.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7ef18d
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/psp_v11.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d970d3
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/amdgpu_psp: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e95d839
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/gfx9.0: convert to IP version checking (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0001-drm-amdgpu-gfx9-switch-to-golden-tsc-registers-for-r.patch.
- commit ebeeb41
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/hdp4.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9af485
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/sdma4.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b60f8f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/display/dm: convert RAVEN to IP version checking
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Look-at-firmware-version-to-determin.patch.
- commit 1094904
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: default to true in amdgpu_device_asic_has_dc_support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fa8ad0
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: drive all vega asics from the IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37fb53f
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/soc15: get rev_id in soc15_common_early_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2532251
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add initial IP discovery support for vega based parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bcaab7
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/soc15: export common IP functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59f63bd
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu: add DCI HWIP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3639d38
* Wed Nov 30 2022 pjakobsson@suse.de
- drm/amdgpu/display/dm: convert to IP version checking
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Enable-PSR-by-default-on-newer-DCN.patch.
- Refresh
  patches.suse/drm-amd-display-Look-at-firmware-version-to-determin.patch.
- commit 922e4ed
* Wed Nov 30 2022 jslaby@suse.cz
- char: xillybus: Fix trivial bug with mutex (bsc#1205764
  CVE-2022-45888).
- char: xillybus: Prevent use-after-free due to race condition
  (bsc#1205764 CVE-2022-45888).
- commit 8d88aac
* Wed Nov 30 2022 jslaby@suse.cz
- platform/x86/intel/pmt: Sapphire Rapids PMT errata fix
  (jsc#PED-2684 bsc#1205683).
- commit a6ac9d8
* Tue Nov 29 2022 hare@suse.de
- block: add a bdev_nonrot helper (jsc#PED-1183).
- commit d1f3240
* Tue Nov 29 2022 hare@suse.de
- mm: use bdev_is_zoned in claim_swapfile (jsc#PED-1183).
- commit 9379573
* Tue Nov 29 2022 hare@suse.de
- drbd: cleanup decide_on_discard_support (jsc#PED-1183).
- target: fix discard alignment on partitions (jsc#PED-1183).
- target: remove an incorrect unmap zeroes data deduction
  (jsc#PED-1183).
- commit 2238d48
* Tue Nov 29 2022 hare@suse.de
- scsi: block: Remove REQ_OP_WRITE_SAME support (jsc#PED-1183).
- commit ead04c2
* Tue Nov 29 2022 hare@suse.de
- scsi: dm: Remove WRITE_SAME support (jsc#PED-1183).
- scsi: md: Remove WRITE_SAME support (jsc#PED-1183).
- scsi: sd: Remove WRITE_SAME support (jsc#PED-1183).
- scsi: rnbd: Remove WRITE_SAME support (jsc#PED-1183).
- commit e58df38
* Tue Nov 29 2022 hare@suse.de
- scsi: drbd: Remove WRITE_SAME support (jsc#PED-1183).
- Refresh patches.suse/drbd-remove-assign_p_sizes_qlim.
- commit c840cfc
* Tue Nov 29 2022 hare@suse.de
- scsi: cxlflash: Query write_zeroes limit for zeroing
  (jsc#PED-1183).
- commit e2bf7bb
* Tue Nov 29 2022 msuchanek@suse.de
- Refresh patches.suse/ibmvnic-Properly-dispose-of-all-skbs-during-a-failov.patch.
  Fix metadata
- commit f4fe6e0
* Tue Nov 29 2022 msuchanek@suse.de
- ibmvnic: Allow multiple ltbs in txpool ltb_set (jsc#PED-573).
- ibmvnic: Allow multiple ltbs in rxpool ltb_set (jsc#PED-573).
- ibmvnic: convert rxpool ltb to a set of ltbs (jsc#PED-573).
- ibmvnic: define map_txpool_buf_to_ltb() (jsc#PED-573).
- ibmvnic: define map_rxpool_buf_to_ltb() (jsc#PED-573).
- ibmvnic: rename local variable index to bufidx (jsc#PED-573).
- commit 242aa2c
* Tue Nov 29 2022 msuchanek@suse.de
- ibmvnic: Free rwi on reset success (bsc#1184350 ltc#191533
  git-fixes).
- commit 9f37b44
* Tue Nov 29 2022 msuchanek@suse.de
- ibmvnic: Update XPS assignments during affinity binding
  (jsc#PED-2322).
- ibmvnic: Add hotpluggable CPU callbacks to reassign affinity
  hints (jsc#PED-2322).
- ibmvnic: Assign IRQ affinity hints to device queues
  (jsc#PED-2322).
- commit 9c4139f
* Tue Nov 29 2022 hare@suse.de
- block: pass a block_device and opf to blk_next_bio
  (jsc#PED-1183).
- Refresh
  patches.suse/nvmet-use-bdev-based-helpers-in-nvmet_bdev_zone_mgmt.patch.
- commit 7008e35
* Tue Nov 29 2022 hare@suse.de
- block: deprecate autoloading based on dev_t (jsc#PED-1183).
- Update config files.
- commit 76770f5
* Tue Nov 29 2022 afaerber@suse.com
- config: arm64: Fix Freescale LPUART dependency (boo#1204063)
  Commit 8d7f37c61a07 inserted CONFIG_SERIAL_FSL_LPUART_CONSOLE=y
  but forgot to change CONFIG_SERIAL_FSL_LPUART=m to =y as dependency,
  as the upstream Kconfig appears to be missing it for this driver.
- commit c1cdcc5
* Tue Nov 29 2022 krisman@suse.de
- io_uring: fix uninitialized field in rw io_kiocb (git-fixes).
- commit 6895d7d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: drive all navi asics from the IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65a9c77
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/nv: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91398dd
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/sienna_cichlid_ppt: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0df31d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/navi10_ppt: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b520a0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/smu11.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 106ad5c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/amdgpu_smu: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71bac6a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/navi10_ih: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db16a50
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/athub2.1: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3e9566
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/athub2.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34bd9a5
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/vcn3.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82c539c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/mmhub2.1: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2805cce
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/mmhub2.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62de423
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/gfxhub2.1: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d180e98
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: drive nav10 from the IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d922d0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Use IP discovery to drive setting IP blocks by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 332389c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/gmc10.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c799ee
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: bind to any 0x1002 PCI diplay class device
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch.
- Refresh patches.suse/drm-amdgpu-add-beige-goby-PCI-ID.patch.
- commit 83e0d3e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: filter out radeon PCI device IDs (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch.
- Refresh
  patches.suse/drm-amdgpu-disable-runpm-if-we-are-the-primary-adapt.patch.
- commit a125ae7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/gfx10: convert to IP version checking (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0005-drm-amdgpu-gfx10-add-wraparound-gpu-counter-check-fo.patch.
- commit cb45d8f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.2: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c5b087
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/sdma5.0: convert to IP version checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6aa8a8
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: add initial IP enumeration via IP discovery
  table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-add-support-for-IP-discovery-gc_info-tabl.patch.
- commit 9e00a6d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/nv: export common IP functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ab5c4a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: add XGMI HWIP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7b6633
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: fill in IP versions from IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f52b914
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: store HW IP versions in the driver structure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f256c85
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: add debugfs access to the IP discovery table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f0fd81
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: move headless sku check into harvest function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f7e43b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: resolve RAS query bug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79dfaed
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Only define DP 2.0 symbols if not already defined (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5e0e2c
* Tue Nov 29 2022 pjakobsson@suse.de
- amd/amdkfd: add ras page retirement handling for sq/sdma (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a05c0d2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: add cyan_skillfish display support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b40c6f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: add cyan_skillfish asic header files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1f3a46
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Add a UAPI flag for hot plug/unplug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 661d253
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: drm/amdgpu: Handle IOMMU enabled case (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad4fd0b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Validate ip discovery blob (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32ec3fe
* Tue Nov 29 2022 pjakobsson@suse.de
- gpu: amd: replace open-coded offsetof() with builtin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97b6cd7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add missing mp_11_0_8_sh_mask.h header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df12a6f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Update VCP X.Y logging to improve usefulness (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c368c3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Handle Y carry-over in VCP X.Y calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18f1a5c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: make verified link cap not exceeding max link cap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cdd7020
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Defer LUT memory powerdown until LUT bypass latches (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d6162e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Replace referral of dal with dc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 072550f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.155 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b586a95
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.86 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9bbce6
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add an extra check for dcn10 OPTC data format (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb29238
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add PPS immediate update flag for DCN2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a02d0a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix MST link encoder availability check. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f418b52
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix for link encoder access for MST. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a95e694
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: add function to convert hw to dpcd lane settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e405608
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: update cur_lane_setting to an array one for each (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5971743
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add debug support to override the Minimum DRAM Clock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5533e3f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: add vsync notify to dmub for abm pause (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d05efd9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Don't enable AFMT for DP audio stream (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 355022f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.85 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 228cf7c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: use correct vpg instance for 128b/132b encoding (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bcf2c42
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: skip umc ras irq handling in poison mode (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96795e2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: set poison supported flag for RAS (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0409da
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: add poison mode query for UMC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 524670e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: add poison mode query for DF (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7815ac
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Update PSP TA Invoke to use common TA context as input (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bff910
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Add r8a779a0 device support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f532901
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Split CRTC IRQ and Clock features (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46ec00f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Fix DIDSR field name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 765544b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Only initialise TVM_TVSYNC mode when supported (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba04e2c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Sort the DU outputs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9273d66
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6692e0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/shmobile: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6aea396
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sti: Use correct printk format specifiers for size_t (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d02f3f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/omap: Depend on CONFIG_OF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff699c7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/omap: Cast pointer to integer without generating warning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1348c73
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/omap: Use correct printk format specifiers for size_t (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f321ff7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: property: Replace strncpy() with strscpy_pad() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d0efff
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Allow importing non-contiguous dma-buf with VSP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c88fc5f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Set the DMA coherent mask for the DU device (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1fc301
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rcar-du: Improve kernel log messages when initializing encoders (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34d0c67
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: make soc15_common_ip_funcs static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7be0f2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Remove all code paths under the EAGAIN path in RAS late (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bfdcd60
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Consolidate RAS cmd warning messages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 362f6bc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Updated RAS infrastructure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c819f4f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix wrong format specifier in amdgpu_dm.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6295dff
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.154 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55d3c56
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.84 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a6b167
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Creating a fw boot options bit for an upcoming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bf3ed7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: DIG mapping change is causing a blocker
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/Revert-drm-amd-display-Fix-DCN3-B0-DP-Alt-Mapping.patch.
- commit 3f86f26
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Disable mem low power for CM HW block on DCN3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ebed31
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix issue with dynamic bpp change for DCN3x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 681652d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Added power down on boot for DCN3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8270be
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix dynamic encoder reassignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5cc599
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix concurrent dynamic encoder assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 687ff6b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix link training fallback logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f2bec1
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.153 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fa1440
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.83 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce9fe5f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Extend w/a for hard hang on HPD to dcn20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4039107
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Reduce stack size for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1ba890
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Allocate structs needed by dcn_bw_calc_rq_dlg_ttu in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ec6009
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix rest of pass-by-value structs in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b15b29
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Pass all structs in display_rq_dlg_helpers by (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20c62f5
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Pass display_pipe_params_st as const in DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b9ca3e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Fix resume failures when device is gone (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f50b6bb
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Fix crash on device remove/driver unload (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edad884
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Fix uvd ib test timeout when use pre-allocated BO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 345b4ca
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Put drm_dev_enter/exit outside hot codepath (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c9fef4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix crash on device remove/driver unload (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08a1cf9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add modifiers capable of DCC image stores for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ab0b2d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Handle GFX10_RBPLUS modifiers for dcc_ind_blk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c23b51
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Use dcc_ind_blk value to set register directly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb84b54
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/radeon: make array encoded_lanes static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df2f8cc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Resolve nBIF RAS error harvesting bug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83fd9ca
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Update PSP TA unload function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 177a574
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Conform ASD header/loading to generic TA systems (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43ff294
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Fix a race of IB test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 980d14d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: VCN avoid memory allocation during IB test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d501781
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: VCE avoid memory allocation during IB test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f386f58
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: UVD avoid memory allocation during IB test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fa83b3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Unify PSP TA context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85693db
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: move iommu_resume before ip init/resume (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21b13eb
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Get atomicOps info from Host for sriov setup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 292ee28
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Enable mem low power control for DCN3.1 sub-IP
  blocks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Disabling-Z10-on-DCN31.patch.
- commit acfe8ab
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: remove force_enable_edp_fec param. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e54d91d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add VPG and AFMT low power support for
  DCN3.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Disabling-Z10-on-DCN31.patch.
- commit de4bf7c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Revert adding degamma coefficients (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17fc147
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.152 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f99ac46
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Correct degamma coefficients (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03cbbcc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.82 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90092af
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add periodic detection when zstate is enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57fdf92
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Refine condition of cursor visibility for pipe-split (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 162f184
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Apply w/a for hard hang on HPD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27144be
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add regamma/degamma coefficients and set sRGB when (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ad30c6
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix multiple memory leaks reported by
  coverity (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/Revert-drm-amd-display-Fix-DCN3-B0-DP-Alt-Mapping.patch.
- commit 063f043
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.151 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa9090a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Revert "dc: w/a for hard hang on HPD on native DP" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ad775c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.81 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64ee346
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix for null pointer access for ddc pin and aux (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e4fba0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix false BAD_FREE warning from Coverity (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c199c7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix dynamic link encoder access. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f3a694
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add flag to detect dpms force off during
  HPD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Revert-drm-amd-display-turn-DPMS-off.patch.
- commit 8a57f18
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: unblock abm when odm is enabled only on configs
  that support it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Set-exit_optimized_pwr_state-for-DCN.patch.
- Refresh
  patches.suse/drm-amd-display-Set-optimize_pwr_state-for-DCN31.patch.
- commit 7e1f1f0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fork thread to offload work of hpd_rx_irq
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-display-add-quirk-handling-for-stutter-mo.patch.
- commit 4e77d19
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: update conditions to do dfp cap ext validation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 244aeba
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: move bpp range decision in decide dsc bw range (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit daa8bf8
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix system hang at boot (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 403fd8b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DPCD writes at key points (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cb0648
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: expose dsc overhead bw in dc dsc header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3fca558
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Increase direct IB pool size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 943ddb4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Update RAS trigger error block support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d249746
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Update RAS status print (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a14ac2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: refactor function to init no-psp fw (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a54ddf
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Enable some sysnodes for guest smi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7ef90b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup debugfs for amdgpu rings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d869a87
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: make configure_lttpr_mode_transparent and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49b1a6c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix warning comparing pointer to 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89e6ba1
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/radeon/ci_dpm: Remove redundant initialization of variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce8cccd
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/radeon: Prefer kcalloc over open coded arithmetic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d001a3e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: sdma: clean up identation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85502a3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: clean up inconsistent indenting (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-ttm-remove-ttm_bo_vm_insert_huge.patch.
- commit 7658c0a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: remove unused amdgpu_bo_validate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 562711a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: Create common PSP TA load function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34c2f3e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Fix unused initialization of pointer sink (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b490799
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/pm: Update navi12 smu message mapping table in sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a6bb1f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu:schedule vce/vcn encode based on priority (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7f4375
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/vcn: set the priority for each encode ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2192ee
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu/vce: set the priority for each ring (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0a66db
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add mpio to ras block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b3d528
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/amdgpu: consolidate PSP TA unload function (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Move-psp_xgmi_terminate-call-from-amdgpu_.patch.
- commit 38b0b6a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/amdgpu: New debugfs interface for MMIO registers
  (v5) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-revert-Add-autodump-debugfs-node-for-gpu-.patch.
- commit 517b134
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: fix spelling mistake "alidation" -> "validation" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 756fcb7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: detach ring priority from gfx priority (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bc4f0f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: rework context priority handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 639d2e1
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.150 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f38d5d7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.80 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a7ab6c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Initialize GSP1 SDP header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1400429
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add emulated sink support for updating FS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 329ca2d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Use max target bpp override option (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae3f6bf
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Support for DMUB HPD interrupt handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb62379
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: add missing ABM register offsets (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89f5158
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 SST DC Support (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Assume-an-LTTPR-is-always-present-on.patch.
- Refresh
  patches.suse/drm-amd-display-Cap-pflip-irqs-per-max-otg-number.patch.
- commit 7c10a9b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 BIOS and DMUB Support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc27dd8
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 DCCG (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbd8a02
* Tue Nov 29 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 27ebcbb
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 HPO Link Encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f14d0e7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 HPO Stream Encoder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f242cc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amd/display: Add DP 2.0 Audio Package Generator (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70b39a9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: Fix scaling_mode docs (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-connector-fix-all-kernel-doc-warnings.patch.
- commit 70cbe81
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bridge: Move devm_drm_of_get_bridge to bridge/panel.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0a53d4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: remove of_match_ptr() from analogix dp driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb9f703
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: remove of_match_ptr() from vop_driver_dt_match (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ff524d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: Check iommu itself instead of it's parent for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45ec8b5
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: dsi: make hstt_table static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42e8057
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: dsi: Fix duplicate included linux/phy/phy.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2982979
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 639f953
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: add DRM_BRIDGE_ATTACH_NO_CONNECTOR flag to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba7efb4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: handle non-platform devices in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b44c2a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/rockchip: remove unused psr_list{,_lock} (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cbea30
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Implement generic "edp-panel"s probed by EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67eaf22
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Don't re-read the EDID every time we power off the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbf7133
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Fix "prepare_to_enable" if panel doesn't handle HPD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5285275
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: hpd_reliable shouldn't be subtraced from hpd_absent (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 363f6f0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Better describe eDP panel delays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a56cce
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Split the delay structure out (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c437a2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-simple: Non-eDP panels don't need "HPD" handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a494688
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Move some wayward panels to the eDP driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26d9fb3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-edp: Split eDP panels out of panel-simple (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f18da7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/edid: Use new encoded panel id style for quirks matching (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ecc76fa
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/edid: Allow querying/working with the panel ID from the EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f4e630
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/edid: Break out reading block 0 of the EDID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5311f80
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panfrost: simplify getting .driver_data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e12ba3
* Tue Nov 29 2022 pjakobsson@suse.de
- panfrost: make mediatek_mt8183_supplies and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37f4199
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/v3d: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 112a2d3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/v3d: fix sched job resources cleanup when a job is aborted (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 505fb85
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panfrost: Calculate lock region size correctly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4a0416
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sun4i: dw-hdmi: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f52e58
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sun4i: dsi: Make use of the helper function dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78c9532
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: fix the bug of time out calculation(v4) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2428e94
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bochs: add Bochs PCI ID for Simics model (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a74f2fb
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/qxl: User page size macro for qxl release bo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fee0688
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/vc4: dsi: Switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc66533
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/vc4: dpi: Switch to devm_drm_of_get_bridge (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4721bb3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bridge: Add a function to abstract away panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 963b299
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: Try to check if new ttm man out of bounds during compile (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3a858b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: panel-orientation-quirks: Add quirk for the Chuwi HiBook (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11e5886
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: document drm_mode_create_lease object requirements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f28449
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel-simple: Reorder logicpd_type_28 / mitsubishi_aa070mc01 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa95610
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/stm: ltdc: add layer alpha support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25b0761
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/stm: ltdc: attach immutable zpos property to planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d7e10d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: enable TTM page pool kerneldoc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09a47b2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: enable TTM TT object kerneldoc v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 725efa5
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: enable TTM placement kerneldoc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f52ee00
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: enable TTM resource object kerneldoc v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4c3ba9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: enable TTM device object kerneldoc v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87bf70f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: add kerneldoc for enum ttm_caching (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52050d0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: add some general module kerneldoc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0347ef4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: remove the outdated kerneldoc section (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9005b84
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/mcde: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a57d5c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: Fix drm_sched_fence_free() so it can be passed an (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d91e3f9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel: otm8009a: add a 60 fps mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43574c8
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: Improve the output_poll_changed description (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b636d7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: cleanup ttm_resource_compat (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a3e3db
* Tue Nov 29 2022 pjakobsson@suse.de
- dma-buf: clarify dma_fence_add_callback documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9dc96a3
* Tue Nov 29 2022 pjakobsson@suse.de
- dma-buf: clarify dma_fence_ops->wait documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef1e5ca
* Tue Nov 29 2022 pjakobsson@suse.de
- dma-buf: nuke DMA_FENCE_TRACE macros v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0db1523
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panfrost: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c2f863
* Tue Nov 29 2022 pjakobsson@suse.de
- panfrost: Don't cleanup the job if it was successfully queued (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1ccfe9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: Clear all DMA mappings on demand (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c91c44
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sun4i: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5d3fca
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/vc4: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07823b2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: adv7511: Convert to SPDX identifier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aee7dc2
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bridge: cdns: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a0eb4a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bridge: anx7625: enable DSI EOTP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 351f91b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: Create pinned list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 579652f
* Tue Nov 29 2022 pjakobsson@suse.de
- dma-resv: Give the docs a do-over (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f95b62e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/msm: Don't break exclusive fence ordering (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdf20bc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/msm: Use scheduler dependency handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d141832
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/v3d: Use scheduler dependency handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d02b3b7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/v3d: Move drm_sched_job_init to v3d_job_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4880144
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/lima: use scheduler dependency tracking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e25b67
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panfrost: use scheduler dependency tracking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb48f2e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: improve docs around drm_sched_entity (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5c4fe9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: drop entity parameter from drm_sched_push_job (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e717d9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: Add dependency tracking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7472da4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: Barriers are needed for entity->last_scheduled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77ace65
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/msm: Improve drm/sched point of no return rules (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58192bc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/sched: Split drm_sched_job_init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6661854
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/plane: Fix comment typo (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8de674b
* Tue Nov 29 2022 pjakobsson@suse.de
- GPU: drm: fix style errors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c367fa0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: optimize the pool shrinker a bit v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fc4a19
* Tue Nov 29 2022 pjakobsson@suse.de
- mm/vmscan: add sync_shrinkers function v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 607165f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bridge: parade-ps8640: Reorg the macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7da7c03
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: omap: remove obsolete selection of OMAP2_DSS in config DRM_OMAP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 667fd42
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: zte: remove obsolete DRM Support for ZTE SoCs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f29ee7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: v3d: correct reference to config ARCH_BRCMSTB (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-v3d-add-support-for-bcm2711.patch.
- commit f6d5bec
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: rockchip: remove reference to non-existing config DRM_RGB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e7fc0e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panfrost: Use upper/lower_32_bits helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bc5283
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/r128: switch from 'pci_' to 'dma_' API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9287d53
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/ttm: remove ttm_tt_destroy_common v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d31ca6
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/radeon: unbind in radeon_ttm_tt_unpopulate() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 299d461
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/nouveau: unbind in nouveau_ttm_tt_unpopulate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e084730
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/amdgpu: unbind in amdgpu_ttm_tt_unpopulate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74282cc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/vmwgfx: unbind in vmw_ttm_unpopulate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef536dd
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Propagate errors from sp_tx_edid_read() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39bddb9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: Remove unused code to load the non-existing fbcon.ko (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43d12c9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: panel-orientation-quirks: Add quirk for the Chuwi Hi10 Pro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c75e3db
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/virtio: support mapping exported vram (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35e6452
* Tue Nov 29 2022 pjakobsson@suse.de
- dma-buf: nuke seqno-fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5edff83
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/tegra: Use fourcc_mod_is_vendor() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbd2b29
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/arm: malidp: Use fourcc_mod_is_vendor() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d29fffb
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/fourcc: Add macros to determine the modifier vendor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c0f40ae
* Tue Nov 29 2022 pjakobsson@suse.de
- drm: unexport drm_ioctl_permit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a617d3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/panel: s6d27a1: Add driver for Samsung S6D27A1 display panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f80e78e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/vgem: use shmem helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ffceec
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/shmem-helpers: Allocate wc pages on x86 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/treewide-Add-missing-includes-masked-by-cgroup-bpf-d.patch.
- commit 0be24ea
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/shmem-helper: Switch to vmf_insert_pfn (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ceb6966
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: move pin/unpin fb/plane code to a new file. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6c515c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: refactor initial plane config to a separate
  file (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Workaround-broken-BIOS-DBUF-configuration-o.patch.
- commit b134249
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: refactor out initial plane config for crtcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ce03e3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: let intel_plane_uses_fence be used from other (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbb5735
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: move plane prepare/cleanup to intel_atomic_plane.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d23d35
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dg2: update link training for 128b/132b (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ec36eb
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dp: abstract intel_dp_lane_max_vswing_reached() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c74989a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/mst: abstract intel_dp_mst_source_support() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef11b78
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dp: take LTTPR into account in 128b/132b rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 408b6f8
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dg2: fix snps buf trans for uhbr (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit 80607b0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Call intel_dp_dump_link_status() for CR failures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a97dc7b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Pimp link training debug prints (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Implement-WaEdpLinkRateDataReload.patch.
- commit 6822231
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Print the DP vswing adjustment request (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9a0b4e
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Show LTTPR in the TPS debug print (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 60063f6
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Tweak the DP "max vswing reached?" condition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bde6e36
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Delete bogus NULL check in intel_ddi_encoder_destroy() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a057b37
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i195: Make the async flip VT-d workaround dynamic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0781c54
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Allow per-lane drive settings with LTTPRs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5babadd
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Prepare link training for per-lane drive settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07af09c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Pass the lane to intel_ddi_level() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3893537
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Nuke intel_ddi_hdmi_num_entries() (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- commit d060dc4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Hoover the level>=n_entries WARN into intel_ddi_level() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b242e3c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: De-wrapper bxt_ddi_phy_set_signal_levels() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fde7888
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Nuke useless .set_signal_levels() wrappers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b216169
* Tue Nov 29 2022 tiwai@suse.de
- Move upstreamed input patch into sorted section (bsc#1190256)
- commit 32c618e
* Tue Nov 29 2022 oneukum@suse.com
- usb: dwc3: gadget: Clear ep descriptor last (git-fixes).
- commit 17b7c9d
* Tue Nov 29 2022 oneukum@suse.com
- usb: xhci-mtk: fix fs isoc's transfer error (git-fixes).
- commit 0d15862
* Tue Nov 29 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 3301053
* Tue Nov 29 2022 oneukum@suse.com
- usb: xhci-mtk: check boundary before check tt (git-fixes).
- commit 401f88b
* Tue Nov 29 2022 oneukum@suse.com
- usb: xhci-mtk: update fs bus bandwidth by bw_budget_table
  (git-fixes).
- commit bfe9566
* Tue Nov 29 2022 jgross@suse.com
- xen/pcpu: fix possible memory leak in register_pcpu()
  (git-fixes).
- commit dab6b8a
* Tue Nov 29 2022 jslaby@suse.cz
- thermal: intel: hfi: INTEL_HFI_THERMAL depends on NET
  (jsc#PED-820).
- thermal: netlink: Fix parameter type of
  thermal_genl_cpu_capability_event() stub (jsc#PED-820).
- thermal: intel: hfi: Notify user space for HFI events
  (jsc#PED-820).
- thermal: netlink: Add a new event to notify CPU capabilities
  change (jsc#PED-820).
- thermal: intel: hfi: Enable notification interrupt
  (jsc#PED-820).
- thermal: intel: hfi: Handle CPU hotplug events (jsc#PED-820).
- thermal: intel: hfi: Minimally initialize the Hardware Feedback
  Interface (jsc#PED-820).
- Update config files. (set INTEL_HFI_THERMAL=y)
- x86/cpu: Add definitions for the Intel Hardware Feedback
  Interface (jsc#PED-820).
- x86/Documentation: Describe the Intel Hardware Feedback
  Interface (jsc#PED-820).
- commit f360696
* Tue Nov 29 2022 jgross@suse.com
- x86/entry: Work around Clang __bdos() bug (git-fixes).
- commit e06d1d8
* Tue Nov 29 2022 jgross@suse.com
- xen: delay xen_hvm_init_time_ops() if kdump is boot on vcpu>=32
  (git-fixes).
- commit ec4c7d4
* Tue Nov 29 2022 jgross@suse.com
- x86/Xen: streamline (and fix) PV CPU enumeration (git-fixes).
- commit eddf207
* Tue Nov 29 2022 jgross@suse.com
- init/Kconfig: fix CC_HAS_ASM_GOTO_TIED_OUTPUT test with dash
  (git-fixes).
- commit 9e93e06
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Generalize .set_signal_levels() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88615c9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Introduce has_buf_trans_select() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68983f9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Introduce has_iboost() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f88083
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Fix DP clock recovery "voltage_tries" handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d501a19
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/reg: add AUD_TCA_DP_2DOT0_CTRL registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ebadfb3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: fix regression with uncore refactoring. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9ecf89
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Stop force enabling pipe bottom color gammma/csc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2693ca4
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Move WaPruneModeWithIncorrectHsyncOffset into (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ff4f07
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Adjust intel_crtc_compute_config() debug message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bffe35
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Use standard form -EDEADLK check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e83d9b3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/debugfs: pass intel_connector to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2638878
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: stop returning errors from debugfs registration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb678fa
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/debugfs: register LPSP capability on all platforms (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36ebe66
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/fdi: use -EAGAIN instead of local special return value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 303972c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dram: return -EINVAL instead of -1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8607c40
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/drv: return -EIO instead of -1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f2733c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/hdmi: return -EINVAL instead of -1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d7fcfa
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dsi: return -EBUSY instead of -1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 72f15c5
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dsi: fuse dsi_send_pkt_payld() and add_payld_to_queue() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95f8947
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dsi: pass struct mipi_dsi_packet pointer, not the entire (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 707392a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dsi: move dsi pll modeset asserts to vlv_dsi_pll.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14934dc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/dpll: move dpll modeset asserts to intel_dpll.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f58dfdc
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/pps: move pps (panel) modeset asserts to intel_pps.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f11d1ab
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/fdi: move fdi modeset asserts to intel_fdi.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 61a053b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: Enable PSR2 selective fetch by default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 515ccf1
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Allow PSR2 to be enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 825717d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Optimize PSR2 power-savings in corner cases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 611976d
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: Fix glitches when moving cursor with PSR2 selective (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ad9a0f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: Handle frontbuffer rendering when PSR2 selective (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11971d7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display: Drop unnecessary frontbuffer flushes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6696e76
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display/psr: Do full fetch when handling multi-planar (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f802ad
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/display/psr: Handle plane and pipe restrictions at every (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be54e6c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Nuke local copies/pointers of intel_dp->DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a17f831
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Remove DP_PORT_EN stuff from link training code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9840c5b
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Call intel_ddi_init_dp_buf_reg() earlier (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb904a3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Clear leftover DP vswing/preemphasis values before modeset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 580d02c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Add ww context to intel_dpt_pin, v2. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9f5aec
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Configure TRANSCONF just the once with bigjoiner (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df94890
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Pimp HSW+ transcoder state readout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 186f90c
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/fbc: Allow FBC with Yf tiling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 871e7f0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Enable TPS3/4 on all platforms that support them (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c43737
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Drop pointless fixed_mode checks from dsi code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbf7539
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Reject user modes that don't match fixed mode's refresh (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e294d7
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Introduce intel_panel_compute_config() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f030323
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Reject modes that don't match fixed_mode vrefresh (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 157d39a
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Use intel_panel_mode_valid() for DSI/LVDS/(s)DVO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2de992
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915: Extract intel_panel_mode_valid() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32f8d1f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Fix system hang on ADL-P during TypeC PHY disconnect (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc0cc61
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Drop extra TC cold blocking from (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7e73bf
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Fix TypeC PHY connect/disconnect logic on ADL-P (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9aeb2f3
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/icl/tc: Remove the ICL special casing during TC-cold (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2248d0
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Avoid using legacy AUX PW in TBT mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc805ac
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Refactor TC-cold block/unblock helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c419c9
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Add a mode for the TypeC PHY's disconnected state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76eb67f
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Don't keep legacy TypeC ports in connected state w/o a (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23f6788
* Tue Nov 29 2022 pjakobsson@suse.de
- drm/i915/tc: Add/use helpers to retrieve TypeC port properties
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-i915-s-ddi_translations-trans.patch.
- commit 182b044
* Tue Nov 29 2022 shung-hsi.yu@suse.com
- Update config files: select PAGE_POOL for zfcdump (jsc#PED-1368)
  It is needed since BPF_SYSCALL and NET are both enabled.
- commit 9516a76
* Tue Nov 29 2022 shung-hsi.yu@suse.com
- Update config files: add CONFIG_HAVE_RETHOOK=y (jsc#PED-1368)
- commit 9026b71
* Tue Nov 29 2022 shung-hsi.yu@suse.com
- Update config files: x86_64 enable HAVE_ARCH_HUGE_VMALLOC (jsc#PED-1368)
- commit d961f1e
* Tue Nov 29 2022 krisman@suse.de
- io_uring: fix possible poll event lost in multi shot mode
  (git-fixes).
- commit 5793710
* Tue Nov 29 2022 krisman@suse.de
- io_uring: fix possible poll event lost in multi shot mode
  (git-fixes).
- commit 2b11ccf
* Tue Nov 29 2022 krisman@suse.de
- io_uring: make OP_CLOSE consistent with direct open
  (bsc#1205205).
- io_uring: move iopoll reissue into regular IO path
  (bsc#1205205).
- commit b7864bd
* Mon Nov 28 2022 krisman@suse.de
- io_uring: auto-removal for direct open/accept (bsc#1205205).
- io-wq: provide IO_WQ_* constants for
  IORING_REGISTER_IOWQ_MAX_WORKERS arg items (bsc#1205205).
- io-wq: fix potential race of acct->nr_workers (bsc#1205205).
- io-wq: code clean of io_wqe_create_worker() (bsc#1205205).
- io-wq: fix memory leak in create_io_worker() (bsc#1205205).
- Refresh patches.suse/io-wq-Remove-duplicate-code-in-io_workqueue_create.patch.
- commit c1b5890
* Mon Nov 28 2022 krisman@suse.de
- io-wq: ensure we exit if thread group is exiting (git-fixes).
- io_uring: fix missing sigmask restore in io_cqring_wait()
  (git-fixes).
- io_uring: pin SQPOLL data before unlocking ring lock
  (git-fixes).
- io_uring: drop ctx->uring_lock before acquiring sqd->lock
  (git-fixes).
- io_uring: fix missing mb() before waitqueue_active (git-fixes).
- commit 83b832a
* Mon Nov 28 2022 palcantara@suse.de
- cifs: fix missing unlock in cifs_file_copychunk_range()
  (git-fixes).
- commit c1df133
* Mon Nov 28 2022 palcantara@suse.de
- cifs: Use after free in debug code (git-fixes).
- commit 64acc9c
* Mon Nov 28 2022 palcantara@suse.de
- cifs: add check for returning value of SMB2_set_info_init
  (git-fixes).
- commit 98fbee7
* Mon Nov 28 2022 palcantara@suse.de
- cifs: Fix wrong return value checking when GETFLAGS (git-fixes).
- commit 70eda18
* Mon Nov 28 2022 palcantara@suse.de
- cifs: add check for returning value of SMB2_close_init
  (git-fixes).
- commit f80dd26
* Mon Nov 28 2022 palcantara@suse.de
- cifs: Fix connections leak when tlink setup failed (git-fixes).
- commit 173646f
* Mon Nov 28 2022 jroedel@suse.de
- hisi_acc_vfio_pci: add new vfio_pci driver for HiSilicon ACC
  devices (bsc#1205701).
- Update config files.
- supported.conf:
- commit dcd253d
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Remove unnecessary prototypes (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Remove-global-g_iommus-array.patch.
- commit 7b914c0
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Remove DEFER_DEVICE_DOMAIN_INFO (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers.
- Refresh
  patches.suse/iommu-vt-d-Fix-RID2PASID-setup-teardown-failure.
- commit bc2064a
* Mon Nov 28 2022 jgross@suse.com
- KVM: x86: Retry page fault if MMU reload is pending and root
  has no sp (bsc#1205744).
- commit 2631fac
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Remove domain and devinfo mempool (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers.
- commit 73d2e48
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Remove finding domain in dmar_insert_one_dev_info()
  (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers.
- commit bab5fd6
* Mon Nov 28 2022 jroedel@suse.de
- iommu: Split struct iommu_ops (bsc#1205701).
- Refresh
  patches.suse/iommu-dart-Add-missing-module-owner-to-ops-structure.
- commit 723b6c4
* Mon Nov 28 2022 vbabka@suse.cz
- mm/demotion: add hotplug callbacks to handle new numa node
  onlined (jsc#PED-1248).
- commit 2dc41b2
* Mon Nov 28 2022 vbabka@suse.cz
- mm/demotion: move memory demotion related code (jsc#PED-1248).
- commit 24caf75
* Mon Nov 28 2022 vbabka@suse.cz
- mm/demotion: add support for explicit memory tiers
  (jsc#PED-1248).
- mm: convert sysfs input to bool using kstrtobool()
  (jsc#PED-1248).
- commit c2d3b63
* Mon Nov 28 2022 jroedel@suse.de
- iommu: Remove aux-domain related interfaces and iommu_ops
  (bsc#1205701).
- Refresh
  patches.suse/ACPI-IORT-Add-support-to-retrieve-IORT-RMR-reserved-.patch.
- commit a0442bb
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Remove aux-domain related callbacks (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers.
- Refresh
  patches.suse/iommu-vt-d-Calculate-mask-for-non-aligned-flushes.
- Refresh
  patches.suse/iommu-vt-d-Fix-RID2PASID-setup-teardown-failure.
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- commit 662ceb7
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Remove guest pasid related callbacks (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- commit add48d3
* Mon Nov 28 2022 jroedel@suse.de
- vfio/mlx5: Implement vfio_pci driver for mlx5 devices
  (bsc#1205701).
- Update config files.
- supported.conf:
- commit b90c8f4
* Mon Nov 28 2022 mbrugger@suse.com
- soc/tegra: pmc: Add I/O pad table for Tegra234 (jsc#PED-1763).
- commit 6999806
* Mon Nov 28 2022 jroedel@suse.de
- iommu: Fix some W=1 warnings (bsc#1205701).
- Update
  patches.suse/iommu-sva-assign-a-pasid-to-mm-on-pasid-allocation-and-free-it-on-mm-exit.patch
  (bsc#1205701).
- commit 1f9c17f
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Use put_pages_list (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Refactor-iommu-information-of-each-domain.patch.
- commit a70ffe7
* Mon Nov 28 2022 jroedel@suse.de
- iommu/amd: Use put_pages_list (bsc#1205701).
- Refresh patches.suse/iommu-amd-Fix-I-O-page-table-memory-leak.
- commit 319970c
* Mon Nov 28 2022 jroedel@suse.de
- iommu/amd: Simplify pagetable freeing (bsc#1205701).
- Refresh patches.suse/iommu-amd-Fix-I-O-page-table-memory-leak.
- commit 7754350
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Use bitmap_zalloc() when applicable (bsc#1205701).
- Refresh patches.suse/iommu-vt-d-Remove-intel_iommu-domains.
- commit 5be3f9f
* Mon Nov 28 2022 jroedel@suse.de
- iommu/vt-d: Dump DMAR translation structure when DMA fault
  occurs (bsc#1205701).
- Refresh
  patches.suse/iommu-vt-d-Remove-global-g_iommus-array.patch.
- commit ccb7341
* Mon Nov 28 2022 jroedel@suse.de
- iommu/dma: Fix incorrect error return on iommu deferred attach
  (bsc#1205701).
- Refresh patches.suse/iommu-dma-Fix-arch_sync_dma-for-map.patch.
- Refresh
  patches.suse/iommu-dma-check-config_swiotlb-more-broadly.
- commit e92991b
* Mon Nov 28 2022 jroedel@suse.de
- vfio/ccw: Convert to use vfio_register_emulated_iommu_dev()
  (bsc#1205701).
- Refresh patches.suse/vfio-ccw-Remove-UUID-from-s390-debug-log.
- commit 3b8a0fc
* Mon Nov 28 2022 jroedel@suse.de
- iommu/arm: fix ARM_SMMU_QCOM compilation (bsc#1205701).
- Update config files.
- commit 3eb68e5
* Mon Nov 28 2022 tiwai@suse.de
- drm/i915: fix TLB invalidation for Gen12 video and compute
  engines (CVE-2022-4139 bsc#1205700).
- commit 80818ce
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/tc: Check for DP-alt, legacy sinks before taking PHY (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e564dd3
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/tc: Remove waiting for PHY complete during releasing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d9410a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/adlp/tc: Fix PHY connected check for Thunderbolt mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93b2193
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/gen11: Disable cursor clock gating in HDR mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e57ddb
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify display wm vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3738a97
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify clock gating init vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1049314
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify display function vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08aeb6a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: drop unused function ptr and comments. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit caddb85
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify the cdclk vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e50f58f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify the dpll clock vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9adcf1f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify the audio function vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02a3ef7
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify color function vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03327b7
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify hotplug function vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56fd363
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: constify fdi link training vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bcc09c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split the dpll clock compute out from display vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2595fac
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split fdi link training from display vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f251305
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split irq hotplug function from display vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4ccb9d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split cdclk functions from display vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34b0f8d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split audio functions from display vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a39ac9a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split color functions from display vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bbf19f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split watermark vfuncs from display vtable. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7148f7a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: split clock gating init from display vtable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7beaaf5
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: add intel_fdi_link_train wrapper. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8e4cac
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: add wrappers around cdclk vtable funcs. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 15560ab
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/wm: provide wrappers around watermark vfuncs calls (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b068dd1
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: make update_wm take a dev_priv. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f37ad35
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/pm: drop get_fifo_size vfunc. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e97f91e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/uncore: split the fw get function into separate
  vfunc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Flush-TLBs-before-releasing-backing-store.patch.
- commit 59bffca
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Fix the dsc check while selecting min_cdclk (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91112c4
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Allow higher compression limits on FBC1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7f169a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Implement Wa_16011863758 for icl+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 880813b
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Align FBC segments to 512B on glk+ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b3fb18
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Rework cfb stride/size calculations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8041e6e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Fix HPLL watermark readout for g4x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 160cc9d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Only keep PSR enabled if there is active planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit beafe6b
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Match PSR2 selective fetch sequences with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d726e15
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display/dmc: Set DC_STATE_DEBUG_MASK_CORES after firmware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1140a6
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/adlp: Add support for remapping CCS FBs (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-fb-Fix-rounding-error-in-subsampled-plane-s.patch.
- commit 59cc848
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Follow a new->old platform check order in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7de4782
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/adlp: Assert that VMAs in DPT start at 0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a58de2e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/adlp: Require always a power-of-two sized CCS surface stride (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac9cfa2
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Use tile block based dimensions for CCS origin x, y check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f3c2eb
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Apply WaUse32BppForSRWM to elk as well as ctg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c21ecd
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Fix g4x cxsr enable condition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a59f33
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Use u8 consistently for active_planes bitmask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e29efa
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: s/crtc_state/new_crtc_state/ etc. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 061614f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Add HDR mode helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85d0af0
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: configure TRANS_DP2_VFREQ{HIGH,LOW} for 128b/132b (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 219135f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: use 128b/132b transcoder DDI mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0edf91c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: add HAS_DP20 macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1d674d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: configure TRANS_DP2_CTL for DP 2.0 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44e59cd
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: select 128b/132b channel encoding for UHBR rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c8d08d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: use 128b/132b TPS2 for UHBR+ link rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cd44a6
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: add helper for checking for UHBR link rate
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-dp-Ensure-sink-rate-values-are-always-valid.patch.
- commit 1d5086a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: add DG2+ TRANS_DDI_FUNC_CTL DP 2.0 128b/132b mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0550300
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/dp: add helper for extracting adjust 128b/132b TX FFE preset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d8fd0c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/dp: add LTTPR DP 2.0 DPCD addresses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 353906d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/dp: use more of the extended receiver cap (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d0b36e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/dp: add DP 2.0 UHBR link rate and bw code conversions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e09e4b3
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Add new PSR2 workarounds (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3332f43
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display/psr: Use drm damage helpers to calculate plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c7f298
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Workaround cursor left overs with PSR2 selective (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b480fc9
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Wait at least 2 frames before selective update (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c238bc
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display/adlp: Fix PSR2_MAN_TRK_CTL_SU_REGION_END_ADDR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cdaba2
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dmc: Update to DMC v2.12 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d93b847
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Extract hsw_panel_transcoders() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a2aed0
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Adjust intel_dsc_power_domain() calling convention (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 199d601
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Introduce with_intel_display_power_if_enabled() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67a139d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: s/pipe/transcoder/ when dealing with PIPECONF/TRANSCONF (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44d97b3
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Flatten hsw_crtc_compute_clock() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2534229
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Extract intel_dp_need_bigjoiner() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f5ae9e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg1: Add new PCI id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c6bb5b
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/edp: use MSO pixel overlap from DisplayID data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c112c56
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/edp: postpone MSO init until after EDID read (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 792f847
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/edid: parse the DisplayID v2.0 VESA vendor block for
  MSO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0001-drm-connector-Fix-typo-in-output-format.patch.
- commit fc07fd8
* Mon Nov 28 2022 jroedel@suse.de
- vfio/pci: Introduce vfio_pci_core.ko (bsc#1205701).
- Update config files.
- supported.conf:
- commit 0b37e70
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/edid: abstract OUI conversion to 24-bit int (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdb3aa9
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/displayid: add DisplayID v2.0 data blocks and primary use cases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec31b3e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/displayid: re-align data block macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6fc8cdb
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: Add support for out-of-bound hotplug events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 978a188
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Associate ACPI connector nodes with connector entries (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84629bd
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/hdcp: reuse rx_info for mst stream type1 capability check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89077e8
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/hdcp: read RxInfo once when reading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5df7bb7
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/hdcp: update cp_irq_count_cached in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d027d09
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dsi: Read/write proper brightness value via MIPI DCS command (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f6032b9
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dsi: Retrieve max brightness level from VBT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a93fbf2
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Get proper min cdclk if vDSC enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bdd2c2
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dsi: refine send MIPI DCS command sequence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19cbb2a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dsi: wait for header and payload credit available (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 944ca0f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Prepare DRRS for frontbuffer rendering drop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b46cb1c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Share code between intel_drrs_flush and (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a26709
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Some code improvements and code style fixes for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 512af31
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/debugfs: clean up LPSP capable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89d3a3f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/debugfs: clean up LPSP status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3566690
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: fix DG2 max source rate check (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-dp-fix-DG1-and-RKL-max-source-rates.patch.
- Refresh
  patches.suse/drm-i915-dp-fix-for-ADL_P-S-dp-edp-max-source-rates.patch.
- commit 1478344
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dsi/xelpd: Enable mipi dsi support. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68397f7
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dsi/xelpd: Add WA to program LP to HS wakeup guardband (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3be8d6
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Update small joiner ram size (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64d3269
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Drop PSR support from HSW and BDW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edd61a3
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: UHBR tables added for pll programming (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4008c98
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: remove unused i915->active_pipes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbcb780
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: convert BUG()'s to MISSING_CASE() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f57fd9
* Mon Nov 28 2022 jroedel@suse.de
- iommu/dma: return error code from iommu_dma_map_sg()
  (bsc#1205701).
- Refresh patches.suse/iommu-dma-Fix-arch_sync_dma-for-map.patch.
- Refresh
  patches.suse/iommu-dma-check-config_swiotlb-more-broadly.
- commit cff5bed
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: move fdi mphy reset and programming to intel_fdi.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc710f9
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: move more FDI stuff to FDI link train hooks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08f748c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: move fdi bc bifurcation functions to intel_fdi.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e2125a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: move intel_update_fdi_pll_freq to intel_fdi.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e457789
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/snps: constify struct intel_mpllb_state arrays harder (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4caa899
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/panel: mass rename functions to have intel_panel_ prefix (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff6ed1f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: Memory latency values from pcode must be doubled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d1b74e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Nuke intel_prepare_shared_dpll() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f038dc
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Fold ibx_pch_dpll_prepare() into ibx_pch_dpll_enable() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 853474e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Fold i9xx_set_pll_dividers() into i9xx_enable_pll() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b643cdc
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Reuse ilk_needs_fb_cb_tune() for the reduced clock as well (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 588bb65
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Call {vlv,chv}_prepare_pll() from {vlv,chv}_enable_pll() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bca84c1
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Program DPLL P1 dividers consistently (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a4a2d5
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Remove the 'reg' local variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92a4c6a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Clean up variable names in old dpll functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23d9a46
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Clean dpll calling convention (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc3502d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Constify struct dpll all over (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32a1741
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Extract ilk_update_pll_dividers() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4287b26
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Clean up gen2 DPLL readout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c748cb
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Set output_types to EDP for vlv/chv DPLL forcing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aeba66a
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Silence __iomem sparse warn (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e73272
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fb: move user framebuffer stuff to intel_fb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bfea91
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fb: move intel_surf_alignment() to intel_fb.c
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-Workaround-broken-BIOS-DBUF-configuration-o.patch.
- commit 0de950c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fb: move intel_fb_align_height() to intel_fb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d472383
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fb: move intel_tile_width_bytes() to intel_fb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2296d71
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: add HAS_ASYNC_FLIPS feature macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 128edba
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: make intel_fdi_link_freq() return int (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d53799
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: add max data rate calculation for UHBR rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6b2fa3
* Mon Nov 28 2022 jroedel@suse.de
- iommu: Make sysfs robust for non-API groups (bsc#1205701).
- vfio/pci: Fix vf_token mechanism when device-specific VF
  drivers are used (bsc#1205701).
- iommu/mediatek: Make use of the helper
  component_compare/release_of (bsc#1205701).
- dt-bindings: Improve phandle-array schemas (bsc#1205701).
- iommu/amd: Improve amd_iommu_v2_exit() (bsc#1205701).
- iommu/amd: Remove unused struct fault.devid (bsc#1205701).
- iommu/amd: Clean up function declarations (bsc#1205701).
- iommu/amd: Call memunmap in error path (bsc#1205701).
- iommu/amd: Improve error handling for amd_iommu_init_pci
  (bsc#1205701).
- iommu/vt-d: Enable ATS for the devices in SATC table
  (bsc#1205701).
- iommu/vt-d: Remove unused function intel_svm_capable()
  (bsc#1205701).
- iommu/vt-d: Add missing "__init" for rmrr_sanity_check()
  (bsc#1205701).
- iommu/vt-d: Move intel_iommu_ops to header file (bsc#1205701).
- iommu/vt-d: Fix indentation of goto labels (bsc#1205701).
- iommu/vt-d: Remove unnecessary includes (bsc#1205701).
- iommu/vt-d: Remove iova_cache_get/put() (bsc#1205701).
- iommu: Remove unused argument in is_attach_deferred
  (bsc#1205701).
- drm/nouveau/device: Get right pgsize_bitmap of iommu_domain
  (bsc#1205701).
- iommu: Remove apply_resv_region (bsc#1205701).
- iommu: Remove guest pasid related interfaces and definitions
  (bsc#1205701).
- iommu/iova: Separate out rcache init (bsc#1205701).
- iommu: Remove trivial ops->capable implementations
  (bsc#1205701).
- iommu/vtd: Replace acpi_bus_get_device() (bsc#1205701).
- iommu/arm-smmu: Account for PMU interrupts (bsc#1205701).
- iommu/arm-smmu-v3: fix event handling soft lockup (bsc#1205701).
- iommu/arm-smmu: Add missing pm_runtime_disable() in
  qcom_iommu_device_probe (bsc#1205701).
- iommu/arm-smmu-v3: Simplify memory allocation (bsc#1205701).
- iommu/arm-smmu-v3: Avoid open coded arithmetic in memory
  allocation (bsc#1205701).
- iommu/rockchip: : Use standard driver registration
  (bsc#1205701).
- iommu/ipmmu-vmsa: Add support for R-Car Gen4 (bsc#1205701).
- dt-bindings: iommu: renesas,ipmmu-vmsa: add r8a779f0 support
  (bsc#1205701).
- iommu/msm: Simplify with dev_err_probe() (bsc#1205701).
- iommu/msm: Use standard driver registration (bsc#1205701).
- iommu/mediatek: Always tlb_flush_all when each PM resume
  (bsc#1205701).
- iommu/mediatek: Add tlb_lock in tlb_flush_all (bsc#1205701).
- iommu/mediatek: Remove the power status checking in tlb flush
  all (bsc#1205701).
- iommu/mediatek: Always check runtime PM status in tlb flush
  range callback (bsc#1205701).
- iommu/mediatek: Remove for_each_m4u in tlb_sync_all
  (bsc#1205701).
- hisi_acc_vfio_pci: Use its own PCI reset_done error handler
  (bsc#1205701).
- hisi_acc_vfio_pci: Add support for VFIO live migration
  (bsc#1205701).
- hisi_acc_vfio_pci: Restrict access to VF dev BAR2 migration
  region (bsc#1205701).
- vfio/mlx5: Fix to not use 0 as NULL pointer (bsc#1205701).
- vfio/pci: Stub vfio_pci_vga_rw when !CONFIG_VFIO_PCI_VGA
  (bsc#1205701).
- vfio/pci: wake-up devices around reset functions (bsc#1205701).
- vfio/pci: fix memory leak during D3hot to D0 transition
  (bsc#1205701).
- vfio/mlx5: Use its own PCI reset_done error handler
  (bsc#1205701).
- vfio/pci: Expose vfio_pci_core_aer_err_detected() (bsc#1205701).
- vfio/mlx5: Expose migration commands over mlx5 device
  (bsc#1205701).
- vfio: Remove migration protocol v1 documentation (bsc#1205701).
- vfio: Extend the device migration protocol with RUNNING_P2P
  (bsc#1205701).
- vfio: Define device migration protocol v2 (bsc#1205701).
- vfio: Have the core code decode the VFIO_DEVICE_FEATURE ioctl
  (bsc#1205701).
- media: iommu/mediatek: Add probe_defer for smi-larb
  (bsc#1205701).
- vfio/pci: Resolve sparse endian warnings in IGD support
  (bsc#1205701).
- iommu/iova: Temporarily include dma-mapping.h from iova.h
  (bsc#1205701).
- iommu: Move flush queue data into iommu_dma_cookie
  (bsc#1205701).
- iommu/iova: Move flush queue code to iommu-dma (bsc#1205701).
- iommu/iova: Consolidate flush queue code (bsc#1205701).
- iommu/iova: Squash flush_cb abstraction (bsc#1205701).
- iommu/iova: Squash entry_dtor abstraction (bsc#1205701).
- iommu/iova: Move fast alloc size roundup into alloc_iova_fast()
  (bsc#1205701).
- iommu/vt-d: Remove unused dma_to_mm_pfn function (bsc#1205701).
- iommu/vt-d: Drop duplicate check in dma_pte_free_pagetable()
  (bsc#1205701).
- iommu/vt-d: Use correctly sized arguments for bit field
  (bsc#1205701).
- =?utf-8?q?iommu/amd=3A_Fix_typo_in_*glues_=E2=80=A6_together*_in_comment?=
  (bsc#1205701).
- iommu/virtio: Fix typo in a comment (bsc#1205701).
- iommu/virtio: Support identity-mapped domains (bsc#1205701).
- iommu/virtio: Pass end address to viommu_add_mapping()
  (bsc#1205701).
- iommu/virtio: Sort reserved regions (bsc#1205701).
- iommu/virtio: Support bypass domains (bsc#1205701).
- iommu/virtio: Add definitions for VIRTIO_IOMMU_F_BYPASS_CONFIG
  (bsc#1205701).
- Revert "iommu/arm-smmu-v3: Decrease the queue size of evtq
  and priq" (bsc#1205701).
- iommu/arm-smmu-v3: Constify arm_smmu_mmu_notifier_ops
  (bsc#1205701).
- iommu: arm-smmu-impl: Add SM8450 qcom iommu implementation
  (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for SM8450 SoC
  (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for the SDX55 SoC
  (bsc#1205701).
- s390/vfio-ap: add status attribute to AP queue device's sysfs
  dir (bsc#1205701).
- s390/pci: use physical addresses in DMA tables (bsc#1205701).
- s390/cio: remove uevent suppress from cio driver (bsc#1205701).
- dt-bindings: iommu: apple,dart: Add power-domains property
  (bsc#1205701).
- vfio/pci: Fix OpRegion read (bsc#1205701).
- vfio: remove all kernel-doc notation (bsc#1205701).
- iommu/vt-d: Fix an unbalanced rcu_read_lock/rcu_read_unlock()
  (bsc#1205701).
- s390/vfio-ap: s390/crypto: fix all kernel-doc warnings
  (bsc#1205701).
- iommu/dma: Use kvcalloc() instead of kvzalloc() (bsc#1205701).
- iommu/vt-d: Avoid duplicate removing in __domain_mapping()
  (bsc#1205701).
- iommu/vt-d: Clean up unused PASID updating functions
  (bsc#1205701).
- iommu/vt-d: Delete dev_has_feat callback (bsc#1205701).
- iommu/vt-d: Use second level for GPA->HPA translation
  (bsc#1205701).
- iommu/vt-d: Check FL and SL capability sanity in scalable mode
  (bsc#1205701).
- iommu/vt-d: Remove duplicate identity domain flag (bsc#1205701).
- iommu/amd: Use report_iommu_fault() (bsc#1205701).
- iommu/tegra-smmu: Use devm_bitmap_zalloc when applicable
  (bsc#1205701).
- iommu/arm-smmu-qcom: Request direct mapping for modem device
  (bsc#1205701).
- iommu: arm-smmu-qcom: Add compatible for QCM2290 (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for QCM2290 SoC
  (bsc#1205701).
- iommu/arm-smmu-qcom: Add SM6350 SMMU compatible (bsc#1205701).
- dt-bindings: arm-smmu: Add compatible for SM6350 SoC
  (bsc#1205701).
- iommu/arm-smmu-v3: Properly handle the return value of
  arm_smmu_cmdq_build_cmd() (bsc#1205701).
- iommu/arm-smmu-v3: Stop pre-zeroing batch commands in
  arm_smmu_atc_inv_master() (bsc#1205701).
- iommu/ipmmu-vmsa: Hook up r8a77980 DT matching code
  (bsc#1205701).
- iommu/dma: Unexport IOVA cookie management (bsc#1205701).
- iommu/dart: Clean up IOVA cookie crumbs (bsc#1205701).
- iommu/ipmmu-vmsa: Add support for r8a779a0 (bsc#1205701).
- dt-bindings: iommu: renesas,ipmmu-vmsa: add r8a779a0 support
  (bsc#1205701).
- iommu/dart: Initialize DART_STREAMS_ENABLE (bsc#1205701).
- iommu/dart: Use kmemdup instead of kzalloc and memcpy
  (bsc#1205701).
- vfio/ccw: Pass vfio_ccw_private not mdev_device to various
  functions (bsc#1205701).
- vfio/ccw: Use functions for alloc/free of the vfio_ccw_private
  (bsc#1205701).
- vfio: Use cdev_device_add() instead of device_create()
  (bsc#1205701).
- vfio: Use a refcount_t instead of a kref in the vfio_group
  (bsc#1205701).
- vfio: Don't leak a group reference if the group already exists
  (bsc#1205701).
- vfio: Do not open code the group list search in
  vfio_create_group() (bsc#1205701).
- vfio: Delete vfio_get/put_group from vfio_iommu_group_notifier()
  (bsc#1205701).
- vfio/pci: Add OpRegion 2.0+ Extended VBT support (bsc#1205701).
- vfio/iommu_type1: remove IS_IOMMU_CAP_DOMAIN_IN_CONTAINER
  (bsc#1205701).
- vfio/iommu_type1: remove the "external" domain (bsc#1205701).
- vfio/iommu_type1: initialize pgsize_bitmap in ->open
  (bsc#1205701).
- vfio/spapr_tce: reject mediated devices (bsc#1205701).
- vfio: clean up the check for mediated device in vfio_iommu_type1
  (bsc#1205701).
- vfio: remove the unused mdev iommu hook (bsc#1205701).
- vfio: move the vfio_iommu_driver_ops interface out of
  <linux/vfio.h> (bsc#1205701).
- vfio: remove unused method from vfio_iommu_driver_ops
  (bsc#1205701).
- vfio: simplify iommu group allocation for mediated devices
  (bsc#1205701).
- vfio: remove the iommudata hack for noiommu groups
  (bsc#1205701).
- vfio: refactor noiommu group creation (bsc#1205701).
- vfio: factor out a vfio_group_find_or_alloc helper
  (bsc#1205701).
- vfio: remove the iommudata check in vfio_noiommu_attach_group
  (bsc#1205701).
- vfio: factor out a vfio_iommu_driver_allowed helper
  (bsc#1205701).
- vfio: Move vfio_iommu_group_get() to vfio_register_group_dev()
  (bsc#1205701).
- iommu/amd: Use struct_group() for memcpy() region (bsc#1205701).
- vfio/ap_ops: Add missed vfio_uninit_group_dev() (bsc#1205701).
- vfio/pci: add missing identifier name in argument of function
  prototype (bsc#1205701).
- iommu: Clarify default domain Kconfig (bsc#1205701).
- vfio/ap_ops: Convert to use vfio_register_group_dev()
  (bsc#1205701).
- s390/vfio-ap: replace open coded locks for
  VFIO_GROUP_NOTIFY_SET_KVM notification (bsc#1205701).
- s390/vfio-ap: r/w lock for PQAP interception handler function
  pointer (bsc#1205701).
- vfio: Use kconfig if XX/endif blocks instead of repeating
  'depends on' (bsc#1205701).
- vfio: Use select for eventfd (bsc#1205701).
- PCI / VFIO: Add 'override_only' support for VFIO PCI sub system
  (bsc#1205701).
- PCI: Add 'override_only' field to struct pci_device_id
  (bsc#1205701).
- vfio/pci: Move module parameters to vfio_pci.c (bsc#1205701).
- vfio/pci: Move igd initialization to vfio_pci.c (bsc#1205701).
- vfio/pci: Split the pci_driver code out of vfio_pci_core.c
  (bsc#1205701).
- vfio/pci: Include vfio header in vfio_pci_core.h (bsc#1205701).
- vfio/pci: Rename ops functions to fit core namings
  (bsc#1205701).
- vfio/pci: Rename vfio_pci_private.h to vfio_pci_core.h
  (bsc#1205701).
- vfio/type1: Fix vfio_find_dma_valid return (bsc#1205701).
- vfio-pci/zdev: Remove repeated verbose license text
  (bsc#1205701).
- vfio: platform: reset: Convert to SPDX identifier (bsc#1205701).
- vfio: Remove struct vfio_device_ops open/release (bsc#1205701).
- vfio/ap,ccw: Fix open/close when multiple device FDs are open
  (bsc#1205701).
- vfio/pci: Reorganize VFIO_DEVICE_PCI_HOT_RESET to use the
  device set (bsc#1205701).
- vfio/pci: Change vfio_pci_try_bus_reset() to use the dev_set
  (bsc#1205701).
- vfio/pci: Move to the device set infrastructure (bsc#1205701).
- vfio/platform: Use open_device() instead of open coding a
  refcnt scheme (bsc#1205701).
- vfio/mdev: don't warn if ->request is not set (bsc#1205701).
- vfio/mdev: turn mdev_init into a subsys_initcall (bsc#1205701).
- iommu: return full error code from iommu_map_sg[_atomic]()
  (bsc#1205701).
- firmware: qcom_scm: Allow qcom_scm driver to be loadable as
  a permenent module (bsc#1205701).
- s390/crypto: fix all kernel-doc warnings in vfio_ap_ops.c
  (bsc#1205701).
- commit 649fbc6
* Mon Nov 28 2022 shung-hsi.yu@suse.com
- Update config files: enable FPROBE (jsc#PED-1368)
  Enable RETHOOK as well, which is required for FPROBE.
- commit 227c12d
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: add DG2 UHBR source rates (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-dp-fix-DG1-and-RKL-max-source-rates.patch.
- Refresh
  patches.suse/drm-i915-dp-fix-TGL-and-ICL-max-source-rates.patch.
- Refresh
  patches.suse/drm-i915-dp-fix-for-ADL_P-S-dp-edp-max-source-rates.patch.
- commit aa85112
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: add TRANS_DP2_VFREQHIGH and TRANS_DP2_VFREQLOW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bf55db
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: add TRANS_DP2_CTL register definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56e841b
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: read sink UHBR rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1def5df
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: use actual link rate values in struct link_config_limits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad9190e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Polish the skl+ FBC stride override handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f2e2a2
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Move the "recompress on activate" to a central place (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 249137e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Extract intel_fbc_update() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e66e38c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fbc: Rewrite the FBC tiling check a bit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 416b083
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/fdi: move intel_fdi_link_freq() to intel_fdi.[ch] (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1718d1c
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/panel: move intel_panel_use_ssc() out of headers
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-i915-backlight-extract-backlight-code-to-a-separ.patch.
- commit f4837cd
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/pm: use forward declaration to remove an include (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec404ab
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: intel_runtime_pm.h does not actually need intel_display.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e9bbb0
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/irq: reduce inlines to reduce header dependencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ec6e6f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915: Nuke ORIGIN_GTT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 314f3f4
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/display: Fix sel fetch plane offset calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2ac46e
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: add SNPS PHY translations for UHBR link rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82a6802
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: use existing mechanisms for SNPS PHY translations
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-i915-s-ddi_translations-trans.patch.
- commit 3ab4244
* Mon Nov 28 2022 tiwai@suse.de
- Refresh patches.suse/misc-sgi-gru-fix-use-after-free-error-in-gru_set_con.patch (CVE-2022-3424 bsc#1204166)
  Taken from v10 patch in char-misc subsystem tree
- commit 70dae18
* Mon Nov 28 2022 shung-hsi.yu@suse.com
- selftests net: add UDP GRO fraglist + bpf self-tests
  (jsc#PED-1368).
- xsk: Fix possible crash when multiple sockets are created
  (jsc#PED-1368).
- bpf, lwt: Fix crash when using bpf_skb_set_tunnel_key() from
  bpf_xmit lwt hook (jsc#PED-1368).
- bpf: Fix release of page_pool in BPF_PROG_RUN in test runner
  (jsc#PED-1368).
- xsk: Fix l2fwd for copy mode + busy poll combo (jsc#PED-1368).
- bpf: Adjust bpf_tcp_check_syncookie selftest to test dual-stack
  sockets (jsc#PED-1368).
- bpf: Support dual-stack sockets in bpf_tcp_check_syncookie
  (jsc#PED-1368).
- bpf: selftests: Test fentry tracing a struct_ops program
  (jsc#PED-1368).
- selftests/bpf: Fix warning comparing pointer to 0
  (jsc#PED-1368).
- bpf: Fix sparse warnings in kprobe_multi_resolve_syms
  (jsc#PED-1368).
- bpftool: Explicit errno handling in skeletons (jsc#PED-1368).
- selftests/bpf: Fix clang compilation errors (jsc#PED-1368).
- bpftool: Fix generated code in codegen_asserts (jsc#PED-1368).
- selftests/bpf: fix selftest after random: Urandom_read
  tracepoint removal (jsc#PED-1368).
- bpf: Fix maximum permitted number of arguments check
  (jsc#PED-1368).
- bpf: Sync comments for bpf_get_stack (jsc#PED-1368).
- bpf/bpftool: Add unprivileged_bpf_disabled check against value
  of 2 (jsc#PED-1368).
- xsk: Fix race at socket teardown (jsc#PED-1368).
- selftests/bpf: Fix kprobe_multi test (jsc#PED-1368).
- bpftool: Fix a bug in subskeleton code generation
  (jsc#PED-1368).
- bpf: Fix bpf_prog_pack when PMU_SIZE is not defined
  (jsc#PED-1368).
- bpf: Fix bpf_prog_pack for multi-node setup (jsc#PED-1368).
- bpf: Fix warning for cast from restricted gfp_t in verifier
  (jsc#PED-1368).
- bpf, arm: Fix various typos in comments (jsc#PED-1368).
- libbpf: Close fd in bpf_object__reuse_map (jsc#PED-1368).
- bpftool: Fix print error when show bpf map (jsc#PED-1368).
- bpf: Fix kprobe_multi return probe backtrace (jsc#PED-1368).
- bpf: Simplify check in btf_parse_hdr() (jsc#PED-1368).
- selftests/bpf/test_lirc_mode2.sh: Exit with proper code
  (jsc#PED-1368).
- bpf: Check for NULL return from bpf_get_btf_vmlinux
  (jsc#PED-1368).
- selftests/bpf: Test skipping stacktrace (jsc#PED-1368).
- bpf: Adjust BPF stack helper functions to accommodate skip >
  0 (jsc#PED-1368).
- bpf: Select proper size for bpf_prog_pack (jsc#PED-1368).
- selftests/bpf: Fix test for 4-byte load from remote_port on
  big-endian (jsc#PED-1368).
- selftests/bpf: Fix u8 narrow load checks for bpf_sk_lookup
  remote_port (jsc#PED-1368).
- bpf: Treat bpf_sk_lookup remote_port as a 2-byte field
  (jsc#PED-1368).
- selftests/bpf: Test for associating multiple elements with
  the local storage (jsc#PED-1368).
- bpf: Enable non-atomic allocations in local storage
  (jsc#PED-1368).
- libbpf: Avoid NULL deref when initializing map BTF info
  (jsc#PED-1368).
- bpf: Always raise reference in btf_get_module_btf
  (jsc#PED-1368).
- bpf: Factor out fd returning from bpf_btf_find_by_name_kind
  (jsc#PED-1368).
- bpftool: Add BPF_TRACE_KPROBE_MULTI to attach type names table
  (jsc#PED-1368).
- selftests/bpf: Fix test for 4-byte load from dst_port on
  big-endian (jsc#PED-1368).
- selftests/bpf: Use constants for socket states in sock_fields
  test (jsc#PED-1368).
- selftests/bpf: Check dst_port only on the client socket
  (jsc#PED-1368).
- selftests/bpf: Fix error reporting from sock_fields programs
  (jsc#PED-1368).
- selftests/bpf: Test subskeleton functionality (jsc#PED-1368).
- bpftool: Add support for subskeletons (jsc#PED-1368).
- libbpf: Add subskeleton scaffolding (jsc#PED-1368).
- libbpf: Init btf_{key,value}_type_id on internal map open
  (jsc#PED-1368).
- libbpf: .text routines are subprograms in strict mode
  (jsc#PED-1368).
- selftests/bpf: Add cookie test for
  bpf_program__attach_kprobe_multi_opts (jsc#PED-1368).
- selftests/bpf: Add attach test for
  bpf_program__attach_kprobe_multi_opts (jsc#PED-1368).
- selftests/bpf: Add kprobe_multi bpf_cookie test (jsc#PED-1368).
- selftests/bpf: Add kprobe_multi attach test (jsc#PED-1368).
- libbpf: Add bpf_program__attach_kprobe_multi_opts function
  (jsc#PED-1368).
- libbpf: Add bpf_link_create support for multi kprobes
  (jsc#PED-1368).
- libbpf: Add libbpf_kallsyms_parse function (jsc#PED-1368).
- bpf: Add cookie support to programs attached with kprobe multi
  link (jsc#PED-1368).
- bpf: Add support to inline bpf_get_func_ip helper on x86
  (jsc#PED-1368).
- bpf: Add bpf_get_func_ip kprobe helper for multi kprobe link
  (jsc#PED-1368).
- fprobe: Add a selftest for fprobe (jsc#PED-1368).
- docs: fprobe: Add fprobe description to ftrace-use.rst
  (jsc#PED-1368).
- fprobe: Introduce FPROBE_FL_KPROBE_SHARED flag for fprobe
  (jsc#PED-1368).
- fprobe: Add sample program for fprobe (jsc#PED-1368).
- fprobe: Add exit_handler support (jsc#PED-1368).
- commit 223baa3
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dp: pass crtc_state to intel_ddi_dp_level() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1860a9f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/mst: use intel_de_rmw() to simplify VC payload alloc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1cd5ab
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/i915/dg2: Configure PCON in DP pre-enable path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 413cadb
* Mon Nov 28 2022 pjakobsson@suse.de
- nouveau: ACPI: Use the ACPI_COMPANION() macro directly (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd8a851
* Mon Nov 28 2022 pjakobsson@suse.de
- KVM: x86: add config for non-kvm users of page tracking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff3090d
* Mon Nov 28 2022 pjakobsson@suse.de
- media: i.MX6: Support 16-bit BT.1120 video input (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec5fa1b
* Mon Nov 28 2022 pjakobsson@suse.de
- nouveau/svm: Use kvcalloc() instead of kvzalloc() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6911a7f
* Mon Nov 28 2022 pjakobsson@suse.de
- drm/mga/mga_ioc32: Use struct_group() for memcpy() region (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5a0799
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/Revert-drm-amdgpu-stop-scheduler-when-calling-hw_fin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 8c0dabc
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-disable-runpm-if-we-are-the-primary-adapt.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 3f28d1a
* Mon Nov 28 2022 oneukum@suse.com
- Update
  patches.suse/HID-roccat-Fix-use-after-free-in-roccat_read.patch
  (bsc#1203960 CVE-2022-41850).
- commit 94bd71f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  fbdev-fbmem-add-a-helper-to-determine-if-an-aperture.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a428313
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-pm-keep-the-BACO-feature-enabled-for-suspend.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae6fc79
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  0003-drm-nouveau-wait-for-the-exclusive-fence-after-the-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f71877
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-fix-dropped-backing-store-handling-in-amd.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 933b4df
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Set-optimize_pwr_state-for-DCN31.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit f80d64b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Send-s0i2_rdy-in-stream_count-0-opti.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bed9f3d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-display-Added-power-down-for-DCN10.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad8a5cd
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-fix-B0-TMDS-deepcolor-no-dislay-issu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 168a921
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-put-SMU-into-proper-state-on-runpm-suspen.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b7ebfe
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdgpu-always-reset-the-asic-in-suspend-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5bd9d92
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-pm-skip-setting-gfx-cgpg-in-the-s0ix-suspend.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ddab05
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-add-support-for-IP-discovery-gc_info-tabl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 57b1231
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-When-the-VCN-1.0-block-is-suspended-power.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4e4218
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-pm-Fix-xgmi-link-control-on-aldebaran.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 165266d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-mediatek-hdmi-Perform-NULL-pointer-check-for-mtk.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7914bb4
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-pm-fix-a-potential-gpu_metrics_table-memory-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit abaf678
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-display-Reset-DMCUB-before-HW-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba55aa6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Set-exit_optimized_pwr_state-for-DCN.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit e5d3b43
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-fix-reading-SMU-FW-version-from-amdgpu_fi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit b5bf0a3
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-don-t-override-default-ECO_BITs-setting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdbaf83
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-correct-register-access-for-RLC_JUMP_TABL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4033c2d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-ast-potential-dereference-of-null-pointer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 579f538
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-simpledrm-fix-wrong-unit-with-pixel-clock.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ab80e9
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  Revert-drm-fb-helper-improve-DRM-fbdev-emulation-dev.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0dfc45d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-display-Fix-an-unsigned-subtraction-which-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02a249f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-DPIA-outbox-timeout-after-S3-S4-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 41d4242
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-syncobj-Deal-with-signalled-fences-in-drm_syncob.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32212ef
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  vgacon-Propagate-console-boot-parameters-before-call.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d9674a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update Revert-drm-i915-Implement-Wa_1508744258.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2651b3b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-dp-Perform-30ms-delay-after-source-OUI-writ.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59c6200
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-Add-support-for-panels-with-VESA-backlights.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 786a6e4
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  dma-buf-system_heap-Use-for_each_sgtable_sg-in-pages.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f7a97f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-vc4-kms-Fix-previous-HVS-commit-wait.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 312f08f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-vc4-kms-Don-t-duplicate-pending-commit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dcc97b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-vc4-kms-Clear-the-HVS-FIFO-commit-pointer-once-d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89980a0
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-vc4-kms-Add-missing-drm_crtc_commit_put.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0223ebf
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-vc4-kms-Fix-return-code-check.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 555fc6b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-vc4-kms-Wait-for-the-commit-before-increasing-ou.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ad2cdb
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdkfd-process_info-lock-not-needed-for-svm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7b4731
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-add-connector-type-check-for-CRC-sou.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5af8e6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdkfd-fix-double-free-mem-structure.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 902e88d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-for-the-no-Audio-bug-with-Tiled-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7aa4777
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Allow-DSC-on-supported-MST-branch-de.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91e2a6f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-check-atomic-flag-to-differeniate-with-le.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5ad3bc
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-Do-hw_init-before-capturing-GPU-state.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d62445e
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-msm-dp-Avoid-unpowered-AUX-xfers-that-caused-cra.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be6bfa5
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-dsi-set-default-num_data_lanes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffccaa9
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-msm-a6xx-Allocate-enough-space-for-GMU-registers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1dbdfd9
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-hyperv-Fix-device-removal-on-Gen1-VMs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22c9f4a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-aspeed-Fix-vga_pw-sysfs-output.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e6314b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-nouveau-acr-fix-a-couple-NULL-vs-IS_ERR-checks.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bfc997
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-nouveau-recognise-GA106.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4d3b82
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdgpu-IH-process-reset-count-when-restart.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a62c0b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/0005-drm-amdgpu-gfx10-add-wraparound-gpu-counter-check-fo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit c979827
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Set-plane-update-flags-for-all-plane.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97cc1e9
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-DPIA-outbox-timeout-after-GPU-re.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8e4ef3
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-amdgpu-fix-potential-memleak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a92f90a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-amdkfd-Fix-kernel-panic-when-reset-failed-an.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10e8a63
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-fix-set-scaling-mode-Full-Full-aspect-Cen.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26fd082
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-OLED-brightness-control-on-eDP.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8930175
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-pm-avoid-duplicate-powergate-ungate-setting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f06658
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  Revert-drm-i915-tgl-dsi-Gate-the-ddi-clocks-after-pl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b553a7
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  fbdev-Prevent-probing-generic-drivers-if-a-FB-is-alr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 221408d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-sun4i-fix-unmet-dependency-on-RESET_CONTROLLER-f.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5aa6923
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-cma-helper-Release-non-coherent-memory-with-dma_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bea0541
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-nouveau-hdmigv100.c-fix-corrupted-HDMI-Vendor-In.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0e0758
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-nouveau-svm-Fix-refcount-leak-bug-and-missing-ch.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e6d95f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  ce-gf100-fix-incorrect-CE0-address-calculation-on-so.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9290a8b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-prime-Fix-use-after-free-in-mmap-with-drm_gem_tt.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6bc36b8
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-avoid-recursive-lock-in-migrations-back-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5b1afd
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  Revert-drm-imx-Annotate-dma-fence-critical-section-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0bb7a10
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-fb_helper-improve-CONFIG_FB-dependency.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ecd2430
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-udl-fix-control-message-timeout.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0ce5f4
* Mon Nov 28 2022 pjakobsson@suse.de
- Update patches.suse/drm-ttm-remove-ttm_bo_vm_insert_huge.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit af8c684
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-fb-Fix-rounding-error-in-subsampled-plane-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 5371754
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-hdmi-Turn-DP-TMDS-output-buffers-back-on-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32d1cf6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-Fix-type1-DVI-DP-dual-mode-adapter-heuristi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ca7231
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-dp-Ensure-max-link-params-are-always-valid.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2467963
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dp-Ensure-sink-rate-values-are-always-valid.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 1639349
* Mon Nov 28 2022 ohering@suse.de
- Drivers: hv: vmbus: fix possible memory leak in vmbus_device_register() (git-fixes).
- Drivers: hv: vmbus: fix double free in the error path of vmbus_add_channel_work() (git-fixes).
- v3 of "PCI: hv: Only reuse existing IRTE allocation for Multi-MSI"
- scsi: storvsc: Fix handling of srb_status and capacity change events (git-fixes).
- commit a5fb15b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-connector-fix-all-kernel-doc-warnings.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 3f6144b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-plane-helper-fix-uninitialized-variable-referenc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48c6c04
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-bridge-lontium-lt9611uxc-fix-provided-connector-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fac7433
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  video-backlight-Drop-maximum-brightness-override-for.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4571564
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  video-fbdev-chipsfb-use-memset_io-instead-of-memset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2f4267
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-mediatek-mtk_dsi-Reset-the-dsi0-hardware.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a367154
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdgpu-gmc6-fix-DMA-mask-from-44-to-40-bits.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b925e1a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-dcn20_resource_construct-reduce-scop.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ca701d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-display-add-quirk-handling-for-stutter-mo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 9a9ffb2
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-fix-a-potential-memory-leak-in-amdgpu_dev.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99ad810
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-Separate-pinned-BOs-destruction-from-gene.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22cc520
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-dsi-fix-wrong-type-in-msm_dsi_host.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6f0b17
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-msm-Fix-potential-NULL-dereference-in-DPU-SSPP.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 444cde7
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-dp-Modify-prototype-of-encoder-based-API.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b3b6cb3
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-uninitialized-variable-in-msm_gem_import.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0235a3
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-fix-potential-NULL-dereference-in-cleanup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6543720
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-msm-potential-error-pointer-dereference-in-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d8a6e6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-msm-Fix-potential-Oops-in-a6xx_gmu_rpmh_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 079b3a1
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-msm-dsi-do-not-enable-irq-handler-before-powerin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad730de
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-msm-prevent-NULL-dereference-in-msm_gpu_crashsta.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d1f120
* Mon Nov 28 2022 pjakobsson@suse.de
- Update amd-display-remove-ChromeOS-workaround.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc10a09
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-pm-properly-handle-sclk-for-profiling-mod.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6d4b71
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-Fix-an-inappropriate-error-handling-in-al.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6670512
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-fix-resume-error-when-iommu-disabled-in-P.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdf1d69
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-fix-boot-failure-when-iommu-is-disabled-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20a709e
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-fix-null-pointer-deref-when-plugging.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbf0c64
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-surface-optimization-regression-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c383329
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-Replace-the-unconditional-clflush-with-drm_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 4732e96
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Reset-LRC-descriptor-if-register-return.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c19dd6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Take-context-ref-when-cancelling-reques.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d046ccd
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Copy-whole-golden-context-set-engine-st.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1681405
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Don-t-enable-scheduling-on-a-banned-con.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1dbbd6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-guc-Kick-tasklet-after-queuing-a-request.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7ccee5
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  Revert-drm-i915-gt-Propagate-change-in-error-status-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2b45f8
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Workaround-reset-G2H-is-received-after-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e6356f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Don-t-drop-ce-guc_active.lock-when-unwi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 360ef2b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-guc-Unwind-context-requests-in-reverse-orde.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa78443
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-guc-Fix-outstanding-G2H-accounting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b835c2d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-guc-Fix-blocked-context-accounting.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c80ad4
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-adl_s-Remove-require_force_probe-protection.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ebc9ef
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/0001-drm-i915-Keep-gem-ctx-vm-alive-until-the-final-put.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit a615dfa
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-Disable-bonding-on-gen12-platforms.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d69b2b9
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-fb_helper-fix-CONFIG_FB-dependency.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a98ad6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-ttm-stop-calling-tt_swapin-in-vm_access.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ee7b60
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-rm-BO-resv-on-validation-to-avoid-deadloc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2a55de
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdgpu-unify-BO-evicting-method-in-amdgpu_ttm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03e54e6
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-revert-Add-autodump-debugfs-node-for-gpu-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit ad2ea4e
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdgpu-fix-warning-for-overflow-check.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 905ae18
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-move-amdgpu_virt_release_full_gpu-to-fini.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9025de8
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-null-pointer-dereference-for-enc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1fd986
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-display-Use-adjusted-DCN301-watermarks.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de670ca
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amdgpu-Fix-MMIO-access-page-fault.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa22c2f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Optimize-bandwidth-on-following-fast.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 077260a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Add-option-to-defer-works-of-hpd_rx_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b17ae8
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-display-Update-swizzle-mode-enums.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0bd8c8f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Limit-max-DSC-target-bpp-for-specifi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e5e341
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-amd-display-Set-min-dcfclk-if-pipe-count-is-0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64cd268
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-bridge-it66121-Fix-return-value-it66121_probe.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 841ccdc
* Mon Nov 28 2022 pjakobsson@suse.de
- Update virtio-gpu-fix-possible-memory-allocation-failure.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98b6c66
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-v3d-fix-wait-for-TMU-write-combiner-flush.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8229f2
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  dma-buf-system_heap-Avoid-warning-on-mid-order-alloc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9dca0c5
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-meson-Make-use-of-the-helper-function-devm_platf.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a2fd5d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-panel-orientation-quirks-add-Valve-Steam-Deck.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ecc585
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-sun4i-Fix-macros-in-sun8i_csc.h.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a90dbd
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-bridge-it66121-Wait-for-next-bridge-to-be-probed.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f2d01b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-bridge-it66121-Initialize-device-vendor-_ids.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8513c04
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-bridge-anx7625-Propagate-errors-from-sp_tx_rst_a.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 990bd26
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-panel-orientation-quirks-Add-quirk-for-the-Samsu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a48420f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-panel-orientation-quirks-Add-quirk-for-KD-Kurio-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7181a43
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-panel-orientation-quirks-Update-the-Lenovo-Ideap.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21feb5b
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  dma-buf-WARN-on-dmabuf-release-with-pending-attachme.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ba11c5
* Mon Nov 28 2022 pjakobsson@suse.de
- Update patches.suse/drm-i915-s-ddi_translations-trans.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit c314558
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-bios-get-rid-of-vbt-ddi_port_info.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea90527
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-bios-use-ddc-pin-directly-from-child-data.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d867682
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-bios-move-ddc-pin-mapping-code-next-to-ddc-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6ba0e2
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-bios-use-alternate-aux-channel-directly-fro.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9ee86a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-bios-use-dp-max-link-rate-directly-from-chi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e44dbc1
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-bios-use-max-tmds-clock-directly-from-child.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02c2e9f
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-bios-use-hdmi-level-shift-directly-from-chi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 080ab5c
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dp-fix-for-ADL_P-S-dp-edp-max-source-rates.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 0d2f61a
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dp-fix-DG1-and-RKL-max-source-rates.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 9e016de
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-dp-fix-EHL-JSL-max-source-rates-calculation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b31a79
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-dp-fix-TGL-and-ICL-max-source-rates.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit ab3312c
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-dp-Fix-eDP-max-rate-for-display-11.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4241c46
* Mon Nov 28 2022 pjakobsson@suse.de
- Update drm-i915-display-Move-DRRS-code-its-own-file.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cfbd50
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-backlight-mass-rename-functions-to-have-int.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0967604
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-i915-backlight-extract-backlight-code-to-a-separ.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 52cfd3e
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  drm-i915-display-split-out-dpt-out-of-intel_display..patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7adebad
* Mon Nov 28 2022 pjakobsson@suse.de
- Update
  arch-cc-Introduce-a-function-to-check-for-confidenti.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29e2bf5
* Mon Nov 28 2022 pjakobsson@suse.de
- blacklist.conf: Unblacklist patches for drm v5.16 backport
- commit c23f1fc
* Mon Nov 28 2022 shung-hsi.yu@suse.com
- bpf: Add multi kprobe link (jsc#PED-1368).
- kallsyms: Skip the name search for empty string (jsc#PED-1368).
- lib/sort: Add priv pointer to swap function (jsc#PED-1368).
- ARM: rethook: Add rethook arm implementation (jsc#PED-1368).
- powerpc: Add rethook support (jsc#PED-1368).
- arm64: rethook: Add arm64 rethook implementation (jsc#PED-1368).
- rethook: x86: Add rethook x86 implementation (jsc#PED-1368).
- rethook: Add a generic return hook (jsc#PED-1368).
- Refresh patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch
- fprobe: Add ftrace based probe APIs (jsc#PED-1368).
- ftrace: Add ftrace_set_filter_ips function (jsc#PED-1368).
- selftests/bpf: Fix tunnel remote IP comments (jsc#PED-1368).
- selftests/bpf: Test subprog jit when toggle bpf_jit_harden
  repeatedly (jsc#PED-1368).
- bpf: Fix net.core.bpf_jit_harden race (jsc#PED-1368).
- bpf, x86: Fall back to interpreter mode when extra pass fails
  (jsc#PED-1368).
- bpf: selftests: Remove libcap usage from test_progs
  (jsc#PED-1368).
- bpf: selftests: Remove libcap usage from test_verifier
  (jsc#PED-1368).
- bpf: selftests: Add helpers to directly use the capget and
  capset syscall (jsc#PED-1368).
- bpftool: man: Add missing top level docs (jsc#PED-1368).
- bpftool: Add bpf_cookie to link output (jsc#PED-1368).
- selftests/bpf: Clean up array_size.cocci warnings
  (jsc#PED-1368).
- samples/bpf, xdpsock: Fix race when running for fix duration
  of time (jsc#PED-1368).
- bpf, sockmap: Fix double uncharge the mem of sk_msg
  (jsc#PED-1368).
- bpf, sockmap: Fix more uncharged while msg has more_data
  (jsc#PED-1368).
- bpf, sockmap: Fix memleak in tcp_bpf_sendmsg while sk msg is
  full (jsc#PED-1368).
- bpf, sockmap: Fix memleak in sk_psock_queue_msg (jsc#PED-1368).
- selftests/bpf: Fix a clang compilation error for send_signal.c
  (jsc#PED-1368).
- selftests/bpf: Add a test for maximum packet size in
  xdp_do_redirect (jsc#PED-1368).
- bpf, test_run: Fix packet size check for live packet mode
  (jsc#PED-1368).
- selftests/bpf: Check that bpf_kernel_read_file() denies reading
  IMA policy (jsc#PED-1368).
- selftests/bpf: Add test for bpf_lsm_kernel_read_file()
  (jsc#PED-1368).
- bpf-lsm: Make bpf_lsm_kernel_read_file() as sleepable
  (jsc#PED-1368).
- selftests/bpf: Check if the digest is refreshed after a file
  write (jsc#PED-1368).
- selftests/bpf: Add test for bpf_ima_file_hash() (jsc#PED-1368).
- selftests/bpf: Move sample generation code to ima_test_common()
  (jsc#PED-1368).
- bpf-lsm: Introduce new helper bpf_ima_file_hash()
  (jsc#PED-1368).
- ima: Always return a file measurement in ima_file_hash()
  (jsc#PED-1368).
- ima: Fix documentation-related warnings in ima_main.c
  (jsc#PED-1368).
- bpftool: Ensure bytes_memlock json output is correct
  (jsc#PED-1368).
- bpf: Use offsetofend() to simplify macro definition
  (jsc#PED-1368).
- bpf: selftests: Update tests after s/delivery_time/tstamp/
  change in bpf.h (jsc#PED-1368).
- bpf: Remove BPF_SKB_DELIVERY_TIME_NONE and rename
  s/delivery_time_/tstamp_/ (jsc#PED-1368).
- bpf: Simplify insn rewrite on BPF_WRITE __sk_buff->tstamp
  (jsc#PED-1368).
- bpf: Simplify insn rewrite on BPF_READ __sk_buff->tstamp
  (jsc#PED-1368).
- bpf: net: Remove TC_AT_INGRESS_OFFSET and
  SKB_MONO_DELIVERY_TIME_OFFSET macro (jsc#PED-1368).
- bpf, test_run: Use kvfree() for memory allocated with kvmalloc()
  (jsc#PED-1368).
- bpf: Initialise retval in bpf_prog_test_run_xdp()
  (jsc#PED-1368).
- bpftool: Restore support for BPF offload-enabled feature probing
  (jsc#PED-1368).
- selftests/bpf: Add selftest for XDP_REDIRECT in BPF_PROG_RUN
  (jsc#PED-1368).
- selftests/bpf: Move open_netns() and close_netns() into
  network_helpers.c (jsc#PED-1368).
- libbpf: Support batch_size option to bpf_prog_test_run
  (jsc#PED-1368).
- Documentation/bpf: Add documentation for BPF_PROG_RUN
  (jsc#PED-1368).
- bpf: Add "live packet" mode for XDP in BPF_PROG_RUN
  (jsc#PED-1368).
- Improve stability of find_vma BPF test (jsc#PED-1368).
- Improve send_signal BPF test stability (jsc#PED-1368).
- Improve perf related BPF tests (sample_freq issue)
  (jsc#PED-1368).
- selftests/bpf: Make test_lwt_ip_encap more stable and faster
  (jsc#PED-1368).
- bpf: Determine buf_info inside check_buffer_access()
  (jsc#PED-1368).
- bpf/docs: Update list of architectures supported (jsc#PED-1368).
- bpf/docs: Update vmtest docs for static linking (jsc#PED-1368).
- bpf: Remove redundant slash (jsc#PED-1368).
- libbpf: Add a check to ensure that page_cnt is non-zero
  (jsc#PED-1368).
- bpf, x86: Set header->size properly before freeing it
  (jsc#PED-1368).
- x86: Disable HAVE_ARCH_HUGE_VMALLOC on 32-bit x86
  (jsc#PED-1368).
- bpf, test_run: Fix overflow in XDP frags bpf_test_finish
  (jsc#PED-1368).
- selftests/bpf: Update btf_dump case for conflicting names
  (jsc#PED-1368).
- libbpf: Skip forward declaration when counting duplicated type
  names (jsc#PED-1368).
- bpf: Add some description about BPF_JIT_ALWAYS_ON in Kconfig
  (jsc#PED-1368).
- bpf, docs: Add a missing colon in verifier.rst (jsc#PED-1368).
- bpf: Cache the last valid build_id (jsc#PED-1368).
- libbpf: Fix BPF_MAP_TYPE_PERF_EVENT_ARRAY auto-pinning
  (jsc#PED-1368).
- bpf, selftests: Use raw_tp program for atomic test
  (jsc#PED-1368).
- bpf, arm64: Support more atomic operations (jsc#PED-1368).
- bpftool: Remove redundant slashes (jsc#PED-1368).
- arm64: insn: add encoders for atomic operations (jsc#PED-1368).
- arm64: move AARCH64_BREAK_FAULT into insn-def.h (jsc#PED-1368).
- arm64: ftrace: use HAVE_FUNCTION_GRAPH_RET_ADDR_PTR
  (jsc#PED-1368).
- ARM: Recover kretprobe modified return address in stacktrace
  (jsc#PED-1368).
- Refresh patches.suse/ARM-9191-1-arm-stacktrace-kasan-Silence-KASAN-warnin.patch
- ARM: kprobes: Make a frame pointer on __kretprobe_trampoline
  (jsc#PED-1368).
- arm64: Recover kretprobe modified return address in stacktrace
  (jsc#PED-1368).
- arm64: kprobes: Make a frame pointer on __kretprobe_trampoline
  (jsc#PED-1368).
- arm64: kprobes: Record frame pointer with kretprobe instance
  (jsc#PED-1368).
- x86/unwind: Compile kretprobe fixup code only if
  CONFIG_KRETPROBES=y (jsc#PED-1368).
- commit 4f32185
* Mon Nov 28 2022 pjakobsson@suse.de
- supported.conf: Add drivers/gpu/drm/drm_dp_aux_bus as supported
- commit 06313b0
* Mon Nov 28 2022 tiwai@suse.de
- Bluetooth: L2CAP: Fix u8 overflow (CVE-2022-45934 bsc#1205796).
- commit 966bbc0
* Mon Nov 28 2022 tiwai@suse.de
- usb: cdnsp: fix issue with ZLP - added TD_SIZE = 1 (git-fixes).
- usb: dwc3: exynos: Fix remove() function (git-fixes).
- usb: cdnsp: Fix issue with Clear Feature Halt Endpoint
  (git-fixes).
- iio: core: Fix entry not deleted when
  iio_register_sw_trigger_type() fails (git-fixes).
- iio: light: rpr0521: add missing Kconfig dependencies
  (git-fixes).
- iio: health: afe4404: Fix oob read in afe4404_[read|write]_raw
  (git-fixes).
- iio: health: afe4403: Fix oob read in afe4403_read_raw
  (git-fixes).
- iio: light: apds9960: fix wrong register for gesture gain
  (git-fixes).
- scripts/faddr2line: Fix regression in name resolution on ppc64le
  (git-fixes).
- commit 45d3e4c
* Mon Nov 28 2022 tiwai@suse.de
- x86/kexec: Fix double-free of elf header buffer (bsc#1205567).
- commit 0c767bc
* Mon Nov 28 2022 tiwai@suse.de
- Move upstreamed sound and WiFi patches into sorted section
- commit 5e6ff3d
* Mon Nov 28 2022 pjakobsson@suse.de
- Update config files for DRM v5.15 backport.
- commit 041df01
* Mon Nov 28 2022 pjakobsson@suse.de
- drm: Introduce the DP AUX bus (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- commit ce07213
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: add support for dsi test pattern generator
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dsi-rename-dual-DSI-to-bonded-DSI.patch.
- commit fcdaf64
* Sun Nov 27 2022 pjakobsson@suse.de
- Delete
  patches.suse/0012-drm-msm-dp-tear-down-main-link-at-unplug-handle-imme.patch.
- commit de07280
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Register HDMI codec (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-vc4-hdmi-Disable-audio-if-dmas-property-is-prese.patch.
- Delete patches.suse/drm-vc4-hdmi-Add-debugfs-prefix.patch.
- commit 3a32d42
* Sun Nov 27 2022 pjakobsson@suse.de
- Delete patches.suse/drm-fix-drm_mipi_dbi-build-errors.patch.
- commit bece5c1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/i915/selftests: Properly reset mock object propers for each test (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7937b70
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/ast: Add detect function support" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed4ae01
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/devfreq: Restrict idle clamping to a618 for now (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a1aad3
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/mediatek: Use mailbox rx_callback instead of (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8782b3a
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/mediatek: Remove struct cmdq_client" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd1a715
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/mediatek: Detect CMDQ execution timeout" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 638bf82
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/mediatek: Add cmdq_handle in mtk_crtc" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7e8414
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/mediatek: Clear pending flag when cmdq packet is done" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbb5961
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: Don't create encoder for unconnected LVDS outputs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7a54b5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Fix devfreq NULL pointer dereference on a3xx (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d767a0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: One sched entity per process per priority (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0eb3b9d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: A bit more docs + cleanup (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0009-drm-msm-remove-unused-plane_property-field-from-msm_.patch.
- commit 736b7d6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Fix crash on dev file close (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35b6ee3
* Sun Nov 27 2022 pjakobsson@suse.de
- qcom_scm: hide Kconfig symbol (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5ac881
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Skip override for preferred link settings during (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21cd8fe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: remove redundant iommu cleanup code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41438f1
* Sun Nov 27 2022 pjakobsson@suse.de
- Documentation/gpu: remove spurious "+" in amdgpu.rst (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1387a0
* Sun Nov 27 2022 pjakobsson@suse.de
- DRM: delete DRM IRQ legacy midlayer docs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42787e5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/rockchip: Update crtc fixup to account for fractional clk change (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b4ccf0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove unused struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 654f320
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/exynos: Make use of the helper function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9c74da
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: Plug potential memory leak (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d34e750
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu/host1x: fence: Make spinlock static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9c1e64
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: uapi: Fix wrong mapping end address in case of disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46d8e80
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: dc: Remove unused variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 837291a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: SVM map to gpus check vma boundary (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc83ec5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: fix empty debug macros (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0dee3ae
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/vc4: hdmi: Remove drm_encoder->crtc usage"
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-vc4-hdmi-Move-the-HSM-clock-enable-to-runtime_pm.patch.
- commit 5a4ef4d
* Sun Nov 27 2022 pjakobsson@suse.de
- tgafb: clarify dependencies (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c3743c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/display: add a proper license to dc_link_dp.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ab1152
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Demote TMZ unsupported log message from warning to info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d5ec67
* Sun Nov 27 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
  Alt-commit
- commit 0c483b2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add manual sclk/vddc setting support for cyan (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6889ef8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add some pptable funcs for cyan skilfish(v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd2cf19
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: update SMU driver interface for cyan skilfish(v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac1d088
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: update SMU PPSMC for cyan skilfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d25220a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: fix sysfs_emit/sysfs_emit_at warnings(v2)
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-pm-fix-runpm-hang-when-amdgpu-loaded-prior-t.patch.
- commit cc1df2f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: dc_assert_fp_enabled assert only if FPU is not (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a290d61
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add NULL checks for vblank workqueue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2daa51
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: DMABUF_SYSFS_STATS should depend on DMA_SHARED_BUFFER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94d4fbc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Fix uninitialized variable delta (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8014eba
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: make vc4_hdmi_codec_pdata static (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f120ed3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ttm: Include pagemap.h from ttm_tt.h (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/treewide-Add-missing-includes-masked-by-cgroup-bpf-d.patch.
- commit 603f69d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: enable more pm sysfs under SRIOV 1-VF mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88eb198
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Clear RAS interrupt status on aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a7f296
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Initialize lt_settings on instantiation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c5d022
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: cleanup idents after a revert (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08441ac
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/swsmu: fix spelling mistake "minimun" -> "minimum" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7a9d0b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: show both cmd id and name when psp cmd failed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6eb8c31
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: And destination bounds checking to struct copy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e8f5e3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: reenable BACO support for 699F:C7 polaris12 SKU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d955f0b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add ready_to_reset resp for vega10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76a2321
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add some additional RDNA2 PCI IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12011ce
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: correct comments in memory type managers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4cf63d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Process any VBIOS RAS EEPROM address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 140c165
* Sun Nov 27 2022 pjakobsson@suse.de
- drm:dcn31: fix boolreturn.cocci warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 28e6e7d
* Sun Nov 27 2022 pjakobsson@suse.de
- isystem: ship and use stdarg.h (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/ACPI-Drop-ACPI_USE_BUILTIN_STDARG-ifdef-from-acgcc.h.patch.
- Refresh patches.suse/ACPI-tools-fix-compilation-error.patch.
- commit 8ee372f
* Sun Nov 27 2022 pjakobsson@suse.de
- isystem: trim/fixup stdarg.h and other headers (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/treewide-Add-missing-includes-masked-by-cgroup-bpf-d.patch.
- commit eeb9163
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Move AllowDRAMSelfRefreshOrDRAMClockChangeInVblank (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cd3f57
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Remove duplicate dml init (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fa38b1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: disable GFX CGCG in aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3319b93
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Clear RAS interrupt status on aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53257e1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Add support for RAS XGMI err query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5ac9861
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: rename amdgpu_bo_get_preferred_pin_domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4bf2f1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: drop redundant cancel_delayed_work_sync call (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b753fc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add missing cleanups for more ASICs on UVD/VCE suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 022c963
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add missing cleanups for Polaris12 UVD/VCE on suspend (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dfd6e0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: check access permisson to restore retry fault (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 315dcb2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Update RAS XGMI Error Query (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa98f34
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Add driver infrastructure for MCA RAS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7f3dad3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add Logging for HDMI color depth information (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 567f0c8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: consolidate PSP TA init shared buf functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1433b5d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add name field back to ras_common_if (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f43d543
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/radeon: switch from 'pci_' to 'dma_' API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4db7c92
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: switch from 'pci_' to 'dma_' API (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd2c883
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: CWSR with sw scheduler on Aldebaran and Arcturus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2849518
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/OLAND: clip the ref divider max value (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit da03004
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/exynos: Convert from atomic_t to refcount_t on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af60c08
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: debug: Dump DMASTART and DMAEND register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68412a1
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: debug: Dump only relevant parts of CDMA push buffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fe02dd
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: debug: Use dma_addr_t more consistently (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7706052
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: dc: Extend debug stats with total number of events (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d969f3d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: dc: Support memory bandwidth management (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afd84f8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Bump driver version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f971119
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Add job firewall (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6453dc4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Implement job submission part of new UAPI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea33963
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Implement syncpoint wait UAPI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab2d66b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Implement syncpoint management UAPI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bba802
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Implement new UAPI (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Delete
  patches.suse/drm-tegra-Add-back-arm_iommu_detach_device.patch.
- commit 0fb9f3d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Allocate per-engine channel in core code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a97d14
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Boot VIC during runtime PM resume (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-tegra-vic-Fix-build-warning-when-CONFIG_PM-n.patch.
- commit 169e37a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Add new UAPI to header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2da7159
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Extract tegra_gem_lookup() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19839dc
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: Add option to skip firewall for a job (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 314192f
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: Add support for syncpoint waits in CDMA pushbuffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c41241a
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: Add job release callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87f97b8
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: Add no-recovery mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cee25f8
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: host1x: Add DMA fence implementation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 308cf61
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/etnaviv: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b01dda2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/etnaviv: add clock gating workaround for GC7000 r6202 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e23b379
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/etnaviv: add HWDB entry for GC7000 r6202 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4afa9e4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: a quick fix for "divided by zero" error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80b9b89
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: amdgpu: remove obsolete reference to config CHASH (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9842174
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: Fix spelling mistake "firwmare" -> "firmware" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a002734
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu:flush ttm delayed work before cancel_sync (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5275a4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd: consolidate TA shared memory structures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eae5679
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: increase max xgmi physical node for aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6fcc2a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: disable BACO support for 699F:C7 polaris12 SKU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d2e37b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: correct MMSCH 1.0 version (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ff36c8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: get extended xgmi topology data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba668f8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/radeon: Add break to switch statement in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34f284d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.149 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be8ac0d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.79 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ce84a5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Guard vblank wq flush with DCN guards (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cce6bb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Use vblank control events for PSR enable/disable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0446a1c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Fix multi-display support for idle opt
  workqueue (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-display-add-quirk-handling-for-stutter-mo.patch.
- commit e399bc5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Create dc_sink when EDID fail (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 968ae5a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: correct the address of Arcturus fan related registers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de80f6b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: drop unnecessary manual mode check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81cb627
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: drop the unnecessary intermediate percent-based (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d36b14
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: correct the fan speed RPM retrieving (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3431748
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: correct the fan speed PWM retrieving (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9011efd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: record the RPM and PWM based fan speed settings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7ecfe1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: correct the fan speed RPM setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3f373f6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: remove unnecessary RAS context field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0e6a49
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: consolidate PSP TA context (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fa0854
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Add MB_REQ_MSG_READY_TO_RESET response when VF get FLR (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4c34e5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: change pp_dpm_sclk/mclk/fclk attribute is RO for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f39025
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: change smu msg's attribute to allow working under sriov (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 560e269
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: change return value in aldebaran_get_power_limit() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c605c8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: skip to load smu microcode on sriov for aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e13684
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: correct DPM_XGMI/VCN_DPM feature name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f2a5561
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu embed hw_fence into amdgpu_job (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c65b4ab
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: CWSR with software scheduler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8be999
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: AIP mGPUs best prefetch location for xnack on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a796ec4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: graceful exit on restore fan mode failure (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5153862
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: restore fan_mode AMD_FAN_CTRL_NONE on resume (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2940440
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace amdgpu_pm usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca9f553
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace hwmgr smu usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 929a757
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace vega12,20 usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ae3777
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace vega10 usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c45ffb2
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace smu12/13 usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b5729f
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace smu11 usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40908d7
* Sun Nov 27 2022 pjakobsson@suse.de
- amdgpu/pm: Replace navi10 usage of sprintf with sysfs_emit (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 205fff3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Removed unnecessary if statement (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 378647d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: use do-while-0 for DC_TRACE_LEVEL_MESSAGE() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35688da
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Increase timeout threshold for DMCUB reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 98f67a5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Clear GPINT after DMCUB has reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7d5f4cb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.148 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 105ed0e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.78 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 616e846
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: add authentication_complete in hdcp output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34d6d3d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add AUX I2C tracing. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 246435d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Correct comment style (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b2a7c5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: refactor the cursor programing codes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65f3892
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: refactor the codes to centralize the stream/pipe (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adc0f99
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: skip locking delayed work if not initialized. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d40f4bd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Extend full access wait time in guest (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89daaf5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: add continuous clock support for 7nm PHY
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dsi-do-not-enable-irq-handler-before-powerin.patch.
- commit 3b9a9ce
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dp: add drm debug logs to dp_pm_resume/suspend
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dp-only-signal-audio-when-disconnected-detec.patch.
- commit 630c3c4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Rework SQE version check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a57efe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Add adreno_is_a640_family() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0a6848
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dpu: add support for alpha blending properties (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cb9f623
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dp: Remove unused variable (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec3958a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: remove a repeated including of <linux/debugfs.h> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44e491f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dp: add logs across DP driver for ease of debugging
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0012-drm-msm-dp-tear-down-main-link-at-unplug-handle-imme.patch.
- Refresh
  patches.suse/drm-msm-dp-dp_link_parse_sink_count-return-immediate.patch.
- Refresh
  patches.suse/drm-msm-dp-replug-event-is-converted-into-an-unplug-.patch.
- commit aa22344
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/kms: drop set_encoder_mode callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a9ca15
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: stop calling set_encoder_mode callback (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6479aaf
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dp: stop calling set_encoder_mode callback (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0012-drm-msm-dp-tear-down-main-link-at-unplug-handle-imme.patch.
- Delete
  patches.suse/0015-drm-msm-dp-do-not-initialize-phy-until-plugin-interr.patch.
- Delete
  patches.suse/drm-msm-dp-Always-clear-mask-bits-to-disable-interru.patch.
- Delete
  patches.suse/drm-msm-dp-force-link-training-for-display-resolutio.patch.
- commit cdf1a28
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/mdp5: move mdp5_encoder_set_intf_mode after (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 555b65a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dpu: support setting up two independent DSI connectors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9cdaed0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: add three helper functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7794581
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: update dsi register header file for tpg (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 875a5d1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: Add DSI support for SC7280 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 897446d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: Add PHY configuration for SC7280 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6500db6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: drop msm_dsi_phy_get_shared_timings (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dsi-invalid-parameter-check-in-msm_dsi_phy_e.patch.
- Refresh
  patches.suse/drm-msm-dsi-rename-dual-DSI-to-bonded-DSI.patch.
- commit 27f99b2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: phy: use of_device_get_match_data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a05925a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dpu: Add newlines to printks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14c7122
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: drop gdsc regulator handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1236b66
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/dsi: support CPHY mode for 7nm pll/phy (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-dsi-fix-wrong-type-in-msm_dsi_host.patch.
- Refresh
  patches.suse/drm-msm-dsi-rename-dual-DSI-to-bonded-DSI.patch.
- commit a2182db
* Sun Nov 27 2022 pjakobsson@suse.de
- dt-bindings: msm: dsi: document phy-type property for 7nm dsi phy (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e95bd43
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Use list_move_tail instead of list_del/list_add_tail in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit edf0bfc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Use nvmem_cell_read_variable_le_u32() to read speed bin (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ee2f38
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Periodically update RPTR shadow (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22fde21
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0d80d5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: msm: Add 680 gpu to the adreno gpu list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2276fbb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/a6xx: Add support for Adreno 7c Gen 3 gpu (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Fix-potential-Oops-in-a6xx_gmu_rpmh_init.patch.
- Delete
  patches.suse/drm-msm-a6xx-Fix-missing-ARRAY_SIZE-check.patch.
- commit 0d57cf7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/a6xx: Use rev to identify SKU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dfac4e8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Clear pending flag when cmdq packet is done (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb2847b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Add cmdq_handle in mtk_crtc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff042cb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Detect CMDQ execution timeout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c947a3b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Remove struct cmdq_client (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Delete
  patches.suse/drm-mediatek-Detect-CMDQ-execution-timeout.patch.
- Delete
  patches.suse/drm-mediatek-Remove-the-pointer-of-struct-cmdq_clien.patch.
- commit 32de8a8
* Sun Nov 27 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-mediatek-Detect-CMDQ-execution-timeout.patch.
- Refresh
  patches.suse/drm-mediatek-Remove-the-pointer-of-struct-cmdq_clien.patch.
- Update
  patches.suse/drm-mediatek-Use-mailbox-rx_callback-instead-of-cmdq.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit c9ec2dc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Test component initialization earlier in the function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b935e09
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Add support for main DDP path on MT8167 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d342bdb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b1a3df
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Add mt8183 aal support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c997ff3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Separate aal sub driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90cc04b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Adjust rdma fifo threshold calculate formula (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bfcc0e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Avoid creating multiple connectors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c24b521
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/edid: fix edid field name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2872079
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/virtio: set non-cross device blob uuid_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3acac3c
* Sun Nov 27 2022 pjakobsson@suse.de
- udmabuf: fix general protection fault in udmabuf_create (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59b7d7c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ingenic: Use standard drm_atomic_helper_commit_tail (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ec2e53
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ingenic: Remove dead code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f2287f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: IRQ midlayer is now legacy (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-Add-kabi-placeholders-to-commonly-used-structs.patch.
- commit 3f8511b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: Remove unused devm_drm_irq_install() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 555d4b4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed37d3f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tilcdc: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3397c10
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tidss: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f821f55
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/radeon: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0b9c5d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mxsfb: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b363ecb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Convert to Linux IRQ interfaces (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0008-drm-msm-properly-add-and-remove-internal-bridges.patch.
- Refresh
  patches.suse/drm-msm-fix-use-after-free-on-probe-deferral.patch.
- commit d2ab344
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/kmb: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dcf277f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gma500: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3bbf10
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/fsl-dcu: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 824834f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/atmel-hlcdc: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 01714d3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/arm/hdlcd: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bd2405
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76117e5
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: Fix a few typos in dma-buf documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b516253
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Replace "vmw_num_pages" with "PFN_UP" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 882a71a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Make use of PFN_ALIGN/PFN_UP helper macro (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52bc5f0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Use list_move_tail instead of list_del/list_add_tail in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee3d4b7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Use list_move_tail instead of list_del/list_add_tail in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c08688b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Remove the repeated declaration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 753c91d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: Use offset-adjusted shadow-plane mappings and output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2d8552
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vbox: Use offset-adjusted shadow-plane mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d94e955
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/udl: Use offset-adjusted shadow-plane mapping (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-udl-Restore-display-mode-on-resume.patch.
- commit 6f4ff9b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/simpledrm: Use offset-adjusted shadow-plane mapping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a7cd9c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gm12u320: Use offset-adjusted shadow-plane mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff4e4a0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/cirrus: Use offset-adjusted shadow-plane mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 19ee061
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Use offset-adjusted shadow-plane mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b008c80
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/hyperv: Use offset-adjusted shadow-plane mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56a0c15
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Get offset-adjusted mapping from drm_gem_fb_vmap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3816ee1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ast: Use offset-adjusted shadow-plane mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 065276f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gem: Provide offset-adjusted framebuffer BO mappings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 08a9281
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Compute PLL values during atomic check (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8cb9eb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Introduce custom CRTC state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 144a418
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/simple-kms: Support custom CRTC state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c28a3f4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Abstract pixel PLL via struct mgag200_pll (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9cc3af
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Declare PLL clock constants static const (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9fe13c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Split PLL compute function for G200SE by rev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d9377d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Split PLL compute functions by device type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit faf6411
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Store values (not bits) in struct mgag200_pll_values (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7de5029
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Introduce separate variable for PLL S parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa578a3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Split PLL setup into compute and update functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f33425
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Remove P_ARRAY_SIZE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7d263c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Return errno codes from PLL compute functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 139e2c5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: anx7625: Tune K value for IVO panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 649a88d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: simple: add LOGIC Technologies LTTD800480070-L6WH-RT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7929e0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: simple: add Multi-Innotechnology MI1010AIT-1CP1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f79f9a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: nouveau: fix disp.c build when NOUVEAU_BACKLIGHT is not enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 220d271
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: add lockdep assert to drm_is_current_master_locked (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f21a4d3
* Sun Nov 27 2022 pjakobsson@suse.de
- locking/lockdep: Provide lockdep_assert{,_once}() helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b3968e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/xlnx/zynqmp_disp: Fix incorrectly named enum (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f9b58e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: xlnx: zynqmp_dpsub: Expose plane ordering to userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5548aab
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: xlnx: zynqmp_dpsub: Add global alpha support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 601dedd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: xlnx: zynqmp_dpsub: Fix graphics layer blending (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63adb7b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: xlnx: zynqmp_dpsub: Pass disp structure to all internal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e546c08
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: xlnx: zynqmp: Add zynqmp_disp_layer_is_video() to simplify the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ffc4895
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: xlnx: zynqmp_dpsub: Update dependencies for ZynqMP DP (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4f972e8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/i915: Fix missing docbook chapters for i915 uapi. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a453208
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/doc/rfc: i915 new parallel submission uAPI plan (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f501e85
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/doc/rfc: i915 GuC submission / DRM scheduler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21b9467
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/i915/doc: Include GuC ABI documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 514ee31
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Allow querying SVM attributes that are clear
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdkfd-avoid-conflicting-address-mappings.patch.
- commit 0b8b08d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Remove redundant initialization of variable eng_id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1446816
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: check for allocation failure in amdgpu_vkms_sw_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd8b46e
* Sun Nov 27 2022 pjakobsson@suse.de
- DRM: gpu: radeon: Fixed coding style issues (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8319127
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/radeon: Update pitch for page flip (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e024e9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Expose GFXIP engine version to sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8fcff3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: drop redundant null-pointer checks in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c140d47
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Put MODE register in wave debug info (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2efcd8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Recovery vcn instance iterate. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0c2000
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: added synchronization for psp cmd buf access (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26c6cdc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: update PSP BL cmd IDs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9032bf4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add regCP_MEx_INT_STAT_DEBUG for Aldebaran debugging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 646ef8a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.147 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a0736fa
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.77 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 940e9bc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add DC_FP helper to check FPU state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 034abc9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add control mechanism for FPU utilization (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f21060e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add control mechanism for FPU (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 374735c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Move specific DCN2x code that uses FPU to DML (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7afed2b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add check for validating unsupported ODM plus MPO (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7209555
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Remove redundant vblank workqueues in DM (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a93108
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: remove redundant host to psp cmd buf allocations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 047a459
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: replace dce_virtual with amdgpu_vkms (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf6a8ad
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: cleanup dce_virtual (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7709b6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: create amdgpu_vkms (v4) (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch.
- Refresh
  patches.suse/drm-amdgpu-disable-runpm-if-we-are-the-primary-adapt.patch.
- commit 0190575
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu/drm/amd: Remove duplicated include of drm_drv.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b024020
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: correct aldebaran smu feature mapping (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2fd3b87
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix channel_index table layout for Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a14b46d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/powerplay/smu10: Fix a typo in error message (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe3db25
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu/drm/radeon: Fix typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec13293
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Fix typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a686ac8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Only apply heavy-weight TLB flush on Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62358c6
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdkfd: Only apply TLB flush optimization on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3f53ad
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdkfd: Add memory sync before TLB flush on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 239ef40
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdkfd: Add heavy-weight TLB flush after (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8791f4f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: Add ilitek ili9341 panel driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b3fa79
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-simple: add Gopher 2b LCD panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50f70dc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: Map output framebuffer BOs with drm_gem_fb_vmap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf8feba
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Map framebuffer BOs with drm_gem_fb_vmap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ef3333
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gem: Clear mapping addresses for unused framebuffer planes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3e47c6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gem: Provide drm_gem_fb_{vmap,vunmap}() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f48df89
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: Define DRM_FORMAT_MAX_PLANES (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e39e82
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: document drm_mode_get_property (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c40433
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: Fix oops in damage self-tests by mocking damage property (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 402da87
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: Fix typo in comments (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 165d2ed
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/connector: add ref to drm_connector_get in iter docs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f5f78c3
* Sun Nov 27 2022 pjakobsson@suse.de
- DRM: ast: Fixed coding style issues of ast_mode.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4d90a7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: Add support for E Ink VB3300-KCA (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a336445
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/pl111: Remove unused including <linux/version.h> (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a320248
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: atna33xc20: Introduce the Samsung ATNA33XC20 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90baaea
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/panel-simple: Support for delays between GPIO & (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c064ea6
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/panel-simple: Add Samsung ATNA33XC20" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64c1f9c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: clean up unused kerneldoc in drm_lease.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 520bbaf
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: enable psp front door loading by default for (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9261145
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Added PSP13 BL loading support for additional drivers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d612b15
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Consolidated PSP13 BL FW loading (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b838e1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Added support for added psp driver binaries FW (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9767ed
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Added latest PSP FW header (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57736ae
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: remove the access of xxx_PSP_DEBUG on cycan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 499a56d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: restore user customized OD settings properly for Sienna (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16978de
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: restore user customized OD settings properly for NV1x (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d85b85e
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdkfd: Add memory sync before TLB flush on (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8627686
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdgpu: Fix warning of Function parameter or (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58fbc4a
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdkfd: Make TLB flush conditional on
  mapping"" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdkfd-Separate-pinned-BOs-destruction-from-gene.patch.
- commit b4ddca8
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdgpu: Add table_freed parameter to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77b2746
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "Revert "drm/amdkfd: Add heavy-weight TLB flush after (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50c74e2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.146 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dbd09b5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.76 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33f209f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: refactor riommu invalidation wa (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be283cf
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Always wait for update lock status (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 367ab4d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: remove unused functions (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Fix-deadlock-when-falling-back-to-v2.patch.
- commit c9870e3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: add update authentication interface (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7aa6193
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: fix missing reg offset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42006e8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Fixed EdidUtility build errors (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c37c5fc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add ETW log to dmub_psr_get_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 613bfff
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add ETW logging for AUX failures (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d839777
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Rename amdgpu_acpi_is_s0ix_supported (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Ensure-HDA-function-is-suspended-before-A.patch.
- Refresh
  patches.suse/drm-amdgpu-don-t-set-s3-and-s0ix-at-the-same-time.patch.
- commit 100d7d5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: retire sdma v5_2 golden settings from driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0de6181
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Add msix restore for pass-through mode (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ac8b47
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Change the imprecise output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ddbdaa
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Clear doorbell interrupt status for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10fcab6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add pci device id for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d9998a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add autoload_supported check for RLC autoload (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8989413
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: enable SMU for cyan_skilfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2e47e2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add check_fw_version support for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 456b714
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add basic ppt functions for cyan_skilfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit caa92d8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add smu interface header for cyan_skilfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d84257
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add smu_v11_8_ppsmc header for cyan_skilfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9019ec3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add smu_v11_8_pmfw header for cyan_skilfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 113831b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: use direct loading by default for cyan_skillfish2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f62e599
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: enable psp v11.0.8 for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6d352b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: init psp v11.0.8 function for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f054756
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add psp v11.0.8 driver for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 863a26c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add mp 11.0.8 header for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d44f2d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add nbio support for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 623311a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add chip early init for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a4959ef
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: enable cyan_skillfish KFD (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 41d8b24
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add gc v10 golden settings for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 516da81
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add sdma v5 golden settings for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d0a4b8c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add cyan_skillfish support in gfx v10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfd21ca
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add cyan_skillfish support in gmc v10 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d392ff4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: load fw direclty for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e4a977d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add sdma fw loading support for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84059e1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add cp/rlc fw loading support for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df5b85d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: set ip blocks for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ef9b30
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: init family name for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f19ee6d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: dynamic initialize ip offset for cyan_skillfish (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9811f61
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add cyan_skillfish asic type (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb11f26
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: adjust fw_name string length for toc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7dd0c00
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: increase size for sdma fw name string (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ee7d69
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: add consistent PSP FW loading size checking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b46d95d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: consider kernel job always not guilty (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3cdb13
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Update SMI throttle event bitmask (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 680aa06
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix documentaion for dm_dmub_outbox1_low_irq (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e600f6c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/amdgpu: Add a new line to debugfs phy_settings output (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d7687d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Fix a concurrency issue during kfd recovery (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3631316
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Set priv_queue to NULL after it is freed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 051f8e9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Renaming dqm->packets to dqm->packet_mgr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bde6d38
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Change a few function names (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bd2ff0d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Add error message when programing registers fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb6546c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Change the imprecise function name (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de44503
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: report pcie bandwidth to the kfd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d451b07
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: report xgmi bandwidth between direct peers to the kfd (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 84c6f33
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add psp command to get num xgmi links between direct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 58376b1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix documentaion for amdgpu_bo_add_to_shadow_list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bcc8df
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.145 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f98762f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.75 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23b42fb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Refine condition for cursor visibility (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 514bf56
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: add workaround for riommu invalidation request hang (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c260975
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: DCN2X Prefer ODM over bottom pipe to find second (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc7e9de
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Enable eDP ILR on DCN2.1 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd0cc76
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.144 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e2f91c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add copyright notice to new files (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22f0c55
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Reduce delay when sink device not able to ACK 00340h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e40807
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: add debug print for DCC validation failure (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de9b151
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.143 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48e5487
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.73 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0056c6a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: remove compbuf size wait (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c917843
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Extend dmub_cmd_psr_copy_settings_data struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 125c2ab
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: log additional register state for debug
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-display-Add-pstate-verification-and-recovery.patch.
- commit 594198e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Prevent Diags from entering S2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a2752a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Assume active upper layer owns the HW cursor (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82edd3f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: reset dpcd_cap.dpcd_rev for passive dongle. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 893ec09
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/ttm: optimize vram access in amdgpu_ttm_access_memory() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 34e9f97
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/ttm: replace duplicate code with exiting function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d893816
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: split amdgpu_device_access_vram() into two small parts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7da9a15
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/display: make a const array common_rates static, makes (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76f5d7a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: avoid printing ERROR for unknown CEA parse(v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 020f59e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Switch to LFB for USBC PD FW in psp v13 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50b0b36
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Switch to VRAM buffer for USBC PD FW. (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dccf07f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Resolve bug in UMC 6.7 error offset calculation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26eb19e
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/amdkfd: Only apply TLB flush optimization on ALdebaran" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76c124e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: initialize umc ras function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14f85ee
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: bump DRIVER_IF_VERSION for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1cb73c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: update the gpu metrics data retrieving for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 618d74d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: new SmuMetrics data structure for Sienna Cichlid (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a599bbb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: return -EFAULT if copy_to_user() fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f19f0c8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: unlock on error in amdgpu_ras_debugfs_table_read() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed2afa7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix signedness bug in __amdgpu_eeprom_xfer() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fb002fd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: fix a signedness bug in __verify_ras_table_checksum() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8839df
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: increase max EDID size to 2k (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 85b16e4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Round KHz up when calculating clock requests (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a231cfa
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: 3.2.142 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22f268f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: [FW Promotion] Release 0.0.72 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12e2fd5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Adjust types and formatting for future development (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 963a35c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add Freesync HDMI support to DM with DMUB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bf16c1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: Add null checks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ec915c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: DMUB Outbound Interrupt Process-X86 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fafade6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/display: isolate link training setting override to its own (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e10d257
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: The I2C IP doesn't support 0 writes/reads (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f992edc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: Add I2C quirk table to Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9b37af7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Read clock counter via MMIO to reduce delay
  (v5) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0005-drm-amdgpu-gfx10-add-wraparound-gpu-counter-check-fo.patch.
- commit 0b13dad
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdkfd: Only apply TLB flush optimization on ALdebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e519514
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: separate out vm pasid assignment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f802bf9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: use xarray for storing pasid in vm (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a293f15
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: show explicit name instead of id in psp_cmd_submit_buf (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09d3204
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add function to show psp_gfx_cmd name via id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6889192
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add function to show ucode name via id (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11f6c94
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: Simplify managed I2C transfer of Aldebaran (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bdc1dc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Correctly disable the I2C IP block (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b7945f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Use a single loop (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac8989d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: fix 64 bit divide in eeprom code (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d8c2af
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: RAS EEPROM table is now in debugfs (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- commit 5521837
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Optimize EEPROM RAS table I/O (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- commit 76632bc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Get rid of test function (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- commit 92040b7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Some renames (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e92e234
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Nerf buff (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1d998a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Use explicit cardinality for clarity (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- Refresh
  patches.suse/drm-amdgpu-Fix-koops-when-accessing-RAS-EEPROM.patch.
- commit d48060d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Simplify RAS EEPROM checksum calculations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 21e8235
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Return result fix in RAS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 427de6b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix width of I2C address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7247f68
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: Simplify managed I2C transfer functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b3ba86
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: Extend the I2C quirk table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f472928
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: EEPROM: add explicit read and write (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d9d108
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: RAS xfer to read/write (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- commit d638c57
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Rename misspelled function (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- commit b472fd4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: RAS: EEPROM --> RAS (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Drop-inline-from-amdgpu_ras_eeprom_max_re.patch.
- Refresh
  patches.suse/drm-amdgpu-Fix-amdgpu_ras_eeprom_init.patch.
- commit 205e93f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: I2C class is HWMON (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 096a671
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix wrap-around bugs in RAS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ef74cc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: RAS and FRU now use 19-bit I2C address (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ee8dc7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: I2C EEPROM full memory addressing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 556e3a7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: EEPROM respects I2C quirks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 315c396
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fixes to the AMDGPU EEPROM driver (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f031a7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Fix Vega20 I2C to be agnostic (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 480a955
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/pm: ADD I2C quirk adapter table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea197e0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amd/pm: SMU I2C: Return number of messages processed (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c1526f8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Send STOP for the last byte of msg only (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb9e5e4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Drop i > 0 restriction for issuing RESTART (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 40b1d39
* Sun Nov 27 2022 pjakobsson@suse.de
- dmr/amdgpu: Add RESTART handling also to smu_v11_0_i2c (VG20) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b94516
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Remember to wait 10ms for write buffer flush v2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0bf4688
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: only set restart on first cmd of the smu i2c transaction (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56e65a3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: rework smu11 i2c for generic operation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2fbb9b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add I2C_CLASS_HWMON to SMU i2c buses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e1bc48
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: i2c subsystem uses 7 bit addresses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c75429
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/ras: switch fru eeprom handling to use generic helper (v2) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c4da1d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/ras: switch ras eeprom handling to use generic helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e6f27a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add new helper for handling EEPROM i2c transfers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b00a3b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/pm: add smu i2c implementation for navi1x (v5) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit effbdea
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/pm: rework i2c xfers on arcturus (v5) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02146c0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu/pm: rework i2c xfers on sienna cichlid (v4) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6abc9af
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: add a mutex for the smu11 i2c bus (v2) (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amd-pm-avoid-duplicate-powergate-ungate-setting.patch.
- commit 265056c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/gem: Mark active before pinning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fdfb496
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Utilize gpu scheduler priorities (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 309a4b3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Drop struct_mutex in submit path (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e090009
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Drop submit bo_list (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-fix-potential-NULL-dereference-in-cleanup.patch.
- commit 5e29a13
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Conversion to drm scheduler (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8d73c1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Return ERR_PTR() from submit_create() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c10671
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Track "seqno" fences by idr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f12dd35
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Consolidate submit bo state (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Switch-ordering-of-runpm-put-vs-devfreq_idle.patch.
- commit 9dfbfc7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm/submit: Simplify out-fence-fd handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 012bdea
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: Drop drm_gem_object_put_locked() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fb8042
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: drop drm_gem_object_put_locked() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c757dd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Small submitqueue creation cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b9fc35
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Docs and misc cleanup (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25775e5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Devfreq tuning (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Switch-ordering-of-runpm-put-vs-devfreq_idle.patch.
- commit c88e4df
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Split out get_freq() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa71ea3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Split out devfreq handling (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-a6xx-Serialize-GMU-communication.patch.
- commit c6881e8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Signal fences sooner (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-msm-Switch-ordering-of-runpm-put-vs-devfreq_idle.patch.
- commit 8ab9c9b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: Let fences read directly from memptrs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d19400
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove unused struct (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1dab9d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove redundant variables (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e5b95c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: clarify usage of drm leases (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 651de01
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-sony-acx424akp: Modernize backlight handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0907f01
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Use 2.19 version number to recognize mks-stats
  ioctls (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-vmwgfx-Remove-unused-compile-options.patch.
- commit 8415029
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Be a lot more flexible with MOB limits (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a18e2f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Cleanup logging (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18e088b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Switch to using DRM_IOCTL_DEF_DRV (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3e2e311
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: mxsfb: Use bus_format from the nearest bridge if present (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ec6b34c
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: ssd1307fb: Cache address ranges (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03e4482
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: ssd1307fb: Optimize screen updates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3459901
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: ssd1307fb: Extract ssd1307fb_set_{col,page}_range() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57e6092
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: ssd1307fb: Simplify ssd1307fb_update_display() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d59ab7e
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: ssd1307fb: Propagate errors via (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 567de10
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: document DRM_IOCTL_MODE_RMFB (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e11296f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: add logging for RMFB ioctl (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cba86c0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/plane: Move drm_plane_enable_fb_damage_clips into core (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95c30b4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/plane: check that fb_damage is set up when used (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48a618f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/plane: remove drm_helper_get_plane_damage_clips (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aeba05a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: dw-mipi-dsi: Find the possible DSI devices (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e35400
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dsi: Add _NO_ to MIPI_DSI_* flags disabling features (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9918f32
* Sun Nov 27 2022 pjakobsson@suse.de
- video: ep93xx: Prepare clock before using it (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68396f2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: simple: Add support for two more AUO panels (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4c56dc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: document drm_property_enum.value for bitfields (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f65288
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/rockchip: dsi: add ability to work as a phy instead of
  full dsi (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-rockchip-dsi-Reconfigure-hardware-on-resume.patch.
- commit 1e2517e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/rockchip: dsi: add own additional pclk handling (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 883d5fe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/shmobile: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be9aa94
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/st7586: Use framebuffer dma-buf helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 454639b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/repaper: Use framebuffer dma-buf helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a6c2e3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gm12u320: Use framebuffer dma-buf helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c4330b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Use framebuffer dma-buf helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1fa4906
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mipi-dbi: Use framebuffer dma-buf helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2475eae
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/udl: Use framebuffer dma-buf helpers (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh patches.suse/drm-udl-Drop-unneeded-alignment.patch.
- commit 4443aff
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gem: Provide drm_gem_fb_{begin,end}_cpu_access() helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e8d845
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/hisilicon/hibmc: Remove variable 'priv' from hibmc_unload() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9588756
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/fourcc: Add modifier definitions for Arm Fixed Rate Compression (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97e339c
* Sun Nov 27 2022 pjakobsson@suse.de
- Documentation: gpu: Mention the requirements for new properties (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f89662
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: devfreq: Don't display error for EPROBE_DEFER (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ead3fa8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: lvds: Use dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e186e7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: lvds: Don't set bridge driver_private field (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 560d745
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: Use drm_bridge_connector_init() helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea0e36a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: dw-hdmi: Set output port number (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f319e2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: lvds: Convert to DRM panel bridge helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 673e787
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: dw-hdmi: Attach to next bridge if available (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf529cc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: Centralize error message when bridge attach fails (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a532fe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: rcar-du: Shutdown the display on remove (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1b34ef0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: make a const array static, makes object smaller (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0354f77
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: neofb: add a check against divide error (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e238e1b
* Sun Nov 27 2022 pjakobsson@suse.de
- video: fbdev: arcfb: remove redundant initialization of variable err (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c4e7868
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: don't pass a cookie to vga_client_register (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 628c092
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: remove the unused irq_set_state argument to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a02094c
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: provide a vga_client_unregister wrapper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 468b83b
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: cleanup vgaarb.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1f75a11
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: move the kerneldoc for vga_set_legacy_decoding to vgaarb.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c47536
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: remove vga_conflicts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9b557b
* Sun Nov 27 2022 pjakobsson@suse.de
- vgaarb: remove VGA_DEFAULT_DEVICE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35dfa2f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/v3d: Expose performance counters to userspace (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d65b98
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/print: fixup spelling in a comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 73850cb
* Sun Nov 27 2022 pjakobsson@suse.de
- dma_buf: remove dmabuf sysfs teardown before release
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/dma-buf-WARN-on-dmabuf-release-with-pending-attachme.patch.
- commit cdbddd4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bochs: Fix missing pci_disable_device() on error in (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 544c237
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ast: Zero is missing in detect function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 29a3309
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: Delete the DMA-BUF attachment sysfs statistics (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f4bbbe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ingenic: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b93917e
* Sun Nov 27 2022 pjakobsson@suse.de
- fbmem: Convert from atomic_t to refcount_t on fb_info->count (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b521ad
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/stm: dsi: compute the transition time from LP to HS and back (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7607abf
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/stm: ltdc: Silence -EPROBE_DEFER till bridge attached (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4830233
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: ws2401: Add driver for WideChips WS2401 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e25681
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dp: For drm_panel_dp_aux_backlight(), init backlight as disabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1eb33f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-simple: Power the panel when probing DP AUX backlight (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 401894d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/omapdrm: Remove outdated comment (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d03d3e0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vbox: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df404bc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/qxl: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63749d0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove drm_encoder->crtc usage (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-vc4-hdmi-Move-the-HSM-clock-enable-to-runtime_pm.patch.
- commit 24a24e0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Only call into DRM framework if registered (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 22763b8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Drop devm interrupt handler for hotplug interrupts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 92815c2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: Add Innolux EJ030NA 3.0" 320x480 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 841aeb8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/shmem-helper: Align to page size in dumb_create (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d1c4e71
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dp: Move panel DP AUX backlight support to drm_dp_helper (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e4d499
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: Use dma-buf mapping from shadow-plane state for composing (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 193e73e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: Inherit plane state from struct drm_shadow_plane_state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c8d229
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gem: Export implementation of shadow-plane helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 917340c
* Sun Nov 27 2022 pjakobsson@suse.de
- Revert "drm/vgem: Implement mmap as GEM object function" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a76d710
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: Mark deprecated operations in drm_bridge_funcs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 24f7fbe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost:fix the exception name always "UNKNOWN" (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8967941
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: nwl-dsi: Drop unused nwl_dsi_plat_clk_config (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d580603
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: simple: Add support for EDT ETM0350G0DH6 panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bbc67d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: simple: Add support for EDT ETMV570G2DHU panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8f22cf
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-simple: Add Samsung ATNA33XC20 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59e44d9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-simple: Update validation warnings for eDP panel (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e31a280
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-simple: Support for delays between GPIO & regulator (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a254a57
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel-simple: Support DP AUX backlight (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c70105
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: add basic DP AUX backlight support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3745be3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/msm: always wait for the exclusive fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ba3084
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: Create a debugfs file to get vkms config data (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9d825a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/nouveau: always wait for the exclusive fence (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0003-drm-nouveau-wait-for-the-exclusive-fence-after-the-s.patch.
- commit b5f4918
* Sun Nov 27 2022 tiwai@suse.de
- drm/amd/display: Add HUBP surface flip interrupt handler
  (git-fixes).
- USB: serial: option: add u-blox LARA-L6 modem (git-fixes).
- USB: serial: option: add u-blox LARA-R6 00B modem (git-fixes).
- USB: serial: option: remove old LARA-R6 PID (git-fixes).
- USB: serial: option: add Fibocom FM160 0x0111 composition
  (git-fixes).
- USB: serial: option: add Sierra Wireless EM9191 (git-fixes).
- usb: add NO_LPM quirk for Realforce 87U Keyboard (git-fixes).
- usb: cdns3: host: fix endless superspeed hub port reset
  (git-fixes).
- USB: bcma: Make GPIO explicitly optional (git-fixes).
- serial: 8250_lpss: Configure DMA also w/o DMA filter
  (git-fixes).
- docs: update mediator contact information in CoC doc
  (git-fixes).
- ALSA: usb-audio: Drop snd_BUG_ON() from
  snd_usbmidi_output_open() (git-fixes).
- mmc: sdhci-pci-o2micro: fix card detect fail issue caused by
  CD# debounce timeout (git-fixes).
- ACPI: x86: Add another system to quirk list for forcing
  StorageD3Enable (git-fixes).
- i2c: i801: add lis3lv02d's I2C address for Vostro 5568
  (git-fixes).
- i2c: tegra: Allocate DMA memory for DMA engine (git-fixes).
- drm/imx: imx-tve: Fix return type of
  imx_tve_connector_mode_valid (git-fixes).
- Bluetooth: L2CAP: Fix l2cap_global_chan_by_psm (git-fixes).
- ACPI: scan: Add LATT2021 to acpi_ignore_dep_ids[] (git-fixes).
- ASoC: codecs: jz4725b: Fix spelling mistake "Sourc" -> "Source",
  "Routee" -> "Route" (git-fixes).
- ASoC: codecs: jz4725b: fix capture selector naming (git-fixes).
- ASoC: codecs: jz4725b: use right control for Capture Volume
  (git-fixes).
- ASoC: codecs: jz4725b: fix reported volume for Master ctl
  (git-fixes).
- ASoC: codecs: jz4725b: add missed Line In power control bit
  (git-fixes).
- ASoC: Intel: sof_sdw: add quirk variant for LAPBC710 NUC15
  (git-fixes).
- ASoC: wm8962: Add an event handler for TEMP_HP and TEMP_SPK
  (git-fixes).
- ASoC: rt1019: Fix the TDM settings (git-fixes).
- ASoC: mt6660: Keep the pm_runtime enables before component
  stuff in mt6660_i2c_probe (git-fixes).
- selftests/intel_pstate: fix build for ARCH=x86_64 (git-fixes).
- wifi: wext: use flex array destination for memcpy() (git-fixes).
- docs, kprobes: Fix the wrong location of Kprobes (git-fixes).
- docs/core-api: expand Fedora instructions for GCC plugins
  (git-fixes).
- mtd: spi-nor: intel-spi: Disable write protection only if asked
  (git-fixes).
- commit 26e07a5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Add async_flush module parameter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e28119
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Add Raspberry Pi Pico ID (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5340c8c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Use scatter-gather USB bulk transfer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27e2ace
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gud: Free buffers on device removal (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd16f83
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/hisilicon/hibmc: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a841fd2
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Convert to Linux IRQ interfaces (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a9096c5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/arm/komeda: Don't include drm_irq.h (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb6dd6a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/meson: Convert to Linux IRQ interfaces (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-meson-Fix-error-handling-when-afbcd.ops-init-fai.patch.
- Refresh
  patches.suse/drm-meson-osd_afbcd-Add-an-exit-callback-to-struct-m.patch.
- commit 4e225bf
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/qxl: Remove empty qxl_gem_prime_mmap() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f98079f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: replace macro in vkms_release() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c7e6ed
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Limit noise when deferring snd card registration (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 123e12c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vgem: Implement mmap as GEM object function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00eade3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Constify LUT for programming bpp (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e80290a
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Extract device type and flags in mgag200_pci_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit daa1f30
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Inline mgag200_device_init() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5f354b3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mgag200: Don't pass flags to drm_dev_register() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 211d53c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vram-helper: Unexport drm_vram_helper_{alloc,release}_mm() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb3a97b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bochs: Use managed initialization for GEM VRAM helpers (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d362b70
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bochs: Move to tiny/ (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit faeee84
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dbi: Print errors for mipi_dbi_command() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a834f32
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: update the current status of todo list (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc36aa9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Increase the AS_ACTIVE polling timeout (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a366496
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Queue jobs on the hardware (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2a66b42
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Kill in-flight jobs on FD close (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e13d8fc
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Don't reset the GPU on job faults unless we really have (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76d23a4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Reset the GPU when the AS_ACTIVE bit is stuck (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a03317f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Disable the AS on unhandled page faults (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 83b3eae
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Make sure job interrupts are masked before resetting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 99053bd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Simplify the reset serialization logic (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aae8a08
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Use a threaded IRQ for job interrupts (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25d0bc1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Expose a helper to trigger a GPU reset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 18ef7fb
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Do the exception -> string translation using a table (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c2f5e3
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Drop the pfdev argument passed to (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e37c87f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Get rid of the unused JS_STATUS_EVENT_ACTIVE definition (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47decae
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Make ->run_job() return an ERR_PTR() when appropriate (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 906b046
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/sched: Allow using a dedicated workqueue for the
  timeout/fault tdr (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-scheduler-quieten-kernel-doc-warnings.patch.
- commit 1cd1f86
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/sched: Document what the timedout_job method should do (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f91508
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/zte: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9c5364
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/xlnx: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42e603b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f82d6cd
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vkms: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 596ddfe
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a265cad
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tidss: Don't use struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c787db
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tegra: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 888e1ca
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/sun4i: Don't set struct drm_device.irq_enabled (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0070-drm-aperture-Pass-DRM-driver-structure-instead-of-dr.patch.
- commit 2aaaf05
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/stm: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f0e2544
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/sti: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf0c752
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/rockchip: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1565a68
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/rcar-du: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4044e89
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/omapdrm: Track IRQ state in local device state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c0150f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/nouveau: Don't set struct drm_device.irq_enabled
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-nouveau-use-drm_dev_unplug-during-device-removal.patch.
- commit d3c46ca
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/mediatek: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cb0fda
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/imx/dcss: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d33eb59
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/imx: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 082d4c1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/kirin: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e784689
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/exynos: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb818ff
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/malidp: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae3c14c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/komeda: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a10b959
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/armada: Don't set struct drm_device.irq_enabled (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 745413e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/radeon: Track IRQ state in local device state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ba305e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/hibmc: Call drm_irq_uninstall() unconditionally (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 375d43c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: Track IRQ state in local device state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a896890
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/sched: Declare entity idle only after HW submission (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2ab98d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/tiny: drm_gem_simple_display_pipe_prepare_fb is the default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 327def9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/simple-helper: drm_gem_simple_display_pipe_prepare_fb as default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5aef926
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vram-helpers: Create DRM_GEM_VRAM_PLANE_HELPER_FUNCS (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39d4a25
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/armada: Remove prepare/cleanup_fb hooks (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63b44f1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/<driver>: drm_gem_plane_helper_prepare_fb is now the default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95ffd2b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/atomic-helper: make drm_gem_plane_helper_prepare_fb the default (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c9a0759
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: Document dma-buf implicit fencing/resv fencing rules (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fddb9c6
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: Switch to inline kerneldoc (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38b8e8b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gem: Tiny kernel clarification for drm_gem_fence_array_add (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd91ce8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Split connector creation to a function (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95a0634
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Group code in sections (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c81d954
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Wrap panel with panel-bridge
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/0001-drm-bridge-ti-sn65dsi86-Add-some-100-us-delays.patch.
- Refresh
  patches.suse/drm-bridge-ti-sn65dsi86-Fix-power-off-sequence.patch.
- commit a731143
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Use bitmask to store valid rates (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab20179
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Make enable GPIO optional (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e480f4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Fix implicit sync (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4cea92c
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Use xarray and helpers for depedency tracking (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0d24f1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panfrost: Shrink sched_lock (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95c7e2f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: switch gtt_mgr to counting used pages (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3a7a6fd
* Sun Nov 27 2022 pjakobsson@suse.de
- ydrm/amdgpu: always allow evicting to SYSTEM domain (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9fe39ce
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: user temporary GTT as bounce buffer (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 02960c7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ttm: add TTM_PL_FLAG_TEMPORARY flag v3 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6225d7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Remove firmware logic for MAI threshold setting (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23281a9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Set VC4_HDMI_MAI_CONFIG_FORMAT_REVERSE (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9be02ac
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Set HDMI_MAI_FMT (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8a106f0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: Mention the power state requirement on side-channel operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 987d8c0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dp_helper: Mention the concurrency requirement hw_mutex (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1131c69
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dp_helper: Rework the drm_dp_aux documentation (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ce65a1
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/virtio: Add the fence in resource_flush if present (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9fb03e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/virtio: Prepare resource_flush to accept a fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef326b6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/virtio: Add fences for Guest blobs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1d21803
* Sun Nov 27 2022 pjakobsson@suse.de
- udmabuf: configurable list_limit and size_limit_mb (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 462891b
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: Document non-dynamic exporter expectations better (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8097e7
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: rework dma_resv handling v3 (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-amdgpu-Check-BO-s-requested-pinning-domains-agai.patch.
- commit 75e58ae
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/amdgpu: unwrap fence chains in the explicit sync fence (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2460e84
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: ti-sn65dsi83: Retrieve the display mode from the state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 863e4a8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: ti-sn65dsi83: Retrieve output format from bridge state (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b08b40
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: ti-sn65dsi83: Switch to atomic operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bda2f6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: ti-sn65dsi83: Pass mode explicitly to helper functions (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4ed3d9
* Sun Nov 27 2022 pjakobsson@suse.de
- drm: bridge: ti-sn65dsi83: Move LVDS format selection to .mode_set() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36c6929
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: Add bus_format and bus_flags for EDT ETM0430G0DH6 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8deb1d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: Add connector_type for some EDT displays (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b8ee8d5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: Add connector_type and bus_format for AUO G104SN02 V2 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adfbd91
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Replace connector format patching with (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62259c0
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/gma500/oaktrail_lvds: replace continue with break
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/drm-gma500-Fix-end-of-loop-tests-for-list_for_each_e.patch.
- commit d02b9b7
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: Document DMA_BUF_IOCTL_SYNC (v3) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d5e485
* Sun Nov 27 2022 pjakobsson@suse.de
- fbdev/omap2: use DEFINE_SPINLOCK() instead of spin_lock_init(). (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 020ce90
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Fix build issues in mksGuestStats discovered by the (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0761b4
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Update device headers (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/0002-drm-vmwgfx-Remove-unused-compile-options.patch.
- Refresh patches.suse/drm-vmwgfx-Fix-fencing-on-SVGAv3.patch.
- commit a80b690
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Rely on interrupts to handle hotplug (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64267a6
* Sun Nov 27 2022 pjakobsson@suse.de
- drivers: gpu: add missing MODULE_DEVICE_TABLE in anx7625.c (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fd5708
* Sun Nov 27 2022 pjakobsson@suse.de
- dmabuf: Add the capability to expose DMA-BUF stats in
  sysfs (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/dma-buf-WARN-on-dmabuf-release-with-pending-attachme.patch.
- commit e3b7e66
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/ast: Add detect function support (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35fd111
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: s6e63m0: Switch to DBI abstraction for SPI (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1a70409
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/dbi: Support DBI typec1 read operations (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 89deebb
* Sun Nov 27 2022 pjakobsson@suse.de
- dma-buf: some dma_fence_chain improvements (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3747384
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/doc: document drm_mode_get_plane (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c9128d
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Remove vmw_chipset (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c544df6
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Refactor vmw_mksstat_remove_ioctl to expect pgid match (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3eadd5f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: inline access to the pages from the piter (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 517f12e
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: remove code that was using physical page addresses (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32c4960
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Introduce VMware mks-guest-stats (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222
  jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/treewide-replace-the-use-of-mem_encrypt_active-with-cc_platform_has.
- commit 52e1eee
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/vmwgfx: Simplify devcaps code (jsc#PED-1166 jsc#PED-1168
  jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-vmwgfx-Remove-explicit-transparent-hugepages-sup.patch.
- commit 8ae992b
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Improve probe errors with
  dev_err_probe() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170
  jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223
  jsc#PED-1225).
- Refresh
  patches.suse/drm-bridge-ti-sn65dsi86-Properly-undo-autosuspend.patch.
- commit aa204b5
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Don't read EDID blob over DDC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit de2eb28
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Add support for the DP AUX bus (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a2c464
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi86: Promote the AUX channel to its own sub-dev (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82e6114
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: panel-simple: Stash DP AUX bus; allow using it for DDC (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07ab247
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: panel-simple: Allow panel-simple be a DP AUX endpoint (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc1d1c8
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/panel: db7430: Add driver for Samsung DB7430 (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 80c2a78
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/doc: document how userspace should find out CRTC index (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f1b77c
* Sun Nov 27 2022 pjakobsson@suse.de
- udmabuf: Add support for mapping hugepages (v4) (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 767e704
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Add basic DPCD backlight support for nouveau (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b11c58f
* Sun Nov 27 2022 pjakobsson@suse.de
- drm/bridge: ti-sn65dsi83: Fix sparse warnings (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7faa5d
* Sun Nov 27 2022 pjakobsson@suse.de
- gpu: Bulk conversion to generic_handle_domain_irq() (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5554d31
* Sun Nov 27 2022 krisman@suse.de
- io_uring: prolong tctx_task_work() with flushing (bsc#1205205).
- io_uring: don't disable kiocb_done() CQE batching (bsc#1205205).
- commit f88b3ff
* Sun Nov 27 2022 krisman@suse.de
- io_uring: ensure IORING_REGISTER_IOWQ_MAX_WORKERS works with
  SQPOLL (git-fixes).
- commit 8665d84
* Sat Nov 26 2022 hare@suse.de
- block: pass a block_device and opf to bio_alloc (jsc#PED-1183).
- commit 9fec4ac
* Sat Nov 26 2022 hare@suse.de
- block: remove genhd.h (jsc#PED-1183).
- Refresh
  patches.suse/0006-nvdimm-blk-Delete-the-block-aperture-window-driver.patch.
- Refresh
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
- Refresh patches.suse/target-add-rbd-backend.patch.
- commit dd0982a
* Sat Nov 26 2022 ailiop@suse.com
- Refresh
  patches.suse/xfs-move-recovery-needed-state-updates-to-xfs_log_mo.patch.
- commit 4ec24fa
* Sat Nov 26 2022 tiwai@suse.de
- regulator: twl6030: re-add TWL6032_SUBCLASS (git-fixes).
- regulator: core: fix UAF in destroy_regulator() (git-fixes).
- regulator: core: fix kobject release warning and memory leak
  in regulator_register() (git-fixes).
- nilfs2: fix nilfs_sufile_mark_dirty() not set segment usage
  as dirty (git-fixes).
- ASoC: max98373: Add checks for devm_kcalloc (git-fixes).
- ASoC: soc-pcm: Don't zero TDM masks in __soc_pcm_open()
  (git-fixes).
- net: thunderx: Fix the ACPI memory leak (git-fixes).
- nfc: st-nci: fix incorrect sizing calculations in
  EVT_TRANSACTION (git-fixes).
- nfc: st-nci: fix memory leaks in EVT_TRANSACTION (git-fixes).
- nfc: st-nci: fix incorrect validating logic in EVT_TRANSACTION
  (git-fixes).
- arcnet: fix potential memory leak in com20020_probe()
  (git-fixes).
- NFC: nci: fix memory leak in nci_rx_data_packet() (git-fixes).
- nfc: s3fwrn5: Fix potential memory leak in s3fwrn5_nci_send()
  (git-fixes).
- nfc: nxp-nci: Fix potential memory leak in nxp_nci_send()
  (git-fixes).
- nfc: nfcmrvl: Fix potential memory leak in
  nfcmrvl_i2c_nci_send() (git-fixes).
- macsec: Fix invalid error code set (git-fixes).
- nfc/nci: fix race with opening and closing (git-fixes).
- arm64: dts: rockchip: lower rk3399-puma-haikou SD controller
  clock frequency (git-fixes).
- arm64: dts: rockchip: add enable-strobe-pulldown to emmc phy
  on nanopi4 (git-fixes).
- ARM: dts: am335x-pcm-953: Define fixed regulators in root node
  (git-fixes).
- ARM: dts: imx6q-prti6q: Fix ref/tcxo-clock-frequency properties
  (git-fixes).
- ARM: mxs: fix memory leak in mxs_machine_init() (git-fixes).
- bus: sunxi-rsb: Support atomic transfers (git-fixes).
- bus: sunxi-rsb: Remove the shutdown callback (git-fixes).
- ARM: dts: at91: sam9g20ek: enable udc vbus gpio pinctrl
  (git-fixes).
- commit 39ef4db
* Fri Nov 25 2022 lduncan@suse.com
- scsi: libsas: Add sas_execute_ata_cmd() (jsc#PED-1559).
- Refresh
  patches.suse/scsi-hisi_sas-Use-libsas-internal-abort-support.patch.
- Refresh
  patches.suse/scsi-libsas-Add-sas_execute_internal_abort_single.patch.
- commit 5a1236d
* Fri Nov 25 2022 krisman@suse.de
- io_uring: don't submit half-prepared drain request
  (bsc#1205205).
- io_uring: fix queueing half-created requests (bsc#1205205).
- io_uring: allow updating linked timeouts (bsc#1205205).
- io_uring: keep ltimeouts in a list (bsc#1205205).
- io_uring: support CLOCK_BOOTTIME/REALTIME for timeouts
  (bsc#1205205).
  Refresh patches
  - patches.suse/io_uring-Fix-undefined-behaviour-in-io_issue_sqe.patch
  - patches.suse/io_uring-fix-race-between-timeout-flush-and-removal.patch
  The two patches above were originally backported to SLE15SP4 without the
  CLOCK_BOOTTIME/CLOCK_REALTIME support.  Now that we have added it,
  revert them the upstream version.
- io_uring: add build check for buf_index overflows (bsc#1205205).
- io_uring: clarify io_req_task_cancel() locking (bsc#1205205).
- io_uring: add task-refs-get helper (bsc#1205205).
- io_uring: fix failed linkchain code logic (bsc#1205205).
- io_uring: remove redundant req_set_fail() (bsc#1205205).
- io_uring: don't free request to slab (bsc#1205205).
- io_uring: accept directly into fixed file table (bsc#1205205).
- io_uring: hand code io_accept() fd installing (bsc#1205205).
- io_uring: openat directly into fixed fd table (bsc#1205205).
- net: add accept helper not installing fd (bsc#1205205).
- commit e2e9bda
* Fri Nov 25 2022 hare@suse.de
- blk-mq: make the blk-mq stacking code optional (jsc#PED-1183).
- Update config files.
- commit 34d3c59
* Fri Nov 25 2022 hare@suse.de
- block: partition include/linux/blk-cgroup.h (jsc#PED-1183).
- Refresh
  patches.suse/blk-cgroup-move-blkcg_-get-set-_fc_appid-out-of-line.patch.
- Refresh
  patches.suse/block-don-t-merge-across-cgroup-boundaries-if-blkcg-.patch.
- commit fb586a6
* Fri Nov 25 2022 denis.kirjanov@suse.com
- l2tp: Serialize access to sk_user_data with sk_callback_lock
  (bsc#1205711 CVE-2022-4129).
- commit ad37086
* Fri Nov 25 2022 denis.kirjanov@suse.com
- Update metadata references
- commit a01d008
* Fri Nov 25 2022 hare@suse.de
- block: don't print I/O error warning for dead disks
  (jsc#PED-1183).
- commit b0478a6
* Fri Nov 25 2022 hare@suse.de
- block/compat_ioctl: fix range check in BLKGETSIZE
  (jsc#PED-1183).
- blacklist.conf:
- commit c948a97
* Fri Nov 25 2022 hare@suse.de
- scsi: ufs: core: Fix referencing invalid rsp field
  (jsc#PED-818).
- commit 6dcae72
* Fri Nov 25 2022 hare@suse.de
- block: null_blk: end timed out poll request (jsc#PED-1183).
- block: fix offset/size check in bio_trim() (jsc#PED-1183).
- commit 38db113
* Fri Nov 25 2022 hare@suse.de
- scsi: ufs: ufshpb: Fix a NULL check on list iterator
  (jsc#PED-818).
- scsi: ufs: qcom: Drop custom Android boot parameters
  (jsc#PED-818).
- scsi: ufs: core: Remove unused field in struct ufs_hba
  (jsc#PED-818).
- commit efe66f0
* Fri Nov 25 2022 hare@suse.de
- blk-wbt: remove wbt_track stub (jsc#PED-1183).
- block: use dedicated list iterator variable (jsc#PED-1183).
- block: restore the old set_task_ioprio() behaviour wrt
  PF_EXITING (jsc#PED-1183).
- block: avoid calling blkg_free() in atomic context
  (jsc#PED-1183).
- commit 190abd9
* Fri Nov 25 2022 hare@suse.de
- scsi: ufs: core: Remove wlun_dev_to_hba() (jsc#PED-818).
- commit bc573c6
* Fri Nov 25 2022 hare@suse.de
- scsi: ufs: Add checking lifetime attribute for WriteBooster
  (jsc#PED-818).
- commit d340099
* Fri Nov 25 2022 hare@suse.de
- null_blk: null_alloc_page() cleanup (jsc#PED-1183).
- null_blk: remove hardcoded null_alloc_page() param
  (jsc#PED-1183).
- null_blk: remove hardcoded alloc_cmd() parameter (jsc#PED-1183).
- null_blk: fix return value from null_add_dev() (jsc#PED-1183).
- block: cancel all throttled bios in del_gendisk()
  (jsc#PED-1183).
- block: let blkcg_gq grab request queue's refcnt (jsc#PED-1183).
- block: avoid use-after-free on throttle data (jsc#PED-1183).
- block/bfq-iosched: Fix spelling mistake "tenative" ->
  "tentative" (jsc#PED-1183).
- block: flush plug based on hardware and software queue order
  (jsc#PED-1183).
- block: ensure plug merging checks the correct queue at least
  once (jsc#PED-1183).
- commit 817d39e
* Fri Nov 25 2022 hare@suse.de
- block: release rq qos structures for queue without disk
  (jsc#PED-1183).
- commit 5a1a3b8
* Fri Nov 25 2022 hare@suse.de
- mmc: block: Add error handling support for add_disk()
  (jsc#PED-1183).
- commit 545c180
* Fri Nov 25 2022 mbrugger@suse.com
- arm64: Update config files. (jsc#PED-1763)
  Mark TEGRA186_GPC_DMA as build-in.
- commit 0cf7f6c
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/qedr: clean up work queue on failure in qedr_alloc_resources() (git-fixes)
- commit 396a739
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/core: Fix null-ptr-deref in ib_core_cleanup() (git-fixes)
- commit 981cb44
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Disable local invalidate operation (git-fixes)
- commit 90ecfab
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- IB/hfi1: Correctly move list in sc_disable() (git-fixes)
- commit fa439f0
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/cma: Use output interface for net_dev check (git-fixes)
- commit 568074d
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- IB: Set IOVA/LENGTH on IB_MR in core/uverbs layers (git-fixes)
- commit 569a9cb
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/cm: Use SLID in the work completion as the DLID in responder side (git-fixes)
- commit e86643f
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Use s/g array in post send only when its valid (git-fixes)
- commit 6692dc0
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/mlx5: Set local port to one when accessing counters (git-fixes)
- commit 9acd436
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Remove the num_qpc_timer variable (git-fixes)
- commit 89b5b80
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Fix wrong fixed value of qp->rq.wqe_shift (git-fixes)
- commit c586fc0
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Fix supported page size (git-fixes)
- commit 64653d9
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/rtrs-clt: Use the right sg_cnt after ib_dma_map_sg (git-fixes)
- commit 78022ca
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Limit the number of calls to each tasklet (git-fixes)
- commit 37d447b
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hfi1: fix potential memory leak in setup_base_ctxt() (git-fixes)
- commit ba2976b
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Fix incorrect clearing of interrupt status register (git-fixes)
- commit 97ffea6
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/rtrs-srv: Fix modinfo output for stringify (git-fixes)
- commit 46a2a2b
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0445-drm-i915-Revert-guc_id-from-i915_request-tracepoint.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab2b0a9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-i915-dp-Skip-the-HW-readout-of-DPCD-on-disabled-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fe5101
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-i915-Catch-yet-another-unconditioal-clflush.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc4b3d6
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-i915-Convert-unconditional-clflush-to-drm_clflus.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a7fbd9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-i915-Remove-memory-frequency-calculation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c61ed2
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-ttm-fix-memleak-in-ttm_transfered_destroy.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 502ee6f
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-display-Fix-deadlock-when-falling-back-to-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 5d7b60a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fallback-to-clocks-which-meet-reques.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c9bdfe
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-support-B0-B1-external-revision-id-for-ye.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36769a5
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Moved-dccg-init-to-after-bios-golden.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 16eec6e
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Increase-watermark-latencies-for-DCN.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 496c47d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-increase-Z9-latency-to-workaround-un.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6068c05
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Require-immediate-flip-support-for-D.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f0d59a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-prefetch-bandwidth-calculation-f.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 88ce582
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Limit-display-scaling-to-up-to-true-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1083d93
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Enable-ADV-bridge-after-modeset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05817e1
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Corrected-typo-in-handle_lcd_irq.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6d36c06
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Disable-change-of-plane-parameters.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6524c1
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Remove-clearing-DPHY-regs.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6c82f2c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Limit-supported-mode-to-1080p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ba3a71
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Work-around-for-higher-system-clock.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78b904c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-panel-ilitek-ili9881c-Fix-sync-for-Feixin-K101-I.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bb75447
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-mxsfb-Fix-NULL-pointer-dereference-crash-on-unlo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c47375
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-panel-olimex-lcd-olinuxino-select-CRC32.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e648c44
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-r128-fix-build-for-UML.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c77d95b
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-nouveau-fifo-Reinstate-the-correct-engine-bit-pr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11c557e
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-hyperv-Fix-double-mouse-pointers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c0262f
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-fbdev-Clamp-fbdev-surface-size-if-too-large.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00c13b4
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-edid-In-connector_bad_edid-cap-num_of_ext-by-num.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c670232
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0440-drm-i915-Free-the-returned-object-of-acpi_evaluate_d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6e9201a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0439-drm-i915-Fix-bug-in-user-proto-context-creation-that.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39bb1d6
* Fri Nov 25 2022 pjakobsson@suse.de
- Update 0438-drm-i915-remember-to-call-i915_sw_fence_fini.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c70fd5c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-msm-dsi-fix-off-by-one-in-dsi_bus_clk_enable-err.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f82587a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-msm-dsi-Fix-an-error-code-in-msm_dsi_modeset_ini.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81c6500
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-msm-dsi-dsi_phy_14nm-Take-ready-bit-into-account.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ed85a3
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-msm-dsi-phy-fix-clock-names-in-28nm_8960-phy.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d9ffcf5
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-msm-dpu-Fix-address-of-SM8150-PINGPONG5-IRQ-regi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94e80fc
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-msm-Do-not-run-snapshot-on-non-DPU-devices.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d445260
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-msm-a3xx-fix-error-handling-in-a3xx_gpu_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 710f423
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-msm-a4xx-fix-error-handling-in-a4xx_gpu_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 187d474
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-msm-Fix-null-pointer-dereference-on-pointer-edp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5258ce
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-msm-mdp5-fix-cursor-related-warnings.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 878a0c9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-msm-Avoid-potential-overflow-in-timeout_to_jiffi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 182b15f
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-only-signal-audio-when-disconnected-detec.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 5657a5e
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-a6xx-Serialize-GMU-communication.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 6d30272
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-display-Fix-detection-of-4-lane-for-DPALT.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e646f42
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Limit-display-scaling-to-up-to-4k-fo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9d17f82
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-handle-the-case-of-pci_channel_io_frozen-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e08d4a7
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amdgpu-init-iommu-after-amdkfd-device-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ea453d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-display-fix-dependencies-for-DRM_AMD_DC_S.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c6ad72
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-During-s0ix-don-t-wait-to-signal-GFXOFF.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 153028e
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amdkfd-fix-a-potential-ttm-sg-memory-leak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e4f21c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-display-USB4-bring-up-set-correct-address.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d9c25d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-display-Fix-DCN3-B0-DP-Alt-Mapping.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e28b80
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-display-Fix-B0-USB-C-DP-Alt-mode.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a65701
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-nouveau-debugfs-fix-file-release-memory-leak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8646d91
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-nouveau-kms-nv50-fix-file-release-memory-leak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 651dfd8
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-nouveau-avoid-a-use-after-free-when-BO-init-fail.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ee26177
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  video-fbdev-gbefb-Only-instantiate-device-when-built.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c079d8
* Fri Nov 25 2022 pjakobsson@suse.de
- Update fbdev-simplefb-fix-Kconfig-dependencies.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9995d6a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-panel-abt-y030xx067a-yellow-tint-fix.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6886ec
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-nouveau-fifo-ga102-initialise-chid-on-return-fro.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a48e98
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-nouveau-ga102-support-ttm-buffer-moves-via-copy-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d748ad3
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-nouveau-kms-tu102-delay-enabling-cursor-until-af.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 113f404
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-sun4i-dw-hdmi-Fix-HDMI-PHY-clock-setup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2bfc823
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-kmb-Enable-alpha-blended-second-plane.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d46b91
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-i915-Extend-the-async-flip-VT-d-w-a-to-skl-bxt.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 867b25b
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-i915-bdb-Fix-version-check.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ea6895d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-i915-tc-Fix-TypeC-port-init-resume-time-sanitiza.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed142f9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-i915-Fix-runtime-pm-handling-in-i915_gem_shrink.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db4531a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-i915-audio-Use-BIOS-provided-value-for-RKL-HDA-l.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d70d95c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update 0432-drm-i915-fix-blank-screen-booting-crashes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6730302
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Remove useless pkt parameters (git-fixes)
- commit 06b2d37
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-force-exit-gfxoff-on-sdma-resume-for-rmb-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f98971e
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-check-tiling-flags-when-creating-FB-on-GF.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7788d33
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-display-Pass-PCI-deviceid-into-DC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a430ed
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-initialize-backlight_ramping_overrid.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fe09b35
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-correct-initial-cp_hqd_quantum-for-gfx9.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc27e28
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-Display-Flicker-on-embedded-pane.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7cf56d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-i915-Remove-warning-from-the-rps-worker.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e93f649
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-i915-request-fix-early-tracepoints.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e5151cd
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0429-drm-i915-guc-docs-Fix-pdfdocs-build-error-by-removin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c28a83
* Fri Nov 25 2022 pjakobsson@suse.de
- Update 0427-drm-i915-Free-all-DMC-payloads.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27d94b7
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0426-drm-i915-Move-__i915_gem_free_object-to-ttm_bo_destr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 44c73f5
* Fri Nov 25 2022 pjakobsson@suse.de
- Update 0425-drm-i915-Update-memory-bandwidth-parameters.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df452f2
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-pm-Update-intermediate-power-state-for-SI.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bfe659
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amdkfd-fix-dma-mapping-leaking-warning.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07db0a4
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-nouveau-nvkm-Replace-ENOSYS-with-ENODEV.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8de1471
* Fri Nov 25 2022 pjakobsson@suse.de
- Update Revert-drm-vc4-hdmi-runtime-PM-changes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b4e9801
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0001-drm-amd-display-Fix-white-screen-page-fault-for-gpuv.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad120ee
* Fri Nov 25 2022 pjakobsson@suse.de
- Update amd-display-enable-panel-orientation-quirks.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6e39c0
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/cm: Fix memory leak in ib_cm_insert_listen (git-fixes)
- commit 7ec3772
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amd-pm-fix-runpm-hang-when-amdgpu-loaded-prior-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 8fb4bcd
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hfi1: Prevent panic when SDMA is disabled (git-fixes)
- commit ba8caf3
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hfi1: Prevent use of lock before it is initialized (git-fixes)
- commit b510b17
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Use hr_reg_xxx() instead of remaining roce_set_xxx() (git-fixes)
- commit 6c11e07
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Remove the num_cqc_timer variable (git-fixes)
- commit ed86cd6
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Correct the type of variables participating in the shift operation (git-fixes)
- commit cecc570
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Replace tab with space in the right-side comments (git-fixes)
- commit 4c89a77
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Fix deadlock in irdma_cleanup_cm_core() (git-fixes)
- commit 40de52c
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Remove unnecessary check for the sgid_attr when modifying QP (git-fixes)
- commit 36c1898
* Fri Nov 25 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Remove magic number (git-fixes)
- commit 014def9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-radeon-pass-drm-dev-radeon_agp_head_init-directl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a167e5
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-move-iommu_resume-before-ip-init-resume.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8fa38a9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amdgpu-add-amdgpu_amdkfd_resume_iommu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 96fbdd9
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-separate-kfd_iommu_resume-from-kfd_resume.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b04f55c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Link-training-retry-fix-for-abort-ca.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae98a9b
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-unstable-HPCP-compliance-on-Chro.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9890cef
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-dsc-mst-2-4K-displays-go-dark-with-2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd4a448
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Get-backlight-from-PWM-if-DMCU-is-no.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3ead21
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdkfd-make-needs_pcie_atomics-FW-version-depend.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 1742bd1
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amdgpu-use-IS_ERR-for-debugfs-APIs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69ad37a
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  amd-display-downgrade-validation-failure-log-level.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f1dcb3d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  drm-amd-pm-fix-the-issue-of-uploading-powerplay-tabl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f4ea45
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-amd-amdgpu-Increase-HWIP_MAX_INSTANCE-to-10.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddd223c
* Fri Nov 25 2022 pjakobsson@suse.de
- Update 0424-drm-i915-Enable-Wsometimes-uninitialized.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 069adbf
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0423-drm-i915-selftests-Always-initialize-err-in-igt_dmab.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ece60d
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0422-drm-i915-selftests-Do-not-use-import_obj-uninitializ.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ab3f15
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0421-drm-i915-Get-PM-ref-before-accessing-HW-register.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2f2ada
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0420-drm-i915-Release-ctx-syncobj-on-final-put-not-on-ctx.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10a1c65
* Fri Nov 25 2022 pjakobsson@suse.de
- Update 0419-drm-i915-gem-Fix-the-mman-selftest.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a885269
* Fri Nov 25 2022 pjakobsson@suse.de
- Update drm-i915-dp-Use-max-params-for-panels-eDP-1.4.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 122c708
* Fri Nov 25 2022 mbrugger@suse.com
- dt-bindings: tegra: Update headers for Tegra234 (jsc#PED-1763).
- dt-bindings: Add headers for NVDEC on Tegra234 (jsc#PED-1763).
- spi: tegra210-quad: Don't initialise DMA if not supported
  (jsc#PED-1763).
- commit 848770d
* Fri Nov 25 2022 shung-hsi.yu@suse.com
- bpf, arm64: Feed byte-offset into bpf line info (jsc#PED-1368).
- bpf, arm64: Call build_prologue() first in first JIT pass
  (jsc#PED-1368).
- bpf: Fix issue with bpf preload module taking over stdout/stdin
  of kernel (jsc#PED-1368).
- bpftool: Bpf skeletons assert type sizes (jsc#PED-1368).
- bpf: Cleanup comments (jsc#PED-1368).
- libbpf: Simplify the find_elf_sec_sz() function (jsc#PED-1368).
- bpftool: Remove usage of reallocarray() (jsc#PED-1368).
- libbpf: Remove redundant check in btf_fixup_datasec()
  (jsc#PED-1368).
- selftests/bpf: Add test for reg2btf_ids out of bounds access
  (jsc#PED-1368).
- selftests/bpf: Fix btfgen tests (jsc#PED-1368).
- bpf: Initialize ret to 0 inside btf_populate_kfunc_set()
  (jsc#PED-1368).
- selftests/bpf: Fix a clang deprecated-declarations compilation
  error (jsc#PED-1368).
- bpf: Call maybe_wait_bpf_programs() only once from
  generic_map_delete_batch() (jsc#PED-1368).
- bpf: selftests: test skb->tstamp in redirect_neigh
  (jsc#PED-1368).
- bpf: Add __sk_buff->delivery_time_type and
  bpf_skb_set_skb_delivery_time() (jsc#PED-1368).
- bpf: Keep the (rcv) timestamp behavior for the existing
  tc-bpf@ingress (jsc#PED-1368).
- Refresh patches.suse/io_uring-af_unix-defer-registered-files-gc-to-io_uri.patch
- net: ipv6: Get rcv timestamp if needed when handling hop-by-hop
  IOAM option (jsc#PED-1368).
- net: ipv6: Handle delivery_time in ipv6 defrag (jsc#PED-1368).
- net: ip: Handle delivery_time in ip defrag (jsc#PED-1368).
- net: Set skb->mono_delivery_time and clear it after
  sch_handle_ingress() (jsc#PED-1368).
- net: Clear mono_delivery_time bit in __skb_tstamp_tx()
  (jsc#PED-1368).
- net: Handle delivery_time in skb->tstamp during network tapping
  with af_packet (jsc#PED-1368).
- net: Add skb_clear_tstamp() to keep the mono delivery_time
  (jsc#PED-1368).
- net: Add skb->mono_delivery_time to distinguish mono
  delivery_time from (rcv) timestamp (jsc#PED-1368).
- Refresh patches.suse/io_uring-af_unix-defer-registered-files-gc-to-io_uri.patch
- bpf: bpf_prog_pack: Set proper size before freeing ro_header
  (jsc#PED-1368).
- selftests/bpf: Fix crash in core_reloc when bpftool btfgen fails
  (jsc#PED-1368).
- selftests/bpf: Fix vmtest.sh to launch smp vm (jsc#PED-1368).
- libbpf: Fix memleak in libbpf_netlink_recv() (jsc#PED-1368).
- bpftool: Fix C++ additions to skeleton (jsc#PED-1368).
- bpftool: Fix pretty print dump for maps without BTF loaded
  (jsc#PED-1368).
- selftests/bpf: Test "bpftool gen min_core_btf" (jsc#PED-1368).
- bpftool: Gen min_core_btf explanation and examples
  (jsc#PED-1368).
- bpftool: Implement btfgen_get_btf() (jsc#PED-1368).
- bpftool: Implement "gen min_core_btf" logic (jsc#PED-1368).
- bpftool: Add gen min_core_btf command (jsc#PED-1368).
- libbpf: Expose bpf_core_{add,free}_cands() to bpftool
  (jsc#PED-1368).
- libbpf: Split bpf_core_apply_relo() (jsc#PED-1368).
- bpf: Reject kfunc calls that overflow insn->imm (jsc#PED-1368).
- selftests/bpf: Add Skeleton templated wrapper as an example
  (jsc#PED-1368).
- bpftool: Add C++-specific open/load/etc skeleton wrappers
  (jsc#PED-1368).
- selftests/bpf: Fix GCC11 compiler warnings in -O2 mode
  (jsc#PED-1368).
- bpftool: Fix the error when lookup in no-btf maps
  (jsc#PED-1368).
- libbpf: Use dynamically allocated buffer when receiving netlink
  messages (jsc#PED-1368).
- bpftool: Update versioning scheme, align on libbpf's version
  number (jsc#PED-1368).
- bpftool: Add libbpf's version number to "bpftool version"
  output (jsc#PED-1368).
- bpf: Fix bpf_prog_pack build for ppc64_defconfig (jsc#PED-1368).
- selftest/bpf: Check invalid length in test_xdp_update_frags
  (jsc#PED-1368).
- bpf: Convert bpf_preload.ko to use light skeleton
  (jsc#PED-1368).
- bpf: Update iterators.lskel.h (jsc#PED-1368).
- bpftool: Generalize light skeleton generation (jsc#PED-1368).
- libbpf: Prepare light skeleton for the kernel (jsc#PED-1368).
- bpf: Extend sys_bpf commands for bpf_syscall programs
  (jsc#PED-1368).
- selftests/bpf: Cover 4-byte load from remote_port in
  bpf_sk_lookup (jsc#PED-1368).
- bpf: Make remote_port field in struct bpf_sk_lookup 16-bit wide
  (jsc#PED-1368).
- libbpf: Fix compilation warning due to mismatched printf format
  (jsc#PED-1368).
- selftests/bpf: Test BPF_KPROBE_SYSCALL macro (jsc#PED-1368).
- libbpf: Add BPF_KPROBE_SYSCALL macro (jsc#PED-1368).
- libbpf: Fix accessing the first syscall argument on s390
  (jsc#PED-1368).
- libbpf: Fix accessing the first syscall argument on arm64
  (jsc#PED-1368).
- libbpf: Allow overriding PT_REGS_PARM1{_CORE}_SYSCALL
  (jsc#PED-1368).
- selftests/bpf: Skip test_bpf_syscall_macro's syscall_arg1 on
  arm64 and s390 (jsc#PED-1368).
- libbpf: Fix accessing syscall arguments on riscv (jsc#PED-1368).
- libbpf: Fix riscv register names (jsc#PED-1368).
- libbpf: Fix accessing syscall arguments on powerpc
  (jsc#PED-1368).
- selftests/bpf: Use PT_REGS_SYSCALL_REGS in bpf_syscall_macro
  (jsc#PED-1368).
- libbpf: Add PT_REGS_SYSCALL_REGS macro (jsc#PED-1368).
- selftests/bpf: Fix an endianness issue in bpf_syscall_macro test
  (jsc#PED-1368).
- bpf: Fix bpf_prog_pack build HPAGE_PMD_SIZE (jsc#PED-1368).
- bpf: Fix leftover header->pages in sparc and powerpc code
  (jsc#PED-1368).
- libbpf: Fix signedness bug in btf_dump_array_data()
  (jsc#PED-1368).
- selftests/bpf: Do not export subtest as standalone test
  (jsc#PED-1368).
- bpf, x86_64: Fail gracefully on bpf_jit_binary_pack_finalize
  failures (jsc#PED-1368).
- bpf: test_run: Fix overflow in bpf_test_finish frags parsing
  (jsc#PED-1368).
- bpf: test_run: Fix overflow in xdp frags parsing (jsc#PED-1368).
- bpf, x86_64: Use bpf_jit_binary_pack_alloc (jsc#PED-1368).
- bpf: Introduce bpf_jit_binary_pack_[alloc|finalize|free]
  (jsc#PED-1368).
- bpf: Introduce bpf_prog_pack allocator (jsc#PED-1368).
- bpf: Introduce bpf_arch_text_copy (jsc#PED-1368).
- x86/alternative: Introduce text_poke_copy (jsc#PED-1368).
- bpf: Use prog->jited_len in bpf_prog_ksym_set_addr()
  (jsc#PED-1368).
- bpf: Use size instead of pages in bpf_binary_header
  (jsc#PED-1368).
- bpf: Use bytes instead of pages for
  bpf_jit_[charge|uncharge]_modmem (jsc#PED-1368).
- x86/Kconfig: Select HAVE_ARCH_HUGE_VMALLOC with
  HAVE_ARCH_HUGE_VMAP (jsc#PED-1368).
- selftests/bpf: Fix strict mode calculation (jsc#PED-1368).
- bpftool: Fix strict mode calculation (jsc#PED-1368).
- libbpf: Remove mode check in libbpf_set_strict_mode()
  (jsc#PED-1368).
- selftests/bpf: Fix tests to use arch-dependent syscall entry
  points (jsc#PED-1368).
- selftests/bpf: Use "__se_" prefix on architectures without
  syscall wrapper (jsc#PED-1368).
- bpf: Add SO_TXREHASH setsockopt (jsc#PED-1368).
- txhash: Add txrehash sysctl description (jsc#PED-1368).
- Refresh patches.suse/Documentation-add-description-for-net.core.gro_norma.patch
- txhash: Add socket option to control TX hash rethink behavior
  (jsc#PED-1368).
- txhash: Make rethinking txhash behavior configurable via sysctl
  (jsc#PED-1368).
- commit c6bd6af
* Fri Nov 25 2022 pjakobsson@suse.de
- Update
  0001-drm-i915-dp-return-proper-DPRX-link-training-result.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 607b968
* Fri Nov 25 2022 shung-hsi.yu@suse.com
- libbpf: Fix build issue with llvm-readelf (jsc#PED-1368).
- selftests/bpf: Test bpf_core_types_are_compat() functionality
  (jsc#PED-1368).
- Refresh patches.suse/selftests-bpf-Add-a-test-for-btf_type_tag-percpu.patch
- bpf: Implement bpf_core_types_are_compat() (jsc#PED-1368).
- bpf, arm64: Enable kfunc call (jsc#PED-1368).
- libbpf: Deprecate forgotten btf__get_map_kv_tids()
  (jsc#PED-1368).
- selftests/bpf: Add a selftest for invalid func btf with btf
  decl_tag (jsc#PED-1368).
- bpf: Fix a btf decl_tag bug when tagging a function
  (jsc#PED-1368).
- libbpf: Deprecate priv/set_priv storage (jsc#PED-1368).
- bpf: test_run: Fix OOB access in bpf_prog_test_run_xdp
  (jsc#PED-1368).
- bpf, docs: Better document the atomic instructions
  (jsc#PED-1368).
- bpf, docs: Better document the extended instruction format
  (jsc#PED-1368).
- bpf, docs: Better document the legacy packet access instruction
  (jsc#PED-1368).
- bpf, docs: Better document the regular load and store
  instructions (jsc#PED-1368).
- bpf, docs: Document the byte swapping instructions
  (jsc#PED-1368).
- commit 2eb7f2d
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: fix return value if all subpages of THPs are
  migrated successfully (jsc#PED-1247).
- commit 527886f
* Thu Nov 24 2022 vbabka@suse.cz
- Revert "mm/vmscan: never demote for memcg reclaim"
  (jsc#PED-1247).
- commit ac2342a
* Thu Nov 24 2022 vbabka@suse.cz
- mm: untangle config dependencies for demote-on-reclaim
  (jsc#PED-1247).
- Refresh
  patches.suse/mm-migrate_device.c-add-migrate_device_range.patch.
- commit 0823020
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: simplify the refcount validation when migrating
  hugetlb mapping (jsc#PED-1247).
- commit 01cc1a8
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: fix potential invalid node access for
  reclaim-based migration (jsc#PED-1247).
- commit e9975e1
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: fix potential page refcounts leak in migrate_pages
  (jsc#PED-1247).
- commit 7b9970b
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: remove some duplicated codes in migrate_pages
  (jsc#PED-1247).
- commit 94f363d
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: avoid unneeded nodemask_t initialization
  (jsc#PED-1247).
- commit c31f7f4
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: use helper macro min in do_pages_stat
  (jsc#PED-1247).
- commit 3c54817
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: use helper function vma_lookup() in
  add_page_for_migration (jsc#PED-1247).
- commit b23a558
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: remove unneeded local variable page_lru
  (jsc#PED-1247).
- commit 57cfcf4
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migration: remove unneeded local variable mapping_locked
  (jsc#PED-1247).
- commit 51c1567
* Thu Nov 24 2022 vbabka@suse.cz
- mm: only re-generate demotion targets when a numa node changes
  its N_CPU state (jsc#PED-1247).
- commit 812d483
* Thu Nov 24 2022 vbabka@suse.cz
- mm,migrate: fix establishing demotion target (jsc#PED-1247).
- commit a2c9417
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: move node demotion code to near its user
  (jsc#PED-1247).
- Refresh
  patches.suse/mm-move-the-migrate_vma_-device-migration-code-into-its-own-file.patch.
- commit 386b5cf
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: correct kernel-doc notation (jsc#PED-1247).
- commit 0374e10
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: add more comments for selecting target node
  randomly (jsc#PED-1247).
- commit 4c263bb
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: support multiple target nodes demotion
  (jsc#PED-1247).
- commit 218982a
* Thu Nov 24 2022 vbabka@suse.cz
- mm: compaction: fix the migration stats in
  trace_mm_compaction_migratepages() (jsc#PED-1247).
- commit c14caab
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: correct the hugetlb migration stats (jsc#PED-1247).
- commit 24d4af5
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: fix the return value of migrate_pages()
  (jsc#PED-1247).
- commit 563f66e
* Thu Nov 24 2022 vbabka@suse.cz
- mm: migrate: make demotion knob depend on migration
  (jsc#PED-1247).
- Refresh
  patches.suse/mm-migrate.c-rework-migration_entry_wait-to-not-take-a-pageref.patch.
- commit bc0d6c6
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: de-duplicate migrate_reason strings (jsc#PED-1247).
- commit f5083a5
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: fix CPUHP state to update node demotion order
  (jsc#PED-1247).
- commit f765b3b
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: add CPU hotplug to demotion #ifdef (jsc#PED-1247).
- Refresh
  patches.suse/mm-move-the-migrate_vma_-device-migration-code-into-its-own-file.patch.
- commit 220c46b
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: optimize hotplug-time demotion order updates
  (jsc#PED-1247).
- commit a211333
* Thu Nov 24 2022 vbabka@suse.cz
- mm/debug: sync up latest migrate_reason to migrate_reason_names
  (jsc#PED-1247).
- commit 4a167e9
* Thu Nov 24 2022 dwagner@suse.de
- crypto: add rocksoft 64b crc guard tag framework (jsc#PED-1183).
- Update config files.
- Update supported.conf
- commit 3d7fc35
* Thu Nov 24 2022 dwagner@suse.de
- nvme: add verbose error logging (jsc#PED-1183).
- Update config files.
- commit f5e19a3
* Thu Nov 24 2022 vbabka@suse.cz
- memory tiering: skip to scan fast memory (jsc#PED-1247).
- commit 48ed653
* Thu Nov 24 2022 vbabka@suse.cz
- NUMA balancing: optimize page placement for memory tiering
  system (jsc#PED-1247).
- commit ebfd35a
* Thu Nov 24 2022 vbabka@suse.cz
- NUMA Balancing: add page promotion counter (jsc#PED-1247).
- commit ca58363
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: add sysfs interface to enable reclaim migration
  (jsc#PED-1247).
- Refresh
  patches.suse/0003-mm-hugetlb-add-support-for-mempolicy-MPOL_PREFERRED_.patch.
- commit 748129f
* Thu Nov 24 2022 vbabka@suse.cz
- mm/vmscan: never demote for memcg reclaim (jsc#PED-1247).
- commit 197f54c
* Thu Nov 24 2022 vbabka@suse.cz
- mm/vmscan: Consider anonymous pages without swap (jsc#PED-1247).
- commit 6e5e285
* Thu Nov 24 2022 vbabka@suse.cz
- mm/vmscan: add helper for querying ability to age anonymous
  pages (jsc#PED-1247).
- commit ea62519
* Thu Nov 24 2022 vbabka@suse.cz
- mm/vmscan: add page demotion counter (jsc#PED-1247).
- commit 3f23877
* Thu Nov 24 2022 vbabka@suse.cz
- mm/migrate: demote pages during reclaim (jsc#PED-1247).
- Refresh
  patches.suse/mm-migrate_device.c-add-migrate_device_range.patch.
- commit 766140e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-add-missing-MMU-context-put-when-reaping.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be1812f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-reference-MMU-context-when-setting-up-ha.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d257a2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-etnaviv-fix-MMU-context-leak-on-GPU-reset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 79ced95
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-exec-and-MMU-state-is-lost-when-resettin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3cf4427
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-keep-MMU-context-across-runtime-suspend-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7ada34f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-stop-abusing-mmu_context-as-FE-running-m.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3680d35
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-put-submit-prev-MMU-context-when-it-exis.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c36abd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-etnaviv-return-context-from-etnaviv_iommu_contex.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33d0c9c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0001-drm-rockchip-cdn-dp-core-Make-cdn_dp_core_resume-__m.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef6641d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-ttm-fix-type-mismatch-error-on-sparc64.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d441746
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-ttm-Fix-a-deadlock-if-the-target-BO-is-not-idle-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f01ae1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update fbmem-don-t-allow-too-huge-resolutions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1eb565b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  dma-buf-DMABUF_DEBUG-should-depend-on-DMA_SHARED_BUF.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5b78f8e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  dma-buf-DMABUF_MOVE_NOTIFY-should-depend-on-DMA_SHAR.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8757028
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-ttm-Fix-ttm_bo_move_memcpy-for-subclassed-struct.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d76e866
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-panfrost-Clamp-lock-region-to-Bifrost-minimum.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ba52da1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-panfrost-Use-u64-for-size-in-lock_region.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f249cf7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-panfrost-Simplify-lock_region-calculation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a42924
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-ttm-ttm_bo_device-is-now-ttm_device.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 81928f7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-drop-process-ref-count-when-xnack-disable.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ca9efe7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-fix-fdinfo-race-with-process-exit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14d32e5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-Fix-a-deadlock-if-previous-GEM-object-all.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 91ccbdc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-stop-scheduler-when-calling-hw_fini-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0c804d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fix-memory-leak-reported-by-coverity.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62cd2c1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-Disable-PCIE_DPM-on-Intel-RKL-Platform.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d12fea9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amd-display-setup-system-context-for-APUs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64f8628
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-Enable-S-G-for-Yellow-Carp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed44605
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-Fixes-to-returning-VBIOS-RAS-EEPROM-addre.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f7be42b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0414-drm-i915-use-linux-stddef.h-due-to-isystem-trim-fixu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9010b6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  backlight-pwm_bl-Improve-bootloader-kernel-device-ha.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52a2c7d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update backlight-ktd253-Stabilize-backlight.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e1121d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0413-vfio-gvt-Fix-open-close-when-multiple-device-FDs-are.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc57655
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0447-vfio-Provide-better-generic-support-for-open-release.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f11b3d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/vfio-Introduce-a-vfio_uninit_group_dev-API-call.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 1ec629d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amd-display-Update-bounding-box-states-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b892ee7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Update-number-of-DCN3-clock-states.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f01452
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-Account-for-SH-SE-count-when-setting-up-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 35b112f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdkfd-map-SVM-range-with-correct-access-permiss.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 95ede40
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0412-drm-i915-selftest-Fix-use-of-err-in-igt_reset_-fail-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4a02665
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0411-drm-i915-gt-Potential-error-pointer-dereference-in-p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2d7629
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0410-drm-i915-adl_p-Also-disable-underrun-recovery-with-M.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c53d0d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0409-drm-i915-Use-designated-initializers-for-init-exit-t.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8dad4b9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-exynos-Always-initialize-mapping-in-exynos_drm_r.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bd40ec
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-exynos-g2d-fix-missing-unlock-on-error-in-g2d_ru.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5a5f19b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-display-fix-possible-null-pointer-dereference-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 072d426
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  gpu-drm-amd-amdgpu-amdgpu_i2c-fix-possible-uninitial.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 616bfad
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-fix-kernel-doc-warnings-on-non-kernel-doc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 360245f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-display-fix-incorrect-CM-TF-programming-sequ.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65388f7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-display-fix-missing-writeback-disablement-if.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c58eea
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-msi-mdp4-populate-priv-kms-in-mdp4_kms_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed20ccd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dp-do-not-end-dp-link-training-until-video-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4152d60
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dp-return-correct-edid-checksum-after-corrup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f149bab
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dp-replug-event-is-converted-into-an-unplug-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 32fba6c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dp-reset-aux-controller-after-dp_aux_cmd_fif.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e44c27
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dp-reduce-link-rate-if-failed-at-link-traini.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 97d45c4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dsi-Fix-some-reference-counted-resource-leak.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 71dda80
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dpu-make-dpu_hw_ctl_clear_all_blendstages-cl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f193ac
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dp-update-is_connected-status-base-on-sink-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adeb4d1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-disp-dpu1-add-safe-lut-config-in-dpu-driver.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2bfba9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-dsi-Fix-DSI-and-DSI-PHY-regulator-config-fro.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c7f138c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-msm-dsi-rename-dual-DSI-to-bonded-DSI.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 2c49436
* Thu Nov 24 2022 hare@suse.de
- s390/block/dcssblk: add error handling support for add_disk()
  (jsc#PED-1183).
- commit 7ce06cc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-mdp4-drop-vblank-get-put-from-prepare-comple.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf3d6f1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-mdp4-move-HW-revision-detection-to-earlier-p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bece712
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-msm-mdp4-refactor-HW-revision-detection-into-rea.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09e7ad8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-msm-Fix-error-return-code-in-msm_drm_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bcba968
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-msm-a6xx-Fix-llcc-configuration-for-a660-gpu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d850b2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-vmwgfx-fix-potential-UAF-in-vmwgfx_surface.c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 26d35c0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-mgag200-Select-clock-in-PLL-update-functions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ca3288
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-bridge-it66121-Check-drm_bridge_attach-retval.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76dfa42
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0408-drm-i915-dg2-Add-support-for-new-DG2-G11-revid-0x5.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a020ca7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0407-drm-i915-display-adl_p-Correctly-program-MBUS-DBOX-A.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c4cc7d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0406-drm-i915-Apply-CMTG-clock-disabling-WA-while-DPLL0-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 07a5c91
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0405-drm-i915-dg1-Adjust-the-AUDIO-power-domain.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit be6bc72
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0404-drm-i915-finish-removal-of-CNL.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6952fd3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0403-drm-i915-rename-remove-CNL-registers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 31047e0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0402-drm-i915-remove-GRAPHICS_VER-10.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49c71bf
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0401-drm-i915-switch-num_scalers-num_sprites-to-consider-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b35665
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0400-drm-i915-replace-random-CNL-comments.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c5d704a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0399-drm-i915-rename-CNL-references-in-intel_dram.c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 17b262b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0398-drm-i915-remove-explicit-CNL-handling-from-intel_wop.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2ccf31
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0397-drm-i915-remove-explicit-CNL-handling-from-intel_pch.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5df64c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0396-drm-i915-remove-explicit-CNL-handling-from-intel_pm..patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d958de
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0395-drm-i915-remove-explicit-CNL-handling-from-i915_irq..patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e37e9d3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0394-drm-i915-display-rename-CNL-references-in-skl_scaler.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8157bd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0393-drm-i915-display-remove-CNL-ddi-buf-translation-tabl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ed5574f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0392-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7bee936
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0391-drm-i915-display-remove-explicit-CNL-handling-from-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d89782b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0390-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6790cd3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0389-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0ba57a6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0388-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 379fc02
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0387-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad4d218
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0386-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 842bfd3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0385-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e446efd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0384-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1ca51e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0383-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 56e62e6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0382-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f3bd77
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0381-drm-i915-display-remove-explicit-CNL-handling-from-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23cd56b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0380-drm-i915-display-remove-PORT_F-workaround-for-CNL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a8c8ff1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0379-drm-i915-dp-DPTX-writes-Swing-Pre-emphs-DPCD-0x103-0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 831652c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0378-drm-i915-dg2-Update-to-bigjoiner-path.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b6871f8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0377-drm-i915-dg2-Update-lane-disable-power-state-during-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e90dbca
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0376-drm-i915-dg2-Wait-for-SNPS-PHY-calibration-during-di.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3942ab4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0375-drm-i915-dg2-Update-modeset-sequences.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 474c642
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0374-drm-i915-dg2-Add-vswing-programming-for-SNPS-phys.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1ea1b0c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0373-drm-i915-dg2-Add-MPLLB-programming-for-HDMI.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5e6000e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0372-drm-i915-dg2-Add-MPLLB-programming-for-SNPS-PHY.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cfc5e04
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0371-drm-i915-adl_p-Add-ddi-buf-translation-tables-for-co.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1bf4d78
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0370-drm-i915-adl_s-Update-ddi-buf-translation-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a2613c9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0369-drm-i915-dgfx-cards-need-to-wait-on-pcode-s-uncore-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3b426b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0368-drm-i915-adlp-Add-workaround-to-disable-CMTG-clock-g.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 14b3d29
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0367-drm-i915-adl_p-Allow-underrun-recovery-when-possible.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 27b603c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0366-drm-i915-display-Disable-audio-DRRS-and-PSR-before-p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23c56a6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0365-drm-i915-Implement-PSF-GV-point-support.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 49bde09
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0364-drm-i915-Extend-QGV-point-restrict-mask-to-0x3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94e97da
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0363-drm-i915-display-psr2-Fix-cursor-updates-using-legac.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47c3ac1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0362-drm-i915-display-psr2-Mark-as-updated-all-planes-tha.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5396c53
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0361-drm-i915-Program-chicken-bit-during-DP-MST-sequence-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3ff8532
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0360-drm-i915-dg2-Add-DG2-to-the-PSR2-defeature-list.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cca1a68
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0359-drm-i915-dg2-Classify-DG2-PHY-types.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8b93e0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0358-drm-i915-firmware-Update-to-DMC-v2.03-on-RKL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a38f503
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0357-drm-i915-firmware-Update-to-DMC-v2.12-on-TGL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef60566
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0356-drm-i915-dmc-Change-intel_get_stepping_info.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1971f46
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0355-drm-i915-step-Add-macro-magic-for-handling-steps.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77a94e9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0354-drm-i915-dg2-DG2-has-fixed-memory-bandwidth.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 280095c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0353-drm-i915-dg2-Don-t-read-DRAM-info.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c8064f9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0352-drm-i915-dg2-Don-t-program-BW_BUDDY-registers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f904958
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0351-drm-i915-dg2-Add-dbuf-programming.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8bb0eb6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0350-drm-i915-dg2-Setup-display-outputs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbc12aa
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0349-drm-i915-dg2-Don-t-wait-for-AUX-power-well-enable-AC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 69158a8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0348-drm-i915-dg2-Skip-shared-DPLL-handling.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8230909
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0347-drm-i915-dg2-Add-cdclk-table-and-reference-clock.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit acc2871
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0346-drm-i915-dg2-Add-fake-PCH.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dc7071
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0345-drm-i915-Fork-DG1-interrupt-handler.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3191a1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0344-drm-i915-Make-display-workaround-upper-bounds-exclus.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd40682
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0343-drm-i915-rkl-Wa_1408330847-no-longer-applies-to-RKL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37cc0f7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0342-drm-i915-rkl-Wa_1409767108-also-applies-to-RKL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b53bb1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0341-drm-i915-adl_s-Wa_14011765242-is-also-needed-on-A1-d.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit efa2012
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0340-drm-i915-display-Fix-shared-dpll-mismatch-for-bigjoi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ad24ee
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0339-drm-i915-display-Disable-FBC-when-PSR2-is-enabled-di.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7cf7d71
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0338-drm-i915-display-adl_p-Implement-PSR-changes.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a000b2e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0337-drm-i915-display-dsc-Force-dsc-BPP.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6eeff4e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0336-drm-i915-display-dsc-Add-Per-connector-debugfs-node-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67ecd1c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0335-drm-i915-display-Add-write-permissions-for-fec-suppo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fd97654
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0334-drm-i915-debugfs-DISPLAY_VER-13-lpsp-capability.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7356c19
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0333-drm-i915-display-xelpd-Extend-Wa_14011508470.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2aab696
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0332-drm-i915-Limit-Wa_22010178259-to-affected-platforms.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c46a35f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0331-drm-i915-display-Settle-on-adl-x-in-WA-comments.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36d3c86
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0330-drm-i915-Invoke-another-_DSM-to-enable-MUX-on-HP-Wor.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6f1f59
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0329-drm-i915-dg1-Compute-MEM-Bandwidth-using-MCHBAR.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e669e35
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0328-drm-i915-display-xelpd-Fix-incorrect-color-capabilit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab20e0c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0327-drm-i915-Handle-cdclk-crawling-flag-in-standard-mann.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c388827
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0326-drm-i915-plane-add-intel_plane_helper_add-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8efa153
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-xlnx-zynqmp-release-reset-to-DP-controller-befor.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 814ca1d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-xlnx-zynqmp_dpsub-Call-pm_runtime_get_sync-befor.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cbfd9c8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0325-drm-i915-dg2-Add-SQIDI-steering.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2e03ff
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0324-drm-i915-dg2-Update-steering-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f05603
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0323-drm-i915-xehpsdv-Define-steering-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b73ec2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0322-drm-i915-xehp-handle-new-steering-options.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 502babe
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0321-drm-i915-userptr-Probe-existence-of-backing-struct-p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1727b47
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0320-drm-i915-delete-gpu-reloc-code.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7a2ab53
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0319-drm-i915-Disable-gpu-relocations.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc91993
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0318-drm-i915-dg2-DG2-uses-the-same-sseu-limits-as-XeHP-S.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82257d7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0317-drm-i915-xehpsdv-Add-maximum-sseu-limits.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e7e754
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0316-drm-i915-xehp-Changes-to-ss-eu-definitions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 551c7bd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0315-drm-i915-dg2-Add-forcewake-table.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 38e596a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0314-drm-i915-guc-rc-Setup-and-enable-GuCRC-feature.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87cb3af
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0313-drm-i915-guc-slpc-Add-SLPC-selftest.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cc111ab
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0312-drm-i915-guc-slpc-Sysfs-hooks-for-SLPC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd5640a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0311-drm-i915-guc-slpc-Cache-platform-frequency-limits.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90e0d0f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0310-drm-i915-guc-slpc-Enable-ARAT-timer-interrupt.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62794ab
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0309-drm-i915-guc-slpc-Add-debugfs-for-SLPC-info.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b791572
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0308-drm-i915-guc-slpc-Add-get-max-min-freq-hooks.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7924cc2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0307-drm-i915-guc-slpc-Add-methods-to-set-min-max-frequen.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf209cd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0306-drm-i915-guc-slpc-Remove-BUG_ON-in-guc_submission_di.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e25068e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0305-drm-i915-guc-slpc-Enable-SLPC-and-add-related-H2G-ev.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3ef569
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0304-drm-i915-guc-slpc-Allocate-initialize-and-release-SL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 25751fd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0303-drm-i915-guc-slpc-Adding-SLPC-communication-interfac.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 46d168d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0302-drm-i915-guc-slpc-Gate-Host-RPS-when-SLPC-is-enabled.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 39a62c5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0301-drm-i915-guc-slpc-Initial-definitions-for-SLPC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d9e892
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0300-drm-i915-xehp-Fix-missing-sentinel-on-mcr_ranges_xeh.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2612c1f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0299-drm-i915-selftests-prefer-the-create_user-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20e793c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0298-drm-i915-gt-remove-GRAPHICS_VER-10.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c934688
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0297-drm-i915-gt-rename-CNL-references-in-intel_engine.h.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53f679e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0296-drm-i915-gt-remove-explicit-CNL-handling-from-intel_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50540b2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0295-drm-i915-gt-remove-explicit-CNL-handling-from-intel_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3905607
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0294-drm-i915-Extract-i915_module.c.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae4806a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0293-drm-i915-Remove-i915_globals.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 338d6ff
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0292-drm-i915-move-vma-slab-to-direct-module-init-exit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cd2020
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0291-drm-i915-move-scheduler-slabs-to-direct-module-init-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b162507
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0290-drm-i915-move-request-slabs-to-direct-module-init-ex.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45ad8e9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0289-drm-i915-move-gem_objects-slab-to-direct-module-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6f54742
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0288-drm-i915-move-gem_context-slab-to-direct-module-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 00659c4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0287-drm-i915-move-intel_context-slab-to-direct-module-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d6d4491
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0286-drm-i915-move-i915_buddy-slab-to-direct-module-init-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d49fd8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0285-drm-i915-move-i915_active-slab-to-direct-module-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a10d3a5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0284-drm-i915-Check-for-nomodeset-in-i915_init-first.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d58bea0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0283-drm-i915-xehpsdv-Correct-parameters-for-IS_XEHPSDV_G.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7610f49
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0282-drm-i915-guc-Unblock-GuC-submission-on-Gen11.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05cf3a6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0281-drm-i915-guc-Implement-GuC-priority-management.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82a0b5f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0280-drm-i915-selftest-Bump-selftest-timeouts-for-hangche.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2184151
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0279-drm-i915-selftest-Fix-hangcheck-self-test-for-GuC-su.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ac74c12
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0278-drm-i915-selftest-Increase-some-timeouts-in-live_req.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 978725d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0277-drm-i915-selftest-Fix-MOCS-selftest-for-GuC-submissi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f97e6d0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0276-drm-i915-selftest-Fix-workarounds-selftest-for-GuC-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce228f0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0275-drm-i915-selftest-Better-error-reporting-from-hangch.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5fd0f63
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0274-drm-i915-guc-Support-request-cancellation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa9373d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0273-drm-i915-guc-Implement-banned-contexts-for-GuC-submi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59cd64e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0272-drm-i915-guc-Add-golden-context-to-GuC-ADS.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8484150
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0271-drm-i915-guc-Include-scheduling-policies-in-the-debu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 94878bb
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0270-drm-i915-guc-Connect-reset-modparam-updates-to-GuC-p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cd3343a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0269-drm-i915-guc-Hook-GuC-scheduling-policies-up.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b5e131
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0268-drm-i915-guc-Fix-for-error-capture-after-full-GPU-re.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 64bdaf6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0267-drm-i915-guc-Capture-error-state-on-context-reset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 113266d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0266-drm-i915-guc-Enable-GuC-engine-reset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 10c88a8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0265-drm-i915-guc-Don-t-complain-about-reset-races.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bacbf8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0264-drm-i915-guc-Provide-mmio-list-to-be-saved-restored-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6841609
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0263-drm-i915-guc-Enable-the-timer-expired-interrupt-for-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8895149
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0262-drm-i915-guc-Handle-engine-reset-failure-notificatio.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bc6172f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0261-drm-i915-guc-Handle-context-reset-notification.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c064db
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0260-drm-i915-guc-Suspend-resume-implementation-for-new-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8d3b331
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0259-drm-i915-guc-Add-disable-interrupts-to-guc-sanitize.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d5f3b00
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0258-drm-i915-Reset-GPU-immediately-if-submission-is-disa.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 724d93d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0257-drm-i915-guc-Reset-implementation-for-new-GuC-interf.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1f1fa6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0256-drm-i915-Move-active-request-tracking-to-a-vfunc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6c4928
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0255-drm-i915-Add-i915_sched_engine-destroy-vfunc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1bcadc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0254-drm-i915-guc-Direct-all-breadcrumbs-for-a-class-to-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e14788f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0253-drm-i915-guc-Disable-bonding-extension-with-GuC-subm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit db7fd6f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0252-drm-i915-Hold-reference-to-intel_context-over-life-o.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 45c19d1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0251-drm-i915-guc-Make-hangcheck-work-with-GuC-virtual-en.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a17b8ad
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0250-drm-i915-guc-GuC-virtual-engines.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8e56369
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0249-drm-i915-ehl-unconditionally-flush-the-pages-on-acqu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 59e4edd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0248-drm-i915-document-caching-related-bits.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43dad2c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0247-drm-i915-gem-Migrate-to-system-at-dma-buf-attach-tim.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 70ad680
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0246-drm-i915-gem-Correct-the-locking-and-pin-pattern-for.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37e9c89
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0245-drm-i915-gem-Always-call-obj-ops-migrate-unless-can_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 399dd5e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0244-drm-i915-gem-ttm-Only-call-__i915_gem_object_set_pag.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9bbe637
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0243-drm-i915-gem-Unify-user-object-creation-v3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1a6e29
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0242-drm-i915-gem-Call-i915_gem_flush_free_objects-in-i91.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 37f5a45
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0241-drm-i915-gem-Refactor-placement-setup-for-i915_gem_o.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b113ff6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0240-drm-i915-gem-Check-object_can_migrate-from-object_mi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b0654f6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0239-drm-i915-gt-nuke-gen6_hw_id.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f2a16c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0238-drm-i915-xehp-Xe_HP-forcewake-support.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b68dec8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0237-drm-i915-xehp-Extra-media-engines-Part-3-reset.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7b4addf
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0236-drm-i915-xehp-Extra-media-engines-Part-2-interrupts.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b984a4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0235-drm-i915-xehp-Extra-media-engines-Part-1-engine-defi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 873bd6c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0234-drm-i915-xehp-Define-multicast-register-ranges.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad38f25
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0233-drm-i915-Extend-Wa_1406941453-to-adl-p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e0a6219
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0232-drm-i915-uapi-reject-set_domain-for-discrete.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5784364
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0231-drm-i915-xehp-VDBOX-VEBOX-fusing-registers-are-enabl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3a1646
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0230-drm-i915-gt-rename-legacy-engine-hw_id-to-engine-gen.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bbdbb46
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0229-drm-i915-gt-nuke-unused-legacy-engine-hw_id.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 231af23
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0228-drm-i915-gt-fix-platform-prefix.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0b2defe
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0227-drm-i915-Add-intel_context-tracing.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eaffcdc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0226-drm-i915-guc-Add-trace-point-for-GuC-submit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 74fa3d2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0225-drm-i915-guc-Update-GuC-debugfs-to-support-new-GuC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4053b9f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0224-drm-i915-guc-Update-intel_gt_wait_for_idle-to-work-w.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d453d3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0223-drm-i915-guc-Ensure-G2H-response-has-space-in-buffer.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90fa4e9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0222-drm-i915-guc-Disable-semaphores-when-using-GuC-sched.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 971c7fc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0221-drm-i915-guc-Ensure-request-ordering-via-completion-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6706288
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0220-drm-i915-Disable-preempt-busywait-when-using-GuC-sch.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b413b34
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0219-drm-i915-guc-Extend-deregistration-fence-to-schedule.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3286a37
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0218-drm-i915-guc-Disable-engine-barriers-with-GuC-during.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 731f423
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0217-drm-i915-guc-Defer-context-unpin-until-scheduling-is.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d35ca01
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0216-drm-i915-guc-Insert-fence-on-context-when-deregister.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5317c7d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0215-drm-i915-guc-Implement-GuC-context-operations-for-ne.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c5716f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0214-drm-i915-guc-Add-bypass-tasklet-submission-path-to-G.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aa7ad0a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0213-drm-i915-guc-Implement-GuC-submission-tasklet.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d71154
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0212-drm-i915-guc-Add-LRC-descriptor-context-lookup-array.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a608b51
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0211-drm-i915-guc-Remove-GuC-stage-descriptor-add-LRC-des.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f0842b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0210-drm-i915-guc-Add-new-GuC-interface-defines-and-struc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54fb6bd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0209-drm-i915-xehp-New-engine-context-offsets.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78a098e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0208-drm-i915-xehp-Handle-new-device-context-ID-format.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 817e7c4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0207-drm-i915-selftests-Allow-for-larger-engine-counts.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 82836b4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0206-drm-i915-gen12-Use-fuse-info-to-enable-SFC.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d49b8b0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0205-drm-i915-dg2-add-DG2-platform-info.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 013704a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0204-drm-i915-xehpsdv-add-initial-XeHP-SDV-definitions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d23eb1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0203-drm-i915-Add-XE_HP-initial-definitions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bdae08e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0202-drm-i915-Add-release-id-version.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8ead6b4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0201-drm-i915-do-not-abbreviate-version-in-debugfs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d6c201
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0200-drm-i915-Make-the-kmem-slab-for-i915_buddy_block-a-g.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 32c356a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0199-drm-i915-Use-a-table-for-i915_init-exit-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c96fed3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0198-drm-i915-Call-i915_globals_exit-after-i915_pmu_exit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 238e4b9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0197-drm-i915-Ditch-i915-globals-shrink-infrastructure.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a5b5e96
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0196-drm-i915-Make-GT-workaround-upper-bounds-exclusive.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f62d291
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0195-drm-i915-Program-DFR-enable-disable-as-a-GT-workarou.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c80043
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0194-drm-i915-icl-Drop-a-couple-unnecessary-workarounds.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8be805e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0193-drm-i915-Fix-application-of-WaInPlaceDecompressionHa.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0fa615f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0192-drm-i915-Add-TTM-offset-argument-to-mmap.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 62324e5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0191-drm-i915-uapi-convert-drm_i915_gem_userptr-to-kernel.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 592d130
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0190-drm-i915-uapi-reject-caching-ioctls-for-discrete.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67959f9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0189-Revert-drm-i915-Skip-over-MI_NOOP-when-parsing.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e176a6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0188-drm-i915-Drop-error-handling-from-dma_fence_work.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit eb5d161
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0187-drm-i915-Remove-allow_alloc-from-i915_gem_object_get.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d6a1de
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0186-drm-i915-icl-Drop-workarounds-that-only-apply-to-pre.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 322bd9a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0185-drm-i915-cnl-Drop-all-workarounds.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 42f1e69
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0184-drm-i915-dg1-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3a1d3d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0183-drm-i915-rkl-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 371dbf1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0182-drm-i915-jsl_ehl-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c6f90df
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0181-drm-i915-icl-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6aacb2f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0180-drm-i915-glk-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 15e3749
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0179-drm-i915-bxt-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d99dd8b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0178-drm-i915-kbl-Drop-pre-production-revision-from-stepp.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36f35bb
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0177-drm-i915-skl-Use-revid-stepping-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4d1fecd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0176-drm-i915-Make-pre-production-detection-use-direct-re.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8203f5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0175-drm-i915-step-s-platform-_revid_tbl-platform-_revids.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48067c2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0174-drm-i915-uapi-convert-drm_i915_gem_set_domain-to-ker.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 309c0cc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0173-drm-i915-uapi-convert-drm_i915_gem_caching-to-kernel.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fa2b910
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0172-drm-i915-guc-Module-load-failure-test-for-CT-buffer-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 11a105f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0171-drm-i915-guc-Optimize-CTB-writes-and-reads.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ace5b7a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0170-drm-i915-guc-Add-stall-timer-to-non-blocking-CTB-sen.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6851e6e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0169-drm-i915-guc-Add-non-blocking-CTB-send-function.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c201a27
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0168-drm-i915-guc-Increase-size-of-CTB-buffers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9736b8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0167-drm-i915-guc-Improve-error-message-for-unsolicited-C.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d2eae6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0166-drm-i915-guc-Relax-CTB-response-timeout.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 54cd0c8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0165-drm-i915-adl_s-Extend-Wa_1406941453.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6000cc8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0164-drm-i915-Implement-Wa_1508744258.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0f6589e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0163-drm-i915-Settle-on-adl-x-in-WA-comments.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4fcae62
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0162-drm-i915-use-consistent-CPU-mappings-for-pin_map-use.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d266fc7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0161-drm-i915-Finalize-contexts-in-GEM_CONTEXT_CREATE-on-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 20fdf77
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0160-drm-i915-gem-Roll-all-of-context-creation-together.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aadcc86
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0159-i915-gem-selftests-Assign-the-VM-at-context-creation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 55fd628
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0158-drm-i915-selftests-Take-a-VM-in-kernel_context.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df1337b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0157-drm-i915-gem-Don-t-allow-changing-the-engine-set-on-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 346ffb6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0156-drm-i915-gem-Don-t-allow-changing-the-VM-on-running-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6042618
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0155-drm-i915-gem-Delay-context-creation-v3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5bc68bf
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0154-drm-i915-gt-Drop-i915_address_space-file-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4910ca
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0153-drm-i915-gem-Return-an-error-ptr-from-context_lookup.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3a3868
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0152-drm-i915-gem-Use-the-proto-context-to-handle-create-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6ebad9c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0151-drm-i915-gem-Make-an-alignment-check-more-sensible.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4496fbd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0150-drm-i915-Add-an-i915_gem_vm_lookup-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c21fe7b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0149-drm-i915-gem-Optionally-set-SSEU-in-intel_context_se.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8aaaea
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0148-drm-i915-gem-Rework-error-handling-in-default_engine.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6e5382
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0147-drm-i915-gem-Add-an-intermediate-proto_context-struc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a8d950
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0146-drm-i915-Add-gem-i915_gem_context.h-to-the-docs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fa7437
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0145-drm-i915-gem-Add-a-separate-validate_priority-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7b999c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0144-drm-i915-Stop-manually-RCU-banging-in-reset_stats_io.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 86ac526
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0143-drm-i915-gem-Disallow-creating-contexts-with-too-man.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6f7fd6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0142-drm-i915-request-Remove-the-hook-from-await_executio.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 751e803
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0141-drm-i915-gem-Remove-engine-auto-magic-with-FENCE_SUB.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5833f7d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0140-drm-i915-gem-Disallow-bonding-of-virtual-engines-v3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2057a85
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0139-drm-i915-Drop-getparam-support-for-I915_CONTEXT_PARA.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2ae34b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0138-drm-i915-Implement-SINGLE_TIMELINE-with-a-syncobj-v4.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f44a3a6
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0137-drm-i915-Drop-the-CONTEXT_CLONE-API-v2.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 75d5a32
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0136-drm-i915-gem-Return-void-from-context_apply_all.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 77fc55c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0135-drm-i915-gem-Set-the-watchdog-timeout-directly-in-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b69862b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0134-drm-i915-Drop-I915_CONTEXT_PARAM_NO_ZEROMAP.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ff4acb8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0133-drm-i915-Stop-storing-the-ring-size-in-the-ring-poin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2875961
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0132-drm-i915-Drop-I915_CONTEXT_PARAM_RINGSIZE.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d8b4d47
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0131-drm-i915-adlp-Add-ADL-P-GuC-HuC-firmware-files.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f750ea5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0130-drm-i915-huc-Update-TGL-and-friends-to-HuC-7.9.3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit af6f5bb
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0129-drm-i915-adl_s-Fix-dma_mask_size-to-39-bit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e6d2566
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0128-drm-i915-gt-finish-INTEL_GEN-and-friends-conversion.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8cb46da
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0127-drm-i915-selftests-fix-smatch-warning-in-mock_reserv.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f2f19e1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0126-drm-i915-selftests-fix-smatch-warning-in-igt_check_b.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63e63b3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0125-drm-i915-Improve-debug-Kconfig-texts-a-bit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 698c6ad
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0124-drm-i915-gtt-ignore-min_page_size-for-paging-structu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 87d193c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0123-drm-i915-support-forcing-the-page-size-with-lmem.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 418b7dc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0122-drm-i915-display-Migrate-objects-to-LMEM-if-possible.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d45a189
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0121-drm-i915-gem-Introduce-a-selftest-for-the-gem-object.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4d84e7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0120-drm-i915-gem-Implement-object-migration.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit cf6c899
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0119-drm-i915-selftest-Extend-ctx_timestamp-ICL-workaroun.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c952a0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0118-drm-i915-ttm-Use-TTM-for-system-memory.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51b0104
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0117-drm-i915-ttm-Adjust-gem-flags-and-caching-settings-a.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 308ea2c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0116-drm-i915-Update-object-placement-flags-to-be-mutable.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e1190c3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0115-drm-i915-ttm-fix-static-warning.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7c4300e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0114-drm-i915-eb-Fix-pagefault-disabling-in-the-first-slo.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2ece160
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0113-drm-i915-Document-the-Virtual-Engine-uAPI.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2e7f5d9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0112-drm-i915-guc-Update-firmware-to-v62.0.0.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68281ba
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0111-drm-i915-guc-Introduce-unified-HXG-messages.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76ca9ce
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0110-drm-i915-Move-submission-tasklet-to-i915_sched_engin.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 05c3945
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0109-drm-i915-Update-i915_scheduler-to-operate-on-i915_sc.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ddbcc1b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0108-drm-i915-Add-kick_backend-function-to-i915_sched_eng.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9c6db84
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0107-drm-i915-Move-engine-schedule-to-i915_sched_engine.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d57c430
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0106-drm-i915-Move-active-tracking-to-i915_sched_engine.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a035cd7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0105-drm-i915-Reset-sched_engine.no_priolist-immediately-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0d3f842
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0104-drm-i915-Add-i915_sched_engine_is_empty-function.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 576b058
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0103-drm-i915-Move-priolist-to-new-i915_sched_engine-obje.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dca569e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0102-drm-i915-selftests-add-back-the-selftest-hook-for-th.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ae5eab2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0101-drm-i915-ttm-Fix-incorrect-assumptions-about-ttm_bo_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1c6924d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0100-drm-i915-Add-support-for-explicit-L3BANK-steering.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c730fa
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0099-drm-i915-Add-GT-support-for-multiple-types-of-multic.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0a87f61
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0098-drm-i915-extract-steered-reg-access-to-common-functi.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3462e5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0097-drm-i915-Remove-duplicate-include-of-intel_region_lm.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 03d3b42
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0096-drm-i915-Perform-execbuffer-object-locking-as-a-sepa.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ab35cdd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0095-drm-i915-gem-Zap-the-i915_gem_object_blt-code.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3b86f5d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0094-drm-i915-gem-Zap-the-client-blt-code.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afcca21
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0093-drm-i915-ttm-accelerated-move-implementation.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dd4733e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0092-drm-i915-gt-Setup-a-default-migration-context-on-the.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit facf398
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0091-drm-i915-gt-Pipelined-clear.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53f8872
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0090-drm-i915-gt-Pipelined-page-migration.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b7bd97b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0089-drm-i915-gt-Export-the-pinned-context-constructor-an.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6cb44e8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0088-drm-i915-gt-Add-a-routine-to-iterate-over-the-pageta.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 812a75e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0087-drm-i915-gt-Add-an-insert_entry-for-gen8_ppgtt.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9a3839e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0086-drm-i915-Introduce-a-ww-transaction-helper.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f18f7f5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0085-drm-i915-Break-out-dma_resv-ww-locking-utilities-to-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8b07830
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0084-drm-i915-Reference-objects-on-the-ww-object-list.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4931716
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0083-drm-i915-ttm-remove-unused-function.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f27f038
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0082-drm-i915-gem-Remove-duplicated-call-to-ops-pread.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5306ffe
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0081-drm-i915-ttm-restore-min_page_size-behaviour.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e53482
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0080-drm-i915-ttm-switch-over-to-ttm_buddy_man.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 874f0e8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0079-drm-i915-ttm-remove-node-usage-in-our-naming.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 57234dc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0078-drm-i915-ttm-pass-along-the-I915_BO_ALLOC_CONTIGUOUS.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b9e0819
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0077-drm-i915-ttm-Calculate-the-object-placement-at-get_p.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e2e1a3e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0076-drm-i915-ttm-add-i915_sg_from_buddy_resource.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 09f0c2d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0075-drm-i915-ttm-add-ttm_buddy_man.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1403f00
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0074-drm-i915-ttm-Fix-memory-leaks.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7aa44e9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0073-drm-i915-adl_p-Add-initial-ADL_P-Workarounds.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 53ddd6f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0072-drm-i915-Simplify-userptr-locking.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f3a2d43
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0071-drm-i915-Fix-busy-ioctl-commentary.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c648e96
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-avoid-over-handle-of-fence-driver-fini-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 51f5dd8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/0001-drm-bridge-ti-sn65dsi86-Add-some-100-us-delays.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 03db8ff
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-bridge-ti-sn65dsi86-Fix-power-off-sequence.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 6bcf5c7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-dp-Don-t-zero-PWMGEN_BIT_COUNT-when-driver_pwm_f.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a6edc13
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amd-pm-Fix-a-bug-in-semaphore-double-lock.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit adaa107
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-adjust-fence-driver-enable-sequence.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1e67f6a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amdgpu-display-add-support-for-multiple-backligh.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33b0e68
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amd-display-Fix-PSR-command-version.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fc94b4e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-pm-Fix-a-bug-communicating-with-the-SMU-v5.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b1244b4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-acp-Make-PM-domain-really-work.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9ed3d6f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-amdgpu-Update-debugfs-link_settings-output-l.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 894ea8c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-Fix-a-printing-message.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 78e7868
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-amd-display-Fixed-hardware-power-down-bypass-dur.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5851fe8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amd-display-Fix-timer_per_pixel-unit-error.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d569284
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0001-drm-amdgpu-add-license-to-umc_8_7_0_sh_mask.h.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5101465
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-amdgpu-Fix-koops-when-accessing-RAS-EEPROM.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 43fdfab
* Thu Nov 24 2022 pjakobsson@suse.de
- Update patches.suse/drm-amdgpu-Fix-amdgpu_ras_eeprom_init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 4277f37
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-dp_mst-Fix-return-code-on-sideband-message-failu.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e24d548
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-mxsfb-Clear-FIFO_CLEAR-bit.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 980921f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-mxsfb-Increase-number-of-outstanding-requests-on.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4dd1092
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-mxsfb-Enable-recovery-on-underflow.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ad1d556
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-prime-fix-comment-on-PRIME-Helpers.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b915b90
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  video-fbdev-riva-Error-out-if-pixclock-equals-zero.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 33468d0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  video-fbdev-kyro-Error-out-if-pixclock-equals-zero.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 585b76b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  video-fbdev-asiliantfb-Error-out-if-pixclock-equals-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a1fc87d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-bridge-nwl-dsi-Avoid-potential-multiplication-ov.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dabffe4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-rcar-du-Don-t-put-reference-to-drm_device-in-rca.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 06b8359
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-rcar-du-Shutdown-the-display-on-system-shutdown.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5d803c1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-avoid-blocking-in-drm_clients_info-s-rcu-section.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3c8c280
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-avoid-circular-locks-in-drm_mode_getconnector.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8f13785
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-ast-Disable-fast-reset-after-DRAM-initial.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2b66acb
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  video-fbdev-kyro-fix-a-DoS-bug-by-restricting-user-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit bf099a9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-of-free-the-iterator-object-on-failure.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c2d8df9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-vkms-Let-shadow-plane-helpers-prepare-the-plane-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0c9b456
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-of-free-the-right-object.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbe8306
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/drm-gma500-Fix-end-of-loop-tests-for-list_for_each_e.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 46fad30
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  dma-buf-fix-dma_resv_test_signaled-test_all-handling.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f8beb32
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-vc4-Fix-pixel-wrap-issue-with-DVP-teardown.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a59e2d4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/0070-drm-aperture-Pass-DRM-driver-structure-instead-of-dr.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- commit 3763cf5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0069-drm-i915-Track-IRQ-state-in-local-device-state.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 50a7683
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-omap-Follow-implicit-fencing-in-prepare_fb.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 63e108f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-panfrost-Make-sure-MMU-context-lifetime-is-not-b.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 941ad65
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-amdgpu-Fix-BUG_ON-assert.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65b498d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-ttm-Fix-multihop-assert-on-eviction.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 8c8f423
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  drm-vc4-hdmi-Set-HD_CTL_WHOLSMP-and-HD_CTL_CHALIGN_S.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit afaefcd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-bridge-anx7625-Make-hpd-workqueue-freezable.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7265462
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0068-dma-buf-add-dma_fence_chain_alloc-free-v3.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0e5e9c5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0067-drm-i915-Use-ttm-mmap-handling-for-ttm-bo-s.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit aabe89d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0446-drm-vma-Add-a-driver_private-member-to-vma_node.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e3ac00e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0066-drm-i915-lmem-Verify-checks-for-lmem-residency.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 960d56a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  patches.suse/0065-drm-i915-ttm-Introduce-a-TTM-i915-gem-object-backend.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225).
- Refresh
  patches.suse/lib-scatterlist-Provide-a-dedicated-function-to-supp.patch.
- commit 1a9771f
* Thu Nov 24 2022 dwagner@suse.de
- nvme: fix qid param blk_mq_alloc_request_hctx (jsc#PED-1183).
- commit 7cb7e81
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0064-drm-dp-Extract-i915-s-eDP-backlight-code-into-DRM-he.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e7a5d67
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0063-drm-i915-dpcd_bl-Print-return-codes-for-VESA-backlig.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit b2cbb61
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0062-drm-i915-dpcd_bl-Return-early-in-vesa_calc_max_backl.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 289f8db
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0061-drm-i915-dpcd_bl-Move-VESA-backlight-enabling-code-c.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6a89c2c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0060-drm-i915-dpcd_bl-Cache-some-backlight-capabilities-i.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2912ee9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0059-drm-i915-dpcd_bl-Cleanup-intel_dp_aux_vesa_enable_ba.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2d3b1d7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0058-drm-i915-dpcd_bl-Handle-drm_dpcd_read-write-return-v.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c3ce9c1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0057-drm-i915-dpcd_bl-Remove-redundant-AUX-backlight-freq.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f9268ce
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0056-gpu-drm-i915-nuke-old-GEN-macros.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e8900c4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0055-drm-i915-finish-INTEL_GEN-and-friends-conversion.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 76d3b64
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0054-drm-i915-hdcp-Nuke-Platform-check-for-mst-hdcp-init.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1cf149c
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0053-drm-i915-display-check-if-compressed_llb-was-allocat.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 049a851
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0052-drm-i915-display-Fix-state-mismatch-in-drm-infoframe.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 90af2a2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0051-drm-i915-ehl-Remove-require_force_probe-protection.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 93f43fc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0050-drm-i915-jsl-Remove-require_force_probe-protection.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d83b173
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0049-drm-i915-display-use-max_level-to-control-loop.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c60dceb
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0048-drm-i915-display-fix-level-0-adjustement-on-display-.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5c87c4d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0047-drm-i915-display-adl_p-Implement-Wa_16011303918.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 842f627
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0046-drm-i915-xelpd-Handle-PSR2-SDP-indication-in-the-pri.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 65a99c3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0045-drm-i915-display-adl_p-Implement-Wa_16011168373.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ce37be2
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0044-drm-i915-display-adl_p-Implement-Wa_22012278275.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 68fdf24
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0043-drm-i915-display-psr-Handle-SU-Y-granularity.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit ef95f8e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0042-drm-i915-s-intel_crtc-crtc.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 48abfa9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0041-drm-i915-Clean-up-intel_fbdev_init_bios-a-bit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 010dc84
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0040-drm-i915-Clean-up-pre-skl-wm-calling-convention.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9f1f249
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0039-drm-i915-Clean-up-intel_find_initial_plane_obj-a-bit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3331540
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0038-drm-i915-Clean-up-intel_get_load_detect_pipe-a-bit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit df6fafb
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0037-drm-i915-Stop-hand-rolling-drm_crtc_mask.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 6b738b7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0036-drm-i915-fbc-Allocate-llb-before-cfb.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3fb14f0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0035-drm-i915-fbc-Make-the-cfb-allocation-loop-a-bit-more.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 9e6464d
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0034-drm-i915-fbc-Extract-intel_fbc_stolen_end.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d4dd23a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0033-drm-i915-fbc-Introduce-g4x_dpfc_ctl_limit.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d3b89b4
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0032-drm-i915-fbc-Handle-16bpp-compression-limit-better.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d7b7aab
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0031-drm-i915-fbc-Don-t-pass-around-the-mm-node.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit e9ef472
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0030-drm-i915-fbc-Embed-the-compressed_llb-node.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 52f6b14
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0029-drm-i915-fbc-Extract-intel_fbc_program_cfb.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2f78165
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0028-drm-i915-fbc-s-threshold-limit.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7fa51bd
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0027-drm-i915-Add-the-missing-adls-vswing-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5cd0e03
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0026-drm-i915-Nuke-buf_trans-hdmi-functions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit c15f726
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0025-drm-i915-Clean-up-jsl-ehl-buf-trans-functions.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 1824b90
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0024-drm-i915-Fix-ehl-edp-hbr2-vswing-table.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 458e803
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0023-drm-i915-keep-backlight_enable-on-until-turn-eDP-dis.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 43a2ca0
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0022-drm-i915-Deduplicate-icl-DP-HBR2-vs.-eDP-HBR3-table.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit dc7a0e8
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0021-drm-i915-Fix-dg1-buf-trans-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 47cd6b5
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0020-drm-i915-Introduce-rkl_get_combo_buf_trans.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4e17c2f
* Thu Nov 24 2022 mbrugger@suse.com
- Refresh
  patches.suse/arm64-tegra-Add-QSPI-controllers-on-Tegra234.patch.
  Refresh
  patches.suse/dt-bindings-Add-Tegra234-MGBE-clocks-and-resets.patch.
- commit c22da97
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0019-drm-i915-Clean-up-hsw-bdw-skl-kbl-buf-trans-funcs.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a3bd1bc
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0018-drm-i915-Introduce-encoder-get_buf_trans.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 36a10a3
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0017-drm-i915-Store-the-HDMI-default-entry-in-the-bug-tra.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3bf710b
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0016-drm-i915-Return-the-whole-buf_trans-struct-from-get_.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 3d33a9f
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0015-drm-i915-Introduce-intel_get_buf_trans.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 7797932
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0014-drm-i915-Wrap-the-buf-trans-tables-into-a-struct.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f4c748a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0013-drm-i915-Rename-dkl-phy-buf-trans-tables.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit fbfcf0a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0012-drm-i915-Wrap-the-platform-specific-buf-trans-struct.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 23505d1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0011-drm-i915-Introduce-hsw_get_buf_trans.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4b3f75e
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0010-drm-i915-s-intel-hsw-for-hsw-bdw-skl-buf-trans.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit f987c11
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0009-drm-i915-adl_p-Load-DMC.patch (jsc#PED-1166
  jsc#PED-1168 jsc#PED-1170 jsc#PED-1218 jsc#PED-1220
  jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 12236d7
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0008-drm-i915-adl_p-Pipe-B-DMC-Support.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 5473cef
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0007-drm-i915-xelpd-Pipe-A-DMC-plugging.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 4ed14c9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0006-drm-i915-dmc-Introduce-DMC_FW_MAIN.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2419395
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0005-drm-i915-Force-a-TypeC-PHY-disconnect-during-suspend.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 0483548
* Thu Nov 24 2022 pjakobsson@suse.de
- Update drm-i915-jsl-Add-W-A-1409054076-for-JSL.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit d587d9a
* Thu Nov 24 2022 pjakobsson@suse.de
- Update 0003-drm-i915-xelpd-break-feature-inheritance.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 2c64fd9
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  Revert-drm-i915-display-Drop-FIXME-about-turn-off-in.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit 67ea6c1
* Thu Nov 24 2022 pjakobsson@suse.de
- Update
  0001-drm-i915-apply-WaEnableVGAAccessThroughIOPort-as-nee.patch
  (jsc#PED-1166 jsc#PED-1168 jsc#PED-1170 jsc#PED-1218
  jsc#PED-1220 jsc#PED-1222 jsc#PED-1223 jsc#PED-1225)
- commit a7d1ee5
* Thu Nov 24 2022 mbrugger@suse.com
- scripts/git_sort/git_sort.py: Add arm-soc for-next tree.
- commit c58f135
* Thu Nov 24 2022 dwagner@suse.de
- nvme-tcp: send H2CData PDUs based on MAXH2CDATA (jsc#PED-1183).
- commit 6b76312
* Thu Nov 24 2022 ptesarik@suse.cz
- KVM: s390: pv: don't allow userspace to set the clock under PV
  (git-fixes).
- KVM: s390: Add a routine for setting userspace CPU state
  (git-fixes jsc#PED-611).
- KVM: s390: Simplify SIGP Set Arch handling (git-fixes
  jsc#PED-611).
- commit c226df2
* Thu Nov 24 2022 tiwai@suse.de
- Update patch references for Bluetooth fixes (CVE-2022-42896 bsc#1205709 CVE-2022-42895 bsc#1205705)
- commit 30ec8de
* Thu Nov 24 2022 hare@suse.de
- nbd: fix uaf in nbd_handle_reply() (jsc#PED-1183).
- nbd: partition nbd_read_stat() into nbd_read_reply() and
  nbd_handle_reply() (jsc#PED-1183).
- nbd: clean up return value checking of sock_xmit()
  (jsc#PED-1183).
- nbd: don't start request if nbd_queue_rq() failed
  (jsc#PED-1183).
- nbd: check sock index in nbd_read_stat() (jsc#PED-1183).
- nbd: make sure request completion won't concurrent
  (jsc#PED-1183).
- nbd: don't handle response without a corresponding request
  message (jsc#PED-1183).
- nbd: add error handling support for add_disk() (jsc#PED-1183).
- commit 2fd7397
* Thu Nov 24 2022 hare@suse.de
- nbd: remove nbd->destroy_complete (jsc#PED-1183).
- Refresh patches.suse/nbd-Fix-use-after-free-in-pid_show.patch.
- commit 8df69d9
* Thu Nov 24 2022 ptesarik@suse.cz
- KVM: s390: resetting the Topology-Change-Report (jsc#PED-593).
- KVM: s390: guest support for topology function (jsc#PED-593).
- KVM: s390: Cleanup ipte lock access and SIIF facility checks
  (jsc#PED-593).
- commit 195be79
* Thu Nov 24 2022 hare@suse.de
- nbd: only return usable devices from nbd_find_unused
  (jsc#PED-1183).
- commit 7cb77c9
* Thu Nov 24 2022 hare@suse.de
- nbd: set nbd->index before releasing nbd_index_mutex
  (jsc#PED-1183).
- commit 4d50ee6
* Thu Nov 24 2022 hare@suse.de
- nbd: prevent IDR lookups from finding partially initialized
  devices (jsc#PED-1183).
- nbd: reset NBD to NULL when restarting in nbd_genl_connect
  (jsc#PED-1183).
- nbd: add missing locking to the nbd_dev_add error path
  (jsc#PED-1183).
- commit 769e92a
* Thu Nov 24 2022 hare@suse.de
- nbd: reduce the nbd_index_mutex scope (jsc#PED-1183).
- Refresh
  patches.suse/block-nbd-add-sanity-check-for-first_minor.patch.
- commit f2e59a3
* Thu Nov 24 2022 hare@suse.de
- nbd: refactor device search and allocation in nbd_genl_connect
  (jsc#PED-1183).
- nbd: return the allocated nbd_device from nbd_dev_add
  (jsc#PED-1183).
- nbd: remove nbd_del_disk (jsc#PED-1183).
- commit 4013480
* Thu Nov 24 2022 hare@suse.de
- nbd: refactor device removal (jsc#PED-1183).
- commit b9935c9
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- samples/bpf: Get rid of bpf_prog_load_xattr() use
  (jsc#PED-1368).
- skmsg: convert struct sk_msg_sg::copy to a bitmap
  (jsc#PED-1368).
- samples: bpf: Convert ARP table network order fields into
  readable format (jsc#PED-1368).
- samples: bpf: Convert route table network order fields into
  readable format (jsc#PED-1368).
- commit 21bdd35
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- libbpf: Fix array_size.cocci warning (jsc#PED-1368).
- bpf: Replace strncpy() with strscpy() (jsc#PED-1368).
- libbpf: Unmap rings when umem deleted (jsc#PED-1368).
- selftests/bpf: Add a test for btf_type_tag "percpu"
  (jsc#PED-1368).
- commit 4fa0718
* Thu Nov 24 2022 hare@suse.de
- block: default BLOCK_LEGACY_AUTOLOAD to y (jsc#PED-1183).
- Update config files.
- commit 2edc8db
* Thu Nov 24 2022 hare@suse.de
- scsi: ufs: core: Fix divide by zero in ufshcd_map_queues()
  (jsc#PED-818).
- commit 3fb7e98
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- bpf: Reject programs that try to load __percpu memory
  (jsc#PED-1368).
- compiler_types: Define __percpu as
  __attribute__((btf_type_tag("percpu"))) (jsc#PED-1368).
- bpf: Fix checking PTR_TO_BTF_ID in check_mem_access
  (jsc#PED-1368).
- selftests/bpf: Add tests for kfunc register offset checks
  (jsc#PED-1368).
- bpf: Replace __diag_ignore with unified __diag_ignore_all
  (jsc#PED-1368).
- compiler_types.h: Add unified __diag_ignore_all for GCC/LLVM
  (jsc#PED-1368).
- compiler-clang.h: Add __diag infrastructure for clang
  (jsc#PED-1368).
- bpf: Harden register offset checks for release helpers and
  kfuncs (jsc#PED-1368).
- selftests/bpf: Add custom SEC() handling selftest
  (jsc#PED-1368).
- bpf: Small BPF verifier log improvements (jsc#PED-1368).
- commit 2638e8f
* Thu Nov 24 2022 tiwai@suse.de
- spi: tegra210-quad: Fix duplicate resource error (git-fixes).
- spi: dw-dma: decrease reference count in dw_spi_dma_init_mfld()
  (git-fixes).
- spi: spi-imx: Fix spi_bus_clk if requested clock is higher
  than input clock (git-fixes).
- commit 019145b
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- libbpf: Support custom SEC() handlers (jsc#PED-1368).
- libbpf: Allow BPF program auto-attach handlers to bail out
  (jsc#PED-1368).
- libbpf: Fix libbpf.map inheritance chain for LIBBPF_0.7.0
  (jsc#PED-1368).
- commit 6744c53
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- selftests/bpf: Remove usage of deprecated feature probing APIs
  (jsc#PED-1368).
- commit 41f049f
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- net: Implement ->sock_is_readable() for UDP and AF_UNIX
  (jsc#PED-1368).
- af_unix: Add unix_stream_proto for sockmap (jsc#PED-1368).
- bpf, tests: Fix spelling mistake "shoft" -> "shift"
  (jsc#PED-1368).
- samples/bpf: Define MAX_ENTRIES instead of a magic number in
  offwaketime (jsc#PED-1368).
- samples, bpf: Add an explict comment to handle nested vlan
  tagging (jsc#PED-1368).
- commit 6615b18
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- blacklist.conf: ignore 6d4eb36d6597 which is only used to resolve merge issue.
- commit 743a933
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- bpf: use skb_expand_head in bpf_out_neigh_v4/6 (jsc#PED-1368).
- unix_bpf: Fix a potential deadlock in unix_dgram_bpf_recvmsg()
  (jsc#PED-1368).
- bpf, doc: Add heading and example for extensions in cbpf
  (jsc#PED-1368).
- bpf: Sync tools/include/uapi/linux/bpf.h (jsc#PED-1368).
- commit 964b8fe
* Thu Nov 24 2022 shung-hsi.yu@suse.com
- bpf, selftests: Fix spelling mistake "tained" -> "tainted"
  (jsc#PED-1368).
- selftest/bpf: Add a test that reads various addresses
  (jsc#PED-1368).
- bpf: Fix extable address check (jsc#PED-1368).
- bpf: Fix extable fixup offset (jsc#PED-1368).
- selftests/bpf: Tests for state pruning with u32 spill/fill
  (jsc#PED-1368).
- bpf: Fix incorrect state pruning for <8B spill/fill
  (jsc#PED-1368).
- samples/bpf: Fix build error due to -isystem removal
  (jsc#PED-1368).
- Refresh patches.suse/samples-bpf-Clean-up-samples-bpf-build-failes.patch
- samples/bpf: Fix incorrect use of strlen in xdp_redirect_cpu
  (jsc#PED-1368).
- samples/bpf: Fix summary per-sec stats in xdp_sample_user
  (jsc#PED-1368).
- selftests/bpf: Check map in map pruning (jsc#PED-1368).
- libbpf: update index.rst reference (jsc#PED-1368).
- Refresh patches.suse/bpf-docs-Fix-ordering-of-bpf-documentation.patch
- selftests/net: Fix reuseport_bpf_numa by skipping unavailable
  nodes (jsc#PED-1368).
- selftests/bpf: Verifier test on refill from a smaller spill
  (jsc#PED-1368).
- cgroup: bpf: Move wrapper for __cgroup_bpf_*() to
  kernel/bpf/cgroup.c (jsc#PED-1368).
- selftests, bpf: Fix broken riscv build (jsc#PED-1368).
- bpf, tests: Add module parameter test_suite to test_bpf module
  (jsc#PED-1368).
- samples/bpf: Fix application of sizeof to pointer
  (jsc#PED-1368).
- selftests/bpf: Remove duplicated include in cgroup_helpers
  (jsc#PED-1368).
- libbpf: Migrate internal use of
  bpf_program__get_prog_info_linear (jsc#PED-1368).
- selftests/bpf: Skip verifier tests that fail to load with
  ENOTSUPP (jsc#PED-1368).
- bpf/selftests: Add test for writable bare tracepoint
  (jsc#PED-1368).
- libbpf: Support detecting and attaching of writable tracepoint
  program (jsc#PED-1368).
- selftests/bpf: Fix btf_dump test under new clang (jsc#PED-1368).
- bpf, x64: Factor out emission of REX byte in more cases
  (jsc#PED-1368).
- libbpf: Deprecate bpf_object__unload() API since v0.6
  (jsc#PED-1368).
- Refresh patches.suse/libbpf-Deprecate-bpf_object__load_xattr.patch
- Refresh patches.suse/libbpf-Improve-logging-around-BPF-program-loading.patch
- selftest/bpf: Switch recursion test to use htab_map_delete_elem
  (jsc#PED-1368).
- bpf, arm: Remove dummy bpf_jit_compile stub (jsc#PED-1368).
- bpf, x64: Save bytes for DIV by reducing reg copies
  (jsc#PED-1368).
- inet: remove races in inet{6}_getname() (jsc#PED-1368).
- bpf, xdp, docs: Correct some English grammar and spelling
  (jsc#PED-1368).
- bpftool: Avoid using "?: " in generated code (jsc#PED-1368).
- selftests/bpf: Fix btf_dump __int128 test failure with clang
  build kernel (jsc#PED-1368).
- seltests: bpf: test_tunnel: Use ip neigh (jsc#PED-1368).
- libbpf: Add doc comments in libbpf.h (jsc#PED-1368).
- Refresh patches.suse/libbpf-1.0-Deprecate-bpf_map__is_offload_neutral.patch
- Refresh patches.suse/libbpf-Deprecate-bpf_-map-program-__-prev-next-APIs-.patch
- commit 955f4c0
* Thu Nov 24 2022 lduncan@suse.com
- scsi: hisi_sas: Use libsas internal abort support
  (jsc#PED-1559).
- commit 560dcfc
* Thu Nov 24 2022 lduncan@suse.com
- scsi: hisi_sas: Fix setting of hisi_sas_slot.is_internal
  (jsc#PED-1559).
- Refresh patches.suse/scsi-libsas-Add-sas_task.tmf.patch.
- Refresh patches.suse/scsi-libsas-Add-struct-sas_tmf_task.patch.
- commit 21e0a0e
* Wed Nov 23 2022 lduncan@suse.com
- scsi: hisi_sas: Pass abort structure for internal abort
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-hisi_sas-Factor-out-task-prep-and-delivery-code.patch.
- commit ac999b0
* Wed Nov 23 2022 vbabka@suse.cz
- mm/migrate: enable returning precise migrate_pages() success
  count (jsc#PED-1247).
- Refresh
  patches.suse/mm-refactor-check_and_migrate_movable_pages.patch.
- commit e58ace6
* Wed Nov 23 2022 vbabka@suse.cz
- mm/migrate: update node demotion order on hotplug events
  (jsc#PED-1247).
- Refresh
  patches.suse/mm-move-the-migrate_vma_-device-migration-code-into-its-own-file.patch.
- commit 9c83587
* Wed Nov 23 2022 vbabka@suse.cz
- mm/numa: automatically generate node migration order
  (jsc#PED-1247).
- Refresh
  patches.suse/mm-move-the-migrate_vma_-device-migration-code-into-its-own-file.patch.
- commit 65b4936
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Treat link loss as fatal error (jsc#PED-818).
- commit 223cdc5
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Use generic error code in ufshcd_set_dev_pwr_mode()
  (jsc#PED-818).
- commit 8690a34
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshcd-pltfrm: Check the return value of
  devm_kstrdup() (jsc#PED-818).
- commit e310065
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Modify Tactive time setting conditions (jsc#PED-818).
- commit 975df2b
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Fix deadlock issue in
  ufshcd_wait_for_doorbell_clr() (jsc#PED-818).
- scsi: ufs: Implement polling support (jsc#PED-818).
- scsi: ufs: Optimize the command queueing code (jsc#PED-818).
- scsi: ufs: Stop using the clock scaling lock in the error
  handler (jsc#PED-818).
- scsi: ufs: Fix a kernel crash during shutdown (jsc#PED-818).
- scsi: ufs: Introduce ufshcd_release_scsi_cmd() (jsc#PED-818).
- scsi: ufs: Remove the 'update_scaling' local variable
  (jsc#PED-818).
- scsi: ufs: Remove hba->cmd_queue (jsc#PED-818).
- scsi: ufs: Rework ufshcd_change_queue_depth() (jsc#PED-818).
- scsi: ufs: Remove ufshcd_any_tag_in_use() (jsc#PED-818).
- scsi: ufs: Remove the sdev_rpmb member (jsc#PED-818).
- scsi: ufs: Remove is_rpmb_wlun() (jsc#PED-818).
- scsi: ufs: Rename a function argument (jsc#PED-818).
- commit 5b176c8
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Let devices remain runtime suspended during system
  suspend (jsc#PED-818).
- scsi: ufs: Fix double space in SCSI_UFS_HWMON description
  (jsc#PED-818).
- scsi: ufs: Wrap Universal Flash Storage drivers in SCSI_UFSHCD
  (jsc#PED-818).
- commit 88c3577
* Wed Nov 23 2022 hare@suse.de
- block: move io_context creation into where it's needed
  (jsc#PED-1183).
- Refresh patches.suse/block-Provide-blk_mq_sched_get_icq.patch.
- commit ec64f06
* Wed Nov 23 2022 hare@suse.de
- blk-mq: move more plug handling from blk_mq_submit_bio into
  blk_add_rq_to_plug (jsc#PED-1183).
- blk-mq: simplify the plug handling in blk_mq_submit_bio
  (jsc#PED-1183).
- sr: set GENHD_FL_REMOVABLE earlier (jsc#PED-1183).
- block: cleanup the GENHD_FL_* definitions (jsc#PED-1183).
- block: don't set GENHD_FL_NO_PART for hidden gendisks
  (jsc#PED-1183).
- block: remove GENHD_FL_EXT_DEVT (jsc#PED-1183).
- block: remove GENHD_FL_SUPPRESS_PARTITION_INFO (jsc#PED-1183).
- mmc: don't set GENHD_FL_SUPPRESS_PARTITION_INFO (jsc#PED-1183).
- null_blk: don't suppress partitioning information
  (jsc#PED-1183).
- block: remove the GENHD_FL_HIDDEN check in blkdev_get_no_open
  (jsc#PED-1183).
- block: rename GENHD_FL_NO_PART_SCAN to GENHD_FL_NO_PART
  (jsc#PED-1183).
- block: merge disk_scan_partitions and blkdev_reread_part
  (jsc#PED-1183).
- block: remove a dead check in show_partition (jsc#PED-1183).
- block: remove GENHD_FL_CD (jsc#PED-1183).
- block: move GENHD_FL_BLOCK_EVENTS_ON_EXCL_WRITE to
  disk->event_flags (jsc#PED-1183).
- block: move GENHD_FL_NATIVE_CAPACITY to disk->state
  (jsc#PED-1183).
- block: don't include blk-mq headers in blk-core.c
  (jsc#PED-1183).
- block: move blk_print_req_error to blk-mq.c (jsc#PED-1183).
- block: move blk_dump_rq_flags to blk-mq.c (jsc#PED-1183).
- commit 1f78100
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufs-mediatek: Add put_device() after
  of_find_device_by_node() (jsc#PED-818).
- commit 5dc527f
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Fix warning in ufshpb_set_hpb_read_to_upiu()
  (jsc#PED-818).
- commit 85d0fc9
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Properly handle max-single-cmd (jsc#PED-818).
- scsi: ufs: ufs-exynos: Introduce ExynosAuto v9 virtual host
  (jsc#PED-818).
- scsi: ufs: ufs-exynos: Multi-host configuration for ExynosAuto
  v9 (jsc#PED-818).
- scsi: ufs: ufs-exynos: Support ExynosAuto v9 UFS (jsc#PED-818).
- scsi: ufs: ufs-exynos: Add pre/post_hce_enable drv callbacks
  (jsc#PED-818).
- scsi: ufs: ufs-exynos: Factor out priv data init (jsc#PED-818).
- scsi: ufs: ufs-exynos: Add EXYNOS_UFS_OPT_SKIP_CONFIG_PHY_ATTR
  option (jsc#PED-818).
- scsi: ufs: ufs-exynos: Support custom version of
  ufs_hba_variant_ops (jsc#PED-818).
- scsi: ufs: ufs-exynos: Add setup_clocks callback (jsc#PED-818).
- scsi: ufs: ufs-exynos: Add refclkout_stop control (jsc#PED-818).
- scsi: ufs: ufs-exynos: Simplify drv_data retrieval
  (jsc#PED-818).
- scsi: ufs: ufs-exynos: Change pclk available max value
  (jsc#PED-818).
- scsi: ufs: Add quirk to enable host controller without PH
  configuration (jsc#PED-818).
- scsi: ufs: Add quirk to handle broken UIC command (jsc#PED-818).
- scsi: ufs: core: Micro-optimize ufshcd_map_sg() (jsc#PED-818).
- scsi: ufs: core: Add a compile-time structure size check
  (jsc#PED-818).
- scsi: ufs: core: Remove three superfluous casts (jsc#PED-818).
- scsi: ufs: core: Add debugfs attributes for triggering the
  UFS EH (jsc#PED-818).
- scsi: ufs: core: Make it easier to add new debugfs attributes
  (jsc#PED-818).
- scsi: ufs: core: Export ufshcd_schedule_eh_work() (jsc#PED-818).
- commit e8f624b
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Log error handler activity (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-Fix-a-deadlock-in-the-error-handler.patch.
- commit e8ba168
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Improve static type checking (jsc#PED-818).
- commit 3dc7a2c
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Improve source code comments (jsc#PED-818).
- commit 25d8e2c
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Revert "Retry aborted SCSI commands instead of
  completing these successfully" (jsc#PED-818).
- commit 3e0d067
* Wed Nov 23 2022 hare@suse.de
- ataflop: Add missing semicolon to return statement
  (jsc#PED-1183).
- floppy: address add_disk() error handling on probe
  (jsc#PED-1183).
- ataflop: address add_disk() error handling on probe
  (jsc#PED-1183).
- block: update __register_blkdev() probe documentation
  (jsc#PED-1183).
- mtd/ubi/block: add error handling support for add_disk()
  (jsc#PED-1183).
- block/sunvdc: add error handling support for add_disk()
  (jsc#PED-1183).
- z2ram: add error handling support for add_disk() (jsc#PED-1183).
- nvdimm/btt: add error handling support for add_disk()
  (jsc#PED-1183).
- nvdimm/btt: use goto error labels on btt_blk_init()
  (jsc#PED-1183).
- block/brd: add error handling support for add_disk()
  (jsc#PED-1183).
- ps3vram: add error handling support for add_disk()
  (jsc#PED-1183).
- ps3disk: add error handling support for add_disk()
  (jsc#PED-1183).
- zram: add error handling support for add_disk() (jsc#PED-1183).
- commit 599c2a3
* Wed Nov 23 2022 hare@suse.de
- block: fix device_add_disk() kobject_create_and_add() error
  (jsc#PED-1183).
- block: ensure cached plug request matches the current queue
  (jsc#PED-1183).
- block: move queue enter logic into blk_mq_submit_bio()
  (jsc#PED-1183).
- block: make bio_queue_enter() fast-path available inline
  (jsc#PED-1183).
- block: split request allocation components into helpers
  (jsc#PED-1183).
- block: have plug stored requests hold references to the queue
  (jsc#PED-1183).
- blk-mq: update hctx->nr_active in blk_mq_end_request_batch()
  (jsc#PED-1183).
- blk-mq: add RQF_ELV debug entry (jsc#PED-1183).
- blk-mq: only try to run plug merge if request has same queue
  (jsc#PED-1183).
- block: move RQF_ELV setting into allocators (jsc#PED-1183).
- block: replace always false argument with 'false'
  (jsc#PED-1183).
- block: assign correct tag before doing prefetch of request
  (jsc#PED-1183).
- blk-mq: fix redundant check of !e expression (jsc#PED-1183).
- block: use new bdev_nr_bytes() helper for
  blkdev_{read,write}_iter() (jsc#PED-1183).
- block: add a loff_t cast to bdev_nr_bytes (jsc#PED-1183).
- commit 458a14b
* Wed Nov 23 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 5eaee0f
* Wed Nov 23 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit d84acf3
* Wed Nov 23 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 5ea51bc
* Wed Nov 23 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit f3d467e
* Wed Nov 23 2022 ptesarik@suse.cz
- drivers/s390/char: Add Ultravisor io device (jsc#PED-589).
- Set CONFIG_S390_UV_UAPI=y for s390x/default.
- commit 1a468f6
* Wed Nov 23 2022 hare@suse.de
- scsi: sd: Add error handling support for add_disk()
  (jsc#PED-1183).
- commit cfb9aa2
* Wed Nov 23 2022 ptesarik@suse.cz
- scsi: zfcp: Fix double free of FSF request when qdio send fails
  (git-fixes).
- s390: fix nospec table alignments (git-fixes).
- KVM: s390: pv: leak the topmost page table when destroy fails
  (git-fixes).
- commit 378329e
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufs-mediatek: Fix wrong location for ref-clk delay
  (jsc#PED-818).
- scsi: ufs: ufs-mediatek: Fix build error caused by use of
  sched_clock() (jsc#PED-818).
- scsi: ufs: ufs-mediatek: Introduce default delay for reference
  clock (jsc#PED-818).
- scsi: ufs: core: Fix synchronization between scsi_unjam_host()
  and ufshcd_queuecommand() (jsc#PED-818).
- scsi: ufs: mediatek: Support vops pre suspend to disable
  auto-hibern8 (jsc#PED-818).
- scsi: ufs: core: Do not exit ufshcd_err_handler() unless
  operational or dead (jsc#PED-818).
- scsi: ufs: core: Do not exit ufshcd_reset_and_restore() unless
  operational or dead (jsc#PED-818).
- commit d6f208d
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Remove return statement in void function
  (jsc#PED-818).
- commit 71b3e45
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Fix ufshcd_probe_hba() prototype to match
  the definition (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 04485b5
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Fix NULL pointer dereference (jsc#PED-818).
- commit 920bf66
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufs-qcom: Enter and exit hibern8 during clock scaling
  (jsc#PED-818).
- commit faaa4b0
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Export hibern8 entry and exit functions
  (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 38b99b9
* Wed Nov 23 2022 hare@suse.de
- Update config files.
- commit 5ca8bc8
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: SCSI_UFS_HWMON depends on HWMON=y
  (jsc#PED-818).
- scsi: ufs: exynos: Unify naming (jsc#PED-818).
- scsi: ufs: core: Add temperature notification exception handling
  (jsc#PED-818).
- scsi: ufs: core: Probe for temperature notification support
  (jsc#PED-818).
- scsi: ufs: ufs-mediatek: Change dbg select by check IP version
  (jsc#PED-818).
- scsi: ufs: ufshpb: Use proper power management API
  (jsc#PED-818).
- commit 8fa0755
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufs-qcom: Remove unneeded variable 'err'
  (jsc#PED-818).
- commit 4f07349
* Wed Nov 23 2022 hare@suse.de
- block: add documentation for inflight requests (jsc#PED-818).
- commit 4394f0b
* Wed Nov 23 2022 hare@suse.de
- block: remove blk_{get,put}_request (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-Fix-a-deadlock-in-the-error-handler.patch.
- Refresh patches.suse/scsi-ufs-Remove-dead-code.patch.
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 0fa7ef4
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Remove HPB2.0 flows (jsc#PED-818).
- commit 07fb381
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufs-pci: Force a full restore after suspend-to-disk
  (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-ufs-pci-Add-support-for-Intel-ADL.patch.
- commit b7ef74b
* Wed Nov 23 2022 ptesarik@suse.cz
- s390/pci: implement minimal PCI error recovery (jsc#PED-592).
- PCI: Export pci_dev_lock() (jsc#PED-592).
- s390/pci: implement reset_slot for hotplug slot (jsc#PED-592).
- s390/pci: refresh function handle in iomap (jsc#PED-592).
- s390/pci: fix clp_get_state() handling of -ENODEV (jsc#PED-592).
- s390/pci: improve DMA translation init and exit (jsc#PED-592).
- s390/pci: simplify CLP List PCI handling (jsc#PED-592).
- s390/pci: handle FH state mismatch only on disable
  (jsc#PED-592).
- commit 0bd3154
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Revert "scsi: ufs: Synchronize SCSI and UFS
  error handling" (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-Fix-race-conditions-related-to-driver-data.
- commit fb910a6
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Remove unused parameters (jsc#PED-818).
- commit fc9b7e2
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Fix ufshcd_request_sense_async() for Samsung
  KLUFG8RHDA-B2D1 (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 343d662
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Fix typo in comments (jsc#PED-818).
- commit 89d644e
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Fix possible memory leak (jsc#PED-818).
- commit 603625b
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-818).
- commit 9c5c37d
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Do not report victim error in HCM
  (jsc#PED-818).
- commit 96b016b
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Verify that 'num_inflight_map_req' is
  non-negative (jsc#PED-818).
- commit 31d2cd8
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Use a correct max multi chunk (jsc#PED-818).
- commit 1ef703e
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Rewind the read timeout on every read
  (jsc#PED-818).
- commit 9547b90
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Remove redundant initialization of variable
  'lba' (jsc#PED-818).
- Refresh patches.suse/scsi-ufs-core-scsi_get_lba-error-fix.patch.
- commit 3203b3e
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Add lu_enable sysfs node (jsc#PED-818).
- commit 76fadad
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Add L2P entry swap quirk for Micron UFS
  (jsc#PED-818).
- commit 64fec83
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: core: Remove redundant call in
  ufshcd_add_command_trace() (jsc#PED-818).
- Refresh patches.suse/scsi-ufs-core-scsi_get_lba-error-fix.patch.
- commit a186485
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: Add fault injection support (jsc#PED-818).
- scsi: ufs: ufshpb: Make host mode parameters configurable
  (jsc#PED-818).
- scsi: ufs: ufshpb: Add support for host control mode
  (jsc#PED-818).
- scsi: ufs: ufshpb: Do not send umap_all in host control mode
  (jsc#PED-818).
- scsi: ufs: ufshpb: Limit the number of in-flight map requests
  (jsc#PED-818).
- scsi: ufs: ufshpb: Add "cold" regions timer (jsc#PED-818).
- scsi: ufs: ufshpb: Add HPB dev reset response (jsc#PED-818).
- scsi: ufs: ufshpb: Region inactivation in host mode
  (jsc#PED-818).
- scsi: ufs: ufshpb: Make eviction depend on region's reads
  (jsc#PED-818).
- scsi: ufs: ufshpb: Add reads counter (jsc#PED-818).
- scsi: ufs: ufshpb: Transform set_dirty to iterate_rgn
  (jsc#PED-818).
- scsi: ufs: ufshpb: Add host control mode support to rsp_upiu
  (jsc#PED-818).
- scsi: ufs: ufshpb: Cache HPB Control mode on init (jsc#PED-818).
- scsi: ufs: ufshpb: Add HPB 2.0 support (jsc#PED-818).
- scsi: ufs: ufshpb: Prepare HPB read for cached sub-region
  (jsc#PED-818).
- scsi: ufs: ufshpb: L2P map management for HPB read
  (jsc#PED-818).
- commit e4b84c2
* Wed Nov 23 2022 hare@suse.de
- scsi: ufs: ufshpb: Introduce Host Performance Buffer feature
  (jsc#PED-818).
- Update config files.
- Refresh
  patches.suse/scsi-ufs-Retry-aborted-SCSI-commands-instead-of-comp.patch.
- Refresh
  patches.suse/scsi-ufshcd-Fix-device-links-when-BOOT-WLUN-fails-to.patch.
- commit 6f6b6ac
* Wed Nov 23 2022 hare@suse.de
- scsi: do not put scsi_common in a separate module
  (jsc#PED-1183).
- commit 6b79796
* Wed Nov 23 2022 ykaukab@suse.de
- Refresh
  patches.suse/xfs-move-recovery-needed-state-updates-to-xfs_log_mo.patch.
  Fix following error in x86_64/debug build:
  ../fs/xfs/xfs_log.c:781:19: error: implicit declaration of function 'XLOG_FORCED_SHUTDOWN'; did you mean 'XFS_FORCED_SHUTDOWN'? [-Werror=implicit-function-declaration]
- commit cafaa30
* Wed Nov 23 2022 hare@suse.de
- block: pass in blk_mq_tags to blk_mq_rq_ctx_init()
  (jsc#PED-1183).
- Refresh
  patches.suse/0013-blk-mq-Properly-init-requests-from-blk_mq_alloc_requ.patch.
- commit 12bf407
* Wed Nov 23 2022 dwagner@suse.de
- nvme-pci: disable Write Zeroes on Phison E3C/E4C (jsc#PED-1183).
- nvme: Fix IOC_PR_CLEAR and IOC_PR_RELEASE ioctls for nvme
  devices (jsc#PED-1183).
- nvme: requeue aen after firmware activation (jsc#PED-1183).
- nvmet: fix mar and mor off-by-one errors (jsc#PED-1183).
- nvme-tcp: fix regression that causes sporadic requests to time
  out (jsc#PED-1183).
- nvmet: fix a use-after-free (jsc#PED-1183).
- nvmet-tcp: fix unhandled tcp states in nvmet_tcp_state_change()
  (jsc#PED-1183).
- nvmet-auth: add missing goto in nvmet_setup_auth()
  (jsc#PED-1183).
- nvme-pci: add NVME_QUIRK_BOGUS_NID for Lexar NM610
  (jsc#PED-1183).
- nvme-pci: add NVME_QUIRK_BOGUS_NID for ADATA XPG GAMMIX S70
  (jsc#PED-1183).
- nvme-tcp: check if the queue is allocated before stopping it
  (jsc#PED-1183).
- nvme-fabrics: Fix a typo in an error message (jsc#PED-1183).
- nvmet-auth: use kmemdup instead of kmalloc + memcpy
  (jsc#PED-1183).
- nvme-fc: fix the fc_appid_store return value (jsc#PED-1183).
- nvme-fc: restart admin queue if the caller needs to restart
  queue (jsc#PED-1183).
- nvme-pci: convert to using dma_map_sgtable() (jsc#PED-1183).
- nvmet-tcp: fix lockdep complaint on nvmet_tcp_wq flush during
  queue teardown (jsc#PED-1183).
- nvme: enable generic interface (/dev/ngXnY) for unknown command
  sets (jsc#PED-1183).
- nvme: factor out a nvme_ns_is_readonly helper (jsc#PED-1183).
- nvme: refactor namespace probing (jsc#PED-1183).
- nvme: generalize the nvme_multi_css check in nvme_scan_ns
  (jsc#PED-1183).
- nvme: rename nvme_validate_or_alloc_ns to nvme_scan_ns
  (jsc#PED-1183).
- nvme: catch -ENODEV from nvme_revalidate_zones again
  (jsc#PED-1183).
- nvmet-auth: select the intended CRYPTO_DH_RFC7919_GROUPS
  (jsc#PED-1183).
- nvmet-auth: fix return value check in auth receive
  (jsc#PED-1183).
- nvmet-auth: fix return value check in auth send (jsc#PED-1183).
- nvmet-auth: fix a couple of spelling mistakes (jsc#PED-1183).
- nvmet: fix a format specifier in nvmet_auth_ctrl_exponential
  (jsc#PED-1183).
- nvmet: don't check for NULL pointer before kfree in
  nvmet_host_release (jsc#PED-1183).
- nvme-tcp: split nvme_tcp_alloc_tagset (jsc#PED-1183).
- nvme-rdma: split nvme_rdma_alloc_tagset (jsc#PED-1183).
- nvme-pci: split nvme_dev_add (jsc#PED-1183).
- nvme-pci: split nvme_alloc_admin_tags (jsc#PED-1183).
- nvme-pci: print the command name of aborted commands
  (jsc#PED-1183).
- nvme-pci: remove useless assignment in nvme_pci_setup_prps
  (jsc#PED-1183).
- nvme-auth: uninitialized variable in nvme_auth_transform_key()
  (jsc#PED-1183).
- nvme-auth: fix off by one checks (jsc#PED-1183).
- nvme: define compat_ioctl again to unbreak 32-bit userspace
  (jsc#PED-1183).
- nvme: don't always build constants.o (jsc#PED-1183).
- nvme: use command_id instead of req->tag in
  trace_nvme_complete_rq() (jsc#PED-1183).
- nvme-multipath: refactor nvme_mpath_add_disk (jsc#PED-1183).
- nvme-pci: use nvme core helper to cancel requests in tagset
  (jsc#PED-1183).
- nvme-tcp: use in-capsule data for I/O connect (jsc#PED-1183).
- nvme-rdma: remove timeout for getting RDMA-CM established event
  (jsc#PED-1183).
- nvme-loop: use nvme core helpers to cancel all requests in a
  tagset (jsc#PED-1183).
- nvme: remove unused timeout parameter (jsc#PED-1183).
  Refresh:
  - patches.suse/0006-nvme-Implement-In-Band-authentication.patch
  - patches.suse/nvme-auth-retry-command-if-DNR-bit-is-not-set.patch
- nvme: handle the persistent internal error AER (jsc#PED-1183).
- nvme: remove a double word in a comment (jsc#PED-1183).
- nvmet:: use bdev based helpers in
  nvmet_bdev_zone_mgmt_emulate_all (jsc#PED-1183).
- nvme-pci: Crucial P2 has bogus namespace ids (jsc#PED-1183).
- nvme: fix block device naming collision (jsc#PED-1183).
- nvme-pci: fix freeze accounting for error handling
  (jsc#PED-1183).
- nvme: use struct group for generic command dwords
  (jsc#PED-1183).
- nvme-pci: phison e16 has bogus namespace ids (jsc#PED-1183).
- nvme-pci: add NVME_QUIRK_BOGUS_NID for ADATA IM2P33F8ABR1
  (jsc#PED-1183).
- nvmet: add a clear_ids attribute for passthru targets
  (jsc#PED-1183).
- nvme: fix regression when disconnect a recovering ctrl
  (jsc#PED-1183).
- nvme-pci: add NVME_QUIRK_BOGUS_NID for ADATA XPG SX6000LNP
  (AKA SPECTRIX S40G) (jsc#PED-1183).
- nvme-tcp: always fail a request when sending it failed
  (jsc#PED-1183).
- nvmet-tcp: fix regression in data_digest calculation
  (jsc#PED-1183).
- nvme: move the Samsung X5 quirk entry to the core quirks
  (jsc#PED-1183).
- nvme: add a bogus subsystem NQN quirk for Micron MTFDKBA2T0TFH
  (jsc#PED-1183).
- nvme-pci: disable write zeros support on UMIC and Samsung SSDs
  (jsc#PED-1183).
- nvme-pci: avoid the deepest sleep state on ZHITAI TiPro7000 SSDs
  (jsc#PED-1183).
- nvme-pci: sk hynix p31 has bogus namespace ids (jsc#PED-1183).
- nvme-pci: smi has bogus namespace ids (jsc#PED-1183).
- nvme-pci: phison e12 has bogus namespace ids (jsc#PED-1183).
- nvme-pci: add NVME_QUIRK_BOGUS_NID for ADATA XPG GAMMIX S50
  (jsc#PED-1183).
- nvme-pci: add trouble shooting steps for timeouts
  (jsc#PED-1183).
- nvme: add bug report info for global duplicate id
  (jsc#PED-1183).
- nvme: add device name to warning in uuid_show() (jsc#PED-1183).
- nvmet: fix typo in comment (jsc#PED-1183).
- nvme: set controller enable bit in a separate write
  (jsc#PED-1183).
- nvme-pci: disable namespace identifiers for the MAXIO MAP1001
  (jsc#PED-1183).
- nvme: set non-mdts limits in nvme_scan_work (jsc#PED-1183).
- nvme: add support for TP4084 - Time-to-Ready Enhancements
  (jsc#PED-1183).
- nvme-fabrics: add a request timeout helper (jsc#PED-1183).
- nvme-pci: harden drive presence detect in nvme_dev_disable()
  (jsc#PED-1183).
- nvme-pci: fix a NULL pointer dereference in
  nvme_alloc_admin_tags (jsc#PED-1183).
- nvme: mark internal passthru request RQF_QUIET (jsc#PED-1183).
- nvme: remove unneeded include from constants file
  (jsc#PED-1183).
- nvme: add missing status values to verbose logging
  (jsc#PED-1183).
- nvme: set dma alignment to dword (jsc#PED-1183).
- nvme: fix interpretation of DMRSL (jsc#PED-1183).
- nvme: remove a spurious clear of discard_alignment
  (jsc#PED-1183).
- nvme-fc: fold t fc_update_appid into fc_appid_store
  (jsc#PED-1183).
- nvme-fc: don't support the appid attribute without
  CONFIG_BLK_CGROUP_FC_APPID (jsc#PED-1183).
- nvme: refactor nvme_submit_user_cmd() (jsc#PED-1183).
- nvme-pci: disable namespace identifiers for Qemu controllers
  (jsc#PED-1183).
- nvme-pci: disable namespace identifiers for the MAXIO
  MAP1002/1202 (jsc#PED-1183).
- nvme: add a quirk to disable namespace identifiers
  (jsc#PED-1183).
- nvme: don't print verbose errors for internal passthrough
  requests (jsc#PED-1183).
- nvme-multipath: fix hang when disk goes live over reconnect
  (jsc#PED-1183).
- nvme: allow duplicate NSIDs for private namespaces
  (jsc#PED-1183).
- nvmet: remove redundant assignment after left shift
  (jsc#PED-1183).
- nvmet: use a private workqueue instead of the system workqueue
  (jsc#PED-1183).
- nvme-pci: add quirks for Samsung X5 SSDs (jsc#PED-1183).
- nvme-pci: expose use_threaded_interrupts read-only in sysfs
  (jsc#PED-1183).
- nvme: fix the read-only state for zoned namespaces with
  unsupposed features (jsc#PED-1183).
- nvme: add support for enhanced metadata (jsc#PED-1183).
- block: add pi for extended integrity (jsc#PED-1183).
- lib: add rocksoft model crc64 (jsc#PED-1183).
- linux/kernel: introduce lower_48_bits function (jsc#PED-1183).
- asm-generic: introduce be48 unaligned accessors (jsc#PED-1183).
- nvme: allow integrity on extended metadata formats
  (jsc#PED-1183).
- block: support pi with extended metadata (jsc#PED-1183).
- nvme: remove support or stream based temperature hint
  (jsc#PED-1183).
- nvme: warn about shared namespaces without CONFIG_NVME_MULTIPATH
  (jsc#PED-1183).
- nvme: remove nvme_alloc_request and nvme_alloc_request_qid
  (jsc#PED-1183).
- nvme: cleanup how disk->disk_name is assigned (jsc#PED-1183).
- nvmet: move the call to nvmet_ns_changed out of
  nvmet_ns_revalidate (jsc#PED-1183).
- nvmet: use snprintf() with PAGE_SIZE in configfs (jsc#PED-1183).
- nvmet: don't fold lines (jsc#PED-1183).
- nvmet-rdma: fix kernel-doc warning for nvmet_rdma_device_removal
  (jsc#PED-1183).
- nvmet-fc: fix kernel-doc warning for
  nvmet_fc_unregister_targetport (jsc#PED-1183).
- nvmet-fc: fix kernel-doc warning for
  nvmet_fc_register_targetport (jsc#PED-1183).
- nvme-tcp: lockdep: annotate in-kernel sockets (jsc#PED-1183).
- nvme-tcp: don't fold the line (jsc#PED-1183).
- nvme-tcp: don't initialize ret variable (jsc#PED-1183).
  Refresh:
  - patches.suse/nvme-tcp-handle-number-of-queue-changes.patch
- nvme-multipath: call bio_io_error in nvme_ns_head_submit_bio
  (jsc#PED-1183).
- nvme: check that EUI/GUID/UUID are globally unique
  (jsc#PED-1183).
- nvme: check for duplicate identifiers earlier (jsc#PED-1183).
- nvme: fix the check for duplicate unique identifiers
  (jsc#PED-1183).
- nvme: cleanup __nvme_check_ids (jsc#PED-1183).
- nvme: remove nssa from struct nvme_ctrl (jsc#PED-1183).
- nvme: explicitly set non-error for directives (jsc#PED-1183).
- nvme: add vectored-io support for user-passthrough
  (jsc#PED-1183).
- nvme: add a helper to initialize connect_q (jsc#PED-1183).
  Refresh:
  - patches.suse/nvme-tcp-handle-number-of-queue-changes.patch
  - patches.suse/nvme-rdma-handle-number-of-queue-changes.patch
- nvme-rdma: add helpers for mapping/unmapping request
  (jsc#PED-1183).
- nvmet-tcp: replace ida_simple[get|remove] with the simler
  ida_[alloc|free] (jsc#PED-1183).
- nvmet-rdma: replace ida_simple[get|remove] with the simler
  ida_[alloc|free] (jsc#PED-1183).
- nvmet-fc: replace ida_simple[get|remove] with the simler
  ida_[alloc|free] (jsc#PED-1183).
- nvmet: replace ida_simple[get|remove] with the simler
  ida_[alloc|free] (jsc#PED-1183).
  Refresh:
  - patches.suse/0009-nvmet-Implement-basic-In-Band-Authentication.patch
- nvme-fc: replace ida_simple[get|remove] with the simler
  ida_[alloc|free] (jsc#PED-1183).
- nvme: replace ida_simple[get|remove] with the simler
  ida_[alloc|free] (jsc#PED-1183).
- nvmet: allow bdev in buffered_io mode (jsc#PED-1183).
- nvmet: use i_size_read() to set size for file-ns (jsc#PED-1183).
- nvme-fabrics: remove unnecessary braces for case (jsc#PED-1183).
  Refresh:
  - patches.suse/nvme-fabrics-parse-nvme-connect-Linux-error-codes.patch
- nvme-fabrics: use consistent zeroout pattern (jsc#PED-1183).
- nvme-fabrics: use unsigned int type (jsc#PED-1183).
- nvme-core: remove unnecessary function parameter (jsc#PED-1183).
- nvme-core: remove unnecessary semicolon (jsc#PED-1183).
- nvmet: revert "nvmet: make discovery NQN configurable"
  (jsc#PED-1183).
  Refresh:
  - patches.suse/nvmet-expose-max-queues-to-configfs.patch
- nvme-tcp: fix bogus request completion when failing to send AER
  (jsc#PED-1183).
- nvme: add nvme_complete_req tracepoint for batched completion
  (jsc#PED-1183).
- nvme-fabrics: remove the unneeded ret variable in nvmf_dev_show
  (jsc#PED-1183).
- nvme-pci: add the IGNORE_DEV_SUBNQN quirk for Intel P4500/P4600
  SSDs (jsc#PED-1183).
- nvme: drop unused variable ctrl in nvme_setup_cmd
  (jsc#PED-1183).
- nvme: increment request genctr on completion (jsc#PED-1183).
- nvmet-tcp: fix possible list corruption for unexpected command
  failure (jsc#PED-1183).
- nvme: report write pointer for a full zone as zone start +
  zone len (jsc#PED-1183).
- nvme: disable namespace access for unsupported metadata
  (jsc#PED-1183).
  Refresh:
  - patches.suse/nvme-don-t-return-an-error-from-nvme_configure_metad.patch
- nvme: show subsys nqn for duplicate cntlids (jsc#PED-1183).
- nvmet: use IOCB_NOWAIT only if the filesystem supports it
  (jsc#PED-1183).
- nvme: fix write zeroes pi (jsc#PED-1183).
- nvmet-tcp: fix incomplete data digest send (jsc#PED-1183).
- nvmet-tcp: fix memory leak when performing a controller reset
  (jsc#PED-1183).
- nvmet-tcp: add an helper to free the cmd buffers (jsc#PED-1183).
- nvmet-tcp: fix a race condition between release_queue and
  io_work (jsc#PED-1183).
- nvmet: use flex_array_size and struct_size (jsc#PED-1183).
- nvmet: use struct_size over open coded arithmetic
  (jsc#PED-1183).
- nvme-pci: clear shadow doorbell memory on resets (jsc#PED-1183).
- nvme-multipath: add error handling support for add_disk()
  (jsc#PED-1183).
- nvmet: use macro definitions for setting cmic value
  (jsc#PED-1183).
- nvmet: use macro definition for setting nmic value
  (jsc#PED-1183).
- nvmet-rdma: implement get_max_queue_size controller op
  (jsc#PED-1183).
- nvmet: add get_max_queue_size op for controllers (jsc#PED-1183).
- nvme-rdma: limit the maximal queue size for RDMA controllers
  (jsc#PED-1183).
- nvme: generate uevent once a multipath namespace is operational
  again (jsc#PED-1183).
- nvme: fix per-namespace chardev deletion (jsc#PED-1183).
- nvme: remove the call to nvme_update_disk_info in nvme_ns_remove
  (jsc#PED-1183).
- nvme: add error handling support for add_disk() (jsc#PED-1183).
  Refresh:
  - patches.suse/nvme-keep-ctrl-namespaces-ordered.patch
- nvmet: return bool from nvmet_passthru_ctrl and
  nvmet_is_passthru_req (jsc#PED-1183).
- nvmet: looks at the passthrough controller when initializing
  CAP (jsc#PED-1183).
- nvme: move nvme_multi_css into nvme.h (jsc#PED-1183).
- nvme: remove the unused NVME_NS_* enum (jsc#PED-1183).
- nvmet: check that host sqsize does not exceed ctrl MQES
  (jsc#PED-1183).
- nvmet: avoid duplicate qid in connect cmd (jsc#PED-1183).
- nvmet: remove redundant assignments of variable status
  (jsc#PED-1183).
- nvmet: add set feature tracing support (jsc#PED-1183).
- commit 6aecc93
* Wed Nov 23 2022 hare@suse.de
- block: cache bdev in struct file for raw bdev IO (jsc#PED-1183).
- Refresh
  patches.suse/treewide-Add-missing-includes-masked-by-cgroup-bpf-d.patch.
- commit 26ac4c9
* Wed Nov 23 2022 hare@suse.de
- block: move rq_qos_exit() into disk_release() (jsc#PED-1183).
- block: do more work in elevator_exit (jsc#PED-1183).
- block: move blk_exit_queue into disk_release (jsc#PED-1183).
- block: move q_usage_counter release into blk_queue_release
  (jsc#PED-1183).
- block: don't remove hctx debugfs dir from blk_mq_exit_queue
  (jsc#PED-1183).
- block: move blkcg initialization/destroy into disk
  allocation/release handler (jsc#PED-1183).
- scsi: don't use disk->private_data to find the scsi_driver
  (jsc#PED-1183).
- blk-mq: handle already freed tags gracefully in blk_mq_free_rqs
  (jsc#PED-1183).
- blk-mq: do not include passthrough requests in I/O accounting
  (jsc#PED-1183).
- blk-mq: manage hctx map via xarray (jsc#PED-1183).
- blk-mq: prepare for implementing hctx table via xarray
  (jsc#PED-1183).
- block: mtip32xx: don't touch q->queue_hw_ctx (jsc#PED-1183).
- blk-mq: reconfigure poll after queue map is changed
  (jsc#PED-1183).
- blk-mq: simplify reallocation of hw ctxs a bit (jsc#PED-1183).
- blk-mq: figure out correct numa node for hw queue
  (jsc#PED-1183).
- Revert "Revert "block, bfq: honor already-setup queue merges""
  (jsc#PED-1183).
- pktcdvd: remove a pointless debug check in pkt_submit_bio
  (jsc#PED-1183).
- block: remove handle_bad_sector (jsc#PED-1183).
- block: fix and cleanup bio_check_ro (jsc#PED-1183).
- bfq: fix use-after-free in bfq_dispatch_request (jsc#PED-1183).
- blk-crypto: show crypto capabilities in sysfs (jsc#PED-1183).
- scsi: sr: Remove duplicate assignment (jsc#PED-1183).
- commit b517a09
* Wed Nov 23 2022 hare@suse.de
- block: simplify calling convention of elv_unregister_queue()
  (jsc#PED-1183).
- Refresh
  patches.suse/block-don-t-delete-queue-kobject-before-its-children.patch.
- commit 82492f3
* Wed Nov 23 2022 hare@suse.de
- block: remove redundant semicolon (jsc#PED-1183).
- commit f93ccd6
* Wed Nov 23 2022 hare@suse.de
- block, bfq: don't move oom_bfqq (jsc#PED-1183).
- block, bfq: avoid moving bfqq to it's parent bfqg
  (jsc#PED-1183).
- block, bfq: cleanup bfq_bfqq_to_bfqg() (jsc#PED-1183).
- block/bfq_wf2q: correct weight to ioprio (jsc#PED-1183).
- blk-mq: avoid extending delays of active hctx from
  blk_mq_delay_run_hw_queues (jsc#PED-1183).
- virtio_blk: simplify refcounting (jsc#PED-1183).
- memstick/mspro_block: simplify refcounting (jsc#PED-1183).
- memstick/mspro_block: fix handling of read-only devices
  (jsc#PED-1183).
- memstick/ms_block: simplify refcounting (jsc#PED-1183).
- block: add a ->free_disk method (jsc#PED-1183).
- block: revert 4f1e9630afe6 ("blk-throtl: optimize IOPS throttle
  for large IO scenarios") (jsc#PED-1183).
- block: don't try to throttle split bio if iops limit isn't set
  (jsc#PED-1183).
- block: throttle split bio in case of iops limit (jsc#PED-1183).
- block: merge submit_bio_checks() into submit_bio_noacct
  (jsc#PED-1183).
- block: don't check bio in blk_throtl_dispatch_work_fn
  (jsc#PED-1183).
- block: don't declare submit_bio_checks in local header
  (jsc#PED-1183).
- block: move blk_crypto_bio_prep() out of blk-mq.c
  (jsc#PED-1183).
- block: move submit_bio_checks() into submit_bio_noacct
  (jsc#PED-1183).
- dm: remove dm_dispatch_clone_request (jsc#PED-1183).
- dm: remove useless code from dm_dispatch_clone_request
  (jsc#PED-1183).
- blk-mq: remove the request_queue argument to
  blk_insert_cloned_request (jsc#PED-1183).
- blk-mq: fold blk_cloned_rq_check_limits into
  blk_insert_cloned_request (jsc#PED-1183).
- memstick: mspro_block: Add error handling support for
  (jsc#PED-1183).
- memstick: ms_block: Add error handling support for add_disk()
  (jsc#PED-1183).
- commit b963674
* Wed Nov 23 2022 hare@suse.de
- blk-lib: don't check bdev_get_queue() NULL check (jsc#PED-1183).
- commit a9b6b7f
* Wed Nov 23 2022 hare@suse.de
- block: move initialization of q->blkg_list into blkcg_init_queue
  (jsc#PED-1183).
- commit 88f9c93
* Wed Nov 23 2022 hare@suse.de
- block: remove THROTL_IOPS_MAX (jsc#PED-1183).
- commit 6943d69
* Wed Nov 23 2022 hare@suse.de
- block: introduce block_rq_error tracepoint (jsc#PED-1183).
- sbitmap: Delete old sbitmap_queue_get_shallow() (jsc#PED-1183).
- lib/sbitmap: kill 'depth' from sbitmap_word (jsc#PED-1183).
- commit a246f34
* Wed Nov 23 2022 hare@suse.de
- block: pass a block_device to bio_clone_fast (jsc#PED-1183).
- commit d02985e
* Wed Nov 23 2022 hare@suse.de
- block: initialize the target bio in __bio_clone_fast
  (jsc#PED-1183).
- commit 0faba96
* Wed Nov 23 2022 hare@suse.de
- dm: use bio_clone_fast in alloc_io/alloc_tio (jsc#PED-1183).
- block: clone crypto and integrity data in __bio_clone_fast
  (jsc#PED-1183).
- dm-cache: remove __remap_to_origin_clear_discard (jsc#PED-1183).
- dm: simplify the single bio fast path in __send_duplicate_bios
  (jsc#PED-1183).
- dm: retun the clone bio from alloc_tio (jsc#PED-1183).
- dm: pass the bio instead of tio to __map_bio (jsc#PED-1183).
- dm: move cloning the bio into alloc_tio (jsc#PED-1183).
- dm: fold __send_duplicate_bios into __clone_and_map_simple_bio
  (jsc#PED-1183).
- dm: fold clone_bio into __clone_and_map_data_bio (jsc#PED-1183).
- dm: add a clone_to_tio helper (jsc#PED-1183).
- commit 4e68004
* Wed Nov 23 2022 hare@suse.de
- block: fix blk_mq_attempt_bio_merge and rq_qos_throttle
  protection (jsc#PED-1183).
- block: clear iocb->private in blkdev_bio_end_io_async()
  (jsc#PED-1183).
- commit 9793df3
* Wed Nov 23 2022 hare@suse.de
- block: fix surprise removal for drivers calling (jsc#PED-1183).
- Refresh patches.suse/xen-blkfront-Handle-NULL-gendisk.patch.
- commit 0cfe42d
* Wed Nov 23 2022 hare@suse.de
- block: Add handling for zone append command in
  blk_complete_request (jsc#PED-1183).
- commit fad3248
* Wed Nov 23 2022 ailiop@suse.com
- xfs: reserve quota for target dir expansion when renaming files
  (bsc#1205679).
- commit d93b22e
* Wed Nov 23 2022 vkarasulli@suse.de
- drivers: net: slip: fix NPD bug in sl_tx_timeout() (bsc#1205671
  CVE-2022-41858).
- commit 99b5127
* Wed Nov 23 2022 pjakobsson@suse.de
- blacklist.conf: Unblacklist patches for DRM v5.15 backport
- commit 521e1c2
* Wed Nov 23 2022 hare@suse.de
- block: call bio_associate_blkg from bio_reset (jsc#PED-1183).
- scsi: use BLK_STS_OFFLINE for not fully online devices
  (jsc#PED-1183).
- block: return -ENODEV for BLK_STS_OFFLINE (jsc#PED-1183).
- block: introduce BLK_STS_OFFLINE (jsc#PED-1183).
- commit 7d417de
* Wed Nov 23 2022 hare@suse.de
- block: fix the kerneldoc for bio_end_io_acct (jsc#PED-1183).
- block: check that there is a plug in blk_flush_plug
  (jsc#PED-1183).
- commit 04fc3fe
* Wed Nov 23 2022 hare@suse.de
- block: remove blk_needs_flush_plug (jsc#PED-1183).
- commit d49f4e8
* Wed Nov 23 2022 hare@suse.de
- block: pass a block_device and opf to bio_reset (jsc#PED-1183).
- commit ee56fe9
* Wed Nov 23 2022 hare@suse.de
- block: pass a block_device and opf to bio_init (jsc#PED-1183).
- Refresh
  patches.suse/oracleasm-reinstate-bio_map_user_iov-declaration-in-.patch.
- Refresh
  patches.suse/xfs-drop-async-cache-flushes-from-CIL-commits.patch.
- commit 6a9b937
* Wed Nov 23 2022 hare@suse.de
- rnbd-srv: remove struct rnbd_dev_blk_io (jsc#PED-1183).
- rnbd-srv: simplify bio mapping in process_rdma (jsc#PED-1183).
- rnbd: add error handling support for add_disk() (jsc#PED-1183).
- commit 20514bc
* Wed Nov 23 2022 shung-hsi.yu@suse.com
- bpftool: Fix uninit variable compilation warning (jsc#PED-1368).
- bpftool: Stop supporting BPF offload-enabled feature probing
  (jsc#PED-1368).
- libbpf: Stop using deprecated bpf_map__is_offload_neutral()
  (jsc#PED-1368).
- libbpf: Deprecate bpf_prog_test_run_xattr and bpf_prog_test_run
  (jsc#PED-1368).
- bpftool: Migrate from bpf_prog_test_run_xattr (jsc#PED-1368).
- selftests/bpf: Migrate from bpf_prog_test_run_xattr
  (jsc#PED-1368).
- selftests/bpf: Migrate from bpf_prog_test_run (jsc#PED-1368).
- bpf: Drop libbpf, libelf, libz dependency from bpf preload
  (jsc#PED-1368).
- bpf: Open code obj_get_info_by_fd in bpf preload (jsc#PED-1368).
- bpf: Convert bpf preload to light skeleton (jsc#PED-1368).
- bpf: Remove unnecessary setrlimit from bpf preload
  (jsc#PED-1368).
- libbpf: Open code raw_tp_open and link_create commands
  (jsc#PED-1368).
- libbpf: Open code low level bpf commands (jsc#PED-1368).
- libbpf: Add support for bpf iter in light skeleton
  (jsc#PED-1368).
- samples/bpf: Update cpumap/devmap sec_name (jsc#PED-1368).
- selftests/bpf: Update cpumap/devmap sec_name (jsc#PED-1368).
- libbpf: Deprecate xdp_cpumap, xdp_devmap and classifier sec
  definitions (jsc#PED-1368).
- libbpf: Deprecate btf_ext rec_size APIs (jsc#PED-1368).
- bpf: make bpf_copy_from_user_task() gpl only (jsc#PED-1368).
- selftests/bpf: Extend verifier and bpf_sock tests for dst_port
  loads (jsc#PED-1368).
- bpf: Make dst_port field in struct bpf_sock 16-bit wide
  (jsc#PED-1368).
- selftests/bpf/test_xdp_redirect: use temp netns for testing
  (jsc#PED-1368).
- selftests/bpf/test_xdp_meta: use temp netns for testing
  (jsc#PED-1368).
- selftests/bpf/test_tcp_check_syncookie: use temp netns for
  testing (jsc#PED-1368).
- selftests/bpf/test_lwt_seg6local: use temp netns for testing
  (jsc#PED-1368).
- selftests/bpf/test_xdp_vlan: use temp netns for testing
  (jsc#PED-1368).
- selftests/bpf/test_xdp_veth: use temp netns for testing
  (jsc#PED-1368).
- selftests/bpf/test_xdp_redirect_multi: use temp netns for
  testing (jsc#PED-1368).
- bpf, x86: Remove unnecessary handling of BPF_SUB atomic op
  (jsc#PED-1368).
- docs/bpf: clarify how btf_type_tag gets encoded in the type
  chain (jsc#PED-1368).
- selftests/bpf: specify pahole version requirement for btf_tag
  test (jsc#PED-1368).
- selftests/bpf: add a selftest with __user tag (jsc#PED-1368).
- selftests/bpf: rename btf_decl_tag.c to test_btf_decl_tag.c
  (jsc#PED-1368).
- bpf: reject program if a __user tagged memory accessed in
  kernel way (jsc#PED-1368).
- compiler_types: define __user as
  __attribute__((btf_type_tag("user"))) (jsc#PED-1368).
- Refresh patches.suse/make-module-BTF-toggleable.patch
- cgroup/bpf: fast path skb BPF filtering (jsc#PED-1368).
- selftests/bpf: fix a clang compilation error (jsc#PED-1368).
- selftests, xsk: Fix bpf_res cleanup test (jsc#PED-1368).
- bpf: remove unused static inlines (jsc#PED-1368).
- selftests/bpf: fix uprobe offset calculation in selftests
  (jsc#PED-1368).
- selftests/bpf: Fix a clang compilation error (jsc#PED-1368).
- bpf: fix register_btf_kfunc_id_set for !CONFIG_DEBUG_INFO_BTF
  (jsc#PED-1368).
- selftests: bpf: Less strict size check in sockopt_sk
  (jsc#PED-1368).
- samples/bpf: use preferred getters/setters instead of deprecated
  ones (jsc#PED-1368).
- selftests/bpf: use preferred setter/getter APIs instead of
  deprecated ones (jsc#PED-1368).
- bpftool: use preferred setters/getters instead of deprecated
  ones (jsc#PED-1368).
- libbpf: deprecate bpf_program__is_<type>() and
  bpf_program__set_<type>() APIs (jsc#PED-1368).
- libbpf: deprecate bpf_map__resize() (jsc#PED-1368).
- libbpf: hide and discourage inconsistently named getters
  (jsc#PED-1368).
- selftests/bpf: Add a test to confirm PT_REGS_PARM4_SYSCALL
  (jsc#PED-1368).
- libbpf: Fix the incorrect register read for syscalls on x86_64
  (jsc#PED-1368).
- selftests/bpf: Extract syscall wrapper (jsc#PED-1368).
- libbpf: Mark bpf_object__open_xattr() deprecated (jsc#PED-1368).
- libbpf: Mark bpf_object__open_buffer() API deprecated
  (jsc#PED-1368).
- selftests/bpf: Add test for sleepable bpf iterator programs
  (jsc#PED-1368).
- libbpf: Add "iter.s" section for sleepable bpf iterator programs
  (jsc#PED-1368).
- bpf: Add bpf_copy_from_user_task() helper (jsc#PED-1368).
- bpf: Add support for bpf iterator programs to use sleepable
  helpers (jsc#PED-1368).
- selftests, xsk: Fix rx_full stats test (jsc#PED-1368).
- bpf: Fix flexible_array.cocci warnings (jsc#PED-1368).
- xdp: disable XDP_REDIRECT for xdp frags (jsc#PED-1368).
- bpf: selftests: add CPUMAP/DEVMAP selftests for xdp frags
  (jsc#PED-1368).
- bpf: selftests: introduce bpf_xdp_{load,store}_bytes selftest
  (jsc#PED-1368).
- net: xdp: introduce bpf_xdp_pointer utility routine
  (jsc#PED-1368).
- bpf: generalise tail call map compatibility check
  (jsc#PED-1368).
- libbpf: Add SEC name for xdp frags programs (jsc#PED-1368).
- bpf: selftests: update xdp_adjust_tail selftest to include
  xdp frags (jsc#PED-1368).
- bpf: test_run: add xdp_shared_info pointer in bpf_test_finish
  signature (jsc#PED-1368).
- bpf: introduce frags support to bpf_prog_test_run_xdp()
  (jsc#PED-1368).
- bpf: move user_size out of bpf_test_init (jsc#PED-1368).
- bpf: add frags support to xdp copy helpers (jsc#PED-1368).
- commit c123d02
* Wed Nov 23 2022 colyli@suse.de
- dm: remove unnecessary assignment statement in alloc_dev()
  (git-fixes).
- md/raid5: Remove unnecessary bio_put() in raid5_read_one_chunk()
  (git-fixes).
- md/raid5: Ensure stripe_fill happens on non-read IO with journal
  (git-fixes).
- commit 79ca470
* Wed Nov 23 2022 colyli@suse.de
- md: Replace snprintf with scnprintf (git-fixes, bsc#1164051).
- Replace the in-house patch by the above upstream version,
  patches.suse/md-raid0-fix-buffer-overflow-at-debug-print.patch.
- commit e122ea5
* Wed Nov 23 2022 colyli@suse.de
- dm: return early from dm_pr_call() if DM device is suspended
  (git-fixes).
- dm thin: fix use-after-free crash in
  dm_sm_register_threshold_callback (git-fixes).
- dm raid: fix accesses beyond end of raid member array
  (git-fixes).
- dm mirror log: clear log bits up to BITS_PER_LONG boundary
  (git-fixes).
- dm era: commit metadata in postsuspend after worker stops
  (git-fixes).
- dm crypt: make printing of the key constant-time (git-fixes).
- dm stats: add cond_resched when looping over entries
  (git-fixes).
- dm integrity: fix memory corruption when tag_size is less than
  digest size (git-fixes).
- dm: fix double accounting of flush with data (git-fixes).
- dm: interlock pending dm_io and dm_wait_for_bios_completion
  (git-fixes).
- dm: properly fix redundant bio-based IO accounting (git-fixes).
- dm: revert partial fix for redundant bio-based IO accounting
  (git-fixes).
- dm btree remove: fix use after free in rebalance_children()
  (git-fixes).
- commit 6214ae1
* Wed Nov 23 2022 colyli@suse.de
- blacklist.conf: add non-backport git-fixes commit
- commit 054a1a9
* Wed Nov 23 2022 hare@suse.de
- block: pass a block_device and opf to bio_alloc_kiocb
  (jsc#PED-1183).
- commit b454b3c
* Wed Nov 23 2022 hare@suse.de
- block: pass a block_device and opf to bio_alloc_bioset
  (jsc#PED-1183).
- commit 23c7061
* Wed Nov 23 2022 hare@suse.de
- block: move blk_next_bio to bio.c (jsc#PED-1183).
- commit df1d963
* Wed Nov 23 2022 hare@suse.de
- xen-blkback: bio_alloc can't fail if it is allow to sleep
  (jsc#PED-1183).
- drbd: bio_alloc can't fail if it is allow to sleep
  (jsc#PED-1183).
- commit d96ad37
* Wed Nov 23 2022 hare@suse.de
- dm-thin: use blkdev_issue_flush instead of open coding it
  (jsc#PED-1183).
- dm-snap: use blkdev_issue_flush instead of open coding it
  (jsc#PED-1183).
- dm-crypt: remove clone_init (jsc#PED-1183).
- dm: bio_alloc can't fail if it is allowed to sleep
  (jsc#PED-1183).
- nfs/blocklayout: remove bl_alloc_init_bio (jsc#PED-1183).
- nilfs2: remove nilfs_alloc_seg_bio (jsc#PED-1183).
- fs: remove mpage_alloc (jsc#PED-1183).
- commit 7210f30
* Wed Nov 23 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-introduce-bpf_xdp_get_buff_len-helper.patch.
  Add back BPF parts.
- commit 11e2e36
* Wed Nov 23 2022 shung-hsi.yu@suse.com
- net: mvneta: enable jumbo frames if the loaded XDP program
  support frags (jsc#PED-1368).
- net: mvneta: add frags support to XDP_TX (jsc#PED-1368).
- net: marvell: rely on xdp_update_skb_shared_info utility routine
  (jsc#PED-1368).
- net: mvneta: simplify mvneta_swbm_add_rx_fragment management
  (jsc#PED-1368).
- net: mvneta: update frags bit before passing the xdp buffer
  to eBPF layer (jsc#PED-1368).
- selftests: bpf: test BPF_PROG_QUERY for progs attached to
  sockmap (jsc#PED-1368).
- bpf: support BPF_PROG_QUERY for progs attached to sockmap
  (jsc#PED-1368).
- samples/bpf: adapt samples/bpf to bpf_xdp_xxx() APIs
  (jsc#PED-1368).
- selftests/bpf: switch to new libbpf XDP APIs (jsc#PED-1368).
- bpftool: use new API for attaching XDP program (jsc#PED-1368).
- libbpf: streamline low-level XDP APIs (jsc#PED-1368).
- docs/bpf: update BPF map definition example (jsc#PED-1368).
- libbpf: deprecate legacy BPF map definitions (jsc#PED-1368).
- selftests/bpf: convert remaining legacy map definitions
  (jsc#PED-1368).
- selftests/bpf: fail build on compilation warning (jsc#PED-1368).
- selftests/bpf: Do not fail build if CONFIG_NF_CONNTRACK=m/n
  (jsc#PED-1368).
- selftests: bpf: Fix bind on used port (jsc#PED-1368).
- bpf: selftests: Get rid of CHECK macro in xdp_bpf2bpf.c
  (jsc#PED-1368).
- bpf: selftests: Get rid of CHECK macro in xdp_adjust_tail.c
  (jsc#PED-1368).
- selftests/bpf: Update sockopt_sk test to the use bpf_set_retval
  (jsc#PED-1368).
- selftests/bpf: Test bpf_{get,set}_retval behavior with
  cgroup/sockopt (jsc#PED-1368).
- bpf: Add cgroup helpers bpf_{get,set}_retval to get/set syscall
  return value (jsc#PED-1368).
- bpf: Move getsockopt retval to struct bpf_cg_run_ctx
  (jsc#PED-1368).
- bpf: Make BPF_PROG_RUN_ARRAY return -err instead of allow
  boolean (jsc#PED-1368).
- libbpf: Improve btf__add_btf() with an additional hashmap for
  strings (jsc#PED-1368).
- bpf/scripts: Raise an exception if the correct number of
  sycalls are not generated (jsc#PED-1368).
- bpf/scripts: Make description and returns section for
  helpers/syscalls mandatory (jsc#PED-1368).
- uapi/bpf: Add missing description and returns for helper
  documentation (jsc#PED-1368).
- bpftool: Adding support for BTF program names (jsc#PED-1368).
- libbpf: Define BTF_KIND_* constants in btf.h to avoid
  compilation errors (jsc#PED-1368).
- selftest/bpf: Fix a stale comment (jsc#PED-1368).
- selftest/bpf: Test batching and bpf_(get|set)sockopt in bpf
  unix iter (jsc#PED-1368).
- bpf: Support bpf_(get|set)sockopt() in bpf unix iter
  (jsc#PED-1368).
- bpf: af_unix: Use batching algorithm in bpf unix iter
  (jsc#PED-1368).
- af_unix: Relax race in unix_autobind() (jsc#PED-1368).
- commit 92be9c8
* Wed Nov 23 2022 lduncan@suse.com
- scsi: pm80xx: Display proc_name in sysfs (jsc#PED-1559).
- scsi: pm8001: Replace one-element array with flexible-array
  member (jsc#PED-1559).
- scsi: pm8001: Fix running_req for internal abort commands
  (jsc#PED-1559).
- commit d5462f1
* Wed Nov 23 2022 lduncan@suse.com
- block: Change the return type of blk_mq_map_queues() into void
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-qla2xxx-revert-scsi-qla2xxx-fix-response-queue-handler.patch.
- commit 7f67d72
* Wed Nov 23 2022 lduncan@suse.com
- scsi: pm8001: Expose hardware queues for pm80xx (jsc#PED-1559).
- scsi: pm8001: Use non-atomic bitmap ops for tag alloc + free
  (jsc#PED-1559).
- scsi: pm8001: Set up tags before using them (jsc#PED-1559).
- scsi: pm8001: Rework shost initial values (jsc#PED-1559).
- scsi: pm80xx: Set stopped phy's linkrate to Disabled
  (jsc#PED-1559).
- scsi: pm80xx: Fix 'Unknown' max/min linkrate (jsc#PED-1559).
- virtio-blk: support polling I/O (jsc#PED-1559).
- scsi: pm8001: Use libsas internal abort support (jsc#PED-1559).
- scsi: libsas: Add sas_execute_internal_abort_dev()
  (jsc#PED-1559).
- scsi: libsas: Add sas_execute_internal_abort_single()
  (jsc#PED-1559).
- scsi: pm80xx: Handle non-fatal errors (jsc#PED-1559).
- scsi: pm8001: Fix pm8001_info() message format (jsc#PED-1559).
- scsi: pm8001: Improve pm80XX_send_abort_all() (jsc#PED-1559).
- scsi: pm8001: Simplify pm8001_ccb_task_free() (jsc#PED-1559).
- scsi: pm8001: Simplify pm8001_task_exec() (jsc#PED-1559).
- scsi: pm8001: Simplify pm8001_mpi_build_cmd() interface
  (jsc#PED-1559).
- scsi: pm8001: Introduce ccb alloc/free helpers (jsc#PED-1559).
- scsi: pm8001: Simplify pm8001_get_ncq_tag() (jsc#PED-1559).
- scsi: pm8001: Cleanup pm8001_exec_internal_task_abort()
  (jsc#PED-1559).
- scsi: pm8001: Fix memory leak in
  pm8001_chip_fw_flash_update_req() (jsc#PED-1559).
- scsi: pm8001: Fix tag leaks on error (jsc#PED-1559).
- scsi: pm8001: Fix task leak in pm8001_send_abort_all()
  (jsc#PED-1559).
- scsi: pm8001: Fix tag values handling (jsc#PED-1559).
- scsi: pm8001: Fix pm8001_mpi_task_abort_resp() (jsc#PED-1559).
- scsi: pm8001: Fix pm8001_tag_alloc() failures handling
  (jsc#PED-1559).
- scsi: pm8001: Remove local variable in pm8001_pci_resume()
  (jsc#PED-1559).
- scsi: pm8001: Fix use of struct set_phy_profile_req fields
  (jsc#PED-1559).
- scsi: pm8001: Fix pm8001_update_flash() local variable type
  (jsc#PED-1559).
- scsi: pm8001: Fix __iomem pointer use in pm8001_phy_control()
  (jsc#PED-1559).
- scsi: libsas: Add sas_abort_task() (jsc#PED-1559).
- scsi: libsas: Add sas_query_task() (jsc#PED-1559).
- scsi: libsas: Add sas_lu_reset() (jsc#PED-1559).
- commit b52b2ee
* Wed Nov 23 2022 shung-hsi.yu@suse.com
- af_unix: Refactor unix_next_socket() (jsc#PED-1368).
- commit 0e5a720
* Wed Nov 23 2022 lduncan@suse.com
- scsi: libsas: Add sas_clear_task_set() (jsc#PED-1559).
- Refresh
  patches.suse/scsi-hisi_sas-Fix-rescan-after-deleting-a-disk.
- commit c70f287
* Wed Nov 23 2022 lduncan@suse.com
- scsi: libsas: Add sas_abort_task_set() (jsc#PED-1559).
- scsi: libsas: Add TMF handler aborted callback (jsc#PED-1559).
- scsi: libsas: Add TMF handler exec complete callback
  (jsc#PED-1559).
- scsi: libsas: Add sas_execute_ssp_tmf() (jsc#PED-1559).
- scsi: libsas: Add sas_execute_tmf() (jsc#PED-1559).
- commit e7477d8
* Wed Nov 23 2022 shung-hsi.yu@suse.com
- selftests/bpf: Add test for race in btf_try_get_module
  (jsc#PED-1368).
- selftests/bpf: Extend kfunc selftests (jsc#PED-1368).
- selftests/bpf: Add test_verifier support to fixup kfunc call
  insns (jsc#PED-1368).
- selftests/bpf: Add test for unstable CT lookup API
  (jsc#PED-1368).
- net/netfilter: Add unstable CT lookup helpers for XDP and TC-BPF
  (jsc#PED-1368).
- bpf: Add reference tracking support to kfunc (jsc#PED-1368).
- Refresh patches.suse/bpf-Fix-PTR_TO_BTF_ID-var_off-check.patch
- Refresh patches.suse/bpf-Resolve-to-prog-aux-dst_prog-type-only-for-BPF_P.patch
- bpf: Introduce mem, size argument pair support for kfunc
  (jsc#PED-1368).
- Refresh patches.suse/bpf-Add-check_func_arg_reg_off-function.patch
- bpf: Remove check_kfunc_call callback and old kfunc BTF ID API
  (jsc#PED-1368).
- bpf: Populate kfunc BTF ID sets in struct btf (jsc#PED-1368).
- test: selftests: Remove unused various in sockmap_verdict_prog.c
  (jsc#PED-1368).
- tools/resolve_btfids: Build with host flags (jsc#PED-1368).
- bpf/scripts: Raise an exception if the correct number of
  helpers are not generated (jsc#PED-1368).
- libbpf: Deprecate bpf_map__def() API (jsc#PED-1368).
- selftests/bpf: Stop using bpf_map__def() API (jsc#PED-1368).
- bpftool: Stop using bpf_map__def() API (jsc#PED-1368).
- samples/bpf: Stop using bpf_map__def() API (jsc#PED-1368).
- bpftool: Only set obj->skeleton on complete success
  (jsc#PED-1368).
- libbpf: Fix possible NULL pointer dereference when destroying
  skeleton (jsc#PED-1368).
- selftests/bpf: Change bpf_prog_attach_xattr() to
  bpf_prog_attach_opts() (jsc#PED-1368).
- libbpf: Rename bpf_prog_attach_xattr() to bpf_prog_attach_opts()
  (jsc#PED-1368).
- bpftool: Fix error check when calling hashmap__new()
  (jsc#PED-1368).
- libbpf: Use IS_ERR_OR_NULL() in hashmap__free() (jsc#PED-1368).
- af_unix: Replace the big lock with small locks (jsc#PED-1368).
- af_unix: Save hash in sk_hash (jsc#PED-1368).
- af_unix: Add helpers to calculate hashes (jsc#PED-1368).
- af_unix: Remove UNIX_ABSTRACT() macro and test sun_path instead
  (jsc#PED-1368).
- af_unix: Allocate unix_address in unix_bind_(bsd|abstract)()
  (jsc#PED-1368).
- af_unix: Remove unix_mkname() (jsc#PED-1368).
- af_unix: Copy unix_mkname() into unix_find_(bsd|abstract)()
  (jsc#PED-1368).
- af_unix: Cut unix_validate_addr() out of unix_mkname()
  (jsc#PED-1368).
- af_unix: Return an error as a pointer in unix_find_other()
  (jsc#PED-1368).
- af_unix: Factorise unix_find_other() based on address types
  (jsc#PED-1368).
- af_unix: Pass struct sock to unix_autobind() (jsc#PED-1368).
- af_unix: Use offsetof() instead of sizeof() (jsc#PED-1368).
- commit 112b100
* Wed Nov 23 2022 lduncan@suse.com
- scsi: libsas: Add sas_task.tmf (jsc#PED-1559).
- Refresh
  patches.suse/scsi-hisi_sas-Fix-rescan-after-deleting-a-disk.
- commit 92a6bbf
* Wed Nov 23 2022 lduncan@suse.com
- scsi: libsas: Add struct sas_tmf_task (jsc#PED-1559).
- Refresh
  patches.suse/scsi-hisi_sas-Fix-rescan-after-deleting-a-disk.
- commit e944eea
* Wed Nov 23 2022 neilb@suse.de
- NFSD: Cap rsize_bop result based on send buffer size
  (bsc#1205128 CVE-2022-43945).
- NFSD: Protect against send buffer overflow in NFSv3 READ
  (bsc#1205128 CVE-2022-43945).
- NFSD: Protect against send buffer overflow in NFSv2 READ
  (bsc#1205128 CVE-2022-43945).
- NFSD: Protect against send buffer overflow in NFSv3 READDIR
  (bsc#1205128 CVE-2022-43945).
- NFSD: Protect against send buffer overflow in NFSv2 READDIR
  (bsc#1205128 CVE-2022-43945).
- SUNRPC: Fix svcxdr_init_encode's buflen calculation (bsc#1205128
  CVE-2022-43945).
- SUNRPC: Fix svcxdr_init_decode's end-of-buffer calculation
  (bsc#1205128 CVE-2022-43945).
- commit dd4f720
* Wed Nov 23 2022 ohering@suse.de
- hyperv: simplify and rename generate_guest_id (bsc#1189965).
- drm/hyperv: Fix an error handling path in hyperv_vmbus_probe() (git-fixes).
- Drivers: hv: Create debugfs file with hyper-v balloon usage information (git-fixes).
- Drivers: hv: vm_bus: Handle vmbus rescind calls after vmbus is suspended (git-fixes).
- drm/hyperv-drm: Include framebuffer and EDID headers (git-fixes).
- drm/hyperv : Removing the restruction of VRAM allocation with PCI bar size (git-fixes).
- scsi: storvsc: Correct reporting of Hyper-V I/O size limits (git-fixes).
- HID: hyperv: Correctly access fields declared as __le16 (git-fixes).
- hv_balloon: Fix balloon_probe() and balloon_remove() error handling (git-fixes).
- Drivers: hv: vmbus: Refactor the ring-buffer iterator functions (git-fixes).
- Drivers: hv: vmbus: Rework use of DMA_BIT_MASK(64) (git-fixes).
- commit 8f5f32b
* Tue Nov 22 2022 lduncan@suse.com
- scsi: libsas: Move SMP task handlers to core (jsc#PED-1559).
- scsi: libsas: Delete lldd_clear_aca callback (jsc#PED-1559).
- scsi: libsas: Drop SAS_TASK_AT_INITIATOR (jsc#PED-1559).
- scsi: isci: Drop SAS_TASK_AT_INITIATOR check in
  isci_task_abort_task() (jsc#PED-1559).
- scsi: pm8001: Clean up inconsistent indenting (jsc#PED-1559).
- scsi: pm8001: Fix use-after-free for aborted SSP/STP sas_task
  (jsc#PED-1559).
- scsi: pm8001: Fix use-after-free for aborted TMF sas_task
  (jsc#PED-1559).
- scsi: pm8001: Fix warning for undescribed param in
  process_one_iomb() (jsc#PED-1559).
- scsi: pm80xx: Fix double completion for SATA devices
  (jsc#PED-1559).
- scsi: pm8001: Fix bogus FW crash for maxcpus=1 (jsc#PED-1559).
- scsi: pm80xx: Port reset timeout error handling correction
  (jsc#PED-1559).
- scsi: hisi_sas: Factor out task prep and delivery code
  (jsc#PED-1559).
- scsi: hisi_sas: Start delivery hisi_sas_task_exec() directly
  (jsc#PED-1559).
- scsi: pm80xx: Add pm80xx_mpi_build_cmd() tracepoint
  (jsc#PED-1559).
- scsi: pm80xx: Add tracepoints (jsc#PED-1559).
- scsi: pm80xx: Use bitmap_zalloc() for tags bitmap allocation
  (jsc#PED-1559).
- scsi: pm80xx: Do not check the address-of value for NULL
  (jsc#PED-1559).
- scsi: pm80xx: Apply byte mask for phy ID in mpi_phy_start_resp()
  (jsc#PED-1559).
- scsi: pm8001: Fix phys_to_virt() usage on dma_addr_t
  (jsc#PED-1559).
- scsi: pm80xx: Replace open coded check with dev_is_expander()
  (jsc#PED-1559).
- scsi: pm80xx: Fix memory leak during rmmod (jsc#PED-1559).
- scsi: pm80xx: Correct inbound and outbound queue logging
  (jsc#PED-1559).
- scsi: pm80xx: Fix incorrect port value when registering a device
  (jsc#PED-1559).
- virtio-blk: validate num_queues during probe (jsc#PED-1559).
- virtio-blk: add num_request_queues module parameter
  (jsc#PED-1559).
- virtio-blk: avoid preallocating big SGL for data (jsc#PED-1559).
- commit e5c6395
* Tue Nov 22 2022 lduncan@suse.com
- block: switch polling to be bio based (jsc#PED-1559).
- Refresh
  patches.suse/0006-nvdimm-blk-Delete-the-block-aperture-window-driver.patch.
- commit 77b3912
* Tue Nov 22 2022 ailiop@suse.com
- xfs: reserve quota for dir expansion when linking/unlinking
  files (bsc#1205616).
- commit 1330e05
* Tue Nov 22 2022 hare@suse.de
- block: move blk_drop_partitions to blk.h (jsc#PED-1183).
- block: move disk_{block,unblock,flush}_events to blk.h
  (jsc#PED-1183).
- commit 155b371
* Tue Nov 22 2022 tiwai@suse.de
- dmaengine: idxd: Only call idxd_enable_system_pasid() if
  succeeded in enabling SVA feature (jsc#PED-2681).
- commit 66991d9
* Tue Nov 22 2022 tiwai@suse.de
- dmaengine: idxd: Do not enable user type Work Queue without
  Shared Virtual Addressing (jsc#PED-2681).
- dmaengine: idxd: Separate user and kernel pasid enabling
  (jsc#PED-2681).
- dmaengine: idxd: don't load pasid config until needed
  (jsc#PED-2681).
- commit 65564cd
* Tue Nov 22 2022 ohering@suse.de
- add another bug reference to some hyperv changes (bsc#1205617).
- commit 0b5e3d4
* Tue Nov 22 2022 hare@suse.de
- block: fix DIO handling regressions in blkdev_read_iter()
  (jsc#PED-1183).
- commit 6539fdd
* Tue Nov 22 2022 hare@suse.de
- blk-mq: fix missing blk_account_io_done() in error path
  (jsc#PED-1183).
- block: fix memory leak in
  disk_register_independent_access_ranges (jsc#PED-1183).
- commit 3e43086
* Tue Nov 22 2022 hare@suse.de
- block: cleanup q->srcu (jsc#PED-1183).
- block: Remove unnecessary variable assignment (jsc#PED-1183).
- brd: remove brd_devices_mutex mutex (jsc#PED-1183).
- commit 8617424
* Tue Nov 22 2022 hare@suse.de
- pktcdvd: convert to use attribute groups (jsc#PED-1183).
- block: null_blk: only set set->nr_maps as 3 if active
  poll_queues is > 0 (jsc#PED-1183).
- block: remove the rsxx driver (jsc#PED-1183).
- rsxx: Drop PCI legacy power management (jsc#PED-1183).
- mtip32xx: convert to generic power management (jsc#PED-1183).
- mtip32xx: remove pointless drvdata lookups (jsc#PED-1183).
- mtip32xx: remove pointless drvdata checking (jsc#PED-1183).
- null_blk: cast command status to integer (jsc#PED-1183).
- pktdvd: stop using bdi congestion framework (jsc#PED-1183).
- block: null_blk: batched complete poll requests (jsc#PED-1183).
- null_blk: allow zero poll queues (jsc#PED-1183).
- block: don't protect submit_bio_checks by q_usage_counter
  (jsc#PED-1183).
- block: fix old-style declaration (jsc#PED-1183).
- nvme-pci: fix queue_rqs list splitting (jsc#PED-1183).
- block: introduce rq_list_move (jsc#PED-1183).
- block: introduce rq_list_for_each_safe macro (jsc#PED-1183).
- block: move rq_list macros to blk-mq.h (jsc#PED-1183).
- block: drop needless assignment in set_task_ioprio()
  (jsc#PED-1183).
- block: remove unnecessary trailing '\' (jsc#PED-1183).
- bio.h: fix kernel-doc warnings (jsc#PED-1183).
- block: check minor range in device_add_disk() (jsc#PED-1183).
- block: use "unsigned long" for blk_validate_block_size()
  (jsc#PED-1183).
- block: fix error unwinding in device_add_disk (jsc#PED-1183).
- block: call blk_exit_queue() before freeing q->stats
  (jsc#PED-1183).
- block: fix error in handling dead task for ioprio setting
  (jsc#PED-1183).
- blk-mq: blk-mq: check quiesce state before queue_rqs
  (jsc#PED-1183).
- blktrace: switch trace spinlock to a raw spinlock
  (jsc#PED-1183).
- block: only build the icq tracking code when needed
  (jsc#PED-1183).
- block: fold create_task_io_context into ioc_find_get_icq
  (jsc#PED-1183).
- block: open code create_task_io_context in set_task_ioprio
  (jsc#PED-1183).
- block: fold get_task_io_context into set_task_ioprio
  (jsc#PED-1183).
- block: move set_task_ioprio to blk-ioc.c (jsc#PED-1183).
- block: cleanup ioc_clear_queue (jsc#PED-1183).
- block: refactor put_io_context (jsc#PED-1183).
- block: remove the NULL ioc check in put_io_context
  (jsc#PED-1183).
- block: refactor put_iocontext_active (jsc#PED-1183).
- block: simplify struct io_context refcounting (jsc#PED-1183).
- block: remove the nr_task field from struct io_context
  (jsc#PED-1183).
- nvme: add support for mq_ops->queue_rqs() (jsc#PED-1183).
- nvme: separate command prep and issue (jsc#PED-1183).
- nvme: split command copy into a helper (jsc#PED-1183).
- block: add mq_ops->queue_rqs hook (jsc#PED-1183).
- block: use singly linked list for bio cache (jsc#PED-1183).
- block: add completion handler for fast path (jsc#PED-1183).
- block: make queue stat accounting a reference (jsc#PED-1183).
- mtd_blkdevs: don't scan partitions for plain mtdblock
  (jsc#PED-1183).
- blk-mq: Optimise blk_mq_queue_tag_busy_iter() for shared tags
  (jsc#PED-1183).
- blk-mq: Delete busy_iter_fn (jsc#PED-1183).
- blk-mq: Drop busy_iter_fn blk_mq_hw_ctx argument (jsc#PED-1183).
- blk-mq: don't use plug->mq_list->q directly in
  blk_mq_run_dispatch_ops() (jsc#PED-1183).
- blk-mq: don't run might_sleep() if the operation needn't
  blocking (jsc#PED-1183).
- blk-mq: run dispatch lock once in case of issuing from list
  (jsc#PED-1183).
- blk-mq: pass request queue to blk_mq_run_dispatch_ops
  (jsc#PED-1183).
- blk-mq: move srcu from blk_mq_hw_ctx to request_queue
  (jsc#PED-1183).
- blk-mq: remove hctx_lock and hctx_unlock (jsc#PED-1183).
- block: switch to atomic_t for request references (jsc#PED-1183).
- block: move direct_IO into our own read_iter handler
  (jsc#PED-1183).
- mm: move filemap_range_needs_writeback() into header
  (jsc#PED-1183).
- commit ad86431
* Tue Nov 22 2022 hare@suse.de
- block: fix double bio queue when merging in cached request path
  (jsc#PED-1183).
- block: get rid of useless goto and label in
  blk_mq_get_new_requests() (jsc#PED-1183).
- blk-mq: check q->poll_stat in queue_poll_stat_show
  (jsc#PED-1183).
- commit 6b2b332
* Tue Nov 22 2022 ptesarik@suse.cz
- net/smc: kABI workarounds for struct smc_sock (git-fixes).
- commit d9f52e8
* Tue Nov 22 2022 hare@suse.de
- Revert "block: reduce kblockd_mod_delayed_work_on() CPU
  consumption" (jsc#PED-1183).
- commit b114a38
* Tue Nov 22 2022 hare@suse.de
- block: reduce kblockd_mod_delayed_work_on() CPU consumption
  (jsc#PED-1183).
- block: fix single bio async DIO error handling (jsc#PED-1183).
- commit 93fae5c
* Tue Nov 22 2022 martin.wilck@suse.com
- scsi: mpt3sas: re-do lost mpt3sas DMA mask fix (jsc#PED_1491).
- scsi: mpt3sas: Don't change DMA mask while reallocating pools
  (jsc#PED_1491).
- commit 54e2dce
* Tue Nov 22 2022 martin.wilck@suse.com
- scsi: mpt3sas: Revert "scsi: mpt3sas: Fix ioc->base_readl() use"
  (jsc#PED_1491).
- scsi: mpt3sas: Revert "scsi: mpt3sas: Fix writel() use"
  (jsc#PED_1491).
- scsi: mpt3sas: Update driver version to 43.100.00.00
  (jsc#PED_1491).
- scsi: mpt3sas: Increase cmd_per_lun to 128 (jsc#PED_1491).
- scsi: mpt3sas: Fix trace buffer registration failed
  (jsc#PED_1491).
- scsi: mpt3sas: Prevent error handler escalation when device
  removed (jsc#PED_1491).
- scsi: mpt3sas: Disable MPI2_FUNCTION_FW_DOWNLOAD for ATTO
  devices (jsc#PED_1491).
- scsi: mpt3sas: Add support for ATTO ExpressSAS H12xx GT devices
  (jsc#PED_1491).
- scsi: mpt3sas: Remove flush_scheduled_work() call
  (jsc#PED_1491).
- scsi: mpt3sas: Fix whitespace and spelling mistake
  (jsc#PED_1491).
- scsi: mpt3sas: Fix typo in comment (jsc#PED_1491).
- scsi: mpt3sas: Fix out-of-bounds compiler warning
  (jsc#PED_1491).
- scsi: mpt3sas: Update driver version to 42.100.00.00
  (jsc#PED_1491).
- scsi: mpt3sas: Fix junk chars displayed while printing ChipName
  (jsc#PED_1491).
- scsi: mpt3sas: Fix adapter replyPostRegisterIndex declaration
  (jsc#PED_1491).
- scsi: mpt3sas: Fix event callback log_code value handling
  (jsc#PED_1491).
- scsi: mpt3sas: Fix ioc->base_readl() use (jsc#PED_1491).
- scsi: mpt3sas: Fix writel() use (jsc#PED_1491).
- scsi: mpt3sas: Fix _ctl_set_task_mid() TaskMID check
  (jsc#PED_1491).
- scsi: mpt3sas: Fail reset operation if config request timed out
  (jsc#PED_1491).
- scsi: mpt3sas: Fix mpt3sas_check_same_4gb_region() kdoc comment
  (jsc#PED_1491).
- scsi: mpt3sas: Remove scsi_dma_map() error messages
  (jsc#PED_1491).
- scsi: mpt3sas: Convert to flexible arrays (jsc#PED_1491).
- scsi: mpt3sas: Update persistent trigger pages from sysfs
  interface (jsc#PED_1491).
- scsi: mpt3sas: Use irq_set_affinity_and_hint() (jsc#PED_1491).
- scsi: mpt3sas: Make mpt3sas_dev_attrs static (jsc#PED_1491).
- commit dde21ab
* Tue Nov 22 2022 hare@suse.de
- mmc: core: Use blk_mq_complete_request_direct() (jsc#PED-1183).
- blk-mq: Add blk_mq_complete_request_direct() (jsc#PED-1183).
- blk-crypto: remove blk_crypto_unregister() (jsc#PED-1183).
- blk-mq: cleanup request allocation (jsc#PED-1183).
- commit 7e68a3a
* Tue Nov 22 2022 hare@suse.de
- block: don't include <linux/part_stat.h> in blk.h
  (jsc#PED-1183).
- Refresh
  patches.suse/block-don-t-merge-across-cgroup-boundaries-if-blkcg-.patch.
- commit f01e792
* Tue Nov 22 2022 hare@suse.de
- block: don't include <linux/idr.h> in blk.h (jsc#PED-1183).
- block: don't include <linux/blk-mq.h> in blk.h (jsc#PED-1183).
- block: don't include blk-mq.h in blk.h (jsc#PED-1183).
- block: don't include blk-mq-sched.h in blk.h (jsc#PED-1183).
- commit 357645f
* Tue Nov 22 2022 hare@suse.de
- block: remove the e argument to elevator_exit (jsc#PED-1183).
- block: remove elevator_exit (jsc#PED-1183).
- block: move blk_get_flush_queue to blk-flush.c (jsc#PED-1183).
- blk_mq: remove repeated includes (jsc#PED-1183).
- commit 4196023
* Tue Nov 22 2022 hare@suse.de
- block: only allocate poll_stats if there's a user of them
  (jsc#PED-1183).
- blk-ioprio: don't set bio priority if not needed (jsc#PED-1183).
- commit 96c41cd
* Tue Nov 22 2022 hare@suse.de
- scsi: remove the gendisk argument to scsi_ioctl (jsc#PED-1183).
- block: remove the gendisk argument to blk_execute_rq
  (jsc#PED-1183).
- block: remove the ->rq_disk field in struct request
  (jsc#PED-1183).
- commit 14237c3
* Tue Nov 22 2022 hare@suse.de
- block: don't check ->rq_disk in merges (jsc#PED-1183).
- Refresh
  patches.suse/block-don-t-merge-across-cgroup-boundaries-if-blkcg-.patch.
- commit 7255f34
* Tue Nov 22 2022 hare@suse.de
- mtd_blkdevs: remove the sector out of range check in
  do_blktrans_request (jsc#PED-1183).
- block: Remove redundant initialization of variable ret
  (jsc#PED-1183).
- block: simplify ioc_lookup_icq (jsc#PED-1183).
- block: simplify ioc_create_icq (jsc#PED-1183).
- block: return the io_context from create_task_io_context
  (jsc#PED-1183).
- block: use alloc_io_context in __copy_io (jsc#PED-1183).
- block: factor out a alloc_io_context helper (jsc#PED-1183).
- block: remove get_io_context_active (jsc#PED-1183).
- block: move the remaining elv.icq handling to the I/O scheduler
  (jsc#PED-1183).
- block: move blk_mq_sched_assign_ioc to blk-ioc.c (jsc#PED-1183).
- block: mark put_io_context_active static (jsc#PED-1183).
- commit 4edb895
* Tue Nov 22 2022 hare@suse.de
- Revert "block: Provide blk_mq_sched_get_icq()" (jsc#PED-1183).
- commit 27e387e
* Tue Nov 22 2022 hare@suse.de
- bfq: use bfq_bic_lookup in bfq_limit_depth (jsc#PED-1183).
- bfq: simplify bfq_bic_lookup (jsc#PED-1183).
- fork: move copy_io to block/blk-ioc.c (jsc#PED-1183).
- RDMA/qib: rename copy_io to qib_copy_io (jsc#PED-1183).
- blk-mq: use bio->bi_opf after bio is checked (jsc#PED-1183).
- commit b0ebd05
* Tue Nov 22 2022 hare@suse.de
- bfq: Log waker detections (jsc#PED-1183).
- bfq: Provide helper to generate bfqq name (jsc#PED-1183).
- commit 08aae2f
* Tue Nov 22 2022 hare@suse.de
- block: move blk_account_io_{start,done} to blk-mq.c
  (jsc#PED-1183).
- Refresh patches.suse/block-update-io_ticks-when-io-hang.patch.
- commit 82995f3
* Tue Nov 22 2022 hare@suse.de
- block: move blk_steal_bios to blk-mq.c (jsc#PED-1183).
- commit a88667e
* Tue Nov 22 2022 hare@suse.de
- block: move blk_rq_init to blk-mq.c (jsc#PED-1183).
- commit 63d1f18
* Tue Nov 22 2022 hare@suse.de
- block: move request based cloning helpers to blk-mq.c
  (jsc#PED-1183).
- Refresh
  patches.suse/block-assign-bi_bdev-for-cloned-bios-in-blk_rq_prep_.patch.
- Refresh patches.suse/block-update-io_ticks-when-io-hang.patch.
- commit 61cf6ba
* Tue Nov 22 2022 hare@suse.de
- blk-mq: move blk_mq_flush_plug_list (jsc#PED-1183).
- commit 8ebbedb
* Tue Nov 22 2022 hare@suse.de
- block: remove blk-exec.c (jsc#PED-1183).
- block: remove rq_flush_dcache_pages (jsc#PED-1183).
- commit 809b1a5
* Tue Nov 22 2022 hare@suse.de
- block: move blk_rq_err_bytes to scsi (jsc#PED-1183).
- Refresh patches.suse/block-update-io_ticks-when-io-hang.patch.
- commit b0d7d9a
* Tue Nov 22 2022 hare@suse.de
- scsi: sr: Add error handling support for add_disk()
  (jsc#PED-1183).
- commit 376d9bb
* Tue Nov 22 2022 hare@suse.de
- zram: only make zram_wb_devops for CONFIG_ZRAM_WRITEBACK
  (jsc#PED-1183).
- block: call rq_qos_done() before ref check in batch completions
  (jsc#PED-1183).
- block: fix parameter not described warning (jsc#PED-1183).
- block: avoid to touch unloaded module instance when opening bdev
  (jsc#PED-1183).
- commit bfece0e
* Tue Nov 22 2022 hare@suse.de
- blk-mq: don't insert FUA request with data into scheduler queue
  (jsc#PED-1183).
- commit 7550abf
* Tue Nov 22 2022 hare@suse.de
- block: avoid to quiesce queue in elevator_init_mq
  (jsc#PED-1183).
- blacklist.conf: Remove patch from blacklist
- commit f348b30
* Tue Nov 22 2022 hare@suse.de
- blk-mq: cancel blk-mq dispatch work in both blk_cleanup_queue
  and disk_release() (jsc#PED-1183).
- blacklist.conf: Remove patch from blacklist
- commit ebcf5c5
* Tue Nov 22 2022 hare@suse.de
- nvdimm/pmem: use add_disk() error handling (jsc#PED-1183).
- nvdimm/pmem: fix creating the dax group (jsc#PED-1183).
- commit 57e927b
* Tue Nov 22 2022 hare@suse.de
- block: fix missing queue put in error path (jsc#PED-1183).
- commit 09e6de2
* Tue Nov 22 2022 hare@suse.de
- blk-mq: fix filesystem I/O request allocation (jsc#PED-1183).
- blk-mq: rename blk_attempt_bio_merge (jsc#PED-1183).
- blk-mq: don't grab ->q_usage_counter in blk_mq_sched_bio_merge
  (jsc#PED-1183).
- block: fix kerneldoc for
  disk_register_independent_access_ranges() (jsc#PED-1183).
- block: add __must_check for *add_disk*() callers (jsc#PED-1183).
- block: use enum type for blk_mq_alloc_data->rq_flags
  (jsc#PED-1183).
- commit ed11378
* Tue Nov 22 2022 martin.wilck@suse.com
- scsi: smartpqi: Update version to 2.1.18-045 (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Update copyright to current year (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Add ctrl ready timeout module parameter
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Update deleting a LUN via sysfs (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix RAID map race condition (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Stop logging spurious PQI reset failures
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Add PCI IDs for Lenovo controllers
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Add PCI ID for Adaptec SmartHBA 2100-8i
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix PCI control linkdown system hang
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Add driver support for multi-LUN devices
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Close write read holes (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Add PCI IDs for ramaxel controllers
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Add controller fw version to console log
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix typo in comment (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Stop using the SCSI pointer (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix unused variable pqi_pm_ops for clang
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Update version to 2.1.14-035 (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix lsscsi -t SAS addresses (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix hibernate and suspend (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix BUILD_BUG_ON() statements (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix NUMA node not updated during init
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Expose SAS address for SATA drives
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Speed up RAID 10 sequential reads
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix kdump issue when controller is locked up
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Update volume size after expansion
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Avoid drive spin-down during suspend
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Resolve delay issue with PQI_HZ value
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix a typo in func pqi_aio_submit_io()
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix a name typo and cleanup code (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Quickly propagate path failures to SCSI midlayer
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Eliminate drive spin down on warm boot
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Enable SATA NCQ priority in sysfs
  (jsc#PED-1557, bsc#1201855).
- scsi: smartpqi: Fix rmmod stack trace (jsc#PED-1557, bsc#1201855).
- commit 0ad94d4
* Tue Nov 22 2022 martin.wilck@suse.com
- Refresh
  patches.suse/scsi-qedf-Populate-sysfs-attributes-for-vport.patch.
- commit 4269315
* Tue Nov 22 2022 martin.wilck@suse.com
- scsi: megaraid_sas: Use struct_size() in code related to struct
  MR_PD_CFG_SEQ_NUM_SYNC (jsc#PED-1490).
- scsi: megaraid_sas: Replace one-element array with
  flexible-array member in MR_PD_CFG_SEQ_NUM_SYNC (jsc#PED-1490).
- scsi: megaraid_sas: Replace one-element array with
  flexible-array member in MR_DRV_RAID_MAP (jsc#PED-1490).
- scsi: megaraid_sas: Replace one-element array with
  flexible-array member in MR_FW_RAID_MAP_DYNAMIC (jsc#PED-1490).
- commit 0683c19
* Tue Nov 22 2022 martin.wilck@suse.com
- scsi: megaraid: Convert sysfs snprintf() to sysfs_emit()
  (jsc#PED-1490).
- scsi: megaraid_sas: Use struct_size() in code related to struct
  MR_FW_RAID_MAP (jsc#PED-1490).
- scsi: megaraid_sas: Replace one-element array with
  flexible-array member in MR_FW_RAID_MAP (jsc#PED-1490).
- scsi: megaraid: Remove redundant assignment to variable
  mfiStatus (jsc#PED-1490).
- commit c25a799
* Mon Nov 21 2022 martin.wilck@suse.com
- scsi: megaraid_sas: Remove unnecessary kfree() (jsc#PED-1490).
- scsi: megaraid_sas: Fix double kfree() (jsc#PED-1490).
- scsi: megaraid_sas: Remove redundant variable cmd_type
  (jsc#PED-1490).
- scsi: megaraid: Remove the static variable initialisation
  (jsc#PED-1490).
- scsi: megaraid_sas: Clean up some inconsistent indenting
  (jsc#PED-1490).
- scsi: megaraid_sas: Remove redundant memset() statement
  (jsc#PED-1490).
- scsi: megaraid_sas: Remove unnecessary memset (jsc#PED-1490).
- scsi: megaraid_sas: Target with invalid LUN ID is deleted
  during scan (jsc#PED-1490).
- scsi: megasas: Clean up some inconsistent indenting
  (jsc#PED-1490).
- scsi: megasas: Stop using the SCSI pointer (jsc#PED-1490).
- scsi: megaraid: Fix a kernel-doc warning (jsc#PED-1490).
- scsi: megaraid_sas: Use irq_set_affinity_and_hint()
  (jsc#PED-1490).
- commit d8c27e2
* Mon Nov 21 2022 martin.wilck@suse.com
- scsi: hpsa: Simplify {clear|set}_bit() parameters
  (jsc#PED-1558).
- scsi: hpsa: Use the bitmap API to allocate bitmaps
  (jsc#PED-1558).
- scsi: hpsa: Remove an unused variable in
  hpsa_update_scsi_devices() (jsc#PED-1558).
- commit 7a7e8b5
* Mon Nov 21 2022 oneukum@suse.com
- PM: runtime: Redefine pm_runtime_release_supplier() (git-fixes).
- commit 53e36dd
* Mon Nov 21 2022 jlee@suse.com
- efi: x86: Set the NX-compatibility flag in the PE header
  (bsc#1205588).
- commit 05aa191
* Mon Nov 21 2022 hare@suse.de
- scsi: ufs: mediatek: Avoid sched_clock() misuse (jsc#PED-818).
- commit de84b30
* Mon Nov 21 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit f550bb4
* Mon Nov 21 2022 petr.pavlu@suse.com
- tracing: kprobe: Fix potential null-ptr-deref on trace_array
  in kprobe_event_gen_test_exit() (git-fixes).
- commit dc34c13
* Mon Nov 21 2022 petr.pavlu@suse.com
- tracing: kprobe: Fix potential null-ptr-deref on
  trace_event_file in kprobe_event_gen_test_exit() (git-fixes).
- commit 23caa81
* Mon Nov 21 2022 petr.pavlu@suse.com
- tracing: Fix wild-memory-access in register_synth_event()
  (git-fixes).
- commit 9bbef30
* Mon Nov 21 2022 petr.pavlu@suse.com
- tracing: Fix memory leak in test_gen_synth_cmd() and
  test_empty_synth_event() (git-fixes).
- commit 68dace2
* Mon Nov 21 2022 petr.pavlu@suse.com
- ftrace: Fix null pointer dereference in ftrace_add_mod()
  (git-fixes).
- commit 2e9b117
* Mon Nov 21 2022 petr.pavlu@suse.com
- ring_buffer: Do not deactivate non-existant pages (git-fixes).
- commit 0458d7a
* Mon Nov 21 2022 petr.pavlu@suse.com
- ftrace: Optimize the allocation for mcount entries (git-fixes).
- commit 5b2b25a
* Mon Nov 21 2022 petr.pavlu@suse.com
- ftrace: Fix the possible incorrect kernel message (git-fixes).
- commit 7323c8c
* Mon Nov 21 2022 petr.pavlu@suse.com
- tracing: Fix memory leak in tracing_read_pipe() (git-fixes).
- commit 690c08a
* Mon Nov 21 2022 ptesarik@suse.cz
- net/smc: kABI workarounds for struct smc_link (git-fixes).
- commit 0cbe94a
* Mon Nov 21 2022 petr.pavlu@suse.com
- ring-buffer: Include dropped pages in counting dirty patches
  (git-fixes).
- commit 11920bc
* Mon Nov 21 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit ddd82f9
* Mon Nov 21 2022 msuchanek@suse.de
- powerpc/kvm: Fix kvm_use_magic_page (bsc#1156395).
- Refresh patches.suse/gup-Turn-fault_in_pages_-readable-writeable-into-fault_in_-readable-writeable.patch.
- commit aec526a
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- x86/fpu: Include vmalloc.h for vzalloc() (git-fixes).
- blacklist.conf: revert blacklisting of 868c250bb463
- commit 34cf832
* Mon Nov 21 2022 hare@suse.de
- s390: remove xpram device driver (bsc#1205381).
- Update config files.
- Delete patches.suse/s390-block-xpram-include-major-h.patch.
- commit 796ac2c
* Mon Nov 21 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit dcdcbbd
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- tcp: make tcp_read_sock() more robust (jsc#PED-1368).
- bpf, sockmap: Do not ignore orig_len parameter (jsc#PED-1368).
- bpf: Add schedule points in batch ops (jsc#PED-1368).
- commit 1d3696a
* Mon Nov 21 2022 oneukum@suse.com
- MIPS: Loongson: Use hwmon_device_register_with_groups() to
  register hwmon (git-fixes).
- commit 16f21a3
* Mon Nov 21 2022 petr.pavlu@suse.com
- tracing/ring-buffer: Have polling block on watermark
  (git-fixes).
- commit 5c3e4d5
* Mon Nov 21 2022 msuchanek@suse.de
- powerpc/pseries/vas: Declare pseries_vas_fault_thread_fn()
  as static (bsc#1194869).
- commit 02a3582
* Mon Nov 21 2022 oneukum@suse.com
- platform: chrome: Split trace include file (git-fixes).
- commit 4e9d9ce
* Mon Nov 21 2022 petr.pavlu@suse.com
- ftrace: Fix use-after-free for dynamic ftrace_ops (git-fixes).
- commit f98b221
* Mon Nov 21 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 431bd9c
* Mon Nov 21 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 53c7bfc
* Mon Nov 21 2022 oneukum@suse.com
- platform/x86/intel: hid: add quirk to support Surface Go 3
  (git-fixes).
- commit 23ccaa2
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- selftests: bpf: Check bpf_msg_push_data return value
  (jsc#PED-1368).
- bpf: Fix a bpf_timer initialization issue (jsc#PED-1368).
- commit 6da0cef
* Mon Nov 21 2022 oneukum@suse.com
- blacklist.conf: too intrusive
- commit 67ad270
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- bpf: Emit bpf_timer in vmlinux BTF (jsc#PED-1368).
- selftests/bpf: Add test for bpf_timer overwriting crash
  (jsc#PED-1368).
- bpf: Fix crash due to incorrect copy_map_value (jsc#PED-1368).
- bpf: Do not try bpf_msg_push_data with len 0 (jsc#PED-1368).
- tools/resolve_btfids: Do not print any commands when building
  silently (jsc#PED-1368).
- bpf: Use VM_MAP instead of VM_ALLOC for ringbuf (jsc#PED-1368).
- tools headers UAPI: remove stale lirc.h (jsc#PED-1368).
- bpf: Fix possible race in inc_misses_counter (jsc#PED-1368).
- bpf: Fix renaming task_getsecid_subj->current_getsecid_subj
  (jsc#PED-1368).
- powerpc64/bpf: Limit 'ldbrx' to processors compliant with ISA
  v2.06 (jsc#PED-1368).
- tools/bpf: Rename 'struct event' to avoid naming conflict
  (jsc#PED-1368).
- powerpc32/bpf: Fix codegen for bpf-to-bpf calls (jsc#PED-1368).
- bpf: Guard against accessing NULL pt_regs in
  bpf_get_task_stack() (jsc#PED-1368).
- bpf, selftests: Add ringbuf memory type confusion test
  (jsc#PED-1368).
- bpf: Fix ringbuf memory type confusion when passing to helpers
  (jsc#PED-1368).
- blacklist.conf: revert blacklisting of "bpf: Fix ringbuf memory type
  confusion when passing to helpers"
- Refresh patches.suse/bpf-Add-check_func_arg_reg_off-function.patch
- bpf: Fix incorrect integer literal used for marking scratched
  stack (jsc#PED-1368).
- bpf/selftests: Add check for updating XDP bpf_link with wrong
  program type (jsc#PED-1368).
- bpf/selftests: convert xdp_link test to ASSERT_* macros
  (jsc#PED-1368).
- xdp: check prog type before updating BPF link (jsc#PED-1368).
- bpf: Fix mount source show for bpffs (jsc#PED-1368).
- tools/bpf/bpftool/skeleton: replace bpf_probe_read_kernel with
  bpf_probe_read_kernel_str to get task comm (jsc#PED-1368).
- samples/bpf/test_overhead_kprobe_kern: replace
  bpf_probe_read_kernel with bpf_probe_read_kernel_str to get
  task comm (jsc#PED-1368).
- bpf ppc32: Access only if addr is kernel address (jsc#PED-1368).
- bpf ppc32: Add BPF_PROBE_MEM support for JIT (jsc#PED-1368).
- bpf ppc64: Access only if addr is kernel address (jsc#PED-1368).
- bpf ppc64: Add BPF_PROBE_MEM support for JIT (jsc#PED-1368).
- powerpc/ppc-opcode: introduce PPC_RAW_BRANCH() macro
  (jsc#PED-1368).
- bpf powerpc: refactor JIT compiler code (jsc#PED-1368).
- bpf powerpc: Remove extra_pass from bpf_jit_build_body()
  (jsc#PED-1368).
- bpf powerpc: Remove unused SEEN_STACK (jsc#PED-1368).
- bpf: selftests: Add bind retry for post_bind{4, 6}
  (jsc#PED-1368).
- bpf: selftests: Use C99 initializers in test_sock.c
  (jsc#PED-1368).
- net: bpf: Handle return value of
  BPF_CGROUP_RUN_PROG_INET{4,6}_POST_BIND() (jsc#PED-1368).
- bpf/selftests: Test bpf_d_path on rdonly_mem (jsc#PED-1368).
- libbpf: Add documentation for bpf_map batch operations
  (jsc#PED-1368).
- selftests/bpf: Don't rely on preserving volatile in PT_REGS
  macros in loop3 (jsc#PED-1368).
- xdp: Add xdp_do_redirect_frame() for pre-computed xdp_frames
  (jsc#PED-1368).
- xdp: Move conversion to xdp_frame out of map functions
  (jsc#PED-1368).
- page_pool: Store the XDP mem id (jsc#PED-1368).
- page_pool: Add callback to init pages when they are allocated
  (jsc#PED-1368).
- xdp: Allow registering memory model without rxq reference
  (jsc#PED-1368).
- samples/bpf: xdpsock: Add timestamp for Tx-only operation
  (jsc#PED-1368).
- samples/bpf: xdpsock: Add time-out for cleaning Tx
  (jsc#PED-1368).
- samples/bpf: xdpsock: Add sched policy and priority support
  (jsc#PED-1368).
- samples/bpf: xdpsock: Add cyclic TX operation capability
  (jsc#PED-1368).
- samples/bpf: xdpsock: Add clockid selection support
  (jsc#PED-1368).
- samples/bpf: xdpsock: Add Dest and Src MAC setting for Tx-only
  operation (jsc#PED-1368).
- samples/bpf: xdpsock: Add VLAN support for Tx-only operation
  (jsc#PED-1368).
- libbpf 1.0: Deprecate bpf_object__find_map_by_offset() API
  (jsc#PED-1368).
- libbpf 1.0: Deprecate bpf_map__is_offload_neutral()
  (jsc#PED-1368).
- libbpf: Support repeated legacy kprobes on same function
  (jsc#PED-1368).
- libbpf: Use probe_name for legacy kprobe (jsc#PED-1368).
- libbpf: Deprecate bpf_perf_event_read_simple() API
  (jsc#PED-1368).
- bpf: Add SO_RCVBUF/SO_SNDBUF in _bpf_getsockopt()
  (jsc#PED-1368).
- bpf: Fix SO_RCVBUF/SO_SNDBUF handling in _bpf_setsockopt()
  (jsc#PED-1368).
- bpf: Fix verifier support for validation of async callbacks
  (jsc#PED-1368).
- bpf, docs: Fully document the JMP mode modifiers (jsc#PED-1368).
- bpf, docs: Fully document the JMP opcodes (jsc#PED-1368).
- bpf, docs: Fully document the ALU opcodes (jsc#PED-1368).
- bpf, docs: Document the opcode classes (jsc#PED-1368).
- bpf, docs: Add subsections for ALU and JMP instructions
  (jsc#PED-1368).
- bpf, docs: Add a setion to explain the basic instruction
  encoding (jsc#PED-1368).
- bpf, selftests: Add verifier test for mem_or_null register
  with offset (jsc#PED-1368).
- bpf: Don't promote bogus looking registers after null check
  (jsc#PED-1368).
- bpf, sockmap: Fix double bpf_prog_put on error case in map_link
  (jsc#PED-1368).
- bpf, sockmap: Fix return codes from tcp_bpf_recvmsg_parser()
  (jsc#PED-1368).
- bpf, arm64: Use emit_addr_mov_i64() for BPF_PSEUDO_FUNC
  (jsc#PED-1368).
- bpf/selftests: Fix namespace mount setup in tc_redirect
  (jsc#PED-1368).
- bpftool: Probe for instruction set extensions (jsc#PED-1368).
- bpftool: Probe for bounded loop support (jsc#PED-1368).
- bpftool: Refactor misc. feature probe (jsc#PED-1368).
- bpf: Fix typo in a comment in bpf lpm_trie (jsc#PED-1368).
- bpf, docs: Move the packet access instructions last in
  instruction-set.rst (jsc#PED-1368).
- bpf, docs: Generate nicer tables for instruction encodings
  (jsc#PED-1368).
- bpf, docs: Split the comparism to classic BPF from
  instruction-set.rst (jsc#PED-1368).
- bpf, docs: Fix verifier references (jsc#PED-1368).
- bpf: Invert the dependency between bpf-netns.h and netns/bpf.h
  (jsc#PED-1368).
- net: Add includes masked by netdevice.h including uapi/bpf.h
  (jsc#PED-1368).
- bpf/selftests: Update local storage selftest for sleepable
  programs (jsc#PED-1368).
- bpf: Allow bpf_local_storage to be used by sleepable programs
  (jsc#PED-1368).
- bpf: Add missing map_get_next_key method to bloom filter map
  (jsc#PED-1368).
- libbpf: Improve LINUX_VERSION_CODE detection (jsc#PED-1368).
- libbpf: Use 100-character limit to make bpf_tracing.h easier
  to read (jsc#PED-1368).
- libbpf: Normalize PT_REGS_xxx() macro definitions
  (jsc#PED-1368).
- selftests/bpf: Add btf_dump__new to test_cpp (jsc#PED-1368).
- libbpf: Do not use btf_dump__new() macro in C++ mode
  (jsc#PED-1368).
- bpftool: Enable line buffering for stdout (jsc#PED-1368).
- bpf: Use struct_size() helper (jsc#PED-1368).
- selftests/bpf: Correct the INDEX address in vmtest.sh
  (jsc#PED-1368).
- bpf: Extend kfunc with PTR_TO_CTX, PTR_TO_MEM argument support
  (jsc#PED-1368).
- Refresh patches.suse/bpf-Fix-PTR_TO_BTF_ID-var_off-check.patch
- Refresh patches.suse/bpf-Fix-crash-due-to-out-of-bounds-access-into-reg2b.patch
- Refresh patches.suse/bpf-Generalize-check_ctx_reg-for-reuse-with-other-ty.patch
- commit 5734c73
* Mon Nov 21 2022 msuchanek@suse.de
- powerpc/boot: Explicitly disable usage of SPE instructions
  (bsc#1156395).
- commit 7c94cdb
* Mon Nov 21 2022 msuchanek@suse.de
- blacklist.conf: Add fixes for unsupported platforms
- commit 10ca02b
* Mon Nov 21 2022 oneukum@suse.com
- net: smsc95xx: add support for Microchip EVB-LAN8670-USB
  (git-fixes).
- commit af40ba9
* Mon Nov 21 2022 tiwai@suse.de
- Update patch reference for rtl8712 driver fix (CVE-2022-4095 bsc#1205514)
- commit 67f2ad4
* Mon Nov 21 2022 hare@suse.de
- Update config files.
- commit 53c2ba5
* Mon Nov 21 2022 oneukum@suse.com
- usbnet: smsc95xx: Don't reset PHY behind PHY driver's back
  (git-fixes).
- commit b693ef6
* Mon Nov 21 2022 oneukum@suse.com
- usb: smsc: use eth_hw_addr_set() (git-fixes).
- commit 67dd1e9
* Mon Nov 21 2022 msuchanek@suse.de
- powerpc/64: Fix build failure with allyesconfig in
  book3s_64_entry.S (bsc#1194869).
- commit 6d56eff
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- bpftool: Reimplement large insn size limit feature probing
  (jsc#PED-1368).
- selftests/bpf: Add libbpf feature-probing API selftests
  (jsc#PED-1368).
- libbpf: Rework feature-probing APIs (jsc#PED-1368).
- Only output backtracking information in log level 2
  (jsc#PED-1368).
- bpf: Right align verifier states in verifier logs
  (jsc#PED-1368).
- Refresh patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
- bpf: Only print scratched registers and stack slots to verifier
  logs (jsc#PED-1368).
- Refresh patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
- commit 652bd0c
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- selftests/bpf: Replace all uses of bpf_load_btf() with
  bpf_btf_load() (jsc#PED-1368).
- libbpf: Deprecate bpf_object__load_xattr() (jsc#PED-1368).
- commit ed13628
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- treewide: Add missing includes masked by cgroup -> bpf
  dependency (jsc#PED-1368).
- commit dafa543
* Mon Nov 21 2022 shung-hsi.yu@suse.com
- bpf: Remove the cgroup -> bpf header dependecy (jsc#PED-1368).
- add missing bpf-cgroup.h includes (jsc#PED-1368).
- add includes masked by cgroup -> bpf dependency (jsc#PED-1368).
- selftests/bpf: Enable cross-building with clang (jsc#PED-1368).
- tools/runqslower: Enable cross-building with clang
  (jsc#PED-1368).
- bpftool: Enable cross-building with clang (jsc#PED-1368).
- tools/libbpf: Enable cross-building with clang (jsc#PED-1368).
- tools/resolve_btfids: Support cross-building the kernel with
  clang (jsc#PED-1368).
- tools: Help cross-building with clang (jsc#PED-1368).
- libbpf: Avoid reading past ELF data section end when copying
  license (jsc#PED-1368).
- libbpf: Mark bpf_object__find_program_by_title API deprecated
  (jsc#PED-1368).
- tools/perf: Stop using bpf_object__find_program_by_title API
  (jsc#PED-1368).
- samples/bpf: Stop using bpf_object__find_program_by_title API
  (jsc#PED-1368).
- selftests/bpf: Stop using bpf_object__find_program_by_title API
  (jsc#PED-1368).
- selftests/bpf: Remove explicit setrlimit(RLIMIT_MEMLOCK)
  in main selftests (jsc#PED-1368).
- libbpf: Auto-bump RLIMIT_MEMLOCK if kernel needs it for BPF
  (jsc#PED-1368).
- libbpf: Add sane strncpy alternative and use it internally
  (jsc#PED-1368).
- libbpf: Fix potential uninit memory read (jsc#PED-1368).
- libbpf: Add doc comments for bpf_program__(un)pin()
  (jsc#PED-1368).
- selftests/bpf: Fix segfault in bpf_tcp_ca (jsc#PED-1368).
- selftests/bpf: Add tests for get_func_[arg|ret|arg_cnt] helpers
  (jsc#PED-1368).
- bpf: Add get_func_[arg|ret|arg_cnt] helpers (jsc#PED-1368).
- bpf, x64: Replace some stack_size usage with offset variables
  (jsc#PED-1368).
- selftests/bpf: Add test to access int ptr argument in tracing
  program (jsc#PED-1368).
- bpf: Allow access to int pointer arguments in tracing programs
  (jsc#PED-1368).
- libbpf: Don't validate TYPE_ID relo's original imm value
  (jsc#PED-1368).
- selftests/bpf: Remove last bpf_create_map_xattr from
  test_verifier (jsc#PED-1368).
- bpf: Silence coverity false positive warning (jsc#PED-1368).
- bpf: Use kmemdup() to replace kmalloc + memcpy (jsc#PED-1368).
- selftests/bpf: Add test cases for bpf_strncmp() (jsc#PED-1368).
- selftests/bpf: Add benchmark for bpf_strncmp() helper
  (jsc#PED-1368).
- selftests/bpf: Fix checkpatch error on empty function parameter
  (jsc#PED-1368).
- bpf: Add bpf_strncmp helper (jsc#PED-1368).
- libbpf: Fix gen_loader assumption on number of programs
  (jsc#PED-1368).
- libbpf: Add "bool skipped" to struct bpf_map (jsc#PED-1368).
- libbpf: Fix typo in btf__dedup@LIBBPF_0.0.2 definition
  (jsc#PED-1368).
- bpftool: Switch bpf_object__load_xattr() to bpf_object__load()
  (jsc#PED-1368).
- selftests/bpf: Remove the only use of deprecated
  bpf_object__load_xattr() (jsc#PED-1368).
- selftests/bpf: Add test for libbpf's custom log_buf behavior
  (jsc#PED-1368).
- commit 5e271be
* Mon Nov 21 2022 wqu@suse.com
- patches.suse/btrfs-fix-deadlock-between-quota-enable-and-other-qu.patch:
  (bsc#1205521).
- commit a75b0e8
* Sun Nov 20 2022 wqu@suse.com
- patches.suse/btrfs-fix-deadlock-between-quota-enable-and-other-qu.patch:
  (bsc#1205521).
- commit de88f7d
* Sat Nov 19 2022 tiwai@suse.de
- ath10k: fix pointer arithmetic error in trace call (git-fixes).
- commit eb74c76
* Sat Nov 19 2022 tiwai@suse.de
- VDUSE: fix documentation underline warning (git-fixes).
- commit 82c2eb1
* Sat Nov 19 2022 tiwai@suse.de
- ath10k: abstract htt_rx_desc structure (git-fixes).
- commit ce63216
* Sat Nov 19 2022 tiwai@suse.de
- mac80211: limit bandwidth in HE capabilities (git-fixes).
- commit 07f026a
* Sat Nov 19 2022 tiwai@suse.de
- ALSA: memalloc: Try dma_alloc_noncontiguous() at first
  (git-fixes).
- commit 88c27ac
* Sat Nov 19 2022 tiwai@suse.de
- usb: typec: tipd: Prevent uninitialized event{1,2} in IRQ
  handler (git-fixes).
- ASoC: SOF: topology: No need to assign core ID if token parsing
  failed (git-fixes).
- ALSA: memalloc: Don't fall back for SG-buffer with IOMMU
  (git-fixes).
- usb: gadget: aspeed: Fix probe regression (git-fixes).
- nouveau: fix migrate_to_ram() for faulting page (git-fixes).
- xhci: Fix null pointer dereference in remove if xHC has only
  one roothub (git-fixes).
- thunderbolt: Check router generation before connecting xHCI
  (git-fixes).
- usb: xhci_plat_remove: avoid NULL dereference (git-fixes).
- xhci: Fix null pointer dereference in resume if xhci has only
  one roothub (git-fixes).
- USB: gadget: Fix return of -EBUSY (git-fixes).
- dmaengine: tegra: Fix build error without IOMMU_API (git-fixes).
- PCI/IOV: Fix wrong kernel-doc identifier (git-fixes).
- usb: core: Unregister device on component_add() failure
  (git-fixes).
- pcmcia: hide the MAC address helpers if !NET (git-fixes).
- arch: Remove leftovers from prism54 wireless driver (git-fixes).
- usb: typec: ucsi: Only check the contract if there is a
  connection (git-fixes).
- libata: libahci: declare ahci_shost_attr_group as static
  (git-fixes).
- commit 92b4a5a
* Sat Nov 19 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for ASUS Zenbook using CS35L41
  (git-fixes).
- commit c6c293f
* Sat Nov 19 2022 tiwai@suse.de
- ASoC: soc-utils: Remove __exit for snd_soc_util_exit()
  (git-fixes).
- commit 287b2ba
* Sat Nov 19 2022 tiwai@suse.de
- Input: i8042 - fix leaking of platform device on module removal
  (git-fixes).
- Input: iforce - invert valid length check when fetching device
  IDs (git-fixes).
- drm: Fix potential null-ptr-deref in drm_vblank_destroy_worker()
  (git-fixes).
- drm/drv: Fix potential memory leak in drm_dev_init()
  (git-fixes).
- drm/panel: simple: set bpc field for logic technologies displays
  (git-fixes).
- drm/vc4: kms: Fix IS_ERR() vs NULL check for vc4_kms
  (git-fixes).
- usb: chipidea: fix deadlock in ci_otg_del_timer (git-fixes).
- usb: typec: mux: Enter safe mode only when pins need to be
  reconfigured (git-fixes).
- Revert "usb: dwc3: disable USB core PHY management" (git-fixes).
- serial: 8250: Flush DMA Rx on RLSI (git-fixes).
- serial: 8250: Fall back to non-DMA Rx if IIR_RDI occurs
  (git-fixes).
- tty: n_gsm: fix sleep-in-atomic-context bug in gsm_control_send
  (git-fixes).
- Revert "tty: n_gsm: replace kicktimer with delayed_work"
  (git-fixes).
- Revert "tty: n_gsm: avoid call of sleeping functions from
  atomic context" (git-fixes).
- serial: imx: Add missing .thaw_noirq hook (git-fixes).
- tty: serial: fsl_lpuart: don't break the on-going transfer
  when global reset (git-fixes).
- serial: 8250: omap: Flush PM QOS work on remove (git-fixes).
- serial: 8250: omap: Fix unpaired pm_runtime_put_sync() in
  omap8250_remove() (git-fixes).
- serial: 8250_omap: remove wait loop from Errata i202 workaround
  (git-fixes).
- firmware: coreboot: Register bus in module init (git-fixes).
- slimbus: stream: correct presence rate frequencies (git-fixes).
- parport_pc: Avoid FIFO port location truncation (git-fixes).
- siox: fix possible memory leak in siox_device_add() (git-fixes).
- misc/vmw_vmci: fix an infoleak in
  vmci_host_do_receive_datagram() (git-fixes).
- speakup: fix a segfault caused by switching consoles
  (git-fixes).
- iio: adc: at91_adc: fix possible memory leak in
  at91_adc_allocate_trigger() (git-fixes).
- iio: adc: mp2629: fix potential array out of bound access
  (git-fixes).
- iio: adc: mp2629: fix wrong comparison of channel (git-fixes).
- iio: pressure: ms5611: changed hardcoded SPI speed to value
  limited (git-fixes).
- iio: trigger: sysfs: fix possible memory leak in
  iio_sysfs_trig_init() (git-fixes).
- ASoC: tas2764: Fix set_tdm_slot in case of single slot
  (git-fixes).
- ASoC: tas2770: Fix set_tdm_slot in case of single slot
  (git-fixes).
- ASoC: core: Fix use-after-free in snd_soc_exit() (git-fixes).
- mmc: sdhci-pci: Fix possible memory leak caused by missing
  pci_dev_put() (git-fixes).
- mmc: core: properly select voltage range without power cycle
  (git-fixes).
- commit 5d6506d
* Fri Nov 18 2022 ptesarik@suse.cz
- net/smc: Fix possible leaked pernet namespace in smc_init()
  (git-fixes).
- net/smc: Fix an error code in smc_lgr_create() (git-fixes).
- net/smc: Fix possible access to freed memory in link clear
  (git-fixes).
- net/smc: Fix slab-out-of-bounds issue in fallback (git-fixes).
- net/smc: Only save the original clcsock callback functions
  (git-fixes).
- net/smc: Fix sock leak when release after smc_shutdown()
  (git-fixes).
- net/smc: send directly on setting TCP_NODELAY (git-fixes).
- net/smc: Send directly when TCP_CORK is cleared (git-fixes).
- net/smc: Avoid overwriting the copies of clcsock callback
  functions (git-fixes).
- net/smc: Forward wakeup to smc socket waitqueue after fallback
  (git-fixes).
- commit a5aa4ad
* Fri Nov 18 2022 ohering@suse.de
- PCI: hv: Fix the definition of vector in hv_compose_msi_msg() (git-fixes).
- x86/hyperv: fix invalid writes to MSRs during root partition kexec (git-fixes).
- clocksource/drivers/hyperv: add data structure for reference TSC MSR (git-fixes).
- Drivers: hv: fix repeated words in comments (git-fixes).
- HID: hyperv: fix possible memory leak in mousevsc_probe() (git-fixes).
- drm/hyperv: Add ratelimit on error message (git-fixes).
- scsi: storvsc: remove an extraneous "to" in a comment (git-fixes).
- Drivers: hv: vmbus: Don't wait for the ACPI device upon initialization (git-fixes).
- Drivers: hv: vmbus: Use PCI_VENDOR_ID_MICROSOFT for better discoverability (git-fixes).
- Drivers: hv: vmbus: Fix kernel-doc (git-fixes).
- drm/hyperv: Don't overwrite dirt_needed value set by host (git-fixes).
- Drivers: hv: vmbus: Optimize vmbus_on_event (git-fixes).
- scsi: storvsc: Drop DID_TARGET_FAILURE use (git-fixes).
- Drivers: hv: Never allocate anything besides framebuffer from framebuffer memory region (git-fixes).
- Drivers: hv: Always reserve framebuffer region for Gen1 VMs (git-fixes).
- PCI: Move PCI_VENDOR_ID_MICROSOFT/PCI_DEVICE_ID_HYPERV_VIDEO definitions to pci_ids.h (git-fixes).
- tools: hv: kvp: remove unnecessary (void*) conversions (git-fixes).
- Drivers: hv: remove duplicate word in a comment (git-fixes).
- tools: hv: Remove an extraneous "the" (git-fixes).
- scsi: storvsc: Remove WQ_MEM_RECLAIM from storvsc_error_wq (git-fixes).
- Drivers: hv: vmbus: Release cpu lock in error case (git-fixes).
- Drivers: hv: Fix syntax errors in comments (git-fixes).
- scsi: storvsc: Fix typo in comment (git-fixes).
- Drivers: hv: vmbus: fix typo in comment (git-fixes).
- PCI: hv: Add validation for untrusted Hyper-V values (git-fixes).
- x86/hyperv: Disable hardlockup detector by default in Hyper-V guests (git-fixes).
- Drivers: hv: vmbus: Accept hv_sock offers in isolated guests (git-fixes).
- hv_sock: Add validation for untrusted Hyper-V values (git-fixes).
- hv_sock: Copy packets sent by Hyper-V out of the ring buffer (git-fixes).
- hv_sock: Check hv_pkt_iter_first_raw()'s return value (git-fixes).
- Drivers: hv: vmbus: Add VMbus IMC device to unsupported list (git-fixes).
- hv_netvsc: Fix potential dereference of NULL pointer (git-fixes).
- hv_netvsc: Print value of invalid ID in netvsc_send_{completion,tx_complete}() (git-fixes).
- net: hyperv: remove use of bpf_op_t (git-fixes).
- commit 5a5a746
* Fri Nov 18 2022 krisman@suse.de
- Refresh patches.suse/io_uring-fix-io_try_cancel_userdata-race-for-iowq.patch
  (bsc#1205572)
- commit 1bf2e5b
* Fri Nov 18 2022 vbabka@suse.cz
- Update kabi files. Update using the released November MU kernel
  5.14.21-150400.24.33.2
- commit b0daa6c
* Fri Nov 18 2022 ptesarik@suse.cz
- s390/uaccess: introduce bit field for OAC specifier
  (jsc#PED-579).
- Refresh
  patches.suse/s390-uaccess-add-missing-EX_TABLE-entries-to-__clear_user.
- commit 871823b
* Fri Nov 18 2022 ptesarik@suse.cz
- KVM: s390: selftest: Test suppression indication on key prot
  exception (jsc#PED-579).
- KVM: s390: Don't indicate suppression on dirtying, failing memop
  (jsc#PED-579).
- KVM: s390: Fix lockdep issue in vm memop (jsc#PED-579).
- KVM: s390: selftests: Add error memop tests (jsc#PED-579).
- KVM: s390: selftests: Add more copy memop tests (jsc#PED-579).
- KVM: s390: selftests: Add named stages for memop test
  (jsc#PED-579).
- KVM: s390: selftests: Add macro as abstraction for MEM_OP
  (jsc#PED-579).
- KVM: s390: selftests: Split memop tests (jsc#PED-579).
- KVM: s390: Add missing vm MEM_OP size check (jsc#PED-579).
- KVM: s390: Clarify key argument for MEM_OP in api docs
  (jsc#PED-579).
- selftests: kvm: Check whether SIDA memop fails for normal guests
  (jsc#PED-579).
- KVM: s390: Update api documentation for memop ioctl
  (jsc#PED-579).
- KVM: s390: Add capability for storage key extension of MEM_OP
  IOCTL (jsc#PED-579).
- KVM: s390: Rename existing vcpu memop functions (jsc#PED-579).
- KVM: s390: Add vm IOCTL for key checked guest absolute memory
  access (jsc#PED-579).
- KVM: s390: Add optional storage key checking to MEMOP IOCTL
  (jsc#PED-579).
- KVM: s390: selftests: Test TEST PROTECTION emulation
  (jsc#PED-579).
- KVM: s390: handle_tprot: Honor storage keys (jsc#PED-579).
- KVM: s390: Honor storage keys when accessing guest memory
  (jsc#PED-579).
- s390/uaccess: Add copy_from/to_user_key functions (jsc#PED-579).
- s390/uaccess: fix compile error (jsc#PED-579).
- KVM: s390: gaccess: Cleanup access to guest pages (jsc#PED-579).
- KVM: s390: gaccess: Refactor access address range check
  (jsc#PED-579).
- KVM: s390: gaccess: Refactor gpa and length calculation
  (jsc#PED-579).
- KVM: s390: Function documentation fixes (jsc#PED-579).
- commit 66cff37
* Fri Nov 18 2022 hare@suse.de
- block: remove QUEUE_FLAG_SCSI_PASSTHROUGH (jsc#PED-1183).
- block: remove the initialize_rq_fn blk_mq_ops method
  (jsc#PED-1183).
- scsi: add a scsi_alloc_request helper (jsc#PED-1183).
- bsg-lib: initialize the bsg_job in bsg_transport_sg_io_fn
  (jsc#PED-1183).
- nfsd/blocklayout: use ->get_unique_id instead of sending SCSI
  commands (jsc#PED-1183).
- sd: implement ->get_unique_id (jsc#PED-1183).
- block: add a ->get_unique_id method (jsc#PED-1183).
- commit cbf18a8
* Fri Nov 18 2022 hare@suse.de
- doc: Fix typo in request queue sysfs documentation
  (jsc#PED-1183).
- doc: document sysfs queue/independent_access_ranges attributes
  (jsc#PED-1183).
- libata: support concurrent positioning ranges log
  (jsc#PED-1183).
- scsi: sd: add concurrent positioning ranges support
  (jsc#PED-1183).
- commit 53836a1
* Fri Nov 18 2022 hare@suse.de
- null_blk: Fix handling of submit_queues and poll_queues
  attributes (jsc#PED-1183).
- block: ataflop: Fix warning comparing pointer to 0
  (jsc#PED-1183).
- commit fdc3ae4
* Fri Nov 18 2022 hare@suse.de
- block: remove support for cryptoloop and the xor transfer
  (jsc#PED-1183).
- Update
  patches.suse/loop-Check-for-overflow-while-configuring-loop.patch
  (git-fixes).
- commit 7a3d66e
* Fri Nov 18 2022 hare@suse.de
- mtd: add add_disk() error handling (jsc#PED-1183).
- um/drivers/ubd_kern: add error handling support for add_disk()
  (jsc#PED-1183).
- m68k/emu/nfblock: add error handling support for add_disk()
  (jsc#PED-1183).
- xen-blkfront: add error handling support for add_disk()
  (jsc#PED-1183).
- bcache: add error handling support for add_disk()
  (jsc#PED-1183).
- dm: add add_disk() error handling (jsc#PED-1183).
- commit 7834360
* Fri Nov 18 2022 hare@suse.de
- blk-mq-debugfs: Show active requests per queue for shared tags
  (jsc#PED-1183).
- block: improve readability of blk_mq_end_request_batch()
  (jsc#PED-1183).
- commit af3bfc7
* Fri Nov 18 2022 hare@suse.de
- block: re-flow blk_mq_rq_ctx_init() (jsc#PED-1183).
- block: prefetch request to be initialized (jsc#PED-1183).
- block: add rq_flags to struct blk_mq_alloc_data (jsc#PED-1183).
- block: add async version of bio_set_polled (jsc#PED-1183).
- block: kill DIO_MULTI_BIO (jsc#PED-1183).
- block: kill unused polling bits in __blkdev_direct_IO()
  (jsc#PED-1183).
- commit c16e02a
* Fri Nov 18 2022 hare@suse.de
- block: avoid extra iter advance with async iocb (jsc#PED-1183).
- Refresh
  patches.suse/oracleasm-reinstate-bio_map_user_iov-declaration-in-.patch.
- commit 5f7e999
* Fri Nov 18 2022 hare@suse.de
- block: Add independent access ranges support (jsc#PED-1183).
- Refresh
  patches.suse/block-don-t-delete-queue-kobject-before-its-children.patch.
- commit b9bc559
* Fri Nov 18 2022 hare@suse.de
- blk-mq: don't issue request directly in case that current is
  to be blocked (jsc#PED-1183).
- sbitmap: silence data race warning (jsc#PED-1183).
- commit 5fc2cfd
* Fri Nov 18 2022 hare@suse.de
- block: refactor bio_iov_bvec_set() (jsc#PED-1183).
- block: add single bio async direct IO helper (jsc#PED-1183).
- sched: make task_struct->plug always defined (jsc#PED-1183).
- blk-mq-sched: Don't reference queue tagset in
  blk_mq_sched_tags_teardown() (jsc#PED-1183).
- block: fix req_bio_endio append error handling (jsc#PED-1183).
- blk-crypto: update inline encryption documentation
  (jsc#PED-1183).
- commit fb79b1f
* Fri Nov 18 2022 hare@suse.de
- blk-crypto: rename blk_keyslot_manager to blk_crypto_profile
  (jsc#PED-1183).
- Refresh
  patches.suse/scsi-ufs-Fix-runtime-PM-messages-never-ending-cycle.patch.
- commit f7284cb
* Fri Nov 18 2022 hare@suse.de
- blk-crypto: rename keyslot-manager files to blk-crypto-profile
  (jsc#PED-1183).
- commit c655bc3
* Fri Nov 18 2022 hare@suse.de
- blk-crypto-fallback: properly prefix function and struct names
  (jsc#PED-1183).
- loop: Remove the unnecessary bdev checks and unused bdev
  variable (jsc#PED-1183).
- loop: Use invalidate_disk() helper to invalidate gendisk
  (jsc#PED-1183).
- block: Add invalidate_disk() helper to invalidate the gendisk
  (jsc#PED-1183).
- mmc: core: Store pointer to bio_crypt_ctx in mmc_request
  (jsc#PED-1183).
- commit 478c717
* Fri Nov 18 2022 hare@suse.de
- block: drain queue after disk is removed from sysfs
  (jsc#PED-1183).
- commit f01dfdf
* Fri Nov 18 2022 hare@suse.de
- cdrom: Remove redundant variable and its assignment
  (jsc#PED-1183).
- partitions/ibm: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- partitions/efi: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- commit a1af441
* Fri Nov 18 2022 hare@suse.de
- block/ioctl: use bdev_nr_sectors and bdev_nr_bytes
  (jsc#PED-1183).
- Refresh
  patches.suse/block-Hold-invalidate_lock-in-BLKDISCARD-ioctl.patch.
- commit 52eb249
* Fri Nov 18 2022 hare@suse.de
- nvme: don't memset() the normal read/write command
  (jsc#PED-1183).
- nvme: move command clear into the various setup helpers
  (jsc#PED-1183).
- commit 0fc8fe9
* Fri Nov 18 2022 hare@suse.de
- block: kill extra rcu lock/unlock in queue enter (jsc#PED-1183).
- percpu_ref: percpu_ref_tryget_live() version holding RCU
  (jsc#PED-1183).
- block: convert fops.c magic constants to SHIFT_SECTOR
  (jsc#PED-1183).
- block: clean up blk_mq_submit_bio() merging (jsc#PED-1183).
- block: optimise boundary blkdev_read_iter's checks
  (jsc#PED-1183).
- blk-mq: Fix blk_mq_tagset_busy_iter() for shared tags
  (jsc#PED-1183).
- block: cleanup the flush plug helpers (jsc#PED-1183).
- block: optimise blk_flush_plug_list (jsc#PED-1183).
- blk-mq: move blk_mq_flush_plug_list to block/blk-mq.h
  (jsc#PED-1183).
- blk-mq: only flush requests from the plug in blk_mq_submit_bio
  (jsc#PED-1183).
- commit 5b34b13
* Fri Nov 18 2022 hare@suse.de
- block: inline a part of bio_release_pages() (jsc#PED-1183).
- Refresh
  patches.suse/oracleasm-reinstate-bio_map_user_iov-declaration-in-.patch.
- commit 891bfc9
* Fri Nov 18 2022 hare@suse.de
- block: don't bloat enter_queue with percpu_ref (jsc#PED-1183).
- commit de50791
* Fri Nov 18 2022 hare@suse.de
- block: optimise req_bio_endio() (jsc#PED-1183).
- commit 6e31fdd
* Fri Nov 18 2022 hare@suse.de
- block: convert leftovers to bdev_get_queue (jsc#PED-1183).
- commit 1ef78f8
* Fri Nov 18 2022 hare@suse.de
- block: turn macro helpers into inline functions (jsc#PED-1183).
- commit ee39d47
* Fri Nov 18 2022 mgorman@suse.de
- sched: Clear ttwu_pending after enqueue_task() (git fixes
  (sched/core)).
- commit 8216675
* Fri Nov 18 2022 hare@suse.de
- block: inline fast path of driver tag allocation (jsc#PED-1183).
- blk-mq: don't handle non-flush requests in blk_insert_flush
  (jsc#PED-1183).
- block: attempt direct issue of plug list (jsc#PED-1183).
- block: change plugging to use a singly linked list
  (jsc#PED-1183).
- commit 4e8a65f
* Fri Nov 18 2022 hare@suse.de
- blk-wbt: prevent NULL pointer dereference in wb_timer_fn
  (jsc#PED-1183).
- blacklist.conf:
- commit 1a6f5fa
* Fri Nov 18 2022 hare@suse.de
- block: align blkdev_dio inlined bio to a cacheline
  (jsc#PED-1183).
- block: move blk_mq_tag_to_rq() inline (jsc#PED-1183).
- block: get rid of plug list sorting (jsc#PED-1183).
- block: return whether or not to unplug through boolean
  (jsc#PED-1183).
- block: don't call blk_status_to_errno in blk_update_request
  (jsc#PED-1183).
- block: move bdev_read_only() into the header (jsc#PED-1183).
- block: fix too broad elevator check in blk_mq_free_request()
  (jsc#PED-1183).
- commit a7698cb
* Fri Nov 18 2022 hare@suse.de
- block: cache inode size in bdev (jsc#PED-1183).
- udf: use sb_bdev_nr_blocks (jsc#PED-1183).
- reiserfs: use sb_bdev_nr_blocks (jsc#PED-1183).
- ntfs: use sb_bdev_nr_blocks (jsc#PED-1183).
- jfs: use sb_bdev_nr_blocks (jsc#PED-1183).
- ext4: use sb_bdev_nr_blocks (jsc#PED-1183).
- block: add a sb_bdev_nr_blocks helper (jsc#PED-1183).
- block: use bdev_nr_bytes instead of open coding it in
  blkdev_fallocate (jsc#PED-1183).
- squashfs: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- reiserfs: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- pstore/blk: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- nilfs2: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- nfs/blocklayout: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- jfs: use bdev_nr_bytes instead of open coding it (jsc#PED-1183).
- hfsplus: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- hfs: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- fat: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- cramfs: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- btrfs: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- affs: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- fs: simplify init_page_buffers (jsc#PED-1183).
- fs: use bdev_nr_bytes instead of open coding it in
  blkdev_max_block (jsc#PED-1183).
- target/iblock: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- nvmet: use bdev_nr_bytes instead of open coding it
  (jsc#PED-1183).
- md: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- dm: use bdev_nr_sectors and bdev_nr_bytes instead of open
  coding them (jsc#PED-1183).
- drbd: use bdev_nr_sectors instead of open coding it
  (jsc#PED-1183).
- bcache: remove bdev_sectors (jsc#PED-1183).
- block: add a bdev_nr_bytes helper (jsc#PED-1183).
- commit 4c15ea4
* Fri Nov 18 2022 hare@suse.de
- md: properly unwind when failing to add the kobject in
  (jsc#PED-1183).
- md: extend disks_mutex coverage (jsc#PED-1183).
- md: add the bitmap group to the default groups for the md
  kobject (jsc#PED-1183).
- md: add error handling support for add_disk() (jsc#PED-1183).
- swim3: add missing major.h include (jsc#PED-1183).
- sx8: fix an error code in carm_init_one() (jsc#PED-1183).
- pf: fix error codes in pf_init_unit() (jsc#PED-1183).
- pcd: fix error codes in pcd_init_unit() (jsc#PED-1183).
- xtensa/platforms/iss/simdisk: add error handling support for
  add_disk() (jsc#PED-1183).
- commit 2f1bfec
* Fri Nov 18 2022 hare@suse.de
- block/ataflop: add error handling support for add_disk()
  (jsc#PED-1183).
- Refresh
  patches.suse/ataflop-remove-ataflop_probe_lock-mutex.patch.
- commit 6f67204
* Fri Nov 18 2022 hare@suse.de
- swim: add error handling support for add_disk() (jsc#PED-1183).
- swim: add a floppy registration bool which triggers
  (jsc#PED-1183).
- swim: add helper for disk cleanup (jsc#PED-1183).
- swim: simplify using blk_cleanup_disk() on swim_remove()
  (jsc#PED-1183).
- amiflop: add error handling support for add_disk()
  (jsc#PED-1183).
- floppy: add error handling support for add_disk()
  (jsc#PED-1183).
- commit 599b78e
* Fri Nov 18 2022 hare@suse.de
- floppy: use blk_cleanup_disk() (jsc#PED-1183).
- floppy: fix add_disk() assumption on exit due to new
  (jsc#PED-1183).
- block/swim3: add error handling support for add_disk()
  (jsc#PED-1183).
- rbd: add add_disk() error handling (jsc#PED-1183).
- cdrom/gdrom: add error handling support for add_disk()
  (jsc#PED-1183).
- pf: add error handling support for add_disk() (jsc#PED-1183).
- block/sx8: add error handling support for add_disk()
  (jsc#PED-1183).
- block/rsxx: add error handling support for add_disk()
  (jsc#PED-1183).
- pktcdvd: add error handling support for add_disk()
  (jsc#PED-1183).
- mtip32xx: add error handling support for add_disk()
  (jsc#PED-1183).
- pd: add error handling support for add_disk() (jsc#PED-1183).
- pcd: capture errors on cdrom_register() (jsc#PED-1183).
- pcd: fix ordering of unregister_cdrom() (jsc#PED-1183).
- pcd: add error handling support for add_disk() (jsc#PED-1183).
- pd: cleanup initialization (jsc#PED-1183).
- pf: cleanup initialization (jsc#PED-1183).
- pcd: cleanup initialization (jsc#PED-1183).
- pcd: move the identify buffer into pcd_identify (jsc#PED-1183).
- n64cart: add error handling support for add_disk()
  (jsc#PED-1183).
- aoe: add error handling support for add_disk() (jsc#PED-1183).
- loop: add error handling support for add_disk() (jsc#PED-1183).
- commit 1349732
* Fri Nov 18 2022 hare@suse.de
- null_blk: poll queue support (jsc#PED-1183).
- commit 402e14b
* Fri Nov 18 2022 hare@suse.de
- nvme: wire up completion batching for the IRQ path
  (jsc#PED-1183).
- io_uring: utilize the io batching infrastructure for more
  efficient polled IO (jsc#PED-1183).
- nvme: add support for batched completion of polled IO
  (jsc#PED-1183).
- block: add support for blk_mq_end_request_batch()
  (jsc#PED-1183).
- sbitmap: add helper to clear a batch of tags (jsc#PED-1183).
- block: add a struct io_comp_batch argument to fops->iopoll()
  (jsc#PED-1183).
- block: provide helpers for rq_list manipulation (jsc#PED-1183).
- block: remove some blk_mq_hw_ctx debugfs entries (jsc#PED-1183).
- block: remove debugfs blk_mq_ctx dispatched/merged/completed
  (jsc#PED-1183).
- block: cache rq_flags inside blk_mq_rq_ctx_init()
  (jsc#PED-1183).
- block: blk_mq_rq_ctx_init cache ctx/q/hctx (jsc#PED-1183).
- block: skip elevator fields init for non-elv queue
  (jsc#PED-1183).
- block: store elevator state in request (jsc#PED-1183).
- commit a89fcdd
* Fri Nov 18 2022 hare@suse.de
- block: improve layout of struct request (jsc#PED-1183).
- block: move update request helpers into blk-mq.c (jsc#PED-1183).
- block: remove useless caller argument to print_req_error()
  (jsc#PED-1183).
- commit f8ff2fe
* Fri Nov 18 2022 hare@suse.de
- block: don't bother iter advancing a fully done bio
  (jsc#PED-1183).
- Refresh
  patches.suse/oracleasm-reinstate-bio_map_user_iov-declaration-in-.patch.
- commit 048c396
* Fri Nov 18 2022 hare@suse.de
- block: fix incorrect references to disk objects (jsc#PED-1183).
- commit b700816
* Fri Nov 18 2022 hare@suse.de
- block: convert the rest of block to bdev_get_queue
  (jsc#PED-1183).
- Refresh
  patches.suse/blk-cgroup-set-blkg-iostat-after-percpu-stat-aggrega.patch.
- Refresh
  patches.suse/blk-cgroup-synchronize-blkg-creation-against-policy-.patch.
- commit f5c90fa
* Fri Nov 18 2022 hare@suse.de
- block: use bdev_get_queue() in blk-core.c (jsc#PED-1183).
- commit 37b6c34
* Fri Nov 18 2022 hare@suse.de
- block: use bdev_get_queue() in bio.c (jsc#PED-1183).
- Refresh
  patches.suse/block-fix-rq-qos-breakage-from-skipping-rq_qos_done_.patch.
- commit a1b1670
* Fri Nov 18 2022 hare@suse.de
- block: use bdev_get_queue() in bdev.c (jsc#PED-1183).
- commit e550cef
* Fri Nov 18 2022 hare@suse.de
- block: cache request queue in bdev (jsc#PED-1183).
- Refresh
  patches.suse/block-move-the-SECTOR_SIZE-related-definitions-to-bl.patch.
- commit ae25d5e
* Fri Nov 18 2022 hare@suse.de
- block: handle fast path of bio splitting inline (jsc#PED-1183).
- commit 06a1eb4
* Fri Nov 18 2022 hare@suse.de
- block: use flags instead of bit fields for blkdev_dio
  (jsc#PED-1183).
- commit c69101e
* Fri Nov 18 2022 hare@suse.de
- nvme-multipath: enable polled I/O (jsc#PED-1183).
- block: don't allow writing to the poll queue attribute
  (jsc#PED-1183).
- commit c8a8acb
* Fri Nov 18 2022 hare@suse.de
- block: switch polling to be bio based (jsc#PED-1183).
- Refresh
  patches.suse/0006-nvdimm-blk-Delete-the-block-aperture-window-driver.patch.
- commit 5307c97
* Fri Nov 18 2022 hare@suse.de
- block: define 'struct bvec_iter' as packed (jsc#PED-1183).
- block: use SLAB_TYPESAFE_BY_RCU for the bio slab (jsc#PED-1183).
- block: rename REQ_HIPRI to REQ_POLLED (jsc#PED-1183).
- io_uring: don't sleep when polling for I/O (jsc#PED-1183).
- block: replace the spin argument to blk_iopoll with a flags
  argument (jsc#PED-1183).
- commit 7e56b0e
* Fri Nov 18 2022 hare@suse.de
- blk-mq: remove blk_qc_t_valid (jsc#PED-1183).
- blk-mq: remove blk_qc_t_to_tag and blk_qc_t_is_internal
  (jsc#PED-1183).
- blk-mq: factor out a "classic" poll helper (jsc#PED-1183).
- blk-mq: factor out a blk_qc_to_hctx helper (jsc#PED-1183).
- io_uring: fix a layering violation in io_iopoll_req_issued
  (jsc#PED-1183).
- commit 41a5c45
* Fri Nov 18 2022 hare@suse.de
- fsdax: mark the iomap argument to dax_iomap_sector as const
  (jsc#PED-1183).
- fs: mark the iomap argument to __block_write_begin_int const
  (jsc#PED-1183).
- commit 0480dc7
* Fri Nov 18 2022 hare@suse.de
- iomap: don't try to poll multi-bio I/Os in __iomap_dio_rw
  (jsc#PED-1183).
- iomap: switch iomap_swapfile_activate to use iomap_iter
  (jsc#PED-1183).
- iomap: switch iomap_seek_data to use iomap_iter (jsc#PED-1183).
- iomap: switch iomap_seek_hole to use iomap_iter (jsc#PED-1183).
- iomap: switch iomap_bmap to use iomap_iter (jsc#PED-1183).
- iomap: switch iomap_fiemap to use iomap_iter (jsc#PED-1183).
- iomap: switch __iomap_dio_rw to use iomap_iter (jsc#PED-1183).
- iomap: switch iomap_page_mkwrite to use iomap_iter
  (jsc#PED-1183).
- iomap: switch iomap_zero_range to use iomap_iter (jsc#PED-1183).
- iomap: switch iomap_file_unshare to use iomap_iter
  (jsc#PED-1183).
- iomap: switch iomap_file_buffered_write to use iomap_iter
  (jsc#PED-1183).
- iomap: switch readahead and readpage to use iomap_iter
  (jsc#PED-1183).
- iomap: add the new iomap_iter model (jsc#PED-1183).
- iomap: fix the iomap_readpage_actor return value for inline data
  (jsc#PED-1183).
- iomap: mark the iomap argument to iomap_read_page_sync const
  (jsc#PED-1183).
- iomap: mark the iomap argument to iomap_read_inline_data const
  (jsc#PED-1183).
- iomap: mark the iomap argument to iomap_inline_data_valid const
  (jsc#PED-1183).
- iomap: mark the iomap argument to iomap_inline_data const
  (jsc#PED-1183).
- iomap: mark the iomap argument to iomap_sector const
  (jsc#PED-1183).
- iomap: remove the iomap arguments to ->page_{prepare,done}
  (jsc#PED-1183).
- iomap: fix a trivial comment typo in trace.h (jsc#PED-1183).
- iomap: Fix some typos and bad grammar (jsc#PED-1183).
- iomap: Support inline data with block size < page size
  (jsc#PED-1183).
- iomap: support reading inline data from non-zero pos
  (jsc#PED-1183).
- commit 6fc2a5b
* Fri Nov 18 2022 tiwai@suse.de
- soc: imx8m: Enable OCOTP clock before reading the register
  (git-fixes).
- arm64: dts: imx8mn: Fix NAND controller size-cells (git-fixes).
- arm64: dts: imx8mm: Fix NAND controller size-cells (git-fixes).
- ARM: dts: imx7: Fix NAND controller size-cells (git-fixes).
- arm64: dts: qcom: sm8350-hdk: Specify which LDO modes are
  allowed (git-fixes).
- arm64: dts: qcom: sm8250-xperia-edo: Specify which LDO modes
  are allowed (git-fixes).
- arm64: dts: qcom: sm8150-xperia-kumano: Specify which LDO
  modes are allowed (git-fixes).
- arm64: dts: qcom: sa8155p-adp: Specify which LDO modes are
  allowed (git-fixes).
- net: thunderbolt: Fix error handling in tbnet_init()
  (git-fixes).
- net/x25: Fix skb leak in x25_lapb_receive_frame() (git-fixes).
- bridge: switchdev: Fix memory leaks when changing VLAN protocol
  (git-fixes).
- net: phy: marvell: add sleep time after enabling the loopback
  bit (git-fixes).
- mISDN: fix misuse of put_device() in mISDN_register_device()
  (git-fixes).
- mISDN: fix possible memory leak in mISDN_dsp_element_register()
  (git-fixes).
- commit f0f96f8
* Fri Nov 18 2022 tiwai@suse.de
- soundwire: intel: Initialize clock stop timeout (bsc#1205507).
- commit ed7ad85
* Fri Nov 18 2022 hare@suse.de
- block: don't try to poll multi-bio I/Os in __blkdev_direct_IO
  (jsc#PED-1183).
- commit efe04ea
* Fri Nov 18 2022 hare@suse.de
- direct-io: remove blk_poll support (jsc#PED-1183).
- block: only check previous entry for plug merge attempt
  (jsc#PED-1183).
- commit 32e95a1
* Fri Nov 18 2022 hare@suse.de
- Update config files.
- commit fdefbf0
* Fri Nov 18 2022 hare@suse.de
- block: move CONFIG_BLOCK guard to top Makefile (jsc#PED-1183).
- Refresh
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch.
- commit f3b8112
* Fri Nov 18 2022 hare@suse.de
- block: move menu "Partition type" to block/partitions/Kconfig
  (jsc#PED-1183).
- commit e5fda54
* Fri Nov 18 2022 hare@suse.de
- block: simplify Kconfig files (jsc#PED-1183).
- block: remove redundant =y from BLK_CGROUP dependency
  (jsc#PED-1183).
- commit 8f04e62
* Fri Nov 18 2022 krisman@suse.de
- io_uring: IRQ rw completion batching (bsc#1205205).
- io_uring: batch task work locking (bsc#1205205).
- io_uring: flush completions for fallbacks (bsc#1205205).
- commit e122d49
* Fri Nov 18 2022 krisman@suse.de
- io_uring: add clarifying comment for io_cqring_ev_posted()
  (bsc#1205205).
- io_uring: fix lack of protection for compl_nr (bsc#1205205).
- io_uring: Add register support for non-4k PAGE_SIZE
  (bsc#1205205).
- io_uring: extend task put optimisations (bsc#1205205).
- io_uring: add comments on why PF_EXITING checking is safe
  (bsc#1205205).
- io_uring: fix io_timeout_remove locking (bsc#1205205).
- io_uring: improve same wq polling (bsc#1205205).
- io_uring: reuse io_req_complete_post() (bsc#1205205).
- io_uring: better encapsulate buffer select for rw (bsc#1205205).
- commit 4eedcb8
* Thu Nov 17 2022 krisman@suse.de
- io_uring: fix io_timeout_remove locking (git-fixes).
- io_uring: correct __must_hold annotation (git-fixes).
- commit afa1999
* Thu Nov 17 2022 lduncan@suse.com
- scsi: mpi3mr: Delete a stray tab (jsc#PED-1446).
- scsi: mpi3mr: Unlock on error path (jsc#PED-1446).
- scsi: mpi3mr: Reduce VD queue depth on detecting throttling
  (jsc#PED-1446).
- scsi: mpi3mr: Resource Based Metering (jsc#PED-1446).
- scsi: mpi3mr: Increase cmd_per_lun to 128 (jsc#PED-1446).
- scsi: mpi3mr: Enable shared host tagset (jsc#PED-1446).
- scsi: mpi3mr: Fix kernel-doc (jsc#PED-1446).
- scsi: mpi3mr: Rework mrioc->bsg_device model to fix warnings
  (jsc#PED-1446).
- scsi: mpi3mr: Add target device related sysfs attributes
  (jsc#PED-1446).
- scsi: mpi3mr: Add shost related sysfs attributes (jsc#PED-1446).
- scsi: mpi3mr: Return error if dma_alloc_coherent() fails
  (jsc#PED-1446).
- scsi: mpi3mr: Fix a NULL vs IS_ERR() bug in mpi3mr_bsg_init()
  (jsc#PED-1446).
- scsi: mpi3mr: Return I/Os to an unrecoverable HBA with DID_ERROR
  (jsc#PED-1446).
- scsi: mpi3mr: Hidden drives not removed during soft reset
  (jsc#PED-1446).
- scsi: mpi3mr: Increase I/O timeout value to 60s (jsc#PED-1446).
- scsi: mpi3mr: Update driver version to 8.0.0.69.0
  (jsc#PED-1446).
- scsi: mpi3mr: Add support for NVMe passthrough (jsc#PED-1446).
- scsi: mpi3mr: Expose adapter state to sysfs (jsc#PED-1446).
- scsi: mpi3mr: Add support for PEL commands (jsc#PED-1446).
- scsi: mpi3mr: Add support for MPT commands (jsc#PED-1446).
- scsi: mpi3mr: Move data structures/definitions from MPI headers
  to uapi header (jsc#PED-1446).
- scsi: mpi3mr: Add support for driver commands (jsc#PED-1446).
- scsi: mpi3mr: Add bsg device support (jsc#PED-1446).
- scsi: mpi3mr: Fix flushing !WQ_MEM_RECLAIM events warning
  (jsc#PED-1446).
- scsi: mpi3mr: Bump driver version to 8.0.0.68.0 (jsc#PED-1446).
- scsi: mpi3mr: Fix memory leaks (jsc#PED-1446).
- scsi: mpi3mr: Update the copyright year (jsc#PED-1446).
- scsi: mpi3mr: Fix reporting of actual data transfer size
  (jsc#PED-1446).
- scsi: mpi3mr: Fix cmnd getting marked as in use forever
  (jsc#PED-1446).
- scsi: mpi3mr: Fix hibernation issue (jsc#PED-1446).
- scsi: mpi3mr: Update MPI3 headers (jsc#PED-1446).
- scsi: mpi3mr: Fix printing of pending I/O count (jsc#PED-1446).
- scsi: mpi3mr: Fix deadlock while canceling the fw event
  (jsc#PED-1446).
- commit 38ffa24
* Thu Nov 17 2022 lduncan@suse.com
- treewide: Replace zero-length arrays with flexible-array members
  (jsc#PED-1446).
- Refresh patches.suse/scsi-qla2xxx-edif-bsg-refactor.patch.
- commit b341c8c
* Thu Nov 17 2022 denis.kirjanov@suse.com
- Update metadata references
- commit 48537d5
* Thu Nov 17 2022 jgross@suse.com
- KVM: SVM: move guest vmsave/vmload back to assembly (git-fixes).
- commit 64aefe3
* Thu Nov 17 2022 jgross@suse.com
- KVM: SVM: retrieve VMCB from assembly (git-fixes).
- commit fdd0aa2
* Thu Nov 17 2022 colyli@suse.de
- blk-mq: Properly init requests from blk_mq_alloc_request_hctx()
  (git-fixes).
- rbd: fix possible memory leak in rbd_sysfs_init() (git-fixes).
- blk-wbt: call rq_qos_add() after wb_normal is initialized
  (git-fixes).
- block: blk_queue_enter() / __bio_queue_enter() must return
  - EAGAIN for nowait (git-fixes).
- blk-mq: fix io hung due to missing commit_rqs (git-fixes).
- block/rnbd-srv: Set keep_id to true after mutex_trylock
  (git-fixes).
- blktrace: Trace remapped requests correctly (git-fixes).
- blk-mq: don't create hctx debugfs dir until q->debugfs_dir is
  created (git-fixes).
- block: add bio_start_io_acct_time() to control start_time
  (git-fixes).
- blk-cgroup: fix missing put device in error path from
  blkg_conf_pref() (git-fixes).
- commit 58eed28
* Thu Nov 17 2022 colyli@suse.de
- nbd: Fix incorrect error handle when first_minor is illegal
  in nbd_dev_add (git-fixes).
- Refresh for the above change,
  patches.suse/0002-nbd-fix-possible-overflow-on-first_minor-in-nbd_dev_.patch.
- commit 8281951
* Thu Nov 17 2022 jgross@suse.com
- KVM: SVM: adjust register allocation for __svm_vcpu_run()
  (git-fixes).
- commit 7b25718
* Thu Nov 17 2022 jgross@suse.com
- KVM: SVM: replace regs argument of __svm_vcpu_run() with
  vcpu_svm (git-fixes).
- commit 7867341
* Thu Nov 17 2022 jgross@suse.com
- KVM: x86: use a separate asm-offsets.c file (git-fixes).
- commit 0602ab1
* Thu Nov 17 2022 jgross@suse.com
- KVM: x86: Hide IA32_PLATFORM_DCA_CAP[31:0] from the guest
  (git-fixes).
- commit 499c3ca
* Thu Nov 17 2022 tiwai@suse.de
- drm/amdkfd: Migrate in CPU page fault use current mm
  (git-fixes).
- commit f476661
* Thu Nov 17 2022 tiwai@suse.de
- pinctrl: devicetree: fix null pointer dereferencing in
  pinctrl_dt_to_map (git-fixes).
- pinctrl: rockchip: list all pins in a possible mux route for
  PX30 (git-fixes).
- platform/surface: aggregator: Do not check for repeated
  unsequenced packets (git-fixes).
- platform/x86/intel: pmc: Don't unconditionally attach Intel
  PMC when virtualized (git-fixes).
- arm64: efi: Fix handling of misaligned runtime regions and
  drop warning (git-fixes).
- ata: libata-scsi: fix SYNCHRONIZE CACHE (16) command failure
  (git-fixes).
- nilfs2: fix use-after-free bug of ns_writer on remount
  (git-fixes).
- mmc: sdhci_am654: Fix SDHCI_RESET_ALL for CQHCI (git-fixes).
- mmc: sdhci-tegra: Fix SDHCI_RESET_ALL for CQHCI (git-fixes).
- mms: sdhci-esdhc-imx: Fix SDHCI_RESET_ALL for CQHCI (git-fixes).
- mmc: sdhci-of-arasan: Fix SDHCI_RESET_ALL for CQHCI (git-fixes).
- mmc: cqhci: Provide helper for resetting both SDHCI and CQHCI
  (git-fixes).
- ALSA: hda: fix potential memleak in 'add_widget_node'
  (git-fixes).
- ALSA: hda/realtek: Add Positivo C6300 model quirk (git-fixes).
- ALSA: usb-audio: Add DSD support for Accuphase DAC-60
  (git-fixes).
- ALSA: usb-audio: Add quirk entry for M-Audio Micro (git-fixes).
- ALSA: hda/hdmi - enable runtime pm for more AMD display audio
  (git-fixes).
- ALSA: hda/ca0132: add quirk for EVGA Z390 DARK (git-fixes).
- drm/amdgpu: disable BACO on special BEIGE_GOBY card (git-fixes).
- wifi: ath11k: avoid deadlock during regulatory update in
  ath11k_regd_update() (git-fixes).
- platform/x86: hp_wmi: Fix rfkill causing soft blocked wifi
  (git-fixes).
- drm/amdkfd: Fix NULL pointer dereference in svm_migrate_to_ram()
  (git-fixes).
- thunderbolt: Add DP OUT resource when DP tunnel is discovered
  (git-fixes).
- drm/amdkfd: handle CPU fault on COW mapping (git-fixes).
- drm/amdkfd: avoid recursive lock in migrations back to RAM
  (git-fixes).
- commit 438c140
* Thu Nov 17 2022 jgross@suse.com
- KVM: x86: Treat #DBs from the emulator as fault-like (code
  and DR7.GD=1) (git-fixes).
- commit 89491ed
* Thu Nov 17 2022 shung-hsi.yu@suse.com
- libbpf: Add per-program log buffer setter and getter
  (jsc#PED-1368).
- libbpf: Preserve kernel error code and remove kprobe prog type
  guessing (jsc#PED-1368).
- libbpf: Improve logging around BPF program loading
  (jsc#PED-1368).
- libbpf: Allow passing user log setting through
  bpf_object_open_opts (jsc#PED-1368).
- libbpf: Allow passing preallocated log_buf when loading BTF
  into kernel (jsc#PED-1368).
- libbpf: Add OPTS-based bpf_btf_load() API (jsc#PED-1368).
- libbpf: Fix bpf_prog_load() log_buf logic for log_level 0
  (jsc#PED-1368).
- samples/bpf: Remove unneeded variable (jsc#PED-1368).
- bpf: Remove redundant assignment to pointer t (jsc#PED-1368).
- selftests/bpf: Fix a compilation warning (jsc#PED-1368).
- samples: bpf: Fix 'unknown warning group' build warning on Clang
  (jsc#PED-1368).
- samples: bpf: Fix xdp_sample_user.o linking with Clang
  (jsc#PED-1368).
- bpf: Silence purge_cand_cache build warning (jsc#PED-1368).
- libbpf: Add doc comments in libbpf.h (jsc#PED-1368).
- libbpf: Fix trivial typo (jsc#PED-1368).
- bpftool: Add debug mode for gen_loader (jsc#PED-1368).
- bpf: Fix the test_task_vma selftest to support output shorter
  than 1 kB (jsc#PED-1368).
- libbpf: Reduce bpf_core_apply_relo_insn() stack usage
  (jsc#PED-1368).
- libbpf: Deprecate bpf_prog_load_xattr() API (jsc#PED-1368).
- samples/bpf: Get rid of deprecated libbpf API uses
  (jsc#PED-1368).
- samples/bpf: Clean up samples/bpf build failes (jsc#PED-1368).
- selftests/bpf: Remove all the uses of deprecated
  bpf_prog_load_xattr() (jsc#PED-1368).
- selftests/bpf: Mute xdpxceiver.c's deprecation warnings
  (jsc#PED-1368).
- selftests/bpf: Remove recently reintroduced legacy btf__dedup()
  use (jsc#PED-1368).
- bpftool: Migrate off of deprecated bpf_create_map_xattr() API
  (jsc#PED-1368).
- libbpf: Add API to get/set log_level at per-program level
  (jsc#PED-1368).
- libbpf: Use __u32 fields in bpf_map_create_opts (jsc#PED-1368).
- selftests/bpf: Update test names for xchg and cmpxchg
  (jsc#PED-1368).
- selftests/bpf: Build testing_helpers.o out of tree
  (jsc#PED-1368).
- selftests/bpf: Add CO-RE relocations to verifier scale test
  (jsc#PED-1368).
- selftests/bpf: Revert CO-RE removal in test_ksyms_weak
  (jsc#PED-1368).
- selftests/bpf: Additional test for CO-RE in the kernel
  (jsc#PED-1368).
- selftests/bpf: Convert map_ptr_kern test to use light skeleton
  (jsc#PED-1368).
- selftests/bpf: Improve inner_map test coverage (jsc#PED-1368).
- selftests/bpf: Add lskel version of kfunc test (jsc#PED-1368).
- libbpf: Clean gen_loader's attach kind (jsc#PED-1368).
- libbpf: Support init of inner maps in light skeleton
  (jsc#PED-1368).
- libbpf: Use CO-RE in the kernel in light skeleton
  (jsc#PED-1368).
- bpf: Add bpf_core_add_cands() and wire it into
  bpf_core_apply_relo_insn() (jsc#PED-1368).
- libbpf: Cleanup struct bpf_core_cand (jsc#PED-1368).
- commit 8a4479c
* Thu Nov 17 2022 jgross@suse.com
- KVM: x86: Report error when setting CPUID if Hyper-V allocation
  fails (git-fixes).
- commit 335e5aa
* Thu Nov 17 2022 colyli@suse.de
- virtio-blk: Use blk_validate_block_size() to validate block size
  (git-fixes).
- block: drop unused includes in <linux/genhd.h> (git-fixes).
- commit a549255
* Thu Nov 17 2022 colyli@suse.de
- blacklist.conf: add commits suggested by git-fixes which won't be backported
- commit d1fe12d
* Thu Nov 17 2022 jgross@suse.com
- KVM: SVM: Disable SEV-ES support if MMIO caching is disable
  (git-fixes).
- commit d6a15a7
* Thu Nov 17 2022 jgross@suse.com
- KVM: x86/mmu: fix memoryleak in kvm_mmu_vendor_module_init()
  (git-fixes).
- commit ce66979
* Thu Nov 17 2022 jgross@suse.com
- KVM: nVMX: Attempt to load PERF_GLOBAL_CTRL on nVMX xfer iff
  it exists (git-fixes).
- commit 3387324
* Thu Nov 17 2022 jgross@suse.com
- KVM: VMX: Add helper to check if the guest PMU has
  PERF_GLOBAL_CTRL (git-fixes).
- commit 1b36b28
* Thu Nov 17 2022 shung-hsi.yu@suse.com
- blacklist.conf: don't deprecate bpf_program__get_prog_info_linear
- commit 0b5cdb8
* Thu Nov 17 2022 colyli@suse.de
- nvdimm/blk: Fix title level (jsc#PED-1689, jsc#PED-1690).
- commit 5555a12
* Thu Nov 17 2022 lduncan@suse.com
- scsi: mpi3mr: Fix formatting problems in some kernel-doc
  comments (jsc#PED-1446).
- scsi: mpi3mr: Fix some spelling mistakes (jsc#PED-1446).
- scsi: mpi3mr: Bump driver version to 8.0.0.61.0 (jsc#PED-1446).
- scsi: mpi3mr: Fixes around reply request queues (jsc#PED-1446).
- scsi: mpi3mr: Enhanced Task Management Support Reply handling
  (jsc#PED-1446).
- scsi: mpi3mr: Use TM response codes from MPI3 headers
  (jsc#PED-1446).
- commit b2509ba
* Thu Nov 17 2022 lduncan@suse.com
- scsi: mpi3mr: Add io_uring interface support in I/O-polled mode
  (jsc#PED-1446).
- Refresh
  patches.suse/scsi-mpi3mr-Schedule-IRQ-kthreads-only-on-non-RT-kernels.patch.
- commit b6105c2
* Thu Nov 17 2022 lduncan@suse.com
- scsi: mpi3mr: Print cable mngnt and temp threshold events
  (jsc#PED-1446).
- scsi: mpi3mr: Support Prepare for Reset event (jsc#PED-1446).
- commit 589f645
* Thu Nov 17 2022 lduncan@suse.com
- scsi: mpi3mr: Add Event acknowledgment logic (jsc#PED-1446).
- scsi: mpi3mr: Gracefully handle online FW update operation
  (jsc#PED-1446).
- scsi: mpi3mr: Detect async reset that occurred in firmware
  (jsc#PED-1446).
- scsi: mpi3mr: Add IOC reinit function (jsc#PED-1446).
- scsi: mpi3mr: Handle offline FW activation in graceful manner
  (jsc#PED-1446).
- scsi: mpi3mr: Code refactor of IOC init - part2 (jsc#PED-1446).
- scsi: mpi3mr: Code refactor of IOC init - part1 (jsc#PED-1446).
- scsi: mpi3mr: Fault IOC when internal command gets timeout
  (jsc#PED-1446).
- scsi: mpi3mr: Display IOC firmware package version
  (jsc#PED-1446).
- scsi: mpi3mr: Handle unaligned PLL in unmap cmnds
  (jsc#PED-1446).
- scsi: mpi3mr: Increase internal cmnds timeout to 60s
  (jsc#PED-1446).
- scsi: mpi3mr: Do access status validation before adding devices
  (jsc#PED-1446).
- scsi: mpi3mr: Add support for PCIe Managed Switch SES device
  (jsc#PED-1446).
- scsi: mpi3mr: Update MPI3 headers - part2 (jsc#PED-1446).
- scsi: mpi3mr: Update MPI3 headers - part1 (jsc#PED-1446).
- scsi: mpi3mr: Don't reset IOC if cmnds flush with reset status
  (jsc#PED-1446).
- scsi: mpi3mr: Replace spin_lock() with spin_lock_irqsave()
  (jsc#PED-1446).
- scsi: mpi3mr: Add debug APIs based on logging_level bits
  (jsc#PED-1446).
- scsi: mpi3mr: Use scnprintf() instead of snprintf()
  (jsc#PED-1446).
- scsi: mpi3mr: Clean up mpi3mr_print_ioc_info() (jsc#PED-1446).
- commit 528c787
* Wed Nov 16 2022 jgross@suse.com
- KVM: VMX: Mark all PERF_GLOBAL_(OVF)_CTRL bits reserved if
  there's no vPMU (git-fixes).
- commit 3ada3ae
* Wed Nov 16 2022 mkubecek@suse.cz
- tcp: Fix data races around icsk->icsk_af_ops (CVE-2022-3566
  bsc#1204405).
- commit f7cc985
* Wed Nov 16 2022 mkubecek@suse.cz
- ipv6: Fix data races around sk->sk_prot (CVE-2022-3567
  bsc#1204414).
- ipv6: annotate some data-races around sk->sk_prot (CVE-2022-3567
  bsc#1204414).
- commit 654a4f7
* Wed Nov 16 2022 jgross@suse.com
- KVM: nVMX: Rename handle_vm{on,off}() to handle_vmx{on,off}()
  (git-fixes).
- commit 7218ba7
* Wed Nov 16 2022 jgross@suse.com
- KVM: nVMX: Always enable TSC scaling for L2 when it was enabled
  for L1 (git-fixes).
- commit b0f3ab9
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86: Fully initialize 'struct kvm_lapic_irq' in
  kvm_pv_kick_cpu_op() (git-fixes).
- commit 81fd9e6
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86: Signal #GP, not -EPERM, on bad WRMSR(MCi_CTL/STATUS)
  (git-fixes).
- commit 1a1eab3
* Wed Nov 16 2022 jgross@suse.com
- KVM: SVM: Stuff next_rip on emulated INT3 injection if NRIPS
  is supported (git-fixes).
- commit e7e1382
* Wed Nov 16 2022 jgross@suse.com
- KVM: SEV: Mark nested locking of vcpu->lock (git-fixes).
- commit 5f6bf6f
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86/svm: Account for family 17h event renumberings in
  amd_pmc_perf_hw_id (git-fixes).
- commit e3ae104
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86: avoid loading a vCPU after .vm_destroy was called
  (git-fixes).
- commit 29af845
* Wed Nov 16 2022 jgross@suse.com
- KVM: Move wiping of the kvm->vcpus array to common code
  (git-fixes).
- commit 9720dc5
* Wed Nov 16 2022 ptesarik@suse.cz
- s390/pci: add missing EX_TABLE entries to
  __pcistg_mio_inuser()/__pcilg_mio_inuser() (bsc#1205427
  LTC#200502).
- s390/futex: add missing EX_TABLE entry to __futex_atomic_op()
  (bsc#1205427 LTC#200502).
- s390/uaccess: add missing EX_TABLE entries to __clear_user(),
  copy_in_user_mvcos(), copy_in_user_mvc(), clear_user_xc()
  and __strnlen_user() (bsc#1205428 LTC#200501).
- commit ad7cfae
* Wed Nov 16 2022 tiwai@suse.de
- nilfs2: fix deadlock in nilfs_count_free_blocks() (git-fixes).
- dmaengine: at_hdmac: Check return code of
  dma_async_device_register (git-fixes).
- dmaengine: at_hdmac: Fix impossible condition (git-fixes).
- dmaengine: at_hdmac: Don't allow CPU to reorder channel enable
  (git-fixes).
- dmaengine: at_hdmac: Fix completion of unissued descriptor in
  case of errors (git-fixes).
- dmaengine: at_hdmac: Fix descriptor handling when issuing it
  to hardware (git-fixes).
- spi: stm32: Print summary 'callbacks suppressed' message
  (git-fixes).
- mmc: sdhci-esdhc-imx: use the correct host caps for
  MMC_CAP_8_BIT_DATA (git-fixes).
- drm/i915/dmabuf: fix sg_table handling in map_dma_buf
  (git-fixes).
- drm/vc4: Fix missing platform_unregister_drivers() call in
  vc4_drm_register() (git-fixes).
- nilfs2: replace WARN_ONs by nilfs_error for checkpoint
  acquisition failure (git-fixes).
- commit f7fc242
* Wed Nov 16 2022 tiwai@suse.de
- dmaengine: at_hdmac: Fix concurrency over the active list
  (git-fixes).
- dmaengine: at_hdmac: Free the memset buf without holding the
  chan lock (git-fixes).
- dmaengine: at_hdmac: Fix concurrency over descriptor
  (git-fixes).
- dmaengine: at_hdmac: Fix concurrency problems by removing
  atc_complete_all() (git-fixes).
- dmaengine: at_hdmac: Protect atchan->status with the channel
  lock (git-fixes).
- dmaengine: at_hdmac: Do not call the complete callback on
  device_terminate_all (git-fixes).
- dmaengine: at_hdmac: Fix premature completion of desc in
  issue_pending (git-fixes).
- dmaengine: at_hdmac: Start transfer for cyclic channels in
  issue_pending (git-fixes).
- dmaengine: at_hdmac: Don't start transactions at tx_submit level
  (git-fixes).
- dmaengine: at_hdmac: Fix at_lli struct definition (git-fixes).
- commit 718fc6d
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86/pmu: Update AMD PMC sample period to fix guest
  NMI-watchdog (git-fixes).
- commit d582f6e
* Wed Nov 16 2022 tiwai@suse.de
- ata: libata-transport: fix error handling in ata_tdev_add()
  (git-fixes).
- ata: libata-transport: fix error handling in ata_tlink_add()
  (git-fixes).
- ata: libata-transport: fix error handling in ata_tport_add()
  (git-fixes).
- ata: libata-transport: fix double ata_host_put() in
  ata_tport_add() (git-fixes).
- dmaengine: ti: k3-udma-glue: fix memory leak when register
  device fail (git-fixes).
- dmaengine: mv_xor_v2: Fix a resource leak in mv_xor_v2_remove()
  (git-fixes).
- dmaengine: pxa_dma: use platform_get_irq_optional (git-fixes).
- commit 3e58402
* Wed Nov 16 2022 jslaby@suse.cz
- x86/cpu: Restore AMD's DE_CFG MSR after resume (bsc#1205473).
- commit d022167
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86: Use __try_cmpxchg_user() to emulate atomic accesses
  (git-fixes).
- commit af8969b
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86: Use __try_cmpxchg_user() to update guest PTE A/D bits
  (git-fixes).
- commit 4c10c2f
* Wed Nov 16 2022 shung-hsi.yu@suse.com
- bpf: Pass a set of bpf_core_relo-s to prog_load command
  (jsc#PED-1368).
- Refresh patches.suse/x86-speculation-include-unprivileged-ebpf-status-in-spectre-v2-mitigation-reporting.patch
- bpf: Define enum bpf_core_relo_kind as uapi (jsc#PED-1368).
- bpf: Prepare relo_core.c for kernel duty (jsc#PED-1368).
- bpf: Rename btf_member accessors (jsc#PED-1368).
- libbpf: Replace btf__type_by_id() with btf_type_by_id()
  (jsc#PED-1368).
- samples: bpf: Fix conflicting types in fds_example
  (jsc#PED-1368).
- bpf: Clean-up bpf_verifier_vlog() for BPF_LOG_KERNEL log level
  (jsc#PED-1368).
- libbpf: Avoid reload of imm for weak, unresolved, repeating ksym
  (jsc#PED-1368).
- libbpf: Avoid double stores for success/failure case of ksym
  relocations (jsc#PED-1368).
- bpf: Change bpf_kallsyms_lookup_name size type to
  ARG_CONST_SIZE_OR_ZERO (jsc#PED-1368).
- selftest/bpf/benchs: Add bpf_loop benchmark (jsc#PED-1368).
- selftests/bpf: Measure bpf_loop verifier performance
  (jsc#PED-1368).
- selftests/bpf: Add bpf_loop test (jsc#PED-1368).
- bpf: Add bpf_loop helper (jsc#PED-1368).
- bpf, docs: Split general purpose eBPF documentation out of
  filter.rst (jsc#PED-1368).
- bpf, docs: Move handling of maps to Documentation/bpf/maps.rst
  (jsc#PED-1368).
- bpf, docs: Prune all references to "internal BPF"
  (jsc#PED-1368).
- bpf: Remove a redundant comment on bpf_prog_free (jsc#PED-1368).
- x86, bpf: Cleanup the top of file header in bpf_jit_comp.c
  (jsc#PED-1368).
- libbpf: Remove duplicate assignments (jsc#PED-1368).
- libbpf: Silence uninitialized warning/error in
  btf_dump_dump_type_data (jsc#PED-1368).
- selftests/bpf: Test BPF_MAP_TYPE_PROG_ARRAY static
  initialization (jsc#PED-1368).
- libbpf: Support static initialization of BPF_MAP_TYPE_PROG_ARRAY
  (jsc#PED-1368).
- bpf, mips: Fix build errors about __NR_bpf undeclared
  (jsc#PED-1368).
- selftests/bpf: Fix misaligned accesses in xdp and xdp_bpf2bpf
  tests (jsc#PED-1368).
- selftests/bpf: Fix misaligned memory accesses in xdp_bonding
  test (jsc#PED-1368).
- selftests/bpf: Prevent out-of-bounds stack access in test_bpffs
  (jsc#PED-1368).
- selftests/bpf: Fix misaligned memory access in queue_stack_map
  test (jsc#PED-1368).
- selftests/bpf: Prevent misaligned memory access in
  get_stack_raw_tp test (jsc#PED-1368).
- selftests/bpf: Fix possible NULL passed to memcpy() with zero
  size (jsc#PED-1368).
- selftests/bpf: Fix UBSan complaint about signed __int128
  overflow (jsc#PED-1368).
- libbpf: Fix using invalidated memory in bpf_linker
  (jsc#PED-1368).
- libbpf: Fix glob_syms memory leak in bpf_linker (jsc#PED-1368).
- libbpf: Don't call libc APIs with NULL pointers (jsc#PED-1368).
- libbpf: Fix potential misaligned memory access in btf_ext__new()
  (jsc#PED-1368).
- tools/resolve_btf_ids: Close ELF file on error (jsc#PED-1368).
- selftests/bpf: Migrate selftests to bpf_map_create()
  (jsc#PED-1368).
- libbpf: Prevent deprecation warnings in xsk.c (jsc#PED-1368).
- libbpf: Use bpf_map_create() consistently internally
  (jsc#PED-1368).
- libbpf: Unify low-level map creation APIs w/ new
  bpf_map_create() (jsc#PED-1368).
- selftests/bpf: Mix legacy (maps) and modern (vars) BPF in one
  test (jsc#PED-1368).
- libbpf: Load global data maps lazily on legacy kernels
  (jsc#PED-1368).
- selftests/bpf: Fix trivial typo (jsc#PED-1368).
- libbpf: Change bpf_program__set_extra_flags to
  bpf_program__set_flags (jsc#PED-1368).
- selftests/bpf: Add btf_dedup case with duplicated structs
  within CU (jsc#PED-1368).
- libbpf: Accommodate DWARF/compiler bug with duplicated structs
  (jsc#PED-1368).
- libbpf: Add runtime APIs to query libbpf version (jsc#PED-1368).
- selfetests/bpf: Adapt vmtest.sh to s390 libbpf CI changes
  (jsc#PED-1368).
- selftests/bpf: Fix xdpxceiver failures for no hugepages
  (jsc#PED-1368).
- skbuff: Move conditional preprocessor directives out of struct
  sk_buff (jsc#PED-1368).
- selftests/bpf: Test RENAME_EXCHANGE and RENAME_NOREPLACE on
  bpffs (jsc#PED-1368).
- commit 30264f0
* Wed Nov 16 2022 jgross@suse.com
- x86/futex: Remove .fixup usage (git-fixes).
- commit 687839d
* Wed Nov 16 2022 tiwai@suse.de
- ALSA: hda/realtek: Fix the speaker output on Samsung Galaxy
  Book Pro 360 (bsc#1205100).
- ALSA: hda/realtek: fix speakers for Samsung Galaxy Book Pro
  (bsc#1205100).
- commit ca2ce49
* Wed Nov 16 2022 shung-hsi.yu@suse.com
- bpf, docs: Fix ordering of bpf documentation (jsc#PED-1368).
- libbpf: Rename libbpf documentation index file (jsc#PED-1368).
- commit fd082d1
* Wed Nov 16 2022 jgross@suse.com
- x86/extable: Extend extable functionality (git-fixes).
- commit 28f726d
* Wed Nov 16 2022 shung-hsi.yu@suse.com
- bpf, docs: Rename bpf_lsm.rst to prog_lsm.rst (jsc#PED-1368).
- bpf, docs: Change underline in btf to match style guide
  (jsc#PED-1368).
- selftests/bpf: Mark variable as static (jsc#PED-1368).
- selftests/bpf: Variable naming fix (jsc#PED-1368).
- selftests/bpf: Move summary line after the error logs
  (jsc#PED-1368).
- selftests/bpf: Add uprobe triggering overhead benchmarks
  (jsc#PED-1368).
- bpf: Change value of MAX_TAIL_CALL_CNT from 32 to 33
  (jsc#PED-1368).
- selftests/bpf: Configure dir paths via env in
  test_bpftool_synctypes.py (jsc#PED-1368).
- bpftool: Update doc (use susbtitutions) and
  test_bpftool_synctypes.py (jsc#PED-1368).
- bpftool: Add SPDX tags to RST documentation files
  (jsc#PED-1368).
- selftests/bpf: Add a dedup selftest with equivalent structure
  types (jsc#PED-1368).
- libbpf: Fix a couple of missed btf_type_tag handling in btf.c
  (jsc#PED-1368).
- bpftool: Add current libbpf_strict mode to version output
  (jsc#PED-1368).
- bpftool: Use libbpf_get_error() to check error (jsc#PED-1368).
- bpftool: Fix mixed indentation in documentation (jsc#PED-1368).
- bpftool: Update the lists of names for maps and prog-attach
  types (jsc#PED-1368).
- bpftool: Fix indent in option lists in the documentation
  (jsc#PED-1368).
- selftests/bpf: Fix a tautological-constant-out-of-range-compare
  compiler warning (jsc#PED-1368).
- selftests/bpf: Fix an unused-but-set-variable compiler warning
  (jsc#PED-1368).
- bpf: Introduce btf_tracing_ids (jsc#PED-1368).
- bpf: Extend BTF_ID_LIST_GLOBAL with parameter for number of IDs
  (jsc#PED-1368).
- bpftool: Enable libbpf's strict mode by default (jsc#PED-1368).
- docs/bpf: Update documentation for BTF_KIND_TYPE_TAG support
  (jsc#PED-1368).
- selftests/bpf: Clarify llvm dependency with btf_tag selftest
  (jsc#PED-1368).
- selftests/bpf: Add a C test for btf_type_tag (jsc#PED-1368).
- selftests/bpf: Rename progs/tag.c to progs/btf_decl_tag.c
  (jsc#PED-1368).
- selftests/bpf: Test BTF_KIND_DECL_TAG for deduplication
  (jsc#PED-1368).
- selftests/bpf: Add BTF_KIND_TYPE_TAG unit tests (jsc#PED-1368).
- selftests/bpf: Test libbpf API function btf__add_type_tag()
  (jsc#PED-1368).
- bpftool: Support BTF_KIND_TYPE_TAG (jsc#PED-1368).
- libbpf: Support BTF_KIND_TYPE_TAG (jsc#PED-1368).
- bpf: Support BTF_KIND_TYPE_TAG for btf_type_tag attributes
  (jsc#PED-1368).
- bpftool: Update btf_dump__new() and perf_buffer__new_raw()
  calls (jsc#PED-1368).
- tools/runqslower: Update perf_buffer__new() calls
  (jsc#PED-1368).
- selftests/bpf: Update btf_dump__new() uses to v1.0+ variant
  (jsc#PED-1368).
- selftests/bpf: Migrate all deprecated perf_buffer uses
  (jsc#PED-1368).
- libbpf: Make perf_buffer__new() use OPTS-based interface
  (jsc#PED-1368).
- libbpf: Ensure btf_dump__new() and btf_dump_opts are
  future-proof (jsc#PED-1368).
- libbpf: Turn btf_dedup_opts into OPTS-based struct
  (jsc#PED-1368).
- selftests/bpf: Minor cleanups and normalization of Makefile
  (jsc#PED-1368).
- bpftool: Normalize compile rules to specify output file last
  (jsc#PED-1368).
- selftests/bpf: Fix bpf_prog_test_load() logic to pass extra
  log level (jsc#PED-1368).
- libbpf: Add ability to get/set per-program load flags
  (jsc#PED-1368).
- selftests/bpf: Add tests for accessing ingress_ifindex in
  bpf_sk_lookup (jsc#PED-1368).
- bpf: Add ingress_ifindex to bpf_sk_lookup (jsc#PED-1368).
- bpftool: Fix SPDX tag for Makefiles and .gitignore
  (jsc#PED-1368).
- Refresh patches.suse/bpftool-Remove-inclusion-of-utilities.mak-from-Makef.patch
- libbpf: Compile using -std=gnu89 (jsc#PED-1368).
- selftests/bpf: Add exception handling selftests for tp_bpf
  program (jsc#PED-1368).
- selftests/bpf: Add tests for bpf_find_vma (jsc#PED-1368).
- bpf: Introduce helper bpf_find_vma (jsc#PED-1368).
- selftests/bpf: Fix bpf_object leak in skb_ctx selftest
  (jsc#PED-1368).
- selftests/bpf: Destroy XDP link correctly (jsc#PED-1368).
- selftests/bpf: Avoid duplicate btf__parse() call (jsc#PED-1368).
- selftests/bpf: Clean up btf and btf_dump in dump_datasec test
  (jsc#PED-1368).
- selftests/bpf: Free inner strings index in btf selftest
  (jsc#PED-1368).
- selftests/bpf: Free per-cpu values array in bpf_iter selftest
  (jsc#PED-1368).
- selftests/bpf: Fix memory leaks in btf_type_c_dump() helper
  (jsc#PED-1368).
- selftests/bpf: Pass sanitizer flags to linker through LDFLAGS
  (jsc#PED-1368).
- selftests/bpf: Use explicit bpf_test_load_program() helper calls
  (jsc#PED-1368).
- selftests/bpf: Use explicit bpf_prog_test_load() calls
  everywhere (jsc#PED-1368).
- selftests/bpf: Merge test_stub.c into testing_helpers.c
  (jsc#PED-1368).
- selftests/bpf: Convert legacy prog load APIs to bpf_prog_load()
  (jsc#PED-1368).
- selftests/bpf: Fix non-strict SEC() program sections
  (jsc#PED-1368).
- libbpf: Remove deprecation attribute from struct
  bpf_prog_prep_result (jsc#PED-1368).
- bpftool: Stop using deprecated bpf_load_program()
  (jsc#PED-1368).
- libbpf: Stop using to-be-deprecated APIs (jsc#PED-1368).
- libbpf: Remove internal use of deprecated bpf_prog_load()
  variants (jsc#PED-1368).
- libbpf: Unify low-level BPF_PROG_LOAD APIs into bpf_prog_load()
  (jsc#PED-1368).
- libbpf: Pass number of prog load attempts explicitly
  (jsc#PED-1368).
- libbpf: Rename DECLARE_LIBBPF_OPTS into LIBBPF_OPTS
  (jsc#PED-1368).
- libbpf: Fix non-C89 loop variable declaration in gen_loader.c
  (jsc#PED-1368).
- libbpf: Deprecate bpf_program__load() API (jsc#PED-1368).
- libbpf: Improve ELF relo sanitization (jsc#PED-1368).
- libbpf: Fix section counting logic (jsc#PED-1368).
- libbpf: Validate that .BTF and .BTF.ext sections contain data
  (jsc#PED-1368).
- libbpf: Improve sanity checking during BTF fix up
  (jsc#PED-1368).
- libbpf: Detect corrupted ELF symbols section (jsc#PED-1368).
- bpftool: Use bpf_obj_get_info_by_fd directly (jsc#PED-1368).
- bpftool: Migrate -1 err checks of libbpf fn calls
  (jsc#PED-1368).
- bpf: Document BPF licensing (jsc#PED-1368).
- commit d7e0919
* Wed Nov 16 2022 mhocko@suse.com
- x86/microcode/AMD: Apply the patch early on every logical thread
  (bsc#1205264).
- commit 6805cb3
* Wed Nov 16 2022 jgross@suse.com
- x86/uaccess: Implement macros for CMPXCHG on user addresses
  (git-fixes).
- commit 680ab7c
* Wed Nov 16 2022 jgross@suse.com
- Kconfig: Add option for asm goto w/ tied outputs to workaround
  clang-13 bug (git-fixes).
- Refresh config.
- commit 7888244
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86/pmu: Fix and isolate TSX-specific performance event
  logic (git-fixes).
- commit e13feb1
* Wed Nov 16 2022 jgross@suse.com
- kABI: Fix kABI after "KVM: x86/pmu: Use different raw event
  masks for AMD and Intel" (git-fixes).
- commit d086901
* Wed Nov 16 2022 jgross@suse.com
- KVM: x86/pmu: Use different raw event masks for AMD and Intel
  (git-fixes).
- commit fd5bd7c
* Tue Nov 15 2022 jgross@suse.com
- xen/gntdev: Accommodate VMA splitting (git-fixes).
- commit 0745691
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86/mmu: WARN if old _or_ new SPTE is REMOVED in non-atomic
  path (git-fixes).
- commit bc980a8
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86/mmu: Fix wrong/misleading comments in TDP MMU fast zap
  (git-fixes).
- commit d3e6160
* Tue Nov 15 2022 jgross@suse.com
- blacklist.conf: add fcb732d8f8cf ("KVM: x86/xen: Fix runstate
  updates to be atomic when preempting vCPU")
- commit d42ecb5
* Tue Nov 15 2022 jgross@suse.com
- blacklist.conf: add 55749769fe60 ("KVM: x86: Fix wall clock writes
  in Xen shared_info not to mark page dirty")
- commit 08e6ef4
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: Mask off reserved bits in CPUID.80000001H (git-fixes).
- commit a7fc31c
* Tue Nov 15 2022 colyli@suse.de
- nvdimm/region: Delete nd_blk_region infrastructure
  (jsc#PED-1689, jsc#PED-1690).
- ACPI: NFIT: Remove block aperture support (jsc#PED-1689,
  jsc#PED-1690).
- nvdimm/namespace: Delete nd_namespace_blk (jsc#PED-1689,
  jsc#PED-1690).
- nvdimm/namespace: Delete blk namespace consideration in shared
  paths (jsc#PED-1689, jsc#PED-1690).
- nvdimm/blk: Delete the block-aperture window driver
  (jsc#PED-1689, jsc#PED-1690).
- nvdimm/region: Fix default alignment for small regions
  (jsc#PED-1689, jsc#PED-1690).
- libnvdimm/labels: Add uuid helpers (jsc#PED-1689, jsc#PED-1690).
- libnvdimm/labels: Introduce label setter helpers (jsc#PED-1689,
  jsc#PED-1690).
- libnvdimm/labels: Add isetcookie validation helper
  (jsc#PED-1689, jsc#PED-1690).
- libnvdimm/labels: Introduce getters for namespace label fields
  (jsc#PED-1689, jsc#PED-1690).
- commit f3a7636
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: emulator: update the emulation mode after CR0 write
  (git-fixes).
- commit f0c4a2c
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: emulator: update the emulation mode after rsm
  (git-fixes).
- commit debb42a
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: emulator: introduce emulator_recalc_and_set_mode
  (git-fixes).
- commit a9da797
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- blacklist.conf: add xsk entry that was reverted
- commit 8c1c3d4
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: emulator: em_sysexit should update ctxt->mode
  (git-fixes).
- commit e252f98
* Tue Nov 15 2022 jgross@suse.com
- KVM: VMX: fully disable SGX if SECONDARY_EXEC_ENCLS_EXITING
  unavailable (git-fixes).
- commit f452678
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: Mask off reserved bits in CPUID.8000001AH (git-fixes).
- commit c7494f8
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: Mask off reserved bits in CPUID.80000008H (git-fixes).
- commit b042017
* Tue Nov 15 2022 jgross@suse.com
- KVM: x86: Mask off reserved bits in CPUID.80000006H (git-fixes).
- commit ce5ff67
* Tue Nov 15 2022 jgross@suse.com
- KVM: VMX: Drop bits 31:16 when shoving exception error code
  into VMCS (git-fixes).
- commit e0caade
* Tue Nov 15 2022 iivanov@suse.de
- Update patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch
  Patch (44b3834b2eed5 "arm64: errata: Remove AES hwcap for COMPAT tasks") added
  new workaround identifier. Remove one placeholder to keep kABI intact.
- commit e23b992
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- xsk: Initialise xskb free_list_node (jsc#PED-1368).
- selftests/bpf: Fix OOB write in test_verifier (jsc#PED-1368).
- bpf: Add selftests to cover packet access corner cases
  (jsc#PED-1368).
- bpf: Fix the off-by-two error in range markings (jsc#PED-1368).
- tools/resolve_btfids: Skip unresolved symbol warning for empty
  BTF sets (jsc#PED-1368).
- bpf: Fix bpf_check_mod_kfunc_call for built-in modules
  (jsc#PED-1368).
- bpf: Make CONFIG_DEBUG_INFO_BTF depend upon CONFIG_BPF_SYSCALL
  (jsc#PED-1368).
- bpf, sockmap: Re-evaluate proto ops when psock is removed from
  sockmap (jsc#PED-1368).
- bpf, sockmap: Attach map progs to psock early for feature probes
  (jsc#PED-1368).
- selftests/bpf: Add tests for restricted helpers (jsc#PED-1368).
- bpf: Forbid bpf_ktime_get_coarse_ns and bpf_timer_* in tracing
  progs (jsc#PED-1368).
- libbpf: Perform map fd cleanup for gen_loader in case of error
  (jsc#PED-1368).
- tools/runqslower: Fix cross-build (jsc#PED-1368).
- bpf: Fix inner map state pruning regression (jsc#PED-1368).
- bpf, sockmap: Use stricter sk state checks in sk_lookup_assign
  (jsc#PED-1368).
- bpf: selftest: Trigger a DCE on the whole subprog
  (jsc#PED-1368).
- riscv, bpf: Fix RV32 broken build, and silence RV64 warning
  (jsc#PED-1368).
- bpftool: Install libbpf headers for the bootstrap version,
  too (jsc#PED-1368).
- bpf: Do not reject when the stack read size is different from
  the tracked scalar size (jsc#PED-1368).
- selftests/bpf: Make netcnt selftests serial to avoid spurious
  failures (jsc#PED-1368).
- selftests/bpf: Convert test_bpffs to ASSERT macros
  (jsc#PED-1368).
- libfs: Support RENAME_EXCHANGE in simple_rename()
  (jsc#PED-1368).
- libfs: Move shmem_exchange to simple_rename_exchange
  (jsc#PED-1368).
- scripts: documentation-file-ref-check: fix bpf selftests path
  (jsc#PED-1368).
- libbpf: Deprecate AF_XDP support (jsc#PED-1368).
- selftests/bpf: Add a testcase for 64-bit bounds propagation
  issue (jsc#PED-1368).
- bpf: Add missing map_delete_elem method to bloom filter map
  (jsc#PED-1368).
- selftests/bpf: Add bloom map success test for userspace calls
  (jsc#PED-1368).
- bpf: Add alignment padding for "map_extra" + consolidate holes
  (jsc#PED-1368).
- Refresh patches.suse/kABI-padding-for-bpf.patch
- bpf: Bloom filter map naming fixups (jsc#PED-1368).
- selftests/bpf: Add test cases for struct_ops prog
  (jsc#PED-1368).
- bpf: Add dummy BPF STRUCT_OPS for test purpose (jsc#PED-1368).
- bpf: Factor out helpers for ctx access checking (jsc#PED-1368).
- bpf: Factor out a helper to prepare trampoline for struct_ops
  prog (jsc#PED-1368).
- riscv, libbpf: Add RISC-V (RV64) support to bpf_tracing.h
  (jsc#PED-1368).
- tools, build: Add RISC-V to HOSTARCH parsing (jsc#PED-1368).
- riscv, bpf: Increase the maximum number of iterations
  (jsc#PED-1368).
- selftests, bpf: Add one test for sockmap with strparser
  (jsc#PED-1368).
- selftests, bpf: Fix test_txmsg_ingress_parser error
  (jsc#PED-1368).
- selftests/bpf: Add weak/typeless ksym test for light skeleton
  (jsc#PED-1368).
- Refresh patches.suse/bpf-selftests-Test-PTR_TO_RDONLY_MEM.patch
- libbpf: Use O_CLOEXEC uniformly when opening fds (jsc#PED-1368).
- libbpf: Ensure that BPF syscall fds are never 0, 1, or 2
  (jsc#PED-1368).
- libbpf: Add weak ksym support to gen_loader (jsc#PED-1368).
- libbpf: Add typeless ksym support to gen_loader (jsc#PED-1368).
- bpf: Add bpf_kallsyms_lookup_name helper (jsc#PED-1368).
- bpf/benchs: Add benchmarks for comparing hashmap lookups w/
  vs. w/out bloom filter (jsc#PED-1368).
- bpf/benchs: Add benchmark tests for bloom filter throughput +
  false positive (jsc#PED-1368).
- selftests/bpf: Add bloom filter map test cases (jsc#PED-1368).
- libbpf: Add "map_extra" as a per-map-type extra flag
  (jsc#PED-1368).
- bpf: Add bloom filter map implementation (jsc#PED-1368).
- riscv, bpf: Add BPF exception tables (jsc#PED-1368).
- selftests/bpf: Adding a namespace reset for tc_redirect
  (jsc#PED-1368).
- selftests/bpf: Fix attach_probe in parallel mode (jsc#PED-1368).
- selfetests/bpf: Update vmtest.sh defaults (jsc#PED-1368).
- bpf: Use u64_stats_t in struct bpf_prog_stats (jsc#PED-1368).
- libbpf: Deprecate bpf_objects_list (jsc#PED-1368).
- selftests/bpf: Guess function end for test_get_branch_snapshot
  (jsc#PED-1368).
- selftests/bpf: Skip all serial_test_get_branch_snapshot in vm
  (jsc#PED-1368).
- selftests/seccomp: Use __BYTE_ORDER__ (jsc#PED-1368).
- samples: seccomp: Use __BYTE_ORDER__ (jsc#PED-1368).
- selftests/bpf: Use __BYTE_ORDER__ (jsc#PED-1368).
- libbpf: Use __BYTE_ORDER__ (jsc#PED-1368).
- libbpf: Deprecate ambiguously-named bpf_program__size() API
  (jsc#PED-1368).
- libbpf: Deprecate multi-instance bpf_program APIs
  (jsc#PED-1368).
- libbpf: Add ability to fetch bpf_program's underlying
  instructions (jsc#PED-1368).
- libbpf: Fix off-by-one bug in bpf_core_apply_relo()
  (jsc#PED-1368).
- bpftool: Switch to libbpf's hashmap for PIDs/names references
  (jsc#PED-1368).
- bpftool: Switch to libbpf's hashmap for programs/maps in BTF
  listing (jsc#PED-1368).
- bpftool: Switch to libbpf's hashmap for pinned paths of BPF
  objects (jsc#PED-1368).
- bpftool: Do not expose and init hash maps for pinned path in
  main.c (jsc#PED-1368).
- bpftool: Remove Makefile dep. on $(LIBBPF) for
  $(LIBBPF_INTERNAL_HDRS) (jsc#PED-1368).
- selftests/bpf: Split out bpf_verif_scale selftests into multiple
  tests (jsc#PED-1368).
- selftests/bpf: Mark tc_redirect selftest as serial
  (jsc#PED-1368).
- selftests/bpf: Support multiple tests per file (jsc#PED-1368).
- selftests/bpf: Normalize selftest entry points (jsc#PED-1368).
- docs/bpf: Update documentation for BTF_KIND_DECL_TAG typedef
  support (jsc#PED-1368).
- selftests/bpf: Add BTF_KIND_DECL_TAG typedef example in tag.c
  (jsc#PED-1368).
- selftests/bpf: Test deduplication for BTF_KIND_DECL_TAG typedef
  (jsc#PED-1368).
- selftests/bpf: Add BTF_KIND_DECL_TAG typedef unit tests
  (jsc#PED-1368).
- bpf: Add BTF_KIND_DECL_TAG typedef support (jsc#PED-1368).
- selftests/bpf: Fix flow dissector tests (jsc#PED-1368).
- libbpf: Use func name when pinning programs with
  LIBBPF_STRICT_SEC_NAME (jsc#PED-1368).
- bpf, tests: Add more LD_IMM64 tests (jsc#PED-1368).
- libbpf: Add legacy uprobe attaching support (jsc#PED-1368).
- libbpf: Refactor and simplify legacy kprobe code (jsc#PED-1368).
- selftests/bpf: Adopt attach_probe selftest to work on old
  kernels (jsc#PED-1368).
- libbpf: Fix memory leak in legacy kprobe attach logic
  (jsc#PED-1368).
- commit f05c9f9
* Tue Nov 15 2022 iivanov@suse.de
- arm64: errata: Remove AES hwcap for COMPAT tasks (git-fixes)
  Enable CONFIG_ARM64_ERRATUM_1742098 in arm64/default
- commit fbe1536
* Tue Nov 15 2022 iivanov@suse.de
- arm64: Fix bit-shifting UB in the MIDR_CPU_MODEL() macro (git-fixes)
- commit c70ddd5
* Tue Nov 15 2022 iivanov@suse.de
- arm64: fix rodata=full again (git-fixes)
- commit 62260a8
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- selftests/bpf: Switch to new btf__type_cnt/btf__raw_data APIs
  (jsc#PED-1368).
- bpftool: Switch to new btf__type_cnt API (jsc#PED-1368).
- tools/resolve_btfids: Switch to new btf__type_cnt API
  (jsc#PED-1368).
- perf bpf: Switch to new btf__raw_data API (jsc#PED-1368).
- libbpf: Add btf__type_cnt() and btf__raw_data() APIs
  (jsc#PED-1368).
- selftests/bpf: Make perf_buffer selftests work on 4.9 kernel
  again (jsc#PED-1368).
- libbpf: Fix the use of aligned attribute (jsc#PED-1368).
- selftests/bpf: Switch to ".bss"/".rodata"/".data" lookups for
  internal maps (jsc#PED-1368).
- libbpf: Simplify look up by name of internal maps
  (jsc#PED-1368).
- selftests/bpf: Demonstrate use of custom .rodata/.data sections
  (jsc#PED-1368).
- libbpf: Support multiple .rodata.* and .data.* BPF maps
  (jsc#PED-1368).
- bpftool: Improve skeleton generation for data maps without
  DATASEC type (jsc#PED-1368).
- bpftool: Support multiple .rodata/.data internal maps in
  skeleton (jsc#PED-1368).
- libbpf: Remove assumptions about uniqueness of
  .rodata/.data/.bss maps (jsc#PED-1368).
- libbpf: Use Elf64-specific types explicitly for dealing with
  ELF (jsc#PED-1368).
- libbpf: Extract ELF processing state into separate struct
  (jsc#PED-1368).
- libbpf: Deprecate btf__finalize_data() and move it into libbpf.c
  (jsc#PED-1368).
- selftests/bpf: Use nanosleep tracepoint in perf buffer test
  (jsc#PED-1368).
- selftests/bpf: Fix possible/online index mismatch in perf_buffer
  test (jsc#PED-1368).
- selftests/bpf: Add verif_stats test (jsc#PED-1368).
- bpf: Add verified_insns to bpf_prog_info and fdinfo
  (jsc#PED-1368).
- libbpf: Fix ptr_is_aligned() usages (jsc#PED-1368).
- selftests/bpf: Test bpf_skc_to_unix_sock() helper
  (jsc#PED-1368).
- bpf: Add bpf_skc_to_unix_sock() helper (jsc#PED-1368).
- samples: bpf: Suppress readelf stderr when probing for BTF
  support (jsc#PED-1368).
- net: bpf: Switch over to memdup_user() (jsc#PED-1368).
- libbpf: Fix dumping non-aligned __int128 (jsc#PED-1368).
- libbpf: Fix dumping big-endian bitfields (jsc#PED-1368).
- selftests/bpf: Use cpu_number only on arches that have it
  (jsc#PED-1368).
- bpf/preload: Clean up .gitignore and "clean-files" target
  (jsc#PED-1368).
- bpf: Silence Coverity warning for find_kfunc_desc_btf
  (jsc#PED-1368).
- bpftool: Turn check on zlib from a phony target into a
  conditional error (jsc#PED-1368).
- bpftool: Do not FORCE-build libbpf (jsc#PED-1368).
- selftests/bpf: Switch sk_lookup selftests to strict
  SEC("sk_lookup") use (jsc#PED-1368).
- libbpf: Add opt-in strict BPF program section name handling
  logic (jsc#PED-1368).
- libbpf: Complete SEC() table unification for
  BPF_APROG_SEC/BPF_EAPROG_SEC (jsc#PED-1368).
- libbpf: Refactor ELF section handler definitions (jsc#PED-1368).
- libbpf: Reduce reliance of attach_fns on sec_def internals
  (jsc#PED-1368).
- libbpf: Refactor internal sec_def handling to enable
  pluggability (jsc#PED-1368).
- Refresh patches.suse/libbpf-Support-kernel-module-function-calls.patch
- selftests/bpf: Normalize all the rest SEC() uses (jsc#PED-1368).
- selftests/bpf: Switch SEC("classifier*") usage to a strict
  SEC("tc") (jsc#PED-1368).
- commit 6e3d638
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- bpftool: Fix install for libbpf's internal header(s)
  (jsc#PED-1368).
- libbpf: Remove Makefile warnings on out-of-sync
  netlink.h/if_link.h (jsc#PED-1368).
- bpf: Rename BTF_KIND_TAG to BTF_KIND_DECL_TAG (jsc#PED-1368).
- selfetest/bpf: Make some tests serial (jsc#PED-1368).
- selftests/bpf: Fix pid check in fexit_sleep test (jsc#PED-1368).
- selftests/bpf: Adding pid filtering for atomics test
  (jsc#PED-1368).
- selftests/bpf: Make cgroup_v1v2 use its own port (jsc#PED-1368).
- selftests/bpf: Fix race condition in enable_stats
  (jsc#PED-1368).
- selftests/bpf: Add per worker cgroup suffix (jsc#PED-1368).
- selftests/bpf: Allow some tests to be executed in sequence
  (jsc#PED-1368).
- selftests/bpf: Add parallelism to test_progs (jsc#PED-1368).
- bpf: Support writable context for bare tracepoint
  (jsc#PED-1368).
- bpftool: Add install-bin target to install binary only
  (jsc#PED-1368).
- selftests/bpf: Better clean up for runqslower in
  test_bpftool_build.sh (jsc#PED-1368).
- samples/bpf: Do not FORCE-recompile libbpf (jsc#PED-1368).
- samples/bpf: Install libbpf headers when building
  (jsc#PED-1368).
- samples/bpf: Update .gitignore (jsc#PED-1368).
- bpf: iterators: Install libbpf headers when building
  (jsc#PED-1368).
- bpf: preload: Install libbpf headers when building
  (jsc#PED-1368).
- tools/runqslower: Install libbpf headers when building
  (jsc#PED-1368).
- tools/resolve_btfids: Install libbpf headers when building
  (jsc#PED-1368).
- bpftool: Install libbpf headers instead of including the dir
  (jsc#PED-1368).
- Refresh patches.suse/bpftool-Remove-useless-include-to-perf-sys.h-from-ma.patch
- libbpf: Skip re-installing headers file if source is older
  than target (jsc#PED-1368).
- selftests/bpf: Remove SEC("version") from test progs
  (jsc#PED-1368).
- selftests/bpf: Skip the second half of get_branch_snapshot in vm
  (jsc#PED-1368).
- selftests/bpf: Switch to new bpf_object__next_{map,program}
  APIs (jsc#PED-1368).
- libbpf: Deprecate bpf_{map,program}__{prev,next} APIs since v0.7
  (jsc#PED-1368).
- libbpf: Add API documentation convention guidelines
  (jsc#PED-1368).
- bpf: Use $(pound) instead of \# in Makefiles (jsc#PED-1368).
- selftests/bpf: Test new btf__add_btf() API (jsc#PED-1368).
- selftests/bpf: Refactor btf_write selftest to reuse BTF
  generation logic (jsc#PED-1368).
- libbpf: Add API that copies all BTF types from one BTF object
  to another (jsc#PED-1368).
- bpf: Avoid retpoline for bpf_for_each_map_elem (jsc#PED-1368).
- bpf: selftests: Add selftests for module kfunc support
  (jsc#PED-1368).
- libbpf: Update gen_loader to emit BTF_KIND_FUNC relocations
  (jsc#PED-1368).
- libbpf: Resolve invalid weak kfunc calls with imm = 0, off =
  0 (jsc#PED-1368).
- libbpf: Support kernel module function calls (jsc#PED-1368).
- bpf: Enable TCP congestion control kfunc from modules
  (jsc#PED-1368).
- tools: Allow specifying base BTF file in resolve_btfids
  (jsc#PED-1368).
- bpf: btf: Introduce helpers for dynamic BTF set registration
  (jsc#PED-1368).
- bpf: Be conservative while processing invalid kfunc calls
  (jsc#PED-1368).
- bpf: Introduce BPF support for kernel module function calls
  (jsc#PED-1368).
- Refresh patches.suse/bpf-Stop-caching-subprog-index-in-the-bpf_pseudo_fun.patch
- Refresh patches.suse/bpf-Introduce-composable-reg-ret-and-arg-types.patch
- selftests/bpf: Use BTF-defined key/value for map definitions
  (jsc#PED-1368).
- libbpf: Support uniform BTF-defined key/value specification
  across all BPF maps (jsc#PED-1368).
- bpf/tests: Add test of LDX_MEM with operand aliasing
  (jsc#PED-1368).
- bpf/tests: Add test of ALU shifts with operand register aliasing
  (jsc#PED-1368).
- bpf/tests: Add exhaustive tests of BPF_ATOMIC register
  combinations (jsc#PED-1368).
- bpf/tests: Add exhaustive tests of ALU register combinations
  (jsc#PED-1368).
- bpf/tests: Minor restructuring of ALU tests (jsc#PED-1368).
- bpf/tests: Add more tests for ALU and ATOMIC register clobbering
  (jsc#PED-1368).
- bpf/tests: Add tests to check source register zero-extension
  (jsc#PED-1368).
- bpf/tests: Add exhaustive tests of BPF_ATOMIC magnitudes
  (jsc#PED-1368).
- bpf/tests: Add zero-extension checks in BPF_ATOMIC tests
  (jsc#PED-1368).
- bpf/tests: Add tests of BPF_LDX and BPF_STX with small sizes
  (jsc#PED-1368).
- selftests/bpf: Use kselftest skip code for skipped tests
  (jsc#PED-1368).
- libbpf: Properly ignore STT_SECTION symbols in legacy map
  definitions (jsc#PED-1368).
- bpf: Do not invoke the XDP dispatcher for PROG_RUN with single
  repeat (jsc#PED-1368).
- libbpf: Make gen_loader data aligned (jsc#PED-1368).
- bpf: selftests: Fix fd cleanup in get_branch_snapshot
  (jsc#PED-1368).
- xsk: Fix clang build error in __xp_alloc (jsc#PED-1368).
- selftests/bpf: Fix probe_user test failure with clang build
  kernel (jsc#PED-1368).
- bpf: Replace callers of BPF_CAST_CALL with proper function
  typedef (jsc#PED-1368).
- bpf: Replace "want address" users of BPF_CAST_CALL with
  BPF_CALL_IMM (jsc#PED-1368).
- selftests/bpf: Normalize XDP section names in selftests
  (jsc#PED-1368).
- Refresh patches.suse/selftests-bpf-xdp_redirect_multi-Limit-the-tests-in-.patch
- libbpf: Add "tc" SEC_DEF which is a better name for "classifier"
  (jsc#PED-1368).
- bpf/tests: Add tail call limit test with external function call
  (jsc#PED-1368).
- bpf/tests: Fix error in tail call limit tests (jsc#PED-1368).
- bpf/tests: Add more BPF_END byte order conversion tests
  (jsc#PED-1368).
- bpf/tests: Expand branch conversion JIT test (jsc#PED-1368).
- bpf/tests: Add JMP tests with degenerate conditional
  (jsc#PED-1368).
- bpf/tests: Add JMP tests with small offsets (jsc#PED-1368).
- bpf/tests: Add test case flag for verifier zero-extension
  (jsc#PED-1368).
- bpf/tests: Add exhaustive test of LD_IMM64 immediate magnitudes
  (jsc#PED-1368).
- bpf/tests: Add staggered JMP and JMP32 tests (jsc#PED-1368).
- bpf/tests: Add exhaustive tests of JMP operand magnitudes
  (jsc#PED-1368).
- bpf/tests: Add exhaustive tests of ALU operand magnitudes
  (jsc#PED-1368).
- bpf/tests: Add exhaustive tests of ALU shift values
  (jsc#PED-1368).
- bpf/tests: Reduce memory footprint of test suite (jsc#PED-1368).
- bpf/tests: Allow different number of runs per test case
  (jsc#PED-1368).
- libbpf: Ignore STT_SECTION symbols in 'maps' section
  (jsc#PED-1368).
- bpf: selftest: Add verifier tests for <8-byte scalar spill
  and refill (jsc#PED-1368).
- bpf: selftest: A bpf prog that has a 32bit scalar spill
  (jsc#PED-1368).
- bpf: Support <8-byte scalar spill and refill (jsc#PED-1368).
- bpf: Check the other end of slot_type for STACK_SPILL
  (jsc#PED-1368).
- Refresh patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
- bpf: Clarify data_len param in bpf_snprintf and bpf_seq_printf
  comments (jsc#PED-1368).
- selftests/bpf: Add trace_vprintk test prog (jsc#PED-1368).
- selftests/bpf: Migrate prog_tests/trace_printk CHECKs to ASSERTs
  (jsc#PED-1368).
- bpftool: Only probe trace_vprintk feature in 'full' mode
  (jsc#PED-1368).
- libbpf: Use static const fmt string in __bpf_printk
  (jsc#PED-1368).
- libbpf: Modify bpf_printk to choose helper based on arg count
  (jsc#PED-1368).
- bpf: Add bpf_trace_vprintk helper (jsc#PED-1368).
- selftests/bpf: Stop using bpf_program__load (jsc#PED-1368).
- bpf: Merge printk and seq_printf VARARG max macros
  (jsc#PED-1368).
- bpf, tests: Add tail call test suite (jsc#PED-1368).
- bpf, tests: Add tests for BPF_CMPXCHG (jsc#PED-1368).
- bpf, tests: Add tests for atomic operations (jsc#PED-1368).
- bpf, tests: Add test for 32-bit context pointer argument passing
  (jsc#PED-1368).
- bpf, tests: Add branch conversion JIT test (jsc#PED-1368).
- bpf, tests: Add word-order tests for load/store of double words
  (jsc#PED-1368).
- bpf, tests: Add tests for ALU operations implemented with
  function calls (jsc#PED-1368).
- bpf, tests: Add more ALU64 BPF_MUL tests (jsc#PED-1368).
- bpf, tests: Add more BPF_LSH/RSH/ARSH tests for ALU64
  (jsc#PED-1368).
- bpf, tests: Add more ALU32 tests for BPF_LSH/RSH/ARSH
  (jsc#PED-1368).
- bpf, tests: Add more tests of ALU32 and ALU64 bitwise operations
  (jsc#PED-1368).
- bpf, tests: Fix typos in test case descriptions (jsc#PED-1368).
- bpf, tests: Add BPF_MOV tests for zero and sign extension
  (jsc#PED-1368).
- bpf, tests: Add BPF_JMP32 test cases (jsc#PED-1368).
- commit da02160
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- selftests: xsk: Add frame_headroom test (jsc#PED-1368).
- selftests: xsk: Change interleaving of packets in unaligned mode
  (jsc#PED-1368).
- selftests: xsk: Add single packet test (jsc#PED-1368).
- selftests: xsk: Introduce pacing of traffic (jsc#PED-1368).
- selftests: xsk: Fix socket creation retry (jsc#PED-1368).
- selftests: xsk: Put the same buffer only once in the fill ring
  (jsc#PED-1368).
- selftests: xsk: Fix missing initialization (jsc#PED-1368).
- xsk: Get rid of unused entry in struct xdp_buff_xsk
  (jsc#PED-1368).
- selftests/bpf: Fix a few compiler warnings (jsc#PED-1368).
- libbpf: Constify all high-level program attach APIs
  (jsc#PED-1368).
- libbpf: Schedule open_opts.attach_prog_fd deprecation since v0.7
  (jsc#PED-1368).
- selftests/bpf: Switch fexit_bpf2bpf selftest to
  set_attach_target() API (jsc#PED-1368).
- libbpf: Allow skipping attach_func_name in
  bpf_program__set_attach_target() (jsc#PED-1368).
- libbpf: Deprecated bpf_object_open_opts.relaxed_core_relocs
  (jsc#PED-1368).
- selftests/bpf: Stop using relaxed_core_relocs which has no
  effect (jsc#PED-1368).
- libbpf: Use pre-setup sec_def in libbpf_find_attach_btf_id()
  (jsc#PED-1368).
- bpf: Update bpf_get_smp_processor_id() documentation
  (jsc#PED-1368).
- libbpf: Add sphinx code documentation comments (jsc#PED-1368).
- selftests/bpf: Skip btf_tag test if btf_tag attribute not
  supported (jsc#PED-1368).
- docs/bpf: Add documentation for BTF_KIND_TAG (jsc#PED-1368).
- selftests/bpf: Add a test with a bpf program with btf_tag
  attributes (jsc#PED-1368).
- selftests/bpf: Test BTF_KIND_TAG for deduplication
  (jsc#PED-1368).
- selftests/bpf: Add BTF_KIND_TAG unit tests (jsc#PED-1368).
- selftests/bpf: Change NAME_NTH/IS_NAME_NTH for BTF_KIND_TAG
  format (jsc#PED-1368).
- selftests/bpf: Test libbpf API function btf__add_tag()
  (jsc#PED-1368).
- bpftool: Add support for BTF_KIND_TAG (jsc#PED-1368).
- libbpf: Add support for BTF_KIND_TAG (jsc#PED-1368).
- libbpf: Rename btf_{hash,equal}_int to btf_{hash,equal}_int_tag
  (jsc#PED-1368).
- bpf: Support for new btf kind BTF_KIND_TAG (jsc#PED-1368).
- btf: Change BTF_KIND_* macros to enums (jsc#PED-1368).
- commit 3c45813
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- selftests/bpf: Fix .gitignore to not ignore test_progs.c
  (jsc#PED-1368).
- bpf,x64 Emit IMUL instead of MUL for x86-64 (jsc#PED-1368).
- libbpf: Minimize explicit iterator of section definition array
  (jsc#PED-1368).
- libbpf: Simplify BPF program auto-attach code (jsc#PED-1368).
- libbpf: Ensure BPF prog types are set before relocations
  (jsc#PED-1368).
- selftests/bpf: Update selftests to always provide "struct_ops"
  SEC (jsc#PED-1368).
- libbpf: Introduce legacy kprobe events support (jsc#PED-1368).
- libbpf: Make libbpf_version.h non-auto-generated (jsc#PED-1368).
- bpf, selftests: Replicate tailcall limit test for indirect
  call case (jsc#PED-1368).
- selftests/bpf: Add test for bpf_get_branch_snapshot
  (jsc#PED-1368).
- bpf: Introduce helper bpf_get_branch_snapshot (jsc#PED-1368).
- perf: Enable branch record for software events (jsc#PED-1368).
- Refresh patches.suse/ACPI-Add-perf-low-power-callback.patch
- selftests/bpf: Test new __sk_buff field hwtstamp (jsc#PED-1368).
- bpf: Add hardware timestamp field to __sk_buff (jsc#PED-1368).
- commit 079b8cc
* Tue Nov 15 2022 shung-hsi.yu@suse.com
- selftests: xsk: Add tests for 2K frame size (jsc#PED-1368).
- selftests: xsk: Add tests for invalid xsk descriptors
  (jsc#PED-1368).
- selftests: xsk: Eliminate test specific if-statement in test
  runner (jsc#PED-1368).
- selftests: xsk: Add test for unaligned mode (jsc#PED-1368).
- selftests: xsk: Introduce replacing the default packet stream
  (jsc#PED-1368).
- selftests: xsk: Allow for invalid packets (jsc#PED-1368).
- selftests: xsk: Eliminate MAX_SOCKS define (jsc#PED-1368).
- selftests: xsx: Make pthreads local scope (jsc#PED-1368).
- selftests: xsk: Make xdp_flags and bind_flags local
  (jsc#PED-1368).
- selftests: xsk: Specify number of sockets to create
  (jsc#PED-1368).
- selftests: xsk: Replace second_step global variable
  (jsc#PED-1368).
- selftests: xsk: Introduce rx_on and tx_on in ifobject
  (jsc#PED-1368).
- selftests: xsk: Add use_poll to ifobject (jsc#PED-1368).
- selftests: xsx: Introduce test name in test spec (jsc#PED-1368).
- selftests: xsk: Make frame_size configurable (jsc#PED-1368).
- selftests: xsk: Move rxqsize into xsk_socket_info
  (jsc#PED-1368).
- selftests: xsk: Move num_frames and frame_headroom to
  xsk_umem_info (jsc#PED-1368).
- selftests: xsk: Introduce test specifications (jsc#PED-1368).
- selftests: xsk: Introduce type for thread function
  (jsc#PED-1368).
- selftests: xsk: Simplify xsk and umem arrays (jsc#PED-1368).
- libbpf: Add LIBBPF_DEPRECATED_SINCE macro for scheduling API
  deprecations (jsc#PED-1368).
- libbpf: Fix build with latest gcc/binutils with LTO
  (jsc#PED-1368).
- selftests/bpf: Add checks for X__elf_bytes() skeleton helper
  (jsc#PED-1368).
- bpftool: Provide a helper method for accessing skeleton's
  embedded ELF data (jsc#PED-1368).
- libbpf: Change bpf_object_skeleton data field to const pointer
  (jsc#PED-1368).
- bpf: Permit ingress_ifindex in bpf_prog_test_run_xattr
  (jsc#PED-1368).
- commit db25468
* Tue Nov 15 2022 ddiss@suse.de
- kabi: sk_buff.scm_io_uring (bsc#1204228 CVE-2022-2602).
- commit 9a9bd27
* Mon Nov 14 2022 lduncan@suse.com
- scsi: scsi_transport_sas: Fix error handling in sas_phy_add()
  (git-fixes).
- scsi: megaraid_sas: Correct value passed to scsi_device_lookup()
  (git-fixes).
- scsi: qedf: Populate sysfs attributes for vport (git-fixes).
- scsi: mpt3sas: Fix return value check of dma_get_required_mask()
  (git-fixes).
- commit 71fe2f3
* Mon Nov 14 2022 ggherdovich@suse.cz
- intel_idle: make SPR C1 and C1E be independent (jsc#PED-1936).
- commit 6f9a5d3
* Mon Nov 14 2022 ggherdovich@suse.cz
- cpuidle: intel_idle: Drop redundant backslash at line end (jsc#PED-1936).
- commit 593da52
* Mon Nov 14 2022 ggherdovich@suse.cz
- cpufreq: intel_pstate: Support Sapphire Rapids OOB mode (jsc#PED-849).
- commit 4bf905f
* Mon Nov 14 2022 ggherdovich@suse.cz
- cpufreq: intel_pstate: Handle no_turbo in frequency invariance (jsc#PED-849).
- commit 41e314e
* Mon Nov 14 2022 ggherdovich@suse.cz
- intel_idle: Fix SPR C6 optimization (jsc#PED-824 jsc#PED-1936).
- commit 29ea7f2
* Mon Nov 14 2022 ggherdovich@suse.cz
- intel_idle: Fix the 'preferred_cstates' module parameter (jsc#PED-824 jsc#PED-1936).
- commit 07146fb
* Mon Nov 14 2022 ggherdovich@suse.cz
- intel_idle: Add AlderLake support (jsc#PED-824).
- commit 6094f58
* Mon Nov 14 2022 ptesarik@suse.cz
- panic, kexec: make __crash_kexec() NMI safe (git-fixes).
- kexec: turn all kexec_mutex acquisitions into trylocks
  (git-fixes).
- commit 1a14cb1
* Mon Nov 14 2022 jgross@suse.com
- x86/insn-eval: Handle insn_get_opcode() failure (jsc#PED-342).
- commit 94de1a1
* Mon Nov 14 2022 ptesarik@suse.cz
- s390/pai: Add support for PAI Extension 1 NNPA counters
  (jsc#PED-1973).
- commit a366504
* Mon Nov 14 2022 hare@suse.de
- s390: block/xpram include <linux/major.h> (bsc#1205381).
- commit ad01f4b
* Mon Nov 14 2022 jgross@suse.com
- KVM: VMX: clear vmx_x86_ops.sync_pir_to_irr if APICv is disabled
  (bsc#1205007).
- commit a0ddd6a
* Mon Nov 14 2022 clin@suse.com
- Update config files.
- commit 6867f80
* Mon Nov 14 2022 ddiss@suse.de
- io_uring/af_unix: defer registered files gc to io_uring release
  (bsc#1204228 CVE-2022-2602).
- commit 52299ff
* Fri Nov 11 2022 lduncan@suse.com
- scsi: aacraid: Fix undefined behavior due to shift overflowing
  the constant (jsc#PED-1560).
- scsi: aacraid: Clean up some inconsistent indenting
  (jsc#PED-1560).
- scsi: aacraid: Move the SCSI pointer to private command data
  (jsc#PED-1560).
- commit 919bd0a
* Fri Nov 11 2022 hare@suse.de
- block: mark __bio_try_merge_page static (jsc#PED-1183).
- iomap: simplify iomap_add_to_ioend (jsc#PED-1183).
- iomap: simplify iomap_readpage_actor (jsc#PED-1183).
- commit 49fac04
* Fri Nov 11 2022 hare@suse.de
- block: improve batched tag allocation (jsc#PED-1183).
- sbitmap: add __sbitmap_queue_get_batch() (jsc#PED-1183).
- blk-mq: optimise *end_request non-stat path (jsc#PED-1183).
- block: mark bio_truncate static (jsc#PED-1183).
- block: move bio_get_{first,last}_bvec out of bio.h
  (jsc#PED-1183).
- block: move bio_full out of bio.h (jsc#PED-1183).
- block: fold bio_cur_bytes into blk_rq_cur_bytes (jsc#PED-1183).
- block: move bio_mergeable out of bio.h (jsc#PED-1183).
- block: don't include <linux/ioprio.h> in <linux/bio.h>
  (jsc#PED-1183).
- block: remove BIO_BUG_ON (jsc#PED-1183).
- blk-mq: inline hot part of __blk_mq_sched_restart
  (jsc#PED-1183).
- commit bda310c
* Fri Nov 11 2022 hare@suse.de
- block: inline hot paths of blk_account_io_*() (jsc#PED-1183).
- Refresh patches.suse/block-update-io_ticks-when-io-hang.patch.
- commit 190f0ed
* Fri Nov 11 2022 hare@suse.de
- block: merge block_ioctl into blkdev_ioctl (jsc#PED-1183).
- block: move the *blkdev_ioctl declarations out of blkdev.h
  (jsc#PED-1183).
- block: unexport blkdev_ioctl (jsc#PED-1183).
- block: don't dereference request after flush insertion
  (jsc#PED-1183).
- blk-mq: cleanup blk_mq_submit_bio (jsc#PED-1183).
- blk-mq: cleanup and rename __blk_mq_alloc_request
  (jsc#PED-1183).
- block: pre-allocate requests if plug is started and is a batch
  (jsc#PED-1183).
- commit d1bcd5e
* Fri Nov 11 2022 hare@suse.de
- blk-mq: Change shared sbitmap naming to shared tags
  (jsc#PED-1183).
- Refresh
  patches.suse/blk-mq-fix-tag_get-wait-task-can-t-be-awakened.patch.
- commit 9042063
* Fri Nov 11 2022 hare@suse.de
- blk-mq: Stop using pointers for blk_mq_tags bitmap tags
  (jsc#PED-1183).
- Refresh
  patches.suse/bfq-Limit-number-of-requests-consumed-by-each-cgroup.patch.
- Refresh
  patches.suse/blk-mq-fix-tag_get-wait-task-can-t-be-awakened.patch.
- commit 0b26e0b
* Fri Nov 11 2022 hare@suse.de
- blk-mq: Use shared tags for shared sbitmap support
  (jsc#PED-1183).
- Refresh
  patches.suse/blk-mq-don-t-free-tags-if-the-tag_set-is-used-by-oth.patch.
- Refresh
  patches.suse/blk-mq-fix-tag_get-wait-task-can-t-be-awakened.patch.
- commit 439e1ef
* Fri Nov 11 2022 hare@suse.de
- blk-mq: Refactor and rename
  blk_mq_free_map_and_{requests->rqs}() (jsc#PED-1183).
- Refresh
  patches.suse/blk-mq-don-t-free-tags-if-the-tag_set-is-used-by-oth.patch.
- commit 258a969
* Fri Nov 11 2022 hare@suse.de
- block: move struct request to blk-mq.h (jsc#PED-1183).
- Refresh
  patches.suse/block-Add-a-helper-to-validate-the-block-size.patch.
- Refresh
  patches.suse/block-don-t-merge-across-cgroup-boundaries-if-blkcg-.patch.
- Refresh
  patches.suse/block-move-the-SECTOR_SIZE-related-definitions-to-bl.patch.
- commit 8c609f9
* Fri Nov 11 2022 shung-hsi.yu@suse.com
- Update config files: enable CONFIG_NET_SOCK_MSG in s390x-zfcpdump (jsc#PED-1368)
- commit 47cc0bc
* Fri Nov 11 2022 lhenriques@suse.de
- fuse: add file_modified() to fallocate (bsc#1205332).
- fuse: fix readdir cache race (bsc#1205331).
- commit 75f741e
* Fri Nov 11 2022 osalvador@suse.de
- netfilter: nfnetlink_osf: fix possible bogus match in
  nf_osf_find() (bsc#1204614).
- commit aa8c5d3
* Fri Nov 11 2022 hare@suse.de
- block/mq-deadline: Prioritize high-priority requests
  (jsc#PED-1183).
- Refresh
  patches.suse/block-fix-async_depth-sysfs-interface-for-mq-deadlin.patch.
- commit f999f8f
* Fri Nov 11 2022 tiwai@suse.de
- net: phy: mscc: macsec: clear encryption keys when freeing a
  flow (git-fixes).
- macsec: clear encryption keys from the stack after setting up
  offload (git-fixes).
- macsec: fix detection of RXSCs when toggling offloading
  (git-fixes).
- macsec: fix secy->n_rx_sc accounting (git-fixes).
- macsec: delete new rxsc when offload fails (git-fixes).
- wifi: cfg80211: fix memory leak in query_regdb_file()
  (git-fixes).
- wifi: cfg80211: silence a sparse RCU warning (git-fixes).
- soundwire: qcom: check for outanding writes before doing a read
  (git-fixes).
- soundwire: qcom: reinit broadcast completion (git-fixes).
- phy: ralink: mt7621-pci: add sentinel to quirks table
  (git-fixes).
- phy: stm32: fix an error code in probe (git-fixes).
- mtd: parsers: bcm47xxpart: Fix halfblock reads (git-fixes).
- media: v4l: subdev: Fail graciously when getting try data for
  NULL state (git-fixes).
- media: meson: vdec: fix possible refcount leak in vdec_probe()
  (git-fixes).
- media: dvb-frontends/drxk: initialize err to 0 (git-fixes).
- media: cros-ec-cec: limit msg.len to CEC_MAX_MSG_SIZE
  (git-fixes).
- media: s5p_cec: limit msg.len to CEC_MAX_MSG_SIZE (git-fixes).
- media: rkisp1: Zero v4l2_subdev_format fields in when validating
  links (git-fixes).
- media: rkisp1: Use correct macro for gradient registers
  (git-fixes).
- media: rkisp1: Initialize color space on resizer sink and
  source pads (git-fixes).
- media: rkisp1: Don't pass the quantization to
  rkisp1_csm_config() (git-fixes).
- mtd: parsers: bcm47xxpart: print correct offset on read error
  (git-fixes).
- video/fbdev/stifb: Implement the stifb_fillrect() function
  (git-fixes).
- commit 5883e57
* Fri Nov 11 2022 hare@suse.de
- block: move the SECTOR_SIZE related definitions to blk_types.h
  (jsc#PED-1183).
- commit 631102f
* Fri Nov 11 2022 tiwai@suse.de
- can: j1939: j1939_send_one(): fix missing CAN header
  initialization (git-fixes).
- can: af_can: fix NULL pointer dereference in can_rx_register()
  (git-fixes).
- hamradio: fix issue of dev reference count leakage in
  bpq_device_event() (git-fixes).
- efi: random: Use 'ACPI reclaim' memory for random seed
  (git-fixes).
- efi: random: reduce seed size to 32 bytes (git-fixes).
- drm/i915/sdvo: Setup DDC fully before output init (git-fixes).
- drm/i915/sdvo: Filter out invalid outputs more sensibly
  (git-fixes).
- drm/rockchip: dsi: Force synchronous probe (git-fixes).
- Bluetooth: L2CAP: Fix attempting to access uninitialized memory
  (git-fixes).
- Bluetooth: L2CAP: Fix accepting connection request for invalid
  SPSM (git-fixes).
- drm/msm/hdmi: fix IRQ lifetime (git-fixes).
- i2c: xiic: Add platform module alias (git-fixes).
- ACPI: APEI: Fix integer overflow in ghes_estatus_pool_init()
  (git-fixes).
- HID: saitek: add madcatz variant of MMO7 mouse device ID
  (git-fixes).
- HID: playstation: add initial DualSense Edge controller support
  (git-fixes).
- drm/amdgpu: set vm_update_mode=0 as default for Sienna Cichlid
  in SRIOV case (git-fixes).
- drm/msm/hdmi: Remove spurious IRQF_ONESHOT flag (git-fixes).
- commit 5a3b429
* Fri Nov 11 2022 shung-hsi.yu@suse.com
- selftests/bpf: Fix test_core_reloc_mods on big-endian machines
  (jsc#PED-1368).
- selftests/bpf: Use recv_timeout() instead of retries
  (jsc#PED-1368).
- skmsg: Extract and reuse sk_msg_is_readable() (jsc#PED-1368).
- Refresh patches.suse/bpf-sockmap-Remove-unhash-handler-for-BPF-sockmap-us.patch
- net: Rename ->stream_memory_read to ->sock_is_readable
  (jsc#PED-1368).
- Refresh patches.suse/bpf-sockmap-Remove-unhash-handler-for-BPF-sockmap-us.patch
- samples/bpf: Relicense bpf_insn.h as GPL-2.0-only OR
  BSD-2-Clause (jsc#PED-1368).
- samples: bpf: Fix vmlinux.h generation for XDP samples
  (jsc#PED-1368).
- bpf, selftests: Add test case for mixed cgroup v1/v2
  (jsc#PED-1368).
- bpf, selftests: Add cgroup v1 net_cls classid helpers
  (jsc#PED-1368).
- selftests/bpf: Fix build of task_pt_regs test for arm64
  (jsc#PED-1368).
- bpf: Relicense disassembler as GPL-2.0-only OR BSD-2-Clause
  (jsc#PED-1368).
- selftests/bpf: Test XDP bonding nest and unwind (jsc#PED-1368).
- perf trace: Update cmd string table to decode sys_bpf first arg
  (jsc#PED-1368).
- samples: bpf: Fix uninitialized variable in xdp_redirect_cpu
  (jsc#PED-1368).
- selftests/bpf: Reduce more flakyness in sockmap_listen
  (jsc#PED-1368).
- bpf: Fix bpf-next builds without CONFIG_BPF_EVENTS
  (jsc#PED-1368).
- bpf: selftests: Add dctcp fallback test (jsc#PED-1368).
- bpf: selftests: Add connect_to_fd_opts to network_helpers
  (jsc#PED-1368).
- bpf: selftests: Add sk_state to bpf_tcp_helpers.h
  (jsc#PED-1368).
- bpf: tcp: Allow bpf-tcp-cc to call bpf_(get|set)sockopt
  (jsc#PED-1368).
- selftests: xsk: Preface options with opt (jsc#PED-1368).
- selftests: xsk: Make enums lower case (jsc#PED-1368).
- selftests: xsk: Generate packets from specification
  (jsc#PED-1368).
- selftests: xsk: Generate packet directly in umem (jsc#PED-1368).
- selftests: xsk: Simplify cleanup of ifobjects (jsc#PED-1368).
- selftests: xsk: Decrease sending speed (jsc#PED-1368).
- selftests: xsk: Validate tx stats on tx thread (jsc#PED-1368).
- selftests: xsk: Simplify packet validation in xsk tests
  (jsc#PED-1368).
- selftests: xsk: Rename worker_* functions that are not thread
  entry points (jsc#PED-1368).
- selftests: xsk: Disassociate umem size with packets sent
  (jsc#PED-1368).
- selftests: xsk: Remove end-of-test packet (jsc#PED-1368).
- selftests: xsk: Simplify the retry code (jsc#PED-1368).
- selftests: xsk: Return correct error codes (jsc#PED-1368).
- selftests: xsk: Remove unused variables (jsc#PED-1368).
- selftests: xsk: Remove the num_tx_packets option (jsc#PED-1368).
- selftests: xsk: Remove color mode (jsc#PED-1368).
- bpf: selftests: Add bpf_task_pt_regs() selftest (jsc#PED-1368).
- bpf: Add bpf_task_pt_regs() helper (jsc#PED-1368).
- bpf: Extend bpf_base_func_proto helpers with
  bpf_get_current_task_btf() (jsc#PED-1368).
- bpf: Consolidate task_struct BTF_ID declarations (jsc#PED-1368).
- bpf: Add BTF_ID_LIST_GLOBAL_SINGLE macro (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_map_multi to XDP samples
  helper (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_map_multi_kern.o to XDP
  samples helper (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_map to XDP samples helper
  (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_map_kern.o to XDP samples
  helper (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_cpu to XDP samples helper
  (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_cpu_kern.o to XDP samples
  helper (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect to XDP samples helper
  (jsc#PED-1368).
- samples: bpf: Convert xdp_redirect_kern.o to XDP samples helper
  (jsc#PED-1368).
- samples: bpf: Convert xdp_monitor to XDP samples helper
  (jsc#PED-1368).
- samples: bpf: Convert xdp_monitor_kern.o to XDP samples helper
  (jsc#PED-1368).
- samples: bpf: Add vmlinux.h generation support (jsc#PED-1368).
- samples: bpf: Add devmap_xmit tracepoint statistics support
  (jsc#PED-1368).
- samples: bpf: Add BPF support for devmap_xmit tracepoint
  (jsc#PED-1368).
- samples: bpf: Add cpumap tracepoint statistics support
  (jsc#PED-1368).
- samples: bpf: Add BPF support for cpumap tracepoints
  (jsc#PED-1368).
- samples: bpf: Add xdp_exception tracepoint statistics support
  (jsc#PED-1368).
- samples: bpf: Add BPF support for xdp_exception tracepoint
  (jsc#PED-1368).
- samples: bpf: Add redirect tracepoint statistics support
  (jsc#PED-1368).
- samples: bpf: Add BPF support for redirect tracepoint
  (jsc#PED-1368).
- samples: bpf: Add basic infrastructure for XDP samples
  (jsc#PED-1368).
- tools: include: Add ethtool_drvinfo definition to UAPI header
  (jsc#PED-1368).
- samples: bpf: Fix a couple of warnings (jsc#PED-1368).
- selftests/bpf: Test for get_netns_cookie (jsc#PED-1368).
- bpf: Allow bpf_get_netns_cookie in BPF_PROG_TYPE_SK_MSG
  (jsc#PED-1368).
- selftests/bpf: Exit with KSFT_SKIP if no Makefile found
  (jsc#PED-1368).
- selftests/bpf: Add missing files required by test_bpftool.sh
  for installing (jsc#PED-1368).
- selftests/bpf: Add default bpftool built by selftests to PATH
  (jsc#PED-1368).
- selftests/bpf: Make test_doc_build.sh work from script directory
  (jsc#PED-1368).
- selftests/bpf: Reduce flakyness in timer_mim (jsc#PED-1368).
- bpf: Migrate cgroup_bpf to internal cgroup_bpf_attach_type enum
  (jsc#PED-1368).
- selftests/bpf: Add tests for {set|get} socket option from
  setsockopt BPF (jsc#PED-1368).
- bpf: Add support for {set|get} socket options from setsockopt
  BPF (jsc#PED-1368).
- selftests/bpf: Adding delay in socketmap_listen to reduce
  flakyness (jsc#PED-1368).
- bpf: Fix NULL event->prog pointer access in bpf_overflow_handler
  (jsc#PED-1368).
- bpf: Undo off-by-one in interpreter tail call count limit
  (jsc#PED-1368).
- selftests/bpf: Test for get_netns_cookie (jsc#PED-1368).
- bpf: Allow bpf_get_netns_cookie in BPF_PROG_TYPE_SOCK_OPS
  (jsc#PED-1368).
- bpf: Remove redundant initialization of variable allow
  (jsc#PED-1368).
- selftests/bpf: Replace CHECK with ASSERT_* macros in
  send_signal.c (jsc#PED-1368).
- Refresh patches.suse/selftests-bpf-Fix-flaky-send_signal-test.patch
- selftests/bpf: Support glob matching for test selector
  (jsc#PED-1368).
- selftests/bpf: Also print test name in subtest status message
  (jsc#PED-1368).
- selftests/bpf: Skip loading bpf_testmod when using -l to list
  tests (jsc#PED-1368).
- selftests/bpf: Add exponential backoff to map_delete_retriable
  in test_maps (jsc#PED-1368).
- selftests/bpf: Add exponential backoff to map_update_retriable
  in test_maps (jsc#PED-1368).
- selftest/bpf: Add new tests in sockmap for unix stream to tcp
  (jsc#PED-1368).
- selftest/bpf: Change udp to inet in some function names
  (jsc#PED-1368).
- selftest/bpf: Add tests for sockmap with unix stream type
  (jsc#PED-1368).
- af_unix: Add read_sock for stream socket types (jsc#PED-1368).
- selftests/bpf: Test btf__load_vmlinux_btf/btf__load_module_btf
  APIs (jsc#PED-1368).
- bpf: Reconfigure libbpf docs to remove unversioned API
  (jsc#PED-1368).
- selftests/bpf: Add ref_ctr_offset selftests (jsc#PED-1368).
- libbpf: Add uprobe ref counter offset support for USDT
  semaphores (jsc#PED-1368).
- selftests/bpf: Add bpf_cookie selftests for high-level APIs
  (jsc#PED-1368).
- selftests/bpf: Extract uprobe-related helpers into
  trace_helpers.{c,h} (jsc#PED-1368).
- selftests/bpf: Test low-level perf BPF link API (jsc#PED-1368).
- libbpf: Add bpf_cookie to perf_event, kprobe, uprobe, and tp
  attach APIs (jsc#PED-1368).
- libbpf: Add bpf_cookie support to bpf_link_create() API
  (jsc#PED-1368).
- libbpf: Use BPF perf link when supported by kernel
  (jsc#PED-1368).
- libbpf: Remove unused bpf_link's destroy operation, but add
  dealloc (jsc#PED-1368).
- bpf: Add bpf_get_attach_cookie() BPF helper to access bpf_cookie
  value (jsc#PED-1368).
- bpf: Allow to specify user-provided bpf_cookie for BPF perf
  links (jsc#PED-1368).
- bpf: Implement minimal BPF perf link (jsc#PED-1368).
- bpf: Refactor perf_event_set_bpf_prog() to use struct bpf_prog
  input (jsc#PED-1368).
- bpf: Refactor BPF_PROG_RUN_ARRAY family of macros into functions
  (jsc#PED-1368).
- bpf: Refactor BPF_PROG_RUN into a function (jsc#PED-1368).
- Refresh patches.suse/bpf-Avoid-races-in-__bpf_prog_run-for-32bit-arches.patch
- selftest/bpf: Extend the bpf_snprintf() test for "%%c"
  (jsc#PED-1368).
- selftest/bpf: Implement sample UNIX domain socket iterator
  program (jsc#PED-1368).
- bpf: Support "%%c" in bpf_bprintf_prepare() (jsc#PED-1368).
- bpf: af_unix: Implement BPF iterator for UNIX domain socket
  (jsc#PED-1368).
- selftests/bpf: Verify bpf_get_netns_cookie in
  BPF_PROG_TYPE_CGROUP_SOCKOPT (jsc#PED-1368).
- bpf: Allow bpf_get_netns_cookie in BPF_PROG_TYPE_CGROUP_SOCKOPT
  (jsc#PED-1368).
- libbpf: Support weak typed ksyms (jsc#PED-1368).
- Refresh patches.suse/bpf-selftests-Test-PTR_TO_RDONLY_MEM.patch
- selftests/bpf: Fix running of XDP bonding tests (jsc#PED-1368).
- net: in_irq() cleanup (jsc#PED-1368).
- selftests/bpf: Add tests for XDP bonding (jsc#PED-1368).
- net, core: Allow netdev_lower_get_next_private_rcu in bh context
  (jsc#PED-1368).
- net, bonding: Add XDP support to the bonding driver
  (jsc#PED-1368).
- net, core: Add support for XDP redirection to slave device
  (jsc#PED-1368).
- net, bonding: Refactor bond_xmit_hash for use with xdp_buff
  (jsc#PED-1368).
- samples/bpf: xdpsock: Remove forward declaration of
  ip_fast_csum() (jsc#PED-1368).
- samples/bpf: xdpsock: Make the sample more useful outside the
  tree (jsc#PED-1368).
- selftests/bpf: Rename reference_tracking BPF programs
  (jsc#PED-1368).
- selftests/bpf: Move netcnt test under test_progs (jsc#PED-1368).
- bpf, unix: Check socket type in unix_bpf_update_proto()
  (jsc#PED-1368).
- bpf: Fix off-by-one in tail call count limiting (jsc#PED-1368).
- selftests/bpf: Update bpftool's consistency script for checking
  options (jsc#PED-1368).
- tools: bpftool: Complete and synchronise attach or map types
  (jsc#PED-1368).
- Refresh patches.suse/tools-bpftool-Complete-metrics-list-in-bpftool-prog-.patch
- Refresh patches.suse/tools-bpftool-Document-and-add-bash-completion-for-L.patch
- Refresh patches.suse/tools-bpftool-Update-and-synchronise-option-list-in-.patch
- selftests/bpf: Check consistency between bpftool source, doc,
  completion (jsc#PED-1368).
- tools: bpftool: Slightly ease bash completion updates
  (jsc#PED-1368).
- libbpf: Add btf__load_vmlinux_btf/btf__load_module_btf
  (jsc#PED-1368).
- tools: bpftool: Support dumping split BTF by id (jsc#PED-1368).
- libbpf: Add split BTF support for btf__load_from_kernel_by_id()
  (jsc#PED-1368).
- tools: Replace btf__get_from_id() with
  btf__load_from_kernel_by_id() (jsc#PED-1368).
- libbpf: Rename btf__get_from_id() as
  btf__load_from_kernel_by_id() (jsc#PED-1368).
- libbpf: Rename btf__load() as btf__load_into_kernel()
  (jsc#PED-1368).
- bpf: Emit better log message if bpf_iter ctx arg btf_id == 0
  (jsc#PED-1368).
- tools/resolve_btfids: Emit warnings and patch zero id for
  missing symbols (jsc#PED-1368).
- bpf: Increase supported cgroup storage value size
  (jsc#PED-1368).
- libbpf: Fix comment typo (jsc#PED-1368).
- samples: bpf: Add the omitted xdp samples to .gitignore
  (jsc#PED-1368).
- selftests/bpf: Use ping6 only if available in tc_redirect
  (jsc#PED-1368).
- libbpf: Split CO-RE logic into relo_core.c (jsc#PED-1368).
- libbpf: Move CO-RE types into relo_core.h (jsc#PED-1368).
- libbpf: Split bpf_core_apply_relo() into bpf_program independent
  helper (jsc#PED-1368).
- libbpf: Cleanup the layering between CORE and bpf_program
  (jsc#PED-1368).
- selftests/bpf: Document vmtest.sh dependencies (jsc#PED-1368).
- libbpf: Add bpf_map__pin_path function (jsc#PED-1368).
- bpf: selftest: Test batching and bpf_(get|set)sockopt in bpf
  tcp iter (jsc#PED-1368).
- bpf: tcp: Support bpf_(get|set)sockopt in bpf tcp iter
  (jsc#PED-1368).
- bpf: tcp: Bpf iter batching and lock_sock (jsc#PED-1368).
- tcp: seq_file: Replace listening_hash with lhash2
  (jsc#PED-1368).
- tcp: seq_file: Add listening_get_first() (jsc#PED-1368).
- bpf: tcp: seq_file: Remove bpf_seq_afinfo from tcp_iter_state
  (jsc#PED-1368).
- tcp: seq_file: Refactor net and family matching (jsc#PED-1368).
- libbpf: Export bpf_program__attach_kprobe_opts function
  (jsc#PED-1368).
- libbpf: Allow decimal offset for kprobes (jsc#PED-1368).
- libbpf: Fix func leak in attach_kprobe (jsc#PED-1368).
- selftests/bpf: Mute expected invalid map creation error msg
  (jsc#PED-1368).
- bpf: Remove redundant intiialization of variable stype
  (jsc#PED-1368).
- bpf: Fix pointer cast warning (jsc#PED-1368).
- libbpf: Propagate errors when retrieving enum value for typed
  data display (jsc#PED-1368).
- selftests/bpf: Add __int128-specific tests for typed data dump
  (jsc#PED-1368).
- libbpf: Avoid use of __int128 in typed dump display
  (jsc#PED-1368).
- selftests, bpf: test_tc_tunnel.sh nc: Cannot use -p and -l
  (jsc#PED-1368).
- selftests/bpf: Check inner map deletion (jsc#PED-1368).
- libbpf: Btf typed dump does not need to allocate dump data
  (jsc#PED-1368).
- libbpf: Fix compilation errors on ppc64le for btf dump typed
  data (jsc#PED-1368).
- libbpf: Clarify/fix unaligned data issues for btf typed dump
  (jsc#PED-1368).
- selftests/bpf: Add dump type data tests to btf dump tests
  (jsc#PED-1368).
- selftests/bpf: Add ASSERT_STRNEQ() variant for test_progs
  (jsc#PED-1368).
- libbpf: BTF dumper support for typed data (jsc#PED-1368).
- selftests/bpf: Switch existing selftests to using open_opts
  for custom BTF (jsc#PED-1368).
- libbpf: Introduce 'btf_custom_path' to 'bpf_obj_open_opts'
  (jsc#PED-1368).
- selftests/bpf: Add test cases for redirection between udp and
  unix (jsc#PED-1368).
- selftests/bpf: Add a test case for unix sockmap (jsc#PED-1368).
- selftests/bpf: Factor out add_to_sockmap() (jsc#PED-1368).
- selftests/bpf: Factor out udp_socketpair() (jsc#PED-1368).
- af_unix: Implement unix_dgram_bpf_recvmsg() (jsc#PED-1368).
- af_unix: Implement ->psock_update_sk_prot() (jsc#PED-1368).
- af_unix: Add a dummy ->close() for sockmap (jsc#PED-1368).
- af_unix: Set TCP_ESTABLISHED for datagram sockets too
  (jsc#PED-1368).
- af_unix: Implement ->read_sock() for sockmap (jsc#PED-1368).
- sock_map: Lift socket state restriction for datagram sockets
  (jsc#PED-1368).
- sock_map: Relax config dependency to CONFIG_NET (jsc#PED-1368).
- Refesh patches.suse/of-net-move-of_net-under-net.patch
- selftests/bpf: Add test for bpf_get_func_ip in kprobe+offset
  probe (jsc#PED-1368).
- libbpf: Allow specification of "kprobe/function+offset"
  (jsc#PED-1368).
- libbpf: Add bpf_program__attach_kprobe_opts function
  (jsc#PED-1368).
- selftests/bpf: Add test for bpf_get_func_ip helper
  (jsc#PED-1368).
- bpf: Add bpf_get_func_ip helper for kprobe programs
  (jsc#PED-1368).
- bpf: Add bpf_get_func_ip helper for tracing programs
  (jsc#PED-1368).
- bpf: Enable BPF_TRAMP_F_IP_ARG for trampolines with
  call_get_func_ip (jsc#PED-1368).
- bpf, x86: Store caller's ip in trampoline stack (jsc#PED-1368).
- Refresh patches.suse/bpf-Handle-return-value-of-BPF_PROG_TYPE_STRUCT_OPS-.patch
- selftests/bpf: Add a test with bpf_timer in inner map
  (jsc#PED-1368).
- selftests/bpf: Add bpf_timer test (jsc#PED-1368).
- bpf: Teach stack depth check about async callbacks
  (jsc#PED-1368).
- bpf: Implement verifier support for validation of async
  callbacks (jsc#PED-1368).
- Refresh patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
- bpf: Relax verifier recursion check (jsc#PED-1368).
- bpf: Remember BTF of inner maps (jsc#PED-1368).
- bpf: Prevent pointer mismatch in bpf_timer_init (jsc#PED-1368).
- Refresh patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
- Refresh patches.suse/bpf-Replace-RET_XXX_OR_NULL-with-RET_XXX-PTR_MAYBE_N.patch
- bpf: Add map side support for bpf timers (jsc#PED-1368).
- bpf: Introduce bpf timers (jsc#PED-1368).
- Refresh patches.suse/bpf-Introduce-composable-reg-ret-and-arg-types.patch
- Refresh patches.suse/bpf-Replace-ARG_XXX_OR_NULL-with-ARG_XXX-PTR_MAYBE_N.patch
- Refresh patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
- Refresh patches.suse/bpf-Replace-RET_XXX_OR_NULL-with-RET_XXX-PTR_MAYBE_N.patch
- bpf: Factor out bpf_spin_lock into helpers (jsc#PED-1368).
- bpf: Prepare bpf_prog_put() to be called from irq context
  (jsc#PED-1368).
- samples/bpf: xdp_redirect_cpu_user: Cpumap qsize set larger
  default (jsc#PED-1368).
- bpf: Tidy xdp attach selftests (jsc#PED-1368).
- selftests/bpf: Add test for xdp_md context in BPF_PROG_TEST_RUN
  (jsc#PED-1368).
- bpf: Support specifying ingress via xdp_md context in
  BPF_PROG_TEST_RUN (jsc#PED-1368).
- bpf: Support input xdp_md context in BPF_PROG_TEST_RUN
  (jsc#PED-1368).
- commit e693794
* Thu Nov 10 2022 tbogendoerfer@suse.de
- net: phy: mxl-gpy: add temperature sensor (jsc#PED-829).
- Update config files.
- supported.conf: added lib/polynomial.ko
- commit 60a46b1
* Thu Nov 10 2022 mgorman@suse.de
- x86/fpu: Drop fpregs lock before inheriting FPU permissions
  (bnc#1205282).
- commit bbde2ef
* Thu Nov 10 2022 oneukum@suse.com
- mac80211: mesh: clean up rx_bcn_presp API (git-fixes).
- Refresh
  patches.suse/mac80211-always-allocate-struct-ieee802_11_elems.patch.
- commit ffa0643
* Thu Nov 10 2022 oneukum@suse.com
- blacklist.conf: cleanup designed to break kABI
- commit e1ca2ce
* Thu Nov 10 2022 tbogendoerfer@suse.de
- net/mlx5: Add MACsec offload Tx command support (jsc#PED-1549).
- Update config files.
- commit d527e6d
* Thu Nov 10 2022 oneukum@suse.com
- blacklist.conf: cleanup designed to break kABI
- commit 3471afe
* Thu Nov 10 2022 tbogendoerfer@suse.de
- net/mlx5e: Validate striding RQ before enabling XDP
  (jsc#PED-1549).
- Refresh
  patches.suse/s390-Fix-mlx5-RoCE-throuput-degradtion.patch.
- commit af8a650
* Thu Nov 10 2022 tbogendoerfer@suse.de
- RDMA/rxe: Cleanup rxe_pool_entry (jsc#PED-1111).
- Refresh patches.suse/RDMA-rxe-Fix-rnr-retry-behavior.patch.
- commit 817ae4c
* Thu Nov 10 2022 oneukum@suse.com
- PM: core: Add EXPORT[_GPL]_SIMPLE_DEV_PM_OPS macros (git-fixes).
- commit 652c0d1
* Thu Nov 10 2022 tbogendoerfer@suse.de
- RDMA/rxe: Remove qp->grp_lock and qp->grp_list (jsc#PED-1111).
- Refresh
  patches.suse/RDMA-rxe-Fix-error-unwind-in-rxe_create_qp.patch.
- commit 30d623b
* Thu Nov 10 2022 oneukum@suse.com
- PM: core: Remove static qualifier in DEFINE_SIMPLE_DEV_PM_OPS
  macro (git-fixes).
- commit 34f1483
* Thu Nov 10 2022 oneukum@suse.com
- mmc: mxc: Use the new PM macros (git-fixes).
- commit 1480bad
* Thu Nov 10 2022 oneukum@suse.com
- mmc: jz4740: Use the new PM macros (git-fixes).
- commit 0e7751d
* Thu Nov 10 2022 oneukum@suse.com
- PM: runtime: Capture device status before disabling runtime PM
  (git-fixes).
- commit 533efbb
* Thu Nov 10 2022 tbogendoerfer@suse.de
- sfc: Fix an error handling path in efx_pci_probe()
  (jsc#PED-1565).
- RDMA/qedr: clean up work queue on failure in
  qedr_alloc_resources() (jsc#PED-1529).
- RDMA/rxe: Fix mr leak in RESPST_ERR_RNR (jsc#PED-1111).
- net/mlx5e: Fix macsec sci endianness at rx sa update
  (jsc#PED-1549).
- net/mlx5e: Fix wrong bitwise comparison usage in
  macsec_fs_rx_add_rule function (jsc#PED-1549).
- net/mlx5e: Fix macsec rx security association (SA) update/delete
  (jsc#PED-1549).
- net/mlx5e: Fix macsec coverity issue at rx sa update
  (jsc#PED-1549).
- net/mlx5: Fix crash during sync firmware reset (jsc#PED-1549).
- net/mlx5: Update fw fatal reporter state on PCI handlers
  successful recover (jsc#PED-1549).
- net/mlx5e: TC, Fix cloned flow attr instance dests are not
  zeroed (jsc#PED-1549).
- net/mlx5e: TC, Reject forwarding from internal port to internal
  port (jsc#PED-1549).
- net/mlx5: Fix possible use-after-free in async command interface
  (jsc#PED-1549).
- net/mlx5: ASO, Create the ASO SQ with the correct timestamp
  format (jsc#PED-1549).
- net/mlx5e: Update restore chain id for slow path packets
  (jsc#PED-1549).
- net/mlx5e: Extend SKB room check to include PTP-SQ
  (jsc#PED-1549).
- net/mlx5: DR, Fix matcher disconnect error flow (jsc#PED-1549).
- net/mlx5: Wait for firmware to enable CRS before
  pci_restore_state (jsc#PED-1549).
- net/mlx5e: Do not increment ESN when updating IPsec ESN state
  (jsc#PED-1549).
- i40e: Fix flow-type by setting GL_HASH_INSET registers
  (jsc#PED-372).
- i40e: Fix VF hang when reset is triggered on another VF
  (jsc#PED-372).
- i40e: Fix ethtool rx-flow-hash setting for X722 (jsc#PED-372).
- net/mlx5e: Cleanup MACsec uninitialization routine
  (jsc#PED-1549).
- sfc: include vport_id in filter spec hash and equal()
  (jsc#PED-1565).
- bnxt_en: fix memory leak in bnxt_nvm_test() (jsc#PED-1495).
- sfc: Change VF mac via PF as first preference if available
  (jsc#PED-1565).
- i40e: Fix DMA mappings leak (jsc#PED-372).
- net/mlx5: Make ASO poll CQ usable in atomic context
  (jsc#PED-1549).
- scsi: qedf: Populate sysfs attributes for vport (jsc#PED-1524).
- RDMA/rxe: Remove error/warning messages from packet receiver
  path (jsc#PED-1111).
- RDMA/rxe: Remove redundant num_sge fields (jsc#PED-1111).
- RDMA/mlx5: Enable ATS support for MRs and umems (jsc#PED-1552).
- RDMA/mlx5: Add support for dmabuf to devx umem (jsc#PED-1552).
- RDMA/core: Add UVERBS_ATTR_RAW_FD (jsc#PED-1552).
- net/mlx5: Add IFC bits for mkey ATS (jsc#PED-1549).
- RDMA/rxe: Set pd early in mr alloc routines (jsc#PED-1111).
- RDMA/rxe: Add send_common_ack() helper (jsc#PED-1111).
- RDMA/rxe: Use members of generic struct in rxe_mr
  (jsc#PED-1111).
- IB: Set IOVA/LENGTH on IB_MR in core/uverbs layers
  (jsc#PED-1547).
- RDMA/mlx5: Remove duplicate assignment in umr_rereg_pas()
  (jsc#PED-1552).
- RDMA/rxe: convert pr_warn to pr_debug (jsc#PED-1111).
- RDMA/rxe: use %%u to print u32 variables (jsc#PED-1111).
- IB/mlx5: Support querying eswitch functions from DEVX
  (jsc#PED-1552).
- RDMA/siw: Add missing Kconfig selections (jsc#PED-1503).
- RDMA/rxe: Delete error messages triggered by incoming Read
  requests (jsc#PED-1111).
- RDMA/rxe: Remove the unused variable obj (jsc#PED-1111).
- RDMA/rxe: Remove an unused member from struct rxe_mr
  (jsc#PED-1111).
- IB/mlx5: Remove duplicate header inclusion related to ODP
  (jsc#PED-1552).
- IB/mlx5: Call io_stop_wc() after writing to WC MMIO
  (jsc#PED-1552).
- net/mlx5: E-Switch, Return EBUSY if can't get mode lock
  (jsc#PED-1549).
- net/mlx5: E-switch, Don't update group if qos is not enabled
  (jsc#PED-1549).
- net/mlx5: E-Switch, Allow offloading fwd dest flow table with
  vport (jsc#PED-1549).
- net/mlx5: Set default grace period based on function type
  (jsc#PED-1549).
- net/mlx5: Start health poll at earlier stage of driver load
  (jsc#PED-1549).
- net/mlx5e: Expose rx_oversize_pkts_buffer counter
  (jsc#PED-1549).
- net/mlx5e: xsk: Optimize for unaligned mode with 3072-byte
  frames (jsc#PED-1549).
- net/mlx5e: xsk: Print a warning in slow configurations
  (jsc#PED-1549).
- net/mlx5e: xsk: Use KLM to protect frame overrun in unaligned
  mode (jsc#PED-1549).
- net/mlx5e: Improve MTT/KSM alignment (jsc#PED-1549).
- net/mlx5e: xsk: Use umr_mode to calculate striding RQ parameters
  (jsc#PED-1549).
- net/mlx5e: xsk: Improve need_wakeup logic (jsc#PED-1549).
- net/mlx5e: xsk: Include XSK skb_from_cqe callbacks in
  INDIRECT_CALL (jsc#PED-1549).
- net/mlx5e: xsk: Set napi_id to support busy polling
  (jsc#PED-1549).
- net/mlx5e: xsk: Flush RQ on XSK activation to save memory
  (jsc#PED-1549).
- net/mlx5e: xsk: Use queue indices starting from 0 for XSK queues
  (jsc#PED-1549).
- net/mlx5e: Introduce the mlx5e_flush_rq function (jsc#PED-1549).
- net/mlx5e: xsk: Support XDP metadata on XSK RQs (jsc#PED-1549).
- net/mlx5e: Optimize RQ page deallocation (jsc#PED-1549).
- net/mlx5e: Call mlx5e_page_release_dynamic directly where
  possible (jsc#PED-1549).
- net/mlx5e: Use non-XSK page allocator in SHAMPO (jsc#PED-1549).
- net/mlx5e: xsk: Use xsk_buff_alloc_batch on striding RQ
  (jsc#PED-1549).
- net/mlx5e: xsk: Use xsk_buff_alloc_batch on legacy RQ
  (jsc#PED-1549).
- net/mlx5e: xsk: Split out WQE allocation for legacy XSK RQ
  (jsc#PED-1549).
- net/mlx5e: Remove the outer loop when allocating legacy RQ WQEs
  (jsc#PED-1549).
- net/mlx5e: xsk: Use partial batches in legacy RQ with XSK
  (jsc#PED-1549).
- net/mlx5e: Use partial batches in legacy RQ (jsc#PED-1549).
- net/mlx5e: Make the wqe_index_mask calculation more exact
  (jsc#PED-1549).
- net/mlx5e: Introduce wqe_index_mask for legacy RQ
  (jsc#PED-1549).
- net/mlx5e: xsk: Drop the check for XSK state in mlx5e_xsk_wakeup
  (jsc#PED-1549).
- net/mlx5e: xsk: Use mlx5e_trigger_napi_icosq for XSK wakeup
  (jsc#PED-1549).
- net/mlx5e: Clean up and fix error flows in mlx5e_alloc_rq
  (jsc#PED-1549).
- net/mlx5e: Move repeating clear_bit in
  mlx5e_rx_reporter_err_rq_cqe_recover (jsc#PED-1549).
- net/mlx5e: Split out channel (de)activation in rx_res
  (jsc#PED-1549).
- net/mlx5e: xsk: Remove mlx5e_xsk_page_alloc_pool (jsc#PED-1549).
- net/mlx5e: Convert struct mlx5e_alloc_unit to a union
  (jsc#PED-1549).
- net/mlx5e: Remove DMA address from mlx5e_alloc_unit
  (jsc#PED-1549).
- net/mlx5e: Rename mlx5e_dma_info to prepare for removal of
  DMA address (jsc#PED-1549).
- net/mlx5e: Optimize the page cache reducing its size 2x
  (jsc#PED-1549).
- net/mlx5e: Fix calculations for ICOSQ size (jsc#PED-1549).
- net/mlx5e: xsk: Use KSM for unaligned XSK (jsc#PED-1549).
- net/mlx5: Add MLX5_FLEXIBLE_INLEN to safely calculate cmd inlen
  (jsc#PED-1549).
- net/mlx5e: Keep a separate MKey for striding RQ (jsc#PED-1549).
- net/mlx5e: xsk: Use XSK frame size as striding RQ page size
  (jsc#PED-1549).
- net/mlx5e: Use runtime page_shift for striding RQ
  (jsc#PED-1549).
- xsk: Expose min chunk size to drivers (jsc#PED-1549).
- net/mlx5: Fix spelling mistake "syndrom" -> "syndrome"
  (jsc#PED-1549).
- bnx2: Fix spelling mistake "bufferred" -> "buffered"
  (jsc#PED-1187).
- ice: Add support for VLAN priority filters in switchdev
  (jsc#PED-376).
- ice: support features on new E810T variants (jsc#PED-376).
- ice: Merge pin initialization of E810 and E810T adapters
  (jsc#PED-376).
- net/mlx5e: Use runtime values of striding RQ parameters in
  datapath (jsc#PED-1549).
- net/mlx5e: Make dma_info array dynamic in struct mlx5e_mpw_info
  (jsc#PED-1549).
- net/mlx5e: Improve the MTU change shortcut (jsc#PED-1549).
- net/mlx5e: xsk: Fix SKB headroom calculation in validation
  (jsc#PED-1549).
- net/mlx5e: xsk: Remove dead code in validation (jsc#PED-1549).
- net/mlx5e: Simplify stride size calculation for linear RQ
  (jsc#PED-1549).
- net/mlx5e: kTLS, Check ICOSQ WQE size in advance (jsc#PED-1549).
- net/mlx5e: Use the aligned max TX MPWQE size (jsc#PED-1549).
- net/mlx5e: Fix a typo in mlx5e_xdp_mpwqe_is_full (jsc#PED-1549).
- net/mlx5e: Use mlx5e_stop_room_for_max_wqe where appropriate
  (jsc#PED-1549).
- net/mlx5e: Let mlx5e_get_sw_max_sq_mpw_wqebbs accept mdev
  (jsc#PED-1549).
- net/mlx5e: Make mlx5e_verify_rx_mpwqe_strides static
  (jsc#PED-1549).
- net/mlx5e: Remove unused fields from datapath structs
  (jsc#PED-1549).
- net/mlx5e: Convert mlx5e_get_max_sq_wqebbs to u8 (jsc#PED-1549).
- net/mlx5: Add the log_min_mkey_entity_size capability
  (jsc#PED-1549).
- net/mlx5: Remove from FPGA IFC file not-needed definitions
  (jsc#PED-1549).
- net/mlx5: Remove unused structs (jsc#PED-1549).
- net/mlx5: Remove unused functions (jsc#PED-1549).
- net/mlx5: detect and enable bypass port select flow table
  (jsc#PED-1549).
- net/mlx5: Lag, enable hash mode by default for all NICs
  (jsc#PED-1549).
- net/mlx5: Lag, set active ports if support bypass port select
  flow table (jsc#PED-1549).
- RDMA/mlx5: Don't set tx affinity when lag is in hash mode
  (jsc#PED-1549).
- net/mlx5: add IFC bits for bypassing port select flow table
  (jsc#PED-1549).
- net/mlx5: Add support for NPPS with real time mode
  (jsc#PED-1549).
- net/mlx5: Expose NPPS related registers (jsc#PED-1549).
- net/mlx5: Query ADV_VIRTUALIZATION capabilities (jsc#PED-1549).
- net/mlx5: Introduce ifc bits for page tracker (jsc#PED-1549).
- RDMA/mlx5: Move function mlx5_core_query_ib_ppcnt() to mlx5_ib
  (jsc#PED-1549).
- sfc: bare bones TC offload on EF100 (jsc#PED-1565).
- sfc: interrogate MAE capabilities at probe time (jsc#PED-1565).
- sfc: add a hashtable for offloaded TC rules (jsc#PED-1565).
- sfc: optional logging of TC offload errors (jsc#PED-1565).
- sfc: bind indirect blocks for TC offload on EF100
  (jsc#PED-1565).
- sfc: bind blocks for TC offload on EF100 (jsc#PED-1565).
- ice: reorder PF/representor devlink port register/unregister
  flows (jsc#PED-376).
- macsec: don't free NULL metadata_dst (jsc#PED-1549).
- net: macsec: remove the prepare flag from the MACsec offloading
  context (jsc#PED-1549).
- net/mlx5e: macsec: remove checks on the prepare phase
  (jsc#PED-1549).
- net: atlantic: macsec: remove checks on the prepare phase
  (jsc#PED-1549).
- net: phy: mscc: macsec: remove checks on the prepare phase
  (jsc#PED-1549).
- net: macsec: remove the prepare phase when offloading
  (jsc#PED-1549).
- net: atlantic: macsec: make the prepare phase a noop
  (jsc#PED-1549).
- net: phy: mscc: macsec: make the prepare phase a noop
  (jsc#PED-1549).
- net/mlx5e: Support MACsec offload replay window (jsc#PED-1549).
- net/mlx5e: Support MACsec offload extended packet number (EPN)
  (jsc#PED-1549).
- net/mlx5e: Move MACsec initialization from profile init stage
  to profile enable stage (jsc#PED-1549).
- net/mlx5e: Create advanced steering operation (ASO) object
  for MACsec (jsc#PED-1549).
- net/mlx5e: Expose memory key creation (mkey) function
  (jsc#PED-1549).
- net/mlx5: Add ifc bits for MACsec extended packet number (EPN)
  and replay protection (jsc#PED-1549).
- net/mlx5e: Fix MACsec initial packet number (jsc#PED-1549).
- net/mlx5e: Fix MACsec initialization error path (jsc#PED-1549).
- net/mlx5: Fix fields name prefix in MACsec (jsc#PED-1549).
- net: macsec: Expose extended packet number (EPN) properties
  to macsec offload (jsc#PED-1549).
- net/mlx5e: Support 256 bit keys with kTLS device offload
  (jsc#PED-1549).
- bnxt_en: replace reset with config timestamps (jsc#PED-1495).
- ice: Add low latency Tx timestamp read (jsc#PED-376).
- net/mlx5e: Ensure macsec_rule is always initiailized in
  macsec_fs_{r,t}x_add_rule() (jsc#PED-1549).
- ice: Add L2TPv3 hardware offload support (jsc#PED-376).
- flow_offload: Introduce flow_match_l2tpv3 (jsc#PED-376).
- flow_dissector: Add L2TPv3 dissectors (jsc#PED-376).
- net/mlx5e: Switch to kmemdup() when allocate dev_addr
  (jsc#PED-1549).
- net/mlx5e: add missing error code in error path (jsc#PED-1549).
- igc: Remove IGC_MDIC_INT_EN definition (jsc#PED-375).
- drivers/net/ethernet/e1000e: check return value of e1e_rphy()
  (jsc#PED-837).
- sfc: introduce shutdown entry point in efx pci driver
  (jsc#PED-1565).
- iavf: Fix race between iavf_close and iavf_reset_task
  (jsc#PED-835).
- i40e: add description and modify interrupts configuration
  procedure (jsc#PED-372).
- i40e: Add basic support for I710 devices (jsc#PED-372).
- ice: Simplify memory allocation in ice_sched_init_port()
  (jsc#PED-376).
- ice: switch: Simplify memory allocation (jsc#PED-376).
- ice: add helper function to check FW API version (jsc#PED-376).
- ice: Check if reset in progress while waiting for offsets
  (jsc#PED-376).
- net/mlx5e: Add support to configure more than one macsec
  offload device (jsc#PED-1549).
- net/mlx5e: Add MACsec stats support for Rx/Tx flows
  (jsc#PED-1549).
- net/mlx5e: Add MACsec offload SecY support (jsc#PED-1549).
- net/mlx5e: Implement MACsec Rx data path using MACsec
  skb_metadata_dst (jsc#PED-1549).
- net/mlx5e: Add MACsec RX steering rules (jsc#PED-1549).
- net/mlx5: Add MACsec Rx tables support to fs_core
  (jsc#PED-1549).
- net/mlx5e: Add MACsec offload Rx command support (jsc#PED-1549).
- net/mlx5e: Implement MACsec Tx data path using MACsec
  skb_metadata_dst (jsc#PED-1549).
- net/mlx5e: Add MACsec TX steering rules (jsc#PED-1549).
- net/mlx5: Add MACsec Tx tables support to fs_core
  (jsc#PED-1549).
- net/mlx5: Introduce MACsec Connect-X offload hardware bits
  and structures (jsc#PED-1549).
- net/mlx5: Generalize Flow Context for new crypto fields
  (jsc#PED-1549).
- net/mlx5: Removed esp_id from struct mlx5_flow_act
  (jsc#PED-1549).
- net/macsec: Move some code for sharing with various drivers
  that implements offload (jsc#PED-1549).
- net/macsec: Add MACsec skb_metadata_dst Rx Data path support
  (jsc#PED-1549).
- net/macsec: Add MACsec skb_metadata_dst Tx Data path support
  (jsc#PED-1549).
- sfc: support PTP over Ethernet (jsc#PED-1565).
- sfc: support PTP over IPv6/UDP (jsc#PED-1565).
- sfc: allow more flexible way of adding filters for PTP
  (jsc#PED-1565).
- net/mlx5e: Do not use err uninitialized in
  mlx5e_rep_add_meta_tunnel_rule() (jsc#PED-1549).
- net/mlx4: Fix error check for dma_map_sg (jsc#PED-1548).
- mlx4: Do type_clear() for devlink ports when type_set() was
  called previously (jsc#PED-1548).
- ice: Print human-friendly PHY types (jsc#PED-376).
- ice: Implement devlink port split operations (jsc#PED-376).
- ice: Add additional flags to ice_nvm_write_activate
  (jsc#PED-376).
- ice: Add port option admin queue commands (jsc#PED-376).
- ice: Add support for ip TTL & ToS offload (jsc#PED-376).
- net/mlx5: TC, Add support for SF tunnel offload (jsc#PED-1549).
- net/mlx5: E-Switch, Move send to vport meta rule creation
  (jsc#PED-1549).
- net/mlx5: E-Switch, Split creating fdb tables into smaller
  chunks (jsc#PED-1549).
- net/mlx5: E-Switch, Add default drop rule for unmatched packets
  (jsc#PED-1549).
- net/mlx5e: Completely eliminate priv from fs.h (jsc#PED-1549).
- net/mlx5e: Make all ttc functions of en_fs get fs struct as
  argument (jsc#PED-1549).
- net/mlx5e: Make flow steering arfs independent of priv
  (jsc#PED-1549).
- net/mlx5e: Introduce flow steering debug macros (jsc#PED-1549).
- net/mlx5e: Separate ethtool_steering from fs.h and make private
  (jsc#PED-1549).
- net/mlx5e: Directly get flow_steering struct as input when
  init/cleanup ethtool steering (jsc#PED-1549).
- net/mlx5e: Convert ethtool_steering member of flow_steering
  struct to pointer (jsc#PED-1549).
- net/mlx5e: Drop priv argument of ptp function in en_fs
  (jsc#PED-1549).
- net/mlx5e: Decouple fs_tcp from en.h (jsc#PED-1549).
- net/mlx5e: Decouple fs_tt_redirect from en.h (jsc#PED-1549).
- net/mlx5e: Introduce flow steering API (jsc#PED-1549).
- ixgbe: Manual AN-37 for troublesome link partners for X550 SFI
  (jsc#PED-373).
- ixgbe: Don't call kmap() on page allocated with GFP_ATOMIC
  (jsc#PED-373).
- ice: remove non-inclusive language (jsc#PED-376).
- ice: Remove ucast_shared (jsc#PED-376).
- ice: Allow 100M speeds for some devices (jsc#PED-376).
- ice: Implement FCS/CRC and VLAN stripping co-existence policy
  (jsc#PED-376).
- ice: Implement control of FCS/CRC stripping (jsc#PED-376).
- igc: add xdp frags support to ndo_xdp_xmit (jsc#PED-375).
- net: macsec: Expose MACSEC_SALT_LEN definition to user space
  (jsc#PED-1549).
- ice: introduce ice_ptp_reset_cached_phctime function
  (jsc#PED-376).
- ice: re-arrange some static functions in ice_ptp.c
  (jsc#PED-376).
- ice: track and warn when PHC update is late (jsc#PED-376).
- ice: track Tx timestamp stats similar to other Intel drivers
  (jsc#PED-376).
- ice: initialize cached_phctime when creating Rx rings
  (jsc#PED-376).
- ice: set tx_tstamps when creating new Tx rings via ethtool
  (jsc#PED-376).
- vdpa/mlx5: Fix MQ to support non power of two num queues
  (jsc#PED-1549).
- ice: xsk: drop power of 2 ring size restriction for AF_XDP
  (jsc#PED-376).
- ice: xsk: change batched Tx descriptor cleaning (jsc#PED-376).
- sfc: correct filter_table_remove method for EF10 PFs
  (jsc#PED-1565).
- bnxt: prevent skb UAF after handing over to PTP worker
  (jsc#PED-1495).
- ice: Fix interface being down after reset with
  link-down-on-close flag on (jsc#PED-376).
- ice: config netdev tc before setting queues number
  (jsc#PED-376).
- ice: Fix ice_xdp_xmit() when XDP TX queue number is not
  sufficient (jsc#PED-376).
- i40e: Fix set max_tx_rate when it is lower than 1 Mbps
  (jsc#PED-372).
- i40e: Fix VF set max MTU size (jsc#PED-372).
- iavf: Fix set max MTU size with port VLAN and jumbo frames
  (jsc#PED-835).
- iavf: Fix bad page state (jsc#PED-835).
- sfc/siena: fix null pointer dereference in efx_hard_start_xmit
  (jsc#PED-1565).
- sfc/siena: fix TX channel offset when using legacy interrupts
  (jsc#PED-1565).
- bnxt_en: fix flags to check for supported fw version
  (jsc#PED-1495).
- sfc: fix null pointer dereference in efx_hard_start_xmit
  (jsc#PED-1565).
- sfc: fix TX channel offset when using legacy interrupts
  (jsc#PED-1565).
- iavf: Fix cached head and tail value for iavf_get_tx_pending
  (jsc#PED-835).
- iavf: Fix change VF's mac address (jsc#PED-835).
- ice: Fix crash by keep old cfg when update TCs more than queues
  (jsc#PED-376).
- ice: Don't double unplug aux on peer initiated reset
  (jsc#PED-376).
- RDMA/irdma: Use s/g array in post send only when its valid
  (jsc#PED-377).
- RDMA/mlx5: Fix UMR cleanup on error flow of driver init
  (jsc#PED-1552).
- RDMA/mlx5: Set local port to one when accessing counters
  (jsc#PED-1552).
- RDMA/mlx5: Rely on RoCE fw cap instead of devlink when setting
  profile (jsc#PED-1549).
- RDMA/irdma: Fix drain SQ hang with no completion (jsc#PED-377).
- iavf: Detach device during reset task (jsc#PED-835).
- i40e: Fix kernel crash during module removal (jsc#PED-372).
- i40e: Fix ADQ rate limiting for PF (jsc#PED-372).
- ice: use bitmap_free instead of devm_kfree (jsc#PED-376).
- ice: Fix DMA mappings leak (jsc#PED-376).
- Revert "net: macsec: update SCI upon MAC address
  change." (jsc#PED-1549).
- macsec: Fix traffic counters/statistics (jsc#PED-1549).
- RDMA/rxe: Split qp state for requester and completer
  (jsc#PED-1111).
- RDMA/rxe: Generate error completion for error requester QP state
  (jsc#PED-1111).
- RDMA/rxe: Update wqe_index for each wqe error completion
  (jsc#PED-1111).
- Revert "RDMA/rxe: Create duplicate mapping tables for FMRs"
  (jsc#PED-1111).
- RDMA/rxe: Replace __rxe_do_task by rxe_run_task (jsc#PED-1111).
- RDMA/rxe: Limit the number of calls to each tasklet
  (jsc#PED-1111).
- RDMA/rxe: Make the tasklet exits the same (jsc#PED-1111).
- RDMA/rxe: Add rxe_is_fenced() subroutine (jsc#PED-1111).
- RDMA/rxe: Fix spelling mistake in error print (jsc#PED-1111).
- RDMA/rxe: Remove unused qp parameter (jsc#PED-1111).
- RDMA/rxe: Remove unused mask parameter (jsc#PED-1111).
- RDMA/rxe: Rename rxe_atomic_reply to atomic_reply
  (jsc#PED-1111).
- RDMA/rxe: Add common rxe_prepare_res() (jsc#PED-1111).
- RDMA/rxe: Fix BUG: KASAN: null-ptr-deref in rxe_qp_do_cleanup
  (jsc#PED-1111).
- RDMA/rxe: Remove unnecessary include statement (jsc#PED-1111).
- RDMA/rxe: Replace include statement (jsc#PED-1111).
- RDMA/rxe: Convert pr_warn/err to pr_debug in pyverbs
  (jsc#PED-1111).
- RDMA/rxe: Merge normal and retry atomic flows (jsc#PED-1111).
- RDMA/rxe: Move atomic original value to res (jsc#PED-1111).
- RDMA/rxe: Move atomic responder res to atomic_reply
  (jsc#PED-1111).
- RDMA/rxe: Add a responder state for atomic reply (jsc#PED-1111).
- RDMA/rxe: Move code to rxe_prepare_atomic_res() (jsc#PED-1111).
- RDMA/rxe: Convert read side locking to rcu (jsc#PED-1111).
- RDMA/rxe: Stop lookup of partially built objects (jsc#PED-1111).
- RDMA/rxe: Remove useless pkt parameters (jsc#PED-1111).
- RDMA/rxe: fix xa_alloc_cycle() error return value check again
  (jsc#PED-1111).
- net/mlx5e: Fix wrong use of skb_tcp_all_headers() with
  encapsulation (jsc#PED-1549).
- net: phy: mxl-gpy: print firmware in human readable form
  (jsc#PED-829).
- net: phy: mxl-gpy: rename the FW type field name (jsc#PED-829).
- net: phy: mxl-gpy: cache PHY firmware version (jsc#PED-829).
- net: phy: mxl-gpy: fix version reporting (jsc#PED-829).
- net: phy: add support to get Master-Slave configuration
  (jsc#PED-829).
- net/mlx5e: Fix matchall police parameters validation
  (jsc#PED-1549).
- net/sched: act_police: allow 'continue' action offload
  (jsc#PED-1549).
- macsec: fix UAF bug for real_dev (jsc#PED-1549).
- RDMA/rxe: Fix an error handling path in rxe_get_mcg()
  (jsc#PED-1111).
- RDMA/rxe: Enforce IBA C11-17 (jsc#PED-1111).
- RDMA/rxe: Move mw cleanup code to rxe_mw_cleanup()
  (jsc#PED-1111).
- RDMA/rxe: Move mr cleanup code to rxe_mr_cleanup()
  (jsc#PED-1111).
- RDMA/rxe: Move qp cleanup code to rxe_qp_do_cleanup()
  (jsc#PED-1111).
- RDMA/rxe: Check rxe_get() return value (jsc#PED-1111).
- RDMA/rxe: Add rxe_srq_cleanup() (jsc#PED-1111).
- RDMA/rxe: Remove IB_SRQ_INIT_MASK (jsc#PED-1111).
- RDMA/rxe: Skip adjusting remote addr for write in retry
  operation (jsc#PED-1111).
- RDMA/rxe: Optimize the mr pool struct (jsc#PED-1111).
- RDMA/rxe: Replace paylen by payload (jsc#PED-1111).
- RDMA/rxe: Remove useless parameters for update_state()
  (jsc#PED-1111).
- RDMA/rxe: Remove reliable datagram support (jsc#PED-1111).
- RDMA/rxe: Remove support for SMI QPs from rdma_rxe
  (jsc#PED-1111).
- RDMA/rxe: Remove mc_grp_pool from struct rxe_dev (jsc#PED-1111).
- RDMA/rxe: Remove type 2A memory window capability
  (jsc#PED-1111).
- net/sched: act_police: Add extack messages for offload failure
  (jsc#PED-1549).
- net/sched: act_api: Add extack to offload_act_setup() callback
  (jsc#PED-1549).
- net/sched: flower: Take verbose flag into account when logging
  error messages (jsc#PED-1549).
- net/sched: matchall: Take verbose flag into account when
  logging error messages (jsc#PED-1549).
- lib: add generic polynomial calculation (jsc#PED-829).
- RDMA/rxe: Change mcg_lock to a _bh lock (jsc#PED-1111).
- RDMA/rxe: Do not call  dev_mc_add/del() under a spinlock
  (jsc#PED-1111).
- RDMA/rxe: Recheck the MR in when generating a READ reply
  (jsc#PED-1111).
- RDMA/rxe: Fix "Replace mr by rkey in responder resources"
  (jsc#PED-1111).
- RDMA/rxe: Use standard names for ref counting (jsc#PED-1111).
- RDMA/rxe: Replace red-black trees by xarrays (jsc#PED-1111).
- RDMA/rxe: Shorten pool names in rxe_pool.c (jsc#PED-1111).
- RDMA/rxe: Move max_elem into rxe_type_info (jsc#PED-1111).
- RDMA/rxe: Replace obj by elem in declaration (jsc#PED-1111).
- RDMA/rxe: Delete _locked() APIs for pool objects (jsc#PED-1111).
- RDMA/rxe: Reverse the sense of RXE_POOL_NO_ALLOC (jsc#PED-1111).
- RDMA/rxe: Replace mr by rkey in responder resources
  (jsc#PED-1111).
- RDMA/rxe: Remove useless argument for update_state()
  (jsc#PED-1111).
- RDMA/rxe: Cleanup rxe_mcast.c (jsc#PED-1111).
- RDMA/rxe: Collect cleanup mca code in a subroutine
  (jsc#PED-1111).
- RDMA/rxe: Collect mca init code in a subroutine (jsc#PED-1111).
- RDMA/rxe: Warn if mcast memory is not freed (jsc#PED-1111).
- RDMA/rxe: Remove mcg from rxe pools (jsc#PED-1111).
- RDMA/rxe: Remove key'ed object support (jsc#PED-1111).
- RDMA/rxe: Replace pool key by rxe->mcg_tree (jsc#PED-1111).
- RDMA/rxe: Replace int num_qp by atomic_t qp_num (jsc#PED-1111).
- RDMA/rxe: Replace grp by mcg, mce by mca (jsc#PED-1111).
- RDMA/rxe: Use kzmalloc/kfree for mca (jsc#PED-1111).
- RDMA/rxe: Move mcg_lock to rxe (jsc#PED-1111).
- RDMA/rxe: Revert changes from irqsave to bh locks
  (jsc#PED-1111).
- RDMA/rxe: Remove rxe_drop_all_macst_groups (jsc#PED-1111).
- RDMA/rxe: Enforce IBA o10-2.2.3 (jsc#PED-1111).
- RDMA/rxe: Rename rxe_mc_grp and rxe_mc_elem (jsc#PED-1111).
- RDMA/rxe: Move rxe_mcast_attach/detach to rxe_mcast.c
  (jsc#PED-1111).
- RDMA/rxe: Move rxe_mcast_add/delete to rxe_mcast.c
  (jsc#PED-1111).
- RDMA/rxe: Delete useless module.h include (jsc#PED-1111).
- net: phy: exported the genphy_read_master_slave function
  (jsc#PED-829).
- flow_offload: improve extack msg for user when adding invalid
  filter (jsc#PED-1549).
- net: sched: avoid newline at end of message in
  NL_SET_ERR_MSG_MOD (jsc#PED-1549).
- net: sched: limit TC_ACT_REPEAT loops (jsc#PED-1549).
- asm-generic: Add missing brackets for io_stop_wc macro
  (jsc#PED-1552).
- hash.h: remove unused define directive (jsc#PED-1111).
- RDMA/rxe: Use the standard method to produce udp source port
  (jsc#PED-1111).
- RDMA/rxe: Delete deprecated module parameters interface
  (jsc#PED-1111).
- RDMA/rxe: Fix indentations and operators sytle (jsc#PED-1111).
- RDMA/rxe: Remove the unused xmit_errors member (jsc#PED-1111).
- RDMA/rxe: Remove redundant err variable (jsc#PED-1111).
- RDMA/ocrdma: Remove unneeded variable (jsc#PED-1695).
- RDMA/ocrdma: Simplify code in 'ocrdma_search_mmap()'
  (jsc#PED-1695).
- RDMA/ocrdma: Use bitmap_zalloc() when applicable (jsc#PED-1695).
- RDMA/rxe: Remove some #defines from rxe_pool.h (jsc#PED-1111).
- RDMA/rxe: Remove #include "rxe_loc.h" from rxe_pool.c
  (jsc#PED-1111).
- RDMA/rxe: Save object pointer in pool element (jsc#PED-1111).
- RDMA/rxe: Copy setup parameters into rxe_pool (jsc#PED-1111).
- RDMA/rxe: Replace irqsave locks with bh locks (jsc#PED-1111).
- RDMA/ocrdma: Use helper function to set GUIDs (jsc#PED-1695).
- flow_offload: fix suspicious RCU usage when offloading tc action
  (jsc#PED-1549).
- asm-generic: introduce io_stop_wc() and add implementation
  for ARM64 (jsc#PED-1552).
- net: phy: Remove unused including <linux/version.h>
  (jsc#PED-829).
- commit fac2fda
* Thu Nov 10 2022 mgorman@suse.de
- x86/insn: Add AMX instructions to the x86 instruction decoder
  (bnc#1205282).
- commit 4ba8580
* Thu Nov 10 2022 oneukum@suse.com
- usb: gadget: uvc: decrease the interrupt load to a quarter
  (git-fixes).
- commit d4215d5
* Thu Nov 10 2022 oneukum@suse.com
- usb: gadget: uvc: add scatter gather support (git-fixes).
- commit 8256025
* Thu Nov 10 2022 oneukum@suse.com
- usb: gadget: uvc: make uvc_num_requests depend on gadget speed
  (git-fixes).
- commit 12e1352
* Thu Nov 10 2022 firo.yang@suse.com
- ipv6: ping: fix wrong checksum for large frames (bsc#1203183).
- commit f29a164
* Thu Nov 10 2022 ddiss@suse.de
- io_uring: disable polling signalfd pollfree files (CVE-2022-3176
  bsc#1203391).
- commit ff11e05
* Thu Nov 10 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 52ff77d
* Thu Nov 10 2022 oneukum@suse.com
- usb: typec: ucsi: acpi: Implement resume callback (git-fixes).
- commit 0b832f1
* Thu Nov 10 2022 oneukum@suse.com
- blacklist.conf: prerequisites would break kABI
- commit 3f3b1f5
* Thu Nov 10 2022 hare@suse.de
- virtio_blk: add error handling support for add_disk()
  (jsc#PED-1183).
- Refresh
  patches.suse/Revert-virtio-blk-Add-validation-for-block-size-in-c.patch.
- commit 5f63f70
* Thu Nov 10 2022 hare@suse.de
- block: inherit request start time from bio for BLK_CGROUP
  (jsc#PED-1183).
- block: move blk-throtl fast path inline (jsc#PED-1183).
- commit 6137b58
* Wed Nov  9 2022 krisman@suse.de
- io_uring: optimise io_prep_linked_timeout() (bnc#1205205).
- io_uring: cancel not-armed linked touts separately
  (bnc#1205205).
- io_uring: simplify io_prep_linked_timeout (bnc#1205205).
- io_uring: kill REQ_F_LTIMEOUT_ACTIVE (bnc#1205205).
  - Update patches.suse/io_uring-Fix-undefined-behaviour-in-io_issue_sqe.patch
  - Update patches.suse/io_uring-fix-race-between-timeout-flush-and-removal.patch
- io_uring: deduplicate cancellation code (bnc#1205205).
- io_uring: kill not necessary resubmit switch (bnc#1205205).
- io_uring: optimise initial ltimeout refcounting (bnc#1205205).
- io_uring: don't inflight-track linked timeouts (bnc#1205205).
  - Update patches.suse/io_uring-Fix-undefined-behaviour-in-io_issue_sqe.patch
  - Update patches.suse/io_uring-fix-race-between-timeout-flush-and-removal.patch
- io_uring: optimise iowq refcounting (bnc#1205205).
- io_uring: remove files pointer in cancellation functions
  (bnc#1205205).
- io_uring: extract io_uring_files_cancel() in
  io_uring_task_cancel() (bnc#1205205).
- commit 8175601
* Wed Nov  9 2022 mbrugger@suse.com
- mmc: sdhci-tegra: Use actual clock rate for SW tuning correction
  (jsc#PED-1763).
- Update config files.
- usb: typec: ucsi_ccg: Disable UCSI ALT support on Tegra
  (jsc#PED-1763).
- dt-bindings: Add Host1x context stream IDs on Tegra234
  (jsc#PED-1763).
- soc/tegra: cbb: Add driver for Tegra234 CBB 2.0 (jsc#PED-1763).
- soc/tegra: cbb: Add CBB 1.0 driver for Tegra194 (jsc#PED-1763).
- soc/tegra: Set ERD bit to mask inband errors (jsc#PED-1763).
- soc/tegra: fuse: Add missing of_node_put() (jsc#PED-1763).
- soc/tegra: fuse: Add missing of_node_put() in tegra_init_fuse()
  (jsc#PED-1763).
- ASoC: tegra: Add Tegra210 based OPE driver (jsc#PED-1763).
- mmc: sdhci-tegra: Use of_device_get_match_data() helper
  (jsc#PED-1763).
- mmc: sdhci-tegra: Enable wake on SD card event (jsc#PED-1763).
- mmc: sdhci-tegra: Add runtime PM and OPP support (jsc#PED-1763).
  Refresh
  patches.suse/mmc-sdhci-tegra-Fix-SDHCI_RESET_ALL-for-CQHCI.patch.
- commit 544119d
* Wed Nov  9 2022 krisman@suse.de
- io_uring: optimise hot path of ltimeout prep (bnc#1205205).
- io_uring: skip request refcounting (bnc#1205205).
- io_uring: remove submission references (bnc#1205205).
- io_uring: remove req_ref_sub_and_test() (bnc#1205205).
- io_uring: move req_ref_get() and friends (bnc#1205205).
- commit a6d17c7
* Wed Nov  9 2022 oneukum@suse.com
- usb: typec: ucsi: Check the connection on resume (git-fixes).
- commit 94056b2
* Wed Nov  9 2022 oneukum@suse.com
- blacklist.conf: this patch would need an inordinary number of
  prerequisites for a race in a corner case
- commit 4987ef8
* Wed Nov  9 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 29e4b4e
* Wed Nov  9 2022 hare@suse.de
- blk-mq: Add blk_mq_alloc_map_and_rqs() (jsc#PED-1183).
- blk-mq: Add blk_mq_tag_update_sched_shared_sbitmap()
  (jsc#PED-1183).
- blk-mq: Don't clear driver tags own mapping (jsc#PED-1183).
- blk-mq: Pass driver tags to blk_mq_clear_rq_mapping()
  (jsc#PED-1183).
- blk-mq-sched: Rename blk_mq_sched_free_{requests -> rqs}()
  (jsc#PED-1183).
- blk-mq-sched: Rename blk_mq_sched_alloc_{tags -> map_and_rqs}()
  (jsc#PED-1183).
- blk-mq: Invert check in blk_mq_update_nr_requests()
  (jsc#PED-1183).
- blk-mq: Relocate shared sbitmap resize in
  blk_mq_update_nr_requests() (jsc#PED-1183).
- commit 8bfc591
* Wed Nov  9 2022 hare@suse.de
- block: Rename BLKDEV_MAX_RQ -> BLKDEV_DEFAULT_RQ (jsc#PED-1183).
- Refresh patches.suse/block-Provide-blk_mq_sched_get_icq.patch.
- commit 52ac9ca
* Wed Nov  9 2022 hare@suse.de
- blk-mq: Change rqs check in blk_mq_free_rqs() (jsc#PED-1183).
- commit 386aed8
* Wed Nov  9 2022 hare@suse.de
- block: print the current process in handle_bad_sector
  (jsc#PED-1183).
- commit 3c96a17
* Wed Nov  9 2022 tiwai@suse.de
- Update patch metadata for media fix (CVE-2022-3903 bsc#1205220)
- commit 899a453
* Wed Nov  9 2022 hare@suse.de
- block/mq-deadline: Stop using per-CPU counters (jsc#PED-1183).
- block/mq-deadline: Add an invariant check (jsc#PED-1183).
- commit 8b4880d
* Wed Nov  9 2022 hare@suse.de
- block: move some macros to blkdev.h (jsc#PED-1183).
- commit 0c6d0ca
* Wed Nov  9 2022 hare@suse.de
- block: move integrity handling out of <linux/blkdev.h>
  (jsc#PED-1183).
- Refresh
  patches.suse/block-don-t-merge-across-cgroup-boundaries-if-blkcg-.patch.
- Refresh
  patches.suse/mm-don-t-include-linux-memremap.h-in-linux-mm.h.patch.
- commit 4916dfc
* Wed Nov  9 2022 jgross@suse.com
- x86/tdx: Panic on bad configs that #VE on "private" memory
  access (jsc#PED-342).
- commit a423135
* Wed Nov  9 2022 tiwai@suse.de
- capabilities: fix undefined behavior in bit shift for
  CAP_TO_MASK (git-fixes).
- capabilities: fix potential memleak on error path from
  vfs_getxattr_alloc() (git-fixes).
- commit 9091aa0
* Wed Nov  9 2022 jgross@suse.com
- x86/tdx: Prepare for using "INFO" call for a second purpose
  (jsc#PED-342).
- commit 4b44375
* Wed Nov  9 2022 jgross@suse.com
- x86/tdx: Handle load_unaligned_zeropad() page-cross to a shared
  page (jsc#PED-342).
- commit 19687ce
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Clarify RIP adjustments in #VE handler (jsc#PED-342).
- commit 0259aa5
* Tue Nov  8 2022 hare@suse.de
- block: move a few merge helpers out of <linux/blkdev.h>
  (jsc#PED-1183).
- block: drop unused includes in <linux/genhd.h> (jsc#PED-1183).
- block: drop unused includes in <linux/blkdev.h> (jsc#PED-1183).
- block: move elevator.h to block/ (jsc#PED-1183).
- block: remove the struct blk_queue_ctx forward declaration
  (jsc#PED-1183).
- block: remove the cmd_size field from struct request_queue
  (jsc#PED-1183).
- block: remove the unused blk_queue_state enum (jsc#PED-1183).
- block: remove the unused rq_end_sector macro (jsc#PED-1183).
- sched: move the <linux/blkdev.h> include out of
  kernel/sched/sched.h (jsc#PED-1183).
- kernel: remove spurious blkdev.h includes (jsc#PED-1183).
- arch: remove spurious blkdev.h includes (jsc#PED-1183).
- mm: remove spurious blkdev.h includes (jsc#PED-1183).
- mm: don't include <linux/blkdev.h> in <linux/backing-dev.h>
  (jsc#PED-1183).
- mm: don't include <linux/blk-cgroup.h> in <linux/backing-dev.h>
  (jsc#PED-1183).
- mm: don't include <linux/blk-cgroup.h> in <linux/writeback.h>
  (jsc#PED-1183).
- commit f4c4b1a
* Tue Nov  8 2022 hare@suse.de
- dm ima: prefix ima event name related to device mapper with dm_
  (jsc#PED-1183).
- dm ima: add version info to dm related events in ima log
  (jsc#PED-1183).
- dm ima: prefix dm table hashes in ima log with hash algorithm
  (jsc#PED-1183).
- dm ima: measure data on device rename (jsc#PED-1183).
- dm ima: measure data on table clear (jsc#PED-1183).
- dm ima: measure data on device remove (jsc#PED-1183).
- dm ima: measure data on device resume (jsc#PED-1183).
- dm ima: measure data on table load (jsc#PED-1183).
- commit e6250e4
* Tue Nov  8 2022 hare@suse.de
- block: warn when putting the final reference on a registered
  (jsc#PED-1183).
- brd: reduce the brd_devices_mutex scope (jsc#PED-1183).
- kyber: avoid q->disk dereferences in trace points
  (jsc#PED-1183).
- block: keep q_usage_counter in atomic mode after del_gendisk
  (jsc#PED-1183).
- block: drain file system I/O on del_gendisk (jsc#PED-1183).
- block: split bio_queue_enter from blk_queue_enter
  (jsc#PED-1183).
- block: factor out a blk_try_enter_queue helper (jsc#PED-1183).
- block: call submit_bio_checks under q_usage_counter
  (jsc#PED-1183).
- commit 3c9365f
* Tue Nov  8 2022 hare@suse.de
- block: genhd: fix double kfree() in __alloc_disk_node()
  (jsc#PED-1183).
- scsi: bsg: Fix device unregistration (jsc#PED-1183).
- block: hold ->invalidate_lock in blkdev_fallocate
  (jsc#PED-1183).
- commit 502e581
* Tue Nov  8 2022 hare@suse.de
- block: move fs/block_dev.c to block/bdev.c (jsc#PED-1183).
- block: split out operations on block special files
  (jsc#PED-1183).
- bio: fix kerneldoc documentation for bio_alloc_kiocb()
  (jsc#PED-1183).
- cdrom: update uniform CD-ROM maintainership in MAINTAINERS file
  (jsc#PED-1183).
- commit 18be238
* Tue Nov  8 2022 hare@suse.de
- sg: pass the device name to blk_trace_setup (jsc#PED-1183).
- block, bfq: cleanup the repeated declaration (jsc#PED-1183).
- block: mark blkdev_fsync static (jsc#PED-1183).
- block: refine the disk_live check in del_gendisk (jsc#PED-1183).
- mmc: sdhci-tegra: Enable MMC_CAP2_ALT_GPT_TEGRA (jsc#PED-1183).
- mmc: block: Support alternative_gpt_sector() operation
  (jsc#PED-1183).
- partitions/efi: Support non-standard GPT location
  (jsc#PED-1183).
- block: Add alternative_gpt_sector() operation (jsc#PED-1183).
- commit 5f12e3d
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Fix early #VE handling (jsc#PED-342).
- commit bdcffa5
* Tue Nov  8 2022 lduncan@suse.com
- scsi: csiostor: Convert sysfs snprintf() to sysfs_emit()
  (jsc#PED-1504).
- scsi: csio: Stop using the SCSI pointer (jsc#PED-1504).
- commit 67b0269
* Tue Nov  8 2022 clin@suse.com
- crypto: hisilicon/qm: Set the VF QM state register
  (jsc#PED-1109).
- hisi_acc_vfio_pci: Add helper to retrieve the struct pci_driver
  (jsc#PED-1109).
- hisi_acc_qm: Move VF PCI device IDs to common header
  (jsc#PED-1109).
- crypto: hisilicon/qm: Move few definitions to common header
  (jsc#PED-1109).
- crypto: hisilicon/qm: Move the QM header to include/linux
  (jsc#PED-1109).
- crypto: hisilicon/qm - fix deadlock for remove driver
  (jsc#PED-1109).
- commit a420954
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Fix RETs in TDX asm (jsc#PED-342).
- commit fce07e1
* Tue Nov  8 2022 hare@suse.de
- bio: improve kerneldoc documentation for bio_alloc_kiocb()
  (jsc#PED-1183).
- block: provide bio_clear_hipri() helper (jsc#PED-1183).
- block: use the percpu bio cache in __blkdev_direct_IO
  (jsc#PED-1183).
- io_uring: enable use of bio alloc cache (jsc#PED-1183).
- block: clear BIO_PERCPU_CACHE flag if polling isn't supported
  (jsc#PED-1183).
- commit bce5f8e
* Tue Nov  8 2022 msuchanek@suse.de
- Update patches.suse/scsi-ibmvfc-Avoid-path-failures-during-live-migratio.patch
  (bsc#1065729 bsc#1204810 ltc#200162).
- commit ba4e679
* Tue Nov  8 2022 hare@suse.de
- bio: add allocation cache abstraction (jsc#PED-1183).
- Refresh
  patches.suse/block-fix-rq-qos-breakage-from-skipping-rq_qos_done_.patch.
- commit 17a0991
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Annotate a noreturn function (jsc#PED-342).
- commit 8553815
* Tue Nov  8 2022 hare@suse.de
- fs: add kiocb alloc cache flag (jsc#PED-1183).
- bio: optimize initialization of a bio (jsc#PED-1183).
- commit 9a0b8ca
* Tue Nov  8 2022 jgross@suse.com
- x86,objtool: Move the ASM_REACHABLE annotation to objtool.h
  (jsc#PED-342).
- Refresh
  patches.suse/objtool-Re-add-UNWIND_HINT_-SAVE_RESTORE.patch.
- commit 2f94159
* Tue Nov  8 2022 hare@suse.de
- Update config files.
- commit 5d7c7c6
* Tue Nov  8 2022 hare@suse.de
- block: remove CONFIG_DEBUG_BLOCK_EXT_DEVT (jsc#PED-1183).
- Refresh
  patches.suse/block-Fix-the-maximum-minor-value-is-blk_alloc_ext_m.patch.
- commit 754b820
* Tue Nov  8 2022 hare@suse.de
- block: remove a pointless call to MINOR() in device_add_disk
  (jsc#PED-1183).
- commit 9543e11
* Tue Nov  8 2022 hare@suse.de
- block: fix argument type of bio_trim() (jsc#PED-1183).
- docs: sysfs-block-device: document ncq_prio_supported
  (jsc#PED-1183).
- docs: sysfs-block-device: improve ncq_prio_enable documentation
  (jsc#PED-1183).
- commit fd778db
* Tue Nov  8 2022 hare@suse.de
- null_blk: add error handling support for add_disk()
  (jsc#PED-1183).
- commit 3aa258a
* Tue Nov  8 2022 jgross@suse.com
- x86/mm: Fix spacing within memory encryption features message
  (jsc#PED-342).
- commit 881d16c
* Tue Nov  8 2022 jgross@suse.com
- x86/kaslr: Fix build warning in KASLR code in boot stub
  (jsc#PED-342).
- commit e3d83a1
* Tue Nov  8 2022 hare@suse.de
- block: add error handling for device_add_disk / add_disk
  (jsc#PED-1183).
- block: return errors from disk_alloc_events (jsc#PED-1183).
- block: return errors from blk_integrity_add (jsc#PED-1183).
- block: call blk_register_queue earlier in device_add_disk
  (jsc#PED-1183).
- block: call blk_integrity_add earlier in device_add_disk
  (jsc#PED-1183).
- block: create the bdi link earlier in device_add_disk
  (jsc#PED-1183).
- block: call bdev_add later in device_add_disk (jsc#PED-1183).
- block: fold register_disk into device_add_disk (jsc#PED-1183).
- block: add a sanity check for a live disk in del_gendisk
  (jsc#PED-1183).
- block: add an explicit ->disk backpointer to the request_queue
  (jsc#PED-1183).
- block: hold a request_queue reference for the lifetime of
  struct gendisk (jsc#PED-1183).
- block: pass a request_queue to __blk_alloc_disk (jsc#PED-1183).
- block: remove the minors argument to __alloc_disk_node
  (jsc#PED-1183).
- block: remove alloc_disk and alloc_disk_node (jsc#PED-1183).
- block: cleanup the lockdep handling in *alloc_disk
  (jsc#PED-1183).
- commit 46310ce
* Tue Nov  8 2022 jack@suse.cz
- ext4: only allow test_dummy_encryption when supported
  (bsc#1202772 bsc#1205173).
- blacklist.conf: Remove above patch from blacklist
- commit 091cd9f
* Tue Nov  8 2022 hare@suse.de
- sg: do not allocate a gendisk (jsc#PED-1183).
- commit 37d18a6
* Tue Nov  8 2022 hare@suse.de
- st: do not allocate a gendisk (jsc#PED-1183).
- Refresh
  patches.suse/scsi-scsi_ioctl-Call-scsi_cmd_ioctl-from-scsi_ioctl.patch.
- Refresh patches.suse/scsi-st-Simplify-ioctl-handling.patch.
- commit 3c5d6ed
* Tue Nov  8 2022 jgross@suse.com
- Documentation/x86: Document TDX kernel architecture
  (jsc#PED-342).
- commit 33bbdec
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx/ioapic: Add shared bit for IOAPIC base address
  (jsc#PED-342).
- commit 04231d0
* Tue Nov  8 2022 jgross@suse.com
- x86/mm: Make DMA memory shared for TD guest (jsc#PED-342).
- Update config files.
- Refresh
  patches.suse/x86-mm-move-protection_map-inside-the-platform.patch.
- commit 48058a1
* Tue Nov  8 2022 tzimmermann@suse.de
- drm/i915/gvt: fix double free bug in split_2MB_gtt_entry (bsc#1204780, CVE-2022-3707)
- commit 3d29636
* Tue Nov  8 2022 jgross@suse.com
- x86/mm/cpa: Add support for TDX shared memory (jsc#PED-342).
- commit 818b3a3
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Make pages shared in ioremap() (jsc#PED-342).
- commit 0b05d9e
* Tue Nov  8 2022 jgross@suse.com
- x86/topology: Disable CPU online/offline control for TDX guests
  (jsc#PED-342).
- commit 9d93879
* Tue Nov  8 2022 msuchanek@suse.de
- scsi: ibmvscsis: Increase INITIAL_SRP_LIMIT to 1024
  (bsc#1156395).
- commit 32de176
* Tue Nov  8 2022 jgross@suse.com
- x86/boot: Avoid #VE during boot for TDX platforms (jsc#PED-342).
- commit 6a73875
* Tue Nov  8 2022 jgross@suse.com
- x86/boot: Set CR0.NE early and keep it set during the boot
  (jsc#PED-342).
- commit 5319e24
* Tue Nov  8 2022 jgross@suse.com
- x86/acpi/x86/boot: Add multiprocessor wake-up support
  (jsc#PED-342).
- commit 28d025a
* Tue Nov  8 2022 msuchanek@suse.de
- Refresh patches.suse/scsi-ibmvfc-Do-not-wait-for-initial-device-scan.patch.
  Refresh to upstream version of patch.
- commit aba4ad9
* Tue Nov  8 2022 jgross@suse.com
- x86/boot: Add a trampoline for booting APs via firmware handoff
  (jsc#PED-342).
- commit d10a201
* Tue Nov  8 2022 msuchanek@suse.de
- Refresh sorted patches.
- commit 3d3be93
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Wire up KVM hypercalls (jsc#PED-342).
- commit 4edd4de
* Tue Nov  8 2022 msuchanek@suse.de
- scsi: ibmvfc: Avoid path failures during live migration
  (bsc#1065729).
- commit 2f0fa7f
* Tue Nov  8 2022 iivanov@suse.de
- Update patches.suse/arm64-Add-AMPERE1-to-the-Spectre-BHB-affected-list.patch (git-fixes, bsc#1205153).
  Add reference to bsc#1205153.
- commit 08070be
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Port I/O: Add early boot support (jsc#PED-342).
- commit ee7bb95
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Port I/O: Add runtime hypercalls (jsc#PED-342).
- commit 6a328ea
* Tue Nov  8 2022 jgross@suse.com
- x86/boot: Port I/O: Add decompression-time support for TDX
  (jsc#PED-342).
- commit 959a061
* Tue Nov  8 2022 tiwai@suse.de
- arm64: Add AMPERE1 to the Spectre-BHB affected list (git-fixes).
- arm64: errata: Add Cortex-A55 to the repeat tlbi list (git-fixes).
  Enable CONFIG_ARM64_ERRATUM_2441007, too
- commit 57ef351
* Tue Nov  8 2022 tiwai@suse.de
- ALSA: usb-audio: Remove redundant workaround for Roland quirk
  (bsc#1205111).
- ALSA: usb-audio: Yet more regression for for the delayed card
  registration (bsc#1205111).
- commit fdb6d05
* Tue Nov  8 2022 jgross@suse.com
- x86/boot: Port I/O: Allow to hook up alternative helpers
  (jsc#PED-342).
- commit 63333dd
* Tue Nov  8 2022 jgross@suse.com
- x86: Consolidate port I/O helpers (jsc#PED-342).
- commit 6e8ed87
* Tue Nov  8 2022 jslaby@suse.cz
- rpm/check-for-config-changes: add TOOLCHAIN_HAS_* to IGNORED_CONFIGS_RE
  This new form was added in commit b8c86872d1dc (riscv: fix detection of
  toolchain Zicbom support).
- commit e9f2ba6
* Tue Nov  8 2022 hare@suse.de
- Update config files.
- commit d4d6656
* Tue Nov  8 2022 jgross@suse.com
- x86: Adjust types used in port I/O helpers (jsc#PED-342).
- commit ae6e9eb
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Detect TDX at early kernel decompression time
  (jsc#PED-342).
- commit 0d313b1
* Tue Nov  8 2022 clin@suse.com
- docs: perf: Include hns3-pmu.rst in toctree to fix 'htmldocs'
  WARNING (jsc#PED-1113).
- drivers/perf: hisi: add driver for HNS3 PMU (jsc#PED-1113).
- drivers/perf: hisi: Add description for HNS3 PMU driver
  (jsc#PED-1113).
- commit 924185b
* Tue Nov  8 2022 jgross@suse.com
- x86/tdx: Handle in-kernel MMIO (jsc#PED-342).
- commit 0ac9a9a
* Tue Nov  8 2022 jgross@suse.com
- x86/insn-eval: Introduce insn_get_modrm_reg_ptr() (jsc#PED-342).
- commit 7042e81
* Mon Nov  7 2022 jgross@suse.com
- x86/insn-eval: Introduce insn_decode_mmio() (jsc#PED-342).
- commit 098c34f
* Mon Nov  7 2022 petr.pavlu@suse.com
- tracing: kprobe: Fix memory leak in
  test_gen_kprobe/kretprobe_cmd() (git-fixes).
- commit 4b18e0d
* Mon Nov  7 2022 krisman@suse.de
- io-wq: don't retry task_work creation failure on fatal
  conditions (bnc#1205113).
- io-wq: Remove duplicate code in io_workqueue_create()
  (bnc#1205113).
- io-wq: fix silly logic error in io_task_work_match()
  (bnc#1205113).
- io-wq: fix cancellation on create-worker failure (bnc#1205113).
- commit f9f6f38
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Handle CPUID via #VE (jsc#PED-342).
- commit d9569a7
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Add MSR support for TDX guests (jsc#PED-342).
- commit c351cc8
* Mon Nov  7 2022 hare@suse.de
- block: add back the bd_holder_dir reference in
  bd_link_disk_holder (jsc#PED-1183).
- block: fix default IO priority handling (jsc#PED-1183).
- block: Introduce IOPRIO_NR_LEVELS (jsc#PED-1183).
- block: fix IOPRIO_PRIO_CLASS() and IOPRIO_PRIO_VALUE() macros
  (jsc#PED-1183).
- block: change ioprio_valid() to an inline function
  (jsc#PED-1183).
- block: improve ioprio class description comment (jsc#PED-1183).
- ioprio: move user space relevant ioprio bits to UAPI includes
  (jsc#PED-1183).
- commit 7035d24
* Mon Nov  7 2022 ludwig.nussel@suse.de
- Add suse-kernel-rpm-scriptlets to kmp buildreqs (boo#1205149)
- commit 888e01e
* Mon Nov  7 2022 palcantara@suse.de
- cifs: fix use-after-free on the link name (bsc#1193629).
- commit c8e18d6
* Mon Nov  7 2022 palcantara@suse.de
- cifs: avoid unnecessary iteration of tcp sessions (bsc#1193629).
- commit 3b19f83
* Mon Nov  7 2022 palcantara@suse.de
- cifs: always iterate smb sessions using primary channel
  (bsc#1193629).
- commit 5cac47b
* Mon Nov  7 2022 palcantara@suse.de
- cifs: fix use-after-free caused by invalid pointer `hostname`
  (bsc#1193629).
- commit 6bd980d
* Mon Nov  7 2022 palcantara@suse.de
- cifs: Fix pages leak when writedata alloc failed in
  cifs_write_from_iter() (bsc#1193629).
- commit 4170ae6
* Mon Nov  7 2022 palcantara@suse.de
- cifs: Fix pages array leak when writedata alloc failed in
  cifs_writedata_alloc() (bsc#1193629).
- commit b7ff361
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Add HLT support for TDX guests (jsc#PED-342).
- commit fa8f2ad
* Mon Nov  7 2022 hare@suse.de
- block: unexport blk_register_queue (jsc#PED-1183).
- blk-cgroup: stop using seq_get_buf (jsc#PED-1183).
- blk-cgroup: refactor blkcg_print_stat (jsc#PED-1183).
- nvme: use bvec_virt (jsc#PED-1183).
- dcssblk: use bvec_virt (jsc#PED-1183).
- dasd: use bvec_virt (jsc#PED-1183).
- ps3vram: use bvec_virt (jsc#PED-1183).
- ubd: use bvec_virt (jsc#PED-1183).
- sd: use bvec_virt (jsc#PED-1183).
- bcache: use bvec_virt (jsc#PED-1183).
- virtio_blk: use bvec_virt (jsc#PED-1183).
- rbd: use bvec_virt (jsc#PED-1183).
- squashfs: use bvec_virt (jsc#PED-1183).
- dm-integrity: use bvec_virt (jsc#PED-1183).
- dm-ebs: use bvec_virt (jsc#PED-1183).
- dm: make EBS depend on !HIGHMEM (jsc#PED-1183).
- block: use bvec_virt in bio_integrity_{process,free}
  (jsc#PED-1183).
- bvec: add a bvec_virt helper (jsc#PED-1183).
- commit 1fa6c4f
* Mon Nov  7 2022 jgross@suse.com
- x86/traps: Add #VE support for TDX guest (jsc#PED-342).
- commit 0845fe8
* Mon Nov  7 2022 hare@suse.de
- block: free the extended dev_t minor later (jsc#PED-1183).
- block: pass a gendisk to bdev_resize_partition (jsc#PED-1183).
- block: pass a gendisk to bdev_del_partition (jsc#PED-1183).
- block: pass a gendisk to bdev_add_partition (jsc#PED-1183).
- block: store a gendisk in struct parsed_partitions
  (jsc#PED-1183).
- block: remove GENHD_FL_UP (jsc#PED-1183).
- commit a8e4fd9
* Mon Nov  7 2022 hare@suse.de
- bcache: move the del_gendisk call out of bcache_device_free
  (jsc#PED-1183).
- Refresh
  patches.suse/0001-bcache-fix-use-after-free-problem-in-bcache_device_f.patch.
- commit 1509972
* Mon Nov  7 2022 hare@suse.de
- sx8: use the internal state machine to check if del_gendisk
  needs to be called (jsc#PED-1183).
- commit fb76d3a
* Mon Nov  7 2022 hare@suse.de
- nvme: replace the GENHD_FL_UP check in nvme_mpath_shutdown_disk
  (jsc#PED-1183).
- commit 415dd0f
* Mon Nov  7 2022 jlee@suse.com
- Update config files for enabling CONFIG_SECONDARY_TRUSTED_KEYRING
  In x86_64 config, we have enabled the CONFIG_SECONDARY_TRUSTED_KEYRING
  and children kernel config since SLE12-SP4 and SLE15. But we didn't
  enable it in other architectures because the original this option is
  for secure boot.
  In the future, the CONFIG_SECONDARY_TRUSTED_KEYRING will be used with
  IMA in different architectures. So let's enable it in SLE in arm64,
  armv7hl, ppc64le and s390x architectures. Then Leap or even SLE users
  can use it for preparing IMA functions with secondary trusted keyring.
  (bsc#1203739)
- commit 7d983f7
* Mon Nov  7 2022 jgross@suse.com
- x86/traps: Refactor exc_general_protection() (jsc#PED-342).
- commit 4d05e70
* Mon Nov  7 2022 hare@suse.de
- block: ensure the bdi is freed after inode_detach_wb (jsc#PED-1183). - blacklist.conf:
- commit 9224fa7
* Mon Nov  7 2022 hare@suse.de
- nvme: remove the GENHD_FL_UP check in nvme_ns_remove
  (jsc#PED-1183).
- Refresh
  patches.suse/nvme-fix-RCU-hole-that-allowed-for-endless-looping-i.patch.
- Refresh
  patches.suse/nvme-only-call-synchronize_srcu-when-clearing-curren.patch.
- commit 5f9ae94
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Exclude shared bit from __PHYSICAL_MASK (jsc#PED-342).
- commit 7c06d91
* Mon Nov  7 2022 hare@suse.de
- mmc: block: cleanup gendisk creation (jsc#PED-1183).
- mmc: block: let device_add_disk create disk attributes
  (jsc#PED-1183).
- commit d09b05c
* Mon Nov  7 2022 hare@suse.de
- block: remove the bd_bdi in struct block_device (jsc#PED-1183).
- block: move the bdi from the request_queue to the gendisk
  (jsc#PED-1183).
- block: add a queue_has_disk helper (jsc#PED-1183).
- commit 6bd4b8b
* Mon Nov  7 2022 hare@suse.de
- block: pass a gendisk to blk_queue_update_readahead
  (jsc#PED-1183).
- Refresh
  patches.suse/nvme-multipath-revalidate-paths-during-rescan.patch.
- commit 0d9ee3a
* Mon Nov  7 2022 hare@suse.de
- mm: hide laptop_mode_wb_timer entirely behind the BDI API
  (jsc#PED-1183).
- block: remove support for delayed queue registrations
  (jsc#PED-1183).
- dm: delay registering the gendisk (jsc#PED-1183).
- dm: move setting md->type into dm_setup_md_queue (jsc#PED-1183).
- dm: cleanup cleanup_mapped_device (jsc#PED-1183).
- block: support delayed holder registration (jsc#PED-1183).
- block: look up holders by bdev (jsc#PED-1183).
- block: remove the extra kobject reference in bd_link_disk_holder
  (jsc#PED-1183).
- block: make the block holder code optional (jsc#PED-1183).
- blk-mq: Introduce the BLK_MQ_F_NO_SCHED_BY_DEFAULT flag
  (jsc#PED-1183).
- block: remove blk-mq-sysfs dead code (jsc#PED-1183).
- commit e8944f6
* Mon Nov  7 2022 hare@suse.de
- loop: raise media_change event (jsc#PED-1183).
- Refresh patches.suse/loop-reduce-the-loop_ctl_mutex-scope.patch.
- commit 6fac71e
* Mon Nov  7 2022 hare@suse.de
- block: add a helper to raise a media changed event
  (jsc#PED-1183).
- block: export diskseq in sysfs (jsc#PED-1183).
- block: add ioctl to read the disk sequence number
  (jsc#PED-1183).
- block: export the diskseq in uevents (jsc#PED-1183).
- block: add disk sequence number (jsc#PED-1183).
- commit 08404d0
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Extend the confidential computing API to support TDX
  guests (jsc#PED-342).
- commit ee89ba2
* Mon Nov  7 2022 hare@suse.de
- block: remove cmdline-parser.c (jsc#PED-1183).
- block: remove disk_name() (jsc#PED-1183).
- block: simplify disk name formatting in check_partition
  (jsc#PED-1183).
- block: simplify printing the device names disk_stack_limits
  (jsc#PED-1183).
- block: use the %%pg format specifier in show_partition
  (jsc#PED-1183).
- block: use the %%pg format specifier in printk_all_partitions
  (jsc#PED-1183).
- commit ae60bd5
* Mon Nov  7 2022 hare@suse.de
- block: reduce stack usage in diskstats_show (jsc#PED-1183).
- Refresh patches.suse/block-update-io_ticks-when-io-hang.patch.
- commit 0a2cd44
* Mon Nov  7 2022 hare@suse.de
- block: remove bdput (jsc#PED-1183).
- block: remove bdgrab (jsc#PED-1183).
- commit e133466
* Mon Nov  7 2022 hare@suse.de
- loop: don't grab a reference to the block device (jsc#PED-1183).
- block: change the refcounting for partitions (jsc#PED-1183).
- block: allocate bd_meta_info later in add_partitions
  (jsc#PED-1183).
- commit 2f8408c
* Mon Nov  7 2022 hare@suse.de
- block: unhash the whole device inode earlier (jsc#PED-1183).
- block: assert the locking state in delete_partition
  (jsc#PED-1183).
- commit 8def158
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Add __tdx_module_call() and __tdx_hypercall() helper
  functions (jsc#PED-342).
- commit 4d36a19
* Mon Nov  7 2022 hare@suse.de
- block: take destination bvec offsets into account in
  bio_copy_data_iter (jsc#PED1183).
- commit 5428532
* Mon Nov  7 2022 hare@suse.de
- block: use bvec_kmap_local in bio_integrity_process
  (jsc#PED1183).
- block: use bvec_kmap_local in t10_pi_type1_{prepare,complete}
  (jsc#PED1183).
- block: use memcpy_from_bvec in __blk_queue_bounce (jsc#PED1183).
- block: use memcpy_from_bvec in bio_copy_kern_endio_read
  (jsc#PED1183).
- block: use memcpy_to_bvec in copy_to_high_bio_irq (jsc#PED1183).
- block: rewrite bio_copy_data_iter to use bvec_kmap_local and
  memcpy_to_bvec (jsc#PED1183).
- block: remove bvec_kmap_irq and bvec_kunmap_irq (jsc#PED1183).
- ps3disk: use memcpy_{from,to}_bvec (jsc#PED1183).
- dm-writecache: use bvec_kmap_local instead of bvec_kmap_irq
  (jsc#PED1183).
- rbd: use memzero_bvec (jsc#PED1183).
- block: use memzero_page in zero_fill_bio (jsc#PED1183).
- bvec: add memcpy_{from,to}_bvec and memzero_bvec helper
  (jsc#PED1183).
- bvec: add a bvec_kmap_local helper (jsc#PED1183).
- bvec: fix the include guards for bvec.h (jsc#PED1183).
- MIPS: don't include <linux/genhd.h> in <asm/mach-rc32434/rb.h>
  (jsc#PED1183).
- commit f380fe3
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Provide common base for SEAMCALL and TDCALL C wrappers
  (jsc#PED-342).
- Refresh
  patches.suse/KVM-VMX-Prevent-RSB-underflow-before-vmenter.patch.
- commit 5700a12
* Mon Nov  7 2022 jgross@suse.com
- x86/tdx: Detect running as a TDX guest in early boot
  (jsc#PED-342).
- Update config files.
- Refresh patches.suse/x86-retpoline-Cleanup-some-ifdefery.patch.
- commit 4cddcd7
* Mon Nov  7 2022 msuchanek@suse.de
- mm/debug_vm_pgtable: drop protection_map[] usage (jsc#PED-1981).
- mm: debug_vm_pgtable: don't use __P000 directly (jsc#PED-1981).
- commit 3e71232
* Mon Nov  7 2022 tiwai@suse.de
- Move upstreamed tracing patch into sorted section
- commit c9209ac
* Sat Nov  5 2022 ohering@suse.de
- hv_netvsc: Fix race between VF offering and VF association
  message from host (bsc#1204850).
- commit e9c6d7c
* Sat Nov  5 2022 tiwai@suse.de
- arm64: entry: avoid kprobe recursion (git-fixes).
- Documentation: devres: add missing I2C helper (git-fixes).
- i2c: piix4: Fix adapter not be removed in piix4_remove()
  (git-fixes).
- efi/tpm: Pass correct address to memblock_reserve (git-fixes).
- arm64: dts: juno: Add thermal critical trip points (git-fixes).
- firmware: arm_scmi: Make Rx chan_setup fail on memory errors
  (git-fixes).
- firmware: arm_scmi: Suppress the driver's bind attributes
  (git-fixes).
- arm64: dts: ls208xa: specify clock frequencies for the MDIO
  controllers (git-fixes).
- arm64: dts: ls1088a: specify clock frequencies for the MDIO
  controllers (git-fixes).
- arm64: dts: lx2160a: specify clock frequencies for the MDIO
  controllers (git-fixes).
- dt-bindings: power: gpcv2: add power-domains property
  (git-fixes).
- arm64: dts: imx8: correct clock order (git-fixes).
- ARM: dts: imx6qdl-gw59{10,13}: fix user pushbutton GPIO offset
  (git-fixes).
- commit 9fbcbe8
* Fri Nov  4 2022 lduncan@suse.com
- scsi: bnx2fc: Avoid using get_cpu() in bnx2fc_cmd_alloc()
  (jsc#PED-1517).
- scsi: fcoe: Use per-CPU API to update per-CPU statistics
  (jsc#PED-1517).
- scsi: bnx2fc: Fix spelling mistake "mis-match" -> "mismatch"
  (jsc#PED-1517).
- scsi: bnx2fc: Stop using the SCSI pointer (jsc#PED-1517).
- scsi: bnx2fc: Make use of the helper macro kthread_run()
  (jsc#PED-1517).
- scsi: bnx2fc: Fix typo in comments (jsc#PED-1517).
- commit 248604a
* Fri Nov  4 2022 msuchanek@suse.de
- x86/mm: disable instrumentations of mm/pgprot.c (jsc#PED-1981).
- commit 204bb3e
* Fri Nov  4 2022 msuchanek@suse.de
- powerpc/mm: Support execute-only memory on the Radix MMU
  (jsc#PED-1981).
- mm/mmap: drop ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- arm/mm: enable ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- s390/mm: enable ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- mm/mmap: build protect protection_map[] with
  ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- x86/mm: move protection_map[] inside the platform
  (jsc#PED-1981).
- arm64/mm: move protection_map[] inside the platform
  (jsc#PED-1981).
- powerpc/mm: move protection_map[] inside the platform
  (jsc#PED-1981).
- mm/mmap: define DECLARE_VM_GET_PAGE_PROT (jsc#PED-1981).
- mm/mmap: build protect protection_map[] with __P000
  (jsc#PED-1981).
- mm/mmap: drop arch_vm_get_page_pgprot() (jsc#PED-1981).
- mm/mmap: drop arch_filter_pgprot() (jsc#PED-1981).
- x86/mm: enable ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- arm64/mm: enable ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- powerpc/mm: enable ARCH_HAS_VM_GET_PAGE_PROT (jsc#PED-1981).
- mm/mmap: add new config ARCH_HAS_VM_GET_PAGE_PROT
  (jsc#PED-1981).
- mm/mmap: clarify protection_map[] indices (jsc#PED-1981).
- mm: generalize ARCH_HAS_FILTER_PGPROT (jsc#PED-1981).
- commit a3908cf
* Fri Nov  4 2022 hare@suse.de
- scsi: core: Remove the request member from struct scsi_cmnd
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Use-a-structure-member-to-track-the-SCSI-command-submitter.patch.
- Refresh
  patches.suse/scsi-do-not-print-reservation-conflict-for-TEST-UNIT.patch.
- commit 202c860
* Fri Nov  4 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 490afd7
* Fri Nov  4 2022 jgross@suse.com
- KVM: x86: Cap KVM_CAP_NR_VCPUS by KVM_CAP_MAX_VCPUS
  (jsc#PED-2064).
- commit 4798ea3
* Fri Nov  4 2022 tiwai@suse.de
- x86/sev: Don't use cc_platform_has() for early SEV-SNP calls
  (bsc#1204970).
- x86/boot: Don't propagate uninitialized
  boot_params->cc_blob_address (bsc#1204970).
- x86/boot: Fix the setup data types max limit (bsc#1204970).
- x86/compressed/64: Add identity mappings for setup_data entries
  (bsc#1204970).
- x86/sev: Annotate stack change in the #VC handler (bsc#1204970).
- x86/sev: Remove duplicated assignment to variable info
  (bsc#1204970).
- commit 1ad6c0c
* Fri Nov  4 2022 jgross@suse.com
- KVM: x86: Drop arbitrary KVM_SOFT_MAX_VCPUS (jsc#PED-2064).
- commit 749b13f
* Fri Nov  4 2022 jgross@suse.com
- kvm: rename KVM_MAX_VCPU_ID to KVM_MAX_VCPU_IDS (jsc#PED-2064).
- commit 41fefea
* Fri Nov  4 2022 jgross@suse.com
- kvm: x86: Increase KVM_SOFT_MAX_VCPUS to 710 (jsc#PED-2064).
- commit 6f118a7
* Fri Nov  4 2022 jgross@suse.com
- kvm: x86: Increase MAX_VCPUS to 1024 (jsc#PED-2064).
- commit 7046326
* Fri Nov  4 2022 tiwai@suse.de
- selftests/pidfd_test: Remove the erroneous ',' (git-fixes).
- vsock: fix possible infinite sleep in
  vsock_connectible_wait_data() (git-fixes).
- vsock: remove the unused 'wait' in vsock_connectible_recvmsg()
  (git-fixes).
- mISDN: fix possible memory leak in mISDN_register_device()
  (git-fixes).
- rose: Fix NULL pointer dereference in rose_send_frame()
  (git-fixes).
- nfc: nfcmrvl: Fix potential memory leak in
  nfcmrvl_i2c_nci_send() (git-fixes).
- nfc: s3fwrn5: Fix potential memory leak in s3fwrn5_nci_send()
  (git-fixes).
- nfc: nxp-nci: Fix potential memory leak in nxp_nci_send()
  (git-fixes).
- nfc: fdp: Fix potential memory leak in fdp_nci_send()
  (git-fixes).
- xhci: Remove device endpoints from bandwidth list when freeing
  the device (git-fixes).
- xhci-pci: Set runtime PM as default policy on all xHC 1.2 or
  later devices (git-fixes).
- xhci: Add quirk to reset host back to default state at shutdown
  (git-fixes).
- usb: xhci: add XHCI_SPURIOUS_SUCCESS to ASM1042 despite being
  a V0.96 controller (git-fixes).
- kernfs: fix use-after-free in __kernfs_remove (git-fixes).
- serial: core: move RS485 configuration tasks from drivers into
  core (git-fixes).
- commit 356bf7e
* Fri Nov  4 2022 tiwai@suse.de
- ata: pata_legacy: fix pdc20230_set_piomode() (git-fixes).
- Bluetooth: virtio_bt: Use skb_put to set length (git-fixes).
- Bluetooth: L2CAP: Fix use-after-free caused by
  l2cap_reassemble_sdu (git-fixes).
- isdn: mISDN: netjet: fix wrong check of device registration
  (git-fixes).
- fs/binfmt_elf: Fix memory leak in load_elf_binary() (git-fixes).
- commit 9e67c0b
* Fri Nov  4 2022 tiwai@suse.de
- Move upstreamed BT fixes into sorted section
- commit 9cff1e2
* Fri Nov  4 2022 jgross@suse.com
- kvm: x86: Set KVM_MAX_VCPU_ID to 4*KVM_MAX_VCPUS (jsc#PED-2064).
- commit 5a21e82
* Fri Nov  4 2022 tiwai@suse.de
- blacklist.conf: add 8250_mtk entry that was reverted
- commit c43b30f
* Fri Nov  4 2022 hare@suse.de
- Update config files.
- commit f8b438f
* Fri Nov  4 2022 hare@suse.de
- scsi: ufs: Request sense data asynchronously (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 5b785bb
* Fri Nov  4 2022 oneukum@suse.com
- usb: dwc3: pci: Add PCIe device ID for USB3 controller on CPU
  sub-system for Alder Lake P (jsc#PED-1817).
- commit 5611b2f
* Fri Nov  4 2022 oneukum@suse.com
- usb: dwc3: pci: Update the macro names for USB PCIe device
  ID's for Alder Lake platforms.
- commit 4db7e75
* Fri Nov  4 2022 oneukum@suse.com
- usb: dwc3: pci: Add support for Intel Alder Lake (jsc#PED-1817).
- commit 7c11f19
* Thu Nov  3 2022 lduncan@suse.com
- scsi: target: iscsi: Rename iscsi_conn to iscsit_conn
  (jsc#PED-1509).
- scsi: target: iscsi: Rename iscsi_cmd to iscsit_cmd
  (jsc#PED-1509).
- scsi: target: Add iscsi/cpus_allowed_list in configfs
  (jsc#PED-1509).
- scsi: target: cxgbit: Enable Delayed ACK (jsc#PED-1509).
- scsi: target: cxgbit: Increase max DataSegmentLength
  (jsc#PED-1509).
- scsi: target: Remove redundant assignment to variable ret
  (jsc#PED-1509).
- commit 3c7b966
* Thu Nov  3 2022 lduncan@suse.com
- blacklist.conf: added two invasive scsi fixes (jsc#PED-1509)
- commit 6611d69
* Thu Nov  3 2022 hare@suse.de
- scsi: storvsc: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- commit abcefb7
* Thu Nov  3 2022 hare@suse.de
- scsi: usb-storage: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: tcm_loop: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: xen-scsifront: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: virtio_scsi: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- commit 66cf33c
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- Refresh patches.suse/scsi-ufs-core-scsi_get_lba-error-fix.patch.
- commit 3b3c660
* Thu Nov  3 2022 hare@suse.de
- scsi: sym53c8xx: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: sun3_scsi: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- commit a1abc07
* Thu Nov  3 2022 hare@suse.de
- scsi: stex: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- Refresh patches.suse/scsi-stex-Call-scsi_done-directly.patch.
- commit 3b9bdaf
* Thu Nov  3 2022 hare@suse.de
- scsi: snic: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: scsi_debug: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: qlogicpti: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: qla4xxx: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: qla1280: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- commit 76b569f
* Thu Nov  3 2022 hare@suse.de
- scsi: ncr53c8xx: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: myrs: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: myrb: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: mvumi: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- commit 454ec4e
* Thu Nov  3 2022 hare@suse.de
- scsi: mpt3sas: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-mpt3sas-Use-the-proper-SCSI-midlayer-interfaces.patch.
- commit 28339db
* Thu Nov  3 2022 hare@suse.de
- scsi: libsas: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: ips: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: ibmvscsi: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: ibmvfc: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: hpsa: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: hisi_sas: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- commit 40bbe2d
* Thu Nov  3 2022 hare@suse.de
- scsi: fnic: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Remove-the-done-argument-from-SCSI-queuecommand_lck-functions.patch.
- Refresh patches.suse/scsi-fnic-Call-scsi_done-directly.patch.
- Refresh patches.suse/scsi-fnic-Fix-a-tracing-statement.patch.
- commit 5d696da
* Thu Nov  3 2022 hare@suse.de
- scsi: dpt_i2o: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: cxlflash: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: aha1542: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: advansys: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: NCR5380: Use sc_data_direction instead of rq_data_dir()
  (jsc#PED-1559).
- scsi: 53c700: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- commit 86603c7
* Thu Nov  3 2022 hare@suse.de
- scsi: ata: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- Refresh patches.suse/scsi-ata-Call-scsi_done-directly.patch.
- commit d14876e
* Thu Nov  3 2022 hare@suse.de
- scsi: scsi_transport_spi: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: scsi_transport_fc: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#PED-1559).
- scsi: sr: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- scsi: sd: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- commit 5ae2c44
* Thu Nov  3 2022 hare@suse.de
- scsi: core: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Add-helper-to-return-number-of-logical-blo.patch.
- Refresh
  patches.suse/scsi-core-Rename-scsi_mq_done-into-scsi_done-and-export-it.patch.
- Refresh
  patches.suse/scsi-core-Use-a-structure-member-to-track-the-SCSI-command-submitter.patch.
- commit 65b943c
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Synchronize SCSI and UFS error handling
  (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-Fix-race-conditions-related-to-driver-data.
- commit c27d199
* Thu Nov  3 2022 oneukum@suse.com
- usb: dwc3: core: fix some leaks in probe (git-fixes).
- commit f151478
* Thu Nov  3 2022 oneukum@suse.com
- usb: dwc3: debug: show events parameters in hex (jsc#PED-1817).
- commit bfc751a
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Optimize SCSI command processing (jsc#PED-818).
- Update
  patches.suse/scsi-ufs-Retry-aborted-SCSI-commands-instead-of-comp.patch
  (jsc#PED-818).
- Update
  patches.suse/scsi-ufs-ufs-pci-Fix-Intel-LKF-link-stability.patch
  (jsc#PED-818).
- commit 30ae188
* Thu Nov  3 2022 oneukum@suse.com
- usb: dwc3: Fix bare use of unsigned checkpatch warning
  (jsc#PED-1817).
- commit 909eacb
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Inline ufshcd_outstanding_req_clear() (jsc#PED-818).
- scsi: ufs: Remove several wmb() calls (jsc#PED-818).
- commit 034dff5
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Improve static type checking for the host
  (jsc#PED-818).
- Refresh patches.suse/scsi-ufs-Call-scsi_done-directly.patch.
- Refresh
  patches.suse/scsi-ufs-Fix-a-deadlock-in-the-error-handler.patch.
- commit 83f5077
* Thu Nov  3 2022 oneukum@suse.com
- usb: dwc3: add power down scale setting.
- commit 38b4418
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Verify UIC locking requirements at runtime
  (jsc#PED-818).
- commit 3218f64
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Remove ufshcd_valid_tag() (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-Fix-a-deadlock-in-the-error-handler.patch.
- Refresh patches.suse/scsi-ufs-Fix-the-SCSI-abort-handler.patch.
- Refresh
  patches.suse/scsi-ufs-Fix-unsigned-int-compared-with-less-than-ze.patch.
- Refresh patches.suse/scsi-ufs-Remove-dead-code.patch.
- commit 4a4a476
* Thu Nov  3 2022 oneukum@suse.com
- usb: dwc3: host: Stop setting the ACPI companion (jsc#PED-1817).
- commit 40c12b1
* Thu Nov  3 2022 oneukum@suse.com
- usb: dwc3: EP clear halt leading to clearing of delayed_status
  (jsc#PED-1817).
- commit 41e49dd
* Thu Nov  3 2022 oneukum@suse.com
- USB: gadget: Add ID numbers to gadget names (jsc#PED-1817).
- commit abba912
* Thu Nov  3 2022 oneukum@suse.com
- USB: gadget: Add a new bus for gadgets (jsc#PED-1817).
- commit 71557d2
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Rename the second ufshcd_probe_hba() argument
  (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-core-Stop-clearing-UNIT-ATTENTIONS.
- commit 81cd4a9
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Only include power management code if necessary
  (jsc#PED-818).
- commit 7aae000
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Reduce power management code duplication
  (jsc#PED-818).
- Refresh
  patches.suse/scsi-ufs-ufs-pci-Add-support-for-Intel-ADL.patch.
- Refresh
  patches.suse/scsi-ufs-ufs-pci-Add-support-for-Intel-MTL.patch.
- commit 0798fbe
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Allow async suspend/resume callbacks (jsc#PED-1559).
- commit 859a0be
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: core: Use scsi_get_lba() to get LBA (jsc#PED-1559).
- Refresh patches.suse/scsi-ufs-core-scsi_get_lba-error-fix.patch.
- commit 53218d3
* Thu Nov  3 2022 hare@suse.de
- scsi: ufs: Refactor ufshcd_is_intr_aggr_allowed()
  (jsc#PED-1559).
- commit dd7279f
* Thu Nov  3 2022 hare@suse.de
- scsi: core: Make scsi_get_lba() return the LBA (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Add-helper-to-return-number-of-logical-blo.patch.
- commit a435c49
* Thu Nov  3 2022 hare@suse.de
- scsi: pm8001: Remove redundant initialization of variable 'rv'
  (jsc#PED-1559).
- Refresh
  patches.suse/scsi-pm80xx-Update-WARN_ON-check-in-pm8001_mpi_build_cmd.
- commit 4e95793
* Thu Nov  3 2022 hare@suse.de
- scsi: elx: efct: Remove redundant initialization of variable
  (jsc#PED-1559).
- scsi: snic: Remove redundant assignment to variable ret
  (jsc#PED-1559).
- commit ac4f44c
* Thu Nov  3 2022 hare@suse.de
- scsi: bsg-lib: Fix commands without data transfer in
  (jsc#PED-1559).
- scsi: bsg: Fix commands without data transfer in (jsc#PED-1559).
- scsi: bsg: Move the whole request execution into the
  (jsc#PED-1559).
- scsi: block: Remove the remaining SG_IO-related fields from
  (jsc#PED-1559).
- scsi: block: Remove BLK_SCSI_MAX_CMDS (jsc#PED-1559).
- commit b97a71c
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Utilize acpi_get_subsystem_id()
  (jsc#PED-850).
- Refresh
  patches.suse/ALSA-hda-cs35l41-Support-System-Suspend.patch.
- commit 8550ce4
* Thu Nov  3 2022 hare@suse.de
- scsi: bsg: Simplify device registration (jsc#PED-1559).
- Update
  patches.suse/scsi-core-Register-sysfs-attributes-earlier.patch
  (jsc#PED-1559).
- commit 16ae25e
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: hda/realtek: simplify the return of comp_bind()
  (jsc#PED-850).
- ALSA: hda/hdmi: Limit the maximal count of PCM devices to 8
  (jsc#PED-850).
- ALSA: hda/hdmi: Use only dynamic PCM device allocation
  (jsc#PED-850).
- ALSA: hda/ca0132 - remove the unneeded result variable
  (jsc#PED-850).
- ALSA: hda/hdmi: ELD procfs - print the codec NIDs (jsc#PED-850).
- ALSA: hda/hdmi: Simplify the pcm_idx condition in
  hdmi_pcm_setup_pin() (jsc#PED-850).
- ALSA: hda: add snd_hdac_stop_streams() helper (jsc#PED-850).
- ALSA: hda: cs35l41: Call put_device() in the scope of
  get_device() (jsc#PED-850).
- ALSA: hda: beep: Simplify keep-power-at-enable behavior
  (jsc#PED-850).
- ALSA: hda/hdmi: Replace zero-length array with
  DECLARE_FLEX_ARRAY() helper (jsc#PED-850).
- ALSA: hda: cleanup definitions for multi-link registers
  (jsc#PED-850).
- ALSA: hda: Remove unused defines (jsc#PED-850).
- ALSA: hda: Remove unused MAX_PIN_CONFIGS constant (jsc#PED-850).
- ALSA: hda: Always free codec on the device release
  (jsc#PED-850).
- commit d98a166
* Thu Nov  3 2022 hare@suse.de
- scsi: sr: cdrom: Move cdrom_read_cdda_bpc() into the sr
  (jsc#PED-1559).
- commit 8b9b02b
* Thu Nov  3 2022 hare@suse.de
- scsi: libsas: Drop BLK_DEV_BSGLIB selection (jsc#PED-1559).
- scsi: libsas: Allow libsas to include SCSI header files
  (jsc#PED-1559).
- commit dd3b173
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Fix build error unused-function
  (jsc#PED-850).
- blacklist.conf: drop the backported entry
- Refresh
  patches.suse/ALSA-hda-cs35l41-Support-System-Suspend.patch.
- commit 1949e96
* Thu Nov  3 2022 tiwai@suse.de
- PM: core: Add new *_PM_OPS macros, deprecate old ones
  (jsc#PED-850).
- PM: core: Redefine pm_ptr() macro (jsc#PED-850).
- commit 7226af8
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: hda/realtek: Make use of the helper
  component_compare_dev_name (jsc#PED-850).
- Refresh
  patches.suse/ALSA-hda-cs35l41-Remove-Set-Channel-Map-api-from-bin.patch.
- Refresh
  patches.suse/ALSA-hda-cs35l41-Save-codec-object-inside-component-.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-More-robust-component-matching-for-.patch.
- commit 2370fb9
* Thu Nov  3 2022 tiwai@suse.de
- ASoC: amd: yc: Add Lenovo Yoga Slim 7 Pro X to quirks table
  (jsc#PED-850).
- ASoC: amd: yc: Add ASUS UM5302TA into DMI table (jsc#PED-850).
- ALSA: intel-dspconfig: add ES8336 support for AlderLake-PS
  (jsc#PED-850).
- commit 88de70c
* Thu Nov  3 2022 hare@suse.de
- scsi: sd: Fix crashes in sd_resume_runtime() (jsc#PED-1559).
- scsi: scsi_ioctl: Unexport sg_scsi_ioctl() (jsc#PED-1559).
- scsi: scsi_ioctl: Factor SG_IO handling into a helper
  (jsc#PED-1559).
- scsi: scsi_ioctl: Factor SCSI_IOCTL_GET_IDLUN handling into
  a helper (jsc#PED-1559).
- scsi: scsi_ioctl: Consolidate the START STOP UNIT handling
  (jsc#PED-1559).
- scsi: scsi_ioctl: Remove a very misleading comment
  (jsc#PED-1559).
- scsi: core: Rename CONFIG_BLK_SCSI_REQUEST to CONFIG_SCSI_COMMON
  (jsc#PED-1559).
- scsi: scsi_ioctl: Move the "block layer" SCSI ioctl handling
  to drivers/scsi (jsc#PED-1559).
- scsi: scsi_ioctl: Simplify SCSI passthrough permission
  (jsc#PED-1559).
- scsi: scsi_ioctl: Move scsi_command_size_tbl to scsi_common.c
  (jsc#PED-1559).
- scsi: scsi_ioctl: Remove scsi_req_init() (jsc#PED-1559).
- scsi: bsg: Move bsg_scsi_ops to drivers/scsi/ (jsc#PED-1559).
- scsi: bsg: Decouple from scsi_cmd_ioctl() (jsc#PED-1559).
- scsi: block: Add a queue_max_bytes() helper (jsc#PED-1559).
- scsi: scsi_ioctl: Call scsi_cmd_ioctl() from scsi_ioctl()
  (jsc#PED-1559).
- scsi: scsi_ioctl: Remove scsi_verify_blk_ioctl() (jsc#PED-1559).
- scsi: scsi_ioctl: Remove scsi_cmd_blk_ioctl() (jsc#PED-1559).
- scsi: cdrom: Remove the call to scsi_cmd_blk_ioctl() from
  cdrom_ioctl() (jsc#PED-1559).
- scsi: st: Simplify ioctl handling (jsc#PED-1559).
- scsi: core: Remove scsi_compat_ioctl() (jsc#PED-1559).
- scsi: sg: Consolidate compat ioctl handling (jsc#PED-1559).
- scsi: ch: Consolidate compat ioctl handling (jsc#PED-1559).
- scsi: sd: Consolidate compat ioctl handling (jsc#PED-1559).
- scsi: sr: Consolidate compat ioctl handling (jsc#PED-1559).
- scsi: core: Add BLIST_IGN_MEDIA_CHANGE for Ultra HS-SD/MMC
  (jsc#PED-1559).
- scsi: sd: REQUEST SENSE for BLIST_IGN_MEDIA_CHANGE devices in
  (jsc#PED-1559).
- commit 14236ba
* Thu Nov  3 2022 tbogendoerfer@suse.de
- scsi: qedi: Remove redundant flush_workqueue() calls
  (jsc#PED-1525).
- Refresh
  patches.suse/scsi-iscsi-Fix-session-removal-on-shutdown.patch.
- commit 57a0d4f
* Thu Nov  3 2022 tbogendoerfer@suse.de
- scsi: qedf: Fix a UAF bug in __qedf_probe() (jsc#PED-1524).
- scsi: qedf: Fix typo in comment (jsc#PED-1524).
- scsi: qedf: Remove redundant variable op (jsc#PED-1524).
- scsi: qedf: Remove an unneeded NULL check on list iterator
  (jsc#PED-1524).
- scsi: qedf: Remove unnecessary code (jsc#PED-1524).
- scsi: qedf: Stop using the SCSI pointer (jsc#PED-1524).
- scsi: qedf: Change context reset messages to ratelimited
  (jsc#PED-1524).
- scsi: qedf: Fix refcount issue when LOGO is received during TMF
  (jsc#PED-1524).
- scsi: qedf: Add stag_work to all the vports (jsc#PED-1524).
- scsi: qedi: Fix SYSFS_FLAG_FW_SEL_BOOT formatting
  (jsc#PED-1525).
- scsi: qedi: Remove set but unused 'page' variable
  (jsc#PED-1525).
- scsi: qedi: Fix cmd_cleanup_cmpl counter mismatch issue
  (jsc#PED-1525).
- commit a20fd84
* Thu Nov  3 2022 hare@suse.de
- scsi: core: Add new flag BLIST_IGN_MEDIA_CHANGE (jsc#PED-1559).
- Refresh
  patches.suse/scsi-core-Add-BLIST_NO_ASK_VPD_SIZE-for-some-VDASD.patch.
- Refresh
  patches.suse/scsi-core-sd-Add-silence_suspend-flag-to-suppress-some-PM-messages.patch.
- Refresh
  patches.suse/scsi-make-sure-that-request-queue-queiesce-and-unqui.patch.
- commit 5ec93ba
* Thu Nov  3 2022 hare@suse.de
- scsi: scsi_debug: Improve RDPROTECT/WRPROTECT handling
  (jsc#PED-1559).
- scsi: scsi_debug: Remove dump_sector() (jsc#PED-1559).
- commit aedbc46
* Thu Nov  3 2022 nmoreychaisemartin@suse.com
- IB/core: Fix a nested dead lock as part of ODP flow (git-fixes)
- commit 6f2ee60
* Thu Nov  3 2022 vbabka@suse.cz
- Update kabi files. Refresh from Nov 2022 MU - 5.14.21-150400.24.28.1
- commit a5edbce
* Thu Nov  3 2022 oneukum@suse.com
- USB: gadget: Fix mistakes in UDC core kerneldoc (jsc#PED-1817).
- commit e2b3f30
* Thu Nov  3 2022 oneukum@suse.com
- USB: gadget: Register udc before gadget (jsc#PED-1817).
- commit ce73342
* Thu Nov  3 2022 oneukum@suse.com
- usb: Remove redundant 'flush_workqueue()' calls (jsc#PED-1817).
- commit a7fc6e6
* Thu Nov  3 2022 oneukum@suse.com
- usb: gadget: udc: core: Revise comments for USB ep
  enable/disable (jsc#PED-1817).
- commit fa96de3
* Thu Nov  3 2022 oneukum@suse.com
- USB: gadget: udc: Remove some dead code (jsc#PED-1817).
- commit c4d776a
* Thu Nov  3 2022 oneukum@suse.com
- usb: gadget: udc: core: Print error code in
  usb_gadget_probe_driver() (jsc#PED-1817).
- commit 172a5d3
* Thu Nov  3 2022 oneukum@suse.com
- usb: gadget: aspeed: Remove repeated verbose license text
  (jsc#PED-1917).
- commit 86efa6c
* Thu Nov  3 2022 oneukum@suse.com
- usb: gadget: pxa25x_udc: Constify static struct pxa25x_ep_ops
  (jsc#PED-1817).
- commit ecf622b
* Thu Nov  3 2022 oneukum@suse.com
- usb: gadget: udc: core: Use pr_fmt() to prefix messages
  (jsc#PED-1817).
- commit 986d674
* Thu Nov  3 2022 oneukum@suse.com
- USB: gadget: Rename usb_gadget_probe_driver() (jsc#PED-1817).
- commit ec7b016
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: hiface: fix repeated words in comments (git-fixes).
- commit 1897e56
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: scarlett2: Add Focusrite Clarett+ 8Pre support
  (git-fixes).
- ALSA: scarlett2: Add support for the internal "standalone"
  switch (git-fixes).
- ALSA: scarlett2: Split scarlett2_config_items[] into 3 sections
  (git-fixes).
- ALSA: usb-audio: scarlett2: Use struct_size() helper in
  scarlett2_usb() (git-fixes).
- commit 51a746f
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: usb-audio: Add mixer mapping for Gigabyte B450/550 Mobos
  (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-More-comprehensive-mixer-map-for-ASUS.patch.
- commit aad3dbe
* Thu Nov  3 2022 tiwai@suse.de
- ALSA: line6: remove line6_set_raw declaration (git-fixes).
- ALSA: usb-audio: Add quirk to enable Avid Mbox 3 support
  (git-fixes).
- ALSA: usb-audio: make read-only array marker static const
  (git-fixes).
- ALSA: line6: Replace sprintf() with sysfs_emit() (git-fixes).
- ALSA: usb/6fire: fix repeated words in comments (git-fixes).
- ALSA: usb-audio: remove redundant assignment to variable c
  (git-fixes).
- commit 7b36d72
* Thu Nov  3 2022 tiwai@suse.de
- ASoC: soc-pcm.c: call __soc_pcm_close() in soc_pcm_close()
  (jsc#PED-850).
- commit cff81ba
* Thu Nov  3 2022 tiwai@suse.de
- ring-buffer: Check for NULL cpu_buffer in
  ring_buffer_wake_waiters() (bsc#1204705).
- commit 2e712ad
* Wed Nov  2 2022 oneukum@suse.com
- USB / dwc3: Fix three doc-build warnings (jsc#PED-1817).
- commit 654acff
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: fix backwards compat with rockchip devices
  (jsc#PED-1817).
- commit c7590b2
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: core: do not use 3.0 clock when operating in 2.0 mode
  (jsc#PED-1817).
- Refresh
  patches.suse/usb-dwc3-core-Enable-GUCTL1-bit-10-for-fixing-termin.patch.
- commit 02bd07f
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: imx8mp: rename iomem base pointer (jsc#PED-1817).
- commit 0504947
* Wed Nov  2 2022 msuchanek@suse.de
- Refresh patches.suse/ppc64-kdump-Limit-kdump-base-to-512MB.patch
  to upstream version.
- commit 0f63234
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: drd: Don't check against CONFIG_OF (jsc#PED-1817).
- commit ce7e9f1
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: Program GFLADJ (jsc#PEd-1817).
- commit daeb10e
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: Calculate REFCLKPER based on reference clock
  (jsc#PED-1817).
- commit a22b861
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: Get clocks individually (jsc#PED-1817).
- blacklist.conf:
- commit 3423db7
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: drd: Add support for usb-conn-gpio based
  usb-role-switch (jsc#PED-1817).
- commit 80843c9
* Wed Nov  2 2022 lduncan@suse.com
- Correct JIRA reference for these patches (jsc#PED-1496).
  Use implementation, not the Epic:
- Update
  patches.suse/scsi-be2iscsi-Switch-to-attribute-groups.patch
  (jsc#PED-1496).
- Update patches.suse/scsi-bnx2i-Switch-to-attribute-groups.patch
  (jsc#PED-1496).
- Update
  patches.suse/scsi-iscsi-Fix-harmless-double-shift-bug.patch
  (jsc#PED-1496).
- Update patches.suse/scsi-iscsi-Merge-suspend-fields.patch
  (jsc#PED-1496).
- Update
  patches.suse/scsi-iscsi-Remove-iscsi_get_task-back_lock-requirement.patch
  (jsc#PED-1496).
- Update
  patches.suse/scsi-iscsi-Rename-iscsi_conn_queue_work.patch
  (jsc#PED-1496).
- Update patches.suse/scsi-iscsi-Stop-using-the-SCSI-pointer.patch
  (jsc#PED-1496).
- Update patches.suse/scsi-qedi-Switch-to-attribute-groups.patch
  (jsc#PED-1496).
- commit 71bf164
* Wed Nov  2 2022 hare@suse.de
- scsi: core: Fix early registration of sysfs attributes for
  scsi_device (jsc#PED-1561).
- commit dfe7dcb
* Wed Nov  2 2022 hare@suse.de
- scsi: core: Remove two host template members that are no longer
  used (jsc#PED-1561).
- scsi: usb: Switch to attribute groups (jsc#PED-1561).
- scsi: staging: unisys: Remove the shost_attrs member
  (jsc#PED-1561).
- commit 036b753
* Wed Nov  2 2022 hare@suse.de
- scsi: zfcp: Switch to attribute groups (jsc#PED-1561).
- scsi: message: fusion: Switch to attribute groups
  (jsc#PED-1561).
- scsi: RDMA/srp: Switch to attribute groups (jsc#PED-1561).
- scsi: firewire: sbp2: Switch to attribute groups (jsc#PED-1561).
- commit ad14a91
* Wed Nov  2 2022 hare@suse.de
- scsi: ata: Switch to attribute groups (jsc#PED-1561).
- libata: Introduce ncq_prio_supported sysfs sttribute
  (jsc#PED-1561).
- libata: print feature list on device scan (jsc#PED-1561).
- libata: fix ata_read_log_page() warning (jsc#PED-1561).
- commit dc4d292
* Wed Nov  2 2022 hare@suse.de
- libata: cleanup NCQ priority handling (jsc#PED-1561).
- Update
  patches.suse/libata-Add-ATA_HORKAGE_NO_NCQ_ON_ATI-for-Samsung-860.patch
  (jsc#PED-1561).
- commit d313a88
* Wed Nov  2 2022 hare@suse.de
- libata: cleanup ata_dev_configure() (jsc#PED-1561).
- libata: cleanup device sleep capability detection
  (jsc#PED-1561).
- libata: simplify ata_scsi_rbuf_fill() (jsc#PED-1561).
- commit 01272a8
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: tegra20-spdif: stop setting slave_id (jsc#PED-850).
- commit 4702843
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: rt5640: Fix the issue of the abnormal JD2 status
  (jsc#PED-850).
- ASoC: rt5640: Fix the JD voltage dropping issue (jsc#PED-850).
- ASoC: codecs: rt274: Set component to NULL on remove
  (jsc#PED-850).
- ASoC: codecs: rt298: Set component to NULL on remove
  (jsc#PED-850).
- ASoC: codecs: rt286: Set component to NULL on remove
  (jsc#PED-850).
- ASoC: codecs: rt298: Fix jack detection (jsc#PED-850).
- ASoC: codecs: rt298: Fix NULL jack in interrupt (jsc#PED-850).
- ASoC: rt5640: Add the MICBIAS1 to the dapm routing
  (jsc#PED-850).
- ASoC: codecs: soundwire: call pm_runtime_resume() in component
  probe (jsc#PED-850).
- ASoC: codecs: rt274: Always init jack_detect_work (jsc#PED-850).
- ASoC: rt5640: Fix the wrong state of JD1 and JD2 (jsc#PED-850).
- ASoC: rt1308-sdw: add the default value of register 0xc320
  (jsc#PED-850).
- ASoC: rt5645: Fix the error handling of rt5645_i2c_probe()
  (jsc#PED-850).
- ASoC: rt1316-sdw: Add endianness flag in
  snd_soc_component_driver (jsc#PED-850).
- ASoC: rt1308-sdw: Add endianness flag in
  snd_soc_component_driver (jsc#PED-850).
- ASoC: rt715-sdca: Add endianness flag in
  snd_soc_component_driver (jsc#PED-850).
- ASoC: rt715: Add endianness flag in snd_soc_component_driver
  (jsc#PED-850).
- ASoC: rt700: Add endianness flag in snd_soc_component_driver
  (jsc#PED-850).
- ASoC: rt1019: Add endianness flag in snd_soc_component_driver
  (jsc#PED-850).
- commit 0f6c8bf
* Wed Nov  2 2022 hare@suse.de
- scsi: qla2xxx: Switch to attribute groups (jsc#PED-1561).
- Refresh
  patches.suse/scsi-qla2xxx-edif-remove-old-doorbell-interface.patch.
- commit 6464680
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: rt711/5682: check if bus is active before deferred jack
  detection (jsc#PED-850).
- Refresh
  patches.suse/ASoC-rt7-sdw-harden-jack_detect_handler.patch.
- commit dfab873
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: rt*: use simple i2c probe function (jsc#PED-850).
- ASoC: rt5682s: Separate the regulator consumer controls
  (jsc#PED-850).
- ASoC: rt1308-sdw: get calibration params after power on
  (jsc#PED-850).
- ASoC: rt5682s: Stabilize the combo jack detection (jsc#PED-850).
- ASoC: rt5640: Remove the sysclk and sysclk_src checking
  (jsc#PED-850).
- ASoC: rt5682s: Fix the wrong jack type detected (jsc#PED-850).
- ASoC: rt5682s: do not block workqueue if card is unbound
  (jsc#PED-850).
- ASoC: rt5682: Register wclk with its parent_hws instead of
  parent_data (jsc#PED-850).
- ASoC: rt1011: revert 'I2S Reference' to SOC_ENUM_EXT
  (jsc#PED-850).
- ASoC: rt5682s: use 'static' qualifier (jsc#PED-850).
- ASoC: rt5682-i2c: Use devm_clk_get_optional for optional clock
  (jsc#PED-850).
- ASoC: rt5682s: Downsizing the DAC volume scale (jsc#PED-850).
- ASoC: rt1011: Fix 'I2S Reference' enum control (jsc#PED-850).
- ASoC: rt1011: Fix 'I2S Reference' enum control caused error
  (jsc#PED-850).
- ASoC: rt5682s: Fix hp pop produced immediately after resuming
  (jsc#PED-850).
- ASoC: rt5682s: Fix HP noise caused by SAR mode switch when
  the system resumes (jsc#PED-850).
- ASoC: rt5682s: Enable ASRC auto-disable to fix pop during jack
  plug-in while playback (jsc#PED-850).
- ASoC: rt5682s: Revise the macro RT5682S_PLLB_SRC_MASK
  (jsc#PED-850).
- ASoC: rt5682s: Use dev_dbg instead of pr_debug (jsc#PED-850).
- ASoC: rt5682s: Remove the volatile SW reset register from
  reg_default (jsc#PED-850).
- ASoC: rt5682s: make rt5682s_aif2_dai_ops and
  rt5682s_soc_component_dev (jsc#PED-850).
- ASoC: rt1011: add i2s reference control for rt1011
  (jsc#PED-850).
- commit db632b2
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: core: Correct spelling fliped -> flipped (jsc#PED-850).
- Refresh
  patches.suse/ASoC-core-Always-send-the-CPU-DAI-a-direct-clock-spe.patch.
- commit 2306d72
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-component: Add comment for the endianness flag
  (jsc#PED-850).
- Refresh
  patches.suse/ASoC-soc-component-Add-legacy_dai_naming-flag.patch.
- commit 9c88bef
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: madera: Replace kernel.h with the necessary inclusions
  (jsc#PED-850).
- ASoC: core: Add new SOC_DOUBLE_SX_TLV macro (jsc#PED-850).
- ASoC: hdmi-codec: Update to modern DAI terminology
  (jsc#PED-850).
- ASoC: soc.h: Add SOC_SINGLE_S_EXT_TLV macro (jsc#PED-850).
- ASoC: soc.h: Introduce SOC_DOUBLE_R_S_EXT_TLV() macro
  (jsc#PED-850).
- ASoC: Intel: avs: Declare vendor tokens (jsc#PED-850).
- ASoC: soc.h: Add SOC_SINGLE_S_TLV() macro (jsc#PED-850).
- ALSA: cleanup double word in comment (jsc#PED-850).
- ASoC: rt5682s: add delay time to fix pop sound issue
  (jsc#PED-850).
- ALSA: uapi: use C90 comment style instead of C99 style
  (jsc#PED-850).
- ALSA: pcm: comment about relation between msbits hw parameter
  and [S|U]32 formats (jsc#PED-850).
- commit f97ebfc
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-component: Remove conditional definition of debugfs
  data members (jsc#PED-850).
- Refresh patches.suse/asoc-suse-kabi-padding.patch.
- commit b948484
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: SOF: Drop resindex_dma_base, dma_engine, dma_size from
  sof_dev_desc (jsc#PED-850).
- ALSA: hda_audio_ext: fix kernel-doc (jsc#PED-850).
- commit 1783f94
* Wed Nov  2 2022 hare@suse.de
- scsi: lpfc: Switch to attribute groups (jsc#PED-1561).
- Refresh
  patches.suse/scsi-lpfc-Remove-Menlo-Hornet-related-code.patch.
- Refresh
  patches.suse/scsi-lpfc-Remove-SANDiags-related-code.patch.
- Refresh
  patches.suse/scsi-lpfc-Remove-failing-soft_wwn-support.patch.
- Refresh
  patches.suse/scsi-lpfc-move-scsi_host_template-outside-dynamically.patch.
- commit 4aeb242
* Wed Nov  2 2022 hare@suse.de
- scsi: snic: Switch to attribute groups (jsc#PED-1561).
- scsi: smartpqi: Switch to attribute groups (jsc#PED-1561).
- scsi: qla4xxx: Switch to attribute groups (jsc#PED-1561).
- scsi: qedf: Switch to attribute groups (jsc#PED-1561).
- scsi: pm8001: Switch to attribute groups (jsc#PED-1561).
- scsi: sym53c500_cs: Switch to attribute groups (jsc#PED-1561).
- scsi: ncr53c8xx: Switch to attribute groups (jsc#PED-1561).
- scsi: myrs: Switch to attribute groups (jsc#PED-1561).
- scsi: myrb: Switch to attribute groups (jsc#PED-1561).
- scsi: mvsas: Switch to attribute groups (jsc#PED-1561).
- scsi: mpt3sas: Switch to attribute groups (jsc#PED-1561).
- scsi: megaraid_sas: Switch to attribute groups (jsc#PED-1561).
- scsi: megaraid_mbox: Switch to attribute groups (jsc#PED-1561).
- scsi: isci: Switch to attribute groups (jsc#PED-1561).
- scsi: ipr: Switch to attribute groups (jsc#PED-1561).
- scsi: ibmvfc: Switch to attribute groups (jsc#PED-1561).
- scsi: ibmvscsi: Switch to attribute groups (jsc#PED-1561).
- scsi: hptiop: Switch to attribute groups (jsc#PED-1561).
- scsi: hpsa: Switch to attribute groups (jsc#PED-1561).
- scsi: hisi_sas: Switch to attribute groups (jsc#PED-1561).
- scsi: fnic: Switch to attribute groups (jsc#PED-1561).
- scsi: cxlflash: Switch to attribute groups (jsc#PED-1561).
- scsi: csiostor: Switch to attribute groups (jsc#PED-1561).
- scsi: bnx2fc: Switch to attribute groups (jsc#PED-1561).
- scsi: bfa: Switch to attribute groups (jsc#PED-1561).
- scsi: arcmsr: Switch to attribute groups (jsc#PED-1561).
- scsi: aacraid: Switch to attribute groups (jsc#PED-1561).
- scsi: 53c700: Switch to attribute groups (jsc#PED-1561).
- scsi: 3w-xxxx: Switch to attribute groups (jsc#PED-1561).
- scsi: 3w-sas: Switch to attribute groups (jsc#PED-1561).
- scsi: 3w-9xxx: Switch to attribute groups (jsc#PED-1561).
- commit 3ddf4fd
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: hda: Once again fix regression of page allocations with
  IOMMU (jsc#PED-850).
- ALSA: memalloc: Revive x86-specific WC page allocations again
  (jsc#PED-850).
- ASoC: DPCM: Don't pick up BE without substream (jsc#PED-850).
- ALSA: pcm: Replace sprintf() with sysfs_emit() (jsc#PED-850).
- ALSA: core: Replace scnprintf() with sysfs_emit() (jsc#PED-850).
- ALSA: control-led: Replace sprintf() with sysfs_emit()
  (jsc#PED-850).
- ALSA: pcm: Use deferred fasync helper (jsc#PED-850).
- ASoC: soc-pcm: demote warnings on non-atomic BE connection
  (jsc#PED-850).
- ASoC: soc-core.c: share code for
  snd_soc_of_get_dai_link_cpus/codecs() (jsc#PED-850).
- ASoC: soc-core.c: fixup snd_soc_of_get_dai_link_cpus()
  (jsc#PED-850).
- ASoC: dapm: Move stereo autodisable check (jsc#PED-850).
- ASoC: topology: KUnit: Followup prototype change of
  snd_soc_unregister_card() (jsc#PED-850).
- ASoC: ops: Fix integer detection for when max possible values >
  1 (jsc#PED-850).
- ASoC: ops: Fix boolean/integer detection for simple controls
  (jsc#PED-850).
- ASoC: ops: Don't modify the driver's plaform_max when reading
  state (jsc#PED-850).
- ASoC: Introduce 'fixup_controls' card method (jsc#PED-850).
- ASoC: soc-dai: Remove set_fmt_new callback (jsc#PED-850).
- ASoC: core: Always send the CPU DAI a direct clock specifier
  (jsc#PED-850).
- ASoC: ops: Remove unneeded delay.h inclusion (jsc#PED-850).
- ASoC: ops: Clarify snd_soc_info_volsw_sx() (jsc#PED-850).
- ALSA: core: Fix missing return value comments for kernel docs
  (jsc#PED-850).
- ALSA: memalloc: Fix missing return value comments for kernel
  docs (jsc#PED-850).
- ALSA: control: Fix missing return value comments for kernel docs
  (jsc#PED-850).
- ALSA: compress: Fix kernel doc warnings (jsc#PED-850).
- ALSA: dmaengine: Fix missing return value comments for kernel
  docs (jsc#PED-850).
- ALSA: pcm: Fix missing return value comments for kernel docs
  (jsc#PED-850).
- ALSA: compress: Enable kernel doc markers for some functions
  (jsc#PED-850).
- ALSA: rawmidi: Take buffer refcount while draining output
  (jsc#PED-850).
- ALSA: rawmidi: Check stream state at exported functions
  (jsc#PED-850).
- ALSA: rawmidi: Take open_mutex around parameter changes
  (jsc#PED-850).
- ALSA: rawmidi: Move lock to snd_rawmidi_substream (jsc#PED-850).
- ALSA: rawmidi: Make internal functions local static
  (jsc#PED-850).
- ASoC: topology: Drop superfluous check of
  CONFIG_SND_CTL_VALIDATION (jsc#PED-850).
- ALSA: memalloc: Drop x86-specific hack for WC allocations
  (jsc#PED-850).
- ASoC: soc-pcm: fix BE transition for TRIGGER_START
  (jsc#PED-850).
- ASoC: soc-component: Update handling to component delays
  (jsc#PED-850).
- ASoC: core: Pass legacy_dai_naming flag directly (jsc#PED-850).
- ASoC: soc-generic-dmaengine-pcm: Use default config when none
  is given (jsc#PED-850).
- ASoC: soc-core: remove always-false path (jsc#PED-850).
- ASoC: soc-pcm: improve BE transition for TRIGGER_START
  (jsc#PED-850).
- ASoC: soc-pcm: improve BE transition for PAUSE_RELEASE
  (jsc#PED-850).
- commit e51218e
* Wed Nov  2 2022 vkarasulli@suse.de
- Update patch references to
  patches.suse/0001-floppy-disable-FDRAWCMD-by-default.patch
  (bsc#1200692 CVE-2022-33981).
- commit 913147c
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: Drop unneeded calls to platform_get_resource_byname()
  (jsc#PED-1817).
- Refresh
  patches.suse/usb-dwc3-disable-USB-core-PHY-management.patch.
- commit cb5354a
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-utils: Add helper to calculate BCLK from TDM info
  (jsc#PED-850).
- ASoC: topology: Rename soc_tplg_init_kcontrol() function
  (jsc#PED-850).
- ASoC: topology: Correct error message (jsc#PED-850).
- ASoC: topology: Rename SOC_TPLG_PASS_MIXER to _CONTROL
  (jsc#PED-850).
- ASoC: topology: Return bool instead of int (jsc#PED-850).
- ASoC: topology: Remove unnecessary looping (jsc#PED-850).
- ASoC: topology: Use for loop instead of while (jsc#PED-850).
- ASoC: Introduce snd_soc_of_get_dai_link_cpus (jsc#PED-850).
- ALSA: seq: replace ternary operator with max() (jsc#PED-850).
- ASoC: soc-core: add debugfs_prefix member to
  snd_soc_component_driver (jsc#PED-850).
- ASoC: soc-pcm: use GFP_KERNEL when the code is sleepable
  (jsc#PED-850).
- ALSA: memalloc: Add fallback SG-buffer allocations for x86
  (jsc#PED-850).
- ASoC: soc-generic-dmaengine-pcm: set period_bytes_min based
  on maxburst (jsc#PED-850).
- ASoC: topology: Remove superfluous error prints (jsc#PED-850).
- ASoC: soc-generic-dmaengine-pcm: separate max_buffer_size
  assignment (jsc#PED-850).
- ALSA: oss: Release temporary buffers upon errors (jsc#PED-850).
- ALSA: core: Fix typo in 'PCM Timer Interface' help
  (jsc#PED-850).
- ALSA: seq: oss: fix typo (jsc#PED-850).
- ALSA: seq: oss: use kzalloc (jsc#PED-850).
- commit 9ab936f
* Wed Nov  2 2022 oneukum@suse.com
- usb: gadget: remove unnecessary AND operation when get ep maxp
  (jsc#PED-1817).
- commit 528613b
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: ops: Check for negative values before reading them
  (jsc#PED-850).
- Refresh
  patches.suse/ASoC-ops-Fix-stereo-change-notifications-in-snd_soc_-7f3d90a35196.patch.
- Refresh
  patches.suse/ASoC-ops-Shift-tested-values-in-snd_soc_put_volsw-by.patch.
- commit 08e21d0
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-pcm: Move debugfs removal out of spinlock
  (jsc#PED-850).
- ASoC: soc-pcm: Fix DPCM lockdep warning due to nested stream
  locks (jsc#PED-850).
- ASoC: topology: Fix typo (jsc#PED-850).
- ASoC: core: Add snd_soc_of_parse_pin_switches() from
  simple-card-utils (jsc#PED-850).
- ASoC: dai_dma: remove slave_id field (jsc#PED-850).
- ASoC: soc-pcm: fix BE handling of PAUSE_RELEASE (jsc#PED-850).
- ASoC: soc-pcm: test refcount before triggering (jsc#PED-850).
- ASoC: soc-pcm: serialize BE triggers (jsc#PED-850).
- commit 0a8975a
* Wed Nov  2 2022 oneukum@suse.com
- usb: gadget: udc: core: Introduce check_config to verify USB
  configuration (jsc#PEd-1817).
- commit 69ec7cd
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-pcm: Fix and cleanup DPCM locking (jsc#PED-850).
- ASoC: soc-pcm: align BE 'atomicity' with that of the FE
  (jsc#PED-850).
- ASoC: soc-pcm: use GFP_ATOMIC for dpcm structure (jsc#PED-850).
- ASoC: soc-pcm: tidyup soc_pcm_pointer()'s delay update method
  (jsc#PED-850).
- ALSA: oss: remove useless NULL check before kfree (jsc#PED-850).
- ALSA: memalloc: Unify x86 SG-buffer handling (take#3)
  (jsc#PED-850).
- ASoC: Stop dummy from overriding hwparams (jsc#PED-850).
- ASoC: topology: Change topology device to card device
  (jsc#PED-850).
- ASoC: topology: Use correct device for prints (jsc#PED-850).
- commit 7db64dd
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: topology: handle endianness warning (jsc#PED-850).
- Refresh
  patches.suse/ASoC-topology-Correct-error-handling-in-soc_tplg_dap.patch.
- commit 1aa23db
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-generic-dmaengine-pcm: cleanup cppcheck warning at
  dmaengine_pcm_hw_params() (jsc#PED-850).
- Refresh
  patches.suse/ASoC-dmaengine-Restore-NULL-prepare_slave_config-cal.patch.
- Refresh
  patches.suse/ASoC-dmaengine-do-not-use-a-NULL-prepare_slave_confi.patch.
- commit 2a6f02e
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: topology: Check for dapm widget completeness
  (jsc#PED-850).
- ASoC: topology: Add header payload_size verification
  (jsc#PED-850).
- ASoC: core: Remove invalid snd_soc_component_set_jack call
  (jsc#PED-850).
- ASoC: soc-core: accept zero format at
  snd_soc_runtime_set_dai_fmt() (jsc#PED-850).
- ASoC: soc-core: tidyup empty function (jsc#PED-850).
- ASoC: soc-pcm: tidyup soc_pcm_hw_clean() - step2 (jsc#PED-850).
- ASoC: soc-pcm: tidyup soc_pcm_hw_clean() - step1 (jsc#PED-850).
- ASoC: soc-component: improve error reporting for register access
  (jsc#PED-850).
- ASoC: dmaengine: Introduce module option
  prealloc_buffer_size_kbytes (jsc#PED-850).
- ASoC: compress/component: Use
  module_get_when_open/put_when_close for cstream (jsc#PED-850).
- ASoC: soc-component: Convert the mark_module to void*
  (jsc#PED-850).
- ASoC: soc-topology: Move template info print
  soc_tplg_dapm_widget_create() (jsc#PED-850).
- ASoC: Revert PCM trigger changes (jsc#PED-850).
- ASoC: soc-pcm: test refcount before triggering (jsc#PED-850).
- ASoC: soc-ac97: cleanup cppcheck warning (jsc#PED-850).
- ASoC: soc-component: cleanup cppcheck warning at
  snd_soc_pcm_component_pm_runtime_get() (jsc#PED-850).
- ASoC: soc-jack: cleanup cppcheck warning for CONFIG_GPIOLIB
  (jsc#PED-850).
- ASoC: soc-jack: cleanup cppcheck warning at
  snd_soc_jack_report() (jsc#PED-850).
- ASoC: soc-dai: cleanup cppcheck warning at snd_soc_pcm_dai_new()
  (jsc#PED-850).
- ASoC: soc-dai: cleanup cppcheck warning at
  snd_soc_dai_link_set_capabilities() (jsc#PED-850).
- ASoC: soc-generic-dmaengine-pcm: cleanup cppcheck warning at
  dmaengine_copy_user() (jsc#PED-850).
- ASoC: soc-generic-dmaengine-pcm: cleanup cppcheck warning at
  dmaengine_pcm_new() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at
  soc_dapm_dai_stream_event() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at
  snd_soc_dapm_new_controls() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at
  snd_soc_dapm_weak_routes() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at
  snd_soc_dapm_add_routes() (jsc#PED-850).
- commit b5f8c2c
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-ops: cleanup cppcheck warning at snd_soc_put_xr_sx()
  (jsc#PED-850).
- Refresh
  patches.suse/ASoC-ops-Fix-stereo-change-notifications-in-snd_soc_-2b7c46369f09.patch.
- Refresh
  patches.suse/ASoC-ops-Reject-out-of-bounds-values-in-snd_soc_put_-4cf28e9ae6e2.patch.
- commit 6287e8d
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-dapm: cleanup cppcheck warning at
  snd_soc_dapm_del_route() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at dapm_seq_run()
  (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at
  dapm_seq_check_event() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at dapm_new_dai_link()
  (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at dapm_new_pga()
  (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at
  dapm_set_mixer_path_status() (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at dapm_connect_mux()
  (jsc#PED-850).
- ASoC: soc-dapm: cleanup cppcheck warning at dapm_wcache_lookup()
  (jsc#PED-850).
- ASoC: soc-ops: cleanup cppcheck warning at snd_soc_get_xr_sx()
  (jsc#PED-850).
- commit 426f2b5
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-ops: cleanup cppcheck warning at
  snd_soc_put_volsw_sx() (jsc#PED-850).
- Refresh
  patches.suse/ASoC-ops-Fix-stereo-change-notifications-in-snd_soc_-7f3d90a35196.patch.
- Refresh
  patches.suse/ASoC-ops-Reject-out-of-bounds-values-in-snd_soc_put_-4f1e50d6a9cf.patch.
- commit 26b601a
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_get_dai_name() (jsc#PED-850).
- Refresh
  patches.suse/ASoC-soc-core-skip-zero-num_dai-component-in-searchi.patch.
- commit 09f5c3a
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: soc-ops: cleanup cppcheck warning at
  snd_soc_limit_volume() (jsc#PED-850).
- ASoC: soc-topology: cleanup cppcheck warning at
  snd_soc_find_dai_link() (jsc#PED-850).
- ASoC: soc-topology: cleanup cppcheck warning at
  soc_tplg_kcontrol_elems_load() (jsc#PED-850).
- ASoC: soc-topology: cleanup cppcheck warning at
  soc_tplg_dapm_widget_elems_load() (jsc#PED-850).
- ASoC: soc-topology: cleanup cppcheck warning at
  soc_tplg_dai_elems_load() (jsc#PED-850).
- ASoC: soc-topology: cleanup cppcheck warning at
  soc_tplg_process_headers() (jsc#PED-850).
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_of_parse_audio_routing() (jsc#PED-850).
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_of_parse_audio_simple_widgets() (jsc#PED-850).
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_add_controls() (jsc#PED-850).
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_unregister_component() (jsc#PED-850).
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_daifmt_parse_format() (jsc#PED-850).
- ASoC: soc-core: cleanup cppcheck warning at
  snd_soc_set_dmi_name() (jsc#PED-850).
- ASoC: soc-pcm: cleanup cppcheck warning at
  dpcm_runtime_setup_be_chan() (jsc#PED-850).
- ASoC: soc-pcm: cleanup cppcheck warning at dpcm_be_is_active()
  (jsc#PED-850).
- ASoC: soc-pcm: cleanup cppcheck warning at
  soc_get_playback_capture() (jsc#PED-850).
- ASoC: soc-pcm: cleanup cppcheck warning at
  soc_pcm_components_close() (jsc#PED-850).
- ASoC: soc-pcm: cleanup cppcheck warning at soc_pcm_apply_msb()
  (jsc#PED-850).
- commit f269c98
* Wed Nov  2 2022 martin.wilck@suse.com
- scsi: scsi_transport_fc: Use %%u for dev_loss_tmo (bsc#1202914).
- commit 0d14223
* Wed Nov  2 2022 tiwai@suse.de
- iommu/vt-d: Do not falsely log intel_iommu is unsupported
  kernel option (bsc#1204947).
- commit 440c18c
* Wed Nov  2 2022 tiwai@suse.de
- wifi: brcmfmac: Fix potential buffer overflow in
  brcmf_fweh_event_worker() (CVE-2022-3628 bsc#1204868).
- commit 968feec
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: gadget: Support Multi-Stream Transfer (jsc#PED-531).
- commit 0ed805f
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: gadget: Skip resizing EP's TX FIFO if already resized
  (jsc#PED-1817).
- Refresh
  patches.suse/usb-dwc3-gadget-Wait-for-ep0-xfers-to-complete-durin.patch.
- commit b389709
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: reference clock period configuration (jsc#PED-1817).
- commit 8ce586b
* Wed Nov  2 2022 tiwai@suse.de
- Drop Dell Dock regression fix patch again (bsc#1204719)
  It tunred out to be bogus, a different fix is needed
- commit 2c62bb9
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: drd: use helper to get role-switch-default-mode
  (jsc#PED-1817).
- commit 7f03301
* Wed Nov  2 2022 oneukum@suse.com
- usb: dwc3: Resize TX FIFOs to meet EP bursting requirements
  (jsc#PED-1817).
- Refresh
  patches.suse/usb-dwc3-core-Fix-tx-rx-threshold-settings.patch.
- Refresh
  patches.suse/usb-dwc3-gadget-Avoid-starting-DWC3-gadget-during-UD.patch.
- Refresh
  patches.suse/usb-dwc3-gadget-Wait-for-ep0-xfers-to-complete-durin.patch.
- commit 68d4f6e
* Wed Nov  2 2022 dwagner@suse.de
- scsi: lpfc: Update the obsolete adapter list (bsc#1204142).
- commit dc8f2da
* Wed Nov  2 2022 dwagner@suse.de
- scsi: qla2xxx: Use transport-defined speed mask for
  supported_speeds (bsc#1204963).
- scsi: qla2xxx: Fix serialization of DCBX TLV data request
  (bsc#1204963).
- commit d6d1732
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: Export DAI register and widget ctor and dctor functions
  (jsc#PED-850).
- commit 7fc094d
* Wed Nov  2 2022 tiwai@suse.de
- Move upstreamed sound patches into sorted section
- commit a5b0f8c
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: usb-audio: Fix regression with Dell Dock jack detection
  (bsc#1204719).
- commit ec69ec6
* Wed Nov  2 2022 jslaby@suse.cz
- Kbuild: add -Wno-shift-negative-value where -Wextra is used
  (bsc#1204877).
- Kbuild: use -Wdeclaration-after-statement (bsc#1204877).
- Refresh patches.suse/Kbuild-move-to-std-gnu11.patch.
- Refresh
  patches.suse/Kbuild-use-std-gnu11-for-KBUILD_USERCFLAGS.patch.
- commit e76ac45
* Wed Nov  2 2022 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.2.0.8 (bsc#1204957).
- scsi: lpfc: Create a sysfs entry called lpfc_xcvr_data for
  transceiver info (bsc#1204957).
- scsi: lpfc: Log when congestion management limits are in effect
  (bsc#1204957).
- scsi: lpfc: Fix hard lockup when reading the rx_monitor from
  debugfs (bsc#1204957).
- scsi: lpfc: Set sli4_param's cmf option to zero when CMF is
  turned off (bsc#1204957).
- scsi: lpfc: Fix spelling mistake "unsolicted" -> "unsolicited"
  (bsc#1204957).
- scsi: lpfc: Fix memory leak in lpfc_create_port() (bsc#1204957).
- commit f06c1f8
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: Add snd_pcm_direction_name() helper (jsc#PED-850).
- commit d9a2cc8
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Remove the unnecessary variable saddr (git-fixes)
  [#] Conflicts:
  [#]	series.conf
- commit cc60033
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Use net_type to check network type (git-fixes)
  [#] Conflicts:
  [#]	series.conf
- commit cc0ac5a
* Wed Nov  2 2022 dwagner@suse.de
- Drop verbose nvme logging feature (bsc#1200567)
  This feature caused regressions by logging all failed NVMe
  commands. Though not all of them are actually a real
  error. E.g. libnvme is probing for features and handling fails
  correctly. Upstream fixed this by disabling this feature and looking
  into making this an opt-in option.
- Delete patches.suse/nvme-add-verbose-error-logging.patch.
- Delete
  patches.suse/nvme-don-t-print-verbose-errors-for-internal-passthr.patch.
- commit a82baa8
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Validate udata inlen and outlen (git-fixes)
- commit c66230c
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Add support for address handle re-use (git-fixes)
- commit 456aa9c
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Move union irdma_sockaddr to header file (git-fixes)
- commit 01da806
* Wed Nov  2 2022 pmladek@suse.com
- selftests/livepatch: better synchronize test_klp_callbacks_busy
  (bsc#1071995).
- commit 82010dd
* Wed Nov  2 2022 pmladek@suse.com
- livepatch: Add a missing newline character in
  klp_module_coming() (bsc#1071995).
- commit 82368b9
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srp: Support more than 255 rdma ports (git-fixes)
- commit 6da7233
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srp: Handle dev_set_name() failure (git-fixes)
- commit 2aa5768
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srp: Use the attribute group mechanism for sysfs attributes (git-fixes)
- commit ee393a3
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srp: Rework the srp_add_port() error path (git-fixes)
- commit cf4fa33
* Wed Nov  2 2022 pmladek@suse.com
- livepatch: fix race between fork and KLP transition
  (bsc#1071995).
- commit bc0a77a
* Wed Nov  2 2022 tiwai@suse.de
- Update config files: enable CONFIG_SND_SOC_HDA (jsc#PED-850)
- commit 7be7af9
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: hdac_hda: Add endianness flag in snd_soc_component_driver
  (jsc#PED-850).
- ASoC: hdac_hda: Avoid unexpected match when pcm_name is "Analog"
  (jsc#PED-850).
- commit 5773ce0
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srpt: Introduce a reference count in struct srpt_device (git-fixes)
- commit fecc405
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: hda: Skip event processing for unregistered codecs
  (jsc#PED-850).
- Refresh patches.suse/hdaudio-suse-kabi-padding.patch.
- commit cc04cc9
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srpt: Fix a use-after-free (git-fixes)
- commit e0cd3e8
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: hda/hdmi: add keep-alive support for ADL-P and DG2
  (jsc#PED-850).
- Refresh
  patches.suse/ALSA-hda-hdmi-Fix-the-converter-allocation-for-the-s.patch.
- Refresh
  patches.suse/ALSA-hda-hdmi-change-type-for-the-assigned-variable.patch.
- commit d6b0bb5
* Wed Nov  2 2022 nmoreychaisemartin@suse.com
- RDMA/srpt: Duplicate port name members (git-fixes)
- commit accb2fe
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: hda: Fix crash due to jack poll in suspend (jsc#PED-850).
- Revert "ALSA: hda: Fix page fault in snd_hda_codec_shutdown()"
  (jsc#PED-850).
- ASoC: codecs: Add HD-Audio codec driver (jsc#PED-850).
- ALSA: hda: Fix page fault in snd_hda_codec_shutdown()
  (jsc#PED-850).
- ALSA: hda: Fix put_device() inconsistency in error path
  (jsc#PED-850).
- ALSA: hda: Make device usage_count consistent across subsequent
  probing (jsc#PED-850).
- ALSA: hda: Fix null-ptr-deref when i915 fails and hdmi is
  denylisted (jsc#PED-850).
- ALSA: hda: MTL: add HD Audio PCI ID and HDMI codec vendor ID
  (jsc#PED-850).
- ALSA: hda/via: Delete does not require return (jsc#PED-850).
- ALSA: hda/tegra: Enable Jack poll for tegra (jsc#PED-850).
- ALSA: hda: Jack detection poll in suspend state (jsc#PED-850).
- ALSA: hda/hdmi: add HDMI codec VID for Raptorlake-P
  (jsc#PED-850).
- ALSA: hda: Add helper macros for DSP capable devices
  (jsc#PED-850).
- ALSA: hda: Expose codec cleanup and power-save functions
  (jsc#PED-850).
- ALSA: hda: Update and expose codec register procedures
  (jsc#PED-850).
- ALSA: hda: Update and expose snd_hda_codec_device_init()
  (jsc#PED-850).
- commit 47acdb2
* Wed Nov  2 2022 tiwai@suse.de
- ALSA: hda: intel-dsp-config: add missing RaptorLake PCI IDs
  (jsc#PED-850).
- ALSA: hda: Replace sprintf() with sysfs_emit() (jsc#PED-850).
- ALSA: hda: Remove unused macro definition (jsc#PED-850).
- ALSA: hda: Reset all SIE bits in INTCTL (jsc#PED-850).
- tracing: ALSA: hda: Remove string manipulation out of the fast
  path (jsc#PED-850).
- ALSA: intel-dspconfig: add ES8336 support for CNL (jsc#PED-850).
- ALSA: intel-dsp-config: add more ACPI HIDs for ES83x6 devices
  (jsc#PED-850).
- ALSA: hda/i915 - avoid hung task timeout in i915 wait
  (jsc#PED-850).
- ALSA: hda: Add snd_hdac_ext_bus_link_at() helper (jsc#PED-850).
- ALSA: HDA: hdac_ext_stream: use consistent prefixes for
  variables (jsc#PED-850).
- commit 4592dc3
* Wed Nov  2 2022 tiwai@suse.de
- Add already cherry-picked IDs for ASoC fixes
- commit 1873074
* Wed Nov  2 2022 tiwai@suse.de
- ASoC: SOF: Intel: pci-mtl: fix firmware name (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Free the ida when IPC fails in
  sof_ipc4_widget_setup() (jsc#PED-850).
- ASoC: SOF: mediatek: mt8195: Import namespace
  SND_SOC_SOF_MTK_COMMON (jsc#PED-850).
- ASoC: amd: acp: add missing platform_device_unregister()
  in acp_pci_probe() (jsc#PED-850).
- ALSA: hda: intel-nhlt: Move structs out of #define block
  (jsc#PED-850).
- codecs: rt5682s: fix an incorrect NULL check on list iterator
  (jsc#PED-850).
- ASoC: rt5682s: Fix crash due to out of scope stack vars
  (jsc#PED-850).
- ASoC: soc-acpi: Set mach->id field on comp_ids matches
  (jsc#PED-850).
- commit 36bf397
* Wed Nov  2 2022 jlee@suse.com
- Input: applespi - avoid efivars API and invoke EFI services
  directly (jsc#PED-1409).
- brcmfmac: Switch to appropriate helper to load EFI variable
  contents (jsc#PED-1409).
- iwlwifi: Switch to proper EFI variable store interface
  (jsc#PED-1409).
- media: atomisp_gmin_platform: stop abusing efivar API
  (jsc#PED-1409).
- commit af0a2c9
* Wed Nov  2 2022 msuchanek@suse.de
- Update patches.suse/kbuild-Add-skip_encoding_btf_enum64-option-to-pahole.patch
  (bsc#1204693).
- commit 9cde40b
* Wed Nov  2 2022 jlee@suse.com
- efi: libstub: check Shim mode using MokSBStateRT (jsc#PED-1409).
- efi: x86: Wipe setup_data on pure EFI boot (jsc#PED-1409).
- efi: efibc: Guard against allocation failure (jsc#PED-1409).
- efi/x86: libstub: remove unused variable (jsc#PED-1409).
- efi: vars: Move efivar caching layer into efivarfs
  (jsc#PED-1409).
- efi: vars: Switch to new wrapper layer (jsc#PED-1409).
- efi: vars: Remove deprecated 'efivars' sysfs interface
  (jsc#PED-1409).
  Update config files.
  Refresh
  patches.suse/0006-efi-allow-user-to-regenerate-secret-key.patch.
- efi: vars: Drop __efivar_entry_iter() helper which is no longer
  used (jsc#PED-1409).
- efi: pstore: Omit efivars caching EFI varstore access layer
  (jsc#PED-1409).
- pstore: Add priv field to pstore_record for backend specific
  use (jsc#PED-1409).
- pstore: Don't use semaphores in always-atomic-context code
  (jsc#PED-1409).
- commit db34623
* Wed Nov  2 2022 jlee@suse.com
- drivers: fix typo in firmware/efi/memmap.c (jsc#PED-1409).
- efi: vars: Use locking version to iterate over efivars linked
  lists (jsc#PED-1409).
- efi: vars: Add thin wrapper around EFI get/set variable
  interface (jsc#PED-1409).
- efi: vars: Don't drop lock in the middle of efivar_init()
  (jsc#PED-1409).
- efi: efibc: avoid efivar API for setting variables
  (jsc#PED-1409).
- efi: avoid efivars layer when loading SSDTs from variables
  (jsc#PED-1409).
- efi: Correct comment on efi_memmap_alloc (jsc#PED-1409).
- efi: Make code to find mirrored memory ranges generic
  (jsc#PED-1409).
  Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- commit 8075b46
* Tue Nov  1 2022 pmladek@suse.com
- blacklist.conf: scripts/gdb: Allow to read printk log buffer on
  32-bit systems; hardly needed by anyone
- commit c5107b2
* Tue Nov  1 2022 pmladek@suse.com
- printk: wake waiters for safe and NMI contexts (bsc#1204934).
- commit ccf6fd7
* Tue Nov  1 2022 pmladek@suse.com
- printk: use atomic updates for klogd work (bsc#1204934).
- commit 42aa5d7
* Tue Nov  1 2022 pmladek@suse.com
- printk: add missing memory barrier to wake_up_klogd()
  (bsc#1204934).
- commit 91ae0ab
* Tue Nov  1 2022 pmladek@suse.com
- Revert "workqueue: remove unused cancel_work()" (bsc#1204933).
- commit a8f292e
* Tue Nov  1 2022 pmladek@suse.com
- signal: break out of wait loops on kthread_stop() (bsc#1204926).
- commit 1f81ec4
* Tue Nov  1 2022 denis.kirjanov@suse.com
- net/mlx5e: Properly disable vlan strip on non-UL reps
  (git-fixes).
- commit ea8a4bd
* Tue Nov  1 2022 denis.kirjanov@suse.com
- net: ipvtap - add __init/__exit annotations to module init/exit
  funcs (git-fixes).
- commit bcfb537
* Tue Nov  1 2022 denis.kirjanov@suse.com
- bonding: 802.3ad: fix no transmission of LACPDUs (git-fixes).
- commit 0446df6
* Tue Nov  1 2022 denis.kirjanov@suse.com
- net: moxa: get rid of asymmetry in DMA mapping/unmapping
  (git-fixes).
- commit 6609905
* Tue Nov  1 2022 denis.kirjanov@suse.com
- net: ipa: don't assume SMEM is page-aligned (git-fixes).
- commit 41f9dec
* Tue Nov  1 2022 denis.kirjanov@suse.com
- stmmac: intel: Add a missing clk_disable_unprepare() call in
  intel_eth_pci_remove() (git-fixes).
- commit bb8b4d3
* Tue Nov  1 2022 denis.kirjanov@suse.com
- Update metadata references
- commit bdfc8f9
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-bridge-lt8912b-fix-corrupted-image-output.patch.
  Alt-commit
- commit f154e04
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-bridge-lt8912b-set-hdmi-or-dvi-mode.patch.
  Alt-commit
- commit 54a25a3
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh patches.suse/drm-bridge-lt8912b-add-vsync-hsync.patch.
  Alt-commit
- commit 6755cca
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-don-t-register-a-dirty-callback-for-non-a.patch.
  Alt-commit
- commit 5548e46
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dsi-Fix-number-of-regulators-for-SDM660.patch.
  Alt-commit
- commit c51fb10
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dsi-Fix-number-of-regulators-for-msm8996_dsi.patch.
  Alt-commit
- commit e910e60
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-msm-dp-delete-DP_RECOVERED_CLOCK_OUT_EN-to-fix-t.patch.
  Alt-commit
- commit 8f4fbd6
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-make-sure-to-init-common-IP-before-gmc.patch.
  Alt-commit
- commit d839738
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-move-nbio-sdma_doorbell_range-into-sdma-c.patch.
  Alt-commit
- commit 4202af7
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-move-nbio-ih_doorbell_range-into-ih-code-.patch.
  Alt-commit
- commit 6a84f94
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-simpledrm-Fix-return-type-of-simpledrm_simple_di.patch.
  Alt-commit
- commit c6e149e
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-nouveau-fix-another-off-by-one-in-nvbios_addr.patch.
  Alt-commit
- commit 7c051d6
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Only-use-depth-36-bpp-linebuffers-on.patch.
  Alt-commit
- commit e1c296d
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-amdgpu-display-set-vblank_disable_immedia.patch.
  Alt-commit
- commit 1bf4062
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-fourcc-fix-integer-type-usage-in-uapi-header.patch.
  Alt-commit
- commit 174b777
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-bridge-ti-sn65dsi83-Handle-dsi_lanes-0-as-invali.patch.
  Alt-commit
- commit d529823
* Tue Nov  1 2022 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-amd-pm-keep-the-BACO-feature-enabled-for-.patch.
  Alt-commit
- commit b27902a
* Tue Nov  1 2022 jlee@suse.com
- docs: security: Add secrets/coco documentation (jsc#PED-1409).
- efi: Register efi_secret platform device if EFI secret area
  is declared (jsc#PED-1409).
- commit df905cf
* Tue Nov  1 2022 jlee@suse.com
- virt: Add efi_secret module to expose confidential computing
  secrets (jsc#PED-1409).
  Refresh patches.suse/virt-Add-SEV-SNP-guest-driver.
  Update config files.
  CONFIG_EFI_SECRET=y in x86_64/default
- commit edb96ab
* Tue Nov  1 2022 jlee@suse.com
- efi: sysfb_efi: remove unnecessary <asm/efi.h> include
  (jsc#PED-1409).
- x86: Fix all occurences of the "the the" typo (jsc#PED-1409).
- efi: clean up Kconfig dependencies on CONFIG_EFI (jsc#PED-1409).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  Update config files.
- efi/x86: libstub: Make DXE calls mixed mode safe (jsc#PED-1409).
- efifb: Remove redundant efifb_setup_from_dmi stub
  (jsc#PED-1409).
- efi/cper: Reformat CPER memory error location to more readable
  (jsc#PED-1409).
- EDAC/ghes: Unify CPER memory error location reporting
  (jsc#PED-1409).
- efi/cper: Add a cper_mem_err_status_str() to decode error
  description (jsc#PED-1409).
- efi: stub: prefer mirrored memory for randomized allocations
  (jsc#PED-1409).
- efi/arm64: libstub: run image in place if randomized by the
  loader (jsc#PED-1409).
- efi: libstub: pass image handle to handle_kernel_image()
  (jsc#PED-1409).
- efi: libstub: ensure allocated memory to be executable
  (jsc#PED-1409).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  Update config files.
- efi: libstub: declare DXE services table (jsc#PED-1409).
- efi: Save location of EFI confidential computing area
  (jsc#PED-1409).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  Update config files.
  CONFIG_EFI_COCO_SECRET=y in x86_64/default, arm64/default and armv7hl/default
- commit 6b0cf79
* Mon Oct 31 2022 lduncan@suse.com
- scsi: iscsi: Remove iscsi_get_task back_lock requirement
  (jsc#PED-868).
- scsi: iscsi: Rename iscsi_conn_queue_work() (jsc#PED-868).
- scsi: iscsi: Fix harmless double shift bug (jsc#PED-868).
- commit 5723646
* Mon Oct 31 2022 lduncan@suse.com
- scsi: iscsi: Merge suspend fields (jsc#PED-868).
- Refresh
  patches.suse/scsi-iscsi-Fix-NOP-handling-during-conn-recovery.patch.
- commit 1473e45
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: sof_sdw: add support for Dell SKU 0AFF
  (jsc#PED-850).
- ASoC: SOF: Kconfig: Make IPC_MESSAGE_INJECTOR depend on
  SND_SOC_SOF (jsc#PED-850).
- ASoC: SOF: Kconfig: Make IPC_FLOOD_TEST depend on SND_SOC_SOF
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: fix alh_group_ida max value
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: fix wrong use of sizeof in
  sof_ipc4_widget_setup_comp_src() (jsc#PED-850).
- soundwire: qcom: remove duplicate reset control get
  (jsc#PED-850).
- ASoC: Intel: fix sof_es8336 probe (jsc#PED-850).
- ASoC: SOF: Intel: hda: Fix potential buffer overflow by
  snprintf() (jsc#PED-850).
- ASoC: Intel: avs: Fix potential buffer overflow by snprintf()
  (jsc#PED-850).
- ASoC: SOF: ipc3-topology: Fix clang -Wformat warning
  (jsc#PED-850).
- ASoC: amd: yc: Update DMI table entries for AMD platforms
  (jsc#PED-850).
- ASoC: amd: acp: Fix initialization of ext_intr_stat1 in
  i2s_irq_handler() (jsc#PED-850).
- ASoC: Intel: sof_nau8825: Move quirk check to the front in
  late probe (jsc#PED-850).
- ASoC: Intel: sof_rt5682: Perform quirk check first in card
  late probe (jsc#PED-850).
- ASoC: Intel: sof_rt5682: Add support for mtl_mx98357_rt5682
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: remove hard-coded SSP selection
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: reset the num_links during probe
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: add support for HDMI_In capture
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: ignore GpioInt when looking for
  speaker/headset GPIO lines (jsc#PED-850).
- ASoC: Intel: sof_es8336: Fix GPIO quirks set via module option
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: Add entry for sof_es8336 in ADL match
  table (jsc#PED-850).
- ASoC: Intel: sof_sdw: add support for Dell SKU 0AF0
  (jsc#PED-850).
- ASoC: SOF: dai-intel: add SOF_DAI_INTEL_SSP_CLKCTRL_MCLK_AON
  bit (jsc#PED-850).
- ASoC: SOF: Add cont_update_posn to platform parameters
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: add sanity check on SSP index reported
  by NHLT (jsc#PED-850).
- ASoC: amd: yc: Update DMI table entries (jsc#PED-850).
- ASoC: SOF: dai-intel: add SOF_DAI_INTEL_SSP_CLKCTRL_MCLK/BCLK_ES
  bits (jsc#PED-850).
- commit a3024d1
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: update for AMD ACP (jsc#PED-850)
- commit a6ab389
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: avs: Use lookup table to create modules
  (jsc#PED-850).
- ASoC: amd: vangogh: Use non-legacy DAI naming for cs35l41
  (jsc#PED-850).
- ASoC: amd: enable RPL Platform acp drivers build (jsc#PED-850).
- ASoC: amd: add RPL Platform pci driver pm-ops (jsc#PED-850).
- ASoC: amd: add RPL Platform init/de-init functions
  (jsc#PED-850).
- ASoC: amd: add ACP PCI driver for RPL platform (jsc#PED-850).
- ASoC: amd: add RPL Platform acp header file (jsc#PED-850).
- ASoC: amd: acp: Add error handling cases (jsc#PED-850).
- ASoC: amd: acp: Modify const resource struct variable to generic
  (jsc#PED-850).
- ASoC: amd: acp: Drop superfluous mmap callback (jsc#PED-850).
- ASoC: amd: acp: Modify local variables name to generic
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-stream: test DMA buffer first in hw_params
  (jsc#PED-850).
- ASoC: SOF: probes: rename assign/free callbacks as
  startup/shutdown (jsc#PED-850).
- ASoC: SOF: Intel: hda: only fixup topology name if not set
  already (jsc#PED-850).
- ASoC: SOF: Intel: hda: don't set fw_filename (jsc#PED-850).
- ASoC: SOF: Intel: atom: don't keep a temporary string in
  fixup_tplg_name (jsc#PED-850).
- ASoC: SOF: ipc3-loader: Print out the non matching ext_man
  magic number (jsc#PED-850).
- ASoC: SOF: ipc4-topology: set domain bit based on dp domain type
  (jsc#PED-850).
- ASoC: SOF: add ipc4 SRC module support (jsc#PED-850).
- ASoC: SOF: ipc4-pcm: set pcm rate to dai setting (jsc#PED-850).
- ASoC: SOF: ipc4-topology: move ida allocate/free to
  widget_setup/free (jsc#PED-850).
- ASoC: SOF: Intel: MTL: remove redundant snd_sof_dsp_read()
  call (jsc#PED-850).
- ASoC: SOF: mediatek: fix mt8195 StatvectorSel wrong setting
  (jsc#PED-850).
- ASoC: SOF: mediatek: Revise mt8195 boot flow (jsc#PED-850).
- ASoC: amd: yc: Decrease level of error message (jsc#PED-850).
- ASoC: SOF: Intel: enable dmic handling with 2 or fewer SoundWire
  links (jsc#PED-850).
- ASoC: Intel: sof_sdw: add quirk for HP Omen 16-k0005TX
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add table for HP Omen 16-k0005TX
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: avoid oops in error handling
  (jsc#PED-850).
- ASoC: Intel: bdw_rt5677: Mark BE DAI as nonatomic (jsc#PED-850).
- ASoC: Intel: bdw_rt5650: Mark BE DAI as nonatomic (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Mark BE DAI as nonatomic (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Mark BE DAI as nonatomic (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: fix copy in
  sof_msg_inject_ipc4_dfs_write() (jsc#PED-850).
- ASoC: SOF: Intel: add trigger callback into sdw_callback
  (jsc#PED-850).
- soundwire: Intel: add trigger callback (jsc#PED-850).
- ASoC: amd: fix Jadeite kconfig warning and build errors
  (jsc#PED-850).
- ASoC: amd: Fix error pointer dereference (jsc#PED-850).
- ASoC: SOF: Intel: hda: Correct the ROM/FW state reporting code
  (jsc#PED-850).
- uapi: sof: abi: Bump SOF ABI for ext_data_length (jsc#PED-850).
- ASoC: SOF: compress: Prevent current kernel running with older
  FW (jsc#PED-850).
- ASoC: SOF: Copy compress parameters into extended data
  (jsc#PED-850).
- ASoC: SOF: compress: Dynamically allocate pcm params struct
  (jsc#PED-850).
- ASoC: SOF: Intel: mtl: Do not process IPC reply before firmware
  boot (jsc#PED-850).
- ASoC: SOF: Intel: hda-ipc: Do not process IPC reply before
  firmware boot (jsc#PED-850).
- ASoC: SOF: Intel: cnl: Do not process IPC reply before firmware
  boot (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: Do snd_hdac_ext_stream_decouple()
  only once (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: Drop misleading comment regarding
  dma_data (jsc#PED-850).
- ASoC: SOF: ipc3-topology: Prevent double freeing of
  ipc_control_data via load_bytes (jsc#PED-850).
- ASoC: SOF: sof-client-probes: Only load the driver if IPC3 is
  used (jsc#PED-850).
- ASoC: SOF: Intel: hda: Introduce skip_imr_boot flag
  (jsc#PED-850).
- ASoC: SOF: topology: remove unused variable (jsc#PED-850).
- ASoC: Intel: avs: Update AVS_FW_INIT_TIMEOUT_US declaration
  (jsc#PED-850).
- ASoC: Intel: avs: Lower UNLOAD_MULTIPLE_MODULES IPC timeout
  (jsc#PED-850).
- ASoC: Intel: avs: Replace hardcodes with SD_CTL_STREAM_RESET
  (jsc#PED-850).
- ASoC: Intel: avs: Recognize FW_CFG_RESERVED (jsc#PED-850).
- ASoC: Intel: avs: Use helper function to set up DMA
  (jsc#PED-850).
- ASoC: Intel: avs: Set max DMA segment size (jsc#PED-850).
- ASoC: Intel: avs: Block IPC channel on suspend (jsc#PED-850).
- ASoC: Intel: avs: Shield LARGE_CONFIG_GETs against zero
  payload_size (jsc#PED-850).
- commit aa38bc3
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: update for AMD MCP (jsc#PED-850)
- commit 4e8f3fb
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: avs: Copy only as many RX bytes as necessary
  (jsc#PED-850).
- ASoC: Intel: avs: Relax DSP core transition timings
  (jsc#PED-850).
- ASoC: Intel: avs: Assign I2S gateway when parsing topology
  (jsc#PED-850).
- ASoC: Intel: avs: Register HDAudio ext-bus operations
  (jsc#PED-850).
- ASoC: amd: acp: Add legacy audio driver support for Rembrandt
  platform (jsc#PED-850).
- ASoC: amd: acp: ACP code generic to support newer platforms
  (jsc#PED-850).
- ASoC: amd: acp: Remove rt1019_1 codec conf from machine driver
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: free memories allocated in
  sof_ipc4_get_audio_fmt (jsc#PED-850).
- ASoC: SOF: ipc4-topology: check dai->private in ipc_free()
  (jsc#PED-850).
- ASoC: SOF: remove warning on ABI checks (jsc#PED-850).
- commit 22832f9
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: update for AMD MCP (jsc#PED-850)
- commit aca4025
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: sof_cs42l42: add adl_mx98360a_cs4242 board config
  (jsc#PED-850).
- ASoC: Intel: sof_cs42l42: support BT offload audio
  (jsc#PED-850).
- ASoC: amd: Remove duplicated include in acp-es8336.c
  (jsc#PED-850).
- ASoC: amd: fix for variable set but not used warning
  (jsc#PED-850).
- ASoC: amd: drop machine driver remove function (jsc#PED-850).
- ASoC: amd: remove unused header file inclusion (jsc#PED-850).
- ASoC: amd: acp-es8336: use static variables (jsc#PED-850).
- ASoC: amd: fix ACPI dependency compile errors and warnings
  (jsc#PED-850).
- ASoC: Intel: avs: Fix i2s_test card name initialization
  (jsc#PED-850).
- ASoC: amd: enable machine driver build for Jadeite platform
  (jsc#PED-850).
- ASoC: amd: add Machine driver for Jadeite platform
  (jsc#PED-850).
- ASoC: amd: add I2S MICSP instance support (jsc#PED-850).
- ASoC: SOF: Intel: byt: remove duplicating driver data retrieval
  (jsc#PED-850).
- ASoC: SOF: Intel: bdw: remove duplicating driver data retrieval
  (jsc#PED-850).
- ASoC: Intel: catpt: remove duplicating driver data retrieval
  (jsc#PED-850).
- ASoC: Intel: avs: correct config reference for I2S test board
  (jsc#PED-850).
- ASoC: Intel: avs: Remove now redundant non_legacy_dai_naming
  flag (jsc#PED-850).
- ASoC: sof: Migrate to new style legacy DAI naming flag
  (jsc#PED-850).
- ASoC: amd: Migrate to new style legacy DAI naming flag
  (jsc#PED-850).
- ASoC: Intel: Migrate to new style legacy DAI naming flag
  (jsc#PED-850).
- commit f8a95a0
* Mon Oct 31 2022 tiwai@suse.de
- soundwire: intel: Migrate to new style legacy DAI naming flag
  (jsc#PED-850).
- ASoC: soc-component: Add legacy_dai_naming flag (jsc#PED-850).
- ASoC: Intel: skylake: skl-pcm: use pm_runtime_resume_and_get()
  (jsc#PED-850).
- ASoC: Intel: catpt: use pm_runtime_resume_and_get()
  (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Remove FE DAI ops (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Improve codec_init() quality
  (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Improve hw_params() debug-ability
  (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Improve probe() function quality
  (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Update file comments (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Update code indentation (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Reword driver name (jsc#PED-850).
- ASoC: Intel: bdw_rt286: Reword prefixes of all driver members
  (jsc#PED-850).
- ASoC: Intel: Rename broadwell source file to bdw_rt286
  (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Improve hw_params() debug-ability
  (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Improve probe() function quality
  (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Update file comments (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Update code indentation (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Reword driver name (jsc#PED-850).
- ASoC: Intel: hsw_rt5640: Reword prefixes of all driver members
  (jsc#PED-850).
- ASoC: Intel: Rename haswell source file to hsw_rt5640
  (jsc#PED-850).
- ASoC: SOF: mediatek: Align mt8186 clock names with dt-bindings
  (jsc#PED-850).
- ASoC: amd: acp: Fix error handling in .remove() (jsc#PED-850).
- ASoC: SOF: pcm: use pm_resume_and_get() on component probe
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: remap jack pins (jsc#PED-850).
- ASoC: Intel: sof_nau8825: remap jack pins (jsc#PED-850).
- ASoC: Intel: sof_da7219_max98373: remap jack pins (jsc#PED-850).
- ASoC: Intel: sof_cs42l42: remap jack pins (jsc#PED-850).
- ASoC: Intel: cml_rt1011_rt5682: remap jack pins (jsc#PED-850).
- ASoC: Intel: glk_rt5682_max98357a: remap jack pins
  (jsc#PED-850).
- ASoC: Intel: bxt_da7219_max98357a: remap jack pins
  (jsc#PED-850).
- ASoC: Intel: kbl_rt5663_rt5514_max98927: remap jack pins
  (jsc#PED-850).
- ASoC: Intel: kbl_da7219_max98927: remap jack pins (jsc#PED-850).
- ASoC: Intel: kbl_da7219_max98357a: remap jack pins
  (jsc#PED-850).
- ASoC: Intel: kbl_rt5663_max98927: remap jack pins (jsc#PED-850).
- ASoC: Intel: skl_nau88l25_ssm4567: remap jack pins
  (jsc#PED-850).
- ASoC: Intel: skl_nau88l25_max98357a: remap jack pins
  (jsc#PED-850).
- commit cd8bc63
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: codecs: rt715-sdca: remove useless assignment of ops
  (jsc#PED-850).
- commit e71653e
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: soc-card: Create jack kcontrol without pins (jsc#PED-850).
- Refresh
  patches.suse/ASoC-Intel-sof_rt5682-fix-out-of-bounds-array-access.patch.
- Refresh
  patches.suse/ASoC-amd-acp-Add-support-for-nau8825-and-max98360-ca.patch.
- commit 796e1db
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: boards: sof_sdw: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: Intel: boards: hda: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: ipc4: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: sof-client: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: ipc3-topology: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: ipc3-loader: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: Intel: mtl: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-stream: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- commit eb5209d
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: Intel SOF updates (jsc#PED-850)
- commit 8eabe5a
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Intel: hda-dai: remove use of __func__ in dev_dbg
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-stream: report error on stream not opened
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dsp: report error on power-up/down
  (jsc#PED-850).
- ASoC: SOF: Intel: IPC4: enable IMR boot (jsc#PED-850).
- ASoC: Intel: Skylake: remove redundant re-assignments to
  pointer array (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Fix error code in
  sof_ipc4_volume_put() (jsc#PED-850).
- ASoC: SOF: Intel: Add support for MeteorLake (MTL)
  (jsc#PED-850).
- ASoC: SOC: Intel: introduce cl_init callback (jsc#PED-850).
- ASoC: SOF: ipc4-topology: add SoundWire/ALH aggregation support
  (jsc#PED-850).
- ASoC: SOF: Compile and runtime IPC version selection
  (jsc#PED-850).
- ASoC: SOF: topology: add code to parse config params for
  ACPDMIC dai (jsc#PED-850).
- ASoC: SOF: reduce default verbosity of IPC logs (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: enhance debug messages (jsc#PED-850).
- ASoC: intel: sof_sdw: add RT711 SDCA card for MTL platform
  (jsc#PED-850).
- ASoC: SOF: IPC4: add sdw blob (jsc#PED-850).
- AsoC: SOF: ipc4-topology: Add dai_get_clk op (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add support for SSP/DMIC DAI's
  (jsc#PED-850).
- ASoC: SOF: Add a new IPC op for parsing topology manifest
  (jsc#PED-850).
- ASoC: SOF: Add two new structures for topology manifest data
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: init NHLT for IPC4 (jsc#PED-850).
- ASoC: SOF: Add ops_free (jsc#PED-850).
- ASoC: SOF: IPC4: set the BE DAI ops (jsc#PED-850).
- ASoC: SOF: ipc4-pcm: Expose sof_ipc4_set_pipeline_state()
  (jsc#PED-850).
- commit 164020c
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: ipc4-topology: Add the dai_config op (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add route_setup/route_free ops
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add widget_setup/widget_free ops
  (jsc#PED-850).
- ASoC: SOF: IPC4: Add pcm ops (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add control IO ops (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add control_setup op (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add support for parsing mixer widgets
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add support for parsing and preparing
  pga widgets (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add prepare op for DAI type widgets
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add prepare op for AIF type widgets
  (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add support for parsing DAI_IN/DAI_OUT
  widgets (jsc#PED-850).
- ASoC: SOF: ipc4-topology: Add support for parsing AIF_IN/AIF_OUT
  widgets (jsc#PED-850).
- ASoC: SOF: IPC4: Introduce topology ops (jsc#PED-850).
- ASoC: SOF: Add topology tokens for IPC4 (jsc#PED-850).
- ASoC: SOF: ipc4: implement pm ctx_save callback (jsc#PED-850).
- ASoC: SOF: Intel: Switch to use the generic
  pm_ops.set_core_state (jsc#PED-850).
- ASoC: SOF: ipc4: Add set_core_state pm_ops implementation
  (jsc#PED-850).
- ASoC: SOF: ipc3: Add set_core_state pm_ops implementation
  (jsc#PED-850).
- ASoC: SOF: sof_ipc_pm_ops: Add support for DSP core power
  management (jsc#PED-850).
- ASoC: SOF: make ctx_store and ctx_restore as optional
  (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: Return from dtrace_read if there is
  no new data available (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: Add helper function to update the
  sdev->host_offset (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: Introduce SOF_DTRACE_INITIALIZING state
  (jsc#PED-850).
- ASoC: codecs: rt298: Reorganize jack detect handling
  (jsc#PED-850).
- ASoC: codecs: rt286: Reorganize jack detect handling
  (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: use pm_runtime_resume_and_get()
  (jsc#PED-850).
- ASoC: SOF: debug: Clarify the IPC timeout handling path
  (jsc#PED-850).
- ASoC: Intel: Rename set_fmt_new back to set_fmt (jsc#PED-850).
- ASoC: amd: vangogh: Rename set_fmt_new back to set_fmt
  (jsc#PED-850).
- ASoC: Intel: Update to use set_fmt_new callback (jsc#PED-850).
- commit f503879
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: amd: vangogh: Update to use set_fmt_new callback
  (jsc#PED-850).
- ASoC: core: Add set_fmt_new callback that directly specifies
  provider (jsc#PED-850).
- ASoC: SOF: mediatek: mt8195 suspend check dsp idle
  (jsc#PED-850).
- ASoC: SOF: mediatek: mt8195 modify dram type as non-cache
  (jsc#PED-850).
- ASoC: SOF: mediatek: Add shared_size for mediatek common chip
  information (jsc#PED-850).
- ASoC: SOF: mediatek: revise mt8195 clock sequence (jsc#PED-850).
- ASoC: SOF: amd: Add SOF pm ops callback for Renoir
  (jsc#PED-850).
- ASoC: Intel: broadwell: Make broadwell_disable_jack() return
  void (jsc#PED-850).
- ASoC: amd: acp: Add support for rt5682s and rt1019 card with
  hs instance (jsc#PED-850).
- ASoC: amd: acp: Add support for nau8825 and max98360 card
  (jsc#PED-850).
- ASoC: Intel: sof_pcm512x: remove unnecessary init (jsc#PED-850).
- ASoC: Intel: boards: reset acpi_chan_package (jsc#PED-850).
- ASoC: Intel: atom: controls: remove useless initializations
  (jsc#PED-850).
- ASoC: Intel: atom: sst_ipc: remove useless initializations
  (jsc#PED-850).
- ASoC: Intel: atom: sst_ipc: remove redundant test (jsc#PED-850).
- ASoC: Intel: atom: sst: remove useless initialization
  (jsc#PED-850).
- ASoC: Intel: avs: Add da7219 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add max98373 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add max98357a machine board (jsc#PED-850).
- ASoC: Intel: avs: Add ssm4567 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add nau8825 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add rt5682 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add rt298 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add rt286 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add rt274 machine board (jsc#PED-850).
- ASoC: Intel: avs: Add I2S-test machine board (jsc#PED-850).
- ASoC: Intel: avs: Add DMIC machine board (jsc#PED-850).
- ASoC: Intel: avs: Add HDAudio machine board (jsc#PED-850).
- ASoC: Intel: sof_sdw: allow HDaudio/HDMI disable (jsc#PED-850).
- ASoC: Intel: boards: rename RTL1019 compatible driver to rt1019p
  (jsc#PED-850).
- ASoC: SOF: Intel: add MeteorLake machines (jsc#PED-850).
- commit b5fa9c4
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: amd: acp: fix typo in comment (jsc#PED-850).
- soundwire: qcom: Enable software clock gating requirement flag
  (jsc#PED-850).
- soundwire: qcom: Add flag for software clock gating check
  (jsc#PED-850).
- soundwire: qcom: Add support for controlling audio CGCR from
  HLOS (jsc#PED-850).
- soundwire: intel: use pm_runtime_resume() on component probe
  (jsc#PED-850).
- soundwire: peripheral: remove useless ops pointer (jsc#PED-850).
- soundwire: revisit driver bind/unbind and callbacks
  (jsc#PED-850).
- commit cf9d935
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: sof_rt5682: fix out-of-bounds array access
  (jsc#PED-850).
- ASoC: SOF: Intel: disable IMR boot when resuming from ACPI S4
  and S5 states (jsc#PED-850).
- ASoC: SOF: pm: add definitions for S4 and S5 states
  (jsc#PED-850).
- ASoC: SOF: pm: add explicit behavior for ACPI S1 and S2
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: Fix compressed stream position tracking
  (jsc#PED-850).
- ASoC: SOF: mediatek: Fix error code in probe (jsc#PED-850).
- ASoC: Intel: avs: Fix parsing UUIDs in topology (jsc#PED-850).
- ASoC: SOF: ipc3-topology: Move and correct size checks in
  sof_ipc3_control_load_bytes() (jsc#PED-850).
- ASoC: SOF: Intel: hda-loader: Make sure that the fw load
  sequence is followed (jsc#PED-850).
- ASoC: SOF: Intel: hda-dsp: Expose hda_dsp_core_power_up()
  (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Fix reversed if statement
  (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Propagate write errors correctly
  (jsc#PED-850).
- ASoC: SOF: Fix potential NULL pointer dereference (jsc#PED-850).
- ASoC: Intel: cirrus-common: fix incorrect channel mapping
  (jsc#PED-850).
- soundwire: qcom: use pm_runtime_resume_and_get() (jsc#PED-850).
- soundwire: intel: use pm_runtime_resume_and_get() (jsc#PED-850).
- soundwire: cadence: use pm_runtime_resume_and_get()
  (jsc#PED-850).
- soundwire: bus: use pm_runtime_resume_and_get() (jsc#PED-850).
- soundwire: qcom: return error when pm_runtime_get_sync fails
  (jsc#PED-850).
- soundwire: bus: pm_runtime_request_resume on peripheral
  attachment (jsc#PED-850).
- soundwire: intel: disable WAKEEN in pm_runtime resume
  (jsc#PED-850).
- soundwire: cadence: recheck device0 attachment after status
  change (jsc#PED-850).
- soundwire: qcom: Add compatible name for v1.6.0 (jsc#PED-850).
- soundwire: stream: Fix error return code in do_bank_switch()
  (jsc#PED-850).
- soundwire: qcom: fix an error message in
  swrm_wait_for_frame_gen_enabled() (jsc#PED-850).
- ASoC: Intel: avs: Fix build error on arc, m68k and sparc
  (jsc#PED-850).
- ASoC: Intel: common: fix typo for tplg naming (jsc#PED-850).
- ASoC: rt5640: Do not manipulate pin "Platform Clock" if the
  "Platform Clock" is not in the DAPM (jsc#PED-850).
- ASoC: SOF: amd: Fixed Build error (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: Move dtrace related variables local
  from sof_dev (jsc#PED-850).
- ASoC: SOF: Introduce opaque storage of private data for firmware
  tracing (jsc#PED-850).
- ASoC: SOF: Modify the host trace_init parameter list to include
  dmab (jsc#PED-850).
- ASoC: SOF: ipc3-dtrace: Move host ops wrappers from generic
  header to private (jsc#PED-850).
- ASoC: SOF: Switch to IPC generic firmware tracing (jsc#PED-850).
- ASoC: SOF: Clone the trace code to ipc3-dtrace as fw_tracing
  implementation (jsc#PED-850).
- ASoC: SOF: Rename dtrace_is_supported flag to
  fw_trace_is_supported (jsc#PED-850).
- ASoC: SOF: Introduce IPC independent ops for firmware tracing
  support (jsc#PED-850).
- ASoC: SOF: mediatek: Add mt8195 debug dump (jsc#PED-850).
- ASoC: SOF: mediatek: Add mediatek common debug dump
  (jsc#PED-850).
- ASoC: amd: acp: Set Speaker enable/disable pin through rt1019
  codec driver (jsc#PED-850).
- ASoC: SOF: sof-client-ipc-flood-test: use
  pm_runtime_resume_and_get() (jsc#PED-850).
- commit 477ca2d
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: mediatek: remove duplicate include in mt8195.c
  (jsc#PED-850).
- ASoC: Intel: avs: APL-based platforms support (jsc#PED-850).
- ASoC: Intel: avs: SKL-based platforms support (jsc#PED-850).
- ASoC: Intel: avs: Power management (jsc#PED-850).
- ASoC: Intel: avs: PCI driver implementation (jsc#PED-850).
- ASoC: Intel: avs: Machine board registration (jsc#PED-850).
- ASoC: Intel: avs: Replace link_mask usage with i2s_link_mask
  (jsc#PED-850).
- ASoC: Intel: avs: Event tracing (jsc#PED-850).
- ASoC: Intel: avs: D0ix power state support (jsc#PED-850).
- ASoC: Intel: avs: Prepare for firmware tracing (jsc#PED-850).
- ASoC: Intel: avs: Coredump and recovery flow (jsc#PED-850).
- ASoC: Intel: avs: HDA PCM BE operations (jsc#PED-850).
- ASoC: Intel: avs: non-HDA PCM BE operations (jsc#PED-850).
- ASoC: Intel: avs: Generic PCM FE operations (jsc#PED-850).
- ASoC: Intel: avs: Generic soc component driver (jsc#PED-850).
- ASoC: Intel: avs: Account for libraries when booting basefw
  (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Cap the rmaining to count in IPC4
  mode (jsc#PED-850).
- ASoC: SOF: mediatek: Add mt8186 ipc support (jsc#PED-850).
- ASoC: SOF: mediatek: Add ipc support for mt8195 (jsc#PED-850).
- ASoC: amd: vangogh: Remove duplicate include files
  (jsc#PED-850).
- ASoC: SOF: Intel: HDA: Set up sof_ipc4_fw_data for IPC4
  (jsc#PED-850).
- ASoC: SOF: IPC4: Add FW loader ops (jsc#PED-850).
- ASoC: SOF: Add header for IPC4 manifest (jsc#PED-850).
- ASoC: SOF: Add IPC4 private header (jsc#PED-850).
- ASoC: SOF: Intel: HDA: Set IPC4-specific DSP ops for CaVS
  platforms (jsc#PED-850).
- ASoC: SOF: amd: add missing platform_device_unregister in
  acp_pci_rn_probe (jsc#PED-850).
- ASoC: Intel: sof_ssp_amp: enable capture stream from cs35l41
  (jsc#PED-850).
- ASoC: Intel: sof_ssp_amp: fix no DMIC BE Link on Chromebooks
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: Add support for adl_rt1019_rt5682s
  (jsc#PED-850).
- ASoC: SOF: ipc: introduce cont_update_posn in
  sof_ipc_stream_params struct (jsc#PED-850).
- ASoC: SOF: sof-client: IPC flood test can only work with SOF_IPC
  (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Add support for IPC4 messages
  (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Separate the message sending
  (jsc#PED-850).
- ASoC: SOF: sof-client: Add support IPC4 message sending
  (jsc#PED-850).
- ASoC: SOF: sof-client: Add API to get the ipc_type
  (jsc#PED-850).
- ASoC: SOF: sof-client-probes: Query the maximum IPC payload size
  (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Query the maximum IPC payload size
  (jsc#PED-850).
- ASoC: SOF: sof-client: Add API to get the maximum IPC payload
  size (jsc#PED-850).
- ASoC: SOF: trace: The dtrace is only available with SOF_IPC
  (jsc#PED-850).
- ASoC: SOF: ipc4: Add support for mandatory message handling
  functionality (jsc#PED-850).
- ASoC: SOF: Add initial header file for ipc4 (jsc#PED-850).
- ASoC: SOF: Add rx_data pointer to snd_sof_ipc_msg struct
  (jsc#PED-850).
- ASoC: SOF: ipc3: Remove the ipc3-ops.h header file
  (jsc#PED-850).
- ASoC: SOF: ipc3-topology: Correct get_control_data for non
  bytes payload (jsc#PED-850).
- ASoC: SOF: Add a prepare op to IPC topology widget ops
  (jsc#PED-850).
- ASoC: SOF: clarify use of widget complete flag (jsc#PED-850).
- ASoC: SOF: topology: Skip parsing DAI link tokens if not needed
  (jsc#PED-850).
- ASoC: SOF: pcm: remove unnecessary function declaration
  (jsc#PED-850).
- ASoC: SOF: Add two new fields to struct snd_sof_widget
  (jsc#PED-850).
- ASoC: SOF: Add a route_free op in struct sof_ipc_tplg_ops
  (jsc#PED-850).
- ASoC: SOF: bump SOF_ABI_MINOR (jsc#PED-850).
- commit a12ea22
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: expose a couple of functions (jsc#PED-850).
- ASoC: SOF: pcm: Move the call to
  snd_sof_pcm_platform_hw_params() (jsc#PED-850).
- ASoC: SOF: sof-audio: Set up widgets from source to sink
  (jsc#PED-850).
- ASoC: SOF: sof-audio: reset route status before freeing widget
  (jsc#PED-850).
- ASoC: SOF: Add a new op to set up volume table (jsc#PED-850).
- ASoC: SOF: loader: Call optional query_fw_configuration on
  first boot (jsc#PED-850).
- ASoC: SOF: loader: Remove snd_sof_parse_module_memcpy() as it
  is not used (jsc#PED-850).
- ASoC: SOF: mediatek: mt8195: Do not set the load_module ops
  (jsc#PED-850).
- ASoC: SOF: Intel: bdw/byt/pci-tng: Do not set the load_module
  ops (jsc#PED-850).
- ASoC: SOF: imx: Do not set the load_module ops (jsc#PED-850).
- ASoC: SOF: amd: renoir: Do not set the load_module ops
  (jsc#PED-850).
- ASoC: SOF: loader: Switch to use the fw_loader ops
  (jsc#PED-850).
- ASoC: SOF: ipc: Add check for fw_loader ops (jsc#PED-850).
- ASoC: SOF: ipc3-loader: Implement firmware parsing and loading
  (jsc#PED-850).
- ASoC: SOF: Introduce IPC dependent ops for firmware handling,
  loading (jsc#PED-850).
- ASoC: SOF: sof-pci-dev: fix missing pci_release_regions()
  on error in sof_pci_probe() (jsc#PED-850).
- ASoC: SOF: sof-client-ipc-msg-injector: use
  pm_runtime_resume_and_get() (jsc#PED-850).
- ASoC: SOF: debug: use pm_runtime_resume_and_get() (jsc#PED-850).
- ASoC: SOF: control: use pm_runtime_resume_and_get()
  (jsc#PED-850).
- ASoC: SOF: mediatek: Fix allyesconfig build error (jsc#PED-850).
- ASoC: Intel: avs: Drop direct ACPI dependency (jsc#PED-850).
- ASoC: SOF: mediatek: mt8195 change ipc timeout as 1 second
  (jsc#PED-850).
- ASoC: SOF: Intel: Do not (wrongly) assume positive return
  value in IMR path (jsc#PED-850).
- ASoC: Intel: atom: use pm_runtime_resume_and_get()
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: protect hw_params against successive
  calls (jsc#PED-850).
- ASoC: SOF: Intel: add helper for link DMA cleanups
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: reset dma_data and release stream
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: improve suspend case (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: move code to deal with hda
  dai/dailink suspend (jsc#PED-850).
- ASOC: SOF: Intel: hda-dai: add hda_dai_hw_free_ipc() helper
  (jsc#PED-850).
- ASoC: SOF: sof-audio: flag errors on pipeline teardown
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: regroup dai and link DMA operations
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: split link DMA and dai operations
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: use snd_soc_dai_get_widget() helper
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: simplify hda_dai_widget_update()
  prototype (jsc#PED-850).
- ASOC: SOF: Intel: hda-dai: consistent naming for HDA DAI and
  HDA link DMA (jsc#PED-850).
- ASoC: SOF: Intel: Add IPC-specific dai ops for IPC3
  (jsc#PED-850).
- ASoC: SOF: remove incorrect clearing of prepared flag
  (jsc#PED-850).
- ASoC: SOF: loader: Remove the old fw_ready related code
  (jsc#PED-850).
- ASoC: SOF: Intel: Do not set fw_ready callback (jsc#PED-850).
- ASoC: SOF: imx: Do not set fw_ready callback (jsc#PED-850).
- ASoC: SOF: amd: Do not set fw_ready callback (jsc#PED-850).
- ASoC: SOF: Do not check for the fw_ready callback (jsc#PED-850).
- ASoC: SOF: ipc3: Add local implementation for handling fw_ready
  message (jsc#PED-850).
- ASoC: SOF: mediatek: Add DSP system PM callback for mt8186
  (jsc#PED-850).
- ASoC: SOF: mediatek: Add mt8186 dsp clock support (jsc#PED-850).
- ASoC: SOF: mediatek: Add mt8186 sof fw loader and dsp ops
  (jsc#PED-850).
- ASoC: SOF: mediatek: Add mt8186 hardware support (jsc#PED-850).
- ASoC: Intel: avs: Depend on SND_INTEL_DSP_CONFIG (jsc#PED-850).
- ASoC: Intel: avs: Enable AVS driver only on x86 platforms
  (jsc#PED-850).
- commit f4a81b7
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: sof-pci-dev: don't use the community key on APL
  Chromebooks (jsc#PED-850).
- Refresh
  patches.suse/ASoC-SOF-pci-Change-DMI-match-info-to-support-all-Ch.patch.
- commit a625481
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Intel: hda: Revisit IMR boot sequence (jsc#PED-850).
- Refresh
  patches.suse/ASoC-SOF-Intel-hda-loader-Clarify-the-cl_dsp_init-fl.patch.
- commit cbf86ae
* Mon Oct 31 2022 tiwai@suse.de
- ASOC: SOF: pci: add ipc_type override for Intel IPC4 tests
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: simplify NHLT handling (jsc#PED-850).
- ASoC: SOF: topology: Check w->sname validity once in
  sof_connect_dai_widget() (jsc#PED-850).
- ASoC: SOF: sof-audio: remove useless assignment (jsc#PED-850).
- ASoC: SOF: amd: Use dedicated MBOX for ACP and PSP communication
  (jsc#PED-850).
- ASoC: SOF: amd: Add psp_mbox_ready() and psp_send_cmd() callback
  (jsc#PED-850).
- ASoC: Intel: sof_ssp_amp: remove 'set-but-not-used' warning
  (jsc#PED-850).
- ASoC: SOF: using pm_runtime_resume_and_get to simplify the code
  (jsc#PED-850).
- ASoC: amd: acp: Add pm ops callback in machine driver
  (jsc#PED-850).
- ASoC: SOF: Intel: add IP identifier (jsc#PED-850).
- ASoC: SOF: Intel: hda: expose some codeloader functions
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: Define rom_status_reg in
  sof_intel_dsp_desc (jsc#PED-850).
- ASoC: SOF: Intel: hda: define check_ipc_irq op (jsc#PED-850).
- ASoC: SOF: Intel: hda: use BIT() macros for consistency
  (jsc#PED-850).
- ASoC: SOF: Intel: move HDA_CL_STREAM_FORMAT definition to header
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: use common ops across platforms
  (jsc#PED-850).
- ASoC: SOF: remove const qualifier for 'struct snd_sof_dsp_ops'
  (jsc#PED-850).
- ASoC: SOF: sof-audio: preserve topology filename override in
  nocodec mode (jsc#PED-850).
- ASoC: SOF: sof-pci-dev: add parameter to override topology
  filename (jsc#PED-850).
- ASoC: SOF: sof-pci-dev: add parameter to override firmware
  filename (jsc#PED-850).
- ASoC: SOF: add IPC-dependent file names (jsc#PED-850).
- ASoC: SOF: add default IPC capability and file paths
  (jsc#PED-850).
- ASoC: SOF: add path indirection to each IPC type (jsc#PED-850).
- ASoC: SOF: add definitions for different IPC types
  (jsc#PED-850).
- ASoC: Intel: avs: Configure modules according to their type
  (jsc#PED-850).
- ASoC: Intel: avs: Prepare modules before bindings them
  (jsc#PED-850).
- ASoC: Intel: avs: Arm paths after creating them (jsc#PED-850).
- ASoC: Intel: avs: Path state management (jsc#PED-850).
- ASoC: Intel: avs: Path creation and freeing (jsc#PED-850).
- ASoC: Intel: avs: Declare path and its components (jsc#PED-850).
- ASoC: Intel: avs: Support link_mask formatted string
  (jsc#PED-850).
- ASoC: Intel: avs: Add topology loading operations (jsc#PED-850).
- ASoC: Intel: avs: Parse path and path templates tuples
  (jsc#PED-850).
- ASoC: Intel: avs: Parse pipeline and module tuples
  (jsc#PED-850).
- ASoC: Intel: avs: Parse pplcfg and binding tuples (jsc#PED-850).
- ASoC: Intel: avs: Parse module-extension tuples (jsc#PED-850).
- ASoC: Intel: avs: Add topology parsing infrastructure
  (jsc#PED-850).
- ASoC: SOF: Kconfig: Make SND_SOC_SOF_HDA_PROBES tristate
  (jsc#PED-850).
- commit e038201
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Intel: Check the bar size before remapping
  (jsc#PED-850).
- ASoC: SOF: ipc: Move the ipc_set_get_comp_data() local to
  ipc3-control (jsc#PED-850).
- ASoC: SOF: sof-audio: Use the widget_kcontrol_setup ops for
  kcontrol set up (jsc#PED-850).
- ASoC: SOF: Add widget_kcontrol_setup control ops for IPC3
  (jsc#PED-850).
- ASoC: SOF: ipc: Switch over to use the rx_msg ops (jsc#PED-850).
- ASoC: SOF: ipc: Switch over to use the tx_msg and set_get_data
  ops (jsc#PED-850).
- ASoC: SOF: ipc: Use the get_reply ops in snd_sof_ipc_get_reply()
  (jsc#PED-850).
- ASoC: SOF: ipc: Add check for mandatory IPC message handling
  ops (jsc#PED-850).
- ASoC: SOF: ipc: Separate the ops checks by functions/topics
  (jsc#PED-850).
- ASoC: SOF: ipc3: Implement rx_msg IPC ops (jsc#PED-850).
- ASoC: SOF: ipc3: Implement the get_reply IPC ops (jsc#PED-850).
- ASoC: SOF: ipc3: Implement the set_get_data IPC ops
  (jsc#PED-850).
- ASoC: SOF: ipc3: Use sof_ipc3_tx_msg() internally for message
  sending (jsc#PED-850).
- ASoC: SOF: ipc3: Implement the tx_msg IPC ops (jsc#PED-850).
- ASoC: SOF: Add high level IPC IO callback definitions to ipc_ops
  (jsc#PED-850).
- ASoC: SOF: Add helper function to prepare and send an IPC
  message (jsc#PED-850).
- ASoC: amd: Add support for enabling DMIC on acp6x via _DSD
  (jsc#PED-850).
- ASoC: amd: Add driver data to acp6x machine driver
  (jsc#PED-850).
- ASoC: amd: yc: add new YC platform varaint support
  (jsc#PED-850).
- ASoC: SOF: mediatek: mt8195 add shutdown callback (jsc#PED-850).
- ASoC: SOF: OF: Add shutdown callback for SOF OF device
  (jsc#PED-850).
- ASoC: SOF: topology: Avoid open coded arithmetic in memory
  allocation (jsc#PED-850).
- ASoC: Intel: boards: Use temporary variable for struct device
  (jsc#PED-850).
- ASoC: SOF: Remove redundant return statements (jsc#PED-850).
- ASoC: SOF: Remove header from struct snd_sof_ipc_msg
  (jsc#PED-850).
- ASoC: SOF: Drop 'header' parameter from tx_message() API
  (jsc#PED-850).
- ASoC: SOF: ipc: Use msg->reply_data directly in
  snd_sof_ipc_get_reply() (jsc#PED-850).
- ASoC: SOF: disable dma trace in s0ix (jsc#PED-850).
- ASoC: SOF: extend the interface to stop DMA trace (jsc#PED-850).
- ASoC: SOF: Drop support for mapped control data (jsc#PED-850).
- ASoC: SOF: ipc: Use ipc->max_payload_size for message/reply
  size checking (jsc#PED-850).
- ASoC: SOF: ipc: Add max_payload_size field in struct snd_sof_ipc
  (jsc#PED-850).
- ASoC: SOF: Remove dmab and dmab_bdl from snd_sof_dev struct
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-loader: Use local snd_dma_buffer
  (jsc#PED-850).
- ASoC: Intel: catpt: Drop redundant enum constant (jsc#PED-850).
- ASoC: SOF: ipc3-topology: Set scontrol->priv to NULL after
  freeing it (jsc#PED-850).
- ASoC: intel: atom: Remove superfluous flush_scheduled_work()
  (jsc#PED-850).
- ASoC: SOF: topology: use new sound control LED layer
  (jsc#PED-850).
- commit 96cf6fb
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/usnic: fix set-but-not-unused variable 'flags' warning (git-fixes)
- commit a0cf107
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- IB/rdmavt: Add __init/__exit annotations to module init/exit funcs (git-fixes)
- commit e49e34a
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix resize_finish() in rxe_queue.c (git-fixes)
- commit 6b44016
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: sof_es8336: Add a quirk for Huawei Matebook D15
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: add a quirk for headset at mic1 port
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: support a separate gpio to control
  headphone (jsc#PED-850).
- ASoC: Intel: sof_es8336: simplify speaker gpio naming
  (jsc#PED-850).
- ASoC: SOF: topology: Fix memory leak in sof_control_load()
  (jsc#PED-850).
- ASoC: SOF: topology: cleanup dailinks on widget unload
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: Add support for max98360a speaker
  amp on SSP2 (jsc#PED-850).
- ASoC: SOF: topology: Fix memory leak of scontrol->name
  (jsc#PED-850).
- soundwire: qcom: use __maybe_unused for swrm_runtime_resume()
  (jsc#PED-850).
- soundwire: qcom: constify static struct qcom_swrm_data global
  variables (jsc#PED-850).
- soundwire: qcom: add in-band wake up interrupt support
  (jsc#PED-850).
- soundwire: qcom: add runtime pm support (jsc#PED-850).
- soundwire: stream: make enable/disable/deprepare idempotent
  (jsc#PED-850).
- soundwire: stream: sdw_stream_add_ functions can be called
  multiple times (jsc#PED-850).
- soundwire: stream: introduce sdw_slave_rt_find() helper
  (jsc#PED-850).
- soundwire: stream: separate alloc and config within
  sdw_stream_add_xxx() (jsc#PED-850).
- soundwire: stream: move list addition to sdw_slave_alloc_rt()
  (jsc#PED-850).
- soundwire: stream: rename and move master/slave_rt_free routines
  (jsc#PED-850).
- soundwire: stream: group sdw_stream_ functions (jsc#PED-850).
- soundwire: stream: split sdw_alloc_slave_rt() in alloc and
  config (jsc#PED-850).
- soundwire: stream: move sdw_alloc_slave_rt() before 'master'
  helpers (jsc#PED-850).
- soundwire: stream: split sdw_alloc_master_rt() in alloc and
  config (jsc#PED-850).
- soundwire: stream: simplify sdw_alloc_master_rt() (jsc#PED-850).
- soundwire: stream: group sdw_port and sdw_master/slave_port
  functions (jsc#PED-850).
- soundwire: stream: add 'slave' prefix for port range checks
  (jsc#PED-850).
- soundwire: stream: split alloc and config in two functions
  (jsc#PED-850).
- soundwire: stream: split port allocation and configuration loops
  (jsc#PED-850).
- soundwire: stream: add alloc/config/free helpers for ports
  (jsc#PED-850).
- soundwire: stream: simplify check on port range (jsc#PED-850).
- soundwire: stream: add slave runtime to list earlier
  (jsc#PED-850).
- soundwire: stream: remove unused parameter in
  sdw_stream_add_slave (jsc#PED-850).
- soundwire: Replace acpi_bus_get_device() (jsc#PED-850).
- soundwire: bus: add dev_warn() messages to track UNATTACHED
  devices (jsc#PED-850).
- ASoC: SOF: Add a new dai_get_clk topology IPC op (jsc#PED-850).
- ASoC: SOF: topology: Add ops for setting up and tearing down
  pipelines (jsc#PED-850).
- ASoC: SOF: expose sof_route_setup() (jsc#PED-850).
- commit 82a7627
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/siw: Fix QP destroy to wait for all references dropped. (git-fixes)
- commit 61cef3e
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/siw: Always consume all skbuf data in sk_data_ready() upcall. (git-fixes)
- commit 296a57b
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/srp: Fix srp_abort() (git-fixes)
- commit 7984b35
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Align AE id codes to correct flush code and event (git-fixes)
- commit c55a705
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Add dai_link_fixup PCM op for IPC3 (jsc#PED-850).
- ASoC: SOF: Add trigger PCM op for IPC3 (jsc#PED-850).
- ASoC: SOF: Define hw_params PCM op for IPC3 (jsc#PED-850).
- ASoC: SOF: Introduce IPC3 PCM hw_free op (jsc#PED-850).
- ASoC: SOF: pcm: expose the sof_pcm_setup_connected_widgets()
  function (jsc#PED-850).
- ASoC: SOF: Introduce IPC-specific PCM ops (jsc#PED-850).
- ASoC: SOF: Add bytes_ext control IPC ops for IPC3 (jsc#PED-850).
- ASoC: SOF: Add bytes_get/put control IPC ops for IPC3
  (jsc#PED-850).
- ASoC: SOF: Add enum_get/put control ops for IPC3 (jsc#PED-850).
- ASoC: SOF: Add switch get/put IPC3 ops (jsc#PED-850).
- ASoC: SOF: Add volume_get/put IPC3 ops (jsc#PED-850).
- ASoC: SOF: Add IPC3 topology control ops (jsc#PED-850).
- ASoC: SOF: Introduce IPC ops for kcontrol IO (jsc#PED-850).
- ASoC: SOF: Make sof_suspend/resume IPC agnostic (jsc#PED-850).
- ASoC: SOF: Make sof_widget_setup/free IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: set up scheduler widget before all other widgets
  in the pipeline (jsc#PED-850).
- ASoC: SOF: topology: Use kmemdup() to replace kzalloc + memcpy
  (jsc#PED-850).
- ASoC: SOF: topology: remove snd_sof_complete_pipeline()
  (jsc#PED-850).
- ASoC: SOF: topology: Make widget binding IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make control parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make DAI widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make route setup IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make effect widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make siggen widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make asrc widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make src widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make mux/demux widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make mixer widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make pga widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make buffer widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: topology: Make scheduler widget parsing IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: Introduce IPC3 ops (jsc#PED-850).
- ASoC: SOF: topology: Add helper function for processing tuple
  arrays (jsc#PED-850).
- ASoC: SOF: IPC: Introduce IPC ops (jsc#PED-850).
- ASoC: SOF: Introduce struct snd_sof_dai_link (jsc#PED-850).
- ASoC: SOF: Remove ipc_pcm_params() ops (jsc#PED-850).
- ASoC: SOF: imx: Convert to use the generic
  set_stream_data_offset ops (jsc#PED-850).
- ASoC: SOF: Intel: Convert to use the generic
  set_stream_data_offset ops (jsc#PED-850).
- ASoC: SOF: Intel: hda-ipc: Add hda_set_stream_data_offset()
  (jsc#PED-850).
- ASoC: SOF: stream-ipc: Add sof_set_stream_data_offset()
  (jsc#PED-850).
- ASoC: SOF: Mark snd_sof_dsp_ops.ipc_pcm_params() callback
  optional (jsc#PED-850).
- ASoC: SOF: Introduce optional callback to configure stream
  data offset (jsc#PED-850).
- ASoC: SOF: pcm: Remove sof_pcm_dsp_params() wrapper
  (jsc#PED-850).
- ASoC: SOF: Make pcm_hw_params snd_sof_dsp_ops callback IPC
  neutral (jsc#PED-850).
- ASoC: SOF: sof-priv: Remove stale
  snd_sof_ipc_stream_pcm_params() declaration (jsc#PED-850).
- ASoC: Intel: soc-acpi: Add entry for rt711-sdca-sdw in ADL
  match table (jsc#PED-850).
- ASoC: SOF: Intel: add topology overwrite for Taniks
  (jsc#PED-850).
- ASoC: SOF: trace: Use proper DMA direction for the trace data
  buffer (jsc#PED-850).
- ASoC: SOF: compress: fix null check after dereference
  (jsc#PED-850).
- ASoC: Intel: avs: Code loading over HDA (jsc#PED-850).
- commit 951b46c
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix the error caused by qp->sk (git-fixes)
- commit 85ed907
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix "kernel NULL pointer dereference" error (git-fixes)
- commit 94f5187
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/mlx5: Don't compare mkey tags in DEVX indirect mkey (git-fixes)
- commit cbf3855
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: keep AVS config off (jsc#PED-850)
- commit 3fd2397
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: avs: Code loading over CLDMA (jsc#PED-850).
- ASoC: Intel: avs: Implement CLDMA transfer (jsc#PED-850).
- ASoC: Intel: avs: General code loading flow (jsc#PED-850).
- ASoC: Intel: avs: Dynamic firmware resources management
  (jsc#PED-850).
- ASoC: Intel: avs: Declare module configuration types
  (jsc#PED-850).
- ASoC: Intel: avs: Firmware resources management utilities
  (jsc#PED-850).
- ASoC: Intel: avs: Add basefw runtime-parameter requests
  (jsc#PED-850).
- ASoC: Intel: avs: Add ROM requests (jsc#PED-850).
- ASoC: Intel: avs: Add power management requests (jsc#PED-850).
- ASoC: Intel: avs: Add module management requests (jsc#PED-850).
- ASoC: Intel: avs: Add pipeline management requests
  (jsc#PED-850).
- ASoC: Intel: avs: Add code loading requests (jsc#PED-850).
- ASoC: Intel: avs: Inter process communication (jsc#PED-850).
- ASoC: Intel: Introduce AVS driver (jsc#PED-850).
- ASoC: SOF: move definition of snd_sof_ipc to header file
  (jsc#PED-850).
- ASoC: SOF: make struct snd_sof_dai IPC agnostic (jsc#PED-850).
- ASoC: SOF: topology: Rename arguments in sof_parse_tokens()
  (jsc#PED-850).
- ASoC: SOF: topology: Rename arguments in sof_parse_token_sets()
  (jsc#PED-850).
- ASoC: SOF: topology: Modify signature for token parsing
  functions (jsc#PED-850).
- ASoC: SOF: Add a tuples array to struct snd_sof_widget
  (jsc#PED-850).
- ASoC: SOF: topology: make sof_route_load() IPC agnostic
  (jsc#PED-850).
- ASoC: SOF: make struct snd_sof_widget IPC agnostic
  (jsc#PED-850).
- ASoC: Intel: bytcht_es8316: move comment to the right place
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: add cfg-dmics component for UCM support
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: extend machine driver to support
  ES8326 codec (jsc#PED-850).
- ASoC: Intel: sof_es8336: add support for JD inverted quirk
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: move comment to the right place
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: log all quirks (jsc#PED-850).
- ASoC: Intel: sof_es8336: use NHLT information to set dmic and
  SSP (jsc#PED-850).
- ASoC: Intel: Revert "ASoC: Intel: sof_es8336: add quirk for
  Huawei D15 2021" (jsc#PED-850).
- commit 7695000
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: sof_es8336: get codec device with ACPI instead
  of bus search (jsc#PED-850).
- ASoC: Intel: sof_es8336: make gpio optional (jsc#PED-850).
- ASoC: Intel: soc-acpi: add ESSX8336 support on Cannon Lake
  machines (jsc#PED-850).
- ASoC: Intel: soc-acpi: add more ACPI HIDs for ES83x6 devices
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: quirk topology filename dynamically
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: report SSP link mask to machine driver
  (jsc#PED-850).
- ALSA: intel-nhlt: add helper to detect SSP link mask
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: retrieve DMIC number for I2S boards
  (jsc#PED-850).
- ASoC: soc-acpi: add information on I2S/TDM link mask
  (jsc#PED-850).
- ASoC: soc-acpi: fix kernel-doc descriptor (jsc#PED-850).
- ASoC: SOF: ipc-msg-injector: Use devm_kzalloc() for the
  rx_buffer (jsc#PED-850).
- ASoC: SOF: amd: Remove unneeded semicolon (jsc#PED-850).
- commit 83f31ef
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: another Intel/AMD ASoC updates (jsc#PED-850)
- commit dd56303
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: boards: fix randconfig issue (jsc#PED-850).
- ASoC: SOF: change comp_dai to a pointer in struct snd_sof_dai
  (jsc#PED-850).
- ASoC: SOF: topology: expose some get_token ops (jsc#PED-850).
- ASoC: SOF: topology: Modify the get_token op for string tokens
  (jsc#PED-850).
- ASoC: SOF: topology: Drop the size parameter from struct
  sof_topology_token (jsc#PED-850).
- ASoC: SOF: topology: remove redundant code in
  sof_link_afe_load() (jsc#PED-850).
- ASoC: SOF: sof-audio: removed unused function (jsc#PED-850).
- ASoC: SOF: set swidget's core for scheduler widget
  (jsc#PED-850).
- ASoC: SOF: simplify snd_sof_device_remove() (jsc#PED-850).
- ASoC: SOF: remove snd_sof_pipeline_find() (jsc#PED-850).
- ASoC: amd: acp3x: Fix signedness bug in acp3x (jsc#PED-850).
- ASoC: amd: acp5x-pcm-dma: Fix signedness bug (jsc#PED-850).
- ASoC: Intel: catpt: use asoc_substream_to_rtd() (jsc#PED-850).
- ASoC: SOF: Intel: hda: clarify operator precedence
  (jsc#PED-850).
- ASoC: SOF: debug: clarify operator precedence (jsc#PED-850).
- ASoC: SOF: fix 32 signed bit overflow (jsc#PED-850).
- ASoC: SOF: amd: Increase ACP_HW_SEM_RETRY_COUNT value
  (jsc#PED-850).
- ASoC: SOF: amd: Move group register configuration to acp-loader
  (jsc#PED-850).
- ASoC: SOF: amd: Use semaphore register to synchronize ipc's irq
  (jsc#PED-850).
- ASoC: SOF: amd: Flush cache after ATU_BASE_ADDR_GRP register
  update (jsc#PED-850).
- ASoC: SOF: amd: Do not set ipc_pcm_params ops as it is optional
  (jsc#PED-850).
- ASoC: SOF: amd: acp-pcm: Take buffer information directly from
  runtime (jsc#PED-850).
- ASoC: Intel: boards: add GPIOLIB dependency where missed
  (jsc#PED-850).
- ASoC: Intel: boards: remove explicit dependency on GPIOLIB
  when DMIC is used" (jsc#PED-850).
- ASoC: amd: vg: fix signedness bug in acp5x_audio_probe()
  (jsc#PED-850).
- ASoC: amd: pcm-dma: Fix signedness bug in acp3x_audio_probe()
  (jsc#PED-850).
- ASoC: amd: pcm-dma: Fix signedness bug in acp_pdm_audio_probe()
  (jsc#PED-850).
- ASoC: amd: acp: Fix signedness bug in renoir_audio_probe()
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add entries in ADL match table
  (jsc#PED-850).
- ASoC: Intel: sof_ssp_amp: rename driver and support cs35l41
  amplifier (jsc#PED-850).
- commit ef4d791
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: Intel SOF updates (jsc#PED-850)
- commit 40ca354
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: cirrus-common: support cs35l41 amplifier
  (jsc#PED-850).
- ASoC: Intel: sof_rt1308: move rt1308 code to common module
  (jsc#PED-850).
- ASoC: Intel: boards: create sof-realtek-common module
  (jsc#PED-850).
- ASoC: Intel: add RT1308 I2S machine driver and HDMI-in capture
  via I2S support (jsc#PED-850).
- ASoC: Intel: boards: fix spelling in comments (jsc#PED-850).
- ASoC: soc-acpi: remove sof_fw_filename (jsc#PED-850).
- ASoC: amd: use asoc_substream_to_rtd() (jsc#PED-850).
- ASoC: amd: vangogh: fix uninitialized symbol warning in machine
  driver (jsc#PED-850).
- ASoC: amd: vg: remove warnings and errors pointed out by
  checkpatch pl (jsc#PED-850).
- ASoC: amd: vg: update DAI link name (jsc#PED-850).
- ASoC: amd: pcm-dma: Use platform_get_irq() to get the interrupt
  (jsc#PED-850).
- ASoC: acp: check the return value of devm_kzalloc() in
  acp_legacy_dai_links_create() (jsc#PED-850).
- ASoC: SOF: sof-priv: Drop duplicate sof_compressed_ops
  declaration (jsc#PED-850).
- ASoC: amd: Use platform_get_irq_byname() to get the interrupt
  (jsc#PED-850).
- ASoC: SOF: Declare sof_compress_ops in sof-priv.h (jsc#PED-850).
- ASoC: amd: acp: Add DMIC machine driver ops (jsc#PED-850).
- ASoC: amd: acp-legacy: Add legacy card support for new machines
  (jsc#PED-850).
- ASoC: amd: acp: Change card name for Guybrush Machine
  (jsc#PED-850).
- ASoC: SOF: pcm: Add compress_ops for SOF platform component
  driver (jsc#PED-850).
- ASoC: SOF: Intel: Add topology overwrite for Felwinter
  (jsc#PED-850).
- ASoC: Intel: sof_es8336: add quirk for Huawei D15 2021
  (jsc#PED-850).
- ASoC: SOF: Replace zero-length array with flexible-array member
  (jsc#PED-850).
- ASoC: SOF: core: unregister clients and machine drivers in
  .shutdown (jsc#PED-850).
- ASoC: SOF: Makefile: Fix randconfig sof-client build when
  SND_SOC_SOF=y (jsc#PED-850).
- ASoC: SOF: compr: Mark snd_compress_ops static (jsc#PED-850).
- ASoC: Intel: bytcr_wm5102: use GFP_KERNEL (jsc#PED-850).
- ASoC: SOF: Convert the generic probe support to SOF client
  (jsc#PED-850).
- ASoC: SOF: Convert the generic IPC message injector into SOF
  client (jsc#PED-850).
- ASoC: SOF: Convert the generic IPC flood test into SOF client
  (jsc#PED-850).
- ASoC: SOF: sof-client: Add support for clients not managed by
  pm framework (jsc#PED-850).
- commit 1703e8b
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: AMD ACP configs (jsc#PED-850)
- commit d87a85e
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Introduce IPC SOF client support (jsc#PED-850).
- ASoC: SOF: Split up utils.c into sof-utils and iomem-utils
  (jsc#PED-850).
- ASoC: SOF: ipc: Read and pass the whole message to handlers
  for IPC events (jsc#PED-850).
- ASoC: SOF: Move the definition of enum sof_dsp_power_states
  to global header (jsc#PED-850).
- ASoC: SOF: Drop unused DSP power states: D3_HOT and D3_COLD
  (jsc#PED-850).
- ASoC: SOF: Intel: hdac_ext_stream: consistent prefixes for
  variables/members (jsc#PED-850).
- ASoC: SOF: dma-trace: Pass pointer to params_ext struct in
  trace_init() (jsc#PED-850).
- ASoC: SOF: intel: hda-trace: Pass the dma buffer pointer to
  hda_dsp_trace_prepare (jsc#PED-850).
- ASoC: SOF: compr: Add compress ops implementation (jsc#PED-850).
- ASoC: amd: renoir: Add check for acp configuration flags
  (jsc#PED-850).
- ASoC: amd: acp: acp-legacy: Add DMIC dai link support for Renoir
  (jsc#PED-850).
- ASoC: amd: acp: Add ACP init()/deinit() callback for Renoir
  (jsc#PED-850).
- ASoC: amd: acp: Add generic PCI driver module for ACP device
  (jsc#PED-850).
- ASoC: amd: acp: Add PDM controller based dmic dai for Renoir
  (jsc#PED-850).
- ASoC: amd: acp: Add generic support for PDM controller on ACP
  (jsc#PED-850).
- ASoC: SOF: ipc: Do not allocate buffer for msg_data
  (jsc#PED-850).
- ASoC: SOF: ipc: Drop header parameter from
  sof_ipc_tx_message_unlocked() (jsc#PED-850).
- ASoC: SOF: Intel: cnl: Use pm_gate->hdr.cmd in
  cnl_compact_ipc_compress() (jsc#PED-850).
- ASoC: SOF: trace: Simplify count adjustment in trace_read
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: Remove link assignment limitation
  (jsc#PED-850).
- commit 5f8f1de
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Report RNR NAK generation in device caps (git-fixes)
- commit 7306409
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Return correct WC error for bind operation failure (git-fixes)
- commit bb7b5cd
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: sof_rt5682: Add support for platform without
  amplifier (jsc#PED-850).
- ASoC: Intel: sof_rt5682: add support for systems without i915
  audio (jsc#PED-850).
- ASoC: SOF: Intel: Compare sdw adr directly (jsc#PED-850).
- ASoC: SOF: add flag to disable IMR restore to sof_debug
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-loader: add IMR restore support
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-loader: add SSP helper (jsc#PED-850).
- ASoC: SOF: Intel: use inclusive language for SSP clocks
  (jsc#PED-850).
- ASoC: SOF: add _D3_PERSISTENT flag to fw_ready message
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: add 512FS MCLK clock configuration
  (jsc#PED-850).
- ASoC: amd: sof-mach: Add support for RT5682S and RT1019 card
  (jsc#PED-850).
- ASoC: Intel: soc-acpi-byt: Add new WM5102 ACPI HID
  (jsc#PED-850).
- ASoC: amd: vg: update acp init and deinit sequence
  (jsc#PED-850).
- ASoC: amd: vg: apply sample bits pcm constraint (jsc#PED-850).
- ASoC: amd: vg: update platform clock control sequence
  (jsc#PED-850).
- ASoC: amd: vangogh: refactor i2s master mode clock sequence code
  (jsc#PED-850).
- ASoC: amd: acp: Set gpio_spkr_en to None for max speaker
  amplifer in machine driver (jsc#PED-850).
- ASoC: amd: acp-mach: Fix Left and Right rt1019 amp devices
  (jsc#PED-850).
- ASoC: amd: acp: acp-mach: Change default RT1019 amp dev id
  (jsc#PED-850).
- ASoC: amd: acp: Power on/off the speaker enable gpio pin based
  on DAPM callback (jsc#PED-850).
- ASoC: amd: acp: Remove duplicate dependency in Kconfig
  (jsc#PED-850).
- commit 75e005d
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: amd: acp-config: Update sof_tplg_filename for SOF machines
  (jsc#PED-850).
- ASoC: amd: acp-config: Enable SOF audio for Google chrome boards
  (jsc#PED-850).
- ASoC: AMD: fix depend/select mistake on SND_AMD_ACP_CONFIG
  (jsc#PED-850).
- ASoC: amd: Convert to new style DAI format definitions
  (jsc#PED-850).
- ASoC: AMD: acp-config: fix missing dependency on SND_SOC_ACPI
  (jsc#PED-850).
- ASoC: amd: acp6x-pdm-dma: Constify static snd_soc_dai_ops
  (jsc#PED-850).
- ASoC: amd: Fix dependency for SPI master (jsc#PED-850).
- ASoC: amd: acp-pcm-dma: add .delay support (jsc#PED-850).
- ASoC: amd: acp-config: Remove legacy acpi based machine struct
  (jsc#PED-850).
- commit 17b7741
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Return error on MR deregister CQP failure (git-fixes)
- commit e8ec2a2
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Report the correct max cqes from query device (git-fixes)
- commit 2b8a0ed
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/siw: Pass a pointer to virt_to_page() (git-fixes)
- commit c54f89a
* Mon Oct 31 2022 tiwai@suse.de
- soundwire: qcom: remove redundant version number read
  (jsc#PED-850).
- ASoC: Intel: bytcr_rt5640: Add support for external GPIO
  jack-detect (jsc#PED-850).
- ASoC: Intel: bytcr_rt5640: Support retrieving the codec IRQ
  from the AMCR0F28 ACPI dev (jsc#PED-850).
- commit 3629d01
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: rt5640: Add support for boards with an external
  jack-detect GPIO (jsc#PED-850).
- ASoC: rt5640: Allow snd_soc_component_set_jack() to override
  the codec IRQ (jsc#PED-850).
- ASoC: rt5640: Change jack_work to a delayed_work (jsc#PED-850).
- ASoC: rt5640: Fix possible NULL pointer deref on resume
  (jsc#PED-850).
- ASoC: rt5640: Fix the wrong state of the JD in the HDA header
  (jsc#PED-850).
- ASoC: rt5640: Add the HDA header support (jsc#PED-850).
- ASoC: rt5640: Add the binding include file for the HDA header
  support (jsc#PED-850).
- ASoC: codecs: Fix spelling mistake "Unsupport" -> "Unsupported"
  (jsc#PED-850).
- commit 5e31cbb
* Mon Oct 31 2022 tiwai@suse.de
- soundwire: intel: remove PDM support (jsc#PED-850).
- soundwire: intel: remove unnecessary init (jsc#PED-850).
- ASoC: Intel/SOF: use set_stream() instead of set_tdm_slots()
  for HDAudio (jsc#PED-850).
- ASoC/SoundWire: dai: expand 'stream' concept beyond SoundWire
  (jsc#PED-850).
- soundwire: intel: improve suspend flows (jsc#PED-850).
- ASoC/soundwire: intel: simplify callbacks for params/hw_free
  (jsc#PED-850).
- ASOC: SOF: Intel: use snd_soc_dai_get_widget() (jsc#PED-850).
- ASoC: SOF: Intel: hda: Use DEBUG log level for optional prints
  (jsc#PED-850).
- ASoC: SOF: debug: Use DEBUG log level for optional prints
  (jsc#PED-850).
- ASoC: SOF: Add clarifying comments for sof_core_debug and DSP
  dump flags (jsc#PED-850).
- ASoC: SOF: Rename snd_sof_get_status() and add kernel log
  level parameter (jsc#PED-850).
- ASoC: SOF: dsp_arch_ops: add kernel log level parameter for
  oops and stack (jsc#PED-850).
- ASoC: SOF: ops: Always print DSP Panic message but use different
  message (jsc#PED-850).
- ASoc: SOF: core: Update the FW boot state transition diagram
  (jsc#PED-850).
- ASoC: SOF: pm: Force DSP off on suspend in BOOT_FAILED state
  also (jsc#PED-850).
- ASoC: SOF: Set SOF_FW_BOOT_FAILED in case we have failure
  during boot (jsc#PED-850).
- ASoC: SOF: ipc: Only allow sending of an IPC in
  SOF_FW_BOOT_COMPLETE state (jsc#PED-850).
- ASoC: SOF: Rename 'enum snd_sof_fw_state' to 'enum sof_fw_state'
  (jsc#PED-850).
- ASoC: SOF: Move the definition of enum snd_sof_fw_state to
  global header (jsc#PED-850).
- ASoC: SOF: Introduce new firmware state: SOF_FW_BOOT_READY_OK
  (jsc#PED-850).
- ASoC: SOF: Introduce new firmware state: SOF_FW_CRASHED
  (jsc#PED-850).
- ASoC: SOF: Add a 'message' parameter to snd_sof_dsp_dbg_dump()
  (jsc#PED-850).
- ASoC: SOF: Add 'non_recoverable' parameter to
  snd_sof_dsp_panic() (jsc#PED-850).
- ASoC: SOF: Use sof_debug_check_flag() instead of sof_core_debug
  directly (jsc#PED-850).
- ASoC: SOF: core: Add simple wrapper to check flags in
  sof_core_debug (jsc#PED-850).
- ASoC: SOF: Intel: hda-loader: Avoid re-defining the
  HDA_FW_BOOT_ATTEMPTS (jsc#PED-850).
- ASoC: SOF: ops: Use dev_warn() if the panic offsets differ
  (jsc#PED-850).
- ASoC: SOF: AMD: simplify return status handling (jsc#PED-850).
- ASoC: Intel: catpt: Streamline locals declaration for
  PCM-functions (jsc#PED-850).
- ASoC: Intel: catpt: Reduce size of catpt_component_open()
  (jsc#PED-850).
- ipc: debug: Add shared memory heap to memory scan (jsc#PED-850).
- ASoC: SOF: ipc: Add null pointer check for substream->runtime
  (jsc#PED-850).
- ASoC: SOF: avoid casting "const" attribute away (jsc#PED-850).
- ASoC: SOF: Intel: hda: remove support for RESUME in platform
  trigger (jsc#PED-850).
- ASoC: SOF: Intel: hda: remove support for RESUME trigger
  (jsc#PED-850).
- ASoC: SOF: pcm: remove support for RESUME trigger (jsc#PED-850).
- commit 3f0d25e
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: Remove retimers properly (jsc#PED-1211).
- commit e583265
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Kconfig: Make the SOF_DEVELOPER_SUPPORT depend on
  SND_SOC_SOF (jsc#PED-850).
- ASoC: SOF: topology: read back control data from DSP
  (jsc#PED-850).
- ASoC: SOF: Drop ctrl_type parameter for
  snd_sof_ipc_set_get_comp_data() (jsc#PED-850).
- ASoC: SOF: control: Do not handle control notification with
  component type (jsc#PED-850).
- ASoC: SOF: sof-audio: Drop the `cmd` member from struct
  snd_sof_control (jsc#PED-850).
- ASoC: SOF: Drop ctrl_cmd parameter for
  snd_sof_ipc_set_get_comp_data() (jsc#PED-850).
- ASoC: SOF: topology: Set control_data->cmd alongside
  scontrol->cmd (jsc#PED-850).
- ASoC: SOF: Drop ipc_cmd parameter for
  snd_sof_ipc_set_get_comp_data() (jsc#PED-850).
- ASoC: SOF: ipc: Rename send parameter in
  snd_sof_ipc_set_get_comp_data() (jsc#PED-850).
- ASoC: SOF: OF: Avoid reverse module dependency (jsc#PED-850).
- ASoC: SOF: sof-probes: Constify sof_probe_compr_ops
  (jsc#PED-850).
- ASoC: SOF: Remove pm_runtime_put_autosuspend() for SOF OF device
  (jsc#PED-850).
- ASoC: SOF: Intel: add comment on JasperLake support
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: remove unused fields (jsc#PED-850).
- ASoC: SOF: Intel: hda: add quirks for HDAudio DMA position
  information (jsc#PED-850).
- ASoC: SOF: hda-stream: only enable DPIB if needed (jsc#PED-850).
- ASoC: SOF: Intel: hda-ctrl: apply symmetry for DPIB
  (jsc#PED-850).
- ASoC: SOF: Intel: hda-stream: limit PROCEN workaround
  (jsc#PED-850).
- ASoC: SOF: Intel: ICL: move ICL-specific ops to icl.c
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: Move rt1015 speaker amp to common file
  (jsc#PED-850).
- commit 1dca21d
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: Intel: boards: add 'static' qualifiers for max98390 routes
  (jsc#PED-850).
- ASoC: SOF: Intel: fix build issue related to CODEC_PROBE_ENTRIES
  (jsc#PED-850).
- ASoC: Intel: boards: add max98390 2/4 speakers support
  (jsc#PED-850).
- ASoC: intel: boards: bytcht*: Constify static snd_soc_ops
  (jsc#PED-850).
- ASoC: Intel: hda_dsp_common: don't multiline PCM topology
  warning (jsc#PED-850).
- ASoC: intel: sst-mfld-platform-pcm: add .delay support
  (jsc#PED-850).
- ASoC: soc-component: add snd_soc_pcm_component_delay()
  (jsc#PED-850).
- ASoC: soc-dai: update snd_soc_dai_delay() to
  snd_soc_pcm_dai_delay() (jsc#PED-850).
- ASoC: SOF: Intel: hda: send DAI_CONFIG IPC during pause
  (jsc#PED-850).
- ASoC: SOF: IPC: dai: Expand DAI_CONFIG IPC flags (jsc#PED-850).
- ASoC: SOF: align the hw_free sequence with stop (jsc#PED-850).
- ASoC: SOF: pcm: move the check for prepared flag (jsc#PED-850).
- ASoC: SOF: Add a helper for freeing PCM stream (jsc#PED-850).
- ASoC: SOF: call platform hw_free for paused streams during
  suspend (jsc#PED-850).
- ASoC: SOF: pcm: invoke platform hw_free for STOP/SUSPEND
  triggers (jsc#PED-850).
- ASoC: SOF: Intel: hda: reset stream before coupling host and
  link DMA's (jsc#PED-850).
- ASoC: SOF: Intel: hda: Add a helper function for stream reset
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: clear stream before freeing the DAI
  widget (jsc#PED-850).
- ASoC: SOF: mediatek: Use %%pR/%%pa to print resources/physical
  addresses (jsc#PED-850).
- ASoC: SOF: mediatek: Add missing of_node_put() in
  platform_parse_resource() (jsc#PED-850).
- ASoC: SOF: Intel: add .ack support for HDaudio platforms
  (jsc#PED-850).
- ASoC: SOF: pcm: add .ack callback support (jsc#PED-850).
- ALSA: pcm: introduce INFO_NO_REWINDS flag (jsc#PED-850).
- ALSA: pcm: unconditionally check if appl_ptr is in 0..boundary
  range (jsc#PED-850).
- ASoC: soc-component: add snd_soc_component_is_codec()
  (jsc#PED-850).
- commit 157062a
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: retimer: Add missing id check in match callback
  (jsc#PED-1211).
- commit cf4d688
* Mon Oct 31 2022 oneukum@suse.com
- USB: xhci: Fix comment typo (jsc#PED-531 jsc#PED-1211).
- commit 2b3e84d
* Mon Oct 31 2022 oneukum@suse.com
- usb/typec/tcpm: fix repeated words in comments (jsc#PED-531
  jsc#PED-1211).
- commit 46257dd
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: handle paused streams during system suspend
  (jsc#PED-850).
- ASoC: SOF: topology: don't use list_for_each_entry_reverse()
  (jsc#PED-850).
- ASoC: SOF: sof-audio: setup sched widgets during pipeline
  complete step (jsc#PED-850).
- ASoC: SOF: imx8m: Implement reset callback (jsc#PED-850).
- ASoC: SOF: imx8m: Implement DSP start (jsc#PED-850).
- ASoC: SOF: imx8m: Add runtime PM / System PM support
  (jsc#PED-850).
- ASoC: SOF: imx8: Add runtime PM / System PM support
  (jsc#PED-850).
- ASoC: SOF: imx: Add code to manage DSP related clocks
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: free DAI widget during stop and suspend
  (jsc#PED-850).
- ASoC: SOF: add support for dynamic pipelines with multi-core
  (jsc#PED-850).
- ASoC: SOF: hda: don't use the core op for power up/power down
  (jsc#PED-850).
- ASoC: SOF: free widgets in sof_tear_down_pipelines() for static
  pipelines (jsc#PED-850).
- ASoC: SOF: topology: remove sof_load_pipeline_ipc()
  (jsc#PED-850).
- ASoC: SOF: Intel: CNL/ICL/APL: set core_get/core_put ops
  (jsc#PED-850).
- ASoC: SOF: Intel: TGL: set core_get/put ops (jsc#PED-850).
- ASoC: SOF: Add ops for core_get and core_put (jsc#PED-850).
- ASoC: SOF: Introduce num_cores and ref count per core
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: expose get_chip_info() (jsc#PED-850).
- ASoC: SOF: sof-pci-dev: use community key on all Up boards
  (jsc#PED-850).
- ASoC: SOF: mediatek: Add DSP system PM callback for mt8195
  (jsc#PED-850).
- commit 513c226
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: topology: Add support for Mediatek AFE DAI
  (jsc#PED-850).
- Refresh
  patches.suse/ASoC-SOF-topology-remove-redundant-code.patch.
- commit dd56536
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: Add retimer handle to port (jsc#PED-1211).
- commit dde8f08
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: Add support for retimers (jsc#PED-1211).
- commit cacdd0d
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: mux: Allow muxes to specify mode-switch
  (jsc#PED-1211).
- usb: typec: tcpm: Register USB Power Delivery Capabilities
  (jsc#PED-531).
- commit f8dc487
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: USB Power Delivery helpers for ports and partners
  (jsc#PED-531 jsc#PED-1211).
- Refresh patches.suse/0001-typeC-add-kABI-padding.patch.
- Refresh patches.suse/typeC-Add-kABI-placeholders.patch.
- commit 629af64
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: mediatek: Add mt8195 dsp clock support (jsc#PED-850).
- ASoC: SOF: mediatek: Add dai driver dsp ops callback for mt8195
  (jsc#PED-850).
- ASoC: SOF: Add mt8195 device descriptor (jsc#PED-850).
- ASoC: SOF: mediatek: Add fw loader and mt8195 dsp ops to load
  firmware (jsc#PED-850).
- ASoC: SOF: tokens: add token for Mediatek AFE (jsc#PED-850).
- ASoC: SOF: mediatek: Add mt8195 hardware support (jsc#PED-850).
- ASoC: SOF: amd: Add support for SOF firmware authentication
  (jsc#PED-850).
- ASoC: SOF: amd: Add trace logger support (jsc#PED-850).
- ASoC: SOF: topology: Add support for AMD ACP DAIs (jsc#PED-850).
- ASoC: SOF: amd: Add Renoir PCI driver interface (jsc#PED-850).
- ASoC: amd: Add module to determine ACP configuration
  (jsc#PED-850).
- commit 69a6968
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: Separate USB Power Delivery from USB Type-C
  (jsc#PED-531 jsc#PED-1211).
- commit d284c3e
* Mon Oct 31 2022 oneukum@suse.com
- usb: gadget: bdc: fix typo in comment (git-fixes).
- commit 0b9f194
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: update AMD ACP configs (jsc#PED-850)
- commit e5979cc
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: amd: fix uninitialized variable in snd_acp6x_probe()
  (jsc#PED-850).
- ASoC: amd: acp: select CONFIG_SND_SOC_ACPI (jsc#PED-850).
- ASoC: fix unmet dependencies on GPIOLIB for SND_SOC_DMIC
  (jsc#PED-850).
- ASoC: amd: acp: fix Kconfig dependencies (jsc#PED-850).
- ASoC: nau8825: add clock management for power saving
  (jsc#PED-850).
- ASoC: nau8825: add set_jack coponment support (jsc#PED-850).
- ASoC: nau8821: fix kernel-doc (jsc#PED-850).
- ASoC: amd: acp: Fix return value check in acp_machine_select()
  (jsc#PED-850).
- ASoC: amd: acp: SND_SOC_AMD_ACP_COMMON should depend on X86 &&
  PCI (jsc#PED-850).
- ASoC: amd: acp: SND_SOC_AMD_{LEGACY_MACH,SOF_MACH} should
  depend on X86 && PCI && I2C (jsc#PED-850).
- ASoC: amd: acp: Wrap AMD Audio ACP components in
  SND_SOC_AMD_ACP_COMMON (jsc#PED-850).
- ASoC: amd: acp: Add acp_machine struct for renoir platform
  (jsc#PED-850).
- ASoC: amd: acp: Add support for RT5682-VS codec (jsc#PED-850).
- ASoC: amd: acp: Add support for Maxim amplifier codec
  (jsc#PED-850).
- ASoC: amd: acp: Add SOF audio support on Chrome board
  (jsc#PED-850).
- ASoC: amd: acp: Add legacy sound card support for Chrome audio
  (jsc#PED-850).
- ASoC: amd: acp: Add generic machine driver support for ACP cards
  (jsc#PED-850).
- ASoC: amd: acp: Add callback for machine driver on ACP
  (jsc#PED-850).
- ASoC: amd: acp: Add I2S support on Renoir platform
  (jsc#PED-850).
- ASoC: amd: Add common framework to support I2S on ACP SOC
  (jsc#PED-850).
- ASoC: amd: enable Yellow Carp platform machine driver build
  (jsc#PED-850).
- ASoC: amd: add YC machine driver using dmic (jsc#PED-850).
- ASoC: amd: create platform device for acp6x machine driver
  (jsc#PED-850).
- ASoC: amd: enable Yellow carp acp6x drivers build (jsc#PED-850).
- ASoC: amd: add acp6x pdm driver pm ops (jsc#PED-850).
- ASoC: amd: add acp6x pci driver pm ops (jsc#PED-850).
- ASoC: amd: add acp6x pdm driver dma ops (jsc#PED-850).
- ASoC: amd: add acp6x irq handler (jsc#PED-850).
- ASoC: amd: add acp6x pdm platform driver (jsc#PED-850).
- ASoC: amd: add platform devices for acp6x pdm driver and dmic
  driver (jsc#PED-850).
- ASoC: amd: add acp6x init/de-init functions (jsc#PED-850).
- ASoC: amd: add Yellow Carp ACP PCI driver (jsc#PED-850).
- ASoC: amd: add Yellow Carp ACP6x IP register header
  (jsc#PED-850).
- ASoC: amd: enable vangogh platform machine driver build
  (jsc#PED-850).
- ASoC: amd: add vangogh machine driver (jsc#PED-850).
- ASoc: amd: create platform device for VG machine driver
  (jsc#PED-850).
- ASoC: amd: vangogh: constify static struct snd_soc_dai_ops
  (jsc#PED-850).
- ASoC: amd: Kconfig: Select fch clock support with machine driver
  (jsc#PED-850).
- ASoC: amd: acp-rt5645: Constify static snd_soc_ops
  (jsc#PED-850).
- ASoC: nau8824: Fix NAU8824_JACK_LOGIC define (jsc#PED-850).
- ASoC: nau8821: new driver (jsc#PED-850).
- ASoC: amd: acp: declare and add prefix to 'bt_uart_enable'
  symbol (jsc#PED-850).
- commit 9624970
* Mon Oct 31 2022 oneukum@suse.com
- usb: typec: tcpm: fix typo in comment (git-fixes).
- commit a66c855
* Mon Oct 31 2022 oneukum@suse.com
- usb: common: usb-conn-gpio: Allow wakeup from system suspend
  (jsc#PED-531).
- commit 61abc68
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: Drop unused SOF for arm, updates for NAU8825 and AMD (jsc#PED-850)
- commit 31abee1
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: amd: Add machine driver dsp ops for Renoir platform
  (jsc#PED-850).
- ASoC: SOF: amd: Add PCM stream callback for Renoir dai's
  (jsc#PED-850).
- ASoC: SOF: amd: Add dai driver dsp ops callback for Renoir
  (jsc#PED-850).
- ASoC: SOF: amd: Add IPC support for ACP IP block (jsc#PED-850).
- ASoC: SOF: amd: Add fw loader and renoir dsp ops to load
  firmware (jsc#PED-850).
- ASoC: SOF: amd: Add helper callbacks for ACP's DMA configuration
  (jsc#PED-850).
- ASoC: SOF: amd: Add Renoir ACP HW support (jsc#PED-850).
- ASoC: SOF: debug: Add support for IPC message injection
  (jsc#PED-850).
- ASoC: SOF: intel: Use the generic helper to get the reply
  (jsc#PED-850).
- ASoC: SOF: imx: Use the generic helper to get the reply
  (jsc#PED-850).
- commit a9ab47f
* Mon Oct 31 2022 tiwai@suse.de
- ALSA: Replace acpi_bus_get_device() (jsc#PED-850).
- ALSA: hda: intel-dsp-config: reorder the config table
  (jsc#PED-850).
- ALSA: hda: intel-dsp-config: add JasperLake support
  (jsc#PED-850).
- ASoC: SOF: utils: Add generic function to get the reply for
  a tx message (jsc#PED-850).
- ASoC: SOF: i.MX: simplify Kconfig (jsc#PED-850).
- ASoC: SOF: core: Unregister machine driver before IPC and
  debugfs (jsc#PED-850).
- ASoC: Intel: add sof-nau8825 machine driver (jsc#PED-850).
- ASoC: intel: sof_sdw: add link adr order check (jsc#PED-850).
- ASoC: intel: sof_sdw: remove get_next_be_id (jsc#PED-850).
- ASoC: intel: sof_sdw: remove sof_sdw_mic_codec_mockup_init
  (jsc#PED-850).
- ASoC: intel: sof_sdw: remove SOF_RT715_DAI_ID_FIX quirk
  (jsc#PED-850).
- ASoC: intel: sof_sdw: move DMIC link id overwrite to
  create_sdw_dailink (jsc#PED-850).
- ASoC: intel: sof_sdw: Use a fixed DAI link id for AMP
  (jsc#PED-850).
- ASoC: intel: sof_sdw: rename be_index/link_id to link_index
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: add SKU for Dell Latitude 9520
  (jsc#PED-850).
- ASoC: intel: sof_sdw: return the original error number
  (jsc#PED-850).
- ASoC: SOF: trace: send DMA_TRACE_FREE IPC during release
  (jsc#PED-850).
- ASoC: SOF: IPC: update ipc_log_header() (jsc#PED-850).
- ASoC: SOF: IPC: Add new IPC command to free trace DMA
  (jsc#PED-850).
- ALSA/ASoC: hda: move/rename snd_hdac_ext_stop_streams to
  hdac_stream.c (jsc#PED-850).
- ASoC: Intel: Skylake: Use NHLT API to search for blob
  (jsc#PED-850).
- ALSA: hda: Simplify DMIC-in-NHLT check (jsc#PED-850).
- ALSA: hda: Fill gaps in NHLT endpoint-interface (jsc#PED-850).
- soundwire: intel: Use auxiliary_device driver data helpers
  (jsc#PED-850).
- commit df611ff
* Mon Oct 31 2022 msuchanek@suse.de
- powerpc/pseries: Move vas_migration_handler early during
  migration (bsc#1204799 ltc#200177).
- commit b7aa6a0
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: Intel: Retry codec probing if it fails (jsc#PED-850).
- ASoC: SOF: hda: reset DAI widget before reconfiguring it
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add entry for ESSX8336 on CML
  (jsc#PED-850).
- ASoC: SOF: build compression interface into snd_sof.ko
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: Add support for SKU 0B12 product
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add SKU 0B29 SoundWire configuration
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: Add support for SKU 0B29 product
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add SKU 0B13 SoundWire configuration
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: Add support for SKU 0B13 product
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: Add support for SKU 0B11 product
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: Add support for SKU 0B00 and 0B01 products
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add SKU 0AF3 SoundWire configuration
  (jsc#PED-850).
- ASoC: Intel: sof_sdw: Add support for SKU 0AF3 product
  (jsc#PED-850).
- ASoC: SOF:control: Fix variable type in
  snd_sof_refresh_control() (jsc#PED-850).
- soundwire: qcom: add debugfs entry for soundwire register dump
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: use const for all uses of
  snd_soc_acpi_codecs (jsc#PED-850).
- ASoC: Intel: soc-acpi-cht: shrink tables using compatible IDs
  (jsc#PED-850).
- ASoC: Intel: soc-acpi-byt: shrink tables using compatible IDs
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: use comp_ids to enumerate rt5682s
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: detect codec variant in probe function
  (jsc#PED-850).
- ASoC: soc-acpi: add comp_ids field for machine driver matching
  (jsc#PED-850).
- ASoC: Intel: glk_rt5682_max98357a: support ALC5682I-VS codec
  (jsc#PED-850).
- ASoC: Intel: soc-acpi: add entry for ESSX8336 on JSL
  (jsc#PED-850).
- ASoC: fix unmet dependency on GPIOLIB for SND_SOC_MAX98357A
  (jsc#PED-850).
- ASoC: Intel: bytcr_rt5651: Utilize dev_err_probe() to avoid
  log saturation (jsc#PED-850).
- ASoC: Intel: bytcr_rt5651: use devm_clk_get_optional() for mclk
  (jsc#PED-850).
- ASoC: Intel: bytcr_rt5651: Use temporary variable for struct
  device (jsc#PED-850).
- ASoC: Intel: bytcr_rt5651: Get platform data via
  dev_get_platdata() (jsc#PED-850).
- ASoC: Intel: bytcr_rt5640: Utilize dev_err_probe() to avoid
  log saturation (jsc#PED-850).
- ASoC: Intel: bytcr_rt5640: use devm_clk_get_optional() for mclk
  (jsc#PED-850).
- ASoC: Intel: bytcr_rt5640: Use temporary variable for struct
  device (jsc#PED-850).
- ASoC: Intel: bytcr_rt5640: Get platform data via
  dev_get_platdata() (jsc#PED-850).
- ASoC: SOF: prepare code to allocate IPC messages in fw_ready
  (jsc#PED-850).
- ASoC: SOF: Introduce fragment elapsed notification API
  (jsc#PED-850).
- commit a990efc
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: imx: Use newly introduced generic IPC stream ops
  (jsc#PED-850).
- ASoC: SOF: Make Intel IPC stream ops generic (jsc#PED-850).
- ASoC: SOF: Introduce snd_sof_mailbox_read /
  snd_sof_mailbox_write callbacks (jsc#PED-850).
- ASoC: SOF: Intel: hda: Dump registers and stack when
  SOF_DBG_DUMP_REGS is set (jsc#PED-850).
- ASoC: SOF: Intel: hda-loader: Drop SOF_DBG_DUMP_REGS flag from
  dbg_dump calls (jsc#PED-850).
- ASoC: SOF: loader: Drop SOF_DBG_DUMP_REGS flag when firmware
  start fails (jsc#PED-850).
- ASoC: SOF: core: Clean up snd_sof_get_status() prints
  (jsc#PED-850).
- ASoC: SOF: intel: hda: Drop 'error' prefix from error dump
  functions (jsc#PED-850).
- ASoC: SOF: Introduce macro to set the firmware state
  (jsc#PED-850).
- ASoC: SOF: ops: Force DSP panic dumps to be printed
  (jsc#PED-850).
- ASoC: SOF: ipc: Re-enable dumps after successful IPC tx
  (jsc#PED-850).
- ASoC: SOF: debug: Print out the fw_state along with the DSP dump
  (jsc#PED-850).
- ASoC: SOF: Drop SOF_DBG_DUMP_FORCE_ERR_LEVEL and
  sof_dev_dbg_or_err (jsc#PED-850).
- ASoC: SOF: intel: hda-loader: Use snd_sof_dsp_dbg_dump()
  for DSP dump (jsc#PED-850).
- ASoC: SOF: debug: Add SOF_DBG_DUMP_OPTIONAL flag for DSP dumping
  (jsc#PED-850).
- ASoC: SOF: debug/ops: Move the IPC and DSP dump functions out
  from the header (jsc#PED-850).
- ASoC: SOF: intel: atom: No need to do a DSP dump in atom_run()
  (jsc#PED-850).
- ASoC: SOF: loader: Print the DSP dump if boot fails
  (jsc#PED-850).
- ASoC: SOF: Print the dbg_dump and ipc_dump once to reduce
  kernel log noise (jsc#PED-850).
- ASoC: SOF: ipc and dsp dump: Add markers for better visibility
  (jsc#PED-850).
- commit 5397d18
* Mon Oct 31 2022 tiwai@suse.de
- Update config files: enabled for SOF es8336 and rt5682s (jsc#PED-850)
- commit 9447c50
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: debug: Swap the dsp_dump and ipc_dump sequence for
  fw_exception (jsc#PED-850).
- ASoC: SOF: core: debug: force all processing on primary core
  (jsc#PED-850).
- ASoC: SOF: pipelines: Harmonize all functions to use struct
  snd_sof_dev (jsc#PED-850).
- ASoC: Intel: add machine driver for SOF+ES8336 (jsc#PED-850).
- ASoC: Intel: soc-acpi: apl/glk/tgl: add entry for devices
  based on ES8336 codec (jsc#PED-850).
- ASoC: SOF: Intel: hda-dai: improve SSP DAI handling for dynamic
  pipelines (jsc#PED-850).
- ASoC: SOF: Intel: hda: add new flags for DAI_CONFIG
  (jsc#PED-850).
- ASoC: SOF: dai: include new flags for DAI_CONFIG (jsc#PED-850).
- ASoC: SOF: dai: mirror group_id definition added in firmware
  (jsc#PED-850).
- ASoC: SOF: topology: return error if sof_connect_dai_widget()
  fails (jsc#PED-850).
- ASoC: SOF: topology: allow for dynamic pipelines override for
  debug (jsc#PED-850).
- ASoC: SOF: topology: show clks_control value in dynamic debug
  (jsc#PED-850).
- commit 9734d36
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/srp: Set scmnd->result only when scmnd is not NULL (git-fixes)
- commit 458db53
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/cma: Fix arguments order in net device validation (git-fixes)
- commit 81952c8
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix error unwind in rxe_create_qp() (git-fixes)
- commit f572d06
* Mon Oct 31 2022 msuchanek@suse.de
- kbuild: Add skip_encoding_btf_enum64 option to pahole
  (git-fixes).
- commit 934e48d
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: OF: Add fw_path and tplg_path parameters
  (jsc#PED-850).
- ASoC: Intel: cht_bsw_nau8824: Set card.components string
  (jsc#PED-850).
- ASoC: nau8824: Add a nau8824_components() helper (jsc#PED-850).
- ASoC: SOF: topology: Add kernel parameter for topology
  verification (jsc#PED-850).
- ASoC: SOF: Add support for dynamic pipelines (jsc#PED-850).
- ASoC: SOF: Intel: hda: make sure DAI widget is set up before
  IPC (jsc#PED-850).
- ASoC: SOF: Introduce widget use_count (jsc#PED-850).
- ASoC: SOF: Don't set up widgets during topology parsing
  (jsc#PED-850).
- ASoC: SOF: restore kcontrols for widget during set up
  (jsc#PED-850).
- ASoC: SOF: Add new fields to snd_sof_route (jsc#PED-850).
- AsoC: dapm: export a couple of functions (jsc#PED-850).
- ASoC: SOF: sof-audio: add helpers for widgets, kcontrols and
  dai config set up (jsc#PED-850).
- ASoC: SOF: topology: Add new token for dynamic pipeline
  (jsc#PED-850).
- ASoC: SOF: control: Add access field in struct snd_sof_control
  (jsc#PED-850).
- ASoC: topology: change the complete op in snd_soc_tplg_ops to
  return int (jsc#PED-850).
- ASoC: Intel: sof_rt5682: Add support for max98360a speaker amp
  (jsc#PED-850).
- ASoC: SOF: Change SND_SOC_SOF_TOPLEVEL from config to menuconfig
  (jsc#PED-850).
- ASoC: intel: sof_rt5682: update platform device name for Maxim
  amplifier (jsc#PED-850).
- ASoC: SOF: ipc: Make the error prints consistent in
  tx_wait_done() (jsc#PED-850).
- ASoC: SOF: prefix some terse and cryptic dev_dbg() with __func__
  (jsc#PED-850).
- ASoC: SOF: add error handling to snd_sof_ipc_msg_data()
  (jsc#PED-850).
- ASoC: SOF: imx: add header file for ops (jsc#PED-850).
- ASoC: SOF: pm: fix a stale comment (jsc#PED-850).
- ASoC: SOF: Intel: hda-stream: Print stream name on
  STREAM_SD_OFFSET timeout (jsc#PED-850).
- ASoC: Intel: boards: Update to modern clocking terminology
  (jsc#PED-850).
- ASoC: SOF: Remove struct sof_ops_table and sof_get_ops() macro
  (jsc#PED-850).
- ASoC: SOF: ipc: Print 0x prefix for errors in
  ipc_trace/stream_message() (jsc#PED-850).
- ASoC: SOF: ipc: Clarify the parameter name for
  ipc_trace_message() (jsc#PED-850).
- ASoC: SOF: Rename sof_arch_ops to dsp_arch_ops (jsc#PED-850).
- ASoC: SOF: ipc: Remove redundant error check from
  sof_ipc_tx_message_unlocked (jsc#PED-850).
- ASoC: SOF: sof-probes: Correct the function names used for
  snd_soc_cdai_ops (jsc#PED-850).
- ASoC: SOF: Intel: Rename hda-compress.c to hda-probes.c
  (jsc#PED-850).
- commit 6acbd79
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/mlx5: Add missing check for return value in get namespace flow (git-fixes)
- commit 6e82f19
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix rnr retry behavior (git-fixes)
- commit 7a75da5
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: For invalidate compare according to set keys in mr (git-fixes)
- commit 66293aa
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix mw bind to allow any consumer key portion (git-fixes)
- commit c8934f1
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/siw: Fix duplicated reported IW_CM_EVENT_CONNECT_REPLY event (git-fixes)
- commit 79b1a39
* Mon Oct 31 2022 tiwai@suse.de
- ASoC: SOF: probe: Merge and clean up the probe and compress
  files (jsc#PED-850).
- ASoC: SOF: compress: move and export sof_probe_compr_ops
  (jsc#PED-850).
- ASoC: SOF: pcm: Remove non existent CONFIG_SND_SOC_SOF_COMPRESS
  reference (jsc#PED-850).
- ASoC: SOF: ipc: Add probe message logging to ipc_log_header()
  (jsc#PED-850).
- ASoC: SOF: imx8m: add SAI1 info (jsc#PED-850).
- ASoC: SOF: core: Move probe work related code under a single if
  () branch (jsc#PED-850).
- ASoC: SOF: debug: No need to export the
  snd_sof_debugfs_io_item() (jsc#PED-850).
- ASoC: SOF: loader: Use the generic ops for region debugfs
  handling (jsc#PED-850).
- ASoC: SOF: Intel: Provide debugfs_add_region_item ops for core
  (jsc#PED-850).
- ASoC: SOF: imx: Provide debugfs_add_region_item ops for core
  (jsc#PED-850).
- ASoC: SOF: debug: Add generic API and ops for DSP regions
  (jsc#PED-850).
- ASoC: SOF: core: Do not use 'bar' as parameter for
  block_read/write (jsc#PED-850).
- ASoC: SOF: loader: No need to export snd_sof_fw_parse_ext_data()
  (jsc#PED-850).
- ASoC: SOF: imx: Do not initialize the snd_sof_dsp_ops.read64
  (jsc#PED-850).
- ASoC: SOF: ipc: Remove snd_sof_dsp_mailbox_init() (jsc#PED-850).
- ASoC: SOF: Intel: bdw: Set the mailbox offset directly in
  bdw_probe (jsc#PED-850).
- ASoC: SOF: intel: Do no initialize resindex_dma_base
  (jsc#PED-850).
- ASoC: SOF: Intel: hda: Relocate inline definitions from hda.h
  to hda.c for sdw (jsc#PED-850).
- ASoC: SOF: Intel: hda: Remove boot_firmware skl and iccmax_icl
  declarations (jsc#PED-850).
- ASoC: SOF: Intel: hda-dsp: Declare locally used functions as
  static (jsc#PED-850).
- ASoC: intel: sof_rt5682: support jsl_rt5682s_mx98360a board
  (jsc#PED-850).
- ASoC: intel: sof_rt5682: support jsl_rt5682s_rt1015 board
  (jsc#PED-850).
- ASoC: intel: sof_rt5682: support jsl_rt5682s_rt1015p board
  (jsc#PED-850).
- ASoC: Intel: sof_rt5682: support ALC5682I-VS codec
  (jsc#PED-850).
- ASoC: SOF: loader: load_firmware callback is mandatory, treat
  it like that (jsc#PED-850).
- ASoC: SOF: Handle control change notification from firmware
  (jsc#PED-850).
- ASoC: SOF: control: fix a typo in put operations for kcontrol
  (jsc#PED-850).
- ASoC: rt5682s: Add driver for ALC5682I-VS codec (jsc#PED-850).
- ASoC: SOF: core: allow module parameter to override dma trace
  Kconfig (jsc#PED-850).
- ASoC: Intel: Move soc_intel_is_foo() helpers to a generic header
  (jsc#PED-850).
- commit bb7be03
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix potential memory leak in __qedr_alloc_mr() (git-fixes)
- commit 706d0f6
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA: remove useless condition in siw_create_cq() (git-fixes)
- commit 6f61f5a
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Fix setting of QP context err_rq_idx_valid field (git-fixes)
- commit 026149f
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Fix VLAN connection with wildcard address (git-fixes)
- commit f75f6bd
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Fix a window for use-after-free (git-fixes)
- commit 5ca4a5f
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix deadlock in rxe_do_local_ops() (git-fixes)
- commit afef467
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Fix sleep from invalid context BUG (git-fixes)
- commit 735c971
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/irdma: Do not advertise 1GB page size for x722 (git-fixes)
- commit ccc988f
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix reporting QP timeout attribute (git-fixes)
- commit c6a81d4
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/hfi1: Fix potential integer multiplication overflow errors (git-fixes)
- commit 2b22d3a
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/hns: Add the detection for CMDQ status in the device initialization process (git-fixes)
- commit 7090c13
* Mon Oct 31 2022 nmoreychaisemartin@suse.com
- RDMA/rxe: Generate a completion for unsupported/invalid opcode (git-fixes)
- commit 2a9e949
* Mon Oct 31 2022 ptesarik@suse.cz
- blacklist.conf: Clarify status of 6f5c672d17f583b081e283927f5040f726c54598.
- commit cfc21b5
* Mon Oct 31 2022 ptesarik@suse.cz
- s390/dasd: fix Oops in dasd_alias_get_start_dev due to missing
  pavgroup (git-fixes).
- commit 3602f60
* Mon Oct 31 2022 jslaby@suse.cz
- x86/fpu: Fix copy_xstate_to_uabi() to copy init states correctly
  (jsc#PED-1816).
- x86/fpu: Exclude dynamic states from init_fpstate
  (jsc#PED-1816).
- x86/fpu: Fix the init_fpstate size check with the actual size
  (jsc#PED-1816).
- x86/fpu: Configure init_fpstate attributes orderly
  (jsc#PED-1816).
- commit d47f5a0
* Mon Oct 31 2022 vbabka@suse.cz
- drm/amdkfd: export svm_range_list_lock_and_flush_work
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit c19d328
* Mon Oct 31 2022 vbabka@suse.cz
- amd/amdkfd: remove svms declaration to avoid werror
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit 4bffdd8
* Mon Oct 31 2022 vbabka@suse.cz
- drm/amdkfd: fix KFDSVMRangeTest.PartialUnmapSysMemTest fails
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit 77d4811
* Mon Oct 31 2022 jslaby@suse.cz
- Kbuild: use -std=gnu11 for KBUILD_USERCFLAGS (bsc#1204877).
- Kbuild: move to -std=gnu11 (bsc#1204877).
- commit 00462f0
* Mon Oct 31 2022 tiwai@suse.de
- fbdev: cyber2000fb: fix missing pci_disable_device()
  (git-fixes).
- fbdev: da8xx-fb: Fix error handling in .remove() (git-fixes).
- iio: bmc150-accel-core: Fix unsafe buffer attributes
  (git-fixes).
- iio: adxl372: Fix unsafe buffer attributes (git-fixes).
- iio: temperature: ltc2983: allocate iio channels once
  (git-fixes).
- iio: adc: mcp3911: use correct id bits (git-fixes).
- iio: light: tsl2583: Fix module unloading (git-fixes).
- usb: dwc3: gadget: Don't set IMI for no_interrupt (git-fixes).
- usb: dwc3: gadget: Stop processing more requests on IMI
  (git-fixes).
- usb: bdc: change state when port disconnected (git-fixes).
- hwmon/coretemp: Handle large core ID value (git-fixes).
- ACPI: video: Make backlight class device registration a separate
  step (v2) (git-fixes).
- r8152: add PID for the Lenovo OneLink+ Dock (git-fixes).
- net: usb: r8152: Add in new Devices that are supported for
  Mac-Passthru (git-fixes).
- arm64/mm: Consolidate TCR_EL1 fields (git-fixes).
- commit 510527f
* Mon Oct 31 2022 jlee@suse.com
- objtool,efi: Update __efi64_thunk annotation (jsc#PED-1409).
  Refresh
  patches.suse/efi-x86-use-naked-RET-on-mixed-mode-call-wrapper.patch.
- efi/mokvar: move up init order (jsc#PED-1409).
- commit de5f614
* Mon Oct 31 2022 lduncan@suse.com
- scsi: iscsi: Stop using the SCSI pointer (jsc#PED-868).
- scsi: qedi: Switch to attribute groups (jsc#PED-868).
- scsi: bnx2i: Switch to attribute groups (jsc#PED-868).
- scsi: be2iscsi: Switch to attribute groups (jsc#PED-868).
- commit 4dde282
* Sun Oct 30 2022 petr.pavlu@suse.com
- tracing: Disable interrupt or preemption before acquiring
  arch_spinlock_t (git-fixes).
- commit 2afc9ce
* Sun Oct 30 2022 petr.pavlu@suse.com
- tracing: Wake up ring buffer waiters on closing of the file
  (git-fixes).
- kABI: Fix after adding trace_iterator.wait_index (git-fixes).
- commit c6de351
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Fix reading strings from synthetic events (git-fixes).
- commit b3d60fe
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Add "(fault)" name injection to kernel probes
  (git-fixes).
- commit e8dfbfa
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Move duplicate code of trace_kprobe/eprobe.c into header
  (git-fixes).
- commit 4676a84
* Sat Oct 29 2022 petr.pavlu@suse.com
- ftrace: Fix char print issue in print_ip_ins() (git-fixes).
- commit 40cb188
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Do not free snapshot if tracer is on cmdline
  (git-fixes).
- commit 9e07624
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Simplify conditional compilation code in
  tracing_set_tracer() (git-fixes).
- commit 35b9e24
* Sat Oct 29 2022 petr.pavlu@suse.com
- ring-buffer: Fix race between reset page and reading page
  (git-fixes).
- commit e172e8c
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Wake up waiters when tracing is disabled (git-fixes).
- commit e65663f
* Sat Oct 29 2022 petr.pavlu@suse.com
- tracing: Add ioctl() to force ring buffer waiters to wake up
  (git-fixes).
- commit d726bd0
* Sat Oct 29 2022 petr.pavlu@suse.com
- ring-buffer: Add ring_buffer_wake_waiters() (git-fixes).
- commit 3f155a7
* Sat Oct 29 2022 tiwai@suse.de
- ALSA: rme9652: use explicitly signed char (git-fixes).
- ALSA: au88x0: use explicitly signed char (git-fixes).
- ALSA: usb-audio: Add quirks for M-Audio Fast Track C400/600
  (git-fixes).
- commit 1285ea5
* Sat Oct 29 2022 tiwai@suse.de
- device property: Fix documentation for *_match_string() APIs
  (git-fixes).
- PM: domains: Fix handling of unavailable/disabled idle states
  (git-fixes).
- PM: hibernate: Allow hybrid sleep to work with s2idle
  (git-fixes).
- mmc: sdhci_am654: 'select', not 'depends' REGMAP_MMIO
  (git-fixes).
- mmc: core: Fix kernel panic when remove non-standard SDIO card
  (git-fixes).
- mmc: sdhci-pci-core: Disable ES for ASUS BIOS on Jasper Lake
  (git-fixes).
- mmc: sdhci-esdhc-imx: Propagate ESDHC_FLAG_HS400* only on 8bit
  bus (git-fixes).
- mtd: rawnand: marvell: Use correct logic for nand-keep-config
  (git-fixes).
- ALSA: aoa: Fix I2S device accounting (git-fixes).
- ALSA: Use del_timer_sync() before freeing timer (git-fixes).
- ALSA: aoa: i2sbus: fix possible memory leak in i2sbus_add_dev()
  (git-fixes).
- ASoC: qcom: lpass-cpu: Mark HDMI TX parity register as volatile
  (git-fixes).
- ASoC: qcom: lpass-cpu: mark HDMI TX registers as volatile
  (git-fixes).
- ALSA: ac97: fix possible memory leak in snd_ac97_dev_register()
  (git-fixes).
- drm/i915/dp: Reset frl trained flag before restarting FRL
  training (git-fixes).
- drm/amdkfd: Fix memory leak in kfd_mem_dmamap_userptr()
  (git-fixes).
- drm/msm/dp: fix IRQ lifetime (git-fixes).
- drm/msm/hdmi: fix memory corruption with too many bridges
  (git-fixes).
- drm/msm/dsi: fix memory corruption with too many bridges
  (git-fixes).
- drm/msm: fix use-after-free on probe deferral (git-fixes).
- drm/msm: Fix return type of mdp4_lvds_connector_mode_valid
  (git-fixes).
- commit a89c8ce
* Sat Oct 29 2022 jlee@suse.com
- efi: Allow to enable EFI runtime services by default on RT
  (jsc#PED-1409).
  Update config files.
- efi: use default_groups in kobj_type (jsc#PED-1409).
- efi/libstub: measure loaded initrd info into the TPM
  (jsc#PED-1409).
- efi/libstub: consolidate initrd handling across architectures
  (jsc#PED-1409).
- efi/libstub: x86/mixed: increase supported argument count
  (jsc#PED-1409).
  Refresh
  patches.suse/x86-prepare-asm-files-for-straight-line-speculation.patch.
  patches.suse/efi-x86-use-naked-RET-on-mixed-mode-call-wrapper.patch.
- efi/libstub: add prototype of
  efi_tcg2_protocol::hash_log_extend_event() (jsc#PED-1409).
- include/linux/efi.h: Remove unneeded whitespaces before tabs
  (jsc#PED-1409).
- efi: Move efifb_setup_from_dmi() prototype from arch headers
  (jsc#PED-1409).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- commit fa39fcf
* Sat Oct 29 2022 tiwai@suse.de
- blacklist.conf: add reverted ASoC patches
- commit 67ca727
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix address of SYS_COUNT_TX_AGING counter
  (git-fixes).
- commit a23c712
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: dsa: sja1105: fix buffer overflow in
  sja1105_setup_devlink_regions() (git-fixes).
- commit 9684564
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: dsa: microchip: ksz9477: fix fdb_dump last invalid entry
  (git-fixes).
- commit bcb13eb
* Fri Oct 28 2022 tiwai@suse.de
- Update patch reference for USB fix (bsc#1196018 CVE-2022-28748 bsc#1202686 CVE-2022-2964)
- commit 0ee154e
* Fri Oct 28 2022 denis.kirjanov@suse.com
- i40e: Fix to stop tx_timeout recovery if GLOBR fails
  (git-fixes).
- commit 9ae1da4
* Fri Oct 28 2022 denis.kirjanov@suse.com
- iavf: Fix reset error handling (git-fixes).
- commit d4babdd
* Fri Oct 28 2022 denis.kirjanov@suse.com
- iavf: Fix adminq error handling (git-fixes).
- commit 403a1a3
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: moxa: pass pdev instead of ndev to DMA functions
  (git-fixes).
- commit e117a5b
* Fri Oct 28 2022 denis.kirjanov@suse.com
- mlxsw: spectrum: Clear PTP configuration after unregistering
  the netdevice (git-fixes).
- commit 6677912
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6060: prevent crash on an unused port
  (git-fixes).
- commit 00d6b8c
* Fri Oct 28 2022 denis.kirjanov@suse.com
- fec: Fix timer capture timing in `fec_ptp_enable_pps()`
  (git-fixes).
- commit 1a47f16
* Fri Oct 28 2022 denis.kirjanov@suse.com
- dpaa2-eth: trace the allocated address instead of page struct
  (git-fixes).
- commit 1020d1e
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: atlantic: fix aq_vec index out of range error (git-fixes).
- commit 46d90a2
* Fri Oct 28 2022 denis.kirjanov@suse.com
- plip: avoid rcu debug splat (git-fixes).
- commit eb203b2
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: bgmac: Fix a BUG triggered by wrong bytes_compl
  (git-fixes).
- commit cb50cd4
* Fri Oct 28 2022 denis.kirjanov@suse.com
- net: bcmgenet: Indicate MAC is in charge of PHY PM (git-fixes).
- commit 1147d60
* Fri Oct 28 2022 ailiop@suse.com
- xfs: convert XLOG_FORCED_SHUTDOWN() to xlog_is_shutdown()
  (git-fixes).
- commit ab97572
* Fri Oct 28 2022 ailiop@suse.com
- xfs: fix xfs_ifree() error handling to not leak perag ref
  (git-fixes).
- commit 2b17a84
* Fri Oct 28 2022 jgross@suse.com
- xen/netback: fix incorrect usage of
  RING_HAS_UNCONSUMED_REQUESTS() (bsc#1204570).
- commit 3c5f57f
* Fri Oct 28 2022 tiwai@suse.de
- can: j1939: transport: j1939_session_skb_drop_old():
  spin_unlock_irqrestore() before kfree_skb() (git-fixes).
- can: kvaser_usb: Fix possible completions during init_completion
  (git-fixes).
- openvswitch: switch from WARN to pr_warn (git-fixes).
- can: mcp251x: mcp251x_can_probe(): add missing
  unregister_candev() in error path (git-fixes).
- can: mscan: mpc5xxx: mpc5xxx_can_probe(): add missing
  put_clock() in error path (git-fixes).
- mac802154: Fix LQI recording (git-fixes).
- media: vivid: set num_in/outputs to 0 if not supported
  (git-fixes).
- media: videodev2.h: V4L2_DV_BT_BLANKING_HEIGHT should check
  'interlaced' (git-fixes).
- media: v4l2-dv-timings: add sanity checks for blanking values
  (git-fixes).
- media: vivid: dev->bitmap_cap wasn't freed in all cases
  (git-fixes).
- media: vivid: s_fbuf: add more sanity checks (git-fixes).
- can: kvaser_usb: kvaser_usb_leaf: fix CAN clock frequency
  regression (git-fixes).
- commit 78420ce
* Thu Oct 27 2022 jack@suse.cz
- Add CVE reference to
  patches.suse/net-usb-ax88179_178a-Fix-out-of-bounds-accesses-in-R.patch
  (bsc#1196018 CVE-2022-28748 CVE-2022-2964).
- commit 1298a2a
* Thu Oct 27 2022 vbabka@suse.cz
- hmm-tests: add test for migrate_device_range() (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit ec3f1d0
* Thu Oct 27 2022 vbabka@suse.cz
- nouveau/dmem: evict device private memory during release
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit ca9fd32
* Thu Oct 27 2022 vbabka@suse.cz
- nouveau/dmem: refactor nouveau_dmem_fault_copy_one()
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit 521539d
* Thu Oct 27 2022 vbabka@suse.cz
- mm/migrate_device.c: add migrate_device_range() (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit 63236a4
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: move firmware sysctl to its own files
  (PED-1263).
- Refresh
  patches.suse/firmware_loader-Split-sysfs-support-from-fallback.patch.
- commit 8ae5e5b
* Thu Oct 27 2022 vbabka@suse.cz
- mm/migrate_device.c: refactor migrate_vma and
  migrate_deivce_coherent_page() (jsc#PED-1294, bsc#1204363,
  CVE-2022-3523).
- commit 7f2a998
* Thu Oct 27 2022 vbabka@suse.cz
- mm/memremap.c: take a pgmap reference on page allocation
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit 123f2df
* Thu Oct 27 2022 vbabka@suse.cz
- mm/memremap: fix memunmap_pages() race with get_dev_pagemap()
  (git-fixes).
- commit 980c32f
* Thu Oct 27 2022 mgorman@suse.de
- mm/pagealloc: sysctl: change watermark_scale_factor max limit
  to 30%% (bnc#1189998 (PREEMPT_RT prerequisite backports)).
- Refresh
  patches.suse/sysctl-move-some-boundary-constants-from-sysctl.c-to.patch.
  This was previously in the SLE15-SP4-RT branch to avoid a change in
  behaviour of a sysctl after GA.
- commit dce66e6
* Thu Oct 27 2022 tiwai@suse.de
- fpga: stratix10-soc: Do not use ret uninitialized in s10_probe()
  (jsc#PED-1263).
- commit 1865695
* Thu Oct 27 2022 tiwai@suse.de
- fpga: m10bmc-sec: d5005 bmc secure update driver (jsc#PED-1263).
- commit a8f024e
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl-pci: Add IDs for Intel N6000, N6001 and C6100 cards
  (jsc#PED-1263).
- commit 81df1d8
* Thu Oct 27 2022 tiwai@suse.de
- uio: dfl: add IOPLL user-clock feature id (jsc#PED-1263).
- commit b574954
* Thu Oct 27 2022 tiwai@suse.de
- mfd: intel-m10-bmc: Add d5005 bmc secure update driver
  (jsc#PED-1263).
- commit ccd0f1e
* Thu Oct 27 2022 tiwai@suse.de
- memory: dfl-emif: Update the dfl emif driver support revision 1
  (jsc#PED-1263).
- commit ec569a6
* Thu Oct 27 2022 tiwai@suse.de
- regmap: spi-avmm: Use swabXX_array() helpers (jsc#PED-1263).
- commit 4057de5
* Thu Oct 27 2022 tiwai@suse.de
- swab: Add array operations (jsc#PED-1263).
- commit b633743
* Thu Oct 27 2022 tiwai@suse.de
- fpga: m10bmc-sec: Fix possible memory leak of flash_buf
  (jsc#PED-1263).
- commit c627d9d
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Fix memory leak in firmware upload
  (jsc#PED-1263).
- commit 19ff7e8
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Fix use-after-free during unregister
  (jsc#PED-1263).
- commit 4f92a6e
* Thu Oct 27 2022 tiwai@suse.de
- fpga: m10bmc-sec: add max10 secure update functions
  (jsc#PED-1263).
- commit fb127c6
* Thu Oct 27 2022 tiwai@suse.de
- fpga: m10bmc-sec: expose max10 canceled keys in sysfs
  (jsc#PED-1263).
- commit 4d15a2d
* Thu Oct 27 2022 tiwai@suse.de
- fpga: m10bmc-sec: expose max10 flash update count
  (jsc#PED-1263).
- commit 490a9aa
* Thu Oct 27 2022 tiwai@suse.de
- fpga: m10bmc-sec: create max10 bmc secure update (jsc#PED-1263).
- commit bb9fcc7
* Thu Oct 27 2022 tiwai@suse.de
- mfd: intel-m10-bmc: Rename n3000bmc-secure driver
  (jsc#PED-1263).
- commit fc33834
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: describe 'module' parameter of
  firmware_upload_register() (jsc#PED-1263).
- commit 103bb65
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Move definitions from sysfs_upload.h to sysfs.h
  (jsc#PED-1263).
- commit 87bae5e
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Fix configs for sysfs split (jsc#PED-1263).
- commit 6a7a9b1
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Add sysfs nodes to monitor fw_upload
  (jsc#PED-1263).
- commit 7b04b8b
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Add firmware-upload support (jsc#PED-1263).
- commit d2144d4
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Split sysfs support from fallback
  (jsc#PED-1263).
- commit e6134c4
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Check fw_state_is_done in loading_store
  (jsc#PED-1263).
- commit 87cb66d
* Thu Oct 27 2022 tiwai@suse.de
- firmware_loader: Clear data and size in fw_free_paged_buf
  (jsc#PED-1263).
- commit a0106fc
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl: Allow Port to be linked to FME's DFL (jsc#PED-1263).
- commit 54d7dcd
* Thu Oct 27 2022 tiwai@suse.de
- Documentation: fpga: dfl: add link address of feature id table
  (jsc#PED-1263).
- commit ae7ccad
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl: check feature type before parse irq info
  (jsc#PED-1263).
- commit 7ba0e05
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-region: fix kernel-doc formatting issues
  (jsc#PED-1263).
- commit 8305210
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: fix kernel-doc warnings (jsc#PED-1263).
- commit 4a86d8b
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fix for coding style issues (jsc#PED-1263).
- commit eefb2bb
* Thu Oct 27 2022 tiwai@suse.de
- uio: dfl: add HSSI subsystem feature id (jsc#PED-1263).
- commit 942ce55
* Thu Oct 27 2022 tiwai@suse.de
- hwmon: (intel-m10-bmc-hwmon) use devm_hwmon_sanitize_name()
  (jsc#PED-1263).
- commit f3a8650
* Thu Oct 27 2022 tiwai@suse.de
- hwmon: introduce hwmon_sanitize_name() (jsc#PED-1263).
- commit 1fef75a
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl: pci: Remove usage of the deprecated
  "pci-dma-compat.h" API (jsc#PED-1263).
- commit 0f81b21
* Thu Oct 27 2022 tiwai@suse.de
- fpga: region: fix kernel-doc (jsc#PED-1263).
- commit 7e5c728
* Thu Oct 27 2022 tiwai@suse.de
- fpga: region: Use standard dev_release for class driver
  (jsc#PED-1263).
- commit 3acc62e
* Thu Oct 27 2022 tiwai@suse.de
- fpga: bridge: Use standard dev_release for class driver
  (jsc#PED-1263).
- commit 3c81c95
* Thu Oct 27 2022 tiwai@suse.de
- fpga: mgr: Use standard dev_release for class driver
  (jsc#PED-1263).
- commit 9311bde
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl: Avoid reads to AFU CSRs during enumeration
  (jsc#PED-1263).
- commit 9490eba
* Thu Oct 27 2022 tiwai@suse.de
- mfd: intel-m10-bmc: Add N5010 variant (jsc#PED-1263).
- commit bffc1db
* Thu Oct 27 2022 tiwai@suse.de
- spi: spi-altera-dfl: support n5010 feature revision
  (jsc#PED-1263).
- Refresh
  patches.suse/spi-spi-altera-dfl-Fix-an-error-handling-path.patch.
- commit 88965da
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl: expose feature revision from struct dfl_device
  (jsc#PED-1263).
- commit ac856ca
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: wrap the write_sg() op (jsc#PED-1263).
- commit 8064ded
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: wrap the fpga_remove() op (jsc#PED-1263).
- commit 67d203e
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: wrap the state() op (jsc#PED-1263).
- commit 93c376a
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: wrap the status() op (jsc#PED-1263).
- commit 69714b3
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: wrap the write() op (jsc#PED-1263).
- commit 5cae3b0
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: make write_complete() op optional
  (jsc#PED-1263).
- commit 58d2ca4
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-mgr: wrap the write_init() op (jsc#PED-1263).
- commit a678a0d
* Thu Oct 27 2022 tiwai@suse.de
- fpga: dfl: pci: add device IDs for Silicom N501x PAC cards
  (jsc#PED-1263).
- commit decfdaa
* Thu Oct 27 2022 vbabka@suse.cz
- mm: free device private pages have zero refcount (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit 476ed92
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fpga-bridge: removed repeated word (jsc#PED-1263).
- commit 9fd1af8
* Thu Oct 27 2022 tiwai@suse.de
- fpga: fix spelling mistakes (jsc#PED-1263).
- commit 52e3a64
* Thu Oct 27 2022 tiwai@suse.de
- docs: driver-api: fpga: avoid using UTF-8 chars (jsc#PED-1263).
- commit d967010
* Thu Oct 27 2022 tiwai@suse.de
- hwmon: intel-m10-bmc-hwmon: add n5010 sensors (jsc#PED-1263).
- commit 1130849
* Thu Oct 27 2022 tiwai@suse.de
- Update config and supported.conf for Intel FPGA (jsc#PED-1263)
  CONFIG_FW_LOADER_SYSFS=y
  CONFIG_FW_UPLOAD=y
  CONFIG_FPGA_M10_BMC_SEC_UPDATE=m
  CONFIG_MFD_INTEL_M10_BMC=m
  CONFIG_SENSORS_INTEL_M10_BMC_HWMON=m
  CONFIG_REGMAP_SPI_AVMM=m
- commit 20596f5
* Thu Oct 27 2022 tiwai@suse.de
- HID: hidraw: fix memory leak in hidraw_release() (git-fixes).
- commit 0e980ee
* Thu Oct 27 2022 ptesarik@suse.cz
- s390/cpumf: add new extended counter set for IBM z16
  (jsc#PED-606).
- commit 34faf97
* Thu Oct 27 2022 denis.kirjanov@suse.com
- octeontx2-pf: Fix NIX_AF_TL3_TL2X_LINKX_CFG register
  configuration (git-fixes).
- commit cc822b8
* Thu Oct 27 2022 denis.kirjanov@suse.com
- octeontx2-af: Fix key checking for source mac (git-fixes).
- commit 2b15002
* Thu Oct 27 2022 denis.kirjanov@suse.com
- octeontx2-af: Fix mcam entry resource leak (git-fixes).
- commit 1934a04
* Thu Oct 27 2022 denis.kirjanov@suse.com
- octeontx2-af: suppress external profile loading warning
  (git-fixes).
- commit f03aa66
* Thu Oct 27 2022 denis.kirjanov@suse.com
- octeontx2-af: Apply tx nibble fixup always (git-fixes).
- commit 127ded0
* Thu Oct 27 2022 denis.kirjanov@suse.com
- net: tap: NULL pointer derefence in dev_parse_header_protocol
  when skb->dev is null (git-fixes).
- commit fd012c5
* Thu Oct 27 2022 denis.kirjanov@suse.com
- nfp: ethtool: fix the display error of `ethtool -m DEVNAME`
  (git-fixes).
- commit 145a612
* Thu Oct 27 2022 denis.kirjanov@suse.com
- net/ice: fix initializing the bitmap in the switch code
  (git-fixes).
- commit 1864c2e
* Thu Oct 27 2022 ptesarik@suse.cz
- s390/pai: Fix multiple concurrent event installation
  (jsc#PED-598).
- s390/pai: Prevent invalid event number for pai_crypto PMU
  (jsc#PED-598).
- s390/pai: add support for cryptography counters (jsc#PED-598).
- entry: Rename arch_check_user_regs() to
  arch_enter_from_user_mode() (jsc#PED-598).
- commit 4a60553
* Thu Oct 27 2022 denis.kirjanov@suse.com
- net/mlx5e: xsk: Account for XSK RQ UMRs when calculating ICOSQ
  size (git-fixes).
- commit 0f9b4b8
* Thu Oct 27 2022 denis.kirjanov@suse.com
- net/mlx5e: Remove WARN_ON when trying to offload an unsupported
  TLS cipher/version (git-fixes).
- commit 26fe2e5
* Thu Oct 27 2022 denis.kirjanov@suse.com
- netdevsim: fib: Fix reference count leak on route deletion
  failure (git-fixes).
- commit ef84aaa
* Thu Oct 27 2022 denis.kirjanov@suse.com
- ice: do not setup vlan for loopback VSI (git-fixes).
- commit 2f72810
* Thu Oct 27 2022 denis.kirjanov@suse.com
- ice: check (DD | EOF) bits on Rx descriptor rather than (EOP |
  RS) (git-fixes).
- commit c63938e
* Thu Oct 27 2022 denis.kirjanov@suse.com
- can: kvaser_usb: replace run-time checks with struct
  kvaser_usb_driver_info (git-fixes).
- commit 435b54b
* Thu Oct 27 2022 denis.kirjanov@suse.com
- sfc: disable softirqs for ptp TX (git-fixes).
- commit def7cc9
* Thu Oct 27 2022 denis.kirjanov@suse.com
- octeontx2-pf: Fix UDP/TCP src and dst port tc filters
  (git-fixes).
- commit a2053ff
* Thu Oct 27 2022 denis.kirjanov@suse.com
- net: fix IFF_TX_SKB_NO_LINEAR definition (git-fixes).
- commit 36a8155
* Thu Oct 27 2022 mhocko@suse.com
- selftests: cgroup: add a selftest for memory.reclaim
  (jsc#PED-808).
- selftests: cgroup: fix alloc_anon_noexit() instantly freeing
  memory (jsc#PED-808).
- selftests: cgroup: return -errno from cg_read()/cg_write()
  on failure (jsc#PED-808).
- memcg: introduce per-memcg reclaim interface (jsc#PED-808).
- commit ee3f4a3
* Thu Oct 27 2022 tiwai@suse.de
- thermal: intel_powerclamp: Use first online CPU as control_cpu
  (git-fixes).
- thermal/drivers/qcom/tsens-v0_1: Fix MSM8939 fourth sensor hw_id
  (git-fixes).
- staging: rtl8723bs: fix a potential memory leak in
  rtw_init_cmd_priv() (git-fixes).
- staging: vt6655: fix potential memory leak (git-fixes).
- usb: add quirks for Lenovo OneLink+ Dock (git-fixes).
- thunderbolt: Explicitly enable lane adapter hotplug events at
  startup (git-fixes).
- usb: idmouse: fix an uninit-value in idmouse_open (git-fixes).
- usb: dwc3: core: Enable GUCTL1 bit 10 for fixing termination
  error after resume bug (git-fixes).
- usb: musb: Fix musb_gadget.c rxstate overflow bug (git-fixes).
- usb: host: xhci: Fix potential memory leak in
  xhci_alloc_stream_info() (git-fixes).
- usb: host: xhci-plat: suspend/resume clks for brcm (git-fixes).
- usb: host: xhci-plat: suspend and resume clocks (git-fixes).
- soundwire: intel: fix error handling on dai registration issues
  (git-fixes).
- soundwire: cadence: Don't overwrite msg->buf during write
  commands (git-fixes).
- kselftest/arm64: Fix validatation termination record after
  EXTRA_CONTEXT (git-fixes).
- soc/tegra: fuse: Drop Kconfig dependency on TEGRA20_APB_DMA
  (git-fixes).
- udmabuf: Set ubuf->sg = NULL if the creation of sg table fails
  (git-fixes).
- spi: Ensure that sg_table won't be used after being freed
  (git-fixes).
- wifi: rt2x00: correctly set BBP register 86 for MT7620
  (git-fixes).
- wifi: rt2x00: set SoC wmac clock register (git-fixes).
- wifi: rt2x00: set VGC gain for both chains of MT7620
  (git-fixes).
- wifi: rt2x00: set correct TX_SW_CFG1 MAC register for MT7620
  (git-fixes).
- wifi: rt2x00: don't run Rt5592 IQ calibration on MT7620
  (git-fixes).
- wifi: mt76: mt7921: reset msta->airtime_ac while clearing up
  hw value (git-fixes).
- wifi: brcmfmac: fix use-after-free bug in
  brcmf_netdev_start_xmit() (git-fixes).
- wifi: ath9k: avoid uninit memory read in ath9k_htc_rx_msg()
  (git-fixes).
- thunderbolt: Add back Intel Falcon Ridge end-to-end flow
  control workaround (git-fixes).
- wifi: brcmfmac: fix invalid address access when enabling SCAN
  log level (git-fixes).
- selinux: use "grep -E" instead of "egrep" (git-fixes).
- thermal: cpufreq_cooling: Check the policy first in
  cpufreq_cooling_register() (git-fixes).
- thermal: intel_powerclamp: Use get_cpu() instead of
  smp_processor_id() to avoid crash (git-fixes).
- selinux: allow FIOCLEX and FIONCLEX with policy capability
  (git-fixes).
- commit 2b3f1b5
* Thu Oct 27 2022 tiwai@suse.de
- gcov: support GCC 12.1 and newer compilers (git-fixes).
- drm/amd/display: Fix build breakage with CONFIG_DEBUG_FS=n
  (git-fixes).
- drm/amd/display: Fix vblank refcount in vrr transition
  (git-fixes).
- kbuild: rpm-pkg: fix breakage when V=1 is used (git-fixes).
- kbuild: remove the target in signal traps when interrupted
  (git-fixes).
- clk: bcm2835: Make peripheral PLLC critical (git-fixes).
- clk: zynqmp: pll: rectify rate rounding in zynqmp_pll_round_rate
  (git-fixes).
- clk: zynqmp: Fix stack-out-of-bounds in strncpy` (git-fixes).
- staging: rtl8723bs: fix potential memory leak in
  rtw_init_drv_sw() (git-fixes).
- iio: pressure: dps310: Reset chip after timeout (git-fixes).
- iio: pressure: dps310: Refactor startup procedure (git-fixes).
- dmaengine: ti: k3-udma: Reset UDMA_CHAN_RT byte counters to
  prevent overflow (git-fixes).
- power: supply: adp5061: fix out-of-bounds read in
  adp5061_get_chg_type() (git-fixes).
- HID: roccat: Fix use-after-free in roccat_read() (git-fixes).
- media: cx88: Fix a null-ptr-deref bug in buffer_prepare()
  (git-fixes).
- drm/amd/display: Remove interface for periodic interrupt 1
  (git-fixes).
- drm/meson: explicitly remove aggregate driver at module unload
  time (git-fixes).
- drm/amdgpu: fix initial connector audio value (git-fixes).
- drm: panel-orientation-quirks: Add quirk for Anbernic Win600
  (git-fixes).
- drm: bridge: dw_hdmi: only trigger hotplug event on link change
  (git-fixes).
- drm/nouveau/kms/nv140-: Disable interlacing (git-fixes).
- gpu: lontium-lt9611: Fix NULL pointer dereference in
  lt9611_connector_init() (git-fixes).
- drm/komeda: Fix handling of atomic commits in the
  atomic_commit_tail hook (git-fixes).
- drm/virtio: Check whether transferred 2D BO is shmem
  (git-fixes).
- drm: Prevent drm_copy_field() to attempt copying a NULL pointer
  (git-fixes).
- drm: Use size_t type for len variable in drm_copy_field()
  (git-fixes).
- drm/nouveau/nouveau_bo: fix potential memory leak in
  nouveau_bo_alloc() (git-fixes).
- platform/x86: msi-laptop: Change DMI match / alias strings to
  fix module autoloading (git-fixes).
- platform/chrome: cros_ec: Notify the PM of wake events during
  resume (git-fixes).
- mmc: sdhci-msm: add compatible string check for sdm670
  (git-fixes).
- regulator: core: Prevent integer underflow (git-fixes).
- hwmon: (sht4x) do not overflow clamping operation on 32-bit
  platforms (git-fixes).
- net: ethernet: ti: davinci_mdio: fix build for mdio bitbang uses
  (git-fixes).
- openvswitch: Fix overreporting of drops in dropwatch
  (git-fixes).
- openvswitch: Fix double reporting of drops in dropwatch
  (git-fixes).
- net: ethernet: ti: davinci_mdio: Add workaround for errata i2329
  (git-fixes).
- ima: fix blocking of security.ima xattrs of unsupported
  algorithms (git-fixes).
- commit 73e3036
* Thu Oct 27 2022 tiwai@suse.de
- arm64: topology: move store_cpu_topology() to shared code
  (git-fixes).
- arm64: dts: imx8mp: Add snps,gfladj-refclk-lpm-sel quirk to
  USB nodes (git-fixes).
- ata: libahci_platform: Sanity check the DT child nodes number
  (git-fixes).
- arm64: dts: imx8mq-librem5: Add bq25895 as max17055's power
  supply (git-fixes).
- ARM: dts: imx6sx: add missing properties for sram (git-fixes).
- ARM: dts: imx6sll: add missing properties for sram (git-fixes).
- ARM: dts: imx6sl: add missing properties for sram (git-fixes).
- ARM: dts: imx6qp: add missing properties for sram (git-fixes).
- ARM: dts: imx6dl: add missing properties for sram (git-fixes).
- ARM: dts: imx6q: add missing properties for sram (git-fixes).
- ARM: dts: imx7d-sdb: config the max pressure for tsc2046
  (git-fixes).
- ARM: 9242/1: kasan: Only map modules if CONFIG_KASAN_VMALLOC=n
  (git-fixes).
- ASoC: SOF: pci: Change DMI match info to support all Chrome
  platforms (git-fixes).
- ALSA: usb-audio: Fix last interface check for registration
  (git-fixes).
- ALSA: usb-audio: Register card at the last interface
  (git-fixes).
- Bluetooth: L2CAP: Fix user-after-free (git-fixes).
- Bluetooth: hci_sysfs: Fix attempting to call device_add multiple
  times (git-fixes).
- Bluetooth: L2CAP: initialize delayed works at
  l2cap_chan_create() (git-fixes).
- Bluetooth: RFCOMM: Fix possible deadlock on socket
  shutdown/release (git-fixes).
- Bluetooth: btintel: Mark Intel controller to support LE_STATES
  quirk (git-fixes).
- can: bcm: check the result of can_send() in bcm_can_tx()
  (git-fixes).
- ARM: decompressor: Include .data.rel.ro.local (git-fixes).
- ACPI: video: Add Toshiba Satellite/Portege Z830 quirk
  (git-fixes).
- ACPI: x86: Add a quirk for Dell Inspiron 14 2-in-1 for
  StorageD3Enable (git-fixes).
- ACPI: tables: FPDT: Don't call acpi_os_map_memory() on invalid
  phys address (git-fixes).
- ARM: 9247/1: mm: set readonly for MT_MEMORY_RO with ARM_LPAE
  (git-fixes).
- ARM: 9244/1: dump: Fix wrong pg_level in walk_pmd() (git-fixes).
- commit de318d1
* Thu Oct 27 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 78ca650
* Thu Oct 27 2022 jgross@suse.com
- kABI: Fix kABI after backport Forcibly leave nested virt when SMM state
  is toggled (git-fixes).
- commit 8343da0
* Thu Oct 27 2022 jgross@suse.com
- kABI: Fix kABI after backport Refactoring find_arch_event() to
  pmc_perf_hw_id() (git-fixes).
- commit 44b42bd
* Thu Oct 27 2022 osalvador@suse.de
- mm/hugetlb: fix races when looking up a CONT-PTE/PMD size
  hugetlb page (bsc#1204575).
- commit e6fc5be
* Thu Oct 27 2022 jgross@suse.com
- kABI: Fix kABI after backport Update vPMCs when retiring branch
  instructions (git-fixes).
- commit 4209455
* Thu Oct 27 2022 jgross@suse.com
- kABI: Fix kABI after backport Add pmc->intr to refactor
  kvm_perf_overflow{_intr}() (git-fixes).
- commit 9fc8292
* Thu Oct 27 2022 jslaby@suse.cz
- platform/x86/intel: pmc/core: Add Raptor Lake support to pmc
  core driver (jsc#PED-1035).
- platform/x86/intel/vsec: Add support for Raptor Lake
  (jsc#PED-1036).
- commit e86728a
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: use kvcalloc() instead of kvmalloc() in kfd_migrate
  (jsc#PED-1294).
- commit ceef9d9
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: Handle incomplete migration to system memory
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit 002b524
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: Avoid thrashing of stack and heap (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit 61d33f6
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: avoid conflicting address mappings (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- Refresh
  patches.suse/drm-amdkfd-process_info-lock-not-needed-for-svm.patch.
- commit aa4245a
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: unregistered svm range not overlap with TTM range
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit eb3c57d
* Wed Oct 26 2022 lduncan@suse.com
- Do not enable CONFIG_ATARI_PARTITION (jsc#PED-1573).
- commit 0605d12
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: Fix SVM_ATTR_PREFERRED_LOC (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit 2022943
* Wed Oct 26 2022 vbabka@suse.cz
- mm/memory.c: fix race when faulting a device private page
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit fa41dd0
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: debug message to count successfully migrated pages
  (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit a83f8ae
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: clarify the origin of cpages returned by migration
  functions (jsc#PED-1294, bsc#1204363, CVE-2022-3523).
- commit b72c8a9
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: handle svm partial migration cpages 0 (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit 51450c1
* Wed Oct 26 2022 vbabka@suse.cz
- drm/amdkfd: ratelimited svm debug messages (jsc#PED-1294,
  bsc#1204363, CVE-2022-3523).
- commit f314d31
* Wed Oct 26 2022 jgross@suse.com
- KVM: SVM: Exit to userspace on ENOMEM/EFAULT GHCB errors
  (git-fixes).
- commit 22e05f5
* Wed Oct 26 2022 oneukum@suse.com
- overflow.h: restore __ab_c_size (git-fixes).
- commit 9dbc158
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: Add KVM_CAP_ENABLE_CAP to x86 (git-fixes).
- commit 3acb74c
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86/pmu: Don't truncate the PerfEvtSeln MSR when creating
  a perf event (git-fixes).
- commit 9a723c2
* Wed Oct 26 2022 oneukum@suse.com
- overflow: Implement size_t saturating arithmetic helpers
  (jsc#PED-1211).
- commit fecede0
* Wed Oct 26 2022 mkoutny@suse.com
- cgroup/cpuset: Enable update_tasks_cpumask() on top_cpuset
  (bsc#1204753).
- commit d072831
* Wed Oct 26 2022 mkoutny@suse.com
- blacklist.conf: Add cgroup: cgroup: Honor caller's cgroup NS when resolving cgroup id
- commit 382b2e7
* Wed Oct 26 2022 mkoutny@suse.com
- blacklist.conf: Add c530a3c716b9 sched/psi: Fix periodic aggregation shut off
- commit 56b9a2a
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: nSVM/nVMX: set nested_run_pending on VM entry which
  is a result of RSM (git-fixes).
- commit 274c60f
* Wed Oct 26 2022 msuchanek@suse.de
- powerpc/fadump: align destination address to pagesize
  (bsc#1204728 ltc#200074).
- commit 5377513
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: nSVM: mark vmcb01 as dirty when restoring SMM saved
  state (git-fixes).
- commit cd056ba
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: nSVM: fix potential NULL derefernce on nested
  migration (git-fixes).
- commit 272884f
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: Sync the states size with the XCR0/IA32_XSS at,
  any time (git-fixes).
- commit c927187
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: Keep MSR_IA32_XSS unchanged for INIT (git-fixes).
- commit c61458a
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: Forcibly leave nested virt when SMM state is toggled
  (git-fixes).
- commit f22036a
* Wed Oct 26 2022 oneukum@suse.com
- Update patches.suse/usb-mon-make-mmapped-memory-read-only.patch
  (bsc#1204653 CVE-2022-43750).
  Added CVE and bsc
- commit 93b1d48
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86/pmu: Fix available_event_types check for REF_CPU_CYCLES
  event (git-fixes).
- commit 436d9eb
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: Update vPMCs when retiring branch instructions
  (git-fixes).
- Refresh
  patches.suse/kvm-emulate-do-not-adjust-size-of-fastop-and-setcc-subroutines.patch.
- commit 1f8391b
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86: Update vPMCs when retiring instructions (git-fixes).
- commit c4d4a64
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86/pmu: Add pmc->intr to refactor
  kvm_perf_overflow{_intr}() (git-fixes).
- commit 91025b1
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86/pmu: Refactoring find_arch_event() to pmc_perf_hw_id()
  (git-fixes).
- commit 8080b0e
* Wed Oct 26 2022 jgross@suse.com
- kABI: Fix kABI after backport Always set kvm_run->if_flag
  (git-fixes).
- KVM: x86: Always set kvm_run->if_flag (git-fixes).
- commit daa5fd4
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86/mmu: Don't advance iterator after restart due to
  yielding (git-fixes).
- commit 86c02c7
* Wed Oct 26 2022 jgross@suse.com
- KVM: x86/mmu: Retry page fault if root is invalidated by
  memslot update (git-fixes).
- commit c96dbdc
* Tue Oct 25 2022 jgross@suse.com
- KVM: fix avic_set_running for preemptable kernels (git-fixes).
- commit 457ae39
* Tue Oct 25 2022 jgross@suse.com
- KVM: x86: Add compat handler for KVM_X86_SET_MSR_FILTER
  (git-fixes).
- commit 58e3def
* Tue Oct 25 2022 jgross@suse.com
- xen/gntdev: Prevent leaking grants (git-fixes).
- commit 73a7df7
* Tue Oct 25 2022 jgross@suse.com
- KVM: nVMX: Ignore SIPI that arrives in L2 when vCPU is not in
  WFS (git-fixes).
- commit 8c88ccd
* Tue Oct 25 2022 jgross@suse.com
- KVM: nVMX: Unconditionally purge queued/injected events on
  nested "exit" (git-fixes).
- commit f7976c7
* Tue Oct 25 2022 jgross@suse.com
- KVM: x86/emulator: Fix handing of POP SS to correctly set
  interruptibility (git-fixes).
- commit 938654e
* Tue Oct 25 2022 oneukum@suse.com
- usb: gadget: f_fs: stricter integer overflow checks (git-fixes).
- commit 07d2846
* Tue Oct 25 2022 oneukum@suse.com
- blacklist.conf: prerequisites too risky
- commit 93c5479
* Tue Oct 25 2022 mgorman@suse.de
- scsi: mpi3mr: Schedule IRQ kthreads only on non-RT kernels
  (bnc#1204498).
- commit e73c4d3
* Tue Oct 25 2022 oneukum@suse.com
- lib/string_helpers: Consolidate string helpers implementation
  (jsc#PED-1211).
- commit fa50192
* Tue Oct 25 2022 oneukum@suse.com
- usb: cdc-wdm: Use skb_put_data() instead of skb_put/memcpy pair
  (git-fixes).
- commit a0de208
* Tue Oct 25 2022 oneukum@suse.com
- iommu: Add capability for pre-boot DMA protection
  (jsc#PED-1211).
- commit 531fe4a
* Tue Oct 25 2022 oneukum@suse.com
- iommu: Use right way to retrieve iommu_ops (jsc#PED-1211).
- commit 48ca01b
* Tue Oct 25 2022 vkarasulli@suse.de
- Update patch reference for
  patches.suse/devlink-Fix-use-after-free-after-a-failed-reload.patch
  (git-fixes bsc#1204637 CVE-2022-3625).
- commit fd50fbc
* Tue Oct 25 2022 tiwai@suse.de
- pinctrl: Ingenic: JZ4755 bug fixes (git-fixes).
- dyndbg: let query-modname override actual module name
  (git-fixes).
- dyndbg: fix module.dyndbg handling (git-fixes).
- dyndbg: fix static_branch manipulation (git-fixes).
- commit afe6697
* Mon Oct 24 2022 ddiss@suse.de
- io_uring: use original request task for inflight tracking
  (CVE-2022-40476 bsc#1203435).
- commit 941d6b4
* Mon Oct 24 2022 msuchanek@suse.de
- Update
  patches.suse/powerpc-pseries-vas-Pass-hw_cpu_id-to-node-associati.patch
  (bsc#1194869 bsc#1204428 ltc#200180).
- commit fe8b379
* Mon Oct 24 2022 petr.pavlu@suse.com
- ring-buffer: Check pending waiters when doing wake ups as well
  (git-fixes).
- commit d934ca7
* Mon Oct 24 2022 petr.pavlu@suse.com
- ring-buffer: Have the shortest_full queue be the shortest not
  longest (git-fixes).
- commit ed18dc7
* Mon Oct 24 2022 petr.pavlu@suse.com
- ring-buffer: Allow splice to read previous partially read pages
  (git-fixes).
- commit 4649dee
* Mon Oct 24 2022 oneukum@suse.com
- iommu: Introduce device_iommu_capable() (jsc#PED-1211).
- commit 7a5b8e8
* Mon Oct 24 2022 petr.pavlu@suse.com
- ftrace: Properly unset FTRACE_HASH_FL_MOD (git-fixes).
- commit 554a8e9
* Mon Oct 24 2022 tbogendoerfer@suse.de
- net: mvpp2: fix mvpp2 debugfs leak (bsc#1204417 CVE-2022-3535).
- bnx2x: fix potential memory leak in bnx2x_tpa_stop()
  (bsc#1204402 CVE-2022-3542).
- nfp: fix use-after-free in area_cache_get() (bsc#1204415
  CVE-2022-3545).
- commit 8e53774
* Mon Oct 24 2022 petr.pavlu@suse.com
- tracing/osnoise: Fix possible recursive locking in
  stop_per_cpu_kthreads (git-fixes).
- commit f81f58f
* Mon Oct 24 2022 petr.pavlu@suse.com
- tracing: Replace deprecated CPU-hotplug functions (git-fixes).
- Refresh
  patches.suse/tracing-osnoise-Fix-missed-cpus_read_unlock-in-start_per_cpu_kthreads.patch.
- commit b1bca55
* Mon Oct 24 2022 petr.pavlu@suse.com
- tracing: kprobe: Make gen test module work in arm and riscv
  (git-fixes).
- commit 57b2377
* Mon Oct 24 2022 petr.pavlu@suse.com
- tracing: kprobe: Fix kprobe event gen test module on exit
  (git-fixes).
- commit 81447e5
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Add support for XDomain lane bonding
  (jsc#PEd-1211).
- commit 75a8fa9
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Ignore port locked error in
  tb_port_wait_for_link_width() (jsc#PED-1211).
- commit bf76347
* Mon Oct 24 2022 palcantara@suse.de
- cifs: update internal module number (bsc#1193629).
- commit 4202154
* Mon Oct 24 2022 palcantara@suse.de
- cifs: fix memory leaks in session setup (bsc#1193629).
- commit 5c729d0
* Mon Oct 24 2022 palcantara@suse.de
- cifs: drop the lease for cached directories on rmdir or rename
  (bsc#1193629).
- commit 46e0f22
* Mon Oct 24 2022 palcantara@suse.de
- smb3: interface count displayed incorrectly (bsc#1193629).
- commit e073a89
* Mon Oct 24 2022 palcantara@suse.de
- cifs: Fix memory leak when build ntlmssp negotiate blob failed
  (bsc#1193629).
- commit 7afbdb6
* Mon Oct 24 2022 palcantara@suse.de
- cifs: set rc to -ENOENT if we can not get a dentry for the
  cached dir (bsc#1193629).
- commit 328e60a
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Split setting link width and lane bonding into
  own functions (jsc#PEd-1211).
- commit fc051e6
* Mon Oct 24 2022 palcantara@suse.de
- cifs: use LIST_HEAD() and list_move() to simplify code
  (bsc#1193629).
- commit e5c0c94
* Mon Oct 24 2022 palcantara@suse.de
- cifs: Fix xid leak in cifs_get_file_info_unix() (bsc#1193629).
- commit a50e886
* Mon Oct 24 2022 palcantara@suse.de
- cifs: Fix xid leak in cifs_ses_add_channel() (bsc#1193629).
- commit 45683eb
* Mon Oct 24 2022 palcantara@suse.de
- cifs: Fix xid leak in cifs_flock() (bsc#1193629).
- commit d234b14
* Mon Oct 24 2022 palcantara@suse.de
- cifs: Fix xid leak in cifs_copy_file_range() (bsc#1193629).
- commit f56cd1f
* Mon Oct 24 2022 palcantara@suse.de
- cifs: Fix xid leak in cifs_create() (bsc#1193629).
- commit a1d5012
* Mon Oct 24 2022 palcantara@suse.de
- smb3: improve SMB3 change notification support (bsc#1193629).
- commit 8a4313f
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Move tb_port_state() prototype to correct place
  (jsc#PED-1211).
- commit d0ed8bf
* Mon Oct 24 2022 tiwai@suse.de
- nilfs2: fix leak of nilfs_root in case of writer thread creation
  failure (CVE-2022-3646 bsc#1204646).
- nilfs2: fix use-after-free bug of struct nilfs_root
  (CVE-2022-3649 bsc#1204647).
- commit af91749
* Mon Oct 24 2022 tiwai@suse.de
- Update patch reference for vsock fix (CVE-2022-3629 bsc#1204635)
- commit 6c49703
* Mon Oct 24 2022 tiwai@suse.de
- Bluetooth: L2CAP: fix use-after-free in l2cap_conn_del()
  (CVE-2022-3640 bsc#1204619).
- commit 5d68cf0
* Mon Oct 24 2022 tiwai@suse.de
- can: j1939: j1939_session_destroy(): fix memory leak of skbs
  (CVE-2022-3633 bsc#1204650).
- commit da3122e
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Add debug logging when lane is enabled/disabled
  (jesc#PEd-531).
- commit ca2d7e5
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Link USB4 ports to their USB Type-C connectors
  (jsc#PED-1211).
- commit f9e0651
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Make iommu_dma_protection more accurate
  (jsc#PED-1211).
- commit 318d5c5
* Mon Oct 24 2022 oneukum@suse.com
- thunderbolt: Dump path config space entries during discovery
  (jsc#PED-1211).
- commit 1ac89ca
* Mon Oct 24 2022 ptesarik@suse.cz
- Reference JIRA Impl instead Epic: jsc#PED-448 -> jsc#PED-594
- Reference JIRA Impl instead Epic: jsc#PED-455 -> jsc#PED-588
- commit 64fa841
* Mon Oct 24 2022 ptesarik@suse.cz
- s390/airq: use DMA memory for summary indicators (jsc#PED-596).
- s390/zcrypt: Provide target domain for EP11 cprbs to scheduling
  function (jsc#PED-596).
- s390/zcrypt: change reply buffer size offering (jsc#PED-596).
- s390/zcrypt: Support CPRB minor version T7 (jsc#PED-596).
- s390/zcrypt: handle checkstopped cards with new state
  (jsc#PED-596).
- s390/zcrypt: CEX8S exploitation support (jsc#PED-596).
- s390/ap/zcrypt: debug feature improvements (jsc#PED-596).
- s390/zcrypt: rework of debug feature messages (jsc#PED-596).
- commit caf5220
* Mon Oct 24 2022 ptesarik@suse.cz
- KVM: s390x: fix SCK locking (git-fixes).
- KVM: s390: Clarify SIGP orders versus STOP/RESTART (git-fixes).
- commit aa7345b
* Mon Oct 24 2022 tiwai@suse.de
- i2c: qcom-cci: Fix ordering of pm_runtime_xx and i2c_add_adapter
  (git-fixes).
- media: venus: dec: Handle the case where find_format fails
  (git-fixes).
- media: atomisp: prevent integer overflow in
  sh_css_set_black_frame() (git-fixes).
- media: ipu3-imgu: Fix NULL pointer dereference in active
  selection access (git-fixes).
- media: v4l2: Fix v4l2_i2c_subdev_set_name function documentation
  (git-fixes).
- media: mceusb: set timeout to at least timeout provided
  (git-fixes).
- commit fbd2a07
* Mon Oct 24 2022 iivanov@suse.de
- Update patches.suse/watchdog-hpwdt-Include-nmi.h-only-if-CONFIG_HPWDT_NM.patch (git-fixes, jsc#PED-1694).
  Add reference to jsc#PED-1694.
- commit 2064b90
* Mon Oct 24 2022 iivanov@suse.de
- watchdog/hpwdt: Enable HP_WATCHDOG for ARM64 systems. (jsc#PED-1694)
  Enable HP ProLiant iLO2+ Hardware Watchdog Timer
- commit f0e3a55
* Sun Oct 23 2022 lduncan@suse.com
- scsi: core: Remove the 'done' argument from SCSI
  queuecommand_lck functions (jsc#PED-1561).
- scsi: fas216: Introduce the function
  fas216_queue_command_internal() (jsc#PED-1561).
- scsi: core: Call scsi_done directly (jsc#PED-1561).
- scsi: usb: Call scsi_done() directly (jsc#PED-1561).
- scsi: target: tcm_loop: Call scsi_done() directly
  (jsc#PED-1561).
- scsi: staging: rts5208: Call scsi_done() directly
  (jsc#PED-1561).
- scsi: xen-scsifront: Call scsi_done() directly (jsc#PED-1561).
- scsi: wd719x: Call scsi_done() directly (jsc#PED-1561).
- scsi: wd33c93: Call scsi_done() directly (jsc#PED-1561).
- scsi: vmw_pvscsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: virtio_scsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: ufs: Call scsi_done() directly (jsc#PED-1561).
- scsi: sym53c8xx_2: Call scsi_done() directly (jsc#PED-1561).
- scsi: storvsc_drv: Call scsi_done() directly (jsc#PED-1561).
- scsi: stex: Call scsi_done() directly (jsc#PED-1561).
- scsi: snic: Call scsi_done() directly (jsc#PED-1561).
- scsi: smartpqi: Call scsi_done() directly (jsc#PED-1561).
- scsi: scsi_debug: Call scsi_done() directly (jsc#PED-1561).
- scsi: qlogicpti: Call scsi_done() directly (jsc#PED-1561).
- scsi: qlogicfas408: Call scsi_done() directly (jsc#PED-1561).
- scsi: qla4xxx: Call scsi_done() directly (jsc#PED-1561).
- commit baefb85
* Sun Oct 23 2022 lduncan@suse.com
- scsi: qla2xxx: Call scsi_done() directly (jsc#PED-1561).
- Refresh
  patches.suse/scsi-qla2xxx-Implement-ref-count-for-SRB.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Stop-using-the-SCSI-pointer.patch.
- commit 47bbcd3
* Sun Oct 23 2022 lduncan@suse.com
- scsi: qla1280: Call scsi_done() directly (jsc#PED-1561).
- scsi: qedf: Call scsi_done() directly (jsc#PED-1561).
- scsi: ps3rom: Call scsi_done() directly (jsc#PED-1561).
- scsi: ppa: Call scsi_done() directly (jsc#PED-1561).
- commit b80549e
* Sat Oct 22 2022 lduncan@suse.com
- scsi: pmcraid: Call scsi_done() directly (jsc#PED-1561).
- commit 881416d
* Sat Oct 22 2022 lduncan@suse.com
- scsi: pcmcia: Call scsi_done() directly (jsc#PED-1561).
- scsi: nsp32: Call scsi_done() directly (jsc#PED-1561).
- scsi: ncr53c8xx: Call scsi_done() directly (jsc#PED-1561).
- scsi: myrs: Call scsi_done() directly (jsc#PED-1561).
- scsi: myrb: Call scsi_done() directly (jsc#PED-1561).
- scsi: mvumi: Call scsi_done() directly (jsc#PED-1561).
- scsi: mpt3sas: Call scsi_done() directly (jsc#PED-1561).
- scsi: mpi3mr: Call scsi_done() directly (jsc#PED-1561).
- scsi: mesh: Call scsi_done() directly (jsc#PED-1561).
- scsi: megaraid: Call scsi_done() directly (jsc#PED-1561).
- scsi: megaraid_sas: Call scsi_done() directly (jsc#PED-1561).
- scsi: megaraid_mbox: Call scsi_done() directly (jsc#PED-1561).
- scsi: mac53c94: Call scsi_done() directly (jsc#PED-1561).
- scsi: lpfc: Call scsi_done() directly (jsc#PED-1561).
- scsi: libsas: Call scsi_done() directly (jsc#PED-1561).
- scsi: libiscsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: libfc: Call scsi_done() directly (jsc#PED-1561).
- scsi: ips: Call scsi_done() directly (jsc#PED-1561).
- scsi: ipr: Call scsi_done() directly (jsc#PED-1561).
- scsi: initio: Call scsi_done() directly (jsc#PED-1561).
- scsi: imm: Call scsi_done() directly (jsc#PED-1561).
- commit 76ef02d
* Sat Oct 22 2022 tiwai@suse.de
- cpufreq: qcom: fix writes in read-only memory region
  (git-fixes).
- cpufreq: qcom: fix memory leak in error path (git-fixes).
- ACPI: extlog: Handle multiple records (git-fixes).
- HID: magicmouse: Do not set BTN_MOUSE on double report
  (git-fixes).
- selinux: enable use of both GFP_KERNEL and GFP_ATOMIC in
  convert_context() (git-fixes).
- commit a940189
* Sat Oct 22 2022 tiwai@suse.de
- ALSA: hda/realtek: Add another HP ZBook G9 model quirks
  (bsc#1203699).
- commit 9b4cf06
* Sat Oct 22 2022 lduncan@suse.com
- scsi: ibmvscsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: hptiop: Call scsi_done() directly (jsc#PED-1561).
- scsi: hpsa: Call scsi_done() directly (jsc#PED-1561).
- scsi: fnic: Call scsi_done() directly (jsc#PED-1561).
- scsi: fdomain: Call scsi_done() directly (jsc#PED-1561).
- scsi: fas216: Stop using scsi_cmnd.scsi_done (jsc#PED-1561).
- scsi: esp_scsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: esas2r: Call scsi_done() directly (jsc#PED-1561).
- scsi: dpt_i2o: Call scsi_done() directly (jsc#PED-1561).
- scsi: dc395x: Call scsi_done() directly (jsc#PED-1561).
- scsi: cxlflash: Call scsi_done() directly (jsc#PED-1561).
- scsi: csiostor: Call scsi_done() directly (jsc#PED-1561).
- scsi: bnx2fc: Call scsi_done() directly (jsc#PED-1561).
- scsi: bfa: Call scsi_done() directly (jsc#PED-1561).
- scsi: atp870u: Call scsi_done() directly (jsc#PED-1561).
- scsi: arcmsr: Call scsi_done() directly (jsc#PED-1561).
- scsi: aic7xxx: Call scsi_done() directly (jsc#PED-1561).
- scsi: aha1542: Call scsi_done() directly (jsc#PED-1561).
- scsi: aha152x: Call scsi_done() directly (jsc#PED-1561).
- scsi: advansys: Call scsi_done() directly (jsc#PED-1561).
- scsi: acornscsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: aacraid: Call scsi_done() directly (jsc#PED-1561).
- scsi: aacraid: Introduce aac_scsi_done() (jsc#PED-1561).
- scsi: a100u2w: Call scsi_done() directly (jsc#PED-1561).
- scsi: NCR5380: Call scsi_done() directly (jsc#PED-1561).
- commit 4088abf
* Fri Oct 21 2022 lduncan@suse.com
- scsi: BusLogic: Call scsi_done() directly (jsc#PED-1561).
- scsi: 53c700: Call scsi_done() directly (jsc#PED-1561).
- scsi: 3w-xxxx: Call scsi_done() directly (jsc#PED-1561).
- scsi: 3w-sas: Call scsi_done() directly (jsc#PED-1561).
- scsi: 3w-9xxx: Call scsi_done() directly (jsc#PED-1561).
- scsi: zfcp_scsi: Call scsi_done() directly (jsc#PED-1561).
- scsi: message: fusion: Call scsi_done() directly (jsc#PED-1561).
- scsi: ib_srp: Call scsi_done() directly (jsc#PED-1561).
- scsi: firewire: sbp2: Call scsi_done() directly (jsc#PED-1561).
- scsi: ata: Call scsi_done() directly (jsc#PED-1561).
- commit 8b9488f
* Fri Oct 21 2022 lduncan@suse.com
- scsi: core: Rename scsi_mq_done() into scsi_done() and export it
  (jsc#PED-1561).
- scsi: core: Use a structure member to track the SCSI command
  submitter (jsc#PED-1561).
- commit 217e4e6
* Fri Oct 21 2022 jlee@suse.com
- efi: Simplify arch_efi_call_virt() macro (jsc#PED-1408).
- commit 736e2d1
* Fri Oct 21 2022 lduncan@suse.com
- scsi: pmcraid: Fix missing resource cleanup in error case
  (jsc#PED-1561).
- scsi: pmcraid: Fix typo in comment (jsc#PED-1561).
- scsi: pmcraid: Remove unneeded semicolon (jsc#PED-1561).
- scsi: pmcraid: Remove the PMCRAID_PASSTHROUGH_IOCTL ioctl
  implementation (jsc#PED-1561).
- scsi: pmcraid: Don't use GFP_DMA in pmcraid_alloc_sglist()
  (jsc#PED-1561).
- scsi: pmcraid: Fix a kernel-doc warning (jsc#PED-1561).
- scsi: pmcraid: Switch to attribute groups (jsc#PED-1561).
- scsi: core: Register sysfs attributes earlier (jsc#PED-1561).
- commit 65ed53e
* Fri Oct 21 2022 palcantara@suse.de
- cifs: lease key is uninitialized in two additional functions
  when smb1 (bsc#1193629).
- commit 181d702
* Fri Oct 21 2022 palcantara@suse.de
- cifs: lease key is uninitialized in smb1 paths (bsc#1193629).
- commit 395fb1f
* Fri Oct 21 2022 palcantara@suse.de
- smb3: must initialize two ACL struct fields to zero
  (bsc#1193629).
- commit 2dfd980
* Fri Oct 21 2022 palcantara@suse.de
- cifs: fix double-fault crash during ntlmssp (bsc#1193629).
- commit 958d087
* Fri Oct 21 2022 palcantara@suse.de
- cifs: fix static checker warning (bsc#1193629).
- commit 6695ea2
* Fri Oct 21 2022 palcantara@suse.de
- cifs: use ALIGN() and round_up() macros (bsc#1193629).
- commit b4d4efd
* Fri Oct 21 2022 palcantara@suse.de
- cifs: find and use the dentry for cached non-root directories
  also (bsc#1193629).
- commit 14482fe
* Fri Oct 21 2022 palcantara@suse.de
- cifs: enable caching of directories for which a lease is held
  (bsc#1193629).
- commit cc4f4c4
* Fri Oct 21 2022 palcantara@suse.de
- cifs: prevent copying past input buffer boundaries
  (bsc#1193629).
- commit 9130844
* Fri Oct 21 2022 palcantara@suse.de
- cifs: fix uninitialised var in smb2_compound_op() (bsc#1193629).
- commit bdc0943
* Fri Oct 21 2022 palcantara@suse.de
- cifs: improve symlink handling for smb2+ (bsc#1193629).
- commit 0b6be9d
* Fri Oct 21 2022 palcantara@suse.de
- smb3: clarify multichannel warning (bsc#1193629).
- commit 96b1224
* Fri Oct 21 2022 palcantara@suse.de
- cifs: fix skipping to incorrect offset in emit_cached_dirents
  (bsc#1193629).
- commit 6750b0a
* Fri Oct 21 2022 palcantara@suse.de
- smb3: fix oops in calculating shash_setkey (bsc#1193629).
- commit fdb4064
* Fri Oct 21 2022 palcantara@suse.de
- cifs: secmech: use shash_desc directly, remove sdesc
  (bsc#1193629).
- commit d652300
* Fri Oct 21 2022 palcantara@suse.de
- smb3: rename encryption/decryption TFMs (bsc#1193629).
- commit 074ff14
* Fri Oct 21 2022 palcantara@suse.de
- cifs: replace kfree() with kfree_sensitive() for sensitive data
  (bsc#1193629).
- commit a9c83e0
* Fri Oct 21 2022 palcantara@suse.de
- cifs: remove initialization value (bsc#1193629).
- commit 650b157
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Replace a couple of one-element arrays with flexible-array
  members (bsc#1193629).
- commit 2e6a4d1
* Fri Oct 21 2022 palcantara@suse.de
- smb3: do not log confusing message when server returns no
  network interfaces (bsc#1193629).
- commit fe343ed
* Fri Oct 21 2022 palcantara@suse.de
- cifs: store a pointer to a fid in the cfid structure instead
  of the struct (bsc#1193629).
- commit 4bc719f
* Fri Oct 21 2022 palcantara@suse.de
- cifs: improve handlecaching (bsc#1193629).
- commit 460040b
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Make tcon contain a wrapper structure cached_fids instead
  of cached_fid (bsc#1193629).
- commit 999f1a7
* Fri Oct 21 2022 palcantara@suse.de
- smb3: add dynamic trace points for tree disconnect
  (bsc#1193629).
- commit c71b282
* Fri Oct 21 2022 palcantara@suse.de
- Fix formatting of client smbdirect RDMA logging (bsc#1193629).
- commit bc2ae55
* Fri Oct 21 2022 palcantara@suse.de
- Handle variable number of SGEs in client smbdirect send
  (bsc#1193629).
- commit af0f632
* Fri Oct 21 2022 palcantara@suse.de
- Reduce client smbdirect max receive segment size (bsc#1193629).
- commit e36b32c
* Fri Oct 21 2022 palcantara@suse.de
- Decrease the number of SMB3 smbdirect client SGEs (bsc#1193629).
- commit 1c625b9
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Fix the error length of VALIDATE_NEGOTIATE_INFO message
  (bsc#1193629).
- commit 174687c
* Fri Oct 21 2022 palcantara@suse.de
- cifs: destage dirty pages before re-reading them for cache=none
  (bsc#1193629).
- commit 9eab309
* Fri Oct 21 2022 palcantara@suse.de
- cifs: return correct error in ->calc_signature() (bsc#1193629).
- commit 0ace108
* Fri Oct 21 2022 palcantara@suse.de
- cifs: misc: fix spelling typo in comment (bsc#1193629).
- commit 0177a68
* Fri Oct 21 2022 palcantara@suse.de
- cifs: update internal module number (bsc#1193629).
- commit a83e618
* Fri Oct 21 2022 palcantara@suse.de
- cifs: add missing spinlock around tcon refcount (bsc#1193629).
- commit a915086
* Fri Oct 21 2022 palcantara@suse.de
- cifs: always initialize struct msghdr smb_msg completely
  (bsc#1193629).
- commit 7ba2dbe
* Fri Oct 21 2022 palcantara@suse.de
- cifs: don't send down the destination address to sendmsg for
  a SOCK_STREAM (bsc#1193629).
- commit cc67d16
* Fri Oct 21 2022 palcantara@suse.de
- cifs: revalidate mapping when doing direct writes (bsc#1193629).
- commit 3e6da03
* Fri Oct 21 2022 palcantara@suse.de
- cifs: fix small mempool leak in SMB2_negotiate() (bsc#1193629).
- commit 9ad1214
* Fri Oct 21 2022 palcantara@suse.de
- smb3: use filemap_write_and_wait_range instead of
  filemap_write_and_wait (bsc#1193629).
- commit 569211d
* Fri Oct 21 2022 palcantara@suse.de
- smb3: fix temporary data corruption in insert range
  (bsc#1193629).
- commit 4153b9f
* Fri Oct 21 2022 palcantara@suse.de
- smb3: fix temporary data corruption in collapse range
  (bsc#1193629).
- commit e11095d
* Fri Oct 21 2022 palcantara@suse.de
- smb3: Move the flush out of smb2_copychunk_range() into its
  callers (bsc#1193629).
- commit 7cc3491
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Add helper function to check smb1+ server (bsc#1193629).
- commit 8d3cf57
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Use help macro to get the mid header size (bsc#1193629).
- commit 56cfb79
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Use help macro to get the header preamble size
  (bsc#1193629).
- commit a32d0c7
* Fri Oct 21 2022 palcantara@suse.de
- cifs: skip extra NULL byte in filenames (bsc#1193629).
- commit 3c2966f
* Fri Oct 21 2022 palcantara@suse.de
- smb3: missing inode locks in punch hole (bsc#1193629).
- commit d5ef2ce
* Fri Oct 21 2022 palcantara@suse.de
- smb3: missing inode locks in zero range (bsc#1193629).
- commit 67739d5
* Fri Oct 21 2022 palcantara@suse.de
- cifs: move from strlcpy with unused retval to strscpy
  (bsc#1193629).
- commit 1545859
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Fix memory leak on the deferred close (bsc#1193629).
- commit 0e66dd6
* Fri Oct 21 2022 palcantara@suse.de
- cifs: remove useless parameter 'is_fsctl' from SMB2_ioctl()
  (bsc#1193629).
- commit e09b402
* Fri Oct 21 2022 palcantara@suse.de
- cifs: remove unused server parameter from calc_smb_size()
  (bsc#1193629).
- commit 3f30130
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Do not access tcon->cfids->cfid directly from
  is_path_accessible (bsc#1193629).
- commit 7188f4f
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Add constructor/destructors for tcon->cfid (bsc#1193629).
- commit 7eb31f4
* Fri Oct 21 2022 palcantara@suse.de
- SMB3: fix lease break timeout when multiple deferred close
  handles for the same file (bsc#1193629).
- commit 7267460
* Fri Oct 21 2022 palcantara@suse.de
- smb3: allow deferred close timeout to be configurable
  (bsc#1193629).
- commit 19f7caa
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Do not use tcon->cfid directly, use the cfid we get from
  open_cached_dir (bsc#1193629).
- commit 25de0c1
* Fri Oct 21 2022 palcantara@suse.de
- cifs: Move cached-dir functions into a separate file
  (bsc#1193629).
- commit fc0e55e
* Fri Oct 21 2022 palcantara@suse.de
- cifs: fix lock length calculation (bsc#1193629).
- commit 2661e11
* Fri Oct 21 2022 palcantara@suse.de
- cifs: update internal module number (bsc#1193629).
- commit 53f5daf
* Fri Oct 21 2022 palcantara@suse.de
- cifs: alloc_mid function should be marked as static
  (bsc#1193629).
- commit f066ea5
* Fri Oct 21 2022 palcantara@suse.de
- cifs: remove "cifs_" prefix from init/destroy mids functions
  (bsc#1193629).
- commit 21e261c
* Fri Oct 21 2022 palcantara@suse.de
- cifs: remove useless DeleteMidQEntry() (bsc#1193629).
- commit b684635
* Fri Oct 21 2022 palcantara@suse.de
- cifs: when insecure legacy is disabled shrink amount of SMB1
  code (bsc#1193629).
- commit 96f98e3
* Fri Oct 21 2022 tiwai@suse.de
- blacklist.conf: add an entry for IDXD that has been already fixed
- commit 7531ae1
* Fri Oct 21 2022 tiwai@suse.de
- dmaengine: idxd: force wq context cleanup on device disable path
  (git-fixes).
- commit e06ba18
* Fri Oct 21 2022 tiwai@suse.de
- nilfs2: fix NULL pointer dereference at
  nilfs_bmap_lookup_at_level() (CVE-2022-3621 bsc#1204574).
- commit f8016b1
* Fri Oct 21 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for ASUS Zenbook using CS35L41
  (bsc#1203922).
- commit 1d187cf
* Fri Oct 21 2022 tiwai@suse.de
- Move upstreamed sound patches into sorted section
- commit 4c058b6
* Fri Oct 21 2022 tiwai@suse.de
- Bluetooth: L2CAP: Fix memory leak in vhci_write (CVE-2022-3619
  bsc#1204569).
- commit b649754
* Fri Oct 21 2022 jlee@suse.com
- iommu: Introduce a callback to struct iommu_resv_region
  (jsc#PED-1408).
- commit 480aace
* Fri Oct 21 2022 tiwai@suse.de
- drm/amdgpu: fix sdma doorbell init ordering on APUs (git-fixes).
- net: phy: dp83822: disable MDI crossover status change interrupt
  (git-fixes).
- wwan_hwsim: fix possible memory leak in wwan_hwsim_dev_new()
  (git-fixes).
- net: phy: dp83867: Extend RX strap quirk for SGMII mode
  (git-fixes).
- ata: ahci-imx: Fix MODULE_ALIAS (git-fixes).
- commit 273eb71
* Fri Oct 21 2022 jlee@suse.com
- arm64: topology: Remove redundant setting of llc_id in CPU
  topology (jsc#PED-1408).
- commit 2ac7bb1
* Fri Oct 21 2022 jlee@suse.com
- hisi_lpc: Use acpi_dev_for_each_child() (jsc#PED-1408).
- soundwire: Use acpi_dev_for_each_child() (jsc#PED-1408).
- commit a5a010e
* Thu Oct 20 2022 msuchanek@suse.de
- powerpc/64s: Fix build failure when CONFIG_PPC_64S_HASH_MMU
  is not set (bsc#1204413 ltc#200176).
- commit 0850b12
* Thu Oct 20 2022 msuchanek@suse.de
- powerpc/pseries: Stop selecting PPC_HASH_MMU_NATIVE (bsc#1204413 ltc#200176).
- Refresh patches.suse/powerpc-Rename-PPC_NATIVE-to-PPC_HASH_MMU_NATIVE.patch.
- commit abb9ade
* Thu Oct 20 2022 jlee@suse.com
- thunderbolt: ACPI: Replace tb_acpi_find_port() with
  acpi_find_child_by_adr() (jsc#PED-1408).
- commit b06ed1f
* Thu Oct 20 2022 msuchanek@suse.de
- powerpc/64s: Make hash MMU support configurable (bsc#1204413 ltc#200176).
- Refresh patches.suse/lkdtm-disable-return-thunks-in-rodata-c.patch.
  Update config files.
- commit 5b2abcf
* Thu Oct 20 2022 jlee@suse.com
- platform/x86/thinkpad_acpi: Use acpi_dev_for_each_child()
  (jsc#PED-1408).
- platform/x86: Replace acpi_bus_get_device() (jsc#PED-1408).
- commit e8f90ff
* Thu Oct 20 2022 lhenriques@suse.de
- fuse: fix deadlock between atomic O_TRUNC and page invalidation
  (bsc#1204533).
- commit a0e6630
* Thu Oct 20 2022 jlee@suse.com
- USB: ACPI: Replace usb_acpi_find_port() with
  acpi_find_child_by_adr() (jsc#PED-1408).
- commit 1538aed
* Thu Oct 20 2022 tiwai@suse.de
- Correct JIRA reference to Impl entries (jsc#PED-588 jsc#PED-594 jsc#PED-812 jsc#PED-826 jsc#PED-827 jsc#PED-831 jsc#PED-840 jsc#PED-858 jsc#PED-859 jsc#PED-1033 jsc#PED-1035 jsc#PED-1038 jsc#PED-1044 jsc#PED-1046 jsc#PED-1052 jsc#PED-1054 jsc#PED-1096 jsc#PED-1165 jsc#PED-1213 jsc#PED-1516 jsc#PED-1817 jsc#PED-1820)
- commit 048beb0
* Thu Oct 20 2022 tiwai@suse.de
- Correct JIRA reference to Impl entries (jsc#PED-833 jsc#PED-850 jsc#PED-825 jsc#PED-822 jsc#PED-846 jsc#PED-817 jsc#PED-851 jsc#PED-857 jsc#PED-842 jsc#PED-813 jsc#PED-1084 jsc#PED-1096 jsc#PED-1085 jsc#PED-1649 jsc#PED-1082 jsc#PED-856)
- commit c7d3570
* Thu Oct 20 2022 jlee@suse.com
- mfd: core: Use acpi_dev_for_each_child() (jsc#PED-1408).
- commit 4d37bd2
* Thu Oct 20 2022 msuchanek@suse.de
- powerpc/pseries/vas: Add VAS IRQ primary handler (bsc#1204413
  ltc#200176).
- powerpc: Ignore DSI error caused by the copy/paste instruction
  (bsc#1204413 ltc#200176).
- powerpc/64s: Move hash MMU support code under
  CONFIG_PPC_64S_HASH_MMU (bsc#1204413 ltc#200176).
- Refresh patches.suse/Revert-powerpc-rtas-Implement-reentrant-rtas-call.patch
- Refresh patches.suse/powerpc-Add-kABI-placeholder-to-struct-pci_controlle.patch
- Refresh patches.suse/powerpc-pseries-wire-up-rng-during-setup_arch.patch
- powerpc: make memremap_compat_align 64s-only (bsc#1204413
  ltc#200176).
- powerpc/64: pcpu setup avoid reading mmu_linear_psize on 64e
  or radix (bsc#1204413 ltc#200176).
- powerpc/64s: Rename hash_hugetlbpage.c to hugetlbpage.c
  (bsc#1204413 ltc#200176).
- powerpc/64s: Make flush_and_reload_slb a no-op when radix is
  enabled (bsc#1204413 ltc#200176).
- powerpc/pseries: lparcfg don't include slb_size line in radix
  mode (bsc#1204413 ltc#200176).
- powerpc/64s: Move and rename do_bad_slb_fault as it is not
  hash specific (bsc#1204413 ltc#200176).
- Refresh patches.suse/powerpc-64s-hash-Make-hash-faults-work-in-NMI-contex.patch
- powerpc: Rename PPC_NATIVE to PPC_HASH_MMU_NATIVE (bsc#1204413
  ltc#200176).
  Update config files.
- commit da125ff
* Thu Oct 20 2022 jlee@suse.com
- devdax: Fix soft-reservation memory description (jsc#PED-1408).
- ACPI: property: Remove default association from integer maximum
  values (jsc#PED-1408).
- ACPI: property: Ignore already existing data node tags
  (jsc#PED-1408).
- ACPI: property: Fix type detection of unified integer reading
  functions (jsc#PED-1408).
- arm64: cacheinfo: Fix incorrect assignment of signed error
  value to unsigned fw_level (jsc#PED-1408).
- ACPI: property: Fix error handling in acpi_init_properties()
  (jsc#PED-1408).
- ACPI: property: Read buffer properties as integers
  (jsc#PED-1408).
- ACPI: property: Add support for parsing buffer property UUID
  (jsc#PED-1408).
- commit 5677edc
* Thu Oct 20 2022 jlee@suse.com
- ACPI: property: Unify integer value reading functions
  (jsc#PED-1408).
- ACPI: property: Switch node property referencing from ifs to
  a switch (jsc#PED-1408).
- ACPI: property: Move property ref argument parsing into a new
  function (jsc#PED-1408).
- ACPI: property: Use acpi_object_type consistently in property
  ref parsing (jsc#PED-1408).
- ACPI: property: Tie data nodes to acpi handles (jsc#PED-1408).
- ACPI: VIOT: Do not dereference fwnode in struct device
  (jsc#PED-1408).
- ACPI/IORT: Fix build error implicit-function-declaration
  (jsc#PED-1408).
- ACPI/IORT: Add a helper to retrieve RMR info directly
  (jsc#PED-1408).
- ACPI/IORT: Add support to retrieve IORT RMR reserved regions
  (jsc#PED-1408).
- ACPI/IORT: Provide a generic helper to retrieve reserve regions
  (jsc#PED-1408).
- ACPI/IORT: Make iort_iommu_msi_get_resv_regions() return void
  (jsc#PED-1408).
- ACPI: PPTT: Leave the table mapped for the runtime usage
  (jsc#PED-1408).
- ACPI: Remove the unused find_acpi_cpu_cache_topology()
  (jsc#PED-1408).
- ACPI: PPTT: Use table offset as fw_token instead of virtual
  address (jsc#PED-1408).
- ACPI: Move PRM config option under the main ACPI config
  (jsc#PED-1408).
  Update config files.
- ACPI: Enable Platform Runtime Mechanism(PRM) support on ARM64
  (jsc#PED-1408).
  Update config files.
- ACPI: PRM: Change handler_addr type to void pointer
  (jsc#PED-1408).
- ACPI/PCI: Remove useless NULL pointer checks (jsc#PED-1408).
- ACPI: video: Use native backlight on Dell Inspiron N4010
  (jsc#PED-1408).
- ACPI: video: Drop X86 dependency from Kconfig (jsc#PED-1408).
  Update config files.
- ACPI: resource: skip IRQ override on AMD Zen platforms
  (jsc#PED-1408).
- ACPI: PM: x86: Print messages regarding LPS0 idle support
  (jsc#PED-1408).
- ACPI: PM: s2idle: Use LPS0 idle if ACPI_FADT_LOW_POWER_S0 is
  unset (jsc#PED-1408).
- Revert "ACPI / PM: LPIT: Register sysfs attributes based on
  FADT" (jsc#PED-1408).
- ACPI: PM: s2idle: Add support for upcoming AMD uPEP HID AMDI008
  (jsc#PED-1408).
- ACPI: EC: Drop unused ident initializers from dmi_system_id
  tables (jsc#PED-1408).
- ACPI: EC: Re-use boot_ec when possible even when
  EC_FLAGS_TRUST_DSDT_GPE is set (jsc#PED-1408).
- ACPI: APEI: Fix _EINJ vs EFI_MEMORY_SP (jsc#PED-1408).
- ACPI: APEI: Fix double word in a comment (jsc#PED-1408).
- ACPI: processor: Drop leftover acpi_processor_get_limit_info()
  declaration (jsc#PED-1408).
- ACPI: processor: Split out thermal initialization from ACPI PSS
  (jsc#PED-1408).
- ACPI: bus: Drop unused list heads from struct acpi_device
  (jsc#PED-1408).
- ACPI: bus: Drop driver member of struct acpi_device
  (jsc#PED-1408).
- ACPI: bus: Drop redundant check in acpi_device_remove()
  (jsc#PED-1408).
- ACPI / MMC: PM: Unify fixing up device power (jsc#PED-1408).
- ACPI: scan: Walk ACPI device's children using driver core
  (jsc#PED-1408).
- ACPI: bus: Introduce acpi_dev_for_each_child_reverse()
  (jsc#PED-1408).
- ACPI: video: Use acpi_dev_for_each_child() (jsc#PED-1408).
- ACPI: bus: Export acpi_dev_for_each_child() to modules
  (jsc#PED-1408).
- ACPI: property: Use acpi_dev_for_each_child() for child lookup
  (jsc#PED-1408).
- ACPI: container: Use acpi_dev_for_each_child() (jsc#PED-1408).
- ACPI: glue: Introduce acpi_find_child_by_adr() (jsc#PED-1408).
- ACPI: glue: Introduce acpi_dev_has_children() (jsc#PED-1408).
- ACPI: glue: Use acpi_dev_for_each_child() (jsc#PED-1408).
- ACPI: irq: Allow acpi_gsi_to_irq() to have an arch-specific
  fallback (jsc#PED-1408).
- APCI: irq: Add support for multiple GSI domains (jsc#PED-1408).
- mmc: sdhci-acpi: Remove special handling for GPD win/pocket
  devices (jsc#PED-1408).
- commit 3b82889
* Wed Oct 19 2022 tiwai@suse.de
- r8152: Rate limit overflow messages (CVE-2022-3594 bsc#1204479).
- commit a745ef5
* Wed Oct 19 2022 tiwai@suse.de
- Update patch reference for HID fix (CVE-2022-3577 bsc#1204470)
- commit 3ac3b39
* Tue Oct 18 2022 denis.kirjanov@suse.com
- kcm: avoid potential race in kcm_tx_work (bsc#1204355
  CVE-2022-3521).
- commit 2d76ec0
* Tue Oct 18 2022 denis.kirjanov@suse.com
- tcp/udp: Fix memory leak in ipv6_renew_options() (bsc#1204354
  CVE-2022-3524).
- commit f8049de
* Tue Oct 18 2022 denis.kirjanov@suse.com
- Update metadata references
- commit d0bf0fb
* Tue Oct 18 2022 tabraham@suse.com
- PCI: hv: Fix synchronization between channel callback and
  hv_pci_bus_exit() (bsc#1204017).
- commit ea6713d
* Tue Oct 18 2022 tabraham@suse.com
- PCI: hv: Fix synchronization between channel callback and
  hv_compose_msi_msg() (bsc#1204017).
- commit 230768b
* Tue Oct 18 2022 tabraham@suse.com
- PCI: hv: Use vmbus_requestor to generate transaction IDs for
  VMbus hardening (bsc#1204017).
- commit a19c478
* Tue Oct 18 2022 tabraham@suse.com
- Drivers: hv: vmbus: Introduce {lock,unlock}_requestor()
  (bsc#1204017).
- commit bc36cf4
* Tue Oct 18 2022 tabraham@suse.com
- Drivers: hv: vmbus: Introduce vmbus_request_addr_match()
  (bsc#1204017).
- commit 40cb8e4
* Tue Oct 18 2022 tabraham@suse.com
- Drivers: hv: vmbus: Fix handling of messages with transaction
  ID of zero (bsc#1204017).
- commit a5b4ebf
* Tue Oct 18 2022 tabraham@suse.com
- Drivers: hv: vmbus: Introduce vmbus_sendpacket_getid()
  (bsc#1204017).
- commit 2e0386a
* Tue Oct 18 2022 tiwai@suse.de
- sch_sfb: Also store skb len before calling child enqueue
  (CVE-2022-3586 bsc#1204439).
- sch_sfb: Don't assume the skb is still around after enqueueing
  to child (CVE-2022-3586 bsc#1204439).
- commit 6788943
* Tue Oct 18 2022 tiwai@suse.de
- Update patch reference for mISDN fix (CVE-2022-3565 bsc#1204431)
- commit 5d0836e
* Tue Oct 18 2022 palcantara@suse.de
- cifs: fix wrong unlock before return from cifs_tree_connect()
  (bsc#1193629).
- commit ca24a6e
* Tue Oct 18 2022 palcantara@suse.de
- cifs: avoid use of global locks for high contention data
  (bsc#1193629).
- commit 003b496
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove remaining build warnings (bsc#1193629).
- commit 2a6d64f
* Tue Oct 18 2022 palcantara@suse.de
- cifs: list_for_each() -> list_for_each_entry() (bsc#1193629).
- commit 98f1884
* Tue Oct 18 2022 palcantara@suse.de
- smb2: small refactor in smb2_check_message() (bsc#1193629).
- commit 2913774
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove minor build warning (bsc#1193629).
- commit 9dd2f9e
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove some camelCase and also some static build warnings
  (bsc#1193629).
- commit 7a903b5
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove unnecessary (void*) conversions (bsc#1193629).
- commit 352182a
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove unnecessary type castings (bsc#1193629).
- commit e2ea7fd
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove redundant initialization to variable
  mnt_sign_enabled (bsc#1193629).
- commit 8c39800
* Tue Oct 18 2022 palcantara@suse.de
- smb3: check xattr value length earlier (bsc#1193629).
- commit 87cd516
* Tue Oct 18 2022 palcantara@suse.de
- smb3: workaround negprot bug in some Samba servers
  (bsc#1193629).
- commit 031af61
* Tue Oct 18 2022 palcantara@suse.de
- cifs: remove unnecessary locking of chan_lock while freeing
  session (bsc#1193629).
- commit 0303046
* Tue Oct 18 2022 palcantara@suse.de
- cifs: fix race condition with delayed threads (bsc#1193629).
- commit 491d550
* Tue Oct 18 2022 palcantara@suse.de
- cifs: update cifs_ses::ip_addr after failover (bsc#1193629).
- commit 9ed4aa9
* Tue Oct 18 2022 palcantara@suse.de
- cifs: avoid deadlocks while updating iface (bsc#1193629).
- commit 3a5c612
* Tue Oct 18 2022 palcantara@suse.de
- cifs: periodically query network interfaces from server
  (bsc#1193629).
- commit dd3e063
* Tue Oct 18 2022 palcantara@suse.de
- cifs: during reconnect, update interface if necessary
  (bsc#1193629).
- commit 8dea5e1
* Tue Oct 18 2022 palcantara@suse.de
- cifs: change iface_list from array to sorted linked list
  (bsc#1193629).
- commit 1b05ccf
* Tue Oct 18 2022 palcantara@suse.de
- smb3: use netname when available on secondary channels
  (bsc#1193629).
- commit 6d17daa
* Tue Oct 18 2022 palcantara@suse.de
- smb3: fix empty netname context on secondary channels
  (bsc#1193629).
- commit 51fad96
* Tue Oct 18 2022 palcantara@suse.de
- cifs: when a channel is not found for server, log its connection
  id (bsc#1193629).
- commit 1b306b2
* Tue Oct 18 2022 palcantara@suse.de
- smb3: add trace point for SMB2_set_eof (bsc#1193629).
- commit c6da1d3
* Tue Oct 18 2022 palcantara@suse.de
- cifs: populate empty hostnames for extra channels (bsc#1193629).
- commit f2f92b2
* Tue Oct 18 2022 palcantara@suse.de
- cifs: return errors during session setup during reconnects
  (bsc#1193629).
- commit d557671
* Tue Oct 18 2022 palcantara@suse.de
- smb3: remove unneeded null check in cifs_readdir (bsc#1193629).
- commit 7eaa3dc
* Tue Oct 18 2022 palcantara@suse.de
- cifs: cache the dirents for entries in a cached directory
  (bsc#1193629).
- commit 0ddb648
* Tue Oct 18 2022 palcantara@suse.de
- cifs: truncate the inode and mapping when we simulate fcollapse
  (bsc#1193629).
- commit 3b07034
* Mon Oct 17 2022 lduncan@suse.com
- scsi: libsas: Fix use-after-free bug in smp_execute_task_sg()
  (git-fixes).
- commit 1ad6725
* Mon Oct 17 2022 lduncan@suse.com
- blacklist.conf: add upstream commit that's too invasive
- commit a605c6e
* Mon Oct 17 2022 tiwai@suse.de
- Update config files: enable CONFIG_DMABUF_MOVE_NOTIFY (jsc#PED-975)
- commit a10be66
* Mon Oct 17 2022 tiwai@suse.de
- dmaengine: idxd: deprecate token sysfs attributes for read
  buffers (jsc#PED-679).
- commit c137213
* Mon Oct 17 2022 tiwai@suse.de
- dmaengine: idxd: change bandwidth token to read buffers
  (jsc#PED-679).
- Refresh
  patches.suse/dmaengine-idxd-restore-traffic-class-defaults-after-.patch.
- commit d0c1256
* Mon Oct 17 2022 tiwai@suse.de
- powercap: intel_rapl: Add support for RAPTORLAKE_S
  (jsc#PED-1812).
- commit 213e719
* Mon Oct 17 2022 tiwai@suse.de
- Update config files: enable CONFIG_PINCTRL_METEORLAKE (jsc#PED-732)
- supported.conf: add pinctrl-meteorlake
- commit efb9d9f
* Mon Oct 17 2022 tiwai@suse.de
- pinctrl: intel: Add Intel Meteor Lake pin controller support
  (jsc#PED-732).
- commit 0540896
* Mon Oct 17 2022 tiwai@suse.de
- i2c: i801: Add support for Intel Meteor Lake-P (jsc#PED-732).
- spi: pxa2xx: Add support for Intel Meteor Lake-P (jsc#PED-732).
- scsi: ufs: ufs-pci: Add support for Intel MTL (jsc#PED-732).
- commit 11c983f
* Mon Oct 17 2022 tiwai@suse.de
- Update patch reference for Intel MTL-P USB patch (jsc#PED-732)
- commit 4ca8c18
* Mon Oct 17 2022 tiwai@suse.de
- pinctrl: alderlake: Fix register offsets for ADL-N variant
  (jsc#PED-676).
- pinctrl: alderlake: Add Intel Alder Lake-N pin controller
  support (jsc#PED-676).
- commit 5492389
* Mon Oct 17 2022 tiwai@suse.de
- Update patch reference for Intel ADL-N eMMC patch (jsc#PED-676)
- commit 4c38b45
* Mon Oct 17 2022 tiwai@suse.de
- thunderbolt: Add support for Intel Raptor Lake (jsc#PED-634).
- commit 0ec42f9
* Mon Oct 17 2022 tiwai@suse.de
- pinctrl: alderlake: Add Raptor Lake-S ACPI ID (jsc#PED-634).
- mfd: intel-lpss: Add Intel Raptor Lake PCH-S PCI IDs
  (jsc#PED-634).
- spi: pxa2xx: Add support for Intel Raptor Lake PCH-S
  (jsc#PED-634).
- commit 06d5787
* Mon Oct 17 2022 tiwai@suse.de
- Update patch references for intel_th RPL-S support (jsc#PED-634)
- commit 900e952
* Mon Oct 17 2022 tiwai@suse.de
- i2c: i801: Add support for Intel Raptor Lake PCH-S
  (jsc#PED-634).
- i2c: i801: Improve handling of chip-specific feature definitions
  (jsc#PED-634).
- i2c: i801: Add support for Intel Ice Lake PCH-N (jsc#PED-634).
- commit 46a17cc
* Mon Oct 17 2022 tiwai@suse.de
- scsi: ufs: ufs-pci: Add support for Intel ADL (jsc#PED-707).
- commit 356d2a6
* Mon Oct 17 2022 iivanov@suse.de
- Update patches.suse/arm64-cpufeature-add-HWCAP-for-FEAT_RPRES.patch (git-fixes, jsc#PED-1159)
  Add reference to jsc#PED-1599
- commit 27aeba3
* Mon Oct 17 2022 tiwai@suse.de
- thermal: int340x: Mode setting with new OS handshake
  (jsc#PED-678).
- commit c03fef0
* Mon Oct 17 2022 iivanov@suse.de
- Update patches.suse/arm64-cpufeature-add-HWCAP-for-FEAT_AFP.patch (git-fixes, jsc#PED-1159)
  Add reference to jsc#PED-1599
- commit fb87f4f
* Mon Oct 17 2022 tiwai@suse.de
- thermal: int340x: Update OS policy capability handshake
  (jsc#PED-678).
- commit 2487fcb
* Mon Oct 17 2022 iivanov@suse.de
- supported.conf: Add CN10K DDR PMU driver to supported modules (jsc#PED-1765)
- commit ee9c6f0
* Mon Oct 17 2022 iivanov@suse.de
- supported.conf: Add CN10K RNG driver to supported modules (jsc#PED-1765)
- commit f38a789
* Mon Oct 17 2022 iivanov@suse.de
- supported.conf: Add CN10K LLC PMU driver to supported modules (jsc#PED-1765)
- commit ff62505
* Mon Oct 17 2022 iivanov@suse.de
- hwrng: cn10k - Make check_rng_health() return an error code (jsc#PED-1765)
- commit e96e350
* Mon Oct 17 2022 iivanov@suse.de
- hwrng: cn10k - Optimize cn10k_rng_read() (jsc#PED-1765)
- commit 18234b8
* Mon Oct 17 2022 iivanov@suse.de
- hwrng: cn10k - Add random number generator support (jsc#PED-1765)
  Update config/arm64/default
- commit 80a71af
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell: Fix !CONFIG_OF build for CN10K DDR PMU driver (jsc#PED-1765)
  Update config/arm64/default
- commit d86ecb5
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell: cn10k DDR perf event core ownership (jsc#PED-1765)
- commit ccedd1a
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell: cn10k DDR perfmon event overflow handling (jsc#PED-1765)
- commit b6ab0c5
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell: CN10k DDR performance monitor support (jsc#PED-1765)
- commit b13d58a
* Mon Oct 17 2022 iivanov@suse.de
- dt-bindings: perf: marvell: cn10k ddr performance monitor (jsc#PED-1765)
- commit 705f151
* Mon Oct 17 2022 tiwai@suse.de
- Update patch reference for macvlan fix (CVE-2022-3526 bsc#1204353)
- commit 740e86c
* Mon Oct 17 2022 schwab@suse.de
- rpm/check-for-config-changes: loosen pattern for AS_HAS_*
  This is needed to handle CONFIG_AS_HAS_NON_CONST_LEB128.
- commit bdc0bf7
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell_cn10k: Fix TAD PMU register offset (jsc#PED-1765)
- commit 4ccd5d2
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell_cn10k: Remove useless license text when (jsc#PED-1765)
- commit b1994db
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell_cn10k: Fix tad_pmu_event_init() to check pmu type first (jsc#PED-1765)
- commit cb2eb6b
* Mon Oct 17 2022 iivanov@suse.de
- perf/marvell_cn10k: Fix unused variable warning when W=1 and (jsc#PED-1765)
- commit 4f19277
* Mon Oct 17 2022 iivanov@suse.de
- drivers: perf: marvell_cn10k: fix an IS_ERR() vs NULL check (jsc#PED-1765)
- commit 9e52366
* Mon Oct 17 2022 iivanov@suse.de
- drivers: perf: Add LLC-TAD perf counter support (jsc#PED-1765)
  Update config/arm64/default
- commit 15db243
* Mon Oct 17 2022 msuchanek@suse.de
- powerpc/mm/64s: Drop pgd_huge() (bsc#1065729).
- powerpc/powernv: add missing of_node_put() in
  opal_export_attrs() (bsc#1065729).
- powerpc/pci_dn: Add missing of_node_put() (bsc#1065729).
- commit 7c692ec
* Mon Oct 17 2022 msuchanek@suse.de
- powerpc/kprobes: Fix null pointer reference in
  arch_prepare_kprobe() (jsc#SLE-13847 git-fixes).
- powerpc/64: Remove unused SYS_CALL_TABLE symbol (jsc#SLE-9246
  git-fixes).
- commit 5521322
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Use decimal number with port numbers (jsc#PED-531
  jsc#PED-1211).
- commit 1ef4993
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Replace usage of found with dedicated list iterator
  variable (jsc#PED-531 jsc#PED-1211).
- commit 3fecfc9
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Clarify register definitions for
  `tb_cap_plug_events` (jsc#PED-531).
- commit 68d4307
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Add internal xHCI connect flows for Thunderbolt
  3 devices (jsc#PED-531).
- commit ec0de67
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Do not make DROM read success compulsory
  (jsc#PED-531).
- commit 24436e4
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Do not resume routers if UID is not set
  (jsc#PED-531).
- thunderbolt: Retry DROM reads for more failure scenarios
  (jsc#PED-531).
- commit a78e01a
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Drop duplicate NULL checks around
  nvmem_unregister() (jsc#PED-531).
- commit 3ea3344
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Replace acpi_bus_get_device() (jsc#PED-531).
- commit 920924a
* Mon Oct 17 2022 oneukum@suse.com
- thunderbolt: Remove useless DMA-32 fallback configuration
  (jsc#PED-531).
- commit 871dcd2
* Mon Oct 17 2022 oneukum@suse.com
- usb: host: Initiate urb ep with udev ep0 (jsc#PED-531).
- commit f03f8e4
* Mon Oct 17 2022 iivanov@suse.de
- arm64/bti: Disable in kernel BTI when cross section thunks are broken (git-fixes)
- commit 2f51dd9
* Mon Oct 17 2022 iivanov@suse.de
- blacklist.conf: ("arm64/mm: drop HAVE_ARCH_PFN_VALID")
- commit f836660
* Mon Oct 17 2022 tiwai@suse.de
- clk: at91: fix the build with binutils 2.27 (git-fixes).
- commit a34e36d
* Sun Oct 16 2022 tiwai@suse.de
- Input: xpad - add supported devices as contributed on github
  (git-fixes).
- efi: libstub: drop pointless get_memory_map() call (git-fixes).
- misc: pci_endpoint_test: Fix
  pci_endpoint_test_{copy,write,read}() panic (git-fixes).
- misc: pci_endpoint_test: Aggregate params checking for xfer
  (git-fixes).
- USB: serial: qcserial: add new usb-id for Dell branded EM7455
  (git-fixes).
- efi: Correct Macmini DMI match in uefi cert quirk (git-fixes).
- commit 4dee064
* Sat Oct 15 2022 tiwai@suse.de
- ALSA: oss: Fix potential deadlock at unregistration (git-fixes).
- ALSA: rawmidi: Drop register_mutex in snd_rawmidi_free()
  (git-fixes).
- ALSA: hda/realtek: Add Intel Reference SSID to support headset
  keys (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS GV601R laptop (git-fixes).
- commit c900b4a
* Sat Oct 15 2022 tiwai@suse.de
- ACPI: HMAT: Release platform device in case of
  platform_device_add_data() fails (git-fixes).
- rtc: stmp3xxx: Add failure handling for stmp3xxx_wdt_register()
  (git-fixes).
- ALSA: hda/realtek: Correct pin configs for ASUS G533Z
  (git-fixes).
- ALSA: hda/realtek: remove ALC289_FIXUP_DUAL_SPK for Dell 5530
  (git-fixes).
- arm64: mte: Avoid setting PG_mte_tagged if no tags cleared or
  restored (git-fixes).
- drm/amd/pm: smu7_hwmgr: fix potential off-by-one overflow in
  'performance_levels' (git-fixes).
- Revert "drm/amdgpu: use dirty framebuffer helper" (git-fixes).
- drm/i915/ehl: Update MOCS table for EHL (git-fixes).
- commit 3ca51e4
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qeth: Remove OSN deprecation notice (jsc#PED-448
  LTC#198619).
- commit 42319b3
* Fri Oct 14 2022 ptesarik@suse.cz
- qeth: remove a copy of the NAPI_POLL_WEIGHT define (jsc#PED-448
  LTC#198619).
- Refresh
  patches.suse/net-make-drivers-set-the-TSO-limit-not-the-GSO-limit.patch.
- Refresh patches.suse/net-switch-to-netif_napi_add_tx.patch.
- commit f8ee04c
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qeth: split up L2 netdev_ops (jsc#PED-448 LTC#198619).
- commit f50bd13
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qeth: don't keep track of Input Queue count (jsc#PED-448
  LTC#198619).
- Refresh patches.suse/s390-qdio-split-do_QDIO.
- commit f07e1f9
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qeth: move qdio's QAOB cache into qeth (jsc#PED-448
  LTC#198619).
- Refresh patches.suse/s390-qdio-split-do_QDIO.
- commit 7ee14b3
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qeth: clean up device_type management (jsc#PED-448
  LTC#198619).
- Refresh patches.suse/s390-qeth-Register-switchdev-event-handler.
- commit 4489d18
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qeth: Fix typo 'the the' in comment (jsc#PED-448
  LTC#198619).
- s390/ctcm: fix typo "length to short" -> "length too short"
  (jsc#PED-448 LTC#198619).
- s390/net: sort out physical vs virtual pointers usage
  (jsc#PED-448 LTC#198619).
- s390/qeth: Remove redundant 'flush_workqueue()' calls
  (jsc#PED-448 LTC#198619).
- s390/qeth: remove check for packing mode in
  qeth_check_outbound_queue() (jsc#PED-448 LTC#198619).
- s390/qeth: fine-tune .ndo_select_queue() (jsc#PED-448
  LTC#198619).
- s390/qeth: don't offer .ndo_bridge_* ops for OSA devices
  (jsc#PED-448 LTC#198619).
- s390/lcs: add braces around empty function body (jsc#PED-448
  LTC#198619).
- s390/ctcm: add __printf format attribute to ctcm_dbf_longtext
  (jsc#PED-448 LTC#198619).
- s390/ctcm: fix format string (jsc#PED-448 LTC#198619).
- s390/qeth: allocate RX queue at probe time (jsc#PED-448
  LTC#198619).
- s390/qeth: update kerneldoc for qeth_add_hw_header()
  (jsc#PED-448 LTC#198619).
- s390/qeth: fix kernel doc comments (jsc#PED-448 LTC#198619).
- s390/qeth: add __printf format attribute to qeth_dbf_longtext
  (jsc#PED-448 LTC#198619).
- s390/qeth: fix various format strings (jsc#PED-448 LTC#198619).
- s390/qeth: clarify remaining dev_kfree_skb_any() users
  (jsc#PED-448 LTC#198619).
- s390/qeth: remove .do_ioctl() callback from driver discipline
  (jsc#PED-448 LTC#198619).
- s390/qeth: improve trace entries for MAC address
  (un)registration (jsc#PED-448 LTC#198619).
- net: s390: constify and use eth_hw_addr_set() (jsc#PED-448
  LTC#198619).
- s390/netiucv: remove incorrect kernel doc indicators
  (jsc#PED-448 LTC#198619).
- s390/lcs: remove incorrect kernel doc indicators (jsc#PED-448
  LTC#198619).
- s390/ctcm: remove incorrect kernel doc indicators (jsc#PED-448
  LTC#198619).
- s390/net: replace in_irq() with in_hardirq() (jsc#PED-448
  LTC#198619).
- s390/qeth: clean up QETH_PROT_* naming (jsc#PED-448 LTC#198619).
- commit 595cfd6
* Fri Oct 14 2022 jslaby@suse.cz
- x86/cpu: Add CPU model numbers for Meteor Lake (jsc#PED-637).
- x86/cpu: Add new Raptor Lake CPU model number (jsc#PED-716).
- commit 612dc8d
* Fri Oct 14 2022 tiwai@suse.de
- mmc: sdhci-sprd: Fix minimum clock limit (git-fixes).
- openvswitch: add nf_ct_is_confirmed check before assigning
  the helper (git-fixes).
- selftests: netfilter: Fix nft_fib.sh for all.rp_filter=1
  (git-fixes).
- wifi: iwlwifi: mvm: fix double list_add at
  iwl_mvm_mac_wake_tx_queue (other cases) (git-fixes).
- wifi: cfg80211: fix ieee80211_data_to_8023_exthdr handling of
  small packets (git-fixes).
- wifi: mac80211: fix decap offload for stations on AP_VLAN
  interfaces (git-fixes).
- wifi: mac80211: fix probe req HE capabilities access
  (git-fixes).
- wifi: mac80211: do not drop packets smaller than the LLC-SNAP
  header on fast-rx (git-fixes).
- can: kvaser_usb_leaf: Fix CAN state after restart (git-fixes).
- can: kvaser_usb_leaf: Fix TX queue out of sync after restart
  (git-fixes).
- can: kvaser_usb: Fix use of uninitialized completion
  (git-fixes).
- macvlan: enforce a consistent minimal mtu (git-fixes).
- mISDN: hfcpci: Fix use-after-free bug in hfcpci_softirq
  (git-fixes).
- net: ieee802154: return -EINVAL for unknown addr type
  (git-fixes).
- watchdog: armada_37xx_wdt: Fix .set_timeout callback
  (git-fixes).
- watchdog: ftwdt010_wdt: fix test for platform_get_irq() failure
  (git-fixes).
- watchdog/hpwdt: Include nmi.h only if CONFIG_HPWDT_NMI_DECODING
  (git-fixes).
- commit cb006e7
* Fri Oct 14 2022 tiwai@suse.de
- Drop a incorrectly doubly applied WiFi fix patch
- commit 9d35b83
* Fri Oct 14 2022 ptesarik@suse.cz
- s390/qdio: Fix spelling mistake (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: clarify logical vs absolute in QIB's kerneldoc
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: remove unneeded sanity check in qdio_do_sqbs()
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: split do_QDIO() (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: split qdio_inspect_queue() (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: clarify handler logic for
  qdio_handle_activate_check() (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: clean up access to queue in
  qdio_handle_activate_check() (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: avoid allocating the qdio_irq with GFP_DMA
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: improve handling of CIWs (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: remove QDIO_SBAL_SIZE macro (jsc#PED-455 bsc#1203836
  LTC#198623).
- scsi: zfcp: fix kernel doc comments (jsc#PED-455 bsc#1203836
  LTC#198623).
- scsi: zfcp: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#PED-455 bsc#1203836 LTC#198623).
- scsi: zfcp: Use the proper SCSI midlayer interfaces for PI
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: remove unused support for SLIB parameters
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: consolidate QIB code (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: use dev_info() in qdio_print_subchannel_info()
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: fine-tune the queue sync (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: clean up SIGA capability tracking (jsc#PED-455
  bsc#1203836 LTC#198623).
- s390/qdio: remove unused sync-after-IRQ infrastructure
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: use absolute data address in ESTABLISH ccw
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: remove unused macros (jsc#PED-455 bsc#1203836
  LTC#198623).
- s390/qdio: clarify reporting of errors to the drivers
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: remove unneeded siga-sync for Output Queue
  (jsc#PED-455 bsc#1203836 LTC#198623).
- s390/qdio: remove remaining tasklet & timer code (jsc#PED-455
  bsc#1203836 LTC#198623).
- commit ccb8c7b
* Fri Oct 14 2022 tiwai@suse.de
- wifi: cfg80211: update hidden BSSes to avoid WARN_ON
  (git-fixes).
- wifi: mac80211_hwsim: avoid mac80211 warning on bad rate
  (git-fixes).
- wifi: cfg80211/mac80211: reject bad MBSSID elements (git-fixes).
- commit b28d368
* Fri Oct 14 2022 tiwai@suse.de
- Move upstramed WiFi fix patches into sorted section
- commit bef1692
* Thu Oct 13 2022 lduncan@suse.com
- net: ethernet: move from strlcpy with unused retval to strscpy
  (jsc#PED-1302).
- net: add skb_[inner_]tcp_all_headers helpers (jsc#PED-1302).
- ethernet: Remove vf rate limit check for drivers (jsc#PED-1302).
- rtnetlink: add extack support in fdb del handlers
  (jsc#PED-1302).
- net: switch to netif_napi_add_tx() (jsc#PED-1302).
- qlcnic: remove redundant assignment to variable index
  (jsc#PED-1302).
- net: qlcnic: use time_is_before_jiffies() instead of open
  coding it (jsc#PED-1302).
- qlcnic: Simplify DMA setting (jsc#PED-1302).
- qlcnic: Remove redundant initialization of variable ret
  (jsc#PED-1302).
- qlcnic: switch from 'pci_' to 'dma_' API (jsc#PED-1302).
- qlcnic: make the array random_data static const, makes object
  smaller (jsc#PED-1302).
- commit c7136a6
* Thu Oct 13 2022 iivanov@suse.de
- clk: bcm: rpi: Add support for VEC clock (bsc#1196632)
- commit 188fe72
* Thu Oct 13 2022 oneukum@suse.com
- nvmem: core: Check input parameter for NULL in
  nvmem_unregister() (bsc#1204241).
- commit 66b047b
* Thu Oct 13 2022 iivanov@suse.de
- clk: bcm2835: Round UART input clock up (bsc#1188238)
- commit f465b19
* Thu Oct 13 2022 tiwai@suse.de
- ALSA: hda/hdmi: Fix the converter allocation for the silent
  stream (git-fixes).
- ALSA: hda/hdmi: change type for the 'assigned' variable
  (git-fixes).
- commit 6c73200
* Thu Oct 13 2022 tiwai@suse.de
- drm/i915/gvt: fix a memory leak in intel_gvt_init_vgpu_types
  (git-fixes).
- irqchip/ls-extirq: Fix invalid wait context by avoiding to
  use regmap (git-fixes).
- USB: serial: ftdi_sio: fix 300 bps rate for SIO (git-fixes).
- docs: update mediator information in CoC docs (git-fixes).
- mmc: core: Terminate infinite loop in SD-UHS voltage switch
  (git-fixes).
- drm/amd/display: skip audio setup when audio stream is enabled
  (git-fixes).
- drm/amd/display: update gamut remap if plane has changed
  (git-fixes).
- drm/amd/display: Assume an LTTPR is always present on fixed_vs
  links (git-fixes).
- drm/amd/display: Fix double cursor on non-video RGB MPO
  (git-fixes).
- ARM: dts: fix Moxa SDIO 'compatible', remove 'sdhci' misnomer
  (git-fixes).
- firmware: arm_scmi: Add SCMI PM driver remove routine
  (git-fixes).
- firmware: arm_scmi: Harden accesses to the sensor domains
  (git-fixes).
- firmware: arm_scmi: Improve checks in the info_get operations
  (git-fixes).
- net/ieee802154: fix uninit value bug in dgram_sendmsg
  (git-fixes).
- dmaengine: xilinx_dma: Report error in case of
  dma_set_mask_and_coherent API failure (git-fixes).
- dmaengine: xilinx_dma: cleanup for fetching xlnx,num-fstores
  property (git-fixes).
- dmaengine: xilinx_dma: Fix devm_platform_ioremap_resource
  error handling (git-fixes).
- ALSA: hda/hdmi: Fix the converter reuse for the silent stream
  (git-fixes).
- rpmsg: qcom: glink: replace strncpy() with strscpy_pad()
  (git-fixes).
- mmc: core: Replace with already defined values for readability
  (git-fixes).
- commit 07f5789
* Thu Oct 13 2022 tiwai@suse.de
- Drop TI clk patch that has been reverted in 5.15.y stable
- commit bfab74f
* Thu Oct 13 2022 vbabka@suse.cz
- mm/hmm/test: use char dev with struct device to get device node
  (jsc#PED-1294).
- commit 2a441da
* Thu Oct 13 2022 vbabka@suse.cz
- lib/test_hmm: avoid accessing uninitialized pages
  (jsc#PED-1294).
- commit 629e407
* Thu Oct 13 2022 vbabka@suse.cz
- mm/memremap: fix wrong function name above memremap_pages()
  (jsc#PED-1294).
- commit 99ceafe
* Thu Oct 13 2022 dfaggioli@suse.com
- Updated metadata references for bsc#1200788 CVE-2022-2153:
  Updated patches (from Juergen Gross)
- patches.suse/KVM-x86-Avoid-theoretical-NULL-pointer-dereference-i.patch
- patches.suse/KVM-x86-Check-lapic_in_kernel-before-attempting-to-s.patch
- patches.suse/KVM-x86-Forbid-VMM-to-set-SYNIC-STIMER-MSRs-when-Syn.patch
- commit e9364fc
* Wed Oct 12 2022 vbabka@suse.cz
- selftests/vm: use top_srcdir instead of recomputing relative
  paths (jsc#PED-1294).
- commit fcd00bf
* Wed Oct 12 2022 vbabka@suse.cz
- Kselftests: remove support of libhugetlbfs from kselftests
  (jsc#PED-1294).
- commit 5314c14
* Wed Oct 12 2022 vbabka@suse.cz
- tools/testing/selftests/vm/hmm-tests.c: fix build
  (jsc#PED-1294).
- commit d4e3629
* Wed Oct 12 2022 vbabka@suse.cz
- mm/hmm: add a test for cross device private faults
  (jsc#PED-1294).
- commit 113260c
* Wed Oct 12 2022 vbabka@suse.cz
- mm/hmm.c: allow VM_MIXEDMAP to work with hmm_range_fault
  (jsc#PED-1294).
- commit 81464f0
* Wed Oct 12 2022 vbabka@suse.cz
- tools: update hmm-test to support device coherent type
  (jsc#PED-1294).
- commit 7b24afa
* Wed Oct 12 2022 vbabka@suse.cz
- mm: fix the handling Non-LRU pages returned by follow_page
  (jsc#PED-1294).
- commit a0abdab
* Wed Oct 12 2022 vbabka@suse.cz
- mm/huge_memory: use helper macro IS_ERR_OR_NULL in
  split_huge_pages_pid (jsc#PED-1294).
- commit 64365f4
* Wed Oct 12 2022 vbabka@suse.cz
- mm: remove unneeded local variable follflags (jsc#PED-1294).
- commit f1da2a0
* Wed Oct 12 2022 vbabka@suse.cz
- mm/migrate_device.c: fix a misleading and outdated comment
  (jsc#PED-1294).
- commit 2496c30
* Wed Oct 12 2022 vbabka@suse.cz
- mm: migration: fix the FOLL_GET failure on following huge page
  (jsc#PED-1294).
- commit 7c67379
* Wed Oct 12 2022 vbabka@suse.cz
- mm: re-allow pinning of zero pfns (again) (jsc#PED-1294).
- commit 4e32fd5
* Wed Oct 12 2022 vbabka@suse.cz
- nvdimm/pmem: cleanup the disk if pmem_release_disk() is yet
  assigned (jsc#PED-1294).
- commit 519f490
* Wed Oct 12 2022 oneukum@suse.com
- thunderbolt: Fix buffer allocation of devices with no
  DisplayPort adapters (git-fixes).
- commit 2534904
* Wed Oct 12 2022 ddiss@suse.de
- fs: fix UAF/GPF bug in nilfs_mdt_destroy (CVE-2022-2978
  bsc#1202700).
- commit e1802d7
* Wed Oct 12 2022 oneukum@suse.com
- thunderbolt: Add missing device ID to
  tb_switch_is_alpine_ridge() (git-fixes).
- commit 9447425
* Wed Oct 12 2022 oneukum@suse.com
- thunderbolt: Disable LTTPR on Intel Titan Ridge (git-fixes).
- commit 9dce26f
* Wed Oct 12 2022 oneukum@suse.com
- usb/hcd: Fix dma_map_sg error check (git-fixes).
- commit 82f7672
* Wed Oct 12 2022 vbabka@suse.cz
- mm/gup.c: fix formatting in check_and_migrate_movable_page()
  (jsc#PED-1294).
- commit 6bb21eb
* Wed Oct 12 2022 vbabka@suse.cz
- tools: add selftests to hmm for COW in device memory
  (jsc#PED-1294).
- commit fbb5441
* Wed Oct 12 2022 vbabka@suse.cz
- tools: add hmm gup tests for device coherent type
  (jsc#PED-1294).
- commit ccae011
* Wed Oct 12 2022 vbabka@suse.cz
- tools: update test_hmm script to support SP config
  (jsc#PED-1294).
- commit 32be4d6
* Wed Oct 12 2022 vbabka@suse.cz
- lib: add support for device coherent type in test_hmm
  (jsc#PED-1294).
- commit 5bcf5a6
* Wed Oct 12 2022 vbabka@suse.cz
- lib: test_hmm add module param for zone device type
  (jsc#PED-1294).
- commit e22f0bf
* Wed Oct 12 2022 vbabka@suse.cz
- lib: test_hmm add ioctl to get zone device type (jsc#PED-1294).
- commit 87c4e9c
* Wed Oct 12 2022 vbabka@suse.cz
- drm/amdkfd: add SPM support for SVM (jsc#PED-1294).
- commit 9d8092a
* Wed Oct 12 2022 vbabka@suse.cz
- drm/amdkfd: fix resource_size.cocci warnings (jsc#PED-1294).
- commit 589703d
* Wed Oct 12 2022 vbabka@suse.cz
- mm/gup: migrate device coherent pages when pinning instead of
  failing (jsc#PED-1294).
- commit f57d4bb
* Wed Oct 12 2022 tiwai@suse.de
- kabi/severities: ignore CS35L41-specific exports (bsc#1203699)
- commit 9f486fe
* Wed Oct 12 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Support System Suspend (bsc#1203699).
- ALSA: hda: cs35l41: Remove suspend/resume hda hooks
  (bsc#1203699).
- ALSA: hda/cs_dsp_ctl: Fix mutex inversion when creating controls
  (bsc#1203699).
- ALSA: hda: hda_cs_dsp_ctl: Ensure pwr_lock is held before
  reading/writing controls (bsc#1203699).
- ALSA: hda: hda_cs_dsp_ctl: Minor clean and redundant code
  removal (bsc#1203699).
- commit 54175bd
* Wed Oct 12 2022 tiwai@suse.de
- PCI: mediatek-gen3: Change driver name to mtk-pcie-gen3
  (git-fixes).
- dt-bindings: PCI: microchip,pcie-host: fix missing dma-ranges
  (git-fixes).
- dt-bindings: PCI: microchip,pcie-host: fix missing clocks
  properties (git-fixes).
- PCI: Sanitise firmware BAR assignments behind a PCI-PCI bridge
  (git-fixes).
- PCI: Fix used_buses calculation in pci_scan_child_bus_extend()
  (git-fixes).
- PCI/ASPM: Correct LTR_L1.2_THRESHOLD computation (git-fixes).
- PCI/ASPM: Ignore L1 PM Substates if device lacks capability
  (git-fixes).
- i2c: designware: Fix handling of real but unexpected device
  interrupts (git-fixes).
- pinctrl: microchip-sgpio: Correct the fwnode_irq_get() return
  value check (git-fixes).
- pinctrl: armada-37xx: Checks for errors in gpio_request_enable
  callback (git-fixes).
- pinctrl: armada-37xx: Fix definitions for MPP pins 20-22
  (git-fixes).
- pinctrl: armada-37xx: Add missing GPIO-only pins (git-fixes).
- Input: i8042 - fix refount leak on sparc (git-fixes).
- Input: synaptics-rmi4 - fix firmware update operations with
  bootloader v8 (git-fixes).
- Input: xpad - fix wireless 360 controller breaking after suspend
  (git-fixes).
- commit 6628947
* Wed Oct 12 2022 tiwai@suse.de
- Add cherry-picked ID for AMDGPU patch
- commit 005b431
* Tue Oct 11 2022 vbabka@suse.cz
- mm: add device coherent vma selection for memory migration
  (jsc#PED-1294).
- commit c7f49b6
* Tue Oct 11 2022 vbabka@suse.cz
- mm: handling Non-LRU pages returned by vm_normal_pages
  (jsc#PED-1294).
- commit e689445
* Tue Oct 11 2022 vbabka@suse.cz
- mm/migration: fix possible do_pages_stat_array racing with
  memory offline (jsc#PED-1294).
- commit f5b7a8c
* Tue Oct 11 2022 vbabka@suse.cz
- mm: add zone device coherent type memory support (jsc#PED-1294).
- commit c80982a
* Tue Oct 11 2022 vbabka@suse.cz
- mm: re-allow pinning of zero pfns (jsc#PED-1294).
- commit 541ae7e
* Tue Oct 11 2022 denis.kirjanov@suse.com
- octeontx2-pf: cn10k: Fix egress ratelimit configuration
  (git-fixes).
- commit dfc0a0a
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: sungem_phy: Add of_node_put() for reference returned by
  of_get_parent() (git-fixes).
- commit cc0874b
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: pcs: xpcs: propagate xpcs_read error to
  xpcs_get_state_c37_sgmii (git-fixes).
- commit 6750e0f
* Tue Oct 11 2022 denis.kirjanov@suse.com
- mlxsw: spectrum_router: Fix IPv4 nexthop gateway indication
  (git-fixes).
- commit 6f3b54a
* Tue Oct 11 2022 denis.kirjanov@suse.com
- ipv4: Fix data-races around sysctl_fib_multipath_hash_policy
  (git-fixes).
- commit afc53c0
* Tue Oct 11 2022 denis.kirjanov@suse.com
- iavf: Fix handling of dummy receive descriptors (git-fixes).
- commit e9bd3c0
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: dsa: vitesse-vsc73xx: silent spi_device_id warnings
  (git-fixes).
- commit 155ccd4
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: dsa: sja1105: silent spi_device_id warnings (git-fixes).
- commit ee0b547
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: stmmac: remove redunctant disable xPCS EEE call
  (git-fixes).
- commit 9493b1a
* Tue Oct 11 2022 denis.kirjanov@suse.com
- ixgbe: Add locking to prevent panic when setting sriov_numvfs
  to zero (git-fixes).
- commit 53fbc66
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: stmmac: fix dma queue left shift overflow issue
  (git-fixes).
- commit 1deb58f
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: dsa: microchip: ksz_common: Fix refcount leak bug
  (git-fixes).
- commit c46e25b
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: stmmac: fix unbalanced ptp clock issue in suspend/resume
  flow (git-fixes).
- commit dff326f
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: stmmac: fix pm runtime issue in stmmac_dvr_remove()
  (git-fixes).
- commit e347cfb
* Tue Oct 11 2022 denis.kirjanov@suse.com
- ip: Fix data-races around sysctl_ip_fwd_update_priority
  (git-fixes).
- commit 4ea8f18
* Tue Oct 11 2022 denis.kirjanov@suse.com
- sfc: fix kernel panic when creating VF (git-fixes).
- commit 33eba8c
* Tue Oct 11 2022 denis.kirjanov@suse.com
- sfc: fix use after free when disabling sriov (git-fixes).
- commit 2fa14d7
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: stmmac: fix leaks in probe (git-fixes).
- commit 97831ef
* Tue Oct 11 2022 vbabka@suse.cz
- mm: move page zone helpers from mm.h to mmzone.h (jsc#PED-1294).
- commit 57ef364
* Tue Oct 11 2022 jgross@suse.com
- KVM: x86: Register perf callbacks after calling vendor's
  hardware_setup() (git-fixes).
- Refresh
  patches.suse/KVM-x86-Register-Processor-Trace-interrupt-hook-iff-.patch.
- commit 871c62a
* Tue Oct 11 2022 vbabka@suse.cz
- mm: build migrate_vma_* for all configs with ZONE_DEVICE support
  (jsc#PED-1294).
- Update config files.
- commit 0314c06
* Tue Oct 11 2022 oneukum@suse.com
- USB: add RESET_RESUME quirk for NVIDIA Jetson devices in RCM
  (git-fixes).
- commit 31ce443
* Tue Oct 11 2022 jgross@suse.com
- KVM: VMX: Inject #PF on ENCLS as "emulated" #PF (git-fixes).
- commit cc0ea0c
* Tue Oct 11 2022 oneukum@suse.com
- usb: ehci: Fix a function name in comments (git-fixes).
- commit 610087d
* Tue Oct 11 2022 oneukum@suse.com
- usb: host: remove dead EHCI support for on-chip PMC MSP71xx
  USB controller (jsc#PED-531).
- commit 62f8e77
* Tue Oct 11 2022 jlee@suse.com
- x86/mce: Retrieve poison range from hardware (jsc#PED-1408).
- ACPI: CPPC: Don't require flexible address space if
  X86_FEATURE_CPPC is supported (jsc#PED-1408).
- ACPI: CPPC: Fix enabling CPPC on AMD systems with shared memory
  (jsc#PED-1408).
- commit ac7776e
* Tue Oct 11 2022 oneukum@suse.com
- xhci: remove unused lpm_failed_dev member from struct xhci_hcd
  (jsc#PED-531).
- commit 85de64c
* Tue Oct 11 2022 oneukum@suse.com
- xhci: remove unused command member from struct xhci_hcd struct
  (jsc#PED-531).
- commit 5e975fe
* Tue Oct 11 2022 oneukum@suse.com
- USB: xhci: make xhci_get_endpoint_address static (jsc#PED-531).
- commit dcf3baa
* Tue Oct 11 2022 jlee@suse.com
- ACPI: CPPC: Don't require _OSC if X86_FEATURE_CPPC is supported
  (jsc#PED-1408).
- tools headers cpufeatures: Sync with the kernel sources
  (jsc#PED-1408).
- x86/cpufeatures: Add AMD Collaborative Processor Performance
  Control feature flag (jsc#PED-1408).
  Refresh patches.suse/x86-cpu-amd-Enumerate-BTC_NO.patch.
- commit bf4cd56
* Tue Oct 11 2022 oneukum@suse.com
- USB: hcd-pci: Drop the unused id parameter from
  usb_hcd_pci_probe() (jsc#PED-531).
- commit b826b6a
* Tue Oct 11 2022 oneukum@suse.com
- xen: update ring.h (jsc#PED-531).
- commit 4472a2b
* Tue Oct 11 2022 oneukum@suse.com
- xen/xenbus: add xenbus_setup_ring() service function
  (jsc#PED-531).
- commit f043eec
* Tue Oct 11 2022 jgross@suse.com
- KVM: x86: Inject #UD on emulated XSETBV if XSAVES isn't enabled
  (git-fixes).
- commit 93cdb54
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: ftgmac100: Hold reference returned by
  of_get_child_by_name() (git-fixes).
- commit 0961942
* Tue Oct 11 2022 denis.kirjanov@suse.com
- bnxt_en: Fix bnxt_refclk_read() (git-fixes).
- commit 4187bc1
* Tue Oct 11 2022 denis.kirjanov@suse.com
- bnxt_en: fix livepatch query (git-fixes).
- commit cc62415
* Tue Oct 11 2022 denis.kirjanov@suse.com
- bnxt_en: Fix bnxt_reinit_after_abort() code path (git-fixes).
- commit e387d75
* Tue Oct 11 2022 denis.kirjanov@suse.com
- bnxt_en: reclaim max resources if sriov enable fails
  (git-fixes).
- commit 9161aa5
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net/mlx5e: Ring the TX doorbell on DMA errors (git-fixes).
- commit 7fdc3a9
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net/mlx5e: Fix enabling sriov while tc nic rules are offloaded
  (git-fixes).
- commit 5e19505
* Tue Oct 11 2022 jgross@suse.com
- KVM: x86: do not report preemption if the steal time cache is
  stale (git-fixes).
- commit c293d6b
* Tue Oct 11 2022 denis.kirjanov@suse.com
- net: ethernet: ti: am65-cpsw: Fix devlink port register sequence
  (git-fixes).
- commit 385f6b7
* Tue Oct 11 2022 denis.kirjanov@suse.com
- can: mcp251xfd: mcp251xfd_register_get_dev_id(): fix endianness
  conversion (git-fixes).
- commit 368984e
* Tue Oct 11 2022 denis.kirjanov@suse.com
- can: mcp251xfd: mcp251xfd_register_get_dev_id(): use correct
  length to read dev_id (git-fixes).
- commit 809cb98
* Tue Oct 11 2022 oneukum@suse.com
- usb: renesas-xhci: Do not print any log while fw verif success
  (jsc#PED-531).
- commit bad9850
* Tue Oct 11 2022 oneukum@suse.com
- xen/usbfront: use xenbus_setup_ring() and xenbus_teardown_ring()
  (jsc#PED-531).
- commit 41ef599
* Tue Oct 11 2022 oneukum@suse.com
- xen/usb: switch xen-hcd to use INVALID_GRANT_REF (jsc#PED-531).
- commit e4f01cd
* Tue Oct 11 2022 oneukum@suse.com
- xen/usb: harden xen_hcd against malicious backends
  (jsc#PED-531).
- commit 36bb0d3
* Tue Oct 11 2022 oneukum@suse.com
- xen/grant-table: remove readonly parameter from functions
  (jsc#PED-531).
- Refresh
  patches.suse/xen-blkfront-force-data-bouncing-when-backend-is-unt.patch.
- commit 80f5ba9
* Tue Oct 11 2022 oneukum@suse.com
- xen/usb: don't use arbitrary_virt_to_machine() (jsc#PED-531).
- commit 71d02c4
* Tue Oct 11 2022 vbabka@suse.cz
- mm: move the migrate_vma_* device migration code into its own
  file (jsc#PED-1294).
- Update config files.
- commit ffdaa32
* Tue Oct 11 2022 vbabka@suse.cz
- mm/migrate: remove redundant variables used in a for-loop
  (jsc#PED-1294).
- commit 53fa906
* Tue Oct 11 2022 jlee@suse.com
- x86/PCI: Revert "x86/PCI: Clip only host bridge windows for
  E820 regions" (jsc#PED-1408).
- ACPI: clean up white space in a few places for consistency
  (jsc#PED-1408).
- ACPI: video: improve PM notifer callback (jsc#PED-1408).
- ACPI: battery: Make "not-charging" the default on no charging
  or full info (jsc#PED-1408).
- ACPI: CPPC: fix typo in comment (jsc#PED-1408).
- ACPI: processor: idle: Expose max_cstate/nocst/bm_check_disable
  read-only in sysfs (jsc#PED-1408).
- ACPI: glue: Rearrange find_child_checks() (jsc#PED-1408).
- ACPI: DPTF: Support Meteor Lake (jsc#PED-1408).
- ACPI: NFIT: Drop nfit_device_lock() (jsc#PED-1408).
- PCI/ACPI: negotiate CXL _OSC (jsc#PED-1408).
- PCI/ACPI: Prefer CXL _OSC instead of PCIe _OSC for CXL host
  bridges (jsc#PED-1408).
- PCI/ACPI: add a helper for retrieving _OSC Control DWORDs
  (jsc#PED-1408).
- acpi/nfit: rely on mce->misc to determine poison granularity
  (jsc#PED-1408).
- x86/PCI: Disable E820 reserved region clipping starting in 2023
  (jsc#PED-1408).
- x86/PCI: Disable E820 reserved region clipping via quirks
  (jsc#PED-1408).
- x86/PCI: Add kernel cmdline options to use/ignore E820 reserved
  regions (jsc#PED-1408).
- x86/PCI: Clip only host bridge windows for E820 regions
  (jsc#PED-1408).
- x86: Log resource clipping for E820 regions (jsc#PED-1408).
- x86/PCI: Eliminate remove_e820_regions() common subexpressions
  (jsc#PED-1408).
- device property: Add irq_get to fwnode operation (jsc#PED-1408).
- ACPI: property: Move acpi_fwnode_device_get_match_data() up
  (jsc#PED-1408).
- device property: Convert device_{dma_supported,get_dma_attr}
  to fwnode (jsc#PED-1408).
- cpufreq: CPPC: Enable fast_switch (jsc#PED-1408).
- ACPI: bus: Set CPPC _OSC bits for all and when CPPC_LIB is
  supported (jsc#PED-1408).
  Refresh
  patches.suse/ACPI-CPPC-Only-probe-for-_CPC-if-CPPC-v2-is-acked.patch.
- ACPI: CPPC: Check _OSC for flexible address space
  (jsc#PED-1408).
  Refresh
  patches.suse/ACPI-CPPC-Only-probe-for-_CPC-if-CPPC-v2-is-acked.patch.
- x86/ACPI: Preserve ACPI-table override during hibernation
  (jsc#PED-1408).
- x86: ACPI: Make mp_config_acpi_gsi() a void function
  (jsc#PED-1408).
- ACPI: DPTF: Add support for high frequency impedance
  notification (jsc#PED-1408).
- ACPI: DPTF: Correct description of INT3407 / INT3532 attributes
  (jsc#PED-1408).
- ACPI, APEI, EINJ: Refuse to inject into the zero page
  (jsc#PED-1408).
- ACPI: APEI: Fix missing ERST record id (jsc#PED-1408).
- ACPI: BGRT: use static for BGRT_SHOW kobj_attribute defines
  (jsc#PED-1408).
- ACPI: SPCR: Add support for NVIDIA 16550-compatible port subtype
  (jsc#PED-1408).
- ACPI: bus: Avoid non-ACPI device objects in walks over children
  (jsc#PED-1408).
- PCI: ACPI: PM: Power up devices in D3cold before scanning them
  (jsc#PED-1408).
- ACPI: PM: Introduce acpi_dev_power_up_children_with_adr()
  (jsc#PED-1408).
- ACPI: bus: Introduce acpi_dev_for_each_child() (jsc#PED-1408).
- ACPI: PM: Always print final debug message in
  acpi_device_set_power() (jsc#PED-1408).
- ACPI: PM: Unify debug messages in acpi_device_set_power()
  (jsc#PED-1408).
- ACPI: PM: Change pr_fmt() in device_pm.c (jsc#PED-1408).
- ACPI: PM: Convert debug message in acpi_device_get_power()
  (jsc#PED-1408).
- Revert "ACPICA: executer/exsystem: Warn about sleeps greater
  than 10 ms" (jsc#PED-1408).
- ACPICA: Update version to 20220331 (jsc#PED-1408).
- ACPICA: exsystem.c: Use ACPI_FORMAT_UINT64 for 64-bit output
  (jsc#PED-1408).
- ACPICA: IORT: Updates for revision E.d (jsc#PED-1408).
- ACPICA: executer/exsystem: Fix some typo mistakes
  (jsc#PED-1408).
- ACPICA: iASL/MADT: Add OEM-defined subtable (jsc#PED-1408).
- ACPICA: executer/exsystem: Warn about sleeps greater than 10 ms
  (jsc#PED-1408).
- ACPICA: executer/exsystem: Inform users about ACPI spec
  violation (jsc#PED-1408).
- ACPICA: Add support for ARM Performance Monitoring Unit Table
  (jsc#PED-1408).
- ACPICA: executer/exsystem: Add units to time variable names
  (jsc#PED-1408).
- ACPICA: Headers: Replace zero-length array with flexible-array
  member (jsc#PED-1408).
- ACPICA: Removed some tabs and // comments (jsc#PED-1408).
- ACPICA: Update copyright notices to the year 2022
  (jsc#PED-1408).
- ACPICA: Clean up double word in comment (jsc#PED-1408).
- ACPICA: Add new ACPI 6.4 semantics for LoadTable() operator
  (jsc#PED-1408).
- ACPICA: Add new ACPI 6.4 semantics to the Load() operator
  (jsc#PED-1408).
- ACPICA: iASL: NHLT: Rename linux specific strucures to
  device_info (jsc#PED-1408).
- ACPICA: iASL: NHLT: Fix parsing undocumented bytes at the end
  of Endpoint Descriptor (jsc#PED-1408).
- ACPICA: iASL: NHLT: Treat Terminator as specific_config
  (jsc#PED-1408).
- ACPICA: Add the subtable CFMWS to the CEDT table (jsc#PED-1408).
- ACPICA: Add support for the Windows 11 _OSI string
  (jsc#PED-1408).
- ACPI: utils: include UUID in _DSM evaluation warning
  (jsc#PED-1408).
- ACPI: Add perf low power callback (jsc#PED-1408).
  Refresh
  patches.suse/ACPI-acpi_pad-Do-not-launch-acpi_pad-threads-on-idle-cpus.patch.
- commit 54d6015
* Tue Oct 11 2022 tiwai@suse.de
- ACPI: APEI: do not add task_work to kernel thread to avoid
  memory leak (git-fixes).
- lib/sg_pool: change module_init(sg_pool_init) to subsys_initcall
  (git-fixes).
- dt-bindings: crypto: ti,sa2ul: drop dma-coherent property
  (git-fixes).
- selftest: tpm2: Add Client.__del__() to close /dev/tpm* handle
  (git-fixes).
- crypto: cavium - prevent integer overflow loading firmware
  (git-fixes).
- crypto: marvell/octeontx - prevent integer overflows
  (git-fixes).
- crypto: inside-secure - Replace generic aes with libaes
  (git-fixes).
- Revert "crypto: qat - reduce size of mapped region" (git-fixes).
- crypto: inside-secure - Change swab to swab32 (git-fixes).
- crypto: ccp - Release dma channels before dmaengine unrgister
  (git-fixes).
- crypto: akcipher - default implementation for setting a private
  key (git-fixes).
- crypto: qat - fix default value of WDT timer (git-fixes).
- crypto: hisilicon/zip - fix mismatch in get/set sgl_sge_nr
  (git-fixes).
- crypto: sahara - don't sleep when in softirq (git-fixes).
- drm/amdgpu/display: change pipe policy for DCN 2.1 (git-fixes).
- drm/i915: Reject unsupported TMDS rates on ICL+ (git-fixes).
- drm/amdgpu/display: change pipe policy for DCN 2.0 (git-fixes).
- drm/amd/display: Correct MPC split policy for DCN301
  (git-fixes).
- commit 353fbde
* Mon Oct 10 2022 vbabka@suse.cz
- Update
  patches.suse/mm-rmap-Fix-anon_vma-degree-ambiguity-leading-to-double-reuse.patch
  (CVE-2022-42703, bsc#1204168, git-fixes, bsc#1203098).
- commit fef8e31
* Mon Oct 10 2022 vbabka@suse.cz
- mm/migrate.c: rework migration_entry_wait() to not take a
  pageref (jsc#PED-1294).
- commit 313eb0c
* Mon Oct 10 2022 bp@suse.de
- blacklist.conf: 30ea703a38ef x86/cpu: Include the header of init_ia32_feat_ctl()'s prototype
- commit fdb1f20
* Mon Oct 10 2022 tiwai@suse.de
- misc: sgi-gru: fix use-after-free error in
  gru_set_context_option, gru_fault and gru_handle_user_call_os
  (CVE-2022-3424 bsc#1204166).
- commit bbc730f
* Mon Oct 10 2022 tiwai@suse.de
- wifi: mac80211: fix crash in beacon protection for P2P-device
  (CVE-2022-42722 bsc#1204125).
- commit 38da0b9
* Mon Oct 10 2022 oneukum@suse.com
- usb: typec: wcove: Drop wrong dependency to INTEL_SOC_PMIC
  (git-fixes).
- blacklist.conf: outside kABI fixes build fixes are important
- Update config files.
- commit 8852d4a
* Mon Oct 10 2022 oneukum@suse.com
- powerpc/kvm: Remove obsolete and unneeded select (git-fixes).
- blacklist.conf: outside kABI freezes, build fixes are important
- commit 329cacc
* Mon Oct 10 2022 oneukum@suse.com
- net: delete redundant function declaration (git-fixes).
- blacklist.conf: broke kABI, applicable in SP5
- commit b7a266b
* Mon Oct 10 2022 oneukum@suse.com
- habanalabs: select CRC32 (git-fixes).
- blacklist.conf: outside kABI freezes build fixes are important
- commit 33fa2e9
* Mon Oct 10 2022 oneukum@suse.com
- tracing: Fix smatch warning for do while check in
  event_hist_trigger_parse() (git-fixes).
- blacklist.conf: no longer unreasonable in SP5
- commit 7c1653b
* Mon Oct 10 2022 oneukum@suse.com
- tracing: Tag trace_percpu_buffer as a percpu pointer
  (git-fixes).
- blacklist.conf: broke kABI in a hard to fix way, hence can be applied
  in SP5
- commit 36fd9f7
* Mon Oct 10 2022 oneukum@suse.com
- x86/Kconfig: Fix an unused variable error in dell-smm-hwmon
  (git-fixes).
- blacklist.conf: can be unblacklisted in SP5 and will make backporting
  easier
- commit 59cf2b3
* Mon Oct 10 2022 tiwai@suse.de
- wifi: mac80211: fix MBSSID parsing use-after-free
  (CVE-2022-42719 bsc#1204051).
- commit bab6e58
* Mon Oct 10 2022 tiwai@suse.de
- mac80211: fix memory leaks with element parsing (CVE-2022-42719
  bsc#1204051).
- commit f9a2be2
* Mon Oct 10 2022 tiwai@suse.de
- wifi: mac80211: refactor elements parsing with parameter struct
  (CVE-2022-42719 bsc#1204051).
- mac80211: always allocate struct ieee802_11_elems
  (CVE-2022-42719 bsc#1204051).
- mac80211: mlme: find auth challenge directly (CVE-2022-42719
  bsc#1204051).
- mac80211: move CRC into struct ieee802_11_elems (CVE-2022-42719
  bsc#1204051).
- commit b28a982
* Mon Oct 10 2022 denis.kirjanov@suse.com
- ipv4: Handle attempt to delete multipath route when fib_info
  contains an nh reference (bsc#1204171 CVE-2022-3435).
- commit 1b0c1c8
* Mon Oct 10 2022 denis.kirjanov@suse.com
- selftests: net: fix nexthop warning cleanup double ip typo
  (bsc#1204171 CVE-2022-3435).
- commit e3962a5
* Mon Oct 10 2022 denis.kirjanov@suse.com
- selftests: net: add delete nexthop route warning test
  (bsc#1204171 CVE-2022-3435).
- commit 85deab0
* Mon Oct 10 2022 tiwai@suse.de
- wifi: cfg80211: avoid nontransmitted BSS list corruption
  (CVE-2022-42721 bsc#1204060).
- wifi: cfg80211: fix BSS refcounting bugs (CVE-2022-42720
  bsc#1204059).
- commit 82311e4
* Mon Oct 10 2022 denis.kirjanov@suse.com
- net: ipv4: fix route with nexthop object delete warning
  (bsc#1204171 CVE-2022-3435).
- commit a94edc1
* Mon Oct 10 2022 denis.kirjanov@suse.com
- Update metadata references
- commit 61773f9
* Mon Oct 10 2022 trenn@suse.com
- powercap: RAPL: Add Power Limit4 support for Alder Lake-N and
  Raptor Lake-P (jsc#PED-769).
- powercap: intel_rapl: Add support for RAPTORLAKE_P
  (jsc#PED-686).
- powercap: intel_rapl: add support for ALDERLAKE_N (jsc#PED-695).
- powercap: RAPL: Add Power Limit4 support for RaptorLake
  (jsc#PED-769).
- powercap: intel_rapl: add support for RaptorLake (jsc#PED-769).
- powercap: intel_rapl: support new layout of Psys PowerLimit
  Register on SPR (jsc#PED-648).
- powercap: Add Power Limit4 support for Alder Lake SoC
  (jsc#PED-769).
- commit ee363a4
* Mon Oct 10 2022 msuchanek@suse.de
- selftests/powerpc: Skip energy_scale_info test on older firmware
  (git-fixes).
- commit 1eff3d6
* Mon Oct 10 2022 neilb@suse.de
- Revert "SUNRPC: Remove unreachable error condition" (git-fixes).
- NFS: Fix another fsync() issue after a server reboot
  (git-fixes).
- NFSv4: Fixes for nfs4_inode_return_delegation() (git-fixes).
- commit 80742b5
* Mon Oct 10 2022 neilb@suse.de
- blacklist.conf: and unwanted md patches
- commit 96bda12
* Sun Oct  9 2022 lduncan@suse.com
- scsi: stex: Properly zero out the passthrough command structure
  (bsc#1203514 CVE-2022-40768).
- commit f2b2e4a
* Sun Oct  9 2022 tiwai@suse.de
- ALSA: hda: Fix position reporting on Poulsbo (git-fixes).
- ALSA: usb-audio: Fix potential memory leaks (git-fixes).
- ALSA: usb-audio: Fix NULL dererence at error path (git-fixes).
- commit 6c7f2c9
* Sun Oct  9 2022 tiwai@suse.de
- sbitmap: Avoid leaving waitqueue in invalid state in
  __sbq_wake_up() (git-fixes).
- commit 3c6ffc4
* Sun Oct  9 2022 tiwai@suse.de
- staging: vt6655: fix some erroneous memory clean-up loops
  (git-fixes).
- virt: vbox: convert to use dev_groups (git-fixes).
- usb: mtu3: fix failed runtime suspend in host only mode
  (git-fixes).
- Revert "usb: storage: Add quirk for Samsung Fit flash"
  (git-fixes).
- usb: mon: make mmapped memory read only (git-fixes).
- xhci: Don't show warning for reinit on known broken suspend
  (git-fixes).
- xhci: dbc: Fix memory leak in xhci_alloc_dbc() (git-fixes).
- commit 4feb234
* Sun Oct  9 2022 tiwai@suse.de
- usb: gadget: function: fix dangling pnp_string in f_printer.c
  (git-fixes).
- USB: serial: console: move mutex_unlock() before
  usb_serial_put() (git-fixes).
- usb: common: debug: Check non-standard control requests
  (git-fixes).
- tty: serial: fsl_lpuart: disable dma rx/tx use flags in
  lpuart_dma_shutdown (git-fixes).
- tty: xilinx_uartps: Fix the ignore_status (git-fixes).
- uas: ignore UAS for Thinkplus chips (git-fixes).
- usb-storage: Add Hiksemi USB3-FW to IGNORE_UAS (git-fixes).
- uas: add no-uas quirk for Hiksemi usb_disk (git-fixes).
- thunderbolt: Explicitly reset plug events delay back to USB4
  spec value (git-fixes).
- commit d8ee195
* Sun Oct  9 2022 tiwai@suse.de
- soc: sunxi_sram: Make use of the helper function
  devm_platform_ioremap_resource() (git-fixes).
- Refresh
  patches.suse/soc-sunxi-sram-Prevent-the-driver-from-being-unbound.patch.
- commit a85e811
* Sun Oct  9 2022 tiwai@suse.de
- spmi: pmic-arb: correct duplicate APID to PPID mapping logic
  (git-fixes).
- spmi: pmic-arb: do not ack and clear peripheral interrupts in
  cleanup_irq (git-fixes).
- slimbus: qcom-ngd: cleanup in probe error path (git-fixes).
- slimbus: qcom-ngd: use correct error in message of
  pdr_add_lookup() failure (git-fixes).
- soc: qcom: smem_state: Add refcounting for the 'state->of_node'
  (git-fixes).
- soc: qcom: smsm: Fix refcount leak bugs in qcom_smsm_probe()
  (git-fixes).
- soc: sunxi: sram: Fix probe function ordering issues
  (git-fixes).
- commit 3e1f43f
* Sun Oct  9 2022 tiwai@suse.de
- serial: 8250: Fix restoring termios speed after suspend
  (git-fixes).
- drivers: serial: jsm: fix some leaks in probe (git-fixes).
- remoteproc: imx_rproc: Simplify some error message (git-fixes).
- sbitmap: fix possible io hung due to lost wakeup (git-fixes).
- platform/x86: msi-laptop: Fix resource cleanup (git-fixes).
- platform/x86: msi-laptop: Fix old-ec check for backlight
  registering (git-fixes).
- commit a448666
* Sun Oct  9 2022 tiwai@suse.de
- misc: ocxl: fix possible refcount leak in afu_ioctl()
  (git-fixes).
- phy: qualcomm: call clk_disable_unprepare in the error handling
  (git-fixes).
- phy: amlogic: phy-meson-axg-mipi-pcie-analog: Hold reference
  returned by of_get_parent() (git-fixes).
- mtd: rawnand: atmel: Unmap streaming DMA mappings (git-fixes).
- mtd: rawnand: meson: fix bit map use in meson_nfc_ecc_correct()
  (git-fixes).
- mtd: rawnand: fsl_elbc: Fix none ECC mode (git-fixes).
- mtd: rawnand: intel: Don't re-define NAND_DATA_IFACE_CHECK_ONLY
  (git-fixes).
- mtd: rawnand: intel: Remove undocumented compatible string
  (git-fixes).
- mtd: rawnand: intel: Read the chip-select line from the correct
  OF node (git-fixes).
- mtd: devices: docg3: check the return value of devm_ioremap()
  in the probe (git-fixes).
- platform/x86: asus-wmi: Document the panel_od sysfs attribute
  (git-fixes).
- platform/x86: asus-wmi: Document the egpu_enable sysfs attribute
  (git-fixes).
- platform/x86: asus-wmi: Document the dgpu_disable sysfs
  attribute (git-fixes).
- platform/chrome: cros_ec_typec: Correct alt mode index
  (git-fixes).
- platform/chrome: fix memory corruption in ioctl (git-fixes).
- platform/chrome: fix double-free in chromeos_laptop_prepare()
  (git-fixes).
- platform/chrome: cros_ec_proto: Update version on GET_NEXT_EVENT
  failure (git-fixes).
- mmc: wmt-sdmmc: Fix an error handling path in wmt_mci_probe()
  (git-fixes).
- mmc: au1xmmc: Fix an error handling path in au1xmmc_probe()
  (git-fixes).
- net: usb: qmi_wwan: Add new usb-id for Dell branded EM7455
  (git-fixes).
- commit b26b1a7
* Sun Oct  9 2022 tiwai@suse.de
- mailbox: bcm-ferxrm-mailbox: Fix error check for dma_map_sg
  (git-fixes).
- mailbox: mpfs: account for mbox offsets while sending
  (git-fixes).
- mailbox: mpfs: fix handling of the reg property (git-fixes).
- mfd: sm501: Add check for platform_driver_register()
  (git-fixes).
- mfd: fsl-imx25: Fix check for platform_get_irq() errors
  (git-fixes).
- mfd: lp8788: Fix an error handling path in lp8788_irq_init()
  and lp8788_irq_init() (git-fixes).
- mfd: lp8788: Fix an error handling path in lp8788_probe()
  (git-fixes).
- mfd: fsl-imx25: Fix an error handling path in
  mx25_tsadc_setup_irq() (git-fixes).
- mfd: intel_soc_pmic: Fix an error handling path in
  intel_soc_pmic_i2c_probe() (git-fixes).
- media: xilinx: vipp: Fix refcount leak in xvip_graph_dma_init
  (git-fixes).
- media: uvcvideo: Use entity get_cur in uvc_ctrl_set (git-fixes).
- media: uvcvideo: Fix memory leak in uvc_gpio_parse (git-fixes).
- media: meson: vdec: add missing clk_disable_unprepare on error
  in vdec_hevc_start() (git-fixes).
- media: cedrus: Fix endless loop in cedrus_h265_skip_bits()
  (git-fixes).
- media: cedrus: Set the platform driver data earlier (git-fixes).
- memory: of: Fix refcount leak bug in of_lpddr3_get_ddr_timings()
  (git-fixes).
- memory: of: Fix refcount leak bug in of_get_ddr_timings()
  (git-fixes).
- memory: pl353-smc: Fix refcount leak bug in pl353_smc_probe()
  (git-fixes).
- media: v4l2-compat-ioctl32.c: zero buffer passed to
  v4l2_compat_get_array_args() (git-fixes).
- commit f4e8a30
* Sun Oct  9 2022 tiwai@suse.de
- iio: adc: ad7923: fix channel readings for some variants
  (git-fixes).
- iio: ltc2497: Fix reading conversion results (git-fixes).
- iio: dac: ad5593r: Fix i2c read protocol requirements
  (git-fixes).
- iio: magnetometer: yas530: Change data type of hard_offsets
  to signed (git-fixes).
- iio: ABI: Fix wrong format of differential capacitance channel
  ABI (git-fixes).
- iio: inkern: fix return value in
  devm_of_iio_channel_get_by_name() (git-fixes).
- iio: inkern: only release the device node when done with it
  (git-fixes).
- iio: adc: at91-sama5d2_adc: disable/prepare buffer on
  suspend/resume (git-fixes).
- iio: adc: at91-sama5d2_adc: lock around oversampling and sample
  freq (git-fixes).
- iio: adc: at91-sama5d2_adc: check return status for pressure
  and touch (git-fixes).
- commit b02859c
* Sun Oct  9 2022 tiwai@suse.de
- firmware: google: Test spinlock on panic path to avoid lockups
  (git-fixes).
- iio: adc: at91-sama5d2_adc: fix AT91_SAMA5D2_MR_TRACKTIM_MAX
  (git-fixes).
- fpga: prevent integer overflow in dfl_feature_ioctl_set_irq()
  (git-fixes).
- dt-bindings: phy: qcom,qmp-usb3-dp: fix bogus clock-cells
  property (git-fixes).
- dt-bindings: phy: qcom,qmp: fix bogus clock-cells property
  (git-fixes).
- dt-bindings: mtd: intel: lgm-nand: Fix maximum chip select value
  (git-fixes).
- dt-bindings: mtd: intel: lgm-nand: Fix compatible string
  (git-fixes).
- HSI: omap_ssi_port: Fix dma_map_sg error check (git-fixes).
- HSI: omap_ssi: Fix refcount leak in ssi_probe (git-fixes).
- HID: multitouch: Add memory barriers (git-fixes).
- hid: hid-logitech-hidpp: avoid unnecessary assignments in
  hidpp_connect_event (git-fixes).
- drm/omap: dss: Fix refcount leak bugs (git-fixes).
- drm/msm/dp: correct 1.62G link rate at
  dp_catalog_ctrl_config_msa() (git-fixes).
- drm/msm/dp: Silence inconsistent indent warning (git-fixes).
- drm/msm/dpu: Fix comment typo (git-fixes).
- drm/msm/dpu: index dpu_kms->hw_vbif using vbif_idx (git-fixes).
- dt-bindings: display/msm: dpu-sdm845: add missing DPU opp-table
  (git-fixes).
- dt-bindings: display/msm: dpu-sc7180: add missing DPU opp-table
  (git-fixes).
- commit 71c6639
* Sun Oct  9 2022 tiwai@suse.de
- drm/scheduler: quieten kernel-doc warnings (git-fixes).
- commit 95b96ec
* Sun Oct  9 2022 tiwai@suse.de
- drm/amdgpu: add missing pci_disable_device() in
  amdgpu_pmops_runtime_resume() (git-fixes).
- drm/bridge: megachips: Fix a null pointer dereference bug
  (git-fixes).
- drm: fix drm_mipi_dbi build errors (git-fixes).
- drm/msm: Make .remove and .shutdown HW shutdown consistent
  (git-fixes).
- drm:pl111: Add of_node_put() when breaking out of
  for_each_available_child_of_node() (git-fixes).
- drm/bridge: parade-ps8640: Fix regulator supply order
  (git-fixes).
- drm/virtio: Unlock reservations on
  virtio_gpu_object_shmem_init() error (git-fixes).
- drm/mipi-dsi: Detach devices when removing the host (git-fixes).
- commit f6c9019
* Sun Oct  9 2022 tiwai@suse.de
- clk: bcm2835: fix bcm2835_clock_rate_from_divisor declaration
  (git-fixes).
- clk: baikal-t1: Add SATA internal ref clock buffer (git-fixes).
- dmaengine: ioat: stop mod_timer from resurrecting deleted
  timer in __cleanup() (git-fixes).
- dmaengine: mxs: use platform_driver_register (git-fixes).
- dmaengine: hisilicon: Add multi-thread support for a DMA channel
  (git-fixes).
- dmaengine: hisilicon: Fix CQ head update (git-fixes).
- dmaengine: hisilicon: Disable channels when unregister hisi_dma
  (git-fixes).
- drm/bridge: Avoid uninitialized variable warning (git-fixes).
- drm/nouveau: fix a use-after-free in
  nouveau_gem_prime_import_sg_table() (git-fixes).
- drm: bridge: adv7511: fix CEC power down control register offset
  (git-fixes).
- commit 89292ab
* Sun Oct  9 2022 tiwai@suse.de
- clk: baikal-t1: Add shared xGMAC ref/ptp clocks internal parent
  (git-fixes).
- clk: baikal-t1: Fix invalid xGMAC PTP clock divider (git-fixes).
- clk: vc5: Fix 5P49V6901 outputs disabling when enabling FOD
  (git-fixes).
- clk: imx: scu: fix memleak on platform_device_add() fails
  (git-fixes).
- clk: qcom: apss-ipq6018: mark apcs_alias0_core_clk as critical
  (git-fixes).
- clk: qcom: gcc-msm8916: use ARRAY_SIZE instead of specifying
  num_parents (git-fixes).
- clk: ast2600: BCLK comes from EPLL (git-fixes).
- clk: mediatek: mt8183: mfgcfg: Propagate rate changes to parent
  (git-fixes).
- clk: ti: dra7-atl: Fix reference leak in of_dra7_atl_clk_probe
  (git-fixes).
- commit c248e05
* Sun Oct  9 2022 tiwai@suse.de
- clk: tegra20: Fix refcount leak in tegra20_clock_init
  (git-fixes).
- clk: tegra: Fix refcount leak in tegra114_clock_init
  (git-fixes).
- clk: tegra: Fix refcount leak in tegra210_clock_init
  (git-fixes).
- clk: sprd: Hold reference returned by of_get_parent()
  (git-fixes).
- clk: berlin: Add of_node_put() for of_get_parent() (git-fixes).
- clk: qoriq: Hold reference returned by of_get_parent()
  (git-fixes).
- clk: oxnas: Hold reference returned by of_get_parent()
  (git-fixes).
- clk: meson: Hold reference returned by of_get_parent()
  (git-fixes).
- ata: fix ata_id_has_dipm() (git-fixes).
- ata: fix ata_id_has_ncq_autosense() (git-fixes).
- ata: fix ata_id_has_devslp() (git-fixes).
- ata: fix ata_id_sense_reporting_enabled() and
  ata_id_has_sense_reporting() (git-fixes).
- ASoC: mt6660: Fix PM disable depth imbalance in mt6660_i2c_probe
  (git-fixes).
- ASoC: wm5102: Fix PM disable depth imbalance in wm5102_probe
  (git-fixes).
- ASoC: wm5110: Fix PM disable depth imbalance in wm5110_probe
  (git-fixes).
- ASoC: wm8997: Fix PM disable depth imbalance in wm8997_probe
  (git-fixes).
- ASoC: codecs: tx-macro: fix kcontrol put (git-fixes).
- ASoC: da7219: Fix an error handling path in
  da7219_register_dai_clks() (git-fixes).
- ASoC: eureka-tlv320: Hold reference returned from of_find_xxx
  API (git-fixes).
- ASoC: wm_adsp: Handle optional legacy support (git-fixes).
- commit 8f6277f
* Sun Oct  9 2022 tiwai@suse.de
- Move upstreamed DRM, NVMe and sound patches into sorted section
- commit 48ff6f0
* Sun Oct  9 2022 tiwai@suse.de
- arm64: ftrace: fix module PLTs with mcount (git-fixes).
- ARM: Drop CMDLINE_* dependency on ATAGS (git-fixes).
- ARM: dts: exynos: fix polarity of VBUS GPIO of Origen
  (git-fixes).
- ARM: dts: exynos: correct s5k6a3 reset polarity on Midas family
  (git-fixes).
- ARM: dts: turris-omnia: Add label for wan port (git-fixes).
- ARM: dts: armada-38x: Add gpio-ranges for pin muxing
  (git-fixes).
- ARM: dts: kirkwood: lsxl: remove first ethernet port
  (git-fixes).
- ARM: dts: kirkwood: lsxl: fix serial line (git-fixes).
- ARM: dts: turris-omnia: Fix mpp26 pin name and comment
  (git-fixes).
- arm64: dts: qcom: sc7280: Cleanup the lpasscc node (git-fixes).
- arm64: dts: ti: k3-j7200: fix main pinmux range (git-fixes).
- ARM: dts: imx6qdl-kontron-samx6i: hook up DDC i2c bus
  (git-fixes).
- ARM: defconfig: drop CONFIG_USB_FSL_USB2 (git-fixes).
- ARM: defconfig: drop CONFIG_PTP_1588_CLOCK=y (git-fixes).
- ARM: defconfig: drop CONFIG_SERIAL_OMAP references (git-fixes).
- ARM: defconfig: clean up multi_v4t and multi_v5 configs
  (git-fixes).
- ASoC: rsnd: Add check for rsnd_mod_power_on (git-fixes).
- ASoC: tas2764: Fix mute/unmute (git-fixes).
- ASoC: tas2764: Drop conflicting set_bias_level power setting
  (git-fixes).
- ASoC: tas2764: Allow mono streams (git-fixes).
- ASoC: fsl_sai: Remove unnecessary FIFO reset in ISR (git-fixes).
- ASoC: mt6359: fix tests for platform_get_irq() failure
  (git-fixes).
- ALSA: hda/hdmi: Don't skip notification handling during PM
  operation (git-fixes).
- ALSA: dmaengine: increment buffer pointer atomically
  (git-fixes).
- ALSA: asihpi - Remove useless code in hpi_meter_get_peak()
  (git-fixes).
- ASoC: wcd934x: fix order of Slimbus unprepare/disable
  (git-fixes).
- ASoC: wcd9335: fix order of Slimbus unprepare/disable
  (git-fixes).
- ARM: dts: integrator: Tag PCI host with device_type (git-fixes).
- commit 5a02ba2
* Sat Oct  8 2022 denis.kirjanov@suse.com
- i40e: Fix dropped jumbo frames statistics (git-fixes).
- commit b407b7d
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: bonding: fix use-after-free after 802.3ad slave unbind
  (git-fixes).
- commit 05b9579
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: bonding: fix possible NULL deref in rlb code (git-fixes).
- commit 8542934
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: dp83822: disable rx error interrupt (git-fixes).
- commit f74888c
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: dp83822: disable false carrier interrupt (git-fixes).
- commit ba1cc16
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: dsa: bcm_sf2: force pause link settings (git-fixes).
- commit 5258d4a
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net/dsa/hirschmann: Add missing of_node_get() in
  hellcreek_led_setup() (git-fixes).
- commit 29e4721
* Sat Oct  8 2022 denis.kirjanov@suse.com
- ice: Fix switchdev rules book keeping (git-fixes).
- commit 5c21799
* Sat Oct  8 2022 denis.kirjanov@suse.com
- igb: Make DMA faster when CPU is active on the PCIe link
  (git-fixes).
- commit db90cd9
* Sat Oct  8 2022 denis.kirjanov@suse.com
- bonding: ARP monitor spams NETDEV_NOTIFY_PEERS notifiers
  (git-fixes).
- commit da7ba2e
* Sat Oct  8 2022 denis.kirjanov@suse.com
- igb: fix a use-after-free issue in igb_clean_tx_ring
  (git-fixes).
- commit 12acd2f
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: bgmac: Fix an erroneous kfree() in bgmac_remove()
  (git-fixes).
- commit 547f6a9
* Sat Oct  8 2022 denis.kirjanov@suse.com
- mlxsw: spectrum_cnt: Reorder counter pools (git-fixes).
- commit f2c7808
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: hns3: don't push link state to VF if unalive (git-fixes).
- commit 7f6680c
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: hns3: set port base vlan tbl_sta to false before removing
  old vlan (git-fixes).
- commit 8c8d58b
* Sat Oct  8 2022 denis.kirjanov@suse.com
- i40e: Fix call trace in setup_tx_descriptors (git-fixes).
- commit 7d70f11
* Sat Oct  8 2022 denis.kirjanov@suse.com
- ixgbe: fix unexpected VLAN Rx in promisc mode on VF (git-fixes).
- commit 6a72a8e
* Sat Oct  8 2022 denis.kirjanov@suse.com
- ixgbe: fix bcast packets Rx on VF after promisc removal
  (git-fixes).
- commit ddb5b75
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: use BMSR_ANEGCOMPLETE bit for filling
  an_complete (git-fixes).
- commit b8286fc
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: altera: Fix refcount leak in altera_tse_mdio_create
  (git-fixes).
- commit e80ff1b
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net/mlx4_en: Fix wrong return value on ioctl EEPROM query
  failure (git-fixes).
- commit a76859c
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: dsa: lantiq_gswip: Fix refcount leak in gswip_gphy_fw_list
  (git-fixes).
- commit 04259d9
* Sat Oct  8 2022 denis.kirjanov@suse.com
- stmmac: intel: Fix an error handling path in
  intel_eth_pci_probe() (git-fixes).
- commit fed21d9
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: ethernet: bgmac: Fix refcount leak in
  bcma_mdio_mii_register (git-fixes).
- commit 2227ee5
* Sat Oct  8 2022 denis.kirjanov@suse.com
- net: bgmac: support MDIO described in DT (git-fixes).
- commit bf1f5f9
* Fri Oct  7 2022 vbabka@suse.cz
- mm/migrate.c: remove MIGRATE_PFN_LOCKED (jsc#PED-1294).
- commit 53d0a98
* Fri Oct  7 2022 vbabka@suse.cz
- mm: refactor the ZONE_DEVICE handling in migrate_vma_pages
  (jsc#PED-1294).
- commit 5ff0982
* Fri Oct  7 2022 vbabka@suse.cz
- mm: refactor the ZONE_DEVICE handling in migrate_vma_insert_page
  (jsc#PED-1294).
- commit c27db83
* Fri Oct  7 2022 vbabka@suse.cz
- mm: refactor check_and_migrate_movable_pages (jsc#PED-1294).
- commit a588dc0
* Fri Oct  7 2022 vbabka@suse.cz
- mm: generalize the pgmap based page_free infrastructure
  (jsc#PED-1294).
- commit 2037cd5
* Fri Oct  7 2022 vbabka@suse.cz
- fsdax: depend on ZONE_DEVICE || FS_DAX_LIMITED (jsc#PED-1294).
- commit 00cc65d
* Fri Oct  7 2022 vbabka@suse.cz
- mm: remove the extra ZONE_DEVICE struct page refcount
  (jsc#PED-1294).
- commit 0cba7f0
* Fri Oct  7 2022 vbabka@suse.cz
- memremap: remove support for external pgmap refcounts
  (jsc#PED-1294).
- commit 2a29910
* Fri Oct  7 2022 vbabka@suse.cz
- nvdimm/pmem: stop using q_usage_count as external pgmap refcount
  (jsc#PED-1294).
- commit fa7e3a6
* Fri Oct  7 2022 vbabka@suse.cz
- mm/memremap: add ZONE_DEVICE support for compound pages
  (jsc#PED-1294).
- commit fabe0fa
* Fri Oct  7 2022 vbabka@suse.cz
- mm/page_alloc: refactor memmap_init_zone_device() page init
  (jsc#PED-1294).
- commit f04239b
* Fri Oct  7 2022 vbabka@suse.cz
- mm/page_alloc: split prep_compound_page into head and tail
  subparts (jsc#PED-1294).
- commit a82c6bd
* Fri Oct  7 2022 tzimmermann@suse.de
- drm/nouveau: wait for the exclusive fence after the shared ones v2 (bsc#1152472)
  Backporting notes:
  * context changes
- commit 0261ec2
* Fri Oct  7 2022 tzimmermann@suse.de
- drm/amd/display: Changed pipe split policy to allow for multi-display (bsc#1152472)
  Backporting notes:
  * remove changes to non-existing 201 and 31 directories
- commit e6a9bdd
* Fri Oct  7 2022 tzimmermann@suse.de
- drm/amdgpu/gfx9: switch to golden tsc registers for renoir+ (bsc#1152472)
  Backporting notes:
  * replace IP_VERSION() with CHIP_ constants
- commit d27747b
* Fri Oct  7 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/bridge: Add stubs for devm_drm_of_get_bridge when OF is disabled'
- commit e1d0d55
* Fri Oct  7 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Fix wrong format specifier in amdgpu_dm.c'
- commit debed4c
* Fri Oct  7 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Fix resource leak on probe error path'
- commit 116f3cc
* Fri Oct  7 2022 tzimmermann@suse.de
- drm/amdgpu/gfx10: add wraparound gpu counter check for APUs as well (bsc#1152472)
  Backporting notes:
  * also fix default branch
- commit 0bf8eb3
* Fri Oct  7 2022 tzimmermann@suse.de
- drm/i915/hdmi: convert intel_hdmi_to_dev to intel_hdmi_to_i915 (bsc#1152489)
  Backporting notes:
  * update additional patch on top
- commit 1550ef2
* Fri Oct  7 2022 mgorman@suse.de
- Update
  patches.suse/ACPI-processor-idle-Practically-limit-Dummy-wait-wor.patch
  (bsc#1203767,bsc#1203802).
- commit c6ebacb
* Fri Oct  7 2022 jslaby@suse.cz
- Update
  patches.suse/x86-cpu-Add-new-Alderlake-and-Raptorlake-CPU-model-n.patch
  (jsc#PED-743 jsc#PED-740).
  Add a reference.
- commit 1883c41
* Thu Oct  6 2022 vbabka@suse.cz
- mm: don't include <linux/memremap.h> in <linux/mm.h>
  (jsc#PED-1294).
- commit b73066e
* Thu Oct  6 2022 vbabka@suse.cz
- mm: simplify freeing of devmap managed pages (jsc#PED-1294).
- commit e54adcf
* Thu Oct  6 2022 vbabka@suse.cz
- mm: move free_devmap_managed_page to memremap.c (jsc#PED-1294).
- commit e5afda3
* Thu Oct  6 2022 dwagner@suse.de
- nvme: ensure subsystem reset is single threaded (bsc#1203290
  CVE-2022-3169).
- commit f73d666
* Thu Oct  6 2022 vbabka@suse.cz
- mm: remove pointless includes from <linux/hmm.h> (jsc#PED-1294).
- commit 5917f7a
* Thu Oct  6 2022 vbabka@suse.cz
- mm: remove the __KERNEL__ guard from <linux/mm.h>
  (jsc#PED-1294).
- commit 1864b4d
* Thu Oct  6 2022 vbabka@suse.cz
- mm: remove a pointless CONFIG_ZONE_DEVICE check in
  memremap_pages (jsc#PED-1294).
- commit b4b9519
* Thu Oct  6 2022 dwagner@suse.de
- nvme: restrict management ioctls to admin (bsc#1203290
  CVE-2022-3169).
- commit c28a770
* Thu Oct  6 2022 denis.kirjanov@suse.com
- net/mlx5e: Update netdev features after changing XDP state
  (git-fixes).
- commit 5d7478c
* Thu Oct  6 2022 denis.kirjanov@suse.com
- net/mlx5e: Disable softirq in mlx5e_activate_rq to avoid race
  condition (git-fixes).
- commit 92e1426
* Thu Oct  6 2022 denis.kirjanov@suse.com
- hinic: Avoid some over memory allocation (git-fixes).
- commit 41f381d
* Thu Oct  6 2022 denis.kirjanov@suse.com
- net: huawei: hinic: Use devm_kcalloc() instead of devm_kzalloc()
  (git-fixes).
- commit b92d6d0
* Thu Oct  6 2022 denis.kirjanov@suse.com
- net: chelsio: cxgb4: Avoid potential negative array offset
  (git-fixes).
- commit 4cc759d
* Thu Oct  6 2022 denis.kirjanov@suse.com
- net/mlx5e: TC, fix decap fallback to uplink when int port not
  supported (git-fixes).
- commit 35c9b8d
* Thu Oct  6 2022 denis.kirjanov@suse.com
- net: dsa: ksz9477: port mirror sniffing limited to one port
  (git-fixes).
- commit 9996ff6
* Thu Oct  6 2022 dwagner@suse.de
- nvme: don't print verbose errors for internal passthrough
  requests (bsc#1202187).
- commit eaa4989
* Thu Oct  6 2022 denis.kirjanov@suse.com
- blacklist.conf: update the list
- commit 78eff9b
* Thu Oct  6 2022 ptesarik@suse.cz
- s390/smp: enforce lowcore protection on CPU restart (git-fixes).
- KVM: s390: pv: don't present the ecall interrupt twice
  (bsc#1203229 LTC#199905).
- commit aed7a32
* Thu Oct  6 2022 jlee@suse.com
- x86: Expose init_freq_invariance() to topology header
  (jsc#PED-1408).
- commit c0d8e97
* Thu Oct  6 2022 jlee@suse.com
- ACPI: AGDI: Fix missing prototype warning for acpi_agdi_init()
  (jsc#PED-1408).
- ACPI, APEI: Use the correct variable for sizeof()
  (jsc#PED-1408).
- ACPI: tables: Make LAPIC_ADDR_OVR address readable in message
  (jsc#PED-1408).
- ACPI: IPMI: replace usage of found with dedicated list iterator
  variable (jsc#PED-1408).
- ACPI: CPPC: Change default error code and clean up debug
  messages in probe (jsc#PED-1408).
  Refresh
  patches.suse/ACPI-CPPC-Only-probe-for-_CPC-if-CPPC-v2-is-acked.patch.
  patches.suse/ACPI-CPPC-Do-not-prevent-CPPC-from-working-in-the-fu.patch.
- ACPI / x86: Add support for LPS0 callback handler
  (jsc#PED-1408).
- Input: soc_button_array - add support for Microsoft Surface 3
  (MSHW0028) buttons (jsc#PED-1408).
- PM: hibernate: Honour ACPI hardware signature by default for
  virtual guests (jsc#PED-1408).
- ACPI: AGDI: Add driver for Arm Generic Diagnostic Dump and
  Reset device (jsc#PED-1408).
  Update config files.
- ACPI: APEI: rename ghes_init() with an "acpi_" prefix
  (jsc#PED-1408).
  Refresh patches.suse/ACPI-VIOT-Fix-ACS-setup.patch.
- ACPI: LPSS: Provide an SSP type to the driver (jsc#PED-1408).
- ACPI: LPSS: Constify properties member in struct
  lpss_device_desc (jsc#PED-1408).
- ACPI: platform: Constify properties parameter in
  acpi_create_platform_device() (jsc#PED-1408).
- ACPI: fan: Add additional attributes for fine grain control
  (jsc#PED-1408).
- ACPI: fan: Properly handle fine grain control (jsc#PED-1408).
- ACPI: fan: Optimize struct acpi_fan_fif (jsc#PED-1408).
- ACPI: fan: Separate file for attributes creation (jsc#PED-1408).
- ACPI: fan: Fix error reporting to user space (jsc#PED-1408).
- x86, ACPI: rename init_freq_invariance_cppc() to
  arch_init_invariance_cppc() (jsc#PED-1408).
- ACPI: EC: Rearrange code in acpi_ec_submit_event()
  (jsc#PED-1408).
- ACPI: EC: Reduce indentation level in acpi_ec_submit_event()
  (jsc#PED-1408).
- ACPI: EC: Do not return result from advance_transaction()
  (jsc#PED-1408).
- x86/ACPI: CPPC: Move init_freq_invariance_cppc() into x86 CPPC
  (jsc#PED-1408).
- x86/ACPI: CPPC: Move AMD maximum frequency ratio setting
  function into x86 CPPC (jsc#PED-1408).
- x86/ACPI: CPPC: Rename cppc_msr.c to cppc.c (jsc#PED-1408).
- ACPI / x86: Add skip i2c clients quirk for Lenovo Yoga Tablet
  1050F/L (jsc#PED-1408).
- ACPI / x86: Add skip i2c clients quirk for Nextbook Ares 8
  (jsc#PED-1408).
- ACPI: clean up double words in two comments (jsc#PED-1408).
- ACPI: property: Get rid of redundant 'else' (jsc#PED-1408).
- ACPI: EC / PM: Print additional debug message in
  acpi_ec_dispatch_gpe() (jsc#PED-1408).
- ACPI: PM: Print additional debug message in acpi_s2idle_wake()
  (jsc#PED-1408).
- ACPI: tables: Add AGDI to the list of known table signatures
  (jsc#PED-1408).
- ACPI: tables: Add CEDT signature to the list of known tables
  (jsc#PED-1408).
- ACPI: bus: Introduce acpi_bus_for_each_dev() (jsc#PED-1408).
- ACPI: OSL: Fix and clean up acpi_os_read/write_port()
  (jsc#PED-1408).
- ACPICA: Use uintptr_t and offsetof() in Linux kernel builds
  (jsc#PED-1408).
- ACPI: scan: Use ida_alloc() instead of ida_simple_get()
  (jsc#PED-1408).
- commit 2486d41
* Wed Oct  5 2022 oneukum@suse.com
- media: platform: mtk-mdp: Fix mdp_ipi_comm structure alignment.
- commit 20a025b
* Wed Oct  5 2022 osalvador@suse.de
- arm64: Discard .note.GNU-stack section (bsc#1203693).
- commit a5e7cb4
* Wed Oct  5 2022 tzimmermann@suse.de
- Clean up kernel-config settings via run_oldconfig.sh
  Invoke run_oldconfig.sh to clean the kernel-config settings from
  unset symbols. Otherwise these settings interfere with actual config
  changes.
- commit 8a799ae
* Wed Oct  5 2022 oneukum@suse.com
- blacklist.conf: not relevant in our configurations
- commit 586058b
* Wed Oct  5 2022 oneukum@suse.com
- media: imx-jpeg: Disable slot interrupt when frame done
  (git-fixes).
- commit 36d622f
* Wed Oct  5 2022 oneukum@suse.com
- media: imx-jpeg: Refactor function mxc_jpeg_parse (git-fixes).
- commit e2ddfcf
* Wed Oct  5 2022 oneukum@suse.com
- media: imx-jpeg: Fix potential array out of bounds in
  queue_setup (git-fixes).
- commit 8041860
* Wed Oct  5 2022 oneukum@suse.com
- media: imx-jpeg: Add pm-sleep support for imx-jpeg (git-fixes).
- commit d514aa5
* Wed Oct  5 2022 bp@suse.de
- x86/ibt,ftrace: Make function-graph play nice (bsc#1203969).
- commit c020446
* Wed Oct  5 2022 oneukum@suse.com
- media: imx-jpeg: Leave a blank space before the configuration
  data (git-fixes).
- commit a2d45c7
* Wed Oct  5 2022 tzimmermann@suse.de
- blacklist.conf: Append 'sysfb: Enable boot time VESA graphic mode selection'
- commit b93ba64
* Wed Oct  5 2022 oneukum@suse.com
- media: imx-jpeg: Correct some definition according specification
  (git-fixes).
- commit bdf4126
* Wed Oct  5 2022 oneukum@suse.com
- media: i2c: ov2640: Depend on V4L2_ASYNC (git-fixes).
- commit 91b3b5b
* Wed Oct  5 2022 oneukum@suse.com
- blacklist.conf: not relevant in our configurations
- commit 8171bfe
* Wed Oct  5 2022 oneukum@suse.com
- media: vsp1: Fix offset calculation for plane cropping.
- commit dc309b5
* Wed Oct  5 2022 oneukum@suse.com
- media: exynos4-is: Change clk_disable to clk_disable_unprepare
  (git-fixes).
- commit 332ca3f
* Wed Oct  5 2022 oneukum@suse.com
- media: st-delta: Fix PM disable depth imbalance in delta_probe
  (git-fixes).
- commit 30518b0
* Wed Oct  5 2022 oneukum@suse.com
- media: exynos4-is: Fix PM disable depth imbalance in
  fimc_is_probe (git-fixes).
- commit f62e31e
* Wed Oct  5 2022 oneukum@suse.com
- media: aspeed: Fix an error handling path in
  aspeed_video_probe() (git-fixes).
- commit c014d5c
* Wed Oct  5 2022 oneukum@suse.com
- media: coda: Add more H264 levels for CODA960 (git-fixes).
- commit 75d6462
* Wed Oct  5 2022 oneukum@suse.com
- media: coda: Fix reported H264 profile (git-fixes).
- commit 1533555
* Wed Oct  5 2022 msuchanek@suse.de
- Revert "constraints: increase disk space for all architectures"
  (bsc#1203693).
  This reverts commit 43a9011f904bc7328d38dc340f5e71aecb6b19ca.
- commit 3d33373
* Wed Oct  5 2022 tzimmermann@suse.de
- blacklist.conf: Append 'fbdev: Hot-unplug firmware fb devices on forced removal'
- commit 0b6410b
* Wed Oct  5 2022 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "fbdev: fbmem: add a helper to determine if an aperture is used by a fw fb"'
- commit b1ae504
* Wed Oct  5 2022 tiwai@suse.de
- spi: s3c64xx: Fix large transfers with DMA (git-fixes).
- vhost/vsock: Use kvmalloc/kvfree for larger packets (git-fixes).
- wifi: rtl8xxxu: Improve rtl8xxxu_queue_select (git-fixes).
- wifi: rtl8xxxu: Fix AIFS written to REG_EDCA_*_PARAM
  (git-fixes).
- wifi: ath11k: fix number of VHT beamformee spatial streams
  (git-fixes).
- wifi: mt76: mt7915: do not check state before configuring
  implicit beamform (git-fixes).
- wifi: mt76: mt7615: add mt7615_mutex_acquire/release in
  mt7615_sta_set_decap_offload (git-fixes).
- wifi: mt76: sdio: fix transmitting packet hangs (git-fixes).
- wifi: rtl8xxxu: Remove copy-paste leftover in
  gen2_update_rate_mask (git-fixes).
- wifi: rtl8xxxu: gen2: Fix mistake in path B IQ calibration
  (git-fixes).
- wifi: rtl8xxxu: Fix skb misuse in TX queue selection
  (git-fixes).
- wifi: rtw88: add missing destroy_workqueue() on error path in
  rtw_core_init() (git-fixes).
- wifi: rtl8xxxu: tighten bounds checking in rtl8xxxu_read_efuse()
  (git-fixes).
- wifi: ath10k: add peer map clean up for peer delete in
  ath10k_sta_state() (git-fixes).
- wifi: mac80211: allow bw change during channel switch in mesh
  (git-fixes).
- wifi: rtlwifi: 8192de: correct checking of IQK reload
  (git-fixes).
- commit 3bb5d97
* Wed Oct  5 2022 tiwai@suse.de
- spi/omap100k:Fix PM disable depth imbalance in
  omap1_spi100k_probe (git-fixes).
- spi: dw: Fix PM disable depth imbalance in dw_spi_bt1_probe
  (git-fixes).
- spi: meson-spicc: do not rely on busy flag in pow2 clk ops
  (git-fixes).
- spi: qup: add missing clk_disable_unprepare on error in
  spi_qup_pm_resume_runtime() (git-fixes).
- spi: qup: add missing clk_disable_unprepare on error in
  spi_qup_resume() (git-fixes).
- spi: mt7621: Fix an error message in mt7621_spi_probe()
  (git-fixes).
- regulator: qcom_rpm: Fix circular deferral regression
  (git-fixes).
- net: wwan: iosm: Call mutex_init before locking it (git-fixes).
- mwifiex: fix sleep in atomic context bugs caused by
  dev_coredumpv (git-fixes).
- net: thunderbolt: Enable DMA paths only after rings are enabled
  (git-fixes).
- commit e714654
* Wed Oct  5 2022 tiwai@suse.de
- hwmon: (pmbus/mp2888) Fix sensors readouts for MPS Multi-phase
  mp2888 controller (git-fixes).
- hwmon: (gsc-hwmon) Call of_node_get() before of_find_xxx API
  (git-fixes).
- i2c: mlxbf: support lock mechanism (git-fixes).
- mISDN: fix use-after-free bugs in l1oip timer handlers
  (git-fixes).
- eth: alx: take rtnl_lock on resume (git-fixes).
- Bluetooth: hci_core: Fix not handling link timeouts propertly
  (git-fixes).
- Bluetooth: hci_{ldisc,serdev}: check percpu_init_rwsem()
  failure (git-fixes).
- Bluetooth: btusb: mediatek: fix WMT failure during runtime
  suspend (git-fixes).
- can: rx-offload: can_rx_offload_init_queue(): fix typo
  (git-fixes).
- commit ac7ee01
* Tue Oct  4 2022 bp@suse.de
- blacklist.conf: df5b035b5683 x86/cacheinfo: Add a cpu_llc_shared_mask() UP variant
- commit bc73e4e
* Tue Oct  4 2022 bp@suse.de
- blacklist.conf: 00da0cb385d0 Documentation/ABI: Mention retbleed vulnerability info file for sysfs
- commit 4726e8f
* Tue Oct  4 2022 oneukum@suse.com
- Update
  patches.suse/usb-typec-intel_pmc_mux-Add-new-ACPI-ID-for-Meteor-L.patch
  (jsc#PED-1211).
  Adding Jira
- commit 5026c96
* Tue Oct  4 2022 oneukum@suse.com
- Update
  patches.suse/usb-dwc3-pci-Add-support-for-Intel-Raptor-Lake.patch
  (jsc#PED-1715).
  Only adding Jira
- commit af0fb94
* Tue Oct  4 2022 oneukum@suse.com
- xhci: Don't defer primary roothub registration if there is
  only one roothub (jsc#PED-531).
- commit bb0af18
* Tue Oct  4 2022 tiwai@suse.de
- Drop the ACPI patch temporarily as it causes a regression (bsc#1203794)
  Delete patches.suse/ACPI-resource-skip-IRQ-override-on-AMD-Zen-platforms.patch
- commit 8842ef4
* Tue Oct  4 2022 oneukum@suse.com
- xhci: prevent U2 link power state if Intel tier policy prevented
  U1 (jsc#PED-531).
- commit 4580e55
* Tue Oct  4 2022 oneukum@suse.com
- xhci: use generic command timer for stop endpoint commands
  (jsc#PED-531).
- commit 0f31a26
* Tue Oct  4 2022 oneukum@suse.com
- usb: host: xhci-plat: omit shared hcd if either root hub has
  no ports (jsc#PED-531).
- commit 2387fca
* Tue Oct  4 2022 oneukum@suse.com
- usb: host: xhci-plat: prepare operation w/o shared hcd
  (jsc#PED-531).
- commit 47afbac
* Tue Oct  4 2022 oneukum@suse.com
- usb: host: xhci-plat: create shared hcd after having added
  main hcd (jsc#PED-531).
- commit f9fd004
* Tue Oct  4 2022 oneukum@suse.com
- xhci: prepare for operation w/o shared hcd (jsc#PED-531).
- commit 09ce63b
* Tue Oct  4 2022 oneukum@suse.com
- xhci: factor out parts of xhci_gen_setup() (jsc#PED-531).
- commit 783aae7
* Tue Oct  4 2022 oneukum@suse.com
- usb: xhci-mtk: add support optional controller reset
  (jsc#PED-531).
- commit b567962
* Tue Oct  4 2022 tzimmermann@suse.de
- fbcon: Fix accelerated fbdev scrolling while logo is still shown (bsc#1152472)
- commit 7656242
* Tue Oct  4 2022 tzimmermann@suse.de
- parisc/stifb: Fix fb_is_primary_device() only available with (bsc#1152489)
- commit dee3343
* Tue Oct  4 2022 tzimmermann@suse.de
- parisc/stifb: Keep track of hardware path of graphics card (bsc#1152489)
- commit daa8575
* Tue Oct  4 2022 tzimmermann@suse.de
- parisc/stifb: Implement fb_is_primary_device() (bsc#1152489)
- commit f86cf76
* Tue Oct  4 2022 tzimmermann@suse.de
- fbcon: Add option to enable legacy hardware acceleration (bsc#1152472)
  Backporting changes:
  * context fixes in other patch
  * update config
- commit 68203bf
* Tue Oct  4 2022 tzimmermann@suse.de
- parisc/sticon: fix reverse colors (bsc#1152489)
- commit f94c66b
* Tue Oct  4 2022 oneukum@suse.com
- usb/core: fix repeated words in comments (git-fixes).
- commit 5f46c47
* Tue Oct  4 2022 oneukum@suse.com
- usb: core: sysfs: convert sysfs snprintf to sysfs_emit
  (git-fixes).
- commit 40a09c7
* Tue Oct  4 2022 oneukum@suse.com
- usb: Avoid extra usb SET_SEL requests when enabling link power
  management (jsc#PED-531).
- commit 3988270
* Tue Oct  4 2022 oneukum@suse.com
- usb: hub: port: add sysfs entry to switch port power
  (jsc#PED-531).
- commit 9c3549e
* Tue Oct  4 2022 tiwai@suse.de
- char: pcmcia: synclink_cs: Fix use-after-free in mgslpc_ops
  (CVE-2022-41848 bsc#1203987).
- commit a144c48
* Tue Oct  4 2022 tiwai@suse.de
- fbdev: smscufx: Fix use-after-free in ufx_ops_open()
  (CVE-2022-41849 bsc#1203992).
- commit db3bfe7
* Mon Oct  3 2022 msuchanek@suse.de
- powerpc/papr_scm: Ensure rc is always initialized in
  papr_scm_pmu_register() (jsc#PED-1925).
- tools/testing/nvdimm: Fix security_init() symbol collision
  (jsc#PED-1925).
- commit a333f5d
* Mon Oct  3 2022 ohering@suse.de
- net: mana: Add rmb after checking owner bits (git-fixes).
- commit 85bfc78
* Mon Oct  3 2022 msuchanek@suse.de
- powerpc/papr_scm: don't requests stats with '0' sized stats
  buffer (jsc#PED-1925).
- commit 3918fb0
* Mon Oct  3 2022 msuchanek@suse.de
- powerpc/papr_scm: Fix nvdimm event mappings (jsc#PED-557).
- powerpc/papr_scm: Fix leaking nvdimm_events_map elements
  (jsc#PED-557).
- drivers/nvdimm: Fix build failure when CONFIG_PERF_EVENTS is
  not set (jsc#PED-1925).
- commit 8ecc2ba
* Mon Oct  3 2022 msuchanek@suse.de
- Makefile.debug: re-enable debug info for .S files (git-fixes).
- commit 50458f2
* Mon Oct  3 2022 msuchanek@suse.de
- powerpc/pseries/vas: Pass hw_cpu_id to node associativity HCALL
  (bsc#1194869).
- commit 48283d1
* Sun Oct  2 2022 tiwai@suse.de
- usb: dwc3: gadget: Don't modify GEVNTCOUNT in pullup()
  (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Avoid-duplicate-requests-to-enable-R.patch.
- commit 0719451
* Sun Oct  2 2022 tiwai@suse.de
- usb: typec: ucsi: Remove incorrect warning (git-fixes).
- media: rkvdec: Disable H.264 error detection (git-fixes).
- media: dvb_vb2: fix possible out of bound access (git-fixes).
- ASoC: cs42l42: Only report button state if there was a button
  interrupt (git-fixes).
- commit 06be809
* Sat Oct  1 2022 ohering@suse.de
- net: mana: Add support of XDP_REDIRECT action (bug#1201310, jsc#PED-529).
- commit 209f0a1
* Sat Oct  1 2022 tiwai@suse.de
- Add cherry-picked commit id for an AMDGPU patch (git-fixes)
- commit 505fbbc
* Sat Oct  1 2022 tiwai@suse.de
- usb: dwc3: gadget: Refactor pullup() (git-fixes).
- commit f481a77
* Sat Oct  1 2022 tiwai@suse.de
- usb: dwc3: gadget: Avoid starting DWC3 gadget during UDC unbind
  (git-fixes).
- Refresh
  patches.suse/usb-dwc3-gadget-Avoid-duplicate-requests-to-enable-R.patch.
- Refresh
  patches.suse/usb-dwc3-gadget-Prevent-repeat-pullup.patch.
- commit 6d90a05
* Sat Oct  1 2022 tiwai@suse.de
- wifi: mac80211: fix regression with non-QoS drivers (git-fixes).
- selftests: Fix the if conditions of in test_extra_filter()
  (git-fixes).
- net: phy: Don't WARN for PHY_UP state in mdio_bus_phy_resume()
  (git-fixes).
- usbnet: Fix memory leak in usbnet_disconnect() (git-fixes).
- reset: imx7: Fix the iMX8MP PCIe PHY PERST support (git-fixes).
- soc: sunxi: sram: Fix debugfs info for A64 SRAM C (git-fixes).
- soc: sunxi: sram: Prevent the driver from being unbound
  (git-fixes).
- soc: sunxi: sram: Actually claim SRAM regions (git-fixes).
- serial: tegra-tcu: Use uart_xmit_advance(), fixes icount.tx
  accounting (git-fixes).
- serial: tegra: Use uart_xmit_advance(), fixes icount.tx
  accounting (git-fixes).
- serial: Create uart_xmit_advance() (git-fixes).
- USB: serial: option: add Quectel RM520N (git-fixes).
- USB: serial: option: add Quectel BG95 0x0203 composition
  (git-fixes).
- thunderbolt: Add support for Intel Maple Ridge single port
  controller (git-fixes).
- Revert "usb: add quirks for Lenovo OneLink+ Dock" (git-fixes).
- usb: add quirks for Lenovo OneLink+ Dock (git-fixes).
- commit ce89825
* Sat Oct  1 2022 tiwai@suse.de
- gpio: mvebu: Fix check for pwm support on non-A8K platforms
  (git-fixes).
- Input: snvs_pwrkey - fix SNVS_HPVIDR1 register address
  (git-fixes).
- Input: iqs62x-keys - drop unused device node references
  (git-fixes).
- Input: melfas_mip4 - fix return value check in mip4_probe()
  (git-fixes).
- libata: add ATA_HORKAGE_NOLPM for Pioneer BDR-207M and BDR-205
  (git-fixes).
- mmc: hsq: Fix data stomping during mmc recovery (git-fixes).
- mmc: moxart: fix 4-bit bus width and remove 8-bit bus width
  (git-fixes).
- commit 02160f0
* Sat Oct  1 2022 tiwai@suse.de
- drm/i915/gt: Restrict forced preemption to the active context
  (git-fixes).
- Revert "drm: bridge: analogix/dp: add panel prepare/unprepare
  in suspend/resume time" (git-fixes).
- drm/bridge: lt8912b: fix corrupted image output (git-fixes).
- drm/bridge: lt8912b: set hdmi or dvi mode (git-fixes).
- drm/bridge: lt8912b: add vsync hsync (git-fixes).
- Revert "firmware: arm_scmi: Add clock management to the SCMI
  power domain" (git-fixes).
- drm/amdgpu: don't register a dirty callback for non-atomic
  (git-fixes).
- firmware: arm_scmi: Fix the asynchronous reset requests
  (git-fixes).
- firmware: arm_scmi: Harden accesses to the reset domains
  (git-fixes).
- commit 509f7ae
* Sat Oct  1 2022 tiwai@suse.de
- clk: iproc: Do not rely on node name for correct PLL setup
  (git-fixes).
- clk: imx: imx6sx: remove the SET_RATE_PARENT flag for QSPI
  clocks (git-fixes).
- clk: ingenic-tcu: Properly enable registers before accessing
  timers (git-fixes).
- arm64: dts: qcom: sm8350: fix UFS PHY serdes size (git-fixes).
- ARM: dts: am33xx: Fix MMCHS0 dma properties (git-fixes).
- ASoC: tas2770: Reinit regcache on reset (git-fixes).
- ASoC: imx-card: Fix refcount issue with of_node_put (git-fixes).
- drm/rockchip: Fix return type of cdn_dp_connector_mode_valid
  (git-fixes).
- drm/gma500: Fix BUG: sleeping function called from invalid
  context errors (git-fixes).
- drm/amdgpu: make sure to init common IP before gmc (git-fixes).
- drm/amd/display: Mark dml30's UseMinimumDCFCLK() as noinline
  for stack usage (git-fixes).
- drm/amd/display: Reduce number of arguments of dml31's
  CalculateFlipSchedule() (git-fixes).
- drm/amd/display: Reduce number of arguments of dml31's
  CalculateWatermarksAndDRAMSpeedChangeSupport() (git-fixes).
- drm/amd/display: Limit user regamma to a valid value
  (git-fixes).
- drm/amdgpu: use dirty framebuffer helper (git-fixes).
- drm/amd/pm: disable BACO entry/exit completely on several
  sienna cichlid cards (git-fixes).
- drm/amd/amdgpu: fixing read wrong pf2vf data in SRIOV
  (git-fixes).
- drm/amdgpu: Separate vf2pf work item init from virt data
  exchange (git-fixes).
- commit 931f4f4
* Sat Oct  1 2022 tiwai@suse.de
- Add blacklist and alt-commit for ASoC cs35l41 patches (bsc#1203699)
- commit b1bfeae
* Fri Sep 30 2022 ohering@suse.de
- net: mana: Add the Linux MANA PF driver (bug#1201309, jsc#PED-529).
- commit 6f3c833
* Fri Sep 30 2022 lduncan@suse.com
- scsi: smartpqi: Add module param to disable managed ints
  (bsc#1203893).
- commit e1af9a1
* Fri Sep 30 2022 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.2.0.7 (bsc#1203939).
- scsi: lpfc: Fix various issues reported by tools (bsc#1203939).
- scsi: lpfc: Add reporting capability for Link Degrade Signaling
  (bsc#1203939).
- scsi: lpfc: Rework FDMI attribute registration for unintential
  padding (bsc#1203939).
- scsi: lpfc: Rework lpfc_fdmi_cmd() routine for cleanup and
  consistency (bsc#1203939).
- scsi: lpfc: Rename mp/bmp dma buffers to rq/rsp in lpfc_fdmi_cmd
  (bsc#1203939).
- scsi: lpfc: Update congestion mode logging for Emulex SAN
  Manager application (bsc#1203939).
- scsi: lpfc: Move scsi_host_template outside dynamically
  allocated/freed phba (bsc#1185032 bsc#1203939).
  Dropped:
  patches.suse/lpfc-decouple-port_template-and-vport_template.patch
- scsi: lpfc: Fix multiple NVMe remoteport registration calls
  for the same NPort ID (bsc#1203939).
- scsi: lpfc: Add missing free iocb and nlp kref put for early
  return VMID cases (bsc#1203939).
- scsi: lpfc: Fix mbuf pool resource detected as busy at driver
  unload (bsc#1203939).
- scsi: lpfc: Fix FLOGI ACC with wrong SID in PT2PT topology
  (bsc#1203939).
- scsi: lpfc: Fix prli_fc4_req checks in PRLI handling
  (bsc#1203939).
- scsi: lpfc: Remove unneeded result variable (bsc#1203939).
- scsi: lpfc: Remove the unneeded result variable (bsc#1203939).
- commit 23fee86
* Fri Sep 30 2022 tiwai@suse.de
- supported.conf: mark spi-pxa2xx-platform as supported (bsc#1203699)
  It's required for the sound on recent Intel machines
- commit d17d5e0
* Fri Sep 30 2022 dwagner@suse.de
- scsi: lpfc: Add missing destroy_workqueue() in error path
  (bsc#1203939).
- scsi: lpfc: Return DID_TRANSPORT_DISRUPTED instead of
  DID_REQUEUE (bsc#1203939).
- commit 495ecbc
* Fri Sep 30 2022 tiwai@suse.de
- wifi: cfg80211: ensure length byte is present before access
  (CVE-2022-41674 bsc#1203770).
- wifi: cfg80211/mac80211: reject bad MBSSID elements
  (CVE-2022-41674 bsc#1203770).
- wifi: cfg80211: fix u8 overflow in
  cfg80211_update_notlisted_nontrans() (CVE-2022-41674
  bsc#1203770).
- commit 79b409a
* Fri Sep 30 2022 dwagner@suse.de
- scsi: qla2xxx: Remove unused declarations for qla2xxx
  (bsc#1203935).
- scsi: qla2xxx: Fix spelling mistake "definiton" -> "definition"
  (bsc#1203935).
- scsi: qla2xxx: Drop DID_TARGET_FAILURE use (bsc#1203935).
- scsi: qla2xxx: Update version to 10.02.07.900-k (bsc#1203935).
- scsi: qla2xxx: Define static symbols (bsc#1203935).
- scsi: qla2xxx: Enhance driver tracing with separate tunable
  and more (bsc#1203935).
- scsi: qla2xxx: Add NVMe parameters support in Auxiliary Image
  Status (bsc#1203935).
- scsi: qla2xxx: Add debugfs create/delete helpers (bsc#1203935).
- scsi: qla2xxx: Fix response queue handler reading stale packets
  (bsc#1203935).
- scsi: qla2xxx: Revert "scsi: qla2xxx: Fix response queue
  handler reading stale packets" (bsc#1203935).
- scsi: qla2xxx: Log message "skipping scsi_scan_host()" as
  informational (bsc#1203935).
- scsi: qla2xxx: Avoid flush_scheduled_work() usage (bsc#1203935).
- scsi: qla2xxx: Always wait for qlt_sess_work_fn() from
  qlt_stop_phase1() (bsc#1203935).
- scsi: qla2xxx: Remove unused qlt_tmr_work() (bsc#1203935).
- scsi: qla2xxx: Remove unused del_sess_list field (bsc#1203935).
- commit 76fee71
* Fri Sep 30 2022 dwagner@suse.de
- scsi: qla2xxx: Fix memory leak in __qlt_24xx_handle_abts()
  (bsc#1203935).
- scsi: qla2xxx: Disable ATIO interrupt coalesce for quad port
  ISP27XX (bsc#1203935).
- commit df43957
* Fri Sep 30 2022 tbogendoerfer@suse.de
- kabi/severities: add mlx5 internal symbols
- commit cbdf7d1
* Fri Sep 30 2022 vbabka@suse.cz
- mm: rename is_pinnable_page() to is_longterm_pinnable_page()
  (jsc#PED-1294).
- commit 8c9ae5e
* Fri Sep 30 2022 vbabka@suse.cz
- mm: fix is_pinnable_page against a cma page (jsc#PED-1294).
- commit e5e0125
* Fri Sep 30 2022 mkoutny@suse.com
- cgroup: Add missing cpus_read_lock() to cgroup_attach_task_all()
  (bsc#1196869).
- commit 421a33e
* Fri Sep 30 2022 tiwai@suse.de
- ALSA: hda/realtek: More robust component matching for CS35L41
  (bsc#1203699).
- commit 13ee63f
* Thu Sep 29 2022 lduncan@suse.com
- kABI: fix adding another field to scsi_device (bsc#1203039).
- scsi: core: Add BLIST_NO_ASK_VPD_SIZE for some VDASD
  (bsc#1203039).
- Refresh
  patches.kabi/blk-mq-fix-kabi-support-concurrent-queue-quiesce-unquiesce.patch.
- Refresh patches.kabi/kABI-fix-adding-field-to-scsi_device.patch.
- commit 38a6998
* Thu Sep 29 2022 mkoutny@suse.com
- mm: Fix PASID use-after-free issue (bsc#1203908).
- commit e2ea645
* Thu Sep 29 2022 mkoutny@suse.com
- cgroup: cgroup_get_from_id() must check the looked-up kn is
  a directory (bsc#1203906).
- commit 2c277d7
* Thu Sep 29 2022 tiwai@suse.de
- spi: propagate error code to the caller of
  acpi_spi_device_alloc() (bsc#1203699).
- spi: Return deferred probe error when controller isn't yet
  available (bsc#1203699).
- commit 719f957
* Thu Sep 29 2022 jlee@suse.com
- x86: clk: clk-fch: Add support for newer family of AMD's SOC
  (jsc#PED-1408).
- commit c6a96ee
* Thu Sep 29 2022 jlee@suse.com
- ACPI: tools: Introduce utility for firmware updates/telemetry
  (jsc#PED-1408).
- efi: Introduce EFI_FIRMWARE_MANAGEMENT_CAPSULE_HEADER and
  corresponding structures (jsc#PED-1408).
- commit a7f95e0
* Thu Sep 29 2022 mkoutny@suse.com
- cgroup: Fix threadgroup_rwsem <-> cpus_read_lock() deadlock
  (bsc#1196869).
- commit 20ffc1f
* Thu Sep 29 2022 tiwai@suse.de
- kABI workaround for spi changes (bsc#1203699).
- commit 57d4f4f
* Thu Sep 29 2022 mkoutny@suse.com
- cgroup: Fix race condition at rebind_subsystems() (bsc#1203902).
- commit ec3105d
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for HP Zbook Firefly 14 G9 model
  (bsc#1203699).
- commit 274acc0
* Thu Sep 29 2022 tiwai@suse.de
- cs-dsp and serial-multi-instantiate enablement (bsc#1203699)
- Update config files
- Update supported.conf
- commit 6b0538d
* Thu Sep 29 2022 tiwai@suse.de
- platform/x86: serial-multi-instantiate: Add CLSA0101 Laptop
  (bsc#1203699).
- ACPI: scan: Add CLSA0101 Laptop Support (bsc#1203699).
- ACPI / scan: Create platform device for CS35L41 (bsc#1203699).
- platform/x86: serial-multi-instantiate: Add SPI support
  (bsc#1203699).
- platform/x86: serial-multi-instantiate: Reorganize I2C functions
  (bsc#1203699).
- platform/x86: i2c-multi-instantiate: Rename it for a generic
  serial driver name (bsc#1203699).
- spi: Add API to count spi acpi resources (bsc#1203699).
- spi: Support selection of the index of the ACPI Spi Resource
  before alloc (bsc#1203699).
- spi: Create helper API to lookup ACPI info for spi device
  (bsc#1203699).
- i2c: acpi: Add an i2c_acpi_client_count() helper function
  (bsc#1203699).
- commit 66cfc1c
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/cs8409: Support new Dolphin Variants (bsc#1203699).
- ALSA: hda/realtek: Add quirk for Lenovo Yoga7 14IAL7
  (bsc#1203699).
- ALSA: hda: cs35l41: Clarify support for CSC3551 without _DSD
  Properties (bsc#1203699).
- ALSA: hda/realtek: Add quirks for ASUS Zenbooks using CS35L41
  (bsc#1203699).
- ASoC: cs35l41: Read System Name from ACPI _SUB to identify
  firmware (bsc#1203699).
- commit 3025b3b
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Support CLSA0101 (bsc#1203699).
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-Lenovo-Yoga9-14IAP7.patch.
- commit d934822
* Thu Sep 29 2022 tiwai@suse.de
- ACPI: utils: Add api to read _SUB from ACPI (bsc#1203699).
- ALSA: hda: cs35l41: Use the CS35L41 HDA internal define
  (bsc#1203699).
- ALSA: hda/realtek: Enable speaker and mute LEDs for HP laptops
  (bsc#1203699).
- commit 6e401a7
* Thu Sep 29 2022 tiwai@suse.de
- Revert "ALSA: hda: cs35l41: Allow compilation test on non-ACPI
  configurations" (bsc#1203699).
- ALSA: hda: cs35l41: Add module parameter to control firmware
  load (bsc#1203699).
- ALSA: hda: cs35l41: Support Firmware switching and reloading
  (bsc#1203699).
- ALSA: hda: cs35l41: Add defaulted values into dsp bypass config
  sequence (bsc#1203699).
- ALSA: hda: hda_cs_dsp_ctl: Add fw id strings (bsc#1203699).
- ALSA: hda: cs35l41: Read Speaker Calibration data from UEFI
  variables (bsc#1203699).
- ALSA: hda: cs35l41: Support Hibernation during Suspend
  (bsc#1203699).
- commit 8707600
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs35l41: Add support for CLSA3541 ACPI device ID
  (bsc#1203699).
- ASoC: cs35l41: Do not print error when waking from hibernation
  (bsc#1203699).
- ASoC: cs35l41: Add common cs35l41 enter hibernate function
  (bsc#1203699).
- ASoC: cs35l41: Move cs35l41 exit hibernate function into shared
  code (bsc#1203699).
- ALSA: hda: cs35l41: Support Speaker ID for laptops
  (bsc#1203699).
- ALSA: hda: cs35l41: Support multiple load paths for firmware
  (bsc#1203699).
- ALSA: hda: cs35l41: Support reading subsystem id from ACPI
  (bsc#1203699).
- ALSA: hda: cs35l41: Save Subsystem ID inside CS35L41 Driver
  (bsc#1203699).
- ALSA: hda: cs35l41: Add initial DSP support and firmware loading
  (bsc#1203699).
- ALSA: hda: cs35l41: Save codec object inside component struct
  (bsc#1203699).
- ALSA: hda: hda_cs_dsp_ctl: Add apis to write the controls
  directly (bsc#1203699).
- ALSA: hda: hda_cs_dsp_ctl: Add Library to support CS_DSP ALSA
  controls (bsc#1203699).
- ALSA: hda: cs35l41: Consolidate selections under
  SND_HDA_SCODEC_CS35L41 (bsc#1203699).
- ALSA: hda: cs35l41: Drop wrong use of ACPI_PTR() (bsc#1203699).
- ALSA: hda: cs35l41: Allow compilation test on non-ACPI
  configurations (bsc#1203699).
- ALSA: hda: cs35l41: Don't dereference fwnode handle
  (bsc#1203699).
- ALSA: hda: cs35l41: Improve dev_err_probe() messaging
  (bsc#1203699).
- ALSA: hda: cs35l41: Fix comments wrt serial-multi-instantiate
  reference (bsc#1203699).
- commit 0179f7c
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/cs8409: change cs8409_fixups v.pins initializers to
  static (bsc#1203699).
- ASoC: cs35l41: Add ASP TX3/4 source to register patch
  (bsc#1203699).
- ASoC: cs35l41: Correct some control names (bsc#1203699).
- ASoC: cs35l41: Add endianness flag in snd_soc_component_driver
  (bsc#1203699).
- commit f2b0e66
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs35l41: Fix an out-of-bounds access in
  otp_packed_element_t (bsc#1203699).
- ASoC: cs35l41: Add one more variable in the debug log
  (bsc#1203699).
- commit a26b9a2
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Enable mute/micmute LEDs support for HP
  Laptops (bsc#1203699).
- Refresh
  patches.suse/ALSA-hda-realtek-Add-a-quirk-for-HP-OMEN-16-8902-mut.patch.
- commit 342e19c
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Fix mute led issue on thinkpad with cs35l41
  s-codec (bsc#1203699).
- commit 0fd2db1
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Add Amp Name based on channel and index
  (bsc#1203699).
- ASoC: cs35l41: Move cs_dsp config struct into shared code
  (bsc#1203699).
- ALSA: hda/realtek: Enable mute/micmute LEDs and limit mic
  boost on EliteBook 845/865 G9 (bsc#1203699).
- ASoC: cs35l41: Fix a shift-out-of-bounds warning found by UBSAN
  (bsc#1203699).
- ASoC: cs35l41: Add one more variable in the debug log
  (bsc#1203699).
- commit 4800a47
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs35l41: Move cs35l41 fs errata into shared code
  (bsc#1203699).
- ASoC: cs35l41: Move cs35l41_set_cspl_mbox_cmd to shared code
  (bsc#1203699).
- ALSA: hda: cs35l41: Enable GPIO2 Interrupt for CLSA0100 laptops
  (bsc#1203699).
- ALSA: hda: cs35l41: Add Support for Interrupts (bsc#1203699).
- ALSA: hda: cs35l41: Remove Set Channel Map api from binding
  (bsc#1203699).
- ALSA: hda: cs35l41: Set Speaker Position for CLSA0100 Laptop
  (bsc#1203699).
- ALSA: hda: cs35l41: Fix error in spi cs35l41 hda driver name
  (bsc#1203699).
- ALSA: hda/cs8409: Add Speaker Playback Switch for Warlock
  (bsc#1203699).
- ALSA: hda/cs8409: Add Speaker Playback Switch for Cyborg
  (bsc#1203699).
- ALSA: hda/cs8409: Support new Odin Variants (bsc#1203699).
- commit 346d9b0
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/cs8409: Support manual mode detection for CS42L42
  (bsc#1203699).
- ALSA: hda/cs8409: Use general cs42l42 include in cs8409 hda
  driver (bsc#1203699).
- ASoC: cs35l41: Support external boost (bsc#1203699).
- ALSA: hda: cs35l41: Move external boost handling to lib for
  ASoC use (bsc#1203699).
- ALSA: hda: cs35l41: Handle all external boost setups the same
  way (bsc#1203699).
- ALSA: hda: cs35l41: Reorganize log for playback actions
  (bsc#1203699).
- ALSA: hda: cs35l41: Remove cs35l41_hda_reg_sequence struct
  (bsc#1203699).
- ALSA: hda: cs35l41: Move boost config to initialization code
  (bsc#1203699).
- ALSA: cs35l41: Enable Internal Boost in shared lib
  (bsc#1203699).
- ALSA: hda: cs35l41: Mute the device before shutdown
  (bsc#1203699).
- commit e34c590
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs42l42: Move CS42L42 register descriptions to general
  include (bsc#1203699).
- ASoC: cs42l42: Add warnings about DETECT_MODE and PLL_START
  (bsc#1203699).
- ASoC: cs42l42: Handle system suspend (bsc#1203699).
- ASoC: cs42l42: Change jack_detect_mutex to a lock of all IRQ
  handling (bsc#1203699).
- ASoC: cs42l42: Report full jack status when plug is detected
  (bsc#1203699).
- ASoC: cs42l42: Report initial jack state (bsc#1203699).
- ASoC: cs42l42: Remove redundant pll_divout member (bsc#1203699).
- ASoC: cs42l42: Simplify reporting of jack unplug (bsc#1203699).
- ASoC: cs42l42: Remove redundant writes to RS_PLUG/RS_UNPLUG
  masks (bsc#1203699).
- ASoC: cs42l42: Remove redundant writes to DETECT_MODE
  (bsc#1203699).
- ASoC: cs42l42: Add control for audio slow-start switch
  (bsc#1203699).
- ASoC: cs42l42: free_irq() before powering-down on probe() fail
  (bsc#1203699).
- ASoC: cs42l42: Reset and power-down on remove() and failed
  probe() (bsc#1203699).
- ASoC: cs42l42: Prevent NULL pointer deref in interrupt handler
  (bsc#1203699).
- ASoC: cs42l42: Remove unused runtime_suspend/runtime_resume
  callbacks (bsc#1203699).
- ASoC: cs42l42: Use two thresholds and increased wait time for
  manual type detection (bsc#1203699).
- ASoC: cs42l42: Implement Manual Type detection as fallback
  (bsc#1203699).
- ASoC: cs42l42: Minor fix all errors reported by checkpatch.pl
  script (bsc#1203699).
- ASoC: cs42l42: Always enable TS_PLUG and TS_UNPLUG interrupts
  (bsc#1203699).
- ASoC: cs42l42: Fix WARN in remove() if running without an
  interrupt (bsc#1203699).
- ASoC: cs42l42: Mark OSC_SWITCH_STATUS register volatile
  (bsc#1203699).
- ASoC: cs42l42: Set correct SRC MCLK (bsc#1203699).
- ASoC: cs42l42: Allow time for HP/ADC to power-up after enable
  (bsc#1203699).
- ASoC: cs42l42: Use PLL for SCLK > 12.288MHz (bsc#1203699).
- ASoC: cs42l42: Don't claim to support 192k (bsc#1203699).
- ASoC: cs42l42: Don't reconfigure the PLL while it is running
  (bsc#1203699).
- commit 866431d
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Put the device into safe mode for external
  boost (bsc#1203699).
- ALSA: hda: cs35l41: Add Boost type flag (bsc#1203699).
- ALSA: hda: cs35l41: Always configure the DAI (bsc#1203699).
- ALSA: hda: cs35l41: Fix I2S params comments (bsc#1203699).
- ALSA: cs35l41: Move cs35l41_gpio_config to shared lib
  (bsc#1203699).
- ALSA: cs35l41: Check hw_config before using it (bsc#1203699).
- ALSA: cs35l41: Unify hardware configuration (bsc#1203699).
- commit ac37bc4
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/cs8409: Add new Dolphin HW variants (bsc#1203699).
- ALSA: hda/cs8409: Disable HSBIAS_SENSE_EN for Cyborg
  (bsc#1203699).
- ALSA: hda/cs8409: Support new Warlock MLK Variants
  (bsc#1203699).
- ALSA: hda/cs8409: Fix Full Scale Volume setting for all variants
  (bsc#1203699).
- ALSA: hda/cs8409: Re-order quirk table into ascending order
  (bsc#1203699).
- ALSA: hda/cs8409: Fix Warlock to use mono mic configuration
  (bsc#1203699).
- commit af84f1a
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Add mute and micmut LED support for Zbook
  Fury 17 G9 (bsc#1203699).
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-HP-Dev-One.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-mute-micmute-LEDs-for-HP-machin.patch.
- commit 7831f17
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs35l41: Remove unnecessary param (bsc#1203699).
- ALSA: hda/realtek: Fix LED on Zbook Studio G9 (bsc#1203699).
- commit 8ea9da8
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Add support for HP Laptops (bsc#1203699).
- Refresh
  patches.suse/ALSA-hda-realtek-Add-a-quirk-for-HP-OMEN-16-8902-mut.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-HP-Dev-One.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-Lenovo-Yoga9-14IAP7.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-the-Framework-Laptop.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-mute-micmute-LEDs-for-HP-machin.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-right-sounds-and-mute-micmute-L-024a7ad9eb4d.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-right-sounds-and-mute-micmute-L.patch.
- commit a813cc9
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs35l41: Fix DSP mbox start command and global enable
  order (bsc#1203699).
- ASoC: cs35l41: Fix max number of TX channels (bsc#1203699).
- ASoC: cs35l41: Fix GPIO2 configuration (bsc#1203699).
- ALSA: hda: cs35l41: Make cs35l41_hda_remove() return void
  (bsc#1203699).
- ALSA: hda: cs35l41: Tidyup code (bsc#1203699).
- ALSA: hda: cs35l41: Make use of the helper function
  dev_err_probe() (bsc#1203699).
- ALSA: hda: cs35l41: Add missing default cases (bsc#1203699).
- ALSA: hda: cs35l41: Move cs35l41* calls to its own symbol
  namespace (bsc#1203699).
- ALSA: hda: cs35l41: Add calls to newly added test key function
  (bsc#1203699).
- ALSA: hda: cs35l41: Avoid overwriting register patch
  (bsc#1203699).
- ALSA: hda: cs35l41: fix double free on error in probe()
  (bsc#1203699).
- commit 31fd8da
* Thu Sep 29 2022 tiwai@suse.de
- firmware: cs_dsp: Add memory chunk helpers (bsc#1203699).
- firmware: cs_dsp: Add pre_stop callback (bsc#1203699).
- ASoC: wm_adsp: Minor clean and redundant code removal
  (bsc#1203699).
- ASoC: wm_adsp: Fix event for preloader (bsc#1203699).
- ASoC: wm_adsp: Compressed stream DSP memory structs should be
  __packed (bsc#1203699).
- firmware: cs_dsp: Fix overrun of unterminated control name
  string (bsc#1203699).
- ASoC: wm_adsp: Expand firmware loading search options
  (bsc#1203699).
- ASoC: wm_adsp: Add trace caps to speaker protection FW
  (bsc#1203699).
- ASoC: wm_adsp: Make compressed buffers optional (bsc#1203699).
- ASoC: wm_adsp: Correct control read size when parsing compressed
  buffer (bsc#1203699).
- ASoC: cs35l41: Add support for hibernate memory retention mode
  (bsc#1203699).
- ASoC: cs35l41: Update handling of test key registers
  (bsc#1203699).
- ASoC: wm_adsp: Add support for "toggle" preloaders
  (bsc#1203699).
- firmware: cs_dsp: Clear core reset for cache (bsc#1203699).
- ASoC: cs35l41: Correct handling of some registers in the cache
  (bsc#1203699).
- ASoC: cs35l41: Correct DSP power down (bsc#1203699).
- ASoC: cs35l41: Remove incorrect comment (bsc#1203699).
- ASoC: cs35l41: Add cs35l51/53 IDs (bsc#1203699).
- ALSA: hda: Fix dependencies of CS35L41 on SPI/I2C buses
  (bsc#1203699).
- ALSA: hda: Fix dependency on ASoC cs35l41 codec (bsc#1203699).
- firmware: cs_dsp: Move lockdep asserts to avoid potential null
  pointer (bsc#1203699).
- firmware: cs_dsp: Allow creation of event controls
  (bsc#1203699).
- firmware: cs_dsp: Add offset to cs_dsp read/write (bsc#1203699).
- firmware: cs_dsp: Clarify some kernel doc comments
  (bsc#1203699).
- firmware: cs_dsp: Perform NULL check in
  cs_dsp_coeff_write/read_ctrl (bsc#1203699).
- firmware: cs_dsp: Add support for rev 2 coefficient files
  (bsc#1203699).
- firmware: cs_dsp: Print messages from bin files (bsc#1203699).
- firmware: cs_dsp: Add pre_run callback (bsc#1203699).
- firmware: cs_dsp: Add version checks on coefficient loading
  (bsc#1203699).
- firmware: cs_dsp: Add lockdep asserts to interface functions
  (bsc#1203699).
- firmware: cs_dsp: tidy includes in cs_dsp.c and cs_dsp.h
  (bsc#1203699).
- ASoC: wm_adsp: wm_adsp_control_add() error: uninitialized symbol
  'ret' (bsc#1203699).
- commit 545439c
* Thu Sep 29 2022 tiwai@suse.de
- supported.conf: Add cs_dsp firmware module (bsc#1203699)
- commit af1ea30
* Thu Sep 29 2022 tiwai@suse.de
- Update config files: enable CS35L41 support (bsc#1203699)
- commit 195ddb7
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Add CS35L41 support for Thinkpad laptops
  (bsc#1203699).
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-Lenovo-Yoga9-14IAP7.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-the-Framework-Laptop.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-speakers-and-micmute-on-HP-855-.patch.
- commit 0a4cbdb
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda/realtek: Add support for Legion 7 16ACHg6 laptop
  (bsc#1203699).
- Refresh
  patches.suse/ALSA-hda-ALC287-Add-Lenovo-IdeaPad-Slim-9i-14ITL5-sp.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-Legion-Y9000X-2019.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-Lenovo-Yoga9-14IAP7.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-Add-quirk-for-the-Framework-Laptop.patch.
- Refresh
  patches.suse/ALSA-hda-realtek-fix-speakers-and-micmute-on-HP-855-.patch.
- commit b3dce35
* Thu Sep 29 2022 tiwai@suse.de
- ALSA: hda: cs35l41: Add support for CS35L41 in HDA systems
  (bsc#1203699).
- commit 39ffdf8
* Thu Sep 29 2022 tiwai@suse.de
- ASoC: cs35l41: Document CS35l41 External Boost (bsc#1203699).
- ASoC: cs35l41: Create shared function for boost configuration
  (bsc#1203699).
- ASoC: cs35l41: Create shared function for setting channels
  (bsc#1203699).
- ASoC: cs35l41: Create shared function for errata patches
  (bsc#1203699).
- ASoC: cs35l41: Move power initializations to reg_sequence
  (bsc#1203699).
- ASoC: cs35l41: Move cs35l41_otp_unpack to shared code
  (bsc#1203699).
- ASoC: cs35l41: Convert tables to shared source code
  (bsc#1203699).
- ASoC: cs35l41: Fix undefined reference to core functions
  (bsc#1203699).
- ASoC: cs35l41: Fix link problem (bsc#1203699).
- ASoC: wm_adsp: Remove the wmfw_add_ctl helper function
  (bsc#1203699).
- ASoC: cs35l41: DSP Support (bsc#1203699).
- ASoC: dt-bindings: cs42l42: Convert binding to yaml
  (bsc#1203699).
- ASoC: cs35l41: Set the max SPI speed for the whole device
  (bsc#1203699).
- ASoC: cs35l41: Change monitor widgets to siggens (bsc#1203699).
- ASoC: cs35l41: Make cs35l41_remove() return void (bsc#1203699).
- ASoC: wm_adsp: remove a repeated including (bsc#1203699).
- firmware: cs_dsp: add driver to support firmware loading on
  Cirrus Logic DSPs (bsc#1203699).
- ASoC: wm_adsp: Separate wm_adsp specifics in cs_dsp_client_ops
  (bsc#1203699).
- ASoC: wm_adsp: Split out struct cs_dsp from struct wm_adsp
  (bsc#1203699).
- ASoC: wm_adsp: move firmware loading to client (bsc#1203699).
- ASoC: wm_adsp: Pass firmware names as parameters when starting
  DSP core (bsc#1203699).
- ASoC: wm_adsp: Move check of dsp->running to better place
  (bsc#1203699).
- ASoC: wm_adsp: Separate generic cs_dsp_coeff_ctl handling
  (bsc#1203699).
- ASoC: wm_adsp: Move sys_config_size to wm_adsp (bsc#1203699).
- ASoC: wm_adsp: Split DSP power operations into helper functions
  (bsc#1203699).
- ASoC: wm_adsp: Separate some ASoC and generic functions
  (bsc#1203699).
- ASoC: wm_adsp: Introduce cs_dsp logging macros (bsc#1203699).
- ASoC: wm_adsp: Rename generic DSP support (bsc#1203699).
- ASoC: wm_adsp: Cancel ongoing work when removing controls
  (bsc#1203699).
- ASoC: wm_adsp: Switch to using wm_coeff_read_ctrl for compressed
  buffers (bsc#1203699).
- ASoC: wm_adsp: Move check for control existence (bsc#1203699).
- ASoC: wm_adsp: Remove use of snd_ctl_elem_type_t (bsc#1203699).
- ASoC: cs35l41: Binding fixes (bsc#1203699).
- misc: cs35l41: Remove unused pdn variable (bsc#1203699).
- ASoC: cs35l41: Fix a bunch of trivial code formating/style
  issues (bsc#1203699).
- ASoC: cs35l41: Fixup the error messages (bsc#1203699).
- ASoC: cs35l41: Don't overwrite returned error code
  (bsc#1203699).
- ASoC: cs35l41: Combine adjacent register writes (bsc#1203699).
- ASoC: cs35l41: Use regmap_read_poll_timeout to wait for OTP boot
  (bsc#1203699).
- ASoC: cs35l41: Fix use of an uninitialised variable
  (bsc#1203699).
- ASoC: cs35l41: Add bindings for CS35L41 (bsc#1203699).
- ASoC: cs35l41: CS35L41 Boosted Smart Amplifier (bsc#1203699).
- ASoC: wm_adsp: Remove pointless string comparison (bsc#1203699).
- commit 5d21207
* Thu Sep 29 2022 msuchanek@suse.de
- kABI: Add back removed struct paca member (bsc#1203664
  ltc#199236).
- Revert "powerpc/rtas: Implement reentrant rtas call"
  (bsc#1203664 ltc#199236).
- commit 93ebb75
* Thu Sep 29 2022 msuchanek@suse.de
- powerpc/papr_scm: Fix buffer overflow issue with
  CONFIG_FORTIFY_SOURCE (jsc#PED-1925).
- powerpc/papr_scm: Fix build failure when (jsc#PED-1925).
- powerpc/papr_scm: Add perf interface support (jsc#PED-1925).
- drivers/nvdimm: Add perf interface to expose nvdimm performance
  stats (jsc#PED-1925).
- drivers/nvdimm: Add nvdimm pmu structure (jsc#PED-1925).
- commit 61ab009
* Thu Sep 29 2022 jlee@suse.com
- Revert "ACPI: processor: idle: Only flush cache on entering C3"
  (jsc#PED-1408).
- Revert "ACPI: scan: Do not add device IDs from _CID if _HID
  is not valid" (jsc#PED-1408).
- ACPI: tables: Quiet ACPI table not found warning (jsc#PED-1408).
- ACPI: require CRC32 to build (jsc#PED-1408).
- ACPI: DPTF: Support Raptor Lake (jsc#PED-1408).
- ACPI: CPPC: Drop redundant local variable from cpc_read()
  (jsc#PED-1408).
- ACPI: CPPC: Fix up I/O port access in cpc_read() (jsc#PED-1408).
- ACPI: pfr_telemetry: Fix info leak in pfrt_log_ioctl()
  (jsc#PED-1408).
- ACPI: pfr_update: Fix return value check in pfru_write()
  (jsc#PED-1408).
- ACPI: Introduce Platform Firmware Runtime Telemetry driver
  (jsc#PED-1408).
- Update supported.conf
  - add drivers/acpi/pfr_telemetry.ko
    ACPI Platform Firmware Runtime Telemetry driver
- ACPI: Introduce Platform Firmware Runtime Update device driver
  (jsc#PED-1408).
- Update config files.
- Update supported.conf
  - add drivers/acpi/pfr_update.ko
    ACPI Platform Firmware Runtime Update Device driver
- ACPI: SPCR: check if table->serial_port.access_width is too wide
  (jsc#PED-1408).
- ACPI: scan: Rename label in acpi_scan_init() (jsc#PED-1408).
- ACPI: scan: Simplify initialization of power and sleep buttons
  (jsc#PED-1408).
- ACPI: scan: Change acpi_scan_init() return value type to void
  (jsc#PED-1408).
- x86/PCI: Remove initialization of static variables to false
  (jsc#PED-1408).
- ACPI: APD: Add a fmw property clk-name (jsc#PED-1408).
- drivers: acpi: acpi_apd: Remove unused device property "is-rv"
  (jsc#PED-1408).
- ACPI: Add a context argument for table parsing handlers
  (jsc#PED-1408).
- ACPI: Teach ACPI table parsing about the CEDT header format
  (jsc#PED-1408).
- ACPI: Keep sub-table parsing infrastructure available for
  modules (jsc#PED-1408).
- ACPI: NFIT: Import GUID before use (jsc#PED-1408).
- PM: hibernate: Allow ACPI hardware signature to be honoured
  (jsc#PED-1408).
- ACPI: CPPC: Add CPPC enable register function (jsc#PED-1408).
- ACPI: CPPC: Implement support for SystemIO registers
  (jsc#PED-1408).
- ACPI: CPPC: Amend documentation in the comments (jsc#PED-1408).
- ACPI: sysfs: use default_groups in kobj_type (jsc#PED-1408).
- ACPI: NUMA: Process hotpluggable memblocks when
  !CONFIG_MEMORY_HOTPLUG (jsc#PED-1408).
- ACPI: tables: Add AEST to the list of known table signatures
  (jsc#PED-1408).
- ACPI: DPTF: Update device ID in a comment (jsc#PED-1408).
- ACPI: PMIC: xpower: Fix _TMP ACPI errors (jsc#PED-1408).
- ACPI: PMIC: allow drivers to provide a custom lpat_raw_to_temp()
  function (jsc#PED-1408).
- ACPI: PMIC: constify all struct intel_pmic_opregion_data
  declarations (jsc#PED-1408).
- ACPI / x86: Skip AC and battery devices on x86 Android tablets
  with broken DSDTs (jsc#PED-1408).
- ACPI / x86: Introduce an acpi_quirk_skip_acpi_ac_and_battery()
  helper (jsc#PED-1408).
  Refresh
  patches.suse/ACPI-battery-Add-the-ThinkPad-Not-Charging-quirk.patch.
- ACPI / x86: Add PWM2 on the Xiaomi Mi Pad 2 to the
  always_present list (jsc#PED-1408).
- ACPI: processor: thermal: avoid cpufreq_get_policy()
  (jsc#PED-1408).
- ACPI: processor: idle: Only flush cache on entering C3
  (jsc#PED-1408).
- ACPI: processor idle: Use swap() instead of open coding it
  (jsc#PED-1408).
- ACPI: processor: Replace kernel.h with the necessary inclusions
  (jsc#PED-1408).
- ACPI: EC: Mark the ec_sys write_support param as
  module_param_hw() (jsc#PED-1408).
- ACPI: EC: Relocate acpi_ec_create_query() and drop
  acpi_ec_delete_query() (jsc#PED-1408).
- ACPI: EC: Make the event work state machine visible
  (jsc#PED-1408).
- ACPI: EC: Avoid queuing unnecessary work in
  acpi_ec_submit_event() (jsc#PED-1408).
- ACPI: EC: Rename three functions (jsc#PED-1408).
- ACPI: EC: Simplify locking in acpi_ec_event_handler()
  (jsc#PED-1408).
- ACPI: EC: Rearrange the loop in acpi_ec_event_handler()
  (jsc#PED-1408).
- ACPI: EC: Fold acpi_ec_check_event() into
  acpi_ec_event_handler() (jsc#PED-1408).
- ACPI: EC: Pass one argument to acpi_ec_query() (jsc#PED-1408).
- ACPI: EC: Call advance_transaction() from acpi_ec_dispatch_gpe()
  (jsc#PED-1408).
- ACPI: EC: Rework flushing of EC work while suspended to idle
  (jsc#PED-1408).
- ACPI: PM: Emit debug messages when enabling/disabling wakeup
  power (jsc#PED-1408).
- ACPI: PM: Remove redundant cache flushing (jsc#PED-1408).
- ACPI: PM: Avoid CPU cache flush when entering S4 (jsc#PED-1408).
- ACPI / x86: Add
  acpi_quirk_skip_[i2c_client|serdev]_enumeration() helpers
  (jsc#PED-1408).
- ACPI: Use acpi_fetch_acpi_dev() instead of acpi_bus_get_device()
  (jsc#PED-1408).
  Refresh
  patches.suse/ACPI-properties-Consistently-return-ENOENT-if-there-.patch.
- ACPI: scan: Do not add device IDs from _CID if _HID is not valid
  (jsc#PED-1408).
- ACPICA: Update version to 20211217 (jsc#PED-1408).
- ACPICA: iASL/NHLT table: "Specific Data" field support
  (jsc#PED-1408).
- ACPICA: iASL: Add suppport for AGDI table (jsc#PED-1408).
- ACPICA: iASL: Add TDEL table to both compiler/disassembler
  (jsc#PED-1408).
- ACPICA: Fixed a couple of warnings under MSVC (jsc#PED-1408).
- ACPICA: Change a return_ACPI_STATUS (AE_BAD_PARAMETER)
  (jsc#PED-1408).
- ACPICA: Add support for PCC Opregion special context data
  (jsc#PED-1408).
- ACPICA: Fix AEST Processor generic resource substructure data
  field byte length (jsc#PED-1408).
- ACPICA: iASL/Disassembler: Additional support for NHLT table
  (jsc#PED-1408).
- ACPICA: Avoid subobject buffer overflow when validating RSDP
  signature (jsc#PED-1408).
- ACPICA: Macros: Remove ACPI_PHYSADDR_TO_PTR (jsc#PED-1408).
- ACPICA: Use original pointer for virtual origin tables
  (jsc#PED-1408).
- ACPICA: Use original data_table_region pointer for accesses
  (jsc#PED-1408).
- ACPI: delay enumeration of devices with a _DEP pointing to an
  INT3472 device (jsc#PED-1408).
- commit a883e60
* Thu Sep 29 2022 tbogendoerfer@suse.de
- ice: support crosstimestamping on E822 devices if supported
  (jsc#PED-376).
- Update config files.
- commit 52d22d8
* Thu Sep 29 2022 tbogendoerfer@suse.de
- net: phy: add Maxlinear GPY115/21x/24x driver (jsc#PED-829).
- Update config files.
- supported.conf: mark mxl-gpy supported
- commit 038e0dc
* Thu Sep 29 2022 tbogendoerfer@suse.de
- ice: fix incorrect dev_dbg print mistaking 'i' for vf->vf_id
  (jsc#PED-376).
- blacklist.conf: removed broken blacklist
- commit 4dd2967
* Thu Sep 29 2022 tbogendoerfer@suse.de
- RDMA/irdma: Remove enum irdma_status_code (jsc#PED-377).
- Refresh
  patches.suse/RDMA-irdma-Prevent-some-integer-underflows.patch.
- commit 0e1b54d
* Thu Sep 29 2022 tbogendoerfer@suse.de
- ice: introduce ice_virtchnl.c and ice_virtchnl.h (jsc#PED-376).
- Refresh
  patches.suse/ice-Do-not-skip-not-enabled-queues-in-ice_vc_dis_qs_.patch.
- Refresh
  patches.suse/ice-Fix-incorrect-locking-in-ice_vc_process_vf_msg.patch.
- Refresh
  patches.suse/ice-Protect-vf_state-check-by-cfg_lock-in-ice_vc_pro.patch.
- Refresh
  patches.suse/ice-clear-stale-Tx-queue-settings-before-configuring.patch.
- commit b1a640b
* Thu Sep 29 2022 tbogendoerfer@suse.de
- ice: rename ice_virtchnl_pf.c to ice_sriov.c (jsc#PED-376).
- Refresh
  patches.suse/ice-Do-not-skip-not-enabled-queues-in-ice_vc_dis_qs_.patch.
- Refresh
  patches.suse/ice-Fix-incorrect-locking-in-ice_vc_process_vf_msg.patch.
- Refresh
  patches.suse/ice-Protect-vf_state-check-by-cfg_lock-in-ice_vc_pro.patch.
- Refresh
  patches.suse/ice-clear-stale-Tx-queue-settings-before-configuring.patch.
- Refresh
  patches.suse/ice-fix-use-after-free-when-deinitializing-mailbox-s.patch.
- commit a6dcbb6
* Thu Sep 29 2022 tbogendoerfer@suse.de
- ice: convert VF storage to hash table with krefs and RCU
  (jsc#PED-376).
- Refresh
  patches.suse/ice-Fix-incorrect-locking-in-ice_vc_process_vf_msg.patch.
- Refresh
  patches.suse/ice-Protect-vf_state-check-by-cfg_lock-in-ice_vc_pro.patch.
- commit bb85cb8
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: introduce VF accessor functions (jsc#PED-376).
- Refresh
  patches.suse/ice-Protect-vf_state-check-by-cfg_lock-in-ice_vc_pro.patch.
- commit 567361b
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: factor VF variables to separate structure (jsc#PED-376).
- Refresh
  patches.suse/ice-Protect-vf_state-check-by-cfg_lock-in-ice_vc_pro.patch.
- commit 3f8b512
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: add TTY for GNSS module for E810T device (jsc#PED-376).
- Refresh
  patches.suse/ice-Fix-race-during-aux-device-un-plugging.patch.
- commit 8bbff5a
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: Simplify tracking status of RDMA support (jsc#PED-376).
- Refresh
  patches.suse/ice-Allow-operation-with-reduced-device-MSI-X.patch.
- commit 679eb4d
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: implement basic E822 PTP support (jsc#PED-376).
- Refresh
  patches.suse/ice-fix-possible-under-reporting-of-ethtool-Tx-and-R.patch.
- commit ef8d58e
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: Propagate error codes (jsc#PED-376).
- Refresh
  patches.suse/ice-Fix-curr_link_speed-advertised-speed.patch.
- commit 80453bf
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: Remove string printing for ice_status (jsc#PED-376).
- Refresh
  patches.suse/ice-enable-parsing-IPSEC-SPI-headers-for-RSS.patch.
- commit e71a23c
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: xsk: use Rx ring's XDP ring when picking NAPI context
  (jsc#PED-376).
- commit d811ddb
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ice: xsk: prohibit usage of non-balanced queue id (jsc#PED-376).
- ice: Fix VF not able to send tagged traffic with no VLAN filters
  (jsc#PED-376).
- ice: Ignore error message when setting same promiscuous mode
  (jsc#PED-376).
- ice: Fix clearing of promisc mode with bridge over bond
  (jsc#PED-376).
- ice: Ignore EEXIST when setting promisc mode (jsc#PED-376).
- ice: Fix double VLAN error when entering promisc mode
  (jsc#PED-376).
- ice: Fix call trace with null VSI during VF reset (jsc#PED-376).
- ice: Fix VSI rebuild WARN_ON check for VF (jsc#PED-376).
- net/ice: fix initializing the bitmap in the switch code
  (jsc#PED-376).
- RDMA/irdma: Use the bitmap API to allocate bitmaps
  (jsc#PED-377).
- RDMA/irdma: Fix setting of QP context err_rq_idx_valid field
  (jsc#PED-377).
- RDMA/irdma: Fix VLAN connection with wildcard address
  (jsc#PED-377).
- RDMA/irdma: Fix a window for use-after-free (jsc#PED-377).
- RDMA/irdma: Make resource distribution algorithm more QP
  oriented (jsc#PED-377).
- RDMA/irdma: Make CQP invalid state error non-critical
  (jsc#PED-377).
- RDMA/irdma: Add AE source to error log (jsc#PED-377).
- RDMA/irdma: Add 2 level PBLE support for FMR (jsc#PED-377).
- net: ice: fix error NETIF_F_HW_VLAN_CTAG_FILTER check in
  ice_vsi_sync_fltr() (jsc#PED-376).
- ice: implement adjfine with mul_u64_u64_div_u64 (jsc#PED-376).
- ice: allow toggling loopback mode via ndo_set_features callback
  (jsc#PED-376).
- ice: compress branches in ice_set_features() (jsc#PED-376).
- ice: Fix promiscuous mode not turning off (jsc#PED-376).
- ice: Introduce enabling promiscuous mode on multiple VF's
  (jsc#PED-376).
- ice: Add support for PPPoE hardware offload (jsc#PED-376).
- flow_offload: Introduce flow_match_pppoe (jsc#PED-376).
- flow_dissector: Add PPPoE dissectors (jsc#PED-376).
- ice: add write functionality for GNSS TTY (jsc#PED-376).
- ice: add i2c write command (jsc#PED-376).
- ice: Remove pci_aer_clear_nonfatal_status() call (jsc#PED-376).
- ice: Add EXTTS feature to the feature bitmap (jsc#PED-376).
- net: extract port range fields from fl_flow_key (jsc#PED-376).
- ice: Remove unnecessary NULL check before dev_put (jsc#PED-376).
- ice: use eth_broadcast_addr() to set broadcast address
  (jsc#PED-376).
- ice: switch: dynamically add VLAN headers to dummy packets
  (jsc#PED-376).
- ice: Add support for VLAN TPID filters in switchdev
  (jsc#PED-376).
- ice: Add support for double VLAN in switchdev (jsc#PED-376).
- intel/ice:fix repeated words in comments (jsc#PED-376).
- ice: Use correct order for the parameters of devm_kcalloc()
  (jsc#PED-376).
- ice: remove u16 arithmetic in ice_gnss (jsc#PED-376).
- ice: remove VLAN representor specific ops (jsc#PED-376).
- ice: don't set VF VLAN caps in switchdev (jsc#PED-376).
- ice: do not setup vlan for loopback VSI (jsc#PED-376).
- ice: check (DD | EOF) bits on Rx descriptor rather than (EOP |
  RS) (jsc#PED-376).
- ice: Fix VSIs unable to share unicast MAC (jsc#PED-376).
- ice: Fix tunnel checksum offload with fragmented traffic
  (jsc#PED-376).
- ice: Fix max VLANs available for VF (jsc#PED-376).
- RDMA/irdma: Fix sleep from invalid context BUG (jsc#PED-377).
- RDMA/irdma: Do not advertise 1GB page size for x722
  (jsc#PED-377).
- ice: change devlink code to read NVM in blocks (jsc#PED-376).
- ice: handle E822 generic device ID in PLDM header (jsc#PED-376).
- ice: ethtool: Prohibit improper channel config for DCB
  (jsc#PED-376).
- ice: ethtool: advertise 1000M speeds properly (jsc#PED-376).
- ice: Fix switchdev rules book keeping (jsc#PED-376).
- ice: ignore protocol field in GTP offload (jsc#PED-376).
- ice: Fix memory corruption in VF driver (jsc#PED-376).
- ice: Fix queue config fail handling (jsc#PED-376).
- ice: Sync VLAN filtering features for DVM (jsc#PED-376).
- ice: Fix PTP TX timestamp offset calculation (jsc#PED-376).
- ice: fix access-beyond-end in the switch code (jsc#PED-376).
- RDMA/irdma: Add SW mechanism to generate completions on error
  (jsc#PED-377).
- RDMA/irdma: Remove the redundant variable (jsc#PED-377).
- eth: ice: silence the GCC 12 array-bounds warning (jsc#PED-376).
- ice: Expose RSS indirection tables for queue groups via ethtool
  (jsc#PED-376).
- Revert "ice: Hide bus-info in ethtool for PRs in switchdev mode"
  (jsc#PED-376).
- ice: link representors to PCI device (jsc#PED-376).
- ice: remove period on argument description in ice_for_each_vf
  (jsc#PED-376).
- ice: add a function comment for ice_cfg_mac_antispoof
  (jsc#PED-376).
- ice: fix wording in comment for ice_reset_vf (jsc#PED-376).
- ice: remove return value comment for ice_reset_all_vfs
  (jsc#PED-376).
- ice: always check VF VSI pointer values (jsc#PED-376).
- ice: add newline to dev_dbg in ice_vf_fdir_dump_info
  (jsc#PED-376).
- ice: get switch id on switchdev devices (jsc#PED-376).
- ice: return ENOSPC when exceeding ICE_MAX_CHAIN_WORDS
  (jsc#PED-376).
- ice: introduce common helper for retrieving VSI by vsi_num
  (jsc#PED-376).
- ice: use min_t() to make code cleaner in ice_gnss (jsc#PED-376).
- ice, xsk: Avoid refilling single Rx descriptors (jsc#PED-376).
- ice, xsk: Diversify return values from xsk_wakeup call paths
  (jsc#PED-376).
- ice, xsk: Terminate Rx side of NAPI when XSK Rx queue gets full
  (jsc#PED-376).
- ice, xsk: Decorate ICE_XDP_REDIR with likely() (jsc#PED-376).
- flow_dissector: Add number of vlan tags dissector (jsc#PED-376).
- ice: Add mpls+tso support (jsc#PED-376).
- ice: switch: convert packet template match code to rodata
  (jsc#PED-376).
- ice: switch: use convenience macros to declare dummy pkt
  templates (jsc#PED-376).
- ice: switch: use a struct to pass packet template params
  (jsc#PED-376).
- ice: switch: unobscurify bitops loop in
  ice_fill_adv_dummy_packet() (jsc#PED-376).
- ice: switch: add and use u16 aliases to ice_adv_lkup_elem::{h,
  m}_u (jsc#PED-376).
- ice: Fix interrupt moderation settings getting cleared
  (jsc#PED-376).
- RDMA/irdma: Fix deadlock in irdma_cleanup_cm_core()
  (jsc#PED-377).
- ice: wait 5 s for EMP reset after firmware flash (jsc#PED-376).
- ice: Fix memory leak in ice_get_orom_civd_data() (jsc#PED-376).
- ice: xsk: check if Rx ring was filled up to the end
  (jsc#PED-376).
- ice: arfs: fix use-after-free when freeing @rx_cpu_rmap
  (jsc#PED-376).
- flow_dissector: fix false-positive __read_overflow2_field()
  warning (jsc#PED-376).
- ice: Set txq_teid to ICE_INVAL_TEID on ring creation
  (jsc#PED-376).
- ice: Fix broken IFF_ALLMULTI handling (jsc#PED-376).
- ice: Fix MAC address setting (jsc#PED-376).
- ice: xsk: Stop Rx processing when ntc catches ntu (jsc#PED-376).
- ice: xsk: Eliminate unnecessary loop iteration (jsc#PED-376).
- RDMA/irdma: Add support for address handle re-use (jsc#PED-377).
- RDMA/irdma: Make irdma_create_mg_ctx return a void
  (jsc#PED-377).
- RDMA/irdma: Move union irdma_sockaddr to header file
  (jsc#PED-377).
- RDMA/irdma: Remove the unnecessary variable saddr (jsc#PED-377).
- RDMA/irdma: Use net_type to check network type (jsc#PED-377).
- RDMA/irdma: Remove excess error variables (jsc#PED-377).
- RDMA/irdma: Propagate error codes (jsc#PED-377).
- RDMA/irdma: Add support for DSCP (jsc#PED-377).
- RDMA/irdma: Refactor DCB bits in prep for DSCP support
  (jsc#PED-377).
- ice: add trace events for tx timestamps (jsc#PED-376).
- ice: fix return value check in ice_gnss.c (jsc#PED-376).
- ice: Fix inconsistent indenting in ice_switch (jsc#PED-376).
- gtp: Fix inconsistent indenting (jsc#PED-376).
- ice: remove PF pointer from ice_check_vf_init (jsc#PED-376).
- ice: cleanup long lines in ice_sriov.c (jsc#PED-376).
- ice: introduce ICE_VF_RESET_LOCK flag (jsc#PED-376).
- ice: introduce ICE_VF_RESET_NOTIFY flag (jsc#PED-376).
- ice: convert ice_reset_vf to take flags (jsc#PED-376).
- ice: convert ice_reset_vf to standard error codes (jsc#PED-376).
- ice: make ice_reset_all_vfs void (jsc#PED-376).
- ice: drop is_vflr parameter from ice_reset_all_vfs
  (jsc#PED-376).
- ice: move reset functionality into ice_vf_lib.c (jsc#PED-376).
- ice: fix a long line warning in ice_reset_vf (jsc#PED-376).
- ice: introduce VF operations structure for reset flows
  (jsc#PED-376).
- ice: introduce ice_vf_lib.c, ice_vf_lib.h, and
  ice_vf_lib_private.h (jsc#PED-376).
- ice: use ice_is_vf_trusted helper function (jsc#PED-376).
- ice: log an error message when eswitch fails to configure
  (jsc#PED-376).
- ice: cleanup error logging for ice_ena_vfs (jsc#PED-376).
- ice: move ice_set_vf_port_vlan near other .ndo ops
  (jsc#PED-376).
- ice: refactor spoofchk control code in ice_sriov.c
  (jsc#PED-376).
- ice: rename ICE_MAX_VF_COUNT to avoid confusion (jsc#PED-376).
- ice: remove unused definitions from ice_sriov.h (jsc#PED-376).
- ice: convert vf->vc_ops to a const pointer (jsc#PED-376).
- ice: remove circular header dependencies on ice.h (jsc#PED-376).
- ice: rename ice_sriov.c to ice_vf_mbx.c (jsc#PED-376).
- ice: Support GTP-U and GTP-C offload in switchdev (jsc#PED-376).
- ice: Fix FV offset searching (jsc#PED-376).
- gtp: Add support for checking GTP device type (jsc#PED-376).
- net/sched: Allow flower to match on GTP options (jsc#PED-376).
- gtp: Implement GTP echo request (jsc#PED-376).
- gtp: Implement GTP echo response (jsc#PED-376).
- gtp: Allow to create GTP device without FDs (jsc#PED-376).
- flow_dissector: Add support for HSRv0 (jsc#PED-376).
- ice: Add support for outer dest MAC for ADQ tunnels
  (jsc#PED-376).
- ice: avoid XDP checks in ice_clean_tx_irq() (jsc#PED-376).
- ice: change "can't set link" message to dbg level (jsc#PED-376).
- ice: Add slow path offload stats on port representor in
  switchdev (jsc#PED-376).
- ice: Add support for inner etype in switchdev (jsc#PED-376).
- ice: xsk: fix GCC version checking against pragma unroll
  presence (jsc#PED-376).
- ice: convert ice_for_each_vf to include VF entry iterator
  (jsc#PED-376).
- ice: use ice_for_each_vf for iteration during removal
  (jsc#PED-376).
- ice: remove checks in ice_vc_send_msg_to_vf (jsc#PED-376).
- ice: move VFLR acknowledge during ice_free_vfs (jsc#PED-376).
- ice: move clear_malvf call in ice_free_vfs (jsc#PED-376).
- ice: pass num_vfs to ice_set_per_vf_res() (jsc#PED-376).
- ice: store VF pointer instead of VF ID (jsc#PED-376).
- ice: refactor unwind cleanup in eswitch mode (jsc#PED-376).
- flow_dissector: Add support for HSR (jsc#PED-376).
- ice: Add ability for PF admin to enable VF VLAN pruning
  (jsc#PED-376).
- ice: Add support for 802.1ad port VLANs VF (jsc#PED-376).
- ice: Advertise 802.1ad VLAN filtering and offloads for PF netdev
  (jsc#PED-376).
- ice: Support configuring the device to Double VLAN Mode
  (jsc#PED-376).
- ice: Add support for VIRTCHNL_VF_OFFLOAD_VLAN_V2 (jsc#PED-376).
- ice: Add hot path support for 802.1Q and 802.1ad VLAN offloads
  (jsc#PED-376).
- ice: Add outer_vlan_ops and VSI specific VLAN ops
  implementations (jsc#PED-376).
- ice: Adjust naming for inner VLAN operations (jsc#PED-376).
- ice: Use the proto argument for VLAN ops (jsc#PED-376).
- ice: Refactor vf->port_vlan_info to use ice_vlan (jsc#PED-376).
- ice: Introduce ice_vlan struct (jsc#PED-376).
- ice: Add new VSI VLAN ops (jsc#PED-376).
- ice: Add helper function for adding VLAN 0 (jsc#PED-376).
- ice: Refactor spoofcheck configuration functions (jsc#PED-376).
- ice: xsk: Borrow xdp_tx_active logic from i40e (jsc#PED-376).
- ice: xsk: Improve AF_XDP ZC Tx and use batching API
  (jsc#PED-376).
- ice: xsk: Avoid potential dead AF_XDP Tx processing
  (jsc#PED-376).
- ice: Make Tx threshold dependent on ring length (jsc#PED-376).
- ice: xsk: Handle SW XDP ring wrap and bump tail more often
  (jsc#PED-376).
- ice: xsk: Force rings to be sized to power of 2 (jsc#PED-376).
- ice: Remove likely for napi_complete_done (jsc#PED-376).
- ice: add support for DSCP QoS for IDC (jsc#PED-376).
- ice: respect metadata in legacy-rx/ice_construct_skb()
  (jsc#PED-376).
- ice: Remove useless DMA-32 fallback configuration (jsc#PED-376).
- ice: destroy flow director filter mutex after releasing VSIs
  (jsc#PED-376).
- ice: Match on all profiles in slow-path (jsc#PED-376).
- RDMA/irdma: Remove the redundant return (jsc#PED-377).
- RDMA/irdma: Make the source udp port vary (jsc#PED-377).
- RDMA/core: Calculate UDP source port based on flow label or
  lqpn/rqpn (jsc#PED-377).
- RDMA/irdma: Fix the type used to declare a bitmap (jsc#PED-377).
- RDMA/irdma: Use helper function to set GUIDs (jsc#PED-377).
- RDMA/irdma: Use irq_update_affinity_hint() (jsc#PED-377).
- ice: Use bitmap_free() to free bitmap (jsc#PED-376).
- ice: Optimize a few bitmap operations (jsc#PED-376).
- ice: Slightly simply ice_find_free_recp_res_idx (jsc#PED-376).
- ice: improve switchdev's slow-path (jsc#PED-376).
- ice: replay advanced rules after reset (jsc#PED-376).
- ice: Add flow director support for channel mode (jsc#PED-376).
- skbuff: introduce skb_pull_data (jsc#PED-376).
- ice: switch to napi_build_skb() (jsc#PED-376).
- ice: trivial: fix odd indenting (jsc#PED-376).
- ice: exit bypass mode once hardware finishes timestamp
  calibration (jsc#PED-376).
- ice: ensure the hardware Clock Generation Unit is configured
  (jsc#PED-376).
- ice: convert clk_freq capability into time_ref (jsc#PED-376).
- ice: introduce ice_ptp_init_phc function (jsc#PED-376).
- ice: use 'int err' instead of 'int status' in ice_ptp_hw.c
  (jsc#PED-376).
- ice: PTP: move setting of tstamp_config (jsc#PED-376).
- ice: introduce ice_base_incval function (jsc#PED-376).
- ice: Fix E810 PTP reset flow (jsc#PED-376).
- ice: use modern kernel API for kick (jsc#PED-376).
- ice: tighter control over VSI_DOWN state (jsc#PED-376).
- ice: use prefetch methods (jsc#PED-376).
- ice: update to newer kernel API (jsc#PED-376).
- ice: support immediate firmware activation via devlink reload
  (jsc#PED-376).
- ice: reduce time to read Option ROM CIVD data (jsc#PED-376).
- ice: move ice_devlink_flash_update and merge with
  ice_flash_pldm_image (jsc#PED-376).
- ice: move and rename ice_check_for_pending_update (jsc#PED-376).
- ice: devlink: add shadow-ram region to snapshot Shadow RAM
  (jsc#PED-376).
- ice: Remove unused ICE_FLOW_SEG_HDRS_L2_MASK (jsc#PED-376).
- ice: Remove unnecessary casts (jsc#PED-376).
- ice: Remove excess error variables (jsc#PED-376).
- ice: Cleanup after ice_status removal (jsc#PED-376).
- ice: Remove enum ice_status (jsc#PED-376).
- ice: Use int for ice_status (jsc#PED-376).
- ice: Refactor status flow for DDP load (jsc#PED-376).
- ice: Refactor promiscuous functions (jsc#PED-376).
- ice: refactor PTYPE validating (jsc#PED-376).
- ice: Add package PTYPE enable information (jsc#PED-376).
- gtp: use skb_dst_update_pmtu_no_confirm() instead of direct call
  (jsc#PED-376).
- dissector: do not set invalid PPP protocol (jsc#PED-376).
- net: phy: enhance GPY115 loopback disable function
  (jsc#PED-829).
- net: phy: add API to read 802.3-c45 IDs (jsc#PED-829).
- commit 172341e
* Wed Sep 28 2022 lduncan@suse.com
- blacklist.conf: add scsi commit that's too invasive
- commit ed3d357
* Wed Sep 28 2022 oneukum@suse.com
- usb: core: devices: remove dead code under #ifdef PROC_EXTRA
  (jsc#PED-531).
- commit ffed5f4
* Wed Sep 28 2022 jlee@suse.com
- arm64: numa: Don't check node against MAX_NUMNODES
  (jsc#PED-1408).
- arm64: Simplify checking for populated DT (jsc#PED-1408).
- commit 87c5b07
* Wed Sep 28 2022 oneukum@suse.com
- struct ehci_hcd: hide new element going into a hole (git-fixes).
- commit 859270b
* Wed Sep 28 2022 oneukum@suse.com
- USB: Fix ehci infinite suspend-resume loop issue in zhaoxin
  (git-fixes).
- commit 71e1e4f
* Wed Sep 28 2022 oneukum@suse.com
- xen/usb: don't use arbitrary_virt_to_machine() (git-fixes).
- commit 9497b70
* Wed Sep 28 2022 oneukum@suse.com
- usb: host: xhci: fix a comment typo in xhci_mem_init()
  (git-fixes).
- usb: host: xhci: use ffs() in xhci_mem_init() (git-fixes).
- commit f930b4a
* Wed Sep 28 2022 oneukum@suse.com
- usb: Drop commas after SoC match table sentinels (git-fixes).
- commit c8fc91a
* Wed Sep 28 2022 oneukum@suse.com
- Revert "usb: host: xhci: mvebu: make USB 3.0 PHY optional for
  Armada 3720" (jsc#PED-531).
- commit a68eb3d
* Wed Sep 28 2022 oneukum@suse.com
- xhci: omit mem read just after allocation of trb (jsc#PED-531).
- commit 9657cdf
* Wed Sep 28 2022 oneukum@suse.com
- usb: xhci: fix minmax.cocci warnings (jsc#PED-531).
- commit 31c9b81
* Wed Sep 28 2022 oneukum@suse.com
- usb: host: xhci: drop redundant checks (jsc#PED-531).
- commit 8545650
* Wed Sep 28 2022 oneukum@suse.com
- struct xhci_hcd: restore member now dynamically allocated
  (git-fixes).
- commit ac47acd
* Wed Sep 28 2022 oneukum@suse.com
- xhci: Allocate separate command structures for each LPM command
  (git-fixes).
- commit 3b8bc54
* Wed Sep 28 2022 oneukum@suse.com
- xhci: dbgtty: use IDR to support several dbc instances
  (jsc#PED-531).
- commit 7b43f4d
* Wed Sep 28 2022 oneukum@suse.com
- xhci: dbc: Don't call dbc_tty_init() on every dbc tty probe
  (jsc#PED-531).
- commit c0f4051
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net: mscc: ocelot: add MAC table stream learn and lookup
  operations (jsc#PED-1549).
- Refresh
  patches.suse/net-mscc-ocelot-use-index-to-set-vcap-policer.patch.
- commit 210cb02
* Wed Sep 28 2022 oneukum@suse.com
- usb: host: xhci-mtk: Simplify supplies handling with
  regulator_bulk (jsc#PED-531).
- commit bc712ac
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net: mscc: ocelot: serialize access to the MAC table
  (jsc#PED-1549).
- commit fb07363
* Wed Sep 28 2022 oneukum@suse.com
- USB: core: Fix RST error in hub.c (git-fixes).
- commit 19a77db
* Wed Sep 28 2022 jlee@suse.com
- ACPI: Make acpi_node_get_parent() local (jsc#PED-1408).
- ACPI: video: use platform backlight driver on Xiaomi Mi Pad 2
  (jsc#PED-1408).
- ACPI: video: Drop dmi_system_id.ident settings from
  video_detect_dmi_table (jsc#PED-1408).
- ACPI: EC: Remove initialization of static variables to false
  (jsc#PED-1408).
- ACPI: EC: Use ec_no_wakeup on HP ZHAN 66 Pro (jsc#PED-1408).
- ACPI: Drop ACPI_USE_BUILTIN_STDARG ifdef from acgcc.h
  (jsc#PED-1408).
- ACPI: Add a convenience function to tell a device is in D0 state
  (jsc#PED-1408).
- ACPI: scan: Obtain device's desired enumeration power state
  (jsc#PED-1408).
- ACPI: PRM: Handle memory allocation and memory remap failure
  (jsc#PED-1408).
- ACPI: PRM: Remove unnecessary blank lines (jsc#PED-1408).
- ACPI: APEI: mark apei_hest_parse() static (jsc#PED-1408).
- ACPI: APEI: EINJ: Relax platform response timeout to 1 second
  (jsc#PED-1408).
- ACPI: PM: sleep: Do not set suspend_ops unnecessarily
  (jsc#PED-1408).
- ACPI: PM: Turn off wakeup power resources on _DSW/_PSW errors
  (jsc#PED-1408).
- ACPI: PM: Check states of power resources during initialization
  (jsc#PED-1408).
- ACPI: LPSS: Use ACPI_COMPANION() directly (jsc#PED-1408).
- ACPI: PNP: remove duplicated BRI0A49 and BDP3336 entries
  (jsc#PED-1408).
- ACPI: glue: Use acpi_device_adr() in acpi_find_child_device()
  (jsc#PED-1408).
- ACPI: glue: Look for ACPI bus type only if ACPI companion is
  not known (jsc#PED-1408).
- ACPI: glue: Drop cleanup callback from struct acpi_bus_type
  (jsc#PED-1408).
- ACPI: replace snprintf() in "show" functions with sysfs_emit()
  (jsc#PED-1408).
- ACPI: Kconfig: Fix a typo in Kconfig (jsc#PED-1408).
- x86: ACPI: cstate: Optimize C3 entry on AMD CPUs (jsc#PED-1408).
- x86/ACPI: Don't add CPUs that are not online capable
  (jsc#PED-1408).
- ACPICA: Add support for MADT online enabled bit (jsc#PED-1408).
- ACPICA: Update version to 20210930 (jsc#PED-1408).
- ACPICA: iASL table disassembler: Added disassembly support
  for the NHLT ACPI table (jsc#PED-1408).
- ACPICA: ACPI 6.4 SRAT: add Generic Port Affinity type
  (jsc#PED-1408).
- ACPICA: Add support for Windows 2020 _OSI string (jsc#PED-1408).
- hwmon: (acpi_power_meter) Use acpi_bus_get_acpi_device()
  (jsc#PED-1408).
- commit f5b4569
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net/mlx5: Reduce kconfig complexity while building crypto
  support (jsc#PED-1549).
- Update config files.
- commit 855cd57
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net/mlx5_fpga: Drop INNOVA IPsec support (jsc#PED-1549).
- Update config files.
- commit 578a0d4
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net/mlx5_fpga: Drop INNOVA TLS support (jsc#PED-1549).
- Update config files.
- commit 795dab1
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net/mlx5e: Use READ_ONCE/WRITE_ONCE for DCBX trust state
  (jsc#PED-1549).
- Refresh
  patches.suse/net-mlx5e-Fix-trust-state-reset-in-reload.patch.
- commit 471621b
* Wed Sep 28 2022 tbogendoerfer@suse.de
- ixgbe: pass bi->xdp to ixgbe_construct_skb_zc() directly
  (jsc#PED-373).
- Refresh
  patches.suse/ixgbe-don-t-reserve-excessive-XDP_PACKET_HEADROOM-on.patch.
- Refresh
  patches.suse/ixgbe-respect-metadata-on-XSK-Rx-to-skb.patch.
- commit 7177fc1
* Wed Sep 28 2022 tbogendoerfer@suse.de
- net/mlx5: Disable SRIOV before PF removal (jsc#PED-1549).
- Refresh
  patches.suse/net-mlx5-Drain-fw_reset-when-removing-device.patch.
- commit f8869cb
* Wed Sep 28 2022 tbogendoerfer@suse.de
- i40e: Add ensurance of MacVlan resources for every trusted VF
  (jsc#PED-372).
- Refresh
  patches.suse/i40e-stop-disabling-VFs-due-to-PF-error-responses.patch.
- commit 820414c
* Wed Sep 28 2022 tbogendoerfer@suse.de
- flow_offload: validate flags of filter and actions
  (jsc#PED-1549).
- Refresh
  patches.suse/net-sched-cls_u32-fix-netns-refcount-changes-in-u32_.patch.
- commit 45cd6c8
* Wed Sep 28 2022 tbogendoerfer@suse.de
- iavf: Add support for VIRTCHNL_VF_OFFLOAD_VLAN_V2 offload
  enable/disable (jsc#PED-835).
- Refresh
  patches.suse/iavf-Fix-locking-for-VIRTCHNL_OP_GET_OFFLOAD_VLAN_V2.patch.
- commit 9e30247
* Wed Sep 28 2022 tbogendoerfer@suse.de
- iavf: Add support for VIRTCHNL_VF_OFFLOAD_VLAN_V2 hotpath
  (jsc#PED-835).
- Refresh
  patches.suse/iavf-Fix-locking-for-VIRTCHNL_OP_GET_OFFLOAD_VLAN_V2.patch.
- commit 8b35988
* Tue Sep 27 2022 tbogendoerfer@suse.de
- iavf: Add support for VIRTCHNL_VF_OFFLOAD_VLAN_V2 negotiation
  (jsc#PED-835).
- Refresh
  patches.suse/iavf-Fix-locking-for-VIRTCHNL_OP_GET_OFFLOAD_VLAN_V2.patch.
- commit c795d27
* Tue Sep 27 2022 tbogendoerfer@suse.de
- iavf: Add trace while removing device (jsc#PED-835).
- Refresh
  patches.suse/iavf-Rework-mutexes-for-better-synchronisation.patch.
- commit 5cee973
* Tue Sep 27 2022 tbogendoerfer@suse.de
- net/sched: Extend qdisc control block with tc control block
  (jsc#PED-1549).
- Refresh
  patches.suse/net-Don-t-include-filter.h-from-net-sock.h.patch.
- commit f04ca77
* Tue Sep 27 2022 tbogendoerfer@suse.de
- mlxsw: spectrum: Use PLLP to get front panel number and split
  number (jsc#PED-1549).
- Refresh
  patches.suse/mlxsw-spectrum-Use-PMTDB-register-to-obtain-split-in.patch.
- commit 4d99513
* Tue Sep 27 2022 tbogendoerfer@suse.de
- mlxsw: reg: Add Port Local port to Label Port mapping Register
  (jsc#PED-1549).
- Refresh
  patches.suse/mlxsw-reg-Add-Port-Module-To-local-DataBase-Register.patch.
- commit a1f7333
* Tue Sep 27 2022 tbogendoerfer@suse.de
- vduse: Introduce VDUSE - vDPA Device in Userspace
  (jsc#PED-1549).
- Update config files.
- commit 0310e1b
* Tue Sep 27 2022 tbogendoerfer@suse.de
- vdpa/mlx5: Add support for control VQ and MAC setting
  (jsc#PED-1549).
- Refresh
  patches.suse/RDMA-mlx5-Replace-struct-mlx5_core_mkey-by-u32-key.patch.
- commit df0ceb2
* Tue Sep 27 2022 tbogendoerfer@suse.de
- i40e: Fix incorrect address type for IPv6 flow rules
  (jsc#PED-372).
- ixgbe: stop resetting SYSTIME in ixgbe_ptp_start_cyclecounter
  (jsc#PED-373).
- net/mlx5: Unlock on error in mlx5_sriov_enable() (jsc#PED-1549).
- net/mlx5e: Fix use after free in mlx5e_fs_init() (jsc#PED-1549).
- net/mlx5e: kTLS, Use _safe() iterator in
  mlx5e_tls_priv_tx_list_cleanup() (jsc#PED-1549).
- net/mlx5: unlock on error path in
  esw_vfs_changed_event_handler() (jsc#PED-1549).
- net/mlx5e: Fix wrong tc flag used when set hw-tc-offload off
  (jsc#PED-1549).
- net/mlx5e: TC, Add missing policer validation (jsc#PED-1549).
- net/mlx5e: Fix wrong application of the LRO state
  (jsc#PED-1549).
- net/mlx5: Avoid false positive lockdep warning by adding
  lock_class_key (jsc#PED-1549).
- net/mlx5: Fix cmd error logging for manage pages cmd
  (jsc#PED-1549).
- net/mlx5: Disable irq when locking lag_lock (jsc#PED-1549).
- net/mlx5: Eswitch, Fix forwarding decision to uplink
  (jsc#PED-1549).
- net/mlx5: LAG, fix logic over MLX5_LAG_FLAG_NDEVS_READY
  (jsc#PED-1549).
- net/mlx5e: Properly disable vlan strip on non-UL reps
  (jsc#PED-1549).
- RDMA/mlx5: Use the proper number of ports (jsc#PED-1552).
- igb: Add lock to avoid data race (jsc#PED-370).
- net/mlx5e: Allocate flow steering storage during uplink
  initialization (jsc#PED-1549).
- i40e: Fix to stop tx_timeout recovery if GLOBR fails
  (jsc#PED-372).
- i40e: Fix tunnel checksum offload with fragmented traffic
  (jsc#PED-372).
- iavf: Fix deadlock in initialization (jsc#PED-835).
- iavf: Fix reset error handling (jsc#PED-835).
- iavf: Fix NULL pointer dereference in iavf_get_link_ksettings
  (jsc#PED-835).
- iavf: Fix adminq error handling (jsc#PED-835).
- vdpa/mlx5: Fix possible uninitialized return value
  (jsc#PED-1549).
- vhost-vdpa: uAPI to suspend the device (jsc#PED-1549).
- vhost-vdpa: introduce SUSPEND backend feature bit
  (jsc#PED-1549).
- vdpa: Add suspend operation (jsc#PED-1549).
- vhost-vdpa: Call ida_simple_remove() when failed (jsc#PED-1549).
- vDPA/ifcvf: support userspace to query features and MQ of a
  management device (jsc#PED-1549).
- vdpa/mlx5: Support different address spaces for control and data
  (jsc#PED-1549).
- vdpa/mlx5: Implement susupend virtqueue callback (jsc#PED-1549).
- vdpa: ifcvf: Fix spelling mistake in comments (jsc#PED-1549).
- vdpa/mlx5: Use eth_broadcast_addr() to assign broadcast address
  (jsc#PED-1549).
- mlx5: do not use RT_TOS for IPv6 flowlabel (jsc#PED-1549).
- bnxt_en: Remove duplicated include bnxt_devlink.c
  (jsc#PED-1495).
- RDMA/mlx5: Add missing check for return value in get namespace
  flow (jsc#PED-1552).
- RDMA/mlx5: Rename the mkey cache variables and functions
  (jsc#PED-1552).
- RDMA/mlx5: Store in the cache mkeys instead of mrs
  (jsc#PED-1552).
- RDMA/mlx5: Store the number of in_use cache mkeys instead of
  total_mrs (jsc#PED-1552).
- RDMA/mlx5: Replace cache list with Xarray (jsc#PED-1552).
- RDMA/mlx5: Replace ent->lock with xa_lock (jsc#PED-1552).
- RDMA/mlx5: Expose steering anchor to userspace (jsc#PED-1552).
- RDMA/mlx5: Refactor get flow table function (jsc#PED-1552).
- net/mlx5: fs, allow flow table creation with a UID
  (jsc#PED-1549).
- net/mlx5: fs, expose flow table ID to users (jsc#PED-1549).
- net/mlx5: Expose the ability to point to any UID from shared
  UID (jsc#PED-1549).
- RDMA/mlx5: Add a umr recovery flow (jsc#PED-1552).
- net/mlx5e: xsk: Discard unaligned XSK frames on striding RQ
  (jsc#PED-1549).
- iavf: Fix 'tc qdisc show' listing too many queues (jsc#PED-835).
- iavf: Fix max_rate limiting (jsc#PED-835).
- net/mlx5: Fix driver use of uninitialized timeout
  (jsc#PED-1549).
- net/mlx5: DR, Fix SMFS steering info dump format (jsc#PED-1549).
- net/mlx5: Adjust log_max_qp to be 18 at most (jsc#PED-1549).
- net/mlx5e: Modify slow path rules to go to slow fdb
  (jsc#PED-1549).
- net/mlx5e: Fix calculations related to max MPWQE size
  (jsc#PED-1549).
- net/mlx5e: xsk: Account for XSK RQ UMRs when calculating ICOSQ
  size (jsc#PED-1549).
- net/mlx5e: Fix the value of MLX5E_MAX_RQ_NUM_MTTS
  (jsc#PED-1549).
- net/mlx5e: TC, Fix post_act to not match on in_port metadata
  (jsc#PED-1549).
- net/mlx5e: Remove WARN_ON when trying to offload an unsupported
  TLS cipher/version (jsc#PED-1549).
- igb: convert .adjfreq to .adjfine (jsc#PED-370).
- ixgbe: convert .adjfreq to .adjfine (jsc#PED-373).
- i40e: convert .adjfreq to .adjfine (jsc#PED-372).
- i40e: use mul_u64_u64_div_u64 for PTP frequency calculation
  (jsc#PED-372).
- net: devlink: convert reload command to take implicit
  devlink->lock (jsc#PED-1549).
- net/mlx5e: Move mlx5e_init_l2_addr to en_main (jsc#PED-1549).
- net/mlx5e: Split en_fs ndo's and move to en_main (jsc#PED-1549).
- net/mlx5e: Separate mlx5e_set_rx_mode_work and move caller to
  en_main (jsc#PED-1549).
- net/mlx5e: Add mdev to flow_steering struct (jsc#PED-1549).
- net/mlx5e: Report flow steering errors with mdev err report API
  (jsc#PED-1549).
- net/mlx5e: Convert mlx5e_flow_steering member of mlx5e_priv
  to pointer (jsc#PED-1549).
- net/mlx5e: Allocate VLAN and TC for featured profiles only
  (jsc#PED-1549).
- net/mlx5e: Make mlx5e_tc_table private (jsc#PED-1549).
- net/mlx5e: Convert mlx5e_tc_table member of mlx5e_flow_steering
  to pointer (jsc#PED-1549).
- net/mlx5e: TC, Support tc action api for police (jsc#PED-1549).
- net/mlx5e: TC, Separate get/update/replace meter functions
  (jsc#PED-1549).
- net/mlx5e: Add red and green counters for metering
  (jsc#PED-1549).
- net/mlx5e: TC, Allocate post meter ft per rule (jsc#PED-1549).
- net/mlx5: DR, Add support for flow metering ASO (jsc#PED-1549).
- devlink: Hold the instance lock in health callbacks
  (jsc#PED-1549).
- net/mlx5: Lock mlx5 devlink health recovery callback
  (jsc#PED-1549).
- net/mlx4: Lock mlx4 devlink reload callback (jsc#PED-1548).
- net/mlx4: Use devl_ API for devlink region create / destroy
  (jsc#PED-1548).
- net/mlx5: Lock mlx5 devlink reload callbacks (jsc#PED-1549).
- net/mlx5: Move fw reset unload to mlx5_fw_reset_complete_reload
  (jsc#PED-1549).
- net: devlink: remove region snapshots list dependency on
  devlink->lock (jsc#PED-1549).
- net: devlink: remove region snapshot ID tracking dependency
  on devlink->lock (jsc#PED-1549).
- bnxt_en: implement callbacks for devlink selftests
  (jsc#PED-1495).
- devlink: introduce framework for selftests (jsc#PED-1549).
- net/mlx5e: kTLS, Dynamically re-size TX recycling pool
  (jsc#PED-1549).
- net/mlx5e: kTLS, Recycle objects of device-offloaded TLS TX
  connections (jsc#PED-1549).
- net/mlx5e: kTLS, Take stats out of OOO handler (jsc#PED-1549).
- net/mlx5e: kTLS, Introduce TLS-specific create TIS
  (jsc#PED-1549).
- net: devlink: remove redundant net_eq() check from
  sb_pool_get_dumpit() (jsc#PED-1549).
- net: devlink: introduce nested devlink entity for line card
  (jsc#PED-1549).
- net: devlink: move net check into
  devlinks_xa_for_each_registered_get() (jsc#PED-1549).
- net: devlink: make sure that devlink_try_get() works with
  valid pointer during xarray iteration (jsc#PED-1549).
- iavf: Check for duplicate TC flower filter before parsing
  (jsc#PED-835).
- i40e: Refactor tc mqprio checks (jsc#PED-372).
- mlxsw: core: Fix use-after-free calling devl_unlock() in
  mlxsw_core_bus_device_unregister() (jsc#PED-1549).
- net/mlx5: CT: Remove warning of ignore_flow_level support for
  non PF (jsc#PED-1549).
- net/mlx5e: Add resiliency for PTP TX port timestamp
  (jsc#PED-1549).
- net/mlx5: Expose ts_cqe_metadata_size2wqe_counter
  (jsc#PED-1549).
- net/mlx5e: HTB, move htb functions to a new file (jsc#PED-1549).
- net/mlx5e: HTB, change functions name to follow convention
  (jsc#PED-1549).
- net/mlx5e: HTB, remove priv from htb function calls
  (jsc#PED-1549).
- net/mlx5e: HTB, hide and dynamically allocate mlx5e_htb
  structure (jsc#PED-1549).
- net/mlx5e: HTB, move stats and max_sqs to priv (jsc#PED-1549).
- net/mlx5e: HTB, move section comment to the right place
  (jsc#PED-1549).
- net/mlx5e: HTB, move ids to selq_params struct (jsc#PED-1549).
- net/mlx5e: HTB, reduce visibility of htb functions
  (jsc#PED-1549).
- net/mlx5e: Fix mqprio_rl handling on devlink reload
  (jsc#PED-1549).
- net/mlx5e: Report header-data split state through ethtool
  (jsc#PED-1549).
- igc: Remove forced_speed_duplex value (jsc#PED-375).
- igc: Remove MSI-X PBA Clear register (jsc#PED-375).
- igc: Lift TAPRIO schedule restriction (jsc#PED-375).
- net: devlink: remove unused locked functions (jsc#PED-1549).
- netdevsim: convert driver to use unlocked devlink API during
  init/fini (jsc#PED-1549).
- net: devlink: add unlocked variants of
  devlink_region_create/destroy() functions (jsc#PED-1549).
- mlxsw: convert driver to use unlocked devlink API during
  init/fini (jsc#PED-1549).
- net: devlink: add unlocked variants of devlink_dpipe*()
  functions (jsc#PED-1549).
- net: devlink: add unlocked variants of devlink_sb*() functions
  (jsc#PED-1549).
- net: devlink: add unlocked variants of devlink_resource*()
  functions (jsc#PED-1549).
- net: devlink: add unlocked variants of devling_trap*() functions
  (jsc#PED-1549).
- net: devlink: avoid false DEADLOCK warning reported by lockdep
  (jsc#PED-1549).
- net/mlx5e: Remove the duplicating check for striding RQ when
  enabling LRO (jsc#PED-1549).
- net/mlx5e: Move the LRO-XSK check to mlx5e_fix_features
  (jsc#PED-1549).
- net/mlx5e: Extend flower police validation (jsc#PED-1549).
- net/mlx5e: configure meter in flow action (jsc#PED-1549).
- net/mlx5e: Removed useless code in function (jsc#PED-1549).
- net/mlx5: Bridge, implement QinQ support (jsc#PED-1549).
- net/mlx5: Bridge, implement infrastructure for VLAN protocol
  change (jsc#PED-1549).
- net/mlx5: Bridge, extract VLAN push/pop actions creation
  (jsc#PED-1549).
- net/mlx5: Bridge, rename filter fg to vlan_filter
  (jsc#PED-1549).
- net/mlx5: Bridge, refactor groups sizes and indices
  (jsc#PED-1549).
- net/mlx5: debugfs, Add num of in-use FW command interface slots
  (jsc#PED-1549).
- net/mlx5: Expose vnic diagnostic counters for eswitch managed
  vports (jsc#PED-1549).
- net/mlx5: Use software VHCA id when it's supported
  (jsc#PED-1549).
- net/mlx5: Introduce ifc bits for using software vhca id
  (jsc#PED-1549).
- net/mlx5: Use the bitmap API to allocate bitmaps (jsc#PED-1549).
- net: devlink: fix return statement in devlink_port_new_notify()
  (jsc#PED-1549).
- net: devlink: fix a typo in function name
  devlink_port_new_notifiy() (jsc#PED-1549).
- net: devlink: make devlink_dpipe_headers_register() return void
  (jsc#PED-1549).
- net: devlink: use helpers to work with devlink->lock mutex
  (jsc#PED-1549).
- net: devlink: fix unlocked vs locked functions descriptions
  (jsc#PED-1549).
- igb: add xdp frags support to ndo_xdp_xmit (jsc#PED-370).
- devlink: Hold the instance lock in port_new / port_del callbacks
  (jsc#PED-1549).
- net/mlx5: Remove devl_unlock from mlx5_devlink_eswitch_mode_set
  (jsc#PED-1549).
- net/mlx5: Use devl_ API in mlx5e_devlink_port_register
  (jsc#PED-1549).
- devlink: Remove unused functions
  devlink_rate_leaf_create/destroy (jsc#PED-1549).
- net/mlx5: Use devl_ API in mlx5_esw_devlink_sf_port_register
  (jsc#PED-1549).
- net/mlx5: Use devl_ API in
  mlx5_esw_offloads_devlink_port_register (jsc#PED-1549).
- devlink: Remove unused function devlink_rate_nodes_destroy
  (jsc#PED-1549).
- net/mlx5: Use devl_ API for rate nodes destroy (jsc#PED-1549).
- net/mlx5: Remove devl_unlock from
  mlx5_eswtich_mode_callback_enter (jsc#PED-1549).
- net/mlx5: fix 32bit build (jsc#PED-1549).
- net/mlx5e: TC, Support offloading police action (jsc#PED-1549).
- net/mlx5e: Add flow_action to parse state (jsc#PED-1549).
- net/mlx5e: Add post meter table for flow metering
  (jsc#PED-1549).
- net/mlx5e: Add generic macros to use metadata register mapping
  (jsc#PED-1549).
- net/mlx5e: Get or put meter by the index of tc police action
  (jsc#PED-1549).
- net/mlx5e: Add support to modify hardware flow meter parameters
  (jsc#PED-1549).
- net/mlx5e: Prepare for flow meter offload if hardware supports
  it (jsc#PED-1549).
- net/mlx5: Implement interfaces to control ASO SQ and CQ
  (jsc#PED-1549).
- net/mlx5: Add support to create SQ and CQ for ASO
  (jsc#PED-1549).
- net/mlx5: E-switch: Change eswitch mode only via devlink command
  (jsc#PED-1549).
- net/mlx5: E-switch, Remove dependency between sriov and eswitch
  mode (jsc#PED-1549).
- net/mlx5: E-switch, Introduce flag to indicate if fdb table
  is created (jsc#PED-1549).
- net/mlx5: E-switch, Introduce flag to indicate if vport acl
  namespace is created (jsc#PED-1549).
- net/mlx5: delete dead code in mlx5_esw_unlock() (jsc#PED-1549).
- net/mlx5: Delete ipsec_fs header file as not used
  (jsc#PED-1549).
- intel/ixgbevf:fix repeated words in comments (jsc#PED-373).
- intel/igc:fix repeated words in comments (jsc#PED-375).
- intel/igbvf:fix repeated words in comments (jsc#PED-370).
- intel/igb:fix repeated words in comments (jsc#PED-370).
- intel/iavf:fix repeated words in comments (jsc#PED-835).
- intel/i40e:fix repeated words in comments (jsc#PED-372).
- ixgbe: drop unexpected word 'for' in comments (jsc#PED-373).
- igb: remove unexpected word "the" (jsc#PED-370).
- ixgbe: remove unexpected word "the" (jsc#PED-373).
- i40e: read the XDP program once per NAPI (jsc#PED-372).
- intel/i40e: delete if NULL check before dev_kfree_skb
  (jsc#PED-372).
- i40e: Remove unnecessary synchronize_irq() before free_irq()
  (jsc#PED-372).
- i40e: Add support for ethtool -s <interface> speed <speed in Mb>
  (jsc#PED-372).
- mlxsw: Add a resource describing number of RIFs (jsc#PED-1549).
- mlxsw: Keep track of number of allocated RIFs (jsc#PED-1549).
- i40e: add xdp frags support to ndo_xdp_xmit (jsc#PED-372).
- net/mlx5: Add bits and fields to support enhanced CQE
  compression (jsc#PED-1549).
- net/mlx5: Remove not used MLX5_CAP_BITS_RW_MASK (jsc#PED-1549).
- net/mlx5: group fdb cleanup to single function (jsc#PED-1549).
- net/mlx5: Add support EXECUTE_ASO action for flow entry
  (jsc#PED-1549).
- net/mlx5: Add HW definitions of vport debug counters
  (jsc#PED-1549).
- net/mlx5: Add IFC bits and enums for flow meter (jsc#PED-1549).
- RDMA/mlx5: Support handling of modify-header pattern ICM area
  (jsc#PED-1552).
- net/mlx5: Manage ICM of type modify-header pattern
  (jsc#PED-1549).
- net/mlx5: Introduce header-modify-pattern ICM properties
  (jsc#PED-1549).
- drivers/net/ethernet/intel: fix typos in comments (jsc#PED-373).
- ixgbe: Fix typos in comments (jsc#PED-373).
- igb: Remove duplicate defines (jsc#PED-370).
- drivers, ixgbe: export vf statistics (jsc#PED-373).
- devlink: adopt u64_stats_t (jsc#PED-1549).
- iavf: Add waiting for response from PF in set mac (jsc#PED-835).
- i40e: Add VF VLAN pruning (jsc#PED-372).
- i40e: Fix interface init with MSI interrupts (no MSI-X)
  (jsc#PED-372).
- iavf: Fix missing state logs (jsc#PED-835).
- iavf: Fix handling of dummy receive descriptors (jsc#PED-835).
- iavf: Disallow changing rx/tx-frames and rx/tx-frames-irq
  (jsc#PED-835).
- iavf: Fix VLAN_V2 addition/rejection (jsc#PED-835).
- ixgbe: Add locking to prevent panic when setting sriov_numvfs
  to zero (jsc#PED-373).
- i40e: Fix erroneous adapter reinitialization during recovery
  process (jsc#PED-372).
- igc: Reinstate IGC_REMOVED logic and implement it properly
  (jsc#PED-375).
- net/mlx5e: Ring the TX doorbell on DMA errors (jsc#PED-1549).
- net/mlx5e: Fix capability check for updating vnic env counters
  (jsc#PED-1549).
- net/mlx5e: CT: Use own workqueue instead of mlx5e priv
  (jsc#PED-1549).
- net/mlx5: Lag, correct get the port select mode str
  (jsc#PED-1549).
- net/mlx5e: Fix enabling sriov while tc nic rules are offloaded
  (jsc#PED-1549).
- net/mlx5e: kTLS, Fix build time constant test in RX
  (jsc#PED-1549).
- net/mlx5e: kTLS, Fix build time constant test in TX
  (jsc#PED-1549).
- net/mlx5: Lag, decouple FDB selection and shared FDB
  (jsc#PED-1549).
- net/mlx5: TC, allow offload from uplink to other PF's VF
  (jsc#PED-1549).
- i40e: Fix VF's MAC Address change on VM (jsc#PED-372).
- i40e: Fix dropped jumbo frames statistics (jsc#PED-372).
- vhost-vdpa: call vhost_vdpa_cleanup during the release
  (jsc#PED-1549).
- vdpa/mlx5: Initialize CVQ vringh only once (jsc#PED-1549).
- vdpa/mlx5: Update Control VQ callback information
  (jsc#PED-1549).
- igb: Make DMA faster when CPU is active on the PCIe link
  (jsc#PED-370).
- igb: fix a use-after-free issue in igb_clean_tx_ring
  (jsc#PED-370).
- iavf: Fix issue with MAC address of VF shown as zero
  (jsc#PED-835).
- i40e: Fix call trace in setup_tx_descriptors (jsc#PED-372).
- i40e: Fix calculating the number of queue pairs (jsc#PED-372).
- i40e: Fix adding ADQ filter to TC0 (jsc#PED-372).
- vdpa: make get_vq_group and set_group_asid optional
  (jsc#PED-1549).
- vdpa/mlx5: clean up indenting in handle_ctrl_vlan()
  (jsc#PED-1549).
- vdpa/mlx5: fix error code for deleting vlan (jsc#PED-1549).
- vdpa/mlx5: Fix syntax errors in comments (jsc#PED-1549).
- net/mlx5: fs, fail conflicting actions (jsc#PED-1549).
- net/mlx5: Rearm the FW tracer after each tracer event
  (jsc#PED-1549).
- net/mlx5: E-Switch, pair only capable devices (jsc#PED-1549).
- net/mlx5e: CT: Fix cleanup of CT before cleanup of TC ct rules
  (jsc#PED-1549).
- Revert "net/mlx5e: Allow relaxed ordering over VFs"
  (jsc#PED-1549).
- ixgbe: fix unexpected VLAN Rx in promisc mode on VF
  (jsc#PED-373).
- ixgbe: fix bcast packets Rx on VF after promisc removal
  (jsc#PED-373).
- mellanox: mlx5: avoid uninitialized variable warning with gcc-12
  (jsc#PED-1549).
- vdpa: Use helper for safer setting of driver_override
  (jsc#PED-1549).
- driver: platform: Add helper for safer setting of
  driver_override (jsc#PED-1549).
- vdpa: ifcvf: set pci driver data in probe (jsc#PED-1549).
- vdpa/mlx5: Add RX MAC VLAN filter support (jsc#PED-1549).
- vdpa/mlx5: Remove flow counter from steering (jsc#PED-1549).
- vhost-vdpa: return -EFAULT on copy_to_user() failure
  (jsc#PED-1549).
- vDPA/ifcvf: fix uninitialized config_vector warning
  (jsc#PED-1549).
- vdpa/vp_vdpa : add vdpa tool support in vp_vdpa (jsc#PED-1549).
- vhost-vdpa: support ASID based IOTLB API (jsc#PED-1549).
- vhost-vdpa: introduce uAPI to set group ASID (jsc#PED-1549).
- vhost-vdpa: uAPI to get virtqueue group id (jsc#PED-1549).
- vhost-vdpa: introduce uAPI to get the number of address spaces
  (jsc#PED-1549).
- vhost-vdpa: introduce uAPI to get the number of virtqueue groups
  (jsc#PED-1549).
- vhost-vdpa: introduce asid based IOTLB (jsc#PED-1549).
- vhost: support ASID in IOTLB API (jsc#PED-1549).
- vhost_iotlb: split out IOTLB initialization (jsc#PED-1549).
- vdpa: introduce config operations for associating ASID to a
  virtqueue group (jsc#PED-1549).
- vdpa: multiple address spaces support (jsc#PED-1549).
- vdpa: introduce virtqueue groups (jsc#PED-1549).
- vhost-vdpa: switch to use vhost-vdpa specific IOTLB
  (jsc#PED-1549).
- vhost-vdpa: passing iotlb to IOMMU mapping helpers
  (jsc#PED-1549).
- vhost: move the backend feature bits to vhost_types.h
  (jsc#PED-1549).
- vdpa/mlx5: Use readers/writers semaphore instead of mutex
  (jsc#PED-1549).
- vdpa/mlx5: Add support for reading descriptor statistics
  (jsc#PED-1549).
- net/vdpa: Use readers/writers semaphore instead of cf_mutex
  (jsc#PED-1549).
- vdpa: Add support for querying vendor statistics (jsc#PED-1549).
- net/mlx5: Fix mlx5_get_next_dev() peer device matching
  (jsc#PED-1549).
- net/mlx5e: Update netdev features after changing XDP state
  (jsc#PED-1549).
- net/mlx5: correct ECE offset in query qp output (jsc#PED-1549).
- net/mlx5e: Disable softirq in mlx5e_activate_rq to avoid race
  condition (jsc#PED-1549).
- net/mlx5: CT: Fix header-rewrite re-use for tupels
  (jsc#PED-1549).
- net/mlx5e: TC NIC mode, fix tc chains miss table (jsc#PED-1549).
- net/mlx5: Don't use already freed action pointer (jsc#PED-1549).
- net/mlx5: Expose mlx5_sriov_blocking_notifier_register /
  unregister APIs (jsc#PED-1549).
- RDMA/mlx5: Remove duplicate pointer assignment in
  mlx5_ib_alloc_implicit_mr() (jsc#PED-1552).
- RDMA/mlx5: Clean UMR QP type flow from mlx5_ib_post_send()
  (jsc#PED-1552).
- RDMA/mlx5: Use mlx5_umr_post_send_wait() to update xlt
  (jsc#PED-1552).
- RDMA/mlx5: Use mlx5_umr_post_send_wait() to update MR pas
  (jsc#PED-1552).
- RDMA/mlx5: Move creation and free of translation tables to umr.c
  (jsc#PED-1552).
- RDMA/mlx5: Use mlx5_umr_post_send_wait() to rereg pd access
  (jsc#PED-1552).
- RDMA/mlx5: Use mlx5_umr_post_send_wait() to revoke MRs
  (jsc#PED-1552).
- RDMA/mlx5: Introduce mlx5_umr_post_send_wait() (jsc#PED-1552).
- RDMA/mlx5: Expose wqe posting helpers outside of wr.c
  (jsc#PED-1552).
- RDMA/mlx5: Simplify get_umr_update_access_mask() (jsc#PED-1552).
- RDMA/mlx5: Move mkey ctrl segment logic to umr.c (jsc#PED-1552).
- RDMA/mlx5: Move umr checks to umr.h (jsc#PED-1552).
- RDMA/mlx5: Move init and cleanup of UMR to umr.c (jsc#PED-1552).
- RDMA/mlx5: Fix flow steering egress flow (jsc#PED-1552).
- net/mlx5: fix typo in comment (jsc#PED-1549).
- net/mlx5: fix multiple definitions of mlx5_lag_mpesw_init /
  mlx5_lag_mpesw_cleanup (jsc#PED-1549).
- net/mlx5: Support multiport eswitch mode (jsc#PED-1549).
- net/mlx5: Remove unused argument (jsc#PED-1549).
- net/mlx5: Lag, refactor lag state machine (jsc#PED-1549).
- net/mlx5e: Add XDP SQs to uplink representors steering tables
  (jsc#PED-1549).
- net/mlx5e: Correct the calculation of max channels for rep
  (jsc#PED-1549).
- net/mlx5e: CT: Add ct driver counters (jsc#PED-1549).
- net/mlx5e: Allow relaxed ordering over VFs (jsc#PED-1549).
- net/mlx5e: Support partial GSO for tunnels over vlans
  (jsc#PED-1549).
- net/mlx5e: IPoIB, Improve ethtool rxnfc callback structure in
  IPoIB (jsc#PED-1549).
- net/mlx5e: Allocate virtually contiguous memory for reps
  structures (jsc#PED-1549).
- net/mlx5e: Allocate virtually contiguous memory for VLANs list
  (jsc#PED-1549).
- net/mlx5: Allocate virtually contiguous memory in pci_irq.c
  (jsc#PED-1549).
- net/mlx5: Allocate virtually contiguous memory in vport.c
  (jsc#PED-1549).
- net/mlx5: Inline db alloc API function (jsc#PED-1549).
- net/mlx5: Add last command failure syndrome to debugfs
  (jsc#PED-1549).
- net/mlx5: sparse: error: context imbalance in
  'mlx5_vf_get_core_dev' (jsc#PED-1549).
- ixgbe: add xdp frags support to ndo_xdp_xmit (jsc#PED-373).
- net/mlx5e: Use XFRM state direction instead of flags
  (jsc#PED-1549).
- ixgbe: propagate XFRM offload state direction instead of flags
  (jsc#PED-373).
- xfrm: store and rely on direction to construct offload flags
  (jsc#PED-373).
- xfrm: rename xfrm_state_offload struct to allow reuse
  (jsc#PED-373).
- xfrm: delete not used number of external headers (jsc#PED-373).
- xfrm: free not used XFRM_ESP_NO_TRAILER flag (jsc#PED-373).
- igc: Change type of the 'igc_check_downshift' method
  (jsc#PED-375).
- igc: Remove unused phy_type enum (jsc#PED-375).
- igc: Remove igc_set_spd_dplx method (jsc#PED-375).
- net/mlx5: Lag, add debugfs to query hardware lag state
  (jsc#PED-1549).
- net/mlx5: Lag, use buckets in hash mode (jsc#PED-1549).
- net/mlx5: Lag, refactor dmesg print (jsc#PED-1549).
- net/mlx5: Support devices with more than 2 ports (jsc#PED-1549).
- net/mlx5: Lag, use actual number of lag ports (jsc#PED-1549).
- net/mlx5: Lag, use hash when in roce lag on 4 ports
  (jsc#PED-1549).
- net/mlx5: Lag, support single FDB only on 2 ports
  (jsc#PED-1549).
- net/mlx5: Lag, store number of ports inside lag object
  (jsc#PED-1549).
- net/mlx5: Lag, filter non compatible devices (jsc#PED-1549).
- net/mlx5: Lag, use lag lock (jsc#PED-1549).
- net/mlx5: Lag, move E-Switch prerequisite check into lag code
  (jsc#PED-1549).
- net/mlx5: devcom only supports 2 ports (jsc#PED-1549).
- net/mlx5: Lag, expose number of lag ports (jsc#PED-1552).
- net/mlx5: Increase FW pre-init timeout for health recovery
  (jsc#PED-1549).
- net/mlx5: Add exit route when waiting for FW (jsc#PED-1549).
- igb: Convert kmap() to kmap_local_page() (jsc#PED-370).
- ixgbe: Fix module_param allow_unsupported_sfp type
  (jsc#PED-373).
- net/mlx5: Allow future addition of IPsec object modifiers
  (jsc#PED-1549).
- net/mlx5: Don't perform lookup after already known sec_path
  (jsc#PED-1549).
- net/mlx5: Cleanup XFRM attributes struct (jsc#PED-1549).
- net/mlx5: Remove not-supported ICV length (jsc#PED-1549).
- net/mlx5: Simplify IPsec capabilities logic (jsc#PED-1549).
- net/mlx5: Don't advertise IPsec netdev support for non-IPsec
  device (jsc#PED-1549).
- net/mlx5: Make sure that no dangling IPsec FS pointers exist
  (jsc#PED-1549).
- net/mlx5: Clean IPsec FS add/delete rules (jsc#PED-1549).
- net/mlx5: Simplify HW context interfaces by using SA entry
  (jsc#PED-1549).
- net/mlx5: Remove indirections from esp functions (jsc#PED-1549).
- net/mlx5: Merge various control path IPsec headers into one file
  (jsc#PED-1549).
- net/mlx5: Remove useless validity check (jsc#PED-1549).
- net/mlx5: Store IPsec ESN update work in XFRM state
  (jsc#PED-1549).
- net/mlx5: Reduce useless indirection in IPsec FS add/delete
  flows (jsc#PED-1549).
- net/mlx5: Don't hide fallback to software IPsec in FS code
  (jsc#PED-1549).
- net/mlx5: Check IPsec TX flow steering namespace in advance
  (jsc#PED-1549).
- net/mlx5: Simplify IPsec flow steering init/cleanup functions
  (jsc#PED-1549).
- net/mlx5: fs, an FTE should have no dests when deleted
  (jsc#PED-1549).
- net/mlx5: fs, call the deletion function of the node
  (jsc#PED-1549).
- net/mlx5: fs, delete the FTE when there are no rules attached
  to it (jsc#PED-1549).
- net/mlx5: fs, do proper bookkeeping for forward destinations
  (jsc#PED-1549).
- net/mlx5: fs, add unused destination type (jsc#PED-1549).
- net/mlx5: fs, jump to exit point and don't fall through
  (jsc#PED-1549).
- net/mlx5: fs, refactor software deletion rule (jsc#PED-1549).
- net/mlx5: fs, split software and IFC flow destination
  definitions (jsc#PED-1549).
- net/mlx5e: TC, set proper dest type (jsc#PED-1549).
- net/mlx5e: Remove unused mlx5e_dcbnl_build_rep_netdev function
  (jsc#PED-1549).
- net/mlx5e: Drop error CQE handling from the XSK RX handler
  (jsc#PED-1549).
- net/mlx5: Print initializing field in case of timeout
  (jsc#PED-1549).
- net/mlx5: Delete redundant default assignment of runtime
  devlink params (jsc#PED-1549).
- net/mlx5: Remove useless kfree (jsc#PED-1549).
- net/mlx5: use kvfree() for kvzalloc() in
  mlx5_ct_fs_smfs_matcher_create (jsc#PED-1549).
- i40e, xsk: Get rid of redundant 'fallthrough' (jsc#PED-372).
- ixgbe, xsk: Get rid of redundant 'fallthrough' (jsc#PED-373).
- mlx5, xsk: Diversify return values from xsk_wakeup call paths
  (jsc#PED-1549).
- ixgbe, xsk: Diversify return values from xsk_wakeup call paths
  (jsc#PED-373).
- i40e, xsk: Diversify return values from xsk_wakeup call paths
  (jsc#PED-372).
- ixgbe, xsk: Terminate Rx side of NAPI when XSK Rx queue gets
  full (jsc#PED-373).
- i40e, xsk: Terminate Rx side of NAPI when XSK Rx queue gets full
  (jsc#PED-372).
- ixgbe, xsk: Decorate IXGBE_XDP_REDIR with likely()
  (jsc#PED-373).
- ipv6: Use ipv6_only_sock() helper in condition (jsc#PED-1549).
- mlxsw: spectrum: Introduce port mapping change event processing
  (jsc#PED-1549).
- mlxsw: Narrow the critical section of devl_lock during ports
  creation/removal (jsc#PED-1549).
- mlxsw: reg: Add Ports Mapping Event Configuration Register
  (jsc#PED-1549).
- mlxsw: spectrum: Allocate port mapping array of structs instead
  of pointers (jsc#PED-1549).
- devlink: add port to line card relationship set (jsc#PED-1549).
- devlink: implement line card active state (jsc#PED-1549).
- devlink: implement line card provisioning (jsc#PED-1549).
- devlink: add support to create line card and expose to user
  (jsc#PED-1549).
- i40e: Add Ethernet Connection X722 for 10GbE SFP+ support
  (jsc#PED-372).
- i40e: Add vsi.tx_restart to i40e ethtool stats (jsc#PED-372).
- i40e: Add tx_stopped stat (jsc#PED-372).
- i40e: Add support for MPLS + TSO (jsc#PED-372).
- net/mlx5: Remove not-implemented IPsec capabilities
  (jsc#PED-1549).
- net/mlx5: Remove ipsec_ops function table (jsc#PED-1549).
- net/mlx5: Move IPsec file to relevant directory (jsc#PED-1549).
- net/mlx5: Remove not-needed IPsec config (jsc#PED-1549).
- net/mlx5: Align flow steering allocation namespace to common
  style (jsc#PED-1549).
- net/mlx5: Unify device IPsec capabilities check (jsc#PED-1549).
- net/mlx5: Remove useless IPsec device checks (jsc#PED-1549).
- net/mlx5: Remove ipsec vs. ipsec offload file separation
  (jsc#PED-1549).
- RDMA/mlx5: Drop crypto flow steering API (jsc#PED-1549).
- RDMA/mlx5: Delete never supported IPsec flow action
  (jsc#PED-1552).
- net/mlx5: Remove FPGA ipsec specific statistics (jsc#PED-1549).
- net/mlx5: Remove XFRM no_trailer flag (jsc#PED-1549).
- net/mlx5: Remove not-used IDA field from IPsec struct
  (jsc#PED-1549).
- net/mlx5: Delete metadata handling logic (jsc#PED-1549).
- IB/mlx5: Fix undefined behavior due to shift overflowing the
  constant (jsc#PED-1549).
- net/mlx5: Cleanup kTLS function names and their exposure
  (jsc#PED-1549).
- net/mlx5: Remove tls vs. ktls separation as it is the same
  (jsc#PED-1549).
- net/mlx5: Remove indirection in TLS build (jsc#PED-1549).
- net/mlx5: Reliably return TLS device capabilities
  (jsc#PED-1549).
- net/mlx5e: CT: Fix setting flow_source for smfs ct tuples
  (jsc#PED-1549).
- net/mlx5e: CT: Fix support for GRE tuples (jsc#PED-1549).
- net/mlx5e: Wrap mlx5e_trap_napi_poll into rcu_read_lock
  (jsc#PED-1549).
- net/mlx5: DR, Ignore modify TTL on RX if device doesn't support
  it (jsc#PED-1549).
- net/mlx5: Initialize flow steering during driver probe
  (jsc#PED-1549).
- net/mlx5: DR, Fix missing flow_source when creating
  multi-destination FW table (jsc#PED-1549).
- vdpa/mlx5: Use consistent RQT size (jsc#PED-1549).
- net/mlx5e: Avoid checking offload capability in post_parse
  action (jsc#PED-1549).
- net/mlx5e: TC, fix decap fallback to uplink when int port not
  supported (jsc#PED-1549).
- net/mlx5e: TC, Fix ct_clear overwriting ct action metadata
  (jsc#PED-1549).
- net/mlx5e: Don't match double-vlan packets if cvlan is not set
  (jsc#PED-1549).
- net/sched: flower: fix parsing of ethertype following VLAN
  header (jsc#PED-1549).
- vdpa: mlx5: synchronize driver status with CVQ (jsc#PED-1549).
- vdpa: mlx5: prevent cvq work from hogging CPU (jsc#PED-1549).
- vdpa/mlx5: Avoid processing works if workqueue was destroyed
  (jsc#PED-1549).
- vhost: handle error while adding split ranges to iotlb
  (jsc#PED-1549).
- vdpa: support exposing the count of vqs to userspace
  (jsc#PED-1549).
- vdpa: change the type of nvqs to u32 (jsc#PED-1549).
- vdpa: support exposing the config size to userspace
  (jsc#PED-1549).
- vdpa/mlx5: re-create forwarding rules after mac modified
  (jsc#PED-1549).
- net/mlx5: Add support for configuring max device MTU
  (jsc#PED-1549).
- vDPA/ifcvf: implement shared IRQ feature (jsc#PED-1549).
- vDPA/ifcvf: implement device MSIX vector allocator
  (jsc#PED-1549).
- vDPA/ifcvf: make use of virtio pci modern IO helpers in ifcvf
  (jsc#PED-1549).
- RDMA/mlx5: Reorder calls to pcie_relaxed_ordering_enabled()
  (jsc#PED-1552).
- RDMA/mlx5: Store ndescs instead of the translation table size
  (jsc#PED-1552).
- RDMA/mlx5: Merge similar flows of allocating MR from the cache
  (jsc#PED-1552).
- RDMA/mlx5: Remove redundant work in struct mlx5_cache_ent
  (jsc#PED-1552).
- RDMA/mlx5: Delete useless module.h include (jsc#PED-1552).
- RDMA/mlx5: Delete get_num_static_uars function (jsc#PED-1552).
- net/mlx5e: Fix build warning, detected write beyond size of
  field (jsc#PED-1549).
- net: veth: Account total xdp_frame len running ndo_xdp_xmit
  (jsc#PED-373).
- devlink: hold the instance lock during eswitch_mode callbacks
  (jsc#PED-1549).
- netdevsim: replace vfs_lock with devlink instance lock
  (jsc#PED-1549).
- netdevsim: replace port_list_lock with devlink instance lock
  (jsc#PED-1549).
- net/mlx5e: HTB, remove unused function declaration
  (jsc#PED-1549).
- net/mlx5e: Statify function mlx5_cmd_trigger_completions
  (jsc#PED-1549).
- net/mlx5e: Remove MLX5E_XDP_TX_DS_COUNT (jsc#PED-1549).
- net/mlx5e: Permit XDP with non-linear legacy RQ (jsc#PED-1549).
- net/mlx5e: Support multi buffer XDP_TX (jsc#PED-1549).
- net/mlx5e: Unindent the else-block in mlx5e_xmit_xdp_buff
  (jsc#PED-1549).
- net/mlx5e: Implement sending multi buffer XDP frames
  (jsc#PED-1549).
- net/mlx5e: Don't prefill WQEs in XDP SQ in the multi buffer mode
  (jsc#PED-1549).
- net/mlx5e: Remove assignment of inline_hdr.sz on XDP TX
  (jsc#PED-1549).
- net/mlx5e: Move mlx5e_xdpi_fifo_push out of xmit_xdp_frame
  (jsc#PED-1549).
- net/mlx5e: Store DMA address inside struct page (jsc#PED-1549).
- net/mlx5e: Add XDP multi buffer support to the non-linear
  legacy RQ (jsc#PED-1549).
- net/mlx5e: Use page-sized fragments with XDP multi buffer
  (jsc#PED-1549).
- net/mlx5e: Use fragments of the same size in non-linear legacy
  RQ with XDP (jsc#PED-1549).
- net/mlx5e: Prepare non-linear legacy RQ for XDP multi buffer
  support (jsc#PED-1549).
- xfrm: delete duplicated functions that calls same
  xfrm_api_check() (jsc#PED-373).
- igb: zero hwtstamp by default (jsc#PED-370).
- i40e: little endian only valid checksums (jsc#PED-372).
- net/mlx5: Remove unused fill page array API function
  (jsc#PED-1549).
- net/mlx5: Remove unused exported contiguous coherent buffer
  allocation API (jsc#PED-1549).
- net/mlx5: CT: Remove extra rhashtable remove on tuple entries
  (jsc#PED-1549).
- net/mlx5: DR, Remove hw_ste from mlx5dr_ste to reduce memory
  (jsc#PED-1549).
- net/mlx5: DR, Remove 4 members from mlx5dr_ste_htbl to reduce
  memory (jsc#PED-1549).
- net/mlx5: DR, Remove num_of_entries byte_size from struct
  mlx5_dr_icm_chunk (jsc#PED-1549).
- net/mlx5: DR, Remove icm_addr from mlx5dr_icm_chunk to reduce
  memory (jsc#PED-1549).
- net/mlx5: DR, Remove mr_addr rkey from struct mlx5dr_icm_chunk
  (jsc#PED-1549).
- net/mlx5: DR, Adjust structure member to reduce memory hole
  (jsc#PED-1549).
- net/mlx5e: Drop cqe_bcnt32 from mlx5e_skb_from_cqe_mpwrq_linear
  (jsc#PED-1549).
- net/mlx5e: Drop the len output parameter from mlx5e_xdp_handle
  (jsc#PED-1549).
- net/mlx5e: RX, Test the XDP program existence out of the handler
  (jsc#PED-1549).
- net/mlx5e: Build SKB in place over the first fragment in
  non-linear legacy RQ (jsc#PED-1549).
- net/mlx5e: Add headroom only to the first fragment in legacy RQ
  (jsc#PED-1549).
- net/mlx5e: Validate MTU when building non-linear legacy RQ
  fragments info (jsc#PED-1549).
- net/mlx5e: MPLSoUDP encap, support action vlan pop_eth
  explicitly (jsc#PED-1549).
- net/mlx5e: MPLSoUDP decap, use vlan push_eth instead of pedit
  (jsc#PED-1549).
- net/sched: add vlan push_eth and pop_eth action to the hardware
  IR (jsc#PED-1549).
- devlink: pass devlink_port to port_split / port_unsplit
  callbacks (jsc#PED-1549).
- devlink: hold the instance lock in port_split / port_unsplit
  callbacks (jsc#PED-1549).
- eth: mlxsw: switch to explicit locking for port registration
  (jsc#PED-1549).
- eth: nfp: replace driver's "pf" lock with devlink instance lock
  (jsc#PED-1549).
- eth: nfp: wrap locking assertions in helpers (jsc#PED-1549).
- net/mlx5: Support GRE conntrack offload (jsc#PED-1549).
- net/mlx5e: Fix use-after-free in mlx5e_stats_grp_sw_update_stats
  (jsc#PED-1549).
- net/mlx5e: Remove overzealous validations in netlink EEPROM
  query (jsc#PED-1549).
- net/mlx5: Parse module mapping using mlx5_ifc (jsc#PED-1549).
- net/mlx5: Query the maximum MCIA register read size from
  firmware (jsc#PED-1549).
- net/mlx5: CT: Create smfs dr matchers dynamically
  (jsc#PED-1549).
- net/mlx5: CT: Add software steering ct flow steering provider
  (jsc#PED-1549).
- net/mlx5: Add smfs lib to export direct steering API to CT
  (jsc#PED-1549).
- net/mlx5: DR, Add helper to get backing dr table from a mlx5
  flow table (jsc#PED-1549).
- net/mlx5: CT: Introduce a platform for multiple flow steering
  providers (jsc#PED-1549).
- net/mlx5: Node-aware allocation for the doorbell pgdir
  (jsc#PED-1549).
- net/mlx5: Node-aware allocation for UAR (jsc#PED-1549).
- net/mlx5: Node-aware allocation for the EQs (jsc#PED-1549).
- net/mlx5: Node-aware allocation for the EQ table (jsc#PED-1549).
- net/mlx5: Node-aware allocation for the IRQ table
  (jsc#PED-1549).
- net/mlx5: Delete useless module.h include (jsc#PED-1549).
- net/mlx5: DR, Add support for ConnectX-7 steering
  (jsc#PED-1549).
- net/mlx5: DR, Refactor ste_ctx handling for STE v0/1
  (jsc#PED-1549).
- net/mlx5: DR, Rename action modify fields to reflect naming
  in HW spec (jsc#PED-1549).
- net/mlx5: DR, Fix handling of different actions on the same
  STE in STEv1 (jsc#PED-1549).
- net/mlx5: DR, Remove unneeded comments (jsc#PED-1549).
- net/mlx5: DR, Add support for matching on Internet Header Length
  (IHL) (jsc#PED-1549).
- net/mlx5: DR, Align mlx5dv_dr API vport action with FW behavior
  (jsc#PED-1549).
- net/mlx5: Add debugfs counters for page commands failures
  (jsc#PED-1549).
- net/mlx5: Add pages debugfs (jsc#PED-1549).
- net/mlx5: Move debugfs entries to separate struct
  (jsc#PED-1549).
- net/mlx5: Change release_all_pages cap bit location
  (jsc#PED-1549).
- net/mlx5: Remove redundant error on reclaim pages
  (jsc#PED-1549).
- net/mlx5: Remove redundant error on give pages (jsc#PED-1549).
- net/mlx5: Remove redundant notify fail on give pages
  (jsc#PED-1549).
- net/mlx5: Add command failures data to debugfs (jsc#PED-1549).
- net/mlx5e: TC, Fix use after free in
  mlx5e_clone_flow_attr_for_post_act() (jsc#PED-1549).
- mlx5: add support for page_pool_get_stats (jsc#PED-1549).
- iavf: Remove non-inclusive language (jsc#PED-835).
- iavf: Fix incorrect use of assigning iavf_status to int
  (jsc#PED-835).
- iavf: stop leaking iavf_status as "errno" values (jsc#PED-835).
- iavf: remove redundant ret variable (jsc#PED-835).
- iavf: Add usage of new virtchnl format to set default MAC
  (jsc#PED-835).
- iavf: refactor processing of VLAN V2 capability message
  (jsc#PED-835).
- iavf: Add support for 50G/100G in AIM algorithm (jsc#PED-835).
- net/mlx5: Add clarification on sync reset failure
  (jsc#PED-1549).
- net/mlx5: Add reset_state field to MFRL register (jsc#PED-1549).
- RDMA/mlx5: Use new command interface API (jsc#PED-1552).
- net/mlx5: cmdif, Refactor error handling and reporting of
  async commands (jsc#PED-1549).
- net/mlx5: Use mlx5_cmd_do() in core create_{cq,dct}
  (jsc#PED-1549).
- net/mlx5: cmdif, Add new api for command execution
  (jsc#PED-1549).
- net/mlx5: cmdif, cmd_check refactoring (jsc#PED-1549).
- net/mlx5: cmdif, Return value improvements (jsc#PED-1549).
- net/mlx5: Lag, offload active-backup drops to hardware
  (jsc#PED-1549).
- net/mlx5: Lag, record inactive state of bond device
  (jsc#PED-1549).
- net/mlx5: Lag, don't use magic numbers for ports (jsc#PED-1549).
- net/mlx5: Lag, use local variable already defined to access
  E-Switch (jsc#PED-1549).
- net/mlx5: E-switch, add drop rule support to ingress ACL
  (jsc#PED-1549).
- net/mlx5: E-switch, remove special uplink ingress ACL handling
  (jsc#PED-1549).
- net/mlx5: E-Switch, reserve and use same uplink metadata across
  ports (jsc#PED-1549).
- net/mlx5: Add ability to insert to specific flow group
  (jsc#PED-1549).
- mlx5: remove unused static inlines (jsc#PED-1549).
- flow_offload: reject offload for all drivers with invalid
  police parameters (jsc#PED-1549).
- net: flow_offload: add tc police action parameters
  (jsc#PED-1549).
- nfp: add support to offload police action from flower table
  (jsc#PED-1549).
- nfp: add process to get action stats from hardware
  (jsc#PED-1549).
- nfp: add hash table to store meter table (jsc#PED-1549).
- nfp: add support to offload tc action to hardware
  (jsc#PED-1549).
- nfp: refactor policer config to support ingress/egress meter
  (jsc#PED-1549).
- ixgbe: Remove non-inclusive language (jsc#PED-373).
- ixgbevf: clean up some inconsistent indenting (jsc#PED-373).
- net/mlx5e: TC, Allow sample action with CT (jsc#PED-1549).
- net/mlx5e: TC, Make post_act parse CT and sample actions
  (jsc#PED-1549).
- net/mlx5e: TC, Clean redundant counter flag from tc action
  parsers (jsc#PED-1549).
- net/mlx5e: Use multi table support for CT and sample actions
  (jsc#PED-1549).
- net/mlx5e: Create new flow attr for multi table actions
  (jsc#PED-1549).
- net/mlx5e: Add post act offload/unoffload API (jsc#PED-1549).
- net/mlx5e: Pass actions param to actions_match_supported()
  (jsc#PED-1549).
- net/mlx5e: TC, Move flow hashtable to be per rep (jsc#PED-1549).
- net/mlx5e: E-Switch, Add support for tx_port_ts in switchdev
  mode (jsc#PED-1549).
- net/mlx5e: E-Switch, Add PTP counters for uplink representor
  (jsc#PED-1549).
- net/mlx5e: RX, Restrict bulk size for small Striding RQs
  (jsc#PED-1549).
- net/mlx5e: Default to Striding RQ when not conflicting with
  CQE compression (jsc#PED-1549).
- net/mlx5e: Generalize packet merge error message (jsc#PED-1549).
- net/mlx5e: Add support for using xdp->data_meta (jsc#PED-1549).
- net/mlx5e: Fix spelling mistake "supoported" -> "supported"
  (jsc#PED-1549).
- net/mlx5e: Optimize the common case condition in
  mlx5e_select_queue (jsc#PED-1549).
- net/mlx5e: Optimize modulo in mlx5e_select_queue (jsc#PED-1549).
- net/mlx5e: Optimize mlx5e_select_queue (jsc#PED-1549).
- net/mlx5e: Move repeating code that gets TC prio into a function
  (jsc#PED-1549).
- net/mlx5e: Use select queue parameters to sync with control flow
  (jsc#PED-1549).
- net/mlx5e: Move mlx5e_select_queue to en/selq.c (jsc#PED-1549).
- net/mlx5e: Introduce select queue parameters (jsc#PED-1549).
- net/mlx5e: Sync txq2sq updates with mlx5e_xmit for HTB queues
  (jsc#PED-1549).
- net/mlx5e: Use a barrier after updating txq2sq (jsc#PED-1549).
- net/mlx5e: Disable TX queues before registering the netdev
  (jsc#PED-1549).
- net/mlx5e: Cleanup of start/stop all queues (jsc#PED-1549).
- net/mlx5e: Use FW limitation for max MPW WQEBBs (jsc#PED-1549).
- net/mlx5e: Read max WQEBBs on the SQ from firmware
  (jsc#PED-1549).
- net/mlx5e: Remove unused tstamp SQ field (jsc#PED-1549).
- i40e: xsk: Move tmp desc array from driver to pool
  (jsc#PED-372).
- i40e: Add a stat for tracking busy rx pages (jsc#PED-372).
- i40e: Add a stat for tracking pages waived (jsc#PED-372).
- i40e: Add a stat tracking new RX page allocations (jsc#PED-372).
- i40e: Aggregate and export RX page reuse stat (jsc#PED-372).
- i40e: Remove rx page reuse double count (jsc#PED-372).
- i40e: Fix race condition while adding/deleting MAC/VLAN filters
  (jsc#PED-372).
- i40e: Add new version of i40e_aq_add_macvlan function
  (jsc#PED-372).
- i40e: Add new versions of send ASQ command functions
  (jsc#PED-372).
- i40e: Add sending commands in atomic context (jsc#PED-372).
- i40e: Remove unused RX realloc stat (jsc#PED-372).
- i40e: Disable hw-tc-offload feature on driver load
  (jsc#PED-372).
- mlxsw: spectrum: Guard against invalid local ports
  (jsc#PED-1549).
- net/mlx5: VLAN push on RX, pop on TX (jsc#PED-1549).
- net/mlx5: Introduce software defined steering capabilities
  (jsc#PED-1549).
- net/mlx5: Remove unused TIR modify bitmask enums (jsc#PED-1549).
- net/mlx5e: CT, Remove redundant flow args from tc ct calls
  (jsc#PED-1549).
- net/mlx5e: TC, Store mapped tunnel id on flow attr
  (jsc#PED-1549).
- net/mlx5e: Test CT and SAMPLE on flow attr (jsc#PED-1549).
- net/mlx5e: Refactor eswitch attr flags to just attr flags
  (jsc#PED-1549).
- net/mlx5e: CT, Don't set flow flag CT for ct clear flow
  (jsc#PED-1549).
- net/mlx5e: TC, Hold sample_attr on stack instead of pointer
  (jsc#PED-1549).
- net/mlx5e: TC, Reject rules with multiple CT actions
  (jsc#PED-1549).
- net/mlx5e: TC, Refactor mlx5e_tc_add_flow_mod_hdr() to get
  flow attr (jsc#PED-1549).
- net/mlx5e: TC, Pass attr to tc_act can_offload() (jsc#PED-1549).
- net/mlx5e: TC, Split pedit offloads verify from
  alloc_tc_pedit_action() (jsc#PED-1549).
- net/mlx5e: TC, Move pedit_headers_action to parse_attr
  (jsc#PED-1549).
- net/mlx5e: Move counter creation call to
  alloc_flow_attr_counter() (jsc#PED-1549).
- net/mlx5e: Pass attr arg for attaching/detaching encaps
  (jsc#PED-1549).
- net/mlx5e: Move code chunk setting encap dests into its own
  function (jsc#PED-1549).
- igbvf: Remove useless DMA-32 fallback configuration
  (jsc#PED-370).
- igb: Remove useless DMA-32 fallback configuration (jsc#PED-370).
- igc: Remove useless DMA-32 fallback configuration (jsc#PED-375).
- iavf: Remove useless DMA-32 fallback configuration
  (jsc#PED-835).
- i40e: Remove useless DMA-32 fallback configuration
  (jsc#PED-372).
- ixgbevf: Remove useless DMA-32 fallback configuration
  (jsc#PED-373).
- ixgbe: Remove useless DMA-32 fallback configuration
  (jsc#PED-373).
- bpf: add frags support to the bpf_xdp_adjust_tail() API
  (jsc#PED-373).
- bpf: introduce bpf_xdp_get_buff_len helper (jsc#PED-373).
- xdp: add frags support to xdp_return_{buff/frame} (jsc#PED-373).
- net/mlx5: Add migration commands definitions (jsc#PED-1549).
- net/mlx5: Introduce migration bits and structures
  (jsc#PED-1549).
- net/mlx5: Expose APIs to get/put the mlx5 core device
  (jsc#PED-1549).
- PCI/IOV: Add pci_iov_get_pf_drvdata() to allow VF reaching
  the drvdata of a PF (jsc#PED-1549).
- net/mlx5: Reuse exported virtfn index function call
  (jsc#PED-1549).
- PCI/IOV: Add pci_iov_vf_id() to get VF index (jsc#PED-1549).
- iavf: Fix adopting new combined setting (jsc#PED-835).
- vdpa: fix use-after-free on vp_vdpa_remove (jsc#PED-1549).
- vhost: fix hung thread due to erroneous iotlb entries
  (jsc#PED-1549).
- vdpa/mlx5: add validation for VIRTIO_NET_CTRL_MQ_VQ_PAIRS_SET
  command (jsc#PED-1549).
- vdpa/mlx5: should verify CTRL_VQ feature exists for MQ
  (jsc#PED-1549).
- vdpa: factor out vdpa_set_features_unlocked for vdpa internal
  use (jsc#PED-1549).
- xfrm: enforce validity of offload input flags (jsc#PED-373).
- net/mlx5e: Fix VF min/max rate parameters interchange mistake
  (jsc#PED-1549).
- net/mlx5e: Fix MPLSoUDP encap to use MPLS action information
  (jsc#PED-1549).
- net/mlx5e: Add feature check for set fec counters
  (jsc#PED-1549).
- net/mlx5e: TC, Skip redundant ct clear actions (jsc#PED-1549).
- net/mlx5: Update log_max_qp value to be 17 at most
  (jsc#PED-1549).
- net_sched: add __rcu annotation to netdev->qdisc (jsc#PED-1549).
- vdpa/mlx5: Fix tracking of current number of VQs (jsc#PED-1549).
- vdpa/mlx5: Fix is_index_valid() to refer to features
  (jsc#PED-1549).
- vdpa: Protect vdpa reset with cf_mutex (jsc#PED-1549).
- vdpa: Avoid taking cf_mutex lock on get status (jsc#PED-1549).
- vdpa/mlx5: Report max device capabilities (jsc#PED-1549).
- vdpa: Support reporting max device capabilities (jsc#PED-1549).
- vdpa/mlx5: Restore cur_num_vqs in case of failure in
  change_num_qps() (jsc#PED-1549).
- vdpa: Add support for returning device configuration information
  (jsc#PED-1549).
- vdpa/mlx5: Support configuring max data virtqueue
  (jsc#PED-1549).
- vdpa/mlx5: Fix config_attr_mask assignment (jsc#PED-1549).
- vdpa: Allow to configure max data virtqueues (jsc#PED-1549).
- vdpa: Read device configuration only if FEATURES_OK
  (jsc#PED-1549).
- vdpa: Sync calls set/get config/status with cf_mutex
  (jsc#PED-1549).
- vdpa/mlx5: Distribute RX virtqueues in RQT object
  (jsc#PED-1549).
- vdpa: Provide interface to read driver features (jsc#PED-1549).
- vdpa/mlx5: Fix wrong configuration of virtio_version_1_0
  (jsc#PED-1549).
- vdpa: Mark vdpa_config_ops.get_vq_notification as optional
  (jsc#PED-1549).
- vdpa: Avoid duplicate call to vp_vdpa get_status (jsc#PED-1549).
- net/mlx5_vdpa: Offer VIRTIO_NET_F_MTU when setting MTU
  (jsc#PED-1549).
- vdpa: add driver_override support (jsc#PED-1549).
- docs: document sysfs ABI for vDPA bus (jsc#PED-1549).
- ifcvf/vDPA: fix misuse virtio-net device config size for blk
  dev (jsc#PED-1549).
- RDMA/mlx5: Print wc status on CQE error and dump needed
  (jsc#PED-1552).
- RDMA/mlx5: Use memset_after() to zero struct mlx5_ib_mr
  (jsc#PED-1552).
- net/mlx5: Use irq_set_affinity_and_hint() (jsc#PED-1549).
- ixgbe: Use irq_update_affinity_hint() (jsc#PED-373).
- i40e: Use irq_update_affinity_hint() (jsc#PED-372).
- iavf: Use irq_update_affinity_hint() (jsc#PED-835).
- vdpa/mlx5: Use auxiliary_device driver data helpers
  (jsc#PED-1549).
- net/mlx5e: Use auxiliary_device driver data helpers
  (jsc#PED-1549).
- RDMA/irdma: Use auxiliary_device driver data helpers
  (jsc#PED-1552).
- net: openvswitch: Fix ct_state nat flags for conns arriving
  from tc (jsc#PED-1549).
- net/mlx5e: Fix build error in fec_set_block_stats()
  (jsc#PED-1549).
- iavf: remove an unneeded variable (jsc#PED-835).
- i40e: remove variables set but not used (jsc#PED-372).
- i40e: Remove non-inclusive language (jsc#PED-372).
- i40e: Update FW API version (jsc#PED-372).
- i40e: Minimize amount of busy-waiting during AQ send
  (jsc#PED-372).
- net/mlx5e: Add recovery flow in case of error CQE
  (jsc#PED-1549).
- net/mlx5e: TC, Remove redundant error logging (jsc#PED-1549).
- net/mlx5e: Refactor set_pflag_cqe_based_moder (jsc#PED-1549).
- net/mlx5e: Move HW-GRO and CQE compression check to fix features
  flow (jsc#PED-1549).
- net/mlx5e: Fix feature check per profile (jsc#PED-1549).
- net/mlx5e: Unblock setting vid 0 for VF in case PF isn't
  eswitch manager (jsc#PED-1549).
- net/mlx5e: Expose FEC counters via ethtool (jsc#PED-1549).
- net/mlx5: Update log_max_qp value to FW max capability
  (jsc#PED-1549).
- net/mlx5: SF, Use all available cpu for setting cpu affinity
  (jsc#PED-1549).
- net/mlx5: Introduce API for bulk request and release of IRQs
  (jsc#PED-1549).
- net/mlx5: Split irq_pool_affinity logic to new file
  (jsc#PED-1549).
- net/mlx5: Move affinity assignment into irq_request
  (jsc#PED-1549).
- net/mlx5: Introduce control IRQ request API (jsc#PED-1549).
- net/mlx5: mlx5e_hv_vhca_stats_create return type to void
  (jsc#PED-1549).
- mlxsw: spectrum: Extend to support Spectrum-4 ASIC
  (jsc#PED-1549).
- mlxsw: spectrum_acl_bloom_filter: Add support for Spectrum-4
  calculation (jsc#PED-1549).
- mlxsw: Add operations structure for bloom filter calculation
  (jsc#PED-1549).
- mlxsw: spectrum_acl_bloom_filter: Rename Spectrum-2 specific
  objects for future use (jsc#PED-1549).
- mlxsw: spectrum_acl_bloom_filter: Make
  mlxsw_sp_acl_bf_key_encode() more flexible (jsc#PED-1549).
- mlxsw: spectrum_acl_bloom_filter: Reorder functions to make
  the code more aesthetic (jsc#PED-1549).
- mlxsw: Introduce flex key elements for Spectrum-4
  (jsc#PED-1549).
- mlxsw: Rename virtual router flex key element (jsc#PED-1549).
- net: fixup build after bpf header changes (jsc#PED-1549).
- net/mlx5: CT: Set flow source hint from provided tuple device
  (jsc#PED-1549).
- xsk: Wipe out dead zero_copy_allocator declarations
  (jsc#PED-373).
- net/mlx5: Set SMFS as a default steering mode if device supports
  it (jsc#PED-1549).
- net/mlx5: DR, Ignore modify TTL if device doesn't support it
  (jsc#PED-1549).
- net/mlx5: DR, Improve steering for empty or RX/TX-only matchers
  (jsc#PED-1549).
- net/mlx5: DR, Add support for matching on
  geneve_tlv_option_0_exist field (jsc#PED-1549).
- net/mlx5: DR, Support matching on tunnel headers 0 and 1
  (jsc#PED-1549).
- net/mlx5: DR, Add misc5 to match_param structs (jsc#PED-1549).
- net/mlx5: Add misc5 flow table match parameters (jsc#PED-1549).
- net/mlx5: DR, Warn on failure to destroy objects due to refcount
  (jsc#PED-1549).
- net/mlx5: DR, Add support for UPLINK destination type
  (jsc#PED-1549).
- net/mlx5: DR, Add support for dumping steering info
  (jsc#PED-1549).
- net/mlx5: DR, Add missing reserved fields to dr_match_param
  (jsc#PED-1549).
- net/mlx5: DR, Add check for flex parser ID value (jsc#PED-1549).
- net/mlx5: DR, Rename list field in matcher struct to list_node
  (jsc#PED-1549).
- net/mlx5: DR, Remove unused struct member in matcher
  (jsc#PED-1549).
- net/mlx5: DR, Fix lower case macro prefix "mlx5_" to "MLX5_"
  (jsc#PED-1549).
- net/mlx5: DR, Fix error flow in creating matcher (jsc#PED-1549).
- igb: support EXTTS on 82580/i354/i350 (jsc#PED-370).
- igb: support PEROUT on 82580/i354/i350 (jsc#PED-370).
- igb: move PEROUT and EXTTS isr logic to separate functions
  (jsc#PED-370).
- igb: move SDP config initialization to separate function
  (jsc#PED-370).
- ixgbevf: switch to napi_build_skb() (jsc#PED-373).
- ixgbe: switch to napi_build_skb() (jsc#PED-373).
- igc: switch to napi_build_skb() (jsc#PED-375).
- igb: switch to napi_build_skb() (jsc#PED-370).
- iavf: switch to napi_build_skb() (jsc#PED-835).
- i40e: switch to napi_build_skb() (jsc#PED-372).
- net/mlx5e: Take packet_merge params directly from the RX res
  struct (jsc#PED-1549).
- net/mlx5e: Allocate per-channel stats dynamically at first usage
  (jsc#PED-1549).
- net/mlx5e: Use dynamic per-channel allocations in stats
  (jsc#PED-1549).
- net/mlx5e: Allow profile-specific limitation on max num of
  channels (jsc#PED-1549).
- net/mlx5e: Save memory by using dynamic allocation in netdev
  priv (jsc#PED-1549).
- net/mlx5e: Add profile indications for PTP and QOS HTB features
  (jsc#PED-1549).
- net/mlx5e: Use bitmap field for profile features (jsc#PED-1549).
- net/mlx5: Remove the repeated declaration (jsc#PED-1549).
- net/mlx5: Let user configure max_macs generic param
  (jsc#PED-1549).
- net/mlx5: Let user configure event_eq_size param (jsc#PED-1549).
- net/mlx5: Let user configure io_eq_size param (jsc#PED-1549).
- igbvf: Refactor trace (jsc#PED-370).
- igb: remove never changed variable `ret_val' (jsc#PED-370).
- igc: Remove obsolete define (jsc#PED-375).
- igc: Remove obsolete mask (jsc#PED-375).
- igc: Remove obsolete nvm type (jsc#PED-375).
- igc: Remove unused phy type (jsc#PED-375).
- igc: Remove unused _I_PHY_ID define (jsc#PED-375).
- net/sched: use min() macro instead of doing it manually
  (jsc#PED-1549).
- flow_offload: add reoffload process to update hw_count
  (jsc#PED-1549).
- net: sched: save full flags for tc action (jsc#PED-1549).
- flow_offload: add process to update action stats from hardware
  (jsc#PED-1549).
- flow_offload: add skip_hw and skip_sw to control if offload
  the action (jsc#PED-1549).
- flow_offload: allow user to offload tc action to net device
  (jsc#PED-1549).
- flow_offload: add ops to tc_action_ops for flow action setup
  (jsc#PED-1549).
- flow_offload: rename offload functions with offload instead
  of flow (jsc#PED-1549).
- flow_offload: add index to flow_action_entry structure
  (jsc#PED-1549).
- iavf: Restrict maximum VLAN filters for
  VIRTCHNL_VF_OFFLOAD_VLAN_V2 (jsc#PED-835).
- iavf: Add support VIRTCHNL_VF_OFFLOAD_VLAN_V2 during netdev
  config (jsc#PED-835).
- virtchnl: Add support for new VLAN capabilities (jsc#PED-835).
- net/mlx5: Introduce log_max_current_uc_list_wr_supported bit
  (jsc#PED-1549).
- RDMA/mlx5: Add support to multiple priorities for FDB rules
  (jsc#PED-1552).
- net/mlx5: Create more priorities for FDB bypass namespace
  (jsc#PED-1549).
- net/mlx5: Refactor mlx5_get_flow_namespace (jsc#PED-1549).
- net/mlx5: Separate FDB namespace (jsc#PED-1549).
- net/mlx5e: Move goto action checks into tc_action goto post
  parse op (jsc#PED-1549).
- net/mlx5e: Move vlan action chunk into tc action vlan post
  parse op (jsc#PED-1549).
- net/mlx5e: Add post_parse() op to tc action infrastructure
  (jsc#PED-1549).
- net/mlx5e: Move sample attr allocation to tc_action sample
  parse op (jsc#PED-1549).
- net/mlx5e: TC action parsing loop (jsc#PED-1549).
- net/mlx5e: Add redirect ingress to tc action infra
  (jsc#PED-1549).
- net/mlx5e: Add sample and ptype to tc_action infra
  (jsc#PED-1549).
- net/mlx5e: Add ct to tc action infra (jsc#PED-1549).
- net/mlx5e: Add mirred/redirect to tc action infra
  (jsc#PED-1549).
- net/mlx5e: Add mpls push/pop to tc action infra (jsc#PED-1549).
- net/mlx5e: Add vlan push/pop/mangle to tc action infra
  (jsc#PED-1549).
- net/mlx5e: Add pedit to tc action infra (jsc#PED-1549).
- net/mlx5e: Add csum to tc action infra (jsc#PED-1549).
- net/mlx5e: Add tunnel encap/decap to tc action infra
  (jsc#PED-1549).
- net/mlx5e: Add goto to tc action infra (jsc#PED-1549).
- net/mlx5e: Add tc action infrastructure (jsc#PED-1549).
- xfrm: add net device refcount tracker to struct
  xfrm_state_offload (jsc#PED-373).
- net/mlx5: Dynamically resize flow counters query buffer
  (jsc#PED-1549).
- net/mlx5e: TC, Set flow attr ip_version earlier (jsc#PED-1549).
- net/mlx5e: TC, Move common flow_action checks into function
  (jsc#PED-1549).
- net/mlx5e: Remove redundant actions arg from vlan push/pop funcs
  (jsc#PED-1549).
- net/mlx5e: Remove redundant actions arg from
  validate_goto_chain() (jsc#PED-1549).
- net/mlx5e: TC, Remove redundant action stack var (jsc#PED-1549).
- net/mlx5e: Hide function mlx5e_num_channels_changed
  (jsc#PED-1549).
- net/mlx5e: SHAMPO, clean MLX5E_MAX_KLM_PER_WQE macro
  (jsc#PED-1549).
- net/mlx5: Print more info on pci error handlers (jsc#PED-1549).
- net/mlx5: SF, silence an uninitialized variable warning
  (jsc#PED-1549).
- net/mlx5: Fix error return code in esw_qos_create()
  (jsc#PED-1549).
- mlx5: fix mlx5i_grp_sw_update_stats() stack usage
  (jsc#PED-1549).
- mlx5: fix psample_sample_packet link error (jsc#PED-1549).
- mlxsw: Use u16 for local_port field instead of u8
  (jsc#PED-1549).
- mlxsw: reg: Adjust PPCNT register to support local port 255
  (jsc#PED-1549).
- mlxsw: reg: Increase 'port_num' field in PMTDB register
  (jsc#PED-1549).
- mlxsw: reg: Align existing registers to use extended local_port
  field (jsc#PED-1549).
- mlxsw: item: Add support for local_port field in a split form
  (jsc#PED-1549).
- iavf: Fix displaying queue statistics shown by ethtool
  (jsc#PED-835).
- iavf: Refactor string format to avoid static analysis warnings
  (jsc#PED-835).
- iavf: Refactor text of informational message (jsc#PED-835).
- iavf: Fix static code analysis warning (jsc#PED-835).
- iavf: Refactor iavf_mac_filter struct memory usage
  (jsc#PED-835).
- iavf: Enable setting RSS hash key (jsc#PED-835).
- iavf: return errno code instead of status code (jsc#PED-835).
- iavf: Log info when VF is entering and leaving Allmulti mode
  (jsc#PED-835).
- iavf: Add change MTU message (jsc#PED-835).
- igc: enable XDP metadata in driver (jsc#PED-375).
- devlink: Simplify devlink resources unregister call
  (jsc#PED-1549).
- mlxsw: spectrum_router: Remove deadcode in
  mlxsw_sp_rif_mac_profile_find (jsc#PED-1549).
- net: dsa: felix: restrict psfp rules on ingress port
  (jsc#PED-1549).
- net: dsa: felix: use vcap policer to set flow meter for psfp
  (jsc#PED-1549).
- net: mscc: ocelot: use index to set vcap policer (jsc#PED-1549).
- net: dsa: felix: add stream gate settings for psfp
  (jsc#PED-1549).
- net: dsa: felix: support psfp filter on vsc9959 (jsc#PED-1549).
- net: mscc: ocelot: add gate and police action offload to PSFP
  (jsc#PED-1549).
- net: mscc: ocelot: set vcap IS2 chain to goto PSFP chain
  (jsc#PED-1549).
- ixgbevf: Add support for new mailbox communication between PF
  and VF (jsc#PED-373).
- ixgbevf: Mailbox improvements (jsc#PED-373).
- ixgbevf: Add legacy suffix to old API mailbox functions
  (jsc#PED-373).
- ixgbevf: Improve error handling in mailbox (jsc#PED-373).
- stmmac: fix build due to brainos in trans_start changes
  (jsc#PED-370).
- net: annotate accesses to queue->trans_start (jsc#PED-370).
- net/mlx5: E-switch, Create QoS on demand (jsc#PED-1549).
- net/mlx5: E-switch, Enable vport QoS on demand (jsc#PED-1549).
- net/mlx5: E-switch, move offloads mode callbacks to offloads
  file (jsc#PED-1549).
- net/mlx5: E-switch, Reuse mlx5_eswitch_set_vport_mac
  (jsc#PED-1549).
- net/mlx5: E-switch, Remove vport enabled check (jsc#PED-1549).
- net/mlx5e: Specify out ifindex when looking up decap route
  (jsc#PED-1549).
- net/mlx5e: TC, Move comment about mod header flag to correct
  place (jsc#PED-1549).
- net/mlx5e: TC, Move kfree() calls after destroying all resources
  (jsc#PED-1549).
- net/mlx5e: TC, Destroy nic flow counter if exists
  (jsc#PED-1549).
- net/mlx5: TC, using swap() instead of tmp variable
  (jsc#PED-1549).
- net/mlx5: CT: Allow static allocation of mod headers
  (jsc#PED-1549).
- net/mlx5e: Refactor mod header management API (jsc#PED-1549).
- net/mlx5: Avoid printing health buffer when firmware is
  unavailable (jsc#PED-1549).
- net/mlx5: Fix format-security build warnings (jsc#PED-1549).
- net/mlx5e: Support ethtool cq mode (jsc#PED-1549).
- net: openvswitch: Fix matching zone id for invalid conns
  arriving from tc (jsc#PED-1549).
- net/sched: flow_dissector: Fix matching on zone id for invalid
  conns (jsc#PED-1549).
- mlxsw: spectrum_router: Consolidate MAC profiles when possible
  (jsc#PED-1549).
- vhost-vdpa: clean irqs before reseting vdpa device
  (jsc#PED-1549).
- vdpa/mlx5: Forward only packets with allowed MAC address
  (jsc#PED-1549).
- vdpa/mlx5: Support configuration of MAC (jsc#PED-1549).
- vdpa/mlx5: Fix clearing of VIRTIO_NET_F_MAC feature bit
  (jsc#PED-1549).
- vdpa: Enable user to set mac and mtu of vdpa device
  (jsc#PED-1549).
- vdpa: Use kernel coding style for structure comments
  (jsc#PED-1549).
- vdpa: Introduce query of device config layout (jsc#PED-1549).
- vdpa: Introduce and use vdpa device get, set config helpers
  (jsc#PED-1549).
- vdpa/mlx5: Propagate link status from device to vdpa driver
  (jsc#PED-1549).
- vdpa/mlx5: Rename control VQ workqueue to vdpa wq
  (jsc#PED-1549).
- vdpa/mlx5: Remove mtu field from vdpa net device (jsc#PED-1549).
- vdpa: add new attribute VDPA_ATTR_DEV_MIN_VQ_SIZE
  (jsc#PED-1549).
- vdpa: min vq num of vdpa device cannot be greater than max vq
  num (jsc#PED-1549).
- vdpa: add new callback get_vq_num_min in vdpa_config_ops
  (jsc#PED-1549).
- vp_vdpa: add vq irq offloading support (jsc#PED-1549).
- vdpa: fix typo (jsc#PED-1549).
- cls_flower: Fix inability to match GRE/IPIP packets
  (jsc#PED-1549).
- netdevsim: fix uninit value in nsim_drv_configure_vfs()
  (jsc#PED-1549).
- netdevsim: rename 'driver' entry points (jsc#PED-1549).
- netdevsim: move max vf config to dev (jsc#PED-1549).
- netdevsim: move details of vf config to dev (jsc#PED-1549).
- netdevsim: move vfconfig to nsim_dev (jsc#PED-1549).
- netdevsim: take rtnl_lock when assigning num_vfs (jsc#PED-1549).
- virtchnl: Use the BIT() macro for capability/offload flags
  (jsc#PED-835).
- virtchnl: Remove unused VIRTCHNL_VF_OFFLOAD_RSVD define
  (jsc#PED-835).
- netdevsim: remove max_vfs dentry (jsc#PED-1549).
- mlxsw: spectrum_router: Expose RIF MAC profiles to devlink
  resource (jsc#PED-1549).
- mlxsw: spectrum_router: Add RIF MAC profiles support
  (jsc#PED-1549).
- mlxsw: spectrum_router: Propagate extack further (jsc#PED-1549).
- mlxsw: resources: Add resource identifier for RIF MAC profiles
  (jsc#PED-1549).
- mlxsw: reg: Add MAC profile ID field to RITR register
  (jsc#PED-1549).
- mlxsw: spectrum: Use 'bitmap_zalloc()' when applicable
  (jsc#PED-1549).
- net: mscc: ocelot: support egress VLAN rewriting via VCAP ES0
  (jsc#PED-1549).
- xsk: Optimize for aligned case (jsc#PED-1549).
- virtio_net: introduce TX timeout watchdog (jsc#PED-370).
- mlxsw: Make PMAOS pack function more generic (jsc#PED-1549).
- mlxsw: reg: Add fields to PMAOS register (jsc#PED-1549).
- mlxsw: Track per-module port status (jsc#PED-1549).
- mlxsw: spectrum: Do not return an error in
  mlxsw_sp_port_module_unmap() (jsc#PED-1549).
- mlxsw: spectrum: Do not return an error in ndo_stop()
  (jsc#PED-1549).
- mlxsw: core_env: Convert 'module_info_lock' to a mutex
  (jsc#PED-1549).
- mlxsw: core_env: Defer handling of module temperature warning
  events (jsc#PED-1549).
- mlxsw: reg: Remove PMTM register (jsc#PED-1549).
- mlxsw: spectrum: Move port SWID set before core port init
  (jsc#PED-1549).
- mlxsw: spectrum: Move port module mapping before core port init
  (jsc#PED-1549).
- mlxsw: spectrum: Bump minimum FW version to xx.2008.3326
  (jsc#PED-1549).
- vduse: Fix race condition between resetting and irq injecting
  (jsc#PED-1549).
- vduse: Disallow injecting interrupt before DRIVER_OK is set
  (jsc#PED-1549).
- vhost_vdpa: unset vq irq before freeing irq (jsc#PED-1549).
- vdpa: potential uninitialized return in vhost_vdpa_va_map()
  (jsc#PED-1549).
- vdpa/mlx5: Avoid executing set_vq_ready() if device is reset
  (jsc#PED-1549).
- vdpa/mlx5: Clear ready indication for control VQ (jsc#PED-1549).
- vduse: Cleanup the old kernel states after reset failure
  (jsc#PED-1549).
- vduse: missing error code in vduse_init() (jsc#PED-1549).
- Documentation: Add documentation for VDUSE (jsc#PED-1549).
- vduse: Implement an MMU-based software IOTLB (jsc#PED-1549).
- vdpa: Support transferring virtual addressing during DMA mapping
  (jsc#PED-1549).
- vdpa: factor out vhost_vdpa_pa_map() and vhost_vdpa_pa_unmap()
  (jsc#PED-1549).
- vdpa: Add an opaque pointer for vdpa_config_ops.dma_map()
  (jsc#PED-1549).
- vhost-iotlb: Add an opaque pointer for vhost IOTLB
  (jsc#PED-1549).
- vhost-vdpa: Handle the failure of vdpa_reset() (jsc#PED-1549).
- vdpa: Add reset callback in vdpa_config_ops (jsc#PED-1549).
- vdpa: Fix some coding style issues (jsc#PED-1549).
- file: Export receive_fd() to modules (jsc#PED-1549).
- vdpa: Make use of PFN_PHYS/PFN_UP/PFN_DOWN helper macro
  (jsc#PED-1549).
- vdpa/mlx5: Add multiqueue support (jsc#PED-1549).
- vdpa/mlx5: Ensure valid indices are provided (jsc#PED-1549).
- vdpa/mlx5: Decouple virtqueue callback from struct
  mlx5_vdpa_virtqueue (jsc#PED-1549).
- vdpa/mlx5: function prototype modifications in preparation to
  control VQ (jsc#PED-1549).
- vdpa/mlx5: Remove redundant header file inclusion
  (jsc#PED-1549).
- vDPA/ifcvf: enable multiqueue and control vq (jsc#PED-1549).
- vDPA/ifcvf: detect and use the onboard number of queues directly
  (jsc#PED-1549).
- vDPA/ifcvf: implement management netlink framework for ifcvf
  (jsc#PED-1549).
- vDPA/ifcvf: introduce get_dev_type() which returns virtio dev id
  (jsc#PED-1549).
- mlxsw: spectrum: Add infrastructure for parsing configuration
  (jsc#PED-1549).
- net/sched: store the last executed chain also for clsact egress
  (jsc#PED-1549).
- nfp: flower-tc: add flow stats updates for ct (jsc#PED-1549).
- nfp: flower-ct: add offload calls to the nfp (jsc#PED-1549).
- nfp: flower-ct: add flow_pay to the offload table
  (jsc#PED-1549).
- nfp: flower-ct: add actions into flow_pay for offload
  (jsc#PED-1549).
- nfp: flower-ct: compile match sections of flow_payload
  (jsc#PED-1549).
- nfp: flower-ct: calculate required key_layers (jsc#PED-1549).
- nfp: flower: refactor action offload code slightly
  (jsc#PED-1549).
- nfp: flower: refactor match functions to take flow_rule as input
  (jsc#PED-1549).
- nfp: flower: make the match compilation functions reusable
  (jsc#PED-1549).
- netdevsim: Add multi-queue support (jsc#PED-1549).
- net/sched: Remove unnecessary if statement (jsc#PED-1549).
- bpf: Add function for XDP meta data length check (jsc#PED-373).
- commit 820516d
* Tue Sep 27 2022 mbrugger@suse.com
- Update config files. (jsc#PED-1763)
- supported.conf:
- commit 9894f49
* Tue Sep 27 2022 lhenriques@suse.de
- fuse: Remove the control interface for virtio-fs (bsc#1203798).
- commit a23dd0d
* Tue Sep 27 2022 ykaukab@suse.de
- constraints: increase disk space for all architectures
  References: bsc#1203693
  aarch64 is already suffering. SLE15-SP5 x86_64 stats show that it is
  very close to the limit.
- commit 43a9011
* Tue Sep 27 2022 oneukum@suse.com
- usb.h: struct usb_device: hide new member (git-fixes).
- commit fbd8f4a
* Tue Sep 27 2022 oneukum@suse.com
- USB: core: Prevent nested device-reset calls (git-fixes).
- commit 9ef8532
* Tue Sep 27 2022 oneukum@suse.com
- usb: dwc3: disable USB core PHY management (git-fixes).
- commit 1a35727
* Tue Sep 27 2022 tiwai@suse.de
- Update patch referecen for ALSA fix (CVE-2022-3303 bsc#1203769)
- commit 9addbc1
* Tue Sep 27 2022 dmueller@suse.com
- ACPI: processor idle: Practically limit "Dummy wait" workaround
  to old Intel systems (bsc#1203767).
- commit ec98644
* Tue Sep 27 2022 neilb@suse.de
- NFSv4.2: Update mode bits after ALLOCATE and DEALLOCATE
  (git-fixes).
- NFSv4: Turn off open-by-filehandle and NFS re-export for NFSv4.0
  (git-fixes).
- md: call __md_stop_writes in md_stop (git-fixes).
- SUNRPC: RPC level errors should set task->tk_rpc_status
  (git-fixes).
- NFSv4.2 fix problems with __nfs42_ssc_open (git-fixes).
- net/sunrpc: fix potential memory leaks in
  rpc_sysfs_xprt_state_change() (git-fixes).
- SUNRPC: Reinitialise the backchannel request buffers before
  reuse (git-fixes).
- NFSv4.1: RECLAIM_COMPLETE must handle EACCES (git-fixes).
- NFSv4: Fix races in the legacy idmapper upcall (git-fixes).
- sunrpc: fix expiry of auth creds (git-fixes).
- NFSv4.1: Handle NFS4ERR_DELAY replies to OP_SEQUENCE correctly
  (git-fixes).
- NFSv4.1: Don't decrease the value of seq_nr_highest_sent
  (git-fixes).
- pNFS/flexfiles: Report RDMA connection errors to the server
  (git-fixes).
- Revert "pNFS: nfs3_set_ds_client should set NFS_CS_NOPING"
  (git-fixes).
- lockd: detect and reject lock arguments that overflow
  (git-fixes).
- SUNRPC: Fix xdr_encode_bool() (git-fixes).
- nfsd: eliminate the NFSD_FILE_BREAK_* flags (git-fixes).
- md-raid10: fix KASAN warning (git-fixes).
- NFSD: restore EINVAL error translation in nfsd_commit()
  (git-fixes).
- NFSD: Clean up the show_nf_flags() macro (git-fixes).
- SUNRPC: Don't leak sockets in xs_local_connect() (git-fixes).
- SUNRPC: Don't call connect() more than once on a TCP socket
  (git-fixes).
- NFS: LOOKUP_DIRECTORY is also ok with symlinks (git-fixes).
- NFSD: Fix offset type in I/O trace points (git-fixes).
- NFS: Fix WARN_ON due to unionization of nfs_inode.nrequests
  (git-fixes).
- commit 510ad2f
* Mon Sep 26 2022 jroedel@suse.de
- x86/sev: Add missing __init annotations to SEV init routines
  (jsc#SLE-19924 jsc#SLE-24814).
- Refresh
  patches.suse/x86-sev-Get-the-AP-jump-table-address-from-secrets-page.
- commit e7f768c
* Mon Sep 26 2022 lduncan@suse.com
- scsi: Revert "scsi: qla2xxx: Fix disk failure to rediscover"
  (git-fixes).
- commit c7d72a7
* Mon Sep 26 2022 tiwai@suse.de
- i2c: mlxbf: Fix frequency calculation (git-fixes).
- i2c: mlxbf: prevent stack overflow in
  mlxbf_i2c_smbus_start_transaction() (git-fixes).
- i2c: mlxbf: incorrect base address passed during io write
  (git-fixes).
- i2c: imx: If pm_runtime_get_sync() returned 1 device access
  is possible (git-fixes).
- commit abc7475
* Sun Sep 25 2022 lduncan@suse.com
- blacklist.conf: remove blacklisted patch
  This patch was incorrectly blacklisted, but in fact
  is needeed, so remove the blacklist first.
- commit 858de69
* Sun Sep 25 2022 tiwai@suse.de
- serial: fsl_lpuart: Reset prior to registration (git-fixes).
- workqueue: don't skip lockdep work dependency in
  cancel_work_sync() (git-fixes).
- arm64: topology: fix possible overflow in amu_fie_setup()
  (git-fixes).
- media: flexcop-usb: fix endpoint type check (git-fixes).
- usb: dwc3: core: leave default DMA if the controller does not
  support 64-bit DMA (git-fixes).
- drm/panel: simple: Fix innolux_g121i1_l01 bus_format
  (git-fixes).
- drm/mediatek: dsi: Move mtk_dsi_stop() call back to
  mtk_dsi_poweroff() (git-fixes).
- drm/mediatek: dsi: Add atomic {destroy,duplicate}_state,
  reset callbacks (git-fixes).
- drm/panfrost: devfreq: set opp to the recommended one to
  configure regulator (git-fixes).
- ASoC: nau8824: Fix semaphore unbalance at error paths
  (git-fixes).
- regulator: pfuze100: Fix the global-out-of-bounds access in
  pfuze100_regulator_probe() (git-fixes).
- net: usb: qmi_wwan: add Quectel RM520N (git-fixes).
- wifi: mac80211_hwsim: check length for virtio packets
  (git-fixes).
- tty: serial: atmel: Preserve previous USART mode if RS485
  disabled (git-fixes).
- drm/tegra: vic: Fix build warning when CONFIG_PM=n (git-fixes).
- video: fbdev: pxa3xx-gcu: Fix integer overflow in
  pxa3xx_gcu_write (git-fixes).
- serial: atmel: remove redundant assignment in rs485_config
  (git-fixes).
- video: fbdev: i740fb: Error out if 'pixclock' equals zero
  (git-fixes).
- commit 05ff2c7
* Sat Sep 24 2022 tbogendoerfer@suse.de
- ethernet: sparx5: use eth_hw_addr_gen() (jsc#PED-1565).
- ethernet: sxgbe: use eth_hw_addr_set() (jsc#PED-1565).
- commit efcaf78
* Fri Sep 23 2022 lduncan@suse.com
- scsi: mpt3sas: Fix use-after-free warning (git-fixes).
- scsi: qla2xxx: Fix disk failure to rediscover (git-fixes).
- commit 338849f
* Fri Sep 23 2022 msuchanek@suse.de
- ethernet: ibmveth: use ether_addr_to_u64() (jsc#PED-1565).
- commit 62557e1
* Fri Sep 23 2022 msuchanek@suse.de
- kexec_file: drop weak attribute from functions (bsc#1196444).
- commit 3df1852
* Fri Sep 23 2022 jgross@suse.com
- KVM: avoid NULL pointer dereference in kvm_dirty_ring_push
  (bsc#1198189 CVE-2022-1263).
- commit 7717214
* Fri Sep 23 2022 msuchanek@suse.de
- kexec, KEYS, s390: Make use of built-in and secondary keyring
  for signature verification (bsc#1196444).
- commit a0517d1
* Fri Sep 23 2022 msuchanek@suse.de
- arm64: kexec_file: use more system keyrings to verify kernel
  image signature (bsc#1196444).
- kexec, KEYS: make the code in bzImage64_verify_sig generic
  (bsc#1196444).
- kexec: clean up arch_kexec_kernel_verify_sig (bsc#1196444).
- kexec: drop weak attribute from functions (bsc#1196444).
- x86/kexec: fix memory leak of elf header buffer (bsc#1196444).
- commit 6bb0d35
* Fri Sep 23 2022 tiwai@suse.de
- arm64: dts: rockchip: Remove 'enable-active-low' from
  rk3399-puma (git-fixes).
- arm64: dts: rockchip: Set RK3399-Gru PCLK_EDP to 24 MHz
  (git-fixes).
- arm64: dts: rockchip: Fix typo in lisense text for PX30.Core
  (git-fixes).
- arm64: dts: rockchip: Pull up wlan wake# on Gru-Bob (git-fixes).
- selftests: forwarding: add shebang for sch_red.sh (git-fixes).
- can: gs_usb: gs_can_open(): fix race dev->can.state condition
  (git-fixes).
- gve: Fix GFP flags when allocing pages (git-fixes).
- wifi: mt76: fix reading current per-tid starting sequence
  number for aggregation (git-fixes).
- batman-adv: Fix hang up with small MTU hard-interface
  (git-fixes).
- net: phy: aquantia: wait for the suspend/resume operations to
  finish (git-fixes).
- gpiolib: cdev: Set lineevent_state::irq after IRQ register
  successfully (git-fixes).
- gpio: mockup: fix NULL pointer dereference when removing debugfs
  (git-fixes).
- selftests: forwarding: Fix failing tests with old libnet
  (git-fixes).
- commit 4895eee
* Thu Sep 22 2022 tbogendoerfer@suse.de
- intersil: remove obsolete prism54 wireless driver
  (jsc#PED-1565).
- Update config files.
- supported.conf: removed prism64
- commit 2e3787e
* Thu Sep 22 2022 tbogendoerfer@suse.de
- staging: rtl8188eu fix fallout of constifying dev_addr
  (jsc#PED-1565).
- commit 388ba9a
* Thu Sep 22 2022 mbrugger@suse.com
- dt-bindings: Add headers for Host1x and VIC on Tegra234
  (jsc#PED-1763).
- dt-bindings: memory: Add Tegra234 MGBE memory clients
  (jsc#PED-1763).
- dt-bindings: Add Tegra234 MGBE clocks and resets (jsc#PED-1763).
- dt-bindings: power: Add Tegra234 MGBE power domains
  (jsc#PED-1763).
- dt-bindings: Add headers for Tegra234 GPCDMA (jsc#PED-1763).
- dt-bindings: tegra186-hsp: add type for shared mailboxes
  (jsc#PED-1763).
- arm64: tegra: Add QSPI controllers on Tegra234 (jsc#PED-1763).
- dt-bindings: memory: Add Tegra234 PCIe memory (jsc#PED-1763).
- dt-bindings: power: Add Tegra234 PCIe power domains
  (jsc#PED-1763).
- dt-bindings: Add Tegra234 PCIe clocks and resets (jsc#PED-1763).
- dt-bindings: Add HDA support for Tegra234 (jsc#PED-1763).
- dt-bindings: Add Tegra234 APE support (jsc#PED-1763).
- dt-bindings: Add headers for Tegra234 PWM (jsc#PED-1763).
- dt-bindings: Add headers for Tegra234 I2C (jsc#PED-1763).
- dt-bindings: gpio: Add Tegra234 support (jsc#PED-1763).
- dt-bindings: memory: tegra: Add Tegra234 support (jsc#PED-1763).
- dt-bindings: Update headers for Tegra234 (jsc#PED-1763).
- commit 44a5986
* Thu Sep 22 2022 tbogendoerfer@suse.de
- sfc: siena: Fix Kconfig dependencies (jsc#PED-1565).
- Update config files.
- supported.conf: Addedd sfc-siena
- commit d576f42
* Thu Sep 22 2022 tbogendoerfer@suse.de
- net: add net device refcount tracker infrastructure
  (jsc#PED-1565).
- Update config files.
- commit 62b348b
* Thu Sep 22 2022 tbogendoerfer@suse.de
- of: net: move of_net under net/ (jsc#PED-1565).
- Update config files.
- commit 04e77fb
* Thu Sep 22 2022 tbogendoerfer@suse.de
- net: annotate accesses to dev->gso_max_segs (jsc#PED-1565).
- Refresh patches.suse/octeontx2-pf-Add-TC-feature-for-VFs.patch.
- commit 37035f5
* Thu Sep 22 2022 tbogendoerfer@suse.de
- usb: gadget: u_ether: use eth_hw_addr_set() (jsc#PED-1565).
- Refresh
  patches.suse/usb-gadget-u_ether-fix-regression-in-setting-fixed-M.patch.
- commit 219037e
* Thu Sep 22 2022 tbogendoerfer@suse.de
- device property: move mac addr helpers to eth.c (jsc#PED-1565).
- Refresh
  patches.suse/device-property-Add-fwnode_irq_get_byname.patch.
- commit c05663b
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net/mlx5: CT: Fix header-rewrite re-use for tupels (git-fixes).
- commit a413591
* Thu Sep 22 2022 tbogendoerfer@suse.de
- sfc: implement ethtool get/set RX ring size for EF100 reps
  (jsc#PED-1565).
- sfc: use a dynamic m-port for representor RX and set it promisc
  (jsc#PED-1565).
- sfc: move table locking into filter_table_{probe,remove}
  methods (jsc#PED-1565).
- sfc: insert default MAE rules to connect VFs to representors
  (jsc#PED-1565).
- sfc: receive packets from EF100 VFs into representors
  (jsc#PED-1565).
- sfc: check ef100 RX packets are from the wire (jsc#PED-1565).
- sfc: determine wire m-port at EF100 PF probe time
  (jsc#PED-1565).
- sfc: ef100 representor RX top half (jsc#PED-1565).
- sfc: ef100 representor RX NAPI poll (jsc#PED-1565).
- sfc: plumb ef100 representor stats (jsc#PED-1565).
- sfc/siena: fix repeated words in comments (jsc#PED-1565).
- sfc/falcon: fix repeated words in comments (jsc#PED-1565).
- sfc: attach/detach EF100 representors along with their owning PF
  (jsc#PED-1565).
- sfc: hook up ef100 representor TX (jsc#PED-1565).
- sfc: support passing a representor to the EF100 TX path
  (jsc#PED-1565).
- sfc: determine representee m-port for EF100 representors
  (jsc#PED-1565).
- sfc: phys port/switch identification for ef100 reps
  (jsc#PED-1565).
- sfc: add basic ethtool ops to ef100 reps (jsc#PED-1565).
- sfc: add skeleton ef100 VF representors (jsc#PED-1565).
- sfc: detect ef100 MAE admin privilege/capability at probe time
  (jsc#PED-1565).
- sfc: update EF100 register descriptions (jsc#PED-1565).
- sfc: update MCDI protocol headers (jsc#PED-1565).
- sfc: falcon: Use the bitmap API to allocate bitmaps
  (jsc#PED-1565).
- sfc/siena: Use the bitmap API to allocate bitmaps
  (jsc#PED-1565).
- sfc: Separate netdev probe/remove from PCI probe/remove
  (jsc#PED-1565).
- sfc: disable softirqs for ptp TX (jsc#PED-1565).
- sfc: fix kernel panic when creating VF (jsc#PED-1565).
- sfc: fix use after free when disabling sriov (jsc#PED-1565).
- net: make drivers set the TSO limit not the GSO limit
  (jsc#PED-1565).
- bpf: Let bpf_warn_invalid_xdp_action() report more info
  (jsc#PED-1565).
- bpf: Do not WARN in bpf_warn_invalid_xdp_action()
  (jsc#PED-1565).
- net: usb: ax88179_178a: add TSO feature (jsc#PED-1565).
- bpf, devmap: Exclude XDP broadcast to master device
  (jsc#PED-1565).
- bpf: devmap: Implement devmap prog execution for generic XDP
  (jsc#PED-1565).
- bpf: cpumap: Implement generic cpumap (jsc#PED-1565).
- bitops: Add non-atomic bitops for pointers (jsc#PED-1565).
- net: core: Split out code to run generic XDP prog
  (jsc#PED-1565).
- commit 86a0101
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net/mlx5e: TC NIC mode, fix tc chains miss table (git-fixes).
- commit 7bd201a
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: enetc: Use pci_release_region() to release some resources
  (git-fixes).
- commit 15bc221
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Fix refcount leak in
  mv88e6xxx_mdios_register (git-fixes).
- commit 568058d
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: dsa: restrict SMSC_LAN9303_I2C kconfig (git-fixes).
- commit a7df60c
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: stmmac: fix out-of-bounds access in a selftest (git-fixes).
- commit 1d801d7
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: macb: Fix PTP one step sync support (git-fixes).
- commit c6f42d2
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: wwan: iosm: remove pointless null check (git-fixes).
- commit 4eccfc1
* Thu Sep 22 2022 denis.kirjanov@suse.com
- eth: sun: cassini: remove dead code (git-fixes).
- commit aa42615
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: stmmac: remove unused get_addr() callback (git-fixes).
- commit 14586bc
* Thu Sep 22 2022 denis.kirjanov@suse.com
- Revert "ice: Hide bus-info in ethtool for PRs in switchdev mode"
  (git-fixes).
- commit 2b88535
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: ethernet: stmmac: fix write to sgmii_adapter_base
  (git-fixes).
- commit 63c3906
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: dsa: felix: fix tagging protocol changes with multiple
  CPU ports (git-fixes).
- commit 41e3617
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: dsa: introduce helpers for iterating through ports using dp
  (git-fixes).
- commit 5001021
* Thu Sep 22 2022 denis.kirjanov@suse.com
- ice: arfs: fix use-after-free when freeing @rx_cpu_rmap
  (git-fixes).
- commit 1bdfd3c
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: hns3: add netdev reset check for hns3_set_tunable()
  (git-fixes).
- commit f002bf7
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: phy: at803x: move page selection fix to config_init
  (git-fixes).
- commit 02fb6c3
* Thu Sep 22 2022 denis.kirjanov@suse.com
- ice: Match on all profiles in slow-path (git-fixes).
- commit 5ba2957
* Thu Sep 22 2022 denis.kirjanov@suse.com
- net: ipa: kill ipa_cmd_pipeline_clear() (git-fixes).
- commit 1308dcb
* Thu Sep 22 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit e0df553
* Thu Sep 22 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit d975e01
* Thu Sep 22 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 2402036
* Thu Sep 22 2022 tbogendoerfer@suse.de
- ethernet: netsec: use eth_hw_addr_set() (jsc#PED-1565).
- commit de114d2
* Thu Sep 22 2022 tbogendoerfer@suse.de
- net: fec_mpc52xx: don't discard const from netdev->dev_addr
  (jsc#PED-1565).
- ethernet: fec: use eth_hw_addr_gen() (jsc#PED-1565).
- ethernet: ocelot: use eth_hw_addr_gen() (jsc#PED-1565).
- ethernet: enetc: use eth_hw_addr_set() (jsc#PED-1565).
- commit 7d923f4
* Thu Sep 22 2022 tiwai@suse.de
- ALSA: hda: Fix Nvidia dp infoframe (git-fixes).
- ALSA: hda/tegra: set depop delay for tegra (git-fixes).
- ALSA: hda/tegra: Update scratch reg. communication (git-fixes).
- ALSA: hda/tegra: Add Tegra234 hda driver support (git-fixes).
- commit 636d297
* Thu Sep 22 2022 tiwai@suse.de
- ALSA: hda/realtek: Add a quirk for HP OMEN 16 (8902) mute LED
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS GA503R laptop (git-fixes).
- ALSA: hda/realtek: Add pincfg for ASUS G533Z HP jack
  (git-fixes).
- ALSA: hda/realtek: Add pincfg for ASUS G513 HP jack (git-fixes).
- ALSA: hda/realtek: Enable 4-speaker output Dell Precision 5530
  laptop (git-fixes).
- ALSA: hda/realtek: Enable 4-speaker output Dell Precision 5570
  laptop (git-fixes).
- ALSA: hda/realtek: Add quirk for Huawei WRT-WX9 (git-fixes).
- ALSA: hda: add Intel 5 Series / 3400 PCI DID (git-fixes).
- commit a4ecf82
* Thu Sep 22 2022 tiwai@suse.de
- dmaengine: ti: k3-udma-private: Fix refcount leak bug in
  of_xudma_dev_get() (git-fixes).
- Revert "ALSA: usb-audio: Split endpoint setups for hw_params
  and prepare" (git-fixes).
- ALSA: core: Fix double-free at snd_card_new() (git-fixes).
- ALSA: hda/realtek: Re-arrange quirk table entries (git-fixes).
- ALSA: hda: Fix hang at HD-audio codec unbinding due to refcount
  saturation (git-fixes).
- ARM: dts: imx6qdl-kontron-samx6i: fix spi-flash compatible
  (git-fixes).
- gpio: mockup: remove gpio debugfs when remove device
  (git-fixes).
- Input: iforce - add support for Boeder Force Feedback Wheel
  (git-fixes).
- Input: goodix - add compatible string for GT1158 (git-fixes).
- Input: goodix - add support for GT1158 (git-fixes).
- drm/msm/rd: Fix FIFO-full deadlock (git-fixes).
- drm/amd/amdgpu: skip ucode loading if ucode_size == 0
  (git-fixes).
- usb: storage: Add ASUS <0x0b05:0x1932> to IGNORE_UAS
  (git-fixes).
- platform/x86: acer-wmi: Acer Aspire One AOD270/Packard Bell
  Dot keymap fixes (git-fixes).
- platform/surface: aggregator_registry: Add support for Surface
  Laptop Go 2 (git-fixes).
- ieee802154: cc2520: add rc code in cc2520_tx() (git-fixes).
- hid: intel-ish-hid: ishtp: Fix ishtp client sending disordered
  message (git-fixes).
- HID: ishtp-hid-clientHID: ishtp-hid-client: Fix comment typo
  (git-fixes).
- ACPI: resource: skip IRQ override on AMD Zen platforms
  (git-fixes).
- ARM: dts: imx: align SPI NOR node name with dtschema
  (git-fixes).
- commit 6a1df1e
* Thu Sep 22 2022 tbogendoerfer@suse.de
- ethernet: via-velocity: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: via-rhine: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: ec_bhf: use eth_hw_addr_set() (jsc#PED-1565).
- commit fba8780
* Thu Sep 22 2022 tbogendoerfer@suse.de
- RDMA/cxgb4: fix accept failure due to increased
  cpl_t5_pass_accept_rpl size (jsc#PED-1508).
- RDMA/siw: Fix duplicated reported IW_CM_EVENT_CONNECT_REPLY
  event (jsc#PED-1503).
- RDMA/qedr: Fix potential memory leak in __qedr_alloc_mr()
  (jsc#PED-1529).
- RDMA: remove useless condition in siw_create_cq()
  (jsc#PED-1503).
- e1000e: convert .adjfreq to .adjfine (jsc#PED-837).
- e1000e: remove unnecessary range check in e1000e_phc_adjfreq
  (jsc#PED-837).
- net/mlx4: Use devl_ API for devlink port register / unregister
  (jsc#PED-1548).
- qlogic: qed: fix clang -Wformat warnings (jsc#PED-1526).
- qed: Use bitmap_empty() (jsc#PED-1526).
- qed: Use the bitmap API to allocate bitmaps (jsc#PED-1526).
- cxgb4: Use the bitmap API to allocate bitmaps (jsc#PED-1506).
- qlogic/qed: fix repeated words in comments (jsc#PED-1526).
- cxgb4: Fix typo in string (jsc#PED-1506).
- intel/e1000e:fix repeated words in comments (jsc#PED-837).
- intel: remove unused macros (jsc#PED-837).
- sfc: replace function name in string with __func__
  (jsc#PED-1565).
- sfc: Unsplit literal string (jsc#PED-1565).
- sfc: Move EF100 efx_nic_type structs to the end of the file
  (jsc#PED-1565).
- sfc: Separate efx_nic memory from net_device memory
  (jsc#PED-1565).
- sfc: Encapsulate access to netdev_priv() (jsc#PED-1565).
- sfc: Change BUG_ON to WARN_ON and recovery code (jsc#PED-1565).
- sfc: Remove netdev init from efx_init_struct (jsc#PED-1565).
- sfc: Add a PROBED state for EF100 VDPA use (jsc#PED-1565).
- sfc: Split STATE_READY in to STATE_NET_DOWN and STATE_NET_UP
  (jsc#PED-1565).
- sfc:falcon: fix repeated words in comments (jsc#PED-1565).
- sfc: fix repeated words in comments (jsc#PED-1565).
- sfc: siena: fix repeated words in comments (jsc#PED-1565).
- cxgb4/cxgb4vf: Fix typo in comments (jsc#PED-1506).
- cxgb4vf: remove unexpected word "the" (jsc#PED-1506).
- sfc/siena: Fix typo in comment (jsc#PED-1565).
- sfc: Fix typo in comment (jsc#PED-1565).
- tcp: Fix data-races around sysctl knobs related to SYN option
  (jsc#PED-1506).
- tcp: Fix data-races around sysctl_tcp_ecn (jsc#PED-1506).
- RDMA/qedr: Fix reporting QP timeout attribute (jsc#PED-1529).
- net/mlx4_en: Fix wrong return value on ioctl EEPROM query
  failure (jsc#PED-1548).
- qed: replace bitmap_weight with bitmap_empty in qed_roce_stop()
  (jsc#PED-1526).
- qed: rework qed_rdma_bmap_free() (jsc#PED-1526).
- net: mellanox: fix open-coded for_each_set_bit() (jsc#PED-1548).
- sfc/siena: fix wrong tx channel offset with
  efx_separate_tx_channels (jsc#PED-1565).
- sfc/siena: fix considering that all channels have TX queues
  (jsc#PED-1565).
- sfc: fix wrong tx channel offset with efx_separate_tx_channels
  (jsc#PED-1565).
- sfc: fix considering that all channels have TX queues
  (jsc#PED-1565).
- RDMA/mlx4: Avoid flush_scheduled_work() usage (jsc#PED-1547).
- RDMA/qedr: Remove unnecessary synchronize_irq() before
  free_irq() (jsc#PED-1529).
- RDMA/siw: Enable siw on tunnel devices (jsc#PED-1503).
- qed: fix typos in comments (jsc#PED-1526).
- net: qed: fix typos in comments (jsc#PED-1526).
- sfc/siena: Remove duplicate check on segments (jsc#PED-1565).
- sfc: siena: Have a unique wrapper ifndef for efx channels header
  (jsc#PED-1565).
- net: qede: Remove unnecessary synchronize_irq() before
  free_irq() (jsc#PED-1526).
- qed: Remove unnecessary synchronize_irq() before free_irq()
  (jsc#PED-1526).
- sfc/siena: Reinstate SRIOV init/fini function calls
  (jsc#PED-1565).
- sfc/siena: Make PTP and reset support specific for Siena
  (jsc#PED-1565).
- sfc/siena: Make MCDI logging support specific for Siena
  (jsc#PED-1565).
- siena: Make HWMON support specific for Siena (jsc#PED-1565).
- siena: Make SRIOV support specific for Siena (jsc#PED-1565).
- siena: Make MTD support specific for Siena (jsc#PED-1565).
- sfc: Add a basic Siena module (jsc#PED-1565).
- sfc/siena: Inline functions in sriov.h to avoid conflicts with
  sfc (jsc#PED-1565).
- sfc/siena: Rename functions in nic_common.h to avoid conflicts
  with sfc (jsc#PED-1565).
- sfc/siena: Rename functions in mcdi headers to avoid conflicts
  with sfc (jsc#PED-1565).
- sfc/siena: Rename peripheral functions to avoid conflicts with
  sfc (jsc#PED-1565).
- sfc/siena: Rename RX/TX functions to avoid conflicts with sfc
  (jsc#PED-1565).
- sfc/siena: Rename functions in efx headers to avoid conflicts
  with sfc (jsc#PED-1565).
- sfc/siena: Remove build references to missing functionality
  (jsc#PED-1565).
- sfc: Copy shared files needed for Siena (part 2) (jsc#PED-1565).
- sfc: Copy shared files needed for Siena (part 1) (jsc#PED-1565).
- sfc: Move Siena specific files (jsc#PED-1565).
- net: don't allow user space to lift the device limits
  (jsc#PED-1565).
- net: add netif_inherit_tso_max() (jsc#PED-1565).
- sfc: Copy a subset of mcdi_pcol.h to siena (jsc#PED-1565).
- sfc: Disable Siena support (jsc#PED-1565).
- netdev: reshuffle netif_napi_add() APIs to allow dropping weight
  (jsc#PED-1565).
- qede: Reduce verbosity of ptp tx timestamp (jsc#PED-1526).
- sfc: add EF100 VF support via a write to sriov_numvfs
  (jsc#PED-1565).
- qed: Remove IP services API (jsc#PED-1526).
- sfc: Remove global definition of efx_reset_type_names
  (jsc#PED-1565).
- sfc: Remove duplicate definition of efx_xmit_done
  (jsc#PED-1565).
- sfc: efx_default_channel_type APIs can be static (jsc#PED-1565).
- sfc: Fix spelling mistake "writting" -> "writing"
  (jsc#PED-1565).
- sfc: ef10: Fix assigning negative value to unsigned variable
  (jsc#PED-1565).
- sfc: use hardware tx timestamps for more than PTP
  (jsc#PED-1565).
- qed: remove an unneed NULL check on list iterator
  (jsc#PED-1526).
- sfc: Stop using iommu_present() (jsc#PED-1565).
- net: chelsio: cxgb4: Avoid potential negative array offset
  (jsc#PED-1506).
- sfc: Avoid NULL pointer dereference on systems without numa
  awareness (jsc#PED-1565).
- RDMA/mlx4: remove redundant assignment to variable nreq
  (jsc#PED-1547).
- RDMA/mlx4: Delete useless module.h include (jsc#PED-1547).
- qed: remove unnecessary memset in qed_init_fw_funcs
  (jsc#PED-1526).
- net/mlx4_en: use kzalloc (jsc#PED-1548).
- net/mlx4: Delete useless moduleparam include (jsc#PED-1548).
- e1000e: Print PHY register address when MDI read/write fails
  (jsc#PED-837).
- sfc: set affinity hints in local NUMA node only (jsc#PED-1565).
- sfc: default config to 1 channel/core in local NUMA node only
  (jsc#PED-1565).
- qed: prevent a fw assert during device shutdown (jsc#PED-1526).
- sfc: The size of the RX recycle ring should be more flexible
  (jsc#PED-1565).
- qed: use msleep() in qed_mcp_cmd() and add qed_mcp_cmd_nosleep()
  for udelay (jsc#PED-1526).
- e1000e: Remove useless DMA-32 fallback configuration
  (jsc#PED-837).
- sfc: extend the locking on mcdi->seqno (jsc#PED-1565).
- ethernet: broadcom/sb1250-mac: don't write directly to
  netdev->dev_addr (jsc#PED-1565).
- amd: declance: use eth_hw_addr_set() (jsc#PED-1565).
- sysctl: move some boundary constants from sysctl.c to
  sysctl_vals (jsc#PED-1506).
- RDMA/siw: make use of the helper function kthread_run_on_cpu()
  (jsc#PED-1503).
- kthread: add the helper function kthread_run_on_cpu()
  (jsc#PED-1503).
- RDMA/mad: Delete duplicated init_query_mad functions
  (jsc#PED-1547).
- iw_cxgb4: Use memset_startat() for cpl_t5_pass_accept_rpl
  (jsc#PED-1508).
- RDMA/siw: Use max() instead of doing it manually (jsc#PED-1503).
- RDMA/mlx4: Use bitmap_alloc() when applicable (jsc#PED-1547).
- RDMA/siw: Use helper function to set sys_image_guid
  (jsc#PED-1503).
- RDMA/cxgb4: Use non-atomic bitmap functions when possible
  (jsc#PED-1508).
- RDMA/cxgb4: Use bitmap_set() when applicable (jsc#PED-1508).
- RDMA/cxgb4: Use bitmap_zalloc() when applicable (jsc#PED-1508).
- RDMA/cxgb4: Use helper function to set GUIDs (jsc#PED-1508).
- net/mlx4: Use irq_update_affinity_hint() (jsc#PED-1548).
- cxgb4vf: Remove useless DMA-32 fallback configuration
  (jsc#PED-1506).
- cxgb4: Remove useless DMA-32 fallback configuration
  (jsc#PED-1506).
- gro: add ability to control gro max packet size (jsc#PED-1565).
- qed: Use dma_set_mask_and_coherent() and simplify code
  (jsc#PED-1526).
- net: Don't include filter.h from net/sock.h (jsc#PED-1548).
- net: linkwatch: add net device refcount tracker (jsc#PED-1565).
- lib: add reference counting tracking infrastructure
  (jsc#PED-1565).
- qed*: esl priv flag support through ethtool (jsc#PED-1526).
- qed*: enhance tx timeout debug info (jsc#PED-1526).
- qed: Enhance rammod debug prints to provide pretty details
  (jsc#PED-1526).
- cxgb4: allow reading unrecognized port module eeprom
  (jsc#PED-1506).
- qed: Use the bitmap API to simplify some functions
  (jsc#PED-1526).
- net: annotate accesses to dev->gso_max_size (jsc#PED-1565).
- dev_addr: add a modification check (jsc#PED-1565).
- net: unexport dev_addr_init() & dev_addr_flush() (jsc#PED-1565).
- net: constify netdev->dev_addr (jsc#PED-1565).
- cxgb4: Use struct_group() for memcpy() region (jsc#PED-1506).
- smc9194: use eth_hw_addr_set() (jsc#PED-1565).
- amd: a2065/ariadne: use eth_hw_addr_set() (jsc#PED-1565).
- amd: ni65: use eth_hw_addr_set() (jsc#PED-1565).
- amd: lance: use eth_hw_addr_set() (jsc#PED-1565).
- ipw2200: constify address in ipw_send_adapter_address
  (jsc#PED-1565).
- mlxsw: constify address in mlxsw_sp_port_dev_addr_set
  (jsc#PED-1565).
- net: gro: populate net/core/gro.c (jsc#PED-1565).
- net: gro: move skb_gro_receive into net/core/gro.c
  (jsc#PED-1565).
- net: gro: move skb_gro_receive_list to udp_offload.c
  (jsc#PED-1565).
- tools: sync uapi/linux/if_link.h header (jsc#PED-1565).
- r8169: fix incorrect mac address assignment (jsc#PED-1565).
- staging: use eth_hw_addr_set() in orphan drivers (jsc#PED-1565).
- staging: rtl: use eth_hw_addr_set() (jsc#PED-1565).
- staging: unisys: use eth_hw_addr_set() (jsc#PED-1565).
- staging: rtl8712: prepare for const netdev->dev_addr
  (jsc#PED-1565).
- staging: qlge: use eth_hw_addr_set() (jsc#PED-1565).
- staging: use eth_hw_addr_set() for dev->addr_len cases
  (jsc#PED-1565).
- staging: use eth_hw_addr_set() instead of ether_addr_copy()
  (jsc#PED-1565).
- staging: use eth_hw_addr_set() (jsc#PED-1565).
- RDMA/qed: Use helper function to set GUIDs (jsc#PED-1526).
- net: sgi-xp: use eth_hw_addr_set() (jsc#PED-1565).
- net: virtio: use eth_hw_addr_set() (jsc#PED-1565).
- mpt fusion: use dev_addr_set() (jsc#PED-1565).
- media: use eth_hw_addr_set() (jsc#PED-1565).
- net: thunderbolt: use eth_hw_addr_set() (jsc#PED-1565).
- staging: use of_get_ethdev_address() (jsc#PED-1565).
- net/mlx5e: don't write directly to netdev->dev_addr
  (jsc#PED-1565).
- bluetooth: use dev_addr_set() (jsc#PED-1565).
- bluetooth: use eth_hw_addr_set() (jsc#PED-1565).
- fddi: defza: add missing pointer type cast (jsc#PED-1565).
- usbb: catc: use correct API for MAC addresses (jsc#PED-1565).
- net: atm: use address setting helpers (jsc#PED-1565).
- net: drivers: get ready for const netdev->dev_addr
  (jsc#PED-1565).
- net: caif: get ready for const netdev->dev_addr (jsc#PED-1565).
- net: hsr: get ready for const netdev->dev_addr (jsc#PED-1565).
- net: bonding: constify and use dev_addr_set() (jsc#PED-1565).
- net: rtnetlink: use __dev_addr_set() (jsc#PED-1565).
- net: core: constify mac addrs in selftests (jsc#PED-1565).
- zd1201: use eth_hw_addr_set() (jsc#PED-1565).
- wl3501_cs: use eth_hw_addr_set() (jsc#PED-1565).
- ray_cs: use eth_hw_addr_set() (jsc#PED-1565).
- wilc1000: use eth_hw_addr_set() (jsc#PED-1565).
- hostap: use eth_hw_addr_set() (jsc#PED-1565).
- ipw2200: prepare for const netdev->dev_addr (jsc#PED-1565).
- airo: use eth_hw_addr_set() (jsc#PED-1565).
- brcmfmac: prepare for const netdev->dev_addr (jsc#PED-1565).
- atmel: use eth_hw_addr_set() (jsc#PED-1565).
- wil6210: use eth_hw_addr_set() (jsc#PED-1565).
- ath6kl: use eth_hw_addr_set() (jsc#PED-1565).
- wireless: use eth_hw_addr_set() for dev->addr_len cases
  (jsc#PED-1565).
- wireless: use eth_hw_addr_set() instead of ether_addr_copy()
  (jsc#PED-1565).
- wireless: use eth_hw_addr_set() (jsc#PED-1565).
- cfg80211: prepare for const netdev->dev_addr (jsc#PED-1565).
- mac80211: use eth_hw_addr_set() (jsc#PED-1565).
- wireless: mac80211_hwsim: use eth_hw_addr_set() (jsc#PED-1565).
- net: sb1000,rionet: use eth_hw_addr_set() (jsc#PED-1565).
- net: plip: use eth_hw_addr_set() (jsc#PED-1565).
- net: fjes: constify and use eth_hw_addr_set() (jsc#PED-1565).
- fddi: skfp: constify and use dev_addr_set() (jsc#PED-1565).
- fddi: defxx,defza: use dev_addr_set() (jsc#PED-1565).
- net: usb: don't write directly to netdev->dev_addr
  (jsc#PED-1565).
- net: qmi_wwan: use dev_addr_mod() (jsc#PED-1565).
- usb: smsc: use eth_hw_addr_set() (jsc#PED-1565).
- net: xen: use eth_hw_addr_set() (jsc#PED-1565).
- batman-adv: use eth_hw_addr_set() instead of ether_addr_copy()
  (jsc#PED-1565).
- mac802154: use dev_addr_set() - manual (jsc#PED-1565).
- mac802154: use dev_addr_set() (jsc#PED-1565).
- batman-adv: prepare for const netdev->dev_addr (jsc#PED-1565).
- ethernet: tlan: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: tehuti: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: stmmac: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: mlxsw: use eth_hw_addr_gen() (jsc#PED-1565).
- ethernet: prestera: use eth_hw_addr_gen() (jsc#PED-1565).
- ethernet: add a helper for assigning port addresses
  (jsc#PED-1565).
- ethernet: smsc: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: smc91x: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: sis190: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: rocker: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: r8169: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: netxen: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: sky2/skge: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: mv643xx: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: use eth_hw_addr_set() in unmaintained drivers
  (jsc#PED-1565).
- ethernet: ixgb: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: enic: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: bcmgenet: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: aquantia: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: amd: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: alteon: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: adaptec: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: remove random_ether_addr() (jsc#PED-1565).
- ethernet: replace netdev->dev_addr 16bit writes (jsc#PED-1565).
- ethernet: replace netdev->dev_addr assignment loops
  (jsc#PED-1565).
- ethernet: manually convert memcpy(dev_addr,..., sizeof(addr))
  (jsc#PED-1565).
- ethernet: make use of eth_hw_addr_random() where appropriate
  (jsc#PED-1565).
- ethernet: make eth_hw_addr_random() use dev_addr_set()
  (jsc#PED-1565).
- net: remove single-byte netdev->dev_addr writes (jsc#PED-1565).
- ip: use dev_addr_set() in tunnels (jsc#PED-1565).
- hamradio: use dev_addr_set() for setting device address
  (jsc#PED-1565).
- netdevice: demote the type of some dev_addr_set() helpers
  (jsc#PED-1565).
- ipv6: constify dev_addr passing (jsc#PED-1565).
- llc/snap: constify dev_addr passing (jsc#PED-1565).
- ethernet: tulip: avoid duplicate variable name on sparc
  (jsc#PED-1565).
- tulip: fix setting device address from rom (jsc#PED-1565).
- ethernet: sun: add missing semicolon, fix build (jsc#PED-1565).
- net: use dev_addr_set() (jsc#PED-1565).
- ethernet: sun: remove direct netdev->dev_addr writes
  (jsc#PED-1565).
- ethernet: tulip: remove direct netdev->dev_addr writes
  (jsc#PED-1565).
- ethernet: forcedeth: remove direct netdev->dev_addr writes
  (jsc#PED-1565).
- ethernet: use platform_get_ethdev_address() (jsc#PED-1565).
- eth: platform: add a helper for loading netdev->dev_addr
  (jsc#PED-1565).
- ethernet: use device_get_ethdev_address() (jsc#PED-1565).
- eth: fwnode: add a helper for loading netdev->dev_addr
  (jsc#PED-1565).
- eth: fwnode: remove the addr len from mac helpers
  (jsc#PED-1565).
- eth: fwnode: change the return type of mac address helpers
  (jsc#PED-1565).
- ethernet: use of_get_ethdev_address() (jsc#PED-1565).
- of: net: add a helper for loading netdev->dev_addr
  (jsc#PED-1565).
- net: usb: use eth_hw_addr_set() for dev->addr_len cases
  (jsc#PED-1565).
- ethernet: use eth_hw_addr_set() - casts (jsc#PED-1565).
- fddi: use eth_hw_addr_set() (jsc#PED-1565).
- ethernet: s2io: use eth_hw_addr_set() (jsc#PED-1565).
- net: usb: use eth_hw_addr_set() instead of ether_addr_copy()
  (jsc#PED-1565).
- net: use eth_hw_addr_set() instead of ether_addr_copy()
  (jsc#PED-1565).
- net: usb: use eth_hw_addr_set() (jsc#PED-1565).
- net:dev: Change napi_gro_complete return type to void
  (jsc#PED-1565).
- string.h: Introduce memset_startat() for wiping trailing
  members and padding (jsc#PED-1508).
- string.h: Introduce memset_after() for wiping trailing
  members/padding (jsc#PED-1508).
- lib: Introduce CONFIG_MEMCPY_KUNIT_TEST (jsc#PED-1508).
- skb_expand_head() adjust skb->truesize incorrectly
  (jsc#PED-1565).
- etherdevice: use __dev_addr_set() (jsc#PED-1565).
- net: dev_addr_list: handle first address in __hw_addr_add_ex
  (jsc#PED-1565).
- cxgb4: Use pci_vpd_find_id_string() to find VPD ID string
  (jsc#PED-1506).
- PCI/VPD: Add pci_vpd_find_id_string() (jsc#PED-1506).
- PCI/VPD: Include post-processing in pci_vpd_find_tag()
  (jsc#PED-1506).
- PCI/VPD: Stop exporting pci_vpd_find_info_keyword()
  (jsc#PED-1506).
- PCI/VPD: Stop exporting pci_vpd_find_tag() (jsc#PED-1506).
- scsi: cxlflash: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#PED-1506).
- sfc: falcon: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#PED-1565).
- sfc: falcon: Read VPD with pci_vpd_alloc() (jsc#PED-1565).
- sfc: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#PED-1565).
- sfc: Read VPD with pci_vpd_alloc() (jsc#PED-1565).
- net-next: When a bond have a massive amount of VLANs with
  IPv6 addresses, performance of changing link state, attaching
  a VRF, changing an IPv6 address, etc. go down dramtically
  (jsc#PED-1565).
- net: fix GRO skb truesize update (jsc#PED-1565).
- net: add netif_set_real_num_queues() for device reconfig
  (jsc#PED-1565).
- net: add extack arg for link ops (jsc#PED-1565).
- move netdev_boot_setup into Space.c (jsc#PED-1565).
- drivers/net/usb: Remove all strcpy() uses (jsc#PED-1565).
- skbuff: introduce skb_expand_head() (jsc#PED-1565).
- sk_buff: avoid potentially clearing 'slow_gro' field
  (jsc#PED-1565).
- skbuff: allow 'slow_gro' for skb carring sock reference
  (jsc#PED-1565).
- net: optimize GRO for the common case (jsc#PED-1565).
- sk_buff: track extension status in slow_gro (jsc#PED-1565).
- sk_buff: track dst status in slow_gro (jsc#PED-1565).
- sk_buff: introduce 'slow_gro' flags (jsc#PED-1565).
- commit 407836b
* Wed Sep 21 2022 oneukum@suse.com
- ACPI: scan: Introduce acpi_fetch_acpi_dev() (jsc#PED-531).
- commit b412683
* Wed Sep 21 2022 oneukum@suse.com
- usb: xhci-mtk: Use struct_size() helper in create_sch_ep()
  (jsc#PED-531).
- commit 9da5b62
* Wed Sep 21 2022 oneukum@suse.com
- usb: host: xhci-plat: Remove useless DMA-32 fallback
  configuration (jsc#PED-531).
- commit ece14b2
* Wed Sep 21 2022 oneukum@suse.com
- PM: sleep: Add device name to suspend_report_result()
  (jsc#PED-531).
- commit 7dc852b
* Wed Sep 21 2022 oneukum@suse.com
- USB: core: Update kerneldoc for usb_get_dev() and usb_get_intf()
  (jsc#PED-531).
- commit fb5f494
* Wed Sep 21 2022 oneukum@suse.com
- usb: remove Link Powermanagement (LPM) disable before port reset
  (jsc#PED-531).
- commit 4ce8161
* Wed Sep 21 2022 oneukum@suse.com
- USB: usbfs: Use a spinlock instead of atomic accesses to tally
  used memory (jsc#PED-531).
- commit a94fca8
* Wed Sep 21 2022 tiwai@suse.de
- Refresh patches.suse/iommu-vt-d-Acquiring-lock-in-domain-ID-allocation-helpers
  Fix spin deadlock in intel_iommu (bsc#1203505)
- commit 69d294e
* Wed Sep 21 2022 oneukum@suse.com
- USB: ACPI: Replace acpi_bus_get_device() (jsc#PED-531).
- commit 37182c2
* Wed Sep 21 2022 oneukum@suse.com
- usb: core: Bail out when port is stuck in reset loop
  (jsc#PED-531).
- commit 656550a
* Wed Sep 21 2022 oneukum@suse.com
- usb: common: usb-conn-gpio: Make VBUS supply completely optional
  (jsc#PED-531).
- commit fa1ce11
* Wed Sep 21 2022 oneukum@suse.com
- usb: ulpi: Add debugfs support (jsc#PED-531).
- commit d397b49
* Wed Sep 21 2022 oneukum@suse.com
- component: Add common helper for compare/release functions
  (jsc#PED-531).
- commit 2986bd9
* Wed Sep 21 2022 tiwai@suse.de
- media: dvb-core: Fix UAF due to refcount races at releasing
  (CVE-2022-41218 bsc#1202960).
- commit bdcd7ab
* Wed Sep 21 2022 oneukum@suse.com
- acpi: Export acpi_bus_type (jsc#PED-531).
- commit 7c22384
* Wed Sep 21 2022 oneukum@suse.com
- component: Replace most references to 'master' with 'aggregate
  device' (jsc#PED-531).
- commit 9131eb9
* Wed Sep 21 2022 oneukum@suse.com
- drivers/base/component.c: remove superfluous header files from
  component.c (jsc#PED-531).
- commit ab1424f
* Wed Sep 21 2022 mbrugger@suse.com
- cpufreq: tegra194: Staticize struct tegra_cpufreq_soc instances
  (jsc#PED-1763).
- commit 2b309dd
* Wed Sep 21 2022 mbrugger@suse.com
- ASoC: tegra: AHUB routes for OPE module (jsc#PED-1763).
- commit ae8614b
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Add Tegra234 PCIe support (jsc#PED-1763).
- commit 9848d71
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Extend Endpoint mode support (jsc#PED-1763).
- commit 64c6d53
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Clean up the exit path for Endpoint mode
  (jsc#PED-1763).
- commit 77cf561
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Enable support for 256 Byte payload
  (jsc#PED-1763).
- commit 3d70757
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Clear bandwidth management status (jsc#PED-1763).
- commit 4eb1d6d
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Find RAS DES PCIe capability offset
  (jsc#PED-1763).
- commit 6869f7e
* Wed Sep 21 2022 mbrugger@suse.com
- Revert "PCI: tegra194: Rename tegra_pcie_dw to tegra194_pcie"
  (jsc#PED-1763).
- Refresh
  patches.suse/PCI-tegra194-Fix-Root-Port-interrupt-handling.patch.
- commit 7c3a2c4
* Wed Sep 21 2022 mbrugger@suse.com
- dmaengine: tegra: Add terminate() for Tegra234 (jsc#PED-1763).
- commit 14777c3
* Wed Sep 21 2022 mbrugger@suse.com
- phy: tegra: Add PCIe PIPE2UPHY support for Tegra234
  (jsc#PED-1763).
- commit 8045a50
* Wed Sep 21 2022 mbrugger@suse.com
- gpu: host1x: Register context bus unconditionally
  (jsc#PED-1763).
- commit 1cdd50a
* Wed Sep 21 2022 mbrugger@suse.com
- spi: dt-bindings: Add compatible for Tegra241 QSPI
  (jsc#PED-1763).
- commit f5277d1
* Wed Sep 21 2022 mbrugger@suse.com
- spi: tegra210-quad: Multi-cs support (jsc#PED-1763).
- commit 5df9b77
* Wed Sep 21 2022 mbrugger@suse.com
- memory: tegra: Add MGBE memory clients for Tegra234
  (jsc#PED-1763).
- commit fe9c9ad
* Wed Sep 21 2022 mbrugger@suse.com
- clocksource/drivers/timer-tegra186: Add support for Tegra234
  SoC (jsc#PED-1763).
- commit 9102f99
* Wed Sep 21 2022 mbrugger@suse.com
- clocksource: Add Tegra186 timers support (jsc#PED-1763).
- Update config files
- commit f783dd3
* Wed Sep 21 2022 mbrugger@suse.com
- gpu: host1x: Add context bus (jsc#PED-1763).
- commit 62055eb
* Wed Sep 21 2022 mbrugger@suse.com
- iommu/arm-smmu: Support Tegra234 SMMU (jsc#PED-1763).
- commit b6d01d1
* Wed Sep 21 2022 mbrugger@suse.com
- cpufreq: tegra194: Add support for Tegra234 (jsc#PED-1763).
- commit 6ccf722
* Wed Sep 21 2022 mbrugger@suse.com
- cpufreq: tegra194: add soc data to support multiple soc
  (jsc#PED-1763).
- commit d6431d8
* Wed Sep 21 2022 mbrugger@suse.com
- dmaengine: tegra: Remove unused switch case (jsc#PED-1763).
- commit 21ff5bc
* Wed Sep 21 2022 mbrugger@suse.com
- dmaengine: tegra: Fix uninitialized variable usage
  (jsc#PED-1763).
- commit 8692e6a
* Wed Sep 21 2022 mbrugger@suse.com
- dmaengine: tegra: Use platform_get_irq() to get IRQ resource
  (jsc#PED-1763).
- commit dce0f23
* Wed Sep 21 2022 mbrugger@suse.com
- dmaengine: tegra: Remove unused including <linux/version.h>
  (jsc#PED-1763).
- commit e600cdf
* Wed Sep 21 2022 mbrugger@suse.com
- dmaengine: tegra: Add tegra gpcdma driver (jsc#PED-1763).
- Update config files.
- supported.conf
- commit 8c4f76d
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Remove unnecessary MSI enable reg save and
  restore (jsc#PED-1763).
- commit 028846a
* Wed Sep 21 2022 mbrugger@suse.com
- mailbox: tegra-hsp: Add 128-bit shared mailbox support
  (jsc#PED-1763).
- commit 2799912
* Wed Sep 21 2022 mbrugger@suse.com
- mailbox: tegra-hsp: Add tegra_hsp_sm_ops (jsc#PED-1763).
- commit 301d237
* Wed Sep 21 2022 mbrugger@suse.com
- memory: tegra: Add MC error logging on Tegra186 onward
  (jsc#PED-1763).
- commit 803123e
* Wed Sep 21 2022 mbrugger@suse.com
- memory: tegra: Add memory controller channels support
  (jsc#PED-1763).
- commit 91c35b0
* Wed Sep 21 2022 mbrugger@suse.com
- memory: tegra: Add APE memory clients for Tegra234
  (jsc#PED-1763).
- commit bddcc01
* Wed Sep 21 2022 mbrugger@suse.com
- memory: tegra: Add Tegra234 support (jsc#PED-1763).
- commit 15d156c
* Wed Sep 21 2022 mbrugger@suse.com
- soc/tegra: pmc: Update Tegra234 reset sources (jsc#PED-1763).
- ASoC: tegra: AHUB routes for ASRC module (jsc#PED-1763).
- soc/tegra: pmc: Add Tegra234 wake events (jsc#PED-1763).
- commit 055208f
* Wed Sep 21 2022 mbrugger@suse.com
- ASoC: tegra: Update AHUB driver for Tegra234 (jsc#PED-1763).
- ALSA: hda/tegra: Hardcode GCAP ISS value on T234 (jsc#PED-1763).
- commit 12ff211
* Wed Sep 21 2022 mbrugger@suse.com
- PCI: tegra194: Rename tegra_pcie_dw to tegra194_pcie
  (jsc#PED-1763).
- Refresh
  patches.suse/PCI-tegra194-Fix-Root-Port-interrupt-handling.patch.
- Refresh
  patches.suse/PCI-tegra194-Fix-link-up-retry-sequence.patch.
- commit 43c995b
* Wed Sep 21 2022 mbrugger@suse.com
- misc: sram: Add compatible string for Tegra234 SYSRAM
  (jsc#PED-1763).
- commit c359d28
* Wed Sep 21 2022 mbrugger@suse.com
- gpio: tegra186: Add support for Tegra234 (jsc#PED-1763).
- Refresh
  patches.suse/gpio-tegra186-Add-support-for-Tegra241.patch.
- commit 794cc29
* Wed Sep 21 2022 mbrugger@suse.com
- gpu: host1x: select CONFIG_DMA_SHARED_BUFFER (jsc#PED-1763).
- commit 805f6b6
* Wed Sep 21 2022 vbabka@suse.cz
- Update kabi files: import symvers from MU 5.14.21-150400.24.21
- commit a9db6f7
* Tue Sep 20 2022 bp@suse.de
- blacklist.conf: e9b6013a7ce3 x86/speculation: Update link to AMD speculation whitepaper
- commit 2ebf815
* Tue Sep 20 2022 bp@suse.de
- EDAC/dmc520: Don't print an error for each unconfigured
  interrupt line (bsc#1190497).
- commit c59e321
* Tue Sep 20 2022 bp@suse.de
- blacklist.conf: ad2c302bc604 EDAC/sifive: Fix non-kernel-doc comment
- commit 1146177
* Tue Sep 20 2022 oneukum@suse.com
- blacklist.conf: remove kABI entries for SP5
  SP5 may break the kABI. Hence the patches that did not go
  into SP4 for kABI reasons should go into SP5, unless other reasons
  for blocking them exist. Removing the entries to trigger
  a reevaluation
- commit 8607b86
* Tue Sep 20 2022 oneukum@suse.com
- acpi: Store CRC-32 hash of the _PLD in struct acpi_device
  (jsc#PED-531).
- commit 817d17e
* Tue Sep 20 2022 tiwai@suse.de
- Update patch reference for media fix (CVE-2022-3239 bsc#1203552)
- commit 9054a9f
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: port-mapper: Convert to the component framework
  (jsc#PED-531).
- Refresh patches.suse/typeC-Add-kABI-placeholders.patch.
- commit ee7ecd6
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: ucsi: Expose number of alternate modes in partner
  (jsc#PED-531).
- commit 2bab2dd
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Fix initialization sequence for cd321x
  (jsc#PED-531).
- commit c7460c1
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Fix typo in cd321x_switch_power_state
  (jsc#PED-531).
- commit 11f03ee
* Tue Sep 20 2022 jroedel@suse.de
- supported.conf: Add drivers/virt/coco/sevguest/sevguest
- commit 14b71be
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Enable event interrupts by default
  (jsc#PED-531).
- commit cba4c03
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Remove FIXME about testing with I2C_FUNC_I2C
  (jsc#PED-531).
- commit a81811f
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Switch CD321X power state to S0 (jsc#PED-531).
- commit 2cbb386
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Add support for Apple CD321X (jsc#PED-531).
- commit 31d2bf2
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Add short-circuit for no irqs (jsc#PED-531).
- commit e9cc528
* Tue Sep 20 2022 oneukum@suse.com
- usb: typec: tipd: Split interrupt handler (jsc#PED-531).
- commit 5143aea
* Tue Sep 20 2022 jroedel@suse.de
- virt: Add SEV-SNP guest driver (jsc#SLE-19924, jsc#SLE-24814).
- Update config files.
- commit 07e76d6
* Tue Sep 20 2022 aabdallah@suse.de
- scsi: smartpqi: Shorten drive visibility after removal
  (bsc#1200622).
- commit 575230a
* Mon Sep 19 2022 jroedel@suse.de
- x86/sev: Provide support for SNP guest request NAEs
  (jsc#SLE-19924, jsc#SLE-24814).
- Refresh
  patches.suse/revert-x86-sev-expose-sev_es_ghcb_hv_call-for-use-by-hyperv.patch.
- commit eaa3ba3
* Mon Sep 19 2022 jroedel@suse.de
- x86/boot: Add Confidential Computing type to setup_data
  (jsc#SLE-19924, jsc#SLE-24814).
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- commit cecec70
* Mon Sep 19 2022 jroedel@suse.de
- x86/mm: Validate memory when changing the C-bit (jsc#SLE-19924,
  jsc#SLE-24814).
- Refresh
  patches.suse/revert-x86-sev-expose-sev_es_ghcb_hv_call-for-use-by-hyperv.patch.
- commit d7a984b
* Mon Sep 19 2022 jroedel@suse.de
- x86/sev: Check the VMPL level (jsc#SLE-19924, jsc#SLE-24814).
- Refresh
  patches.suse/revert-x86-sev-expose-sev_es_ghcb_hv_call-for-use-by-hyperv.patch.
- commit df057b9
* Mon Sep 19 2022 jroedel@suse.de
- x86/sev: Add a helper for the PVALIDATE instruction
  (jsc#SLE-19924, jsc#SLE-24814).
- Refresh
  patches.suse/revert-x86-sev-expose-sev_es_ghcb_hv_call-for-use-by-hyperv.patch.
- commit 27da7ad
* Mon Sep 19 2022 jroedel@suse.de
- x86/compressed/64: Detect/setup SEV/SME features earlier during
  boot (jsc#SLE-19924, jsc#SLE-24814).
- Refresh
  patches.suse/x86-sev-define-the-linux-specific-guest-termination-reasons.patch.
- commit 509599d
* Mon Sep 19 2022 jroedel@suse.de
- kABI: Fix kABI after SNP-Guest backport (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/sev: Get the AP jump table address from secrets page
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/boot: Put globals that are accessed early into the .data
  section (jsc#SLE-19924, jsc#SLE-24814).
- virt: sevguest: Fix bool function returning negative value
  (jsc#SLE-19924, jsc#SLE-24814).
- virt: sevguest: Fix return value check in alloc_shared_pages()
  (jsc#SLE-19924, jsc#SLE-24814).
- virt: sevguest: Add documentation for SEV-SNP CPUID Enforcement
  (jsc#SLE-19924, jsc#SLE-24814).
- virt: sevguest: Add support to get extended report
  (jsc#SLE-19924, jsc#SLE-24814).
- virt: sevguest: Add support to derive key (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/sev: Register SEV-SNP guest request platform device
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/sev: Add a sev= cmdline option (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/sev: Use firmware-validated CPUID for SEV-SNP guests
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/sev: Add SEV-SNP feature detection/setup (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/compressed/64: Add identity mapping for Confidential
  Computing blob (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed: Export and rename add_identity_map()
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed: Use firmware-validated CPUID leaves for SEV-SNP
  guests (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed: Add SEV-SNP feature detection/setup
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/boot: Add a pointer to Confidential Computing blob in
  bootparams (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed/64: Add support for SEV-SNP CPUID table in #VC
  handlers (jsc#SLE-19924, jsc#SLE-24814).
- x86/sev: Move MSR-based VMGEXITs for CPUID to helper
  (jsc#SLE-19924, jsc#SLE-24814).
- KVM: x86: Move lookup of indexed CPUID leafs to helper
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed/acpi: Move EFI kexec handling into common code
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed/acpi: Move EFI vendor table lookup to helper
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed/acpi: Move EFI config table lookup to helper
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed/acpi: Move EFI system table lookup to helper
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed/acpi: Move EFI detection to helper
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/head/64: Re-enable stack protection (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/sev: Use SEV-SNP AP creation to start secondary CPUs
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/kernel: Validate ROM memory before accessing when SEV-SNP
  is active (jsc#SLE-19924, jsc#SLE-24814).
- x86/kernel: Mark the .bss..decrypted section as shared in the
  RMP table (jsc#SLE-19924, jsc#SLE-24814).
- x86/sev: Add helper for validating pages in early enc attribute
  changes (jsc#SLE-19924, jsc#SLE-24814).
- x86/sev: Register GHCB memory when SEV-SNP is active
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed: Register GHCB memory when SEV-SNP is active
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/compressed: Add helper for validating pages in the
  decompression stage (jsc#SLE-19924, jsc#SLE-24814).
- x86/sev: Check SEV-SNP features support (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/mm: Extend cc_attr to include AMD SEV-SNP (jsc#SLE-19924,
  jsc#SLE-24814).
- x86/sev: Detect/setup SEV/SME features earlier in boot
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/boot: Use MSR read/write helpers instead of inline assembly
  (jsc#SLE-19924, jsc#SLE-24814).
- x86/boot: Introduce helpers for MSR reads/writes (jsc#SLE-19924,
  jsc#SLE-24814).
- KVM: SVM: Update the SEV-ES save area mapping (jsc#SLE-19924,
  jsc#SLE-24814).
- KVM: SVM: Create a separate mapping for the GHCB save area
  (jsc#SLE-19924, jsc#SLE-24814).
- KVM: SVM: Create a separate mapping for the SEV-ES save area
  (jsc#SLE-19924, jsc#SLE-24814).
- KVM: SVM: Define sev_features and VMPL field in the VMSA
  (jsc#SLE-19924, jsc#SLE-24814).
- commit 08ede5a
* Mon Sep 19 2022 colyli@suse.de
- md: unlock mddev before reap sync_thread in action_store
  (bsc#1197659).
- commit b42af07
* Sat Sep 17 2022 tiwai@suse.de
- gpio: mpc8xxx: Fix support for IRQ_TYPE_LEVEL_LOW flow_type
  in mpc85xx (git-fixes).
- pinctrl: sunxi: Fix name for A100 R_PIO (git-fixes).
- pinctrl: qcom: sc8180x: Fix wrong pin numbers (git-fixes).
- pinctrl: qcom: sc8180x: Fix gpio_wakeirq_map (git-fixes).
- drm/meson: Fix OSD1 RGB to YCbCr coefficient (git-fixes).
- drm/meson: Correct OSD1 global alpha value (git-fixes).
- drm/amdgpu: move nbio sdma_doorbell_range() into sdma code
  for vega (git-fixes).
- drm/amdgpu: move nbio ih_doorbell_range() into ih code for vega
  (git-fixes).
- of/device: Fix up of_dma_configure_id() stub (git-fixes).
- of: fdt: fix off-by-one error in unflatten_dt_nodes()
  (git-fixes).
- drm/i915: Implement WaEdpLinkRateDataReload (git-fixes).
- vfio/type1: Unpin zero pages (git-fixes).
- efi: capsule-loader: Fix use-after-free in efi_capsule_write
  (git-fixes).
- efi: libstub: Disable struct randomization (git-fixes).
- fbdev: chipsfb: Add missing pci_disable_device() in
  chipsfb_pci_init() (git-fixes).
- commit a8d151e
* Sat Sep 17 2022 tiwai@suse.de
- ASoC: mchp-spdiftx: Fix clang -Wbitfield-constant-conversion
  (git-fixes).
- drm/amdgpu: mmVM_L2_CNTL3 register not initialized correctly
  (git-fixes).
- drm/radeon: add a force flush to delay work when radeon
  (git-fixes).
- drm/amdgpu: Check num_gfx_rings for gfx v9_0 rb setup
  (git-fixes).
- drm/amdgpu: Move psp_xgmi_terminate call from
  amdgpu_xgmi_remove_device to psp_hw_fini (git-fixes).
- drm/gem: Fix GEM handle release errors (git-fixes).
- ASoC: mchp-spdiftx: remove references to mchp_i2s_caps
  (git-fixes).
- drm/bridge: display-connector: implement bus fmts callbacks
  (git-fixes).
- commit a41cdd0
* Fri Sep 16 2022 tbogendoerfer@suse.de
- Refresh
  patches.suse/net-don-t-unconditionally-copy_from_user-a-struct-if.patch.
  Added missing chenge from merge commit (bsc#1203479)
- commit 2a4b363
* Fri Sep 16 2022 jgross@suse.com
- xen/gntdev: Ignore failure to unmap INVALID_GRANT_HANDLE
  (git-fixes).
- commit 37ef226
* Fri Sep 16 2022 jgross@suse.com
- xen-blkfront: Cache feature_persistent value before
  advertisement (git-fixes).
- commit 3ed3cdd
* Fri Sep 16 2022 mkubecek@suse.cz
- Update references:
  - patches.kabi/kabi-return-type-change-of-secure_ipv-46-_port_ephem.patch
  - patches.suse/secure_seq-use-the-64-bits-of-the-siphash-for-port-o.patch
  - patches.suse/tcp-add-small-random-increments-to-the-source-port.patch
  - patches.suse/tcp-drop-the-hash_32-part-from-the-index-calculation.patch
  - patches.suse/tcp-dynamically-allocate-the-perturb-table-used-by-s.patch
  - patches.suse/tcp-increase-source-port-perturb-table-to-2-16.patch
  - patches.suse/tcp-resalt-the-secret-every-10-seconds.patch
  - patches.suse/tcp-use-different-parts-of-the-port_offset-for-index.patch
  (add CVE-2022-32296 bsc#1200288)
- commit 07e021d
* Fri Sep 16 2022 jgross@suse.com
- xen-netback: only remove 'hotplug-status' when the vif is
  actually destroyed (git-fixes).
- commit 33b6bc1
* Fri Sep 16 2022 jgross@suse.com
- xen-blkfront: Advertise feature-persistent as user requested
  (git-fixes).
- commit 55b30a0
* Fri Sep 16 2022 jgross@suse.com
- xen-blkback: Advertise feature-persistent as user requested
  (git-fixes).
- commit aa17727
* Fri Sep 16 2022 jgross@suse.com
- xen-blkfront: Apply 'feature_persistent' parameter when connect
  (git-fixes).
- commit ea0d055
* Fri Sep 16 2022 jgross@suse.com
- xen-blkback: Apply 'feature_persistent' parameter when connect
  (git-fixes).
- commit 8bac828
* Fri Sep 16 2022 jgross@suse.com
- xen-blkback: fix persistent grants negotiation (git-fixes).
- commit 8c9e86e
* Fri Sep 16 2022 ykaukab@suse.de
- powerpc/doc: Fix htmldocs errors (git-fixes).
- commit c32a50b
* Fri Sep 16 2022 jgross@suse.com
- xen/gntdev: Avoid blocking in unmap_grant_pages() (git-fixes).
- commit 8ae5e2f
* Fri Sep 16 2022 jgross@suse.com
- x86/xen: Remove undefined behavior in setup_features()
  (git-fixes).
- commit fe2de2e
* Fri Sep 16 2022 jgross@suse.com
- xen-blkfront: Handle NULL gendisk (git-fixes).
- commit ff9be3a
* Fri Sep 16 2022 jgross@suse.com
- blacklist.conf: add 1dbd11ca75fe ("xen: remove gnttab_query_foreign_access")
  as it would break KABI
- commit 893d5df
* Fri Sep 16 2022 jgross@suse.com
- KVM: SVM: fix tsc scaling cache logic (bsc#1203263).
- commit 9311053
* Fri Sep 16 2022 jgross@suse.com
- xen/grants: prevent integer overflow in gnttab_dma_alloc_pages()
  (git-fixes).
- commit 4acefb4
* Fri Sep 16 2022 jgross@suse.com
- KVM: VMX: Heed the 'msr' argument in msr_write_intercepted()
  (git-fixes).
- commit c7cc445
* Fri Sep 16 2022 jgross@suse.com
- KVM: x86: hyper-v: HVCALL_SEND_IPI_EX is an XMM fast hypercall
  (git-fixes).
- commit cfc201b
* Fri Sep 16 2022 jgross@suse.com
- KVM: x86: hyper-v: Drop redundant 'ex' parameter from
  kvm_hv_send_ipi() (git-fixes).
- commit 001f866
* Fri Sep 16 2022 jgross@suse.com
- KVM: X86: Fix when shadow_root_level=5 && guest root_level<4
  (git-fixes).
- commit 4d133af
* Fri Sep 16 2022 jlee@suse.com
- efi: do not automatically generate secret key (jsc#PED-1444).
- commit 4a26ca3
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: fix retry value to be constant for duration
  of function call (git-fixes).
- dmaengine: idxd: match type for retries var in idxd_enqcmds()
  (git-fixes).
- commit ad373ba
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: change MSIX allocation based on per wq
  activation (jsc#PED-664).
- dmaengine: idxd: fix descriptor flushing locking (jsc#PED-664).
- dmaengine: idxd: embed irq_entry in idxd_wq struct
  (jsc#PED-664).
- commit d9570b4
* Thu Sep 15 2022 tiwai@suse.de
- Update patch referece for IDXD fix (jsc#PED-729)
- commit 0666616
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: add knob for enqcmds retries (jsc#PED-755).
- commit b9e7fd2
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: update IAA definitions for user header
  (jsc#PED-763).
- commit 966fd07
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: handle interrupt handle revoked event
  (jsc#PED-682).
- Refresh
  patches.suse/dmaengine-idxd-set-defaults-for-wq-configs.patch.
- commit b8b62ed
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: handle invalid interrupt handle descriptors
  (jsc#PED-682).
- commit 4d43b5f
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: create locked version of idxd_quiesce() call
  (jsc#PED-682).
- commit 84c33cd
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: add helper for per interrupt handle drain
  (jsc#PED-682).
- commit 7f570d2
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: move interrupt handle assignment (jsc#PED-682).
- commit c11ff86
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: int handle management refactoring
  (jsc#PED-682).
- commit a2ea081
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: rework descriptor free path on failure
  (jsc#PED-682).
- commit 10afe67
* Thu Sep 15 2022 tiwai@suse.de
- dmaengine: idxd: set defaults for wq configs (jsc#PED-688).
- Refresh
  patches.suse/dmaengine-idxd-fix-wq-settings-post-wq-disable.patch.
- commit d90c3a3
* Thu Sep 15 2022 tiwai@suse.de
- PCI: Disable MSI for Tegra234 Root Ports (git-fixes).
- PCI: Correct misspelled words (git-fixes).
- PCI: Prefer 'unsigned int' over bare 'unsigned' (git-fixes).
- commit 2fdd511
* Thu Sep 15 2022 tiwai@suse.de
- PCI/ASPM: Make Intel DG2 L1 acceptable latency unlimited
  (jsc#PED-387).
- commit 7d30fcd
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: dsa: mt7530: 1G can also support 1000BASE-X link mode
  (git-fixes).
- commit cdb75aa
* Thu Sep 15 2022 denis.kirjanov@suse.com
- igb: skip phy status check where unavailable (git-fixes).
- commit a3b27da
* Thu Sep 15 2022 denis.kirjanov@suse.com
- ice: fix possible under reporting of ethtool Tx and Rx
  statistics (git-fixes).
- commit c2f52c2
* Thu Sep 15 2022 denis.kirjanov@suse.com
- ice: fix crash when writing timestamp on RX rings (git-fixes).
- commit fb0a1aa
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net/mlx5: Drain fw_reset when removing device (git-fixes).
- commit 97a86a6
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net/mlx5e: Remove HW-GRO from reported features (git-fixes).
- commit 4a77968
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net/mlx5e: Properly block HW GRO when XDP is enabled
  (git-fixes).
- commit f953f8f
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net/mlx5e: Properly block LRO when XDP is enabled (git-fixes).
- commit 6b1fa7c
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net/mlx5e: Block rx-gro-hw feature in switchdev mode
  (git-fixes).
- commit a1cfc32
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net/qla3xxx: Fix a test in ql_reset_work() (git-fixes).
- commit 52c2fa5
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: systemport: Fix an error handling path in
  bcm_sysport_probe() (git-fixes).
- commit b45f6dc
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: macb: Increment rx bd head after allocating skb and buffer
  (git-fixes).
- commit 41b13b2
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: ipa: get rid of a duplicate initialization (git-fixes).
- commit a69d7cd
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: ipa: record proper RX transaction count (git-fixes).
- commit 0de4988
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: dsa: bcm_sf2: Fix Wake-on-LAN with mac_link_down()
  (git-fixes).
- commit cf3c3f2
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: ethernet: mediatek: ppe: fix wrong size passed to memset()
  (git-fixes).
- commit f134be1
* Thu Sep 15 2022 denis.kirjanov@suse.com
- ice: Fix race during aux device (un)plugging (git-fixes).
- commit 4278261
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: avoid corrupting hardware counters when
  moving VCAP filters (git-fixes).
- commit ca8eb08
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: restrict tc-trap actions to VCAP IS2 lookup 0
  (git-fixes).
- commit d224ca3
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix VCAP IS2 filters matching on both lookups
  (git-fixes).
- commit 95340f0
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix last VCAP IS1/IS2 filter persisting in
  hardware when deleted (git-fixes).
- commit bda7960
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: emaclite: Add error handling for of_address_to_resource()
  (git-fixes).
- commit a361614
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: cpsw: add missing of_node_put() in cpsw_probe_dt()
  (git-fixes).
- commit 014fc77
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-sun8i: add missing of_node_put() in
  sun8i_dwmac_register_mdio_mux() (git-fixes).
- commit 72dc370
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: dsa: mt7530: add missing of_node_put() in mt7530_setup()
  (git-fixes).
- commit 1fa6443
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: mdio: Fix ENOMEM return value in BCM6368 mux bus controller
  (git-fixes).
- commit f4b10fd
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: fec: add missing of_node_put() in fec_enet_init_stop_mode()
  (git-fixes).
- commit 6d689b8
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: dsa: lantiq_gswip: Don't set GSWIP_MII_CFG_RMII_CLK
  (git-fixes).
- commit cda6d8f
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Fix port_hidden_wait to account for
  port_base_addr (git-fixes).
- commit fc0f29e
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: bcmgenet: hide status block before TX timestamping
  (git-fixes).
- commit 7471b10
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: stmmac: Use readl_poll_timeout_atomic() in atomic state
  (git-fixes).
- commit 77bb15d
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix broken IP multicast flooding (git-fixes).
- commit 9360c59
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: bcmgenet: Revert "Use stronger register read/writes to
  assure ordering" (git-fixes).
- commit 2e1c776
* Thu Sep 15 2022 denis.kirjanov@suse.com
- net: ftgmac100: access hardware register after clock ready
  (git-fixes).
- commit 6f339f4
* Thu Sep 15 2022 ptesarik@suse.cz
- s390/boot: fix absolute zero lowcore corruption on boot
  (git-fixes).
- commit 673e9bc
* Thu Sep 15 2022 msuchanek@suse.de
- ppc64/kdump: Limit kdump base to 512MB (bsc#1203410 ltc#199904).
- commit 04343f5
* Thu Sep 15 2022 neilb@suse.de
- Update patches.suse/SUNRPC-Prevent-immediate-close-reconnect.patch
  (git-fixes, bsc#1203338).
- commit 1a26f26
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: ethernet: stmmac: fix altr_tse_pcs function when using
  a fixed-link (git-fixes).
- commit 6e948de
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: dsa: felix: suppress -EPROBE_DEFER errors (git-fixes).
- commit 6052c6d
* Wed Sep 14 2022 denis.kirjanov@suse.com
- mlxsw: i2c: Fix initialization error flow (git-fixes).
- commit b1671b5
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: ethernet: mv643xx: Fix over zealous checking
  of_get_mac_address() (git-fixes).
- commit d6232d0
* Wed Sep 14 2022 denis.kirjanov@suse.com
- ice: Do not skip not enabled queues in ice_vc_dis_qs_msg
  (git-fixes).
- commit 5811714
* Wed Sep 14 2022 denis.kirjanov@suse.com
- dpaa2-ptp: Fix refcount leak in dpaa2_ptp_probe (git-fixes).
- commit 20972b2
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: stmmac: Fix unset max_speed difference between DT and
  non-DT platforms (git-fixes).
- commit 21d6298
* Wed Sep 14 2022 denis.kirjanov@suse.com
- vrf: fix packet sniffing for traffic originating from ip tunnels
  (git-fixes).
- commit 656f34a
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: hns3: fix the concurrency between functions reading debugfs
  (git-fixes).
- commit b62a96b
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: sparx5: uses, depends on BRIDGE or !BRIDGE (git-fixes).
- commit 91c7940
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: dsa: bcm_sf2_cfp: fix an incorrect NULL check on list
  iterator (git-fixes).
- commit 587d5e0
* Wed Sep 14 2022 denis.kirjanov@suse.com
- net: sparx5: depends on PTP_1588_CLOCK_OPTIONAL (git-fixes).
- commit e5cbf9e
* Wed Sep 14 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit b64ff66
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: ucsi: Better fix for missing unplug events issue
  (jsc#PED-531).
- commit 23c30d4
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: ucsi: Read the PDOs in separate work (jsc#PED-531).
- commit 120360c
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: ucsi: Check the partner alt modes always if there
  is PD contract (jsc#PED-531).
- commit 109aef2
* Wed Sep 14 2022 ailiop@suse.com
- jfs: prevent NULL deref in diFree (bsc#1203389 CVE-2022-3202).
- commit 1259272
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: ucsi: acpi: Reduce the command completion timeout
  (jsc#PED-531).
- commit 6c0912c
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: ucsi: Add polling mechanism for partner tasks like
  alt mode checking (jsc#PED-531).
- commit 9e46ec7
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: tcpci: Fix spelling mistake "resolbed" -> "resolved"
  (jsc#PED-531).
- commit fbac539
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: tipd: Add an additional overflow check (git-fixes).
- commit b1f97fa
* Wed Sep 14 2022 oneukum@suse.com
- usb: typec: tipd: Don't read/write more bytes than required
  (git-fixes).
- commit e669366
* Wed Sep 14 2022 tiwai@suse.de
- Update patch references for ALSA fixes (jsc#PED-652 jsc#PED-720)
- commit 3c5b516
* Wed Sep 14 2022 tiwai@suse.de
- ASoC: SOF: Intel: pci-tgl: add RPL-P support (jsc#PED-720).
- ASoC: SOF: Intel: pci-tgl: add ADL-PS support (jsc#PED-720).
- commit 012fcdf
* Wed Sep 14 2022 tiwai@suse.de
- ALSA: hda: intel-dsp-config: Add RaptorLake PCI IDs
  (jsc#PED-720).
- commit ae48fdf
* Wed Sep 14 2022 tiwai@suse.de
- ASoC: SOF: Intel: pci-tgl: add RPL-S support (jsc#PED-652).
- commit c23d1e1
* Wed Sep 14 2022 tiwai@suse.de
- ALSA: control: Use deferred fasync helper (git-fixes).
- ALSA: timer: Use deferred fasync helper (git-fixes).
- ALSA: core: Add async signal helpers (git-fixes).
- ALSA: jack: Access input_dev under mutex (git-fixes).
- commit d1a09af
* Wed Sep 14 2022 tiwai@suse.de
- Enable the build of nvidia-wmi-ec-backlight module (jsc#PED-1164)
- commit f9ebde3
* Wed Sep 14 2022 tiwai@suse.de
- platform/x86: Rename wmaa-backlight-wmi to
  nvidia-wmi-ec-backlight (jsc#PED-1164).
- platform/x86: Remove "WMAA" from identifier names in
  wmaa-backlight-wmi.c (jsc#PED-1164).
- platform/x86: Add driver for ACPI WMAA EC-based backlight
  control (jsc#PED-1164).
- commit 1975b25
* Wed Sep 14 2022 tiwai@suse.de
- blacklist.conf: Drop kABI-related ALSA entries from SP4
- commit cb39f3b
* Wed Sep 14 2022 oneukum@suse.com
- usb: Link the ports to the connectors they are attached to
  (jsc#PED-531).
- commit fe04d18
* Wed Sep 14 2022 oneukum@suse.com
- usb: core: Export usb_device_match_id (jsc#PED-531).
- commit aa72be2
* Wed Sep 14 2022 oneukum@suse.com
- usb: hub: make wait_for_connected() take an int instead of a
  pointer to int (jsc#PED-531).
- commit d7280d6
* Wed Sep 14 2022 oneukum@suse.com
- usb: chipidea: tegra: Add runtime PM and OPP support
  (jsc#PED-531).
- commit 3f3ba93
* Wed Sep 14 2022 oneukum@suse.com
- soc/tegra: Add devm_tegra_core_dev_init_opp_table_common()
  (jsc#PED-531).
- commit 7ad426c
* Wed Sep 14 2022 tiwai@suse.de
- Update DRM UDL patches from upstreamed patches (bsc#1195917)
  Dropped:
  patches.suse/0001-drm-udl-Restore-display-mode-on-resume.patch
- commit eab8d35
* Tue Sep 13 2022 tabraham@suse.com
- ice: Allow operation with reduced device MSI-X (bsc#1201987).
- commit adb8f10
* Tue Sep 13 2022 msuchanek@suse.de
- powerpc/pseries/vas: Use QoS credits from the userspace
  (jsc#PED-542).
- powerpc/pseries/vas: Add VAS migration handler (jsc#PED-542).
- Refresh patches.suse/powerpc-mobility-wait-for-memory-transfer-to-complet.patch
- Refresh patches.suse/powerpc-pseries-mobility-set-NMI-watchdog-factor-dur.patch
- powerpc/pseries/vas: Modify reconfig open/close functions for
  migration (jsc#PED-542).
- powerpc/pseries/vas: Define global hv_cop_caps struct
  (jsc#PED-542).
- powerpc/pseries/vas: Add 'update_total_credits' entry for QoS
  capabilities (jsc#PED-542).
- powerpc/pseries/vas: sysfs interface to export capabilities
  (jsc#PED-542).
- powerpc/pseries/vas: Reopen windows with DLPAR core add
  (jsc#PED-542).
- powerpc/pseries/vas: Close windows with DLPAR core removal
  (jsc#PED-542).
- powerpc/vas: Map paste address only if window is active
  (jsc#PED-542).
- powerpc/vas: Return paste instruction failure if no active
  window (jsc#PED-542).
- powerpc/vas: Add paste address mmap fault handler (jsc#PED-542).
- powerpc/pseries/vas: Save PID in pseries_vas_window struct
  (jsc#PED-542).
- powerpc/pseries/vas: Use common names in VAS capability
  structure (jsc#PED-542).
- commit b24c3ed
* Tue Sep 13 2022 msuchanek@suse.de
- watchdog/pseries-wdt: initial support for H_WATCHDOG-based
  watchdog timers (jsc#PED-549).
- Update config files.
- supported.conf: Add pseries-wdt
- powerpc/pseries: register pseries-wdt device with platform bus
  (jsc#PED-549).
- powerpc/pseries: add FW_FEATURE_WATCHDOG flag (jsc#PED-549).
- powerpc/pseries: hvcall.h: add H_WATCHDOG opcode, H_NOOP return
  code (jsc#PED-549).
- powerpc/pseries: Fix numa FORM2 parsing fallback code
  (jsc#PED-551).
- powerpc/pseries: rename numa_dist_table to form2_distances
  (jsc#PED-551).
- powerpc/pseries: Add support for FORM2 associativity
  (jsc#PED-551).
- Refresh patches.suse/powerpc-pseries-Interface-to-represent-PAPR-firmware.patch
- powerpc/pseries: Add a helper for form1 cpu distance
  (jsc#PED-551).
- powerpc/pseries: Consolidate different NUMA distance update
  code paths (jsc#PED-551).
- Refresh patches.suse/powerpc-numa-Update-cpu_cpu_map-on-CPU-online-offlin.patch
- commit 1708bfe
* Tue Sep 13 2022 oneukum@suse.com
- usb: hub: avoid warm port reset during USB3 disconnect
  (git-fixes).
- commit 8af7b8e
* Tue Sep 13 2022 oneukum@suse.com
- usb: core: hcd: change sizeof(vaddr) to sizeof(unsigned long)
  (jsc#PED-531).
- commit 1523b0b
* Tue Sep 13 2022 msuchanek@suse.de
- scsi: ipr: Fix missing/incorrect resource cleanup in error case
  (jsc#PED-548).
- scsi: ipr: Use kobj_to_dev() (jsc#PED-548).
- scsi: ipr: Directly return instead of using local ret variable
  (jsc#PED-548).
- commit 1d92f11
* Tue Sep 13 2022 oneukum@suse.com
- usb: core: Fix file path that does not exist (jsc#PED-531).
- commit f9f0a5e
* Tue Sep 13 2022 oneukum@suse.com
- USB: common: debug: add needed kernel.h include (jsc#PED-531).
- commit 944eff7
* Tue Sep 13 2022 oneukum@suse.com
- xhci: use max() to make code cleaner (jsc#PED-531).
- commit a9fbbb5
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: fix random remote wakeup (jsc#PED-531).
- commit 6629649
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: remove unnecessary error check (jsc#PED-531).
- commit b17a19c
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: fix list_del warning when enable list debug
  (jsc#PED-531).
- commit 90a533c
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: enable wake-up interrupt after runtime_suspend
  called (jsc#PED-531).
- commit 293016f
* Tue Sep 13 2022 oneukum@suse.com
- PM / wakeirq: support enabling wake-up irq after runtime_suspend
  called (jsc#PED-531).
- commit c727a40
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci: Use to_pci_driver() instead of pci_dev->driver
  (jsc#PED-531).
- commit 541116e
* Tue Sep 13 2022 oneukum@suse.com
- usb: core: config: Change sizeof(struct ...) to
  sizeof(*...) (jsc#PED-531).
- commit 249a144
* Tue Sep 13 2022 oneukum@suse.com
- usb: core: hcd: fix messages in usb_hcd_request_irqs()
  (jsc#PED-531).
- commit 6d29347
* Tue Sep 13 2022 oneukum@suse.com
- usb: core: hcd: Modularize HCD stop configuration in
  usb_stop_hcd() (jsc#PED-531).
- commit dfccab2
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: use xhci_dbg() to print log (jsc#PED-531).
- commit e7dd0f8
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: allow bandwidth table rollover (jsc#PED-531).
- commit 11e08d1
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: Do not use xhci's virt_dev in drop_endpoint
  (jsc#PED-531).
- commit 8d6c90e
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: modify the SOF/ITP interval for mt8195
  (jsc#PED-531).
- commit da8bc69
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: add a member of num_esit (jsc#PED-531).
- commit 4745d08
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: check boundary before check tt (jsc#PED-531).
- commit 5bf9b17
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: update fs bus bandwidth by bw_budget_table
  (jsc#PED-531).
- commit 2035273
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-mtk: support option to disable usb2 ports
  (jsc#PED-531).
- commit 21ff31f
* Tue Sep 13 2022 iivanov@suse.de
- crypto: arm64/gcm - Select AEAD for GHASH_ARM64_CE (git-fixes)
- commit 49a8536
* Tue Sep 13 2022 iivanov@suse.de
- arm64: select TRACE_IRQFLAGS_NMI_SUPPORT (git-fixes)
- commit 8e1f358
* Tue Sep 13 2022 iivanov@suse.de
- arm64: errata: Add Cortex-A510 to the repeat tlbi list (git-fixes)
  Enable this errata fix configuration option to arm64/default.
- commit c8ec028
* Tue Sep 13 2022 iivanov@suse.de
- Revert "arm64: Mitigate MTE issues with str{n}cmp()" (git-fixes)
- commit 3916261
* Tue Sep 13 2022 iivanov@suse.de
- arm64: lib: Import latest version of Arm Optimized Routines' strcmp (git-fixes)
- commit 0ad904d
* Tue Sep 13 2022 oneukum@suse.com
- tty: drop put_tty_driver (jsc#PED-531).
- Refresh
  patches.suse/ipack-ipoctal-fix-stack-information-leak.patch.
- commit 512f7d8
* Tue Sep 13 2022 petr.pavlu@suse.com
- tracing: hold caller_addr to hardirq_{enable,disable}_ip
  (git-fixes).
- commit ec23c84
* Tue Sep 13 2022 petr.pavlu@suse.com
- ftrace: Fix NULL pointer dereference in is_ftrace_trampoline
  when ftrace is dead (git-fixes).
- commit 4b6dc41
* Tue Sep 13 2022 oneukum@suse.com
- usb: renesas-xhci: Remove renesas_xhci_pci_exit() (jsc#PED-531).
- commit 5a90fd4
* Tue Sep 13 2022 fdmanana@suse.com
- btrfs: fix space cache corruption and potential double
  allocations (bsc#1203361).
- commit 0479f45
* Tue Sep 13 2022 fdmanana@suse.com
- btrfs: fix relocation crash due to premature return from
  btrfs_commit_transaction() (bsc#1203360).
- commit 5ceb88f
* Tue Sep 13 2022 oneukum@suse.com
- usb: xhci-renesas: Minor coding style cleanup (jsc#PED-531).
- commit 229132e
* Mon Sep 12 2022 vkarasulli@suse.de
- KVM: x86: do not report a vCPU as preempted outside instruction
  boundaries (bsc#1203066 CVE-2022-39189).
- commit c89b7e4
* Mon Sep 12 2022 lduncan@suse.com
- blacklist.conf: add 3 commits for git-fixes not needed
- commit 6f1ca85
* Mon Sep 12 2022 mkubecek@suse.cz
- netfilter: nf_tables: do not allow RULE_ID to refer to another
  chain (CVE-2022-2586 bsc#1202095).
- netfilter: nf_tables: do not allow CHAIN_ID to refer to another
  table (CVE-2022-2586 bsc#1202095).
- netfilter: nf_tables: do not allow SET_ID to refer to another
  table (CVE-2022-2586 bsc#1202095).
- commit 42bb8dc
* Mon Sep 12 2022 mkubecek@suse.cz
- Update
  patches.suse/dccp-don-t-duplicate-ccid-when-cloning-dccp-sock.patch
  references (add CVE-2020-16119 bsc#1177471).
- commit 7d3c30f
* Mon Sep 12 2022 osalvador@suse.de
- Update message from free_area_init (bsc#1203101)
  Refreshed:
  patches.suse/0002-mm-handle-uninitialized-numa-nodes-gracefully.patch
- commit 58d8d59
* Mon Sep 12 2022 ptesarik@suse.cz
- blacklist.conf: unwanted s390 commits
- commit 7773032
* Mon Sep 12 2022 jdelvare@suse.de
- watchdog: wdat_wdt: Set the min and max timeout values properly
  (bsc#1194023).
- commit d609cb4
* Mon Sep 12 2022 tiwai@suse.de
- kbuild: disable header exports for UML in a straightforward way
  (git-fixes).
- docs: i2c: i2c-topology: fix incorrect heading (git-fixes).
- commit 96f4a7a
* Sun Sep 11 2022 tiwai@suse.de
- hwmon: (mr75203) enable polling for all VM channels (git-fixes).
- hwmon: (mr75203) fix multi-channel voltage reading (git-fixes).
- hwmon: (mr75203) fix voltage equation for negative source input
  (git-fixes).
- hwmon: (mr75203) update pvt->v_num and vm_num to the actual
  number of used sensors (git-fixes).
- hwmon: (mr75203) fix VM sensor allocation when "intel,vm-map"
  not defined (git-fixes).
- dt-bindings: hwmon: (mr75203) fix "intel,vm-map" property to
  be optional (git-fixes).
- hwmon: (tps23861) fix byte order in resistance register
  (git-fixes).
- commit 4be15df
* Sat Sep 10 2022 tiwai@suse.de
- ALSA: emu10k1: Fix out of bounds access in
  snd_emu10k1_pcm_channel_alloc() (git-fixes).
- ALSA: usb-audio: Fix an out-of-bounds bug in
  __snd_usb_parse_audio_interface() (git-fixes).
- ALSA: hda/tegra: Align BDL entry to 4KB boundary (git-fixes).
- ALSA: pcm: oss: Fix race at SNDCTL_DSP_SYNC (git-fixes).
- ALSA: aloop: Fix random zeros in capture data when using
  jiffies timer (git-fixes).
- commit e787e77
* Sat Sep 10 2022 tiwai@suse.de
- ASoC: qcom: sm8250: add missing module owner (git-fixes).
- ALSA: hda/sigmatel: Fix unused variable warning for beep power
  change (git-fixes).
- ALSA: usb-audio: Split endpoint setups for hw_params and prepare
  (git-fixes).
- ALSA: usb-audio: Register card again for iface over
  delayed_register option (git-fixes).
- ALSA: usb-audio: Inform the delayed registration more properly
  (git-fixes).
- commit fdc009b
* Sat Sep 10 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 9769cb9
* Fri Sep  9 2022 tbogendoerfer@suse.de
- bnxt_en: add dynamic debug support for HWRM messages
  (jsc#PED-1495).
- Refresh
  patches.suse/bnxt_en-Increase-firmware-message-response-DMA-wait-.patch.
- commit 9044955
* Fri Sep  9 2022 tbogendoerfer@suse.de
- RDMA: Constify netdev->dev_addr accesses (jsc#PED-1494).
- Refresh
  patches.suse/RDMA-bnxt_re-Use-helper-function-to-set-GUIDs.patch.
- commit d62d7be
* Fri Sep  9 2022 tbogendoerfer@suse.de
- bnxt_en: fix LRO/GRO_HW features in ndo_fix_features callback
  (jsc#PED-1495).
- bnxt_en: fix NQ resource accounting during vf creation on
  57500 chips (jsc#PED-1495).
- bnxt_en: set missing reload flag in devlink features
  (jsc#PED-1495).
- bnxt_en: Use PAGE_SIZE to init buffer when multi buffer XDP
  is not in use (jsc#PED-1495).
- bnxt: Use the bitmap API to allocate bitmaps (jsc#PED-1495).
- bnxt: Fix typo in comments (jsc#PED-1495).
- bnxt_en: Fix bnxt_refclk_read() (jsc#PED-1495).
- bnxt_en: Fix and simplify XDP transmit path (jsc#PED-1495).
- bnxt_en: fix livepatch query (jsc#PED-1495).
- bnxt_en: Fix bnxt_reinit_after_abort() code path (jsc#PED-1495).
- bnxt_en: reclaim max resources if sriov enable fails
  (jsc#PED-1495).
- eth: bnxt: make ulp_id unsigned to make GCC 12 happy
  (jsc#PED-1495).
- bnxt_en: parse and report result field when NVRAM package
  install fails (jsc#PED-1495).
- bnxt_en: Enable packet timestamping for all RX packets
  (jsc#PED-1495).
- bnxt_en: Configure ptp filters during bnxt open (jsc#PED-1495).
- bnxt_en: Update firmware interface to 1.10.2.95 (jsc#PED-1495).
- bnxt: XDP multibuffer enablement (jsc#PED-1495).
- bnxt: support transmit and free of aggregation buffers
  (jsc#PED-1495).
- bnxt: adding bnxt_xdp_build_skb to build skb from multibuffer
  xdp_buff (jsc#PED-1495).
- bnxt: add page_pool support for aggregation ring when using xdp
  (jsc#PED-1495).
- bnxt: change receive ring space parameters (jsc#PED-1495).
- bnxt: set xdp_buff pfmemalloc flag if needed (jsc#PED-1495).
- bnxt: adding bnxt_rx_agg_pages_xdp for aggregated xdp
  (jsc#PED-1495).
- bnxt: rename bnxt_rx_pages to bnxt_rx_agg_pages_skb
  (jsc#PED-1495).
- bnxt: refactor bnxt_rx_pages operate on skb_shared_info
  (jsc#PED-1495).
- bnxt: add flag to denote that an xdp program is currently
  attached (jsc#PED-1495).
- bnxt: refactor bnxt_rx_xdp to separate
  xdp_init_buff/xdp_prepare_buff (jsc#PED-1495).
- bnxt_en: Initiallize bp->ptp_lock first before using it
  (jsc#PED-1495).
- devlink: add explicitly locked flavor of the rate node APIs
  (jsc#PED-1495).
- bnxt: use the devlink instance lock to protect sriov
  (jsc#PED-1495).
- devlink: expose instance locking and add locked port registering
  (jsc#PED-1495).
- bnxt: revert hastily merged uAPI aberrations (jsc#PED-1495).
- bnxt_en: add an nvm test for hw diagnose (jsc#PED-1495).
- bnxt_en: implement hw health reporter (jsc#PED-1495).
- bnxt_en: Properly report no pause support on some cards
  (jsc#PED-1495).
- bnxt_en: introduce initial link state of unknown (jsc#PED-1495).
- bnxt_en: parse result field when NVRAM package install fails
  (jsc#PED-1495).
- bnxt_en: add more error checks to HWRM_NVM_INSTALL_UPDATE
  (jsc#PED-1495).
- bnxt_en: refactor error handling of HWRM_NVM_INSTALL_UPDATE
  (jsc#PED-1495).
- bnxt: report header-data split state (jsc#PED-1495).
- ethtool: add header/data split indication (jsc#PED-1495).
- bnxt_en: Handle async event when the PHC is updated in RTC mode
  (jsc#PED-1495).
- bnxt_en: Implement .adjtime() for PTP RTC mode (jsc#PED-1495).
- bnxt_en: Add driver support to use Real Time Counter for PTP
  (jsc#PED-1495).
- bnxt_en: PTP: Refactor PTP initialization functions
  (jsc#PED-1495).
- bnxt_en: Update firmware interface to 1.10.2.73 (jsc#PED-1495).
- bpf: introduce BPF_F_XDP_HAS_FRAGS flag in prog_flags loading
  the ebpf program (jsc#PED-1495).
- net: xdp: add xdp_update_skb_shared_info utility routine
  (jsc#PED-1495).
- xdp: introduce flags field in xdp_buff/xdp_frame (jsc#PED-1495).
- net: skbuff: add size metadata to skb_shared_info for xdp
  (jsc#PED-1495).
- RDMA/bnxt_re: Fix endianness warning for req.pkey
  (jsc#PED-1494).
- RDMA/bnxt_re: Use bitmap_zalloc() when applicable
  (jsc#PED-1494).
- RDMA/bnxt_re: Remove dynamic pkey table (jsc#PED-1494).
- RDMA/bnxt_re: Remove unneeded variable (jsc#PED-1494).
- bnxt_en: improve firmware timeout messaging (jsc#PED-1495).
- bnxt_en: improve VF error messages when PF is unavailable
  (jsc#PED-1495).
- bnxt_en: Use page frag RX buffers for better software GRO
  performance (jsc#PED-1495).
- bnxt_en: convert to xdp_do_flush (jsc#PED-1495).
- bnxt_en: Support CQE coalescing mode in ethtool (jsc#PED-1495).
- bnxt_en: Support configurable CQE coalescing mode
  (jsc#PED-1495).
- bnxt_en: enable interrupt sampling on 5750X for DIM
  (jsc#PED-1495).
- bnxt_en: Log error report for dropped doorbell (jsc#PED-1495).
- bnxt_en: Add event handler for PAUSE Storm event (jsc#PED-1495).
- devlink: Add new "event_eq_size" generic device param
  (jsc#PED-1495).
- devlink: Add new "io_eq_size" generic device param
  (jsc#PED-1495).
- flow_offload: reject to offload tc actions in offload drivers
  (jsc#PED-1495).
- devlink: Remove misleading internal_flags from health reporter
  dump (jsc#PED-1495).
- devlink: fix flexible_array.cocci warning (jsc#PED-1495).
- ethtool: don't drop the rtnl_lock half way thru the ioctl
  (jsc#PED-1495).
- devlink: expose get/put functions (jsc#PED-1495).
- ethtool: handle info/flash data copying outside rtnl_lock
  (jsc#PED-1495).
- ethtool: push the rtnl_lock into dev_ethtool() (jsc#PED-1495).
- devlink: make all symbols GPL-only (jsc#PED-1495).
- devlink: Simplify internal devlink params implementation
  (jsc#PED-1495).
- devlink: Clean not-executed param notifications (jsc#PED-1495).
- ethtool: ioctl: Use array_size() helper in copy_{from,to}_user()
  (jsc#PED-1495).
- ethtool: prevent endless loop if eeprom size is smaller than
  announced (jsc#PED-1495).
- ethtool: runtime-resume netdev parent before ethtool ioctl ops
  (jsc#PED-1495).
- commit 5128686
* Fri Sep  9 2022 ptesarik@suse.cz
- s390: fix double free of GS and RI CBs on fork() failure
  (bsc#1203197 LTC#199895).
- commit a3c49e0
* Fri Sep  9 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-qcom-ethqos: Enable RGMII functional clock
  on resume (git-fixes).
- commit 196b9a7
* Fri Sep  9 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-qcom-ethqos: add platform level clocks
  management (git-fixes).
- commit 9419c89
* Fri Sep  9 2022 denis.kirjanov@suse.com
- net: axienet: fix RX ring refill allocation failure handling
  (git-fixes).
- commit 4644276
* Fri Sep  9 2022 denis.kirjanov@suse.com
- bnx2x: fix built-in kernel driver load failure (git-fixes).
- commit 4c90c2b
* Fri Sep  9 2022 denis.kirjanov@suse.com
- net: stmmac: only enable DMA interrupts when ready (git-fixes).
- commit 8b7732b
* Fri Sep  9 2022 denis.kirjanov@suse.com
- net: stmmac: perserve TX and RX coalesce value during XDP setup
  (git-fixes).
- commit 7ef4525
* Fri Sep  9 2022 denis.kirjanov@suse.com
- net: stmmac: enhance XDP ZC driver level switching performance
  (git-fixes).
- commit 0b61dc1
* Fri Sep  9 2022 denis.kirjanov@suse.com
- bnx2x: fix driver load from initrd (git-fixes).
- commit 922bb4e
* Fri Sep  9 2022 denis.kirjanov@suse.com
- Update metadata references
- commit b8d9524
* Fri Sep  9 2022 tiwai@suse.de
- regulator: core: Clean up on enable failure (git-fixes).
- wifi: iwlegacy: 4965: corrected fix for potential off-by-one
  overflow in il4965_rs_fill_link_cmd() (git-fixes).
- vt: Clear selection before changing the font (git-fixes).
- clk: bcm: rpi: Prevent out-of-bounds access (git-fixes).
- mmc: core: Fix inconsistent sd3_bus_mode at UHS-I SD voltage
  switch failure (git-fixes).
- drm/i915: Skip wm/ddb readout for disabled pipes (git-fixes).
- drm/i915/glk: ECS Liva Q2 needs GLK HDMI port timing quirk
  (git-fixes).
- USB: serial: cp210x: add Decagon UCA device id (git-fixes).
- USB: serial: option: add support for Cinterion MV32-WA/WB
  RmNet mode (git-fixes).
- USB: serial: ftdi_sio: add Omron CS1W-CIF31 device id
  (git-fixes).
- USB: serial: option: add Quectel EM060K modem (git-fixes).
- USB: serial: option: add support for OPPO R11 diag port
  (git-fixes).
- media: mceusb: Use new usb_control_msg_*() routines (git-fixes).
- USB: cdc-acm: Add Icom PMR F3400 support (0c26:0020)
  (git-fixes).
- usb: xhci-mtk: relax TT periodic bandwidth allocation
  (git-fixes).
- usb: dwc3: pci: Add support for Intel Raptor Lake (git-fixes).
- usb: typec: intel_pmc_mux: Add new ACPI ID for Meteor Lake
  IOM device (git-fixes).
- usb-storage: Add ignore-residue quirk for NXP PN7462AU
  (git-fixes).
- wifi: mac80211: Fix UAF in ieee80211_scan_rx() (git-fixes).
- clk: bcm: rpi: Use correct order for the parameters of
  devm_kcalloc() (git-fixes).
- commit 8d6d69c
* Thu Sep  8 2022 tbogendoerfer@suse.de
- bnx2x: Fix comment typo (jsc#PED-535).
- cnic: Use the bitmap API to allocate bitmaps (jsc#PED-1516).
- bnx2x: Fix spelling mistake "regiser" -> "register"
  (jsc#PED-535).
- bnx2x: Fix undefined behavior due to shift overflowing the
  constant (jsc#PED-535).
- bnx2x: truncate value to original sizing (jsc#PED-535).
- bnx2x: use correct format characters (jsc#PED-535).
- bnx2x: Replace one-element array with flexible-array member
  (jsc#PED-535).
- bnx2x: fix built-in kernel driver load failure (jsc#PED-535).
- bnx2: Fix an error message (jsc#PED-1187).
- bnx2x: fix driver load from initrd (jsc#PED-535).
- bnx2x: Remove useless DMA-32 fallback configuration
  (jsc#PED-535).
- bna: Simplify DMA setting (jsc#PED-1521).
- net: bna: Update supported link modes (jsc#PED-1521).
- bnx2x: constify static inline stub for dev_addr (jsc#PED-535).
- bnx2x: Use struct_group() for memcpy() region (jsc#PED-535).
- net: move gro definitions to include/net/gro.h (jsc#PED-535).
- bnx2: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#PED-1187).
- bnx2: Replace open-coded version with swab32s() (jsc#PED-1187).
- commit 9e44625
* Thu Sep  8 2022 oneukum@suse.com
- tty: remove CMSPAR ifdefs (jsc#PED-531).
- commit 8886a3f
* Thu Sep  8 2022 denis.kirjanov@suse.com
- net: dsa: microchip: fix bridging with more than two member
  ports (git-fixes).
- commit f2a5e08
* Thu Sep  8 2022 denis.kirjanov@suse.com
- net: dsa: lantiq_gswip: fix use after free in gswip_remove()
  (git-fixes).
- commit 577992b
* Thu Sep  8 2022 denis.kirjanov@suse.com
- ice: Fix KASAN error in LAG NETDEV_UNREGISTER handler
  (git-fixes).
- commit f16c949
* Thu Sep  8 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix all IP traffic getting trapped to CPU
  with PTP over IP (git-fixes).
- commit 391f1b3
* Thu Sep  8 2022 denis.kirjanov@suse.com
- net: axienet: reset core on initialization prior to MDIO access
  (git-fixes).
- Refresh
  patches.suse/net-axienet-setup-mdio-unconditionally.patch.
- commit afb1beb
* Thu Sep  8 2022 oneukum@suse.com
- usb: Prepare cleanup of powerpc's asm/prom.h (jsc#PED-531).
- commit b5dac6b
* Thu Sep  8 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix missing unlock on error in
  ocelot_hwstamp_set() (git-fixes).
- commit c38c182
* Thu Sep  8 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 9d146c4
* Thu Sep  8 2022 vbabka@suse.cz
- Update
  patches.suse/watchqueue-make-sure-to-serialize-wqueue-defunct-pro.patch
  (git-fixes, CVE-2022-1882, bsc#1199904).
- add references to CVE-2022-1882, bsc#1199904
- commit b499e0d
* Wed Sep  7 2022 jslaby@suse.cz
- x86: link vdso and boot with -z noexecstack
  - -no-warn-rwx-segments (bsc#1203200).
- Makefile: link with -z noexecstack --no-warn-rwx-segments
  (bsc#1203200).
- x86: link vdso and boot with -z noexecstack
  - -no-warn-rwx-segments (bsc#1203200).
- Makefile: link with -z noexecstack --no-warn-rwx-segments
  (bsc#1203200).
- PCI: VMD: ACPI: Make ACPI companion lookup work for VMD bus
  (jsc#PED-633).
- Refresh
  patches.suse/PCI-ACPI-Check-parent-pointer-in-acpi_pci_find_compa.patch.
- Refresh
  patches.suse/PCI-vmd-Assign-VMD-IRQ-domain-before-enumeration.patch.
- x86: link vdso and boot with -z noexecstack
  - -no-warn-rwx-segments (bsc#1203200).
- Makefile: link with -z noexecstack --no-warn-rwx-segments
  (bsc#1203200).
- commit 7e1512f
* Wed Sep  7 2022 jslaby@suse.cz
- Update config files (change CONFIG_SUSE_PATCHLEVEL to 5).
- commit f931313
* Wed Sep  7 2022 jslaby@suse.cz
- intel_idle: Add a new flag to initialize the AMX state
  (jsc#PED-681).
- x86/fpu: Add a helper to prepare AMX state for low-power CPU
  idle (jsc#PED-681).
- platform/x86: intel/pmc: Add Alder Lake N support to PMC core
  driver (jsc#PED-692).
- platform/x86/intel: pmc: Support Intel Raptorlake P
  (jsc#PED-667).
- x86/cpu: Add new Alderlake and Raptorlake CPU model numbers
  (jsc#PED-743).
- PCI: vmd: Add DID 8086:A77F for all Intel Raptor Lake SKU's
  (jsc#PED-633).
- PCI: vmd: Honor ACPI _OSC on PCIe features (jsc#PED-633).
- PCI: vmd: Clean up domain before enumeration (jsc#PED-633).
- x86/cpu: Drop spurious underscore from RAPTOR_LAKE #define
  (jsc#PED-690).
- x86/cpu: Add Raptor Lake to Intel family (jsc#PED-690).
- commit 2f2c9c2
* Wed Sep  7 2022 tiwai@suse.de
- usb: gadget: f_uac2: fix superspeed transfer (git-fixes).
- commit 2e0f852
* Wed Sep  7 2022 denis.kirjanov@suse.com
- Revert "ipv6: Honor all IPv6 PIO Valid Lifetime values"
  (bsc#1202989).
- commit 2353f59
* Tue Sep  6 2022 mbrugger@suse.com
- net: stmmac: dwc-qos: Disable split header for Tegra194
  (bsc#1194904).
- net: stmmac: disable Split Header (SPH) for Intel platforms
  (bsc#1194904).
- commit 80bcb5a
* Tue Sep  6 2022 lduncan@suse.com
- scsi: sg: Allow waiting for commands to complete on removed
  device (git-fixes).
- scsi: smartpqi: Fix DMA direction for RAID requests (git-fixes).
- scsi: mpt3sas: Stop fw fault watchdog work item during system
  shutdown (git-fixes).
- scsi: ufs: core: Fix another task management completion race
  (git-fixes).
- scsi: ufs: core: Fix task management completion timeout race
  (git-fixes).
- commit b8be98c
* Tue Sep  6 2022 dwagner@suse.de
- nvme-tcp: fix UAF when detecting digest errors (bsc#1200313
  bsc#1201489).
- commit d1c233b
* Tue Sep  6 2022 tbogendoerfer@suse.de
- compat: make linux/compat.h available everywhere (jsc#PED-1492).
- commit 82594a3
* Tue Sep  6 2022 oneukum@suse.com
- USB: serial: ch341: fix disabled rx timer on older devices
  (git-fixes).
- commit 9eefb78
* Tue Sep  6 2022 oneukum@suse.com
- USB: serial: ch341: fix lost character on LCR updates
  (git-fixes).
- commit 62469ec
* Tue Sep  6 2022 oneukum@suse.com
- USB: serial: ch314: use usb_control_msg_recv() (git-fixes).
- commit 53e1aa3
* Tue Sep  6 2022 tbogendoerfer@suse.de
- dev_ioctl: pass SIOCDEVPRIVATE data separately (jsc#PED-1492).
- Refresh
  patches.suse/net-don-t-unconditionally-copy_from_user-a-struct-if.patch.
- commit 220a22b
* Tue Sep  6 2022 tbogendoerfer@suse.de
- net: socket: rework compat_ifreq_ioctl() (jsc#PED-1492).
- Refresh
  patches.suse/net-don-t-unconditionally-copy_from_user-a-struct-if.patch.
- commit 9e52d0a
* Tue Sep  6 2022 tbogendoerfer@suse.de
- net: socket: simplify dev_ifconf handling (jsc#PED-1492).
- Refresh
  patches.suse/net-don-t-unconditionally-copy_from_user-a-struct-if.patch.
- commit 7ce1665
* Tue Sep  6 2022 tbogendoerfer@suse.de
- tg3: Disable tg3 device on system reboot to avoid triggering
  AER (jsc#PED-1492).
- tg3: Remove redundant assignments (jsc#PED-1492).
- ethernet: Remove redundant statement (jsc#PED-1492).
- ethernet: tg3: remove direct netdev->dev_addr writes
  (jsc#PED-1492).
- net: tg3: fix redundant check of true expression (jsc#PED-1492).
- net: tg3: fix obsolete check of !err (jsc#PED-1492).
- tg3: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#PED-1492).
- tg3: Validate VPD checksum with pci_vpd_check_csum()
  (jsc#PED-1492).
- tg3: Read VPD with pci_vpd_alloc() (jsc#PED-1492).
- dev_ioctl: split out ndo_eth_ioctl (jsc#PED-1492).
- cxgb3: use ndo_siocdevprivate (jsc#PED-1492).
- qeth: use ndo_siocdevprivate (jsc#PED-1492).
- hamachi: use ndo_siocdevprivate (jsc#PED-1492).
- bonding: use siocdevprivate (jsc#PED-1492).
- net: split out SIOCDEVPRIVATE handling from dev_ioctl
  (jsc#PED-1492).
- net: socket: remove register_gifconf (jsc#PED-1492).
- net: socket: rework SIOC?IFMAP ioctls (jsc#PED-1492).
- commit 9963a02
* Tue Sep  6 2022 oneukum@suse.com
- usb: gadget: f_uac2: clean up some inconsistent indenting
  (git-fixes).
- commit 44a2b58
* Tue Sep  6 2022 oneukum@suse.com
- usb: dwc3: gadget: Avoid duplicate requests to enable Run/Stop
  (git-fixes).
- commit f62cbbb
* Tue Sep  6 2022 ptesarik@suse.cz
- s390/hugetlb: fix prepare_hugepage_range() check for 2 GB
  hugepages (git-fixes).
- s390/mm: do not trigger write fault when vma does not allow
  VM_WRITE (git-fixes).
- scsi: zfcp: Fix missing auto port scan and thus missing target
  ports (git-fixes).
- s390/zcore: fix race when reading from hardware system area
  (git-fixes).
- s390/crash: fix incorrect number of bytes to copy to user space
  (git-fixes).
- vfio/ccw: Do not change FSM state in subchannel event
  (git-fixes).
- vfio/ccw: Remove UUID from s390 debug log (git-fixes).
- s390/cpumf: Handle events cycles and instructions identical
  (git-fixes).
- s390/crash: make copy_oldmem_page() return number of bytes
  copied (git-fixes).
- s390/mm: use non-quiescing sske for KVM switch to keyed guest
  (git-fixes).
- s390/stp: clock_delta should be signed (git-fixes).
- s390/kexec: handle R_390_PLT32DBL rela in
  arch_kexec_apply_relocations_add() (git-fixes).
- commit 9886bfd
* Tue Sep  6 2022 dwagner@suse.de
- nvme-rdma: Handle number of queue changes (bsc#1201865).
- nvme-tcp: Handle number of queue changes (bsc#1201865).
- nvmet: Expose max queues to configfs (bsc#1201865).
- commit 51b9b2e
* Tue Sep  6 2022 dwagner@suse.de
- nvme-fabrics: parse nvme connect Linux error codes
  (bsc#1201865).
- commit f1d7d3e
* Tue Sep  6 2022 oneukum@suse.com
- usb: dwc3: qcom: fix use-after-free on runtime-PM wakeup
  (git-fixes).
- commit d57061d
* Tue Sep  6 2022 denis.kirjanov@suse.com
- netfilter: nf_tables: disallow binding to already bound chain
  (CVE-2022-39190 bsc#1203117).
- commit bb5b67f
* Tue Sep  6 2022 vbabka@suse.cz
- mm: pagewalk: Fix race between unmap and page walker (git-fixes,
  bsc#1203159).
- commit 35d24e5
* Tue Sep  6 2022 oneukum@suse.com
- usb: dwc3: qcom: Add helper functions to enable,disable wake irqs (git-fixes).
- commit 4ff0a76
* Tue Sep  6 2022 oneukum@suse.com
- usb: dwc3: dwc3-qcom: Add missing platform_device_put() in dwc3_qcom_acpi_register_core (git-fixes).
- commit a9fc9d1
* Tue Sep  6 2022 oneukum@suse.com
- drivers: usb: dwc3-qcom: Add sdm660 compatible (git-fixes).
- commit 4f92bad
* Tue Sep  6 2022 oneukum@suse.com
- usb: dwc3: dwc3-qcom: Fix typo in the dwc3 vbus override API (git-fixes).
- commit 88f2cbc
* Tue Sep  6 2022 tiwai@suse.de
- ARM: dts: at91: sama5d2_icp: don't keep vdd_other enabled all
  the time (git-fixes).
- ARM: dts: at91: sama5d27_wlsom1: don't keep ldo2 enabled all
  the time (git-fixes).
- ARM: dts: at91: sama5d2_icp: specify proper regulator output
  ranges (git-fixes).
- ARM: dts: at91: sama5d27_wlsom1: specify proper regulator
  output ranges (git-fixes).
- soc: fsl: select FSL_GUTS driver for DPIO (git-fixes).
- soc: brcmstb: pm-arm: Fix refcount leak and __iomem leak bugs
  (git-fixes).
- soc: imx: gpcv2: Assert reset before ungating clock (git-fixes).
- ARM: dts: imx6qdl-kontron-samx6i: remove duplicated node
  (git-fixes).
- HID: add Lenovo Yoga C630 battery quirk (git-fixes).
- HID: AMD_SFH: Add a DMI quirk entry for Chromebooks (git-fixes).
- HID: thrustmaster: Add sparco wheel and fix array length
  (git-fixes).
- HID: asus: ROG NKey: Ignore portion of 0x5a report (git-fixes).
- fbdev: fb_pm2fb: Avoid potential divide by zero error
  (git-fixes).
- drm/amd/display: avoid doing vm_init multiple time (git-fixes).
- drm/amdgpu: Increase tlb flush timeout for sriov (git-fixes).
- drm/amd/display: Fix pixel clock programming (git-fixes).
- drm/amd/pm: add missing ->fini_microcode interface for Sienna
  Cichlid (git-fixes).
- drm/amd/display: clear optc underflow before turn off odm clock
  (git-fixes).
- drm/amd/display: For stereo keep "FLIP_ANY_FRAME" (git-fixes).
- drm/amd/display: Fix HDMI VSIF V3 incorrect issue (git-fixes).
- drm/amd/display: Avoid MPC infinite loop (git-fixes).
- udmabuf: Set the DMA mask for the udmabuf device (v2)
  (git-fixes).
- media: pvrusb2: fix memory leak in pvr_probe (git-fixes).
- ACPI: thermal: drop an always true check (git-fixes).
- commit c8964fa
* Mon Sep  5 2022 vbabka@suse.cz
- mm: Force TLB flush for PFNMAP mappings before unlink_file_vma()
  (CVE-2022-39188, bsc#1203107).
- commit 3a89213
* Mon Sep  5 2022 lhenriques@suse.de
- fuse: ioctl: translate ENOSYS (bsc#1203139).
- fuse: limit nsec (bsc#1203138).
- commit 7e9c40c
* Mon Sep  5 2022 mkubecek@suse.cz
- netfilter: nf_conntrack_irc: Tighten matching on DCC message
  (CVE-2022-2663 bsc#1202097).
- netfilter: nf_conntrack_irc: Fix forged IP logic (CVE-2022-2663
  bsc#1202097).
- commit 81db4dd
* Mon Sep  5 2022 mgorman@suse.de
- sched/core: Use try_cmpxchg in set_nr_{and_not,if}_polling
  (bnc#1202494 (Scheduler functional and performance backports)).
- sched/fair: Decay task PELT values during wakeup migration
  (bnc#1202494 (Scheduler functional and performance backports)).
- sched/fair: Provide u64 read for 32-bits arch helper
  (bnc#1202494 (Scheduler functional and performance backports)).
- sched/fair: Introduce SIS_UTIL to search idle CPU based on
  sum of util_avg (jsc#PED-1213).
- sched/numa: Fix boot crash on arm64 systems (jsc#PED-827).
- sched/numa: Avoid migrating task to CPU-less node (jsc#PED-827).
- sched/numa: Fix NUMA topology for systems with CPU-less nodes
  (jsc#PED-827).
- commit 2f3bfae
* Mon Sep  5 2022 oneukum@suse.com
- blacklist.conf: breaks kABI in a hard to fix way
- commit cc459f1
* Mon Sep  5 2022 oneukum@suse.com
- USB: HCD: Fix URB giveback issue in tasklet function
  (git-fixes).
- commit 12ef886
* Mon Sep  5 2022 tiwai@suse.de
- gpio: pca953x: Add mutex_lock for regcache sync in PM
  (git-fixes).
- commit 68f2e3d
* Mon Sep  5 2022 tbogendoerfer@suse.de
- ethtool: extend ringparam setting/getting API with rx_buf_len
  (jsc#PED-1497).
- Refresh
  patches.suse/Revert-ibmvnic-Add-ethtool-private-flag-for-driver-d.patch.
- commit ee8f1a8
* Mon Sep  5 2022 tbogendoerfer@suse.de
- ethernet/emulex:fix repeated words in comments (jsc#PED-1497).
- eth: benet: remove a copy of the NAPI_POLL_WEIGHT define
  (jsc#PED-1497).
- be2net: Use irq_update_affinity_hint() (jsc#PED-1497).
- genirq: Provide new interfaces for affinity hints
  (jsc#PED-1497).
- be2net: Remove useless DMA-32 fallback configuration
  (jsc#PED-1497).
- ethtool: add support to set/get rx buf len via ethtool
  (jsc#PED-1497).
- ethernet: constify references to netdev->dev_addr in drivers
  (jsc#PED-1497).
- commit bb6401d
* Mon Sep  5 2022 osalvador@suse.de
- Update Yousaf's e-mail
- commit bde91a1
* Mon Sep  5 2022 vbabka@suse.cz
- Update
  patches.kabi/kABI-Fix-kABI-after-mm-rmap-Fix-anon_vma-degree-ambi.patch
  (git-fixes, bsc#1203098).
- Update
  patches.suse/mm-rmap-Fix-anon_vma-degree-ambiguity-leading-to-double-reuse.patch
  (git-fixes, bsc#1203098).
  Add reference to bsc#1203098.
- commit 866ab35
* Sun Sep  4 2022 tiwai@suse.de
- Revert "clk: core: Honor CLK_OPS_PARENT_ENABLE for clk gate ops"
  (git-fixes).
- commit 44c1db1
* Sun Sep  4 2022 tiwai@suse.de
- Input: iforce - wake up after clearing IFORCE_XMIT_RUNNING flag
  (git-fixes).
- Input: rk805-pwrkey - fix module autoloading (git-fixes).
- tty: n_gsm: avoid call of sleeping functions from atomic context
  (git-fixes).
- tty: n_gsm: replace kicktimer with delayed_work (git-fixes).
- tty: n_gsm: initialize more members at gsm_alloc_mux()
  (git-fixes).
- tty: n_gsm: add sanity check for gsm->receive in
  gsm_receive_buf() (git-fixes).
- tty: serial: lpuart: disable flow control while waiting for
  the transmit engine to complete (git-fixes).
- serial: fsl_lpuart: RS485 RTS polariy is inverse (git-fixes).
- staging: rtl8712: fix use after free bugs (git-fixes).
- clk: bcm: rpi: Fix error handling of raspberrypi_fw_get_rate
  (git-fixes).
- clk: core: Fix runtime PM sequence in clk_core_unprepare()
  (git-fixes).
- clk: core: Honor CLK_OPS_PARENT_ENABLE for clk gate ops
  (git-fixes).
- hwmon: (gpio-fan) Fix array out of bounds access (git-fixes).
- commit f95732e
* Sun Sep  4 2022 tiwai@suse.de
- ALSA: hda/sigmatel: Keep power up while beep is enabled
  (bsc#1200544).
- commit 9d2056c
* Sat Sep  3 2022 tiwai@suse.de
- Revert "usb: gadget: udc-xilinx: replace memcpy with
  memcpy_toio" (git-fixes).
- commit fa5bfaa
* Sat Sep  3 2022 tiwai@suse.de
- mmc: core: Fix UHS-I SD 1.8V workaround branch (git-fixes).
- drm/i915: fix null pointer dereference (git-fixes).
- soundwire: qcom: fix device status array range (git-fixes).
- misc: fastrpc: fix memory corruption on open (git-fixes).
- misc: fastrpc: fix memory corruption on probe (git-fixes).
- iio: ad7292: Prevent regulator double disable (git-fixes).
- iio: adc: mcp3911: use correct formula for AD conversion
  (git-fixes).
- iio: adc: mcp3911: make use of the sign bit (git-fixes).
- usb: cdns3: fix issue with rearming ISO OUT endpoint
  (git-fixes).
- usb: cdns3: fix incorrect handling TRB_SMM flag for ISOC
  transfer (git-fixes).
- usb: gadget: mass_storage: Fix cdrom data transfers on MAC-OS
  (git-fixes).
- usb: dwc2: fix wrong order of phy_power_on and phy_init
  (git-fixes).
- usb: gadget: udc-xilinx: replace memcpy with memcpy_toio
  (git-fixes).
- thunderbolt: Use the actual buffer in tb_async_error()
  (git-fixes).
- usb: typec: altmodes/displayport: correct pin assignment for
  UFP receptacles (git-fixes).
- usb: typec: tcpm: Return ENOTSUPP for power supply prop writes
  (git-fixes).
- musb: fix USB_MUSB_TUSB6010 dependency (git-fixes).
- platform/x86: pmc_atom: Fix SLP_TYPx bitfield mask (git-fixes).
- commit b6c0927
* Sat Sep  3 2022 tiwai@suse.de
- drm/msm/dsi: Fix number of regulators for SDM660 (git-fixes).
- drm/msm/dsi: Fix number of regulators for msm8996_dsi_cfg
  (git-fixes).
- drm/msm/dp: delete DP_RECOVERED_CLOCK_OUT_EN to fix tps4
  (git-fixes).
- drm/msm/dsi: fix the inconsistent indenting (git-fixes).
- drm/i915/display: avoid warnings when registering dual panel
  backlight (git-fixes).
- drm/i915/reg: Fix spelling mistake "Unsupport" -> "Unsupported"
  (git-fixes).
- driver core: Don't probe devices after bus_type.match() probe
  deferral (git-fixes).
- commit ed7d76e
* Sat Sep  3 2022 jgross@suse.com
- s390/hypfs: avoid error message under KVM (bsc#1032323).
- commit d15dd85
* Sat Sep  3 2022 jgross@suse.com
- xen/privcmd: fix error exit of privcmd_ioctl_dm_op()
  (git-fixes).
- commit b3967e5
* Sat Sep  3 2022 jgross@suse.com
- xen/xenbus: fix return type in xenbus_file_read() (git-fixes).
- commit 83dc2f8
* Sat Sep  3 2022 jgross@suse.com
- KVM: X86: avoid uninitialized 'fault.async_page_fault' from
  fixed-up #PF (git-fixes).
- commit 5ee26ea
* Sat Sep  3 2022 jgross@suse.com
- KVM: x86: revalidate steal time cache if MSR value changes
  (git-fixes).
- commit 5409e90
* Sat Sep  3 2022 jgross@suse.com
- KVM: nVMX: Set UMIP bit CR4_FIXED1 MSR when emulating UMIP
  (git-fixes).
- commit 3aea465
* Sat Sep  3 2022 jgross@suse.com
- KVM: nVMX: Let userspace set nVMX MSR to any _host_ supported
  value (git-fixes).
- commit 5500abe
* Sat Sep  3 2022 jgross@suse.com
- KVM: nVMX: Inject #UD if VMXON is attempted with incompatible
  CR0/CR4 (git-fixes).
- commit b35717b
* Fri Sep  2 2022 jgross@suse.com
- KVM: x86: Set error code to segment selector on LLDT/LTR
  non-canonical #GP (git-fixes).
- commit 60b85eb
* Fri Sep  2 2022 jgross@suse.com
- KVM: x86: Mark TSS busy during LTR emulation _after_ all fault
  checks (git-fixes).
- commit a591a18
* Fri Sep  2 2022 jgross@suse.com
- KVM: nVMX: Snapshot pre-VM-Enter DEBUGCTL for
  !nested_run_pending case (git-fixes).
- commit 92eb839
* Fri Sep  2 2022 jgross@suse.com
- KVM: nVMX: Snapshot pre-VM-Enter BNDCFGS for !nested_run_pending
  case (git-fixes).
- commit 280d133
* Fri Sep  2 2022 jgross@suse.com
- KVM: SVM: Unwind "speculative" RIP advancement if INTn injection
  "fails" (git-fixes).
- commit 2197604
* Fri Sep  2 2022 jgross@suse.com
- KVM: SVM: Don't BUG if userspace injects an interrupt with GIF=0
  (git-fixes).
- commit 96927c2
* Fri Sep  2 2022 jgross@suse.com
- KVM: VMX: Print VM-instruction error as unsigned (git-fixes).
- commit 68c3e1f
* Fri Sep  2 2022 jgross@suse.com
- KVM: nVMX: Defer APICv updates while L2 is active until L1 is
  active (git-fixes).
- commit f2721a9
* Fri Sep  2 2022 jgross@suse.com
- KVM: SVM: fix panic on out-of-bounds guest IRQ (git-fixes).
- commit c23060e
* Fri Sep  2 2022 jgross@suse.com
- KVM: x86: Forbid VMM to set SYNIC/STIMER MSRs when SynIC wasn't
  activated (git-fixes).
- commit d1a201b
* Fri Sep  2 2022 jgross@suse.com
- KVM: x86: Avoid theoretical NULL pointer dereference in
  kvm_irq_delivery_to_apic_fast() (git-fixes).
- commit bd3093f
* Fri Sep  2 2022 jgross@suse.com
- KVM: x86: Check lapic_in_kernel() before attempting to set a
  SynIC irq (git-fixes).
- commit fab67c0
* Fri Sep  2 2022 jgross@suse.com
- KVM: x86: hyper-v: Drop redundant 'ex' parameter from
  kvm_hv_flush_tlb() (git-fixes).
- commit e697bdc
* Fri Sep  2 2022 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.6 patches
  (bsc#1203063).
- scsi: lpfc: Update lpfc version to 14.2.0.6 (bsc#1203063).
- scsi: lpfc: Remove SANDiags related code (bsc#1203063).
- scsi: lpfc: Add warning notification period to CMF_SYNC_WQE
  (bsc#1203063).
- scsi: lpfc: Rework MIB Rx Monitor debug info logic
  (bsc#1203063).
- scsi: lpfc: Fix null ndlp ptr dereference in abnormal exit
  path for GFT_ID (bsc#1203063).
- scsi: lpfc: Fix unsolicited FLOGI receive handling during
  PT2PT discovery (bsc#1203063).
- scsi: lpfc: Check the return value of alloc_workqueue()
  (bsc#1203063).
- commit 0cdf70f
* Fri Sep  2 2022 tiwai@suse.de
- mtd: rawnand: gpmi: Set WAIT_FOR_READY timeout based on
  program/erase times (git-fixes).
- commit 5abb01b
* Fri Sep  2 2022 tiwai@suse.de
- Drop mtd patch that was reverted in the stable tree
  It may lead to some data loss, hence reverted in the upstream stable tree.
- commit 6e6a4da
* Fri Sep  2 2022 tiwai@suse.de
- kabi/severities: ignore kABI changes in mwifiex drivers
  Those symbols are used only locally in mwifiex (sub-)modules.
- commit 60b35e7
* Fri Sep  2 2022 tiwai@suse.de
- mwifiex: Ignore BTCOEX events from the 88W8897 firmware
  (git-fixes).
- commit aa22b95
* Fri Sep  2 2022 tiwai@suse.de
- blacklist.conf: Add mwifiex entries that have been reverted in stable tree
- commit d49d2ba
* Fri Sep  2 2022 tiwai@suse.de
- spi: Fix incorrect cs_setup delay handling (git-fixes).
- vdpa_sim: avoid putting an uninitialized iova_domain
  (git-fixes).
- commit 832166f
* Fri Sep  2 2022 tiwai@suse.de
- blacklist.conf: add already reverted commit for stable-5.15.x
- commit fe76880
* Fri Sep  2 2022 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.5 patches
  (bsc#1201956).
- scsi: lpfc: Update lpfc version to 14.2.0.5 (bsc#1201956).
- scsi: lpfc: Remove Menlo/Hornet related code (bsc#1201956).
- scsi: lpfc: Refactor lpfc_nvmet_prep_abort_wqe() into
  lpfc_sli_prep_abort_xri() (bsc#1201956).
- scsi: lpfc: Revert RSCN_MEMENTO workaround for misbehaved
  configuration (bsc#1201956).
- scsi: lpfc: Fix lost NVMe paths during LIF bounce stress test
  (bsc#1201956).
- scsi: lpfc: Fix attempted FA-PWWN usage after feature disable
  (bsc#1201956).
- scsi: lpfc: Fix possible memory leak when failing to issue
  CMF WQE (bsc#1201956).
- scsi: lpfc: Remove extra atomic_inc on cmd_pending in
  queuecommand after VMID (bsc#1201956).
- scsi: lpfc: Set PU field when providing D_ID in
  XMIT_ELS_RSP64_CX iocb (bsc#1201956).
- scsi: lpfc: Prevent buffer overflow crashes in debugfs with
  malformed user input (bsc#1201956).
- scsi: lpfc: Fix uninitialized cqe field in
  lpfc_nvme_cancel_iocb() (bsc#1201956).
- commit 7b86962
* Fri Sep  2 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit b02d3d9
* Fri Sep  2 2022 denis.kirjanov@suse.com
- net: dsa: felix: purge skb from TX timestamping queue if it
  cannot be sent (git-fies).
- commit 9da9e21
* Fri Sep  2 2022 denis.kirjanov@suse.com
- net: dsa: tag_ocelot_8021q: break circular dependency with
  ocelot switch lib (git-fies).
- Refresh
  patches.suse/net-dsa-felix-break-at-first-CPU-port-during-init-an.patch.
- commit 0908246
* Fri Sep  2 2022 tiwai@suse.de
- Input: i8042 - add additional TUXEDO devices to i8042 quirk
  tables (git-fies).
- Input: i8042 - add TUXEDO devices to i8042 quirk tables
  (git-fies).
- commit bba711c
* Fri Sep  2 2022 tiwai@suse.de
- Input: i8042 - merge quirk tables (git-fies).
- Refresh
  patches.suse/Input-i8042-Apply-probe-defer-to-more-ASUS-ZenBook-m.patch.
- commit 18e20bc
* Fri Sep  2 2022 tiwai@suse.de
- Input: i8042 - move __initconst to fix code styling warning
  (git-fies).
- commit 783d1cd
* Fri Sep  2 2022 tiwai@suse.de
- nouveau: explicitly wait on the fence in nouveau_bo_move_m2mf
  (git-fies).
- loop: Check for overflow while configuring loop (git-fies).
- wifi: rtlwifi: remove always-true condition pointed out by
  GCC 12 (git-fies).
- commit a3214fc
* Fri Sep  2 2022 tiwai@suse.de
- fbdev: fbcon: Properly revert changes when vc_resize() failed
  (git-fies).
- commit 165b4a4
* Fri Sep  2 2022 tiwai@suse.de
- kcm: fix strp_init() order and cleanup (git-fies).
- ethernet: rocker: fix sleep in atomic context bug in
  neigh_timer_handler (git-fies).
- commit d2a4fb7
* Fri Sep  2 2022 tiwai@suse.de
- Drop usbnet patches that caused problems on stable 5.15
- commit c6293d4
* Fri Sep  2 2022 tiwai@suse.de
- HID: steam: Prevent NULL pointer dereference in
  steam_{recv,send}_report (git-fies).
- commit bc8005d
* Fri Sep  2 2022 tiwai@suse.de
- Add already cherry-picked AMD gfx commits to Alt-commit
- commit f32f5d7
* Fri Sep  2 2022 tiwai@suse.de
- blacklist.conf: add ax25 entry that isn't applicable to SLE15-SP4 kernel
- commit 4066ddd
* Fri Sep  2 2022 tiwai@suse.de
- ax25: Fix ax25 session cleanup problems (git-fixes).
- Refresh patches.kabi/net-ax25_dev-kabi-workaround.patch.
- commit 0281308
* Fri Sep  2 2022 tiwai@suse.de
- drm/amd/display: Fix surface optimization regression on Carrizo
  (git-fixes).
- commit 71b9a30
* Fri Sep  2 2022 vbabka@suse.cz
- mm/rmap: Fix anon_vma->degree ambiguity leading to double-reuse
  (git-fixes).
  kABI: Fix kABI after "mm/rmap: Fix anon_vma->degree ambiguity
  leading to double-reuse" (git-fixes).
- commit 513d1e1
* Fri Sep  2 2022 tiwai@suse.de
- drm/amd/display: Reset DMCUB before HW init (git-fixes).
- drm/amd/display: Optimize bandwidth on following fast update
  (git-fixes).
- drm/amd/display: Add option to defer works of hpd_rx_irq
  (git-fixes).
- commit 026dde7
* Fri Sep  2 2022 tiwai@suse.de
- Drop a wrongly picked up batmna-adv patch
  Blacklist it as well
- commit 16220d6
* Fri Sep  2 2022 tiwai@suse.de
- blacklist.conf: Add already reverted ACPI PM entries
- commit f0bfc90
* Fri Sep  2 2022 tiwai@suse.de
- Update patch reference for media fix (CVE-2022-3078 bsc#1203041)
- commit 0804984
* Fri Sep  2 2022 tiwai@suse.de
- ieee802154/adf7242: defer destroy_workqueue call (git-fixes).
- Bluetooth: L2CAP: Fix build errors in some archs (git-fixes).
- wifi: cfg80211: debugfs: fix return type in ht40allow_map_read()
  (git-fixes).
- wifi: mac80211: Don't finalize CSA in IBSS mode if state is
  disconnected (git-fixes).
- ALSA: usb-audio: Add quirk for LH Labs Geek Out HD Audio 1V5
  (git-fixes).
- ALSA: hda/realtek: Add speaker AMP init for Samsung laptops
  with ALC298 (git-fixes).
- ALSA: hda: intel-nhlt: Correct the handling of fmt_config
  flexible array (git-fixes).
- ALSA: seq: Fix data-race at module auto-loading (git-fixes).
- ALSA: seq: oss: Fix data-race for max_midi_devs access
  (git-fixes).
- commit 3a9bb8d
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86/mmu: make apf token non-zero to fix bug (git-fixes).
- commit e35969c
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86/mmu: Zap _all_ roots when unmapping gfn range in TDP
  MMU (git-fixes).
- commit ef21a23
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86/mmu: Move "invalid" check out of kvm_tdp_mmu_get_root()
  (git-fixes).
- commit b06d410
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86: SVM: don't passthrough SMAP/SMEP/PKE bits in !NPT &&
  !gCR0.PG case (git-fixes).
- commit 31c8f31
* Thu Sep  1 2022 jgross@suse.com
- KVM: SVM: Don't intercept #GP for SEV guests (git-fixes).
- commit 97eedc7
* Thu Sep  1 2022 mkoutny@suse.com
- blacklist.conf: Add two commits
  5102bb1c9f82 psi: Fix "defined but not used" warnings when CONFIG_PROC_FS=n
  ec2444530612 psi: Fix "no previous prototype" warnings when CONFIG_CGROUPS=n
- commit 0f4ea54
* Thu Sep  1 2022 jgross@suse.com
- KVM: LAPIC: Also cancel preemption timer during SET_LAPIC
  (git-fixes).
- commit c7dbeaf
* Thu Sep  1 2022 jgross@suse.com
- KVM: VMX: switch blocked_vcpu_on_cpu_lock to raw spinlock
  (git-fixes).
- commit 0f30cb5
* Thu Sep  1 2022 jgross@suse.com
- xen/gntdev: fix unmap notification order (git-fixes).
- commit 556f435
* Thu Sep  1 2022 aabdallah@suse.de
- md/raid1: fix missing bitmap update w/o WriteMostly devices
  (bsc#1203036).
- commit 4e8b0d8
* Thu Sep  1 2022 jgross@suse.com
- KVM: nVMX: Synthesize TRIPLE_FAULT for L2 if emulation is
  required (git-fixes).
- commit f36e374
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86: remove PMU FIXED_CTR3 from msrs_to_save_all
  (git-fixes).
- commit 967f4a3
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86: check PIR even for vCPUs with disabled APICv
  (git-fixes).
- commit 109f3b2
* Thu Sep  1 2022 jgross@suse.com
- KVM: VMX: prepare sync_pir_to_irr for running with APICv
  disabled (git-fixes).
- commit d503d18
* Thu Sep  1 2022 jgross@suse.com
- KVM: MMU: shadow nested paging does not have PKU (git-fixes).
- commit a1f1354
* Thu Sep  1 2022 jgross@suse.com
- KVM: X86: Use vcpu->arch.walk_mmu for kvm_mmu_invlpg()
  (git-fixes).
- commit 779fd48
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86: ignore APICv if LAPIC is not enabled (git-fixes).
- commit a7fa5e6
* Thu Sep  1 2022 jgross@suse.com
- xen: detect uninitialized xenbus in xenbus_init (git-fixes).
- commit bdde7fc
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86/mmu: include EFER.LMA in extended mmu role (git-fixes).
- commit 97d9b98
* Thu Sep  1 2022 jgross@suse.com
- KVM: nVMX: don't use vcpu->arch.efer when checking host state
  on nested state load (git-fixes).
- commit 5bf1fed
* Thu Sep  1 2022 jgross@suse.com
- xen: don't continue xenstore initialization in case of errors
  (git-fixes).
- commit e090e14
* Thu Sep  1 2022 jgross@suse.com
- KVM: x86/mmu: Don't freak out if pml5_root is NULL on 4-level
  host (git-fixes).
- commit 00a89e1
* Thu Sep  1 2022 msuchanek@suse.de
- rpm/config.sh: 15.4 -> 15.5
- commit 11c86df
* Thu Sep  1 2022 jslaby@suse.cz
- rpm/kernel-source.spec.in: simplify finding of broken symlinks
  "find -xtype l" will report them, so use that to make the search a bit
  faster (without using shell).
- commit 13bbc51
* Thu Sep  1 2022 osalvador@suse.de
- README.BRANCH: Update it with new co-maintainer and fix typo
  Replace SLE15-SP4 for SLE15-SP5 and add Yousaf Kaukab as a
  co-maintainer.
- commit 2f7c5b6
* Thu Sep  1 2022 lduncan@suse.com
- kabi/severities: add drivers/scsi/hisi_sas for bsc#1202471
- commit 0f9d7a1
* Wed Aug 31 2022 msuchanek@suse.de
- powerpc: Avoid discarding flags in system_call_exception()
  (bsc#1194869).
- commit df6bb12
* Wed Aug 31 2022 denis.kirjanov@suse.com
- llc: fix netdevice reference leaks in llc_ui_bind()
  (CVE-2022-28356 bsc#1197391).
- commit 42c82d5
* Wed Aug 31 2022 msuchanek@suse.de
- mkspec: eliminate @NOSOURCE@ macro
  This should be alsways used with @SOURCES@, just include the content
  there.
- commit 403d89f
* Wed Aug 31 2022 msuchanek@suse.de
- kernel-source: include the kernel signature file
  We assume that the upstream tarball is used for released kernels.
  Then we can also include the signature file and keyring in the
  kernel-source src.rpm.
  Because of mkspec code limitation exclude the signature and keyring from
  binary packages always - mkspec does not parse spec conditionals.
- commit e76c4ca
* Wed Aug 31 2022 msuchanek@suse.de
- kernel-binary: move @NOSOURCE@ to @SOURCES@ as in other packages
- commit 4b42fb2
* Wed Aug 31 2022 msuchanek@suse.de
- dtb: Do not include sources in src.rpm - refer to kernel-source
  Same as other kernel binary packages there is no need to carry duplicate
  sources in dtb packages.
- commit 1bd288c
* Wed Aug 31 2022 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit 6b96c7b
* Tue Aug 30 2022 denis.kirjanov@suse.com
- af_key: Do not call xfrm_probe_algs in parallel (bsc#1202898
  CVE-2022-3028).
- commit d480d95
* Tue Aug 30 2022 msuchanek@suse.de
- Update patches.suse/watchdog-export-lockup_detector_reconfigure.patch (bsc#1202872 ltc#197920).
- commit 310a79a
* Tue Aug 30 2022 tiwai@suse.de
- ipmi: fix initialization when workqueue allocation fails
  (git-fixes).
- commit 4e7ceb0
* Mon Aug 29 2022 lduncan@suse.com
- kABI: scsi: libiscsi: fix removal of iscsi_create_conn
  (bsc#1198410).
- commit 3bc90b6
* Mon Aug 29 2022 tiwai@suse.de
- blacklist.conf: Add a few entries for ALSA
- commit ce7ed14
* Mon Aug 29 2022 tiwai@suse.de
- asm-generic: sections: refactor memory_intersects (git-fixes).
- commit bfaae5b
* Mon Aug 29 2022 rgoldwyn@suse.com
- Delete patches.suse/revert-btrfs-props-change-how-empty-value-is-interpr.patch.
  Align btrfs property compression to upstream behaviour (JSC#PED-1711)
- commit 2670de5
* Mon Aug 29 2022 jack@suse.cz
- ext4: fix incorrect type issue during replay_del_range
  (bsc#1202867).
- commit d192fa1
* Mon Aug 29 2022 msuchanek@suse.de
- blacklist.conf: Add reverted patch
  d11219ad53dc amdgpu: disable powerpc support for the newer display engine
  c653c591789b drm/amdgpu: Re-enable DCN for 64-bit powerpc
- commit 15ec992
* Mon Aug 29 2022 shung-hsi.yu@suse.com
- bpf: Don't use tnum_range on array range checking for poke
  descriptors (bsc#1202564 bsc#1202860 CVE-2022-2905).
- commit 56cd61e
* Sun Aug 28 2022 tiwai@suse.de
- ACPI: processor: Remove freq Qos request for all CPUs
  (git-fixes).
- commit 57c696d
* Sun Aug 28 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 1d06339
* Sat Aug 27 2022 tiwai@suse.de
- arm64: fix rodata=full (git-fixes).
- arm64: Fix match_list for erratum 1286807 on Arm Cortex-A76
  (git-fixes).
- commit 470861e
* Fri Aug 26 2022 lduncan@suse.com
- scsi: libiscsi: Add iscsi_cls_conn to sysfs after initialization
  (bsc#1198410).
- Refresh
  patches.kabi/kABI-fix-removal-of-iscsi_destroy_conn.patch.
- Refresh
  patches.suse/scsi-libiscsi-Teardown-iscsi_cls_conn-gracefully.patch.
- commit bb43920
* Fri Aug 26 2022 lhenriques@suse.de
- ceph: don't truncate file in atomic_open (bsc#1202824).
- ceph: don't leak snap_rwsem in handle_cap_grant (bsc#1202823).
- ceph: use correct index when encoding client supported features
  (bsc#1202822).
- commit d0f574e
* Fri Aug 26 2022 petr.pavlu@suse.com
- tracing: Have filter accept "common_cpu" to be consistent
  (git-fixes).
- commit 31941eb
* Fri Aug 26 2022 petr.pavlu@suse.com
- tracing/probes: Have kprobes and uprobes use $COMM too
  (git-fixes).
- commit 55e2fc7
* Fri Aug 26 2022 petr.pavlu@suse.com
- tracing: Use a struct alignof to determine trace event field
  alignment (git-fixes).
- commit 500082c
* Fri Aug 26 2022 petr.pavlu@suse.com
- ftrace/x86: Add back ftrace_expected assignment (git-fixes).
- commit d5efa05
* Fri Aug 26 2022 petr.pavlu@suse.com
- spmi: trace: fix stack-out-of-bound access in SPMI tracing
  functions (git-fixes).
- commit 904f517
* Fri Aug 26 2022 petr.pavlu@suse.com
- blacklist.conf: tracepoint cleanup for drivers/char/random
- commit 15d84d3
* Fri Aug 26 2022 tiwai@suse.de
- ratelimit: Fix data-races in ___ratelimit() (git-fixes).
- nfc: pn533: Fix use-after-free bugs caused by pn532_cmd_timeout
  (git-fixes).
- r8152: fix the RX FIFO settings when suspending (git-fixes).
- r8152: fix the units of some registers for RTL8156A (git-fixes).
- rose: check NULL rose_loopback_neigh->loopback (git-fixes).
- spi: meson-spicc: add local pow2 clock ops to preserve rate
  between messages (git-fixes).
- regulator: pca9450: Remove restrictions for regulator-name
  (git-fixes).
- pinctrl: qcom: sm8250: Fix PDC map (git-fixes).
- venus: pm_helpers: Fix warning in OPP during probe (git-fixes).
- tty: serial: Fix refcount leak bug in ucc_uart.c (git-fixes).
- video: fbdev: i740fb: Check the argument of i740_calc_vclk()
  (git-fixes).
- vfio: Clear the caps->buf to NULL after free (git-fixes).
- PCI/ACPI: Guard ARM64-specific mcfg_quirks (git-fixes).
- phy: samsung: phy-exynos-pcie: sanitize init/power_on callbacks
  (git-fixes).
- PCI: aardvark: Fix reporting Slot capabilities on emulated
  bridge (git-fixes).
- PCI: Add ACS quirk for Broadcom BCM5750x NICs (git-fixes).
- pinctrl: intel: Check against matching data instead of ACPI
  companion (git-fixes).
- platform/chrome: cros_ec_proto: don't show MKBP version if
  unsupported (git-fixes).
- usb: dwc2: gadget: remove D+ pull-up while no vbus with
  usb-role-switch (git-fixes).
- usb: renesas: Fix refcount leak bug (git-fixes).
- usb: host: ohci-ppc-of: Fix refcount leak bug (git-fixes).
- usb: gadget: uvc: call uvc uvcg_warn on completed status
  instead of uvcg_info (git-fixes).
- usb: cdns3: fix random warning message when driver load
  (git-fixes).
- usb: cdns3 fix use-after-free at workaround 2 (git-fixes).
- vboxguest: Do not use devm for irq (git-fixes).
- commit 4349f84
* Fri Aug 26 2022 tiwai@suse.de
- net: phy: Don't WARN for PHY_READY state in
  mdio_bus_phy_resume() (git-fixes).
- drm/ttm: Fix dummy res NULL ptr deref bug (git-fixes).
- drm/nouveau: recognise GA103 (git-fixes).
- lib/list_debug.c: Detect uninitialized lists (git-fixes).
- irqchip/tegra: Fix overflow implicit truncation warnings
  (git-fixes).
- mmc: tmio: avoid glitches when resetting (git-fixes).
- HID: multitouch: new device class fix Lenovo X12 trackpad sticky
  (git-fixes).
- gadgetfs: ep_io - wait until IRQ finishes (git-fixes).
- habanalabs/gaudi: mask constant value before cast (git-fixes).
- habanalabs/gaudi: fix shift out of bounds (git-fixes).
- commit 5ff4970
* Fri Aug 26 2022 tiwai@suse.de
- audit: fix potential double free on error path from
  fsnotify_add_inode_mark (git-fixes).
- apparmor: fix overlapping attachment computation (git-fixes).
- apparmor: fix setting unconfined mode on a loaded profile
  (git-fixes).
- apparmor: Fix memleak in aa_simple_write_to_buffer()
  (git-fixes).
- apparmor: fix reference count leak in aa_pivotroot()
  (git-fixes).
- apparmor: fix aa_label_asxprint return check (git-fixes).
- apparmor: Fix failed mount permission check error message
  (git-fixes).
- apparmor: fix quiet_denied for file rules (git-fixes).
- apparmor: fix absroot causing audited secids to begin with =
  (git-fixes).
- ASoC: rsnd: care default case on rsnd_ssiu_busif_err_irq_ctrl()
  (git-fixes).
- drm/meson: Fix overflow implicit truncation warnings
  (git-fixes).
- dmaengine: sprd: Cleanup in .remove() after
  pm_runtime_get_sync() failed (git-fixes).
- dmaengine: dw-axi-dmac: ignore interrupt if no descriptor
  (git-fixes).
- dmaengine: dw-axi-dmac: do not print NULL LLI during error
  (git-fixes).
- clk: qcom: clk-alpha-pll: fix clk_trion_pll_configure
  description (git-fixes).
- clk: qcom: ipq8074: dont disable gcc_sleep_clk_src (git-fixes).
- clk: ti: Stop using legacy clkctrl names for omap4 and 5
  (git-fixes).
- commit 7a7a70b
* Thu Aug 25 2022 jack@suse.cz
- blacklist.conf: Blacklist 5f41fdaea63d
- commit 63ae0ad
* Thu Aug 25 2022 jack@suse.cz
- ext4: add new helper interface ext4_try_to_trim_range()
  (bsc#1202783).
- commit dc835b8
* Thu Aug 25 2022 jack@suse.cz
- block: only mark bio as tracked if it really is tracked
  (bsc#1202782).
- commit 7abc7a3
* Thu Aug 25 2022 jack@suse.cz
- block: fix rq-qos breakage from skipping rq_qos_done_bio()
  (bsc#1202781).
- commit 5d80bdd
* Thu Aug 25 2022 jack@suse.cz
- block: Fix wrong offset in bio_truncate() (bsc#1202780).
- commit c0f694e
* Thu Aug 25 2022 jack@suse.cz
- block: Fix fsync always failed if once failed (bsc#1202779).
- commit f5086dc
* Thu Aug 25 2022 jack@suse.cz
- jbd2: fix assertion 'jh->b_frozen_data == NULL' failure when
  journal aborted (bsc#1202716).
- commit e87146c
* Thu Aug 25 2022 jack@suse.cz
- jbd2: fix outstanding credits assert in
  jbd2_journal_commit_transaction() (bsc#1202715).
- commit 84aa1b1
* Thu Aug 25 2022 jack@suse.cz
- ocfs2: dlmfs: fix error handling of user_dlm_destroy_lock
  (bsc#1202778).
- commit f5a554b
* Thu Aug 25 2022 jack@suse.cz
- fs-writeback: writeback_sb_inodes: Recalculate 'wrote' according skipped pages
  (bsc#1200873).
- commit cee5b60
* Thu Aug 25 2022 jack@suse.cz
- ocfs2: fix a deadlock when commit trans (bsc#1202776).
- commit a5aedb3
* Thu Aug 25 2022 jack@suse.cz
- jbd2: export jbd2_journal_[grab|put]_journal_head (bsc#1202775).
- commit 28e460c
* Thu Aug 25 2022 jack@suse.cz
- blacklist.conf: Blacklist d41b60359ffb
- commit edba519
* Thu Aug 25 2022 jack@suse.cz
- filemap: Handle sibling entries in filemap_get_read_batch()
  (bsc#1202774).
- commit 9c6d1b4
* Thu Aug 25 2022 jack@suse.cz
- mm: bdi: initialize bdi_min_ratio when bdi is unregistered
  (bsc#1197763).
- commit 279cc3f
* Thu Aug 25 2022 jack@suse.cz
- udf: Fix crash after seekdir (bsc#1194592).
- commit 6ef60fc
* Thu Aug 25 2022 jack@suse.cz
- ext4: recover csum seed of tmp_inode after migrating to extents
  (bsc#1202713).
- commit 75eb2be
* Thu Aug 25 2022 jack@suse.cz
- ext4: add reserved GDT blocks check (bsc#1202712).
- commit 838aa12
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix super block checksum incorrect after mount
  (bsc#1202773).
- commit 613c9ba
* Thu Aug 25 2022 jack@suse.cz
- ext4: filter out EXT4_FC_REPLAY from on-disk superblock field
  s_state (bsc#1202771).
- commit 047da7e
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix bug_on in ext4_writepages (bsc#1200872).
- commit ce23454
* Thu Aug 25 2022 jack@suse.cz
- ext4: mark group as trimmed only if it was fully scanned
  (bsc#1202770).
- commit b2f9c26
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix use-after-free in ext4_rename_dir_prepare
  (bsc#1200871).
- commit fdc3142
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix warning in ext4_handle_inode_extension (bsc#1202711).
- commit 2d0922d
* Thu Aug 25 2022 jack@suse.cz
- ext4: force overhead calculation if the s_overhead_cluster
  makes no sense (bsc#1200870).
- commit 9fdbd44
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix overhead calculation to account for the reserved
  gdt blocks (bsc#1200869).
- commit f11e4d9
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix use-after-free in ext4_search_dir (bsc#1202710).
- commit 42b5ddf
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix symlink file size not match to file content
  (bsc#1200868).
- commit 7082685
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix fallocate to use file_modified to update permissions
  consistently (bsc#1202769).
  Refresh ext4-fix-race-condition-between-ext4_write-and-ext4_.patch
- commit f4c0654
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix fs corruption when tring to remove a non-empty
  directory with IO error (bsc#1202768).
- commit eba8ff9
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix error handling in ext4_fc_record_modified_inode()
  (bsc#1202767).
- commit c4c9f59
* Thu Aug 25 2022 petr.pavlu@suse.com
- tracing: Add ustring operation to filtering string pointers
  (git-fixes).
- commit aa3d4b0
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix error handling in ext4_restore_inline_data()
  (bsc#1197757).
- commit 5104a0b
* Thu Aug 25 2022 jack@suse.cz
- ext4: modify the logic of ext4_mb_new_blocks_simple
  (bsc#1202766).
- commit 0a7e7a5
* Thu Aug 25 2022 petr.pavlu@suse.com
- trace/timerlat: Add migrate-disabled field to the timerlat
  header (git-fixes).
- commit 967569f
* Thu Aug 25 2022 petr.pavlu@suse.com
- trace/osnoise: Add migrate-disabled field to the osnoise header
  (git-fixes).
- commit 72b3729
* Thu Aug 25 2022 tiwai@suse.de
- tpm: fix reference counting for struct tpm_chip (CVE-2022-2977
  bsc#1202672).
- commit 1a35f98
* Thu Aug 25 2022 jack@suse.cz
- ext4: prevent used blocks from being allocated during fast
  commit replay (bsc#1202765).
- commit 62f3764
* Thu Aug 25 2022 jack@suse.cz
- ext4: don't use the orphan list when migrating an inode
  (bsc#1197756).
- commit d6830f3
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix null-ptr-deref in '__ext4_journal_ensure_credits'
  (bsc#1202764).
- commit 4c705fb
* Thu Aug 25 2022 jack@suse.cz
- ext4: initialize err_blk before calling __ext4_get_inode_loc
  (bsc#1202763).
- commit 12cb4fe
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix a possible ABBA deadlock due to busy PA (bsc#1202762).
- commit 82f3f5b
* Thu Aug 25 2022 jack@suse.cz
- ext4: make sure to reset inode lockdep class when quota enabling
  fails (bsc#1202761).
- commit 187abff
* Thu Aug 25 2022 jack@suse.cz
- ext4: make sure quota gets properly shutdown on error
  (bsc#1195480).
- commit d6d02d9
* Thu Aug 25 2022 jack@suse.cz
- ext4: Fix BUG_ON in ext4_bread when write quota data
  (bsc#1197755).
- commit 507809a
* Thu Aug 25 2022 jack@suse.cz
- ext4: fast commit may miss tracking unwritten range during
  ftruncate (bsc#1202759).
- commit 4941736
* Thu Aug 25 2022 jack@suse.cz
- ext4: use ext4_ext_remove_space() for fast commit replay delete
  range (bsc#1202758).
- commit 5de593d
* Thu Aug 25 2022 jack@suse.cz
- ext4: fix fast commit may miss tracking range for
  FALLOC_FL_ZERO_RANGE (bsc#1202757).
- commit 05b0f97
* Thu Aug 25 2022 vbabka@suse.cz
- Update references to mention CVE-2022-2938:
  patches.suse/psi-Fix-uaf-issue-when-psi-trigger-is-destroyed-whil.patch
  (CVE-2022-2938 bsc#1202623).
- commit 58b2b90
* Thu Aug 25 2022 vbabka@suse.cz
- supported.conf: mark lib/objagg supported as dependency of mlxsw
- commit 0d78453
* Thu Aug 25 2022 bp@suse.de
- x86/speculation: Disable RRSBA behavior (bsc#1201455
  CVE-2022-28693).
- Refresh
  patches.suse/x86-speculation-Add-RSB-VM-Exit-protections.patch.
- commit 916d5d1
* Thu Aug 25 2022 tiwai@suse.de
- README.BRANCH: Switch SLE15-SP5 maintainer to Oscar Salvador
- commit ad4c348
* Thu Aug 25 2022 tiwai@suse.de
- Drop SLE15-SP4 kABI workaround patches
  patches.kabi/kABI-fix-removal-of-iscsi_destroy_conn.patch is still kept as
  the build breaks otherwise
- commit 492e2dd
* Thu Aug 25 2022 tiwai@suse.de
- Drop SLE15-SP4 kernel symbols
- commit 0837ac5
* Wed Aug 24 2022 ailiop@suse.com
- xfs: fix perag reference leak on iteration race with growfs
  (git-fixes).
- commit fc22ca3
* Wed Aug 24 2022 bp@suse.de
- x86/sgx: Set active memcg prior to shmem allocation (bsc#1199515
  CVE-2021-33135).
- commit 7552707
* Wed Aug 24 2022 hare@suse.de
- Refresh
  patches.suse/nvme-auth-align-to-pre-upstream-FFDHE-implementation.patch.
- commit 8ff61f9
* Wed Aug 24 2022 mkubecek@suse.cz
- net_sched: cls_route: disallow handle of 0 (bsc#1202393).
- commit 1cf844d
* Wed Aug 24 2022 mkubecek@suse.cz
- net_sched: cls_route: remove from list when handle is 0
  (CVE-2022-2588 bsc#1202096).
- commit a6b8223
* Wed Aug 24 2022 tiwai@suse.de
- Update patch reference for pipe fix (CVE-2022-2959 bsc#1202681)
- commit a95d764
* Wed Aug 24 2022 bp@suse.de
- Revert "x86/sev: Expose sev_es_ghcb_hv_call() for use by HyperV"
  (bsc#1190497).
- commit ed5d2dc
* Wed Aug 24 2022 bp@suse.de
- x86/Hyper-V: Add SEV negotiate protocol support in Isolation VM
  (bsc#1190497).
- commit a4c420a
* Wed Aug 24 2022 dwagner@suse.de
- nvme: fix RCU hole that allowed for endless looping in multipath
  round robin (bsc#1202636).
- commit a4e7029
* Tue Aug 23 2022 denis.kirjanov@suse.com
- netfilter: nf_queue: do not allow packet truncation below
  transport header offset (bsc#1201940 CVE-2022-36946).
- commit 3d5dd8d
* Tue Aug 23 2022 bp@suse.de
- x86/sev: Define the Linux-specific guest termination reasons
  (bsc#1190497).
- commit 3fc5505
* Tue Aug 23 2022 msuchanek@suse.de
- powerpc/perf: Optimize clearing the pending PMI and remove
  WARN_ON for PMI check in power_pmu_disable (bsc#1156395).
- commit a66ab60
* Tue Aug 23 2022 msuchanek@suse.de
- powerpc/xive: Fix refcount leak in xive_get_max_prio
  (fate#322438 git-fixess).
- commit 8fc0a92
* Tue Aug 23 2022 msuchanek@suse.de
- powerpc: Enable execve syscall exit tracepoint (bsc#1065729).
- commit 3ad5660
* Tue Aug 23 2022 msuchanek@suse.de
- blacklist.conf: Add c26d4c5d4f0d powerpc/kvm: Remove obsolete and unneeded select
- commit a450e76
* Tue Aug 23 2022 msuchanek@suse.de
- KVM: PPC: Book3s HV: Remove unused function kvmppc_bad_interrupt
  (bsc#1194869).
- KVM: PPC: Book3S HV: Remove kvmhv_p9_[set,restore]_lpcr
  declarations (bsc#1194869).
- KVM: PPC: Book3S HV: fix incorrect NULL check on list iterator
  (bsc#1194869).
- KVM: PPC: Book3S HV: Check return value of kvmppc_radix_init
  (bsc#1194869).
- commit fad23fe
* Tue Aug 23 2022 msuchanek@suse.de
- KVM: PPC: Fix vmx/vsx mixup in mmio emulation (bsc#1156395).
- KVM: PPC: Book3S HV: Prevent POWER7/8 TLB flush flushing SLB
  (bsc#1156395).
- KVM: PPC: Book3S HV: Use GLOBAL_TOC for
  kvmppc_h_set_dabr/xdabr() (bsc#1156395).
- commit a66766c
* Tue Aug 23 2022 oneukum@suse.com
- blacklist.conf: pure cleanup, no code change
- commit e6e83f0
* Tue Aug 23 2022 ailiop@suse.com
- xfs: use invalidate_lock to check the state of mmap_lock
  (git-fixes).
- commit ae198f6
* Tue Aug 23 2022 tbogendoerfer@suse.de
- supported.conf: mark mlxsw modules supported (jsc#SLE-23766)
- commit c490bf8
* Tue Aug 23 2022 oneukum@suse.com
- blacklist.conf: cleanup with a risk of regressions
- commit c2bd63f
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: seville: register the mdiobus under devres
  (git-fixes).
- commit 5ef3360
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: ocelot: seville: utilize of_mdiobus_register
  (git-fixes).
- commit 9185efa
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: don't dereference NULL pointers with shared
  tc filters (git-fixes).
- commit c98d515
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: marvell: prestera: fix incorrect structure access
  (git-fixes).
- commit 9ea3b2b
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: felix: Fix memory leak in felix_setup_mmio_filtering
  (git-fixes).
- commit ee01535
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: error handling for serdes_power functions
  (git-fixes).
- commit 782dad0
* Mon Aug 22 2022 denis.kirjanov@suse.com
- vrf: don't run conntrack on vrf with !dflt qdisc (git-fixes).
- commit 33928ef
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: fix "don't use PHY_DETECT on internal
  PHY's" (git-fixes).
- Refresh
  patches.suse/net-dsa-mv88e6xxx-Unforce-speed-duplex-in-mac_link_d.patch.
- commit ab3f5a5
* Mon Aug 22 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 7f6807d
* Mon Aug 22 2022 iivanov@suse.de
- Update patches.suse/PCI-Add-support-for-ACPI-_RST-reset-method.patch (jsc#SLE-19359 jsc#SLE-24572)
- commit 6765137
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: b53: Add SPI ID table (git-fixes).
- commit ccf6538
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: correctly report the timestamping RX filters
  in ethtool (git-fixes).
- commit afd7296
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: set up traps for PTP packets (git-fixes).
- commit acf9d1f
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: create a function that replaces an existing
  VCAP filter (git-fixes).
- commit ec00bd5
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: ptp: add a definition for the UDP port for IEEE 1588
  general messages (git-fixes).
- commit 35ce0e7
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: dsa: qca8k: fix MTU calculation (git-fixes).
- commit bce505c
* Mon Aug 22 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 61c1944
* Mon Aug 22 2022 denis.kirjanov@suse.com
- net: stmmac: fix off-by-one error in sanity check (git-fixes).
- commit 09fc6c2
* Mon Aug 22 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 9f34c2e
* Mon Aug 22 2022 jack@suse.cz
- ext4: Fix check for block being out of directory size
  (bsc#1198577 CVE-2022-1184).
- commit a54fb25
* Mon Aug 22 2022 jack@suse.cz
- ext4: make sure ext4_append() always allocates new block
  (bsc#1198577 CVE-2022-1184).
- commit 1a13c4d
* Mon Aug 22 2022 jack@suse.cz
- ext4: check if directory block is within i_size (bsc#1198577
  CVE-2022-1184).
- commit 226e379
* Mon Aug 22 2022 tiwai@suse.de
- i2c: imx: Make sure to unregister adapter on remove()
  (git-fixes).
- kbuild: fix the modules order between drivers and libs
  (git-fixes).
- ata: libata-eh: Add missing command name (git-fixes).
- mmc: meson-gx: Fix an error handling path in meson_mmc_probe()
  (git-fixes).
- mmc: pxamci: Fix another error handling path in pxamci_probe()
  (git-fixes).
- mmc: pxamci: Fix an error handling path in pxamci_probe()
  (git-fixes).
- commit 64ae33d
* Sat Aug 20 2022 ailiop@suse.com
- xfs: use setattr_copy to set vfs inode attributes (git-fixes).
- commit 6835ddd
* Sat Aug 20 2022 ailiop@suse.com
- xfs: terminate perag iteration reliably on agcount (git-fixes).
- commit f2327cf
* Sat Aug 20 2022 ailiop@suse.com
- xfs: rename the next_agno perag iteration variable (git-fixes).
- commit dc975df
* Sat Aug 20 2022 ailiop@suse.com
- xfs: fold perag loop iteration logic into helper function
  (git-fixes).
- commit d6c5eb4
* Sat Aug 20 2022 ailiop@suse.com
- xfs: prevent UAF in xfs_log_item_in_current_chkpt (git-fixes).
- commit 083e5a4
* Sat Aug 20 2022 ailiop@suse.com
- xfs: only bother with sync_filesystem during readonly remount
  (git-fixes).
- commit fce9137
* Sat Aug 20 2022 ailiop@suse.com
- xfs: reorder iunlink remove operation in xfs_ifree (git-fixes).
- commit 725e89d
* Sat Aug 20 2022 ailiop@suse.com
- xfs: fix soft lockup via spinning in filestream ag selection
  loop (git-fixes).
- commit aaf842c
* Sat Aug 20 2022 ailiop@suse.com
- xfs: revert "xfs: actually bump warning counts when we send
  warnings" (git-fixes).
- commit 5fc6378
* Sat Aug 20 2022 ailiop@suse.com
- xfs: prevent a UAF when log IO errors race with unmount
  (git-fixes).
- commit d15470c
* Sat Aug 20 2022 ailiop@suse.com
- xfs: fix use-after-free in xattr node block inactivation
  (git-fixes).
- commit bc104ad
* Sat Aug 20 2022 ailiop@suse.com
- xfs: check sb_meta_uuid for dabuf buffer recovery (git-fixes).
- commit 92ffd3b
* Sat Aug 20 2022 ailiop@suse.com
- xfs: remove incorrect ASSERT in xfs_rename (git-fixes).
- commit 233c708
* Sat Aug 20 2022 ailiop@suse.com
- xfs: use kmem_cache_free() for kmem_cache objects (git-fixes).
- commit bd04c03
* Sat Aug 20 2022 ailiop@suse.com
- xfs: make xfs_rtalloc_query_range input parameters const
  (git-fixes).
- commit b0a0ff8
* Sat Aug 20 2022 ailiop@suse.com
- xfs: Fix the free logic of state in xfs_attr_node_hasname
  (git-fixes).
- commit dd3f833
* Sat Aug 20 2022 tiwai@suse.de
- ALSA: hda/conexant: add a new hda codec SN6140 (git-fixes).
- commit a5b7f1f
* Sat Aug 20 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Clevo NS50PU, NS70PU
  (git-fixes).
- commit 46ab003
* Sat Aug 20 2022 tiwai@suse.de
- ALSA: info: Fix llseek return value when using callback
  (git-fixes).
- ASoC: codec: tlv320aic32x4: fix mono playback via I2S
  (git-fixes).
- ASoC: tas2770: Fix handling of mute/unmute (git-fixes).
- ASoC: tas2770: Drop conflicting set_bias_level power setting
  (git-fixes).
- ASoC: tas2770: Allow mono streams (git-fixes).
- ASoC: tas2770: Set correct FSYNC polarity (git-fixes).
- ASoC: SOF: debug: Fix potential buffer overflow by snprintf()
  (git-fixes).
- drm/amdgpu: remove useless condition in
  amdgpu_job_stop_all_jobs_on_sched() (git-fixes).
- drm/amd/display: Check correct bounds for stream encoder
  instances for DCN303 (git-fixes).
- drm/sun4i: dsi: Prevent underflow when computing packet sizes
  (git-fixes).
- drm/meson: Fix refcount bugs in
  meson_vpu_has_available_connectors() (git-fixes).
- drm/i915/gt: Skip TLB invalidations once wedged (git-fixes).
- commit 3db046b
* Fri Aug 19 2022 ailiop@suse.com
- fs: move S_ISGID stripping into the vfs_*() helpers
  (bsc#1198702 CVE-2021-4037).
- commit 96040b9
* Fri Aug 19 2022 ailiop@suse.com
- fs: Add missing umask strip in vfs_tmpfile (bsc#1198702 CVE-2021-4037).
- commit b188cb2
* Fri Aug 19 2022 ailiop@suse.com
- fs: add mode_strip_sgid() helper (bsc#1198702 CVE-2021-4037).
- commit d40a52d
* Fri Aug 19 2022 tiwai@suse.de
- net: openvswitch: fix parsing of nw_proto for IPv6 fragments
  (git-fixes).
- net: openvswitch: fix misuse of the cached connection on tuple
  changes (git-fixes).
- net: openvswitch: fix leak of nested actions (git-fixes).
- net: openvswitch: don't send internal clone attribute to the
  userspace (git-fixes).
- openvswitch: Fixed nd target mask field in the flow dump
  (git-fixes).
- openvswitch: always update flow key after nat (git-fixes).
- openvswitch: Fix setting ipv6 fields causing hw csum failure
  (git-fixes).
- commit 75a6dfb
* Fri Aug 19 2022 tiwai@suse.de
- platform/x86: pmc_atom: Match all Lex BayTrail boards with
  critclk_systems DMI table (git-fixes).
- proc: fix dentry/inode overinstantiating under /proc/${pid}/net
  (git-fixes).
- commit e0a1b98
* Fri Aug 19 2022 tiwai@suse.de
- selinux: Add boundary check in put_entry() (git-fixes).
- selinux: fix memleak in security_read_state_kernel()
  (git-fixes).
- selinux: fix bad cleanup on error in hashtab_duplicate()
  (git-fixes).
- selinux: use correct type for context length (git-fixes).
- selinux: check return value of sel_make_avc_files (git-fixes).
- selinux: access superblock_security_struct in LSM blob way
  (git-fixes).
- selinux: fix misuse of mutex_is_locked() (git-fixes).
- selinux: fix double free of cond_list on error paths
  (git-fixes).
- commit 8fa4586
* Fri Aug 19 2022 tiwai@suse.de
- arm64: set UXN on swapper page tables (git-fixes).
- commit e839a65
* Fri Aug 19 2022 tiwai@suse.de
- Update patch reference for i2c ISMT fix (CVE-2022-2873 bsc#1202558)
- commit c5ea54e
* Fri Aug 19 2022 tbogendoerfer@suse.de
- vmxnet3: do not reschedule napi for rx processing (bsc#1200431).
- vmxnet3: Implement ethtool's get_channels command (bsc#1200431).
- vmxnet3: Record queue number to incoming packets (bsc#1200431).
- vmxnet3: disable overlay offloads if UPT device does not support
  (bsc#1200431).
- vmxnet3: update to version 7 (bsc#1200431).
- vmxnet3: use ext1 field to indicate encapsulated packet
  (bsc#1200431).
- vmxnet3: limit number of TXDs used for TSO packet (bsc#1200431).
- vmxnet3: add command to set ring buffer sizes (bsc#1200431).
- vmxnet3: add support for out of order rx completion
  (bsc#1200431).
- vmxnet3: add support for large passthrough BAR register
  (bsc#1200431).
- vmxnet3: add support for capability registers (bsc#1200431).
- vmxnet3: prepare for version 7 changes (bsc#1200431).
- net: vmxnet3: fix possible NULL pointer dereference in
  vmxnet3_rq_cleanup() (bsc#1200431).
- net: vmxnet3: fix possible use-after-free bugs in
  vmxnet3_rq_alloc_rx_buf() (bsc#1200431).
- vmxnet3: Remove useless DMA-32 fallback configuration
  (bsc#1200431).
- net: vmxnet3: remove multiple false checks in vmxnet3_ethtool.c
  (bsc#1200431).
- vmxnet3: switch from 'pci_' to 'dma_' API (bsc#1200431).
- commit 0f8542d
* Thu Aug 18 2022 jack@suse.cz
- ext4: fix race when reusing xattr blocks (bsc#1198971).
- commit f900445
* Thu Aug 18 2022 jack@suse.cz
- ext4: unindent codeblock in ext4_xattr_block_set()
  (bsc#1198971).
- commit 68125c2
* Thu Aug 18 2022 jack@suse.cz
- ext4: remove EA inode entry from mbcache on inode eviction
  (bsc#1198971).
- commit e8e6da3
* Thu Aug 18 2022 jack@suse.cz
- mbcache: add functions to delete entry if unused (bsc#1198971).
- commit 7e476f0
* Thu Aug 18 2022 jack@suse.cz
- mbcache: don't reclaim used entries (bsc#1198971).
- commit 351abf2
* Thu Aug 18 2022 msuchanek@suse.de
- Update config files (bsc#1201361 bsc#1192968 https://github.com/rear/rear/issues/2554).
  ppc64: NVRAM=y
- commit b0c6309
* Thu Aug 18 2022 bp@suse.de
- ntb_hw_amd: Add NTB PCI ID for new gen CPU (bsc#1202113).
- commit 3ed0fd5
* Thu Aug 18 2022 lduncan@suse.com
- scsi: hisi_sas: Use autosuspend for the host controller
  (bsc#1202471).
- scsi: hisi_sas: Keep controller active between ISR of phyup
  and the event being processed (bsc#1202471).
- commit 7a72909
* Thu Aug 18 2022 jroedel@suse.de
- iommu/vt-d: Make DMAR_UNITS_SUPPORTED default 1024
  (bsc#1200301).
- iommu/vt-d: Remove global g_iommus array (bsc#1200301).
- iommu/vt-d: Remove unnecessary check in intel_iommu_add()
  (bsc#1200301).
- iommu/vt-d: Refactor iommu information of each domain
  (bsc#1200301).
- iommu/vt-d: Use IDA interface to manage iommu sequence id
  (bsc#1200301).
- iommu/vt-d: Acquiring lock in domain ID allocation helpers
  (bsc#1200301).
- iommu/vt-d: Remove intel_iommu::domains (bsc#1200301).
- commit a61eebd
* Thu Aug 18 2022 ykaukab@suse.de
- firmware: tegra: bpmp: Do only aligned access to IPC memory area
  (git-fixes).
- commit 95d811d
* Thu Aug 18 2022 ykaukab@suse.de
- dpaa2-eth: fix ethtool statistics (git-fixes).
- commit 24955ec
* Thu Aug 18 2022 petr.pavlu@suse.com
- net: sock: tracing: Fix sock_exceed_buf_limit not to dereference
  stale pointer (git-fixes).
- commit 0a8f29d
* Thu Aug 18 2022 petr.pavlu@suse.com
- tracing: Fix sleeping while atomic in kdb ftdump (git-fixes).
- commit 1af097c
* Thu Aug 18 2022 tiwai@suse.de
- media: driver/nxp/imx-jpeg: fix a unexpected return value
  problem (git-fixes).
- commit c60449d
* Thu Aug 18 2022 tiwai@suse.de
- crypto: sun8i-ss - fix error codes in allocate_flows()
  (git-fixes).
- commit e939e5a
* Thu Aug 18 2022 tiwai@suse.de
- drm/vc4: change vc4_dma_range_matches from a global to static
  (git-fixes).
- net: phy: smsc: Disable Energy Detect Power-Down in interrupt
  mode (git-fixes).
- commit 06c0471
* Thu Aug 18 2022 tiwai@suse.de
- tty: vt: initialize unicode screen buffer (git-fixes).
- tty: 8250: Add support for Brainboxes PX cards (git-fixes).
- usb: dwc3: core: Do not perform GCTL_CORE_SOFTRESET during
  bootup (git-fixes).
- usb: dwc3: core: Deprecate GCTL.CORESOFTRESET (git-fixes).
- wifi: mac80211_hwsim: use 32-bit skb cookie (git-fixes).
- wifi: mac80211_hwsim: add back erroneously removed cast
  (git-fixes).
- wifi: mac80211_hwsim: fix race condition in pending packet
  (git-fixes).
- usbnet: smsc95xx: Fix deadlock on runtime resume (git-fixes).
- usbnet: Fix linkwatch use-after-free on disconnect (git-fixes).
- spi: tegra20-slink: fix UAF in tegra_slink_remove() (git-fixes).
- usbnet: smsc95xx: Forward PHY interrupts to PHY driver to
  avoid polling (git-fixes).
- usbnet: smsc95xx: Avoid link settings race on interrupt
  reception (git-fixes).
- usbnet: smsc95xx: Don't clear read-only PHY interrupt
  (git-fixes).
- commit 61affc0
* Thu Aug 18 2022 tiwai@suse.de
- serial: mvebu-uart: uart2 error bits clearing (git-fixes).
- mt76: mt7921: fix aggregation subframes setting to HE max
  (git-fixes).
- PM: hibernate: defer device probing when resuming from
  hibernation (git-fixes).
- pwm: lpc18xx: Fix period handling (git-fixes).
- spi: synquacer: Add missing clk_disable_unprepare() (git-fixes).
- soc: qcom: Make QCOM_RPMPD depend on PM (git-fixes).
- spi: spi-rspi: Fix PIO fallback on RZ platforms (git-fixes).
- serial: 8250: Add proper clock handling for OxSemi PCIe devices
  (git-fixes).
- serial: 8250: Export ICR access helpers for internal use
  (git-fixes).
- serial: 8250: Fold EndRun device support into OxSemi Tornado
  code (git-fixes).
- pwm: lpc18xx-sct: Simplify driver by not using
  pwm_[gs]et_chip_data() (git-fixes).
- pwm: lpc18xx-sct: Reduce number of devm memory allocations
  (git-fixes).
- serial: 8250_pci: Replace dev_*() by pci_*() macros (git-fixes).
- serial: 8250_pci: Refactor the loop in pci_ite887x_init()
  (git-fixes).
- commit 74f881a
* Thu Aug 18 2022 tiwai@suse.de
- HID: alps: Declare U1_UNICORN_LEGACY support (git-fixes).
- HID: hid-input: add Surface Go battery quirk (git-fixes).
- HID: wacom: Don't register pad_input for touch switch
  (git-fixes).
- HID: wacom: Only report rotation for art pen (git-fixes).
- iio: accel: bma400: Reordering of header files (git-fixes).
- intel_th: pci: Add Raptor Lake-S CPU support (git-fixes).
- intel_th: pci: Add Raptor Lake-S PCH support (git-fixes).
- intel_th: pci: Add Meteor Lake-P support (git-fixes).
- hwmon: (sht15) Fix wrong assumptions in device remove callback
  (git-fixes).
- hwmon: (dell-smm) Add Dell XPS 13 7390 to fan control whitelist
  (git-fixes).
- media: hevc: Embedded indexes in RPS (git-fixes).
- media: imx-jpeg: use NV12M to represent non contiguous NV12
  (git-fixes).
- media: hantro: postproc: Fix motion vector space size
  (git-fixes).
- mac80211: fix a memory leak where sta_info is not freed
  (git-fixes).
- drivers/iio: Remove all strcpy() uses (git-fixes).
- media: imx-jpeg: Add pm-runtime support for imx-jpeg
  (git-fixes).
- commit a9b45e9
* Thu Aug 18 2022 tiwai@suse.de
- drm/vc4: hdmi: Disable audio if dmas property is present but
  empty (git-fixes).
- Refresh patches.suse/drm-vc4-hdmi-Add-debugfs-prefix.patch.
- commit f1454ba
* Thu Aug 18 2022 tiwai@suse.de
- drm/amdgpu: Check BO's requested pinning domains against its
  preferred_domains (git-fixes).
- drm/msm/dpu: Fix for non-visible planes (git-fixes).
- drm/mediatek: Keep dsi as LP00 before dcs cmds transfer
  (git-fixes).
- drm/mediatek: Separate poweron/poweroff from enable/disable
  and define new funcs (git-fixes).
- drm/mediatek: Modify dsi funcs to atomic operations (git-fixes).
- fbcon: Fix boundary checks for fbcon=vc:n1-n2 parameters
  (git-fixes).
- firmware: tegra: Fix error check return value of
  debugfs_create_file() (git-fixes).
- firmware: arm_scpi: Ensure scpi_info is not assigned if the
  probe fails (git-fixes).
- dt-bindings: iio: accel: Add DT binding doc for ADXL355
  (git-fixes).
- commit 1505831
* Thu Aug 18 2022 tiwai@suse.de
- drm/bridge: tc358767: Fix (e)DP bridge endpoint parsing in
  dedicated function (git-fixes).
- Refresh
  patches.suse/drm-bridge-tc358767-Make-sure-Refclk-clock-are-enabl.patch.
- commit 57c5267
* Thu Aug 18 2022 tiwai@suse.de
- drm/bridge: tc358767: Move (e)DP bridge endpoint parsing into
  dedicated function (git-fixes).
- Refresh
  patches.suse/drm-bridge-tc358767-Make-sure-Refclk-clock-are-enabl.patch.
- commit 554f4ee
* Thu Aug 18 2022 tiwai@suse.de
- drm/vc4: drv: Adopt the dma configuration from the HVS or V3D
  component (git-fixes).
- drm/amdgpu: Remove one duplicated ef removal (git-fixes).
- drm/msm: Fix dirtyfb refcounting (git-fixes).
- commit a92dd0e
* Thu Aug 18 2022 tiwai@suse.de
- crypto: ccp - During shutdown, check SEV data pointer before
  using (git-fixes).
- crypto: ccp - Use kzalloc for sev ioctl interfaces to prevent
  kernel memory leak (git-fixes).
- crypto: sun8i-ss - do not allocate memory when handling hash
  requests (git-fixes).
- drm/msm: Avoid dirtyfb stalls on video mode displays (v2)
  (git-fixes).
- drm/mediatek: Allow commands to be sent during video mode
  (git-fixes).
- commit d28b47b
* Thu Aug 18 2022 tiwai@suse.de
- ARM: dts: BCM5301X: Add DT for Meraki MR26 (git-fixes).
- arm64: dts: qcom: ipq8074: fix NAND node name (git-fixes).
- arm64: tegra: Mark BPMP channels as no-memory-wc (git-fixes).
- arm64: dts: allwinner: a64: orangepi-win: Fix LED node name
  (git-fixes).
- arm64: fix oops in concurrently setting insn_emulation sysctls
  (git-fixes).
- arm64: Do not forget syscall when starting a new thread
  (git-fixes).
- arm64: tegra: Update Tegra234 BPMP channel addresses
  (git-fixes).
- arm64: tegra: Fixup SYSRAM references (git-fixes).
- commit ab1e66e
* Thu Aug 18 2022 tiwai@suse.de
- ARM: dts: qcom: sdx55: Fix the IRQ trigger type for UART
  (git-fixes).
- ARM: dts: imx6ul: fix qspi node compatible (git-fixes).
- ARM: dts: imx6ul: fix lcdif node compatible (git-fixes).
- ARM: dts: imx6ul: fix csi node compatible (git-fixes).
- ARM: dts: imx6ul: fix keypad compatible (git-fixes).
- ARM: dts: imx6ul: change operating-points to uint32-matrix
  (git-fixes).
- ARM: dts: imx6ul: add missing properties for sram (git-fixes).
- ARM: shmobile: rcar-gen2: Increase refcount for new reference
  (git-fixes).
- ARM: OMAP2+: pdata-quirks: Fix refcount leak bug (git-fixes).
- ARM: OMAP2+: display: Fix refcount leak bug (git-fixes).
- commit c6d6958
* Thu Aug 18 2022 tiwai@suse.de
- ACPI: VIOT: Fix ACS setup (git-fixes).
- ACPI: LPSS: Fix missing check in register_device_clock()
  (git-fixes).
- ACPI: PM: save NVS memory for Lenovo G40-45 (git-fixes).
- ACPI: EC: Drop the EC_FLAGS_IGNORE_DSDT_GPE quirk (git-fixes).
- ACPI: EC: Remove duplicate ThinkPad X1 Carbon 6th entry from
  DMI quirks (git-fixes).
- ARM: findbit: fix overflowing offset (git-fixes).
- ACPI: APEI: explicit init of HEST and GHES in apci_init()
  (git-fixes).
- commit b65bd26
* Wed Aug 17 2022 petr.pavlu@suse.com
- tracing/histograms: Fix memory leak problem (git-fixes).
- commit 8c95b1f
* Wed Aug 17 2022 petr.pavlu@suse.com
- tracing/kprobes: Check whether get_kretprobe() returns NULL
  in kretprobe_dispatcher() (git-fixes).
- commit 0f2d911
* Wed Aug 17 2022 tiwai@suse.de
- drm/udl: Sync pending URBs at the end of suspend (bsc#1195917).
- drm/udl: Don't re-initialize stuff at retrying the URB list
  allocation (bsc#1195917).
- drm/udl: Fix inconsistent urbs.count value during
  udl_free_urb_list() (bsc#1195917).
- drm/udl: Fix potential URB leaks (bsc#1195917).
- drm/udl: Drop unneeded alignment (bsc#1195917).
- drm/udl: Add parameter to set number of URBs (bsc#1195917).
- drm/udl: Increase the default URB list size to 20 (bsc#1195917).
- drm/udl: Suppress error print for -EPROTO at URB completion
  (bsc#1195917).
- Revert "drm/udl: Kill pending URBs at suspend and disconnect"
  (bsc#1195917).
- drm/udl: Enable damage clipping (bsc#1195917).
- commit 8fe003b
* Wed Aug 17 2022 tiwai@suse.de
- Update udl patches to the version that have been queued to subsystem tree
- commit d27d36e
* Wed Aug 17 2022 tiwai@suse.de
- drm/udl: Replace BUG_ON() with WARN_ON() (bsc#1195917).
- commit 5d9cedf
* Wed Aug 17 2022 tiwai@suse.de
- drm/udl: Kill pending URBs at suspend and disconnect
  (bsc#1195917).
- commit 3d58e44
* Wed Aug 17 2022 tiwai@suse.de
- drm/udl: Sync pending URBs at suspend / disconnect
  (bsc#1195917).
- commit 816522a
* Wed Aug 17 2022 tiwai@suse.de
- drm/udl: Replace semaphore with a simple wait queue
  (bsc#1195917).
- commit 8a222ee
* Tue Aug 16 2022 mkoutny@suse.com
- mm: memcontrol: fix potential oom_lock recursion deadlock
  (bsc#1202447).
- commit 7795ade
* Tue Aug 16 2022 tiwai@suse.de
- Move upstreamed exfat patches into sorted section
- commit 2ce62ac
* Tue Aug 16 2022 jslaby@suse.cz
- rpm/kernel-binary.spec.in: move vdso to a separate package (bsc#1202385)
  We do the move only on 15.5+.
- commit 9c7ade3
* Tue Aug 16 2022 jslaby@suse.cz
- rpm/kernel-binary.spec.in: simplify find for usrmerged
  The type test and print line are the same for both cases. The usrmerged
  case only ignores more, so refactor it to make it more obvious.
- commit 583c9be
* Tue Aug 16 2022 ptesarik@suse.cz
- s390/qeth: cache link_info for ethtool (bsc#1202262 LTC#199322).
- commit 2095e05
* Mon Aug 15 2022 jwiesner@suse.de
- locking/lockdep: Fix lockdep_init_map_*() confusion (git-fixes).
- commit 4749d0c
* Mon Aug 15 2022 tiwai@suse.de
- Update patch-mainline tags to correct to v6.0-rc1
- commit b57acde
* Mon Aug 15 2022 jwiesner@suse.de
- perf bench futex: Fix memory leak of perf_cpu_map__new()
  (git-fixes).
- commit 26470c4
* Mon Aug 15 2022 dmueller@suse.com
- lib/raid6/test: fix multiple definition linking error
  (git-fixes).
- commit 1efe1e2
* Mon Aug 15 2022 tiwai@suse.de
- Move upstreamed NVMe patches into sorted section
- commit 0685dbd
* Mon Aug 15 2022 tiwai@suse.de
- Correct non-existing v5.20-rc1 to v6.0-rc1 in patch-mainline tags
- commit b9e2284
* Sun Aug 14 2022 tiwai@suse.de
- docs: i2c: i2c-sysfs: fix hyperlinks (git-fixes).
- NTB: ntb_tool: uninitialized heap data in tool_fn_write()
  (git-fixes).
- commit 48f9a86
* Sat Aug 13 2022 denis.kirjanov@suse.com
- xfrm: xfrm_policy: fix a possible double xfrm_pols_put()
  in xfrm_bundle_lookup() (CVE-2022-36879 bsc#1201948).
- commit d743f1f
* Sat Aug 13 2022 tiwai@suse.de
- ALSA: hda/cirrus - support for iMac 12,1 model (git-fixes).
- ALSA: hda/realtek: Add a quirk for HP OMEN 15 (8786) mute LED
  (git-fixes).
- ALSA: hda/conexant: Add quirk for LENOVO 20149 Notebook model
  (git-fixes).
- ALSA: hda/realtek: Add quirk for another Asus K42JZ model
  (git-fixes).
- commit 7941190
* Sat Aug 13 2022 tiwai@suse.de
- ALSA: usb-audio: More comprehensive mixer map for ASUS ROG
  Zenith II (git-fixes).
- drm/gem: Properly annotate WW context on
  drm_gem_lock_reservations() error (git-fixes).
- drm/shmem-helper: Add missing vunmap on error (git-fixes).
- dt-bindings: bluetooth: broadcom: Add BCM4349B1 DT binding
  (git-fixes).
- commit 7b49d25
* Fri Aug 12 2022 hare@suse.de
- nvme-auth: align to pre-upstream FFDHE implementation
  (bsc#1202265).
- commit a304667
* Fri Aug 12 2022 hare@suse.de
- Refresh
  patches.suse/0007-nvme-auth-Diffie-Hellman-key-exchange-support.patch.
- commit c07e572
* Fri Aug 12 2022 tiwai@suse.de
- Refresh patches.suse/iwlwifi-module-firmware-ucode-fix.patch (bsc#1202131)
  Now iwlwifi queries *-72.ucode, but again, this is non-existing version.
  Correct to the existing *-71.ucode
- commit af3987b
* Fri Aug 12 2022 jroedel@suse.de
- iommu/amd: Simplify and Consolidate Virtual APIC (AVIC)
  Enablement (git-fixes).
- iommu/exynos: Handle failed IOMMU device registration properly
  (git-fixes).
- iommu/vt-d: Fix PCI bus rescan device hot add (git-fixes).
- iommu/amd: Enable swiotlb in all cases (git-fixes).
- iommu/msm: Fix an incorrect NULL check on list iterator
  (git-fixes).
- iommu/mediatek: Fix NULL pointer dereference when printing
  dev_name (git-fixes).
- iommu/mediatek: Add mutex for m4u_group and m4u_dom in data
  (git-fixes).
- iommu/mediatek: Remove clk_disable in mtk_iommu_remove
  (git-fixes).
- iommu/mediatek: Add list_del in mtk_iommu_remove (git-fixes).
- iommu/mediatek: Fix 2 HW sharing pgtable issue (git-fixes).
- iommu/dart: Add missing module owner to ops structure
  (git-fixes).
- iommu/dart: check return value after calling
  platform_get_resource() (git-fixes).
- iommu/vt-d: Drop stop marker messages (git-fixes).
- iommu/vt-d: Calculate mask for non-aligned flushes (git-fixes).
- iommu/omap: Fix regression in probe for NULL pointer dereference
  (git-fixes).
- iommu/iova: Improve 32-bit free space estimate (git-fixes).
- iommu/ipmmu-vmsa: Check for error num after setting mask
  (git-fixes).
- iommu/tegra-smmu: Fix missing put_device() call in
  tegra_smmu_find (git-fixes).
- iommu/amd: Fix I/O page table memory leak (git-fixes).
- iommu/amd: Recover from event log overflow (git-fixes).
- iommu: Fix potential use-after-free during probe (git-fixes).
- iommu/amd: Clarify AMD IOMMUv2 initialization messages
  (git-fixes).
- commit 0fff527
* Fri Aug 12 2022 tiwai@suse.de
- net/packet: fix slab-out-of-bounds access in packet_recvmsg()
  (CVE-2022-20368 bsc#1202346).
- commit 90c61ba
* Fri Aug 12 2022 tiwai@suse.de
- Update patch reference for v4l2 fix (bsc#1202347 CVE-2022-20369)
- commit 9ce184e
* Fri Aug 12 2022 tiwai@suse.de
- devlink: Fix use-after-free after a failed reload (git-fixes).
- vsock: Set socket state back to SS_UNCONNECTED in
  vsock_connect_timeout() (git-fixes).
- vsock: Fix memory leak in vsock_connect() (git-fixes).
- Revert "net: usb: ax88179_178a needs FLAG_SEND_ZLP" (git-fixes).
- can: mcp251x: Fix race condition on receive interrupt
  (git-fixes).
- can: ems_usb: fix clang's -Wunaligned-access warning
  (git-fixes).
- can: j1939: j1939_sk_queue_activate_next_locked(): replace
  WARN_ON_ONCE with netdev_warn_once() (git-fixes).
- geneve: do not use RT_TOS for IPv6 flowlabel (git-fixes).
- geneve: fix TOS inheriting for ipv4 (git-fixes).
- Bluetooth: MGMT: Fixes build warnings with C=1 (git-fixes).
- Bluetooth: L2CAP: Fix l2cap_global_chan_by_psm regression
  (git-fixes).
- atm: idt77252: fix use-after-free bugs caused by tst_timer
  (git-fixes).
- virtio_net: fix memory leak inside XPD_TX with mergeable
  (git-fixes).
- net: phy: Warn about incorrect mdio_bus_phy_resume() state
  (git-fixes).
- ACPI: property: Return type of acpi_add_nondev_subnodes()
  should be bool (git-fixes).
- Input: exc3000 - fix return value check of
  wait_for_completion_timeout (git-fixes).
- Bluetooth: hci_bcm: Add DT compatible for CYW55572 (git-fixes).
- Bluetooth: btusb: Add Realtek RTL8852C support ID 0x13D3:0x3586
  (git-fixes).
- Bluetooth: btusb: Add Realtek RTL8852C support ID 0x13D3:0x3587
  (git-fixes).
- Bluetooth: btusb: Add Realtek RTL8852C support ID 0x0CB8:0xC558
  (git-fixes).
- Bluetooth: btusb: Add Realtek RTL8852C support ID 0x04C5:0x1675
  (git-fixes).
- Bluetooth: btusb: Add Realtek RTL8852C support ID 0x04CA:0x4007
  (git-fixes).
- Bluetooth: hci_bcm: Add BCM4349B1 variant (git-fixes).
- Bluetooth: btusb: Add support of IMC Networks PID 0x3568
  (git-fixes).
- ACPI: video: Force backlight native for some TongFang devices
  (git-fixes).
- commit ad545fa
* Fri Aug 12 2022 tiwai@suse.de
- Add cherry-picked ACPI fix to Alt-commit
- commit e374c80
* Thu Aug 11 2022 jroedel@suse.de
- iommu/vt-d: avoid invalid memory access via
  node_online(NUMA_NO_NODE) (git-fixes).
- iommu/arm-smmu: qcom_iommu: Add of_node_put() when breaking
  out of loop (git-fixes).
- iommu/arm-smmu-v3-sva: Fix mm use-after-free (git-fixes).
- commit f591dd8
* Thu Aug 11 2022 mgorman@suse.de
- sched/fair: Fix cfs_rq_clock_pelt() for throttled cfs_rq -kabi
  (git fixes (sched/fair)).
- commit 1d64061
* Thu Aug 11 2022 jroedel@suse.de
- iommu/vt-d: Fix RID2PASID setup/teardown failure (git-fixes).
- commit 09d5d99
* Thu Aug 11 2022 jroedel@suse.de
- iommu/arm-smmu-v3: Fix size calculation in arm_smmu_mm_invalidate_range() (git-fixes).
- commit 4e97f34
* Thu Aug 11 2022 mgorman@suse.de
- nohz/full, sched/rt: Fix missed tick-reenabling bug in
  dequeue_task_rt() (bnc#1189999 (Scheduler functional and
  performance backports)).
- sched/core: Always flush pending blk_plug (bnc#1189999
  (Scheduler functional and performance backports)).
- commit 1bfd5f9
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: fw: init SAR GEO table only if data is present
  (bsc#1202131).
- commit a69e4a6
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: mvm: Don't fail if PPAG isn't supported (bsc#1202131).
- iwlwifi: bump FW API to 72 for AX devices (bsc#1202131).
- iwlwifi: acpi: move ppag code from mvm to fw/acpi (bsc#1202131).
- iwlwifi: dbg: check trigger data before access (bsc#1202131).
- iwlwifi: dbg: in sync mode don't call schedule (bsc#1202131).
- iwlwifi: use 4k queue size for Bz A-step (bsc#1202131).
- iwlwifi: yoyo: dump IMR DRAM only for HW and FW error
  (bsc#1202131).
- iwlwifi: mvm: add support for IMR based on platform
  (bsc#1202131).
- commit 80fbd62
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: yoyo: disable IMR DRAM region if IMR is disabled
  (bsc#1202131).
- iwlwifi: mvm: remove cipher scheme support (bsc#1202131).
- iwlwifi: Configure FW debug preset via module param
  (bsc#1202131).
- iwlwifi: mvm: add a flag to reduce power command (bsc#1202131).
- iwlwifi: bump FW API to 71 for AX devices (bsc#1202131).
- iwlwifi: dbg_ini: Split memcpy() to avoid multi-field write
  (bsc#1202131).
- iwlwifi: mvm: rfi: use kmemdup() to replace kzalloc + memcpy
  (bsc#1202131).
- iwlwifi: Fix syntax errors in comments (bsc#1202131).
- iwlwifi: dvm: use struct_size over open coded arithmetic
  (bsc#1202131).
- iwlwifi/fw: use struct_size over open coded arithmetic
  (bsc#1202131).
- commit d9db47d
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: Make use of the helper macro LIST_HEAD() (bsc#1202131).
- iwlwifi: mvm: fix off by one in iwl_mvm_stat_iterator_all_macs()
  (bsc#1202131).
- iwlwifi: yoyo: send hcmd to fw after dump collection completes
  (bsc#1202131).
- iwlwifi: mvm: update BAID allocation command again
  (bsc#1202131).
- iwlwifi: api: remove ttl field from TX command (bsc#1202131).
- iwlwifi: support new queue allocation command (bsc#1202131).
- iwlwifi: yoyo: support dump policy for the dump size
  (bsc#1202131).
- iwlwifi: pcie: iwlwifi: fix device id 7F70 struct (bsc#1202131).
- iwlwifi: tlc: Add logs in rs_fw_rate_init func to print TLC
  configuration (bsc#1202131).
- iwlwifi: mvm: remove iwl_mvm_disable_txq() flags argument
  (bsc#1202131).
- commit c590c1a
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: remove command ID argument from queue allocation
  (bsc#1202131).
- iwlwifi: make iwl_txq_dyn_alloc_dma() return the txq
  (bsc#1202131).
- iwlwifi: fix small doc mistake for iwl_fw_ini_addr_val
  (bsc#1202131).
- iwlwifi: mvm: add additional info for boot info failures
  (bsc#1202131).
- iwlwifi: mvm: always remove the session protection after
  association (bsc#1202131).
- iwlwifi: mvm: make iwl_mvm_reconfig_scd() static (bsc#1202131).
- iwlwifi: mvm: refactor setting PPE thresholds in STA_HE_CTXT_CMD
  (bsc#1202131).
- iwlwifi: mvm: Disable WiFi bands selectively with BIOS
  (bsc#1202131).
- iwlwifi: mvm: add additional info for boot info failures
  (bsc#1202131).
- iwlwifi: mvm: don't send BAID removal to the FW during
  hw_restart (bsc#1202131).
- commit 315bdf8
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: don't dump_stack() when we get an unexpected interrupt
  (bsc#1202131).
- iwlwifi: mvm: rfi: handle deactivation notification
  (bsc#1202131).
- iwlwifi: mvm: Consider P2P GO operation during scan
  (bsc#1202131).
- iwlwifi: bump FW API to 70 for AX devices (bsc#1202131).
- iwlwifi: mvm: Unify the scan iteration functions (bsc#1202131).
- iwlwifi: debugfs: remove useless double condition (bsc#1202131).
- iwlwifi: remove unused macros (bsc#1202131).
- iwlwifi: eeprom: clean up macros (bsc#1202131).
- iwlwifi: drv: load tlv debug data earlier (bsc#1202131).
- commit 96514f8
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: pcie: Adapt rx queue write pointer for Bz family
  (bsc#1202131).
- iwlwifi: pcie: adjust to Bz completion descriptor (bsc#1202131).
- iwlwifi: mvm: Passively scan non PSC channels only when
  requested so (bsc#1202131).
- iwlwifi: scan: Modify return value of a function (bsc#1202131).
- iwlwifi: nvm: Correct HE capability (bsc#1202131).
- iwlwifi: make some functions friendly to sparse (bsc#1202131).
- iwlwifi: avoid variable shadowing (bsc#1202131).
- iwlwifi: remove unused DC2DC_CONFIG_CMD definitions
  (bsc#1202131).
- iwlwifi: move symbols into a separate namespace (bsc#1202131).
- commit f716768
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: fw: make dump_start callback void (bsc#1202131).
- iwlwifi: pcie: make sure iwl_rx_packet_payload_len() will not
  underflow (bsc#1202131).
- iwlwifi: mvm: use debug print instead of WARN_ON()
  (bsc#1202131).
- iwlwifi: add support for BZ-U and BZ-L HW (bsc#1202131).
- iwlwifi: mvm: add support for CT-KILL notification version 2
  (bsc#1202131).
- iwlwifi: mvm: support v3 of station HE context command
  (bsc#1202131).
- iwlwifi: yoyo: add IMR DRAM dump support (bsc#1202131).
- iwlwifi: pcie: add support for MS devices (bsc#1202131).
- iwlwifi: advertise support for HE - DCM BPSK RX/TX
  (bsc#1202131).
- commit b310d63
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: yoyo: fix DBGI_SRAM ini dump header (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-yoyo-remove-DBGI_SRAM-address-reset-writing.patch.
- commit 8a08a81
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: mvm: only enable HE DCM if we also support TX
  (bsc#1202131).
- iwlwifi: dbg: add infra for tracking free buffer size
  (bsc#1202131).
- iwlwifi: mvm: starting from 22000 we have 32 Rx AMPDU sessions
  (bsc#1202131).
- iwlwifi: mvm: support new BAID allocation command (bsc#1202131).
- iwlwifi: mvm: refactor iwl_mvm_sta_rx_agg() (bsc#1202131).
- iwlwifi: cfg: add support for 1K BA queue (bsc#1202131).
- iwlwifi: avoid void pointer arithmetic (bsc#1202131).
- iwlwifi: fix various more -Wcast-qual warnings (bsc#1202131).
- iwlwifi: propagate (const) type qualifier (bsc#1202131).
- commit b5909b9
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: de-const properly where needed (bsc#1202131).
- iwlwifi: make iwl_fw_lookup_cmd_ver() take a cmd_id
  (bsc#1202131).
- iwlwifi: mvm: fw: clean up hcmd struct creation (bsc#1202131).
- iwlwifi: prefer WIDE_ID() over iwl_cmd_id() (bsc#1202131).
- iwlwifi: mvm: allow enabling UHB TAS in the USA via ACPI setting
  (bsc#1202131).
- iwlwifi: mvm: offload channel switch timing to FW (bsc#1202131).
- ieee80211: add EHT 1K aggregation definitions (bsc#1202131).
- cfg80211/mac80211: assume CHECKSUM_COMPLETE includes SNAP
  (bsc#1202131).
- mac80211: introduce channel switch disconnect function
  (bsc#1202131).
- commit 145a7cd
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: yoyo: fix issue with new DBGI_SRAM region read
  (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-yoyo-remove-DBGI_SRAM-address-reset-writing.patch.
- commit 347cb47
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: fw: fix some scan kernel-doc (bsc#1202131).
- iwlwifi: mvm: remove card state notification code (bsc#1202131).
- iwlwifi: mvm: drop too short packets silently (bsc#1202131).
- iwlwifi: mvm: support Bz TX checksum offload (bsc#1202131).
- iwlwifi: mvm: add US/CA to TAS block list if OEM isn't allowed
  (bsc#1202131).
- iwlwifi: mvm: correctly set schedule scan profiles
  (bsc#1202131).
- iwlwifi: mvm: correctly set channel flags (bsc#1202131).
- iwlwifi: mvm: always store the PPAG table as the latest version
  (bsc#1202131).
- iwlwifi: bump FW API to 69 for AX devices (bsc#1202131).
- iwlwifi: yoyo: support TLV-based firmware reset (bsc#1202131).
- iwlwifi: mvm: change old-SN drop threshold (bsc#1202131).
- iwlwifi: mvm: don't trust hardware queue number (bsc#1202131).
- iwlwifi: mvm: handle RX checksum on Bz devices (bsc#1202131).
- iwlwifi: mvm: use a define for checksum flags mask
  (bsc#1202131).
- iwlwifi: mvm: isolate offload assist (checksum) calculation
  (bsc#1202131).
- iwlwifi: mvm: add support for OCE scan (bsc#1202131).
- commit 435f606
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: fix debug TLV parsing (bsc#1202131).
- iwlwifi: dump RCM error tables (bsc#1202131).
- iwlwifi: dump both TCM error tables if present (bsc#1202131).
- iwlwifi: dump CSR scratch from outer function (bsc#1202131).
- iwlwifi: parse error tables from debug TLVs (bsc#1202131).
- iwlwifi: recognize missing PNVM data and then log filename
  (bsc#1202131).
- iwlwifi: rs: add support for TLC config command ver 4
  (bsc#1202131).
- iwlwifi: mvm: rfi: update rfi table (bsc#1202131).
- iwlwifi: add support for BNJ HW (bsc#1202131).
- iwlwifi: mvm: Add list of OEMs allowed to use TAS (bsc#1202131).
- commit bc13b68
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: mvm: support revision 1 of WTAS table (bsc#1202131).
- iwlwifi: Read the correct addresses when getting the crf id
  (bsc#1202131).
- iwlwifi: pcie: add jacket bit to device configuration parsing
  (bsc#1202131).
- iwlwifi: fw: remove dead error log code (bsc#1202131).
- iwlwifi: do not use __unused as variable name (bsc#1202131).
- iwlwifi: iwl-eeprom-parse: mostly dvm only (bsc#1202131).
- iwlwifi: mvm: clean up indenting in iwl_mvm_tlc_update_notif()
  (bsc#1202131).
- iwlwifi: mvm: fix a stray tab (bsc#1202131).
- iwlwifi: mvm: add dbg_time_point to debugfs (bsc#1202131).
- commit 875f8a0
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: mvm: add missing min_size to kernel-doc (bsc#1202131).
- ieee80211: change HE nominal packet padding value defines
  (bsc#1202131).
- iwlwifi: mvm: optionally suppress assert log (bsc#1202131).
- iwlwifi: add new ax1650 killer device (bsc#1202131).
- iwlwifi: fw: correctly detect HW-SMEM region subtype
  (bsc#1202131).
- iwlwifi: implement reset flow for Bz devices (bsc#1202131).
- iwlwifi: add new Qu-Hr device (bsc#1202131).
- commit d54326e
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: support SAR GEO Offset Mapping override via BIOS
  (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-mvm-don-t-send-SAR-GEO-command-for-3160-devi.patch.
- commit 4758d12
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: Fix FW name for gl (bsc#1202131).
- iwlwifi: dbg: disable ini debug in 8000 family and below
  (bsc#1202131).
- iwlwifi: pcie: retake ownership after reset (bsc#1202131).
- iwlwifi: mvm: always use 4K RB size by default (bsc#1202131).
- iwlwifi: mvm/api: define system control command (bsc#1202131).
- iwlwifi: bump FW API to 68 for AX devices (bsc#1202131).
- iwlwifi: mvm: add some missing command strings (bsc#1202131).
- iwlwifi: fw: add support for splitting region type bits
  (bsc#1202131).
- iwlwifi: swap 1650i and 1650s killer struct names (bsc#1202131).
- commit e7585e2
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: pcie: support Bz suspend/resume trigger (bsc#1202131).
- Refresh patches.suse/iwlwifi-fix-Bz-NMI-behaviour.patch.
- commit 0bc6f5d
* Thu Aug 11 2022 tiwai@suse.de
- iwlwifi: acpi: fix wgds rev 3 size (bsc#1202131).
- iwlwifi: yoyo: support for DBGC4 for dram (bsc#1202131).
- iwlwifi: mvm: update rate scale in moving back to assoc state
  (bsc#1202131).
- iwlwifi: mvm: add support for statistics update version 15
  (bsc#1202131).
- iwlwifi: mvm: Add support for a new version of scan request
  command (bsc#1202131).
- iwlwifi: mvm: Fix wrong documentation for scan request command
  (bsc#1202131).
- iwlwifi: add missing entries for Gf4 with So and SoF
  (bsc#1202131).
- iwlwifi: mvm: remove session protection upon station removal
  (bsc#1202131).
- iwlwifi: remove unused iwlax210_2ax_cfg_so_hr_a0 structure
  (bsc#1202131).
- iwlwifi: mvm: add support for PHY context command v4
  (bsc#1202131).
- iwlwifi: fw: api: add link to PHY context command struct v1
  (bsc#1202131).
- iwlwifi: mvm: support RLC configuration command (bsc#1202131).
- iwlwifi: mvm: d3: support v12 wowlan status (bsc#1202131).
- iwlwifi: mvm: parse firmware alive message version 6
  (bsc#1202131).
- iwlwifi: mvm: d3: move GTK rekeys condition (bsc#1202131).
- iwlwifi: add support for Bz-Z HW (bsc#1202131).
- iwlwifi: support 4-bits in MAC step value (bsc#1202131).
- iwlwifi: mvm: fix delBA vs. NSSN queue sync race (bsc#1202131).
- iwlwifi: mvm: demote non-compliant kernel-doc header
  (bsc#1202131).
- commit d2ec8a7
* Thu Aug 11 2022 tiwai@suse.de
- pinctrl: sunxi: Add I/O bias setting for H6 R-PIO (git-fixes).
- pinctrl: amd: Don't save/restore interrupt status and wake
  status bits (git-fixes).
- pinctrl: qcom: msm8916: Allow CAMSS GP clocks to be muxed
  (git-fixes).
- pinctrl: nomadik: Fix refcount leak in
  nmk_pinctrl_dt_subnode_to_map (git-fixes).
- kbuild: dummy-tools: avoid tmpdir leak in dummy gcc (git-fixes).
- Revert "scripts/mod/modpost.c: permit '.cranges' secton for
  sh64 architecture." (git-fixes).
- kbuild: link vmlinux only once for CONFIG_TRIM_UNUSED_KSYMS
  (2nd attempt) (git-fixes).
- commit 797b09e
* Thu Aug 11 2022 neilb@suse.de
- SUNRPC: Fix READ_PLUS crasher (git-fixes).
- dm raid: fix KASAN warning in raid5_add_disks (git-fixes).
- NFSD: Fix possible sleep during nfsd4_release_lockowner()
  (git-fixes).
- md/raid0: Ignore RAID0 layout if the second zone has only one
  device (git-fixes).
- SUNRPC: Fix NFSD's request deferral on RDMA transports
  (git-fixes).
- NFSD: prevent integer overflow on 32 bit systems (git-fixes).
- NFSD: prevent underflow in nfssvc_decode_writeargs()
  (git-fixes).
- NFSD: Clamp WRITE offsets (git-fixes).
- NFSD: Fix NFSv3 SETATTR/CREATE's handling of large file sizes
  (git-fixes).
- NFSD: Fix ia_size underflow (git-fixes).
- nfsd: fix use-after-free due to delegation race (git-fixes).
- SUNRPC: Prevent immediate close+reconnect (git-fixes).
- commit 24baf4c
* Thu Aug 11 2022 heming.zhao@suse.com
- md/bitmap: don't set sb values if can't pass sanity check
  (bsc#1197158).
- commit a639749
* Wed Aug 10 2022 tzimmermann@suse.de
- drm/udl: Add reset_resume (bsc#1195917)
- commit 3d458d0
* Wed Aug 10 2022 mgorman@suse.de
- sched: Remove unused function group_first_cpu() (bnc#1189999
  (Scheduler functional and performance backports)).
- sched/fair: Remove redundant word " *" (bnc#1189999 (Scheduler
  functional and performance backports)).
- sched: Remove the limitation of WF_ON_CPU on wakelist if wakee
  cpu is idle (bnc#1189999 (Scheduler functional and performance
  backports)).
  Refresh
- patches.suse/sched-core-Do-not-requeue-task-on-CPU-excluded-from-cpus_mask.patch
- sched: Fix the check of nr_running at queue wakelist
  (bnc#1189999 (Scheduler functional and performance backports)).
- sched: Allow newidle balancing to bail out of load_balance
  (bnc#1189999 (Scheduler functional and performance backports)).
- sched/fair: Fix cfs_rq_clock_pelt() for throttled cfs_rq
  (bnc#1189999 (Scheduler functional and performance backports)).
- commit aca64fd
* Wed Aug 10 2022 mgorman@suse.de
- Refresh
  patches.suse/sched-core-Do-not-requeue-task-on-CPU-excluded-from-cpus_mask.patch.
- commit 730eeb7
* Wed Aug 10 2022 ohering@suse.de
- PCI: hv: Only reuse existing IRTE allocation for Multi-MSI
  (bsc#1200845).
- commit 5fb4c16
* Tue Aug  9 2022 bp@suse.de
- x86/speculation: Add LFENCE to RSB fill sequence (bsc#1201726
  CVE-2022-26373).
- commit f2aa23b
* Tue Aug  9 2022 bp@suse.de
- x86/speculation: Add RSB VM Exit protections (bsc#1201726
  CVE-2022-26373).
- commit aeafde0
* Tue Aug  9 2022 jlee@suse.com
- acpi: Disable APEI error injection if the kernel is locked down
  (bsc#1023051, CVE-2016-3695).
- commit ce97a64
* Tue Aug  9 2022 msuchanek@suse.de
- powerpc: powernv: kABI: add back powernv_get_random_long
  (bsc#1065729).
- commit 947a748
* Tue Aug  9 2022 msuchanek@suse.de
- Move kABI patch to kABI section.
- commit a7b7c6a
* Tue Aug  9 2022 msuchanek@suse.de
- KVM: PPC: Use arch_get_random_seed_long instead of powernv
  variant (bsc#1156395).
- commit 48b4d74
* Tue Aug  9 2022 msuchanek@suse.de
- powerpc/powernv: rename remaining rng powernv_ functions to pnv_
  (bsc#1065729).
- powerpc/powernv: delay rng platform device creation until
  later in boot (bsc#1065729).
- commit 57502cb
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: fix missing corner cases in gsmld_poll()
  (git-fixes).
- tty: n_gsm: fix flow control handling in tx path (git-fixes).
- tty: n_gsm: fix DM command (git-fixes).
- tty: n_gsm: fix wrong T1 retry count handling (git-fixes).
- tty: n_gsm: fix resource allocation order in gsm_activate_mux()
  (git-fixes).
- tty: n_gsm: fix deadlock and link starvation in outgoing data
  path (git-fixes).
- commit 4b73642
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: fix broken virtual tty handling (git-fixes).
- Refresh
  patches.suse/tty-n_gsm-fix-invalid-use-of-MSC-in-advanced-option.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-software-flow-control-handling.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-tty-registration-before-control-channe.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-user-open-not-possible-at-responder-un.patch.
- commit c074522
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: fix missing mux reset on config change at responder
  (git-fixes).
- Refresh
  patches.suse/tty-n_gsm-fix-restart-handling-via-CLD-command.patch.
- commit a54ea81
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: clean up implicit CR bit encoding in address field
  (git-fixes).
- commit 64b8ec0
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: clean up dead code in gsm_queue() (git-fixes).
- commit d02d442
* Tue Aug  9 2022 tiwai@suse.de
- n_gsm: remove unused parameters from gsm_error() (git-fixes).
- commit 70877a4
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: clean up indenting in gsm_queue() (git-fixes).
- commit 351f982
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: Modify gsmtty driver register method when config
  requester (git-fixes).
- Refresh
  patches.suse/tty-n_gsm-fix-deadlock-in-gsmtty_open.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-invalid-use-of-MSC-in-advanced-option.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-missing-update-of-modem-controls-after.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-mux-cleanup-after-unregister-tty-devic.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-restart-handling-via-CLD-command.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-software-flow-control-handling.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-tty-registration-before-control-channe.patch.
- Refresh
  patches.suse/tty-n_gsm-fix-user-open-not-possible-at-responder-un.patch.
- commit 642a799
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: Delete gsm_disconnect when config requester
  (git-fixes).
- Refresh
  patches.suse/tty-n_gsm-fix-restart-handling-via-CLD-command.patch.
- commit 5190326
* Tue Aug  9 2022 tiwai@suse.de
- tty: n_gsm: Modify cr bit value when config requester
  (git-fixes).
- Refresh
  patches.suse/tty-n_gsm-Modify-CR-PF-bit-when-config-requester.patch.
- commit 0e6806e
* Tue Aug  9 2022 tiwai@suse.de
- watchdog: armada_37xx_wdt: check the return value of
  devm_ioremap() in armada_37xx_wdt_probe() (git-fixes).
- watchdog: sp5100_tco: Fix a memory leak of EFCH MMIO resource
  (git-fixes).
- tty: serial: fsl_lpuart: correct the count of break characters
  (git-fixes).
- commit e704b35
* Tue Aug  9 2022 tiwai@suse.de
- remoteproc: sysmon: Wait for SSCTL service to come up
  (git-fixes).
- remoteproc: qcom: pas: Check if coredump is enabled (git-fixes).
- remoteproc: qcom: pas: Mark devices as wakeup capable
  (git-fixes).
- remoteproc: qcom: q6v5-mss: add powerdomains to MSM8996 config
  (git-fixes).
- remoteproc: qcom: wcnss: Fix handling of IRQs (git-fixes).
- remoteproc: imx_rproc: Fix refcount leak in imx_rproc_addr_init
  (git-fixes).
- remoteproc: k3-r5: Fix refcount leak in k3_r5_cluster_of_init
  (git-fixes).
- rpmsg: qcom_smd: Fix refcount leak in qcom_smd_parse_edge
  (git-fixes).
- rpmsg: mtk_rpmsg: Fix circular locking dependency (git-fixes).
- rpmsg: char: Add mutex protection for rpmsg_eptdev_open()
  (git-fixes).
- tools/thermal: Fix possible path truncations (git-fixes).
- thermal: sysfs: Fix cooling_device_stats_setup() error code path
  (git-fixes).
- serial: 8250_bcm7271: Save/restore RTS in suspend/resume
  (git-fixes).
- serial: 8250_fsl: Don't report FE, PE and OE twice (git-fixes).
- tty: n_gsm: fix race condition in gsmld_write() (git-fixes).
- tty: n_gsm: fix packet re-transmission without open control
  channel (git-fixes).
- tty: n_gsm: fix non flow control frames during mux flow off
  (git-fixes).
- tty: n_gsm: fix missing timer to handle stalled links
  (git-fixes).
- tty: n_gsm: fix wrong queuing behavior in gsm_dlci_data_output()
  (git-fixes).
- tty: n_gsm: fix tty registration before control channel open
  (git-fixes).
- tty: n_gsm: fix user open not possible at responder until
  initiator open (git-fixes).
- serial: 8250_dw: Store LSR into lsr_saved_flags in
  dw8250_tx_wait_empty() (git-fixes).
- tty: n_gsm: Delete gsmtty open SABM frame when config requester
  (git-fixes).
- tty: n_gsm: Modify CR,PF bit printk info when config requester
  (git-fixes).
- commit d8e88fb
* Mon Aug  8 2022 jlee@suse.com
- thermal/int340x_thermal: handle data_vault when the value is
  ZERO_SIZE_PTR (bsc#1201308).
- commit a524606
* Mon Aug  8 2022 msuchanek@suse.de
- powerpc/powernv/kvm: Use darn for H_RANDOM on Power9
  (bsc#1065729).
- powerpc/powernv: Avoid crashing if rng is NULL (bsc#1065729).
- commit a725a56
* Mon Aug  8 2022 msuchanek@suse.de
- powerpc/powernv: wire up rng during setup_arch (bsc#1065729).
- powerpc/pseries: wire up rng during setup_arch() (bsc#1065729).
- commit 836dbc5
* Mon Aug  8 2022 nborisov@suse.com
- btrfs: properly flag filesystem with BTRFS_FEATURE_INCOMPAT_BIG_METADATA (git-fixes).
- commit ce06a4a
* Mon Aug  8 2022 iivanov@suse.de
- KVM: arm64: Avoid setting the upper 32 bits of TCR_EL2 and CPTR_EL2 (bsc#1201442)
- commit b67257b
* Mon Aug  8 2022 tiwai@suse.de
- iwlwifi: dbg-tlv: clean up iwl_dbg_tlv_update_drams()
  (bsc#1202131).
- iwlwifi: yoyo: fix DBGC allocation flow (bsc#1202131).
- commit 705cc88
* Mon Aug  8 2022 tiwai@suse.de
- x86/olpc: fix 'logical not is only applied to the left hand
  side' (git-fixes).
- proc: fix a dentry lock race between release_task and lookup
  (git-fixes).
- lib/smp_processor_id: fix imbalanced instrumentation_end()
  call (git-fixes).
- kfifo: fix kfifo_to_user() return type (git-fixes).
- profiling: fix shift too large makes kernel panic (git-fixes).
- video: fbdev: s3fb: Check the size of screen before memset_io()
  (git-fixes).
- video: fbdev: arkfb: Check the size of screen before memset_io()
  (git-fixes).
- video: fbdev: vt8623fb: Check the size of screen before
  memset_io() (git-fixes).
- video: fbdev: arkfb: Fix a divide-by-zero bug in
  ark_set_pixclock() (git-fixes).
- video: fbdev: sis: fix typos in SiS_GetModeID() (git-fixes).
- video: fbdev: amba-clcd: Fix refcount leak bugs (git-fixes).
- net: usb: make USB_RTL8153_ECM non user configurable
  (git-fixes).
- random: remove useless header comment (git-fixes).
- commit 7ebdc9d
* Sun Aug  7 2022 tiwai@suse.de
- ALSA: usb-audio: Add endianness annotations (git-fixes).
- commit 9261514
* Sun Aug  7 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for HP Spectre x360 15-eb0xxx
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo NV45PZ (git-fixes).
- ALSA: hda/realtek: Add quirk for Lenovo Yoga9 14IAP7
  (git-fixes).
- ALSA: usb-audio: Add quirk for Behringer UMC202HD (git-fixes).
- commit d2bf5c3
* Sun Aug  7 2022 tiwai@suse.de
- scripts/faddr2line: Fix vmlinux detection on arm64 (git-fixes).
- mfd: max77620: Fix refcount leak in max77620_initialise_fps
  (git-fixes).
- mfd: t7l66xb: Drop platform disable callback (git-fixes).
- tpm: eventlog: Fix section mismatch for DEBUG_SECTION_MISMATCH
  (git-fixes).
- KEYS: asymmetric: enforce SM2 signature use pkey algo
  (git-fixes).
- mtd: spi-nor: fix spi_nor_spimem_setup_op() call in
  spi_nor_erase_{sector,chip}() (git-fixes).
- mtd: rawnand: arasan: Fix clock rate in NV-DDR (git-fixes).
- mtd: rawnand: arasan: Update NAND bus clock instead of system
  clock (git-fixes).
- mtd: rawnand: meson: Fix a potential double free issue
  (git-fixes).
- mtd: dataflash: Add SPI ID table (git-fixes).
- mtd: st_spi_fsm: Add a clk_disable_unprepare() in .probe()'s
  error path (git-fixes).
- mtd: parsers: ofpart: Fix refcount leak in
  bcm4908_partitions_fw_offset (git-fixes).
- mtd: partitions: Fix refcount leak in parse_redboot_of
  (git-fixes).
- mtd: sm_ftl: Fix deadlock caused by cancel_work_sync in
  sm_release (git-fixes).
- mtd: maps: Fix refcount leak in ap_flash_init (git-fixes).
- mtd: maps: Fix refcount leak in of_flash_probe_versatile
  (git-fixes).
- commit 34c1728
* Sun Aug  7 2022 tiwai@suse.de
- Revert "drivers/video/backlight/platform_lcd.c: add support
  for device tree based probe" (git-fixes).
- ASoC: mchp-spdifrx: disable end of block interrupt on failures
  (git-fixes).
- ASoC: imx-card: use snd_pcm_format_t type for asrc_format
  (git-fixes).
- ASoC: fsl_easrc: use snd_pcm_format_t type for sample_format
  (git-fixes).
- ASoC: fsl-asoc-card: force cast the asrc_format type
  (git-fixes).
- ASoC: fsl_asrc: force cast the asrc_format type (git-fixes).
- ASoC: audio-graph-card: Add of_node_put() in fail path
  (git-fixes).
- ASoC: qcom: q6dsp: Fix an off-by-one in q6adm_alloc_copp()
  (git-fixes).
- ASoC: mt6359: Fix refcount leak bug (git-fixes).
- ASoC: imx-card: Fix DSD/PDM mclk frequency (git-fixes).
- ASoC: qcom: Fix missing of_node_put() in
  asoc_qcom_lpass_cpu_platform_probe() (git-fixes).
- ASoC: samsung: change neo1973_audio from a global to static
  (git-fixes).
- ASoC: samsung: change gpiod_speaker_power and rx1950_audio
  from global to static variables (git-fixes).
- ASoC: samsung: h1940_uda1380: include proepr GPIO consumer
  header (git-fixes).
- ASoC: codecs: wcd9335: move gains from SX_TLV to S8_TLV
  (git-fixes).
- ASoC: codecs: msm8916-wcd-digital: move gains from SX_TLV to
  S8_TLV (git-fixes).
- ASoC: codecs: da7210: add check for i2c_add_driver (git-fixes).
- ASoC: mt6797-mt6351: Fix refcount leak in
  mt6797_mt6351_dev_probe (git-fixes).
- ASoC: imx-audmux: Silence a clang warning (git-fixes).
- ASoC: samsung: Fix error handling in aries_audio_probe
  (git-fixes).
- ASoC: cros_ec_codec: Fix refcount leak in
  cros_ec_codec_platform_probe (git-fixes).
- ALSA: bcd2000: Fix a UAF bug on the error path of probing
  (git-fixes).
- ALSA: usb-audio: Turn off 'manual mode' on Dell dock
  (git-fixes).
- ALSA: usb-audio: Support jack detection on Dell dock
  (git-fixes).
- arm64: dts: uniphier: Fix USB interrupts for PXs3 SoC
  (git-fixes).
- ARM: dts: uniphier: Fix USB interrupts for PXs2 SoC (git-fixes).
- Input: gscps2 - check return value of ioremap() in
  gscps2_probe() (git-fixes).
- commit a1ba91a
* Sun Aug  7 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 4e4180d
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: pcie: fix SW error MSI-X mapping (bsc#1202131).
- iwlwifi: yoyo: Avoid using dram data if allocation failed
  (bsc#1202131).
- iwlwifi: remove deprecated broadcast filtering feature
  (bsc#1202131).
- iwlwifi: fix iwl_legacy_rate_to_fw_idx (bsc#1202131).
- iwlwifi: mvm: fix condition which checks the version of
  rate_n_flags (bsc#1202131).
- commit b5f1223
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: rename GEO_TX_POWER_LIMIT to PER_CHAIN_LIMIT_OFFSET_CMD
  (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-don-t-pass-actual-WGDS-revision-number-in-ta.patch.
- commit 2aa0188
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: fix LED dependencies (bsc#1202131).
- iwlwifi: Fix missing error code in iwl_pci_probe()
  (bsc#1202131).
- iwlwifi: pcie: fix constant-conversion warning (bsc#1202131).
- iwlwifi: bump FW API to 67 for AX devices (bsc#1202131).
- iwlwifi: mvm: extend session protection on association
  (bsc#1202131).
- iwlwifi: rename CHANNEL_SWITCH_NOA_NOTIF to
  CHANNEL_SWITCH_START_NOTIF (bsc#1202131).
- iwlwifi: mvm: remove session protection on disassoc
  (bsc#1202131).
- iwlwifi: mvm: fix WGDS table print in iwl_mvm_chub_update_mcc()
  (bsc#1202131).
- iwlwifi: mvm: d3: use internal data representation
  (bsc#1202131).
- iwlwifi: mvm: update RFI TLV (bsc#1202131).
- iwlwifi: mvm: don't get address of mvm->fwrt just to dereference
  as a pointer (bsc#1202131).
- iwlwifi: mvm: read 6E enablement flags from DSM and pass to FW
  (bsc#1202131).
- iwlwifi: yoyo: support for ROM usniffer (bsc#1202131).
- iwlwifi: dump host monitor data when NIC doesn't init
  (bsc#1202131).
- iwlwifi: pcie: simplify iwl_pci_find_dev_info() (bsc#1202131).
- commit 65c3ddc
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: ACPI: support revision 3 WGDS tables (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-don-t-pass-actual-WGDS-revision-number-in-ta.patch.
- commit 1f7d7e3
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: pcie: update sw error interrupt for BZ family
  (bsc#1202131).
- iwlwifi: add new pci SoF with JF (bsc#1202131).
- iwlwifi: mvm: Use all Rx chains for roaming scan (bsc#1202131).
- iwlwifi: pcie: remove two duplicate PNJ device entries
  (bsc#1202131).
- iwlwifi: pcie: refactor dev_info lookup (bsc#1202131).
- commit 4955e78
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: add new device id 7F70 (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-pcie-add-killer-devices-to-the-driver.patch.
- commit a871c28
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: pcie: remove duplicate entry (bsc#1202131).
- iwlwifi: pcie: fix killer name matching for AX200 (bsc#1202131).
- iwlwifi: pnvm: print out the version properly (bsc#1202131).
- iwlwifi: dbg: treat non active regions as unsupported regions
  (bsc#1202131).
- iwlwifi: mvm: Read acpi dsm to get channel activation bitmap
  (bsc#1202131).
- iwlwifi: mvm: improve log when processing CSA (bsc#1202131).
- iwlwifi: mvm: set BT-coex high priority for 802.1X/4-way-HS
  (bsc#1202131).
- iwlwifi: dbg: treat dbgc allocation failure when tlv is missing
  (bsc#1202131).
- iwlwifi: mvm: set inactivity timeouts also for PS-poll
  (bsc#1202131).
- commit dd87451
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: pcie: try to grab NIC access early (bsc#1202131).
- iwlwifi: mvm: reduce WARN_ON() in TX status path (bsc#1202131).
- iwlwifi: allow rate-limited error messages (bsc#1202131).
- iwlwifi: mvm: remove session protection after auth/assoc
  (bsc#1202131).
- iwlwifi: remove redundant iwl_finish_nic_init() argument
  (bsc#1202131).
- iwlwifi: mvm: Add RTS and CTS flags to iwl_tx_cmd_flags
  (bsc#1202131).
- iwlwifi: mvm: remove csi from iwl_mvm_pass_packet_to_mac80211()
  (bsc#1202131).
- iwlwifi: mvm: Support new rate_n_flags for REPLY_RX_MPDU_CMD
  and RX_NO_DATA_NOTIF (bsc#1202131).
- iwlwifi: mvm: Support new TX_RSP and COMPRESSED_BA_RES versions
  (bsc#1202131).
- iwlwifi: mvm: Support new version of BEACON_TEMPLATE_CMD
  (bsc#1202131).
- commit 67d2e71
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: mvm: Add support for new rate_n_flags in tx_cmd
  (bsc#1202131).
- Refresh
  patches.suse/iwlwifi-mvm-don-t-crash-on-invalid-rate-w-o-STA.patch.
- commit 4f57116
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: BZ Family SW reset support (bsc#1202131).
- iwlwifi: BZ Family BUS_MASTER_DISABLE_REQ code duplication
  (bsc#1202131).
- iwlwifi: yoyo: fw debug config from context info and preset
  (bsc#1202131).
- iwlwifi: mvm: Support new version of ranging response
  notification (bsc#1202131).
- iwlwifi: mvm: Support version 3 of tlc_update_notif
  (bsc#1202131).
- iwlwifi: mvm: convert old rate & flags to the new format
  (bsc#1202131).
- iwlwifi: mvm: add definitions for new rate & flags
  (bsc#1202131).
- iwlwifi: mvm: update definitions due to new rate & flags
  (bsc#1202131).
- iwlwifi: mvm: scrub key material in firmware dumps
  (bsc#1202131).
- commit db3dcd7
* Fri Aug  5 2022 tiwai@suse.de
- iwlwifi: parse debug exclude data from firmware file
  (bsc#1202131).
- iwlwifi: fw dump: add infrastructure for dump scrubbing
  (bsc#1202131).
- iwlwifi: mvm: correct sta-state logic for TDLS (bsc#1202131).
- iwlwifi: api: fix struct iwl_wowlan_status_v7 kernel-doc
  (bsc#1202131).
- iwlwifi: fix fw/img.c license statement (bsc#1202131).
- iwlwifi: remove contact information (bsc#1202131).
- iwlwifi: remove MODULE_AUTHOR() statements (bsc#1202131).
- iwlwifi: api: remove unused RX status bits (bsc#1202131).
- iwlwifi: add some missing kernel-doc in struct iwl_fw
  (bsc#1202131).
- iwlwifi: mvm: Remove antenna c references (bsc#1202131).
- iwlwifi: mvm: add support for 160Mhz in ranging measurements
  (bsc#1202131).
- iwlwifi: add vendor specific capabilities for some RFs
  (bsc#1202131).
- iwlwifi: mvm: add lmac/umac PC info in case of error
  (bsc#1202131).
- iwlwifi: mvm: fix ieee80211_get_he_iftype_cap() iftype
  (bsc#1202131).
- iwlwifi: Start scratch debug register for Bz family
  (bsc#1202131).
- iwlwifi: Add support for more BZ HWs (bsc#1202131).
- iwlwifi: Add support for getting rf id with blank otp
  (bsc#1202131).
- wireless: Remove redundant 'flush_workqueue()' calls
  (bsc#1202131).
- commit c24f8b7
* Fri Aug  5 2022 tiwai@suse.de
- openvswitch: fix OOB access in reserve_sfa_size() (CVE-2022-2639
  bsc#1202154).
- commit 5c51c64
* Fri Aug  5 2022 tiwai@suse.de
- usb: cdns3: Don't use priv_dev uninitialized in
  cdns3_gadget_ep_enable() (git-fixes).
- commit 1102903
* Fri Aug  5 2022 tiwai@suse.de
- platform/olpc: Fix uninitialized data in debugfs write
  (git-fixes).
- platform/chrome: cros_ec: Always expose last resume result
  (git-fixes).
- selftests: kvm: set rax before vmcall (git-fixes).
- USB: Follow-up to SPDX GPL-2.0+ identifiers addition - remove
  now useless comments (git-fixes).
- USB: Follow-up to SPDX identifiers addition - remove now
  useless comments (git-fixes).
- staging: rtl8192u: Fix sleep in atomic context bug in
  dm_fsync_timer_callback (git-fixes).
- usb: typec: ucsi: Acknowledge the GET_ERROR_STATUS command
  completion (git-fixes).
- usb: cdns3: change place of 'priv_ep' assignment in
  cdns3_gadget_ep_dequeue(), cdns3_gadget_ep_enable() (git-fixes).
- USB: serial: fix tty-port initialized comments (git-fixes).
- usb: dwc3: qcom: fix missing optional irq warnings (git-fixes).
- usb: aspeed-vhub: Fix refcount leak bug in ast_vhub_init_desc()
  (git-fixes).
- usb: gadget: udc: amd5536 depends on HAS_DMA (git-fixes).
- usb: dwc3: gadget: fix high speed multiplier setting
  (git-fixes).
- usb: dwc3: gadget: refactor dwc3_repare_one_trb (git-fixes).
- usb: host: xhci: use snprintf() in xhci_decode_trb()
  (git-fixes).
- usb: xhci: tegra: Fix error check (git-fixes).
- usb: gadget: tegra-xudc: Fix error check in
  tegra_xudc_powerdomain_init() (git-fixes).
- usb: ohci-nxp: Fix refcount leak in ohci_hcd_nxp_probe
  (git-fixes).
- usb: host: Fix refcount leak in ehci_hcd_ppc_of_probe
  (git-fixes).
- soundwire: qcom: Check device status before reading devid
  (git-fixes).
- soundwire: bus_type: fix remove and shutdown support
  (git-fixes).
- commit da104a3
* Fri Aug  5 2022 tiwai@suse.de
- mmc: cavium-thunderx: Add of_node_put() when breaking out of
  loop (git-fixes).
- mmc: cavium-octeon: Add of_node_put() when breaking out of loop
  (git-fixes).
- mmc: block: Add single read for 4k sector cards (git-fixes).
- mmc: sdhci-of-at91: fix set_uhs_signaling rewriting of MC1R
  (git-fixes).
- PCI: tegra194: Fix link up retry sequence (git-fixes).
- PCI: tegra194: Fix Root Port interrupt handling (git-fixes).
- PCI: tegra194: Fix PM error handling in tegra_pcie_config_ep()
  (git-fixes).
- PCI: qcom: Power on PHY before IPQ8074 DBI register accesses
  (git-fixes).
- PCI: qcom: Set up rev 2.1.0 PARF_PHY before enabling clocks
  (git-fixes).
- PCI: microchip: Fix refcount leak in mc_pcie_init_irq_domains()
  (git-fixes).
- PCI: dwc: Always enable CDM check if "snps,enable-cdm-check"
  exists (git-fixes).
- PCI: dwc: Deallocate EPC memory on dw_pcie_ep_init() errors
  (git-fixes).
- PCI: dwc: Set INCREASE_REGION_SIZE flag based on limit address
  (git-fixes).
- PCI: dwc: Disable outbound windows only for controllers using
  iATU (git-fixes).
- PCI: dwc: Add unroll iATU space support to dw_pcie_disable_atu()
  (git-fixes).
- PCI: dwc: Stop link on host_init errors and de-initialization
  (git-fixes).
- PCI/AER: Iterate over error counters instead of error strings
  (git-fixes).
- PCI/portdrv: Don't disable AER reporting in
  get_port_device_capability() (git-fixes).
- PCI: endpoint: Don't stop controller when unbinding endpoint
  function (git-fixes).
- phy: stm32: fix error return in stm32_usbphyc_phy_init
  (git-fixes).
- commit f77f01b
* Fri Aug  5 2022 tiwai@suse.de
- memstick/ms_block: Fix a memory leak (git-fixes).
- memstick/ms_block: Fix some incorrect memory allocation
  (git-fixes).
- mmc: renesas_sdhi: Get the reset handle early in the probe
  (git-fixes).
- mmc: mxcmmc: Silence a clang warning (git-fixes).
- mmc: sdhci-of-esdhc: Fix refcount leak in
  esdhc_signal_voltage_switch (git-fixes).
- dmaengine: dw-edma: Fix eDMA Rd/Wr-channels and DMA-direction
  semantics (git-fixes).
- dmaengine: imx-dma: Cast of_device_get_match_data() with
  (uintptr_t) (git-fixes).
- dt-bindings: clock: qcom,gcc-msm8996: add more GCC clock sources
  (git-fixes).
- gpio: gpiolib-of: Fix refcount bugs in of_mm_gpiochip_add_data()
  (git-fixes).
- HID: amd_sfh: Handle condition of "no sensors" (git-fixes).
- HID: amd_sfh: Add NULL check for hid device (git-fixes).
- HID: mcp2221: prevent a buffer overflow in mcp_smbus_write()
  (git-fixes).
- HID: cp2112: prevent a buffer overflow in cp2112_xfer()
  (git-fixes).
- dt-bindings: usb: mtk-xhci: Allow wakeup interrupt-names to
  be optional (git-fixes).
- driver core: fix potential deadlock in __driver_attach
  (git-fixes).
- iio: light: isl29028: Fix the warning in isl29028_remove()
  (git-fixes).
- iio: fix iio_format_avail_range() printing for none IIO_VAL_INT
  (git-fixes).
- interconnect: imx: fix max_node_id (git-fixes).
- eeprom: idt_89hpesx: uninitialized data in idt_dbgfs_csr_write()
  (git-fixes).
- iio: temp: maxim_thermocouple: Fix alignment for DMA safety
  (git-fixes).
- iio: temp: ltc2983: Fix alignment for DMA safety (git-fixes).
- iio: resolver: ad2s90: Fix alignment for DMA safety (git-fixes).
- iio: resolver: ad2s1200: Fix alignment for DMA safety
  (git-fixes).
- iio: proximity: as3935: Fix alignment for DMA safety
  (git-fixes).
- iio: potentiometer: mcp4131: Fix alignment for DMA safety
  (git-fixes).
- iio: potentiometer: mcp41010: Fix alignment for DMA safety
  (git-fixes).
- iio: potentiometer: max5481: Fix alignment for DMA safety
  (git-fixes).
- iio: potentiometer: ad5272: Fix alignment for DMA safety
  (git-fixes).
- iio: imu: fxos8700: Fix alignment for DMA safety (git-fixes).
- iio: gyro: fxas210002c: Fix alignment for DMA safety
  (git-fixes).
- iio: gyro: adxrs450: Fix alignment for DMA safety (git-fixes).
- iio: gyro: adis16130: Fix alignment for DMA safety (git-fixes).
- iio: gyro: adis16080: Fix alignment for DMA safety (git-fixes).
- iio: frequency: adf4371: Fix alignment for DMA safety
  (git-fixes).
- iio: frequency: adf4350: Fix alignment for DMA safety
  (git-fixes).
- iio: frequency: ad9523: Fix alignment for DMA safety
  (git-fixes).
- iio: dac: ti-dac7612: Fix alignment for DMA safety (git-fixes).
- iio: dac: ti-dac7311: Fix alignment for DMA safety (git-fixes).
- iio: dac: ti-dac5571: Fix alignment for DMA safety (git-fixes).
- iio: dac: ti-dac082s085: Fix alignment for DMA safety
  (git-fixes).
- iio: dac: mcp4922: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad8801: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad7303: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5791: Fix alignment for DMA saftey (git-fixes).
- iio: dac: ad5770r: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5766: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5764: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5761: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5755: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5504: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5449: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5421: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5360: Fix alignment for DMA safety (git-fixes).
- iio: dac: ad5064: Fix alignment for DMA safety (git-fixes).
- iio: common: ssp: Fix alignment for DMA safety (git-fixes).
- iio: amplifiers: ad8366: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-tlc4541: Fix alignment for DMA safety (git-fixes).
- iio: adc: ti-ads8688: Fix alignment for DMA safety (git-fixes).
- iio: adc: ti-ads8344: Fix alignment for DMA safety (git-fixes).
- iio: adc: ti-ads7950: Fix alignment for DMA safety (git-fixes).
- iio: adc: ti-ads131e08: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-ads124s08: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-adc161s626: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-adc128s052: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-adc12138: Fix alignment for DMA safety (git-fixes).
- iio: adc: ti-adc108s102: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-adc084s021: Fix alignment for DMA safety
  (git-fixes).
- iio: adc: ti-adc0832: Fix alignment for DMA safety (git-fixes).
- iio: adc: mcp320x: Fix alignment for DMA safety (git-fixes).
- iio: adc: max1241: Fix alignment for DMA safety (git-fixes).
- iio: adc: max1118: Fix alignment for DMA safety (git-fixes).
- iio: adc: max11100: Fix alignment for DMA safety (git-fixes).
- iio: adc: max1027: Fix alignment for DMA safety (git-fixes).
- iio: adc: ltc2497: Fix alignment for DMA safety (git-fixes).
- iio: adc: ltc2496: Fix alignment for DMA safety (git-fixes).
- iio: adc: hi8435: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7923: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7887: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7768-1: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7766: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7476: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7298: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7292: Fix alignment for DMA safety (git-fixes).
- iio: adc: ad7266: Fix alignment for DMA safety (git-fixes).
- iio: accel: sca3300: Fix alignment for DMA safety (git-fixes).
- iio: accel: sca3000: Fix alignment for DMA safety (git-fixes).
- iio: accel: bma220: Fix alignment for DMA safety (git-fixes).
- iio: core: Fix IIO_ALIGN and rename as it was not sufficiently
  large (git-fixes).
- iio: accel: bma400: Fix the scale min and max macro values
  (git-fixes).
- intel_th: msu: Fix vmalloced buffers (git-fixes).
- intel_th: msu-sink: Potential dereference of null pointer
  (git-fixes).
- intel_th: Fix a resource leak in an error handling path
  (git-fixes).
- misc: rtsx: Fix an error handling path in rtsx_pci_probe()
  (git-fixes).
- fpga: altera-pr-ip: fix unsigned comparison with less than zero
  (git-fixes).
- commit 14d844c
* Fri Aug  5 2022 tiwai@suse.de
- dmaengine: sf-pdma: Add multithread support for a DMA channel
  (git-fixes).
- dmaengine: stm32-mdma: Remove dead code in
  stm32_mdma_irq_handler() (git-fixes).
- clk: qcom: gcc-msm8939: Fix weird field spacing in
  ftbl_gcc_camss_cci_clk (git-fixes).
- clk: qcom: clk-rcg2: Make sure to not write d=0 to the NMD
  register (git-fixes).
- clk: qcom: clk-rcg2: Fail Duty-Cycle configuration if MND
  divider is not enabled (git-fixes).
- clk: qcom: camcc-sm8250: Fix topology around titan_top power
  domain (git-fixes).
- clk: qcom: camcc-sdm845: Fix topology around titan_top power
  domain (git-fixes).
- clk: qcom: ipq8074: set BRANCH_HALT_DELAY flag for UBI clocks
  (git-fixes).
- clk: qcom: ipq8074: fix NSS port frequency tables (git-fixes).
- clk: qcom: ipq8074: SW workaround for UBI32 PLL lock
  (git-fixes).
- clk: qcom: ipq8074: fix NSS core PLL-s (git-fixes).
- clk: qcom: gcc-msm8939: Point MM peripherals to system_mm_noc
  clock (git-fixes).
- clk: qcom: gcc-msm8939: Add missing system_mm_noc_bfdcd_clk_src
  (git-fixes).
- clk: qcom: gcc-msm8939: Fix bimc_ddr_clk_src rcgr base address
  (git-fixes).
- clk: qcom: gcc-msm8939: Add missing SYSTEM_MM_NOC_BFDCD_CLK_SRC
  (git-fixes).
- clk: qcom: clk-krait: unlock spin after mux completion
  (git-fixes).
- clk: qcom: camcc-sm8250: Fix halt on boot by reducing driver's
  init level (git-fixes).
- clk: renesas: r9a06g032: Fix UART clkgrp bitsel (git-fixes).
- clk: mediatek: reset: Fix written reset bit offset (git-fixes).
- commit 138fb4a
* Thu Aug  4 2022 tiwai@suse.de
- fix race between exit_itimers() and /proc/pid/timers
  (git-fixes).
- commit 62d2eea
* Thu Aug  4 2022 fweisbecker@suse.de
- posix-cpu-timers: Cleanup CPU timers before freeing them during exec (CVE-2022-2585 bsc#1202094).
- commit 2decf97
* Thu Aug  4 2022 tbogendoerfer@suse.de
- supported.conf: added drivers/net/ethernet/marvell/octeontx2/nic/otx2_ptp and
  changed all octeontx2 modules as supported (jsc#SLE-24682)
- commit 8caae84
* Thu Aug  4 2022 tbogendoerfer@suse.de
- kabi/severities: octeontx2 driver (jsc#SLE-24682)
- commit e0be4cf
* Thu Aug  4 2022 tbogendoerfer@suse.de
- octeontx2-af: cn10k: RPM hardware timestamp configuration
  (jsc#SLE-24682).
- Refresh
  patches.suse/octeontx2-af-cn10k-Do-not-enable-RPM-loopback-for-LP.patch.
- commit c25b3fb
* Thu Aug  4 2022 tiwai@suse.de
- can: pch_can: pch_can_error(): initialize errc before using it
  (git-fixes).
- commit 4644234
* Thu Aug  4 2022 tiwai@suse.de
- virtio-gpu: fix a missing check to avoid NULL dereference
  (git-fixes).
- media: cedrus: hevc: Add check for invalid timestamp
  (git-fixes).
- media: cedrus: h265: Fix flag name (git-fixes).
- media: [PATCH] pci: atomisp_cmd: fix three missing checks on
  list iterator (git-fixes).
- media: tw686x: Fix memory leak in tw686x_video_init (git-fixes).
- media: v4l2-mem2mem: prevent pollerr when last_buffer_dequeued
  is set (git-fixes).
- media: hdpvr: fix error value returns in hdpvr_read (git-fixes).
- media: tw686x: Register the irq at the end of probe (git-fixes).
- media: atmel: atmel-sama7g5-isc: fix warning in configs without
  OF (git-fixes).
- i2c: mux-gpmux: Add of_node_put() when breaking out of loop
  (git-fixes).
- i2c: cadence: Support PEC for SMBus block read (git-fixes).
- i2c: Fix a potential use after free (git-fixes).
- i2c: mxs: Silence a clang warning (git-fixes).
- i2c: npcm: Capitalize the one-line comment (git-fixes).
- i2c: npcm: Correct slave role behavior (git-fixes).
- net: rose: fix netdev reference changes (git-fixes).
- wifi: wil6210: debugfs: fix uninitialized variable use in
  `wil_write_file_wmi()` (git-fixes).
- wifi: rtw88: check the return value of alloc_workqueue()
  (git-fixes).
- wifi: libertas: Fix possible refcount leak in if_usb_probe()
  (git-fixes).
- wifi: iwlwifi: mvm: fix double list_add at
  iwl_mvm_mac_wake_tx_queue (git-fixes).
- wifi: wil6210: debugfs: fix info leak in wil_write_file_wmi()
  (git-fixes).
- wifi: p54: add missing parentheses in p54_flush() (git-fixes).
- wifi: p54: Fix an error handling path in p54spi_probe()
  (git-fixes).
- mediatek: mt76: eeprom: fix missing of_node_put() in
  mt76_find_power_limits_node() (git-fixes).
- mediatek: mt76: mac80211: Fix missing of_node_put() in
  mt76_led_init() (git-fixes).
- mt76: mt7921: enlarge maximum VHT MPDU length to 11454
  (git-fixes).
- mt76: mt7615: do not update pm stats in case of error
  (git-fixes).
- mt76: mt76x02u: fix possible memory leak in
  __mt76x02u_mcu_send_msg (git-fixes).
- wifi: mac80211: limit A-MSDU subframes for client too
  (git-fixes).
- wifi: rtw89: 8852a: rfk: fix div 0 exception (git-fixes).
- wifi: iwlegacy: 4965: fix potential off-by-one overflow in
  il4965_rs_fill_link_cmd() (git-fixes).
- wifi: rtlwifi: fix error codes in rtl_debugfs_set_write_h2c()
  (git-fixes).
- virtio-net: fix the race between refill work and close
  (git-fixes).
- net: macsec: fix potential resource leak in macsec_add_rxsa()
  and macsec_add_txsa() (git-fixes).
- commit 559b103
* Thu Aug  4 2022 tiwai@suse.de
- Remove doubly applied amdgpu patches
- commit c58b33f
* Thu Aug  4 2022 tiwai@suse.de
- drm/amd/display: Revert "drm/amd/display: turn DPMS off on
  connector unplug" (git-fixes).
- commit 2a4df70
* Thu Aug  4 2022 tiwai@suse.de
- drm/amd/display: Enable building new display engine with KCOV
  enabled (git-fixes).
- drm/nouveau: Don't pm_runtime_put_sync(), only
  pm_runtime_put_autosuspend() (git-fixes).
- drm/nouveau/acpi: Don't print error when we get -EINPROGRESS
  from pm_runtime (git-fixes).
- drm/nouveau/kms: Fix failure path for creating DP connectors
  (git-fixes).
- drm/exynos/exynos7_drm_decon: free resources when
  clk_set_parent() failed (git-fixes).
- drm/msm/mdp5: Fix global state lock backoff (git-fixes).
- drm/msm/hdmi: drop empty 'none' regulator lists (git-fixes).
- drm/msm/hdmi: enable core-vcc/core-vdda-supply for 8996 platform
  (git-fixes).
- drm/mediatek: dpi: Only enable dpi after the bridge is enabled
  (git-fixes).
- drm/mediatek: dpi: Remove output format of YUV (git-fixes).
- drm/mediatek: Add pull-down MIPI operation in mtk_dsi_poweroff
  function (git-fixes).
- drm: bridge: sii8620: fix possible off-by-one (git-fixes).
- drm/rockchip: Fix an error handling path rockchip_dp_probe()
  (git-fixes).
- drm/rockchip: vop: Don't crash for invalid duplicate_state()
  (git-fixes).
- drm/amd/amd_shared.h: Add missing doc for PP_GFX_DCS_MASK
  (git-fixes).
- drm/radeon: fix incorrrect SPDX-License-Identifiers (git-fixes).
- drm/radeon: fix potential buffer overflow in
  ni_set_mc_special_registers() (git-fixes).
- Revert "drm/i915: Hold reference to intel_context over life
  of i915_request" (git-fixes).
- drm/vc4: hdmi: Correct HDMI timing registers for interlaced
  modes (git-fixes).
- i2c: npcm: Remove own slave addresses 2:10 (git-fixes).
- commit c8ad99e
* Thu Aug  4 2022 tiwai@suse.de
- drm/vc4: hdmi: Fix timings for interlaced modes (git-fixes).
- drm/vc4: hdmi: Reset HDMI MISC_CONTROL register (git-fixes).
- drm/vc4: dsi: Add correct stop condition to
  vc4_dsi_encoder_disable iteration (git-fixes).
- drm/vc4: dsi: Fix dsi0 interrupt support (git-fixes).
- drm/vc4: dsi: Register dsi0 as the correct vc4 encoder type
  (git-fixes).
- drm/vc4: dsi: Correct pixel order for DSI0 (git-fixes).
- drm/vc4: dsi: Correct DSI divider calculations (git-fixes).
- drm/vc4: plane: Fix margin calculations for the right/bottom
  edges (git-fixes).
- drm/vc4: plane: Remove subpixel positioning check (git-fixes).
- drm/doc: Fix comment typo (git-fixes).
- drm/mcde: Fix refcount leak in mcde_dsi_bind (git-fixes).
- drm: bridge: adv7511: Add check for mipi_dsi_driver_register
  (git-fixes).
- drm: adv7511: override i2c address of cec before accessing it
  (git-fixes).
- drm/bridge: lt9611uxc: Cancel only driver's work (git-fixes).
- drm/nouveau: fix another off-by-one in nvbios_addr (git-fixes).
- drm/mipi-dbi: align max_chunk to 2 in spi_transfer (git-fixes).
- drm/st7735r: Fix module autoloading for Okaya RH128128T
  (git-fixes).
- drm/bridge: tc358767: Make sure Refclk clock are enabled
  (git-fixes).
- drm/simpledrm: Fix return type of
  simpledrm_simple_display_pipe_mode_valid() (git-fixes).
- commit 3606800
* Thu Aug  4 2022 tiwai@suse.de
- can: mcp251xfd: mcp251xfd_dump(): fix comment (git-fixes).
- Bluetooth: hci_intel: Add check for platform_driver_register
  (git-fixes).
- can: error: specify the values of data[5..7] of CAN error frames
  (git-fixes).
- can: usb_8dev: do not report txerr and rxerr during bus-off
  (git-fixes).
- can: kvaser_usb_leaf: do not report txerr and rxerr during
  bus-off (git-fixes).
- can: kvaser_usb_hydra: do not report txerr and rxerr during
  bus-off (git-fixes).
- can: sun4i_can: do not report txerr and rxerr during bus-off
  (git-fixes).
- can: hi311x: do not report txerr and rxerr during bus-off
  (git-fixes).
- can: sja1000: do not report txerr and rxerr during bus-off
  (git-fixes).
- can: rcar_can: do not report txerr and rxerr during bus-off
  (git-fixes).
- can: pch_can: do not report txerr and rxerr during bus-off
  (git-fixes).
- ath11k: Fix incorrect debug_mask mappings (git-fixes).
- ath11k: fix netdev open race (git-fixes).
- ath10k: do not enforce interrupt trigger type (git-fixes).
- can: netlink: allow configuring of fixed data bit rates without
  need for do_set_data_bittiming callback (git-fixes).
- can: Break loopback loop on loopback documentation (git-fixes).
- can: netlink: allow configuring of fixed bit rates without
  need for do_set_bittiming callback (git-fixes).
- docs/kernel-parameters: Update descriptions for "mitigations="
  param with retbleed (git-fixes).
- Bluetooth: L2CAP: Fix use-after-free caused by l2cap_chan_put
  (git-fixes).
- commit caf4ad9
* Wed Aug  3 2022 bp@suse.de
- x86/speculation: Add LFENCE to RSB fill sequence (bsc#1201726
  CVE-2022-26373).
- commit e9f7bfc
* Wed Aug  3 2022 bp@suse.de
- x86/speculation: Add RSB VM Exit protections (bsc#1201726
  CVE-2022-26373).
- commit 87cc728
* Wed Aug  3 2022 mkubecek@suse.cz
- ipv4: avoid using shared IP generator for connected sockets
  (CVE-2020-36516 bsc#1196616).
- ipv4: tcp: send zero IPID in SYNACK messages (CVE-2020-36516
  bsc#1196616).
- commit 1c066c9
* Wed Aug  3 2022 tiwai@suse.de
- selftests: timers: clocksource-switch: fix passing errors from
  child (git-fixes).
- selftests: timers: valid-adjtimex: build fix for newer
  toolchains (git-fixes).
- Documentation: siphash: Fix typo in the name of offsetofend
  macro (git-fixes).
- Documentation: update watch_queue.rst references (git-fixes).
- docs: zh_CN: fix a broken reference (git-fixes).
- crypto: arm64/poly1305 - fix a read out-of-bound (git-fixes).
- crypto: hisilicon/sec - fix auth key size error (git-fixes).
- crypto: inside-secure - Add missing MODULE_DEVICE_TABLE for of
  (git-fixes).
- crypto: hisilicon/hpre - don't use GFP_KERNEL to alloc mem
  during softirq (git-fixes).
- crypto: hisilicon - Kunpeng916 crypto driver don't sleep when
  in softirq (git-fixes).
- crypto: hisilicon/sec - don't sleep when in softirq (git-fixes).
- crypto: sun8i-ss - fix infinite loop in sun8i_ss_setup_ivs()
  (git-fixes).
- selftests/seccomp: Fix compile warning when CC=clang
  (git-fixes).
- Documentation: dm writecache: Render status list as list
  (git-fixes).
- thermal/tools/tmon: Include pthread and time headers in tmon.h
  (git-fixes).
- Documentation: PM: Drop pme_interrupt reference (git-fixes).
- PM: domains: Ensure genpd_debugfs_dir exists before remove
  (git-fixes).
- Documentation: ACPI: EINJ: Fix obsolete example (git-fixes).
- ACPI: video: Shortening quirk list by identifying Clevo by
  board_name only (git-fixes).
- ACPI: APEI: Better fix to avoid spamming the console with old
  error logs (git-fixes).
- ACPI: processor/idle: Annotate more functions to live in
  cpuidle section (git-fixes).
- bus: hisi_lpc: fix missing platform_device_put() in
  hisi_lpc_acpi_probe() (git-fixes).
- ACPI: CPPC: Do not prevent CPPC from working in the future
  (git-fixes).
- hwmon: (drivetemp) Add module alias (git-fixes).
- spi: Fix simplification of devm_spi_register_controller
  (git-fixes).
- spi: dt-bindings: zynqmp-qspi: add missing 'required'
  (git-fixes).
- spi: dt-bindings: cadence: add missing 'required' (git-fixes).
- spi: spi-altera-dfl: Fix an error handling path (git-fixes).
- regulator: of: Fix refcount leak bug in
  of_get_regulation_constraints() (git-fixes).
- regulator: qcom_smd: Fix pm8916_pldo range (git-fixes).
- dt-bindings: arm: qcom: fix MSM8994 boards compatibles
  (git-fixes).
- dt-bindings: arm: qcom: fix MSM8916 MTP compatibles (git-fixes).
- arm64: dts: qcom: qcs404: Fix incorrect USB2 PHYs assignment
  (git-fixes).
- arm64: dts: qcom: sm8250: add missing PCIe PHY clock-cells
  (git-fixes).
- arm64: dts: qcom: msm8916: Fix typo in pronto remoteproc node
  (git-fixes).
- ARM: dts: qcom: pm8841: add required thermal-sensor-cells
  (git-fixes).
- ARM: dts: qcom: mdm9615: add missing PMIC GPIO reg (git-fixes).
- ARM: dts: imx7d-colibri-emmc: add cpu1 supply (git-fixes).
- arm64: tegra: Fix SDMMC1 CD on P2888 (git-fixes).
- arm64: dts: mt7622: fix BPI-R64 WPS button (git-fixes).
- arm64: dts: mt8192: Fix idle-states entry-method (git-fixes).
- arm64: dts: mt8192: Fix idle-states nodes naming scheme
  (git-fixes).
- dt-bindings: gpio: zynq: Add missing compatible strings
  (git-fixes).
- ARM: dts: ast2600-evb-a1: fix board compatible (git-fixes).
- ARM: dts: ast2600-evb: fix board compatible (git-fixes).
- ARM: dts: ast2500-evb: fix board compatible (git-fixes).
- arm64: dts: renesas: Fix thermal-sensors on single-zone sensors
  (git-fixes).
- arm64: dts: renesas: beacon: Fix regulator node names
  (git-fixes).
- soc: qcom: aoss: Fix refcount leak in
  qmp_cooling_devices_register (git-fixes).
- soc: qcom: ocmem: Fix refcount leak in of_get_ocmem (git-fixes).
- soc: fsl: guts: machine variable might be unset (git-fixes).
- soc: amlogic: Fix refcount leak in meson-secure-pwrc.c
  (git-fixes).
- meson-mx-socinfo: Fix refcount leak in meson_mx_socinfo_init
  (git-fixes).
- soc: renesas: r8a779a0-sysc: Fix A2DP1 and A2CV[2357] PDR values
  (git-fixes).
- ARM: bcm: Fix refcount leak in bcm_kona_smc_init (git-fixes).
- cpufreq: zynq: Fix refcount leak in zynq_get_revision
  (git-fixes).
- ARM: OMAP2+: Fix refcount leak in omap3xxx_prm_late_init
  (git-fixes).
- ARM: OMAP2+: Fix refcount leak in omapdss_init_of (git-fixes).
- arm64: cpufeature: Allow different PMU versions in ID_DFR0_EL1
  (git-fixes).
- arm64: kasan: Revert "arm64: mte: reset the page tag in
  page->flags" (git-fixes).
- Documentation: fix sctp_wmem in ip-sysctl.rst (git-fixes).
- commit 3f28928
* Wed Aug  3 2022 denis.kirjanov@suse.com
- kabi/severities: add hisilicon hns3 symbols
- commit 684e0cd
* Wed Aug  3 2022 denis.kirjanov@suse.com
- kabi/severities: add Qlogic qed symbols
- commit cb6e740
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net: hns3: clean residual vf config after disable sriov
  (git-fixes).
- commit 3154aec
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net: enetc: report software timestamping via SO_TIMESTAMPING
  (git-fixes).
- commit 1199c9d
* Wed Aug  3 2022 denis.kirjanov@suse.com
- ice: fix 'scheduling while atomic' on aux critical err interrupt
  (git-fixes).
- commit e93e238
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net: bcmgenet: Use stronger register read/writes to assure
  ordering (git-fixes).
- commit 329c205
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net: stmmac: clean up impossible condition (git-fixes).
- commit ab39c12
* Wed Aug  3 2022 denis.kirjanov@suse.com
- qed: validate and restrict untrusted VFs vlan promisc mode
  (git-fixes).
- commit 4ff6c29
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net:enetc: allocate CBD ring data memory using DMA coherent
  methods (git-fixes).
- commit af05743
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Enable port policy support on 6097
  (git-fixes).
- commit c7e4e5e
* Wed Aug  3 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix incorrect balancing with down LAG ports
  (git-fixes).
- commit ec8da82
* Wed Aug  3 2022 denis.kirjanov@suse.com
- bnx2x: Invalidate fastpath HSI version for VFs (git-fixes).
- commit 71c2b0b
* Wed Aug  3 2022 denis.kirjanov@suse.com
- bnx2x: Utilize firmware 7.13.21.0 (git-fixes).
- commit dfd1200
* Tue Aug  2 2022 msuchanek@suse.de
- Fix parsing of rpm/macros.kernel-source on SLE12 (bsc#1201019).
- commit 9816878
* Tue Aug  2 2022 denis.kirjanov@suse.com
- kabi/severities: add microchip dsa drivers
- commit d613b6c
* Tue Aug  2 2022 mgorman@suse.de
- sched/core: Do not requeue task on CPU excluded from cpus_mask
  (bnc#1199356).
- commit f226af5
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: hellcreek: Add missing PTP via UDP rules (git-fixes).
- commit eacb01d
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: hellcreek: Allow PTP P2P measurements on blocked ports
  (git-fixes).
- commit 8fa1360
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: hellcreek: Add STP forwarding rule (git-fixes).
- commit 0417527
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: hellcreek: Fix insertion of static FDB entries
  (git-fixes).
- commit 3269aa1
* Tue Aug  2 2022 denis.kirjanov@suse.com
- dsa: mv88e6xxx: fix debug print for SPEED_UNFORCED (git-fixes).
- commit eb53b1f
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Unforce speed & duplex in mac_link_down()
  (git-fixes).
- commit b56ecf7
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: allow use of PHYs on CPU and DSA ports
  (git-fixes).
- commit bcf713a
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Link in pcs_get_state() if AN is bypassed
  (git-fixes).
- commit b95b3f1
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Fix inband AN for 2500base-x on 88E6393X
  family (git-fixes).
- commit a40e5b6
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Add fix for erratum 5.2 of 88E6393X family
  (git-fixes).
- commit 855c403
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Save power by disabling SerDes trasmitter
  and receiver (git-fixes).
- commit 2dc0b5b
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Drop unnecessary check in
  mv88e6393x_serdes_erratum_4_6() (git-fixes).
- commit b660473
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Fix application of erratum 4.8 for 88E6393X
  (git-fixes).
- commit 7942c9d
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: dsa: microchip: implement multi-bridge support (git-fixes).
- commit 1695da6
* Tue Aug  2 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: don't downgrade timestamping RX filters in
  SIOCSHWTSTAMP (git-fixes).
- commit 5d0a92e
* Tue Aug  2 2022 denis.kirjanov@suse.com
- Update metadata references
- commit 17e29ab
* Mon Aug  1 2022 bp@suse.de
- x86/sev: Save the negotiated GHCB version (bsc#1190497).
- commit 7d296c5
* Mon Aug  1 2022 jeffm@suse.com
- Updated commit IDs from a rebased upstream branch:
- patches.suse/powerpc-pseries-mobility-set-NMI-watchdog-factor-dur.patch.
- patches.suse/powerpc-watchdog-introduce-a-NMI-watchdog-s-factor.patch.
- patches.suse/watchdog-export-lockup_detector_reconfigure.patch.
- commit 34c0e2f
* Mon Aug  1 2022 fweisbecker@suse.de
- sched/deadline: Fix BUG_ON condition for deboosted tasks (git-fixes)
- commit 15bee70
* Mon Aug  1 2022 fweisbecker@suse.de
- sched/uclamp: Fix iowait boost escaping uclamp restriction (git-fixes)
- commit dacac6f
* Mon Aug  1 2022 fweisbecker@suse.de
- sched/uclamp: Fix rq->uclamp_max not set on first enqueue (git-fixes)
- commit 44d8adc
* Mon Aug  1 2022 oneukum@suse.com
- net: asix: fix "can't send until first packet is send" issue
  (git-fixes).
- commit 1f6d39d
* Mon Aug  1 2022 oneukum@suse.com
- net: usb: ax88179_178a needs FLAG_SEND_ZLP (git-fixes).
- commit 9ae4b3e
* Mon Aug  1 2022 oneukum@suse.com
- net: usb: ax88179_178a: add Allied Telesis AT-UMCs (git-fixes).
- commit 6eee3c8
* Mon Aug  1 2022 tzimmermann@suse.de
- drm/udl: Restore display mode on resume (bsc#1195917)
- commit ab3f8b8
* Mon Aug  1 2022 bp@suse.de
- EDAC/ghes: Set the DIMM label unconditionally (bsc#1201768).
- commit f44b61a
* Sun Jul 31 2022 bp@suse.de
- lkdtm: Disable return thunks in rodata.c (bsc#1190497).
- commit 1a67e46
* Sun Jul 31 2022 bp@suse.de
- x86/retbleed: Add fine grained Kconfig knobs (bsc#1190497).
- commit 95439df
* Sun Jul 31 2022 tiwai@suse.de
- ARM: 9216/1: Fix MAX_DMA_ADDRESS overflow (git-fixes).
- commit d7e1c73
* Sat Jul 30 2022 bp@suse.de
- KVM: emulate: do not adjust size of fastop and setcc subroutines
  (bsc#1201930).
- commit 935d297
* Sat Jul 30 2022 bp@suse.de
- kvm/emulate: Fix SETcc emulation function offsets with SLS
  (bsc#1201930).
- Refresh
  patches.suse/x86-kvm-Fix-SETcc-emulation-for-return-thunks.patch.
- commit 154606a
* Sat Jul 30 2022 tiwai@suse.de
- watchqueue: make sure to serialize 'wqueue->defunct' properly
  (git-fixes).
- Refresh
  patches.suse/watch_queue-Fix-missing-rcu-annotation.patch.
- commit 0e9524c
* Sat Jul 30 2022 tiwai@suse.de
- nouveau/svm: Fix to migrate all requested pages (git-fixes).
- watch_queue: Fix missing locking in add_watch_to_object()
  (git-fixes).
- watch-queue: remove spurious double semicolon (git-fixes).
- xhci: Set HCD flag to defer primary roothub registration
  (git-fixes).
- xhci: dbc: Rename xhci_dbc_init and xhci_dbc_exit (git-fixes).
- xhci: dbc: create and remove dbc structure in dbgtty driver
  (git-fixes).
- xhci: dbc: refactor xhci_dbc_init() (git-fixes).
- mtd: rawnand: gpmi: validate controller clock rate (git-fixes).
- pinctrl: armada-37xx: Convert to use dev_err_probe()
  (git-fixes).
- pinctrl: armada-37xx: Make use of the
  devm_platform_ioremap_resource() (git-fixes).
- pinctrl: armada-37xx: Use temporary variable for struct device
  (git-fixes).
- commit 7883bd5
* Sat Jul 30 2022 tiwai@suse.de
- drm/amd/display: Ignore First MST Sideband Message Return Error
  (git-fixes).
- Bluetooth: Fix bt_skb_sendmmsg not allocating partial chunks
  (git-fixes).
- bitfield.h: Fix "type of reg too small for mask" test
  (git-fixes).
- Bluetooth: SCO: Fix sco_send_frame returning skb->len
  (git-fixes).
- Bluetooth: Fix passing NULL to PTR_ERR (git-fixes).
- Bluetooth: RFCOMM: Replace use of memcpy_from_msg with
  bt_skb_sendmmsg (git-fixes).
- Bluetooth: SCO: Replace use of memcpy_from_msg with
  bt_skb_sendmsg (git-fixes).
- Bluetooth: Add bt_skb_sendmmsg helper (git-fixes).
- Bluetooth: Add bt_skb_sendmsg helper (git-fixes).
- commit 68b3804
* Sat Jul 30 2022 tiwai@suse.de
- Revert selftest patches that have been reverted in stable-5.15.y
- commit a911337
* Fri Jul 29 2022 lduncan@suse.com
- scsi: megaraid: Clear READ queue map's nr_queues (git-fixes).
- commit 55821eb
* Fri Jul 29 2022 dwagner@suse.de
- nvme: consider also host_iface when checking ip options
  (bsc#1199670).
- commit 230f363
* Fri Jul 29 2022 tiwai@suse.de
- tty: n_gsm: fix invalid gsmtty_write_room() result (git-fixes).
- tty: n_gsm: fix mux activation issues in gsm_config()
  (git-fixes).
- tty: n_gsm: fix buffer over-read in gsm_dlci_data() (git-fixes).
- tty: n_gsm: fix sometimes uninitialized warning in
  gsm_dlci_modem_output() (git-fixes).
- tty: n_gsm: fix software flow control handling (git-fixes).
- tty: n_gsm: fix invalid use of MSC in advanced option
  (git-fixes).
- commit 7c30f9f
* Fri Jul 29 2022 tiwai@suse.de
- tty: n_gsm: fix missing update of modem controls after DLCI open
  (git-fixes).
- commit 421f4e7
* Fri Jul 29 2022 tiwai@suse.de
- tty: n_gsm: fix incorrect UA handling (git-fixes).
- tty: n_gsm: fix reset fifo race condition (git-fixes).
- tty: n_gsm: fix missing tty wakeup in convergence layer type 2
  (git-fixes).
- tty: n_gsm: fix wrong signal octets encoding in MSC (git-fixes).
- tty: n_gsm: fix wrong command frame length field encoding
  (git-fixes).
- tty: n_gsm: fix wrong command retry handling (git-fixes).
- tty: n_gsm: fix missing explicit ldisc flush (git-fixes).
- tty: n_gsm: fix wrong DLCI release order (git-fixes).
- tty: n_gsm: fix insufficient txframe size (git-fixes).
- commit 98e80d0
* Fri Jul 29 2022 tiwai@suse.de
- tty: n_gsm: fix malformed counter for out of frame data
  (git-fixes).
- tty: n_gsm: fix frame reception handling (git-fixes).
- tty: n_gsm: fix wrong signal octet encoding in convergence
  layer type 2 (git-fixes).
- tty: n_gsm: fix mux cleanup after unregister tty device
  (git-fixes).
- tty: n_gsm: fix decoupled mux resource (git-fixes).
- tty: n_gsm: fix restart handling via CLD command (git-fixes).
- tty: n_gsm: fix encoding of command/response bit (git-fixes).
- tty: n_gsm: Save dlci address open status when config requester
  (git-fixes).
- tty: n_gsm: Modify CR,PF bit when config requester (git-fixes).
- commit 12973e3
* Fri Jul 29 2022 tiwai@suse.de
- scripts/gdb: change kernel config dumping method (git-fixes).
- samples/landlock: Format with clang-format (git-fixes).
- samples/landlock: Add clang-format exceptions (git-fixes).
- samples/landlock: Fix path_list memory leak (git-fixes).
- scripts/dtc: Call pkg-config POSIXly correct (git-fixes).
- optee: add error checks in optee_ffa_do_call_with_arg()
  (git-fixes).
- scripts: sphinx-pre-install: Fix ctex support on Debian
  (git-fixes).
- scripts: sphinx-pre-install: add required ctex dependency
  (git-fixes).
- commit c823894
* Fri Jul 29 2022 tiwai@suse.de
- tee: tee_get_drvdata(): fix description of return value
  (git-fixes).
- tunnels: do not assume mac header is set in
  skb_tunnel_check_pmtu() (git-fixes).
- tuntap: add sanity checks about msg_controllen in sendmsg
  (git-fixes).
- uaccess: fix type mismatch warnings from access_ok()
  (git-fixes).
- tests: fix idmapped mount_setattr test (git-fixes).
- seccomp: Invalidate seccomp mode to catch death failures
  (git-fixes).
- tee: optee: do not check memref size on return from Secure World
  (git-fixes).
- tools include UAPI: Sync sound/asound.h copy with the kernel
  sources (git-fixes).
- tools/testing/scatterlist: add missing defines (git-fixes).
- tools/nolibc: fix incorrect truncation of exit code (git-fixes).
- tools/nolibc: i386: fix initial stack alignment (git-fixes).
- tools/nolibc: x86-64: Fix startup code bug (git-fixes).
- tun: avoid double free in tun_free_netdev (git-fixes).
- commit 00b109c
* Fri Jul 29 2022 tiwai@suse.de
- watch_queue: Fix missing rcu annotation (git-fixes).
- udmabuf: add back sanity check (git-fixes).
- xprtrdma: treat all calls not a bcall when bc_serv is NULL
  (git-fixes).
- wireguard: device: check for metadata_dst with skb_valid_dst()
  (git-fixes).
- zonefs: Fix management of open zones (git-fixes).
- zonefs: Clear inode information flags on inode creation
  (git-fixes).
- XArray: Update the LRU list in xas_split() (git-fixes).
- vsock/virtio: enable VQs early on probe (git-fixes).
- vsock/virtio: read the negotiated features before using VQs
  (git-fixes).
- vsock/virtio: initialize vdev->priv before using VQs
  (git-fixes).
- ucounts: Fix systemd LimitNPROC with private users regression
  (git-fixes).
- ucounts: Handle wrapping in is_ucounts_overlimit (git-fixes).
- ucounts: Base set_cred_ucounts changes on the real user
  (git-fixes).
- vsock: remove vsock from connected table when connect is
  interrupted by a signal (git-fixes).
- xprtrdma: fix pointer derefs in error cases of rpcrdma_ep_create
  (git-fixes).
- ucounts: Fix rlimit max values check (git-fixes).
- zonefs: add MODULE_ALIAS_FS (git-fixes).
- ucounts: In set_cred_ucounts assume new->ucounts is non-NULL
  (git-fixes).
- commit 4dc2af2
* Fri Jul 29 2022 tiwai@suse.de
- exfat: Drop superfluous new line for error messages
  (bsc#1201725).
- exfat: Downgrade ENAMETOOLONG error message to debug messages
  (bsc#1201725).
- exfat: Expand exfat_err() and co directly to pr_*() macro
  (bsc#1201725).
- exfat: Define NLS_NAME_* as bit flags explicitly (bsc#1201725).
- exfat: Return ENAMETOOLONG consistently for oversized paths
  (bsc#1201725).
- commit d002ca3
* Fri Jul 29 2022 dwagner@suse.de
- scsi: qla2xxx: Update version to 10.02.07.800-k (bsc#1201958).
- scsi: qla2xxx: Update manufacturer details (bsc#1201958).
- scsi: qla2xxx: Fix sparse warning for dport_data (bsc#1201958).
- scsi: qla2xxx: Fix discovery issues in FC-AL topology
  (bsc#1201958).
- scsi: qla2xxx: Fix imbalance vha->vref_count (bsc#1201958).
- scsi: qla2xxx: edif: Fix dropped IKE message (bsc#1201958).
- scsi: qla2xxx: Fix response queue handler reading stale packets
  (bsc#1201958).
- scsi: qla2xxx: Zero undefined mailbox IN registers
  (bsc#1201958).
- scsi: qla2xxx: Fix incorrect display of max frame size
  (bsc#1201958).
- scsi: qla2xxx: Check correct variable in qla24xx_async_gffid()
  (bsc#1201958).
- commit 6c401ae
* Fri Jul 29 2022 dwagner@suse.de
- Drop qla2xxx patch which prevented nvme port discovery
  (bsc#1200651 bsc#1200644 bsc#1201954 bsc#1201958)
  Upstream fixed the problem by reverting the offending commit.
  Delete:
  - patches.suse/scsi-qla2xxx-Fix-disk-failure-to-rediscover.patch
- commit ae1d1a3
* Fri Jul 29 2022 tiwai@suse.de
- selftests/seccomp: Don't call read() on TTY from background pgrp
  (git-fixes).
- selftests: net: udpgro_fwd.sh: explicitly checking the available
  ping feature (git-fixes).
- commit 41741a6
* Fri Jul 29 2022 tiwai@suse.de
- testing: nvdimm: asm/mce.h is not needed in nfit.c (git-fixes).
- testing: nvdimm: iomap: make __nfit_test_ioremap a macro
  (git-fixes).
- kvm: selftests: do not use bitfields larger than 32-bits for
  PTEs (git-fixes).
- KVM: selftests: Silence compiler warning in the
  kvm_page_table_test (git-fixes).
- testing/selftests/mqueue: Fix mq_perf_tests to free the
  allocated cpu set (git-fixes).
- userfaultfd/selftests: fix hugetlb area allocations (git-fixes).
- KVM: selftests: Make sure kvm_create_max_vcpus test won't hit
  RLIMIT_NOFILE (git-fixes).
- commit b3cbd1a
* Fri Jul 29 2022 tiwai@suse.de
- selftests: forwarding: fix error message in learning_test
  (git-fixes).
- selftests: forwarding: fix learning_test when h1 supports
  IFF_UNICAST_FLT (git-fixes).
- selftests: forwarding: fix flood_unicast_test when h2 supports
  IFF_UNICAST_FLT (git-fixes).
- selftests: mptcp: more stable diag tests (git-fixes).
- selftests/net: pass ipv6_args to udpgso_bench's IPv6 TCP test
  (git-fixes).
- selftests: netfilter: correct PKTGEN_SCRIPT_PATHS in
  nft_concat_range.sh (git-fixes).
- kselftest/cgroup: fix test_stress.sh to use OUTPUT dir
  (git-fixes).
- selftests/resctrl: Fix null pointer dereference on open failed
  (git-fixes).
- selftests: vm: Makefile: rename TARGETS to VMTARGETS
  (git-fixes).
- selftests: add ping test with ping_group_range tuned
  (git-fixes).
- selftests: ocelot: tc_flower_chains: specify conform-exceed
  action for policer (git-fixes).
- selftests/net: so_txtime: usage(): fix documentation of default
  clock (git-fixes).
- selftests/net: so_txtime: fix parsing of start time stamp on
  32 bit systems (git-fixes).
- selftests: mirror_gre_bridge_1q: Avoid changing PVID while
  interface is operational (git-fixes).
- selftest/vm: verify remap destination address in mremap_test
  (git-fixes).
- selftest/vm: verify mmap addr in mremap_test (git-fixes).
- selftests: mlxsw: vxlan_flooding: Prevent flooding of unwanted
  packets (git-fixes).
- selftests: test_vxlan_under_vrf: Fix broken test case
  (git-fixes).
- selftests: mptcp: add csum mib check for mptcp_connect
  (git-fixes).
- selftests/net: timestamping: Fix bind_phc check (git-fixes).
- selftests, x86: fix how check_cc.sh is being invoked
  (git-fixes).
- selftests/rseq: Change type of rseq_offset to ptrdiff_t
  (git-fixes).
- selftests/rseq: x86-32: use %%gs segment selector for accessing
  rseq thread area (git-fixes).
- selftests/rseq: x86-64: use %%fs segment selector for accessing
  rseq thread area (git-fixes).
- selftests/rseq: Fix: work-around asm goto compiler bugs
  (git-fixes).
- selftests/rseq: Remove arm/mips asm goto compiler work-around
  (git-fixes).
- selftests/rseq: Fix warnings about #if checks of undefined
  tokens (git-fixes).
- selftests/rseq: Fix ppc32 offsets by using long rather than
  off_t (git-fixes).
- selftests/rseq: Fix ppc32 missing instruction selection "u"
  and "x" for load/store (git-fixes).
- selftests/rseq: Fix ppc32: wrong rseq_cs 32-bit field pointer
  on big endian (git-fixes).
- selftests/rseq: Uplift rseq selftests for compatibility with
  glibc-2.35 (git-fixes).
- selftests/rseq: Introduce thread pointer getters (git-fixes).
- selftests/rseq: Introduce rseq_get_abi() helper (git-fixes).
- selftests/rseq: Remove volatile from __rseq_abi (git-fixes).
- selftests/rseq: Remove useless assignment to cpu variable
  (git-fixes).
- selftests/rseq: introduce own copy of rseq uapi header
  (git-fixes).
- selftests/sgx: Treat CC as one argument (git-fixes).
- selftests/x86: Add validity check and allow field splitting
  (git-fixes).
- selftests: vm: fix clang build error multiple output files
  (git-fixes).
- selftests: pmtu.sh: Kill nettest processes launched in subshell
  (git-fixes).
- selftests: pmtu.sh: Kill tcpdump processes launched by subshell
  (git-fixes).
- kselftest/vm: fix tests build with old libc (git-fixes).
- selftests: mlxsw: resource_scale: Fix return value (git-fixes).
- selftests: mlxsw: tc_police_scale: Make test more robust
  (git-fixes).
- selftests/memfd: clean up mapping in mfd_fail_write (git-fixes).
- selftest/vm: fix map_fixed_noreplace test failure (git-fixes).
- selftests: mptcp: fix diag instability (git-fixes).
- selftests/ftrace: Do not trace do_softirq because of PREEMPT_RT
  (git-fixes).
- selftests/seccomp: Fix seccomp failure by adding missing headers
  (git-fixes).
- selftests/exec: Add non-regular to TEST_GEN_PROGS (git-fixes).
- selftests: netfilter: disable rp_filter on router (git-fixes).
- selftests: netfilter: fix exit value for nft_concat_range
  (git-fixes).
- selftests: fixup build warnings in pidfd / clone3 tests
  (git-fixes).
- selftests: nft_concat_range: add test for reload with no
  element add/del (git-fixes).
- kselftest: Fix vdso_test_abi return status (git-fixes).
- selftests: skip mincore.check_file_mmap when fs lacks needed
  support (git-fixes).
- selftests: openat2: Skip testcases that fail with EOPNOTSUPP
  (git-fixes).
- selftests: openat2: Add missing dependency in Makefile
  (git-fixes).
- selftests: openat2: Print also errno in failure messages
  (git-fixes).
- selftests: futex: Use variable MAKE instead of make (git-fixes).
- selftests/exec: Remove pipe from TEST_GEN_FILES (git-fixes).
- selftests/zram: Adapt the situation that /dev/zram0 is being
  used (git-fixes).
- selftests/zram01.sh: Fix compression ratio calculation
  (git-fixes).
- selftests/zram: Skip max_comp_streams interface on newer kernel
  (git-fixes).
- kselftest: signal all child processes (git-fixes).
- selftests: rtc: Increase test timeout so that all tests run
  (git-fixes).
- selftests: mptcp: fix ipv6 routing setup (git-fixes).
- selftests/vm: make charge_reserved_hugetlb.sh work with existing
  cgroup setting (git-fixes).
- selftests/powerpc: Add a test of sigreturning to the kernel
  (git-fixes).
- selftests/powerpc/spectre_v2: Return skip code when miss_percent
  is high (git-fixes).
- selftests/rseq: remove ARRAY_SIZE define from individual tests
  (git-fixes).
- selftests: harness: avoid false negatives if test has no ASSERTs
  (git-fixes).
- selftests/ftrace: make kprobe profile testcase description
  unique (git-fixes).
- selftests: clone3: clone3: add case CLONE3_ARGS_NO_TEST
  (git-fixes).
- selftests: cgroup: Test open-time cgroup namespace usage for
  migration checks (git-fixes).
- selftests: cgroup: Test open-time credential usage for migration
  checks (git-fixes).
- selftests: cgroup: Make cg_create() use 0755 for permission
  instead of 0644 (git-fixes).
- selftests: net: using ping6 for IPv6 in udpgro_fwd.sh
  (git-fixes).
- selftests: net: Fix a typo in udpgro_fwd.sh (git-fixes).
- selftests/net: udpgso_bench_tx: fix dst ip argument (git-fixes).
- selftest/net/forwarding: declare NETIFS p9 p10 (git-fixes).
- selftests: Fix IPv6 address bind tests (git-fixes).
- selftests: Fix raw socket bind tests with VRF (git-fixes).
- selftests: Add duplicate config only for MD5 VRF tests
  (git-fixes).
- selftests: icmp_redirect: pass xfail=0 to log_test()
  (git-fixes).
- selftests: net: Correct ping6 expected rc from 2 to 1
  (git-fixes).
- selftests/fib_tests: Rework fib_rp_filter_test() (git-fixes).
- selftests: net: Correct case name (git-fixes).
- selftests: netfilter: add a vrf+conntrack testcase (git-fixes).
- selftests: gpio: fix gpio compiling error (git-fixes).
- selftests: net: tls: remove unused variable and code
  (git-fixes).
- selftests/vm/transhuge-stress: fix ram size thinko (git-fixes).
- selftests: x86: fix [-Wstringop-overread] warn in
  test_process_vm_readv() (git-fixes).
- selftests/memfd: remove unused variable (git-fixes).
- commit 48061db
* Fri Jul 29 2022 tiwai@suse.de
- 9p: Fix refcounting during full path walks for fid lookups
  (git-fixes).
- 9p: fix fid refcount leak in v9fs_vfs_get_link (git-fixes).
- 9p: fix fid refcount leak in v9fs_vfs_atomic_open_dotl
  (git-fixes).
- commit ecbaea5
* Fri Jul 29 2022 tiwai@suse.de
- blacklist.conf: Add ALSA entries that can't be applied to SLE15-SP4 kernels
  Those are to be cleared once when more ALSA core stuff is backported
- commit b982d6c
* Fri Jul 29 2022 tiwai@suse.de
- macsec: always read MACSEC_SA_ATTR_PN as a u64 (git-fixes).
- macsec: limit replay window size with XPN (git-fixes).
- macsec: fix error message in macsec_add_rxsa and _txsa
  (git-fixes).
- macsec: fix NULL deref in macsec_add_rxsa (git-fixes).
- commit 4b9d2ad
* Thu Jul 28 2022 tiwai@suse.de
- exfat: use updated exfat_chain directly during renaming
  (git-fixes).
- commit 6b8d95e
* Thu Jul 28 2022 tiwai@suse.de
- nilfs2: fix incorrect masking of permission flags for symlinks
  (git-fixes).
- usbnet: Run unregister_netdev() before unbind() again
  (git-fixes).
- nilfs2: fix lockdep warnings during disk space reclamation
  (git-fixes).
- nilfs2: fix lockdep warnings in page operations for btree nodes
  (git-fixes).
- minix: fix bug when opening a file with O_DIRECT (git-fixes).
- locking/lockdep: Iterate lock_classes directly when reading
  lockdep files (git-fixes).
- locking/lockdep: Avoid potential access of invalid memory in
  lock_class (git-fixes).
- loop: use sysfs_emit() in the sysfs xxx show() (git-fixes).
- smsc95xx: Ignore -ENODEV errors when device is unplugged
  (git-fixes).
- net: usb: Correct reset handling of smsc95xx (git-fixes).
- loop: Use pr_warn_once() for loop_control_remove() warning
  (git-fixes).
- net: usb: Correct PHY handling of smsc95xx (git-fixes).
- commit 3017f33
* Thu Jul 28 2022 tiwai@suse.de
- selftests/landlock: Add tests for unknown access rights
  (git-fixes).
- commit a355ad8
* Thu Jul 28 2022 tiwai@suse.de
- fix race between exit_itimers() and /proc/pid/timers
  (git-fixes).
- iov_iter: fix build issue due to possible type mis-match
  (git-fixes).
- iov_iter: Fix iter_xarray_get_pages{,_alloc}() (git-fixes).
- landlock: Fix same-layer rule unions (git-fixes).
- landlock: Create find_rule() from unmask_layers() (git-fixes).
- landlock: Reduce the maximum number of layers to 16 (git-fixes).
- landlock: Define access_mask_t to enforce a consistent access
  mask size (git-fixes).
- selftests/landlock: Test landlock_create_ruleset(2) argument
  check ordering (git-fixes).
- landlock: Change landlock_restrict_self(2) check ordering
  (git-fixes).
- landlock: Change landlock_add_rule(2) argument check ordering
  (git-fixes).
- selftests/landlock: Add tests for O_PATH (git-fixes).
- selftests/landlock: Fully test file rename with "remove" access
  (git-fixes).
- selftests/landlock: Extend access right tests to directories
  (git-fixes).
- selftests/landlock: Extend tests for minimal valid attribute
  size (git-fixes).
- selftests/landlock: Make tests build with old libc (git-fixes).
- landlock: Fix landlock_add_rule(2) documentation (git-fixes).
- selftests/landlock: Format with clang-format (git-fixes).
- selftests/landlock: Normalize array assignment (git-fixes).
- selftests/landlock: Add clang-format exceptions (git-fixes).
- landlock: Format with clang-format (git-fixes).
- landlock: Add clang-format exceptions (git-fixes).
- l3mdev: l3mdev_master_upper_ifindex_by_index_rcu should be
  using netdev_master_upper_dev_get_rcu (git-fixes).
- landlock: Use square brackets around "landlock-ruleset"
  (git-fixes).
- lockdep: Correct lock_classes index mapping (git-fixes).
- irqchip/sifive-plic: Add missing thead,c900-plic match string
  (git-fixes).
- inet_diag: fix kernel-infoleak for UDP sockets (git-fixes).
- commit 6710d1e
* Thu Jul 28 2022 tiwai@suse.de
- asm-generic: remove a broken and needless ifdef conditional
  (git-fixes).
- Documentation: fix udp_wmem_min in ip-sysctl.rst (git-fixes).
- Documentation: add description for net.sctp.ecn_enable
  (git-fixes).
- Documentation: add description for net.sctp.intl_enable
  (git-fixes).
- Documentation: add description for net.sctp.reconf_enable
  (git-fixes).
- dma-debug: make things less spammy under memory pressure
  (git-fixes).
- export: fix string handling of namespace in EXPORT_SYMBOL_NS
  (git-fixes).
- fat: add ratelimit to fat*_ent_bread() (git-fixes).
- dma-debug: change allocation mode from GFP_NOWAIT to GFP_ATIOMIC
  (git-fixes).
- Documentation: add description for net.core.gro_normal_batch
  (git-fixes).
- Documentation: move watch_queue to core-api (git-fixes).
- exfat: fix referencing wrong parent directory information
  after renaming (git-fixes).
- arm_pmu: Validate single/group leader events (git-fixes).
- configfs: fix a race in configfs_{,un}register_subsystem()
  (git-fixes).
- exfat: fix i_blocks for files truncated over 4 GiB (git-fixes).
- exfat: reuse exfat_inode_info variable instead of calling
  EXFAT_I() (git-fixes).
- device property: Check fwnode->secondary when finding properties
  (git-fixes).
- erofs: fix deadlock when shrink erofs slab (git-fixes).
- commit 1ff4d9a
* Thu Jul 28 2022 ohering@suse.de
- patches.suse/msft-hv-2570-hv_netvsc-Add-support-for-XDP_REDIRECT.patch:
  (bsc#1199364).
- commit fbec9a8
* Thu Jul 28 2022 hare@suse.de
- nvme-auth: retry command if DNR bit is not set (bsc#1201675).
- commit 0beb6ec
* Thu Jul 28 2022 hare@suse.de
- nvme: kabi fixes for in-band authentication (bsc#1199086).
- commit 26c80ba
* Thu Jul 28 2022 hare@suse.de
- Update config files.
- commit 1003620
* Wed Jul 27 2022 palcantara@suse.de
- cifs: fix reconnect on smb3 mount types (bsc#1201427).
- commit d696086
* Wed Jul 27 2022 mkubecek@suse.cz
- Update
  patches.suse/netfilter-nf_tables-disallow-non-stateful-expression.patch
  references (add CVE-2022-32250).
- commit 801027d
* Wed Jul 27 2022 mkubecek@suse.cz
- net/sched: cls_u32: fix netns refcount changes in u32_change()
  (CVE-2022-29581 bsc#1199665).
- commit 6f81977
* Wed Jul 27 2022 oneukum@suse.com
- blacklist.conf: This is a cleanup, not fixing any bug
- commit 6f050ff
* Wed Jul 27 2022 oneukum@suse.com
- tee: fix put order in teedev_close_context() (git-fixes).
- commit 1650ec3
* Wed Jul 27 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 1c70642
* Wed Jul 27 2022 oneukum@suse.com
- random: fix typo in comments (git-fixes).
- commit 6de6114
* Wed Jul 27 2022 oneukum@suse.com
- blacklist.conf: breaks kABI for a cleanup
- commit 678666e
* Wed Jul 27 2022 oneukum@suse.com
- random: document add_hwgenerator_randomness() with other input
  functions (git-fixes).
- commit 0fb6e8a
* Wed Jul 27 2022 oneukum@suse.com
- Bluetooth: btusb: Add the new support IDs for WCN6855
  (git-fixxes).
- Refresh
  patches.suse/Bluetooth-btusb-Add-one-more-Bluetooth-part-for-WCN6.patch.
- commit 91ad5ba
* Wed Jul 27 2022 hare@suse.de
- supported.conf: mark drivers/nvme/common as supported (jsc#SLE-20183)
- commit 2fed93a
* Wed Jul 27 2022 hare@suse.de
- Refresh nvme in-band authentication patches (bsc#1199086)
- nvme: implement In-Band authentication (jsc#SLE-20183).
- Refresh
  patches.suse/0007-nvme-auth-Diffie-Hellman-key-exchange-support.patch.
- Refresh
  patches.suse/0008-nvmet-parse-fabrics-commands-on-io-queues.patch.
- nvmet: implement basic In-Band Authentication (jsc#SLE-20183).
- Refresh
  patches.suse/0010-nvmet-auth-Diffie-Hellman-key-exchange-support.patch.
- nvmet-auth: expire authentication sessions (jsc#SLE-20183).
- Delete patches.suse/nvme-auth-fixup-crash-at-boot.patch.
- Delete
  patches.suse/nvme-fix-visibility-of-dev_attr_dhchap_ctrl_secret-s.patch.
- commit 90c9163
* Wed Jul 27 2022 hare@suse.de
- Refresh patches.suse/0001-crypto-add-crypto_has_shash.patch.
- Refresh patches.suse/0002-crypto-add-crypto_has_kpp.patch.
- Refresh
  patches.suse/0003-lib-base64-RFC4648-compliant-base64-encoding.patch.
- Refresh
  patches.suse/0004-nvme-add-definitions-for-NVMe-In-Band-authentication.patch.
- Refresh
  patches.suse/0005-nvme-fabrics-decode-authentication-required-connect-.patch.
- commit 7d9a006
* Tue Jul 26 2022 msuchanek@suse.de
- powerpc/pseries/mobility: set NMI watchdog factor during an LPM
  (bsc#1201846 ltc#198761).
- powerpc/watchdog: introduce a NMI watchdog's factor (bsc#1201846
  ltc#198761).
- watchdog: export lockup_detector_reconfigure (bsc#1201846
  ltc#198761).
- powerpc/mobility: wait for memory transfer to complete
  (bsc#1201846 ltc#198761).
- commit 4c3e250
* Tue Jul 26 2022 mgorman@suse.de
- page_alloc: fix invalid watemark check on a negative value
  (git fixes (mm/pgalloc)).
- commit 11d19f6
* Tue Jul 26 2022 ohering@suse.com
- VMCI: Add support for ARM64 (bsc#1199291, jsc#SLE-24635).
- commit 91f9b43
* Tue Jul 26 2022 ohering@suse.de
- VMCI: Release notification_bitmap in error path (bsc#1199291,
  jsc#SLE-24635).
- VMCI: Check exclusive_vectors when freeing interrupt 1
  (bsc#1199291, jsc#SLE-24635).
- VMCI: Fix some error handling paths in vmci_guest_probe_device()
  (bsc#1199291, jsc#SLE-24635).
- VMCI: dma dg: add support for DMA datagrams receive
  (bsc#1199291, jsc#SLE-24635).
- VMCI: dma dg: add support for DMA datagrams sends (bsc#1199291,
  jsc#SLE-24635).
- VMCI: dma dg: allocate send and receive buffers for DMA
  datagrams (bsc#1199291, jsc#SLE-24635).
- VMCI: dma dg: register dummy IRQ handlers for DMA datagrams
  (bsc#1199291, jsc#SLE-24635).
- VMCI: dma dg: set OS page size (bsc#1199291, jsc#SLE-24635).
- VMCI: dma dg: detect DMA datagram capability (bsc#1199291,
  jsc#SLE-24635).
- VMCI: dma dg: add MMIO access to registers (bsc#1199291,
  jsc#SLE-24635).
- VMCI: dma dg: whitespace formatting change for vmci register
  defines (bsc#1199291, jsc#SLE-24635).
- commit 0e13b0d
* Mon Jul 25 2022 lhenriques@suse.de
- blacklist.conf: add commit 7acae6183cf3
  I blacklisted the wrong commit: instead of adding 7acae6183cf3, I added the
  commit that introduced the bug fixed by it (which isn't present in SLE15-SP4).
- commit 8ec5489
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix backwards compatibility with single-chain
  tc-flower offload (git-fixes).
- commit 5dd0ec2
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: bcmgenet: skip invalid partial checksums (git-fixes).
- commit af8e915
* Mon Jul 25 2022 denis.kirjanov@suse.com
- ice: Fix race condition during interface enslave (git-fixes).
- commit 873e269
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: bcmgenet: Don't claim WOL when its not available
  (git-fixes).
- commit a981d90
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: marvell: prestera: Add missing of_node_put() in
  prestera_switch_set_base_mac_addr (git-fixes).
- commit 4aa2b33
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: ethernet: lpc_eth: Handle error for clk_enable (git-fixes).
- commit b08b10f
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: ethernet: ti: cpts: Handle error for clk_enable
  (git-fixes).
- commit 549b785
* Mon Jul 25 2022 denis.kirjanov@suse.com
- ice: Fix error with handling of bonding MTU (git-fixes).
- commit 03f6b8d
* Mon Jul 25 2022 denis.kirjanov@suse.com
- ice: stop disabling VFs due to PF error responses (git-fixes).
- commit 13b5865
* Mon Jul 25 2022 denis.kirjanov@suse.com
- ethernet: Fix error handling in xemaclite_of_probe (git-fixes).
- commit 1b69809
* Mon Jul 25 2022 denis.kirjanov@suse.com
- net: dsa: mt7530: fix incorrect test in
  mt753x_phylink_validate() (git-fixes).
- commit 8344b36
* Mon Jul 25 2022 tiwai@suse.de
- spi: bcm2835: bcm2835_spi_handle_err(): fix NULL pointer deref
  for non DMA transfers (git-fixes).
- commit 2faff78
* Sat Jul 23 2022 tiwai@suse.de
- i2c: cadence: Change large transfer count reset logic to be
  unconditional (git-fixes).
- i2c: mlxcpld: Fix register setting for 400KHz frequency
  (git-fixes).
- gpio: gpio-xilinx: Fix integer overflow (git-fixes).
- gpio: pca953x: use the correct register address when regcache
  sync during init (git-fixes).
- gpio: pca953x: use the correct range when do regmap sync
  (git-fixes).
- gpio: pca953x: only use single read/write for No AI mode
  (git-fixes).
- drm/imx/dcss: Add missing of_node_put() in fail path
  (git-fixes).
- drm/ttm: fix locking in vmap/vunmap TTM GEM helpers (git-fixes).
- commit 7a76772
* Fri Jul 22 2022 tiwai@suse.de
- Update kabi files: import symvers from MU 5.14.21-150400.24.11
- commit 5ac1ff2
* Fri Jul 22 2022 tiwai@suse.de
- r8152: fix a WOL issue (git-fixes).
- docs: net: dsa: re-explain what port_fdb_dump actually does
  (git-fixes).
- docs: net: dsa: delete port_mdb_dump (git-fixes).
- docs: net: dsa: remove port_vlan_dump (git-fixes).
- docs: net: dsa: document port_fast_age (git-fixes).
- docs: net: dsa: document port_setup and port_teardown
  (git-fixes).
- docs: net: dsa: document the teardown method (git-fixes).
- docs: net: dsa: document change_tag_protocol (git-fixes).
- docs: net: dsa: add more info about the other arguments to
  get_tag_protocol (git-fixes).
- docs: net: dsa: rename tag_protocol to get_tag_protocol
  (git-fixes).
- docs: net: dsa: document the shutdown behavior (git-fixes).
- docs: net: dsa: update probing documentation (git-fixes).
- Revert "e1000e: Fix possible HW unit hang after an s0ix exit"
  (git-fixes).
- e1000e: Enable GPT clock before sending message to CSME
  (git-fixes).
- USB: serial: ftdi_sio: add Belimo device ids (git-fixes).
- serial: 8250: fix return error code in
  serial8250_request_std_resource() (git-fixes).
- tty: serial: samsung_tty: set dma burst_size to 1 (git-fixes).
- drm/i915/gt: Serialize GRDOM access between multiple engine
  resets (git-fixes).
- wifi: mac80211: fix queue selection for mesh/OCB interfaces
  (git-fixes).
- pinctrl: aspeed: Fix potential NULL dereference in
  aspeed_pinmux_set_mux() (git-fixes).
- irqchip: or1k-pic: Undefine mask_ack for level triggered
  hardware (git-fixes).
- ASoC: madera: Fix event generation for rate controls
  (git-fixes).
- ASoC: madera: Fix event generation for OUT1 demux (git-fixes).
- ASoC: cs47l15: Fix event generation for low power mux control
  (git-fixes).
- ASoC: dapm: Initialise kcontrol data for mux/demux controls
  (git-fixes).
- ASoC: rt711-sdca: fix kernel NULL pointer dereference when IO
  error (git-fixes).
- ASoC: wm5110: Fix DRE control (git-fixes).
- ASoC: Intel: bytcr_wm5102: Fix GPIO related probe-ordering
  problem (git-fixes).
- ASoC: wcd938x: Fix event generation for some controls
  (git-fixes).
- ASoC: SOF: Intel: hda-loader: Clarify the cl_dsp_init() flow
  (git-fixes).
- ASoC: codecs: rt700/rt711/rt711-sdca: initialize workqueues
  in probe (git-fixes).
- ASoC: rt7*-sdw: harden jack_detect_handler (git-fixes).
- soc: ixp4xx/npe: Fix unused match warning (git-fixes).
- cpufreq: pmac32-cpufreq: Fix refcount leak bug (git-fixes).
- NFC: nxp-nci: don't print header length mismatch on i2c error
  (git-fixes).
- platform/x86: hp-wmi: Ignore Sanitization Mode event
  (git-fixes).
- virtio_mmio: Restore guest page size on resume (git-fixes).
- virtio_mmio: Add missing PM calls to freeze/restore (git-fixes).
- cpufreq: mediatek: Unregister platform device on exit
  (git-fixes).
- cpufreq: mediatek: Use module_init and add module_exit
  (git-fixes).
- drm/i915/dg2: Add Wa_22011100796 (git-fixes).
- drm/i915: Require the vm mutex for i915_vma_bind() (git-fixes).
- drm/i915/uc: correctly track uc_fw init failure (git-fixes).
- commit 4bd213d
* Fri Jul 22 2022 tiwai@suse.de
- ARM: 9214/1: alignment: advance IT state after emulating Thumb
  instruction (git-fixes).
- ARM: 9213/1: Print message about disabled Spectre workarounds
  only once (git-fixes).
- ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
  (git-fixes).
- ALSA: hda/realtek - Fix headset mic problem for a HP machine
  with alc221 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP machines
  (git-fixes).
- ALSA: hda/realtek - Fix headset mic problem for a HP machine
  with alc671 (git-fixes).
- ALSA: hda - Add fixup for Dell Latitidue E5430 (git-fixes).
- ALSA: hda/conexant: Apply quirk for another HP ProDesk 600 G3
  model (git-fixes).
- ALSA: hda/realtek: Fix headset mic for Acer SF313-51
  (git-fixes).
- ASoC: rt711: fix calibrate mutex initialization (git-fixes).
- ASoC: Intel: sof_sdw: handle errors on card registration
  (git-fixes).
- ASoC: rt711-sdca-sdw: fix calibrate mutex initialization
  (git-fixes).
- ASoC: Realtek/Maxim SoundWire codecs: disable pm_runtime on
  remove (git-fixes).
- ASoC: ops: Fix off by one in range control validation
  (git-fixes).
- ALSA: usb-audio: Add quirk for Fiero SC-01 (fw v1.0.0)
  (git-fixes).
- ALSA: usb-audio: Add quirk for Fiero SC-01 (git-fixes).
- ALSA: usb-audio: Add quirks for MacroSilicon MS2100/MS2106
  devices (git-fixes).
- ARM: dts: stm32: use the correct clock source for CEC on
  stm32mp151 (git-fixes).
- commit 65713d7
* Fri Jul 22 2022 tiwai@suse.de
- Move upstreamed be2net patch into sorted section
- commit c55a187
* Fri Jul 22 2022 tiwai@suse.de
- Drop doubly applied arm64 dts patch
  Delete patches.suse/arm64-dts-broadcom-bcm4908-Fix-timer-node-for-BCM4906-SoC.patch
- commit efd9176
* Thu Jul 21 2022 mkoutny@suse.com
- KABI: cgroup: Restore KABI of css_set (bsc#1201610).
- cgroup: Use separate src/dst nodes when preloading css_sets
  for migration (bsc#1201610).
- commit fa420fb
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: macb: Fix lost RX packet wakeup race in NAPI receive (git-fixes).
- commit eb2677a
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: ipa: add an interconnect dependency (git-fixes).
- commit 94e475f
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: stmmac: fix return value of __setup handler (git-fixes).
- commit 3c858ea
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: sxgbe: fix return value of __setup handler (git-fixes).
- commit 723d359
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: sparx5: Fix add vlan when invalid operation (git-fixes).
- commit 1d88b17
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: chelsio: cxgb3: check the return value of
  pci_find_capability() (git-fixes).
- commit 74c8cc9
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: mv643xx_eth: process retval from of_get_mac_address
  (git-fixes).
- commit 810f895
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: ll_temac: check the return value of devm_kmalloc()
  (git-fixes).
- commit 093ee20
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: dsa: lan9303: add VLAN IDs to master device (git-fixes).
- commit 13c2302
* Thu Jul 21 2022 denis.kirjanov@suse.com
- Revert "net: ethernet: bgmac: Use
  devm_platform_ioremap_resource_byname" (git-fixes).
- commit 411126e
* Thu Jul 21 2022 denis.kirjanov@suse.com
- dpaa2-eth: Initialize mutex used in one step timestamping path
  (git-fixes).
- commit b952b7a
* Thu Jul 21 2022 denis.kirjanov@suse.com
- net: ieee802154: ca8210: Fix lifs/sifs periods (git-fixes).
- commit 7bd7001
* Thu Jul 21 2022 denis.kirjanov@suse.com
- blacklist.conf: add ARCnet drivers
- commit 1614d85
* Thu Jul 21 2022 msuchanek@suse.de
- Sort patches from bsc#1201323
- commit 4165437
* Thu Jul 21 2022 bp@suse.de
- Refresh
  patches.suse/x86-bugs-Do-not-enable-IBPB-on-entry-when-IBPB-is-not-supp.patch.
- commit c3b4451
* Thu Jul 21 2022 tiwai@suse.de
- lockdown: Fix kexec lockdown bypass with ima policy
  (CVE-2022-21505 bsc#1201458).
- commit 5f6e1e5
* Wed Jul 20 2022 ludwig.nussel@suse.de
- kernel-obs-build: include qemu_fw_cfg (boo#1201705)
- commit e2263d4
* Wed Jul 20 2022 dwagner@suse.de
- scsi: make sure that request queue queiesce and unquiesce
  balanced (bsc#1201651).
  Refresh:
  - patches.kabi/blk-mq-fix-kabi-support-concurrent-queue-quiesce-unquiesce.patch
  - patches.kabi/kABI-fix-adding-field-to-scsi_device.patch
  - patches.suse/scsi-core-sd-Add-silence_suspend-flag-to-suppress-some-PM-messages.patch
- scsi: avoid to quiesce sdev->request_queue two times
  (bsc#1201651).
- dm: don't stop request queue after the dm device is suspended
  (bsc#1201651).
- commit 4dedd62
* Wed Jul 20 2022 denis.kirjanov@suse.com
- kabi/severities: add intel ice
- commit 77a60f8
* Wed Jul 20 2022 oneukum@suse.com
- Delete patches.suse/xhci-turn-off-port-power-in-shutdown.patch
  (bsc#1201691)
  This patch leads to a failure to power off.
  https://bugzilla.kernel.org/show_bug.cgi?id=216243
- commit f2d59c9
* Wed Jul 20 2022 tiwai@suse.de
- i2c: smbus: Check for parent device before dereference
  (git-fixes).
- net: dsa: mv88e6xxx: fix use-after-free in
  mv88e6xxx_mdios_unregister (git-fixes).
- net: usb: qmi_wwan: add Telit 0x1070 composition (git-fixes).
- net: usb: qmi_wwan: add Telit 0x1060 composition (git-fixes).
- commit c96154e
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: flush switchdev FDB workqueue before
  removing VLAN (git-fixes).
- commit c4e0776
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: lan9303: fix reset on probe (git-fixes).
- commit 33805f1
* Tue Jul 19 2022 denis.kirjanov@suse.com
- ice: Avoid RTNL lock when re-creating auxiliary device
  (git-fixes).
- commit c168b96
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix mutex lock error during ethtool stats
  read (git-fixes).
- commit ceff3da
* Tue Jul 19 2022 denis.kirjanov@suse.com
- dpaa2-eth: unregister the netdev before disconnecting from
  the PHY (git-fixes).
- commit c46c86b
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: amd-xgbe: disable interrupts during pci removal
  (git-fixes).
- commit c2f5c50
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: mdio: aspeed: Add missing MODULE_DEVICE_TABLE (git-fixes).
- commit 1ebdd4d
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: lantiq_gswip: don't use devres for mdiobus
  (git-fixes).
- commit 93f4a90
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: mt7530: fix kernel bug in mdiobus_free() when
  unbinding (git-fixes).
- commit 76cc859
* Tue Jul 19 2022 ydfan@suse.com
- ethtool: Fix get module eeprom fallback (bsc#1201323).
- commit f5666fa
* Tue Jul 19 2022 dwagner@suse.de
- nvme: wait until quiesce is done (bsc#1201651).
- blk-mq: add one API for waiting until quiesce is done
  (bsc#1201651).
- commit d28bf38
* Tue Jul 19 2022 iivanov@suse.de
- arm64: cpufeature: add HWCAP for FEAT_RPRES (git-fixes)
  Refresh patches.suse/0019-arm64-Use-the-clearbhb-instruction-in-mitigations.patch
- commit cbc315a
* Tue Jul 19 2022 iivanov@suse.de
- arm64: cpufeature: add HWCAP for FEAT_AFP (git-fixes)
- commit b3a2425
* Tue Jul 19 2022 dwagner@suse.de
- blk-mq: fix kabi support concurrent queue quiesce unquiesce
  (bsc#1201651).
- commit def3ab7
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: felix: don't use devres for mdiobus (git-fixes).
- commit a03978a
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: bcm_sf2: don't use devres for mdiobus (git-fixes).
- commit 682abc6
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: ar9331: register the mdiobus under devres (git-fixes).
- commit 6f8e329
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: don't use devres for mdiobus (git-fixes).
- commit 61ee304
* Tue Jul 19 2022 denis.kirjanov@suse.com
- gve: Recording rx queue before sending to napi (git-fixes).
- commit 6edbff0
* Tue Jul 19 2022 denis.kirjanov@suse.com
- ixgbevf: Require large buffers for build_skb on 82599VF
  (git-fixes).
- commit 2479d47
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: sparx5: Fix get_stat64 crash in tcpdump (git-fixes).
- commit ea855e1
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: stmmac: ensure PTP time register reads are consistent
  (git-fixes).
- commit 993d341
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: macsec: Verify that send_sci is on when setting Tx sci
  explicitly (git-fixes).
- commit 3b02b3e
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: macsec: Fix offload support for NETDEV_UNREGISTER event
  (git-fixes).
- commit d048544
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: stmmac: dump gmac4 DMA registers correctly (git-fixes).
- commit 741baff
* Tue Jul 19 2022 dwagner@suse.de
- blk-mq: support concurrent queue quiesce/unquiesce
  (bsc#1201651).
- nvme: loop: clear NVME_CTRL_ADMIN_Q_STOPPED after admin queue
  is reallocated (bsc#1201651).
- nvme: paring quiesce/unquiesce (bsc#1201651).
- nvme: prepare for pairing quiescing and unquiescing
  (bsc#1201651).
- nvme: apply nvme API to quiesce/unquiesce admin queue
  (bsc#1201651).
- nvme: add APIs for stopping/starting admin queue (bsc#1201651).
- commit 6f75240
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: dsa: mt7530: make NET_DSA_MT7530 select MEDIATEK_GE_PHY
  (git-fixes).
- commit c68ab05
* Tue Jul 19 2022 ydfan@suse.com
- be2net: Fix buffer overflow in be_get_module_eeprom
  (bsc#1201323).
- commit 46a7cc8
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: stmmac: properly handle with runtime pm in
  stmmac_dvr_remove() (git-fixes).
- commit 904137a
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: ieee802154: ca8210: Stop leaking skb's (git-fixes).
- commit fe79137
* Tue Jul 19 2022 tiwai@suse.de
- Input: i8042 - Apply probe defer to more ASUS ZenBook models
  (bsc#1190256).
- commit cf06848
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: ieee802154: mcr20a: Fix lifs/sifs periods (git-fixes).
- commit 92bd067
* Tue Jul 19 2022 denis.kirjanov@suse.com
- net: ieee802154: hwsim: Ensure proper channel selection at
  probe time (git-fixes).
- commit 7ae5bdc
* Tue Jul 19 2022 denis.kirjanov@suse.com
- tun: fix bonding active backup with arp monitoring (git-fixes).
- commit cf865a3
* Tue Jul 19 2022 tiwai@suse.de
- Update patch references for fbcon fixes (CVE-2021-33655 bsc#1201635)
- commit eb3d075
* Mon Jul 18 2022 tiwai@suse.de
- supported.conf: rvu_mbox as supported (jsc#SLE-24682)
- commit f21578a
* Mon Jul 18 2022 mkoutny@suse.com
- blacklist.conf: Add memcg/rstat optimizations 11192d9c124d fd25a9e0e23b 5b3be698a872
- commit 932b7ef
* Mon Jul 18 2022 mkoutny@suse.com
- blacklist.conf: Add 26d5badbccdd signal: Implement force_fatal_sig
- commit 1fe0fd9
* Mon Jul 18 2022 colyli@suse.de
- nbd: fix possible overflow on 'first_minor' in nbd_dev_add()
  (git-fixes).
- md: bcache: check the return value of kzalloc() in
  detached_dev_do_request() (git-fixes).
- commit e2af2db
* Mon Jul 18 2022 tiwai@suse.de
- kABI workaround for snd-soc-rt5682-* (git-fixes).
- kabi/severities: ignore dropped symbol rt5682_headset_detect
- commit 5e19e6d
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-visconti: No change to ETHER_CLOCK_SEL for
  unexpected speed request (git-fixes).
- commit 59356c4
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: amd-xgbe: ensure to reset the tx_timer_active flag
  (git-fixes).
- commit 3831453
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: amd-xgbe: Fix skb data length underflow (git-fixes).
- commit 50d3988
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: stmmac: skip only stmmac_ptp_register when resume from
  suspend (git-fixes).
- commit b59b0a9
* Mon Jul 18 2022 lhenriques@suse.de
- blacklist: added commit e1a4541ec0b9
- commit 7d0447e
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: stmmac: configure PTP clock source prior to PTP
  initialization (git-fixes).
- commit 6cefa9d
* Mon Jul 18 2022 lhenriques@suse.de
- libceph: fix potential use-after-free on linger ping and resends
  (bsc#1201596).
- ceph: fix up non-directory creation in SGID directories
  (bsc#1201595).
- commit 8aa4851
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: cpsw: Properly initialise struct page_pool_params
  (git-fixes).
- commit d65aa35
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: sfp: ignore disabled SFP node (git-fixes).
- commit 5b8ce08
* Mon Jul 18 2022 denis.kirjanov@suse.com
- octeontx2-pf: Forward error codes to VF (git-fixes).
- commit 562327e
* Mon Jul 18 2022 denis.kirjanov@suse.com
- octeontx2-af: cn10k: Do not enable RPM loopback for LPC
  interfaces (git-fixes).
- commit b549cad
* Mon Jul 18 2022 denis.kirjanov@suse.com
- octeontx2-af: Do not fixup all VF action entries (git-fixes).
- commit dd1aa95
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-visconti: Fix clock configuration for RMII
  mode (git-fixes).
- commit e3e3f07
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-visconti: Fix bit definitions for
  ETHER_CLK_SEL (git-fixes).
- commit 1470b40
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net/fsl: xgmac_mdio: Fix incorrect iounmap when removing module
  (git-fixes).
- commit f842d14
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net/fsl: xgmac_mdio: Add workaround for erratum A-009885
  (git-fixes).
- commit 6cf1273
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: mscc: ocelot: fix using match before it is set (git-fixes).
- commit 78b3f03
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: cpsw: avoid alignment faults by taking NET_IP_ALIGN into
  account (git-fixes).
- commit cfa26bb
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: increase default TX ring size to 128 (git-fixes).
- commit d910ea1
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: fix for TX busy handling (git-fixes).
- commit 99e0d80
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: fix number of TX ring slots for available check
  (git-fixes).
- commit 0c7e435
* Mon Jul 18 2022 lhenriques@suse.de
- fuse: annotate lock in fuse_reverse_inval_entry() (bsc#1201593).
- fuse: make sure reclaim doesn't write the inode (bsc#1201592).
- commit 938aae2
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: Fix TX ring slot available check (git-fixes).
- commit c151ff3
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: limit minimum TX ring size (git-fixes).
- commit 13afdcb
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: add missing memory barriers (git-fixes).
- commit d466816
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: Wait for PhyRstCmplt after core reset (git-fixes).
- commit 7c11a1f
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: axienet: increase reset timeout (git-fixes).
- commit 5cd6041
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: sfp: fix high power modules without diagnostic monitoring
  (git-fixes).
- commit 8a29229
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: ethernet: mtk_eth_soc: fix error checking in
  mtk_mac_config() (git-fixes).
- commit 7d643fb
* Mon Jul 18 2022 denis.kirjanov@suse.com
- bcmgenet: add WOL IRQ check (git-fixes).
- commit d56437b
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: ipa: prevent concurrent replenish (git-fixes).
- commit 63abe4d
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: ipa: use a bitmap for endpoint replenish_enabled
  (git-fixes).
- commit 4d71717
* Mon Jul 18 2022 denis.kirjanov@suse.com
- net: ipa: fix atomic update in ipa_endpoint_replenish()
  (git-fixes).
- commit f58c0c8
* Mon Jul 18 2022 denis.kirjanov@suse.com
- fsl/fman: Check for null pointer after calling devm_ioremap
  (git-fixes).
- commit 2af3cae
* Mon Jul 18 2022 denis.kirjanov@suse.com
- rocker: fix a sleeping in atomic bug (git-fixes).
- commit 75f1355
* Mon Jul 18 2022 tiwai@suse.de
- kABI workaround for phy_device changes (git-fixes).
- commit 91e246e
* Mon Jul 18 2022 mgorman@suse.de
- mm: swap: get rid of livelock in swapin readahead (git fixes
  (mm/swap)).
- mm: don't try to NUMA-migrate COW pages that have other uses
  (git fixes (mm/numa)).
- mm/large system hash: avoid possible NULL deref in
  alloc_large_system_hash (git fixes (mm/pgalloc)).
- mm/vmalloc: make sure to dump unpurged areas in
  /proc/vmallocinfo (git fixes (mm/vmalloc)).
- mm/vmalloc: repair warn_alloc()s in __vmalloc_area_node()
  (git fixes (mm/vmalloc)).
- kasan: fix tag for large allocations when using CONFIG_SLAB
  (git fixes (mm/kasan)).
- mm/vmalloc: fix numa spreading for large hash tables (git fixes
  (mm/vmalloc)).
- mm/secretmem: avoid letting secretmem_users drop to zero
  (git fixes (mm/secretmem)).
- memcg: page_alloc: skip bulk allocator for __GFP_ACCOUNT
  (git fixes (mm/pgalloc)).
- commit 4d0f0a6
* Mon Jul 18 2022 mgorman@suse.de
- Update patch metadata and move to sorted section
  patches.suse/mm-page_alloc-Do-not-prefetch-buddies-during-bulk-free.patch.
  patches.suse/mm-page_alloc-Drain-the-requested-list-first-during-bulk-free.patch.
  patches.suse/mm-page_alloc-Fetch-the-correct-pcp-buddy-during-bulk-free.patch.
  patches.suse/mm-page_alloc-Free-pages-in-a-single-pass-during-bulk-free.patch.
  patches.suse/mm-page_alloc-Limit-number-of-high-order-pages-on-PCP-during-bulk-free.patch.
  patches.suse/mm-page_alloc-Simplify-how-many-pages-are-selected-per-pcp-list-during-bulk-free.patch.
  patches.suse/mm-page_alloc-Track-range-of-active-PCP-lists-during-bulk-free.patch.
- commit 14b9fbe
* Mon Jul 18 2022 oneukum@suse.com
- usbnet: fix memory leak in error case (git-fixes).
- commit 7372d17
* Mon Jul 18 2022 iivanov@suse.de
- arm64: dts: broadcom: bcm4908: Fix timer node for BCM4906 SoC (git-fixes)
- commit 9119799
* Mon Jul 18 2022 nstange@suse.de
- rpm/modules.fips: add ecdsa_generic (jsc#SLE-21132,bsc#1201258).
- commit 0d8f996
* Mon Jul 18 2022 iivanov@suse.de
- arm64: mm: Don't invalidate FROM_DEVICE buffers at start of DMA transfer (git-fixes)
- commit 3250248
* Mon Jul 18 2022 nstange@suse.de
- crypto: testmgr - allow ecdsa-nist in FIPS mode
  (jsc#SLE-21132,bsc#1201258).
- commit d8e5343
* Mon Jul 18 2022 mgorman@suse.de
- blacklist.conf: ffc95a46: CONFIG_SLAB not set in config
- commit d12fa0c
* Mon Jul 18 2022 iivanov@suse.de
- cpuidle: PSCI: Move the `has_lpi` check to the beginning of the (git-fixes)
- commit 3919bf9
* Mon Jul 18 2022 tiwai@suse.de
- usb: typec: add missing uevent when partner support PD
  (git-fixes).
- usb: dwc3: gadget: Fix event pending check (git-fixes).
- vt: fix memory overlapping when deleting chars in the buffer
  (git-fixes).
- wifi: mac80211_hwsim: set virtio device ready in probe()
  (git-fixes).
- sysctl: Fix data-races in proc_dointvec_ms_jiffies()
  (git-fixes).
- sysctl: Fix data-races in proc_dou8vec_minmax() (git-fixes).
- sysctl: Fix data races in proc_dointvec_jiffies() (git-fixes).
- sysctl: Fix data races in proc_doulongvec_minmax() (git-fixes).
- sysctl: Fix data races in proc_douintvec_minmax() (git-fixes).
- sysctl: Fix data races in proc_dointvec_minmax() (git-fixes).
- video: of_display_timing.h: include errno.h (git-fixes).
- commit 2f456a6
* Mon Jul 18 2022 tiwai@suse.de
- serial: 8250: Fix PM usage_count for console handover
  (git-fixes).
- serial: stm32: Clear prev values before setting RTS delays
  (git-fixes).
- serial: pl011: UPSTAT_AUTORTS requires .throttle/unthrottle
  (git-fixes).
- spi: amd: Limit max transfer and message size (git-fixes).
- reset: Fix devm bulk optional exclusive control getter
  (git-fixes).
- sysctl: Fix data races in proc_douintvec() (git-fixes).
- sysctl: Fix data races in proc_dointvec() (git-fixes).
- Revert "serial: sc16is7xx: Clear RS485 bits in the shutdown"
  (git-fixes).
- serial: sc16is7xx: Clear RS485 bits in the shutdown (git-fixes).
- commit f48404b
* Mon Jul 18 2022 tiwai@suse.de
- power/reset: arm-versatile: Fix refcount leak in
  versatile_reboot_probe (git-fixes).
- raw: Fix a data-race around sysctl_raw_l3mdev_accept
  (git-fixes).
- misc: rtsx_usb: set return value in rsp_buf alloc err path
  (git-fixes).
- r8169: fix accessing unset transport header (git-fixes).
- net: rose: fix UAF bug caused by rose_t0timer_expiry
  (git-fixes).
- pinctrl: sunxi: sunxi_pconf_set: use correct offset (git-fixes).
- pinctrl: sunxi: a83t: Fix NAND function name for some pins
  (git-fixes).
- net: phy: Don't trigger state machine while in suspend
  (git-fixes).
- mt76: mt7921: get rid of mt7921_mac_set_beacon_filter
  (git-fixes).
- commit 8948cad
* Mon Jul 18 2022 tiwai@suse.de
- kABI workaround for rtsx_usb (git-fixes).
- commit ea7f901
* Mon Jul 18 2022 tiwai@suse.de
- ima: Fix potential memory leak in ima_init_crypto() (git-fixes).
- ima: force signature verification when CONFIG_KEXEC_SIG is
  configured (git-fixes).
- ima: Fix a potential integer overflow in
  ima_appraise_measurement (git-fixes).
- ida: don't use BUG_ON() for debugging (git-fixes).
- misc: rtsx_usb: use separate command and response buffers
  (git-fixes).
- misc: rtsx_usb: fix use of dma mapped buffer for usb bulk
  transfer (git-fixes).
- i2c: cadence: Unregister the clk notifier in error path
  (git-fixes).
- i2c: piix4: Fix a memory leak in the EFCH MMIO support
  (git-fixes).
- memregion: Fix memregion_free() fallback definition (git-fixes).
- Input: cpcap-pwrbutton - handle errors from platform_get_irq()
  (git-fixes).
- commit 41d4678
* Mon Jul 18 2022 tiwai@suse.de
- efi/x86: use naked RET on mixed mode call wrapper (git-fixes).
- dt-bindings: dma: allwinner,sun50i-a64-dma: Fix min/max typo
  (git-fixes).
- fbmem: Check virtual screen sizes in fb_set_var() (git-fixes).
- fbcon: Prevent that screen size is smaller than font size
  (git-fixes).
- fbcon: Disallow setting font bigger than screen size
  (git-fixes).
- fbdev: fbmem: Fix logo center image dx issue (git-fixes).
- hwmon: (occ) Prevent power cap command overwriting poll response
  (git-fixes).
- dt-bindings: soc: qcom: smd-rpm: Fix missing MSM8936 compatible
  (git-fixes).
- hwmon: (occ) Remove sequence numbering and checksum calculation
  (git-fixes).
- dt-bindings: soc: qcom: smd-rpm: Add compatible for MSM8953 SoC
  (git-fixes).
- commit 5a5128b
* Mon Jul 18 2022 tiwai@suse.de
- drm/amd/display: Only use depth 36 bpp linebuffers on DCN
  display engines (git-fixes).
- drm/i915/gt: Serialize TLB invalidates with GT resets
  (git-fixes).
- drm/i915/selftests: fix a couple IS_ERR() vs NULL tests
  (git-fixes).
- drm/i915/gvt: IS_ERR() vs NULL bug in
  intel_gvt_update_reg_whitelist() (git-fixes).
- drm/panfrost: Fix shrinker list corruption by madvise IOCTL
  (git-fixes).
- drm/panfrost: Put mapping instead of shmem obj on
  panfrost_mmu_map_fault_addr() error (git-fixes).
- drm/i915: fix a possible refcount leak in
  intel_dp_add_mst_connector() (git-fixes).
- dmaengine: lgm: Fix an error handling path in intel_ldma_probe()
  (git-fixes).
- dmaengine: pl330: Fix lockdep warning about non-static key
  (git-fixes).
- dmaengine: at_xdma: handle errors of at_xdmac_alloc_desc()
  correctly (git-fixes).
- dmaengine: qcom: bam_dma: fix runtime PM underflow (git-fixes).
- dmaengine: imx-sdma: Allow imx8m for imx7 FW revs (git-fixes).
- drm/amdgpu: To flush tlb for MMHUB of RAVEN series (git-fixes).
- drm/amd/display: Fix by adding FPU protection for
  dcn30_internal_validate_bw (git-fixes).
- drm/amd/vcn: fix an error msg on vcn 3.0 (git-fixes).
- drm/i915: Fix a race between vma / object destruction and
  unbinding (git-fixes).
- drm/mediatek: Detect CMDQ execution timeout (git-fixes).
- drm/mediatek: Remove the pointer of struct cmdq_client
  (git-fixes).
- drm/mediatek: Use mailbox rx_callback instead of cmdq_task_cb
  (git-fixes).
- drm/amd/display: Set min dcfclk if pipe count is 0 (git-fixes).
- commit d7feb0b
* Mon Jul 18 2022 tiwai@suse.de
- dmaengine: ti: Add missing put_device in
  ti_dra7_xbar_route_allocate (git-fixes).
- dmaengine: ti: Fix refcount leak in ti_dra7_xbar_route_allocate
  (git-fixes).
- can: mcp251xfd: mcp251xfd_regmap_crc_read(): update workaround
  broken CRC on TBC register (git-fixes).
- can: mcp251xfd: mcp251xfd_regmap_crc_read(): improve workaround
  handling for mcp2517fd (git-fixes).
- can: m_can: m_can_chip_config(): actually enable internal
  timestamping (git-fixes).
- can: grcan: grcan_probe(): remove extra of_node_get()
  (git-fixes).
- can: gs_usb: gs_usb_open/close(): fix memory leak (git-fixes).
- Revert "can: xilinx_can: Limit CANFD brp to 2" (git-fixes).
- can: bcm: use call_rcu() instead of costly synchronize_rcu()
  (git-fixes).
- batman-adv: Use netif_rx() (git-fixes).
- commit ee36772
* Mon Jul 18 2022 tiwai@suse.de
- ASoC: Intel: Skylake: Correct the handling of fmt_config
  flexible array (git-fixes).
- ASoC: Intel: Skylake: Correct the ssp rate discovery in
  skl_get_ssp_clks() (git-fixes).
- ASoC: tas2764: Fix amp gain register offset & default
  (git-fixes).
- ASoC: tas2764: Correct playback volume range (git-fixes).
- ASoC: tas2764: Fix and extend FSYNC polarity handling
  (git-fixes).
- ASoC: tas2764: Add post reset delays (git-fixes).
- ASoC: sgtl5000: Fix noise on shutdown/remove (git-fixes).
- ASoC: Remove unused hw_write_t type (git-fixes).
- ASoC: codecs: rt700/rt711/rt711-sdca: resume bus/codec in
  .set_jack_detect (git-fixes).
- ASoC: rt711-sdca: Add endianness flag in
  snd_soc_component_driver (git-fixes).
- commit 46eda4a
* Mon Jul 18 2022 iivanov@suse.de
- arm64: Add HWCAP for self-synchronising virtual counter (git-fixes)
- commit e9387c5
* Mon Jul 18 2022 tiwai@suse.de
- ASoC: rt5682: Fix deadlock on resume (git-fixes).
- Refresh
  patches.suse/ASoC-rt5682-do-not-block-workqueue-if-card-is-unboun.patch.
- commit b58000f
* Mon Jul 18 2022 tiwai@suse.de
- ASoC: rt5682: Re-detect the combo jack after resuming
  (git-fixes).
- Refresh
  patches.suse/ASoC-rt5682-do-not-block-workqueue-if-card-is-unboun.patch.
- commit e602e5e
* Mon Jul 18 2022 tiwai@suse.de
- arm64: dts: broadcom: bcm4908: Fix cpu node for smp boot
  (git-fixes).
- arm64: dts: broadcom: bcm4908: Fix timer node for BCM4906 SoC
  (git-fixes).
- ARM: dts: imx6qdl-ts7970: Fix ngpio typo and count (git-fixes).
- arm64: dts: rockchip: Assign RK3399 VDU clock rate (git-fixes).
- ASoC: rt711: Add endianness flag in snd_soc_component_driver
  (git-fixes).
- ASoC: rt5682: fix an incorrect NULL check on list iterator
  (git-fixes).
- ASoC: rt5682: Avoid the unexpected IRQ event during going to
  suspend (git-fixes).
- ASoC: rt5682: move clk related code to rt5682_i2c_probe
  (git-fixes).
- commit 9f44c25
* Mon Jul 18 2022 tiwai@suse.de
- ARM: dts: sunxi: Fix SPI NOR campatible on Orange Pi Zero
  (git-fixes).
- ARM: dts: at91: sama5d2: Fix typo in i2s1 node (git-fixes).
- ACPI: video: Fix acpi_video_handles_brightness_key_presses()
  (git-fixes).
- ARM: 9210/1: Mark the FDT_FIXED sections as shareable
  (git-fixes).
- ARM: 9209/1: Spectre-BHB: avoid pr_info() every time a CPU
  comes out of idle (git-fixes).
- ACPI: CPPC: Only probe for _CPC if CPPC v2 is acked (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo L140PU (git-fixes).
- ALSA: usb-audio: Workarounds for Behringer UMC 204/404 HD
  (git-fixes).
- commit 72aed94
* Mon Jul 18 2022 tiwai@suse.de
- Move upstreamed netfilter and tty patches to sorted section
- commit 9d5e117
* Mon Jul 18 2022 bp@suse.de
- x86/bugs: Remove apostrophe typo (bsc#1190497).
- commit 0e5e638
* Mon Jul 18 2022 bp@suse.de
- Sort in RETbleed backport into the sorted section
  Now that it is upstream...
- Refresh
  patches.suse/KVM-VMX-Convert-launched-argument-to-flags.patch.
- Refresh
  patches.suse/KVM-VMX-Fix-IBRS-handling-after-vmexit.patch.
- Refresh patches.suse/KVM-VMX-Flatten-__vmx_vcpu_run.patch.
- Refresh
  patches.suse/KVM-VMX-Prevent-RSB-underflow-before-vmenter.patch.
- Refresh
  patches.suse/KVM-VMX-Prevent-guest-RSB-poisoning-attacks-with-eIBRS.patch.
- Refresh
  patches.suse/intel_idle-Disable-IBRS-during-long-idle.patch.
- Refresh patches.suse/objtool-Add-entry-UNRET-validation.patch.
- Refresh
  patches.suse/objtool-Re-add-UNWIND_HINT_-SAVE_RESTORE.patch.
- Refresh
  patches.suse/objtool-Treat-.text.__x86.-as-noinstr.patch.
- Refresh patches.suse/objtool-Update-Retpoline-validation.patch.
- Refresh patches.suse/x86-Add-magic-AMD-return-thunk.patch.
- Refresh patches.suse/x86-Undo-return-thunk-damage.patch.
- Refresh patches.suse/x86-Use-return-thunk-in-asm-code.patch.
- Refresh patches.suse/x86-bpf-Use-alternative-RET-encoding.patch.
- Refresh
  patches.suse/x86-bugs-Add-AMD-retbleed-boot-parameter.patch.
- Refresh
  patches.suse/x86-bugs-Add-Cannon-lake-to-RETBleed-affected-CPU-list.patch.
- Refresh patches.suse/x86-bugs-Add-retbleed-ibpb.patch.
- Refresh
  patches.suse/x86-bugs-Do-IBPB-fallback-check-only-once.patch.
- Refresh
  patches.suse/x86-bugs-Do-not-enable-IBPB-on-entry-when-IBPB-is-not-supp.patch.
- Refresh patches.suse/x86-bugs-Enable-STIBP-for-JMP2RET.patch.
- Refresh
  patches.suse/x86-bugs-Keep-a-per-CPU-IA32_SPEC_CTRL-value.patch.
- Refresh
  patches.suse/x86-bugs-Optimize-SPEC_CTRL-MSR-writes.patch.
- Refresh
  patches.suse/x86-bugs-Report-AMD-retbleed-vulnerability.patch.
- Refresh
  patches.suse/x86-bugs-Report-Intel-retbleed-vulnerability.patch.
- Refresh
  patches.suse/x86-bugs-Split-spectre_v2_select_mitigation-and-spectre_v2.patch.
- Refresh
  patches.suse/x86-common-Stamp-out-the-stepping-madness.patch.
- Refresh patches.suse/x86-cpu-amd-Add-Spectral-Chicken.patch.
- Refresh patches.suse/x86-cpu-amd-Enumerate-BTC_NO.patch.
- Refresh
  patches.suse/x86-cpufeatures-Move-RETPOLINE-flags-to-word-11.patch.
- Refresh
  patches.suse/x86-entry-Add-kernel-IBRS-implementation.patch.
- Refresh
  patches.suse/x86-ftrace-Use-alternative-RET-encoding.patch.
- Refresh
  patches.suse/x86-kvm-Fix-SETcc-emulation-for-return-thunks.patch.
- Refresh patches.suse/x86-kvm-vmx-Make-noinstr-clean.patch.
- Refresh patches.suse/x86-objtool-Create-.return_sites.patch.
- Refresh patches.suse/x86-retpoline-Cleanup-some-ifdefery.patch.
- Refresh
  patches.suse/x86-retpoline-Swizzle-retpoline-thunk.patch.
- Refresh patches.suse/x86-retpoline-Use-mfunction-return.patch.
- Refresh
  patches.suse/x86-sev-Avoid-using-__x86_return_thunk.patch.
- Refresh
  patches.suse/x86-speculation-Add-spectre_v2-ibrs-option-to-support-Kern.patch.
- Refresh
  patches.suse/x86-speculation-Fill-RSB-on-vmexit-for-IBRS.patch.
- Refresh
  patches.suse/x86-speculation-Fix-RSB-filling-with-CONFIG_RETPOLINE-n.patch.
- Refresh
  patches.suse/x86-speculation-Fix-SPEC_CTRL-write-on-SMT-state-change.patch.
- Refresh
  patches.suse/x86-speculation-Fix-firmware-entry-SPEC_CTRL-handling.patch.
- Refresh
  patches.suse/x86-speculation-Remove-x86_spec_ctrl_mask.patch.
- Refresh
  patches.suse/x86-speculation-Use-cached-host-SPEC_CTRL-value-for-guest-.patch.
- Refresh
  patches.suse/x86-static_call-Use-alternative-RET-encoding.patch.
- Refresh
  patches.suse/x86-vsyscall_emu-64-Don-t-use-RET-in-vsyscall-emulation.patch.
- Refresh patches.suse/x86-xen-Rename-SYS-entry-points.patch.
- commit cc67fa3
* Sat Jul 16 2022 lduncan@suse.com
- kABI: fix adding field to ufs_hba  (git-fixes).
- kABI: fix adding field to scsi_device (git-fixes).
- scsi: iscsi: Exclude zero from the endpoint ID range
  (git-fixes).
- scsi: scsi_debug: Fix zone transition to full condition
  (git-fixes).
- scsi: sd: Fix potential NULL pointer dereference (git-fixes).
- drbd: fix potential silent data corruption (git-fixes).
- scsi: ufs: core: scsi_get_lba() error fix (git-fixes).
- scsi: ufs: Fix runtime PM messages never-ending cycle
  (git-fixes).
- scsi: core: sd: Add silence_suspend flag to suppress some PM
  messages (git-fixes).
- scsi: ufs: Fix a deadlock in the error handler (git-fixes).
- scsi: ufs: Remove dead code (git-fixes).
- scsi: scsi_debug: Sanity check block descriptor length in
  resp_mode_select() (git-fixes).
- scsi: scsi_debug: Fix type in min_t to avoid stack OOB
  (git-fixes).
- scsi: scsi_debug: Don't call kcalloc() if size arg is zero
  (git-fixes).
- scsi: sd: Fix sd_do_mode_sense() buffer length handling
  (git-fixes).
- scsi: lpfc: Fix mailbox command failure during driver
  initialization (git-fixes).
- commit fb67102
* Sat Jul 16 2022 bp@suse.de
- perf/amd/ibs: Advertise zen4_ibs_extensions as pmu capability
  attribute (jsc#SLE-24578).
- commit 9992992
* Sat Jul 16 2022 bp@suse.de
- perf/amd/ibs: Add support for L3 miss filtering (jsc#SLE-24578).
- commit 3de312d
* Sat Jul 16 2022 bp@suse.de
- perf/amd/ibs: Use ->is_visible callback for dynamic attributes
  (jsc#SLE-24578).
- commit 1a42a36
* Sat Jul 16 2022 bp@suse.de
- perf/amd/ibs: Cascade pmu init functions' return value
  (jsc#SLE-24578).
- commit 82fef3c
* Fri Jul 15 2022 bp@suse.de
- x86/ibt,xen: Sprinkle the ENDBR (bsc#1201471).
- Refresh patches.suse/objtool-Update-Retpoline-validation.patch.
- commit cf7f7e0
* Fri Jul 15 2022 bp@suse.de
- x86/entry: Remove skip_r11rcx (bsc#1201524).
- Refresh
  patches.suse/x86-entry-Add-kernel-IBRS-implementation.patch.
- commit 64980c7
* Fri Jul 15 2022 jgross@suse.com
- xen/netback: avoid entering xenvif_rx_next_skb() with an empty
  rx queue (bsc#1201381).
- commit bf00db7
* Fri Jul 15 2022 duwe@suse.de
- crypto: qat - remove dma_free_coherent() for DH (git-fixes).
- crypto: qat - remove dma_free_coherent() for RSA (git-fixes).
- crypto: qat - fix memory leak in RSA (git-fixes).
- crypto: qat - set to zero DH parameters before free (git-fixes).
- crypto: qat - set CIPHER capability for DH895XCC (git-fixes).
- commit 3585cf1
* Thu Jul 14 2022 jeffm@suse.com
- rpm/kernel-binary.spec.in: Require dwarves >= 1.22 on SLE15-SP3 or newer
  Dwarves 1.22 or newer is required to build kernels with BTF information
  embedded in modules.
- commit ee19e9d
* Thu Jul 14 2022 denis.kirjanov@suse.com
- kabi/severities: add stmmac network driver local symbols
- commit 832dcf3
* Thu Jul 14 2022 denis.kirjanov@suse.com
- ppp: ensure minimum packet size in ppp_write() (git-fixes).
- commit 1871bcf
* Thu Jul 14 2022 denis.kirjanov@suse.com
- veth: Do not record rx queue hint in veth_xmit (git-fixes).
- commit 4e81b53
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: ethernet: mtk_eth_soc: fix return values and refactor
  MDIO ops (git-fixes).
- commit 89745b1
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: Add platform level debug register dump feature
  (git-fixes).
- commit 1f1e295
* Thu Jul 14 2022 denis.kirjanov@suse.com
- fsl/fman: Fix missing put_device() call in fman_port_probe
  (git-fixes).
- commit 1ea5bd4
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: lantiq_xrx200: fix statistics of received bytes
  (git-fixes).
- commit 21661cb
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: ag71xx: Fix a potential double free in error handling paths
  (git-fixes).
- commit bdd4068
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-visconti: Fix value of
  ETHER_CLK_SEL_FREQ_SEL_2P5M (git-fixes).
- commit 100c8d7
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: ptp: fix potentially overflowing expression
  (git-fixes).
- commit c8a3960
* Thu Jul 14 2022 denis.kirjanov@suse.com
- veth: ensure skb entering GRO are not cloned (git-fixes).
- commit de7c3ec
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: ks8851: Check for error irq (git-fixes).
- commit c6aa897
* Thu Jul 14 2022 denis.kirjanov@suse.com
- drivers: net: smc911x: Check for error irq (git-fixes).
- commit 76302d7
* Thu Jul 14 2022 denis.kirjanov@suse.com
- fjes: Check for error irq (git-fixes).
- commit 3518c05
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: marvell: prestera: fix incorrect return of port_find
  (git-fixes).
- commit caea254
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: systemport: Add global locking for descriptor lifecycle
  (git-fixes).
- commit ca205ab
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: dwmac-rk: fix oob read in rk_gmac_setup
  (git-fixes).
- commit d928a50
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: fix tc flower deletion for VLAN priority Rx
  steering (git-fixes).
- commit c13727a
* Thu Jul 14 2022 denis.kirjanov@suse.com
- netdevsim: don't overwrite read only ethtool parms (git-fixes).
- commit e49332e
* Thu Jul 14 2022 denis.kirjanov@suse.com
- nfp: Fix memory leak in nfp_cpp_area_cache_add() (git-fixes).
- commit 14806b1
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: mvpp2: fix XDP rx queues registering (git-fixes).
- commit 785d73e
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: fec: only clear interrupt of handling queue in
  fec_enet_rx_queue() (git-fixes).
- commit e300fac
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net/qla3xxx: fix an error code in ql_adapter_up() (git-fixes).
- commit 1aeafc7
* Thu Jul 14 2022 denis.kirjanov@suse.com
- qede: validate non LSO skb length (git-fixes).
- commit a6a6f45
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: altera: set a couple error code in probe() (git-fixes).
- commit 4b6f9c2
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: bcm4908: Handle dma_set_coherent_mask error codes
  (git-fixes).
- commit 57e402c
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: annotate data-races on txq->xmit_lock_owner (git-fixes).
- commit 823f883
* Thu Jul 14 2022 denis.kirjanov@suse.com
- octeontx2-af: Fix a memleak bug in rvu_mbox_init() (git-fixes).
- commit ab94872
* Thu Jul 14 2022 denis.kirjanov@suse.com
- vrf: Reset IPCB/IP6CB when processing outbound pkts in vrf
  dev xmit (git-fixes).
- commit eb079a6
* Thu Jul 14 2022 denis.kirjanov@suse.com
- natsemi: xtensa: fix section mismatch warnings (git-fixes).
- commit dbb5264
* Thu Jul 14 2022 denis.kirjanov@suse.com
- dpaa2-eth: destroy workqueue at the end of remove function
  (git-fixes).
- commit 1aeeaf7
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: marvell: mvpp2: Fix the computation of shared CPUs
  (git-fixes).
- commit f25bb21
* Thu Jul 14 2022 denis.kirjanov@suse.com
- Remove Half duplex mode speed capabilities (git-fixes).
- commit 92878dd
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: Avoid DMA_CHAN_CONTROL write if no Split Header
  support (git-fixes).
- commit de8c06a
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: stmmac: retain PTP clock time during SIOCSHWTSTAMP ioctls
  (git-fixes).
- commit a6567bd
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: phylink: Force retrigger in case of latched link-fail
  indicator (git-fixes).
- commit 6d547bd
* Thu Jul 14 2022 denis.kirjanov@suse.com
- net: phylink: Force link down and retrigger resolve on interface
  change (git-fixes).
- commit 4e89e84
* Thu Jul 14 2022 jslaby@suse.cz
- tty: use new tty_insert_flip_string_and_push_buffer() in
  pty_write() (bsc#1198829 CVE-2022-1462).
- tty: extract tty_flip_buffer_commit() from
  tty_flip_buffer_push() (bsc#1198829 CVE-2022-1462).
- commit decd358
* Wed Jul 13 2022 denis.kirjanov@suse.com
- octeontx2-af: Fix some memory leaks in the error handling path
  of 'cgx_lmac_init()' (git-fixes).
- commit 771ed28
* Wed Jul 13 2022 denis.kirjanov@suse.com
- octeontx2-af: Add a 'rvu_free_bitmap()' function (gix-fixes).
- commit bc0ad1c
* Wed Jul 13 2022 iivanov@suse.de
- gpio: tegra186: Add IRQ per bank for Tegra241 (jsc#SLE-24571)
- commit 6cf809d
* Wed Jul 13 2022 iivanov@suse.de
- gpio: tegra186: Add support for Tegra241 (jsc#SLE-24571)
- commit f025bf7
* Wed Jul 13 2022 iivanov@suse.de
- dt-bindings: gpio: Add Tegra241 support (jsc#SLE-24571)
- commit f8d4262
* Wed Jul 13 2022 iivanov@suse.de
- spi: tegra210-quad: combined sequence mode (jsc#SLE-24570)
- commit e187f9a
* Wed Jul 13 2022 iivanov@suse.de
- spi: tegra210-quad: add new chips to compatible (jsc#SLE-24570)
- commit f0be9d3
* Wed Jul 13 2022 iivanov@suse.de
- spi: tegra210-quad: add acpi support (jsc#SLE-24570)
- commit 55e4b0b
* Wed Jul 13 2022 iivanov@suse.de
- spi: tegra210-quad: use devm call for cdata memory (jsc#SLE-24570)
- commit 45eae59
* Wed Jul 13 2022 iivanov@suse.de
- spi: tegra210-quad: use device_reset method (jsc#SLE-24570)
- commit 3f5e1a3
* Wed Jul 13 2022 iivanov@suse.de
- spi: Add Tegra234 QUAD SPI compatible (jsc#SLE-24570)
- commit 58f5e5f
* Wed Jul 13 2022 iivanov@suse.de
- i2c: tegra: use i2c_timings for bus clock freq (jsc#SLE-24569)
- commit 47fa6c7
* Wed Jul 13 2022 iivanov@suse.de
- i2c: tegra: Add the ACPI support (jsc#SLE-24569)
- commit d323c6e
* Wed Jul 13 2022 iivanov@suse.de
- i2c: tegra: Add SMBus block read function (jsc#SLE-24569)
- commit 3dd00f6
* Wed Jul 13 2022 iivanov@suse.de
- i2c: smbus: Use device_*() functions instead of of_*() (jsc#SLE-24569)
- commit 3c0a341
* Wed Jul 13 2022 iivanov@suse.de
- docs: firmware-guide: ACPI: Add named interrupt doc (jsc#SLE-24569)
- commit 6cd5dd2
* Wed Jul 13 2022 iivanov@suse.de
- device property: Add fwnode_irq_get_byname (jsc#SLE-24569)
- commit cd979cf
* Wed Jul 13 2022 denis.kirjanov@suse.com
- net: dsa: xrs700x: be compatible with masters which unregister on shutdown (git-fixes).
- commit 067f613
* Wed Jul 13 2022 denis.kirjanov@suse.com
- net: dsa: microchip: ksz8863: be compatible with masters which unregister on shutdown (git-fixes).
- commit 8df6c27
* Wed Jul 13 2022 denis.kirjanov@suse.com
- net: dsa: hellcreek: be compatible with masters which unregister on shutdown (git-fixes).
- commit b13c76a
* Wed Jul 13 2022 denis.kirjanov@suse.com
- net: dsa: be compatible with masters which unregister on shutdown (git-fixes).
- commit 185c5a1
* Wed Jul 13 2022 denis.kirjanov@suse.com
- can: rcar_canfd: add __maybe_unused annotation to silence warning (git-fixes).
- commit 3436390
* Wed Jul 13 2022 denis.kirjanov@suse.com
- net: dpaa_eth: remove dead select in menuconfig FSL_DPAA_ETH (git-fixes).
- commit 5dea61c
* Wed Jul 13 2022 mbrugger@suse.com
- crypto: octeontx2 - fix missing unlock (jsc#SLE-24682).
- hwrng: cavium - fix NULL but dereferenced coccicheck error
  (jsc#SLE-24682).
- crypto: octeontx2 - add synchronization between mailbox accesses
  (jsc#SLE-24682).
- crypto: octeontx2 - increase CPT HW instruction queue length
  (jsc#SLE-24682).
- crypto: octeontx2 - CN10K CPT to RNM workaround (jsc#SLE-24682).
- crypto: octeontx2 - select CONFIG_NET_DEVLINK (jsc#SLE-24682).
- arm64: Add cavium_erratum_23154_cpus missing sentinel
  (jsc#SLE-24682).
- irqchip/gic-v3: Workaround Marvell erratum 38545 when reading
  IAR (jsc#SLE-24682).
- crypto: octeontx2 - Avoid stack variable overflow
  (jsc#SLE-24682).
- crypto: octeontx2 - out of bounds access in
  otx2_cpt_dl_custom_egrp_delete() (jsc#SLE-24682).
- crypto: octeontx2 - Use swap() instead of swap_engines()
  (jsc#SLE-24682).
- crypto: octeontx2 - parameters for custom engine groups
  (jsc#SLE-24682).
- crypto: octeontx2 - add apis for custom engine groups
  (jsc#SLE-24682).
- crypto: octeontx2 - use swap() to make code cleaner
  (jsc#SLE-24682).
- commit e64c29a
* Tue Jul 12 2022 tbogendoerfer@suse.de
- marvell: octeontx2: build error: unknown type name 'u64'
  (jsc#SLE-24682).
- commit ca6af39
* Tue Jul 12 2022 mbrugger@suse.com
- crypto: hisilicon/qm - modify the uacce mode check (bsc#1201391).
- commit 755232f
* Tue Jul 12 2022 tbogendoerfer@suse.de
- octeontx2-pf: devlink params support to set mcam entry count
  (jsc#SLE-24682).
- Refresh
  patches.suse/devlink-Make-devlink_register-to-be-void.patch.
- commit 255954c
* Tue Jul 12 2022 tbogendoerfer@suse.de
- octeontx2-pf: cn10k: Config DWRR weight based on MTU
  (jsc#SLE-24682).
- Refresh
  patches.suse/octeontx2-pf-cleanup-transmit-link-deriving-logic.patch.
- commit c99a251
* Tue Jul 12 2022 tbogendoerfer@suse.de
- octeontx2-vf: Add support for adaptive interrupt coalescing
  (jsc#SLE-24682).
- octeontx2-pf: replace bitmap_weight with bitmap_empty where
  appropriate (jsc#SLE-24682).
- octeontx2-af: fix error code in is_valid_offset()
  (jsc#SLE-24682).
- octeontx2-pf: Add support for adaptive interrupt coalescing
  (jsc#SLE-24682).
- octeontx2-pf: Remove unnecessary synchronize_irq() before
  free_irq() (jsc#SLE-24682).
- octeontx2-af: debugfs: fix error return of allocations
  (jsc#SLE-24682).
- octeontx2-af: initialize action variable (jsc#SLE-24682).
- octeontx2-af: cn10k: add workaround for ptp errata
  (jsc#SLE-24682).
- octeontx2-pf: cn10k: add support for new ptp timestamp format
  (jsc#SLE-24682).
- octeontx2-af: fix array bound error (jsc#SLE-24682).
- octeontx2-pf: Add TC feature for VFs (jsc#SLE-24682).
- octeontx2-pf: PFC config support with DCBx (jsc#SLE-24682).
- octeontx2-af: Flow control resource management (jsc#SLE-24682).
- octeontx2-af: Priority flow control configuration support
  (jsc#SLE-24682).
- octeontx2-af: Don't enable Pause frames by default
  (jsc#SLE-24682).
- octeontx2-af: Add KPU changes to parse NGIO as separate layer
  (jsc#SLE-24682).
- octeontx2-af: Increase link credit restore polling timeout
  (jsc#SLE-24682).
- octeontx2-pf: cn10k: Ensure valid pointers are freed to aura
  (jsc#SLE-24682).
- octeontx2-af: cn10k: Use appropriate register for LMAC enable
  (jsc#SLE-24682).
- octeontx2-af: Retry until RVU block reset complete
  (jsc#SLE-24682).
- octeontx2-af: Fix LBK backpressure id count (jsc#SLE-24682).
- octeontx2-af: Fix interrupt name strings (jsc#SLE-24682).
- octeontx2-nicvf: Free VF PTP resources (jsc#SLE-24682).
- octeontx2-af: Increment ptp refcount before use (jsc#SLE-24682).
- octeontx2-af: debugfs: don't corrupt user memory
  (jsc#SLE-24682).
- octeontx2-pf: select CONFIG_NET_DEVLINK (jsc#SLE-24682).
- octeontx2-af: use swap() to make code cleaner (jsc#SLE-24682).
- octeontx2-af: debugfs: Add channel and channel mask
  (jsc#SLE-24682).
- octeontx2-af: cn10k: debugfs for dumping LMTST map table
  (jsc#SLE-24682).
- octeontx2-af: debugfs: Minor changes (jsc#SLE-24682).
- octeontx2-af: Increase number of reserved entries in KPU
  (jsc#SLE-24682).
- octeontx2-nic: fix mixed module build (jsc#SLE-24682).
- octeontx2-af: Add support to flush full CPT CTX cache
  (jsc#SLE-24682).
- octeontx2-af: Perform cpt lf teardown in non FLR path
  (jsc#SLE-24682).
- octeontx2-af: Enable CPT HW interrupts (jsc#SLE-24682).
- octeontx2-pf: Simplify the receive buffer size calculation
  (jsc#SLE-24682).
- octeontx2-af: Remove redundant initialization of variable pin
  (jsc#SLE-24682).
- octeontx2-pf: Add XDP support to netdev PF (jsc#SLE-24682).
- octeontx2-af: Adjust LA pointer for cpt parse header
  (jsc#SLE-24682).
- octeontx2-nicvf: Add PTP hardware clock support to NIX VF
  (jsc#SLE-24682).
- octeontx2-pf: Use hardware register for CQE count
  (jsc#SLE-24682).
- octeontx2-af: Add external ptp input clock (jsc#SLE-24682).
- octeontx2-af: Use ptp input clock info from firmware data
  (jsc#SLE-24682).
- octeontx2-af: Reset PTP config in FLR handler (jsc#SLE-24682).
- octeontx2: Move devlink registration to be last devlink command
  (jsc#SLE-24682).
- octeontx2-af: Optimize KPU1 processing for variable-length
  headers (jsc#SLE-24682).
- octeontx2-af: Limit KPU parsing for GTPU packets
  (jsc#SLE-24682).
- octeontx2-af: verify CQ context updates (jsc#SLE-24682).
- octeontx2-af: Remove redundant initialization of variable
  blkaddr (jsc#SLE-24682).
- octeontx2-af: Fix uninitialized variable val (jsc#SLE-24682).
- octeontx2-af: Hardware configuration for inline IPsec
  (jsc#SLE-24682).
- octeontx2-pf: CN10K: Hide RPM stats over ethtool
  (jsc#SLE-24682).
- octeontx2-pf: cn10K: Reserve LMTST lines per core
  (jsc#SLE-24682).
- octeontx2-af: Use NDC TX for transmit packet data
  (jsc#SLE-24682).
- octeontx2-pf: Add vlan-etype to ntuple filters (jsc#SLE-24682).
- octeontx2-af: Fix inconsistent license text (jsc#SLE-24682).
- octeontx2-pf: Fix inconsistent license text (jsc#SLE-24682).
- octeontx2-af: cn10K: support for sched lmtst and other features
  (jsc#SLE-24682).
- octeontx2-af: Add mbox to retrieve bandwidth profile free count
  (jsc#SLE-24682).
- octeontx2-af: Remove channel verification while installing
  MCAM rules (jsc#SLE-24682).
- octeontx2-af: Add PTP device id for CN10K and 95O silcons
  (jsc#SLE-24682).
- octeontx2-af: Add free rsrc count mbox msg (jsc#SLE-24682).
- octeontx2-af: Add SDP interface support (jsc#SLE-24682).
- octeontx2-af: nix and lbk in loop mode in 98xx (jsc#SLE-24682).
- octeontx2-af: Allow to configure flow tag LSB byte as RSS adder
  (jsc#SLE-24682).
- octeontx2-af: enable tx shaping feature for 96xx C0
  (jsc#SLE-24682).
- octeontx2-af: Wait for TX link idle for credits change
  (jsc#SLE-24682).
- octeontx2-af: Change the order of queue work and interrupt
  disable (jsc#SLE-24682).
- octeontx2-af: cn10k: Set cache lines for NPA batch alloc
  (jsc#SLE-24682).
- octeontx2-af: Use DMA_ATTR_FORCE_CONTIGUOUS attribute in DMA
  alloc (jsc#SLE-24682).
- octeontx2-pf: Don't mask out supported link modes
  (jsc#SLE-24682).
- octeontx2-af: Handle return value in block reset
  (jsc#SLE-24682).
- octeontx2-pf: Add check for non zero mcam flows (jsc#SLE-24682).
- octeontx2-af: remove redudant second error check on variable
  err (jsc#SLE-24682).
- octeontx2-pf: Allow VLAN priority also in ntuple filters
  (jsc#SLE-24682).
- octeontx2-af: configure npc for cn10k to allow packets from cpt
  (jsc#SLE-24682).
- octeontx2-af: cn10K: Get NPC counters value (jsc#SLE-24682).
- octeontx2-af: Allocate low priority entries for PF
  (jsc#SLE-24682).
- octeontx2-pf: Unify flow management variables (jsc#SLE-24682).
- octeontx2-pf: Sort the allocated MCAM entry indices
  (jsc#SLE-24682).
- octeontx2-pf: Ntuple filters support for VF netdev
  (jsc#SLE-24682).
- octeontx2-pf: Enable NETIF_F_RXALL support for VF driver
  (jsc#SLE-24682).
- octeontx2-af: Add debug messages for failures (jsc#SLE-24682).
- octeontx2-af: add proper return codes for AF mailbox handlers
  (jsc#SLE-24682).
- octeontx2-af: Modify install flow error codes (jsc#SLE-24682).
- octeontx2-af: Fix spelling mistake "Makesure" -> "Make sure"
  (jsc#SLE-24682).
- octeontx2-af: cn10k: DWRR MTU configuration (jsc#SLE-24682).
- octeontx2-af: Enhance mailbox trace entry (jsc#SLE-24682).
- commit 7af5fda
* Mon Jul 11 2022 lduncan@suse.com
- kABI: fix removal of iscsi_destroy_conn (bsc#1198410).
- kABI: fix change of iscsi_host_remove() arguments (bsc#1198410).
- scsi: iscsi: Fix session removal on shutdown (bsc#1198410).
- scsi: qedi: Use QEDI_MODE_NORMAL for error handling
  (bsc#1198410).
- scsi: iscsi: Add helper to remove a session from the kernel
  (bsc#1198410).
- scsi: iscsi: Clean up bound endpoints during shutdown
  (bsc#1198410).
- scsi: iscsi: Allow iscsi_if_stop_conn() to be called from kernel
  (bsc#1198410).
- scsi: iscsi: Fix HW conn removal use after free (bsc#1198410).
- scsi: libiscsi: Teardown iscsi_cls_conn gracefully
  (bsc#1198410).
- scsi: iscsi: Add helper functions to manage iscsi_cls_conn
  (bsc#1198410).
- commit 3d68d7d
* Mon Jul 11 2022 neilb@suse.de
- don't call utsname() after ->nsproxy is NULL (bsc#1201196).
- commit 9689c47
* Fri Jul  8 2022 bp@suse.de
- x86/kexec: Disable RET on kexec (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit d1e1c13
* Fri Jul  8 2022 bp@suse.de
- x86/bugs: Do not enable IBPB-on-entry when IBPB is not supported
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 3be5cfd
* Fri Jul  8 2022 bp@suse.de
- x86/bugs: Add Cannon lake to RETBleed affected CPU list
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 739eddd
* Fri Jul  8 2022 ohering@suse.de
- PCI: hv: Fix interrupt mapping for multi-MSI (bsc#1200845).
- PCI: hv: Reuse existing IRTE allocation in compose_msi_msg()
  (bsc#1200845).
- PCI: hv: Fix hv_arch_irq_unmask() for multi-MSI (bsc#1200845).
- PCI: hv: Fix multi-MSI to allow more than one MSI vector
  (bsc#1200845).
- commit e1e83aa
* Fri Jul  8 2022 aabdallah@suse.de
- ibmvnic: Properly dispose of all skbs during a failover
  (bsc#1200925).
- commit c771c51
* Thu Jul  7 2022 tabraham@suse.com
- cpufreq: intel_pstate: Add Ice Lake server to out-of-band IDs
  (bsc#1201228).
- commit e9e6c6d
* Thu Jul  7 2022 vbabka@suse.cz
- mm/slub: add missing TID updates on slab deactivation
  (git-fixes).
- commit 2839b22
* Wed Jul  6 2022 tiwai@suse.de
- Update patch reference for rose fix (CVE-2022-2318 bsc#1201251)
- commit 6740ddf
* Wed Jul  6 2022 jgross@suse.com
- xen-netfront: restore __skb_queue_tail() positioning in
  xennet_get_responses() (bsc#1200763, CVE-2022-33743, XSA-405).
- commit 3452cb8
* Wed Jul  6 2022 jgross@suse.com
- xen/netfront: force data bouncing when backend is untrusted
  (bsc#1200762, CVE-2022-33741, XSA-403).
- commit 8573a2a
* Wed Jul  6 2022 jgross@suse.com
- xen/netfront: fix leaking data in shared pages (bsc#1200762,
  CVE-2022-33740, XSA-403).
- commit d781d02
* Wed Jul  6 2022 jgross@suse.com
- xen/blkfront: force data bouncing when backend is untrusted
  (bsc#1200762, CVE-2022-33742, XSA-403).
- commit e887a75
* Wed Jul  6 2022 jgross@suse.com
- xen/blkfront: fix leaking data in shared pages (bsc#1200762,
  CVE-2022-26365, XSA-403).
- commit 5f3a98c
* Tue Jul  5 2022 jgross@suse.com
- KVM: VMX: Wake vCPU when delivering posted IRQ even if vCPU ==
  this vCPU (git-fixes).
- Refresh
  patches.suse/KVM-nVMX-Ensure-vCPU-honors-event-request-if-posting.patch.
- commit cc9c0cb
* Tue Jul  5 2022 tiwai@suse.de
- kabi/severities: allow dropping a few invalid exported symbols (bsc#1201218)
- commit fb35701
* Tue Jul  5 2022 tiwai@suse.de
- net: ipv6: unexport __init-annotated seg6_hmac_net_init()
  (bsc#1201218).
- tick/nohz: unexport __init-annotated tick_nohz_full_setup()
  (bsc#1201218).
- clocksource: hyper-v: unexport __init-annotated
  hv_init_clocksource() (bsc#1201218).
- xen: unexport __init-annotated xen_xlate_map_ballooned_pages()
  (bsc#1201218).
- net: ipv6: unexport __init-annotated seg6_hmac_init()
  (bsc#1201218).
- net: xfrm: unexport __init-annotated xfrm4_protocol_init()
  (bsc#1201218).
- net: mdio: unexport __init-annotated mdio_bus_init()
  (bsc#1201218).
- commit f8aa8f6
* Tue Jul  5 2022 tiwai@suse.de
- netfilter: nf_tables: stricter validation of element data
  (CVE-2022-34918 bsc#1201171).
- commit 6821024
* Tue Jul  5 2022 tiwai@suse.de
- usbnet: fix memory allocation in helpers (git-fixes).
- virtio-net: fix race between ndo_open() and
  virtio_device_ready() (git-fixes).
- xhci-pci: Allow host runtime PM as default for Intel Meteor
  Lake xHCI (git-fixes).
- xhci-pci: Allow host runtime PM as default for Intel Raptor
  Lake xHCI (git-fixes).
- xhci: turn off port power in shutdown (git-fixes).
- virtio_net: fix xdp_rxq_info bug after suspend/resume
  (git-fixes).
- virtio_net: fix wrong buf address calculation when using xdp
  (git-fixes).
- commit bb6cd2d
* Tue Jul  5 2022 tiwai@suse.de
- PM / devfreq: exynos-ppmu: Fix refcount leak in
  of_get_devfreq_events (git-fixes).
- net: rose: fix UAF bugs caused by timer handler (git-fixes).
- net: usb: ax88179_178a: Fix packet receiving (git-fixes).
- net: phy: ax88772a: fix lost pause advertisement configuration
  (git-fixes).
- NFC: nxp-nci: Don't issue a zero length i2c_master_read()
  (git-fixes).
- nfc: nfcmrvl: Fix irq_of_parse_and_map() return value
  (git-fixes).
- net: usb: asix: do not force pause frames support (git-fixes).
- platform/x86: panasonic-laptop: filter out duplicate volume
  up/down/mute keypresses (git-fixes).
- platform/x86: panasonic-laptop: don't report duplicate
  brightness key-presses (git-fixes).
- platform/x86: panasonic-laptop: revert "Resolve hotkey double
  trigger bug" (git-fixes).
- platform/x86: panasonic-laptop: sort includes alphabetically
  (git-fixes).
- platform/x86: panasonic-laptop: de-obfuscate button codes
  (git-fixes).
- soc: bcm: brcmstb: pm: pm-arm: Fix refcount leak in
  brcmstb_pm_probe (git-fixes).
- modpost: fix section mismatch check for exported init/exit
  sections (git-fixes).
- usb: chipidea: udc: check request status before setting device
  address (git-fixes).
- USB: gadget: Fix double-free bug in raw_gadget driver
  (git-fixes).
- USB: serial: option: add Quectel RM500K module support
  (git-fixes).
- USB: serial: option: add Quectel EM05-G modem (git-fixes).
- USB: serial: pl2303: add support for more HXN (G) types
  (git-fixes).
- USB: serial: option: add Telit LE910Cx 0x1250 composition
  (git-fixes).
- usb: gadget: Fix non-unique driver names in raw-gadget driver
  (git-fixes).
- mtd: rawnand: gpmi: Fix setting busy timeout setting
  (git-fixes).
- regmap-irq: Fix offset/index mismatch in read_sub_irq_data()
  (git-fixes).
- regmap-irq: Fix a bug in regmap_irq_enable() for type_in_mask
  chips (git-fixes).
- mmc: mediatek: wait dma stop bit reset to 0 (git-fixes).
- rtw88: rtw8821c: enable rfe 6 devices (git-fixes).
- rtw88: 8821c: support RFE type4 wifi NIC (git-fixes).
- commit a292641
* Tue Jul  5 2022 tiwai@suse.de
- hwmon: (ibmaem) don't call platform_device_del() if
  platform_device_add() fails (git-fixes).
- Revert "drm/amdgpu/display: set vblank_disable_immediate for DC"
  (git-fixes).
- drm/fourcc: fix integer type usage in uapi header (git-fixes).
- drm/i915/gem: add missing else (git-fixes).
- epic100: fix use after free on rmmod (git-fixes).
- linux/dim: Fix divide by 0 in RDMA DIM (git-fixes).
- memory: samsung: exynos5422-dmc: Fix refcount leak in
  of_get_dram_timings (git-fixes).
- iio: accel: mma8452: ignore the return value of reset operation
  (git-fixes).
- iio: adc: stm32: fix maximum clock rate for stm32mp15x
  (git-fixes).
- iio: adc: vf610: fix conversion mode sysfs node name
  (git-fixes).
- iio: adc: adi-axi-adc: Fix refcount leak in
  adi_axi_adc_attach_client (git-fixes).
- iio:humidity:hts221: rearrange iio trigger get and register
  (git-fixes).
- iio:chemical:ccs811: rearrange iio trigger get and register
  (git-fixes).
- iio:accel:mxc4005: rearrange iio trigger get and register
  (git-fixes).
- iio:accel:kxcjk-1013: rearrange iio trigger get and register
  (git-fixes).
- iio:accel:bma180: rearrange iio trigger get and register
  (git-fixes).
- iio: afe: rescale: Fix boolean logic bug (git-fixes).
- iio: adc: stm32: Fix IRQs on STM32F4 by removing custom spurious
  IRQs message (git-fixes).
- iio: adc: stm32: Fix ADCs iteration in irq handler (git-fixes).
- iio: adc: ti-ads131e08: add missing fwnode_handle_put() in
  ads131e08_alloc_channels() (git-fixes).
- iio: trigger: sysfs: fix use-after-free on remove (git-fixes).
- iio: gyro: mpu3050: Fix the error handling in mpu3050_power_up()
  (git-fixes).
- iio: magnetometer: yas530: Fix memchr_inv() misuse (git-fixes).
- iio: adc: axp288: Override TS pin bias current for some models
  (git-fixes).
- iio: mma8452: fix probe fail when device tree compatible is used
  (git-fixes).
- dt-bindings: usb: ehci: Increase the number of PHYs (git-fixes).
- dt-bindings: usb: ohci: Increase the number of PHYs (git-fixes).
- gpio: winbond: Fix error code in winbond_gpio_get() (git-fixes).
- drm/msm/dp: force link training for display resolution change
  (git-fixes).
- commit 29490b2
* Tue Jul  5 2022 tiwai@suse.de
- drivers: cpufreq: Add missing of_node_put() in qoriq-cpufreq.c
  (git-fixes).
- drm/msm/dp: check core_initialized before disable interrupts
  at dp_display_unbind() (git-fixes).
- drm/msm/mdp4: Fix refcount leak in mdp4_modeset_init_intf
  (git-fixes).
- drm/msm: use for_each_sgtable_sg to iterate over scatterlist
  (git-fixes).
- drm/msm: Switch ordering of runpm put vs devfreq_idle
  (git-fixes).
- drm/msm: Fix double pm_runtime_disable() call (git-fixes).
- drm/i915: Implement w/a 22010492432 for adl-s (git-fixes).
- drm/sun4i: Fix crash during suspend after component bind failure
  (git-fixes).
- drm/amd/display: Don't reinitialize DMCUB on s0ix resume
  (git-fixes).
- drm/msm/dp: dp_link_parse_sink_count() return immediately if
  aux read failed (git-fixes).
- commit 3a6b863
* Tue Jul  5 2022 tiwai@suse.de
- arm64: dts: qcom: msm8994: Fix CPU6/7 reg values (git-fixes).
- ARM: meson: Fix refcount leak in meson_smp_prepare_cpus
  (git-fixes).
- arm64: dts: imx8mp-phyboard-pollux-rdk: correct i2c2 & mmc
  settings (git-fixes).
- arm64: dts: imx8mp-phyboard-pollux-rdk: correct eqos pad
  settings (git-fixes).
- arm64: dts: imx8mp-phyboard-pollux-rdk: correct uart pad
  settings (git-fixes).
- arm64: dts: imx8mp-evk: correct I2C3 pad settings (git-fixes).
- arm64: dts: imx8mp-evk: correct I2C1 pad settings (git-fixes).
- arm64: dts: imx8mp-evk: correct vbus pad settings (git-fixes).
- arm64: dts: imx8mp-evk: correct eqos pad settings (git-fixes).
- arm64: dts: imx8mp-evk: correct vbus pad settings (git-fixes).
- arm64: dts: imx8mp-evk: correct gpio-led pad settings
  (git-fixes).
- arm64: dts: imx8mp-evk: correct the uart2 pinctl value
  (git-fixes).
- arm64: dts: imx8mp-evk: correct mmc pad settings (git-fixes).
- ARM: mxs_defconfig: Enable the framebuffer (git-fixes).
- ARM: at91: fix soc detection for SAM9X60 SiPs (git-fixes).
- ARM: dts: at91: sama5d2_icp: fix eeprom compatibles (git-fixes).
- ARM: dts: at91: sam9x60ek: fix eeprom compatible and size
  (git-fixes).
- ARM: at91: pm: use proper compatibles for sam9x60's rtc and rtt
  (git-fixes).
- ARM: at91: pm: use proper compatible for sama5d2's rtc
  (git-fixes).
- ACPI: video: Change how we determine if brightness key-presses
  are handled (git-fixes).
- caif_virtio: fix race between virtio_device_ready() and
  ndo_open() (git-fixes).
- ARM: exynos: Fix refcount leak in exynos_map_pmu (git-fixes).
- ARM: dts: bcm2711-rpi-400: Fix GPIO line names (git-fixes).
- arm64: dts: ti: k3-am64-main: Remove support for HS400 speed
  mode (git-fixes).
- ARM: cns3xxx: Fix refcount leak in cns3xxx_init (git-fixes).
- ARM: Fix refcount leak in axxia_boot_secondary (git-fixes).
- ARM: dts: imx6qdl: correct PU regulator ramp delay (git-fixes).
- ARM: dts: imx7: Move hsic_phy power domain to HSIC PHY node
  (git-fixes).
- ata: libata: add qc->flags in ata_qc_complete_template
  tracepoint (git-fixes).
- commit b2f3ec0
* Mon Jul  4 2022 dwagner@suse.de
- nvme: add verbose error logging (bsc#1200567).
  Update config files.
- commit d728b74
* Mon Jul  4 2022 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.2.0.4 (bsc#1201193).
- scsi: lpfc: Allow reduced polling rate for
  nvme_admin_async_event cmd completion (bsc#1201193).
- scsi: lpfc: Add more logging of cmd and cqe information for
  aborted NVMe cmds (bsc#1201193).
- scsi: lpfc: Fix port stuck in bypassed state after LIP in
  PT2PT topology (bsc#1201193).
- scsi: lpfc: Resolve NULL ptr dereference after an ELS LOGO is
  aborted (bsc#1201193).
- scsi: lpfc: Address NULL pointer dereference after
  starget_to_rport() (bsc#1201193).
- scsi: lpfc: Resolve some cleanup issues following SLI path
  refactoring (bsc#1201193).
- scsi: lpfc: Resolve some cleanup issues following abort path
  refactoring (bsc#1201193).
- scsi: lpfc: Correct BDE type for XMIT_SEQ64_WQE in
  lpfc_ct_reject_event() (bsc#1201193).
- scsi: lpfc: Add support for ATTO Fibre Channel devices
  (bsc#1201193).
- scsi: lpfc: Add support for VMID tagging of NVMe I/Os
  (bsc#1201193).
- scsi: lpfc: Rework lpfc_vmid_get_appid() to be protocol
  independent (bsc#1201193).
- scsi: lpfc: Commonize VMID code location (bsc#1201193).
- scsi: nvme-fc: Add new routine nvme_fc_io_getuuid()
  (bsc#1201193).
- commit 19236f6
* Mon Jul  4 2022 denis.kirjanov@suse.com
- net: marvell: mvpp2: increase MTU limit when XDP enabled
  (git-fixes).
- commit 0a53cad
* Mon Jul  4 2022 denis.kirjanov@suse.com
- mlxsw: spectrum: Protect driver from buggy firmware (git-fixes).
- commit 5106bcc
* Mon Jul  4 2022 denis.kirjanov@suse.com
- nfp: checking parameter process for rx-usecs/tx-usecs is invalid
  (git-fixes).
- commit 5bca6f6
* Mon Jul  4 2022 denis.kirjanov@suse.com
- net: marvell: prestera: fix double free issue on err path
  (git-fixes).
- commit 7d71374
* Mon Jul  4 2022 denis.kirjanov@suse.com
- net: dpaa2-eth: fix use-after-free in dpaa2_eth_remove
  (git-fixes).
- commit fd69472
* Mon Jul  4 2022 denis.kirjanov@suse.com
- net: stmmac: Fix signed/unsigned wreckage (git-fixes).
- commit ab42270
* Mon Jul  4 2022 denis.kirjanov@suse.com
- net: mvmdio: fix compilation warning (git-fixes).
- commit 717e02c
* Mon Jul  4 2022 dwagner@suse.de
- scsi: qla2xxx: Update version to 10.02.07.700-k (bsc#1201160).
- scsi: qla2xxx: Fix erroneous mailbox timeout after PCI error
  injection (bsc#1201160).
- scsi: qla2xxx: Fix losing FCP-2 targets on long port disable
  with I/Os (bsc#1201160).
  Refresh:
  - patches.suse/revert-scsi-qla2xxx-Changes-to-support-FCP2-Target.patch
- scsi: qla2xxx: Add debug prints in the device remove path
  (bsc#1201160).
- scsi: qla2xxx: Fix losing target when it reappears during delete
  (bsc#1201160).
- scsi: qla2xxx: Fix losing FCP-2 targets during port perturbation
  tests (bsc#1201160).
- scsi: qla2xxx: Fix crash due to stale SRB access around I/O
  timeouts (bsc#1201160).
- scsi: qla2xxx: Turn off multi-queue for 8G adapters
  (bsc#1201160).
- scsi: qla2xxx: Wind down adapter after PCIe error (bsc#1201160).
- scsi: qla2xxx: Add a new v2 dport diagnostic feature
  (bsc#1201160).
- scsi: qla2xxx: Fix excessive I/O error messages by default
  (bsc#1201160).
- scsi: qla2xxx: Update version to 10.02.07.600-k (bsc#1201160).
- scsi: qla2xxx: edif: Fix slow session teardown (bsc#1201160).
- scsi: qla2xxx: edif: Reduce N2N thrashing at app_start time
  (bsc#1201160).
- scsi: qla2xxx: edif: Fix no logout on delete for N2N
  (bsc#1201160).
- scsi: qla2xxx: edif: Fix session thrash (bsc#1201160).
- scsi: qla2xxx: edif: Tear down session if keys have been removed
  (bsc#1201160).
- scsi: qla2xxx: edif: Fix no login after app start (bsc#1201160).
- scsi: qla2xxx: edif: Reduce disruption due to multiple app start
  (bsc#1201160).
- scsi: qla2xxx: edif: Send LOGO for unexpected IKE message
  (bsc#1201160).
- scsi: qla2xxx: edif: Fix I/O timeout due to over-subscription
  (bsc#1201160).
- scsi: qla2xxx: Update version to 10.02.07.500-k (bsc#1201160).
- scsi: qla2xxx: edif: Fix n2n login retry for secure device
  (bsc#1201160).
- scsi: qla2xxx: edif: Fix n2n discovery issue with secure target
  (bsc#1201160).
- scsi: qla2xxx: edif: Remove old doorbell interface
  (bsc#1201160).
- scsi: qla2xxx: edif: Add retry for ELS passthrough
  (bsc#1201160).
- scsi: qla2xxx: edif: Synchronize NPIV deletion with
  authentication application (bsc#1201160).
- scsi: qla2xxx: edif: Fix potential stuck session in sa update
  (bsc#1201160).
- scsi: qla2xxx: edif: Add bsg interface to read doorbell events
  (bsc#1201160).
- scsi: qla2xxx: edif: Wait for app to ack on sess down
  (bsc#1201160).
- scsi: qla2xxx: edif: bsg refactor (bsc#1201160).
- scsi: qla2xxx: edif: Reduce Initiator-Initiator thrashing
  (bsc#1201160).
- commit aaa97b5
* Mon Jul  4 2022 dwagner@suse.de
- scsi: qla2xxx: Remove unused 'ql_dm_tgt_ex_pct' parameter
  (bsc#1201160).
- scsi: qla2xxx: Remove setting of 'req' and 'rsp' parameters
  (bsc#1201160).
- commit eeb9031
* Mon Jul  4 2022 mbrugger@suse.com
- supported.conf: mark marvell octeontx2 crypto driver as supported (jsc#SLE-24682)
  Mark rvu_cptpf.ko and rvu_cptvf.ko as supported.
- commit 2c9f726
* Sat Jul  2 2022 bp@suse.de
- x86/cpu/amd: Enumerate BTC_NO (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 1657f57
* Sat Jul  2 2022 bp@suse.de
- x86/common: Stamp out the stepping madness (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit c4753d1
* Sat Jul  2 2022 bp@suse.de
- KVM: VMX: Prevent RSB underflow before vmenter (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 2b985b5
* Sat Jul  2 2022 bp@suse.de
- x86/speculation: Fill RSB on vmexit for IBRS (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 4bed1b0
* Sat Jul  2 2022 bp@suse.de
- KVM: VMX: Fix IBRS handling after vmexit (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 316fcc5
* Sat Jul  2 2022 bp@suse.de
- KVM: VMX: Prevent guest RSB poisoning attacks with eIBRS
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 15924a8
* Sat Jul  2 2022 bp@suse.de
- KVM: VMX: Convert launched argument to flags (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit f8dcdb9
* Sat Jul  2 2022 bp@suse.de
- objtool: Re-add UNWIND_HINT_{SAVE_RESTORE} (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit ef884f6
* Sat Jul  2 2022 bp@suse.de
- KVM: VMX: Flatten __vmx_vcpu_run() (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 1e826ce
* Sat Jul  2 2022 denis.kirjanov@suse.com
- virtio-net: fix for skb_over_panic inside big mode (git-fixes).
- commit 0257357
* Sat Jul  2 2022 denis.kirjanov@suse.com
- virtio-net: realign page_to_skb() after merges (git-fixes).
- commit 265619f
* Sat Jul  2 2022 bp@suse.de
- x86/speculation: Remove x86_spec_ctrl_mask (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit e07908e
* Sat Jul  2 2022 denis.kirjanov@suse.com
- natsemi: sonic: stop calling netdev_boot_setup_check (git-fixes).
- commit 46bf69a
* Sat Jul  2 2022 bp@suse.de
- x86/speculation: Use cached host SPEC_CTRL value for guest
  entry/exit (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 7195e40
* Sat Jul  2 2022 bp@suse.de
- x86/speculation: Fix SPEC_CTRL write on SMT state change
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 9038814
* Sat Jul  2 2022 bp@suse.de
- x86/speculation: Fix firmware entry SPEC_CTRL handling
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit ca2994e
* Sat Jul  2 2022 bp@suse.de
- x86/speculation: Fix RSB filling with CONFIG_RETPOLINE=n
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 82031ef
* Sat Jul  2 2022 bp@suse.de
- x86/cpu/amd: Add Spectral Chicken (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 5cc7992
* Sat Jul  2 2022 bp@suse.de
- objtool: Add entry UNRET validation (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 3cfb55f
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Do IBPB fallback check only once (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 1651453
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Add retbleed=ibpb (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 85c8e14
* Fri Jul  1 2022 bp@suse.de
- x86/xen: Rename SYS* entry points (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit cb8daf6
* Fri Jul  1 2022 bp@suse.de
- objtool: Update Retpoline validation (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 7436f55
* Fri Jul  1 2022 bp@suse.de
- intel_idle: Disable IBRS during long idle (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit b411908
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Report Intel retbleed vulnerability (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit f9a629c
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Split spectre_v2_select_mitigation() and
  spectre_v2_user_select_mitigation() (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit dbabe9a
* Fri Jul  1 2022 bp@suse.de
- x86/speculation: Add spectre_v2=ibrs option to support Kernel
  IBRS (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit b629108
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Optimize SPEC_CTRL MSR writes (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit ff2e369
* Fri Jul  1 2022 bp@suse.de
- x86/entry: Add kernel IBRS implementation (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 479ab24
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Keep a per-CPU IA32_SPEC_CTRL value (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit c15babd
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Enable STIBP for JMP2RET (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 280d4c4
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Add AMD retbleed= boot parameter (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit aa29b09
* Fri Jul  1 2022 bp@suse.de
- x86/bugs: Report AMD retbleed vulnerability (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 367584b
* Fri Jul  1 2022 bp@suse.de
- x86: Add magic AMD return-thunk (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 208357a
* Fri Jul  1 2022 bp@suse.de
- objtool: Fix sibling call detection in alternatives (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 184b12c
* Fri Jul  1 2022 bp@suse.de
- objtool: Treat .text.__x86.* as noinstr (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit b887ffb
* Fri Jul  1 2022 bp@suse.de
- x86: Use return-thunk in asm code (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit d70c3f9
* Fri Jul  1 2022 bp@suse.de
- x86/sev: Avoid using __x86_return_thunk (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 9650a8e
* Fri Jul  1 2022 bp@suse.de
- x86/vsyscall_emu/64: Don't use RET in vsyscall emulation
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit a3c8329
* Fri Jul  1 2022 bp@suse.de
- x86/kvm: Fix SETcc emulation for return thunks (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 24c6cbf
* Fri Jul  1 2022 bp@suse.de
- x86/bpf: Use alternative RET encoding (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit b4bf5a2
* Fri Jul  1 2022 bp@suse.de
- x86/ftrace: Use alternative RET encoding (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 34b9619
* Fri Jul  1 2022 fweisbecker@suse.de
- sched: Fix balance_push() vs __sched_setscheduler() (git-fixes)
- commit e34e055
* Fri Jul  1 2022 fweisbecker@suse.de
- sched/fair: Revise comment about lb decision matrix (git-fixes)
- commit 2b109b3
* Fri Jul  1 2022 fweisbecker@suse.de
- sched/psi: report zeroes for CPU full at the system level (git-fixes)
- commit 05c0f03
* Fri Jul  1 2022 bp@suse.de
- x86/ibt,paravirt: Use text_gen_insn() for paravirt_patch()
  (bsc#1199657 CVE-2022-29900 CVE-2022-29901).
- commit 5ad644e
* Fri Jul  1 2022 bp@suse.de
- x86,static_call: Use alternative RET encoding (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit e70fd02
* Fri Jul  1 2022 bp@suse.de
- static_call,x86: Robustify trampoline patching (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 6790036
* Fri Jul  1 2022 bp@suse.de
- x86/mm: Simplify RESERVE_BRK() (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit f10b243
* Fri Jul  1 2022 bp@suse.de
- x86,objtool: Create .return_sites (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 9f6f194
* Fri Jul  1 2022 bp@suse.de
- x86: Undo return-thunk damage (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 8a7359d
* Fri Jul  1 2022 bp@suse.de
- x86/retpoline: Use -mfunction-return (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 5926e03
* Fri Jul  1 2022 bp@suse.de
- x86/retpoline: Swizzle retpoline thunk (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 3c3e714
* Fri Jul  1 2022 bp@suse.de
- x86/retpoline: Cleanup some #ifdefery (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit eaa3af4
* Fri Jul  1 2022 bp@suse.de
- x86/cpufeatures: Move RETPOLINE flags to word 11 (bsc#1199657
  CVE-2022-29900 CVE-2022-29901).
- commit 00af010
* Fri Jul  1 2022 bp@suse.de
- x86/kvm/vmx: Make noinstr clean (bsc#1199657 CVE-2022-29900
  CVE-2022-29901).
- commit 75117a6
* Thu Jun 30 2022 bp@suse.de
- x86/mce: Drop copyin special case for #MC (bsc#1201050
  CVE-2021-26341).
- Refresh
  patches.suse/x86-prepare-asm-files-for-straight-line-speculation.patch.
- commit 4126374
* Thu Jun 30 2022 denis.kirjanov@suse.com
- net: stmmac: socfpga: add runtime suspend/resume callback for
  stratix10 platform (git-fixes).
- commit 5966058
* Thu Jun 30 2022 denis.kirjanov@suse.com
- net: ethernet: lantiq_etop: fix build errors/warnings
  (git-fixes).
- commit 3631ac9
* Thu Jun 30 2022 denis.kirjanov@suse.com
- net: ipa: disable HOLB drop when updating timer (git-fixes).
- commit a355c1a
* Thu Jun 30 2022 denis.kirjanov@suse.com
- net: ipa: HOLB register sometimes must be written twice
  (git-fixes).
- commit 1a1e1cc
* Thu Jun 30 2022 denis.kirjanov@suse.com
- net/ipa: ipa_resource: Fix wrong for loop range (git-fixes).
- commit a4a273a
* Thu Jun 30 2022 denis.kirjanov@suse.com
- blacklist.conf: update
- commit b3146ae
* Thu Jun 30 2022 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 441d7b5
* Thu Jun 30 2022 denis.kirjanov@suse.com
- net: stmmac: fix gcc-10 -Wrestrict warning (git-fixes).
- commit 2891b6b
* Thu Jun 30 2022 bp@suse.de
- crypto: x86/poly1305 - Fixup SLS (bsc#1201050 CVE-2021-26341).
- commit fa7ee3f
* Thu Jun 30 2022 bp@suse.de
- x86: Add straight-line-speculation mitigation (bsc#1201050
  CVE-2021-26341).
- Update config files.
- Refresh
  patches.suse/x86-speculation-rename-retpoline_amd-to-retpoline_lfence.patch.
- commit ab9af62
* Thu Jun 30 2022 bp@suse.de
- x86/alternative: Relax text_poke_bp() constraint (bsc#1201050
  CVE-2021-26341).
- commit fc16607
* Thu Jun 30 2022 bp@suse.de
- objtool: Add straight-line-speculation validation (bsc#1201050
  CVE-2021-26341).
- commit 97a5faf
* Thu Jun 30 2022 bp@suse.de
- x86: Prepare inline-asm for straight-line-speculation
  (bsc#1201050 CVE-2021-26341).
- commit 8812996
* Thu Jun 30 2022 bp@suse.de
- x86: Prepare asm files for straight-line-speculation
  (bsc#1201050 CVE-2021-26341).
- commit 4b86385
* Thu Jun 30 2022 bp@suse.de
- x86/lib/atomic64_386_32: Rename things (bsc#1201050
  CVE-2021-26341).
- commit 38ceb5a
* Thu Jun 30 2022 bp@suse.de
- x86: Use -mindirect-branch-cs-prefix for RETPOLINE builds
  (bsc#1201050 CVE-2021-26341).
- commit 28ad1d2
* Wed Jun 29 2022 otto.hollmann@suse.com
- kABI fix of sysctl_run_estimation (git-fixes).
- ipvs: add sysctl_run_estimation to support disable estimation
  (bsc#1195504).
- commit 19d4bd1
* Wed Jun 29 2022 denis.kirjanov@suse.com
- sctp: handle kABI change in struct sctp_endpoint (CVE-2022-20154
  bsc#1200599).
- commit 68ce62e
* Wed Jun 29 2022 denis.kirjanov@suse.com
- sctp: use call_rcu to free endpoint (CVE-2022-20154
  bsc#1200599).
- commit 7c734e0
* Wed Jun 29 2022 denis.kirjanov@suse.com
- Update metadata references
- commit 41b198a
* Fri Jun 24 2022 tiwai@suse.de
- phy: aquantia: Fix AN when higher speeds than 1G are not
  advertised (git-fixes).
- mmc: sdhci-pci-o2micro: Fix card detect by dealing with
  debouncing (git-fixes).
- commit 675eea8
* Thu Jun 23 2022 tiwai@suse.de
- ACPI: bus: Avoid using CPPC if not supported by firmware
  (bsc#1199793).
- commit 0f5670f
* Thu Jun 23 2022 tiwai@suse.de
- Move upstreamed ALSA fix into sorted section
- commit cd31297
* Thu Jun 23 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Clevo NS50PU (git-fixes).
- ALSA: hda/via: Fix missing beep setup (git-fixes).
- ALSA: hda/conexant: Fix missing beep setup (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo PD70PNT (git-fixes).
- ALSA: x86: intel_hdmi_audio: use pm_runtime_resume_and_get()
  (git-fixes).
- ALSA: x86: intel_hdmi_audio: enable pm_runtime and set
  autosuspend delay (git-fixes).
- ALSA: hda: intel-nhlt: remove use of __func__ in dev_dbg
  (git-fixes).
- ALSA: hda: intel-dspcfg: use SOF for UpExtreme and UpExtreme11
  boards (git-fixes).
- ALSA: hda/realtek: Apply fixup for Lenovo Yoga Duet 7 properly
  (git-fixes).
- ALSA: hda/realtek - ALC897 headset MIC no sound (git-fixes).
- ALSA: usb-audio: US16x08: Move overflow check before array
  access (git-fixes).
- ALSA: hda/realtek: Add mute LED quirk for HP Omen laptop
  (git-fixes).
- commit a36edad
* Thu Jun 23 2022 jack@suse.cz
- fs: fix fd table size alignment properly (bsc#1200882).
- commit 48b3814
* Thu Jun 23 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit e8e07db
* Thu Jun 23 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit a10f356
* Thu Jun 23 2022 jack@suse.cz
- blacklist.conf: Blacklist e730558adffb, 14362a254179
- commit bc46cf4
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Fix IN endpoint max packet size allocation
  (git-fixes).
- commit 46146be
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Prevent repeat pullup() (git-fixes).
- commit 6ea4f30
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: Issue core soft reset before enabling run/stop
  (git-fixes).
- commit 173bfb0
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Wait for ep0 xfers to complete during dequeue
  (git-fixes).
- commit ab00b5f
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: move cmd_endtransfer to extra function
  (git-fixes).
- commit 73ded12
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: ep_queue simplify isoc start condition
  (git-fixes).
- commit 83b219d
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Give some time to schedule isoc (git-fixes).
- commit 81bd06f
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Skip reading GEVNTSIZn (git-fixes).
- commit bb0777f
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Ignore Update Transfer cmd params
  (git-fixes).
- commit 557f443
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Skip checking Update Transfer status
  (git-fixes).
- commit 69042fa
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: gadget: Change to dev_dbg() when queuing to inactive
  gadget/ep (git-fixes).
- commit 26397b0
* Thu Jun 23 2022 oneukum@suse.com
- usb: dwc3: Decouple USB 2.0 L1 & L2 events (git-fixes).
- commit 597896d
* Thu Jun 23 2022 jslaby@suse.cz
- blacklist.conf: add sdsi duplicates
- commit 96b040c
* Thu Jun 23 2022 tiwai@suse.de
- mei: me: add raptor lake point S DID (git-fixes).
- usb: gadget: f_fs: change ep->ep safe in ffs_epfile_io()
  (git-fixes).
- usb: gadget: f_fs: change ep->status safe in ffs_epfile_io()
  (git-fixes).
- USB: serial: option: add support for Cinterion MV31 with new
  baseline (git-fixes).
- USB: serial: io_ti: add Agilent E5805A support (git-fixes).
- drm/amd/display: Cap OLED brightness per max frame-average
  luminance (git-fixes).
- platform/x86: gigabyte-wmi: Add support for B450M DS3H-CF
  (git-fixes).
- platform/x86: gigabyte-wmi: Add Z690M AORUS ELITE AX DDR4
  support (git-fixes).
- gpio: dwapb: Don't print error on -EPROBE_DEFER (git-fixes).
- virtio-mmio: fix missing put_device() when vm_cmdline_parent
  registration failed (git-fixes).
- ata: libata-core: fix NULL pointer deref in
  ata_host_alloc_pinfo() (git-fixes).
- ALSA: hda/realtek - Add HW8326 support (git-fixes).
- ASoC: wm_adsp: Fix event generation for wm_adsp_fw_put()
  (git-fixes).
- ASoC: es8328: Fix event generation for deemphasis control
  (git-fixes).
- ASoC: wm8962: Fix suspend while playing music (git-fixes).
- ASoC: cs42l51: Correct minimum value for SX volume control
  (git-fixes).
- ASoC: cs42l56: Correct typo in minimum level for SX volume
  controls (git-fixes).
- ASoC: cs42l52: Correct TLV for Bypass Volume (git-fixes).
- ASoC: cs53l30: Correct number of volume levels on SX controls
  (git-fixes).
- ASoC: cs35l36: Update digital volume TLV (git-fixes).
- ASoC: cs42l52: Fix TLV scales for mixer controls (git-fixes).
- ASoC: nau8822: Add operation for internal PLL off and on
  (git-fixes).
- drm/amdkfd: add pinned BOs to kfd_bo_list (git-fixes).
- drm/amdkfd: Use mmget_not_zero in MMU notifier (git-fixes).
- drm/amd/display: Read Golden Settings Table from VBIOS
  (git-fixes).
- net: ethernet: mtk_eth_soc: fix misuse of mem alloc interface
  netdev[napi]_alloc_frag (git-fixes).
- nfc: nfcmrvl: Fix memory leak in nfcmrvl_play_deferred
  (git-fixes).
- Input: soc_button_array - also add Lenovo Yoga Tablet2 1051F
  to dmi_use_low_level_irq (git-fixes).
- virtio-pci: Remove wrong address verification in vp_del_vqs()
  (git-fixes).
- arm64: dts: imx8mn-beacon: Enable RTS-CTS on UART3 (git-fixes).
- arm64: dts: imx8mm-beacon: Enable RTS-CTS on UART3 (git-fixes).
- Revert "drm/amd/display: Fix DCN3 B0 DP Alt Mapping"
  (git-fixes).
- commit 1ef7ff5
* Wed Jun 22 2022 martin.wilck@suse.com
- blacklist.conf: blacklist block patches (bsc#1200569)
- Delete
  patches.suse/blk-mq-cancel-blk-mq-dispatch-work-in-both-blk_clean.patch.
- Delete
  patches.suse/block-avoid-to-quiesce-queue-in-elevator_init_mq.patch.
- commit 9f66f8e
* Wed Jun 22 2022 jack@suse.cz
- dax: fix cache flush on PMD-mapped pages (bsc#1200830).
- commit e2c2768
* Wed Jun 22 2022 jack@suse.cz
- iomap: iomap_write_failed fix (bsc#1200829).
- commit b09bb9e
* Wed Jun 22 2022 jack@suse.cz
- jfs: fix divide error in dbNextAG (bsc#1200828).
- commit 1d88c02
* Wed Jun 22 2022 jack@suse.cz
- fs: fd tables have to be multiples of BITS_PER_LONG
  (bsc#1200827).
- commit 49a67ad
* Wed Jun 22 2022 jack@suse.cz
- blk-iolatency: Fix inflight count imbalances and IO hangs on
  offline (bsc#1200825).
- commit 60be30f
* Wed Jun 22 2022 colyli@suse.de
- block: Fix handling of offline queues in
  blk_mq_alloc_request_hctx() (git-fixes).
- dm mirror log: round up region bitmap size to BITS_PER_LONG
  (git-fixes).
- bcache: avoid unnecessary soft lockup in kworker
  update_writeback_rate() (bsc#1197362).
- bcache: memset on stack variables in bch_btree_check() and
  bch_sectors_dirty_init() (git-fixes).
- bcache: avoid journal no-space deadlock by reserving 1 journal
  bucket (git-fixes).
- bcache: remove incremental dirty sector counting for
  bch_sectors_dirty_init() (git-fixes).
- bcache: improve multithreaded bch_sectors_dirty_init()
  (git-fixes).
- bcache: improve multithreaded bch_btree_check() (git-fixes).
- dm verity: set DM_TARGET_IMMUTABLE feature flag (git-fixes).
- dm integrity: fix error code in dm_integrity_ctr() (git-fixes).
- iocost: don't reset the inuse weight of under-weighted debtors
  (git-fixes).
- dm mpath: only use ktime_get_ns() in historical selector
  (git-fixes).
- n64cart: convert bi_disk to bi_bdev->bd_disk fix build
  (git-fixes).
- dm integrity: set journal entry unused when shrinking device
  (git-fixes).
- dm crypt: fix get_key_size compiler warning if !CONFIG_KEYS
  (git-fixes).
- dm: fix use-after-free in dm_cleanup_zoned_dev() (git-fixes).
- bcache: fixup multiple threads crash (git-fixes).
- block: bio-integrity: Advance seed correctly for larger interval
  sizes (git-fixes).
- bcache: fix use-after-free problem in bcache_device_free()
  (git-fixes).
- commit 4b94325
* Wed Jun 22 2022 jack@suse.cz
- blk-mq: don't touch ->tagset in blk_mq_get_sq_hctx
  (bsc#1200824).
- commit 67cf915
* Wed Jun 22 2022 colyli@suse.de
- kabi/severities: add exception for bcache symboles
  Nobody do their development based on bcache kernel module, it is
  unnecessary to add bcache symbles into kabi list. Add bcache as
  exception as we already did in previous products.
- commit 3d2c794
* Wed Jun 22 2022 jack@suse.cz
- init: Initialize noop_backing_dev_info early (bsc#1200822).
- commit 42f2c82
* Wed Jun 22 2022 jack@suse.cz
- writeback: Fix inode->i_io_list not be protected by
  inode->i_lock error (bsc#1200821).
- commit 9659a5c
* Wed Jun 22 2022 jack@suse.cz
- ext4: make variable "count" signed (bsc#1200820).
- commit 046a2c3
* Wed Jun 22 2022 dbond@suse.com
- SCSI: scsi_probe_lun: retry INQUIRY after timeout (bsc#1189297).
- commit 623bb84
* Wed Jun 22 2022 jack@suse.cz
- blk-mq: do not update io_ticks with passthrough requests
  (bsc#1200816).
- commit a8ac9df
* Wed Jun 22 2022 jack@suse.cz
- fsnotify: fix wrong lockdep annotations (bsc#1200815).
- commit 1d18602
* Wed Jun 22 2022 jack@suse.cz
- Update tags for:
  patches.suse/bfq-Allow-current-waker-to-defend-against-a-tentativ.patch.
  patches.suse/bfq-Avoid-false-marking-of-bic-as-stably-merged.patch.
  patches.suse/bfq-Avoid-merging-queues-with-different-parents.patch.
  patches.suse/bfq-Drop-pointless-unlock-lock-pair.patch.
  patches.suse/bfq-Get-rid-of-__bio_blkcg-usage.patch.
  patches.suse/bfq-Make-sure-bfqg-for-which-we-are-queueing-request.patch.
  patches.suse/bfq-Relax-waker-detection-for-shared-queues.patch.
  patches.suse/bfq-Remove-pointless-bfq_init_rq-calls.patch.
  patches.suse/bfq-Split-shared-queues-on-move-between-cgroups.patch.
  patches.suse/bfq-Track-whether-bfq_group-is-still-online.patch.
  patches.suse/bfq-Update-cgroup-information-before-merging-bio.patch.
- commit a5768bd
* Wed Jun 22 2022 jack@suse.cz
- writeback: Avoid skipping inode writeback (bsc#1200813).
- commit db91e0b
* Wed Jun 22 2022 jack@suse.cz
- bfq: Fix warning in bfqq_request_over_limit() (bsc#1200812).
- commit f0ad25f
* Wed Jun 22 2022 jack@suse.cz
- ext4: fix bug_on ext4_mb_use_inode_pa (bsc#1200810).
- commit aa31b78
* Wed Jun 22 2022 jack@suse.cz
- ext4: fix bug_on in __es_tree_search (bsc#1200809).
- commit 6a97568
* Wed Jun 22 2022 jack@suse.cz
- ext4: reject the 'commit' option on ext2 filesystems
  (bsc#1200808).
- commit f561c32
* Wed Jun 22 2022 jack@suse.cz
- ext4: fix race condition between ext4_write and
  ext4_convert_inline_data (bsc#1200807).
- commit 7239104
* Wed Jun 22 2022 jack@suse.cz
- ext4: limit length to bitmap_maxbytes - blocksize in punch_hole
  (bsc#1200806).
- commit 14ca9be
* Wed Jun 22 2022 jack@suse.cz
- inotify: show inotify mask flags in proc fdinfo (bsc#1200600).
  Refresh: patches.suse/vfs-add-super_operations-get_inode_dev
- commit b200248
* Wed Jun 22 2022 jslaby@suse.cz
- platform/x86/intel/sdsi: Fix bug in multi packet reads
  (jsc#SLE-18901).
- platform/x86/intel/sdsi: Poll on ready bit for writes
  (jsc#SLE-18901).
- platform/x86/intel/sdsi: Handle leaky bucket (jsc#SLE-18901).
- commit f67e41c
* Wed Jun 22 2022 jslaby@suse.cz
- rpm/check-for-config-changes: ignore GCC12/CC_NO_ARRAY_BOUNDS
  Upstream commit f0be87c42cbd (gcc-12: disable '-Warray-bounds'
  universally for now) added two new compiler-dependent configs:
  * CC_NO_ARRAY_BOUNDS
  * GCC12_NO_ARRAY_BOUNDS
  Ignore them -- they are unset by dummy tools (they depend on gcc version
  == 12), but set as needed during real compilation.
- commit a14607c
* Tue Jun 21 2022 mgorman@suse.de
- Move to sorted section
  - patches.suse/sched-numa-Initialise-numa_migrate_retry.patch
  - patches.suse/sched-numa-Do-not-swap-tasks-between-nodes-when-spare-capacity-is-available.patch
  - patches.suse/sched-numa-Apply-imbalance-limitations-consistently.patch
  - patches.suse/sched-numa-Adjust-imb_numa_nr-to-a-better-approximation-of-memory-channels.patch
  - patches.suse/sched-fair-Consider-CPU-affinity-when-allowing-NUMA-imbalance-in-find_idlest_group.patch
- commit 2813cbe
* Tue Jun 21 2022 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Adjust-the-allowed-NUMA-imbalance-when-SD_NUMA-spans-multiple-LLCs.patch.
- Refresh
  patches.suse/sched-fair-Improve-consistency-of-allowed-NUMA-balance-calculations.patch.
  Update metadata and move to sorted section.
- commit e9e3368
* Tue Jun 21 2022 mgorman@suse.de
- sched/fair: Consider CPU affinity when allowing NUMA imbalance
  in find_idlest_group() (bnc#1193431).
- sched/numa: Adjust imb_numa_nr to a better approximation of
  memory channels (bnc#1193431).
- sched/numa: Apply imbalance limitations consistently
  (bnc#1193431).
- sched/numa: Do not swap tasks between nodes when spare capacity
  is available (bnc#1193431).
- sched/numa: Initialise numa_migrate_retry (bnc#1193431).
- commit 14a7772
* Tue Jun 21 2022 tiwai@suse.de
- ath9k: fix use-after-free in ath9k_hif_usb_rx_cb (CVE-2022-1679
  bsc#1199487).
- commit c0e7a92
* Tue Jun 21 2022 mkoutny@suse.com
- blacklist.conf: Add 6a2d90ba027a ptrace: Reimplement PTRACE_KILL by always sending SIGKILL
- commit 0702138
* Tue Jun 21 2022 tiwai@suse.de
- ALSA: hda: Fix discovery of i915 graphics PCI device
  (bsc#1200611).
- commit 6d6ec08
* Tue Jun 21 2022 tbogendoerfer@suse.de
- net: bnxt_ptp: fix compilation error (bsc#1199736).
- bnxt_en: Do not destroy health reporters during reset
  (bsc#1199736).
- bnxt_en: Eliminate unintended link toggle during FW reset
  (bsc#1199736).
- commit 46960ba
* Tue Jun 21 2022 msuchanek@suse.de
- powerpc/perf: Fix the threshold compare group constraint for
  power10 (bsc#1194869).
- commit af9d58f
* Tue Jun 21 2022 msuchanek@suse.de
- powerpc/perf: Fix the threshold compare group constraint for
  power9 (bsc#1065729).
- powerpc/idle: Fix return value of __setup() handler
  (bsc#1065729).
- commit b447248
* Tue Jun 21 2022 msuchanek@suse.de
- scsi: ibmvfc: Store vhost pointer during subcrq allocation
  (jsc#SLE-15442 bsc#1180814 ltc#187461 git-fixes).
- scsi: ibmvfc: Allocate/free queue resource only during
  probe/remove (jsc#SLE-15442 bsc#1180814 ltc#187461 git-fixes).
- commit 7bb387a
* Tue Jun 21 2022 neilb@suse.de
- pNFS: Avoid a live lock condition in pnfs_update_layout()
  (git-fixes).
- pNFS: Don't keep retrying if the server replied
  NFS4ERR_LAYOUTUNAVAILABLE (git-fixes).
- SUNRPC: Fix the calculation of xdr->end in
  xdr_get_next_encode_buffer() (git-fixes).
- SUNRPC: Trap RDMA segment overflows (git-fixes).
- md: fix double free of io_acct_set bioset (git-fixes).
- md: Don't set mddev private to NULL in raid0 pers->free
  (git-fixes).
- NFSv4.1 mark qualified async operations as MOVEABLE tasks
  (git-fixes).
- NFS: Further fixes to the writeback error handling (git-fixes).
- NFSv4/pNFS: Do not fail I/O when we fail to allocate the pNFS
  layout (git-fixes).
- NFS: Memory allocation failures are not server fatal errors
  (git-fixes).
- NFS: Don't report errors from nfs_pageio_complete() more than
  once (git-fixes).
- NFS: Do not report flush errors in nfs_write_end() (git-fixes).
- NFS: Don't report ENOSPC write errors twice (git-fixes).
- NFS: fsync() should report filesystem errors over
  EINTR/ERESTARTSYS (git-fixes).
- NFS: Do not report EINTR/ERESTARTSYS as mapping errors
  (git-fixes).
- nfsd: destroy percpu stats counters after reply cache shutdown
  (git-fixes).
- nfsd: Fix null-ptr-deref in nfsd_fill_super() (git-fixes).
- md: fix an incorrect NULL check in md_reload_sb (git-fixes).
- md: fix an incorrect NULL check in does_sb_need_changing
  (git-fixes).
- raid5: introduce MD_BROKEN (git-fixes).
- commit cd7dbfe
* Mon Jun 20 2022 msuchanek@suse.de
- Update config files.
- commit 0f2966b
* Mon Jun 20 2022 msuchanek@suse.de
- powerpc: Don't select HAVE_IRQ_EXIT_ON_IRQ_STACK (bsc#1194869).
- Update config files.
- commit 5211de3
* Mon Jun 20 2022 msuchanek@suse.de
- Refresh patches.suse/powerpc-rtas-Allow-ibm-platform-dump-RTAS-call-with-.patch
- commit ed464d4
* Mon Jun 20 2022 mgorman@suse.de
- Delete
  patches.suse/locking-rwsem-Make-handoff-bit-handling-more-consist.patch (bnc#1200420)
  The patch in question can miss wakeups on heavily contended inode
  i_mmap_rwsem locks. In extreme cases, this can prevent acquisition of
  the i_mmap_rwsem belonging to libc resulting in a system-wide lockup.
  The issue has been brought upstream but for the moment, revert the
  patch.
- commit a0c3c4b
* Mon Jun 20 2022 tiwai@suse.de
- faddr2line: Fix overlapping text section failures, the sequel
  (git-fixes).
- irqchip/realtek-rtl: Fix refcount leak in map_interrupts
  (git-fixes).
- irqchip/gic-v3: Fix refcount leak in gic_populate_ppi_partitions
  (git-fixes).
- irqchip/gic-v3: Fix error handling in
  gic_populate_ppi_partitions (git-fixes).
- irqchip/gic/realview: Fix refcount leak in realview_gic_of_init
  (git-fixes).
- bus: fsl-mc-bus: fix KASAN use-after-free in fsl_mc_bus_remove()
  (git-fixes).
- mei: hbm: drop capability response on early shutdown
  (git-fixes).
- comedi: vmk80xx: fix expression for tx buffer size (git-fixes).
- i2c: designware: Use standard optional ref clock implementation
  (git-fixes).
- i2c: npcm7xx: Add check for platform_driver_register
  (git-fixes).
- arm64: ftrace: consistently handle PLTs (git-fixes).
- arm64: ftrace: fix branch range checks (git-fixes).
- misc: atmel-ssc: Fix IRQ check in ssc_probe (git-fixes).
- tty: goldfish: Fix free_irq() on remove (git-fixes).
- tty: n_gsm: Debug output allocation must use GFP_ATOMIC
  (git-fixes).
- usb: cdnsp: Fixed setting last_trb incorrectly (git-fixes).
- usb: gadget: u_ether: fix regression in setting fixed MAC
  address (git-fixes).
- usb: gadget: lpc32xx_udc: Fix refcount leak in lpc32xx_udc_probe
  (git-fixes).
- usb: dwc2: Fix memory leak in dwc2_hcd_init (git-fixes).
- irqchip/gic-v3: Ensure pseudo-NMIs have an ISB between ack
  and handling (git-fixes).
- commit cd97b2f
* Fri Jun 17 2022 msuchanek@suse.de
- Update patches.suse/random-fix-crash-on-multiple-early-calls-to-add_boot.patch (bsc#1184924).
- commit f04e090
* Fri Jun 17 2022 msuchanek@suse.de
- powerpc/rtas: Allow ibm,platform-dump RTAS call with null
  buffer address (bsc#1200343 ltc#198477).
- commit bf45498
* Fri Jun 17 2022 msuchanek@suse.de
- kabi/severities: Exclude ppc kvm
- commit 56c89d8
* Fri Jun 17 2022 tiwai@suse.de
- exec: Force single empty string when argv is empty
  (bsc#1200571).
- commit 256509d
* Fri Jun 17 2022 tiwai@suse.de
- certs/blacklist_hashes.c: fix const confusion in certs blacklist
  (git-fixes).
- commit d37f671
* Fri Jun 17 2022 ptesarik@suse.cz
- net/smc: fixes for converting from "struct smc_cdc_tx_pend **"
  to "struct smc_wr_tx_pend_priv *" (git-fixes).
- net/smc: postpone sk_refcnt increment in connect() (git-fixes).
- net/smc: non blocking recvmsg() return -EAGAIN when no data
  and signal_pending (git-fixes).
- net/smc: sync err code when tcp connection was refused
  (git-fixes).
- net/smc: Fix NULL pointer dereference in smc_pnet_find_ib()
  (git-fixes).
- net/smc: fix unexpected SMC_CLC_DECL_ERR_REGRMB error cause
  by server (git-fixes).
- net/smc: fix unexpected SMC_CLC_DECL_ERR_REGRMB error generated
  by client (git-fixes).
- net/smc: fix connection leak (git-fixes).
- net/smc: Use a mutex for locking "struct smc_pnettable"
  (git-fixes).
- net/smc: Transitional solution for clcsock race issue
  (git-fixes).
- net/smc: Reset conn->lgr when link group registration fails
  (git-fixes).
- net/smc: remove redundant re-assignment of pointer link
  (git-fixes).
- net/smc: Avoid warning of possible recursive locking
  (git-fixes).
- net/smc: Transfer remaining wait queue entries during fallback
  (git-fixes).
- commit 813daf3
* Fri Jun 17 2022 ptesarik@suse.cz
- s390/perf: obtain sie_block from the right address (bsc#1200315
  LTC#198473).
- commit 6a3a347
* Fri Jun 17 2022 tiwai@suse.de
- drm/i915/reset: Fix error_state_read ptr + offset use
  (git-fixes).
- net: ax25: Fix deadlock caused by skb_recv_datagram in
  ax25_recvmsg (git-fixes).
- commit f4bd443
* Fri Jun 17 2022 tiwai@suse.de
- Update patch reference for HID fix (CVE-2022-20132 bsc#1200619)
- commit cfdbccf
* Wed Jun 15 2022 msuchanek@suse.de
- selftest/powerpc: Add PAPR sysfs attributes sniff test
  (bsc#1200465 ltc#197256 jsc#SLE-18130).
- powerpc/pseries: Interface to represent PAPR firmware attributes
  (bsc#1200465 ltc#197256 jsc#SLE-18130).
- commit 29350fd
* Wed Jun 15 2022 msuchanek@suse.de
- powerpc/pseries: Rename TYPE1_AFFINITY to FORM1_AFFINITY
  (bsc#1200465 ltc#197256 jsc#SLE-18130).
- powerpc/pseries: rename min_common_depth to primary_domain_index
  (bsc#1200465 ltc#197256 jsc#SLE-18130).
- commit bd72f4c
* Wed Jun 15 2022 mkubecek@suse.cz
- kabi: return type change of secure_ipv_port_ephemeral()
  (CVE-2022-1012 bsc#1199482).
- commit 7655c4d
* Wed Jun 15 2022 tiwai@suse.de
- Move upstreamed x86 patches into sorted section
- commit 0044b5f
* Wed Jun 15 2022 mkubecek@suse.cz
- tcp: drop the hash_32() part from the index calculation
  (CVE-2022-1012 bsc#1199482).
- tcp: increase source port perturb table to 2^16 (CVE-2022-1012
  bsc#1199482).
- tcp: dynamically allocate the perturb table used by source ports
  (CVE-2022-1012 bsc#1199482).
- tcp: add small random increments to the source port
  (CVE-2022-1012 bsc#1199482).
- tcp: resalt the secret every 10 seconds (CVE-2022-1012
  bsc#1199482).
  Refresh patches.kabi/kabi-return-type-change-of-secure_ipv-46-_port_ephem.patch
- tcp: use different parts of the port_offset for index and offset
  (CVE-2022-1012 bsc#1199482).
- secure_seq: use the 64 bits of the siphash for port offset
  calculation (CVE-2022-1012 bsc#1199482).
- commit dbe5a40
* Wed Jun 15 2022 ptesarik@suse.cz
- Add references to IBM bugs
- patches.suse/s390-dasd-fix-data-corruption-for-ESE-devices
  (bsc#1200205 LTC#198456).
- patches.suse/s390-dasd-prevent-double-format-of-tracks-for-ESE-devices
  (bsc#1200205 LTC#198456).
- patches.suse/s390-dasd-Fix-read-for-ESE-with-blksize-4k
  (bsc#1200211 LTC#198457).
- patches.suse/s390-dasd-Fix-read-inconsistency-for-ESE-DASD-devices
  (bsc#1200211 LTC#198457).
- commit aad3794
* Wed Jun 15 2022 tiwai@suse.de
- soundwire: qcom: adjust autoenumeration timeout (git-fixes).
- thunderbolt: Use different lane for second DisplayPort tunnel
  (git-fixes).
- usb: dwc2: gadget: don't reset gadget's driver->bus (git-fixes).
- USB: hcd-pci: Fully suspend across freeze/thaw cycle
  (git-fixes).
- drivers: usb: host: Fix deadlock in oxu_bus_suspend()
  (git-fixes).
- USB: host: isp116x: check return value after calling
  platform_get_resource() (git-fixes).
- serial: msm_serial: disable interrupts in __msm_console_write()
  (git-fixes).
- tty: n_gsm: Fix packet data hex dump output (git-fixes).
- sysrq: do not omit current cpu when showing backtrace of all
  active CPUs (git-fixes).
- drivers: tty: serial: Fix deadlock in sa1100_set_termios()
  (git-fixes).
- tty: Fix a possible resource leak in icom_probe (git-fixes).
- tty: synclink_gt: Fix null-pointer-dereference in slgt_clean()
  (git-fixes).
- staging: rtl8712: fix uninit-value in r871xu_drv_init()
  (git-fixes).
- staging: rtl8712: fix uninit-value in usb_read8() and friends
  (git-fixes).
- drivers: staging: rtl8192e: Fix deadlock in
  rtllib_beacons_stop() (git-fixes).
- drivers: staging: rtl8192u: Fix deadlock in
  ieee80211_beacons_stop() (git-fixes).
- drivers: staging: rtl8192bs: Fix deadlock in
  rtw_joinbss_event_prehandle() (git-fixes).
- drivers: staging: rtl8723bs: Fix deadlock in
  rtw_surveydone_event_callback() (git-fixes).
- staging: rtl8712: fix a potential memory leak in
  r871xu_drv_init() (git-fixes).
- rtc: ftrtc010: Fix error handling in ftrtc010_rtc_probe
  (git-fixes).
- watchdog: wdat_wdt: Stop watchdog when rebooting the system
  (git-fixes).
- pcmcia: db1xxx_ss: restrict to MIPS_DB1XXX boards (git-fixes).
- video: fbdev: pxa3xx-gcu: release the resources correctly in
  pxa3xx_gcu_probe/remove() (git-fixes).
- rtc: ftrtc010: Use platform_get_irq() to get the interrupt
  (git-fixes).
- tty: n_gsm: Don't ignore write return value in gsmld_output()
  (git-fixes).
- pvpanic: Fix typos in the comments (git-fixes).
- commit 27a1b2a
* Wed Jun 15 2022 tiwai@suse.de
- drm/amdgpu: update VCN codec support for Yellow Carp
  (git-fixes).
- drm: imx: fix compiler warning with gcc-12 (git-fixes).
- Input: bcm5974 - set missing URB_NO_TRANSFER_DMA_MAP urb flag
  (git-fixes).
- modpost: fix undefined behavior of is_arm_mapping_symbol()
  (git-fixes).
- drm/amd/pm: use bitmap_{from,to}_arr32 where appropriate
  (git-fixes).
- extcon: Modify extcon device to be created after driver data
  is set (git-fixes).
- iio: st_sensors: Add a local lock for protecting odr
  (git-fixes).
- iio: dummy: iio_simple_dummy: check the return value of
  kstrdup() (git-fixes).
- misc: rtsx: set NULL intfdata when probe fails (git-fixes).
- i2c: cadence: Increase timeout per message if necessary
  (git-fixes).
- commit ca740b6
* Wed Jun 15 2022 tiwai@suse.de
- clocksource/drivers/sp804: Avoid error on multiple instances
  (git-fixes).
- char: xillybus: fix a refcount leak in cleanup_dev()
  (git-fixes).
- drm/amd/pm: Fix missing thermal throttler status (git-fixes).
- drm/radeon: fix a possible null pointer dereference (git-fixes).
- drm/amd/display: Check if modulo is 0 before dividing
  (git-fixes).
- dmaengine: idxd: add missing callback function to support
  DMA_INTERRUPT (git-fixes).
- dmaengine: zynqmp_dma: In struct zynqmp_dma_chan fix desc_size
  data type (git-fixes).
- dmaengine: idxd: set DMA_INTERRUPT cap bit (git-fixes).
- commit feae0af
* Tue Jun 14 2022 mkubecek@suse.cz
- kernel-binary.spec: check s390x vmlinux location
  As a side effect of mainline commit edd4a8667355 ("s390/boot: get rid of
  startup archive"), vmlinux on s390x moved from "compressed" subdirectory
  directly into arch/s390/boot. As the specfile is shared among branches,
  check both locations and let objcopy use one that exists.
- commit cd15543
* Tue Jun 14 2022 tiwai@suse.de
- Add missing recommends of kernel-install-tools to kernel-source-vanilla (bsc#1200442)
- commit 93b1375
* Tue Jun 14 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 04d3753
* Tue Jun 14 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 40c85e4
* Tue Jun 14 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit 87d9efa
* Tue Jun 14 2022 oneukum@suse.com
- blacklist.conf: duplicate
- commit f6df653
* Tue Jun 14 2022 tbogendoerfer@suse.de
- ice: kabi protect ice_pf (bsc#1200502).
- commit d6775e6
* Tue Jun 14 2022 tbogendoerfer@suse.de
- RDMA/irdma: Set protocol based on PF rdma_mode flag
  (bsc#1200502).
- Refresh
  patches.suse/RDMA-irdma-Fix-Passthrough-mode-in-VM.patch.
- commit d0321f4
* Tue Jun 14 2022 tbogendoerfer@suse.de
- net/ice: Remove unused enum (bsc#1200502).
- net/ice: Fix boolean assignment (bsc#1200502).
- net/ice: Add support for enable_iwarp and enable_roce devlink
  param (bsc#1200502).
- devlink: Add 'enable_iwarp' generic device param (bsc#1200502).
- commit 220523b
* Mon Jun 13 2022 jack@suse.cz
- blk-mq: Fix wrong wakeup batch configuration which will cause
  hang (bsc#1200263).
- commit 5d68630
* Mon Jun 13 2022 jack@suse.cz
- blk-mq: fix tag_get wait task can't be awakened (bsc#1200263).
- commit 9445fd3
* Mon Jun 13 2022 tiwai@suse.de
- Fix the build of f2fs driver (bsc#1200475)
  Refreshed patches:
  patches.suse/f2fs-Convert-to-using-invalidate_lock.patch
  patches.suse/f2fs-fix-to-unmap-pages-from-userspace-process-in-pu.patch
- commit 7021d3f
* Mon Jun 13 2022 tzimmermann@suse.de
- drm/ast: Create threshold values for AST2600 (bsc#1190786)
- commit 27f7842
* Sun Jun 12 2022 tiwai@suse.de
- vringh: Fix loop descriptors check in the indirect cases
  (git-fixes).
- commit 553fd9c
* Sat Jun 11 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for HP Dev One (git-fixes).
- ALSA: hda/conexant - Fix loopback issue with CX20632
  (git-fixes).
- ALSA: hda/realtek: Fix for quirk to enable speaker output on
  the Lenovo Yoga DuetITL 2021 (git-fixes).
- commit e30715d
* Sat Jun 11 2022 tiwai@suse.de
- cpuidle,intel_idle: Fix CPUIDLE_FLAG_IRQ_ENABLE (git-fixes).
- ata: libata-transport: fix {dma|pio|xfer}_mode sysfs files
  (git-fixes).
- ata: pata_octeon_cf: Fix refcount leak in octeon_cf_probe
  (git-fixes).
- ALSA: usb-audio: Set up (implicit) sync for Saffire 6
  (git-fixes).
- ALSA: usb-audio: Skip generic sync EP parse for secondary EP
  (git-fixes).
- drm/atomic: Force bridge self-refresh-exit on CRTC switch
  (git-fixes).
- drm/bridge: analogix_dp: Support PSR-exit to disable transition
  (git-fixes).
- drm/bridge: ti-sn65dsi83: Handle dsi_lanes == 0 as invalid
  (git-fixes).
- commit bd23b70
* Fri Jun 10 2022 vkarasulli@suse.de
- floppy: disable FDRAWCMD by default (bsc#1198866 CVE-2022-1836).
- Update config files.
- commit 74f61f9
* Fri Jun 10 2022 tiwai@suse.de
- nfc: st21nfca: fix incorrect sizing calculations in
  EVT_TRANSACTION (git-fixes).
- nfc: st21nfca: fix memory leaks in EVT_TRANSACTION handling
  (git-fixes).
- nfc: st21nfca: fix incorrect validating logic in EVT_TRANSACTION
  (git-fixes).
- net: phy: dp83867: retrigger SGMII AN when link change
  (git-fixes).
- vdpasim: allow to enable a vq repeatedly (git-fixes).
- kexec_file: drop weak attribute from
  arch_kexec_apply_relocations[_add] (git-fixes).
- list: fix a data-race around ep->rdllist (git-fixes).
- ipw2x00: Fix potential NULL dereference in libipw_xmit()
  (git-fixes).
- kselftest/arm64: bti: force static linking (git-fixes).
- list: test: Add a test for list_is_head() (git-fixes).
- list: introduce list_is_head() helper and re-use it in list.h
  (git-fixes).
- commit 1cdee61
* Thu Jun  9 2022 tiwai@suse.de
- USB: new quirk for Dell Gen 2 devices (git-fixes).
- USB: serial: option: add Quectel BG95 modem (git-fixes).
- xhci: Allow host runtime PM as default for Intel Alder Lake
  N xHCI (git-fixes).
- usb: core: hcd: Add support for deferring roothub registration
  (git-fixes).
- pinctrl: renesas: rzn1: Fix possible null-ptr-deref in
  sh_pfc_map_resources() (git-fixes).
- soc: ti: ti_sci_pm_domains: Check for null return of
  devm_kcalloc (git-fixes).
- of: overlay: do not break notify on NOTIFY_{OK|STOP}
  (git-fixes).
- rtlwifi: Use pr_warn instead of WARN_ONCE (git-fixes).
- net: phy: micrel: Allow probing without .driver_data
  (git-fixes).
- rtl818x: Prevent using not initialized queues (git-fixes).
- rtw88: 8821c: fix debugfs rssi value (git-fixes).
- mwifiex: add mutex lock for call in
  mwifiex_dfs_chan_sw_work_queue (git-fixes).
- PM / devfreq: rk3399_dmc: Disable edev on remove() (git-fixes).
- spi: stm32-qspi: Fix wait_cmd timeout in APM mode (git-fixes).
- spi: rockchip: fix missing error on unsupported SPI_CS_HIGH
  (git-fixes).
- spi: spi-rspi: Remove setting {src,dst}_{addr,addr_width}
  based on DMA direction (git-fixes).
- regulator: mt6315: Enforce regulator-compatible, not name
  (git-fixes).
- mtd: cfi_cmdset_0002: Move and rename
  chip_check/chip_ready/chip_good_for_write (git-fixes).
- of: Support more than one crash kernel regions for kexec -s
  (git-fixes).
- net: phy: mscc-miim: reject clause 45 register accesses
  (git-fixes).
- spi: rockchip: Preset cs-high and clk polarity in setup progress
  (git-fixes).
- spi: rockchip: Stop spi slave dma receiver when cs inactive
  (git-fixes).
- net: phy: meson-gxl: improve link-up behavior (git-fixes).
- commit 88ae7b9
* Thu Jun  9 2022 tiwai@suse.de
- mt76: fix encap offload ethernet type check (git-fixes).
- mt76: mt7921: accept rx frames with non-standard VHT MCS10-11
  (git-fixes).
- mac80211: upgrade passive scan to active scan on DFS channels
  after beacon rx (git-fixes).
- media: rkvdec: Stop overclocking the decoder (git-fixes).
- media: cec-adap.c: fix is_configuring state (git-fixes).
- media: imon: reorganize serialization (git-fixes).
- media: ccs-core.c: fix failure to call clk_disable_unprepare
  (git-fixes).
- media: hantro: HEVC: unconditionnaly set pps_{cb/cr}_qp_offset
  values (git-fixes).
- media: rga: fix possible memory leak in rga_probe (git-fixes).
- media: cx25821: Fix the warning when removing the module
  (git-fixes).
- media: pci: cx23885: Fix the error handling in cx23885_initdev()
  (git-fixes).
- media: venus: hfi: avoid null dereference in deinit (git-fixes).
- media: i2c: max9286: fix kernel oops when removing module
  (git-fixes).
- mmc: core: Allows to override the timeout value for ioctl()
  path (git-fixes).
- drivers: mmc: sdhci_am654: Add the quirk to set TESTCD bit
  (git-fixes).
- mmc: jz4740: Apply DMA engine limits to maximum segment size
  (git-fixes).
- media: i2c: max9286: Use "maxim,gpio-poc" property (git-fixes).
- media: i2c: max9286: Use dev_err_probe() helper (git-fixes).
- media: staging: media: rkvdec: Make use of the helper function
  devm_platform_ioremap_resource() (git-fixes).
- commit 8e2405a
* Thu Jun  9 2022 tiwai@suse.de
- drm/amdgpu: add beige goby PCI ID (git-fixes).
- drm/amdgpu/cs: make commands with 0 chunks illegal behaviour
  (git-fixes).
- docs/conf.py: Cope with removal of language=None in Sphinx 5.0.0
  (git-fixes).
- Input: gpio-keys - cancel delayed work only in case of GPIO
  (git-fixes).
- crypto: ccree - use fine grained DMA mapping dir (git-fixes).
- drm/i915/dsi: fix VBT send packet port selection for ICL+
  (git-fixes).
- drm/amd/pm: update smartshift powerboost calc for smu13
  (git-fixes).
- drm/amd/pm: update smartshift powerboost calc for smu12
  (git-fixes).
- drm/amdgpu/ucode: Remove firmware load type check in
  amdgpu_ucode_free_bo (git-fixes).
- drm/etnaviv: check for reaped mapping in etnaviv_iommu_unmap_gem
  (git-fixes).
- drm: msm: fix error check return value of irq_of_parse_and_map()
  (git-fixes).
- drm/msm/dp: reset DP controller before transmit phy test pattern
  (git-fixes).
- drm/nouveau/subdev/bus: Ratelimit logging for fault errors
  (git-fixes).
- drm/plane: Move range check for format_count earlier
  (git-fixes).
- drm/amdgpu/sdma: Fix incorrect calculations of the wptr of
  the doorbells (git-fixes).
- drm/amd/display: Disabling Z10 on DCN31 (git-fixes).
- drm/komeda: return early if drm_universal_plane_init() fails
  (git-fixes).
- fbcon: Consistently protect deferred_takeover with
  console_lock() (git-fixes).
- drm/virtio: fix NULL pointer dereference in
  virtio_gpu_conn_get_modes (git-fixes).
- drm/vmwgfx: validate the screen formats (git-fixes).
- iwlwifi: mvm: fix assert 1F04 upon reconfig (git-fixes).
- mac80211: minstrel_ht: fix where rate stats are stored (fixes
  debugfs output) (git-fixes).
- HID: bigben: fix slab-out-of-bounds Write in bigben_probe
  (git-fixes).
- ipmi: Fix pr_fmt to avoid compilation issues (git-fixes).
- ipmi:ssif: Check for NULL msg when handling events and messages
  (git-fixes).
- efi: Do not import certificates from UEFI Secure Boot for T2
  Macs (git-fixes).
- irqchip: irq-xtensa-mx: fix initial IRQ affinity (git-fixes).
- drm/msm/dp: Modify prototype of encoder based API (git-fixes).
- commit 759c11f
* Thu Jun  9 2022 tiwai@suse.de
- ASoC: rt1015p: remove dependency on GPIOLIB (git-fixes).
- can: mcp251xfd: silence clang's -Wunaligned-access warning
  (git-fixes).
- cfg80211: declare MODULE_FIRMWARE for regulatory.db (git-fixes).
- ath10k: skip ath10k_halt during suspend for driver state
  RESTARTING (git-fixes).
- ath11k: disable spectral scan during spectral deinit
  (git-fixes).
- ath9k: fix QCA9561 PA bias level (git-fixes).
- b43: Fix assigning negative value to unsigned variable
  (git-fixes).
- b43legacy: Fix assigning negative value to unsigned variable
  (git-fixes).
- char: tpm: cr50_i2c: Suppress duplicated error message in
  .remove() (git-fixes).
- binfmt_flat: do not stop relocating GOT entries prematurely
  on riscv (git-fixes).
- commit 65ef7e3
* Thu Jun  9 2022 tiwai@suse.de
- ARM: pxa: maybe fix gpio lookup tables (git-fixes).
- ARM: OMAP1: clock: Fix UART rate reporting algorithm
  (git-fixes).
- arm64: dts: qcom: sdm845-xiaomi-beryllium: fix typo in panel's
  vddio-supply property (git-fixes).
- arm64: dts: qcom: msm8994: Fix BLSP[12]_DMA channels count
  (git-fixes).
- arm64: dts: qcom: msm8994: Fix the cont_splash_mem address
  (git-fixes).
- ARM: dts: exynos: add atmel,24c128 fallback to Samsung EEPROM
  (git-fixes).
- ARM: dts: BCM5301X: Update pin controller node name (git-fixes).
- ARM: dts: s5pv210: align DMA channels with dtschema (git-fixes).
- ARM: dts: socfpga: align interrupt controller node name with
  dtschema (git-fixes).
- ARM: dts: ox820: align interrupt controller node name with
  dtschema (git-fixes).
- ARM: hisi: Add missing of_node_put after of_find_compatible_node
  (git-fixes).
- ASoC: max98357a: remove dependency on GPIOLIB (git-fixes).
- ASoC: rt5645: Fix errorenous cleanup order (git-fixes).
- ASoC: samsung: Fix refcount leak in aries_audio_probe
  (git-fixes).
- ASoC: fsl: Fix refcount leak in imx_sgtl5000_probe (git-fixes).
- ASoC: tscs454: Add endianness flag in snd_soc_component_driver
  (git-fixes).
- ASoC: dapm: Don't fold register value changes into notifications
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the HP Pro Tablet 408
  (git-fixes).
- ASoC: rsnd: care return value from rsnd_node_fixed_index()
  (git-fixes).
- ASoC: rsnd: care default case on
  rsnd_ssiu_busif_err_status_clear() (git-fixes).
- ALSA: usb-audio: Move generic implicit fb quirk entries into
  quirks.c (git-fixes).
- ALSA: usb-audio: Add quirk bits for enabling/disabling generic
  implicit fb (git-fixes).
- ACPI: CPPC: Assume no transition latency if no PCCT (git-fixes).
- ACPI: PM: Block ASUS B1400CEAE from suspend to idle by default
  (git-fixes).
- arm64: compat: Do not treat syscall number as ESR_ELx for a
  bad syscall (git-fixes).
- ACPICA: Avoid cache flush inside virtual machines (git-fixes).
- ASoC: samsung: Use dev_err_probe() helper (git-fixes).
- ASoC: fsl: Use dev_err_probe() helper (git-fixes).
- ARM: dts: BCM5301X: update CRU block description (git-fixes).
- commit 4c6b283
* Thu Jun  9 2022 jgross@suse.com
- KVM: LAPIC: Drop pending LAPIC timer injection when canceling
  the timer (git-fixes).
- commit ebda4af
* Thu Jun  9 2022 jgross@suse.com
- KVM: SVM: Use kzalloc for sev ioctl interfaces to prevent
  kernel data leak (git-fixes).
- commit 30785a5
* Thu Jun  9 2022 jgross@suse.com
- KVM: nVMX: Clear IDT vectoring on nested VM-Exit for
  double/triple fault (git-fixes).
- commit ffb6036
* Thu Jun  9 2022 jgross@suse.com
- KVM: nVMX: Leave most VM-Exit info fields unmodified on failed
  VM-Entry (git-fixes).
- commit 97f34c5
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86: Drop WARNs that assert a triple fault never "escapes"
  from L2 (git-fixes).
- commit 8240744
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/mmu: Passing up the error state of
  mmu_alloc_shadow_roots() (git-fixes).
- commit d2a88e6
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86: Pend KVM_REQ_APICV_UPDATE during vCPU creation to
  fix a race (git-fixes).
- commit 62ba92c
* Thu Jun  9 2022 jgross@suse.com
- KVM: SVM: drop unnecessary code in
  svm_hv_vmcb_dirty_nested_enlightenments() (git-fixes).
- commit 704e7a8
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/emulator: Defer not-present segment check in
  __load_segment_descriptor() (git-fixes).
- commit 6f6c8f1
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86: Update vCPU's runtime CPUID on write to MSR_IA32_XSS
  (git-fixes).
- commit 06d4784
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86: Fix emulation in writing cr8 (git-fixes).
- commit 06b317c
* Thu Jun  9 2022 jgross@suse.com
- kvm: x86/cpuid: Only provide CPUID leaf 0xA if host has
  architectural PMU (git-fixes).
- commit 87cd4ea
* Thu Jun  9 2022 jgross@suse.com
- Revert "svm: Add warning message for AVIC IPI invalid target"
  (git-fixes).
- commit b359f55
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/svm: Clear reserved bits written to PerfEvtSeln MSRs
  (git-fixes).
- commit 25027bb
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/pmu: Use AMD64_RAW_EVENT_MASK for PERF_TYPE_RAW
  (git-fixes).
- commit 2ca6eb1
* Thu Jun  9 2022 jgross@suse.com
- KVM: SVM: Fix kvm_cache_regs.h inclusions for is_guest_mode()
  (git-fixes).
- commit 28f6136
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/mmu: Check for present SPTE when clearing dirty bit
  in TDP MMU (git-fixes).
- commit 4e37bee
* Thu Jun  9 2022 jgross@suse.com
- KVM: SVM: Never reject emulation due to SMAP errata for !SEV
  guests (git-fixes).
- commit 42762d5
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/mmu: Fix write-protection of PTs mapped by the TDP MMU
  (git-fixes).
- commit 3c3b22d
* Thu Jun  9 2022 jgross@suse.com
- KVM: SVM: hyper-v: Enable Enlightened MSR-Bitmap support for
  real (git-fixes).
- commit 0a53b34
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86: hyper-v: Fix the maximum number of sparse banks for
  XMM fast TLB flush hypercalls (git-fixes).
- commit 0a9f2a5
* Thu Jun  9 2022 jgross@suse.com
- KVM: x86/mmu: Update number of zapped pages even if page list
  is stable (git-fixes).
- commit e80aea5
* Thu Jun  9 2022 tiwai@suse.de
- KEYS: asymmetric: enforce that sig algo matches key algo
  (git-fixes).
- Refresh
  patches.suse/KEYS-asymmetric-properly-validate-hash_algo-and-enco.patch.
- commit 432a795
* Thu Jun  9 2022 tiwai@suse.de
- KEYS: trusted: tpm2: Fix migratable logic (git-fixes).
- commit 1953e79
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix uninitialized pointer in error case in
  dfs_cache_get_tgt_share (bsc#1193629).
- commit 380000e
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: skip trailing separators of prefix paths (bsc#1193629).
- commit de52c39
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: update internal module number (bsc#1193629).
- commit e08e204
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: version operations for smb20 unneeded when legacy support
  disabled (bsc#1193629).
- commit c456b31
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: do not build smb1ops if legacy support is disabled
  (bsc#1193629).
- commit 4993b7e
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix potential deadlock in direct reclaim (bsc#1193629).
- commit b8254d9
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: when extending a file with falloc we should make files
  not-sparse (bsc#1193629).
- commit 52ba2a3
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: remove repeated debug message on cifs_put_smb_ses()
  (bsc#1193629).
- commit 8ad5d4a
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix potential double free during failed mount
  (bsc#1193629).
- commit 2c8b5b6
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: avoid parallel session setups on same channel
  (bsc#1193629).
- commit 6398a2b
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: use new enum for ses_status (bsc#1193629).
- commit 217b1ee
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: do not use tcpStatus after negotiate completes
  (bsc#1193629).
- commit e666d73
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: add mount parm nosparse (bsc#1193629).
- commit 124b02e
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: don't set rc when used and unneeded in query_info_compound
  (bsc#1193629).
- commit 7bd568d
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: check for null tcon (bsc#1193629).
- commit 7a9d23a
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix minor compile warning (bsc#1193629).
- commit d783113
* Thu Jun  9 2022 ematsumiya@suse.de
- Add various fsctl structs (bsc#1193629).
- commit 113fafc
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: add trace point for oplock not found (bsc#1193629).
- commit ca9c908
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: return the more nuanced writeback error on close()
  (bsc#1193629).
- commit 82811a7
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: add trace point for lease not found issue (bsc#1193629).
- commit dbdf8ba
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: smbd: fix typo in comment (bsc#1193629).
- commit aa02f35
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: set the CREATE_NOT_FILE when opening the directory in
  use_cached_dir() (bsc#1193629).
- commit 4ab153f
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: check for smb1 in open_cached_dir() (bsc#1193629).
- commit e68ac2c
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: move definition of cifs_fattr earlier in cifsglob.h
  (bsc#1193629).
- commit e6babcb
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: print TIDs as hex (bsc#1193629).
- commit ce753c2
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: return ENOENT for DFS lookup_cache_entry() (bsc#1193629).
- commit 562c8f3
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: don't call cifs_dfs_query_info_nonascii_quirk() if nodfs
  was set (bsc#1193629).
- commit 3e90ad5
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix signed integer overflow when fl_end is OFFSET_MAX
  (bsc#1193629).
- commit 3af7051
* Thu Jun  9 2022 ematsumiya@suse.de
- SMB3: EBADF/EIO errors in rename/open caused by race condition
  in smb2_compound_op (bsc#1193629).
- commit e69077c
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: destage any unwritten data to the server before calling
  copychunk_write (bsc#1193629).
- commit 775b640
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: use correct lock type in cifs_reconnect() (bsc#1193629).
- commit 282d7da
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix NULL ptr dereference in refresh_mounts()
  (bsc#1193629).
- commit 4763651
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: Use kzalloc instead of kmalloc/memset (bsc#1193629).
- commit fc6ae9a
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: verify that tcon is valid before dereference in
  cifs_kill_sb (bsc#1193629).
- commit 1257221
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: potential buffer overflow in handling symlinks
  (bsc#1193629).
- commit 3cd13e9
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: Split the smb3_add_credits tracepoint (bsc#1193629).
- commit 316f9e5
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: release cached dentries only if mount is complete
  (bsc#1193629).
- commit 42278b8
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: Check the IOCB_DIRECT flag, not O_DIRECT (bsc#1193629).
- commit b05a349
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: update internal module number (bsc#1193629).
- commit e161349
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: force new session setup and tcon for dfs (bsc#1193629).
- commit 2775e37
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: remove check of list iterator against head past the loop
  body (bsc#1193629).
- commit 98d57dc
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix potential race with cifsd thread (bsc#1193629).
- commit a547515
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: fix ksmbd bigendian bug in oplock break, and move its
  struct to smbfs_common (bsc#1193629).
  [ ematsumiya: remove ksmbd parts ]
- commit 1f36337
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: cleanup and clarify status of tree connections
  (bsc#1193629).
- commit 4be78fe
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: move defines for query info and query fsinfo to
  smbfs_common (bsc#1193629).
- commit c6b74e0
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: move defines for ioctl protocol header and SMB2 sizes
  to smbfs_common (bsc#1193629).
- commit f23838d
* Thu Jun  9 2022 ematsumiya@suse.de
- [smb3] move more common protocol header definitions to
  smbfs_common (bsc#1193629).
- commit d36ebbe
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix incorrect use of list iterator after the loop
  (bsc#1193629).
- commit b55a09d
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: change smb2_query_info_compound to use a cached fid,
  if available (bsc#1193629).
- commit 00f232e
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: convert the path to utf16 in smb2_query_info_compound
  (bsc#1193629).
- commit 9a48bbc
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: writeback fix (bsc#1193629).
- commit 408ba7b
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: use a different reconnect helper for non-cifsd threads
  (bsc#1193629).
- commit 613da4d
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: we do not need a spinlock around the tree access during
  umount (bsc#1193629).
- commit 81f5390
* Thu Jun  9 2022 ematsumiya@suse.de
- Adjust cifssb maximum read size (bsc#1193629).
- commit 8697188
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix handlecache and multiuser (bsc#1193629).
- commit 1baccc5
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: fix incorrect session setup check for multiuser mounts
  (bsc#1193629).
- commit 96a8bc3
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix confusing unneeded warning message on smb2.1 and
  earlier (bsc#1193629).
- commit 746d619
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: modefromsids must add an ACE for authenticated users
  (bsc#1193629).
- commit 3e1f855
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix double free race when mount fails in cifs_get_root()
  (bsc#1193629).
- commit 96cdf4f
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: do not use uninitialized data in the owner/group sid
  (bsc#1193629).
- commit 64c2706
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix set of group SID via NTSD xattrs (bsc#1193629).
- commit fad6ecf
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: fix snapshot mount option (bsc#1193629).
- commit 5a0e7c7
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: mark sessions for reconnection in helper function
  (bsc#1193629).
- commit d739035
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: call helper functions for marking channels for reconnect
  (bsc#1193629).
- commit 4bc92b0
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: call cifs_reconnect when a connection is marked
  (bsc#1193629).
- commit b48b128
* Thu Jun  9 2022 ematsumiya@suse.de
- [smb3] improve error message when mount options conflict with
  posix (bsc#1193629).
- commit 30c8e8b
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: fix workstation_name for multiuser mounts (bsc#1193629).
- commit a396f87
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: unlock chan_lock before calling cifs_put_tcp_session
  (bsc#1193629).
- commit f64d988
* Thu Jun  9 2022 ematsumiya@suse.de
- Fix a warning about a malformed kernel doc comment in cifs
  (bsc#1193629).
- commit 3b5b4f5
* Thu Jun  9 2022 ematsumiya@suse.de
- cifs: update internal module number (bsc#1193629).
- commit f3a1db7
* Thu Jun  9 2022 ematsumiya@suse.de
- smb3: send NTLMSSP version information (bsc#1193629).
- commit 7ef0d69
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: cifs_ses_mark_for_reconnect should also update reconnect
  bits (bsc#1193629).
- commit 7adf859
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: update tcpStatus during negotiate and sess setup
  (bsc#1193629).
- commit 3f08633
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: make status checks in version independent callers
  (bsc#1193629).
- commit 4cd34c9
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: remove repeated state change in dfs tree connect
  (bsc#1193629).
- commit 8253840
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: fix the cifs_reconnect path for DFS (bsc#1193629).
- commit 87c9542
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: remove unused variable ses_selected (bsc#1193629).
- commit 6eecd97
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: protect all accesses to chan_* with chan_lock
  (bsc#1193629).
- commit aafaacc
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: fix the connection state transitions with multichannel
  (bsc#1193629).
- commit 4d0aa0b
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: check reconnects for channels of active tcons too
  (bsc#1193629).
- commit fbe1e74
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: serialize all mount attempts (bsc#1193629).
- commit 59797f7
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: quirk for STATUS_OBJECT_NAME_INVALID returned for
  non-ASCII dfs refs (bsc#1193629).
- commit 6676166
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: alloc_path_with_tree_prefix: do not append sep. if the
  path is empty (bsc#1193629).
- commit da4fb6c
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: clean up an inconsistent indenting (bsc#1193629).
- commit d52e4e3
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: free ntlmsspblob allocated in negotiate (bsc#1193629).
- commit d5d4763
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: fix FILE_BOTH_DIRECTORY_INFO definition (bsc#1193629).
- commit 11e89d8
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: move superblock magic defitions to magic.h (bsc#1193629).
- commit 9fcbd8d
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: Fix smb311_update_preauth_hash() kernel-doc comment
  (bsc#1193629).
- commit 7b20a4b
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: avoid race during socket reconnect between send and recv
  (bsc#1193629).
- commit 946730f
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: maintain a state machine for tcp/smb/tcon sessions
  (bsc#1193629).
- commit 95b368d
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: fix hang on cifs_get_next_mid() (bsc#1193629).
- commit 851fea7
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: take cifs_tcp_ses_lock for status checks (bsc#1193629).
- commit 2ab24a2
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: reconnect only the connection and not smb session where
  possible (bsc#1193629).
- commit 833b4c0
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: add WARN_ON for when chan_count goes below minimum
  (bsc#1193629).
- commit d359030
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: adjust DebugData to use chans_need_reconnect for conn
  status (bsc#1193629).
- commit 2bb2f0d
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: use the chans_need_reconnect bitmap for reconnect status
  (bsc#1193629).
- commit cb5bbe6
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: track individual channel status using chans_need_reconnect
  (bsc#1193629).
- commit 4a6c95e
* Wed Jun  8 2022 ematsumiya@suse.de
- cifs: remove redundant assignment to pointer p (bsc#1193629).
- commit 6785bb0
* Wed Jun  8 2022 mbenes@suse.cz
- ftrace: Clean up hash direct_functions on register failures
  (git-fixes).
- commit b73ad5c
* Wed Jun  8 2022 mbenes@suse.cz
- blacklist.conf: aa748949b4e6 ("tracing/timerlat: Notify IRQ new max latency only if stop tracing is set")
  Not really a bug. It fixes a performance issue in tracing/timerlat. It also
  needs a preparatory patch.
- commit d176655
* Wed Jun  8 2022 mkoutny@suse.com
- blacklist.conf: Add 78ed93d72ded signal: Deliver SIGTRAP on perf event
  asynchronously if blocked
- commit 076f1f3
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: Drop guest CPUID check for host initiated writes to
  MSR_IA32_PERF_CAPABILITIES (git-fixes).
- commit ae69371
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: Ignore sparse banks size for an "all CPUs", non-sparse
  IPI req (git-fixes).
- commit cb739a2
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: Wait for IPIs to be delivered when handling Hyper-V
  TLB flush hypercall (git-fixes).
- commit 7b6e6c7
* Wed Jun  8 2022 jgross@suse.com
- KVM: nVMX: Ensure vCPU honors event request if posting nested
  IRQ fails (git-fixes).
- commit 1658257
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: Exit to userspace if emulation prepared a completion
  callback (git-fixes).
- commit c752451
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: Handle 32-bit wrap of EIP for EMULTYPE_SKIP with
  flat code seg (git-fixes).
- commit d782140
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: don't print when fail to read/write pv eoi memory
  (git-fixes).
- commit ddd0369
* Wed Jun  8 2022 jgross@suse.com
- KVM: X86: Ensure that dirty PDPTRs are loaded (git-fixes).
- commit d9d53c0
* Wed Jun  8 2022 jgross@suse.com
- KVM: VMX: Read Posted Interrupt "control" exactly once per
  loop iteration (git-fixes).
- commit a3af640
* Wed Jun  8 2022 jgross@suse.com
- KVM: VMX: Don't unblock vCPU w/ Posted IRQ if IRQs are disabled
  in guest (git-fixes).
- commit 30f5bba
* Wed Jun  8 2022 jack@suse.cz
- Add CVE reference to
  patches.suse/fanotify-Fix-stale-file-descriptor-in-copy_event_to_.patch
  (bsc#1195187 CVE-2022-1998).
- commit f941d8c
* Wed Jun  8 2022 jgross@suse.com
- KVM: x86: Register Processor Trace interrupt hook iff PT
  enabled in guest (git-fixes).
- commit 566d574
* Wed Jun  8 2022 jack@suse.cz
- block: fix bio_clone_blkg_association() to associate with proper
  blkcg_gq (bsc#1200259).
- commit eadab0f
* Wed Jun  8 2022 pjakobsson@suse.de
- Refresh patches.suse/drm-vmwgfx-Fix-fencing-on-SVGAv3.patch.
  Alt-commit
- commit 595b07f
* Wed Jun  8 2022 pjakobsson@suse.de
- blacklist.conf: d4da1f27396f drm/dp: Fix off-by-one in register cache size
- commit 6523c09
* Wed Jun  8 2022 pjakobsson@suse.de
- blacklist.conf: 4adc33f36d80 drm/edid: Split deep color modes between RGB and YUV444
- commit ac837ed
* Wed Jun  8 2022 tiwai@suse.de
- mmc: block: Fix CQE recovery reset success (git-fixes).
- commit d3053f5
* Tue Jun  7 2022 mbrugger@suse.com
- arm64: supported.conf: mark PHY_FSL_IMX8MQ_USB as supported (bsc#1199909)
- commit d332656
* Tue Jun  7 2022 ohering@suse.de
- add mainline tag for a pci-hyperv change
- commit 6d39b2d
* Tue Jun  7 2022 ohering@suse.de
- swiotlb: max mapping size takes min align mask into account (bsc#1197303).
- commit dfe7233
* Tue Jun  7 2022 tiwai@suse.de
- pipe: Fix missing lock in pipe_resize_ring() (git-fixes).
- drm/i915: Fix -Wstringop-overflow warning in call to
  intel_read_wm_latency() (git-fixes).
- HID: multitouch: Add support for Google Whiskers Touchpad
  (git-fixes).
- HID: multitouch: add quirks to enable Lenovo X12 trackpoint
  (git-fixes).
- drivers: i2c: thunderx: Allow driver to work with ACPI defined
  TWSI controllers (git-fixes).
- i2c: ismt: Provide a DMA buffer for Interrupt Cause Logging
  (git-fixes).
- pinctrl: sunxi: fix f1c100s uart2 function (git-fixes).
- nfc: pn533: Fix buggy cleanup order (git-fixes).
- commit 0f1be88
* Tue Jun  7 2022 mkubecek@suse.cz
- netfilter: nf_tables: sanitize nft_set_desc_concat_parse()
  (CVE-2022-1972 bsc#1200019).
- commit fb312f5
* Tue Jun  7 2022 mkubecek@suse.cz
- netfilter: nf_tables: disallow non-stateful expression in sets
  earlier (CVE-2022-1966 bsc#1200015).
- commit 382d5dc
* Mon Jun  6 2022 jack@suse.cz
- jbd2: Fake symbols defined under CONFIG_JBD2_DEBUG
  (bsc#1198971).
- Update config files to disable mistakenly enabled CONFIG_JBD2_DEBUG
- commit 906d455
* Mon Jun  6 2022 ptesarik@suse.cz
- net/smc: set ini->smcrv2.ib_dev_v2 to NULL if SMC-Rv2 is
  unavailable (git-fixes).
- net/smc: use memcpy instead of snprintf to avoid out of bounds
  read (git-fixes).
- net/smc: Remove unused function declaration (git-fixes).
- commit 3a30c09
* Mon Jun  6 2022 ptesarik@suse.cz
- s390/mcck: isolate SIE instruction when setting CIF_MCCK_GUEST
  flag (git-fixes).
- s390/crypto: fix scatterwalk_unmap() callers in AES-GCM
  (git-fixes).
- s390/lcs: fix variable dereferenced before check (git-fixes).
- s390/ctcm: fix potential memory leak (git-fixes).
- s390/ctcm: fix variable dereferenced before check (git-fixes).
- s390/dasd: Fix read inconsistency for ESE DASD devices
  (git-fixes).
- s390/dasd: Fix read for ESE with blksize < 4k (git-fixes).
- s390/dasd: prevent double format of tracks for ESE devices
  (git-fixes).
- s390/dasd: fix data corruption for ESE devices (git-fixes).
- KVM: s390: vsie/gmap: reduce gmap_rmap overhead (git-fixes).
- s390/smp: sort out physical vs virtual pointers usage
  (git-fixes).
- s390/extable: fix exception table sorting (git-fixes).
- s390/module: fix loading modules with a lot of relocations
  (git-fixes).
- s390/nmi: handle vector validity failures for KVM guests
  (git-fixes).
- s390/nmi: handle guarded storage validity failures for KVM
  guests (git-fixes).
- s390/entry: fix duplicate tracking of irq nesting level
  (git-fixes).
- s390/kexec_file: fix error handling when applying relocations
  (git-fixes).
- s390/kexec: fix memory leak of ipl report buffer (git-fixes).
- vfio/ccw: Remove unneeded GFP_DMA (git-fixes).
- KVM: s390: pv: avoid stalls when making pages secure
  (git-fixes).
- KVM: s390: pv: add macros for UVC CC values (git-fixes).
- commit ef964f8
* Mon Jun  6 2022 tiwai@suse.de
- clocksource/drivers/oxnas-rps: Fix irq_of_parse_and_map()
  return value (git-fixes).
- modpost: fix removing numeric suffixes (git-fixes).
- commit 05f3a6d
* Sun Jun  5 2022 lduncan@suse.com
- scsi: hisi_sas: Fix rescan after deleting a disk (git-fixes).
- scsi: ufs: qcom: Add a readl() to make sure ref_clk gets enabled
  (git-fixes).
- scsi: core: Query VPD size before getting full page (git-fixes).
- scsi: mpt3sas: Use cached ATA Information VPD page (git-fixes).
- scsi: dc395x: Fix a missing check on list iterator (git-fixes).
- scsi: ufs: core: Exclude UECxx from SFR dump list (git-fixes).
- scsi: ufs: qcom: Fix ufs_qcom_resume() (git-fixes).
- drbd: fix duplicate array initializer (git-fixes).
- drbd: use bdev_alignment_offset instead of
  queue_alignment_offset (git-fixes).
- drbd: use bdev based limit helpers in drbd_send_sizes
  (git-fixes).
- commit 208fb5c
* Sun Jun  5 2022 lduncan@suse.com
- Added a commit for SCSI fixes
- commit 73de13f
* Sun Jun  5 2022 lduncan@suse.com
- drbd: remove assign_p_sizes_qlim (git-fixes).
- commit 457053c
* Sat Jun  4 2022 tiwai@suse.de
- ALSA: hda/realtek - Fix microphone noise on ASUS TUF B550M-PLUS
  (git-fixes).
- ALSA: hda/realtek: Enable 4-speaker output for Dell XPS 15
  9520 laptop (git-fixes).
- ALSA: usb-audio: Cancel pending work at closing a MIDI substream
  (git-fixes).
- ALSA: hda/realtek - Add new type for ALC245 (git-fixes).
- ASoC: rt5514: Fix event generation for "DSP Voice Wake Up"
  control (git-fixes).
- commit 1ee546e
* Sat Jun  4 2022 tiwai@suse.de
- USB: serial: pl2303: fix type detection for odd device
  (git-fixes).
- usb: dwc3: gadget: Move null pinter check to proper place
  (git-fixes).
- usb: isp1760: Fix out-of-bounds array access (git-fixes).
- usb: ehci-omap: drop unused ehci_read() function (git-fixes).
- usb: typec: mux: Check dev_set_name() return value (git-fixes).
- usb: dwc3: pci: Fix pm_runtime_get_sync() error checking
  (git-fixes).
- usb: dwc3: gadget: Replace list_for_each_entry_safe() if using
  giveback (git-fixes).
- usb: musb: Fix missing of_node_put() in omap2430_probe
  (git-fixes).
- USB: storage: karma: fix rio_karma_init return (git-fixes).
- usb: usbip: add missing device lock on tweak configuration cmd
  (git-fixes).
- usb: usbip: fix a refcount leak in stub_probe() (git-fixes).
- tty: serial: fsl_lpuart: fix potential bug when using both
  of_alias_get_id and ida_simple_get (git-fixes).
- tty: n_tty: Restore EOF push handling behavior (git-fixes).
- tty: serial: owl: Fix missing clk_disable_unprepare() in
  owl_uart_probe (git-fixes).
- virtio: pci: Fix an error handling path in vp_modern_probe()
  (git-fixes).
- video: fbdev: clcdfb: Fix refcount leak in clcdfb_of_vram_setup
  (git-fixes).
- commit 516f89a
* Sat Jun  4 2022 tiwai@suse.de
- selftests: firmware: Fix the request_firmware_into_buf()
  test for XZ format (git-fixes).
- selftests: firmware: Use smaller dictionary for XZ compression
  (git-fixes).
- soundwire: intel: prevent pm_runtime resume prior to system
  suspend (git-fixes).
- serial: stm32-usart: Correct CSIZE, bits, and parity
  (git-fixes).
- serial: st-asc: Sanitize CSIZE and correct PARENB for CS7
  (git-fixes).
- serial: sifive: Sanitize CSIZE and c_iflag (git-fixes).
- serial: sh-sci: Don't allow CS5-6 (git-fixes).
- serial: txx9: Don't allow CS5-6 (git-fixes).
- serial: rda-uart: Don't allow CS5-6 (git-fixes).
- serial: digicolor-usart: Don't allow CS5-6 (git-fixes).
- serial: cpm_uart: Fix build error without
  CONFIG_SERIAL_CPM_CONSOLE (git-fixes).
- serial: 8250_fintek: Check SER_RS485_RTS_* only with RS485
  (git-fixes).
- serial: meson: acquire port->lock in startup() (git-fixes).
- serial: pch: don't overwrite xmit->buf[0] by x_char (git-fixes).
- serial: sifive: Report actual baud base rather than fixed 115200
  (git-fixes).
- serial: 8250: pxa: Remove unneeded <linux/pm_runtime.h>
  (git-fixes).
- serial: 8250: core: Remove unneeded <linux/pm_runtime.h>
  (git-fixes).
- serial: 8250_aspeed_vuart: Fix potential NULL dereference in
  aspeed_vuart_probe (git-fixes).
- tty: goldfish: Use tty_port_destroy() to destroy port
  (git-fixes).
- commit dd65e3b
* Sat Jun  4 2022 tiwai@suse.de
- gpio: adp5588: Remove support for platform setup and teardown
  callbacks (git-fixes).
- gpio: pca953x: use the correct register address to do regcache
  sync (git-fixes).
- regulator: mt6315-regulator: fix invalid allowed mode
  (git-fixes).
- dt-bindings: PCI: xilinx-cpm: Fix reg property order
  (git-fixes).
- platform: finally disallow IRQ0 in platform_get_irq() and its
  ilk (git-fixes).
- firmware: dmi-sysfs: Fix memory leak in
  dmi_sysfs_register_handle (git-fixes).
- extcon: ptn5150: Add queue work sync before driver release
  (git-fixes).
- phy: qcom-qmp: fix pipe-clock imbalance on power-on failure
  (git-fixes).
- phy: qcom-qmp: fix reset-controller leak on probe errors
  (git-fixes).
- phy: qcom-qmp: fix struct clk leak on probe errors (git-fixes).
- dt-bindings: phy: uniphier-usb3hs: Fix incorrect clock-names
  and reset-names (git-fixes).
- iio: adc: sc27xx: Fine tune the scale calibration values
  (git-fixes).
- iio: adc: sc27xx: fix read big scale voltage not right
  (git-fixes).
- iio: proximity: vl53l0x: Fix return value check of
  wait_for_completion_timeout (git-fixes).
- iio: adc: stmpe-adc: Fix wait_for_completion_timeout return
  value check (git-fixes).
- iio: adc: ad7124: Remove shift from scan_type (git-fixes).
- firmware: stratix10-svc: fix a missing check on list iterator
  (git-fixes).
- misc: fastrpc: fix an incorrect NULL check on list iterator
  (git-fixes).
- staging: fieldbus: Fix the error handling path in
  anybuss_host_common_probe() (git-fixes).
- memory: fsl_ifc: populate child nodes of buses and mfd devices
  (git-fixes).
- commit a50adf8
* Sat Jun  4 2022 tiwai@suse.de
- driver core: Fix wait_for_device_probe() &
  deferred_probe_timeout interaction (git-fixes).
- driver core: fix deadlock in __device_attach (git-fixes).
- driver: base: fix UAF when driver_attach failed (git-fixes).
- Documentation: dd: Use ReST lists for return values of
  driver_deferred_probe_check_state() (git-fixes).
- bus: ti-sysc: Fix warnings for unbind for serial (git-fixes).
- ASoC: fsl_sai: Fix FSL_SAI_xDR/xFR definition (git-fixes).
- ALSA: usb-audio: Optimize TEAC clock quirk (git-fixes).
- drm/msm/dp: Always clear mask bits to disable interrupts at
  dp_ctrl_reset_irq_ctrl() (git-fixes).
- commit 903d077
* Fri Jun  3 2022 msuchanek@suse.de
- powerpc/xive: Add some error handling code to
  'xive_spapr_init()' (fate#322438 git-fixes).
- commit e2ebad5
* Fri Jun  3 2022 mbenes@suse.cz
- tracing: Fix return value of trace_pid_write() (git-fixes).
- commit 5a94726
* Fri Jun  3 2022 mbenes@suse.cz
- tracing: Fix potential double free in create_var_ref()
  (git-fixes).
- commit eaa2d28
* Fri Jun  3 2022 mbenes@suse.cz
- blacklist.conf: 499f12168aeb ("tracing: Have event format check not flag %%p* on __get_dynamic_array()")
  The commit introduces similar improvement as commit c6ced22997ad ("tracing:
  Update print fmt check to handle new __get_sockaddr() macro") which we do not
  carry. Let's blacklist it for now.
- commit 416300c
* Fri Jun  3 2022 tiwai@suse.de
- Move upstreamed fsl patch into sorted section
- commit 4204d7b
* Fri Jun  3 2022 tiwai@suse.de
- dt-bindings: gpio: altera: correct interrupt-cells (git-fixes).
- ARM: dts: aspeed: ast2600-evb: Enable RX delay for MAC0/MAC1
  (git-fixes).
- soc: rockchip: Fix refcount leak in rockchip_grf_init
  (git-fixes).
- wifi: mac80211: fix use-after-free in chanctx code (git-fixes).
- net: ethernet: ti: am65-cpsw-nuss: Fix some refcount leaks
  (git-fixes).
- net: ethernet: mtk_eth_soc: out of bounds read in
  mtk_hwlro_get_fdir_entry() (git-fixes).
- i2c: ismt: prevent memory corruption in ismt_access()
  (git-fixes).
- rpmsg: virtio: Fix the unregistration of the device rpmsg_ctrl
  (git-fixes).
- commit 7548c25
* Thu Jun  2 2022 mbrugger@suse.com
- arm64: Update config files. (bsc#1199909)
  Add pfuze100 regulator as module
- commit e01be53
* Thu Jun  2 2022 iivanov@suse.de
- drm/vc4: hdmi: Add debugfs prefix (bsc#1199163).
- commit 4dc809b
* Thu Jun  2 2022 msuchanek@suse.de
- powerpc/xive: Fix refcount leak in xive_spapr_init (fate#322438
  git-fixes).
- commit 852fb13
* Thu Jun  2 2022 tiwai@suse.de
- Cover the missing device_registered() check in the previous NFC fix patch (CVE-2022-1974 bsc#1200144)
- Refresh
  patches.suse/NFC-SUSE-specific-brutal-fix-for-runtime-PM.patch.
- Refresh
  patches.suse/nfc-replace-improper-check-device_is_registered-in-n.patch.
- commit be7ffc0
* Thu Jun  2 2022 tiwai@suse.de
- Update patch reference for NFC fix (CVE-2022-1975 bsc#1200143)
- commit c69687e
* Thu Jun  2 2022 tiwai@suse.de
- nfc: replace improper check device_is_registered() in netlink
  related functions (CVE-2022-1974 bsc#1200144).
- Refresh
  patches.suse/NFC-NULL-out-the-dev-rfkill-to-prevent-UAF.patch.
- commit 3255346
* Thu Jun  2 2022 tzimmermann@suse.de
- Fix 0010-drm-msm-dpu-fix-error-check-return-value-of-irq_of_p.patch
  Fixed the incorrect return value added by this patch. Error message
  is below.
  * int-conversion in ../drivers/gpu/drm/msm/disp/dpu1/dpu_kms.c in dpu_kms_init
  ../drivers/gpu/drm/msm/disp/dpu1/dpu_kms.c: In function 'dpu_kms_init':
  ../drivers/gpu/drm/msm/disp/dpu1/dpu_kms.c:1127:10: warning: return makes pointer from integer without a cast [-Wint-conversion]
- commit 2b62fe6
* Thu Jun  2 2022 tiwai@suse.de
- rpmsg: qcom_smd: Fix returning 0 if irq_of_parse_and_map()
  fails (git-fixes).
- commit 240d3e0
* Thu Jun  2 2022 tiwai@suse.de
- power: supply: axp288_fuel_gauge: Drop BIOS version check from
  "T3 MRD" DMI quirk (git-fixes).
- commit 61ba8ea
* Thu Jun  2 2022 tiwai@suse.de
- power: supply: axp288_fuel_gauge: Fix battery reporting on
  the One Mix 1 (git-fixes).
- commit 4dbbac8
* Thu Jun  2 2022 tiwai@suse.de
- assoc_array: Fix BUG_ON during garbage collect (git-fixes).
- rtc: mxc: Silence a clang warning (git-fixes).
- rtc: mt6397: check return value after calling
  platform_get_resource() (git-fixes).
- watchdog: ts4800_wdt: Fix refcount leak in ts4800_wdt_probe
  (git-fixes).
- watchdog: rti-wdt: Fix pm_runtime_get_sync() error checking
  (git-fixes).
- pwm: raspberrypi-poe: Fix endianness in firmware struct
  (git-fixes).
- pwm: lp3943: Fix duty calculation in case period was clamped
  (git-fixes).
- rpmsg: virtio: Fix possible double free in
  rpmsg_virtio_add_ctrl_dev() (git-fixes).
- rpmsg: virtio: Fix possible double free in rpmsg_probe()
  (git-fixes).
- rpmsg: qcom_smd: Fix irq_of_parse_and_map() return value
  (git-fixes).
- remoteproc: imx_rproc: Ignore create mem entry for resource
  table (git-fixes).
- drm/msm/dp: fix event thread stuck in wait_event after
  kthread_stop() (git-fixes).
- drm/msm: add missing include to msm_drv.c (git-fixes).
- commit 1351672
* Thu Jun  2 2022 jslaby@suse.cz
- tools arch x86: Add Intel SDSi provisiong tool (jsc#SLE-18938).
- platform/x86: Add Intel Software Defined Silicon driver (jsc#SLE-18938).
- Update config files (set INTEL_SDSI=m).
- supported.conf: add intel_sdsi
- commit 5d516f9
* Wed Jun  1 2022 mgorman@suse.de
- mm/page_alloc: always attempt to allocate at least one page
  during bulk allocation (git fixes (mm/pgalloc)).
- commit b7805bd
* Wed Jun  1 2022 dwagner@suse.de
- scsi: qla2xxx: edif: Remove unneeded variable (bsc#1200046).
- scsi: qla2xxx: Remove unneeded flush_workqueue() (bsc#1200046).
- scsi: qla2xxx: Remove free_sg command flag (bsc#1200046).
- scsi: qla2xxx: Fix missed DMA unmap for aborted commands
  (bsc#1200046).
- commit ae4d644
* Wed Jun  1 2022 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.2.0.3 (bsc#1200045).
- scsi: lpfc: Use sg_dma_address() and sg_dma_len() macros for
  NVMe I/O (bsc#1200045).
- scsi: lpfc: Alter FPIN stat accounting logic (bsc#1200045).
- scsi: lpfc: Rework FDMI initialization after link up
  (bsc#1200045).
- scsi: lpfc: Change VMID registration to be based on fabric
  parameters (bsc#1200045).
- scsi: lpfc: Decrement outstanding gidft_inp counter if
  lpfc_err_lost_link() (bsc#1200045).
- scsi: lpfc: Use list_for_each_entry_safe() in
  rscn_recovery_check() (bsc#1200045).
- scsi: lpfc: Fix dmabuf ptr assignment in lpfc_ct_reject_event()
  (bsc#1200045).
- scsi: lpfc: Inhibit aborts if external loopback plug is inserted
  (bsc#1200045).
- scsi: lpfc: Fix ndlp put following a LOGO completion
  (bsc#1200045).
- scsi: lpfc: Fill in missing ndlp kref puts in error paths
  (bsc#1200045).
- scsi: lpfc: Fix element offset in __lpfc_sli_release_iocbq_s4()
  (bsc#1200045).
- scsi: lpfc: Remove redundant lpfc_sli_prep_wqe() call
  (bsc#1200045).
- scsi: lpfc: Fix additional reference counting in
  lpfc_bsg_rport_els() (bsc#1200045).
- scsi: lpfc: Fix resource leak in lpfc_sli4_send_seq_to_ulp()
  (bsc#1200045).
- scsi: lpfc: Remove unnecessary null ndlp check in
  lpfc_sli_prep_wqe() (bsc#1200045).
- scsi: lpfc: Remove unneeded variable (bsc#1200045).
- scsi: lpfc: Copyright updates for 14.2.0.2 patches
  (bsc#1200045).
- scsi: lpfc: Update lpfc version to 14.2.0.2 (bsc#1200045).
- scsi: lpfc: Expand setting ELS_ID field in ELS_REQUEST64_WQE
  (bsc#1200045).
- scsi: lpfc: Update stat accounting for READ_STATUS mbox command
  (bsc#1200045).
- scsi: lpfc: Change FA-PWWN detection methodology (bsc#1200045).
- scsi: lpfc: Refactor cleanup of mailbox commands (bsc#1200045).
- scsi: lpfc: Fix field overload in lpfc_iocbq data structure
  (bsc#1200045).
- scsi: lpfc: Introduce FC_RSCN_MEMENTO flag for tracking post
  RSCN completion (bsc#1200045).
- scsi: lpfc: Register for Application Services FC-4 type in
  Fabric topology (bsc#1200045).
- scsi: lpfc: Remove false FDMI NVMe FC-4 support for NPIV ports
  (bsc#1200045).
- scsi: lpfc: Revise FDMI reporting of supported port speed for
  trunk groups (bsc#1200045).
- scsi: lpfc: Fix call trace observed during I/O with CMF enabled
  (bsc#1200045).
- scsi: lpfc: Correct CRC32 calculation for congestion stats
  (bsc#1200045).
- scsi: lpfc: Move MI module parameter check to handle dynamic
  disable (bsc#1200045).
- scsi: lpfc: Remove unnecessary NULL pointer assignment for
  ELS_RDF path (bsc#1200045).
- scsi: lpfc: Transition to NPR state upon LOGO cmpl if link
  down or aborted (bsc#1200045).
- scsi: lpfc: Update fc_prli_sent outstanding only after
  guaranteed IOCB submit (bsc#1200045).
- scsi: lpfc: Protect memory leak for NPIV ports sending PLOGI_RJT
  (bsc#1200045).
- scsi: lpfc: Fix null pointer dereference after failing to
  issue FLOGI and PLOGI (bsc#1200045).
- scsi: lpfc: Clear fabric topology flag before initiating a
  new FLOGI (bsc#1200045).
- scsi: lpfc: Fix SCSI I/O completion and abort handler deadlock
  (bsc#1200045).
- scsi: lpfc: Requeue SCSI I/O to upper layer when fw reports
  link down (bsc#1200045).
- scsi: lpfc: Zero SLI4 fcp_cmnd buffer's fcpCntl0 field
  (bsc#1200045).
- scsi: lpfc: Fix diagnostic fw logging after a function reset
  (bsc#1200045).
- scsi: lpfc: Move cfg_log_verbose check before calling
  lpfc_dmp_dbg() (bsc#1200045).
- scsi: lpfc: Tweak message log categories for ELS/FDMI/NVMe
  rescan (bsc#1200045).
- blk-cgroup: move blkcg_{get,set}_fc_appid out of line
  (bsc#1200045).
- scsi: lpfc: Correct BDE DMA address assignment for GEN_REQ_WQE
  (bsc#1200045).
- scsi: lpfc: Fix split code for FLOGI on FCoE (bsc#1200045).
- commit 113346a
* Wed Jun  1 2022 jroedel@suse.de
- iommu/amd: Increase timeout waiting for GA log enablement
  (bsc#1199052).
- commit 7d2b57d
* Wed Jun  1 2022 jroedel@suse.de
- KVM: x86: avoid calling x86 emulator without a decoded
  instruction (CVE-2022-1852 bsc#1199875).
- commit aff0e2d
* Wed Jun  1 2022 jroedel@suse.de
- KVM: x86/mmu: fix NULL pointer dereference on guest INVPCID (CVE-2022-1789 bsc#1199674).
- commit 2d985ed
* Wed Jun  1 2022 tiwai@suse.de
- i2c: at91: Initialize dma_buf in at91_twi_xfer() (git-fixes).
- commit 8873758
* Wed Jun  1 2022 tiwai@suse.de
- i2c: rcar: fix PM ref counts in probe error paths (git-fixes).
- i2c: npcm: Handle spurious interrupts (git-fixes).
- i2c: npcm: Correct register access width (git-fixes).
- i2c: npcm: Fix timeout calculation (git-fixes).
- i2c: at91: use dma safe buffers (git-fixes).
- commit 713cdfa
* Tue May 31 2022 iivanov@suse.de
- Delete patches.suse/random-fix-crash-on-multiple-early-calls-to-add_bootloader_randomness.patch.
  Remove this out-of-tree patch. Upstream has fixed the issue differently.
- commit dbaf4c1
* Tue May 31 2022 dbond@suse.com
- revert scsi: qla2xxx: Changes to support FCP2 Target
  (bsc#1198438).
- commit 3e4f734
* Tue May 31 2022 tiwai@suse.de
- KVM: x86: nSVM: skip eax alignment check for non-SVM
  instructions (git-fixes).
- commit 780b40c
* Tue May 31 2022 tiwai@suse.de
- Input: synaptics - enable InterTouch on ThinkPad T14/P14s Gen
  1 AMD (git-fixes).
- commit 801b48d
* Tue May 31 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 36fc456
* Tue May 31 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 92f23de
* Tue May 31 2022 tiwai@suse.de
- blacklist.conf: remove the document fix patch that has been backported
- commit 94cafe2
* Tue May 31 2022 msuchanek@suse.de
- powerpc/64s: Add CPU_FTRS_POWER10 to ALWAYS mask (jsc#SLE-13521
  git-fixes).
- powerpc/64s: Add CPU_FTRS_POWER9_DD2_2 to CPU_FTRS_ALWAYS mask
  (bsc#1061840 git-fixes).
- commit d77ad83
* Tue May 31 2022 jgross@suse.com
- KVM: VMX: Set failure code in prepare_vmcs02() (git-fixes).
- commit eda282d
* Tue May 31 2022 jgross@suse.com
- KVM: x86/pmu: Fix reserved bits for AMD PerfEvtSeln register
  (git-fixes).
- commit 08bb9f1
* Tue May 31 2022 jgross@suse.com
- KVM: x86/mmu: Remove spurious TLB flushes in TDP MMU zap
  collapsible path (git-fixes).
- commit 14f3189
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: vi: disable ASPM on Intel Alder Lake based systems'
- commit 63487a6
* Tue May 31 2022 jgross@suse.com
- KVM: x86/mmu: Use yield-safe TDP MMU root iter in MMU notifier
  unmapping (git-fixes).
- commit d241db8
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix SEL_FETCH_PLANE_*(PIPE_B+) register addresses'
- commit 7d292af
* Tue May 31 2022 iivanov@suse.de
- btrfs: Avoid live-lock in search_ioctl() on hardware with sub-page (git-fixes)
- commit f5c6c88
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Check EDID for HDR static metadata when choosing blc'
- commit 1e4bda7
* Tue May 31 2022 jgross@suse.com
- KVM: nVMX: Emulate guest TLB flush on nested VM-Enter with
  new vpid12 (git-fixes).
- commit d9a79ed
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix race in __i915_vma_remove_closed'
- commit 6b9663e
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Fix memory leak in dcn21_clock_source_create'
- commit 6b379f0
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdkfd: Fix GWS queue count'
- commit c194bfe
* Tue May 31 2022 jgross@suse.com
- KVM: nVMX: Abide to KVM_REQ_TLB_FLUSH_GUEST request on nested
  vmentry/vmexit (git-fixes).
- commit 1516756
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/smu10: fix SoC/fclk units in auto mode'
- commit 6e963ac
* Tue May 31 2022 iivanov@suse.de
- arm64: Add support for user sub-page fault probing (git-fixes)
  Update patch and enable CONFIG_ARCH_HAS_SUBPAGE_FAULTS=y on aarch64
- commit 89d500c
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Disable command buffers on svga3 without gbobjects'
- commit bf4ec77
* Tue May 31 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Initialize drm_mode_fb_cmd2'
- commit 8d00ddf
* Tue May 31 2022 jgross@suse.com
- KVM: nVMX: Flush current VPID (L1 vs. L2) for
  KVM_REQ_TLB_FLUSH_GUEST (git-fixes).
- commit f91c8b4
* Tue May 31 2022 iivanov@suse.de
- mm: Add fault_in_subpage_writeable() to probe at sub-page granularity (git-fixes)
- commit 0e4c9cb
* Tue May 31 2022 jgross@suse.com
- KVM: x86/mmu: Pass parameter flush as false in
  kvm_tdp_mmu_zap_collapsible_sptes() (git-fixes).
- commit 6eef8ef
* Tue May 31 2022 jgross@suse.com
- KVM: x86/mmu: Skip tlb flush if it has been done in
  zap_gfn_range() (git-fixes).
- commit d1f24d4
* Tue May 31 2022 tzimmermann@suse.de
- drm/msm/disp/dpu1: set mdp clk to the maximum frequency in opp table (bsc#1190768)
- commit 6e3b46b
* Tue May 31 2022 tzimmermann@suse.de
- drm/msm/dp: tear down main link at unplug handle immediately (bsc#1190768)
- commit e399f83
* Tue May 31 2022 tzimmermann@suse.de
- drm/msm/dp: stop event kernel thread when DP unbind (bsc#1190768)
- commit ff84c19
* Tue May 31 2022 tzimmermann@suse.de
- drm/msm/dpu: fix error check return value of irq_of_parse_and_map() (bsc#1190768)
- commit 7e0c8c4
* Tue May 31 2022 tzimmermann@suse.de
- drm/msm: remove unused plane_property field from msm_drm_private (bsc#1190768)
- commit e9be256
* Tue May 31 2022 tzimmermann@suse.de
- drm/msm: properly add and remove internal bridges (bsc#1190768)
- commit 5c122fe
* Tue May 31 2022 tzimmermann@suse.de
- drm/mediatek: Add vblank register/unregister callback functions (bsc#1190768)
- commit ab7ec76
* Tue May 31 2022 jgross@suse.com
- KVM: x86/mmu: Fix TLB flush range when handling disconnected pt
  (git-fixes).
- commit 42fd30b
* Tue May 31 2022 tzimmermann@suse.de
- stm: ltdc: fix two incorrect NULL checks on list iterator (bsc#1190786)
- commit 9331eed
* Tue May 31 2022 tzimmermann@suse.de
- drm: bridge: icn6211: Fix HFP_HSW_HBP_HI and HFP_MIN handling (bsc#1190786)
- commit ad47bc7
* Tue May 31 2022 tzimmermann@suse.de
- tilcdc: tilcdc_external: fix an incorrect NULL check on list iterator (bsc#1190786)
- commit 9c50bd8
* Tue May 31 2022 jgross@suse.com
- KVM: x86: Assume a 64-bit hypercall for guests with protected
  state (git-fixes).
- commit 46850e9
* Tue May 31 2022 jgross@suse.com
- KVM: x86: Fix uninitialized eoi_exit_bitmap usage in
  vcpu_load_eoi_exitmap() (git-fixes).
- commit ea06bd8
* Tue May 31 2022 jgross@suse.com
- KVM: x86: SVM: don't set VMLOAD/VMSAVE intercepts on vCPU reset
  (git-fixes).
- commit d06006c
* Tue May 31 2022 jgross@suse.com
- KVM: x86/mmu: Complete prefetch for trailing SPTEs for direct,
  legacy MMU (git-fixes).
- commit e82d899
* Tue May 31 2022 jgross@suse.com
- KVM: x86: Do not mark all registers as avail/dirty during
  RESET/INIT (git-fixes).
- commit deab733
* Tue May 31 2022 jgross@suse.com
- KVM: X86: Synchronize the shadow pagetable before link it
  (git-fixes).
- commit d4b3446
* Tue May 31 2022 jgross@suse.com
- KVM: X86: Fix missed remote tlb flush in rmap_write_protect()
  (git-fixes).
- commit 7edc84d
* Tue May 31 2022 jgross@suse.com
- KVM: x86: nSVM: test eax for 4K alignment for GP errata
  workaround (git-fixes).
- commit f6a065f
* Tue May 31 2022 jgross@suse.com
- KVM: x86: nSVM: restore the L1 host state prior to resuming
  nested guest on SMM exit (git-fixes).
- commit 44bc62d
* Tue May 31 2022 jgross@suse.com
- kvm: fix wrong exception emulation in check_rdtsc (git-fixes).
- commit 1c5ae50
* Tue May 31 2022 jgross@suse.com
- KVM: VMX: Remove defunct "nr_active_uret_msrs" field
  (git-fixes).
- commit 1a24800
* Tue May 31 2022 jgross@suse.com
- KVM: x86: Mark all registers as avail/dirty at vCPU creation
  (git-fixes).
- commit 1f6eceb
* Tue May 31 2022 jgross@suse.com
- KVM: SVM: Emulate #INIT in response to triple fault shutdown
  (git-fixes).
- commit 676f374
* Tue May 31 2022 jgross@suse.com
- KVM: VMX: Refresh list of user return MSRs after setting guest
  CPUID (git-fixes).
- commit 61c5fcd
* Tue May 31 2022 jgross@suse.com
- KVM: VMX: Skip pointless MSR bitmap update when setting EFER
  (git-fixes).
- commit e1674de
* Tue May 31 2022 jgross@suse.com
- KVM: nVMX: Do not clear CR3 load/store exiting bits if L1 wants
  'em (git-fixes).
- commit 1cee451
* Tue May 31 2022 jgross@suse.com
- KVM: VMX: Fold ept_update_paging_mode_cr0() back into
  vmx_set_cr0() (git-fixes).
- commit f10ca89
* Tue May 31 2022 jgross@suse.com
- KVM: VMX: Invert handling of CR0.WP for EPT without unrestricted
  guest (git-fixes).
- commit f9e5a47
* Tue May 31 2022 jgross@suse.com
- KVM: x86: Don't force set BSP bit when local APIC is managed
  by userspace (git-fixes).
- commit 7c46a7f
* Tue May 31 2022 jgross@suse.com
- KVM: x86: Migrate the PIT only if vcpu0 is migrated, not any
  BSP (git-fixes).
- commit 611cd52
* Tue May 31 2022 jlee@suse.com
- lockdown: kABI workaround for lockdown_reason changes
  (bsc#1199426 CVE-2022-21499).
- commit 972b043
* Mon May 30 2022 tiwai@suse.de
- ALSA: ctxfi: Add SB046x PCI ID (git-fixes).
- ACPI: sysfs: Fix BERT error region memory mapping (git-fixes).
- init: call time_init() before rand_initialize() (git-fixes).
- Fix double fget() in vhost_net_set_backend() (git-fixes).
- commit 4401121
* Mon May 30 2022 msuchanek@suse.de
- powerpc/powernv: Get STF barrier requirements from device-tree
  (bsc#1188885 ltc#193722 git-fixes).
- powerpc/powernv: Get L1D flush requirements from device-tree
  (bsc#1188885 ltc#193722 git-fixes).
- powerpc/powernv: Add __init attribute to eligible functions
  (bsc#1188885 ltc#193722 git-fixes).
- powerpc/powernv: Remove POWER9 PVR version check for entry
  and uaccess flushes (bsc#1188885 ltc#193722 git-fixes).
- commit abc77e7
* Mon May 30 2022 msuchanek@suse.de
- powerpc/fadump: fix PT_LOAD segment for boot memory area
  (bsc#1103269 ltc#169948 git-fixes).
- commit 397eb16
* Mon May 30 2022 ddiss@suse.de
- gen_init_cpio: fix short read file handling (bsc#1193289).
- initramfs: Check timestamp to prevent broken cpio archive
  (bsc#1193289).
- commit b52895d
* Mon May 30 2022 mhocko@suse.com
- KVM: x86/speculation: Disable Fill buffer clear within guests
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/speculation/mmio: Reuse SRBDS mitigation for SBDS
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/speculation/srbds: Update SRBDS mitigation selection
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/speculation/mmio: Add sysfs reporting for Processor
  MMIO Stale Data (bsc#1199650 CVE-2022-21166 CVE-2022-21127
  CVE-2022-21123 CVE-2022-21125 CVE-2022-21180).
- x86/speculation/mmio: Enable CPU Fill buffer clearing on idle
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/bugs: Group MDS, TAA & Processor MMIO Stale Data mitigations
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/speculation/mmio: Add mitigation for Processor MMIO Stale
  Data (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/speculation: Add a common function for MD_CLEAR mitigation
  update (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- x86/speculation/mmio: Enumerate Processor MMIO Stale Data bug
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- Documentation: Add documentation for Processor MMIO Stale Data
  (bsc#1199650 CVE-2022-21166 CVE-2022-21127 CVE-2022-21123
  CVE-2022-21125 CVE-2022-21180).
- commit 426a83d
* Mon May 30 2022 oneukum@suse.com
- hide appended member supports_dynamic_smps_6ghz (git-fixes).
- commit f872210
* Mon May 30 2022 iivanov@suse.de
- gup: Turn fault_in_pages_{readable,writeable} into fault_in_{readable,writeable} (git-fixes).
- commit 413bfcd
* Mon May 30 2022 jgross@suse.com
- smp: Fix offline cpu check in flush_smp_call_function_queue()
  (git-fixes).
- commit 9697600
* Mon May 30 2022 jgross@suse.com
- mm, page_alloc: fix build_zonerefs_node() (git-fixes).
- commit 3121010
* Mon May 30 2022 jlee@suse.com
- lockdown: also lock down previous kgdb use (bsc#1199426
  CVE-2022-21499).
- commit 251570d
* Mon May 30 2022 tiwai@suse.de
- dmaengine: stm32-mdma: fix chan initialization in
  stm32_mdma_irq_handler() (git-fixes).
- dmaengine: stm32-mdma: remove GISR1 register (git-fixes).
- dmaengine: idxd: Fix the error handling path in
  idxd_cdev_register() (git-fixes).
- commit 2fd937f
* Sun May 29 2022 tiwai@suse.de
- Input: stmfts - do not leave device disabled in
  stmfts_input_open (git-fixes).
- Input: sparcspkr - fix refcount leak in bbc_beep_probe
  (git-fixes).
- misc: ocxl: fix possible double free in ocxl_file_register_afu
  (git-fixes).
- pinctrl: renesas: core: Fix possible null-ptr-deref in
  sh_pfc_map_resources() (git-fixes).
- pinctrl: renesas: r8a779a0: Fix GPIO function on I2C-capable
  pins (git-fixes).
- pinctrl: tegra: tegra194: drop unused pin groups (git-fixes).
- pinctrl: mvebu: Fix irq_of_parse_and_map() return value
  (git-fixes).
- pinctrl: mediatek: mt8195: enable driver on mtk platforms
  (git-fixes).
- commit 00278c6
* Sat May 28 2022 tiwai@suse.de
- crypto: cryptd - Protect per-CPU resource by disabling BH
  (git-fixes).
- crypto: sun8i-ss - handle zero sized sg (git-fixes).
- crypto: sun8i-ss - rework handling of IV (git-fixes).
- crypto: ecrdsa - Fix incorrect use of vli_cmp (git-fixes).
- crypto: caam - fix i.MX6SX entropy delay value (git-fixes).
- crypto: marvell/cesa - ECB does not IV (git-fixes).
- crypto: x86 - eliminate anonymous module_init & module_exit
  (git-fixes).
- commit e9656ce
* Sat May 28 2022 tiwai@suse.de
- hwrng: omap3-rom - fix using wrong clk_disable() in
  omap_rom_rng_runtime_resume() (git-fixes).
- mfd: davinci_voicecodec: Fix possible null-ptr-deref
  davinci_vc_probe() (git-fixes).
- mfd: ipaq-micro: Fix error check return value of
  platform_get_irq() (git-fixes).
- clk: imx8mp: fix usb_root_clk parent (git-fixes).
- clk: imx: scu: Use pm_runtime_resume_and_get to fix
  pm_runtime_get_sync() usage (git-fixes).
- clk: imx: Add check for kcalloc (git-fixes).
- clk: tegra: Add missing reset deassertion (git-fixes).
- clk: renesas: r9a06g032: Fix the RTC hclock description
  (git-fixes).
- PCI: rockchip: Fix find_first_zero_bit() limit (git-fixes).
- PCI: qcom: Fix unbalanced PHY init on probe errors (git-fixes).
- PCI: qcom: Fix runtime PM imbalance on probe errors (git-fixes).
- PCI: microchip: Fix potential race in interrupt handling
  (git-fixes).
- PCI: imx6: Fix PERST# start-up sequence (git-fixes).
- PCI: dwc: Fix setting error return on MSI DMA mapping failure
  (git-fixes).
- PCI: cadence: Fix find_first_zero_bit() limit (git-fixes).
- PCI/PM: Power up all devices during runtime resume (git-fixes).
- PCI/ACPI: Allow D3 only if Root Port can signal and wake from D3
  (git-fixes).
- PCI/AER: Clear MULTI_ERR_COR/UNCOR_RCV bits (git-fixes).
- tty: fix deadlock caused by calling printk() under
  tty_port->lock (git-fixes).
- commit f5e4e29
* Sat May 28 2022 tiwai@suse.de
- Watchdog: sp5100_tco: Enable Family 17h+ CPUs (bsc#1199260).
- Watchdog: sp5100_tco: Add initialization using EFCH MMIO
  (bsc#1199260).
- Watchdog: sp5100_tco: Refactor MMIO base address initialization
  (bsc#1199260).
- Watchdog: sp5100_tco: Move timer initialization into function
  (bsc#1199260).
- watchdog: sp5100_tco: Add support for get_timeleft
  (bsc#1199260).
- commit 5a67b91
* Fri May 27 2022 tiwai@suse.de
- ARM: ftrace: avoid redundant loads or clobbering IP (git-fixes).
- atomics: Fix atomic64_{read_acquire,set_release} fallbacks
  (git-fixes).
- atm: eni: Add check for dma_map_single (git-fixes).
- ARM: dts: qcom: sdx55: fix IPA interconnect definitions
  (git-fixes).
- commit 1131a46
* Fri May 27 2022 tiwai@suse.de
- Update patch reference for libata fix (bsc#1118212).
- commit 6d39ca9
* Fri May 27 2022 tiwai@suse.de
- platform/chrome: Re-introduce cros_ec_cmd_xfer and use it for
  ioctls (git-fixes).
- platform/chrome: cros_ec: fix error handling in
  cros_ec_register() (git-fixes).
- soc: qcom: llcc: Add MODULE_DEVICE_TABLE() (git-fixes).
- soc: qcom: smsm: Fix missing of_node_put() in smsm_parse_ipc
  (git-fixes).
- soc: qcom: smp2p: Fix missing of_node_put() in smp2p_parse_ipc
  (git-fixes).
- soc: bcm: Check for NULL return of devm_kzalloc() (git-fixes).
- NFC: hci: fix sleep in atomic context bugs in
  nfc_hci_hcp_message_tx (git-fixes).
- wilc1000: fix crash observed in AP mode with
  cfg80211_register_netdevice() (git-fixes).
- nl80211: show SSID for P2P_GO interfaces (git-fixes).
- usb: gadget: fix race when gadget driver register via ioctl
  (git-fixes).
- nl80211: fix locking in nl80211_set_tx_bitrate_mask()
  (git-fixes).
- nl80211: validate S1G channel width (git-fixes).
- platform/chrome: cros_ec_debugfs: detach log reader wq from devm
  (git-fixes).
- rtc: mc146818-lib: Fix the AltCentury for AMD platforms
  (git-fixes).
- rtc: sun6i: Fix time overflow handling (git-fixes).
- rtc: pcf2127: fix bug when reading alarm registers (git-fixes).
- rtc: fix use-after-free on device removal (git-fixes).
- vhost_vdpa: don't setup irq offloading when irq_num < 0
  (git-fixes).
- commit 4e4f201
* Fri May 27 2022 tiwai@suse.de
- firmware: arm_scmi: Validate BASE_DISCOVER_LIST_PROTOCOLS
  response (git-fixes).
- firmware: arm_scmi: Fix list protocols enumeration in the base
  protocol (git-fixes).
- firmware: arm_ffa: Remove incorrect assignment of driver_data
  (git-fixes).
- firmware: arm_ffa: Fix uuid parameter to ffa_partition_probe
  (git-fixes).
- memory: samsung: exynos5422-dmc: Avoid some over memory
  allocation (git-fixes).
- dt-bindings: arm: bcm: fix BCM53012 and BCM53016 SoC strings
  (git-fixes).
- drm/i915: Fix CFI violation with show_dynamic_id() (git-fixes).
- drm/msm/dpu: handle pm_runtime_get_sync() errors in bind path
  (git-fixes).
- drm: msm: fix possible memory leak in mdp5_crtc_cursor_set()
  (git-fixes).
- drm/msm/a6xx: Fix refcount leak in a6xx_gpu_init (git-fixes).
- drm/msm: return an error pointer in msm_gem_prime_get_sg_table()
  (git-fixes).
- gma500: fix an incorrect NULL check on list iterator
  (git-fixes).
- dt-bindings: display: sitronix, st7735r: Fix backlight in
  example (git-fixes).
- mt76: do not attempt to reorder received 802.3 packets without
  agg session (git-fixes).
- mt76: mt7921: Fix the error handling path of mt7921_pci_probe()
  (git-fixes).
- NFC: NULL out the dev->rfkill to prevent UAF (git-fixes).
- dt-bindings: pinctrl: aspeed-g6: remove FWQSPID group
  (git-fixes).
- mac80211: fix rx reordering with non explicit / psmp ack policy
  (git-fixes).
- Input: stmfts - fix reference leak in stmfts_input_open
  (git-fixes).
- Input: add bounds checking to input_set_capability()
  (git-fixes).
- i2c: piix4: Enable EFCH MMIO for Family 17h+ (git-fixes).
- i2c: piix4: Add EFCH MMIO support for SMBus port select
  (git-fixes).
- i2c: piix4: Add EFCH MMIO support to SMBus base address detect
  (git-fixes).
- i2c: piix4: Add EFCH MMIO support to region request and release
  (git-fixes).
- i2c: piix4: Move SMBus port selection into function (git-fixes).
- i2c: piix4: Move SMBus controller base address detect into
  function (git-fixes).
- i2c: piix4: Move port I/O region request/release code into
  functions (git-fixes).
- i2c: piix4: Replace hardcoded memory map size with a #define
  (git-fixes).
- kernel/resource: Introduce request_mem_region_muxed()
  (git-fixes).
- commit a0726ce
* Fri May 27 2022 tiwai@suse.de
- drm/msm/mdp5: Return error code in mdp5_mixer_release when
  deadlock is detected (git-fixes).
- drm/msm/mdp5: Return error code in mdp5_pipe_release when
  deadlock is detected (git-fixes).
- drm/msm/dsi: fix address for second DSI PHY on SDM660
  (git-fixes).
- drm/msm/hdmi: fix error check return value of
  irq_of_parse_and_map() (git-fixes).
- drm/msm/hdmi: check return value after calling
  platform_get_resource_byname() (git-fixes).
- drm/msm/dsi: fix error checks and return values for DSI xmit
  functions (git-fixes).
- drm/msm/dp: do not stop transmitting phy test pattern during
  DP phy compliance test (git-fixes).
- drm/msm/dp: fix error check return value of
  irq_of_parse_and_map() (git-fixes).
- drm/msm/disp/dpu1: set vbif hw config to NULL to avoid use
  after memory free during pm runtime resume (git-fixes).
- drm/msm/dpu: adjust display_v_end for eDP and DP (git-fixes).
- commit 8d4668b
* Fri May 27 2022 tiwai@suse.de
- drm/mediatek: dpi: Use mt8183 output formats for mt8192
  (git-fixes).
- drm/mediatek: Fix mtk_cec_mask() (git-fixes).
- drm/rockchip: vop: fix possible null-ptr-deref in vop_bind()
  (git-fixes).
- drm/panel: panel-simple: Fix proper bpc for
  AM-1280800N3TZQW-T00H (git-fixes).
- drm/panel: simple: Add missing bus flags for Innolux G070Y2-L01
  (git-fixes).
- drm/bridge: Fix error handling in analogix_dp_probe (git-fixes).
- drm/amd/display: DCN3.1: don't mark as kernel-doc (git-fixes).
- drm: mali-dp: potential dereference of null pointer (git-fixes).
- commit 9404954
* Fri May 27 2022 tiwai@suse.de
- drm/komeda: Fix an undefined behavior bug in komeda_plane_add()
  (git-fixes).
- drm/vc4: txp: Force alpha to be 0xff if it's disabled
  (git-fixes).
- drm/vc4: txp: Don't set TXP_VSTART_AT_EOF (git-fixes).
- drm/vc4: hvs: Reset muxes at probe time (git-fixes).
- drm: sti: don't use kernel-doc markers (git-fixes).
- drm/vc4: hvs: Fix frame count register readout (git-fixes).
- drm/nouveau/clk: Fix an incorrect NULL check on list iterator
  (git-fixes).
- drm: bridge: icn6211: Fix register layout (git-fixes).
- drm/bridge: adv7511: clean up CEC adapter when probe fails
  (git-fixes).
- drm/edid: fix invalid EDID extension block filtering
  (git-fixes).
- commit 57ac012
* Fri May 27 2022 tiwai@suse.de
- ARM: dts: aspeed: Add secure boot controller node (git-fixes).
- Refresh
  patches.suse/ARM-dts-aspeed-Add-video-engine-to-g6.patch.
- commit 7366c1a
* Fri May 27 2022 tiwai@suse.de
- drivers/base/memory: fix an unlikely reference counting issue
  in __add_memory_block() (git-fixes).
- drivers/base/node.c: fix compaction sysfs file leak (git-fixes).
- ARM: omap1: ams-delta: remove camera leftovers (git-fixes).
- arm: mediatek: select arch timer for mt7629 (git-fixes).
- arm64: dts: mt8192: Fix nor_flash status disable typo
  (git-fixes).
- arm64: dts: marvell: espressobin-ultra: enable front USB3 port
  (git-fixes).
- arm64: dts: marvell: espressobin-ultra: fix SPI-NOR config
  (git-fixes).
- arm64: dts: rockchip: Move drive-impedance-ohm to emmc phy on
  rk3399 (git-fixes).
- ARM: dts: imx6dl-colibri: Fix I2C pinmuxing (git-fixes).
- ARM: dts: ci4x10: Adapt to changes in imx6qdl.dtsi regarding
  fec clocks (git-fixes).
- arm64: dts: qcom: qrb5165-rb5: Fix can-clock node name
  (git-fixes).
- arm64: dts: qcom: ipq8074: fix the sleep clock frequency
  (git-fixes).
- arm64: dts: qcom: sm8250: Drop flags for mdss irqs (git-fixes).
- arm64: dts: qcom: sdm845: Drop flags for mdss irqs (git-fixes).
- arm64: dts: qcom: msm8996: Drop flags for mdss irqs (git-fixes).
- arm64: dts: qcom: msm8916-huawei-g7: Clarify installation
  instructions (git-fixes).
- arm64: dts: qcom: pmr735a: stop depending on thermal_zones label
  (git-fixes).
- arm64: dts: qcom: pm8350c: stop depending on thermal_zones label
  (git-fixes).
- arm64: dts: qcom: msm8996: remove snps,dw-pcie compatibles
  (git-fixes).
- arm64: dts: qcom: sdm845: remove snps,dw-pcie compatibles
  (git-fixes).
- arm64: dts: qcom: sdm845-db845c: add wifi variant property
  (git-fixes).
- ARM: dts: qcom: msm8974: Drop flags for mdss irqs (git-fixes).
- arm64: dts: ti: k3-am64-mcu: remove incorrect UART base clock
  rates (git-fixes).
- ARM: dts: suniv: F1C100: fix watchdog compatible (git-fixes).
- arm64: tegra: Add missing DFLL reset on Tegra210 (git-fixes).
- ARM: dts: bcm2835-rpi-b: Fix GPIO line names (git-fixes).
- ARM: dts: bcm2837-rpi-3-b-plus: Fix GPIO line name of power LED
  (git-fixes).
- ARM: dts: bcm2837-rpi-cm3-io3: Fix GPIO line names for SMPS I2C
  (git-fixes).
- ARM: dts: bcm2835-rpi-zero-w: Fix GPIO line name for Wifi/BT
  (git-fixes).
- ARM: dts: stm32: Fix PHY post-reset delay on Avenger96
  (git-fixes).
- ARM: dts: s5pv210: Correct interrupt name for bluetooth in Aries
  (git-fixes).
- ARM: dts: s5pv210: Remove spi-cs-high on panel in Aries
  (git-fixes).
- ALSA: usb-audio: Configure sync endpoints before data
  (git-fixes).
- ASoC: max98090: Move check for invalid values before casting
  in max98090_put_enab_tlv() (git-fixes).
- ASoC: wm2000: fix missing clk_disable_unprepare() on error in
  wm2000_anc_transition() (git-fixes).
- ASoC: ti: j721e-evm: Fix refcount leak in j721e_soc_probe_*
  (git-fixes).
- ASoC: mxs-saif: Fix refcount leak in mxs_saif_probe (git-fixes).
- ASoC: imx-hdmi: Fix refcount leak in imx_hdmi_probe (git-fixes).
- ASoC: atmel-classd: Remove endianness flag on class d component
  (git-fixes).
- ASoC: atmel-pdmic: Remove endianness flag on pdmic component
  (git-fixes).
- ASoC: rk3328: fix disabling mclk on pclk probe failure
  (git-fixes).
- ASoC: mediatek: Fix missing of_node_put in
  mt2701_wm8960_machine_probe (git-fixes).
- ASoC: mediatek: Fix error handling in mt8173_max98090_dev_probe
  (git-fixes).
- ALSA: usb-audio: Add missing ep_idx in fixed EP quirks
  (git-fixes).
- ALSA: usb-audio: Workaround for clock setup on TEAC devices
  (git-fixes).
- ALSA: pcm: Check for null pointer of pointer substream before
  dereferencing it (git-fixes).
- drm/nouveau/kms/nv50-: atom: fix an incorrect NULL check on
  list iterator (git-fixes).
- drm: bridge: it66121: Fix the register page length (git-fixes).
- drm/blend: fix typo in the comment (git-fixes).
- drm/bridge: analogix_dp: Grab runtime PM reference for DP-AUX
  (git-fixes).
- Bluetooth: use hdev lock for accept_list and reject_list in
  conn req (git-fixes).
- Bluetooth: use hdev lock in activate_scan for
  hci_is_adv_monitoring (git-fixes).
- Bluetooth: hci_qca: Use del_timer_sync() before freeing
  (git-fixes).
- Bluetooth: fix dangling sco_conn and use-after-free in
  sco_sock_timeout (git-fixes).
- ath11k: Don't check arvif->is_started before sending management
  frames (git-fixes).
- carl9170: tx: fix an incorrect use of list iterator (git-fixes).
- ath9k_htc: fix potential out of bounds access with invalid
  rxstatus->rs_keyix (git-fixes).
- ath9k: fix ar9003_get_eepmisc (git-fixes).
- ath11k: acquire ab->base_lock in unassign when finding the
  peer by addr (git-fixes).
- can: xilinx_can: mark bit timing constants as const (git-fixes).
- docs: submitting-patches: Fix crossref to 'The canonical patch
  format' (git-fixes).
- drm/i915/dmc: Add MMIO range restrictions (git-fixes).
- arm64: Enable repeat tlbi workaround on KRYO4XX gold CPUs
  (git-fixes).
- ARM: 9191/1: arm/stacktrace, kasan: Silence KASAN warnings in
  unwind_frame() (git-fixes).
- ALSA: hda/realtek: Enable headset mic on Lenovo P360
  (git-fixes).
- crypto: x86/chacha20 - Avoid spurious jumps to other functions
  (git-fixes).
- crypto: stm32 - fix reference leak in stm32_crc_remove
  (git-fixes).
- ARM: dts: aspeed: Add ADC for AST2600 and enable for Rainier
  and Everest (git-fixes).
- commit 31708da
* Thu May 26 2022 msuchanek@suse.de
- kernel-binary.spec: Support radio selection for debuginfo.
  To disable debuginfo on 5.18 kernel a radio selection needs to be
  switched to a different selection. This requires disabling the currently
  active option and selecting NONE as debuginfo type.
- commit 43b5dd3
* Thu May 26 2022 tonyj@suse.de
- perf: Fix sys_perf_event_open() race against self
  (bsc#1199507,CVE-2022-1729).
- commit 25fb716
* Wed May 25 2022 mbrugger@suse.com
- supported.conf: mark pfuze100 regulator as supported (bsc#1199909)
- commit 4c36b1c
* Wed May 25 2022 jack@suse.cz
- ext4: avoid cycles in directory h-tree (bsc#1198577
  CVE-2022-1184).
- commit b38a01b
* Wed May 25 2022 jack@suse.cz
- ext4: verify dir block before splitting it (bsc#1198577
  CVE-2022-1184).
- commit bca7951
* Wed May 25 2022 oneukum@suse.com
- net: phy: correct spelling error of media in documentation
  (git-fixes).
- commit f65b389
* Wed May 25 2022 tiwai@suse.de
- media: rkvdec: h264: Fix bit depth wrap in pps packet
  (git-fixes).
- media: rkvdec: h264: Fix dpb_valid implementation (git-fixes).
- media: i2c: ov5648: fix wrong pointer passed to IS_ERR()
  and PTR_ERR() (git-fixes).
- media: ov7670: remove ov7670_power_off from ov7670_remove
  (git-fixes).
- media: hantro: HEVC: Fix tile info buffer value computation
  (git-fixes).
- media: atmel: atmel-sama5d2-isc: fix wrong mask in YUYV format
  check (git-fixes).
- media: pvrusb2: fix array-index-out-of-bounds in
  pvr2_i2c_core_init (git-fixes).
- media: i2c: rdacm2x: properly set subdev entity function
  (git-fixes).
- media: atmel: atmel-isc: Fix PM disable depth imbalance in
  atmel_isc_probe (git-fixes).
- media: uvcvideo: Fix missing check to determine if element is
  found in list (git-fixes).
- media: hantro: Empty encoder capture buffers by default
  (git-fixes).
- media: media-entity.h: Fix documentation for
  media_create_intf_link (git-fixes).
- ACPI: property: Release subnode properties with data nodes
  (git-fixes).
- thermal: devfreq_cooling: use local ops instead of global ops
  (git-fixes).
- thermal/drivers/imx_sc_thermal: Fix refcount leak in
  imx_sc_thermal_probe (git-fixes).
- thermal/core: Fix memory leak in
  __thermal_cooling_device_register() (git-fixes).
- thermal/drivers/broadcom: Fix potential NULL dereference in
  sr_thermal_probe (git-fixes).
- thermal/drivers/bcm2711: Don't clamp temperature at zero
  (git-fixes).
- PM: domains: Fix initialization of genpd's next_wakeup
  (git-fixes).
- HID: amd_sfh: Modify the hid name (git-fixes).
- HID: amd_sfh: Modify the bus name (git-fixes).
- HID: elan: Fix potential double free in elan_input_configured
  (git-fixes).
- HID: hid-led: fix maximum brightness for Dream Cheeky
  (git-fixes).
- spi: spi-fsl-qspi: check return value after calling
  platform_get_resource_byname() (git-fixes).
- spi: img-spfi: Fix pm_runtime_get_sync() error checking
  (git-fixes).
- spi: spi-ti-qspi: Fix return value handling of
  wait_for_completion_timeout (git-fixes).
- spi: spi-cadence: Fix kernel-doc format for resume/suspend
  (git-fixes).
- spi: qcom-qspi: Add minItems to interconnect-names (git-fixes).
- regulator: scmi: Fix refcount leak in scmi_regulator_probe
  (git-fixes).
- regulator: pfuze100: Fix refcount leak in
  pfuze_parse_regulators_dt (git-fixes).
- regulator: da9121: Fix uninit-value in
  da9121_assign_chip_model() (git-fixes).
- regulator: qcom_smd: Fix up PM8950 regulator configuration
  (git-fixes).
- regulator: core: Fix enable_count imbalance with EXCLUSIVE_GET
  (git-fixes).
- mtd: rawnand: intel: fix possible null-ptr-deref in
  ebu_nand_probe() (git-fixes).
- mtd: rawnand: cadence: fix possible null-ptr-deref in
  cadence_nand_dt_probe() (git-fixes).
- mtd: rawnand: denali: Use managed device resources (git-fixes).
- mtd: spinand: gigadevice: fix Quad IO for GD5F1GQ5UExxG
  (git-fixes).
- mtd: spi-nor: core: Check written SR value in
  spi_nor_write_16bit_sr_and_check() (git-fixes).
- hwmon: (pmbus) Check PEC support before reading other registers
  (git-fixes).
- tpm: Fix buffer access in tpm2_get_tpm_pt() (git-fixes).
- arm64: stackleak: fix current_top_of_stack() (git-fixes).
- random: wire up fops->splice_{read,write}_iter() (git-fixes).
- scripts/faddr2line: Fix overlapping text section failures
  (git-fixes).
- commit 6d8fda5
* Wed May 25 2022 msuchanek@suse.de
- tpm: ibmvtpm: Correct the return value in tpm_ibmvtpm_probe()
  (bsc#1065729).
- commit c3331af
* Tue May 24 2022 lduncan@suse.com
- scsi: fnic: Replace DMA mask of 64 bits with 47 bits
  (bsc#1199631).
- commit 6d101b3
* Tue May 24 2022 msuchanek@suse.de
- powerpc: Enable the DAWR on POWER9 DD2.3 and above (bsc#1055117
  ltc#159753).
- commit b108057
* Tue May 24 2022 tiwai@suse.de
- Add cherry-picked IDs to x86 platform drivers
- commit e43dfb1
* Tue May 24 2022 tiwai@suse.de
- arm64: fix types in copy_highpage() (git-fixes).
- tty: goldfish: Introduce gf_ioread32()/gf_iowrite32()
  (git-fixes).
- platform/x86: intel-hid: fix _DSM function index handling
  (git-fixes).
- irqchip/armada-370-xp: Do not touch Performance Counter Overflow
  on A375, A38x, A39x (git-fixes).
- irqchip/aspeed-scu-ic: Fix irq_of_parse_and_map() return value
  (git-fixes).
- irqchip/aspeed-i2c-ic: Fix irq_of_parse_and_map() return value
  (git-fixes).
- irqchip/exiu: Fix acknowledgment of edge triggered interrupts
  (git-fixes).
- virtio_blk: fix the discard_granularity and discard_alignment
  queue limits (git-fixes).
- efi: Add missing prototype for efi_capsule_setup_info
  (git-fixes).
- commit 5e96a09
* Mon May 23 2022 ddiss@suse.de
- io_uring: kill extra checks in io_write() (bsc#1198968
  CVE-2022-1508).
- Revert "iov_iter: track truncated size" (bsc#1198968
  CVE-2022-1508).
- io_uring: use iov_iter state save/restore helpers (bsc#1198968
  CVE-2022-1508).
- iov_iter: add helper to save iov_iter state (bsc#1198968
  CVE-2022-1508).
- io_uring: reexpand under-reexpanded iters (bsc#1198968
  CVE-2022-1508).
- iov_iter: track truncated size (bsc#1198968 CVE-2022-1508).
- commit edd86da
* Mon May 23 2022 tbogendoerfer@suse.de
- net: sfc: ef10: fix memory leak in efx_ef10_mtd_probe()
  (git-fixes).
- i40e: i40e_main: fix a missing check on list iterator
  (git-fixes).
- ice: fix PTP stale Tx timestamps cleanup (git-fixes).
- ice: clear stale Tx queue settings before configuring
  (git-fixes).
- ionic: fix missing pci_release_regions() on error in
  ionic_probe() (git-fixes).
- net: sfc: fix memory leak due to ptp channel (git-fixes).
- commit ed6f157
* Mon May 23 2022 mkoutny@suse.com
- cgroup/cpuset: Remove cpus_allowed/mems_allowed setup in
  cpuset_init_smp() (bsc#1199839).
- commit 55b24a6
* Mon May 23 2022 tiwai@suse.de
- Update patch reference for crypto fix (bsc#1197601)
- commit 0c89071
* Mon May 23 2022 schwab@suse.de
- Add dtb-starfive
- commit 85335b1
* Mon May 23 2022 tiwai@suse.de
- Update patch references for ax25 fixes (CVE-2022-1204 bsc#1198025)
- commit c6e9ba8
* Mon May 23 2022 vbabka@suse.cz
- Update kabi files from the GMC submitted kernel.
- commit b4bebf4
* Mon May 23 2022 msuchanek@suse.de
- KVM: PPC: Fix TCE handling for VFIO (bsc#1061840 git-fixes).
- commit c85ed92
* Mon May 23 2022 msuchanek@suse.de
- blacklist.conf: riscv architecture not supported.
- commit 89f6518
* Mon May 23 2022 tiwai@suse.de
- i2c: mt7621: fix missing clk_disable_unprepare() on error in
  mtk_i2c_probe() (git-fixes).
- commit fafa813
* Sun May 22 2022 bp@suse.de
- x86/tsx: Use MSR_TSX_CTRL to clear CPUID bits (bsc#1190497).
- commit 4a1b622
* Sun May 22 2022 tiwai@suse.de
- Input: ili210x - fix reset timing (git-fixes).
- commit 36d87dd
* Sat May 21 2022 tiwai@suse.de
- clk: at91: generated: consider range when calculating best rate
  (git-fixes).
- clk: bcm2835: fix bcm2835_clock_choose_div (git-fixes).
- dma-buf: fix use of DMA_BUF_SET_NAME_{A,B} in userspace
  (git-fixes).
- gpio: mvebu/pwm: Refuse requests with inverted polarity
  (git-fixes).
- gpio: gpio-vf610: do not touch other bits when set the target
  bit (git-fixes).
- arm64: mte: Ensure the cleared tags are visible before setting
  the PTE (git-fixes).
- arm64: paravirt: Use RCU read locks to guard stolen_time
  (git-fixes).
- crypto: qcom-rng - fix infinite loop on requests not multiple
  of WORD_SZ (git-fixes).
- commit 11e974a
* Sat May 21 2022 pvorel@suse.cz
- ping: fix the sk_bound_dev_if match in ping_lookup
  (bsc#1195826).
- commit f88b8c8
* Fri May 20 2022 jack@suse.cz
- bfq: Allow current waker to defend against a tentative one
  (bsc#1195915).
- commit e1ca6b5
* Fri May 20 2022 jack@suse.cz
- bfq: Relax waker detection for shared queues (bsc#1184318).
- commit 4c2bfe4
* Fri May 20 2022 tiwai@suse.de
- ARM: 9197/1: spectre-bhb: fix loop8 sequence for Thumb2
  (git-fixes).
- ARM: 9196/1: spectre-bhb: enable for Cortex-A15 (git-fixes).
- pinctrl: mediatek: mt8365: fix IES control pins (git-fixes).
- NFC: nci: fix sleep in atomic context bugs caused by
  nci_skb_alloc (git-fixes).
- Revert "can: m_can: pci: use custom bit timings for Elkhart
  Lake" (git-fixes).
- ARM: dts: aspeed: Add video engine to g6 (git-fixes).
- ARM: dts: aspeed-g6: fix SPI1/SPI2 quad pin group (git-fixes).
- ARM: dts: aspeed-g6: remove FWQSPID group in pinctrl dtsi
  (git-fixes).
- commit 96fd919
* Thu May 19 2022 jroedel@suse.de
- kABI: Fix kABI after CVE-2022-0171 backport (bsc#1199509,
  CVE-2022-0171).
- commit 62ff370
* Thu May 19 2022 jroedel@suse.de
- KVM: SEV: add cache flush to solve SEV cache incoherency issues
  (CVE-2022-0171 bsc#1199509).
- KVM: SVM: Flush when freeing encrypted pages even on
  SME_COHERENT CPUs (CVE-2022-0171 bsc#1199509).
- KVM: SVM: Simplify and harden helper to flush SEV guest page(s)
  (CVE-2022-0171 bsc#1199509).
- commit 156e44b
* Thu May 19 2022 oneukum@suse.com
- ath11k: set correct NL80211_FEATURE_DYNAMIC_SMPS for WCN6855
  (git-fixes).
- commit b348fc5
* Thu May 19 2022 pvorel@suse.cz
- ping: remove pr_err from ping_lookup (bsc#1195826).
- commit bf5e056
* Thu May 19 2022 pvorel@suse.cz
- patches.suse/ping-fix-the-dif-and-sdif-check-in-ping_lookup.patch:
  (bsc#1195826).
- commit e08cccf
* Thu May 19 2022 jroedel@suse.de
- KVM: x86: SVM: fix avic spec based definitions again
  (bsc#1193823 jsc#SLE-24549).
- commit 74e3031
* Thu May 19 2022 jroedel@suse.de
- KVM: x86: SVM: move avic definitions from AMD's spec to svm.h
  (bsc#1193823 jsc#SLE-24549).
- Refresh
  patches.suse/kvm-svm-allow-avic-support-on-system-w-physical-apic-id-255.
- commit 697f911
* Thu May 19 2022 tiwai@suse.de
- pinctrl: pinctrl-aspeed-g6: remove FWQSPID group in pinctrl
  (git-fixes).
- ALSA: usb-audio: Restore Rane SL-1 quirk (git-fixes).
- ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for
  HP machine (git-fixes).
- ALSA: hda/realtek: Add quirk for TongFang devices with pop noise
  (git-fixes).
- ALSA: hda/realtek: Add quirk for the Framework Laptop
  (git-fixes).
- ALSA: wavefront: Proper check of get_user() error (git-fixes).
- ALSA: hda/realtek: Add quirk for Dell Latitude 7520 (git-fixes).
- ALSA: hda - fix unused Realtek function when PM is not enabled
  (git-fixes).
- ALSA: usb-audio: Don't get sample rate for MCT Trigger 5
  USB-to-HDMI (git-fixes).
- commit 36ccd50
* Wed May 18 2022 pmladek@suse.com
- floppy: use a statically allocated error counter (bsc#1199063
  CVE-2022-1652).
- commit 4b74f1a
* Wed May 18 2022 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix missing kernel-preempt-devel and KMP Provides (bsc#1199046)
- commit 84d7ba8
* Wed May 18 2022 tiwai@suse.de
- firmware_loader: use kernel credentials when reading firmware
  (git-fixes).
- fsl_lpuart: Don't enable interrupts too early (git-fixes).
- USB: serial: qcserial: add support for Sierra Wireless EM7590
  (git-fixes).
- USB: serial: option: add Fibocom MA510 modem (git-fixes).
- USB: serial: option: add Fibocom L610 modem (git-fixes).
- USB: serial: pl2303: add device id for HP LM930 Display
  (git-fixes).
- usb: gadget: uvc: allow for application to cleanly shutdown
  (git-fixes).
- drm/nouveau/tegra: Stop using iommu_present() (git-fixes).
- arm[64]/memremap: don't abuse pfn_valid() to ensure presence
  of linear map (git-fixes).
- virtio: fix virtio transitional ids (git-fixes).
- ASoC: SOF: Fix NULL pointer exception in sof_pci_probe callback
  (git-fixes).
- ASoC: ops: Validate input values in snd_soc_put_volsw_range()
  (git-fixes).
- ASoC: max98090: Generate notifications on changes for custom
  control (git-fixes).
- ASoC: max98090: Reject invalid values in custom control put()
  (git-fixes).
- hwmon: (f71882fg) Fix negative temperature (git-fixes).
- virtio_blk: eliminate anonymous module_init & module_exit
  (git-fixes).
- virtio-blk: Don't use MAX_DISCARD_SEGMENTS if max_discard_seg
  is zero (git-fixes).
- vhost/vsock: don't check owner in vhost_vsock_stop() while
  releasing (git-fixes).
- vhost/vsock: fix incorrect used length reported to the guest
  (git-fixes).
- usb: gadget: uvc: rename function to be more consistent
  (git-fixes).
- commit fe9e2eb
* Wed May 18 2022 bp@suse.de
- x86/cpufeatures: Re-enable ENQCMD (jsc#SLE-24350).
- commit 5e2f529
* Wed May 18 2022 bp@suse.de
- x86/traps: Demand-populate PASID MSR via #GP (jsc#SLE-24350).
- commit 4781c47
* Wed May 18 2022 bp@suse.de
- sched/pasid: Add a kABI workaround (jsc#SLE-24350).
- commit dbf1a79
* Wed May 18 2022 aabdallah@suse.de
- netfilter: nf_conntrack_tcp: re-init for syn packets only
  (bsc#1199035).
- commit 6ed0188
* Wed May 18 2022 aabdallah@suse.de
- netfilter: nf_conntrack_tcp: preserve liberal flag in tcp
  options (bsc#1199035).
- commit 4978658
* Wed May 18 2022 aabdallah@suse.de
- netfilter: conntrack: re-init state for retransmitted syn-ack
  (bsc#1199035).
- commit adcbd88
* Wed May 18 2022 aabdallah@suse.de
- netfilter: conntrack: move synack init code to helper
  (bsc#1199035).
- commit dbb9a48
* Wed May 18 2022 bp@suse.de
- sched: Define and initialize a flag to identify valid PASID
  in the task (jsc#SLE-24350).
- commit d568a79
* Wed May 18 2022 tiwai@suse.de
- drm/amd/display: Fix OLED brightness control on eDP (git-fixes).
- Refresh
  patches.suse/drm-amd-display-For-vblank_disable_immediate-check-P.patch.
- commit 4d8e6ac
* Wed May 18 2022 tiwai@suse.de
- amd/display: set backlight only if required (git-fixes).
- drm/amdgpu/display: add support for multiple backlights
  (git-fixes).
- commit 5048ab0
* Wed May 18 2022 tiwai@suse.de
- Revert "PCI: aardvark: Rewrite IRQ code to chained IRQ handler"
  (git-fixes).
- drm/vmwgfx: Fix fencing on SVGAv3 (git-fixes).
- commit 9dd5801
* Tue May 17 2022 bp@suse.de
- x86/fpu: Clear PASID when copying fpstate (jsc#SLE-24350).
- commit eb47ef3
* Tue May 17 2022 bp@suse.de
- iommu/sva: Assign a PASID to mm on PASID allocation and free
  it on mm exit (jsc#SLE-24350).
- commit e8fad46
* Tue May 17 2022 mkoutny@suse.com
- blacklist.conf: Add c923a8e7edb0 ucounts: Move RLIMIT_NPROC handling after set_user
- commit 142ab90
* Tue May 17 2022 mkoutny@suse.com
- copy_process(): Move fd_install() out of sighand->siglock
  critical section (bsc#1199626).
- Refresh patches.suse/sched-Fix-yet-more-sched_fork-races.patch.
- commit 0267df3
* Tue May 17 2022 tiwai@suse.de
- supported.conf: Support TPM TIS SPI driver (jsc#SLE-24093)
- commit 592ff0f
* Tue May 17 2022 mkoutny@suse.com
- blacklist.conf: Add e7f7c99ba911 signal: In get_signal test for signal_group_exit every time through the loop
- commit 4c1d7db
* Tue May 17 2022 bp@suse.de
- kernel/fork: Initialize mm's PASID (jsc#SLE-24350).
- commit bc001ee
* Tue May 17 2022 bp@suse.de
- iommu/ioasid: Introduce a helper to check for valid PASIDs
  (jsc#SLE-24350).
- commit 8324e83
* Tue May 17 2022 bp@suse.de
- mm: Change CONFIG option for mm->pasid field (jsc#SLE-24350).
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- commit bfc2f16
* Tue May 17 2022 lhenriques@suse.de
- ceph: fix setting of xattrs on async created inodes
  (bsc#1199611).
- commit 8d5da3b
* Tue May 17 2022 tiwai@suse.de
- nfc: nfcmrvl: main: reorder destructive operations in
  nfcmrvl_nci_unregister_dev to avoid bugs (CVE-2022-1734
  bsc#1199605).
- commit cf1c6a1
* Tue May 17 2022 bp@suse.de
- iommu/sva: Rename CONFIG_IOMMU_SVA_LIB to CONFIG_IOMMU_SVA
  (jsc#SLE-24350).
- commit 07baf00
* Tue May 17 2022 neilb@suse.de
- nfs: fix broken handling of the softreval mount option
  (git-fixes).
- SUNRPC: Ensure that the gssproxy client can start in a connected
  state (git-fixes).
- Revert "SUNRPC: Ensure gss-proxy connects on setup" (git-fixes).
- commit ff62e52
* Tue May 17 2022 tiwai@suse.de
- Add duplicated commit id for drm amdgpu patch
- commit 5990a24
* Tue May 17 2022 neilb@suse.de
- NFS: limit use of ACCESS cache for negative responses
  (bsc#1196570).
- Refresh
  patches.kabi/NFS-pass-cred-explicitly-for-access-tests.patch.
- commit b92e1de
* Mon May 16 2022 oneukum@suse.com
- blacklist.conf: prerequisites not met
- commit 8a4463e
* Mon May 16 2022 oneukum@suse.com
- ata: pata_hpt37x: fix PCI clock detection (git-fixes).
- commit 32ee880
* Mon May 16 2022 oneukum@suse.com
- sata_fsl: fix warning in remove_proc_entry when rmmod sata_fsl
  (git-fixes).
- commit 01f31f9
* Mon May 16 2022 oneukum@suse.com
- sata_fsl: fix UAF in sata_fsl_port_stop when rmmod sata_fsl
  (git-fixes).
- commit 05db5c9
* Mon May 16 2022 tiwai@suse.de
- Update patch reference for mmc fix (CVE-2022-20008 bsc#1199564).
- commit 411e099
* Mon May 16 2022 tzimmermann@suse.de
- drm/amdgpu: vi: disable ASPM on Intel Alder Lake based systems (bsc#1190786)
- commit e5b4705
* Mon May 16 2022 tzimmermann@suse.de
- drm/i915: Fix race in __i915_vma_remove_closed (bsc#1190497)
- commit 2ceb3f5
* Mon May 16 2022 tiwai@suse.de
- slimbus: qcom: Fix IRQ check in qcom_slim_probe (git-fixes).
- serial: 8250_mtk: Fix register address for XON/XOFF character
  (git-fixes).
- serial: 8250_mtk: Fix UART_EFR register address (git-fixes).
- tty/serial: digicolor: fix possible null-ptr-deref in
  digicolor_uart_probe() (git-fixes).
- usb: typec: tcpci_mt6360: Update for BMC PHY setting
  (git-fixes).
- usb: typec: tcpci: Don't skip cleanup in .remove() on error
  (git-fixes).
- usb: cdc-wdm: fix reading stuck on device close (git-fixes).
- drm/vc4: hdmi: Fix build error for implicit function declaration
  (git-fixes).
- drm/nouveau: Fix a potential theorical leak in
  nouveau_get_backlight_name() (git-fixes).
- drm/vmwgfx: Disable command buffers on svga3 without gbobjects
  (git-fixes).
- drm/vmwgfx: Initialize drm_mode_fb_cmd2 (git-fixes).
- procfs: prevent unprivileged processes accessing fdinfo dir
  (git-fixes).
- arm64: vdso: fix makefile dependency on vdso.so (git-fixes).
- hwmon: (ltq-cputemp) restrict it to SOC_XWAY (git-fixes).
- hwmon: (tmp401) Add OF device ID table (git-fixes).
- Revert "drm/amd/pm: keep the BACO feature enabled for suspend"
  (git-fixes).
- Bluetooth: Fix the creation of hdev->name (git-fixes).
- commit d82c829
* Fri May 13 2022 shung-hsi.yu@suse.com
- bpftool: Remove inclusion of utilities.mak from Makefiles
  (git-fixes).
- bpftool: Fix memory leak in prog_dump() (git-fixes).
- libbpf: Free up resources used by inner map definition
  (git-fixes).
- bpf, selftests: Fix racing issue in btf_skc_cls_ingress test
  (git-fixes).
- commit 13701d7
* Fri May 13 2022 tiwai@suse.de
- ptrace: Check PTRACE_O_SUSPEND_SECCOMP permission on
  PTRACE_SEIZE (CVE-2022-30594 bsc#1199505 bsc#1198413).
- commit 6dae5ac
* Fri May 13 2022 shung-hsi.yu@suse.com
- bpf: Avoid races in __bpf_prog_run() for 32bit arches
  (git-fixes).
- bpftool: Remove useless #include to <perf-sys.h> from
  map_perf_ring.c (git-fixes).
- bpftool: Remove unused includes to <bpf/bpf_gen_internal.h>
  (git-fixes).
- tools: bpftool: Complete metrics list in "bpftool prog profile"
  doc (git-fixes).
- tools: bpftool: Document and add bash completion for -L,
  - B options (git-fixes).
- tools: bpftool: Update and synchronise option list in doc and
  help msg (git-fixes).
- selftests/bpf: Remove unused variable in tc_tunnel prog
  (git-fixes).
- commit 4f4442f
* Fri May 13 2022 tiwai@suse.de
- Add patch reference to seccomp fix (CVE-2022-30594 bsc#1199505 bsc#1198413)
  Also shorten the patch file name to standard size
- commit d6179dc
* Fri May 13 2022 tiwai@suse.de
- PCI: aardvark: Add support for DEVCAP2, DEVCTL2, LNKCAP2 and
  LNKCTL2 registers on emulated bridge (git-fixes).
- Refresh
  patches.suse/PCI-pci-bridge-emul-Correctly-set-PCIe-capabilities.patch.
- commit 3d56076
* Fri May 13 2022 tiwai@suse.de
- rfkill: uapi: fix RFKILL_IOCTL_MAX_SIZE ioctl request definition
  (git-fixes).
- mac80211_hwsim: call ieee80211_tx_prepare_skb under RCU
  protection (git-fixes).
- net: phy: Fix race condition on link status change (git-fixes).
- net: phy: micrel: Pass .probe for KS8737 (git-fixes).
- net: phy: micrel: Do not use kszphy_suspend/resume for KSZ8061
  (git-fixes).
- PCI: aardvark: Update comment about link going down after
  link-up (git-fixes).
- PCI: aardvark: Drop __maybe_unused from advk_pcie_disable_phy()
  (git-fixes).
- PCI: aardvark: Don't mask irq when mapping (git-fixes).
- PCI: aardvark: Remove irq_mask_ack() callback for INTx
  interrupts (git-fixes).
- PCI: aardvark: Use separate INTA interrupt for emulated root
  bridge (git-fixes).
- PCI: aardvark: Fix support for PME requester on emulated bridge
  (git-fixes).
- PCI: aardvark: Add support for PME interrupts (git-fixes).
- PCI: aardvark: Optimize writing PCI_EXP_RTCTL_PMEIE and
  PCI_EXP_RTSTA_PME on emulated bridge (git-fixes).
- PCI: aardvark: Add support for ERR interrupt on emulated bridge
  (git-fixes).
- PCI: aardvark: Enable MSI-X support (git-fixes).
- PCI: aardvark: Fix setting MSI address (git-fixes).
- PCI: aardvark: Add support for masking MSI interrupts
  (git-fixes).
- PCI: aardvark: Refactor unmasking summary MSI interrupt
  (git-fixes).
- PCI: aardvark: Use dev_fwnode() instead of
  of_node_to_fwnode(dev->of_node) (git-fixes).
- PCI: aardvark: Make msi_domain_info structure a static driver
  structure (git-fixes).
- PCI: aardvark: Make MSI irq_chip structures static driver
  structures (git-fixes).
- PCI: aardvark: Rewrite IRQ code to chained IRQ handler
  (git-fixes).
- PCI: aardvark: Replace custom PCIE_CORE_INT_* macros with
  PCI_INTERRUPT_* (git-fixes).
- mmc: rtsx: add 74 Clocks in power on flow (git-fixes).
- PCI: aardvark: Disable common PHY when unbinding driver
  (git-fixes).
- PCI: aardvark: Disable link training when unbinding driver
  (git-fixes).
- PCI: aardvark: Assert PERST# when unbinding driver (git-fixes).
- PCI: aardvark: Fix memory leak in driver unbind (git-fixes).
- PCI: aardvark: Mask all interrupts when unbinding driver
  (git-fixes).
- PCI: aardvark: Disable bus mastering when unbinding driver
  (git-fixes).
- PCI: aardvark: Comment actions in driver remove method
  (git-fixes).
- PCI: aardvark: Clear all MSIs at setup (git-fixes).
- PCI: pci-bridge-emul: Add definitions for missing capabilities
  registers (git-fixes).
- PCI: pci-bridge-emul: Add description for class_revision field
  (git-fixes).
- commit a0fb1d1
* Fri May 13 2022 tiwai@suse.de
- mac80211: Reset MBSSID parameters upon connection (git-fixes).
- iwlwifi: iwl-dbg: Use del_timer_sync() before freeing
  (git-fixes).
- batman-adv: Don't skb_split skbuffs with frag_list (git-fixes).
- dim: initialize all struct fields (git-fixes).
- ASoC: meson: Fix event generation for G12A tohdmi mux
  (git-fixes).
- ASoC: meson: Fix event generation for AUI CODEC mux (git-fixes).
- ASoC: meson: Fix event generation for AUI ACODEC mux
  (git-fixes).
- ASoC: da7219: Fix change notifications for tone generator
  frequency (git-fixes).
- ASoC: wm8958: Fix change notifications for DSP controls
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Yoga Duet 7 13ITL6 speakers
  (git-fixes).
- firewire: core: extend card->lock in fw_core_handle_bus_reset
  (git-fixes).
- firewire: remove check of list iterator against head past the
  loop body (git-fixes).
- firewire: fix potential uaf in outbound_phy_packet_callback()
  (git-fixes).
- drm/amd/display: Avoid reading audio pattern past
  AUDIO_CHANNELS_COUNT (git-fixes).
- drm/amdgpu: do not use passthrough mode in Xen dom0 (git-fixes).
- drm/amdgpu: Ensure HDA function is suspended before ASIC reset
  (git-fixes).
- drm/amdgpu: don't set s3 and s0ix at the same time (git-fixes).
- drm/amdgpu: explicitly check for s0ix when evicting resources
  (git-fixes).
- drm/amdgpu: unify BO evicting method in amdgpu_ttm (git-fixes).
- commit 0517047
* Thu May 12 2022 lduncan@suse.com
- scsi: sr: Do not leak information in ioctl (git-fixes).
- scsi: pm80xx: Enable upper inbound, outbound queues (git-fixes).
- scsi: pm80xx: Mask and unmask upper interrupt vectors 32-63
  (git-fixes).
- scsi: zorro7xx: Fix a resource leak in zorro7xx_remove_one()
  (git-fixes).
- scsi: virtio-scsi: Eliminate anonymous module_init & module_exit
  (git-fixes).
- scsi: mpt3sas: Fix use after free in
  _scsih_expander_node_remove() (git-fixes).
- scsi: hisi_sas: Remove unused variable and check in
  hisi_sas_send_ata_reset_each_phy() (git-fixes).
- commit f9f5496
* Thu May 12 2022 pjakobsson@suse.de
- Refresh
  patches.suse/0002-drm-vmwgfx-Remove-unused-compile-options.patch.
  Alt-commit
- commit f3160fb
* Thu May 12 2022 tiwai@suse.de
- rxrpc: fix some null-ptr-deref bugs in server_key.c
  (CVE-2022-1671 bsc#1199439).
- commit 8d79cf2
* Thu May 12 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-ttm-ensure-we-unmap-when-purging.patch.
  Alt-commit
- commit c56900a
* Thu May 12 2022 tiwai@suse.de
- virt: acrn: fix a memory leak in acrn_dev_ioctl() (CVE-2022-1651
  bsc#1199433).
- commit bca15e5
* Thu May 12 2022 tbogendoerfer@suse.de
- RDMA/irdma: Fix possible crash due to NULL netdev in notifier
  (git-fixes).
- commit bcb4116
* Thu May 12 2022 bp@suse.de
- EDAC/synopsys: Read the error count from the correct register
  (bsc#1190497).
- commit f04841f
* Wed May 11 2022 ddiss@suse.de
- io_uring: fix race between timeout flush and removal
  (bsc#1198811 CVE-2022-29582).
- io_uring: Fix undefined-behaviour in io_issue_sqe (bsc#1199011).
- io-wq: make worker creation resilient against signals
  (bsc#1199011).
- io-wq: get rid of FIXED worker flag (bsc#1199011).
- io-wq: only exit on fatal signals (bsc#1199011).
- io-wq: split bounded and unbounded work into separate lists
  (bsc#1199011).
  Update patches.suse/io-wq-serialize-hash-clear-with-wakeup.patch
  (bsc#1199011).
- io-wq: wqe and worker locks no longer need to be IRQ safe
  (bsc#1199011).
  Update patches.suse/io-wq-fix-queue-stalling-race.patch
  patches.suse/io-wq-fix-race-between-adding-work-and-activating-a-.patch
  patches.suse/io-wq-fix-wakeup-race-when-adding-new-work.patch
  patches.suse/io-wq-serialize-hash-clear-with-wakeup.patch
  (bsc#1199011).
- io-wq: provide a way to limit max number of workers
  (bsc#1199011).
- io-wq: move nr_running and worker_refs out of wqe->lock
  protection (bsc#1199011).
  Update
  patches.suse/io-wq-fix-race-between-adding-work-and-activating-a-.patch
  (bsc#1199011).
- io_uring: remove IRQ aspect of io_ring_ctx completion lock
  (bsc#1199011).
  Update
  patches.suse/io_uring-fix-race-between-poll-completion-and-cancel.patch
  (bsc#1199011).
- io_uring: run regular file completions from task_work
  (bsc#1199011).
- io_uring: run linked timeouts from task_work (bsc#1199011).
- io_uring: run timeouts from task_work (bsc#1199011).
- io_uring: remove file batch-get optimisation (bsc#1199011).
- io_uring: clean up tctx_task_work() (bsc#1199011).
- io_uring: inline io_poll_remove_waitqs (bsc#1199011).
- io_uring: remove extra argument for overflow flush
  (bsc#1199011).
- io_uring: inline struct io_comp_state (bsc#1199011).
- io_uring: use inflight_entry instead of compl.list
  (bsc#1199011).
- io_uring: remove redundant args from cache_free (bsc#1199011).
  Update
  patches.suse/io_uring-allow-conditional-reschedule-for-intensive-.patch
  (bsc#1199011).
- io_uring: cache __io_free_req()'d requests (bsc#1199011).
- io_uring: move io_fallback_req_func() (bsc#1199011).
- io_uring: optimise putting task struct (bsc#1199011).
- io_uring: drop exec checks from io_req_task_submit
  (bsc#1199011).
- io_uring: kill unused IO_IOPOLL_BATCH (bsc#1199011).
- io_uring: improve ctx hang handling (bsc#1199011).
- io_uring: deduplicate open iopoll check (bsc#1199011).
  Update patches.suse/io_uring-add-splice_fd_in-checks.patch
  (bsc#1199011).
- io_uring: inline io_free_req_deferred (bsc#1199011).
- io_uring: move io_rsrc_node_alloc() definition (bsc#1199011).
- io_uring: move io_put_task() definition (bsc#1199011).
- io_uring: extract a helper for ctx quiesce (bsc#1199011).
- io_uring: optimise io_cqring_wait() hot path (bsc#1199011).
- io_uring: add more locking annotations for submit (bsc#1199011).
- io_uring: don't halt iopoll too early (bsc#1199011).
- io_uring: refactor io_alloc_req (bsc#1199011).
- io_uring: remove unnecessary PF_EXITING check (bsc#1199011).
- io_uring: clean io-wq callbacks (bsc#1199011).
- io_uring: avoid touching inode in rw prep (bsc#1199011).
- io_uring: rename io_file_supports_async() (bsc#1199011).
  Update
  patches.suse/io_uring-allow-retry-for-O_NONBLOCK-if-async-is-supp.patch
  (bsc#1199011).
- io_uring: inline fixed part of io_file_get() (bsc#1199011).
- io_uring: use kvmalloc for fixed files (bsc#1199011).
- io_uring: be smarter about waking multiple CQ ring waiters
  (bsc#1199011).
- commit 9c1030b
* Wed May 11 2022 msuchanek@suse.de
- powerpc/64s/radix: Fix huge vmap false positive (bsc#1156395).
- commit 99a0106
* Wed May 11 2022 tbogendoerfer@suse.de
- mlx5: kabi protect lag_mp (git-fixes).
- commit 69118a5
* Wed May 11 2022 tbogendoerfer@suse.de
- RDMA/siw: Fix a condition race issue in MPA request processing
  (git-fixes).
- RDMA/irdma: Reduce iWARP QP destroy time (git-fixes).
- RDMA/irdma: Flush iWARP QP if modified to ERR from RTR state
  (git-fixes).
- net/mlx5: Fix matching on inner TTC (jsc#SLE-19253).
- net/mlx5: Avoid double clear or set of sync reset requested
  (git-fixes).
- net/mlx5: Fix deadlock in sync reset flow (git-fixes).
- net/mlx5e: Fix trust state reset in reload (git-fixes).
- net/mlx5e: CT: Fix queued up restore put() executing after
  relevant ft release (git-fixes).
- net/mlx5e: Lag, Don't skip fib events on current dst
  (git-fixes).
- net/mlx5e: Lag, Fix fib_info pointer assignment (git-fixes).
- net/mlx5e: Lag, Fix use-after-free in fib event handler
  (git-fixes).
- net/mlx5e: Fix the calling of update_buffer_lossy() API
  (git-fixes).
- net/mlx5: Fix slab-out-of-bounds while reading resource dump
  menu (git-fixes).
- net/mlx5e: Fix wrong source vport matching on tunnel rule
  (jsc#SLE-19253).
- bnxt_en: Fix unnecessary dropping of RX packets (git-fixes).
- bnxt_en: Fix possible bnxt_open() failure caused by wrong RFS
  flag (git-fixes).
- hinic: fix bug of wq out of bound access (git-fixes).
- ixgbe: ensure IPsec VF<->PF compatibility (git-fixes).
- ice: fix use-after-free when deinitializing mailbox snapshot
  (git-fixes).
- ice: Protect vf_state check by cfg_lock in
  ice_vc_process_vf_msg() (jsc#SLE-18375).
- ice: Fix incorrect locking in ice_vc_process_vf_msg()
  (jsc#SLE-18375).
- net: hns3: add return value for mailbox handling in PF
  (bsc#1190336).
- net: hns3: add validity check for message data length
  (git-fixes).
- net: hns3: modify the return code of
  hclge_get_ring_chain_from_mbx (git-fixes).
- net: hns3: align the debugfs output to the left (git-fixes).
- net: hns3: clear inited state and stop client after failed to
  register netdev (git-fixes).
- igc: Fix suspending when PTM is active (jsc#SLE-18377).
- igc: Fix BUG: scheduling while atomic (git-fixes).
- igc: Fix infinite loop in release_swfw_sync (git-fixes).
- ice: fix crash in switchdev mode (jsc#SLE-18375).
- ice: allow creating VFs for !CONFIG_NET_SWITCHDEV
  (jsc#SLE-18375).
- RDMA/hfi1: Fix use-after-free bug for mm struct (git-fixes).
- IB/rdmavt: add lock to call to rvt_error_qp to prevent a race
  condition (git-fixes).
- IB/cm: Cancel mad on the DREQ event when the state is
  MRA_REP_RCVD (git-fixes).
- RDMA/mlx5: Add a missing update of cache->last_add (git-fixes).
- RDMA/mlx5: Don't remove cache MRs when a delay is needed
  (git-fixes).
- RDMA/mlx5: Fix memory leak in error flow for subscribe event
  routine (git-fixes).
- RDMA/irdma: Prevent some integer underflows (git-fixes).
- IB/hfi1: Allow larger MTU without AIP (git-fixes).
- RDMA/irdma: Remove incorrect masking of PD (git-fixes).
- RDMA/irdma: Fix Passthrough mode in VM (git-fixes).
- RDMA/irdma: Fix netdev notifications for vlan's (git-fixes).
- RDMA/mlx5: Fix the flow of a miss in the allocation of a cache
  ODP MR (git-fixes).
- IB/cma: Allow XRC INI QPs to set their local ACK timeout
  (git-fixes).
- RDMA/rxe: Check the last packet by RXE_END_MASK (git-fixes).
- RDMA/core: Set MR type in ib_reg_user_mr (git-fixes).
- commit e0ed03e
* Wed May 11 2022 vkarasulli@suse.de
- Update
  patches.suse/NFSv4-nfs_atomic_open-can-race-when-looking-up-a-non.patch
  (bsc#1195612 CVE-2022-24448 git-fixes).
- commit b03bb3a
* Wed May 11 2022 iivanov@suse.de
- kABI: i2c: smbus: restore of_ alert variant (jsc#SLE-24569).
  kABI fix for "i2c: smbus: Use device_*() functions instead of of_*()"
- commit d0b5048
* Wed May 11 2022 ohering@suse.de
- PCI: hv: Do not set PCI_COMMAND_MEMORY to reduce VM boot time (bsc#1199314).
- commit b5efaae
* Wed May 11 2022 oneukum@suse.com
- kABI: ivtv: restore caps member (git-fixes).
- commit 8aa5382
* Wed May 11 2022 oneukum@suse.com
- ivtv: fix incorrect device_caps for ivtvfb (git-fixes).
- commit 4b98fe7
* Wed May 11 2022 oneukum@suse.com
- media: saa7134: fix incorrect use to determine if list is empty
  (git-fixes).
- commit 6ac6205
* Wed May 11 2022 oneukum@suse.com
- blacklist.conf: cleanup designed to break kABI
- commit ca96b43
* Wed May 11 2022 oneukum@suse.com
- media: davinci: vpif: fix use-after-free on driver unbind
  (git-fixes).
- commit bdb5025
* Wed May 11 2022 oneukum@suse.com
- media: davinci: Make use of the helper function
  devm_platform_ioremap_resource() (git-fixes).
- Refresh
  patches.suse/media-davinci-vpif-fix-unbalanced-runtime-PM-enable.patch.
- commit 05ac27d
* Wed May 11 2022 oneukum@suse.com
- media: videobuf2: Fix the size printk format (git-fixes).
- commit c3df4b9
* Wed May 11 2022 tiwai@suse.de
- PCI: vmd: Revert 2565e5b69c44 ("PCI: vmd: Do not disable
  MSI-X remapping if interrupt remapping is enabled by
  IOMMU.") (bsc#1199405).
- PCI: vmd: Assign VMD IRQ domain before enumeration
  (bsc#1199405).
- commit 93b2923
* Tue May 10 2022 tonyj@suse.de
- blacklist.conf:  Update with patches added to perf userspace package
- commit 53e42ae
* Tue May 10 2022 tonyj@suse.de
- perf/core: Fix perf_mmap fail when CONFIG_PERF_USE_VMALLOC
  enabled (git fixes).
- perf/core: Fix perf_cgroup_switch() (git fixes).
- perf/core: Don't pass task around when ctx sched in (git-fixes).
- perf/x86/intel: Update the FRONTEND MSR mask on Sapphire Rapids
  (git fixes).
- riscv: Fix fill_callchain return value (git fixes).
- perf/x86/intel/pt: Fix address filter config for 32-bit kernel
  (git fixes).
- perf/core: Fix address filter parser for multiple filters
  (git fixes).
- perf: Fix list corruption in perf_cgroup_switch() (git fixes).
- perf/x86/intel/pt: Fix crash with stop filters in single-range
  mode (git fixes).
- perf: Copy perf_event_attr::sig_data on modification (git
  fixes).
- perf/core: Fix cgroup event list management (git fixes).
- commit b000f7c
* Tue May 10 2022 bp@suse.de
- EDAC/amd64: Add new register offset support and related changes
  (jsc#SLE-19026).
- commit 7cc0f4f
* Tue May 10 2022 bp@suse.de
- EDAC/amd64: Set memory type per DIMM (jsc#SLE-19026).
- commit c9b5d42
* Tue May 10 2022 tiwai@suse.de
- rfkill: make new event layout opt-in (git-fixes).
- memblock: fix memblock_phys_alloc() section mismatch error
  (git-fixes).
- commit d7f018a
* Tue May 10 2022 tiwai@suse.de
- kABI workaround for pci quirks (git-fixes).
- commit 0375f50
* Tue May 10 2022 tiwai@suse.de
- PCI/switchtec: Add Gen4 automotive device IDs (git-fixes).
- PCI: Work around Intel I210 ROM BAR overlap defect (git-fixes).
- commit 46181b6
* Tue May 10 2022 fweisbecker@suse.de
- sched/pelt: Fix attach_entity_load_avg() corner case (git-fixes)
- commit e981ed9
* Tue May 10 2022 fweisbecker@suse.de
- sched: Teach the forced-newidle balancer about CPU affinity (git-fixes)
- commit 79ac66a
* Tue May 10 2022 fweisbecker@suse.de
- sched/core: Fix forceidle balancing (git-fixes)
- commit f2b329d
* Tue May 10 2022 fweisbecker@suse.de
- sched/rt: Plug rt_mutex_setprio() vs push_rt_task() race (git-fixes)
- commit a094ea3
* Tue May 10 2022 fweisbecker@suse.de
- sched/cpuacct: Fix charge percpu cpuusage (git-fixes)
- commit 82932b7
* Tue May 10 2022 fweisbecker@suse.de
- sched/sugov: Ignore 'busy' filter when rq is capped by (git-fixes)
- commit e583c29
* Tue May 10 2022 fweisbecker@suse.de
- sched/core: Export pelt_thermal_tp (git-fixes)
- commit 74c8b44
* Tue May 10 2022 fweisbecker@suse.de
- sched/debug: Remove mpol_get/put and task_lock/unlock from (git-fixes)
- commit fbf6ec4
* Tue May 10 2022 fweisbecker@suse.de
- sched/membarrier: Fix membarrier-rseq fence command missing (git-fixes)
- commit c72ea8a
* Tue May 10 2022 fweisbecker@suse.de
- psi: fix "defined but not used" warnings when (git-fixes)
- commit 0e31231
* Tue May 10 2022 fweisbecker@suse.de
- sched/pelt: Relax the sync of util_sum with util_avg (git-fixes)
- commit 8f64d02
* Tue May 10 2022 fweisbecker@suse.de
- sched/rt: Try to restart rt period timer when rt runtime (git-fixes)
- commit 778665f
* Tue May 10 2022 fweisbecker@suse.de
- sched/cpuacct: Fix user/system in shown cpuacct.usage* (git-fixes)
- commit 898fead
* Tue May 10 2022 fweisbecker@suse.de
- cputime, cpuacct: Include guest time in user time in (git-fixes)
- commit 713d40a
* Tue May 10 2022 fweisbecker@suse.de
- sched/scs: Reset task stack state in bringup_cpu() (git-fixes)
- commit 8d26b54
* Tue May 10 2022 fweisbecker@suse.de
- sched/core: Mitigate race (git-fixes)
- commit 8899862
* Tue May 10 2022 fweisbecker@suse.de
- genirq: Synchronize interrupt thread startup (git-fixes)
- commit ac80f16
* Tue May 10 2022 fweisbecker@suse.de
- genirq/affinity: Consider that CPUs on nodes can be (git-fixes)
- commit a7563af
* Tue May 10 2022 tiwai@suse.de
- PCI: Add ACS quirk for Pericom PI7C9X2G switches (bsc#1199390).
- Refresh
  patches.suse/PCI-Add-MSI-masking-quirk-for-Nvidia-ION-AHCI.patch.
- commit 972d035
* Tue May 10 2022 fweisbecker@suse.de
- timekeeping: Mark NMI safe time accessors as notrace (git-fixes)
- commit 51fb8ef
* Tue May 10 2022 fweisbecker@suse.de
- timers: Fix warning condition in __run_timers() (git-fixes)
- commit 9c2fbb7
* Tue May 10 2022 oneukum@suse.com
- usb: dwc3: core: Fix tx/rx threshold settings (git-fixes).
- commit 8e2b11d
* Tue May 10 2022 tiwai@suse.de
- mt76: mt7921e: fix possible probe failure after reboot
  (bsc#1198835).
- commit 22aa9c2
* Tue May 10 2022 lpechacek@suse.com
- Revert "btrfs: props: change how empty value is interpreted" (bsc#1195224)
- commit 49db222
* Tue May 10 2022 tiwai@suse.de
- platform/surface: aggregator: Fix initialization order when
  compiling as builtin module (git-fixes).
- iio: magnetometer: ak8975: Fix the error handling in
  ak8975_power_on() (git-fixes).
- usb: dwc3: pci: add support for the Intel Meteor Lake-P
  (git-fixes).
- USB: serial: whiteheat: fix heap overflow in
  WHITEHEAT_GET_DTR_RTS (git-fixes).
- USB: serial: cp210x: add PIDs for Kamstrup USB Meter Reader
  (git-fixes).
- USB: serial: option: add support for Cinterion MV32-WA/MV32-WB
  (git-fixes).
- USB: serial: option: add Telit 0x1057, 0x1058, 0x1075
  compositions (git-fixes).
- usb: gadget: configfs: clear deactivation flag in
  configfs_composite_unbind() (git-fixes).
- xhci: Enable runtime PM on second Alderlake controller
  (git-fixes).
- USB: quirks: add STRING quirk for VCOM device (git-fixes).
- USB: quirks: add a Realtek card reader (git-fixes).
- xhci: stop polling roothubs after shutdown (git-fixes).
- ARM: dts: at91: fix pinctrl phandles (git-fixes).
- ARM: dts: at91: sama5d4_xplained: fix pinctrl phandle name
  (git-fixes).
- ASoC: Intel: soc-acpi: correct device endpoints for max98373
  (git-fixes).
- commit fd76029
* Tue May 10 2022 wqu@suse.com
- btrfs: qgroup: fix deadlock between rescan worker and remove
  qgroup (bsc#1199295).
- btrfs: fix deadlock between quota disable and qgroup rescan
  worker (bsc#1199295).
- commit 0d6264b
* Mon May  9 2022 tiwai@suse.de
- usb: phy: generic: Get the vbus supply (git-fixes).
- usb: dwc3: gadget: Return proper request status (git-fixes).
- usb: dwc3: core: Only handle soft-reset in DCTL (git-fixes).
- usb: core: Don't hold the device lock while sleeping in
  do_proc_control() (git-fixes).
- usb: dwc3: Try usb-role-switch first in dwc3_drd_init
  (git-fixes).
- commit d2780c0
* Mon May  9 2022 tiwai@suse.de
- smsc911x: allow using IRQ0 (git-fixes).
- serial: 8250: Correct the clock for EndRun PTP/1588 PCIe device
  (git-fixes).
- serial: 8250: Also set sticky MCR bits in console restoration
  (git-fixes).
- serial: imx: fix overrun interrupts in DMA mode (git-fixes).
- usb: mtu3: fix USB 3.0 dual-role-switch from device to host
  (git-fixes).
- usb: typec: ucsi: Fix role swapping (git-fixes).
- usb: typec: ucsi: Fix reuse of completion structure (git-fixes).
- thermal: int340x: Fix attr.show callback prototype (git-fixes).
- platform/x86: asus-wmi: Fix driver not binding when fan curve
  control probe fails (git-fixes).
- reset: tegra-bpmp: Restore Handle errors in BPMP response
  (git-fixes).
- commit 41345c7
* Mon May  9 2022 tiwai@suse.de
- phy: amlogic: fix error path in phy_g12a_usb3_pcie_probe()
  (git-fixes).
- phy: ti: Add missing pm_runtime_disable() in serdes_am654_probe
  (git-fixes).
- platform/x86: asus-wmi: Potential buffer overflow in
  asus_wmi_evaluate_method_buf() (git-fixes).
- pinctrl: pistachio: fix use of irq_of_parse_and_map()
  (git-fixes).
- pinctrl: stm32: Keep pinctrl block clock enabled when LEVEL
  IRQ requested (git-fixes).
- pinctrl: rockchip: fix RK3308 pinmux bits (git-fixes).
- pinctrl: samsung: fix missing GPIOLIB on ARM64 Exynos config
  (git-fixes).
- pinctrl: stm32: Do not call stm32_gpio_get() for edge triggered
  IRQs in EOI (git-fixes).
- pinctrl: mediatek: moore: Fix build error (git-fixes).
- platform/x86: samsung-laptop: Fix an unsigned comparison which
  can never be negative (git-fixes).
- commit 9d4b763
* Mon May  9 2022 tiwai@suse.de
- NFC: netlink: fix sleep in atomic bug when firmware download
  timeout (git-fixes).
- nfc: nfcmrvl: main: reorder destructive operations in
  nfcmrvl_nci_unregister_dev to avoid bugs (git-fixes).
- net: ethernet: mediatek: add missing of_node_put() in
  mtk_sgmii_init() (git-fixes).
- phy: mapphone-mdm6600: Fix PM error handling in
  phy_mdm6600_probe (git-fixes).
- phy: ti: omap-usb2: Fix error handling in
  omap_usb2_enable_clocks (git-fixes).
- phy: samsung: exynos5250-sata: fix missing device put in probe
  error paths (git-fixes).
- phy: samsung: Fix missing of_node_put() in exynos_sata_phy_probe
  (git-fixes).
- net: phy: marvell10g: fix return value on error (git-fixes).
- mtd: rawnand: qcom: fix memory corruption that causes panic
  (git-fixes).
- net: atlantic: Avoid out-of-bounds indexing (git-fixes).
- commit fe2e8be
* Mon May  9 2022 tiwai@suse.de
- mmc: sdhci-msm: Reset GCC_SDCC_BCR register for SDHC
  (git-fixes).
- mmc: sunxi-mmc: Fix DMA descriptors allocated above 32 bits
  (git-fixes).
- mmc: core: Set HS clock speed before sending HS CMD13
  (git-fixes).
- iio: imu: inv_icm42600: Fix I2C init possible nack (git-fixes).
- iio: dac: ad5446: Fix read_raw not returning set value
  (git-fixes).
- memory: renesas-rpc-if: Fix HF/OSPI data transfer in Manual Mode
  (git-fixes).
- mtd: rawnand: Fix return value check of
  wait_for_completion_timeout (git-fixes).
- mtd: rawnand: fix ecc parameters for mt7622 (git-fixes).
- mt76: Fix undefined behavior due to shift overflowing the
  constant (git-fixes).
- commit a6c239d
* Mon May  9 2022 tiwai@suse.de
- gpio: pca953x: fix irq_stat not updated when irq is disabled
  (irq_mask not set) (git-fixes).
- gpio: visconti: Fix fwnode of GPIO IRQ (git-fixes).
- gpio: mvebu: drop pwm base assignment (git-fixes).
- gpiolib: of: fix bounds check for 'gpio-reserved-ranges'
  (git-fixes).
- hwmon: (pmbus) disable PEC if not enabled (git-fixes).
- iio: dac: ad5592r: Fix the missing return value (git-fixes).
- iio:imu:bmi160: disable regulator in error path (git-fixes).
- hex2bin: fix access beyond string end (git-fixes).
- commit 50f4170
* Mon May  9 2022 tiwai@suse.de
- drm/msm/dp: remove fail safe mode related code (git-fixes).
- patches.suse/cpufreq-fix-memory-leak-in-sun50i_cpufreq_nvmem_prob.patch:
  (git-fixes).
- drm/msm/mdp5: check the return of kzalloc() (git-fixes).
- drm/msm/disp: check the return value of kzalloc() (git-fixes).
- dma-mapping: remove bogus test for pfn_valid from
  dma_map_resource (git-fixes).
- commit b82dad2
* Mon May  9 2022 tiwai@suse.de
- ASoC: dmaengine: Restore NULL prepare_slave_config() callback
  (git-fixes).
- can: grcan: only use the NAPI poll budget for RX (git-fixes).
- can: grcan: grcan_probe(): fix broken system id check for
  errata workaround needs (git-fixes).
- can: grcan: use ofdev->dev when allocating DMA memory
  (git-fixes).
- can: grcan: grcan_close(): fix deadlock (git-fixes).
- bus: sunxi-rsb: Fix the return value of
  sunxi_rsb_device_create() (git-fixes).
- bus: ti-sysc: Make omap3 gpt12 quirk handling SoC specific
  (git-fixes).
- clk: sunxi: sun9i-mmc: check return value after calling
  platform_get_resource() (git-fixes).
- ata: pata_marvell: Check the 'bmdma_addr' beforing reading
  (git-fixes).
- brcmfmac: sdio: Fix undefined behavior due to shift overflowing
  the constant (git-fixes).
- commit 83b9c18
* Mon May  9 2022 tiwai@suse.de
- ASoC: soc-ops: fix error handling (git-fixes).
- ALSA: fireworks: fix wrong return count shorter than expected
  by 4 bytes (git-fixes).
- ARM: dts: imx6ull-colibri: fix vqmmc regulator (git-fixes).
- ARM: dts: logicpd-som-lv: Fix wrong pinmuxing on OMAP35
  (git-fixes).
- ARM: dts: am3517-evm: Fix misc pinmuxing (git-fixes).
- ARM: dts: Fix mmc order for omap3-gta04 (git-fixes).
- ARM: dts: dra7: Fix suspend warning for vpe powerdomain
  (git-fixes).
- ARM: OMAP2+: Fix refcount leak in omap_gic_of_init (git-fixes).
- ARM: dts: at91: Map MCLK for wm8731 on at91sam9g20ek
  (git-fixes).
- arm64: dts: meson-sm1-bananapi-m5: fix wrong GPIO pin labeling
  for CON1 (git-fixes).
- arm64: dts: meson: remove CPU opps below 1GHz for SM1 boards
  (git-fixes).
- arm64: dts: meson: remove CPU opps below 1GHz for G12B boards
  (git-fixes).
- ARM: dts: imx6qdl-apalis: Fix sgtl5000 detection issue
  (git-fixes).
- Revert "ACPI: processor: idle: fix lockup regression on 32-bit
  ThinkPad T40" (git-fixes).
- ACPI: processor: idle: Avoid falling back to C3 type C-states
  (git-fixes).
- arm64: dts: imx: Fix imx8*-var-som touchscreen property sizes
  (git-fixes).
- ARM: vexpress/spc: Avoid negative array index when !SMP
  (git-fixes).
- ARM: dts: socfpga: change qspi to "intel,socfpga-qspi"
  (git-fixes).
- commit 3579a34
* Mon May  9 2022 tiwai@suse.de
- xen/x86: obtain full video frame buffer address for Dom0 also
  under EFI (bsc#1193556).
- xen/x86: obtain upper 32 bits of video frame buffer address
  for Dom0 (bsc#1193556).
- commit d8dc579
* Mon May  9 2022 tbogendoerfer@suse.de
- IB/mlx5: Expose NDR speed through MAD (bsc#1196930).
- commit 7688043
* Mon May  9 2022 ydfan@suse.com
- series.conf: cleanup
  - Move submitted patch to "sorted" section
    patches.suse/0001-SUNRPC-change-locking-for-xs_swap_enable-disable.patch
- commit 56d34ef
* Mon May  9 2022 tiwai@suse.de
- Correct a typo in the patch reference for hisilicon fix (bsc#1198240)
- commit 358b264
* Mon May  9 2022 jslaby@suse.cz
- dmaengine: ptdma: handle the cases based on DMA is complete
  (jsc#SLE-21315).
- dmaengine: ptdma: fix concurrency issue with multiple dma
  transfer (jsc#SLE-21315).
- commit 8fc1419
* Mon May  9 2022 neilb@suse.de
- Revert "SUNRPC: attempt AF_LOCAL connect on setup" (git-fixes).
- SUNRPC: Ensure gss-proxy connects on setup (git-fixes).
- NFSv4: Don't invalidate inode attributes on delegation return
  (git-fixes).
- SUNRPC release the transport of a relocated task with an
  assigned transport (git-fixes).
- commit 98bffb1
* Fri May  6 2022 palcantara@suse.de
- cifs: fix NULL ptr dereference in smb2_ioctl_query_info()
  (CVE-2022-0168 bsc#1197472).
- commit e7a2e2d
* Fri May  6 2022 palcantara@suse.de
- cifs: prevent bad output lengths in smb2_ioctl_query_info()
  (CVE-2022-0168 bsc#1197472).
- commit 3a95308
* Fri May  6 2022 msuchanek@suse.de
- powerpc/vdso: Fix incorrect CFI in gettimeofday.S (bsc#1199173
  ltc#197388).
- powerpc/vdso: Remove cvdso_call_time macro (bsc#1199173
  ltc#197388).
- commit da8812a
* Fri May  6 2022 tzimmermann@suse.de
- drm/connector: Fix typo in output format (bsc#1190786)
- commit b29d4f3
* Fri May  6 2022 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: Also depend on dracut-systemd (bsc#1195775)
- commit 5d4e32c
* Thu May  5 2022 mbrugger@suse.com
- iommu: arm-smmu: disable large page mappings for Nvidia arm-smmu
  (bsc#1198826).
- commit 4d2a151
* Thu May  5 2022 msuchanek@suse.de
- Update patches.suse/sched-topology-Skip-updating-masks-for-non-online-nodes.patch
  (bsc#1189999 (Scheduler functional and performance backports)
  stable-5.14.4 bsc#1197446 ltc#183000).
- commit 65227e4
* Thu May  5 2022 msuchanek@suse.de
- Update patches.suse/powerpc-numa-Update-cpu_cpu_map-on-CPU-online-offlin.patch
  (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes bsc#1197446 ltc#183000).
- commit 0d949cf
* Thu May  5 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Remove the dedicated memory accounting'
- commit a8ed0eb
* Thu May  5 2022 tzimmermann@suse.de
- drm/amd/display: Fix memory leak in dcn21_clock_source_create (bsc#1190786)
- commit 43899b4
* Thu May  5 2022 tzimmermann@suse.de
- drm/amdkfd: Fix GWS queue count (bsc#1190786)
- commit 1accf3c
* Thu May  5 2022 tzimmermann@suse.de
- drm/i915: Fix SEL_FETCH_PLANE_*(PIPE_B+) register addresses (bsc#1190497)
- commit 07b3f3d
* Thu May  5 2022 tzimmermann@suse.de
- drm/i915: Check EDID for HDR static metadata when choosing blc (bsc#1190497)
- commit f637f05
* Thu May  5 2022 tzimmermann@suse.de
- drm/sun4i: Remove obsolete references to PHYS_OFFSET (bsc#1190786)
- commit bd1333e
* Thu May  5 2022 tzimmermann@suse.de
- drm/edid: fix CEA extension byte #3 parsing (bsc#1190786)
- commit 9bc8018
* Thu May  5 2022 tzimmermann@suse.de
- drm/msm/dp: do not initialize phy until plugin interrupt received (bsc#1190497)
- commit 48859f6
* Thu May  5 2022 tzimmermann@suse.de
- drm/dp: Fix OOB read when handling Post Cursor2 register (bsc#1190786)
- commit 69a0208
* Thu May  5 2022 tzimmermann@suse.de
- drm/amdgpu: fix amdgpu_ras_block_late_init error handler (bsc#1190497)
- commit 50f9562
* Thu May  5 2022 tzimmermann@suse.de
- drm/bridge: sn65dsi83: Fix an error handling path in (bsc#1190786)
- commit b91046a
* Thu May  5 2022 tzimmermann@suse.de
- drm/i915: Keep gem ctx->vm alive until the final put (bsc#1190497)
- commit 141dc64
* Thu May  5 2022 ddiss@suse.de
- Update
  patches.suse/ovl-fix-missing-negative-dentry-check-in-ovl_rename.patch
  (stable-5.14.12 CVE-2021-20321 bsc#1191647).
- commit babea76
* Wed May  4 2022 tbogendoerfer@suse.de
- ixgbevf: add disable link state (bsc#1196426 CVE-2021-33061).
- ixgbe: add improvement for MDD response functionality
  (bsc#1196426 CVE-2021-33061).
- ixgbe: add the ability for the PF to disable VF link state
  (bsc#1196426 CVE-2021-33061).
- ixgbevf: Rename MSGTYPE to SUCCESS and FAILURE (bsc#1196426
  CVE-2021-33061).
- commit 2fd39fc
* Wed May  4 2022 mbenes@suse.cz
- objtool: Fix code relocs vs weak symbols (git-fixes).
- commit 81c18f2
* Wed May  4 2022 mbenes@suse.cz
- objtool: Fix type of reloc::addend (git-fixes).
- commit 5275283
* Wed May  4 2022 iivanov@suse.de
- arm64: dts: imx8mn-ddr4-evk: Describe the 32.768 kHz PMIC clock (git-fixes)
- commit 5ffcf97
* Wed May  4 2022 iivanov@suse.de
- ARM: dts: imx8mm-venice-gw{71xx,72xx,73xx}: fix OTG controller OC (git-fixes)
- commit a2d2d45
* Wed May  4 2022 iivanov@suse.de
- arm64: dts: imx8mn: Fix SAI nodes (git-fixes)
- commit a8720fd
* Wed May  4 2022 iivanov@suse.de
- arm64: dts: imx8qm: Correct SCU clock controller's compatible (git-fixes)
- commit 3e3920e
* Wed May  4 2022 iivanov@suse.de
- arm64: dts: imx8mm-venice: fix spi2 pin configuration (git-fixes)
- commit 0cca427
* Wed May  4 2022 iivanov@suse.de
- arm64: Ensure execute-only permissions are not allowed without EPAN (git-fixes)
- commit b2af869
* Wed May  4 2022 iivanov@suse.de
- arm64: Mark start_backtrace() notrace and NOKPROBE_SYMBOL (git-fixes)
- commit 246426c
* Wed May  4 2022 msuchanek@suse.de
- powerpc/fadump: opt out from freeing pages on cma activation
  failure (bsc#1195099 ltc#196102).
- mm/cma: provide option to opt out from exposing pages on
  activation failure (bsc#1195099 ltc#196102).
- commit 31f1720
* Wed May  4 2022 oneukum@suse.com
- blacklist.conf: misattributed
- commit 756ddb2
* Wed May  4 2022 oneukum@suse.com
- blacklist.conf: misattributed
- commit be08eef
* Tue May  3 2022 oneukum@suse.com
- maple: fix wrong return value of maple_bus_init() (git-fixes).
- commit d0d35dc
* Tue May  3 2022 oneukum@suse.com
- blacklist.conf: build fix selecting option we also switch on anyway
- commit 6f69579
* Tue May  3 2022 oneukum@suse.com
- staging: most: dim2: use device release method (git-fixes).
- commit d4c20d1
* Tue May  3 2022 oneukum@suse.com
- staging: most: dim2: use if statements instead of ?: expressions
  (git-fixes).
- commit 1ea304e
* Tue May  3 2022 oneukum@suse.com
- staging: most: dim2: force fcnt=3 on Renesas GEN3 (git-fixes).
- commit 969c772
* Tue May  3 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 8e45e34
* Tue May  3 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit 5d5e0d0
* Tue May  3 2022 oneukum@suse.com
- blacklist.conf: sysfs API changed
- commit c5b9546
* Tue May  3 2022 oneukum@suse.com
- staging: vc04_services: shut up out-of-range warning
  (git-fixes).
- commit 9d74580
* Tue May  3 2022 oneukum@suse.com
- staging: vchiq: Move vchiq char driver to its own file
  (git-fixes).
- commit 7bbf632
* Tue May  3 2022 oneukum@suse.com
- staging: vchiq: Move certain declarations to vchiq_arm.h
  (git-fixes).
- commit 08ac3f2
* Tue May  3 2022 oneukum@suse.com
- staging: vchiq: Refactor vchiq cdev code (git-fixes).
- commit 9db9b52
* Tue May  3 2022 tbogendoerfer@suse.de
- bnx2x: fix napi API usage sequence (bsc#1198217).
- commit fc7abbc
* Tue May  3 2022 msuchanek@suse.de
- iova: Export alloc_iova_fast() and free_iova_fast()
  (bsc#1199124).
- commit 281942e
* Tue May  3 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panel: Select DRM_DP_HELPER for DRM_PANEL_EDP'
- commit b961f67
* Tue May  3 2022 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Drop all references to DRM IRQ midlayer'
- commit 3e918db
* Tue May  3 2022 tzimmermann@suse.de
- fbcon: Avoid 'cap' set but not used warning (bsc#1190786)
- commit 6f2bdc4
* Tue May  3 2022 tzimmermann@suse.de
- drm/vmwgfx: Remove unused compile options (bsc#1190786)
- commit f42c964
* Mon May  2 2022 bp@suse.de
- x86/cpu: Load microcode during restore_processor_state()
  (bsc#1190497).
- commit 46f9e01
* Mon May  2 2022 msuchanek@suse.de
- powerpc/perf: Fix power10 event alternatives (jsc#SLE-13513
  git-fixes).
- commit 7e012e8
* Mon May  2 2022 msuchanek@suse.de
- powerpc/perf: Fix power9 event alternatives (bsc#1137728,
  LTC#178106, git-fixes).
- Revert "ibmvnic: Add ethtool private flag for driver-defined
  queue limits" (bsc#1121726 ltc#174633 git-fixes).
- commit 31a517e
* Mon May  2 2022 oneukum@suse.com
- usb: gadget: uvc: Fix crash when encoding data for usb request
  (git-fixes).
- commit f661d38
* Mon May  2 2022 oneukum@suse.com
- usb: cdns3: Fix issue for clear halt endpoint (git-fixes).
- xhci: increase usb U3 -> U0 link resume timeout from 100ms to
  500ms (git-fixes).
- commit 43d19fc
* Mon May  2 2022 oneukum@suse.com
- USB: Fix xhci event ring dequeue pointer ERDP update issue
  (git-fixes).
- commit 15f3b27
* Mon May  2 2022 oneukum@suse.com
- usb: misc: fix improper handling of refcount in uss720_probe()
  (git-fixes).
- commit b6b3f56
* Mon May  2 2022 oneukum@suse.com
- usb: xhci: tegra:Fix PM usage reference leak of
  tegra_xusb_unpowergate_partitions (git-fixes).
- commit f643026
* Mon May  2 2022 tzimmermann@suse.de
- video: fbdev: udlfb: properly check endpoint type (bsc#1190497)
- commit f2e5e0c
* Mon May  2 2022 tzimmermann@suse.de
- Revert "fbcon: Disable accelerated scrolling" (bsc#1190786)
- commit 4f27b8d
* Fri Apr 29 2022 mkubecek@suse.cz
- Update
  patches.suse/net-x25-Fix-null-ptr-deref-caused-by-x25_disconnect.patch
  references (add CVE-2022-1516 bsc#1199012).
- commit defb183
* Fri Apr 29 2022 jack@suse.cz
- bfq: Make sure bfqg for which we are queueing requests is online
  (bsc#1197926).
- bfq: Get rid of __bio_blkcg() usage (bsc#1197926).
- bfq: Track whether bfq_group is still online (bsc#1197926).
- bfq: Remove pointless bfq_init_rq() calls (bsc#1197926).
- bfq: Drop pointless unlock-lock pair (bsc#1197926).
- bfq: Update cgroup information before merging bio (bsc#1197926).
- bfq: Split shared queues on move between cgroups (bsc#1197926).
- bfq: Avoid merging queues with different parents (bsc#1197926).
- bfq: Avoid false marking of bic as stably merged (bsc#1197926).
- commit 7175383
* Fri Apr 29 2022 msuchanek@suse.de
- Update config files (bsc#1199024).
  arm LIBNVDIMM y->m
  ppc64le ND_BLK ->m
- commit 8d0e602
* Thu Apr 28 2022 lduncan@suse.com
- scsi: hisi_sas: Limit users changing debugfs BIST count value
  (bsc#1198803).
- scsi: hisi_sas: Increase debugfs_dump_index after dump is
  completed (bsc#1198806).
- commit 4ed546a
* Thu Apr 28 2022 neilb@suse.de
- Restore kabi after Revert "NFSv4: Handle the special Linux file
  open access mode" (git-fixes).
- commit d756a21
* Thu Apr 28 2022 neilb@suse.de
- SUNRPC: svc_tcp_sendmsg() should handle errors from
  xdr_alloc_bvec() (git-fixes).
- SUNRPC: Handle low memory situations in call_status()
  (git-fixes).
- SUNRPC: Handle ENOMEM in call_transmit_status() (git-fixes).
- NFSv4: fix open failure with O_ACCMODE flag (git-fixes).
- Revert "NFSv4: Handle the special Linux file open access mode"
  (git-fixes).
- commit 84eb02f
* Thu Apr 28 2022 neilb@suse.de
- Refresh
  patches.suse/nfsd-Fix-a-write-performance-regression.patch.
  Add correct git-commit
- commit cd70e53
* Wed Apr 27 2022 mbenes@suse.cz
- SUNRPC: Fix the svc_deferred_event trace class (git-fixes).
- commit 7a0d7a4
* Wed Apr 27 2022 jgross@suse.com
- xen/x86: obtain full video frame buffer address for Dom0 also
  under EFI (bsc#1193556).
- commit 3134a62
* Wed Apr 27 2022 jgross@suse.com
- xen/x86: obtain upper 32 bits of video frame buffer address
  for Dom0 (bsc#1193556).
- commit de1e36e
* Wed Apr 27 2022 ydfan@suse.com
- SUNRPC: change locking for xs_swap_enable/disable (bsc#1196367).
- commit e3d62d0
* Wed Apr 27 2022 lduncan@suse.com
- scsi: block: PM fix blk_post_runtime_resume() args
  (bsc#1198802).
- scsi: hisi_sas: Limit users changing debugfs BIST count value
  (bsc#1198803).
- scsi: libsas: Keep host active while processing events
  (bsc#1198802).
- scsi: libsas: Defer works of new phys during suspend
  (bsc#1198802).
- scsi: libsas: Refactor sas_queue_deferred_work() (bsc#1198802).
- scsi: libsas: Add flag SAS_HA_RESUMING (bsc#1198802).
- scsi: libsas: Resume host while sending SMP I/Os (bsc#1198802).
- scsi: hisi_sas: Add more logs for runtime suspend/resume
  (bsc#1198802).
- scsi: libsas: Insert PORTE_BROADCAST_RCVD event for resuming
  host (bsc#1198802).
- scsi: mvsas: Add spin_lock/unlock() to protect
  asd_sas_port->phy_list (bsc#1198802).
- scsi: hisi_sas: Fix some issues related to
  asd_sas_port->phy_list (bsc#1198802).
- scsi: libsas: Add spin_lock/unlock() to protect
  asd_sas_port->phy_list (bsc#1198802).
- scsi: block: pm: Always set request queue runtime active in
  blk_post_runtime_resume() (bsc#1198802).
- scsi: libsas: Don't always drain event workqueue for HA resume
  (bsc#1198802).
- scsi: hisi_sas: Wait for phyup in hisi_sas_control_phy()
  (bsc#1198802).
- scsi: hisi_sas: Initialise devices in .slave_alloc callback
  (bsc#1198802).
- scsi: hisi_sas: Increase debugfs_dump_index after dump is
  completed (bsc#1198806).
- commit 8be5c1e
* Tue Apr 26 2022 oneukum@suse.com
- blacklist.conf: cleanup only
- commit 41987a6
* Mon Apr 25 2022 msuchanek@suse.de
- pahole 1.22 required for full BTF features.
  also recommend pahole for kernel-source to make the kernel buildable
  with standard config
- commit 364f54b
* Mon Apr 25 2022 oneukum@suse.com
- Update
  patches.suse/net-usb-ax88179_178a-Fix-out-of-bounds-accesses-in-R.patch
  (bsc#1196018 CVE-2022-28748).
  added CVE number
- commit 8cafecb
* Mon Apr 25 2022 jslaby@suse.cz
- random: check for signal_pending() outside of need_resched()
  check (git-fixes).
- Refresh
  patches.suse/0001-char-random-wire-up-userspace-interface-to-SP800-90B.patch.
- ipmi: Fix UAF when uninstall ipmi_si and ipmi_msghandler module
  (git-fixes).
- ipmi: bail out if init_srcu_struct fails (git-fixes).
- commit 50fb6ca
* Sun Apr 24 2022 tiwai@suse.de
- drm/vc4: Use pm_runtime_resume_and_get to fix
  pm_runtime_get_sync() usage (git-fixes).
- drm/panel/raspberrypi-touchscreen: Initialise the bridge in
  prepare (git-fixes).
- drm/panel/raspberrypi-touchscreen: Avoid NULL deref if not
  initialised (git-fixes).
- Input: omap4-keypad - fix pm_runtime_get_sync() error checking
  (git-fixes).
- commit f70a9a5
* Sat Apr 23 2022 dmueller@suse.com
- io_uring: terminate manual loop iterator loop correctly for
  non-vecs (git-fixes).
- io_uring: add a schedule point in io_add_buffers() (git-fixes).
- commit 52b6651
* Sat Apr 23 2022 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Clevo NP70PNP (git-fixes).
- ALSA: usb-audio: Clear MIDI port active flag after draining
  (git-fixes).
- ALSA: usb-audio: add mapping for MSI MAG X570S Torpedo MAX
  (git-fixes).
- commit df91c32
* Sat Apr 23 2022 tiwai@suse.de
- arm64: mm: fix p?d_leaf() (git-fixes).
- ASoC: codecs: wcd934x: do not switch off SIDO Buck when codec
  is in use (git-fixes).
- ASoC: msm8916-wcd-digital: Check failure for
  devm_snd_soc_register_component (git-fixes).
- ASoC: rk817: Use devm_clk_get() in rk817_platform_probe
  (git-fixes).
- ASoC: soc-dapm: fix two incorrect uses of list iterator
  (git-fixes).
- ASoC: topology: Correct error handling in
  soc_tplg_dapm_widget_create() (git-fixes).
- ASoC: atmel: Remove system clock tree configuration for
  at91sam9g20ek (git-fixes).
- ALSA: hda/i915: Fix one too many pci_dev_put() (git-fixes).
- ALSA: hda/hdmi: fix warning about PCM count when used with SOF
  (git-fixes).
- sound/oss/dmasound: fix 'dmasound_setup' defined but not used
  (git-fixes).
- commit 9d80194
* Fri Apr 22 2022 mkubecek@suse.cz
- netfilter: nf_tables: initialize registers in nft_do_chain()
  (CVE-2022-1016 bsc#1197227).
- commit f4b3822
* Fri Apr 22 2022 mkubecek@suse.cz
- netfilter: nf_tables: validate registers coming from userspace
  (CVE-2022-1015 bsc#1197227).
- commit 0aabb62
* Fri Apr 22 2022 dfaggioli@suse.com
- mm: vmalloc: introduce array allocation functions (bsc#1198110).
- commit dbcab11
* Fri Apr 22 2022 dfaggioli@suse.com
- mm: use vmalloc_array and vcalloc for array allocations
  (bsc#1198110).
- commit 4993f07
* Fri Apr 22 2022 dmueller@suse.com
- use jobs not processors in the constraints
  jobs is the number of vcpus available to the build, while processors
  is the total processor count of the machine the VM is running on.
- commit a6e141d
* Fri Apr 22 2022 dfaggioli@suse.com
- KVM: use __vcalloc for very large allocations (bsc#1198110).
- commit 525fc7a
* Fri Apr 22 2022 ohering@suse.de
- Drivers: hv: vmbus: Fix potential crash on module unload
  (git-fixes).
- commit 4ca374b
* Fri Apr 22 2022 ohering@suse.de
- net: netvsc: remove break after return (git-fixes).
- commit 60b2404
* Fri Apr 22 2022 ohering@suse.de
- net: mana: Remove unnecessary check of cqe_type in
  mana_process_rx_cqe() (bsc#1195651).
- commit 8963c13
* Fri Apr 22 2022 ohering@suse.de
- net: mana: Add handling of CQE_RX_TRUNCATED (bsc#1195651).
- commit 56f520a
* Fri Apr 22 2022 ohering@suse.de
- net: mana: Reuse XDP dropped page (bsc#1195651).
- commit 5137284
* Fri Apr 22 2022 ohering@suse.de
- net: mana: Add counter for XDP_TX (bsc#1195651).
- commit 6a2ff8f
* Fri Apr 22 2022 ohering@suse.de
- net: mana: Add counter for packet dropped by XDP (bsc#1195651).
- commit 25e80a8
* Fri Apr 22 2022 ohering@suse.de
- net: mana: Use struct_size() helper in
  mana_gd_create_dma_region() (bsc#1195651).
- commit abeccbd
* Fri Apr 22 2022 ohering@suse.de
- hv_balloon: rate-limit "Unhandled message" warning (git-fixes).
- commit f0e08f0
* Fri Apr 22 2022 ohering@suse.de
- drivers: hv: log when enabling crash_kexec_post_notifiers
  (git-fixes).
- commit 136ee4c
* Fri Apr 22 2022 ohering@suse.de
- hv_utils: Add comment about max VMbus packet size in VSS driver
  (git-fixes).
- commit 6b202b9
* Fri Apr 22 2022 ohering@suse.de
- Drivers: hv: Compare cpumasks and not their weights in
  init_vp_index() (git-fixes).
- commit 30aeb52
* Fri Apr 22 2022 ohering@suse.de
- Drivers: hv: Rename 'alloced' to 'allocated' (git-fixes).
- commit 566f23a
* Fri Apr 22 2022 ohering@suse.de
- Drivers: hv: vmbus: Use struct_size() helper in kmalloc()
  (git-fixes).
- commit 92b3ee9
* Fri Apr 22 2022 shung-hsi.yu@suse.com
- bpf: selftests: adapt bpf_iter_task_vma to get_inode_dev()
  (bsc#927455 bsc#1198585).
- commit 4b86303
* Fri Apr 22 2022 tiwai@suse.de
- drm/i915/display/psr: Unset enable_psr2_sel_fetch if other
  checks in intel_psr2_config_valid() fails (git-fixes).
- dmaengine: idxd: skip clearing device context when device is
  read-only (git-fixes).
- dmaengine: idxd: add RO check for wq max_transfer_size write
  (git-fixes).
- dmaengine: idxd: add RO check for wq max_batch_size write
  (git-fixes).
- dmaengine: dw-edma: Fix unaligned 64bit access (git-fixes).
- dmaengine: mediatek:Fix PM usage reference leak of
  mtk_uart_apdma_alloc_chan_resources (git-fixes).
- dmaengine: imx-sdma: Fix error checking in sdma_event_remap
  (git-fixes).
- dma: at_xdmac: fix a missing check on list iterator (git-fixes).
- dmaengine: idxd: fix device cleanup on disable (git-fixes).
- doc/ip-sysctl: add bc_forwarding (git-fixes).
- can: isotp: stop timeout monitoring when no first frame was sent
  (git-fixes).
- e1000e: Fix possible overflow in LTR decoding (git-fixes).
- commit 194abd1
* Thu Apr 21 2022 tbogendoerfer@suse.de
- Revert "iavf: Fix deadlock occurrence during resetting VF
  interface" (jsc#SLE-18385).
- veth: Ensure eth header is in skb's linear part (git-fixes).
- uapi/linux/stddef.h: Add include guards (jsc#SLE-18978).
- qede: confirm skb is allocated before using (git-fixes).
- ice: clear cmd_type_offset_bsz for TX rings (jsc#SLE-18375).
- ice: xsk: fix VSI state check in ice_xsk_wakeup() (git-fixes).
- ice: synchronize_rcu() when terminating rings (git-fixes).
- net: sfc: fix using uninitialized xdp tx_queue (git-fixes).
- sfc: Do not free an empty page_ring (git-fixes).
- bnxt_en: Prevent XDP redirect from running when stopping TX
  queue (git-fixes).
- bnxt_en: reserve space inside receive page for skb_shared_info
  (git-fixes).
- bnxt_en: Synchronize tx when xdp redirects happen on same ring
  (git-fixes).
- qed: fix ethtool register dump (jsc#SLE-19001).
- ice: Clear default forwarding VSI during VSI release
  (git-fixes).
- skbuff: fix coalescing for page_pool fragment recycling
  (bsc#1190336).
- net: sfc: add missing xdp queue reinitialization (git-fixes).
- RDMA/rxe: Fix ref error in rxe_av.c (jsc#SLE-19249).
- Revert "RDMA/core: Fix ib_qp_usecnt_dec() called when error"
  (jsc#SLE-19249).
- RDMA/rxe: Change variable and function argument to proper type
  (jsc#SLE-19249).
- bareudp: use ipv6_mod_enabled to check if IPv6 enabled
  (git-fixes).
- ionic: catch transition back to RUNNING with fw_generation 0
  (git-fixes).
- commit f0e50a2
* Thu Apr 21 2022 jroedel@suse.de
- KVM: SVM: Allow AVIC support on system w/ physical APIC ID > 255 (bsc#1193823).
- commit 5a9f922
* Thu Apr 21 2022 jroedel@suse.de
- KVM: x86/mmu: do compare-and-exchange of gPTE via the user address (CVE-2022-1158 bsc#1197660).
- commit c813453
* Thu Apr 21 2022 tiwai@suse.de
- nl80211: correctly check NL80211_ATTR_REG_ALPHA2 size
  (git-fixes).
- spi: cadence-quadspi: fix protocol setup for non-1-1-X
  operations (git-fixes).
- regulator: wm8994: Add an off-on delay for WM8994 variant
  (git-fixes).
- net: usb: aqc111: Fix out-of-bounds accesses in RX fixup
  (git-fixes).
- net: axienet: setup mdio unconditionally (git-fixes).
- soc: qcom: aoss: Fix missing put_device call in qmp_get
  (git-fixes).
- ACPI: processor idle: Check for architectural support for LPI
  (git-fixes).
- ACPI: processor: idle: fix lockup regression on 32-bit ThinkPad
  T40 (git-fixes).
- soc: qcom: aoss: Expose send for generic usecase (git-fixes).
- ACPI: processor idle: Allow playing dead in C3 state
  (git-fixes).
- commit 7969c20
* Thu Apr 21 2022 tiwai@suse.de
- drm/amdgpu: Enable gfxoff quirk on MacBook Pro (git-fixes).
- drm/amd/display: don't ignore alpha property on pre-multiplied
  mode (git-fixes).
- arm64: alternatives: mark patch_alternative() as `noinstr`
  (git-fixes).
- drm/amd/display: Fix allocate_mst_payload assert on resume
  (git-fixes).
- drm/amd/display: Revert FEC check in validation (git-fixes).
- drm/amd/display: Enable power gating before init_pipes
  (git-fixes).
- gpu: ipu-v3: Fix dev_dbg frequency output (git-fixes).
- drm/amdkfd: Check for potential null return of kmalloc_array()
  (git-fixes).
- drm/amdgpu/vcn: improve vcn dpg stop procedure (git-fixes).
- drm/amdkfd: Fix Incorrect VMIDs passed to HWS (git-fixes).
- drm/amd/display: Update VTEM Infopacket definition (git-fixes).
- drm/amd/display: FEC check in timing validation (git-fixes).
- drm/amd/display: fix audio format not updated after edid updated
  (git-fixes).
- drm/amd/display: Fix p-state allow debug index on dcn31
  (git-fixes).
- drm/amdgpu: conduct a proper cleanup of PDB bo (git-fixes).
- drm/amd: Add USBC connector ID (git-fixes).
- ata: libata-core: Disable READ LOG DMA EXT for Samsung 840 EVOs
  (git-fixes).
- drm/amd/display: Add pstate verification and recovery for DCN31
  (git-fixes).
- commit e33589b
* Wed Apr 20 2022 jack@suse.cz
- bfq: Do not let waker requests skip proper accounting (bsc#1184318).
  Refresh: patches.suse/bfq-Drop-pointless-unlock-lock-pair.patch
    patches.suse/bfq-Remove-pointless-bfq_init_rq-calls.patch
- commit 4b6502a
* Wed Apr 20 2022 msuchanek@suse.de
- Update patches.suse/powerpc-pseries-Fix-use-after-free-in-remove_phb_dyn.patch
  (bsc#1065729 bsc#1198660 ltc#197803).
- commit 5963e52
* Wed Apr 20 2022 ggherdovich@suse.cz
- intel_idle: add core C6 optimization for SPR (bsc#1198602).
- commit d6fb753
* Wed Apr 20 2022 ggherdovich@suse.cz
- intel_idle: add 'preferred_cstates' module argument
  (bsc#1198602).
- commit 0bc7d2b
* Wed Apr 20 2022 ggherdovich@suse.cz
- intel_idle: add SPR support (bsc#1198602).
- commit 2bc31de
* Wed Apr 20 2022 tiwai@suse.de
- spi: atmel-quadspi: Fix the buswidth adjustment between spi-mem
  and controller (git-fixes).
- spi: cadence-quadspi: fix incorrect supports_op() return value
  (git-fixes).
- spi: spi-mtk-nor: initialize spi controller after resume
  (git-fixes).
- commit aa5ea63
* Wed Apr 20 2022 tiwai@suse.de
- Move upstreamed scsi lpfc patches into sorted section
- commit 115220a
* Tue Apr 19 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit e93d073
* Tue Apr 19 2022 lduncan@suse.com
- SCSI: iscsi: fix iscsi_endpoint changes (bsc#1197685).
- SCSI: iscsi: fix iscsi_cls_conn changes (bsc#1197685).
- scsi: qedi: Fix failed disconnect handling (bsc#1197685).
- scsi: iscsi: Fix NOP handling during conn recovery
  (bsc#1197685).
- scsi: iscsi: Fix unbound endpoint error handling (bsc#1197685).
- scsi: iscsi: Fix conn cleanup and stop race during iscsid
  restart (bsc#1197685).
- scsi: iscsi: Fix endpoint reuse regression (bsc#1197685).
- scsi: iscsi: Release endpoint ID when its freed (bsc#1197685).
- scsi: iscsi: Fix offload conn cleanup when iscsid restarts
  (bsc#1197685).
- scsi: iscsi: Move iscsi_ep_disconnect() (bsc#1197685).
- commit d5cdaca
* Tue Apr 19 2022 lduncan@suse.com
- Sorted using series_sort.py
  Since sequence_patch required it.
- commit 6bf7976
* Tue Apr 19 2022 pjakobsson@suse.de
- drm/msm/a6xx: Fix missing ARRAY_SIZE() check (git-fixes).
- commit 15c93ee
* Tue Apr 19 2022 pjakobsson@suse.de
- gpu: host1x: Fix a memory leak in 'host1x_remove()' (git-fixes).
- commit e524b28
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-Check-if-ASPM-is-enabled-from-PCIe-subsystem.patch.
  Alt-commit
- commit 624f694
* Tue Apr 19 2022 oneukum@suse.com
- mm/vmalloc: fix comments about vmap_area struct (git-fixes).
- commit fe97565
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-correct-the-sequence-of-sending-gpu-reset.patch.
  Alt-commit
- commit b60107a
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-pm-fix-hwmon-node-of-power1_label-create-iss.patch.
  Alt-commit
- commit b1b4026
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-avoid-suspend-on-dGPUs-w-s2idle-support-when.patch.
  Alt-commit
- commit 37b6b68
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-dc-calcs-dce_calcs-Fix-a-memleak-in-.patch.
  Alt-commit
- commit 47a3604
* Tue Apr 19 2022 pjakobsson@suse.de
- drm/meson: Fix error handling when afbcd.ops->init fails
  (git-fixes).
- commit 7e940eb
* Tue Apr 19 2022 pjakobsson@suse.de
- drm/amd: Check if ASPM is enabled from PCIe subsystem
  (git-fixes).
- commit 2931008
* Tue Apr 19 2022 pjakobsson@suse.de
- drm/amdkfd: remove unused function (git-fixes).
- commit dc0eb04
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Set-optimize_pwr_state-for-DCN31.patch.
  Alt-commit
- commit 8cb9616
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Send-s0i2_rdy-in-stream_count-0-opti.patch.
  Alt-commit
- commit fba46ba
* Tue Apr 19 2022 pjakobsson@suse.de
- drm/tegra: Add back arm_iommu_detach_device() (git-fixes).
- commit b76c062
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Set-exit_optimized_pwr_state-for-DCN.patch.
  Alt-commit
- commit df22983
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-vc4-kms-Wait-for-the-commit-before-increasing-ou.patch.
  Alt-commit
- commit 0448552
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-fb-Fix-rounding-error-in-subsampled-plane-s.patch.
  Alt-commit
- commit 7fc481a
* Tue Apr 19 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-hdmi-Turn-DP-TMDS-output-buffers-back-on-in.patch.
  Alt-commit
- commit 2f0d2ce
* Tue Apr 19 2022 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-rtrs-clt-Fix-possible-double-free-in-error-case.patch
  (bsc#1198515 CVE-2022-29156).
  Added CVE reference.
- commit 97b74da
* Tue Apr 19 2022 tiwai@suse.de
- i2c: dev: Force case user pointers in compat_i2cdev_ioctl()
  (git-fixes).
- gpiolib: acpi: use correct format characters (git-fixes).
- ARM: config: u8500: Re-enable AB8500 battery charging
  (git-fixes).
- memory: atmel-ebi: Fix missing of_node_put in atmel_ebi_probe
  (git-fixes).
- memory: renesas-rpc-if: fix platform-device leak in error path
  (git-fixes).
- firmware: arm_scmi: Fix sorting of retrieved clock rates
  (git-fixes).
- ARM: davinci: da850-evm: Avoid NULL pointer dereference
  (git-fixes).
- dma-direct: avoid redundant memory sync for swiotlb (git-fixes).
- memory: mtk-smi: Add error handle for smi_probe (git-fixes).
- commit 42f88a5
* Fri Apr 15 2022 tiwai@suse.de
- ath9k: Fix usage of driver-private space in tx_info (git-fixes).
- commit 1c4d1b6
* Fri Apr 15 2022 tiwai@suse.de
- drm/msm/dp: add fail safe mode outside of event_mutex context
  (git-fixes).
- drm/msm/dsi: Use connector directly in
  msm_dsi_manager_connector_init() (git-fixes).
- drm/msm: Fix range size vs end confusion (git-fixes).
- drm/msm: Add missing put_task_struct() in debugfs path
  (git-fixes).
- nfc: nci: add flush_workqueue to prevent uaf (git-fixes).
- cfg80211: hold bss_lock while updating nontrans_list
  (git-fixes).
- ath9k: Properly clear TX status area before reporting to
  mac80211 (git-fixes).
- macvlan: Fix leaking skb in source mode with nodst option
  (git-fixes).
- net: mdio: don't defer probe forever if PHY IRQ provider is
  missing (git-fixes).
- commit 5f385f4
* Fri Apr 15 2022 tiwai@suse.de
- ALSA: usb-audio: Limit max buffer and period sizes per time
  (git-fixes).
- commit 7a30bc1
* Fri Apr 15 2022 tiwai@suse.de
- ALSA: core: Add snd_card_free_on_error() helper (git-fixes).
- commit 001f843
* Fri Apr 15 2022 tiwai@suse.de
- ALSA: hda/realtek: add quirk for Lenovo Thinkpad X12 speakers
  (git-fixes).
- ALSA: pcm: Test for "silence" field in struct "pcm_format_data"
  (git-fixes).
- ALSA: usb-audio: Increase max buffer size (git-fixes).
- ALSA: usb-audio: Cap upper limits of buffer/period bytes for
  implicit fb (git-fixes).
- ALSA: hda: intel-dsp-config: update AlderLake PCI IDs
  (git-fixes).
- sound/oss/dmasound: fix build when drivers are mixed =y/=m
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo PD50PNT (git-fixes).
- ALSA: usb-audio: Fix undefined behavior due to shift overflowing
  the constant (git-fixes).
- ALSA: hda/i915 - skip acomp init if no matching display
  (git-fixes).
- commit e05cfa3
* Thu Apr 14 2022 tiwai@suse.de
- lz4: fix LZ4_decompress_safe_partial read out of bound
  (git-fixes).
- serial: samsung_tty: do not unlock port->lock for
  uart_write_wakeup() (git-fixes).
- staging: wfx: fix an error handling in wfx_init_common()
  (git-fixes).
- staging: vchiq_core: handle NULL result of
  find_service_by_handle (git-fixes).
- staging: vchiq_arm: Avoid NULL ptr deref in
  vchiq_dump_platform_instances (git-fixes).
- virtio_console: eliminate anonymous module_init & module_exit
  (git-fixes).
- phy: amlogic: meson8b-usb2: fix shared reset control use
  (git-fixes).
- phy: amlogic: meson8b-usb2: Use dev_err_probe() (git-fixes).
- phy: amlogic: phy-meson-gxl-usb2: fix shared reset controller
  use (git-fixes).
- habanalabs: fix possible memory leak in MMU DR fini (git-fixes).
- w1: w1_therm: fixes w1_seq for ds28ea00 sensors (git-fixes).
- usb: dwc3: omap: fix "unbalanced disables for smps10_out1"
  on omap5evm (git-fixes).
- usb: dwc3: pci: Set the swnode from inside dwc3_pci_quirks()
  (git-fixes).
- usb: ehci: add pci device support for Aspeed platforms
  (git-fixes).
- usb: cdnsp: fix cdnsp_decode_trb function to properly handle
  ret value (git-fixes).
- usb: gadget: tegra-xudc: Fix control endpoint's definitions
  (git-fixes).
- usb: gadget: tegra-xudc: Do not program SPARAM (git-fixes).
- power: supply: axp288-charger: Set Vhold to 4.4V (git-fixes).
- power: supply: axp20x_battery: properly report current when
  discharging (git-fixes).
- PCI: endpoint: Fix misused goto label (git-fixes).
- PCI: endpoint: Fix alignment fault error in copy tests
  (git-fixes).
- PCI: aardvark: Fix support for MSI interrupts (git-fixes).
- PCI: pciehp: Add Qualcomm quirk for Command Completed erratum
  (git-fixes).
- init/main.c: return 1 from handled __setup() functions
  (git-fixes).
- mt76: fix monitor mode crash with sdio driver (git-fixes).
- mt76: mt7615: Fix assigning negative values to unsigned variable
  (git-fixes).
- mt76: mt7915: fix injected MPDU transmission to not use HW
  A-MSDU (git-fixes).
- iwlwifi: mvm: move only to an enabled channel (git-fixes).
- iwlwifi: mvm: Correctly set fragmented EBS (git-fixes).
- mt76: dma: initialize skip_unmap in mt76_dma_rx_fill
  (git-fixes).
- mt76: mt7921: fix crash when startup fails (git-fixes).
- commit c050331
* Thu Apr 14 2022 tiwai@suse.de
- arm64: Add part number for Arm Cortex-A78AE (git-fixes).
- drm/amdkfd: Create file descriptor after client is added to
  smi_clients list (git-fixes).
- drm/amdgpu/vcn: Fix the register setting for vcn1 (git-fixes).
- dmaengine: Revert "dmaengine: shdma: Fix runtime PM imbalance
  on error" (git-fixes).
- clk: Enforce that disjoints limits are invalid (git-fixes).
- clk: ti: Preserve node in ti_dt_clocks_register() (git-fixes).
- clk: rockchip: drop CLK_SET_RATE_PARENT from dclk_vop* on rk3568
  (git-fixes).
- clk: si5341: fix reported clk_rate when output divider is 2
  (git-fixes).
- drm/msm/dsi: Remove spurious IRQF_ONESHOT flag (git-fixes).
- drm/amdkfd: make CRAT table missing message informational only
  (git-fixes).
- drm/bridge: Add missing pm_runtime_put_sync (git-fixes).
- drm/amdgpu: Fix recursive locking warning (git-fixes).
- drm/amdkfd: Don't take process mutex for svm ioctls (git-fixes).
- drm/amd/display: Use PSR version selected during set_psr_caps
  (git-fixes).
- drm/amd/display: Fix memory leak (git-fixes).
- drm/amd/amdgpu/amdgpu_cs: fix refcount leak of a dma_fence obj
  (git-fixes).
- drm/amd/display: Add signal type check when verify stream
  backends same (git-fixes).
- drm: Add orientation quirk for GPD Win Max (git-fixes).
- Bluetooth: Fix use after free in hci_send_acl (git-fixes).
- ath11k: mhi: use mhi_sync_power_up() (git-fixes).
- ath11k: pci: fix crash on suspend if board file is not found
  (git-fixes).
- ath11k: fix kernel panic during unload/load ath11k modules
  (git-fixes).
- can: etas_es58x: es58x_fd_rx_event_msg(): initialize
  rx_event_msg before calling es58x_check_msg_len() (git-fixes).
- can: isotp: set default value for N_As to 50 micro seconds
  (git-fixes).
- Bluetooth: use memset avoid memory leaks (git-fixes).
- Bluetooth: Fix not checking for valid hdev on
  bt_dev_{info,warn,err,dbg} (git-fixes).
- cfg80211: don't add non transmitted BSS to 6GHz scanned channels
  (git-fixes).
- ath5k: fix OOB in ath5k_eeprom_read_pcal_info_5111 (git-fixes).
- commit b3a4420
* Wed Apr 13 2022 ohering@suse.de
- PCI: hv: Remove unused hv_set_msi_entry_from_desc()
  (bsc#1198228).
- commit b61cd71
* Wed Apr 13 2022 ohering@suse.de
- hv_netvsc: Add check for kvmalloc_array (git-fixes).
- commit cf67f52
* Wed Apr 13 2022 pjakobsson@suse.de
- drm/vc4: hdmi: Fix HPD GPIO detection (git-fixes).
- commit ee70023
* Wed Apr 13 2022 bp@suse.de
- x86/platform/uv: Log gap hole end size (bsc#1198417).
- commit 8618bf4
* Wed Apr 13 2022 pjakobsson@suse.de
- drm/amdgpu: Drop inline from amdgpu_ras_eeprom_max_record_count
  (git-fixes).
- commit 7eb114d
* Wed Apr 13 2022 bp@suse.de
- x86/platform/uv: Update TSC sync state for UV5 (bsc#1198417).
- commit 3d0fd26
* Wed Apr 13 2022 bp@suse.de
- x86/platform/uv: Update NMI Handler for UV5 (bsc#1198417).
- commit 76ba15c
* Wed Apr 13 2022 osalvador@suse.de
- powerpc/numa: Handle partially initialized numa nodes
  (bsc#1197658).
- commit 061e1c6
* Wed Apr 13 2022 tiwai@suse.de
- media: rockchip/rga: do proper error checking in probe
  (git-fixes).
- commit e57e042
* Tue Apr 12 2022 bp@suse.de
- Update
  patches.suse/x86-pm-save-the-msr-validity-status-at-context-setup.patch
  (bsc#1198400).
- Update
  patches.suse/x86-speculation-restore-speculation-related-msrs-during-s3-resume.patch
  (bsc#1198400).
- commit bd2ea09
* Tue Apr 12 2022 mkoutny@suse.com
- ptrace: Check PTRACE_O_SUSPEND_SECCOMP permission on
  PTRACE_SEIZE (bsc#1198413).
- commit 93194fb
* Tue Apr 12 2022 mkoutny@suse.com
- ipc/sem: do not sleep with a spin lock held (bsc#1198412).
- commit 3ba588c
* Tue Apr 12 2022 mkoutny@suse.com
- blacklist.conf: Add 460a79e18842 mm/memcontrol: return 1 from cgroup.memory __setup() handler
- commit 8e485bf
* Tue Apr 12 2022 mkoutny@suse.com
- mm: memcg: synchronize objcg lists with a dedicated spinlock
  (bsc#1198402).
- commit fdeab39
* Tue Apr 12 2022 mkoutny@suse.com
- ucounts: Enforce RLIMIT_NPROC not RLIMIT_NPROC+1 (bsc#1194191).
- commit ade0b01
* Tue Apr 12 2022 shung-hsi.yu@suse.com
- bpf: Resolve to prog->aux->dst_prog->type only for
  BPF_PROG_TYPE_EXT (git-fixes).
- commit f7beadf
* Tue Apr 12 2022 tiwai@suse.de
- Update patch references of drm fixes (CVE-2022-1280 bsc#1197914)
- commit 3e03d02
* Tue Apr 12 2022 vkarasulli@suse.de
- SUNRPC: Ensure we flush any closed sockets before
  xs_xprt_free() (bsc#1198330 CVE-2022-28893).
- commit d2a1b78
* Tue Apr 12 2022 jack@suse.cz
- nfsd: Replace use of rwsem with errseq_t (bsc#1196960).
- commit b9035c0
* Tue Apr 12 2022 msuchanek@suse.de
- powerpc/mce: Modify the real address error logging messages
  (jsc#SLE-18194).
- selftests/powerpc: Add test for real address error handling
  (jsc#SLE-18194).
- powerpc/pseries: Parse control memory access error
  (jsc#SLE-18194).
- commit 5eae731
* Tue Apr 12 2022 pmladek@suse.com
- vsprintf: Fix potential unaligned access (bsc#1198379).
- commit 91a2f17
* Mon Apr 11 2022 tonyj@suse.de
- perf/x86/intel/uncore: Make uncore_discovery clean for 64 bit
  addresses (bsc#1197304).
- commit 7f08b1b
* Mon Apr 11 2022 lduncan@suse.com
- drbd: fix an invalid memory access caused by incorrect use of
  list iterator (git-fixes).
- drbd: Fix five use after free bugs in get_initial_state
  (git-fixes).
- scsi: mpt3sas: Fix incorrect 4GB boundary check (git-fixes).
- scsi: scsi_transport_fc: Fix FPIN Link Integrity statistics
  counters (git-fixes).
- scsi: hisi_sas: Change permission of parameter prot_mask
  (git-fixes).
- scsi: pm8001: Fix abort all task initialization (git-fixes).
- scsi: pm8001: Fix NCQ NON DATA command completion handling
  (git-fixes).
- scsi: pm8001: Fix NCQ NON DATA command task initialization
  (git-fixes).
- scsi: pm8001: Fix le32 values handling in pm80xx_chip_sata_req()
  (git-fixes).
- scsi: pm8001: Fix le32 values handling in
  pm80xx_chip_ssp_io_req() (git-fixes).
- scsi: pm8001: Fix payload initialization in
  pm80xx_encrypt_update() (git-fixes).
- scsi: pm8001: Fix le32 values handling in
  pm80xx_set_sas_protocol_timer_config() (git-fixes).
- scsi: pm8001: Fix payload initialization in
  pm80xx_set_thermal_config() (git-fixes).
- scsi: pm8001: Fix command initialization in
  pm8001_chip_ssp_tm_req() (git-fixes).
- scsi: pm8001: Fix command initialization in
  pm80XX_send_read_log() (git-fixes).
- scsi: libsas: Fix sas_ata_qc_issue() handling of NCQ NON DATA
  commands (git-fixes).
- scsi: fnic: Fix a tracing statement (git-fixes).
- scsi: mpt3sas: Page fault in reply q processing (git-fixes).
- scsi: qedi: Fix ABBA deadlock in qedi_process_tmf_resp()
  and qedi_process_cmd_cleanup_resp() (git-fixes).
- scsi: elx: efct: Don't use GFP_KERNEL under spin lock
  (git-fixes).
- commit 1cd7361
* Mon Apr 11 2022 ohering@suse.de
- Drivers: hv: vmbus: Replace smp_store_mb() with virt_store_mb()
  (bsc#1198228).
- Drivers: hv: balloon: Disable balloon and hot-add accordingly
  (bsc#1198228).
- Drivers: hv: balloon: Support status report for larger page
  sizes (bsc#1198228).
- Drivers: hv: vmbus: Prevent load re-ordering when reading ring
  buffer (bsc#1198228).
- PCI: hv: Propagate coherence from VMbus device to PCI device
  (bsc#1198228).
- Drivers: hv: vmbus: Propagate VMbus coherence to each VMbus
  device (bsc#1198228).
- Drivers: hv: vmbus: Fix initialization of device object in
  vmbus_device_register() (git-fixes).
- Drivers: hv: vmbus: Deactivate sysctl_record_panic_msg by
  default in isolated guests (bsc#1183682).
- PCI: hv: Avoid the retarget interrupt hypercall in irq_unmask()
  on ARM64 (bsc#1198228).
- x86/hyperv: Output host build info as normal Windows version
  number (git-fixes).
- commit 0c3a755
* Mon Apr 11 2022 ohering@suse.de
- additional reference for arm64 erratum 1418040 (bsc#1198228).
- commit 7a1dfd5
* Mon Apr 11 2022 tiwai@suse.de
- irqchip/gic, gic-v3: Prevent GSI to SGI translations
  (git-fixes).
- irqchip/gic-v3: Fix GICR_CTLR.RWP polling (git-fixes).
- irqchip/gic-v4: Wait for GICR_VPENDBASER.Dirty to clear before
  descheduling (git-fixes).
- commit 53121f2
* Sun Apr 10 2022 tiwai@suse.de
- USB: usb-storage: Fix use of bitfields for hardware data in
  ene_ub6250.c (git-fixes).
- USB: serial: pl2303: add IBM device IDs (git-fixes).
- USB: serial: simple: add Nokia phone driver (git-fixes).
- usb: typec: tipd: Forward plug orientation to typec subsystem
  (git-fixes).
- video: fbdev: sm712fb: Fix crash in smtcfb_write() (git-fixes).
- video: fbdev: sm712fb: Fix crash in smtcfb_read() (git-fixes).
- video: fbdev: atari: Atari 2 bpp (STe) palette bugfix
  (git-fixes).
- video: fbdev: udlfb: replace snprintf in show functions with
  sysfs_emit (git-fixes).
- video: fbdev: omapfb: panel-tpo-td043mtea1: Use sysfs_emit()
  instead of snprintf() (git-fixes).
- video: fbdev: omapfb: panel-dsi-cm: Use sysfs_emit() instead
  of snprintf() (git-fixes).
- video: fbdev: omapfb: acx565akm: replace snprintf with
  sysfs_emit (git-fixes).
- video: fbdev: cirrusfb: check pixclock to avoid divide by zero
  (git-fixes).
- video: fbdev: w100fb: Reset global state (git-fixes).
- video: fbdev: nvidiafb: Use strscpy() to prevent buffer overflow
  (git-fixes).
- virtio_console: break out of buf poll on remove (git-fixes).
- commit c8b4e90
* Sun Apr 10 2022 tiwai@suse.de
- spi: bcm-qspi: fix MSPI only access with bcm_qspi_exec_mem_op()
  (git-fixes).
- spi: core: add dma_map_dev for __spi_unmap_msg() (git-fixes).
- regulator: atc260x: Fix missing active_discharge_on setting
  (git-fixes).
- udmabuf: validate ubuf->pagecount (git-fixes).
- spi: Fix erroneous sgs value with min_t() (git-fixes).
- spi: tegra20: Use of_device_get_match_data() (git-fixes).
- regulator: rpi-panel: Handle I2C errors/timing to the Atmel
  (git-fixes).
- spi: Fix invalid sgs value (git-fixes).
- commit 63be40f
* Sun Apr 10 2022 tiwai@suse.de
- staging: mt7621-dts: fix LEDs and pinctrl on GB-PC1 devicetree
  (git-fixes).
- staging: mt7621-dts: fix pinctrl-0 items to be size-1 items
  on ethernet (git-fixes).
- staging: mt7621-dts: fix pinctrl properties for ethernet
  (git-fixes).
- staging: mt7621-dts: fix formatting (git-fixes).
- pinctrl: microchip-sgpio: lock RMW access (git-fixes).
- PCI: fu740: Force 2.5GT/s for initial device probe (git-fixes).
- PM: core: keep irq flags in device_pm_check_callbacks()
  (git-fixes).
- pinctrl: npcm: Fix broken references to chip->parent_device
  (git-fixes).
- pinctrl: microchip sgpio: use reset driver (git-fixes).
- commit 553891e
* Sun Apr 10 2022 tiwai@suse.de
- mmc: renesas_sdhi: don't overwrite TAP settings when HS400
  tuning is complete (git-fixes).
- mmc: core: Fixup support for writeback-cache for eMMC and SD
  (git-fixes).
- mmc: block: Check for errors after write on SPI (git-fixes).
- mmc: mmci: stm32: correctly check all elements of sg list
  (git-fixes).
- Revert "mmc: sdhci-xenon: fix annoying 1.8V regulator warning"
  (git-fixes).
- mei: avoid iterator usage outside of list_for_each_entry
  (git-fixes).
- mei: me: add Alder Lake N device id (git-fixes).
- mei: me: disable driver on the ign firmware (git-fixes).
- mgag200 fix memmapsl configuration in GCTL6 register
  (git-fixes).
- mmc: host: Return an error when ->enable_sdio_irq() ops is
  missing (git-fixes).
- commit c5b9dfd
* Sun Apr 10 2022 tiwai@suse.de
- media: atomisp: fix bad usage at error handling logic
  (git-fixes).
- media: i2c: ov5648: Fix lockdep error (git-fixes).
- media: gpio-ir-tx: fix transmit with long spaces on Orange Pi PC
  (git-fixes).
- media: cx88-mpeg: clear interrupt status register before
  streaming video (git-fixes).
- media: imx-jpeg: fix a bug of accessing array out of bounds
  (git-fixes).
- media: hdpvr: initialize dev->worker at hdpvr_register_videodev
  (git-fixes).
- media: atomisp: fix dummy_ptr check to avoid duplicate active_bo
  (git-fixes).
- media: atomisp_gmin_platform: Add DMI quirk to not turn AXP
  ELDO2 regulator off on some boards (git-fixes).
- media: iommu/mediatek: Add device_link between the consumer
  and the larb devices (git-fixes).
- media: iommu/mediatek: Return ENODEV if the device is NULL
  (git-fixes).
- commit ae662c1
* Sun Apr 10 2022 tiwai@suse.de
- mailbox: imx: fix wakeup failure from freeze mode (git-fixes).
- media: iommu/mediatek-v1: Free the existed fwspec if the master
  dev already has (git-fixes).
- media: imx-jpeg: Prevent decoding NV12M jpegs into single-planar
  buffers (git-fixes).
- media: ir_toy: free before error exiting (git-fixes).
- media: atmel: atmel-isc-base: report frame sizes as full
  supported range (git-fixes).
- media: staging: media: zoran: fix various V4L2 compliance errors
  (git-fixes).
- media: staging: media: zoran: calculate the right buffer number
  for zoran_reap_stat_com (git-fixes).
- media: staging: media: zoran: move videodev alloc (git-fixes).
- mac80211: Remove a couple of obsolete TODO (git-fixes).
- commit 5f7ed73
* Sun Apr 10 2022 tiwai@suse.de
- i2c: bcm2835: Fix the error handling in 'bcm2835_i2c_probe()'
  (git-fixes).
- LSM: general protection fault in legacy_parse_param (git-fixes).
- hwrng: cavium - HW_RANDOM_CAVIUM should depend on ARCH_THUNDER
  (git-fixes).
- irqchip/nvic: Release nvic_base upon failure (git-fixes).
- irqchip/qcom-pdc: Fix broken locking (git-fixes).
- Input: zinitix - do not report shadow fingers (git-fixes).
- HID: Add support for open wheel and no attachment to T300
  (git-fixes).
- i2c: bcm2835: Use platform_get_irq() to get the interrupt
  (git-fixes).
- hwrng: cavium - Check health status while reading random data
  (git-fixes).
- commit fda3c99
* Sun Apr 10 2022 tiwai@suse.de
- drm/nouveau/pmu: Add missing callbacks for Tegra devices
  (git-fixes).
- drm/amdgpu/smu10: fix SoC/fclk units in auto mode (git-fixes).
- drm/amdgpu: don't use BACO for reset in S3 (git-fixes).
- drm/imx: dw_hdmi-imx: Fix bailout in error cases of probe
  (git-fixes).
- drm/imx: Fix memory leak in imx_pd_connector_get_modes
  (git-fixes).
- drm/imx: imx-ldb: Check for null pointer after calling kmemdup
  (git-fixes).
- Revert "gpio: Revert regression in sysfs-gpio (gpiolib.c)"
  (git-fixes).
- gpio: Revert regression in sysfs-gpio (gpiolib.c) (git-fixes).
- HID: logitech-dj: add new lightspeed receiver id (git-fixes).
- commit 77645db
* Sun Apr 10 2022 tiwai@suse.de
- drm/i915: Treat SAGV block time 0 as SAGV disabled (git-fixes).
- commit 3fa84f4
* Sun Apr 10 2022 tiwai@suse.de
- drm/amdgpu: fix off by one in amdgpu_gfx_kiq_acquire()
  (git-fixes).
- drm/simpledrm: Add "panel orientation" property on non-upright
  mounted LCD panels (git-fixes).
- drm/syncobj: flatten dma_fence_chains on transfer (git-fixes).
- drm/nouveau/backlight: Just set all backlight types as RAW
  (git-fixes).
- drm/meson: split out encoder from meson_dw_hdmi (git-fixes).
- drm/meson: Make use of the helper function
  devm_platform_ioremap_resourcexxx() (git-fixes).
- commit 8beb689
* Sun Apr 10 2022 tiwai@suse.de
- Documentation: update stable tree link (git-fixes).
- Documentation: add link to stable release candidate tree
  (git-fixes).
- ASoC: soc-compress: Change the check for codec_dai (git-fixes).
- crypto: hisilicon/sec - not need to enable sm4 extra mode at
  HW V3 (git-fixes).
- crypto: xts - Add softdep on ecb (git-fixes).
- crypto: hisilicon/qm - cleanup warning in qm_vf_read_qos
  (git-fixes).
- clocksource/drivers/exynos_mct: Handle DTS with higher number
  of interrupts (git-fixes).
- clocksource/drivers/exynos_mct: Refactor resources allocation
  (git-fixes).
- dmaengine: idxd: check GENCAP config support for gencfg register
  (git-fixes).
- commit 246144e
* Sun Apr 10 2022 tiwai@suse.de
- arm64: patch_text: Fixup last cpu should be master (git-fixes).
- arm64: defconfig: build imx-sdma as a module (git-fixes).
- ASoC: mediatek: mt8192-mt6359: Fix error handling in
  mt8192_mt6359_dev_probe (git-fixes).
- ASoC: Intel: sof_sdw: fix quirks for 2022 HP Spectre x360 13"
  (git-fixes).
- ASoC: soc-compress: prevent the potentially use of null pointer
  (git-fixes).
- ASoC: amd: vg: fix for pm resume callback sequence (git-fixes).
- ASoC: soc-core: skip zero num_dai component in searching dai
  name (git-fixes).
- ASoC: madera: Add dependencies on MFD (git-fixes).
- ASoC: SOF: Intel: match sdw version on link_slaves_found
  (git-fixes).
- ASoC: mediatek: use of_device_get_match_data() (git-fixes).
- commit 2873a81
* Sun Apr 10 2022 tiwai@suse.de
- ARM: dts: bcm2711: Add the missing L1/L2 cache information
  (git-fixes).
- ARM: dts: bcm2837: Add the missing L1/L2 cache information
  (git-fixes).
- ARM: dts: qcom: fix gic_irq_domain_translate warnings for
  msm8960 (git-fixes).
- ARM: dts: exynos: add missing HDMI supplies on SMDK5420
  (git-fixes).
- ARM: dts: exynos: add missing HDMI supplies on SMDK5250
  (git-fixes).
- ARM: tegra: tamonten: Fix I2C3 pad setting (git-fixes).
- ARM: dts: imx7: Use audio_mclk_post_div instead
  audio_mclk_root_clk (git-fixes).
- arm64: mm: Drop 'const' from conditional arm64_dma_phys_limit
  definition (git-fixes).
- arm64: Do not defer reserve_crashkernel() for platforms with
  no DMA memory zones (git-fixes).
- arm64: module: remove (NOLOAD) from linker script (git-fixes).
- commit 707bb46
* Sun Apr 10 2022 tiwai@suse.de
- arch/arm64: Fix topology initialization for core scheduling
  (git-fixes).
- ALSA: hda: Avoid unsol event during RPM suspending (git-fixes).
- ARM: mmp: Fix failure to remove sram device (git-fixes).
- ACPI/APEI: Limit printable size of BERT table data (git-fixes).
- Revert "ACPI: Pass the same capabilities to the _OSC regardless
  of the query flag" (git-fixes).
- ACPICA: Avoid walking the ACPI Namespace if it is not there
  (git-fixes).
- af_key: add __GFP_ZERO flag for compose_sadb_supported in
  function pfkey_register (git-fixes).
- ARM: mstar: Select HAVE_ARM_ARCH_TIMER (git-fixes).
- commit 402ae64
* Fri Apr  8 2022 mbenes@suse.cz
- livepatch: Don't block removal of patches that are safe to
  unload (bsc#1071995).
- commit c6239c2
* Fri Apr  8 2022 tiwai@suse.de
- ata: sata_dwc_460ex: Fix crash due to OOB write (git-fixes).
- commit 964a11d
* Thu Apr  7 2022 lduncan@suse.com
- block-map: add __GFP_ZERO flag for alloc_page in function
  bio_copy_kern (bsc#1197386 CVE-2022-0494).
- commit b39e97b
* Wed Apr  6 2022 jack@suse.cz
- Split kABI fixup into a separate patch:
- block: Fix up kabi after blkcg merge fix (bsc#1198020).
- Refresh
  patches.suse/block-don-t-merge-across-cgroup-boundaries-if-blkcg-.patch.
- commit 8147dd9
* Wed Apr  6 2022 bp@suse.de
- x86/speculation: Restore speculation related MSRs during S3
  resume (bsc#1190497).
- commit cc68d33
* Wed Apr  6 2022 jgross@suse.com
- xen: fix is_xen_pmu() (git-fixes).
- commit bdd8f73
* Wed Apr  6 2022 jgross@suse.com
- Revert "xen-netback: Check for hotplug-status existence before
  watching" (git-fixes).
- commit 419da4f
* Wed Apr  6 2022 jgross@suse.com
- Revert "xen-netback: remove 'hotplug-status' once it has served
  its purpose" (git-fixes).
- commit 76e6147
* Wed Apr  6 2022 jgross@suse.com
- xen/blkfront: fix comment for need_copy (git-fixes).
- commit fa11d3f
* Wed Apr  6 2022 bp@suse.de
- x86/pm: Save the MSR validity status at context setup
  (bsc#1190497).
- commit 825429b
* Wed Apr  6 2022 oneukum@suse.com
- blacklist.conf: misattributed in upstream
- commit ea7b484
* Wed Apr  6 2022 oneukum@suse.com
- mt76: mt7915: use proper aid value in
  mt7915_mcu_wtbl_generic_tlv in sta mode (git-fixes).
- commit 9d44a68
* Wed Apr  6 2022 oneukum@suse.com
- blacklist.conf: breaks kABI for minor benefit
- commit f4b6164
* Wed Apr  6 2022 oneukum@suse.com
- ray_cs: Check ioremap return value (git-fixes).
- commit a31a159
* Wed Apr  6 2022 oneukum@suse.com
- blacklist.conf: cleanup not a fix, still breaking kABI
- commit 4c935c8
* Wed Apr  6 2022 oneukum@suse.com
- rtw88: Disable PCIe ASPM while doing NAPI poll on 8821CE
  (git-fixes).
- commit 842f7c4
* Wed Apr  6 2022 oneukum@suse.com
- blacklist.conf: kABI
- commit aeb59e1
* Tue Apr  5 2022 tbogendoerfer@suse.de
- net: hns3: fix software vlan talbe of vlan 0 inconsistent with
  hardware (git-fixes).
- wireguard: socket: ignore v6 endpoints when ipv6 is disabled
  (git-fixes).
- wireguard: socket: free skb in send6 when ipv6 is disabled
  (git-fixes).
- ice: xsk: Fix indexing in ice_tx_xsk_pool() (jsc#SLE-18375).
- xsk: Do not write NULL in SW ring at allocation failure
  (jsc#SLE-18375).
- qlcnic: dcb: default to returning -EOPNOTSUPP (git-fixes).
- net: hns3: fix phy can not link up when autoneg off and reset
  (git-fixes).
- net: hns3: add NULL pointer check for hns3_set/get_ringparam()
  (git-fixes).
- net: hns3: refine the process when PF set VF VLAN (git-fixes).
- net: hns3: add vlan list lock to protect vlan list (git-fixes).
- net: hns3: fix port base vlan add fail when concurrent with
  reset (git-fixes).
- net: hns3: fix bug when PF set the duplicate MAC address for
  VFs (git-fixes).
- RDMA/nldev: Prevent underflow in
  nldev_stat_set_counter_dynamic_doit() (jsc#SLE-19249).
- RDMA/core: Fix ib_qp_usecnt_dec() called when error
  (jsc#SLE-19249).
- ice: don't allow to run ice_send_event_to_aux() in atomic ctx
  (git-fixes).
- drivers: net: xgene: Fix regression in CRC stripping
  (git-fixes).
- qed: display VF trust config (git-fixes).
- i40e: remove dead stores on XSK hotpath (jsc#SLE-18378).
- igb: refactor XDP registration (git-fixes).
- igc: avoid kernel warning when changing RX ring parameters
  (git-fixes).
- ixgbe: respect metadata on XSK Rx to skb (git-fixes).
- ixgbe: don't reserve excessive XDP_PACKET_HEADROOM on XSK Rx
  to skb (git-fixes).
- igc: don't reserve excessive XDP_PACKET_HEADROOM on XSK Rx to
  skb (git-fixes).
- ice: respect metadata on XSK Rx to skb (git-fixes).
- ice: don't reserve excessive XDP_PACKET_HEADROOM on XSK Rx to
  skb (git-fixes).
- i40e: respect metadata on XSK Rx to skb (git-fixes).
- i40e: don't reserve excessive XDP_PACKET_HEADROOM on XSK Rx
  to skb (git-fixes).
- ionic: replace set_vf data with union (git-fixes).
- ionic: stretch heartbeat detection (git-fixes).
- ionic: remove the dbid_inuse bitmap (git-fixes).
- ionic: disable napi when ionic_lif_init() fails (git-fixes).
- ionic: Cleanups in the Tx hotpath code (git-fixes).
- ionic: Prevent filter add/del err msgs when the device is not
  available (git-fixes).
- ionic: Query FW when getting VF info via ndo_get_vf_config
  (git-fixes).
- ionic: Allow flexibility for error reporting on dev commands
  (git-fixes).
- ionic: Correctly print AQ errors if completions aren't received
  (git-fixes).
- ionic: fix up printing of timeout error (git-fixes).
- ionic: better handling of RESET event (git-fixes).
- ionic: add FW_STOPPING state (git-fixes).
- ionic: Don't send reset commands if FW isn't running
  (git-fixes).
- ionic: start watchdog after all is setup (git-fixes).
- ionic: fix type complaint in ionic_dev_cmd_clean() (git-fixes).
- commit 2f5db63
* Tue Apr  5 2022 fdmanana@suse.com
- btrfs: add missing run of delayed items after unlink during
  log replay (bsc#1197915).
- commit 5766155
* Tue Apr  5 2022 fdmanana@suse.com
- btrfs: fix lost prealloc extents beyond eof after full fsync
  (bsc#1197915).
- commit 4e37660
* Tue Apr  5 2022 palcantara@suse.de
- cifs: fix bad fids sent over wire (bsc#1197157).
- commit b21504e
* Tue Apr  5 2022 palcantara@suse.de
- cifs: do not skip link targets when an I/O fails (bsc#1194625).
- commit 7c93536
* Tue Apr  5 2022 tiwai@suse.de
- drm: use the lookup lock in drm_is_current_master (git-fixes).
- drm: add a locked version of drm_is_current_master (git-fixes).
- drm: avoid circular locks in drm_mode_getconnector (git-fixes).
- commit 425221a
* Tue Apr  5 2022 jack@suse.cz
- blacklist.conf: Blacklist edb0872f44ec
- commit 7354a4a
* Tue Apr  5 2022 tiwai@suse.de
- blacklist.conf: Add reverted/reverting swiotlb change (CVE-2022-0854 bsc#1196823 bsc#1197460)
- commit 484de8a
* Tue Apr  5 2022 tiwai@suse.de
- Reinstate some of "swiotlb: rework "fix info leak with
  DMA_FROM_DEVICE"" (CVE-2022-0854 bsc#1196823).
- swiotlb: fix info leak with DMA_FROM_DEVICE (CVE-2022-0854
  bsc#1196823).
- commit a1cbe57
* Tue Apr  5 2022 tiwai@suse.de
- platform/x86: asus-wmi: Fix regression when probing for fan
  curve control (bsc#1198058).
- commit 1b61a49
* Tue Apr  5 2022 tiwai@suse.de
- platform/x86: asus-wmi: Add support for custom fan curves
  (bsc#1198058).
- platform/x86: asus-wmi: Fix "unsigned 'retval' is never less
  than zero" smatch warning (bsc#1198058).
- platform/x86: asus-wmi: Delete impossible condition
  (bsc#1198058).
- asus-wmi: Add support for platform_profile (bsc#1198058).
- asus-wmi: Add egpu enable method (bsc#1198058).
- asus-wmi: Add dgpu disable method (bsc#1198058).
- asus-wmi: Add panel overdrive functionality (bsc#1198058).
- commit 90c1643
* Tue Apr  5 2022 neilb@suse.de
- SUNRPC: Do not dereference non-socket transports in sysfs - kabi fix (git-fixes).
- commit 402bd87
* Tue Apr  5 2022 neilb@suse.de
- blacklist.conf: add unwanted commit
- commit f1c213e
* Tue Apr  5 2022 neilb@suse.de
- NFSv4/pNFS: Fix another issue with a list iterator pointing
  to the head (git-fixes).
- NFS: Don't loop forever in nfs_do_recoalesce() (git-fixes).
- SUNRPC: Do not dereference non-socket transports in sysfs
  (git-fixes).
- NFSv4.1: don't retry BIND_CONN_TO_SESSION on session error
  (git-fixes).
- SUNRPC don't resend a task on an offlined transport (git-fixes).
- NFS: Return valid errors from nfs2/3_decode_dirent()
  (git-fixes).
- NFS: Use of mapping_set_error() results in spurious errors
  (git-fixes).
- NFS: NFSv2/v3 clients should never be setting NFS_CAP_XATTR
  (git-fixes).
- nfsd: more robust allocation failure handling in
  nfsd_file_cache_init (git-fixes).
- commit cfe5259
* Mon Apr  4 2022 tiwai@suse.de
- net: kABI workaround for ax25_dev (CVE-2022-1199 bsc#1198028).
- commit d3ec4a7
* Mon Apr  4 2022 tiwai@suse.de
- ax25: Fix UAF bugs in ax25 timers (CVE-2022-1205 bsc#1198027).
- ax25: fix UAF bug in ax25_send_control() (CVE-2022-1205
  bsc#1198027).
- ax25: Fix NULL pointer dereferences in ax25 timers
  (CVE-2022-1205 bsc#1198027).
- ax25: Fix refcount leaks caused by ax25_cb_del() (CVE-2022-1205
  bsc#1198027).
- ax25: fix UAF bugs of net_device caused by rebinding operation
  (CVE-2022-1205 bsc#1198027).
- ax25: fix reference count leaks of ax25_dev (CVE-2022-1205
  bsc#1198027).
- commit 72a596a
* Mon Apr  4 2022 tiwai@suse.de
- Update patch reference for ax25 fixes (CVE-2022-1199 bsc#1198028)
- commit 97843ec
* Mon Apr  4 2022 tiwai@suse.de
- ax25: fix NPD bug in ax25_disconnect (CVE-2022-1199
  bsc#1198028).
- ax25: add refcount in ax25_dev to avoid UAF bugs (CVE-2022-1199
  bsc#1198028).
- commit e523403
* Mon Apr  4 2022 tiwai@suse.de
- drivers: hamradio: 6pack: fix UAF bug caused by mod_timer()
  (CVE-2022-1198 bsc#1198030).
- commit bab29a1
* Mon Apr  4 2022 tiwai@suse.de
- Update patch reference for hamradio fix (CVE-2022-1195 bsc#1198029)
- commit 8321418
* Mon Apr  4 2022 tiwai@suse.de
- hamradio: remove needs_free_netdev to avoid UAF (CVE-2022-1195
  bsc#1198029).
- hamradio: defer 6pack kfree after unregister_netdev
  (CVE-2022-1195 bsc#1198029).
- commit 68521ee
* Mon Apr  4 2022 tiwai@suse.de
- Update patch references for can fixes (CVE-2022-28390 bsc#1198031 CVE-2022-28389 bsc#1198033 CVE-2022-28388 bsc#1198032)
- commit 0fd0cef
* Mon Apr  4 2022 tiwai@suse.de
- iwlwifi: fix use-after-free (bsc#1197762 git-fixes).
- commit d5140bb
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: rename btrfs_item_end_nr to btrfs_item_data_end
  (bsc#1197915).
- btrfs: remove the btrfs_item_end() helper (bsc#1197915).
- btrfs: drop the _nr from the item helpers (bsc#1197915).
- btrfs: introduce item_nr token variant helpers (bsc#1197915).
- btrfs: make btrfs_file_extent_inline_item_len take a slot
  (bsc#1197915).
- btrfs: add btrfs_set_item_*_nr() helpers (bsc#1197915).
- btrfs: use btrfs_item_size_nr/btrfs_item_offset_nr everywhere
  (bsc#1197915).
- commit ea99a8c
* Mon Apr  4 2022 tiwai@suse.de
- Refresh patches.suse/iwlwifi-module-firmware-ucode-fix.patch (bsc#1197762)
  Correct the entries that have *-64.ucode instead of *-63.ucode
- commit d8b5646
* Mon Apr  4 2022 jack@suse.cz
- blk-mq: cancel blk-mq dispatch work in both blk_cleanup_queue
  and disk_release() (bsc#1198034).
- commit cad1621
* Mon Apr  4 2022 jack@suse.cz
- blacklist.conf: Blacklist 1241ebeca3f94
- commit 003ad35
* Mon Apr  4 2022 jack@suse.cz
- blacklist.conf: Blacklist dd21bfa425c0
- commit aec1aaa
* Mon Apr  4 2022 jack@suse.cz
- blacklist.conf: Blacklist 538f4f022a46
- commit 8edaa91
* Mon Apr  4 2022 jack@suse.cz
- mm, thp: fix incorrect unmap behavior for private pages
  (bsc#1198024).
- commit bdfee77
* Mon Apr  4 2022 jack@suse.cz
- mm, thp: lock filemap when truncating page cache (bsc#1198023).
- commit 382907f
* Mon Apr  4 2022 jack@suse.cz
- block: limit request dispatch loop duration (bsc#1198022).
- commit b262164
* Mon Apr  4 2022 jack@suse.cz
- block: Fix the maximum minor value is blk_alloc_ext_minor()
  (bsc#1198021).
- commit 0114530
* Mon Apr  4 2022 jack@suse.cz
- block: don't merge across cgroup boundaries if blkcg is enabled
  (bsc#1198020).
- commit 3495d8e
* Mon Apr  4 2022 jack@suse.cz
- block: don't delete queue kobject before its children
  (bsc#1198019).
- commit 0b8dd0c
* Mon Apr  4 2022 jack@suse.cz
- block: update io_ticks when io hang (bsc#1197817).
- commit f6e696b
* Mon Apr  4 2022 jack@suse.cz
- blk-cgroup: set blkg iostat after percpu stat aggregation
  (bsc#1198018).
- commit f6b885a
* Mon Apr  4 2022 jack@suse.cz
- blktrace: fix use after free for struct blk_trace (bsc#1198017).
- commit 510769a
* Mon Apr  4 2022 jack@suse.cz
- block/wbt: fix negative inflight counter when remove scsi device
  (bsc#1197819).
- commit 6b88c11
* Mon Apr  4 2022 jack@suse.cz
- block: assign bi_bdev for cloned bios in blk_rq_prep_clone
  (bsc#1198016).
- commit 801ee75
* Mon Apr  4 2022 jack@suse.cz
- block: fix async_depth sysfs interface for mq-deadline
  (bsc#1198015).
- commit 3406ce6
* Mon Apr  4 2022 jack@suse.cz
- iocost: Fix divide-by-zero on donation from low hweight cgroup
  (bsc#1198014).
- commit 197d88f
* Mon Apr  4 2022 jack@suse.cz
- block: fix ioprio_get(IOPRIO_WHO_PGRP) vs setuid(2)
  (bsc#1194586).
- commit f37b7e0
* Mon Apr  4 2022 jack@suse.cz
- block: avoid to quiesce queue in elevator_init_mq (bsc#1198013).
- commit 79eb6a9
* Mon Apr  4 2022 jack@suse.cz
- block: Check ADMIN before NICE for IOPRIO_CLASS_RT
  (bsc#1198012).
- commit ad01732
* Mon Apr  4 2022 jack@suse.cz
- blkcg: Remove extra blkcg_bio_issue_init (bsc#1194585).
- commit 512daa8
* Mon Apr  4 2022 jack@suse.cz
- block: Hold invalidate_lock in BLKRESETZONE ioctl (bsc#1198010).
- commit 4e05a80
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: remove no longer needed logic for replaying directory
  deletes (bsc#1197915).
- btrfs: only copy dir index keys when logging a directory
  (bsc#1197915).
- commit e38d9fe
* Mon Apr  4 2022 jack@suse.cz
- blacklist.conf: Blacklist 057178cf518e
- commit 0fa088a
* Mon Apr  4 2022 jack@suse.cz
- block, bfq: fix UAF problem in bfqg_stats_init() (bsc#1194583).
- commit ea8f21b
* Mon Apr  4 2022 jack@suse.cz
- block/mq-deadline: Improve request accounting further
  (bsc#1198009).
- commit 2be2d53
* Mon Apr  4 2022 jack@suse.cz
- Add another git-commit tag:
  patches.suse/blk-cgroup-blk_cgroup_bio_start-should-use-irq-safe-.patch.
- commit 7f19cc3
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: fix missing last dir item offset update when logging
  directory (bsc#1197915).
- commit 01ad534
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: fix memory leak in __add_inode_ref() (bsc#1197915).
- btrfs: fix re-dirty process of tree-log nodes (bsc#1197915).
- commit 4b5ab70
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: remove root argument from check_item_in_log()
  (bsc#1197915).
- btrfs: remove root argument from add_link() (bsc#1197915).
- btrfs: remove root argument from btrfs_unlink_inode()
  (bsc#1197915).
- btrfs: remove root argument from drop_one_dir_item()
  (bsc#1197915).
- btrfs: do not pin logs too early during renames (bsc#1197915).
- commit 3cfa0bf
* Mon Apr  4 2022 tiwai@suse.de
- Update patch references for a few already backported fixes (CVE-2022-26878 bsc#1197035 bsc#1193983 CVE-2021-4148 bsc#1197366 CVE-2021-45868 CVE-2022-0644 bsc#1196155)
- commit 69353e8
* Mon Apr  4 2022 tiwai@suse.de
- USB: gadget: validate interface OS descriptor requests
  (CVE-2022-25258 bsc#1196095 git-fixes).
- commit 4a7f6a3
* Mon Apr  4 2022 tiwai@suse.de
- Update patch reference for vdpa fix (CVE-2022-0998 bsc#1197247)
- commit 5b2f9f9
* Mon Apr  4 2022 tiwai@suse.de
- vdpa: clean up get_config_size ret value handling (CVE-2022-0998
  bsc#1197247).
- commit 0d2ae2e
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: add a BTRFS_FS_ERROR helper (bsc#1197915).
- btrfs: change error handling for btrfs_delete_*_in_log
  (bsc#1197915).
- btrfs: change handle_fs_error in recover_log_trees to aborts
  (bsc#1197915).
- commit 0dab437
* Mon Apr  4 2022 fdmanana@suse.com
- btrfs: use single bulk copy operations when logging directories
  (bsc#1197915).
- btrfs: unexport setup_items_for_insert() (bsc#1197915).
- btrfs: loop only once over data sizes array when inserting an
  item batch (bsc#1197915).
- btrfs: assert that extent buffers are write locked instead of
  only locked (bsc#1197915).
- commit 1ed0aec
* Mon Apr  4 2022 dfaggioli@suse.com
- x86/sev: Unroll string mmio with CC_ATTR_GUEST_UNROLL_STRING_IO
  (bsc#1196806, bsc#1196961).
- commit 2771ae3
* Mon Apr  4 2022 ohering@suse.de
- add mainline tags for three hyperv patches
- commit 5355614
* Mon Apr  4 2022 tiwai@suse.de
- proc: bootconfig: Add null pointer check (git-fixes).
- ARM: 9187/1: JIVE: fix return value of __setup handler
  (git-fixes).
- watch_queue: Free the page array when watch_queue is dismantled
  (git-fixes).
- ARM: iop32x: offset IRQ numbers by 1 (git-fixes).
- crypto: qcom-rng - ensure buffer for generate is completely
  filled (git-fixes).
- ARM: Spectre-BHB: provide empty stub for non-config (git-fixes).
- ARM: fix Thumb2 regression with Spectre BHB (git-fixes).
- ARM: fix build warning in proc-v7-bugs.c (git-fixes).
- ARM: Do not use NOCROSSREFS directive with ld.lld (git-fixes).
- ARM: fix co-processor register typo (git-fixes).
- proc: fix documentation and description of pagemap (git-fixes).
- audit: improve audit queue handling when "audit=1" on cmdline
  (git-fixes).
- audit: ensure userspace is penalized the same as the kernel
  when under pressure (git-fixes).
- arm64: dts: qcom: sm8350: Shorten camera-thermal-bottom name
  (git-fixes).
- arm64: dts: ls1028a-qds: move rtc node to the correct i2c bus
  (git-fixes).
- arm64: dts: ti: j721e-main: Fix 'dtbs_check' in serdes_ln_ctrl
  node (git-fixes).
- arm64: dts: ti: j7200-main: Fix 'dtbs_check' serdes_ln_ctrl node
  (git-fixes).
- arm64: tegra: Adjust length of CCPLEX cluster MMIO region
  (git-fixes).
- arm64: dts: renesas: Fix thermal bindings (git-fixes).
- audit: improve robustness of the audit queue handling
  (git-fixes).
- commit 0ded242
* Sun Apr  3 2022 tiwai@suse.de
- modpost: restore the warning message for missing symbol versions
  (git-fixes).
- platform/chrome: cros_ec_typec: Check for EC device (git-fixes).
- commit 8440850
* Sat Apr  2 2022 tiwai@suse.de
- arm64: dts: ls1046a: Update i2c node dma properties (git-fixes).
- arm64: dts: ls1043a: Update i2c dma properties (git-fixes).
- ARM: dts: spear1340: Update serial node properties (git-fixes).
- ARM: dts: spear13xx: Update SPI dma properties (git-fixes).
- ASoC: SOF: Intel: Fix build error without SND_SOC_SOF_PCI_DEV
  (git-fixes).
- ASoC: mediatek: mt6358: add missing EXPORT_SYMBOLs (git-fixes).
- ALSA: hda/realtek: Fix audio regression on Mi Notebook Pro 2020
  (git-fixes).
- ALSA: cs4236: fix an incorrect NULL check on list iterator
  (git-fixes).
- rtc: check if __rtc_read_time was successful (git-fixes).
- rtc: wm8350: Handle error for wm8350_register_irq (git-fixes).
- rtc: pl031: fix rtc features null pointer dereference
  (git-fixes).
- rtc: mc146818-lib: fix locking in mc146818_set_time (git-fixes).
- commit 6188b50
* Sat Apr  2 2022 tiwai@suse.de
- Move upstreamed input patch into sorted section
- commit a3b7f82
* Sat Apr  2 2022 tiwai@suse.de
- Move upstreamed ALSA fix into sorted section
- commit 051af6b
* Fri Apr  1 2022 fdmanana@suse.com
- btrfs: stop doing GFP_KERNEL memory allocations in the ref
  verify tool (bsc#1197915).
- btrfs: improve the batch insertion of delayed items
  (bsc#1197915).
- commit 436dc43
* Fri Apr  1 2022 fdmanana@suse.com
- btrfs: keep track of the last logged keys when logging a
  directory (bsc#1197915).
- btrfs: insert items in batches when logging a directory when
  possible (bsc#1197915).
- btrfs: factor out the copying loop of dir items from
  log_dir_items() (bsc#1197915).
- btrfs: remove redundant log root assignment from log_dir_items()
  (bsc#1197915).
- btrfs: remove root argument from btrfs_log_inode() and its
  callees (bsc#1197915).
- commit d461f04
* Fri Apr  1 2022 fdmanana@suse.com
- btrfs: do not commit delayed inode when logging a file in full
  sync mode (bsc#1197915).
- btrfs: avoid attempt to drop extents when logging inode for
  the first time (bsc#1197915).
- btrfs: avoid search for logged i_size when logging inode if
  possible (bsc#1197915).
- btrfs: avoid expensive search when truncating inode items from
  the log (bsc#1197915).
- btrfs: add helper to truncate inode items when logging inode
  (bsc#1197915).
- btrfs: avoid expensive search when dropping inode items from
  log (bsc#1197915).
- btrfs: always update the logged transaction when logging new
  names (bsc#1197915).
- btrfs: do not log new dentries when logging that a new name
  exists (bsc#1197915).
- btrfs: remove no longer needed checks for NULL log context
  (bsc#1197915).
- btrfs: check if a log tree exists at inode_logged()
  (bsc#1197915).
- btrfs: unify lookup return value when dir entry is missing
  (bsc#1197915).
- commit 035a406
* Fri Apr  1 2022 msuchanek@suse.de
- powerpc/64s: Don't use DSISR for SLB faults (bsc#1194869).
- commit fc040c2
* Fri Apr  1 2022 msuchanek@suse.de
- powerpc/lib/sstep: Fix 'sthcx' instruction (bsc#1156395).
- powerpc/perf: Don't use perf_hw_context for trace IMC PMU
  (bsc#1156395).
- commit cb14232
* Fri Apr  1 2022 fdmanana@suse.com
- btrfs: avoid unnecessarily logging directories that had no
  changes (bsc#1197915).
- btrfs: update comment at log_conflicting_inodes() (bsc#1197915).
- btrfs: introduce btrfs_lookup_match_dir (bsc#1197915).
- btrfs: remove unneeded return variable in
  btrfs_lookup_file_extent (bsc#1197915).
- btrfs: use btrfs_next_leaf instead of btrfs_next_item when
  slots > nritems (bsc#1197915).
- commit dbc61cd
* Fri Apr  1 2022 jack@suse.cz
- fsnotify: Don't insert unmergeable events in hashtable
  (bsc#1197922).
- commit 952689a
* Fri Apr  1 2022 jack@suse.cz
- blacklist.conf: Blacklist dabe729dddca
- commit c7ed171
* Fri Apr  1 2022 jack@suse.cz
- fsnotify: fix fsnotify hooks in pseudo filesystems (bsc#1195944
  bsc#1195478).
- commit 47e73fb
* Fri Apr  1 2022 fdmanana@suse.com
- btrfs: remove no longer needed full sync flag check at
  inode_logged() (bsc#1197915).
- btrfs: add ro compat flags to inodes (bsc#1197915).
- btrfs: eliminate some false positives when checking if inode
  was logged (bsc#1197915).
- btrfs: constify and cleanup variables in comparators
  (bsc#1197915).
- commit 24b2386
* Fri Apr  1 2022 jack@suse.cz
- ext2: correct max file size computing (bsc#1197820).
- commit 327f163
* Fri Apr  1 2022 jack@suse.cz
- ext4: avoid trim error on fs with small groups (bsc#1191271).
- commit cf203a4
* Fri Apr  1 2022 jack@suse.cz
- blacklist.conf: Blacklist 81dedaf10c20
- commit 2c9c489
* Fri Apr  1 2022 jack@suse.cz
- mm: Fully initialize invalidate_lock, amend lock class later
  (bsc#1197921).
- commit 5035cbf
* Fri Apr  1 2022 jack@suse.cz
- ocfs2: fix crash when initialize filecheck kobj fails
  (bsc#1197920).
- commit 524f075
* Fri Apr  1 2022 jack@suse.cz
- mm: fs: fix lru_cache_disabled race in bh_lru (bsc#1197761).
- commit ceb1ef5
* Fri Apr  1 2022 jack@suse.cz
- fs: handle circular mappings correctly (bsc#1197918).
- commit 4d59e0a
* Fri Apr  1 2022 jack@suse.cz
- ext4: fix an use-after-free issue about data=journal writeback
  mode (bsc#1195482).
- commit c36bf42
* Fri Apr  1 2022 jack@suse.cz
- ext4: destroy ext4_fc_dentry_cachep kmemcache on module removal
  (bsc#1197917).
- commit 273281c
* Fri Apr  1 2022 jack@suse.cz
- nfsd: Fix a write performance regression (bsc#1197016).
- commit 3827cd1
* Fri Apr  1 2022 fdmanana@suse.com
- btrfs: avoid unnecessary lock and leaf splits when updating
  inode in the log (bsc#1197915).
- btrfs: remove unnecessary list head initialization when syncing
  log (bsc#1197915).
- btrfs: avoid unnecessary log mutex contention when syncing log
  (bsc#1197915).
- commit f007cc7
* Fri Apr  1 2022 pmladek@suse.com
- printk: disable optimistic spin during panic (bsc#1197894).
- commit 70af8b1
* Fri Apr  1 2022 pmladek@suse.com
- printk: Add panic_in_progress helper (bsc#1197894).
- commit cb51b3b
* Fri Apr  1 2022 pmladek@suse.com
- blacklist.conf: printk: cosmetic problem
- commit 232518f
* Fri Apr  1 2022 pmladek@suse.com
- vsprintf: Fix %%pK with kptr_restrict == 0 (bsc#1197889).
- commit f47b241
* Fri Apr  1 2022 pmladek@suse.com
- Revert "module, async: async_synchronize_full() on module init
  iff async is used" (bsc#1197888).
- commit 8d797c5
* Fri Apr  1 2022 dwagner@suse.de
- wireguard: queueing: use CFI-safe ptr_ring cleanup function
  (git-fixes).
- wireguard: selftests: rename DEBUG_PI_LIST to DEBUG_PLIST
  (git-fixes).
- commit 49909d3
* Fri Apr  1 2022 dwagner@suse.de
- scsi: lpfc: Fix locking for lpfc_sli_iocbq_lookup()
  (bsc#1197675).
- scsi: lpfc: Fix broken SLI4 abort path (bsc#1197675).
- scsi: lpfc: Update lpfc version to 14.2.0.1 (bsc#1197675).
- scsi: lpfc: Fix queue failures when recovering from PCI parity
  error (bsc#1197675 bsc#1196478).
- scsi: lpfc: Fix unload hang after back to back PCI EEH faults
  (bsc#1197675 bsc#1196478).
- scsi: lpfc: Improve PCI EEH Error and Recovery Handling
  (bsc#1197675 bsc#1196478).
- commit 819b0ac
* Fri Apr  1 2022 tiwai@suse.de
- watchdog: rti-wdt: Add missing pm_runtime_disable() in probe
  function (git-fixes).
- ACPI: CPPC: Avoid out of bounds access when parsing _CPC data
  (git-fixes).
- Documentation: Fix duplicate statement about raw_spinlock_t type
  (git-fixes).
- can: mcba_usb: properly check endpoint type (git-fixes).
- can: mcba_usb: mcba_usb_start_xmit(): fix double dev_kfree_skb
  in error path (git-fixes).
- can: usb_8dev: usb_8dev_start_xmit(): fix double dev_kfree_skb()
  in error path (git-fixes).
- can: ems_usb: ems_usb_start_xmit(): fix double dev_kfree_skb()
  in error path (git-fixes).
- can: m_can: m_can_tx_handler(): fix use after free of skb
  (git-fixes).
- can: mcp251xfd: mcp251xfd_register_get_dev_id(): fix return
  of error value (git-fixes).
- can: isotp: restore accidentally removed MSG_PEEK feature
  (git-fixes).
- crypto: arm/aes-neonbs-cbc - Select generic cbc and aes
  (git-fixes).
- commit 18d8ff4
* Thu Mar 31 2022 mbenes@suse.cz
- x86/unwind: kABI workaround for unwind_state changes
  (bsc#1193277).
- commit d529509
* Thu Mar 31 2022 ptesarik@suse.cz
- s390/kexec: fix return code handling (git-fixes).
- commit 7207d12
* Thu Mar 31 2022 ptesarik@suse.cz
- s390/setup: avoid reserving memory above identity mapping
  (git-fixes).
- commit 22ee7f5
* Thu Mar 31 2022 dwagner@suse.de
- scsi: lpfc: Copyright updates for 14.2.0.0 patches
  (bsc#1197675).
- scsi: lpfc: Update lpfc version to 14.2.0.0 (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor BSG paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor Abort paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor SCSI paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor CT paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor misc ELS paths
  (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor VMID paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor FDISC paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor LS_RJT paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor LS_ACC paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor the RSCN/SCR/RDF/EDC/FARPR
  paths (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor PLOGI/PRLI/ADISC/LOGO paths
  (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor base ELS paths and the
  FLOGI path (bsc#1197675).
- scsi: lpfc: SLI path split: Introduce lpfc_prep_wqe
  (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor fast and slow paths to
  native SLI4 (bsc#1197675).
- scsi: lpfc: SLI path split: Refactor lpfc_iocbq (bsc#1197675).
- scsi: lpfc: Use kcalloc() (bsc#1197675).
- scsi: lpfc: Fix typos in comments (bsc#1197675).
- scsi: lpfc: Remove failing soft_wwn support (bsc#1197675).
- scsi: lpfc: Use rport as argument for lpfc_chk_tgt_mapped()
  (bsc#1197675).
- scsi: lpfc: Use rport as argument for lpfc_send_taskmgmt()
  (bsc#1197675).
- scsi: lpfc: Use fc_block_rport() (bsc#1197675).
- scsi: lpfc: Drop lpfc_no_handler() (bsc#1197675).
- scsi: lpfc: Kill lpfc_bus_reset_handler() (bsc#1197675).
- scsi: lpfc: Remove redundant flush_workqueue() call
  (bsc#1197675).
- scsi: lpfc: Reduce log messages seen after firmware download
  (bsc#1197675).
- scsi: lpfc: Remove NVMe support if kernel has NVME_FC disabled
  (bsc#1197675).
- scsi: lpfc: Use irq_set_affinity() (bsc#1197675).
- commit 8cd02d8
* Thu Mar 31 2022 ptesarik@suse.cz
- blacklist.conf: s390x fix not needed with CONFIG_VMAP_STACK=y
- commit df05de4
* Thu Mar 31 2022 oneukum@suse.com
- net: asix: add proper error handling of usb read errors
  (git-fixes).
- commit cec1c41
* Thu Mar 31 2022 shung-hsi.yu@suse.com
- bpf: Disallow negative offset in check_ptr_off_reg (git-fixes).
- commit 08f1628
* Thu Mar 31 2022 shung-hsi.yu@suse.com
- bpf: Fix PTR_TO_BTF_ID var_off check (git-fixes).
- commit ca4a34b
* Thu Mar 31 2022 shung-hsi.yu@suse.com
- bpf: Add check_func_arg_reg_off function (git-fixes).
- commit 5c52201
* Thu Mar 31 2022 tiwai@suse.de
- pwm: lpc18xx-sct: Initialize driver data and hardware before
  pwmchip_add() (git-fixes).
- dmaengine: hisi_dma: fix MSI allocate fail when reload hisi_dma
  (git-fixes).
- dmaengine: idxd: restore traffic class defaults after wq reset
  (git-fixes).
- remoteproc: qcom_q6v5_mss: Fix some leaks in
  q6v5_alloc_memory_region (git-fixes).
- remoteproc: qcom_wcnss: Add missing of_node_put() in
  wcnss_alloc_memory_region (git-fixes).
- remoteproc: qcom: Fix missing of_node_put in
  adsp_alloc_memory_region (git-fixes).
- remoteproc: Fix count check in rproc_coredump_write()
  (git-fixes).
- rpmsg: qcom_smd: Fix redundant channel->registered assignment
  (git-fixes).
- clk: qcom: gcc-msm8994: Fix gpll4 width (git-fixes).
- clk: qcom: clk-rcg2: Update the frac table for pixel clock
  (git-fixes).
- clk: qcom: clk-rcg2: Update logic to calculate D value for RCG
  (git-fixes).
- clk: qcom: ipq8074: Use floor ops for SDCC1 clock (git-fixes).
- clk: qcom: ipq8074: fix PCI-E clock oops (git-fixes).
- clk: uniphier: Fix fixed-rate initialization (git-fixes).
- clk: Initialize orphan req_rate (git-fixes).
- clk: Fix clk_hw_get_clk() when dev is NULL (git-fixes).
- clk: bcm2835: Remove unused variable (git-fixes).
- clk: tegra: tegra124-emc: Fix missing put_device() call in
  emc_ensure_emc_driver (git-fixes).
- clk: clps711x: Terminate clk_div_table with sentinel element
  (git-fixes).
- clk: hisilicon: Terminate clk_div_table with sentinel element
  (git-fixes).
- clk: loongson1: Terminate clk_div_table with sentinel element
  (git-fixes).
- clk: actions: Terminate clk_div_table with sentinel element
  (git-fixes).
- clk: imx: off by one in imx_lpcg_parse_clks_from_dt()
  (git-fixes).
- clk: imx7d: Remove audio_mclk_root_clk (git-fixes).
- clk: nxp: Remove unused variable (git-fixes).
- clk: at91: sama7g5: fix parents of PDMCs' GCLK (git-fixes).
- commit 7654d6c
* Wed Mar 30 2022 tiwai@suse.de
- ALSA: pcm: Fix potential AB/BA lock with buffer_mutex and
  mmap_lock (CVE-2022-1048 bsc#1197331).
- Refresh
  patches.kabi/ALSA-kABI-workaround-for-snd_pcm_runtime-changes.patch.
- commit 5e55cab
* Wed Mar 30 2022 tiwai@suse.de
- net: sched: fix use-after-free in tc_new_tfilter()
  (CVE-2022-1055 bsc#1197702).
- commit 77a7f01
* Wed Mar 30 2022 tiwai@suse.de
- cpufreq: qcom-cpufreq-nvmem: fix reading of PVS Valid fuse
  (git-fixes).
- dma-debug: fix return value of __setup handlers (git-fixes).
- commit 3817fbc
* Wed Mar 30 2022 shung-hsi.yu@suse.com
- bpf, selftests: Add various ringbuf tests with invalid offset
  (bsc#1194111 bsc#1194765 CVE-2021-4204 CVE-2022-23222).
- commit 7e4daf8
* Wed Mar 30 2022 mbenes@suse.cz
- tracing: Have trace event string test handle zero length strings
  (git-fixes).
- commit d722f48
* Wed Mar 30 2022 mbenes@suse.cz
- ext4: fix ext4_fc_stats trace point (git-fixes).
- commit 76c15f8
* Wed Mar 30 2022 mbenes@suse.cz
- blacklist.conf: 2f293651eca3 ("livepatch: Fix build failure on 32 bits processors")
  32bit (powerpc) live patching is not supported.
- commit 9af010a
* Wed Mar 30 2022 shung-hsi.yu@suse.com
- bpf, selftests: Update test case for atomic cmpxchg on r0 with
  pointer (git-fixes).
- commit 36b1af6
* Wed Mar 30 2022 shung-hsi.yu@suse.com
- bpf, selftests: Add test case for atomic fetch on spilled
  pointer (git-fixes bsc#1193883 bsc#1194826 CVE-2022-0264).
- commit 1e154c0
* Wed Mar 30 2022 shung-hsi.yu@suse.com
- selftests/bpf: Some more atomic tests (git-fixes bsc#1193883 bsc#1194826
  CVE-2022-0264).
- commit 0010236
* Wed Mar 30 2022 shung-hsi.yu@suse.com
- bpf: Fix UAF due to race between btf_try_get_module and
  load_module (git-fixes).
- commit 6d1d264
* Wed Mar 30 2022 shung-hsi.yu@suse.com
- bpf: Mark PTR_TO_FUNC register initially with zero offset
  (git-fixes).
- commit 3ebe846
* Tue Mar 29 2022 dwagner@suse.de
- scsi: qla2xxx: Fix typos in comments (bsc#1197661).
- scsi: qla2xxx: Update version to 10.02.07.400-k (bsc#1197661).
- scsi: qla2xxx: Increase max limit of ql2xnvme_queues
  (bsc#1197661).
- scsi: qla2xxx: Use correct feature type field during RFF_ID
  processing (bsc#1197661).
- scsi: qla2xxx: Fix stuck session of PRLI reject (bsc#1197661).
- scsi: qla2xxx: Reduce false trigger to login (bsc#1197661).
- scsi: qla2xxx: Fix laggy FC remote port session recovery
  (bsc#1197661).
- scsi: qla2xxx: Fix hang due to session stuck (bsc#1197661).
- scsi: qla2xxx: Fix N2N inconsistent PLOGI (bsc#1197661).
- scsi: qla2xxx: Fix crash during module load unload test
  (bsc#1197661).
- scsi: qla2xxx: Fix missed DMA unmap for NVMe ls requests
  (bsc#1197661).
- scsi: qla2xxx: Fix loss of NVMe namespaces after driver reload
  test (bsc#1197661).
- scsi: qla2xxx: Fix disk failure to rediscover (bsc#1197661).
- scsi: qla2xxx: Fix incorrect reporting of task management
  failure (bsc#1197661).
- scsi: qla2xxx: Use named initializers for q_dev_state
  (bsc#1197661).
- scsi: qla2xxx: Use named initializers for port_state_str
  (bsc#1197661).
- scsi: qla2xxx: Stop using the SCSI pointer (bsc#1197661).
- commit 60d6aa2
* Tue Mar 29 2022 msuchanek@suse.de
- Revert "rpm/kernel-obs-build.spec.in: use default dracut modules (bsc#1195926)"
  This reverts commit beb790e1e013350f13ede349c015d8149c603787.
- commit 122bc9d
* Tue Mar 29 2022 msuchanek@suse.de
- powerpc/rtas: Keep MSR RI set when calling RTAS (bsc#1197174
  ltc#196362).
- commit be99d79
* Tue Mar 29 2022 msuchanek@suse.de
- powerpc/pseries: Fix use after free in remove_phb_dynamic()
  (bsc#1065729).
- powerpc/tm: Fix more userspace r13 corruption (bsc#1065729).
- powerpc/xive: fix return value of __setup handler (bsc#1065729).
- powerpc/sysdev: fix incorrect use to determine if list is empty
  (bsc#1065729).
- commit d34af8f
* Tue Mar 29 2022 shung-hsi.yu@suse.com
- bpf: Fix kernel address leakage in atomic cmpxchg's r0 aux reg
  (git-fixes).
- commit 851556a
* Tue Mar 29 2022 jack@suse.cz
- xfs: drop async cache flushes from CIL commits (bsc#1195669).
- commit ed76e3d
* Tue Mar 29 2022 tiwai@suse.de
- mmc: rtsx: Fix build errors/warnings for unused variable
  (git-fixes).
- commit ce609f9
* Tue Mar 29 2022 tiwai@suse.de
- mmc: rtsx: Let MMC core handle runtime PM (git-fixes).
- commit 0ff3f87
* Tue Mar 29 2022 tiwai@suse.de
- net/x25: Fix null-ptr-deref caused by x25_disconnect
  (git-fixes).
- net: phy: broadcom: Fix brcm_fet_config_init() (git-fixes).
- serial: 8250: fix XOFF/XON sending when DMA is used (git-fixes).
- serial: 8250: Fix race condition in RTS-after-send handling
  (git-fixes).
- serial: 8250_lpss: Balance reference count for PCI DMA device
  (git-fixes).
- serial: 8250_mid: Balance reference count for PCI DMA device
  (git-fixes).
- serial: 8250_aspeed_vuart: add PORT_ASPEED_VUART port type
  (git-fixes).
- serial: core: Fix the definition name in the comment of UPF_*
  flags (git-fixes).
- phy: phy-brcm-usb: fixup BCM4908 support (git-fixes).
- phy: dphy: Correct lpx parameter and its
  derivatives(ta_{get,go,sure}) (git-fixes).
- soundwire: intel: fix wrong register name in intel_shim_wake
  (git-fixes).
- VMCI: Fix the description of vmci_check_host_caps() (git-fixes).
- pps: clients: gpio: Propagate return value from pps_gpio_probe
  (git-fixes).
- mmc: rtsx: Use pm_runtime_{get,put}() to handle runtime PM
  (git-fixes).
- pinctrl/rockchip: Add missing of_node_put() in
  rockchip_pinctrl_probe (git-fixes).
- pinctrl: nomadik: Add missing of_node_put() in nmk_pinctrl_probe
  (git-fixes).
- pinctrl: mediatek: paris: Skip custom extra pin config dump
  for virtual GPIOs (git-fixes).
- pinctrl: mediatek: paris: Fix pingroup pin config state readback
  (git-fixes).
- pinctrl: mediatek: paris: Fix "argument" argument type for
  mtk_pinconf_get() (git-fixes).
- pinctrl: mediatek: paris: Fix PIN_CONFIG_BIAS_* readback
  (git-fixes).
- pinctrl: pinconf-generic: Print arguments for bias-pull-*
  (git-fixes).
- pinctrl: mediatek: Fix missing of_node_put() in mtk_pctrl_init
  (git-fixes).
- pinctrl: renesas: checker: Fix miscalculation of number of
  states (git-fixes).
- pinctrl: renesas: r8a77470: Reduce size for narrow VIN1 channel
  (git-fixes).
- pinctrl: nuvoton: npcm7xx: Rename DS() macro to DSTR()
  (git-fixes).
- pinctrl: nuvoton: npcm7xx: Use %%zu printk format for
  ARRAY_SIZE() (git-fixes).
- tpm: use try_get_ops() in tpm-space.c (git-fixes).
- tpm: Fix error handling in async work (git-fixes).
- commit 643f2cc
* Tue Mar 29 2022 tiwai@suse.de
- driver core: dd: fix return value of __setup handler
  (git-fixes).
- firmware: google: Properly state IOMEM dependency (git-fixes).
- firmware: sysfb: fix platform-device leak in error path
  (git-fixes).
- firmware: stratix10-svc: add missing callback parameter on RSU
  (git-fixes).
- iio: accel: mma8452: use the correct logic to get mma8452_data
  (git-fixes).
- iio: adc: Add check for devm_request_threaded_irq (git-fixes).
- staging:iio:adc:ad7280a: Fix handing of device address bit
  reversing (git-fixes).
- iio: mma8452: Fix probe failing when an i2c_device_id is used
  (git-fixes).
- iio: afe: rescale: use s64 for temporary scale calculations
  (git-fixes).
- iio: inkern: make a best effort on offset calculation
  (git-fixes).
- iio: inkern: apply consumer scale when no channel scale is
  available (git-fixes).
- iio: inkern: apply consumer scale on IIO_VAL_INT cases
  (git-fixes).
- habanalabs: Add check for pci_enable_device (git-fixes).
- misc: sgi-gru: Don't cast parameter in bit operations
  (git-fixes).
- comedi: drivers: ni_routes: Use strcmp() instead of memcmp()
  (git-fixes).
- misc: alcor_pci: Fix an error handling path (git-fixes).
- dt-bindings: pinctrl: pinctrl-microchip-sgpio: Fix example
  (git-fixes).
- Bluetooth: btusb: Add another Realtek 8761BU (git-fixes).
- Bluetooth: btusb: Add one more Bluetooth part for the Realtek
  RTL8852AE (git-fixes).
- crypto: qat - disable registration of algorithms (git-fixes).
- ACPI: video: Force backlight native for Clevo NL5xRU and NL5xNU
  (git-fixes).
- ACPI: battery: Add device HID and quirk for Microsoft Surface
  Go 3 (git-fixes).
- ACPI / x86: Work around broken XSDT on Advantech DAC-BJ01 board
  (git-fixes).
- commit 95c9747
* Tue Mar 29 2022 shung-hsi.yu@suse.com
- bpf: Fix comment for helper bpf_current_task_under_cgroup()
  (git-fixes).
- commit 20a25b6
* Mon Mar 28 2022 ddiss@suse.de
- watch_queue: Actually free the watch (CVE-2022-0995
  bsc#1197246).
- watch_queue: Fix NULL dereference in error cleanup
  (CVE-2022-0995 bsc#1197246).
- commit 9f97636
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: pcm: Fix races among concurrent prealloc proc writes
  (CVE-2022-1048 bsc#1197331).
- commit 7ca9b7d
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: pcm: Fix races among concurrent prepare and
  hw_params/hw_free calls (CVE-2022-1048 bsc#1197331).
- commit bdcd5ee
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: pcm: Fix races among concurrent read/write and buffer
  changes (CVE-2022-1048 bsc#1197331).
- commit 8bb5c1f
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: pcm: Fix races among concurrent hw_params and hw_free
  calls (CVE-2022-1048 bsc#1197331).
- commit 4ce87ae
* Mon Mar 28 2022 pjakobsson@suse.de
- drm/i915/ttm: ensure we unmap when purging (git-fixes).
- commit 6b15818
* Mon Mar 28 2022 pjakobsson@suse.de
- blacklist.conf: f3cb4a2de541 drm/i915/ttm: only fault WILLNEED objects
- commit 64673e1
* Mon Mar 28 2022 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-dg2-Print-PHY-name-properly-on-calibration-.patch.
  Alt-commit
- commit ee566a7
* Mon Mar 28 2022 pjakobsson@suse.de
- Refresh patches.suse/drm-i915-Widen-the-QGV-point-mask.patch.
  Alt-commit
- commit 29d981f
* Mon Mar 28 2022 pjakobsson@suse.de
- blacklist.conf: 068396bb21c8 drm/i915/ttm: Rework object initialization slightly
- commit 404bf29
* Mon Mar 28 2022 msuchanek@suse.de
- powerpc/mm/numa: skip NUMA_NO_NODE onlining in
  parse_numa_properties() (bsc#1179639 ltc#189002 git-fixes).
- commit b52421d
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: hda/realtek: Add alc256-samsung-headphone fixup
  (git-fixes).
- ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for
  HP machines (git-fixes).
- ALSA: hda: Add AlderLake-PS variant PCI ID (git-fixes).
- ALSA: hda: Add PCI and HDMI IDs for Intel Raptor Lake
  (git-fixes).
- ALSA: hda: Fix driver index handling at re-binding (git-fixes).
- commit a6a01f1
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: kABI workaround for snd_pcm_runtime changes (CVE-2022-1048
  bsc#1197331).
- commit ad07b38
* Mon Mar 28 2022 tiwai@suse.de
- ALSA: pci: fix reading of swapped values from pcmreg in AC97
  codec (git-fixes).
- ALSA: pcm: Add stream lock during PCM reset ioctl operations
  (git-fixes).
- ALSA: pcm: Fix races among concurrent prealloc proc writes
  (git-fixes).
- ALSA: pcm: Fix races among concurrent prepare and
  hw_params/hw_free calls (git-fixes).
- ALSA: pcm: Fix races among concurrent read/write and buffer
  changes (git-fixes).
- ALSA: pcm: Fix races among concurrent hw_params and hw_free
  calls (git-fixes).
- ALSA: oss: Fix PCM OSS buffer allocation overflow (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS GA402 (git-fixes).
- ALSA: usb-audio: Add mute TLV for playback volumes on RODE
  NT-USB (git-fixes).
- commit cd09a05
* Mon Mar 28 2022 tiwai@suse.de
- mailbox: imx: fix crash in resume on i.mx8ulp (git-fixes).
- mailbox: tegra-hsp: Flush whole channel (git-fixes).
- ALSA: hda/realtek - Fix headset mic problem for a HP machine
  with alc671 (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo NP50PNJ (git-fixes).
- ALSA: usb-audio: add mapping for new Corsair Virtuoso SE
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo NP70PNJ (git-fixes).
- watch_queue: Actually free the watch (git-fixes).
- watch_queue: Fix NULL dereference in error cleanup (git-fixes).
- mailbox: change mailbox-mpfs compatible string (git-fixes).
- commit c338df3
* Sun Mar 27 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 8e8d2c1
* Sun Mar 27 2022 tiwai@suse.de
- of: unittest: update text of expected warnings (git-fixes).
- commit f6fd7da
* Sun Mar 27 2022 tiwai@suse.de
- dt-bindings: usb: hcd: correct usb-device path (git-fixes).
- drm/edid: check basic audio support on CEA extension block
  (git-fixes).
- drm/i915: Fix PSF GV point mask when SAGV is not possible
  (git-fixes).
- dt-bindings: spi: mxic: The interrupt property is not mandatory
  (git-fixes).
- dt-bindings: mtd: nand-controller: Fix a comment in the examples
  (git-fixes).
- dt-bindings: mtd: nand-controller: Fix the reg property
  description (git-fixes).
- HID: i2c-hid: fix GET/SET_REPORT for unnumbered reports
  (git-fixes).
- HID: intel-ish-hid: Use dma_alloc_coherent for firmware update
  (git-fixes).
- dt-bindings: net: xgmac_mdio: Remove unsupported "bus-frequency"
  (git-fixes).
- dt-bindings: memory: mtk-smi: No need mediatek,larb-id for
  mt8167 (git-fixes).
- KEYS: asymmetric: properly validate hash_algo and encoding
  (git-fixes).
- KEYS: trusted: Avoid calling null function trusted_key_exit
  (git-fixes).
- KEYS: trusted: Fix trusted key backends when building as module
  (git-fixes).
- KEYS: fix length validation in keyctl_pkey_params_get_2()
  (git-fixes).
- dt-bindings: can: tcan4x5x: fix mram-cfg RX FIFO config
  (git-fixes).
- dt-bindings: watchdog: Require samsung,syscon-phandle for
  Exynos7 (git-fixes).
- of/fdt: Don't worry about non-memory region overlap for no-map
  (git-fixes).
- of: base: Improve argument length mismatch error (git-fixes).
- of: base: Fix phandle argument length mismatch error message
  (git-fixes).
- of: unittest: 64 bit dma address test requires arch support
  (git-fixes).
- of: unittest: fix warning on PowerPC frame size warning
  (git-fixes).
- commit aae6d8d
* Sun Mar 27 2022 tiwai@suse.de
- mfd: asic3: Add missing iounmap() on error asic3_mfd_probe
  (git-fixes).
- mfd: exynos-lpass: Drop unneeded syscon.h include (git-fixes).
- mfd: mc13xxx: Add check for mc13xxx_irq_request (git-fixes).
- mtd: rawnand: atmel: fix refcount issue in
  atmel_nand_controller_init (git-fixes).
- mtd: rawnand: pl353: Set the nand chip node as the flash node
  (git-fixes).
- mtd: rawnand: gpmi: fix controller timings setting (git-fixes).
- mtd: onenand: Check for error irq (git-fixes).
- spi: mxic: Fix the transmit path (git-fixes).
- mtd: mchp48l640: Add SPI ID table (git-fixes).
- mtd: mchp23k256: Add SPI ID table (git-fixes).
- power: supply: wm8350-power: Add missing free in
  free_charger_irq (git-fixes).
- power: supply: wm8350-power: Handle error for
  wm8350_register_irq (git-fixes).
- power: supply: bq24190_charger: Fix bq24190_vbus_is_enabled()
  wrong false return (git-fixes).
- power: supply: sbs-charger: Don't cancel work that is not
  initialized (git-fixes).
- power: supply: ab8500: Fix memory leak in ab8500_fg_sysfs_init
  (git-fixes).
- power: reset: gemini-poweroff: Fix IRQ check in
  gemini_poweroff_probe (git-fixes).
- PCI: imx6: Allow to probe when dw_pcie_wait_for_link() fails
  (git-fixes).
- PCI: aardvark: Fix reading PCI_EXP_RTSTA_PME bit on emulated
  bridge (git-fixes).
- PCI: aardvark: Fix reading MSI interrupt number (git-fixes).
- PCI: Avoid broken MSI on SB600 USB devices (git-fixes).
- PCI: pciehp: Clear cmd_busy bit in polling mode (git-fixes).
- platform/x86: huawei-wmi: check the return value of
  device_create_file() (git-fixes).
- platform/surface: surface3-wmi: Simplify resource management
  (git-fixes).
- commit 28e1425
* Sun Mar 27 2022 tiwai@suse.de
- usb: gadget: eliminate anonymous module_init & module_exit
  (git-fixes).
- usb: usbip: eliminate anonymous module_init & module_exit
  (git-fixes).
- USB: storage: ums-realtek: fix error code in rts51x_read_mem()
  (git-fixes).
- USB: serial: pl2303: fix GS type detection (git-fixes).
- xhci: fix runtime PM imbalance in USB2 resume (git-fixes).
- xhci: fix uninitialized string returned by
  xhci_decode_ctrl_ctx() (git-fixes).
- xhci: fix garbage USBSTS being logged in some cases (git-fixes).
- xhci: make xhci_handshake timeout for xhci_reset() adjustable
  (git-fixes).
- USB: hcd-pci: Use PCI_STD_NUM_BARS when checking standard BARs
  (git-fixes).
- i2c: mux: demux-pinctrl: do not deactivate a master that is
  not active (git-fixes).
- i2c: meson: Fix wrong speed use from probe (git-fixes).
- i2c: xiic: Make bus names unique (git-fixes).
- commit 3442073
* Sat Mar 26 2022 jroedel@suse.de
- kABI: Fix kABI after "x86/mm/cpa: Generalize __set_memory_enc_pgtable()" (jsc#SLE-19924).
- commit e24bb1c
* Sat Mar 26 2022 jroedel@suse.de
- x86/mm/cpa: Generalize __set_memory_enc_pgtable()
  (jsc#SLE-19924).
- x86/coco: Add API to handle encryption mask (jsc#SLE-19924).
- x86/coco: Explicitly declare type of confidential computing
  platform (jsc#SLE-19924).
- x86/cc: Move arch/x86/{kernel/cc_platform.c => coco/core.c}
  (jsc#SLE-19924).
- commit 250ae25
* Fri Mar 25 2022 mhocko@suse.com
- mm/page_alloc.c: do not warn allocation failure on zone DMA
  if no managed pages (bsc#1197501).
- dma/pool: create dma atomic pool only if dma zone has managed
  pages (bsc#1197501).
- mm_zone: add function to check if managed dma zone exists
  (bsc#1197501).
- commit 5d0120a
* Fri Mar 25 2022 tiwai@suse.de
- Revert "Input: clear BTN_RIGHT/MIDDLE on buttonpads"
  (bsc#1197243).
- commit 34f056c
* Fri Mar 25 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
  Also resort series
- commit f444242
* Fri Mar 25 2022 tiwai@suse.de
- Drop HID multitouch fix patch (bsc#1197243)
  Delete patches.suse/HID-multitouch-fix-Dell-Precision-7550-and-7750-butt.patch.
  Replaced with another revert patch.
- commit b38132c
* Fri Mar 25 2022 tiwai@suse.de
- lib: bitmap: fix many kernel-doc warnings (git-fixes).
- mt76: mt7921: fix mt7921_queues_acq implementation (git-fixes).
- mac80211: fix potential double free on mesh join (git-fixes).
- wcn36xx: Differentiate wcn3660 from wcn3620 (git-fixes).
- iwlwifi: mvm: Fix an error code in iwl_mvm_up() (git-fixes).
- iwlwifi: Fix -EIO error code that is never returned (git-fixes).
- iwlwifi: yoyo: remove DBGI_SRAM address reset writing
  (git-fixes).
- iwlwifi: mvm: align locking in D3 test debugfs (git-fixes).
- vxcan: enable local echo for sent CAN frames (git-fixes).
- mt76: mt7615: check sta_rates pointer in
  mt7615_sta_rate_tbl_update (git-fixes).
- mt76: mt7603: check sta_rates pointer in
  mt7603_sta_rate_tbl_update (git-fixes).
- mt76: mt7615: fix a leftover race in runtime-pm (git-fixes).
- mt76: mt7921: fix a leftover race in runtime-pm (git-fixes).
- mt76: mt7915: use proper aid value in mt7915_mcu_sta_basic_tlv
  (git-fixes).
- mt76: connac: fix sta_rec_wtbl tag len (git-fixes).
- TOMOYO: fix __setup handlers return values (git-fixes).
- commit 4c9613e
* Fri Mar 25 2022 tiwai@suse.de
- drm/i915/display: Fix HPD short pulse handling for eDP
  (git-fixes).
- drm/i915/gem: add missing boundary check in vm_access
  (git-fixes).
- drm/msm/dsi: Use "ref" fw clock instead of global name for
  VCO parent (git-fixes).
- drm/msm/dp: always add fail-safe mode into connector mode list
  (git-fixes).
- drm/msm/dp: stop link training after link training 2 failed
  (git-fixes).
- drm/msm/dp: populate connector of struct dp_panel (git-fixes).
- drm/msm/dpu: fix dp audio condition (git-fixes).
- iwlwifi: mvm: don't iterate unadded vifs when handling FW SMPS
  req (git-fixes).
- iwlwifi: mvm: Don't call iwl_mvm_sta_from_mac80211() with NULL
  sta (git-fixes).
- commit 246c690
* Fri Mar 25 2022 tiwai@suse.de
- drm/msm/dpu: add DSPP blocks teardown (git-fixes).
- drm/bridge: cdns-dsi: Make sure to to create proper aliases
  for dt (git-fixes).
- drm/tegra: Fix reference leak in tegra_dsi_ganged_probe
  (git-fixes).
- drm/amd/display: Remove vupdate_int_entry definition
  (git-fixes).
- drm/bridge: anx7625: Fix overflow issue on reading EDID
  (git-fixes).
- drm/bridge: dw-hdmi: use safe format when first in bridge chain
  (git-fixes).
- drm/fb-helper: Mark screen buffers in system memory with
  FBINFO_VIRTFB (git-fixes).
- drm/amd/display: Add affected crtcs to atomic state for dsc
  mst unplug (git-fixes).
- drm/amd/pm: enable pm sysfs write for one VF mode (git-fixes).
- commit 6c4107e
* Fri Mar 25 2022 tiwai@suse.de
- drm/amd/pm: return -ENOTSUPP if there is no
  get_dpm_ultimate_freq function (git-fixes).
- drm/amd/display: Fix a NULL pointer dereference in
  amdgpu_dm_connector_add_common_modes() (git-fixes).
- drm/amdgpu: suppress the warning about enum value
  'AMD_IP_BLOCK_TYPE_NUM' (git-fixes).
- drm/amdgpu: don't do resets on APUs which don't support it
  (git-fixes).
- drm/nouveau/acr: Fix undefined behavior in
  nvkm_acr_hsfw_load_bl() (git-fixes).
- drm/edid: Don't clear formats if using deep color (git-fixes).
- drm/selftests/test-drm_dp_mst_helper: Fix memory leak in
  sideband_msg_req_encode_decode (git-fixes).
- drm/virtio: Ensure that objs is not NULL in
  virtio_gpu_array_put_free() (git-fixes).
- drm: bridge: fix unmet dependency on DRM_KMS_HELPER for
  DRM_PANEL_BRIDGE (git-fixes).
- commit 6f749c2
* Fri Mar 25 2022 tiwai@suse.de
- drm/panfrost: Check for error num after setting mask
  (git-fixes).
- drm/doc: overview before functions for drm_writeback.c
  (git-fixes).
- drm/v3d/v3d_drv: Check for error num after setting mask
  (git-fixes).
- drm: bridge: adv7511: Fix ADV7535 HPD enablement (git-fixes).
- drm/bridge: nwl-dsi: Fix PM disable depth imbalance in
  nwl_dsi_probe (git-fixes).
- drm/bridge: Add missing pm_runtime_disable() in
  __dw_mipi_dsi_probe (git-fixes).
- drm/bridge: Fix free wrong object in sii8620_init_rcp_input_dev
  (git-fixes).
- drm/meson: osd_afbcd: Add an exit callback to struct
  meson_afbcd_ops (git-fixes).
- docs: sysctl/kernel: add missing bit to panic_print (git-fixes).
- carl9170: fix missing bit-wise or operator for tx_params
  (git-fixes).
- commit 66bcea3
* Fri Mar 25 2022 tiwai@suse.de
- Bluetooth: btmtksdio: Fix kernel oops in btmtksdio_interrupt
  (git-fixes).
- Bluetooth: call hci_le_conn_failed with hdev lock in
  hci_le_conn_failed (git-fixes).
- can: isotp: support MSG_TRUNC flag when reading from socket
  (git-fixes).
- can: isotp: return -EADDRNOTAVAIL when reading from unbound
  socket (git-fixes).
- brcmfmac: pcie: Fix crashes due to early IRQs (git-fixes).
- brcmfmac: pcie: Replace brcmf_pcie_copy_mem_todev with
  memcpy_toio (git-fixes).
- brcmfmac: pcie: Declare missing firmware files in pcie.c
  (git-fixes).
- brcmfmac: firmware: Allocate space for default boardrev in nvram
  (git-fixes).
- brcmfmac: pcie: Release firmwares in the brcmf_pcie_setup
  error path (git-fixes).
- commit 5a1e763
* Fri Mar 25 2022 tiwai@suse.de
- bitfield: add explicit inclusions to the example (git-fixes).
- ath10k: Fix error handling in ath10k_setup_msa_resources
  (git-fixes).
- Revert "ath: add support for special 0x0 regulatory domain"
  (git-fixes).
- ath9k_htc: fix uninit value bugs (git-fixes).
- ath10k: fix memory overwrite of the WoWLAN wakeup packet pattern
  (git-fixes).
- Bluetooth: hci_serdev: call init_rwsem() before p->open()
  (git-fixes).
- Bluetooth: btusb: Whitespace fixes for btusb_setup_csr()
  (git-fixes).
- Bluetooth: btintel: Fix WBS setting for Intel legacy ROM
  products (git-fixes).
- commit 5117e32
* Thu Mar 24 2022 afaerber@suse.com
- Update HyperV Jira references (jsc#SLE-24072, jsc#SLE-17855)
- commit f9a043f
* Thu Mar 24 2022 tiwai@suse.de
- pinctrl: samsung: drop pin banks references on error paths
  (git-fixes).
- memory: emif: check the pointer temp in get_device_details()
  (git-fixes).
- memory: emif: Add check for setup_interrupts (git-fixes).
- soc: qcom: aoss: remove spurious IRQF_ONESHOT flags (git-fixes).
- soc: qcom: ocmem: Fix missing put_device() call in of_get_ocmem
  (git-fixes).
- soc: qcom: rpmpd: Check for null return of devm_kcalloc
  (git-fixes).
- soc: mediatek: pm-domains: Add wakeup capacity support in
  power domain (git-fixes).
- soc: ti: wkup_m3_ipc: Fix IRQ check in wkup_m3_ipc_probe
  (git-fixes).
- video: fbdev: omapfb: Add missing of_node_put() in dvic_probe_of
  (git-fixes).
- video: fbdev: fbcvt.c: fix printing in fb_cvt_print_name()
  (git-fixes).
- video: fbdev: atmel_lcdfb: fix an error code in
  atmel_lcdfb_probe() (git-fixes).
- video: fbdev: smscufx: Fix null-ptr-deref in ufx_usb_probe()
  (git-fixes).
- video: fbdev: controlfb: Fix COMPILE_TEST build (git-fixes).
- video: fbdev: matroxfb: set maxvram of vbG200eW to the same
  as vbG200 to avoid black screen (git-fixes).
- mmc: davinci_mmc: Handle error for clk_enable (git-fixes).
- mmc: sdhci_am654: Fix the driver data of AM64 SoC (git-fixes).
- usb: usbtmc: Fix bug in pipe direction for control transfers
  (git-fixes).
- net: phy: mscc: Add MODULE_FIRMWARE macros (git-fixes).
- net: phy: marvell: Fix invalid comparison in the resume and
  suspend functions (git-fixes).
- commit 640a02e
* Thu Mar 24 2022 tiwai@suse.de
- media: ov5640: Fix set format, v4l2_mbus_pixelcode not updated
  (git-fixes).
- media: v4l2-core: Initialize h264 scaling matrix (git-fixes).
- media: cedrus: h264: Fix neighbour info buffer size (git-fixes).
- media: cedrus: H265: Fix neighbour info buffer size (git-fixes).
- media: usb: go7007: s2250-board: fix leak in probe()
  (git-fixes).
- media: em28xx: initialize refcount before kref_get (git-fixes).
- media: doc: pixfmt-rgb: Fix V4L2_PIX_FMT_BGR24 format
  description (git-fixes).
- media: vidtv: Check for null return of vzalloc (git-fixes).
- media: stk1160: If start stream fails, return buffers with
  VB2_BUF_STATE_QUEUED (git-fixes).
- commit 4ef6549
* Thu Mar 24 2022 tiwai@suse.de
- media: Revert "media: em28xx: add missing
  em28xx_close_extension" (git-fixes).
- media: venus: hfi_cmds: List HDR10 property as unsupported
  for v1 and v3 (git-fixes).
- media: ti-vpe: cal: Fix a NULL pointer dereference in
  cal_ctx_v4l2_init_formats() (git-fixes).
- media: video/hdmi: handle short reads of hdmi info frame
  (git-fixes).
- media: mexon-ge2d: fixup frames size in registers (git-fixes).
- media: aspeed: Correct value for h-total-pixels (git-fixes).
- media: ov5648: Don't pack controls struct (git-fixes).
- media: v4l: Avoid unaligned access warnings when printing 4cc
  modifiers (git-fixes).
- media: ov6650: Fix crop rectangle affected by set format
  (git-fixes).
- media: ov6650: Add try support to selection API operations
  (git-fixes).
- commit b4a8bfb
* Thu Mar 24 2022 tiwai@suse.de
- supported.conf: Mark a few SM* chiper modules as supported (bsc#1197287)
  Mark supported for the modules: sm2_generic, sm3_generic, sm4_generic
  arm64-specific: sha3-ce, sha512-ce, sm3-ce, sm4-ce
- commit e6b9e81
* Thu Mar 24 2022 tiwai@suse.de
- media: ov6650: Fix set format try processing path (git-fixes).
- media: hantro: Fix overfill bottom register field name
  (git-fixes).
- media: doc: pixfmt-yuv: Fix V4L2-PIX-FMT-Y10P format
  (git-fixes).
- media: coda: Fix missing put_device() call in coda_get_vdoa_data
  (git-fixes).
- media: atmel: atmel-sama7g5-isc: fix ispck leftover (git-fixes).
- media: bttv: fix WARNING regression on tunerless devices
  (git-fixes).
- media: davinci: vpif: fix unbalanced runtime PM enable
  (git-fixes).
- media: davinci: vpif: fix unbalanced runtime PM get (git-fixes).
- media: mtk-vcodec: potential dereference of null pointer
  (git-fixes).
- commit 04703ec
* Thu Mar 24 2022 tiwai@suse.de
- firmware: qcom: scm: Remove reassignment to desc following
  initializer (git-fixes).
- media: v4l2-mem2mem: Apply DST_QUEUE_OFF_BASE on MMAP buffers
  across ioctls (git-fixes).
- media: staging: media: imx: imx7-mipi-csis: Make subdev name
  unique (git-fixes).
- media: camss: vfe-170: fix "VFE halt timeout" error (git-fixes).
- media: camss: csid-170: set the right HALT_CMD when disabled
  (git-fixes).
- media: camss: csid-170: remove stray comment (git-fixes).
- media: camss: csid-170: don't enable unused irqs (git-fixes).
- media: camss: csid-170: fix non-10bit formats (git-fixes).
- media: staging: media: zoran: fix usage of
  vb2_dma_contig_set_max_seg_size (git-fixes).
- Input: aiptek - properly check endpoint type (git-fixes).
- commit ab62902
* Thu Mar 24 2022 tiwai@suse.de
- firmware: ti_sci: Fix compilation failure when
  CONFIG_TI_SCI_PROTOCOL is not defined (git-fixes).
- ASoC: sti: Fix deadlock via snd_pcm_stop_xrun() call
  (git-fixes).
- ASoC: amd: Fix reference to PCM buffer address (git-fixes).
- ASoC: codecs: wcd934x: Add missing of_node_put() in
  wcd934x_codec_parse_data (git-fixes).
- ASoC: msm8916-wcd-analog: Fix error handling in
  pm8916_wcd_analog_spmi_probe (git-fixes).
- ASoC: atmel: Fix error handling in sam9x5_wm8731_driver_probe
  (git-fixes).
- ASoC: SOF: Intel: enable DMI L1 for playback streams
  (git-fixes).
- ASoC: msm8916-wcd-digital: Fix missing clk_disable_unprepare()
  in msm8916_wcd_digital_probe (git-fixes).
- ASoC: imx-es8328: Fix error return code in imx_es8328_probe()
  (git-fixes).
- efi: fix return value of __setup handlers (git-fixes).
- commit 8a84a24
* Thu Mar 24 2022 tiwai@suse.de
- ASoC: fsl_spdif: Disable TX clock when stop (git-fixes).
- ASoC: SOF: topology: remove redundant code (git-fixes).
- ASoC: dmaengine: do not use a NULL prepare_slave_config()
  callback (git-fixes).
- ASoC: mxs: Fix error handling in mxs_sgtl5000_probe (git-fixes).
- ASoC: rk817: Fix missing clk_disable_unprepare() in
  rk817_platform_probe (git-fixes).
- ASoC: SOF: Add missing of_node_put() in imx8m_probe (git-fixes).
- ASoC: rockchip: i2s: Fix missing clk_disable_unprepare()
  in rockchip_i2s_probe (git-fixes).
- ASoC: atmel: Fix error handling in snd_proto_probe (git-fixes).
- ASoC: fsi: Add check for clk_enable (git-fixes).
- commit 549be6b
* Thu Mar 24 2022 tiwai@suse.de
- ASoC: wm8350: Handle error for wm8350_register_irq (git-fixes).
- ASoC: atmel: Add missing of_node_put() in
  at91sam9g20ek_audio_probe (git-fixes).
- ASoC: dwc-i2s: Handle errors for clk_enable (git-fixes).
- ASoC: atmel_ssc_dai: Handle errors for clk_enable (git-fixes).
- ASoC: mxs-saif: Handle errors for clk_enable (git-fixes).
- ASoC: ti: davinci-i2s: Add check for clk_enable() (git-fixes).
- ASoC: rt5663: check the return value of devm_kzalloc() in
  rt5663_parse_dp() (git-fixes).
- ASoC: simple-card-utils: Set sysclk on all components
  (git-fixes).
- ASoC: xilinx: xlnx_formatter_pcm: Handle sysclk setting
  (git-fixes).
- ASoC: topology: Optimize soc_tplg_dapm_graph_elems_load behavior
  (git-fixes).
- commit 25d68ae
* Thu Mar 24 2022 tiwai@suse.de
- arm64: dts: rockchip: Fix SDIO regulator supply properties on
  rk3399-firefly (git-fixes).
- ASoC: topology: Allow TLV control to be either read or write
  (git-fixes).
- ASoC: codecs: Check for error pointer after calling
  devm_regmap_init_mmio (git-fixes).
- ASoC: SOF: Intel: Fix NULL ptr dereference when ENOMEM
  (git-fixes).
- ASoC: codecs: wcd934x: fix return value of
  wcd934x_rx_hph_mode_put (git-fixes).
- ASoC: codecs: wcd934x: fix kcontrol max values (git-fixes).
- ASoC: codecs: wc938x: fix accessing array out of bounds for
  enum type (git-fixes).
- ASoC: codecs: va-macro: fix accessing array out of bounds for
  enum type (git-fixes).
- ASoC: codecs: rx-macro: fix accessing array out of bounds for
  enum type (git-fixes).
- ASoC: codecs: rx-macro: fix accessing compander for aux
  (git-fixes).
- commit 8cdd72e
* Thu Mar 24 2022 tiwai@suse.de
- arm64: dts: broadcom: Fix sata nodename (git-fixes).
- arm64: dts: ns2: Fix spi-cpol and spi-cpha property (git-fixes).
- arm64: dts: broadcom: bcm4908: use proper TWD binding
  (git-fixes).
- arm64: dts: qcom: sm8250: Fix MSI IRQ for PCIe1 and PCIe2
  (git-fixes).
- arm64: dts: qcom: sm8350: Correct TCS configuration for apps
  rsc (git-fixes).
- arm64: dts: qcom: sm8150: Correct TCS configuration for apps
  rsc (git-fixes).
- arm64: dts: qcom: sm8250: fix PCIe bindings to follow schema
  (git-fixes).
- arm64: dts: qcom: sdm845: fix microphone bias properties and
  values (git-fixes).
- ARM: dts: qcom: ipq4019: fix sleep clock (git-fixes).
- arm64: dts: ti: k3-am64: Fix gic-v3 compatible regs (git-fixes).
- arm64: dts: ti: k3-j7200: Fix gic-v3 compatible regs
  (git-fixes).
- arm64: dts: ti: k3-j721e: Fix gic-v3 compatible regs
  (git-fixes).
- arm64: dts: ti: k3-am65: Fix gic-v3 compatible regs (git-fixes).
- ARM: dts: Fix OpenBMC flash layout label addresses (git-fixes).
- ARM: dts: stm32: fix AV96 board SAI2 pin muxing on stm32mp15
  (git-fixes).
- ARM: dts: at91: sama5d2: Fix PMERRLOC resource size (git-fixes).
- arm64: dts: renesas: ulcb-kf: fix wrong comment (git-fixes).
- ARM: dts: sun8i: v3s: Move the csi1 block to follow address
  order (git-fixes).
- ARM: dts: imx: Add missing LVDS decoder on M53Menlo (git-fixes).
- ARM: dts: exynos: fix UART3 pins configuration in Exynos5250
  (git-fixes).
- ARM: configs: multi_v5_defconfig: re-enable DRM_PANEL and FB_xxx
  (git-fixes).
- ARM: configs: multi_v5_defconfig: re-enable
  CONFIG_V4L_PLATFORM_DRIVERS (git-fixes).
- ARM: ftrace: ensure that ADR takes the Thumb bit into account
  (git-fixes).
- ALSA: spi: Add check for clk_enable() (git-fixes).
- ALSA: cmipci: Restore aux vol on suspend/resume (git-fixes).
- ALSA: firewire-lib: fix uninitialized flag for AV/C deferred
  transaction (git-fixes).
- arm64: fix clang warning about TRAMP_VALIAS (git-fixes).
- alx: acquire mutex for alx_reinit in alx_change_mtu (git-fixes).
- commit 4b012b4
* Wed Mar 23 2022 vkarasulli@suse.de
- Update
  patches.suse/quota-check-block-number-when-reading-the-block-in-q.patch
  (stable-5.14.19 bsc#1197366 CVE-2021-45868).
- commit a567e14
* Tue Mar 22 2022 tiwai@suse.de
- ALSA: kABI workaround for snd_pcm_runtime changes (CVE-2022-1048
  bsc#1197331).
- commit 15a1bad
* Tue Mar 22 2022 lhenriques@suse.de
- fuse: handle kABI change in struct fuse_args (bsc#1197343
  CVE-2022-1011).
- fuse: fix pipe buffer lifetime for direct_io (bsc#1197343
  CVE-2022-1011).
- commit 879fc92
* Tue Mar 22 2022 tbogendoerfer@suse.de
- iavf: Fix hang during reboot/shutdown (jsc#SLE-18385).
- net: handle ARPHRD_PIMREG in dev_is_mac_header_xmit()
  (git-fixes).
- iavf: Fix double free in iavf_reset_task (jsc#SLE-18385).
- ice: fix NULL pointer dereference in
  ice_update_vsi_tx_ring_stats() (jsc#SLE-18375).
- net/mlx5e: Lag, Only handle events from highest priority
  multipath entry (git-fixes).
- net/mlx5: Fix a race on command flush flow (git-fixes).
- net/mlx5: Fix size field in bufferx_reg struct (git-fixes).
- ice: Fix curr_link_speed advertised speed (git-fixes).
- ice: Don't use GFP_KERNEL in atomic context (git-fixes).
- qed: return status of qed_iov_get_link (git-fixes).
- net: qlogic: check the return value of dma_alloc_coherent()
  in qed_vf_hw_prepare() (git-fixes).
- RDMA/cma: Do not change route.addr.src_addr outside state checks
  (git-fixes).
- RDMA/ib_srp: Fix a deadlock (git-fixes).
- RDMA/rtrs-clt: Move free_permit from free_clt to rtrs_clt_close
  (git-fixes).
- RDMA/rtrs-clt: Fix possible double free in error case
  (git-fixes).
- IB/qib: Fix duplicate sysfs directory name (git-fixes).
- commit b4c6170
* Tue Mar 22 2022 tiwai@suse.de
- media: omap3isp: Use struct_group() for memcpy() region
  (git-fixes).
- spi: Fix Tegra QSPI example (git-fixes).
- spi: spi-zynqmp-gqspi: Handle error for dma_set_mask
  (git-fixes).
- spi: pxa2xx-pci: Balance reference count for PCI DMA device
  (git-fixes).
- spi: tegra210-quad: Fix missin IRQ check in tegra_qspi_probe
  (git-fixes).
- spi: tegra114: Add missing IRQ check in tegra_spi_probe
  (git-fixes).
- regulator: qcom_smd: fix for_each_child.cocci warnings
  (git-fixes).
- hwrng: nomadik - Change clk_disable to clk_disable_unprepare
  (git-fixes).
- hwrng: atmel - disable trng on failure path (git-fixes).
- thermal: int340x: Increase bitmap size (git-fixes).
- thermal: int340x: Check for NULL after calling kmemdup()
  (git-fixes).
- PM: domains: Fix sleep-in-atomic bug caused by
  genpd_debug_remove() (git-fixes).
- PM: suspend: fix return value of __setup handler (git-fixes).
- PM: hibernate: fix __setup handler error handling (git-fixes).
- commit c705616
* Tue Mar 22 2022 tiwai@suse.de
- hwmon: (pmbus) Add Vin unit off handling (git-fixes).
- hwmon: (sch56xx-common) Replace WDOG_ACTIVE with WDOG_HW_RUNNING
  (git-fixes).
- hwmon: (pmbus) Add mutex to regulator ops (git-fixes).
- crypto: ccree - Fix use after free in cc_cipher_exit()
  (git-fixes).
- crypto: ccp - ccp_dmaengine_unregister release dma channels
  (git-fixes).
- crypto: cavium/nitrox - don't cast parameter in bit operations
  (git-fixes).
- crypto: vmx - add missing dependencies (git-fixes).
- crypto: engine - check if BH is disabled during completion
  (git-fixes).
- crypto: gemini - call finalize with bh disabled (git-fixes).
- crypto: amlogic - call finalize with bh disabled (git-fixes).
- commit 7b5cd0c
* Tue Mar 22 2022 tiwai@suse.de
- crypto: hisilicon/sec - fix the aead software fallback for
  engine (bsc#1198240).
- crypto: sun8i-ce - call finalize with bh disabled (git-fixes).
- crypto: sun8i-ss - call finalize with bh disabled (git-fixes).
- crypto: hisilicon/sec - fix the aead software fallback for
  engine (git-fixes).
- crypto: ccree - don't attempt 0 len DMA mappings (git-fixes).
- crypto: rockchip - ECB does not need IV (git-fixes).
- crypto: qat - don't cast parameter in bit operations
  (git-fixes).
- crypto: octeontx2 - remove CONFIG_DM_CRYPT check (git-fixes).
- crypto: mxs-dcp - Fix scatterlist processing (git-fixes).
- crypto: authenc - Fix sleep in atomic context in decrypt_tail
  (git-fixes).
- crypto: rsa-pkcs1pad - fix buffer overread in
  pkcs1pad_verify_complete() (git-fixes).
- crypto: rsa-pkcs1pad - restore signature length check
  (git-fixes).
- crypto: rsa-pkcs1pad - correctly get hash from source
  scatterlist (git-fixes).
- crypto: rsa-pkcs1pad - only allow with rsa (git-fixes).
- crypto: sun8i-ss - really disable hash on A80 (git-fixes).
- cpuidle: intel_idle: Update intel_idle() kerneldoc comment
  (git-fixes).
- ACPI: docs: enumeration: Amend PWM enumeration ASL example
  (git-fixes).
- ACPI: docs: enumeration: Remove redundant .owner assignment
  (git-fixes).
- ACPI: docs: enumeration: Update UART serial bus resource
  documentation (git-fixes).
- ACPI: docs: enumeration: Discourage to use custom _DSM methods
  (git-fixes).
- ACPI: APEI: fix return value of __setup handlers (git-fixes).
- clocksource: acpi_pm: fix return value of __setup handler
  (git-fixes).
- ACPI: properties: Consistently return -ENOENT if there are no
  more references (git-fixes).
- clocksource/drivers/timer-of: Check return value of of_iomap
  in timer_of_base_init() (git-fixes).
- clocksource/drivers/timer-microchip-pit64b: Use notrace
  (git-fixes).
- clocksource/drivers/timer-ti-dm: Fix regression from errata
  i940 fix (git-fixes).
- arm64: signal: nofpsimd: Do not allocate fp/simd context when
  not available (git-fixes).
- arm64/mm: avoid fixmap race condition when create pud mapping
  (git-fixes).
- arm64: prevent instrumentation of bp hardening callbacks
  (git-fixes).
- commit 7a54f7c
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-Add-MEM_RDONLY-for-helper-args-that-are-pointers.patch
  Add info about context deviation from upstream.
- commit f8cba97
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-Replace-PTR_TO_XXX_OR_NULL-with-PTR_TO_XXX-PTR_M.patch
  Add info about context deviation from upstream.
- commit 1d085d3
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-Replace-RET_XXX_OR_NULL-with-RET_XXX-PTR_MAYBE_N.patch
  Add info about context deviation from upstream.
- commit e44090b
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-Replace-ARG_XXX_OR_NULL-with-ARG_XXX-PTR_MAYBE_N.patch
  Add info about context deviation from upstream.
- commit da99102
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-Introduce-composable-reg-ret-and-arg-types.patch
  Add info on context deviation from upstream.
- commit aa0e1a6
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- Refresh
  patches.suse/bpf-Generalize-check_ctx_reg-for-reuse-with-other-ty.patch
  Add info about context deviation from upstream.
- commit 2d1de22
* Tue Mar 22 2022 shung-hsi.yu@suse.com
- bpf: Fix crash due to out of bounds access into reg2btf_ids (git-fixes
  bsc#1194111 bsc#1194765 bsc#1196261 CVE-2021-4204 CVE-2022-0500
  CVE-2022-23222).
- commit 8bc21d0
* Tue Mar 22 2022 neilb@suse.de
- NFS: Do not report writeback errors in nfs_getattr()
  (git-fixes).
- NFS: Remove an incorrect revalidation in
  nfs4_update_changeattr_locked() (git-fixes).
- NFS: Ensure the server has an up to date ctime before renaming
  (git-fixes).
- commit 87a7953
* Mon Mar 21 2022 ddiss@suse.de
- watch_queue: Make comment about setting ->defunct more accurate
  (CVE-2022-0995 bsc#1197246).
- watch_queue: Fix lack of barrier/sync/lock between post and read
  (CVE-2022-0995 bsc#1197246).
- watch_queue: Free the alloc bitmap when the watch_queue is
  torn down (CVE-2022-0995 bsc#1197246).
- watch_queue: Fix the alloc bitmap size to reflect notes
  allocated (CVE-2022-0995 bsc#1197246).
- watch_queue: Use the bitmap API when applicable (CVE-2022-0995
  bsc#1197246).
- watch_queue: Fix to always request a pow-of-2 pipe ring size
  (CVE-2022-0995 bsc#1197246).
- watch_queue: Fix to release page in ->release() (CVE-2022-0995
  bsc#1197246).
- watch_queue, pipe: Free watchqueue state after clearing pipe
  ring (CVE-2022-0995 bsc#1197246).
- watch_queue: Fix filter limit check (CVE-2022-0995 bsc#1197246).
- commit 223dbc3
* Mon Mar 21 2022 dmueller@suse.com
- rpm/constraints.in: skip SLOW_DISK workers for kernel-source
- commit e84694f
* Mon Mar 21 2022 msuchanek@suse.de
- macros.kernel-source: Fix conditional expansion.
  Fixes: bb95fef3cf19 ("rpm: Use bash for %%() expansion (jsc#SLE-18234).")
- commit 7e857f7
* Mon Mar 21 2022 msuchanek@suse.de
- ibmvnic: fix race between xmit and reset (bsc#1197302
  ltc#197259).
- commit c0ccfb9
* Mon Mar 21 2022 mgorman@suse.de
- blacklist.conf: Remove blacklist entries that are included in the tree via -stable
  These are preventing an update of SLE 15 SP4 RT due to a commit trigger.
  blacklisted: fb8c3a3c52400512fc8b3b61150057b888c30b0d
  Applied by:  patches.suse/ath5k-fix-building-with-LEDS-m.patch
  blacklisted: 435b08ec0094ac1e128afe6cfd0d9311a8c617a7
  Applied by:  patches.suse/bpf-test-cgroup-Use-sk_-alloc-free-for-test-cases.patch
  blacklisted: 27730c8cd60d1574d8337276e7a9d7d2ca92e0d1
  Applied by:  patches.suse/perf-script-Fix-PERF_SAMPLE_WEIGHT_STRUCT-support.patch
- commit 1f2accf
* Mon Mar 21 2022 msuchanek@suse.de
- Update config files (bsc#1195926 bsc#1175667).
  VIRTIO_PCI=m -> VIRTIO_PCI=y
- commit 899511b
* Sun Mar 20 2022 bp@suse.de
- Update patches.suse/mm-khugepaged-skip-huge-page-collapse-for-special-fi.patch
  (stable-5.14.16 bsc#1193983 CVE-2021-4148).
- commit 6200b3c
* Sun Mar 20 2022 tiwai@suse.de
- usb: gadget: Fix use-after-free bug by not setting
  udc->dev.driver (git-fixes).
- usb: gadget: rndis: prevent integer overflow in
  rndis_set_response() (git-fixes).
- drm/vrr: Set VRR capable prop only if it is attached to
  connector (git-fixes).
- nl80211: Update bss channel on channel switch for P2P_CLIENT
  (git-fixes).
- iwlwifi: don't advertise TWT support (git-fixes).
- mac80211: refuse aggregations sessions before authorized
  (git-fixes).
- atm: firestream: check the return value of ioremap() in
  fs_init() (git-fixes).
- can: rcar_canfd: rcar_canfd_channel_probe(): register the CAN
  device when fully ready (git-fixes).
- ARM: 9178/1: fix unmet dependency on BITREVERSE for
  HAVE_ARCH_BITREVERSE (git-fixes).
- ARM: dts: rockchip: fix a typo on rk3288 crypto-controller
  (git-fixes).
- ARM: dts: rockchip: reorder rk322x hmdi clocks (git-fixes).
- arm64: dts: rockchip: reorder rk3399 hdmi clocks (git-fixes).
- arm64: dts: rockchip: align pl330 node name with dtschema
  (git-fixes).
- arm64: dts: rockchip: fix rk3399-puma eMMC HS400 signal
  integrity (git-fixes).
- arm64: dts: rockchip: fix rk3399-puma-haikou USB OTG mode
  (git-fixes).
- arm64: dts: agilex: use the compatible
  "intel,socfpga-agilex-hsotg" (git-fixes).
- commit 8f6b7bc
* Sat Mar 19 2022 msuchanek@suse.de
- rpm: Use bash for %%() expansion (jsc#SLE-18234).
  Since 15.4 alternatives for /bin/sh are provided by packages
  <something>-sh. While the interpreter for the build script can be
  selected the interpreter for %%() cannot.
  The kernel spec files use bashisms in %%().
  While this could technically be fixed there is more serious underlying
  problem: neither bash nor any of the alternatives are 100%% POSIX
  compliant nor bug-free.
  It is not my intent to maintain bug compatibility with any number of
  shells for shell scripts embedded in the kernel spec file. The spec file
  syntax is not documented so embedding the shell script in it causes some
  unspecified transformation to be applied to it. That means that
  ultimately any changes must be tested by building the kernel, n times if
  n shells are supported.
  To reduce maintenance effort require that bash is used for kernel build
  always.
- commit bb95fef
* Sat Mar 19 2022 msuchanek@suse.de
- powerpc/bpf: Update ldimm64 instructions during extra pass
  (bsc#1194869).
- commit 45a01a1
* Sat Mar 19 2022 tiwai@suse.de
- drm/panel: simple: Fix Innolux G070Y2-L01 BPP settings
  (git-fixes).
- drm/imx: parallel-display: Remove bus flags check in
  imx_pd_bridge_atomic_check() (git-fixes).
- commit e115c05
* Sat Mar 19 2022 tiwai@suse.de
- HID: multitouch: fix Dell Precision 7550 and 7750 button type
  (bsc#1197243).
- commit 976f997
* Fri Mar 18 2022 mbenes@suse.cz
- kprobes: Add kretprobe_find_ret_addr() for searching return
  address (bsc#1193277).
- commit 23e8a22
* Fri Mar 18 2022 mbenes@suse.cz
- kprobes: treewide: Make it harder to refer kretprobe_trampoline
  directly (bsc#1193277).
- commit a812a07
* Fri Mar 18 2022 ohering@suse.de
- arm64: PCI: Support root bridge preparation for Hyper-V
  (bsc#1197291).
- arm64: PCI: Restructure pcibios_root_bridge_prepare()
  (bsc#1197291).
- commit 060e164
* Fri Mar 18 2022 lhenriques@suse.de
- fuse: fix fileattr op failure (bsc#1197292).
- commit f14130a
* Thu Mar 17 2022 tiwai@suse.de
- Update patch reference for vpda fix (CVE-2022-0998 bsc#1197247)
- commit 39fa540
* Thu Mar 17 2022 tiwai@suse.de
- vdpa: clean up get_config_size ret value handling (CVE-2022-0998
  bsc#1197247).
- commit c787e8b
* Thu Mar 17 2022 tiwai@suse.de
- Update patch reference for USB gadget fix (CVE-2022-27223 bsc#1197245)
- commit 251a2e6
* Thu Mar 17 2022 oneukum@suse.com
- net: usb: ax88179_178a: Fix out-of-bounds accesses in RX fixup
  (bsc#1196018).
- commit 6dcb47f
* Thu Mar 17 2022 tiwai@suse.de
- aio: Fix incorrect usage of eventfd_signal_allowed()
  (git-fixes).
- commit c768141
* Thu Mar 17 2022 tiwai@suse.de
- arm64: dts: qcom: sm8350: Correct UFS symbol clocks (git-fixes).
- gpio: Return EPROBE_DEFER if gc->to_irq is NULL (git-fixes).
- spi: rockchip: terminate dma transmission when slave abort
  (git-fixes).
- spi: rockchip: Fix error in getting num-cs property (git-fixes).
- usb: dwc3: pci: add support for the Intel Raptor Lake-S
  (git-fixes).
- drm/amdgpu: bypass tiling flag check in virtual display case
  (v2) (git-fixes).
- PCI: Mark all AMD Navi10 and Navi14 GPU ATS as broken
  (git-fixes).
- hwmon: (pmbus) Clear pmbus fault/warning bits after read
  (git-fixes).
- arm64: dts: qcom: sm8350: Describe GCC dependency clocks
  (git-fixes).
- commit 0ad5f72
* Wed Mar 16 2022 msuchanek@suse.de
- rpm: Run external scriptlets on uninstall only when available
  (bsc#1196514 bsc#1196114 bsc#1196942).
  When dependency cycles are encountered package dependencies may not be
  fulfilled during zypper transaction at the time scriptlets are run.
  This is a problem for kernel scriptlets provided by suse-module-tools
  when migrating to a SLE release that provides these scriptlets only as
  part of LTSS. The suse-module-tools that provides kernel scriptlets may
  be removed early causing migration to fail.
- commit ab8dd2d
* Wed Mar 16 2022 oneukum@suse.com
- sr9700: sanity check for packet length (bsc#1196836
  CVE-2022-26966).
- commit 56eea34
* Wed Mar 16 2022 dmueller@suse.com
- rpm/*.spec.in: remove backtick usage
- commit 87ca1fb
* Wed Mar 16 2022 vbabka@suse.cz
- Update kabi files.
  Update to reflect the changes from bpf CVE fixes.
- commit 993b084
* Wed Mar 16 2022 bp@suse.de
- x86/module: Fix the paravirt vs alternative order (bsc#1190497).
- commit 646c90c
* Wed Mar 16 2022 msuchanek@suse.de
- rpm: SC2006: Use $(...) notation instead of legacy backticked `...`.
- commit f0d0e90
* Wed Mar 16 2022 dwagner@suse.de
- nvme-rdma: fix possible use-after-free in transport
  error_recovery work (bsc#1193787 bsc#1197146 bsc#1193554).
  Refresh:
  - patches.suse/0006-nvme-Implement-In-Band-authentication.patch
- nvme-tcp: fix possible use-after-free in transport
  error_recovery work (bsc#1193787 bsc#1197146 bsc#1193554).
  Refresh:
  - patches.suse/0006-nvme-Implement-In-Band-authentication.patch
- nvme: fix a possible use-after-free in controller reset during
  load (bsc#1193787 bsc#1197146 bsc#1193554).
- nvme-fabrics: ignore invalid fast_io_fail_tmo values
  (bsc#1193787 bsc#1197146 bsc#1193554).
- nvme-tcp: fix memory leak when freeing a queue (bsc#1193787
  bsc#1197146 bsc#1193554).
- nvme-tcp: validate R2T PDU in nvme_tcp_handle_r2t() (bsc#1193787
  bsc#1197146 bsc#1193554).
- blk-mq: don't free tags if the tag_set is used by other device
  in queue initialztion (bsc#1193787 bsc#1197146 bsc#1193554).
- commit 4ccb78c
* Wed Mar 16 2022 dwagner@suse.de
- series: Resort entries
  The series is not sorted which makes qdoit unhappy. Sort it.
- commit ce701de
* Tue Mar 15 2022 bp@suse.de
- x86/boot: Fix memremap of setup_indirect structures
  (bsc#1190497).
- commit 231bfb2
* Tue Mar 15 2022 bp@suse.de
- x86/boot: Add setup_indirect support in
  early_memremap_is_setup_data() (bsc#1190497).
- commit 6874f7f
* Tue Mar 15 2022 bp@suse.de
- x86/traps: Mark do_int3() NOKPROBE_SYMBOL (bsc#1190497).
- commit f088cf6
* Tue Mar 15 2022 mkubecek@suse.cz
- esp: Fix possible buffer overflow in ESP transformation
  (CVE-2022-0886 bsc#1197131).
- sock: remove one redundant SKB_FRAG_PAGE_ORDER macro
  (CVE-2022-0886 bsc#1197131).
- commit fa4075e
* Tue Mar 15 2022 mkubecek@suse.cz
- ipv6: fix skb drops in igmp6_event_query() and
  igmp6_event_report() (CVE-2022-0742 bsc#1197128).
- commit b531b26
* Tue Mar 15 2022 tiwai@suse.de
- aio: fix use-after-free due to missing POLLFREE handling
  (CVE-2021-39698 bsc#1196956).
- aio: keep poll requests on waitqueue until completed
  (CVE-2021-39698 bsc#1196956).
- signalfd: use wake_up_pollfree() (CVE-2021-39698 bsc#1196956).
- binder: use wake_up_pollfree() (CVE-2021-39698 bsc#1196956).
- wait: add wake_up_pollfree() (CVE-2021-39698 bsc#1196956).
- commit ee17f5c
* Tue Mar 15 2022 tiwai@suse.de
- net/smc: Fix hung_task when removing SMC-R devices
  (bsc#1197082).
- commit 5256139
* Tue Mar 15 2022 jroedel@suse.de
- Refresh patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  Update number of SETUP_EFI_SECRET_KEY from 7 to 16 to make
  room for future upstream patches taking numbers from 7
  upwards, as discussed with Joey Lee.
- commit cd78c9f
* Tue Mar 15 2022 jroedel@suse.de
- kabi/severities: Ignore arch/x86/kvm except for kvm_x86_ops
  Handle this like in previous SLE kernels.
- commit 77e00d5
* Tue Mar 15 2022 dmueller@suse.com
- rpm/kernel-source.spec.in: call fdupes per subpackage
  It is a waste of time to do a global fdupes when we have
  subpackages.
- commit 1da8439
* Mon Mar 14 2022 tonyj@suse.de
- bpf, selftests: Add test case trying to taint map value pointer
  (bsc#1196130,CVE-2021-45402).
- bpf: Make 32->64 bounds propagation slightly more robust
  (bsc#1196130,CVE-2021-45402).
- bpf: Fix signed bounds propagation after mov32
  (bsc#1196130,CVE-2021-45402).
- commit 04987fb
* Mon Mar 14 2022 oneukum@suse.com
- kABI: fix rndis_parameters locking (git-fixes).
- commit b56edcd
* Mon Mar 14 2022 mbenes@suse.cz
- tracing/osnoise: Force quiescent states while tracing
  (git-fixes).
- commit 1b74679
* Mon Mar 14 2022 oneukum@suse.com
- usb: gadget: rndis: add spinlock for rndis response list
  (git-fixes).
- commit 0d97063
* Mon Mar 14 2022 jroedel@suse.de
- Refresh patches.suse/x86-kvm-add-guest-support-for-detecting-and-enabling-sev-live-migration-feature
- Refresh patches.suse/x86-sev-move-common-memory-encryption-code-to-mem_encrypt-c
- Refresh patches.suse/x86-sev-rename-mem_encrypt-c-to-mem_encrypt_amd-c
  Bring patches.suse/x86-kvm-add-guest-support-for-detecting-and-enabling-sev-live-migration-feature
  closer to upstream to avoid future conflicts. Update other patches as
  required by this.
- commit 8b29535
* Mon Mar 14 2022 tbogendoerfer@suse.de
- net/mlx5e: SHAMPO, reduce TIR indication (jsc#SLE-19253).
- net/mlx5: Fix offloading with ESWITCH_IPV4_TTL_MODIFY_ENABLE
  (jsc#SLE-19253).
- i40e: stop disabling VFs due to PF error responses
  (jsc#SLE-18378).
- iavf: Fix handling of vlan strip virtual channel messages
  (jsc#SLE-18385).
- commit 81cb0af
* Sat Mar 12 2022 bp@suse.de
- x86/MCE/AMD: Allow thresholding interface updates after init
  (bsc#1190497).
- commit 8e490b2
* Sat Mar 12 2022 tiwai@suse.de
- mmc: meson: Fix usage of meson_mmc_post_req() (git-fixes).
- drm/sun4i: mixer: Fix P010 and P210 format numbers (git-fixes).
- slip: fix macro redefine warning (git-fixes).
- commit 7dc768d
* Fri Mar 11 2022 bp@suse.de
- x86/cpu: Add Xeon Icelake-D to list of CPUs that support PPIN
  (bsc#1190497).
- commit 8f9c7a1
* Fri Mar 11 2022 tonyj@suse.de
- bpf, selftests: Add test case trying to taint map value pointer
  (bsc#1196130,CVE-2021-45402).
- bpf: Make 32->64 bounds propagation slightly more robust
  (bsc#1196130,CVE-2021-45402).
- bpf: Fix signed bounds propagation after mov32
  (bsc#1196130,CVE-2021-45402).
- commit a54f4ff
* Fri Mar 11 2022 tiwai@suse.de
- Update patch reference for virtio BT fix (CVE-2022-26878 bsc#1197035)
- commit a9d561c
* Fri Mar 11 2022 tiwai@suse.de
- net: phy: DP83822: clear MISR2 register to disable interrupts
  (git-fixes).
- gianfar: ethtool: Fix refcount leak in gfar_get_ts_info
  (git-fixes).
- NFC: port100: fix use-after-free in port100_send_complete
  (git-fixes).
- ax25: Fix NULL pointer dereference in ax25_kill_by_device
  (git-fixes).
- isdn: hfcpci: check the return value of dma_set_mask() in
  setup_hw() (git-fixes).
- mISDN: Fix memory leak in dsp_pipeline_build() (git-fixes).
- net: phy: meson-gxl: fix interrupt handling in forced mode
  (git-fixes).
- staging: rtl8723bs: Fix access-point mode deadlock (git-fixes).
- staging: gdm724x: fix use after free in gdm_lte_rx()
  (git-fixes).
- arm64: dts: marvell: armada-37xx: Remap IO space to bus address
  0x0 (git-fixes).
- ARM: dts: aspeed: Fix AST2600 quad spi group (git-fixes).
- arm64: dts: armada-3720-turris-mox: Add missing ethernet0 alias
  (git-fixes).
- ARM: boot: dts: bcm2711: Fix HVS register range (git-fixes).
- gpio: ts4900: Do not set DAT and OE together (git-fixes).
- gpiolib: acpi: Convert ACPI value of debounce to microseconds
  (git-fixes).
- commit 1341b7c
* Thu Mar 10 2022 mbenes@suse.cz
- x86/kprobes: Fixup return address in generic trampoline handler
  (bsc#1193277).
- commit b18f008
* Thu Mar 10 2022 mbenes@suse.cz
- tracing: Show kretprobe unknown indicator only for
  kretprobe_trampoline (bsc#1193277).
- commit 6463ef3
* Thu Mar 10 2022 mbenes@suse.cz
- x86/unwind: Recover kretprobe trampoline entry (bsc#1193277).
- commit 764dcf8
* Thu Mar 10 2022 mbenes@suse.cz
- x86/kprobes: Push a fake return address at kretprobe_trampoline
  (bsc#1193277).
- commit 530a7dd
* Thu Mar 10 2022 mbenes@suse.cz
- kprobes: Enable stacktrace from pt_regs in kretprobe handler
  (bsc#1193277).
- commit 9d51706
* Thu Mar 10 2022 mbenes@suse.cz
- arm: kprobes: Make space for instruction pointer on stack
  (bsc#1193277).
- commit 9a408f3
* Thu Mar 10 2022 bp@suse.de
- EDAC: Fix calculation of returned address and next offset in
  edac_align_ptr() (bsc#1190497).
- commit 309553d
* Thu Mar 10 2022 bp@suse.de
- x86/ptrace: Fix xfpregs_set()'s incorrect xmm clearing
  (bsc#1190497).
- commit be27a82
* Thu Mar 10 2022 jgross@suse.com
- xen/netfront: react properly to failing
  gnttab_end_foreign_access_ref() (bsc#1196488, XSA-396,
  CVE-2022-23042).
- commit 095b89a
* Thu Mar 10 2022 jgross@suse.com
- xen/gnttab: fix gnttab_end_foreign_access() without page
  specified (bsc#1196488, XSA-396, CVE-2022-23041).
- commit 20b7983
* Thu Mar 10 2022 jgross@suse.com
- xen/pvcalls: use alloc/free_pages_exact() (bsc#1196488,
  XSA-396, CVE-2022-23041).
- commit d56d4c6
* Thu Mar 10 2022 jgross@suse.com
- xen/9p: use alloc/free_pages_exact() (bsc#1196488, XSA-396,
  CVE-2022-23041).
- commit b08fc02
* Thu Mar 10 2022 jgross@suse.com
- xen/usb: don't use gnttab_end_foreign_access() in
  xenhcd_gnttab_done() (bsc#1196488, XSA-396).
- commit 4198f6f
* Thu Mar 10 2022 jgross@suse.com
- xen/gntalloc: don't use gnttab_query_foreign_access()
  (bsc#1196488, XSA-396, CVE-2022-23039).
- commit 2239263
* Thu Mar 10 2022 jgross@suse.com
- xen/scsifront: don't use gnttab_query_foreign_access() for
  mapped status (bsc#1196488, XSA-396, CVE-2022-23038).
- commit 95b1b12
* Thu Mar 10 2022 jgross@suse.com
- xen/netfront: don't use gnttab_query_foreign_access() for
  mapped status (bsc#1196488, XSA-396, CVE-2022-23037).
- commit aabdf93
* Thu Mar 10 2022 jgross@suse.com
- xen/blkfront: don't use gnttab_query_foreign_access() for
  mapped status (bsc#1196488, XSA-396, CVE-2022-23036).
- commit d12d408
* Thu Mar 10 2022 jgross@suse.com
- xen/grant-table: add gnttab_try_end_foreign_access()
  (bsc#1196488, XSA-396, CVE-2022-23036, CVE-2022-23038).
- commit 4da4210
* Thu Mar 10 2022 bp@suse.de
- EDAC/altera: Fix deferred probing (bsc#1190497).
- commit 054e83a
* Thu Mar 10 2022 jgross@suse.com
- xen/xenbus: don't let xenbus_grant_ring() remove grants in
  error case (bsc#1196488, XSA-396, CVE-2022-23040).
- commit 93f9570
* Thu Mar 10 2022 jroedel@suse.de
- iommu/vt-d: Fix double list_add when enabling VMD in scalable mode (bsc#1196894).
- commit 8aad886
* Thu Mar 10 2022 dmueller@suse.com
- rpm/arch-symbols,guards,*driver: Replace Novell with SUSE.
- commit 174a64f
* Thu Mar 10 2022 tiwai@suse.de
- drm/vc4: hdmi: Make sure the device is powered with CEC
  (git-fixes).
- drm/vc4: hdmi: Split the CEC disable / enable functions in two
  (git-fixes).
- commit 771d37d
* Thu Mar 10 2022 tiwai@suse.de
- Add cherry-picked IDs to DRM patches
- commit cf6526e
* Thu Mar 10 2022 ptesarik@suse.cz
- s390/cio: verify the driver availability for path_event call
  (bsc#1195927 LTC#196420).
- scsi: zfcp: Fix failed recovery on gone remote port with
  non-NPIV FCP devices (bsc#1195376 LTC#196087).
- s390/hypfs: include z/VM guests with access control group set
  (bsc#1195639 LTC#196353).
- s390/cpumf: Support for CPU Measurement Sampling Facility LS
  bit (bsc#1195082 LTC#196087).
- s390/cpumf: Support for CPU Measurement Facility CSVN 7
  (bsc#1195082 LTC#196087).
- s390/pci: move pseudo-MMIO to prevent MIO overlap (bsc#1194966
  LTC#196029).
- s390/pci: add s390_iommu_aperture kernel parameter (bsc#1193244
  LTC#195546).
- s390/uv: de-duplicate checks for Protected Host Virtualization
  (bsc#1191740 LTC#194817).
- s390/boot: disable Secure Execution in dump mode (bsc#1191740
  LTC#194817).
- s390/boot: move uv function declarations to boot/uv.h
  (bsc#1191740 LTC#194817).
- commit 4d8f983
* Thu Mar 10 2022 jgross@suse.com
- usb: host: xen-hcd: add missing unlock in error path
  (git-fixes).
- commit 3e3ceb8
* Thu Mar 10 2022 jgross@suse.com
- Refresh
  patches.suse/0002-usb-Introduce-Xen-pvUSB-frontend-xen-hcd.patch.
- commit 11235e2
* Thu Mar 10 2022 jgross@suse.com
- Refresh
  patches.suse/0001-usb-Add-Xen-pvUSB-protocol-description.patch.
- commit 1ed63ba
* Thu Mar 10 2022 dmueller@suse.com
- rpm/kernel-docs.spec.in: use %%%%license for license declarations
  Limited to SLE15+ to avoid compatibility nightmares.
- commit 73d560e
* Thu Mar 10 2022 tiwai@suse.de
- arm64: Do not include __READ_ONCE() block in assembly files
  (git-fixes).
- HID: vivaldi: fix sysfs attributes leak (git-fixes).
- HID: hid-thrustmaster: fix OOB read in thrustmaster_interrupts
  (git-fixes).
- arm64: kasan: fix include error in MTE functions (git-fixes).
- commit 5be8bf8
* Wed Mar  9 2022 dmueller@suse.com
- rpm/*.spec.in: Use https:// urls
- commit 77b5f8e
* Wed Mar  9 2022 lduncan@suse.com
- scsi: bnx2fc: Make bnx2fc_recv_frame() mp safe (git-fixes
  bsc#1196746).
- scsi: bnx2fc: Flush destroy_work queue before calling
  bnx2fc_interface_put() (git-fixes bsc#1196746).
- commit 8ac4c67
* Wed Mar  9 2022 mbenes@suse.cz
- x86/kprobes: Add UNWIND_HINT_FUNC on kretprobe_trampoline()
  (bsc#1193277).
- commit e10650c
* Wed Mar  9 2022 mbenes@suse.cz
- objtool: Ignore unwind hints for ignored functions
  (bsc#1193277).
- commit d02af4d
* Wed Mar  9 2022 mbenes@suse.cz
- objtool: Add frame-pointer-specific function ignore
  (bsc#1193277).
- commit a01d77e
* Wed Mar  9 2022 mbenes@suse.cz
- kprobes: treewide: Cleanup the error messages for kprobes
  (bsc#1193277).
- commit 80cb641
* Wed Mar  9 2022 mbenes@suse.cz
- kprobes: treewide: Remove trampoline_address from
  kretprobe_trampoline_handler() (bsc#1193277).
- commit e002527
* Wed Mar  9 2022 mbenes@suse.cz
- kprobes: treewide: Replace arch_deref_entry_point() with
  dereference_symbol_descriptor() (bsc#1193277).
- commit 08196a4
* Wed Mar  9 2022 mbrugger@suse.com
- ARM: fix build error when BPF_SYSCALL is disabled (bsc#1085308
  CVE-2022-23960).
- ARM: include unprivileged BPF status in Spectre V2 reporting
  (bsc#1085308 CVE-2022-23960).
- commit 2b85b07
* Wed Mar  9 2022 mbrugger@suse.com
- ARM: Spectre-BHB workaround (bsc#1085308 CVE-2022-23960).
- Update config files.
- commit 214f301
* Wed Mar  9 2022 mbrugger@suse.com
- ARM: use LOADADDR() to get load address of sections (bsc#1085308
  CVE-2022-23960).
- ARM: early traps initialisation (bsc#1085308 CVE-2022-23960).
- ARM: report Spectre v2 status through sysfs (bsc#1085308
  CVE-2022-23960).
- commit 20f8a99
* Wed Mar  9 2022 mbenes@suse.cz
- kprobes: treewide: Use 'kprobe_opcode_t *' for the code address
  in get_optimized_kprobe() (bsc#1193277).
- commit dd47f7b
* Wed Mar  9 2022 dwagner@suse.de
- nvme-multipath: use vmalloc for ANA log buffer (bsc#1193787 bsc#1197146 bsc#1193554).
- nvme-multipath: use vmalloc for ANA log buffer (bsc#1193787).
- commit 68439a4
* Wed Mar  9 2022 oneukum@suse.com
- blacklist.conf: cleanup breaking kABI
- commit a79d591
* Wed Mar  9 2022 oneukum@suse.com
- blacklist.conf: cleanup breaking kABI
- commit ec5c72f
* Wed Mar  9 2022 oneukum@suse.com
- blacklist.conf: cleanup breaking kABI
- commit c887153
* Wed Mar  9 2022 oneukum@suse.com
- blacklist.conf: cleanup breaking kABI
- commit d93970a
* Wed Mar  9 2022 mbrugger@suse.com
- arm64: proton-pack: Include unprivileged eBPF status in
  Spectre v2 mitigation reporting (bsc#1085308 CVE-2022-23960
  CVE-2022-0001 CVE-2022-0002).
- arm64: Use the clearbhb instruction in mitigations (bsc#1085308
  CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- KVM: arm64: Allow SMCCC_ARCH_WORKAROUND_3 to be discovered
  and migrated (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- commit 52f56e7
* Wed Mar  9 2022 mbrugger@suse.com
- arm64: Mitigate spectre style branch history side channels
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- Update config files.
- Refresh
  patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 1403b73
* Wed Mar  9 2022 mbrugger@suse.com
- arm64: proton-pack: Report Spectre-BHB vulnerabilities as
  part of Spectre-v2 (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- arm64: Add percpu vectors for EL1 (bsc#1085308 CVE-2022-23960
  CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Add macro for reading symbol addresses from
  the trampoline (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- arm64: entry: Add vectors that have the bhb mitigation sequences
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Add non-kpti __bp_harden_el1_vectors for
  mitigations (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- arm64: entry: Allow the trampoline text to occupy multiple pages
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Make the kpti trampoline's kpti sequence optional
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Move trampoline macros out of ifdef'd section
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Don't assume tramp_vectors is the start
  of the vectors (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- arm64: entry: Allow tramp_alias to access symbols after
  the 4K boundary (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- arm64: entry: Move the trampoline data page before the text page
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Free up another register on kpti's tramp_exit path
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry: Make the trampoline cleanup optional (bsc#1085308
  CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- KVM: arm64: Allow indirect vectors to be used without
  SPECTRE_V3A (bsc#1085308 CVE-2022-23960 CVE-2022-0001
  CVE-2022-0002).
- arm64: spectre: Rename spectre_v4_patch_fw_mitigation_conduit
  (bsc#1085308 CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- arm64: entry.S: Add ventry overflow sanity checks (bsc#1085308
  CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- commit 39b0cd1
* Wed Mar  9 2022 mbrugger@suse.com
- arm64: Add Cortex-X2 CPU part definition (bsc#1085308
  CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- Refresh
  patches.suse/arm64-Add-Cortex-A510-CPU-part-definition.patch.
- commit 1489419
* Wed Mar  9 2022 mbrugger@suse.com
- arm64: add ID_AA64ISAR2_EL1 sys register (bsc#1085308
  CVE-2022-23960 CVE-2022-0001 CVE-2022-0002).
- commit 76b95f9
* Wed Mar  9 2022 bp@suse.de
- x86/speculation: Warn about eIBRS + LFENCE + Unprivileged eBPF +
  SMT (bsc#1191580 CVE-2022-0001 CVE-2022-0002).
- commit 0161c6c
* Wed Mar  9 2022 bp@suse.de
- x86/speculation: Warn about Spectre v2 LFENCE mitigation
  (bsc#1191580 CVE-2022-0001 CVE-2022-0002).
- commit 8114d57
* Wed Mar  9 2022 bp@suse.de
- x86/speculation: Use generic retpoline by default on AMD
  (bsc#1191580 CVE-2022-0001 CVE-2022-0002).
- commit e9a2f46
* Wed Mar  9 2022 bp@suse.de
- x86/speculation: Include unprivileged eBPF status in Spectre v2
  mitigation reporting (bsc#1191580 CVE-2022-0001 CVE-2022-0002).
- commit 8400263
* Wed Mar  9 2022 tiwai@suse.de
- Bluetooth: btusb: Add missing Chicony device for Realtek
  RTL8723BE (bsc#1196779).
- commit a5449ea
* Wed Mar  9 2022 bp@suse.de
- Documentation/hw-vuln: Update spectre doc (bsc#1191580
  CVE-2022-0001 CVE-2022-0002).
- commit bc2948e
* Wed Mar  9 2022 bp@suse.de
- x86/speculation: Add eIBRS + Retpoline options (bsc#1191580
  CVE-2022-0001 CVE-2022-0002).
- commit 6e19c5a
* Wed Mar  9 2022 bp@suse.de
- x86/speculation: Rename RETPOLINE_AMD to RETPOLINE_LFENCE
  (bsc#1191580 CVE-2022-0001 CVE-2022-0002).
- commit 2a3d074
* Wed Mar  9 2022 tiwai@suse.de
- drm/i915: Fix mbus join config lookup (git-fixes bsc#1193640).
- drm/i915: Fix dbuf slice config lookup (git-fixes bsc#1193640).
- drm/i915: Workaround broken BIOS DBUF configuration on TGL/RKL
  (bsc#1193640).
- drm/i915: Populate pipe dbuf slices more accurately during
  readout (bsc#1193640).
- drm/i915: Allow !join_mbus cases for adlp+ dbuf configuration
  (bsc#1193640).
- commit e87e53d
* Wed Mar  9 2022 tiwai@suse.de
- PCI: mvebu: Fix support for bus mastering and PCI_COMMAND on
  emulated bridge (git-fixes).
- Refresh
  patches.suse/PCI-mvebu-Do-not-modify-PCI-IO-type-bits-in-conf_wri.patch.
- commit 389addb
* Wed Mar  9 2022 tiwai@suse.de
- Input: elan_i2c - fix regulator enable count imbalance after
  suspend/resume (git-fixes).
- Input: elan_i2c - move regulator_[en|dis]able() out of
  elan_[en|dis]able_power() (git-fixes).
- Input: samsung-keypad - properly state IOMEM dependency
  (git-fixes).
- soc: fsl: guts: Add a missing memory allocation failure check
  (git-fixes).
- soc: fsl: guts: Revert commit 3c0d64e867ed (git-fixes).
- PCI: mvebu: Fix device enumeration regression (git-fixes).
- Input: clear BTN_RIGHT/MIDDLE on buttonpads (git-fixes).
- net: usb: cdc_mbim: avoid altsetting toggling for Telit FN990
  (git-fixes).
- mac80211_hwsim: initialize ieee80211_tx_info at hw_scan_work
  (git-fixes).
- mac80211_hwsim: report NOACK frames in tx_status (git-fixes).
- regulator: core: fix false positive in regulator_late_cleanup()
  (git-fixes).
- ntb_hw_switchtec: Fix bug with more than 32 partitions
  (git-fixes).
- ntb_hw_switchtec: Fix pff ioread to read into mmio_part_cfg_all
  (git-fixes).
- PCI: mvebu: Fix support for PCI_BRIDGE_CTL_BUS_RESET on emulated
  bridge (git-fixes).
- PCI: mvebu: Fix configuring secondary bus of PCIe Root Port
  via emulated bridge (git-fixes).
- PCI: mvebu: Setup PCIe controller to Root Complex mode
  (git-fixes).
- commit d5ec48e
* Wed Mar  9 2022 tiwai@suse.de
- HID: add mapping for KEY_ALL_APPLICATIONS (git-fixes).
- HID: add mapping for KEY_DICTATE (git-fixes).
- drm/amdgpu: fix suspend/resume hang regression (git-fixes).
- drm/amdgpu: check vm ready by amdgpu_vm->evicting flag
  (git-fixes).
- dmaengine: shdma: Fix runtime PM imbalance on error (git-fixes).
- i2c: bcm2835: Avoid clock stretching timeouts (git-fixes).
- ASoC: rt5682: do not block workqueue if card is unbound
  (git-fixes).
- ASoC: rt5668: do not block workqueue if card is unbound
  (git-fixes).
- drm/amd/pm: correct UMD pstate clocks for Dimgrey Cavefish
  and Beige Goby (git-fixes).
- drm/i915: Disable DRRS on IVB/HSW port != A (git-fixes).
- drm/amd/display: Update watermark values for DCN301 (git-fixes).
- hamradio: fix macro redefine warning (git-fixes).
- drm/mediatek: mtk_dsi: Reset the dsi0 hardware (git-fixes).
- drm/amd/display: Use adjusted DCN301 watermarks (git-fixes).
- drm/i915/display: Move DRRS code its own file (git-fixes).
- drm/i915/display: split out dpt out of intel_display.c
  (git-fixes).
- commit 6d1bad6
* Tue Mar  8 2022 oneukum@suse.com
- iwlwifi: mvm: don't crash on invalid rate w/o STA (git-fixes).
- commit c6f1f37
* Tue Mar  8 2022 mkoutny@suse.com
- cgroup/cpuset: Fix a race between cpuset_attach() and cpu
  hotplug (bsc#1196869).
- commit 20abbb1
* Tue Mar  8 2022 mkoutny@suse.com
- cgroup/cpuset: Fix "suspicious RCU usage" lockdep warning
  (bsc#1196868).
- commit ac61211
* Tue Mar  8 2022 oneukum@suse.com
- ipheth: fix EOVERFLOW in ipheth_rcvbulk_callback (git-fixes).
- commit 7ff92d6
* Tue Mar  8 2022 mkoutny@suse.com
- cpuset: Fix the bug that subpart_cpus updated wrongly in
  update_cpumask() (bsc#1196866).
- commit 3757e25
* Tue Mar  8 2022 tiwai@suse.de
- iwlwifi: pcie: add killer devices to the driver (bsc#1196802).
- iwlwifi: add new killer devices to the driver (bsc#1196802).
- commit 5e7d8b6
* Tue Mar  8 2022 tiwai@suse.de
- cpufreq: intel_pstate: Update EPP for AlderLake mobile
  (bsc#1196848).
- cpufreq: intel_pstate: ITMT support for overclocked system
  (bsc#1196849).
- commit 68d5eea
* Tue Mar  8 2022 tiwai@suse.de
- drm: Don't test for IRQ support in VBLANK ioctls (bsc#1195464).
- commit 0ef2c9a
* Tue Mar  8 2022 tiwai@suse.de
- lib/iov_iter: initialize "flags" in new pipe_buffer
  (CVE-2022-0847 bsc#1196584 git-fixes).
- commit 9682d38
* Tue Mar  8 2022 neilb@suse.de
- SUNRPC: avoid race between mod_timer() and del_timer_sync()
  (bnc#1195403).
- commit 378df3f
* Mon Mar  7 2022 oneukum@suse.com
- sr9700: sanity check for packet length (bsc#1196836).
- commit 93a1690
* Mon Mar  7 2022 mbenes@suse.cz
- tracing: Fix return value of __setup handlers (git-fixes).
- commit 70f4989
* Mon Mar  7 2022 mbenes@suse.cz
- tracing/histogram: Fix sorting on old "cpu" value (git-fixes).
- commit c9173be
* Mon Mar  7 2022 tiwai@suse.de
- nfc: st21nfca: Fix potential buffer overflows in EVT_TRANSACTION
  (CVE-2022-26490 bsc#1196830).
- commit b6213c4
* Mon Mar  7 2022 dwagner@suse.de
- nvme-tcp: fix possible use-after-free in transport
  error_recovery work (git-fixes).
  Refresh:
  - patches.suse/0006-nvme-Implement-In-Band-authentication.patch
- nvme: fix a possible use-after-free in controller reset during
  load (git-fixes).
- commit e6bcfd5
* Mon Mar  7 2022 tiwai@suse.de
- Update patch reference for iov security fix (CVE-2022-0847 bsc#1196584)
- commit 211dab3
* Mon Mar  7 2022 tbogendoerfer@suse.de
- ixgbe: xsk: change !netif_carrier_ok() handling in
  ixgbe_xmit_zc() (git-fixes).
- e1000e: Correct NVM checksum verification flow (bsc#1191663).
- e1000e: Fix possible HW unit hang after an s0ix exit
  (jsc#SLE-18382).
- igc: igc_write_phy_reg_gpy: drop premature return (git-fixes).
- igc: igc_read_phy_reg_gpy: drop premature return (git-fixes).
- iavf: Fix __IAVF_RESETTING state usage (jsc#SLE-18385).
- iavf: Fix missing check for running netdev (git-fixes).
- iavf: Fix deadlock in iavf_reset_task (jsc#SLE-18385).
- iavf: Fix race in init state (jsc#SLE-18385).
- iavf: Fix locking for VIRTCHNL_OP_GET_OFFLOAD_VLAN_V2_CAPS
  (jsc#SLE-18385).
- iavf: Fix init state closure on remove (jsc#SLE-18385).
- iavf: Add waiting so the port is initialized in remove
  (jsc#SLE-18385).
- iavf: Rework mutexes for better synchronisation (jsc#SLE-18385
  stable-5.14.6).
- veth: fix races around rq->rx_notify_masked (git-fixes).
- commit 60dae36
* Mon Mar  7 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 1900045
* Sat Mar  5 2022 lduncan@suse.com
- scsi: smartpqi: Add PCI IDs (bsc#1196627).
- commit 7890c4e
* Sat Mar  5 2022 tiwai@suse.de
- thermal: core: Fix TZ_GET_TRIP NULL pointer dereference
  (git-fixes).
- ALSA: intel_hdmi: Fix reference to PCM buffer address
  (git-fixes).
- ASoC: cs4265: Fix the duplicated control name (git-fixes).
- ASoC: ops: Shift tested values in snd_soc_put_volsw() by +min
  (git-fixes).
- drm/bridge: ti-sn65dsi86: Properly undo autosuspend (git-fixes).
- drm/i915: s/JSP2/ICP2/ PCH (git-fixes).
- drm/i915/guc/slpc: Correct the param count for unset param
  (git-fixes).
- pinctrl: sunxi: Use unique lockdep classes for IRQs (git-fixes).
- commit 81b566b
* Fri Mar  4 2022 tiwai@suse.de
- Revert PCI MSI-X patch that caused a regression on network devices (bsc#1196403)
  Deleted:
  patches.suse/PCI-MSI-Mask-MSI-X-vectors-only-on-success.patch
- commit 4606b8c
* Fri Mar  4 2022 tiwai@suse.de
- batman-adv: Don't expect inter-netns unique iflink indices
  (git-fixes).
- batman-adv: Request iflink once in batadv_get_real_netdevice
  (git-fixes).
- batman-adv: Request iflink once in batadv-on-batadv check
  (git-fixes).
- mac80211: treat some SAE auth steps as final (git-fixes).
- nl80211: Handle nla_memdup failures in handle_nan_filter
  (git-fixes).
- iwlwifi: mvm: check debugfs_dir ptr before use (git-fixes).
- mac80211: fix forwarded mesh frames AC & queue selection
  (git-fixes).
- mac80211: fix EAPoL rekey fail in 802.3 rx path (git-fixes).
- can: gs_usb: change active_channels's type from atomic_t to u8
  (git-fixes).
- can: etas_es58x: change opened_channel_cnt's type from atomic_t
  to u8 (git-fixes).
- auxdisplay: lcd2s: Use proper API to free the instance of
  charlcd object (git-fixes).
- auxdisplay: lcd2s: Fix memory leak in ->remove() (git-fixes).
- auxdisplay: lcd2s: Fix lcd2s_redefine_char() feature
  (git-fixes).
- commit 81727a5
* Fri Mar  4 2022 tiwai@suse.de
- Update kabi files for intel_pmt_dev_create (bsc#1196591)
- commit 40a0e22
* Thu Mar  3 2022 mkoutny@suse.com
- cgroup-v1: Correct privileges check in release_agent writes
  (bsc#1196723).
- commit 6c02e38
* Thu Mar  3 2022 mkoutny@suse.com
- blacklist.conf: Add 51e50fbd3efc psi: fix "no previous prototype" warnings when CONFIG_CGROUPS=n
- commit 5389513
* Thu Mar  3 2022 msuchanek@suse.de
- Update patches.suse/ibmvnic-don-t-stop-queue-in-xmit.patch
  (bsc#1192273 ltc#194629 bsc#1191428 ltc#193985).
- commit de17db9
* Thu Mar  3 2022 tiwai@suse.de
- kABI workaround for fxls8962af iio accel drivers (git-fixes).
- commit dfedd1c
* Thu Mar  3 2022 tiwai@suse.de
- ARM: 9182/1: mmu: fix returns from early_param() and __setup()
  functions (git-fixes).
- ARM: Fix kgdb breakpoint for Thumb2 (git-fixes).
- ntb: intel: fix port config status offset for SPR (git-fixes).
- iio: accel: fxls8962af: add padding to regmap for SPI
  (git-fixes).
- USB: serial: option: add Telit LE910R1 compositions (git-fixes).
- USB: serial: option: add support for DW5829e (git-fixes).
- USB: gadget: validate endpoint index for xilinx udc (git-fixes).
- tps6598x: clear int mask on probe failure (git-fixes).
- xhci: re-initialize the HC during resume if HCE was set
  (git-fixes).
- ata: pata_hpt37x: disable primary channel on HPT371 (git-fixes).
- drm/amd/pm: fix some OEM SKU specific stability issues
  (git-fixes).
- drm/amdgpu: disable MMHUB PG for Picasso (git-fixes).
- drm/amd/display: Protect update_bw_bounding_box FPU code
  (git-fixes).
- CDC-NCM: avoid overflow in sanity checking (git-fixes).
- USB: zaurus: support another broken Zaurus (git-fixes).
- commit b45b17b
* Wed Mar  2 2022 msuchanek@suse.de
- kernel-binary.spec: Also exclude the kernel signing key from devel package.
  There is a check in OBS that fails when it is included. Also the key is
  not reproducible.
  Fixes: bb988d4625a3 ("kernel-binary: Do not include sourcedir in certificate path.")
- commit 68fa069
* Wed Mar  2 2022 msuchanek@suse.de
- powerpc/fadump: register for fadump as early as possible
  (bsc#1179439 ltc#190038).
- commit 5aa7d3e
* Wed Mar  2 2022 msuchanek@suse.de
- Refresh sorted patches.
- commit 0c5d65a
* Wed Mar  2 2022 msuchanek@suse.de
- Refresh patches.suse/powerpc-64s-hash-Make-hash-faults-work-in-NMI-contex.patch.
- commit 783700c
* Wed Mar  2 2022 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore PAHOLE_VERSION.
- commit 88ba5ec
* Tue Mar  1 2022 tiwai@suse.de
- Update config and supported.conf for intel_vsec (bsc#1196591)
  intel_pmt driver is renamed to intel_vsec
- Update config files
- supported.conf
- commit 99cb50f
* Tue Mar  1 2022 tiwai@suse.de
- platform/x86/intel: Move intel_pmt from MFD to Auxiliary Bus
  (bsc#1196591).
- driver core: auxiliary bus: Add driver data helpers
  (bsc#1196591).
- PCI: Add #defines for accessing PCIe DVSEC fields (bsc#1196591).
- platform/x86: intel_pmt_telemetry: Ignore zero sized entries
  (bsc#1196591).
- platform/x86/intel: pmt: Use y instead of objs in Makefile
  (bsc#1196591).
- commit 731c1ca
* Tue Mar  1 2022 tiwai@suse.de
- platform/x86/intel: Move Intel PMT drivers to new subfolder
  (bsc#1196591).
- Refresh
  patches.suse/platform-x86-intel_pmc_core-Move-to-intel-sub-direct.patch.
- commit e7adc65
* Tue Mar  1 2022 tiwai@suse.de
- soc: fsl: qe: Check of ioremap return value (git-fixes).
- soc: fsl: Correct MAINTAINERS database (SOC) (git-fixes).
- soc: fsl: Correct MAINTAINERS database (QUICC ENGINE LIBRARY)
  (git-fixes).
- ARM: dts: Use 32KiHz oscillator on devkit8000 (git-fixes).
- ARM: dts: switch timer config to common devkit8000 devicetree
  (git-fixes).
- arm64: dts: rockchip: Switch RK3399-Gru DP to SPDIF output
  (git-fixes).
- firmware: arm_scmi: Remove space in MODULE_ALIAS name
  (git-fixes).
- arm64: dts: juno: Remove GICv2m dma-range (git-fixes).
- efivars: Respect "block" flag in efivar_entry_set_safe()
  (git-fixes).
- commit 368c894
* Mon Feb 28 2022 tbogendoerfer@suse.de
- Revert "i40e: Fix reset bw limit when DCB enabled with 1 TC"
  (git-fixes).
- net/mlx5e: Add missing increment of count (jsc#SLE-19253).
- net/mlx5e: MPLSoUDP decap, fix check for unsupported matches
  (git-fixes).
- net/mlx5e: TC, Reject rules with forward and drop actions
  (git-fixes).
- net/mlx5e: TC, Reject rules with drop and modify hdr action
  (git-fixes).
- net/mlx5e: kTLS, Use CHECKSUM_UNNECESSARY for device-offloaded
  packets (git-fixes).
- net/mlx5e: Fix wrong return value on ioctl EEPROM query failure
  (git-fixes).
- net/mlx5: Fix possible deadlock on rule deletion (git-fixes).
- net/mlx5: Fix tc max supported prio for nic mode (git-fixes).
- net/mlx5: Fix wrong limitation of metadata match on ecpf
  (git-fixes).
- net/mlx5: DR, Fix the threshold that defines when pool sync
  is initiated (git-fixes).
- net/mlx5: DR, Don't allow match on IP w/o matching on full
  ethertype/ip_version (git-fixes).
- net/mlx5: DR, Fix slab-out-of-bounds in mlx5_cmd_dr_create_fte
  (jsc#SLE-19253).
- net/mlx5: DR, Cache STE shadow memory (git-fixes).
- net/mlx5: Update the list of the PCI supported devices
  (git-fixes).
- udp_tunnel: Fix end of loop test in udp_tunnel_nic_unregister()
  (git-fixes).
- bnxt_en: Fix devlink fw_activate (jsc#SLE-18978).
- bnxt_en: Increase firmware message response DMA wait time
  (git-fixes).
- bnxt_en: Restore the resets_reliable flag in bnxt_open()
  (jsc#SLE-18978).
- bnxt_en: Fix incorrect multicast rx mask setting when not
  requested (git-fixes).
- bnxt_en: Fix occasional ethtool -t loopback test failures
  (git-fixes).
- bnxt_en: Fix offline ethtool selftest with RDMA enabled
  (git-fixes).
- bnxt_en: Fix active FEC reporting to ethtool (git-fixes).
- ice: initialize local variable 'tlv' (git-fixes).
- ice: check the return of ice_ptp_gettimex64 (git-fixes).
- ice: fix concurrent reset and removal of VFs (git-fixes).
- ice: fix setting l4 port flag when adding filter
  (jsc#SLE-18375).
- nfp: flower: Fix a potential leak in nfp_tunnel_add_shared_mac()
  (git-fixes).
- bonding: force carrier update when releasing slave (git-fixes).
- bonding: fix data-races around agg_select_timer (git-fixes).
- ice: enable parsing IPSEC SPI headers for RSS (git-fixes).
- ice: fix IPIP and SIT TSO offload (git-fixes).
- ice: fix an error code in ice_cfg_phy_fec() (git-fixes).
- nfp: flower: fix ida_idx not being released (git-fixes).
- bonding: pair enable_port with slave_arr_updates (git-fixes).
- commit 9564d58
* Mon Feb 28 2022 msuchanek@suse.de
- ibmvnic: Allow queueing resets during probe (bsc#1196516
  ltc#196391).
- ibmvnic: clear fop when retrying probe (bsc#1196516 ltc#196391).
- ibmvnic: init init_done_rc earlier (bsc#1196516 ltc#196391).
- ibmvnic: register netdev after init of adapter (bsc#1196516
  ltc#196391).
- ibmvnic: complete init_done on transport events (bsc#1196516
  ltc#196391).
- ibmvnic: define flush_reset_queue helper (bsc#1196516
  ltc#196391).
- ibmvnic: initialize rc before completing wait (bsc#1196516
  ltc#196391).
- ibmvnic: free reset-work-item when flushing (bsc#1196516
  ltc#196391).
- commit 0236fcc
* Mon Feb 28 2022 mbenes@suse.cz
- tracing: Have traceon and traceoff trigger honor the instance
  (git-fixes).
- commit bd2a633
* Mon Feb 28 2022 mbenes@suse.cz
- tracing: Dump stacktrace trigger to the corresponding instance
  (git-fixes).
- commit 2cd9b58
* Mon Feb 28 2022 dwagner@suse.de
- nvme: also mark passthrough-only namespaces ready in
  nvme_update_ns_info (git-fixes).
- nvme: don't return an error from nvme_configure_metadata
  (git-fixes).
- commit c11b169
* Mon Feb 28 2022 ohering@suse.de
- x86/kvmclock: Fix Hyper-V Isolated VM's boot issue when vCPUs >
  64 (bsc#1183682).
- x86/kvm: Don't waste memory if kvmclock is disabled
  (bsc#1183682).
- Netvsc: Call hv_unmap_memory() in the netvsc_device_remove()
  (bsc#1183682).
- commit fe9b9a8
* Mon Feb 28 2022 ohering@suse.de
- Drivers: hv: utils: Make use of the helper macro LIST_HEAD()
  (git-fixes).
- Drivers: hv: vmbus: Fix memory leak in vmbus_add_channel_kobj
  (git-fixes).
- PCI: hv: Fix NUMA node assignment when kernel boots with custom
  NUMA topology (git-fixes).
- commit 63ae3fa
* Mon Feb 28 2022 tiwai@suse.de
- pinctrl: tigerlake: Revert "Add Alder Lake-M ACPI ID"
  (git-fixes).
- gpio: tegra186: Fix chip_data type confusion (git-fixes).
- pinctrl: k210: Fix bias-pull-up (git-fixes).
- pinctrl: fix loop in k210_pinconf_get_drive() (git-fixes).
- commit cf40913
* Sun Feb 27 2022 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: add systemd-initrd and terminfo dracut module (bsc#1195775)
- commit d9a821b
* Sat Feb 26 2022 tiwai@suse.de
- drm/i915: Fix bw atomic check when switching between SAGV
  vs. no SAGV (git-fixes).
- drm/i915: Correctly populate use_sagv_wm for all pipes
  (git-fixes).
- drm/amdgpu: do not enable asic reset for raven2 (git-fixes).
- drm/amd/display: For vblank_disable_immediate, check PSR is
  really used (git-fixes).
- drm/edid: Always set RGB444 (git-fixes).
- surface: surface3_power: Fix battery readings on batteries
  without a serial number (git-fixes).
- commit c407884
* Sat Feb 26 2022 tiwai@suse.de
- tty: n_gsm: fix deadlock in gsmtty_open() (git-fixes).
- Revert "USB: serial: ch341: add new Product ID for CH341A"
  (git-fixes).
- usb: dwc3: gadget: Let the interrupt handler disable bottom
  halves (git-fixes).
- usb: dwc2: drd: fix soft connect when gadget is unconfigured
  (git-fixes).
- usb: dwc3: pci: Fix Bay Trail phy GPIO mappings (git-fixes).
- xhci: Prevent futile URB re-submissions due to incorrect return
  value (git-fixes).
- usb: dwc3: pci: Add "snps,dis_u2_susphy_quirk" for Intel Bay
  Trail (git-fixes).
- clk: jz4725b: fix mmc0 clock gating (git-fixes).
- drm/vc4: crtc: Fix runtime_pm reference counting (git-fixes).
- commit f19b8b6
* Sat Feb 26 2022 tiwai@suse.de
- spi: spi-zynq-qspi: Fix a NULL pointer dereference in
  zynq_qspi_exec_mem_op() (git-fixes).
- regmap-irq: Update interrupt clear register for proper reset
  (git-fixes).
- thermal: int340x: fix memory leak in int3400_notify()
  (git-fixes).
- sc16is7xx: Fix for incorrect data being transmitted (git-fixes).
- tty: n_gsm: fix wrong modem processing in convergence layer
  type 2 (git-fixes).
- tty: n_gsm: fix wrong tty control line for flow control
  (git-fixes).
- tty: n_gsm: fix NULL pointer access due to DLCI release
  (git-fixes).
- tty: n_gsm: fix proper link termination after failed open
  (git-fixes).
- tty: n_gsm: fix encoding of control signal octet bit DV
  (git-fixes).
- commit dbb24c6
* Sat Feb 26 2022 tiwai@suse.de
- iio: imu: st_lsm6dsx: wait for settling time in
  st_lsm6dsx_read_oneshot (git-fixes).
- iio: Fix error handling for PM (git-fixes).
- iio: adc: men_z188_adc: Fix a resource leak in an error handling
  path (git-fixes).
- iio:imu:adis16480: fix buffering for devices with no burst mode
  (git-fixes).
- iio: adc: ad7124: fix mask used for setting AIN_BUFP & AIN_BUFM
  bits (git-fixes).
- iio: adc: tsc2046: fix memory corruption by preventing array
  overflow (git-fixes).
- driver core: Free DMA range map when device is released
  (git-fixes).
- staging: fbtft: fb_st7789v: reset display before initialization
  (git-fixes).
- commit d2c23ea
* Fri Feb 25 2022 tbogendoerfer@suse.de
- Update kabi files.
- commit c453b5c
* Fri Feb 25 2022 pjakobsson@suse.de
- blacklist.conf: 03ee5956781b drm/i915/ttm: only fault WILLNEED objects
- commit dbdf3fe
* Fri Feb 25 2022 tbogendoerfer@suse.de
- netfilter: nf_tables_offload: incorrect flow offload action
  array size (bsc#1196299 CVE-2022-25636).
- commit f8ec613
* Fri Feb 25 2022 pjakobsson@suse.de
- drm/i915/dg2: Print PHY name properly on calibration error
  (git-fixes).
- commit 609b3e3
* Fri Feb 25 2022 pjakobsson@suse.de
- drm/i915: Widen the QGV point mask (git-fixes).
- commit b495032
* Thu Feb 24 2022 mgorman@suse.de
- mm/page_alloc: Do not prefetch buddies during bulk free
  (bnc#1193239,bnc#1193199,bnc#1193329).
- commit 40059fa
* Thu Feb 24 2022 tiwai@suse.de
- Move upstreamed SCSI fix into sorted section
- commit c28a141
* Thu Feb 24 2022 shung-hsi.yu@suse.com
- bpf/selftests: Test PTR_TO_RDONLY_MEM (bsc#1196261 CVE-2022-0500).
- bpf: Add MEM_RDONLY for helper args that are pointers to rdonly mem
  (bsc#1196261 CVE-2022-0500).
- bpf: Make per_cpu_ptr return rdonly PTR_TO_MEM
  (bsc#1196261CVE-2022-0500).
- bpf: Convert PTR_TO_MEM_OR_NULL to composable types
  (bsc#1194111 bsc#1194765 bsc#1196261 CVE-2021-4204 CVE-2022-0500
  CVE-2022-23222).
- bpf: Introduce MEM_RDONLY flag (bsc#1194111 bsc#1194765
  bsc#1196261 CVE-2021-4204 CVE-2022-0500 CVE-2022-23222).
- Refresh
  patches.suse/bpf-Fix-out-of-bounds-access-for-ringbuf-helpers.patch.
- Refresh
  patches.suse/bpf-Generally-fix-helper-register-offset-check.patch.
- bpf: Replace PTR_TO_XXX_OR_NULL with PTR_TO_XXX | PTR_MAYBE_NULL
  (bsc#1194111 bsc#1194765 bsc#1196261 CVE-2021-4204 CVE-2022-0500
  CVE-2022-23222).
- Refresh
  patches.suse/bpf-Generalize-check_ctx_reg-for-reuse-with-other-ty.patch.
- Refresh
  patches.suse/bpf-Generally-fix-helper-register-offset-check.patch.
- bpf: Replace RET_XXX_OR_NULL with RET_XXX | PTR_MAYBE_NULL
  (bsc#1194111 bsc#1194765 bsc#1196261 CVE-2021-4204 CVE-2022-0500
  CVE-2022-23222).
- bpf: Replace ARG_XXX_OR_NULL with ARG_XXX | PTR_MAYBE_NULL
  (bsc#1194111 bsc#1194765 bsc#1196261 CVE-2021-4204 CVE-2022-0500
  CVE-2022-23222).
- bpf: Introduce composable reg, ret and arg types (bsc#1194111
  bsc#1194765 bsc#1196261 CVE-2021-4204 CVE-2022-0500
  CVE-2022-23222).
- commit 4db4b9b
* Thu Feb 24 2022 msuchanek@suse.de
- ibmvnic: schedule failover only if vioctl fails (bsc#1196400
  ltc#195815).
- commit 91cec19
* Thu Feb 24 2022 dwagner@suse.de
- nvme: expose cntrltype and dctype through sysfs (jsc#SLE-23643).
  Refresh:
  - patches.suse/0006-nvme-Implement-In-Band-authentication.patch
- nvme: send uevent on connection up (jsc#SLE-23643).
- nvme: expose cntrltype and dctype through sysfs (jsc#SLE-23643).
  Refresh:
  - patches.suse/0006-nvme-Implement-In-Band-authentication.patch
- nvme: send uevent on connection up (jsc#SLE-23643).
- commit d19ac19
* Thu Feb 24 2022 tiwai@suse.de
- hwmon: Handle failure to register sensor with thermal zone
  correctly (git-fixes).
- lib/iov_iter: initialize "flags" in new pipe_buffer (git-fixes).
- arm64: Correct wrong label in macro __init_el2_gicv3
  (git-fixes).
- drm/atomic: Don't pollute crtc_state->mode_blob with error
  pointers (git-fixes).
- drm/radeon: Fix backlight control on iMac 12,1 (git-fixes).
- drm/amdgpu: skipping SDMA hw_init and hw_fini for S0ix
  (git-fixes).
- HID:Add support for UGTABLET WP5540 (git-fixes).
- kconfig: fix failing to generate auto.conf (git-fixes).
- kconfig: let 'shell' return enough output for deep path names
  (git-fixes).
- phy: usb: Leave some clocks running during suspend (git-fixes).
- soc: aspeed: lpc-ctrl: Block error printing on probe defer cases
  (git-fixes).
- arm64: dts: meson-g12: drop BL32 region from SEI510/SEI610
  (git-fixes).
- arm64: dts: meson-g12: add ATF BL32 reserved-memory region
  (git-fixes).
- arm64: dts: meson-gx: add ATF BL32 reserved-memory region
  (git-fixes).
- ARM: OMAP2+: adjust the location of put_device() call in
  omapdss_init_of (git-fixes).
- ARM: OMAP2+: hwmod: Add of_node_put() before break (git-fixes).
- ACPI: PM: Revert "Only mark EC GPE for wakeup on Intel systems"
  (git-fixes).
- ata: libata-core: Disable TRIM on M88V29 (git-fixes).
- drm/amd/display: fix yellow carp wm clamping (git-fixes).
- drm/amd/display: Cap pflip irqs per max otg number (git-fixes).
- display/amd: decrease message verbosity about watermarks table
  failure (git-fixes).
- drm/rockchip: dw_hdmi: Do not leave clock enabled in error case
  (git-fixes).
- net: macb: Align the dma and coherent dma masks (git-fixes).
- net: usb: qmi_wwan: Add support for Dell DW5829e (git-fixes).
- random: wake up /dev/random writers after zap (git-fixes).
- drm/amdgpu: fix logic inversion in check (git-fixes).
- ax25: improve the incomplete fix to avoid UAF and NPD bugs
  (git-fixes).
- kunit: tool: Import missing importlib.abc (git-fixes).
- pinctrl: bcm63xx: fix unmet dependency on REGMAP for GPIO_REGMAP
  (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the RWC NANOTE P8
  AY07J 2-in-1 (git-fixes).
- drm/nouveau/pmu/gm200-: use alternate falcon reset sequence
  (git-fixes).
- commit 680fa3f
* Wed Feb 23 2022 msuchanek@suse.de
- Update patches.suse/powerpc-kexec_file-Add-KEXEC_SIG-support.patch
  (jsc#SLE-18145 bsc#1192295 bsc#1195993 jsc#SLE-18138).
  Use the secondary keyring rather than platform keyring for KEXEC_SIG on
  powerpc. Platform keyring is not available on powerpc.
- commit 78a342a
* Wed Feb 23 2022 jack@suse.cz
- udf: Restore i_lenAlloc when inode expansion fails (bsc#1196079
  CVE-2022-0617).
- commit 0553b1c
* Wed Feb 23 2022 jack@suse.cz
- udf: Fix NULL ptr deref when converting from inline format
  (bsc#1196079 CVE-2022-0617).
- commit 1523b04
* Wed Feb 23 2022 msuchanek@suse.de
- bpf: add config to allow loading modules with BTF mismatches (bsc#1194501).
- Update config files.
- commit d62343d
* Wed Feb 23 2022 osalvador@suse.de
- arch/x86/mm/numa: Do not initialize nodes twice (bsc#1195752
  bsc#1196248).
- commit a9cb651
* Wed Feb 23 2022 tbogendoerfer@suse.de
- sfc: Use swap() instead of open coding it (bsc#1196306).
- ethernet/sfc: remove redundant rc variable (bsc#1196306).
- sfc: use swap() to make code cleaner (bsc#1196306).
- sfc: last resort fallback for lack of xdp tx queues
  (bsc#1196306).
- sfc: fallback for lack of xdp tx queues (bsc#1196306).
- commit dd06e3b
* Wed Feb 23 2022 tiwai@suse.de
- Delete ACPI patch that broke s2idle (bsc#1196213)
  Deleted:
  patches.suse/ACPI-EC-Rework-flushing-of-EC-work-while-suspended-t.patch
  A new kABI compat patch was added instead
- Delete ACPI patches that broke s2idle (bsc#1196213)
  Deleted:
  patches.suse/ACPI-EC-Rework-flushing-of-EC-work-while-suspended-t.patch
  patches.suse/ACPI-PM-s2idle-Cancel-wakeup-before-dispatching-EC-G.patch
  A new kABI compat patch was added instead
- commit 99c6bc9
* Tue Feb 22 2022 msuchanek@suse.de
- powerpc/64s/hash: Make hash faults work in NMI context
  (bsc#1195655 ltc#1195655).
- commit 9801a29
* Tue Feb 22 2022 lizhang@suse.de
- arm64: kvm: keep the field workaround_flags in structure
  kvm_vcpu_arch (git-fixes).
- commit 06289db
* Mon Feb 21 2022 mgorman@suse.de
- sched: Fix yet more sched_fork() races (git fixes (sched/core)).
- sched/fair: Fix fault in reweight_entity (git fixes
  (sched/core)).
- Revert "mm/gup: small refactoring: simplify try_grab_page()"
  (git fixes (mm/gup)).
- commit 6ff1bff
* Mon Feb 21 2022 mgorman@suse.de
- Refresh
  patches.suse/mm-vmscan-remove-deadlock-due-to-throttling.patch.
  Update upstream git commit ID.
- commit 1f491cb
* Mon Feb 21 2022 tiwai@suse.de
- Update patch reference for USB gadget fix (CVE-2022-25375 bsc#1196235)
- commit 1003159
* Mon Feb 21 2022 jroedel@suse.de
- iommu/amd: Fix loop timeout issue in iommu_ga_log_enable()
  (git-fixes).
- iommu/vt-d: Fix potential memory leak in
  intel_setup_irq_remapping() (git-fixes).
- iommu/iova: Fix race between FQ timeout and teardown
  (git-fixes).
- iommu/io-pgtable-arm: Fix table descriptor paddr formatting
  (git-fixes).
- iommu: Extend mutex lock scope in iommu_probe_device()
  (git-fixes).
- iommu/amd: Remove useless irq affinity notifier (git-fixes).
- iommu/amd: X2apic mode: mask/unmask interrupts on suspend/resume
  (git-fixes).
- iommu/amd: X2apic mode: setup the INTX registers on mask/unmask
  (git-fixes).
- iommu/amd: X2apic mode: re-enable after resume (git-fixes).
- iommu/amd: Restore GA log/tail pointer on host resume
  (git-fixes).
- commit 0ec0c5d
* Mon Feb 21 2022 jroedel@suse.de
- iommu/io-pgtable-arm-v7s: Add error handle for page table
  allocation failure (git-fixes).
- iommu/arm-smmu-qcom: Fix TTBR0 read (git-fixes).
- commit dfd4bbb
* Mon Feb 21 2022 tiwai@suse.de
- dmaengine: sh: rcar-dmac: Check for error num after
  dma_set_max_seg_size (git-fixes).
- dmaengine: stm32-dmamux: Fix PM disable depth imbalance in
  stm32_dmamux_probe (git-fixes).
- dmaengine: sh: rcar-dmac: Check for error num after setting mask
  (git-fixes).
- dmaengine: ptdma: Fix the error handling path in pt_core_init()
  (git-fixes).
- i2c: brcmstb: fix support for DSL and CM variants (git-fixes).
- i2c: qcom-cci: don't put a device tree node before
  i2c_add_adapter() (git-fixes).
- i2c: qcom-cci: don't delete an unregistered adapter (git-fixes).
- commit 06371e5
* Mon Feb 21 2022 jlee@suse.com
- supported.conf: move kmem and dax_hmem to support list
  Moved kmem and dax_hmem to support list. (bsc#1195953)
- commit fdf232f
* Sat Feb 19 2022 tiwai@suse.de
- mtd: rawnand: brcmnand: Fixed incorrect sub-page ECC status
  (git-fixes).
- mtd: rawnand: gpmi: don't leak PM reference in error path
  (git-fixes).
- mtd: phram: Prevent divide by zero bug in phram_setup()
  (git-fixes).
- mtd: parsers: qcom: Fix missing free for pparts in cleanup
  (git-fixes).
- mtd: parsers: qcom: Fix kernel panic on skipped partition
  (git-fixes).
- mtd: rawnand: qcom: Fix clock sequencing in qcom_nandc_probe()
  (git-fixes).
- mtd: rawnand: ingenic: Fix missing put_device in ingenic_ecc_get
  (git-fixes).
- commit 0bb3bde
* Sat Feb 19 2022 tiwai@suse.de
- ASoC: intel: skylake: Set max DMA segment size (git-fixes).
- ASoC: SOF: hda: Set max DMA segment size (git-fixes).
- ALSA: hda: Set max DMA segment size (git-fixes).
- ASoC: qcom: Actually clear DMA interrupt register for HDMI
  (git-fixes).
- ASoC: tas2770: Insert post reset delay (git-fixes).
- ASoC: ops: Fix stereo change notifications in
  snd_soc_put_xr_sx() (git-fixes).
- ASoC: ops: Fix stereo change notifications in
  snd_soc_put_volsw_range() (git-fixes).
- ASoC: ops: Fix stereo change notifications in
  snd_soc_put_volsw_sx() (git-fixes).
- ASoC: ops: Fix stereo change notifications in
  snd_soc_put_volsw() (git-fixes).
- ALSA: hda: Fix missing codec probe on Shenker Dock 15
  (git-fixes).
- ALSA: hda: Fix regression on forced probe mask option
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Legion Y9000X 2019 (git-fixes).
- ALSA: usb-audio: revert to IMPLICIT_FB_FIXED_DEV for M-Audio
  FastTrack Ultra (git-fixes).
- commit 5c27957
* Sat Feb 19 2022 tiwai@suse.de
- Move upstreamed sound fixes into sorted section
- commit 651a728
* Fri Feb 18 2022 tiwai@suse.de
- Update patch reference for vfs fix (CVE-2022-0644 bsc#1196155)
- commit 97dc820
* Fri Feb 18 2022 msuchanek@suse.de
- net/ibmvnic: Cleanup workaround doing an EOI after partition
  migration (bsc#1089644 ltc#166495 ltc#165544 git-fixes).
- commit c52c801
* Fri Feb 18 2022 iivanov@suse.de
- brcmfmac: firmware: Fix crash in brcm_alt_fw_path (bsc#1195501)
- commit 21498fa
* Fri Feb 18 2022 tiwai@suse.de
- drm/i915/opregion: check port number bounds for SWSCI display
  power state (git-fixes).
- drm/i915/ttm: tweak priority hint selection (git-fixes).
- drm/i915: Fix mbus join config lookup (git-fixes bsc#1193640).
- drm/i915: Fix dbuf slice config lookup (git-fixes bsc#1193640).
- drm/i915/gvt: Make DRM_I915_GVT depend on X86 (git-fixes).
- drm/i915/gvt: clean up kernel-doc in gtt.c (git-fixes).
- drm/cma-helper: Set VM_DONTEXPAND for mmap (git-fixes).
- drm/amd/pm: correct the sequence of sending gpu reset msg
  (git-fixes).
- net: phy: mediatek: remove PHY mode check on MT7531 (git-fixes).
- atl1c: fix tx timeout after link flap on Mikrotik 10/25G NIC
  (git-fixes).
- iwlwifi: fix use-after-free (git-fixes).
- cfg80211: fix race in netlink owner interface destruction
  (git-fixes).
- iwlwifi: mvm: don't send SAR GEO command for 3160 devices
  (git-fixes).
- iwlwifi: pcie: gen2: fix locking when "HW not ready"
  (git-fixes).
- iwlwifi: pcie: fix locking when "HW not ready" (git-fixes).
- mac80211: mlme: check for null after calling kmemdup
  (git-fixes).
- brcmfmac: firmware: Fix crash in brcm_alt_fw_path (git-fixes).
- libsubcmd: Fix use-after-free for realloc(..., 0) (git-fixes).
- commit 73136b7
* Fri Feb 18 2022 neilb@suse.de
- NFSD: Fix the behavior of READ near OFFSET_MAX (bsc#1195957).
- commit 2b4dffe
* Thu Feb 17 2022 vbabka@suse.cz
- Update kabi files.
  Update after the nvme-fc map_queues callback addition.
- commit ba2de57
* Thu Feb 17 2022 tiwai@suse.de
- Update patch reference for USB gadget fix (CVE-2022-25258 bsc#1196095)
- commit 8127da0
* Thu Feb 17 2022 tiwai@suse.de
- Drop PCI xgene patch that caused a regression for mxl4 (bsc#1195352)
  Delete patches.suse/PCI-xgene-Fix-IB-window-setup.patch
  Also update blacklist
- commit dd99303
* Thu Feb 17 2022 lizhang@suse.de
- KVM: arm64: Avoid consuming a stale esr value when SError occur
  (git-fixes).
- commit 87ae6f4
* Thu Feb 17 2022 lizhang@suse.de
- KVM: arm64: Use shadow SPSR_EL1 when injecting exceptions on
  !VHE (git-fixes).
- commit ca196b7
* Thu Feb 17 2022 lizhang@suse.de
- KVM: arm64: pkvm: Use the mm_ops indirection for cache
  maintenance (git-fixes).
- commit 799343b
* Thu Feb 17 2022 lizhang@suse.de
- KVM: arm64: Drop unused workaround_flags vcpu field (git-fixes).
- KVM: s390: Ensure kvm_arch_no_poll() is read once when blocking
  vCPU (git-fixes).
- commit 13bf810
* Thu Feb 17 2022 dwagner@suse.de
- nvme-fc: add support for ->map_queues (bsc#1195823).
- commit f890a27
* Thu Feb 17 2022 lizhang@suse.de
- KVM: Ensure local memslot copies operate on up-to-date
  arch-specific data (git-fixes).
- commit f8ddb24
* Thu Feb 17 2022 lizhang@suse.de
- KVM: Clean up benign vcpu->cpu data races when kicking vCPUs
  (git-fixes).
- commit 155b588
* Thu Feb 17 2022 tiwai@suse.de
- thermal/drivers/int340x: Improve the tcc offset saving for
  suspend/resume (git-fixes).
- Refresh
  patches.suse/thermal-drivers-int340x-Fix-RFIM-mailbox-write-comma.patch.
- Refresh
  patches.suse/thermal-drivers-int340x-processor_thermal-Suppot-64-.patch.
- commit 13f8316
* Thu Feb 17 2022 tiwai@suse.de
- mmc: block: fix read single on recovery logic (git-fixes).
- tty: n_tty: do not look ahead for EOL character past the end
  of the buffer (git-fixes).
- vt_ioctl: add array_index_nospec to VT_ACTIVATE (git-fixes).
- vt_ioctl: fix array_index_nospec in vt_setactivate (git-fixes).
- Revert "usb: dwc2: drd: fix soft connect when gadget is
  unconfigured" (git-fixes).
- USB: serial: cp210x: add CPI Bulk Coin Recycler id (git-fixes).
- USB: serial: cp210x: add NCR Retail IO box id (git-fixes).
- USB: serial: ftdi_sio: add support for Brainboxes US-159/235/320
  (git-fixes).
- USB: serial: option: add ZTE MF286D modem (git-fixes).
- USB: serial: ch341: add support for GW Instek USB2.0-Serial
  devices (git-fixes).
- usb: dwc2: drd: fix soft connect when gadget is unconfigured
  (git-fixes).
- usb: gadget: rndis: check size of RNDIS_MSG_SET command
  (git-fixes).
- USB: gadget: validate interface OS descriptor requests
  (git-fixes).
- usb: gadget: f_uac2: Define specific wTerminalType (git-fixes).
- ARM: dts: Fix boot regression on Skomer (git-fixes).
- net: phy: marvell: Fix RGMII Tx/Rx delays setting in
  88e1121-compatible PHYs (git-fixes).
- net: phy: marvell: Fix MDI-x polarity setting in
  88e1118-compatible PHYs (git-fixes).
- irqchip/realtek-rtl: Service all pending interrupts (git-fixes).
- usb: dwc2: gadget: don't try to disable ep0 in
  dwc2_hsotg_suspend (git-fixes).
- PM: hibernate: Remove register_nosave_region_late() (git-fixes).
- drm: panel-orientation-quirks: Add quirk for the 1Netbook
  OneXPlayer (git-fixes).
- drm/vc4: Fix deadlock on DSI device attach error (git-fixes).
- hwmon: (dell-smm) Speed up setting of fan speed (git-fixes).
- commit 8276a70
* Wed Feb 16 2022 mgorman@suse.de
- Refresh
  patches.suse/mm-page_alloc-Fetch-the-correct-pcp-buddy-during-bulk-free.patch.
- Refresh
  patches.suse/mm-page_alloc-Free-pages-in-a-single-pass-during-bulk-free.patch.
- Refresh
  patches.suse/mm-page_alloc-Limit-number-of-high-order-pages-on-PCP-during-bulk-free.patch.
- Refresh
  patches.suse/mm-page_alloc-Simplify-how-many-pages-are-selected-per-pcp-list-during-bulk-free.patch.
- Refresh
  patches.suse/mm-page_alloc-Track-range-of-active-PCP-lists-during-bulk-free.patch.
- commit 7ca072e
* Wed Feb 16 2022 fweisbecker@suse.de
- sched/preempt: Tell about PREEMPT_DYNAMIC on kernel headers (bsc#1194889).
- commit 1c083dc
* Wed Feb 16 2022 msuchanek@suse.de
- powerpc/pseries: read the lpar name from the firmware
  (bsc#1187716 ltc#193451).
- commit f1ccb25
* Wed Feb 16 2022 msuchanek@suse.de
- Refresh patches.suse/rpadlpar_io-Add-MODULE_DESCRIPTION-entries-to-kernel.patch
- commit 563eb84
* Wed Feb 16 2022 dwagner@suse.de
- nvme-fabrics: fix state check in nvmf_ctlr_matches_baseopts() (bsc#1195012).
- commit 5a50415
* Wed Feb 16 2022 dwagner@suse.de
- scsi: lpfc: Fix pt2pt NVMe PRLI reject LOGO loop (bsc#1189126).
- commit a0f28e5
* Wed Feb 16 2022 msuchanek@suse.de
- powerpc: add link stack flush mitigation status in debugfs
  (bsc#1157038 bsc#1157923 ltc#182612 git-fixes).
- commit e4cd5bb
* Wed Feb 16 2022 dwagner@suse.de
- scsi: qla2xxx: Remove unused qla_sess_op_cmd_list from
  scsi_qla_host_t (bsc#1195823).
- scsi: qla2xxx: Add qla2x00_async_done() for async routines
  (bsc#1195823).
- scsi: qla2xxx: Update version to 10.02.07.300-k (bsc#1195823).
- scsi: qla2xxx: Check for firmware dump already collected
  (bsc#1195823).
- scsi: qla2xxx: Add devids and conditionals for 28xx
  (bsc#1195823).
- scsi: qla2xxx: Suppress a kernel complaint in qla_create_qpair()
  (bsc#1195823).
- scsi: qla2xxx: Fix T10 PI tag escape and IP guard options for
  28XX adapters (bsc#1195823).
- scsi: qla2xxx: edif: Fix clang warning (bsc#1195823).
- scsi: qla2xxx: Fix warning for missing error code (bsc#1195823).
- scsi: qla2xxx: Fix device reconnect in loop topology
  (bsc#1195823).
- scsi: qla2xxx: Add ql2xnvme_queues module param to configure
  number of NVMe queues (bsc#1195823).
- scsi: qla2xxx: Fix wrong FDMI data for 64G adapter
  (bsc#1195823).
- scsi: qla2xxx: Add retry for exec firmware (bsc#1195823).
- scsi: qla2xxx: Fix scheduling while atomic (bsc#1195823).
- scsi: qla2xxx: Fix premature hw access after PCI error
  (bsc#1195823).
- scsi: qla2xxx: Fix warning message due to adisc being flushed
  (bsc#1195823).
- scsi: qla2xxx: Fix stuck session in gpdb (bsc#1195823).
- scsi: qla2xxx: Implement ref count for SRB (bsc#1195823).
- scsi: qla2xxx: Refactor asynchronous command initialization
  (bsc#1195823).
- commit dff7f20
* Wed Feb 16 2022 msuchanek@suse.de
- powerpc/xive: Export XIVE IPI information for online-only
  processors (bsc#1194409 ltc#195810).
- powerpc/xive: Add a debugfs file to dump EQs (bsc#1194409
  ltc#195810).
- powerpc/xive: Rename the 'cpus' debugfs file to 'ipis'
  (bsc#1194409 ltc#195810).
- powerpc/xive: Change the debugfs file 'xive' into a directory
  (bsc#1194409 ltc#195810).
- powerpc/xive: Introduce xive_core_debugfs_create() (bsc#1194409
  ltc#195810).
- powerpc/xive: Introduce an helper to print out interrupt
  characteristics (bsc#1194409 ltc#195810).
- commit d46bad1
* Wed Feb 16 2022 msuchanek@suse.de
- powerpc/64: Move paca allocation later in boot (bsc#1190812).
- powerpc: Set crashkernel offset to mid of RMA region
  (bsc#1190812).
- powerpc/64: Move paca allocation later in boot (bsc#1190812).
- commit a185abb
* Wed Feb 16 2022 dwagner@suse.de
- scsi: qla2xxx: Update version to 10.02.07.200-k (bsc#1195823).
- scsi: qla2xxx: edif: Fix inconsistent check of db_flags
  (bsc#1195823).
- scsi: qla2xxx: edif: Reduce connection thrash (bsc#1195823).
- scsi: qla2xxx: edif: Tweak trace message (bsc#1195823).
- scsi: qla2xxx: edif: Replace list_for_each_safe with
  list_for_each_entry_safe (bsc#1195823).
- scsi: qla2xxx: Remove a declaration (bsc#1195823).
- qla2xxx: add ->map_queues support for nvme (bsc#1195823).
- commit e9e3cbc
* Wed Feb 16 2022 lizhang@suse.de
- selftests: kvm: Remove absent target file (git-fixes).
- commit a89d5ba
* Wed Feb 16 2022 mgorman@suse.de
- mm/page_alloc: Limit number of high-order pages on PCP during
  bulk free (bnc#1193239,bnc#1193199,bnc#1193329).
- mm/page_alloc: Free pages in a single pass during bulk free
  (bnc#1193239,bnc#1193199,bnc#1193329).
- mm/page_alloc: Drain the requested list first during bulk free
  (bnc#1193239,bnc#1193199,bnc#1193329).
- mm/page_alloc: Simplify how many pages are selected per pcp
  list during bulk free (bnc#1193239,bnc#1193199,bnc#1193329).
- mm/page_alloc: Track range of active PCP lists during bulk free
  (bnc#1193239,bnc#1193199,bnc#1193329).
- mm/page_alloc: Fetch the correct pcp buddy during bulk free
  (bnc#1193239,bnc#1193199,bnc#1193329).
- commit a445f59
* Wed Feb 16 2022 mbenes@suse.cz
- tracing: Don't inc err_log entry count if entry allocation fails
  (git-fixes).
- commit dea8cf9
* Wed Feb 16 2022 vbabka@suse.cz
- mm/khugepaged: disable READ_ONLY_THP_FOR_FS (bsc#1195774).
- commit c4a885b
* Wed Feb 16 2022 mbenes@suse.cz
- tracing: Propagate is_signed to expression (git-fixes).
- commit 165e9d8
* Wed Feb 16 2022 mbenes@suse.cz
- blacklist.conf: b59f2f2b865c ("tracing: Fix smatch warning for do while check in event_hist_trigger_parse()")
  Cosmetic only.
- commit 903ff8e
* Wed Feb 16 2022 mbenes@suse.cz
- tracing: Fix smatch warning for null glob in
  event_hist_trigger_parse() (git-fixes).
- commit baca8c4
* Wed Feb 16 2022 mbenes@suse.cz
- tracing/histogram: Fix a potential memory leak for kstrdup()
  (git-fixes).
- commit 6c74ba2
* Wed Feb 16 2022 tiwai@suse.de
- HID: amd_sfh: Correct the structure field name (git-fixes).
- HID: amd_sfh: Add illuminance mask to limit ALS max value
  (git-fixes).
- commit 2931b4d
* Wed Feb 16 2022 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: use default dracut modules (bsc#1195926,
  bsc#1198484)
  Let's iron out the reduced initrd optimisation in Tumbleweed.
  Build full blown dracut initrd with systemd for SLE15 SP4.
- rpm/kernel-obs-build.spec.in: use default dracut modules (bsc#1195926)
  Let's iron out the reduced initrd optimisation in Tumbleweed.
  Build full blown dracut initrd with systemd for SLE15 SP4.
- commit ea76821
* Tue Feb 15 2022 msuchanek@suse.de
- powerpc/pseries/ddw: Revert "Extend upper limit for huge DMA
  window for persistent memory" (bsc#1195995 ltc#196394).
- commit e2c5ef4
* Tue Feb 15 2022 tiwai@suse.de
- f2fs: fix to do sanity check on inode type during garbage
  collection (CVE-2021-44879 bsc#1195987).
- commit 6e1c3da
* Tue Feb 15 2022 denis.kirjanov@suse.com
- tipc: improve size validations for received domain records
  (bsc#1195254, CVE-2022-0435).
- commit 8dead82
* Tue Feb 15 2022 iivanov@suse.de
- brcmfmac: firmware: Fix firmware loading (bsc#1195501)
- commit 01c98dd
* Tue Feb 15 2022 iivanov@suse.de
- brcmfmac: firmware: Allow per-board firmware binaries (bsc#1195501)
- commit 4c87ae7
* Tue Feb 15 2022 pjakobsson@suse.de
- Delete
  patches.suse/drm-i915-adlp-Remove-require_force_probe-protection.patch
  (bsc#1196589).
  We did not have enough time to stablize ADL-P graphics so restore the
  experimental flag.
- Delete
  patches.suse/drm-i915-adlp-Remove-require_force_probe-protection.patch.
  We did not have enough time to stablize ADL-P graphics so restore the
  experimental flag.
- commit 0cc030f
* Tue Feb 15 2022 tiwai@suse.de
- yam: fix a memory leak in yam_siocdevprivate() (CVE-2022-24959
  bsc#1195897).
- commit 5e032d3
* Tue Feb 15 2022 pvorel@suse.cz
- fsnotify: invalidate dcache before IN_DELETE event (bsc#1195478).
- commit 0c858b7
* Tue Feb 15 2022 neilb@suse.de
- NFSD: Fix READDIR buffer overflow (git-fixes bsc#1196346).
- NFS: Fix initialisation of nfs_client cl_flags field
  (git-fixes).
- NFS: Avoid duplicate uncached readdir calls on eof (git-fixes).
- NFS: Don't skip directory entries when doing uncached readdir
  (git-fixes).
- NFS: Don't overfill uncached readdir pages (git-fixes).
- nfsd: nfsd4_setclientid_confirm mistakenly expires confirmed
  client (git-fixes).
- NFSv4: nfs_atomic_open() can race when looking up a non-regular
  file (git-fixes).
- NFS: Ensure the server has an up to date ctime before
  hardlinking (git-fixes).
- Restore kabi after NFS: pass cred explicitly for access tests
  (git-fixes).
- NFS: don't store 'struct cred *' in struct nfs_access_entry
  (git-fixes).
- NFS: pass cred explicitly for access tests (git-fixes).
- nfsd: fix crash on COPY_NOTIFY with special stateid (git-fixes).
- Revert "nfsd: skip some unnecessary stats in the v4 case"
  (git-fixes).
- NFSD: Fix verifier returned in stable WRITEs (git-fixes).
- NFSD: Fix zero-length NFSv3 WRITEs (git-fixes).
- md: Move alloc/free acct bioset in to personality (git-fixes).
- NFSD: Fix READDIR buffer overflow (git-fixes).
- md: fix update super 1.0 on rdev size change (git-fixes).
- nfsd: Fix nsfd startup race (again) (git-fixes).
- SUNRPC: use different lock keys for INET6 and LOCAL (git-fixes).
- NFSv42: Fix pagecache invalidation after COPY/CLONE (git-fixes).
- NFSv42: Don't fail clone() unless the OP_CLONE operation failed
  (git-fixes).
- commit a149497
* Tue Feb 15 2022 neilb@suse.de
- Refresh patches.suse/SUNRPC-lock-against-sock-changing-during-sysfs-read.patch.
  Add upstream commit
- commit f607fe3
* Mon Feb 14 2022 msuchanek@suse.de
- Update kabi files.
- commit f6a01f9
* Mon Feb 14 2022 tiwai@suse.de
- usb: gadget: clear related members when goto fail
  (CVE-2022-24958 bsc#1195905).
- usb: gadget: don't release an existing dev->buf (CVE-2022-24958
  bsc#1195905).
- commit eaa2838
* Mon Feb 14 2022 dbueso@suse.de
- zsmalloc: replace get_cpu_var with local_lock (bsc#1189998).
- zsmalloc: replace per zpage lock with pool->migrate_lock
  (bsc#1189998).
- locking/rwlocks: introduce write_lock_nested (bsc#1189998).
- zsmalloc: remove zspage isolation for migration (bsc#1189998).
- zsmalloc: move huge compressed obj from page to zspage
  (bsc#1189998).
- zsmalloc: introduce obj_allocated (bsc#1189998).
- zsmalloc: decouple class actions from zspage works
  (bsc#1189998).
- zsmalloc: rename zs_stat_type to class_stat_type (bsc#1189998).
- zsmalloc: introduce some helper functions (bsc#1189998).
- zsmalloc: Stop using slab fields in struct page (bsc#1189998
  bsc#1190208).
- commit e42cd64
* Mon Feb 14 2022 tiwai@suse.de
- Move upstreamed i915 and ibmvnic patches into sorted section
- commit a7ec0e0
* Mon Feb 14 2022 tiwai@suse.de
- ALSA: hda/realtek: Fix deadlock by COEF mutex (bsc#1195913).
- ALSA: usb-audio: Don't abort resume upon errors (bsc#1195913).
- ALSA: memalloc: invalidate SG pages before sync (bsc#1195913).
- ALSA: memalloc: Fix dma_need_sync() checks (bsc#1195913).
- commit eaeb544
* Mon Feb 14 2022 vkarasulli@suse.de
- moxart: fix potential use-after-free on remove path (bsc#1194516
  CVE-2022-0487).
- commit 4e8eccc
* Mon Feb 14 2022 iivanov@suse.de
- brcmfmac: use separate firmware for 43430 revision 2 (bsc#1195501)
- commit 5b616d7
* Mon Feb 14 2022 osalvador@suse.de
- memcg: do not tweak node in alloc_mem_cgroup_per_node_info
  (bsc#1195752).
- mm: make free_area_init_node aware of memory less nodes
  (bsc#1195752).
- mm, memory_hotplug: reorganize new pgdat initialization
  (bsc#1195752).
- mm, memory_hotplug: drop arch_free_nodedata (bsc#1195752).
- mm: handle uninitialized numa nodes gracefully (bsc#1195752).
- mm, memory_hotplug: make arch_alloc_nodedata independent on
  CONFIG_MEMORY_HOTPLUG (bsc#1195752).
- commit 8bbe670
* Mon Feb 14 2022 mgorman@suse.de
- cpuidle: menu: Bias selection of a shallower c-state when CPU
  idles for IO (bnc#1193353).
- commit 3f1a503
* Mon Feb 14 2022 neilb@suse.de
- nfsd: don't admin-revoke NSv4.0 state ids (bsc#1192483).
- nfsd: allow delegation state ids to be revoked and then freed
  (bsc#1192483).
- nfsd: allow lock state ids to be revoked and then freed
  (bsc#1192483).
- nfsd: allow open state ids to be revoked and then freed
  (bsc#1192483).
- nfsd: prepare for supporting admin-revocation of state
  (bsc#1192483).
- commit ed38bd2
* Sun Feb 13 2022 tiwai@suse.de
- iio: buffer: Fix file related error handling in
  IIO_BUFFER_GET_FD_IOCTL (git-fixes).
- speakup-dectlk: Restore pitch setting (git-fixes).
- phy: dphy: Correct clk_pre parameter (git-fixes).
- phy: stm32: fix a refcount leak in stm32_usbphyc_pll_enable()
  (git-fixes).
- phy: xilinx: zynqmp: Fix bus width setting for SGMII
  (git-fixes).
- phy: ti: Fix missing sentinel for clk_div_table (git-fixes).
- phy: broadcom: Kconfig: Fix PHY_BRCM_USB config option
  (git-fixes).
- eeprom: ee1004: limit i2c reads to I2C_SMBUS_BLOCK_MAX
  (git-fixes).
- misc: fastrpc: avoid double fput() on failed usercopy
  (git-fixes).
- staging: fbtft: Fix error path in fbtft_driver_module_init()
  (git-fixes).
- n_tty: wake up poll(POLLRDNORM) on receiving data (git-fixes).
- net: usb: ax88179_178a: Fix out-of-bounds accesses in RX fixup
  (git-fixes).
- usb: dwc3: gadget: Prevent core from processing stale TRBs
  (git-fixes).
- usb: gadget: udc: renesas_usb3: Fix host to USB_ROLE_NONE
  transition (git-fixes).
- usb: raw-gadget: fix handling of dual-direction-capable
  endpoints (git-fixes).
- usb: ulpi: Call of_node_put correctly (git-fixes).
- usb: ulpi: Move of_node_put to ulpi_dev_release (git-fixes).
- usb: f_fs: Fix use-after-free for epfile (git-fixes).
- usb: dwc3: xilinx: fix uninitialized return value (git-fixes).
- commit 1b423e6
* Sun Feb 13 2022 fweisbecker@suse.de
- static_call: Fix tools headers (bsc#1194975).
- commit e04353c
* Sat Feb 12 2022 tiwai@suse.de
- arm64: Add Cortex-A510 CPU part definition (git-fixes).
- ARM: dts: meson8b: Fix the UART device-tree schema validation
  (git-fixes).
- ARM: dts: meson8: Fix the UART device-tree schema validation
  (git-fixes).
- ARM: dts: meson: Fix the UART compatible strings (git-fixes).
- ARM: socfpga: fix missing RESET_CONTROLLER (git-fixes).
- arm64: dts: imx8mq: fix lcdif port node (git-fixes).
- ARM: dts: imx7ulp: Fix 'assigned-clocks-parents' typo
  (git-fixes).
- ARM: dts: imx23-evk: Remove MX23_PAD_SSP1_DETECT from hog group
  (git-fixes).
- ARM: dts: imx6qdl-udoo: Properly describe the SD card detect
  (git-fixes).
- arm64: dts: meson-sm1-odroid: fix boot loop after reboot
  (git-fixes).
- arm64: dts: meson-sm1-bananapi-m5: fix wrong GPIO domain for
  GPIOE_2 (git-fixes).
- arm64: dts: meson-sm1-odroid: use correct enable-gpio pin for
  tf-io regulator (git-fixes).
- arm64: dts: meson-g12b-odroid-n2: fix typo 'dio2133'
  (git-fixes).
- ARM: dts: Fix timer regression for beagleboard revision c
  (git-fixes).
- ACPI/IORT: Check node revision for PMCG resources (git-fixes).
- PM: s2idle: ACPI: Fix wakeup interrupts handling (git-fixes).
- ACPI: PM: s2idle: Cancel wakeup before dispatching EC GPE
  (git-fixes).
- gpio: sifive: use the correct register to read output values
  (git-fixes).
- gpiolib: Never return internal error codes to user space
  (git-fixes).
- gpio: aggregator: Fix calling into sleeping GPIO controllers
  (git-fixes).
- drm/amd/pm: fix hwmon node of power1_label create issue
  (git-fixes).
- drm/rockchip: vop: Correct RK3399 VOP register fields
  (git-fixes).
- drm/panel: simple: Assign data from panel_dpi_probe() correctly
  (git-fixes).
- drm/vc4: hdmi: Allow DBLCLK modes even if horz timing is odd
  (git-fixes).
- arm64: Add Cortex-A510 CPU part definition (git-fixes).
- commit 1fd20fb
* Fri Feb 11 2022 msuchanek@suse.de
- kernel-binary: Do not include sourcedir in certificate path.
  The certs macro runs before build directory is set up so it creates the
  aggregate of supplied certificates in the source directory.
  Using this file directly as the certificate in kernel config works but
  embeds the source directory path in the kernel config.
  To avoid this symlink the certificate to the build directory and use
  relative path to refer to it.
  Also fabricate a certificate in the same location in build directory
  when none is provided.
- commit bb988d4
* Fri Feb 11 2022 msuchanek@suse.de
- BTF: Don't break ABI when debuginfo is disabled (jsc#SLE-18805).
  This makes re-enabling BTF for modules possible once fix for bsc#1194501
  is available.
- commit afc52cd
* Fri Feb 11 2022 msuchanek@suse.de
- Revert "Update config files: disable DEBUG_INFO_BTF_MODULES (bsc#1194501)."
  This reverts commit b07bf3e61cc5aa7a5cd1b9b5289bc10db746a416.
- commit 6f689d6
* Fri Feb 11 2022 msuchanek@suse.de
- constraints: Also adjust disk requirement for x86 and s390.
- commit 9719db0
* Fri Feb 11 2022 msuchanek@suse.de
- constraints: Increase disk space for aarch64
- commit 09c2882
* Fri Feb 11 2022 iivanov@suse.de
- supported.conf Add TDA4VM-SK modules (jsc#PED-1379)
- commit 890c2be
* Fri Feb 11 2022 iivanov@suse.de
- config/arm64: Add support for TDA4VM-SK machine (jsc#PED-1379)
- commit e6bb890
* Fri Feb 11 2022 tiwai@suse.de
- can: isotp: fix error path in isotp_sendmsg() to unlock wait
  queue (git-fixes).
- can: isotp: fix potential CAN frame reception race in
  isotp_rcv() (git-fixes).
- commit 68e8f68
* Thu Feb 10 2022 lizhang@suse.de
- KVM: s390: Return error on SIDA memop on normal guest
  (bsc#1195516 CVE-2022-0516).
- commit 3db2d99
* Thu Feb 10 2022 tiwai@suse.de
- crypto: api - Move cryptomgr soft dependency into algapi
  (git-fixes).
- commit 9b78867
* Wed Feb  9 2022 dbueso@suse.de
- locking: Remove rt_rwlock_is_contended() (bsc#1190137
  bsc#1189998).
- net: dev: Change the order of the arguments for the contended
  condition (bsc#1189998).
- net: dev: Always serialize on Qdisc::busylock in
  __dev_xmit_skb() on PREEMPT_RT (bsc#1189998).
- commit 9e29e45
* Wed Feb  9 2022 dbueso@suse.de
- md/raid5: play nice with PREEMPT_RT (bsc#1189998).
- locking: Make owner_on_cpu() into <linux/sched.h> (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Add rt_mutex_lock_nest_lock() and
  rt_mutex_lock_killable() (bsc#1190137 bsc#1189998).
- locking/rtmutex: Squash self-deadlock check for ww_rt_mutex
  (bsc#1190137 bsc#1189998).
- u64_stats: Disable preemption on 32bit UP+SMP PREEMPT_RT during
  updates (bsc#1189998).
- mm/scatterlist: replace the !preemptible warning in
  sg_miter_stop() (bsc#1189998).
- commit 8887152
* Wed Feb  9 2022 lizhang@suse.de
- KVM: selftests: Don't skip L2's VMCALL in SMM test for SVM guest
  (bsc#1194523).
- selftests: KVM: sev_migrate_tests: Fix sev_ioctl()
  (bsc#1194526).
- commit 5056d9e
* Wed Feb  9 2022 tiwai@suse.de
- Update kabi files.
  update for the latest scheduler changes
- commit cd3c5e1
* Wed Feb  9 2022 msuchanek@suse.de
- ibmvnic: don't release napi in __ibmvnic_open() (bsc#1195668
  ltc#195811).
- commit 32cdbed
* Wed Feb  9 2022 mgorman@suse.de
- sched/fair: Adjust the allowed NUMA imbalance when SD_NUMA
  spans multiple LLCs (bsc#1192120).
- sched/fair: Improve consistency of allowed NUMA balance
  calculations (bsc#1192120).
- commit 6c87519
* Wed Feb  9 2022 tiwai@suse.de
- ASoC: codecs: wcd938x: fix return value of mixer put function
  (git-fixes).
- drm/amd/display: Force link_rate as LINK_RATE_RBR2 for 2018 15"
  Apple Retina panels (git-fixes).
- drm/amd/display: watermark latencies is not enough on DCN31
  (git-fixes).
- drm/amd/pm: correct the MGpuFanBoost support for Beige Goby
  (git-fixes).
- e1000e: Separate ADP board type from TGP (git-fixes).
- commit 156924b
* Wed Feb  9 2022 tiwai@suse.de
- Revert ASoC mediatek patch
  Reverted in stable tree as it causes a regression on Chromebooks
- commit 037ce32
* Wed Feb  9 2022 vkarasulli@suse.de
- NFSv4: Handle case where the lookup of a directory fails
  (bsc#1195612 CVE-2022-24448).
- commit 3f047de
* Tue Feb  8 2022 mkoutny@suse.com
- cgroup-v1: Require capabilities to set release_agent
  (bsc#1195543 CVE-2022-0492).
- commit 80c2825
* Tue Feb  8 2022 pjakobsson@suse.de
- drm/amdkfd: Separate pinned BOs destruction from general routine
  (bsc#1195287).
- commit 906a8df
* Tue Feb  8 2022 tiwai@suse.de
- Update patch reference for HD-audio fix (bsc#1183872)
- commit 4c0efd7
* Tue Feb  8 2022 tbogendoerfer@suse.de
- RDMA/mlx4: Don't continue event handler after memory allocation
  failure (git-fixes).
- RDMA/siw: Fix broken RDMA Read Fence/Resume logic (git-fixes).
- IB/rdmavt: Validate remote_addr during loopback atomic tests
  (git-fixes).
- IB/cm: Release previously acquired reference counter in the
  cm_id_priv (git-fixes).
- RDMA/siw: Fix refcounting leak in siw_create_qp()
  (jsc#SLE-19249).
- RDMA/ucma: Protect mc during concurrent multicast leaves
  (git-fixes).
- RDMA/cma: Use correct address when leaving multicast group
  (git-fixes).
- IB/hfi1: Fix tstats alloc and dealloc (git-fixes).
- IB/hfi1: Fix AIP early init panic (git-fixes).
- IB/hfi1: Fix alloc failure with larger txqueuelen (git-fixes).
- IB/hfi1: Fix panic with larger ipoib send_queue_size
  (jsc#SLE-19242).
- net/mlx5e: Avoid field-overflowing memcpy() (git-fixes).
- net/mlx5e: Use struct_group() for memcpy() region (git-fixes).
- net/mlx5e: Avoid implicit modify hdr for decap drop rule
  (jsc#SLE-19253).
- net/mlx5e: IPsec: Fix tunnel mode crypto offload for non
  TCP/UDP traffic (git-fixes).
- net/mlx5e: IPsec: Fix crypto offload for non TCP/UDP
  encapsulated traffic (git-fixes).
- net/mlx5e: Don't treat small ceil values as unlimited in HTB
  offload (git-fixes).
- net/mlx5: E-Switch, Fix uninitialized variable modact
  (git-fixes).
- net/mlx5e: Fix handling of wrong devices during bond netevent
  (git-fixes).
- net/mlx5e: Fix broken SKB allocation in HW-GRO (jsc#SLE-19253).
- net/mlx5e: Fix wrong calculation of header index in HW_GRO
  (jsc#SLE-19253).
- net/mlx5: Bridge, Fix devlink deadlock on net namespace deletion
  (git-fixes).
- net/mlx5: Fix offloading with ESWITCH_IPV4_TTL_MODIFY_ENABLE
  (jsc#SLE-19253).
- net/mlx5e: TC, Reject rules with forward and drop actions
  (git-fixes).
- net/mlx5: Use del_timer_sync in fw reset flow of halting poll
  (git-fixes).
- net/mlx5e: Fix module EEPROM query (git-fixes).
- net/mlx5e: TC, Reject rules with drop and modify hdr action
  (git-fixes).
- net/mlx5: Bridge, ensure dev_name is null-terminated
  (git-fixes).
- net/mlx5: Bridge, take rtnl lock in init error handler
  (git-fixes).
- i40e: Fix reset path while removing the driver (git-fixes).
- i40e: Fix reset bw limit when DCB enabled with 1 TC (git-fixes).
- gve: fix the wrong AdminQ buffer queue index check (git-fixes).
- gve: Fix GFP flags when allocing pages (git-fixes).
- net: hns3: handle empty unknown interrupt for VF (git-fixes).
- i40e: fix unsigned stat widths (git-fixes).
- i40e: Fix for failed to init adminq while VF reset (git-fixes).
- i40e: Fix queues reservation for XDP (git-fixes).
- i40e: Fix issue when maximum queues is exceeded (git-fixes).
- i40e: Increase delay to 1 s after global EMP reset (git-fixes).
- stddef: Introduce DECLARE_FLEX_ARRAY() helper (git-fixes).
- commit 8c4be7e
* Tue Feb  8 2022 tiwai@suse.de
- mmc: core: Wait for command setting 'Power Off Notification'
  bit to complete (git-fixes).
- mmc: sdhci-of-esdhc: Check for error num after setting mask
  (git-fixes).
- ima: Do not print policy rule with inactive LSM labels
  (git-fixes).
- ima: Allow template selection with ima_template[_fmt]= after
  ima_hash= (git-fixes).
- ima: Remove ima_policy file before directory (git-fixes).
- integrity: check the return value of audit_log_start()
  (git-fixes).
- ima: fix reference leak in asymmetric_verify() (git-fixes).
- ALSA: usb-audio: initialize variables that could ignore errors
  (git-fixes).
- commit 588dbf8
* Mon Feb  7 2022 lduncan@suse.com
- mptcp: add missing documented NL params (git-fixes).
- commit 6ddf1d2
* Mon Feb  7 2022 bp@suse.de
- EDAC/xgene: Fix deferred probing (bsc#1190497).
- commit f77b4a3
* Mon Feb  7 2022 msuchanek@suse.de
- powerpc/perf: Fix power_pmu_disable to call
  clear_pmi_irq_pending only if PMI is pending (bsc#1156395).
- commit 4a310dd
* Mon Feb  7 2022 tiwai@suse.de
- drm/i915: Workaround broken BIOS DBUF configuration on TGL/RKL
  (bsc#1193640).
- drm/i915: Populate pipe dbuf slices more accurately during
  readout (bsc#1193640).
- drm/i915: Allow !join_mbus cases for adlp+ dbuf configuration
  (bsc#1193640).
- commit 5da0923
* Mon Feb  7 2022 jack@suse.cz
- block: Provide blk_mq_sched_get_icq() (bsc#1184318).
- commit cbb053e
* Mon Feb  7 2022 jack@suse.cz
- bfq: Limit waker detection in time (bsc#1184318).
- commit ef96b3e
* Mon Feb  7 2022 jack@suse.cz
- bfq: Limit number of requests consumed by each cgroup
  (bsc#1184318).
- commit d13944f
* Mon Feb  7 2022 jack@suse.cz
- bfq: Store full bitmap depth in bfq_data (bsc#1184318).
- bfq: Track number of allocated requests in bfq_entity
  (bsc#1184318).
- commit 118f855
* Sat Feb  5 2022 tiwai@suse.de
- ASoC: hdmi-codec: Fix OOB memory accesses (git-fixes).
- ASoC: ops: Reject out of bounds values in snd_soc_put_xr_sx()
  (git-fixes).
- ASoC: ops: Reject out of bounds values in snd_soc_put_volsw_sx()
  (git-fixes).
- ASoC: ops: Reject out of bounds values in snd_soc_put_volsw()
  (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS GU603 (git-fixes).
- ALSA: hda/realtek: Fix silent output on Gigabyte X570 Aorus
  Xtreme after reboot from Windows (git-fixes).
- ALSA: hda/realtek: Fix silent output on Gigabyte X570S Aorus
  Master (newer chipset) (git-fixes).
- ALSA: hda/realtek: Add missing fixup-model entry for Gigabyte
  X570 ALC1220 quirks (git-fixes).
- ALSA: hda: realtek: Fix race at concurrent COEF updates
  (git-fixes).
- commit e8caa02
* Sat Feb  5 2022 tiwai@suse.de
- Input: wm97xx: Simplify resource management (git-fixes).
- ASoC: fsl: Add missing error handling in pcm030_fabric_probe
  (git-fixes).
- ASoC: codecs: lpass-rx-macro: fix sidetone register offsets
  (git-fixes).
- ASoC: max9759: fix underflow in speaker_gain_control_put()
  (git-fixes).
- ASoC: cpcap: Check for NULL pointer after calling
  of_get_child_by_name (git-fixes).
- ASoC: simple-card: fix probe failure on platform component
  (git-fixes).
- ASoC: xilinx: xlnx_formatter_pcm: Make buffer bytes multiple
  of period bytes (git-fixes).
- ALSA: hda: Skip codec shutdown in case the codec is not
  registered (git-fixes).
- ALSA: usb-audio: Correct quirk for VF0770 (git-fixes).
- ALSA: hda: Fix signedness of sscanf() arguments (git-fixes).
- drm/i915/adlp: Fix TypeC PHY-ready status readout (git-fixes).
- drm/i915/overlay: Prevent divide by zero bugs in scaling
  (git-fixes).
- dma-buf: heaps: Fix potential spectre v1 gadget (git-fixes).
- drm/nouveau: fix off by one in BIOS boundary checking
  (git-fixes).
- drm/kmb: Fix for build errors with Warray-bounds (git-fixes).
- drm/amd: avoid suspend on dGPUs w/ s2idle support when runtime
  PM enabled (git-fixes).
- PM: wakeup: simplify the output logic of pm_show_wakelocks()
  (git-fixes).
- commit a59bc15
* Sat Feb  5 2022 tiwai@suse.de
- Move upstreamed sound fix into sorted section
- commit 80571bb
* Sat Feb  5 2022 tiwai@suse.de
- Refresh patches.suse/Input-elan_i2c-Add-deny-list-for-Lenovo-Yoga-Slim-7.patch
  Fix section mistmatch warning
- commit af02a31
* Sat Feb  5 2022 mkubecek@suse.cz
- Delete patches.suse/net-sched-disable-nolock-pfifo-fast.patch. (bsc#1187428)
  This patch was a temporary workaround for bsc#1183405 race condition.
  As SLE15-SP4 is based on 5.14 kernel which contains the upstream fix for
  the race condition, disabling lockless implementation of pfifo_fast is not
  actually needed.
- commit dd7ef49
* Fri Feb  4 2022 tiwai@suse.de
- Input: elan_i2c: Add deny list for Lenovo Yoga Slim 7
  (bsc#1193064).
- Input: synaptics: retry query upon error (bsc#1194086).
- commit 54e65d3
* Fri Feb  4 2022 tiwai@suse.de
- e1000e: Handshake with CSME starts from ADL platforms
  (git-fixes).
- pinctrl: bcm2835: Fix a few error paths (git-fixes).
- pinctrl: intel: Fix a glitch when updating IRQ flags on a
  preconfigured line (git-fixes).
- pinctrl: intel: fix unexpected interrupt (git-fixes).
- pinctrl: sunxi: Fix H616 I2S3 pin data (git-fixes).
- commit d1f0342
* Thu Feb  3 2022 lizhang@suse.de
- selftests: fix check for circular
  KVM_CAP_VM_MOVE_ENC_CONTEXT_FROM (bsc#1194526).
- commit c1f5ec0
* Thu Feb  3 2022 trenn@suse.com
- This is about really old Lenovo laptop HW/firmware issues
  It's very likely that this has been fixed in firmware or in acpi
  subsystem with another patch/blacklist whatsoever.
  Removing for cleanup reasons:
- Delete patches.suse/acpi_thermal_passive_blacklist.patch.
- Delete
  patches.suse/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch.
- commit a21f3a8
* Thu Feb  3 2022 lizhang@suse.de
- selftest: KVM: Add open sev dev helper (bsc#1194526).
- commit 995bc50
* Thu Feb  3 2022 lizhang@suse.de
- KVM: selftests: Re-enable access_tracking_perf_test
  (bsc#1194526).
- commit 6db3f57
* Thu Feb  3 2022 lizhang@suse.de
- selftests: kvm/x86: Fix the warning in lib/x86_64/processor.c
  (bsc#1194526).
- selftests: KVM: Add /x86_64/sev_migrate_tests to .gitignore
  (bsc#1194526).
- selftests: KVM: Fix check for !POLLIN in demand_paging_test
  (bsc#1194526).
- commit 4af276f
* Thu Feb  3 2022 vbabka@suse.cz
- Update kabi files.
- Initial import from 2022-02-02 weekly submission
  (commit 0d67d764121814add0f9e5468b80f3b8c8866bc7)
- The kABI Soft Freeze.
- Update kabi files.
- Initial import from 2022-02-02 weekly submission - the kABI Soft Freeze.
- commit 2ba84fd
* Thu Feb  3 2022 lizhang@suse.de
- KVM: SEV: Mark nested locking of kvm->lock (bsc#1194526).
- KVM: SVM: Do not terminate SEV-ES guests on GHCB validation
  failure (bsc#1194526).
- KVM: SEV: Fall back to vmalloc for SEV-ES scratch area if
  necessary (bsc#1194526).
- KVM: SEV: Return appropriate error codes if SEV-ES scratch
  setup fails (bsc#1194526).
- KVM: SEV: accept signals in sev_lock_two_vms (bsc#1194526).
- KVM: SEV: do not take kvm->lock when destroying (bsc#1194526).
- commit 908b6a9
* Wed Feb  2 2022 jack@suse.cz
- fanotify: Fix stale file descriptor in copy_event_to_user()
  (bsc#1195187).
- commit c598009
* Wed Feb  2 2022 jwiesner@suse.de
- tcp: Add a stub for sk_defer_free_flush() (bsc#1195400).
- commit 66984be
* Wed Feb  2 2022 vbabka@suse.cz
- mm: vmscan: remove deadlock due to throttling failing to make
  progress (bsc#1195357).
- commit 6096a6d
* Wed Feb  2 2022 lizhang@suse.de
- KVM: SEV: Prohibit migration of a VM that has mirrors
  (bsc#1194526).
- KVM: SEV: Do COPY_ENC_CONTEXT_FROM with both VMs locked
  (bsc#1194526).
- KVM: SEV: Fix typo in and tweak name of cmd_allowed_from_miror()
  (bsc#1194526).
- KVM: SEV: Drop a redundant setting of sev->asid during
  initialization (bsc#1194526).
- KVM: SEV: Set sev_info.active after initial checks in
  sev_guest_init() (bsc#1194526).
- KVM: SEV: Disallow COPY_ENC_CONTEXT_FROM if target has created
  vCPUs (bsc#1194526).
- commit 806c843
* Wed Feb  2 2022 tiwai@suse.de
- Update patch reference for radeon regression fix (bsc#1195142)
- commit bc75946
* Wed Feb  2 2022 tiwai@suse.de
- spi: mediatek: Avoid NULL pointer crash in interrupt
  (git-fixes).
- spi: bcm-qspi: check for valid cs before applying chip select
  (git-fixes).
- spi: uniphier: fix reference count leak in uniphier_spi_probe()
  (git-fixes).
- spi: meson-spicc: add IRQ check in meson_spicc_probe
  (git-fixes).
- spi: stm32-qspi: Update spi registering (git-fixes).
- irqchip/realtek-rtl: Fix off-by-one in routing (git-fixes).
- irqchip/realtek-rtl: Map control data to virq (git-fixes).
- tty: Add support for Brainboxes UC cards (git-fixes).
- usb: xhci-plat: fix crash when suspend if remote wake enable
  (git-fixes).
- USB: core: Fix hang in usb_kill_urb by adding memory barriers
  (git-fixes).
- usb-storage: Add unusual-devs entry for VL817 USB-SATA bridge
  (git-fixes).
- efi: runtime: avoid EFIv2 runtime services on Apple x86 machines
  (git-fixes).
- efi/libstub: arm64: Fix image check alignment at entry
  (git-fixes).
- drm/amd/display: Fix FP start/end for dcn30_internal_validate_bw
  (git-fixes).
- drm/msm/dsi: Fix missing put_device() call in dsi_get_phy
  (git-fixes).
- sch_htb: Fail on unsupported parameters when offload is
  requested (git-fixes).
- can: tcan4x5x: regmap: fix max register value (git-fixes).
- phylib: fix potential use-after-free (git-fixes).
- net: phy: broadcom: hook up soft_reset for BCM54616S
  (git-fixes).
- rpmsg: char: Fix race between the release of rpmsg_eptdev and
  cdev (git-fixes).
- rpmsg: char: Fix race between the release of rpmsg_ctrldev
  and cdev (git-fixes).
- ARM: 9180/1: Thumb2: align ALT_UP() sections in modules
  sufficiently (git-fixes).
- usr/include/Makefile: add linux/nfc.h to the compile-test
  coverage (git-fixes).
- gpio: aspeed: Convert aspeed_gpio.lock to raw_spinlock
  (git-fixes).
- Bluetooth: refactor malicious adv data check (git-fixes).
- commit b99299d
* Tue Feb  1 2022 jwiesner@suse.de
- tcp: add a missing sk_defer_free_flush() in tcp_splice_read()
  (bsc#1195400).
- commit 90f376b
* Tue Feb  1 2022 jwiesner@suse.de
- net: Flush deferred skb free on socket destroy (bsc#1195400).
- commit 2e63a82
* Tue Feb  1 2022 jwiesner@suse.de
- net/tls: Fix another skb memory leak when running kTLS traffic
  (bsc#1195400).
- commit 3aa18f4
* Tue Feb  1 2022 jwiesner@suse.de
- net/tls: Fix skb memory leak when running kTLS traffic
  (bsc#1195400).
- commit a9990a3
* Tue Feb  1 2022 jwiesner@suse.de
- tcp: add missing htmldocs for skb->ll_node and sk->defer_list
  (bsc#1195400).
- commit 495cd25
* Tue Feb  1 2022 jwiesner@suse.de
- tcp: do not call tcp_cleanup_rbuf() if we have a backlog
  (bsc#1195400).
- commit d5025e5
* Tue Feb  1 2022 jwiesner@suse.de
- tcp: defer skb freeing after socket lock is released
  (bsc#1195400).
- commit 5ddbe0e
* Tue Feb  1 2022 jwiesner@suse.de
- tcp: avoid indirect calls to sock_rfree (bsc#1195400).
- commit 6167ff6
* Tue Feb  1 2022 jwiesner@suse.de
- tcp: small optimization in tcp recvmsg() (bsc#1195400).
- commit 4db4a08
* Tue Feb  1 2022 oneukum@suse.com
- rfkill: add kABI padding Patch-mainline: Never, kABI padding
  References: bsc#1179531 (bsc#1179531).
- commit 4badc70
* Tue Feb  1 2022 mgorman@suse.de
- sched/core: Forced idle accounting (bsc#1189999 (Scheduler
  functional and performance backports)).
- sched: Make schedstats helpers independent of fair sched class
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: Make struct sched_statistics independent of fair sched
  class (bsc#1189999 (Scheduler functional and performance
  backports)).
- commit 3157933
* Tue Feb  1 2022 tzimmermann@suse.de
- List simpledrm in supported.conf (jsc#SLE-18823)
  Makes the driver part of the regular kernel-default package.
- commit 7522e67
* Tue Feb  1 2022 ohering@suse.de
- continue to provide guest OS id on hyperv (bnc#814005, bsc#1189965).
- commit 69937ca
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: Fix driver->notify() vs ->probe() race
  (git-fixes).
- commit 1957b33
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: introduce helper to convert driver to WMI
  driver (git-fixes).
- commit 0d205fc
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: Replace read_takes_no_args with a flags field
  (git-fixes).
- commit 4e01e3a
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: make GUID block packed (git-fixes).
- commit d4f4098
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: use guid_t and guid_equal() (git-fixes).
- commit ba3700f
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: use bool instead of int (git-fixes).
- commit fcf29d7
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: use BIT() macro (git-fixes).
- commit fefbbd1
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: remove unnecessary checks (git-fixes).
- commit bb591a0
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: remove unnecessary casts (git-fixes).
- commit 3b81cff
* Tue Feb  1 2022 oneukum@suse.com
- platform/x86: wmi: remove unnecessary argument (git-fixes).
- commit 46d5bd4
* Tue Feb  1 2022 jack@suse.cz
- Delete patches.suse/bfq-tune-slice-idle.patch: BFQ logic has improved
  and QA results don't indicate we need this anymore.
- commit 0ad80b2
* Tue Feb  1 2022 nstange@suse.de
- crypto: HMAC - disallow keys < 112 bits in FIPS mode
  (jsc#SLE-21132,bsc#1193136).
- commit 3e251f8
* Tue Feb  1 2022 nstange@suse.de
- crypto: HMAC - add fips_skip support
  (jsc#SLE-21132,bsc#1193136).
- commit d7c3015
* Tue Feb  1 2022 tbogendoerfer@suse.de
- blacklist.conf: Added dups
- commit 2333475
* Tue Feb  1 2022 tiwai@suse.de
- Drop superfluous x86 SME patch
  The commit already present in another patch
- commit f64529e
* Tue Feb  1 2022 shung-hsi.yu@suse.com
- Update config files: disable DEBUG_INFO_BTF_MODULES (bsc#1194501).
- commit b07bf3e
* Tue Feb  1 2022 shung-hsi.yu@suse.com
- bpf: make module BTF toggleable (bsc#1194501).
- commit e268acf
* Tue Feb  1 2022 shung-hsi.yu@suse.com
- kABI padding for bpf (bsc#1179531).
- commit 15e30ef
* Tue Feb  1 2022 bp@suse.de
- x86/sme: Explicitly map new EFI memmap table as encrypted
  (bsc#1190497).
- commit 6282a43
* Tue Feb  1 2022 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Support non-uniform MCA bank type
  enumeration (jsc#SLE-19026).
- commit 3f43757
* Mon Jan 31 2022 bp@suse.de
- x86/MCE/AMD: Export smca_get_bank_type symbol (jsc#SLE-19026).
- commit 49cf559
* Mon Jan 31 2022 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Add new SMCA bank types
  (jsc#SLE-19026).
- commit a089c33
* Mon Jan 31 2022 bp@suse.de
- EDAC/amd64: Add support for AMD Family 19h Models 10h-1Fh and
  A0h-AFh (jsc#SLE-19026).
- commit 804cac2
* Mon Jan 31 2022 bp@suse.de
- EDAC: Add RDDR5 and LRDDR5 memory types (jsc#SLE-19026).
- commit 4ca03fe
* Mon Jan 31 2022 lduncan@suse.com
- scsi: nsp_cs: Check of ioremap return value (git-fixes).
- scsi: ufs: ufs-mediatek: Fix error checking in
  ufs_mtk_init_va09_pwr_ctrl() (git-fixes).
- scsi: qedf: Fix potential dereference of NULL pointer
  (git-fixes).
- scsi: Revert "scsi: hisi_sas: Filter out new PHY up events
  during suspend" (git-fixes).
- scsi: ufs: Fix race conditions related to driver data
  (git-fixes).
- scsi: pm8001: Fix kernel-doc warnings (git-fixes).
- scsi: core: Show SCMD_LAST in text form (git-fixes).
- scsi: pm80xx: Update WARN_ON check in pm8001_mpi_build_cmd()
  (git-fixes).
- commit 5fed070
* Mon Jan 31 2022 lduncan@suse.com
- Added blacklisted SCSI ufs commit
- commit 89e75cd
* Mon Jan 31 2022 tonyj@suse.de
- supported.conf: Mark drivers/perf/arm_dmc620_pmu as supported (jsc#SLE-19041)
- commit 48e38f8
* Mon Jan 31 2022 nstange@suse.de
- crypto: testmgr - disallow plain ghash in FIPS mode
  (jsc#SLE-21132,bsc#1194777).
- commit a8532d3
* Mon Jan 31 2022 nstange@suse.de
- crypto: testmgr - disallow plain cbcmac(aes) in FIPS mode
  (jsc#SLE-21132,bsc#1194774).
- commit 70677c0
* Mon Jan 31 2022 mgorman@suse.de
- sched/fair: Revert update_pick_idlest() Select group with
  lowest group_util when idle_cpus are equal (bnc#1193175).
- commit 5418435
* Mon Jan 31 2022 mgorman@suse.de
- intel_idle: enable interrupts before C1 on Xeons (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit 78fa711
* Mon Jan 31 2022 mgorman@suse.de
- filemap: Remove PageHWPoison check from next_uptodate_page()
  (bnc#1190208 (MM functional and performance backports)).
- sched: Trigger warning if ->migration_disabled counter
  underflows (bnc#1189998 (PREEMPT_RT prerequisite backports)).
- sched/fair: Cleanup task_util and capacity type (bnc#1189999
  (Scheduler functional and performance backports)).
- psi: Fix PSI_MEM_FULL state when tasks are in memstall
  and doing reclaim (bnc#1189999 (Scheduler functional and
  performance backports)).
- psi: Add a missing SPDX license header (bnc#1189999 (Scheduler
  functional and performance backports)).
- psi: Remove repeated verbose comment (bnc#1189999 (Scheduler
  functional and performance backports)).
- commit edff965
* Mon Jan 31 2022 nstange@suse.de
- crypto: api - Allow algs only in specific constructions in
  FIPS mode (jsc#SLE-21132,bsc#1191256,bsc#1194774,bsc#1194777).
- Refresh
  patches.suse/0001-crypto-implement-downstream-solution-for-disabling-d.patch.
- commit 592d0ee
* Mon Jan 31 2022 mkoutny@suse.com
- blacklist.conf: Add a7ebf564de32 mm/memcg: relocate mod_objcg_mlstate(), get_obj_stock() and put_obj_stock()
- commit 69f3db3
* Mon Jan 31 2022 tiwai@suse.de
- ALSA: hda: Remove redundant runtime PM calls (git-fixes).
- ALSA: hda: intel: More comprehensive PM runtime setup for
  controller driver (git-fixes).
- commit b254574
* Mon Jan 31 2022 ludwig.nussel@suse.de
- kernel-obs-build: include 9p (boo#1195353)
  To be able to share files between host and the qemu vm of the build
  script, the 9p and 9p_virtio kernel modules need to be included in
  the initrd of kernel-obs-build.
- commit 0cfe67a
* Mon Jan 31 2022 tiwai@suse.de
- ALSA: hda: Fix UAF of leds class devs at unbinding
  (bsc#1195349).
- commit 166e9b4
* Mon Jan 31 2022 tbogendoerfer@suse.de
- gve: Add tx|rx-coalesce-usec for DQO (bsc#1195276).
- gve: Add consumed counts to ethtool stats (bsc#1195276).
- gve: Implement suspend/resume/shutdown (bsc#1195276).
- gve: Add optional metadata descriptor type GVE_TXD_MTD
  (bsc#1195276).
- gve: remove memory barrier around seqno (bsc#1195276).
- gve: Update gve_free_queue_page_list signature (bsc#1195276).
- gve: Move the irq db indexes out of the ntfy block struct
  (bsc#1195276).
- gve: Correct order of processing device options (bsc#1195276).
- gve: fix for null pointer dereference (bsc#1195276).
- gve: fix unmatched u64_stats_update_end() (bsc#1195276).
- gve: Add a jumbo-frame device option (bsc#1195276).
- gve: Implement packet continuation for RX (bsc#1195276).
- gve: Add RX context (bsc#1195276).
- gve: Use kvcalloc() instead of kvzalloc() (bsc#1195276).
- commit 0803caf
* Mon Jan 31 2022 mbrugger@suse.com
- Update config files. (bsc#1195346)
  Enable DMABUF_HEAPS[_SYSTEM] configuration options
- commit 3090423
* Mon Jan 31 2022 oneukum@suse.com
- blacklist.conf: misattributed patch
- commit 8d2ba5e
* Mon Jan 31 2022 oneukum@suse.com
- blacklist.conf: misattributed patch
- commit ec33b0f
* Mon Jan 31 2022 oneukum@suse.com
- net: mcs7830: handle usb read errors properly (git-fixes).
- commit 48dab08
* Mon Jan 31 2022 jack@suse.cz
- ucount:  Make get_ucount a safe get_user replacement
  (bsc#1195306 CVE-2022-24122).
- commit b9063d5
* Mon Jan 31 2022 mbrugger@suse.com
- Refresh
  patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 0b42051
* Mon Jan 31 2022 lhenriques@suse.de
- ceph: set pool_ns in new inode layout for async creates
  (bsc#1195342).
- ceph: properly put ceph_string reference after async create
  attempt (bsc#1195341).
- commit cade32d
* Mon Jan 31 2022 bp@suse.de
- bpf,x86: Respect X86_FEATURE_RETPOLINE* (bsc#1190497).
- commit 3017e7f
* Mon Jan 31 2022 bp@suse.de
- bpf,x86: Simplify computing label offsets (bsc#1190497).
- commit b5c6689
* Mon Jan 31 2022 bp@suse.de
- x86,bugs: Unconditionally allow spectre_v2=retpoline,amd
  (bsc#1190497).
- commit 8b8edaa
* Mon Jan 31 2022 bp@suse.de
- x86/alternative: Add debug prints to apply_retpolines()
  (bsc#1190497).
- commit 76b6079
* Mon Jan 31 2022 bp@suse.de
- x86/alternative: Try inline spectre_v2=retpoline,amd
  (bsc#1190497).
- commit 4e48a24
* Mon Jan 31 2022 bp@suse.de
- x86/alternative: Handle Jcc __x86_indirect_thunk_\reg
  (bsc#1190497).
- commit 8b47d6e
* Mon Jan 31 2022 bp@suse.de
- x86/alternative: Implement .retpoline_sites support
  (bsc#1190497).
- commit 758e879
* Mon Jan 31 2022 bp@suse.de
- x86/retpoline: Create a retpoline thunk array (bsc#1190497).
- commit f1f201e
* Mon Jan 31 2022 bp@suse.de
- x86/retpoline: Move the retpoline thunk declarations to
  nospec-branch.h (bsc#1190497).
- commit 6f7882c
* Mon Jan 31 2022 bp@suse.de
- x86/asm: Fixup odd GEN-for-each-reg.h usage (bsc#1190497).
- commit 0632c94
* Mon Jan 31 2022 bp@suse.de
- x86/asm: Fix register order (bsc#1190497).
- commit f91c48e
* Mon Jan 31 2022 bp@suse.de
- x86/retpoline: Remove unused replacement symbols (bsc#1190497).
- commit 15d0b39
* Mon Jan 31 2022 bp@suse.de
- objtool,x86: Replace alternatives with .retpoline_sites
  (bsc#1190497).
- commit f215305
* Mon Jan 31 2022 bp@suse.de
- objtool: Shrink struct instruction (bsc#1190497).
- commit 633fd59
* Mon Jan 31 2022 bp@suse.de
- objtool: Explicitly avoid self modifying code in
  .altinstr_replacement (bsc#1190497).
- commit b05fae2
* Mon Jan 31 2022 bp@suse.de
- objtool: Classify symbols (bsc#1190497).
- commit c28da8d
* Mon Jan 31 2022 msuchanek@suse.de
- ibmvnic: remove unused defines (bsc#1195293 ltc#196198).
- ibmvnic: Update driver return codes (bsc#1195293 ltc#196198).
- commit 7124b18
* Mon Jan 31 2022 oneukum@suse.com
- kABI padding for generic crypto (bsc#1179531).
- commit 42a8077
* Mon Jan 31 2022 ohering@suse.de
- video: hyperv_fb: Fix validation of screen resolution
  (git-fixes).
- Drivers: hv: balloon: account for vmbus packet header in
  max_pkt_size (git-fixes).
- x86/hyperv: Properly deal with empty cpumasks in
  hyperv_flush_tlb_multi() (git-fixes).
- commit 55fdcf1
* Mon Jan 31 2022 nstange@suse.de
- crypto: seqiv - flag instantiations as FIPS compliant
  (jsc#SLE-21132,bsc#1194778).
- commit a0ea522
* Mon Jan 31 2022 tiwai@suse.de
- kbuild: remove include/linux/cyclades.h from header file check
  (git-fixes).
- commit 05fdfcd
* Mon Jan 31 2022 tiwai@suse.de
- PCI/sysfs: Find shadow ROM before static attribute
  initialization (git-fixes).
- serial: stm32: fix software flow control transfer (git-fixes).
- tty: n_gsm: fix SW flow control encoding/handling (git-fixes).
- serial: 8250: of: Fix mapped region size when using reg-offset
  property (git-fixes).
- tty: Partially revert the removal of the Cyclades public API
  (git-fixes).
- usb: cdnsp: Fix segmentation fault in cdns_lost_power function
  (git-fixes).
- usb: dwc3: xilinx: Fix error handling when getting USB3 PHY
  (git-fixes).
- usb: dwc3: xilinx: Skip resets and USB3 register settings for
  USB2.0 mode (git-fixes).
- usb: common: ulpi: Fix crash in ulpi_match() (git-fixes).
- usb: gadget: f_sourcesink: Fix isoc transfer for
  USB_SPEED_SUPER_PLUS (git-fixes).
- ucsi_ccg: Check DEV_INT bit only when starting CCG4 (git-fixes).
- usb: typec: tcpm: Do not disconnect when receiving VSAFE0V
  (git-fixes).
- usb: typec: tcpm: Do not disconnect while receiving VBUS off
  (git-fixes).
- usb: typec: tcpci: don't touch CC line if it's Vconn source
  (git-fixes).
- usb: roles: fix include/linux/usb/role.h compile issue
  (git-fixes).
- drm/amd/display: reset dcn31 SMU mailbox on failures
  (git-fixes).
- irqchip/gic-v4: Disable redistributors' view of the VPE table
  at boot time (git-fixes).
- commit 9089800
* Mon Jan 31 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 44bc450
* Sun Jan 30 2022 oneukum@suse.com
- kABI padding for qat (bsc#1179531).
- commit 38dc163
* Sat Jan 29 2022 tonyj@suse.de
- blacklist.conf: mark git-fixes added to perf userspace package
- commit adbe3cf
* Sat Jan 29 2022 nstange@suse.de
- crypto: xts - restrict key lengths to approved values in FIPS
  mode (jsc#SLE-21132,bsc#1193136).
- commit 3c220f6
* Sat Jan 29 2022 tiwai@suse.de
- ata: pata_platform: Fix a NULL pointer dereference in
  __pata_platform_probe() (git-fixes).
- hwmon: (lm90) Fix sysfs and udev notifications (git-fixes).
- hwmon: (lm90) Mark alert as broken for MAX6646/6647/6649
  (git-fixes).
- hwmon: (lm90) Mark alert as broken for MAX6680 (git-fixes).
- hwmon: (lm90) Mark alert as broken for MAX6654 (git-fixes).
- hwmon: (lm90) Re-enable interrupts after alert clears
  (git-fixes).
- hwmon: (lm90) Reduce maximum conversion rate for G781
  (git-fixes).
- drm/amd/display/dc/calcs/dce_calcs: Fix a memleak in
  calculate_bandwidth() (git-fixes).
- drm/etnaviv: relax submit size limits (git-fixes).
- drm/msm/dsi: invalid parameter check in msm_dsi_phy_enable
  (git-fixes).
- drm/msm/a6xx: Add missing suspend_count increment (git-fixes).
- drm/msm: Fix wrong size calculation (git-fixes).
- drm/msm/dpu: invalid parameter check in dpu_setup_dspp_pcc
  (git-fixes).
- drm/msm/hdmi: Fix missing put_device() call in msm_hdmi_get_phy
  (git-fixes).
- Revert "drm/ast: Support 1600x900 with 108MHz PCLK" (git-fixes).
- drm/atomic: Add the crtc to affected crtc only if uapi.enable =
  true (git-fixes).
- commit 17cd888
* Sat Jan 29 2022 tonyj@suse.de
- perf/x86/intel/uncore: Add IMC uncore support for ADL
  (git-fixes).
- perf/x86/intel/uncore: Fix CAS_COUNT_WRITE issue for ICX
  (git-fixes).
- perf/x86/intel: Add a quirk for the calculation of the number
  of counters on Alder Lake (git-fixes).
- perf: Fix perf_event_read_local() time (git-fixes).
- perf: Protect perf_guest_cbs with RCU (git-fixes).
- commit 6b315d3
* Sat Jan 29 2022 tonyj@suse.de
- bpf: Remove config check to enable bpf support for branch
  records (git-fixes).
- commit f91c35f
* Sat Jan 29 2022 tonyj@suse.de
- blacklist.conf: blacklist a672b2e36a64 bpf: Fix ringbuf memory type confusion when passing to helpers
- commit 3132b8c
* Sat Jan 29 2022 tonyj@suse.de
- bpf: Disallow BPF_LOG_KERNEL log level for bpf(BPF_BTF_LOAD)
  (git-fixes).
- bpf: Adjust BTF log size limit (git-fixes).
- commit c6f8f64
* Sat Jan 29 2022 jbohac@suse.cz
- phonet: refcount leak in pep_sock_accep (bsc#1193867,
  CVE-2021-45095).
- commit f4ec02a
* Sat Jan 29 2022 jbohac@suse.cz
- Revert "xfrm: xfrm_state_mtu should return at least 1280 for
  ipv6" (bsc#1185377, bsc#1194048).
- xfrm: fix MTU regression (bsc#1185377, bsc#1194048).
- commit d7a3024
* Fri Jan 28 2022 lhenriques@suse.de
- ext4: set csum seed in tmp inode while migrating to extents
  (bsc#1195275).
- commit 8151d53
* Fri Jan 28 2022 bp@suse.de
- Refresh patches.suse/x86-cpufeatures-add-kabi-padding.patch.
- commit 7c59b09
* Fri Jan 28 2022 lizhang@suse.de
- KVM: SEV: initialize regions_list of a mirror VM (bsc#1194526).
- KVM: SEV: move mirror status to destination of
  KVM_CAP_VM_MOVE_ENC_CONTEXT_FROM (bsc#1194526).
- KVM: SEV: cleanup locking for KVM_CAP_VM_MOVE_ENC_CONTEXT_FROM
  (bsc#1194526).
- KVM: SEV: do not use list_replace_init on an empty list
  (bsc#1194526).
- KVM: SEV: expose KVM_CAP_VM_MOVE_ENC_CONTEXT_FROM capability
  (bsc#1194526).
- selftest: KVM: Add intra host migration tests (bsc#1194526).
- commit 77a7ab5
* Fri Jan 28 2022 duwe@suse.de
- Delete
  patches.suse/0008-random-move-FIPS-continuous-test-to-output-functions.patch.
  Obsoleted by Nicolai's FIPS RNG rework.
- commit 4892a02
* Fri Jan 28 2022 nstange@suse.de
- rpm/modules.fips: remove ansi_cprng (jsc#SLE-21132,bsc#1194773).
- commit d8f6d39
* Fri Jan 28 2022 nstange@suse.de
- Delete patches.suse/fips-enable-ansi_cprng-in-testmgr (jsc#SLE-21132,bsc#1194773).
- commit 9e8a9c1
* Fri Jan 28 2022 tiwai@suse.de
- drm/vmwgfx: Fix stale file descriptors on failed usercopy
  (CVE-2022-22942 bsc#1195065).
- commit b82dcaa
* Fri Jan 28 2022 tbogendoerfer@suse.de
- Delete
  patches.suse/net-mvpp2-Enable-autoneg-bypass-for-1000BaseX-2500Ba.patch.
  No longer needed.
- commit 7ab8bc0
* Thu Jan 27 2022 mbrugger@suse.com
- Delete
  patches.suse/brcmfmac-Add-clm_blob-firmware-files-to-modinfo.patch.
  Patch is part of v5.14 base kernel.
- commit d3c2d60
* Thu Jan 27 2022 tiwai@suse.de
- Refresh patches.suse/arch-arm64-mm_context-t-placeholder.patch.
  Re-enable kABI place holder for SLE15-SP4
- commit 7bf2c52
* Thu Jan 27 2022 tiwai@suse.de
- dma-buf: cma_heap: Fix mutex locking section (git-fixes).
- dma-buf: system_heap: Avoid warning on mid-order allocations
  (git-fixes).
- commit 2944bf7
* Thu Jan 27 2022 tiwai@suse.de
- drm/amdgpu/display: Only set vblank_disable_immediate when
  PSR is not enabled (git-fixes).
- drm/amd/display: Enable PSR by default on newer DCN (git-fixes).
- commit 9be44b2
* Thu Jan 27 2022 tiwai@suse.de
- x86/gpu: Reserve stolen memory for first integrated Intel GPU
  (git-fixes).
- w1: Misuse of get_user()/put_user() reported by sparse
  (git-fixes).
- usb: dwc2: gadget: initialize max_speed from params (git-fixes).
- commit fa8f66b
* Thu Jan 27 2022 tiwai@suse.de
- usb: hub: Add delay for SuperSpeed hub resume to let links
  transit to U0 (git-fixes).
- usb: uhci: add aspeed ast2600 uhci support (git-fixes).
- usb: gadget: f_fs: Use stream_open() for endpoint files
  (git-fixes).
- USB: ehci_brcm_hub_control: Improve port index sanitizing
  (git-fixes).
- usb: dwc3: meson-g12a: fix shared reset control use (git-fixes).
- serial: core: Keep mctrl register state and cached copy in sync
  (git-fixes).
- serial: pl011: Drop CR register reset on set_termios
  (git-fixes).
- serial: pl010: Drop CR register reset on set_termios
  (git-fixes).
- soc: imx: gpcv2: Synchronously suspend MIX domains (git-fixes).
- soc: ti: pruss: fix referenced node in error message
  (git-fixes).
- commit 6ef0377
* Thu Jan 27 2022 tiwai@suse.de
- rtc: cmos: take rtc_lock while reading from CMOS (git-fixes).
- phy: mediatek: Fix missing check in mtk_mipi_tx_probe
  (git-fixes).
- regulator: qcom_smd: Align probe function with rpmh-regulator
  (git-fixes).
- regulator: da9121: Prevent current limit change when enabled
  (git-fixes).
- PM: runtime: Add safety net to supplier device release
  (git-fixes).
- rtw88: 8822c: update rx settings to prevent potential hw
  deadlock (git-fixes).
- rsi: Fix out-of-bounds read in rsi_read_pkt() (git-fixes).
- rsi: Fix use-after-free in rsi_rx_done_handler() (git-fixes).
- rtw88: add quirk to disable pci caps on HP 250 G7 Notebook PC
  (git-fixes).
- PM: AVS: qcom-cpr: Use div64_ul instead of do_div (git-fixes).
- commit 0642d93
* Thu Jan 27 2022 dsterba@suse.com
- btrfs: fix lzo_decompress_bio() kmap leakage (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from lzo"
  (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from zlib"
  (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from zstd"
  (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from generic
  helpers" (bsc#1193852).
- btrfs: fix lzo_decompress_bio() kmap leakage (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from lzo"
  (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from zlib"
  (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from zstd"
  (bsc#1193852).
- Revert "btrfs: compression: drop kmap/kunmap from generic
  helpers" (bsc#1193852).
- commit c24af5b
* Thu Jan 27 2022 tiwai@suse.de
- PCI: Add function 1 DMA alias quirk for Marvell 88SE9125 SATA
  controller (git-fixes).
- PCI: pciehp: Use down_read/write_nested(reset_lock) to fix
  lockdep errors (git-fixes).
- mmc: mtk-sd: Use readl_poll_timeout instead of open-coded
  polling (git-fixes).
- mtd: rawnand: gpmi: Add ERR007117 protection for
  nfc_apply_timings (git-fixes).
- mtd: rawnand: gpmi: Remove explicit default gpmi clock setting
  for i.MX6 (git-fixes).
- net: phy: marvell: configure RGMII delays for 88E1118
  (git-fixes).
- mt76: mt7615: improve wmm index allocation (git-fixes).
- mt76: do not pass the received frame with decryption error
  (git-fixes).
- mt76: mt7615: fix possible deadlock while
  mt7615_register_ext_phy() (git-fixes).
- net: phy: prefer 1000baseT over 1000baseKX (git-fixes).
- commit fe2b42c
* Thu Jan 27 2022 tiwai@suse.de
- mmc: sdhci-pci-gli: GL9755: Support for CD/WP inversion on OF
  platforms (git-fixes).
- mmc: core: Fixup storing of OCR for MMC_QUIRK_NONSTD_SDIO
  (git-fixes).
- mmc: tmio: reinit card irqs in reset routine (git-fixes).
- mfd: tps65910: Set PWR_OFF bit during driver probe (git-fixes).
- mfd: atmel-flexcom: Use .resume_noirq (git-fixes).
- mfd: atmel-flexcom: Remove #ifdef CONFIG_PM_SLEEP (git-fixes).
- media: saa7146: hexium_gemini: Fix a NULL pointer dereference
  in hexium_attach() (git-fixes).
- media: rockchip: rkisp1: use device name for debugfs subdir name
  (git-fixes).
- media: igorplugusb: receiver overflow should be reported
  (git-fixes).
- media: m920x: don't use stack on USB reads (git-fixes).
- commit 3a8fd18
* Thu Jan 27 2022 tiwai@suse.de
- media: atomisp: fix "variable dereferenced before check 'asd'"
  (git-fixes).
- media: cec: fix a deadlock situation (git-fixes).
- media: saa7146: hexium_orion: Fix a NULL pointer dereference
  in hexium_attach() (git-fixes).
- media: rcar-vin: Update format alignment constraints
  (git-fixes).
- media: uvcvideo: Increase UVC_CTRL_CONTROL_TIMEOUT to 5 seconds
  (git-fixes).
- media: venus: avoid calling core_clk_setrate() concurrently
  during concurrent video sessions (git-fixes).
- media: b2c2: Add missing check in flexcop_pci_isr: (git-fixes).
- media: atomisp: handle errors at sh_css_create_isp_params()
  (git-fixes).
- media: atomisp: check before deference asd variable (git-fixes).
- media: atomisp-ov2680: Fix ov2680_set_fmt() clobbering the
  exposure (git-fixes).
- commit d62b853
* Thu Jan 27 2022 tiwai@suse.de
- mac80211: allow non-standard VHT MCS-10/11 (bsc#1192891).
- iwlwifi: pcie: make sure prph_info is set when treating wakeup
  IRQ (git-fixes).
- iwlwifi: mvm: fix AUX ROC removal (git-fixes).
- iwlwifi: mvm: Fix calculation of frame length (git-fixes).
- iwlwifi: remove module loading failure message (git-fixes).
- iwlwifi: fix leaks/bad data after failed firmware load
  (git-fixes).
- iwlwifi: mvm: Increase the scan timeout guard to 30 seconds
  (git-fixes).
- media: atomisp: set per-device's default mode (git-fixes).
- media: atomisp: fix enum formats logic (git-fixes).
- media: atomisp: add NULL check for asd obtained from
  atomisp_video_pipe (git-fixes).
- commit 5c77fd4
* Thu Jan 27 2022 tiwai@suse.de
- HID: Ignore battery for Elan touchscreen on HP Envy X360
  15t-dr100 (git-fixes).
- i2c: designware-pci: Fix to change data types of hcnt and lcnt
  parameters (git-fixes).
- i2c: mpc: Correct I2C reset procedure (git-fixes).
- i2c: i801: Don't silently correct invalid transfer size
  (git-fixes).
- interconnect: qcom: rpm: Prevent integer overflow in rate
  (git-fixes).
- iio: trigger: Fix a scheduling whilst atomic issue seen on
  tsc2046 (git-fixes).
- HSI: core: Fix return freed object in hsi_new_client
  (git-fixes).
- HID: magicmouse: Fix an error handling path in
  magicmouse_probe() (git-fixes).
- iwlwifi: mvm: avoid clearing a just saved session protection id
  (git-fixes).
- iwlwifi: mvm: synchronize with FW after multicast commands
  (git-fixes).
- commit 6ef8153
* Thu Jan 27 2022 tiwai@suse.de
- drm/i915/display/ehl: Update voltage swing table (git-fixes).
- floppy: Add max size check for user space request (git-fixes).
- gpiolib: acpi: Do not set the IRQ type if the IRQ is already
  in use (git-fixes).
- HID: magicmouse: Report battery level over USB (git-fixes).
- HID: apple: Do not reset quirks when the Fn key is not found
  (git-fixes).
- HID: i2c-hid-of: Expose the touchscreen-inverted properties
  (git-fixes).
- HID: quirks: Allow inverting the absolute X/Y values
  (git-fixes).
- drm/amdgpu: fixup bad vram size on gmc v8 (git-fixes).
- drm/etnaviv: consider completed fence seqno in hang check
  (git-fixes).
- commit b98cf3a
* Thu Jan 27 2022 tiwai@suse.de
- drm/etnaviv: limit submit sizes (git-fixes).
- drm/amd/amdgpu: fix gmc bo pin count leak in SRIOV (git-fixes).
- drm/amd/amdgpu: fix psp tmr bo pin count leak in SRIOV
  (git-fixes).
- drm/vmwgfx: Release ttm memory if probe fails (git-fixes).
- drm: rcar-du: Fix CRTC timings when CMM is used (git-fixes).
- drm/amd/display: add else to avoid double destroy clk_mgr
  (git-fixes).
- drm/amdgpu/display: set vblank_disable_immediate for DC
  (git-fixes).
- drm/amd/display: check top_pipe_to_program pointer (git-fixes).
- drm/bridge: megachips: Ensure both bridges are probed before
  registration (git-fixes).
- drm: panel-orientation-quirks: Add quirk for the Lenovo Yoga
  Book X91F/L (git-fixes).
- commit 7ac44dd
* Thu Jan 27 2022 tiwai@suse.de
- crypto: qat - make pfvf send message direction agnostic
  (git-fixes).
- Refresh
  patches.suse/crypto-qat-fix-undetected-PFVF-timeout-in-ACK-loop.patch.
- commit 1517ba9
* Thu Jan 27 2022 tiwai@suse.de
- crypto: hisilicon/hpre - fix memory leak in
  hpre_curve25519_src_init() (git-fixes).
- drm/nouveau/kms/nv04: use vzalloc for nv04_display (git-fixes).
- drm/nouveau/pmu/gm200-: avoid touching PMU outside of
  DEVINIT/PREOS/ACR (git-fixes).
- drm/bridge: dw-hdmi: handle ELD when
  DRM_BRIDGE_ATTACH_NO_CONNECTOR (git-fixes).
- drm/ttm: Put BO in its memory manager's lru list (git-fixes).
- drm/lima: fix warning when CONFIG_DEBUG_SG=y &
  CONFIG_DMA_API_DEBUG=y (git-fixes).
- drm/panel: Delete panel on mipi_dsi_attach() failure
  (git-fixes).
- crypto: qat - remove unnecessary collision prevention step in
  PFVF (git-fixes).
- commit 4a84546
* Thu Jan 27 2022 tiwai@suse.de
- clk: meson: gxbb: Fix the SDM_EN bit for MPLL0 on GXBB
  (git-fixes).
- backlight: qcom-wled: Respect enabled-strings in set_brightness
  (git-fixes).
- backlight: qcom-wled: Use cpu_to_le16 macro to perform
  conversion (git-fixes).
- batman-adv: allow netlink usage in unprivileged containers
  (git-fixes).
- Bluetooth: vhci: Set HCI_QUIRK_VALID_LE_STATES (git-fixes).
- Bluetooth: btintel: Add missing quirks and msft ext for legacy
  bootloader (git-fixes).
- Bluetooth: MGMT: Use hci_dev_test_and_{set,clear}_flag
  (git-fixes).
- Bluetooth: Fix debugfs entry leak in hci_register_dev()
  (git-fixes).
- Bluetooth: refactor set_exp_feature with a feature table
  (git-fixes).
- commit 4823532
* Thu Jan 27 2022 tiwai@suse.de
- ath11k: Fix napi related hang (git-fixes).
- ath9k: Fix out-of-bound memcpy in ath9k_hif_usb_rx_stream
  (git-fixes).
- ath9k_htc: fix NULL pointer dereference at
  ath9k_htc_tx_get_packet() (git-fixes).
- ath9k_htc: fix NULL pointer dereference at ath9k_htc_rxep()
  (git-fixes).
- ath11k: Avoid false DEADLOCK warning reported by lockdep
  (git-fixes).
- ath11k: avoid deadlock by change ieee80211_queue_work for
  regd_update_work (git-fixes).
- ath11k: Avoid NULL ptr access during mgmt tx cleanup
  (git-fixes).
- ath11k: add string type to search board data in board-2.bin
  for WCN6855 (git-fixes).
- ath11k: Fix crash caused by uninitialized TX ring (git-fixes).
- commit 94ca4e3
* Thu Jan 27 2022 pjakobsson@suse.de
- drm: Add kabi placeholders to commonly used structs
  (bsc#1179531).
- commit 95ca796
* Thu Jan 27 2022 tiwai@suse.de
- ASoC: mediatek: mt8183: fix device_node leak (git-fixes).
- ASoC: mediatek: mt8173: fix device_node leak (git-fixes).
- ASoC: mediatek: mt8192-mt6359: fix device_node leak (git-fixes).
- ASoC: imx-hdmi: add put_device() after of_find_device_by_node()
  (git-fixes).
- ACPI: CPPC: Check present CPUs for determining _CPC is valid
  (git-fixes).
- ACPI: battery: Add the ThinkPad "Not Charging" quirk
  (git-fixes).
- ACPI / x86: Add not-present quirk for the PCI0.SDHB.BRC1 device
  on the GPD win (git-fixes).
- ACPI / x86: Allow specifying acpi_device_override_status()
  quirks by path (git-fixes).
- ACPI: Change acpi_device_always_present() into
  acpi_device_override_status() (git-fixes).
- ACPI / x86: Drop PWM2 device on Lenovo Yoga Book from always
  present table (git-fixes).
- ACPICA: Hardware: Do not flush CPU cache when entering S4 and S5
  (git-fixes).
- ACPICA: Fix wrong interpretation of PCC address (git-fixes).
- ACPICA: Executer: Fix the REFCLASS_REFOF case in
  acpi_ex_opcode_1A_0T_1R() (git-fixes).
- ACPICA: Utilities: Avoid deleting the same object twice in a
  row (git-fixes).
- ACPICA: actypes.h: Expand the ACPI_ACCESS_ definitions
  (git-fixes).
- ath10k: Fix tx hanging (git-fixes).
- ar5523: Fix null-ptr-deref with unexpected WDCMSG_TARGET_START
  reply (git-fixes).
- amdgpu/pm: Make sysfs pm attributes as read-only for VFs
  (git-fixes).
- ath11k: qmi: avoid error messages when dma allocation fails
  (git-fixes).
- commit e0f2245
* Thu Jan 27 2022 nstange@suse.de
- Update
  patches.suse/0002-char-random-reinstantiate-DRBGs-once-optimized-sha51.patch
  (jsc#SLE-21132,bsc#1191259,bsc#1195160).
- commit 1ebad47
* Thu Jan 27 2022 tbogendoerfer@suse.de
- net ticp:fix a kernel-infoleak in __tipc_sendmsg() (bsc#1195199
  CVE-2022-0382).
- net/packet: rx_owner_map depends on pg_vec (bsc#1195184
  CVE-2021-22600).
- commit 322fbf8
* Thu Jan 27 2022 msuchanek@suse.de
- powerpc/book3s64/radix: make tlb_single_page_flush_ceiling a
  debugfs entry (bsc#1195183 ltc#193865).
- commit 5d7a0a2
* Thu Jan 27 2022 vkarasulli@suse.de
- rds: Fix memory leak in __rds_conn_create() (bsc#1194090 CVE-2021-45480).
- commit 6d71aca
* Thu Jan 27 2022 mgorman@suse.de
- Update
  patches.suse/cpufreq-ondemand-set-default-up_threshold-to-30-on-multi-core-systems.patch
  (bsc#464461,bsc#981838,bsc#1064414,bsc#1144943,bsc#1193200,bsc#1193088).
- commit 1420840
* Thu Jan 27 2022 tiwai@suse.de
- Revert IPMI backports (bsc#1195195)
  It turned out that the recent backports of IPMI fixes cause a regression
  on arm64 machine.
  Deleted:
  patches.suse/ipmi-Fix-UAF-when-uninstall-ipmi_si-and-ipmi_msghand.patch
  patches.suse/ipmi-bail-out-if-init_srcu_struct-fails.patch
  patches.suse/ipmi-fix-initialization-when-workqueue-allocation-fa.patch
- commit 435eaf7
* Wed Jan 26 2022 tiwai@suse.de
- supported.conf: mark rtw88 modules as supported (jsc#SLE-22690)
- commit 37cc2d0
* Wed Jan 26 2022 mhocko@suse.com
- mm: drop node from alloc_pages_vma (jsc#SLE-23098).
- commit 27520d6
* Wed Jan 26 2022 mhocko@suse.com
- mm/mempolicy: wire up syscall set_mempolicy_home_node
  (jsc#SLE-23098).
- mm/mempolicy: add set_mempolicy_home_node syscall
  (jsc#SLE-23098).
- mm/mempolicy: use policy_node helper with MPOL_PREFERRED_MANY
  (jsc#SLE-23098).
- mm/mempolicy: unify the create() func for
  bind/interleave/prefer-many policies (jsc#SLE-23098).
- mm/mempolicy: advertise new MPOL_PREFERRED_MANY (jsc#SLE-23098).
- mm/hugetlb: add support for mempolicy MPOL_PREFERRED_MANY
  (jsc#SLE-23098).
- mm/memplicy: add page allocation function for
  MPOL_PREFERRED_MANY policy (jsc#SLE-23098).
- mm/mempolicy: add MPOL_PREFERRED_MANY for multiple preferred
  nodes (jsc#SLE-23098).
- commit 41edfce
* Wed Jan 26 2022 oneukum@suse.com
- Update
  patches.suse/USB-gadget-detect-too-big-endpoint-0-requests.patch
  (bsc#1193802 CVE-2021-39685).
  Updated references for CVE that became known after the fix
  had been applied for other reasons
- commit 149a312
* Wed Jan 26 2022 msuchanek@suse.de
- Refresh patches.suse/powerpc-security-mitigation-patching.sh-Support-X-ta.patch.
- commit cc4f423
* Wed Jan 26 2022 tiwai@suse.de
- ARM: 9170/1: fix panic when kasan and kprobe are enabled
  (git-fixes).
- commit ae5a8de
* Tue Jan 25 2022 tbogendoerfer@suse.de
- net: bonding: fix bond_xmit_broadcast return value error bug
  (git-fixes).
- mlx5: Don't accidentally set RTO_ONLINK before
  mlx5e_route_lookup_ipv4_get() (git-fixes).
- libcxgb: Don't accidentally set RTO_ONLINK in cxgb_find_route()
  (git-fixes).
- RDMA/cxgb4: Set queue pair state when being queried (git-fixes).
- RDMA/rxe: Fix a typo in opcode name (git-fixes).
- RDMA/cma: Let cma_resolve_ib_dev() continue search even after
  empty entry (git-fixes).
- RDMA/core: Let ib_find_gid() continue search even after empty
  entry (git-fixes).
- RDMA/qedr: Fix reporting max_{send/recv}_wr attrs (git-fixes).
- RDMA/rxe: Remove the unnecessary variable (git-fixes).
- RDMA/uverbs: Remove the unnecessary assignment (git-fixes).
- RDMA/hns: Modify the mapping attribute of doorbell to device
  (git-fixes).
- RDMA/rtrs-clt: Fix the initial value of min_latency (git-fixes).
- RDMA/cma: Remove open coding of overflow checking for
  private_data_len (git-fixes).
- RDMA/hns: Validate the pkey index (git-fixes).
- RDMA/bnxt_re: Scan the whole bitmap when checking if "disabling
  RCFW with pending cmd-bit" (git-fixes).
- Revert "net/mlx5: Add retry mechanism to the command entry
  index allocation" (git-fixes).
- net/mlx5: Set command entry semaphore up once got index free
  (git-fixes).
- net/mlx5e: Sync VXLAN udp ports during uplink representor
  profile change (git-fixes).
- net/mlx5: Fix access to sf_dev_table on allocation failure
  (git-fixes).
- net/mlx5e: Fix matching on modified inner ip_ecn bits
  (git-fixes).
- Revert "net/mlx5e: Block offload of outer header csum for GRE
  tunnel" (git-fixes).
- Revert "net/mlx5e: Block offload of outer header csum for UDP
  tunnels" (git-fixes).
- net/mlx5e: Don't block routes with nexthop objects in SW
  (git-fixes).
- net/mlx5e: Fix wrong usage of fib_info_nh when routes with
  nexthop objects are used (git-fixes).
- net/mlx5e: Fix nullptr on deleting mirroring rule (git-fixes).
- net/mlx5e: Fix page DMA map/unmap attributes (git-fixes).
- bnxt_en: use firmware provided max timeout for messages
  (git-fixes).
- igc: AF_XDP zero-copy metadata adjust breaks SKBs on XDP_PASS
  (git-fixes).
- commit 450565e
* Tue Jan 25 2022 martin.wilck@suse.com
- Delete
  patches.suse/block-genhd-use-atomic_t-for-disk_event-block.patc.
  (bsc#1192913, bsc#1194850)
- commit 62f1042
* Tue Jan 25 2022 mgorman@suse.de
- mm: vmscan: reduce throttling due to a failure to make progress
  - fix (git fixes (mm/vmscan)).
- mm: vmscan: Reduce throttling due to a failure to make progress
  (git fixes (mm/vmscan)).
- commit 985ae57
* Tue Jan 25 2022 mgorman@suse.de
- Delete
  patches.suse/mm-vmscan-Reduce-throttling-due-to-a-failure-to-make-progress.patch.
- commit 758b892
* Tue Jan 25 2022 msuchanek@suse.de
- ibmvnic: remove unused ->wait_capability (bsc#1195073
  ltc#195713).
- ibmvnic: don't spin in tasklet (bsc#1195073 ltc#195713).
- ibmvnic: init ->running_cap_crqs early (bsc#1195073 ltc#195713).
- ibmvnic: Allow extra failures before disabling (bsc#1195073
  ltc#195713).
- commit 80bb4bf
* Tue Jan 25 2022 mgorman@suse.de
- sched/fair: Mark tg_is_idle() an inline in the
  !CONFIG_FAIR_GROUP_SCHED case (git fixes (sched/fair)).
- commit 3fda91c
* Tue Jan 25 2022 mgorman@suse.de
- bpf, mm: Fix lockdep warning triggered by
  stack_map_get_build_id_offset() (git fixes (mm/mmap)).
- commit 7c2b587
* Tue Jan 25 2022 mgorman@suse.de
- mm: shmem: don't truncate page if memory failure happens v2
  (bsc#1190208 (MM functional and performance backports)).
- commit 4233c64
* Tue Jan 25 2022 mgorman@suse.de
- Revert "mm: shmem: don't truncate page if memory failure
  happens" (git fixes (mm/shmem)).
- commit 91b69dc
* Tue Jan 25 2022 mgorman@suse.de
- nitro_enclaves: Use get_user_pages_unlocked() call to handle
  mmap assert (git fixes (mm/gup)).
- commit d2119e6
* Tue Jan 25 2022 shung-hsi.yu@suse.com
- bpf: Fix out of bounds access for ringbuf helpers (bsc#1194111
  bsc#1194765 CVE-2021-4204 CVE-2022-23222).
- bpf: Generally fix helper register offset check (bsc#1194111
  bsc#1194765 CVE-2021-4204 CVE-2022-23222).
- bpf: Generalize check_ctx_reg for reuse with other types
  (bsc#1194111 bsc#1194765 CVE-2021-4204 CVE-2022-23222).
- commit 5803ef2
* Mon Jan 24 2022 jwiesner@suse.de
- clocksource: Reduce the default clocksource_watchdog() retries
  to 2 (bsc#1192724).
- commit ec1b82e
* Mon Jan 24 2022 jwiesner@suse.de
- clocksource: Avoid accidental unstable marking of clocksources
  (bsc#1192724).
- commit 8396e64
* Mon Jan 24 2022 jwiesner@suse.de
- x86/tsc: Disable clocksource watchdog for TSC on qualified
  platorms (bsc#1192724).
- commit ad5e1ba
* Mon Jan 24 2022 jwiesner@suse.de
- x86/tsc: Add a timer to make sure TSC_adjust is always checked
  (bsc#1192724).
- commit c76fbc3
* Mon Jan 24 2022 jwiesner@suse.de
- Delete "Forgive repeated long-latency watchdog clocksource reads (bsc#1192724)"
  The patch being deleted was a tentative fix that never made it into
  upstream Linux. The clocksource instability issue will be addressed with
  more appropriate fixes.
- scripts/git_sort/git_sort.py: Remove a dev branch of the -rcu tree
- Delete
  patches.suse/clocksource-Forgive-repeated-long-latency-watchdog-c.patch.
- commit 726d4be
* Mon Jan 24 2022 msuchanek@suse.de
- kernel-binary.spec.in: Move 20-kernel-default-extra.conf to the correctr
  directory (bsc#1195051).
- commit c80b5de
* Mon Jan 24 2022 dwagner@suse.de
- scsi: kABI: Add suse_kabi_padding to scsi template structs
  (bsc#1195056).
- commit 7342194
* Mon Jan 24 2022 pmladek@suse.com
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- commit e169a7b
* Mon Jan 24 2022 ohering@suse.de
- scsi: storvsc: Fix storvsc_queuecommand() memory leak
  (git-fixes).
- commit a3c4175
* Mon Jan 24 2022 tiwai@suse.de
- Move upstreamed IMA fix into sorted section
- commit 8970684
* Mon Jan 24 2022 tiwai@suse.de
- psi: Fix uaf issue when psi trigger is destroyed while being
  polled (git-fixes).
- bitops: protect find_first_{,zero}_bit properly (git-fixes).
- scripts/dtc: dtx_diff: remove broken example from help text
  (git-fixes).
- Documentation: fix firewire.rst ABI file path error (git-fixes).
- commit b4b4dff
* Mon Jan 24 2022 msuchanek@suse.de
- selftests/powerpc: Use date instead of EPOCHSECONDS in
  mitigation-patching.sh (bsc#1194305 ltc#195651).
- commit d103181
* Mon Jan 24 2022 msuchanek@suse.de
- Refresh patches.suse/powerpc-security-mitigation-patching.sh-Support-X-ta.patch (bsc#1194305 ltc#195651).
- commit 96568cb
* Mon Jan 24 2022 msuchanek@suse.de
- powerpc/64s: Mask SRR0 before checking against the masked NIP
  (bsc#1194869).
- commit 2f4f88b
* Sat Jan 22 2022 tiwai@suse.de
- gpio: mpc8xxx: Fix an ignored error return from
  platform_get_irq() (git-fixes).
- gpio: idt3243x: Fix an ignored error return from
  platform_get_irq() (git-fixes).
- commit d403da6
* Sat Jan 22 2022 tiwai@suse.de
- HID: uhid: Fix worker destroying device without any protection
  (git-fixes).
- HID: vivaldi: fix handling devices not using numbered reports
  (git-fixes).
- rtc: pxa: fix null pointer dereference (git-fixes).
- drm/radeon: fix error handling in radeon_driver_open_kms
  (git-fixes).
- drm/amdgpu: don't do resets on APUs which don't support it
  (git-fixes).
- clk: si5341: Fix clock HW provider cleanup (git-fixes).
- gpio: idt3243x: Fix IRQ check in idt_gpio_probe (git-fixes).
- gpio: mpc8xxx: Fix IRQ check in mpc8xxx_probe (git-fixes).
- commit 06c7e48
* Sat Jan 22 2022 tiwai@suse.de
- ALSA: hda/cs8409: Add new Warlock SKUs to patch_cs8409
  (git-fixes).
- ALSA: core: Simplify snd_power_ref_and_wait() with the standard
  macro (git-fixes).
- ALSA: core: Fix SSID quirk lookup for subvendor=0 (git-fixes).
- ALSA: usb-audio: add mapping for MSI MPG X570S Carbon Max Wifi
  (git-fixes).
- ALSA: hda/realtek: fix speakers and micmute on HP 855 G8
  (git-fixes).
- commit 8124ea4
* Sat Jan 22 2022 tiwai@suse.de
- HID: wacom: Avoid using stale array indicies to read contact
  count (bsc#1194667).
- HID: wacom: Ignore the confidence flag when a touch is removed
  (bsc#1194667).
- HID: wacom: Reset expected and received contact counts at the
  same time (bsc#1194667).
- commit 19261e1
* Fri Jan 21 2022 tiwai@suse.de
- drm/i915: Flush TLBs before releasing backing store
  (CVE-2022-0330 bsc#1194880).
- commit d011369
* Fri Jan 21 2022 ddiss@suse.de
- vfs: fs_context: fix up param length parsing in
  legacy_parse_param (CVE-2022-0185 bsc#1194517).
- Rename and retag following upstream merge from:
  patches.suse/vfs-Out-of-bounds-write-of-heap-buffer-in-fs_context-c.patch
  to patches.suse/vfs-fs_context-fix-up-param-length-parsing-in-legacy.patch
- commit e3271e6
* Fri Jan 21 2022 tbogendoerfer@suse.de
- Update
  patches.suse/sctp-account-stream-padding-length-for-reconf-chunk.patch
  (stable-5.14.14 bsc#1194985 CVE-2022-0322).
  Added bsc/CVE reference
- commit c9b8efe
* Thu Jan 20 2022 jdelvare@suse.de
- hwmon: (k10temp) Support up to 12 CCDs on AMD Family of
  processors (bsc#1192644 jsc#SLE-17823).
- hwmon: (k10temp) Add support for AMD Family 19h Models 10h-1Fh
  and A0h-AFh (bsc#1192644 jsc#SLE-17823).
- hwmon: (k10temp) Remove unused definitions (bsc#1192644
  jsc#SLE-17823).
- x86/amd_nb: Add AMD Family 19h Models (10h-1Fh) and (A0h-AFh)
  PCI IDs (bsc#1192644 jsc#SLE-17823).
- commit b55859b
* Thu Jan 20 2022 tiwai@suse.de
- Revert "net: phy: fixed_phy: Fix NULL vs IS_ERR() checking in
  __fixed_phy_register" (git-fixes).
- commit a9c90b6
* Thu Jan 20 2022 tiwai@suse.de
- mt76: mt7921: fix possible resume failure (git-fixes).
- commit adeea28
* Thu Jan 20 2022 tiwai@suse.de
- media: c8sectpfe: fix double free in configure_channels()
  (git-fixes).
- media: c8sectpfe: remove redundant assignment to pointer tsin
  (git-fixes).
- commit 4ff2399
* Thu Jan 20 2022 tiwai@suse.de
- Add cherry-picked IDs for media videobuf2 fix
- commit e45c889
* Thu Jan 20 2022 tiwai@suse.de
- iwlwifi: don't pass actual WGDS revision number in
  table_revision (git-fixes).
- commit c270187
* Thu Jan 20 2022 tiwai@suse.de
- Add cherry-picked ID to HID fix patch
- commit 57fe3df
* Thu Jan 20 2022 tiwai@suse.de
- bus: mhi: core: Fix reading wake_capable channel configuration
  (git-fixes).
- bus: mhi: pci_generic: Graceful shutdown on freeze (git-fixes).
- commit 36e2acb
* Thu Jan 20 2022 tiwai@suse.de
- vfio/iommu_type1: replace kfree with kvfree (git-fixes).
- net: phy: micrel: use kszphy_suspend()/kszphy_resume for irq
  aware devices (git-fixes).
- nfc: llcp: fix NULL error pointer dereference on sendmsg()
  after failed bind() (git-fixes).
- net: phy: marvell: add Marvell specific PHY loopback
  (git-fixes).
- lib82596: Fix IRQ check in sni_82596_probe (git-fixes).
- 9p: only copy valid iattrs in 9P2000.L setattr implementation
  (git-fixes).
- drm/amd/display: explicitly set is_dsc_supported to false
  before use (git-fixes).
- net: phy: fixed_phy: Fix NULL vs IS_ERR() checking in
  __fixed_phy_register (git-fixes).
- commit 8409861
* Thu Jan 20 2022 msuchanek@suse.de
- kernel-binary.spec: Do not use the default certificate path (bsc#1194943).
  Using the the default path is broken since Linux 5.17
- commit 68b36f0
* Thu Jan 20 2022 lhenriques@suse.de
- fuse: Pass correct lend value to filemap_write_and_wait_range()
  (bsc#1194959).
- commit ab3cc62
* Wed Jan 19 2022 ailiop@suse.com
- mount: warn only once about timestamp range expiration
  (bsc#1193000).
- commit d968bc1
* Wed Jan 19 2022 msuchanek@suse.de
- Update patches.suse/tpm-fix-potential-NULL-pointer-access-in-tpm_del_cha.patch
  (git-fixes bsc#1193660 ltc#195634).
- commit 6be7501
* Wed Jan 19 2022 mbenes@suse.cz
- livepatch: Avoid CPU hogging with cond_resched (bsc#1071995).
- commit 17d77e0
* Wed Jan 19 2022 mbenes@suse.cz
- livepatch: Fix missing unlock on error in klp_enable_patch()
  (bsc#1071995).
- commit 3aafada
* Wed Jan 19 2022 mbenes@suse.cz
- livepatch: Fix kobject refcount bug on klp_init_patch_early
  failure path (bsc#1071995).
- commit 14928de
* Wed Jan 19 2022 tiwai@suse.de
- PCI: vmd: Do not disable MSI-X remapping if interrupt remapping
  is enabled by IOMMU (bsc#1194887).
- commit b96f35f
* Wed Jan 19 2022 mbenes@suse.cz
- livepatch/kabi: refresh and reenable kABI padding for future arm64 support
- commit c5ed388
* Wed Jan 19 2022 oneukum@suse.com
- Reenabling kABI placeholders for generic fpga stuff
- commit b6c6ae1
* Wed Jan 19 2022 oneukum@suse.com
- Reenabling kABI placeholders for generic crypto stuff
- commit e9350d4
* Wed Jan 19 2022 oneukum@suse.com
- Reenabling kABI placeholders for the QAT crypto driver
- commit 1804445
* Wed Jan 19 2022 oneukum@suse.com
- Refresh patches.suse/0001-kABI-more-hooks-for-PCI-changes.patch.
  Reenabling kABI placeholders for PCI stuff
- commit 6145d27
* Wed Jan 19 2022 oneukum@suse.com
- Refresh patches.suse/0001-Thunderbolt-kABI-paddings-added.patch.
- Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
- Delete patches.suse/0001-USB-fix-kABI-padding.patch.
  Reenabling the kABI placeholders for Type C stuff
- commit 297e89c
* Wed Jan 19 2022 msuchanek@suse.de
- powerpc/64s: Use EMIT_WARN_ENTRY for SRR debug warnings
  (bsc#1194869).
- powerpc/64s: Mask NIP before checking against SRR0
  (bsc#1194869).
- Revert "powerpc: Inline setup_kup()" (bsc#1194869).
- powerpc/modules: Don't WARN on first module allocation attempt
  (bsc#1194869).
- powerpc/module_64: Fix livepatching for RO modules
  (bsc#1194869).
- powerpc/xive: Change IRQ domain to a tree domain (bsc#1194869).
- commit 3b9be9e
* Wed Jan 19 2022 tbogendoerfer@suse.de
- net: Prevent HW-GRO and LRO features operate together
  (bsc#1194628).
- commit b3b76f5
* Wed Jan 19 2022 msuchanek@suse.de
- powerpc/perf: Fix PMU callbacks to clear pending PMI before
  resetting an overflown PMC (bsc#1156395).
- commit 178d341
* Wed Jan 19 2022 mgorman@suse.de
- sched,x86: Don't use cluster topology for x86 hybrid CPUs
  (jsc#SLE-18889,bnc#1194825).
- commit a3cf05e
* Wed Jan 19 2022 mgorman@suse.de
- Refresh
  patches.suse/cpuidle-Poll-for-a-minimum-of-30ns-and-poll-for-a-tick-if-lower-c-states-are-disabled.patch.
  Forward port for evaluation.
- commit 3ec28d7
* Wed Jan 19 2022 tbogendoerfer@suse.de
- S390: Fix mlx5 throughput degradtion (jsc#SLE-22496).
- commit 6fe12cf
* Wed Jan 19 2022 msuchanek@suse.de
- powerpc/prom_init: Fix improper check of prom_getprop()
  (bsc#1065729).
- commit 07fce74
* Wed Jan 19 2022 oneukum@suse.com
- crypto: qat - fix undetected PFVF timeout in ACK loop
  (git-fixes).
- commit 008135a
* Wed Jan 19 2022 msuchanek@suse.de
- powerpc/pseries/cpuhp: delete add/remove_by_count code
  (bsc#1065729).
- powerpc/pseries/cpuhp: cache node corrections (bsc#1065729).
- commit b26d0d8
* Wed Jan 19 2022 tiwai@suse.de
- Add cherry-picked IDs for qemu fw_cfg patches
- commit 550427b
* Wed Jan 19 2022 msuchanek@suse.de
- powerpc/perf: Fix data source encodings for L2.1 and L3.1
  accesses (bsc#1065729).
- commit c39ded5
* Wed Jan 19 2022 tiwai@suse.de
- dmaengine: at_xdmac: Fix at_xdmac_lld struct definition
  (git-fixes).
- dmaengine: at_xdmac: Fix lld view setting (git-fixes).
- dmaengine: at_xdmac: Fix concurrency over xfers_list
  (git-fixes).
- dmaengine: at_xdmac: Fix race for the tx desc callback
  (git-fixes).
- dmaengine: at_xdmac: Fix concurrency over chan's
  completed_cookie (git-fixes).
- dmaengine: at_xdmac: Print debug message after realeasing the
  lock (git-fixes).
- dmaengine: at_xdmac: Start transfer for cyclic channels in
  issue_pending (git-fixes).
- dmaengine: at_xdmac: Don't start transactions at tx_submit level
  (git-fixes).
- dmaengine: idxd: fix wq settings post wq disable (git-fixes).
- dmaengine: uniphier-xdmac: Fix type of address variables
  (git-fixes).
- Documentation: dmaengine: Correctly describe dmatest with
  channel unset (git-fixes).
- virtio_ring: mark ring unused on error (git-fixes).
- virtio/virtio_mem: handle a possible NULL as a memcpy parameter
  (git-fixes).
- remoteproc: qcom: pas: Add missing power-domain "mxc" for CDSP
  (git-fixes).
- remoteproc: qcom: pil_info: Don't memcpy_toio more than is
  provided (git-fixes).
- remoteproc: imx_rproc: Fix a resource leak in the remove
  function (git-fixes).
- rpmsg: core: Clean up resources on announce_create failure
  (git-fixes).
- ACPI: APD: Check for NULL pointer after calling devm_ioremap()
  (git-fixes).
- drm/i915: Fix Memory BW formulae for ADL-P (git-fixes).
- net: usb: lan78xx: add Allied Telesis AT29M2-AF (git-fixes).
- commit ceaa6fc
* Wed Jan 19 2022 msuchanek@suse.de
- Update config files (bsc#1194858).
  CONFIG_INTEL_IDXD_COMPAT=n
- commit 86e1929
* Tue Jan 18 2022 msuchanek@suse.de
- Delete patches.suse/crypto-qat-fix-undetected-PFVF-timeout-in-ACK-loop.patch.
  Remove empty patch
- commit a3108c7
* Tue Jan 18 2022 msuchanek@suse.de
- powerpc/xive: Add missing null check after calling kmalloc
  (bsc#1177437 ltc#188522 jsc#SLE-13294 git-fixes).
- commit e8dfc9f
* Tue Jan 18 2022 tiwai@suse.de
- Refresh patches.suse/s390-mm-fix-2KB-pgtable-release-race.patch.
  Correct the acked-by tag to the right position.
- commit 88fc17d
* Tue Jan 18 2022 tiwai@suse.de
- s390/mm: fix 2KB pgtable release race (bsc#1188896).
- commit 31e123b
* Tue Jan 18 2022 ailiop@suse.com
- nvme: fix visibility of dev_attr_dhchap_ctrl_secret sysfs
  attribute (bsc#1194839).
- commit f70152e
* Tue Jan 18 2022 tiwai@suse.de
- Re-enable kABI placeholder pathces for HD-audio and ASoC
- commit c77cdff
* Tue Jan 18 2022 tiwai@suse.de
- ALSA: seq: virmidi: Add a drain operation (bsc#1192354).
- ALSA: hda: Add new AlderLake-P variant PCI ID (bsc#1192354).
- ALSA: hda: Add AlderLake-N PCI ID (bsc#1192354).
- ALSA: hda: use swap() to make code cleaner (bsc#1192354).
- ALSA: seq: Set upper limit of processed events (bsc#1192354).
- ALSA: usb-audio: Drop CONFIG_PM ifdefs (bsc#1192354).
- ALSA: Fix some typo (bsc#1192354).
- ALSA: hda/hdmi: Consider ELD is invalid when no SAD is present
  (bsc#1192354).
- ALSA: hda: Do disconnect jacks at codec unbind (bsc#1192354).
- commit 3705026
* Tue Jan 18 2022 denis.kirjanov@suse.com
- Update
  patches.suse/bpf-Fix-kernel-address-leakage-in-atomic-fetch.patch
  (bsc#1193883 bsc#1194826 CVE-2022-0264).
- commit b1fc140
* Tue Jan 18 2022 mbenes@suse.cz
- tracing/osnoise: Properly unhook events if
  start_per_cpu_kthreads() fails (git-fixes).
- commit e3c4174
* Tue Jan 18 2022 mbenes@suse.cz
- tracing/kprobes: 'nmissed' not showed correctly for kretprobe
  (git-fixes).
- commit f960845
* Tue Jan 18 2022 mbenes@suse.cz
- tracing: Add test for user space strings when filtering on
  string pointers (git-fixes).
- commit face3d9
* Tue Jan 18 2022 oneukum@suse.com
- typeC: Add kABI placeholders (bsc#1183030).
- commit 6c5f823
* Tue Jan 18 2022 hare@suse.de
- nvme-auth: fixup crash at boot (jsc#SLE-20183).
- commit 8f1ac2e
* Tue Jan 18 2022 ailiop@suse.com
- xfs: fix I_DONTCACHE (git-fixes).
- commit 0f76c7a
* Tue Jan 18 2022 oneukum@suse.com
- libertas_tf: Add missing __packed annotations (git-fixes).
- commit 84a12f8
* Tue Jan 18 2022 oneukum@suse.com
- libertas_tf: Use struct_group() for memcpy() region (git-fixes).
- commit aa4014c
* Tue Jan 18 2022 lizhang@suse.de
- selftests: KVM: Add test to verify KVM doesn't explode on
  "bad" I/O (bsc#1194298).
- KVM: x86: Don't WARN if userspace mucks with RCX during string
  I/O exit (bsc#1194298).
- commit 12e4caa
* Tue Jan 18 2022 mbenes@suse.cz
- blacklist.conf: 3e2a56e6f639 ("tracing: Have syscall trace events use trace_event_buffer_lock_reserve()")
  Optimization only.
- commit 3a0a34b
* Tue Jan 18 2022 mbenes@suse.cz
- SUNRPC: Fix sockaddr handling in svcsock_accept_class trace
  points (git-fixes).
- commit 2d4609d
* Tue Jan 18 2022 tiwai@suse.de
- swiotlb: Add CONFIG_HAS_IOMEM check around swiotlb_mem_remap()
  (bsc#1183682).
- commit c991d0b
* Tue Jan 18 2022 tiwai@suse.de
- Move upstreamed hyperv patches into sorted section
- commit 12240b4
* Tue Jan 18 2022 tiwai@suse.de
- Input: ti_am335x_tsc - fix STEPCONFIG setup for Z2 (git-fixes).
- Input: ti_am335x_tsc - set ADCREFM for X configuration
  (git-fixes).
- i3c: master: dw: check return of dw_i3c_master_get_free_pos()
  (git-fixes).
- i3c/master/mipi-i3c-hci: Fix a potentially infinite loop in
  'hci_dat_v1_get_index()' (git-fixes).
- i3c: fix incorrect address slot lookup on 64-bit (git-fixes).
- commit e6ac0a5
* Tue Jan 18 2022 tiwai@suse.de
- Move upstreamed crypto and arm64 patches into sorted section
- commit a4955ac
* Tue Jan 18 2022 mbenes@suse.cz
- SUNRPC: Fix sockaddr handling in the svc_xprt_create_error
  trace point (git-fixes).
- commit c1d9cfb
* Tue Jan 18 2022 neilb@suse.de
- devtmpfs regression fix: reconfigure on each mount
  (bsc#1193377).
- commit 92e66c4
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915: Update memory bandwidth formulae (jsc#SLE-22724).
- commit 2ae01ab
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915: Clean-up bonding debug message (jsc#SLE-22724).
- commit 26ae0ff
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915: s/ddi_translations/trans/ (jsc#SLE-22724).
- commit f572040
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: get rid of vbt ddi_port_info (jsc#SLE-22724).
- commit 88e2afa
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: use ddc pin directly from child data
  (jsc#SLE-22724).
- commit 453ff21
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: move ddc pin mapping code next to ddc pin
  sanitize (jsc#SLE-22724).
- Refresh
  patches.suse/drm-i915-Fix-type1-DVI-DP-dual-mode-adapter-heuristi.patch.
- commit 1eb8e9c
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: use alternate aux channel directly from child
  data (jsc#SLE-22724).
- commit ed48aa0
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: use dp max link rate directly from child data
  (jsc#SLE-22724).
- commit 34545c4
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: use max tmds clock directly from child data
  (jsc#SLE-22724).
- commit ab53297
* Mon Jan 17 2022 pjakobsson@suse.de
- drm/i915/bios: use hdmi level shift directly from child data
  (jsc#SLE-22724).
- commit 01b51f5
* Mon Jan 17 2022 msuchanek@suse.de
- powerpc/security/mitigation-patching.sh: Support X taint flag
  (bsc#1194305 ltc#195651).
- commit 18af6bc
* Mon Jan 17 2022 mbenes@suse.cz
- tracing/probes: check the return value of kstrndup() for pbuf
  (git-fixes).
- commit 2424e3d
* Mon Jan 17 2022 mbenes@suse.cz
- tracing/uprobes: Check the return value of kstrdup() for
  tu->filename (git-fixes).
- commit d142b62
* Mon Jan 17 2022 mbenes@suse.cz
- tracing: Do not let synth_events block other dyn_event systems
  during create (git-fixes).
- commit 7b4ab30
* Mon Jan 17 2022 tiwai@suse.de
- dt-bindings: display: meson-dw-hdmi: add missing
  sound-name-prefix property (git-fixes).
- workqueue: Fix unbind_workers() VS wq_worker_sleeping() race
  (git-fixes).
- workqueue: Fix unbind_workers() VS wq_worker_running() race
  (git-fixes).
- timekeeping: Really make sure wall_to_monotonic isn't positive
  (git-fixes).
- selinux: fix sleeping function called from invalid context
  (git-fixes).
- preempt/dynamic: Fix setup_preempt_mode() return value
  (git-fixes).
- sock: fix /proc/net/sockstat underflow in sk_clone_lock()
  (git-fixes).
- scripts: update the comments of kallsyms support (git-fixes).
- commit 9f1e40d
* Mon Jan 17 2022 tiwai@suse.de
- dt-bindings: display: meson-vpu: Add missing amlogic,canvas
  property (git-fixes).
- dt-bindings: thermal: Fix definition of cooling-maps
  contribution property (git-fixes).
- dt-bindings: net: Reintroduce PHY no lane swap binding
  (git-fixes).
- dt-bindings: media: nxp,imx7-mipi-csi2: Drop bad if/then schema
  (git-fixes).
- dt-bindings: i2c: imx: hardware do not restrict clock-frequency
  to only 100 and 400 kHz (git-fixes).
- dt-bindings: display: xilinx: Fix example with psgtr
  (git-fixes).
- dt-bindings: devfreq: rk3399_dmc: fix clocks in example
  (git-fixes).
- dt-bindings: net: dsa: marvell: fix compatible in example
  (git-fixes).
- dt-bindings: net: dsa: sja1105: update nxp,sja1105.yaml
  reference (git-fixes).
- dt-bindings: pinctrl: mt8195: Use real world values for
  drive-strength arguments (git-fixes).
- commit b68e291
* Mon Jan 17 2022 oneukum@suse.com
- Documentation/locking/locktypes: Update migrate_disable() bits
  (git-fixes).
- commit ff0f4be
* Mon Jan 17 2022 tiwai@suse.de
- arm64: tegra: Remove non existent Tegra194 reset (git-fixes).
- arm64: mte: DC {GVA,GZVA} shouldn't be used when DCZID_EL0.DZP
  == 1 (git-fixes).
- arm64: clear_page() shouldn't use DC ZVA when DCZID_EL0.DZP ==
  1 (git-fixes).
- arm64: errata: Fix exec handling in erratum 1418040 workaround
  (git-fixes).
- dt-bindings: mtd: update mtd-physmap.yaml reference (git-fixes).
- dt-bindings: msm: dsi: add missing 7nm bindings (git-fixes).
- dt-bindings: iio: accel: bma255: Fix interrupt type (git-fixes).
- dt-bindings: phy: Rename Intel Keem Bay USB PHY bindings
  (git-fixes).
- dt-bindings: firmware: update arm,scpi.yaml reference
  (git-fixes).
- commit 7b30d34
* Mon Jan 17 2022 tiwai@suse.de
- arm64: dts: qcom: ipq6018: Fix gpio-ranges property (git-fixes).
- arm64: dts: qcom: c630: Fix soundcard setup (git-fixes).
- arm64: dts: qcom: msm8916: fix MMC controller aliases
  (git-fixes).
- arm64: dts: qcom: sc7280: Fix incorrect clock name (git-fixes).
- arm64: dts: qcom: msm8996: drop not documented adreno properties
  (git-fixes).
- arm64: dts: marvell: cn9130: enable CP0 GPIO controllers
  (git-fixes).
- arm64: dts: marvell: cn9130: add GPIO and SPI aliases
  (git-fixes).
- arm64: dts: ti: k3-j7200: Correct the d-cache-sets info
  (git-fixes).
- arm64: dts: ti: k3-j721e: Fix the L2 cache sets (git-fixes).
- arm64: dts: ti: k3-j7200: Fix the L2 cache sets (git-fixes).
- commit 97c18d2
* Mon Jan 17 2022 tiwai@suse.de
- arm64: dts: ti: k3-am642: Fix the L2 cache sets (git-fixes).
- arm64: dts: ti: k3-j721e: correct cache-sets info (git-fixes).
- arm64: dts: meson-gxbb-wetek: fix missing GPIO binding
  (git-fixes).
- arm64: dts: meson-gxbb-wetek: fix HDMI in early boot
  (git-fixes).
- arm64: dts: amlogic: Fix SPI NOR flash node name for ODROID
  N2/N2+ (git-fixes).
- arm64: dts: amlogic: meson-g12: Fix GPU operating point table
  node name (git-fixes).
- arm64: dts: renesas: cat875: Add rx/tx delays (git-fixes).
- arm64: dts: lx2160a: fix scl-gpios property name (git-fixes).
- arm64: dts: allwinner: orangepi-zero-plus: fix PHY mode
  (git-fixes).
- arm64: dts: rockchip: fix poweroff on helios64 (git-fixes).
- commit 68a372e
* Mon Jan 17 2022 tiwai@suse.de
- arm64: dts: rockchip: fix audio-supply for Rock Pi 4
  (git-fixes).
- arm64: dts: rockchip: fix rk3399-leez-p710 vcc3v3-lan supply
  (git-fixes).
- arm64: dts: rockchip: fix rk3308-roc-cc vcc-sd supply
  (git-fixes).
- arm64: dts: rockchip: remove mmc-hs400-enhanced-strobe from
  rk3399-khadas-edge (git-fixes).
- arm64: dts: imx8mq: remove interconnect property from lcdif
  (git-fixes).
- arm64: kexec: Fix missing error code 'ret' warning in
  load_other_segments() (git-fixes).
- arm64: ftrace: add missing BTIs (git-fixes).
- arm64: uaccess: avoid blocking within critical sections
  (git-fixes).
- arm64: dts: qcom: sdm845-oneplus: remove devinfo-size from
  ramoops node (git-fixes).
- arm64: dts: allwinner: a100: Fix thermal zone node name
  (git-fixes).
- commit 08fa850
* Mon Jan 17 2022 tiwai@suse.de
- arm64: dts: allwinner: h5: Fix GPU thermal zone node name
  (git-fixes).
- arm64: dts: imx8mm-kontron: Fix reset delays for ethernet PHY
  (git-fixes).
- arm64: dts: ls1012a: Add serial alias for ls1012a-rdb
  (git-fixes).
- arm64: dts: freescale: fix arm,sp805 compatible string
  (git-fixes).
- arm64: dts: hisilicon: fix arm,sp805 compatible string
  (git-fixes).
- arm64: dts: broadcom: bcm4908: Move reboot syscon out of bus
  (git-fixes).
- arm64: dts: qcom: sdm845: Fix qcom,controlled-remotely property
  (git-fixes).
- arm64: dts: qcom: ipq6018: Fix qcom,controlled-remotely property
  (git-fixes).
- arm64: dts: qcom: msm8998: Fix CPU/L2 idle state latency and
  residency (git-fixes).
- commit 5e706fb
* Mon Jan 17 2022 oneukum@suse.com
- kunit: fix kernel-doc warnings due to mismatched arg names
  (git-fixes).
- commit 584c0b5
* Mon Jan 17 2022 tiwai@suse.de
- ARM: dts: omap3-n900: Fix lp5523 for multi color (git-fixes).
- ARM: 9159/1: decompressor: Avoid UNPREDICTABLE NOP encoding
  (git-fixes).
- ARM: dts: exynos: Fix BCM4330 Bluetooth reset polarity in I9100
  (git-fixes).
- arm64: dts: meson-g12b-odroid-n2: add 5v regulator gpio
  (git-fixes).
- arm64: zynqmp: Fix serial compatible string (git-fixes).
- arm64: zynqmp: Do not duplicate flash partition label property
  (git-fixes).
- arm64: vdso32: require CROSS_COMPILE_COMPAT for gcc+bfd
  (git-fixes).
- arm64: dts: qcom: sm8350: Rename GENI serial engine DT node
  (git-fixes).
- arm64: dts: qcom: sc7280: Remove pm8350 and pmr735b for
  sc7280-idp (git-fixes).
- commit d164fbf
* Mon Jan 17 2022 tiwai@suse.de
- ARM: dts: armada-38x: Add generic compatible to UART nodes
  (git-fixes).
- ARM: dts: stm32: fix dtbs_check warning on ili9341 dts binding
  on stm32f429 disco (git-fixes).
- ARM: dts: gemini: NAS4220-B: fis-index-block with 128 KiB
  sectors (git-fixes).
- ARM: dts: gpio-ranges property is now required (git-fixes).
- ARM: 9169/1: entry: fix Thumb2 bug in iWMMXt exception handling
  (git-fixes).
- ARM: 9160/1: NOMMU: Reload __secondary_data after
  PROCINFO_INITFUNC (git-fixes).
- ARM: dts: imx6qdl-wandboard: Fix Ethernet support (git-fixes).
- ARM: dts: imx6ull-pinfunc: Fix CSI_DATA07__ESAI_TX0 pad name
  (git-fixes).
- ARM: socfpga: dts: fix qspi node compatible (git-fixes).
- ARM: dts: bcm2711: Fix PCIe interrupts (git-fixes).
- commit ef21691
* Mon Jan 17 2022 tiwai@suse.de
- ARM: dts: BCM5301X: Add interrupt properties to GPIO node
  (git-fixes).
- ARM: dts: BCM5301X: Fix I2C controller interrupt (git-fixes).
- ARM: configs: aspeed_g5: Reneable DRM_FBDEV_EMULATION
  (git-fixes).
- ARM: dts: qcom: fix memory and mdio nodes naming for RB3011
  (git-fixes).
- ARM: dts: omap: fix gpmc,mux-add-data type (git-fixes).
- ARM: dts: sunxi: Fix OPPs node name (git-fixes).
- ARM: dts: ls1021a-tsn: use generic "jedec,spi-nor" compatible
  for flash (git-fixes).
- ARM: dts: ls1021a: move thermal-zones node out of soc/
  (git-fixes).
- ARM: dts: ux500: Skomer regulator fixes (git-fixes).
- ARM: BCM53016: Specify switch ports for Meraki MR32 (git-fixes).
- commit 187b6ed
* Mon Jan 17 2022 tiwai@suse.de
- ARM: dts: NSP: Fix mpcore, mmc node names (git-fixes).
- ARM: dts: BCM5301X: Fix MDIO mux binding (git-fixes).
- ARM: dts: BCM5301X: Fix nodes names (git-fixes).
- ARM: imx_v6_v7_defconfig: enable fb (git-fixes).
- ARM: 9110/1: oabi-compat: fix oabi epoll sparse warning
  (git-fixes).
- ARM: dts: vf610-zii-dev-rev-b: Remove #address-cells and
  [#]size-cells property from at93c46d dt node (git-fixes).
- ARM: tegra: Enable CONFIG_CROS_EC (git-fixes).
- ARM: tegra: Enable CONFIG_FB (git-fixes).
- commit 51d32f8
* Mon Jan 17 2022 tiwai@suse.de
- Add cherry-picked id for HD-audio HDMI fix (git-fixes)
- commit 4f7bd06
* Mon Jan 17 2022 mbenes@suse.cz
- cgroup: Trace event cgroup id fields should be u64 (git-fixes).
- commit db15697
* Mon Jan 17 2022 oneukum@suse.com
- crypto: qat - fix undetected PFVF timeout in ACK loop
  (git-fixes).
- commit a5918df
* Mon Jan 17 2022 lizhang@suse.de
- selftests: KVM: Explicitly use movq to read xmm registers
  (git-fixes).
- commit 2d50b70
* Mon Jan 17 2022 msuchanek@suse.de
- Delete patches.suse/cdrom-turn-off-autoclose-by-default.patch (bsc#1165047).
  This is now shipped as modprobe.conf preset in suse-module-tools.
- commit 6aca37e
* Mon Jan 17 2022 jack@suse.cz
- select: Fix indefinitely sleeping task in
  poll_schedule_timeout() (bsc#1194027).
- commit 1695292
* Mon Jan 17 2022 tiwai@suse.de
- Move upstreamed subsystem patches into sorted section
- commit cb7f697
* Mon Jan 17 2022 tiwai@suse.de
- PCI: pci-bridge-emul: Set PCI_STATUS_CAP_LIST for PCIe device
  (git-fixes).
- PCI: pci-bridge-emul: Correctly set PCIe capabilities
  (git-fixes).
- PCI: pci-bridge-emul: Fix definitions of reserved bits
  (git-fixes).
- video: vga16fb: Only probe for EGA and VGA 16 color graphic
  cards (git-fixes).
- USB: core: Fix bug in resuming hub's handling of wakeup requests
  (git-fixes).
- USB: Fix "slab-out-of-bounds Write" bug in
  usb_hcd_poll_rh_status (git-fixes).
- random: fix crash on multiple early calls to
  add_bootloader_randomness() (git-fixes).
- random: fix data race on crng init time (git-fixes).
- random: fix data race on crng_node_pool (git-fixes).
- staging: wlan-ng: Avoid bitwise vs logical OR warning in
  hfa384x_usb_throttlefn() (git-fixes).
- commit 9176445
* Mon Jan 17 2022 tiwai@suse.de
- PCI: pci-bridge-emul: Properly mark reserved PCIe bits in PCI
  config space (git-fixes).
- PCI: pci-bridge-emul: Make expansion ROM Base Address register
  read-only (git-fixes).
- PCI: xgene: Fix IB window setup (git-fixes).
- PCI: mvebu: Fix support for DEVCAP2, DEVCTL2 and LNKCTL2
  registers on emulated bridge (git-fixes).
- PCI: mvebu: Fix support for PCI_EXP_RTSTA on emulated bridge
  (git-fixes).
- PCI: mvebu: Fix support for PCI_EXP_DEVCTL on emulated bridge
  (git-fixes).
- PCI: mvebu: Do not modify PCI IO type bits in conf_write
  (git-fixes).
- PCI: mvebu: Check for errors from pci_bridge_emul_init() call
  (git-fixes).
- PCI: mediatek-gen3: Disable DVFSRC voltage request (git-fixes).
- commit d9b2ed2
* Mon Jan 17 2022 tiwai@suse.de
- PCI: dwc: Do not remap invalid res (git-fixes).
- PCI: aardvark: Fix checking for MEM resource type (git-fixes).
- PCI: pciehp: Fix infinite loop in IRQ handler upon power fault
  (git-fixes).
- drm/amdkfd: Check for null pointer after calling kmemdup
  (git-fixes).
- drm/sun4i: dw-hdmi: Fix missing put_device() call in
  sun8i_hdmi_phy_get (git-fixes).
- drm/atomic: Check new_crtc_state->active to determine if CRTC
  needs disable in self refresh mode (git-fixes).
- drm/i915/ttm: add unmap_virtual callback (git-fixes).
- drm/i915: don't call free_mmap_offset when purging (git-fixes).
- mmc: sdhci-pci: Add PCI ID for Intel ADL (git-fixes).
- drm/i915: Avoid bitwise vs logical OR warning in
  snb_wm_latency_quirk() (git-fixes).
- commit 9f50bf5
* Mon Jan 17 2022 tiwai@suse.de
- Bluetooth: btusb: Add support for Foxconn QCA 0xe0d0
  (git-fixes).
- Bluetooth: btusb: Add support for Foxconn MT7922A (git-fixes).
- Bluetooth: btusb: Add two more Bluetooth parts for WCN6855
  (git-fixes).
- Bluetooth: btusb: Add one more Bluetooth part for WCN6855
  (git-fixes).
- Bluetooth: btusb: Add one more Bluetooth part for the Realtek
  RTL8852AE (git-fixes).
- Bluetooth: btusb: enable Mediatek to support AOSP extension
  (git-fixes).
- Bluetooth: bfusb: fix division by zero in send path (git-fixes).
- commit 9fdbfa4
* Mon Jan 17 2022 tiwai@suse.de
- Move upstreamed ALSA and coresight patches into sorted section
- commit 14619f6
* Mon Jan 17 2022 tiwai@suse.de
- Bluetooth: btintel: Fix broken LED quirk for legacy ROM devices
  (bsc#1193124).
- Delete
  patches.suse/Bluetooth-Apply-initial-command-workaround-for-more-.patch.
- commit 38b5832
* Mon Jan 17 2022 jslaby@suse.cz
- blacklist.conf: add one ath5k config fix
- commit d106a94
* Mon Jan 17 2022 neilb@suse.de
- SUNRPC: lock against ->sock changing during sysfs read
  (bsc#1194324).
- SUNRPC: Check if the xprt is connected before handling sysfs
  reads (bsc#1194324).
- commit f48a6d6
* Sun Jan 16 2022 ailiop@suse.com
- xfs: only run COW extent recovery when there are no live extents
  (bsc#1193791).
- commit f025202
* Sun Jan 16 2022 ailiop@suse.com
- xfs: move recovery needed state updates to xfs_log_mount_finish
  (bsc#1193791).
- commit 3ab22f2
* Sun Jan 16 2022 ailiop@suse.com
- xfs: allow setting and clearing of log incompat feature flags
  (bsc#1193791).
- commit e5ce8a5
* Sun Jan 16 2022 ailiop@suse.com
- xfs: remove all COW fork extents when remounting readonly
  (git-fixes).
- commit dda180e
* Sun Jan 16 2022 ailiop@suse.com
- xfs: punch out data fork delalloc blocks on COW writeback
  failure (git-fixes).
- commit d8175c4
* Sat Jan 15 2022 tiwai@suse.de
- ALSA: hda: ALC287: Add Lenovo IdeaPad Slim 9i 14ITL5 speaker
  quirk (git-fixes).
- ALSA: hda/realtek: Re-order quirk entries for Lenovo
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Legion Y9000X 2020 (git-fixes).
- ALSA: hda/tegra: Fix Tegra194 HDA reset failure (git-fixes).
- ALSA: hda/realtek: Use ALC285_FIXUP_HP_GPIO_LED on another HP
  laptop (git-fixes).
- ALSA: hda/realtek: Add speaker fixup for some Yoga 15ITL5
  devices (git-fixes).
- commit 97194d3
* Sat Jan 15 2022 tiwai@suse.de
- mei: hbm: fix client dma reply status (git-fixes).
- misc: lattice-ecp3-config: Fix task hung when firmware load
  failed (git-fixes).
- phy: cadence: Sierra: Fix to get correct parent for mux clocks
  (git-fixes).
- phy: uniphier-usb3ss: fix unintended writing zeros to PHY
  register (git-fixes).
- iio: adc: ti-adc081c: Partial revert of removal of ACPI IDs
  (git-fixes).
- firmware: qemu_fw_cfg: fix sysfs information leak (git-fixes).
- firmware: qemu_fw_cfg: fix kobject leak in probe error path
  (git-fixes).
- firmware: qemu_fw_cfg: fix NULL-pointer deref on duplicate
  entries (git-fixes).
- firmware: Update Kconfig help text for Google firmware
  (git-fixes).
- uio: uio_dmem_genirq: Catch the Exception (git-fixes).
- char/mwave: Adjust io port register size (git-fixes).
- misc: at25: Make driver OF independent again (git-fixes).
- ASoC: imx-card: improve the sound quality for low rate
  (git-fixes).
- ASoC: imx-card: Fix mclk calculation issue for akcodec
  (git-fixes).
- ASoC: imx-card: Need special setting for ak4497 on i.MX8MQ
  (git-fixes).
- ASoC: fsl_asrc: refine the check of available clock divider
  (git-fixes).
- dmaengine: pxa/mmp: stop referencing config->slave_id
  (git-fixes).
- commit 0ba81f9
* Sat Jan 15 2022 tiwai@suse.de
- ASoC: fsl_mqs: fix MODULE_ALIAS (git-fixes).
- ASoC: samsung: idma: Check of ioremap return value (git-fixes).
- ASoC: mediatek: Check for error clk pointer (git-fixes).
- ASoC: Intel: catpt: Test dmaengine_submit() result before
  moving on (git-fixes).
- ASoC: rt5663: Handle device_property_read_u32_array error codes
  (git-fixes).
- ASoC: codecs: wcd938x: add SND_SOC_WCD938_SDW to codec list
  instead (git-fixes).
- ASoC: uniphier: drop selecting non-existing
  SND_SOC_UNIPHIER_AIO_DMA (git-fixes).
- ASoC: Intel: sof_sdw: fix jack detection on HP Spectre x360
  convertible (git-fixes).
- ALSA: hda/cs8409: Fix Jack detection after resume (git-fixes).
- ALSA: hda/cs8409: Increase delay during jack detection
  (git-fixes).
- commit 501f634
* Sat Jan 15 2022 tiwai@suse.de
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Master after reboot from Windows (git-fixes).
- ALSA: usb-audio: Drop superfluous '0' in Presonus Studio
  1810c's ID (git-fixes).
- ALSA: oss: fix compile error when OSS_DEBUG is enabled
  (git-fixes).
- ALSA: hda: Make proper use of timecounter (git-fixes).
- ALSA: led: Use restricted type for iface assignment (git-fixes).
- ALSA: hda: Fix potential deadlock at codec unbinding
  (git-fixes).
- ALSA: hda: Add missing rwsem around snd_ctl_remove() calls
  (git-fixes).
- ALSA: PCM: Add missing rwsem around snd_ctl_remove() calls
  (git-fixes).
- ALSA: jack: Add missing rwsem around snd_ctl_remove() calls
  (git-fixes).
- commit 073769b
* Fri Jan 14 2022 lduncan@suse.com
- Updated mpi3mr entry in supported.conf (bsc#1194578 jsc#SLE-18121)
- commit d76e53a
* Fri Jan 14 2022 tiwai@suse.de
- Move upstreamed thunderbolt patches into sorted section
- commit cc9c167
* Fri Jan 14 2022 lizhang@suse.de
- selftests: KVM: Fix non-x86 compiling (bsc#1194396).
- commit f5bdc4a
* Fri Jan 14 2022 jroedel@suse.de
- x86/sev: Move common memory encryption code to mem_encrypt.c
  (jsc#SLE-19924).
- Update config files.
- commit 295fcc1
* Fri Jan 14 2022 jroedel@suse.de
- x86/sev: Rename mem_encrypt.c to mem_encrypt_amd.c
  (jsc#SLE-19924).
- commit e716904
* Fri Jan 14 2022 jroedel@suse.de
- x86/sev: Use CC_ATTR attribute to generalize string I/O unroll
  (jsc#SLE-19924).
- x86/sev: Remove do_early_exception() forward declarations
  (jsc#SLE-19924).
- x86/head64: Carve out the guest encryption postprocessing into
  a helper (jsc#SLE-19924).
- x86/sev: Get rid of excessive use of defines (jsc#SLE-19924).
- x86/sev: Shorten GHCB terminate macro names (jsc#SLE-19924).
- commit f844a2b
* Fri Jan 14 2022 tiwai@suse.de
- Delete mistakenly merged bogus file.
- commit 3a6a1bf
* Fri Jan 14 2022 hare@suse.de
- Update config files to enable NVMe In-band Authentication (jsc#SLE-20183)
- commit 1154950
* Fri Jan 14 2022 hare@suse.de
- nvme: add TCP TSAS definitions (jsc#SLE-20183).
- {PATCH 11/12] nvmet-auth: expire authentication sessions
  (jsc#SLE-20183).
- nvmet-auth: Diffie-Hellman key exchange support (jsc#SLE-20183).
- nvmet: Implement basic In-Band Authentication (jsc#SLE-20183).
- nvmet: parse fabrics commands on io queues (jsc#SLE-20183).
- nvme-auth: Diffie-Hellman key exchange support (jsc#SLE-20183).
- nvme: Implement In-Band authentication (jsc#SLE-20183).
- nvme-fabrics: decode 'authentication required' connect error
  (jsc#SLE-20183).
- nvme: add definitions for NVMe In-Band authentication
  (jsc#SLE-20183).
- lib/base64: RFC4648-compliant base64 encoding (jsc#SLE-20183).
- crypto: add crypto_has_kpp() (jsc#SLE-20183).
- crypto: add crypto_has_shash() (jsc#SLE-20183).
- commit 64effa8
* Fri Jan 14 2022 tiwai@suse.de
- mailbox: hi3660: convert struct comments to kernel-doc notation
  (git-fixes).
- PCI/MSI: Fix pci_irq_vector()/pci_irq_get_affinity()
  (git-fixes).
- commit 098c83f
* Fri Jan 14 2022 hare@suse.de
- nvme: add new discovery log page entry definitions
  (bsc#1192761).
- nvme: add CNTRLTYPE definitions for 'identify controller'
  (bsc#1192761).
- commit 769658d
* Fri Jan 14 2022 tiwai@suse.de
- Move upstreamed serial patches into sorted section
- commit 3fba525
* Fri Jan 14 2022 hare@suse.de
- nvme: add 'iopolicy' module parameter (bsc#1177599).
- nvme-fabrics: print out valid arguments when reading from
  /dev/nvme-fabrics (bsc#1192761).
- nvme: fix use after free when disconnecting a reconnecting ctrl
  (bsc#1192761).
- nvme-multipath: set ana_log_size to 0 after free ana_log_buf
  (bsc#1192761).
- nvmet: register discovery subsystem as 'current' (bsc#1192761).
- nvmet: switch check for subsystem type (bsc#1192761).
- nvme: display correct subsystem NQN (bsc#1192761).
- nvme: Add connect option 'discovery' (bsc#1192761).
- nvme: expose subsystem type in sysfs attribute 'subsystype'
  (bsc#1192761).
- nvmet: set 'CNTRLTYPE' in the identify controller data
  (bsc#1192761).
- nvmet: add nvmet_is_disc_subsys() helper (bsc#1192761).
- nvmet: make discovery NQN configurable (bsc#1192761).
- commit 439c8e7
* Fri Jan 14 2022 wqu@suse.com
- btrfs: respect the max size in the header when activating swap file (bsc#1194595).
- commit ed07a37
* Thu Jan 13 2022 dfaggioli@suse.com
- tools headers UAPI: Sync linux/prctl.h with the kernel sources
  (bsc#1194659).
- commit 5606b92
* Thu Jan 13 2022 ohering@suse.de
- Disable hyperv_fb in favour of hyperv_drm (jsc#SLE-19733)
- commit 19fee0c
* Thu Jan 13 2022 ohering@suse.de
- net: mana: Add RX fencing (bsc#1193506).
- commit e3d6f05
* Thu Jan 13 2022 ohering@suse.de
- Drivers: hv: vmbus: Initialize request offers message for
  Isolation VM (bsc#1183682).
- commit 7c5d060
* Thu Jan 13 2022 ohering@suse.de
- scsi: storvsc: Fix unsigned comparison to zero (git-fixes).
- commit 9e68988
* Thu Jan 13 2022 ohering@suse.de
- x86/hyperv: Fix definition of hv_ghcb_pg variable (bsc#1183682).
- commit 95638ec
* Thu Jan 13 2022 ohering@suse.de
- Drivers: hv: Fix definition of hypercall input & output arg
  variables (git-fixes).
- commit 607f280
* Thu Jan 13 2022 ohering@suse.de
- net: netvsc: Add Isolation VM support for netvsc driver
  (bsc#1183682).
- commit 6e48a4c
* Thu Jan 13 2022 ohering@suse.de
- hv_sock: Extract hvs_send_data() helper that takes only header
  (git-fixes).
- commit 460e07f
* Thu Jan 13 2022 ohering@suse.de
- scsi: storvsc: Add Isolation VM support for storvsc driver
  (bsc#1183682).
- commit e37f664
* Thu Jan 13 2022 ohering@suse.de
- hyper-v: Enable swiotlb bounce buffer for Isolation VM
  (bsc#1183682).
- commit 48df245
* Thu Jan 13 2022 ohering@suse.de
- net: mana: Add XDP support (bsc#1193506).
- commit 5fa8748
* Thu Jan 13 2022 ohering@suse.de
- hv_netvsc: Use bitmap_zalloc() when applicable (bsc#1193506).
- commit 11f2462
* Thu Jan 13 2022 ohering@suse.de
- PCI: hv: Add arm64 Hyper-V vPCI support
  (jsc#SLE-17855,bsc#1186071).
- commit e9d267d
* Thu Jan 13 2022 ohering@suse.de
- PCI: hv: Make the code arch neutral by adding arch specific
  interfaces (jsc#SLE-17855,bsc#1186071).
- commit 51d1087
* Thu Jan 13 2022 ohering@suse.de
- PCI: hv: Use PCI_ERROR_RESPONSE to identify config read errors
  (git-fixes).
- commit e8d71a7
* Thu Jan 13 2022 ohering@suse.de
- x86/hyper-v: Add hyperv Isolation VM check in the
  cc_platform_has() (bsc#1183682).
- commit 4fb06cd
* Thu Jan 13 2022 ohering@suse.de
- swiotlb: Add swiotlb bounce buffer remap function for HV IVM
  (bsc#1183682).
- commit 8e7bfc2
* Thu Jan 13 2022 dfaggioli@suse.com
- uapi/linux/prctl: provide macro definitions for the PR_SCHED_CORE
  type argument (bsc#1194659).
- commit d1a1904
* Thu Jan 13 2022 fdmanana@suse.com
- btrfs: fix warning when freeing leaf after subvolume creation
  failure (bsc#1194656).
- btrfs: fix invalid delayed ref after subvolume creation failure
  (bsc#1194656).
- btrfs: fix double free of anon_dev after failure to create
  subvolume (bsc#1194656).
- commit e3b8e6b
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: SVM: Fall back to KVM's hardcoded value for EDX at RESET/INIT
  (bsc#1194650).
- commit aaac702
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: SVM: Require exact CPUID.0x1 match when stuffing EDX at INIT
  (bsc#1194650).
- commit d70b6af
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: VMX: Set EDX at INIT with CPUID.0x1, Family-Model-Stepping
  (bsc#1194647).
- commit b8eb21e
* Thu Jan 13 2022 pjakobsson@suse.de
- Refresh
  patches.suse/Revert-drm-i915-Implement-Wa_1508744258.patch.
  Alt-commit
- commit 7a9c995
* Thu Jan 13 2022 pjakobsson@suse.de
- Refresh
  patches.suse/0445-drm-i915-Revert-guc_id-from-i915_request-tracepoint.patch.
  Alt-commit
- commit 50dc252
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: SVM: Zero out GDTR.base and IDTR.base on INIT
  (bsc#1194644).
- commit 1e7e5ae
* Thu Jan 13 2022 pjakobsson@suse.de
- Revert "drm/i915/display: Disable audio, DRRS and PSR before
  planes" (git-fixes).
- commit fa3f617
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: nVMX: Set LDTR to its architecturally defined value on
  nested VM-Exit (bsc#1194641).
- commit ef61f72
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: x86: Flush the guest's TLB on INIT (bsc#1194639).
- commit b025945
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: x86/mmu: Fix use of enums in trace_fast_page_fault
  (bsc#1194638).
- commit 232ac66
* Thu Jan 13 2022 dfaggioli@suse.com
- KVM: x86/mmu: Rename cr2_or_gpa to gpa in fast_page_fault
  (bsc#1194636).
- commit 748abc3
* Thu Jan 13 2022 mbrugger@suse.com
- optee: Suppress false positive kmemleak report in
  optee_handle_rpc() (jsc#SLE-21844).
- tee: optee: Fix incorrect page free bug (jsc#SLE-21844).
- tee: amdtee: fix an IS_ERR() vs NULL bug (jsc#SLE-21844).
- optee: smc_abi.c: add missing #include <linux/mm.h>
  (jsc#SLE-21844).
- commit 818bd23
* Thu Jan 13 2022 ptesarik@suse.cz
- net/smc: Clear memory when release and reuse buffer
  (jsc#SLE-18331).
- commit 7a4e5bd
* Thu Jan 13 2022 ptesarik@suse.cz
- net/smc: Keep smc_close_final rc during active close
  (git-fixes).
- net/smc: Don't call clcsock shutdown twice when smc shutdown
  (git-fixes).
- commit 22f3071
* Thu Jan 13 2022 ptesarik@suse.cz
- net/smc: fix kernel panic caused by race of smc_sock
  (git-fixes).
- net/smc: don't send CDC/LLC message if link not ready
  (git-fixes).
- net/smc: fix using of uninitialized completions (git-fixes).
- net/smc: Prevent smc_release() from long blocking (git-fixes).
- net/smc: fix wrong list_del in smc_lgr_cleanup_early
  (git-fixes).
- net/smc: Fix loop in smc_listen (git-fixes).
- net/smc: Fix NULL pointer dereferencing in smc_vlan_by_tcpsk()
  (git-fixes).
- net/smc: Ensure the active closing peer first closes clcsock
  (git-fixes).
- net/smc: Clean up local struct sock variables (git-fixes).
- net/smc: Make sure the link_id is unique (git-fixes).
- commit 8fbf330
* Thu Jan 13 2022 mbrugger@suse.com
- optee: fix kfree NULL pointer (jsc#SLE-21844).
- optee: Fix spelling mistake "reclain" -> "reclaim"
  (jsc#SLE-21844).
- firmware: arm_ffa: Remove unused 'compat_version' variable
  (jsc#SLE-21844).
- firmware: arm_ffa: Add support for MEM_LEND (jsc#SLE-21844).
- firmware: arm_ffa: Handle compatibility with different firmware
  versions (jsc#SLE-21844).
- optee: add FF-A support (jsc#SLE-21844).
- optee: isolate smc abi (jsc#SLE-21844).
- optee: refactor driver with internal callbacks (jsc#SLE-21844).
- optee: simplify optee_release() (jsc#SLE-21844).
- commit 5c29442
* Thu Jan 13 2022 mbrugger@suse.com
- tee: add sec_world_id to struct tee_shm (jsc#SLE-21844).
- Refresh
  patches.suse/tee-handle-lookup-of-shm-with-reference-count-0.patch.
- commit 16de057
* Thu Jan 13 2022 mbrugger@suse.com
- tee/optee/shm_pool: fix application of sizeof to pointer
  (jsc#SLE-21844).
- commit a041250
* Thu Jan 13 2022 lizhang@suse.de
- selftests: KVM: avoid failures due to reserved HyperTransport
  region (bsc#1194396).
- commit dc525da
* Thu Jan 13 2022 ptesarik@suse.cz
- net/smc: Print function name in smcr_link_down tracepoint
  (jsc#SLE-18331).
- net/smc: Introduce tracepoint for smcr link down
  (jsc#SLE-18331).
- net/smc: Introduce tracepoints for tx and rx msg
  (jsc#SLE-18331).
- net/smc: Introduce tracepoint for fallback (jsc#SLE-18331).
- net/smc: stop links when their GID is removed (jsc#SLE-18331).
- net/smc: add netlink support for SMC-Rv2 (jsc#SLE-18331).
- net/smc: extend LLC layer for SMC-Rv2 (jsc#SLE-18331).
- net/smc: add v2 support to the work request layer
  (jsc#SLE-18331).
- net/smc: retrieve v2 gid from IB device (jsc#SLE-18331).
- net/smc: add v2 format of CLC decline message (jsc#SLE-18331).
- net/smc: add listen processing for SMC-Rv2 (jsc#SLE-18331).
- net/smc: add SMC-Rv2 connection establishment (jsc#SLE-18331).
- net/smc: prepare for SMC-Rv2 connection (jsc#SLE-18331).
- net/smc: save stack space and allocate smc_init_info
  (jsc#SLE-18331).
- net/smc: add generic netlink support for system EID
  (jsc#SLE-18331).
- net/smc: keep static copy of system EID (jsc#SLE-18331).
- net/smc: add support for user defined EIDs (jsc#SLE-18331).
- net/smc: Allow SMC-D 1MB DMB allocations (jsc#SLE-18331).
- commit f31e069
* Thu Jan 13 2022 tiwai@suse.de
- clk: bm1880: remove kfrees on static allocations (git-fixes).
- clk: qcom: gcc-sc7280: Mark gcc_cfg_noc_lpass_clk always enabled
  (git-fixes).
- clk: imx8mn: Fix imx8mn_clko1_sels (git-fixes).
- clk: stm32: Fix ltdc's clock turn off by clk_disable_unused()
  after system enter shell (git-fixes).
- clk: Emit a stern warning with writable debugfs enabled
  (git-fixes).
- clk: Gemini: fix struct name in kernel-doc (git-fixes).
- clk: imx: pllv1: fix kernel-doc notation for struct clk_pllv1
  (git-fixes).
- leds: lp55xx: initialise output direction from dts (git-fixes).
- usb: gadget: u_audio: Subdevice 0 for capture ctls (git-fixes).
- usb: dwc2: do not gate off the hardware if it does not support
  clock gating (git-fixes).
- usb: dwc3: qcom: Fix NULL vs IS_ERR checking in dwc3_qcom_probe
  (git-fixes).
- usb: ftdi-elan: fix memory leak on device disconnect
  (git-fixes).
- serial: stm32: move tx dma terminate DMA to shutdown
  (git-fixes).
- serial: liteuart: fix MODULE_ALIAS (git-fixes).
- serial: 8250_bcm7271: Propagate error codes from
  brcmuart_probe() (git-fixes).
- serial: Fix incorrect rs485 polarity on uart open (git-fixes).
- serial: amba-pl011: do not request memory region twice
  (git-fixes).
- tty: serial: uartlite: allow 64 bit address (git-fixes).
- tty: serial: atmel: Call dma_async_issue_pending() (git-fixes).
- tty: serial: atmel: Check return code of dmaengine_submit()
  (git-fixes).
- staging: rtl8192e: rtllib_module: fix error handle case in
  alloc_rtllib() (git-fixes).
- staging: rtl8192e: return error code from rtllib_softmac_init()
  (git-fixes).
- drivers/firmware: Add missing platform_device_put() in
  sysfb_create_simplefb (git-fixes).
- pinctrl: renesas: rza1: Fix kerneldoc function names
  (git-fixes).
- floppy: Fix hang in watchdog when disk is ejected (git-fixes).
- commit 13cce41
* Wed Jan 12 2022 lduncan@suse.com
- scsi: vmw_pvscsi: Set residual data length conditionally
  (git-fixes).
- scsi: lpfc: Terminate string in lpfc_debugfs_nvmeio_trc_write()
  (git-fixes).
- commit 4c59c88
* Wed Jan 12 2022 lduncan@suse.com
- Move mpi3mr driver to being fully supported (bsc#1194578)
- commit 8f564bb
* Wed Jan 12 2022 mbenes@suse.cz
- blacklist.conf: f28439db470c ("tracing: Tag trace_percpu_buffer as a percpu pointer")
  It fixes a sparse warning only.
- commit f67dade
* Wed Jan 12 2022 mbenes@suse.cz
- tracing: Fix check for trace_percpu_buffer validity in
  get_trace_buf() (git-fixes).
- commit 8ff3def
* Wed Jan 12 2022 tzimmermann@suse.de
- drm: Enable support for simpledrm devices on x86-64 (jsc#SLE-18823)
  - enable support for simple-framebuffer devices
  - disabled by default
- commit 74f8512
* Wed Jan 12 2022 mkoutny@suse.com
- cgroup: Use open-time cgroup namespace for process migration
  perm checks (bsc#1194302 CVE-2021-4197).
- cgroup: Allocate cgroup_file_ctx for kernfs_open_file->priv
  (bsc#1194302 CVE-2021-4197).
- cgroup: Use open-time credentials for process migraton perm
  checks (bsc#1194302 CVE-2021-4197).
- commit 91b620d
* Wed Jan 12 2022 tzimmermann@suse.de
- firmware/sysfb: Add parameter to enable sysfb support (jsc#SLE-18823)
- commit afbe6c6
* Wed Jan 12 2022 ptesarik@suse.cz
- s390: add HWCAP_S390_PCI_MIO to ELF hwcaps (jsc#SLE-23099).
- s390/disassembler: add instructions (jsc#SLE-18634).
- s390: report more CPU capabilities (jsc#SLE-18634).
- commit f81382d
* Wed Jan 12 2022 jack@suse.cz
- fget: clarify and improve __fget_files() implementation
  (bsc#1193727).
- commit 5f0b9f7
* Wed Jan 12 2022 jack@suse.cz
- fget: check that the fd still exists after getting a ref to it
  (bsc#1193727 CVE-2021-4083).
- commit 2321692
* Wed Jan 12 2022 tiwai@suse.de
- tpm: fix NPE on probe for missing device (git-fixes).
- tpm: fix potential NULL pointer access in tpm_del_char_device
  (git-fixes).
- tpm_tis: Fix an error handling path in 'tpm_tis_core_init()'
  (git-fixes).
- tpm: add request_locality before write TPM_INT_ENABLE
  (git-fixes).
- spi: uniphier: Fix a bug that doesn't point to private data
  correctly (git-fixes).
- usb: mtu3: fix interval value for intr and isoc (git-fixes).
- commit c4bbaa3
* Wed Jan 12 2022 tiwai@suse.de
- selinux: fix potential memleak in selinux_add_opt() (git-fixes).
- spi: spi-meson-spifc: Add missing pm_runtime_disable() in
  meson_spifc_probe (git-fixes).
- spi: spi-rspi: Drop redeclaring ret variable in
  qspi_transfer_in() (git-fixes).
- spi: hisi-kunpeng: Fix the debugfs directory name incorrect
  (git-fixes).
- regulator: qcom-labibb: OCP interrupts are not a failure while
  disabled (git-fixes).
- regulator: Drop unnecessary struct member (git-fixes).
- regmap: Call regmap_debugfs_exit() prior to _init() (git-fixes).
- power: reset: mt6397: Check for null res pointer (git-fixes).
- power: bq25890: Enable continuous conversion for ADC at charging
  (git-fixes).
- rndis_host: support Hytera digital radios (git-fixes).
- commit 8693eaa
* Wed Jan 12 2022 tiwai@suse.de
- mtd: rawnand: mpc5121: Remove unused variable in
  ads5121_select_chip() (git-fixes).
- mtd: rawnand: ingenic: JZ4740 needs 'oob_first' read page
  function (git-fixes).
- mtd: rawnand: Export nand_read_page_hwecc_oob_first()
  (git-fixes).
- mtd: rawnand: davinci: Rewrite function description (git-fixes).
- mtd: rawnand: davinci: Avoid duplicated page read (git-fixes).
- mtd: rawnand: davinci: Don't calculate ECC when reading page
  (git-fixes).
- mtd: hyperbus: rpc-if: fix bug in rpcif_hb_remove (git-fixes).
- mtd: hyperbus: rpc-if: Check return value of rpcif_sw_init()
  (git-fixes).
- Revert "net: usb: r8152: Add MAC passthrough support for more
  Lenovo Docks" (git-fixes).
- commit d77e38e
* Wed Jan 12 2022 tiwai@suse.de
- pcmcia: fix setting of kthread task states (git-fixes).
- pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in
  nonstatic_find_mem_region() (git-fixes).
- pcmcia: rsrc_nonstatic: Fix a NULL pointer dereference in
  __nonstatic_find_io_region() (git-fixes).
- commit 291cf9b
* Wed Jan 12 2022 tiwai@suse.de
- kernel/locking: Use a pointer in ww_mutex_trylock() (git-fixes).
- lib/logic_iomem: Fix operation on 32-bit (git-fixes).
- lib/logic_iomem: Fix 32-bit build (git-fixes).
- mmc: meson-mx-sdio: add IRQ check (git-fixes).
- mmc: meson-mx-sdhc: add IRQ check (git-fixes).
- mfd: intel-lpss: Fix too early PM enablement in the ACPI
  - >probe() (git-fixes).
- mtd: core: provide unique name for nvmem device (git-fixes).
- mtd: Fixed breaking list in __mtd_del_partition (git-fixes).
- lib/mpi: Add the return value check of kcalloc() (git-fixes).
- mISDN: change function names to avoid conflicts (git-fixes).
- commit 9a0c88a
* Wed Jan 12 2022 tiwai@suse.de
- HID: hid-uclogic-params: Invalid parameter check in
  uclogic_params_frame_init_v1_buttonpad (git-fixes).
- HID: hid-uclogic-params: Invalid parameter check in
  uclogic_params_huion_init (git-fixes).
- HID: hid-uclogic-params: Invalid parameter check in
  uclogic_params_get_str_desc (git-fixes).
- HID: hid-uclogic-params: Invalid parameter check in
  uclogic_params_init (git-fixes).
- hwmon: (mr75203) fix wrong power-up delay value (git-fixes).
- drm/amdgpu: disable runpm if we are the primary adapter
  (git-fixes).
- fbdev: fbmem: add a helper to determine if an aperture is used
  by a fw fb (git-fixes).
- drm/amd/pm: keep the BACO feature enabled for suspend
  (git-fixes).
- drm/amdgpu: fix dropped backing store handling in
  amdgpu_dma_buf_move_notify (git-fixes).
- drm/amd/display: Added power down for DCN10 (git-fixes).
- commit 49a64a1
* Wed Jan 12 2022 tiwai@suse.de
- drm/i915/backlight: extract backlight code to a separate file
  (git-fixes).
- Refresh
  patches.suse/drm-i915-dp-Perform-30ms-delay-after-source-OUI-writ.patch.
- commit de43291
* Wed Jan 12 2022 tiwai@suse.de
- crypto: x86/aesni - don't require alignment of data (git-fixes).
- crypto: stm32/crc32 - Fix kernel BUG triggered in probe()
  (git-fixes).
- docs: automarkup.py: Fix invalid HTML link output and broken
  URI fragments (git-fixes).
- Documentation: refer to config RANDOMIZE_BASE for kernel
  address-space randomization (git-fixes).
- drm/amd/display: fix B0 TMDS deepcolor no dislay issue
  (git-fixes).
- drm/amdgpu: put SMU into proper state on runpm suspending for
  BOCO capable platform (git-fixes).
- drm/amdgpu: always reset the asic in suspend (v2) (git-fixes).
- drm/amd/pm: skip setting gfx cgpg in the s0ix suspend-resume
  (git-fixes).
- drm/amd/pm: Fix xgmi link control on aldebaran (git-fixes).
- drm/i915: Add support for panels with VESA backlights with
  PWM enable/disable (git-fixes).
- drm/i915/backlight: mass rename functions to have
  intel_backlight_ prefix (git-fixes).
- commit 941e68f
* Wed Jan 12 2022 tiwai@suse.de
- crypto: omap-aes - Fix broken pm_runtime_and_get() usage
  (git-fixes).
- crypto: octeontx2 - prevent underflow in get_cores_bmap()
  (git-fixes).
- crypto: stm32 - Revert broken pm_runtime_resume_and_get changes
  (git-fixes).
- crypto: stm32/cryp - fix bugs and crash in tests (git-fixes).
- crypto: stm32/cryp - fix lrw chaining mode (git-fixes).
- crypto: stm32/cryp - fix double pm exit (git-fixes).
- crypto: stm32/cryp - check early input data (git-fixes).
- crypto: stm32/cryp - fix xts and race condition in crypto_engine
  requests (git-fixes).
- crypto: stm32/cryp - fix CTR counter carry (git-fixes).
- crypto: octeontx2 - uninitialized variable in kvf_limits_store()
  (git-fixes).
- commit 1f3d99d
* Wed Jan 12 2022 tiwai@suse.de
- backlight: qcom-wled: Override default length with
  qcom,enabled-strings (git-fixes).
- backlight: qcom-wled: Fix off-by-one maximum with default
  num_strings (git-fixes).
- backlight: qcom-wled: Pass number of elements to read to
  read_u32_array (git-fixes).
- backlight: qcom-wled: Validate enabled string indices in DT
  (git-fixes).
- crypto: qce - fix uaf on qce_skcipher_register_one (git-fixes).
- crypto: qce - fix uaf on qce_ahash_register_one (git-fixes).
- crypto: qce - fix uaf on qce_aead_register_one (git-fixes).
- atlantic: Fix buff_ring OOB in aq_ring_rx_clean (git-fixes).
- auxdisplay: charlcd: checking for pointer reference before
  dereferencing (git-fixes).
- commit 85744be
* Wed Jan 12 2022 tiwai@suse.de
- Move upstreamed caam patches into sorted section
- commit c0716a1
* Tue Jan 11 2022 ddiss@suse.de
- vfs: fs_context: fix up param length parsing in legacy_parse_param
  (CVE-2022-0185 bsc#1194517).
- vfs: Out-of-bounds write of heap buffer in fs_context.c
  (CVE-2022-0185 bsc#1194517).
- commit 4eff35e
* Tue Jan 11 2022 msuchanek@suse.de
- Refresh and reenable patches.suse/powerpc-Add-kABI-placeholder-to-struct-pci_controlle.patch.
- commit 0662bab
* Tue Jan 11 2022 tiwai@suse.de
- Move upstreamed i915 patch into sorted section
- commit ab774ad
* Tue Jan 11 2022 tiwai@suse.de
- Drop a bogus DRM patch that has been already cherry-picked
- commit 74d26f7
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: xdomain: Avoid potential stack OOB read
  (jsc#SLE-19356 jsc#SLE-19358 jsc#SLE-19359).
- commit b3e0efa
* Tue Jan 11 2022 tiwai@suse.de
- Update patch references for NFC security fixes (CVE-2021-4202 bsc#1194529)
- commit 73f05a8
* Tue Jan 11 2022 tbogendoerfer@suse.de
- RDMA/core: Don't infoleak GRH fields (jsc#SLE-19249).
- RDMA/uverbs: Check for null return of kmalloc_array
  (jsc#SLE-19249).
- Revert "RDMA/mlx5: Fix releasing unallocated memory in dereg
  MR flow" (jsc#SLE-19253).
- RDMA/rxe: Prevent double freeing rxe_map_set() (jsc#SLE-19249).
- iavf: Fix limit of total number of queues to active queues of VF
  (jsc#SLE-18385).
- i40e: Fix incorrect netdev's real number of RX/TX queues
  (jsc#SLE-18378).
- i40e: Fix for displaying message regarding NVM version
  (jsc#SLE-18378).
- i40e: fix use-after-free in i40e_sync_filters_subtask()
  (jsc#SLE-18378).
- i40e: Fix to not show opcode msg on unsuccessful VF MAC change
  (jsc#SLE-18378).
- sfc: The RX page_ring is optional (git-fixes).
- sch_qfq: prevent shift-out-of-bounds in qfq_init_qdisc
  (git-fixes).
- net: ena: Fix error handling when calculating max IO queues
  number (git-fixes).
- net: ena: Fix wrong rx request id by resetting device
  (git-fixes).
- net: ena: Fix undefined state when tx request id is out of
  bounds (git-fixes).
- commit 47d0d9d
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Add module parameter for CLx disabling
  (jsc#SLE-19359).
- commit 2edbb7d
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Enable CL0s for Intel Titan Ridge (jsc#SLE-19359).
- commit 78214f0
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Rename Intel TB_VSE_CAP_IECS capability
  (jsc#SLE-19356 jsc#SLE-19357 jsc#SLE-19358 jsc#SLE-19359).
- commit 77795ca
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Implement TMU time disruption for Intel Titan Ridge
  (jsc#SLE-19359).
- commit a599ed6
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Move usb4_switch_wait_for_bit() to switch.c
  (jsc#SLE-19356 jsc#SLE-19357 jsc#SLE-19358 jsc#SLE-19359).
- commit 654869f
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Add CL0s support for USB4 routers (jsc#SLE-19359).
- commit 2d3b539
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Add TMU uni-directional mode (jsc#SLE-19358
  jsc#SLE-19359).
- commit 55afa32
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Check return value of kmemdup() in
  icm_handle_event() (jsc#SLE-19358).
- commit 1d198a8
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Do not dereference fwnode in struct device
  (jsc#SLE-19356 jsc#SLE-19357 jsc#SLE-19358 jsc#SLE-19359).
- commit 6c6f018
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Add debug logging of DisplayPort resource
  allocation (jsc#SLE-19356).
- commit c30ad8a
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Do not allow subtracting more NFC credits than
  configured (jsc#SLE-19359).
- commit 6830e6c
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Runtime resume USB4 port when retimers are scanned
  (jsc#SLE-19359).
- commit d68139f
* Tue Jan 11 2022 oneukum@suse.com
- thunderbolt: Runtime PM activate both ends of the device link
  (jsc#SLE-19356 jsc#SLE-19359).
- commit 7b8a05d
* Tue Jan 11 2022 tiwai@suse.de
- iwlwifi: mvm: Use div_s64 instead of do_div in
  iwl_mvm_ftm_rtt_smoothing() (git-fixes).
- drm/amd/display: Fix DPIA outbox timeout after S3/S4/reset
  (git-fixes).
- commit fbf8c6a
* Tue Jan 11 2022 tiwai@suse.de
- wcn36xx: Fix max channels retrieval (git-fixes).
- wireless: iwlwifi: Fix a double free in iwl_txq_dyn_alloc_dma
  (git-fixes).
- wcn36xx: fix RX BD rate mapping for 5GHz legacy rates
  (git-fixes).
- wcn36xx: populate band before determining rate on RX
  (git-fixes).
- commit e2ed707
* Tue Jan 11 2022 tiwai@suse.de
- software node: fix wrong node passed to find nargs_prop
  (git-fixes).
- thermal/drivers/int340x: Fix RFIM mailbox write commands
  (git-fixes).
- thermal/drivers/imx8mm: Enable ADC when enabling monitor
  (git-fixes).
- thermal/drivers/imx: Implement runtime PM support (git-fixes).
- rtlwifi: rtl8192cu: Fix WARNING when calling local_irq_restore()
  with interrupts enabled (git-fixes).
- wcn36xx: Put DXE block into reset before freeing memory
  (git-fixes).
- wcn36xx: Release DMA channel descriptor allocations (git-fixes).
- wcn36xx: Fix DMA channel enable/disable cycle (git-fixes).
- wcn36xx: Indicate beacon not connection loss on
  MISSED_BEACON_IND (git-fixes).
- wcn36xx: ensure pairing of init_scan/finish_scan and
  start_scan/end_scan (git-fixes).
- commit 33d2ad1
* Tue Jan 11 2022 tiwai@suse.de
- PCI/ACPI: Fix acpi_pci_osc_control_set() kernel-doc comment
  (git-fixes).
- mt76: mt7921: drop offload_flags overwritten (git-fixes).
- mwifiex: Fix possible ABBA deadlock (git-fixes).
- media: hantro: Fix probe func error path (git-fixes).
- media: ov8865: Disable only enabled regulators on error path
  (git-fixes).
- media: coda/imx-vdoa: Handle dma_set_coherent_mask error codes
  (git-fixes).
- media: msi001: fix possible null-ptr-deref in msi001_probe()
  (git-fixes).
- media: dw2102: Fix use after free (git-fixes).
- memory: renesas-rpc-if: Return error in case
  devm_ioremap_resource() fails (git-fixes).
- commit 5b0b74d
* Tue Jan 11 2022 tiwai@suse.de
- media: streamzap: remove unnecessary ir_raw_event_reset and
  handle (git-fixes).
- media: si2157: Fix "warm" tuner state detection (git-fixes).
- media: cec-pin: fix interrupt en/disable handling (git-fixes).
- media: saa7146: mxb: Fix a NULL pointer dereference in
  mxb_attach() (git-fixes).
- media: dib8000: Fix a memleak in dib8000_init() (git-fixes).
- media: uvcvideo: fix division by zero at stream start
  (git-fixes).
- media: venus: core: Fix a resource leak in the error handling
  path of 'venus_probe()' (git-fixes).
- media: venus: core: Fix a potential NULL pointer dereference
  in an error handling path (git-fixes).
- media: venus: correct low power frequency calculation for
  encoder (git-fixes).
- media: coda: fix CODA960 JPEG encoder buffer overflow
  (git-fixes).
- commit ad9c38c
* Tue Jan 11 2022 tiwai@suse.de
- media: mtk-vcodec: call v4l2_m2m_ctx_release first when file
  is released (git-fixes).
- media: si470x-i2c: fix possible memory leak in
  si470x_i2c_probe() (git-fixes).
- media: imx-pxp: Initialize the spinlock prior to using it
  (git-fixes).
- media: rcar-csi2: Optimize the selection PHTW register
  (git-fixes).
- media: rcar-csi2: Correct the selection of hsfreqrange
  (git-fixes).
- media: i2c: ov8865: Fix lockdep error (git-fixes).
- media: i2c: Re-order runtime pm initialisation (git-fixes).
- media: i2c: imx274: fix trivial typo obainted/obtained
  (git-fixes).
- media: i2c: imx274: fix trivial typo expsoure/exposure
  (git-fixes).
- media: i2c: imx274: fix s_frame_interval runtime resume not
  requested (git-fixes).
- commit 2f34e23
* Tue Jan 11 2022 tiwai@suse.de
- media: dib0700: fix undefined behavior in tuner shutdown
  (git-fixes).
- media: dmxdev: fix UAF when dvb_register_device() fails
  (git-fixes).
- media: stk1160: fix control-message timeouts (git-fixes).
- media: s2255: fix control-message timeouts (git-fixes).
- media: pvrusb2: fix control-message timeouts (git-fixes).
- media: em28xx: fix control-message timeouts (git-fixes).
- media: cpia2: fix control-message timeouts (git-fixes).
- media: flexcop-usb: fix control-message timeouts (git-fixes).
- media: redrat3: fix control-message timeouts (git-fixes).
- media: mceusb: fix control-message timeouts (git-fixes).
- commit da51464
* Tue Jan 11 2022 tiwai@suse.de
- media: correct MEDIA_TEST_SUPPORT help text (git-fixes).
- media: aspeed: Update signal status immediately to ensure sane
  hw state (git-fixes).
- media: v4l2-ioctl.c: readbuffers depends on V4L2_CAP_READWRITE
  (git-fixes).
- media: em28xx: fix memory leak in em28xx_init_dev (git-fixes).
- media: aspeed: fix mode-detect always time out at 2nd run
  (git-fixes).
- media: atomisp: fix uninitialized bug in
  gmin_get_pmic_id_and_addr() (git-fixes).
- media: atomisp: fix ifdefs in sh_css.c (git-fixes).
- media: atomisp: fix inverted error check for
  ia_css_mipi_is_source_port_valid() (git-fixes).
- media: atomisp: do not use err var when checking port validity
  for ISP2400 (git-fixes).
- commit 54c82b7
* Tue Jan 11 2022 tiwai@suse.de
- iwlwifi: mvm: set protected flag only for NDP ranging
  (git-fixes).
- iwlwifi: mvm: perform 6GHz passive scan after suspend
  (git-fixes).
- iwlwifi: mvm: test roc running status bits before removing
  the sta (git-fixes).
- iwlwifi: mvm: fix 32-bit build in FTM (git-fixes).
- iwlwifi: fix Bz NMI behaviour (git-fixes).
- media: atomisp: fix inverted logic in buffers_needed()
  (git-fixes).
- media: atomisp: fix punit_ddr_dvfs_enable() argument for
  mrfld_power up case (git-fixes).
- media: atomisp: add missing media_device_cleanup() in
  atomisp_unregister_entities() (git-fixes).
- gpu: host1x: Add back arm_iommu_detach_device() (git-fixes).
- gpu: host1x: Drop excess kernel-doc entry @key (git-fixes).
- commit ddae815
* Tue Jan 11 2022 tiwai@suse.de
- drm/amd/display: Fix the uninitialized variable in
  enable_stream_features() (git-fixes).
- drm/msm/dpu: fix safe status debugfs file (git-fixes).
- drm/msm/dp: displayPort driver need algorithm rational
  (git-fixes).
- drm/vmwgfx: Remove explicit transparent hugepages support
  (git-fixes).
- drm/tegra: vic: Fix DMA API misuse (git-fixes).
- drm/tegra: gr2d: Explicitly control module reset (git-fixes).
- drm/amd/pm: fix a potential gpu_metrics_table memory leak
  (git-fixes).
- drm/amd/display: Fix out of bounds access on DNC31 stream
  encoder regs (git-fixes).
- drm/amd/display: Fix bug in debugfs crc_win_update entry
  (git-fixes).
- drm/radeon/radeon_kms: Fix a NULL pointer dereference in
  radeon_driver_open_kms() (git-fixes).
- commit dd193ee
* Tue Jan 11 2022 tiwai@suse.de
- drm/amdgpu: Fix a NULL pointer dereference in
  amdgpu_connector_lcd_native_mode() (git-fixes).
- drm/bridge: ti-sn65dsi86: Set max register for regmap
  (git-fixes).
- drm/vmwgfx: Fail to initialize on broken configs (git-fixes).
- drm/vmwgfx: Remove the deprecated lower mem limit (git-fixes).
- drm/amd/display: Fix DPIA outbox timeout after GPU reset
  (git-fixes).
- drm/vboxvideo: fix a NULL vs IS_ERR() check (git-fixes).
- drm/dp: Don't read back backlight mode in
  drm_edp_backlight_enable() (git-fixes).
- drm/vc4: crtc: Copy assigned channel to the CRTC (git-fixes).
- drm/vc4: Fix non-blocking commit getting stuck forever
  (git-fixes).
- drm/vc4: crtc: Drop feed_txp from state (git-fixes).
- commit fd31773
* Tue Jan 11 2022 tiwai@suse.de
- drm/bridge: analogix_dp: Make PSR-exit block less (git-fixes).
- drm/vc4: hdmi: Enable the scrambler on reconnection (git-fixes).
- drm/vc4: crtc: Make sure the HDMI controller is powered when
  disabling (git-fixes).
- drm/vc4: hdmi: Rework the pre_crtc_configure error handling
  (git-fixes).
- drm/vc4: hdmi: Make sure the controller is powered up during
  bind (git-fixes).
- drm/vc4: hdmi: Make sure the controller is powered in detect
  (git-fixes).
- drm/vc4: hdmi: Move the HSM clock enable to runtime_pm
  (git-fixes).
- drm/vc4: hdmi: Set a default HSM rate (git-fixes).
- drm/rockchip: dsi: Disable PLL clock on bind error (git-fixes).
- commit c836251
* Tue Jan 11 2022 tiwai@suse.de
- Documentation: ACPI: Fix data node reference documentation
  (git-fixes).
- dma_fence_array: Fix PENDING_ERROR leak in
  dma_fence_array_signaled() (git-fixes).
- drm/rockchip: dsi: Fix unbalanced clock on probe error
  (git-fixes).
- drm/rockchip: dsi: Reconfigure hardware on resume() (git-fixes).
- drm/rockchip: dsi: Hold pm-runtime across bind/unbind
  (git-fixes).
- drm/panel: innolux-p079zca: Delete panel on attach() failure
  (git-fixes).
- drm/panel: kingdisplay-kd097d04: Delete panel on attach()
  failure (git-fixes).
- drm: fix null-ptr-deref in drm_dev_init_release() (git-fixes).
- drm/bridge: display-connector: fix an uninitialized pointer
  in probe() (git-fixes).
- Documentation, arch: Remove leftovers from raw device
  (git-fixes).
- commit c33b5df
* Tue Jan 11 2022 tiwai@suse.de
- device property: Fix documentation for
  FWNODE_GRAPH_DEVICE_DISABLED (git-fixes).
- device property: Fix fwnode_graph_devcon_match() fwnode leak
  (git-fixes).
- can: gs_usb: gs_can_start_xmit(): zero-initialize
  hf->{flags,reserved} (git-fixes).
- can: xilinx_can: xcan_probe(): check for error irq (git-fixes).
- can: softing: softing_startstop(): fix set but not used variable
  warning (git-fixes).
- can: softing_cs: softingcs_probe(): fix memleak on registration
  failure (git-fixes).
- can: isotp: convert struct tpcon::{idx,len} to unsigned int
  (git-fixes).
- can: gs_usb: fix use of uninitialized variable, detach device
  on reception of invalid USB data (git-fixes).
- clk: bcm-2835: Remove rounding up the dividers (git-fixes).
- clk: bcm-2835: Pick the closest clock rate (git-fixes).
- commit ccff551
* Tue Jan 11 2022 tiwai@suse.de
- Bluetooth: L2CAP: uninitialized variables in
  l2cap_sock_setsockopt() (git-fixes).
- Bluetooth: hci_qca: Fix NULL vs IS_ERR_OR_NULL check in
  qca_serdev_probe (git-fixes).
- Bluetooth: hci_bcm: Check for error irq (git-fixes).
- can: mcp251xfd: add missing newline to printed strings
  (git-fixes).
- can: mcp251xfd: mcp251xfd_tef_obj_read(): fix typo in error
  message (git-fixes).
- can: usb_8dev: remove unused member echo_skb from struct
  usb_8dev_priv (git-fixes).
- Bluetooth: hci_qca: Stop IBS timer during BT OFF (git-fixes).
- Bluetooth: L2CAP: Fix using wrong mode (git-fixes).
- Bluetooth: btmtksdio: fix resume failure (git-fixes).
- commit 9c9f45a
* Tue Jan 11 2022 tiwai@suse.de
- ax25: uninitialized variable in ax25_setsockopt() (git-fixes).
- ath11k: Fix a NULL pointer dereference in
  ath11k_mac_op_hw_scan() (git-fixes).
- ath11k: Fix deleting uninitialized kernel timer during fragment
  cache flush (git-fixes).
- ath11k: Fix buffer overflow when scanning with extraie
  (git-fixes).
- Bluetooth: stop proccessing malicious adv data (git-fixes).
- Bluetooth: cmtp: fix possible panic when cmtp_init_sockets()
  fails (git-fixes).
- Bluetooth: virtio_bt: fix memory leak in virtbt_rx_handle()
  (git-fixes).
- Bluetooth: btusb: fix memory leak in
  btusb_mtk_submit_wmt_recv_urb() (git-fixes).
- Bluetooth: btusb: Fix application of sizeof to pointer
  (git-fixes).
- Bluetooth: L2CAP: Fix not initializing sk_peer_pid (git-fixes).
- commit 1874423
* Tue Jan 11 2022 tiwai@suse.de
- ACPI: EC: Rework flushing of EC work while suspended to idle
  (git-fixes).
- ACPI: scan: Create platform device for BCM4752 and LNV4752
  ACPI nodes (git-fixes).
- ath10k: Fix the MTU size on QCA9377 SDIO (git-fixes).
- ath11k: Use host CE parameters for CE interrupts configuration
  (git-fixes).
- ath11k: reset RSN/WPA present state for open BSS (git-fixes).
- ath11k: clear the keys properly via DISABLE_KEY (git-fixes).
- ath11k: Fix ETSI regd with weather radar overlap (git-fixes).
- ath11k: Send PPDU_STATS_CFG with proper pdev mask to firmware
  (git-fixes).
- commit daa87ce
* Tue Jan 11 2022 tiwai@suse.de
- Move upstreamed media and wireless patches into sorted section
- commit 0e89c6b
* Tue Jan 11 2022 nstange@suse.de
- Update
  patches.suse/0001-crypto-implement-downstream-solution-for-disabling-d.patch
  (jsc#SLE-21132,bsc#1191270,bsc#1193976).
- commit 3bec270
* Mon Jan 10 2022 bp@suse.de
- EDAC/i10nm: Release mdev/mbase when failing to detect HBM
  (bsc#1190497).
- commit fd0b06f
* Mon Jan 10 2022 mgorman@suse.de
- Delete
  patches.suse/sched-fair-Adjust-the-allowed-NUMA-imbalance-when-SD_NUMA-spans-multiple-LLCs.patch.
- Delete
  patches.suse/sched-fair-Use-weight-of-SD_NUMA-domain-in-find_busiest_group.patch.
  To be updated.
- commit d4407e8
* Mon Jan 10 2022 ailiop@suse.com
- xfs: map unwritten blocks in XFS_IOC_{ALLOC,FREE}SP just like
  fallocate (bsc#1194272 CVE-2021-4155).
- commit a336d8d
* Mon Jan 10 2022 tiwai@suse.de
- Input: zinitix - make sure the IRQ is allocated before it gets
  enabled (git-fixes).
- Revert "drm/amdgpu: stop scheduler when calling hw_fini (v2)"
  (git-fixes).
- i2c: mpc: Avoid out of bounds memory access (git-fixes).
- power: reset: ltc2952: Fix use of floating point literals
  (git-fixes).
- power: supply: core: Break capacity loop (git-fixes).
- commit a4fc8b8
* Mon Jan 10 2022 jroedel@suse.de
- x86/kvm: Add kexec support for SEV Live Migration (bsc#1194316).
- commit 984f004
* Mon Jan 10 2022 jroedel@suse.de
- x86/kvm: Add guest support for detecting and enabling SEV Live
  Migration feature (bsc#1194316).
- Refresh
  patches.suse/0001-kvm-Reintroduce-nopvspin-kernel-parameter.patch.
- commit 339e71a
* Mon Jan 10 2022 jroedel@suse.de
- EFI: Introduce the new AMD Memory Encryption GUID (bsc#1194316).
- mm: x86: Invoke hypercall when page encryption status is changed
  (bsc#1194316).
- x86/kvm: Add AMD SEV specific Hypercall3 (bsc#1194316).
- commit 9fae40a
* Sun Jan  9 2022 bp@suse.de
- tee: handle lookup of shm with reference count 0 (bsc#1193767
  CVE-2021-44733).
- commit 9b249a9
* Fri Jan  7 2022 mkoutny@suse.com
- sched/fair: Prevent dead task groups from regaining cfs_rq's
  (bsc#1192837).
- commit 06f21e0
* Fri Jan  7 2022 msuchanek@suse.de
- debugfs: lockdown: Allow reading debugfs files that are not
  world readable (bsc#1193328 ltc#195566).
- commit 57aefb3
* Fri Jan  7 2022 tzimmermann@suse.de
- drm/ast: Create the driver for ASPEED proprietory Display-Port (jsc#SLE-19299)
- commit 6e5bebf
* Fri Jan  7 2022 tzimmermann@suse.de
- drm/ast: Enable the supporting of wide screen on AST2600 (jsc#SLE-19299)
- commit 20901d9
* Fri Jan  7 2022 tiwai@suse.de
- rpm/kernel-binary.spec.in: Add Provides of kernel-preempt (jsc#SLE-18857)
  For smooth migration with the former kernel-preempt user, kernel-default
  provides kernel-preempt now when CONFIG_PREEMPT_DYNAMIC is defined.
- commit d292a81
* Fri Jan  7 2022 tiwai@suse.de
- Refresh BT workaround patch (bsc#1193124)
  Fix yet another broken device 8086:0aa7
- commit 97575af
* Fri Jan  7 2022 tiwai@suse.de
- drm/amdgpu: add support for IP discovery gc_info table v2
  (git-fixes).
- commit ddac46e
* Fri Jan  7 2022 tiwai@suse.de
- ieee802154: atusb: fix uninit value in atusb_set_extended_addr
  (git-fixes).
- mac80211: mesh: embedd mesh_paths and mpp_paths into
  ieee80211_if_mesh (git-fixes).
- mac80211: initialize variable have_higher_than_11mbit
  (git-fixes).
- batman-adv: mcast: don't send link-local multicast to mcast
  routers (git-fixes).
- Input: spaceball - fix parsing of movement data packets
  (git-fixes).
- drm/amdgpu: When the VCN(1.0) block is suspended, powergating
  is explicitly enabled (git-fixes).
- platform/x86: apple-gmux: use resource_size() with res
  (git-fixes).
- platform/mellanox: mlxbf-pmc: Fix an IS_ERR() vs NULL bug in
  mlxbf_pmc_map_counters (git-fixes).
- ALSA: hda: intel-sdw-acpi: go through HDAS ACPI at max depth
  of 2 (git-fixes).
- ALSA: hda: intel-sdw-acpi: harden detection of controller
  (git-fixes).
- tomoyo: use hwight16() in tomoyo_domain_quota_is_ok()
  (git-fixes).
- tomoyo: Check exceeded quota early in
  tomoyo_domain_quota_is_ok() (git-fixes).
- commit 9651cf1
* Thu Jan  6 2022 martin.wilck@suse.com
- scsi: core: Fix scsi_device_max_queue_depth() (bsc#1194317).
- commit 3a8ce65
* Thu Jan  6 2022 mgorman@suse.de
- Update
  patches.suse/cpufreq-ondemand-set-default-up_threshold-to-30-on-multi-core-systems.patch
  (bsc#464461,bsc#981838,bsc#1064414,bsc#1144943,bsc#1193200).
- commit 4e8aa41
* Thu Jan  6 2022 jroedel@suse.de
- x86/sev: Carve out HV call's return value verification
  (jsc#SLE-19924).
- Refresh
  patches.suse/x86-sev-expose-sev_es_ghcb_hv_call-for-use-by-hyperv.
- commit 7220981
* Wed Jan  5 2022 msuchanek@suse.de
- powerpc/fadump: Fix inaccurate CPU state info in vmcore
  generated with panic (bsc#1193901 ltc#194976).
- powerpc: handle kdump appropriately with
  crash_kexec_post_notifiers option (bsc#1193901 ltc#194976).
- commit 7a55b80
* Wed Jan  5 2022 ddiss@suse.de
- Refresh
  patches.suse/ext4-Support-for-checksumming-from-journal-triggers.patch.
- commit 37abf0d
* Wed Jan  5 2022 jack@suse.cz
- filesystems/locking: fix Malformed table warning (bsc#1194346).
- commit d6bb90b
* Wed Jan  5 2022 jack@suse.cz
- cifs: Fix race between hole punch and page fault (bsc#1194346).
- commit b378137
* Wed Jan  5 2022 jack@suse.cz
- ceph: Fix race between hole punch and page fault (bsc#1194346).
- commit 0d112ab
* Wed Jan  5 2022 jack@suse.cz
- fuse: Convert to using invalidate_lock (bsc#1194346).
- commit 5d819b0
* Wed Jan  5 2022 jack@suse.cz
- f2fs: Convert to using invalidate_lock (bsc#1194346).
- commit 9764db7
* Wed Jan  5 2022 jack@suse.cz
- zonefs: Convert to using invalidate_lock (bsc#1194346).
- commit c847453
* Wed Jan  5 2022 jack@suse.cz
- xfs: Convert double locking of MMAPLOCK to use VFS helpers
  (bsc#1194346).
- commit ec46016
* Wed Jan  5 2022 jack@suse.cz
- xfs: Convert to use invalidate_lock (bsc#1194346).
- commit af165b9
* Wed Jan  5 2022 jack@suse.cz
- xfs: Refactor xfs_isilocked() (bsc#1194346).
- commit d308a96
* Wed Jan  5 2022 jack@suse.cz
- ext2: Convert to using invalidate_lock (bsc#1194346).
- commit 2e31ef0
* Wed Jan  5 2022 jack@suse.cz
- ext4: Convert to use mapping->invalidate_lock (bsc#1194346).
- commit 2285a90
* Wed Jan  5 2022 jack@suse.cz
- documentation: Sync file_operations members with reality
  (bsc#1194346).
- commit ceb27b8
* Wed Jan  5 2022 msuchanek@suse.de
- powerpc/xmon: Dump XIVE information for online-only processors
  (bsc#1193482 ltc#195600).
- commit 5695527
* Wed Jan  5 2022 oneukum@suse.com
- thunderbolt: Do not program path HopIDs for USB4 routers
  (jsc#SLE-19357).
- commit 4027086
* Wed Jan  5 2022 ddiss@suse.de
- ext4: prevent partial update of the extent blocks (bsc#1194163).
- ext4: check for inconsistent extents between index and leaf
  block (bsc#1194163).
- ext4: check for out-of-order index extents in
  ext4_valid_extent_entries() (bsc#1194163).
- ext4: Support for checksumming from journal triggers
  (bsc#1194163).
  Refresh
  patches.suse/ext4-correct-the-error-path-of-ext4_write_inline_dat.patch
- commit 52d77cb
* Wed Jan  5 2022 oneukum@suse.com
- thunderbolt: Tear down existing tunnels when resuming from
  hibernate (jsc#SLE-19357).
- commit 06feed9
* Tue Jan  4 2022 tbogendoerfer@suse.de
- Update
  patches.suse/netdevsim-Zero-initialize-memory-for-new-map-s-value.patch
  (bsc#1193927 CVE-2021-4135).
  Added CVE number.
- commit 660e423
* Tue Jan  4 2022 jroedel@suse.de
- KVM: SEV: unify cgroup cleanup code for svm_vm_migrate_from
  (jsc#SLE-19924).
- KVM: SEV: Add support for SEV-ES intra host migration
  (jsc#SLE-19924).
- KVM: SEV: Add support for SEV intra host migration
  (jsc#SLE-19924).
- KVM: SEV: provide helpers to charge/uncharge misc_cg
  (jsc#SLE-19924).
- KVM: generalize "bugged" VM to "dead" VM (jsc#SLE-19924).
- KVM: SEV: Refactor out sev_es_state struct (jsc#SLE-19924).
- KVM: x86/mmu: Return old SPTE from mmu_spte_clear_track_bits()
  (jsc#SLE-19924).
- KVM: x86/mmu: Refactor shadow walk in __direct_map() to reduce
  indentation (jsc#SLE-19924).
- KVM: x86: Hoist kvm_dirty_regs check out of sync_regs()
  (jsc#SLE-19924).
- KVM: x86/mmu: Mark VM as bugged if page fault returns
  RET_PF_INVALID (jsc#SLE-19924).
- KVM: x86: Use KVM_BUG/KVM_BUG_ON to handle bugs that are fatal
  to the VM (jsc#SLE-19924).
- KVM: Export kvm_make_all_cpus_request() for use in marking
  VMs as bugged (jsc#SLE-19924).
- KVM: Add infrastructure and macro to mark VM as bugged
  (jsc#SLE-19924).
- commit 4c87f07
* Tue Jan  4 2022 bp@suse.de
- kprobes: Limit max data_size of the kretprobe instances
  (bsc#1193669).
- commit 37c195c
* Tue Jan  4 2022 tbogendoerfer@suse.de
- Refresh
  patches.suse/igc-Do-not-enable-crosstimestamping-for-i225-V-model.patch.
  Replaced with upstream commit and put to sorted section.
- commit 7a69d48
* Tue Jan  4 2022 tbogendoerfer@suse.de
- net/mlx5e: Fix wrong features assignment in case of error
  (jsc#SLE-19253).
- net/mlx5e: TC, Fix memory leak with rules with internal port
  (jsc#SLE-19253).
- igc: Fix TX timestamp support for non-MSI-X platforms
  (jsc#SLE-18377).
- ionic: Initialize the 'lif->dbid_inuse' bitmap (jsc#SLE-19282).
- net/mlx5: Fix some error handling paths in
  'mlx5e_tc_add_fdb_flow()' (jsc#SLE-19253).
- net/mlx5e: Delete forward rule for ct or sample action
  (jsc#SLE-19253).
- net/mlx5e: Fix ICOSQ recovery flow for XSK (jsc#SLE-19253).
- net/mlx5e: Fix interoperability between XSK and ICOSQ recovery
  flow (jsc#SLE-19253).
- net/mlx5e: Fix skb memory leak when TC classifier action
  offloads are disabled (jsc#SLE-19253).
- net/mlx5e: Wrap the tx reporter dump callback to extract the sq
  (jsc#SLE-19253).
- net/mlx5: Fix tc max supported prio for nic mode
  (jsc#SLE-19253).
- net/mlx5: Fix SF health recovery flow (jsc#SLE-19253).
- net/mlx5: Fix error print in case of IRQ request failed
  (jsc#SLE-19253).
- net/mlx5: Use first online CPU instead of hard coded CPU
  (jsc#SLE-19253).
- net/mlx5: DR, Fix querying eswitch manager vport for ECPF
  (jsc#SLE-19253).
- net/mlx5: DR, Fix NULL vs IS_ERR checking in
  dr_domain_init_resources (jsc#SLE-19253).
- sfc: falcon: Check null pointer of rx_queue->page_ring
  (git-fixes).
- sfc: Check null pointer of rx_queue->page_ring (git-fixes).
- bonding: fix ad_actor_system option setting to default
  (git-fixes).
- igb: fix deadlock caused by taking RTNL in RPM resume path
  (jsc#SLE-18379).
- qlcnic: potential dereference null pointer of
  rx_queue->page_ring (git-fixes).
- ice: xsk: fix cleaned_count setting (jsc#SLE-18375).
- ice: xsk: allow empty Rx descriptors on XSK ZC data path
  (jsc#SLE-18375).
- ice: xsk: do not clear status_error0 for ntu + nb_buffs
  descriptor (jsc#SLE-18375).
- ice: remove dead store on XSK hotpath (jsc#SLE-18375).
- ice: xsk: allocate separate memory for XDP SW ring
  (jsc#SLE-18375).
- ice: xsk: return xsk buffers back to pool when cleaning the ring
  (jsc#SLE-18375).
- commit 23e6d3c
* Mon Jan  3 2022 dwagner@suse.de
- scsi: lpfc: Use struct_group to isolate cast to larger object
  (bsc#1194266).
- scsi: lpfc: Use struct_group() to initialize struct
  lpfc_cgn_info (bsc#1194266).
- scsi: lpfc: Update lpfc version to 14.0.0.4 (bsc#1194266).
- scsi: lpfc: Add additional debugfs support for CMF
  (bsc#1194266).
- scsi: lpfc: Cap CMF read bytes to MBPI (bsc#1194266).
- scsi: lpfc: Adjust CMF total bytes and rxmonitor (bsc#1194266).
- scsi: lpfc: Trigger SLI4 firmware dump before doing driver
  cleanup (bsc#1194266).
- scsi: lpfc: Fix NPIV port deletion crash (bsc#1194266).
- scsi: lpfc: Fix lpfc_force_rscn ndlp kref imbalance
  (bsc#1194266).
- scsi: lpfc: Change return code on I/Os received during link
  bounce (bsc#1194266).
- scsi: lpfc: Fix leaked lpfc_dmabuf mbox allocations with NPIV
  (bsc#1194266).
- commit 56f0e4d
* Mon Jan  3 2022 dwagner@suse.de
- Update patches.suse/qla2xxx-synchronize-rport-dev_loss_tmo-setting.patch
  Update meta data and move the patch into the sorted section.
- commit 801abe1
* Mon Jan  3 2022 dwagner@suse.de
- wireguard: ratelimiter: use kvcalloc() instead of kvzalloc()
  (git-fixes).
- wireguard: receive: drop handshakes if queue lock is contended
  (git-fixes).
- wireguard: receive: use ring buffer for incoming handshakes
  (git-fixes).
- wireguard: device: reset peer src endpoint when netns exits
  (git-fixes).
- wireguard: selftests: actually test for routing loops
  (git-fixes).
- wireguard: selftests: increase default dmesg log size
  (git-fixes).
- wireguard: allowedips: add missing __rcu annotation to satisfy
  sparse (git-fixes).
- scsi: qla2xxx: edif: Fix off by one bug in
  qla_edif_app_getfcinfo() (git-fixes).
- scsi: qla2xxx: edif: Fix EDIF bsg (git-fixes).
- scsi: qla2xxx: edif: Increase ELS payload (git-fixes).
- scsi: qla2xxx: edif: Flush stale events and msgs on session down
  (git-fixes).
- scsi: qla2xxx: edif: Fix app start delay (git-fixes).
- scsi: qla2xxx: edif: Fix app start fail (git-fixes).
- commit bf283b6
* Mon Jan  3 2022 oneukum@suse.com
- Input: goodix - try not to touch the reset-pin on x86/ACPI
  devices (git-fixes).
- commit 9c810e6
* Mon Jan  3 2022 oneukum@suse.com
- Input: goodix - push error logging up into i2c_read and
  i2c_write helpers (git-fixes).
- commit 83b987d
* Mon Jan  3 2022 oneukum@suse.com
- Input: goodix - refactor reset handling (git-fixes).
- commit fe6c264
* Mon Jan  3 2022 oneukum@suse.com
- Input: goodix - add a goodix.h header file (git-fixes).
- commit d09187d
* Mon Jan  3 2022 oneukum@suse.com
- Input: goodix - change goodix_i2c_write() len parameter type
  to int (git-fixes).
- commit cf299db
* Mon Jan  3 2022 oneukum@suse.com
- net: usb: pegasus: Do not drop long Ethernet frames (git-fixes).
- commit 7669ccb
* Mon Jan  3 2022 pjakobsson@suse.de
- drm/i915/adlp: Remove require_force_probe protection
  (jsc#SLE-22725).
- commit ed19f50
* Mon Jan  3 2022 tiwai@suse.de
- media: Revert "media: uvcvideo: Set unique vdev name based in
  type" (bsc#1193255).
- commit ece5395
* Mon Jan  3 2022 ohering@suse.de
- hv: utils: add PTP_1588_CLOCK to Kconfig to fix build (git-fixes).
- commit f927f33
* Mon Jan  3 2022 tiwai@suse.de
- i2c: validate user data in compat ioctl (git-fixes).
- Input: appletouch - initialize work before device registration
  (git-fixes).
- commit 67ef690
* Sun Jan  2 2022 tiwai@suse.de
- rtw89: 8852a: correct bit definition of dfs_en (bsc#1188303).
- rtw89: coex: Update COEX to 5.5.8 (bsc#1188303).
- rtw89: coex: Cancel PS leaving while C2H comes (bsc#1188303).
- rtw89: coex: Update BT counters while receiving report
  (bsc#1188303).
- rtw89: coex: Define LPS state for BTC using (bsc#1188303).
- rtw89: coex: Add MAC API to get BT polluted counter
  (bsc#1188303).
- rtw89: coex: Not to send H2C when WL not ready and count H2C
  (bsc#1188303).
- rtw89: coex: correct C2H header length (bsc#1188303).
- rtw89: don't kick off TX DMA if failed to write skb
  (bsc#1188303).
- rtw89: remove cch_by_bw which is not used (bsc#1188303).
- rtw89: fix sending wrong rtwsta->mac_id to firmware to fill
  address CAM (bsc#1188303).
- rtw89: fix incorrect channel info during scan (bsc#1188303).
- rtw89: update scan_mac_addr during scanning period
  (bsc#1188303).
- rtw89: use inline function instead macro to set H2C and CAM
  (bsc#1188303).
- rtw89: add const in the cast of le32_get_bits() (bsc#1188303).
- commit de4e062
* Sat Jan  1 2022 tiwai@suse.de
- Input: i8042 - enable deferred probe quirk for ASUS UM325UA
  (bsc#1190256).
- commit 9eb35f2
* Sat Jan  1 2022 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit d24f83f
* Sat Jan  1 2022 tiwai@suse.de
- uapi: fix linux/nfc.h userspace compilation errors (git-fixes).
- xhci: Fresco FL1100 controller should not have BROKEN_MSI
  quirk set (git-fixes).
- usb: mtu3: set interval of FS intr and isoc endpoint
  (git-fixes).
- usb: mtu3: fix list_head check warning (git-fixes).
- usb: mtu3: add memory barrier before set GPD's HWO (git-fixes).
- usb: gadget: f_fs: Clear ffs_eventfd in ffs_data_clear
  (git-fixes).
- uapi: Fix undefined __always_inline on non-glibc systems
  (git-fixes).
- spi: change clk_disable_unprepare to clk_unprepare (git-fixes).
- tty: n_hdlc: make n_hdlc_tty_wakeup() asynchronous (git-fixes).
- USB: serial: option: add Telit FN990 compositions (git-fixes).
- USB: NO_LPM quirk Lenovo USB-C to Ethernet Adapher(RTL8153-04)
  (git-fixes).
- usb: xhci: Extend support for runtime power management for
  AMD's Yellow carp (git-fixes).
- soc/tegra: fuse: Fix bitwise vs. logical OR warning (git-fixes).
- Revert "tty: serial: fsl_lpuart: drop earlycon entry for
  i.MX8QXP" (git-fixes).
- USB: core: Make do_proc_control() and do_proc_bulk() killable
  (git-fixes).
- commit fd73c6a
* Sat Jan  1 2022 tiwai@suse.de
- r8152: sync ocp base (git-fixes).
- r8152: fix the force speed doesn't work for RTL8156 (git-fixes).
- serial: 8250_fintek: Fix garbled text for console (git-fixes).
- soc: imx: Register SoC device only on i.MX boards (git-fixes).
- Revert "serial: 8250: Fix reporting real baudrate value in
  c_ospeed field" (git-fixes).
- serial: 8250: Fix reporting real baudrate value in c_ospeed
  field (git-fixes).
- commit a7820da
* Sat Jan  1 2022 tiwai@suse.de
- NFC: st21nfca: Fix memory leak in device probe and remove
  (git-fixes).
- nfc: uapi: use kernel size_t to fix user-space builds
  (git-fixes).
- pinctrl: stm32: consider the GPIO offset to expose all the
  GPIO lines (git-fixes).
- pinctrl: bcm2835: Change init order for gpio hogs (git-fixes).
- pinctrl: mediatek: fix global-out-of-bounds issue (git-fixes).
- platform/x86: intel_pmc_core: fix memleak on registration
  failure (git-fixes).
- platform/x86: amd-pmc: only use callbacks for suspend
  (git-fixes).
- PCI/MSI: Clear PCI_MSIX_FLAGS_MASKALL on error (git-fixes).
- PCI/MSI: Mask MSI-X vectors only on success (git-fixes).
- pinctrl: amd: Fix wakeups when IRQ is shared with SCI
  (git-fixes).
- commit c29a200
* Sat Jan  1 2022 tiwai@suse.de
- mac80211: fix locking in ieee80211_start_ap error path
  (git-fixes).
- mmc: mmci: stm32: clear DLYB_CR after sending tuning command
  (git-fixes).
- mmc: meson-mx-sdhc: Set MANUAL_STOP for multi-block SDIO
  commands (git-fixes).
- mmc: core: Disable card detect during shutdown (git-fixes).
- mmc: sdhci-tegra: Fix switch to HS400ES mode (git-fixes).
- mac80211: mark TX-during-stop for TX in in_reconfig (git-fixes).
- nfc: fix segfault in nfc_genl_dump_devices_done (git-fixes).
- memory-hotplug.rst: fix wrong
  /sys/module/memory_hotplug/parameters/ path (git-fixes).
- memory-hotplug.rst: fix two instances of "movablecore" that
  should be "movable_node" (git-fixes).
- commit e3c9499
* Sat Jan  1 2022 tiwai@suse.de
- kernel/crash_core: suppress unknown crashkernel parameter
  warning (git-fixes).
- Refresh
  patches.suse/add-product-identifying-information-to-vmcoreinfo.patch.
- commit e11041f
* Sat Jan  1 2022 tiwai@suse.de
- libata: if T_LENGTH is zero, dma direction should be DMA_NONE
  (git-fixes).
- mac80211: fix lookup when adding AddBA extension element
  (git-fixes).
- mac80211: validate extended element ID is present (git-fixes).
- mac80211: agg-tx: don't schedule_and_wake_txq() under sta->lock
  (git-fixes).
- mac80211: send ADDBA requests using the tid/queue of the
  aggregation session (git-fixes).
- mac80211: fix regression in SSN handling of addba tx
  (git-fixes).
- mac80211: fix rate control for retransmitted frames (git-fixes).
- mac80211: track only QoS data frames for admission control
  (git-fixes).
- LSM: Avoid warnings about potentially unused hook variables
  (git-fixes).
- commit 2417651
* Sat Jan  1 2022 tiwai@suse.de
- hwmon: (lm90) Do not report 'busy' status bit as alarm
  (git-fixes).
- hwmom: (lm90) Fix citical alarm status for MAX6680/MAX6681
  (git-fixes).
- hwmon: (lm90) Drop critical attribute support for MAX6654
  (git-fixes).
- hwmon: (lm90) Prevent integer overflow/underflow in hysteresis
  calculations (git-fixes).
- hwmon: (lm90) Fix usage of CONFIG2 register in detect function
  (git-fixes).
- Input: elants_i2c - do not check Remark ID on eKTH3900/eKTH5312
  (git-fixes).
- Input: atmel_mxt_ts - fix double free in mxt_read_info_block
  (git-fixes).
- Input: goodix - add id->model mapping for the "9111" model
  (git-fixes).
- Input: elantech - fix stack out of bound access in
  elantech_change_report_id() (git-fixes).
- Input: iqs626a - prohibit inlining of channel parsing functions
  (git-fixes).
- hamradio: improve the incomplete fix to avoid NPD (git-fixes).
- gpio: dln2: Fix interrupts when replugging the device
  (git-fixes).
- ipmi: Fix UAF when uninstall ipmi_si and ipmi_msghandler module
  (git-fixes).
- ipmi: fix initialization when workqueue allocation fails
  (git-fixes).
- ipmi: bail out if init_srcu_struct fails (git-fixes).
- HID: potential dereference of null pointer (git-fixes).
- i2c: rk3x: Handle a spurious start completion interrupt flag
  (git-fixes).
- hamradio: defer ax25 kfree after unregister_netdev (git-fixes).
- hwmon: (lm90) Add basic support for TI TMP461 (git-fixes).
- hwmon: (lm90) Introduce flag indicating extended temperature
  support (git-fixes).
- commit cda309a
* Sat Jan  1 2022 tiwai@suse.de
- drm/amd/display: Set optimize_pwr_state for DCN31 (git-fixes).
- drm/amd/display: Send s0i2_rdy in stream_count == 0 optimization
  (git-fixes).
- drm/mediatek: hdmi: Perform NULL pointer check for mtk_hdmi_conf
  (git-fixes).
- drm/amd/pm: fix a potential gpu_metrics_table memory leak
  (git-fixes).
- drm/amd/display: Set exit_optimized_pwr_state for DCN31
  (git-fixes).
- drm/amd/pm: fix reading SMU FW version from amdgpu_firmware_info
  on YC (git-fixes).
- drm/amdgpu: don't override default ECO_BITs setting (git-fixes).
- firmware: arm_scpi: Fix string overflow in SCPI genpd driver
  (git-fixes).
- firmware: tegra: Fix error application of sizeof() to pointer
  (git-fixes).
- firmware_loader: fix pre-allocated buf built-in firmware use
  (git-fixes).
- commit 791c862
* Sat Jan  1 2022 tiwai@suse.de
- drm/amdgpu: correct register access for RLC_JUMP_TABLE_RESTORE
  (git-fixes).
- commit d8f06f2
* Sat Jan  1 2022 tiwai@suse.de
- drm/ast: potential dereference of null pointer (git-fixes).
- drm: simpledrm: fix wrong unit with pixel clock (git-fixes).
- Revert "drm/fb-helper: improve DRM fbdev emulation device names"
  (git-fixes).
- drm/i915/display: Fix an unsigned subtraction which can never
  be negative (git-fixes).
- drm/amdkfd: process_info lock not needed for svm (git-fixes).
- drm/amd/display: add connector type check for CRC source set
  (git-fixes).
- drm/amdkfd: fix double free mem structure (git-fixes).
- drm/amd/display: Fix for the no Audio bug with Tiled Displays
  (git-fixes).
- commit 3978643
* Sat Jan  1 2022 tiwai@suse.de
- dmaengine: st_fdma: fix MODULE_ALIAS (git-fixes).
- dmaengine: idxd: fix missed completion on abort path
  (git-fixes).
- dmaengine: idxd: fix calling wq quiesce inside spinlock
  (git-fixes).
- drm/amdgpu: check atomic flag to differeniate with legacy path
  (git-fixes).
- drm/msm/dp: Avoid unpowered AUX xfers that caused crashes
  (git-fixes).
- drm/msm/dsi: set default num_data_lanes (git-fixes).
- drm/i915: Fix type1 DVI DP dual mode adapter heuristic for
  modern platforms (git-fixes).
- drm/i915/dp: Ensure max link params are always valid
  (git-fixes).
- drm/i915/dp: Ensure sink rate values are always valid
  (git-fixes).
- commit 2ffa66e
* Sat Jan  1 2022 tiwai@suse.de
- ax25: NPD bug when detaching AX25 device (git-fixes).
- ASoC: meson: aiu: Move AIU_I2S_MISC hold setting to aiu-fifo-i2s
  (git-fixes).
- bus: sunxi-rsb: Fix shutdown (git-fixes).
- cfg80211: Acquire wiphy mutex on regulatory work (git-fixes).
- clk: Don't parent clks until the parent is fully registered
  (git-fixes).
- dmaengine: idxd: add halt interrupt support (git-fixes).
- bus: ti-sysc: Fix variable set but not used warning for
  reinit_modules (git-fixes).
- cachefiles: Fix oops with cachefiles_cull() due to NULL object
  (git-fixes).
- cachefiles: Fix oops in trace_cachefiles_mark_buried due to
  NULL object (git-fixes).
- commit cd688de
* Sat Jan  1 2022 tiwai@suse.de
- asix: fix wrong return value in asix_check_host_enable()
  (git-fixes).
- asix: fix uninit-value in asix_mdio_read() (git-fixes).
- ALSA: hda/realtek: Fix quirk for Clevo NJ51CU (git-fixes).
- ASoC: meson: aiu: fifo: Add missing
  dma_coerce_mask_and_coherent() (git-fixes).
- ASoC: tas2770: Fix setting of high sample rates (git-fixes).
- ASoC: rt5682: fix the wrong jack type detected (git-fixes).
- ASoC: tegra: Restore headphones jack name on Nyan Big
  (git-fixes).
- ASoC: tegra: Add DAPM switches for headphones and mic jack
  (git-fixes).
- ASoC: SOF: Intel: pci-tgl: add new ADL-P variant (git-fixes).
- ASoC: SOF: Intel: pci-tgl: add ADL-N support (git-fixes).
- commit a7aad6f
* Sat Jan  1 2022 tiwai@suse.de
- ALSA: rawmidi - fix the uninitalized user_pversion (git-fixes).
- ALSA: hda/hdmi: Disable silent stream on GLK (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for a HP ProBook
  (git-fixes).
- ALSA: hda/realtek: Add new alc285-hp-amp-init model (git-fixes).
- ALSA: hda/realtek: Amp init fixup for HP ZBook 15 G6
  (git-fixes).
- ALSA: jack: Check the return value of kstrdup() (git-fixes).
- ALSA: drivers: opl3: Fix incorrect use of vp->state (git-fixes).
- ALSA: hda/hdmi: fix HDA codec entry table order for ADL-P
  (git-fixes).
- ALSA: hda: Add Intel DG2 PCI ID and HDMI codec vid (git-fixes).
- commit edda50f
* Thu Dec 30 2021 tiwai@suse.de
- igc: Do not enable crosstimestamping for i225-V models
  (bsc#1193039).
- commit 4b7258e
* Thu Dec 30 2021 mbenes@suse.cz
- recordmcount.pl: fix typo in s390 mcount regex (bsc#1192267).
- commit 502efc5
* Thu Dec 30 2021 mbenes@suse.cz
- recordmcount.pl: look for jgnop instruction as well as bcrl
  on s390 (bsc#1192267).
- Delete patches.suse/ftrace-recordmcount-binutils.patch.
- commit e276c5a
* Thu Dec 30 2021 dmueller@suse.com
- fix rpm build warning
  tumbleweed rpm is adding these warnings to the log:
  It's not recommended to have unversioned Obsoletes: Obsoletes:      microcode_ctl
- commit 3ba8941
* Tue Dec 28 2021 bp@suse.de
- signal: Skip the altstack update when not needed (bsc#1190497).
- commit 0a4e2d9
* Tue Dec 28 2021 shung-hsi.yu@suse.com
- bpf: Fix kernel address leakage in atomic fetch (bsc#1193883).
- commit ebab46c
* Mon Dec 27 2021 dbueso@suse.de
- locking/rtmutex: Fix incorrect condition in
  rtmutex_spin_on_owner() (bsc#1190137 bsc#1189998).
- ipc: WARN if trying to remove ipc object which is absent
  (bsc#1190187).
- ipc/ipc_sysctl.c: remove fallback for !CONFIG_PROC_SYSCTL
  (bsc#1190187).
- ipc: check checkpoint_restore_ns_capable() to modify C/R proc
  files (bsc#1190187).
- mm,hugetlb: remove mlock ulimit for SHM_HUGETLB (bsc#1190187).
- futex: Fix PREEMPT_RT build (bsc#1190137 bsc#1189998).
- futex: Simplify double_lock_hb() (bsc#1190137 bsc#1189998).
- futex: Split out wait/wake (bsc#1190137 bsc#1189998).
- futex: Split out requeue (bsc#1190137 bsc#1189998).
- futex: Rename mark_wake_futex() (bsc#1190137 bsc#1189998).
- futex: Rename: match_futex() (bsc#1190137 bsc#1189998).
- futex: Rename: hb_waiter_{inc,dec,pending}() (bsc#1190137
  bsc#1189998).
- futex: Split out PI futex (bsc#1190137 bsc#1189998).
- futex: Rename: {get,cmpxchg}_futex_value_locked() (bsc#1190137
  bsc#1189998).
- futex: Rename hash_futex() (bsc#1190137 bsc#1189998).
- futex: Rename __unqueue_futex() (bsc#1190137 bsc#1189998).
- futex: Rename: queue_{,un}lock() (bsc#1190137 bsc#1189998).
- futex: Rename futex_wait_queue_me() (bsc#1190137 bsc#1189998).
- futex: Rename {,__}{,un}queue_me() (bsc#1190137 bsc#1189998).
- futex: Split out syscalls (bsc#1190137 bsc#1189998).
- futex: Move to kernel/futex/ (bsc#1190137 bsc#1189998).
- commit 2cdb038
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: sanitize multiple delimiters in prepath (bsc#1193629).
- commit 451f2d6
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: ignore resource_id while getting fscache super cookie
  (bsc#1193629).
- commit eeba60d
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: fix ntlmssp auth when there is no key exchange
  (bsc#1193629).
- commit 0175110
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: avoid use of dstaddr as key for fscache client cookie
  (bsc#1193629).
- commit f3d9639
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: add server conn_id to fscache client cookie (bsc#1193629).
- commit 107f3d6
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: wait for tcon resource_id before getting fscache super
  (bsc#1193629).
- commit 9ad6391
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: fix missed refcounting of ipc tcon (bsc#1193629).
- commit 324a379
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: update internal version number (bsc#1193629).
- commit 069cbf3
* Mon Dec 27 2021 ematsumiya@suse.de
- smb2: clarify rc initialization in smb2_reconnect (bsc#1193629).
- commit 7fb1cf7
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: populate server_hostname for extra channels (bsc#1193629).
- commit a78bb02
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: nosharesock should be set on new server (bsc#1193629).
- commit f9c0a11
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: introduce cifs_ses_mark_for_reconnect() helper
  (bsc#1193629).
- commit 75cf16a
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: protect srv_count with cifs_tcp_ses_lock (bsc#1193629).
- commit 7b74cfa
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: move debug print out of spinlock (bsc#1193629).
- commit 3fe9ee3
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: do not duplicate fscache cookie for secondary channels
  (bsc#1193629).
- commit ec76d5a
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: connect individual channel servers to primary channel
  server (bsc#1193629).
- commit c5cace7
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: protect session channel fields with chan_lock
  (bsc#1193629).
- commit fc55a6d
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: do not negotiate session if session already exists
  (bsc#1193629).
- commit 61214c8
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: do not setup the fscache_super_cookie until fsinfo
  initialized (bsc#1193629).
- commit ed23408
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: fix potential use-after-free bugs (bsc#1193629,
  jsc#SLE-20043).
- commit 5c08eeb
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: add additional null check in SMB311_posix_mkdir
  (bsc#1193629).
- commit ceaffcf
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: release lock earlier in dequeue_mid error case
  (bsc#1193629).
- commit c5b3ecb
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: add additional null check in SMB2_tcon (bsc#1193629).
- commit 4035864
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: add additional null check in SMB2_open (bsc#1193629).
- commit 8ea5886
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: add additional null check in SMB2_ioctl (bsc#1193629).
- commit a851210
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: remove trivial dfs compile warning (bsc#1193629,
  jsc#SLE-20043).
- commit 890475c
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: support nested dfs links over reconnect (bsc#1193629,
  jsc#SLE-20043).
- commit 59d47b4
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: for compound requests, use open handle if possible
  (bsc#1193629).
- commit 02e1bae
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: split out dfs code from cifs_reconnect() (bsc#1193629,
  jsc#SLE-20043).
- commit af9cd3d
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: convert list_for_each to entry variant (bsc#1193629,
  jsc#SLE-20043).
- commit dce8737
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: introduce new helper for cifs_reconnect() (bsc#1193629,
  jsc#SLE-20043).
- commit 5e2b90c
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: fix print of hdr_flags in dfscache_proc_show()
  (bsc#1193629, jsc#SLE-20043).
- commit 449aafc
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: send workstation name during ntlmssp session setup
  (bsc#1193629).
- Refresh
  patches.suse/cifs-fix-memory-leak-of-smb3_fs_context_dup-server_h.patch.
- commit 343b351
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: nosharesock should not share socket with future sessions
  (bsc#1193629).
- commit 7e97086
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: add dynamic trace points for socket connection
  (bsc#1193629).
- commit 893bf17
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: Move SMB2_Create definitions to the shared area
  (bsc#1193629).
- commit ecfb219
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: Move more definitions into the shared area (bsc#1193629).
- commit 89babe6
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: move NEGOTIATE_PROTOCOL definitions out into the common
  area (bsc#1193629).
- commit 445edea
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: Create a new shared file holding smb2 pdu definitions
  (bsc#1193629).
- commit ed5b95d
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: add mount parameter tcpnodelay (bsc#1193629).
- commit a35b30c
* Mon Dec 27 2021 ematsumiya@suse.de
- smb3: correct server pointer dereferencing check to be more
  consistent (bsc#1193629).
- commit 528e69d
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: Clear modified attribute bit from inode flags
  (bsc#1193629).
- commit 877f02c
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: Deal with some warnings from W=1 (bsc#1193629).
- commit 48de0a6
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: Deferred close performance improvements (bsc#1193629).
- commit 3284ea4
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: fix incorrect kernel doc comments (bsc#1193629).
- commit e10f67b
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: remove pathname for file from SPDX header (bsc#1193629).
- commit eba423d
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: move SMB FSCTL definitions to common code (bsc#1193629).
- commit 5fa969c
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: rename cifs_common to smbfs_common (bsc#1193629).
- Add to supported.conf:
  fs/smbfs_common/cifs_arc4
  fs/smbfs_common/cifs_md4
- Update configs to add CONFIG_SMBFS_COMMON=m.
- commit ece4318
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: cifs_md4 convert to SPDX identifier (bsc#1193629).
- commit d7aa128
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: create a MD4 module and switch cifs.ko to use it
  (bsc#1193629).
- commit 79d9d13
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: fork arc4 and create a separate module for it for cifs
  and other users (bsc#1193629).
- commit ac6203b
* Mon Dec 27 2021 ematsumiya@suse.de
- cifs: update FSCTL definitions (bsc#1193629).
- commit 66c717f
* Mon Dec 27 2021 bp@suse.de
- x86/pkey: Fix undefined behaviour with PKRU_WD_BIT
  (bsc#1190497).
- commit c9f5572
* Thu Dec 23 2021 lpechacek@suse.com
- Drop the preempt kernel flavor (jsc#SLE-18857)
  The extra -preempt flavor is no longer needed when we have
  PREEMPT_DYNAMIC enabled and the boot-time "preempt=" option available.
- commit 9d1770c
* Wed Dec 22 2021 dmueller@suse.com
- build initrd without systemd
  This reduces the size of the initrd by over 25%%, which
  improves startup time of the virtual machine by 0.5-0.6s on
  very fast machines, more on slower ones.
- commit ef4c569
* Wed Dec 22 2021 fweisbecker@suse.de
- arm64: Implement HAVE_PREEMPT_DYNAMIC
  (jsc#SLE-18857).
- arm64: Implement IRQ exit preemption static call for dynamic preemption
  (jsc#SLE-18857).
- sched/preempt: Prepare for supporting !CONFIG_GENERIC_ENTRY
  (jsc#SLE-18857).
- arm64: implement support for static call trampolines
  (jsc#SLE-18857).
- commit 2443f87
* Wed Dec 22 2021 bp@suse.de
- blacklist.conf: ef775a0e36c6 x86/Kconfig: Fix an unused variable error in dell-smm-hwmon
- commit 79fbdb8
* Wed Dec 22 2021 fweisbecker@suse.de
- static_call: Use non-function types to refer to the trampolines
  (jsc#SLE-18857).
- commit 16af38a
* Wed Dec 22 2021 oneukum@suse.com
- clk: renesas: r8a779a0: Add the DSI clocks (git-fixes).
- commit 4144466
* Wed Dec 22 2021 oneukum@suse.com
- clk: renesas: r8a779a0: Add the DU clock (git-fixes).
- commit e4f5038
* Wed Dec 22 2021 oneukum@suse.com
- bpf: Make sure bpf_disable_instrumentation() is safe vs
  preemption (git-fixes).
- commit 3c01bdb
* Wed Dec 22 2021 oneukum@suse.com
- bpf, x86: Fix "no previous prototype" warning (git-fixes).
- commit d18ea1d
* Wed Dec 22 2021 oneukum@suse.com
- arm64: mm: Fix VM_BUG_ON(mm != &init_mm) for trans_pgd
  (git-fixes).
- commit 3d5d99f
* Wed Dec 22 2021 oneukum@suse.com
- PM: sleep: Fix error handling in dpm_prepare() (git-fixes).
- commit 1d4147f
* Wed Dec 22 2021 oneukum@suse.com
- HID: holtek: fix mouse probing (git-fixes).
- commit e70fdd2
* Wed Dec 22 2021 oneukum@suse.com
- KVM: VMX: Fix stale docs for
  kvm-intel.emulate_invalid_guest_state (git-fixes).
- commit 403e13c
* Tue Dec 21 2021 tbogendoerfer@suse.de
- RDMA/hns: Replace kfree() with kvfree() (bsc#1190336).
- IB/qib: Fix memory leak in qib_user_sdma_queue_pkts()
  (git-fixes).
- RDMA/hns: Fix RNR retransmission issue for HIP08 (bsc#1190336).
- sfc_ef100: potential dereference of null pointer (git-fixes).
- ixgbe: set X550 MDIO speed before talking to PHY
  (jsc#SLE-18384).
- ixgbe: Document how to enable NBASE-T support (jsc#SLE-18384).
- igc: Fix typo in i225 LTR functions (jsc#SLE-18377).
- igbvf: fix double free in `igbvf_probe` (jsc#SLE-18379).
- igb: Fix removal of unicast MAC filters of VFs (jsc#SLE-18379).
- netdevsim: Zero-initialize memory for new map's value in
  function nsim_bpf_map_alloc (git-fixes).
- ice: Don't put stale timestamps in the skb (jsc#SLE-18375).
- ice: Use div64_u64 instead of div_u64 in adjfine
  (jsc#SLE-18375).
- iavf: do not override the adapter state in the watchdog task
  (again) (jsc#SLE-18385).
- iavf: missing unlocks in iavf_watchdog_task() (jsc#SLE-18385).
- flow_offload: return EOPNOTSUPP for the unsupported mpls action
  type (git-fixes).
- net: hns3: fix race condition in debugfs (bsc#1190336).
- net: hns3: fix use-after-free bug in hclgevf_send_mbx_msg
  (bsc#1190336).
- commit c8da480
* Tue Dec 21 2021 oneukum@suse.com
- USB: serial: cp210x: fix CP2105 GPIO registration (git-fixes).
- commit 21acdf8
* Tue Dec 21 2021 oneukum@suse.com
- usb: cdnsp: Fix lack of spin_lock_irqsave/spin_lock_restore
  (git-fixes).
- commit 0ecdeb8
* Tue Dec 21 2021 oneukum@suse.com
- usb: dwc2: fix STM ID/VBUS detection startup delay in
  dwc2_driver_probe (git-fixes).
- commit 706591c
* Tue Dec 21 2021 oneukum@suse.com
- usb: cdnsp: Fix incorrect status for control request
  (git-fixes).
- commit 39c7644
* Tue Dec 21 2021 oneukum@suse.com
- usb: cdnsp: Fix issue in cdnsp_log_ep trace event (git-fixes).
- commit 6a1899d
* Tue Dec 21 2021 oneukum@suse.com
- usb: cdnsp: Fix incorrect calling of cdnsp_died function
  (git-fixes).
- commit 6500212
* Tue Dec 21 2021 oneukum@suse.com
- usb: gadget: u_ether: fix race in setting MAC address in setup
  phase (git-fixes).
- commit de812df
* Tue Dec 21 2021 ddiss@suse.de
- fscache: Use refcount_t for the cookie refcount instead of
  atomic_t (bsc#1190277).
- fscache: Fix fscache_cookie_put() to not deref after dec
  (bsc#1190277).
- cachefiles: Change %%p in format strings to something else
  (bsc#1190277).
- fscache: Change %%p in format strings to something else
  (bsc#1190277).
- fscache: Remove the object list procfile (bsc#1190277).
- fscache, cachefiles: Remove the histogram stuff (bsc#1190277).
- fscache: Procfile to display cookies (bsc#1190277).
- fscache: Add a cookie debug ID and use that in traces
  (bsc#1190277).
- commit 7bdee94
* Mon Dec 20 2021 dmueller@suse.com
- add kvmsmall flavor for aarch64
- cherry-picked from master
- commit ddd3a02
* Mon Dec 20 2021 lhenriques@suse.de
- ceph: initialize pathlen variable in reconnect_caps_cb
  (bsc#1193925).
- ceph: fix duplicate increment of opened_inodes metric
  (bsc#1193924).
- commit e2145a2
* Mon Dec 20 2021 mbenes@suse.cz
- tracing/uprobe: Fix uprobe_perf_open probes iteration
  (git-fixes).
- commit ed9f636
* Mon Dec 20 2021 bp@suse.de
- x86/fpu/signal: Initialize sw_bytes in save_xstate_epilog()
  (bsc#1190497).
- commit 7191fb9
* Mon Dec 20 2021 oneukum@suse.com
- Revert "usb: early: convert to readl_poll_timeout_atomic()"
  (git-fixes).
- commit cb61d99
* Mon Dec 20 2021 oneukum@suse.com
- usb: typec: tcpm: fix tcpm unregister port but leave a pending
  timer (git-fixes).
- commit 5235800
* Mon Dec 20 2021 oneukum@suse.com
- USB: gadget: bRequestType is a bitfield, not a enum (git-fixes).
- commit 7d60d0b
* Mon Dec 20 2021 jgross@suse.com
- xen/netback: don't queue unlimited number of packages
  (CVE-2021-28715 XSA-392 bsc#1193442).
- commit 3c72c0c
* Mon Dec 20 2021 jgross@suse.com
- xen/netback: fix rx queue stall detection (CVE-2021-28714
  XSA-392 bsc#1193442).
- commit caace15
* Mon Dec 20 2021 jgross@suse.com
- xen/console: harden hvc_xen against event channel storms
  (CVE-2021-28713 XSA-391 bsc#1193440).
- commit 146b839
* Mon Dec 20 2021 jgross@suse.com
- xen/netfront: harden netfront against event channel storms
  (CVE-2021-28712 XSA-391 bsc#1193440).
- commit d10254c
* Mon Dec 20 2021 jgross@suse.com
- xen/blkfront: harden blkfront against event channel storms
  (CVE-2021-28711 XSA-391 bsc#1193440).
- commit e1ca522
* Sun Dec 19 2021 neilb@suse.de
- NFSD: Fix exposure in nfsd4_decode_bitmap() (bnc#1193663 CVE-2021-4090).
- commit 2b4cae0
* Sat Dec 18 2021 jdelvare@suse.de
- hwmon: (k10temp) Remove residues of current and voltage
  (jsc#SLE-17823 jsc#SLE-23139 jsc#ECO-3666).
- hwmon: (k10temp) Add support for yellow carp (jsc#SLE-17823
  jsc#SLE-23139 jsc#ECO-3666).
- hwmon: (k10temp) Rework the temperature offset calculation
  (jsc#SLE-17823 jsc#SLE-23139 jsc#ECO-3666).
- hwmon: (k10temp) Don't show Tdie for all Zen/Zen2/Zen3 CPU/APU
  (jsc#SLE-17823 jsc#SLE-23139 jsc#ECO-3666).
- hwmon: (k10temp) Add additional missing Zen2 and Zen3 APUs
  (jsc#SLE-17823 jsc#SLE-23139 jsc#ECO-3666).
- hwmon: (k10temp) support Zen3 APUs (jsc#SLE-17823 jsc#SLE-23139
  jsc#ECO-3666).
- commit 0e017c0
* Fri Dec 17 2021 dmueller@suse.com
- kernel-obs-build: remove duplicated/unused parameters
  lbs=0 - this parameters is just giving "unused parameter" and it looks
  like I can not find any version that implemented this.
  rd.driver.pre=binfmt_misc is not needed when setup_obs is used, it
  alread loads the kernel module.
  quiet and panic=1 will now be also always added by OBS, so we don't have
  to set it here anymore.
- commit 972c692
* Thu Dec 16 2021 mbrugger@suse.com
- supported.conf: enable ffa-module (jsc#SLE-21844)
- commit f52f878
* Wed Dec 15 2021 bp@suse.de
- x86/sev: Fix SEV-ES INS/OUTS instructions for word, dword,
  and qword (bsc#1190497).
- commit 8e47d62
* Wed Dec 15 2021 mbenes@suse.cz
- tracing: Add length protection to histogram string copies
  (git-fixes).
- commit 0ebdac5
* Wed Dec 15 2021 jgross@suse.com
- tty: hvc: replace BUG_ON() with negative return value
  (git-fixes).
- commit 64a2763
* Wed Dec 15 2021 jgross@suse.com
- xen/netfront: don't trust the backend response data blindly
  (git-fixes).
- commit 3d79f0a
* Wed Dec 15 2021 jgross@suse.com
- xen/netfront: disentangle tx_skb_freelist (git-fixes).
- commit 843455b
* Wed Dec 15 2021 jgross@suse.com
- xen/netfront: don't read data from request on the ring page
  (git-fixes).
- commit a7d9222
* Wed Dec 15 2021 jgross@suse.com
- xen/netfront: read response from backend only once (git-fixes).
- commit 7ac98d9
* Wed Dec 15 2021 jgross@suse.com
- xen/blkfront: don't trust the backend response data blindly
  (git-fixes).
- commit 8fa0a17
* Wed Dec 15 2021 jgross@suse.com
- xen/blkfront: don't take local copy of a request from the ring
  page (git-fixes).
- commit ff5aa10
* Wed Dec 15 2021 jgross@suse.com
- xen/blkfront: read response from backend only once (git-fixes).
- commit 160dbd1
* Wed Dec 15 2021 tiwai@suse.de
- usb: core: config: using bit mask instead of individual bits
  (git-fixes).
- USB: gadget: zero allocate endpoint 0 buffers (git-fixes).
- USB: gadget: detect too-big endpoint 0 requests (git-fixes).
- libata: add horkage for ASMedia 1092 (git-fixes).
- platform/x86: amd-pmc: Fix s2idle failures on certain AMD
  laptops (git-fixes).
- mmc: spi: Add device-tree SPI IDs (git-fixes).
- usb: gadget: uvc: fix multiple opens (git-fixes).
- commit e549085
* Wed Dec 15 2021 tiwai@suse.de
- HID: Ignore battery for Elan touchscreen on Asus UX550VE
  (git-fixes).
- HID: google: add eel USB id (git-fixes).
- HID: add USB_HID dependancy to hid-prodikeys (git-fixes).
- HID: add USB_HID dependancy to hid-chicony (git-fixes).
- HID: bigbenff: prevent null pointer dereference (git-fixes).
- HID: sony: fix error path in probe (git-fixes).
- HID: add USB_HID dependancy on some USB HID drivers (git-fixes).
- HID: check for valid USB device for many HID drivers
  (git-fixes).
- HID: wacom: fix problems when device is not a valid USB device
  (git-fixes).
- HID: add hid_is_usb() function to make it simpler for USB
  detection (git-fixes).
- HID: quirks: Add quirk for the Microsoft Surface 3 type-cover
  (git-fixes).
- HID: Ignore battery for Elan touchscreen on HP Envy X360
  15-eu0xxx (git-fixes).
- HID: sony: support for the ghlive ps4 dongles (git-fixes).
- HID: sony: Fix more ShanWan clone gamepads to not rumble when
  plugged in (git-fixes).
- commit 66fc3e6
* Tue Dec 14 2021 dmueller@suse.com
- Revert "- rpm/*build: use buildroot macro instead of env variable"
  buildroot macro is not being expanded inside a shell script. go
  back to the environment variable usage. This reverts parts of
  commit e2f60269b9330d7225b2547e057ef0859ccec155.
- commit fe85f96
* Tue Dec 14 2021 dmueller@suse.com
- kernel-obs-build: include the preferred kernel parameters
  Currently the Open Build Service hardcodes the kernel boot parameters
  globally. Recently functionality was added to control the parameters
  by the kernel-obs-build package, so make use of that. parameters here
  will overwrite what is used by OBS otherwise.
- commit a631240
* Tue Dec 14 2021 pjakobsson@suse.de
- vfio: Introduce a vfio_uninit_group_dev() API call
  (jsc#SLE-22601).
- Refresh
  patches.suse/vfio-fsl-Move-to-the-device-set-infrastructure.patch.
- Refresh
  patches.suse/0447-vfio-Provide-better-generic-support-for-open-release.patch.
- commit 880f484
* Tue Dec 14 2021 mgorman@suse.de
- sched/fair: Document the slow path and fast path in
  select_task_rq_fair (bsc#1189999 (Scheduler functional and
  performance backports)).
- sched/fair: Fix per-CPU kthread and wakee stacking for asym
  CPU capacity (bsc#1189999 (Scheduler functional and performance
  backports)).
- sched/fair: Fix detection of per-CPU kthreads waking a task
  (bsc#1189999 (Scheduler functional and performance backports)).
- commit d543e74
* Tue Dec 14 2021 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Adjust-the-allowed-NUMA-imbalance-when-SD_NUMA-spans-multiple-LLCs.patch.
- Refresh
  patches.suse/sched-fair-Use-weight-of-SD_NUMA-domain-in-find_busiest_group.patch.
- commit 24ff0a3
* Tue Dec 14 2021 oneukum@suse.com
- xhci: avoid race between disable slot command and host runtime
  suspend (git-fixes).
- commit 7ac82ba
* Tue Dec 14 2021 oneukum@suse.com
- xhci: Remove CONFIG_USB_DEFAULT_PERSIST to prevent xHCI from
  runtime suspending (git-fixes).
- commit 47ed1f0
* Tue Dec 14 2021 dwagner@suse.de
- Update patches.suse/qla2xxx-synchronize-rport-dev_loss_tmo-setting.patch (bsc#1189158)
- commit 5a1da74
* Tue Dec 14 2021 tiwai@suse.de
- vdpa: Consider device id larger than 31 (git-fixes).
- virtio/vsock: fix the transport to work with VMADDR_CID_ANY
  (git-fixes).
- virtio_ring: Fix querying of maximum DMA mapping size for
  virtio device (git-fixes).
- virtio: always enter drivers/virtio/ (git-fixes).
- vdpa: check that offsets are within bounds (git-fixes).
- commit a40ec17
* Mon Dec 13 2021 lduncan@suse.com
- scsi: qla2xxx: Format log strings only if needed (git-fixes).
- scsi: scsi_debug: Fix buffer size of REPORT ZONES command
  (git-fixes).
- scsi: pm80xx: Do not call scsi_remove_host() in pm8001_alloc()
  (git-fixes).
- scsi: scsi_debug: Zero clear zones at reset write pointer
  (git-fixes).
- scsi: mpt3sas: Fix incorrect system timestamp (git-fixes).
- scsi: mpt3sas: Fix system going into read-only mode (git-fixes).
- scsi: mpt3sas: Fix kernel panic during drive powercycle test
  (git-fixes).
- commit 590254f
* Mon Dec 13 2021 tbogendoerfer@suse.de
- RDMA/irdma: Don't arm the CQ more than two times if no CE for
  this CQ (jsc#SLE-18383).
- RDMA/irdma: Report correct WC errors (jsc#SLE-18383).
- RDMA/irdma: Fix a potential memory allocation issue in
  'irdma_prm_add_pble_mem()' (jsc#SLE-18383).
- RDMA/irdma: Fix a user-after-free in add_pble_prm
  (jsc#SLE-18383).
- IB/hfi1: Fix leak of rcvhdrtail_dummy_kvaddr (jsc#SLE-19242).
- IB/hfi1: Fix early init panic (jsc#SLE-19242).
- IB/hfi1: Insure use of smp_processor_id() is preempt disabled
  (jsc#SLE-19242).
- IB/hfi1: Correct guard on eager buffer deallocation
  (jsc#SLE-19242).
- RDMA/rtrs: Call {get,put}_cpu_ptr to silence a debug kernel
  warning (jsc#SLE-19249).
- RDMA/hns: Do not destroy QP resources in the hw resetting phase
  (bsc#1190336).
- RDMA/hns: Do not halt commands during reset until later
  (bsc#1190336).
- RDMA/mlx5: Fix releasing unallocated memory in dereg MR flow
  (jsc#SLE-19253).
- RDMA: Fix use-after-free in rxe_queue_cleanup (jsc#SLE-19249).
- vmxnet3: fix minimum vectors alloc issue (bsc#1190406).
- ice: safer stats processing (jsc#SLE-18375).
- ice: fix adding different tunnels (jsc#SLE-18375).
- ice: fix choosing UDP header type (jsc#SLE-18375).
- ice: ignore dropped packets during init (jsc#SLE-18375).
- ice: Fix problems with DSCP QoS implementation (jsc#SLE-18375).
- ice: rearm other interrupt cause register after enabling VFs
  (jsc#SLE-18375).
- ice: fix FDIR init missing when reset VF (jsc#SLE-18375).
- i40e: Fix NULL pointer dereference in i40e_dbg_dump_desc
  (jsc#SLE-18378).
- i40e: Fix pre-set max number of queues for VF (jsc#SLE-18378).
- i40e: Fix failed opcode appearing if handling messages from VF
  (jsc#SLE-18378).
- iavf: Fix reporting when setting descriptor count
  (jsc#SLE-18385).
- iavf: restore MSI state on reset (jsc#SLE-18385).
- devlink: fix netns refcount leak in devlink_nl_cmd_reload()
  (git-fixes).
- bonding: make tx_rebalance_counter an atomic (git-fixes).
- net/tls: Fix authentication failure in CCM mode (git-fixes).
- tcp: fix page frag corruption on page fault (git-fixes).
- commit ed7a8c9
* Mon Dec 13 2021 msuchanek@suse.de
- config: INPUT_EVBUG=n (bsc#1192974).
  Debug driver unsuitable for production, only enabled on ppc64.
- commit e6448a3
* Mon Dec 13 2021 tiwai@suse.de
- ima: Fix undefined arch_ima_get_secureboot() and co
  (bsc#1193674).
- commit acf34be
* Mon Dec 13 2021 oneukum@suse.com
- net: cdc_ncm: Allow for dwNtbOutMaxSize to be unset or zero
  (git-fixes).
- commit 6e691fe
* Mon Dec 13 2021 dmueller@suse.com
- kernel-obs-build: inform build service about virtio-serial
  Inform the build worker code that this kernel supports virtio-serial,
  which improves performance and relability of logging.
- commit 301a3a7
* Mon Dec 13 2021 dmueller@suse.com
- rpm/*.spec.in: use buildroot macro instead of env variable
  The RPM_BUILD_ROOT variable is considered deprecated over
  a buildroot macro. future proof the spec files.
- commit e2f6026
* Mon Dec 13 2021 tiwai@suse.de
- Move upstreamed rtw89 patch into sorted section
- commit 0950df1
* Mon Dec 13 2021 ohering@suse.de
- net: mana: Fix memory leak in mana_hwc_create_wq (git-fixes).
- commit 1fcab05
* Mon Dec 13 2021 tiwai@suse.de
- usb: core: config: fix validation of wMaxPacketValue entries
  (git-fixes).
- bus: mhi: core: Add support for forced PM resume (git-fixes).
- iio: trigger: stm32-timer: fix MODULE_ALIAS (git-fixes).
- iio: at91-sama5d2: Fix incorrect sign extension (git-fixes).
- iio: adc: axp20x_adc: fix charging current reporting on AXP22x
  (git-fixes).
- iio: gyro: adxrs290: fix data signedness (git-fixes).
- iio: ad7768-1: Call iio_trigger_notify_done() on error
  (git-fixes).
- iio: itg3200: Call iio_trigger_notify_done() on error
  (git-fixes).
- iio: dln2: Check return value of devm_iio_trigger_register()
  (git-fixes).
- iio: trigger: Fix reference counting (git-fixes).
- iio: dln2-adc: Fix lockdep complaint (git-fixes).
- iio: adc: stm32: fix a current leak by resetting pcsel before
  disabling vdda (git-fixes).
- iio: mma8452: Fix trigger reference couting (git-fixes).
- iio: stk3310: Don't return error code in interrupt handler
  (git-fixes).
- iio: kxsd9: Don't return error code in trigger handler
  (git-fixes).
- iio: ltr501: Don't return error code in trigger handler
  (git-fixes).
- iio: accel: kxcjk-1013: Fix possible memory leak in probe and
  remove (git-fixes).
- misc: rtsx: Avoid mangling IRQ during runtime PM (git-fixes).
- misc: fastrpc: fix improper packet size calculation (git-fixes).
- bus: mhi: pci_generic: Fix device recovery failed issue
  (git-fixes).
- clocksource/drivers/dw_apb_timer_of: Fix probe failure
  (git-fixes).
- irqchip/irq-gic-v3-its.c: Force synchronisation when issuing
  INVALL (git-fixes).
- irqchip: nvic: Fix offset for Interrupt Priority Offsets
  (git-fixes).
- irqchip/aspeed-scu: Replace update_bits with write_bits
  (git-fixes).
- irqchip/armada-370-xp: Fix support for Multi-MSI interrupts
  (git-fixes).
- irqchip/armada-370-xp: Fix return value of
  armada_370_xp_msi_alloc() (git-fixes).
- clocksource/drivers/arc_timer: Eliminate redefined macro error
  (git-fixes).
- commit 458f7dd
* Mon Dec 13 2021 tiwai@suse.de
- Bbluetooth: btusb: Add another Bluetooth part for Realtek 8852AE
  (bsc#1193655).
- Bluetooth: btusb: Add gpio reset way for qca btsoc in
  cmd_timeout (bsc#1193655).
- Bluetooth: btusb: Add support for IMC Networks Mediatek
  Chip(MT7921) (bsc#1193655).
- Bluetooth: btusb: Add the new support ID for Realtek RTL8852A
  (bsc#1193655).
- Bluetooth: btusb: Add protocol for MediaTek bluetooth
  devices(MT7922) (bsc#1193655).
- Bluetooth: btusb: Support public address configuration for
  MediaTek Chip (bsc#1193655).
- commit aa63c80
* Sun Dec 12 2021 tiwai@suse.de
- i2c: mpc: Use atomic read and fix break condition (git-fixes).
- clk: qcom: sm6125-gcc: Swap ops of ice and apps on sdcc1
  (git-fixes).
- clk: imx: use module_platform_driver (git-fixes).
- clk: qcom: clk-alpha-pll: Don't reconfigure running Trion
  (git-fixes).
- clk: qcom: regmap-mux: fix parent clock lookup (git-fixes).
- commit 3747790
* Sat Dec 11 2021 tiwai@suse.de
- ALSA: hda/realtek - Add headset Mic support for Lenovo ALC897
  platform (git-fixes).
- ALSA: ctl: Fix copy of updated id with element read/write
  (git-fixes).
- ALSA: pcm: oss: Handle missing errors in
  snd_pcm_oss_change_params*() (git-fixes).
- ALSA: pcm: oss: Limit the period size to 16MB (git-fixes).
- ALSA: pcm: oss: Fix negative period/buffer sizes (git-fixes).
- commit 70606b1
* Sat Dec 11 2021 tiwai@suse.de
- thermal: int340x: Fix VCoRefLow MMIO bit offset for TGL
  (git-fixes).
- PM: runtime: Fix pm_runtime_active() kerneldoc comment
  (git-fixes).
- hwmon: (pwm-fan) Ensure the fan going on in .probe()
  (git-fixes).
- hwmon: (dell-smm) Fix warning on /proc/i8k creation error
  (git-fixes).
- hwmon: (corsair-psu) fix plain integer used as NULL pointer
  (git-fixes).
- Revert "PCI: aardvark: Fix support for PCI_ROM_ADDRESS1 on
  emulated bridge" (git-fixes).
- mmc: renesas_sdhi: initialize variable properly when tuning
  (git-fixes).
- ASoC: codecs: wsa881x: fix return values from kcontrol put
  (git-fixes).
- ASoC: codecs: wcd934x: return correct value from mixer put
  (git-fixes).
- ASoC: codecs: wcd934x: handle channel mappping list correctly
  (git-fixes).
- ASoC: qdsp6: q6routing: Fix return value from
  msm_routing_put_audio_mixer (git-fixes).
- ASoC: tegra: Use normal system sleep for ADX (git-fixes).
- ASoC: tegra: Use normal system sleep for AMX (git-fixes).
- ASoC: tegra: Use normal system sleep for Mixer (git-fixes).
- ASoC: tegra: Use normal system sleep for MVC (git-fixes).
- ASoC: tegra: Use normal system sleep for SFC (git-fixes).
- ASoC: tegra: Balance runtime PM count (git-fixes).
- ASoC: rt5682: Fix crash due to out of scope stack vars
  (git-fixes).
- ALSA: usb-audio: Reorder snd_djm_devices[] entries (git-fixes).
- ALSA: hda/realtek: Fix quirk for TongFang PHxTxX1 (git-fixes).
- drm/amd/display: Fix DPIA outbox timeout after S3/S4/reset
  (git-fixes).
- drm/syncobj: Deal with signalled fences in
  drm_syncobj_find_fence (git-fixes).
- commit 847c219
* Fri Dec 10 2021 tiwai@suse.de
- can: m_can: make custom bittiming fields const (git-fixes).
- commit 5d86bd5
* Fri Dec 10 2021 tiwai@suse.de
- Update BT fix patch for regression with 8087:0026 device (bsc#1193124)
  Also corrected the references and patch description
- commit 4cf2593
* Fri Dec 10 2021 dwagner@suse.de
- scsi: lpfc: Fix non-recovery of remote ports following an
  unsolicited LOGO (bsc#1189126).
- commit 2b31676
* Fri Dec 10 2021 mgorman@suse.de
- sched/fair: Adjust the allowed NUMA imbalance when SD_NUMA
  spans multiple LLCs (bsc#1192120).
- sched/fair: Use weight of SD_NUMA domain in find_busiest_group
  (bsc#1192120).
- commit 818b2ce
* Fri Dec 10 2021 tiwai@suse.de
- nfc: fix potential NULL pointer deref in nfc_genl_dump_ses_done
  (git-fixes).
- can: kvaser_usb: get CAN clock frequency from device
  (git-fixes).
- can: kvaser_pciefd: kvaser_pciefd_rx_error_frame(): increase
  correct stats->{rx,tx}_errors counter (git-fixes).
- can: m_can: pci: use custom bit timings for Elkhart Lake
  (git-fixes).
- can: m_can: pci: fix incorrect reference clock rate (git-fixes).
- can: m_can: Disable and ignore ELO interrupt (git-fixes).
- can: sja1000: fix use after free in ems_pcmcia_add_card()
  (git-fixes).
- can: pch_can: pch_can_rx_normal: fix use after free (git-fixes).
- mtd: dataflash: Add device-tree SPI IDs (git-fixes).
- mtd: rawnand: fsmc: Fix timing computation (git-fixes).
- mtd: rawnand: fsmc: Take instruction delay into account
  (git-fixes).
- mtd: rawnand: Fix nand_choose_best_timings() on unsupported
  interface (git-fixes).
- mtd: rawnand: Fix nand_erase_op delay (git-fixes).
- HID: intel-ish-hid: ipc: only enable IRQ wakeup when requested
  (git-fixes).
- soc: fsl: dpio: Unsigned compared against 0 in
  qbman_swp_set_irq_coalescing() (git-fixes).
- commit 3db25ff
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0011-PM-hibernate-require-hibernate-snapshot-image-to-be-.patch.
- commit 90d6396
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0010-PM-hibernate-a-option-to-request-that-snapshot-image.patch.
  Update config files. CONFIG_HIBERNATE_VERIFICATION_FORCE is not set
- commit c101ebd
* Fri Dec 10 2021 jlee@suse.com
- unmark
  patches.suse/0009-PM-hibernate-prevent-EFI-secret-key-to-be-regenerate.patch
- commit 3684c18
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0008-PM-hibernate-Generate-and-verify-signature-for-snaps.patch.
  Update config files. CONFIG_HIBERNATE_VERIFICATION=y
- commit 402ebf2
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
- commit fbd4629
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0006-efi-allow-user-to-regenerate-secret-key.patch.
- commit a86713d
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  Update config files. CONFIG_EFI_SECRET_KEY=y
- commit 6e77a16
* Fri Dec 10 2021 jlee@suse.com
- unmark
  patches.suse/0002-hibernate-avoid-the-data-in-hidden-area-to-be-snapsh.patch
- commit f20ffd1
* Fri Dec 10 2021 jlee@suse.com
- Refresh
  patches.suse/0001-security-create-hidden-area-to-keep-sensitive-data.patch.
  Update config files. CONFIG_HIDDEN_AREA
- commit f4223b3
* Thu Dec  9 2021 tiwai@suse.de
- drm/i915/dp: Perform 30ms delay after source OUI write
  (git-fixes).
- commit ffbcf49
* Thu Dec  9 2021 tiwai@suse.de
- usb: cdns3: gadget: fix new urb never complete if ep cancel
  previous requests (git-fixes).
- USB: NO_LPM quirk Lenovo Powered USB-C Travel Hub (git-fixes).
- serial: pl011: Add ACPI SBSA UART match id (git-fixes).
- drm/amd/display: Allow DSC on supported MST branch devices
  (git-fixes).
- iwlwifi: mvm: retry init flow if failed (git-fixes).
- ata: libahci: Adjust behavior when StorageD3Enable _DSD is set
  (git-fixes).
- ata: ahci: Add Green Sardine vendor ID as board_ahci_mobile
  (git-fixes).
- drm/amd/amdgpu: fix potential memleak (git-fixes).
- drm/amd/amdkfd: Fix kernel panic when reset failed and been
  triggered again (git-fixes).
- drm/sun4i: fix unmet dependency on RESET_CONTROLLER for
  PHY_SUN6I_MIPI_DPHY (git-fixes).
- thermal: core: Reset previous low and high trip during thermal
  zone init (git-fixes).
- platform/x86: thinkpad_acpi: Fix WWAN device disabled issue
  after S3 deep (git-fixes).
- platform/x86: thinkpad_acpi: Add support for dual fan control
  (git-fixes).
- platform/x86: dell-wmi-descriptor: disable by default
  (git-fixes).
- net: usb: r8152: Add MAC passthrough support for more Lenovo
  Docks (git-fixes).
- mac80211: fix throughput LED trigger (git-fixes).
- mac80211: do not access the IV when it was stripped (git-fixes).
- drm/connector: fix all kernel-doc warnings (git-fixes).
- commit 9be7e24
* Thu Dec  9 2021 ykaukab@suse.de
- tty: serial: fsl_lpuart: add timeout for
  wait_event_interruptible in .shutdown() (jsc#SLE-19033).
- crypto: caam - save caam memory to support crypto engine retry
  mechanism (jsc#SLE-19033).
- crypto: caam - replace this_cpu_ptr with raw_cpu_ptr
  (jsc#SLE-19033).
- tty: serial: imx: disable UCR4_OREN in .stop_rx() instead of
  .shutdown() (jsc#SLE-19033).
- tty: serial: imx: clear the RTSD status before enable the RTSD
  irq (jsc#SLE-19033).
- memory: fsl_ifc: populate child devices without relying on
  simple-bus (jsc#SLE-19033).
- soc: fsl: dpio: fix qbman alignment error in the virtualization
  context (jsc#SLE-19033).
- net: stmmac: Disable Tx queues when reconfiguring the interface
  (jsc#SLE-19033).
- dmaengine: fsl-edma: support edma memcpy (jsc#SLE-19033).
- vfio/fsl-mc: Add per device reset support (jsc#SLE-19033).
- bus/fsl-mc: Add generic implementation for open/reset/close
  commands (jsc#SLE-19033).
- ASoC: fsl_spdif: implement bypass mode from in to out
  (jsc#SLE-19033).
- ASoC: fsl_rpmsg: add soc specific data structure
  (jsc#SLE-19033).
- net: dpaa2: add adaptive interrupt coalescing (jsc#SLE-19033).
- soc: fsl: dpio: add Net DIM integration (jsc#SLE-19033).
- net: dpaa2: add support for manual setup of IRQ coalesing
  (jsc#SLE-19033).
- soc: fsl: dpio: add support for irq coalescing per software
  portal (jsc#SLE-19033).
- soc: fsl: dpio: extract the QBMAN clock frequency from the
  attributes (jsc#SLE-19033).
- spi: Convert NXP flexspi to json schema (jsc#SLE-19033).
- vfio/fsl: Move to the device set infrastructure (jsc#SLE-19033).
- tty: serial: fsl_lpuart: do software reset for imx7ulp and
  imx8qxp (jsc#SLE-19033).
- tty: serial: fsl_lpuart: enable two stop bits for lpuart32
  (jsc#SLE-19033).
- tty: serial: fsl_lpuart: check dma_tx_in_progress in tx dma
  callback (jsc#SLE-19033).
- net: phy: at803x: finish the phy id checking simplification
  (jsc#SLE-19033).
- mmc: sdhci: Correct the tuning command handle for PIO mode
  (jsc#SLE-19033).
- commit bad7a12
* Thu Dec  9 2021 mgorman@suse.de
- Refresh
  patches.suse/mm-vmscan-Reduce-throttling-due-to-a-failure-to-make-progress.patch.
  Mmotm fix for a report stating there was a NULL pointer exception for a
  THP-intensive workload.
- commit de8b975
* Wed Dec  8 2021 ykaukab@suse.de
- Refresh patches.suse/ipmi-ssif-initialize-ssif_info-client-early.patch.
- commit c1e3bcb
* Wed Dec  8 2021 ykaukab@suse.de
- bus: fsl-mc: rescan devices if endpoint not found
  (jsc#SLE-19033).
- bus: fsl-mc: pause the MC firmware when unloading
  (jsc#SLE-19033).
- bus: fsl-mc: pause the MC firmware before IOMMU setup
  (jsc#SLE-19033).
- bus: fsl-mc: add .shutdown() op for the bus driver
  (jsc#SLE-19033).
- bus: fsl-mc: fully resume the firmware (jsc#SLE-19033).
- bus: fsl-mc: handle DMA config deferral in ACPI case
  (jsc#SLE-19033).
- bus: fsl-mc: extend fsl_mc_get_endpoint() to pass interface ID
  (jsc#SLE-19033).
- commit 5b2ac90
* Wed Dec  8 2021 pjakobsson@suse.de
- Revert "drm/i915: Implement Wa_1508744258" (git-fixes).
- commit 78bf6ea
* Wed Dec  8 2021 pjakobsson@suse.de
- blacklist.conf: 1cbf731ef3a1 drm/i915: Fix missing docbook chapters for i915 uapi.
- commit 6777126
* Wed Dec  8 2021 jgross@suse.com
- xen: remove stray preempt_disable() from PV AP startup code
  (bsc#1193524).
- commit 39c2dee
* Wed Dec  8 2021 jgross@suse.com
- xen/pvh: add missing prototype to header (git-fixes).
- commit e49e355
* Wed Dec  8 2021 jgross@suse.com
- x86/pvh: add prototype for xen_pvh_init() (git-fixes).
- commit 4f8d143
* Wed Dec  8 2021 ykaukab@suse.de
- ipmi: ssif: initialize ssif_info->client early (bsc#1193490).
- commit e8af4dd
* Wed Dec  8 2021 mgorman@suse.de
- Delete
  patches.suse/sched-fair-Adjust-the-allowed-NUMA-imbalance-when-SD_NUMA-spans-multiple-LLCs.patch.
- Delete
  patches.suse/sched-fair-Use-weight-of-SD_NUMA-domain-in-find_busiest_group.patch.
  New revision pending upstream.
- commit dd182d0
* Wed Dec  8 2021 dwagner@suse.de
- nvme-multipath: Skip not ready namespaces when revalidating paths (bsc#1191793 bsc#1192507 bsc#1192969).
- commit 10dc5b5
* Wed Dec  8 2021 oneukum@suse.com
- blacklist.conf: went in through stable
- commit c751562
* Tue Dec  7 2021 oneukum@suse.com
- drm/connector: Give connector sysfs devices there own
  device_type (jsc#SLE-19356).
- commit 5b7ab45
* Tue Dec  7 2021 oneukum@suse.com
- drm/connector: Add a fwnode pointer to drm_connector and
  register with ACPI (v2) (jsc#SLE-19356).
- commit f0b908e
* Tue Dec  7 2021 oneukum@suse.com
- drm/connector: Add support for out-of-band hotplug notification
  (v3) (jsc#SLE19356).
- commit 6fa8d3d
* Tue Dec  7 2021 oneukum@suse.com
- drm/connector: Add drm_connector_find_by_fwnode() function (v3)
  (jsc#SLE-19356).
- commit f8f4127
* Tue Dec  7 2021 oneukum@suse.com
- usb: typec: ucsi: Don't stop alt mode registration on busy
  condition (jsc#SLE-19356).
- commit d1dd3c7
* Tue Dec  7 2021 oneukum@suse.com
- usb: typec: ucsi: Always cancel the command if PPM reports
  BUSY condition (jsc#SLE-19356).
- commit 7d740d2
* Tue Dec  7 2021 oneukum@suse.com
- usb: typec: altmodes/displayport: Notify drm subsys of hotplug
  events (git-fixes).
- commit 5f1a962
* Tue Dec  7 2021 dwagner@suse.de
- Remove patches.suse/nvme-add-sibling-to-list-after-full-initialization.patch
  As it turns out this fix is not correct.
- commit bb77a4c
* Tue Dec  7 2021 dwagner@suse.de
- lpfc: Reintroduce old IRQ probe logic (bsc#1183897).
- commit 00a7ff5
* Tue Dec  7 2021 msuchanek@suse.de
- Update
  patches.suse/powerpc-security-Use-a-mutex-for-interrupt-exit-code.patch
  (stable-5.14.19 bsc#1193470 ltc#195599).
- commit a8808ca
* Tue Dec  7 2021 jlee@suse.com
- Refresh
  patches.suse/0004-MODSIGN-checking-the-blacklisted-hash-before-loading.patch.
- commit 4f48964
* Tue Dec  7 2021 tbogendoerfer@suse.de
- net/mlx4_en: Fix an use-after-free bug in
  mlx4_en_try_alloc_resources() (jsc#SLE-19256).
- net: qlogic: qlcnic: Fix a NULL pointer dereference in
  qlcnic_83xx_add_rings() (git-fixes).
- net/mlx5e: SHAMPO, Fix constant expression result
  (jsc#SLE-19253).
- net/mlx5: Fix access to a non-supported register
  (jsc#SLE-19253).
- net/mlx5: Fix too early queueing of log timestamp work
  (jsc#SLE-19253).
- net/mlx5: Fix use after free in mlx5_health_wait_pci_up
  (jsc#SLE-19253).
- net/mlx5: E-Switch, Use indirect table only if all destinations
  support it (jsc#SLE-19253).
- net/mlx5: E-Switch, Check group pointer before reading bw_share
  value (jsc#SLE-19253).
- net/mlx5: E-Switch, fix single FDB creation on BlueField
  (jsc#SLE-19253).
- net/mlx5: E-switch, Respect BW share of the new group
  (jsc#SLE-19253).
- net/mlx5: Lag, Fix recreation of VF LAG (jsc#SLE-19253).
- net/mlx5: Move MODIFY_RQT command to ignore list in internal
  error state (jsc#SLE-19253).
- net/mlx5e: Sync TIR params updates against concurrent
  create/modify (jsc#SLE-19253).
- net/mlx5e: Fix missing IPsec statistics on uplink representor
  (jsc#SLE-19253).
- net/mlx5e: IPsec: Fix Software parser inner l3 type setting
  in case of encapsulation (jsc#SLE-19253).
- ice: xsk: clear status_error0 for each allocated desc
  (jsc#SLE-18375).
- net/mlx4_en: Update reported link modes for 1/10G
  (jsc#SLE-19256).
- net: qed: fix the array may be out of bound (jsc#SLE-19001).
- igb: fix netpoll exit with traffic (jsc#SLE-18379).
- net: chelsio: cxgb4vf: Fix an error code in cxgb4vf_pci_probe()
  (jsc#SLE-18992).
- ice: avoid bpf_prog refcount underflow (jsc#SLE-18375).
- ice: fix vsi->txq_map sizing (jsc#SLE-18375).
- iavf: Fix VLAN feature flags after VFR (jsc#SLE-18385).
- iavf: Fix refreshing iavf adapter stats on ethtool request
  (jsc#SLE-18385).
- iavf: Fix deadlock occurrence during resetting VF interface
  (jsc#SLE-18385).
- iavf: Prevent changing static ITR values if adaptive moderation
  is on (jsc#SLE-18385).
- igb: unbreak I2C bit-banging on i350 (jsc#SLE-18379).
- commit 24091ea
* Tue Dec  7 2021 jlee@suse.com
- Delete patches.suse/0003-MODSIGN-load-blacklist-from-MOKx.patch.
  The ebd9c2ae369a45 patch introduced mokx support since v5.13 on
  upstream. Let's remove this downstream patch. (fate#316531, bnc#854875)
- commit cd4e1c6
* Tue Dec  7 2021 jlee@suse.com
- Delete
  patches.suse/0001-efi-add-a-function-to-convert-the-status-code-to-a-s.patch.
  Delete
  patches.suse/0002-efi-show-error-messages-only-when-loading-certificat.patch
  Because upstream patch ebd9c2ae369a "efi: Only print errors about failing to
  get certs if EFI vars are found" already introduced new behavior of log. So
  those two SUSE downstream patches can be removed. (fate#316531, bnc#854875)
- commit f98e665
* Tue Dec  7 2021 jlee@suse.com
- Refresh
  patches.suse/0001-MODSIGN-do-not-load-mok-when-secure-boot-disabled.patch.
- Refresh patches.suse/0001-MODSIGN-do-not-load-mok-when-secure-boot-disabled.patch
  merge with patches.suse/0001-integrity-use-arch_ima_get_secureboot-instead-of-che.patch.
  (bsc#1188366)
- Delete
  patches.suse/0001-integrity-use-arch_ima_get_secureboot-instead-of-che.patch.
- commit f00ef99
* Tue Dec  7 2021 tonyj@suse.de
- blacklist.conf:  Add git-fixes patches checked into perf userspace
- commit 032d842
* Mon Dec  6 2021 tonyj@suse.de
- perf: Ignore sigtrap for tracepoints destined for other tasks
  (git-fixes).
- perf/x86/intel/uncore: Fix IIO event constraints for Snowridge
  (git-fixes).
- perf/x86/intel/uncore: Fix IIO event constraints for Skylake
  Server (git-fixes).
- perf/x86/intel/uncore: Fix filter_tid mask for CHA events on
  Skylake Server (git-fixes).
- perf/x86/vlbr: Add c->flags to vlbr event constraints
  (git-fixes).
- perf/x86/intel/uncore: Fix Intel SPR M3UPI event constraints
  (git-fixes).
- perf/x86/intel/uncore: Fix Intel SPR M2PCIE event constraints
  (git-fixes).
- perf/x86/intel/uncore: Fix Intel SPR IIO event constraints
  (git-fixes).
- perf/x86/intel/uncore: Fix Intel SPR CHA event constraints
  (git-fixes).
- commit 1cfbe90
* Mon Dec  6 2021 bp@suse.de
- x86/xen: Add xenpv_restore_regs_and_return_to_usermode()
  (bsc#1190497).
- commit 00aee08
* Mon Dec  6 2021 mbenes@suse.cz
- tracing/histograms: String compares should not care about
  signed values (git-fixes).
- commit fa5ea58
* Mon Dec  6 2021 mbenes@suse.cz
- tracing: Fix pid filtering when triggers are attached
  (git-fixes).
- commit 3c359a7
* Mon Dec  6 2021 mbenes@suse.cz
- blacklist.conf: 27ff768fa21c ("tracing: Test the 'Do not trace this pid' case in create event")
  Not needed. The backported "broken" commit is already fixed.
- commit 2c0434d
* Mon Dec  6 2021 mbenes@suse.cz
- tracing: Check pid filtering when creating events (git-fixes).
- commit 90d7fd0
* Mon Dec  6 2021 ykaukab@suse.de
- arm64: cpufeature: Export this_cpu_has_cap helper
  (jsc#SLE-19046).
- commit fd033df
* Mon Dec  6 2021 ykaukab@suse.de
- coresight: Use devm_bitmap_zalloc when applicable (jsc#SLE-19046).
- arm64: errata: Enable TRBE workaround for write to out-of-range address (jsc#SLE-19046).
- arm64: errata: Enable workaround for TRBE overwrite in FILL mode (jsc#SLE-19046).
- coresight: trbe: Work around write to out of range (jsc#SLE-19046).
- coresight: trbe: Make sure we have enough space (jsc#SLE-19046).
- coresight: trbe: Add a helper to determine the minimum buffer size (jsc#SLE-19046).
- coresight: trbe: Workaround TRBE errata overwrite in FILL mode (jsc#SLE-19046).
- coresight: trbe: Add infrastructure for Errata handling (jsc#SLE-19046).
- coresight: trbe: Allow driver to choose a different alignment (jsc#SLE-19046).
- coresight: trbe: Decouple buffer base from the hardware base (jsc#SLE-19046).
- coresight: trbe: Add a helper to pad a given buffer area (jsc#SLE-19046).
- coresight: trbe: Add a helper to calculate the trace generated (jsc#SLE-19046).
- coresight: trbe: Prohibit trace before disabling TRBE (jsc#SLE-19046).
- coresight: trbe: End the AUX handle on truncation (jsc#SLE-19046).
- coresight: trbe: Do not truncate buffer on IRQ (jsc#SLE-19046).
- coresight: trbe: Fix handling of spurious interrupts (jsc#SLE-19046).
- coresight: trbe: irq handler: Do not disable TRBE if no action is needed (jsc#SLE-19046).
- coresight: trbe: Unify the enabling sequence (jsc#SLE-19046).
- coresight: trbe: Drop duplicate TRUNCATE flags (jsc#SLE-19046).
- coresight: trbe: Ensure the format flag is always set (jsc#SLE-19046).
- coresight: etm-pmu: Ensure the AUX handle is valid (jsc#SLE-19046).
- coresight: etm4x: Use Trace Filtering controls dynamically (jsc#SLE-19046).
- coresight: etm4x: Save restore TRFCR_EL1 (jsc#SLE-19046).
- coresight: Don't immediately close events that are run on invalid CPU/sink combos (jsc#SLE-19046).
- coresight: tmc-etr: Speed up for bounce buffer in flat mode (jsc#SLE-19046).
- coresight: Update comments for removing cs_etm_find_snapshot() (jsc#SLE-19046).
- coresight: tmc-etr: Use perf_output_handle::head for AUX ring buffer (jsc#SLE-19046).
- coresight: tmc-etf: Add comment for store ordering (jsc#SLE-19046).
- coresight: tmc-etr: Add barrier after updating AUX ring buffer (jsc#SLE-19046).
- coresight: tmc: Configure AXI write burst size (jsc#SLE-19046).
- arm64: errata: Add detection for TRBE write to out-of-range (jsc#SLE-19046).
- arm64: errata: Add workaround for TSB flush failures (jsc#SLE-19046).
- arm64: errata: Add detection for TRBE overwrite in FILL mode (jsc#SLE-19046).
- arm64: Add Neoverse-N2, Cortex-A710 CPU part definition (jsc#SLE-19046).
- commit d3c2191
* Mon Dec  6 2021 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-cma-Do-not-change-route.addr.src_addr.ss_family.patch
  (stable-5.14.10 bsc#1192845 CVE-2021-43975).
  Added CVE reference
- commit 8142e42
* Mon Dec  6 2021 tbogendoerfer@suse.de
- atlantic: Fix OOB read and write in hw_atl_utils_fw_rpc_wait
  (bsc#1192845 CVE-2021-43975).
- commit 283c0a0
* Mon Dec  6 2021 ykaukab@suse.de
- perf: qcom_l2_pmu: ACPI: Use ACPI_COMPANION() directly
  (git-fixes).
- drivers/perf: thunderx2_pmu: Change data in size
  tx2_uncore_event_update() (git-fixes).
- drivers/perf: hisi: Fix PA PMU counter offset (git-fixes).
- KVM: arm64: Fix PMU probe ordering (git-fixes).
- KVM: arm64: perf: Replace '0xf' instances with
  ID_AA64DFR0_PMUVER_IMP_DEF (git-fixes).
- commit 91fb475
* Mon Dec  6 2021 oneukum@suse.com
- usb: typec: altmodes/displayport: Make dp_altmode_notify()
  more generic (git-fixes).
- commit 5136280
* Mon Dec  6 2021 bp@suse.de
- x86/entry: Use the correct fence macro after swapgs in kernel
  CR3 (bsc#1190497).
- commit e1ed0c4
* Mon Dec  6 2021 jlee@suse.com
- Refresh
  patches.suse/s390-lock-down-kernel-in-secure-boot-mode.patch.
- commit 2d12b8e
* Mon Dec  6 2021 bp@suse.de
- x86/entry: Add a fence for kernel entry SWAPGS in
  paranoid_entry() (bsc#1190497).
- commit 69d2c59
* Mon Dec  6 2021 jlee@suse.com
- unmark patches.suse/arm64-lock-down-kernel-in-secure-boot-mode.patch
- commit 36647a7
* Mon Dec  6 2021 jlee@suse.com
- Refresh
  patches.suse/powerpc-lock-down-kernel-in-secure-boot-mode.patch.
- commit e4b09e3
* Mon Dec  6 2021 jlee@suse.com
- unmark
  patches.suse/0004-efi-Lock-down-the-kernel-at-the-integrity-level-if-b.patch
- commit 0cf1770
* Mon Dec  6 2021 jlee@suse.com
- Refresh
  patches.suse/0003-efi-Lock-down-the-kernel-if-booted-in-secure-boot-mode.patch.
- Update config files. x86_64, arm64, ppc64le, s390x
  - Add CONFIG_LOCK_DOWN_IN_EFI_SECURE_BOOT=y
- commit 6189d45
* Mon Dec  6 2021 jlee@suse.com
- Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- commit f2a5454
* Mon Dec  6 2021 jlee@suse.com
- Refresh
  patches.suse/0001-security-lockdown-expose-a-hook-to-lock-the-kernel-down.patch.
- commit f2c3a99
* Mon Dec  6 2021 tiwai@suse.de
- usb: cdnsp: Fix a NULL pointer dereference in
  cdnsp_endpoint_init() (git-fixes).
- usb: typec: tcpm: Wait in SNK_DEBOUNCED until disconnect
  (git-fixes).
- serial: 8250_bcm7271: UART errors after resuming from S2
  (git-fixes).
- serial: 8250_pci: rewrite pericom_do_set_divisor() (git-fixes).
- serial: 8250_pci: Fix ACCES entries in pci_serial_quirks array
  (git-fixes).
- serial: 8250: Fix RTS modem control while in rs485 mode
  (git-fixes).
- serial: tegra: Change lower tolerance baud rate limit for
  tegra20 and tegra30 (git-fixes).
- serial: liteuart: fix minor-number leak on probe errors
  (git-fixes).
- serial: liteuart: fix use-after-free and memleak on unbind
  (git-fixes).
- serial: liteuart: Fix NULL pointer dereference in ->remove()
  (git-fixes).
- vgacon: Propagate console boot parameters before calling
  `vc_resize' (git-fixes).
- tty: serial: msm_serial: Deactivate RX DMA for polling support
  (git-fixes).
- serial: core: fix transmit-buffer reset and memleak (git-fixes).
- commit 3fabb98
* Mon Dec  6 2021 tiwai@suse.de
- Move upstreamed USB fix into sorted section
- commit e02363b
* Sat Dec  4 2021 tiwai@suse.de
- ALSA: hda/cs8409: Set PMSG_ON earlier inside cs8409 driver
  (git-fixes).
- commit e3352ca
* Sat Dec  4 2021 tiwai@suse.de
- ipmi: msghandler: Make symbol 'remove_work_wq' static
  (git-fixes).
- commit 992fab0
* Sat Dec  4 2021 tiwai@suse.de
- drm/vc4: kms: Fix previous HVS commit wait (git-fixes).
- drm/vc4: kms: Don't duplicate pending commit (git-fixes).
- drm/vc4: kms: Clear the HVS FIFO commit pointer once done
  (git-fixes).
- drm/vc4: kms: Add missing drm_crtc_commit_put (git-fixes).
- drm/vc4: kms: Fix return code check (git-fixes).
- drm/vc4: kms: Wait for the commit before increasing our clock
  rate (git-fixes).
- drm/msm: Do hw_init() before capturing GPU state (git-fixes).
- drm/msm/a6xx: Allocate enough space for GMU registers
  (git-fixes).
- rt2x00: do not mark device gone on EPROTO errors during start
  (git-fixes).
- mt76: mt7915: fix NULL pointer dereference in
  mt7915_get_phy_mode (git-fixes).
- iwlwifi: Fix memory leaks in error handling path (git-fixes).
- iwlwifi: fix warnings produced by kernel debug options
  (git-fixes).
- net: usb: lan78xx: lan78xx_phy_init(): use PHY_POLL instead of
  "0" if no IRQ is available (git-fixes).
- ipmi: Move remove_work to dedicated workqueue (git-fixes).
- commit 7d5a7f0
* Sat Dec  4 2021 tiwai@suse.de
- i2c: stm32f7: stop dma transfer in case of NACK (git-fixes).
- i2c: stm32f7: recover the bus on access timeout (git-fixes).
- i2c: stm32f7: flush TX FIFO upon transfer errors (git-fixes).
- i2c: cbus-gpio: set atomic transfer callback (git-fixes).
- dma-buf: system_heap: Use 'for_each_sgtable_sg' in pages free
  flow (git-fixes).
- atlantic: Remove warn trace message (git-fixes).
- atlantic: Fix statistics logic for production hardware
  (git-fixes).
- atlantic: Add missing DIDs and fix 115c (git-fixes).
- atlantic: Fix to display FW bundle version instead of FW mac
  version (git-fixes).
- atlatnic: enable Nbase-t speeds with base-t (git-fixes).
- atlantic: Increase delay for fw transactions (git-fixes).
- ASoC: rk817: Add module alias for rk817-codec (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in Mixer (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in ADX (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in AMX (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in SFC (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in MVC (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in AHUB (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in DSPK (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in DMIC (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in I2S (git-fixes).
- ASoC: tegra: Fix kcontrol put callback in ADMAIF (git-fixes).
- ASoC: tegra: Fix wrong value type in MVC (git-fixes).
- ASoC: tegra: Fix wrong value type in SFC (git-fixes).
- ASoC: tegra: Fix wrong value type in DSPK (git-fixes).
- ASoC: tegra: Fix wrong value type in DMIC (git-fixes).
- ASoC: tegra: Fix wrong value type in I2S (git-fixes).
- ASoC: tegra: Fix wrong value type in ADMAIF (git-fixes).
- ALSA: intel-dsp-config: add quirk for CML devices based on
  ES8336 codec (git-fixes).
- commit d6b0e1d
* Fri Dec  3 2021 lduncan@suse.com
- scsi: core: sysfs: Fix setting device state to SDEV_RUNNING
  (git-fixes).
- commit 713d069
* Fri Dec  3 2021 tiwai@suse.de
- xhci: Fix commad ring abort, write all 64 bits to CRCR register
  (bsc#1192569).
- commit e4fbc61
* Fri Dec  3 2021 msuchanek@suse.de
- ibmvnic: drop bad optimization in reuse_tx_pools() (bsc#1193349
  ltc#195568).
- ibmvnic: drop bad optimization in reuse_rx_pools() (bsc#1193349
  ltc#195568).
- commit 667806f
* Thu Dec  2 2021 tiwai@suse.de
- Bluetooth: Apply initial command workaround for more Intel chips
  (bsc#83f2dafe2a62).
- commit e1329be
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/i915/hdmi: Turn DP++ TMDS output buffers back on in
  encoder->shutdown() (git-fixes).
- commit 905574f
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Extend-the-async-flip-VT-d-w-a-to-skl-bxt.patch.
  Alt-commit
- commit afad9d5
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-gvt-fix-the-usage-of-ww-lock-in-gvt-schedul.patch.
  Alt-commit
- commit 0475b7e
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-Fix-even-more-out-of-bound-writes-from-de.patch.
  Alt-commit. Also updated the patch-mainline tag.
- commit ce4a8c2
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Fix-deadlock-when-falling-back-to-v2.patch.
  Alt-commit
- commit fadf24f
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/amdgpu/display: add quirk handling for stutter mode
  (git-fixes).
- commit 9ae484d
* Thu Dec  2 2021 lhenriques@suse.de
- fuse: release pipe buf after last use (bsc#1193318).
- commit fad20a3
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/msm/dsi: fix wrong type in msm_dsi_host (git-fixes).
- commit 9d4cd6e
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/msm/dsi: do not enable irq handler before powering up the
  host (git-fixes).
- commit 21c53a3
* Thu Dec  2 2021 mgorman@suse.de
- mm: vmscan: Reduce throttling due to a failure to make progress
  (bsc#1190208 (MM functional and performance backports)).
- commit c9d43e5
* Thu Dec  2 2021 mgorman@suse.de
- sched,x86: Fix L2 cache mask (bsc#1193302).
- commit 512a2f3
* Thu Dec  2 2021 mgorman@suse.de
- sched/fair: Adjust the allowed NUMA imbalance when SD_NUMA
  spans multiple LLCs (bsc#1192120).
- sched/fair: Use weight of SD_NUMA domain in find_busiest_group
  (bsc#1192120).
- commit 67de029
* Thu Dec  2 2021 mgorman@suse.de
- Delete
  patches.suse/sched-fair-Adjust-the-allowed-NUMA-imbalance-when-SD_NUMA-spans-multiple-LLCS.patch.
- commit 79c1d08
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/msm/dsi: rename dual DSI to bonded DSI (git-fixes).
- commit 383555c
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/amd/pm: Fix incorrect power limit readback in smu11 if
  POWER_SOURCE_DC (git-fixes).
- commit c04f48c
* Thu Dec  2 2021 pjakobsson@suse.de
- drm/i915: Replace the unconditional clflush with
  drm_clflush_virt_range() (git-fixes).
- commit bf0c1da
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Remove-memory-frequency-calculation.patch.
  Alt-commit
- commit 2650497
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-i915-guc-drop-guc_communication_enabled.patch.
  Alt-commit
- commit 01f68ee
* Thu Dec  2 2021 pjakobsson@suse.de
- blacklist.conf: faf890985e30 drm/i915: Fix syncmap memory leak
- commit 62955ef
* Thu Dec  2 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-handle-the-case-of-pci_channel_io_frozen-.patch.
  Alt-commit
- commit 3b7e322
* Thu Dec  2 2021 tiwai@suse.de
- staging: rtl8723bs: remove a second possible deadlock
  (git-fixes).
- commit e15a622
* Thu Dec  2 2021 tiwai@suse.de
- USB: serial: option: add Fibocom FM101-GL variants (git-fixes).
- USB: serial: option: add Telit LE910S1 0x9200 composition
  (git-fixes).
- mmc: sdhci: Fix ADMA for PAGE_SIZE >= 64KiB (git-fixes).
- drm/nouveau: recognise GA106 (git-fixes).
- drm/amdgpu: IH process reset count when restart (git-fixes).
- PCI: aardvark: Simplify initialization of rootcap on virtual
  bridge (git-fixes).
- PCI: aardvark: Implement re-issuing config requests on CRS
  response (git-fixes).
- staging: rtl8723bs: remove a third possible deadlock
  (git-fixes).
- staging: rtl8723bs: remove possible deadlock when disconnect
  (v2) (git-fixes).
- commit cbbc2ed
* Thu Dec  2 2021 jslaby@suse.cz
- rpm/kernel-binary.spec.in: don't strip vmlinux again (bsc#1193306)
  After usrmerge, vmlinux file is not named vmlinux-<version>, but simply
  vmlinux. And this is not reflected in STRIP_KEEP_SYMTAB we set.
  So fix this by removing the dash...
- commit 83af88d
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdkfd-fix-a-potential-ttm-sg-memory-leak.patch.
  Alt-commit
- commit 18c0378
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdkfd-fix-dma-mapping-leaking-warning.patch.
  Alt-commit
- commit d513741
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-amd-display-Fix-white-screen-page-fault-for-gpuv.patch.
  Alt-commit
- commit d8362fa
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-amdgpu-fix-use-after-free-during-BO-move.patch.
  Alt-commit
- commit 6231070
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-tc-Fix-TypeC-port-init-resume-time-sanitiza.patch.
  Alt-commit
- commit 75478ec
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0425-drm-i915-Update-memory-bandwidth-parameters.patch.
  Alt-commit
- commit 20108dd
* Wed Dec  1 2021 pjakobsson@suse.de
- blacklist.conf: b6dfa4161729 drm/i915/dp: Drop redundant debug print
- commit c59ba00
* Wed Dec  1 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-i915-dp-return-proper-DPRX-link-training-result.patch.
  Alt-commit
- commit 70fb6b8
* Wed Dec  1 2021 pjakobsson@suse.de
- blacklist.conf: d8959fb33890 drm/i915/dp: remove superfluous EXPORT_SYMBOL()
- commit 83d3fca
* Wed Dec  1 2021 pjakobsson@suse.de
- blacklist.conf: f6864b27d6d3 drm/i915/edp: fix eDP MSO pipe sanity checks for ADL-P
- commit fc8a263
* Wed Dec  1 2021 pjakobsson@suse.de
- blacklist.conf: 8b46cc6577f4 drm/i915: Tweaked Wa_14010685332 for all PCHs
- commit 8d282e0
* Wed Dec  1 2021 pjakobsson@suse.de
- blacklist.conf: c5589bb5dccb drm/i915: Only access SFC_DONE when media domain is not fused off
- commit e46b9ce
* Wed Dec  1 2021 pjakobsson@suse.de
- blacklist.conf: 70418a68713c drm/i915/display: Fix the 12 BPC bits for PIPE_MISC reg
- commit 0ee0cf4
* Wed Dec  1 2021 tiwai@suse.de
- rtw89: add AXIDMA and TX FIFO dump in mac_mem_dump
  (bsc#1188303).
- rtw89: fix potentially access out of range of RF register array
  (bsc#1188303).
- rtw89: remove unneeded variable (bsc#1188303).
- rtw89: remove unnecessary conditional operators (bsc#1188303).
- rtw89: update tx power limit/limit_ru tables to R54
  (bsc#1188303).
- rtw89: update rtw89 regulation definition to R58-R31
  (bsc#1188303).
- rtw89: fill regd field of limit/limit_ru tables by enum
  (bsc#1188303).
- commit bdba716
* Wed Dec  1 2021 tiwai@suse.de
- Update rtw89 fix with the upstream patch from wireless-drivers tree
- commit 70a5c33
* Wed Dec  1 2021 tiwai@suse.de
- mwifiex: Fix skb_over_panic in mwifiex_usb_recv()
  (CVE-2021-43976 bsc#1192847).
- commit 4829170
* Tue Nov 30 2021 ematsumiya@suse.de
- nvme-pci: add NO APST quirk for Kioxia device (git-fixes).
- commit 86d3c56
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - call dh_init() after drbg_init() and jent_mod_init()
  (jsc#SLE-21132,bsc#1191256).
- commit 61dfd91
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - implement FIPS PCT (jsc#SLE-21132,bsc#1191256).
- commit 9f91254
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - accept only approved safe-prime groups in FIPS mode
  (jsc#SLE-21132,bsc#1191256).
- commit 2d1a8e9
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - try to match domain parameters to a known
  safe-prime group (jsc#SLE-21132,bsc#1191256).
- commit 26a335b
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - calculate Q from P for the full public key
  verification (jsc#SLE-21132,bsc#1191256).
- commit b4037c4
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - store group id in dh-generic's dh_ctx
  (jsc#SLE-21132,bsc#1191256).
- commit f0486a1
* Tue Nov 30 2021 nstange@suse.de
- lib/mpi: export mpi_rshift (jsc#SLE-21132,bsc#1191256).
- commit 4310d0e
* Tue Nov 30 2021 nstange@suse.de
- crypto: testmgr - add DH test vectors for key generation
  (jsc#SLE-21132,bsc#1191256).
- commit 54bd083
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - introduce support for ephemeral key generation
  to qat driver (jsc#SLE-21132,bsc#1191256).
- commit 7368cee
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - introduce support for ephemeral key generation
  to hpre driver (jsc#SLE-21132,bsc#1191256).
- commit 2b8dc8a
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - introduce support for ephemeral key generation
  to dh-generic (jsc#SLE-21132,bsc#1191256).
- commit 3773460
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - implement private key generation primitive
  (jsc#SLE-21132,bsc#1191256).
- commit 6465374
* Tue Nov 30 2021 nstange@suse.de
- crypto: testmgr - run only subset of DH vectors based on config
  (jsc#SLE-21132,bsc#1191256).
- commit ac8f2bb
* Tue Nov 30 2021 nstange@suse.de
- crypto: testmgr - add DH RFC 3526 modp2048 test vector
  (jsc#SLE-21132,bsc#1191256).
- commit d59cad5
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - introduce RFC 3526 safe-prime groups
  (jsc#SLE-21132,bsc#1191256).
- Update config files.
- commit 7ce8fbd
* Tue Nov 30 2021 nstange@suse.de
- crypto: testmgr - add DH RFC 7919 ffdhe3072 test vector
  (jsc#SLE-21132,bsc#1191256).
- commit 66277b9
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - introduce RFC 7919 safe-prime groups
  (jsc#SLE-21132,bsc#1191256).
- Update config files.
- commit ffde948
* Tue Nov 30 2021 oneukum@suse.com
- hwmon: (dell-smm-hwmon) Fix fan mutliplier detection for 3rd
  fan (git-fixes).
- commit fc58f7c
* Tue Nov 30 2021 oneukum@suse.com
- hwmon: (dell-smm-hwmon) Convert to
  devm_hwmon_device_register_with_info() (git-fixes).
- commit 8eb28b7
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - optimize domain parameter serialization for
  well-known groups (jsc#SLE-21132,bsc#1191256).
- commit 0e9a462
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - constify struct dh's pointer members
  (jsc#SLE-21132,bsc#1191256).
- commit cd58585
* Tue Nov 30 2021 nstange@suse.de
- crypto: dh - remove struct dh's ->q member
  (jsc#SLE-21132,bsc#1191256).
- commit ca28b3e
* Tue Nov 30 2021 oneukum@suse.com
- hwmon: (dell-smm-hwmon) Move variables into a driver private
  data structure (git-fixes).
- commit a97cfe2
* Tue Nov 30 2021 oneukum@suse.com
- hwmon: (dell-smm-hwmon) Use devm_add_action_or_reset()
  (git-fixes).
- commit 12a377a
* Tue Nov 30 2021 oneukum@suse.com
- hwmon: (dell-smm-hwmon) Mark functions as __init (git-fixes).
- commit a95801d
* Tue Nov 30 2021 oneukum@suse.com
- ptp: ocp: add COMMON_CLK dependency (git-fixes).
- commit c11a32b
* Tue Nov 30 2021 oneukum@suse.com
- hwmon: (dell-smm-hwmon) Use platform device (git-fixes).
- commit f051ae7
* Tue Nov 30 2021 oneukum@suse.com
- mm: Add kvrealloc() (git-fixes).
- commit ef97709
* Tue Nov 30 2021 nstange@suse.de
- crypto: jitter - quit sample collection loop upon RCT failure
  (jsc#SLE-21132,bsc#1191259).
- commit 990cfda
* Tue Nov 30 2021 nstange@suse.de
- crypto: jitter - don't limit ->health_failure check to FIPS mode
  (jsc#SLE-21132,bsc#1191259).
- commit 583d284
* Tue Nov 30 2021 nstange@suse.de
- crypto: drbg - ignore jitterentropy errors if not in FIPS mode
  (jsc#SLE-21132,bsc#1191259).
- commit a216735
* Tue Nov 30 2021 oneukum@suse.com
- mt76: drop MCU header size from buffer size in
  __mt76_mcu_send_firmware (git-fixes).
- commit 3d10da9
* Tue Nov 30 2021 oneukum@suse.com
- mt76: introduce __mt76_mcu_send_firmware routine (git-fixes).
- commit a54556a
* Tue Nov 30 2021 ohering@suse.de
- x86/hyperv: Move required MSRs check to initial platform probing
  (git-fixes).
- x86/hyperv: Fix NULL deref in set_hv_tscchange_cb() if Hyper-V
  setup fails (git-fixes).
- Drivers: hv: balloon: Use VMBUS_RING_SIZE() wrapper for
  dm_ring_size (git-fixes).
- net: mana: Fix spelling mistake "calledd" -> "called"
  (jsc#SLE-18779, bsc#1185726).
- PCI: hv: Remove unnecessary use of %%hx (git-fixes).
- Drivers: hv : vmbus: Adding NULL pointer check (git-fixes).
- x86/hyperv: Remove duplicate include (git-fixes).
- x86/hyperv: Remove duplicated include in hv_init (git-fixes).
- Drivers: hv: vmbus: Remove unused code to check for subchannels
  (git-fixes).
- net: mana: Support hibernation and kexec (jsc#SLE-18779,
  bsc#1185726).
- net: mana: Improve the HWC error handling (jsc#SLE-18779,
  bsc#1185726).
- net: mana: Report OS info to the PF driver (jsc#SLE-18779,
  bsc#1185726).
- net: mana: Fix the netdev_err()'s vPort argument in
  mana_init_port() (jsc#SLE-18779, bsc#1185726).
- net: mana: Allow setting the number of queues while the NIC
  is down (jsc#SLE-18779, bsc#1185726).
- hv_netvsc: Add comment of netvsc_xdp_xmit() (git-fixes).
- hv_netvsc: use netif_is_bond_master() instead of open code
  (git-fixes).
- net: mana: Use kcalloc() instead of kzalloc() (jsc#SLE-18779,
  bsc#1185726).
- net: use eth_hw_addr_set() (jsc#SLE-19256).
- commit 64933c8
* Tue Nov 30 2021 pjakobsson@suse.de
- Revert "drm/i915: Fix missing docbook chapters for i915 uapi"
  This reverts commit d33eb4b2a0b7422c9dc94bcd23d0d9ef458f2f77.
- commit 6e0d735
* Tue Nov 30 2021 shung-hsi.yu@suse.com
- bpf: Stop caching subprog index in the bpf_pseudo_func insn
  (git-fixes).
- commit 76c87a6
* Mon Nov 29 2021 oneukum@suse.com
- usb: ohci: disable start-of-frame interrupt in ohci_rh_suspend
  (git-fixes).
- commit 474865f
* Mon Nov 29 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0410-drm-i915-adl_p-Also-disable-underrun-recovery-with-M.patch.
  Add alt-commit tag for duplicate
- commit b076848
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Reset LRC descriptor if register returns -ENODEV
  (git-fixes).
- commit 65e549a
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Take context ref when cancelling request
  (git-fixes).
- commit 506a6d9
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Copy whole golden context, set engine state size
  of subset (git-fixes).
- commit b1fdf4a
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Don't enable scheduling on a banned context,
  guc_id invalid, not registered (git-fixes).
- commit c06d135
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Kick tasklet after queuing a request (git-fixes).
- commit 35e2726
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Workaround reset G2H is received after schedule
  done G2H (git-fixes).
- commit e25f4c3
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Don't drop ce->guc_active.lock when unwinding
  context (git-fixes).
- commit 380814a
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Unwind context requests in reverse order
  (git-fixes).
- commit b4b0087
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Fix outstanding G2H accounting (git-fixes).
- commit bd00cfe
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915/guc: Fix blocked context accounting (git-fixes).
- commit 5787530
* Mon Nov 29 2021 pjakobsson@suse.de
- drm/i915: Fix missing docbook chapters for i915 uapi
  (git-fixes).
- commit d33eb4b
* Mon Nov 29 2021 ggherdovich@suse.cz
- config: set the default cpufreq governor on x86 to "ondemand" (bsc#1190923)
  "Ondemand" has been the default cpufreq governor in previous SLES
  releases. Upstream has now set the default to be "schedutil" on all x86_64
  systems except for the most recent Intel CPUs (see a00ec3874e7d3 ("cpufreq:
  intel_pstate: Select schedutil as the default governor")). We estimate this
  choice carries a notable performance regression.
  The direct effect of this patch is to restore "ondemand" as default
  governor on AMD systems.
  Setting CPU_FREQ_DEFAULT_GOV_CONSERVATIVE=n explicitely is necessary otherwise
  "make syncconfig" thinks that option is new and stops the build, if no silent
  config updates are permitted.
- commit 5f12495
* Mon Nov 29 2021 ggherdovich@suse.cz
- Revert "cpufreq: Avoid configuring old governors as default
  with intel_pstate" (bsc#1190923).
- commit a145265
* Mon Nov 29 2021 tbogendoerfer@suse.de
- net: hns3: fix incorrect components info of ethtool --reset
  command (bsc#1190336).
- net: hns3: fix one incorrect value of page pool info when
  queried by debugfs (bsc#1190336).
- net: hns3: add check NULL address for page pool (bsc#1190336).
- net: hns3: fix VF RSS failed problem after PF enable multi-TCs
  (bsc#1190336).
- ethtool: ioctl: fix potential NULL deref in
  ethtool_set_coalesce() (jsc#SLE-19253).
- nixge: fix mac address error handling again (jsc#SLE-19253).
- ptp: ocp: Fix a couple NULL vs IS_ERR() checks (jsc#SLE-19253).
- RDMA/core: Set sgtable nents when using ib_dma_virt_map_sg()
  (jsc#SLE-19249).
- ethernet: fix up ps3_gelic_net.c for "ethernet: use
  eth_hw_addr_set()" (jsc#SLE-19256).
- ethernet: ehea: add missing cast (jsc#SLE-19256).
- dma-mapping: fix the kerneldoc for dma_map_sgtable()
  (jsc#SLE-19249).
- dma-mapping: fix the kerneldoc for dma_map_sg_attrs
  (jsc#SLE-19249).
- ptp: ocp: Have Kconfig select NET_DEVLINK (jsc#SLE-19253).
- commit 5d25d7c
* Mon Nov 29 2021 jroedel@suse.de
- iommu/vt-d: Fix unmap_pages support (git-fixes).
- commit 7a9b51b
* Mon Nov 29 2021 nstange@suse.de
- rpm/modules.fips: remove des3 and des (jsc#SLE-21132,bsc#1191261).
  DES3 has been marked as not approved for FIPS now, remove it
  from modules.fips.
- commit e1ec547
* Mon Nov 29 2021 jroedel@suse.de
- iommu/rockchip: Fix PAGE_DESC_HI_MASKs for RK3568 (git-fixes).
- iommu/dma: Account for min_align_mask w/swiotlb (git-fixes).
- swiotlb: Support aligned swiotlb buffers (git-fixes).
- iommu/dma: Check CONFIG_SWIOTLB more broadly (git-fixes).
- iommu/dma: Fold _swiotlb helpers into callers (git-fixes).
- iommu/dma: Skip extra sync during unmap w/swiotlb (git-fixes).
- iommu/dma: Fix sync_sg with swiotlb (git-fixes).
- iommu/vt-d: Drop "0x" prefix from PCI bus & device addresses
  (git-fixes).
- iommu/amd: Remove iommu_init_ga() (git-fixes).
- commit 27f96b2
* Mon Nov 29 2021 nstange@suse.de
- crypto: ecdh - implement FIPS PCT (jsc#SLE-21132,bsc#1191256).
- commit 4be783b
* Mon Nov 29 2021 nstange@suse.de
- crypto: populate downstream list of drivers unapproved for
  FIPS mode usage (jsc#SLE-21132,bsc#1191270).
- commit cf79007
* Mon Nov 29 2021 nstange@suse.de
- crypto: implement downstream solution for disabling drivers
  in FIPS mode (jsc#SLE-21132,bsc#1191270).
- commit 267194d
* Mon Nov 29 2021 osalvador@suse.de
- hugetlbfs: flush TLBs correctly after huge_pmd_unshare
  (bsc#1192946 CVE-2021-4002).
- commit 9a6f8ea
* Mon Nov 29 2021 dbueso@suse.de
- locking/rwsem: Optimize down_read_trylock() under highly
  contended case (bsc#1190137).
- locking/rwsem: Make handoff bit handling more consistent
  (bsc#1190137).
- shm: extend forced shm destroy to support objects from several
  IPC nses (git-fixes).
- net: stats: Read the statistics in ___gnet_stats_copy_basic()
  instead of adding (bsc#1189998).
- lib/logic_iomem: fix sparse warnings (git-fixes).
- net/sched: cls_api, reset flags on replay (bsc#1189998).
- commit 2753e49
* Sun Nov 28 2021 tiwai@suse.de
- Move upstreamed xhci patch into sorted section
- commit e524866
* Sun Nov 28 2021 nstange@suse.de
- crypto: dh - limit key size to 2048 in FIPS mode
  (jsc#SLE-21132,bsc#1193136).
- commit 5ff1146
* Sun Nov 28 2021 nstange@suse.de
- crypto: rsa - limit key size to 2048 in FIPS mode
  (jsc#SLE-21132,bsc#1193136).
- commit e13c64c
* Sun Nov 28 2021 nstange@suse.de
- crypto: des - disallow des3 in FIPS mode
  (jsc#SLE-21132,bsc#1191261).
- commit 5cba32d
* Sun Nov 28 2021 nstange@suse.de
- crypto: jitter - consider 32 LSB for APT
  (jsc#SLE-21132,bsc#1191259).
- commit e52f765
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - reseed 'nopr' drbgs periodically from
  get_random_bytes() (jsc#SLE-21132,bsc#1191259).
- commit 9772beb
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - make drbg_prepare_hrng() handle jent
  instantiation errors (jsc#SLE-21132,bsc#1191259).
- commit 5d82af9
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - make reseeding from get_random_bytes()
  synchronous (jsc#SLE-21132,bsc#1191259).
- commit c503088
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - move dynamic ->reseed_threshold adjustments to
  __drbg_seed() (jsc#SLE-21132,bsc#1191259).
- commit fe4673f
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - track whether DRBG was seeded with
  !rng_is_initialized() (jsc#SLE-21132,bsc#1191259).
- commit 832d7de
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - prepare for more fine-grained tracking of
  seeding state (jsc#SLE-21132,bsc#1191259).
- commit 832ea10
* Sun Nov 28 2021 nstange@suse.de
- crypto: drbg - Fix unused value warning in
  drbg_healthcheck_sanity() (jsc#SLE-21132,bsc#1191259).
- commit 585265f
* Sat Nov 27 2021 tonyj@suse.de
- bpf: Fix toctou on read-only map's constant scalar tracking
  (bsc#1192990,CVE-2021-4001).
- commit a65db58
* Sat Nov 27 2021 tonyj@suse.de
- bpf: Use kvmalloc for map keys in syscalls
  (bsc#1192990,CVE-2021-4001).
- Refresh
  patches.suse/bpf-Fix-error-usage-of-map_fd-and-fdget-in-generic_m.patch.
- commit 8529db1
* Sat Nov 27 2021 tiwai@suse.de
- usb: hub: Fix locking issues with address0_mutex (git-fixes).
- commit 6e122fb
* Sat Nov 27 2021 tiwai@suse.de
- mdio: aspeed: Fix "Link is Down" issue (git-fixes).
- lan743x: fix deadlock in lan743x_phy_link_status_change()
  (git-fixes).
- ACPI: Get acpi_device's parent from the parent field
  (git-fixes).
- ACPI: CPPC: Add NULL pointer check to cppc_get_perf()
  (git-fixes).
- PM: hibernate: use correct mode for swsusp_close() (git-fixes).
- staging/fbtft: Fix backlight (git-fixes).
- USB: serial: pl2303: fix GC type detection (git-fixes).
- usb: chipidea: ci_hdrc_imx: fix potential error pointer
  dereference in probe (git-fixes).
- usb: hub: Fix usb enumeration issue due to address0 race
  (git-fixes).
- usb: typec: fusb302: Fix masking of comparator and bc_lvl
  interrupts (git-fixes).
- usb: dwc3: leave default DMA for PCI devices (git-fixes).
- usb: dwc2: hcd_queue: Fix use of floating point literal
  (git-fixes).
- usb: dwc3: gadget: Fix null pointer exception (git-fixes).
- usb: dwc2: gadget: Fix ISOC flow for elapsed frames (git-fixes).
- usb: dwc3: gadget: Check for L1/L2/U3 for Start Transfer
  (git-fixes).
- usb: dwc3: gadget: Ignore NoStream after End Transfer
  (git-fixes).
- usb: dwc3: core: Revise GHWPARAMS9 offset (git-fixes).
- mmc: sdhci-esdhc-imx: disable CMDQ support (git-fixes).
- commit 41fc655
* Fri Nov 26 2021 pjakobsson@suse.de
- drm/dp: Don't zero PWMGEN_BIT_COUNT when driver_pwm_freq_hz not specified (git-fixes).
- commit c054b5e
* Fri Nov 26 2021 pjakobsson@suse.de
- Alt-commit updates for duplicates
- Refresh
  patches.suse/0409-drm-i915-Use-designated-initializers-for-init-exit-t.patch.
- Refresh
  patches.suse/0411-drm-i915-gt-Potential-error-pointer-dereference-in-p.patch.
- Refresh
  patches.suse/0412-drm-i915-selftest-Fix-use-of-err-in-igt_reset_-fail-.patch.
- Refresh
  patches.suse/0419-drm-i915-gem-Fix-the-mman-selftest.patch.
- Refresh
  patches.suse/0420-drm-i915-Release-ctx-syncobj-on-final-put-not-on-ctx.patch.
- Refresh
  patches.suse/0421-drm-i915-Get-PM-ref-before-accessing-HW-register.patch.
- Refresh
  patches.suse/0422-drm-i915-selftests-Do-not-use-import_obj-uninitializ.patch.
- Refresh
  patches.suse/0423-drm-i915-selftests-Always-initialize-err-in-igt_dmab.patch.
- Refresh
  patches.suse/0426-drm-i915-Move-__i915_gem_free_object-to-ttm_bo_destr.patch.
- Refresh patches.suse/0427-drm-i915-Free-all-DMC-payloads.patch.
- Refresh
  patches.suse/0429-drm-i915-guc-docs-Fix-pdfdocs-build-error-by-removin.patch.
- Refresh
  patches.suse/0432-drm-i915-fix-blank-screen-booting-crashes.patch.
- Refresh
  patches.suse/0439-drm-i915-Fix-bug-in-user-proto-context-creation-that.patch.
- Refresh
  patches.suse/0440-drm-i915-Free-the-returned-object-of-acpi_evaluate_d.patch.
- Refresh
  patches.suse/0445-drm-i915-Revert-guc_id-from-i915_request-tracepoint.patch.
- commit 6fe956e
* Fri Nov 26 2021 msuchanek@suse.de
- constraints: Build aarch64 on recent ARMv8.1 builders.
  Request asimdrdm feature which is available only on recent ARMv8.1 CPUs.
  This should prevent scheduling the kernel on an older slower builder.
- commit 60fc53f
* Fri Nov 26 2021 tiwai@suse.de
- iio: imu: adis16400: Fix buffer alignment requirements
  (git-fixes).
- iio: gyro: mpu3050: Fix alignment and size issues with buffers
  (git-fixes).
- iio: adc: ti-adc108s102: Fix alignment of buffer pushed to
  iio buffers (git-fixes).
- staging: wfx: ensure IRQ is ready before enabling it
  (git-fixes).
- commit 594abf0
* Fri Nov 26 2021 tiwai@suse.de
- firmware: smccc: Fix check for ARCH_SOC_ID not implemented
  (git-fixes).
- firmware: arm_scmi: Fix type error assignment in voltage
  protocol (git-fixes).
- HID: multitouch: disable sticky fingers for UPERFECT Y
  (git-fixes).
- tty: tty_buffer: Fix the softlockup issue in flush_to_ldisc
  (git-fixes).
- iio: imu: st_lsm6dsx: Avoid potential array overflow in
  st_lsm6dsx_set_odr() (git-fixes).
- iio: core: Introduce iio_push_to_buffers_with_ts_unaligned()
  (git-fixes).
- usb: host: ohci-tmio: check return value after calling
  platform_get_resource() (git-fixes).
- usb: typec: tipd: Remove WARN_ON in tps6598x_block_read
  (git-fixes).
- usb: musb: tusb6010: check return value after calling
  platform_get_resource() (git-fixes).
- memory: tegra20-emc: Add runtime dependency on devfreq governor
  module (git-fixes).
- commit 872c3f8
* Fri Nov 26 2021 tiwai@suse.de
- drm/hyperv: Fix device removal on Gen1 VMs (git-fixes).
- drm/aspeed: Fix vga_pw sysfs output (git-fixes).
- drm/vc4: fix error code in vc4_create_object() (git-fixes).
- drm/nouveau/acr: fix a couple NULL vs IS_ERR() checks
  (git-fixes).
- drm/amd/display: Set plane update flags for all planes in reset
  (git-fixes).
- drm/amd/display: Fix DPIA outbox timeout after GPU reset
  (git-fixes).
- firmware: arm_scmi: Fix type error in sensor protocol
  (git-fixes).
- firmware: arm_scmi: pm: Propagate return value to caller
  (git-fixes).
- firmware: arm_scmi: Fix base agent discover response
  (git-fixes).
- drm/amdgpu: fix set scaling mode Full/Full aspect/Center not
  works on vga and dvi connectors (git-fixes).
- commit 90685db
* Fri Nov 26 2021 tiwai@suse.de
- drm/amd/pm: avoid duplicate powergate/ungate setting
  (git-fixes).
- drm/nouveau: clean up all clients on device removal
  (CVE-2020-27820 bsc#1179599 git-fixes).
- drm/nouveau: Add a dedicated mutex for the clients list
  (CVE-2020-27820 bsc#1179599 git-fixes).
- drm/nouveau: use drm_dev_unplug() during device removal
  (CVE-2020-27820 bsc#1179599 git-fixes).
- clk: sunxi-ng: Unregister clocks/resets when unbinding
  (git-fixes).
- clk: imx: imx6ul: Move csi_sel mux to correct base register
  (git-fixes).
- bus: ti-sysc: Use context lost quirk for otg (git-fixes).
- bus: ti-sysc: Add quirk handling for reinit on context lost
  (git-fixes).
- ASoC: rt5682: fix a little pop while playback (git-fixes).
- ASoC: Intel: sof_sdw: add missing quirk for Dell SKU 0A45
  (git-fixes).
- ASoC: Intel: soc-acpi: add missing quirk for TGL SDCA single
  amp (git-fixes).
- ASoC: nau8824: Add DMI quirk mechanism for active-high
  jack-detect (git-fixes).
- ASoC: rt5651: Use IRQF_NO_AUTOEN when requesting the IRQ
  (git-fixes).
- ASoC: es8316: Use IRQF_NO_AUTOEN when requesting the IRQ
  (git-fixes).
- ALSA: gus: fix null pointer dereference on pointer block
  (git-fixes).
- ASoC: SOF: Intel: hda-dai: fix potential locking issue
  (git-fixes).
- drm/amd/display: Update swizzle mode enums (git-fixes).
- drm/amd/display: Limit max DSC target bpp for specific monitors
  (git-fixes).
- commit acb861b
* Fri Nov 26 2021 tiwai@suse.de
- Move upstreamed media and ARM patches into sorted section
  Dropped a corresponding blacklist entry, too
- commit c1e7317
* Thu Nov 25 2021 msuchanek@suse.de
- powerpc/kexec_file: Add KEXEC_SIG support (jsc#SLE-18145
  bsc#1192295).
  Update config files.
- commit b9bad9a
* Thu Nov 25 2021 msuchanek@suse.de
- powerpc/watchdog: Fix wd_smp_last_reset_tb reporting
  (bsc#1187541 ltc#192129).
- powerpc/watchdog: read TB close to where it is used (bsc#1187541
  ltc#192129).
- powerpc/watchdog: Avoid holding wd_smp_lock over printk and
  smp_send_nmi_ipi (bsc#1187541 ltc#192129).
- powerpc/watchdog: tighten non-atomic read-modify-write access
  (bsc#1187541 ltc#192129).
- powerpc/watchdog: Fix missed watchdog reset due to memory
  ordering race (bsc#1187541 ltc#192129).
- commit 823022d
* Thu Nov 25 2021 mbenes@suse.cz
- x86/sev: Fix noinstr for vc_ghcb_invalidate() (bsc#1169514).
- commit 794a8a0
* Thu Nov 25 2021 mbenes@suse.cz
- x86: Always inline ip_within_syscall_gap() (bsc#1169514).
- commit cfc10d5
* Thu Nov 25 2021 mbenes@suse.cz
- x86/kvm: Always inline evmcs_write64() (bsc#1169514).
- commit 22c39a2
* Thu Nov 25 2021 mbenes@suse.cz
- x86/kvm: Always inline to_svm() (bsc#1169514).
- commit 5a2d299
* Thu Nov 25 2021 mbenes@suse.cz
- x86: Always inline context_tracking_guest_enter() (bsc#1169514).
- commit 57c3b6f
* Thu Nov 25 2021 mbenes@suse.cz
- x86/kvm: Always inline vmload() / vmsave() (bsc#1169514).
- commit bd03ad7
* Thu Nov 25 2021 mbenes@suse.cz
- x86/kvm: Always inline sev_*guest() (bsc#1169514).
- commit cc1d87a
* Thu Nov 25 2021 mbenes@suse.cz
- objtool: Introduce CFI hash (bsc#1169514).
- Refresh
  patches.suse/objtool-Handle-__sanitize_cov-tail-calls.patch.
- commit 4b4d3bb
* Thu Nov 25 2021 tiwai@suse.de
- HID: input: set usage type to key on keycode remap (git-fixes).
- HID: input: Fix parsing of HID_CP_CONSUMER_CONTROL fields
  (git-fixes).
- HID: wacom: Use "Confidence" flag to prevent reporting invalid
  contacts (git-fixes).
- commit 00be7f6
* Wed Nov 24 2021 pjakobsson@suse.de
- Refresh
  patches.suse/lib-scatterlist-Provide-a-dedicated-function-to-supp.patch.
  Fixes warning:
  ../drivers/gpu/drm/i915/gem/i915_gem_ttm.c:382:22: warning: unused variable 'sg' [-Wunused-variable]
- commit 883a20a
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: cs42l42: Assume 24-bit samples are in 32-bit slots
  (bsc#1192354).
- commit 41fb147
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: rt1015: remove possible unused variable `bclk_ms'
  (bsc#1192354).
- ASoC: rt1015p: add new acpi id and comapatible id (bsc#1192354).
- ASoC: max98390: Add support change dsm param name (bsc#1192354).
- ASoC: cs42l42: Update module authors (bsc#1192354).
- ASoC: cs42l42: Validate dai_set_sysclk() frequency
  (bsc#1192354).
- ASoC: cs42l42: Add PLL configuration for 44.1kHz/16-bit
  (bsc#1192354).
- ASoC: max98090: remove duplicate status reads and useless
  assignmment (bsc#1192354).
- ASoC: tlv320aic32x4: make array clocks static, makes object
  smaller (bsc#1192354).
- ASoC: rt1015: Remove unnecessary flush work on rt1015 driver
  (bsc#1192354).
- commit 79753e1
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: Intel: bytcht_es8316: Utilize dev_err_probe() to avoid
  log saturation (bsc#1192354).
- ASoC: Intel: bytcht_es8316: Switch to use gpiod_get_optional()
  (bsc#1192354).
- ASoC: Intel: bytcht_es8316: Use temporary variable for struct
  device (bsc#1192354).
- ASoC: Intel: bytcht_es8316: Get platform data via
  dev_get_platdata() (bsc#1192354).
- ASoC: SOF: trace: Omit error print when waking up trace sleepers
  (bsc#1192354).
- ASoC: SOF: loader: Re-phrase the missing firmware error to
  avoid duplication (bsc#1192354).
- ASoC: Intel: boards: Fix CONFIG_SND_SOC_SDW_MOCKUP select
  (bsc#1192354).
- commit f37efd9
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: rt5682: fix headset background noise when S3 state
  (bsc#1192354).
- ASoC: rt5682: Fix the vol+ button detection issue (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Make
  rt5640_jack_gpio/rt5640_jack2_gpio static (bsc#1192354).
- ASoC: SOF: intel: remove duplicate include (bsc#1192354).
- ASoC: Intel: Skylake: Select first entry for singular pipe
  config arrays (bsc#1192354).
- ASoC: Intel: Skylake: Properly configure modules with generic
  extension (bsc#1192354).
- ASoC: Intel: Skylake: Support modules with generic extension
  (bsc#1192354).
- ASoC: Intel: Skylake: Support multiple format configs
  (bsc#1192354).
- ASoC: Intel: Skylake: Simplify m_state for loadable modules
  (bsc#1192354).
- ASoC: Intel: Skylake: Select proper format for NHLT blob
  (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Mark hp_elitepad_1000g2_jack?_check
  functions static (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Add support for HP Elite Pad 1000G2
  jack-detect (bsc#1192354).
- ASoC: rt5640: Add rt5640_set_ovcd_params() helper (bsc#1192354).
- ASoC: rt5640: Add optional hp_det_gpio parameter to
  rt5640_detect_headset() (bsc#1192354).
- ASoC: rt5640: Delay requesting IRQ until the machine-drv calls
  set_jack (bsc#1192354).
- ASoC: rt5640: Move rt5640_disable_jack_detect() up in the
  rt5640.c file (bsc#1192354).
- ASoC: rt5514: make array div static const, makes object smaller
  (bsc#1192354).
- ASoC: rt5682: enable SAR ADC power saving mode during suspend
  (bsc#1192354).
- commit 048b9dc
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: Intel: sof_sdw: pass card information to init/exit
  functions (bsc#1192354).
- Refresh
  patches.suse/ASoC-Intel-sof_sdw-tag-SoundWire-BEs-as-non-atomic.patch.
- commit 1e10617
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: Intel: bytct_rt5640: Add a separate "Headset Mic 2"
  DAPM pin for the mic on the 2nd jack (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Use cfg-lineout:2 in the components
  string (bsc#1192354).
- ASoC: Intel: boards: use software node API in Atom boards
  (bsc#1192354).
- ASoC: Intel: remove device_properties for Atom boards
  (bsc#1192354).
- ASoC: Intel: use software node API in SoundWire machines
  (bsc#1192354).
- ASoC: Intel: sof_sdw_rt711*: keep codec device reference until
  remove (bsc#1192354).
- ASoC: Intel: boards: get codec device with ACPI instead of
  bus search (bsc#1192354).
- ASoC: Intel: boards: handle errors with
  acpi_dev_get_first_match_dev() (bsc#1192354).
- ASoC: Intel: boards: harden codec property handling
  (bsc#1192354).
- ASoC: SOF: Intel: make DMI L1 selection more robust
  (bsc#1192354).
- commit 5cbe7a7
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: SOF: Intel: simplify logic for DMI_L1 handling
  (bsc#1192354).
- ASoC: SOF: Intel: hda-stream: remove always true condition
  (bsc#1192354).
- ASoC: SOF: Intel: Kconfig: clarify DMI L1 option description
  (bsc#1192354).
- ASoC: amd: vangogh: Drop superfluous mmap callback
  (bsc#1192354).
- ASoC: Intel: sof_sdw_max98373: remove useless inits
  (bsc#1192354).
- ASoC: SOF: Intel: Use DMI string to search for
  adl_mx98373_rt5682 variant (bsc#1192354).
- ASoC: Intel: sof_sdw: add quirk for Dell XPS 9710 (bsc#1192354).
- soundwire: intel: introduce shim and alh base (bsc#1192354).
- ASoC: SOF: intel: add snd_sof_dsp_check_sdw_irq ops
  (bsc#1192354).
- commit e73d522
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: SOF: intel: move sof_intel_dsp_desc() forward
  (bsc#1192354).
- Refresh
  patches.suse/ASoC-SOF-Intel-hda-fix-hotplug-when-only-codec-is-su.patch.
- commit 6f291a3
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: SOF: intel: hda: remove HDA_DSP_REG_SNDW_WAKE_STS
  definition (bsc#1192354).
- ASoC: SOF: intel: add sdw_shim/alh_base to sof_intel_dsp_desc
  (bsc#1192354).
- soundwire: move intel sdw register definitions to sdw_intel.h
  (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Fix HP ElitePad 1000 G2 quirk
  (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Add support for a second headset
  mic input (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Add support for a second headphones
  output (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Add a byt_rt5640_get_codec_dai()
  helper (bsc#1192354).
- ASoC: Intel: bytcr_rt5640: Add line-out support (bsc#1192354).
- ASoC: intel: skylake: Drop superfluous mmap callback
  (bsc#1192354).
- commit d756b8c
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: amd: enable vangogh acp5x driver build (bsc#1192354).
- Update config files.
- commit 1e2e7cc
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: amd: Drop superfluous mmap callbacks (bsc#1192354).
- ASoC: Intel: Fix spelling contraction "cant" -> "can't"
  (bsc#1192354).
- ASoC: amd: fix an IS_ERR() vs NULL bug in probe (bsc#1192354).
- ASoC: amd: Use dev_probe_err helper (bsc#1192354).
- ASoC: amd: Don't show messages about deferred probing by default
  (bsc#1192354).
- ASoC: amd: add vangogh i2s dma driver pm ops (bsc#1192354).
- ASoC: amd: add vangogh pci driver pm ops (bsc#1192354).
- ASoC: amd: add vangogh i2s dai driver ops (bsc#1192354).
- ASoC: amd: add vangogh i2s controller driver (bsc#1192354).
- commit 97bb2cd
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: amd: add ACP5x pcm dma driver ops (bsc#1192354).
- ASoC: amd: irq handler changes for ACP5x PCM dma driver
  (bsc#1192354).
- ASoC: amd: add ACP5x PCM platform driver (bsc#1192354).
- ASoC: amd: create acp5x platform devices (bsc#1192354).
- ASoc: amd: add acp5x init/de-init functions (bsc#1192354).
- ASoC: amd: add Vangogh ACP PCI driver (bsc#1192354).
- ASoC: amd: add Vangogh ACP5x IP register header (bsc#1192354).
- ASOC: Intel: sof_sdw: add quirk for Intel 'Bishop County'
  NUC M15 (bsc#1192354).
- ASoC: Intel: sof_sdw: update quirk for jack detection in ADL
  RVP (bsc#1192354).
- ASoC: Intel: sof_sdw: include rt711.h for RT711 JD mode
  (bsc#1192354).
- commit 725b1cd
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: Intel: sof_sdw: extends SOF_RT711_JDSRC to 4 bits
  (bsc#1192354).
- ASoC: Intel: sof_rt5682: code refactor for max98360a
  (bsc#1192354).
- ASoC: Intel: sof_cs42l42: add support for jsl_cs4242_mx98360a
  (bsc#1192354).
- ASoC: Intel: maxim-common: support max98360a (bsc#1192354).
- ASoC: Intel: sof_cs42l42: support arbitrary DAI link sequence
  (bsc#1192354).
- ASoC: Intel: sof_cs42l42: use helper function to get bclk
  frequency (bsc#1192354).
- ASoC: SOF: add a helper to get topology configured bclk
  (bsc#1192354).
- ASoC: Intel: soc-acpi: add support for SoundWire of TGL-H-RVP
  (bsc#1192354).
- ASoC: amd: fix spelling mistakes (bsc#1192354).
- ASoC: intel: atom: Revert PCM buffer address setup workaround
  again (bsc#1192354).
- soundwire: cadence: do not extend reset delay (bsc#1192354).
- soundwire: intel: conditionally exit clock stop mode on system
  suspend (bsc#1192354).
- soundwire: intel: skip suspend/resume/wake when link was not
  started (bsc#1192354).
- soundwire: cadence: override PDI configurations to create
  loopback (bsc#1192354).
- soundwire: cadence: add debugfs interface for PDI loopbacks
  (bsc#1192354).
- soundwire: stream: don't program mockup device ports
  (bsc#1192354).
- soundwire: bus: squelch error returned by mockup devices
  (bsc#1192354).
- soundwire: add flag to ignore all command/control for mockup
  devices (bsc#1192354).
- soundwire: stream: don't abort bank switch on
  Command_Ignored/-ENODATA (bsc#1192354).
- ASoC: Intel: boards: sof_sdw: add SoundWire mockup codecs for
  tests (bsc#1192354).
- commit 01f384c
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: codecs: add SoundWire mockup device support (bsc#1192354).
- Update config files.
- commit cb6d378
* Wed Nov 24 2021 tiwai@suse.de
- ASoC: soc-acpi: tgl: add table for SoundWire mockup devices
  (bsc#1192354).
- ASoC: soc-acpi: cnl: add table for SoundWire mockup devices
  (bsc#1192354).
- soundwire: cadence: add paranoid check on self-clearing bits
  (bsc#1192354).
- soundwire: dmi-quirks: add quirk for Intel 'Bishop County'
  NUC M15 (bsc#1192354).
- soundwire: bus: update Slave status in sdw_clear_slave_status
  (bsc#1192354).
- soundwire: cadence: Remove ret variable from sdw_cdns_irq()
  (bsc#1192354).
- soundwire: bus: filter out more -EDATA errors on clock stop
  (bsc#1192354).
- soundwire: dmi-quirks: add ull suffix for SoundWire _ADR values
  (bsc#1192354).
- commit 96de317
* Wed Nov 24 2021 tiwai@suse.de
- Revert "ALSA: hda: Drop workaround for a hang at shutdown again"
  (bsc#1192354).
- Refresh
  patches.suse/ALSA-hda-Use-position-buffer-for-SKL-again.patch.
- commit 14d0e54
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: hda: Drop workaround for a hang at shutdown again
  (bsc#1192354).
- Refresh
  patches.suse/ALSA-hda-Use-position-buffer-for-SKL-again.patch.
- commit 0b88e07
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: hda/cirrus: Move CS8409 HDA bridge to separate module
  (bsc#1192354).
- Update config files.
- commit af1e7cf
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: hda: fix general protection fault in azx_runtime_idle
  (bsc#1192354).
- ALSA: hda/cs8409: Setup Dolphin Headset Mic as Phantom Jack
  (bsc#1192354).
- ALSA: hda/cs8409: Initialize Codec only in init fixup
  (bsc#1192354).
- ALSA: hda/cs8409: Ensure Type Detection is only run on startup
  when necessary (bsc#1192354).
- ALSA: hda: Disable runtime resume at shutdown (bsc#1192354).
- ALSA: hda: Allow model option to specify PCI SSID alias
  (bsc#1192354).
- ALSA: hda: Code refactoring snd_hda_pick_fixup() (bsc#1192354).
- ALSA: hda/analog - Sink ad198x_shutup() and shuffle CONFIG_PM
  guards (bsc#1192354).
- ALSA: hda/sigmatel - Sink stac_shutup() into stac_suspend()
  (bsc#1192354).
- ALSA: hda: Nuke unused reboot_notify callback (bsc#1192354).
- ALSA: hda: Suspend codec at shutdown (bsc#1192354).
- ALSA: hda: conexant: Turn off EAPD at suspend, too
  (bsc#1192354).
- ALSA: hda/cs8409: Prevent pops and clicks during suspend
  (bsc#1192354).
- ALSA: hda/cs8409: Unmute/Mute codec when stream starts/stops
  (bsc#1192354).
- ALSA: hda/cs8409: Follow correct CS42L42 power down sequence
  for suspend (bsc#1192354).
- ALSA: hda/cs8409: Remove unnecessary delays (bsc#1192354).
- ALSA: hda/cs8409: Use timeout rather than retries for I2C
  transaction waits (bsc#1192354).
- ALSA: hda/cs8409: Set fixed sample rate of 48kHz for CS42L42
  (bsc#1192354).
- ALSA: hda/cs8409: Enable Full Scale Volume for Line Out Codec
  on Dolphin (bsc#1192354).
- ALSA: hda/cs8409: Add support for dolphin (bsc#1192354).
- ALSA: hda/cs8409: Add Support to disable jack type detection
  for CS42L42 (bsc#1192354).
- ALSA: hda/cs8409: Support multiple sub_codecs for
  Suspend/Resume/Unsol events (bsc#1192354).
- ALSA: hda/cs8409: Move codec properties to its own struct
  (bsc#1192354).
- ALSA: hda/cs8409: Separate CS8409, CS42L42 and project functions
  (bsc#1192354).
- ALSA: hda/cs8409: Support i2c bulk read/write functions
  (bsc#1192354).
- ALSA: hda/cs8409: Avoid re-setting the same page as the last
  access (bsc#1192354).
- ALSA: hda/cs8409: Avoid setting the same I2C address for every
  access (bsc#1192354).
- ALSA: hda/cs8409: Dont disable I2C clock between consecutive
  accesses (bsc#1192354).
- ALSA: hda/cs8409: Generalize volume controls (bsc#1192354).
- ALSA: hda/cs8409: Prevent I2C access during suspend time
  (bsc#1192354).
- ALSA: hda/cs8409: Simplify CS42L42 jack detect (bsc#1192354).
- ALSA: hda/cs8409: Mask CS42L42 wake events (bsc#1192354).
- ALSA: hda/cs8409: Disable unsolicited response for the first
  boot (bsc#1192354).
- ALSA: hda/cs8409: Disable unsolicited responses during suspend
  (bsc#1192354).
- ALSA: hda/cs8409: Disable unnecessary Ring Sense for
  Cyborg/Warlock/Bullseye (bsc#1192354).
- ALSA: hda/cs8409: Reduce HS pops/clicks for Cyborg
  (bsc#1192354).
- ALSA: hda/cs8409: Mask all CS42L42 interrupts on initialization
  (bsc#1192354).
- ALSA: hda/cs8409: Use enums for register names and coefficients
  (bsc#1192354).
- ALSA: hda/cs8409: Move arrays of configuration to a new file
  (bsc#1192354).
- ALSA: hda: Allocate resources with device-managed APIs
  (bsc#1192354).
- ALSA: hda/hdmi: Add option to enable all pins forcibly
  (bsc#1192354).
- ALSA: hda/ca0132: remove redundant initialization of variable
  status (bsc#1192354).
- commit bdfccf7
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: intel-dsp-config: add quirk for JSL devices based on
  ES8336 codec (bsc#1192354).
- ALSA: intel-dsp-config: add quirk for APL/GLK/TGL devices
  based on ES8336 codec (bsc#1192354).
- ALSA: hda: hdac_ext_stream: fix potential locking issues
  (bsc#1192354).
- ALSA: hda: hdac_stream: fix potential locking issue in
  snd_hdac_stream_assign() (bsc#1192354).
- commit 7c0aa55
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: doc: Fix indentation warning (bsc#1192354).
- ALSA: memalloc: Drop superfluous snd_dma_buffer_sync()
  declaration (bsc#1192354).
- commit 856f153
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: usb-audio: Don't start stream for capture at prepare
  (bsc#1192354).
- ALSA: usb-audio: Switch back to non-latency mode at a later
  point (bsc#1192354).
- ALSA: usb-audio: fix null pointer dereference on pointer cs_desc
  (bsc#1192354).
- ALSA: usb-audio: Initialize every feature unit once at probe
  time (bsc#1192354).
- ALSA: usb-audio: Drop superfluous error message after
  disconnection (bsc#1192354).
- ALSA: usb-audio: Downgrade error message in get_ctl_value_v2()
  (bsc#1192354).
- ALSA: usb-audio: Less restriction for low-latency playback mode
  (bsc#1192354).
- ALSA: usb-audio: Pass JOINT_DUPLEX info flag for implicit fb
  streams (bsc#1192354).
- ALSA: usb-audio: Fix packet size calculation regression
  (bsc#1192354).
- ALSA: usb-audio: disable implicit feedback sync for Behringer
  UFX1204 and UFX1604 (bsc#1192354).
- ALSA: usb-audio: Avoid killing in-flight URBs during draining
  (bsc#1192354).
- ALSA: usb-audio: Improved lowlatency playback support
  (bsc#1192354).
- ALSA: usb-audio: Add spinlock to stop_urbs() (bsc#1192354).
- ALSA: usb-audio: Check available frames for the next packet size
  (bsc#1192354).
- ALSA: usb-audio: Disable low-latency mode for implicit feedback
  sync (bsc#1192354).
- ALSA: usb-audio: Disable low-latency playback for free-wheel
  mode (bsc#1192354).
- ALSA: usb-audio: Rename early_playback_start flag with
  lowlatency_playback (bsc#1192354).
- ALSA: usb-audio: fix comment reference in
  __uac_clock_find_source (bsc#1192354).
- commit 9d7667d
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: usb-audio: Move ignore_ctl_error check into quirk_flags
  (bsc#1192354).
- Refresh
  patches.suse/ALSA-usb-audio-Add-Audient-iD14-to-mixer-map-quirk-t.patch.
- Refresh
  patches.suse/ALSA-usb-audio-Add-Schiit-Hel-device-to-mixer-map-qu.patch.
- Refresh
  patches.suse/Revive-usb-audio-Keep-Interface-mixer.patch.
- commit 823344c
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: usx2y: Prefer struct_size over open coded arithmetic
  (bsc#1192354).
- ALSA: usb-audio: Fix microphone sound on Jieli webcam
  (bsc#1192354).
- ALSA: usb-audio: Enable rate validation for Scarlett devices
  (bsc#1192354).
- ALSA: usb-audio: Move set-interface-first workaround into
  common quirk (bsc#1192354).
- ALSA: usb-audio: make array static const, makes object smaller
  (bsc#1192354).
- ALSA: doc: Add the description of quirk_flags option for
  snd-usb-audio (bsc#1192354).
- ALSA: usb-audio: Add quirk_flags module option (bsc#1192354).
- ALSA: usb-audio: Move generic DSD raw detection into quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move autosuspend quirk into quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move rate validation quirk into quirk_flags
  (bsc#1192354).
- commit d167cc1
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: usb-audio: Move interface setup delay into quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move control message delay quirk into
  quirk_flags (bsc#1192354).
- ALSA: usb-audio: Move ITF-USB DSD quirk handling into
  quirk_flags (bsc#1192354).
- ALSA: usb-audio: Move clock setup quirk into quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move playback_first flag into quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move tx_length quirk handling to quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move txfr_quirk handling to quirk_flags
  (bsc#1192354).
- ALSA: usb-audio: Move media-controller API quirk into
  quirk_flags (bsc#1192354).
- ALSA: usb-audio: Introduce quirk_flags field (bsc#1192354).
- commit 6630f4e
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: memalloc: Remove a stale comment (bsc#1192354).
- ALSA: memalloc: Use proper SG helpers for noncontig allocations
  (bsc#1192354).
- ALSA: memalloc: Fix a typo in snd_dma_buffer_sync() description
  (bsc#1192354).
- ALSA: memalloc: Support for non-coherent page allocation
  (bsc#1192354).
- ALSA: memalloc: Support for non-contiguous page allocation
  (bsc#1192354).
- ALSA: ISA: not for M68K (bsc#1192354).
- ALSA: pcm: Unify snd_pcm_delay() and snd_pcm_hwsync()
  (bsc#1192354).
- ALSA: pcm: Add more disconnection checks at file ops
  (bsc#1192354).
- ALSA: pcm: Add SNDRV_PCM_INFO_EXPLICIT_SYNC flag (bsc#1192354).
- ALSA: memalloc: Count continuous pages in vmalloc buffer handler
  (bsc#1192354).
- ALSA: core: control_led: use strscpy instead of strlcpy
  (bsc#1192354).
- ALSA: memalloc: Fix mmap of SG-buffer with WC pages
  (bsc#1192354).
- ALSA: memalloc: Store snd_dma_buffer.addr for continuous pages,
  too (bsc#1192354).
- ALSA: memalloc: Fix pgprot for WC mmap on x86 (bsc#1192354).
- ALSA: memalloc: Support WC allocation on all architectures
  (bsc#1192354).
- ALSA: pcm: Allow exact buffer preallocation (bsc#1192354).
- ALSA: memalloc: Correctly name as WC (bsc#1192354).
- ALSA: memalloc: Minor refactoring (bsc#1192354).
- ALSA: core: Fix double calls of snd_card_free() via devres
  (bsc#1192354).
- ALSA: seq: Fix comments of wrong client number for MIDI
  Passthrough (bsc#1192354).
- ALSA: core: Add device-managed request_dma() (bsc#1192354).
- ALSA: core: Add managed card creation (bsc#1192354).
- ALSA: core: Add device-managed page allocator helper
  (bsc#1192354).
- ALSA: compress: Initialize mutex in snd_compress_new()
  (bsc#1192354).
- ALSA: compress: Drop unused functions (bsc#1192354).
- commit f0eac26
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/adl_s: Remove require_force_probe protection
  (jsc#SLE-22724).
- commit 276c538
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/dp: fix for ADL_P/S dp/edp max source rates
  (jsc#SLE-22724).
- commit f8dd603
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/dp: fix DG1 and RKL max source rates (jsc#SLE-22724).
- commit ef43dd0
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/dp: fix EHL/JSL max source rates calculation
  (jsc#SLE-22724).
- commit 0821357
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/dp: fix TGL and ICL max source rates (jsc#SLE-22724).
- commit 61199d4
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/dp: Fix eDP max rate for display 11+ (jsc#SLE-22724).
- commit 468b330
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915/adl_s: Update ADL-S PCI IDs (jsc#SLE-22724).
- commit d125195
* Wed Nov 24 2021 pjakobsson@suse.de
- drm/i915: Disable bonding on gen12+ platforms (jsc#SLE-22724).
- commit 5d84d6d
* Wed Nov 24 2021 tiwai@suse.de
- ALSA: ctxfi: Fix out-of-range access (git-fixes).
- ALSA: hda/realtek: Fix LED on HP ProBook 435 G7 (git-fixes).
- ALSA: hda/realtek: Add quirk for ASRock NUC Box 1100
  (git-fixes).
- commit aee8b91
* Wed Nov 24 2021 tiwai@suse.de
- selinux: fix NULL-pointer dereference when hashtab allocation
  fails (git-fixes).
- ASoC: stm32: i2s: fix 32 bits channel length without mclk
  (git-fixes).
- ASoC: codecs: lpass-rx-macro: fix HPHR setting CLSH mask
  (git-fixes).
- ASoC: codecs: wcd934x: return error code correctly from
  hw_params (git-fixes).
- ASoC: codecs: wcd938x: fix volatile register range (git-fixes).
- ASoC: topology: Add missing rwsem around snd_ctl_remove()
  calls (git-fixes).
- ASoC: qdsp6: q6asm: fix q6asm_dai_prepare error handling
  (git-fixes).
- ASoC: qdsp6: q6routing: Conditionally reset FrontEnd Mixer
  (git-fixes).
- ASoC: DAPM: Cover regression by kctl change notification fix
  (git-fixes).
- ASoC: SOF: Intel: hda: fix hotplug when only codec is suspended
  (git-fixes).
- media: cec: copy sequence field for the reply (git-fixes).
- media: v4l2-core: fix VIDIOC_DQEVENT handling on non-x86
  (git-fixes).
- pinctrl: tegra194: remove duplicate initializer again
  (git-fixes).
- memory: tegra186-emc: Fix error return code in
  tegra186_emc_probe() (git-fixes).
- commit 40b2336
* Wed Nov 24 2021 neilb@suse.de
- Delete patches.suse/Fix-breakage-of-swap-over-NFS.patch.
  A recent patch
  patches.suse/NFS-move-generic_write_checks-call-from-nfs_file_dir.patch
  provides a better solution.
- commit ab6f39b
* Wed Nov 24 2021 neilb@suse.de
- SUNRPC/xprt: async tasks mustn't block waiting for memory
  (bsc#1191876).
- SUNRPC: remove scheduling boost for "SWAPPER" tasks
  (bsc#1191876).
- SUNRPC: improve 'swap' handling: scheduling and PF_MEMALLOC
  (bsc#1191876).
- SUNRPC/call_alloc: async tasks mustn't block waiting for memory
  (bsc#1191876).
- SUNRPC/auth: async tasks mustn't block waiting for memory
  (bsc#1191876).
- NFS: move generic_write_checks() call from
  nfs_file_direct_write() to nfs_file_write() (bsc#1191876).
- NFS: do not take i_rwsem for swap IO (bsc#1191876).
- MM: reclaim mustn't enter FS for swap-over-NFS (bsc#1191876).
- commit 11279f5
* Tue Nov 23 2021 lduncan@suse.com
- scsi: qla2xxx: Fix mailbox direction flags in
  qla2xxx_get_adapter_id() (git-fixes).
- scsi: core: sysfs: Fix hang when device state is set via sysfs
  (git-fixes).
- scsi: ufs: core: Improve SCSI abort handling (git-fixes).
- commit 13e7c01
* Tue Nov 23 2021 pjakobsson@suse.de
- drm/i915: Revert 'guc_id' from i915_request tracepoint
  (jsc#SLE-22601).
- drm/i915: Free the returned object of acpi_evaluate_dsm()
  (jsc#SLE-22601).
- drm/i915: Fix bug in user proto-context creation that leaked
  contexts (jsc#SLE-22601).
- drm/i915: remember to call i915_sw_fence_fini (jsc#SLE-22601).
- drm/i915: fix blank screen booting crashes (jsc#SLE-22601).
- drm/i915/guc, docs: Fix pdfdocs build error by removing nested
  grid (jsc#SLE-22601).
- drm/i915: Free all DMC payloads (jsc#SLE-22601).
- drm/i915: Move __i915_gem_free_object to ttm_bo_destroy
  (jsc#SLE-22601).
- drm/i915: Update memory bandwidth parameters (jsc#SLE-22601).
- drm/i915: Enable -Wsometimes-uninitialized (jsc#SLE-22601).
- drm/i915/selftests: Always initialize err in
  igt_dmabuf_import_same_driver_lmem() (jsc#SLE-22601).
- drm/i915/selftests: Do not use import_obj uninitialized
  (jsc#SLE-22601).
- drm/i915: Get PM ref before accessing HW register
  (jsc#SLE-22601).
- drm/i915: Release ctx->syncobj on final put, not on ctx close
  (jsc#SLE-22601).
- drm/i915/gem: Fix the mman selftest (jsc#SLE-22601).
- tools headers UAPI: Sync drm/i915_drm.h with the kernel sources
  (jsc#SLE-22601).
- drm/i915: use linux/stddef.h due to "isystem: trim/fixup
  stdarg.h and other headers" (jsc#SLE-22601).
- vfio/gvt: Fix open/close when multiple device FDs are open
  (jsc#SLE-22601).
- vfio: Provide better generic support for open/release
  vfio_device_ops (jsc#SLE-22601).
- drm/i915/selftest: Fix use of err in igt_reset_{fail,
  nop}_engine() (jsc#SLE-22601).
- drm/i915/gt: Potential error pointer dereference in
  pinned_context() (jsc#SLE-22601).
- drm/i915/adl_p: Also disable underrun recovery with MSO
  (jsc#SLE-22601).
- drm/i915: Use designated initializers for init/exit table
  (jsc#SLE-22601).
- drm/i915/dg2: Add support for new DG2-G11 revid 0x5
  (jsc#SLE-22601).
- drm/i915/display/adl_p: Correctly program MBUS DBOX A credits
  (jsc#SLE-22601).
- drm/i915: Apply CMTG clock disabling WA while DPLL0 is enabled
  (jsc#SLE-22601).
- drm/i915/dg1: Adjust the AUDIO power domain (jsc#SLE-22601).
- drm/i915: finish removal of CNL (jsc#SLE-22601).
- drm/i915: rename/remove CNL registers (jsc#SLE-22601).
- drm/i915: remove GRAPHICS_VER == 10 (jsc#SLE-22601).
- drm/i915: switch num_scalers/num_sprites to consider DISPLAY_VER
  (jsc#SLE-22601).
- drm/i915: replace random CNL comments (jsc#SLE-22601).
- drm/i915: rename CNL references in intel_dram.c (jsc#SLE-22601).
- drm/i915: remove explicit CNL handling from intel_wopcm.c
  (jsc#SLE-22601).
- drm/i915: remove explicit CNL handling from intel_pch.c
  (jsc#SLE-22601).
- drm/i915: remove explicit CNL handling from intel_pm.c
  (jsc#SLE-22601).
- drm/i915: remove explicit CNL handling from i915_irq.c
  (jsc#SLE-22601).
- drm/i915/display: rename CNL references in skl_scaler.c
  (jsc#SLE-22601).
- drm/i915/display: remove CNL ddi buf translation tables
  (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  intel_display_power.c (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  skl_universal_plane.c (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from intel_vdsc.c
  (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  intel_dpll_mgr.c (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from intel_dp.c
  (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from intel_dmc.c
  (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  intel_display_debugfs.c (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from intel_ddi.c
  (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from intel_crtc.c
  (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  intel_combo_phy.c (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  intel_color.c (jsc#SLE-22601).
- drm/i915/display: remove explicit CNL handling from
  intel_cdclk.c (jsc#SLE-22601).
- drm/i915/display: remove PORT_F workaround for CNL
  (jsc#SLE-22601).
- drm/i915/dp: DPTX writes Swing/Pre-emphs(DPCD 0x103-0x106)
  requested during PHY Layer testing (jsc#SLE-22601).
- drm/i915/dg2: Update to bigjoiner path (jsc#SLE-22601).
- drm/i915/dg2: Update lane disable power state during PSR
  (jsc#SLE-22601).
- drm/i915/dg2: Wait for SNPS PHY calibration during display init
  (jsc#SLE-22601).
- drm/i915/dg2: Update modeset sequences (jsc#SLE-22601).
- drm/i915/dg2: Add vswing programming for SNPS phys
  (jsc#SLE-22601).
- drm/i915/dg2: Add MPLLB programming for HDMI (jsc#SLE-22601).
- drm/i915/dg2: Add MPLLB programming for SNPS PHY
  (jsc#SLE-22601).
- drm/i915/adl_p: Add ddi buf translation tables for combo PHY
  (jsc#SLE-22601).
- drm/i915/adl_s: Update ddi buf translation tables
  (jsc#SLE-22601).
- drm/i915: dgfx cards need to wait on pcode's uncore init done
  (jsc#SLE-22601).
- drm/i915/adlp: Add workaround to disable CMTG clock gating
  (jsc#SLE-22601).
- drm/i915/adl_p: Allow underrun recovery when possible
  (jsc#SLE-22601).
- drm/i915/display: Disable audio, DRRS and PSR before planes
  (jsc#SLE-22601).
- drm/i915: Implement PSF GV point support (jsc#SLE-22601).
- drm/i915: Extend QGV point restrict mask to 0x3 (jsc#SLE-22601).
- drm/i915/display/psr2: Fix cursor updates using legacy apis
  (jsc#SLE-22601).
- drm/i915/display/psr2: Mark as updated all planes that intersect
  with pipe_clip (jsc#SLE-22601).
- drm/i915: Program chicken bit during DP MST sequence on TGL+
  (jsc#SLE-22601).
- drm/i915/dg2: Add DG2 to the PSR2 defeature list
  (jsc#SLE-22601).
- drm/i915/dg2: Classify DG2 PHY types (jsc#SLE-22601).
- drm/i915/firmware: Update to DMC v2.03 on RKL (jsc#SLE-22601).
- drm/i915/firmware: Update to DMC v2.12 on TGL (jsc#SLE-22601).
- drm/i915/dmc: Change intel_get_stepping_info() (jsc#SLE-22601).
- drm/i915/step: Add macro magic for handling steps
  (jsc#SLE-22601).
- drm/i915/dg2: DG2 has fixed memory bandwidth (jsc#SLE-22601).
- drm/i915/dg2: Don't read DRAM info (jsc#SLE-22601).
- drm/i915/dg2: Don't program BW_BUDDY registers (jsc#SLE-22601).
- drm/i915/dg2: Add dbuf programming (jsc#SLE-22601).
- drm/i915/dg2: Setup display outputs (jsc#SLE-22601).
- drm/i915/dg2: Don't wait for AUX power well enable ACKs
  (jsc#SLE-22601).
- drm/i915/dg2: Skip shared DPLL handling (jsc#SLE-22601).
- drm/i915/dg2: Add cdclk table and reference clock
  (jsc#SLE-22601).
- drm/i915/dg2: Add fake PCH (jsc#SLE-22601).
- drm/i915: Fork DG1 interrupt handler (jsc#SLE-22601).
- drm/i915: Make display workaround upper bounds exclusive
  (jsc#SLE-22601).
- drm/i915/rkl: Wa_1408330847 no longer applies to RKL
  (jsc#SLE-22601).
- drm/i915/rkl: Wa_1409767108 also applies to RKL (jsc#SLE-22601).
- drm/i915/adl_s: Wa_14011765242 is also needed on A1 display
  stepping (jsc#SLE-22601).
- drm/i915/display: Fix shared dpll mismatch for bigjoiner slave
  (jsc#SLE-22601).
- drm/i915/display: Disable FBC when PSR2 is enabled display 12
  and newer (jsc#SLE-22601).
- drm/i915/display/adl_p: Implement PSR changes (jsc#SLE-22601).
- drm/i915/display/dsc: Force dsc BPP (jsc#SLE-22601).
- drm/i915/display/dsc: Add Per connector debugfs node for DSC
  BPP enable (jsc#SLE-22601).
- drm/i915/display: Add write permissions for fec support
  (jsc#SLE-22601).
- drm/i915/debugfs: DISPLAY_VER 13 lpsp capability
  (jsc#SLE-22601).
- drm/i915/display/xelpd: Extend Wa_14011508470 (jsc#SLE-22601).
- drm/i915: Limit Wa_22010178259 to affected platforms
  (jsc#SLE-22601).
- drm/i915/display: Settle on "adl-x" in WA comments
  (jsc#SLE-22601).
- drm/i915: Invoke another _DSM to enable MUX on HP Workstation
  laptops (jsc#SLE-22601).
- drm/i915/dg1: Compute MEM Bandwidth using MCHBAR
  (jsc#SLE-22601).
  Refresh
  patches.suse/drm-i915-Remove-memory-frequency-calculation.patch.
- drm/i915/display/xelpd: Fix incorrect color capability reporting
  (jsc#SLE-22601).
- drm/i915: Handle cdclk crawling flag in standard manner
  (jsc#SLE-22601).
- drm/i915/plane: add intel_plane_helper_add() helper
  (jsc#SLE-22601).
- drm/i915/dg2: Add SQIDI steering (jsc#SLE-22601).
- drm/i915/dg2: Update steering tables (jsc#SLE-22601).
- drm/i915/xehpsdv: Define steering tables (jsc#SLE-22601).
- drm/i915/xehp: handle new steering options (jsc#SLE-22601).
- drm/i915/userptr: Probe existence of backing struct pages upon
  creation (jsc#SLE-22601).
- drm/i915: delete gpu reloc code (jsc#SLE-22601).
- drm/i915: Disable gpu relocations (jsc#SLE-22601).
- drm/i915/dg2: DG2 uses the same sseu limits as XeHP SDV
  (jsc#SLE-22601).
- drm/i915/xehpsdv: Add maximum sseu limits (jsc#SLE-22601).
- drm/i915/xehp: Changes to ss/eu definitions (jsc#SLE-22601).
- drm/i915/dg2: Add forcewake table (jsc#SLE-22601).
- drm/i915/guc/rc: Setup and enable GuCRC feature (jsc#SLE-22601).
- drm/i915/guc/slpc: Add SLPC selftest (jsc#SLE-22601).
- drm/i915/guc/slpc: Sysfs hooks for SLPC (jsc#SLE-22601).
- drm/i915/guc/slpc: Cache platform frequency limits
  (jsc#SLE-22601).
- drm/i915/guc/slpc: Enable ARAT timer interrupt (jsc#SLE-22601).
- drm/i915/guc/slpc: Add debugfs for SLPC info (jsc#SLE-22601).
- drm/i915/guc/slpc: Add get max/min freq hooks (jsc#SLE-22601).
- drm/i915/guc/slpc: Add methods to set min/max frequency
  (jsc#SLE-22601).
- drm/i915/guc/slpc: Remove BUG_ON in guc_submission_disable
  (jsc#SLE-22601).
- drm/i915/guc/slpc: Enable SLPC and add related H2G events
  (jsc#SLE-22601).
- drm/i915/guc/slpc: Allocate, initialize and release SLPC
  (jsc#SLE-22601).
- drm/i915/guc/slpc: Adding SLPC communication interfaces
  (jsc#SLE-22601).
- drm/i915/guc/slpc: Gate Host RPS when SLPC is enabled
  (jsc#SLE-22601).
  Refresh
  patches.suse/drm-i915-Remove-warning-from-the-rps-worker.patch.
- drm/i915/guc/slpc: Initial definitions for SLPC (jsc#SLE-22601).
- drm/i915/xehp: Fix missing sentinel on mcr_ranges_xehp
  (jsc#SLE-22601).
- drm/i915/selftests: prefer the create_user helper
  (jsc#SLE-22601).
- drm/i915/gt: remove GRAPHICS_VER == 10 (jsc#SLE-22601).
- drm/i915/gt: rename CNL references in intel_engine.h
  (jsc#SLE-22601).
- drm/i915/gt: remove explicit CNL handling from intel_sseu.c
  (jsc#SLE-22601).
- drm/i915/gt: remove explicit CNL handling from intel_mocs.c
  (jsc#SLE-22601).
- drm/i915: Extract i915_module.c (jsc#SLE-22601).
- drm/i915: Remove i915_globals (jsc#SLE-22601).
- drm/i915: move vma slab to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move scheduler slabs to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move request slabs to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move gem_objects slab to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move gem_context slab to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move intel_context slab to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move i915_buddy slab to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: move i915_active slab to direct module init/exit
  (jsc#SLE-22601).
- drm/i915: Check for nomodeset in i915_init() first
  (jsc#SLE-22601).
- drm/i915/xehpsdv: Correct parameters for IS_XEHPSDV_GT_STEP()
  (jsc#SLE-22601).
- drm/i915/guc: Unblock GuC submission on Gen11+ (jsc#SLE-22601).
- drm/i915/guc: Implement GuC priority management (jsc#SLE-22601).
- drm/i915/selftest: Bump selftest timeouts for hangcheck
  (jsc#SLE-22601).
- drm/i915/selftest: Fix hangcheck self test for GuC submission
  (jsc#SLE-22601).
- drm/i915/selftest: Increase some timeouts in live_requests
  (jsc#SLE-22601).
- drm/i915/selftest: Fix MOCS selftest for GuC submission
  (jsc#SLE-22601).
- drm/i915/selftest: Fix workarounds selftest for GuC submission
  (jsc#SLE-22601).
- drm/i915/selftest: Better error reporting from hangcheck
  selftest (jsc#SLE-22601).
- drm/i915/guc: Support request cancellation (jsc#SLE-22601).
- drm/i915/guc: Implement banned contexts for GuC submission
  (jsc#SLE-22601).
- drm/i915/guc: Add golden context to GuC ADS (jsc#SLE-22601).
- drm/i915/guc: Include scheduling policies in the debugfs state
  dump (jsc#SLE-22601).
- drm/i915/guc: Connect reset modparam updates to GuC policy flags
  (jsc#SLE-22601).
- drm/i915/guc: Hook GuC scheduling policies up (jsc#SLE-22601).
- drm/i915/guc: Fix for error capture after full GPU reset with
  GuC (jsc#SLE-22601).
- drm/i915/guc: Capture error state on context reset
  (jsc#SLE-22601).
- drm/i915/guc: Enable GuC engine reset (jsc#SLE-22601).
- drm/i915/guc: Don't complain about reset races (jsc#SLE-22601).
- drm/i915/guc: Provide mmio list to be saved/restored on engine
  reset (jsc#SLE-22601).
- drm/i915/guc: Enable the timer expired interrupt for GuC
  (jsc#SLE-22601).
- drm/i915/guc: Handle engine reset failure notification
  (jsc#SLE-22601).
- drm/i915/guc: Handle context reset notification (jsc#SLE-22601).
- drm/i915/guc: Suspend/resume implementation for new interface
  (jsc#SLE-22601).
- drm/i915/guc: Add disable interrupts to guc sanitize
  (jsc#SLE-22601).
- drm/i915: Reset GPU immediately if submission is disabled
  (jsc#SLE-22601).
- drm/i915/guc: Reset implementation for new GuC interface
  (jsc#SLE-22601).
- drm/i915: Move active request tracking to a vfunc
  (jsc#SLE-22601).
- drm/i915: Add i915_sched_engine destroy vfunc (jsc#SLE-22601).
- drm/i915/guc: Direct all breadcrumbs for a class to single
  breadcrumbs (jsc#SLE-22601).
- drm/i915/guc: Disable bonding extension with GuC submission
  (jsc#SLE-22601).
- drm/i915: Hold reference to intel_context over life of
  i915_request (jsc#SLE-22601).
- drm/i915/guc: Make hangcheck work with GuC virtual engines
  (jsc#SLE-22601).
- drm/i915/guc: GuC virtual engines (jsc#SLE-22601).
- drm/i915/ehl: unconditionally flush the pages on acquire
  (jsc#SLE-22601).
- drm/i915: document caching related bits (jsc#SLE-22601).
- drm/i915/gem: Migrate to system at dma-buf attach time (v7)
  (jsc#SLE-22601).
- drm/i915/gem: Correct the locking and pin pattern for dma-buf
  (v8) (jsc#SLE-22601).
- drm/i915/gem: Always call obj->ops->migrate unless can_migrate
  fails (jsc#SLE-22601).
- drm/i915/gem/ttm: Only call __i915_gem_object_set_pages if
  needed (jsc#SLE-22601).
- drm/i915/gem: Unify user object creation (v3) (jsc#SLE-22601).
- drm/i915/gem: Call i915_gem_flush_free_objects() in
  i915_gem_dumb_create() (jsc#SLE-22601).
- drm/i915/gem: Refactor placement setup for
  i915_gem_object_create* (v2) (jsc#SLE-22601).
- drm/i915/gem: Check object_can_migrate from object_migrate
  (jsc#SLE-22601).
- drm/i915/gt: nuke gen6_hw_id (jsc#SLE-22601).
- drm/i915/xehp: Xe_HP forcewake support (jsc#SLE-22601).
- drm/i915/xehp: Extra media engines - Part 3 (reset)
  (jsc#SLE-22601).
- drm/i915/xehp: Extra media engines - Part 2 (interrupts)
  (jsc#SLE-22601).
- drm/i915/xehp: Extra media engines - Part 1 (engine definitions)
  (jsc#SLE-22601).
- drm/i915/xehp: Define multicast register ranges (jsc#SLE-22601).
- drm/i915: Extend Wa_1406941453 to adl-p (jsc#SLE-22601).
- drm/i915/uapi: reject set_domain for discrete (jsc#SLE-22601).
- drm/i915/xehp: VDBOX/VEBOX fusing registers are enable-based
  (jsc#SLE-22601).
- drm/i915/gt: rename legacy engine->hw_id to engine->gen6_hw_id
  (jsc#SLE-22601).
- drm/i915/gt: nuke unused legacy engine hw_id (jsc#SLE-22601).
- drm/i915/gt: fix platform prefix (jsc#SLE-22601).
- drm/i915: Add intel_context tracing (jsc#SLE-22601).
- drm/i915/guc: Add trace point for GuC submit (jsc#SLE-22601).
- drm/i915/guc: Update GuC debugfs to support new GuC
  (jsc#SLE-22601).
- drm/i915/guc: Update intel_gt_wait_for_idle to work with GuC
  (jsc#SLE-22601).
- drm/i915/guc: Ensure G2H response has space in buffer
  (jsc#SLE-22601).
- drm/i915/guc: Disable semaphores when using GuC scheduling
  (jsc#SLE-22601).
- drm/i915/guc: Ensure request ordering via completion fences
  (jsc#SLE-22601).
- drm/i915: Disable preempt busywait when using GuC scheduling
  (jsc#SLE-22601).
- drm/i915/guc: Extend deregistration fence to schedule disable
  (jsc#SLE-22601).
- drm/i915/guc: Disable engine barriers with GuC during unpin
  (jsc#SLE-22601).
- drm/i915/guc: Defer context unpin until scheduling is disabled
  (jsc#SLE-22601).
- drm/i915/guc: Insert fence on context when deregistering
  (jsc#SLE-22601).
- drm/i915/guc: Implement GuC context operations for new inteface
  (jsc#SLE-22601).
- drm/i915/guc: Add bypass tasklet submission path to GuC
  (jsc#SLE-22601).
- drm/i915/guc: Implement GuC submission tasklet (jsc#SLE-22601).
- drm/i915/guc: Add LRC descriptor context lookup array
  (jsc#SLE-22601).
- drm/i915/guc: Remove GuC stage descriptor, add LRC descriptor
  (jsc#SLE-22601).
- drm/i915/guc: Add new GuC interface defines and structures
  (jsc#SLE-22601).
- drm/i915/xehp: New engine context offsets (jsc#SLE-22601).
- drm/i915/xehp: Handle new device context ID format
  (jsc#SLE-22601).
- drm/i915/selftests: Allow for larger engine counts
  (jsc#SLE-22601).
- drm/i915/gen12: Use fuse info to enable SFC (jsc#SLE-22601).
- drm/i915/dg2: add DG2 platform info (jsc#SLE-22601).
- drm/i915/xehpsdv: add initial XeHP SDV definitions
  (jsc#SLE-22601).
- drm/i915: Add XE_HP initial definitions (jsc#SLE-22601).
- drm/i915: Add release id version (jsc#SLE-22601).
- drm/i915: do not abbreviate version in debugfs (jsc#SLE-22601).
- drm/i915: Make the kmem slab for i915_buddy_block a global
  (jsc#SLE-22601).
- drm/i915: Use a table for i915_init/exit (v2) (jsc#SLE-22601).
- drm/i915: Call i915_globals_exit() after i915_pmu_exit()
  (jsc#SLE-22601).
- drm/i915: Ditch i915 globals shrink infrastructure
  (jsc#SLE-22601).
- drm/i915: Make GT workaround upper bounds exclusive
  (jsc#SLE-22601).
- drm/i915: Program DFR enable/disable as a GT workaround
  (jsc#SLE-22601).
- drm/i915/icl: Drop a couple unnecessary workarounds
  (jsc#SLE-22601).
- drm/i915: Fix application of WaInPlaceDecompressionHang
  (jsc#SLE-22601).
- drm/i915: Add TTM offset argument to mmap (jsc#SLE-22601).
- drm/i915/uapi: convert drm_i915_gem_userptr to kernel doc
  (jsc#SLE-22601).
- drm/i915/uapi: reject caching ioctls for discrete
  (jsc#SLE-22601).
- Revert "drm/i915: Skip over MI_NOOP when parsing"
  (jsc#SLE-22601).
- drm/i915: Drop error handling from dma_fence_work
  (jsc#SLE-22601).
- drm/i915: Remove allow_alloc from i915_gem_object_get_sg*
  (jsc#SLE-22601).
- drm/i915/icl: Drop workarounds that only apply to pre-production
  steppings (jsc#SLE-22601).
- drm/i915/cnl: Drop all workarounds (jsc#SLE-22601).
- drm/i915/dg1: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915/rkl: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915/jsl_ehl: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915/icl: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915/glk: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915/bxt: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915/kbl: Drop pre-production revision from stepping table
  (jsc#SLE-22601).
- drm/i915/skl: Use revid->stepping tables (jsc#SLE-22601).
- drm/i915: Make pre-production detection use direct revid
  comparison (jsc#SLE-22601).
- drm/i915/step: s/<platform>_revid_tbl/<platform>_revids
  (jsc#SLE-22601).
- drm/i915/uapi: convert drm_i915_gem_set_domain to kernel doc
  (jsc#SLE-22601).
- drm/i915/uapi: convert drm_i915_gem_caching to kernel doc
  (jsc#SLE-22601).
- drm/i915/guc: Module load failure test for CT buffer creation
  (jsc#SLE-22601).
- drm/i915/guc: Optimize CTB writes and reads (jsc#SLE-22601).
- drm/i915/guc: Add stall timer to non blocking CTB send function
  (jsc#SLE-22601).
- drm/i915/guc: Add non blocking CTB send function
  (jsc#SLE-22601).
- drm/i915/guc: Increase size of CTB buffers (jsc#SLE-22601).
- drm/i915/guc: Improve error message for unsolicited CT response
  (jsc#SLE-22601).
- drm/i915/guc: Relax CTB response timeout (jsc#SLE-22601).
- drm/i915/adl_s: Extend Wa_1406941453 (jsc#SLE-22601).
- drm/i915: Implement Wa_1508744258 (jsc#SLE-22601).
- drm/i915: Settle on "adl-x" in WA comments (jsc#SLE-22601).
- drm/i915: use consistent CPU mappings for pin_map users
  (jsc#SLE-22601).
- drm/i915: Finalize contexts in GEM_CONTEXT_CREATE on version 13+
  (jsc#SLE-22601).
- drm/i915/gem: Roll all of context creation together
  (jsc#SLE-22601).
- i915/gem/selftests: Assign the VM at context creation in
  igt_shared_ctx_exec (jsc#SLE-22601).
- drm/i915/selftests: Take a VM in kernel_context()
  (jsc#SLE-22601).
- drm/i915/gem: Don't allow changing the engine set on running
  contexts (v3) (jsc#SLE-22601).
- drm/i915/gem: Don't allow changing the VM on running contexts
  (v4) (jsc#SLE-22601).
- drm/i915/gem: Delay context creation (v3) (jsc#SLE-22601).
- drm/i915/gt: Drop i915_address_space::file (v2) (jsc#SLE-22601).
- drm/i915/gem: Return an error ptr from context_lookup
  (jsc#SLE-22601).
- drm/i915/gem: Use the proto-context to handle create parameters
  (v5) (jsc#SLE-22601).
- drm/i915/gem: Make an alignment check more sensible
  (jsc#SLE-22601).
- drm/i915: Add an i915_gem_vm_lookup helper (jsc#SLE-22601).
- drm/i915/gem: Optionally set SSEU in intel_context_set_gem
  (jsc#SLE-22601).
- drm/i915/gem: Rework error handling in default_engines
  (jsc#SLE-22601).
- drm/i915/gem: Add an intermediate proto_context struct (v5)
  (jsc#SLE-22601).
- drm/i915: Add gem/i915_gem_context.h to the docs
  (jsc#SLE-22601).
- drm/i915/gem: Add a separate validate_priority helper
  (jsc#SLE-22601).
- drm/i915: Stop manually RCU banging in reset_stats_ioctl (v2)
  (jsc#SLE-22601).
- drm/i915/gem: Disallow creating contexts with too many engines
  (jsc#SLE-22601).
- drm/i915/request: Remove the hook from await_execution
  (jsc#SLE-22601).
- drm/i915/gem: Remove engine auto-magic with FENCE_SUBMIT (v2)
  (jsc#SLE-22601).
- drm/i915/gem: Disallow bonding of virtual engines (v3)
  (jsc#SLE-22601).
- drm/i915: Drop getparam support for I915_CONTEXT_PARAM_ENGINES
  (jsc#SLE-22601).
- drm/i915: Implement SINGLE_TIMELINE with a syncobj (v4)
  (jsc#SLE-22601).
- drm/i915: Drop the CONTEXT_CLONE API (v2) (jsc#SLE-22601).
- drm/i915/gem: Return void from context_apply_all
  (jsc#SLE-22601).
- drm/i915/gem: Set the watchdog timeout directly in
  intel_context_set_gem (v2) (jsc#SLE-22601).
- drm/i915: Drop I915_CONTEXT_PARAM_NO_ZEROMAP (jsc#SLE-22601).
- drm/i915: Stop storing the ring size in the ring pointer (v3)
  (jsc#SLE-22601).
- drm/i915: Drop I915_CONTEXT_PARAM_RINGSIZE (jsc#SLE-22601).
- drm/i915/adlp: Add ADL-P GuC/HuC firmware files (jsc#SLE-22601).
- drm/i915/huc: Update TGL and friends to HuC 7.9.3
  (jsc#SLE-22601).
- drm/i915/adl_s: Fix dma_mask_size to 39 bit (jsc#SLE-22601).
- drm/i915/gt: finish INTEL_GEN and friends conversion
  (jsc#SLE-22601).
- drm/i915/selftests: fix smatch warning in mock_reserve
  (jsc#SLE-22601).
- drm/i915/selftests: fix smatch warning in igt_check_blocks
  (jsc#SLE-22601).
- drm/i915: Improve debug Kconfig texts a bit (jsc#SLE-22601).
- drm/i915/gtt: ignore min_page_size for paging structures
  (jsc#SLE-22601).
- drm/i915: support forcing the page size with lmem
  (jsc#SLE-22601).
- drm/i915/display: Migrate objects to LMEM if possible for
  display (jsc#SLE-22601).
- drm/i915/gem: Introduce a selftest for the gem object migrate
  functionality (jsc#SLE-22601).
- drm/i915/gem: Implement object migration (jsc#SLE-22601).
- drm/i915/selftest: Extend ctx_timestamp ICL workaround to GEN11
  (jsc#SLE-22601).
- drm/i915/ttm: Use TTM for system memory (jsc#SLE-22601).
- drm/i915/ttm: Adjust gem flags and caching settings after a move
  (jsc#SLE-22601).
- drm/i915: Update object placement flags to be mutable
  (jsc#SLE-22601).
- drm/i915/ttm: fix static warning (jsc#SLE-22601).
- drm/i915/eb: Fix pagefault disabling in the first slowpath
  (jsc#SLE-22601).
- drm/i915: Document the Virtual Engine uAPI (jsc#SLE-22601).
- drm/i915/guc: Update firmware to v62.0.0 (jsc#SLE-22601).
- drm/i915/guc: Introduce unified HXG messages (jsc#SLE-22601).
- drm/i915: Move submission tasklet to i915_sched_engine
  (jsc#SLE-22601).
- drm/i915: Update i915_scheduler to operate on i915_sched_engine
  (jsc#SLE-22601).
- drm/i915: Add kick_backend function to i915_sched_engine
  (jsc#SLE-22601).
- drm/i915: Move engine->schedule to i915_sched_engine
  (jsc#SLE-22601).
- drm/i915: Move active tracking to i915_sched_engine
  (jsc#SLE-22601).
- drm/i915: Reset sched_engine.no_priolist immediately after
  dequeue (jsc#SLE-22601).
- drm/i915: Add i915_sched_engine_is_empty function
  (jsc#SLE-22601).
- drm/i915: Move priolist to new i915_sched_engine object
  (jsc#SLE-22601).
- drm/i915/selftests: add back the selftest() hook for the buddy
  (jsc#SLE-22601).
- drm/i915/ttm: Fix incorrect assumptions about ttm_bo_validate()
  semantics (jsc#SLE-22601).
- drm/i915: Add support for explicit L3BANK steering
  (jsc#SLE-22601).
- drm/i915: Add GT support for multiple types of multicast
  steering (jsc#SLE-22601).
- drm/i915: extract steered reg access to common function
  (jsc#SLE-22601).
- drm/i915: Remove duplicate include of intel_region_lmem.h
  (jsc#SLE-22601).
- drm/i915: Perform execbuffer object locking as a separate step
  (jsc#SLE-22601).
- drm/i915/gem: Zap the i915_gem_object_blt code (jsc#SLE-22601).
- drm/i915/gem: Zap the client blt code (jsc#SLE-22601).
- drm/i915/ttm: accelerated move implementation (jsc#SLE-22601).
- drm/i915/gt: Setup a default migration context on the GT
  (jsc#SLE-22601).
- drm/i915/gt: Pipelined clear (jsc#SLE-22601).
- drm/i915/gt: Pipelined page migration (jsc#SLE-22601).
- drm/i915/gt: Export the pinned context constructor and
  destructor (jsc#SLE-22601).
- drm/i915/gt: Add a routine to iterate over the pagetables of
  a GTT (jsc#SLE-22601).
- drm/i915/gt: Add an insert_entry for gen8_ppgtt (jsc#SLE-22601).
- drm/i915: Introduce a ww transaction helper (jsc#SLE-22601).
- drm/i915: Break out dma_resv ww locking utilities to separate
  files (jsc#SLE-22601).
- drm/i915: Reference objects on the ww object list
  (jsc#SLE-22601).
- drm/i915/ttm: remove unused function (jsc#SLE-22601).
- drm/i915/gem: Remove duplicated call to ops->pread
  (jsc#SLE-22601).
- drm/i915/ttm: restore min_page_size behaviour (jsc#SLE-22601).
- drm/i915/ttm: switch over to ttm_buddy_man (jsc#SLE-22601).
- drm/i915/ttm: remove node usage in our naming (jsc#SLE-22601).
- drm/i915/ttm: pass along the I915_BO_ALLOC_CONTIGUOUS
  (jsc#SLE-22601).
- drm/i915/ttm: Calculate the object placement at get_pages time
  (jsc#SLE-22601).
- drm/i915/ttm: add i915_sg_from_buddy_resource (jsc#SLE-22601).
- drm/i915/ttm: add ttm_buddy_man (jsc#SLE-22601).
- drm/i915/ttm: Fix memory leaks (jsc#SLE-22601).
- drm/i915/adl_p: Add initial ADL_P Workarounds (jsc#SLE-22601).
- drm/i915: Simplify userptr locking (jsc#SLE-22601).
  Refresh
  patches.suse/lib-scatterlist-Provide-a-dedicated-function-to-supp.patch.
- drm/i915: Fix busy ioctl commentary (jsc#SLE-22601).
- drm/aperture: Pass DRM driver structure instead of driver name
  (jsc#SLE-22601).
- drm/i915: Track IRQ state in local device state (jsc#SLE-22601).
- dma-buf: add dma_fence_chain_alloc/free v3 (jsc#SLE-22601).
- drm/i915: Use ttm mmap handling for ttm bo's (jsc#SLE-22601).
- drm/vma: Add a driver_private member to vma_node
  (jsc#SLE-22601).
- drm/i915/lmem: Verify checks for lmem residency (jsc#SLE-22601).
- drm/i915/ttm: Introduce a TTM i915 gem object backend
  (jsc#SLE-22601).
  Refresh
  patches.suse/lib-scatterlist-Provide-a-dedicated-function-to-supp.patch.
- drm/dp: Extract i915's eDP backlight code into DRM helpers
  (jsc#SLE-22601).
- drm/i915/dpcd_bl: Print return codes for VESA backlight failures
  (jsc#SLE-22601).
- drm/i915/dpcd_bl: Return early in vesa_calc_max_backlight if
  we can't read PWMGEN_BIT_COUNT (jsc#SLE-22601).
- drm/i915/dpcd_bl: Move VESA backlight enabling code closer
  together (jsc#SLE-22601).
- drm/i915/dpcd_bl: Cache some backlight capabilities in
  intel_panel.backlight (jsc#SLE-22601).
- drm/i915/dpcd_bl: Cleanup intel_dp_aux_vesa_enable_backlight()
  a bit (jsc#SLE-22601).
- drm/i915/dpcd_bl: Handle drm_dpcd_read/write() return values
  correctly (jsc#SLE-22601).
- drm/i915/dpcd_bl: Remove redundant AUX backlight frequency
  calculations (jsc#SLE-22601).
- gpu/drm/i915: nuke old GEN macros (jsc#SLE-22601).
- drm/i915: finish INTEL_GEN and friends conversion
  (jsc#SLE-22601).
- drm/i915/hdcp: Nuke Platform check for mst hdcp init
  (jsc#SLE-22601).
- drm/i915/display: check if compressed_llb was allocated
  (jsc#SLE-22601).
- drm/i915/display: Fix state mismatch in drm infoframe
  (jsc#SLE-22601).
- drm/i915/ehl: Remove require_force_probe protection
  (jsc#SLE-22601).
- drm/i915/jsl: Remove require_force_probe protection
  (jsc#SLE-22601).
- drm/i915/display: use max_level to control loop (jsc#SLE-22601).
- drm/i915/display: fix level 0 adjustement on display ver >=
  12 (jsc#SLE-22601).
- drm/i915/display/adl_p: Implement Wa_16011303918
  (jsc#SLE-22601).
- drm/i915/xelpd: Handle PSR2 SDP indication in the prior scanline
  (jsc#SLE-22601).
- drm/i915/display/adl_p: Implement Wa_16011168373
  (jsc#SLE-22601).
- drm/i915/display/adl_p: Implement Wa_22012278275
  (jsc#SLE-22601).
- drm/i915/display/psr: Handle SU Y granularity (jsc#SLE-22601).
- drm/i915: s/intel_crtc/crtc/ (jsc#SLE-22601).
- drm/i915: Clean up intel_fbdev_init_bios() a bit
  (jsc#SLE-22601).
- drm/i915: Clean up pre-skl wm calling convention
  (jsc#SLE-22601).
- drm/i915: Clean up intel_find_initial_plane_obj() a bit
  (jsc#SLE-22601).
- drm/i915: Clean up intel_get_load_detect_pipe() a bit
  (jsc#SLE-22601).
- drm/i915: Stop hand rolling drm_crtc_mask() (jsc#SLE-22601).
- drm/i915/fbc: Allocate llb before cfb (jsc#SLE-22601).
- drm/i915/fbc: Make the cfb allocation loop a bit more legible
  (jsc#SLE-22601).
- drm/i915/fbc: Extract intel_fbc_stolen_end() (jsc#SLE-22601).
- drm/i915/fbc: Introduce g4x_dpfc_ctl_limit() (jsc#SLE-22601).
- drm/i915/fbc: Handle 16bpp compression limit better
  (jsc#SLE-22601).
- drm/i915/fbc: Don't pass around the mm node (jsc#SLE-22601).
- drm/i915/fbc: Embed the compressed_llb node (jsc#SLE-22601).
- drm/i915/fbc: Extract intel_fbc_program_cfb() (jsc#SLE-22601).
- drm/i915/fbc: s/threshold/limit/ (jsc#SLE-22601).
- drm/i915: Add the missing adls vswing tables (jsc#SLE-22601).
- drm/i915: Nuke buf_trans hdmi functions (jsc#SLE-22601).
- drm/i915: Clean up jsl/ehl buf trans functions (jsc#SLE-22601).
- drm/i915: Fix ehl edp hbr2 vswing table (jsc#SLE-22601).
- drm/i915: keep backlight_enable on until turn eDP display off
  (jsc#SLE-22601).
- drm/i915: Deduplicate icl DP HBR2 vs. eDP HBR3 table
  (jsc#SLE-22601).
- drm/i915: Fix dg1 buf trans tables (jsc#SLE-22601).
- drm/i915: Introduce rkl_get_combo_buf_trans() (jsc#SLE-22601).
- drm/i915: Clean up hsw/bdw/skl/kbl buf trans funcs
  (jsc#SLE-22601).
- drm/i915: Introduce encoder->get_buf_trans() (jsc#SLE-22601).
- drm/i915: Store the HDMI default entry in the bug trans struct
  (jsc#SLE-22601).
- drm/i915; Return the whole buf_trans struct from get_buf_trans()
  (jsc#SLE-22601).
- drm/i915: Introduce intel_get_buf_trans() (jsc#SLE-22601).
- drm/i915: Wrap the buf trans tables into a struct
  (jsc#SLE-22601).
- drm/i915: Rename dkl phy buf trans tables (jsc#SLE-22601).
- drm/i915: Wrap the platform specific buf trans structs into
  a union (jsc#SLE-22601).
- drm/i915: Introduce hsw_get_buf_trans() (jsc#SLE-22601).
- drm/i915: s/intel/hsw/ for hsw/bdw/skl buf trans
  (jsc#SLE-22601).
- drm/i915/adl_p: Load DMC (jsc#SLE-22601).
- drm/i915/adl_p: Pipe B DMC Support (jsc#SLE-22601).
- drm/i915/xelpd: Pipe A DMC plugging (jsc#SLE-22601).
- drm/i915/dmc: Introduce DMC_FW_MAIN (jsc#SLE-22601).
- drm/i915: Force a TypeC PHY disconnect during suspend/shutdown
  (jsc#SLE-22601).
- drm/i915/xelpd: break feature inheritance (jsc#SLE-22601).
- drm/i915: apply WaEnableVGAAccessThroughIOPort as needed
  (jsc#SLE-22601).
- commit a14349b
* Tue Nov 23 2021 tiwai@suse.de
- block: Hold invalidate_lock in BLKZEROOUT ioctl (bsc#1183392).
  This patch series fixes the block/009 test which can fail with a low failure
  rate of about 1/1400. I've tested this series with kernel-ci against the
  baseline and found no regressions.
- block: Hold invalidate_lock in BLKDISCARD ioctl (bsc#1183392).
- mm: Add functions to lock invalidate_lock for two mappings
  (bsc#1183392).
- mm: Protect operations adding pages to page cache with
  invalidate_lock (bsc#1183392).
- commit 2ea6207
* Tue Nov 23 2021 pmladek@suse.com
- printk: restore flushing of NMI buffers on remote CPUs after
  NMI backtraces (bsc#1192988).
- commit 21c31a1
* Tue Nov 23 2021 pmladek@suse.com
- printk: Remove printk.h inclusion in percpu.h (bsc#1192987).
- commit b339baf
* Tue Nov 23 2021 tbogendoerfer@suse.de
- ethernet: chelsio: use eth_hw_addr_set() (jsc#SLE-18992).
- net: chelsio: cxgb4vf: Make use of the helper function
  dev_err_probe() (jsc#SLE-18992).
- cxgb4: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#SLE-18992).
- cxgb4: Remove unused vpd_param member ec (jsc#SLE-18992).
- cxgb4: Validate VPD checksum with pci_vpd_check_csum()
  (jsc#SLE-18992).
- cxgb4: Properly revert VPD changes (jsc#SLE-18992).
- cxgb4: improve printing NIC information (jsc#SLE-18992).
- net: chelsio: switch from 'pci_' to 'dma_' API (jsc#SLE-18992).
- Revert "cxgb4: Validate VPD checksum with pci_vpd_check_csum()"
  (jsc#SLE-18992).
- Revert "Revert "cxgb4: Search VPD with
  pci_vpd_find_ro_info_keyword()"" (jsc#SLE-18992).
- Revert "cxgb4: Search VPD with pci_vpd_find_ro_info_keyword()"
  (jsc#SLE-18992).
- cxgb4: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#SLE-18992).
- cxgb4: Remove unused vpd_param member ec (jsc#SLE-18992).
- cxgb4: Validate VPD checksum with pci_vpd_check_csum()
  (jsc#SLE-18992).
- cxgb4: make the array match_all_mac static, makes object smaller
  (jsc#SLE-18992).
- commit e59b97c
* Tue Nov 23 2021 tbogendoerfer@suse.de
- RDMA/nldev: Check stat attribute before accessing it
  (jsc#SLE-19249).
- RDMA/mlx4: Do not fail the registration on port stats
  (jsc#SLE-19255).
- IB/hfi1: Properly allocate rdma counter desc memory
  (jsc#SLE-19242).
- RDMA/core: Set send and receive CQ before forwarding to the
  driver (jsc#SLE-19249).
- i40e: Fix display error code in dmesg (jsc#SLE-18378).
- i40e: Fix creation of first queue by omitting it if is not
  power of two (jsc#SLE-18378).
- i40e: Fix warning message and call stack during rmmod i40e
  driver (jsc#SLE-18378).
- i40e: Fix ping is lost after configuring ADq on VF
  (jsc#SLE-18378).
- i40e: Fix changing previously set num_queue_pairs for PFs
  (jsc#SLE-18378).
- i40e: Fix NULL ptr dereference on VSI filter sync
  (jsc#SLE-18378).
- i40e: Fix correct max_pkt_size on VF RX queue (jsc#SLE-18378).
- devlink: Don't throw an error if flash notification sent before
  devlink visible (jsc#SLE-19253).
- net/mlx5: E-Switch, return error if encap isn't supported
  (jsc#SLE-19253).
- net/mlx5: Lag, update tracker when state change event received
  (jsc#SLE-19253).
- net/mlx5e: CT, Fix multiple allocations and memleak of mod acts
  (jsc#SLE-19253).
- net/mlx5: Fix flow counters SF bulk query len (jsc#SLE-19253).
- net/mlx5: E-Switch, rebuild lag only when needed
  (jsc#SLE-19253).
- net/mlx5: Update error handler for UCTX and UMEM
  (jsc#SLE-19253).
- net/mlx5: DR, Fix check for unsupported fields in match param
  (jsc#SLE-19253).
- net/mlx5: DR, Handle eswitch manager and uplink vports
  separately (jsc#SLE-19253).
- net/mlx5e: nullify cq->dbg pointer in mlx5_debug_cq_remove()
  (jsc#SLE-19253).
- net/mlx5: E-Switch, Fix resetting of encap mode when entering
  switchdev (jsc#SLE-19253).
- net/mlx5e: Wait for concurrent flow deletion during neigh/fib
  events (jsc#SLE-19253).
- net/mlx5e: kTLS, Fix crash in RX resync flow (jsc#SLE-19253).
- net: sched: act_mirred: drop dst for the direction from egress
  to ingress (git-fixes).
- bnxt_en: Fix compile error regression when CONFIG_BNXT_SRIOV
  is not set (jsc#SLE-18978).
- udp: Validate checksum in udp_read_sock() (git-fixes).
- xsk: Fix crash on double free in buffer pool (jsc#SLE-18375).
- iavf: Restore VLAN filters after link down (jsc#SLE-18385).
- iavf: Fix for setting queues to 0 (jsc#SLE-18385).
- iavf: Fix for the false positive ASQ/ARQ errors while issuing
  VF reset (jsc#SLE-18385).
- iavf: validate pointers (jsc#SLE-18385).
- iavf: prevent accidental free of filter structure
  (jsc#SLE-18385).
- iavf: Fix failure to exit out from last all-multicast mode
  (jsc#SLE-18385).
- iavf: don't clear a lock we don't hold (jsc#SLE-18385).
- iavf: free q_vectors before queues in iavf_disable_vf
  (jsc#SLE-18385).
- iavf: check for null in iavf_fix_features (jsc#SLE-18385).
- iavf: Fix return of set the new channel count (jsc#SLE-18385).
- bnxt_en: reject indirect blk offload when hw-tc-offload is off
  (jsc#SLE-18978).
- bnxt_en: fix format specifier in live patch error message
  (jsc#SLE-18978).
- bnxt_en: extend RTNL to VF check in devlink driver_reinit
  (jsc#SLE-18978).
- net: bnx2x: fix variable dereferenced before check
  (jsc#SLE-18274).
- ethernet: bnx2x: use eth_hw_addr_set() (jsc#SLE-18274).
- bnx2x: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#SLE-18274).
- bnx2x: Read VPD with pci_vpd_alloc() (jsc#SLE-18274).
- bnx2x: remove unused variable 'cur_data_offset' (jsc#SLE-18274).
- commit 4626034
* Tue Nov 23 2021 msuchanek@suse.de
- kernel-source.spec: install-kernel-tools also required on 15.4
- commit 6cefb55
* Mon Nov 22 2021 tiwai@suse.de
- dmanegine: idxd: fix resource free ordering on driver removal
  (git-fixes).
- ALSA: usb-audio: Fix possible race at sync of urb completions
  (git-fixes).
- Bluetooth: call sock_hold earlier in sco_conn_del (git-fixes).
- commit c31b8d8
* Mon Nov 22 2021 mbenes@suse.cz
- blacklist.conf: 70a9ac36ffd8 ("f2fs: fix up f2fs_lookup tracepoints")
  CONFIG_F2FS_FS is not set anywhere.
- commit 192a1c3
* Mon Nov 22 2021 mbenes@suse.cz
- tracing/histogram: Do not copy the fixed-size char array field
  over the field size (git-fixes).
- commit c8df0a0
* Mon Nov 22 2021 mbenes@suse.cz
- blacklist.conf: 172f7ba9772c ("ftrace: Make ftrace_profile_pages_init static")
  A cosmetic fix.
- commit 99f4114
* Mon Nov 22 2021 mbenes@suse.cz
- tracing: use %%ps format string to print symbols (git-fixes).
- commit 11044ff
* Mon Nov 22 2021 jroedel@suse.de
- Drivers: hv: vmbus: Initialize VMbus ring buffer for Isolation VM (bsc#1183682).
- Update config files.
- commit a524613
* Mon Nov 22 2021 mkubecek@suse.cz
- config: disable unprivileged BPF by default (jsc#SLE-22573)
  Backport of mainline commit 8a03e56b253e ("bpf: Disallow unprivileged bpf
  by default") only changes kconfig default, used e.g. for "make oldconfig"
  when the config option is missing, but does not update our kernel configs
  used for build. Update also these to make sure unprivileged BPF is really
  disabled by default.
- commit 4a1e78c
* Mon Nov 22 2021 jroedel@suse.de
- Drivers: hv: vmbus: Add SNP support for VMbus channel initiate
  message (bsc#1183682).
- x86/hyperv: Add ghcb hvcall support for SNP VM (bsc#1183682).
- x86/hyperv: Add Write/Read MSR registers via ghcb page
  (bsc#1183682).
- Drivers: hv: vmbus: Mark vmbus ring buffer visible to host in
  Isolation VM (bsc#1183682).
- x86/hyperv: Add new hvcall guest address host visibility support
  (bsc#1183682).
- x86/hyperv: Initialize shared memory boundary in the Isolation
  VM (bsc#1183682).
- x86/hyperv: Initialize GHCB page in Isolation VM (bsc#1183682).
- x86/sev: Expose sev_es_ghcb_hv_call() for use by HyperV
  (bsc#1183682).
- commit 7b9b378
* Mon Nov 22 2021 jroedel@suse.de
- x86/sev: Allow #VC exceptions on the VC2 stack (git-fixes).
- commit a295ccf
* Mon Nov 22 2021 tiwai@suse.de
- pstore/blk: Use "%%lu" to format unsigned long (git-fixes).
- commit 4c246a2
* Mon Nov 22 2021 tiwai@suse.de
- Linux 5.14.21 (stable-5.14.21).
- commit ccb8dac
* Mon Nov 22 2021 tiwai@suse.de
- Revert "ACPI: scan: Release PM resources blocked by unused
  objects" (stable-5.14.21).
- KVM: Fix steal time asm constraints (stable-5.14.21).
- parisc/entry: fix trace test in syscall exit path
  (stable-5.14.21).
- PCI/MSI: Destroy sysfs before freeing entries (stable-5.14.21).
- PCI: Add MSI masking quirk for Nvidia ION AHCI (stable-5.14.21).
- PCI/MSI: Deal with devices lying about their MSI mask capability
  (stable-5.14.21).
- perf/core: Avoid put_page() when GUP fails (stable-5.14.21).
- thermal: Fix NULL pointer dereferences in of_thermal_ functions
  (stable-5.14.21).
- Bluetooth: btusb: Add support for TP-Link UB500 Adapter
  (stable-5.14.21).
- fortify: Explicitly disable Clang support (stable-5.14.21).
- loop: Use blk_validate_block_size() to validate block size
  (stable-5.14.21).
- block: Add a helper to validate the block size (stable-5.14.21).
- bootconfig: init: Fix memblock leak in xbc_make_cmdline()
  (stable-5.14.21).
- commit 5099a2b
* Mon Nov 22 2021 tiwai@suse.de
- Update patch references for stable-5.14.21
- commit b78e4e4
* Sun Nov 21 2021 tiwai@suse.de
- Revert "mark pstore-blk as broken" (git-fixes).
- Update config files.
- supported.conf: adjust for pstore_blk and co
- commit 79eccc2
* Sun Nov 21 2021 tiwai@suse.de
- pinctrl: qcom: sm8350: Correct UFS and SDC offsets (git-fixes).
- pinctrl: qcom: sdm845: Enable dual edge errata (git-fixes).
- pinctrl: ralink: include 'ralink_regs.h' in 'pinctrl-mt7620.c'
  (git-fixes).
- ACPI: Add stubs for wakeup handler functions (git-fixes).
- commit 7d34774
* Sat Nov 20 2021 tiwai@suse.de
- blacklist.conf: add media patch entry that was already picked up
- commit 262559d
* Sat Nov 20 2021 tiwai@suse.de
- ARM: socfpga: Fix crash with CONFIG_FORTIRY_SOURCE
  (bsc#1192473).
- commit a604fd5
* Sat Nov 20 2021 tiwai@suse.de
- NFC: reorder the logic in nfc_{un,}register_device (git-fixes).
- Refresh
  patches.suse/NFC-SUSE-specific-brutal-fix-for-runtime-PM.patch.
- commit 58d673a
* Sat Nov 20 2021 tiwai@suse.de
- Revert "drm/i915/tgl/dsi: Gate the ddi clocks after pll mapping"
  (git-fixes).
- fbdev: Prevent probing generic drivers if a FB is already
  registered (git-fixes).
- drm/cma-helper: Release non-coherent memory with
  dma_free_noncoherent() (git-fixes).
- drm/nouveau: hdmigv100.c: fix corrupted HDMI Vendor InfoFrame
  (git-fixes).
- thermal: int340x: Limit Kconfig to 64-bit (git-fixes).
- platform/x86: think-lmi: Abort probe on analyze failure
  (git-fixes).
- platform/x86: hp_accel: Fix an error handling path in
  'lis3lv02d_probe()' (git-fixes).
- spi: fix use-after-free of the add_lock mutex (git-fixes).
- e100: fix device suspend/resume (git-fixes).
- NFC: add NCI_UNREG flag to eliminate the race (git-fixes).
- NFC: reorganize the functions in nci_request (git-fixes).
- mac80211: fix monitor_sdata RCU/locking assertions (git-fixes).
- mac80211: drop check for DONT_REORDER in
  __ieee80211_select_queue (git-fixes).
- nl80211: fix radio statistics in survey dump (git-fixes).
- cfg80211: call cfg80211_stop_ap when switch from P2P_GO type
  (git-fixes).
- docs: accounting: update delay-accounting.rst reference
  (git-fixes).
- commit 195d274
* Sat Nov 20 2021 jroedel@suse.de
- powerpc/pseries/svm: Add a powerpc version of cc_platform_has() (jsc#SLE-19924).
- Update config files.
- commit d22f826
* Fri Nov 19 2021 fdmanana@suse.com
- btrfs: update comments for chunk allocation -ENOSPC cases
  (bsc#1192896).
- btrfs: fix deadlock between chunk allocation and chunk btree
  modifications (bsc#1192896).
- commit 09c9eb3
* Fri Nov 19 2021 mkoutny@suse.com
- blacklist.conf: Add b94f9ac79a73 cgroup/cpuset: Change references of cpuset_mutex to cpuset_rwsem
- commit b3581c2
* Fri Nov 19 2021 jroedel@suse.de
- x86/sme: Use #define USE_EARLY_PGTABLE_L5 in
  mem_encrypt_identity.c (bsc#1192547).
- treewide: Replace the use of mem_encrypt_active() with
  cc_platform_has() (jsc#SLE-19924).
- x86/sev: Replace occurrences of sev_es_active() with
  cc_platform_has() (jsc#SLE-19924).
- x86/sev: Replace occurrences of sev_active() with
  cc_platform_has() (jsc#SLE-19924).
- x86/sme: Replace occurrences of sme_active() with
  cc_platform_has() (jsc#SLE-19924).
- x86/ioremap: Selectively build arch override encryption
  functions (jsc#SLE-19924).
- powerpc/svm: Don't issue ultracalls if !mem_encrypt_active()
  (jsc#SLE-19924).
- commit c6b9314
* Fri Nov 19 2021 mkoutny@suse.com
- memcg: replace in_interrupt() by !in_task() in active_memcg()
  (bsc#1192894).
- commit 8c447eb
* Fri Nov 19 2021 mkoutny@suse.com
- Update metadata
  patches.suse/bpf-cgroup-Assign-cgroup-in-cgroup_sk_alloc-when-cal.patch
  (stable-5.14.19 bsc#1191279).
- Update metadata
  patches.suse/bpf-cgroups-Fix-cgroup-v2-fallback-on-v1-v2-mixed-mo.patch
  (stable-5.14.19 bsc#1191279).
- commit 590ab5b
* Fri Nov 19 2021 nborisov@suse.com
- btrfs: fix memory ordering between normal and ordered work functions (git-fixes).
- commit 0b78f1b
* Thu Nov 18 2021 msuchanek@suse.de
- Eradicate Patch-mainline: No
  The pre-commit check can reject this deprecated tag then.
- Refresh patches.suse/acpi_thinkpad_introduce_acpi_root_table_boot_param.patch.
- Refresh patches.suse/btrfs-provide-super_operations-get_inode_dev.
- Refresh patches.suse/intel_idle-Disable-ACPI-_CST-on-Haswell.patch
- commit 50b72c3
* Thu Nov 18 2021 ykaukab@suse.de
- pinctrl: tegra: Return const pointer from
  tegra_pinctrl_get_group() (jsc#SLE-20498).
- usb: xhci: tegra: Check padctrl interrupt presence in device
  tree (git-fixes).
- dmaengine: tegra210-adma: Override ADMA FIFO size
  (jsc#SLE-20498).
- dmaengine: tegra210-adma: Add description for
  'adma_get_burst_config' (jsc#SLE-20498).
- dmaengine: tegra210-adma: Re-order 'has_outstanding_reqs'
  member (jsc#SLE-20498).
- gpio: tegra186: Support multiple interrupts per bank
  (jsc#SLE-20498).
- gpio: tegra186: Force one interrupt per bank (jsc#SLE-20498).
- i2c: tegra: Ensure that device is suspended before driver is
  removed (git-fixes).
- pinctrl: tegra: Fix warnings and error (jsc#SLE-20498).
- pinctrl: tegra: Use correct offset for pin group
  (jsc#SLE-20498).
- pinctrl: tegra: Add pinmux support for Tegra194 (jsc#SLE-20498).
- pinctrl: tegra: include lpdr pin properties (jsc#SLE-20498).
- usb: phy: tegra: Support OTG mode programming (git-fixes).
- memory: tegra186-emc: Handle errors in BPMP response
  (jsc#SLE-20498).
- soc/tegra: Add Tegra186 ARI driver (jsc#SLE-20498).
- cpufreq: tegra186/tegra194: Handle errors in BPMP response
  (jsc#SLE-20498).
- spi: tegra210-quad: Put device into suspend on driver removal
  (git-fixes).
- regulator: Don't error out fixed regulator in
  regulator_sync_voltage() (git-fixes).
- thermal/drivers/tegra-soctherm: Silence message about clamped
  temperature (git-fixes).
- PCI: tegra194: Cleanup unused code (jsc#SLE-20498).
- PCI: tegra194: Don't allow suspend when Tegra PCIe is in EP mode
  (jsc#SLE-20498).
- PCI: tegra194: Disable interrupts before entering L2
  (jsc#SLE-20498).
- gpio: tegra186: Add ACPI support (jsc#SLE-20498).
- clk: tegra: Remove CLK_IS_CRITICAL flag from fuse clock
  (git-fixes).
- soc/tegra: fuse: Enable fuse clock on suspend for Tegra124
  (git-fixes).
- soc/tegra: fuse: Add runtime PM support (git-fixes).
- soc/tegra: fuse: Clear fuse->clk on driver probe failure
  (git-fixes).
- soc/tegra: pmc: Prevent racing with cpuilde driver (git-fixes).
- ASoC: rt5640: Silence warning message about missing interrupt
  (git-fixes).
- commit 1fc03e4
* Thu Nov 18 2021 tiwai@suse.de
- Update config files: bump to 5.14.20
- commit c08e20b
* Thu Nov 18 2021 tiwai@suse.de
- Linux 5.14.20 (stable-5.14.20).
- commit 1a4044c
* Thu Nov 18 2021 tiwai@suse.de
- Drop x86 patch to follow a stable-5.14.20 revert
  Other two (sched and x86 fixes) were reverted in 5.14.20 but we keep them
  Delete patches.suse/x86-Fix-__get_wchan-for-STACKTRACE.patch
  Update blacklist.conf
- commit 6440d2c
* Thu Nov 18 2021 tiwai@suse.de
- x86/setup: Explicitly include acpi.h (bsc#1192825).
- commit 915b5b4
* Wed Nov 17 2021 lduncan@suse.com
- iscsi_ibft: fix warning in reserve_ibft_region() (bsc#1191540).
- commit 4ad3fae
* Wed Nov 17 2021 tbogendoerfer@suse.de
- e1000e: Add support for the next LOM generation (jsc#SLE-18382).
- Refresh
  patches.suse/e1000e-Separate-TGP-board-type-from-SPT.patch.
- commit 92196b6
* Wed Nov 17 2021 tbogendoerfer@suse.de
- e1000e: Add support for Lunar Lake (jsc#SLE-18382).
- Refresh
  patches.suse/e1000e-Separate-TGP-board-type-from-SPT.patch.
- commit d86918a
* Wed Nov 17 2021 tbogendoerfer@suse.de
- e1000e: Remove redundant statement (jsc#SLE-18382).
- ionic: no devlink_unregister if not registered (jsc#SLE-19282).
- ionic: tame the filter no space message (jsc#SLE-19282).
- ionic: allow adminq requests to override default error message
  (jsc#SLE-19282).
- ionic: handle vlan id overflow (jsc#SLE-19282).
- ionic: generic filter delete (jsc#SLE-19282).
- ionic: generic filter add (jsc#SLE-19282).
- ionic: add generic filter search (jsc#SLE-19282).
- ionic: remove mac overflow flags (jsc#SLE-19282).
- ionic: move lif mac address functions (jsc#SLE-19282).
- ionic: add filterlist to debugfs (jsc#SLE-19282).
- ionic: add lif param to ionic_qcq_disable (jsc#SLE-19282).
- ionic: have ionic_qcq_disable decide on sending to hardware
  (jsc#SLE-19282).
- ionic: add polling to adminq wait (jsc#SLE-19282).
- ionic: widen queue_lock use around lif init and deinit
  (jsc#SLE-19282).
- ionic: move lif mutex setup and delete (jsc#SLE-19282).
- ionic: check for binary values in FW ver string (jsc#SLE-19282).
- ionic: remove debug stats (jsc#SLE-19282).
- ionic: Move devlink registration to be last devlink command
  (jsc#SLE-19282).
- net: e1000e: solve insmod 'Unknown symbol mutex_lock' error
  (jsc#SLE-18382).
- net/e1000e: Fix spelling mistake "The" -> "This"
  (jsc#SLE-18382).
- e1000e: Add space to the debug print (jsc#SLE-18382).
- e1000e: Additional PHY power saving in S0ix (jsc#SLE-18382).
- e1000e: Add polling mechanism to indicate CSME DPG exit
  (jsc#SLE-18382).
- e1000e: Add handshake with the CSME to support S0ix
  (jsc#SLE-18382).
- commit 405902c
* Wed Nov 17 2021 oneukum@suse.com
- PCI: PM: Do not call platform_pci_power_manageable()
  unnecessarily (jsc#SLE-19359).
- commit 18069d0
* Wed Nov 17 2021 oneukum@suse.com
- PCI: PM: Make pci_choose_state() call pci_target_state()
  (jsc#SLE-19359).
- commit 397bfa6
* Wed Nov 17 2021 oneukum@suse.com
- PCI: PM: Rearrange pci_target_state() (jsc#SLE-19359).
- commit 6bb9c14
* Wed Nov 17 2021 oneukum@suse.com
- PCI: endpoint: Use sysfs_emit() in "show" functions
  (jsc#SLE-19359).
- commit 9243675
* Wed Nov 17 2021 tiwai@suse.de
- x86/mm/64: Improve stack overflow warnings (stable-5.14.19).
- commit 041e862
* Wed Nov 17 2021 oneukum@suse.com
- PCI: ACPI: PM: Do not use pci_platform_pm_ops for ACPI
  (jsc#SLE-19359).
- commit 96c7dd9
* Wed Nov 17 2021 oneukum@suse.com
- PCI: PM: Do not use pci_platform_pm_ops for Intel MID PM
  (jsc#SLE-19359).
- commit 7e981c8
* Wed Nov 17 2021 oneukum@suse.com
- PCI: Tidy comments (git-fixes).
- commit 125067a
* Wed Nov 17 2021 tiwai@suse.de
- blacklist.conf: Add entries for 5.14.19
- commit 0010d42
* Wed Nov 17 2021 tiwai@suse.de
- Update config files: stable 5.14.19
- commit 8d0019c
* Wed Nov 17 2021 tiwai@suse.de
- Linux 5.14.19 (stable-5.14.19).
- commit a808eab
* Wed Nov 17 2021 tiwai@suse.de
- media: videobuf2-dma-sg: Fix buf->vb NULL pointer dereference
  (stable-5.14.19).
- commit 3eaf65a
* Wed Nov 17 2021 tiwai@suse.de
- x86/sev: Make the #VC exception stacks part of the default
  stacks storage (stable-5.14.19).
- media: videobuf2: always set buffer vb2 pointer
  (stable-5.14.19).
- x86/sev: Add an x86 version of cc_platform_has()
  (stable-5.14.19).
- arch/cc: Introduce a function to check for confidential
  computing features (stable-5.14.19).
- IMA: reject unknown hash algorithms in ima_get_hash_algo
  (stable-5.14.19).
- commit b6cc9f9
* Wed Nov 17 2021 tiwai@suse.de
- cifs: fix memory leak of smb3_fs_context_dup::server_hostname
  (stable-5.14.19).
- drm/amd/display: Look at firmware version to determine using
  dmub on dcn21 (stable-5.14.19).
- SUNRPC: Partial revert of commit 6f9f17287e78 (stable-5.14.19).
- selftests/x86/iopl: Adjust to the faked iopl CLI/STI usage
  (stable-5.14.19).
- selftests/bpf: Fix also no-alu32 strobemeta selftest
  (stable-5.14.19).
- ath10k: fix invalid dma_addr_t token assignment
  (stable-5.14.19).
- mmc: moxart: Fix null pointer dereference on pointer host
  (stable-5.14.19).
- media: vidtv: move kfree(dvb) to vidtv_bridge_dev_release()
  (stable-5.14.19).
- pinctrl: amd: Handle wake-up interrupt (stable-5.14.19).
- pinctrl: amd: Add irq field data (stable-5.14.19).
- commit f6cd2b6
* Wed Nov 17 2021 tiwai@suse.de
- s390/cio: make ccw_device_dma_* more robust (stable-5.14.19).
- s390/ap: Fix hanging ioctl caused by orphaned replies
  (stable-5.14.19).
- powerpc/32e: Ignore ESR in instruction storage interrupt handler
  (stable-5.14.19).
- powerpc/powernv/prd: Unregister OPAL_MSG_PRD2 notifier during
  module unload (stable-5.14.19).
- powerpc/security: Use a mutex for interrupt exit code patching
  (stable-5.14.19).
- powerpc/bpf: Fix write protecting JIT code (stable-5.14.19).
- powerpc/64s/interrupt: Fix check_return_regs_valid() false
  positive (stable-5.14.19).
- powerpc/pseries/mobility: ignore ibm, platform-facilities
  updates (stable-5.14.19).
- powerpc/vas: Fix potential NULL pointer dereference
  (stable-5.14.19).
- powerpc/85xx: fix timebase sync issue when CONFIG_HOTPLUG_CPU=n
  (stable-5.14.19).
- commit c55257b
* Wed Nov 17 2021 tiwai@suse.de
- io-wq: serialize hash clear with wakeup (stable-5.14.19).
- s390/cio: check the subchannel validity for dev_busid
  (stable-5.14.19).
- s390/cpumf: cpum_cf PMU displays invalid value after hotplug
  remove (stable-5.14.19).
- s390/tape: fix timer initialization in tape_std_assign()
  (stable-5.14.19).
- PM: sleep: Avoid calling put_device() under dpm_list_mtx
  (stable-5.14.19).
- mfd: dln2: Add cell for initializing DLN2 ADC (stable-5.14.19).
- mm, oom: do not trigger out_of_memory from the #PF
  (stable-5.14.19).
- mm, oom: pagefault_out_of_memory: don't force global OOM for
  dying tasks (stable-5.14.19).
- io-wq: fix queue stalling race (stable-5.14.19).
- io-wq: ensure that hash wait lock is IRQ disabling
  (stable-5.14.19).
- commit 2a16894
* Wed Nov 17 2021 tiwai@suse.de
- erofs: fix unsafe pagevec reuse of hooked pclusters
  (stable-5.14.19).
- f2fs: fix UAF in f2fs_available_free_memory (stable-5.14.19).
- f2fs: include non-compressed blocks in compr_written_block
  (stable-5.14.19).
- dmaengine: ti: k3-udma: Set r/tchan or rflow to NULL if request
  fail (stable-5.14.19).
- dmaengine: ti: k3-udma: Set bchan to NULL if a channel request
  fail (stable-5.14.19).
- 9p/net: fix missing error check in p9_check_errors
  (stable-5.14.19).
- memcg: prohibit unconditional exceeding the limit of dying tasks
  (stable-5.14.19).
- net, neigh: Enable state migration between NUD_PERMANENT and
  NTF_USE (stable-5.14.19).
- bpf, cgroup: Assign cgroup in cgroup_sk_alloc when called from
  interrupt (stable-5.14.19).
- bpf, cgroups: Fix cgroup v2 fallback on v1/v2 mixed mode
  (stable-5.14.19).
- commit 77ed3ef
* Wed Nov 17 2021 tiwai@suse.de
- parisc: Flush kernel data mapping in set_pte_at() when
  installing pte for user page (stable-5.14.19).
- parisc: Fix backtrace to always include init funtion names
  (stable-5.14.19).
- ARM: 9156/1: drop cc-option fallbacks for architecture selection
  (stable-5.14.19).
- posix-cpu-timers: Clear task::posix_cputimers_work in
  copy_process() (stable-5.14.19).
- irqchip/sifive-plic: Fixup EOI failed when masked
  (stable-5.14.19).
- x86/mce: Add errata workaround for Skylake SKX37
  (stable-5.14.19).
- f2fs: should use GFP_NOFS for directory inodes (stable-5.14.19).
- KVM: x86: move guest_pv_has out of user_access section
  (stable-5.14.19).
- MIPS: fix duplicated slashes for Platform file path
  (stable-5.14.19).
- MIPS: Fix assembly error from MIPSr2 code used within
  MIPS_ISA_ARCH_LEVEL (stable-5.14.19).
- commit 3c7edaf
* Wed Nov 17 2021 tiwai@suse.de
- ARM: 9155/1: fix early early_iounmap() (stable-5.14.19).
- smb3: do not error on fsync when readonly (stable-5.14.19).
- selftests/net: udpgso_bench_rx: fix port argument
  (stable-5.14.19).
- cxgb4: fix eeprom len when diagnostics not implemented
  (stable-5.14.19).
- net/smc: fix sk_refcnt underflow on linkdown and fallback
  (stable-5.14.19).
- vsock: prevent unnecessary refcnt inc for nonblocking connect
  (stable-5.14.19).
- net: marvell: mvpp2: Fix wrong SerDes reconfiguration order
  (stable-5.14.19).
- net: ethernet: ti: cpsw_ale: Fix access to un-initialized memory
  (stable-5.14.19).
- net: stmmac: allow a tc-taprio base-time of zero
  (stable-5.14.19).
- net/sched: sch_taprio: fix undefined behavior in
  ktime_mono_to_any (stable-5.14.19).
- commit 8c81fc3
* Wed Nov 17 2021 tiwai@suse.de
- drm/i915/fb: Fix rounding error in subsampled plane size
  calculation (stable-5.14.19).
- net: dsa: mv88e6xxx: Don't support >1G speeds on 6191X on
  ports other than 10 (stable-5.14.19).
- bpf, sockmap: sk_skb data_end access incorrect when src_reg =
  dst_reg (stable-5.14.19).
- bpf: sockmap, strparser, and tls are reusing qdisc_skb_cb and
  colliding (stable-5.14.19).
- bpf, sockmap: Fix race in ingress receive verdict with redirect
  to self (stable-5.14.19).
- bpf, sockmap: Remove unhash handler for BPF sockmap usage
  (stable-5.14.19).
- dmaengine: stm32-dma: fix burst in case of unaligned memory
  address (stable-5.14.19).
- arm64: pgtable: make __pte_to_phys/__phys_to_pte_val inline
  functions (stable-5.14.19).
- arm64: arm64_ftr_reg->name may not be a human-readable string
  (stable-5.14.19).
- seq_file: fix passing wrong private data (stable-5.14.19).
- commit 32c9b55
* Wed Nov 17 2021 tiwai@suse.de
- llc: fix out-of-bound array index in llc_sk_dev_hash()
  (stable-5.14.19).
- selftests/bpf/xdp_redirect_multi: Limit the tests in netns
  (stable-5.14.19).
- selftests/bpf/xdp_redirect_multi: Give tcpdump a chance to
  terminate cleanly (stable-5.14.19).
- selftests/bpf/xdp_redirect_multi: Use arping to accurate the
  arp number (stable-5.14.19).
- selftests/bpf/xdp_redirect_multi: Put the logs to tmp folder
  (stable-5.14.19).
- libbpf: Fix lookup_and_delete_elem_flags error reporting
  (stable-5.14.19).
- bonding: Fix a use-after-free problem when
  bond_sysfs_slave_add() failed (stable-5.14.19).
- perf bpf: Add missing free to bpf_event__print_bpf_prog_info()
  (stable-5.14.19).
- zram: off by one in read_block_state() (stable-5.14.19).
- mm/zsmalloc.c: close race window between zs_pool_dec_isolated()
  and zs_unregister_migration() (stable-5.14.19).
- commit f072f92
* Wed Nov 17 2021 tiwai@suse.de
- net: phy: fix duplex out of sync problem while changing settings
  (stable-5.14.19).
- net: dsa: felix: fix broken VLAN-tagged PTP under VLAN-aware
  bridge (stable-5.14.19).
- net: vlan: fix a UAF in vlan_dev_real_dev() (stable-5.14.19).
- cpufreq: intel_pstate: Clear HWP desired on suspend/shutdown
  and offline (stable-5.14.19).
- ataflop: remove ataflop_probe_lock mutex (stable-5.14.19).
- nvdimm/btt: do not call del_gendisk() if not needed
  (stable-5.14.19).
- block/ataflop: provide a helper for cleanup up an atari disk
  (stable-5.14.19).
- block/ataflop: add registration bool before calling
  del_gendisk() (stable-5.14.19).
- block/ataflop: use the blk_cleanup_disk() helper
  (stable-5.14.19).
- net: dsa: tag_ocelot: break circular dependency with ocelot
  switch lib driver (stable-5.14.19).
- commit e9a91d1
* Wed Nov 17 2021 tiwai@suse.de
- scsi: target: core: Remove from tmr_list during LUN unlink
  (stable-5.14.19).
- ethtool: fix ethtool msg len calculation for pause stats
  (stable-5.14.19).
- kselftests/net: add missed icmp.sh test to Makefile
  (stable-5.14.19).
- net: davinci_emac: Fix interrupt pacing disable
  (stable-5.14.19).
- NFSv4: Fix a regression in nfs_set_open_stateid_locked()
  (stable-5.14.19).
- ar7: fix kernel builds for compiler test (stable-5.14.19).
- nbd: fix possible overflow for 'first_minor' in nbd_dev_add()
  (stable-5.14.19).
- nbd: fix max value for 'first_minor' (stable-5.14.19).
- gpio: realtek-otto: fix GPIO line IRQ offset (stable-5.14.19).
- openrisc: fix SMP tlb flush NULL pointer dereference
  (stable-5.14.19).
- commit 26c19bd
* Wed Nov 17 2021 tiwai@suse.de
- m68k: set a default value for MEMORY_RESERVE (stable-5.14.19).
- netfilter: nfnetlink_queue: fix OOB when mac header was cleared
  (stable-5.14.19).
- Fix user namespace leak (stable-5.14.19).
- NFS: Fix an Oops in pnfs_mark_request_commit() (stable-5.14.19).
- NFS: Fix up commit deadlocks (stable-5.14.19).
- NFS: Fix deadlocks in nfs_scan_commit_list() (stable-5.14.19).
- pnfs/flexfiles: Fix misplaced barrier in
  nfs4_ff_layout_prepare_ds (stable-5.14.19).
- signal/sh: Use force_sig(SIGKILL) instead of
  do_group_exit(SIGKILL) (stable-5.14.19).
- opp: Fix return in _opp_add_static_v2() (stable-5.14.19).
- fs: orangefs: fix error return code of
  orangefs_revalidate_lookup() (stable-5.14.19).
- commit a5e9684
* Wed Nov 17 2021 tiwai@suse.de
- nfsd: don't alloc under spinlock in rpc_parse_scope_id
  (stable-5.14.19).
- NFS: Fix dentry verifier races (stable-5.14.19).
- NFS: Ignore the directory size when marking for revalidation
  (stable-5.14.19).
- NFS: Don't set NFS_INO_DATA_INVAL_DEFER and NFS_INO_INVALID_DATA
  (stable-5.14.19).
- NFS: Default change_attr_type to NFS4_CHANGE_TYPE_IS_UNDEFINED
  (stable-5.14.19).
- powerpc: Don't provide __kernel_map_pages() without
  ARCH_SUPPORTS_DEBUG_PAGEALLOC (stable-5.14.19).
- powerpc/xmon: fix task state output (stable-5.14.19).
- powerpc/44x/fsp2: add missing of_node_put (stable-5.14.19).
- powerpc/book3e: Fix set_memory_x() and set_memory_nx()
  (stable-5.14.19).
- mips: cm: Convert to bitfield API to fix out-of-bounds access
  (stable-5.14.19).
- commit efb3815
* Wed Nov 17 2021 tiwai@suse.de
- powerpc/nohash: Fix __ptep_set_access_flags() and
  ptep_set_wrprotect() (stable-5.14.19).
- powerpc/booke: Disable STRICT_KERNEL_RWX, DEBUG_PAGEALLOC and
  KFENCE (stable-5.14.19).
- powerpc/perf: Fix cycles/instructions as PM_CYC/PM_INST_CMPL
  in power10 (stable-5.14.19).
- arm64: dts: qcom: sdm845: Fix Qualcomm crypto engine bus clock
  (stable-5.14.19).
- arm64: dts: qcom: pmi8994: Fix "eternal"->"external" typo in
  WLED node (stable-5.14.19).
- ARM: dts: stm32: fix AV96 board SAI2 pin muxing on stm32mp15
  (stable-5.14.19).
- ARM: dts: stm32: fix SAI sub nodes register range
  (stable-5.14.19).
- ARM: dts: stm32: fix STUSB1600 Type-C irq level on
  stm32mp15xx-dkx (stable-5.14.19).
- ARM: dts: stm32: Reduce DHCOR SPI NOR frequency to 50 MHz
  (stable-5.14.19).
- arm64: dts: qcom: sdm845: Use RPMH_CE_CLK macro directly
  (stable-5.14.19).
- commit 84dab26
* Wed Nov 17 2021 tiwai@suse.de
- powerpc: fix unbalanced node refcount in check_kvm_guest()
  (stable-5.14.19).
- powerpc/mem: Fix arch/powerpc/mm/mem.c:53:12: error: no previous
  prototype for 'create_section_mapping' (stable-5.14.19).
- MIPS: loongson64: make CPU_LOONGSON64 depends on MIPS_FP_SUPPORT
  (stable-5.14.19).
- iommu/dma: Fix arch_sync_dma for map (stable-5.14.19).
- iommu/mediatek: Fix out-of-range warning with clang
  (stable-5.14.19).
- arm64: dts: qcom: pm8916: Remove wrong reg-names for rtc@6000
  (stable-5.14.19).
- arm64: dts: qcom: msm8916: Fix Secondary MI2S bit clock
  (stable-5.14.19).
- arm: dts: omap3-gta04a4: accelerometer irq fix (stable-5.14.19).
- arm64: dts: renesas: beacon: Fix Ethernet PHY mode
  (stable-5.14.19).
- JFS: fix memleak in jfs_mount (stable-5.14.19).
- commit 99b404e
* Wed Nov 17 2021 tiwai@suse.de
- arm64: dts: qcom: sc7180: Base dynamic CPU power coefficients
  in reality (stable-5.14.19).
- ARM: dts: qcom: msm8974: Add xo_board reference clock to DSI0
  PHY (stable-5.14.19).
- arm64: dts: ti: j7200-main: Fix "bus-range" upto 256 bus number
  for PCIe (stable-5.14.19).
- arm64: dts: ti: j7200-main: Fix "vendor-id"/"device-id"
  properties of pcie node (stable-5.14.19).
- arm64: dts: ti: k3-j721e-main: Fix "bus-range" upto 256 bus
  number for PCIe (stable-5.14.19).
- arm64: dts: ti: k3-j721e-main: Fix "max-virtual-functions"
  in PCIe EP nodes (stable-5.14.19).
- ARM: dts: at91: tse850: the emac<->phy interface is rmii
  (stable-5.14.19).
- arm64: dts: meson-sm1: Fix the pwm regulator supply properties
  (stable-5.14.19).
- arm64: dts: meson-g12b: Fix the pwm regulator supply properties
  (stable-5.14.19).
- arm64: dts: meson-g12a: Fix the pwm regulator supply properties
  (stable-5.14.19).
- commit b60ffc0
* Wed Nov 17 2021 tiwai@suse.de
- arm64: dts: broadcom: bcm4908: Fix UART clock name
  (stable-5.14.19).
- ARM: dts: BCM5301X: Fix memory nodes names (stable-5.14.19).
- arm64: dts: meson: sm1: add Ethernet PHY reset line for
  ODROID-C4/HC4 (stable-5.14.19).
- arm64: dts: rockchip: Fix GPU register width for RK3328
  (stable-5.14.19).
- arm64: dts: rockchip: fix rk3568 mbi-alias (stable-5.14.19).
- ARM: s3c: irq-s3c24xx: Fix return value check for
  s3c24xx_init_intc() (stable-5.14.19).
- cgroup: Fix rootcg cpu.stat guest double counting
  (stable-5.14.19).
- bpf: Fix propagation of signed bounds from 64-bit min/max into
  32-bit (stable-5.14.19).
- bpf: Fix propagation of bounds from 64-bit min/max into 32-bit
  and var_off (stable-5.14.19).
- skmsg: Lose offset info in sk_psock_skb_ingress
  (stable-5.14.19).
- commit be707b7
* Wed Nov 17 2021 tiwai@suse.de
- udp6: allow SO_MARK ctrl msg to affect routing (stable-5.14.19).
- selftests: net: bridge: update IGMP/MLD membership interval
  value (stable-5.14.19).
- net: bridge: fix uninitialized variables when BRIDGE_CFM is
  disabled (stable-5.14.19).
- net: phylink: avoid mvneta warning when setting pause parameters
  (stable-5.14.19).
- net: amd-xgbe: Toggle PLL settings during rate change
  (stable-5.14.19).
- sctp: return true only for pathmtu update in
  sctp_transport_pl_toobig (stable-5.14.19).
- sctp: subtract sctphdr len in sctp_transport_pl_hlen
  (stable-5.14.19).
- sctp: reset probe_timer in sctp_transport_pl_update
  (stable-5.14.19).
- sctp: allow IP fragmentation when PLPMTUD enters Error state
  (stable-5.14.19).
- selftests/bpf: Fix fclose/pclose mismatch in test_progs
  (stable-5.14.19).
- commit 97ce5c0
* Wed Nov 17 2021 tiwai@suse.de
- cpufreq: intel_pstate: Fix cpu->pstate.turbo_freq initialization
  (stable-5.14.19).
- KVM: s390: Fix handle_sske page fault handling (stable-5.14.19).
- selftests/bpf: Fix memory leak in test_ima (stable-5.14.19).
- selftests/bpf: Fix fd cleanup in sk_lookup test
  (stable-5.14.19).
- bpf: Fixes possible race in update_prog_stats() for 32bit arches
  (stable-5.14.19).
- libbpf: Fix endianness detection in
  BPF_CORE_READ_BITFIELD_PROBED() (stable-5.14.19).
- tcp: don't free a FIN sk_buff in tcp_remove_empty_skb()
  (stable-5.14.19).
- samples/kretprobes: Fix return value if register_kretprobe()
  failed (stable-5.14.19).
- x86: Fix __get_wchan() for !STACKTRACE (stable-5.14.19).
- blk-cgroup: synchronize blkg creation against policy
  deactivation (stable-5.14.19).
- commit dd773f7
* Wed Nov 17 2021 tiwai@suse.de
- blacklist.conf: remove 32bit bpf fix to be backported via stable-5.14.x
- commit 94a93eb
* Wed Nov 17 2021 tiwai@suse.de
- ARM: 9142/1: kasan: work around LPAE build warning
  (stable-5.14.19).
- KVM: s390: pv: avoid stalls for kvm_s390_pv_init_vm
  (stable-5.14.19).
- KVM: s390: pv: avoid double free of sida page (stable-5.14.19).
- s390/uv: fully validate the VMA before calling follow_page()
  (stable-5.14.19).
- s390/mm: fix VMA and page table handling code in storage key
  handling functions (stable-5.14.19).
- s390/mm: validate VMA in PGSTE manipulation functions
  (stable-5.14.19).
- s390/gmap: don't unconditionally call pte_unmap_unlock()
  in __gmap_zap() (stable-5.14.19).
- net: dsa: avoid refcount warnings when ->port_{fdb,mdb}_del
  returns error (stable-5.14.19).
- irq: mips: avoid nested irq_enter() (stable-5.14.19).
- block: ataflop: more blk-mq refactoring fixes (stable-5.14.19).
- commit eea1624
* Wed Nov 17 2021 tiwai@suse.de
- s390/gmap: validate VMA in __gmap_zap() (stable-5.14.19).
- KVM: selftests: Fix nested SVM tests when built with clang
  (stable-5.14.19).
- libbpf: Fix BTF header parsing checks (stable-5.14.19).
- libbpf: Fix overflow in BTF sanity checks (stable-5.14.19).
- bpftool: Avoid leaking the JSON writer prepared for program
  metadata (stable-5.14.19).
- libbpf: Fix memory leak in btf__dedup() (stable-5.14.19).
- smackfs: use netlbl_cfg_cipsov4_del() for deleting cipso_v4_doi
  (stable-5.14.19).
- x86/sev: Fix stack type check in vc_switch_off_ist()
  (stable-5.14.19).
- clocksource/drivers/timer-ti-dm: Select TIMER_OF
  (stable-5.14.19).
- nvme-rdma: fix error code in nvme_rdma_setup_ctrl
  (stable-5.14.19).
- commit 69474bd
* Wed Nov 17 2021 tiwai@suse.de
- drm/msm: fix potential NULL dereference in cleanup
  (stable-5.14.19).
- mt76: connac: fix possible NULL pointer dereference in
  mt76_connac_get_phy_mode_v2 (stable-5.14.19).
- iwlwifi: pnvm: read EFI data only if long enough
  (stable-5.14.19).
- iwlwifi: pnvm: don't kmemdup() more than we have
  (stable-5.14.19).
- net: enetc: unmap DMA in enetc_send_cmd() (stable-5.14.19).
- net: stream: don't purge sk_error_queue in
  sk_stream_kill_queues() (stable-5.14.19).
- tcp: switch orphan_count to bare per-cpu counters
  (stable-5.14.19).
- net: tulip: winbond-840: fix build for UML (stable-5.14.19).
- nbd: Fix use-after-free in pid_show (stable-5.14.19).
- block: ataflop: fix breakage introduced at blk-mq refactoring
  (stable-5.14.19).
- commit 1dcb6ba
* Wed Nov 17 2021 tiwai@suse.de
- cpuidle: Fix kobject memory leaks in error paths
  (stable-5.14.19).
- netfilter: nft_dynset: relax superfluous check on set updates
  (stable-5.14.19).
- net: fealnx: fix build for UML (stable-5.14.19).
- net, neigh: Fix NTF_EXT_LEARNED in combination with NTF_USE
  (stable-5.14.19).
- libbpf: Fix skel_internal.h to set errno on loader retval <
  0 (stable-5.14.19).
- rcu: Always inline rcu_dynticks_task*_{enter,exit}()
  (stable-5.14.19).
- scs: Release kasan vmalloc poison in scs_free process
  (stable-5.14.19).
- x86/insn: Use get_unaligned() instead of memcpy()
  (stable-5.14.19).
- EDAC/amd64: Handle three rank interleaving mode
  (stable-5.14.19).
- IMA: block writes of the security.ima xattr with unsupported
  algorithms (stable-5.14.19).
- commit 9a66afb
* Wed Nov 17 2021 tiwai@suse.de
- cgroup: Make rebind_subsystems() disable v2 controllers all
  at once (stable-5.14.19).
- net: dsa: rtl8366: Fix a bug in deleting VLANs (stable-5.14.19).
- net: dsa: rtl8366rb: Fix off-by-one bug (stable-5.14.19).
- rxrpc: Fix _usecs_to_jiffies() by using usecs_to_jiffies()
  (stable-5.14.19).
- net: phylink: don't call netif_carrier_off() with NULL netdev
  (stable-5.14.19).
- net: net_namespace: Fix undefined member in key_remove_domain()
  (stable-5.14.19).
- MIPS: lantiq: dma: fix burst length for DEU (stable-5.14.19).
- arm64: mm: update max_pfn after memory hotplug (stable-5.14.19).
- objtool: Handle __sanitize_cov*() tail calls (stable-5.14.19).
- x86/xen: Mark cpu_bringup_and_idle() as dead_end_function
  (stable-5.14.19).
- commit cd1e662
* Wed Nov 17 2021 tiwai@suse.de
- selftests/bpf: Fix strobemeta selftest regression
  (stable-5.14.19).
- netfilter: conntrack: set on IPS_ASSURED if flows enters
  internal stream state (stable-5.14.19).
- libbpf: Don't crash on object files with no symbol tables
  (stable-5.14.19).
- rcu: Fix existing exp request check in
  sync_sched_exp_online_cleanup() (stable-5.14.19).
- parisc/kgdb: add kgdb_roundup() to make kgdb work with idle
  polling (stable-5.14.19).
- parisc/unwind: fix unwinder when CONFIG_64BIT is enabled
  (stable-5.14.19).
- task_stack: Fix end_of_stack() for architectures with
  upwards-growing stack (stable-5.14.19).
- parisc: fix warning in flush_tlb_all (stable-5.14.19).
- perf/x86/intel: Fix ICL/SPR INST_RETIRED.PREC_DIST encodings
  (stable-5.14.19).
- erofs: don't trigger WARN() when decompression fails
  (stable-5.14.19).
- commit 4c6d157
* Wed Nov 17 2021 tiwai@suse.de
- selftests/core: fix conflicting types compile error for
  close_range() (stable-5.14.19).
- drm/amd/display: dcn20_resource_construct reduce scope of FPU
  enabled (stable-5.14.19).
- x86/hyperv: Protect set_hv_tscchange_cb() against getting
  preempted (stable-5.14.19).
- Revert "wcn36xx: Enable firmware link monitoring"
  (stable-5.14.19).
- wcn36xx: Fix packet drop on resume (stable-5.14.19).
- wcn36xx: Correct band/freq reporting on RX (stable-5.14.19).
- ftrace: do CPU checking after preemption disabled
  (stable-5.14.19).
- spi: bcm-qspi: Fix missing clk_disable_unprepare() on error
  in bcm_qspi_probe() (stable-5.14.19).
- btrfs: do not take the uuid_mutex in btrfs_rm_device
  (stable-5.14.19).
- btrfs: reflink: initialize return value to 0 in
  btrfs_extent_same() (stable-5.14.19).
- commit 2eabf0b
* Wed Nov 17 2021 tiwai@suse.de
- ACPI: AC: Quirk GK45 to skip reading _PSR (stable-5.14.19).
- ACPI: resources: Add one more Medion model in IRQ override quirk
  (stable-5.14.19).
- gfs2: Fix glock_hash_walk bugs (stable-5.14.19).
- gfs2: Cancel remote delete work asynchronously (stable-5.14.19).
- ARM: 9136/1: ARMv7-M uses BE-8, not BE-32 (stable-5.14.19).
- net: annotate data-race in neigh_output() (stable-5.14.19).
- vrf: run conntrack only in context of lower/physdev for locally
  generated packets (stable-5.14.19).
- can: bittiming: can_fixup_bittiming(): change type of tseg1
  and alltseg to unsigned int (stable-5.14.19).
- gre/sit: Don't generate link-local addr if addr_gen_mode is
  IN6_ADDR_GEN_MODE_NONE (stable-5.14.19).
- tools/latency-collector: Use correct size when writing
  queue_full_warning (stable-5.14.19).
- commit fa88a36
* Wed Nov 17 2021 tiwai@suse.de
- selftests: kvm: fix mismatched fclose() after popen()
  (stable-5.14.19).
- selftests/bpf: Fix perf_buffer test on system with offline cpus
  (stable-5.14.19).
- iwlwifi: mvm: disable RX-diversity in powersave
  (stable-5.14.19).
- ARM: clang: Do not rely on lr register for stacktrace
  (stable-5.14.19).
- smackfs: use __GFP_NOFAIL for smk_cipso_doi() (stable-5.14.19).
- arm64: vdso32: suppress error message for 'make mrproper'
  (stable-5.14.19).
- nvme: drop scan_lock and always kick requeue list when removing
  namespaces (stable-5.14.19).
- nvmet-tcp: fix use-after-free when a port is removed
  (stable-5.14.19).
- nvmet-rdma: fix use-after-free when a port is removed
  (stable-5.14.19).
- nvmet: fix use-after-free when a port is removed
  (stable-5.14.19).
- commit 67aba3b
* Wed Nov 17 2021 tiwai@suse.de
- drm/amdgpu/pm: properly handle sclk for profiling modes on
  vangogh (stable-5.14.19).
- workqueue: make sysfs of unbound kworker cpumask more clever
  (stable-5.14.19).
- mt76: mt7915: fix an off-by-one bound check (stable-5.14.19).
- iwlwifi: change all JnP to NO-160 configuration
  (stable-5.14.19).
- mwl8k: Fix use-after-free in mwl8k_fw_state_machine()
  (stable-5.14.19).
- tracing/cfi: Fix cmp_entries_* functions signature mismatch
  (stable-5.14.19).
- media: allegro: ignore interrupt if mailbox is not initialized
  (stable-5.14.19).
- lib/xz: Validate the value before assigning it to an enum
  variable (stable-5.14.19).
- lib/xz: Avoid overlapping memcpy() with invalid input with
  in-place decompression (stable-5.14.19).
- block: remove inaccurate requeue check (stable-5.14.19).
- commit c9c6f49
* Wed Nov 17 2021 tiwai@suse.de
- thermal/core: Fix null pointer dereference in thermal_release()
  (stable-5.14.19).
- Refresh
  patches.suse/thermal-core-fix-a-UAF-bug-in-__thermal_cooling_devi.patch.
- commit 0f45953
* Wed Nov 17 2021 tiwai@suse.de
- drm/msm: prevent NULL dereference in
  msm_gpu_crashstate_capture() (stable-5.14.19).
- drm/amdkfd: fix resume error when iommu disabled in Picasso
  (stable-5.14.19).
- drm/amd/display: fix null pointer deref when plugging in display
  (stable-5.14.19).
- thermal/drivers/tsens: Add timeout to get_temp_tsens_valid
  (stable-5.14.19).
- net: phy: micrel: make *-skew-ps check more lenient
  (stable-5.14.19).
- memstick: r592: Fix a UAF bug when removing the driver
  (stable-5.14.19).
- md: update superblock after changing rdev flags in state_store
  (stable-5.14.19).
- floppy: fix calling platform_device_unregister() on invalid
  drives (stable-5.14.19).
- block: bump max plugged deferred size from 16 to 32
  (stable-5.14.19).
- commit b6ec3a2
* Wed Nov 17 2021 tiwai@suse.de
- drm/amdkfd: rm BO resv on validation to avoid deadlock
  (stable-5.14.19).
- ACPI: battery: Accept charges over the design capacity as full
  (stable-5.14.19).
- ACPI: scan: Release PM resources blocked by unused objects
  (stable-5.14.19).
- iov_iter: Fix iov_iter_get_pages{,_alloc} page fault return
  value (stable-5.14.19).
- ath: dfs_pattern_detector: Fix possible null-pointer dereference
  in channel_detector_create() (stable-5.14.19).
- net-sysfs: try not to restart the syscall if it will fail
  eventually (stable-5.14.19).
- tracing: Disable "other" permission bits in the tracefs files
  (stable-5.14.19).
- tracefs: Have tracefs directories not set OTH permission bits
  by default (stable-5.14.19).
- mmc: moxart: Fix reference count leaks in moxart_probe
  (stable-5.14.19).
- media: usb: dvd-usb: fix uninit-value bug in
  dibusb_read_eeprom_byte() (stable-5.14.19).
- commit c6cab2b
* Wed Nov 17 2021 tiwai@suse.de
- cpufreq: Make policy min/max hard requirements (stable-5.14.19).
- ACPICA: Avoid evaluating methods too early during system resume
  (stable-5.14.19).
- brcmfmac: Add DMI nvram filename quirk for Cyberbook T116 tablet
  (stable-5.14.19).
- rtw88: fix RX clock gate setting while fifo dump
  (stable-5.14.19).
- ipmi: Disable some operations during a panic (stable-5.14.19).
- media: ipu3-imgu: VIDIOC_QUERYCAP: Fix bus_info
  (stable-5.14.19).
- media: ipu3-imgu: imgu_fmt: Handle properly try
  (stable-5.14.19).
- media: imx-jpeg: Fix possible null pointer dereference
  (stable-5.14.19).
- media: rcar-csi2: Add checking to rcsi2_start_receiver()
  (stable-5.14.19).
- kselftests/sched: cleanup the child processes (stable-5.14.19).
- commit 2879ff0
* Wed Nov 17 2021 tiwai@suse.de
- ia64: don't do IA64_CMPXCHG_DEBUG without CONFIG_PRINTK
  (stable-5.14.19).
- media: mceusb: return without resubmitting URB in case of
  - EPROTO error (stable-5.14.19).
- media: rcar-vin: Use user provided buffers when starting
  (stable-5.14.19).
- media: imx: set a media_device bus_info string (stable-5.14.19).
- media: videobuf2: rework vb2_mem_ops API (stable-5.14.19).
- media: s5p-mfc: Add checking to s5p_mfc_probe()
  (stable-5.14.19).
- media: s5p-mfc: fix possible null-pointer dereference in
  s5p_mfc_probe() (stable-5.14.19).
- media: vidtv: Fix memory leak in remove (stable-5.14.19).
- media: uvcvideo: Set unique vdev name based in type
  (stable-5.14.19).
- media: uvcvideo: Return -EIO for control errors
  (stable-5.14.19).
- commit 36aa6fb
* Wed Nov 17 2021 tiwai@suse.de
- ath10k: high latency fixes for beacon buffer (stable-5.14.19).
- ath11k: Change DMA_FROM_DEVICE to DMA_TO_DEVICE when map
  reinjected packets (stable-5.14.19).
- ath11k: add handler for scan event WMI_SCAN_EVENT_DEQUEUED
  (stable-5.14.19).
- ath11k: Avoid reg rules update during firmware recovery
  (stable-5.14.19).
- octeontx2-pf: Enable promisc/allmulti match MCAM entries
  (stable-5.14.19).
- media: uvcvideo: Set capability in s_param (stable-5.14.19).
- media: stm32: Potential NULL pointer dereference in
  dcmi_irq_thread() (stable-5.14.19).
- media: atomisp: Fix error handling in probe (stable-5.14.19).
- media: netup_unidvb: handle interrupt properly according to
  the firmware (stable-5.14.19).
- media: mt9p031: Fix corrupted frame after restarting stream
  (stable-5.14.19).
- commit 23c0bf6
* Wed Nov 17 2021 tiwai@suse.de
- drm/amd/display: Fix null pointer dereference for encoders
  (stable-5.14.19).
- drm/amdgpu: Fix MMIO access page fault (stable-5.14.19).
- x86: Increase exception stack sizes (stable-5.14.19).
- mwifiex: Properly initialize private structure on interface
  type changes (stable-5.14.19).
- mwifiex: Run SET_BSS_MODE when changing from P2P to STATION
  vif-type (stable-5.14.19).
- selftests: net: fib_nexthops: Wait before checking reported
  idle time (stable-5.14.19).
- crypto: aesni - check walk.nbytes instead of err
  (stable-5.14.19).
- spi: Check we have a spi_device_id for each DT compatible
  (stable-5.14.19).
- fscrypt: allow 256-bit master keys with AES-256-XTS
  (stable-5.14.19).
- commit da16a21
* Wed Nov 17 2021 tiwai@suse.de
- platform/x86: wmi: do not fail if disabling fails
  (stable-5.14.19).
- ACPI: resources: Add DMI-based legacy IRQ override quirk
  (stable-5.14.19).
- ath11k: Align bss_chan_info structure with firmware
  (stable-5.14.19).
- net: sched: update default qdisc visibility after Tx queue
  cnt changes (stable-5.14.19).
- MIPS: lantiq: dma: reset correct number of channel
  (stable-5.14.19).
- MIPS: lantiq: dma: add small delay after reset (stable-5.14.19).
- rcutorture: Avoid problematic critical section nesting on
  PREEMPT_RT (stable-5.14.19).
- rcu-tasks: Move RTGS_WAIT_CBS to beginning of
  rcu_tasks_kthread() loop (stable-5.14.19).
- smackfs: Fix use-after-free in netlbl_catmap_walk()
  (stable-5.14.19).
- locking/lockdep: Avoid RCU-induced noinstr fail
  (stable-5.14.19).
- commit 2c9b87d
* Wed Nov 17 2021 tiwai@suse.de
- cifs: set a minimum of 120s for next dns resolution
  (stable-5.14.19).
- coresight: trbe: Defer the probe on offline CPUs
  (stable-5.14.19).
- coresight: trbe: Fix incorrect access of the sink specific data
  (stable-5.14.19).
- coresight: cti: Correct the parameter for pm_runtime_put
  (stable-5.14.19).
- drm/panel-orientation-quirks: add Valve Steam Deck
  (stable-5.14.19).
- drm: panel-orientation-quirks: Add quirk for the Samsung Galaxy
  Book 10.6 (stable-5.14.19).
- drm: panel-orientation-quirks: Add quirk for KD Kurio Smart
  C15200 2-in-1 (stable-5.14.19).
- drm: panel-orientation-quirks: Update the Lenovo Ideapad D330
  quirk (v2) (stable-5.14.19).
- dma-buf: WARN on dmabuf release with pending attachments
  (stable-5.14.19).
- Bluetooth: fix use-after-free error in lock_sock_nested()
  (stable-5.14.19).
- commit bd4d6ec
* Wed Nov 17 2021 tiwai@suse.de
- KVM: nVMX: Handle dynamic MSR intercept toggling
  (stable-5.14.19).
- KVM: nVMX: Query current VMCS when determining if MSR bitmaps
  are in use (stable-5.14.19).
- ring-buffer: Protect ring_buffer_reset() from reentrancy
  (stable-5.14.19).
- xen/balloon: add late_initcall_sync() for initial ballooning
  done (stable-5.14.19).
- ovl: fix use after free in struct ovl_aio_req (stable-5.14.19).
- cifs: To match file servers, make sure the server hostname
  matches (stable-5.14.19).
- quota: correct error number in free_dqentry() (stable-5.14.19).
- quota: check block number when reading the block in quota file
  (stable-5.14.19).
- powerpc/85xx: Fix oops when mpc85xx_smp_guts_ids node cannot
  be found (stable-5.14.19).
- ifb: fix building without CONFIG_NET_CLS_ACT (stable-5.14.19).
- commit f46c787
* Wed Nov 17 2021 tiwai@suse.de
- KVM: arm64: Extract ESR_ELx.EC only (stable-5.14.19).
- KVM: x86: Add helper to consolidate core logic of SET_CPUID{2}
  flows (stable-5.14.19).
- KVM: x86: Fix recording of guest steal time / preempted status
  (stable-5.14.19).
- signal/mips: Update (_save|_restore)_fp_context to fail with
  - EFAULT (stable-5.14.19).
- signal: Remove the bogus sigkill_pending in ptrace_stop
  (stable-5.14.19).
- libata: fix checking of DMA state (stable-5.14.19).
- wcn36xx: handle connection loss indication (stable-5.14.19).
- perf/x86/intel/uncore: Fix Intel ICX IIO event constraints
  (stable-5.14.19).
- perf/x86/intel/uncore: Fix invalid unit check (stable-5.14.19).
- perf/x86/intel/uncore: Support extra IMC channel on Ice Lake
  server (stable-5.14.19).
- commit 3bc363d
* Wed Nov 17 2021 tiwai@suse.de
- HID: surface-hid: Allow driver matching for target ID 1 devices
  (stable-5.14.19).
- HID: surface-hid: Use correct event registry for managing HID
  events (stable-5.14.19).
- platform/surface: aggregator_registry: Add support for Surface
  Laptop Studio (stable-5.14.19).
- evm: mark evm_fixmode as __ro_after_init (stable-5.14.19).
- ifb: Depend on netfilter alternatively to tc (stable-5.14.19).
- mt76: mt7615: fix skb use-after-free on mac reset
  (stable-5.14.19).
- mwifiex: Try waking the firmware until we get an interrupt
  (stable-5.14.19).
- mwifiex: Read a PCI register after writing the TX ring write
  pointer (stable-5.14.19).
- selinux: fix race condition when computing ocontext SIDs
  (stable-5.14.19).
- md/raid1: only allocate write behind bio for WriteMostly device
  (stable-5.14.19).
- commit f47bd03
* Wed Nov 17 2021 tiwai@suse.de
- KVM: PPC: Tick accounting should defer vtime accounting 'til
  after IRQ handling (stable-5.14.19).
- KVM: VMX: Unregister posted interrupt wakeup handler on hardware
  unsetup (stable-5.14.19).
- ia64: kprobes: Fix to pass correct trampoline address to the
  handler (stable-5.14.19).
- btrfs: clear MISSING device status bit in btrfs_close_one_device
  (stable-5.14.19).
- btrfs: call btrfs_check_rw_degradable only if there is a
  missing device (stable-5.14.19).
- btrfs: fix lost error handling when replaying directory deletes
  (stable-5.14.19).
- tools/testing/selftests/vm/split_huge_page_test.c: fix
  application of sizeof to pointer (stable-5.14.19).
- net/smc: Correct spelling mistake to TCPF_SYN_RECV
  (stable-5.14.19).
- net/smc: Fix smc_link->llc_testlink_time overflow
  (stable-5.14.19).
- nfp: bpf: relax prog rejection for mtu check through
  max_pkt_offset (stable-5.14.19).
- commit 602c6fc
* Wed Nov 17 2021 tiwai@suse.de
- nvmet-tcp: fix header digest verification (stable-5.14.19).
- nvmet-tcp: fix a memory leak when releasing a queue
  (stable-5.14.19).
- block: schedule queue restart after BLK_STS_ZONE_RESOURCE
  (stable-5.14.19).
- drm: panel-orientation-quirks: Add quirk for GPD Win3
  (stable-5.14.19).
- vmxnet3: do not stop tx queues after netif_device_detach()
  (stable-5.14.19).
- r8169: Add device 10ec:8162 to driver r8169 (stable-5.14.19).
- net: multicast: calculate csum of looped-back and forwarded
  packets (stable-5.14.19).
- xen/netfront: stop tx queues during live migration
  (stable-5.14.19).
- spi: spl022: fix Microwire full duplex mode (stable-5.14.19).
- watchdog: Fix OMAP watchdog early handling (stable-5.14.19).
- commit 5cebf2b
* Wed Nov 17 2021 tiwai@suse.de
- mmc: winbond: don't build on M68K (stable-5.14.19).
- drm: panel-orientation-quirks: Add quirk for Aya Neo 2021
  (stable-5.14.19).
- bpf: Prevent increasing bpf_jit_limit above max
  (stable-5.14.19).
- bpf: Define bpf_jit_alloc_exec_limit for arm64 JIT
  (stable-5.14.19).
- bpf: Define bpf_jit_alloc_exec_limit for riscv JIT
  (stable-5.14.19).
- fcnal-test: kill hanging ping/nettest binaries on cleanup
  (stable-5.14.19).
- spi: altera: Change to dynamic allocation of spi id
  (stable-5.14.19).
- reset: socfpga: add empty driver allowing consumers to probe
  (stable-5.14.19).
- ARM: dts: sun7i: A20-olinuxino-lime2: Fix ethernet phy-mode
  (stable-5.14.19).
- sfc: Don't use netif_info before net_device setup
  (stable-5.14.19).
- commit 1834fb0
* Wed Nov 17 2021 tiwai@suse.de
- scsi: qla2xxx: Fix unmap of already freed sgl (stable-5.14.19).
- scsi: qla2xxx: Return -ENOMEM if kzalloc() fails
  (stable-5.14.19).
- sfc: Export fibre-specific supported link modes
  (stable-5.14.19).
- cavium: Fix return values of the probe function
  (stable-5.14.19).
- mISDN: Fix return values of the probe function (stable-5.14.19).
- cavium: Return negative value when pci_alloc_irq_vectors()
  fails (stable-5.14.19).
- net: mscc: ocelot: Add of_node_put() before goto
  (stable-5.14.19).
- net: sparx5: Add of_node_put() before goto (stable-5.14.19).
- ptp: fix error print of ptp_kvm on X86_64 platform
  (stable-5.14.19).
- ASoC: cs42l42: Ensure 0dB full scale volume is used for headsets
  (stable-5.14.19).
- commit b649fea
* Wed Nov 17 2021 tiwai@suse.de
- ext4: refresh the ext4_ext_path struct after dropping i_data_sem
  (stable-5.14.19).
- ext4: ensure enough credits in ext4_ext_shift_path_extents
  (stable-5.14.19).
- ext4: fix lazy initialization next schedule time computation
  in more granular unit (stable-5.14.19).
- x86/irq: Ensure PI wakeup handler is unregistered before module
  unload (stable-5.14.19).
- x86/iopl: Fake iopl(3) CLI/STI usage (stable-5.14.19).
- media: ir-kbd-i2c: improve responsiveness of hauppauge zilog
  receivers (stable-5.14.19).
- parisc: Fix ptrace check on syscall return (stable-5.14.19).
- x86/cpu: Fix migration safety with X86_BUG_NULL_SEL
  (stable-5.14.19).
- ASoC: soc-core: fix null-ptr-deref in
  snd_soc_del_component_unlocked() (stable-5.14.19).
- KVM: arm64: Report corrupted refcount at EL2 (stable-5.14.19).
- commit e87c1d0
* Wed Nov 17 2021 tiwai@suse.de
- ce/gf100: fix incorrect CE0 address calculation on some GPUs
  (stable-5.14.19).
- Input: elantench - fix misreporting trackpoint coordinates
  (stable-5.14.19).
- libata: fix read log timeout value (stable-5.14.19).
- ocfs2: fix data corruption on truncate (stable-5.14.19).
- usb: xhci: Enable runtime-pm by default on AMD Yellow Carp
  platform (stable-5.14.19).
- mmc: dw_mmc: Dont wait for DRTO on Write RSP error
  (stable-5.14.19).
- mmc: mtk-sd: Add wait dma stop done flow (stable-5.14.19).
- parisc: Fix set_fixmap() on PA1.x CPUs (stable-5.14.19).
- exfat: fix incorrect loading of i_blocks for large files
  (stable-5.14.19).
- commit d3aead9
* Wed Nov 17 2021 tiwai@suse.de
- Update patch references for stable-5.14.19
- commit 0013369
* Wed Nov 17 2021 shung-hsi.yu@suse.com
- bpf: Disallow unprivileged bpf by default (jsc#SLE-22575).
- commit 1dfa117
* Wed Nov 17 2021 tiwai@suse.de
- Move upstreamed input patch into sorted section
- commit 6ef8342
* Wed Nov 17 2021 tiwai@suse.de
- Input: i8042 - Add deferred probe support (bsc#1190256).
- commit 0a16328
* Wed Nov 17 2021 lduncan@suse.com
- iscsi_ibft: Fix isa_bus_to_virt not working under ARM
  (bsc#1191540).
- iscsi_ibft: fix crash due to KASLR physical memory remapping
  (bsc#1191540).
- commit 64cab0a
* Tue Nov 16 2021 lduncan@suse.com
- Updated git-fix to remove uncalled function, fixing merge.
  This fixes:
  > Changed build warnings:
  > ***** 1 warnings *****
  > * unused-function (ufshcd_send_request_sense) in ../drivers/scsi/ufs/ufshcd.c
  > ../drivers/scsi/ufs/ufshcd.c:8449:1: warning: 'ufshcd_send_request_sense' defined but not used [-Wunused-function]
- commit 7e447e5
* Tue Nov 16 2021 msuchanek@suse.de
- powerps/pseries/dma: Add support for 2M IOMMU page size
  (jsc#SLE-19556).
- commit 23aad36
* Tue Nov 16 2021 tbogendoerfer@suse.de
- net: ethernet: ti: Move devlink registration to be last devlink
  command (jsc#SLE-19253).
- commit 2ddcb3f
* Tue Nov 16 2021 pmladek@suse.com
- workqueue: fix state-dump console deadlock (bsc#1192750).
- commit 25dc8d6
* Tue Nov 16 2021 pmladek@suse.com
- tracing: Increase PERF_MAX_TRACE_SIZE to handle Sentinel1 and
  docker together (bsc#1192745).
- commit 778cf29
* Tue Nov 16 2021 iivanov@suse.de
- random: fix crash on multiple early calls to add_bootloader_randomness() (bsc#1184924)
- commit d0015c2
* Tue Nov 16 2021 oneukum@suse.com
- PCI: Coalesce host bridge contiguous apertures (jsc#SLE-19359).
- commit ef3ff2c
* Tue Nov 16 2021 oneukum@suse.com
- PCI/sysfs: Return -EINVAL consistently from "store" functions
  (git-fixes).
- commit e4fd4ba
* Tue Nov 16 2021 oneukum@suse.com
- PCI/sysfs: Check CAP_SYS_ADMIN before parsing user input
  (git-fixes).
- commit 0da7e42
* Tue Nov 16 2021 oneukum@suse.com
- PCI: ACPI: Drop acpi_pci_bus (git-fixes).
- commit 2ffd6b1
* Tue Nov 16 2021 oneukum@suse.com
- PCI: Rename pcibios_add_device() to pcibios_device_add()
  (git-fixes).
- commit 8247513
* Tue Nov 16 2021 oneukum@suse.com
- PCI: Mark Atheros QCA6174 to avoid bus reset (git-fixes).
- commit 23e2a05
* Tue Nov 16 2021 oneukum@suse.com
- PCI/P2PDMA: Apply bus offset correctly in DMA address
  calculation (git-fixes).
- commit fb136b8
* Tue Nov 16 2021 tbogendoerfer@suse.de
- ice: support basic E-Switch mode control (jsc#SLE-18375).
- Update config files.
- commit d25f447
* Tue Nov 16 2021 tbogendoerfer@suse.de
- devlink: Set device as early as possible (jsc#SLE-19253).
- Refresh
  patches.suse/net-hns3-remove-always-exist-devlink-pointer-check.patch.
- commit 332e4ab
* Tue Nov 16 2021 tbogendoerfer@suse.de
- net/mlx5: Lag, fix a potential Oops with
  mlx5_lag_create_definer() (jsc#SLE-19253).
- net: hns3: allow configure ETS bandwidth of all TCs
  (bsc#1190336).
- net: hns3: remove check VF uc mac exist when set by PF
  (bsc#1190336).
- net: hns3: fix some mac statistics is always 0 in device
  version V2 (bsc#1190336).
- net: hns3: fix kernel crash when unload VF while it is being
  reset (bsc#1190336).
- net: hns3: sync rx ring head in echo common pull (bsc#1190336).
- net: hns3: fix pfc packet number incorrect after querying pfc
  parameters (bsc#1190336).
- net: hns3: fix ROCE base interrupt vector initialization bug
  (bsc#1190336).
- net: hns3: fix failed to add reuse multicast mac addr to
  hardware when mc mac table is full (bsc#1190336).
- net: hisilicon: fix hsn3_ethtool kernel-doc warnings
  (bsc#1190336).
- ice: Fix race conditions between virtchnl handling and VF ndo
  ops (jsc#SLE-18375).
- ice: Fix not stopping Tx queues for VFs (jsc#SLE-18375).
- ice: Fix replacing VF hardware MAC to existing MAC filter
  (jsc#SLE-18375).
- ice: Remove toggling of antispoof for VF trusted promiscuous
  mode (jsc#SLE-18375).
- ice: Fix VF true promiscuous mode (jsc#SLE-18375).
- bnxt_en: avoid newline at end of message in NL_SET_ERR_MSG_MOD
  (jsc#SLE-18978).
- net: hns3: use dev_driver_string() instead of
  pci_dev->driver->name (bsc#1190336).
- RDMA/core: Require the driver to set the IOVA correctly during
  rereg_mr (jsc#SLE-19249).
- RDMA/bnxt_re: Remove unsupported bnxt_re_modify_ah callback
  (jsc#SLE-18977).
- RDMA/qedr: Fix NULL deref for query_qp on the GSI QP
  (jsc#SLE-18998).
- RDMA/hns: Modify the value of MAX_LP_MSG_LEN to meet hardware
  compatibility (bsc#1190336).
- RDMA/hns: Fix initial arm_st of CQ (bsc#1190336).
- RDMA/irdma: optimize rx path by removing unnecessary copy
  (jsc#SLE-18383).
- RDMA/hns: Use the core code to manage the fixed mmap entries
  (bsc#1190336).
- IB/opa_vnic: Rebranding of OPA VNIC driver to Cornelis Networks
  (jsc#SLE-19242).
- IB/qib: Rebranding of qib driver to Cornelis Networks
  (jsc#SLE-19242).
- IB/hfi1: Rebranding of hfi1 driver to Cornelis Networks
  (jsc#SLE-19242).
- RDMA/bnxt_re: Use helper function to set GUIDs (jsc#SLE-18977).
- RDMA/bnxt_re: Fix kernel panic when trying to access
  bnxt_re_stat_descs (jsc#SLE-18977).
- RDMA/rxe: Make rxe_type_info static const (jsc#SLE-19249).
- RDMA/rxe: Use 'bitmap_zalloc()' when applicable (jsc#SLE-19249).
- RDMA/rxe: Save a few bytes from struct rxe_pool (jsc#SLE-19249).
- RDMA/irdma: Remove the unused variable local_qp (jsc#SLE-18383).
- RDMA/core: Fix missed initialization of rdma_hw_stats::lock
  (jsc#SLE-19249).
- RDMA/efa: Add support for dmabuf memory regions (jsc#SLE-19249).
- RDMA/umem: Allow pinned dmabuf umem usage (jsc#SLE-19249).
- RDMA/qedr: Remove unsupported qedr_resize_cq callback
  (jsc#SLE-18998).
- RDMA/irdma: Remove the unused spin lock in struct irdma_qp_uk
  (jsc#SLE-18383).
- RDMA/mlx5: Use dev_addr_mod() (jsc#SLE-19250).
- RDMA/ipoib: Use dev_addr_mod() (jsc#SLE-19249).
- RDMA/mlx5: fix build error with INFINIBAND_USER_ACCESS=n
  (jsc#SLE-19249).
- RDMA/core: Use kvzalloc when allocating the struct ib_port
  (jsc#SLE-19249).
- RDMA/irdma: Make irdma_uk_cq_init() return a void
  (jsc#SLE-18383).
- RDMA/rxe: Convert kernel UD post send to use ah_num
  (jsc#SLE-19249).
- RDMA/rxe: Lookup kernel AH from ah index in UD WQEs
  (jsc#SLE-19249).
- RDMA/rxe: Replace ah->pd by ah->ibah.pd (jsc#SLE-19249).
- RDMA/rxe: Create AH index and return to user space
  (jsc#SLE-19249).
- RDMA/rxe: Change AH objects to indexed (jsc#SLE-19249).
- RDMA/rxe: Move AV from rxe_send_wqe to rxe_send_wr
  (jsc#SLE-19249).
- RDMA/mlx4: Return missed an error if device doesn't support
  steering (jsc#SLE-19249).
- RDMA/irdma: Remove irdma_cqp_up_map_cmd() (jsc#SLE-18383).
- RDMA/irdma: Remove irdma_get_hw_addr() (jsc#SLE-18383).
- RDMA/irdma: Remove irdma_sc_send_lsmm_nostag() (jsc#SLE-18383).
- RDMA/irdma: Remove irdma_uk_mw_bind() (jsc#SLE-18383).
- RDMA: Remove redundant 'flush_workqueue()' calls
  (jsc#SLE-19249).
- RDMA/iwpm: Remove redundant initialization of pointer err_str
  (jsc#SLE-19249).
- RDMA/hns: Use dma_alloc_coherent() instead of
  kmalloc/dma_map_single() (bsc#1190336).
- RDMA/mlx5: Add optional counter support in get_hw_stats callback
  (jsc#SLE-19249).
- RDMA/mlx5: Add modify_op_stat() support (jsc#SLE-19249).
- RDMA/mlx5: Add steering support in optional flow counters
  (jsc#SLE-19249).
- RDMA/mlx5: Support optional counters in hw_stats initialization
  (jsc#SLE-19249).
- RDMA/nldev: Allow optional-counter status configuration through
  RDMA netlink (jsc#SLE-19249).
- RDMA/nldev: Split nldev_stat_set_mode_doit out of
  nldev_stat_set_doit (jsc#SLE-19249).
- RDMA/nldev: Add support to get status of all counters
  (jsc#SLE-19249).
- RDMA/counter: Add optional counter support (jsc#SLE-19249).
- RDMA/counter: Add an is_disabled field in struct rdma_hw_stats
  (jsc#SLE-19249).
- RDMA/core: Add a helper API rdma_free_hw_stats_struct
  (jsc#SLE-19249).
- RDMA/counter: Add a descriptor in struct rdma_hw_stats
  (jsc#SLE-19249).
- RDMA/efa: CQ notifications (jsc#SLE-19249).
- RDMA/rxe: Remove duplicate settings (jsc#SLE-19249).
- RDMA/rxe: Set partial attributes when completion status !=
  IBV_WC_SUCCESS (jsc#SLE-19249).
- RDMA/rxe: Change the is_user member of struct rxe_cq to bool
  (jsc#SLE-19249).
- RDMA/rxe: Remove the is_user members of struct
  rxe_sq/rxe_rq/rxe_srq (jsc#SLE-19249).
- RDMA/irdma: Delete unused struct irdma_bth (jsc#SLE-18383).
- IB/hf1: Use string_upper() instead of an open coded variant
  (jsc#SLE-19242).
- RDMA/rw: switch to dma_map_sgtable() (jsc#SLE-19249).
- RDMA/mlx5: Avoid taking MRs from larger MR cache pools when
  a pool is empty (jsc#SLE-19250).
- RDMA/rtrs-clt: Follow "one entry one value" rule for IO
  migration stats (jsc#SLE-19249).
- RDMA/rtrs: Do not allow sessname to contain special symbols /
  and  (jsc#SLE-19249).
- RDMA/rtrs: Introduce destroy_cq helper (jsc#SLE-19249).
- RDMA/rtrs: Replace duplicate check with is_pollqueue helper
  (jsc#SLE-19249).
- RDMA/rtrs: Fix warning when use poll mode on client side
  (jsc#SLE-19249).
- RDMA/rtrs: Remove len parameter from helper print functions
  of sysfs (jsc#SLE-19249).
- RDMA/rtrs: Use sysfs_emit instead of s*printf function for
  sysfs show (jsc#SLE-19249).
- RDMA/cma: Split apart the multiple uses of the same list heads
  (jsc#SLE-19249).
- RDMA/rxe: Bump up default maximum values used via uverbs
  (jsc#SLE-19249).
- IB/mlx5: Flow through a more detailed return code from
  get_prefetchable_mr() (jsc#SLE-19250).
- RDMA/rxe: Remove unused WR_READ_WRITE_OR_SEND_MASK
  (jsc#SLE-19249).
- RDMA/rxe: Add MASK suffix for RXE_READ_OR_ATOMIC and
  RXE_WRITE_OR_SEND (jsc#SLE-19249).
- RDMA/rxe: Add new RXE_READ_OR_WRITE_MASK (jsc#SLE-19249).
- RDMA/hfi1: Use struct_size() and flex_array_size() helpers
  (jsc#SLE-19242).
- IB/hfi1: Add ring consumer and producers traces (jsc#SLE-19242).
- IB/hfi1: Remove atomic completion count (jsc#SLE-19242).
- IB/hfi1: Tune netdev xmit cachelines (jsc#SLE-19242).
- IB/hfi1: Get rid of tx priv backpointer (jsc#SLE-19242).
- IB/hfi1: Get rid of hot path divide (jsc#SLE-19242).
- IB/hfi1: Remove cache and embed txreq in ring (jsc#SLE-19242).
- RDMA/rxe: Only allow invalidate for appropriate MRs
  (jsc#SLE-19249).
- RDMA/rxe: Create duplicate mapping tables for FMRs
  (jsc#SLE-19249).
- RDMA/rxe: Separate HW and SW l/rkeys (jsc#SLE-19249).
- RDMA/rxe: Cleanup MR status and type enums (jsc#SLE-19249).
- RDMA/rxe: Add memory barriers to kernel queues (jsc#SLE-19249).
- RDMA/bnxt_re: Check if the vlan is valid before reporting
  (jsc#SLE-18977).
- RDMA/bnxt_re: Correct FRMR size calculation (jsc#SLE-18977).
- RDMA/bnxt_re: Use GFP_KERNEL in non atomic context
  (jsc#SLE-18977).
- RDMA/bnxt_re: Fix FRMR issue with single page MR allocation
  (jsc#SLE-18977).
- RDMA/bnxt_re: Fix query SRQ failure (jsc#SLE-18977).
- RDMA/bnxt_re: Suppress unwanted error messages (jsc#SLE-18977).
- RDMA/bnxt_re: Support multiple page sizes (jsc#SLE-18977).
- RDMA/bnxt_re: Reduce the delay in polling for hwrm command
  completion (jsc#SLE-18977).
- RDMA/bnxt_re: Use separate response buffer for stat_ctx_free
  (jsc#SLE-18977).
- RDMA/bnxt_re: Update statistics counter name (jsc#SLE-18977).
- RDMA/bnxt_re: Add extended statistics counters (jsc#SLE-18977).
- RDMA/rxe: remove the unnecessary variable (jsc#SLE-19249).
- RDMA/rxe: remove the redundant variable (jsc#SLE-19249).
- RDMA/rxe: Fix wrong port_cap_flags (jsc#SLE-19249).
- iavf: Fix kernel BUG in free_msi_irqs (jsc#SLE-18385).
- iavf: Add helper function to go from pci_dev to adapter
  (jsc#SLE-18385).
- ice: Hide bus-info in ethtool for PRs in switchdev mode
  (jsc#SLE-18375).
- ice: Clear synchronized addrs when adding VFs in switchdev mode
  (jsc#SLE-18375).
- ice: Remove boolean vlan_promisc flag from function
  (jsc#SLE-18375).
- net/mlx5: Support internal port as decap route device
  (jsc#SLE-19253).
- net/mlx5e: Term table handling of internal port rules
  (jsc#SLE-19253).
- net/mlx5e: Add indirect tc offload of ovs internal port
  (jsc#SLE-19253).
- net/mlx5e: Offload internal port as encap route device
  (jsc#SLE-19253).
- net/mlx5e: Offload tc rules that redirect to ovs internal port
  (jsc#SLE-19253).
- net/mlx5e: Accept action skbedit in the tc actions list
  (jsc#SLE-19253).
- net/mlx5: E-Switch, Add ovs internal port mapping to metadata
  support (jsc#SLE-19253).
- net/mlx5e: Use generic name for the forwarding dev pointer
  (jsc#SLE-19253).
- net/mlx5e: Refactor rx handler of represetor device
  (jsc#SLE-19253).
- net/mlx5: DR, Add check for unsupported fields in match param
  (jsc#SLE-19253).
- net/mlx5: Allow skipping counter refresh on creation
  (jsc#SLE-19253).
- net/mlx5e: IPsec: Refactor checksum code in tx data path
  (jsc#SLE-19253).
- net/mlx5: CT: Remove warning of ignore_flow_level support for
  VFs (jsc#SLE-19253).
- net/mlx5: Add esw assignment back in mlx5e_tc_sample_unoffload()
  (jsc#SLE-19253).
- igc: Change Device Reset to Port Reset (jsc#SLE-18377).
- igc: Add new device ID (jsc#SLE-18377).
- igc: Remove media type checking on the PHY initialization
  (jsc#SLE-18377).
- bnxt_en: Remove not used other ULP define (jsc#SLE-18978).
- net: ixgbevf: Remove redundant initialization of variable
  ret_val (jsc#SLE-18384).
- intel: Simplify bool conversion (jsc#SLE-18378).
- ice: fix error return code in ice_get_recp_frm_fw()
  (jsc#SLE-18375).
- ice: Fix clang -Wimplicit-fallthrough in ice_pull_qvec_from_rc()
  (jsc#SLE-18375).
- ice: Add support to print error on PHY FW load failure
  (jsc#SLE-18375).
- ice: Add support for changing MTU on PR in switchdev mode
  (jsc#SLE-18375).
- ice: send correct vc status in switchdev (jsc#SLE-18375).
- ice: support for GRE in eswitch (jsc#SLE-18375).
- ice: low level support for tunnels (jsc#SLE-18375).
- ice: VXLAN and Geneve TC support (jsc#SLE-18375).
- ice: support for indirect notification (jsc#SLE-18375).
- bnxt_en: Provide stored devlink "fw" version on older firmware
  (jsc#SLE-18978).
- bnxt_en: implement firmware live patching (jsc#SLE-18978).
- bnxt_en: Update firmware interface to 1.10.2.63 (jsc#SLE-18978).
- bnxt_en: implement dump callback for fw health reporter
  (jsc#SLE-18978).
- bnxt_en: extract coredump command line from current task
  (jsc#SLE-18978).
- bnxt_en: Retrieve coredump and crashdump size via FW command
  (jsc#SLE-18978).
- bnxt_en: Add compression flags information in coredump segment
  header (jsc#SLE-18978).
- bnxt_en: move coredump functions into dedicated file
  (jsc#SLE-18978).
- bnxt_en: Refactor coredump functions (jsc#SLE-18978).
- bnxt_en: improve fw diagnose devlink health messages
  (jsc#SLE-18978).
- bnxt_en: consolidate fw devlink health reporters
  (jsc#SLE-18978).
- bnxt_en: remove fw_reset devlink health reporter
  (jsc#SLE-18978).
- bnxt_en: improve error recovery information messages
  (jsc#SLE-18978).
- bnxt_en: add enable_remote_dev_reset devlink parameter
  (jsc#SLE-18978).
- bnxt_en: implement devlink dev reload fw_activate
  (jsc#SLE-18978).
- bnxt_en: implement devlink dev reload driver_reinit
  (jsc#SLE-18978).
- bnxt_en: refactor cancellation of resource reservations
  (jsc#SLE-18978).
- bnxt_en: refactor printing of device info (jsc#SLE-18978).
- RDMA/mlx5: Attach ndescs to mlx5_ib_mkey (jsc#SLE-19250).
- RDMA/mlx5: Move struct mlx5_core_mkey to mlx5_ib
  (jsc#SLE-19250).
- RDMA/mlx5: Replace struct mlx5_core_mkey by u32 key
  (jsc#SLE-19250).
- RDMA/mlx5: Remove pd from struct mlx5_core_mkey (jsc#SLE-19250).
- RDMA/mlx5: Remove size from struct mlx5_core_mkey
  (jsc#SLE-19250).
- RDMA/mlx5: Remove iova from struct mlx5_core_mkey
  (jsc#SLE-19250).
- net/mlx5: Add priorities for counters in RDMA namespaces
  (jsc#SLE-19250).
- net/mlx5: Add ifc bits to support optional counters
  (jsc#SLE-19250).
- IB/mlx5: Enable UAR to have DevX UID (jsc#SLE-19250).
- net/mlx5: Add uid field to UAR allocation structures
  (jsc#SLE-19253).
- net/mlx5: Lag, Make mlx5_lag_is_multipath() be static inline
  (jsc#SLE-19253).
- net/mlx5e: Prevent HW-GRO and CQE-COMPRESS features operate
  together (jsc#SLE-19253).
- net/mlx5e: Add HW-GRO offload (jsc#SLE-19253).
- net/mlx5e: Add HW_GRO statistics (jsc#SLE-19253).
- net/mlx5e: HW_GRO cqe handler implementation (jsc#SLE-19253).
- net/mlx5e: Add data path for SHAMPO feature (jsc#SLE-19253).
- net/mlx5e: Add handle SHAMPO cqe support (jsc#SLE-19253).
- net/mlx5e: Add control path for SHAMPO feature (jsc#SLE-19253).
- net/mlx5e: Add support to klm_umr_wqe (jsc#SLE-19253).
- net/mlx5e: Rename TIR lro functions to TIR packet merge
  functions (jsc#SLE-19253).
- net/mlx5: Add SHAMPO caps, HW bits and enumerations
  (jsc#SLE-19253).
- net/mlx5e: Rename lro_timeout to packet_merge_timeout
  (jsc#SLE-19253).
- lib: bitmap: Introduce node-aware alloc API (jsc#SLE-19253).
- net/mlx5: remove the recent devlink params (jsc#SLE-19253).
- net/mlx5: SF_DEV Add SF device trace points (jsc#SLE-19253).
- net/mlx5: SF, Add SF trace points (jsc#SLE-19253).
- net/mlx5: Let user configure max_macs param (jsc#SLE-19253).
- net/mlx5: Let user configure event_eq_size param
  (jsc#SLE-19253).
- net/mlx5: Let user configure io_eq_size param (jsc#SLE-19253).
- net/mlx5: Bridge, support replacing existing FDB entry
  (jsc#SLE-19253).
- net/mlx5: Bridge, extract code to lookup and del/notify entry
  (jsc#SLE-19253).
- net/mlx5: Add periodic update of host time to firmware
  (jsc#SLE-19253).
- net/mlx5: Print health buffer by log level (jsc#SLE-19253).
- net/mlx5: Extend health buffer dump (jsc#SLE-19253).
- net/mlx5: Reduce flow counters bulk query buffer size for SFs
  (jsc#SLE-19253).
- net/mlx5: Fix unused function warning of mlx5i_flow_type_mask
  (jsc#SLE-19253).
- net/mlx5: Remove unnecessary checks for slow path flag
  (jsc#SLE-19253).
- net: qed_dev: fix check of true !rc expression (jsc#SLE-19001).
- net: qed_ptp: fix check of true !rc expression (jsc#SLE-19001).
- net: hns3: add error recovery module and type for himac
  (bsc#1190336).
- net: hns3: add new ras error type for roce (bsc#1190336).
- net: hns3: add update ethtool advertised link modes for FIBRE
  port when autoneg off (bsc#1190336).
- net: hns3: modify functions of converting speed ability to
  ethtool link mode (bsc#1190336).
- net: hns3: add support pause/pfc durations for mac statistics
  (bsc#1190336).
- net: hns3: device specifications add number of mac statistics
  (bsc#1190336).
- net: hns3: modify mac statistics update process for
  compatibility (bsc#1190336).
- net: hns3: add debugfs support for interrupt coalesce
  (bsc#1190336).
- devlink: Delete obsolete parameters publish API (jsc#SLE-19253).
- mlx5: fix build after merge (jsc#SLE-19253).
- ice:  Nuild fix (jsc#SLE-18375).
- ice: Add tc-flower filter support for channel (jsc#SLE-18375).
- ice: enable ndo_setup_tc support for mqprio_qdisc
  (jsc#SLE-18375).
- ice: Add infrastructure for mqprio support via ndo_setup_tc
  (jsc#SLE-18375).
- ice: fix an error code in ice_ena_vfs() (jsc#SLE-18375).
- ice: use devm_kcalloc() instead of devm_kzalloc()
  (jsc#SLE-18375).
- ice: Make use of the helper function devm_add_action_or_reset()
  (jsc#SLE-18375).
- ice: Refactor PR ethtool ops (jsc#SLE-18375).
- ice: Manage act flags for switchdev offloads (jsc#SLE-18375).
- ice: Forbid trusted VFs in switchdev mode (jsc#SLE-18375).
- ice: fix software generating extra interrupts (jsc#SLE-18375).
- ice: fix rate limit update after coalesce change
  (jsc#SLE-18375).
- ice: update dim usage and moderation (jsc#SLE-18375).
- ice: Add support for VF rate limiting (jsc#SLE-18375).
- devlink: Remove extra device_lock assert checks (jsc#SLE-19253).
- net/mlx5: E-Switch, Increase supported number of forward
  destinations to 32 (jsc#SLE-19253).
- net/mlx5: E-Switch, Use dynamic alloc for dest array
  (jsc#SLE-19253).
- net/mlx5: Lag, use steering to select the affinity port in LAG
  (jsc#SLE-19253).
- net/mlx5: Lag, add support to create/destroy/modify port
  selection (jsc#SLE-19253).
- net/mlx5: Lag, add support to create TTC tables for LAG port
  selection (jsc#SLE-19253).
- net/mlx5: Lag, add support to create definers for LAG
  (jsc#SLE-19253).
- net/mlx5: Lag, set match mask according to the traffic type
  bitmap (jsc#SLE-19253).
- net/mlx5: Lag, set LAG traffic type mapping (jsc#SLE-19253).
- net/mlx5: Lag, move lag files into directory (jsc#SLE-19253).
- net/mlx5: Introduce new uplink destination type (jsc#SLE-19253).
- net/mlx5: Add support to create match definer (jsc#SLE-19253).
- net/mlx5: Introduce port selection namespace (jsc#SLE-19253).
- net/mlx5: Support partial TTC rules (jsc#SLE-19253).
- iavf: Combine init and watchdog state machines (jsc#SLE-18385).
- iavf: Add __IAVF_INIT_FAILED state (jsc#SLE-18385).
- iavf: Refactor iavf state machine tracking (jsc#SLE-18385).
- qed: Change the TCP common variable - "iscsi_ooo"
  (jsc#SLE-19001).
- qed: Optimize the ll2 ooo flow (jsc#SLE-19001).
- mlx5: prevent 64bit divide (jsc#SLE-19253).
- net/mlx5: Use system_image_guid to determine bonding
  (jsc#SLE-19253).
- net/mlx5: Use native_port_num as 1st option of device index
  (jsc#SLE-19253).
- net/mlx5: Introduce new device index wrapper (jsc#SLE-19253).
- net/mlx5: Check return status first when querying
  system_image_guid (jsc#SLE-19253).
- net/mlx5: DR, Prefer kcalloc over open coded arithmetic
  (jsc#SLE-19253).
- net/mlx5e: Add extack msgs related to TC for better debug
  (jsc#SLE-19253).
- net/mlx5: CT: Fix missing cleanup of ct nat table on init
  failure (jsc#SLE-19253).
- net/mlx5: Disable roce at HCA level (jsc#SLE-19253).
- net/mlx5i: Enable Rx steering for IPoIB via ethtool
  (jsc#SLE-19253).
- net/mlx5: Bridge, provide flow source hints (jsc#SLE-19253).
- net/mlx5: Read timeout values from DTOR (jsc#SLE-19253).
- net/mlx5: Read timeout values from init segment (jsc#SLE-19253).
- net/mlx5: Add layout to support default timeouts register
  (jsc#SLE-19253).
- ice: make use of ice_for_each_* macros (jsc#SLE-18375).
- ice: introduce XDP_TX fallback path (jsc#SLE-18375).
- ice: optimize XDP_TX workloads (jsc#SLE-18375).
- ice: propagate xdp_ring onto rx_ring (jsc#SLE-18375).
- ice: do not create xdp_frame on XDP_TX (jsc#SLE-18375).
- ice: unify xdp_rings accesses (jsc#SLE-18375).
- ice: split ice_ring onto Tx/Rx separate structs (jsc#SLE-18375).
- ice: move ice_container_type onto ice_ring_container
  (jsc#SLE-18375).
- ice: remove ring_active from ice_ring (jsc#SLE-18375).
- net: intel: igc_ptp: fix build for UML (jsc#SLE-18377).
- ice: Implement support for SMA and U.FL on E810-T
  (jsc#SLE-18375).
- ice: Add support for SMA control multiplexer (jsc#SLE-18375).
- ice: Implement functions for reading and setting GPIO pins
  (jsc#SLE-18375).
- ice: Refactor ice_aqc_link_topo_addr (jsc#SLE-18375).
- net: qed_debug: fix check of false (grc_param < 0) expression
  (jsc#SLE-19001).
- devlink: Delete reload enable/disable interface (jsc#SLE-19253).
- net/mlx5: Set devlink reload feature bit for supported devices
  only (jsc#SLE-19253).
- devlink: Allow control devlink ops behavior through feature mask
  (jsc#SLE-19253).
- devlink: Annotate devlink API calls (jsc#SLE-19253).
- devlink: Move netdev_to_devlink helpers to devlink.c
  (jsc#SLE-19253).
- devlink: Reduce struct devlink exposure (jsc#SLE-19253).
- net: hns3: debugfs add support dumping page pool info
  (bsc#1190336).
- ice: ndo_setup_tc implementation for PR (jsc#SLE-18375).
- ice: ndo_setup_tc implementation for PF (jsc#SLE-18375).
- ice: Allow changing lan_en and lb_en on all kinds of filters
  (jsc#SLE-18375).
- ice: cleanup rules info (jsc#SLE-18375).
- ice: allow deleting advanced rules (jsc#SLE-18375).
- ice: allow adding advanced rules (jsc#SLE-18375).
- ice: create advanced switch recipe (jsc#SLE-18375).
- ice: manage profiles and field vectors (jsc#SLE-18375).
- ice: implement low level recipes functions (jsc#SLE-18375).
- ethernet: Remove redundant 'flush_workqueue()' calls
  (jsc#SLE-19253).
- bnxt: use netif_is_rxfh_configured instead of open code
  (jsc#SLE-18978).
- qed: Fix compilation for CONFIG_QED_SRIOV undefined scenario
  (jsc#SLE-19001).
- qed: Initialize debug string array (jsc#SLE-19001).
- ice: add port representor ethtool ops and stats (jsc#SLE-18375).
- ice: switchdev slow path (jsc#SLE-18375).
- ice: rebuild switchdev when resetting all VFs (jsc#SLE-18375).
- ice: enable/disable switchdev when managing VFs (jsc#SLE-18375).
- ice: introduce new type of VSI for switchdev (jsc#SLE-18375).
- ice: set and release switchdev environment (jsc#SLE-18375).
- ice: allow changing lan_en and lb_en on dflt rules
  (jsc#SLE-18375).
- ice: manage VSI antispoof and destination override
  (jsc#SLE-18375).
- ice: allow process VF opcodes in different ways (jsc#SLE-18375).
- ice: introduce VF port representor (jsc#SLE-18375).
- ice: Move devlink port to PF/VF struct (jsc#SLE-18375).
- qed: Fix spelling mistake "ctx_bsaed" -> "ctx_based"
  (jsc#SLE-19001).
- ethernet: use eth_hw_addr_set() for dev->addr_len cases
  (jsc#SLE-18377).
- mlx4: constify args for const dev_addr (jsc#SLE-19256).
- mlx4: remove custom dev_addr clearing (jsc#SLE-19256).
- mlx4: replace mlx4_u64_to_mac() with u64_to_ether_addr()
  (jsc#SLE-19256).
- mlx4: replace mlx4_mac_to_u64() with ether_addr_to_u64()
  (jsc#SLE-19256).
- net/mlx5: Enable single IRQ for PCI Function (jsc#SLE-19253).
- net/mlx5: Shift control IRQ to the last index (jsc#SLE-19253).
- net/mlx5: Bridge, pop VLAN on egress table miss (jsc#SLE-19253).
- net/mlx5: Bridge, mark reg_c1 when pushing VLAN (jsc#SLE-19253).
- net/mlx5: Bridge, extract VLAN pop code to dedicated functions
  (jsc#SLE-19253).
- net/mlx5: Bridge, refactor eswitch instance usage
  (jsc#SLE-19253).
- net/mlx5e: Support accept action (jsc#SLE-19253).
- net/mlx5e: Specify out ifindex when looking up encap route
  (jsc#SLE-19253).
- net/mlx5e: Reserve a value from TC tunnel options mapping
  (jsc#SLE-19253).
- net/mlx5e: Move parse fdb check into
  actions_match_supported_fdb() (jsc#SLE-19253).
- net/mlx5e: Split actions_match_supported() into a sub function
  (jsc#SLE-19253).
- net/mlx5e: Move mod hdr allocation to a single place
  (jsc#SLE-19253).
- net/mlx5e: TC, Refactor sample offload error flow
  (jsc#SLE-19253).
- net/mlx5e: Add TX max rate support for MQPRIO channel mode
  (jsc#SLE-19253).
- net/mlx5e: Specify SQ stats struct for mlx5e_open_txqsq()
  (jsc#SLE-19253).
- qed: fix ll2 establishment during load of RDMA driver
  (jsc#SLE-19001).
- qed: Update the TCP active termination 2 MSL timer ("TIME_WAIT")
  (jsc#SLE-19001).
- qed: Update TCP silly-window-syndrome timeout for iwarp, scsi
  (jsc#SLE-19001).
- qed: Update debug related changes (jsc#SLE-19001).
- qed: Add '_GTT' suffix to the IRO RAM macros (jsc#SLE-19001).
- qed: Update FW init functions to support FW 8.59.1.0
  (jsc#SLE-19001).
- qed: Use enum as per FW 8.59.1.0 in qed_iro_hsi.h
  (jsc#SLE-19001).
- qed: Update qed_hsi.h for fw 8.59.1.0 (jsc#SLE-19001).
- qed: Update qed_mfw_hsi.h for FW ver 8.59.1.0 (jsc#SLE-19001).
- qed: Update common_hsi for FW ver 8.59.1.0 (jsc#SLE-19001).
- qed: Split huge qed_hsi.h header file (jsc#SLE-19001).
- qed: Remove e4_ and _e4 from FW HSI (jsc#SLE-19001).
- qed: Fix kernel-doc warnings (jsc#SLE-19001).
- net/mlx4_en: avoid one cache line miss to ring doorbell
  (jsc#SLE-19256).
- ethernet: use eth_hw_addr_set() instead of ether_addr_copy()
  (jsc#SLE-19253).
- ethernet: use eth_hw_addr_set() (jsc#SLE-19256).
- i40e: Use the xsk batched rx allocation interface
  (jsc#SLE-18378).
- ice: Use the xsk batched rx allocation interface
  (jsc#SLE-18375).
- ice: Use xdp_buf instead of rx_buf for xsk zero-copy
  (jsc#SLE-18375).
- xsk: Batched buffer allocation for the pool (jsc#SLE-18375).
- net/mlx5e: Use array_size() helper (jsc#SLE-19253).
- net/mlx5: Use struct_size() helper in kvzalloc()
  (jsc#SLE-19253).
- net/mlx5: Use kvcalloc() instead of kvzalloc() (jsc#SLE-19253).
- net/mlx5: Tolerate failures in debug features while driver load
  (jsc#SLE-19253).
- net/mlx5: Warn for devlink reload when there are VFs alive
  (jsc#SLE-19253).
- net/mlx5: DR, Add missing string for action type SAMPLER
  (jsc#SLE-19253).
- net/mlx5: DR, init_next_match only if needed (jsc#SLE-19253).
- net/mlx5: DR, Fix typo 'offeset' to 'offset' (jsc#SLE-19253).
- net/mlx5: DR, Increase supported num of actions to 32
  (jsc#SLE-19253).
- net/mlx5: DR, Add support for SF vports (jsc#SLE-19253).
- net/mlx5: DR, Support csum recalculation flow table on SFs
  (jsc#SLE-19253).
- net/mlx5: DR, Align error messages for failure to obtain vport
  caps (jsc#SLE-19253).
- net/mlx5: DR, Add missing query for vport 0 (jsc#SLE-19253).
- net/mlx5: DR, Replace local WIRE_PORT macro with the existing
  MLX5_VPORT_UPLINK (jsc#SLE-19253).
- net/mlx5: DR, Fix vport number data type to u16 (jsc#SLE-19253).
- devlink: report maximum number of snapshots with regions
  (jsc#SLE-19253).
- net/mlx4_en: Add XDP_REDIRECT statistics (jsc#SLE-19256).
- ixgbe: let the xdpdrv work with more than 64 cpus
  (jsc#SLE-18384).
- devlink: Add missed notifications iterators (jsc#SLE-19253).
- net/mlx4: Use array_size() helper in copy_to_user()
  (jsc#SLE-19256).
- ice: Prefer kcalloc over open coded arithmetic (jsc#SLE-18375).
- ice: Fix macro name for IPv4 fragment flag (jsc#SLE-18375).
- ice: refactor devlink getter/fallback functions to void
  (jsc#SLE-18375).
- ice: Fix link mode handling (jsc#SLE-18375).
- ice: Add feature bitmap, helpers and a check for DSCP
  (jsc#SLE-18375).
- ice: Add DSCP support (jsc#SLE-18375).
- net/mlx5e: check return value of rhashtable_init
  (jsc#SLE-19253).
- net: dsa: Move devlink registration to be last devlink command
  (jsc#SLE-19253).
- netdevsim: Move devlink registration to be last devlink command
  (jsc#SLE-19253).
- qed: Move devlink registration to be last devlink command
  (jsc#SLE-19001).
- nfp: Move delink_register to be last command (jsc#SLE-19253).
- mlxsw: core: Register devlink instance last (jsc#SLE-19253).
- net/mlx5: Accept devlink user input after driver initialization
  complete (jsc#SLE-19253).
- net/mlx4: Move devlink_register to be the last initialization
  command (jsc#SLE-19256).
- ice: Open devlink when device is ready (jsc#SLE-18375).
- bnxt_en: Register devlink instance at the end devlink
  configuration (jsc#SLE-18978).
- devlink: Notify users when objects are accessible
  (jsc#SLE-19253).
- net/mlx5e: Enable TC offload for ingress MACVLAN
  (jsc#SLE-19253).
- net/mlx5e: Enable TC offload for egress MACVLAN (jsc#SLE-19253).
- net/mlx5e: loopback test is not supported in switchdev mode
  (jsc#SLE-19253).
- net/mlx5e: Use NL_SET_ERR_MSG_MOD() for errors parsing tunnel
  attributes (jsc#SLE-19253).
- net/mlx5e: Use tc sample stubs instead of ifdefs in source file
  (jsc#SLE-19253).
- net/mlx5e: Remove redundant priv arg from
  parse_pedit_to_reformat() (jsc#SLE-19253).
- net/mlx5e: Check action fwd/drop flag exists also for nic flows
  (jsc#SLE-19253).
- net/mlx5e: Set action fwd flag when parsing tc action goto
  (jsc#SLE-19253).
- net/mlx5e: Remove incorrect addition of action fwd flag
  (jsc#SLE-19253).
- net/mlx5e: Use correct return type (jsc#SLE-19253).
- net/mlx5e: Add error flow for ethtool -X command
  (jsc#SLE-19253).
- net/mlx5: DR, Fix code indentation in dr_ste_v1 (jsc#SLE-19253).
- qed: Don't ignore devlink allocation failures (jsc#SLE-19001).
- ice: Delete always true check of PF pointer (jsc#SLE-18375).
- devlink: Remove single line function obfuscations
  (jsc#SLE-19253).
- devlink: Delete not used port parameters APIs (jsc#SLE-19253).
- bnxt_en: Properly remove port parameter support (jsc#SLE-18978).
- bnxt_en: Check devlink allocation and registration status
  (jsc#SLE-18978).
- net: mlx4: Add support for XDP_REDIRECT (jsc#SLE-19256).
- devlink: Make devlink_register to be void (jsc#SLE-19253).
- devlink: Delete not-used devlink APIs (jsc#SLE-19253).
- mlxsw: core: Remove mlxsw_core_is_initialized() (jsc#SLE-19253).
- mlxsw: core: Initialize switch driver last (jsc#SLE-19253).
- devlink: Delete not-used single parameter notification APIs
  (jsc#SLE-19253).
- net/mlx5: Publish and unpublish all devlink parameters at once
  (jsc#SLE-19253).
- net: hns3: PF support get multicast MAC address space assigned
  by firmware (bsc#1190336).
- net: hns3: PF support get unicast MAC address space assigned
  by firmware (bsc#1190336).
- mlxsw: spectrum: Use PMTDB register to obtain split info
  (jsc#SLE-19253).
- mlxsw: reg: Add Port Module To local DataBase Register
  (jsc#SLE-19253).
- qed: Improve the stack space of filter_config() (jsc#SLE-19001).
- bnxt_en: Use struct_group_attr() for memcpy() region
  (jsc#SLE-18978).
- stddef: Introduce struct_group() helper macro (jsc#SLE-18978).
- net: hns3: adjust string spaces of some parameters of tx bd
  info in debugfs (bsc#1190336).
- net: hns3: ignore reset event before initialization process
  is done (bsc#1190336).
- net: hns3: change hclge/hclgevf workqueue to WQ_UNBOUND mode
  (bsc#1190336).
- rdma/qedr: Fix crash due to redundant release of device's qp
  memory (jsc#SLE-18998).
- RDMA/rdmavt: Fix error code in rvt_create_qp() (jsc#SLE-19249).
- net/mlx5e: Fix vlan data lost during suspend flow
  (jsc#SLE-19253).
- net/mlx5: E-switch, Return correct error code on group creation
  failure (jsc#SLE-19253).
- IB/qib: Fix clang confusion of NULL pointer comparison
  (jsc#SLE-19249).
- bnxt: Search VPD with pci_vpd_find_ro_info_keyword()
  (jsc#SLE-18978).
- bnxt: Read VPD with pci_vpd_alloc() (jsc#SLE-18978).
- net: create netdev->dev_addr assignment helpers (jsc#SLE-19253).
- dma-mapping: allow map_sg() ops to return negative error codes
  (jsc#SLE-19249).
- ptp: ocp: Fix error path for pci_ocp_device_init()
  (jsc#SLE-19253).
- ptp: ocp: Fix uninitialized variable warning spotted by clang
  (jsc#SLE-19253).
- devlink: Use xarray to store devlink instances (jsc#SLE-19253).
- devlink: Count struct devlink consumers (jsc#SLE-19253).
- devlink: Remove check of always valid devlink pointer
  (jsc#SLE-19253).
- devlink: Simplify devlink_pernet_pre_exit call (jsc#SLE-19253).
- ptp: ocp: Remove pending_image indicator from devlink
  (jsc#SLE-19253).
- ptp: ocp: Rename version string shown by devlink
  (jsc#SLE-19253).
- ptp: ocp: Use 'gnss' naming instead of 'gps' (jsc#SLE-19253).
- ptp: ocp: Remove devlink health and unused parameters
  (jsc#SLE-19253).
- ptp: ocp: Add the mapping for the external PPS registers
  (jsc#SLE-19253).
- ptp: ocp: Fix the error handling path for the class device
  (jsc#SLE-19253).
- netdevsim: Protect both reload_down and reload_up paths
  (jsc#SLE-19253).
- netdevsim: Forbid devlink reload when adding or deleting ports
  (jsc#SLE-19253).
- ptp: ocp: Expose various resources on the timecard
  (jsc#SLE-19253).
- devlink: Allocate devlink directly in requested net namespace
  (jsc#SLE-19253).
- devlink: Remove duplicated registration check (jsc#SLE-19253).
- commit 8724dc6
* Tue Nov 16 2021 tiwai@suse.de
- ALSA: usb-audio: Fix dB level of Bose Revolve+ SoundLink
  (bsc#1192375).
- ALSA: usb-audio: Add minimal-mute notion in dB mapping table
  (bsc#1192375).
- ALSA: usb-audio: Use int for dB map values (bsc#1192375).
- commit a6f9546
* Tue Nov 16 2021 mgorman@suse.de
- Refresh
  patches.suse/sched-Temporarily-restore-deprecated-scheduler-sysctls-with-a-warning.patch (bsc#1192700)
  Fix build for CONFIG_SCHED_DEBUG=n.
- commit b18b64a
* Tue Nov 16 2021 msuchanek@suse.de
- kernel-*-subpackage: Add dependency on kernel scriptlets (bsc#1192740).
- commit a133bf4
* Tue Nov 16 2021 tiwai@suse.de
- rtw89: update partition size of firmware header on skb->data
  (bsc#1188303).
- commit 107cd5f
* Tue Nov 16 2021 tiwai@suse.de
- Drop downstream rtw89 fix patch, to be replaced with the upstream fix
- commit 1e369dc
* Tue Nov 16 2021 tiwai@suse.de
- init: Revert accidental changes to print irqs_disabled()
  (git-fixes).
- commit 62177ed
* Tue Nov 16 2021 oneukum@suse.com
- PM: hibernate: Get block device exclusively in swsusp_check()
  (git-fixes).
- commit ab0eb1b
* Tue Nov 16 2021 oneukum@suse.com
- PM: hibernate: swap: Use vzalloc() and kzalloc() (git-fixes).
- commit eb3f380
* Tue Nov 16 2021 oneukum@suse.com
- PM: hibernate: fix sparse warnings (git-fixes).
- commit 348b162
* Tue Nov 16 2021 oneukum@suse.com
- PM: hibernate: Remove blk_status_to_errno in hib_wait_io
  (git-fixes).
- commit def0ee8
* Tue Nov 16 2021 oneukum@suse.com
- init: Revert accidental changes to print irqs_disabled()
  (git-fixes).
- commit 35c394e
* Tue Nov 16 2021 lduncan@suse.com
- scsi: core: Remove command size deduction from
  scsi_setup_scsi_cmnd() (git-fixes).
- scsi: core: Avoid leaving shost->last_reset with stale value
  if EH does not run (git-fixes).
- scsi: qla2xxx: Turn off target reset during issue_lip
  (git-fixes).
- scsi: qla2xxx: Fix gnl list corruption (git-fixes).
- scsi: qla2xxx: Relogin during fabric disturbance (git-fixes).
- scsi: ufs: ufshcd-pltfrm: Fix memory leak due to probe defer
  (git-fixes).
- scsi: csiostor: Uninitialized data in csio_ln_vnp_read_cbfn()
  (git-fixes).
- scsi: pm80xx: Fix misleading log statement in
  pm8001_mpi_get_nvmd_resp() (git-fixes).
- scsi: ufs: core: Stop clearing UNIT ATTENTIONS (git-fixes).
- scsi: ufs: core: Retry START_STOP on UNIT_ATTENTION (git-fixes).
- scsi: core: Fix spelling in a source code comment (git-fixes).
- scsi: dc395: Fix error case unwinding (git-fixes).
- scsi: pm80xx: Fix lockup in outbound queue management
  (git-fixes).
- scsi: elx: efct: Delete stray unlock statement (git-fixes).
- um: virt-pci: fix uapi documentation (git-fixes).
- scsi: ufs: Optimize serialization of setup_xfer_req() calls
  (git-fixes).
- commit 8d221dc
* Mon Nov 15 2021 jwiesner@suse.de
- clocksource: Forgive repeated long-latency watchdog clocksource
  reads (bsc#1192724).
- scripts/git_sort/git_sort.py: add a dev branch of the -rcu tree
- commit 0845241
* Mon Nov 15 2021 mcgrof@suse.com
- patches.suse/zram-replace-fsync_bdev-with-sync_blockdev.patch: (bsc#1170269).
- commit 5c8aa0e
* Mon Nov 15 2021 mcgrof@suse.com
- patches.suse/zram-avoid-race-between-zram_remove-and-disksize_sto.patch: (bsc#1170269).
- commit 5e92544
* Mon Nov 15 2021 mcgrof@suse.com
- patches.suse/zram-don-t-fail-to-remove-zram-during-unloading-modu.patch: (bsc#1170269).
- commit 534b940
* Mon Nov 15 2021 mcgrof@suse.com
- patches.suse/zram-fix-race-between-zram_reset_device-and-disksize.patch: (bsc#1170269).
- commit 78167fd
* Mon Nov 15 2021 bp@suse.de
- x86/fpu: Optimize out sigframe xfeatures when in init state
  (bsc#1190497).
- commit 00db683
* Mon Nov 15 2021 lhenriques@suse.de
- fuse: fix page stealing (bsc#1192718).
- virtiofs: use strscpy for copying the queue name (bsc#1192720).
- commit c8072b7
* Mon Nov 15 2021 tiwai@suse.de
- cpumask: Omit terminating null byte in
  cpumap_print_{list,bitmask}_to_buf (bsc#1192611).
- commit 6727db6
* Mon Nov 15 2021 oneukum@suse.com
- ABI: sysfs-devices-power: add some debug sysfs files
  (git-fixes).
- commit 166ca61
* Mon Nov 15 2021 oneukum@suse.com
- ABI: sysfs-devices-power: document some RPM statistics
  (git-fixes).
- commit d90cdd7
* Mon Nov 15 2021 oneukum@suse.com
- kprobes: Do not use local variable when creating debugfs file
  (git-fixes).
- commit 31c6a3a
* Mon Nov 15 2021 oneukum@suse.com
- ptp: Document the PTP_CLK_MAGIC ioctl number (git-fixes).
- commit 4fba2e2
* Mon Nov 15 2021 oneukum@suse.com
- Update
  patches.suse/thunderbolt-Enable-retry-logic-for-intra-domain-cont.patch
  (jsc#SLE-19356 jsc#SLE-19359).
  Corrected Jira numbers to Epics
- commit 3be9934
* Mon Nov 15 2021 mbrugger@suse.com
- net: mellanox: mlxbf_gige: Replace non-standard interrupt
  handling (jsc#SLE-19248).
- gpio: mlxbf2: Introduce IRQ support (jsc#SLE-19248).
- gpio: mlxbf2.c: Add check for bgpio_init failure
  (jsc#SLE-19248).
- commit d883dc9
* Mon Nov 15 2021 jeyu@suse.de
- README.BRANCH: Add Vlastimil Babka as SLE15-SP4 maintainer.
- commit 31b8a3a
* Mon Nov 15 2021 jgross@suse.com
- xen-pciback: Fix return in pm_ctrl_init() (git-fixes).
- commit 907bc9c
* Mon Nov 15 2021 jgross@suse.com
- xen: Fix implicit type conversion (git-fixes).
- commit c808811
* Mon Nov 15 2021 jgross@suse.com
- x86/smp: Factor out parts of native_smp_prepare_cpus()
  (bsc#1192258).
- commit a1b08b7
* Mon Nov 15 2021 tiwai@suse.de
- PCI: pciehp: Ignore Link Down/Up caused by error-induced Hot
  Reset (git-fixes).
- PCI/portdrv: Rename pm_iter() to pcie_port_device_iter()
  (git-fixes).
- commit 82e03a0
* Mon Nov 15 2021 tiwai@suse.de
- PCI/MSI: Move non-mask check back into low level accessors
  (git-fixes).
- PCI: aardvark: Fix reporting Data Link Layer Link Active
  (git-fixes).
- PCI: aardvark: Fix checking for link up via LTSSM state
  (git-fixes).
- PCI: aardvark: Fix PCIe Max Payload Size setting (git-fixes).
- PCI: Add PCI_EXP_DEVCTL_PAYLOAD_* macros (git-fixes).
- dyndbg: make dyndbg a known cli param (git-fixes).
- commit 6e4688e
* Mon Nov 15 2021 jgross@suse.com
- powerpc/paravirt: correct preempt debug splat in
  vcpu_is_preempted() (git-fixes).
- commit 45d77db
* Sun Nov 14 2021 bp@suse.de
- x86/sme: Use #define USE_EARLY_PGTABLE_L5 in
  mem_encrypt_identity.c (bsc#1190497).
- commit a856ef9
* Sun Nov 14 2021 tiwai@suse.de
- clk: qcom: gcc-msm8996: Drop (again) gcc_aggre1_pnoc_ahb_clk
  (git-fixes).
- clk/ast2600: Fix soc revision for AHB (git-fixes).
- Revert "clk: rockchip: use module_platform_driver_probe"
  (git-fixes).
- clk: ingenic: Fix bugs with divided dividers (git-fixes).
- commit 6b7f27c
* Sat Nov 13 2021 bp@suse.de
- EDAC/sb_edac: Fix top-of-high-memory value for Broadwell/Haswell
  (bsc#1190497).
- commit ff42fca
* Sat Nov 13 2021 tiwai@suse.de
- Update config files: bump version to 5.14.18
- commit eee3ca4
* Sat Nov 13 2021 tiwai@suse.de
- drm: fb_helper: improve CONFIG_FB dependency (git-fixes).
- Update config files.
- commit 12bd574
* Sat Nov 13 2021 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for HP EliteBook 840 G7 mute LED
  (git-fixes).
- ALSA: synth: missing check for possible NULL after the call
  to kstrdup (git-fixes).
- ALSA: hda/realtek: Add quirk for ASUS UX550VE (git-fixes).
- ALSA: timer: Unconditionally unlink slave instances, too
  (git-fixes).
- ALSA: hda/realtek: Add a quirk for Acer Spin SP513-54N
  (git-fixes).
- ALSA: hda/realtek: Headset fixup for Clevo NH77HJQ (git-fixes).
- ALSA: timer: Fix use-after-free problem (git-fixes).
- commit 00ac1e4
* Sat Nov 13 2021 tiwai@suse.de
- ALSA: hda: Free card instance properly at probe errors
  (git-fixes).
- ALSA: PCM: Fix NULL dereference at mmap checks (git-fixes).
- ALSA: memalloc: Catch call with NULL snd_dma_buffer pointer
  (git-fixes).
- drm/nouveau/svm: Fix refcount leak bug and missing check
  against null bug (git-fixes).
- drm/prime: Fix use after free in mmap with drm_gem_ttm_mmap
  (git-fixes).
- Revert "drm/imx: Annotate dma-fence critical section in commit
  path" (git-fixes).
- drm/udl: fix control-message timeout (git-fixes).
- drm/ttm: remove ttm_bo_vm_insert_huge() (git-fixes).
- drm/plane-helper: fix uninitialized variable reference
  (git-fixes).
- drm/bridge/lontium-lt9611uxc: fix provided connector suport
  (git-fixes).
- Input: iforce - fix control-message timeout (git-fixes).
- Input: max8925_onkey - don't mark comment as kernel-doc
  (git-fixes).
- Input: st1232 - increase "wait ready" timeout (git-fixes).
- Input: ariel-pwrbutton - add SPI device ID table (git-fixes).
- rtc: rv3032: fix error handling in rv3032_clkout_set_rate()
  (git-fixes).
- rtc: mcp795: Add SPI ID table (git-fixes).
- rtc: pcf2123: Add SPI ID table (git-fixes).
- rtc: ds1390: Add SPI ID table (git-fixes).
- rtc: ds1302: Add SPI ID table (git-fixes).
- thermal: int340x: fix build on 32-bit targets (git-fixes).
- commit 63439e7
* Fri Nov 12 2021 tiwai@suse.de
- Linux 5.14.18 (stable-5.14.18).
- commit 739ae10
* Fri Nov 12 2021 tiwai@suse.de
- isofs: Fix out of bound access for corrupted isofs image
  (stable-5.14.18).
- binder: don't detect sender/target during buffer cleanup
  (stable-5.14.18).
- usb: gadget: Mark USB_FSL_QE broken on 64-bit (stable-5.14.18).
- usb-storage: Add compatibility quirk flags for iODD 2531/2541
  (stable-5.14.18).
- usb: ehci: handshake CMD_RUN instead of STS_HALT
  (stable-5.14.18).
- KVM: x86: avoid warning with -Wbitwise-instead-of-logical
  (stable-5.14.18).
- Revert "x86/kvm: fix vcpu-id indexed array sizes"
  (stable-5.14.18).
- binder: use cred instead of task for getsecid (stable-5.14.18).
- binder: use cred instead of task for selinux checks
  (stable-5.14.18).
- binder: use euid from cred instead of using task
  (stable-5.14.18).
- ALSA: pci: cs46xx: Fix set up buffer type properly
  (stable-5.14.18).
- ALSA: pcm: Check mmap capability of runtime dma buffer at first
  (stable-5.14.18).
- commit ac03c67
* Fri Nov 12 2021 ykaukab@suse.de
- pwm: rockchip: Unprepare clocks only after the PWM was
  unregistered (jsc#SLE-22616).
- commit 12bd5ce
* Fri Nov 12 2021 tiwai@suse.de
- Update patch references for stable-5.14.18
- commit 40343d9
* Fri Nov 12 2021 tiwai@suse.de
- Fix and move the upstreamed patches into sorted section
- commit 8dc4b32
* Fri Nov 12 2021 ykaukab@suse.de
- supported.conf: add pwm-rockchip
  References: jsc#SLE-22616
- commit c6166b8
* Fri Nov 12 2021 wqu@suse.com
- btrfs: remove unused function btrfs_bio_fits_in_stripe()
  (jsc#SLE-17674).
- btrfs: determine stripe boundary at bio allocation time  in
  btrfs_submit_compressed_write (jsc#SLE-17674).
- btrfs: determine stripe boundary at bio allocation time  in
  btrfs_submit_compressed_read (jsc#SLE-17674).
- btrfs: introduce alloc_compressed_bio() for compression
  (jsc#SLE-17674).
- btrfs: introduce submit_compressed_bio() for compression
  (jsc#SLE-17674).
- btrfs: handle errors properly inside
  btrfs_submit_compressed_write() (jsc#SLE-17674).
- btrfs: handle errors properly inside
  btrfs_submit_compressed_read() (jsc#SLE-17674).
- commit f0da449
* Fri Nov 12 2021 wqu@suse.com
- btrfs: subpage: add bitmap for PageChecked flag (jsc#SLE-17674).
- commit 50c42db
* Fri Nov 12 2021 wqu@suse.com
- btrfs: subpage: pack all subpage bitmaps into a larger  bitmap
  (jsc#SLE-17674).
- btrfs: subpage: introduce btrfs_subpage_bitmap_info
  (jsc#SLE-17674).
- commit 087ca75
* Fri Nov 12 2021 wqu@suse.com
- btrfs: subpage: make btrfs_alloc_subpage() return  btrfs_subpage
  directly (jsc#SLE-17674).
- commit 46a7040
* Fri Nov 12 2021 wqu@suse.com
- btrfs: subpage: only call btrfs_alloc_subpage() when  sectorsize
  is smaller than PAGE_SIZE (jsc#SLE-17674).
- commit a26cf9b
* Fri Nov 12 2021 wqu@suse.com
- btrfs: introduce compressed_bio::pending_sectors to trace
  compressed bio (jsc#SLE-17674).
- commit f3b6498
* Fri Nov 12 2021 wqu@suse.com
- btrfs: rename struct btrfs_io_bio to btrfs_bio (jsc#SLE-17674).
- commit 96b1426
* Fri Nov 12 2021 wqu@suse.com
- btrfs: remove btrfs_bio_alloc() helper (jsc#SLE-17674).
- commit 83c8397
* Fri Nov 12 2021 wqu@suse.com
- btrfs: rename btrfs_bio to btrfs_io_context (jsc#SLE-17674).
- commit 6b2229b
* Fri Nov 12 2021 shung-hsi.yu@suse.com
- blacklist.conf: d979617aa84d ("bpf: Fixes possible race in update_prog_stats() for 32bit arches")
  32-bit only
- commit 0d1ab9a
* Fri Nov 12 2021 tiwai@suse.de
- apparmor: fix error check (git-fixes).
- gve: Fix off by one in gve_tx_timeout() (git-fixes).
- nfc: pn533: Fix double free when pn533_fill_fragment_skbs()
  fails (git-fixes).
- can: mcp251xfd: mcp251xfd_chip_start(): fix error handling
  for mcp251xfd_chip_rx_int_enable() (git-fixes).
- can: etas_es58x: es58x_rx_err_msg(): fix memory leak in error
  path (git-fixes).
- can: j1939: j1939_can_recv(): ignore messages with invalid
  source address (git-fixes).
- can: j1939: j1939_tp_cmd_recv(): ignore abort message in the
  BAM transport (git-fixes).
- xhci: Fix USB 3.1 enumeration issues by increasing roothub
  power-on-good delay (git-fixes).
- commit a02425d
* Thu Nov 11 2021 bp@suse.de
- blacklist.conf: 868c250bb463 ("x86/fpu: Include vmalloc.h for vzalloc()")
- commit fcf1347
* Thu Nov 11 2021 bp@suse.de
- Documentation/x86: Add documentation for using dynamic XSTATE
  features (jsc#SLE-18931).
- commit cc5cb1c
* Thu Nov 11 2021 bp@suse.de
- selftests/x86/amx: Add context switch test (jsc#SLE-18931).
- commit 9946b7f
* Thu Nov 11 2021 bp@suse.de
- selftests/x86/amx: Add test cases for AMX state management
  (jsc#SLE-18931).
- commit 4e5182e
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/amx: Enable the AMX feature in 64-bit mode
  (jsc#SLE-18931).
- commit 2ac2782
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Add XFD handling for dynamic states (jsc#SLE-18931).
- commit 49619a9
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Calculate the default sizes independently
  (jsc#SLE-18931).
- commit afcd73c
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/amx: Define AMX state components and have it used for
  boot-time checks (jsc#SLE-18931).
- commit ddf9464
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Prepare XSAVE feature table for gaps in state
  component numbers (jsc#SLE-18931).
- commit fb12c6f
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Add fpstate_realloc()/free() (jsc#SLE-18931).
- commit 52e8e05
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Add XFD #NM handler (jsc#SLE-18931).
- commit 1918fca
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Update XFD state where required (jsc#SLE-18931).
- commit ae721d6
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Add sanity checks for XFD (jsc#SLE-18931).
- commit e7eb3fb
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Add XFD state to fpstate (jsc#SLE-18931).
- commit ccad282
* Thu Nov 11 2021 bp@suse.de
- x86/msr-index: Add MSRs for XFD (jsc#SLE-18931).
- commit 7ede736
* Thu Nov 11 2021 bp@suse.de
- x86/cpufeatures: Add eXtended Feature Disabling (XFD) feature
  bit (jsc#SLE-18931).
- commit d77baa8
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Reset permission and fpstate on exec() (jsc#SLE-18931).
- commit 1b6783e
* Thu Nov 11 2021 tiwai@suse.de
- dmaengine: stm32-dma: avoid 64-bit division in
  stm32_dma_get_max_width (git-fixes).
- sysv: use BUILD_BUG_ON instead of runtime check (git-fixes).
- commit fa67de7
* Thu Nov 11 2021 tiwai@suse.de
- soc: ti: fix wkup_m3_rproc_boot_thread return type (git-fixes).
- thermal/drivers/int340x: processor_thermal: Suppot 64 bit RFIM
  responses (git-fixes).
- soc: fsl: dpaa2-console: free buffer before returning from
  dpaa2_console_read (git-fixes).
- soc: fsl: dpio: use the combined functions to protect critical
  zone (git-fixes).
- soc: fsl: dpio: replace smp_processor_id with
  raw_smp_processor_id (git-fixes).
- watchdog: f71808e_wdt: fix inaccurate report in WDIOC_GETTIMEOUT
  (git-fixes).
- remoteproc: Fix a memory leak in an error handling path in
  'rproc_handle_vdev()' (git-fixes).
- rpmsg: Fix rpmsg_create_ept return when RPMSG config is not
  defined (git-fixes).
- commit 4b979a4
* Thu Nov 11 2021 tiwai@suse.de
- dmaengine: idxd: fix resource leak on dmaengine driver disable
  (git-fixes).
- dmaengine: idxd: reconfig device after device reset command
  (git-fixes).
- dmaengine: remove debugfs #ifdef (git-fixes).
- dmaengine: dmaengine_desc_callback_valid(): Check for
  `callback_result` (git-fixes).
- dmaengine: stm32-dma: fix stm32_dma_get_max_width (git-fixes).
- remoteproc: imx_rproc: Fix rsc-table name (git-fixes).
- remoteproc: imx_rproc: Fix ignoring mapping vdev regions
  (git-fixes).
- remoteproc: imx_rproc: Fix TCM io memory type (git-fixes).
- remoteproc: Fix the wrong default value of is_iomem (git-fixes).
- remoteproc: elf_loader: Fix loading segment when is_iomem true
  (git-fixes).
- commit 88fbf4c
* Thu Nov 11 2021 tiwai@suse.de
- ACPI: PMIC: Fix intel_pmic_regs_handler() read accesses
  (git-fixes).
- ACPI: PM: Fix device wakeup power reference counting error
  (git-fixes).
- dmaengine: bestcomm: fix system boot lockups (git-fixes).
- dmaengine: at_xdmac: fix AT_XDMAC_CC_PERID() macro (git-fixes).
- dmaengine: at_xdmac: call at_xdmac_axi_config() on resume path
  (git-fixes).
- dmaengine: idxd: move out percpu_ref_exit() to ensure it's
  outside submission (git-fixes).
- crypto: tcrypt - fix skcipher multi-buffer tests for 1420B
  blocks (git-fixes).
- crypto: ccree - avoid out-of-range warnings from clang
  (git-fixes).
- crypto: ecc - fix CRYPTO_DEFAULT_RNG dependency (git-fixes).
- commit 415ba15
* Thu Nov 11 2021 tiwai@suse.de
- init: make unknown command line param message clearer
  (bsc#1192590).
- commit 5097b41
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Prepare fpu_clone() for dynamically enabled features
  (jsc#SLE-18931).
- commit 3b5888e
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/signal: Prepare for variable sigframe length
  (jsc#SLE-18931).
- commit 7107574
* Thu Nov 11 2021 bp@suse.de
- x86/signal: Use fpu::__state_user_size for sigalt stack
  validation (jsc#SLE-18931).
- commit 96c1b01
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Add basic helpers for dynamically enabled features
  (jsc#SLE-18931).
- commit bf58746
* Thu Nov 11 2021 bp@suse.de
- x86/arch_prctl: Add controls for dynamic XSTATE components
  (jsc#SLE-18931).
- commit 6553ecb
* Thu Nov 11 2021 dwagner@suse.de
- nvme: Add sibling to list after full initialization (bsc#1191793
  bsc#1192507).
- commit 5fedc09
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Add fpu_state_config::legacy_features (jsc#SLE-18931).
- commit 938ac07
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Add members to struct fpu to cache permission
  information (jsc#SLE-18931).
- commit 96e08c8
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Provide xstate_calculate_size() (jsc#SLE-18931).
- commit 0eebbe6
* Thu Nov 11 2021 bp@suse.de
- x86/signal: Implement sigaltstack size validation
  (jsc#SLE-18931).
- Update config files.
- commit 40edc00
* Thu Nov 11 2021 bp@suse.de
- signal: Add an optional check for altstack size (jsc#SLE-18931).
- commit c2d9b5c
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Remove old KVM FPU interface (jsc#SLE-18931).
- commit b289ef7
* Thu Nov 11 2021 mgorman@suse.de
- mm/vmscan: delay waking of tasks throttled on NOPROGRESS
  (bsc#1190208 (MM functional and performance backports)).
- mm/vmscan: increase the timeout if page reclaim is not
  making progress (bsc#1190208 (MM functional and performance
  backports)).
- mm/vmscan: centralise timeout values for reclaim_throttle
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc: remove the throttling logic from the page
  allocator (bsc#1190208 (MM functional and performance
  backports)).
- mm/writeback: throttle based on page writeback instead
  of congestion (bsc#1190208 (MM functional and performance
  backports)).
- mm/vmscan: throttle reclaim when no progress is being made
  (bsc#1190208 (MM functional and performance backports)).
- mm/vmscan: throttle reclaim and compaction when too may pages
  are isolated (bsc#1190208 (MM functional and performance
  backports)).
- mm/vmscan: throttle reclaim until some writeback completes
  if congested (bsc#1190208 (MM functional and performance
  backports)).
- mm: hwpoison: handle non-anonymous THP correctly (bsc#1190208
  (MM functional and performance backports)).
- mm: shmem: don't truncate page if memory failure happens
  (bsc#1190208 (MM functional and performance backports)).
- mm: hwpoison: refactor refcount check handling (bsc#1190208
  (MM functional and performance backports)).
- mm: filemap: coding style cleanup for filemap_map_pmd()
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc: use clamp() to simplify code (bsc#1190208
  (MM functional and performance backports)).
- mm: page_alloc: use migrate_disable() in drain_local_pages_wq()
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- mm/page_alloc.c: show watermark_boost of zone in zoneinfo
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc: detect allocation forbidden by cpuset and
  bail out early (bsc#1190208 (MM functional and performance
  backports)).
- mm/page_alloc.c: do not acquire zone lock
  in is_free_buddy_page() (bsc#1190208 (MM functional and
  performance backports)).
- mm: move fold_vm_numa_events() to fix NUMA without SMP
  (bsc#1190208 (MM functional and performance backports)).
- mm: move node_reclaim_distance to fix NUMA without SMP
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc.c: avoid allocating highmem pages via
  alloc_pages_exact[_nid] (bsc#1190208 (MM functional and
  performance backports)).
- mm/page_alloc.c: use helper function zone_spans_pfn()
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc.c: fix obsolete comment in free_pcppages_bulk()
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc.c: simplify the code by using macro K()
  (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc.c: remove meaningless VM_BUG_ON() in
  pindex_to_order() (bsc#1190208 (MM functional and performance
  backports)).
- mm: remove redundant smp_wmb() (bsc#1190208 (MM functional
  and performance backports)).
- mm: introduce pmd_install() helper (bsc#1190208 (MM functional
  and performance backports)).
- mm: add zap_skip_check_mapping() helper (bsc#1190208 (MM
  functional and performance backports)).
- mm: drop first_index/last_index in zap_details (bsc#1190208
  (MM functional and performance backports)).
- mm: clear vmf->pte after pte_unmap_same() returns (bsc#1190208
  (MM functional and performance backports)).
- mm/memory.c: avoid unnecessary kernel/user pointer conversion
  (bsc#1190208 (MM functional and performance backports)).
- mm: move more expensive part of XA setup out of mapping check
  (bsc#1190208 (MM functional and performance backports)).
- mm/filemap.c: remove bogus VM_BUG_ON (bsc#1190208 (MM functional
  and performance backports)).
- mm: don't read i_size of inode unless we need it (bsc#1190208
  (MM functional and performance backports)).
- mm: stop filemap_read() from grabbing a superfluous page
  (bsc#1190208 (MM functional and performance backports)).
- mm: Fix comments mentioning i_mutex (bsc#1190208 (MM functional
  and performance backports)).
- commit 1829ec0
* Thu Nov 11 2021 bp@suse.de
- x86/kvm: Convert FPU handling to a single swap buffer
  (jsc#SLE-18931).
- commit 1b316b0
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Provide infrastructure for KVM FPU cleanup
  (jsc#SLE-18931).
- commit 09d3f06
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Prepare for sanitizing KVM FPU code (jsc#SLE-18931).
- commit e472864
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Move remaining xfeature helpers to core
  (jsc#SLE-18931).
- commit 7892ec7
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Rework restore_regs_from_fpstate() (jsc#SLE-18931).
- commit 87bde61
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Mop up xfeatures_mask_uabi() (jsc#SLE-18931).
- commit d6d75f4
* Thu Nov 11 2021 msuchanek@suse.de
- Fix problem with missing installkernel on Tumbleweed.
- commit 2ed6686
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Move xstate feature masks to fpu_*_cfg (jsc#SLE-18931).
- commit 04a01f4
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Move xstate size to fpu_*_cfg (jsc#SLE-18931).
- commit cf4b506
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Cleanup size calculations (jsc#SLE-18931).
- commit d16b889
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Cleanup fpu__init_system_xstate_size_legacy()
  (jsc#SLE-18931).
- commit 6817654
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Provide struct fpu_config (jsc#SLE-18931).
- commit e9e9154
* Thu Nov 11 2021 mgorman@suse.de
- Refresh
  patches.suse/mm-page_alloc-Print-node-fallback-order.patch.
- Refresh
  patches.suse/mm-page_alloc-Use-accumulated-load-when-building-node-fallback-list.patch.
  Move to sorted section.
- commit df23484
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/signal: Use fpstate for size and features
  (jsc#SLE-18931).
- commit 00eca20
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Use fpstate for copy_uabi_to_xstate()
  (jsc#SLE-18931).
- commit 36ed39f
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Use fpstate in __copy_xstate_to_uabi_buf()
  (jsc#SLE-18931).
- commit 292d93f
* Thu Nov 11 2021 bp@suse.de
- x86/fpu: Use fpstate in fpu_copy_kvm_uabi_to_fpstate()
  (jsc#SLE-18931).
- commit f1d4fea
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Use fpstate for xsave_to_user_sigframe()
  (jsc#SLE-18931).
- commit 3bd5114
* Thu Nov 11 2021 bp@suse.de
- x86/fpu/xstate: Use fpstate for os_xsave() (jsc#SLE-18931).
- commit 310c2fa
* Thu Nov 11 2021 ptesarik@suse.cz
- s390/qeth: Register switchdev event handler (jsc#SLE-18329
  jsc#SLE-18330 jsc#SLE-18516 bsc#1191738 LTC#193282).
- Refresh
  patches.suse/s390-qeth-Fix-deadlock-in-remove_discipline.patch.
- commit d424df5
* Thu Nov 11 2021 ptesarik@suse.cz
- s390/qeth: Update MACs of LEARNING_SYNC device (jsc#SLE-18329
  jsc#SLE-18330 jsc#SLE-18516 bsc#1191738 LTC#193282).
- s390/qeth: Switchdev event handler (jsc#SLE-18329 jsc#SLE-18330
  jsc#SLE-18516 bsc#1191738 LTC#193282).
- s390/qdio: propagate error when cancelling a ccw fails
  (jsc#SLE-18329 jsc#SLE-18330 jsc#SLE-18516 bsc#1191738
  LTC#193282).
- s390/qdio: improve roll-back after error on ESTABLISH ccw
  (jsc#SLE-18329 jsc#SLE-18330 jsc#SLE-18516 bsc#1191738
  LTC#193282).
- commit 9cdc2d7
* Thu Nov 11 2021 dbueso@suse.de
- kcov: replace local_irq_save() with a local_lock_t
  (bsc#1189998).
- kcov: avoid enable+disable interrupts if !in_task()
  (bsc#1189998).
- kcov: allocate per-CPU memory on the relevant node
  (bsc#1189998).
- Documentation/kcov: define `ip' in the example (bsc#1189998).
- Documentation/kcov: include types.h in the example
  (bsc#1189998).
- commit ce3a059
* Wed Nov 10 2021 martin.wilck@suse.com
- scsi: smartpqi: Update version to 2.1.12-055 (jsc#SLE-19277).
- scsi: smartpqi: Add 3252-8i PCI id (jsc#SLE-19277).
- scsi: smartpqi: Fix duplicate device nodes for tape changers
  (jsc#SLE-19277).
- scsi: smartpqi: Fix boot failure during LUN rebuild
  (jsc#SLE-19277).
- scsi: smartpqi: Add extended report physical LUNs
  (jsc#SLE-19277).
- scsi: smartpqi: Avoid failing I/Os for offline devices
  (jsc#SLE-19277).
- scsi: smartpqi: Add TEST UNIT READY check for SANITIZE operation
  (jsc#SLE-19277).
- scsi: smartpqi: Update LUN reset handler (jsc#SLE-19277).
- scsi: smartpqi: Capture controller reason codes (jsc#SLE-19277).
- scsi: smartpqi: Add controller handshake during kdump
  (jsc#SLE-19277).
- scsi: smartpqi: Update device removal management
  (jsc#SLE-19277).
- scsi: smartpqi: Replace one-element array with flexible-array
  member (jsc#SLE-19277).
- scsi: smartpqi: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#SLE-19277).
- scsi: smartpqi: Update version to 2.1.10-020 (jsc#SLE-19277).
- scsi: smartpqi: Fix ISR accessing uninitialized data
  (jsc#SLE-19277).
- scsi: smartpqi: Add PCI IDs for new ZTE controllers
  (jsc#SLE-19277).
- scsi: smartpqi: Add PCI ID for new ntcom controller
  (jsc#SLE-19277).
- scsi: smartpqi: Add SCSI cmd info for resets (jsc#SLE-19277).
- scsi: smartpqi: Change Kconfig menu entry to Microchip
  (jsc#SLE-19277).
- scsi: smartpqi: Change driver module macros to Microchip
  (jsc#SLE-19277).
- scsi: smartpqi: Update copyright notices (jsc#SLE-19277).
- scsi: smartpqi: Add PCI IDs for H3C P4408 controllers
  (jsc#SLE-19277).
- commit bcef281
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Use fpstate::size (jsc#SLE-18931).
- commit f9fab51
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Add size and mask information to fpstate
  (jsc#SLE-18931).
- commit 4e0ac7e
* Wed Nov 10 2021 bp@suse.de
- x86/process: Move arch_thread_struct_whitelist() out of line
  (jsc#SLE-18931).
- commit f8a7a93
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Do not leak fpstate pointer on fork (jsc#SLE-18931).
- commit 54a4c96
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Remove fpu::state (jsc#SLE-18931).
- commit 1aeab0c
* Wed Nov 10 2021 bp@suse.de
- x86/math-emu: Convert to fpstate (jsc#SLE-18931).
- commit 3a0d6a3
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/core: Convert to fpstate (jsc#SLE-18931).
- commit f154e4c
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Convert to fpstate (jsc#SLE-18931).
- commit c811273
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/regset: Convert to fpstate (jsc#SLE-18931).
- commit ddc34e9
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Convert tracing to fpstate (jsc#SLE-18931).
- commit 6494d77
* Wed Nov 10 2021 bp@suse.de
- x86/KVM: Convert to fpstate (jsc#SLE-18931).
- commit a14d0c2
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Replace KVMs xstate component clearing (jsc#SLE-18931).
- commit dbdf07f
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Convert restore_fpregs_from_fpstate() to struct fpstate
  (jsc#SLE-18931).
- commit 5d24bac
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Convert fpstate_init() to struct fpstate
  (jsc#SLE-18931).
- commit a8d6069
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Provide struct fpstate (jsc#SLE-18931).
- commit 93cdff1
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Replace KVMs home brewed FPU copy to user
  (jsc#SLE-18931).
- commit 7d64666
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Provide a proper function for ex_handler_fprestore()
  (jsc#SLE-18931).
- commit 8d40edd
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Replace the includes of fpu/internal.h (jsc#SLE-18931).
- commit 64c9a3a
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Mop up the internal.h leftovers (jsc#SLE-18931).
- commit 3802fa4
* Wed Nov 10 2021 bp@suse.de
- x86/sev: Include fpu/xcr.h (jsc#SLE-18931).
- commit 893d382
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Remove internal.h dependency from fpu/signal.h
  (jsc#SLE-18931).
- commit 36ba3e4
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move fpstate functions to api.h (jsc#SLE-18931).
- commit 8b9d235
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move mxcsr related code to core (jsc#SLE-18931).
- commit 009e4b2
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move fpregs_restore_userregs() to core (jsc#SLE-18931).
- commit c095776
* Wed Nov 10 2021 dbueso@suse.de
- net: sched: gred: dynamically allocate tc_gred_qopt_offload
  (bsc#1189998).
- net: sched: remove one pair of atomic operations (bsc#1189998).
- net: sched: fix logic error in qdisc_run_begin() (bsc#1189998).
- net: sched: Allow statistics reads from softirq (bsc#1189998).
- net: sched: Remove Qdisc::running sequence counter
  (bsc#1189998).
- net: sched: Merge Qdisc::bstats and Qdisc::cpu_bstats data types
  (bsc#1189998).
- net: sched: Use _bstats_update/set() instead of raw writes
  (bsc#1189998).
- net: sched: Protect Qdisc::bstats with u64_stats (bsc#1189998).
- u64_stats: Introduce u64_stats_set() (bsc#1189998).
- gen_stats: Move remaining users to gnet_stats_add_queue()
  (bsc#1189998).
- mq, mqprio: Use gnet_stats_add_queue() (bsc#1189998).
- gen_stats: Add gnet_stats_add_queue() (bsc#1189998).
- gen_stats: Add instead Set the value in
  __gnet_stats_copy_basic() (bsc#1189998).
- net/sched: sch_ets: properly init all active DRR list handles
  (bsc#1189998).
- net_sched: refactor TC action init API (bsc#1189998).
- net/sched: act_skbmod: Add SKBMOD_F_ECN option support
  (bsc#1189998).
- commit 1f00ef0
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Make WARN_ON_FPU() private (jsc#SLE-18931).
- commit a770cfc
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move legacy ASM wrappers to core (jsc#SLE-18931).
- commit 550c5bb
* Wed Nov 10 2021 martin.wilck@suse.com
- scsi: mpt3sas: Fix reference tag handling for WRITE_INSERT
  (jsc#SLE-18967).
- scsi: mpt3sas: Clean up some inconsistent indenting
  (jsc#SLE-18967).
- scsi: mpt3sas: Call cpu_relax() before calling udelay()
  (jsc#SLE-18967).
- scsi: mpt3sas: Use the proper SCSI midlayer interfaces for PI
  (jsc#SLE-18967).
- scsi: mpt3sas: Introduce sas_ncq_prio_supported sysfs sttribute
  (jsc#SLE-18967).
- scsi: mpt3sas: Update driver version to 39.100.00.00
  (jsc#SLE-18967).
- scsi: mpt3sas: Use firmware recommended queue depth
  (jsc#SLE-18967).
- scsi: mpt3sas: Bump driver version to 38.100.00.00
  (jsc#SLE-18967).
- scsi: mpt3sas: Add io_uring iopoll support (jsc#SLE-18967).
- commit 769c603
* Wed Nov 10 2021 msuchanek@suse.de
- ibmvnic: Process crqs after enabling interrupts (bsc#1192273
  ltc#194629).
- ibmvnic: don't stop queue in xmit (bsc#1192273 ltc#194629).
- commit 0c1f769
* Wed Nov 10 2021 msuchanek@suse.de
- Revert "ibmvnic: check failover_pending in login response"
  (bsc#1190523 ltc#194510).
- ibmvnic: check failover_pending in login response (bsc#1190523
  ltc#194510).
- commit 3cece0c
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move os_xsave() and os_xrstor() to core
  (jsc#SLE-18931).
- commit 0e76265
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Make os_xrstor_booting() private (jsc#SLE-18931).
- commit 5d32b8f
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Clean up CPU feature tests (jsc#SLE-18931).
- commit 446c71a
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move context switch and exit to user inlines into
  sched.h (jsc#SLE-18931).
- commit 93f59dc
* Wed Nov 10 2021 martin.wilck@suse.com
- scsi: megaraid_sas: Driver version update to 07.719.03.00-rc1
  (jsc#SLE-18968).
- scsi: megaraid_sas: Add helper functions for irq_context
  (jsc#SLE-18968).
- scsi: megaraid_sas: Fix concurrent access to ISR between IRQ
  polling and real interrupt (jsc#SLE-18968).
- scsi: megaraid: Clean up some inconsistent indenting
  (jsc#SLE-18968).
- scsi: megaraid: Fix Coccinelle warning (jsc#SLE-18968).
- scsi: megaraid: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#SLE-18968).
- commit 15f1bb5
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Mark fpu__init_prepare_fx_sw_frame() as __init
  (jsc#SLE-18931).
- commit d3c4053
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Rework copy_xstate_to_uabi_buf() (jsc#SLE-18931).
- commit 2a28e7e
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Replace KVMs home brewed FPU copy from user
  (jsc#SLE-18931).
- commit d2f0bca
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Move KVMs FPU swapping to FPU core (jsc#SLE-18931).
- commit 640c80f
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/xstate: Mark all init only functions __init
  (jsc#SLE-18931).
- commit b7fb34b
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/xstate: Provide and use for_each_xfeature()
  (jsc#SLE-18931).
- commit 1c5014e
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Cleanup xstate xcomp_bv initialization (jsc#SLE-18931).
- commit 135211d
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Do not inherit FPU context for kernel and IO worker
  threads (jsc#SLE-18931).
- commit becc295
* Wed Nov 10 2021 bp@suse.de
- x86/process: Clone FPU in copy_thread() (jsc#SLE-18931).
- commit 2d0ab18
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Remove pointless memset in fpu_clone() (jsc#SLE-18931).
- commit 43563a6
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Cleanup the on_boot_cpu clutter (jsc#SLE-18931).
- commit fba46f1
* Wed Nov 10 2021 nstange@suse.de
- char/random: reinstantiate DRBGs once optimized sha512 becomes
  available (jsc#SLE-21132,bsc#1191259).
- commit f4f5829
* Wed Nov 10 2021 nstange@suse.de
- char/random: wire up userspace interface to SP800-90B compliant
  drbg (jsc#SLE-21132,bsc#1191259).
- commit 08f937f
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Restrict xsaves()/xrstors() to independent states
  (jsc#SLE-18931).
- commit 2680d35
* Wed Nov 10 2021 bp@suse.de
- x86/pkru: Remove useless include (jsc#SLE-18931).
- commit 0a37ab9
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Update stale comments (jsc#SLE-18931).
- commit ccb8547
* Wed Nov 10 2021 bp@suse.de
- x86/fpu: Remove pointless argument from switch_fpu_finish()
  (jsc#SLE-18931).
- commit 2a98e69
* Wed Nov 10 2021 mgorman@suse.de
- Delete
  patches.suse/sched-fair-Couple-wakee-flips-with-heavy-wakers.patch.
  Upstream thought the heuristic was too specific.
- commit f48e685
* Wed Nov 10 2021 mgorman@suse.de
- sched: Temporarily restore deprecated scheduler sysctls with
  a warning (bsc#1192327, bsc#1191396).
- commit b45e01a
* Wed Nov 10 2021 bp@suse.de
- Update
  patches.suse/x86-fpu-mask-out-the-invalid-mxcsr-bits-properly.patch
  (jsc#SLE-18931).
- commit 1bb370e
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Fix missed conversion to correct boolean retval
  in save_xstate_epilog() (jsc#SLE-18931).
- commit 88b693c
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Change return code of restore_fpregs_from_user()
  to boolean (jsc#SLE-18931).
- commit bff2e93
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Change return code of check_xstate_in_sigframe()
  to boolean (jsc#SLE-18931).
- commit 0925586
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Change return type of __fpu_restore_sig()
  to boolean (jsc#SLE-18931).
- commit 8707aff
* Wed Nov 10 2021 oneukum@suse.com
- trap: cleanup trap_init() (git-fixes).
- commit 84c723c
* Wed Nov 10 2021 oneukum@suse.com
- xsurf100: drop include of lib8390.c (git-fixes).
- commit b8f067c
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Change return type of fpu__restore_sig()
  to boolean (jsc#SLE-18931).
- commit a9ed3f4
* Wed Nov 10 2021 bp@suse.de
- x86/signal: Change return type of restore_sigcontext() to
  boolean (jsc#SLE-18931).
- commit eacd67e
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Change return type of copy_fpregs_to_sigframe()
  helpers to boolean (jsc#SLE-18931).
- commit f83d895
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Change return type of copy_fpstate_to_sigframe()
  to boolean (jsc#SLE-18931).
- commit a72c41f
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Move xstate clearing out of
  copy_fpregs_to_sigframe() (jsc#SLE-18931).
- commit 2f939c3
* Wed Nov 10 2021 jlee@suse.com
- Removed c0891ac1 patch backporting because it touched many files
  in different subsystems and it's not necessary for ACPI (jsc#SLE-18523)
  The c0891ac1 patch causes many "warning: "va_start" redefined"
  messages when building kernel. The patch touched many files
  in different subsystem and it's not neceaary for ACPI backporting.
  So I removed this patch and also respin related patches. (jsc#SLE-18523)
- Refresh patches.suse/ACPI-tools-fix-compilation-error.patch.
- Delete
  patches.suse/isystem-ship-and-use-stdarg.h-c0891ac1.patch.
- commit b3998a8
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Move header zeroing out of
  xsave_to_user_sigframe() (jsc#SLE-18931).
- commit 05da93a
* Wed Nov 10 2021 bp@suse.de
- x86/fpu/signal: Clarify exception handling in
  restore_fpregs_from_user() (jsc#SLE-18931).
- commit d359dfe
* Tue Nov  9 2021 bp@suse.de
- x86/extable: Remove EX_TYPE_FAULT from MCE safe fixups
  (jsc#SLE-18931).
- commit f1063b0
* Tue Nov  9 2021 bp@suse.de
- x86/fpu: Use EX_TYPE_FAULT_MCE_SAFE for exception fixups
  (jsc#SLE-18931).
- commit cfb074b
* Tue Nov  9 2021 bp@suse.de
- x86/copy_mc: Use EX_TYPE_DEFAULT_MCE_SAFE for exception fixups
  (jsc#SLE-18931).
- commit c72dfcc
* Tue Nov  9 2021 bp@suse.de
- x86/extable: Provide EX_TYPE_DEFAULT_MCE_SAFE and
  EX_TYPE_FAULT_MCE_SAFE (jsc#SLE-18931).
- commit 0827eac
* Tue Nov  9 2021 bp@suse.de
- x86/extable: Rework the exception table mechanics
  (jsc#SLE-18931).
- commit 91c2fad
* Tue Nov  9 2021 bp@suse.de
- x86/mce: Get rid of stray semicolons (jsc#SLE-18931).
- commit 03638cb
* Tue Nov  9 2021 bp@suse.de
- x86/mce: Deduplicate exception handling (jsc#SLE-18931).
- commit 01e0919
* Tue Nov  9 2021 bp@suse.de
- x86/extable: Get rid of redundant macros (jsc#SLE-18931).
- commit 9770234
* Tue Nov  9 2021 bp@suse.de
- x86/extable: Tidy up redundant handler functions
  (jsc#SLE-18931).
- commit ef9303c
* Tue Nov  9 2021 oneukum@suse.com
- crypto: s5p-sss - Add error handling in s5p_aes_probe()
  (git-fixes).
- commit 29916de
* Tue Nov  9 2021 oneukum@suse.com
- crypto: octeontx2 - set assoclen in aead_do_fallback()
  (git-fixes).
- commit dac895e
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - disregard spurious PFVF interrupts (git-fixes).
- commit 6643391
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - detect PFVF collision after ACK (git-fixes).
- commit e7481e9
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - store vf.compatible flag (git-fixes).
- commit e25bd9f
* Tue Nov  9 2021 oneukum@suse.com
- crypto: caam - disable pkc for non-E SoCs (git-fixes).
- commit 74d1a4c
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - power up 4xxx device (git-fixes).
- commit 3d9a37e
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - fix naming of PF/VF enable functions (git-fixes).
- commit 8111874
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - complete all the init steps before service
  notification (git-fixes).
- commit 4e4b1e2
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - enable interrupts only after ISR allocation
  (git-fixes).
- commit f21fda1
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - protect interrupt mask CSRs with a spinlock
  (git-fixes).
- commit 3990e0f
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - remove intermediate tasklet for vf2pf (git-fixes).
- Refresh
  patches.suse/crypto-qat-fix-naming-for-init-shutdown-VF-to-PF-not.patch.
- commit 5b8bbae
* Tue Nov  9 2021 jeyu@suse.de
- Revert "rpm/config.sh: Compress modules with zstd (jsc#SLE-21256)."
  This reverts commit 648b5c7cb84366056aed609528029ae9c75c3d37.
  Reported to cause build problems in IBS.
- commit 082e0f1
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - prevent spurious MSI interrupt in PF (git-fixes).
- commit 0efbad5
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - move IO virtualization functions (git-fixes).
- commit 68d4675
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - move pf2vf interrupt [en|dis]able to adf_vf_isr.c
  (git-fixes).
- commit 756b47d
* Tue Nov  9 2021 oneukum@suse.com
- crypto: qat - rename compatibility version definition
  (git-fixes).
- Refresh
  patches.suse/crypto-qat-fix-reuse-of-completion-variable.patch.
- commit 0a119bc
* Tue Nov  9 2021 tiwai@suse.de
- Delete check.sh that was mistakenly taken into the tree
- commit 0bf8e1d
* Tue Nov  9 2021 tiwai@suse.de
- mfd: altera-a10sr: Include linux/module.h (git-fixes).
- commit 71795a7
* Tue Nov  9 2021 tiwai@suse.de
- video: backlight: Drop maximum brightness override for
  brightness zero (git-fixes).
- mtd: spi-nor: hisi-sfc: Remove excessive clk_disable_unprepare()
  (git-fixes).
- mtd: rawnand: arasan: Prevent an unsupported configuration
  (git-fixes).
- mtd: rawnand: xway: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: socrates: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: plat_nand: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: pasemi: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: orion: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: mpc5121: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: gpio: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- commit e849ae5
* Tue Nov  9 2021 tiwai@suse.de
- mtd: rawnand: au1550nd: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- mtd: rawnand: ams-delta: Keep the driver compatible with on-die
  ECC engines (git-fixes).
- Revert "mtd: rawnand: cs553x: Fix external use of SW Hamming
  ECC helper" (git-fixes).
- Revert "mtd: rawnand: lpc32xx_slc: Fix external use of SW
  Hamming ECC helper" (git-fixes).
- Revert "mtd: rawnand: ndfc: Fix external use of SW Hamming
  ECC helper" (git-fixes).
- Revert "mtd: rawnand: sharpsl: Fix external use of SW Hamming
  ECC helper" (git-fixes).
- Revert "mtd: rawnand: tmio: Fix external use of SW Hamming
  ECC helper" (git-fixes).
- Revert "mtd: rawnand: txx9ndfmc: Fix external use of SW Hamming
  ECC helper" (git-fixes).
- mtd: rawnand: fsmc: Fix use of SM ORDER (git-fixes).
- mtd: rawnand: intel: Fix potential buffer overflow in probe
  (git-fixes).
- commit 7347e0b
* Tue Nov  9 2021 tiwai@suse.de
- mfd: altera-sysmgr: Fix a mistake caused by resource_size
  conversion (git-fixes).
- mfd: sprd: Add SPI device ID table (git-fixes).
- mfd: cpcap: Add SPI device ID table (git-fixes).
- mfd: altr_a10sr: Add SPI device ID table (git-fixes).
- mfd: core: Add missing of_node_put for loop iteration
  (git-fixes).
- cxl/pci: Fix NULL vs ERR_PTR confusion (git-fixes).
- i2c: xlr: Fix a resource leak in the error handling path of
  'xlr_i2c_probe()' (git-fixes).
- i2c: mediatek: fixing the incorrect register offset (git-fixes).
- mtd: core: don't remove debugfs directory if device is in use
  (git-fixes).
- commit deece6f
* Tue Nov  9 2021 dbueso@suse.de
- x86/softirq: Disable softirq stacks on PREEMPT_RT (bsc#1189998).
- commit acf1ee7
* Tue Nov  9 2021 dbueso@suse.de
- mm: disable NUMA_BALANCING_DEFAULT_ENABLED and
  TRANSPARENT_HUGEPAGE on PREEMPT_RT (bsc#1189998).
- net/core: disable NET_RX_BUSY_POLL on PREEMPT_RT (bsc#1189998).
- crypto: testmgr - Only disable migration in
  crypto_disable_simd_for_test() (bsc#1189998).
- leds: trigger: Disable CPU trigger on PREEMPT_RT (bsc#1189998).
- smack: Guard smack_ipv6_lock definition within a
  SMACK_IPV6_PORT_LABELING block (bsc#1189998).
- efi: Allow efi=runtime (bsc#1189998).
- efi: Disable runtime services on RT (bsc#1189998).
- sched/rt: Annotate the RT balancing logic irqwork as
  IRQ_WORK_HARD_IRQ (bsc#1189998).
- genirq: Disable irqfixup/poll on PREEMPT_RT (bsc#1189998).
- genirq: Move prio assignment into the newly created thread
  (bsc#1189998).
- genirq: Update irq_set_irqchip_state documentation
  (bsc#1189998).
- smack: mark 'smack_enabled' global variable as __initdata
  (bsc#1189998).
- genirq: Fix kernel doc indentation (bsc#1189998).
- genirq: Change force_irqthreads to a static key (bsc#1189998).
- genirq: Clarify documentation for request_threaded_irq()
  (bsc#1189998).
- commit fbda427
* Mon Nov  8 2021 jroedel@suse.de
- 	PCI: Set dma-can-stall for HiSilicon chips (jsc#SLE-17310).
- commit 062d197
* Mon Nov  8 2021 oneukum@suse.com
- crypto: pcrypt - Delay write to padata->info (git-fixes).
- commit 4723c6a
* Mon Nov  8 2021 oneukum@suse.com
- thunderbolt: Fix -Wrestrict warning (jsc#SLE-19438).
- commit d228f70
* Mon Nov  8 2021 oneukum@suse.com
- thunderbolt: Enable retry logic for intra-domain control packets
  (jsc#SLE-19430 jsc#SLE-19436).
- commit 984baff
* Mon Nov  8 2021 msuchanek@suse.de
- Update config files (bsc#1192456).
  CONFIG_IMA_ARCH_POLICY=y
  CONFIG_IMA_READ_POLICY=y
  CONFIG_IMA_TRUSTED_KEYRING=y
  CONFIG_IMA_SECURE_AND_OR_TRUSTED_BOOT=y
- commit 14c1dff
* Mon Nov  8 2021 mbenes@suse.cz
- ftrace: Fix scripts/recordmcount.pl due to new binutils
  (bsc#1192267).
- commit e6b961a
* Mon Nov  8 2021 tiwai@suse.de
- auxdisplay: ht16k33: Fix frame buffer device blanking
  (git-fixes).
- auxdisplay: ht16k33: Connect backlight to fbdev (git-fixes).
- auxdisplay: img-ascii-lcd: Fix lock-up when displaying empty
  string (git-fixes).
- PCI: uniphier: Serialize INTx masking/unmasking and fix the
  bit operation (git-fixes).
- PCI: cadence: Add cdns_plat_pcie_probe() missing return
  (git-fixes).
- PCI: j721e: Fix j721e_pcie_probe() error path (git-fixes).
- PCI: aardvark: Fix support for PCI_ROM_ADDRESS1 on emulated
  bridge (git-fixes).
- PCI: aardvark: Fix support for PCI_BRIDGE_CTL_BUS_RESET on
  emulated bridge (git-fixes).
- PCI: aardvark: Set PCI Bridge Class Code to PCI Bridge
  (git-fixes).
- PCI: aardvark: Fix support for bus mastering and PCI_COMMAND
  on emulated bridge (git-fixes).
- PCI: aardvark: Read all 16-bits from PCIE_MSI_PAYLOAD_REG
  (git-fixes).
- PCI: aardvark: Fix return value of MSI domain .alloc() method
  (git-fixes).
- PCI: pci-bridge-emul: Fix emulation of W1C bits (git-fixes).
- PCI: aardvark: Deduplicate code in advk_pcie_rd_conf()
  (git-fixes).
- PCI: aardvark: Do not unmask unused interrupts (git-fixes).
- PCI: aardvark: Do not clear status bits of masked interrupts
  (git-fixes).
- PCI: aardvark: Fix configuring Reference clock (git-fixes).
- PCI: aardvark: Fix preserving PCI_EXP_RTCTL_CRSSVE flag on
  emulated bridge (git-fixes).
- PCI: aardvark: Don't spam about PIO Response Status (git-fixes).
- PCI: Do not enable AtomicOps on VFs (git-fixes).
- commit bed291e
* Mon Nov  8 2021 tiwai@suse.de
- Drop two USB patches that have been reverted by stable-5.14.17
  Deleted:
  patches.suse/usb-core-hcd-Add-support-for-deferring-roothub-regis.patch
  patches.suse/xhci-Set-HCD-flag-to-defer-primary-roothub-registrat.patch
  blacklist.conf: updated
- commit c2712fa
* Sun Nov  7 2021 jroedel@suse.de
- PCI/ACPI: Check for _OSC support in acpi_pci_osc_control_set()
  (bsc#1169263).
- PCI/ACPI: Move _OSC query checks to separate function
  (bsc#1169263).
- PCI/ACPI: Move supported and control calculations to separate
  functions (bsc#1169263).
- PCI/ACPI: Remove OSC_PCI_SUPPORT_MASKS and OSC_PCI_CONTROL_MASKS
  (bsc#1169263).
- commit 45659d5
* Sat Nov  6 2021 tiwai@suse.de
- Update config files: version bump to 5.14.17
- commit d9ad97b
* Sat Nov  6 2021 tiwai@suse.de
- Linux 5.14.17 (stable-5.14.17).
- commit b38f62e
* Sat Nov  6 2021 tiwai@suse.de
- Revert "soc: imx: gpcv2: move reset assert after requesting
  domain power up" (stable-5.14.17).
- ALSA: usb-audio: Add Audient iD14 to mixer map quirk table
  (stable-5.14.17).
- drm/amdkfd: fix boot failure when iommu is disabled in Picasso
  (stable-5.14.17).
- Revert "drm/i915/gt: Propagate change in error status to
  children on unhold" (stable-5.14.17).
- ARM: 9120/1: Revert "amba: make use of -1 IRQs warn"
  (stable-5.14.17).
- sfc: Fix reading non-legacy supported link modes
  (stable-5.14.17).
- drm/i915: Remove memory frequency calculation (stable-5.14.17).
- scsi: core: Put LLD module refcnt after SCSI device is released
  (stable-5.14.17).
- vrf: Revert "Reset skb conntrack
  connection..." (stable-5.14.17).
- ALSA: usb-audio: Add Schiit Hel device to mixer map quirk table
  (stable-5.14.17).
- commit f0969c0
* Sat Nov  6 2021 tiwai@suse.de
- Update patch references for stable-5.14.17
- commit f5fa096
* Sat Nov  6 2021 tiwai@suse.de
- HID: u2fzero: properly handle timeouts in usb_submit_urb
  (git-fixes).
- HID: u2fzero: clarify error check and length calculations
  (git-fixes).
- pinctrl: core: fix possible memory leak in pinctrl_enable()
  (git-fixes).
- pinctrl: equilibrium: Fix function addition in multiple groups
  (git-fixes).
- pinctrl: renesas: checker: Fix off-by-one bug in drive register
  check (git-fixes).
- pinctrl: mediatek: mt8195: Add pm_ops (git-fixes).
- video: fbdev: chipsfb: use memset_io() instead of memset()
  (git-fixes).
- commit 3eb7025
* Sat Nov  6 2021 tonyj@suse.de
- blacklist.conf: Add perf git-fixes checked into userspace package
- commit 1d6e569
* Fri Nov  5 2021 tiwai@suse.de
- Drop patches.suse/Revert-platform-x86-i2c-multi-instantiate-Don-t-crea.patch again (git-fxies)
  This needs the fix in tipd driver at first (likey commit 9990f2f6264c).
- commit 3c36722
* Fri Nov  5 2021 tiwai@suse.de
- Update patch reference for ISDN fix (CVE-2021-43389 bsc#1191958)
- commit 69afb02
* Fri Nov  5 2021 tiwai@suse.de
- rtw89: Fix crash by loading compressed firmware file
  (bsc#1188303).
- commit fce817c
* Fri Nov  5 2021 tiwai@suse.de
- soundwire: bus: stop dereferencing invalid slave pointer
  (git-fixes).
- USB: serial: keyspan: fix memleak on probe errors (git-fixes).
- USB: iowarrior: fix control-message timeouts (git-fixes).
- USB: chipidea: fix interrupt deadlock (git-fixes).
- usb: musb: Balance list entry in musb_gadget_queue (git-fixes).
- usb: max-3421: Use driver data instead of maintaining a list
  of bound devices (git-fixes).
- usb: dwc2: drd: reset current session before setting the new
  one (git-fixes).
- usb: dwc2: drd: fix dwc2_drd_role_sw_set when clock could be
  disabled (git-fixes).
- usb: dwc2: drd: fix dwc2_force_mode call in dwc2_ovr_init
  (git-fixes).
- usb: typec: STUSB160X should select REGMAP_I2C (git-fixes).
- usb: musb: select GENERIC_PHY instead of depending on it
  (git-fixes).
- usb: gadget: hid: fix error code in do_config() (git-fixes).
- commit e5a5f46
* Fri Nov  5 2021 tiwai@suse.de
- serial: cpm_uart: Protect udbg definitions by
  CONFIG_SERIAL_CPM_CONSOLE (git-fixes).
- serial: xilinx_uartps: Fix race condition causing stuck TX
  (git-fixes).
- serial: 8250: fix racy uartclk update (git-fixes).
- serial: imx: fix detach/attach of serial console (git-fixes).
- serial: 8250_dw: Drop wrong use of ACPI_PTR() (git-fixes).
- serial: core: Fix initializing and restoring termios speed
  (git-fixes).
- soundwire: debugfs: use controller id and link_id for debugfs
  (git-fixes).
- staging: r8712u: fix control-message timeout (git-fixes).
- staging: rtl8192u: fix control-message timeouts (git-fixes).
- staging: rtl8712: fix use-after-free in rtl8712_dl_fw
  (git-fixes).
- commit 9e7d7b6
* Fri Nov  5 2021 tiwai@suse.de
- power: supply: bq27xxx: Fix kernel crash on IRQ handler register
  error (git-fixes).
- power: supply: max17042_battery: Prevent int underflow in
  set_soc_threshold (git-fixes).
- power: supply: max17042_battery: Clear status bits in interrupt
  handler (git-fixes).
- power: supply: max17040: fix null-ptr-deref in max17040_probe()
  (git-fixes).
- =?UTF-8?q?power:=20supply:=20rt5033=5Fbattery:=20Change?=
  =?UTF-8?q?=20voltage=20values=20to=20=C2=B5V?= (git-fixes).
- power: supply: max17042_battery: use VFSOC for capacity when
  no rsns (git-fixes).
- power: reset: at91-reset: check properly the return value of
  devm_of_iomap (git-fixes).
- phy: Sparx5 Eth SerDes: Fix return value check in
  sparx5_serdes_probe() (git-fixes).
- phy: qcom-snps: Correct the FSEL_MASK (git-fixes).
- Revert "platform/x86: i2c-multi-instantiate: Don't create
  platform device for INT3515 ACPI nodes" (git-fixes).
- commit 0b67117
* Fri Nov  5 2021 tiwai@suse.de
- phy: ti: gmii-sel: check of_get_address() for failure
  (git-fixes).
- phy: qcom-qusb2: Fix a memory leak on probe (git-fixes).
- most: fix control-message timeouts (git-fixes).
- iio: buffer: Fix memory leak in
  iio_buffers_alloc_sysfs_and_mask() (git-fixes).
- iio: adc: tsc2046: fix scan interval warning (git-fixes).
- iio: core: fix double free in iio_device_unregister_sysfs()
  (git-fixes).
- iio: core: check return value when calling dev_set_name()
  (git-fixes).
- staging: ks7010: select CRYPTO_HASH/CRYPTO_MICHAEL_MIC
  (git-fixes).
- staging: most: dim2: do not double-register the same device
  (git-fixes).
- phy: micrel: ksz8041nl: do not use power down mode (git-fixes).
- commit f2194b0
* Fri Nov  5 2021 tiwai@suse.de
- iio: buffer: Fix memory leak in
  iio_buffer_register_legacy_sysfs_groups() (git-fixes).
- iio: buffer: Fix double-free in
  iio_buffers_alloc_sysfs_and_mask() (git-fixes).
- iio: buffer: Fix memory leak in
  __iio_buffer_alloc_sysfs_and_mask() (git-fixes).
- iio: buffer: check return value of kstrdup_const() (git-fixes).
- iio: dac: ad5446: Fix ad5622_write() return value (git-fixes).
- drivers: iio: dac: ad5766: Fix dt property name (git-fixes).
- iio: st_pressure_spi: Add missing entries SPI to device ID table
  (git-fixes).
- commit 614338b
* Fri Nov  5 2021 tiwai@suse.de
- component: do not leave master devres group open after bind
  (git-fixes).
- device property: Add missed header in fwnode.h (git-fixes).
- driver core: Fix possible memory leak in device_link_add()
  (git-fixes).
- comedi: dt9812: fix DMA buffers on stack (git-fixes).
- comedi: ni_usb6501: fix NULL-deref in command paths (git-fixes).
- Documentation:devicetree:bindings:iio:dac: Fix val (git-fixes).
- iio: adis: do not disabe IRQs in 'adis_init()' (git-fixes).
- dt-bindings: iio: magnetometer: asahi-kasei,ak8975 add vid reg
  (git-fixes).
- iio: ad5770r: make devicetree property reading consistent
  (git-fixes).
- iio: st_sensors: disable regulators after device unregistration
  (git-fixes).
- commit 7a34673
* Fri Nov  5 2021 tiwai@suse.de
- ABI: obsolete/sysfs-bus-iio: add some missing blank lines
  (git-fixes).
- ABI: sysfs-kernel-slab: Document some stats (git-fixes).
- ABI: sysfs-devices-removable: make a table valid as ReST markup
  (git-fixes).
- ABI: configfs-usb-gadget-uac2: fix a broken table (git-fixes).
- ABI: sysfs-platform-dptf: Add tables markup to a table
  (git-fixes).
- comedi: vmk80xx: fix bulk and interrupt message timeouts
  (git-fixes).
- comedi: vmk80xx: fix bulk-buffer overflow (git-fixes).
- comedi: vmk80xx: fix transfer-buffer overflows (git-fixes).
- char: xillybus: fix msg_ep UAF in xillyusb_probe() (git-fixes).
- commit 7b9627f
* Thu Nov  4 2021 tiwai@suse.de
- Update patch reference for a net fix (CVE-2021-43267 bsc#1192341)
- commit f6e8d1c
* Thu Nov  4 2021 tiwai@suse.de
- ALSA: usb-audio: Input source control - digidesign mbox
  (git-fixes).
- commit 5b93860
* Thu Nov  4 2021 tiwai@suse.de
- ALSA: usb-audio: Add support for the Pioneer DJM 750MK2
  Mixer/Soundcard (git-fixes).
- commit 587cd4a
* Thu Nov  4 2021 tiwai@suse.de
- ALSA: hda/realtek: Fixes HP Spectre x360 15-eb1xxx speakers
  (git-fixes).
- commit df7bc2c
* Thu Nov  4 2021 tiwai@suse.de
- ALSA: hda/realtek: Add quirk for Clevo PC70HS (git-fixes).
- ALSA: usb-audio: Line6 HX-Stomp XL USB_ID for 48k-fixed quirk
  (git-fixes).
- ALSA: usb-audio: Add registration quirk for JBL Quantum 400
  (git-fixes).
- ALSA: hda/realtek: Add a quirk for HP OMEN 15 mute LED
  (git-fixes).
- ALSA: mixer: fix deadlock in snd_mixer_oss_set_volume
  (git-fixes).
- ALSA: mixer: oss: Fix racy access to slots (git-fixes).
- commit dee578e
* Thu Nov  4 2021 tiwai@suse.de
- clk: qcom: gcc-sc7280: Drop unused array (git-fixes).
- commit dbfffa3
* Thu Nov  4 2021 tiwai@suse.de
- soc: qcom: apr: Add of_node_put() before return (git-fixes).
- soc: qcom: rpmhpd: fix sm8350_mxc's peer domain (git-fixes).
- soc: qcom: socinfo: add two missing PMIC IDs (git-fixes).
- soc: qcom: rpmhpd: Make power_on actually enable the domain
  (git-fixes).
- soc: samsung: pm_domains: drop unused is_off field (git-fixes).
- soc: samsung: exynos-pmu: Fix compilation when nothing selects
  CONFIG_MFD_CORE (git-fixes).
- soc: fsl: dpio: rename the enqueue descriptor variable
  (git-fixes).
- soc: fsl: dpio: use an explicit NULL instead of 0 (git-fixes).
- soc: qcom: llcc: Disable MMUHWT retention (git-fixes).
- virtio_ring: check desc == NULL when using indirect with packed
  (git-fixes).
- commit 46f0c26
* Thu Nov  4 2021 tiwai@suse.de
- firmware: qcom_scm: Fix error retval in
  __qcom_scm_is_call_available() (git-fixes).
- memory: renesas-rpc-if: Avoid unaligned bus access for
  HyperFlash (git-fixes).
- memory: renesas-rpc-if: Correct QSPI data transfer in Manual
  mode (git-fixes).
- memory: fsl_ifc: fix leak of irq and nand_irq in
  fsl_ifc_ctrl_probe (git-fixes).
- soc/tegra: Fix an error handling path in
  tegra_powergate_power_up() (git-fixes).
- firmware: tegra: Reduce stack usage (git-fixes).
- of: unittest: fix EXPECT text for gpio hog errors (git-fixes).
- of: remove duplicate declarations of __of_*_sysfs() functions
  (git-fixes).
- platform/x86: thinkpad_acpi: Fix bitwise vs. logical warning
  (git-fixes).
- commit eb8bc37
* Thu Nov  4 2021 tiwai@suse.de
- clk: at91: clk-master: fix prescaler logic (git-fixes).
- clk: at91: clk-master: check if div or pres is zero (git-fixes).
- clk: at91: sam9x60-pll: use DIV_ROUND_CLOSEST_ULL (git-fixes).
- clk: at91: check pmc node status before registering syscore ops
  (git-fixes).
- clk: rockchip: use module_platform_driver_probe (git-fixes).
- clk: mvebu: ap-cpu-clk: Fix a memory leak in error handling
  paths (git-fixes).
- clk: qcom: gcc: Remove CPUSS clocks control for SC7280
  (git-fixes).
- bus: ti-sysc: Fix timekeeping_suspended warning on resume
  (git-fixes).
- docs: f2fs: fix text alignment (git-fixes).
- docs: UML: user_mode_linux_howto_v2 edits (git-fixes).
- commit e03ec55
* Thu Nov  4 2021 tiwai@suse.de
- ASoC: rsnd: Fix an error handling path in 'rsnd_node_count()'
  (git-fixes).
- ASoC: cs42l42: Correct configuring of switch inversion from
  ts-inv (git-fixes).
- ASoC: dt-bindings: cs42l42: Correct description of ts-inv
  (git-fixes).
- ASoC: topology: Fix stub for snd_soc_tplg_component_remove()
  (git-fixes).
- ASoC: tegra: Set default card name for Trimslice (git-fixes).
- ASoC: tegra: Restore AC97 support (git-fixes).
- ASoC: soc-pcm: restore mixer functionality (git-fixes).
- ASoC: SOF: topology: do not power down primary core during
  topology removal (git-fixes).
- ASoC: wcd9335: Use correct version to initialize Class H
  (git-fixes).
- ASoC: ti: rename CONFIG_SND_SOC_DM365_VOICE_CODEC_MODULE
  (git-fixes).
- commit a8c85b8
* Thu Nov  4 2021 tiwai@suse.de
- ASoC: mediatek: mt8195: Remove unsued irqs_lock (git-fixes).
- ASoC: meson: t9015: Add missing AVDD-supply property
  (git-fixes).
- ASoC: rockchip: Use generic dmaengine code (git-fixes).
- ASoC: cs42l42: Defer probe if request_threaded_irq() returns
  EPROBE_DEFER (git-fixes).
- ASoC: cs42l42: Don't set defaults for volatile registers
  (git-fixes).
- ASoC: cs42l42: Correct some register default values (git-fixes).
- ASoC: cs42l42: Always configure both ASP TX channels
  (git-fixes).
- ALSA: oxfw: fix functional regression for Mackie Onyx 1640i
  in v5.14 or later (git-fixes).
- ALSA: ua101: fix division by zero at probe (git-fixes).
- ALSA: line6: fix control and interrupt message timeouts
  (git-fixes).
- commit 8645368
* Thu Nov  4 2021 tiwai@suse.de
- ALSA: 6fire: fix control and bulk message timeouts (git-fixes).
- ALSA: uapi: Fix a C++ style comment in asound.h (git-fixes).
- ALSA: hda: Use position buffer for SKL+ again (git-fixes).
- ALSA: hda: Reduce udelay() at SKL+ position reporting
  (git-fixes).
- ALSA: hda/realtek: Fix mic mute LED for the HP Spectre x360 14
  (git-fixes).
- ABI: sysfs-platform-intel-pmc: add blank lines to make it
  valid for ReST (git-fixes).
- ABI: sysfs-platform-dell-privacy-wmi: correct ABI entries
  (git-fixes).
- commit 19d7af3
* Thu Nov  4 2021 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit d1ff8bb
* Thu Nov  4 2021 dbueso@suse.de
- locking: Remove spin_lock_flags() etc (bsc#1190137).
- locking/rwsem: Fix comments about reader optimistic lock
  stealing conditions (bsc#1190137).
- locking: Remove rcu_read_{,un}lock() for preempt_{dis,en}able()
  (bsc#1190137).
- locking/rwsem: Disable preemption for spinning region
  (bsc#1190137).
- locking/rwbase: Optimize rwbase_read_trylock (bsc#1190137
  bsc#1189998).
- rtmutex: Wake up the waiters lockless while dropping the read
  lock (bsc#1190137 bsc#1189998).
- rtmutex: Check explicit for TASK_RTLOCK_WAIT (bsc#1190137
  bsc#1189998).
- locking/rt: Take RCU nesting into account for __might_resched()
  (bsc#1190137 bsc#1189998).
- sched: Make cond_resched_lock() variants RT aware (bsc#1190137
  bsc#1189998).
- sched: Make RCU nest depth distinct in __might_resched()
  (bsc#1190137 bsc#1189998).
- sched: Make might_sleep() output less confusing (bsc#1190137
  bsc#1189998).
- sched: Cleanup might_sleep() printks (bsc#1190137 bsc#1189998).
- sched: Remove preempt_offset argument from __might_sleep()
  (bsc#1190137 bsc#1189998).
- sched: Make cond_resched_*lock() variants consistent
  vs. might_sleep() (bsc#1190137 bsc#1189998).
- sched: Clean up the might_sleep() underscore zoo (bsc#1190137
  bsc#1189998).
- locking/ww-mutex: Fix uninitialized use of ret in test_aa()
  (bsc#1190137).
- lockdep: Improve comments in wait-type checks (bsc#1190137).
- lockdep: Let lock_is_held_type() detect recursive read as read
  (bsc#1190137).
- kernel/locking: Add context to ww_mutex_trylock() (bsc#1190137).
- commit 86065d6
* Wed Nov  3 2021 tiwai@suse.de
- Input: i8042 - Add quirk for Fujitsu Lifebook T725
  (bsc#1191980).
- commit 3274f52
* Wed Nov  3 2021 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 8e8bf1d
* Wed Nov  3 2021 tiwai@suse.de
- Revert "PM: sleep: Do not assume that "mem" is always present"
  (git-fixes).
- commit c0f0040
* Wed Nov  3 2021 tiwai@suse.de
- wilc1000: fix possible memory leak in cfg_scan_result()
  (git-fixes).
- commit 663fdc6
* Wed Nov  3 2021 tiwai@suse.de
- virtio-gpu: fix possible memory allocation failure (git-fixes).
- wcn36xx: Channel list update before hardware scan (git-fixes).
- wcn36xx: Fix discarded frames due to wrong sequence number
  (git-fixes).
- wcn36xx: add proper DMA memory barriers in rx path (git-fixes).
- wcn36xx: Fix HT40 capability for 2Ghz band (git-fixes).
- Revert "wcn36xx: Disable bmps when encryption is disabled"
  (git-fixes).
- wcn36xx: Fix tx_status mechanism (git-fixes).
- wcn36xx: Fix (QoS) null data frame bitrate/modulation
  (git-fixes).
- wcn36xx: Add ability for wcn36xx_smd_dump_cmd_req to pass
  two's complement (git-fixes).
- wcn36xx: Fix Antenna Diversity Switching (git-fixes).
- commit c191910
* Wed Nov  3 2021 tiwai@suse.de
- thermal/core: fix a UAF bug in
  __thermal_cooling_device_register() (git-fixes).
- PM: EM: Fix inefficient states detection (git-fixes).
- PM: sleep: Do not let "syscore" devices runtime-suspend during
  system transitions (git-fixes).
- rsi: fix control-message timeout (git-fixes).
- rtl8187: fix control-message timeouts (git-fixes).
- rsi: stop thread firstly in rsi_91x_init() error handling
  (git-fixes).
- rsi: Fix module dev_oper_mode parameter description (git-fixes).
- rsi: fix rate mask set leading to P2P failure (git-fixes).
- rsi: fix key enabled check causing unwanted encryption for
  vap_id > 0 (git-fixes).
- rsi: fix occasional initialisation failure with BT coex
  (git-fixes).
- commit 0e59d7a
* Wed Nov  3 2021 tiwai@suse.de
- PM: sleep: Do not assume that "mem" is always present
  (git-fixes).
- mwifiex: fix division by zero in fw download path (git-fixes).
- mt76: mt7615: mt7622: fix ibss and meshpoint (git-fixes).
- mt76: mt7915: fix muar_idx in mt7915_mcu_alloc_sta_req()
  (git-fixes).
- mt76: mt7915: fix sta_rec_wtbl tag len (git-fixes).
- mt76: mt7615: fix monitor mode tear down crash (git-fixes).
- mt76: mt7921: fix retrying release semaphore without end
  (git-fixes).
- mt76: mt7915: fix possible infinite loop release semaphore
  (git-fixes).
- mt76: mt7615: fix hwmon temp sensor mem use-after-free
  (git-fixes).
- mwifiex: Send DELBA requests according to spec (git-fixes).
- commit 11ac107
* Wed Nov  3 2021 tiwai@suse.de
- mt76: mt7915: fix hwmon temp sensor mem use-after-free
  (git-fixes).
- mt76: mt7921: always wake device if necessary in debugfs
  (git-fixes).
- mt76: mt7921: fix kernel warning from cfg80211_calculate_bitrate
  (git-fixes).
- mt76: mt7921: fix firmware usage of RA info using legacy rates
  (git-fixes).
- mt76: mt7921: report HE MU radiotap (git-fixes).
- mt76: overwrite default reg_ops if necessary (git-fixes).
- mt76: connac: fix GTK rekey offload failure on WPA mixed mode
  (git-fixes).
- mt76: mt7921: fix dma hang in rmmod (git-fixes).
- mt76: mt7915: fix bit fields for HT rate idx (git-fixes).
- mt76: mt7915: fix potential overflow of eeprom page index
  (git-fixes).
- commit 282c2b4
* Wed Nov  3 2021 msuchanek@suse.de
- ibmvnic: delay complete() (bsc#1094840 ltc#167098 git-fixes).
- commit 19163fe
* Wed Nov  3 2021 tiwai@suse.de
- mt76: mt7921: Fix out of order process by invalid event pkt
  (git-fixes).
- mt76: mt7915: fix mgmt frame using unexpected bitrate
  (git-fixes).
- mt76: mt7921: fix mgmt frame using unexpected bitrate
  (git-fixes).
- mt76: add mt76_default_basic_rate more devices can rely on
  (git-fixes).
- mt76: mt76x02: fix endianness warnings in mt76x02_mac.c
  (git-fixes).
- mt76: mt7921: fix survey-dump reporting (git-fixes).
- mt76: fix build error implicit enumeration conversion
  (git-fixes).
- mt76: connac: fix mt76_connac_gtk_rekey_tlv usage (git-fixes).
- mt76: mt7915: fix info leak in mt7915_mcu_set_pre_cal()
  (git-fixes).
- mt76: mt7615: fix endianness warning in mt7615_mac_write_txwi
  (git-fixes).
- mt76: mt7921: fix endianness warning in mt7921_update_txs
  (git-fixes).
- commit d1310f8
* Wed Nov  3 2021 tiwai@suse.de
- iwlwifi: fw: uefi: add missing include guards (git-fixes).
- iwlwifi: mvm: fix some kerneldoc issues (git-fixes).
- libertas: Fix possible memory leak in probe and disconnect
  (git-fixes).
- libertas_tf: Fix possible memory leak in probe and disconnect
  (git-fixes).
- mt76: mt7915: fix endianness warning in mt7915_mac_add_txs_skb
  (git-fixes).
- mt76: mt7921: fix endianness in mt7921_mcu_tx_done_event
  (git-fixes).
- iwlwifi: cfg: set low-latency-xtal for some integrated So
  devices (git-fixes).
- iwlwifi: mvm: reset PM state on unsuccessful resume (git-fixes).
- gve: Track RX buffer allocation failures (git-fixes).
- gve: Allow pageflips on larger pages (git-fixes).
- commit 110b62b
* Wed Nov  3 2021 tiwai@suse.de
- drm/amdgpu/gmc6: fix DMA mask from 44 to 40 bits (git-fixes).
- drm/amdgpu: fix a potential memory leak in
  amdgpu_device_fini_sw() (git-fixes).
- drm/msm: Fix potential NULL dereference in DPU SSPP (git-fixes).
- fbdev/efifb: Release PCI device's runtime PM ref during FB
  destroy (git-fixes).
- gve: Add netif_set_xps_queue call (git-fixes).
- gve: Recover from queue stall due to missed IRQ (git-fixes).
- gve: Do lazy cleanup in TX path (git-fixes).
- gve: Add rx buffer pagecnt bias (git-fixes).
- gve: Switch to use napi_complete_done (git-fixes).
- gve: DQO: avoid unused variable warnings (git-fixes).
- commit 55a8612
* Wed Nov  3 2021 tiwai@suse.de
- drm/amdgpu: revert "Add autodump debugfs node for gpu reset v8"
  (git-fixes).
- commit 542acac
* Wed Nov  3 2021 tiwai@suse.de
- drm/msm: uninitialized variable in msm_gem_import() (git-fixes).
- drm/msm: potential error pointer dereference in init()
  (git-fixes).
- drm/msm: Fix potential Oops in a6xx_gmu_rpmh_init() (git-fixes).
- drm/amdkfd: Fix an inappropriate error handling in allloc
  memory of gpu (git-fixes).
- drm: fb_helper: fix CONFIG_FB dependency (git-fixes).
- drm/ttm: stop calling tt_swapin in vm_access (git-fixes).
- drm/amdgpu: fix warning for overflow check (git-fixes).
- drm/amdgpu: move amdgpu_virt_release_full_gpu to fini_early
  stage (git-fixes).
- commit b55334e
* Wed Nov  3 2021 tiwai@suse.de
- drm/amd/display: Revert "Directly retrain link from debugfs"
  (git-fixes).
- drm: bridge: it66121: Fix return value it66121_probe
  (git-fixes).
- drm/v3d: fix wait for TMU write combiner flush (git-fixes).
- drm/sun4i: Fix macros in sun8i_csc.h (git-fixes).
- drm/bridge: it66121: Wait for next bridge to be probed
  (git-fixes).
- drm/bridge: it66121: Initialize {device,vendor}_ids (git-fixes).
- drm/bridge: anx7625: Propagate errors from sp_tx_rst_aux()
  (git-fixes).
- cfg80211: always free wiphy specific regdomain (git-fixes).
- Bluetooth: btmtkuart: fix a memleak in mtk_hci_wmt_sync
  (git-fixes).
- Bluetooth: fix init and cleanup of sco_conn.timeout_work
  (git-fixes).
- commit c29b2e3
* Wed Nov  3 2021 tiwai@suse.de
- ath6kl: fix division by zero in send path (git-fixes).
- ath10k: fix division by zero in send path (git-fixes).
- ath6kl: fix control-message timeout (git-fixes).
- ath9k: Fix potential interrupt storm on queue reset (git-fixes).
- b43: fix a lower bounds test (git-fixes).
- b43legacy: fix a lower bounds test (git-fixes).
- ath11k: Fix memory leak in ath11k_qmi_driver_event_work
  (git-fixes).
- ath11k: fix packet drops due to incorrect 6 GHz freq value in
  rx status (git-fixes).
- ath11k: Avoid race during regd updates (git-fixes).
- ath11k: fix some sleeping in atomic bugs (git-fixes).
- commit 4e5d1a9
* Wed Nov  3 2021 tiwai@suse.de
- amd/display: remove ChromeOS workaround (git-fixes).
- ACPI: PM: Fix sharing of wakeup power resources (git-fixes).
- ACPI: PM: Turn off unused wakeup power resources (git-fixes).
- ath10k: fix control-message timeout (git-fixes).
- ath10k: fix module load regression with iram-recovery feature
  (git-fixes).
- ath10k: fix max antenna gain unit (git-fixes).
- ath10k: Don't always treat modem stop events as crashes
  (git-fixes).
- ath10k: sdio: Add missing BH locking around napi_schdule()
  (git-fixes).
- ath10k: Fix missing frame timestamp for beacon/probe-resp
  (git-fixes).
- commit dfaf1e9
* Wed Nov  3 2021 tiwai@suse.de
- Revert "net: hns3: fix pause config problem after autoneg
  disabled" (git-fixes).
- commit ea23b32
* Wed Nov  3 2021 tiwai@suse.de
- Update config files: version bump to 5.14.16
- commit b93546f
* Wed Nov  3 2021 tiwai@suse.de
- Linux 5.14.16 (stable-5.14.16).
- commit e533e4f
* Wed Nov  3 2021 tiwai@suse.de
- perf script: Fix PERF_SAMPLE_WEIGHT_STRUCT support
  (stable-5.14.16).
- perf script: Check session->header.env.arch before using it
  (stable-5.14.16).
- KVM: x86: Take srcu lock in post_kvm_run_save()
  (stable-5.14.16).
- KVM: SEV-ES: fix another issue with string I/O VMGEXITs
  (stable-5.14.16).
- KVM: x86/xen: Fix kvm_xen_has_interrupt() sleeping in
  kvm_vcpu_block() (stable-5.14.16).
- KVM: x86: switch pvclock_gtod_sync_lock to a raw spinlock
  (stable-5.14.16).
- scsi: ufs: ufs-exynos: Correct timeout value setting registers
  (stable-5.14.16).
- riscv: Fix asan-stack clang build (stable-5.14.16).
- riscv: Do not re-populate shadow memory with
  kasan_populate_early_shadow (stable-5.14.16).
- riscv: fix misalgned trap vector base address (stable-5.14.16).
- commit 09b4969
* Wed Nov  3 2021 tiwai@suse.de
- bpf: Use kvmalloc for map values in syscall (stable-5.14.16).
- Refresh
  patches.suse/bpf-Fix-error-usage-of-map_fd-and-fdget-in-generic_m.patch.
- commit cedd276
* Wed Nov  3 2021 tiwai@suse.de
- KVM: s390: preserve deliverable_mask in __airqs_kick_single_vcpu
  (stable-5.14.16).
- KVM: s390: clear kicked_mask before sleeping again
  (stable-5.14.16).
- octeontx2-af: Check whether ipolicers exists (stable-5.14.16).
- net: hns3: expand buffer len for some debugfs command
  (stable-5.14.16).
- net: hns3: add more string spaces for dumping packets number
  of queue info in debugfs (stable-5.14.16).
- phy: phy_ethtool_ksettings_set: Lock the PHY while changing
  settings (stable-5.14.16).
- RDMA/irdma: Do not hold qos mutex twice on QP resume
  (stable-5.14.16).
- RDMA/irdma: Set VLAN in UD work completion correctly
  (stable-5.14.16).
- RDMA/irdma: Process extended CQ entries correctly
  (stable-5.14.16).
- commit 53d65f5
* Wed Nov  3 2021 tiwai@suse.de
- net: ethernet: microchip: lan743x: Fix skb allocation failure
  (stable-5.14.16).
- net/tls: Fix flipped sign in async_wait.err assignment
  (stable-5.14.16).
- net: hns3: fix data endian problem of some functions of debugfs
  (stable-5.14.16).
- net: hns3: fix pause config problem after autoneg disabled
  (stable-5.14.16).
- net: nxp: lpc_eth.c: avoid hang when bringing interface down
  (stable-5.14.16).
- phy: phy_start_aneg: Add an unlocked version (stable-5.14.16).
- phy: phy_ethtool_ksettings_set: Move after phy_start_aneg
  (stable-5.14.16).
- phy: phy_ethtool_ksettings_get: Lock the phy for consistency
  (stable-5.14.16).
- net: ethernet: microchip: lan743x: Fix dma allocation failure
  by using dma_set_mask_and_coherent (stable-5.14.16).
- net: ethernet: microchip: lan743x: Fix driver crash when
  lan743x_pm_resume fails (stable-5.14.16).
- commit df8349f
* Wed Nov  3 2021 tiwai@suse.de
- ice: check whether PTP is initialized in ice_ptp_release()
  (stable-5.14.16).
- mlxsw: pci: Recycle received packet upon allocation failure
  (stable-5.14.16).
- net-sysfs: initialize uid and gid before calling
  net_ns_get_ownership (stable-5.14.16).
- net: Prevent infinite while loop in skb_tx_hash()
  (stable-5.14.16).
- nios2: Make NIOS2_DTB_SOURCE_BOOL depend on !COMPILE_TEST
  (stable-5.14.16).
- RDMA/sa_query: Use strscpy_pad instead of memcpy to copy a
  string (stable-5.14.16).
- RDMA/mlx5: Initialize the ODP xarray when creating an ODP MR
  (stable-5.14.16).
- RDMA/mlx5: Set user priority for DCT (stable-5.14.16).
- reset: brcmstb-rescal: fix incorrect polarity of status bit
  (stable-5.14.16).
- arm64: dts: allwinner: h5: NanoPI Neo 2: Fix ethernet node
  (stable-5.14.16).
- commit 97aac17
* Wed Nov  3 2021 tiwai@suse.de
- nvmet-tcp: fix data digest pointer calculation (stable-5.14.16).
- nvme-tcp: fix data digest pointer calculation (stable-5.14.16).
- nvme-tcp: fix possible req->offset corruption (stable-5.14.16).
- octeontx2-af: Fix possible null pointer dereference
  (stable-5.14.16).
- octeontx2-af: Display all enabled PF VF rsrc_alloc entries
  (stable-5.14.16).
- tcp_bpf: Fix one concurrency problem in the tcp_bpf_send_verdict
  function (stable-5.14.16).
- bpf: Fix error usage of map_fd and fdget() in
  generic_map_update_batch() (stable-5.14.16).
- ice: Respond to a NETDEV_UNREGISTER event for LAG
  (stable-5.14.16).
- IB/hfi1: Fix abba locking issue with sc_disable()
  (stable-5.14.16).
- IB/qib: Protect from buffer overflow in struct qib_user_sdma_pkt
  fields (stable-5.14.16).
- commit a55a0c7
* Wed Nov  3 2021 tiwai@suse.de
- drm/ttm: fix memleak in ttm_transfered_destroy (stable-5.14.16).
- drm/amd/display: Fallback to clocks which meet requested
  voltage on DCN31 (stable-5.14.16).
- drm/amdgpu: support B0&B1 external revision id for yellow carp
  (stable-5.14.16).
- drm/amd/display: Moved dccg init to after bios golden init
  (stable-5.14.16).
- drm/amd/display: Increase watermark latencies for DCN3.1
  (stable-5.14.16).
- drm/amd/display: increase Z9 latency to workaround underflow
  in Z9 (stable-5.14.16).
- drm/amd/display: Fix prefetch bandwidth calculation for DCN3.1
  (stable-5.14.16).
- drm/amd/display: Limit display scaling to up to true 4k for
  DCN 3.1 (stable-5.14.16).
- riscv, bpf: Fix potential NULL dereference (stable-5.14.16).
- cgroup: Fix memory leak caused by missing cgroup_bpf_offline
  (stable-5.14.16).
- commit e3a5ce8
* Wed Nov  3 2021 tiwai@suse.de
- mm: khugepaged: skip huge page collapse for special files
  (stable-5.14.16).
- mm, thp: bail out early in collapse_file for writeback page
  (stable-5.14.16).
- mm: filemap: check if THP has hwpoisoned subpage for PMD page
  fault (stable-5.14.16).
- mm: hwpoison: remove the unnecessary THP check (stable-5.14.16).
- drm/amd/display: Require immediate flip support for DCN3.1
  planes (stable-5.14.16).
- arm64: dts: imx8mm-kontron: Fix connection type for VSC8531
  RGMII PHY (stable-5.14.16).
- arm64: dts: imx8mm-kontron: Fix CAN SPI clock frequency
  (stable-5.14.16).
- arm64: dts: imx8mm-kontron: Fix polarity of reg_rst_eth2
  (stable-5.14.16).
- arm64: dts: imx8mm-kontron: Set lower limit of VDD_SNVS to
  800 mV (stable-5.14.16).
- arm64: dts: imx8mm-kontron: Make sure SOC and DRAM supply
  voltages are correct (stable-5.14.16).
- commit 274ce5a
* Wed Nov  3 2021 tiwai@suse.de
- nvme-tcp: fix H2CData PDU send accounting (again)
  (stable-5.14.16).
- block: Fix partition check for host-aware zoned block devices
  (stable-5.14.16).
- mmc: sdhci: Map more voltage level to SDHCI_POWER_330
  (stable-5.14.16).
- ocfs2: fix race between searching chunks and release
  journal_head from buffer_head (stable-5.14.16).
- net/tls: Fix flipped sign in tls_err_abort() calls
  (stable-5.14.16).
- tipc: fix size validations for the MSG_CRYPTO type
  (stable-5.14.16).
- ftrace/nds32: Update the proto for ftrace_trace_function to
  match ftrace_stub (stable-5.14.16).
- ata: sata_mv: Fix the error handling of mv_chip_id()
  (stable-5.14.16).
- pinctrl: amd: disable and mask interrupts on probe
  (stable-5.14.16).
- Revert "pinctrl: bcm: ns: support updated DT binding as syscon
  subnode" (stable-5.14.16).
- commit 26c5964
* Wed Nov  3 2021 tiwai@suse.de
- usbnet: fix error return code in usbnet_probe()
  (stable-5.14.16).
- ARM: 9148/1: handle CONFIG_CPU_ENDIAN_BE32 in
  arch/arm/kernel/head.S (stable-5.14.16).
- ARM: 9141/1: only warn about XIP address when not compile
  testing (stable-5.14.16).
- ARM: 9139/1: kprobes: fix arch_init_kprobes() prototype
  (stable-5.14.16).
- ARM: 9138/1: fix link warning with XIP + frame-pointer
  (stable-5.14.16).
- ARM: 9134/1: remove duplicate memcpy() definition
  (stable-5.14.16).
- ARM: 9133/1: mm: proc-macros: ensure *_tlb_fns are 4B aligned
  (stable-5.14.16).
- ARM: 9132/1: Fix __get_user_check failure with ARM KASAN images
  (stable-5.14.16).
- usbnet: sanity check for maxpacket (stable-5.14.16).
- commit 47b76d0
* Wed Nov  3 2021 tiwai@suse.de
- Update patch references for stable-5.14.16
- commit 88fbd03
* Tue Nov  2 2021 tiwai@suse.de
- Update patch reference for selinux fix (CVE-2021-43057 bsc#1192260)
- commit 23a504e
* Tue Nov  2 2021 mbrugger@suse.com
- Update reference tag to the right issuses.
- Update patches.suse/gpio-mlxbf2-Convert-to-device-PM-ops.patch
  (jsc#SLE-19248 jsc#SLE-19789).
- Update patches.suse/gpio-mlxbf2-Drop-wrong-use-of-ACPI_PTR.patch
  (jsc#SLE-19248 jsc#SLE-19789).
- Update
  patches.suse/gpio-mlxbf2-Use-DEFINE_RES_MEM_NAMED-helper-macro.patch
  (jsc#SLE-19248 jsc#SLE-19789).
- Update
  patches.suse/gpio-mlxbf2-Use-devm_platform_ioremap_resource.patch
  (jsc#SLE-19248 jsc#SLE-19789).
- commit d6c0a5e
* Tue Nov  2 2021 tiwai@suse.de
- spi: spi-rpc-if: Check return value of rpcif_sw_init()
  (git-fixes).
- spi: Fixed division by zero warning (git-fixes).
- regulator: dt-bindings: samsung,s5m8767: correct
  s5m8767,pmic-buck-default-dvs-idx property (git-fixes).
- regulator: s5m8767: do not use reset value as DVS voltage if
  GPIO DVS is disabled (git-fixes).
- mmc: mxs-mmc: disable regulator on error and in the remove
  function (git-fixes).
- tpm_tis_spi: Add missing SPI ID (git-fixes).
- tpm: fix Atmel TPM crash caused by too frequent queries
  (git-fixes).
- tpm: Check for integer overflow in tpm2_map_response_body()
  (git-fixes).
- commit d58beb2
* Tue Nov  2 2021 tiwai@suse.de
- memstick: jmb38x_ms: use appropriate free function in
  jmb38x_ms_alloc_host() (git-fixes).
- memstick: avoid out-of-range warning (git-fixes).
- mmc: sdhci-omap: Fix context restore (git-fixes).
- mmc: sdhci-omap: Fix NULL pointer exception if regulator is
  not configured (git-fixes).
- media: ite-cir: IR receiver stop working after receive overflow
  (git-fixes).
- media: ir_toy: assignment to be16 should be of correct type
  (git-fixes).
- media: ivtv: fix build for UML (git-fixes).
- media: rkvdec: Support dynamic resolution changes (git-fixes).
- media: rkvdec: Do not override sizeimage for output format
  (git-fixes).
- media: dvb-frontends: mn88443x: Handle errors of
  clk_prepare_enable() (git-fixes).
- commit 747b3ec
* Tue Nov  2 2021 tiwai@suse.de
- media: CEC: keep related menu entries together (git-fixes).
- Update config files.
- commit db3b570
* Tue Nov  2 2021 tiwai@suse.de
- media: venus: fix vpp frequency calculation for decoder
  (git-fixes).
- media: em28xx: Don't use ops->suspend if it is NULL (git-fixes).
- media: cedrus: Fix SUNXI tile size calculation (git-fixes).
- media: mxl111sf: change mutex_init() location (git-fixes).
- media: atmel: fix the ispck initialization (git-fixes).
- media: cx23885: Fix snd_card_free call on null card pointer
  (git-fixes).
- media: tm6000: Avoid card name truncation (git-fixes).
- media: si470x: Avoid card name truncation (git-fixes).
- media: radio-wl1273: Avoid card name truncation (git-fixes).
- commit 58ed58d
* Tue Nov  2 2021 tiwai@suse.de
- media: sun6i-csi: Allow the video device to be open multiple
  times (git-fixes).
- media: i2c: ths8200 needs V4L2_ASYNC (git-fixes).
- media: imx-jpeg: Fix the error handling path of
  'mxc_jpeg_probe()' (git-fixes).
- media: mtk-vpu: Fix a resource leak in the error handling path
  of 'mtk_vpu_probe()' (git-fixes).
- media: TDA1997x: handle short reads of hdmi info frame
  (git-fixes).
- media: mtk-vcodec: venc: fix return value when start_streaming
  fails (git-fixes).
- media: v4l2-ioctl: S_CTRL output the right value (git-fixes).
- media: v4l2-ioctl: Fix check_ext_ctrls (git-fixes).
- media: ov8856: Set default mbus format but allow caller to alter
  (git-fixes).
- media: imx258: Fix getting clock frequency (git-fixes).
- commit 10ca4a5
* Tue Nov  2 2021 tiwai@suse.de
- mailbox: Remove WARN_ON for async_cb.cb in cmdq_exec_done
  (git-fixes).
- ipmi: kcs_bmc: Fix a memory leak in the error handling path of
  'kcs_bmc_serio_add_device()' (git-fixes).
- ipmi:watchdog: Set panic count to proper value on a panic
  (git-fixes).
- media: staging/intel-ipu3: css: Fix wrong size comparison
  imgu_css_fw_init (git-fixes).
- media: dvb-usb: fix ununit-value in az6027_rc_query (git-fixes).
- media: ttusb-dec: avoid release of non-acquired mutex
  (git-fixes).
- media: cxd2880-spi: Fix a null pointer dereference on error
  handling path (git-fixes).
- media: meson-ge2d: Fix rotation parameter changes detection in
  'ge2d_s_ctrl()' (git-fixes).
- media: em28xx: add missing em28xx_close_extension (git-fixes).
- irqchip: Fix compile-testing without CONFIG_OF (git-fixes).
- commit 962eefd
* Tue Nov  2 2021 tiwai@suse.de
- hwrng: mtk - Force runtime pm ops for sleep ops (git-fixes).
- hwmon: (tmp401) Drop support for TMP461 (git-fixes).
- hwmon: (pmbus/lm25066) Let compiler determine outer dimension
  of lm25066_coeff (git-fixes).
- hwmon: (pmbus/lm25066) Add offset coefficients (git-fixes).
- hwmon: Fix possible memleak in __hwmon_device_register()
  (git-fixes).
- firmware/psci: fix application of sizeof to pointer (git-fixes).
- fortify: Fix dropped strcpy() compile-time write overflow check
  (git-fixes).
- commit c3d9755
* Tue Nov  2 2021 tiwai@suse.de
- Move more upstreamed patches into sorted section
- commit 6bd75c5
* Tue Nov  2 2021 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 3505517
* Tue Nov  2 2021 tonyj@suse.de
- bpf: Fix potential race in tail call compatibility check
  (git-fixes).
- bpf: Move BPF_MAP_TYPE for INODE_STORAGE and TASK_STORAGE
  outside of CONFIG_NET (git-fixes).
- commit 7b0e1e4
* Mon Nov  1 2021 mcgrof@suse.com
- Drop patches where were added for ustat()
  glibc doesn't expose this system call anymore, and so no point in
  carrying this delta. LTP does test for this but the test uses its
  own headers instead of libc for it. It is not worth carrying this
  delta for a deprecated call.
  This patch set was tested with kernel-ci and found no new regressions
  with btrfs.
- Delete
  patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch.
- Delete patches.suse/btrfs-use-the-new-VFS-super_block_dev.patch.
- commit ea7c7f6
* Mon Nov  1 2021 jroedel@suse.de
- iommu/dart: Clear sid2group entry when a group is freed
  (bsc#1192202).
- iommu/dart: Remove iommu_flush_ops (bsc#1192202).
- commit bfa1796
* Mon Nov  1 2021 jroedel@suse.de
- iommu: Merge strictness and domain type configs (bsc#1192202).
- Update config files.
- commit d1fa7e3
* Mon Nov  1 2021 jroedel@suse.de
- iommu/dart: Add DART iommu driver (bsc#1192202).
- Update config files.
- commit 5aaf175
* Mon Nov  1 2021 jroedel@suse.de
- check.sh:
- iommu: Enhance IOMMU default DMA mode build options
  (bsc#1192202).
- Update config files.
- commit 2189b47
* Mon Nov  1 2021 jroedel@suse.de
- iommu/io-pgtable: Abstract iommu_iotlb_gather access
  (bsc#1192202).
- iommu/vt-d: Add present bit check in pasid entry setup helpers
  (bsc#1192202).
- iommu/vt-d: Use pasid_pte_is_present() helper function
  (bsc#1192202).
- iommu/vt-d: Drop the kernel doc annotation (bsc#1192202).
- iommu/vt-d: Allow devices to have more than 32 outstanding PRs
  (bsc#1192202).
- iommu/vt-d: Preset A/D bits for user space DMA usage
  (bsc#1192202).
- iommu/vt-d: Enable Intel IOMMU scalable mode by default
  (bsc#1192202).
- iommu/vt-d: Refactor Kconfig a bit (bsc#1192202).
- iommu/vt-d: Remove unnecessary oom message (bsc#1192202).
- iommu: Allow enabling non-strict mode dynamically (bsc#1192202).
- iommu: Only log strictness for DMA domains (bsc#1192202).
- iommu: Expose DMA domain strictness via sysfs (bsc#1192202).
- iommu: Express DMA strictness via the domain type (bsc#1192202).
- iommu/vt-d: Prepare for multiple DMA domain types (bsc#1192202).
- iommu/arm-smmu: Prepare for multiple DMA domain types
  (bsc#1192202).
- iommu/amd: Prepare for multiple DMA domain types (bsc#1192202).
- iommu: Introduce explicit type for non-strict DMA domains
  (bsc#1192202).
- iommu/io-pgtable: Remove non-strict quirk (bsc#1192202).
- iommu: Indicate queued flushes via gather data (bsc#1192202).
- iommu/dma: Remove redundant "!dev" checks (bsc#1192202).
- iommu/virtio: Drop IOVA cookie management (bsc#1192202).
- iommu/sun50i: Drop IOVA cookie management (bsc#1192202).
- iommu/sprd: Drop IOVA cookie management (bsc#1192202).
- iommu/rockchip: Drop IOVA cookie management (bsc#1192202).
- iommu/mtk: Drop IOVA cookie management (bsc#1192202).
- iommu/ipmmu-vmsa: Drop IOVA cookie management (bsc#1192202).
- iommu/exynos: Drop IOVA cookie management (bsc#1192202).
- iommu/vt-d: Drop IOVA cookie management (bsc#1192202).
- iommu/arm-smmu: Drop IOVA cookie management (bsc#1192202).
- iommu/amd: Drop IOVA cookie management (bsc#1192202).
- iommu: Pull IOVA cookie management into the core (bsc#1192202).
- iommu/amd: Remove stale amd_iommu_unmap_flush usage
  (bsc#1192202).
- iommu/amd: Use only natural aligned flushes in a VM
  (bsc#1192202).
- iommu/amd: Sync once for scatter-gather operations
  (bsc#1192202).
- iommu/amd: Tailored gather logic for AMD (bsc#1192202).
- iommu: Factor iommu_iotlb_gather_is_disjoint() out
  (bsc#1192202).
- iommu: Improve iommu_iotlb_gather helpers (bsc#1192202).
- iommu/amd: Do not use flush-queue when NpCache is on
  (bsc#1192202).
- iommu/amd: Selective flush on unmap (bsc#1192202).
- iommu/amd: Fix printing of IOMMU events when rate limiting
  kicks in (bsc#1192202).
- iommu/amd: Convert from atomic_t to refcount_t on
  pasid_state->count (bsc#1192202).
- iommu/arm-smmu: Fix missing unlock on error in
  arm_smmu_device_group() (bsc#1192202).
- iommu/arm-smmu-v3: Stop pre-zeroing batch commands
  (bsc#1192202).
- iommu/arm-smmu-v3: Extract reusable function
  __arm_smmu_cmdq_skip_err() (bsc#1192202).
- iommu/arm-smmu-v3: Add and use static helper function
  arm_smmu_get_cmdq() (bsc#1192202).
- iommu/arm-smmu-v3: Add and use static helper function
  arm_smmu_cmdq_issue_cmd_with_sync() (bsc#1192202).
- iommu/arm-smmu-v3: Use command queue batching helpers to
  improve performance (bsc#1192202).
- iommu/arm-smmu: Optimize ->tlb_flush_walk() for qcom
  implementation (bsc#1192202).
- iommu/arm-smmu: Fix race condition during iommu_group creation
  (bsc#1192202).
- iommu: Fix race condition during default domain allocation
  (bsc#1192202).
- iommu/arm-smmu: Add clk_bulk_{prepare/unprepare} to system pm
  callbacks (bsc#1192202).
- iommu/arm-smmu-v3: Remove some unneeded init in
  arm_smmu_cmdq_issue_cmdlist() (bsc#1192202).
- iommu/dart: APPLE_DART should depend on ARCH_APPLE
  (bsc#1192202).
- dt-bindings: iommu: add DART iommu bindings (bsc#1192202).
- iommu/io-pgtable: Add DART pagetable format (bsc#1192202).
- iommu/arm-smmu-v3: Implement the map_pages() IOMMU driver
  callback (bsc#1192202).
- iommu/arm-smmu-v3: Implement the unmap_pages() IOMMU driver
  callback (bsc#1192202).
- iommu/vt-d: Move clflush'es from iotlb_sync_map() to map_pages()
  (bsc#1192202).
- iommu/vt-d: Implement map/unmap_pages() iommu_ops callback
  (bsc#1192202).
- iommu/vt-d: Report real pgsize bitmap to iommu core
  (bsc#1192202).
- iommu: Streamline iommu_iova_to_phys() (bsc#1192202).
- iommu: Remove mode argument from iommu_set_dma_strict()
  (bsc#1192202).
- iommu/amd: Add support for IOMMU default DMA mode build options
  (bsc#1192202).
- iommu/vt-d: Add support for IOMMU default DMA mode build options
  (bsc#1192202).
- iommu: Print strict or lazy mode at init time (bsc#1192202).
- iommu: Deprecate Intel and AMD cmdline methods to enable strict
  mode (bsc#1192202).
- iommu/arm-smmu: Implement the map_pages() IOMMU driver callback
  (bsc#1192202).
- iommu/arm-smmu: Implement the unmap_pages() IOMMU driver
  callback (bsc#1192202).
- iommu/io-pgtable-arm-v7s: Implement arm_v7s_map_pages()
  (bsc#1192202).
- iommu/io-pgtable-arm-v7s: Implement arm_v7s_unmap_pages()
  (bsc#1192202).
- iommu/io-pgtable-arm: Implement arm_lpae_map_pages()
  (bsc#1192202).
- iommu/io-pgtable-arm: Implement arm_lpae_unmap_pages()
  (bsc#1192202).
- iommu/io-pgtable-arm: Prepare PTE methods for handling multiple
  entries (bsc#1192202).
- iommu: Add support for the map_pages() callback (bsc#1192202).
- iommu: Hook up '->unmap_pages' driver callback (bsc#1192202).
- iommu: Split 'addr_merge' argument to iommu_pgsize() into
  separate parts (bsc#1192202).
- iommu: Use bitmap to calculate page size in iommu_pgsize()
  (bsc#1192202).
- iommu: Add a map_pages() op for IOMMU drivers (bsc#1192202).
- iommu/io-pgtable: Introduce map_pages() as a page table op
  (bsc#1192202).
- iommu: Add an unmap_pages() op for IOMMU drivers (bsc#1192202).
- iommu/io-pgtable: Introduce unmap_pages() as a page table op
  (bsc#1192202).
- commit a0c9d74
* Mon Nov  1 2021 tiwai@suse.de
- Refresh patches.suse/iwlwifi-module-firmware-ucode-fix.patch (boo#1191417)
  There is one model that contains *-66.ucode.  Add the exception.
- commit 092f914
* Sun Oct 31 2021 mkubecek@suse.cz
- sctp: add vtag check in sctp_sf_ootb (CVE-2021-3772
  bsc#1190351).
- sctp: add vtag check in sctp_sf_do_8_5_1_E_sa (CVE-2021-3772
  bsc#1190351).
- sctp: add vtag check in sctp_sf_violation (CVE-2021-3772
  bsc#1190351).
- sctp: fix the processing for COOKIE_ECHO chunk (CVE-2021-3772
  bsc#1190351).
- sctp: fix the processing for INIT_ACK chunk (CVE-2021-3772
  bsc#1190351).
- sctp: fix the processing for INIT chunk (CVE-2021-3772
  bsc#1190351).
- sctp: use init_tag from inithdr for ABORT chunk (CVE-2021-3772
  bsc#1190351).
- commit eced362
* Sat Oct 30 2021 tiwai@suse.de
- gpio: xgs-iproc: fix parsing of ngpios property (git-fixes).
- mmc: tmio: reenable card irqs after the reset callback
  (git-fixes).
- mmc: mediatek: Move cqhci init behind ungate clock (git-fixes).
- mmc: cqhci: clear HALT state after CQE enable (git-fixes).
- mmc: vub300: fix control-message timeouts (git-fixes).
- mmc: dw_mmc: exynos: fix the finding clock sample value
  (git-fixes).
- mmc: sdhci-pci: Read card detect from ACPI for Intel Merrifield
  (git-fixes).
- commit 1481f8d
* Fri Oct 29 2021 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 14.0.0.3 (bsc#1192145).
- scsi: lpfc: Allow fabric node recovery if recovery is in
  progress before devloss (bsc#1192145).
- scsi: lpfc: Fix link down processing to address NULL pointer
  dereference (bsc#1192145).
- scsi: lpfc: Allow PLOGI retry if previous PLOGI was aborted
  (bsc#1192145).
- scsi: lpfc: Fix use-after-free in lpfc_unreg_rpi() routine
  (bsc#1192145).
- scsi: lpfc: Correct sysfs reporting of loop support after SFP
  status change (bsc#1192145).
- scsi: lpfc: Wait for successful restart of SLI3 adapter during
  host sg_reset (bsc#1192145).
- scsi: lpfc: Revert LOG_TRACE_EVENT back to LOG_INIT prior to
  driver_resource_setup() (bsc#1192145).
- commit 646f67b
* Fri Oct 29 2021 tiwai@suse.de
- rtw89: Fix variable dereferenced before check 'sta'
  (bsc#1191321).
- rtw89: fix return value in hfc_pub_cfg_chk (bsc#1191321).
- rtw89: remove duplicate register definitions (bsc#1191321).
- rtw89: fix error function parameter (bsc#1191321).
- rtw89: remove unneeded semicolon (bsc#1191321).
- rtw89: fix return value check in rtw89_cam_send_sec_key_cmd()
  (bsc#1191321).
- rtw89: Remove redundant check of ret after call to
  rtw89_mac_enable_bb_rf (bsc#1191321).
- rtw89: Fix two spelling mistakes in debug messages
  (bsc#1191321).
- commit 6b3302b
* Fri Oct 29 2021 mbrugger@suse.com
- gpio: mlxbf2: Use DEFINE_RES_MEM_NAMED() helper macro
  (jsc#SLE-95282).
- gpio: mlxbf2: Use devm_platform_ioremap_resource()
  (jsc#SLE-95282).
- gpio: mlxbf2: Drop wrong use of ACPI_PTR() (jsc#SLE-95282).
- gpio: mlxbf2: Convert to device PM ops (jsc#SLE-95282).
- commit 9b96e8f
* Fri Oct 29 2021 clin@suse.com
- Update references to a new jira ticket SLE-22489.
- Update
  patches.suse/MAINTAINERS-add-an-entry-for-NXP-S32G-boards.patch
  (jsc#SLE-22489).
- Update patches.suse/arm64-dts-add-NXP-S32G2-support.patch
  (jsc#SLE-22489).
- Update patches.suse/arm64-dts-s32g2-add-USDHC-support.patch
  (jsc#SLE-22489).
- Update
  patches.suse/arm64-dts-s32g2-add-VNP-EVB-and-VNP-RDB2-support.patch
  (jsc#SLE-22489).
- Update
  patches.suse/arm64-dts-s32g2-add-memory-nodes-for-evb-and-rdb2.patch
  (jsc#SLE-22489).
- Update
  patches.suse/arm64-dts-s32g2-add-serial-uart-support.patch
  (jsc#SLE-22489).
- Update
  patches.suse/dt-bindings-arm-fsl-add-NXP-S32G2-boards.patch
  (jsc#SLE-22489).
- Update
  patches.suse/dt-bindings-mmc-fsl-imx-esdhc-add-NXP-S32G2-support.patch
  (jsc#SLE-22489).
- Update
  patches.suse/dt-bindings-serial-fsl-linflexuart-add-compatible-fo.patch
  (jsc#SLE-22489).
- Update
  patches.suse/dt-bindings-serial-fsl-linflexuart-convert-to-json-s.patch
  (jsc#SLE-22489).
- Update
  patches.suse/mmc-sdhci-esdhc-imx-Remove-redundant-code-for-manual.patch
  (jsc#SLE-22489).
- Update
  patches.suse/mmc-sdhci-esdhc-imx-Remove-unneeded-mmc-esdhc-imx.h-.patch
  (jsc#SLE-22489).
- Update
  patches.suse/mmc-sdhci-esdhc-imx-Select-the-correct-mode-for-auto.patch
  (jsc#SLE-22489).
- Update
  patches.suse/mmc-sdhci-esdhc-imx-add-NXP-S32G2-support.patch
  (jsc#SLE-22489).
- Update
  patches.suse/mmc-sdhci-esdhc-imx-clear-the-buffer_read_ready-to-r.patch
  (jsc#SLE-22489).
- commit 618f4ad
* Fri Oct 29 2021 tiwai@suse.de
- drm/i915/dp: Skip the HW readout of DPCD on disabled encoders
  (git-fixes).
- drm/i915: Catch yet another unconditioal clflush (git-fixes).
- drm/i915: Convert unconditional clflush to
  drm_clflush_virt_range() (git-fixes).
- drm/amd/display: Fix deadlock when falling back to v2 from v3
  (git-fixes).
- cfg80211: correct bridge/4addr mode check (git-fixes).
- cfg80211: fix management registrations locking (git-fixes).
- net: lan78xx: fix division by zero in send path (git-fixes).
- net: batman-adv: fix error handling (git-fixes).
- nfc: port100: fix using -ERRNO as command type mask (git-fixes).
- cfg80211: scan: fix RCU in cfg80211_add_nontrans_list()
  (git-fixes).
- mac80211: mesh: fix HE operation element length check
  (git-fixes).
- regmap: Fix possible double-free in regcache_rbtree_exit()
  (git-fixes).
- watchdog: sbsa: only use 32-bit accessors (git-fixes).
- Revert "watchdog: iTCO_wdt: Account for rebooting on second
  timeout" (git-fixes).
- virtio-ring: fix DMA metadata flags (git-fixes).
- commit 0d15701
* Fri Oct 29 2021 pjakobsson@suse.de
- drm/amdgpu: Fix even more out of bound writes from debugfs
  (bsc#1191949 CVE-2021-42327).
- drm/amdgpu: fix out of bounds write (bsc#1191949
  CVE-2021-42327).
- commit 3b100a9
* Fri Oct 29 2021 clin@suse.com
- arm64: dts: s32g2: add USDHC support (jsc#SLE-17612).
- mmc: sdhci-esdhc-imx: add NXP S32G2 support (jsc#SLE-17612).
- mmc: sdhci-esdhc-imx: clear the buffer_read_ready to reset
  standard tuning circuit (jsc#SLE-17612).
- dt-bindings: mmc: fsl-imx-esdhc: add NXP S32G2 support
  (jsc#SLE-17612).
- MAINTAINERS: add an entry for NXP S32G boards (jsc#SLE-17612).
- arm64: dts: s32g2: add memory nodes for evb and rdb2
  (jsc#SLE-17612).
- arm64: dts: s32g2: add VNP-EVB and VNP-RDB2 support
  (jsc#SLE-17612).
- arm64: dts: s32g2: add serial/uart support (jsc#SLE-17612).
- arm64: dts: add NXP S32G2 support (jsc#SLE-17612).
- dt-bindings: serial: fsl-linflexuart: add compatible for S32G2
  (jsc#SLE-17612).
- dt-bindings: serial: fsl-linflexuart: convert to json-schema
  format (jsc#SLE-17612).
- dt-bindings: arm: fsl: add NXP S32G2 boards (jsc#SLE-17612).
- mmc: sdhci-esdhc-imx: Select the correct mode for auto tuning
  (jsc#SLE-17612).
- mmc: sdhci-esdhc-imx: Remove redundant code for manual tuning
  (jsc#SLE-17612).
- mmc: sdhci-esdhc-imx: Remove unneeded mmc-esdhc-imx.h header
  (jsc#SLE-17612).
- commit 904b8f7
* Thu Oct 28 2021 mgorman@suse.de
- Delete
  patches.suse/sched-numa-Check-numa-balancing-information-only-when-enabled.patch.
  Marginal benefit.
- commit f084d35
* Thu Oct 28 2021 mgorman@suse.de
- sched/fair: Increase wakeup_gran if current task has not
  executed the minimum granularity (Scheduler enhancements for I7
  (bnc#754690, bnc#1144446)).
- commit c69685a
* Thu Oct 28 2021 mgorman@suse.de
- sched/fair: Couple wakee flips with heavy wakers (Scheduler
  enhancements for I7 (bnc#754690, bnc#1144446)).
- commit fdca596
* Thu Oct 28 2021 mgorman@suse.de
- sched/fair: Adjust the allowed NUMA imbalance when SD_NUMA
  spans multiple LLCS (bsc#1192120).
- commit c881665
* Thu Oct 28 2021 msuchanek@suse.de
- Update bug references.
  patches.suse/KVM-PPC-Book3S-HV-Fix-stack-handling-in-idle_kvm_sta.patch
  (stable-5.14.15 bko#206669 bsc#1174585 bsc#1192107
  CVE-2021-43056).
  patches.suse/KVM-PPC-Book3S-HV-Make-idle_kvm_start_guest-return-0.patch
  (stable-5.14.15 bko#206669 bsc#1174585 bsc#1192107
  CVE-2021-43056).
  patches.suse/powerpc-idle-Don-t-corrupt-back-chain-when-going-idl.patch
  (stable-5.14.15 bko#206669 bsc#1174585 bsc#1192107
  CVE-2021-43056).
- commit 140b7c5
* Thu Oct 28 2021 tiwai@suse.de
- Update patch reference for ISDN fix (CVE-2021-3896 bsc#1191958)
  The config isn't enabled but the fix was already picked up by stable tree.
- commit ee64c99
* Thu Oct 28 2021 jlee@suse.com
- efi: cper: check section header more appropriately
  (jsc#SLE-18522).
- efi/libstub: Simplify "Exiting bootservices" message
  (jsc#SLE-18522).
- efi: sysfb_efi: fix build when EFI is not set (jsc#SLE-18522).
- drivers/firmware: fix SYSFB depends to prevent build failures
  (jsc#SLE-18522).
- drivers/firmware: consolidate EFI framebuffer setup for all
  arches (jsc#SLE-18522).
  Update config files:
  +# CONFIG_SYSFB_SIMPLEFB is not set
- drivers/firmware: move x86 Generic System Framebuffers support
  (jsc#SLE-18522).
  Update config files:
  +CONFIG_SYSFB=y
- efi: cper: fix scnprintf() use in cper_mem_err_location()
  (jsc#SLE-18522).
- commit f3836a8
* Wed Oct 27 2021 jlee@suse.com
- ACPI: tools: fix compilation error (jsc#SLE-19223).
- ACPI: PM: Do not turn off power resources in unknown state
  (jsc#SLE-19223).
- Revert "ACPI: Add memory semantics to acpi_os_map_memory()"
  (jsc#SLE-19223).
- ACPI: scan: Remove unneeded header linux/nls.h (jsc#SLE-19223).
- ACPI: CPPC: Introduce cppc_get_nominal_perf() (jsc#SLE-19223).
- ACPI: memhotplug: memory resources cannot be enabled yet
  (jsc#SLE-19223).
- clk: fractional-divider: Introduce POWER_OF_TWO_PS flag
  (jsc#SLE-19223).
- isystem: ship and use stdarg.h (jsc#SLE-19223).
- clk: x86: Rename clk-lpt to more specific clk-lpss-atom
  (jsc#SLE-19223).
- ACPI: button: Add DMI quirk for Lenovo Yoga 9 (14INTL5)
  (jsc#SLE-19223).
- ACPI: power: Drop name from struct acpi_power_resource
  (jsc#SLE-19223).
- ACPI: power: Use acpi_handle_debug() to print debug messages
  (jsc#SLE-19223).
- ACPI: Add memory semantics to acpi_os_map_memory()
  (jsc#SLE-19223).
- ACPI: platform-profile: call sysfs_notify() from
  platform_profile_store() (jsc#SLE-19223).
- ACPI: tables: FPDT: Do not print FW_BUG message if record
  types are reserved (jsc#SLE-19223).
- ACPI: SPCR: Add support for the new 16550-compatible Serial
  Port Subtype (jsc#SLE-19223).
- ACPI: DPTF: Add new PCH FIVR methods (jsc#SLE-19223).
- ACPI / PMIC: XPower: optimize MIPI PMIQ sequence I2C-bus
  accesses (jsc#SLE-19223).
- ACPI / PMIC: XPower: optimize I2C-bus accesses (jsc#SLE-19223).
- ACPI: configfs: Make get_header() to return error pointer
  (jsc#SLE-19223).
- ACPI: configfs: Use sysfs_emit() in "show" functions
  (jsc#SLE-19223).
- ACPI: glue: Eliminate acpi_platform_notify() (jsc#SLE-19223).
- ACPI: bus: Rename functions to avoid name collision
  (jsc#SLE-19223).
- ACPI: glue: Change return type of two functions to void
  (jsc#SLE-19223).
- ACPI: glue: Rearrange acpi_device_notify() (jsc#SLE-19223).
- ACPI: Add LoongArch support for ACPI_PROCESSOR/ACPI_NUMA
  (jsc#SLE-19223).
- ACPICA: Update version to 20210730 (jsc#SLE-19223).
- ACPICA: Add method name "_DIS" For use with aslmethod.c
  (jsc#SLE-19223).
- ACPICA: iASL: Fix for WPBT table with no command-line arguments
  (jsc#SLE-19223).
- ACPICA: Headers: Add new DBG2 Serial Port Subtypes
  (jsc#SLE-19223).
- ACPICA: Macros should not use a trailing semicolon
  (jsc#SLE-19223).
- ACPICA: Fix an if statement (add parens) (jsc#SLE-19223).
- ACPICA: iASL: Add support for the AEST table (data compiler)
  (jsc#SLE-19223).
- x86: Fix typo s/ECLR/ELCR/ for the PIC register (jsc#SLE-19223).
- x86: Avoid magic number with ELCR register accesses
  (jsc#SLE-19223).
- commit fec7c9a
* Wed Oct 27 2021 jack@suse.cz
- blacklist.conf: Blacklist 889c05cc5834
- commit 5a487b9
* Wed Oct 27 2021 jack@suse.cz
- block, bfq: reset last_bfqq_created on group change
  (bsc#1192069).
- commit 766d534
* Wed Oct 27 2021 tiwai@suse.de
- Update patch reference for NFC fix (CVE-2021-3760 bsc#1190067)
- commit ff45dbb
* Wed Oct 27 2021 tiwai@suse.de
- Update patch reference for firewire fix (CVE-2021-42739 CVE-2021-3542 bsc#1184673)
- commit 5dddbb4
* Wed Oct 27 2021 tiwai@suse.de
- Revert "net: mdiobus: Fix memory leak in __mdiobus_register"
  (git-fixes).
- commit 9dd851c
* Wed Oct 27 2021 tiwai@suse.de
- Update config files: just version bump to 5.14.15
- commit 9c26279
* Wed Oct 27 2021 tiwai@suse.de
- ARM: 9122/1: select HAVE_FUTEX_CMPXCHG (stable-5.14.15).
- Update config files.
- commit 3874624
* Wed Oct 27 2021 tiwai@suse.de
- Linux 5.14.15 (stable-5.14.15).
- commit de92495
* Wed Oct 27 2021 tiwai@suse.de
- pinctrl: stm32: use valid pin identifier in
  stm32_pinctrl_resume() (stable-5.14.15).
- commit f116064
* Wed Oct 27 2021 tiwai@suse.de
- drm/kmb: Enable alpha blended second plane (stable-5.14.15).
- Refresh
  patches.suse/drm-kmb-Disable-change-of-plane-parameters.patch.
- commit 6bcd94d
* Wed Oct 27 2021 tiwai@suse.de
- autofs: fix wait name hash calculation in autofs_wait()
  (stable-5.14.15).
- scsi: core: Fix shost->cmd_per_lun calculation in
  scsi_add_host_with_dma() (stable-5.14.15).
- drm/kmb: Limit supported mode to 1080p (stable-5.14.15).
- e1000e: Separate TGP board type from SPT (stable-5.14.15).
- s390/pci: fix zpci_zdev_put() on reserve (stable-5.14.15).
- bpf, test, cgroup: Use sk_{alloc,free} for test cases
  (stable-5.14.15).
- net: mdiobus: Fix memory leak in __mdiobus_register
  (stable-5.14.15).
- s390/pci: cleanup resources only if necessary (stable-5.14.15).
- commit 905ecd1
* Wed Oct 27 2021 tiwai@suse.de
- net/mlx5: Lag, change multipath and bonding to be mutually
  exclusive (stable-5.14.15).
- commit 46bc273
* Wed Oct 27 2021 tiwai@suse.de
- net: hns3: fix for miscalculation of rx unused desc
  (stable-5.14.15).
- commit 4b9aac9
* Wed Oct 27 2021 tiwai@suse.de
- sched/scs: Reset the shadow stack when idle_task_exit
  (stable-5.14.15).
- scsi: qla2xxx: Fix a memory leak in an error path of
  qla2x00_process_els() (stable-5.14.15).
- scsi: mpi3mr: Fix duplicate device entries when scanning
  through sysfs (stable-5.14.15).
- scsi: storvsc: Fix validation for unsolicited incoming packets
  (stable-5.14.15).
- scsi: iscsi: Fix set_param() handling (stable-5.14.15).
- ASoC: codec: wcd938x: Add irq config support (stable-5.14.15).
- mm/thp: decrease nr_thps in file's mapping on THP split
  (stable-5.14.15).
- Input: snvs_pwrkey - add clk handling (stable-5.14.15).
- commit 45f2107
* Wed Oct 27 2021 tiwai@suse.de
- perf/x86/msr: Add Sapphire Rapids CPU support (stable-5.14.15).
- libperf tests: Fix test_stat_cpu (stable-5.14.15).
- libperf test evsel: Fix build error on !x86 architectures
  (stable-5.14.15).
- spi-mux: Fix false-positive lockdep splats (stable-5.14.15).
- spi: Fix deadlock when adding SPI controllers on SPI buses
  (stable-5.14.15).
- isdn: mISDN: Fix sleeping function called from invalid context
  (stable-5.14.15).
- ARM: dts: spear3xx: Fix gmac node (stable-5.14.15).
- net: stmmac: add support for dwmac 3.40a (stable-5.14.15).
- platform/x86: intel_scu_ipc: Update timeout value in comment
  (stable-5.14.15).
- platform/x86: intel_scu_ipc: Increase virtual timeout to 10s
  (stable-5.14.15).
- commit 09559eb
* Wed Oct 27 2021 tiwai@suse.de
- KVM: MMU: Reset mmu->pkru_mask to avoid stale data
  (stable-5.14.15).
- objtool: Update section header before relocations
  (stable-5.14.15).
- objtool: Check for gelf_update_rel[a] failures (stable-5.14.15).
- drm/msm/a6xx: Serialize GMU communication (stable-5.14.15).
- bitfield: build kunit tests without structleak plugin
  (stable-5.14.15).
- device property: build kunit tests without structleak plugin
  (stable-5.14.15).
- iio/test-format: build kunit tests without structleak plugin
  (stable-5.14.15).
- gcc-plugins/structleak: add makefile var for disabling
  structleak (stable-5.14.15).
- kunit: fix reference count leak in kfree_at_end
  (stable-5.14.15).
- btrfs: deal with errors when checking if a dir entry exists
  during log replay (stable-5.14.15).
- commit 1f55831
* Wed Oct 27 2021 tiwai@suse.de
- KVM: x86: remove unnecessary arguments from
  complete_emulator_pio_in (stable-5.14.15).
- KVM: x86: split the two parts of emulator_pio_in
  (stable-5.14.15).
- drm: mxsfb: Fix NULL pointer dereference crash on unload
  (stable-5.14.15).
- selftests: netfilter: remove stray bash debug line
  (stable-5.14.15).
- netfilter: Kconfig: use 'default y' instead of 'm' for bool
  config option (stable-5.14.15).
- net: hns3: fix the max tx size according to user manual
  (stable-5.14.15).
- net: bridge: mcast: use multicast_membership_interval for IGMPv3
  (stable-5.14.15).
- KVM: SEV-ES: Set guest_state_protected after VMSA update
  (stable-5.14.15).
- isdn: cpai: check ctr->cnr to avoid array index out of bound
  (stable-5.14.15).
- nfc: nci: fix the UAF of rf_conn_info object (stable-5.14.15).
- commit 41d6324
* Wed Oct 27 2021 tiwai@suse.de
- KVM: SEV-ES: go over the sev_pio_data buffer in multiple passes
  if needed (stable-5.14.15).
- KVM: SEV-ES: keep INS functions together (stable-5.14.15).
- KVM: SEV-ES: clean up kvm_sev_es_ins/outs (stable-5.14.15).
- KVM: x86: leave vcpu->arch.pio.count alone in
  emulator_pio_in_out (stable-5.14.15).
- KVM: SEV-ES: rename guest_ins_data to sev_pio_data
  (stable-5.14.15).
- KVM: SEV: Flush cache on non-coherent systems before
  RECEIVE_UPDATE_DATA (stable-5.14.15).
- KVM: nVMX: promptly process interrupts delivered while in
  guest mode (stable-5.14.15).
- KVM: x86: check for interrupts before deciding whether to exit
  the fast path (stable-5.14.15).
- KVM: SEV-ES: reduce ghcb_sa_len to 32 bits (stable-5.14.15).
- KVM: SEV-ES: fix length of string I/O (stable-5.14.15).
- commit 55eb497
* Wed Oct 27 2021 tiwai@suse.de
- ucounts: Proper error handling in set_cred_ucounts
  (stable-5.14.15).
- ucounts: Pair inc_rlimit_ucounts with dec_rlimit_ucoutns in
  commit_creds (stable-5.14.15).
- ucounts: Fix signal ucount refcounting (stable-5.14.15).
- powerpc/idle: Don't corrupt back chain when going idle
  (stable-5.14.15).
- mm, slub: fix incorrect memcg slab count for bulk free
  (stable-5.14.15).
- mm, slub: fix potential use-after-free in slab_debugfs_fops
  (stable-5.14.15).
- mm, slub: fix potential memoryleak in kmem_cache_open()
  (stable-5.14.15).
- mm, slub: fix mismatch between reconstructed freelist depth
  and cnt (stable-5.14.15).
- KVM: PPC: Book3S HV: Make idle_kvm_start_guest() return 0 if
  it went to guest (stable-5.14.15).
- KVM: PPC: Book3S HV: Fix stack handling in
  idle_kvm_start_guest() (stable-5.14.15).
- commit 91fb3d7
* Wed Oct 27 2021 tiwai@suse.de
- blk-cgroup: blk_cgroup_bio_start() should use irq-safe
  operations on blkg->iostat_cpu (stable-5.14.15).
- ucounts: Move get_ucounts from cred_alloc_blank to
  key_change_session_keyring (stable-5.14.15).
- net: dsa: mt7530: correct ds->num_ports (stable-5.14.15).
- ASoC: DAPM: Fix missing kctl change notifications
  (stable-5.14.15).
- ASoC: nau8824: Fix headphone vs headset, button-press detection
  no longer working (stable-5.14.15).
- ALSA: usb-audio: Provide quirk for Sennheiser GSP670 Headset
  (stable-5.14.15).
- ALSA: hda/realtek: Add quirk for Clevo PC50HS (stable-5.14.15).
- audit: fix possible null-pointer dereference in
  audit_filter_rules (stable-5.14.15).
- mm/secretmem: fix NULL page->mapping dereference in
  page_is_secretmem() (stable-5.14.15).
- vfs: check fd has read access in kernel_read_file_from_fd()
  (stable-5.14.15).
- commit 683b2ff
* Wed Oct 27 2021 tiwai@suse.de
- can: j1939: j1939_xtp_rx_rts_session_new(): abort TP less than
  9 bytes (stable-5.14.15).
- ceph: fix handling of "meta" errors (stable-5.14.15).
- ceph: skip existing superblocks that are blocklisted or shut
  down when mounting (stable-5.14.15).
- tracing: Have all levels of checks prevent recursion
  (stable-5.14.15).
- elfcore: correct reference to CONFIG_UML (stable-5.14.15).
- mm/mempolicy: do not allow illegal MPOL_F_NUMA_BALANCING |
  MPOL_LOCAL in mbind() (stable-5.14.15).
- ocfs2: mount fails with buffer overflow in strlen
  (stable-5.14.15).
- ocfs2: fix data corruption after conversion from inline format
  (stable-5.14.15).
- userfaultfd: fix a race between writeprotect and exit_mmap()
  (stable-5.14.15).
- mm/userfaultfd: selftests: fix memory corruption with thp
  enabled (stable-5.14.15).
- commit f96874a
* Wed Oct 27 2021 tiwai@suse.de
- net: enetc: make sure all traffic classes can send large frames
  (stable-5.14.15).
- can: isotp: isotp_sendmsg(): fix return error on FC timeout
  on TX path (stable-5.14.15).
- can: peak_usb: pcan_usb_fd_decode_status(): fix back to
  ERROR_ACTIVE state notification (stable-5.14.15).
- can: peak_pci: peak_pci_remove(): fix UAF (stable-5.14.15).
- can: rcar_can: fix suspend/resume (stable-5.14.15).
- can: isotp: isotp_sendmsg(): fix TX buffer concurrent access
  in isotp_sendmsg() (stable-5.14.15).
- can: isotp: isotp_sendmsg(): add result check for
  wait_event_interruptible() (stable-5.14.15).
- can: j1939: j1939_xtp_rx_dat_one(): cancel session if receive
  TP.DT with error length (stable-5.14.15).
- can: j1939: j1939_netdev_start(): fix UAF for rx_kref of
  j1939_priv (stable-5.14.15).
- can: j1939: j1939_tp_rxtimer(): fix errant alert in
  j1939_tp_rxtimer (stable-5.14.15).
- commit 5922c25
* Wed Oct 27 2021 tiwai@suse.de
- drm/kmb: Enable ADV bridge after modeset (stable-5.14.15).
- drm/kmb: Corrected typo in handle_lcd_irq (stable-5.14.15).
- drm/kmb: Disable change of plane parameters (stable-5.14.15).
- drm/kmb: Remove clearing DPHY regs (stable-5.14.15).
- drm/kmb: Work around for higher system clock (stable-5.14.15).
- drm/panel: ilitek-ili9881c: Fix sync for Feixin K101-IM2BYL02
  panel (stable-5.14.15).
- net: enetc: fix ethtool counter name for PM0_TERR
  (stable-5.14.15).
- net/mlx5e: IPsec: Fix work queue entry ethernet segment checksum
  flags (stable-5.14.15).
- net/mlx5e: IPsec: Fix a misuse of the software parser's fields
  (stable-5.14.15).
- ice: Add missing E810 device ids (stable-5.14.15).
- commit 8a2728b
* Wed Oct 27 2021 tiwai@suse.de
- igc: Update I226_K device ID (stable-5.14.15).
- e1000e: Fix packet loss on Tiger Lake and later
  (stable-5.14.15).
- ptp: Fix possible memory leak in ptp_clock_register()
  (stable-5.14.15).
- net: stmmac: Fix E2E delay mechanism (stable-5.14.15).
- net: hns3: disable sriov before unload hclge layer
  (stable-5.14.15).
- net: hns3: fix vf reset workqueue cannot exit (stable-5.14.15).
- net: hns3: schedule the polling again when allocation fails
  (stable-5.14.15).
- net: hns3: add limit ets dwrr bandwidth cannot be 0
  (stable-5.14.15).
- net: hns3: reset DWRR of unused tc to zero (stable-5.14.15).
- net: hns3: Add configuration of TM QCN error event
  (stable-5.14.15).
- commit 5c6e545
* Wed Oct 27 2021 tiwai@suse.de
- net: dsa: Fix an error handling path in
  'dsa_switch_parse_ports_of()' (stable-5.14.15).
- net/sched: act_ct: Fix byte count on fragmented packets
  (stable-5.14.15).
- net: dsa: lantiq_gswip: fix register definition
  (stable-5.14.15).
- hamradio: baycom_epp: fix build for UML (stable-5.14.15).
- ipv6: When forwarding count rx stats on the orig netdev
  (stable-5.14.15).
- tcp: md5: Fix overlap between vrf and non-vrf keys
  (stable-5.14.15).
- lan78xx: select CRC32 (stable-5.14.15).
- sctp: fix transport encap_port update in sctp_vtag_verify
  (stable-5.14.15).
- powerpc/smp: do not decrement idle task preempt count in CPU
  offline (stable-5.14.15).
- NIOS2: irqflags: rename a redefined register name
  (stable-5.14.15).
- commit 9aa725a
* Wed Oct 27 2021 tiwai@suse.de
- netfilter: ipvs: make global sysctl readonly in non-init netns
  (stable-5.14.15).
- netfilter: ip6t_rt: fix rt0_hdr parsing in rt_mt6
  (stable-5.14.15).
- netfilter: nf_tables: skip netdev events generated on netns
  removal (stable-5.14.15).
- netfilter: xt_IDLETIMER: fix panic that occurs when timer_type
  has garbage value (stable-5.14.15).
- ice: Print the api_patch as part of the fw.mgmt.api
  (stable-5.14.15).
- ice: fix getting UDP tunnel entry (stable-5.14.15).
- ice: Avoid crash from unnecessary IDA free (stable-5.14.15).
- ice: Fix failure to re-add LAN/RDMA Tx queues (stable-5.14.15).
- dma-debug: fix sg checks in debug_dma_map_sg() (stable-5.14.15).
- ASoC: wm8960: Fix clock configuration on slave mode
  (stable-5.14.15).
- commit 245d6d8
* Wed Oct 27 2021 tiwai@suse.de
- ASoC: cs4341: Add SPI device ID table (stable-5.14.15).
- ASoC: pcm179x: Add missing entries SPI to device ID table
  (stable-5.14.15).
- ASoC: fsl_xcvr: Fix channel swap issue with ARC
  (stable-5.14.15).
- ASoC: pcm512x: Mend accesses to the I2S_1 and I2S_2 registers
  (stable-5.14.15).
- KVM: arm64: Release mmap_lock when using VM_SHARED with MTE
  (stable-5.14.15).
- KVM: arm64: Fix host stage-2 PGD refcount (stable-5.14.15).
- xtensa: xtfpga: Try software restart before simulating CPU reset
  (stable-5.14.15).
- xtensa: xtfpga: use CONFIG_USE_OF instead of CONFIG_OF
  (stable-5.14.15).
- drm/amdgpu: init iommu after amdkfd device init
  (stable-5.14.15).
- NFSD: Keep existing listeners on portlist error
  (stable-5.14.15).
- commit c073ebb
* Wed Oct 27 2021 tiwai@suse.de
- block: decode QUEUE_FLAG_HCTX_ACTIVE in debugfs output
  (stable-5.14.15).
- xen/x86: prevent PVH type from getting clobbered
  (stable-5.14.15).
- drm/amdgpu/display: fix dependencies for DRM_AMD_DC_SI
  (stable-5.14.15).
- arm: dts: vexpress-v2p-ca9: Fix the SMB unit-address
  (stable-5.14.15).
- ARM: dts: at91: sama5d2_som1_ek: disable ISC node by default
  (stable-5.14.15).
- r8152: avoid to resubmit rx immediately (stable-5.14.15).
- sh: pgtable-3level: fix cast to pointer from integer of
  different size (stable-5.14.15).
- block/mq-deadline: Move dd_queued() to fix defined but not
  used warning (stable-5.14.15).
- parisc: math-emu: Fix fall-through warnings (stable-5.14.15).
- commit 009acde
* Wed Oct 27 2021 tiwai@suse.de
- Update patch references for stable-5.14.15
- commit c4e784c
* Tue Oct 26 2021 kallan@suse.com
- scsi: storvsc: Fix validation for unsolicited incoming packets
  (git-fixes).
- hyperv/vmbus: include linux/bitops.h (git-fixes).
- commit b72f394
* Tue Oct 26 2021 tonyj@suse.de
- Normally we take git fixes for perf userspace into the userspace package.
  However prior commit f3f3684a8ebf perf-tools-Fix-hybrid-config-terms-list-corruption.patch)
  was added but without this needed dependency so perf userspace fails to build
  perf tools: Factor out copy_config_terms() and free_config_terms() (git-fixes).
- commit 0d60052
* Tue Oct 26 2021 tonyj@suse.de
- perf/x86/intel/uncore: Support IMC free-running counters on
  Sapphire Rapids server (jsc#SLE-18939).
- perf/x86/intel/uncore: Support IIO free-running counters on
  Sapphire Rapids server (jsc#SLE-18939).
- perf/x86/intel/uncore: Factor out snr_uncore_mmio_map()
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add alias PMU name (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server MDF support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server M3UPI support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server UPI support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server M2M support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server IMC support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server PCU support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server M2PCIe support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server IRP support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server IIO support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server CHA support
  (jsc#SLE-18939).
- perf/x86/intel/uncore: Add Sapphire Rapids server framework
  (jsc#SLE-18939).
- commit 4b44ca8
* Mon Oct 25 2021 oneukum@suse.com
- PCI: ACPI: Check parent pointer in acpi_pci_find_companion()
  (git-fixes).
- commit 90dd941
* Mon Oct 25 2021 oneukum@suse.com
- PCI/ACPI: Don't reset a fwnode set by OF (git-fixes).
- commit 0173047
* Mon Oct 25 2021 oneukum@suse.com
- PCI/VPD: Defer VPD sizing until first access (git-fixes).
- commit 92d679d
* Mon Oct 25 2021 oneukum@suse.com
- PCI: Make saved capability state private to core (git-fixes).
- commit bac6705
* Mon Oct 25 2021 oneukum@suse.com
- PCI/ACS: Enforce pci=noats with Transaction Blocking
  (git-fixes).
- commit 6f1e5b6
* Mon Oct 25 2021 oneukum@suse.com
- PCI/VPD: Add pci_vpd_check_csum() (git-fixes).
- commit b2480cc
* Mon Oct 25 2021 oneukum@suse.com
- PCI/VPD: Add pci_vpd_find_ro_info_keyword() (git-fixes).
- commit fdb75f4
* Mon Oct 25 2021 oneukum@suse.com
- PCI/VPD: Add pci_vpd_alloc() (git-fixes).
- commit fe7ed38
* Mon Oct 25 2021 msuchanek@suse.de
- Revert "Revert "rpm: Abolish scritplet templating (bsc#1189841).""
  This reverts commit eebdae782118154482586a51f83b305ccb57f907.
- commit d8f0414
* Fri Oct 22 2021 msuchanek@suse.de
- scsi: ibmvfc: Fix up duplicate response detection (bsc#1191867
  ltc#194757).
- commit bb7897a
* Thu Oct 21 2021 mgorman@suse.de
- irq_work: Also rcuwait for !IRQ_WORK_HARD_IRQ on PREEMPT_RT
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- irq_work: Handle some irq_work in a per-CPU thread on PREEMPT_RT
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- irq_work: Allow irq_work_sync() to sleep if irq_work() no IRQ
  support (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- commit 4d0412e
* Thu Oct 21 2021 mgorman@suse.de
- sched: Add cluster scheduler level for x86 (bsc#1189999
  (Scheduler functional and performance backports)).
- Update config files.
- commit 7189714
* Thu Oct 21 2021 mgorman@suse.de
- x86/cpu: Add get_llc_id() helper function (bsc#1189999
  (Scheduler functional and performance backports)).
- commit 297c787
* Thu Oct 21 2021 mgorman@suse.de
- sched: Add cluster scheduler level in core and related Kconfig
  for ARM64 (bsc#1189999 (Scheduler functional and performance
  backports)).
- Update config files.
- commit c5db281
* Thu Oct 21 2021 mgorman@suse.de
- topology: Represent clusters of CPUs within a die (bsc#1189999
  (Scheduler functional and performance backports)).
- commit 323bd69
* Thu Oct 21 2021 mgorman@suse.de
- sched: Add wrapper for get_wchan() to keep task blocked
  (bsc#1189999 (Scheduler functional and performance backports)).
- x86: Fix get_wchan() to support the ORC unwinder (bsc#1189999
  (Scheduler functional and performance backports)).
- proc: Use task_is_running() for wchan in /proc/$pid/stat
  (bsc#1189999 (Scheduler functional and performance backports)).
- leaking_addresses: Always print a trailing newline (bsc#1189999
  (Scheduler functional and performance backports)).
- Revert "proc/wchan: use printk format instead of
  lookup_symbol_name()" (bsc#1189999 (Scheduler functional and
  performance backports)).
- sched: Fill unconditional hole induced by sched_entity
  (bsc#1189999 (Scheduler functional and performance backports)).
- kernel/sched: Fix sched_fork() access an invalid
  sched_task_group (bsc#1189999 (Scheduler functional and
  performance backports)).
- sched/topology: Remove unused numa_distance in
  cpu_attach_domain() (bsc#1189999 (Scheduler functional and
  performance backports)).
- sched/numa: Fix a few comments (bsc#1189999 (Scheduler
  functional and performance backports)).
- sched/numa: Remove the redundant member numa_group::fault_cpus
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/numa: Replace hard-coded number by a define in
  numa_task_group() (bsc#1189999 (Scheduler functional and
  performance backports)).
- sched/fair: Removed useless update of p->recent_used_cpu
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: Remove pointless preemption disable in
  sched_submit_work() (bsc#1189998 (PREEMPT_RT prerequisite
  backports)).
- sched: Move kprobes cleanup out of finish_task_switch()
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- sched: Disable TTWU_QUEUE on RT (bsc#1189998 (PREEMPT_RT
  prerequisite backports)).
- sched: Limit the number of task migrations per batch on RT
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- sched: Move mmdrop to RCU on RT (bsc#1189998 (PREEMPT_RT
  prerequisite backports)).
- sched: Make cookie functions static (bsc#1189999 (Scheduler
  functional and performance backports)).
- sched/fair: Consider SMT in ASYM_PACKING load balance
  (jsc#SLE-18889).
- sched/fair: Carve out logic to mark a group for asymmetric
  packing (jsc#SLE-18889).
- sched/fair: Provide update_sg_lb_stats() with sched domain
  statistics (jsc#SLE-18889).
- sched/fair: Optimize checking for group_asym_packing
  (jsc#SLE-18889).
- sched/topology: Introduce sched_group::flags (jsc#SLE-18889).
- x86/sched: Decrease further the priorities of SMT siblings
  (jsc#SLE-18889).
- kthread: Move prio/affinite change into the newly created thread
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- sched: Remove unused inline function __rq_clock_broken()
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/fair: Use __schedstat_set() in set_next_entity()
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: adjust sleeper credit for SCHED_IDLE entities
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: reduce sched slice for SCHED_IDLE entities (bsc#1189999
  (Scheduler functional and performance backports)).
- sched: Account number of SCHED_IDLE entities on each cfs_rq
  (bsc#1189999 (Scheduler functional and performance backports)).
- fs/proc/uptime.c: Fix idle time reporting in /proc/uptime
  (bsc#1189999 (Scheduler functional and performance backports)).
  Refresh
  patches.suse/ACPI-acpi_pad-Do-not-launch-acpi_pad-threads-on-idle-cpus.patch.
- sched/core: Simplify core-wide task selection (bsc#1189999
  (Scheduler functional and performance backports)).
- sched: Switch wait_task_inactive to HRTIMER_MODE_REL_HARD
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- sched/fair: Trigger nohz.next_balance updates when a CPU goes
  NOHZ-idle (bsc#1189999 (Scheduler functional and performance
  backports)).
- sched/fair: Add NOHZ balancer flag for nohz.next_balance updates
  (bsc#1189999 (Scheduler functional and performance backports)).
- drivers/base/node.c: use bin_attribute to break the size
  limitation of cpumap ABI (bsc#1189999 (Scheduler functional
  and performance backports)).
- topology: use bin_attribute to break the size limitation of
  cpumap ABI (bsc#1189999 (Scheduler functional and performance
  backports)).
- cpumask: introduce cpumap_print_list/bitmask_to_buf to support
  large bitmask and list (bsc#1189999 (Scheduler functional and
  performance backports)).
- sched: Cgroup SCHED_IDLE support (bsc#1189999 (Scheduler
  functional and performance backports)).
- commit 2792d9b
* Wed Oct 20 2021 tiwai@suse.de
- Linux 5.14.14 (stable-5.14.14).
- commit cdb7a44
* Wed Oct 20 2021 tiwai@suse.de
- net: dsa: felix: break at first CPU port during init and
  teardown (stable-5.14.14).
- net: mscc: ocelot: cross-check the sequence id from the
  timestamp FIFO with the skb PTP header (stable-5.14.14).
- net: mscc: ocelot: deny TX timestamping of non-PTP packets
  (stable-5.14.14).
- net: mscc: ocelot: warn when a PTP IRQ is raised for an unknown
  skb (stable-5.14.14).
- net: mscc: ocelot: avoid overflowing the PTP timestamp FIFO
  (stable-5.14.14).
- net: mscc: ocelot: make use of all 63 PTP timestamp identifiers
  (stable-5.14.14).
- ionic: don't remove netdev->dev_addr when syncing uc list
  (stable-5.14.14).
- commit d86b081
* Wed Oct 20 2021 tiwai@suse.de
- block/rnbd-clt-sysfs: fix a couple uninitialized variable bugs
  (stable-5.14.14).
- mlxsw: thermal: Fix out-of-bounds memory accesses
  (stable-5.14.14).
- NFC: digital: fix possible memory leak in
  digital_in_send_sdd_req() (stable-5.14.14).
- NFC: digital: fix possible memory leak in
  digital_tg_listen_mdaa() (stable-5.14.14).
- nfp: flow_offload: move flow_indr_dev_register from app init
  to app start (stable-5.14.14).
- ice: fix locking for Tx timestamp tracking flush
  (stable-5.14.14).
- r8152: select CRC32 and CRYPTO/CRYPTO_HASH/CRYPTO_SHA256
  (stable-5.14.14).
- qed: Fix missing error code in qed_slowpath_start()
  (stable-5.14.14).
- mqprio: Correct stats in mqprio_dump_class_stats()
  (stable-5.14.14).
- mptcp: fix possible stall on recvmsg() (stable-5.14.14).
- commit ee264dd
* Wed Oct 20 2021 tiwai@suse.de
- vhost-vdpa: Fix the wrong input in config_cb (stable-5.14.14).
- ethernet: s2io: fix setting mac address during resume
  (stable-5.14.14).
- nfc: fix error handling of nfc_proto_register()
  (stable-5.14.14).
- net: encx24j600: check error in devm_regmap_init_encx24j600
  (stable-5.14.14).
- net/mlx5e: Switchdev representors are not vlan challenged
  (stable-5.14.14).
- net: dsa: fix spurious error message when unoffloaded port
  leaves bridge (stable-5.14.14).
- net: dsa: microchip: Added the condition for scheduling
  ksz_mib_read_work (stable-5.14.14).
- net: dsa: mv88e6xxx: don't use PHY_DETECT on internal PHY's
  (stable-5.14.14).
- net: phy: Do not shutdown PHYs in READY state (stable-5.14.14).
- net: stmmac: fix get_hw_feature() on old hardware
  (stable-5.14.14).
- commit 809f3a8
* Wed Oct 20 2021 tiwai@suse.de
- clk: renesas: rzg2l: Fix clk status function (stable-5.14.14).
- ARM: dts: bcm2711-rpi-4-b: Fix pcie0's unit address formatting
  (stable-5.14.14).
- ARM: dts: bcm2711-rpi-4-b: fix sd_io_1v8_reg regulator states
  (stable-5.14.14).
- ARM: dts: bcm2711: fix MDIO #address- and #size-cells
  (stable-5.14.14).
- sctp: account stream padding length for reconf chunk
  (stable-5.14.14).
- net/mlx5e: Mutually exclude RX-FCS and RX-port-timestamp
  (stable-5.14.14).
- net/mlx5e: Fix memory leak in mlx5_core_destroy_cq() error path
  (stable-5.14.14).
- net: korina: select CRC32 (stable-5.14.14).
- net: arc: select CRC32 (stable-5.14.14).
- net/smc: improved fix wait on already cleared link
  (stable-5.14.14).
- commit 0bb8d8e
* Wed Oct 20 2021 tiwai@suse.de
- Revert "virtio-blk: Add validation for block size in config
  space" (stable-5.14.14).
- powerpc/xive: Discard disabled interrupts in get_irqchip_state()
  (stable-5.14.14).
- x86/Kconfig: Do not enable AMD_MEM_ENCRYPT_ACTIVE_BY_DEFAULT
  automatically (stable-5.14.14).
- nvmem: Fix shift-out-of-bound (UBSAN) with byte size cells
  (stable-5.14.14).
- iio: adc: aspeed: set driver data when adc probe
  (stable-5.14.14).
- tracing: Fix missing osnoise tracer on max_latency
  (stable-5.14.14).
- tee: optee: Fix missing devices unregister during optee_remove
  (stable-5.14.14).
- ARM: dts: bcm2711-rpi-4-b: Fix usb's unit address
  (stable-5.14.14).
- ARM: dts: bcm283x: Fix VEC address for BCM2711 (stable-5.14.14).
- virtio-blk: remove unneeded "likely" statements
  (stable-5.14.14).
- commit 34ea1c0
* Wed Oct 20 2021 tiwai@suse.de
- blacklist.conf: remove the entries to be backported via 5.14.14 stable
- commit 7f83a6f
* Wed Oct 20 2021 tiwai@suse.de
- virtio: write back F_VERSION_1 before validate (stable-5.14.14).
- efi: Change down_interruptible() in virt_efi_reset_system()
  to down_trylock() (stable-5.14.14).
- efi/cper: use stack buffer for error record decoding
  (stable-5.14.14).
- USB: serial: qcserial: add EM9191 QDL support (stable-5.14.14).
- USB: serial: option: add Quectel EC200S-CN module support
  (stable-5.14.14).
- USB: serial: option: add prod. id for Quectel EG91
  (stable-5.14.14).
- USB: serial: option: add Telit LE910Cx composition 0x1204
  (stable-5.14.14).
- xhci: Enable trust tx length quirk for Fresco FL11 USB
  controller (stable-5.14.14).
- xhci: Fix command ring pointer corruption while aborting a
  command (stable-5.14.14).
- Input: xpad - add support for another USB ID of Nacon GC-100
  (stable-5.14.14).
- commit 210e031
* Wed Oct 20 2021 tiwai@suse.de
- mei: me: add Ice Lake-N device id (stable-5.14.14).
- xhci: add quirk for host controllers that don't update endpoint
  DCS (stable-5.14.14).
- module: fix clang CFI with MODULE_UNLOAD=n (stable-5.14.14).
- arm64/hugetlb: fix CMA gigantic page order for non-4K PAGE_SIZE
  (stable-5.14.14).
- btrfs: fix abort logic in btrfs_replace_file_extents
  (stable-5.14.14).
- btrfs: check for error when looking up inode during dir entry
  replay (stable-5.14.14).
- btrfs: deal with errors when adding inode reference during
  log replay (stable-5.14.14).
- btrfs: deal with errors when replaying dir entry during log
  replay (stable-5.14.14).
- btrfs: update refs for any root except tree log roots
  (stable-5.14.14).
- btrfs: unlock newly allocated extent buffer after error
  (stable-5.14.14).
- commit f6ad9c3
* Wed Oct 20 2021 tiwai@suse.de
- nds32/ftrace: Fix Error: invalid operands (*UND* and *UND*
  sections) for `^' (stable-5.14.14).
- dm: fix mempool NULL pointer race when completing IO
  (stable-5.14.14).
- dm rq: don't queue request to blk-mq during DM suspend
  (stable-5.14.14).
- s390: fix strrchr() implementation (stable-5.14.14).
- csky: Fixup regs.sr broken in ptrace (stable-5.14.14).
- csky: don't let sigreturn play with priveleged bits of status
  register (stable-5.14.14).
- ACPI: PM: Include alternate AMDI0005 id in special behaviour
  (stable-5.14.14).
- platform/x86: gigabyte-wmi: add support for B550 AORUS ELITE
  AX V2 (stable-5.14.14).
- platform/x86: amd-pmc: Add alternative acpi id for PMC
  controller (stable-5.14.14).
- commit cbe2ba1
* Wed Oct 20 2021 tiwai@suse.de
- Update patch references for stable-5.14.14
- commit c50dd6b
* Wed Oct 20 2021 tbogendoerfer@suse.de
- net/mlx5e: Fix division by 0 in mlx5e_select_queue for
  representors (jsc#SLE-19253).
- net/mlx5e: Allow only complete TXQs partition in MQPRIO channel
  mode (jsc#SLE-19253).
- net/mlx5: Fix cleanup of bridge delayed work (jsc#SLE-19253).
- ionic: move filter sync_needed bit set (jsc#SLE-19282).
- net/mlx5e: Mutually exclude setting of TX-port-TS and MQPRIO
  in channel mode (jsc#SLE-19253).
- net/mlx5e: Improve MQPRIO resiliency (jsc#SLE-19253).
- net: hns3: PF enable promisc for VF when mac table is overflow
  (bsc#1190336).
- net: hns3: fix hclge_dbg_dump_tm_pg() stack usage (bsc#1190336).
- RDMA/usnic: Lock VF with mutex instead of spinlock
  (jsc#SLE-19249).
- igc: fix build errors for PTP (jsc#SLE-18377).
- devlink: Fix port_type_set function pointer check
  (jsc#SLE-19253).
- commit 1989ed9
* Wed Oct 20 2021 tiwai@suse.de
- media: firewire: firedtv-avc: fix a buffer overflow in
  avc_ca_pmt() (CVE-2021-3542 bsc#1184673).
- commit f01ebd2
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Change the type of probe argument in reset functions
  (jsc#SLE-19359).
- commit 15b2a9c
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Add support for ACPI _RST reset method (jsc#SLE-19359).
- commit 954ff8e
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Setup ACPI fwnode early and at the same time with OF
  (jsc#SLE-19357).
- commit 4efb7e7
* Wed Oct 20 2021 mgorman@suse.de
- mm: fs: invalidate bh_lrus for only cold path (git fixes (fs)).
- mm/shmem.c: fix judgment error in shmem_is_huge() (git fixes
  (mm/shmem)).
- commit 9a4edb0
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Use acpi_pci_power_manageable() (jsc#SLE-19357).
- commit b978bc6
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Add pci_set_acpi_fwnode() to set ACPI_COMPANION
  (jsc#SLE-19357).
- commit edd957b
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Allow userspace to query and set device reset mechanism
  (jsc#SLE-19359).
- commit 836778f
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Remove reset_fn field from pci_dev (jsc#SLE-19359).
- commit de732a2
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Add array to track reset method ordering (jsc#SLE-19359).
- commit b158f04
* Wed Oct 20 2021 oneukum@suse.com
- PCI: Add pcie_reset_flr() with 'probe' argument (jsc#SLE-19359).
- PCI: Cache PCIe Device Capabilities register (jsc#SLE-19359).
- commit da5c594
* Wed Oct 20 2021 oneukum@suse.com
- PCI/VPD: Treat invalid VPD like missing VPD capability
  (jsc#SLE-19359).
- commit 53f468a
* Wed Oct 20 2021 oneukum@suse.com
- PCI/VPD: Determine VPD size in pci_vpd_init() (jsc#SLE-19359).
- commit 470bfbb
* Wed Oct 20 2021 oneukum@suse.com
- PCI/VPD: Embed struct pci_vpd in struct pci_dev (jsc#SLE-19359).
- commit 47aa1b9
* Wed Oct 20 2021 oneukum@suse.com
- PCI/VPD: Remove struct pci_vpd.valid member (jsc#SLE-19359).
- commit ef22353
* Wed Oct 20 2021 msuchanek@suse.de
- kernel-binary.spec: Bump dwarves requirement to 1.22.
  1.22 is finally released, and it is required for functionality.
- commit 83e6c84
* Tue Oct 19 2021 bp@suse.de
- blacklist.conf: 711885906b5c x86/Kconfig: Do not enable AMD_MEM_ENCRYPT_ACTIVE_BY_DEFAULT automatically
- commit cf4ab4f
* Tue Oct 19 2021 bp@suse.de
- x86/fpu: Mask out the invalid MXCSR bits properly (bsc#1190497).
- commit 58acecc
* Tue Oct 19 2021 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: move to zstd for the initrd
  Newer distros have capability to decompress zstd, which
  provides a 2-5%% better compression ratio at very similar
  cpu overhead. Plus this tests the zstd codepaths now as well.
- commit 3d53a5b
* Tue Oct 19 2021 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: reduce initrd functionality
  For building in OBS, we always build inside a virtual machine
  that gets a new, freshly created scratch filesystem image. So
  we do not need to handle fscks because that ain't gonna happen,
  as well as not we do not need to handle microcode update in the
  initrd as these only can be run on the host system anyway. We
  can also strip and hardlink as an additional optimisation that
  should not significantly hurt.
- commit c72c6fc
* Tue Oct 19 2021 mbenes@suse.cz
- blacklist.conf: 424b650f35c7 ("tracing: Fix missing osnoise tracer on max_latency")
  A cleanup. Not needed, because our configuration does not allow the
  fixed case.
- commit aae9b8a
* Tue Oct 19 2021 dwagner@suse.de
- nvme-pci: Fix abort command id (git-fixes).
- commit e887eb9
* Tue Oct 19 2021 tiwai@suse.de
- ata: ahci_platform: fix null-ptr-deref in
  ahci_platform_enable_regulators() (git-fixes).
- pata_legacy: fix a couple uninitialized variable bugs
  (git-fixes).
- commit e69f9af
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Remove struct pci_vpd_ops (git-fixes).
- commit 984c94d
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Remove struct pci_vpd.flag (jsc#SLE-19359).
- commit 006d47c
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Make pci_vpd_wait() uninterruptible (jsc#SLE-19359).
- commit 334e7ed
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Remove pci_vpd_size() old_size argument
  (jsc#SLE-19359).
- commit 420bcdb
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Allow access to valid parts of VPD if some is invalid
  (jsc#SLE-19359).
- commit b0220ad
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Don't check Large Resource Item Names for validity
  (jsc#SLE-19359).
- commit 3f38b29
* Mon Oct 18 2021 tiwai@suse.de
- Update upstream commit id for rtw89 patch (bsc#1191321)
- commit 6302389
* Mon Oct 18 2021 bp@suse.de
- EDAC/armada-xp: Fix output of uncorrectable error counter
  (bsc#1190497).
- commit ab34390
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Reject resource tags with invalid size (jsc#SLE-19359).
- commit 2e7fe76
* Mon Oct 18 2021 oneukum@suse.com
- PCI/VPD: Reorder pci_read_vpd(), pci_write_vpd()
  (jsc#SLE-19359).
- commit ca27a75
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Use new mask/unmask functions (jsc#SLE-19359).
- commit 170d718
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Provide a new set of mask and unmask functions
  (jsc#SLE-19359).
- commit c486b09
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Cleanup msi_mask() (jsc#SLE-19359).
- commit d5b790b
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Deobfuscate virtual MSI-X (jsc#SLE-19359).
- commit 3f4f59c
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Consolidate error handling in msi_capability_init()
  (jsc#SLE-19359).
- commit 7aeefb4
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Rename msi_desc::masked (jsc#SLE-19359).
- commit 1677f96
* Mon Oct 18 2021 oneukum@suse.com
- s390/pci: Do not mask MSI[-X] entries on teardown
  (jsc#SLE-19359).
- commit b8a920c
* Mon Oct 18 2021 oneukum@suse.com
- PCI/MSI: Simplify msi_verify_entries() (jsc#SLE-19359).
- commit d5590a9
* Mon Oct 18 2021 tiwai@suse.de
- eeprom: 93xx46: fix MODULE_DEVICE_TABLE (git-fixes).
- commit d949730
* Mon Oct 18 2021 tiwai@suse.de
- drivers: bus: simple-pm-bus: Add support for probing simple
  bus only devices (git-fixes).
- driver core: Reject pointless SYNC_STATE_ONLY device links
  (git-fixes).
- mei: hbm: drop hbm responses on early shutdown (git-fixes).
- fpga: ice40-spi: Add SPI device ID table (git-fixes).
- eeprom: 93xx46: Add SPI device ID table (git-fixes).
- eeprom: at25: Add SPI ID table (git-fixes).
- misc: fastrpc: Add missing lock before accessing find_vma()
  (git-fixes).
- cb710: avoid NULL pointer subtraction (git-fixes).
- iio: light: opt3001: Fixed timeout error when 0 lux (git-fixes).
- iio: adis16480: fix devices that do not support sleep mode
  (git-fixes).
- iio: mtk-auxadc: fix case IIO_CHAN_INFO_PROCESSED (git-fixes).
- iio: adis16475: fix deadlock on frequency set (git-fixes).
- iio: ssp_sensors: add more range checking in
  ssp_parse_dataframe() (git-fixes).
- iio: ssp_sensors: fix error code in ssp_print_mcu_debug()
  (git-fixes).
- iio: adc: ad7793: Fix IRQ flag (git-fixes).
- iio: adc: ad7780: Fix IRQ flag (git-fixes).
- iio: adc: ad7192: Add IRQ flag (git-fixes).
- iio: adc: max1027: Fix the number of max1X31 channels
  (git-fixes).
- iio: adc: max1027: Fix wrong shift with 12-bit devices
  (git-fixes).
- iio: adc128s052: Fix the error handling path of 'adc128_probe()'
  (git-fixes).
- iio: accel: fxls8962af: return IRQ_HANDLED when fifo is flushed
  (git-fixes).
- iio: dac: ti-dac5571: fix an error code in probe() (git-fixes).
- usb: musb: dsps: Fix the probe error path (git-fixes).
- USB: xhci: dbc: fix tty registration race (git-fixes).
- xhci: guard accesses to ep_state in xhci_endpoint_reset()
  (git-fixes).
- Input: resistive-adc-touch - fix division by zero error on z1 ==
  0 (git-fixes).
- commit 4a8ed33
* Mon Oct 18 2021 ohering@suse.de
- net: mana: Fix error handling in mana_create_rxq()
  (jsc#SLE-18779, bsc#1185726).
- commit 2dddb33
* Mon Oct 18 2021 tiwai@suse.de
- Linux 5.14.13 (stable-5.14.13).
- commit 8c13fce
* Mon Oct 18 2021 tiwai@suse.de
- ext4: correct the error path of ext4_write_inline_data_end()
  (stable-5.14.13).
- ext4: check and update i_disksize properly (stable-5.14.13).
- sched: Always inline is_percpu_thread() (stable-5.14.13).
- perf/core: fix userpage->time_enabled of inactive events
  (stable-5.14.13).
- hwmon: (pmbus/ibm-cffps) max_power_out swap changes
  (stable-5.14.13).
- hwmon: (ltc2947) Properly handle errors when looking for the
  external clock (stable-5.14.13).
- scsi: virtio_scsi: Fix spelling mistake "Unsupport" ->
  "Unsupported" (stable-5.14.13).
- scsi: ses: Fix unsigned comparison with less than zero
  (stable-5.14.13).
- io_uring: kill fasync (stable-5.14.13).
- drm/amdgpu: fix gart.bo pin_count leak (stable-5.14.13).
- net: sun: SUNVNET_COMMON should depend on INET (stable-5.14.13).
- mac80211: check return value of rhashtable_init
  (stable-5.14.13).
- mac80211: Drop frames from invalid MAC address in ad-hoc mode
  (stable-5.14.13).
- net: bgmac-platform: handle mac-address deferral
  (stable-5.14.13).
- net: prevent user from passing illegal stab size
  (stable-5.14.13).
- netfilter: nf_nat_masquerade: defer conntrack walk to work queue
  (stable-5.14.13).
- netfilter: nf_nat_masquerade: make async masq_inet6_event
  handling generic (stable-5.14.13).
- netfilter: ip6_tables: zero-initialize fragment offset
  (stable-5.14.13).
- ASoC: SOF: loader: release_firmware() on load failure to avoid
  batching (stable-5.14.13).
- ASoC: Intel: sof_sdw: tag SoundWire BEs as non-atomic
  (stable-5.14.13).
- ALSA: usb-audio: Unify mixer resume and reset_resume procedure
  (stable-5.14.13).
- ALSA: oxfw: fix transmission method for Loud models based on
  OXFW971 (stable-5.14.13).
- pinctrl: qcom: sc7280: Add PM suspend callbacks
  (stable-5.14.13).
- m68k: Handle arrivals of multiple signals correctly
  (stable-5.14.13).
- KVM: arm64: nvhe: Fix missing FORCE for hyp-reloc.S build rule
  (stable-5.14.13).
- vboxfs: fix broken legacy mount signature checking
  (stable-5.14.13).
- HID: wacom: Add new Intuos BT (CTL-4100WL/CTL-6100WL) device
  IDs (stable-5.14.13).
- HID: apple: Fix logical maximum and usage maximum of Magic
  Keyboard JIS (stable-5.14.13).
- commit b87c703
* Mon Oct 18 2021 tiwai@suse.de
- Update patch references for stable-5.14.13
- commit 35174a4
* Sun Oct 17 2021 tiwai@suse.de
- clk: renesas: r9a07g044: Mark IA55_CLK and DMAC_ACLK critical
  (git-fixes).
- clk: socfpga: agilex: fix duplicate s2f_user0_clk (git-fixes).
- firmware: arm_ffa: Fix __ffa_devices_unregister (git-fixes).
- firmware: arm_ffa: Add missing remove callback to ffa_bus_type
  (git-fixes).
- commit 4bfc04e
* Sat Oct 16 2021 tiwai@suse.de
- gpio: pca953x: Improve bias setting (git-fixes).
- gpio: 74x164: Add SPI device ID table (git-fixes).
- spi: bcm-qspi: clear MSPI spifie interrupt during probe
  (git-fixes).
- spi: spi-nxp-fspi: don't depend on a specific node name erratum
  workaround (git-fixes).
- spi: atmel: Fix PDC transfer setup bug (git-fixes).
- spi: spidev: Add SPI ID table (git-fixes).
- mtd: rawnand: qcom: Update code word value for raw read
  (git-fixes).
- drm/panel: olimex-lcd-olinuxino: select CRC32 (git-fixes).
- commit 640042d
* Sat Oct 16 2021 tiwai@suse.de
- drm/r128: fix build for UML (git-fixes).
- drm/nouveau/fifo: Reinstate the correct engine bit programming
  (git-fixes).
- drm/hyperv: Fix double mouse pointers (git-fixes).
- drm/fbdev: Clamp fbdev surface size if too large (git-fixes).
- drm/edid: In connector_bad_edid() cap num_of_ext by num_blocks
  read (git-fixes).
- drm/msm/dsi: fix off by one in dsi_bus_clk_enable error handling
  (git-fixes).
- drm/msm/dsi: Fix an error code in msm_dsi_modeset_init()
  (git-fixes).
- drm/msm/dsi: dsi_phy_14nm: Take ready-bit into account in
  poll_for_ready (git-fixes).
- drm/msm/dsi/phy: fix clock names in 28nm_8960 phy (git-fixes).
- drm/msm/dpu: Fix address of SM8150 PINGPONG5 IRQ register
  (git-fixes).
- commit 2a33767
* Sat Oct 16 2021 tiwai@suse.de
- drm/msm: Do not run snapshot on non-DPU devices (git-fixes).
- drm/msm/a3xx: fix error handling in a3xx_gpu_init() (git-fixes).
- drm/msm/a4xx: fix error handling in a4xx_gpu_init() (git-fixes).
- drm/msm: Fix null pointer dereference on pointer edp
  (git-fixes).
- drm/msm/mdp5: fix cursor-related warnings (git-fixes).
- drm/msm: Avoid potential overflow in timeout_to_jiffies()
  (git-fixes).
- drm/msm/dp: only signal audio when disconnected detected at
  dp_pm_resume (git-fixes).
- drm/msm/submit: fix overflow check on 64-bit architectures
  (git-fixes).
- drm/msm/a6xx: Track current ctx by seqno (git-fixes).
- commit ae911f7
* Fri Oct 15 2021 dwagner@suse.de
- nvme-fc: remove freeze/unfreeze around update_nr_hw_queues
  (bsc#1185762).
- commit 3fb3802
* Fri Oct 15 2021 lduncan@suse.com
- scsi: csiostor: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#SLE-18989).
- commit 0d8669e
* Thu Oct 14 2021 lduncan@suse.com
- scsi: bnx2i: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#SLE-19010).
- commit 7d4390e
* Thu Oct 14 2021 dwagner@suse.de
- scsi: lpfc: Fix memory overwrite during FC-GS I/O abort handling
  (bsc#1191349).
- commit c792d6c
* Thu Oct 14 2021 tiwai@suse.de
- Move upstreamed ALSA fix into sorted section
- commit 0bb2bac
* Thu Oct 14 2021 tiwai@suse.de
- ALSA: usb-audio: Add quirk for VF0770 (git-fixes).
- ALSA: hda: avoid write to STATESTS if controller is in reset
  (git-fixes).
- ALSA: hda/realtek: Fix the mic type detection issue for ASUS
  G551JW (git-fixes).
- ALSA: pcm: Workaround for a wrong offset in SYNC_PTR compat
  ioctl (git-fixes).
- ALSA: hda/realtek: Fix for quirk to enable speaker output on
  the Lenovo 13s Gen2 (git-fixes).
- ALSA: hda/realtek: Add quirk for TongFang PHxTxX1 (git-fixes).
- ALSA: hda/realtek - ALC236 headset MIC recording issue
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo X170KM-G (git-fixes).
- ALSA: hda/realtek: Complete partial device name to avoid
  ambiguity (git-fixes).
- ALSA: hda - Enable headphone mic on Dell Latitude laptops with
  ALC3254 (git-fixes).
- ALSA: seq: Fix a potential UAF by wrong private_free call order
  (git-fixes).
- ALSA: hda/realtek: Enable 4-speaker output for Dell Precision
  5560 laptop (git-fixes).
- ALSA: usb-audio: Fix a missing error check in scarlett gen2
  mixer (git-fixes).
- commit ed955ae
* Thu Oct 14 2021 tiwai@suse.de
- supported.conf: sort sound/* entries
- commit 590a3e1
* Thu Oct 14 2021 dwagner@suse.de
- scsi: qla2xxx: Remove redundant initialization of pointer req
  (bsc#1190941).
- scsi: qla2xxx: Update version to 10.02.07.100-k (bsc#1190941).
- scsi: qla2xxx: Fix use after free in eh_abort path
  (bsc#1190941).
- scsi: qla2xxx: Move heartbeat handling from DPC thread to
  workqueue (bsc#1190941).
- scsi: qla2xxx: Call process_response_queue() in Tx path
  (bsc#1190941).
- scsi: qla2xxx: Fix kernel crash when accessing port_speed
  sysfs file (bsc#1190941).
- scsi: qla2xxx: edif: Use link event to wake up app
  (bsc#1190941).
- scsi: qla2xxx: Fix crash in NVMe abort path (bsc#1190941).
- scsi: qla2xxx: Check for firmware capability before creating
  QPair (bsc#1190941).
- scsi: qla2xxx: Display 16G only as supported speeds for 3830c
  card (bsc#1190941).
- scsi: qla2xxx: Add support for mailbox passthru (bsc#1190941).
- scsi: target: usb: Replace enable attr with ops.enable
  (bsc#1191649).
- scsi: target: ibm_vscsi: Replace enable attr with ops.enable
  (bsc#1191649).
- scsi: target: srpt: Replace enable attr with ops.enable
  (bsc#1191649).
- scsi: target: sbp: Replace enable attr with ops.enable
  (bsc#1191649).
- scsi: target: qla2xxx: Replace enable attr with ops.enable
  (bsc#1191649).
- scsi: target: iscsi: Replace tpg enable attr with ops.enable
  (bsc#1191649).
- scsi: target: core: Add common tpg/enable attribute
  (bsc#1191649).
- scsi: qla2xxx: Fix excessive messages during device logout
  (bsc#1190941).
- scsi: qla2xxx: Open-code qla2xxx_eh_device_reset()
  (bsc#1190941).
- scsi: qla2xxx: Open-code qla2xxx_eh_target_reset()
  (bsc#1190941).
- scsi: qla2xxx: Do not call fc_block_scsi_eh() during bus reset
  (bsc#1190941).
- scsi: qla2xxx: Update version to 10.02.06.200-k (bsc#1190941).
- scsi: qla2xxx: edif: Fix returnvar.cocci warnings (bsc#1190941).
- scsi: qla2xxx: Fix NVMe session down detection (bsc#1190941).
- scsi: qla2xxx: Fix NVMe retry (bsc#1190941).
- scsi: qla2xxx: Fix hang on NVMe command timeouts (bsc#1190941).
- scsi: qla2xxx: Fix NVMe | FCP personality change (bsc#1190941).
- scsi: qla2xxx: edif: Do secure PLOGI when auth app is present
  (bsc#1190941).
- scsi: qla2xxx: edif: Add N2N support for EDIF (bsc#1190941).
- scsi: qla2xxx: Fix hang during NVMe session tear down
  (bsc#1190941).
- scsi: qla2xxx: edif: Fix EDIF enable flag (bsc#1190941).
- scsi: qla2xxx: edif: Reject AUTH ELS on session down
  (bsc#1190941).
- scsi: qla2xxx: edif: Fix stale session (bsc#1190941).
- scsi: qla2xxx: Update version to 10.02.06.100-k (bsc#1190941).
- scsi: qla2xxx: Suppress unnecessary log messages during login
  (bsc#1190941).
- scsi: qla2xxx: Fix NPIV create erroneous error (bsc#1190941).
- scsi: qla2xxx: Fix unsafe removal from linked list
  (bsc#1190941).
- scsi: qla2xxx: Fix port type info (bsc#1190941).
- scsi: qla2xxx: Add debug print of 64G link speed (bsc#1190941).
- scsi: qla2xxx: Show OS name and version in FDMI-1 (bsc#1190941).
- scsi: qla2xxx: Changes to support FCP2 Target (bsc#1190941).
- scsi: qla2xxx: Adjust request/response queue size for 28xx
  (bsc#1190941).
- scsi: qla2xxx: Add host attribute to trigger MPI hang
  (bsc#1190941).
- scsi: qla2xxx: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (bsc#1190941).
- commit 0d93e70
* Wed Oct 13 2021 msuchanek@suse.de
- kernel-spec-macros: Since rpm 4.17 %%verbose is unusable (bsc#1191229).
  The semantic changed in an incompatible way so invoking the macro now
  causes a build failure.
- commit 3e55f55
* Wed Oct 13 2021 tiwai@suse.de
- Linux 5.14.12 (stable-5.14.12).
- commit 71639b1
* Wed Oct 13 2021 tiwai@suse.de
- x86/hpet: Use another crystalball to evaluate HPET usability
  (stable-5.14.12).
- dsa: tag_dsa: Fix mask for trunked packets (stable-5.14.12).
- commit 3ac1b3f
* Wed Oct 13 2021 tiwai@suse.de
- pseries/eeh: Fix the kdump kernel crash during eeh_pseries_init
  (stable-5.14.12).
- powerpc/32s: Fix kuap_kernel_restore() (stable-5.14.12).
- powerpc/64s: Fix unrecoverable MCE calling async handler from
  NMI (stable-5.14.12).
- powerpc/traps: do not enable irqs in _exception
  (stable-5.14.12).
- powerpc/64s: fix program check interrupt emergency stack path
  (stable-5.14.12).
- powerpc/bpf ppc32: Fix BPF_SUB when imm == 0x80000000
  (stable-5.14.12).
- x86/Kconfig: Correct reference to MWINCHIP3D (stable-5.14.12).
- x86/platform/olpc: Correct ifdef symbol to intended
  CONFIG_OLPC_XO15_SCI (stable-5.14.12).
- x86/entry: Clear X86_FEATURE_SMAP when CONFIG_X86_SMAP=n
  (stable-5.14.12).
- x86/sev: Return an error on a returned non-zero
  SW_EXITINFO1[31:0] (stable-5.14.12).
- commit a271375
* Wed Oct 13 2021 tiwai@suse.de
- blacklist.conf: remove entries to be backported via stable tree
- commit be385b6
* Wed Oct 13 2021 oneukum@suse.com
- sysfs: Rename struct bin_attribute member to f_mapping
  (jsc#SLE-19359).
- commit 15c2f03
* Wed Oct 13 2021 oneukum@suse.com
- sysfs: Invoke iomem_get_mapping() from the sysfs open callback
  (jsc#SLE-19359).
- commit bbc08fc
* Wed Oct 13 2021 oneukum@suse.com
- thunderbolt: build kunit tests without structleak plugin
  (jsc#SLE-19359).
- commit ac50a23
* Wed Oct 13 2021 msuchanek@suse.de
- powerpc/bpf: Emit stf barrier instruction sequences
  for BPF_NOSPEC (bsc#1188983 CVE-2021-34556 bsc#1188985
  CVE-2021-35477).
- powerpc/security: Add a helper to query stf_barrier type
  (bsc#1188983 CVE-2021-34556 bsc#1188985 CVE-2021-35477).
- powerpc/bpf: Validate branch ranges (bsc#1188983 CVE-2021-34556
  bsc#1188985 CVE-2021-35477).
- powerpc/lib: Add helper to check if offset is within
  conditional branch range (bsc#1188983 CVE-2021-34556 bsc#1188985
  CVE-2021-35477).
- commit fb48dfd
* Wed Oct 13 2021 tiwai@suse.de
- powerpc/bpf ppc32: Do not emit zero extend instruction for
  64-bit BPF_END (stable-5.14.12).
- powerpc/bpf ppc32: Fix JMP32_JSET_K (stable-5.14.12).
- powerpc/bpf ppc32: Fix ALU32 BPF_ARSH operation
  (stable-5.14.12).
- powerpc/bpf: Fix BPF_SUB when imm == 0x80000000
  (stable-5.14.12).
- powerpc/bpf: Fix BPF_MOD when imm == 1 (stable-5.14.12).
- objtool: Make .altinstructions section entry size consistent
  (stable-5.14.12).
- objtool: Remove reloc symbol type checks in get_alt_entry()
  (stable-5.14.12).
- scsi: iscsi: Fix iscsi_task use after free (stable-5.14.12).
- RISC-V: Include clone3() on rv32 (stable-5.14.12).
- bpf, s390: Fix potential memory leak about jit_data
  (stable-5.14.12).
- commit 0b7cd77
* Wed Oct 13 2021 tiwai@suse.de
- powerpc/iommu: Report the correct most efficient DMA mask for
  PCI devices (stable-5.14.12).
- riscv/vdso: make arch_setup_additional_pages wait for mmap_sem
  for write killable (stable-5.14.12).
- riscv/vdso: Move vdso data page up front (stable-5.14.12).
- riscv/vdso: Refactor asm/vdso.h (stable-5.14.12).
- net: prefer socket bound to interface when not in VRF
  (stable-5.14.12).
- iavf: fix double unlock of crit_lock (stable-5.14.12).
- i40e: Fix freeing of uninitialized misc IRQ vector
  (stable-5.14.12).
- i40e: fix endless loop under rtnl (stable-5.14.12).
- RISC-V: Fix VDSO build for !MMU (stable-5.14.12).
- riscv: explicitly use symbol offsets for VDSO (stable-5.14.12).
- commit 13da5f1
* Wed Oct 13 2021 tiwai@suse.de
- drm/nouveau/fifo/ga102: initialise chid on return from channel
  creation (stable-5.14.12).
- ARM: defconfig: gemini: Restore framebuffer (stable-5.14.12).
- perf jevents: Free the sys_event_tables list after processing
  entries (stable-5.14.12).
- rtnetlink: fix if_nlmsg_stats_size() under estimation
  (stable-5.14.12).
- net: stmmac: trigger PCS EEE to turn off on link down
  (stable-5.14.12).
- net: pcs: xpcs: fix incorrect steps on disable EEE
  (stable-5.14.12).
- netlink: annotate data races around nlk->bound (stable-5.14.12).
- net: pcs: xpcs: fix incorrect CL37 AN sequence (stable-5.14.12).
- net: sfp: Fix typo in state machine debug string
  (stable-5.14.12).
- net/sched: sch_taprio: properly cancel timer from
  taprio_destroy() (stable-5.14.12).
- commit 58adfed
* Wed Oct 13 2021 tiwai@suse.de
- drm/i915/tc: Fix TypeC port init/resume time sanitization
  (stable-5.14.12).
- ARM: imx6: disable the GIC CPU interface before calling
  stby-poweroff sequence (stable-5.14.12).
- arm64: dts: ls1028a: fix eSDHC2 node (stable-5.14.12).
- arm64: dts: imx8mm-kontron-n801x-som: do not allow to switch
  off buck2 (stable-5.14.12).
- afs: Fix afs_launder_page() to set correct start file position
  (stable-5.14.12).
- netfs: Fix READ/WRITE confusion when calling iov_iter_xarray()
  (stable-5.14.12).
- net: bridge: fix under estimation in br_get_linkxstats_size()
  (stable-5.14.12).
- net: bridge: use nla_total_size_64bit() in
  br_get_linkxstats_size() (stable-5.14.12).
- dt-bindings: drm/bridge: ti-sn65dsi86: Fix reg value
  (stable-5.14.12).
- drm/i915/jsl: Add W/A 1409054076 for JSL (stable-5.14.12).
- commit e19b658
* Wed Oct 13 2021 tiwai@suse.de
- arm64: dts: imx8: change the spi-nor tx (stable-5.14.12).
- ARM: dts: imx: change the spi-nor tx (stable-5.14.12).
- powerpc/fsl/dts: Fix phy-connection-type for fm1mac3
  (stable-5.14.12).
- netfilter: nf_tables: honor NLM_F_CREATE and NLM_F_EXCL in
  event notification (stable-5.14.12).
- net: stmmac: dwmac-rk: Fix ethernet on rk3399 based devices
  (stable-5.14.12).
- net: mscc: ocelot: fix VCAP filters remaining active after
  being deleted (stable-5.14.12).
- net_sched: fix NULL deref in fifo_set_limit() (stable-5.14.12).
- net/mlx5e: Fix the presented RQ index in PTP stats
  (stable-5.14.12).
- net/mlx5: Fix setting number of EQs of SFs (stable-5.14.12).
- MIPS: Revert "add support for buggy MT7621S core detection"
  (stable-5.14.12).
- commit 3909a87
* Wed Oct 13 2021 tiwai@suse.de
- bpf, arm: Fix register clobbering in div/mod implementation
  (stable-5.14.12).
- netfilter: nf_tables: reverse order in rule replacement
  expansion (stable-5.14.12).
- netfilter: nf_tables: add position handle in event notification
  (stable-5.14.12).
- netfilter: conntrack: fix boot failure with
  nf_conntrack.enable_hooks=1 (stable-5.14.12).
- net/mlx5: Fix length of irq_index in chars (stable-5.14.12).
- net/mlx5: Avoid generating event after PPS out in Real time mode
  (stable-5.14.12).
- net/mlx5: Force round second at 1PPS out start time
  (stable-5.14.12).
- net/mlx5: E-Switch, Fix double allocation of acl flow counter
  (stable-5.14.12).
- net/mlx5e: Keep the value for maximum number of channels in-sync
  (stable-5.14.12).
- net/mlx5e: IPSEC RX, enable checksum complete (stable-5.14.12).
- commit bbb8378
* Wed Oct 13 2021 tiwai@suse.de
- riscv: Flush current cpu icache before other cpus
  (stable-5.14.12).
- xtensa: call irqchip_init only when CONFIG_USE_OF is selected
  (stable-5.14.12).
- xtensa: use CONFIG_USE_OF instead of CONFIG_OF (stable-5.14.12).
- ARM: dts: imx6qdl-pico: Fix Ethernet support (stable-5.14.12).
- ARM: dts: imx: Fix USB host power regulator polarity on M53Menlo
  (stable-5.14.12).
- ARM: dts: imx: Add missing pinctrl-names for panel on M53Menlo
  (stable-5.14.12).
- arm64: dts: qcom: pm8150: use qcom,pm8998-pon binding
  (stable-5.14.12).
- Revert "arm64: dts: qcom: sc7280: Fixup the cpufreq node"
  (stable-5.14.12).
- ARM: dts: qcom: apq8064: Use 27MHz PXO clock as DSI PLL
  reference (stable-5.14.12).
- ARM: at91: pm: do not panic if ram controllers are not enabled
  (stable-5.14.12).
- commit 0497f48
* Wed Oct 13 2021 tiwai@suse.de
- scsi: ufs: core: Fix task management completion
  (stable-5.14.12).
- xen/balloon: fix cancelled balloon action (stable-5.14.12).
- SUNRPC: fix sign error causing rpcsec_gss drops
  (stable-5.14.12).
- nfsd4: Handle the NFSv4 READDIR 'dircount' hint being zero
  (stable-5.14.12).
- nfsd: fix error handling of register_pernet_subsys() in
  init_nfsd() (stable-5.14.12).
- ARM: dts: omap3430-sdp: Fix NAND device node (stable-5.14.12).
- ARM: dts: imx6dl-yapp4: Fix lp5562 LED driver probe
  (stable-5.14.12).
- ARM: dts: qcom: apq8064: use compatible which contains chipid
  (stable-5.14.12).
- ovl: fix IOCB_DIRECT if underlying fs doesn't support direct IO
  (stable-5.14.12).
- ovl: fix missing negative dentry check in ovl_rename()
  (stable-5.14.12).
- commit fd84f59
* Wed Oct 13 2021 tiwai@suse.de
- xen/privcmd: fix error handling in mmap-resource processing
  (stable-5.14.12).
- mmc: sdhci-of-at91: replace while loop with read_poll_timeout
  (stable-5.14.12).
- drm/amd/display: Fix detection of 4 lane for DPALT
  (stable-5.14.12).
- drm/amd/display: Limit display scaling to up to 4k for DCN 3.1
  (stable-5.14.12).
- drm/amdgpu: During s0ix don't wait to signal GFXOFF
  (stable-5.14.12).
- drm/amd/display: USB4 bring up set correct address
  (stable-5.14.12).
- drm/amd/display: Fix DCN3 B0 DP Alt Mapping (stable-5.14.12).
- drm/amd/display: Fix B0 USB-C DP Alt mode (stable-5.14.12).
- drm/nouveau/ga102-: support ttm buffer moves via copy engine
  (stable-5.14.12).
- commit d9a85e7
* Wed Oct 13 2021 tiwai@suse.de
- Update patch references for stable-5.14.12
- commit 5952e94
* Wed Oct 13 2021 bp@suse.de
- x86/resctrl: Free the ctrlval arrays when
  domain_setup_mon_state() fails (bsc#1190497).
- commit 6c546c2
* Wed Oct 13 2021 tiwai@suse.de
- supported.conf: Avoid wildcard use for wireless drivers
  The wildcard may put modules into the wrong subpackage unexpectedly.
  Expand and adjusted entries manually instead.
- commit 83560a0
* Wed Oct 13 2021 tiwai@suse.de
- Partially revert "usb: Kconfig: using select for USB_COMMON
  dependency" (git-fixes).
- Update config files.
- supported.conf: add usb-common
- commit 0ea5896
* Wed Oct 13 2021 tiwai@suse.de
- fbdev: simplefb: fix Kconfig dependencies (git-fixes).
- Update config files.
- commit 0c3a03c
* Wed Oct 13 2021 tiwai@suse.de
- USB: cdc-acm: fix break reporting (git-fixes).
- USB: cdc-acm: fix racy tty buffer accesses (git-fixes).
- usb: gadget: f_uac2: fixed EP-IN wMaxPacketSize (git-fixes).
- usb: cdc-wdm: Fix check for WWAN (git-fixes).
- usb: chipidea: ci_hdrc_imx: Also search for 'phys' phandle
  (git-fixes).
- usb: typec: tcpm: handle SRC_STARTUP state if cc changes
  (git-fixes).
- video: fbdev: gbefb: Only instantiate device when built for IP32
  (git-fixes).
- commit 65dd579
* Wed Oct 13 2021 tiwai@suse.de
- platform/x86: intel_skl_int3472: Correct null check (git-fixes).
- platform/x86: intel_scu_ipc: Fix busy loop expiry time
  (git-fixes).
- platform/x86: dell: Make DELL_WMI_PRIVACY depend on DELL_WMI
  (git-fixes).
- platform/mellanox: mlxreg-io: Fix read access of n-bytes size
  attributes (git-fixes).
- platform/mellanox: mlxreg-io: Fix argument base in kstrtou32()
  call (git-fixes).
- usb: typec: tcpci: don't handle vSafe0V event if it's not
  enabled (git-fixes).
- usb: typec: tipd: Remove dependency on "connector" child fwnode
  (git-fixes).
- usb: xhci: tegra: mark PM functions as __maybe_unused
  (git-fixes).
- mmc: meson-gx: do not use memcpy_to/fromio for dram-access-quirk
  (git-fixes).
- commit 9b7e7bd
* Wed Oct 13 2021 tiwai@suse.de
- i2c: mlxcpld: Modify register setting for 400KHz frequency
  (git-fixes).
- i2c: mlxcpld: Fix criteria for frequency setting (git-fixes).
- i2c: mediatek: Add OFFSET_EXT_CONF setting back (git-fixes).
- i2c: acpi: fix resource leak in reconfiguration device addition
  (git-fixes).
- mmc: sdhci-of-at91: wait for calibration done before proceed
  (git-fixes).
- drm/amdgpu: handle the case of pci_channel_io_frozen only in
  amdgpu_pci_resume (git-fixes).
- drm/amdkfd: fix a potential ttm->sg memory leak (git-fixes).
- drm/nouveau/debugfs: fix file release memory leak (git-fixes).
- drm/nouveau/kms/nv50-: fix file release memory leak (git-fixes).
- commit 479e4f9
* Wed Oct 13 2021 tiwai@suse.de
- acpi/arm64: fix next_platform_timer() section mismatch error
  (git-fixes).
- drm/nouveau: avoid a use-after-free when BO init fails
  (git-fixes).
- drm/panel: abt-y030xx067a: yellow tint fix (git-fixes).
- drm/nouveau/kms/tu102-: delay enabling cursor until after
  assign_windows (git-fixes).
- drm/sun4i: dw-hdmi: Fix HDMI PHY clock setup (git-fixes).
- drm/i915: Extend the async flip VT-d w/a to skl/bxt (git-fixes).
- drm/i915/bdb: Fix version check (git-fixes).
- drm/i915: Fix runtime pm handling in i915_gem_shrink
  (git-fixes).
- drm/i915/audio: Use BIOS provided value for RKL HDA link
  (git-fixes).
- commit eaddc65
* Tue Oct 12 2021 lduncan@suse.com
- scsi: be2iscsi: Fix use-after-free during IP updates
  (jsc#SLE-18973).
- commit 5cfabf9
* Tue Oct 12 2021 tiwai@suse.de
- Update patch reference for soc fix (CVE-2021-42252 bsc#1190479)
- commit be54ca3
* Tue Oct 12 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Drop all references to DRM IRQ midlayer'
- commit 3803dca
* Tue Oct 12 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Use the correct IRQ during resume'
- commit b057a8f
* Mon Oct 11 2021 bp@suse.de
- x86/entry: Correct reference to intended CONFIG_64_BIT
  (bsc#1190497).
- commit 731eb86
* Mon Oct 11 2021 dbueso@suse.de
- posix-cpu-timers: Prevent spuriously armed 0-value itimer (git-fixes).
- commit 5fa2839
* Mon Oct 11 2021 lduncan@suse.com
- scsi: aacraid: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#SLE-19274).
- scsi: aacraid: Remove an unused include (jsc#SLE-19274).
- commit 68239cb
* Mon Oct 11 2021 tiwai@suse.de
- Enable CONFIG_RTW88_DEBUG and CONFIG_RTW89_DEBUG on debug flavors (bsc#1191321)
- commit 7107a90
* Mon Oct 11 2021 tiwai@suse.de
- rtw89: add Realtek 802.11ax driver (bsc#1191321).
  Update config files: enable CONFIG_RTW89 stuff
  supported.conf: Add rtw89_core and rtw89_pci for *-extra
- commit 7208212
* Mon Oct 11 2021 bp@suse.de
- blacklist.conf: 3958b9c34c27 x86/entry: Clear X86_FEATURE_SMAP when CONFIG_X86_SMAP=n
- commit 55e9752
* Mon Oct 11 2021 bp@suse.de
- blacklist.conf: 4758fd801f91 x86/platform/olpc: Correct ifdef symbol to intended CONFIG_OLPC_XO15_SCI
- commit 6e23c1c
* Mon Oct 11 2021 bp@suse.de
- blacklist.conf: 225bac2dc5d1 x86/Kconfig: Correct reference to MWINCHIP3D
- commit d1e905d
* Mon Oct 11 2021 bp@suse.de
- x86/fpu: Restore the masking out of reserved MXCSR bits
  (bsc#1190497).
- commit 6d1278a
* Mon Oct 11 2021 msuchanek@suse.de
- powerpc/numa: Update cpu_cpu_map on CPU online/offline
  (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- powerpc/smp: Enable CACHE domain for shared processor
  (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- commit 701e5f2
* Mon Oct 11 2021 msuchanek@suse.de
- powerpc/pseries: Fix build error when NUMA=n (bsc#1190620
  ltc#194498 git-fixes).
- commit 5f88b4e
* Mon Oct 11 2021 ohering@suse.de
- x86/hyperv: Avoid erroneously sending IPI to 'self' (git-fixes).
- hyper-v: Replace uuid.h with types.h (git-fixes).
- PCI: hv: Fix sleep while in non-sleep context when removing
  child devices from the bus (git-fixes).
- commit 52eb8f6
* Sun Oct 10 2021 lduncan@suse.com
- scsi: qedf: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#SLE-19003).
- commit e885f50
* Sun Oct 10 2021 tiwai@suse.de
- Update config files: only bumping version to 5.14.11
- commit c6fc8f2
* Sun Oct 10 2021 tiwai@suse.de
- Linux 5.14.11 (stable-5.14.11).
- commit 8054eea
* Sun Oct 10 2021 tiwai@suse.de
- Revert "ARM: imx6q: drop of_platform_default_populate() from
  init_machine" (stable-5.14.11).
- perf/x86: Reset destroy callback on event init failure
  (stable-5.14.11).
- KVM: x86: nSVM: restore int_vector in svm_clear_vintr
  (stable-5.14.11).
- kvm: x86: Add AMD PMU MSRs to msrs_to_save_all[]
  (stable-5.14.11).
- KVM: x86: reset pdptrs_from_userspace when exiting smm
  (stable-5.14.11).
- KVM: do not shrink halt_poll_ns below grow_start
  (stable-5.14.11).
- selftests: KVM: Align SMCCC call with the spec in steal_time
  (stable-5.14.11).
- libata: Add ATA_HORKAGE_NO_NCQ_ON_ATI for Samsung 860 and 870
  SSD (stable-5.14.11).
- commit 575f27b
* Sun Oct 10 2021 tiwai@suse.de
- thermal/drivers/tsens: Fix wrong check for tzd in irq handlers
  (stable-5.14.11).
- x86/insn, tools/x86: Fix undefined behavior due to potential
  unaligned accesses (stable-5.14.11).
- irqchip/gic: Work around broken Renesas integration
  (stable-5.14.11).
- kasan: always respect CONFIG_KASAN_STACK (stable-5.14.11).
- tools/vm/page-types: remove dependency on opt_file for idle
  page tracking (stable-5.14.11).
- scsi: ses: Retry failed Send/Receive Diagnostic commands
  (stable-5.14.11).
- io_uring: allow conditional reschedule for intensive iterators
  (stable-5.14.11).
- block: don't call rq_qos_ops->done_bio if the bio isn't tracked
  (stable-5.14.11).
- nvme-fc: avoid race between time out and tear down
  (stable-5.14.11).
- smb3: correct smb3 ACL security descriptor (stable-5.14.11).
- commit 571e77c
* Sun Oct 10 2021 tiwai@suse.de
- nvme-fc: update hardware queues before using them
  (stable-5.14.11).
- swiotlb-xen: ensure to issue well-formed XENMEM_exchange
  requests (stable-5.14.11).
- Xen/gntdev: don't ignore kernel unmapping error
  (stable-5.14.11).
- selftests: kvm: fix get_run_delay() ignoring fscanf() return
  warn (stable-5.14.11).
- selftests: kvm: move get_run_delay() into lib/test_util
  (stable-5.14.11).
- selftests:kvm: fix get_trans_hugepagesz() ignoring fscanf()
  return warn (stable-5.14.11).
- selftests:kvm: fix get_warnings_count() ignoring fscanf()
  return warn (stable-5.14.11).
- selftests: be sure to make khdr before other targets
  (stable-5.14.11).
- habanalabs/gaudi: fix LBW RR configuration (stable-5.14.11).
- habanalabs: fail collective wait when not supported
  (stable-5.14.11).
- commit 3ac100a
* Sun Oct 10 2021 tiwai@suse.de
- scsi: elx: efct: Do not hold lock while calling
  fc_vport_terminate() (stable-5.14.11).
- scsi: sd: Free scsi_disk device via put_device()
  (stable-5.14.11).
- habanalabs/gaudi: use direct MSI in single mode
  (stable-5.14.11).
- usb: dwc2: check return value after calling
  platform_get_resource() (stable-5.14.11).
- usb: testusb: Fix for showing the connection speed
  (stable-5.14.11).
- ext2: fix sleeping in atomic bugs on error (stable-5.14.11).
- drm/amdkfd: fix svm_migrate_fini warning (stable-5.14.11).
- drm/amdkfd: handle svm migrate init error (stable-5.14.11).
- platform/x86: gigabyte-wmi: add support for B550I Aorus Pro AX
  (stable-5.14.11).
- sparc64: fix pci_iounmap() when CONFIG_PCI is not set
  (stable-5.14.11).
- commit 3e5fccd
* Sun Oct 10 2021 tiwai@suse.de
- btrfs: fix mount failure due to past and transient device
  flush error (stable-5.14.11).
- btrfs: replace BUG_ON() in btrfs_csum_one_bio() with proper
  error handling (stable-5.14.11).
- xen-netback: correct success/error reporting for the
  SKB-with-fraglist case (stable-5.14.11).
- net: mdio: introduce a shutdown method to mdio device drivers
  (stable-5.14.11).
- nfsd: back channel stuck in SEQ4_STATUS_CB_PATH_DOWN
  (stable-5.14.11).
- platform/x86: touchscreen_dmi: Update info for the Chuwi Hi10
  Plus (CWI527) tablet (stable-5.14.11).
- platform/x86: touchscreen_dmi: Add info for the Chuwi HiBook
  (CWI514) tablet (stable-5.14.11).
- afs: Add missing vnode validation checks (stable-5.14.11).
- spi: rockchip: handle zero length transfers without timing out
  (stable-5.14.11).
- commit 47ff1ab
* Sun Oct 10 2021 tiwai@suse.de
- Update patch references for stable-5.14.11
- commit 6437206
* Fri Oct  8 2021 lduncan@suse.com
- scsi: qedi: Add support for fastpath doorbell recovery
  (jsc#SLE-19002).
- scsi: qedi: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#SLE-19002).
- commit 9d52484
* Fri Oct  8 2021 tiwai@suse.de
- iwlwifi: Fix MODULE_FIRMWARE() for non-existing ucode version
  (boo#1191417).
- commit 801c7c0
* Fri Oct  8 2021 shung-hsi.yu@suse.com
- bpf: Add ambient BPF runtime context stored in current
  (git-fixes).
- commit 3687742
* Fri Oct  8 2021 tiwai@suse.de
- soc: ti: omap-prm: Fix external abort for am335x pruss
  (git-fixes).
- soc: qcom: mdt_loader: Drop PT_LOAD check on hash segment
  (git-fixes).
- soc: qcom: socinfo: Fixed argument passed to platform_set_data()
  (git-fixes).
- ptp_pch: Load module automatically if ID matches (git-fixes).
- iwlwifi: pcie: add configuration of a Wi-Fi adapter on Dell
  XPS 15 (git-fixes).
- iwlwifi: mvm: d3: missing unlock in
  iwl_mvm_wowlan_program_keys() (git-fixes).
- iwlwifi: mvm: d3: Fix off by ones in
  iwl_mvm_wowlan_get_rsc_v5_data() (git-fixes).
- iwlwifi: mvm: Fix possible NULL dereference (git-fixes).
- phy: mdio: fix memory leak (git-fixes).
- commit 1af3d9f
* Fri Oct  8 2021 tiwai@suse.de
- bus: ti-sysc: Use CLKDM_NOAUTO for dra7 dcan1 for errata i893
  (git-fixes).
- bus: ti-sysc: Add break in switch statement in sysc_init_soc()
  (git-fixes).
- gve: report 64bit tx_bytes counter from
  gve_handle_report_stats() (git-fixes).
- gve: fix gve_get_stats() (git-fixes).
- gve: Properly handle errors in gve_assign_qpl (git-fixes).
- gve: Avoid freeing NULL pointer (git-fixes).
- gve: Correct available tx qpl check (git-fixes).
- Revert "brcmfmac: use ISO3166 country code and 0 rev as
  fallback" (git-fixes).
- ath5k: fix building with LEDS=m (git-fixes).
- commit b513994
* Fri Oct  8 2021 shung-hsi.yu@suse.com
- libbpf: Fix memory leak in strset (git-fixes).
- libbpf: Fix segfault in light skeleton for objects without BTF
  (git-fixes).
- commit 08333f5
* Thu Oct  7 2021 shung-hsi.yu@suse.com
- bpf: Fix integer overflow in prealloc_elems_and_freelist()
  (bsc#1191317, CVE-2021-41864).
- commit 52f3d1c
* Thu Oct  7 2021 tiwai@suse.de
- supported.conf: Fix micrel module entries
  The modules get split/renamed recently
- commit 577c15c
* Thu Oct  7 2021 tiwai@suse.de
- Update config files: only versiom bump to 5.14.10
- commit a928c69
* Thu Oct  7 2021 tiwai@suse.de
- Linux 5.14.10 (stable-5.14.10).
- commit 0e61aee
* Thu Oct  7 2021 tiwai@suse.de
- objtool: print out the symbol type when complaining about it
  (stable-5.14.10).
- netfilter: conntrack: serialize hash resizes and cleanups
  (stable-5.14.10).
- netfilter: nf_tables: Fix oversized kvmalloc() calls
  (stable-5.14.10).
- drivers: net: mhi: fix error path in mhi_net_newlink
  (stable-5.14.10).
- KVM: x86: Handle SRCU initialization failure during page track
  init (stable-5.14.10).
- HID: amd_sfh: Fix potential NULL pointer dereference - take 2
  (stable-5.14.10).
- crypto: aesni - xts_crypt() return if walk.nbytes is 0
  (stable-5.14.10).
- commit 317e73c
* Thu Oct  7 2021 tiwai@suse.de
- ext4: fix potential infinite loop in ext4_dx_readdir()
  (stable-5.14.10).
- ext4: flush s_error_work before journal destroy in
  ext4_fill_super (stable-5.14.10).
- net: udp: annotate data race around udp_sk(sk)->corkflag
  (stable-5.14.10).
- netfilter: ipset: Fix oversized kvmalloc() calls
  (stable-5.14.10).
- NIOS2: setup.c: drop unused variable 'dram_start'
  (stable-5.14.10).
- HID: u2fzero: ignore incomplete packets without data
  (stable-5.14.10).
- HID: betop: fix slab-out-of-bounds Write in betop_probe
  (stable-5.14.10).
- HID: usbhid: free raw_report buffers in usbhid_stop
  (stable-5.14.10).
- mm: don't allow oversized kvmalloc() calls (stable-5.14.10).
- usb: hso: remove the bailout parameter (stable-5.14.10).
- commit ca118a0
* Thu Oct  7 2021 tiwai@suse.de
- ext4: fix loff_t overflow in ext4_max_bitmap_size()
  (stable-5.14.10).
- ext4: fix reserved space counter leakage (stable-5.14.10).
- ext4: limit the number of blocks in one ADD_RANGE TLV
  (stable-5.14.10).
- ext4: add error checking to ext4_ext_replay_set_iblocks()
  (stable-5.14.10).
- ipack: ipoctal: fix module reference leak (stable-5.14.10).
- ipack: ipoctal: fix missing allocation-failure check
  (stable-5.14.10).
- ipack: ipoctal: fix tty-registration error handling
  (stable-5.14.10).
- ipack: ipoctal: fix tty registration race (stable-5.14.10).
- ipack: ipoctal: fix stack information leak (stable-5.14.10).
- debugfs: debugfs_create_file_size(): use IS_ERR to check for
  error (stable-5.14.10).
- commit 80874ba
* Thu Oct  7 2021 tiwai@suse.de
- elf: don't use MAP_FIXED_NOREPLACE for elf interpreter mappings
  (stable-5.14.10).
- kvm: fix objtool relocation warning (stable-5.14.10).
- perf/x86/intel: Update event constraints for ICX
  (stable-5.14.10).
- objtool: Teach get_alt_entry() about more relocation types
  (stable-5.14.10).
- nvme: add command id quirk for apple controllers
  (stable-5.14.10).
- af_unix: fix races in sk_peer_pid and sk_peer_cred accesses
  (stable-5.14.10).
- net: stmmac: fix EEE init issue when paired with EEE capable
  PHYs (stable-5.14.10).
- net: sched: flower: protect fl_walk() with rcu (stable-5.14.10).
- net: hns3: disable firmware compatible features when uninstall
  PF (stable-5.14.10).
- net: hns3: fix always enable rx vlan filter problem after
  selftest (stable-5.14.10).
- commit 83e2b3f
* Thu Oct  7 2021 tiwai@suse.de
- scsi: csiostor: Add module softdep on cxgb4 (stable-5.14.10).
- Revert "block, bfq: honor already-setup queue merges"
  (stable-5.14.10).
- net: hns3: fix show wrong state when add existing uc mac address
  (stable-5.14.10).
- net: hns3: fix mixed flag HCLGE_FLAG_MQPRIO_ENABLE and
  HCLGE_FLAG_DCB_ENABLE (stable-5.14.10).
- net: hns3: don't rollback when destroy mqprio fail
  (stable-5.14.10).
- net: hns3: remove tc enable checking (stable-5.14.10).
- net: hns3: do not allow call hns3_nic_net_open repeatedly
  (stable-5.14.10).
- ixgbe: Fix NULL pointer dereference in ixgbe_xdp_setup
  (stable-5.14.10).
- ionic: fix gathering of debug stats (stable-5.14.10).
- net: ks8851: fix link error (stable-5.14.10).
- commit 35a71ee
* Thu Oct  7 2021 tiwai@suse.de
- bpf, x86: Fix bpf mapping of atomic fetch implementation
  (stable-5.14.10).
- selftests, bpf: test_lwt_ip_encap: Really disable rp_filter
  (stable-5.14.10).
- selftests, bpf: Fix makefile dependencies on libbpf
  (stable-5.14.10).
- libbpf: Fix segfault in static linker for objects without BTF
  (stable-5.14.10).
- bpf: Exempt CAP_BPF from checks against bpf_jit_limit
  (stable-5.14.10).
- dsa: mv88e6xxx: Include tagger overhead when setting MTU for
  DSA and CPU ports (stable-5.14.10).
- dsa: mv88e6xxx: Fix MTU definition (stable-5.14.10).
- RDMA/hns: Add the check of the CQE size of the user space
  (stable-5.14.10).
- RDMA/hns: Fix the size setting error when copying CQE in
  clean_cq() (stable-5.14.10).
- RDMA/hfi1: Fix kernel pointer leak (stable-5.14.10).
- commit d164e21
* Thu Oct  7 2021 tiwai@suse.de
- dsa: mv88e6xxx: 6161: Use chip wide MAX MTU (stable-5.14.10).
- netfilter: log: work around missing softdep backend module
  (stable-5.14.10).
- netfilter: nf_tables: unlink table before deleting it
  (stable-5.14.10).
- smsc95xx: fix stalled rx after link change (stable-5.14.10).
- net: ipv4: Fix rtnexthop len when RTA_FLOW is present
  (stable-5.14.10).
- net: enetc: fix the incorrect clearing of IF_MODE bits
  (stable-5.14.10).
- mptcp: allow changing the 'backup' bit when no sockets are open
  (stable-5.14.10).
- mptcp: don't return sockets in foreign netns (stable-5.14.10).
- sctp: break out if skb_header_pointer returns NULL in
  sctp_rcv_ootb (stable-5.14.10).
- RDMA/hns: Work around broken constant propagation in gcc 8
  (stable-5.14.10).
- commit ea8e272
* Thu Oct  7 2021 tiwai@suse.de
- drm/amdgpu: correct initial cp_hqd_quantum for gfx9
  (stable-5.14.10).
- bpf, mips: Validate conditional branch offsets (stable-5.14.10).
- bpf: Handle return value of BPF_PROG_TYPE_STRUCT_OPS prog
  (stable-5.14.10).
- ipvs: check that ip_vs_conn_tab_bits is between 8 and 20
  (stable-5.14.10).
- RDMA/irdma: Report correct WC error when there are MW bind
  errors (stable-5.14.10).
- RDMA/irdma: Report correct WC error when transport retry
  counter is exceeded (stable-5.14.10).
- RDMA/irdma: Validate number of CQ entries on create CQ
  (stable-5.14.10).
- RDMA/irdma: Skip CQP ring during a reset (stable-5.14.10).
- RDMA/cma: Fix listener leak in rdma_cma_listen_on_all() failure
  (stable-5.14.10).
- IB/cma: Do not send IGMP leaves for sendonly Multicast groups
  (stable-5.14.10).
- commit e4a5822
* Thu Oct  7 2021 tiwai@suse.de
- nbd: use shifts rather than multiplies (stable-5.14.10).
- KVM: VMX: Fix a TSX_CTRL_CPUID_CLEAR field mask issue
  (stable-5.14.10).
- drm/amdgpu: force exit gfxoff on sdma resume for rmb s0ix
  (stable-5.14.10).
- drm/amdgpu: check tiling flags when creating FB on GFX8-
  (stable-5.14.10).
- drm/amd/display: Pass PCI deviceid into DC (stable-5.14.10).
- drm/amd/display: initialize backlight_ramping_override to false
  (stable-5.14.10).
- drm/amd/display: Fix Display Flicker on embedded panels
  (stable-5.14.10).
- RDMA/cma: Ensure rdma_addr_cancel() happens before issuing
  more requests (stable-5.14.10).
- RDMA/cma: Do not change route.addr.src_addr.ss_family
  (stable-5.14.10).
- media: ir_toy: prevent device from hanging during transmit
  (stable-5.14.10).
- commit 6f1de7d
* Thu Oct  7 2021 tiwai@suse.de
- KVM: x86: Swap order of CPUID entry "index" vs. "significant
  flag" checks (stable-5.14.10).
- KVM: x86: nSVM: don't copy virt_ext from vmcb12
  (stable-5.14.10).
- KVM: nVMX: Filter out all unsupported controls when eVMCS was
  activated (stable-5.14.10).
- KVM: SEV: Allow some commands for mirror VM (stable-5.14.10).
- KVM: SEV: Update svm_vm_copy_asid_from for SEV-ES
  (stable-5.14.10).
- KVM: nVMX: Fix nested bus lock VM exit (stable-5.14.10).
- KVM: SEV: Pin guest memory for write for RECEIVE_UPDATE_DATA
  (stable-5.14.10).
- KVM: SVM: fix missing sev_decommission in sev_receive_start
  (stable-5.14.10).
- KVM: SEV: Acquire vcpu mutex when updating VMSA
  (stable-5.14.10).
- KVM: x86: Clear KVM's cached guest CR3 at RESET/INIT
  (stable-5.14.10).
- commit 8610d5e
* Thu Oct  7 2021 tiwai@suse.de
- hwmon: (w83793) Fix NULL pointer dereference by removing
  unnecessary structure field (stable-5.14.10).
- hwmon: (w83792d) Fix NULL pointer dereference by removing
  unnecessary structure field (stable-5.14.10).
- hwmon: (w83791d) Fix NULL pointer dereference by removing
  unnecessary structure field (stable-5.14.10).
- scsi: ufs: Fix illegal offset in UPIU event trace
  (stable-5.14.10).
- ptp: Fix ptp_kvm_getcrosststamp issue for x86 ptp_kvm
  (stable-5.14.10).
- x86/kvmclock: Move this_cpu_pvti into kvmclock.h
  (stable-5.14.10).
- gpio: pca953x: do not ignore i2c errors (stable-5.14.10).
- fs-verity: fix signed integer overflow with i_size near S64_MAX
  (stable-5.14.10).
- KVM: x86: Fix stack-out-of-bounds memory access from
  ioapic_write_indirect() (stable-5.14.10).
- platform/x86/intel: hid: Add DMI switches allow list
  (stable-5.14.10).
- commit dbbd415
* Thu Oct  7 2021 tiwai@suse.de
- scsi: qla2xxx: Changes to support kdump kernel for NVMe BFS
  (stable-5.14.10).
- commit 3809aa3
* Thu Oct  7 2021 tiwai@suse.de
- perf iostat: Fix Segmentation fault from NULL 'struct
  perf_counts_values *' (stable-5.14.10).
- perf iostat: Use system-wide mode if the target cpu_list is
  unspecified (stable-5.14.10).
- scsi: ufs: ufs-pci: Fix Intel LKF link stability
  (stable-5.14.10).
- cpufreq: schedutil: Destroy mutex before kobject_put() frees
  the memory (stable-5.14.10).
- drm/amdgpu: stop scheduler when calling hw_fini (v2)
  (stable-5.14.10).
- drm/amdgpu: avoid over-handle of fence driver fini in s3 test
  (v2) (stable-5.14.10).
- drm/amdgpu: adjust fence driver enable sequence
  (stable-5.14.10).
- tty: Fix out-of-bound vmalloc access in imageblit
  (stable-5.14.10).
- cpufreq: schedutil: Use kobject release() method to free
  sugov_tunables (stable-5.14.10).
- commit 18d1b3f
* Thu Oct  7 2021 tiwai@suse.de
- m68k: Update ->thread.esp0 before calling syscall_trace()
  in ret_from_signal (stable-5.14.10).
- NIOS2: fix kconfig unmet dependency warning for
  SERIAL_CORE_CONSOLE (stable-5.14.10).
- perf test: Fix DWARF unwind for optimized builds
  (stable-5.14.10).
- HID: amd_sfh: Fix potential NULL pointer dereference
  (stable-5.14.10).
- kasan: fix Kconfig check of CC_HAS_WORKING_NOSANITIZE_ADDRESS
  (stable-5.14.10).
- scsi: elx: efct: Fix void-pointer-to-enum-cast warning for
  efc_nport_topology (stable-5.14.10).
- s390/qeth: fix deadlock during failing recovery
  (stable-5.14.10).
- s390/qeth: Fix deadlock in remove_discipline (stable-5.14.10).
- commit d01f68a
* Thu Oct  7 2021 tiwai@suse.de
- Move upstreamed ccp fix into sorted section
  also update the reference for stable-5.14.10
- commit 1753e80
* Thu Oct  7 2021 tiwai@suse.de
- Update patch references for stable-5.14.10
- commit eaa4c68
* Thu Oct  7 2021 tiwai@suse.de
- blacklist.conf: Add hso patch that has been already cherry-picked
- commit 9e1c56c
* Thu Oct  7 2021 tiwai@suse.de
- net: phy: bcm7xxx: Fixed indirect MMD operations (git-fixes).
- e100: fix buffer overrun in e100_get_regs (git-fixes).
- e100: fix length calculation in e100_get_regs_len (git-fixes).
- phy: tegra: xusb: mark PM functions as __maybe_unused
  (git-fixes).
- phy: marvell: phy-mvebu-a3700-comphy: Remove unsupported modes
  (git-fixes).
- phy: marvell: phy-mvebu-a3700-comphy: Rename HS-SGMMI to
  2500Base-X (git-fixes).
- phy: marvell: phy-mvebu-cp110-comphy: Rename HS-SGMMI to
  2500Base-X (git-fixes).
- commit 4a6254c
* Thu Oct  7 2021 tiwai@suse.de
- ALSA: hda: intel: Allow repeatedly probing on codec
  configuration errors (bsc#1190801).
- commit 2dd628c
* Wed Oct  6 2021 tiwai@suse.de
- supported.conf: adjust support status for int304x_thermal stuff (jsc#SLE-21166)
  Drop processor_thermal_device_pci_legacy for avoiding messy dependency
  Also drop int3406_thermal as non-standard
- commit c5201d6
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: bump FW API to 66 for AX devices (jsc#SLE-19360).
- iwlwifi: mvm: add rtnl_lock() in iwl_mvm_start_get_nvm()
  (jsc#SLE-19360).
- intel: switch from 'pci_' to 'dma_' API (jsc#SLE-19360).
- iwlwifi: mvm: don't use FW key ID in beacon protection
  (jsc#SLE-19360).
- iwlwifi: mvm: support broadcast TWT alone (jsc#SLE-19360).
- iwlwifi: mvm: introduce iwl_stored_beacon_notif_v3
  (jsc#SLE-19360).
- iwlwifi: mvm: add support for responder config command version 9
  (jsc#SLE-19360).
- iwlwifi: mvm: add support for range request command version 13
  (jsc#SLE-19360).
- commit fe22bed
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: allow debug init in RF-kill (jsc#SLE-19360).
- iwlwifi: yoyo: support for new DBGI_SRAM region (jsc#SLE-19360).
- iwlwifi: add 'Rx control frame to MBSSID' HE capability
  (jsc#SLE-19360).
- iwlwifi: fw: fix debug dump data declarations (jsc#SLE-19360).
- iwlwifi: api: remove datamember from struct (jsc#SLE-19360).
- iwlwifi: fix __percpu annotation (jsc#SLE-19360).
- iwlwifi: pcie: avoid dma unmap/remap in crash dump
  (jsc#SLE-19360).
- iwlwifi: acpi: fill in SAR tables with defaults (jsc#SLE-19360).
- iwlwifi: acpi: fill in WGDS table with defaults (jsc#SLE-19360).
- iwlwifi: bump FW API to 65 for AX devices (jsc#SLE-19360).
- commit 71e2a5f
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: acpi: support reading and storing WGDS revision 2
  (jsc#SLE-19360).
- iwlwifi: mvm: load regdomain at INIT stage (jsc#SLE-19360).
- iwlwifi: mvm: Read the PPAG and SAR tables at INIT stage
  (jsc#SLE-19360).
- iwlwifi: mvm: trigger WRT when no beacon heard (jsc#SLE-19360).
- iwlwifi: mvm: support version 11 of wowlan statuses notification
  (jsc#SLE-19360).
- iwlwifi: convert flat GEO profile table to a struct version
  (jsc#SLE-19360).
- iwlwifi: remove unused ACPI_WGDS_TABLE_SIZE definition
  (jsc#SLE-19360).
- iwlwifi: support reading and storing EWRD revisions 1 and 2
  (jsc#SLE-19360).
- iwlwifi: acpi: support reading and storing WRDS revision 1 and 2
  (jsc#SLE-19360).
- iwlwifi: pass number of chains and sub-bands to
  iwl_sar_set_profile() (jsc#SLE-19360).
- commit d145b8a
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: remove ACPI_SAR_NUM_TABLES definition (jsc#SLE-19360).
- iwlwifi: convert flat SAR profile table to a struct version
  (jsc#SLE-19360).
- iwlwifi: rename ACPI_SAR_NUM_CHAIN_LIMITS to ACPI_SAR_NUM_CHAINS
  (jsc#SLE-19360).
- iwlwifi: mvm: Refactor setting of SSIDs for 6GHz scan
  (jsc#SLE-19360).
- iwlwifi: mvm: silently drop encrypted frames for unknown station
  (jsc#SLE-19360).
- iwlwifi: mvm: d3: implement RSC command version 5
  (jsc#SLE-19360).
- iwlwifi: mvm: d3: make key reprogramming iteration optional
  (jsc#SLE-19360).
- iwlwifi: mvm: d3: add separate key iteration for GTK type
  (jsc#SLE-19360).
- iwlwifi: mvm: d3: refactor TSC/RSC configuration
  (jsc#SLE-19360).
- iwlwifi: mvm: d3: remove fixed cmd_flags argument
  (jsc#SLE-19360).
- commit ca7f434
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: mvm: d3: separate TKIP data from key iteration
  (jsc#SLE-19360).
- iwlwifi: mvm: simplify __iwl_mvm_set_sta_key() (jsc#SLE-19360).
- iwlwifi: mvm: support new station key API (jsc#SLE-19360).
- iwlwifi: pcie: implement Bz reset flow (jsc#SLE-19360).
- iwlwifi: implement Bz NMI behaviour (jsc#SLE-19360).
- iwlwifi: pcie: implement Bz device startup (jsc#SLE-19360).
- iwlwifi: read MAC address from correct place on Bz
  (jsc#SLE-19360).
- iwlwifi: give Bz devices their own name (jsc#SLE-19360).
- iwlwifi: split off Bz devices into their own family
  (jsc#SLE-19360).
- iwlwifi: yoyo: cleanup internal buffer allocation in D3
  (jsc#SLE-19360).
- commit 24443e3
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: mvm: treat MMPDUs in iwl_mvm_mac_tx() as bcast
  (jsc#SLE-19360).
- iwlwifi: mvm: clean up number of HW queues (jsc#SLE-19360).
- iwlwifi: use DEFINE_MUTEX() for mutex lock (jsc#SLE-19360).
- iwlwifi: remove trailing semicolon in macro definition
  (jsc#SLE-19360).
- iwlwifi: mvm: remove check for vif in
  iwl_mvm_vif_from_mac80211() (jsc#SLE-19360).
- iwlwifi: pcie: remove spaces from queue names (jsc#SLE-19360).
- iwlwifi: mvm: restrict FW SMPS request (jsc#SLE-19360).
- iwlwifi: mvm: set replay counter on key install (jsc#SLE-19360).
- iwlwifi: mvm: remove trigger EAPOL time event (jsc#SLE-19360).
- iwlwifi: iwl-dbg-tlv: add info about loading external dbg bin
  (jsc#SLE-19360).
- commit 17e4265
* Wed Oct  6 2021 tiwai@suse.de
- iwlwifi: mvm: Add support for hidden network scan on 6GHz band
  (jsc#SLE-19360).
- iwlwifi: print PNVM complete notification status in hexadecimal
  (jsc#SLE-19360).
- iwlwifi: pcie: dump error on FW reset handshake failures
  (jsc#SLE-19360).
- iwlwifi: prepare for synchronous error dumps (jsc#SLE-19360).
- iwlwifi: pcie: optimise struct iwl_rx_mem_buffer layout
  (jsc#SLE-19360).
- iwlwifi: mvm: avoid FW restart while shutting down
  (jsc#SLE-19360).
- iwlwifi: nvm: enable IEEE80211_HE_PHY_CAP10_HE_MU_M1RU_MAX_LTF
  (jsc#SLE-19360).
- iwlwifi: mvm: set BROADCAST_TWT_SUPPORTED in MAC policy
  (jsc#SLE-19360).
- iwlwifi: iwl-nvm-parse: set STBC flags for HE phy capabilities
  (jsc#SLE-19360).
- commit 63618db
* Wed Oct  6 2021 tiwai@suse.de
- Bluetooth: btusb: Remove WAKEUP_DISABLE and add
  WAKEUP_AUTOSUSPEND for Realtek devices (jsc#SLE-19360).
- Bluetooth: btusb: Fix fall-through warnings (jsc#SLE-19360).
- commit 6951c83
* Wed Oct  6 2021 tiwai@suse.de
- Bluetooth: btintel: Combine setting up MSFT extension
  (jsc#SLE-19360).
- Bluetooth: btintel: Fix the legacy bootloader returns tlv
  based version (jsc#SLE-19360).
- Bluetooth: btintel: Clean the exported function to static
  (jsc#SLE-19360).
- Bluetooth: btintel: Move hci quirks to setup routine
  (jsc#SLE-19360).
- Bluetooth: btintel: Refactoring setup routine for bootloader
  devices (jsc#SLE-19360).
- Bluetooth: btintel: Add combined set_diag functions
  (jsc#SLE-19360).
- Bluetooth: btintel: Fix the LED is not turning off immediately
  (jsc#SLE-19360).
- Bluetooth: btintel: Fix the first HCI command not work with
  ROM device (jsc#SLE-19360).
- Bluetooth: btintel: Add btintel data struct (jsc#SLE-19360).
- Bluetooth: btintel: Refactoring setup routine for legacy ROM
  sku (jsc#SLE-19360).
- commit 17ca4db
* Wed Oct  6 2021 tiwai@suse.de
- Bluetooth: btintel: Add combined setup and shutdown functions
  (jsc#SLE-19360).
- Bluetooth: Add support hdev to allocate private data
  (jsc#SLE-19360).
- Bluetooth: btusb: Support Bluetooth Reset for Mediatek
  Chip(MT7921) (jsc#SLE-19360).
- Bluetooth: btusb: Record debug log for Mediatek Chip
  (jsc#SLE-19360).
- Bluetooth: btusb: Enable MSFT extension for Mediatek Chip
  (MT7921) (jsc#SLE-19360).
- Bluetooth: btusb: Enable MSFT extension for Intel next
  generation controllers (jsc#SLE-19360).
- Bluetooth: btusb: Enable MSFT extension for WCN6855 controller
  (jsc#SLE-19360).
- Bluetooth: btusb: Load Broadcom firmware for Dell device
  413c:8197 (jsc#SLE-19360).
- Bluetooth: btusb: Add valid le states quirk (jsc#SLE-19360).
- Bluetooth: btusb: Add support for LG LGSBWAC92/TWCM-K505D
  (jsc#SLE-19360).
- commit 937299d
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: Add wq occupancy information to sysfs attribute
  (jsc#SLE-18899 jsc#SLE-18879).
- commit e516bf5
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: remove interrupt disable for dev_lock
  (jsc#SLE-18899).
- dmaengine: idxd: remove interrupt disable for cmd_lock
  (jsc#SLE-18899).
- dmaengine: idxd: fix setting up priv mode for dwq
  (jsc#SLE-18899).
- dmaengine: idxd: set descriptor allocation size to threshold
  for swq (jsc#SLE-18899).
- dmaengine: idxd: remove interrupt flag for completion list
  spinlock (jsc#SLE-18899).
- commit 2bc689b
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: rotate portal address for better performance
  (jsc#SLE-18899).
- Refresh
  patches.suse/dmaengine-idxd-make-submit-failure-path-consistent-o.patch.
- commit 7bd460d
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: move dsa_drv support to compatible mode
  (jsc#SLE-18899).
- Update config files.
- supported.conf:
- commit 7221e7b
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: make I/O interrupt handler one shot
  (jsc#SLE-18899).
- dmaengine: idxd: add capability check for 'block on fault'
  attribute (jsc#SLE-18899).
- dmaengine: idxd: Fix a possible NULL pointer dereference
  (jsc#SLE-18899).
- dmanegine: idxd: add software command status (jsc#SLE-18899).
- dmaengine: idxd: fix uninit var for alt_drv (jsc#SLE-18899).
- dmaengine: idxd: Set defaults for GRPCFG traffic class
  (jsc#SLE-18899).
- dmaengine: dsa: move dsa_bus_type out of idxd driver to
  standalone (jsc#SLE-18899).
- dmaengine: idxd: create user driver for wq 'device'
  (jsc#SLE-18899).
- commit 4e952b7
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: fix bus_probe() and bus_remove() for dsa_bus
  (jsc#SLE-18899).
- commit 17f971a
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: remove bus shutdown (jsc#SLE-18899).
- commit f31b4c7
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: move wq_disable() to device.c (jsc#SLE-18899).
- commit 8c805eb
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: create dmaengine driver for wq 'device'
  (jsc#SLE-18899).
- dmaengine: idxd: create idxd_device sub-driver (jsc#SLE-18899).
- dmaengine: idxd: add type to driver in order to allow device
  matching (jsc#SLE-18899).
- dmanegine: idxd: open code the dsa_drv registration
  (jsc#SLE-18899).
- dmaengine: idxd: idxd: move remove() bits for idxd 'struct
  device' to device.c (jsc#SLE-18899).
- dmaengine: idxd: move probe() bits for idxd 'struct device'
  to device.c (jsc#SLE-18899).
- dmaengine: idxd: remove iax_bus_type prototype (jsc#SLE-18899).
- commit de16d0c
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: add 'struct idxd_dev' as wrapper for conf_dev
  (jsc#SLE-18899).
- commit a7597b1
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: assign MSIX vectors to each WQ rather than
  roundrobin (jsc#SLE-18899).
- commit 2cfacbf
* Wed Oct  6 2021 tiwai@suse.de
- dmaengine: idxd: move wq_enable() to device.c (jsc#SLE-18899).
- dmaengine: idxd: remove IDXD_DEV_CONF_READY (jsc#SLE-18899).
- dmaengine: idxd: add driver name (jsc#SLE-18899).
- dmaengine: idxd: add driver register helper (jsc#SLE-18899).
- dmaengine: idxd: Simplify code and axe the use of a deprecated
  API (jsc#SLE-18899).
- commit a03dd8e
* Wed Oct  6 2021 tiwai@suse.de
- supported.conf: Mark int340x thermal modules as supported (jsc#SLE-21166)
- commit 1722883
* Tue Oct  5 2021 fweisbecker@suse.de
- sched: Provide Kconfig support for default dynamic preempt mode
    (jsc#SLE-19284).
- commit d005a21
* Tue Oct  5 2021 ludwig.nussel@suse.de
- rpm: use _rpmmacrodir (boo#1191384)
- commit e350c14
* Tue Oct  5 2021 jslaby@suse.cz
- dmaengine: ptdma: remove PT_OFFSET to avoid redefnition
  (jsc#SLE-21315).
- dmaengine: ptdma: Add debugfs entries for PTDMA (jsc#SLE-21315).
- dmaengine: ptdma: register PTDMA controller as a DMA resource
  (jsc#SLE-21315).
- dmaengine: ptdma: Initial driver for the AMD PTDMA
  (jsc#SLE-21315).
- Update config files.
- supported.conf: add ptdma
- commit 022131f
* Tue Oct  5 2021 jslaby@suse.cz
- platform/x86/intel: pmc/core: Add GBE Package C10 fix for
  Alder Lake PCH (jsc#SLE-18901).
- platform/x86/intel: pmc/core: Add Alder Lake low power mode
  support for pmc core (jsc#SLE-18901).
- platform/x86/intel: pmc/core: Add Latency Tolerance Reporting
  (LTR) support to Alder Lake (jsc#SLE-18901).
- platform/x86/intel: pmc/core: Add Alderlake support to pmc
  core driver (jsc#SLE-18901).
- platform/x86: intel_pmc_core: Move to intel sub-directory
  (jsc#SLE-18901).
- Update config files.
- platform/x86: intel_pmc_core: Prevent possibile overflow
  (jsc#SLE-18901).
- commit 3c79db0
* Tue Oct  5 2021 acho@suse.com
- KVM: s390: Enable specification exception interpretation
  (jsc#SLE-18701).
- commit 8842950
* Mon Oct  4 2021 mkoutny@suse.com
- sched/fair: Add ancestors of unthrottled undecayed cfs_rq
  (bsc#1191292).
  Update patch metadata only.
- commit fafcc7b
* Mon Oct  4 2021 mkoutny@suse.com
- ipc: remove memcg accounting for sops objects in do_semtimedop()
  (bsc#1190115 CVE-2021-3759).
- commit c04a838
* Mon Oct  4 2021 mgorman@suse.de
- sched/fair: Null terminate buffer when updating tunable_scaling
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/fair: Add ancestors of unthrottled undecayed cfs_rq
  (git fixes (sched)).
- commit 543c3ae
* Mon Oct  4 2021 msuchanek@suse.de
- powerpc/perf: Drop the case of returning 0 as instruction
  pointer (bsc#1065729).
- powerpc/perf: Use stack siar instead of mfspr (bsc#1065729).
- commit cdeb3a8
* Mon Oct  4 2021 tiwai@suse.de
- interconnect: qcom: sdm660: Correct NOC_QOS_PRIORITY shift
  and mask (git-fixes).
- interconnect: qcom: sdm660: Fix id of slv_cnoc_mnoc_cfg
  (git-fixes).
- net: mdiobus: Set FWNODE_FLAG_NEEDS_CHILD_BOUND_ON_ADD for
  mdiobus parents (git-fixes).
- driver core: fw_devlink: Add support for
  FWNODE_FLAG_NEEDS_CHILD_BOUND_ON_ADD (git-fixes).
- driver core: fw_devlink: Improve handling of cyclic dependencies
  (git-fixes).
- commit aa09d6c
* Mon Oct  4 2021 tiwai@suse.de
- net: introduce and use lock_sock_fast_nested() (git-fixes).
- commit b1f25e6
* Mon Oct  4 2021 dbueso@suse.de
- net: core: Correct the sock::sk_lock.owned lockdep annotations
  (bsc#1189998).
- Documentation: core-api/cpuhotplug: Rewrite the API section
  (bsc#1189998).
- tracing: Add migrate-disabled counter to tracing output
  (bsc#1189998).
- docs/core-api: Modify document layout (bsc#1189998).
- debugobjects: Make them PREEMPT_RT aware (bsc#1189998).
- eventfd: Make signal recursion protection a task bit
  (bsc#1189998).
- commit 866a31a
* Sun Oct  3 2021 tiwai@suse.de
- hwmon: (pmbus/mp2975) Add missed POUT attribute for page 1
  mp2975 controller (git-fixes).
- hwmon: (occ) Fix P10 VRM temp sensors (git-fixes).
- hwmon: (tmp421) fix rounding for negative values (git-fixes).
- hwmon: (tmp421) report /PVLD condition as fault (git-fixes).
- hwmon: (tmp421) handle I2C errors (git-fixes).
- hwmon: (mlxreg-fan) Return non-zero value when fan current
  state is enforced from sysfs (git-fixes).
- ACPI: NFIT: Use fallback node id when numa info in NFIT table
  is incorrect (git-fixes).
- drm/i915: Remove warning from the rps worker (git-fixes).
- drm/i915/request: fix early tracepoints (git-fixes).
- drm/i915/gvt: fix the usage of ww lock in gvt scheduler
  (git-fixes).
- commit 303323b
* Fri Oct  1 2021 ailiop@suse.com
- xfs: allow mount/remount when stripe width alignment is zero
  (bsc#1188651).
- commit 5a1c665
* Fri Oct  1 2021 tiwai@suse.de
- ALSA: hda/realtek: Quirks to enable speaker output for Lenovo
  Legion 7i 15IMHG05, Yoga 7i 14ITL5/15ITL5, and 13s Gen2 laptops
  (git-fixes).
- commit d4c4fe4
* Fri Oct  1 2021 tiwai@suse.de
- ALSA: usb-audio: Restrict rates for the shared clocks
  (bsc#1190418).
- commit 0df1eba
* Fri Oct  1 2021 denis.kirjanov@suse.com
- bnxt_en: Fix TX timeout when TX ring size is set to the smallest
  (bsc#1190759).
- commit 5e6a3d3
* Fri Oct  1 2021 denis.kirjanov@suse.com
- bnxt_en: Clean up completion ring page arrays completely
  (bsc#1190759).
- commit 67e479d
* Fri Oct  1 2021 denis.kirjanov@suse.com
- bnxt_en: make bnxt_free_skbs() safe to call after
  bnxt_free_mem() (bsc#1190759).
- commit 037de41
* Fri Oct  1 2021 denis.kirjanov@suse.com
- bnxt_en: Fix error recovery regression (bsc#1190759).
- commit 0614932
* Fri Oct  1 2021 tiwai@suse.de
- Update config files: sync with 5.14.9
  Inherit CONFIG_DMA_RESTRICTED_POOL=n for armv7hl/lpae
- commit 991b5fa
* Fri Oct  1 2021 bp@suse.de
- crypto: ccp - Add support for new CCP/PSP device ID
  (bsc#1189584).
- commit f0c9101
* Fri Oct  1 2021 tiwai@suse.de
- mac80211: fix use-after-free in CCMP/GCMP RX (git-fixes).
- mac80211-hwsim: fix late beacon hrtimer handling (git-fixes).
- mac80211: mesh: fix potentially unaligned access (git-fixes).
- mac80211: limit injected vht mcs/nss in
  ieee80211_parse_tx_radiotap (git-fixes).
- mac80211: Fix ieee80211_amsdu_aggregate frag_tail bug
  (git-fixes).
- Revert "mac80211: do not use low data rates for data frames
  with no ack flag" (git-fixes).
- ALSA: rawmidi: introduce SNDRV_RAWMIDI_IOCTL_USER_PVERSION
  (git-fixes).
- ALSA: firewire-motu: fix truncated bytes in message tracepoints
  (git-fixes).
- ASoC: SOF: imx: imx8m: Bar index is only valid for IRAM and
  SRAM types (git-fixes).
- ASoC: SOF: imx: imx8: Bar index is only valid for IRAM and
  SRAM types (git-fixes).
- ASoC: SOF: Fix DSP oops stack dump output contents (git-fixes).
- ASoC: fsl_xcvr: register platform component before registering
  cpu dai (git-fixes).
- ASoC: fsl_spdif: register platform component before registering
  cpu dai (git-fixes).
- ASoC: fsl_micfil: register platform component before registering
  cpu dai (git-fixes).
- ASoC: fsl_esai: register platform component before registering
  cpu dai (git-fixes).
- ASoC: fsl_sai: register platform component before registering
  cpu dai (git-fixes).
- ASoC: mediatek: common: handle NULL case in suspend/resume
  function (git-fixes).
- pinctrl: qcom: spmi-gpio: correct parent irqspec translation
  (git-fixes).
- mmc: renesas_sdhi: fix regression with hard reset on old SDHIs
  (git-fixes).
- media: s5p-jpeg: rename JPEG marker constants to prevent build
  warnings (git-fixes).
- media: cedrus: Fix SUNXI tile size calculation (git-fixes).
- media: hantro: Fix check for single irq (git-fixes).
- watchdog/sb_watchdog: fix compilation problem due to
  COMPILE_TEST (git-fixes).
- ax88796: export ax_NS8390_init() hook (git-fixes).
- commit 956c6bd
* Fri Oct  1 2021 jack@suse.cz
- io_uring: ensure symmetry in handling iter types in
  loop_rw_iter() (bsc#1190664 CVE-2021-41073).
- commit 1db2bac
* Fri Oct  1 2021 tiwai@suse.de
- cxl: Move cxl_core to new directory (stable-5.14.8).
- commit 3d98823
* Fri Oct  1 2021 tiwai@suse.de
- Drop the reverted xhci-mtk patch (git-fixes)
  Delete patches.suse/usb-xhci-mtk-Do-not-use-xhci-s-virt_dev-in-drop_endp.patch
  Update blacklist.conf
- commit 974fa57
* Fri Oct  1 2021 tiwai@suse.de
- Linux 5.14.9 (stable-5.14.9).
- commit 0ae0ccf
* Fri Oct  1 2021 tiwai@suse.de
- thermal/drivers/int340x: Do not set a wrong tcc offset on resume
  (stable-5.14.9).
- x86/setup: Call early_reserve_memory() earlier (stable-5.14.9).
- irqchip/armada-370-xp: Fix ack/eoi breakage (stable-5.14.9).
- xen/balloon: fix balloon kthread freezing (stable-5.14.9).
- software node: balance refcount for managed software nodes
  (stable-5.14.9).
- arm64: add MTE supported check to thread switching and syscall
  entry/exit (stable-5.14.9).
- qnx4: work around gcc false positive warning bug
  (stable-5.14.9).
- nvmet: fix a width vs precision bug in
  nvmet_subsys_attr_serial_show() (stable-5.14.9).
- commit 7e63b4d
* Fri Oct  1 2021 tiwai@suse.de
- Revert drm/vc4 hdmi runtime PM changes (stable-5.14.9
  bsc#1012628 bsc#1190469).
- Delete patches.suse/drm-vc4-hdmi-Fix-HPD-GPIO-detection.patch.
- commit 418827a
* Fri Oct  1 2021 tiwai@suse.de
- libperf evsel: Make use of FD robust (stable-5.14.9).
- spi: Fix tegra20 build with CONFIG_PM=n (stable-5.14.9).
- net: 6pack: Fix tx timeout and slot time (stable-5.14.9).
- commit 210d72b
* Fri Oct  1 2021 tiwai@suse.de
- cpufreq: intel_pstate: Override parameters if HWP forced by BIOS
  (stable-5.14.9).
- sparc32: page align size in arch_dma_alloc (stable-5.14.9).
- blk-cgroup: fix UAF by grabbing blkcg lock before destroying
  blkg pd (stable-5.14.9).
- block: flush the integrity workqueue in blk_integrity_unregister
  (stable-5.14.9).
- block: check if a profile is actually registered in
  blk_integrity_unregister (stable-5.14.9).
- arm64: Mark __stack_chk_guard as __ro_after_init
  (stable-5.14.9).
- xen/balloon: use a kernel thread instead a workqueue
  (stable-5.14.9).
- amd/display: enable panel orientation quirks (stable-5.14.9).
- drm/amd/display: Link training retry fix for abort case
  (stable-5.14.9).
- drm/amd/display: Fix unstable HPCP compliance on Chrome Barcelo
  (stable-5.14.9).
- drm/amdkfd: make needs_pcie_atomics FW-version dependent
  (stable-5.14.9).
- amd/display: downgrade validation failure log level
  (stable-5.14.9).
- bpf: Add oversize check before call kvcalloc() (stable-5.14.9).
- alpha: Declare virt_to_phys and virt_to_bus parameter as
  pointer to volatile (stable-5.14.9).
- parisc: Use absolute_pointer() to define PAGE0 (stable-5.14.9).
- qnx4: avoid stringop-overread errors (stable-5.14.9).
- sparc: avoid stringop-overread errors (stable-5.14.9).
- net: i825xx: Use absolute_pointer for memcpy from fixed memory
  location (stable-5.14.9).
- compiler.h: Introduce absolute_pointer macro (stable-5.14.9).
- drm/ttm: fix type mismatch error on sparc64 (stable-5.14.9).
- commit 8aef947
* Fri Oct  1 2021 tiwai@suse.de
- irqchip/gic-v3-its: Fix potential VPE leak on error
  (stable-5.14.9).
- irqchip/goldfish-pic: Select GENERIC_IRQ_CHIP to fix build
  (stable-5.14.9).
- scsi: qla2xxx: Restore initiator in dual mode (stable-5.14.9).
- scsi: ufs: core: Unbreak the reset handler (stable-5.14.9).
- scsi: sd_zbc: Support disks with more than 2**32 logical blocks
  (stable-5.14.9).
- io_uring: don't punt files update to io-wq unconditionally
  (stable-5.14.9).
- io_uring: put provided buffer meta data under memcg accounting
  (stable-5.14.9).
- io_uring: fix missing set of EPOLLONESHOT for CQ ring overflow
  (stable-5.14.9).
- io_uring: fix race between poll completion and cancel_hash
  insertion (stable-5.14.9).
- blktrace: Fix uaf in blk_trace access after removing by sysfs
  (stable-5.14.9).
- md: fix a lock order reversal in md_alloc (stable-5.14.9).
- dma-debug: prevent an error message from causing runtime
  problems (stable-5.14.9).
- blk-mq: avoid to iterate over stale request (stable-5.14.9).
- ipv6: delay fib6_sernum increase in fib6_add (stable-5.14.9).
- net: stmmac: allow CSR clock of 300MHz (stable-5.14.9).
- net: macb: fix use after free on rmmod (stable-5.14.9).
- net: phylink: Update SFP selected interface on advertising
  changes (stable-5.14.9).
- m68k: Double cast io functions to unsigned long (stable-5.14.9).
- scsi: ufs: Retry aborted SCSI commands instead of completing
  these successfully (stable-5.14.9).
- scsi: ufs: Revert "Utilize Transfer Request List Completion
  Notification Register" (stable-5.14.9).
- commit ddbbf24
* Fri Oct  1 2021 tiwai@suse.de
- nvme: keep ctrl->namespaces ordered (stable-5.14.9).
- commit 76532bc
* Fri Oct  1 2021 tiwai@suse.de
- thermal/core: Potential buffer overflow in
  thermal_build_list_of_policies() (stable-5.14.9).
- scsi: target: Fix the pgr/alua_support_store functions
  (stable-5.14.9).
- scsi: iscsi: Adjust iface sysfs attr detection (stable-5.14.9).
- nvme-tcp: fix incorrect h2cdata pdu offset accounting
  (stable-5.14.9).
- cifs: fix a sign extension bug (stable-5.14.9).
- fpga: machxo2-spi: Fix missing error code in
  machxo2_write_complete() (stable-5.14.9).
- fpga: machxo2-spi: Return an error on failure (stable-5.14.9).
- tty: synclink_gt: rename a conflicting function name
  (stable-5.14.9).
- gpio: uniphier: Fix void functions to remove return value
  (stable-5.14.9).
- gpiolib: acpi: Make set-debounce-timeout failures non fatal
  (stable-5.14.9).
- drm/amdkfd: fix dma mapping leaking warning (stable-5.14.9).
- atlantic: Fix issue in the pm resume flow (stable-5.14.9).
- net: mscc: ocelot: fix forwarding from BLOCKING ports remaining
  enabled (stable-5.14.9).
- net: ethernet: mtk_eth_soc: avoid creating duplicate offload
  entries (stable-5.14.9).
- nfc: st-nci: Add SPI ID matching DT compatible (stable-5.14.9).
- nexthop: Fix memory leaks in nexthop notification chain
  listeners (stable-5.14.9).
- mptcp: ensure tx skbs always have the MPTCP ext (stable-5.14.9).
- s390/qeth: fix NULL deref in qeth_clear_working_pool_list()
  (stable-5.14.9).
- drm/amdkfd: map SVM range with correct access permission
  (stable-5.14.9).
- commit 71a64f5
* Fri Oct  1 2021 tiwai@suse.de
- kselftest/arm64: signal: Skip tests if required features are
  missing (stable-5.14.9).
- net: dsa: realtek: register the MDIO bus under devres
  (stable-5.14.9).
- net: dsa: don't allocate the slave_mii_bus using devres
  (stable-5.14.9).
- net: dsa: fix dsa_tree_setup error path (stable-5.14.9).
- net/smc: fix 'workqueue leaked lock' in smc_conn_abort_work
  (stable-5.14.9).
- net/smc: add missing error check in smc_clc_prfx_set()
  (stable-5.14.9).
- bnxt_en: Fix TX timeout when TX ring size is set to the smallest
  (stable-5.14.9).
- napi: fix race inside napi_enable (stable-5.14.9).
- net: bgmac-bcma: handle deferred probe error due to mac-address
  (stable-5.14.9).
- net: dsa: tear down devlink port regions when tearing down
  the devlink port on error (stable-5.14.9).
- enetc: Fix uninitialized struct dim_sample field usage
  (stable-5.14.9).
- enetc: Fix illegal access when reading affinity_hint
  (stable-5.14.9).
- virtio-net: fix pages leaking when building skb in big mode
  (stable-5.14.9).
- spi: Revert modalias changes (stable-5.14.9).
- NLM: Fix svcxdr_encode_owner() (stable-5.14.9).
- platform/x86/intel: punit_ipc: Drop wrong use of ACPI_PTR()
  (stable-5.14.9).
- afs: Fix updating of i_blocks on file/dir extension
  (stable-5.14.9).
- afs: Fix corruption in reads at fpos 2G-4G from an OpenAFS
  server (stable-5.14.9).
- regulator: max14577: Revert "regulator: max14577: Add proper
  module aliases strings" (stable-5.14.9).
- kselftest/arm64: signal: Add SVE to the set of features we
  can check for (stable-5.14.9).
- commit a1d6db7
* Fri Oct  1 2021 tiwai@suse.de
- scsi: sd_zbc: Ensure buffer size is aligned to SECTOR_SIZE
  (stable-5.14.9).
- comedi: Fix memory leak in compat_insnlist() (stable-5.14.9).
- misc: bcm-vk: fix tty registration race (stable-5.14.9).
- mcb: fix error handling in mcb_alloc_bus() (stable-5.14.9).
- misc: genwqe: Fixes DMA mask setting (stable-5.14.9).
- serial: mvebu-uart: fix driver's tx_empty callback
  (stable-5.14.9).
- serial: 8250: 8250_omap: Fix RX_LVL register offset
  (stable-5.14.9).
- USB: serial: option: add device id for Foxconn T99W265
  (stable-5.14.9).
- xhci: Set HCD flag to defer primary roothub registration
  (stable-5.14.9).
- arm64: Restore forced disabling of KPTI on ThunderX
  (stable-5.14.9).
- arm64: Mitigate MTE issues with str{n}cmp() (stable-5.14.9).
- drm/amd/pm: Update intermediate power state for SI
  (stable-5.14.9).
- btrfs: prevent __btrfs_dump_space_info() to underflow its free
  space (stable-5.14.9).
- KVM: rseq: Update rseq when processing NOTIFY_RESUME on xfer
  to KVM guest (stable-5.14.9).
- nexthop: Fix division by zero while replacing a resilient group
  (stable-5.14.9).
- net: hso: fix muxed tty registration (stable-5.14.9).
- platform/x86: amd-pmc: Increase the response register timeout
  (stable-5.14.9).
- afs: Fix incorrect triggering of sillyrename on 3rd-party
  invalidation (stable-5.14.9).
- afs: Fix page leak (stable-5.14.9).
- regulator: qcom-rpmh-regulator: fix pm8009-1 ldo7 resource name
  (stable-5.14.9).
- commit b27b123
* Fri Oct  1 2021 tiwai@suse.de
- mm: fix uninitialized use in overcommit_policy_handler
  (stable-5.14.9).
- mm/debug: sync up MR_CONTIG_RANGE and MR_LONGTERM_PIN
  (stable-5.14.9).
- ocfs2: drop acl cache for directories too (stable-5.14.9).
- mm, hwpoison: add is_free_buddy_page() in HWPoisonHandlable()
  (stable-5.14.9).
- xen/x86: fix PV trap handling on secondary processors
  (stable-5.14.9).
- cifs: fix incorrect check for null pointer in header_assemble
  (stable-5.14.9).
- binder: make sure fd closes complete (stable-5.14.9).
- binder: fix freeze race (stable-5.14.9).
- staging: greybus: uart: fix tty use after free (stable-5.14.9).
- USB: serial: cp210x: add ID for GW Instek GDM-834x Digital
  Multimeter (stable-5.14.9).
- USB: serial: option: add Telit LN920 compositions
  (stable-5.14.9).
- usb-storage: Add quirk for ScanLogic SL11R-IDE older than 2.6c
  (stable-5.14.9).
- Re-enable UAS for LaCie Rugged USB3-FW with fk quirk
  (stable-5.14.9).
- usb: core: hcd: Add support for deferring roothub registration
  (stable-5.14.9).
- usb: dwc2: gadget: Fix ISOC flow for BDMA and Slave
  (stable-5.14.9).
- usb: gadget: u_audio: EP-OUT bInterval in fback frequency
  (stable-5.14.9).
- cifs: Not to defer close on file when lock is set
  (stable-5.14.9).
- cifs: Fix soft lockup during fsstress (stable-5.14.9).
- usb: isp1760: do not sleep in field register poll
  (stable-5.14.9).
- commit 5fcd542
* Fri Oct  1 2021 tiwai@suse.de
- Update patch references for stable-5.14.9
- commit dcab111
* Fri Oct  1 2021 tiwai@suse.de
- Linux 5.14.8 (stable-5.14.8).
- commit f8422cd
* Fri Oct  1 2021 tiwai@suse.de
- selinux,smack: fix subjective/objective credential use mixups
  (stable-5.14.8).
- drm/nouveau/nvkm: Replace -ENOSYS with -ENODEV (stable-5.14.8).
- cifs: properly invalidate cached root handle when closing it
  (stable-5.14.8).
- io_uring: fix off-by-one in BUILD_BUG_ON check of
  __REQ_F_LAST_BIT (stable-5.14.8).
- rtc: rx8010: select REGMAP_I2C (stable-5.14.8).
- commit c36baa4
* Fri Oct  1 2021 tiwai@suse.de
- blk-mq: allow 4x BLK_MAX_REQUEST_COUNT at blk_plug for
  multiple_queues (stable-5.14.8).
- nvmet: fixup buffer overrun in nvmet_subsys_attr_serial()
  (stable-5.14.8).
- blk-throttle: fix UAF by deleteing timer in blk_throtl_exit()
  (stable-5.14.8).
- block: genhd: don't call blkdev_show() with major_names_lock
  held (stable-5.14.8).
- pwm: stm32-lp: Don't modify HW state in .remove() callback
  (stable-5.14.8).
- pwm: rockchip: Don't modify HW state in .remove() callback
  (stable-5.14.8).
- pwm: img: Don't modify HW state in .remove() callback
  (stable-5.14.8).
- thermal/drivers/rcar_gen3_thermal: Store TSC id as unsigned int
  (stable-5.14.8).
- habanalabs: cannot sleep while holding spinlock (stable-5.14.8).
- habanalabs: add "in device creation" status (stable-5.14.8).
- habanalabs: fix mmu node address resolution in debugfs
  (stable-5.14.8).
- habanalabs: add validity check for event ID received from F/W
  (stable-5.14.8).
- habanalabs: fix nullifying of destroyed mmu pgt pool
  (stable-5.14.8).
- drm/amdgpu: fix fdinfo race with process exit (stable-5.14.8).
- drm/amd/display: Fix memory leak reported by coverity
  (stable-5.14.8).
- drm/amdgpu: Fixes to returning VBIOS RAS EEPROM address
  (stable-5.14.8).
- nilfs2: fix memory leak in nilfs_sysfs_delete_snapshot_group
  (stable-5.14.8).
- nilfs2: fix memory leak in nilfs_sysfs_create_snapshot_group
  (stable-5.14.8).
- nilfs2: fix memory leak in nilfs_sysfs_delete_##name##_group
  (stable-5.14.8).
- nilfs2: fix memory leak in nilfs_sysfs_create_##name##_group
  (stable-5.14.8).
- commit 2584d78
* Fri Oct  1 2021 tiwai@suse.de
- btrfs: fix lockdep warning while mounting sprout fs
  (stable-5.14.8).
- btrfs: delay blkdev_put until after the device remove
  (stable-5.14.8).
- btrfs: update the bdev time directly when closing
  (stable-5.14.8).
- s390: add kmemleak annotation in stack_alloc() (stable-5.14.8).
- ACPI: PM: s2idle: Run both AMD and Microsoft methods if both
  are supported (stable-5.14.8).
- ceph: lockdep annotations for try_nonblocking_invalidate
  (stable-5.14.8).
- ceph: remove the capsnaps when removing caps (stable-5.14.8).
- ceph: request Fw caps before updating the mtime in
  ceph_write_iter (stable-5.14.8).
- nilfs2: fix NULL pointer in nilfs_##name##_attr_release
  (stable-5.14.8).
- nilfs2: fix memory leak in nilfs_sysfs_create_device_group
  (stable-5.14.8).
- commit 334bd6c
* Fri Oct  1 2021 tiwai@suse.de
- riscv: dts: microchip: mpfs-icicle: Fix serial console
  (stable-5.14.8).
- arm64: mm: limit linear region to 51 bits for KVM in nVHE mode
  (stable-5.14.8).
- iommu/vt-d: Fix a deadlock in intel_svm_drain_prq()
  (stable-5.14.8).
- iommu/vt-d: Fix PASID leak in intel_svm_unbind_mm()
  (stable-5.14.8).
- cxl/pci: Introduce cdevm_file_operations (stable-5.14.8).
- dmaengine: xilinx_dma: Set DMA mask for coherent APIs
  (stable-5.14.8).
- dmaengine: ioat: depends on !UML (stable-5.14.8).
- dmaengine: sprd: Add missing MODULE_DEVICE_TABLE
  (stable-5.14.8).
- dmaengine: idxd: depends on !UML (stable-5.14.8).
- commit 56c090b
* Fri Oct  1 2021 tiwai@suse.de
- perf tools: Allow build-id with trailing zeros (stable-5.14.8).
- drivers: base: cacheinfo: Get rid of
  DEFINE_SMP_CALL_CACHE_FUNCTION() (stable-5.14.8).
- n64cart: fix return value check in n64cart_probe()
  (stable-5.14.8).
- iommu/amd: Relocate GAMSup check to early_enable_iommus
  (stable-5.14.8).
- um: fix stub location calculation (stable-5.14.8).
- um: virtio_uml: fix memory leak on init failures
  (stable-5.14.8).
- tools/bootconfig: Fix tracing_on option checking in
  ftrace2bconf.sh (stable-5.14.8).
- s390/entry: make oklabel within CHKSTG macro local
  (stable-5.14.8).
- platform/chrome: cros_ec_trace: Fix format warnings
  (stable-5.14.8).
- platform/chrome: sensorhub: Add trace events for sample
  (stable-5.14.8).
- 9p/trans_virtio: Remove sysfs file on probe failure
  (stable-5.14.8).
- Kconfig.debug: drop selecting non-existing
  HARDLOCKUP_DETECTOR_ARCH (stable-5.14.8).
- prctl: allow to setup brk for et_dyn executables
  (stable-5.14.8).
- coredump: fix memleak in dump_vma_snapshot() (stable-5.14.8).
- nilfs2: use refcount_dec_and_lock() to fix potential UAF
  (stable-5.14.8).
- init: move usermodehelper_enable() to populate_rootfs()
  (stable-5.14.8).
- math: RATIONAL_KUNIT_TEST should depend on RATIONAL instead
  of selecting it (stable-5.14.8).
- profiling: fix shift-out-of-bounds bugs (stable-5.14.8).
- console: consume APC, DM, DCS (stable-5.14.8).
- commit 62f2d62
* Fri Oct  1 2021 tiwai@suse.de
- Update patch references for stable-5.14.8
- commit 9dc95d5
* Fri Oct  1 2021 tiwai@suse.de
- Linux 5.14.7 (stable-5.14.7).
- commit f76fd66
* Fri Oct  1 2021 tiwai@suse.de
- net: dsa: bcm_sf2: Fix array overrun in
  bcm_sf2_num_active_ports() (stable-5.14.7).
- commit 5fb540e
* Fri Oct  1 2021 tiwai@suse.de
- s390/bpf: Fix optimizing out zero-extensions (stable-5.14.7).
- s390/bpf: Fix 64-bit subtraction of the -0x80000000 constant
  (stable-5.14.7).
- s390/bpf: Fix branch shortening during codegen pass
  (stable-5.14.7).
- bnxt_en: Fix error recovery regression (stable-5.14.7).
- net: renesas: sh_eth: Fix freeing wrong tx descriptor
  (stable-5.14.7).
- cxgb3: fix oops on module removal (stable-5.14.7).
- ip6_gre: Revert "ip6_gre: add validation for csum_start"
  (stable-5.14.7).
- net: dsa: b53: Fix IMP port setup on BCM5301x (stable-5.14.7).
- ip_gre: validate csum_start only on pull (stable-5.14.7).
- qlcnic: Remove redundant unlock in qlcnic_pinit_from_rom
  (stable-5.14.7).
- fq_codel: reject silly quantum parameters (stable-5.14.7).
- netfilter: socket: icmp6: fix use-after-scope (stable-5.14.7).
- mptcp: Only send extra TCP acks in eligible socket states
  (stable-5.14.7).
- net: dsa: b53: Set correct number of ports in the DSA struct
  (stable-5.14.7).
- net: dsa: b53: Fix calculating number of switch ports
  (stable-5.14.7).
- net: hso: add failure handler for add_net_device
  (stable-5.14.7).
- selftests: mptcp: clean tmp files in simult_flows
  (stable-5.14.7).
- mptcp: fix possible divide by zero (stable-5.14.7).
- net: dsa: tag_rtl4_a: Fix egress tags (stable-5.14.7).
- io_uring: retry in case of short read on block device
  (stable-5.14.7).
- tools build: Fix feature detect clean for out of source builds
  (stable-5.14.7).
- ARC: export clear_user_page() for modules (stable-5.14.7).
- commit c150c07
* Fri Oct  1 2021 tiwai@suse.de
- PCI: j721e: Add PCIe support for AM64 (stable-5.14.7).
- PCI: j721e: Add PCIe support for J7200 (stable-5.14.7).
- PCI: Add ACS quirks for Cavium multi-function devices
  (stable-5.14.7).
- PCI: ibmphp: Fix double unmap of io_mem (stable-5.14.7).
- net: phylink: add suspend/resume support (stable-5.14.7).
- stmmac: dwmac-loongson:Fix missing return value (stable-5.14.7).
- ethtool: Fix an error code in cxgb2.c (stable-5.14.7).
- netfilter: nft_ct: protect nft_ct_pcpu_template_refcnt with
  mutex (stable-5.14.7).
- net: usb: cdc_mbim: avoid altsetting toggling for Telit LN920
  (stable-5.14.7).
- flow: fix object-size-mismatch warning in
  flowi{4,6}_to_flowi_common() (stable-5.14.7).
- Set fc_nlinfo in nh_create_ipv4, nh_create_ipv6 (stable-5.14.7).
- octeontx2-af: Add additional register check to rvu_poll_reg()
  (stable-5.14.7).
- watchdog: Start watchdog in watchdog_set_last_hw_keepalive
  only if appropriate (stable-5.14.7).
- KVM: arm64: Handle PSCI resets before userspace touches vCPU
  state (stable-5.14.7).
- KVM: arm64: Fix read-side race on updates to vcpu reset state
  (stable-5.14.7).
- KVM: arm64: Restrict IPA size to maximum 48 bits on 4K and
  16K page size (stable-5.14.7).
- NTB: perf: Fix an error code in perf_setup_inbuf()
  (stable-5.14.7).
- NTB: Fix an error code in ntb_msit_probe() (stable-5.14.7).
- loop: reduce the loop_ctl_mutex scope (stable-5.14.7).
- block, bfq: honor already-setup queue merges (stable-5.14.7).
- commit 05c7f1d
* Fri Oct  1 2021 tiwai@suse.de
- blkcg: fix memory leak in blk_iolatency_init (stable-5.14.7).
- mlxbf_gige: clear valid_polarity upon open (stable-5.14.7).
- net: dsa: flush switchdev workqueue before tearing down CPU/DSA
  ports (stable-5.14.7).
- net: dsa: lantiq_gswip: Add 200ms assert delay (stable-5.14.7).
- net: dsa: qca8k: fix kernel panic with legacy mdio mapping
  (stable-5.14.7).
- PCI: tegra194: Fix MSI-X programming (stable-5.14.7).
- PCI: tegra194: Fix handling BME_CHGED event (stable-5.14.7).
- PCI: tegra: Fix OF node reference leak (stable-5.14.7).
- PCI: rcar: Fix runtime PM imbalance in rcar_pcie_ep_probe()
  (stable-5.14.7).
- PCI: cadence: Add quirk flag to set minimum delay in LTSSM
  Detect.Quiet state (stable-5.14.7).
- PCI: cadence: Use bitfield for *quirk_retrain_flag* instead
  of bool (stable-5.14.7).
- PCI: Add ACS quirks for NXP LX2xx0 and LX2xx2 platforms
  (stable-5.14.7).
- KVM: arm64: Make hyp_panic() more robust when protected mode
  is enabled (stable-5.14.7).
- remoteproc: qcom: wcnss: Fix race with iris probe
  (stable-5.14.7).
- mfd: Don't use irq_create_mapping() to resolve a mapping
  (stable-5.14.7).
- mfd: db8500-prcmu: Adjust map to reality (stable-5.14.7).
- fuse: fix use after free in fuse_read_interrupt()
  (stable-5.14.7).
- tracing/probes: Reject events which have the same name of
  existing one (stable-5.14.7).
- riscv: fix the global name pfn_base confliction error
  (stable-5.14.7).
- dt-bindings: mtd: gpmc: Fix the ECC bytes vs. OOB bytes equation
  (stable-5.14.7).
- commit db28dfb
* Fri Oct  1 2021 tiwai@suse.de
- events: Reuse value read using READ_ONCE instead of re-reading
  it (stable-5.14.7).
- powerpc/mce: Fix access error in mce handler (stable-5.14.7).
- KVM: PPC: Book3S HV: Tolerate treclaim. in fake-suspend mode
  changing registers (stable-5.14.7).
- powerpc/64s: system call rfscv workaround for TM bugs
  (stable-5.14.7).
- powerpc/64s: system call scv tabort fix for corrupt irq
  soft-mask state (stable-5.14.7).
- gen_compile_commands: fix missing 'sys' package (stable-5.14.7).
- perf machine: Initialize srcline string member in add_location
  struct (stable-5.14.7).
- s390/pci_mmio: fully validate the VMA before calling
  follow_pte() (stable-5.14.7).
- dt-bindings: arm: Fix Toradex compatible typo (stable-5.14.7).
- net: dsa: destroy the phylink instance on any error in
  dsa_slave_phy_setup (stable-5.14.7).
- tcp: fix tp->undo_retrans accounting in tcp_sacktag_one()
  (stable-5.14.7).
- tipc: increase timeout in tipc_sk_enqueue() (stable-5.14.7).
- udp_tunnel: Fix udp_tunnel_nic work-queue type (stable-5.14.7).
- bnxt_en: make bnxt_free_skbs() safe to call after
  bnxt_free_mem() (stable-5.14.7).
- selftest: net: fix typo in altname test (stable-5.14.7).
- net: stmmac: platform: fix build warning when with
  !CONFIG_PM_SLEEP (stable-5.14.7).
- net/af_unix: fix a data-race in unix_dgram_poll (stable-5.14.7).
- vhost_net: fix OoB on sendmsg() failure (stable-5.14.7).
- net: stmmac: fix system hang caused by eee_ctrl_timer during
  suspend/resume (stable-5.14.7).
- net: ipa: initialize all filter table slots (stable-5.14.7).
- commit 91ad14c
* Fri Oct  1 2021 tiwai@suse.de
- x86/mm: Fix kern_addr_valid() to cope with existing but not
  present entries (stable-5.14.7).
- s390/sclp: fix Secure-IPL facility detection (stable-5.14.7).
- io_uring: allow retry for O_NONBLOCK if async is supported
  (stable-5.14.7).
- drm/radeon: pass drm dev radeon_agp_head_init directly
  (stable-5.14.7).
- drm/etnaviv: add missing MMU context put when reaping MMU
  mapping (stable-5.14.7).
- drm/etnaviv: reference MMU context when setting up hardware
  state (stable-5.14.7).
- drm/etnaviv: fix MMU context leak on GPU reset (stable-5.14.7).
- drm/etnaviv: exec and MMU state is lost when resetting the GPU
  (stable-5.14.7).
- drm/etnaviv: keep MMU context across runtime suspend/resume
  (stable-5.14.7).
- drm/etnaviv: stop abusing mmu_context as FE running marker
  (stable-5.14.7).
- drm/etnaviv: put submit prev MMU context when it exists
  (stable-5.14.7).
- drm/etnaviv: return context from etnaviv_iommu_context_get
  (stable-5.14.7).
- ptp: dp83640: don't define PAGE0 (stable-5.14.7).
- net-caif: avoid user-triggerable WARN_ON(1) (stable-5.14.7).
- r6040: Restore MDIO clock frequency after MAC reset
  (stable-5.14.7).
- net/l2tp: Fix reference count leak in l2tp_udp_recv_core
  (stable-5.14.7).
- dccp: don't duplicate ccid when cloning dccp sock
  (stable-5.14.7).
- net: remove the unnecessary check in cipso_v4_doi_free
  (stable-5.14.7).
- ethtool: Fix rxnfc copy to user buffer overflow (stable-5.14.7).
- tipc: fix an use-after-free issue in tipc_recvmsg
  (stable-5.14.7).
- commit aff07e4
* Fri Oct  1 2021 tiwai@suse.de
- PCI: Add AMD GPU multi-function power dependencies
  (stable-5.14.7).
- io_uring: ensure symmetry in handling iter types in
  loop_rw_iter() (stable-5.14.7).
- arm64/sve: Use correct size when reinitialising SVE state
  (stable-5.14.7).
- swiotlb-xen: fix late init retry (stable-5.14.7).
- swiotlb-xen: avoid double free (stable-5.14.7).
- xen: fix usage of pmd_populate in mremap for pv guests
  (stable-5.14.7).
- xen: reset legacy rtc flag for PV domU (stable-5.14.7).
- PM: base: power: don't try to use non-existing RTC for storing
  data (stable-5.14.7).
- drm/amd/pm: fix runpm hang when amdgpu loaded prior to sound
  driver (stable-5.14.7).
- drm/amdgpu: move iommu_resume before ip init/resume
  (stable-5.14.7).
- drm/amdgpu: add amdgpu_amdkfd_resume_iommu (stable-5.14.7).
- drm/amdkfd: separate kfd_iommu_resume from kfd_resume
  (stable-5.14.7).
- drm/amd/display: dsc mst 2 4K displays go dark with 2 lane HBR3
  (stable-5.14.7).
- drm/amd/display: Get backlight from PWM if DMCU is not
  initialized (stable-5.14.7).
- drm/amdgpu: use IS_ERR for debugfs APIs (stable-5.14.7).
- drm/amd/pm: fix the issue of uploading powerplay table
  (stable-5.14.7).
- drm/amd/amdgpu: Increase HWIP_MAX_INSTANCE to 10
  (stable-5.14.7).
- bnx2x: Fix enabling network interfaces without VFs
  (stable-5.14.7).
- net: stmmac: fix MAC not working when system resume back with
  WoL active (stable-5.14.7).
- commit 4f1492a
* Fri Oct  1 2021 tiwai@suse.de
- Update patch references for stable-5.14.7
- commit b078c9d
* Fri Oct  1 2021 tiwai@suse.de
- Linux 5.14.6 (stable-5.14.6).
- commit 640a3f2
* Fri Oct  1 2021 tiwai@suse.de
- drm/panfrost: Clamp lock region to Bifrost minimum
  (stable-5.14.6).
- drm/amd/display: setup system context for APUs (stable-5.14.6).
- drm/amdgpu: Enable S/G for Yellow Carp (stable-5.14.6).
- s390/topology: fix topology information when calling cpu
  hotplug notifiers (stable-5.14.6).
- libnvdimm/pmem: Fix crash triggered when I/O in-flight during
  unbind (stable-5.14.6).
- mm/hugetlb: initialize hugetlb_usage in mm_init (stable-5.14.6).
- mm/hmm: bypass devmap pte when all pfn requested flags are
  fulfilled (stable-5.14.6).
- platform/chrome: cros_ec_proto: Send command again when timeout
  occurs (stable-5.14.6).
- net: stmmac: Fix overall budget calculation for rxtx_napi
  (stable-5.14.6).
- net: dsa: lantiq_gswip: fix maximum frame length
  (stable-5.14.6).
- cpufreq: powernv: Fix init_chip_info initialization in numa=off
  (stable-5.14.6).
- mm: fix panic caused by __page_handle_poison() (stable-5.14.6).
- scsi: qla2xxx: Sync queue idx with queue_pair_map idx
  (stable-5.14.6).
- scsi: qla2xxx: Changes to support kdump kernel (stable-5.14.6).
- scsi: BusLogic: Fix missing pr_cont() use (stable-5.14.6).
- parisc: fix crash with signals and alloca (stable-5.14.6).
- parisc: Fix compile failure when building 64-bit kernel natively
  (stable-5.14.6).
- ovl: fix BUG_ON() in may_delete() when called from ovl_cleanup()
  (stable-5.14.6).
- drm/amd/display: Update bounding box states (v2)
  (stable-5.14.6).
- drm/amd/display: Update number of DCN3 clock states
  (stable-5.14.6).
- drm/amdgpu: Fix BUG_ON assert (stable-5.14.6).
- net: w5100: check return value after calling
  platform_get_resource() (stable-5.14.6).
- fix array-index-out-of-bounds in taprio_change (stable-5.14.6).
- net: fix NULL pointer reference in cipso_v4_doi_free
  (stable-5.14.6).
- ath9k: fix sleeping in atomic context (stable-5.14.6).
- ath9k: fix OOB read ar9300_eeprom_restore_internal
  (stable-5.14.6).
- commit b17799d
* Fri Oct  1 2021 tiwai@suse.de
- drm/amdkfd: Account for SH/SE count when setting up cu masks
  (stable-5.14.6).
- usb: isp1760: otg control register access (stable-5.14.6).
- usb: isp1760: use the right irq status bit (stable-5.14.6).
- usb: isp1760: write to status and address register
  (stable-5.14.6).
- usb: isp1760: fix qtd fill length (stable-5.14.6).
- usb: isp1760: fix memory pool initialization (stable-5.14.6).
- parport: remove non-zero check on count (stable-5.14.6).
- selftests/bpf: Fix potential unreleased lock (stable-5.14.6).
- iwlwifi: mvm: Fix scan channel flags settings (stable-5.14.6).
- iwlwifi: mvm: don't schedule the roc_done_wk if it is already
  running (stable-5.14.6).
- iwlwifi: fw: correctly limit to monitor dump (stable-5.14.6).
- iwlwifi: mvm: fix access to BSS elements (stable-5.14.6).
- iwlwifi: mvm: Fix umac scan request probe parameters
  (stable-5.14.6).
- iwlwifi: mvm: avoid static queue number aliasing
  (stable-5.14.6).
- iwlwifi: mvm: fix a memory leak in
  iwl_mvm_mac_ctxt_beacon_changed (stable-5.14.6).
- iwlwifi: mvm: Do not use full SSIDs in 6GHz scan
  (stable-5.14.6).
- iwlwifi: pcie: free RBs during configure (stable-5.14.6).
- wcn36xx: Fix missing frame timestamp for beacon/probe-resp
  (stable-5.14.6).
- nfsd: fix crash on LOCKT on reexported NFSv3 (stable-5.14.6).
- nfs: don't atempt blocking locks on nfs reexports
  (stable-5.14.6).
- commit e7bd511
* Fri Oct  1 2021 tiwai@suse.de
- ASoC: soc-pcm: protect BE dailink state changes in trigger
  (stable-5.14.6).
- ASoC: rockchip: i2s: Fixup config for DAIFMT_DSP_A/B
  (stable-5.14.6).
- ASoC: rockchip: i2s: Fix regmap_ops hang (stable-5.14.6).
- usb: xhci-mtk: fix use-after-free of mtk->hcd (stable-5.14.6).
- usbip:vhci_hcd USB port can get stuck in the disabled state
  (stable-5.14.6).
- usbip: give back URBs for unsent unlink requests during cleanup
  (stable-5.14.6).
- usb: musb: musb_dsps: request_irq() after initializing musb
  (stable-5.14.6).
- usb: dwc3: imx8mp: request irq after initializing dwc3
  (stable-5.14.6).
- usb: xhci-mtk: Do not use xhci's virt_dev in drop_endpoint
  (stable-5.14.6).
- selftests/bpf: Enlarge select() timeout for test_maps
  (stable-5.14.6).
- samples: pktgen: fix to print when terminated normally
  (stable-5.14.6).
- octeontx2-pf: cleanup transmit link deriving logic
  (stable-5.14.6).
- mmc: core: Return correct emmc response in case of ioctl error
  (stable-5.14.6).
- mmc: rtsx_pci: Fix long reads when clock is prescaled
  (stable-5.14.6).
- mmc: core: Avoid hogging the CPU while polling for busy after
  I/O writes (stable-5.14.6).
- mmc: core: Avoid hogging the CPU while polling for busy for
  mmc ioctls (stable-5.14.6).
- mmc: core: Avoid hogging the CPU while polling for busy in
  the I/O err path (stable-5.14.6).
- mmc: sdhci-of-arasan: Check return value of non-void funtions
  (stable-5.14.6).
- mmc: sdhci-of-arasan: Modified SD default speed to 19MHz for
  ZynqMP (stable-5.14.6).
- cifs: fix wrong release in sess_alloc_buffer() failed path
  (stable-5.14.6).
- commit d8d2da1
* Fri Oct  1 2021 tiwai@suse.de
- of: Don't allow __of_attached_node_sysfs() without CONFIG_SYSFS
  (stable-5.14.6).
- m68knommu: only set CONFIG_ISA_DMA_API for ColdFire sub-arch
  (stable-5.14.6).
- kselftest/arm64: pac: Fix skipping of tests on systems without
  PAC (stable-5.14.6).
- kselftest/arm64: mte: Fix misleading output when skipping tests
  (stable-5.14.6).
- drm/exynos: Always initialize mapping in
  exynos_drm_register_dma() (stable-5.14.6).
- ASoC: Intel: Skylake: Fix passing loadable flag for module
  (stable-5.14.6).
- ASoC: Intel: Skylake: Fix module configuration for KPB and MIXER
  (stable-5.14.6).
- ASoC: rsnd: adg: clearly handle clock error / NULL case
  (stable-5.14.6).
- usb: chipidea: host: fix port index underflow and UBSAN
  complains (stable-5.14.6).
- soundwire: intel: fix potential race condition during power down
  (stable-5.14.6).
- rtw88: wow: fix size access error of probe request
  (stable-5.14.6).
- rtw88: wow: build wow function only if CONFIG_PM is on
  (stable-5.14.6).
- rtw88: use read_poll_timeout instead of fixed sleep
  (stable-5.14.6).
- rtl8xxxu: Fix the handling of TX A-MPDU aggregation
  (stable-5.14.6).
- octeontx2-pf: Fix NIX1_RX interface backpressure
  (stable-5.14.6).
- net: Fix offloading indirect devices dependency on qdisc order
  creation (stable-5.14.6).
- lockd: lockd server-side shouldn't set fl_ops (stable-5.14.6).
- gfs2: Don't call dlm after protocol is unmounted
  (stable-5.14.6).
- btrfs: tree-log: check btrfs_lookup_data_extent return value
  (stable-5.14.6).
- btrfs: remove racy and unnecessary inode transaction update
  when using no-holes (stable-5.14.6).
- commit 0fa86f9
* Fri Oct  1 2021 tiwai@suse.de
- arm64: dts: ls1046a: fix eeprom entries (stable-5.14.6).
- arm64: dts: imx8mm-venice-gw71xx: fix USB OTG VBUS
  (stable-5.14.6).
- arm64: dts: imx8mm-venice-gw700x: fix invalid pmic pin config
  (stable-5.14.6).
- arm64: dts: imx8mm-venice-gw700x: fix mp5416 pmic config
  (stable-5.14.6).
- arm64: tegra: Fix compatible string for Tegra132 CPUs
  (stable-5.14.6).
- ARM: tegra: tamonten: Fix UART pad setting (stable-5.14.6).
- ARM: tegra: acer-a500: Remove bogus USB VBUS regulators
  (stable-5.14.6).
- serial: sh-sci: fix break handling for sysrq (stable-5.14.6).
- staging: rts5208: Fix get_ms_information() heap buffer size
  (stable-5.14.6).
- selftests/bpf: Fix flaky send_signal test (stable-5.14.6).
- selftests/bpf: Correctly display subtest skip status
  (stable-5.14.6).
- Bluetooth: Fix race condition in handling NOP command
  (stable-5.14.6).
- Bluetooth: Fix handling of LE Enhanced Connection Complete
  (stable-5.14.6).
- selftests: nci: Fix the wrong condition (stable-5.14.6).
- selftests: nci: Fix the code for next nlattr offset
  (stable-5.14.6).
- tcp: enable data-less, empty-cookie SYN with
  TFO_SERVER_COOKIE_NOT_REQD (stable-5.14.6).
- hwmon: (pmbus/ibm-cffps) Fix write bits for LED control
  (stable-5.14.6).
- opp: Don't print an error if required-opps is missing
  (stable-5.14.6).
- iomap: pass writeback errors to the mapping (stable-5.14.6).
- rpc: fix gss_svc_init cleanup on failure (stable-5.14.6).
- commit cdc2c57
* Fri Oct  1 2021 tiwai@suse.de
- arm64: dts: qcom: sm8250: Fix epss_l3 unit address
  (stable-5.14.6).
- ARM: dts: ixp4xx: Fix up bad interrupt flags (stable-5.14.6).
- drm/display: fix possible null-pointer dereference in
  dcn10_set_clock() (stable-5.14.6).
- gpu: drm: amd: amdgpu: amdgpu_i2c: fix
  possible uninitialized-variable access in
  amdgpu_i2c_router_select_ddc_port() (stable-5.14.6).
- drm/amd/display: fix incorrect CM/TF programming sequence in
  dwb (stable-5.14.6).
- drm/amd/display: fix missing writeback disablement if plane
  is removed (stable-5.14.6).
- drm/msm/dp: do not end dp link training until video is ready
  (stable-5.14.6).
- drm/msm/dp: return correct edid checksum after corrupted edid
  checksum read (stable-5.14.6).
- drm/msm/dp: reset aux controller after dp_aux_cmd_fifo_tx()
  failed (stable-5.14.6).
- drm/msm/dp: reduce link rate if failed at link training 1
  (stable-5.14.6).
- drm/msm/dsi: Fix DSI and DSI PHY regulator config from SDM660
  (stable-5.14.6).
- drm/msm: mdp4: drop vblank get/put from prepare/complete_commit
  (stable-5.14.6).
- drm/vmwgfx: fix potential UAF in vmwgfx_surface.c
  (stable-5.14.6).
- drm: xlnx: zynqmp: release reset to DP controller before
  accessing DP registers (stable-5.14.6).
- drm: xlnx: zynqmp_dpsub: Call pm_runtime_get_sync before
  setting pixel clock (stable-5.14.6).
- staging: rtl8723bs: fix right side of condition (stable-5.14.6).
- nvmem: qfprom: Fix up qfprom_disable_fuse_blowing() ordering
  (stable-5.14.6).
- mac80211: Fix monitor MTU limit so that A-MSDUs get through
  (stable-5.14.6).
- selftests/bpf: Fix xdp_tx.c prog section name (stable-5.14.6).
- net: ethernet: stmmac: Do not use unreachable() in
  ipq806x_gmac_probe() (stable-5.14.6).
- commit 6c83488
* Fri Oct  1 2021 tiwai@suse.de
- arm64: dts: qcom: msm8996: don't use underscore in node name
  (stable-5.14.6).
- arm64: dts: qcom: msm8994: don't use underscore in node name
  (stable-5.14.6).
- arm64: dts: qcom: sdm630: don't use underscore in node name
  (stable-5.14.6).
- arm64: dts: qcom: ipq6018: drop '0x' from unit address
  (stable-5.14.6).
- arm64: dts: qcom: sdm660: use reg value for memory node
  (stable-5.14.6).
- arm64: dts: qcom: ipq8074: fix pci node reg property
  (stable-5.14.6).
- arm64: dts: qcom: sdm630: Fix TLMM node and pinctrl
  configuration (stable-5.14.6).
- arm64: dts: qcom: sdm630: Rewrite memory map (stable-5.14.6).
- media: tegra-cec: Handle errors of clk_prepare_enable()
  (stable-5.14.6).
- media: TDA1997x: fix tda1997x_query_dv_timings() return value
  (stable-5.14.6).
- media: v4l2-dv-timings.c: fix wrong condition in two for-loops
  (stable-5.14.6).
- media: imx: imx7-media-csi: Fix buffer return upon stream
  start failure (stable-5.14.6).
- media: imx258: Limit the max analogue gain to 480
  (stable-5.14.6).
- media: imx258: Rectify mismatch of VTS value (stable-5.14.6).
- serial: 8250_omap: Handle optional overrun-throttle-ms property
  (stable-5.14.6).
- ARM: dts: imx53-ppd: Fix ACHC entry (stable-5.14.6).
- misc: sram: Only map reserved areas in Tegra SYSRAM
  (stable-5.14.6).
- net: ipa: fix IPA v4.9 interconnects (stable-5.14.6).
- dpaa2-switch: do not enable the DPSW at probe time
  (stable-5.14.6).
- gfs2: Fix glock recursion in freeze_go_xmote_bh (stable-5.14.6).
- commit 5fdcfa8
* Fri Oct  1 2021 tiwai@suse.de
- ARM: dts: stm32: Update AV96 adv7513 node per dtbs_check
  (stable-5.14.6).
- ARM: dts: stm32: Set {bitclock,frame}-master phandles on ST DKx
  (stable-5.14.6).
- ARM: dts: stm32: Set {bitclock,frame}-master phandles on DHCOM
  SoM (stable-5.14.6).
- ARM: dts: at91: use the right property for shutdown controller
  (stable-5.14.6).
- drm/msm/a6xx: Fix llcc configuration for a660 gpu
  (stable-5.14.6).
- drm/amd/display: Fix PSR command version (stable-5.14.6).
- drm: rcar-du: Shutdown the display on system shutdown
  (stable-5.14.6).
- ASoC: Intel: update sof_pcm512x quirks (stable-5.14.6).
- ASoC: Intel: bytcr_rt5640: Move "Platform Clock" routes to
  the maps for the matching in-/output (stable-5.14.6).
- vt: keyboard.c: make console an unsigned int (stable-5.14.6).
- serial: 8250_pci: make setup_port() parameters explicitly
  unsigned (stable-5.14.6).
- hvsi: don't panic on tty_register_driver failure
  (stable-5.14.6).
- staging: ks7010: Fix the initialization of the 'sleep_status'
  structure (stable-5.14.6).
- Bluetooth: Fix not generating RPA when required (stable-5.14.6).
- Bluetooth: skip invalid hci_sync_conn_complete_evt
  (stable-5.14.6).
- netfilter: nft_compat: use nfnetlink_unicast() (stable-5.14.6).
- bonding: 3ad: fix the concurrency between __bond_release_one()
  and bond_3ad_state_machine_handler() (stable-5.14.6).
- libbpf: Fix race when pinning maps in parallel (stable-5.14.6).
- samples: bpf: Fix tracex7 error raised on the missing argument
  (stable-5.14.6).
- ata: sata_dwc_460ex: No need to call phy_exit() befre phy_init()
  (stable-5.14.6).
- commit d1fb25d
* Fri Oct  1 2021 tiwai@suse.de
- ethtool: improve compat ioctl handling (stable-5.14.6).
- Refresh
  patches.suse/ethtool-extend-coalesce-setting-uAPI-with-CQE-mode.patch.
- commit 65d28b7
* Fri Oct  1 2021 tiwai@suse.de
- arm64: dts: allwinner: h6: tanix-tx6: Fix regulator node names
  (stable-5.14.6).
- drm/amd/amdgpu: Update debugfs link_settings output link_rate
  field in hex (stable-5.14.6).
- drm/amdgpu: Fix a printing message (stable-5.14.6).
- drm/amd/display: Fixed hardware power down bypass during
  headless boot (stable-5.14.6).
- video: fbdev: riva: Error out if 'pixclock' equals zero
  (stable-5.14.6).
- video: fbdev: kyro: Error out if 'pixclock' equals zero
  (stable-5.14.6).
- video: fbdev: asiliantfb: Error out if 'pixclock' equals zero
  (stable-5.14.6).
- drm/bridge: nwl-dsi: Avoid potential multiplication overflow
  on 32-bit (stable-5.14.6).
- xtensa: ISS: don't panic in rs_init (stable-5.14.6).
- serial: max310x: Use clock-names property matching to recognize
  EXTCLK (stable-5.14.6).
- serial: 8250: Define RX trigger levels for OxSemi 950 devices
  (stable-5.14.6).
- bpf/tests: Do not PASS tests without actually testing the result
  (stable-5.14.6).
- bpf/tests: Fix copy-and-paste error in double word test
  (stable-5.14.6).
- flow_dissector: Fix out-of-bounds warnings (stable-5.14.6).
- ipv4: ip_output.c: Fix out-of-bounds warning in ip_copy_addrs()
  (stable-5.14.6).
- net: ipa: always validate filter and route tables
  (stable-5.14.6).
- net: ipa: fix ipa_cmd_table_valid() (stable-5.14.6).
- s390: make PCI mio support a machine flag (stable-5.14.6).
- s390/jump_label: print real address in a case of a jump label
  bug (stable-5.14.6).
- commit 36d2210
* Fri Oct  1 2021 tiwai@suse.de
- drm/amd/display: Fix timer_per_pixel unit error (stable-5.14.6).
- drm: protect drm_master pointers in drm_lease.c (stable-5.14.6).
- media: atomisp: pci: fix error return code in
  atomisp_pci_probe() (stable-5.14.6).
- media: atomisp: Fix runtime PM imbalance in atomisp_pci_probe
  (stable-5.14.6).
- media: platform: stm32: unprepare clocks at handling errors
  in probe (stable-5.14.6).
- media: hantro: vp8: Move noisy WARN_ON to vpu_debug
  (stable-5.14.6).
- usb: gadget: composite: Allow bMaxPower=0 if self-powered
  (stable-5.14.6).
- USB: EHCI: ehci-mv: improve error handling in mv_ehci_enable()
  (stable-5.14.6).
- usb: gadget: u_ether: fix a potential null pointer dereference
  (stable-5.14.6).
- usb: host: fotg210: fix the actual_length of an iso packet
  (stable-5.14.6).
- usb: host: fotg210: fix the endpoint's transactional
  opportunities calculation (stable-5.14.6).
- tty: serial: jsm: hold port lock when reporting modem line
  changes (stable-5.14.6).
- staging: hisilicon,hi6421-spmi-pmic.yaml: fix patternProperties
  (stable-5.14.6).
- staging: board: Fix uninitialized spinlock when attaching genpd
  (stable-5.14.6).
- selftests: firmware: Fix ignored return val of asprintf() warn
  (stable-5.14.6).
- misc/pvpanic-pci: Allow automatic loading (stable-5.14.6).
- bus: fsl-mc: fix mmio base address for child DPRCs
  (stable-5.14.6).
- bus: fsl-mc: fix arg in call to dprc_scan_objects()
  (stable-5.14.6).
- nfp: fix return statement in nfp_net_parse_meta()
  (stable-5.14.6).
- rcu: Fix macro name CONFIG_TASKS_RCU_TRACE (stable-5.14.6).
- commit 95cbbcb
* Fri Oct  1 2021 tiwai@suse.de
- arm64: dts: qcom: Fix usb entries for SA8155p adp board
  (stable-5.14.6).
- ARM: dts: qcom: apq8064: correct clock names (stable-5.14.6).
- drm: serialize drm_file.master with a new spinlock
  (stable-5.14.6).
- drm: avoid blocking in drm_clients_info's rcu section
  (stable-5.14.6).
- drm/ast: Disable fast reset after DRAM initial (stable-5.14.6).
- video: fbdev: kyro: fix a DoS bug by restricting user input
  (stable-5.14.6).
- drm/vkms: Let shadow-plane helpers prepare the plane's FB
  (stable-5.14.6).
- media: ti-vpe: cal: fix queuing of the initial buffer
  (stable-5.14.6).
- media: ti-vpe: cal: fix error handling in cal_camerarx_create
  (stable-5.14.6).
- media: dib8000: rewrite the init prbs logic (stable-5.14.6).
- ASoC: ti: davinci-mcasp: Fix DIT mode support (stable-5.14.6).
- ASoC: atmel: ATMEL drivers don't need HAS_DMA (stable-5.14.6).
- iio: dac: ad5624r: Fix incorrect handling of an optional
  regulator (stable-5.14.6).
- net: ipa: fix IPA v4.11 interconnect data (stable-5.14.6).
- netlink: Deal with ESRCH error in nlmsg_notify()
  (stable-5.14.6).
- net: phy: Fix data type in DP83822 dp8382x_disable_wol()
  (stable-5.14.6).
- tipc: keep the skb in rcv queue until the whole data is read
  (stable-5.14.6).
- libbpf: Fix reuse of pinned map on older kernel (stable-5.14.6).
- Smack: Fix wrong semantics in smk_access_entry()
  (stable-5.14.6).
- crypto: mxs-dcp - Use sg_mapping_iter to copy data
  (stable-5.14.6).
- commit 36873c2
* Fri Oct  1 2021 tiwai@suse.de
- f2fs: should put a page beyond EOF when preparing a write
  (stable-5.14.6).
- f2fs: deallocate compressed pages when error happens
  (stable-5.14.6).
- f2fs: fix to unmap pages from userspace process in punch_hole()
  (stable-5.14.6).
- f2fs: fix unexpected ENOENT comes from f2fs_map_blocks()
  (stable-5.14.6).
- f2fs: fix to account missing .skipped_gc_rwsem (stable-5.14.6).
- kbuild: Fix 'no symbols' warning when CONFIG_TRIM_UNUSD_KSYMS=y
  (stable-5.14.6).
- KVM: PPC: Fix clearing never mapped TCEs in realmode
  (stable-5.14.6).
- MIPS: Malta: fix alignment of the devicetree buffer
  (stable-5.14.6).
- userfaultfd: prevent concurrent API initialization
  (stable-5.14.6).
- fscache: Fix cookie key hashing (stable-5.14.6).
- drm/amdgpu: Fix koops when accessing RAS EEPROM (stable-5.14.6).
- drm/amdgpu: Fix amdgpu_ras_eeprom_init() (stable-5.14.6).
- drm/panel: Fix up DT bindings for Samsung lms397kf04
  (stable-5.14.6).
- dma-buf: fix dma_resv_test_signaled test_all handling v2
  (stable-5.14.6).
- drm: vc4: Fix pixel-wrap issue with DVP teardown
  (stable-5.14.6).
- drm/omap: Follow implicit fencing in prepare_fb (stable-5.14.6).
- drm/ttm: Fix multihop assert on eviction (stable-5.14.6).
- drm/vc4: hdmi: Set HD_CTL_WHOLSMP and HD_CTL_CHALIGN_SET
  (stable-5.14.6).
- drm/vmwgfx: Fix some static checker warnings (stable-5.14.6).
- drm/vmwgfx: Fix subresource updates with new contexts
  (stable-5.14.6).
- commit 2eb74d8
* Fri Oct  1 2021 tiwai@suse.de
- f2fs: fix to keep compatibility of fault injection interface
  (stable-5.14.6).
- sunrpc: Fix return value of get_srcport() (stable-5.14.6).
- SUNRPC/xprtrdma: Fix reconnection locking (stable-5.14.6).
- NFSv4/pnfs: The layout barrier indicate a minimal value for
  the seqid (stable-5.14.6).
- NFSv4/pNFS: Always allow update of a zero valued layout barrier
  (stable-5.14.6).
- powerpc/smp: Update cpu_core_map on all PowerPc systems
  (stable-5.14.6).
- powerpc/smp: Fix a crash while booting kvm guest with nr_cpus=2
  (stable-5.14.6).
- KVM: PPC: Book3S HV Nested: Reflect guest PMU in-use to L0
  when guest SPRs are live (stable-5.14.6).
- KVM: PPC: Book3S HV: Fix copy_tofrom_guest routines
  (stable-5.14.6).
- powerpc/perf: Fix the check for SIAR value (stable-5.14.6).
- powerpc/config: Renable MTD_PHYSMAP_OF (stable-5.14.6).
- powerpc/config: Fix IPV6 warning in mpc855_ads (stable-5.14.6).
- iommu/vt-d: Update the virtual command related registers
  (stable-5.14.6).
- scsi: ufs: ufs-exynos: Fix static checker warning
  (stable-5.14.6).
- scsi: qedf: Fix error codes in qedf_alloc_global_queues()
  (stable-5.14.6).
- scsi: qedi: Fix error codes in qedi_alloc_global_queues()
  (stable-5.14.6).
- scsi: smartpqi: Fix an error code in pqi_get_raid_map()
  (stable-5.14.6).
- scsi: fdomain: Fix error return code in fdomain_probe()
  (stable-5.14.6).
- scsi: ufshcd: Fix device links when BOOT WLUN fails to probe
  (stable-5.14.6).
- scsi: ufs: Fix unsigned int compared with less than zero
  (stable-5.14.6).
- commit 907f956
* Fri Oct  1 2021 tiwai@suse.de
- PCI: aardvark: Fix masking and unmasking legacy INTx interrupts
  (stable-5.14.6).
- PCI: aardvark: Configure PCIe resources from 'ranges' DT
  property (stable-5.14.6).
- PCI: Restrict ASMedia ASM1062 SATA Max Payload Size Supported
  (stable-5.14.6).
- f2fs: fix to do sanity check for sb/cp fields correctly
  (stable-5.14.6).
- f2fs: reduce the scope of setting fsck tag when de->name_len
  is zero (stable-5.14.6).
- f2fs: fix wrong checkpoint_changed value in f2fs_remount()
  (stable-5.14.6).
- f2fs: turn back remapped address in compressed page endio
  (stable-5.14.6).
- f2fs: do not submit NEW_ADDR to read node block (stable-5.14.6).
- f2fs: quota: fix potential deadlock (stable-5.14.6).
- f2fs: let's keep writing IOs on SBI_NEED_FSCK (stable-5.14.6).
- f2fs: compress: fix to set zstd compress level correctly
  (stable-5.14.6).
- xprtrdma: Put rpcrdma_reps before waking the tear-down
  completion (stable-5.14.6).
- cpuidle: pseries: Mark pseries_idle_proble() as __init
  (stable-5.14.6).
- openrisc: don't printk() unconditionally (stable-5.14.6).
- scsi: ufs: Fix the SCSI abort handler (stable-5.14.6).
- scsi: ufs: Use DECLARE_COMPLETION_ONSTACK() where appropriate
  (stable-5.14.6).
- scsi: ufs: Fix memory corruption by ufshcd_read_desc_param()
  (stable-5.14.6).
- scsi: BusLogic: Use %%X for u32 sized integer rather than %%lX
  (stable-5.14.6).
- scsi: bsg: Remove support for SCSI_IOCTL_SEND_COMMAND
  (stable-5.14.6).
- dma-debug: fix debugfs initialization order (stable-5.14.6).
- commit 49345c5
* Fri Oct  1 2021 tiwai@suse.de
- tools/thermal/tmon: Add cross compiling support (stable-5.14.6).
- Input: elan_i2c - reduce the resume time for controller in
  Whitebox (stable-5.14.6).
- ARM: 9105/1: atags_to_fdt: don't warn about stack size
  (stable-5.14.6).
- 9p/xen: Fix end of loop tests for list_for_each_entry
  (stable-5.14.6).
- arm64: Move .hyp.rodata outside of the _sdata.._edata range
  (stable-5.14.6).
- selftests/ftrace: Fix requirement check of README file
  (stable-5.14.6).
- powerpc/perf/hv-gpci: Fix counter value parsing (stable-5.14.6).
- xen: fix setting of max_pfn in shared_info (stable-5.14.6).
- arm64: Do not trap PMSNEVFR_EL1 (stable-5.14.6).
- arm64: head: avoid over-mapping in map_memory (stable-5.14.6).
- arm64: mm: Fix TLBI vs ASID rollover (stable-5.14.6).
- media: rc-loopback: return number of emitters rather than error
  (stable-5.14.6).
- media: uvc: don't do DMA on stack (stable-5.14.6).
- nvmem: core: fix error handling while validating keepout regions
  (stable-5.14.6).
- dm crypt: Avoid percpu_counter spinlock contention in
  crypt_page_alloc() (stable-5.14.6).
- block: bfq: fix bfq_set_next_ioprio_data() (stable-5.14.6).
- s390/qdio: cancel the ESTABLISH ccw after timeout
  (stable-5.14.6).
- s390/qdio: fix roll-back after timeout on ESTABLISH ccw
  (stable-5.14.6).
- crypto: public_key: fix overflow during implicit conversion
  (stable-5.14.6).
- spi: fsi: Reduce max transfer size to 8 bytes (stable-5.14.6).
- commit 9f9c9db
* Fri Oct  1 2021 tiwai@suse.de
- rtc: tps65910: Correct driver module alias (stable-5.14.6).
- btrfs: zoned: fix double counting of split ordered extent
  (stable-5.14.6).
- btrfs: fix upper limit for max_inline for page size 64K
  (stable-5.14.6).
- Makefile: use -Wno-main in the full kernel tree (stable-5.14.6).
- io-wq: fix race between adding work and activating a free worker
  (stable-5.14.6).
- btrfs: reset replace target device to allocation state on close
  (stable-5.14.6).
- btrfs: do not do preemptive flushing if the majority is global
  rsv (stable-5.14.6).
- btrfs: reduce the preemptive flushing threshold to 90%%
  (stable-5.14.6).
- btrfs: zoned: fix block group alloc_offset calculation
  (stable-5.14.6).
- btrfs: zoned: suppress reclaim error message on EAGAIN
  (stable-5.14.6).
- btrfs: wait on async extents when flushing delalloc
  (stable-5.14.6).
- btrfs: use delalloc_bytes to determine flush amount for
  shrink_delalloc (stable-5.14.6).
- btrfs: wake up async_delalloc_pages waiters after submit
  (stable-5.14.6).
- io-wq: fix wakeup race when adding new work (stable-5.14.6).
- io_uring: fix io_try_cancel_userdata race for iowq
  (stable-5.14.6).
- io_uring: add ->splice_fd_in checks (stable-5.14.6).
- io_uring: place fixed tables under memcg limits (stable-5.14.6).
- blk-zoned: allow BLKREPORTZONE without CAP_SYS_ADMIN
  (stable-5.14.6).
- blk-zoned: allow zone management send operations without
  CAP_SYS_ADMIN (stable-5.14.6).
- commit 926292c
* Fri Oct  1 2021 tiwai@suse.de
- Update patch references for stable-5.14.6
- commit 4fca6a0
* Thu Sep 30 2021 mbrugger@suse.com
- arm64: Update config files. (bsc#1185927)
  Set PINCTRL_ZYNQMP to build-in.
- commit 3c3ff54
* Wed Sep 29 2021 lduncan@suse.com
- scsi: mpi3mr: Set up IRQs in resume path (jsc#SLE-18121).
- scsi: mpi3mr: Use the proper SCSI midlayer interfaces for PI
  (jsc#SLE-18121).
- scsi: mpi3mr: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (jsc#SLE-18121).
- commit c13c871
* Wed Sep 29 2021 bp@suse.de
- EDAC/i10nm: Retrieve and print retry_rd_err_log registers
  (jsc#SLE-21874).
- commit 6ea02d1
* Wed Sep 29 2021 msuchanek@suse.de
- cpuidle: pseries: Do not cap the CEDE0 latency in
  fixup_cede0_latency() (bsc#1185550 ltc#192610 git-fixes
  jsc#SLE-18128).
- commit ae6623e
* Wed Sep 29 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/ibmvnic-check-failover_pending-in-login-response.patch.
- Refresh
  patches.suse/nvme-avoid-race-in-shutdown-namespace-removal.patch.
- Refresh
  patches.suse/nvme-multipath-fix-ANA-state-updates-when-a-namespac.patch.
- Refresh
  patches.suse/nvme-rdma-destroy-cm-id-before-destroy-qp-to-avoid-u.patch.
- Refresh
  patches.suse/nvme-tcp-fix-io_work-priority-inversion.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-CPU-to-from-endian-warnings-introduced.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-compilation-errors-on-kernels-with-no-.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-gcc-Wstringop-overread-warning-again.patch.
- Refresh
  patches.suse/scsi-lpfc-Fix-sprintf-overflow-in-lpfc_display_fpin_.patch.
- Refresh patches.suse/scsi-lpfc-Remove-unneeded-variable.patch.
- Refresh
  patches.suse/scsi-lpfc-Use-correct-scnprintf-limit.patch.
  Update metadata
- commit d26e910
* Wed Sep 29 2021 oneukum@suse.com
- dt-bindings: clock: qcom: Update license for GCC SC7280
  (git-fixes).
- commit 112906f
* Wed Sep 29 2021 neilb@suse.de
- SUNRPC: Simplify socket shutdown when not reusing TCP ports
  (git-fixes).
- SUNRPC: Fix potential memory corruption (git-fixes).
- NFSv4/pNFS: Fix a layoutget livelock loop (git-fixes).
- commit 54a3b6b
* Tue Sep 28 2021 bp@suse.de
- x86/fault: Fix wrong signal when vsyscall fails with pkey
  (bsc#1190497).
- commit f05d0ae
* Tue Sep 28 2021 tbogendoerfer@suse.de
- ethtool: add two link extended substates of bad signal integrity
  (bsc#1190336).
- page_pool: add frag page recycling support in page pool
  (bsc#1190336).
- page_pool: add interface to manipulate frag count in page pool
  (bsc#1190336).
- page_pool: keep pp info as long as page pool owns the page
  (bsc#1190336).
- commit 296b073
* Tue Sep 28 2021 bp@suse.de
- x86/asm: Fix SETZ size enqcmds() build failure (bsc#1190497).
- commit e2f2c95
* Tue Sep 28 2021 tbogendoerfer@suse.de
- ethernet: fix PTP_1588_CLOCK dependencies (jsc#SLE-19253).
- Update config files.
- commit 174a183
* Tue Sep 28 2021 tbogendoerfer@suse.de
- scsi: core: Introduce scsi_get_sector() (jsc#SLE-19249).
- Refresh
  patches.suse/scsi-core-Add-helper-to-return-number-of-logical-blo.patch.
- commit 240f3ea
* Tue Sep 28 2021 tbogendoerfer@suse.de
- net/mlx5: Lag, Create shared FDB when in switchdev mode
  (jsc#SLE-19253).
- Refresh
  patches.suse/net-mlx5-Lag-fix-multipath-lag-activation.patch.
- commit 62f89bb
* Tue Sep 28 2021 tbogendoerfer@suse.de
- net/mlx4_en: Don't allow aRFS for encapsulated packets
  (jsc#SLE-19256).
- qed: rdma - don't wait for resources under hw error recovery
  flow (jsc#SLE-19001).
- net: hns3: fix a return value error in hclge_get_reset_status()
  (bsc#1190336).
- net: hns3: check vlan id before using it (bsc#1190336).
- net: hns3: check queue id range before using (bsc#1190336).
- net: hns3: fix misuse vf id and vport id in some logs
  (bsc#1190336).
- net: hns3: fix inconsistent vf id print (bsc#1190336).
- net: hns3: fix change RSS 'hfunc' ineffective issue
  (bsc#1190336).
- net/mlx4_en: Resolve bad operstate value (jsc#SLE-19256).
- igc: fix tunnel offloading (jsc#SLE-18377).
- net/{mlx5|nfp|bnxt}: Remove unnecessary RTNL lock assert
  (jsc#SLE-19253).
- net: hns3: fix the timing issue of VF clearing interrupt sources
  (bsc#1190336).
- net: hns3: fix the exception when query imp info (bsc#1190336).
- net: hns3: disable mac in flr process (bsc#1190336).
- net: hns3: change affinity_mask to numa node range
  (bsc#1190336).
- net: hns3: pad the short tunnel frame before sending to hardware
  (bsc#1190336).
- net: hns3: add option to turn off page pool feature
  (bsc#1190336).
- qed: Handle management FW error (jsc#SLE-19001).
- ice: Correctly deal with PFs that do not support RDMA
  (jsc#SLE-18375).
- net/mlx5e: Fix condition when retrieving PTP-rqn
  (jsc#SLE-19253).
- net/mlx5e: Fix mutual exclusion between CQE compression and
  HW TS (jsc#SLE-19253).
- net/mlx5: Fix potential sleeping in atomic context
  (jsc#SLE-19253).
- net/mlx5: FWTrace, cancel work on alloc pd error flow
  (jsc#SLE-19253).
- net/mlx5: Lag, don't update lag if lag isn't supported
  (jsc#SLE-19253).
- net/mlx5: Fix rdma aux device on devlink reload (jsc#SLE-19253).
- net/mlx5: Bridge, fix uninitialized variable usage
  (jsc#SLE-19253).
- IB/hfi1: make hist static (jsc#SLE-19242).
- RDMA/bnxt_re: Prefer kcalloc over open coded arithmetic
  (jsc#SLE-18977).
- IB/qib: Fix null pointer subtraction compiler warning
  (jsc#SLE-19249).
- RDMA/mlx5: Fix xlt_chunk_align calculation (jsc#SLE-19250).
- net: hns3: make hclgevf_cmd_caps_bit_map0 and
  hclge_cmd_caps_bit_map0 static (bsc#1190336).
- ionic: fix a sleeping in atomic bug (jsc#SLE-19282).
- ionic: fix double use of queue-lock (jsc#SLE-19282).
- scsi: RDMA/srp: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#SLE-19249).
- scsi: RDMA/iser: Use scsi_cmd_to_rq() instead of
  scsi_cmnd.request (jsc#SLE-19249).
- scsi: iser: Use scsi_get_sector() instead of scsi_get_lba()
  (jsc#SLE-19249).
- RDMA: Use the sg_table directly and remove the opencoded
  version from umem (jsc#SLE-19249).
- lib/scatterlist: Fix wrong update of orig_nents (jsc#SLE-19249).
- lib/scatterlist: Provide a dedicated function to support table
  append (jsc#SLE-19249).
- RDMA/mlx5: Relax DCS QP creation checks (jsc#SLE-19250).
- RDMA/hns: Delete unnecessary blank lines (bsc#1190336).
- RDMA/hns: Encapsulate the qp db as a function (bsc#1190336).
- RDMA/hns: Adjust the order in which irq are requested and
  enabled (bsc#1190336).
- RDMA/hns: Remove RST2RST error prints for hw v1 (bsc#1190336).
- RDMA/hns: Remove dqpn filling when modify qp from Init to Init
  (bsc#1190336).
- RDMA/hns: Fix QP's resp incomplete assignment (bsc#1190336).
- RDMA/hns: Fix query destination qpn (bsc#1190336).
- RDMA/hfi1: Convert to SPDX identifier (jsc#SLE-19242).
- IB/rdmavt: Convert to SPDX identifier (jsc#SLE-19242).
- RDMA/hns: Bugfix for incorrect association between dip_idx
  and dgid (bsc#1190336).
- RDMA/hns: Bugfix for the missing assignment for dip_idx
  (bsc#1190336).
- RDMA/hns: Bugfix for data type of dip_idx (bsc#1190336).
- RDMA/hns: Fix incorrect lsn field (bsc#1190336).
- RDMA/irdma: Remove the repeated declaration (jsc#SLE-18383).
- RDMA/core/sa_query: Retry SA queries (jsc#SLE-19249).
- RDMA/hns: Delete unused hns bitmap interface (bsc#1190336).
- RDMA/hns: Use IDA interface to manage srq index (bsc#1190336).
- RDMA/hns: Use IDA interface to manage uar index (bsc#1190336).
- RDMA/hns: Ownerbit mode add control field (bsc#1190336).
- RDMA/hns: Enable stash feature of HIP09 (bsc#1190336).
- RDMA/hns: Remove unsupport cmdq mode (bsc#1190336).
- RDMA: switch from 'pci_' to 'dma_' API (jsc#SLE-19249).
- IB/core: Remove deprecated current_seq comments (jsc#SLE-19249).
- RDMA/efa: Rename vector field in efa_irq struct to irqn
  (jsc#SLE-19249).
- RDMA/efa: Remove unused cpu field from irq struct
  (jsc#SLE-19249).
- RDMA/rtrs: Remove (void) casting for functions (jsc#SLE-19249).
- RDMA/rtrs-clt: Fix counting inflight IO (jsc#SLE-19249).
- RDMA/rtrs: Remove all likely and unlikely (jsc#SLE-19249).
- RDMA/rtrs: Remove unused functions (jsc#SLE-19249).
- RDMA/rtrs-clt: During add_path change for_new_clt according
  to path_num (jsc#SLE-19249).
- RDMA/core/sa_query: Remove unused function (jsc#SLE-19249).
- RDMA/qedr: Move variables reset to qedr_set_common_qp_params()
  (jsc#SLE-18998).
- RDMA/hfi1: Stop using seq_get_buf in _driver_stats_seq_show
  (jsc#SLE-19242).
- RDMA/rtrs: Remove a useless kfree() (jsc#SLE-19249).
- RDMA/hns: Fix return in hns_roce_rereg_user_mr() (bsc#1190336).
- RDMA/core: Create clean QP creations interface for uverbs
  (jsc#SLE-19249).
- RDMA/core: Properly increment and decrement QP usecnts
  (jsc#SLE-19249).
- RDMA/core: Configure selinux QP during creation (jsc#SLE-19249).
- RDMA/core: Reorganize create QP low-level functions
  (jsc#SLE-19249).
- RDMA/core: Remove protection from wrong in-kernel API usage
  (jsc#SLE-19249).
- RDMA/core: Delete duplicated and unreachable code
  (jsc#SLE-19249).
- RDMA/mlx5: Delete not-available udata check (jsc#SLE-19250).
- RDMA/mlx5: Drop in-driver verbs object creations
  (jsc#SLE-19250).
- RDMA: Globally allocate and release QP memory (jsc#SLE-19249).
- RDMA/rdmavt: Decouple QP and SGE lists allocations
  (jsc#SLE-19249).
- RDMA/mlx5: Rework custom driver QP type creation
  (jsc#SLE-19250).
- RDMA/mlx5: Delete device resource mutex that didn't protect
  anything (jsc#SLE-19250).
- RDMA/mlx5: Cancel pkey work before destroying device resources
  (jsc#SLE-19250).
- RDMA/efa: Remove double QP type assignment (jsc#SLE-19249).
- RDMA/hns: Don't overwrite supplied QP attributes (bsc#1190336).
- RDMA/hns: Don't skip IB creation flow for regular RC QP
  (bsc#1190336).
- RDMA/qedr: Improve error logs for rdma_alloc_tid error return
  (jsc#SLE-18998).
- RDMA/qed: Use accurate error num in qed_cxt_dynamic_ilt_alloc
  (jsc#SLE-19001).
- RDMA/hfi1: Fix typo in comments (jsc#SLE-19242).
- RDMA/iwpm: Rely on the rdma_nl_register() to ensure that
  requests are valid (jsc#SLE-19249).
- RDMA/iwpm: Remove not-needed reference counting (jsc#SLE-19249).
- RDMA/iwcm: Release resources if iw_cm module initialization
  fails (jsc#SLE-19249).
- RDMA/hfi1: Convert from atomic_t to refcount_t on
  hfi1_devdata->user_refcount (jsc#SLE-19242).
- IB/hfi1: Adjust pkey entry in index 0 (jsc#SLE-19242).
- IB/hfi1: Indicate DMA wait when txq is queued for wakeup
  (jsc#SLE-19242).
- RDMA/mlx5: Add DCS offload support (jsc#SLE-19250).
- RDMA/mlx5: Separate DCI QP creation logic (jsc#SLE-19250).
- RDMA/rxe: Fix types in rxe_icrc.c (jsc#SLE-19249).
- RDMA/rxe: Add kernel-doc comments to rxe_icrc.c (jsc#SLE-19249).
- RDMA/rxe: Move crc32 init code to rxe_icrc.c (jsc#SLE-19249).
- RDMA/rxe: Fixup rxe_icrc_hdr (jsc#SLE-19249).
- RDMA/rxe: Move rxe_crc32 to a subroutine (jsc#SLE-19249).
- RDMA/rxe: Move ICRC generation to a subroutine (jsc#SLE-19249).
- RDMA/rxe: Fixup rxe_send and rxe_loopback (jsc#SLE-19249).
- RDMA/rxe: Move rxe_xmit_packet to a subroutine (jsc#SLE-19249).
- RDMA/rxe: Move ICRC checking to a subroutine (jsc#SLE-19249).
- IB/core: Read subnet_prefix in ib_query_port via cache
  (jsc#SLE-19249).
- IB/core: Shifting initialization of device->cache_lock
  (jsc#SLE-19249).
- IB/core: Updating cache for subnet_prefix in
  config_non_roce_gid_cache() (jsc#SLE-19249).
- RDMA/efa: Split hardware stats to device and port stats
  (jsc#SLE-19249).
- RDMA/rxe: Remove the repeated 'mr->umem = umem' (jsc#SLE-19249).
- RDMA/siw: Convert siw_tx_hdt() to kmap_local_page()
  (jsc#SLE-19249).
- RDMA/siw: Remove kmap() (jsc#SLE-19249).
- RDMA/rtrs: Move sq_wr_avail to rtrs_con (jsc#SLE-19249).
- RDMA/rtrs: Remove unused flags parameter (jsc#SLE-19249).
- RDMA/rtrs: Make rtrs_post_rdma_write_imm_empty static
  (jsc#SLE-19249).
- RDMA/rtrs: Enable the same selective signal for heartbeat and IO
  (jsc#SLE-19249).
- RDMA/rtrs: move wr_cnt from rtrs_srv_con to rtrs_con
  (jsc#SLE-19249).
- RDMA/rtrs: Add error messages for failed operations
  (jsc#SLE-19249).
- ice: remove dead code for allocating pin_config (jsc#SLE-18375).
- net/mlx5: DR, fix a potential use-after-free bug
  (jsc#SLE-19253).
- net: hns3: remove unnecessary spaces (bsc#1190336).
- net: hns3: add some required spaces (bsc#1190336).
- net: hns3: clean up a type mismatch warning (bsc#1190336).
- net: hns3: refine function hns3_set_default_feature()
  (bsc#1190336).
- net: hns3: uniform parameter name of hclge_ptp_clean_tx_hwts()
  (bsc#1190336).
- net: hnss3: use max() to simplify code (bsc#1190336).
- net: hns3: modify a print format of hns3_dbg_queue_map()
  (bsc#1190336).
- net: hns3: refine function hclge_dbg_dump_tm_pri()
  (bsc#1190336).
- net: hns3: reconstruct function hclge_ets_validate()
  (bsc#1190336).
- net: hns3: reconstruct function hns3_self_test (bsc#1190336).
- net: hns3: initialize each member of structure array on a
  separate line (bsc#1190336).
- igc: Add support for CBS offloading (jsc#SLE-18377).
- igc: Simplify TSN flags handling (jsc#SLE-18377).
- igc: Use default cycle 'start' and 'end' values for queues
  (jsc#SLE-18377).
- ionic: recreate hwstamp queues on ifup (jsc#SLE-19282).
- ionic: pull hwstamp queue_lock up a level (jsc#SLE-19282).
- ionic: add queue lock around open and stop (jsc#SLE-19282).
- ionic: fill mac addr earlier in add_addr (jsc#SLE-19282).
- ionic: squelch unnecessary fw halted message (jsc#SLE-19282).
- ionic: fire watchdog again after fw_down (jsc#SLE-19282).
- net: hns3: add required space in comment (bsc#1190336).
- net: hns3: remove unnecessary "static" of local variables in
  function (bsc#1190336).
- net: hns3: don't config TM DWRR twice when set ETS
  (bsc#1190336).
- net: hns3: add new function hclge_get_speed_bit() (bsc#1190336).
- net: hns3: refactor function hclgevf_parse_capability()
  (bsc#1190336).
- net: hns3: refactor function hclge_parse_capability()
  (bsc#1190336).
- net: hns3: add trace event in hclge_gen_resp_to_vf()
  (bsc#1190336).
- net: hns3: uniform type of function parameter cmd (bsc#1190336).
- net: hns3: merge some repetitive macros (bsc#1190336).
- net: hns3: package new functions to simplify hclgevf_mbx_handler
  code (bsc#1190336).
- net: hns3: remove redundant param to simplify code
  (bsc#1190336).
- net: hns3: use memcpy to simplify code (bsc#1190336).
- net: hns3: remove redundant param mbx_event_pending
  (bsc#1190336).
- net: hns3: add hns3_state_init() to do state initialization
  (bsc#1190336).
- net: hns3: add macros for mac speeds of firmware command
  (bsc#1190336).
- net/mlx5: DR, Add support for update FTE (jsc#SLE-19253).
- net/mlx5: DR, Improve rule tracking memory consumption
  (jsc#SLE-19253).
- net/mlx5: DR, Remove rehash ctrl struct from dr_htbl
  (jsc#SLE-19253).
- net/mlx5: DR, Remove HW specific STE type from nic domain
  (jsc#SLE-19253).
- net/mlx5: DR, Merge DR_STE_SIZE enums (jsc#SLE-19253).
- net/mlx5: DR, Skip source port matching on FDB RX domain
  (jsc#SLE-19253).
- net/mlx5: DR, Add ignore_flow_level support for multi-dest
  flow tables (jsc#SLE-19253).
- net/mlx5: DR, Use FW API when updating FW-owned flow table
  (jsc#SLE-19253).
- net/mlx5: DR, replace uintN_t with kernel-style types
  (jsc#SLE-19253).
- net/mlx5: DR, Support IPv6 matching on flow label for STEv0
  (jsc#SLE-19253).
- net/mlx5: DR, Reduce print level for FT chaining level check
  (jsc#SLE-19253).
- net/mlx5: DR, Warn and ignore SW steering rule insertion on
  QP err (jsc#SLE-19253).
- net/mlx5: DR, Improve error flow in actions_build_ste_arr
  (jsc#SLE-19253).
- net/mlx5: DR, Enable QP retransmission (jsc#SLE-19253).
- net/mlx5: DR, Enable VLAN pop on TX and VLAN push on RX
  (jsc#SLE-19253).
- net/mlx5: DR, Split modify VLAN state to separate pop/push
  states (jsc#SLE-19253).
- net/mlx5: DR, Added support for REMOVE_HEADER packet reformat
  (jsc#SLE-19253).
- ionic: handle mac filter overflow (jsc#SLE-19282).
- ionic: refactor ionic_lif_addr to remove a layer
  (jsc#SLE-19282).
- ionic: sync the filters in the work task (jsc#SLE-19282).
- ionic: flatten calls to set-rx-mode (jsc#SLE-19282).
- ionic: remove old work task types (jsc#SLE-19282).
- igc: Add support for PTP getcrosststamp() (jsc#SLE-18377).
- igc: Enable PCIe PTM (jsc#SLE-18377).
- PCI: Add pcie_ptm_enabled() (jsc#SLE-18377).
- Revert "PCI: Make pci_enable_ptm() private" (jsc#SLE-18377).
- net: hns3: add ethtool support for CQE/EQE mode configuration
  (bsc#1190336).
- net: hns3: add support for EQE/CQE mode configuration
  (bsc#1190336).
- ethtool: extend coalesce setting uAPI with CQE mode
  (jsc#SLE-19253).
- ethtool: add two coalesce attributes for CQE mode
  (jsc#SLE-19253).
- net/mellanox: switch from 'pci_' to 'dma_' API (jsc#SLE-19253).
- net/mlx5: E-switch, Add QoS tracepoints (jsc#SLE-19253).
- net/mlx5: E-switch, Allow to add vports to rate groups
  (jsc#SLE-19253).
- net/mlx5: E-switch, Allow setting share/max tx rate limits of
  rate groups (jsc#SLE-19253).
- net/mlx5: E-switch, Introduce rate limiting groups API
  (jsc#SLE-19253).
- net/mlx5: E-switch, Enable devlink port tx_{share|max} rate
  control (jsc#SLE-19253).
- net/mlx5: E-switch, Move QoS related code to dedicated file
  (jsc#SLE-19253).
- net/mlx5e: TC, Support sample offload action for tunneled
  traffic (jsc#SLE-19253).
- net/mlx5e: TC, Restore tunnel info for sample offload
  (jsc#SLE-19253).
- net/mlx5e: TC, Remove CONFIG_NET_TC_SKB_EXT dependency when
  restoring tunnel (jsc#SLE-19253).
- net/mlx5e: Refactor ct to use post action infrastructure
  (jsc#SLE-19253).
- net/mlx5e: Introduce post action infrastructure (jsc#SLE-19253).
- net/mlx5e: CT, Use xarray to manage fte ids (jsc#SLE-19253).
- net/mlx5e: Move sample attribute to flow attribute
  (jsc#SLE-19253).
- net/mlx5e: Move esw/sample to en/tc/sample (jsc#SLE-19253).
- net/mlx5e: Remove mlx5e dependency from E-Switch sample
  (jsc#SLE-19253).
- net: hns3: make array spec_opcode static const, makes object
  smaller (bsc#1190336).
- net/mlx4: Use ARRAY_SIZE to get an array's size (jsc#SLE-19256).
- i40e: Fix spelling mistake "dissable" -> "disable"
  (jsc#SLE-18378).
- iavf: use mutexes for locking of critical sections
  (jsc#SLE-18385).
- net/mlx5: Bridge, support LAG (jsc#SLE-19253).
- net/mlx5: Bridge, allow merged eswitch connectivity
  (jsc#SLE-19253).
- net/mlx5: Bridge, extract FDB delete notification to function
  (jsc#SLE-19253).
- net/mlx5: Bridge, identify port by vport_num+esw_owner_vhca_id
  pair (jsc#SLE-19253).
- net/mlx5: Bridge, obtain core device from eswitch instead of
  priv (jsc#SLE-19253).
- net/mlx5: Bridge, release bridge in same function where it is
  taken (jsc#SLE-19253).
- net/mlx5e: Support MQPRIO channel mode (jsc#SLE-19253).
- net/mlx5e: Handle errors of netdev_set_num_tc() (jsc#SLE-19253).
- net/mlx5e: Maintain MQPRIO mode parameter (jsc#SLE-19253).
- net/mlx5e: Abstract MQPRIO params (jsc#SLE-19253).
- net/mlx5e: Support flow classification into RSS contexts
  (jsc#SLE-19253).
- net/mlx5e: Support multiple RSS contexts (jsc#SLE-19253).
- net/mlx5e: Dynamically allocate TIRs in RSS contexts
  (jsc#SLE-19253).
- net/mlx5e: Convert RSS to a dedicated object (jsc#SLE-19253).
- net/mlx5e: Introduce abstraction of RSS context (jsc#SLE-19253).
- net/mlx5e: Introduce TIR create/destroy API in rx_res
  (jsc#SLE-19253).
- net/mlx5e: Do not try enable RSS when resetting indir table
  (jsc#SLE-19253).
- net: hns3: add support ethtool extended link state
  (bsc#1190336).
- net: hns3: add header file hns3_ethtoo.h (bsc#1190336).
- net: hns3: remove always exist devlink pointer check
  (bsc#1190336).
- net/mlx5e: Make use of netdev_warn() (jsc#SLE-19253).
- net/mlx5: Fix variable type to match 64bit (jsc#SLE-19253).
- net/mlx5: Initialize numa node for all core devices
  (jsc#SLE-19253).
- net/mlx5: Allocate individual capability (jsc#SLE-19253).
- net/mlx5: Reorganize current and maximal capabilities to be
  per-type (jsc#SLE-19253).
- net/mlx5: SF, use recent sysfs api (jsc#SLE-19253).
- net/mlx5: Refcount mlx5_irq with integer (jsc#SLE-19253).
- net/mlx5: Change SF missing dedicated MSI-X err message to dbg
  (jsc#SLE-19253).
- net/mlx5: Align mlx5_irq structure (jsc#SLE-19253).
- net/mlx5: Delete impossible dev->state checks (jsc#SLE-19253).
- net/mlx5: Fix inner TTC table creation (jsc#SLE-19253).
- net/mlx5: Fix typo in comments (jsc#SLE-19253).
- net: hns3: add support for triggering reset by ethtool
  (bsc#1190336).
- net/mlx5: Support enable_vnet devlink dev param (jsc#SLE-19253).
- net/mlx5: Support enable_rdma devlink dev param (jsc#SLE-19253).
- net/mlx5: Support enable_eth devlink dev param (jsc#SLE-19253).
- devlink: Add APIs to publish, unpublish individual parameter
  (jsc#SLE-19253).
- devlink: Add API to register and unregister single parameter
  (jsc#SLE-19253).
- devlink: Create a helper function for one parameter registration
  (jsc#SLE-19253).
- devlink: Add new "enable_vnet" generic device param
  (jsc#SLE-19253).
- devlink: Add new "enable_rdma" generic device param
  (jsc#SLE-19253).
- devlink: Add new "enable_eth" generic device param
  (jsc#SLE-19253).
- net/mlx5: E-Switch, add logic to enable shared FDB
  (jsc#SLE-19253).
- net/mlx5: Lag, move lag destruction to a workqueue
  (jsc#SLE-19253).
- net/mlx5: Lag, properly lock eswitch if needed (jsc#SLE-19253).
- net/mlx5: Add send to vport rules on paired device
  (jsc#SLE-19253).
- net/mlx5: E-Switch, Add event callback for representors
  (jsc#SLE-19253).
- net/mlx5e: Use shared mappings for restoring from metadata
  (jsc#SLE-19253).
- net/mlx5e: Add an option to create a shared mapping
  (jsc#SLE-19253).
- net/mlx5: E-Switch, set flow source for send to uplink rule
  (jsc#SLE-19253).
- RDMA/mlx5: Add shared FDB support (jsc#SLE-19250).
- {net, RDMA}/mlx5: Extend send to vport rules (jsc#SLE-19253).
- RDMA/mlx5: Fill port info based on the relevant eswitch
  (jsc#SLE-19250).
- net/mlx5: Lag, add initial logic for shared FDB (jsc#SLE-19253).
- net/mlx5: Return mdev from eswitch (jsc#SLE-19253).
- IB/mlx5: Rename is_apu_thread_cq function to is_apu_cq
  (jsc#SLE-19253).
- net/mlx5: Add DCS caps & fields support (jsc#SLE-19250).
- net: hns3: support skb's frag page recycling based on page pool
  (bsc#1190336).
- devlink: Simplify devlink port API calls (jsc#SLE-19253).
- qed: Remove duplicated include of kernel.h (jsc#SLE-19001).
- qed: Remove redundant prints from the iWARP SYN handling
  (jsc#SLE-19001).
- qed: Skip DORQ attention handling during recovery
  (jsc#SLE-19001).
- qed: Avoid db_recovery during recovery (jsc#SLE-19001).
- net/mlx5e: Return -EOPNOTSUPP if more relevant when parsing
  tc actions (jsc#SLE-19253).
- net/mlx5e: Remove redundant assignment of counter to null
  (jsc#SLE-19253).
- net/mlx5e: Remove redundant parse_attr arg (jsc#SLE-19253).
- net/mlx5e: Remove redundant cap check for flow counter
  (jsc#SLE-19253).
- net/mlx5e: Remove redundant filter_dev arg from
  parse_tc_fdb_actions() (jsc#SLE-19253).
- net/mlx5e: Remove redundant tc act includes (jsc#SLE-19253).
- net/mlx5: Embed mlx5_ttc_table (jsc#SLE-19253).
- net/mlx5: Move TTC logic to fs_ttc (jsc#SLE-19253).
- net/mlx5e: Decouple TTC logic from mlx5e (jsc#SLE-19253).
- net/mlx5e: Rename some related TTC args and functions
  (jsc#SLE-19253).
- net/mlx5e: Rename traffic type enums (jsc#SLE-19253).
- net/mlx5e: Allocate the array of channels according to the
  real max_nch (jsc#SLE-19253).
- net/mlx5e: Hide all implementation details of mlx5e_rx_res
  (jsc#SLE-19253).
- net/mlx5e: Introduce mlx5e_channels API to get RQNs
  (jsc#SLE-19253).
- net/mlx5e: Use a new initializer to build uniform indir table
  (jsc#SLE-19253).
- net/mlx4: make the array states static const, makes object
  smaller (jsc#SLE-19256).
- qede: Remove the qede module version (jsc#SLE-19001).
- qed: Remove the qed module version (jsc#SLE-19001).
- net/mlx5: Don't rely on always true registered field
  (jsc#SLE-19253).
- ionic: add function tag to debug string (jsc#SLE-19282).
- ionic: enable rxhash only with multiple queues (jsc#SLE-19282).
- ionic: block some ethtool operations when fw in reset
  (jsc#SLE-19282).
- ionic: remove unneeded comp union fields (jsc#SLE-19282).
- ionic: increment num-vfs before configure (jsc#SLE-19282).
- ionic: use fewer inits on the buf_info struct (jsc#SLE-19282).
- ionic: init reconfig err to 0 (jsc#SLE-19282).
- ionic: print firmware version on identify (jsc#SLE-19282).
- ionic: monitor fw status generation (jsc#SLE-19282).
- ionic: minimize resources when under kdump (jsc#SLE-19282).
- net: qed: remove unneeded return variables (jsc#SLE-19001).
- net/mlx5e: Use the new TIR API for kTLS (jsc#SLE-19253).
- net/mlx5e: Move management of indir traffic types to rx_res
  (jsc#SLE-19253).
- net/mlx5e: Convert TIR to a dedicated object (jsc#SLE-19253).
- net/mlx5e: Create struct mlx5e_rss_params_hash (jsc#SLE-19253).
- net/mlx5e: Remove mdev from mlx5e_build_indir_tir_ctx_common()
  (jsc#SLE-19253).
- net/mlx5e: Remove lro_param from
  mlx5e_build_indir_tir_ctx_common() (jsc#SLE-19253).
- net/mlx5e: Remove mlx5e_priv usage from mlx5e_build_*tir_ctx*()
  (jsc#SLE-19253).
- net/mlx5e: Use mlx5e_rqt_get_rqtn to access RQT hardware id
  (jsc#SLE-19253).
- net/mlx5e: Take RQT out of TIR and group RX resources
  (jsc#SLE-19253).
- net/mlx5e: Move RX resources to a separate struct
  (jsc#SLE-19253).
- net/mlx5e: Move mlx5e_build_rss_params() call to init_rx
  (jsc#SLE-19253).
- net/mlx5e: Convert RQT to a dedicated object (jsc#SLE-19253).
- net/mlx5e: Check if inner FT is supported outside of
  create/destroy functions (jsc#SLE-19253).
- net/mlx5: Take TIR destruction out of the TIR list lock
  (jsc#SLE-19253).
- net: hns3: add devlink reload support for VF (bsc#1190336).
- net: hns3: add devlink reload support for PF (bsc#1190336).
- net: hns3: add support for devlink get info for VF
  (bsc#1190336).
- net: hns3: add support for devlink get info for PF
  (bsc#1190336).
- net: hns3: add support for registering devlink for VF
  (bsc#1190336).
- net: hns3: add support for registering devlink for PF
  (bsc#1190336).
- ionic: drop useless check of PCI driver data validity
  (jsc#SLE-19282).
- i40e: add support for PTP external synchronization clock
  (jsc#SLE-18378).
- igc: Increase timeout value for Speed 100/1000/2500
  (jsc#SLE-18377).
- igc: Set QBVCYCLET_S to 0 for TSN Basic Scheduling
  (jsc#SLE-18377).
- igc: Remove phy->type checking (jsc#SLE-18377).
- igc: Remove _I_PHY_ID checking (jsc#SLE-18377).
- igc: Check if num of q_vectors is smaller than max before
  array access (jsc#SLE-18377).
- iavf: fix locking of critical sections (jsc#SLE-18385).
- iavf: do not override the adapter state in the watchdog task
  (jsc#SLE-18385).
- igc: Make flex filter more flexible (jsc#SLE-18377).
- igc: Allow for Flex Filters to be installed (jsc#SLE-18377).
- igc: Integrate flex filter into ethtool ops (jsc#SLE-18377).
- igc: Add possibility to add flex filter (jsc#SLE-18377).
- commit 965eeec
* Tue Sep 28 2021 oneukum@suse.com
- usb: mtu3: return successful suspend status (git-fixes).
- commit dda04d7
* Tue Sep 28 2021 oneukum@suse.com
- perf tools: Fix hybrid config terms list corruption (git-fixes).
- commit f3f3684
* Tue Sep 28 2021 oneukum@suse.com
- perf symbol: Look for ImageBase in PE file to compute .text
  offset (git-fixes).
- commit 5059767
* Tue Sep 28 2021 oneukum@suse.com
- perf test: Fix bpf test sample mismatch reporting (git-fixes).
- commit 7313cb0
* Tue Sep 28 2021 oneukum@suse.com
- perf bench inject-buildid: Handle writen() errors (git-fixes).
- commit 2106974
* Tue Sep 28 2021 oneukum@suse.com
- perf unwind: Do not overwrite
  FEATURE_CHECK_LDFLAGS-libunwind-{x86,aarch64} (git-fixes).
- commit bd9b092
* Tue Sep 28 2021 oneukum@suse.com
- perf config: Fix caching and memory leak in
  perf_home_perfconfig() (git-fixes).
- commit deeda41
* Tue Sep 28 2021 oneukum@suse.com
- perf script: Fix --list-dlfilters documentation (git-fixes).
- commit 96f4c7b
* Tue Sep 28 2021 oneukum@suse.com
- x86/pat: Pass valid address to sanitize_phys() (git-fixes).
- commit b8bf633
* Tue Sep 28 2021 oneukum@suse.com
- x86/uaccess: Fix 32-bit __get_user_asm_u64() when
  CC_HAS_ASM_GOTO_OUTPUT=y (git-fixes).
- commit 2c793c4
* Tue Sep 28 2021 ykaukab@suse.de
- arm64: pmu: update config for CCI and CCN drivers
  References: bsc#1191026
- commit 8a848d9
* Tue Sep 28 2021 oneukum@suse.com
- iwlwifi: pnvm: Fix a memory leak in 'iwl_pnvm_get_from_fs()'
  (git-fixes).
- commit 6af3083
* Tue Sep 28 2021 oneukum@suse.com
- iwlwifi: move get pnvm file name to a separate function
  (git-fixes).
- commit 9e06ce6
* Tue Sep 28 2021 ykaukab@suse.de
- arm64: pmu: enable support for cmn-600 driver
  References: jsc#SLE-19035
- commit f95bbc2
* Tue Sep 28 2021 oneukum@suse.com
- platform/x86: dell: fix DELL_WMI_PRIVACY dependencies & build
  error (git-fixes).
- commit e623b17
* Tue Sep 28 2021 oneukum@suse.com
- usb: gadget: u_audio: add bi-directional volume and mute support
  (git-fixes).
- commit f29fe94
* Tue Sep 28 2021 ykaukab@suse.de
- arm64: tegra: enable quad spi controller driver
  References: jsc#SLE-20497
- commit 8fbdd0b
* Tue Sep 28 2021 ykaukab@suse.de
- arm64: tegra194: p2888: Correct interrupt trigger type of
  temperature sensor (jsc#SLE-20498).
- arm64: tegra: Fix Tegra194 PCIe EP compatible string
  (jsc#SLE-20498).
- commit 0b16cd5
* Tue Sep 28 2021 oneukum@suse.com
- usb: audio-v2: add ability to define feature unit descriptor
  (git-fixes).
- commit 468bd08
* Tue Sep 28 2021 ykaukab@suse.de
- arm64: tegra: Add missing interconnects property for USB on
  Tegra186 (jsc#SLE-20498).
- arm64: tegra: Add PWM nodes on Tegra186 (jsc#SLE-20498).
- commit c75528c
* Mon Sep 27 2021 oneukum@suse.com
- USB: serial: cp210x: fix dropped characters with CP2102
  (git-fixes).
- commit 2dc5263
* Mon Sep 27 2021 oneukum@suse.com
- USB: serial: cp210x: determine fw version for CP2105 and CP2108
  (git-fixes).
- commit 8e35b9a
* Mon Sep 27 2021 oneukum@suse.com
- USB: serial: cp210x: clean up type detection (git-fixes).
- commit a0ffe11
* Mon Sep 27 2021 oneukum@suse.com
- USB: serial: cp210x: clean up set-chars request (git-fixes).
- commit e54e383
* Mon Sep 27 2021 oneukum@suse.com
- USB: serial: option: remove duplicate USB device ID (git-fixes).
- commit b897cec
* Mon Sep 27 2021 oneukum@suse.com
- USB: serial: mos7840: remove duplicated 0xac24 device ID
  (git-fixes).
- commit 29113f1
* Mon Sep 27 2021 oneukum@suse.com
- usb: musb: tusb6010: uninitialized data in
  tusb_fifo_write_unaligned() (git-fixes).
- commit 6145880
* Mon Sep 27 2021 oneukum@suse.com
- usb: gadget: f_uac2: Populate SS descriptors' wBytesPerInterval
  (git-fixes).
- commit a48db15
* Mon Sep 27 2021 oneukum@suse.com
- usb: gadget: f_uac2: Add missing companion descriptor for
  feedback EP (git-fixes).
- commit fc73a75
* Mon Sep 27 2021 oneukum@suse.com
- usb: gadget: f_uac2: remove redundant assignments to pointer
  i_feature (git-fixes).
- commit 95d4917
* Mon Sep 27 2021 oneukum@suse.com
- usb: gadget: f_uac2: add volume and mute support (git-fixes).
- commit 88a1f08
* Mon Sep 27 2021 oneukum@suse.com
- usb: dwc2: gadget: Fix ISOC transfer complete handling for DDMA
  (git-fixes).
- commit e2b14cb
* Mon Sep 27 2021 oneukum@suse.com
- usb: dwc3: core: balance phy init and exit (git-fixes).
- commit 0faa08d
* Mon Sep 27 2021 oneukum@suse.com
- Revert "USB: bcma: Add a check for devm_gpiod_get" (git-fixes).
- commit 631e099
* Mon Sep 27 2021 mbenes@suse.cz
- erofs: fix up erofs_lookup tracepoint (git-fixes).
- commit 7b14405
* Mon Sep 27 2021 ykaukab@suse.de
- arm64: tegra: Update HDA card name on Jetson TX2 NX (jsc#SLE-20498).
- arm64: tegra: Audio graph sound card for Jetson TX2 NX (jsc#SLE-20498).
- ASoC: Fix warning related to 'sound-name-prefix' binding (jsc#SLE-20498).
- ASoC: tegra: Add Tegra210 based Mixer driver (jsc#SLE-20498).
- ASoC: tegra: Add Tegra210 based ADX driver (jsc#SLE-20498).
- ASoC: tegra: Add Tegra210 based AMX driver (jsc#SLE-20498).
- ASoC: tegra: Add Tegra210 based SFC driver (jsc#SLE-20498).
- ASoC: tegra: Add Tegra210 based MVC driver (jsc#SLE-20498).
- ASoC: tegra: Add routes for few AHUB modules (jsc#SLE-20498).
- ASoC: dt-bindings: tegra: Few more Tegra210 AHUB modules (jsc#SLE-20498).
- ASoC: audio-graph: Fixup CPU endpoint hw_params in a BE<->BE link (jsc#SLE-20498).
- ASoC: simple-card-utils: Increase maximum DAI links limit to 512 (jsc#SLE-20498).
- ASoC: soc-pcm: Don't reconnect an already active BE (jsc#SLE-20498).
- ASoC: Remove name-prefix.txt (jsc#SLE-20498).
- ASoC: Use schema reference for sound-name-prefix (jsc#SLE-20498).
- ASoC: Add json-schema documentation for sound-name-prefix (jsc#SLE-20498).
- ASoC: audio-graph: respawn Platform Support (jsc#SLE-20498).
- arm64: tegra: Add NVIDIA Jetson TX2 NX Developer Kit support (jsc#SLE-20498).
- commit 927034b
* Mon Sep 27 2021 mbenes@suse.cz
- tracing/boot: Fix to loop on only subkeys (git-fixes).
- commit 33a4689
* Mon Sep 27 2021 mbenes@suse.cz
- tracing/osnoise: Fix missed cpus_read_unlock() in
  start_per_cpu_kthreads() (git-fixes).
- commit 357291e
* Mon Sep 27 2021 ykaukab@suse.de
- arm64: tegra: enable audio support
  References: jsc#SLE-20498
- commit fdd0448
* Mon Sep 27 2021 ggherdovich@suse.cz
- cpufreq: intel_pstate: Revert upstream default governor selection for no-HWP, use "powersave" (bsc#1190923).
- commit c8873b1
* Mon Sep 27 2021 bp@suse.de
- EDAC/synopsys: Fix wrong value type assignment for edac_mode
  (bsc#1190497).
- commit e8257df
* Mon Sep 27 2021 oneukum@suse.com
- USB: cdc-acm: fix minor-number release (git-fixes).
- commit 478fffd
* Mon Sep 27 2021 oneukum@suse.com
- usb: cdns3: fix race condition before setting doorbell
  (git-fixes).
- commit 11af174
* Mon Sep 27 2021 oneukum@suse.com
- usb: gadget: r8a66597: fix a loop in set_feature() (git-fixes).
- commit 8f7d7ce
* Mon Sep 27 2021 nstange@suse.de
- supported.conf: mark 'xxhash_generic' as supported (jsc#SLE-21213)
  The tcrypt.ko inserted as part of the FIPS boot-time testing now has a
  test for "xxhash64" and failing ->fips_allowed tests cause a kernel panic
  in FIPS mode.
  Make the xxhash_genric implementation universally available by marking it
  as supported.
- commit 00fcd27
* Mon Sep 27 2021 bp@suse.de
- EDAC/dmc520: Assign the proper type to dimm->edac_mode
  (bsc#1190497).
- commit 27f4b5e
* Mon Sep 27 2021 msuchanek@suse.de
- kernel-binary.spec: Do not sign kernel when no key provided
  (bsc#1187167).
- commit 6c24533
* Mon Sep 27 2021 ykaukab@suse.de
- pci: mobiveil: drop support for lx2160 rev1
  References: jsc#SLE-17153
- Delete
  patches.suse/PCI-mobiveil-ls_pcie_g4-add-Workaround-for-A-011451.patch.
- Delete
  patches.suse/PCI-mobiveil-ls_pcie_g4-add-Workaround-for-A-011577.patch.
- Delete
  patches.suse/PCI-mobiveil-ls_pcie_g4-fix-SError-when-accessing-co.patch.
- Delete
  patches.suse/revert-PCI-mobiveil-Remove-unused-readl-and-writel-functions.patch.
- commit 04af26e
* Mon Sep 27 2021 nstange@suse.de
- rpm/modules.fips: cleanup and update (jsc#SLE-21213,bsc#1191269)
  rpm/modules.fips serves as a basis for dracut's /etc/fipsmodules stored
  in initrds. The dracut FIPS handling code loads all the kernel modules from
  that list and runs a tcrypt afterwards.
  Update rpm/modules.fips:
- Remove all crypto modules not registering any ->fips_allowed algorithm.
  The resp. algorithm implementations won't ever reach the
  CRYPTO_ALG_TESTED state in FIPS mode anyway and thus, won't be accesible.
  There's no point in loading the modules at boot.
- Add all enabled kernel modules providing implementations of
  - >fips_allowed algorithms tuned for a specific CPU extension (neon,
  avx, etc) or instruction set. Note that in "normal" operation, i.e.
  without that explicit kernel module insertion as done by the dracut fips
  module, the kernel's crypto API would issue a
  request_module("crypto-<alg>") upon encountering a request for some
  crypto algorithm it hasn't got any implementation registered for yet.
  This would load *all* kernel modules providing a matching implementation
  and the one with the highest priority would henceforth serve all
  requests. Now, if we were to explicitly load only the resp. generic
  implementations at boot, the kernel would always find a suitable match
  and never issue such a request_module(). Thus, add all tuned
  implementations to modules.fips so that they are all being made available
  at boot.
- Consistently list all enabled modules providing implementations of
  - >fips_allowed algorithms, independent of whether the corresponding
  Kconfig symbol is set to =y or =m.
- Add the core cryptomgr, cryptd, crypto_simd, crypto_user and tcrypt
  kernel modules. The former three should not be needed, but are still
  being kept on the list for completeness and consistency.
  - cryptomgr is built-in.
  - cryptd as well as crypto_simd don't register any algorithms by
    themselves, but provide some common functionality to the other
    modules. These should get added to the initrd images as needed via
    kernel module dependencies already.
  - crypto_user is needed as a dependency of the libkcapi based
    fipscheck/sha512mac utility invoked at boot for kernel integrity
    verification. List it in modules.fips so that it will get included
    in the generated initrds.
  - List the required tcrypt kernel module so that dracut will add it to
    the generated initrds.
  The rationale for including e.g. compression algorithms or
  non-cryptographic hashes with associated ->fips_allowed tests to the list
  is that
  1.) Some of them are required by tcrypt such as crc32, crc32c, xxhash64,
    deflate, lzo etc.. If not available, the system will panic.
  2.) In FIPS mode any failing ->fips_allowed test will panic the system.
    Insmodding those modules early at boot will avoid surprises later on.
- commit 8b85943
* Sat Sep 25 2021 msuchanek@suse.de
- rpm/config.sh: Compress modules with zstd (jsc#SLE-21256).
  https://github.com/openSUSE/installation-images/issues/537
- rpm/config.sh: Compress modules with zstd (jsc#SLE-21256).
- commit 33519d9
* Fri Sep 24 2021 dbueso@suse.de
- locking/rwbase: Take care of ordering guarantee for fastpath
  reader (bsc#1190137 bsc#1189998).
- locking/rwbase: Extract __rwbase_write_trylock() (bsc#1190137
  bsc#1189998).
- locking/rwbase: Properly match set_and_save_state() to
  restore_state() (bsc#1190137 bsc#1189998).
- commit ac55e1c
* Fri Sep 24 2021 jeyu@suse.de
- Restore missing CVE/bsc references from SLE15-SP3, that have already
  been fixed with the v5.14 kernel.
  (bsc#1190412, bsc#1181006, bsc#1135481, bsc#1171420, CVE-2020-12770,
  bsc#1188983, bsc#1188985, CVE-2021-34556, CVE-2021-35477, bsc#1189872,
  bsc#1190181, bsc#1190131, bsc#1190117, CVE-2021-38160, bsc#1188616,
  bsc#1189760, bsc#1187211, bsc#1187619, bsc#1189870, bsc#1189762,
  bsc#1175543, bsc#1188412, bsc#1188700, bsc#1135481).
- commit 24dfde2
* Thu Sep 23 2021 msuchanek@suse.de
- pseries/drmem: update LMBs after LPM (bsc#1190543 ltc#194523).
- commit 74fb457
* Thu Sep 23 2021 msuchanek@suse.de
- powerpc/pseries: Prevent free CPU ids being reused on another
  node (bsc#1190620 ltc#194498).
- commit ab4abcd
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Drop inline from amdgpu_ras_eeprom_max_record_count'
- commit 9136740
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/amd/display: Fix white screen page fault for gpuvm (bsc#1190786)
- commit 5a5310f
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/amdgpu: fix use after free during BO move (bsc#1190786)
- commit 00873de
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/i915/guc: drop guc_communication_enabled (bsc#1190497)
- commit 0276532
* Thu Sep 23 2021 tzimmermann@suse.de
- Update "drm/i915/dp: Use max params for panels < eDP 1.4" for mainline
- commit fc431a0
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/i915/dp: return proper DPRX link training result (bsc#1190497)
- commit 481953b
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/rockchip: cdn-dp-core: Make cdn_dp_core_resume __maybe_unused (bsc#1190497)
- commit 60860cd
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Use DCN30 watermark calc for DCN301'
- commit 16c2f09
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amd/pm: fix workload mismatch on vega10"'
- commit f2c08b6
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: handle VCN instances when harvesting (v2)'
- commit 810d2a0
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/msm/dp: use dp_ctrl_off_link_stream during PHY compliance test run'
- commit 35e02ff
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Correct SFC_DONE register offset'
- commit ae4ac24
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/display: split DISPLAY_VER 9 and 10 in intel_setup_outputs()'
- commit 622cb45
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: fix not reading DSC disable fuse in GLK'
- commit 58119c7
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/bios: Fix ports mask'
- commit 7b529fa
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Call i915_globals_exit() if pci_register_device() fails'
- commit 72f2dda
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/i915: Propagate errors on awaiting already signaled fences"'
- commit 4a3ec7f
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Revert "drm/i915/gem: Asynchronous cmdparser"'
- commit 665dea6
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gtt: drop the page table optimisation'
- commit f86a67e
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Fix -EDEADLK handling regression'
- commit c481288
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Reinstate the mmap ioctl for some platforms'
- commit d268fa0
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/selftests: Reorder tasklet_disable vs local_bh_disable'
- commit 45e22b5
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/pm: Fix a memory leak in an error handling path in 'vangogh_tables_init()''
- commit 397440b
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix checking pmops when PM_SLEEP is not enabled'
- commit cb9f3d9
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/bridge: ti-sn65dsi86: Add some 100 us delays (bsc#1190786)
  Backporting changes:
  * context changes
- commit 2694241
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Fix 10bit 4K display on CIK GPUs'
- commit bba53d5
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdkfd: Allow CPU access for all VRAM BOs'
- commit 7b697e2
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Return error if no RAS'
- commit 5b9cb39
* Thu Sep 23 2021 tzimmermann@suse.de
- drm/amdgpu: add license to umc_8_7_0_sh_mask.h (bsc#1190497)
  Backporting changes:
  * context changes
- commit d555363
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: Fix NULL dereference when updating memory stats'
- commit 8525d78
* Thu Sep 23 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix amdgpu_preempt_mgr_new()'
- commit eb8e3ce
* Wed Sep 22 2021 msuchanek@suse.de
- kernel-binary.spec: suse-kernel-rpm-scriptlets required for uninstall as
  well.
  Fixes: e98096d5cf85 ("rpm: Abolish scritplet templating (bsc#1189841).")
- commit e082fbf
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: support suspend/resume for dual-role mode
  (git-fixes).
- commit b1108c1
* Wed Sep 22 2021 oneukum@suse.com
- usb: common: add helper to get role-switch-default-mode
  (git-fixes).
- commit 58fa9a8
* Wed Sep 22 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Fix a bad merge in otable batch takedown'
- commit 35d7947
* Wed Sep 22 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Fix a 64bit regression on svga3'
- commit abdbf03
* Wed Sep 22 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Fix implicit declaration error'
- commit dc9101c
* Wed Sep 22 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/display/dg1: Correctly map DPLLs during state readout'
- commit 78f38ca
* Wed Sep 22 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dsc: abstract helpers to get bigjoiner primary/secondary crtc'
- commit ce4db17
* Wed Sep 22 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/display: Do not zero past infoframes.vsc'
- commit e28310d
* Wed Sep 22 2021 oneukum@suse.com
- PCI/VPD: Treat initial 0xff as missing EEPROM (jsc#SLE-19358).
- commit a01d2f0
* Wed Sep 22 2021 ohering@suse.de
- net: mana: Prefer struct_size over open coded arithmetic
  (git-fixes).
- x86/hyperv: remove on-stack cpumask from
  hv_send_ipi_mask_allbutself (git-fixes).
- asm-generic/hyperv: provide cpumask_to_vpset_noself (git-fixes).
- Drivers: hv: vmbus: Fix kernel crash upon unbinding a device
  from uio_hv_generic driver (git-fixes).
- commit 57a85dd
* Wed Sep 22 2021 oneukum@suse.com
- PCI/VPD: Check Resource Item Names against those valid for type
  (jsc#SLE-19358).
- commit db901ad
* Wed Sep 22 2021 oneukum@suse.com
- PCI/VPD: Correct diagnostic for VPD read failure
  (jsc#SLE-19358).
- commit 91d294d
* Wed Sep 22 2021 dwagner@suse.de
- scsi: lpfc: Fix gcc -Wstringop-overread warning, again
  (bsc#1190576).
- scsi: lpfc: Use correct scnprintf() limit (bsc#1190576).
- scsi: lpfc: Fix sprintf() overflow in lpfc_display_fpin_wwpn()
  (bsc#1190576).
- scsi: lpfc: Update lpfc version to 14.0.0.2 (bsc#1190576).
- scsi: lpfc: Improve PBDE checks during SGL processing
  (bsc#1190576).
- scsi: lpfc: Zero CGN stats only during initial driver load
  and stat reset (bsc#1190576).
- scsi: lpfc: Fix I/O block after enabling managed congestion mode
  (bsc#1190576).
- scsi: lpfc: Adjust bytes received vales during cmf timer
  interval (bsc#1190576).
- scsi: lpfc: Fix EEH support for NVMe I/O (bsc#1190576).
- scsi: lpfc: Fix FCP I/O flush functionality for TMF routines
  (bsc#1190576).
- scsi: lpfc: Fix NVMe I/O failover to non-optimized path
  (bsc#1190576).
- scsi: lpfc: Don't remove ndlp on PRLI errors in P2P mode
  (bsc#1190576).
- scsi: lpfc: Fix rediscovery of tape device after LIP
  (bsc#1190576).
- scsi: lpfc: Fix hang on unload due to stuck fport node
  (bsc#1190576).
- scsi: lpfc: Fix premature rpi release for unsolicited TPLS
  and LS_RJT (bsc#1190576).
- scsi: lpfc: Don't release final kref on Fport node while ABTS
  outstanding (bsc#1190576).
- scsi: lpfc: Fix list_add() corruption in lpfc_drain_txq()
  (bsc#1190576).
- scsi: lpfc: Remove unneeded variable (bsc#1190576).
- scsi: lpfc: Fix compilation errors on kernels with no
  CONFIG_DEBUG_FS (bsc#1190576).
- scsi: lpfc: Fix CPU to/from endian warnings introduced by ELS
  processing (bsc#1190576).
- commit 439786d
* Wed Sep 22 2021 oneukum@suse.com
- PCI: Correct the pci_iomap.h header guard #endif comment
  (git-fixes).
- commit df53f34
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: fix random remote wakeup (git-fixes).
- commit d8913af
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: support suspend/resume for device mode (git-fixes).
- commit 30e43b1
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: support property role-switch-default-mode
  (git-fixes).
- commit d01a5c9
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: add new helpers for host suspend/resume (git-fixes).
- commit f78b62b
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: support option to disable usb2 ports (git-fixes).
- commit 449cb7e
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: add helper to power on/down device (git-fixes).
- commit c761898
* Wed Sep 22 2021 oneukum@suse.com
- usb: mtu3: support runtime PM for host mode (git-fixes).
- commit 856e4b0
* Wed Sep 22 2021 oneukum@suse.com
- docs: Fix infiniband uverbs minor number (git-fixes).
- commit f82742c
* Wed Sep 22 2021 msuchanek@suse.de
- ibmvnic: Reuse tx pools when possible (bsc#1190758 ltc#191943).
- ibmvnic: Reuse rx pools when possible (bsc#1190758 ltc#191943).
- ibmvnic: Reuse LTB when possible (bsc#1190758 ltc#191943).
- ibmvnic: Use bitmap for LTB map_ids (bsc#1190758 ltc#191943).
- ibmvnic: init_tx_pools move loop-invariant code (bsc#1190758
  ltc#191943).
- ibmvnic: Use/rename local vars in init_tx_pools (bsc#1190758
  ltc#191943).
- ibmvnic: Use/rename local vars in init_rx_pools (bsc#1190758
  ltc#191943).
- ibmvnic: Fix up some comments and messages (bsc#1190758
  ltc#191943).
- ibmvnic: Consolidate code in replenish_rx_pool() (bsc#1190758
  ltc#191943).
- commit 5ff0106
* Tue Sep 21 2021 bp@suse.de
- blacklist.conf: a47f6a5806da drm/amdgpu: Fix build with missing pm_suspend_target_state module export
- commit c31b76d
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: update to version 6 (bsc#1190406).
- commit 12c934a
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: increase maximum configurable mtu to 9190
  (bsc#1190406).
- commit 41711f1
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: set correct hash type based on rss information
  (bsc#1190406).
- commit 50ba224
* Tue Sep 21 2021 bp@suse.de
- x86/mce: Avoid infinite loop for copy from user recovery
  (bsc#1190497).
- commit dad2a98
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: add support for ESP IPv6 RSS (bsc#1190406).
- commit bfd5a34
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: remove power of 2 limitation on the queues
  (bsc#1190406).
- commit c70fd90
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: add support for 32 Tx/Rx queues (bsc#1190406).
- commit b67474b
* Tue Sep 21 2021 denis.kirjanov@suse.com
- vmxnet3: prepare for version 6 changes (bsc#1190406).
- commit 9afdd26
* Mon Sep 20 2021 mbenes@suse.cz
- s390/unwind: use current_frame_address() to unwind current task
  (bsc#1185677).
- commit b81363d
* Mon Sep 20 2021 dwagner@suse.de
- scsi: lpfc: Use the proper SCSI midlayer interfaces for PI
  (bsc#1190576).
- scsi: lpfc: Copyright updates for 14.0.0.1 patches
  (bsc#1190576).
- scsi: lpfc: Update lpfc version to 14.0.0.1 (bsc#1190576).
- scsi: lpfc: Add bsg support for retrieving adapter cmf data
  (bsc#1190576).
- scsi: lpfc: Add cmf_info sysfs entry (bsc#1190576).
- scsi: lpfc: Add debugfs support for cm framework buffers
  (bsc#1190576).
- scsi: lpfc: Add support for maintaining the cm statistics buffer
  (bsc#1190576).
- scsi: lpfc: Add rx monitoring statistics (bsc#1190576).
- scsi: lpfc: Add support for the CM framework (bsc#1190576).
- scsi: lpfc: Add cmfsync WQE support (bsc#1190576).
- scsi: lpfc: Add support for cm enablement buffer (bsc#1190576).
- scsi: lpfc: Add cm statistics buffer support (bsc#1190576).
- scsi: lpfc: Add EDC ELS support (bsc#1190576).
- scsi: lpfc: Expand FPIN and RDF receive logging (bsc#1190576).
- scsi: lpfc: Add MIB feature enablement support (bsc#1190576).
- scsi: lpfc: Add SET_HOST_DATA mbox cmd to pass date/time info
  to firmware (bsc#1190576).
- scsi: fc: Add EDC ELS definition (bsc#1190576).
- scsi: core: Add helper to return number of logical blocks in
  a request (bsc#1190576).
- scsi: lpfc: Use scsi_cmd_to_rq() instead of scsi_cmnd.request
  (bsc#1190576).
- scsi: core: Introduce the scsi_cmd_to_rq() function
  (bsc#1190576).
- commit 5302a17
* Mon Sep 20 2021 jslaby@suse.cz
- Refresh patches.suse/vfs-add-super_operations-get_inode_dev (bsc#1190661).
- commit df194f3
* Mon Sep 20 2021 ggherdovich@suse.cz
- Refresh patches.suse/cpufreq-intel_pstate-Temporarily-boost-P-state-when-.patch.
- commit 47a2292
* Mon Sep 20 2021 ggherdovich@suse.cz
- Refresh patches.suse/cpufreq-intel_pstate-Ramp-up-frequency-faster-when-u.patch.
- commit d4fd8bd
* Mon Sep 20 2021 ggherdovich@suse.cz
- Refresh patches.suse/cpufreq-intel_pstate-Revert-upstream-changes-to-iowa.patch.
- commit b054935
* Mon Sep 20 2021 iivanov@suse.de
- drm/vc4: hdmi: Fix HPD GPIO detection (bsc#1190469).
- commit b20bd6a
* Fri Sep 17 2021 msuchanek@suse.de
- kernel-binary.spec: Check for no kernel signing certificates.
  Also remove unused variable.
- commit bdc323e
* Fri Sep 17 2021 msuchanek@suse.de
- Revert "rpm/kernel-binary.spec: Use only non-empty certificates."
  This reverts commit 30360abfb58aec2c9ee7b6a27edebe875c90029d.
- commit 413e05b
* Fri Sep 17 2021 msuchanek@suse.de
- rpm/kernel-binary.spec: Use only non-empty certificates.
- commit 30360ab
* Thu Sep 16 2021 tiwai@suse.de
- Drop a time patch (stable-5.14.5)
  Stable 5.14.5 upstream reverted two commits that have been added in
  5.14.4.  One of them, the posix-cpu-timer patch, has been already
  backported for bsc#1190366, so we keep it, while dropping another one
  for time patch.
  Deleted:
  patches.suse/time-Handle-negative-seconds-correctly-in-timespec64.patch
- commit 9b22453
* Thu Sep 16 2021 tiwai@suse.de
- Linux 5.14.5 (stable-5.14.5).
- commit 3b35843
* Thu Sep 16 2021 dwagner@suse.de
- nvme-tcp: fix io_work priority inversion (bsc#1190569).
- nvme-rdma: destroy cm id before destroy qp to avoid use after
  free (bsc#1190569).
- nvme-multipath: fix ANA state updates when a namespace is not
  present (bsc#1190569).
- nvme: avoid race in shutdown namespace removal (bsc#1190569
  bsc#1188067).
- nvme: only call synchronize_srcu when clearing current path
  (bsc#1190569 bsc#1188067).
- nvme: update keep alive interval when kato is modified
  (bsc#1190569).
- nvme-tcp: Do not reset transport on data digest errors
  (bsc#1190569 bsc#1188418).
- nvme-multipath: set QUEUE_FLAG_NOWAIT (bsc#1190569).
- nvme: remove nvm_ndev from ns (bsc#1190569).
- nvme: Have NVME_FABRICS select NVME_CORE instead of transport
  drivers (bsc#1190569).
- nvme-tcp: pair send_mutex init with destroy (bsc#1190569).
- nvme: allow user toggling hmb usage (bsc#1190569).
- nvme-pci: disable hmb on idle suspend (bsc#1190569).
- nvme: add set feature tracing support (bsc#1190569).
- nvme-fabrics: remove superfluous nvmf_host_put in
  nvmf_parse_options (bsc#1190569).
- nvme-pci: cmb sysfs: one file, one value (bsc#1190569).
- nvme-pci: use attribute group for cmb sysfs (bsc#1190569).
- remove the lightnvm subsystem (bsc#1190569).
- nvme: use blk_mq_alloc_disk (bsc#1190569).
- commit 778e572
* Thu Sep 16 2021 mgorman@suse.de
- fsnotify: fix sb_connectors leak (git fixes (fsnotify)).
- commit 3cf1b5e
* Thu Sep 16 2021 bp@suse.de
- crypto: ccp - fix resource leaks in ccp_run_aes_gcm_cmd()
  (bsc#1189884 CVE-2021-3744 bsc#1190534 CVE-2021-3764).
- commit a76d86f
* Thu Sep 16 2021 ohering@suse.de
- PCI: hv: Turn on the host bridge probing on ARM64 (jsc#SLE-17855,bsc#1186071).
- PCI: hv: Set up MSI domain at bridge probing time (jsc#SLE-17855,bsc#1186071).
- PCI: hv: Set ->domain_nr of pci_host_bridge at probing time (jsc#SLE-17855,bsc#1186071).
- PCI: hv: Generify PCI probing (jsc#SLE-17855,bsc#1186071).
- PCI: Support populating MSI domains of root buses via bridges (jsc#SLE-17855,bsc#1186071).
- PCI: Introduce domain_nr in pci_host_bridge (jsc#SLE-17855,bsc#1186071).
- PCI: hv: Support for create interrupt v3 (jsc#SLE-17855,bsc#1186071).
- PCI: Allow PASID on fake PCIe devices without TLP prefixes (jsc#SLE-17855,bsc#1186071).
- Drivers: hv: Enable Hyper-V code to be built on ARM64 (jsc#SLE-17855,bsc#1186071).
- arm64: efi: Export screen_info (jsc#SLE-17855,bsc#1186071).
- arm64: hyperv: Initialize hypervisor on boot (jsc#SLE-17855,bsc#1186071).
- arm64: hyperv: Add panic handler (jsc#SLE-17855,bsc#1186071).
- arm64: hyperv: Add Hyper-V hypercall and register access utilities (jsc#SLE-17855,bsc#1186071).
- x86/hyperv: fix root partition faults when writing to VP assist page MSR (jsc#SLE-17855,bsc#1186071).
- hv: hyperv.h: Remove unused inline functions (jsc#SLE-17855,bsc#1186071).
- drivers: hv: Decouple Hyper-V clock/timer code from VMbus drivers (jsc#SLE-17855,bsc#1186071).
- x86/hyperv: add comment describing TSC_INVARIANT_CONTROL MSR setting bit 0 (jsc#SLE-17855,bsc#1186071).
- Drivers: hv: Move Hyper-V misc functionality to arch-neutral code (jsc#SLE-17855,bsc#1186071).
- Drivers: hv: Add arch independent default functions for some Hyper-V handlers (jsc#SLE-17855,bsc#1186071).
- Drivers: hv: Make portions of Hyper-V init code be arch neutral (jsc#SLE-17855,bsc#1186071).
- x86/hyperv: fix for unwanted manipulation of sched_clock when TSC marked unstable (jsc#SLE-17855,bsc#1186071).
- asm-generic/hyperv: Add missing #include of nmi.h (jsc#SLE-17855,bsc#1186071).
- net: mana: Add WARN_ON_ONCE in case of CQE read overflow (jsc#SLE-17900).
- net: mana: Add support for EQ sharing (jsc#SLE-17900).
- net: mana: Move NAPI from EQ to CQ (jsc#SLE-17900).
- commit f6cd12b
* Thu Sep 16 2021 oneukum@suse.com
- swiotlb: use depends on for DMA_RESTRICTED_POOL (git-fixes).
- commit eafc3ac
* Thu Sep 16 2021 oneukum@suse.com
- s390/pv: fix the forcing of the swiotlb (git-fixes).
- commit 4a90678
* Thu Sep 16 2021 msuchanek@suse.de
- powerpc/numa: Consider the max NUMA node for migratable LPAR
  (bsc#1190544 ltc#194520).
- commit e52f63e
* Thu Sep 16 2021 tiwai@suse.de
- rtc: cmos: Disable irq around direct invocation of
  cmos_interrupt() (git-fixes).
- swiotlb: use depends on for DMA_RESTRICTED_POOL (git-fixes).
- commit 70087fe
* Wed Sep 15 2021 tiwai@suse.de
- Revert "rpm: Abolish scritplet templating (bsc#1189841)."
  This reverts commit e98096d5cf85dbe90f74a930eb1f0e3fe4a70c7f.
  This requires the update of suse-module-tools for external scripts
  but those aren't available yet, which breaks the builds on BS.
  Let's revert temporarily.  It can be re-applied later on.
- commit eebdae7
* Wed Sep 15 2021 msuchanek@suse.de
- ibmvnic: check failover_pending in login response (bsc#1190523
  ltc#194510).
- commit 085f984
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Convert io_default_tlb_mem to static allocation
  (git-fixes).
- commit fa8e4f7
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Update is_swiotlb_buffer to add a struct device
  argument (git-fixes).
- commit 4ac85f1
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Add restricted DMA pool initialization (jsc#SLE-19358).
- Update config files.
- commit f52c750
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Add restricted DMA alloc/free support (git-fixes).
- commit 3c5a096
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Refactor swiotlb_tbl_unmap_single (git-fixes).
- commit 89af24c
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Move alloc_size to swiotlb_find_slots (git-fixes).
- commit 834e9fa
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Refactor swiotlb_create_debugfs (git-fixes).
- commit fcbe10c
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Use is_swiotlb_force_bounce for swiotlb data bouncing
  (git-fixes).
- commit 7aa7848
* Wed Sep 15 2021 oneukum@suse.com
- swiotlb: Refactor swiotlb init functions (git-fixes).
- commit becfe5a
* Wed Sep 15 2021 tiwai@suse.de
- net: qrtr: revert check in qrtr_endpoint_post() (git-fixes).
- commit c715657
* Wed Sep 15 2021 tiwai@suse.de
- Linux 5.14.4 (stable-5.14.4).
- commit 49b16de
* Wed Sep 15 2021 tiwai@suse.de
- bootconfig: Fix missing return check of xbc_node_compose_key
  function (stable-5.14.4).
- RDMA/mlx5: Fix number of allocated XLT entries (stable-5.14.4).
- backlight: pwm_bl: Improve bootloader/kernel device handover
  (stable-5.14.4).
- parisc: Fix unaligned-access crash in bootloader
  (stable-5.14.4).
- devlink: Break parameter notification sequence to be
  before/after unload/load driver (stable-5.14.4).
- commit efea9ae
* Wed Sep 15 2021 tiwai@suse.de
- fbmem: don't allow too huge resolutions (stable-5.14.4).
- KVM: arm64: Unregister HYP sections from kmemleak in protected
  mode (stable-5.14.4).
- KVM: arm64: vgic: Resample HW pending state on deactivation
  (stable-5.14.4).
- fuse: wait for writepages in syncfs (stable-5.14.4).
- fuse: flush extending writes (stable-5.14.4).
- fuse: truncate pagecache on atomic_o_trunc (stable-5.14.4).
- IMA: remove the dependency on CRYPTO_MD5 (stable-5.14.4).
- ARM: dts: at91: add pinctrl-{names, 0} for all gpios
  (stable-5.14.4).
- io-wq: check max_worker limits if a worker transitions bound
  state (stable-5.14.4).
- md/raid10: Remove unnecessary rcu_dereference in
  raid10_handle_discard (stable-5.14.4).
- commit 4c736f8
* Wed Sep 15 2021 tiwai@suse.de
- KVM: x86: Update vCPU's hv_clock before back to guest when
  tsc_offset is adjusted (stable-5.14.4).
- KVM: s390: index kvm->arch.idle_mask by vcpu_idx
  (stable-5.14.4).
- Revert "KVM: x86: mmu: Add guest physical address check in
  translate_gpa()" (stable-5.14.4).
- KVM: VMX: avoid running vmx_handle_exit_irqoff in case of
  emulation (stable-5.14.4).
- KVM: x86: clamp host mapping level to max_level in
  kvm_mmu_max_mapping_level (stable-5.14.4).
- KVM: x86/mmu: Avoid collision with !PRESENT SPTEs in TDP MMU
  lpage stats (stable-5.14.4).
- KVM: nVMX: Unconditionally clear nested.pi_pending on nested
  VM-Enter (stable-5.14.4).
- tty: Fix data race between tiocsti() and flush_to_ldisc()
  (stable-5.14.4).
- smb3: fix posix extensions mount option (stable-5.14.4).
- perf/x86/intel/uncore: Fix IIO cleanup mapping procedure for
  SNR/ICX (stable-5.14.4).
- commit f923c2d
* Wed Sep 15 2021 tiwai@suse.de
- io_uring: fail links of cancelled timeouts (stable-5.14.4).
- iwlwifi Add support for ax201 in Samsung Galaxy Book Flex2 Alpha
  (stable-5.14.4).
- io_uring: io_uring_complete() trace should take an integer
  (stable-5.14.4).
- io_uring: IORING_OP_WRITE needs hash_reg_file set
  (stable-5.14.4).
- f2fs: guarantee to write dirty data when enabling checkpoint
  back (stable-5.14.4).
- ipv4: fix endianness issue in inet_rtm_getroute_build_skb()
  (stable-5.14.4).
- cifs: Do not leak EDEADLK to dgetents64 for
  STATUS_USER_SESSION_DELETED (stable-5.14.4).
- io_uring: limit fixed table size by RLIMIT_NOFILE
  (stable-5.14.4).
- raid1: ensure write behind bio has less than BIO_MAX_VECS
  sectors (stable-5.14.4).
- bio: fix page leak bio_add_hw_page failure (stable-5.14.4).
- commit e7826b9
* Wed Sep 15 2021 tiwai@suse.de
- octeontx2-af: Set proper errorcode for IPv4 checksum errors
  (stable-5.14.4).
- octeontx2-af: Fix static code analyzer reported issues
  (stable-5.14.4).
- octeontx2-af: Fix mailbox errors in nix_rss_flowkey_cfg
  (stable-5.14.4).
- octeontx2-af: Fix loop in free and unmap counter
  (stable-5.14.4).
- net: qualcomm: fix QCA7000 checksum handling (stable-5.14.4).
- net: sched: Fix qdisc_rate_table refcount leak when get
  tcf_block failed (stable-5.14.4).
- sch_htb: Fix inconsistency when leaf qdisc creation fails
  (stable-5.14.4).
- net: qrtr: make checks in qrtr_endpoint_post() stricter
  (stable-5.14.4).
- ipv4: make exception cache less predictible (stable-5.14.4).
- ipv6: make exception cache less predictible (stable-5.14.4).
- commit df64b63
* Wed Sep 15 2021 tiwai@suse.de
- ice: Only lock to update netdev dev_addr (stable-5.14.4).
- ice: restart periodic outputs around time changes
  (stable-5.14.4).
- ice: add lock around Tx timestamp tracker flush (stable-5.14.4).
- ice: fix Tx queue iteration for Tx timestamp enablement
  (stable-5.14.4).
- net: phy: marvell10g: fix broken PHY interrupts for anyone
  after us in the driver probe list (stable-5.14.4).
- net/mlx5e: Use correct eswitch for stack devices with lag
  (stable-5.14.4).
- net/mlx5: E-Switch, Set vhca id valid flag when creating indir
  fwd group (stable-5.14.4).
- net/mlx5e: Fix possible use-after-free deleting fdb rule
  (stable-5.14.4).
- net/mlx5: Remove all auxiliary devices at the unregister event
  (stable-5.14.4).
- net/mlx5: Lag, fix multipath lag activation (stable-5.14.4).
- commit 3b3e2c6
* Wed Sep 15 2021 tiwai@suse.de
- m68k: coldfire: return success for clk_enable(NULL)
  (stable-5.14.4).
- hv_utils: Set the maximum packet size for VSS driver to the
  length of the receive buffer (stable-5.14.4).
- bpf: Fix possible out of bound write in narrow load handling
  (stable-5.14.4).
- octeontx2-pf: cn10k: Fix error return code in
  otx2_set_flowkey_cfg() (stable-5.14.4).
- octeontx2-af: cn10k: Use FLIT0 register instead of FLIT1
  (stable-5.14.4).
- octeontx2-pf: Fix algorithm index in MCAM rules with RSS action
  (stable-5.14.4).
- octeontx2-pf: Don't install VLAN offload rule if netdev is down
  (stable-5.14.4).
- octeontx2-af: Check capability flag while freeing ipolicer
  memory (stable-5.14.4).
- octeontx2-pf: send correct vlan priority mask to
  npc_install_flow_req (stable-5.14.4).
- CIFS: Fix a potencially linear read overflow (stable-5.14.4).
- commit 609b85e
* Wed Sep 15 2021 tiwai@suse.de
- arm64: dts: marvell: armada-37xx: Extend PCIe MEM space
  (stable-5.14.4).
- lkdtm: replace SCSI_DISPATCH_CMD with SCSI_QUEUE_RQ
  (stable-5.14.4).
- libbpf: Re-build libbpf.so when libbpf.map changes
  (stable-5.14.4).
- octeontx2-af: cn10k: Fix SDP base channel number
  (stable-5.14.4).
- hwmon: (pmbus/bpa-rs600) Don't use rated limits as warn limits
  (stable-5.14.4).
- mm/swap: consider max pages in iomap_swapfile_add_extent
  (stable-5.14.4).
- nfsd4: Fix forced-expiry locking (stable-5.14.4).
- SUNRPC: Fix a NULL pointer deref in trace_svc_stats_latency()
  (stable-5.14.4).
- lockd: Fix invalid lockowner cast after vfs_test_lock
  (stable-5.14.4).
- gfs2: init system threads before freeze lock (stable-5.14.4).
- commit d2237ba
* Wed Sep 15 2021 tiwai@suse.de
- arm64: dts: exynos: correct GIC CPU interfaces address range
  on Exynos7 (stable-5.14.4).
- drm/msm/mdp4: move HW revision detection to earlier phase
  (stable-5.14.4).
- drm/msm/mdp4: refactor HW revision detection into
  read_mdp_hw_revision (stable-5.14.4).
- selftests/bpf: Fix test_core_autosize on big-endian machines
  (stable-5.14.4).
- net: stmmac: fix INTR TBU status affecting irq count statistic
  (stable-5.14.4).
- samples: pktgen: add missing IPv6 option to pktgen scripts
  (stable-5.14.4).
- devlink: Clear whole devlink_flash_notify struct
  (stable-5.14.4).
- net/mlx5: Fix unpublish devlink parameters (stable-5.14.4).
- selftests/bpf: Fix bpf-iter-tcp4 test to print correctly the
  dest IP (stable-5.14.4).
- net: dsa: don't disable multicast flooding to the CPU even
  without an IGMP querier (stable-5.14.4).
- commit 02e5f3f
* Wed Sep 15 2021 tiwai@suse.de
- arm64: dts: qcom: sm8350: fix IPA interconnects (stable-5.14.4).
- arm64: dts: qcom: sc7280: Fixup the cpufreq node
  (stable-5.14.4).
- debugfs: Return error during {full/open}_proxy_open() on rmmod
  (stable-5.14.4).
- bpf, samples: Add missing mprog-disable to xdp_redirect_cpu's
  optstring (stable-5.14.4).
- net: dsa: mt7530: remove the .port_set_mrouter implementation
  (stable-5.14.4).
- net: dsa: stop syncing the bridge mcast_router attribute at
  join time (stable-5.14.4).
- net: ti: am65-cpsw-nuss: fix RX IRQ state after .ndo_stop()
  (stable-5.14.4).
- net: dsa: tag_sja1105: optionally build as module when switch
  driver is module if PTP is enabled (stable-5.14.4).
- net/mlx5: Fix missing return value in
  mlx5_devlink_eswitch_inline_mode_set() (stable-5.14.4).
- net: dsa: build tag_8021q.c as part of DSA core (stable-5.14.4).
- commit 3916715
* Wed Sep 15 2021 tiwai@suse.de
- ARM: dts: meson8b: ec100: Fix the pwm regulator supply
  properties (stable-5.14.4).
- ARM: dts: meson8b: mxq: Fix the pwm regulator supply properties
  (stable-5.14.4).
- ARM: dts: meson8b: odroidc1: Fix the pwm regulator supply
  properties (stable-5.14.4).
- arm64: dts: renesas: hihope-rzg2-ex: Add EtherAVB internal rx
  delay (stable-5.14.4).
- tools: Free BTF objects at various locations (stable-5.14.4).
- libbpf: Return non-null error on failures in
  libbpf_find_prog_btf_id() (stable-5.14.4).
- net: ti: am65-cpsw-nuss: fix wrong devlink release order
  (stable-5.14.4).
- net: cipso: fix warnings in netlbl_cipsov4_add_std
  (stable-5.14.4).
- net/mlx5e: Block LRO if firmware asks for tunneled LRO
  (stable-5.14.4).
- net/mlx5e: Prohibit inner indir TIRs in IPoIB (stable-5.14.4).
- commit c4ed0bf
* Wed Sep 15 2021 tiwai@suse.de
- arm64: dts: qcom: sm8250: fix usb2 qmp phy node (stable-5.14.4).
- arm64: dts: qcom: sc7180: Set adau wakeup delay to 80 ms
  (stable-5.14.4).
- ARM: dts: meson8: Use a higher default GPU clock frequency
  (stable-5.14.4).
- 6lowpan: iphc: Fix an off-by-one check of array index
  (stable-5.14.4).
- tcp: seq_file: Avoid skipping sk during tcp_seek_last_pos
  (stable-5.14.4).
- bpf, selftests: Fix test_maps now that sockmap supports UDP
  (stable-5.14.4).
- libbpf: Fix removal of inner map in bpf_object__create_map
  (stable-5.14.4).
- ionic: cleanly release devlink instance (stable-5.14.4).
- gfs2: Fix memory leak of object lsi on error return path
  (stable-5.14.4).
- commit 7d1d494
* Wed Sep 15 2021 tiwai@suse.de
- ARM: dts: everest: Add phase corrections for eMMC
  (stable-5.14.4).
- ARM: dts: aspeed-g6: Fix HVI3C function-group in pinctrl dtsi
  (stable-5.14.4).
- arm64: dts: renesas: r8a77995: draak: Remove bogus adv7511w
  properties (stable-5.14.4).
- libbpf: Fix the possible memory leak on error (stable-5.14.4).
- i40e: improve locking of mac_filter_hash (stable-5.14.4).
- bpf: Fix potential memleak and UAF in the verifier
  (stable-5.14.4).
- bpf: Fix a typo of reuseport map in bpf.h (stable-5.14.4).
- blk-crypto: fix check for too-large dun_bytes (stable-5.14.4).
- x86/mce: Defer processing of early errors (stable-5.14.4).
- tpm: ibmvtpm: Avoid error message when process gets signal
  while waiting (stable-5.14.4).
- commit 02d828d
* Wed Sep 15 2021 tiwai@suse.de
- block: nbd: add sanity check for first_minor (stable-5.14.4).
- nbd: do del_gendisk() asynchronously for
  NBD_DESTROY_ON_DISCONNECT (stable-5.14.4).
- block: return ELEVATOR_DISCARD_MERGE if possible
  (stable-5.14.4).
- genirq/timings: Fix error return code in irq_timings_test_irqs()
  (stable-5.14.4).
- m68k: Fix asm register constraints for atomic ops
  (stable-5.14.4).
- m68k: Fix invalid RMW_INSNS on CPUs that lack CAS
  (stable-5.14.4).
- m68k: emu: Fix invalid free in nfeth_cleanup() (stable-5.14.4).
- rcu: Fix stall-warning deadlock due to non-release of rcu_node
  - >lock (stable-5.14.4).
- rcu: Fix to include first blocked task in stall warning
  (stable-5.14.4).
- certs: Trigger creation of RSA module signing key if it's not
  an RSA key (stable-5.14.4).
- commit a511576
* Wed Sep 15 2021 tiwai@suse.de
- io-wq: remove GFP_ATOMIC allocation off schedule out path
  (stable-5.14.4).
- s390/smp: enable DAT before CPU restart callback is called
  (stable-5.14.4).
- s390/ap: fix state machine hang after failure to enable irq
  (stable-5.14.4).
- s390/debug: fix debug area life cycle (stable-5.14.4).
- s390/debug: keep debug data on resize (stable-5.14.4).
- s390/pci: fix misleading rc in clp_set_pci_fn() (stable-5.14.4).
- s390/kasan: fix large PMD pages address alignment check
  (stable-5.14.4).
- fcntl: fix potential deadlock for &fasync_struct.fa_lock
  (stable-5.14.4).
- fcntl: fix potential deadlocks for &fown_struct.lock
  (stable-5.14.4).
- udf_get_extendedattr() had no boundary checks (stable-5.14.4).
- commit ae103e9
* Wed Sep 15 2021 tiwai@suse.de
- libata: fix ata_host_start() (stable-5.14.4).
- crypto: tcrypt - Fix missing return value check (stable-5.14.4).
- crypto: hisilicon/sec - modify the hardware endian configuration
  (stable-5.14.4).
- crypto: hisilicon/sec - fix the abnormal exiting process
  (stable-5.14.4).
- crypto: qat - do not export adf_iov_putmsg() (stable-5.14.4).
- crypto: qat - fix naming for init/shutdown VF to PF
  notifications (stable-5.14.4).
- crypto: qat - fix reuse of completion variable (stable-5.14.4).
- crypto: qat - handle both source of interrupt in VF ISR
  (stable-5.14.4).
- crypto: qat - do not ignore errors from enable_vf2pf_comms()
  (stable-5.14.4).
- crypto: omap - Fix inconsistent locking of device lists
  (stable-5.14.4).
- commit d5ab179
* Wed Sep 15 2021 tiwai@suse.de
- nvmet: pass back cntlid on successful completion
  (stable-5.14.4).
- nvme-rdma: don't update queue count when failing to set io
  queues (stable-5.14.4).
- nvme-tcp: don't update queue count when failing to set io queues
  (stable-5.14.4).
- nbd: add the check to prevent overflow in __nbd_ioctl()
  (stable-5.14.4).
- blk-throtl: optimize IOPS throttle for large IO scenarios
  (stable-5.14.4).
- bcache: add proper error unwinding in bcache_device_init
  (stable-5.14.4).
- s390/zcrypt: fix wrong offset index for APKA master key valid
  state (stable-5.14.4).
- s390/cio: add dev_busid sysfs entry for each subchannel
  (stable-5.14.4).
- power: supply: max17042_battery: fix typo in MAx17042_TOFF
  (stable-5.14.4).
- power: supply: smb347-charger: Add missing pin control
  activation (stable-5.14.4).
- commit a330acc
* Wed Sep 15 2021 tiwai@suse.de
- crypto: omap-sham - clear dma flags only after
  omap_sham_update_dma_stop() (stable-5.14.4).
- crypto: mxs-dcp - Check for DMA mapping errors (stable-5.14.4).
- rcu/tree: Handle VM stoppage in stall detection (stable-5.14.4).
- power: supply: axp288_fuel_gauge: Report register-address on
  readb / writeb errors (stable-5.14.4).
- regulator: tps65910: Silence deferred probe error
  (stable-5.14.4).
- regmap: fix the offset of register error log (stable-5.14.4).
- isofs: joliet: Fix iocharset=utf8 mount option (stable-5.14.4).
- udf: Fix iocharset=utf8 mount option (stable-5.14.4).
- udf: Check LVID earlier (stable-5.14.4).
- commit 238527c
* Wed Sep 15 2021 tiwai@suse.de
- Move already upstreamed patches into sorted section
- commit caad71f
* Wed Sep 15 2021 tiwai@suse.de
- Update patch references for stable-5.14.4
- commit 7af61be
* Wed Sep 15 2021 tiwai@suse.de
- drm/i915/dp: Use max params for panels < eDP 1.4 (bsc#1190506).
- commit 4fe7ae1
* Tue Sep 14 2021 bp@suse.de
- EDAC/i10nm: Fix NVDIMM detection (bsc#1190497).
- commit 85a63fd
* Tue Sep 14 2021 oneukum@suse.com
- parisc: Move pci_dev_is_behind_card_dino to where it is used
  (git-fixes).
- commit 49bc8a4
* Tue Sep 14 2021 oneukum@suse.com
- dma-buf: DMABUF_DEBUG should depend on DMA_SHARED_BUFFER
  (git-fixes).
- commit 50dc18d
* Tue Sep 14 2021 oneukum@suse.com
- dma-buf: DMABUF_MOVE_NOTIFY should depend on DMA_SHARED_BUFFER
  (git-fixes).
- commit b57b42f
* Tue Sep 14 2021 mgorman@suse.de
- Refresh
  patches.suse/sched-nohz-Avoid-disabling-the-tick-for-very-short-durations.patch.
  Explain why the patch is still disabled.
- commit 7ae8115
* Tue Sep 14 2021 mgorman@suse.de
- Refresh
  patches.suse/cpuidle-Poll-for-a-minimum-of-30ns-and-poll-for-a-tick-if-lower-c-states-are-disabled.patch.
  Explain why the patch is still disabled.
- commit 847d537
* Tue Sep 14 2021 mgorman@suse.de
- Refresh
  patches.suse/cpufreq-ondemand-set-default-up_threshold-to-30-on-multi-core-systems.patch.
  Explain why the patch is still disabled.
- commit 1e928cb
* Tue Sep 14 2021 mgorman@suse.de
- SUNRPC: don't pause on incomplete allocation (git fixes
  (net/sunrpc)).
- commit 3ed8811
* Tue Sep 14 2021 oneukum@suse.com
- swiotlb: Set dev->dma_io_tlb_mem to the swiotlb pool used
  (jsc#SLE-19358).
- commit 193178b
* Tue Sep 14 2021 tiwai@suse.de
- of: property: Disable fw_devlink DT support for X86 (git-fixes).
- pwm: mxs: Don't modify HW state in .probe() after the PWM chip
  was registered (git-fixes).
- thermal/drivers/qcom/spmi-adc-tm5: Don't abort probing if a
  sensor is not used (git-fixes).
- thermal/core: Fix thermal_cooling_device_register() prototype
  (git-fixes).
- thermal/drivers/exynos: Fix an error code in exynos_tmu_probe()
  (git-fixes).
- clk: ralink: avoid to set 'CLK_IS_CRITICAL' flag for gates
  (git-fixes).
- clk: renesas: rzg2l: Fix off-by-one check in
  rzg2l_cpg_clk_src_twocell_get() (git-fixes).
- clk: renesas: rzg2l: Fix a double free on error (git-fixes).
- clk: socfpga: agilex: add the bypass register for s2f_usr0 clock
  (git-fixes).
- clk: socfpga: agilex: fix up s2f_user0_clk representation
  (git-fixes).
- clk: socfpga: agilex: fix the parents of the psi_ref_clk
  (git-fixes).
- mailbox: sti: quieten kernel-doc warnings (git-fixes).
- commit 9555884
* Tue Sep 14 2021 tiwai@suse.de
- pwm: lpc32xx: Don't modify HW state in .probe() after the PWM
  chip was registered (git-fixes).
- pwm: ab8500: Fix register offset calculation to not depend on
  probe order (git-fixes).
- clk: zynqmp: fix kernel doc (git-fixes).
- clk: imx8m: fix clock tree update of TF-A managed clocks
  (git-fixes).
- clk: imx8mm: use correct mux type for clkout path (git-fixes).
- clk: kirkwood: Fix a clocking boot regression (git-fixes).
- clk: at91: clk-generated: Limit the requested rate to our range
  (git-fixes).
- clk: rockchip: drop GRF dependency for rk3328/rk3036 pll types
  (git-fixes).
- IMA: remove -Wmissing-prototypes warning (git-fixes).
- commit 3ddd71a
* Mon Sep 13 2021 dbueso@suse.de
- futex: Remove unused variable 'vpid' in
  futex_proxy_trylock_atomic() (bsc#1190137 bsc#1189998).
- futex: Avoid redundant task lookup (bsc#1190137 bsc#1189998).
- futex: Clarify comment for requeue_pi_wake_futex() (bsc#1190137
  bsc#1189998).
- futex: Prevent inconsistent state and exit race (bsc#1190137
  bsc#1189998).
- futex: Return error code instead of assigning it without effect
  (bsc#1190137 bsc#1189998).
- commit feb090a
* Mon Sep 13 2021 dbueso@suse.de
- locking/rtmutex: Fix ww_mutex deadlock check (bsc#1190137
  bsc#1189998).
- locking/rwsem: Add missing __init_rwsem() for PREEMPT_RT
  (bsc#1190137 bsc#1189998).
- ipc: replace costly bailout check in sysvipc_find_ipc()
  (bsc#1190187).
- clocksource: Make clocksource watchdog test safe for slow-HZ
  systems (bsc#1190366).
- hrtimer: Unbreak hrtimer_force_reprogram() (bsc#1190366).
- hrtimer: Use raw_cpu_ptr() in clock_was_set() (bsc#1190366).
- hrtimer: Avoid more SMP function calls in clock_was_set()
  (bsc#1190366).
- hrtimer: Avoid unnecessary SMP function calls in clock_was_set()
  (bsc#1190366).
- hrtimer: Add bases argument to clock_was_set() (bsc#1190366).
- time/timekeeping: Avoid invoking clock_was_set() twice
  (bsc#1190366).
- timekeeping: Distangle resume and clock-was-set events
  (bsc#1190366).
- timerfd: Provide timerfd_resume() (bsc#1190366).
- hrtimer: Force clock_was_set() handling for the HIGHRES=n,
  NOHZ=y case (bsc#1190366).
- hrtimer: Ensure timerfd notification for HIGHRES=n
  (bsc#1190366).
- hrtimer: Consolidate reprogramming code (bsc#1190366).
- hrtimer: Avoid double reprogramming in
  __hrtimer_start_range_ns() (bsc#1190366).
- posix-cpu-timers: Recalc next expiration when timer_settime()
  ends up not queueing (bsc#1190366).
- posix-cpu-timers: Consolidate timer base accessor (bsc#1190366).
- posix-cpu-timers: Remove confusing return value override
  (bsc#1190366).
- posix-cpu-timers: Force next expiration recalc after itimer
  reset (bsc#1190366).
- posix-cpu-timers: Force next_expiration recalc after timer
  deletion (bsc#1190366).
- posix-cpu-timers: Assert task sighand is locked while starting
  cputime counter (bsc#1190366).
- posix-timers: Remove redundant initialization of variable ret
  (bsc#1190366).
- commit 011c676
* Mon Sep 13 2021 lhenriques@suse.de
- ceph: fix dereference of null pointer cf (bsc#1190451).
- ceph: cancel delayed work instead of flushing on mdsc teardown
  (bsc#1190450).
- ceph: fix memory leak on decode error in ceph_handle_caps
  (bsc#1190449).
- commit 88b4fb8
* Mon Sep 13 2021 mgorman@suse.de
- sched: Prevent balance_push() on remote runqueues (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- sched/idle: Make the idle timer expire in hard interrupt context
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- locking/rtmutex: Fix ww_mutex deadlock check (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- commit 49ddff0
* Mon Sep 13 2021 bp@suse.de
- KVM: SVM: Add 5-level page table support for SVM
  (jsc#SLE-19031).
- commit 0f049f1
* Mon Sep 13 2021 bp@suse.de
- KVM: x86/mmu: Support shadowing NPT when 5-level paging is
  enabled in host (jsc#SLE-19031).
- commit e29bb21
* Mon Sep 13 2021 oneukum@suse.com
- PCI: Refactor pci_ioremap_bar() and pci_ioremap_wc_bar()
  (jsc#SLE-19358).
- commit ecdcb3d
* Mon Sep 13 2021 oneukum@suse.com
- PCI: Use pci_update_current_state() in pci_enable_device_flags()
  (jsc#SLE-19359).
- commit a7e5f38
* Mon Sep 13 2021 oneukum@suse.com
- swiotlb: Update is_swiotlb_active to add a struct device
  argument (jsc#SLE-19358).
- commit 57a468f
* Mon Sep 13 2021 oneukum@suse.com
- time: Handle negative seconds correctly in timespec64_to_ns()
  (git-fixes).
- commit 9143783
* Mon Sep 13 2021 bp@suse.de
- KVM: x86: Allow CPU to force vendor-specific TDP level
  (jsc#SLE-19031).
- commit 7c5fbaa
* Mon Sep 13 2021 tiwai@suse.de
- Update patch reference for a BT fix (bsc#1190424)
- commit cbd9338
* Mon Sep 13 2021 tiwai@suse.de
- HID: usbhid: Simplify code in hid_submit_ctrl() (git-fixes).
- commit e2aa05b
* Mon Sep 13 2021 tiwai@suse.de
- auxdisplay: hd44780: Fix oops on module unloading (git-fixes).
- net: dsa: mt7530: fix VLAN traffic leaks again (stable-5.14.1).
- commit 4d90932
* Mon Sep 13 2021 martin.wilck@suse.com
- fixup "rpm: support gz and zst compression methods" once more
  (bsc#1190428, bsc#1190358)
  Fixes: 3b8c4d9bcc24 ("rpm: support gz and zst compression methods")
  Fixes: 23510fce36ec ("fixup "rpm: support gz and zst compression methods"")
- commit 165378a
* Mon Sep 13 2021 tiwai@suse.de
- Linux 5.14.3 (stable-5.14.3).
- commit 6323b14
* Mon Sep 13 2021 tiwai@suse.de
- ALSA: usb-audio: Add registration quirk for JBL Quantum 800
  (stable-5.14.3).
- cxl/pci: Fix debug message in cxl_probe_regs() (stable-5.14.3).
- cxl/pci: Fix lockdown level (stable-5.14.3).
- cxl/acpi: Do not add DSDT disabled ACPI0016 host bridge ports
  (stable-5.14.3).
- Bluetooth: Add additional Bluetooth part for Realtek 8852AE
  (stable-5.14.3).
- igmp: Add ip_mc_list lock in ip_check_mc_rcu (stable-5.14.3).
- x86/reboot: Limit Dell Optiplex 990 quirk to early BIOS versions
  (stable-5.14.3).
- Revert "r8169: avoid link-up interrupt issue on RTL8106e if
  user enables ASPM" (stable-5.14.3).
- commit da9501b
* Mon Sep 13 2021 tiwai@suse.de
- Update patch reference for stable-5.14.3
- commit d3527b2
* Mon Sep 13 2021 ghe@suse.com
- fs: dlm: fix return -EINTR on recovery stopped (bsc#1190378).
- commit a5b8aec
* Sun Sep 12 2021 martin.wilck@suse.com
- fixup "rpm: support gz and zst compression methods" once more
  Fixes: 3b8c4d9bcc24 ("rpm: support gz and zst compression methods")
  Fixes: 23510fce36ec ("fixup "rpm: support gz and zst compression methods"")
- commit 34e68f4
* Sun Sep 12 2021 jeffm@suse.com
- Avoid double printing SUSE specific flags in mod->taint (bsc#1190413).
- commit 05a7926
* Sun Sep 12 2021 martin.wilck@suse.com
- fixup "rpm: support gz and zst compression methods"
  Fixes: 3b8c4d9bcc24 ("rpm: support gz and zst compression methods")
- commit 23510fc
* Sat Sep 11 2021 tiwai@suse.de
- ACPI: PRM: Find PRMT table before parsing it (git-fixes).
- PM: sleep: core: Avoid setting power.must_resume to false
  (git-fixes).
- drm/ttm: Fix a deadlock if the target BO is not idle during swap
  (git-fixes).
- drm/ttm: Fix ttm_bo_move_memcpy() for subclassed struct
  ttm_resource (git-fixes).
- drm/panfrost: Use u64 for size in lock_region (git-fixes).
- drm/panfrost: Simplify lock_region calculation (git-fixes).
- drm/ttm: ttm_bo_device is now ttm_device (git-fixes).
- drm/amdkfd: drop process ref count when xnack disable
  (git-fixes).
- drm/amdgpu: Fix a deadlock if previous GEM object allocation
  fails (git-fixes).
- drm/amdgpu: Disable PCIE_DPM on Intel RKL Platform (git-fixes).
- commit ffccbd5
* Fri Sep 10 2021 msuchanek@suse.de
- kernel-cert-subpackage: Fix certificate location in scriptlets
  (bsc#1189841).
  Fixes: d9a1357edd73 ("rpm: Define $certs as rpm macro (bsc#1189841).")
- commit 8684de8
* Fri Sep 10 2021 denis.kirjanov@suse.com
- atlantic: Fix driver resume flow (jsc#SLE-19855).
- commit 78d21a0
* Fri Sep 10 2021 denis.kirjanov@suse.com
- net: atlantic: switch from 'pci_' to 'dma_' API (jsc#SLE-19855).
- commit 65338ab
* Fri Sep 10 2021 denis.kirjanov@suse.com
- qed: Enable automatic recovery on error condition
  (jsc#SLE-19875).
- commit 635baf8
* Fri Sep 10 2021 msuchanek@suse.de
- kernel-binary.spec.in Stop templating the scriptlets for subpackages
  (bsc#1190358).
  The script part for base package case is completely separate from the
  part for subpackages. Remove the part for subpackages from the base
  package script and use the KMP scripts for subpackages instead.
- commit 5d1f677
* Fri Sep 10 2021 msuchanek@suse.de
- kernel-binary.spec: Do not fail silently when KMP is empty
  (bsc#1190358).
  Copy the code from kernel-module-subpackage that deals with empty KMPs.
- commit d7d2e6e
* Fri Sep 10 2021 tiwai@suse.de
- dmaengine: idxd: make submit failure path consistent on desc
  freeing (git-fixes).
- commit 8c1c92b
* Fri Sep 10 2021 tiwai@suse.de
- blacklist.conf: Add an already cherry-picked dmaengine/idxd entry
- commit 6a92e25
* Fri Sep 10 2021 tiwai@suse.de
- dmaengine: idxd: add missing percpu ref put on failure
  (git-fixes).
- commit e15bd69
* Fri Sep 10 2021 tiwai@suse.de
- dmaengine: idxd: Remove unused status variable in
  irq_process_work_list() (git-fixes).
- dmaengine: idxd: remove fault processing code (git-fixes).
- commit 9340fe2
* Fri Sep 10 2021 tiwai@suse.de
- dmaengine: acpi: Avoid comparison GSI with Linux vIRQ
  (git-fixes).
- dmaengine: idxd: clear block on fault flag when clear wq
  (git-fixes).
- dmaengine: dw: Remove error message from DT parsing code
  (git-fixes).
- dmaengine: idxd: fix abort status check (git-fixes).
- dmaengine: idxd: fix wq slot allocation index check (git-fixes).
- dmaengine: idxd: have command status always set (git-fixes).
- dmanegine: idxd: cleanup all device related bits after disabling
  device (git-fixes).
- commit 3b93958
* Thu Sep  9 2021 msuchanek@suse.de
- Refresh patches.suse/nvme-multipath-revalidate-paths-during-rescan.patch.
  Update commit hash.
- commit eab59ce
* Thu Sep  9 2021 msuchanek@suse.de
- Refresh patches.suse/cpuidle-pseries-Fixup-CEDE0-latency-only-for-POWER10.patch
  Update patch metadata.
- commit 28383a8
* Thu Sep  9 2021 denis.kirjanov@suse.com
- bnxt_en: Fix possible unintended driver initiated error recovery
  (jsc#SLE-19704).
- commit 63dcc3d
* Thu Sep  9 2021 denis.kirjanov@suse.com
- bnxt_en: Fix UDP tunnel logic (jsc#SLE-19704).
- commit 4526d43
* Thu Sep  9 2021 denis.kirjanov@suse.com
- bnxt_en: Fix asic.rev in devlink dev info command
  (jsc#SLE-19704).
- commit e65f870
* Thu Sep  9 2021 denis.kirjanov@suse.com
- bnxt_en: fix read of stored FW_PSID version on P5 devices
  (jsc#SLE-19704).
- commit 8b9353d
* Thu Sep  9 2021 denis.kirjanov@suse.com
- bnxt_en: fix stored FW_PSID version masks (jsc#SLE-19704).
- commit 02da0ca
* Thu Sep  9 2021 denis.kirjanov@suse.com
- bnxt_en: fix kernel doc warnings in bnxt_hwrm.c (jsc#SLE-19704).
- commit 4e81dc5
* Thu Sep  9 2021 mgorman@suse.de
- Refresh
  patches.suse/mm-page_alloc.c-avoid-accessing-uninitialized-pcp-page-migratetype.patch.
  Update metadata and move to the sorted section.
- commit adb2477
* Thu Sep  9 2021 msuchanek@suse.de
- Enable MQ channelization by default for ibmvfc (jsc#SLE-20056).
  Delete patches.suse/ibmvfc-disable-MQ-channelization-by-default.patch.
- commit fef44f6
* Thu Sep  9 2021 msuchanek@suse.de
- Remove obsolete non-mainline patches (bsc#1178366).
- Delete patches.suse/ext4-show-the-dax-option-in-mount-options.patch.
- Delete patches.suse/xfs-show-the-dax-option-in-mount-options.patch.
- commit 1a3b5af
* Thu Sep  9 2021 mgorman@suse.de
- mm/mempolicy: fix a race between offset_il_node and
  mpol_rebind_task (bsc#1190208 (MM functional and performance
  backports)).
- mm,vmscan: fix divide by zero in get_scan_count (bsc#1190208
  (MM functional and performance backports)).
- mm: migrate: change to use bool type for 'page_was_mapped'
  (bsc#1190208 (MM functional and performance backports)).
- mm: migrate: fix the incorrect function name in comments
  (bsc#1190208 (MM functional and performance backports)).
- mm: migrate: introduce a local variable to get the number of
  pages (bsc#1190208 (MM functional and performance backports)).
- mm/workingset: correct kernel-doc notations (bsc#1190208
  (MM functional and performance backports)).
- fs/epoll: use a per-cpu counter for user's watches count
  (bsc#1190208 (MM functional and performance backports)).
- mm: introduce PAGEFLAGS_MASK to replace ((1UL << NR_PAGEFLAGS)
- 1) (bsc#1190208 (MM functional and performance backports)).
- mm: in_irq() cleanup (bsc#1190208 (MM functional and performance
  backports)).
- mm: remove redundant compound_head() calling (bsc#1190208
  (MM functional and performance backports)).
- mm: memory_hotplug: cleanup after removal of pfn_valid_within()
  (bsc#1190208 (MM functional and performance backports)).
- mm: remove pfn_valid_within() and CONFIG_HOLES_IN_ZONE
  (bsc#1190208 (MM functional and performance backports)).
- memory-hotplug.rst: complete admin-guide overhaul (bsc#1190208
  (MM functional and performance backports)).
- memory-hotplug.rst: remove locking details from admin-guide
  (bsc#1190208 (MM functional and performance backports)).
- commit 06dd188
* Thu Sep  9 2021 mgorman@suse.de
- mm/memory_hotplug: remove nid parameter from remove_memory()
  and friends (git fixes (mm/hotplug)).
- mm/memory_hotplug: remove nid parameter from
  arch_remove_memory() (git fixes (mm/hotplug)).
- mm/memory_hotplug: use "unsigned long" for PFN in
  zone_for_pfn_range() (git fixes (mm/hotplug)).
- commit 3108871
* Thu Sep  9 2021 mgorman@suse.de
- mm/vmstat: protect per cpu variables with preempt disable on RT
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- highmem: don't disable preemption on RT in kmap_atomic()
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- mm/madvise: add MADV_WILLNEED to process_madvise() (bsc#1190208
  (MM functional and performance backports)).
- mm/vmstat: remove unneeded return value (bsc#1190208 (MM
  functional and performance backports)).
- mm/vmstat: simplify the array size calculation (bsc#1190208
  (MM functional and performance backports)).
- mm/vmstat: correct some wrong comments (bsc#1190208 (MM
  functional and performance backports)).
- mm/percpu,c: remove obsolete comments of pcpu_chunk_populated()
  (bsc#1190208 (MM functional and performance backports)).
- mm/mempolicy.c: use in_task() in mempolicy_slab_node()
  (bsc#1190208 (MM functional and performance backports)).
- mm/mempolicy: use readable NUMA_NO_NODE macro instead of magic
  number (bsc#1190208 (MM functional and performance backports)).
- mm: compaction: optimize proactive compaction deferrals
  (bsc#1190208 (MM functional and performance backports)).
- mm/vmpressure: replace vmpressure_to_css() with
  vmpressure_to_memcg() (bsc#1190208 (MM functional and
  performance backports)).
- hugetlb: fix hugetlb cgroup refcounting during vma split
  (bsc#1190208 (MM functional and performance backports)).
- hugetlb: before freeing hugetlb page set dtor to appropriate
  value (bsc#1190208 (MM functional and performance backports)).
- hugetlb: drop ref count earlier after page allocation
  (bsc#1190208 (MM functional and performance backports)).
- hugetlb: simplify prep_compound_gigantic_page ref count racing
  code (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc.c: use in_task() (bsc#1190208 (MM functional
  and performance backports)).
- mm/page_alloc: make alloc_node_mem_map() __init rather than
  __ref (bsc#1190208 (MM functional and performance backports)).
- mm/page_alloc.c: fix 'zone_id' may be used uninitialized
  in this function warning (bsc#1190208 (MM functional and
  performance backports)).
- memblock: stop poisoning raw allocations (bsc#1190208 (MM
  functional and performance backports)).
- mm: introduce memmap_alloc() to unify memory map allocation
  (bsc#1190208 (MM functional and performance backports)).
- microblaze: simplify pte_alloc_one_kernel() (bsc#1190208
  (MM functional and performance backports)).
- mm/page_alloc: always initialize memory map for the holes
  (bsc#1190208 (MM functional and performance backports)).
- mm/vmalloc: fix wrong behavior in vread (git fixes (mm)).
- mm/vmalloc: remove gfpflags_allow_blocking() check (bsc#1190208
  (MM functional and performance backports)).
- mm/vmalloc: use batched page requests in bulk-allocator
  (bsc#1190208 (MM functional and performance backports)).
- include/linux/mmzone.h: avoid a warning in sparse memory support
  (bsc#1190208 (MM functional and performance backports)).
- mm/sparse: set SECTION_NID_SHIFT to 6 (bsc#1190208 (MM
  functional and performance backports)).
- mm: sparse: remove __section_nr() function (bsc#1190208 (MM
  functional and performance backports)).
- mm: sparse: pass section_nr to find_memory_block (bsc#1190208
  (MM functional and performance backports)).
- mm: sparse: pass section_nr to section_mark_present (bsc#1190208
  (MM functional and performance backports)).
- mm/bootmem_info.c: mark __init on
  register_page_bootmem_info_section (bsc#1190208 (MM functional
  and performance backports)).
- mm/mremap: fix memory account on do_munmap() failure (git fixes
  (mm)).
- remap_file_pages: Use vma_lookup() instead of find_vma()
  (bsc#1190208 (MM functional and performance backports)).
- mm/pagemap: add mmap_assert_locked() annotations to find_vma*()
  (bsc#1190208 (MM functional and performance backports)).
- mm: change fault_in_pages_* to have an unsigned size parameter
  (bsc#1190208 (MM functional and performance backports)).
- mm,do_huge_pmd_numa_page: remove unnecessary TLB flushing code
  (bsc#1190208 (MM functional and performance backports)).
- mm: remove flush_kernel_dcache_page (bsc#1190208 (MM functional
  and performance backports)).
- scatterlist: replace flush_kernel_dcache_page with
  flush_dcache_page (bsc#1190208 (MM functional and performance
  backports)).
- mmc: mmc_spi: replace flush_kernel_dcache_page with
  flush_dcache_page (bsc#1190208 (MM functional and performance
  backports)).
- mm: memcontrol: set the correct memcg swappiness restriction
  (git fixes (mm)).
- memcg: enable accounting for pids in nested pid namespaces
  (git fixes (mm)).
- mm, memcg: inline swap-related functions to improve disabled
  memcg config (bsc#1190208 (MM functional and performance
  backports)).
- mm, memcg: inline mem_cgroup_{charge/uncharge} to improve
  disabled memcg config (bsc#1190208 (MM functional and
  performance backports)).
- mm, memcg: add mem_cgroup_disabled checks in vmpressure
  and swap-related functions (bsc#1190208 (MM functional and
  performance backports)).
- shmem: shmem_writepage() split unlikely i915 THP (bsc#1190208
  (MM functional and performance backports)).
- huge tmpfs: decide stat.st_blksize by shmem_is_huge()
  (bsc#1190208 (MM functional and performance backports)).
- huge tmpfs: shmem_is_huge(vma, inode, index) (bsc#1190208
  (MM functional and performance backports)).
- huge tmpfs: SGP_NOALLOC to stop collapse_file() on race
  (bsc#1190208 (MM functional and performance backports)).
- huge tmpfs: move shmem_huge_enabled() upwards (bsc#1190208
  (MM functional and performance backports)).
- huge tmpfs: revert shmem's use of transhuge_vma_enabled()
  (bsc#1190208 (MM functional and performance backports)).
- huge tmpfs: remove shrinklist addition from shmem_setattr()
  (git fixes (mm/shmem)).
- huge tmpfs: fix split_huge_page() after FALLOC_FL_KEEP_SIZE
  (git fixes (mm/shmem)).
- huge tmpfs: fix fallocate(vanilla) advance over huge pages
  (git fixes (mm/shmem)).
- shmem: include header file to declare swap_info (bsc#1190208
  (MM functional and performance backports)).
- shmem: remove unneeded function forward declaration (bsc#1190208
  (MM functional and performance backports)).
- shmem: remove unneeded header file (bsc#1190208 (MM functional
  and performance backports)).
- shmem: remove unneeded variable ret (bsc#1190208 (MM functional
  and performance backports)).
- shmem: use raw_spinlock_t for ->stat_lock (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- mm: delete unused get_kernel_page() (bsc#1190208 (MM functional
  and performance backports)).
- fs, mm: fix race in unlinking swapfile (git fixes (mm)).
- mm/gup: small refactoring: simplify try_grab_page() (bsc#1190208
  (MM functional and performance backports)).
- mm/gup: documentation corrections for gup/pup (bsc#1190208
  (MM functional and performance backports)).
- mm: gup: use helper PAGE_ALIGNED in populate_vma_page_range()
  (git fixes (mm)).
- mm: gup: fix potential pgmap refcnt leak in __gup_device_huge()
  (git fixes (mm)).
- mm: gup: remove useless BUG_ON in __get_user_pages() (git fixes
  (mm)).
- mm: gup: remove unneed local variable orig_refs (git fixes
  (mm)).
- mm: gup: remove set but unused local variable major (git fixes
  (mm)).
- writeback: use READ_ONCE for unlocked reads of writeback stats
  (bsc#1190209 (VM/FS functional and performance backports)).
- writeback: rename domain_update_bandwidth() (bsc#1190209
  (VM/FS functional and performance backports)).
- writeback: fix bandwidth estimate for spiky workload
  (bsc#1190209 (VM/FS functional and performance backports)).
- writeback: reliably update bandwidth estimation (bsc#1190209
  (VM/FS functional and performance backports)).
- writeback: track number of inodes under writeback (bsc#1190209
  (VM/FS functional and performance backports)).
- mm: report a more useful address for reclaim acquisition
  (bsc#1190208 (MM functional and performance backports)).
- fsnotify: optimize the case of no marks of any type (bsc#1190120
  (Fsnotify functional and performance backports)).
- fsnotify: count all objects with attached connectors
  (bsc#1190120 (Fsnotify functional and performance backports)).
- fsnotify: count s_fsnotify_inode_refs for attached connectors
  (bsc#1190120 (Fsnotify functional and performance backports)).
- fsnotify: replace igrab() with ihold() on attach connector
  (bsc#1190120 (Fsnotify functional and performance backports)).
- commit 87371a8
* Thu Sep  9 2021 vbabka@suse.cz
- mm, slub: convert kmem_cpu_slab protection to local_lock
  (bsc#1189998).
- mm, slub: use migrate_disable() on PREEMPT_RT (bsc#1189998).
- mm, slub: protect put_cpu_partial() with disabled irqs instead
  of cmpxchg (bsc#1189998).
- mm, slub: make slab_lock() disable irqs with PREEMPT_RT
  (bsc#1189998).
- mm: slub: make object_map_lock a raw_spinlock_t (bsc#1189998).
- mm: slub: move flush_cpu_slab() invocations __free_slab()
  invocations out of IRQ context (bsc#1189998).
- mm, slab: split out the cpu offline variant of flush_slab()
  (bsc#1189998).
- mm, slub: don't disable irqs in slub_cpu_dead() (bsc#1189998).
- mm, slub: only disable irq with spin_lock in
  __unfreeze_partials() (bsc#1189998).
- mm, slub: separate detaching of partial list in
  unfreeze_partials() from unfreezing (bsc#1189998).
- mm, slub: detach whole partial list at once in
  unfreeze_partials() (bsc#1189998).
- mm, slub: discard slabs in unfreeze_partials() without irqs
  disabled (bsc#1189998).
- mm, slub: move irq control into unfreeze_partials()
  (bsc#1189998).
- mm, slub: call deactivate_slab() without disabling irqs
  (bsc#1189998).
- mm, slub: make locking in deactivate_slab() irq-safe
  (bsc#1189998).
- mm, slub: move reset of c->page and freelist out of
  deactivate_slab() (bsc#1189998).
- mm, slub: stop disabling irqs around get_partial()
  (bsc#1189998).
- mm, slub: check new pages with restored irqs (bsc#1189998).
- mm, slub: validate slab from partial list or page allocator
  before making it cpu slab (bsc#1189998).
- mm, slub: restore irqs around calling new_slab() (bsc#1189998).
- mm, slub: move disabling irqs closer to get_partial() in
  ___slab_alloc() (bsc#1189998).
- mm, slub: do initial checks in ___slab_alloc() with irqs enabled
  (bsc#1189998).
- mm, slub: move disabling/enabling irqs to ___slab_alloc()
  (bsc#1189998).
- mm, slub: simplify kmem_cache_cpu and tid setup (bsc#1189998).
- mm, slub: restructure new page checks in ___slab_alloc()
  (bsc#1189998).
- mm, slub: return slab page from get_partial() and set c->page
  afterwards (bsc#1189998).
- mm, slub: dissolve new_slab_objects() into ___slab_alloc()
  (bsc#1189998).
- mm, slub: extract get_partial() from new_slab_objects()
  (bsc#1189998).
- mm, slub: remove redundant unfreeze_partials() from
  put_cpu_partial() (bsc#1189998).
- mm, slub: don't disable irq for debug_check_no_locks_freed()
  (bsc#1189998).
- mm, slub: allocate private object map for validate_slab_cache()
  (bsc#1189998).
- mm, slub: allocate private object map for debugfs listings
  (bsc#1189998).
- mm, slub: don't call flush_all() from slab_debug_trace_open()
  (bsc#1189998).
- commit ba105d1
* Thu Sep  9 2021 tiwai@suse.de
- ALSA: hda/realtek: Workaround for conflicting SSID on ASUS
  ROG Strix G17 (stable-5.14.2).
- commit 48ec4ff
* Thu Sep  9 2021 neilb@suse.de
- SUNRPC: improve error response to over-size gss credential
  (bsc#1190022).
- commit 88072cd
* Wed Sep  8 2021 jeffm@suse.com
- Delete patches.suse/mdraid-fix-read-write-bytes-accounting.patch.
  This was resolved differently upstream across several releases.
- commit afcd1d0
* Wed Sep  8 2021 jeffm@suse.com
- SLE15-SP4: refresh and re-enable btrfs per-subvolume dev_t series
- commit a4a75e4
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Fix 64-bit doorbell operation on 32-bit kernels
  (jsc#SLE-19704).
- commit a9396a0
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: support multiple HWRM commands in flight
  (jsc#SLE-19704).
- commit 4f57dd9
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: remove legacy HWRM interface (jsc#SLE-19704).
- commit 4d87f72
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: update all firmware calls to use the new APIs
  (jsc#SLE-19704).
- commit 02d32b7
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: use link_lock instead of hwrm_cmd_lock to protect
  link_info (jsc#SLE-19704).
- commit 5933450
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: add support for HWRM request slices (jsc#SLE-19704).
- commit 4fdb6f3
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: add HWRM request assignment API (jsc#SLE-19704).
- commit 6aee5ab
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: discard out of sequence HWRM responses (jsc#SLE-19704).
- commit aae7bc0
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: introduce new firmware message API based on DMA pools
  (jsc#SLE-19704).
- commit fbdf313
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: move HWRM API implementation into separate file
  (jsc#SLE-19704).
- commit 95f1cd5
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Refactor the HWRM_VER_GET firmware calls
  (jsc#SLE-19704).
- commit c191d10
* Wed Sep  8 2021 jeffm@suse.com
- Update patch metadata for patches.suse/setuid-dumpable-wrongdir.
- commit 30e1cd3
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: remove DMA mapping for KONG response (jsc#SLE-19704).
- commit 19dfdb7
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt: count discards due to memory allocation errors
  (jsc#SLE-19704).
- commit 706770f
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt: count packets discarded because of netpoll
  (jsc#SLE-19704).
- commit 868a0a6
* Wed Sep  8 2021 denis.kirjanov@suse.com
- net: broadcom: switch from 'pci_' to 'dma_' API (jsc#SLE-19704).
- commit 9106d4f
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Increase maximum RX ring size if jumbo ring is not used
  (jsc#SLE-19704).
- commit dc9af50
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Don't use static arrays for completion ring pages
  (jsc#SLE-19704).
- commit fa8eb9d
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Log if an invalid signal detected on TSIO pin
  (jsc#SLE-19704).
- commit 9a9a0cc
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Event handler for PPS events (jsc#SLE-19704).
- commit 7dfe276
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: 1PPS functions to configure TSIO pins (jsc#SLE-19704).
- commit a03bb08
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: 1PPS support for 5750X family chips (jsc#SLE-19704).
- commit 722655d
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Do not read the PTP PHC during chip reset
  (jsc#SLE-19704).
- commit d9d4cdc
* Wed Sep  8 2021 denis.kirjanov@suse.com
- bnxt_en: Move bnxt_ptp_init() from bnxt_open() back to
  bnxt_init_one() (jsc#SLE-19704).
- commit bb87ff1
* Wed Sep  8 2021 tiwai@suse.de
- Bluetooth: schedule SCO timeouts with delayed_work
  (CVE-2021-3640 bsc#1188172).
- Refresh
  patches.suse/Bluetooth-fix-repeated-calls-to-sco_sock_kill.patch.
- Refresh patches.suse/Bluetooth-switch-to-lock_sock-in-SCO.patch.
- commit d68ed34
* Wed Sep  8 2021 jslaby@suse.cz
- rpm/kernel-source.spec.in: do some more for vanilla_only
  Make sure:
  * sources are NOT executable
  * env is not used as interpreter
  * timestamps are correct
  We do all this for normal kernel builds, but not for vanilla_only
  kernels (linux-next and vanilla).
- commit b41e4fd
* Wed Sep  8 2021 mgorman@suse.de
- mm/page_alloc: Use accumulated load when building node fallback
  list (git fixes (mm/pgalloc)).
- mm/page_alloc: Print node fallback order (git fixes
  (mm/pgalloc)).
- commit 4503c46
* Wed Sep  8 2021 mgorman@suse.de
- mm/page_alloc.c: avoid accessing uninitialized pcp page
  migratetype (git fixes (mm/pgalloc)).
- commit a609347
* Wed Sep  8 2021 mkoutny@suse.com
- Revert "memcg: enable accounting for file lock caches (bsc#1190115)."
  This reverts commit 78b761616bfb31a0d54806624e7c8db23fbeda9c.
  It's effectively upstream commit
  3754707bcc3e190e5dadc978d172b61e809cb3bd applied to kernel-source (to
  avoid proliferation of patches). Make a note in blacklist.conf too.
- commit 922c6d5
* Wed Sep  8 2021 mgorman@suse.de
- net/iucv: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- net: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- virtio_net: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- workqueue: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- hwmon: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- ACPI: processor: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- powercap: intel_rapl: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- PM: sleep: s2idle: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- cpufreq: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- clocksource: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- genirq/affinity: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- static_call: Update API documentation (bsc#1189998 (PREEMPT_RT
  prerequisite backports)).
- mm: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- md/raid5: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- Documentation: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- smpboot: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- perf/hw_breakpoint: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- perf/x86/intel: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- x86/mce/inject: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- x86/microcode: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- x86/mtrr: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- x86/mmiotrace: Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- s390/sclp: replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- s390: replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- padata: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- crypto: virtio - Replace deprecated CPU-hotplug functions
  (bsc#1189998 (PREEMPT_RT prerequisite backports)).
- torture: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- rcu: Replace deprecated CPU-hotplug functions (bsc#1189998
  (PREEMPT_RT prerequisite backports)).
- commit 8db1640
* Wed Sep  8 2021 tiwai@suse.de
- Linux 5.14.2 (stable-5.14.2).
- commit 0b343f1
* Wed Sep  8 2021 tiwai@suse.de
- HID: usbhid: Fix warning caused by 0-length input reports
  (stable-5.14.2).
- xtensa: fix kconfig unmet dependency warning for
  HAVE_FUTEX_CMPXCHG (stable-5.14.2).
- ext4: fix race writing to an inline_data file while its xattrs
  are changing (stable-5.14.2).
- ext4: fix e2fsprogs checksum failure for mounted filesystem
  (stable-5.14.2).
- ALSA: hda/realtek: Quirk for HP Spectre x360 14 amp setup
  (stable-5.14.2).
- commit 003e8d3
* Wed Sep  8 2021 mgorman@suse.de
- cgroup: Avoid compiler warnings with no subsystems (bsc#1190050
  (Cgroup functional and performance backports)).
- cgroup/cpuset: Avoid memory migration when nodemasks match
  (bsc#1190050 (Cgroup functional and performance backports)).
- cgroup/cpuset: Enable memory migration for cpuset v2
  (bsc#1190050 (Cgroup functional and performance backports)).
- cgroup/cpuset: Enable event notification when partition
  state changes (bsc#1190050 (Cgroup functional and performance
  backports)).
- cgroup: cgroup-v1: clean up kernel-doc notation (bsc#1190050
  (Cgroup functional and performance backports)).
- cgroup: Replace deprecated CPU-hotplug functions (bsc#1190050
  (Cgroup functional and performance backports)).
- cgroup/cpuset: Fix violation of cpuset locking rule (bsc#1190050
  (Cgroup functional and performance backports)).
- cgroup/cpuset: Fix a partition bug with hotplug (bsc#1190050
  (Cgroup functional and performance backports)).
- cgroup/cpuset: Miscellaneous code cleanup (bsc#1190050 (Cgroup
  functional and performance backports)).
- cgroup: remove cgroup_mount from comments (bsc#1190050 (Cgroup
  functional and performance backports)).
- commit 985c1b6
* Wed Sep  8 2021 tiwai@suse.de
- Update patch references for already backported stable-5.14.2 patches
- commit 8736f45
* Wed Sep  8 2021 mgorman@suse.de
- sched/topology: Skip updating masks for non-online nodes
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: Replace deprecated CPU-hotplug functions (bsc#1189999
  (Scheduler functional and performance backports)).
- sched: Skip priority checks with SCHED_FLAG_KEEP_PARAMS
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/deadline: Fix missing clock update in migrate_task_rq_dl()
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/fair: Avoid a second scan of target in select_idle_cpu
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/fair: Use prev instead of new target as recent_used_cpu
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: Don't report SCHED_FLAG_SUGOV in sched_getattr()
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/deadline: Fix reset_on_fork reporting of DL tasks
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched: remove redundant on_rq status change (bsc#1189999
  (Scheduler functional and performance backports)).
- sched: Optimize housekeeping_cpumask() in for_each_cpu_and()
  (bsc#1189999 (Scheduler functional and performance backports)).
- sched/sysctl: Move extern sysctl declarations to sched.h
  (bsc#1189999 (Scheduler functional and performance backports)).
- wait: use LIST_HEAD_INIT() to initialize wait_queue_head
  (bsc#1189999 (Scheduler functional and performance backports)).
- commit 4fafa6d
* Wed Sep  8 2021 tiwai@suse.de
- Update config files.
  Version bump 5.14.1 and a cleanup in armv7hl
- commit dcc91b9
* Wed Sep  8 2021 tiwai@suse.de
- PCI: controller: PCI_IXP4XX should depend on ARCH_IXP4XX
  (git-fixes).
- PCI: xilinx-nwl: Enable the clock through CCF (git-fixes).
- PCI: iproc: Fix BCMA probe resource handling (git-fixes).
- watchdog: iTCO_wdt: Fix detection of SMI-off case (git-fixes).
- remoteproc: fix kernel doc for struct rproc_ops (git-fixes).
- remoteproc: fix an typo in fw_elf_get_class code comments
  (git-fixes).
- commit e8fec37
* Wed Sep  8 2021 tiwai@suse.de
- PCI: of: Don't fail devm_pci_alloc_host_bridge() on missing
  'ranges' (git-fixes).
- PCI: aardvark: Fix reporting CRS value (git-fixes).
- PCI: pci-bridge-emul: Add PCIe Root Capabilities Register
  (git-fixes).
- PCI: aardvark: Increase polling delay to 1.5s while waiting
  for PIO response (git-fixes).
- PCI: aardvark: Fix checking for PIO status (git-fixes).
- PCI: Sync __pci_register_driver() stub for CONFIG_PCI=n
  (git-fixes).
- PCI/PTM: Remove error message at boot (git-fixes).
- PCI: Fix pci_dev_str_match_path() alloc while atomic bug
  (git-fixes).
- PCI/portdrv: Enable Bandwidth Notification only if port supports
  it (git-fixes).
- PCI: Return ~0 data on pciconfig_read() CAP_SYS_ADMIN failure
  (git-fixes).
- PCI: Call Max Payload Size-related fixup quirks early
  (git-fixes).
- mfd: lpc_sch: Rename GPIOBASE to prevent build error
  (git-fixes).
- mfd: tqmx86: Clear GPIO IRQ resource when no IRQ is set
  (git-fixes).
- commit d618f96
* Wed Sep  8 2021 tiwai@suse.de
- can: c_can: fix null-ptr-deref on ioctl() (git-fixes).
- iwlwifi: fix printk format warnings in uefi.c (git-fixes).
- firmware: dmi: Move product_sku info to the end of the modalias
  (git-fixes).
- backlight: ktd253: Stabilize backlight (git-fixes).
- mfd: axp20x: Update AXP288 volatile ranges (git-fixes).
- gpio: mpc8xxx: Use 'devm_gpiochip_add_data()' to simplify the
  code and avoid a leak (git-fixes).
- gpio: mpc8xxx: Fix a potential double iounmap call in
  'mpc8xxx_probe()' (git-fixes).
- gpio: mpc8xxx: Fix a resources leak in the error handling path
  of 'mpc8xxx_probe()' (git-fixes).
- commit bef14d8
* Wed Sep  8 2021 tiwai@suse.de
- Linux 5.14.1 (stable-5.14.1).
- commit df45c6c
* Wed Sep  8 2021 tiwai@suse.de
- Move upstreamed patches into sorted section
- commit 0a347d9
* Wed Sep  8 2021 dbueso@suse.de
- locking/atomic: add generic arch_*() bitops (bsc#1190282).
- locking/atomic: add arch_atomic_long*() (bsc#1190282).
- locking/atomic: centralize generated headers (bsc#1190282).
- locking/atomic: remove ARCH_ATOMIC remanants (bsc#1190282).
- locking/atomic: simplify ifdef generation (bsc#1190282).
- commit b0a0a9d
* Wed Sep  8 2021 dbueso@suse.de
- workqueue: Remove unused WORK_NO_COLOR (bsc#1190232).
- workqueue: Assign a color to barrier work items (bsc#1190232).
- workqueue: Mark barrier work with WORK_STRUCT_INACTIVE
  (bsc#1190232).
- workqueue: Change the code of calculating work_flags in
  (bsc#1190232).
- workqueue: Change arguement of pwq_dec_nr_in_flight()
  (bsc#1190232).
- workqueue: Rename "delayed" (delayed by active (bsc#1190232).
- workqueue: Replace deprecated ida_simple_*() with (bsc#1190232).
- workqueue: Fix typo in comments (bsc#1190232).
- workqueue: Fix possible memory leaks in wq_numa_init()
  (bsc#1190232).
- commit 380dfb2
* Tue Sep  7 2021 jeffm@suse.com
- config: update CMA_AREAS to reflect new default (bsc#1189685).
- config: sync config for removal of printk NMI tracking
- commit 8d3b4c2
* Tue Sep  7 2021 mkubecek@suse.cz
- Delete patches.suse/Revert-netfilter-conntrack-remove-helper-hook-again.patch (bsc#1189964)
  The regression addressed by this revert was fixed properly by mainline
  commit ee04805ff54a ("netfilter: conntrack: make conntrack userspace
  helpers work again") in 5.7.
- commit e86af82
* Tue Sep  7 2021 mbenes@suse.cz
- tracing/boot: Fix a hist trigger dependency for boot time
  tracing (git-fixes).
  The fix is not strictly needed in SLES because we have
  CONFIG_HIST_TRIGGERS=y for all supported architectures. However, armv7hl
  disables it and we may share the kernel with Leap one day, so better be
  safe.
- commit fdfc9e3
* Tue Sep  7 2021 vbabka@suse.cz
- mm, vmscan: guarantee drop_slab_node() termination (VM
  Functionality, bsc#1189301).
- commit 6376013
* Tue Sep  7 2021 oneukum@suse.com
- thunderbolt: test: split up test cases in
  tb_test_credit_alloc_all (jsc#SLE-19359 jsc#SLE-20163).
- commit 785e4a8
* Tue Sep  7 2021 oneukum@suse.com
- thunderbolt: Fix port linking by checking all adapters
  (jsc#SLE-19355).
- commit 6658ec3
* Tue Sep  7 2021 oneukum@suse.com
- thunderbolt: Do not read control adapter config space
  (jsc#SLE-19359 jsc#SLE-20163).
- commit 3d51d0d
* Tue Sep  7 2021 bp@suse.de
- EDAC/mce_amd: Do not load edac_mce_amd module on guests
  (bsc#1190138).
- commit 34aa35b
* Tue Sep  7 2021 tiwai@suse.de
- vfio/mbochs: Fix missing error unwind of mbochs_used_mbytes
  (git-fixes).
- vfio/samples: Remove module get/put (git-fixes).
- commit 5d9f639
* Tue Sep  7 2021 tiwai@suse.de
- pinctrl: samsung: Fix pinctrl bank pin count (git-fixes).
- pinctrl: zynqmp: Drop pinctrl_unregister for devm_ registered
  device (git-fixes).
- soc: mediatek: cmdq: add address shift in jump (git-fixes).
- platform/x86: dell-smbios-wmi: Add missing kfree in error-exit
  from run_smbios_call (git-fixes).
- platform/x86: ISST: Fix optimization with use of numa
  (git-fixes).
- vfio/pci: Make vfio_pci_regops->rw() return ssize_t (git-fixes).
- vfio: Use config not menuconfig for VFIO_NOIOMMU (git-fixes).
- speakup: use C99 syntax for array initializers (git-fixes).
- PM: EM: Increase energy calculation precision (git-fixes).
- PM: cpu: Make notifier chain use a raw_spinlock_t (git-fixes).
- commit 94af1da
* Tue Sep  7 2021 tiwai@suse.de
- pinctrl: ingenic: Fix bias config for X2000(E) (git-fixes).
- pinctrl: ingenic: Fix incorrect pull up/down info (git-fixes).
- pinctrl: stmfx: Fix hazardous u8[] to unsigned long cast
  (git-fixes).
- pinctrl: single: Fix error return code in
  pcs_parse_bits_in_pinctrl_entry() (git-fixes).
- pinctrl: mediatek: fix platform_no_drv_owner.cocci warnings
  (git-fixes).
- pinctrl: armada-37xx: Correct PWM pins definitions (git-fixes).
- lib/test_stackinit: Fix static initializer test (git-fixes).
- media: stkwebcam: fix memory leak in stk_camera_probe
  (git-fixes).
- net: usb: asix: ax88772: add missing stop (git-fixes).
- irqchip/gic-v3: Fix priority comparison when non-secure
  priorities are used (git-fixes).
- commit e822cd7
* Tue Sep  7 2021 tiwai@suse.de
- libata: add ATA_HORKAGE_NO_NCQ_TRIM for Samsung 860 and 870 SSDs
  (git-fixes).
- HID: usbhid: Fix flood of "control queue full" messages
  (git-fixes).
- HID: input: do not report stylus battery state as "full"
  (git-fixes).
- HID: amd_sfh: Fix period data field to enable sensor
  (git-fixes).
- HID: thrustmaster: clean up Makefile and adapt quirks
  (git-fixes).
- HID: i2c-hid: Fix Elan touchpad regression (git-fixes).
- brcmfmac: pcie: fix oops on failure to resume and reprobe
  (git-fixes).
- irqchip/apple-aic: Fix irq_disable from within irq handlers
  (git-fixes).
- irqchip/loongson-pch-pic: Improve edge triggered interrupt
  support (git-fixes).
- commit d828469
* Mon Sep  6 2021 mkoutny@suse.com
- memcg: enable accounting of ipc resources (bsc#1190115
  CVE-2021-3759).
- memcg: enable accounting for file lock caches (bsc#1190115).
- commit cac2650
* Mon Sep  6 2021 oneukum@suse.com
- USB: EHCI: Add alias for Broadcom INSNREG (git-fixes).
- commit 19a3422
* Mon Sep  6 2021 oneukum@suse.com
- USB: EHCI: Add register array bounds to HCS ports (git-fixes).
- commit ec4d52a
* Mon Sep  6 2021 oneukum@suse.com
- xhci: Add bus number to some debug messages (jsc#SLE-20163).
- commit 366daea
* Mon Sep  6 2021 oneukum@suse.com
- xhci: Add additional dynamic debug to follow URBs in cancel
  and error cases (jsc#SLE-20163).
- commit 89e620e
* Mon Sep  6 2021 oneukum@suse.com
- Update
  patches.suse/xhci-Fix-failure-to-give-back-some-cached-cancelled-.patch
  (jsc#SLE-20163).
- commit d237ca8
* Mon Sep  6 2021 oneukum@suse.com
- xhci: fix even more unsafe memory usage in xhci tracing
  (jsc#SLE-20163).
- commit cea4b08
* Mon Sep  6 2021 oneukum@suse.com
- xhci: fix unsafe memory usage in xhci tracing (jsc#SLE-20163).
- commit a271851
* Mon Sep  6 2021 oneukum@suse.com
- thunderbolt: Handle ring interrupt by reading interrupt status
  register (jsc#SLE-20163).
- commit 8815f0d
* Mon Sep  6 2021 oneukum@suse.com
- usb: typec: tcpm: Support non-PD mode (jsc#SLE-20163).
- commit 984cb96
* Mon Sep  6 2021 mgorman@suse.de
- sched: Fix UCLAMP_FLAG_IDLE setting (git fixes (sched)).
- sched/numa: Fix is_core_idle() (git fixes (sched)).
- sched/debug: Don't update sched_domain debug directories before
  sched_debug_init() (git fixes (sched)).
- commit 0e8b960
* Mon Sep  6 2021 oneukum@suse.com
- thunderbolt: Add vendor specific NHI quirk for auto-clearing
  interrupt status (jsc#SLE-19355 jsc#SLE-19359).
- commit 3795602
* Mon Sep  6 2021 oneukum@suse.com
- thunderbolt: Add authorized value to the KOBJ_CHANGE uevent
  (jsc#SLE-19359).
- commit f5a190c
* Mon Sep  6 2021 oneukum@suse.com
- bus: Make remove callback return void (jsc#SLE19359).
- commit 4f51634
* Mon Sep  6 2021 oneukum@suse.com
- PCI: endpoint: Make struct pci_epf_driver::remove return void
  (jsc#SLE-19359).
- commit b206fb1
* Mon Sep  6 2021 oneukum@suse.com
- s390/ccwgroup: Drop if with an always false condition
  (jsc#SLE-19359).
- commit 7adc17d
* Mon Sep  6 2021 oneukum@suse.com
- s390/scm: Make struct scm_driver::remove return void
  (jsc#SLE-19359).
- commit 22a6edf
* Mon Sep  6 2021 oneukum@suse.com
- s390/cio: Make struct css_driver::remove return void
  (jsc#SLE-19359).
- commit af06902
* Mon Sep  6 2021 msuchanek@suse.de
- rpm: Fold kernel-devel and kernel-source scriptlets into spec files
  (bsc#1189841).
  These are unchanged since 2011 when they were introduced. No need to
  track them separately.
- commit 692d38b
* Mon Sep  6 2021 msuchanek@suse.de
- rpm: Abolish image suffix (bsc#1189841).
  This is used only with vanilla kernel which is not supported in any way.
  The only effect is has is that the image and initrd symlinks are created
  with this suffix.
  These symlinks are not used except on s390 where the unsuffixed symlinks
  are used by zipl.
  There is no reason why a vanilla kernel could not be used with zipl as
  well as it's quite unexpected to not be able to boot when only a vanilla
  kernel is installed.
  Finally we now have a backup zipl kernel so if the vanilla kernel is
  indeed unsuitable the backup kernel can be used.
- commit e2f37db
* Mon Sep  6 2021 msuchanek@suse.de
- kernel-binary.spec: Define $image as rpm macro (bsc#1189841).
- commit e602b0f
* Mon Sep  6 2021 msuchanek@suse.de
- rpm: Define $certs as rpm macro (bsc#1189841).
  Also pass around only the shortened hash rather than full filename.
  As has been discussed in bsc#1124431 comment 51
  https://bugzilla.suse.com/show_bug.cgi?id=1124431#c51 the placement of
  the certificates is an API which cannot be changed unless we can ensure
  that no two kernels that use different certificate location can be built
  with the same certificate.
- commit d9a1357
* Mon Sep  6 2021 ghe@suse.com
- ocfs2: ocfs2_downconvert_lock failure results in deadlock
  (bsc#1188439).
- commit d87fe21
* Mon Sep  6 2021 tiwai@suse.de
- USB: serial: pl2303: fix GL type detection (git-fixes).
- USB: serial: cp210x: fix flow-control error handling
  (git-fixes).
- USB: serial: cp210x: fix control-characters error handling
  (git-fixes).
- mtd: rawnand: cafe: Fix a resource leak in the error handling
  path of 'cafe_nand_probe()' (git-fixes).
- mtd: rawnand: intel: Fix error handling in probe (git-fixes).
- mtd: spinand: Fix comment (git-fixes).
- mtd: mtdconcat: Check _read, _write callbacks existence before
  assignment (git-fixes).
- mtd: mtdconcat: Judge callback existence based on the master
  (git-fixes).
- commit 4851953
* Mon Sep  6 2021 tiwai@suse.de
- net: don't unconditionally copy_from_user a struct ifreq for
  socket ioctls (stable-5.14.1).
- audit: move put_tree() to avoid trim_trees refcount underflow
  and UAF (stable-5.14.1).
- ubifs: report correct st_size for encrypted symlinks
  (stable-5.14.1).
- f2fs: report correct st_size for encrypted symlinks
  (stable-5.14.1).
- ext4: report correct st_size for encrypted symlinks
  (stable-5.14.1).
- fscrypt: add fscrypt_symlink_getattr() for computing st_size
  (stable-5.14.1).
- Revert "floppy: reintroduce O_NDELAY fix" (stable-5.14.1).
- commit 0f888a9
* Mon Sep  6 2021 tiwai@suse.de
- Update patch reference for stable-5.14.1
- commit c1210cb
* Sat Sep  4 2021 jslaby@suse.cz
- watchdog: Fix NULL pointer dereference when releasing cdev
  (bsc#1190093).
- Update config files.
  We can enable the option after this fix again.
- commit d237379
* Fri Sep  3 2021 tiwai@suse.de
- supported.conf: Add missing entries for armv7hl builds
- commit 86ffe23
* Fri Sep  3 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-stacktrace-Include-linux-delay.h.patch.
- commit 35e6afe
* Fri Sep  3 2021 ohering@suse.de
- supported.conf: hv_sock is externally supported
- commit 8dbed5c
* Fri Sep  3 2021 dbueso@suse.de
- locking/rtmutex: Return success on deadlock for ww_mutex
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Prevent spurious EDEADLK return caused by
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Dequeue waiter on ww_mutex deadlock
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Dont dereference waiter lockless (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Initialize waiter.ww_ctx properly (bsc#1190137
  bsc#1189998).
- locking/local_lock: Add PREEMPT_RT support (bsc#1190137
  bsc#1189998).
- locking/spinlock/rt: Prepare for RT local_lock (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Add adaptive spinwait mechanism (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Implement equal priority lock stealing
  (bsc#1190137 bsc#1189998).
- preempt: Adjust PREEMPT_LOCK_OFFSET for RT (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Prevent lockdep false positive with PI
  (bsc#1190137 bsc#1189998).
- futex: Prevent requeue_pi() lock nesting issue on RT
  (bsc#1190137 bsc#1189998).
- futex: Simplify handle_early_requeue_pi_wakeup() (bsc#1190137
  bsc#1189998).
- futex: Reorder sanity checks in futex_requeue() (bsc#1190137
  bsc#1189998).
- futex: Clarify comment in futex_requeue() (bsc#1190137
  bsc#1189998).
- futex: Restructure futex_requeue() (bsc#1190137 bsc#1189998).
- futex: Correct the number of requeued waiters for PI
  (bsc#1190137 bsc#1189998).
- futex: Remove bogus condition for requeue PI (bsc#1190137
  bsc#1189998).
- futex: Clarify futex_requeue() PI handling (bsc#1190137
  bsc#1189998).
- futex: Clean up stale comments (bsc#1190137 bsc#1189998).
- futex: Validate waiter correctly in (bsc#1190137 bsc#1189998).
- lib/test_lockup: Adapt to changed variables (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Add mutex variant for RT (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Implement rtmutex based ww_mutex API
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Extend the rtmutex core to support ww_mutex
  (bsc#1190137 bsc#1189998).
- locking/ww_mutex: Add rt_mutex based lock type and accessors
  (bsc#1190137 bsc#1189998).
- locking/ww_mutex: Add RT priority to W/W order (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Implement rt_mutex accessors (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Abstract out internal lock accesses
  (bsc#1190137 bsc#1189998).
- locking/ww_mutex: Abstract out mutex types (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Abstract out mutex accessors (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Abstract out waiter enqueueing (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Abstract out the waiter iteration (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Remove the __sched annotation from ww_mutex
  (bsc#1190137 bsc#1189998).
- locking/ww_mutex: Split out the W/W implementation logic into
  (bsc#1190137 bsc#1189998).
- locking/ww_mutex: Split up ww_mutex_unlock() (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Gather mutex_waiter initialization
  (bsc#1190137 bsc#1189998).
- locking/ww_mutex: Simplify lockdep annotations (bsc#1190137
  bsc#1189998).
- locking/mutex: Make mutex::wait_lock raw (bsc#1190137
  bsc#1189998).
- locking/ww_mutex: Move the ww_mutex definitions from
  (bsc#1190137 bsc#1189998).
- locking/mutex: Move the 'struct mutex_waiter' definition from
  (bsc#1190137 bsc#1189998).
- locking/mutex: Consolidate core headers, remove (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Squash !RT tasks to DEFAULT_PRIO (bsc#1190137
  bsc#1189998).
- locking/rwlock: Provide RT variant (bsc#1190137 bsc#1189998).
- locking/spinlock: Provide RT variant (bsc#1190137 bsc#1189998).
- locking/rtmutex: Provide the spin/rwlock core lock function
  (bsc#1190137 bsc#1189998).
- locking/spinlock: Provide RT variant header: (bsc#1190137
  bsc#1189998).
- locking/spinlock: Provide RT specific spinlock_t (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Reduce <linux/rtmutex.h> header (bsc#1190137
  bsc#1189998).
- rbtree: Split out the rbtree type definitions into (bsc#1190137
  bsc#1189998).
- locking/lockdep: Reduce header dependencies in (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Prevent future include recursion hell
  (bsc#1190137 bsc#1189998).
- locking/spinlock: Split the lock types header, and move the
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Guard regular sleeping locks specific
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Prepare RT rt_mutex_wake_q for RT locks
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Use rt_mutex_wake_q_head (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Provide rt_wake_q_head and helpers (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Add wake_state to rt_mutex_waiter (bsc#1190137
  bsc#1189998).
- locking/rwsem: Add rtmutex based R/W semaphore implementation
  (bsc#1190137 bsc#1189998).
- locking/rt: Add base code for RT rw_semaphore and rwlock
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Provide rt_mutex_base_is_locked() (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Provide rt_mutex_slowlock_locked() (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Split out the inner parts of 'struct
  (bsc#1190137 bsc#1189998).
- locking/rtmutex: Split API from implementation (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Switch to from cmpxchg_*() to (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Convert macros to inlines (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Remove rt_mutex_is_locked() (bsc#1190137
  bsc#1189998).
- media/atomisp: Use lockdep instead of *mutex_is_locked()
  (bsc#1190137 bsc#1189998).
- sched/wake_q: Provide WAKE_Q_HEAD_INITIALIZER() (bsc#1190137
  bsc#1189998).
- sched/core: Provide a scheduling point for RT locks (bsc#1190137
  bsc#1189998).
- sched/core: Rework the __schedule() preempt argument
  (bsc#1190137 bsc#1189998).
- sched/wakeup: Prepare for RT sleeping spin/rwlocks (bsc#1190137
  bsc#1189998).
- sched/wakeup: Reorganize the current::__state helpers
  (bsc#1190137 bsc#1189998).
- sched/wakeup: Introduce the TASK_RTLOCK_WAIT state bit
  (bsc#1190137 bsc#1189998).
- sched/wakeup: Split out the wakeup ->__state check (bsc#1190137
  bsc#1189998).
- locking/rtmutex: Set proper wait context for lockdep
  (bsc#1190137 bsc#1189998).
- locking/local_lock: Add missing owner initialization
  (bsc#1190137 bsc#1189998).
- commit e9aaa1f
* Fri Sep  3 2021 dbueso@suse.de
- locking/semaphore: Add might_sleep() to down_*() family
  (bsc#1190137).
- Documentation/atomic_t: Document forward progress expectations
  (bsc#1190137).
- locking/rwsem: Remove an unused parameter of rwsem_wake()
  (bsc#1190137).
- Documentation/atomic_t: Document cmpxchg() vs try_cmpxchg()
  (bsc#1190137).
- locking/mutex: Add MUTEX_WARN_ON (bsc#1190137).
- locking/mutex: Introduce __mutex_trylock_or_handoff()
  (bsc#1190137).
- locking/mutex: Fix HANDOFF condition (bsc#1190137).
- locking/mutex: Use try_cmpxchg() (bsc#1190137).
- locktorture: Count lock readers (bsc#1190137).
- locktorture: Mark statistics data races (bsc#1190137).
- commit e3cdb0b
* Thu Sep  2 2021 mkubecek@suse.cz
- update patches metadata
  Once again, the nvme repository branch has been rebased so that patches
  from it must have their Git-commit tags updated to avoid git-sort errors.
- commit 0fe7e9c
* Thu Sep  2 2021 tiwai@suse.de
- supported.conf: yet more corrections for aarch64
  Moved cros-ec and qcom-spmi stuff into solely optional subpkg
- commit 3dd8f40
* Thu Sep  2 2021 tiwai@suse.de
- rpm/config.sh: Use Update OBS/IBS projects
  Using GA confuses armv7hl build on IBS, and we should keep tracking
  the update in anyway.
- commit 8986697
* Thu Sep  2 2021 pmladek@suse.com
- Delete
  patches.suse/printk-console-Correctly-mark-console-that-is-used-w.patch.
  The upstream commit e369d8227fd211be36242fc4 ("printk: Fix preferred
  console selection with multiple matches") should be enough to fix
  the original issue (bsc#1040020). It causes that register_console()
  first matches console names defined via the command line. The preferred
  name will match first and CON_CONSDEV (C) flag will be set. As a result,
  showconsole will know what console is associated with /dev/console.
- commit bcf71c6
* Thu Sep  2 2021 mbenes@suse.cz
- Update config files.
  Run run-oldconfig.sh and re-sort the config files to a clean state.
- commit 26fcbce
* Thu Sep  2 2021 pmladek@suse.com
- lib/nmi_backtrace: Serialize even messages about idle CPUs
  (bsc#1189998).
- commit f5da463
* Thu Sep  2 2021 pmladek@suse.com
- printk: syslog: close window between wait and read
  (bsc#1189998).
- commit 8faa622
* Thu Sep  2 2021 pmladek@suse.com
- printk: convert @syslog_lock to mutex (bsc#1189998).
- commit 75b3430
* Thu Sep  2 2021 pmladek@suse.com
- printk: remove NMI tracking (bsc#1189998).
- commit 76f2be0
* Thu Sep  2 2021 pmladek@suse.com
- printk: remove safe buffers (bsc#1189998).
- commit bad7a41
* Thu Sep  2 2021 tiwai@suse.de
- rpm/mkspec-dtb: Sync with TW branch
  A few changes have been missing for the recent kernels that resulted in
  build errors of dtb packages.
- commit 08ed01f
* Thu Sep  2 2021 pmladek@suse.com
- printk: track/limit recursion (bsc#1189998).
- commit 6ef1d1a
* Thu Sep  2 2021 wqu@suse.com
- btrfs: unify regular and subpage error paths in
  __extent_writepage() (jsc#SLE-17681).
- btrfs: allow read-write for 4K sectorsize on 64K page  size
  systems (jsc#SLE-17681).
- btrfs: subpage: fix relocation potentially overwriting  last
  page data (jsc#SLE-17681).
- btrfs: subpage: fix false alert when relocating partial
  preallocated data extents (jsc#SLE-17681).
- btrfs: subpage: fix a potential use-after-free in  writeback
  helper (jsc#SLE-17681).
- btrfs: subpage: fix race between prepare_pages() and
  btrfs_releasepage() (jsc#SLE-17681).
- btrfs: subpage: reject raid56 filesystem and profile  conversion
  (jsc#SLE-17681).
- btrfs: subpage: allow submit_extent_page() to do bio  split
  (jsc#SLE-17681).
- btrfs: subpage: disable inline extent creation (jsc#SLE-17681).
- btrfs: subpage: fix writeback which does not have  ordered
  extent (jsc#SLE-17681).
- btrfs: make relocate_one_page() handle subpage case
  (jsc#SLE-17681).
- btrfs: reloc: factor out relocation page read and dirty  part
  (jsc#SLE-17681).
- btrfs: rework lzo_decompress_bio() to make it subpage
  compatible (jsc#SLE-17681).
- btrfs: rework btrfs_decompress_buf2page() (jsc#SLE-17681).
- btrfs: grab correct extent map for subpage compressed  extent
  read (jsc#SLE-17681).
- btrfs: disable compressed readahead for subpage (jsc#SLE-17681).
- btrfs: subpage: check if there are compressed extents  inside
  one page (jsc#SLE-17681).
- btrfs: reset this_bio_flag to avoid inheriting old  flags
  (jsc#SLE-17681).
- btrfs: remove uptodate parameter from
  btrfs_dec_test_first_ordered_pending (jsc#SLE-17681).
- btrfs: switch uptodate to bool in
  btrfs_writepage_endio_finish_ordered (jsc#SLE-17681).
- btrfs: remove unused start and end parameters from
  btrfs_run_delalloc_range() (jsc#SLE-17681).
- btrfs: check-integrity: drop kmap/kunmap for block pages
  (jsc#SLE-17681).
- btrfs: compression: drop kmap/kunmap from generic helpers
  (jsc#SLE-17681).
- btrfs: compression: drop kmap/kunmap from zstd (jsc#SLE-17681).
- btrfs: compression: drop kmap/kunmap from zlib (jsc#SLE-17681).
- btrfs: compression: drop kmap/kunmap from lzo (jsc#SLE-17681).
- btrfs: drop from __GFP_HIGHMEM all allocations (jsc#SLE-17681).
- commit 8fdc8cf
* Thu Sep  2 2021 pmladek@suse.com
- lib/nmi_backtrace: explicitly serialize banner and regs
  (bsc#1189998).
- commit a46a563
* Thu Sep  2 2021 pmladek@suse.com
- printk/console: Check consistent sequence number when handling
  race in console_unlock() (bsc#1190111).
- commit f003e88
* Thu Sep  2 2021 tiwai@suse.de
- Fix wrongly dropped CONFIG_SUSE_KERNEL_SUPPORTED on default kernel
  In the commit 8ab07a9c3eb0, I mistakenly dropped CONFIG_SUSE_KERNEL_SUPPORTED
  for x86_64/default instead of x86_64/debug.  Correct the configs again.
- commit 517caa1
* Thu Sep  2 2021 tiwai@suse.de
- clk: staging: correct reference to config IOMEM to config
  HAS_IOMEM (git-fixes).
- Update config files.
- commit 553fdbe
* Thu Sep  2 2021 tiwai@suse.de
- supported.conf: More fixup for aarch64 build
  Also a typo fix in the previous change
- commit dbd4d65
* Thu Sep  2 2021 tiwai@suse.de
- drm/amd/pm: Fix a bug in semaphore double-lock (git-fixes).
- ASoC: rt5682: Remove unused variable in rt5682_i2c_remove()
  (git-fixes).
- commit 0cfdea4
* Thu Sep  2 2021 tiwai@suse.de
- xhci: Fix failure to give back some cached cancelled URBs
  (git-fixes).
- wcn36xx: Ensure finish scan is not requested before start scan
  (git-fixes).
- wan: remove stale Kconfig entries (git-fixes).
- commit a6904e7
* Thu Sep  2 2021 tiwai@suse.de
- blacklist.conf: Add an already cherry-picked wwan commit
- commit dc79c3b
* Thu Sep  2 2021 tiwai@suse.de
- usb: host: xhci-rcar: Don't reload firmware after the completion
  (git-fixes).
- usb: xhci-mtk: fix issue of out-of-bounds array access
  (git-fixes).
- usb: bdc: Fix a resource leak in the error handling path of
  'bdc_probe()' (git-fixes).
- usb: bdc: Fix an error handling path in 'bdc_probe()' when no
  suitable DMA config is available (git-fixes).
- usb: ehci-orion: Handle errors of clk_prepare_enable() in probe
  (git-fixes).
- Revert "USB: xhci: fix U1/U2 handling for hardware with
  XHCI_INTEL_HOST quirk set" (git-fixes).
- usb: gadget: mv_u3d: request_irq() after initializing UDC
  (git-fixes).
- usb: phy: tahvo: add IRQ check (git-fixes).
- usb: host: ohci-tmio: add IRQ check (git-fixes).
- VMCI: fix NULL pointer dereference when unmapping queue pair
  (git-fixes).
- commit cffd3f1
* Thu Sep  2 2021 tiwai@suse.de
- usb: gadget: udc: renesas_usb3: Fix soc_device_match() abuse
  (git-fixes).
- usb: gadget: tegra-xudc: fix the wrong mult value for HS isoc
  or intr (git-fixes).
- usb: cdnsp: fix the wrong mult value for HS isoc or intr
  (git-fixes).
- usb: mtu3: fix the wrong HS mult value (git-fixes).
- usb: mtu3: use @mult for HS isoc or intr (git-fixes).
- usb: mtu3: restore HS function when set SS/SSP (git-fixes).
- usb: phy: twl6030: add IRQ checks (git-fixes).
- usb: phy: fsl-usb: add IRQ check (git-fixes).
- usb: misc: brcmstb-usb-pinmap: add IRQ check (git-fixes).
- usb: gadget: udc: s3c2410: add IRQ check (git-fixes).
- commit ffaa491
* Thu Sep  2 2021 tiwai@suse.de
- usb: gadget: udc: at91: add IRQ check (git-fixes).
- usb: dwc3: qcom: add IRQ check (git-fixes).
- usb: dwc3: meson-g12a: add IRQ check (git-fixes).
- usb: isp1301-omap: Fix the GPIO include (git-fixes).
- tty: serial: fsl_lpuart: fix the wrong mapbase value
  (git-fixes).
- spi: spi-zynq-qspi: use wait_for_completion_timeout to make
  zynq_qspi_exec_mem_op not interruptible (git-fixes).
- spi: sprd: Fix the wrong WDG_LOAD_VAL (git-fixes).
- spi: spi-pic32: Fix issue with uninitialized dma_slave_config
  (git-fixes).
- spi: spi-fsl-dspi: Fix issue with uninitialized dma_slave_config
  (git-fixes).
- spi: <linux/spi/spi.h>: add missing struct kernel-doc entry
  (git-fixes).
- commit 872c90f
* Thu Sep  2 2021 tiwai@suse.de
- soc: rockchip: ROCKCHIP_GRF should not default to y,
  unconditionally (git-fixes).
- soc: qcom: smsm: Fix missed interrupts if state changes while
  masked (git-fixes).
- soc: qcom: aoss: Fix the out of bound usage of cooling_devs
  (git-fixes).
- soc: qcom: rpmhpd: Use corner in power_off (git-fixes).
- soc: mediatek: mmsys: Fix missing UFOE component in mt8173
  table routing (git-fixes).
- soc: mmsys: mediatek: add mask to mmsys routes (git-fixes).
- soc: aspeed: p2a-ctrl: Fix boundary check for mmap (git-fixes).
- soc: aspeed: lpc-ctrl: Fix boundary check for mmap (git-fixes).
- spi: davinci: invoke chipselect callback (git-fixes).
- spi: coldfire-qspi: Use clk_disable_unprepare in the remove
  function (git-fixes).
- commit b90aa8c
* Thu Sep  2 2021 tiwai@suse.de
- reset: simple: remove ZTE details in Kconfig help (git-fixes).
- staging: rtl8192u: Fix bitwise vs logical operator in
  TranslateRxSignalStuff819xUsb() (git-fixes).
- staging: rtl8723bs: fix wpa_set_auth_algs() function
  (git-fixes).
- rsi: fix an error code in rsi_probe() (git-fixes).
- rsi: fix error code in rsi_load_9116_firmware() (git-fixes).
- PCI: PM: Enable PME if it can be signaled from D3cold
  (git-fixes).
- power: supply: max17042: handle fails of reading status register
  (git-fixes).
- power: supply: cw2015: use dev_err_probe to allow deferred probe
  (git-fixes).
- regulator: vctrl: Avoid lockdep warning in enable/disable ops
  (git-fixes).
- regulator: vctrl: Use locked regulator_get_voltage in probe path
  (git-fixes).
- commit 9f6c7fa
* Thu Sep  2 2021 tiwai@suse.de
- memory: tegra: fix unused-function warning (git-fixes).
- media: venus: helper: do not set constrained parameters for UBWC
  (git-fixes).
- media: venus: venc: Fix potential null pointer dereference on
  pointer fmt (git-fixes).
- media: venus: hfi: fix return value check in
  sys_get_prop_image_version() (git-fixes).
- staging: mt7621-pci: fix hang when nothing is connected to
  pcie ports (git-fixes).
- misc/pvpanic: fix set driver data (git-fixes).
- mmc: moxart: Fix issue with uninitialized dma_slave_config
  (git-fixes).
- mmc: dw_mmc: Fix issue with uninitialized dma_slave_config
  (git-fixes).
- mmc: sdhci: Fix issue with uninitialized dma_slave_config
  (git-fixes).
- PCI: PM: Avoid forcing PCI_D0 for wakeup reasons inconsistently
  (git-fixes).
- commit 254fa4e
* Thu Sep  2 2021 tiwai@suse.de
- media: Documentation: media: Improve camera sensor documentation
  (git-fixes).
- media: omap3isp: Fix missing unlock in
  isp_subdev_notifier_complete() (git-fixes).
- media: em28xx-input: fix refcount bug in em28xx_usb_disconnect
  (git-fixes).
- media: atomisp: fix the uninitialized use and rename "retvalue"
  (git-fixes).
- media: coda: fix frame_mem_ctrl for YUV420 and YVU420 formats
  (git-fixes).
- media: rockchip/rga: fix error handling in probe (git-fixes).
- media: v4l2-subdev: fix some NULL vs IS_ERR() checks
  (git-fixes).
- media: go7007: remove redundant initialization (git-fixes).
- media: go7007: fix memory leak in go7007_usb_probe (git-fixes).
- media: dvb-usb: Fix error handling in dvb_usb_i2c_init
  (git-fixes).
- commit d7222a8
* Thu Sep  2 2021 tiwai@suse.de
- lib/test_scanf: Handle n_bits == 0 in random tests (git-fixes).
- media: dvb-usb: fix uninit-value in vp702x_read_mac_addr
  (git-fixes).
- media: dvb-usb: fix uninit-value in dvb_usb_adapter_dvb_init
  (git-fixes).
- media: cxd2880-spi: Fix an error handling path (git-fixes).
- media: TDA1997x: enable EDID support (git-fixes).
- media: atmel: atmel-sama5d2-isc: fix YUYV format (git-fixes).
- mac80211: Fix insufficient headroom issue for AMSDU (git-fixes).
- mac80211: remove unnecessary NULL check in
  ieee80211_register_hw() (git-fixes).
- leds: lgm-sso: Propagate error codes from callee to caller
  (git-fixes).
- lib/mpi: use kcalloc in mpi_resize (git-fixes).
- commit 7c24bb4
* Thu Sep  2 2021 tiwai@suse.de
- iio: ltc2983: fix device probe (git-fixes).
- iwlwifi: skip first element in the WTAS ACPI table (git-fixes).
- iwlwifi: mvm: fix old-style static const declaration
  (git-fixes).
- leds: trigger: audio: Add an activate callback to ensure the
  initial brightness is set (git-fixes).
- leds: rt8515: Put fwnode in any case during ->probe()
  (git-fixes).
- leds: lt3593: Put fwnode in any case during ->probe()
  (git-fixes).
- leds: lgm-sso: Don't spam logs when probe is deferred
  (git-fixes).
- leds: lgm-sso: Put fwnode in any case during ->probe()
  (git-fixes).
- leds: is31fl32xx: Fix missing error code in
  is31fl32xx_parse_dt() (git-fixes).
- i2c: xlp9xx: fix main IRQ check (git-fixes).
- commit 491c9c6
* Thu Sep  2 2021 tiwai@suse.de
- fpga: zynqmp-fpga: Address warning about unused variable
  (git-fixes).
- gve: fix the wrong AdminQ buffer overflow check (git-fixes).
- hwmon: remove amd_energy driver in Makefile (git-fixes).
- hwmon: sht4x: update Documentation for Malformed table
  (git-fixes).
- i2c: mt65xx: fix IRQ check (git-fixes).
- i2c: hix5hd2: fix IRQ check (git-fixes).
- i2c: s3c2410: fix IRQ check (git-fixes).
- i2c: iop3xx: fix deferred probing (git-fixes).
- i2c: synquacer: fix deferred probing (git-fixes).
- i2c: highlander: add IRQ check (git-fixes).
- commit bf527f5
* Thu Sep  2 2021 tiwai@suse.de
- firmware: qcom_scm: Mark string array const (git-fixes).
- drm/exynos: g2d: fix missing unlock on error in
  g2d_runqueue_worker() (git-fixes).
- drm/amdgpu: fix kernel-doc warnings on non-kernel-doc comments
  (git-fixes).
- drm/msi/mdp4: populate priv->kms in mdp4_kms_init (git-fixes).
- drm/msm/dp: replug event is converted into an unplug followed
  by an plug events (git-fixes).
- firmware: fix theoretical UAF race with firmware cache and
  resume (git-fixes).
- firmware: raspberrypi: Fix a leak in 'rpi_firmware_get()'
  (git-fixes).
- fpga: xilinx-pr-decoupler: Address warning about unused variable
  (git-fixes).
- fpga: xiilnx-spi: Address warning about unused variable
  (git-fixes).
- fpga: altera-freeze-bridge: Address warning about unused
  variable (git-fixes).
- commit c9e6f32
* Thu Sep  2 2021 tiwai@suse.de
- drm/msm/dsi: Fix some reference counted resource leaks
  (git-fixes).
- drm/msm/dpu: make dpu_hw_ctl_clear_all_blendstages clear
  necessary LMs (git-fixes).
- drm/msm/dp: update is_connected status base on sink count at
  dp_pm_resume() (git-fixes).
- drm/msm/disp/dpu1: add safe lut config in dpu driver
  (git-fixes).
- drm/msm: Fix error return code in msm_drm_init() (git-fixes).
- drm/mgag200: Select clock in PLL update functions (git-fixes).
- drm: bridge: it66121: Check drm_bridge_attach retval
  (git-fixes).
- drm/bridge: ti-sn65dsi86: Fix power off sequence (git-fixes).
- drm/amd/pm: Fix a bug communicating with the SMU (v5)
  (git-fixes).
- drm/amdgpu/acp: Make PM domain really work (git-fixes).
- commit f068ea3
* Thu Sep  2 2021 tiwai@suse.de
- drm/dp_mst: Fix return code on sideband message failure
  (git-fixes).
- drm: mxsfb: Clear FIFO_CLEAR bit (git-fixes).
- drm: mxsfb: Increase number of outstanding requests on V4 and
  newer HW (git-fixes).
- drm: mxsfb: Enable recovery on underflow (git-fixes).
- drm/prime: fix comment on PRIME Helpers (git-fixes).
- drm: rcar-du: Don't put reference to drm_device in
  rcar_du_remove() (git-fixes).
- drm/of: free the iterator object on failure (git-fixes).
- drm/of: free the right object (git-fixes).
- drm/gma500: Fix end of loop tests for list_for_each_entry
  (git-fixes).
- drm/panfrost: Make sure MMU context lifetime is not bound to
  panfrost_priv (git-fixes).
- commit 594b73c
* Thu Sep  2 2021 tiwai@suse.de
- docs: networking: dpaa2: fix chapter title format (git-fixes).
- docs: kvm: properly format code blocks and lists (git-fixes).
- docs: kvm: fix build warnings (git-fixes).
- docs: printk-formats: fix build warning (git-fixes).
- dmaengine: imx-sdma: remove duplicated sdma_load_context
  (git-fixes).
- Revert "dmaengine: imx-sdma: refine to load context only once"
  (git-fixes).
- drm/bridge: anx7625: Make hpd workqueue freezable (git-fixes).
- drm/panfrost: Fix missing clk_disable_unprepare() on error in
  panfrost_clk_init() (git-fixes).
- Revert "drm/i915/display: Drop FIXME about turn off infoframes"
  (git-fixes).
- driver core: Fix error return code in really_probe()
  (git-fixes).
- commit 845b17f
* Thu Sep  2 2021 tiwai@suse.de
- counter: 104-quad-8: Return error when invalid mode during
  ceiling_write (git-fixes).
- clocksource/drivers/sh_cmt: Fix wrong setting if don't request
  IRQ for clock source channel (git-fixes).
- crypto: rmd320 - remove rmd320 in Makefile (git-fixes).
- crypto: qat - use proper type for vf_mask (git-fixes).
- crypto: omap - Avoid redundant copy when using truncated sg list
  (git-fixes).
- crypto: ccp - shutdown SEV firmware on kexec (git-fixes).
- crypto: ecc - handle unaligned input buffer in ecc_swap_digits
  (git-fixes).
- crypto: x86/aes-ni - add missing error checks in XTS code
  (git-fixes).
- char: tpm: Kconfig: remove bad i2c cr50 select (git-fixes).
- commit 761b234
* Thu Sep  2 2021 tiwai@suse.de
- Bluetooth: add timeout sanity check to hci_inquiry (git-fixes).
- Bluetooth: Move shutdown callback before flushing tx and rx
  queue (git-fixes).
- Bluetooth: btusb: check conditions before enabling USB ALT 3
  for WBS (git-fixes).
- Bluetooth: fix repeated calls to sco_sock_kill (git-fixes).
- can: c_can: c_can_do_tx(): fix typo in comment (git-fixes).
- can: m_can: fix block comment style (git-fixes).
- can: tcan4x5x: cdev_to_priv(): remove stray empty line
  (git-fixes).
- can: j1939: j1939_session_tx_dat(): fix typo (git-fixes).
- can: bittiming: fix documentation for struct can_tdc
  (git-fixes).
- commit dfeba14
* Thu Sep  2 2021 tiwai@suse.de
- ASoC: wcd9335: Disable irq on slave ports in the remove function
  (git-fixes).
- ASoC: wcd9335: Fix a memory leak in the error handling path
  of the probe function (git-fixes).
- ASoC: wcd9335: Fix a double irq free in the remove function
  (git-fixes).
- bcma: Fix memory leak for internally-handled cores (git-fixes).
- ath6kl: wmi: fix an error code in ath6kl_wmi_sync_point()
  (git-fixes).
- Bluetooth: increase BTNAMSIZ to 21 chars to fix potential
  buffer overflow (git-fixes).
- Bluetooth: btusb: Make the CSR clone chip force-suspend
  workaround more generic (git-fixes).
- Bluetooth: mgmt: Fix wrong opcode in the response for add_adv
  cmd (git-fixes).
- Bluetooth: btusb: Fix a unspported condition to set available
  debug features (git-fixes).
- Bluetooth: sco: prevent information leak in
  sco_conn_defer_accept() (git-fixes).
- commit b676294
* Thu Sep  2 2021 denis.kirjanov@suse.com
- igb: Avoid memcpy() over-reading of ETH_SS_STATS
  (jsc#SLE-19094).
- commit 93a11b3
* Thu Sep  2 2021 tiwai@suse.de
- ASoC: imx-rpmsg: change dev_err to dev_err_probe for
  - EPROBE_DEFER (git-fixes).
- ASoC: Intel: Skylake: Fix module resource and format selection
  (git-fixes).
- ASoC: Intel: Skylake: Leave data as is when invoking TLV IPCs
  (git-fixes).
- ASoC: Intel: kbl_da7219_max98927: Fix format selection for
  max98373 (git-fixes).
- ASoC: fsl_rpmsg: Check -EPROBE_DEFER for getting clocks
  (git-fixes).
- ASoC: rt5682: Properly turn off regulators if wrong device ID
  (git-fixes).
- ASoC: simple-card-utils: Avoid over-allocating DLCs (git-fixes).
- ASoC: mediatek: mt8183: Fix Unbalanced pm_runtime_enable in
  mt8183_afe_pcm_dev_probe (git-fixes).
- ASoC: mediatek: mt8192:Fix Unbalanced pm_runtime_enable in
  mt8192_afe_pcm_dev_probe (git-fixes).
- ASoC: tlv320aic32x4: Fix TAS2505/TAS2521 channel count
  (git-fixes).
- commit d69a91a
* Thu Sep  2 2021 denis.kirjanov@suse.com
- igb: Add counter to i21x doublecheck (jsc#SLE-19094).
- commit f117cef
* Thu Sep  2 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/btrfs-fix-NULL-pointer-dereference-when-deleting-dev.patch.
- Refresh
  patches.suse/nvme-code-command_id-with-a-genctr-for-use-after-fre.patch.
- Refresh
  patches.suse/nvme-pci-limit-maximum-queue-depth-to-4095.patch.
- Refresh
  patches.suse/nvme-tcp-don-t-check-blk_mq_tag_to_rq-when-receiving.patch.
- Refresh
  patches.suse/params-lift-param_set_uint_minmax-to-common-code.patch.
- commit d7a1b93
* Thu Sep  2 2021 tiwai@suse.de
- ASoC: codecs: wcd938x: fix returnvar.cocci warnings (git-fixes).
- ASoC: ti: delete some dead code in omap_abe_probe() (git-fixes).
- ASoC: wm_adsp: Put debugfs_remove_recursive back in (git-fixes).
- ASoC: rt5682: Adjust headset volume button threshold again
  (git-fixes).
- ASoC: Intel: Fix platform ID matching (git-fixes).
- ALSA: usb-audio: Add lowlatency module option (git-fixes).
- ALSA: usb-audio: Work around for XRUN with low latency playback
  (git-fixes).
- ALSA: pcm: fix divide error in snd_pcm_lib_ioctl (git-fixes).
- ALSA: usb-audio: Fix regression on Sony WALKMAN NW-A45 DAC
  (git-fixes).
- commit 749ac46
* Thu Sep  2 2021 tiwai@suse.de
- Move upstreamed btrfs and nvme patches into sorted section
- commit 7e285de
* Thu Sep  2 2021 tiwai@suse.de
- Move upstreamed BT fixes into sorted section
- commit 060f76e
* Thu Sep  2 2021 tiwai@suse.de
- blacklist.conf: Add an already cherry-picked BT entry
- commit 272beb8
* Thu Sep  2 2021 jslaby@suse.cz
- vt_kdsetmode: extend console locking (bsc#1190025
  CVE-2021-3753).
- commit 1133248
* Thu Sep  2 2021 tiwai@suse.de
- supported.conf: fix module subpkg dependencies for aarch64
- commit 14c4a2e
* Thu Sep  2 2021 tiwai@suse.de
- supported.conf: Add missing entries for aarch64 builds
- commit 804fe91
* Thu Sep  2 2021 jslaby@suse.cz
- Update config files. Disable CONFIG_WATCHDOG_HRTIMER_PRETIMEOUT
  (bsc#1190093)
- commit ba1434f
* Thu Sep  2 2021 tiwai@suse.de
- Fix config and supported.conf for ppc64le builds
  Disable irrelevant modules:
  CONFIG_MDIO_IPQ4019
  CONFIG_KEYBOARD_BCM
  CONFIG_SENSORS_GSC
  CONFIG_MFD_GATEWORKS_GSC
  CONFIG_I2C_HID_OF_GOODIX
  CONFIG_LEDS_AW2013
  CONFIG_XILINX_ZYNQMP_DPDMA
  CONFIG_VDPA and relevant ones
  CONFIG_IOMMU_IOVA
- commit d0e5beb
* Wed Sep  1 2021 tiwai@suse.de
- Update config files: drop CONFIG_SUSE_KERNEL_SUPPORTED on some flavors again (bsc#1190068)
- commit 8ab07a9
* Wed Sep  1 2021 tiwai@suse.de
- supported.conf: More fixups for x86-64 supported states
- commit 37a445d
* Wed Sep  1 2021 tiwai@suse.de
- Drop downstream patches for DRM AST drivers
  Those are neither applicable nor valid on the recent upstream code.
- commit ed98f8d
* Wed Sep  1 2021 tiwai@suse.de
- arm64: dts: rockchip: Disable CDN DP on Pinebook Pro
  (bsc#1188234).
- commit 84c42d0
* Wed Sep  1 2021 tiwai@suse.de
- regulator: mt6323: Add OF match table (bsc#1180731).
- regulator: mt6358: Add OF match table (bsc#1180731).
- regulator: mt6360: Add OF match table (bsc#1180731).
- commit 81a7c74
* Wed Sep  1 2021 tiwai@suse.de
- Bluetooth: btusb: Add support for Foxconn Mediatek Chip
  (bsc#1188064).
- Bluetooth: btusb: Add support for IMC Networks Mediatek Chip
  (bsc#1188064).
- commit 73cd599
* Wed Sep  1 2021 tiwai@suse.de
- supported.conf: Move spi-mux into extra for unneeded dependency mess
- commit 033b938
* Wed Sep  1 2021 tiwai@suse.de
- supported.conf: Sort entries
- commit defd825
* Wed Sep  1 2021 tiwai@suse.de
- Update config files: disable unneeded modules for s390x/default
  CONFIG_SERIAL_BCM63XX=n
  CONFIG_SERIAL_FSL_LINFLEXUART=n
  CONFIG_VDPA_SIM*=n
- commit d925443
* Wed Sep  1 2021 tiwai@suse.de
- Bluetooth: sco: Fix lock_sock() blockage by memcpy_from_msg()
  (CVE-2021-3640 bsc#1188172).
- commit 071eba1
* Wed Sep  1 2021 tiwai@suse.de
- Move upstreamed BT patches into sorted section
- commit 3fa501b
* Wed Sep  1 2021 tiwai@suse.de
- supported.conf: Fix for x86-64 build
- commit d459e8f
* Wed Sep  1 2021 dwagner@suse.de
- nvme-multipath: revalidate paths during rescan (bsc#1181972).
- commit ff45b6e
* Wed Sep  1 2021 ohering@suse.de
- supported.conf: hyperv_drm (jsc#sle-19733)
- commit 19a1bb2
* Wed Sep  1 2021 mbenes@suse.cz
- livepatch: Re-export two kallsyms functions
  Revert "kallsyms: unexport kallsyms_lookup_name() and
  kallsyms_on_each_symbol()" (bsc#1190003 jsc#SLE-17360).
- commit d62679f
* Wed Sep  1 2021 mbenes@suse.cz
- livepatch: Enable -flive-patching GCC option
  Revert "Revert "kbuild: use -flive-patching when
  CONFIG_LIVEPATCH is enabled"" (bsc#1190003 jsc#SLE-17360).
- commit 8f68bda
* Wed Sep  1 2021 mbenes@suse.cz
- livepatch: Drop klp-convert patches
  It is highly unlikely we will ever use klp-convert, so drop two small
  patches we currently have in the tree.
  References: jsc#SLE-17360 bsc#1190003
- Delete
  patches.suse/livepatch-create-and-include-UAPI-headers.patch.
- Delete
  patches.suse/livepatch-modpost-ignore-unresolved-symbols.patch.
- commit 52ab380
* Wed Sep  1 2021 mbenes@suse.cz
- livepatch: Re-enable patches.suse/livepatch-dump-ipa-clones.patch
  Re-enable patches.suse/livepatch-dump-ipa-clones.patch, so that we can
  continue to use IPA clones dumps for live patching even on SLE15-SP4.
- Update config files.
- Update patches.suse/livepatch-dump-ipa-clones.patch
  (jsc#SLE-17360 bsc#1190003).
- commit c5b382c
* Tue Aug 31 2021 mgorman@suse.de
- Delete
  patches.suse/pcc-cpufreq-Re-introduce-deadband-effect-to-reduce-number-of-frequency-changes.patch.
- Delete
  patches.suse/sched-Further-improve-spurious-CPU_IDLE-active-migrations.patch.
  Evaluated and are unnecessary
- commit c00353f
* Tue Aug 31 2021 jeyu@suse.de
- rpm/config.sh: Update product and build projects.
- commit aa0b0dc
* Tue Aug 31 2021 mgorman@suse.de
- Add guards to out-of-tree performance patches that require re-evaluation
  While these patches apply, there have been changes made upstream that
  requires them to be re-evaluated.
- commit f4767bf
* Tue Aug 31 2021 msuchanek@suse.de
- rpm: Abolish scritplet templating (bsc#1189841).
  Outsource kernel-binary and KMP scriptlets to suse-module-tools.
  This allows fixing bugs in the scriptlets as well as defining initrd
  regeneration policy independent of the kernel packages.
- commit e98096d
* Tue Aug 31 2021 mbrugger@suse.com
- arm64: Update config files. (bsc#1189922, jsc#SLE-20148, jsc#SLE-20721)
  Enable ISP1760_DUAL_ROLE
- commit ad8336c
* Tue Aug 31 2021 jeyu@suse.de
- README.BRANCH: Update branch name and maintainers for SLE15-SP4
- commit 9b584c8
* Tue Aug 31 2021 msuchanek@suse.de
- Enable DEBUG_INFO_BTF (jsc#SLE-18805).
- commit 1b36b45
* Tue Aug 31 2021 msuchanek@suse.de
- Remove obsolete non-upstream patches (bsc#1165404).
- Delete patches.suse/powerpc-pseries-group-lmb-operation-and-memblock-s.patch.
- Delete patches.suse/powerpc-pseries-update-device-tree-before-ejecting-h.patch.
- commit ea3f853
* Tue Aug 31 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Use kmod-zstd provide.
  This makes it possible to use kmod with ZSTD support on non-Tumbleweed.
- commit 357f09a
* Mon Aug 30 2021 jeffm@suse.com
- config: enable CONFIG_BMP280 as module (bsc#1189695).
- commit 944ae09
* Mon Aug 30 2021 jeffm@suse.com
- config: enable CONFIG_SERIAL_DEV_BUS (bsc#1189694).
  As a result, two other options were exposed.  These are also aligned
  with the results of bsc#1182035.
  CONFIG_SERIAL_DEV_CTRL_TTYPORT=y
  CONFIG_BT_HCIUART_BCM=y
- config: disable CONFIG_REMOTEPROC on non-ARM architectures (bsc#1189693).
- config: disable CONFIG_SENSORS_LM3533 (bsc#1189690).
- config: enable CONFIG_EROFS_FS_ZIP (bsc#1189689).
- Delete patches.suse/misdn-add-support-for-group-membership-check.
  This patch depends on CONFIG_ISDN which is disabled.
- commit a070a3c
* Mon Aug 30 2021 jeffm@suse.com
- config: enable CONFIG_PRINTK_CALLER (bsc#1189671).
- config: modularize CONFIG_NF_REJECT_IPV[46] (bsc#1189111).
  Also mark these new modules as supported and part of the base package.
- config: increase CONFIG_LOG_CPU_MAX_BUF_SHIFT (bsc#1189076).
  CONFIG_LOG_CPU_MAX_BUF_SHIFT determines the size of a the printk log
  buffer.  This change syncs with the master branch and increases
  the buffer size from 4k/cpu to 32k/cpu.
- commit 57994c4
* Mon Aug 30 2021 jeffm@suse.com
- config: enable CONFIG_GENERIC_IRQ_DEBUGFS (bsc#1189074).
- config: re-enable NLS_ISO8859_1 for kvmsmall
  The EFI partition wants NLS_ISO8859_1 and will fail to mount without it.
- pvusb: fix build warning due to missing fallthrough annotation
- SLE15-SP4: fix and re-enable mobiveil errata patchset
  This also incorporates a revert of removed code from mainline:
- PCI: mobiveil: Remove unused readl and writel functions (bsc#1161495).
- SLE15-SP4: fix and re-enable oracleasm compatibilty exports
  bio_map_user_iov is again exported but its prototype has changed, which
  will require updates in the oracleasm code.
- commit cb8b4aa
* Mon Aug 30 2021 jeffm@suse.com
- SLE15-SP4: fix and re-enable rbd lio target support
  There were some API changes in the rbd code that required some rework.
  Notably, rbd_img_request_create was eliminated and the snapc argument
  was dropped, which didn't need particularly special handling at the call
  sites but deserved to be documented.
- SLE15-SP4: xfs: fix and re-enable repair of malformed inode items
  The log recovery subsystem was reworked and this patch needed minor
  updating.
- SLE15-SP4: fix and re-enable PKCS-7 codeSigning patch
  There was a new call site that needed usage passed to it but otherwise
  a simple update.
- SLE15-SP4: update product/release identifying patches and re-enable
  These didn't really require much updating but were dependent on the
  context of the supported-flag patches.
- commit de4c7ec
* Mon Aug 30 2021 jeffm@suse.com
- supported-flag: consolidate separate patches into one and re-enable
  The history of the five supported flag patches can be found in the commit
  log.  This commit unifies them and reverts the removal of get_next_line
  from mainline to allow supported() to repeatedly scan the file in memory
  without modifying it.  I looked into using tsearch() to handle the
  lookups and it turns out that it's no faster than just scanning the file
  repeatedly in memory.
- commit d453119
* Mon Aug 30 2021 jeffm@suse.com
- SLE15-SP4: re-enable patches with simple context conflicts
  Patches with simple context conflicts but are otherwise correct are
  fixed and re-enabled.
- commit 89a2230
* Mon Aug 30 2021 jeffm@suse.com
- SLE15-SP4: Update the base kernel version to 5.14.
  Required changes for rebasing:
- Remove all obsolete backports
- Remove all kABI references
- Remove all kABI fixes
- Remove obsolete blacklisted commits
- Disable kABI padding patches
- Disable and annotate patches that don't apply and need updating
- Update config files
- Update supported.conf with new dependencies
  All configurations retain settings from SLE15-SP3, if possible, and
  adopt new settings from master.
- commit 98da1c5
* Mon Aug 30 2021 ludwig.nussel@suse.de
- rpm/kernel-binary.spec.in: avoid conflicting suse-release
  suse-release has arbitrary values in staging, we can't use it for
  dependencies. The filesystem one has to be enough (boo#1184804).
- commit 56f2cba
* Fri Aug 27 2021 tiwai@suse.de
- net: qrtr: fix another OOB Read in qrtr_endpoint_post
  (CVE-2021-3743 bsc#1189883).
- net: qrtr: fix OOB Read in qrtr_endpoint_post (CVE-2021-3743
  bsc#1189883).
- commit 78ff8ba
* Fri Aug 27 2021 ludwig.nussel@suse.de
- rpm: fix kmp install path
- commit 22ec560
* Fri Aug 27 2021 wqu@suse.com
- btrfs: fix NULL pointer dereference when deleting device by
  invalid id (bsc#1189832 CVE-2021-3739).
- commit 6bfce07
* Thu Aug 26 2021 dwagner@suse.de
- nvme: code command_id with a genctr for use-after-free
  validation (bsc#1181972).
- nvme-tcp: don't check blk_mq_tag_to_rq when receiving pdu data
  (bsc#1181972).
- nvme-pci: limit maximum queue depth to 4095 (bsc#1181972).
- params: lift param_set_uint_minmax to common code (bsc#1181972).
- nvme: avoid possible double fetch in handling CQE (bsc#1181972).
- nvme-pci: fix NULL req in completion handler (bsc#1181972).
- nvme-pci: Use u32 for nvme_dev.q_depth and nvme_queue.q_depth
  (bsc#1181972).
- nvme-pci: use unsigned for io queue depth (bsc#1181972).
- commit 01de302
* Thu Aug 26 2021 ludwig.nussel@suse.de
- post.sh: detect /usr mountpoint too
- commit c7b3d74
* Thu Aug 26 2021 tiwai@suse.de
- kernel, fs: Introduce and use set_restart_fn() and
  arch_set_restart_data() (bsc#1189153).
- commit 8bf2f14
* Wed Aug 25 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/blk-mq-sched-Fix-blk_mq_sched_alloc_tags-error-handl.patch.
- commit 6f36e1b
* Wed Aug 25 2021 jroedel@suse.de
- perf/x86/amd: Don't touch the AMD64_EVENTSEL_HOSTONLY bit inside the guest (bsc#1189225).
- commit 8f47b8e
* Wed Aug 25 2021 oneukum@suse.com
- kABI fix of usb_dcd_config_params (git-fixes).
- commit 8726268
* Tue Aug 24 2021 bp@suse.de
- x86/fpu: Limit xstate copy size in xstateregs_set()
  (bsc#1152489).
- commit 33182b7
* Tue Aug 24 2021 bp@suse.de
- blacklist.conf: 9625895011d1 x86/fpu: Fix copy_xstate_to_kernel() gap handling
- commit 50f6bfa
* Tue Aug 24 2021 iivanov@suse.de
- net: usb: lan78xx: don't modify phy_device state concurrently (bsc#1188270)
- commit 4e61642
* Tue Aug 24 2021 martin.wilck@suse.com
- scsi: ibmvfc: Do not wait for initial device scan (bsc#1127650).
- commit 41aa06c
* Tue Aug 24 2021 oneukum@suse.com
- usb: gadget: Export recommended BESL values (git-fixes).
- commit 96bbeda
* Mon Aug 23 2021 ddiss@suse.de
- ovl: prevent private clone if bind mount is not allowed
  (bsc#1189706, CVE-2021-3732).
- commit d40514b
* Mon Aug 23 2021 mbenes@suse.cz
- blacklist.conf: 6c34df6f350d ("tracing: Apply trace filters on all output channels")
  Requires at least commit 8cfcf15503f6 ("tracing: kprobes: Output kprobe
  event to printk buffer") too. Let's wait if there is an actual problem
  for someone.
- commit ef40598
* Mon Aug 23 2021 martin.wilck@suse.com
- kernel-binary.spec.in: make sure zstd is supported by kmod if used
- commit f36412b
* Mon Aug 23 2021 martin.wilck@suse.com
- kernel-binary.spec.in: add zstd to BuildRequires if used
- commit aa61dba
* Mon Aug 23 2021 mbenes@suse.cz
- tracing / histogram: Fix NULL pointer dereference on strcmp()
  on NULL event name (git-fixes).
- commit bf4be33
* Mon Aug 23 2021 jroedel@suse.de
- x86/sev: Use "SEV: " prefix for messages from sev.c (jsc#SLE-14337).
- x86/sev: Split up runtime #VC handler for correct state tracking (jsc#SLE-14337).
- x86/sev: Make sure IRQs are disabled while GHCB is active (jsc#SLE-14337).
- commit 33b49b0
* Mon Aug 23 2021 bp@suse.de
- x86/signal: Detect and prevent an alternate signal stack
  overflow (bsc#1152489).
- commit 72c8a0d
* Mon Aug 23 2021 tiwai@suse.de
- slimbus: ngd: reset dma setup during runtime pm (git-fixes).
- slimbus: messaging: check for valid transaction id (git-fixes).
- slimbus: messaging: start transaction ids from 1 instead of zero
  (git-fixes).
- mmc: sdhci-iproc: Set SDHCI_QUIRK_CAP_CLOCK_BASE_BROKEN on
  BCM2711 (git-fixes).
- mmc: sdhci-iproc: Cap min clock frequency on BCM2711
  (git-fixes).
- commit cc02968
* Mon Aug 23 2021 neilb@suse.de
- Fix breakage of swap over NFS (bsc#1188924).
- commit 9f3f2ef
* Mon Aug 23 2021 jeffm@suse.com
- Update Patch-mainline tags for patches that landed in 5.14-rc7.
- commit 118111d
* Sun Aug 22 2021 tiwai@suse.de
- ALSA: hda/realtek: Limit mic boost on HP ProBook 445 G8
  (git-fixes).
- commit 7a5c94a
* Sun Aug 22 2021 tiwai@suse.de
- ASoC: intel: atom: Fix breakage for PCM buffer address setup
  (git-fixes).
- commit 0bed191
* Sun Aug 22 2021 tiwai@suse.de
- Update config files: disable CONFIG_SND_SOC_INTEL_BYT_CHT_NOCODEC_MACH (bsc#1189696)
  This option is only for special purpose, and rather harmful for the
  usual operations.
- commit 1e546ed
* Fri Aug 20 2021 martin.wilck@suse.com
- rpm: support gz and zst compression methods
  Extend commit 18fcdff43a00 ("rpm: support compressed modules") for
  compression methods other than xz.
- commit 3b8c4d9
* Fri Aug 20 2021 tiwai@suse.de
- ALSA: hda/hdmi: Add quirk to force pin connectivity on NUC10
  (git-fixes).
- ALSA: hda/realtek: fix mute led of the HP Pavilion 15-eh1xxx
  series (git-fixes).
- ALSA: hda/realtek - Add ALC285 HP init procedure (git-fixes).
- ALSA: hda/realtek - Add type for ALC287 (git-fixes).
- ALSA: hda/realtek: Change device names for quirks to barebone
  names (git-fixes).
- ALSA: hda/hdmi: fix max DP-MST dev_num for Intel TGL+ platforms
  (git-fixes).
- ALSA: hda/hdmi: let new platforms assign the pcm slot
  dynamically (git-fixes).
- commit a13877e
* Thu Aug 19 2021 neilb@suse.de
- SUNRPC: 'Directory with parent 'rpc_clnt' already
  present!' (bsc#1168202 bsc#1188924).
- SUNRPC: fix use-after-free in rpc_free_client_work()
  (bsc#1168202 bsc#1188924).
- kabi fix for SUNRPC: defer slow parts of rpc_free_client()
  to a workqueue (bsc#1168202 bsc#1188924).
- SUNRPC: defer slow parts of rpc_free_client() to a workqueue
  (bsc#1168202 bsc#1188924).
- commit a690151
* Thu Aug 19 2021 tiwai@suse.de
- ALSA: hda: Fix hang during shutdown due to link reset
  (git-fixes).
- ALSA: hda: Release controller display power during
  shutdown/reboot (git-fixes).
- commit 62c768e
* Thu Aug 19 2021 tiwai@suse.de
- PCI/MSI: Use msi_mask_irq() in pci_msi_shutdown() (git-fixes).
- PCI/MSI: Correct misleading comments (git-fixes).
- PCI/MSI: Enforce MSI[X] entry updates to be visible (git-fixes).
- PCI/MSI: Enforce that MSI-X table entry is masked for update
  (git-fixes).
- PCI/MSI: Mask all unused MSI-X entries (git-fixes).
- i2c: dev: zero out array used for i2c reads from userspace
  (git-fixes).
- commit 4d62c8f
* Thu Aug 19 2021 tiwai@suse.de
- ALSA: hda/via: Apply runtime PM workaround for ASUS B23E
  (git-fixes).
- ALSA: hda/realtek: Enable 4-speaker output for Dell XPS 15
  9510 laptop (git-fixes).
- ALSA: hda - fix the 'Capture Switch' value change notifications
  (git-fixes).
- commit bb87ddf
* Thu Aug 19 2021 msuchanek@suse.de
- s390/boot: fix use of expolines in the DMA code (bsc#1188878
  ltc#193771).
- commit 46381a6
* Thu Aug 19 2021 mkubecek@suse.cz
- series.conf: cleanup
- move mainline backports to sorted section:
  - patches.suse/KVM-nSVM-avoid-picking-up-unsupported-bits-from-L2-i.patch
  - patches.suse/KVM-nSVM-always-intercept-VMLOAD-VMSAVE-when-nested.patch
- commit 30636ef
* Wed Aug 18 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/x86-fpu-make-init_fpstate-correct-with-optimized-xsave.patch.
- commit 20ad695
* Wed Aug 18 2021 msuchanek@suse.de
- Refresh patches.suse/x86-fpu-make-init_fpstate-correct-with-optimized-xsave.patch.
- commit 9deb044
* Wed Aug 18 2021 jack@suse.cz
- Fix kabi of prepare_to_wait_exclusive() (bsc#1189575).
- commit da7e3ca
* Wed Aug 18 2021 msuchanek@suse.de
- powerpc/smp: Use existing L2 cache_map cpumask to find L3
  cache siblings (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- powerpc/cacheinfo: Remove the redundant get_shared_cpu_map()
  (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- powerpc/cacheinfo: Lookup cache by dt node and thread-group id
  (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- powerpc/smp: Make some symbols static (jsc#SLE-13615 bsc#1180100
  ltc#190257 git-fixes).
- powerpc/cacheinfo: Improve diagnostics about malformed cache
  lists (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- powerpc/cacheinfo: Use name@unit instead of full DT path in
  debug messages (jsc#SLE-13615 bsc#1180100 ltc#190257 git-fixes).
- commit f7e0183
* Wed Aug 18 2021 jack@suse.cz
- ubifs: Set/Clear I_LINKABLE under i_lock for whiteout inode
  (bsc#1189587).
- commit ae93a20
* Wed Aug 18 2021 jack@suse.cz
- ubifs: journal: Fix error return code in ubifs_jnl_write_inode()
  (bsc#1189586).
- commit 50b39b2
* Wed Aug 18 2021 jack@suse.cz
- ubifs: Only check replay with inode type to judge if inode
  linked (bsc#1187455).
- commit 3cfd5e7
* Wed Aug 18 2021 jack@suse.cz
- ubifs: Fix error return code in alloc_wbufs() (bsc#1189585).
- blacklist.conf:
- commit d0fe9df
* Wed Aug 18 2021 jack@suse.cz
- ubifs: Fix memleak in ubifs_init_authentication (bsc#1189583).
- commit abd23d2
* Wed Aug 18 2021 jack@suse.cz
- ocfs2: issue zeroout to EOF blocks (bsc#1189582).
- commit 7960ad8
* Wed Aug 18 2021 jack@suse.cz
- ocfs2: fix snprintf() checking (bsc#1189581).
- commit ca894bd
* Wed Aug 18 2021 jack@suse.cz
- ocfs2: fix zero out valid data (bsc#1189579).
- commit 42e68bc
* Wed Aug 18 2021 jack@suse.cz
- writeback: fix obtain a reference to a freeing memcg css
  (bsc#1189577).
- commit b318f10
* Wed Aug 18 2021 jack@suse.cz
- ext4: fix potential htree corruption when growing large_dir
  directories (bsc#1189576).
- commit 13d68f1
* Wed Aug 18 2021 jack@suse.cz
- rq-qos: fix missed wake-ups in rq_qos_throttle try two
  (bsc#1189575).
- commit edbcd21
* Wed Aug 18 2021 jack@suse.cz
- fanotify: fix copy_event_to_user() fid error clean up
  (bsc#1189574).
- commit a8937b5
* Wed Aug 18 2021 jack@suse.cz
- bdi: Do not use freezable workqueue (bsc#1189573).
- commit 60e4174
* Wed Aug 18 2021 jack@suse.cz
- mm/thp: unmap_mapping_page() to fix THP truncate_cleanup_page()
  (bsc#1189569).
- commit 1b1dfcf
* Wed Aug 18 2021 jack@suse.cz
- ext4: cleanup in-core orphan list if ext4_truncate() failed
  to get a transaction handle (bsc#1189568).
- commit 0ace36d
* Wed Aug 18 2021 jack@suse.cz
- ext4: use ext4_grp_locked_error in mb_find_extent (bsc#1189567).
- commit 4329025
* Wed Aug 18 2021 jack@suse.cz
- ext4: fix avefreec in find_group_orlov (bsc#1189566).
- commit d7bfbbd
* Wed Aug 18 2021 jack@suse.cz
- ext4: remove check for zero nr_to_scan in ext4_es_scan()
  (bsc#1189565).
- commit 3ca5f18
* Wed Aug 18 2021 jack@suse.cz
- ext4: correct the cache_nr in tracepoint ext4_es_shrink_exit
  (bsc#1189564).
- commit cd60859
* Wed Aug 18 2021 jack@suse.cz
- ext4: return error code when ext4_fill_flex_info() fails
  (bsc#1189563).
- commit 200d004
* Wed Aug 18 2021 jack@suse.cz
- ext4: fix kernel infoleak via ext4_extent_header (bsc#1189562).
- commit fd9a225
* Wed Aug 18 2021 martin.wilck@suse.com
- blacklist.conf: add Kconfig patch for BLK_DEV_INITRD
  Add 481083ec0bfc ("initramfs: Remove redundant dependency of RD_ZSTD
  on BLK_DEV_INITRD") to blacklist. We don't have be1859bdc660 ("initramfs:
  remove redundant dependency on BLK_DEV_INITRD"), on which this one is based,
  either.
- commit 598e95d
* Wed Aug 18 2021 dwagner@suse.de
- scsi: lpfc: Move initialization of phba->poll_list earlier to
  avoid crash (git-fixes).
- commit 92c63a5
* Wed Aug 18 2021 jroedel@suse.de
- KVM: nSVM: avoid picking up unsupported bits from L2 in int_ctl
  (bsc#1189399, CVE-2021-3653).
- KVM: nSVM: always intercept VMLOAD/VMSAVE when nested
  (bsc#1189400, CVE-2021-3656).
- KVM: X86: MMU: Use the correct inherited permissions to get
  shadow page (CVE-2021-38198 bsc#1189262).
- commit 7902615
* Wed Aug 18 2021 oneukum@suse.com
- usb: dwc3: gadget: Handle ZLP for sg requests (git-fixes).
- commit 2a94579
* Wed Aug 18 2021 varad.gautam@suse.com
- Revert "xfrm: policy: Read seqcount outside of rcu-read side
  in xfrm_policy_lookup_bytype" (bsc#1185675).
  This revert was initially applied to SLE15-SP2-RT (70e4d04b75f). Since
  the reverted commit went into SLE15-SP2 (96f285dfa8b), the revert needs
  to move from SLE15-SP2-RT to SLE15-SP2.
- commit f32a28c
* Wed Aug 18 2021 msuchanek@suse.de
- Update
  patches.suse/ibmvnic-Allow-device-probe-if-the-device-is-not-read.patch
  (bsc#1167032 ltc#184087 bsc#1184114 ltc#192237).
- commit 8a87839
* Wed Aug 18 2021 tiwai@suse.de
- blacklist.conf: add an entry for the reverted iTCO_wdt
- commit 4c97ae2
* Tue Aug 17 2021 oneukum@suse.com
- usb: dwc3: gadget: Fix handling ZLP (git-fixes).
- commit 5e0eec9
* Tue Aug 17 2021 mbenes@suse.cz
- tracing: Reject string operand in the histogram expression
  (git-fixes).
- commit edab067
* Tue Aug 17 2021 mbenes@suse.cz
- tracing / histogram: Give calculation hist_fields a size
  (git-fixes).
- commit 49985ee
* Tue Aug 17 2021 mbenes@suse.cz
- blacklist.conf: 1e3bac71c505 ("tracing/histogram: Rename "cpu" to "common_cpu"")
  Better not to backport the commit as it changes the semantics of an
  existing field.
- commit 00d0183
* Tue Aug 17 2021 mbenes@suse.cz
- blacklist.conf: 6c881ca0b304 ("afs: Fix tracepoint string placement with built-in AFS")
  CONFIG_AFS_FS is not set on SLE15-SP2. It is on SLE15-SP3 but only as a
  module, not built-in. No need to backport the commit.
- commit 43483b1
* Tue Aug 17 2021 jack@suse.cz
- blk-iolatency: error out if blk_get_queue() failed in
  iolatency_set_limit() (bsc#1189507).
- commit b15ef07
* Tue Aug 17 2021 jack@suse.cz
- blk-mq-sched: Fix blk_mq_sched_alloc_tags() error handling
  (bsc#1189506).
- commit 7fe32f7
* Tue Aug 17 2021 jack@suse.cz
- block: fix trace completion for chained bio (bsc#1189505).
- commit 47344da
* Tue Aug 17 2021 jack@suse.cz
- blk-wbt: make sure throttle is enabled properly (bsc#1189504).
- commit 7b07185
* Tue Aug 17 2021 jack@suse.cz
- blk-wbt: introduce a new disable state to prevent false positive
  by rwb_enabled() (bsc#1189503).
- commit 798c57a
* Tue Aug 17 2021 tiwai@suse.de
- misc: rtsx: do not setting OC_POWER_DOWN reg in
  rtsx_pci_init_ocp() (git-fixes).
- misc: atmel-ssc: lock with mutex instead of spinlock
  (git-fixes).
- commit 55d9570
* Tue Aug 17 2021 tiwai@suse.de
- gpio: eic-sprd: break loop when getting NULL device resource
  (git-fixes).
- Revert "gpio: eic-sprd: Use devm_platform_ioremap_resource()"
  (git-fixes).
- commit 990b695
* Tue Aug 17 2021 tiwai@suse.de
- Revert a BT patch that was reverted on stable trees (git-fixes)
  Delete patches.suse/Bluetooth-Shutdown-controller-after-workqueues-are-f.patch
- commit 127d54b
* Tue Aug 17 2021 tiwai@suse.de
- mtd: cfi_cmdset_0002: fix crash when erasing/writing AMD cards
  (git-fixes).
- commit 0a223c6
* Mon Aug 16 2021 bp@suse.de
- x86/fpu: Make init_fpstate correct with optimized XSAVE
  (bsc#1152489).
- commit 603fc19
* Mon Aug 16 2021 msuchanek@suse.de
- kernel-binary.spec: Require dwarves for kernel-binary-devel when BTF is
  enabled (jsc#SLE-17288).
  About the pahole version: v1.18 should be bare mnimum, v1.22 should be
  fully functional, for now we ship git snapshot with fixes on top of
  v1.21.
- commit 8ba3382
* Mon Aug 16 2021 bp@suse.de
- x86/fpu: Reset state for all signal restore failures
  (bsc#1152489).
- commit f42aa15
* Mon Aug 16 2021 dkirjanov@suse.com
- blacklist.conf: blacklist davicom legacy ethernet driver
- commit 78e9c10
* Mon Aug 16 2021 oneukum@suse.com
- usb: dwc3: gadget: Check MPS of the request length (git-fixes).
- commit 0d1e1fe
* Mon Aug 16 2021 tiwai@suse.de
- Drop watchdog iTCO_wdt patch that causes incompatible behavior (bsc#1189449)
  Also blacklisted
- commit e5dd4ab
* Mon Aug 16 2021 denis.kirjanov@suse.com
- Update config files.
- commit 565c68c
* Mon Aug 16 2021 msuchanek@suse.de
- s390/ap: Fix hanging ioctl caused by wrong msg counter
  (bsc#1188982 LTC#193817).
- commit 7e146ac
* Mon Aug 16 2021 msuchanek@suse.de
- s390/ap: Fix hanging ioctl caused by wrong msg counter
  (bsc#1188982 LTC#193817).
- commit 0297522
* Mon Aug 16 2021 tiwai@suse.de
- Bluetooth: switch to lock_sock in SCO (CVE-2021-3640
  bsc#1188172).
- Bluetooth: avoid circular locks in sco_sock_connect
  (CVE-2021-3640 bsc#1188172).
- commit f2d375d
* Mon Aug 16 2021 tiwai@suse.de
- Update patch reference for a BT fix (CVE-2021-3640 bsc#1188172)
- commit 98aa089
* Mon Aug 16 2021 msuchanek@suse.de
- powerpc/pseries: Fix update of LPAR security flavor after LPM
  (bsc#1188885 ltc#193722 git-fixes).
- commit fbccd6a
* Mon Aug 16 2021 tiwai@suse.de
- pinctrl: tigerlake: Fix GPIO mapping for newer version of
  software (git-fixes).
- commit 3483c38
* Mon Aug 16 2021 tiwai@suse.de
- usb: dwc3: gadget: Clear DEP flags after stop transfers in ep
  disable (git-fixes).
- commit 5733c23
* Mon Aug 16 2021 tiwai@suse.de
- usb: dwc3: gadget: Disable gadget IRQ during pullup disable
  (git-fixes).
- usb: dwc3: gadget: Prevent EP queuing while stopping transfers
  (git-fixes).
- commit 124c915
* Mon Aug 16 2021 tiwai@suse.de
- PCI/MSI: Do not set invalid bits in MSI mask (git-fixes).
- PCI/MSI: Enable and mask MSI-X early (git-fixes).
- ACPI: NFIT: Fix support for virtual SPA ranges (git-fixes).
- iio: adc: Fix incorrect exit of for-loop (git-fixes).
- iio: humidity: hdc100x: Add margin to the conversion time
  (git-fixes).
- iio: adc: ti-ads7950: Ensure CS is deasserted after reading
  channels (git-fixes).
- USB:ehci:fix Kunpeng920 ehci hardware problem (git-fixes).
- usb: dwc3: gadget: Restart DWC3 gadget when enabling pullup
  (git-fixes).
- usb: dwc3: Stop active transfers before halting the controller
  (git-fixes).
- commit 627b67a
* Fri Aug 13 2021 mkubecek@suse.cz
- config: refresh
- commit a299bb8
* Fri Aug 13 2021 tonyj@suse.de
- bpf: Fix integer overflow involving bucket_size (bsc#1189233,
  CVE#CVE-2021-38166).
- commit f4fe434
* Fri Aug 13 2021 msuchanek@suse.de
- Update patches.suse/s390-dasd-add-missing-discipline-function
  (bsc#1188130 ltc#193581).
- commit 0a58311
* Fri Aug 13 2021 lhenriques@suse.de
- ceph: take snap_empty_lock atomically with snaprealm refcount
  change (bsc#1189427).
- ceph: reduce contention in ceph_check_delayed_caps()
  (bsc#1187468).
- commit 93c7440
* Fri Aug 13 2021 dwagner@suse.de
- blacklist.conf: Add 'fix poly1305_core_setkey() declaration'
  Commit 8d195e7a8ada ("crypto: poly1305 - fix poly1305_core_setkey()
  declaration") is a cleanup which breaks kABI.
- commit 37e4183
* Fri Aug 13 2021 dwagner@suse.de
- scsi: blkcg: Fix application ID config options (bsc#1189385
  jsc#SLE-18970).
- Update config files.
- commit 1317caa
* Fri Aug 13 2021 dwagner@suse.de
- crypto: x86/curve25519 - fix cpu feature checking logic in
  mod_exit (git-fixes).
- wireguard: allowedips: free empty intermediate nodes when
  removing single node (git-fixes).
- wireguard: allowedips: allocate nodes in kmem_cache (git-fixes).
- wireguard: allowedips: remove nodes in O(1) (git-fixes).
- commit 6aa0bda
* Fri Aug 13 2021 tiwai@suse.de
- USB: serial: ftdi_sio: add device ID for Auto-M3 OP-COM v2
  (git-fixes).
- USB: serial: option: add Telit FD980 composition 0x1056
  (git-fixes).
- USB: serial: ch341: fix character loss at high transfer rates
  (git-fixes).
- usb: gadget: f_hid: idle uses the highest byte for duration
  (git-fixes).
- usb: gadget: f_hid: added GET_IDLE and SET_IDLE handlers
  (git-fixes).
- usb: gadget: f_hid: fixed NULL pointer dereference (git-fixes).
- commit f089244
* Fri Aug 13 2021 tiwai@suse.de
- drm/meson: fix colour distortion from HDR set during vendor
  u-boot (git-fixes).
- drm/i915: Only access SFC_DONE when media domain is not fused
  off (git-fixes).
- ASoC: SOF: Intel: hda-ipc: fix reply size checking (git-fixes).
- drm/amdgpu/display: fix DMUB firmware version info (git-fixes).
- drm/amdgpu/display: only enable aux backlight control for OLED
  panels (git-fixes).
- commit 8d4d06f
* Fri Aug 13 2021 tiwai@suse.de
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 650
  G8 Notebook PC (git-fixes).
- commit 71d7dbd
* Fri Aug 13 2021 tiwai@suse.de
- ALSA: pcm: Fix mmap breakage without explicit buffer setup
  (git-fixes).
- ASoC: amd: Fix reference to PCM buffer address (git-fixes).
- ASoC: uniphier: Fix reference to PCM buffer address (git-fixes).
- commit 8f53414
* Fri Aug 13 2021 tiwai@suse.de
- ALSA: hda: Add quirk for ASUS Flow x13 (git-fixes).
- ASoC: xilinx: Fix reference to PCM buffer address (git-fixes).
- ASoC: intel: atom: Fix reference to PCM buffer address
  (git-fixes).
- ASoC: tlv320aic31xx: Fix jack detection after suspend
  (git-fixes).
- spi: imx: mx51-ecspi: Fix CONFIGREG delay comment (git-fixes).
- virt_wifi: fix error on connect (git-fixes).
- commit 690710b
* Fri Aug 13 2021 tiwai@suse.de
- staging: rtl8712: get rid of flush_scheduled_work (git-fixes).
- staging: rtl8723bs: Fix a resource leak in sd_int_dpc
  (git-fixes).
- serial: 8250_mtk: fix uart corruption issue when rx power off
  (git-fixes).
- soc: ixp4xx/qmgr: fix invalid __iomem access (git-fixes).
- soc: ixp4xx: fix printing resources (git-fixes).
- spi: imx: mx51-ecspi: Fix low-speed CONFIGREG delay calculation
  (git-fixes).
- spi: meson-spicc: fix memory leak in meson_spicc_remove
  (git-fixes).
- pcmcia: i82092: fix a null pointer dereference bug (git-fixes).
- libata: fix ata_pio_sector for CONFIG_HIGHMEM (git-fixes).
- spi: imx: mx51-ecspi: Reinstate low-speed CONFIGREG delay
  (git-fixes).
- commit 24af025
* Fri Aug 13 2021 tiwai@suse.de
- ASoC: cs42l42: Fix LRCLK frame start edge (git-fixes).
- ASoC: cs42l42: Remove duplicate control for WNF filter frequency
  (git-fixes).
- ASoC: cs42l42: Fix inversion of ADC Notch Switch control
  (git-fixes).
- ASoC: cs42l42: Don't allow SND_SOC_DAIFMT_LEFT_J (git-fixes).
- ASoC: cs42l42: Correct definition of ADC Volume control
  (git-fixes).
- firmware_loader: use -ETIMEDOUT instead of -EAGAIN in
  fw_load_sysfs_fallback (git-fixes).
- Revert "ACPICA: Fix memory leak caused by _CID repair function"
  (git-fixes).
- dmaengine: imx-dma: configure the generic DMA type to make it
  work (git-fixes).
- ALSA: usb-audio: fix incorrect clock source setting (git-fixes).
- commit 20c4d69
* Thu Aug 12 2021 aabdallah@suse.de
- KVM: nVMX: Handle split-lock #AC exceptions that happen in L2
  (bsc#1187959).
- KVM: VMX: Extend VMXs #AC interceptor to handle split lock
  [#]AC in guest (bsc#1187959).
- KVM: x86: Emulate split-lock access as a write in emulator
  (bsc#1187959).
- commit 93dd7c1
* Thu Aug 12 2021 aabdallah@suse.de
- x86/split_lock: Provide handle_guest_split_lock() (bsc#1187959).
- Refresh
  patches.suse/x86-resctrl-query-llc-monitoring-properties-once-during-boot.patch.
  patches.suse/x86-split_lock-don-t-write-msr_test_ctrl-on-cpus-that-aren-t-whitelisted.patch.
- commit b9759ab
* Thu Aug 12 2021 dwagner@suse.de
- scsi: qla2xxx: Remove redundant initialization of variable
  num_cnt (bsc#1189392).
- scsi: qla2xxx: Fix use after free in debug code (bsc#1189392).
- scsi: qla2xxx: Fix spelling mistakes "allloc" -> "alloc"
  (bsc#1189392).
- scsi: qla2xxx: Update version to 10.02.00.107-k (bsc#1189392).
- scsi: qla2xxx: edif: Increment command and completion counts
  (bsc#1189392).
- scsi: qla2xxx: edif: Add encryption to I/O path (bsc#1189392).
- scsi: qla2xxx: edif: Add doorbell notification for app
  (bsc#1189392).
- scsi: qla2xxx: edif: Add detection of secure device
  (bsc#1189392).
- scsi: qla2xxx: edif: Add authentication pass + fail bsgs
  (bsc#1189392).
- scsi: qla2xxx: edif: Add key update (bsc#1189392).
- scsi: qla2xxx: edif: Add extraction of auth_els from the wire
  (bsc#1189392).
- scsi: qla2xxx: edif: Add send, receive, and accept for auth_els
  (bsc#1189392).
- scsi: qla2xxx: edif: Add getfcinfo and statistic bsgs
  (bsc#1189392).
- scsi: qla2xxx: edif: Add start + stop bsgs (bsc#1189392).
- scsi: qla2xxx: Remove unused variable 'status' (bsc#1189392).
- scsi: qla2xxx: Use the proper SCSI midlayer interfaces for PI
  (bsc#1189392).
- scsi: core: Add scsi_prot_ref_tag() helper (bsc#1189392).
- scsi: qla2xxx: Remove redundant continue statement in a for-loop
  (bsc#1189392).
- scsi: qla2xxx: Add heartbeat check (bsc#1189392).
- scsi: qla2xxx: Use list_move_tail() instead of
  list_del()/list_add_tail() (bsc#1189392).
- scsi: qla2xxx: Remove duplicate declarations (bsc#1189392).
- scsi: qla2xxx: Log PCI address in
  qla_nvme_unregister_remote_port() (bsc#1189392).
- scsi: qla2xxx: Remove redundant assignment to rval
  (bsc#1189392).
- scsi: target: qla2xxx: Wait for stop_phase1 at WWN removal
  (bsc#1189392).
- scsi: qla2xxx: Fix error return code in
  qla82xx_write_flash_dword() (bsc#1189392).
- commit 4f97d8a
* Thu Aug 12 2021 tiwai@suse.de
- Update patch reference for a netfilter fix (CVE-2021-38209 bsc#1189393)
- commit 26cdeeb
* Thu Aug 12 2021 dwagner@suse.de
- scsi: lpfc: Fix possible ABBA deadlock in nvmet_xri_aborted()
  (bsc#1189385).
- scsi: lpfc: Remove redundant assignment to pointer pcmd
  (bsc#1189385).
- scsi: lpfc: Copyright updates for 14.0.0.0 patches
  (bsc#1189385).
- scsi: lpfc: Update lpfc version to 14.0.0.0 (bsc#1189385).
- scsi: lpfc: Add 256 Gb link speed support (bsc#1189385).
- scsi: lpfc: Revise Topology and RAS support checks for new
  adapters (bsc#1189385).
- scsi: lpfc: Fix cq_id truncation in rq create (bsc#1189385).
- scsi: lpfc: Add PCI ID support for LPe37000/LPe38000 series
  adapters (bsc#1189385).
- scsi: lpfc: Copyright updates for 12.8.0.11 patches
  (bsc#1189385).
- scsi: lpfc: Update lpfc version to 12.8.0.11 (bsc#1189385).
- scsi: lpfc: Skip issuing ADISC when node is in NPR state
  (bsc#1189385).
- scsi: lpfc: Skip reg_vpi when link is down for SLI3 in ADISC
  cmpl path (bsc#1189385).
- scsi: lpfc: Call discovery state machine when handling
  PLOGI/ADISC completions (bsc#1189385).
- scsi: lpfc: Delay unregistering from transport until GIDFT or
  ADISC completes (bsc#1189385).
- scsi: lpfc: Enable adisc discovery after RSCN by default
  (bsc#1189385).
- scsi: lpfc: Use PBDE feature enabled bit to determine PBDE
  support (bsc#1189385).
- scsi: lpfc: Clear outstanding active mailbox during PCI function
  reset (bsc#1189385).
- scsi: lpfc: Fix KASAN slab-out-of-bounds in lpfc_unreg_rpi()
  routine (bsc#1189385).
- scsi: lpfc: Remove REG_LOGIN check requirement to issue an
  ELS RDF (bsc#1189385).
- scsi: lpfc: Fix memory leaks in error paths while issuing ELS
  RDF/SCR request (bsc#1189385).
- scsi: lpfc: Fix NULL ptr dereference with NPIV ports for RDF
  handling (bsc#1189385).
- scsi: lpfc: Keep NDLP reference until after freeing the IOCB
  after ELS handling (bsc#1189385).
- scsi: lpfc: Fix target reset handler from falsely returning
  FAILURE (bsc#1189385).
- scsi: lpfc: Discovery state machine fixes for LOGO handling
  (bsc#1189385).
- scsi: lpfc: Fix function description comments for vmid routines
  (bsc#1189385).
- scsi: lpfc: Improve firmware download logging (bsc#1189385).
- scsi: lpfc: Remove use of kmalloc() in trace event logging
  (bsc#1189385).
- scsi: lpfc: Fix NVMe support reporting in log message
  (bsc#1189385).
- scsi: lpfc: Fix build error in lpfc_scsi.c (bsc#1189385).
- scsi: lpfc: Use list_move_tail() instead of
  list_del()/list_add_tail() (bsc#1189385).
- scsi: lpfc: vmid: Introduce VMID in I/O path (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Add QFPA and VMID timeout check in worker
  thread (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Timeout implementation for VMID (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Append the VMID to the wqe before sending
  (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Implement CT commands for appid (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Functions to manage VMIDs (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Implement ELS commands for appid
  (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Add support for VMID in mailbox command
  (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: VMID parameter initialization (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: vmid: Add datastructure for supporting VMID in lpfc
  (bsc#1189385 jsc#SLE-18970).
- scsi: blkcg: Add app identifier support for blkcg (bsc#1189385 jsc#SLE-18970).
- Update config files
  Add kABI fixup patch
- patches.kabi/blk-cgroup-kABI-fixes-for-new-fc_app_id-definition.patch
- scsi: cgroup: Add cgroup_get_from_id() (bsc#1189385 jsc#SLE-18970).
- scsi: lpfc: Remove redundant assignment to pointer temp_hdr
  (bsc#1189385).
- commit e47f569
* Thu Aug 12 2021 dwagner@suse.de
- nvmet: use NVMET_MAX_NAMESPACES to set nn value (bsc#1189384).
- commit da8a2b6
* Wed Aug 11 2021 msuchanek@suse.de
- README: Modernize build instructions.
- commit 8cc5c28
* Wed Aug 11 2021 ddiss@suse.de
- ovl: allow upperdir inside lowerdir (bsc#1189323).
- ovl: fix missing revert_creds() on error path (bsc#1189323).
- ovl: skip getxattr of security labels (bsc#1189323).
- ovl: perform vfs_getxattr() with mounter creds (bsc#1189323).
- ovl: expand warning in ovl_d_real() (bsc#1189323).
- commit d2a0c13
* Wed Aug 11 2021 jslaby@suse.cz
- rpm/kernel-obs-build.spec.in: make builds reproducible (bsc#1189305)
- commit 7f9ade7
* Wed Aug 11 2021 tiwai@suse.de
- platform/x86: pcengines-apuv2: Add missing terminating entries
  to gpio-lookup tables (git-fixes).
- commit e6925d8
* Tue Aug 10 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  - patches.suse/NFSv4-Initialise-connection-to-the-server-in-nfs4_al.patch
  - patches.suse/NFSv4-pNFS-Don-t-call-_nfs4_pnfs_v3_ds_connect-multi.patch
  - patches.suse/SUNRPC-Fix-the-batch-tasks-count-wraparound.patch
  - patches.suse/SUNRPC-Should-wake-up-the-privileged-task-firstly.patch
  - patches.suse/nfs-fix-acl-memory-leak-of-posix_acl_create.patch
- commit bd541fa
* Tue Aug 10 2021 tiwai@suse.de
- net: ll_temac: Fix TX BD buffer overwrite (CVE-2021-38207
  bsc#1189298).
- commit 64dedf9
* Tue Aug 10 2021 tiwai@suse.de
- mac80211: Fix NULL ptr deref for injected rate info
  (CVE-2021-38206 bsc#1189296).
- commit a4dbb10
* Tue Aug 10 2021 martin.wilck@suse.com
- scsi: zfcp: Report port fc_security as unknown early during
  remote cable pull (git-fixes).
- commit 071c9e5
* Tue Aug 10 2021 tiwai@suse.de
- net: xilinx_emaclite: Do not print real IOMEM pointer
  (CVE-2021-38205 bsc#1189292).
- commit 1e538f8
* Tue Aug 10 2021 tiwai@suse.de
- Update patch reference for a USB max3421 HCD fix (CVE-2021-38204 bsc#1189291)
- commit 68d7672
* Tue Aug 10 2021 martin.wilck@suse.com
- scsi: scsi_transport_srp: Don't block target in SRP_PORT_LOST
  state (bsc#1184180).
- commit 435d2bf
* Tue Aug 10 2021 oneukum@suse.com
- usb: dwc3: gadget: Don't setup more than requested (git-fixes).
- commit d278880
* Tue Aug 10 2021 oneukum@suse.com
- usb: dwc3: meson-g12a: check return of dwc3_meson_g12a_usb_init
  (git-fixes).
- commit bc358f9
* Tue Aug 10 2021 ghe@suse.com
- ocfs2: initialize ip_next_orphan (bsc#1186731).
- commit fd80e8c
* Tue Aug 10 2021 neilb@suse.de
- NFSv4/pNFS: Don't call _nfs4_pnfs_v3_ds_connect multiple times
  (git-fixes).
- SUNRPC: Should wake up the privileged task firstly (git-fixes).
- SUNRPC: Fix the batch tasks count wraparound (git-fixes).
- nfs: fix acl memory leak of posix_acl_create() (git-fixes).
- commit 1bdda2d
* Tue Aug 10 2021 neilb@suse.de
- NFSv4: Initialise connection to the server in
  nfs4_alloc_client() (bsc#1040364).
- Delete
  patches.suse/0001-NFSv4-don-t-let-hanging-mounts-block-other-mounts.patch.
  Upstream now has a fix for this bug, so use their version instead of ours.
- commit 350271e
* Mon Aug  9 2021 oneukum@suse.com
- usb: dwc3: gadget: Give back staled requests (git-fixes).
- commit c4cb23f
* Mon Aug  9 2021 oneukum@suse.com
- usb: dwc3: support continuous runtime PM with dual role
  (git-fixes).
- commit f340e0b
* Mon Aug  9 2021 jroedel@suse.de
- iommu/vt-d: Global devTLB flush when present context entry
  changed (bsc#1189220).
- iommu/dma: Fix compile warning in 32-bit builds (bsc#1189229).
- iommu/dma: Fix IOVA reserve dma ranges (bsc#1189214).
- iommu/amd: Fix extended features logging (bsc#1189213).
- iommu/vt-d: Define counter explicitly as unsigned int
  (bsc#1189216).
- iommu/arm-smmu-v3: Decrease the queue size of evtq and priq
  (bsc#1189210).
- crypto: ccp - Annotate SEV Firmware file names (bsc#1189212).
- iommu/vt-d: Fix sysfs leak in alloc_iommu() (bsc#1189218).
- iommu/vt-d: Check for allocation failure in aux_detach_device()
  (bsc#1189215).
- iommu/vt-d: Force to flush iotlb before creating superpage
  (bsc#1189219).
- iommu/vt-d: Invalidate PASID cache when root/context entry
  changed (bsc#1189221).
- iommu/vt-d: Don't set then clear private data in
  prq_event_thread() (bsc#1189217).
- iommu/vt-d: Reject unsupported page request modes (bsc#1189222).
- iommu/arm-smmu-v3: add bit field SFM into GERROR_ERR_MASK
  (bsc#1189209).
- commit f116a8f
* Mon Aug  9 2021 jroedel@suse.de
- blacklist.conf: Add two IOMMU fixes
  b9abb19fa5fd iommu: Check dev->iommu in iommu_dev_xxx functions
  474dd1c65064 iommu/vt-d: Fix clearing real DMA device's scalable-mode context entries
- commit 2db8dfc
* Mon Aug  9 2021 msuchanek@suse.de
- powerpc/papr_scm: Make 'perf_stats' invisible if perf-stats
  unavailable (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769
  git-fixes).
- commit c109f3e
* Mon Aug  9 2021 ludwig.nussel@suse.de
- Fix filesystem requirement and suse-release requires
  Reduce filesystem conflict to anything less than 16 to allow pulling the
  change into the next major stable version.
  Don't require suse-release as that's not technically required. Conflict
  with a too old one instead.
- commit 913f755
* Mon Aug  9 2021 oneukum@suse.com
- iwlwifi: rs-fw: don't support stbc for HE 160 (git-fixes).
- commit 981ddc7
* Mon Aug  9 2021 oneukum@suse.com
- blacklist.conf: obsoleted by 8d396bb0a5b62b326f6be7594d8bd46b088296bd
- commit d9ae913
* Mon Aug  9 2021 oneukum@suse.com
- USB: usbtmc: Fix RCU stall warning (git-fixes).
- commit 8c8f7df
* Mon Aug  9 2021 msuchanek@suse.de
- powerpc: Fix is_kvm_guest() / kvm_para_available() (bsc#1181148
  ltc#190702 git-fixes).
- commit 8c2e999
* Mon Aug  9 2021 oneukum@suse.com
- fpga: dfl: fme: Fix cpu hotplug issue in performance reporting
  (git-fixes).
- commit 1278281
* Mon Aug  9 2021 msuchanek@suse.de
- powerpc/pseries: Fix regression while building external modules
  (bsc#1160010 ltc#183046 git-fixes).
  This changes a GPL symbol to general symbol which is kABI change but not
  kABI break.
- commit 5db0ce9
* Mon Aug  9 2021 msuchanek@suse.de
- powerpc/papr_scm: Reduce error severity if nvdimm stats
  inaccessible (bsc#1189197 ltc#193906).
- commit 9021659
* Mon Aug  9 2021 tiwai@suse.de
- fpga: dfl: fme: Fix cpu hotplug issue in performance reporting
  (git-fixes).
- staging: rtl8723bs: Fix a resource leak in sd_int_dpc
  (git-fixes).
- serial: 8250_pci: Avoid irq sharing for MSI(-X) interrupts
  (git-fixes).
- serial: 8250_pci: Enumerate Elkhart Lake UARTs via dedicated
  driver (git-fixes).
- soc: ixp4xx/qmgr: fix invalid __iomem access (git-fixes).
- soc: ixp4xx: fix printing resources (git-fixes).
- dmaengine: imx-dma: configure the generic DMA type to make it
  work (git-fixes).
- dmaengine: idxd: fix setup sequence for MSIXPERM table
  (git-fixes).
- drm/i915: Correct SFC_DONE register offset (git-fixes).
- ASoC: ti: j721e-evm: Check for not initialized parent_clk_id
  (git-fixes).
- ASoC: ti: j721e-evm: Fix unbalanced domain activity tracking
  during startup (git-fixes).
- ASoC: rt5682: Fix the issue of garbled recording after
  powerd_dbus_suspend (git-fixes).
- drm/amd/display: Fix max vstartup calculation for modes with
  borders (git-fixes).
- drm/amd/display: Fix comparison error in dcn21 DML (git-fixes).
- commit b4ad8ce
* Mon Aug  9 2021 tiwai@suse.de
- firmware_loader: fix use-after-free in firmware_fallback_sysfs
  (git-fixes).
- serial: tegra: Only print FIFO error message when an error
  occurs (git-fixes).
- serial: 8250: Mask out floating 16/32-bit bus bits (git-fixes).
- spi: mediatek: Fix fifo transfer (git-fixes).
- ASoC: tlv320aic31xx: fix reversed bclk/wclk master bits
  (git-fixes).
- spi: stm32h7: fix full duplex irq handler handling (git-fixes).
- regulator: rt5033: Fix n_voltages settings for BUCK and LDO
  (git-fixes).
- commit 8f575e8
* Sun Aug  8 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  - patches.suse/ALSA-hda-realtek-Fix-headset-mic-for-Acer-SWIFT-SF31.patch
  - patches.suse/ALSA-hda-realtek-add-mic-quirk-for-Acer-SF314-42.patch
  - patches.suse/ALSA-seq-Fix-racy-deletion-of-subscriber.patch
  - patches.suse/ALSA-usb-audio-Add-registration-quirk-for-JBL-Quantu-4b0556b96e1f.patch
  - patches.suse/ALSA-usb-audio-Fix-superfluous-autosuspend-recovery.patch
- commit 486a747
* Sat Aug  7 2021 tiwai@suse.de
- Move upstreamed patch into sorted section
- commit a779693
* Sat Aug  7 2021 tiwai@suse.de
- ALSA: usb-audio: Avoid unnecessary or invalid connector
  selection at resume (git-fixes).
- commit a52bb92
* Sat Aug  7 2021 tiwai@suse.de
- ALSA: seq: Fix racy deletion of subscriber (git-fixes).
- ALSA: hda/realtek: add mic quirk for Acer SF314-42 (git-fixes).
- ALSA: usb-audio: Add registration quirk for JBL Quantum 600
  (git-fixes).
- ALSA: hda/realtek: Fix headset mic for Acer SWIFT SF314-56
  (ALC256) (git-fixes).
- ALSA: usb-audio: Fix superfluous autosuspend recovery
  (git-fixes).
- commit 57d9208
* Fri Aug  6 2021 jeyu@suse.de
- Update kabi files.
- Update from August 2021 maintenance update submission (commit 055c4fd5f13c)
- commit 0b9f7b1
* Fri Aug  6 2021 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: also read STU state in
  mv88e6250_g1_vtu_getnext (git-fixes).
- commit 4d3a9e0
* Fri Aug  6 2021 tiwai@suse.de
- Bluetooth: defer cleanup of resources in hci_unregister_dev()
  (git-fixes).
- commit 38ad73f
* Thu Aug  5 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  - patches.suse/NFSv4.1-Don-t-rebind-to-the-same-source-port-when-re.patch
  - patches.suse/SUNRPC-prevent-port-reuse-on-transports-which-don-t-.patch
- commit 5e54e89
* Thu Aug  5 2021 jziviani@suse.de
- blacklist.conf: kABI changes due to kvm_mmu_rule struct.
- commit f3e0e69
* Thu Aug  5 2021 tiwai@suse.de
- Refresh patches.suse/Input-ili210x-add-missing-negation-for-touch-indicat.patch
  Fix missing parentheses in the input backport patch.
- commit 0913716
* Thu Aug  5 2021 jslaby@suse.cz
- rpm/kernel-source.rpmlintrc: ignore new include/config files
  In 5.13, since 0e0345b77ac4, config files have no longer .h suffix.
  Adapt the zero-length check.
  Based on Martin Liska's change.
- commit b6f021b
* Thu Aug  5 2021 tiwai@suse.de
- Revert "gpio: mpc8xxx: change the gpio interrupt
  flags." (git-fixes).
- drm/amd/display: ensure dentist display clock update finished
  in DCN20 (git-fixes).
- commit 3d2a7da
* Thu Aug  5 2021 tiwai@suse.de
- gpio: tqmx86: really make IRQ optional (git-fixes).
- media: videobuf2-core: dequeue if start_streaming fails
  (git-fixes).
- media: rtl28xxu: fix zero-length control request (git-fixes).
- clk: fix leak on devm_clk_bulk_get_all() unwind (git-fixes).
- clk: stm32f4: fix post divisor setup for I2S/SAI PLLs
  (git-fixes).
- cfg80211: Fix possible memory leak in function
  cfg80211_bss_update (git-fixes).
- commit 7dd3f8c
* Thu Aug  5 2021 neilb@suse.de
- SUNRPC: prevent port reuse on transports which don't request it
  (bnc#1186264 bnc#1189021).
- commit a89b568
* Thu Aug  5 2021 neilb@suse.de
- kabi fix for NFSv4.1: Don't rebind to the same source port when
  reconnecting to the server
  (bnc#1186264 bnc#1189021)
- commit 844eb4c
* Thu Aug  5 2021 neilb@suse.de
- NFSv4.1: Don't rebind to the same source port when
  (bnc#1186264 bnc#1189021)
- commit 4b89a40
* Wed Aug  4 2021 tbogendoerfer@suse.de
- ionic: fix up dim accounting for tx and rx (jsc#SLE-16649).
- ionic: remove intr coalesce update from napi (jsc#SLE-16649).
- ionic: make all rx_mode work threadsafe (jsc#SLE-16649).
- RDMA/bnxt_re: Fix stats counters (bsc#1188231).
- bnxt_en: Validate vlan protocol ID on RX packets
  (jsc#SLE-15075).
- ionic: add handling of larger descriptors (jsc#SLE-16649).
- ionic: add new queue features to interface (jsc#SLE-16649).
- ionic: fix sizeof usage (jsc#SLE-16649).
- ionic: protect adminq from early destroy (jsc#SLE-16649).
- ionic: stop watchdog when in broken state (jsc#SLE-16649).
- ionic: block actions during fw reset (jsc#SLE-16649).
- ionic: fix unchecked reference (jsc#SLE-16649).
- ionic: simplify the intr_index use in txq_init (jsc#SLE-16649).
- ionic: code cleanup details (jsc#SLE-16649).
- ionic: aggregate Tx byte counting calls (jsc#SLE-16649).
- ionic: simplify tx clean (jsc#SLE-16649).
- ionic: generic tx skb mapping (jsc#SLE-16649).
- ionic: simplify TSO descriptor mapping (jsc#SLE-16649).
- ionic: simplify use of completion types (jsc#SLE-16649).
- ionic: rebuild debugfs on qcq swap (jsc#SLE-16649).
- ionic: simplify rx skb alloc (jsc#SLE-16649).
- ionic: optimize fastpath struct usage (jsc#SLE-16649).
- ionic: implement Rx page reuse (jsc#SLE-16649).
- ionic: move rx_page_alloc and free (jsc#SLE-16649).
- ionic: change mtu after queues are stopped (jsc#SLE-16649).
- ionic: remove some unnecessary oom messages (jsc#SLE-16649).
- ionic: useful names for booleans (jsc#SLE-16649).
- ionic: check for link after netdev registration (jsc#SLE-16649).
- ionic: start queues before announcing link up (jsc#SLE-16649).
- commit 55ca0a7
* Wed Aug  4 2021 fdmanana@suse.com
- btrfs: rework chunk allocation to avoid exhaustion of the
  system chunk array (bsc#1189077).
- btrfs: fix deadlock with concurrent chunk allocations involving
  system chunks (bsc#1189077).
- btrfs: move the chunk_mutex in btrfs_read_chunk_tree
  (bsc#1189077).
- btrfs: Rename __btrfs_alloc_chunk to btrfs_alloc_chunk
  (bsc#1189077).
- btrfs: parameterize dev_extent_min for chunk allocation
  (bsc#1189077).
- btrfs: factor out create_chunk() (bsc#1189077).
- btrfs: factor out decide_stripe_size() (bsc#1189077).
- btrfs: factor out gather_device_info() (bsc#1189077).
- btrfs: factor out init_alloc_chunk_ctl (bsc#1189077).
- btrfs: introduce alloc_chunk_ctl (bsc#1189077).
- btrfs: refactor find_free_dev_extent_start() (bsc#1189077).
- btrfs: introduce chunk allocation policy (bsc#1189077).
- btrfs: handle invalid profile in chunk allocation (bsc#1189077).
- commit 707ed65
* Wed Aug  4 2021 pmladek@suse.com
- tracing: Fix bug in rb_per_cpu_empty() that might cause deadloop
  (CVE-2021-3679 bsc#1189057).
- commit 49b5ebf
* Wed Aug  4 2021 denis.kirjanov@suse.com
- net/mlx5: Properly convey driver version to firmware
  (git-fixes).
- commit 44d8f42
* Wed Aug  4 2021 denis.kirjanov@suse.com
- net: stmmac: free tx skb buffer in stmmac_resume() (git-fixes).
- commit ac61742
* Wed Aug  4 2021 denis.kirjanov@suse.com
- can: ti_hecc: Fix memleak in ti_hecc_probe (git-fixes).
- commit 75096f3
* Wed Aug  4 2021 denis.kirjanov@suse.com
- net: dsa: mv88e6xxx: Avoid VTU corruption on 6097 (git-fixes).
- commit 524d35f
* Tue Aug  3 2021 mkubecek@suse.cz
- Update kabi files.
- update from August 2021 maintenance update submission (commit a13100d5f167)
- commit 75dc981
* Tue Aug  3 2021 denis.kirjanov@suse.com
- blacklist.conf: add macsonic driver
- commit 688a554
* Mon Aug  2 2021 palcantara@suse.de
- cifs: do not share tcp sessions of dfs connections
  (bsc#1185902).
- commit 78eb685
* Mon Aug  2 2021 palcantara@suse.de
- cifs: prevent NULL deref in cifs_compose_mount_options()
  (bsc#1185902).
- commit a798607
* Mon Aug  2 2021 palcantara@suse.de
- cifs: missing null pointer check in cifs_mount (bsc#1185902).
- commit 17b0494
* Mon Aug  2 2021 palcantara@suse.de
- cifs: fix check of dfs interlinks (bsc#1185902).
- commit 1db4f4d
* Mon Aug  2 2021 palcantara@suse.de
- cifs: avoid starvation when refreshing dfs cache (bsc#1185902).
- commit 064a32d
* Mon Aug  2 2021 palcantara@suse.de
- cifs: do not share tcp servers with dfs mounts (bsc#1185902).
- commit 65332c5
* Mon Aug  2 2021 palcantara@suse.de
- cifs: set a minimum of 2 minutes for refreshing dfs cache
  (bsc#1185902).
- commit 1a16c86
* Mon Aug  2 2021 palcantara@suse.de
- cifs: fix path comparison and hash calc (bsc#1185902).
- commit 9ae40ff
* Mon Aug  2 2021 palcantara@suse.de
- cifs: handle different charsets in dfs cache (bsc#1185902).
- commit 7b185cd
* Mon Aug  2 2021 palcantara@suse.de
- cifs: keep referral server sessions alive (bsc#1185902).
- commit a6fba08
* Mon Aug  2 2021 pmladek@suse.com
- workqueue: fix UAF in pwq_unbound_release_workfn()
  (bsc#1188973).
- commit b02980f
* Mon Aug  2 2021 tiwai@suse.de
- ALSA: pcm - fix mmap capability check for the snd-dummy driver
  (git-fixes).
- commit b68f7e6
* Mon Aug  2 2021 tiwai@suse.de
- ACPI: DPTF: Fix reading of attributes (git-fixes).
- drm/msm/dpu: Fix sm8250_mdp register length (git-fixes).
- commit da4d5f8
* Mon Aug  2 2021 tiwai@suse.de
- can: esd_usb2: fix memory leak (git-fixes).
- can: ems_usb: fix memory leak (git-fixes).
- can: usb_8dev: fix memory leak (git-fixes).
- can: mcba_usb_start(): add missing urb->transfer_dma
  initialization (git-fixes).
- can: hi311x: fix a signedness bug in hi3110_cmd() (git-fixes).
- nfc: nfcsim: fix use after free during module unload
  (git-fixes).
- can: raw: raw_setsockopt(): fix raw_rcv panic for sock UAF
  (git-fixes).
- Revert "ACPI: resources: Add checks for ACPI IRQ override"
  (git-fixes).
- firmware: arm_scmi: Fix range check for the maximum number of
  pending messages (git-fixes).
- firmware: arm_scmi: Fix possible scmi_linux_errmap buffer
  overflow (git-fixes).
- commit 7ff2c84
* Sun Aug  1 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/xfrm-xfrm_state_mtu-should-return-at-least-1280-for-.patch
- commit e52bdda
* Fri Jul 30 2021 tbogendoerfer@suse.de
- ixgbe: Fix packet corruption due to missing DMA sync
  (git-fixes).
- bnxt_en: Check abort error state in bnxt_half_open_nic()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add missing check for BNXT_STATE_ABORT_ERR in
  bnxt_fw_rset_task() (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refresh RoCE capabilities in bnxt_ulp_probe()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: don't disable an already disabled PCI device
  (git-fixes).
- cxgb4: fix IRQ free race during driver unload (git-fixes).
- igb: Fix position of assignment to *ring (git-fixes).
- igb: Check if num of q_vectors is smaller than max before
  array access (git-fixes).
- iavf: Fix an error handling path in 'iavf_probe()' (git-fixes).
- e1000e: Fix an error handling path in 'e1000_probe()'
  (git-fixes).
- igb: Fix an error handling path in 'igb_probe()' (git-fixes).
- igc: Fix an error handling path in 'igc_probe()' (git-fixes).
- ixgbe: Fix an error handling path in 'ixgbe_probe()'
  (git-fixes).
- igc: change default return of igc_read_phy_reg() (git-fixes).
- igb: Fix use-after-free error during reset (git-fixes).
- igc: Fix use-after-free error during reset (git-fixes).
- virtio_net: move tx vq operation under tx queue lock
  (git-fixes).
- Revert "be2net: disable bh with spin_lock in be_process_mcc"
  (git-fixes).
- e1000e: Check the PCIm state (git-fixes).
- i40e: Fix autoneg disabling for non-10GBaseT links (git-fixes).
- i40e: Fix error handling in i40e_vsi_open (git-fixes).
- vxlan: add missing rcu_read_lock() in neigh_reduce()
  (git-fixes).
- mvpp2: suppress warning (git-fixes).
- net: mvpp2: Put fwnode in error case during ->probe()
  (git-fixes).
- net/mlx5e: Block offload of outer header csum for GRE tunnel
  (git-fixes).
- commit 3de5d62
* Fri Jul 30 2021 jlee@suse.com
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  (bsc#1187591, bsc#1188694)
- Return EFI_UNSUPPORTED when accessing EFI_RNG_PROTOCOL failed.
- Improved the warning message.
- commit 0183525
* Thu Jul 29 2021 msuchanek@suse.de
- powerpc/security: Fix link stack flush instruction (bsc#1188885
  ltc#193722).
- commit 6d617e8
* Thu Jul 29 2021 palcantara@suse.de
- cifs: get rid of @noreq param in __dfs_cache_find()
  (bsc#1185902).
- commit 7f4ff26
* Thu Jul 29 2021 palcantara@suse.de
- cifs: do not send tree disconnect to ipc shares (bsc#1185902).
- commit 96ce669
* Thu Jul 29 2021 palcantara@suse.de
- cifs: Remove unused inline function is_sysvol_or_netlogon()
  (bsc#1185902).
- commit 7d7b6d5
* Thu Jul 29 2021 jeffm@suse.com
- Update Patch-mainline tags for patches that landed in 5.14-rc3.
- commit 48a135a
* Thu Jul 29 2021 msuchanek@suse.de
- powerpc/64s: Move branch cache flushing bcctr variant to
  ppc-ops.h (bsc#1188885 ltc#193722).
- commit 837e7fa
* Thu Jul 29 2021 msuchanek@suse.de
- powerpc/security: Allow for processors that flush the link
  stack using the special bcctr (bsc#1188885 ltc#193722).
- powerpc/security: split branch cache flush toggle from code
  patching (bsc#1188885 ltc#193722).
- powerpc/security: make display of branch cache flush more
  consistent (bsc#1188885 ltc#193722).
- powerpc/security: change link stack flush state to the flush
  type enum (bsc#1188885 ltc#193722).
- Delete patches.suse/powerpc-add-link-stack-flush-mitigation-in-debugfs.patch
- replaced with upstream security mitigation cleanup
- powerpc/security: re-name count cache flush to branch cache
  flush (bsc#1188885 ltc#193722).
- commit e35bcce
* Thu Jul 29 2021 msuchanek@suse.de
- powerpc/pesries: Get STF barrier requirement from
  H_GET_CPU_CHARACTERISTICS (bsc#1188885 ltc#193722).
- powerpc/security: Add a security feature for STF barrier
  (bsc#1188885 ltc#193722).
- powerpc/pseries: Get entry and uaccess flush required bits
  from H_GET_CPU_CHARACTERISTICS (bsc#1188885 ltc#193722).
- powerpc/pseries: export LPAR security flavor in lparcfg
  (bsc#1188885 ltc#193722).
- powerpc/64s: rename pnv|pseries_setup_rfi_flush to
  _setup_security_mitigations (bsc#1188885 ltc#193722).
- Refresh patches.suse/powerpc-pseries-mobility-notify-network-peers-after-.patch.
- powerpc/pseries: add new branch prediction security bits for
  link stack (bsc#1188885 ltc#193722).
- commit 3f019e2
* Thu Jul 29 2021 tiwai@suse.de
- kABI workaround for btintel symbol changes (bsc#1188893).
- commit a0378fb
* Thu Jul 29 2021 tiwai@suse.de
- Bluetooth: btusb: Fix failing to init controllers with operation
  firmware (bsc#1188893).
- Bluetooth: btintel: Skip reading firmware file version while
  in bootloader mode (bsc#1188893).
- Bluetooth: btintel: Collect tlv based active firmware build
  info in FW mode (bsc#1188893).
- Bluetooth: btintel: Reorganized bootloader mode tlv checks in
  intel_version_tlv parsing (bsc#1188893).
- Bluetooth: btusb: Consolidate code for waiting firmware download
  (bsc#1188893).
- Bluetooth: btintel: Consolidate intel_version parsing
  (bsc#1188893).
- Bluetooth: btintel: Consolidate intel_version_tlv parsing
  (bsc#1188893).
- commit 5d9b049
* Thu Jul 29 2021 tiwai@suse.de
- Bluetooth: btintel: Move operational checks after version check
  (bsc#1188893).
- Bluetooth: btintel: Check firmware version before download
  (bsc#1188893).
- Bluetooth: btintel: Fix offset calculation boot address
  parameter (bsc#1188893).
- Bluetooth: btusb: print firmware file name on error loading
  firmware (bsc#1188893).
- commit 02eefaa
* Thu Jul 29 2021 tiwai@suse.de
- Bluetooth: btusb: Add support for GarfieldPeak controller
  (bsc#1188893).
- Revert "Bluetooth: btintel: Fix endianness issue for TLV
  version information" (bsc#1188893).
- Bluetooth: btusb: Enable MSFT extension for Intel controllers
  (bsc#1188893).
- Bluetooth: btusb: Map Typhoon peak controller to
  BTUSB_INTEL_NEWGEN (bsc#1188893).
- commit 8c5bc15
* Thu Jul 29 2021 tiwai@suse.de
- Bluetooth: btusb: Helper function to download firmware to
  Intel adapters (bsc#1188893).
- Bluetooth: btusb: Define a function to construct firmware
  filename (bsc#1188893).
- Bluetooth: btusb: Add *setup* function for new generation
  Intel controllers (bsc#1188893).
- Bluetooth: btintel: Fix endianness issue for TLV version
  information (bsc#1188893).
- commit 051ab9c
* Thu Jul 29 2021 tiwai@suse.de
- Bluetooth: btintel: Replace zero-length array with
  flexible-array member (bsc#1188893).
- Bluetooth: btintel: Functions to send firmware header / payload
  (bsc#1188893).
- Bluetooth: btintel: Add infrastructure to read controller
  information (bsc#1188893).
- Bluetooth: btintel: Refactor firmware download function
  (bsc#1188893).
- Bluetooth: hci_intel: enable on new platform (bsc#1188893).
- Bluetooth: hci_intel: switch to list_for_each_entry()
  (bsc#1188893).
- Bluetooth: hci_intel: drop strange le16_to_cpu() against u8
  values (bsc#1188893).
- Bluetooth: btusb: Update boot parameter specific to SKU
  (bsc#1188893).
- commit 29e3766
* Thu Jul 29 2021 aabdallah@suse.de
- Update patch-mainline and git-commit tags
  Refresh:
  - patches.suse/0001-netfilter-conntrack-add-new-sysctl-to-disable-RST-ch.patch
  - patches.suse/0001-netfilter-conntrack-improve-RST-handling-when-tuple-.patch
- commit 758ec5c
* Thu Jul 29 2021 tiwai@suse.de
- Move upstreamed patches to sorted section
- commit e174d5e
* Thu Jul 29 2021 msuchanek@suse.de
- Refresh patches.suse/efi-tpm-Differentiate-missing-and-invalid-final-even.patch.
  Update upstream status.
- commit 871e8d7
* Thu Jul 29 2021 msuchanek@suse.de
- scsi: ibmvfc: Fix command state accounting and stale response
  detection (jsc#SLE-15442 bsc#1180814 ltc#187461 git-fixes).
- commit e0dfe90
* Thu Jul 29 2021 tiwai@suse.de
- net: mac802154: Fix general protection fault (CVE-2021-3659
  bsc#1188876).
- commit 61caeac
* Thu Jul 29 2021 ohering@suse.de
- bonding: fix build issue (git-fixes).
- commit ba9e531
* Thu Jul 29 2021 tiwai@suse.de
- ALSA: pcm: Fix mmap capability check (git-fixes).
- ALSA: hda/realtek: Fix pop noise and 2 Front Mic issues on a
  machine (git-fixes).
- drm/amdgpu: update golden setting for sienna_cichlid
  (git-fixes).
- iwlwifi: Fix softirq/hardirq disabling in
  iwl_pcie_gen2_enqueue_hcmd() (git-fixes).
- iwlwifi: Fix softirq/hardirq disabling in
  iwl_pcie_enqueue_hcmd() (git-fixes).
- commit aefa679
* Thu Jul 29 2021 tiwai@suse.de
- USB: serial: cp210x: add ID for CEL EM3588 USB ZigBee stick
  (git-fixes).
- USB: serial: option: add support for u-blox LARA-R6 family
  (git-fixes).
- USB: usb-storage: Add LaCie Rugged USB3-FW to IGNORE_UAS
  (git-fixes).
- usb: hub: Disable USB 3 device initiated lpm if exit latency
  is too high (git-fixes).
- usb: hub: Fix link power management max exit latency (MEL)
  calculations (git-fixes).
- xhci: Fix lost USB 2 remote wake (git-fixes).
- spi: imx: add a check for speed_hz before calculating the clock
  (git-fixes).
- commit cbaa23f
* Thu Jul 29 2021 tiwai@suse.de
- firmware/efi: Tell memblock about EFI iomem reservations
  (git-fixes).
- ALSA: usb-audio: Add registration quirk for JBL Quantum headsets
  (git-fixes).
- ASoC: rt5631: Fix regcache sync errors on resume (git-fixes).
- ALSA: hdmi: Expose all pins on MSI MS-7C94 board (git-fixes).
- ALSA: sb: Fix potential ABBA deadlock in CSP driver (git-fixes).
- drm: Return -ENOTTY for non-drm ioctls (git-fixes).
- regulator: hi6421: Fix getting wrong drvdata (git-fixes).
- regulator: hi6421: Use correct variable type for regmap api
  val argument (git-fixes).
- iio: accel: bma180: Use explicit member assignment (git-fixes).
- commit 4603b01
* Wed Jul 28 2021 jbohac@suse.cz
- xfrm: xfrm_state_mtu should return at least 1280 for ipv6
  (bsc#1185377).
- commit c3c4cb5
* Wed Jul 28 2021 mkubecek@suse.cz
- use 3.0 SPDX identifier in rpm License tags
  As requested by Maintenance, change rpm License tags from "GPL-2.0"
  (SPDX 2.0) to "GPL-2.0-only" (SPDX 3.0) so that their scripts do not have
  to adjust the tags with each maintenance update submission.
- commit f888e0b
* Wed Jul 28 2021 oneukum@suse.com
- platform/x86: intel_int0002_vgpio: Only call enable_irq_wake()
  when using s2idle (git-fixes).
- commit 28541e7
* Wed Jul 28 2021 oneukum@suse.com
- platform/x86: dell-smbios-wmi: Fix oops on rmmod dell_smbios
  (git-fixes).
- commit ffedcc6
* Wed Jul 28 2021 oneukum@suse.com
- platform/x86: intel_int0002_vgpio: Remove dev_err() usage
  after platform_get_irq() (git-fixes).
- commit 4131c57
* Wed Jul 28 2021 oneukum@suse.com
- platform/x86: intel_int0002_vgpio: Pass irqchip when adding
  gpiochip (git-fixes).
- commit 88a6182
* Wed Jul 28 2021 msuchanek@suse.de
- KVM: PPC: Book3S: Fix H_RTAS rets buffer overflow (bsc#1188838
  CVE-2021-37576).
- commit 0162dcd
* Wed Jul 28 2021 oneukum@suse.com
- platform/x86: intel_int0002_vgpio: Use device_init_wakeup
  (git-fixes).
- commit 017d588
* Wed Jul 28 2021 oneukum@suse.com
- platform/chrome: cros_ec_lightbar: Reduce ligthbar get version
  command (git-fixes).
- commit a8f01e1
* Wed Jul 28 2021 oneukum@suse.com
- Input: ili210x - add missing negation for touch indication on
  ili210x (git-fixes).
- commit 0575cf5
* Wed Jul 28 2021 jziviani@suse.de
- KVM: x86: bit 8 of non-leaf PDPEs is not reserved (bsc#1188790).
- commit 81b4c99
* Wed Jul 28 2021 jziviani@suse.de
- KVM: VMX: Explicitly clear RFLAGS.CF and RFLAGS.ZF in VM-Exit
  RSB path (bsc#1188788).
- commit f2e225f
* Wed Jul 28 2021 jziviani@suse.de
- KVM: VMX: Enable machine check support for 32bit targets
  (bsc#1188787).
- commit 388d3fb
* Wed Jul 28 2021 jziviani@suse.de
- KVM: VMX: Drop guest CPUID check for VMXE in vmx_set_cr4()
  (bsc#1188786).
- commit c5de014
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Truncate bits 63:32 of VMCS field on nested check
  in !64-bit (bsc#1188784).
- commit 08b2951
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Sync unsync'd vmcs02 state to vmcs12 on migration
  (bsc#1188783).
- commit 5f8f317
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Skip IBPB when switching between vmcs01 and vmcs02
  (bsc#1188782).
- commit ef7bd2d
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Reset the segment cache when stuffing guest segs
  (bsc#1188781).
- commit 8984ecb
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Really make emulated nested preemption timer pinned
  (bsc#1188780).
- commit 597c5f3
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Preserve exception priority irrespective of exiting
  behavior (bsc#1188777).
- commit 9024fbf
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Ensure 64-bit shift when checking VMFUNC bitmap
  (bsc#1188774).
- commit 7334e84
* Tue Jul 27 2021 jziviani@suse.de
- KVM: nVMX: Consult only the "basic" exit reason when routing
  nested exit (bsc#1188773).
- commit f7ab15a
* Tue Jul 27 2021 jziviani@suse.de
- kvm: LAPIC: Restore guard to prevent illegal APIC register
  access (bsc#1188772).
- commit 8a9a1d5
* Tue Jul 27 2021 jziviani@suse.de
- KVM: LAPIC: Prevent setting the tscdeadline timer if the lapic
  is hw disabled (bsc#1188771).
- commit 7610884
* Tue Jul 27 2021 jziviani@suse.de
- kvm: i8254: remove redundant assignment to pointer s
  (bsc#1188770).
- commit f768a8a
* Tue Jul 27 2021 lduncan@suse.com
- prctl: PR_{G,S}ET_IO_FLUSHER to support controlling memory
  reclaim (bsc#1188752).
- commit 80a0f40
* Tue Jul 27 2021 tiwai@suse.de
- iwlwifi: pcie: make iwl_pcie_txq_update_byte_cnt_tbl bus
  independent (bsc#1187495).
- Refresh
  patches.suse/iwlwifi-pcie-free-IML-DMA-memory-allocation.patch.
- commit 55531dc
* Tue Jul 27 2021 oneukum@suse.com
- blacklist.conf: kABI
- commit c1f6ea9
* Tue Jul 27 2021 lhenriques@suse.de
- ceph: don't WARN if we're still opening a session to an MDS
  (bsc#1188748).
- rbd: don't hold lock_rwsem while running_list is being drained
  (bsc#1188747).
- rbd: always kick acquire on "acquired" and "released"
  notifications (bsc#1188746).
- commit 5813020
* Tue Jul 27 2021 jeyu@suse.de
- Update patches.suse/x86-intel-aggregate-microserver-naming.patch.
  This was a search-and-replace patch - there were one _X -> _D
  replacement missing in tools/power/x86/turbostat/turbostat.c
  Update the patch to cover the missing replacement.
- commit 63c708b
* Tue Jul 27 2021 oneukum@suse.com
- mt76: set dma-done flag for flushed descriptors (git-fixes).
- commit aaa3cb6
* Tue Jul 27 2021 oneukum@suse.com
- mt76: mt7615: fix endianness in mt7615_mcu_set_eeprom
  (git-fixes).
- commit 43e0b14
* Tue Jul 27 2021 oneukum@suse.com
- mt76: mt7615: increase MCU command timeout (git-fixes).
- commit 1ca559f
* Tue Jul 27 2021 oneukum@suse.com
- mt76: mt7603: set 0 as min coverage_class value (git-fixes).
- commit 606bd07
* Tue Jul 27 2021 msuchanek@suse.de
- ibmvnic: retry reset if there are no other resets (bsc#1184350
  ltc#191533).
- commit fccec64
* Tue Jul 27 2021 tiwai@suse.de
- drm/radeon: Call radeon_suspend_kms() in radeon_pci_shutdown()
  for Loongson64 (git-fixes).
- drm/amdgpu: enable sdma0 tmz for Raven/Renoir(V2) (git-fixes).
- drm/amdkfd: Fix circular lock in nocpsch path (git-fixes).
- drm/amdkfd: fix circular locking on get_wave_state (git-fixes).
- drm/amdkfd: use allowed domain for vmbo validation (git-fixes).
- drm/amd/display: Fix off-by-one error in DML (git-fixes).
- drm/amd/display: Release MST resources on switch from MST to
  SST (git-fixes).
- drm/amd/display: Fix DCN 3.01 DSCCLK validation (git-fixes).
- commit 0be6a2a
* Tue Jul 27 2021 tiwai@suse.de
- drm/amdgpu: remove unsafe optimization to drop preamble ib
  (git-fixes).
- drm/amd/display: Avoid HDCP over-read and corruption
  (git-fixes).
- drm: rockchip: add missing registers for RK3066 (git-fixes).
- drm: rockchip: add missing registers for RK3188 (git-fixes).
- drm/vc4: hdmi: Fix PM reference leak in
  vc4_hdmi_encoder_pre_crtc_co() (git-fixes).
- drm/vc4: Fix clock source for VEC PixelValve on BCM2711
  (git-fixes).
- drm/amd/display: fix HDCP reset sequence on reinitialize
  (git-fixes).
- drm/scheduler: Fix hang when sched_entity released (git-fixes).
- drm/nouveau: Don't set allow_fb_modifiers explicitly
  (git-fixes).
- drm/bridge: nwl-dsi: Force a full modeset when
  crtc_state->active is changed to be true (git-fixes).
- commit 0856190
* Tue Jul 27 2021 palcantara@suse.de
- cifs: do not fail __smb_send_rqst if non-fatal signals are
  pending (git-fixes).
- commit 80eef04
* Tue Jul 27 2021 palcantara@suse.de
- cifs: fix interrupted close commands (git-fixes).
- commit 9eae08a
* Mon Jul 26 2021 palcantara@suse.de
- cifs: Fix preauth hash corruption (git-fixes).
- commit a2ac7b0
* Mon Jul 26 2021 palcantara@suse.de
- cifs: Return correct error code from smb2_get_enc_key
  (git-fixes).
- commit ffe15e7
* Mon Jul 26 2021 palcantara@suse.de
- cifs: fix memory leak in smb2_copychunk_range (git-fixes).
- commit f974156
* Mon Jul 26 2021 msuchanek@suse.de
- uuid: Add inline helpers to import / export UUIDs (FATE#326628,
  bsc#1113295, git-fixes).
- commit 5ef7dcb
* Mon Jul 26 2021 tiwai@suse.de
- Drop media rtl28xxu fix patch (bsc#1188683)
  The recent backport of
  patches.suse/media-rtl28xxu-fix-zero-length-control-request.patch
  caused a regression on Astrometa DVB-T2.
  Revert and blacklist it for now.
- commit 1ae8d64
* Mon Jul 26 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  - patches.suse/r8152-Fix-a-deadlock-by-doubly-PM-resume.patch
  - patches.suse/r8152-Fix-potential-PM-refcount-imbalance.patch
- commit 425c935
* Mon Jul 26 2021 msuchanek@suse.de
- powerpc/stacktrace: Include linux/delay.h (bsc#1156395).
- commit fb8c7fc
* Mon Jul 26 2021 lhenriques@suse.de
- ceph: clean up and optimize ceph_check_delayed_caps()
  (bsc#1187468).
- commit 33a74a3
* Mon Jul 26 2021 denis.kirjanov@suse.com
- sfp: Fix error handing in sfp_probe() (git-fixes).
- commit 3f0aed6
* Mon Jul 26 2021 denis.kirjanov@suse.com
- cadence: force nonlinear buffers to be cloned (git-fixes).
- commit 4b76907
* Mon Jul 26 2021 denis.kirjanov@suse.com
- gtp: fix an use-before-init in gtp_newlink() (git-fixes).
- commit 6e609d3
* Mon Jul 26 2021 denis.kirjanov@suse.com
- ravb: Fix bit fields checking in ravb_hwtstamp_get()
  (git-fixes).
- commit ed39fda
* Mon Jul 26 2021 denis.kirjanov@suse.com
- net: hns3: Clear the CMDQ registers before unmapping BAR region
  (git-fixes).
- commit 57704e2
* Mon Jul 26 2021 oneukum@suse.com
- wilc1000: write value to WILC_INTR2_ENABLE register (git-fixes).
- commit 23af1ba
* Mon Jul 26 2021 oneukum@suse.com
- net: wilc1000: clean up resource in error path of init mon
  interface (git-fixes).
- commit aa75b92
* Mon Jul 26 2021 msuchanek@suse.de
- Update patches.suse/ibmvnic-account-for-bufs-already-saved-in-indir_buf.patch
  (jsc#SLE-17268 jsc#SLE-17043 bsc#1179243 ltc#189290 bsc#1188620
  ltc#192221).
- Update patches.suse/ibmvnic-free-tx_pool-if-tso_pool-alloc-fails.patch
  (bsc#1085224 ltc#164363 bsc#1188620 ltc#192221).
- Update patches.suse/ibmvnic-parenthesize-a-check.patch
  (bsc#1184114 ltc#192237 bsc#1183871 ltc#192139 git-fixes
  bsc#1188620 ltc#192221).
- Update patches.suse/ibmvnic-set-ltb-buff-to-NULL-after-freeing.patch
  (bsc#1094840 ltc#167098 bsc#1188620 ltc#192221).
- commit 8147958
* Mon Jul 26 2021 msuchanek@suse.de
- ibmvnic: Remove the proper scrq flush (bsc#1188504 ltc#192075).
- commit 8bf9d02
* Mon Jul 26 2021 oneukum@suse.com
- blacklist.conf: kABI
- commit 7c940a5
* Mon Jul 26 2021 oneukum@suse.com
- blacklist.conf: cosmetic cleanup
- commit 29705c7
* Mon Jul 26 2021 oneukum@suse.com
- blacklist.conf: kABI
- commit 839f900
* Mon Jul 26 2021 jeyu@suse.de
- Update patches.suse/x86-intel-aggregate-big-core-mobile-naming.patch.
  This was a search-and-replace patch - there were a handful of _ULT -> _L
  and _MOBILE -> _L replacements missing in tools/power/x86/turbostat/turbostat.c
  Update the patch to cover the missing replacements.
- Refresh patches.suse/x86-intel-aggregate-big-core-graphics-naming.patch.
- commit efd5300
* Mon Jul 26 2021 jeyu@suse.de
- Update patches.suse/iommu-vt-d-do-not-use-flush-queue-when-caching-mode-is-on.
  The definition of domain_use_flush_queue() was tucked inside
  an #ifdef CONFIG_INTEL_IOMMU_SVM, whereas the function can be called
  outside of that #ifdef. It does not affect SLE15-SP3 directly since our
  configs always enable CONFIG_INTEL_IOMMU_SVM, but it's in the incorrect
  place in general. Move it outside of the ifdef to match upstream behavior.
- commit e39afe2
* Mon Jul 26 2021 fweisbecker@suse.de
- timers: Fix get_next_timer_interrupt() with no timers pending (git-fixes)
- commit 1045d0d
* Mon Jul 26 2021 varad.gautam@suse.com
- docs: virt/kvm: close inline string literal (bsc#1188703).
- commit e83521c
* Mon Jul 26 2021 varad.gautam@suse.com
- KVM: SVM: document KVM_MEM_ENCRYPT_OP, let userspace detect
  if SEV is available (bsc#1188703).
- commit 0f91585
* Mon Jul 26 2021 jlee@suse.com
- integrity: use arch_ima_get_secureboot instead of checking
  EFI_SECURE_BOOT when loading MokListRT (bsc#1188366).
- Update config files.
  Add CONFIG_IMA_ARCH_POLICY=y and CONFIG_IMA_SECURE_AND_OR_TRUSTED_BOOT=y
  in x86_64/default.
- commit 8567c4b
* Mon Jul 26 2021 shung-hsi.yu@suse.com
- i40e: Fix missing rtnl locking when setting up pf switch
  (jsc#SLE-13701).
- commit 27422dd
* Mon Jul 26 2021 tiwai@suse.de
- rtc: max77686: Do not enforce (incorrect) interrupt trigger type
  (git-fixes).
- rtc: mxc_v2: add missing MODULE_DEVICE_TABLE (git-fixes).
- thermal/core: Correct function name
  thermal_zone_device_unregister() (git-fixes).
- reset: ti-syscon: fix to_ti_syscon_reset_data macro (git-fixes).
- soc/tegra: fuse: Fix Tegra234-only builds (git-fixes).
- commit c39f899
* Sun Jul 25 2021 tiwai@suse.de
- USB: serial: cp210x: fix comments for GE CS1000 (git-fixes).
- Revert "USB: quirks: ignore remote wake-up on Fibocom L850-GL
  LTE modem" (git-fixes).
- usb: dwc2: gadget: Fix sending zero length packet in DDMA mode
  (git-fixes).
- usb: renesas_usbhs: Fix superfluous irqs happen after
  usb_pkt_pop() (git-fixes).
- usb: max-3421: Prevent corruption of freed memory (git-fixes).
- commit c637f14
* Sun Jul 25 2021 tiwai@suse.de
- ASoC: rt5682: Fix a problem with error handling in the io init
  function of the soundwire (git-fixes).
- Refresh
  patches.suse/ASoC-rt5682-sdw-set-regcache_cache_only-false-before.patch.
- commit c833aa0
* Sun Jul 25 2021 tiwai@suse.de
- ASoC: wm_adsp: Correct wm_coeff_tlv_get handling (git-fixes).
- ALSA: hda: intel-dsp-cfg: add missing ElkhartLake PCI ID
  (git-fixes).
- ALSA: usb-audio: Add missing proc text entry for BESPOKEN type
  (git-fixes).
- ASoC: Intel: sof_sdw: add SOF_RT715_DAI_ID_FIX for AlderLake
  (git-fixes).
- ASoC: rt5682-sdw: set regcache_cache_only false before reading
  RT5682_DEVICE_ID (git-fixes).
- Bluetooth: btqca: Don't modify firmware contents in-place
  (git-fixes).
- ASoC: rt5682: fix getting the wrong device id when the
  suspend_stress_test (git-fixes).
- commit 2fb44db
* Sun Jul 25 2021 tiwai@suse.de
- ALSA: pcm: Call substream ack() method upon compat mmap commit
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 630 G8
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 445 G8
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 450 G8
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP EliteBook 830
  G8 Notebook PC (git-fixes).
- ALSA: hda/realtek: Apply LED fixup for HP Dragonfly G1, too
  (git-fixes).
- ALSA: hda/realtek: Improve fixup for HP Spectre x360 15-df0xxx
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP EliteBook x360
  830 G8 (git-fixes).
- ACPI: PM / fan: Put fan device IDs into separate header file
  (git-fixes).
- commit 10136ed
* Fri Jul 23 2021 denis.kirjanov@suse.com
- net: ethernet: ti: Remove TI_CPTS_MOD workaround (git-fixes).
- commit 2c19bb5
* Fri Jul 23 2021 dwagner@suse.de
- scsi: fc: Add 256GBit speed setting to SCSI FC transport
  (bsc#1188101).
- commit 62c8708
* Fri Jul 23 2021 tiwai@suse.de
- r8152: Fix a deadlock by doubly PM resume (bsc#1186194).
- r8152: Fix potential PM refcount imbalance (bsc#1186194).
- commit 539ea44
* Fri Jul 23 2021 tiwai@suse.de
- Revert "drm/i915: Propagate errors on awaiting already signaled
  fences" (git-fixes).
- drm/i915/gvt: Clear d3_entered on elsp cmd submission
  (git-fixes).
- commit 258f2b1
* Fri Jul 23 2021 tiwai@suse.de
- drm/panel: raspberrypi-touchscreen: Prevent double-free
  (git-fixes).
- media: ngene: Fix out-of-bounds bug in
  ngene_command_config_free_buf() (git-fixes).
- liquidio: Fix unintentional sign extension issue on left shift
  of u16 (git-fixes).
- spi: cadence: Correct initialisation of runtime PM again
  (git-fixes).
- spi: mediatek: fix fifo rx mode (git-fixes).
- commit 44fe76d
* Fri Jul 23 2021 colyli@suse.de
- bcache: avoid oversized read request in cache missing code path
  (bsc#1184631).
- bcache: remove bcache device self-defined readahead
  (bsc#1184631).
- commit aaf8eb0
* Thu Jul 22 2021 tbogendoerfer@suse.de
- skbuff: Fix build with SKB extensions disabled (jsc#SLE-15172).
- commit c73a425
* Thu Jul 22 2021 jeffm@suse.com
- Update Patch-mainline tags for patches that landed in 5.14-rc2.
- commit 55eeb57
* Thu Jul 22 2021 jziviani@suse.de
- KVM: do not allow mapping valid but non-reference-counted pages
  (bsc#1186482, CVE-2021-22543).
- KVM: Use kvm_pfn_t for local PFN variable in
  hva_to_pfn_remapped() (bsc#1186482, CVE-2021-22543).
- KVM: do not assume PTE is writable after follow_pfn
  (bsc#1186482, CVE-2021-22543).
- commit 3795669
* Thu Jul 22 2021 jgross@suse.com
- xen/events: reset active flag for lateeoi events later
  (git-fixes).
- Refresh patches.suse/xen-events-fix-setting-irq-affinity.patch.
- commit e51ccb0
* Thu Jul 22 2021 jziviani@suse.de
- KVM: do not allow mapping valid but non-reference-counted pages
  (bsc#1186482, CVE-2021-22543).
- KVM: Use kvm_pfn_t for local PFN variable in
  hva_to_pfn_remapped() (bsc#1186482, CVE-2021-22543).
- KVM: do not assume PTE is writable after follow_pfn
  (bsc#1186482, CVE-2021-22543).
- commit 50f4816
* Thu Jul 22 2021 tbogendoerfer@suse.de
- RDMA/cma: Fix incorrect Packet Lifetime calculation
  (jsc#SLE-8449).
- RDMA/cma: Protect RMW with qp_mutex (git-fixes).
- bpf: Fix integer overflow in argument calculation for
  bpf_map_area_alloc (bsc#1154353).
- ice: Re-organizes reqstd/avail {R, T}XQ check/code for
  efficiency (jsc#SLE-7926).
- commit 94fef56
* Thu Jul 22 2021 tbogendoerfer@suse.de
- netfilter: ctnetlink: suspicious RCU usage in
  ctnetlink_dump_helpinfo (bsc#1176447).
- bonding: fix incorrect return value of bond_ipsec_offload_ok()
  (bsc#1176447).
- bonding: fix suspicious RCU usage in bond_ipsec_offload_ok()
  (bsc#1176447).
- bonding: Add struct bond_ipesc to manage SA (bsc#1176447).
- bonding: disallow setting nested bonding + ipsec offload
  (bsc#1176447).
- bonding: fix suspicious RCU usage in bond_ipsec_del_sa()
  (bsc#1176447).
- ixgbevf: use xso.real_dev instead of xso.dev in callback
  functions of struct xfrmdev_ops (bsc#1176447).
- net: netdevsim: use xso.real_dev instead of xso.dev in callback
  functions of struct xfrmdev_ops (bsc#1176447).
- bonding: fix null dereference in bond_ipsec_add_sa()
  (bsc#1176447).
- bonding: fix suspicious RCU usage in bond_ipsec_add_sa()
  (bsc#1176447).
- skbuff: Release nfct refcount on napi stolen or re-used skbs
  (jsc#SLE-15172).
- net/sched: act_ct: remove and free nf_table callbacks
  (jsc#SLE-15172).
- RDMA/rtrs-srv: Set minimal max_send_wr and max_recv_wr
  (jsc#SLE-15176).
- RDMA/rtrs-clt: Fix memory leak of not-freed sess->stats and
  stats->pcpu_stats (jsc#SLE-15176).
- RDMA/rtrs-clt: Check if the queue_depth has changed during a
  reconnection (jsc#SLE-15176).
- RDMA/rtrs-srv: Fix memory leak when having multiple sessions
  (jsc#SLE-15176).
- RDMA/rtrs-srv: Fix memory leak of unfreed rtrs_srv_stats object
  (jsc#SLE-15176).
- RDMA/rtrs: Do not reset hb_missed_max after re-connection
  (jsc#SLE-15176).
- RDMA/rtrs-srv: Replace atomic_t with percpu_ref for ids_inflight
  (jsc#SLE-15176).
- RDMA/rtrs-clt: Check state of the rtrs_clt_sess before reading
  its stats (jsc#SLE-15176).
- RDMA/srp: Fix a recently introduced memory leak (jsc#SLE-15176).
- RDMA/mlx5: Remove unused parameter udata (jsc#SLE-15176).
- RDMA/mlx4: Remove unused parameter udata (jsc#SLE-15176).
- RDMA/hns: Remove unused parameter udata (jsc#SLE-15176).
- i40e: fix PTP on 5Gb links (jsc#SLE-13701).
- xsk: Fix missing validation for skb and unaligned mode
  (jsc#SLE-13706).
- xfrm: Fix xfrm offload fallback fail case (bsc#1176447).
- xfrm: delete xfrm4_output_finish xfrm6_output_finish
  declarations (bsc#1176447).
- commit 2d7a0e6
* Wed Jul 21 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and move into sorted section:
  - patches.suse/seq_file-Disallow-extremely-large-seq-buffer-allocations.patch
- commit 07df461
* Wed Jul 21 2021 tiwai@suse.de
- kabi/severities: ignore kABI of iwlwifi symbols (bsc#1187495)
  iwlwifi driver consists of several modules and all exported symbols
  are internal uses.  Let's ignore kABI checks of those.
- commit 75aa507
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: pnvm: set the PNVM again if it was already loaded
  (bsc#1187495).
- iwlwifi: mvm: send stored PPAG command instead of local
  (bsc#1187495).
- iwlwifi: mvm: store PPAG enabled/disabled flag properly
  (bsc#1187495).
- iwlwifi: mvm: fix the type we use in the PPAG table validity
  checks (bsc#1187495).
- iwlwifi: mvm: set enabled in the PPAG command properly
  (bsc#1187495).
- iwlwifi: pnvm: don't try to load after failures (bsc#1187495).
- commit 7ff688f
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: increase PNVM load timeout (bsc#1187495).
- iwlwifi: pcie: properly set LTR workarounds on 22000 devices
  (bsc#1187495).
- iwlwifi: fix 11ax disabled bit in the regulatory capability
  flags (bsc#1187495).
- iwlwifi: pnvm: increment the pointer before checking the TLV
  (bsc#1187495).
- iwlwifi: mvm: don't check if CSA event is running before
  removing (bsc#1187495).
- iwlwifi: mvm: assign SAR table revision to the command later
  (bsc#1187495).
- iwlwifi: pcie: don't disable interrupts for reg_lock
  (bsc#1187495).
- iwlwifi: queue: bail out on invalid freeing (bsc#1187495).
- iwlwifi: pnvm: don't skip everything when not reloading
  (bsc#1187495).
- iwlwifi: pcie: avoid potential PNVM leaks (bsc#1187495).
- iwlwifi: dbg: Don't touch the tlv data (bsc#1187495).
- iwlwifi: provide gso_type to GSO packets (bsc#1187495).
- commit 8a657fa
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: bump FW API to 59 for AX devices (bsc#1187495).
- Delete patches.suse/iwlwifi-SLE15-SP3-ucode-fixes.patch.
- commit bcab4a8
* Wed Jul 21 2021 tiwai@suse.de
- Revert "iwlwifi: remove wide_cmd_header field" (bsc#1187495).
- iwlwifi: read and parse PNVM file (bsc#1187495).
- iwlwifi: pcie: implement set_pnvm op (bsc#1187495).
- commit 8166979
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: add trans op to set PNVM (bsc#1187495).
- iwlwifi: move PNVM implementation to common code (bsc#1187495).
- iwlwifi: rs: align to new TLC config command API (bsc#1187495).
- iwlwifi: fix sar geo table initialization (bsc#1187495).
- iwlwifi: stats: add new api fields for statistics cmd/ntfy
  (bsc#1187495).
- iwlwifi: mvm: fix suspicious rcu usage warnings (bsc#1187495).
- iwlwifi: mvm: remove memset of kek_kck command (bsc#1187495).
- iwlwifi: mvm: don't send a CSA command the firmware doesn't know
  (bsc#1187495).
- iwlwifi: pcie: fix the xtal latency value for a few qu devices
  (bsc#1187495).
- commit b1c507d
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: mvm: avoid possible NULL pointer dereference
  (bsc#1187495).
- iwlwifi: mvm: support ADD_STA_CMD_API_S ver 12 (bsc#1187495).
- iwlwifi: mvm: add a get lmac id function (bsc#1187495).
- iwlwifi: mvm: prepare roc_done_wk to work sync (bsc#1187495).
- iwlwifi: mvm: re-enable TX after channel switch (bsc#1187495).
- iwlwifi: mvm: stop claiming NL80211_EXT_FEATURE_SET_SCAN_DWELL
  (bsc#1187495).
- iwlwifi: mvm: ring the doorbell and wait for PNVM load
  completion (bsc#1187495).
- commit 53fae87
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: update prph scratch structure to include PNVM data
  (bsc#1187495).
- iwlwifi: mvm: read and parse SKU ID if available (bsc#1187495).
- iwlwifi: mvm: get number of stations from TLV (bsc#1187495).
- iwlwifi: iwl-drv: Provide descriptions debugfs dentries
  (bsc#1187495).
- iwlwifi: dvm: devices: Fix function documentation formatting
  issues (bsc#1187495).
- iwlwifi: mvm: tx: Demote misuse of kernel-doc headers
  (bsc#1187495).
- iwlwifi: dvm: rxon: Demote non-conformant kernel-doc headers
  (bsc#1187495).
- iwlwifi: dvm: scan: Demote a few nonconformant kernel-doc
  headers (bsc#1187495).
- iwlwifi: mvm: utils: Fix some doc-rot (bsc#1187495).
- iwlwifi: dvm: Demote a couple of nonconformant kernel-doc
  headers (bsc#1187495).
- commit 5ecfaae
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: bump FW API to 57 for AX devices (bsc#1187495).
- Refresh patches.suse/iwlwifi-SLE15-SP3-ucode-fixes.patch.
- commit 35fc6ef
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: mvm: ops: Remove unused static struct
  'iwl_mvm_debug_names' (bsc#1187495).
- iwlwifi: dvm: sta: Demote a bunch of nonconformant kernel-doc
  headers (bsc#1187495).
- iwlwifi: calib: Demote seemingly unintentional kerneldoc header
  (bsc#1187495).
- iwlwifi: dvm: lib: Demote non-compliant kernel-doc headers
  (bsc#1187495).
- iwlwifi: dvm: tx: Demote non-compliant kernel-doc headers
  (bsc#1187495).
- iwlwifi: rs: Demote non-compliant kernel-doc headers
  (bsc#1187495).
- iwlwifi: dvm: Demote non-compliant kernel-doc headers
  (bsc#1187495).
- iwlwifi: yoyo: add support for internal buffer allocation in D3
  (bsc#1187495).
- iwlwifi: api: fix u32 -> __le32 (bsc#1187495).
- commit 8a1ae62
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: use correct group for alive notification (bsc#1187495).
- iwlwifi: support version 5 of the alive notification
  (bsc#1187495).
- iwlwifi: mvm: ignore the scan duration parameter (bsc#1187495).
- iwlwifi: dbg: add debug host notification (DHN) time point
  (bsc#1187495).
- iwlwifi: mvm: clear all scan UIDs (bsc#1187495).
- iwlwifi: mvm: d3: parse wowlan status version 11 (bsc#1187495).
- iwlwifi: align RX status flags with firmware (bsc#1187495).
- iwlwifi: mvm: remove redundant log in iwl_mvm_tvqm_enable_txq()
  (bsc#1187495).
- iwlwifi: phy-ctxt: add new API VER 3 for phy context cmd
  (bsc#1187495).
- commit e6bd24d
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: thermal: support new temperature measurement API
  (bsc#1187495).
- iwlwifi: mvm: add d3 prints (bsc#1187495).
- iwlwifi: mvm: d3: support GCMP ciphers (bsc#1187495).
- iwlwifi: mvm: support more GTK rekeying algorithms
  (bsc#1187495).
- iwlwifi: move all bus-independent TX functions to common code
  (bsc#1187495).
- iwlwifi: mvm: initiator: add option for adding a PASN responder
  (bsc#1187495).
- iwlwifi: mvm: responder: allow to set only the HLTK for an
  associated station (bsc#1187495).
- iwlwifi: mvm: location: set the HLTK when PASN station is added
  (bsc#1187495).
- commit 78b502b
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: acpi: in non acpi compilations remove iwl_sar_geo_init
  (bsc#1187495).
- commit 5e9faaf
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: support version 3 of GEO_TX_POWER_LIMIT (bsc#1187495).
- Refresh
  patches.suse/iwlwifi-follow-the-new-inclusive-terminology.patch.
- commit 18f1fc1
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: acpi: rename geo structs to contain versioning
  (bsc#1187495).
- Refresh
  patches.suse/iwlwifi-follow-the-new-inclusive-terminology.patch.
- commit 2a48685
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: mvm: Add FTM initiator RTT smoothing logic
  (bsc#1187495).
- iwlwifi: mvm: add support for responder dynamic config command
  version 3 (bsc#1187495).
- iwlwifi: mvm: add support for range request command ver 11
  (bsc#1187495).
- iwlwifi: remove wide_cmd_header field (bsc#1187495).
- iwlwifi: fw: add default value for iwl_fw_lookup_cmd_ver
  (bsc#1187495).
- iwlwifi: rs: set RTS protection for all non legacy rates
  (bsc#1187495).
- iwlwifi: mvm: support new KEK KCK api (bsc#1187495).
- commit b111b70
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: support REDUCE_TX_POWER_CMD version 6 (bsc#1187495).
- iwlwifi: acpi: prepare SAR profile selection code for multiple
  sizes (bsc#1187495).
- iwlwifi: add a common struct for all iwl_tx_power_cmd versions
  (bsc#1187495).
- iwlwifi: acpi: remove dummy definition of iwl_sar_set_profile()
  (bsc#1187495).
- iwlwifi: remove iwl_validate_sar_geo_profile() export
  (bsc#1187495).
- iwlwifi: mvm: use CHECKSUM_COMPLETE (bsc#1187495).
- iwlwifi: mvm: remove redundant support_umac_log field
  (bsc#1187495).
- iwlwifi: mvm: add support for new WOWLAN_TSC_RSC_PARAM version
  (bsc#1187495).
- iwlwifi: don't export acpi functions unnecessarily
  (bsc#1187495).
- commit 4e206c7
* Wed Jul 21 2021 tiwai@suse.de
- iwlwifi: mvm: process ba-notifications also when sta rcu is
  invalid (bsc#1187495).
- iwlwifi: mvm: add support for new version of
  WOWLAN_TKIP_SETTING_API_S (bsc#1187495).
- iwlwifi: mvm: Don't install CMAC/GMAC key in AP mode
  (bsc#1187495).
- iwl-trans: move dev_cmd_offs, page_offs to a common trans header
  (bsc#1187495).
- iwlwifi: regulatory: regulatory capabilities api change
  (bsc#1187495).
- iwlwifi: dbg: add dumping special device memory (bsc#1187495).
- iwlwifi: dbg: remove IWL_FW_INI_TIME_POINT_WDG_TIMEOUT
  (bsc#1187495).
- iwlwifi: acpi: support ppag table command v2 (bsc#1187495).
- iwlwifi: move bc_table_dword to a common trans header
  (bsc#1187495).
- iwlwifi: iwl-trans: move tfd to trans layer (bsc#1187495).
- iwlwifi: move bc_pool to a common trans header (bsc#1187495).
- iwlwifi: enable twt by default (bsc#1187495).
- iwlwifi: mvm: add an option to add PASN station (bsc#1187495).
- iwlwifi: fw: move assert descriptor parser to common code
  (bsc#1187495).
- iwlwifi: wowlan: adapt to wowlan status API version 10
  (bsc#1187495).
- iwlwifi: acpi: evaluate dsm to disable 5.8GHz channels
  (bsc#1187495).
- iwlwifi: msix: limit max RX queues for 9000 family
  (bsc#1187495).
- iwlwifi: sta: defer ADDBA transmit in case reclaimed SN !=
  next SN (bsc#1187495).
- iwlwifi: mvm: set PROTECTED_TWT feature if supported by firmware
  (bsc#1187495).
- iwlwifi: mvm: set PROTECTED_TWT in MAC data policy
  (bsc#1187495).
- iwlwifi: mvm: add PROTECTED_TWT firmware API (bsc#1187495).
- iwlwifi: mvm: rs-fw: handle VHT extended NSS capability
  (bsc#1187495).
- net: iwlwifi: Remove in_interrupt() from tracing macro
  (bsc#1187495).
- net: ipw2x00,iwlegacy,iwlwifi: Remove in_interrupt() from
  debug macros (bsc#1187495).
- commit 68d8e8f
* Wed Jul 21 2021 mbrugger@suse.com
- Update
  patches.suse/ARM-ensure-the-signal-page-contains-defined-contents.patch
  (CVE-2021-21781 bsc#1188445).
- commit 47f3aa1
* Wed Jul 21 2021 oneukum@suse.com
- net: fec_ptp: fix issue caused by refactor the fec_devtype
  (git-fixes).
- commit d15e1c0
* Wed Jul 21 2021 tiwai@suse.de
- kABI workaround for intel_th_driver (git-fixes).
- commit c18c5e5
* Wed Jul 21 2021 tiwai@suse.de
- drm/gma500: Add the missed drm_gem_object_put() in
  psb_user_framebuffer_create() (git-fixes).
- intel_th: Wait until port is in reset before programming it
  (git-fixes).
- ASoC: soc-pcm: fix the return value in dpcm_apply_symmetry()
  (git-fixes).
- ASoC: intel/boards: add missing MODULE_DEVICE_TABLE (git-fixes).
- ASoC: Intel: sof_sdw: add mutual exclusion between PCH DMIC
  and RT715 (git-fixes).
- ALSA: firewire-motu: fix detection for S/PDIF source on optical
  interface in v2 protocol (git-fixes).
- ALSA: usx2y: Avoid camelCase (git-fixes).
- commit 2f9e57e
* Wed Jul 21 2021 jeyu@suse.de
- Rename patches to match SLE15-SP2 equivalents to prepare for the next SLE15-SP2->SLE15-SP3 merge
- commit 06bbd81
* Wed Jul 21 2021 tiwai@suse.de
- watchdog: iTCO_wdt: Account for rebooting on second timeout
  (git-fixes).
- watchdog: Fix possible use-after-free by calling
  del_timer_sync() (git-fixes).
- watchdog: sc520_wdt: Fix possible use-after-free in
  wdt_turnoff() (git-fixes).
- watchdog: Fix possible use-after-free in wdt_startup()
  (git-fixes).
- w1: ds2438: fixing bug that would always get page0 (git-fixes).
- commit 0fe04be
* Wed Jul 21 2021 tiwai@suse.de
- virtio_console: Assure used length from device is limited
  (git-fixes).
- pwm: img: Fix PM reference leak in img_pwm_enable() (git-fixes).
- pwm: imx1: Don't disable clocks at device remove time
  (git-fixes).
- pwm: spear: Don't modify HW state in .remove callback
  (git-fixes).
- power: supply: ab8500: add missing MODULE_DEVICE_TABLE
  (git-fixes).
- usb: gadget: hid: fix error return code in hid_bind()
  (git-fixes).
- usb: gadget: f_hid: fix endianness issue with descriptors
  (git-fixes).
- tty: serial: 8250: serial_cs: Fix a memory leak in error
  handling path (git-fixes).
- tty: serial: fsl_lpuart: fix the potential risk of division
  or modulo by zero (git-fixes).
- staging: rtl8723bs: fix macro value for 2.4Ghz only device
  (git-fixes).
- commit 966e79d
* Wed Jul 21 2021 tiwai@suse.de
- PCI: tegra: Add missing MODULE_DEVICE_TABLE (git-fixes).
- power: supply: charger-manager: add missing MODULE_DEVICE_TABLE
  (git-fixes).
- power: reset: gpio-poweroff: add missing MODULE_DEVICE_TABLE
  (git-fixes).
- power: supply: max17042: Do not enforce (incorrect) interrupt
  trigger type (git-fixes).
- power: supply: ab8500: Avoid NULL pointers (git-fixes).
- power: supply: sc2731_charger: Add missing MODULE_DEVICE_TABLE
  (git-fixes).
- power: supply: sc27xx: Add missing MODULE_DEVICE_TABLE
  (git-fixes).
- misc: alcor_pci: fix inverted branch condition (git-fixes).
- net: usb: fix possible use-after-free in smsc75xx_bind
  (git-fixes).
- commit 74628f5
* Wed Jul 21 2021 tiwai@suse.de
- iio: magn: bmc150: Balance runtime pm + use
  pm_runtime_resume_and_get() (git-fixes).
- iio: gyro: fxa21002c: Balance runtime pm + use
  pm_runtime_resume_and_get() (git-fixes).
- misc: alcor_pci: fix null-ptr-deref when there is no PCI bridge
  (git-fixes).
- misc/libmasm/module: Fix two use after free in ibmasm_init_one
  (git-fixes).
- mfd: cpcap: Fix cpcap dmamask not set warnings (git-fixes).
- mfd: da9052/stmpe: Add and modify MODULE_DEVICE_TABLE
  (git-fixes).
- Input: hideep - fix the uninitialized use in hideep_nvm_unlock()
  (git-fixes).
- i2c: core: Disable client irq on reboot/shutdown (git-fixes).
- lib/decompress_unlz4.c: correctly handle zero-padding around
  initrds (git-fixes).
- commit 14f42b7
* Wed Jul 21 2021 tiwai@suse.de
- backlight: lm3630a: Fix return code of .update_status() callback
  (git-fixes).
- dmaengine: fsl-qdma: check dma_set_mask return value
  (git-fixes).
- gpio: pca953x: Add support for the On Semi pca9655 (git-fixes).
- gpio: zynq: Check return value of pm_runtime_get_sync
  (git-fixes).
- ASoC: Intel: kbl_da7219_max98357a: shrink platform_id below
  20 characters (git-fixes).
- ASoC: soc-core: Fix the error return code in
  snd_soc_of_parse_audio_routing() (git-fixes).
- ASoC: img: Fix PM reference leak in img_i2s_in_probe()
  (git-fixes).
- ALSA: usb-audio: scarlett2: Fix 6i6 Gen 2 line out descriptions
  (git-fixes).
- ALSA: hda: Add IRQ check for platform_get_irq() (git-fixes).
- ALSA: usb-audio: scarlett2: Fix scarlett2_*_ctl_put() return
  values (git-fixes).
- commit 006f207
* Wed Jul 21 2021 tiwai@suse.de
- ACPI: video: Add quirk for the Dell Vostro 3350 (git-fixes).
- ACPI: AMBA: Fix resource name in /proc/iomem (git-fixes).
- ALSA: usb-audio: scarlett2: Fix data_mutex lock (git-fixes).
- ALSA: usb-audio: scarlett2: Fix 18i8 Gen 2 PCM Input count
  (git-fixes).
- ALSA: bebob: add support for ToneWeal FW66 (git-fixes).
- ALSA: ppc: fix error return code in snd_pmac_probe()
  (git-fixes).
- ALSA: sb: Fix potential double-free of CSP mixer elements
  (git-fixes).
- ALSA: ac97: fix PM reference leak in ac97_bus_remove()
  (git-fixes).
- ALSA: usx2y: Don't call free_pages_exact() with NULL address
  (git-fixes).
- commit eaa8acd
* Wed Jul 21 2021 mkubecek@suse.cz
- config: refresh
- drop GVE on arm64 and s390x (no longer available due to dependency update)
- commit d6ed2bf
* Tue Jul 20 2021 duwe@suse.de
- crypto: sun4i-ss - initialize need_fallback (git-fixes).
- crypto: sun4i-ss - IV register does not work on A10 and A13
  (git-fixes).
- crypto: sun4i-ss - checking sg length is not sufficient
  (git-fixes).
- crypto: virtio: Fix dest length calculation in
  __virtio_crypto_skcipher_do_req() (git-fixes).
- crypto: virtio: Fix src/dst scatterlist calculation in
  __virtio_crypto_skcipher_do_req() (git-fixes).
- commit 2b4c8a1
* Tue Jul 20 2021 jgross@suse.com
- blacklist.conf: add 4c9c26f1e67648f41f
- commit db6c764
* Tue Jul 20 2021 jgross@suse.com
- blacklist.conf: add dbc03e81586fc33e4945263fd6e09e22eb4b980f
- commit 32c5658
* Tue Jul 20 2021 msuchanek@suse.de
- powerpc/papr_scm: Properly handle UUID types and API
  (FATE#326628, bsc#1113295, git-fixes).
- commit 9bcaa28
* Tue Jul 20 2021 msuchanek@suse.de
- powerpc: Offline CPU in stop_this_cpu() (bsc#1156395).
- commit 01547d1
* Tue Jul 20 2021 msuchanek@suse.de
- powerpc/mm: Fix lockup on kernel exec fault (bsc#1156395).
- commit b063178
* Tue Jul 20 2021 msuchanek@suse.de
- powerpc/stacktrace: Fix spurious "stale" traces in
  raise_backtrace_ipi() (bsc#1156395).
- commit f074894
* Tue Jul 20 2021 tbogendoerfer@suse.de
- gve: Introduce per netdev `enum gve_queue_format` (bsc#1176940).
- Refresh
  patches.suse/gve-Fix-an-error-handling-path-in-gve_probe.patch.
- commit fc90ec1
* Tue Jul 20 2021 tbogendoerfer@suse.de
- gve: DQO: Remove incorrect prefetch (bsc#1176940).
- gve: Simplify code and axe the use of a deprecated API
  (bsc#1176940).
- gve: Propagate error codes to caller (bsc#1176940).
- gve: DQO: Fix off by one in gve_rx_dqo() (bsc#1176940).
- gve: Fix warnings reported for DQO patchset (bsc#1176940).
- gve: DQO: Add RX path (bsc#1176940).
- gve: DQO: Add TX path (bsc#1176940).
- gve: DQO: Configure interrupts on device up (bsc#1176940).
- gve: DQO: Add ring allocation and initialization (bsc#1176940).
- gve: DQO: Add core netdev features (bsc#1176940).
- gve: Update adminq commands to support DQO queues (bsc#1176940).
- gve: Add DQO fields for core data structures (bsc#1176940).
- gve: Add dqo descriptors (bsc#1176940).
- gve: Add support for DQO RX PTYPE map (bsc#1176940).
- gve: adminq: DQO specific device descriptor logic (bsc#1176940).
- gve: Introduce a new model for device options (bsc#1176940).
- gve: Make gve_rx_slot_page_info.page_offset an absolute offset
  (bsc#1176940).
- gve: gve_rx_copy: Move padding to an argument (bsc#1176940).
- gve: Move some static functions to a common file (bsc#1176940).
- gve: Check TX QPL was actually assigned (bsc#1176940).
- net: gve: remove duplicated allowed (bsc#1176940).
- net: gve: convert strlcpy to strscpy (bsc#1176940).
- gve: Add support for raw addressing in the tx path
  (bsc#1176940).
- gve: Rx Buffer Recycling (bsc#1176940).
- gve: Add support for raw addressing to the rx path
  (bsc#1176940).
- gve: Add support for raw addressing device option (bsc#1176940).
- gve: Replace zero-length array with flexible-array member
  (bsc#1176940).
- gve: Enable Link Speed Reporting in the driver (bsc#1176940).
- gve: Use link status register to report link status
  (bsc#1176940).
- gve: Batch AQ commands for creating and destroying queues
  (bsc#1176940).
- gve: NIC stats for report-stats and for ethtool (bsc#1176940).
- gve: Add Gvnic stats AQ command and ethtool show/set-priv-flags
  (bsc#1176940).
- gve: Use dev_info/err instead of netif_info/err (bsc#1176940).
- gve: Add stats for gve (bsc#1176940).
- gve: Get and set Rx copybreak via ethtool (bsc#1176940).
- commit ffc7e3d
* Tue Jul 20 2021 mgorman@suse.de
- cpu/hotplug: Cure the cpusets trainwreck (git fixes
  (sched/hotplug)).
- commit ea5f05d
* Tue Jul 20 2021 oneukum@suse.com
- blacklist.conf: duplication
- commit eff56f7
* Tue Jul 20 2021 oneukum@suse.com
- kprobes: Fix to check probe enabled before
  disarm_kprobe_ftrace() (git-fixes).
- commit 9aba4a6
* Tue Jul 20 2021 oneukum@suse.com
- kprobes: Fix compiler warning for !CONFIG_KPROBES_ON_FTRACE
  (git-fixes).
- commit a579f68
* Tue Jul 20 2021 tiwai@suse.de
- kABI workaround for pci/quirks.c (git-fixes).
- commit 04fb196
* Tue Jul 20 2021 tiwai@suse.de
- drm/panel: nt35510: Do not fail if DSI read fails (git-fixes).
- Bluetooth: mgmt: Fix the command returns garbage parameter value
  (git-fixes).
- Bluetooth: btusb: Add support USB ALT 3 for WBS (git-fixes).
- Bluetooth: L2CAP: Fix invalid access on ECRED Connection
  response (git-fixes).
- Bluetooth: L2CAP: Fix invalid access if ECRED Reconfigure fails
  (git-fixes).
- Bluetooth: Remove spurious error message (git-fixes).
- Bluetooth: Fix alt settings for incoming SCO with transparent
  coding format (git-fixes).
- mac80211_hwsim: add concurrent channels scanning support over
  virtio (git-fixes).
- mac80211: consider per-CPU statistics if present (git-fixes).
- iwlwifi: pcie: fix context info freeing (git-fixes).
- iwlwifi: mvm: fix error print when session protection ends
  (git-fixes).
- mt76: mt7915: fix IEEE80211_HE_PHY_CAP7_MAX_NC for station mode
  (git-fixes).
- mt76: mt7615: fix fixed-rate tx status reporting (git-fixes).
- net: phy: realtek: add delay to fix RXC generation issue
  (git-fixes).
- commit 4680cad
* Tue Jul 20 2021 tiwai@suse.de
- Add a cherry-picked ID for AMDGPU fix patch
- commit ba73832
* Tue Jul 20 2021 tiwai@suse.de
- wl1251: Fix possible buffer overflow in wl1251_cmd_scan
  (git-fixes).
- wlcore/wl12xx: Fix wl12xx get_mac error if device is in ELP
  (git-fixes).
- commit e3971fc
* Tue Jul 20 2021 tiwai@suse.de
- PCI: iproc: Support multi-MSI only on uniprocessor kernel
  (git-fixes).
- PCI: iproc: Fix multi-MSI base vector number allocation
  (git-fixes).
- PCI: aardvark: Implement workaround for the readback value of
  VEND_ID (git-fixes).
- pinctrl: mcp23s08: Fix missing unlock on error in mcp23s08_irq()
  (git-fixes).
- pinctrl: mcp23s08: fix race condition in irq handler
  (git-fixes).
- pinctrl/amd: Add device HID for new AMD GPIO controller
  (git-fixes).
- wireless: wext-spy: Fix out-of-bounds warning (git-fixes).
- rtl8xxxu: Fix device info for RTL8192EU devices (git-fixes).
- r8169: avoid link-up interrupt issue on RTL8106e if user
  enables ASPM (git-fixes).
- qemu_fw_cfg: Make fw_cfg_rev_attr a proper kobj_attribute
  (git-fixes).
- commit 0ca454f
* Tue Jul 20 2021 tiwai@suse.de
- PCI: aardvark: Fix checking for PIO Non-posted Request
  (git-fixes).
- PCI: Leave Apple Thunderbolt controllers on for s2idle or
  standby (git-fixes).
- media, bpf: Do not copy more entries than user space requested
  (git-fixes).
- iwlwifi: pcie: free IML DMA memory allocation (git-fixes).
- iwlwifi: mvm: don't change band on bound PHY contexts
  (git-fixes).
- mISDN: fix possible use-after-free in HFC_cleanup() (git-fixes).
- media: uvcvideo: Fix pixel format change for Elgato Cam Link 4K
  (git-fixes).
- mmc: core: Allow UHS-I voltage switch for SDSC cards if
  supported (git-fixes).
- commit f7d13b4
* Tue Jul 20 2021 tiwai@suse.de
- drm/amdgpu: Update NV SIMD-per-CU to 2 (git-fixes).
- drm/radeon: Add the missed drm_gem_object_put() in
  radeon_user_framebuffer_create() (git-fixes).
- drm/amd/display: fix incorrrect valid irq check (git-fixes).
- drm/amdkfd: Walk through list with dqm lock hold (git-fixes).
- drm/amd/display: Verify Gamma & Degamma LUT sizes in
  amdgpu_dm_atomic_check (git-fixes).
- drm/mediatek: Fix PM reference leak in mtk_crtc_ddp_hw_init()
  (git-fixes).
- drm/amd/display: Set DISPCLK_MAX_ERRDET_CYCLES to 7 (git-fixes).
- drm/amd/display: Update scaling settings on modeset (git-fixes).
- drm/bridge: cdns: Fix PM reference leak in cdns_dsi_transfer()
  (git-fixes).
- drm/amd/display: fix use_max_lb flag for 420 pixel formats
  (git-fixes).
- commit d72cf42
* Tue Jul 20 2021 tiwai@suse.de
- drm/amd/amdgpu/sriov disable all ip hw status by default
  (git-fixes).
- drm/sched: Avoid data corruptions (git-fixes).
- drm/virtio: Fix double free on probe failure (git-fixes).
- drm/msm/mdp4: Fix modifier support enabling (git-fixes).
- drm/arm/malidp: Always list modifiers (git-fixes).
- drm/vc4: fix argument ordering in vc4_crtc_get_margins()
  (git-fixes).
- drm/zte: Don't select DRM_KMS_FB_HELPER (git-fixes).
- drm/mxsfb: Don't select DRM_KMS_FB_HELPER (git-fixes).
- drm/tegra: Don't set allow_fb_modifiers explicitly (git-fixes).
- commit b02b3f8
* Tue Jul 20 2021 tiwai@suse.de
- ASoC: tegra: Set driver_name=tegra for all machine drivers
  (git-fixes).
- clk: tegra: Ensure that PLLU configuration is applied properly
  (git-fixes).
- clk: renesas: r8a77995: Add ZA2 clock (git-fixes).
- Bluetooth: btusb: fix bt fiwmare downloading failure issue
  for qca btsoc (git-fixes).
- Bluetooth: Shutdown controller after workqueues are flushed
  or cancelled (git-fixes).
- Bluetooth: Fix the HCI to MGMT status conversion table
  (git-fixes).
- Bluetooth: btusb: Fixed too many in-token issue for Mediatek
  Chip (git-fixes).
- cw1200: add missing MODULE_DEVICE_TABLE (git-fixes).
- clocksource/arm_arch_timer: Improve Allwinner A64 timer
  workaround (git-fixes).
- commit c7cdd5b
* Tue Jul 20 2021 mbrugger@suse.com
- ARM: ensure the signal page contains defined contents (bsc#1188445).
- commit a1eecda
* Mon Jul 19 2021 oneukum@suse.com
- kprobes: fix kill kprobe which has been marked as gone
  (git-fixes).
- commit ee1820f
* Mon Jul 19 2021 oneukum@suse.com
- kprobes: Fix NULL pointer dereference at kprobe_ftrace_handler
  (git-fixes).
- commit 865421f
* Mon Jul 19 2021 oneukum@suse.com
- kprobes: Do not expose probe addresses to non-CAP_SYSLOG
  (git-fixes).
- commit e2cb2ae
* Mon Jul 19 2021 denis.kirjanov@suse.com
- net: atlantic: fix ip dst and ipv6 address filters (git-fixes).
- commit 4278aab
* Mon Jul 19 2021 msuchanek@suse.de
- Align s390 NVME target options with other architectures (bsc#1188404).
  CONFIG_NVME_TARGET=m
  CONFIG_NVME_TARGET_PASSTHRU=y
  CONFIG_NVME_TARGET_LOOP=m
  CONFIG_NVME_TARGET_RDMA=m
  CONFIG_NVME_TARGET_FC=m
  CONFIG_NVME_TARGET_FCLOOP=m
  CONFIG_NVME_TARGET_TCP=m
- commit a49b3f5
* Mon Jul 19 2021 denis.kirjanov@suse.com
- net/mlx5: Don't fail driver on failure to create debugfs (git-fixes).
- commit c19d4f7
* Mon Jul 19 2021 denis.kirjanov@suse.com
- net: marvell: Fix OF_MDIO config check (git-fixes).
- commit f372318
* Mon Jul 19 2021 denis.kirjanov@suse.com
- net: dp83867: Fix OF_MDIO config check (git-fixes).
- commit c2ac3ff
* Mon Jul 19 2021 denis.kirjanov@suse.com
- net: Make PTP-specific drivers depend on PTP_1588_CLOCK (git-fixes).
- commit 0997bfc
* Mon Jul 19 2021 denis.kirjanov@suse.com
- net: phy: microchip_t1: add lan87xx_phy_init to initialize the lan87xx phy (git-fixes).
- commit 2e479b6
* Mon Jul 19 2021 oneukum@suse.com
- PCI: quirks: fix false kABI positive (git-fixes).
- commit a2a8059
* Mon Jul 19 2021 oneukum@suse.com
- tpm: efi: Use local variable for calculating final log size
  (git-fixes).
- commit 69be865
* Mon Jul 19 2021 mbenes@suse.cz
- tracing: Do not reference char * as a string in histograms
  (git-fixes).
- commit 5ff7921
* Mon Jul 19 2021 oneukum@suse.com
- PCI: iproc: Fix multi-MSI base vector number allocation
  (git-fixes).
- commit 9e70011
* Mon Jul 19 2021 oneukum@suse.com
- PCI: aardvark: Implement workaround for the readback value of
  VEND_ID (git-fixes).
- commit 4bfb1fd
* Mon Jul 19 2021 oneukum@suse.com
- PCI/sysfs: Fix dsm_label_utf16s_to_utf8s() buffer overrun
  (git-fixes).
- commit dbaa5b3
* Mon Jul 19 2021 oneukum@suse.com
- PCI: Leave Apple Thunderbolt controllers on for s2idle or
  standby (git-fixes).
- commit 900ca03
* Mon Jul 19 2021 msuchanek@suse.de
- Update patches.suse/Revert-ibmvnic-remove-duplicate-napi_schedule-call-i.patch
  (bsc#1065729 bsc#1188405 ltc#193509 bsc#1187476 ltc#193646).
- commit f55c672
* Mon Jul 19 2021 lma@suse.com
- blacklist.conf: 36fa06f9 KVM: x86: Add support for RDPID without RDTSCP
- commit db710b8
* Mon Jul 19 2021 lma@suse.com
- blacklist.conf: 8aec21c0 KVM: VMX: Do not advertise RDPID if ENABLE_RDTSCP control is unsupported
- commit 202cd1e
* Sun Jul 18 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline, drop Git-repo:
  patches.suse/bpftool-Properly-close-va_list-ap-by-va_end-on-error.patch
- commit ec7585c
* Sun Jul 18 2021 mkubecek@suse.cz
- Update kabi files.
- update from second July 2021 maintenance update submission (commit 44308a6ad508)
- commit ee121a0
* Sun Jul 18 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/0003-amdgpu-fix-GEM-obj-leak-in-amdgpu_display_user_frame.patch.
  Drop _unlocked
- commit 942b7a3
* Sun Jul 18 2021 tiwai@suse.de
- fbmem: Do not delete the mode that is still in use (git-fixes).
- dma-buf/sync_file: Don't leak fences on merge failure
  (git-fixes).
- fbmem: add margin check to fb_check_caps() (git-fixes).
- commit 1116a4b
* Fri Jul 16 2021 msuchanek@suse.de
- Update patches.suse/Revert-ibmvnic-remove-duplicate-napi_schedule-call-i.patch
  (bsc#1065729 bsc#1188405 ltc#193509).
- Update patches.suse/Revert-ibmvnic-simplify-reset_long_term_buff-functio.patch
  (bsc#1186206 ltc#191041 bsc#1188405 ltc#193509).
- commit 5fcaf8a
* Fri Jul 16 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Do not install usrmerged kernel on Leap
  (boo#1184804).
- commit 5b51131
* Fri Jul 16 2021 glin@suse.com
- bpftool: Properly close va_list 'ap' by va_end() on error
  (bsc#1155518).
- libbpf: Fixes incorrect rx_ring_setup_done (bsc#1155518).
- commit a14bd1d
* Thu Jul 15 2021 martin.wilck@suse.com
- blacklist.conf: add "block: blk-mq.c: fix @at_head kernel-doc warning"
  Also removed a remnant of a merge conflict.
- commit ebd24f1
* Thu Jul 15 2021 denis.kirjanov@suse.com
- netfilter: x_tables: fix compat match/target pad out-of-bound
  write (CVE-2021-22555 bsc#1188116).
- commit 0b62bdb
* Thu Jul 15 2021 mkubecek@suse.cz
- netfilter: x_tables: fix compat match/target pad out-of-bound
  write (CVE-2021-22555 bsc#1188116).
- commit 5d3d4da
* Thu Jul 15 2021 tiwai@suse.de
- vmxnet3: fix cksum offload issues for tunnels with non-default
  udp ports (git-fixes).
- USB: cdc-acm: blacklist Heimann USB Appset device (git-fixes).
- usb: gadget: eem: fix echo command packet response issue
  (git-fixes).
- vfio/pci: Handle concurrent vma faults (git-fixes).
- [xarray] iov_iter_fault_in_readable() should do nothing in
  xarray case (git-fixes).
- ssb: sdio: Don't overwrite const buffer if block_write fails
  (git-fixes).
- commit 76c3ff9
* Thu Jul 15 2021 tiwai@suse.de
- serial_cs: Add Option International GSM-Ready 56K/ISDN modem
  (git-fixes).
- serial_cs: remove wrong GLOBETROTTER.cis entry (git-fixes).
- staging: rtl8712: remove redundant check in r871xu_drv_init
  (git-fixes).
- spi: spi-loopback-test: Fix 'tx_buf' might be 'rx_buf'
  (git-fixes).
- spi: omap-100k: Fix the length judgment problem (git-fixes).
- spi: spi-topcliff-pch: Fix potential double free in
  pch_spi_process_messages() (git-fixes).
- spi: Make of_register_spi_device also set the fwnode
  (git-fixes).
- regulator: da9052: Ensure enough delay time for
  .set_voltage_time_sel (git-fixes).
- regulator: uniphier: Add missing MODULE_DEVICE_TABLE
  (git-fixes).
- commit a2b1a60
* Thu Jul 15 2021 tiwai@suse.de
- platform/x86: toshiba_acpi: Fix missing error code in
  toshiba_acpi_setup_keyboard() (git-fixes).
- random32: Fix implicit truncation warning in
  prandom_seed_state() (git-fixes).
- media: Fix Media Controller API config checks (git-fixes).
- media: imx-csi: Skip first few frames from a BT.656 source
  (git-fixes).
- media: siano: fix device register error path (git-fixes).
- media: dvb_net: avoid speculation from net slot (git-fixes).
- media: dvd_usb: memory leak in cinergyt2_fe_attach (git-fixes).
- mmc: via-sdmmc: add a check against NULL pointer dereference
  (git-fixes).
- mmc: sdhci-sprd: use sdhci_sprd_writew (git-fixes).
- memstick: rtsx_usb_ms: fix UAF (git-fixes).
- commit 0eb2f6b
* Thu Jul 15 2021 tiwai@suse.de
- media: st-hva: Fix potential NULL pointer dereferences
  (git-fixes).
- media: bt8xx: Fix a missing check bug in bt878_probe
  (git-fixes).
- media: v4l2-core: Avoid the dangling pointer in v4l2_fh_release
  (git-fixes).
- media: em28xx: Fix possible memory leak of em28xx struct
  (git-fixes).
- media: imx: imx7_mipi_csis: Fix logging of only error event
  counters (git-fixes).
- media: pvrusb2: fix warning in pvr2_i2c_core_done (git-fixes).
- media: cobalt: fix race condition in setting HPD (git-fixes).
- media: cpia2: fix memory leak in cpia2_usb_probe (git-fixes).
- media: sti: fix obj-$(config) targets (git-fixes).
- media: exynos-gsc: fix pm_runtime_get_sync() usage count
  (git-fixes).
- commit ba1b2bc
* Thu Jul 15 2021 tiwai@suse.de
- iio: adc: at91-sama5d2: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: accel: mxc4005: Fix overread of data and alignment issue
  (git-fixes).
- lib: vsprintf: Fix handling of number field widths in vsscanf
  (git-fixes).
- media: sti/bdisp: fix pm_runtime_get_sync() usage count
  (git-fixes).
- media: s5p-jpeg: fix pm_runtime_get_sync() usage count
  (git-fixes).
- media: mtk-vcodec: fix PM runtime get logic (git-fixes).
- media: sh_vou: fix pm_runtime_get_sync() usage count
  (git-fixes).
- media: mdk-mdp: fix pm_runtime_get_sync() usage count
  (git-fixes).
- iio: at91-sama5d2_adc: remove usage of iio_priv_to_dev() helper
  (git-fixes).
- iio:accel:mxc4005: Drop unnecessary explicit casts in
  regmap_bulk_read calls (git-fixes).
- commit 74c2c06
* Thu Jul 15 2021 tiwai@suse.de
- gve: Fix an error handling path in 'gve_probe()' (git-fixes).
- fm10k: Fix an error handling path in 'fm10k_probe()'
  (git-fixes).
- HID: do not use down_interruptible() when unbinding devices
  (git-fixes).
- HID: wacom: Correct base usage for capacitive ExpressKey status
  bits (git-fixes).
- crypto: omap-sham - Fix PM reference leak in omap sham ops
  (git-fixes).
- crypto: nitrox - fix unchecked variable in
  nitrox_register_interrupts (git-fixes).
- hwrng: exynos - Fix runtime PM imbalance on error (git-fixes).
- hwmon: (max31790) Fix pwmX_enable attributes (git-fixes).
- hwmon: (max31790) Report correct current pwm duty cycles
  (git-fixes).
- commit ac66984
* Thu Jul 15 2021 tiwai@suse.de
- ALSA: usb-audio: scarlett2: Fix wrong resume call (git-fixes).
- ALSA: hda/realtek: Fix bass speaker DAC mapping for Asus UM431D
  (git-fixes).
- ath9k: Fix kernel NULL pointer dereference during
  ath_reset_internal() (git-fixes).
- clocksource: Retry clock read if long delays detected
  (git-fixes).
- crypto: qat - remove unused macro in FW loader (git-fixes).
- crypto: qat - check return code of qat_hal_rd_rel_reg()
  (git-fixes).
- crypto: ccp - Fix a resource leak in an error handling path
  (git-fixes).
- crypto: ux500 - Fix error return code in hash_hw_final()
  (git-fixes).
- crypto: nx - add missing MODULE_DEVICE_TABLE (git-fixes).
- crypto: ixp4xx - dma_unmap the correct address (git-fixes).
- commit fcdd7a0
* Thu Jul 15 2021 tiwai@suse.de
- ALSA: hda/realtek: Add another ALC236 variant support
  (git-fixes).
- ALSA: usb-audio: fix rate on Ozone Z90 USB headset (git-fixes).
- ACPI: bus: Call kobject_put() in acpi_init() error path
  (git-fixes).
- ACPI: EC: Make more Asus laptops use ECDT _GPE (git-fixes).
- ACPI: resources: Add checks for ACPI IRQ override (git-fixes).
- ACPI: processor idle: Fix up C-state latency if not ordered
  (git-fixes).
- ACPICA: Fix memory leak caused by _CID repair function
  (git-fixes).
- commit 930000b
* Wed Jul 14 2021 denis.kirjanov@suse.com
- seq_file: Disallow extremely large seq buffer allocations
  (bsc#1188062, CVE-2021-33909).
- commit fe01024
* Wed Jul 14 2021 tiwai@suse.de
- thermal/drivers/int340x/processor_thermal: Fix tcc setting
  (git-fixes).
- commit c7a1614
* Wed Jul 14 2021 tiwai@suse.de
- serial: fsl_lpuart: remove RTSCTS handling from get_mctrl()
  (git-fixes).
- serial: 8250_pci: Add support for new HPE serial device
  (git-fixes).
- commit bdbeac7
* Wed Jul 14 2021 tiwai@suse.de
- PCI: tegra194: Fix tegra_pcie_ep_raise_msi_irq() ill-defined
  shift (git-fixes).
- PCI: intel-gw: Fix INTx enable (git-fixes).
- rtw88: 8822c: fix lc calibration timing (git-fixes).
- commit 27f2c49
* Wed Jul 14 2021 tiwai@suse.de
- leds: class: The -ENOTSUPP should never be seen by user space
  (git-fixes).
- mac80211: reset profile_periodicity/ema_ap (git-fixes).
- i2c: designware: Adjust bus_freq_hz when refuse high speed
  mode set (git-fixes).
- net: phy: fix save wrong speed and duplex problem if autoneg
  is on (git-fixes).
- net: phy: microchip_t1: add lan87xx_phy_init to initialize
  the lan87xx phy (git-fixes).
- commit 3654173
* Wed Jul 14 2021 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 36a2250
* Wed Jul 14 2021 denis.kirjanov@suse.com
- usb: dwc3: Fix debugfs creation flow (git-fixes).
- commit dc4de14
* Wed Jul 14 2021 tiwai@suse.de
- Revert "drm: add a locked version of drm_is_current_master"
  (git-fixes).
- commit 299bede
* Wed Jul 14 2021 tiwai@suse.de
- drm/i915/display: Do not zero past infoframes.vsc (git-fixes).
- drm/msm: Fix error return code in msm_drm_init() (git-fixes).
- drm/dp_mst: Do not set proposed vcpi directly (git-fixes).
- drm/vc4: hdmi: Fix error path of hpd-gpios (git-fixes).
- drm/rockchip: cdn-dp: fix sign extension on an int multiply
  for a u64 result (git-fixes).
- drm/rockchip: lvds: Fix an error handling path (git-fixes).
- drm: rockchip: set alpha_en to 0 if it is not used (git-fixes).
- drm/vc4: hdmi: Prevent clock unbalance (git-fixes).
- drm/vc4: crtc: Skip the TXP (git-fixes).
- drm/vc4: txp: Properly set the possible_crtcs mask (git-fixes).
- drm/amd/display: Fix build warnings (git-fixes).
- drm/amd/dc: Fix a missing check bug in dm_dp_mst_detect()
  (git-fixes).
- drm/vmwgfx: Fix cpu updates of coherent multisample surfaces
  (git-fixes).
- drm/vmwgfx: Mark a surface gpu-dirty after the
  SVGA3dCmdDXGenMips command (git-fixes).
- drm: bridge: add missing word in Analogix help text (git-fixes).
- drm/bridge: Fix the stop condition of
  drm_bridge_chain_pre_enable() (git-fixes).
- drm/bridge/sii8620: fix dependency on extcon (git-fixes).
- drm/i915/selftests: use vma_lookup() in __igt_mmap()
  (git-fixes).
- commit 92278ad
* Wed Jul 14 2021 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit 6b0f6b8
* Wed Jul 14 2021 tiwai@suse.de
- clk: imx8mq: remove SYS PLL 1/2 clock gates (git-fixes).
- Bluetooth: hci_qca: fix potential GPF (git-fixes).
- cw1200: Revert unnecessary patches that fix unreal
  use-after-free bugs (git-fixes).
- brcmfmac: Fix a double-free in brcmf_sdio_bus_reset (git-fixes).
- drm/nouveau: fix dma_address check for CPU/GPU sync (git-fixes).
- drm/amdgpu: wait for moving fence after pinning (git-fixes).
- drm: add a locked version of drm_is_current_master (git-fixes).
- commit 41694a6
* Wed Jul 14 2021 tiwai@suse.de
- kABI compatibility fix for max98373_priv struct (git-fixes).
- commit 9bfc21b
* Wed Jul 14 2021 tiwai@suse.de
- ASoC: SOF: loader: Use snd_sof_dsp_block_read() instead
  sof_block_read() (git-fixes).
- ASoC: rk3328: fix missing clk_disable_unprepare() on error in
  rk3328_platform_probe() (git-fixes).
- ASoC: rt5682: Disable irq on shutdown (git-fixes).
- ASoC: fsl_spdif: Fix unexpected interrupt after suspend
  (git-fixes).
- ASoC: fsl_spdif: Fix error handler with pm_runtime_enable
  (git-fixes).
- ASoC: rt715-sdw: use first_hw_init flag on resume (git-fixes).
- ASoC: rt711-sdw: use first_hw_init flag on resume (git-fixes).
- ASoC: rt700-sdw: use first_hw_init flag on resume (git-fixes).
- ASoC: rt5682-sdw: use first_hw_init flag on resume (git-fixes).
- ASoC: rt1308-sdw: use first_hw_init flag on resume (git-fixes).
- ASoC: max98373-sdw: use first_hw_init flag on resume
  (git-fixes).
- ASoC: max98373-sdw: add missing memory allocation check
  (git-fixes).
- commit 5211f08
* Wed Jul 14 2021 tiwai@suse.de
- ALSA: usb-audio: Fix OOB access at proc output (git-fixes).
- ALSA: firewire-motu: fix stream format for MOTU 8pre FireWire
  (git-fixes).
- commit 0a94859
* Wed Jul 14 2021 tiwai@suse.de
- Blacklist already cherry-picked ASoC commits
- commit 5cc6c21
* Wed Jul 14 2021 oneukum@suse.com
- usb: gadget: f_fs: Fix setting of device and driver data
  cross-references (git-fixes).
- commit 8174fed
* Wed Jul 14 2021 oneukum@suse.com
- vfs: Convert functionfs to use the new mount API (git -fixes).
- commit bc4a6d0
* Wed Jul 14 2021 mgorman@suse.de
- mm, futex: fix shared futex pgoff on shmem huge page (git fixes
  (kernel/futex)).
- commit b5af159
* Tue Jul 13 2021 jeffm@suse.com
- Update Patch-mainline tags for patches that landed in 5.14-rc1.
- commit b2d9bab
* Tue Jul 13 2021 oneukum@suse.com
- thunderbolt: Bond lanes only when dual_link_port != NULL in
  alloc_dev_default() (git-fixes).
- commit a8440fd
* Tue Jul 13 2021 oneukum@suse.com
- usb: typec: fusb302: fix "op-sink-microwatt" default that was
  in mW (git-fixes).
- commit dcf2645
* Tue Jul 13 2021 lhenriques@suse.de
- fuse: reject internal errno (bsc#1188269).
- fuse: check connected before queueing on fpq->io (bsc#1188267).
- fuse: ignore PG_workingset after stealing (bsc#1188268).
- commit ad3c8af
* Tue Jul 13 2021 oneukum@suse.com
- kABI: restore struct tcpc_config definition (git-fixes).
- commit af96f3e
* Tue Jul 13 2021 oneukum@suse.com
- media: v4l2-async: Fix trivial documentation typo (git-fixes).
- commit a677fa5
* Mon Jul 12 2021 mbenes@suse.cz
- tracing/histograms: Fix parsing of "sym-offset" modifier
  (git-fixes).
- commit e43cdf6
* Mon Jul 12 2021 oneukum@suse.com
- usb: typec: fusb302: Always provide fwnode for the port
  (git-fixes).
- commit 23df3ab
* Mon Jul 12 2021 ykaukab@suse.de
- math: Export mul_u64_u64_div_u64 (git-fixes).
- commit 3708119
* Mon Jul 12 2021 ykaukab@suse.de
- PCI: tegra194: Fix tegra_pcie_ep_raise_msi_irq() ill-defined
  shift (git-fixes).
- PCI: intel-gw: Fix INTx enable (git-fixes).
- serial: fsl_lpuart: remove RTSCTS handling from get_mctrl()
  (git-fixes).
- coresight: Propagate symlink failure (git-fixes).
- coresight: core: Fix use of uninitialized pointer (git-fixes).
- commit 0c46818
* Mon Jul 12 2021 tiwai@suse.de
- rtc: stm32: Fix unbalanced clk_disable_unprepare() on probe
  error path (git-fixes).
- rtc: fix snprintf() checking in is_rtc_hctosys() (git-fixes).
- thermal/drivers/rcar_gen3_thermal: Fix coefficient calculations
  (git-fixes).
- reset: bail if try_module_get() fails (git-fixes).
- firmware: tegra: Fix error return code in tegra210_bpmp_init()
  (git-fixes).
- memory: fsl_ifc: fix leak of private memory on probe failure
  (git-fixes).
- memory: fsl_ifc: fix leak of IO mapping on probe failure
  (git-fixes).
- memory: pl353: Fix error return code in pl353_smc_probe()
  (git-fixes).
- memory: atmel-ebi: add missing of_node_put for loop iteration
  (git-fixes).
- reset: brcmstb: Add missing MODULE_DEVICE_TABLE (git-fixes).
- reset: a10sr: add missing of_match_table reference (git-fixes).
- ALSA: intel8x0: Fix breakage at ac97 clock measurement
  (git-fixes).
- ALSA: isa: Fix error return code in snd_cmi8330_probe()
  (git-fixes).
- commit 8a2377b
* Mon Jul 12 2021 ykaukab@suse.de
- memory: fsl_ifc: fix leak of private memory on probe failure
  (git-fixes).
- memory: fsl_ifc: fix leak of IO mapping on probe failure
  (git-fixes).
- commit b522bcb
* Mon Jul 12 2021 ykaukab@suse.de
- Refresh patches.suse/rtc-pcf2127-handle-timestamp-interrupts.patch.
  Switched to queued version.
- commit 1b185ef
* Sat Jul 10 2021 lyan@suse.com
- x86/kvm: Unify kvm_pv_guest_cpu_reboot() with kvm_guest_cpu_offline() (bsc#1185308).
- x86/kvm: Disable all PV features on crash (bsc#1185308).
- refresh patches.suse/0001-kvm-Reintroduce-nopvspin-kernel-parameter.patch
- x86/kvm: Unify kvm_pv_guest_cpu_reboot() with kvm_guest_cpu_offline() (bsc#1185308).
- x86/kvm: Disable all PV features on crash (bsc#1185308).
- refresh patches.suse/0001-kvm-Reintroduce-nopvspin-kernel-parameter.patch
- x86/kvm: Disable kvmclock on all CPUs on shutdown (bsc#1185308).
- x86/kvm: Teardown PV features on boot CPU as well (bsc#1185308).
- x86/kvm: Fix pr_info() for async PF setup/teardown
  (bsc#1185308).
- x86/kvm: Disable kvmclock on all CPUs on shutdown (bsc#1185308).
- x86/kvm: Teardown PV features on boot CPU as well (bsc#1185308).
- x86/kvm: Fix pr_info() for async PF setup/teardown
  (bsc#1185308).
- commit 80699a1
* Fri Jul  9 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/tracepoint-Add-tracepoint_probe_register_may_exist-for-BPF-tracing.patch
  patches.suse/tracing-Resize-tgid_map-to-pid_max-not-PID_MAX_DEFAULT.patch
  patches.suse/tracing-Simplify-fix-saved_tgids-logic.patch
- commit fa5e842
* Fri Jul  9 2021 ykaukab@suse.de
- soc: fsl: qbman: Delete useless kfree code (bsc#1188176).
- soc: fsl: qbman: Ensure device cleanup is run for kexec
  (bsc#1188176).
- commit ec1bcd7
* Fri Jul  9 2021 ykaukab@suse.de
- ptp_qoriq: fix overflow in ptp_qoriq_adjfine() u64 calcalation
  (git-fixes).
- commit d17e17c
* Fri Jul  9 2021 ykaukab@suse.de
- dpaa2-eth: fix memory leak in XDP_REDIRECT (git-fixes).
- commit 586c229
* Fri Jul  9 2021 ykaukab@suse.de
- dpaa2-eth: fix memory leak in XDP_REDIRECT (git-fixes).
- commit 3d9e50c
* Fri Jul  9 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Remove zdebug define used only once.
- commit 85a9fc2
* Thu Jul  8 2021 msuchanek@suse.de
- kernel-binary.spec: Exctract s390 decompression code (jsc#SLE-17042).
- commit 7f97df2
* Thu Jul  8 2021 rgoldwyn@suse.com
- seq_file: Disallow extremely large seq buffer allocations (bsc#1188062, CVE-2021-33909).
- commit eb7ef76
* Thu Jul  8 2021 mbenes@suse.cz
- tracing: Resize tgid_map to pid_max, not PID_MAX_DEFAULT
  (git-fixes).
- commit dfc48c9
* Thu Jul  8 2021 mbenes@suse.cz
- tracing: Simplify & fix saved_tgids logic (git-fixes).
- commit c530730
* Thu Jul  8 2021 mbenes@suse.cz
- tracepoint: Add tracepoint_probe_register_may_exist() for BPF
  tracing (git-fixes).
- commit 1ab86c5
* Thu Jul  8 2021 dwagner@suse.de
- nvme: verify MNAN value if ANA is enabled (bsc#1185791).
- commit e620ef1
* Thu Jul  8 2021 ykaukab@suse.de
- spi: spi-nxp-fspi: Implement errata workaround for LS1028A (bsc#1188121).
- spi: spi-nxp-fspi: Add support for IP read only (bsc#1188121).
- spi: spi-nxp-fspi: Add ACPI support (bsc#1188121).
  Refresh:
  patches.suse/spi-spi-nxp-fspi-fix-fspi-panic-by-unexpected-interr.patch
  patches.suse/spi-spi-nxp-fspi-move-the-register-operation-after-t.patch
- spi: spi-nxp-fspi: Fix a NULL vs IS_ERR() check in probe (bsc#1188121).
  Refresh:
  patches.suse/spi-spi-nxp-fspi-fix-fspi-panic-by-unexpected-interr.patch
  patches.suse/spi-spi-nxp-fspi-move-the-register-operation-after-t.patch
- spi: spi-nxp-fspi: Enable the Octal Mode in MCR0 (bsc#1188121).
- spi: fspi: dynamically alloc AHB memory (bsc#1188121).
  Refresh:
  patches.suse/spi-spi-nxp-fspi-fix-fspi-panic-by-unexpected-interr.patch
  patches.suse/spi-spi-nxp-fspi-move-the-register-operation-after-t.patch
- spi: nxp-fspi: Use devm API to fix missed unregistration of controller (bsc#1188121).
- commit 8290109
* Thu Jul  8 2021 dwagner@suse.de
- Fix meta data in lpfc-decouple-port_template-and-vport_template.patch
- commit d9e6471
* Thu Jul  8 2021 dwagner@suse.de
- scsi: qedf: Do not put host in qedf_vport_create()
  unconditionally (bsc#1170511).
- commit 8665594
* Thu Jul  8 2021 msuchanek@suse.de
- efi/tpm: Differentiate missing and invalid final event log table
  (bsc#1188036).
- commit 8616099
* Thu Jul  8 2021 msuchanek@suse.de
- kernel-binary.spec: Fix up usrmerge for non-modular kernels.
- commit d718cd9
* Thu Jul  8 2021 hare@suse.de
- nvme-rdma: introduce nvme_rdma_sgl structure (git-fixes).
- commit 6ccb8a5
* Thu Jul  8 2021 hare@suse.de
- nvme-rdma: fix in-casule data send for chained sgls (git-fixes).
- nvme-tcp: rerun io_work if req_list is not empty (git-fixes).
- commit a286451
* Thu Jul  8 2021 tiwai@suse.de
- watchdog: aspeed: fix hardware timeout calculation (git-fixes).
- watchdog: sp805: Fix kernel doc description (git-fixes).
- gpio: AMD8111 and TQMX86 require HAS_IOPORT_MAP (git-fixes).
- commit 79058fa
* Wed Jul  7 2021 tiwai@suse.de
- extcon: max8997: Add missing modalias string (git-fixes).
- extcon: sm5502: Drop invalid register write in sm5502_reg_data
  (git-fixes).
- char: pcmcia: error out if 'num_bytes_read' is greater than
  4 in set_protocol() (git-fixes).
- backlight: lm3630a_bl: Put fwnode in error case during ->probe()
  (git-fixes).
- commit 6b8c8e1
* Wed Jul  7 2021 tiwai@suse.de
- iio: light: tcs3472: do not free unallocated IRQ (git-fixes).
- iio: prox: isl29501: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: light: vcnl4035: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: magn: rm3100: Fix alignment of buffer in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: adc: ti-ads8688: Fix alignment of buffer in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- staging: gdm724x: check for overflow in gdm_lte_netif_rx()
  (git-fixes).
- staging: gdm724x: check for buffer overflow in
  gdm_lte_multi_sdu_pkt() (git-fixes).
- fpga: machxo2-spi: Address warning about unused variable
  (git-fixes).
- extcon: intel-mrfld: Sync hardware and software state on init
  (git-fixes).
- fpga: stratix10-soc: Add missing fpga_mgr_free() call
  (git-fixes).
- commit b12d968
* Wed Jul  7 2021 tiwai@suse.de
- iio: adc: mxs-lradc: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: adc: hx711: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: ltr501: ltr501_read_ps(): add missing endianness conversion
  (git-fixes).
- iio: ltr501: ltr559: fix initialization of LTR501_ALS_CONTR
  (git-fixes).
- iio: ltr501: mark register holding upper 8 bits of ALS_DATA{0,1}
  and PS_DATA as volatile, too (git-fixes).
- iio: si1133: fix format string warnings (git-fixes).
- iio: potentiostat: lmp91000: Fix alignment of buffer in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: light: tcs3472: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: light: tcs3414: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: light: isl29125: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- commit 2299862
* Wed Jul  7 2021 tiwai@suse.de
- iio: magn: bmc150: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: magn: hmc5843: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: prox: as3935: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: prox: pulsed-light: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: prox: srf08: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: humidity: am2315: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: gyro: bmg160: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: adc: vf610: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: adc: ti-ads1015: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: accel: stk8ba50: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- commit 66bbafb
* Wed Jul  7 2021 tiwai@suse.de
- serial: mvebu-uart: correctly calculate minimal possible
  baudrate (git-fixes).
- serial: mvebu-uart: do not allow changing baudrate when uartclk
  is not available (git-fixes).
- serial: mvebu-uart: fix calculation of clock divisor
  (git-fixes).
- serial: 8250: Actually allow UPF_MAGIC_MULTIPLIER baud rates
  (git-fixes).
- serial: tegra-tcu: Reorder channel initialization (git-fixes).
- staging: rtl8712: fix memory leak in rtl871x_load_fw_cb
  (git-fixes).
- iio: accel: stk8312: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: accel: kxcjk-1013: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: accel: hid: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: accel: bma220: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: accel: bma180: Fix buffer alignment in
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: adis16400: do not return ints in irq handlers (git-fixes).
- iio: adis_buffer: do not return ints in irq handlers
  (git-fixes).
- mmc: sdhci: Fix warning message when accessing RPMB in HS400
  mode (git-fixes).
- mmc: core: clear flags before allowing to retune (git-fixes).
- Input: hil_kbd - fix error return code in hil_dev_connect()
  (git-fixes).
- Input: usbtouchscreen - fix control-request directions
  (git-fixes).
- mtd: rawnand: marvell: add missing clk_disable_unprepare()
  on error in marvell_nfc_resume() (git-fixes).
- mtd: partitions: redboot: seek fis-index-block in the right node
  (git-fixes).
- commit a219c27
* Wed Jul  7 2021 tiwai@suse.de
- usb: dwc3: Fix debugfs creation flow (git-fixes).
- xhci: solve a double free problem while doing s4 (git-fixes).
- usb: typec: Add the missed altmode_id_remove() in
  typec_register_altmode() (git-fixes).
- usb: dwc2: Don't reset the core after setting turnaround time
  (git-fixes).
- usb: typec: wcove: Fx wrong kernel doc format (git-fixes).
- tty: nozomi: Fix the error handling path of 'nozomi_card_init()'
  (git-fixes).
- tty: nozomi: Fix a resource leak in an error handling function
  (git-fixes).
- soundwire: stream: Fix test for DP prepare complete (git-fixes).
- visorbus: fix error return code in visorchipset_init()
  (git-fixes).
- commit e666eaf
* Wed Jul  7 2021 tiwai@suse.de
- leds: ktd2692: Fix an error handling path (git-fixes).
- leds: as3645a: Fix error return code in as3645a_parse_node()
  (git-fixes).
- leds: lm3532: select regmap I2C API (git-fixes).
- ASoC: mediatek: mtk-btcvsd: Fix an error handling path in
  'mtk_btcvsd_snd_probe()' (git-fixes).
- ASoC: rsnd: tidyup loop on rsnd_adg_clk_query() (git-fixes).
- ASoC: atmel-i2s: Fix usage of capture and playback at the same
  time (git-fixes).
- ASoC: cs42l42: Correct definition of CS42L42_ADC_PDN_MASK
  (git-fixes).
- ALSA: usb-audio: scarlett2: Read mux at init time (git-fixes).
- ALSA: usb-audio: scarlett2: Read mixer volumes at init time
  (git-fixes).
- Revert "ALSA: bebob/oxfw: fix Kconfig entry for Mackie d.2 Pro"
  (git-fixes).
- commit ea3fb69
* Wed Jul  7 2021 tiwai@suse.de
- ASoC: hisilicon: fix missing clk_disable_unprepare() on error
  in hi6210_i2s_startup() (git-fixes).
- mwifiex: re-fix for unaligned accesses (git-fixes).
- lib/decompressors: remove set but not used variabled 'level'
  (git-fixes).
- clk: si5341: Update initialization magic (git-fixes).
- clk: si5341: Avoid divide errors due to bogus register contents
  (git-fixes).
- clk: actions: Fix bisp_factor_table based clocks on Owl S500
  SoC (git-fixes).
- clk: actions: Fix SD clocks factor table on Owl S500 SoC
  (git-fixes).
- clk: actions: Fix UART clock dividers on Owl S500 SoC
  (git-fixes).
- clk: zynqmp: pll: Remove some dead code (git-fixes).
- clk: meson: g12a: fix gp0 and hifi ranges (git-fixes).
- commit b4df049
* Wed Jul  7 2021 tiwai@suse.de
- clk: renesas: rcar-gen3: Update Z clock rate formula in comments
  (git-fixes).
- drm/msm/dpu: Fix error return code in dpu_mdss_init()
  (git-fixes).
- drm: qxl: ensure surf.data is ininitialized (git-fixes).
- drm/rockchip: dsi: remove extra component_del() call
  (git-fixes).
- drm/rockchip: dsi: move all lane config except LCDC mux to
  bind() (git-fixes).
- drm/rockchip: cdn-dp-core: add missing clk_disable_unprepare()
  on error in cdn_dp_grf_write() (git-fixes).
- video: fbdev: imxfb: Fix an error message (git-fixes).
- ath10k: Fix an error code in ath10k_add_interface() (git-fixes).
- commit fc44520
* Wed Jul  7 2021 tiwai@suse.de
- can: peak_pciefd: pucan_handle_status(): fix a potential
  starvation issue in TX path (git-fixes).
- can: gw: synchronize rcu operations before removing gw job entry
  (git-fixes).
- Bluetooth: Fix handling of HCI_LE_Advertising_Set_Terminated
  event (git-fixes).
- Bluetooth: mgmt: Fix slab-out-of-bounds in tlv_data_is_valid
  (git-fixes).
- ath10k: remove unused more_frags variable (git-fixes).
- ath10k: add missing error return code in ath10k_pci_probe()
  (git-fixes).
- ath10k: go to path err_unsupported when chip id is not supported
  (git-fixes).
- brcmsmac: mac80211_if: Fix a resource leak in an error handling
  path (git-fixes).
- brcmfmac: correctly report average RSSI in station info
  (git-fixes).
- brcmfmac: fix setting of station info chains bitmask
  (git-fixes).
- commit d8b0fc2
* Wed Jul  7 2021 tiwai@suse.de
- can: hi311x: hi3110_can_probe(): silence clang warning
  (git-fixes).
- drm/radeon: wait for moving fence after pinning (git-fixes).
- drm/nouveau: wait for moving fence after pinning v2 (git-fixes).
- cfg80211: call cfg80211_leave_ocb when switching away from OCB
  (git-fixes).
- dmaengine: mediatek: use GFP_NOWAIT instead of GFP_ATOMIC in
  prep_dma (git-fixes).
- dmaengine: mediatek: do not issue a new desc if one is still
  current (git-fixes).
- dmaengine: mediatek: free the proper desc in desc_free handler
  (git-fixes).
- dmaengine: rcar-dmac: Fix PM reference leak in rcar_dmac_probe()
  (git-fixes).
- dmaengine: zynqmp_dma: Fix PM reference leak in
  zynqmp_dma_alloc_chan_resourc() (git-fixes).
- commit 8be348d
* Wed Jul  7 2021 tiwai@suse.de
- gve: Fix swapped vars when fetching max queues (git-fixes).
- mac80211: remove iwlwifi specific workaround NDPs of
  null_response (git-fixes).
- mac80211: remove iwlwifi specific workaround that broke sta
  NDP tx (git-fixes).
- mt76: fix possible NULL pointer dereference in mt76_tx
  (git-fixes).
- extcon: extcon-max8997: Fix IRQ freeing at error path
  (git-fixes).
- r8169: Avoid memcpy() over-reading of ETH_SS_STATS (git-fixes).
- r8152: Avoid memcpy() over-reading of ETH_SS_STATS (git-fixes).
- mac80211_hwsim: drop pending frames on stop (git-fixes).
- mac80211: remove warning in ieee80211_get_sband() (git-fixes).
- PCI: Add AMD RS690 quirk to enable 64-bit DMA (git-fixes).
- commit c400726
* Wed Jul  7 2021 tiwai@suse.de
- wcn36xx: Move hal_buf allocation to devm_kmalloc in probe
  (git-fixes).
- wireless: carl9170: fix LEDS build errors & warnings
  (git-fixes).
- rsi: Assign beacon rate settings to the correct rate_info
  descriptor field (git-fixes).
- ssb: Fix error return code in ssb_bus_scan() (git-fixes).
- ACPI: property: Constify stubs for CONFIG_ACPI=n case
  (git-fixes).
- ACPI: APEI: fix synchronous external aborts in user-mode
  (git-fixes).
- ACPI: sysfs: Fix a buffer overrun problem with
  description_show() (git-fixes).
- cpufreq: sc520_freq: add 'fallthrough' to one case (git-fixes).
- ata: ahci_sunxi: Disable DIPM (git-fixes).
- commit 4b20cc3
* Wed Jul  7 2021 tiwai@suse.de
- media: siano: Fix out-of-bounds warnings in
  smscore_load_firmware_family2() (git-fixes).
- media: s5p-g2d: Fix a memory leak on ctx->fh.m2m_ctx
  (git-fixes).
- media: rtl28xxu: fix zero-length control request (git-fixes).
- media: gspca/sunplus: fix zero-length control requests
  (git-fixes).
- media: gspca/gl860: fix zero-length control requests
  (git-fixes).
- media: gspca/sq905: fix control-request direction (git-fixes).
- media: dtv5100: fix control-request directions (git-fixes).
- hwmon: (max31790) Fix fan speed reporting for fan7..12
  (git-fixes).
- hwmon: (max31722) Remove non-standard ACPI device IDs
  (git-fixes).
- commit 655a2af
* Wed Jul  7 2021 tiwai@suse.de
- media: zr364xx: fix memory leak in zr364xx_start_readpipe
  (git-fixes).
- media: tc358743: Fix error return code in tc358743_probe_of()
  (git-fixes).
- media: au0828: fix a NULL vs IS_ERR() check (git-fixes).
- media: exynos4-is: Fix a use after free in isp_video_release
  (git-fixes).
- media: dvb-usb: fix wrong definition (git-fixes).
- media: rc: i2c: Fix an error message (git-fixes).
- media: I2C: change 'RST' to "RSET" to fix multiple build errors
  (git-fixes).
- mmc: sdhci-esdhc-imx: remove unused is_imx6q_usdhc (git-fixes).
- mmc: vub3000: fix control-request direction (git-fixes).
- mmc: usdhi6rol0: fix error return code in usdhi6_probe()
  (git-fixes).
- commit 0231cde
* Wed Jul  7 2021 tiwai@suse.de
- spi: stm32-qspi: Remove unused qspi field of struct
  stm32_qspi_flash (git-fixes).
- spi: tegra114: Fix an error message (git-fixes).
- spi: spi-sun6i: Fix chipselect/clock bug (git-fixes).
- regulator: hi655x: Fix pass wrong pointer to config.driver_data
  (git-fixes).
- mmc: block: Disable CMDQ on the ioctl path (git-fixes).
- pinctrl: stm32: fix the reported number of GPIO lines per bank
  (git-fixes).
- i2c: robotfuzz-osif: fix control-request directions (git-fixes).
- i2c: dev: Add __user annotation (git-fixes).
- commit c37129c
* Wed Jul  7 2021 tiwai@suse.de
- can: bcm: delay release of struct bcm_op after synchronize_rcu()
  (CVE-2021-3609 bsc#1187215).
- commit a57ee2f
* Wed Jul  7 2021 tiwai@suse.de
- Input: joydev - prevent use of not validated data in
  JSIOCSBTNMAP ioctl (CVE-2021-3612 bsc#1187585).
- commit 64519f9
* Wed Jul  7 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: hdmi: Move the HSM clock enable to runtime_pm'
- commit 23b3543
* Wed Jul  7 2021 tzimmermann@suse.de
- drm/vc4: hdmi: Make sure the controller is powered in detect (bsc#1152489)
  Backporting changes:
  * context changes
  * vc4_hdmi -> vc4->hdmi
- commit 84c924f
* Wed Jul  7 2021 tzimmermann@suse.de
- drm/amdgpu: Don't query CE and UE errors (bsc#1152472)
  Backporting changes:
  * unsigned long -> uint32_t
- commit 1637ecb
* Wed Jul  7 2021 tzimmermann@suse.de
- amdgpu: fix GEM obj leak in amdgpu_display_user_framebuffer_create (bsc#1152472)
  Backporting changes:
  * context changes
- commit f40c83c
* Wed Jul  7 2021 tzimmermann@suse.de
- drm/msm: Small msm_gem_purge() fix (bsc#1152489)
  Backporting changes:
  * context changes
  * GEM_WARN_ON() -> WARN_ON()
- commit f02a5b9
* Wed Jul  7 2021 tzimmermann@suse.de
- drm/radeon: Fix a missing check bug in radeon_dp_mst_detect() (bsc#1152489)
  Backporting changes:
  * context changes
- commit fee040e
* Wed Jul  7 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: hdmi: Restore cec physical address on reconnect'
- commit b32f423
* Wed Jul  7 2021 jeyu@suse.de
- Update patch reference for patches.suse/module-limit-enabling-module.sig_enforce.patch
  (git-fixes, CVE-2021-35039, bsc#1188080).
- commit 8d3fd9b
* Wed Jul  7 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: crtc: Reduce PV fifo threshold on hvs4'
- commit 3780e05
* Wed Jul  7 2021 msuchanek@suse.de
- tpm, tpm_tis: Reserve locality in tpm_tis_resume()
  (bsc#1188036).
- tpm, tpm_tis: Extend locality handling to TPM2 in
  tpm_tis_gen_interrupt() (bsc#1188036).
- tpm, tpm_tis: Decorate tpm_tis_gen_interrupt() with
  request_locality() (bsc#1188036).
- tpm, tpm_tis: Decorate tpm_get_timeouts() with
  request_locality() (bsc#1188036).
- commit 2c323b1
* Wed Jul  7 2021 tzimmermann@suse.de
- drm: bridge/panel: Cleanup connector on bridge detach (bsc#1152489)
  Backporting changes:
  * context changes
- commit b16ae28
* Wed Jul  7 2021 tzimmermann@suse.de
- drm/mcde/panel: Inverse misunderstood flag (bsc#1152472)
  Backporting changes:
  * only panel-samsung-s6d16d0.c exists
- commit 83514d0
* Wed Jul  7 2021 tzimmermann@suse.de
- drm/stm: Fix bus_flags handling (bsc#1152472)
- commit eaa7b7a
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: Move
  mod_delayed_work(&port->vdm_state_machine) call into
  tcpm_queue_vdm() (git-fixes).
- Refresh
  patches.suse/usb-typec-tcpm-Refactor-tcpm_handle_vdm_request-payl.patch.
- Refresh
  patches.suse/usb-typec-tcpm-Refactor-tcpm_handle_vdm_request.patch.
- commit 25ab009
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: Error handling for
  tcpm_register_partner_altmodes (git-fixes).
- commit d172a56
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: move to SNK_UNATTACHED if sink removed for
  DRP (git-fixes).
- commit 44e186b
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: set correct data role for non-DRD (git-fixes).
- commit d27b294
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: Remove tcpc_config configuration mechanism
  (git-fixes).
- commit 20564c3
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: Switch to use fwnode_property_count_uXX()
  (git-fixes).
- commit 69ab721
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: Refactor tcpm_handle_vdm_request (git-fixes).
- commit b4b2308
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: Refactor tcpm_handle_vdm_request payload
  handling (git-fixes).
- commit 9417ed4
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: ucsi: Put fwnode in any case during ->probe()
  (git-fixes).
- commit ec4c8d0
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: ucsi: Hold con->lock for the entire duration of
  ucsi_register_port() (git-fixes).
- commit 9f0dcac
* Tue Jul  6 2021 oneukum@suse.com
- usb: typec: tcpm: update power supply once partner accepts
  (git-fixes).
- commit 54348d7
* Tue Jul  6 2021 oneukum@suse.com
- docs: admin-guide: update description for kernel.hotplug sysctl
  (git-fixes).
- blacklist.conf: we do ship the kernel sources and the documentation.
  They may just as well be up to date.
- commit 7d1b971
* Tue Jul  6 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-ibmvfc-Avoid-move-login-if-fast-fail-is-enabled.patch
  patches.suse/scsi-ibmvfc-Handle-move-login-failure.patch
  patches.suse/scsi-ibmvfc-Reinit-target-retries.patch
  patches.suse/scsi-lpfc-Add-a-option-to-enable-interlocked-ABTS-be.patch
  patches.suse/scsi-lpfc-Add-ndlp-kref-accounting-for-resume-RPI-pa.patch
  patches.suse/scsi-lpfc-Fix-Node-recovery-when-driver-is-handling-.patch
  patches.suse/scsi-lpfc-Fix-Unexpected-timeout-error-in-direct-att.patch
  patches.suse/scsi-lpfc-Fix-crash-when-lpfc_sli4_hba_setup-fails-t.patch
  patches.suse/scsi-lpfc-Fix-node-handling-for-Fabric-Controller-an.patch
  patches.suse/scsi-lpfc-Fix-non-optimized-ERSP-handling.patch
  patches.suse/scsi-lpfc-Fix-unreleased-RPIs-when-NPIV-ports-are-cr.patch
  patches.suse/scsi-lpfc-Ignore-GID-FT-response-that-may-be-receive.patch
  patches.suse/scsi-lpfc-Reregister-FPIN-types-if-ELS_RDF-is-receiv.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.10.patch
  patches.suse/scsi-scsi_dh_alua-Retry-RTPG-on-a-different-path-aft.patch
- commit 9a3a833
* Tue Jul  6 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline and move to "almost mainline" section:
  patches.suse/qla2xxx-synchronize-rport-dev_loss_tmo-setting.patch
- commit 81935f9
* Mon Jul  5 2021 bp@suse.de
- blacklist.conf: 1e886090cefe docs: admin-guide: update description for kernel.hotplug sysctl
- commit 1332420
* Mon Jul  5 2021 bp@suse.de
- x86/elf: Use _BITUL() macro in UAPI headers (bsc#1178134).
- commit 5b8c19e
* Mon Jul  5 2021 bp@suse.de
- blacklist.conf: 89f5f8fb5bf4 EDAC/thunderx: Remove irrelevant variable from error messages
- commit 7c3f543
* Fri Jul  2 2021 bp@suse.de
- blacklist.conf: d8778e393afa x86/fpu: Invalidate FPU state after a failed XRSTOR from a user buffer
- commit 07e7bbd
* Fri Jul  2 2021 bp@suse.de
- x86/pkru: Write hardware init value to PKRU when xstate is init
  (bsc#1152489).
- commit 05b202a
* Fri Jul  2 2021 lduncan@suse.com
- scsi: ufs: ufshcd-pltfrm depends on HAS_IOMEM (bsc#1187980).
- commit bc82289
* Fri Jul  2 2021 mkoutny@suse.com
- cgroup1: don't allow '\n' in renaming (bsc#1187972).
- commit 31d330a
* Fri Jul  2 2021 dwagner@suse.de
- qla2xxx: synchronize rport dev_loss_tmo setting (bsc#1182470
  bsc#1185486).
- commit 8249f86
* Fri Jul  2 2021 glin@suse.com
- bpf: Fix integer overflow in argument calculation for
  bpf_map_area_alloc (bsc#1177028).
- bpf: Fix libelf endian handling in resolv_btfids (bsc#1177028).
- commit f52fc7f
* Thu Jul  1 2021 bp@suse.de
- x86/process: Check PF_KTHREAD and not current->mm for kernel
  threads (bsc#1152489).
- commit f14058e
* Thu Jul  1 2021 bp@suse.de
- x86/fpu: Preserve supervisor states in
  sanitize_restored_user_xstate() (bsc#1178134).
- commit 8de1b90
* Thu Jul  1 2021 msuchanek@suse.de
- kernel-binary.spec: Remove obsolete and wrong comment
  mkmakefile is repleced by echo on newer kernel
- commit d9209e7
* Thu Jul  1 2021 lhenriques@suse.de
- ceph: must hold snap_rwsem when filling inode for async create
  (bsc#1187927).
- commit 288e232
* Thu Jul  1 2021 msuchanek@suse.de
- ibmvnic: Use strscpy() instead of strncpy() (bsc#1184114
  ltc#192237).
- ibmvnic: fix send_request_map incompatible argument (bsc#1184114
  ltc#192237).
- ibmvnic: fix kernel build warnings in build_hdr_descs_arr
  (bsc#1184114 ltc#192237).
- ibmvnic: fix kernel build warning (bsc#1184114 ltc#192237).
- ibmvnic: fix kernel build warning in strncpy (bsc#1184114
  ltc#192237).
- ibmvnic: Allow device probe if the device is not ready at boot
  (bsc#1184114 ltc#192237).
- ibmvnic: Use list_for_each_entry() to simplify code in ibmvnic.c
  (bsc#1184114 ltc#192237).
- commit 6f12df4
* Thu Jul  1 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/Revert-ibmvnic-simplify-reset_long_term_buff-functio.patch
- commit dc51831
* Thu Jul  1 2021 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-ucma-Rework-ucma_migrate_id-to-avoid-races-with.patch
  (bsc#1181147 bsc#1187050 CVE-2020-36385).
  Added CVE reference.
- commit f7b3ebb
* Thu Jul  1 2021 msuchanek@suse.de
- ibmvnic: account for bufs already saved in indir_buf
  (jsc#SLE-17268 jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: clean pending indirect buffs during reset
  (jsc#SLE-17268 jsc#SLE-17043 bsc#1179243 ltc#189290).
- commit 4925dab
* Thu Jul  1 2021 mkubecek@suse.cz
- fix patch metadata
- fix upstream reference:
  patches.suse/bpfilter-Specify-the-log-level-for-the-kmsg-message.patch
- commit 4e6fe72
* Thu Jul  1 2021 msuchanek@suse.de
- ibmvnic: free tx_pool if tso_pool alloc fails (bsc#1085224
  ltc#164363).
- commit badd4e0
* Thu Jul  1 2021 denis.kirjanov@suse.com
- perf/x86/intel/uncore: Fix a kernel WARNING triggered by
  maxcpus=1 (git-fixes).
- commit 9602802
* Thu Jul  1 2021 msuchanek@suse.de
- ibmvnic: parenthesize a check (bsc#1184114 ltc#192237
  bsc#1183871 ltc#192139 git-fixes).
- ibmvnic: set ltb->buff to NULL after freeing (bsc#1094840
  ltc#167098).
- Revert "ibmvnic: remove duplicate napi_schedule call in open
  function" (bsc#1065729).
- commit e5fa23c
* Thu Jul  1 2021 denis.kirjanov@suse.com
- SUNRPC: Handle major timeout in xprt_adjust_timeout()
  (git-fixes).
- Refresh
  patches.suse/0001-ipmi-watchdog-Stop-watchdog-timer-when-the-current-a.patch.
- Refresh
  patches.suse/block-return-the-correct-bvec-when-checking-for-gaps.patch.
- Refresh
  patches.suse/ibmvnic-remove-default-label-from-to_string-switch.patch.
- commit bff6126
* Thu Jul  1 2021 denis.kirjanov@suse.com
- nvmem: rmem: fix undefined reference to memremap (git-fixes).
- commit 420be35
* Thu Jul  1 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/0001-ipmi-watchdog-Stop-watchdog-timer-when-the-current-a.patch
  patches.suse/block-return-the-correct-bvec-when-checking-for-gaps.patch
  patches.suse/ibmvnic-remove-default-label-from-to_string-switch.patch
  patches.suse/xfrm-policy-Read-seqcount-outside-of-rcu-read-side-i.patch
- commit fc2830a
* Thu Jul  1 2021 glin@suse.com
- bpfilter: Specify the log level for the kmsg message
  (bsc#1155518).
- commit a6b5aff
* Thu Jul  1 2021 lduncan@suse.com
- Blacklisted SCSI ufs core patch: way out of context.
- commit 33b89f4
* Wed Jun 30 2021 lduncan@suse.com
- FCOE: fcoe_wwn_from_mac kABI fix (bsc#1187886).
- scsi: fcoe: Fix mismatched fcoe_wwn_from_mac declaration
  (bsc#1187886).
- commit bf3226e
* Wed Jun 30 2021 lduncan@suse.com
- Blacklisted libsas new gfp variant patches
- commit 7d45a44
* Wed Jun 30 2021 lduncan@suse.com
- scsi: core: Fix race between handling STS_RESOURCE and
  completion (bsc#1187883).
- Refresh
  patches.suse/scsi_dh_alua-return-BLK_STS_AGAIN-for-ALUA-transitio.patch.
- commit 1a66f28
* Wed Jun 30 2021 lduncan@suse.com
- Blacklisted scsi commit that should be skipped.
- commit 6c0722b
* Wed Jun 30 2021 pmladek@suse.com
- kthread: prevent deadlock when kthread_mod_delayed_work()
  races with kthread_cancel_delayed_work_sync() (bsc#1187867).
- commit 4323f85
* Wed Jun 30 2021 pmladek@suse.com
- kthread_worker: split code for canceling the delayed work timer
  (bsc#1187867).
- commit f950430
* Wed Jun 30 2021 jack@suse.cz
- dax: fix ENOMEM handling in grab_mapping_entry() (bsc#1184212).
- commit fa16d18
* Wed Jun 30 2021 msuchanek@suse.de
- Revert "ibmvnic: simplify reset_long_term_buff function"
  (bsc#1186206 ltc#191041).
- commit ae5a395
* Tue Jun 29 2021 lduncan@suse.com
- SCSI: ufs: fix ktime_t kabi change (bsc#1187795).
- scsi: ufs: Fix imprecise load calculation in devfreq window
  (bsc#1187795).
- commit 51e8b33
* Tue Jun 29 2021 lduncan@suse.com
- Blacklisted commit already removed, to keep it away
- commit 2ac8cfe
* Tue Jun 29 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/shmem-helpers: vunmap: Don't put pages for dma-buf'
- commit 4f0b109
* Mon Jun 28 2021 mbenes@suse.cz
- s390/stack: fix possible register corruption with stack switch
  helper (bsc#1185677).
- commit d57c991
* Mon Jun 28 2021 msuchanek@suse.de
- powerpc/perf: Fix crash in perf_instruction_pointer() when ppmu
  is not set (jsc#SLE-13513 bsc#1176919 ltc#186162 git-fixes).
- commit 8cc69d2
* Mon Jun 28 2021 tzimmermann@suse.de
- Revert "video: imsttfb: fix potential NULL pointer dereferences" (bsc#1152489)
- commit cb44bac
* Fri Jun 25 2021 msuchanek@suse.de
- Revert "Update config files (bsc#1187167)" (bsc#1187711).
  The key is needed. When a random key is generaeted it is a problem with
  OBS repository setup. OBS should provide a signing key.
- commit b53af95
* Fri Jun 25 2021 ptesarik@suse.cz
- s390/dasd: add missing discipline function (git-fixes).
- commit ea8d00e
* Fri Jun 25 2021 ptesarik@suse.cz
- kernel: kexec_file: fix error return code of
  kexec_calculate_store_digests() (git-fixes).
- commit c886494
* Fri Jun 25 2021 tiwai@suse.de
- drm/vc4: hdmi: Make sure the controller is powered in detect
  (git-fixes).
- drm/vc4: hdmi: Move the HSM clock enable to runtime_pm
  (git-fixes).
- commit 20bb391
* Fri Jun 25 2021 tiwai@suse.de
- blacklist.conf: Add amdgpu entries that have been reverted (git-fixes)
- commit 41610da
* Fri Jun 25 2021 tiwai@suse.de
- mmc: meson-gx: use memcpy_to/fromio for dram-access-quirk
  (git-fixes).
- commit c1d2306
* Thu Jun 24 2021 lduncan@suse.com
- Removed patch that was incorrectly added to SLE15-SP2 (bsc#1186949)
  This patch was suggested as a git-fix for SLE15-SP2, but the
  commits it fixes are not present there.
- commit fc1818c
* Thu Jun 24 2021 tbogendoerfer@suse.de
- bnxt_en: Call bnxt_ethtool_free() in bnxt_init_one() error path
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix TQM fastpath ring backing store computation
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Rediscover PHY capabilities after firmware reset
  (jsc#SLE-8371 bsc#1153274).
- cxgb4: fix wrong shift (git-fixes).
- be2net: Fix an error handling path in 'be_probe()' (git-fixes).
- netxen_nic: Fix an error handling path in 'netxen_nic_probe()'
  (git-fixes).
- qlcnic: Fix an error handling path in 'qlcnic_probe()'
  (git-fixes).
- net/mlx5e: Block offload of outer header csum for UDP tunnels
  (git-fixes).
- net/mlx5: Consider RoCE cap before init RDMA resources
  (git-fixes).
- net/mlx5e: Fix page reclaim for dead peer hairpin (git-fixes).
- net/mlx5e: Remove dependency in IPsec initialization flows
  (git-fixes).
- ice: add ndo_bpf callback for safe mode netdev ops
  (jsc#SLE-7926).
- net/sched: act_ct: handle DNAT tuple collision (bsc#1154353).
- vrf: fix maximum MTU (git-fixes).
- net/mlx5: Fix PBMC register mapping (git-fixes).
- net/mlx5: Fix placement of log_max_flow_counter (git-fixes).
- net/mlx5: Fix sleep while atomic in mlx5_eswitch_get_vepa
  (git-fixes).
- commit 060a647
* Thu Jun 24 2021 tbogendoerfer@suse.de
- net/mlx5: Reset mkey index on creation (jsc#SLE-15172).
- net/mlx5: E-Switch, Allow setting GUID for host PF vport
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Read PF mac address (jsc#SLE-15172).
- cxgb4: fix wrong ethtool n-tuple rule lookup (jsc#SLE-15131).
- ethtool: strset: fix message length calculation (bsc#1176447).
- cxgb4: halt chip before flashing PHY firmware image
  (jsc#SLE-15131).
- cxgb4: fix sleep in atomic when flashing PHY firmware
  (jsc#SLE-15131).
- cxgb4: fix endianness when flashing boot image (jsc#SLE-15131).
- ice: parameterize functions responsible for Tx ring management
  (jsc#SLE-12878).
- mlxsw: reg: Spectrum-3: Enforce lowest max-shaper burst size
  of 11 (bsc#1176774).
- commit 3e01284
* Thu Jun 24 2021 tiwai@suse.de
- drm/sun4i: dw-hdmi: Make HDMI PHY into a platform device
  (git-fixes).
- ASoC: rt5682: Fix the fast discharge for headset unplugging
  in soundwire mode (git-fixes).
- ASoC: tas2562: Fix TDM_CFG0_SAMPRATE values (git-fixes).
- ASoC: fsl-asoc-card: Set .owner attribute when registering card
  (git-fixes).
- commit af36159
* Thu Jun 24 2021 tiwai@suse.de
- PCI: aardvark: Fix kernel panic during PIO transfer (git-fixes).
- commit ce71c77
* Thu Jun 24 2021 tiwai@suse.de
- PCI: aardvark: Don't rely on jiffies while holding spinlock
  (git-fixes).
- commit 1bd7ff7
* Thu Jun 24 2021 tiwai@suse.de
- spi: spi-nxp-fspi: move the register operation after the clock
  enable (git-fixes).
- Revert "PCI: PM: Do not read power state in
  pci_enable_device_flags()" (git-fixes).
- PCI: Add ACS quirk for Broadcom BCM57414 NIC (git-fixes).
- radeon: use memcpy_to/fromio for UVD fw upload (git-fixes).
- spi: stm32-qspi: Always wait BUSY bit to be cleared in
  stm32_qspi_wait_cmd() (git-fixes).
- regulator: bd70528: Fix off-by-one for buck123 .n_voltages
  setting (git-fixes).
- commit 8ac9ce3
* Thu Jun 24 2021 tiwai@suse.de
- cfg80211: make certificate generation more robust (git-fixes).
- PCI: Work around Huawei Intelligent NIC VF FLR erratum
  (git-fixes).
- PCI: Mark some NVIDIA GPUs to avoid bus reset (git-fixes).
- PCI: Mark TI C667X to avoid bus reset (git-fixes).
- ASoC: rt5659: Fix the lost powers for the HDA header
  (git-fixes).
- hwmon: (scpi-hwmon) shows the negative temperature properly
  (git-fixes).
- commit ed194e5
* Wed Jun 23 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/NFS-Fix-a-potential-NULL-dereference-in-nfs_get_clie.patch
  patches.suse/NFS-Fix-use-after-free-in-nfs4_init_client.patch
  patches.suse/NFSv4-Fix-deadlock-between-nfs4_evict_inode-and-nfs4.patch
  patches.suse/SUNRPC-Handle-major-timeout-in-xprt_adjust_timeout.patch
- commit e5e0666
* Wed Jun 23 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/xfrm-policy-Read-seqcount-outside-of-rcu-read-side-i.patch
- commit cafffbc
* Wed Jun 23 2021 tiwai@suse.de
- video: hgafb: correctly handle card detect failure during probe
  (git-fixes).
- commit 55f7ec7
* Wed Jun 23 2021 tiwai@suse.de
- Bluetooth: use correct lock to prevent UAF of hdev object
  (git-fixes).
- video: hgafb: fix potential NULL pointer dereference
  (git-fixes).
- Revert "video: hgafb: fix potential NULL pointer dereference"
  (git-fixes).
- commit 83627e7
* Wed Jun 23 2021 tiwai@suse.de
- dmaengine: fsl-dpaa2-qdma: Fix error return code in two
  functions (git-fixes).
- drm/amd/amdgpu:save psp ring wptr to avoid attack (git-fixes).
- drm/amd/display: Fix potential memory leak in DMUB hw_init
  (git-fixes).
- drm/amdgpu: refine amdgpu_fru_get_product_info (git-fixes).
- Bluetooth: Add a new USB ID for RTL8822CE (git-fixes).
- commit d18513c
* Wed Jun 23 2021 jeyu@suse.de
- module: limit enabling module.sig_enforce (git-fixes).
- commit 7f30f5d
* Wed Jun 23 2021 schwab@suse.de
- Add dtb-microchip
- commit c797107
* Wed Jun 23 2021 acho@suse.com
- Bluetooth: use correct lock to prevent UAF of hdev object
  (bsc#1186666 CVE-2021-3573).
- commit 6781ea8
* Wed Jun 23 2021 neilb@suse.de
- blacklist.conf: Add unwanted commits
- commit 1da6dbc
* Wed Jun 23 2021 neilb@suse.de
- NFSv4: Fix deadlock between nfs4_evict_inode() and
  nfs4_opendata_get_inode() (git-fixes).
- NFS: Fix a potential NULL dereference in nfs_get_client()
  (git-fixes).
- NFS: Fix use-after-free in nfs4_init_client() (git-fixes).
- commit 3478e99
* Tue Jun 22 2021 mwilck@suse.com
- blk-mq: Rerun dispatching in the case of budget contention
  (bsc#1180092).
- blk-mq: Add blk_mq_delay_run_hw_queues() API call (bsc#1180092).
- blk-mq: In blk_mq_dispatch_rq_list() "no budget" is a reason
  to kick (bsc#1180092).
- commit e31a7fc
* Tue Jun 22 2021 mwilck@suse.com
- blk-mq: Put driver tag in blk_mq_dispatch_rq_list() when no
  budget (bsc#1180092).
- commit ccd1ac3
* Tue Jun 22 2021 mwilck@suse.com
- blk-mq: insert flush request to the front of dispatch queue
  (bsc#1180092).
- commit acc744b
* Tue Jun 22 2021 mwilck@suse.com
- blk-mq: insert passthrough request into hctx->dispatch directly
  (bsc#1180092).
- Refresh
  patches.suse/blk-mq-call-commit_rqs-while-list-empty-but-error-ha.patch.
- Refresh
  patches.suse/blk-mq-insert-request-not-through-queue_rq-into-sw-s.patch.
- commit 4ba4b0f
* Tue Jun 22 2021 ohering@suse.de
- lib: vdso: Remove CROSS_COMPILE_COMPAT_VDSO (bsc#1164648,jsc#SLE-11493).
  Reduce delta to mainline
  Refresh patches.suse/lib-vdso-Prepare-for-time-namespace-support.patch.
- commit 7b06299
* Tue Jun 22 2021 tiwai@suse.de
- Update patch reference for net keys fix (CVE-2021-0605 bsc#1187601)
- commit 7bb3e99
* Tue Jun 22 2021 tiwai@suse.de
- Update patch reference for HID security fix (CVE-2021-0512 bsc#1187595)
- commit 0506954
* Tue Jun 22 2021 glin@suse.com
- bpf: Fix leakage under speculation on mispredicted branches
  (bsc#1187554,CVE-2021-33624).
- bpf: Do not mark insn as seen under speculative path
  verification (bsc#1187554,CVE-2021-33624).
- bpf: Inherit expanded/patched seen count from old aux data
  (bsc#1187554,CVE-2021-33624).
- commit 06f1411
* Tue Jun 22 2021 glin@suse.com
- bpf: Fix leakage under speculation on mispredicted branches
  (bsc#1187554,CVE-2021-33624).
- commit 7949a37
* Mon Jun 21 2021 osalvador@suse.de
- patches.suse/0001-x86-sched-Treat-Intel-SNC-topology-as-default-COD-as.patch:
  (bsc#1187263).
- commit 349dc99
* Mon Jun 21 2021 mgorman@suse.de
- Refresh
  patches.suse/scsi-qla2xxx-Reserve-extra-IRQ-vectors.patch.
  Add Signed-off-by tag for author of the patch in the SLE branch to suppress
  error during branch merges. Example error is
  patches.suse/scsi-qla2xxx-Reserve-extra-IRQ-vectors.patch An email
  address with @suse.de, @suse.com, @suse.cz, or @novell.com in the From,
  Signed-off-by, or Acked-by headers is required
- commit acfd671
* Mon Jun 21 2021 bp@suse.de
- blacklist.conf: 28e5e44aa3f4 x86/mm: Avoid truncating memblocks for SGX memory
- commit ea06fd1
* Mon Jun 21 2021 bp@suse.de
- x86/fpu: Prevent state corruption in __fpu__restore_sig()
  (bsc#1178134).
- commit e509690
* Mon Jun 21 2021 mbenes@suse.cz
- tracing: Do no increment trace_clock_global() by one
  (git-fixes).
- commit 17da93e
* Mon Jun 21 2021 mbenes@suse.cz
- tracing: Do not stop recording comms if the trace file is
  being read (git-fixes).
- commit 7d357b1
* Mon Jun 21 2021 oneukum@suse.com
- usb: chipidea: imx: Fix Battery Charger 1.2 CDP detection
  (git-fixes).
- commit 9d5feb1
* Mon Jun 21 2021 mbenes@suse.cz
- tracing: Do not stop recording cmdlines when tracing is off
  (git-fixes).
- commit 3306bfd
* Mon Jun 21 2021 oneukum@suse.com
- HID: usbhid: Fix race between usbhid_close() and usbhid_stop()
  (git-fixes).
- commit c5019d9
* Mon Jun 21 2021 oneukum@suse.com
- dt-bindings: reset: meson8b: fix duplicate reset IDs
  (git-fixes).
- commit cfc2db2
* Mon Jun 21 2021 oneukum@suse.com
- usb: dwc3: core: fix kernel panic when do reboot (git-fixes).
- commit 35719e0
* Mon Jun 21 2021 tiwai@suse.de
- usb: dwc3: core: fix kernel panic when do reboot (git-fixes).
- commit 9306e13
* Mon Jun 21 2021 neilb@suse.de
- SUNRPC: Handle major timeout in xprt_adjust_timeout()
  (git-fixes).
- commit 87fe1f5
* Mon Jun 21 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/xfrm-policy-Read-seqcount-outside-of-rcu-read-side-i.patch
- commit 3bedaae
* Sat Jun 19 2021 tiwai@suse.de
- usb: core: hub: Disable autosuspend for Cypress CY7C65632
  (git-fixes).
- net/x25: Return the correct errno code (git-fixes).
- HID: gt683r: add missing MODULE_DEVICE_TABLE (git-fixes).
- HID: usbhid: fix info leak in hid_submit_ctrl (git-fixes).
- HID: Add BUS_VIRTUAL to hid_connect logging (git-fixes).
- commit be65fa1
* Sat Jun 19 2021 tiwai@suse.de
- cfg80211: avoid double free of PMSR request (git-fixes).
- can: mcba_usb: fix memory leak in mcba_usb (git-fixes).
- alx: Fix an error handling path in 'alx_probe()' (git-fixes).
- batman-adv: Avoid WARN_ON timing related checks (git-fixes).
- drm/tegra: sor: Do not leak runtime PM reference (git-fixes).
- drm/amd/display: Allow bandwidth validation for 0 streams
  (git-fixes).
- HID: hid-sensor-hub: Return error for hid_set_field() failure
  (git-fixes).
- HID: hid-input: add mapping for emoji picker key (git-fixes).
- HID: quirks: Set INCREMENT_USAGE_ON_DUPLICATE for Saitek X65
  (git-fixes).
- commit c7889a3
* Sat Jun 19 2021 tiwai@suse.de
- can: bcm: fix infoleak in struct bcm_msg_head (CVE-2021-34693
  bsc#1187452).
- commit 02583ee
* Fri Jun 18 2021 shung-hsi.yu@suse.com
- net: mvpp2: add mvpp2_phylink_to_port() helper (bsc#1187171).
- commit 9bd57ed
* Thu Jun 17 2021 tiwai@suse.de
- ASoC: Intel: soc-acpi: remove TGL RVP mixed SoundWire/TDM config
  (git-fixes).
- commit 85be7e7
* Thu Jun 17 2021 oneukum@suse.com
- blacklist.conf: the driver has not been converted to new error codes
- commit 5e49259
* Thu Jun 17 2021 ludwig.nussel@suse.de
- UsrMerge the kernel (boo#1184804)
- Move files in /boot to modules dir
  The file names in /boot are included as %%ghost links. The %%post script
  creates symlinks for the kernel, sysctl.conf and System.map in
  /boot for compatibility. Some tools require adjustments before we
  can drop those links. If boot is a separate partition, a copy is
  used instead of a link.
  The logic for /boot/vmlinuz and /boot/initrd doesn't change with
  this patch.
- Use /usr/lib/modules as module dir when usermerge is active in the
  target distro.
- commit 6f5ed04
* Thu Jun 17 2021 jroedel@suse.de
- x86/sev: Check SME/SEV support in CPUID first (jsc#SLE-14337).
- iommu/vt-d: Use user privilege for RID2PASID translation
  (bsc#1187348).
- iommu/virtio: Add missing MODULE_DEVICE_TABLE (bsc#1187345).
- x86/sev-es: Use __put_user()/__get_user() for data accesses
  (bsc#1187351).
- x86/sev-es: Forward page-faults which happen during emulation
  (bsc#1187350).
- x86/sev-es: Don't return NULL from sev_es_get_ghcb()
  (bsc#1187349).
- iommu/vt-d: Remove WO permissions on second-level paging entries
  (bsc#1187346).
- iommu/vt-d: Report right snoop capability when using FL for IOVA
  (bsc#1187347).
- iommu: Fix a boundary issue to avoid performance drop
  (bsc#1187344).
- x86/sev-es: Replace open-coded hlt-loops with sev_es_terminate()
  (jsc#SLE-14337).
- x86/boot/compressed/64: Check SEV encryption in the 32-bit
  boot-path (jsc#SLE-14337).
- x86/boot/compressed/64: Add CPUID sanity check to 32-bit
  boot-path (jsc#SLE-14337).
- x86/boot/compressed/64: Add 32-bit boot #VC handler
  (jsc#SLE-14337).
- x86/boot/compressed/64: Setup IDT in startup_32 boot path
  (jsc#SLE-14337).
- x86/boot/compressed/64: Reload CS in startup_32 (jsc#SLE-14337).
- x86/sev: Do not require Hypervisor CPUID bit for SEV guests
  (jsc#SLE-14337).
- x86/boot/compressed/64: Cleanup exception handling before
  booting kernel (jsc#SLE-14337).
- iommu/amd: Keep track of amd_iommu_irq_remap state
  (https://bugzilla.kernel.org/show_bug.cgi?id=212133).
- x86/sev-es: Do not support MMIO to/from encrypted memory
  (jsc#SLE-14337).
- x86/head/64: Check SEV encryption before switching to kernel
  page-table (jsc#SLE-14337).
- x86/boot/compressed/64: Check SEV encryption in 64-bit boot-path
  (jsc#SLE-14337).
- x86/boot/compressed/64: Sanity-check CPUID results in the
  early #VC handler (jsc#SLE-14337).
- x86/boot/compressed/64: Introduce sev_status (jsc#SLE-14337).
- x86/boot/64: Explicitly map boot_params and command line
  (jsc#SLE-14337).
- x86/head/64: Disable stack protection for head$(BITS).o
  (jsc#SLE-14337).
- commit 9810251
* Thu Jun 17 2021 oneukum@suse.com
- usb: gadget: eem: fix wrong eem header operation (git-fixes).
- commit 88ac26b
* Thu Jun 17 2021 oneukum@suse.com
- usb: fix various gadget panics on 10gbps cabling (git-fixes).
- commit 43c2b75
* Thu Jun 17 2021 oneukum@suse.com
- usb: f_ncm: only first packet of aggregate needs to start timer
  (git-fixes).
- commit 6960da4
* Thu Jun 17 2021 tiwai@suse.de
- dmaengine: idxd: add missing dsa driver unregister (git-fixes).
- ALSA: seq: Fix race of snd_seq_timer_open() (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ZBook Power G8
  (git-fixes).
- ALSA: hda/realtek: headphone and mic don't work on an Acer
  laptop (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP EliteBook 840
  Aero G8 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs and speaker for HP
  EliteBook x360 1040 G8 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs and speaker for HP
  Elite Dragonfly G2 (git-fixes).
- ASoC: amd: fix for pcm_read() error (git-fixes).
- ASoC: max98088: fix ni clock divider calculation (git-fixes).
- commit 4d314e7
* Thu Jun 17 2021 oneukum@suse.com
- usb: gadget: f_fs: Ensure io_completion_wq is idle during unbind
  (git-fixes).
- commit 4b0a18c
* Thu Jun 17 2021 oneukum@suse.com
- USB: serial: ftdi_sio: add NovaTech OrionMX product ID
  (git-fixes).
- commit a61b441
* Thu Jun 17 2021 oneukum@suse.com
- USB: serial: omninet: add device id for Zyxel Omni 56K Plus
  (git-fixes).
- commit f1cf5e2
* Thu Jun 17 2021 tiwai@suse.de
- usb: dwc3: ep0: fix NULL pointer exception (git-fixes).
- usb: gadget: eem: fix wrong eem header operation (git-fixes).
- usb: fix various gadget panics on 10gbps cabling (git-fixes).
- usb: f_ncm: only first packet of aggregate needs to start timer
  (git-fixes).
- USB: serial: ftdi_sio: add NovaTech OrionMX product ID
  (git-fixes).
- commit 6edf7f4
* Thu Jun 17 2021 tiwai@suse.de
- USB: serial: omninet: add device id for Zyxel Omni 56K Plus
  (git-fixes).
- usb: gadget: f_fs: Ensure io_completion_wq is idle during unbind
  (git-fixes).
- drm: Lock pointer access in drm_master_release() (git-fixes).
- isdn: mISDN: netjet: Fix crash in nj_probe: (git-fixes).
- net/nfc/rawsock.c: fix a permission check bug (git-fixes).
- spi: sprd: Add missing MODULE_DEVICE_TABLE (git-fixes).
- i2c: mpc: Make use of i2c_recover_bus() (git-fixes).
- commit 623c00b
* Thu Jun 17 2021 tiwai@suse.de
- dmaengine: stedma40: add missing iounmap() on error in
  d40_probe() (git-fixes).
- dmaengine: QCOM_HIDMA_MGMT depends on HAS_IOMEM (git-fixes).
- dmaengine: ALTERA_MSGDMA depends on HAS_IOMEM (git-fixes).
- dmaengine: pl330: fix wrong usage of spinlock flags in dma_cyclc
  (git-fixes).
- drm: Fix use-after-free read in drm_getunique() (git-fixes).
- ASoC: sti-sas: add missing MODULE_DEVICE_TABLE (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Lenovo Miix 3-830
  tablet (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Glavey TM800A550L
  tablet (git-fixes).
- ASoC: max98088: fix ni clock divider calculation (git-fixes).
- commit 2b181d0
* Wed Jun 16 2021 colyli@suse.de
- bcache: avoid oversized read request in cache missing code path
  (bsc#1187357, bsc#1185570, bsc#1184631).
- bcache: remove bcache device self-defined readahead
  (bsc#1187357, bsc#1185570, bsc#1184631).
- lib: crc64: fix kernel-doc warning (bsc#1187357).
- bcache: fix a regression of code compiling failure in debug.c
  (bsc#1187357).
- bcache: Use 64-bit arithmetic instead of 32-bit (bsc#1187357).
- md: bcache: Trivial typo fixes in the file journal.c
  (bsc#1187357).
- md: bcache: avoid -Wempty-body warnings (bsc#1187357).
- bcache: use NULL instead of using plain integer as pointer
  (bsc#1187357).
- bcache: remove PTR_CACHE (bsc#1187357).
- bcache: reduce redundant code in bch_cached_dev_run()
  (bsc#1187357).
- bcache: don't pass BIOSET_NEED_BVECS for the 'bio_set' embedded
  in 'cache_set' (bsc#1187357).
- bcache: Convert to DEFINE_SHOW_ATTRIBUTE (bsc#1187357).
- bcache: inherit the optimal I/O size (bsc#1187357).
- commit ce1a322
* Wed Jun 16 2021 oneukum@suse.com
- media: mtk-mdp: Fix a refcounting bug on error in init
  (git-fixes).
- commit 1d82c71
* Wed Jun 16 2021 oneukum@suse.com
- media: mtk-mdp: Check return value of of_clk_get (git-fixes).
- commit f37fbe9
* Wed Jun 16 2021 oneukum@suse.com
- media: s5p-g2d: Fix a memory leak in an error handling path in
  'g2d_probe()' (git-fixes).
- commit 08513d7
* Wed Jun 16 2021 oneukum@suse.com
- usb: dwc3: debugfs: Add and remove endpoint dirs dynamically
  (git-fixes).
- commit 08559a5
* Wed Jun 16 2021 jack@suse.cz
- dax: Add a wakeup mode parameter to put_unlocked_entry()
  (bsc#1187411).
- commit 31da646
* Wed Jun 16 2021 jack@suse.cz
- dax: Add an enum for specifying dax wakup mode (bsc#1187411).
- commit 1d4c2a3
* Wed Jun 16 2021 mbenes@suse.cz
- tracing: Correct the length check which causes memory corruption
  (git-fixes).
- commit 0072a4b
* Wed Jun 16 2021 mbenes@suse.cz
- tracing: Restructure trace_clock_global() to never block
  (git-fixes).
- commit 6d6d42d
* Wed Jun 16 2021 mbrugger@suse.com
- Refresh
  patches.suse/brcmfmac-Add-clm_blob-firmware-files-to-modinfo.patch.
- commit f631d93
* Wed Jun 16 2021 mbenes@suse.cz
- ftrace: Free the trampoline when ftrace_startup() fails
  (git-fixes).
- commit 533e192
* Wed Jun 16 2021 mbenes@suse.cz
- blacklist.conf: 75d3e7f4769d ("s390/test_unwind: fix possible memleak in test_unwind()")
  We build test_unwind kernel module out of tree.
- commit abf9977
* Wed Jun 16 2021 mbenes@suse.cz
- ftrace: Do not blindly read the ip address in ftrace_bug()
  (git-fixes).
- commit 31cd567
* Wed Jun 16 2021 jack@suse.cz
- Revert "ecryptfs: replace BUG_ON with error handling code"
  (bsc#1187413).
- commit 7387ee5
* Wed Jun 16 2021 jack@suse.cz
- ocfs2: fix data corruption by fallocate (bsc#1187412).
- commit 684ec92
* Wed Jun 16 2021 jack@suse.cz
- dax: Wake up all waiters after invalidating dax entry
  (bsc#1187411).
- commit 42391aa
* Wed Jun 16 2021 jack@suse.cz
- fs: fix reporting supported extra file attributes for statx()
  (bsc#1187410).
- commit 36f6f1f
* Wed Jun 16 2021 tiwai@suse.de
- Update config files: CONFIG_SND_HDA_INTEL=m for armv7hl, too (bsc#1187334)
  It's used by openQA.
- commit c363e06
* Wed Jun 16 2021 jack@suse.cz
- ext4: fix memory leak in ext4_fill_super (bsc#1187409).
- commit d8152b1
* Wed Jun 16 2021 jack@suse.cz
- ext4: fix bug on in ext4_es_cache_extent as ext4_split_extent_at
  failed (bsc#1187408).
- commit 41eb311
* Wed Jun 16 2021 jack@suse.cz
- ext4: fix error code in ext4_commit_super (bsc#1187407).
- commit 350d1b1
* Wed Jun 16 2021 jack@suse.cz
- ext4: fix check to prevent false positive report of incorrect
  used inodes (bsc#1187404).
- commit 57c9a0a
* Wed Jun 16 2021 jack@suse.cz
- kyber: fix out of bounds access when preempted (bsc#1187403).
- commit 491df1f
* Wed Jun 16 2021 jack@suse.cz
- block: Discard page cache of zone reset target range
  (bsc#1187402).
- commit 74c08d5
* Wed Jun 16 2021 varad.gautam@suse.com
- xfrm: policy: Read seqcount outside of rcu-read side in
  xfrm_policy_lookup_bytype (bsc#1185675).
- commit 372fbf0
* Wed Jun 16 2021 msuchanek@suse.de
- kernel-binary.spec.in: Regenerate makefile when not using mkmakefile.
- commit 6b30fe5
* Wed Jun 16 2021 varad.gautam@suse.com
- xfrm: policy: Read seqcount outside of rcu-read side in xfrm_policy_lookup_bytype (bsc#1185675).
- commit 96f285d
* Wed Jun 16 2021 palcantara@suse.de
- cifs: constify get_normalized_path() properly (bsc#1185902).
- commit f4ccabe
* Wed Jun 16 2021 palcantara@suse.de
- cifs: don't cargo-cult strndup() (bsc#1185902).
- commit 2296da2
* Tue Jun 15 2021 jeffm@suse.com
- Updated patch-mainline tags.
  Also moved the affected patches into the sorted section.
  Change in patch order moved devm_rpi_firmware_put but it aligns with
  mainline.
- commit bb0636f
* Tue Jun 15 2021 lhenriques@suse.de
- fuse: BUG_ON correction in fuse_dev_splice_write()
  (bsc#1187356).
- commit d2e5d40
* Tue Jun 15 2021 martin.wilck@suse.com
- Update config files: enable zstd decompression for initramfs (bsc#1187483, jsc#SLE-18766)
- commit 0fe9f47
* Tue Jun 15 2021 martin.wilck@suse.com
- usr: Add support for zstd compressed initramfs (bsc#1187483, jsc#SLE-18766).
- commit a9bf6b8
* Tue Jun 15 2021 fweisbecker@suse.de
- sched/debug: Fix cgroup_path[] serialization (git-fixes)
- commit 24c7edf
* Tue Jun 15 2021 fweisbecker@suse.de
- blacklist.conf: We don't support uclamp
- commit 0b70e65
* Tue Jun 15 2021 fweisbecker@suse.de
- blacklist.conf: We have CONFIG_JUMP_LABEL
- commit 093a643
* Tue Jun 15 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/mac80211-add-fragment-cache-to-sta_info.patch
  patches.suse/mac80211-assure-all-fragments-are-encrypted.patch
  patches.suse/mac80211-check-defrag-PN-against-current-frame.patch
  patches.suse/mac80211-do-not-accept-forward-invalid-EAPOL-frames.patch
  patches.suse/mac80211-drop-A-MSDUs-on-old-ciphers.patch
  patches.suse/mac80211-extend-protection-against-mixed-key-and-fra.patch
  patches.suse/mac80211-prevent-attacks-on-TKIP-WEP-as-well.patch
  patches.suse/mac80211-prevent-mixed-key-and-fragment-cache-attack.patch
  patches.suse/mac80211-properly-handle-A-MSDUs-that-start-with-an-.patch
  No effect on expanded tree.
- commit 9fdca2b
* Tue Jun 15 2021 mkubecek@suse.cz
- series.conf: cleanup
  Move a SUSE specific patch ("Patch-mainline: Never...") to corresponding
  per-subsystem section.
- commit 811dc9a
* Tue Jun 15 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/RDMA-ucma-Rework-ucma_migrate_id-to-avoid-races-with.patch
- commit c80eef0
* Mon Jun 14 2021 mkubecek@suse.cz
- series.conf: cleanup
  Move a queued patch to "almost mainline" section.
- commit a847492
* Mon Jun 14 2021 martin.wilck@suse.com
- lib: Add zstd support to decompress (bsc#1187483, jsc#SLE-18766).
- commit 8fa709b
* Mon Jun 14 2021 bp@suse.de
- x86/cpufeatures: Force disable X86_FEATURE_ENQCMD and remove
  update_pasid() (bsc#1178134).
- commit 08621e3
* Mon Jun 14 2021 lhenriques@suse.de
- blacklist: add commit 4f06dd92b5d0 ("fuse: fix write deadlock")
  This is an ancient bug (from v2.6.26) which require extra backports.  Not
  worth the risk introducing new regressions.
- commit f0ede60
* Mon Jun 14 2021 tiwai@suse.de
- efi/libstub: prevent read overflow in find_file_option()
  (git-fixes).
- commit 9d1183c
* Mon Jun 14 2021 tiwai@suse.de
- kABI workaround for rtw88 (git-fixes).
- commit 8a7edfc
* Mon Jun 14 2021 tiwai@suse.de
- usb: typec: intel_pmc_mux: Put fwnode in error case during
  - >probe() (git-fixes).
- thunderbolt: usb4: Fix NVM read buffer bounds and offset issue
  (git-fixes).
- rtw88: 8822c: add LC calibration for RTL8822C (git-fixes).
- commit 3f6037a
* Mon Jun 14 2021 tiwai@suse.de
- mmc: sdhci: Clear unused bounce buffer at DMA mmap error path
  (bsc#1187039).
- commit 757ad8a
* Mon Jun 14 2021 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix handling of +arch marker (bsc#1186672)
  The previous commit made a module wrongly into Module.optional.
  Although it didn't influence on the end result, better to fix it.
  Also, add a comment to explain the markers briefly.
- commit 8f79742
* Mon Jun 14 2021 jack@suse.cz
- block: return the correct bvec when checking for gaps
  (bsc#1187144).
- commit 22678f9
* Mon Jun 14 2021 msuchanek@suse.de
- Update patches.suse/scsi-qla2xxx-Reserve-extra-IRQ-vectors.patch
  (bsc#1184436 bsc#1186286).
- commit 3b95648
* Mon Jun 14 2021 fweisbecker@suse.de
- sched/fair: Make sure to update tg contrib for blocked load (git-fixes)
- commit 9eeb58b
* Mon Jun 14 2021 fweisbecker@suse.de
- sched/fair: Keep load_avg and load_sum synced (git-fixes)
- commit 8888330
* Mon Jun 14 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/bpf-Fix-alu32-const-subreg-bound-tracking-on-bitwise.patch.
- Refresh
  patches.suse/bpf-Prevent-writable-memory-mapping-of-read-only-rin.patch.
- Refresh
  patches.suse/bpf-ringbuf-Deny-reserve-of-buffers-larger-than-ring.patch.
- commit da26c78
* Mon Jun 14 2021 tiwai@suse.de
- gpio: wcd934x: Fix shift-out-of-bounds error (git-fixes).
- drm/mcde: Fix off by 10^3 in calculation (git-fixes).
- drm/msm/a6xx: fix incorrectly set uavflagprd_inv field for A650
  (git-fixes).
- drm/msm/a6xx: update/fix CP_PROTECT initialization (git-fixes).
- Revert "ACPI: sleep: Put the FACS table after using it"
  (git-fixes).
- commit e1018b7
* Mon Jun 14 2021 tiwai@suse.de
- USB: serial: cp210x: fix alternate function for CP2102N QFN20
  (git-fixes).
- usb: typec: mux: Fix copy-paste mistake in typec_mux_match
  (git-fixes).
- usb: typec: ucsi: Clear PPM capability data in ucsi_init()
  error path (git-fixes).
- usb: typec: wcove: Use LE to CPU conversion when accessing
  msg->header (git-fixes).
- usb: fix various gadgets null ptr deref on 10gbps cabling
  (git-fixes).
- USB: f_ncm: ncm_bitrate (speed) is unsigned (git-fixes).
- USB: serial: quatech2: fix control-request directions
  (git-fixes).
- usb: pd: Set PD_T_SINK_WAIT_CAP to 310ms (git-fixes).
- usb: musb: fix MUSB_QUIRK_B_DISCONNECT_99 handling (git-fixes).
- staging: rtl8723bs: Fix uninitialized variables (git-fixes).
- commit b524f7e
* Fri Jun 11 2021 tiwai@suse.de
- Add arch-dependent support markers in supported.conf (bsc#1186672)
  We may need to put some modules as supported only on specific archs.
  This extends the supported.conf syntax to allow to put +arch additionally
  after the unsupported marker, then it'll be conditionally supported on
  that arch.
- commit 75113c7
* Fri Jun 11 2021 bwiedemann@suse.de
- Create Symbols.list and ipa-clones.list determistically
  without this patch, filesystem readdir order would influence
  order of entries in these files.
  This patch was done while working on reproducible builds for SLE.
- commit a898b6d
* Fri Jun 11 2021 nmoreychaisemartin@suse.com
- RDMA/ucma: Rework ucma_migrate_id() to avoid races with destroy (bsc#1187050, CVE-2020-36385)
- commit d630126
* Fri Jun 11 2021 acho@suse.com
- Update
  patches.suse/Bluetooth-SMP-Fail-if-remote-and-local-public-keys-a.patch
  (bsc#1186463 CVE-2021-0129 CVE-2020-26558).
- commit 3b40194
* Fri Jun 11 2021 tiwai@suse.de
- Update config files (bsc#1187167)
  Set empty to CONFIG_MODULE_SIG_KEY for reproducible builds
- commit d4c1c78
* Fri Jun 11 2021 tiwai@suse.de
- ALSA: hda: Fix for mute key LED for HP Pavilion 15-CK0xx
  (git-fixes).
- drm/amdgpu/jpeg3: add cancel_delayed_work_sync before power gate
  (git-fixes).
- drm/amdgpu/jpeg2.5: add cancel_delayed_work_sync before power
  gate (git-fixes).
- drm/amdgpu/vcn3: add cancel_delayed_work_sync before power gate
  (git-fixes).
- commit fbebaf6
* Fri Jun 11 2021 tiwai@suse.de
- Bluetooth: fix the erroneous flush_work() order (git-fixes).
- ALSA: timer: Fix master timer notification (git-fixes).
- ALSA: hda: Fix for mute key LED for HP Pavilion 15-CK0xx
  (git-fixes).
- drm/amdgpu: make sure we unpin the UVD BO (git-fixes).
- vfio/platform: fix module_put call in error flow (git-fixes).
- vfio/pci: zap_vma_ptes() needs MMU (git-fixes).
- vfio/pci: Fix error return code in vfio_ecap_init() (git-fixes).
- HID: multitouch: require Finger field to mark Win8 reports as MT
  (git-fixes).
- commit 64bd478
* Thu Jun 10 2021 martin.wilck@suse.com
- scsi: scsi_dh_alua: Retry RTPG on a different path after failure
  (bsc#1174978 bsc#1185701).
- commit 36cc9f2
* Thu Jun 10 2021 martin.wilck@suse.com
- kernel-binary.spec.in: Add Supplements: for -extra package on Leap
  kernel-$flavor-extra should supplement kernel-$flavor on Leap, like
  it does on SLED, and like the kernel-$flavor-optional package does.
- commit c60d87f
* Thu Jun 10 2021 tabraham@suse.com
- perf/x86/intel/uncore: Remove uncore extra PCI dev
  HSWEP_PCI_PCU_3 (bsc#1184685).
- commit 1c4876a
* Thu Jun 10 2021 dwagner@suse.de
- block: return the correct bvec when checking for gaps
  (bsc#1187143).
- commit 1a99a11
* Thu Jun 10 2021 dwagner@suse.de
- series: Resort and update metadata
  Resort series.conf and update meta data:
  patches.suse/scsi-lpfc-Add-a-option-to-enable-interlocked-ABTS-be.patch
  patches.suse/scsi-lpfc-Add-ndlp-kref-accounting-for-resume-RPI-pa.patch
  patches.suse/scsi-lpfc-Fix-Node-recovery-when-driver-is-handling-.patch
  patches.suse/scsi-lpfc-Fix-Unexpected-timeout-error-in-direct-att.patch
  patches.suse/scsi-lpfc-Fix-crash-when-lpfc_sli4_hba_setup-fails-t.patch
  patches.suse/scsi-lpfc-Fix-node-handling-for-Fabric-Controller-an.patch
  patches.suse/scsi-lpfc-Fix-non-optimized-ERSP-handling.patch
  patches.suse/scsi-lpfc-Fix-unreleased-RPIs-when-NPIV-ports-are-cr.patch
  patches.suse/scsi-lpfc-Ignore-GID-FT-response-that-may-be-receive.patch
  patches.suse/scsi-lpfc-Reregister-FPIN-types-if-ELS_RDF-is-receiv.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.10.patch
- commit f894385
* Wed Jun  9 2021 tbogendoerfer@suse.de
- cxgb4: avoid link re-train during TC-MQPRIO configuration
  (jsc#SLE-8389).
- ice: Allow all LLDP packets from PF to Tx (jsc#SLE-7926).
- ice: Fix VFR issues for AVF drivers that expect ATQLEN cleared
  (git-fixes).
- net/mlx5: DR, Create multi-destination flow table with level
  less than 64 (jsc#SLE-8464).
- ixgbe: fix large MTU request from VF (git-fixes).
- cxgb4: avoid accessing registers when clearing filters
  (git-fixes).
- net/mlx5e: Fix multipath lag activation (git-fixes).
- net/mlx5e: Fix nullptr in add_vlan_push_action() (git-fixes).
- net: hns3: put off calling register_netdev() until client
  initialize complete (bsc#1154353).
- gve: Correct SKB queue index validation (git-fixes).
- gve: Upgrade memory barrier in poll routine (git-fixes).
- gve: Add NULL pointer checks when freeing irqs (git-fixes).
- gve: Update mgmt_msix_idx if num_ntfy changes (git-fixes).
- net: bnx2: Fix error return code in bnx2_init_board()
  (git-fixes).
- net/mlx4: Fix EEPROM dump support (git-fixes).
- Revert "net: liquidio: fix a NULL pointer dereference"
  (git-fixes).
- Revert "qlcnic: Avoid potential NULL pointer dereference"
  (git-fixes).
- net: hns3: Limiting the scope of vector_ring_chain variable
  (git-fixes).
- commit 4451268
* Wed Jun  9 2021 rgoldwyn@suse.com
- btrfs: open device without device_list_mutex  (bsc#1176771).
- commit c922550
* Wed Jun  9 2021 oneukum@suse.com
- UCSI fixup of array of PDOs (git-fixes).
- commit 554911b
* Wed Jun  9 2021 oneukum@suse.com
- usb: typec: ucsi: Retrieve all the PDOs instead of just the
  first 4 (git-fixes).
- commit 62a78a2
* Wed Jun  9 2021 oneukum@suse.com
- i2c: imx: fix reference leak when pm_runtime_get_sync fails
  (git-fixes).
- commit 7b525ce
* Wed Jun  9 2021 oneukum@suse.com
- vmlinux.lds.h: Avoid orphan section with !SMP (git-fixes).
- commit 50e12e5
* Wed Jun  9 2021 tbogendoerfer@suse.de
- ice: handle the VF VSI rebuild failure (jsc#SLE-12878).
- ice: Fix allowing VF to request more/less queues via virtchnl
  (jsc#SLE-12878).
- cxgb4: fix regression with HASH tc prio value update
  (jsc#SLE-15131).
- net/mlx5e: Fix incompatible casting (jsc#SLE-15172).
- netfilter: nf_tables: missing error reporting for not selected
  expressions (bsc#1176447).
- net/sched: act_ct: Offload connections with commit action
  (jsc#SLE-15172).
- devlink: Correct VIRTUAL port to not have phys_port attributes
  (jsc#SLE-15172).
- net: zero-initialize tc skb extension on allocation
  (bsc#1176447).
- net/sched: fq_pie: fix OOB access in the traffic path
  (jsc#SLE-15172).
- net/sched: fq_pie: re-factor fix for fq_pie endless loop
  (jsc#SLE-15172).
- net/mlx5: Set term table as an unmanaged flow table
  (jsc#SLE-15172).
- net/mlx5e: Fix error path of updating netdev queues
  (jsc#SLE-15172).
- net/mlx5e: reset XPS on error flow if netdev isn't registered
  yet (jsc#SLE-15172).
- net/mlx5e: Fix null deref accessing lag dev (jsc#SLE-15172).
- net/mlx5: Set reformat action when needed for termination rules
  (jsc#SLE-15172).
- net: hns3: fix incorrect resp_msg issue (jsc#SLE-14777).
- netfilter: nft_set_pipapo_avx2: Add irq_fpu_usable() check,
  fallback to non-AVX2 version (bsc#1176447).
- cxgb4/ch_ktls: Clear resources when pf4 device is removed
  (jsc#SLE-15129).
- chelsio/chtls: unlock on error in chtls_pt_recvmsg()
  (jsc#SLE-15129).
- commit 9e162d7
* Wed Jun  9 2021 tiwai@suse.de
- regulator: max77620: Use device_set_of_node_from_dev()
  (git-fixes).
- regulator: core: resolve supply for boot-on/always-on regulators
  (git-fixes).
- commit a6466ca
* Tue Jun  8 2021 lduncan@suse.com
- scsi: libsas: Reset num_scatter if libata marks qc as NODATA
  (bsc#1187068).
- scsi: be2iscsi: Revert "Fix a theoretical leak in
  beiscsi_create_eqs()" (bsc#1187067).
- scsi: ufs: Make ufshcd_print_trs() consider
  UFSHCD_QUIRK_PRDT_BYTE_GRAN (bsc#1187069).
- scsi: aacraid: Fix an oops in error handling (bsc#1187072).
- commit a34cc53
* Tue Jun  8 2021 jroedel@suse.de
- x86/ioremap: Map efi_mem_reserve() memory as encrypted for SEV (bsc#1186885).
- commit c1bc56f
* Tue Jun  8 2021 jeyu@suse.de
- Update kabi files.
- Update from the June 2021 maintenance update submission (commit eaf040d1bea)
- commit ff2915c
* Tue Jun  8 2021 tiwai@suse.de
- Update patch reference for a BT fix (CVE-2020-36386 bsc#1187038)
- commit 673eac4
* Tue Jun  8 2021 dbueso@suse.de
- locking/mutex: clear MUTEX_FLAGS if wait_list is empty due to
  signal (git-fixes).
- commit 12081a6
* Tue Jun  8 2021 lduncan@suse.com
- scsi: ufs: core: Narrow down fast path in system suspend path
  (bsc#1186996).
- scsi: sni_53c710: Add IRQ check (bsc#1186990).
- scsi: sun3x_esp: Add IRQ check (bsc#1186991).
- scsi: jazz_esp: Add IRQ check (bsc#1186965).
- scsi: hisi_sas: Fix IRQ checks (bsc#1186963).
- scsi: ufs: ufshcd-pltfrm: Fix deferred probing (bsc#1187003).
- scsi: mpt3sas: Fix error return code of mpt3sas_base_attach()
  (bsc#1186978).
- scsi: qedi: Fix error return code of qedi_alloc_global_queues()
  (bsc#1186984).
- scsi: mpt3sas: Do not use GFP_KERNEL in atomic context
  (bsc#1186977).
- scsi: myrs: Fix a double free in myrs_cleanup() (bsc#1186980).
- scsi: sd: Fix Opal support (bsc#1186989).
- scsi: bnx2fc: Fix Kconfig warning & CNIC build errors
  (bsc#1186955).
- scsi: lpfc: Fix ancient double free (bsc#1186969).
- scsi: megaraid_sas: Fix MEGASAS_IOC_FIRMWARE regression
  (bsc#1186973).
- scsi: cxgb4i: Fix TLS dependency (bsc#1186960).
- scsi: fnic: Fix error return code in fnic_probe() (bsc#1186962).
- scsi: pm80xx: Fix error return in pm8001_pci_probe()
  (bsc#1186981).
- scsi: qedi: Fix missing destroy_workqueue() on error in
  __qedi_probe (bsc#1186985).
- scsi: qla4xxx: Remove in_interrupt() (bsc#1186987).
- scsi: hisi_sas: Remove preemptible() (bsc#1186964).
- scsi: megaraid_sas: Check user-provided offsets (bsc#1186970).
- scsi: libfc: Fix enum-conversion warning (bsc#1186966).
- scsi: bnx2i: Requires MMU (bsc#1186956).
- scsi: mpt3sas: Fix ioctl timeout (bsc#1186979).
- scsi: ufs: Fix race between shutdown and runtime resume flow
  (bsc#1186998).
- scsi: bfa: Fix error return in bfad_pci_init() (bsc#1186954).
- scsi: be2iscsi: Fix a theoretical leak in beiscsi_create_eqs()
  (bsc#1186953).
- scsi: aacraid: Remove erroneous fallthrough annotation
  (bsc#1186950).
- scsi: csiostor: Fix wrong return value in csio_hw_prep_fw()
  (bsc#1186957).
- scsi: qla4xxx: Fix an error handling path in
  'qla4xxx_get_host_stats()' (bsc#1186986).
- scsi: ufs: Properly release resources if a task is aborted
  successfully (bsc#1187001).
- scsi: libsas: Fix error path in sas_notify_lldd_dev_found()
  (bsc#1186967).
- scsi: megaraid_sas: Don't call disable_irq from process IRQ poll
  (bsc#1186972).
- scsi: libsas: Set data_dir as DMA_NONE if libata marks qc as
  NODATA (bsc#1186968).
- scsi: mesh: Fix panic after host or bus reset (bsc#1186976).
- scsi: megaraid_sas: Clear affinity hint (bsc#1186971).
- scsi: scsi_debug: Add check for sdebug_max_queue during module
  init (bsc#1186988).
- scsi: eesox: Fix different dev_id between request_irq() and
  free_irq() (bsc#1186961).
- scsi: powertec: Fix different dev_id between request_irq()
  and free_irq() (bsc#1186982).
- scsi: cumana_2: Fix different dev_id between request_irq()
  and free_irq() (bsc#1186958).
- scsi: ufs: Add quirk to fix abnormal ocs fatal error
  (bsc#1186994).
- scsi: ufs: Introduce UFSHCD_QUIRK_PRDT_BYTE_GRAN quirk
  (bsc#1187000).
- scsi: ufs: Add quirk to enable host controller without hce
  (bsc#1186993).
- scsi: ufs: Add quirk to disallow reset of interrupt aggregation
  (bsc#1186992).
- scsi: ufs: Add quirk to fix mishandling utrlclr/utmrlclr
  (bsc#1186995).
- scsi: megaraid_sas: Remove undefined ENABLE_IRQ_POLL macro
  (bsc#1186974).
- scsi: acornscsi: Fix an error handling path in acornscsi_probe()
  (bsc#1186952).
- scsi: ufs: Don't update urgent bkops level when toggling auto
  bkops (bsc#1186997).
- scsi: cxgb3i: Fix some leaks in init_act_open() (bsc#1186959).
- scsi: ufs-qcom: Fix scheduling while atomic issue (bsc#1187002).
- scsi: aacraid: Use memdup_user() as a cleanup (bsc#1186951).
- scsi: qedi: Check for buffer overflow in qedi_set_path()
  (bsc#1186983).
- Revert "scsi: core: run queue if SCSI device queue isn't ready
  and queue is idle" (bsc#1186949).
- scsi: ufshcd: use an enum for quirks (bsc#1186999).
- commit 063da01
* Mon Jun  7 2021 dwagner@suse.de
- scsi: lpfc: Fix failure to transmit ABTS on FC link (git-fixes).
- scsi: qla2xxx: Prevent PRLI in target mode (git-fixes).
- commit df14b8a
* Mon Jun  7 2021 dwagner@suse.de
- blacklist: Add not necessary git-fixes
- commit 203b357
* Mon Jun  7 2021 dwagner@suse.de
- wireguard: allowedips: initialize list head in selftest
  (git-fixes).
- wireguard: peer: allocate in kmem_cache (git-fixes).
- wireguard: use synchronize_net rather than synchronize_rcu
  (git-fixes).
- wireguard: do not use -O3 (git-fixes).
- wireguard: selftests: make sure rp_filter is disabled on vethc
  (git-fixes).
- wireguard: selftests: remove old conntrack kconfig value
  (git-fixes).
- wireguard: queueing: get rid of per-peer ring buffers
  (git-fixes).
- wireguard: peer: put frequently used members above cache lines
  (git-fixes).
- commit f17f786
* Mon Jun  7 2021 bp@suse.de
- pid: take a reference when initializing `cad_pid` (bsc#1152489).
- commit 7fbca02
* Mon Jun  7 2021 msuchanek@suse.de
- rpm/config.sh: Build device trees (boo#1186928).
- commit 0645dbf
* Mon Jun  7 2021 bp@suse.de
- x86/apic: Mark _all_ legacy interrupts when IO/APIC is missing
  (bsc#1152489).
- commit 76a898b
* Mon Jun  7 2021 oneukum@suse.com
- NFC: SUSE specific brutal fix for runtime PM (bsc#1185589).
- commit c32c592
* Mon Jun  7 2021 mbrugger@suse.com
- brcmfmac: Add clm_blob firmware files to modinfo (bsc#1186677).
- commit abced70
* Mon Jun  7 2021 bp@suse.de
- x86/fault: Don't send SIGSEGV twice on SEGV_PKUERR
  (bsc#1152489).
- commit e986350
* Mon Jun  7 2021 msuchanek@suse.de
- powerpc/32: Fix boot failure with CONFIG_STACKPROTECTOR
  (jsc#SLE-13847 git-fixes).
- commit c646236
* Mon Jun  7 2021 msuchanek@suse.de
- powerpc/kprobes: Fix validation of prefixed instructions across
  page boundary (jsc#SLE-13847 git-fixes).
- commit 1cefe80
* Mon Jun  7 2021 msuchanek@suse.de
- Refresh patches.suse/cpuidle-pseries-Fixup-CEDE0-latency-only-for-POWER10.patch.
  Update to v4 submission.
- commit 1222430
* Mon Jun  7 2021 mkubecek@suse.cz
- config: refresh
- drop PCIE_BW (removed by a backported patch)
- commit 8a54d2d
* Mon Jun  7 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/NFS-Deal-correctly-with-attribute-generation-counter.patch
  patches.suse/NFS-Don-t-corrupt-the-value-of-pg_bytes_written-in-n.patch
  patches.suse/NFS-Don-t-discard-pNFS-layout-segments-that-are-mark.patch
  patches.suse/NFS-Don-t-gratuitously-clear-the-inode-cache-when-lo.patch
  patches.suse/NFS-Don-t-revalidate-the-directory-permissions-on-a-.patch
  patches.suse/NFS-Fix-an-Oopsable-condition-in-__nfs_pageio_add_re.patch
  patches.suse/NFS-fix-an-incorrect-limit-in-filelayout_decode_layo.patch
  patches.suse/NFSD-Repair-misuse-of-sv_lock-in-5.10.16-rt30.patch
  patches.suse/NFSv4-Don-t-discard-segments-marked-for-return-in-_p.patch
  patches.suse/NFSv4-Fix-a-NULL-pointer-dereference-in-pnfs_mark_ma.patch
  patches.suse/NFSv4-Fix-v4.0-v4.1-SEEK_DATA-return-ENOTSUPP-when-s.patch
  patches.suse/NFSv4.2-Always-flush-out-writes-in-nfs42_proc_falloc.patch
  patches.suse/NFSv4.2-fix-handling-of-sr_eof-in-SEEK-s-reply.patch
  patches.suse/NFSv4.2-fix-return-value-of-_nfs4_get_security_label.patch
  patches.suse/NFSv42-Copy-offload-should-update-the-file-size-when.patch
  patches.suse/SUNRPC-Move-fault-injection-call-sites.patch
  patches.suse/SUNRPC-Set-memalloc_nofs_save-for-sync-tasks.patch
  patches.suse/fs-nfs-Use-fatal_signal_pending-instead-of-signal_pe.patch
  patches.suse/md-Fix-missing-unused-status-line-of-proc-mdstat.patch
  patches.suse/nfsd-register-pernet-ops-last-unregister-first.patch
  patches.suse/pNFS-NFSv4-Fix-a-layout-segment-leak-in-pnfs_layout_.patch
  patches.suse/pNFS-flexfiles-fix-incorrect-size-check-in-decode_nf.patch
  patches.suse/sunrpc-fix-refcount-leak-for-rpc-auth-modules.patch
  patches.suse/svcrdma-disable-timeouts-on-rdma-backchannel.patch
  patches.suse/x86-fix-seq_file-iteration-for-pat-memtype.c.patch
  patches.suse/xprtrdma-Avoid-Receive-Queue-wrapping.patch
  patches.suse/xprtrdma-rpcrdma_mr_pop-already-does-list_del_init.patch
- commit 08c81db
* Mon Jun  7 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/pm-sleep-add-pm_debug_messages-kernel-command-line-option.patch
- commit 9d4ad2b
* Mon Jun  7 2021 tiwai@suse.de
- kABI workaround for struct lis3lv02d change (git-fixes).
- commit b20df4c
* Mon Jun  7 2021 tiwai@suse.de
- dmaengine: idxd: Use cpu_feature_enabled() (git-fixes).
- ALSA: hda: update the power_state during the direct-complete
  (git-fixes).
- drm/amdgpu: Don't query CE and UE errors (git-fixes).
- drm/i915/selftests: Fix return value check in
  live_breadcrumbs_smoketest() (git-fixes).
- serial: 8250_pci: handle FL_NOIRQ board flag (git-fixes).
- drm/amdgpu/jpeg2.0: add cancel_delayed_work_sync before power
  gate (git-fixes).
- drm/amdgpu/vcn2.5: add cancel_delayed_work_sync before power
  gate (git-fixes).
- drm/amdkfd: correct sienna_cichlid SDMA RLC register offset
  error (git-fixes).
- drm/amdgpu: stop touching sched.ready in the backend
  (git-fixes).
- ASoC: cs43130: handle errors in cs43130_probe() properly
  (git-fixes).
- Revert "ASoC: cs43130: fix a NULL pointer dereference"
  (git-fixes).
- commit f261b0d
* Mon Jun  7 2021 tiwai@suse.de
- drm/amdgpu/vcn2.0: add cancel_delayed_work_sync before power
  gate (git-fixes).
- drm/amdgpu/vcn1: add cancel_delayed_work_sync before power gate
  (git-fixes).
- drm/amd/display: Disconnect non-DP with no EDID (git-fixes).
- commit 9592735
* Mon Jun  7 2021 tiwai@suse.de
- Add No-fix tag to already backported sound fixes
- commit 96fc983
* Mon Jun  7 2021 tiwai@suse.de
- bus: ti-sysc: Fix flakey idling of uarts and stop using
  swsup_sidle_act (git-fixes).
- i2c: qcom-geni: Suspend and resume the bus during
  SYSTEM_SLEEP_PM ops (git-fixes).
- nfc: fix NULL ptr dereference in llcp_sock_getname() after
  failed connect (git-fixes).
- ALSA: hda/cirrus: Set Initial DMIC volume to -26 dB (git-fixes).
- commit 957e0af
* Mon Jun  7 2021 tiwai@suse.de
- thermal/drivers/intel: Initialize RW trip to
  THERMAL_TEMP_INVALID (git-fixes).
- serial: rp2: use 'request_firmware' instead of
  'request_firmware_nowait' (git-fixes).
- USB: serial: pl2303: add device id for ADLINK ND-6530 GC
  (git-fixes).
- USB: serial: ti_usb_3410_5052: add startech.com device id
  (git-fixes).
- USB: serial: option: add Telit LE910-S1 compositions 0x7010,
  0x7011 (git-fixes).
- USB: serial: ftdi_sio: add IDs for IDS GmbH Products
  (git-fixes).
- USB: usbfs: Don't WARN about excessively large memory
  allocations (git-fixes).
- serial: max310x: unregister uart driver in case of failure
  and abort (git-fixes).
- Revert "serial: max310x: pass return value of
  spi_register_driver" (git-fixes).
- usb: core: reduce power-on-good delay time of root hub
  (git-fixes).
- commit 5cd70a0
* Mon Jun  7 2021 tiwai@suse.de
- mei: request autosuspend after sending rx flow control
  (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the Mediacom Winpad
  7.0 W700 tablet (git-fixes).
- platform/x86: intel_punit_ipc: Append MODULE_DEVICE_TABLE for
  ACPI (git-fixes).
- platform/x86: hp-wireless: add AMD's hardware id to the
  supported list (git-fixes).
- platform/x86: hp_accel: Avoid invoking _INI to speed up resume
  (git-fixes).
- media: gspca: properly check for errors in po1030_probe()
  (git-fixes).
- Revert "media: gspca: Check the return value of write_bridge
  for timeout" (git-fixes).
- media: gspca: mt9m111: Check write_bridge for timeout
  (git-fixes).
- Revert "media: gspca: mt9m111: Check write_bridge for timeout"
  (git-fixes).
- media: dvb: Add check on sp8870_readreg return (git-fixes).
- commit c7b5e47
* Mon Jun  7 2021 tiwai@suse.de
- gpio: cadence: Add missing MODULE_DEVICE_TABLE (git-fixes).
- Revert "media: dvb: Add check on sp8870_readreg" (git-fixes).
- libertas: register sysfs groups properly (git-fixes).
- Revert "libertas: add checks for the return value of
  sysfs_create_group" (git-fixes).
- isdn: mISDN: correctly handle ph_info allocation failure in
  hfcsusb_ph_info (git-fixes).
- Revert "isdn: mISDN: Fix potential NULL pointer dereference
  of kzalloc" (git-fixes).
- isdn: mISDNinfineon: check/cleanup ioremap failure correctly
  in setup_io (git-fixes).
- Revert "isdn: mISDNinfineon: fix potential NULL pointer
  dereference" (git-fixes).
- Revert "media: usb: gspca: add a missed check for
  goto_low_power" (git-fixes).
- commit 337d971
* Mon Jun  7 2021 tiwai@suse.de
- cfg80211: mitigate A-MSDU aggregation attacks (CVE-2020-24588
  bsc#1185861).
- drm/amd/amdgpu: fix a potential deadlock in gpu reset
  (git-fixes).
- drm/amdgpu: Fix a use-after-free (git-fixes).
- drm/amd/amdgpu: fix refcount leak (git-fixes).
- drm/amd/display: Disconnect non-DP with no EDID (git-fixes).
- dmaengine: qcom_hidma: comment platform_driver_register call
  (git-fixes).
- Revert "dmaengine: qcom_hidma: Check for driver register
  failure" (git-fixes).
- char: hpet: add checks after calling ioremap (git-fixes).
- Revert "char: hpet: fix a missing check of ioremap" (git-fixes).
- commit 17141be
* Mon Jun  7 2021 tiwai@suse.de
- efi: cper: fix snprintf() use in cper_dimm_err_location()
  (git-fixes).
- efi: Allow EFI_MEMORY_XP and EFI_MEMORY_RO both to be cleared
  (git-fixes).
- ACPICA: Clean up context mutex during object deletion
  (git-fixes).
- hwmon: (dell-smm-hwmon) Fix index values (git-fixes).
- brcmfmac: properly check for bus register errors (git-fixes).
- Revert "brcmfmac: add a check for the status of usb_register"
  (git-fixes).
- ath6kl: return error code in ath6kl_wmi_set_roam_lrssi_cmd()
  (git-fixes).
- Revert "ath6kl: return error code in
  ath6kl_wmi_set_roam_lrssi_cmd()" (git-fixes).
- commit d3cc1eb
* Fri Jun  4 2021 jslaby@suse.cz
- Revert "char: hpet: fix a missing check of ioremap" (git-fixes).
- ttyprintk: Add TTY hangup callback (git-fixes).
- commit dac98b4
* Thu Jun  3 2021 msuchanek@suse.de
- kernel-binary.spec.in: build-id check requires elfutils.
- commit 01569b3
* Thu Jun  3 2021 neilb@suse.de
- NFSv4: Fix a NULL pointer dereference in
  pnfs_mark_matching_lsegs_return() (git-fixes).
- commit 33829e2
* Thu Jun  3 2021 neilb@suse.de
- NFSv4: Fix v4.0/v4.1 SEEK_DATA return -ENOTSUPP when set
  NFS_V4_2 config (git-fixes).
- NFS: Don't corrupt the value of pg_bytes_written in
  nfs_do_recoalesce() (git-fixes).
- NFS: Fix an Oopsable condition in __nfs_pageio_add_request()
  (git-fixes).
- NFS: fix an incorrect limit in filelayout_decode_layout()
  (git-fixes).
- fs/nfs: Use fatal_signal_pending instead of signal_pending
  (git-fixes).
- xprtrdma: rpcrdma_mr_pop() already does list_del_init()
  (git-fixes).
- xprtrdma: Avoid Receive Queue wrapping (git-fixes).
- NFSv4: Don't discard segments marked for return in
  _pnfs_return_layout() (git-fixes).
- NFS: Don't discard pNFS layout segments that are marked for
  return (git-fixes).
- NFSv42: Copy offload should update the file size when
  appropriate (git-fixes).
- SUNRPC: Move fault injection call sites (git-fixes).
- NFSv4.2 fix handling of sr_eof in SEEK's reply (git-fixes).
- pNFS/flexfiles: fix incorrect size check in decode_nfs_fh()
  (git-fixes).
- NFS: Deal correctly with attribute generation counter overflow
  (git-fixes).
- NFSv4.2: Always flush out writes in nfs42_proc_fallocate()
  (git-fixes).
- md: Fix missing unused status line of /proc/mdstat (git-fixes).
- sunrpc: fix refcount leak for rpc auth modules (git-fixes).
- NFSD: Repair misuse of sv_lock in 5.10.16-rt30 (git-fixes).
- svcrdma: disable timeouts on rdma backchannel (git-fixes).
- NFSv4.2: fix return value of _nfs4_get_security_label()
  (git-fixes).
- NFS: Don't gratuitously clear the inode cache when lookup failed
  (git-fixes).
- NFS: Don't revalidate the directory permissions on a lookup
  failure (git-fixes).
- SUNRPC: Set memalloc_nofs_save() for sync tasks (git-fixes).
- x86: fix seq_file iteration for pat.c (git-fixes).
- nfsd: register pernet ops last, unregister first (git-fixes).
- net: fix iteration for sctp transport seq_files (git-fixes).
- pNFS/NFSv4: Fix a layout segment leak in pnfs_layout_process()
  (git-fixes).
- commit 60296fb
* Wed Jun  2 2021 msuchanek@suse.de
- kernel-binary.spec: Only use mkmakefile when it exists
  Linux 5.13 no longer has a mkmakefile script
- commit b453c7b
* Wed Jun  2 2021 lduncan@suse.com
- scsi: smartpqi: Remove unused functions (bsc#1186472).
- scsi: smartpqi: Fix device pointer variable reference static
  checker issue (bsc#1186472).
- scsi: smartpqi: Fix blocks_per_row static checker issue
  (bsc#1186472).
- scsi: smartpqi: Update version to 2.1.8-045 (bsc#1186472).
- scsi: smartpqi: Add new PCI IDs (bsc#1186472).
- scsi: smartpqi: Correct system hangs when resuming from
  hibernation (bsc#1186472).
- scsi: smartpqi: Update enclosure identifier in sysfs
  (bsc#1186472).
- scsi: smartpqi: Add additional logging for LUN resets
  (bsc#1186472).
- scsi: smartpqi: Update SAS initiator_port_protocols and
  target_port_protocols (bsc#1186472).
- scsi: smartpqi: Add phy ID support for the physical drives
  (bsc#1186472).
- scsi: smartpqi: Convert snprintf() to scnprintf() (bsc#1186472).
- scsi: smartpqi: Fix driver synchronization issues (bsc#1186472).
- scsi: smartpqi: Update device scan operations (bsc#1186472).
- scsi: smartpqi: Update OFA management (bsc#1186472).
- scsi: smartpqi: Update RAID bypass handling (bsc#1186472).
- scsi: smartpqi: Update suspend/resume and shutdown
  (bsc#1186472).
- scsi: smartpqi: Synchronize device resets with mutex
  (bsc#1186472).
- scsi: smartpqi: Update soft reset management for OFA
  (bsc#1186472).
- scsi: smartpqi: Update event handler (bsc#1186472).
- scsi: smartpqi: Add support for wwid (bsc#1186472).
- scsi: smartpqi: Remove timeouts from internal cmds
  (bsc#1186472).
- scsi: smartpqi: Disable WRITE SAME for HBA NVMe disks
  (bsc#1186472).
- scsi: smartpqi: Add host level stream detection enable
  (bsc#1186472).
- scsi: smartpqi: Add stream detection (bsc#1186472).
- scsi: smartpqi: Align code with oob driver (bsc#1186472).
- scsi: smartpqi: Add support for long firmware version
  (bsc#1186472).
- scsi: smartpqi: Add support for BMIC sense feature cmd and
  feature bits (bsc#1186472).
- scsi: smartpqi: Add support for RAID1 writes (bsc#1186472).
- scsi: smartpqi: Add support for RAID5 and RAID6 writes
  (bsc#1186472).
- scsi: smartpqi: Refactor scatterlist code (bsc#1186472).
- scsi: smartpqi: Refactor aio submission code (bsc#1186472).
- scsi: smartpqi: Add support for new product ids (bsc#1186472).
- scsi: smartpqi: Correct request leakage during reset operations
  (bsc#1186472).
- scsi: smartpqi: Use host-wide tag space (bsc#1186472).
- commit b561ca9
* Wed Jun  2 2021 jdelvare@suse.de
- PM: sleep: Add pm_debug_messages kernel command line option
  (bsc#1186752).
- commit 735920b
* Wed Jun  2 2021 oneukum@suse.com
- media: dvb: Add check on sp8870_readreg return (git-fixes).
- commit 2133cbd
* Wed Jun  2 2021 oneukum@suse.com
- blacklist.conf: cosmetic fix
- commit ce72d5a
* Wed Jun  2 2021 oneukum@suse.com
- media: gspca: properly check for errors in po1030_probe()
  (git-fixes).
- commit 1750a2e
* Wed Jun  2 2021 oneukum@suse.com
- Revert "media: gspca: Check the return value of write_bridge
  for timeout" (git-fixes).
- commit b97e22b
* Wed Jun  2 2021 oneukum@suse.com
- media: gspca: mt9m111: Check write_bridge for timeout
  (git-fixes).
- commit 7f3a7f1
* Wed Jun  2 2021 oneukum@suse.com
- Revert "media: gspca: mt9m111: Check write_bridge for timeout"
  (git-fixes).
- commit d087481
* Wed Jun  2 2021 oneukum@suse.com
- blacklist.conf: depends on PD 3.0 which we don't have and cannot be
  backported
- commit a396f2f
* Wed Jun  2 2021 mkubecek@suse.cz
- Update kabi files.
- update from June 2021 maitenance update submission (commit f0fe006fa3e1)
- commit 3b5c05b
* Wed Jun  2 2021 tiwai@suse.de
- HID: magicmouse: fix NULL-deref on disconnect (git-fixes).
- HID: i2c-hid: fix format string mismatch (git-fixes).
- HID: pidff: fix error return code in hid_pidff_init()
  (git-fixes).
- HID: i2c-hid: Skip ELAN power-on command after reset
  (git-fixes).
- tpm: fix error return code in tpm2_get_cc_attrs_tbl()
  (git-fixes).
- vsock/vmci: log once the failed queue pair allocation
  (git-fixes).
- commit e5695e4
* Wed Jun  2 2021 ptesarik@suse.cz
- partitions/ibm: fix non-DASD devices (bsc#1185857 LTC#192526).
- commit 0f96f57
* Tue Jun  1 2021 dwagner@suse.de
- Fix patches.suse/nvme-multipath-reset-bdev-to-ns-head-when-failover.patch (bsc#1186681)
  The backport for bsc#1182999 bsc#1178378 introduced a bug.  It's not
  possible to use bdget_disk() in nvme_failover_req() as this can run in
  IRQ context and bdget_disk() can sleep.
  Luckily, we don't need to set bdev via bio_set_dev() as we can set
  bi_disk directly.
- commit cee62aa
* Tue Jun  1 2021 oneukum@suse.com
- Revert "media: dvb: Add check on sp8870_readreg" (git-fixes).
- commit 3655f21
* Tue Jun  1 2021 oneukum@suse.com
- usb: typec: tcpm: Use LE to CPU conversion when accessing
  msg->header (git-fixes).
- commit f61bf4c
* Tue Jun  1 2021 jgross@suse.com
- xen-pciback: redo VF placement in the virtual topology
  (git-fixes).
- commit 323098d
* Tue Jun  1 2021 oneukum@suse.com
- usb: typec: mux: Fix matching with typec_altmode_desc
  (git-fixes).
- commit 2c2aed2
* Tue Jun  1 2021 dwagner@suse.de
- Fix patches.suse/nvme-multipath-reset-bdev-to-ns-head-when-failover.patch (bsc#1186681)
  The backport for bsc#1182999 bsc#1178378 introduced a bug.  It's not
  possible to use bdget_disk() in nvme_failover_req() as this can run in
  IRQ context and bdget_disk() can sleep.
  Luckily, we don't need to set bdev via bio_set_dev() as we can set
  bi_disk directly.
  Refresh:
  - patches.suse/nvme-multipath-retry-commands-for-dying-queues.patch
- commit f0fe006
* Tue Jun  1 2021 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section
  patches.suse/nxp-nci-add-NXP1002-id.patch
- commit d0ca1ba
* Tue Jun  1 2021 msuchanek@suse.de
- Refresh patches.suse/scsi-ibmvfc-Reinit-target-retries.patch.
  Update patch metadata.
- commit e269098
* Tue Jun  1 2021 oneukum@suse.com
- nxp-i2c: restore includes for kABI (bsc#1185589).
- commit 1786af1
* Tue Jun  1 2021 oneukum@suse.com
- nxp-nci: add NXP1002 id (bsc#1185589).
- commit 9d43526
* Tue Jun  1 2021 hare@suse.de
- block/genhd: use atomic_t for disk_event->block (bsc#1185497).
- commit 57427b3
* Tue Jun  1 2021 ptesarik@suse.cz
- s390/ipl: support NVMe IPL kernel parameters (bsc#1185980
  LTC#192679).
- commit 36a59d3
* Mon May 31 2021 bp@suse.de
- x86/cpu: Initialize MSR_TSC_AUX if RDTSCP *or* RDPID is
  supported (bsc#1152489).
- commit 1931741
* Mon May 31 2021 tiwai@suse.de
- Update config files: build W1 modules for x86-64, too (bsc#1186672)
  The core w1 and a couple of modules are needed to be in kernel core
  package for Arm (for RPi) while they are put into leap package for
  other archs.
- commit 5ae0be0
* Mon May 31 2021 jgross@suse.com
- xen-pciback: reconfigure also from backend watch handler
  (git-fixes).
- commit 5795686
* Mon May 31 2021 jgross@suse.com
- xen-blkback: fix compatibility bug with single page rings
  (git-fixes).
- commit c1a440a
* Mon May 31 2021 bp@suse.de
- x86/sev-es: Invalidate the GHCB after completing VMGEXIT
  (bsc#1178134).
- commit 2ed6303
* Mon May 31 2021 jgross@suse.com
- xen/evtchn: Change irq_info lock to raw_spinlock_t (git-fixes).
- commit 085f359
* Mon May 31 2021 ykaukab@suse.de
- tty: serial: ucc_uart: replace qe_io{read,write}* wrappers by
  generic io{read,write}* (git-fixes).
- commit 845115a
* Mon May 31 2021 ykaukab@suse.de
- soc: fsl: qe: replace qe_io{read,write}* wrappers by generic
  io{read,write}* (git-fixes).
- commit d4c6a74
* Mon May 31 2021 varad.gautam@suse.com
- series.conf: cleanup
  update upstream references and resort:
  patches.suse/ipc-mqueue-msg-sem-Avoid-relying-on-a-stack-reference.patch
- commit a8331c9
* Mon May 31 2021 hare@suse.de
- nvme: fix deadlock in disconnect during scan_work and/or
  ana_work (git-fixes).
- Refresh
  patches.suse/nvme-fabrics-reject-I-O-to-offline-device.patch.
- commit 4805fdc
* Mon May 31 2021 ykaukab@suse.de
- arm64: vdso32: make vdso32 install conditional (git-fixes).
- commit de92552
* Mon May 31 2021 ykaukab@suse.de
- blacklist.conf: arm64: add fix for unsupported SOC
- commit 7c4e5f6
* Mon May 31 2021 bp@suse.de
- x86/sev-es: Move sev_es_put_ghcb() in prep for follow on patch
  (bsc#1178134).
- commit 61a3120
* Mon May 31 2021 hare@suse.de
- nvme: document nvme controller states (git-fixes).
- commit 495f482
* Mon May 31 2021 hare@suse.de
- nvme-pci: use simple suspend when a HMB is enabled (git-fixes).
- nvme-pci: make sure write/poll_queues less or equal then cpu
  (git-fixes).
- nvme-pci: align io queue count with allocted nvme_queue in
  (git-fixes).
- nvme-pci: remove last_sq_tail (git-fixes).
- nvme-pci: remove volatile cqes (git-fixes).
- nvme-pci: avoid race between nvme_reap_pending_cqes() and
  nvme_poll() (git-fixes).
- nvme-pci: dma read memory barrier for completions (git-fixes).
- nvme-pci: fix "slimmer CQ head update" (git-fixes).
- nvme-pci: Simplify nvme_poll_irqdisable (git-fixes).
- nvme-pci: Remove two-pass completions (git-fixes).
- nvme-pci: Remove tag from process cq (git-fixes).
- nvme-pci: slimmer CQ head update (git-fixes).
- commit dd74a78
* Mon May 31 2021 tiwai@suse.de
- i2c: s3c2410: fix possible NULL pointer deref on read message
  after write (git-fixes).
- i2c: i801: Don't generate an interrupt on bus reset (git-fixes).
- i2c: sh_mobile: Use new clock calculation formulas for RZ/G2E
  (git-fixes).
- iio: adc: ad7793: Add missing error code in ad7793_setup()
  (git-fixes).
- iio: adc: ad7768-1: Fix too small buffer passed to
  iio_push_to_buffers_with_timestamp() (git-fixes).
- iio: gyro: fxas21002c: balance runtime power in error path
  (git-fixes).
- staging: iio: cdc: ad7746: avoid overwrite of num_channels
  (git-fixes).
- iio: adc: ad7124: Fix potential overflow due to non sequential
  channel numbers (git-fixes).
- iio: adc: ad7124: Fix missbalanced regulator enable / disable
  on error (git-fixes).
- staging: emxx_udc: fix loop in _nbu2ss_nuke() (git-fixes).
- serial: sh-sci: Fix off-by-one error in FIFO threshold register
  setting (git-fixes).
- serial: core: fix suspicious security_locked_down() call
  (git-fixes).
- serial: tegra: Fix a mask operation that is always true
  (git-fixes).
- thunderbolt: dma_port: Fix NVM read buffer bounds and offset
  issue (git-fixes).
- usb: gadget: udc: renesas_usb3: Fix a race in usb3_start_pipen()
  (git-fixes).
- USB: trancevibrator: fix control-request direction (git-fixes).
- misc/uss720: fix memory leak in uss720_probe (git-fixes).
- drm/meson: fix shutdown crash when component not probed
  (git-fixes).
- net: usb: fix memory leak in smsc75xx_bind (git-fixes).
- cdrom: gdrom: initialize global variable at init time
  (git-fixes).
- cdrom: gdrom: deallocate struct gdrom_unit fields in
  remove_gdrom (git-fixes).
- Revert "gdrom: fix a memory leak bug" (git-fixes).
- usb: dwc3: gadget: Enable suspend events (git-fixes).
- commit 62c76a6
* Mon May 31 2021 hare@suse.de
- blk-mq: Swap two calls in blk_mq_exit_queue() (git-fixes).
- block: Fix three kernel-doc warnings (git-fixes).
- commit e222970
* Mon May 31 2021 jeyu@suse.de
- Rename duplicate patches to their SLE15-SP2 equivalents.
  This is to prepare for the next SLE15-SP2 -> SLE15-SP3 merge.
- commit e32f455
* Mon May 31 2021 neilb@suse.de
- SUNRPC: More fixes for backlog congestion (bsc#1185428).
- commit c0de1ec
* Mon May 31 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/nvme-fabrics-decode-host-pathing-error-for-connect.patch
  patches.suse/nvme-fc-short-circuit-reconnect-retries.patch
- whitespace cleanup
- commit 03158d3
* Sun May 30 2021 mkubecek@suse.cz
- series.conf: cleanup
- fix Patch-mainline and move unsortable patches out of sorted section
  patches.suse/0001-netfilter-conntrack-improve-RST-handling-when-tuple-.patch
  patches.suse/0001-netfilter-conntrack-add-new-sysctl-to-disable-RST-ch.patch
- commit 9d82526
* Sun May 30 2021 tiwai@suse.de
- ALSA: hda/realtek: fix mute/micmute LEDs and speaker for HP
  Zbook Fury 17 G8 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs and speaker for HP
  Zbook Fury 15 G8 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs and speaker for HP
  Zbook G8 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP 855 G8
  (git-fixes).
- ALSA: hda/realtek: Chain in pop reduction fixup for ThinkStation
  P340 (git-fixes).
- ALSA: hda/realtek: the bass speaker can't output sound on Yoga
  9i (git-fixes).
- commit 7ba5be9
* Sun May 30 2021 tiwai@suse.de
- ASoC: cs35l33: fix an error code in probe() (git-fixes).
- ASoC: cs42l42: Regmap must use_single_read/write (git-fixes).
- ALSA: usb-audio: scarlett2: snd_scarlett_gen2_controls_create()
  can be static (git-fixes).
- commit 72126c6
* Sun May 30 2021 tiwai@suse.de
- ALSA: hda/realtek: Headphone volume is controlled by Front mixer
  (git-fixes).
- ALSA: usb-audio: scarlett2: Improve driver startup messages
  (git-fixes).
- ALSA: usb-audio: scarlett2: Fix device hang with ehci-pci
  (git-fixes).
- ALSA: usb-audio: fix control-request direction (git-fixes).
- commit ad502bc
* Fri May 28 2021 dbueso@suse.de
- futex: Make syscall entry points less convoluted (git-fixes).
- futex: Get rid of the val2 conditional dance (git-fixes).
- futex: Do not apply time namespace adjustment on FUTEX_LOCK_PI
  (bsc#1164648).
- futex: Change utime parameter to be 'const ... *' (git-fixes).
- commit c6c39e0
* Fri May 28 2021 ykaukab@suse.de
- arm64: kdump: update ppos when reading elfcorehdr (git-fixes).
- arm64: kasan: fix page_alloc tagging with DEBUG_VIRTUAL
  (git-fixes).
- arm64/mm: Fix pfn_valid() for ZONE_DEVICE based memory
  (git-fixes).
- arm64: ptrace: Fix seccomp of traced syscall -1 (NO_SYSCALL)
  (git-fixes).
- arm64: Add missing ISB after invalidating TLB in
  __primary_switch (git-fixes).
- arm64: kexec_file: fix memory leakage in create_dtb() when
  fdt_open_into() fails (git-fixes).
- arm64: link with -z norelro for LLD or aarch64-elf (git-fixes).
- arm64: avoid -Woverride-init warning (git-fixes).
- arm64: link with -z norelro regardless of CONFIG_RELOCATABLE
  (git-fixes).
- Revert "arm64: vdso: Fix compilation with clang older than 8"
  (git-fixes).
- ARM64: vdso32: Install vdso32 from vdso_install (git-fixes).
- arm64: ptrace: Use NO_SYSCALL instead of -1 in
  syscall_trace_enter() (git-fixes).
- arm: mm: use __pfn_to_section() to get mem_section (git-fixes).
- commit 4accc73
* Fri May 28 2021 jlee@suse.com
- Hibernation: Fix Hibernate not blocked in Secure Boot with no EFI secret key
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  (bsc#1186512)
- commit d15957a
* Fri May 28 2021 ykaukab@suse.de
- blacklist.conf: arm64: dts: add fixes
- commit 918cf09
* Fri May 28 2021 aabdallah@suse.de
- netfilter: conntrack: add new sysctl to disable RST check
  (bsc#1183947 bsc#1185950).
- commit 54ae065
* Fri May 28 2021 ykaukab@suse.de
- blacklist.conf: spi: add a cosmetic fix
- commit 67d8fed
* Fri May 28 2021 ykaukab@suse.de
- Revert "soc: fsl: qe: introduce qe_io{read,write}* wrappers"
  (git-fixes).
- commit 25de66e
* Fri May 28 2021 aabdallah@suse.de
- netfilter: conntrack: improve RST handling when tuple is re-used
  (bsc#1183947 bsc#1185950).
- commit 3e0da56
* Fri May 28 2021 aabdallah@suse.de
- netfilter: conntrack: avoid misleading 'invalid' in log message
  (bsc#1183947 bsc#1185950).
- commit 9338bce
* Fri May 28 2021 ykaukab@suse.de
- net: enetc: fix link error again (git-fixes).
- commit 0d4ccc0
* Fri May 28 2021 ykaukab@suse.de
- blacklist.conf: add misc dt-bindings fixes
  References: git-fixes
- commit fc2fb63
* Fri May 28 2021 tiwai@suse.de
- NFC: nci: fix memory leak in nci_allocate_device (git-fixes).
- commit 2bba556
* Fri May 28 2021 dwagner@suse.de
- scsi: libfc: Avoid invoking response handler twice if ep is
  already completed (bsc#1186573).
- commit 679d56e
* Fri May 28 2021 neilb@suse.de
- SUNRPC in case of backlog, hand free slots directly to waiting task (bsc#1185428).
- commit 862f15d
* Fri May 28 2021 glin@suse.com
- bpf: No need to simulate speculative domain for immediates
  (bsc#1186484,CVE-2021-33200).
- bpf: Fix mask direction swap upon off reg sign change
  (bsc#1186484,CVE-2021-33200).
- bpf: Wrap aux data inside bpf_sanitize_info container
  (bsc#1186484,CVE-2021-33200).
- commit fc0b52a
* Thu May 27 2021 msuchanek@suse.de
- Update
  patches.suse/powerpc-64s-Fix-crashes-when-toggling-entry-flush-ba.patch
  (bsc#1177666 git-fixes bsc#1186460 ltc#192531).
- Update
  patches.suse/powerpc-64s-Fix-crashes-when-toggling-stf-barrier.patch
  (bsc#1087082 git-fixes bsc#1186460 ltc#192531).
- commit ce0ebfb
* Thu May 27 2021 lhenriques@suse.de
- ceph: fix inode leak on getattr error in __fh_to_dentry
  (bsc#1186501).
- ceph: only check pool permissions for regular files
  (bsc#1186501).
- ceph: don't clobber i_snap_caps on non-I_NEW inode
  (bsc#1186501).
- ceph: fix up error handling with snapdirs (bsc#1186501).
- commit 7d20748
* Thu May 27 2021 ohering@suse.de
- hv_netvsc: Reset the RSC count if NVSP_STAT_FAIL in
  netvsc_receive() (git-fixes).
- commit 661689a
* Thu May 27 2021 ohering@suse.de
- uio_hv_generic: Fix another memory leak in error handling paths
  (git-fixes).
- uio_hv_generic: Fix a memory leak in error handling paths
  (git-fixes).
- uio: uio_hv_generic: use devm_kzalloc() for private data alloc
  (git-fixes).
- uio_hv_generic: add missed sysfs_remove_bin_file (git-fixes).
- commit 0e1067b
* Thu May 27 2021 lhenriques@suse.de
- ceph: fix inode leak on getattr error in __fh_to_dentry
  (bsc#1186501).
- ceph: only check pool permissions for regular files
  (bsc#1186501).
- ceph: don't clobber i_snap_caps on non-I_NEW inode
  (bsc#1186501).
- ceph: fix up error handling with snapdirs (bsc#1186501).
- commit 7c54637
* Thu May 27 2021 dwagner@suse.de
- nvme-fabrics: decode host pathing error for connect
  (bsc#1179827).
- nvme-fc: short-circuit reconnect retries (bsc#1179827).
- nvme-fc: check sgl supported by target (bsc#1179827).
- commit 97321b0
* Thu May 27 2021 dwagner@suse.de
- scsi: lpfc: Fix bad memory access during VPD DUMP mailbox
  command (bsc#1186451).
- commit 192cba3
* Thu May 27 2021 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 12.8.0.10 (bsc#1186451).
- scsi: lpfc: Reregister FPIN types if ELS_RDF is received from
  fabric controller (bsc#1186451).
- scsi: lpfc: Add a option to enable interlocked ABTS before
  job completion (bsc#1186451).
- scsi: lpfc: Fix crash when lpfc_sli4_hba_setup() fails to
  initialize the SGLs (bsc#1186451).
- scsi: lpfc: Ignore GID-FT response that may be received after
  a link flip (bsc#1186451).
- scsi: lpfc: Fix node handling for Fabric Controller and Domain
  Controller (bsc#1186451).
- scsi: lpfc: Fix Node recovery when driver is handling
  simultaneous PLOGIs (bsc#1186451).
- scsi: lpfc: Add ndlp kref accounting for resume RPI path
  (bsc#1186451).
- scsi: lpfc: Fix "Unexpected timeout" error in direct attach
  topology (bsc#1186451).
- scsi: lpfc: Fix non-optimized ERSP handling (bsc#1186451).
- scsi: lpfc: Fix unreleased RPIs when NPIV ports are created
  (bsc#1186451).
- commit 19dc8b6
* Thu May 27 2021 oneukum@suse.com
- Bluetooth: L2CAP: Fix handling LE modes by L2CAP_OPTIONS
  (git-fixes).
- commit 322fe2d
* Thu May 27 2021 dwagner@suse.de
- nvme-fc: clear q_live at beginning of association teardown
  (bsc#1186479).
- commit 6f0e9b4
* Thu May 27 2021 dwagner@suse.de
- RDMA/core: create ib_cm with WQ_MEM_RECLAIM flag (bsc#1183346).
- RDMA/addr: create addr_wq with WQ_MEM_RECLAIM flag
  (bsc#1183346).
- commit 18a82b0
* Thu May 27 2021 tiwai@suse.de
- drm/amdgpu: update sdma golden setting for Navi12 (git-fixes).
- drm/amdgpu: update gc golden setting for Navi12 (git-fixes).
- drm/amdgpu: Fix GPU TLB update error when PAGE_SIZE >
  AMDGPU_PAGE_SIZE (git-fixes).
- drm/i915/gt: Disable HiZ Raw Stall Optimization on broken gen7
  (git-fixes).
- ALSA: hda/realtek: Add fixup for HP Spectre x360 15-df0xxx
  (git-fixes).
- ALSA: hda: fixup headset for ASUS GU502 laptop (git-fixes).
- commit b2fab88
* Thu May 27 2021 tiwai@suse.de
- drm/amdgpu: disable 3DCGCG on picasso/raven1 to avoid compute
  hang (git-fixes).
- ALSA: line6: Fix racy initialization of LINE6 MIDI (git-fixes).
- ALSA: intel8x0: Don't update period unless prepared (git-fixes).
- ALSA: hda/realtek: Add some CLOVE SSIDs of ALC293 (git-fixes).
- ALSA: usb-audio: Validate MS endpoint descriptors (git-fixes).
- ALSA: hda: fixup headset for ASUS GU502 laptop (git-fixes).
- ALSA: hda/realtek: reset eapd coeff to default value for alc287
  (git-fixes).
- leds: lp5523: check return value of lp5xx_read and jump to
  cleanup code (git-fixes).
- Revert "leds: lp5523: fix a missing check of return value of
  lp55xx_read" (git-fixes).
- Bluetooth: SMP: Fail if remote and local public keys are
  identical (git-fixes).
- commit 57f36e1
* Wed May 26 2021 tbogendoerfer@suse.de
- net/mlx5: Fix health error state handling (bsc#1186467).
- commit d6aa2d3
* Wed May 26 2021 petr.pavlu@suse.com
- ipmi/watchdog: Stop watchdog timer when the current action is
  'none' (bsc#1184855).
- commit 725c479
* Wed May 26 2021 lduncan@suse.com
- scsi: mpt3sas: Only one vSES is present even when IOC has
  multi vSES (bsc#1185954).
- commit e2e5f3a
* Tue May 25 2021 fdmanana@suse.com
- btrfs: fix race between transaction aborts and fsyncs leading
  to use-after-free (bsc#1186441).
- commit fb966c0
* Tue May 25 2021 fdmanana@suse.com
- btrfs: fix race when picking most recent mod log operation
  for an old root (bsc#1186439).
- commit 305123c
* Tue May 25 2021 fdmanana@suse.com
- btrfs: fix race between transaction aborts and fsyncs leading
  to use-after-free (bsc#1186441).
- commit 9be975d
* Tue May 25 2021 fdmanana@suse.com
- btrfs: fix race when picking most recent mod log operation
  for an old root (bsc#1186439).
- commit f318368
* Tue May 25 2021 tiwai@suse.de
- drm/amdgpu/display/dm: add missing parameter documentation
  (git-fixes).
- drm/amdgpu/display: remove redundant continue statement
  (git-fixes).
- Revert "drm/qxl: do not run release if qxl failed to init"
  (git-fixes).
- commit d1874da
* Tue May 25 2021 tiwai@suse.de
- platform/x86: intel_int0002_vgpio: Only call enable_irq_wake()
  when using s2idle (git-fixes).
- usb: typec: ucsi: Put fwnode in any case during ->probe()
  (git-fixes).
- security: keys: trusted: fix TPM2 authorizations (git-fixes).
- tpm: acpi: Check eventlog signature before using it (git-fixes).
- tty: serial: lpuart: fix lpuart32_write usage (git-fixes).
- commit 4ed41e4
* Tue May 25 2021 tiwai@suse.de
- mt76: mt7615: fix entering driver-own state on mt7663
  (git-fixes).
- mt76: mt7915: fix txpower init for TSSI off chips (git-fixes).
- mt76: mt76x0: disable GTK offloading (git-fixes).
- mt76: mt7615: support loading EEPROM for MT7613BE (git-fixes).
- platform/x86: intel_pmt_crashlog: Fix incorrect macros
  (git-fixes).
- pinctrl: qcom: spmi-gpio: fix warning about irq chip reusage
  (git-fixes).
- commit 6b07d97
* Tue May 25 2021 tiwai@suse.de
- KEYS: trusted: Fix memory leak on object td (git-fixes).
- iwlwifi: pcie: make cfg vs. trans_cfg more robust (git-fixes).
- media: saa7146: use sg_dma_len when building pgtable
  (git-fixes).
- media: saa7134: use sg_dma_len when building pgtable
  (git-fixes).
- intel_th: pci: Add Alder Lake-M support (git-fixes).
- intel_th: pci: Add Rocket Lake CPU support (git-fixes).
- KEYS: trusted: Fix TPM reservation for seal/unseal (git-fixes).
- gpu/xen: Fix a use after free in xen_drm_drv_init (git-fixes).
- commit 2d606fa
* Tue May 25 2021 tiwai@suse.de
- drm/i915: Read C0DRB3/C1DRB3 as 16 bits again (git-fixes).
- drm/amdgpu: fix concurrent VM flushes on Vega/Navi v2
  (git-fixes).
- drm/i915/display: fix compiler warning about array overrun
  (git-fixes).
- drm/amdgpu: Add mem sync flag for IB allocated by SA
  (git-fixes).
- drm/amd/display: add handling for hdcp2 rx id list validation
  (git-fixes).
- drm/amd/display: Try YCbCr420 color when YCbCr444 fails
  (git-fixes).
- drm/amd/display: Fix UBSAN: shift-out-of-bounds warning
  (git-fixes).
- fbmem: add margin check to fb_check_caps() (git-fixes).
- commit 1d7d2f2
* Tue May 25 2021 tiwai@suse.de
- drm/amd/display: Fix debugfs link_settings entry (git-fixes).
- drm/amd/display: DCHUB underflow counter increasing in some
  scenarios (git-fixes).
- drm/amd/pm: fix workload mismatch on vega10 (git-fixes).
- drm/amdkfd: Fix UBSAN shift-out-of-bounds warning (git-fixes).
- drm/amdgpu: Fix some unload driver issues (git-fixes).
- drm/amdgpu/display: buffer INTERRUPT_LOW_IRQ_CONTEXT interrupt
  work (git-fixes).
- drm/amd/display: Don't optimize bandwidth before disabling
  planes (git-fixes).
- drm/amd/display: Check for DSC support instead of ASIC revision
  (git-fixes).
- drm/amd/display: changing sr exit latency (git-fixes).
- drm/dp_mst: Set CLEAR_PAYLOAD_ID_TABLE as broadcast (git-fixes).
- commit f3698a5
* Tue May 25 2021 tiwai@suse.de
- dmaengine: idxd: fix cdev setup and free device lifetime issues
  (git-fixes).
- dmaengine: idxd: removal of pcim managed mmio mapping
  (git-fixes).
- dmaengine: idxd: cleanup pci interrupt vector allocation
  management (git-fixes).
- dmaengine: idxd: fix dma device lifetime (git-fixes).
- drm/dp_mst: Revise broadcast msg lct & lcr (git-fixes).
- drm/ast: Fix invalid usage of AST_MAX_HWC_WIDTH in cursor
  atomic_check (git-fixes).
- drm/qxl: do not run release if qxl failed to init (git-fixes).
- drm/amd/display/dc/dce/dce_aux: Remove duplicate line causing
  'field overwritten' issue (git-fixes).
- drm/komeda: Fix bit check to import to value of proper type
  (git-fixes).
- commit 7955989
* Tue May 25 2021 tiwai@suse.de
- ALSA: firewire-lib: fix amdtp_packet tracepoints event for
  packet_index field (git-fixes).
- ALSA: usb-audio: Fix potential out-of-bounce access in MIDI
  EP parser (git-fixes).
- ACPI: PM: Add ACPI ID of Alder Lake Fan (git-fixes).
- ASoC: Intel: sof_sdw: add quirk for new ADL-P Rvp (git-fixes).
- ASoC: rt5670: Add a quirk for the Dell Venue 10 Pro 5055
  (git-fixes).
- ALSA: hda/hdmi: fix race in handling acomp ELD notification
  at resume (git-fixes).
- Bluetooth: btusb: Enable quirk boolean flag for Mediatek Chip
  (git-fixes).
- Bluetooth: Fix incorrect status handling in LE PHY UPDATE event
  (git-fixes).
- commit ea056ec
* Tue May 25 2021 dwagner@suse.de
- scsi: core: Run queue in case of I/O resource contention failure
  (bsc#1186416).
- commit 50bad37
* Tue May 25 2021 tiwai@suse.de
- USB: serial: pl2303: fix line-speed handling on newer chips
  (bsc#1186320).
- USB: serial: pl2303: add support for PL2303HXN (bsc#1186320).
- commit bc4a20a
* Tue May 25 2021 iivanov@suse.de
- mmc: sdhci-iproc: Set SDHCI_QUIRK_CAP_CLOCK_BASE_BROKEN on BCM2711 (bsc#1186009)
- commit 8a9d64a
* Tue May 25 2021 iivanov@suse.de
- mmc: sdhci-iproc: Cap min clock frequency on BCM2711 (bsc#1186009)
- commit 1607e2d
* Tue May 25 2021 ptesarik@suse.cz
- s390/kdump: fix out-of-memory with PCI (bsc#1182257 LTC#191375).
- commit b91dd8c
* Tue May 25 2021 jslaby@suse.cz
- PCI/RCEC: Fix RCiEP device to RCEC association (jsc#SLE-13736
  jsc#SLE-14845 git-fixes).
- commit 6922678
* Tue May 25 2021 jslaby@suse.cz
- Refresh
  patches.suse/PCI-AER-Add-RCEC-AER-error-injection-support.patch.
  Update to upstream version.
- commit deb7805
* Tue May 25 2021 jslaby@suse.cz
- Refresh
  patches.suse/PCI-AER-Add-pcie_walk_rcec-to-RCEC-AER-handling.patch.
  Update to upstream version.
- commit c098a79
* Tue May 25 2021 jslaby@suse.cz
- Delete
  patches.suse/PCI-AER-Apply-Function-Level-Reset-to-RCiEP-on-fatal.patch.
- Delete
  patches.suse/PCI-ERR-Limit-AER-resets-in-pcie_do_recovery.patch.
- Delete
  patches.suse/PCI-RCEC-Add-RCiEP-s-linked-RCEC-to-AER-ERR.patch.
  Replaced in upstream by a175102b0a82 (PCI/ERR: Recover from RCEC AER
  errors).
- commit 716aea9
* Tue May 25 2021 jslaby@suse.cz
- Update to upstream version.
- commit 21cf7c7
* Tue May 25 2021 jslaby@suse.cz
- Refresh
  patches.suse/PCI-AER-Apply-Function-Level-Reset-to-RCiEP-on-fatal.patch.
- Refresh
  patches.suse/PCI-ERR-Avoid-negated-conditional-for-clarity.patch.
- Refresh
  patches.suse/PCI-RCEC-Add-RCiEP-s-linked-RCEC-to-AER-ERR.patch.
- Refresh
  patches.suse/pci-err-add-pci_walk_bridge-to-pcie_do_recovery.
- Refresh patches.suse/pci-err-recover-from-rcec-aer-errors.
- Refresh patches.suse/pci-err-recover-from-rciep-aer-errors.
  Update to upstream version.
- commit 41d7b52
* Tue May 25 2021 tiwai@suse.de
- spi: spi-fsl-dspi: Fix a resource leak in an error handling path
  (git-fixes).
- gpio: xilinx: Correct kernel doc for xgpio_probe() (git-fixes).
- mmc: sdhci-pci-gli: increase 1.8V regulator wait (git-fixes).
- drm/amd/display: Fix two cursor duplication when using overlay
  (git-fixes).
- Input: silead - add workaround for x86 BIOS-es which bring
  the chip up in a stuck state (git-fixes).
- Input: elants_i2c - do not bind to i2c-hid compatible ACPI
  instantiated devices (git-fixes).
- PCI: thunder: Fix compile testing (git-fixes).
- ACPI / hotplug / PCI: Fix reference count leak in enable_slot()
  (git-fixes).
- gpiolib: acpi: Add quirk to ignore EC wakeups on Dell Venue
  10 Pro 5055 (git-fixes).
- dmaengine: dw-edma: Fix crash on loading/unloading driver
  (git-fixes).
- usb: sl811-hcd: improve misleading indentation (git-fixes).
- pinctrl: ingenic: Improve unreachable code generation
  (git-fixes).
- commit 4488c4d
* Tue May 25 2021 tiwai@suse.de
- firmware: arm_scpi: Prevent the ternary sign expansion bug
  (git-fixes).
- ALSA: dice: fix stream format for TC Electronic Konnekt Live
  at high sampling transfer frequency (git-fixes).
- ALSA: firewire-lib: fix calculation for size of IR context
  payload (git-fixes).
- ALSA: firewire-lib: fix check for the size of isochronous
  packet payload (git-fixes).
- ALSA: bebob/oxfw: fix Kconfig entry for Mackie d.2 Pro
  (git-fixes).
- ALSA: dice: fix stream format at middle sampling rate for
  Alesis iO 26 (git-fixes).
- platform/mellanox: mlxbf-tmfifo: Fix a memory barrier issue
  (git-fixes).
- ics932s401: fix broken handling of errors when word reading
  fails (git-fixes).
- ASoC: rt286: Generalize support for ALC3263 codec (git-fixes).
- ASoC: rsnd: call rsnd_ssi_master_clk_start() from
  rsnd_ssi_init() (git-fixes).
- commit 309a9af
* Tue May 25 2021 tiwai@suse.de
- ALSA: hda/conexant: Re-order CX5066 quirk table entries
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Chuwi Hi8 tablet
  (git-fixes).
- ASoC: rsnd: core: Check convert rate in rsnd_hw_params
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Enable jack-detect support on Asus
  T100TAF (git-fixes).
- ASoC: rt286: Make RT286_SET_GPIO_* readable and writable
  (git-fixes).
- ALSA: bebob: enable to deliver MIDI messages for multiple ports
  (git-fixes).
- ALSA: rme9652: don't disable if not enabled (git-fixes).
- ALSA: hdspm: don't disable if not enabled (git-fixes).
- ALSA: hdsp: don't disable if not enabled (git-fixes).
- commit 0897647
* Tue May 25 2021 tiwai@suse.de
- usb: core: hub: fix race condition about TRSMRCY of resume
  (git-fixes).
- usb: xhci: Increase timeout for HC halt (git-fixes).
- usb: dwc3: omap: improve extcon initialization (git-fixes).
- cdc-wdm: untangle a circular dependency between callback and
  softint (git-fixes).
- drm/i915: Avoid div-by-zero on gen2 (git-fixes).
- drm/radeon/dpm: Disable sclk switching on Oland when two 4K
  60Hz monitors are connected (git-fixes).
- pinctrl: samsung: use 'int' for register masks in Exynos
  (git-fixes).
- i2c: Add I2C_AQ_NO_REP_START adapter quirk (git-fixes).
- i2c: bail out early when RDWR parameters are wrong (git-fixes).
- drm/amd/display: fixed divide by zero kernel crash during dsc
  enablement (git-fixes).
- drm/amd/display: Force vsync flip when reconfiguring MPCC
  (git-fixes).
- qtnfmac: Fix possible buffer overflow in
  qtnf_event_handle_external_auth (git-fixes).
- wl3501_cs: Fix out-of-bounds warnings in wl3501_mgmt_join
  (git-fixes).
- wl3501_cs: Fix out-of-bounds warnings in wl3501_send_pkt
  (git-fixes).
- mac80211: clear the beacon's CRC after channel switch
  (git-fixes).
- Bluetooth: check for zapped sk before connecting (git-fixes).
- Bluetooth: initialize skb_queue_head at l2cap_chan_create()
  (git-fixes).
- Bluetooth: Set CONF_NOT_COMPLETE as l2cap_chan default
  (git-fixes).
- commit 6a99610
* Tue May 25 2021 jslaby@suse.cz
- Refresh
  patches.suse/PCI-ERR-Rename-reset_link-to-reset_subordinates.patch.
- Refresh
  patches.suse/pci-err-add-pci_walk_bridge-to-pcie_do_recovery.
- Refresh
  patches.suse/pci-err-retain-status-from-error-notification.
- Refresh
  patches.suse/pci-err-simplify-by-computing-pci_pcie_type-once.
- Refresh
  patches.suse/pci-err-use-bridge-for-clarity-in-pcie_do_recovery.
  Update to upstream version.
- commit b63143d
* Tue May 25 2021 jslaby@suse.cz
- Update to upstream version.
- commit c7b5cb5
* Tue May 25 2021 jslaby@suse.cz
- PCI/ERR: Bind RCEC devices to the Root Port driver
  (jsc#SLE-13736 jsc#SLE-14845).
- Refresh
  patches.suse/pci-err-simplify-by-computing-pci_pcie_type-once.
- Delete
  patches.suse/PCI-RCEC-Add-RCEC-class-code-and-extended-capability.patch.
- Delete
  patches.suse/PCI-RCEC-Bind-RCEC-devices-to-the-Root-Port-driver.patch.
  Update to upstream version. The two were merged into the one.
- commit 746ca90
* Tue May 25 2021 lduncan@suse.com
- scsi: pm80xx: Fix potential infinite loop (bsc#1186354).
- commit f24fca0
* Mon May 24 2021 lduncan@suse.com
- scsi: pm80xx: Increase timeout for pm80xx mpi_uninit_check()
  (bsc#1186355).
- scsi: pm80xx: Fix chip initialization failure (bsc#1186354).
- scsi: target: tcmu: Fix use-after-free of se_cmd->priv
  (bsc#1186356).
- scsi: pm80xx: Do not sleep in atomic context (bsc#1186353).
- scsi: aacraid: Improve compat_ioctl handlers (bsc#1186352).
- scsi: target: tcmu: Fix warning: 'page' may be used
  uninitialized (bsc#1186357).
- commit d9c7184
* Mon May 24 2021 mgorman@suse.de
- Update metadata and move to sorted section
  patches.suse/sched-fair-Clear-SMT-siblings-after-determining-the-core-is-not-idle.patch.
  patches.suse/sched-fair-Fix-wrong-cpu-selecting-from-isolated-dom.patch.
  patches.suse/sched-fair-Minimize-concurrent-LBs-between-domain-level.patch.
  patches.suse/sched-fair-Reduce-busy-load-balance-interval.patch.
  patches.suse/sched-fair-Reduce-minimal-imbalance-threshold.patch.
  patches.suse/sched-fair-Relax-constraint-on-task-s-load-during-load-balance.patch.
  patches.suse/sched-fair-Remove-the-force-parameter-of-update_tg_load_avg.patch.
  patches.suse/sched-fair-Simplify-the-work-when-reweighting-entity.patch.
  patches.suse/sched-rt-Disable-RT_RUNTIME_SHARE-by-default.patch.
- commit 9b005f0
* Mon May 24 2021 mgorman@suse.de
- sched/fair: Fix shift-out-of-bounds in load_balance() (git fixes
  (sched)).
- commit c01b809
* Mon May 24 2021 ptesarik@suse.cz
- s390/dasd: fix hanging DASD driver unbind (bsc#1183932
  LTC#192153).
- commit f5a02db
* Sun May 23 2021 fweisbecker@suse.de
- genirq/irqdomain: Don't try to free an interrupt that has no (git-fixes)
- commit 6059d03
* Sun May 23 2021 fweisbecker@suse.de
- sched/fair: Avoid stale CPU util_est value for schedutil in (git-fixes)
- commit 3ca2554
* Sun May 23 2021 fweisbecker@suse.de
- sched/eas: Don't update misfit status if the task is pinned (git-fixes)
- commit 7849a6f
* Sun May 23 2021 fweisbecker@suse.de
- posix-timers: Preserve return value in clock_adjtime32() (git-fixes)
- commit 637287d
* Sat May 22 2021 fweisbecker@suse.de
- hrtimer: Update softirq_expires_next correctly after (git-fixes)
- commit 123b070
* Sat May 22 2021 fweisbecker@suse.de
- genirq: Disable interrupts for force threaded handlers (git-fixes)
- commit a3b0361
* Fri May 21 2021 msuchanek@suse.de
- blacklist.conf: Remove already backported commits.
- commit d6aafa0
* Fri May 21 2021 fweisbecker@suse.de
- sched/fair: Fix unfairness caused by missing load decay (git-fixes)
- commit 25deacb
* Fri May 21 2021 dwagner@suse.de
- lpfc: Decouple port_template and vport_template (bsc#185032).
- commit 77503a8
* Fri May 21 2021 pmladek@suse.com
- workqueue: Minor follow-ups to the rescuer destruction change
  (bsc#1185911).
- commit 682a642
* Fri May 21 2021 pmladek@suse.com
- workqueue: more destroy_workqueue() fixes (bsc#1185911).
- commit 63656eb
* Fri May 21 2021 tiwai@suse.de
- Re-enable yenta socket driver for x86_64 (bsc#1186349)
  CONFIG_YENTA was mistakenly disabled along with the disablement of
  CONFIG_PCMCIA.  Re-enable the module for keeping the CardBus stuff
  still working, but put it to kernel-*-optional for Leap 15.3.
- commit 1b41019
* Fri May 21 2021 msuchanek@suse.de
- ibmvnic: remove default label from to_string switch (bsc#1152457
  ltc#174432 git-fixes).
- commit 5e94000
* Fri May 21 2021 mkubecek@suse.cz
- series.conf: cleanup
- move submitted patch to "almost mainline" section:
  patches.suse/cpufreq-intel_pstate-Add-Icelake-servers-support-in-.patch
- commit 0ccf9b6
* Thu May 20 2021 dwagner@suse.de
- nvme-fc: return NVME_SC_HOST_ABORTED_CMD when a command has
  been aborted (bsc#1184259).
- nvme-fc: set NVME_REQ_CANCELLED in nvme_fc_terminate_exchange()
  (bsc#1184259).
- nvme: add NVME_REQ_CANCELLED flag in nvme_cancel_request()
  (bsc#1184259).
- nvme: simplify error logic in nvme_validate_ns() (bsc#1184259).
- commit 56bb69c
* Thu May 20 2021 tbogendoerfer@suse.de
- xsk: Respect device's headroom and tailroom on generic xmit path
  (git-fixes).
- commit 7e45682
* Thu May 20 2021 tbogendoerfer@suse.de
- smc: disallow TCP_ULP in smc_setsockopt() (git-fixes).
- ethernet:enic: Fix a use after free bug in enic_hard_start_xmit
  (git-fixes).
- RDMA/srpt: Fix error return code in srpt_cm_req_recv()
  (git-fixes).
- RDMA/hns: Delete redundant abnormal interrupt status
  (git-fixes).
- RDMA/hns: Delete redundant condition judgment related to eq
  (git-fixes).
- net, xdp: Update pkt_type if generic XDP changes unicast MAC
  (git-fixes).
- xsk: Respect device's headroom and tailroom on generic xmit path
  (git-fixes).
- commit 7c9514e
* Thu May 20 2021 ggherdovich@suse.cz
- cpufreq: intel_pstate: Add Icelake servers support in no-HWP
  mode (bsc#1185758).
- commit d0a78d0
* Thu May 20 2021 tbogendoerfer@suse.de
- bnxt_en: Fix RX consumer index logic in the error path
  (git-fixes).
- commit 75ee727
* Thu May 20 2021 tbogendoerfer@suse.de
- i40e: Fix PHY type identifiers for 2.5G and 5G adapters
  (git-fixes).
- i40e: fix the restart auto-negotiation after FEC modified
  (git-fixes).
- i40e: Fix use-after-free in i40e_client_subtask() (git-fixes).
- i40e: fix broken XDP support (git-fixes).
- mlxsw: spectrum_mr: Update egress RIF list before route's action
  (git-fixes).
- net: hns3: disable phy loopback setting in hclge_mac_start_phy
  (git-fixes).
- net: hns3: clear unnecessary reset request in
  hclge_reset_rebuild (git-fixes).
- net: hns3: use netif_tx_disable to stop the transmit queue
  (git-fixes).
- net: hns3: fix for vxlan gpe tx checksum bug (git-fixes).
- net: hns3: add check for HNS3_NIC_STATE_INITED in
  hns3_reset_notify_up_enet() (git-fixes).
- net: hns3: initialize the message content in
  hclge_get_link_mode() (git-fixes).
- net: hns3: fix incorrect configuration for igu_egu_hw_err
  (git-fixes).
- RDMA/qedr: Fix error return code in qedr_iw_connect()
  (jsc#SLE-8215).
- bnxt_en: Fix RX consumer index logic in the error path
  (git-fixes).
- bnxt_en: fix ternary sign extension bug in bnxt_show_temp()
  (git-fixes).
- net: thunderx: Fix unintentional sign extension issue
  (git-fixes).
- cxgb4: Fix unintentional sign extension issues (git-fixes).
- netdevice: Add missing IFF_PHONY_HEADROOM self-definition
  (git-fixes).
- vrf: fix a comment about loopback device (git-fixes).
- net: hns3: Fix for geneve tx checksum bug (git-fixes).
- commit d07ce98
* Thu May 20 2021 tbogendoerfer@suse.de
- ethtool: fix missing NLM_F_MULTI flag when dumping
  (bsc#1176447).
- IB/hfi1: Rework AIP and VNIC dummy netdev usage (jsc#SLE-13208).
- RDMA/rtrs-clt: destroy sysfs after removing session from active
  list (jsc#SLE-15176).
- RDMA/mlx5: Fix drop packet rule in egress table (jsc#SLE-15175).
- net/sched: act_ct: fix wild memory access when clearing
  fragments (bsc#1176447).
- nfp: devlink: initialize the devlink port attribute "lanes"
  (bsc#1176447).
- selftests: mlxsw: Remove a redundant if statement in
  tc_flower_scale test (bsc#1176774).
- net/mlx5: Fix bit-wise and with zero (jsc#SLE-15172).
- netfilter: conntrack: Make global sysctls readonly in non-init
  netns (bsc#1176447).
- commit 3d16f03
* Thu May 20 2021 lduncan@suse.com
- scsi: fnic: Remove bogus ratelimit messages (bsc#1183249).
- commit ad3d189
* Wed May 19 2021 colyli@suse.de
- dm rq: fix double free of blk_mq_tag_set in dev remove after
  table load fails (bsc#1185581).
- commit eec9b2b
* Wed May 19 2021 lyan@suse.com
- Enable CONFIG_PCI_PF_STUB for Nvidia Ampere vGPU support (jsc#SLE-17882
  jsc#ECO-3691)
  Nvidia switched its vGPU mechanism from mdev to SRIOV since Ampere
  architecutre. For the SRIOV implementation, they used pci-pf-stub
  module. We only need to enable CONFIG_PCI_PF_STUB here,
  other dependencies have been enabled already.
- commit 8ab8eb0
* Wed May 19 2021 bp@suse.de
- x86,swiotlb: Adjust SWIOTLB bounce buffer size for SEV guests
  (bsc#1186219).
- commit df8fbad
* Wed May 19 2021 hare@suse.de
- nvme: explicitly update mpath disk capacity on revalidation
  (git-fixes).
- commit 71b6570
* Wed May 19 2021 hare@suse.de
- nvme: retrigger ANA log update if group descriptor isn't found (git-fixes)
- commit d9afd49
* Wed May 19 2021 hare@suse.de
- nvme-tcp: fix misuse of __smp_processor_id with preemption
  (git-fixes).
- dm: avoid filesystem lookup in dm_get_dev_t() (git-fixes).
- nvme: don't intialize hwmon for discovery controllers
  (git-fixes).
- nvme-tcp: Fix warning with CONFIG_DEBUG_PREEMPT (git-fixes).
- nvme-tcp: Fix possible race of io_work and direct send
  (git-fixes).
- nvme-tcp: fix kconfig dependency warning when !CRYPTO
  (git-fixes).
- blk-iocost: ioc_pd_free() shouldn't assume irq disabled
  (git-fixes).
- nvme: fix controller instance leak (git-fixes).
- nvmet: fix a memory leak (git-fixes).
- block: fix get_max_io_size() (git-fixes).
- nvme-tcp: fix possible hang waiting for icresp response
  (bsc#1179519).
- commit 6431b47
* Wed May 19 2021 hare@suse.de
- nvme: fix possible deadlock when I/O is blocked (git-fixes).
- Delete
  patches.suse/nvme-do-not-update-disk-info-for-multipathed-device.patch.
- commit c1000c4
* Wed May 19 2021 hare@suse.de
- nvme: define constants for identification values (git-fixes).
- commit ef03dba
* Tue May 18 2021 msuchanek@suse.de
- powerpc/64s: Fix crashes when toggling entry flush barrier
  (bsc#1177666 git-fixes).
- powerpc/64s: Fix crashes when toggling stf barrier (bsc#1087082
  git-fixes).
- commit f06d724
* Tue May 18 2021 msuchanek@suse.de
- blk-mq: plug request for shared sbitmap (jsc#SLE-15442
  bsc#1180814 ltc#187461 git-fixes).
- commit d041278
* Tue May 18 2021 tiwai@suse.de
- ACPI: PM: s2idle: Drop unused local variables and related code
  (bsc#1185840).
- commit 1fc2033
* Tue May 18 2021 jdelvare@suse.de
- Delete
  patches.suse/hwmon-amd_energy-01-add-driver-to-report-energy-counters.patch.
- Delete
  patches.suse/hwmon-amd_energy-02-missing-platform_driver_unregister-on.patch.
- Delete
  patches.suse/hwmon-amd_energy-03-match-for-supported-models.patch.
- Delete
  patches.suse/hwmon-amd_energy-04-move-label-out-of-accumulation-structure.patch.
- Delete
  patches.suse/hwmon-amd_energy-05-optimize-accumulation-interval.patch.
- Delete
  patches.suse/hwmon-amd_energy-06-improve-the-accumulation-logic.patch.
- Delete
  patches.suse/hwmon-amd_energy-07-modify-the-visibility-of-the-counters.patch.
- Delete
  patches.suse/hwmon-amd_energy-08-add-family-19h-model-01h.patch.
- Delete
  patches.suse/hwmon-amd_energy-09-fix-allocation-of-hwmon_channel_info.patch.
  As agreed with Jeffrey Cheung and Darren Davis, after the amd_energy
  driver has been removed from upstream due to a disagreement between AMD
  and the hwmon subsystem maintainer on how to mitigate a hardware
  security vulnerability, we will not include this driver in SLE15-SP3. In
  other words, features SLE-15432 and SLE-14261 are being rejected for
  SP3. They will be evaluated again for SP4 if the upstream situation
  changes by then.
- commit 30a5d69
* Tue May 18 2021 tiwai@suse.de
- usb: pci-quirks: disable D3cold on xhci suspend for s2idle on
  AMD Renoire (bsc#1185840).
- commit 5bd67ef
* Tue May 18 2021 tiwai@suse.de
- ACPI / idle: override c-state latency when not in conformance
  with s0ix (bsc#1185840).
- commit 00d00d3
* Tue May 18 2021 tiwai@suse.de
- ACPI: PM: s2idle: Add missing LPS0 functions for AMD
  (bsc#1185840).
- commit 77d36ca
* Tue May 18 2021 tiwai@suse.de
- ACPI: PM: s2idle: Move x86-specific code to the x86 directory
  (bsc#1185840).
- ACPI: PM: s2idle: Add AMD support to handle _DSM (bsc#1185840).
- commit 240ac31
* Tue May 18 2021 lhenriques@suse.de
- fuse: fix write deadlock (bsc#1185573).
- commit f65dbea
* Tue May 18 2021 pjakobsson@suse.de
- drm/i915/overlay: Fix active retire callback alignment
  (git-fixes).
- commit 6ca3a83
* Tue May 18 2021 pjakobsson@suse.de
- drm/i915: Wedge the GPU if command parser setup fails
  (git-fixes).
- commit 331f4cc
* Tue May 18 2021 pjakobsson@suse.de
- drm/amdgpu: remove unused variable from struct amdgpu_bo
  (git-fixes).
- commit e3fca29
* Tue May 18 2021 pjakobsson@suse.de
- Refresh
  patches.suse/0001-drm-i915-Fix-overlay-frontbuffer-tracking.patch.
  Add Alt-commit for duplicate
- commit af0c5c1
* Tue May 18 2021 pjakobsson@suse.de
- drm/amd/display: Initialize attribute for hdcp_srm sysfs file
  (git-fixes).
- commit e983a11
* Tue May 18 2021 pjakobsson@suse.de
- drm/i915: Fix crash in auto_retire (git-fixes).
- commit a0ca792
* Tue May 18 2021 pjakobsson@suse.de
- drm/amdgpu: Init GFX10_ADDR_CONFIG for VCN v3 in DPG mode
  (git-fixes).
- commit 1530740
* Tue May 18 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amdgpu-display-restore-AUX_DPHY_TX_CONTROL-for-D.patch.
  Added Alt-commit for duplicate
- commit 9ad673d
* Tue May 18 2021 pjakobsson@suse.de
- blacklist.conf: 12aca1ce9ee3 drm/msm/disp/dpu1: program 3d_merge only if block is attached
- commit 1e8f219
* Tue May 18 2021 martin.wilck@suse.com
- nvmet: use new ana_log_size instead the old one (bsc#1178612,
  bsc#1184259, bsc#1186155).
- nvme-multipath: fix double initialization of ANA state
  (bsc#1178612, bsc#1184259, bsc#1186155).
- commit 0df107a
* Tue May 18 2021 martin.wilck@suse.com
- nvme: add new line after variable declatation (bsc#1184259,
  bsc#1178612, bsc#1186155).
- nvme: don't check nvme_req flags for new req (bsc#1184259,
  bsc#1178612, bsc#1186155).
- nvme: mark nvme_setup_passsthru() inline (bsc#1184259,
  bsc#1178612, bsc#1186155).
- nvme: split init identify into helper (bsc#1184259, bsc#1178612,
  bsc#1186155).
- nvme: rename nvme_init_identify() (bsc#1184259, bsc#1178612,
  bsc#1186155).
- nvme: reduce checks for zero command effects (bsc#1184259,
  bsc#1178612, bsc#1186155).
- nvme: use NVME_CTRL_CMIC_ANA macro (bsc#1184259, bsc#1178612,
  bsc#1186155).
- commit bb55f2e
* Tue May 18 2021 msuchanek@suse.de
- powerpc/pseries: warn if recursing into the hcall tracing code
  (bsc#1185110 ltc#192091).
- powerpc/pseries: use notrace hcall variant for H_CEDE idle
  (bsc#1185110 ltc#192091).
- powerpc/pseries: Don't trace hcall tracing wrapper (bsc#1185110
  ltc#192091).
- powerpc/pseries: Fix hcall tracing recursion in pv queued
  spinlocks (bsc#1185110 ltc#192091).
- commit b5b9cb5
* Tue May 18 2021 mbrugger@suse.com
- supported.conf: mark usb_otg_fsm as supported (bsc#1185010)
- commit d340e77
* Tue May 18 2021 denis.kirjanov@suse.com
- supported.conf: add bsc1185010 dependency
- commit fb8d746
* Mon May 17 2021 pjakobsson@suse.de
- drm/ingenic: Register devm action to cleanup encoders
  (git-fixes).
- commit 675f1fb
* Mon May 17 2021 martin.wilck@suse.com
- nvmet: use new ana_log_size instead the old one (bsc#1184259).
  note: the upstream commit msg is misleading, this is an nvme host fix,
  not nvmet.
- commit 99e6038
* Mon May 17 2021 pjakobsson@suse.de
- drm/ingenic: Fix non-OSD mode (git-fixes).
- commit 6368ef3
* Mon May 17 2021 pjakobsson@suse.de
- drm/mcde/panel: Inverse misunderstood flag (git-fixes).
- commit e3c909b
* Mon May 17 2021 martin.wilck@suse.com
- nvme: don't intialize hwmon for discovery controllers
  (bsc#1184259).
- commit c0f763f
* Mon May 17 2021 tiwai@suse.de
- kABI workaround for hci_chan amp field addition (CVE-2021-33034
  bsc#1186111).
- commit 82f4155
* Mon May 17 2021 tiwai@suse.de
- Bluetooth: verify AMP hci_chan before amp_destroy
  (CVE-2021-33034 bsc#1186111).
- commit f6d837e
* Mon May 17 2021 tiwai@suse.de
- USB: serial: ti_usb_3410_5052: fix TIOCSSERIAL permission check
  (git-fixes).
- tty: moxa: fix TIOCSSERIAL permission check (git-fixes).
- tty: moxa: fix TIOCSSERIAL jiffies conversions (git-fixes).
- tty: amiserial: fix TIOCSSERIAL permission check (git-fixes).
- commit ec86798
* Mon May 17 2021 tiwai@suse.de
- drm/amd/display: Reject non-zero src_y and src_x for video
  planes (git-fixes).
- PCI: Allow VPD access for QLogic ISP2722 (git-fixes).
- cfg80211: scan: drop entry from hidden_list on overflow
  (git-fixes).
- serial: core: return early on unsupported ioctls (git-fixes).
- serial: stm32: fix tx_empty condition (git-fixes).
- serial: stm32: fix incorrect characters on console (git-fixes).
- commit 4d97fe4
* Mon May 17 2021 glin@suse.com
- libbpf: Fix signed overflow in ringbuf_process_ring
  (bsc#1177028).
- selftests/bpf: Fix BPF_CORE_READ_BITFIELD() macro (bsc#1177028).
- libbpf: Initialize the bpf_seq_printf parameters array field
  by field (bsc#1177028).
- selftests/bpf: Fix the ASSERT_ERR_PTR macro (bsc#1177028).
- libbpf: Add explicit padding to btf_dump_emit_type_decl_opts
  (bsc#1177028).
- selftests/bpf: Re-generate vmlinux.h and BPF skeletons if
  bpftool changed (bsc#1177028).
- libbpf: Add explicit padding to bpf_xdp_set_link_opts
  (bsc#1177028).
- commit c874e76
* Mon May 17 2021 ohering@suse.de
- video: hyperv_fb: Add ratelimit on error message (bsc#1185725).
- Drivers: hv: vmbus: Increase wait time for VMbus unload
  (bsc#1185725).
- Drivers: hv: vmbus: Initialize unload_event statically
  (bsc#1185725).
- Drivers: hv: vmbus: Use after free in __vmbus_open()
  (git-fixes).
- drivers: hv: Fix whitespace errors (bsc#1185725).
- Drivers: hv: vmbus: Fix Suspend-to-Idle for Generation-2 VM
  (git-fixes).
- commit ebeaec2
* Mon May 17 2021 tiwai@suse.de
- iio: tsl2583: Fix division by a zero lux_val (git-fixes).
- iio: gyro: mpu3050: Fix reported temperature value (git-fixes).
- iio: proximity: pulsedlight: Fix rumtime PM imbalance on error
  (git-fixes).
- xhci: Do not use GFP_KERNEL in (potentially) atomic context
  (git-fixes).
- usb: fotg210-hcd: Fix an error message (git-fixes).
- usb: dwc3: gadget: Return success always for kick transfer in
  ep queue (git-fixes).
- usb: dwc2: Fix gadget DMA unmap direction (git-fixes).
- usb: dwc3: pci: Enable usb2-gadget-lpm-disable for Intel
  Merrifield (git-fixes).
- commit c94cc71
* Mon May 17 2021 varad.gautam@suse.com
- ipc/mqueue, msg, sem: Avoid relying on a stack reference past
  its expiry (bsc#1185988).
- commit 5e2321a
* Mon May 17 2021 bp@suse.de
- perf/amd/uncore: Fix sysfs type mismatch (bsc#1178134).
- commit 54f1b43
* Mon May 17 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/powerpc-kexec_file-Use-current-CPU-info-while-settin.patch.
- commit b3db5e3
* Fri May 14 2021 tiwai@suse.de
- Correct CVE number for a mac80211 fix (CVE-2020-26139 bsc#1186062)
- commit 16457bf
* Fri May 14 2021 tiwai@suse.de
- net/nfc: fix use-after-free llcp_sock_bind/connect
  (CVE-2021-23134 bsc#1186060).
- commit ffbe2a6
* Fri May 14 2021 pmladek@suse.com
- watchdog/softlockup: Remove obsolete check of last reported task
  (bsc#1185982).
- commit 6d9c3a2
* Fri May 14 2021 dwagner@suse.de
- nvmet: seset ns->file when open fails (bsc#1183873).
- commit ca1c5ff
* Fri May 14 2021 acho@suse.com
- KVM: s390: fix guarded storage control register handling
  (bsc#1133021).
- commit 6757070
* Fri May 14 2021 tiwai@suse.de
- vgacon: Record video mode changes with VT_RESIZEX (git-fixes).
- hwmon: (occ) Fix poll rate limiting (git-fixes).
- PM / devfreq: Use more accurate returned new_freq as resume_freq
  (git-fixes).
- commit 63ad411
* Fri May 14 2021 dwagner@suse.de
- Update meta data patches.suse/nvme-retrigger-ana-log-update-if-group-descriptor-isn-t.patch
  The patch has been added to mainline. Update the meta data and move it
  into the sorted section.
- commit 7250fb0
* Thu May 13 2021 ematsumiya@suse.de
- nvme: remove superfluous else in nvme_ctrl_loss_tmo_store
  (bsc#1182378).
- commit f263745
* Thu May 13 2021 ematsumiya@suse.de
- nvme: Fix NULL dereference for pci nvme controllers
  (bsc#1182378).
- commit cf7170b
* Thu May 13 2021 ematsumiya@suse.de
- nvme: expose reconnect_delay and ctrl_loss_tmo via sysfs
  (bsc#1182378).
- Refresh patches.suse/nvme-add-kato-sysfs-attribute.patch.
  Context adjustment in kato patch.
- commit 7126f4d
* Thu May 13 2021 mgorman@suse.de
- sched: optimize latency defaults for throughput add guard (Scheduler
  enhancements for I7 (bnc#754690, bnc#1144446)).
  Upstream removed the relevant sysctls and a deviation from mainline now can
  only be reverted via debugfs. The guard is added until it can be determined
  if the need for tuning can be addressed without reenabling the sysctls.
- commit 5985363
* Wed May 12 2021 tiwai@suse.de
- ath10k kABI workaround for CVE-2020-24588 fix (CVE-2020-24588
  bsc#1185861).
- ath10k: Validate first subframe of A-MSDU before processing
  the list (CVE-2020-26141 bsc#1185863).
- ath10k: Fix TKIP Michael MIC verification for PCIe
  (CVE-2020-26141 bsc#1185863).
- ath10k: drop MPDU which has discard flag set by firmware for
  SDIO (CVE-2020-24588 bsc#1185861).
- ath10k: drop fragments with multicast DA for SDIO
  (CVE-2020-26145 bsc#1185860).
- ath10k: drop fragments with multicast DA for PCIe
  (CVE-2020-26145 bsc#1185860).
- ath10k: add CCMP PN replay protection for fragmented frames
  for PCIe (CVE-2020-26145 bsc#1185860).
- kABI workaround for cfg80211 changes (CVE-2020-24586
  bsc#1185859).
- mac80211: extend protection against mixed key and fragment
  cache attacks (CVE-2020-24586 bsc#1185859).
- mac80211: do not accept/forward invalid EAPOL frames
  (CVE-2020-24587 CVE-2020-24586 bsc#1185863 bsc#1185862
  bsc#1185859).
- mac80211: prevent attacks on TKIP/WEP as well (CVE-2020-24586
  bsc#1185859).
- mac80211: check defrag PN against current frame (CVE-2020-24587
  CVE-2020-24586 bsc#1185863 bsc#1185862 bsc#1185859).
- mac80211: add fragment cache to sta_info (CVE-2020-24587
  CVE-2020-24586 bsc#1185863 bsc#1185859).
- mac80211: drop A-MSDUs on old ciphers (CVE-2020-24587
  CVE-2020-24586 bsc#1185863 bsc#1185862 bsc#1185859).
- mac80211: properly handle A-MSDUs that start with an RFC 1042
  header (CVE-2020-24587 CVE-2020-24586 bsc#1185863 bsc#1185862
  bsc#1185859).
- mac80211: prevent mixed key and fragment cache attacks
  (CVE-2020-24587 CVE-2020-24586 bsc#1185863 bsc#1185862
  bsc#1185859).
- mac80211: assure all fragments are encrypted (CVE-2020-26147
  bsc#1185863 bsc#1185859).
- commit 1aa5a24
* Wed May 12 2021 pmladek@suse.com
- watchdog/softlockup: report the overall time of softlockups
  (bsc#1185982).
- commit 88ee1b3
* Wed May 12 2021 pmladek@suse.com
- watchdog: explicitly update timestamp when reporting softlockup
  (bsc#1185982).
- commit e1f93d5
* Wed May 12 2021 pmladek@suse.com
- watchdog: rename __touch_watchdog() to a better descriptive name
  (bsc#1185982).
- commit c09eacd
* Wed May 12 2021 martin.wilck@suse.com
- Update to mainline version and move into sorted section:
  patches.suse/scsi-fnic-Use-scsi_host_busy_iter-to-traverse-commands.patch (bsc#1179851)
- commit 5bb3cbc
* Wed May 12 2021 martin.wilck@suse.com
- scsi: fnic: Kill 'exclude_id' argument to fnic_cleanup_io()
  (bsc#1179851).
  temporarily disable patches.suse/fnic-use-blk_mq_tagset_busy_iter-to-traverse-commands.patch
- commit da3e4e8
* Wed May 12 2021 martin.wilck@suse.com
- Update upstream references and move into sorted section:
  patches.suse/scsi-fnic-do-not-call-scsi_done-for-unhandled-commands.patch
- commit 0dfec7c
* Wed May 12 2021 tiwai@suse.de
- ath10k: Validate first subframe of A-MSDU before processing
  the list (CVE-2020-26141 bsc#1185863 bsc#1185987).
- commit ea14c35
* Wed May 12 2021 tiwai@suse.de
- ath10k: Fix TKIP Michael MIC verification for PCIe
  (CVE-2020-26141 bsc#1185863 bsc#1185987).
- commit 4eb2710
* Wed May 12 2021 martin.wilck@suse.com
- nvme-multipath: fix double initialization of ANA state
  (bsc#1178612, bsc#1184259).
- commit 4aa67c6
* Wed May 12 2021 tiwai@suse.de
- ath10k kABI workaround for CVE-2020-24588 fix (CVE-2020-24588
  bsc#1185861).
- ath10k: drop MPDU which has discard flag set by firmware for
  SDIO (CVE-2020-24588 bsc#1185861).
- ath10k: drop fragments with multicast DA for SDIO
  (CVE-2020-26145 bsc#1185860).
- ath10k: drop fragments with multicast DA for PCIe
  (CVE-2020-26145 bsc#1185860).
- ath10k: add CCMP PN replay protection for fragmented frames
  for PCIe (CVE-2020-26145 bsc#1185860).
- commit e9158ad
* Wed May 12 2021 tiwai@suse.de
- kABI workaround for cfg80211 changes (CVE-2020-24586
  bsc#1185859).
- mac80211: extend protection against mixed key and fragment
  cache attacks (CVE-2020-24586 bsc#1185859).
- mac80211: do not accept/forward invalid EAPOL frames
  (CVE-2020-24587 CVE-2020-24586 bsc#1185863 bsc#1185862
  bsc#1185859).
- mac80211: prevent attacks on TKIP/WEP as well (CVE-2020-24586
  bsc#1185859).
- mac80211: check defrag PN against current frame (CVE-2020-24587
  CVE-2020-24586 bsc#1185863 bsc#1185862 bsc#1185859).
- mac80211: add fragment cache to sta_info (CVE-2020-24587
  CVE-2020-24586 bsc#1185863 bsc#1185859).
- mac80211: drop A-MSDUs on old ciphers (CVE-2020-24587
  CVE-2020-24586 bsc#1185863 bsc#1185862 bsc#1185859).
- mac80211: properly handle A-MSDUs that start with an RFC 1042
  header (CVE-2020-24587 CVE-2020-24586 bsc#1185863 bsc#1185862
  bsc#1185859).
- mac80211: prevent mixed key and fragment cache attacks
  (CVE-2020-24587 CVE-2020-24586 bsc#1185863 bsc#1185862
  bsc#1185859).
- mac80211: assure all fragments are encrypted (CVE-2020-26147
  bsc#1185863 bsc#1185859).
- commit e747a3d
* Wed May 12 2021 mbenes@suse.cz
- ftrace: Handle commands when closing set_ftrace_filter file
  (git-fixes).
- commit 7c0272c
* Wed May 12 2021 mbenes@suse.cz
- tracing: Map all PIDs to command lines (git-fixes).
- commit ed170f4
* Wed May 12 2021 msuchanek@suse.de
- ibmvfc: Reinit target retries (bsc#1185938 ltc#192043).
- ibmvfc: Avoid move login if fast fail is enabled (bsc#1185938
  ltc#192043).
- ibmvfc: Handle move login failure (bsc#1185938 ltc#192043).
- commit 0d8166b
* Wed May 12 2021 tiwai@suse.de
- xhci: fix potential array out of bounds with several
  interrupters (git-fixes).
- xhci: check control context is valid before dereferencing it
  (git-fixes).
- commit c3f83a0
* Wed May 12 2021 tiwai@suse.de
- usb: gadget: dummy_hcd: fix gpf in gadget_setup (git-fixes).
- usb: core: hub: Fix PM reference leak in usb_port_resume()
  (git-fixes).
- usb: musb: fix PM reference leak in musb_irq_work() (git-fixes).
- usb: xhci: Fix port minor revision (git-fixes).
- usb: gadget: f_uac1: validate input parameters (git-fixes).
- usb: gadget: f_uac2: validate input parameters (git-fixes).
- usb: gadget/function/f_fs string table fix for multiple
  languages (git-fixes).
- usb: webcam: Invalid size of Processing Unit Descriptor
  (git-fixes).
- commit 4c3dc8b
* Wed May 12 2021 tiwai@suse.de
- power: supply: s3c_adc_battery: fix possible use-after-free
  in s3c_adc_bat_remove() (git-fixes).
- power: supply: generic-adc-battery: fix possible use-after-free
  in gab_remove() (git-fixes).
- power: supply: Use IRQF_ONESHOT (git-fixes).
- spi: qup: fix PM reference leak in spi_qup_remove() (git-fixes).
- spi: omap-100k: Fix reference leak to master (git-fixes).
- spi: dln2: Fix reference leak to master (git-fixes).
- spi: ath79: remove spi-master setup and cleanup assignment
  (git-fixes).
- spi: ath79: always call chipselect function (git-fixes).
- usb: gadget: uvc: add bInterval checking for HS mode
  (git-fixes).
- tty: fix memory leak in vc_deallocate (git-fixes).
- commit fbbea32
* Wed May 12 2021 tiwai@suse.de
- mmc: block: Update ext_csd.cache_ctrl if it was written
  (git-fixes).
- mmc: sdhci-pci: Fix initialization of some SD cards for Intel
  BYT-based controllers (git-fixes).
- mmc: sdhci-pci: Add PCI IDs for Intel LKF (git-fixes).
- mmc: sdhci: Check for reset prior to DMA address unmap
  (git-fixes).
- mmc: core: Set read only for SD cards with permanent write
  protect bit (git-fixes).
- PCI: PM: Do not read power state in pci_enable_device_flags()
  (git-fixes).
- phy: phy-twl4030-usb: Fix possible use-after-free in
  twl4030_usb_remove() (git-fixes).
- platform/x86: intel_pmc_core: Don't use global pmcdev in quirks
  (git-fixes).
- commit f8dc44d
* Wed May 12 2021 tiwai@suse.de
- mfd: arizona: Fix rumtime PM imbalance on error (git-fixes).
- mmc: core: Do a power cycle when the CMD11 fails (git-fixes).
- media: dvb-usb: fix memory leak in dvb_usb_adapter_init
  (git-fixes).
- media: platform: sti: Fix runtime PM imbalance in regs_show
  (git-fixes).
- media: i2c: adv7842: fix possible use-after-free in
  adv7842_remove() (git-fixes).
- media: i2c: tda1997: Fix possible use-after-free in
  tda1997x_remove() (git-fixes).
- media: i2c: adv7511-v4l2: fix possible use-after-free in
  adv7511_remove() (git-fixes).
- media: adv7604: fix possible use-after-free in adv76xx_remove()
  (git-fixes).
- media: tc358743: fix possible use-after-free in
  tc358743_remove() (git-fixes).
- commit bddb0b7
* Wed May 12 2021 tiwai@suse.de
- media: em28xx: fix memory leak (git-fixes).
- media: gspca/sq905.c: fix uninitialized variable (git-fixes).
- media: media/saa7164: fix saa7164_encoder_register() memory
  leak bugs (git-fixes).
- media: imx: capture: Return -EPIPE from
  __capture_legacy_try_fmt() (git-fixes).
- media: drivers: media: pci: sta2x11: fix Kconfig dependency
  on GPIOLIB (git-fixes).
- media: ite-cir: check for receive overflow (git-fixes).
- commit f5f8b81
* Wed May 12 2021 tiwai@suse.de
- extcon: arizona: Fix various races on driver unbind (git-fixes).
- extcon: arizona: Fix some issues when HPDET IRQ fires after
  the jack has been unplugged (git-fixes).
- drm/msm/mdp5: Do not multiply vclk line count by 100
  (git-fixes).
- drm/msm/mdp5: Configure PP_SYNC_HEIGHT to double the vtotal
  (git-fixes).
- drm/amdgpu: fix NULL pointer dereference (git-fixes).
- drm/amdkfd: Fix cat debugfs hang_hws file causes system crash
  bug (git-fixes).
- drm/vkms: fix misuse of WARN_ON (git-fixes).
- drm/amd/display: fix dml prefetch validation (git-fixes).
- intel_th: Consistency and off-by-one fix (git-fixes).
- fbdev: zero-fill colormap in fbcmap.c (git-fixes).
- commit e59ac4d
* Wed May 12 2021 tiwai@suse.de
- drm/amd/display: Fix UBSAN warning for not a valid value for
  type '_Bool' (git-fixes).
- drm/amdgpu : Fix asic reset regression issue introduce by
  8f211fe8ac7c4f (git-fixes).
- drm/amdgpu: mask the xgmi number of hops reported from psp to
  kfd (git-fixes).
- drm: Added orientation quirk for OneGX1 Pro (git-fixes).
- crypto: stm32/cryp - Fix PM reference leak on stm32-cryp.c
  (git-fixes).
- crypto: stm32/hash - Fix PM reference leak on stm32-hash.c
  (git-fixes).
- crypto: qat - Fix a double free in adf_create_ring (git-fixes).
- crypto: qat - fix error path in adf_isr_resource_alloc()
  (git-fixes).
- commit 4f7d7a0
* Wed May 12 2021 tiwai@suse.de
- clk: socfpga: arria10: Fix memory leak of socfpga_clk on error
  return (git-fixes).
- ata: ahci: Disable SXS for Hisilicon Kunpeng920 (git-fixes).
- amdgpu: avoid incorrect %%hu format string (git-fixes).
- crypto: qat - ADF_STATUS_PF_RUNNING should be set after
  adf_dev_init (git-fixes).
- crypto: qat - don't release uninitialized resources (git-fixes).
- crypto: qat - fix unmap invalid dma address (git-fixes).
- crypto: api - check for ERR pointers in crypto_destroy_tfm()
  (git-fixes).
- crypto: mips/poly1305 - enable for all MIPS processors
  (git-fixes).
- commit e379274
* Wed May 12 2021 tiwai@suse.de
- Move upstreamed media fixes into sorted section
- commit 5bae3a8
* Wed May 12 2021 glin@suse.com
- bpf: Prevent writable memory-mapping of read-only ringbuf pages
  (bsc#1185640 CVE-2021-3489).
- bpf, ringbuf: Deny reserve of buffers larger than ringbuf
  (bsc#1185640 CVE-2021-3489).
- bpf: Fix alu32 const subreg bound tracking on bitwise operations
  (bsc#1185641 CVE-2021-3490).
- commit c0fa121
* Wed May 12 2021 glin@suse.com
- scripts/git_sort/git_sort.py: add bpf git repo
- commit 65979e3
* Tue May 11 2021 ddiss@suse.de
- proc: Avoid mixing integer types in mem_rw() (CVE-2021-3491
  bsc#1185642).
- commit 757f76b
* Tue May 11 2021 mkubecek@suse.cz
- blacklist: add commit b166a20b0738
  Mainline commit b166a20b0738 ("net/sctp: fix race condition in
  sctp_destroy_sock") was found buggy so that it was reverted by commit
  01bfe5e8e428 ("Revert "net/sctp: fix race condition in sctp_destroy_sock"")
  and replaced by a new fix, commit 34e5b0118685 ("sctp: delay auto_asconf
  init until binding the first addr").
- commit 7c2eabc
* Tue May 11 2021 mkubecek@suse.cz
- sctp: delay auto_asconf init until binding the first addr
  (<cover.1620748346.git.mkubecek@suse.cz>).
- commit cb84c72
* Tue May 11 2021 mkubecek@suse.cz
- tcp: fix to update snd_wl1 in bulk receiver fast path
  (<cover.1620748346.git.mkubecek@suse.cz>).
- commit 627e2e2
* Tue May 11 2021 tiwai@suse.de
- Update patch reference for BT fix (CVE-2021-32399 bsc#1185898)
- commit 81179ec
* Mon May 10 2021 dbueso@suse.de
- Revert 337f13046ff0 ("futex: Allow FUTEX_CLOCK_REALTIME with FUTEX_WAIT op") (git-fixes).
- commit 9e8eea0
* Mon May 10 2021 mkubecek@suse.cz
- series.conf: cleanup
- move a submitted patch to "almost mainline" section
  patches.suse/rtc-pcf2127-handle-timestamp-interrupts.patch
- commit baf1232
* Mon May 10 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/fs-epoll-restore-waking-from-ep_done_scan.patch
- commit 220b548
* Mon May 10 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/nvme-multipath-reset-bdev-to-ns-head-when-failover.patch
  patches.suse/scsi-lpfc-Fix-DMA-virtual-address-ptr-assignment-in-.patch
  patches.suse/scsi-lpfc-Fix-illegal-memory-access-on-Abort-IOCBs.patch
- commit a062422
* Mon May 10 2021 tiwai@suse.de
- drm/radeon: Avoid power table parsing memory leaks (git-fixes).
- drm/radeon: Fix off-by-one power_state index heap overwrite
  (git-fixes).
- commit dad28e7
* Mon May 10 2021 glin@suse.com
- bpf: Fix leakage of uninitialized bpf stack under speculation
  (bsc#1155518).
- bpf: Fix masking negation logic upon negative dst register
  (bsc#1155518).
- commit 876c85a
* Mon May 10 2021 glin@suse.com
- bpf: Fix propagation of 32 bit unsigned bounds from 64 bit
  bounds (bsc#1177028).
- commit 26f1fe9
* Sat May  8 2021 tiwai@suse.de
- ALSA: usb-audio: Remove redundant assignment to len (git-fixes).
- ALSA: usb-audio: Generic application of implicit fb to
  Roland/BOSS devices (git-fixes).
- Revert "ALSA: usb-audio: Add support for many Roland
  devices..." (git-fixes).
- ALSA: usb-audio: Re-apply implicit feedback mode to Pioneer
  devices (git-fixes).
- ALSA: usb-audio: Add support for many Roland devices' implicit
  feedback quirks (git-fixes).
- ALSA: usb-audio: Apply implicit feedback mode for BOSS devices
  (git-fixes).
- ALSA: usb-audio: Skip probe of UA-101 devices (git-fixes).
- ALSA: usb-audio: Drop implicit fb quirk entries dubbed for
  capture (git-fixes).
- ALSA: usb-audio: Check connector value on resume (git-fixes).
- ALSA: usb-audio: Carve out connector value checking into a
  helper (git-fixes).
- ALSA: usb-audio: fix Pioneer DJM-850 control label info
  (git-fixes).
- ALSA: usb-audio: Declare Pioneer DJM-850 mixer controls
  (git-fixes).
- ALSA: usb-audio: Add Pioneer DJM-850 to quirks-table
  (git-fixes).
- ALSA: usb-audio: generate midi streaming substream names from
  jack names (git-fixes).
- ALSA: usb-audio: use usb headers rather than define structs
  locally (git-fixes).
- commit 66017db
* Sat May  8 2021 tiwai@suse.de
- ALSA: usb-audio: Add implicit feeback support for the BOSS GT-1
  (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-Add-implicit-fb-quirk-for-BOSS-GP-10.patch.
- Refresh
  patches.suse/ALSA-usb-audio-Add-quirk-for-BOSS-AD-10.patch.
- Refresh patches.suse/ALSA-usb-audio-Add-quirk-for-RC-505.patch.
- commit 430c145
* Sat May  8 2021 tiwai@suse.de
- ALSA: hda/realtek: Add fixup for HP OMEN laptop (git-fixes).
- ALSA: hda/realtek: Fix speaker amp on HP Envy AiO 32
  (git-fixes).
- ALSA: hda/realtek: Fix silent headphone output on ASUS UX430UA
  (git-fixes).
- ALSA: usb-audio: Add dB range mapping for Sennheiser
  Communications Headset PC 8 (git-fixes).
- ALSA: hda/realtek: Enable mute/micmute LEDs and limit mic
  boost on EliteBook 845 G8 (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP ProBook 445 G7
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Lenovo Ideapad S740
  (git-fixes).
- commit 0e8dbae
* Sat May  8 2021 tiwai@suse.de
- ALSA: hda: generic: change the DAC ctl name for LO+SPK or LO+HP
  (git-fixes).
- commit cb198d3
* Sat May  8 2021 tiwai@suse.de
- Revert "i3c master: fix missing destroy_workqueue() on error
  in i3c_master_register" (git-fixes).
- ACPI: GTDT: Don't corrupt interrupt mappings on watchdow probe
  failure (git-fixes).
- ALSA: hda/realtek: ALC285 Thinkpad jack pin quirk is unreachable
  (git-fixes).
- USB: Add reset-resume quirk for WD19's Realtek Hub (git-fixes).
- USB: Add LPM quirk for Lenovo ThinkPad USB-C Dock Gen2 Ethernet
  (git-fixes).
- platform/x86: thinkpad_acpi: Correct thermal sensor allocation
  (git-fixes).
- commit 23adf05
* Fri May  7 2021 dbueso@suse.de
- fs/epoll: restore waking from ep_done_scan() (bsc#1183868).
- commit b803549
* Fri May  7 2021 jroedel@suse.de
- iommu/amd: Add support for map/unmap_resource (jsc#ECO-3482).
- commit 7b9e3ca
* Fri May  7 2021 ptesarik@suse.cz
- s390/pci: fix leak of PCI device structure (git-fixes).
- vfio-pci/zdev: fix possible segmentation fault issue
  (git-fixes).
- s390/zcrypt: return EIO when msg retry limit reached
  (git-fixes).
- commit 5abd9df
* Fri May  7 2021 tiwai@suse.de
- ACPI: custom_method: fix a possible memory leak (git-fixes).
- ACPI: custom_method: fix potential use-after-free issue
  (git-fixes).
- commit 2b51e47
* Thu May  6 2021 msuchanek@suse.de
- kernel-docs.spec.in: Build using an utf-8 locale.
  Sphinx cannot handle UTF-8 input in non-UTF-8 locale.
- commit 0db6da1
* Thu May  6 2021 heming.zhao@suse.com
- md-cluster: fix use-after-free issue when removing rdev
  (bsc#1184082).
- md: split mddev_find (bsc#1184081).
- md: factor out a mddev_find_locked helper from mddev_find
  (bsc#1184081).
- md: md_open returns -EBUSY when entering racing area
  (bsc#1184081).
- md: don't flush workqueue unconditionally in md_open
  (bsc#1184081).
- commit 255ac58
* Thu May  6 2021 msuchanek@suse.de
- genirq: Reduce irqdebug cacheline bouncing (bsc#1185703
  ltc#192641).
- commit 54b345b
* Thu May  6 2021 tiwai@suse.de
- PCI: dwc: Move iATU detection earlier (git-fixes).
- PCI: keystone: Let AM65 use the pci_ops defined in
  pcie-designware-host.c (git-fixes).
- thermal: thermal_of: Fix error return code of
  thermal_of_populate_bind_params() (git-fixes).
- commit 48dc8db
* Thu May  6 2021 tiwai@suse.de
- PCI: iproc: Fix return value of iproc_msi_irq_domain_alloc()
  (git-fixes).
- PCI: endpoint: Fix missing destroy_workqueue() (git-fixes).
- PCI/RCEC: Fix RCiEP device to RCEC association (git-fixes).
- PCI: Release OF node in pci_scan_device()'s error path
  (git-fixes).
- thermal/drivers/ti-soc-thermal/bandgap Remove unused variable
  'val' (git-fixes).
- docs: kernel-parameters: Add gpio_mockup_named_lines
  (git-fixes).
- docs: kernel-parameters: Move gpio-mockup for alphabetic order
  (git-fixes).
- commit 6976ceb
* Wed May  5 2021 ematsumiya@suse.de
- md/raid1: properly indicate failure when ending a failed write
  request (bsc#1185680).
- commit 67fde5a
* Wed May  5 2021 mbenes@suse.cz
- s390/entry: save the caller of psw_idle (bsc#1185677).
- commit d82aadb
* Wed May  5 2021 ykaukab@suse.de
- rtc: pcf2127: handle timestamp interrupts (bsc#1185495).
- commit f74f90f
* Wed May  5 2021 ykaukab@suse.de
- bus: fsl-mc: list more commands as accepted through the ioctl
  (bsc#1185670).
- bus: fsl-mc: add the dpdbg device type (bsc#1185670).
- commit 6325c23
* Wed May  5 2021 msuchanek@suse.de
- Update patches.suse/powerpc-eeh-Fix-EEH-handling-for-hugepages-in-iorema.patch
  (bsc#1156395 bsc#1185645 ltc#192576).
- commit b0c1c70
* Wed May  5 2021 mbrugger@suse.com
- spi: cadence: set cqspi to the driver_data field of struct
  device (git-fixes).
- commit e8779a2
* Wed May  5 2021 mbrugger@suse.com
- i2c: mlxbf: add IRQ check (git-fixes).
- commit 571342e
* Wed May  5 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/mm-memcontrol-fix-cpuhotplug-statistics-flushing.patch
- commit fc7f89c
* Wed May  5 2021 mkubecek@suse.cz
- Update kabi files.
- update from May 2021 maintenance update submission (commit 0a8fae2b39f2)
- commit 8a0c3f3
* Wed May  5 2021 tiwai@suse.de
- dmaengine: idxd: Fix potential null dereference on pointer
  status (git-fixes).
- commit 287f8f1
* Wed May  5 2021 msuchanek@suse.de
- powerpc/kexec_file: Use current CPU info while setting up FDT
  (bsc#1184615 ltc#189835).
- commit 21c8a7e
* Wed May  5 2021 mbrugger@suse.com
- Update config files. (bsc#1185010)
- supported.conf:
- commit 8888052
* Wed May  5 2021 mkubecek@suse.cz
- rpm: drop /usr/bin/env in interpreter specification
  OBS checks don't like /usr/bin/env in script interpreter lines but upstream
  developers tend to use it. A proper solution would be fixing the depedency
  extraction and drop the OBS check error but that's unlikely to happen so
  that we have to work around the problem on our side and rewrite the
  interpreter lines in scripts before collecting files for packages instead.
- commit 45c5c1a
* Wed May  5 2021 lduncan@suse.com
- scsi: smartpqi: Update version to 1.2.16-012 (bsc#1178089).
- scsi: smartpqi: Correct pqi_sas_smp_handler busy condition
  (bsc#1178089).
- scsi: smartpqi: Correct driver removal with HBA disks
  (bsc#1178089).
- commit d9b38b9
* Tue May  4 2021 dwagner@suse.de
- nvme: add 'kato' sysfs attribute (bsc#1179825).
- nvme: sanitize KATO setting (bsc#1179825).
- commit f3a2791
* Tue May  4 2021 oneukum@suse.com
- patches.suse/NFC-nxp-nci-Add-GPIO-ACPI-mapping-table.patch:
  (bsc#1185589).
- commit 4004e31
* Tue May  4 2021 oneukum@suse.com
- patches.suse/NFC-nxp-nci-Convert-to-use-GPIO-descriptor.patch:
  (bsc#1185589).
- commit a3f193f
* Tue May  4 2021 oneukum@suse.com
- patches.suse/NFC-nxp-nci-Get-rid-of-platform-data.patch:
  (bsc#1185589).
- commit 3e24d09
* Tue May  4 2021 tiwai@suse.de
- rtc: ds1307: Fix wday settings for rx8130 (git-fixes).
- mmc: sdhci-of-dwcmshc: fix rpmb access (git-fixes).
- commit d21fbb6
* Tue May  4 2021 oneukum@linux.fritz.box
- patches.suse/NFC-nxp-nci-Add-NXP1001-to-the-ACPI-ID-table.patch:
  (bsc#1185589).
- commit 68d285a
* Tue May  4 2021 mkoutny@suse.com
- mm: memcontrol: fix cpuhotplug statistics flushing
  (bsc#1185606).
- commit 3bba386
* Tue May  4 2021 dwagner@suse.de
- nvme-multipath: reset bdev to ns head when failover (bsc#178378
  bsc#1182999).
  Refresh:
  - patches.suse/nvme-multipath-retry-commands-for-dying-queues.patch
- commit ee2dc7b
* Tue May  4 2021 dwagner@suse.de
- scripts/git_sort/git_sort.py: Update nvme repositories
- commit e849c44
* Tue May  4 2021 msuchanek@suse.de
- blacklist.conf: Add ppc kuap/uaccess fixes not applicable to SP2
- commit 4b4ca8e
* Mon May  3 2021 msuchanek@suse.de
- powerpc/eeh: Fix EEH handling for hugepages in ioremap space
  (bsc#1156395).
- powerpc/time: Enable sched clock for irqtime (bsc#1156395).
- commit 5ee4c93
* Mon May  3 2021 msuchanek@suse.de
- powerpc/perf: Fix PMU constraint check for EBB events
  (bsc#1065729).
- powerpc/64s: Fix pte update for kernel memory on radix
  (bsc#1055117 git-fixes).
- powerpc/asm-offsets: GPR14 is not needed either (bsc#1065729).
- powerpc/prom: Mark identical_pvr_fixup as __init (bsc#1065729).
- powerpc/fadump: Mark fadump_calculate_reserve_size as __init
  (bsc#1065729).
- commit e08fbf4
* Mon May  3 2021 msuchanek@suse.de
- powerpc/perf: Fix the threshold event selection for memory
  events in power10 (jsc#SLE-13513).
- powerpc/perf: Fix sampled instruction type for larx/stcx
  (jsc#SLE-13513).
- powerpc/smp: Reintroduce cpu_core_mask (jsc#SLE-13615
  bsc#1180100 ltc#190257 git-fixes).
- powerpc/xive: Drop check on irq_data in xive_core_debug_show()
  (bsc#1177437 ltc#188522 jsc#SLE-13294 git-fixes).
- powerpc/xmon: Fix build failure for 8xx (jsc#SLE-12936
  git-fixes).
- commit 84bf014
* Mon May  3 2021 msuchanek@suse.de
- KVM: PPC: Book3S HV P9: Restore host CTRL SPR after guest exit
  (bsc#1156395).
- KVM: PPC: Make the VMX instruction emulation routines static
  (bsc#1156395).
- commit 66099c4
* Mon May  3 2021 fdmanana@suse.com
- btrfs: fix race between swap file activation and snapshot
  creation (bsc#1185587).
- btrfs: fix race between writes to swap files and scrub
  (bsc#1185586).
- commit fef5517
* Mon May  3 2021 fdmanana@suse.com
- btrfs: fix race between swap file activation and snapshot
  creation (bsc#1185587).
- btrfs: fix race between writes to swap files and scrub
  (bsc#1185586).
- commit 517921a
* Mon May  3 2021 mkubecek@suse.cz
- series.conf: cleanup
- move into "almost mainline" section
  patches.suse/rtc-fsl-ftm-alarm-add-MODULE_TABLE.patch
- commit 75e25e9
* Mon May  3 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/x86-platform-uv-set-section-block-size-for-hubless-architectures.patch
- commit 5cf9a28
* Mon May  3 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort
  patches.suse/powerpc-mm-Add-cond_resched-while-removing-hpte-mapp.patch
  patches.suse/powerpc-papr_scm-Fix-build-error-due-to-wrong-printf.patch
  patches.suse/powerpc-papr_scm-Implement-support-for-H_SCM_FLUSH-h.patch
  patches.suse/powerpc-pseries-Add-shutdown-to-vio_driver-and-vio_b.patch
  patches.suse/scsi-lpfc-Change-wording-of-invalid-pci-reset-log-me.patch
  patches.suse/scsi-lpfc-Correct-function-header-comments-related-t.patch
  patches.suse/scsi-lpfc-Fix-ADISC-handling-that-never-frees-nodes.patch
  patches.suse/scsi-lpfc-Fix-FLOGI-failure-due-to-accessing-a-freed.patch
  patches.suse/scsi-lpfc-Fix-PLOGI-ACC-to-be-transmit-after-REG_LOG.patch
  patches.suse/scsi-lpfc-Fix-crash-caused-by-switch-reboot.patch
  patches.suse/scsi-lpfc-Fix-dropped-FLOGI-during-pt2pt-discovery-r.patch
  patches.suse/scsi-lpfc-Fix-incorrect-dbde-assignment-when-buildin.patch
  patches.suse/scsi-lpfc-Fix-lpfc_els_retry-possible-null-pointer-d.patch
  patches.suse/scsi-lpfc-Fix-nodeinfo-debugfs-output.patch
  patches.suse/scsi-lpfc-Fix-null-pointer-dereference-in-lpfc_prep_.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-connection-does-not-recover-afte.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-state-transition-causing-rmmod-h.patch
  patches.suse/scsi-lpfc-Fix-reftag-generation-sizing-errors.patch
  patches.suse/scsi-lpfc-Fix-stale-node-accesses-on-stale-RRQ-reque.patch
  patches.suse/scsi-lpfc-Fix-status-returned-in-lpfc_els_retry-erro.patch
  patches.suse/scsi-lpfc-Fix-unnecessary-null-check-in-lpfc_release.patch
  patches.suse/scsi-lpfc-Fix-use-after-free-in-lpfc_els_free_iocb.patch
  patches.suse/scsi-lpfc-Fix-vport-indices-in-lpfc_find_vport_by_vp.patch
  patches.suse/scsi-lpfc-Reduce-LOG_TRACE_EVENT-logging-for-vports.patch
  patches.suse/scsi-lpfc-Update-copyrights-for-12.8.0.7-and-12.8.0..patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.8.patch
  patches.suse/scsi-qla2xxx-Reserve-extra-IRQ-vectors.patch
  patches.suse/selftests-powerpc-Fix-L1D-flushing-tests-for-Power10.patch
- commit e03aa0a
* Mon May  3 2021 msuchanek@suse.de
- ibmvnic: queue reset work in system_long_wq (bsc#1152457
  ltc#174432 git-fixes).
- ibmvnic: improve failover sysfs entry (bsc#1043990 ltc#155681
  git-fixes).
- ibmvnic: print adapter state as a string (bsc#1152457 ltc#174432
  git-fixes).
- ibmvnic: print reset reason as a string (bsc#1152457 ltc#174432
  git-fixes).
- ibmvnic: clean up the remaining debugfs data structures
  (bsc#1065729).
- ibmvnic: remove duplicate napi_schedule call in open function
  (bsc#1065729).
- ibmvnic: remove duplicate napi_schedule call in do_reset
  function (bsc#1065729).
- ibmvnic: avoid calling napi_disable() twice (bsc#1065729).
- commit 5d92f24
* Mon May  3 2021 msuchanek@suse.de
- cpuidle/pseries: Fixup CEDE0 latency only for POWER10 onwards
  (bsc#1185550 ltc#192610).
- commit 19688a8
* Mon May  3 2021 ptesarik@suse.cz
- ima: Free IMA measurement buffer after kexec syscall
  (git-fixes).
- commit 2cf366a
* Mon May  3 2021 lhenriques@suse.de
- virtiofs: fix memory leak in virtio_fs_probe() (bsc#1185558).
- commit bc3eb47
* Mon May  3 2021 wqu@suse.com
- btrfs: fix qgroup data rsv leak caused by falloc failure
  (bsc#1185549).
- commit 210f7a5
* Mon May  3 2021 wqu@suse.com
- btrfs: track qgroup released data in own variable in
  insert_prealloc_file_extent (bsc#1185549).
- commit 4d34a1c
* Sat May  1 2021 tiwai@suse.de
- ALSA: hda/conexant: Re-order CX5066 quirk table entries
  (git-fixes).
- ASoC: rsnd: check all BUSIF status when error (git-fixes).
- ASoC: wm8960: Remove bitclk relax condition in
  wm8960_configure_sysclk (git-fixes).
- ASoC: samsung: snow: remove useless test (git-fixes).
- ASoC: Intel: boards: sof-wm8804: add check for PLL setting
  (git-fixes).
- drm/i915/gt: Clear CACHE_MODE prior to clearing residuals
  (git-fixes).
- commit 18fa88e
* Sat May  1 2021 tiwai@suse.de
- ALSA: hda/realtek: Remove redundant entry for ALC861
  Haier/Uniwill devices (git-fixes).
- ALSA: hda/realtek: Re-order ALC662 quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order remaining ALC269 quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC269 Lenovo quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC269 Sony quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC269 ASUS quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC269 Dell quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC269 Acer quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC269 HP quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC882 Clevo quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC882 Sony quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Re-order ALC882 Acer quirk table entries
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Intel Clevo PCx0Dx (git-fixes).
- ALSA: hda/cirrus: Use CS8409 filter to fix abnormal sounds on
  Bullseye (git-fixes).
- ALSA: hda/cirrus: Set Initial DMIC volume for Bullseye to -26 dB
  (git-fixes).
- ALSA: sb: Fix two use after free in snd_sb_qsound_build
  (git-fixes).
- ASoC: Intel: kbl_da7219_max98927: Fix kabylake_ssp_fixup
  function (git-fixes).
- ALSA: emu8000: Fix a use after free in snd_emu8000_create_mixer
  (git-fixes).
- ALSA: hda/realtek - Headset Mic issue on HP platform
  (git-fixes).
- ALSA: usb-audio: DJM-750: ensure format is set (git-fixes).
- ALSA: hda/realtek: GA503 use same quirks as GA401 (git-fixes).
- ALSA: hda/realtek: fix mic boost on Intel NUC 8 (git-fixes).
- ALSA: usb-audio: Explicitly set up the clock selector
  (git-fixes).
- ALSA: usb-audio: Add MIDI quirk for Vox ToneLab EX (git-fixes).
- ALSA: hda/cirrus: Make CS8409 driver more generic by using
  fixups (git-fixes).
- ALSA: hda/cirrus: Fix CS42L42 Headset Mic volume control name
  (git-fixes).
- ALSA: hda/cirrus: Cleanup patch_cirrus.c code (git-fixes).
- ALSA: hda/cirrus: Add error handling into CS8409 I2C functions
  (git-fixes).
- ALSA: hda/cirrus: Add Headphone and Headset MIC Volume Control
  (git-fixes).
- ALSA: hda/cirrus: Add jack detect interrupt support from
  CS42L42 companion codec (git-fixes).
- ALSA: hda/cirrus: Add support for CS8409 HDA bridge and CS42L42
  companion codec (git-fixes).
- ALSA: usb-audio: Configure Pioneer DJM-850 samplerate
  (git-fixes).
- ALSA: usb-audio: Fix Pioneer DJM devices URB_CONTROL request
  direction to set samplerate (git-fixes).
- ALSA: usb-audio: Add DJM450 to Pioneer format quirk (git-fixes).
- commit 82d06eb
* Sat May  1 2021 tiwai@suse.de
- i2c: sh7760: fix IRQ error path (git-fixes).
- commit e315f49
* Sat May  1 2021 tiwai@suse.de
- pinctrl: core: Fix kernel doc string for pin_get_name()
  (git-fixes).
- pinctrl: Ingenic: Add missing pins to the JZ4770 MAC MII group
  (git-fixes).
- i2c: sh7760: add IRQ check (git-fixes).
- i2c: jz4780: add IRQ check (git-fixes).
- i2c: emev2: add IRQ check (git-fixes).
- commit da2180a
* Sat May  1 2021 tiwai@suse.de
- i2c: cadence: add IRQ check (git-fixes).
- i2c: sprd: fix reference leak when pm_runtime_get_sync fails
  (git-fixes).
- i2c: omap: fix reference leak when pm_runtime_get_sync fails
  (git-fixes).
- i2c: imx-lpi2c: fix reference leak when pm_runtime_get_sync
  fails (git-fixes).
- i2c: img-scb: fix reference leak when pm_runtime_get_sync fails
  (git-fixes).
- HID: plantronics: Workaround for double volume key presses
  (git-fixes).
- ASoC: ak5558: correct reset polarity (git-fixes).
- ASoC: simple-card: fix possible uninitialized single_cpu local
  variable (git-fixes).
- ASoC: ak5558: Fix s/show/slow/ typo (git-fixes).
- ASoC: samsung: tm2_wm5110: check of of_parse return value
  (git-fixes).
- ALSA: hda/realtek: fix static noise on ALC285 Lenovo laptops
  (git-fixes).
- ALSA: usb-audio: Fix implicit sync clearance at stopping stream
  (git-fixes).
- ALSA: usb: midi: don't return -ENOMEM when usb_urb_ep_type_check
  fails (git-fixes).
- ALSA: usb-audio: Add error checks for
  usb_driver_claim_interface() calls (git-fixes).
- ALSA: core: remove redundant spin_lock pair in
  snd_card_disconnect (git-fixes).
- drm/i915/gvt: Fix error code in intel_gvt_init_device()
  (git-fixes).
- commit 2b66742
* Fri Apr 30 2021 tiwai@suse.de
- ath10k: Fix a use after free in ath10k_htc_send_bundle
  (git-fixes).
- mt76: mt7915: fix aggr len debugfs node (git-fixes).
- rtw88: Fix an error code in rtw_debugfs_set_rsvd_page()
  (git-fixes).
- Bluetooth: avoid deadlock between hci_dev->lock and socket lock
  (git-fixes).
- commit 38c8cc4
* Fri Apr 30 2021 tiwai@suse.de
- net: geneve: modify IP header check in geneve6_xmit_skb and
  geneve_xmit_skb (git-fixes).
- commit f8b6668
* Fri Apr 30 2021 tiwai@suse.de
- net:nfc:digital: Fix a double free in digital_tg_recv_dep_req
  (git-fixes).
- net: phy: marvell: fix m88e1111_set_downshift (git-fixes).
- net: phy: marvell: fix m88e1011_set_downshift (git-fixes).
- net: phy: intel-xway: enable integrated led functions
  (git-fixes).
- ath10k: Fix ath10k_wmi_tlv_op_pull_peer_stats_info() unlock
  without lock (git-fixes).
- ath9k: Fix error check in ath9k_hw_read_revisions() for PCI
  devices (git-fixes).
- mac80211: bail out if cipher schemes are invalid (git-fixes).
- rtw88: Fix array overrun in rtw_get_tx_power_params()
  (git-fixes).
- rsi: Use resume_noirq for SDIO (git-fixes).
- ipw2x00: potential buffer overflow in libipw_wx_set_encodeext()
  (git-fixes).
- rtlwifi: 8821ae: upgrade PHY and RF parameters (git-fixes).
- mt7601u: fix always true expression (git-fixes).
- liquidio: Fix unintented sign extension of a left shift of a
  u16 (git-fixes).
- nfc: pn533: prevent potential memory corruption (git-fixes).
- commit 4c3b252
* Fri Apr 30 2021 schwab@suse.de
- rpm/constraints.in: bump disk space to 45GB on riscv64
- commit f8b883f
* Fri Apr 30 2021 dwagner@suse.de
- scsi: qla2xxx: Reuse existing error handling path (bsc#1185491).
- scsi: qla2xxx: Remove unneeded if-null-free check (bsc#1185491).
- scsi: qla2xxx: Update version to 10.02.00.106-k (bsc#1185491).
- scsi: qla2xxx: Do logout even if fabric scan retries got
  exhausted (bsc#1185491).
- scsi: qla2xxx: Update default AER debug mask (bsc#1185491).
- scsi: qla2xxx: Fix mailbox recovery during PCIe error
  (bsc#1185491).
- scsi: qla2xxx: Fix crash in PCIe error handling (bsc#1185491).
- scsi: qla2xxx: Fix RISC RESET completion polling (bsc#1185491).
- scsi: qla2xxx: Fix crash in qla2xxx_mqueuecommand()
  (bsc#1185491).
- scsi: qla2xxx: Fix use after free in bsg (bsc#1185491).
- scsi: qla2xxx: Consolidate zio threshold setting for both FCP &
  NVMe (bsc#1185491).
- scsi: qla2xxx: Fix stuck session (bsc#1185491).
- scsi: qla2xxx: Add H:C:T info in the log message for fc ports
  (bsc#1185491).
- scsi: qla2xxx: Fix IOPS drop seen in some adapters
  (bsc#1185491).
- scsi: qla2xxx: Check kzalloc() return value (bsc#1185491).
- scsi: qla2xxx: Always check the return value of
  qla24xx_get_isp_stats() (bsc#1185491).
- scsi: qla2xxx: Simplify qla8044_minidump_process_control()
  (bsc#1185491).
- scsi: qla2xxx: Suppress Coverity complaints about dseg_r*
  (bsc#1185491).
- scsi: qla2xxx: Fix endianness annotations (bsc#1185491).
- scsi: qla2xxx: Constify struct qla_tgt_func_tmpl (bsc#1185491).
- scsi: qla2xxx: Use dma_pool_zalloc() (bsc#1185491).
- scsi: qla2xxx: Fix a couple of misdocumented functions
  (bsc#1185491).
- scsi: qla2xxx: Fix incorrectly named function
  qla8044_check_temp() (bsc#1185491).
- scsi: qla2xxx: Fix a couple of misnamed functions (bsc#1185491).
- scsi: qla2xxx: Fix some incorrect formatting/spelling issues
  (bsc#1185491).
- scsi: qla2xxx: Replace __qla2x00_marker()'s missing underscores
  (bsc#1185491).
- scsi: qla2xxx: Fix broken #endif placement (bsc#1185491).
- scsi: qla2xxx: Simplify if statement (bsc#1185491).
- scsi: qla2xxx: Simplify the calculation of variables
  (bsc#1185491).
- scsi: qla2xxx: Fix some memory corruption (bsc#1185491).
- scsi: qla2xxx: Remove redundant NULL check (bsc#1185491).
- scsi: qla2xxx: Remove unnecessary NULL check (bsc#1185491).
- scsi: qla2xxx: Assign boolean values to a bool variable
  (bsc#1185491).
- scsi: qla2xxx: fc_remote_port_chkready() returns a SCSI result
  value (bsc#1185491).
- scsi: qla2xxx: Update version to 10.02.00.105-k (bsc#1185491).
- scsi: qla2xxx: Enable NVMe CONF (BIT_7) when enabling SLER
  (bsc#1185491).
- scsi: qla2xxx: Fix mailbox Ch erroneous error (bsc#1185491).
- scsi: qla2xxx: Wait for ABTS response on I/O timeouts for NVMe
  (bsc#1185491).
- scsi: qla2xxx: Move some messages from debug to normal log level
  (bsc#1185491).
- scsi: qla2xxx: Add error counters to debugfs node (bsc#1185491).
- scsi: qla2xxx: Implementation to get and manage host, target
  stats and initiator port (bsc#1185491).
- commit db29123
* Fri Apr 30 2021 dwagner@suse.de
- Remove patches.suse/scsi-qla2xxx-Make-sure-that-aborted-commands-are-fre.patch
  Upstream commit 39c0c8553bfb ("scsi: Revert "qla2xxx: Make sure that
  aborted commands are freed"") reverts the patch.
- commit 311c2c6
* Thu Apr 29 2021 dwagner@suse.de
- scsi: lpfc: Fix DMA virtual address ptr assignment in bsg
  (bsc#1185365).
- scsi: lpfc: Fix illegal memory access on Abort IOCBs
  (bsc#1183203).
- scsi: lpfc: Copyright updates for 12.8.0.9 patches
  (bsc#1185472).
- scsi: lpfc: Update lpfc version to 12.8.0.9 (bsc#1185472).
- scsi: lpfc: Eliminate use of LPFC_DRIVER_NAME in lpfc_attr.c
  (bsc#1185472).
- scsi: lpfc: Standardize discovery object logging format
  (bsc#1185472).
- scsi: lpfc: Fix various trivial errors in comments and log
  messages (bsc#1185472).
- scsi: lpfc: Remove unsupported mbox PORT_CAPABILITIES logic
  (bsc#1185472).
- scsi: lpfc: Fix lpfc_hdw_queue attribute being ignored
  (bsc#1185472).
- scsi: lpfc: Fix missing FDMI registrations after Mgmt Svc login
  (bsc#1185472).
- scsi: lpfc: Fix silent memory allocation failure in
  lpfc_sli4_bsg_link_diag_test() (bsc#1185472).
- scsi: lpfc: Fix use-after-free on unused nodes after port swap
  (bsc#1185472).
- scsi: lpfc: Fix error handling for mailboxes completed in
  MBX_POLL mode (bsc#1185472).
- scsi: lpfc: Fix lack of device removal on port swaps with PRLIs
  (bsc#1185472).
- scsi: lpfc: Fix NMI crash during rmmod due to circular hbalock
  dependency (bsc#1185472).
- scsi: lpfc: Fix reference counting errors in lpfc_cmpl_els_rsp()
  (bsc#1185472).
- scsi: lpfc: Fix crash when a REG_RPI mailbox fails triggering
  a LOGO response (bsc#1185472).
- scsi: lpfc: Fix rmmod crash due to bad ring pointers to
  abort_iotag (bsc#1185472).
- scsi: lpfc: Fix gcc -Wstringop-overread warning (bsc#1185472).
- scsi: lpfc: Fix a typo (bsc#1185472).
- scsi: lpfc: Fix kernel-doc formatting issue (bsc#1185472).
- scsi: lpfc: Fix a few incorrectly named functions (bsc#1185472).
- scsi: lpfc: Fix incorrectly documented function
  lpfc_debugfs_commonxripools_data() (bsc#1185472).
- scsi: lpfc: Fix a bunch of misnamed functions (bsc#1185472).
- scsi: lpfc: Fix a bunch of kernel-doc misdemeanours
  (bsc#1185472).
- scsi: lpfc: Fix incorrect naming of __lpfc_update_fcf_record()
  (bsc#1185472).
- scsi: lpfc: Fix formatting and misspelling issues (bsc#1185472).
- scsi: lpfc: Fix a bunch of kernel-doc issues (bsc#1185472).
- scsi: lpfc: Fix some error codes in debugfs (bsc#1185472).
- commit a4fa91e
* Thu Apr 29 2021 dwagner@suse.de
- series.conf: Resort and update meta data
-  meta data refreshed:
  patches.suse/scsi-lpfc-Change-wording-of-invalid-pci-reset-log-me.patch
  patches.suse/scsi-lpfc-Correct-function-header-comments-related-t.patch
  patches.suse/scsi-lpfc-Fix-ADISC-handling-that-never-frees-nodes.patch
  patches.suse/scsi-lpfc-Fix-FLOGI-failure-due-to-accessing-a-freed.patch
  patches.suse/scsi-lpfc-Fix-PLOGI-ACC-to-be-transmit-after-REG_LOG.patch
  patches.suse/scsi-lpfc-Fix-crash-caused-by-switch-reboot.patch
  patches.suse/scsi-lpfc-Fix-dropped-FLOGI-during-pt2pt-discovery-r.patch
  patches.suse/scsi-lpfc-Fix-incorrect-dbde-assignment-when-buildin.patch
  patches.suse/scsi-lpfc-Fix-lpfc_els_retry-possible-null-pointer-d.patch
  patches.suse/scsi-lpfc-Fix-nodeinfo-debugfs-output.patch
  patches.suse/scsi-lpfc-Fix-null-pointer-dereference-in-lpfc_prep_.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-connection-does-not-recover-afte.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-state-transition-causing-rmmod-h.patch
  patches.suse/scsi-lpfc-Fix-reftag-generation-sizing-errors.patch
  patches.suse/scsi-lpfc-Fix-stale-node-accesses-on-stale-RRQ-reque.patch
  patches.suse/scsi-lpfc-Fix-status-returned-in-lpfc_els_retry-erro.patch
  patches.suse/scsi-lpfc-Fix-unnecessary-null-check-in-lpfc_release.patch
  patches.suse/scsi-lpfc-Fix-use-after-free-in-lpfc_els_free_iocb.patch
  patches.suse/scsi-lpfc-Fix-vport-indices-in-lpfc_find_vport_by_vp.patch
  patches.suse/scsi-lpfc-Reduce-LOG_TRACE_EVENT-logging-for-vports.patch
  patches.suse/scsi-lpfc-Update-copyrights-for-12.8.0.7-and-12.8.0..patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.8.patch
  patches.suse/scsi-qla2xxx-Reserve-extra-IRQ-vectors.patch
- commit 27785f8
* Thu Apr 29 2021 bp@suse.de
- x86/platform/uv: Set section block size for hubless
  architectures (bsc#1152489).
- commit 47e611e
* Thu Apr 29 2021 ykaukab@suse.de
- rtc: fsl-ftm-alarm: add MODULE_TABLE() (bsc#1185454).
- rtc: fsl-ftm-alarm: update acpi device id (bsc#1185454).
- rtc: fsl-ftm-alarm: fix freeze(s2idle) failed to wake
  (bsc#1185454).
- rtc: fsl-ftm-alarm: report alarm to core (bsc#1185454).
- rtc: fsl-ftm-alarm: enable acpi support (bsc#1185454).
- rtc: fsl-ftm-alarm: avoid struct rtc_time conversions
  (bsc#1185454).
- rtc: fsl-ftm-alarm: switch to rtc_time64_to_tm/rtc_tm_to_time64
  (bsc#1185454).
- rtc: fsl-ftm-alarm: switch to ktime_get_real_seconds
  (bsc#1185454).
- commit 10147b2
* Thu Apr 29 2021 oneukum@suse.com
- reintroduce cqhci_suspend for kABI (git-fixes).
- commit eb30081
* Thu Apr 29 2021 msuchanek@suse.de
- blk-mq: set default elevator as deadline in case of hctx shared
  tagset (jsc#SLE-15442 bsc#1180814 ltc#187461 git-fixes).
- commit 55cfd5d
* Thu Apr 29 2021 msuchanek@suse.de
- Refresh sorted section.
- commit b0d2a3b
* Thu Apr 29 2021 tiwai@suse.de
- vfio/mdev: Do not allow a mdev_type to have a NULL parent
  pointer (git-fixes).
- vfio/mdev: Make to_mdev_device() into a static inline
  (git-fixes).
- vfio/pci: Re-order vfio_pci_probe() (git-fixes).
- vfio/pci: Move VGA and VF initialization to functions
  (git-fixes).
- drm/radeon: Fix a missing check bug in radeon_dp_mst_detect()
  (git-fixes).
- drm: xlnx: zynqmp: fix a memset in zynqmp_dp_train()
  (git-fixes).
- drm/probe-helper: Check epoch counter in output_poll_execute()
  (git-fixes).
- drm/amd/display: Fix off by one in hdmi_14_process_transaction()
  (git-fixes).
- drm/panfrost: Don't try to map pages that are already mapped
  (git-fixes).
- drm/panfrost: Clear MMU irqs before handling the fault
  (git-fixes).
- drm/tilcdc: send vblank event when disabling crtc (git-fixes).
- commit fe92c5a
* Thu Apr 29 2021 tiwai@suse.de
- Fix series.conf sorted section
- commit 6795229
* Thu Apr 29 2021 tiwai@suse.de
- media: staging/intel-ipu3: Fix race condition during set_fmt
  (git-fixes).
- commit 7053b04
* Thu Apr 29 2021 tiwai@suse.de
- mmc: mmc_spi: Drop unused NO_IRQ definition (git-fixes).
- mmc: core: Correct descriptions in mmc_of_parse() (git-fixes).
- sata_mv: add IRQ checks (git-fixes).
- pata_ipx4xx_cf: fix IRQ check (git-fixes).
- pata_arasan_cf: fix IRQ check (git-fixes).
- rsxx: remove extraneous 'const' qualifier (git-fixes).
- pinctrl: lewisburg: Update number of pins in community
  (git-fixes).
- net: geneve: check skb is large enough for IPv4/IPv6 header
  (git-fixes).
- commit 8cd08fd
* Thu Apr 29 2021 tiwai@suse.de
- mfd: lpc_sch: Partially revert "Add support for Intel Quark
  X1000" (git-fixes).
- mfd: stm32-timers: Avoid clearing auto reload register
  (git-fixes).
- mmc: uniphier-sd: Fix a resource leak in the remove function
  (git-fixes).
- mmc: uniphier-sd: Fix an error handling path in
  uniphier_sd_probe() (git-fixes).
- media: staging/intel-ipu3: Fix memory leak in imu_fmt
  (git-fixes).
- media: v4l2-ctrls.c: fix race condition in hdl->requests list
  (git-fixes).
- media: staging/intel-ipu3: Fix set_fmt error handling
  (git-fixes).
- media: dvbdev: Fix memory leak in dvb_media_device_free()
  (git-fixes).
- media: m88rs6000t: avoid potential out-of-bounds reads on arrays
  (git-fixes).
- commit e24fcb3
* Thu Apr 29 2021 tiwai@suse.de
- drm/omap: fix misleading indentation in pixinc() (git-fixes).
- drm/amdkfd: fix build error with AMD_IOMMU_V2=m (git-fixes).
- media: mantis: remove orphan mantis_core.c (git-fixes).
- media: platform: sunxi: sun6i-csi: fix error return code of
  sun6i_video_start_streaming() (git-fixes).
- media: omap4iss: return error code when omap4iss_get() failed
  (git-fixes).
- gpio: omap: Save and restore sysconfig (git-fixes).
- HID: wacom: Assign boolean values to a bool variable
  (git-fixes).
- HID: alps: fix error return code in alps_input_configured()
  (git-fixes).
- HID: google: add don USB id (git-fixes).
- commit 20a3b3a
* Thu Apr 29 2021 tiwai@suse.de
- clk: uniphier: Fix potential infinite loop (git-fixes).
- clk: zynqmp: move zynqmp_pll_set_mode out of round_rate callback
  (git-fixes).
- clk: exynos7: Mark aclk_fsys1_200 as critical (git-fixes).
- clk: qcom: a53-pll: Add missing MODULE_DEVICE_TABLE (git-fixes).
- backlight: journada720: Fix Wmisleading-indentation warning
  (git-fixes).
- ata: libahci_platform: fix IRQ check (git-fixes).
- drm/radeon: fix copy of uninitialized variable back to userspace
  (git-fixes).
- commit f116afa
* Wed Apr 28 2021 lduncan@suse.com
- scsi: smartpqi: Update version to 1.2.16-012 (bsc#1178089).
- scsi: smartpqi: Correct pqi_sas_smp_handler busy condition
  (bsc#1178089).
- scsi: smartpqi: Correct driver removal with HBA disks
  (bsc#1178089).
- commit 1fed21d
* Wed Apr 28 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/x86-microcode-check-for-offline-cpus-before-requesting-new-microcode.patch
- commit 86da738
* Wed Apr 28 2021 bp@suse.de
- x86/microcode: Check for offline CPUs before requesting new
  microcode (bsc#1152489).
- commit 720943a
* Wed Apr 28 2021 oneukum@suse.com
- mmc: cqhci: Add cqhci_deactivate() (git-fixes).
- commit e46a789
* Wed Apr 28 2021 oneukum@suse.com
- mmc: sdhci-of-dwcmshc: implement specific set_uhs_signaling
  (git-fixes).
- commit 78a20b1
* Wed Apr 28 2021 oneukum@suse.com
- mmc: sdhci-of-esdhc: make sure delay chain locked for HS400
  (git-fixes).
- commit b9124c1
* Wed Apr 28 2021 oneukum@suse.com
- mmc: sdhci-of-esdhc: set timeout to max before tuning
  (git-fixes).
- commit 3690227
* Wed Apr 28 2021 oneukum@suse.com
- mmc: sdhci: Use Auto CMD Auto Select only when v4_mode is true
  (git-fixes).
- commit 23cd005
* Wed Apr 28 2021 oneukum@suse.com
- mmc: sdhci-pci: Fix SDHCI_RESET_ALL for CQHCI for Intel
  GLK-based controllers (git-fixes).
- Refresh
  patches.suse/mmc-sdhci-pci-Prefer-SDR25-timing-for-High-Speed-mod.patch.
- commit 9dd1a55
* Wed Apr 28 2021 oneukum@suse.com
- blacklist.conf: prerequisites break kABI
- commit 2c4445c
* Wed Apr 28 2021 oneukum@suse.com
- mmc: sdhci-of-arasan: Add missed checks for devm_clk_register()
  (git-fixes).
- commit 72c0b64
* Wed Apr 28 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/perf-x86-intel-uncore-remove-uncore-extra-pci-dev-hswep_pci_pcu_3.patch.
- commit dbaac01
* Wed Apr 28 2021 oneukum@suse.com
- blacklist.conf: fixes a compiler warning only
- commit 2e1acc1
* Wed Apr 28 2021 oneukum@suse.com
- blacklist.conf: fixes a compiler warning only
- commit 0566d04
* Wed Apr 28 2021 jslaby@suse.cz
- rpm/constraints.in: remove aarch64 disk size exception
  obs://Kernel:stable/kernel-default/ARM/aarch64 currrently fails:
  installing package kernel-default-livepatch-devel-5.12.0-3.1.g6208a83.aarch64 needs 3MB more space on the / filesystem
  The stats say:
  Maximal used disk space: 31799 Mbyte
  By default, we require 35G. For aarch64 we had an exception to lower
  this limit to 30G there. Drop this exception as it is obviously no
  longer valid.
- commit ee00b50
* Tue Apr 27 2021 bp@suse.de
- x86/crash: Fix crash_setup_memmap_entries() out-of-bounds access
  (bsc#1152489).
- commit 542e5a3
* Tue Apr 27 2021 ykaukab@suse.de
- mtd: spi-nor: Split mt25qu512a (n25q512a) entry into two
  (bsc#1167260).
- mtd: spi-nor: Rename "n25q512a" to "mt25qu512a (n25q512a)"
  (bsc#1167260).
- commit 2c1a6eb
* Tue Apr 27 2021 ykaukab@suse.de
- spi: fsl-dspi: fix wrong pointer in suspend/resume
  (bsc#1167260).
- spi: spi-fsl-dspi: use XSPI mode instead of DMA for DPAA2 SoCs
  (bsc#1167260).
- spi: spi-fsl-dspi: delete EOQ transfer mode (bsc#1167260).
- spi: spi-fsl-dspi: set ColdFire to DMA mode (bsc#1167260).
- spi: fsl-dspi: fix NULL pointer dereference (bsc#1167260).
- spi: fsl-dspi: fix use-after-free in remove path (bsc#1167260).
- spi: spi-fsl-dspi: Initialize completion before possible
  interrupt (bsc#1167260).
- spi: spi-fsl-dspi: Fix external abort on interrupt in resume
  or exit paths (bsc#1167260).
- spi: spi-fsl-dspi: Fix lockup if device is shutdown during
  SPI transfer (bsc#1167260).
- spi: spi-fsl-dspi: Fix lockup if device is removed during SPI
  transfer (bsc#1167260).
- spi: spi-fsl-dspi: Free DMA memory with matching function
  (bsc#1167260).
- spi: spi-fsl-dspi: fix native data copy (bsc#1167260).
- spi: spi-fsl-dspi: Adding shutdown hook (bsc#1167260).
- spi: spi-fsl-dspi: Add support for LS1028A (bsc#1167260).
- commit e0a1590
* Tue Apr 27 2021 oneukum@suse.com
- blacklist.conf: cosmetic fix
- commit 501d484
* Tue Apr 27 2021 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit 25e087f
* Tue Apr 27 2021 oneukum@suse.com
- blacklist.conf: patch is a kABI cleanup
- commit dc817ec
* Tue Apr 27 2021 oneukum@suse.com
- usb: roles: Call try_module_get() from
  usb_role_switch_find_by_fwnode() (git-fixes).
- commit 1892580
* Tue Apr 27 2021 oneukum@suse.com
- usb: typec: tps6598x: Fix return value check in tps6598x_probe()
  (git-fixes).
- commit aa90e03
* Tue Apr 27 2021 ykaukab@suse.de
- spi: spi-fsl-dspi: Move invariant configs out of
  dspi_transfer_one_message (bsc#1167260).
- spi: spi-fsl-dspi: Fix interrupt-less DMA mode taking an XSPI
  code path (bsc#1167260).
- spi: spi-fsl-dspi: Avoid NULL pointer in dspi_slave_abort for
  non-DMA mode (bsc#1167260).
- spi: spi-fsl-dspi: Replace interruptible wait queue with a
  simple completion (bsc#1167260).
- spi: spi-fsl-dspi: Protect against races on
  dspi->words_in_flight (bsc#1167260).
- spi: spi-fsl-dspi: Avoid reading more data than written in
  EOQ mode (bsc#1167260).
- spi: spi-fsl-dspi: Fix bits-per-word acceleration in DMA mode
  (bsc#1167260).
- spi: spi-fsl-dspi: Fix little endian access to PUSHR CMD and
  TXDATA (bsc#1167260).
- spi: spi-fsl-dspi: Don't access reserved fields in SPI_MCR
  (bsc#1167260).
- spi: spi-fsl-dspi: fix DMA mapping (bsc#1167260).
- spi: spi-fsl-dspi: Take software timestamp in dspi_fifo_write
  (bsc#1167260).
- spi: spi-fsl-dspi: Use EOQ for last word in buffer even for
  XSPI mode (bsc#1167260).
- spi: spi-fsl-dspi: Optimize dspi_setup_accel for lowest
  interrupt count (bsc#1167260).
- spi: spi-fsl-dspi: Accelerate transfers using larger word size
  if possible (bsc#1167260).
- spi: spi-fsl-dspi: Convert TCFQ users to XSPI FIFO mode
  (bsc#1167260).
- spi: spi-fsl-dspi: Implement .max_message_size method for EOQ
  mode (bsc#1167260).
- spi: spi-fsl-dspi: Rename fifo_{read,write} and
  {tx,cmd}_fifo_write (bsc#1167260).
- spi: spi-fsl-dspi: Add comments around dspi_pop_tx and
  dspi_push_rx functions (bsc#1167260).
- spi: spi-fsl-dspi: Don't mask off undefined bits (bsc#1167260).
- spi: spi-fsl-dspi: Remove unused chip->void_write_data
  (bsc#1167260).
- spi: spi-fsl-dspi: Simplify bytes_per_word gymnastics
  (bsc#1167260).
- spi: spi-fsl-dspi: Make bus-num property optional (bsc#1167260).
- spi: spi-fsl-dspi: Convert the instantiations that support it
  to DMA (bsc#1167260).
- commit 7e2481c
* Tue Apr 27 2021 oneukum@suse.com
- USB: CDC-ACM: fix poison/unpoison imbalance (bsc#1184984).
- commit 264efc3
* Tue Apr 27 2021 tiwai@suse.de
- Revert "mtd: spi-nor: macronix: Add support for mx25l51245g"
  (git-fixes).
- firmware: qcom_scm: Fix kernel-doc function names to match
  (git-fixes).
- firmware: qcom_scm: Workaround lack of "is available" call on
  SC7180 (git-fixes).
- firmware: qcom_scm: Reduce locking section for
  __get_convention() (git-fixes).
- firmware: qcom_scm: Make __qcom_scm_is_call_available() return
  bool (git-fixes).
- usb: roles: Call try_module_get() from
  usb_role_switch_find_by_fwnode() (git-fixes).
- usb: typec: tps6598x: Fix return value check in tps6598x_probe()
  (git-fixes).
- usb: xhci-mtk: improve bandwidth scheduling with TT (git-fixes).
- usb: xhci-mtk: remove or operator for setting schedule
  parameters (git-fixes).
- mfd: intel_pmt: Fix nuisance messages and handling of disabled
  capabilities (git-fixes).
- crypto: chelsio - Read rxchannel-id from firmware (git-fixes).
- commit ca30721
* Tue Apr 27 2021 tiwai@suse.de
- usb: dwc2: Fix hibernation between host and device modes
  (git-fixes).
- usb: dwc2: Fix host mode hibernation exit with remote wakeup
  flow (git-fixes).
- USB: serial: fix return value for unsupported ioctls
  (git-fixes).
- USB: serial: usb_wwan: fix TIOCGSERIAL implementation
  (git-fixes).
- USB: serial: usb_wwan: fix unprivileged TIOCCSERIAL (git-fixes).
- USB: serial: usb_wwan: fix TIOCSSERIAL jiffies conversions
  (git-fixes).
- USB: serial: ssu100: fix TIOCGSERIAL implementation (git-fixes).
- commit 4c3112d
* Tue Apr 27 2021 tiwai@suse.de
- USB: serial: quatech2: fix TIOCGSERIAL implementation
  (git-fixes).
- USB: serial: opticon: fix TIOCGSERIAL implementation
  (git-fixes).
- USB: serial: mos7720: fix TIOCGSERIAL implementation
  (git-fixes).
- USB: serial: f81534: fix TIOCGSERIAL implementation (git-fixes).
- USB: serial: f81232: fix TIOCGSERIAL implementation (git-fixes).
- USB: serial: ark3116: fix TIOCGSERIAL implementation
  (git-fixes).
- USB: CDC-ACM: fix poison/unpoison imbalance (git-fixes).
- usb: dwc3: gadget: Fix START_TRANSFER link state check
  (git-fixes).
- usb: gadget: Fix double free of device descriptor pointers
  (git-fixes).
- usb: typec: tcpm: Honour pSnkStdby requirement during
  negotiation (git-fixes).
- commit 5c40ba7
* Tue Apr 27 2021 tiwai@suse.de
- USB: cdc-acm: fix TIOCGSERIAL implementation (git-fixes).
- USB: cdc-acm: fix unprivileged TIOCCSERIAL (git-fixes).
- Revert "USB: cdc-acm: fix rounding error in TIOCSSERIAL"
  (git-fixes).
- usb: gadget: r8a66597: Add missing null check on return from
  platform_get_resource (git-fixes).
- usb: typec: tcpm: Address incorrect values of tcpm psy for
  fixed supply (git-fixes).
- usb: dwc2: Fix session request interrupt handler (git-fixes).
- USB: gadget: udc: fix wrong pointer passed to IS_ERR() and
  PTR_ERR() (git-fixes).
- usb: gadget: aspeed: fix dma map failure (git-fixes).
- usb: gadget: pch_udc: Revert d3cb25a12138 completely
  (git-fixes).
- usb: gadget: pch_udc: Move pch_udc_init() to satisfy kernel doc
  (git-fixes).
- commit fb519e4
* Tue Apr 27 2021 tiwai@suse.de
- spi: fsl-lpspi: Fix PM reference leak in
  lpspi_prepare_xfer_hardware() (git-fixes).
- spi: spi-ti-qspi: Free DMA resources (git-fixes).
- soc: aspeed: fix a ternary sign expansion bug (git-fixes).
- usb: gadget: pch_udc: Check for DMA mapping error (git-fixes).
- usb: gadget: pch_udc: Check if driver is present before calling
  - >setup() (git-fixes).
- usb: gadget: pch_udc: Replace cpu_to_le32() by lower_32_bits()
  (git-fixes).
- usb: typec: tcpci: Check ROLE_CONTROL while interpreting
  CC_STATUS (git-fixes).
- soundwire: stream: fix memory leak in stream config error path
  (git-fixes).
- soundwire: bus: Fix device found flag correctly (git-fixes).
- commit d16f444
* Tue Apr 27 2021 tiwai@suse.de
- regulator: Avoid a double 'of_node_get' in
  'regulator_of_get_init_node()' (git-fixes).
- regmap: set debugfs_name to NULL after it is freed (git-fixes).
- mtd: rawnand: gpmi: Fix a double free in gpmi_nand_init
  (git-fixes).
- PM: runtime: Add documentation for pm_runtime_resume_and_get()
  (git-fixes).
- soc: qcom: mdt_loader: Detect truncated read of segments
  (git-fixes).
- soc: qcom: mdt_loader: Validate that p_filesz < p_memsz
  (git-fixes).
- staging: rtl8192u: Fix potential infinite loop (git-fixes).
- node: fix device cleanups in error handling code (git-fixes).
- phy: marvell: ARMADA375_USBCLUSTER_PHY should not default to y,
  unconditionally (git-fixes).
- platform/x86: pmc_atom: Match all Beckhoff Automation baytrail
  boards with critclk_systems DMI table (git-fixes).
- commit ab0d991
* Tue Apr 27 2021 tiwai@suse.de
- mtd: spinand: core: add missing MODULE_DEVICE_TABLE()
  (git-fixes).
- mtd: rawnand: atmel: Update ecc_stats.corrected counter
  (git-fixes).
- mtd: rawnand: qcom: Return actual error code instead of -ENODEV
  (git-fixes).
- mtd: Handle possible -EPROBE_DEFER from parse_mtd_partitions()
  (git-fixes).
- mtd: rawnand: brcmnand: fix OOB R/W with Hamming ECC
  (git-fixes).
- mtd: rawnand: fsmc: Fix error code in fsmc_nand_probe()
  (git-fixes).
- mtd: require write permissions for locking and badblock ioctls
  (git-fixes).
- misc: vmw_vmci: explicitly initialize vmci_datagram payload
  (git-fixes).
- misc: vmw_vmci: explicitly initialize vmci_notify_bm_set_msg
  struct (git-fixes).
- misc: lis3lv02d: Fix false-positive WARN on various HP models
  (git-fixes).
- commit e422d77
* Tue Apr 27 2021 tiwai@suse.de
- memory: pl353: fix mask of ECC page_size config register
  (git-fixes).
- memory: gpmc: fix out of bounds read and dereference on
  gpmc_cs[] (git-fixes).
- fotg210-udc: Complete OUT requests on short packets (git-fixes).
- fotg210-udc: Don't DMA more than the buffer can take
  (git-fixes).
- staging: fwserial: fix TIOCGSERIAL implementation (git-fixes).
- staging: fwserial: fix TIOCSSERIAL implementation (git-fixes).
- staging: fwserial: fix TIOCSSERIAL permission check (git-fixes).
- staging: fwserial: fix TIOCSSERIAL jiffies conversions
  (git-fixes).
- iio:accel:adis16201: Fix wrong axis assignment that prevents
  loading (git-fixes).
- commit b5d6098
* Tue Apr 27 2021 tiwai@suse.de
- cpufreq: Kconfig: fix documentation links (git-fixes).
- cpufreq: armada-37xx: Fix determining base CPU frequency
  (git-fixes).
- fotg210-udc: Mask GRP2 interrupts we don't handle (git-fixes).
- fotg210-udc: Remove a dubious condition leading to fotg210_done
  (git-fixes).
- fotg210-udc: Fix EP0 IN requests bigger than two packets
  (git-fixes).
- fotg210-udc: Fix DMA on EP0 for length > max packet size
  (git-fixes).
- firmware: qcom-scm: Fix QCOM_SCM configuration (git-fixes).
- crypto: arm/curve25519 - Move '.fpu' after '.arch' (git-fixes).
- crypto: rng - fix crypto_rng_reset() refcounting when
  !CRYPTO_STATS (git-fixes).
- commit 781f7bc
* Tue Apr 27 2021 tiwai@suse.de
- cpufreq: armada-37xx: Fix driver cleanup when registration
  failed (git-fixes).
- clk: mvebu: armada-37xx-periph: Fix workaround for switching
  from L1 to L0 (git-fixes).
- clk: mvebu: armada-37xx-periph: Fix switching CPU freq from
  250 Mhz to 1 GHz (git-fixes).
- cpufreq: armada-37xx: Fix the AVS value for load L1 (git-fixes).
- clk: mvebu: armada-37xx-periph: remove .set_parent method for
  CPU PM clock (git-fixes).
- cpufreq: armada-37xx: Fix setting TBG parent for load levels
  (git-fixes).
- ACPI: CPPC: Replace cppc_attr with kobj_attribute (git-fixes).
- bus: qcom: Put child node before return (git-fixes).
- bluetooth: eliminate the potential race condition when removing
  the HCI controller (git-fixes).
- commit d53d421
* Mon Apr 26 2021 ykaukab@suse.de
- spi: spi-fsl-dspi: LS2080A and LX2160A support XSPI mode
  (bsc#1167260).
- spi: spi-fsl-dspi: Parameterize the FIFO size and DMA buffer
  size (bsc#1167260).
- spi: spi-fsl-dspi: Use specific compatible strings for all
  SoC instantiations (bsc#1167260).
- spi: spi-fsl-dspi: Use dma_request_chan() instead
  dma_request_slave_channel() (bsc#1167260).
- spi: spi-fsl-dspi: Fix 16-bit word order in 32-bit XSPI mode
  (bsc#1167260).
- spi: spi-fsl-dspi: Always use the TCFQ devices in poll mode
  (bsc#1167260).
- spi: Introduce dspi_slave_abort() function for NXP's dspi SPI
  driver (bsc#1167260).
- spi: spi-fsl-dspi: Fix race condition in TCFQ/EOQ interrupt
  (bsc#1167260).
- spi: spi-fsl-dspi: Use poll mode in case the platform IRQ is
  missing (bsc#1167260).
- spi: spi-fsl-dspi: Remove impossible to reach error check
  (bsc#1167260).
- spi: spi-fsl-dspi: Exit the ISR with IRQ_NONE when it's not ours
  (bsc#1167260).
- spi: spi-fsl-dspi: Reduce indentation level in dspi_interrupt
  (bsc#1167260).
- spi: spi-fsl-dspi: Move dspi_interrupt above
  dspi_transfer_one_message (bsc#1167260).
- spi: spi-fsl-dspi: Fix typos (bsc#1167260).
- spi: spi-fsl-dspi: Use reverse Christmas tree declaration order
  (bsc#1167260).
- spi: spi-fsl-dspi: Replace legacy spi_master names with
  spi_controller (bsc#1167260).
- spi: spi-fsl-dspi: Remove pointless assignment of
  master->transfer to NULL (bsc#1167260).
- spi: spi-fsl-dspi: Remove unused initialization of 'ret'
  in dspi_probe (bsc#1167260).
- spi: spi-fsl-dspi: Reduce indentation in dspi_release_dma()
  (bsc#1167260).
- spi: spi-fsl-dspi: Change usage pattern of SPI_MCR_* and
  SPI_CTAR_* macros (bsc#1167260).
- spi: spi-fsl-dspi: Demistify magic value in SPI_SR_CLEAR
  (bsc#1167260).
- spi: spi-fsl-dspi: Use BIT() and GENMASK() macros (bsc#1167260).
- spi: spi-fsl-dspi: Remove unused defines and includes
  (bsc#1167260).
- spi: spi-fsl-dspi: Fix code alignment (bsc#1167260).
- commit 9437971
* Mon Apr 26 2021 ykaukab@suse.de
- spi: spi-fsl-dspi: remove git-fixes
  Remove git-fixes. Prepare to update the driver.
  References: bsc#1167260
- commit 47a4219
* Mon Apr 26 2021 bp@suse.de
- netfilter: x_tables: Use correct memory barriers (bsc#1184208
  CVE-2021-29650).
- commit a2dbe0f
* Mon Apr 26 2021 msuchanek@suse.de
- libnvdimm/region: Fix nvdimm_has_flush() to handle
  ND_REGION_ASYNC (bsc#1184969 git-fixes).
- libnvdimm/label: Return -ENXIO for no slot in __blk_label_update
  (bsc#1185269).
- libnvdimm/namespace: Fix reaping of invalidated
  block-window-namespace labels (bsc#1185269).
- libnvdimm/security: ensure sysfs poll thread woke up and fetch
  updated attr (FATE#325581 git-fixes).
- commit d1f996e
* Mon Apr 26 2021 ykaukab@suse.de
- arm: dts: add imx7d pcf2127 fix to blacklist
- commit d57b89d
* Sun Apr 25 2021 dbueso@suse.de
- locking/qrwlock: Fix ordering in queued_write_lock_slowpath() (bsc#1185041).
- commit 06bc03e
* Sun Apr 25 2021 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Require new enough pahole.
  pahole 1.21 is required for building Linux 5.13 BTF
- commit 7e12792
* Sun Apr 25 2021 tiwai@suse.de
- Drop i915 patches that caused a regression on IVB (bsc#1184943)
  Deleted:
  patches.suse/drm-i915-gt-Clear-CACHE_MODE-prior-to-clearing-resid.patch
  patches.suse/drm-i915-gt-Flush-before-changing-register-state.patch
  patches.suse/drm-i915-gt-One-more-flush-for-Baytrail-clear-residu.patch
- commit 0a944a4
* Fri Apr 23 2021 martin.wilck@suse.com
- rpm/macros.kernel-source: fix KMP failure in %%install (bsc#1185244)
- commit 58c17cd
* Fri Apr 23 2021 martin.wilck@suse.com
- Revert "scsi: be2iscsi: Fix a theoretical leak in beiscsi_create_eqs()"
  (bsc#1185038)
  This reverts commit 9b829c278737b522a63301c27e6e947c9ed4accf.
  Reverted upstream.
- commit 73b3872
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: ll_temac: Handle DMA halt condition caused by buffer
  underrun (git-fixes).
- commit 2c8041a
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: ll_temac: Fix RX buffer descriptor handling on GFP_ATOMIC
  pressure (git-fixes).
- commit d2da394
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: ll_temac: Add more error handling of dma_map_single()
  calls (git-fixes).
- commit d046726
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: ll_temac: Fix race condition causing TX hang (git-fixes).
- commit a6721f5
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: atlantic: fix out of range usage of active_vlans array
  (git-fixes).
- commit 4472105
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: atlantic: fix potential error handling (git-fixes).
- commit 972b18c
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: atlantic: fix use after free kasan warn (git-fixes).
- commit e77e662
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: stmmac: xgmac: fix missing IFF_MULTICAST checki in
  dwxgmac2_set_filter (git-fixes).
- commit cc72eca
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: stmmac: fix missing IFF_MULTICAST check in
  dwmac4_set_filter (git-fixes).
- commit 65142f9
* Fri Apr 23 2021 denis.kirjanov@suse.com
- drivers: net: xgene: Fix the order of the arguments of
  'alloc_etherdev_mqs()' (git-fixes).
- commit 96e1f9b
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: smc911x: Adjust indentation in smc911x_phy_configure
  (git-fixes).
- commit 4801107
* Fri Apr 23 2021 denis.kirjanov@suse.com
- net: tulip: Adjust indentation in {dmfe, uli526x}_init_module
  (git-fixes).
- commit deb82c3
* Fri Apr 23 2021 jroedel@suse.de
- Refresh patches.kabi/0001-kABI-Fix-kABI-after-EDR-backport.patch.
- commit 79c9348
* Fri Apr 23 2021 ykaukab@suse.de
- rtc: pcf2127: properly set flag WD_CD for rtc chips(pcf2129, pca2129) (bsc#1185233).
- irqchip/ls-extirq: add IRQCHIP_SKIP_SET_WAKE to the irqchip flags (bsc#1185233).
- rtc: pcf2127: only use watchdog when explicitly available (bsc#1185233).
- rtc: pcf2127: fix pcf2127_nvmem_read/write() returns (bsc#1185233).
- rtc: pcf2127: move watchdog initialisation to a separate function (bsc#1185233).
- irqchip/ls-extirq: Add LS1043A, LS1088A external interrupt support (bsc#1185233).
- rtc: pcf2127: fix a bug when not specify interrupts property (bsc#1185233).
- rtc: pcf2127: fix alarm handling (bsc#1185233).
- rtc: pcf2127: add alarm support (bsc#1185233).
- rtc: pcf2127: add pca2129 device id (bsc#1185233).
- rtc: pcf2127: watchdog: handle nowayout feature (bsc#1185233).
- rtc: pcf2127: set regmap max_register (bsc#1185233).
- rtc: pcf2127: remove unnecessary #ifdef (bsc#1185233).
- rtc: pcf2127: let the core handle rtc range (bsc#1185233).
- rtc: pcf2127: handle boot-enabled watchdog feature (bsc#1185233).
- irqchip: Add support for Layerscape external interrupt lines (bsc#1185233).
- rtc: pcf2127: bugfix: watchdog build dependency (bsc#1185233).
- rtc: pcf2127: add tamper detection support (bsc#1185233).
- rtc: pcf2127: add watchdog feature support (bsc#1185233).
- rtc: pcf2127: cleanup register and bit defines (bsc#1185233).
- rtc: pcf2127: convert to devm_rtc_allocate_device (bsc#1185233).
- commit cdccb34
* Fri Apr 23 2021 lidong.zhong@suse.com
- dm_blk_ioctl: implement path failover for SG_IO (bsc#1183045, bsc#1216776).
  Refresh patches.suse/dm_blk_ioctl-implement-path-failover-for-SG_IO.patch.
- commit d67a4c9
* Thu Apr 22 2021 ematsumiya@suse.de
- nvme-fabrics: reject I/O to offline device (bsc#1181161).
- Refresh patches.suse/nvme-fabrics-fix-kato-initialization.patch.
- Refresh
  patches.suse/nvme-fabrics-only-reserve-a-single-tag.patch.
  Context adjustment on the refreshed patches.
- commit a68e30b
* Thu Apr 22 2021 tonyj@suse.de
- perf/x86/intel/uncore: Remove uncore extra PCI dev
  HSWEP_PCI_PCU_3 (bsc#1184685).
- commit 91f11e3
* Thu Apr 22 2021 jack@suse.cz
- blk-settings: align max_sectors on "logical_block_size" boundary
  (bsc#1185195).
- commit e302bd9
* Thu Apr 22 2021 msuchanek@suse.de
- rpm/kernel-obs-build.spec.in: Include essiv with dm-crypt (boo#1183063).
  Previously essiv was part of dm-crypt but now it is separate.
  Include the module in kernel-obs-build when available.
  Fixes: 7cf5b9e26d87 ("rpm/kernel-obs-build.spec.in: add dm-crypt for building with cryptsetup")
- commit bd99014
* Thu Apr 22 2021 msuchanek@suse.de
- powerpc/papr_scm: Fix build error due to wrong printf specifier
  (bsc#1184969).
- commit 546dd4c
* Thu Apr 22 2021 msuchanek@suse.de
- kABI: powerpc/pseries: Add shutdown() to vio_driver and vio_bus
  (bsc#1184209 ltc#190917).
- commit 7b3a736
* Thu Apr 22 2021 bp@suse.de
- x86/mm: Fix NX bit clearing issue in kernel_map_pages_in_pgd
  (bsc#1152489).
- commit 7205cf8
* Thu Apr 22 2021 tbogendoerfer@suse.de
- i40e: Fix sparse errors in i40e_txrx.c (git-fixes).
- igc: reinit_locked() should be called with rtnl_lock
  (git-fixes).
- ice: Account for port VLAN in VF max packet size calculation
  (git-fixes).
- cxgb4/chtls/cxgbit: Keeping the max ofld immediate data size
  same in cxgb4 and ulds (git-fixes).
- commit f18ec94
* Thu Apr 22 2021 tbogendoerfer@suse.de
- net/mlx5e: fix ingress_ifindex check in mlx5e_flower_parse_meta
  (jsc#SLE-8464).
- commit 43af4d2
* Thu Apr 22 2021 tbogendoerfer@suse.de
- i40e: fix the panic when running bpf in xdpdrv mode (git-fixes).
- i40e: Fix sparse warning: missing error code 'err' (git-fixes).
- i40e: Fix sparse errors in i40e_txrx.c (git-fixes).
- net: hns3: clear VF down state bit before request link status
  (git-fixes).
- net: hns3: Remove un-necessary 'else-if' in the
  hclge_reset_event() (git-fixes).
- i40e: Fix display statistics for veb_tc (git-fixes).
- net/mlx5: Don't request more than supported EQs (git-fixes).
- net/mlx5e: Fix ethtool indication of connector type (git-fixes).
- nfp: flower: ignore duplicate merge hints from FW (git-fixes).
- ethernet/netronome/nfp: Fix a use after free in
  nfp_bpf_ctrl_msg_rx (git-fixes).
- ice: Cleanup fltr list in case of allocation issues (git-fixes).
- ice: Fix for dereference of NULL pointer (git-fixes).
- ice: prevent ice_open and ice_stop during reset (git-fixes).
- ice: Increase control queue timeout (git-fixes).
- cxgb4: avoid collecting SGE_QBASE regs during traffic
  (git-fixes).
- i40e: Fix kernel oops when i40e driver removes VF's (git-fixes).
- i40e: Added Asym_Pause to supported link modes (git-fixes).
- net/mlx5e: Fix error path for ethtool set-priv-flag (git-fixes).
- igb: check timestamp validity (git-fixes).
- igb: Fix duplicate include guard (git-fixes).
- e1000e: Fix duplicate include guard (git-fixes).
- net/qlcnic: Fix a use after free in
  qlcnic_83xx_get_minidump_template (git-fixes).
- e1000e: Fix error handling in e1000_set_d0_lplu_state_82571
  (git-fixes).
- e1000e: add rtnl_lock() to e1000_reset_task (git-fixes).
- igc: Fix Supported Pause Frame Link Setting (git-fixes).
- igc: Fix Pause Frame Advertising (git-fixes).
- igc: reinit_locked() should be called with rtnl_lock
  (git-fixes).
- net/mlx5e: Don't match on Geneve options in case option masks
  are all zero (git-fixes).
- macvlan: macvlan_count_rx() needs to be aware of preemption
  (git-fixes).
- veth: Store queue_mapping independently of XDP prog presence
  (git-fixes).
- net/mlx4_en: update moderation when config reset (git-fixes).
- ixgbe: fail to create xfrm offload of IPsec tunnel mode SA
  (git-fixes).
- net: hns3: fix bug when calculating the TCAM table info
  (git-fixes).
- net: hns3: fix query vlan mask value error for flow director
  (git-fixes).
- ice: Account for port VLAN in VF max packet size calculation
  (git-fixes).
- vxlan: move debug check after netdev unregister (git-fixes).
- i40e: Fix endianness conversions (git-fixes).
- i40e: Fix add TC filter for IPv6 (git-fixes).
- i40e: Fix addition of RX filters after enabling FW LLDP agent
  (git-fixes).
- i40e: Fix overwriting flow control settings during driver
  loading (git-fixes).
- i40e: Add zero-initialization of AQ command structures
  (git-fixes).
- i40e: Fix flow for IPv6 next header (extension header)
  (git-fixes).
- net/mlx4_core: Add missed mlx4_free_cmd_mailbox() (git-fixes).
- cxgb4/chtls/cxgbit: Keeping the max ofld immediate data size
  same in cxgb4 and ulds (git-fixes).
- bnxt_en: reverse order of TX disable and carrier off
  (git-fixes).
- commit 1b80b7a
* Thu Apr 22 2021 tbogendoerfer@suse.de
- ch_ktls: do not send snd_una update to TCB in middle
  (jsc#SLE-15131).
- ch_ktls: tcb close causes tls connection failure
  (jsc#SLE-15131).
- ch_ktls: fix device connection close (jsc#SLE-15131).
- ch_ktls: Fix kernel panic (jsc#SLE-15131).
- net/mlx5e: Fix setting of RS FEC mode (jsc#SLE-15172).
- ixgbe: fix unbalanced device enable/disable in suspend/resume
  (jsc#SLE-13706).
- ethtool: pause: make sure we init driver stats (jsc#SLE-15075).
- netfilter: flowtable: fix NAT IPv6 offload mangling
  (bsc#1176447).
- commit a20dac1
* Thu Apr 22 2021 mkubecek@suse.cz
- series.conf: cleanup
- move into correct directory and series.conf section:
  patches.suse/kABI-cover-up-change-in-struct-kvm_arch.patch -> patches.kabi/
- commit 7ead145
* Thu Apr 22 2021 tiwai@suse.de
- Revert "rpm/kernel-binary.spec.in: Fix dependency of kernel-*-devel package (bsc#1184514)"
  This turned out to be a bad idea: the kernel-$flavor-devel package
  must be usable without kernel-$flavor, e.g. at the build of a KMP.
  And this change brought superfluous installation of kernel-preempt
  when a system had kernel-syms (bsc#1185113).
- commit d771304
* Thu Apr 22 2021 mcgrof@suse.com
- patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch: (bsc#865869,bsc#1178418).
  Fix initialization of the the super block for a btrfs specific enhancement
  which we added. The btrfs specific enhancement augmented the super block to
  add support to ustat() and it is only used by btrfs. For that, the super block
  was extended with a new linked list which is only used only in btrfs. The
  initialization of the linked list however was done late, and if any allocation
  fails early on alloc_super() it meant that the WARNING check on free'ing
  it could fail, as the list may be read as not empty. This warning then
  is triggerable when stress testing allocations, and you run out of
  memory. It can happen regardless of the filesystem you use.
  The sget_fc() contention when stress testing with the unshare system
  call reported on bsc#1178418 which leads to a soft lockup is still being
  investigate, however this fixes the kernel warning reproduced when doing
  that stress testing.
- commit 67dd047
* Wed Apr 21 2021 tiwai@suse.de
- r8169: don't advertise pause in jumbo mode (git-fixes).
- iwlwifi: add support for Qu with AX201 device (git-fixes).
- r8169: tweak max read request size for newer chips also in
  jumbo mtu mode (git-fixes).
- commit 8bacd0f
* Wed Apr 21 2021 tiwai@suse.de
- virt_wifi: Return micros for BSS TSF values (git-fixes).
- mac80211: clear sta->fast_rx when STA removed from 4-addr VLAN
  (git-fixes).
- drm/msm: Fix a5xx/a6xx timestamps (git-fixes).
- commit 0abe8be
* Wed Apr 21 2021 tiwai@suse.de
- drm/ast: Add 25MHz refclk support (bsc#1174416).
- drm/ast: Add support for 1152x864 mode (bsc#1174416).
- drm/ast: Add support for AIP200 (bsc#1174416).
- drm/ast: Correct mode table for AST2500 precatch (bsc#1174416).
- drm/ast: AST2500 fixups (bsc#1174416).
- drm/ast: Fix P2A config detection (bsc#1174416).
- drm/ast: Fix register access in non-P2A mode for DP501
  (bsc#1174416).
- drm/ast: drm/ast: Fix boot address for AST2500 (bsc#1174416).
- drm/ast: Disable screen on register init (bsc#1174416).
- drm/ast: Keep MISC fields when enabling VGA (bsc#1174416).
- drm/ast: Disable VGA decoding while driver is active
  (bsc#1174416).
- commit f478032
* Wed Apr 21 2021 msuchanek@suse.de
- powerpc/pseries: Add shutdown() to vio_driver and vio_bus
  (bsc#1184209 ltc#190917).
- commit 218a8c4
* Wed Apr 21 2021 tiwai@suse.de
- drm/ast: Add 25MHz refclk support (bsc#1174416).
- drm/ast: Add support for 1152x864 mode (bsc#1174416).
- drm/ast: Add support for AIP200 (bsc#1174416).
- drm/ast: Correct mode table for AST2500 precatch (bsc#1174416).
- drm/ast: AST2500 fixups (bsc#1174416).
- drm/ast: Fix P2A config detection (bsc#1174416).
- drm/ast: Fix register access in non-P2A mode for DP501
  (bsc#1174416).
- drm/ast: drm/ast: Fix boot address for AST2500 (bsc#1174416).
- drm/ast: Disable screen on register init (bsc#1174416).
- drm/ast: Keep MISC fields when enabling VGA (bsc#1174416).
- drm/ast: Disable VGA decoding while driver is active
  (bsc#1174416).
- commit 4164eea
* Wed Apr 21 2021 jslaby@suse.cz
- rpm/check-for-config-changes: add AS_HAS_* to ignores
  arch/arm64/Kconfig defines a lot of these. So far our current compilers
  seem to support them all. But it can quickly change with SLE later.
- commit a4d8194
* Tue Apr 20 2021 mbrugger@suse.com
- supported.conf: add tcpi and tcpm module to base system (bsc#1185010)
- commit 3fac436
* Tue Apr 20 2021 oneukum@suse.com
- usb: dwc3: core: don't do suspend for device mode if already
  suspended (git-fixes).
- commit 82b18d4
* Tue Apr 20 2021 oneukum@suse.com
- usb: dwc3: gadget: Clear DCTL.ULSTCHNGREQ before set
  (git-fixes).
- commit 072728a
* Tue Apr 20 2021 oneukum@suse.com
- usb: dwc3: gadget: Set link state to RX_Detect on disconnect
  (git-fixes).
- commit 6a1e8b7
* Tue Apr 20 2021 oneukum@suse.com
- usb: dwc3: gadget: Don't send unintended link state change
  (git-fixes).
- commit acdee65
* Tue Apr 20 2021 msuchanek@suse.de
- kABI: cover up change in struct kvm_arch (bsc#1184969).
- commit 3e9476f
* Tue Apr 20 2021 oneukum@suse.com
- usb: dwc3: of-simple: add a shutdown (git-fixes).
- commit 15b84b1
* Tue Apr 20 2021 oneukum@suse.com
- usb: dwc3: debug: Remove newline printout (git-fixes).
- commit 5104cc5
* Tue Apr 20 2021 martin.wilck@suse.com
- scsi: core: Only return started requests from
  scsi_host_find_tag() (bsc#1179851).
- commit 49d7a00
* Tue Apr 20 2021 glin@suse.com
- bpf: Tighten speculative pointer arithmetic mask (bsc#1184942
  CVE-2021-29155).
- bpf: Move sanitize_val_alu out of op switch (bsc#1184942
  CVE-2021-29155).
- bpf: Refactor and streamline bounds check into helper
  (bsc#1184942 CVE-2021-29155).
- bpf: Improve verifier error messages for users (bsc#1184942
  CVE-2021-29155).
- bpf: Rework ptr_limit into alu_limit and add common error path
  (bsc#1184942 CVE-2021-29155).
- bpf: Ensure off_reg has no mixed signed bounds for all types
  (bsc#1184942 CVE-2021-29155).
- bpf: Move off_reg into sanitize_ptr_alu (bsc#1184942
  CVE-2021-29155).
- commit c02423d
* Tue Apr 20 2021 glin@suse.com
- bpf: Tighten speculative pointer arithmetic mask (bsc#1184942
  CVE-2021-29155).
- bpf: Move sanitize_val_alu out of op switch (bsc#1184942
  CVE-2021-29155).
- bpf: Refactor and streamline bounds check into helper
  (bsc#1184942 CVE-2021-29155).
- bpf: Improve verifier error messages for users (bsc#1184942
  CVE-2021-29155).
- bpf: Rework ptr_limit into alu_limit and add common error path
  (bsc#1184942 CVE-2021-29155).
- bpf: Ensure off_reg has no mixed signed bounds for all types
  (bsc#1184942 CVE-2021-29155).
- bpf: Move off_reg into sanitize_ptr_alu (bsc#1184942
  CVE-2021-29155).
- commit bc2237a
* Tue Apr 20 2021 ykaukab@suse.de
- net: enetc: remove bogus write to SIRXIDR from enetc_setup_rxbdr
  (git-fixes).
- net: enetc: take the MDIO lock only once per NAPI poll cycle
  (git-fixes).
- commit 2704809
* Tue Apr 20 2021 dwagner@suse.de
- scsi: qla2xxx: Reserve extra IRQ vectors (bsc#1184436).
- commit bf4edb3
* Tue Apr 20 2021 glin@suse.com
- bpf: Use correct permission flag for mixed signed bounds
  arithmetic (bsc#1184942 CVE-2021-29155).
- commit 4c203f3
* Mon Apr 19 2021 msuchanek@suse.de
- selftests/powerpc: Fix exit status of pkey tests (bsc#1184934
  ltc#191460).
- selftests/powerpc: Add test for pkey siginfo verification
  (bsc#1184934 ltc#191460).
- commit 7ac835e
* Mon Apr 19 2021 mbenes@suse.cz
- ftrace/x86: Tell objtool to ignore nondeterministic ftrace
  stack layout (bsc#1177028).
- commit e3b8b48
* Mon Apr 19 2021 bp@suse.de
- x86/reboot: Force all cpus to exit VMX root if VMX is supported
  (bsc#1152489).
- commit 9520307
* Mon Apr 19 2021 msuchanek@suse.de
- powerpc/papr_scm: Implement support for H_SCM_FLUSH hcall
  (bsc#1184969).
- commit 878daaa
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: Disable phy suspend after power-on reset (git-fixes).
- commit a403162
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: gadget: Workaround Mirosoft's BESL check (git-fixes).
- commit e16e74a
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: gadget: Set BESL config parameter (git-fixes).
- commit b02b13d
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: Separate field holding multiple properties
  (git-fixes).
- commit 1087836
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: st: Add of_dev_put() in probe function (git-fixes).
- commit b4290b9
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: st: Add of_node_put() before return in probe function
  (git-fixes).
- commit a5796ab
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: Use clk_bulk_prepare_enable() (git-fixes).
- commit 638e28a
* Mon Apr 19 2021 oneukum@suse.com
- usb: dwc3: Use devres to get clocks (git-fixes).
- commit e717ac7
* Mon Apr 19 2021 msuchanek@suse.de
- powerpc/mm: Add cond_resched() while removing hpte mappings
  (bsc#1183289 ltc#191637).
- powerepc/book3s64/hash: Align start/end address correctly with
  bolt mapping (bsc#1184957).
- commit 4735c17
* Mon Apr 19 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-pseries-extract-host-bridge-from-pci_bus-pri.patch.
  Update patch metadata.
- commit 2060b77
* Mon Apr 19 2021 msuchanek@suse.de
- selftests/powerpc: Fix L1D flushing tests for Power10
  (bsc#1184934 ltc#191460).
- selftests/powerpc: refactor entry and rfi_flush tests
  (bsc#1184934 ltc#191460).
- selftests/powerpc: Fix pkey syscall redefinitions (bsc#1184934
  ltc#191460).
- selftests/powerpc: Add wrapper for gettid (bsc#1184934
  ltc#191460).
- selftests/powerpc: Add pkey helpers for rights (bsc#1184934
  ltc#191460).
- selftests/powerpc: Move pkey helpers to headers (bsc#1184934
  ltc#191460).
- selftests/powerpc: Add test for execute-disabled pkeys
  (bsc#1184934 ltc#191460).
- commit c89a30c
* Mon Apr 19 2021 msuchanek@suse.de
- ibmvnic: correctly use dev_consume/free_skb_irq (jsc#SLE-17268
  jsc#SLE-17043 bsc#1179243 ltc#189290 git-fixes).
- commit 93dc507
* Sun Apr 18 2021 mkubecek@suse.cz
- Update kabi files.
- update from April 2021 maintenance update (commit c41a65cc53c7)
- commit 7bc7f17
* Sat Apr 17 2021 tiwai@suse.de
- interconnect: core: fix error return code of icc_link_destroy()
  (git-fixes).
- drm/imx: imx-ldb: fix out of bounds array access warning
  (git-fixes).
- drm/tegra: dc: Don't set PLL clock to 0Hz (git-fixes).
- commit 90bbfcf
* Fri Apr 16 2021 pmladek@suse.com
- workqueue: Move the position of debug_work_activate() in
  __queue_work() (bsc#1184893).
- commit eb68ae8
* Fri Apr 16 2021 jroedel@suse.de
- kABI: Fix kABI caused by fixes for bsc#1174426 (bsc#1174426).
- commit 4ef9359
* Fri Apr 16 2021 jroedel@suse.de
- PCI/AER: Use "aer" variable for capability offset (bsc#1174426).
- Refresh
  patches.kabi/0001-kABI-Fix-kABI-after-EDR-backport.patch.
- commit 2c4de88
* Fri Apr 16 2021 jroedel@suse.de
- PCI/portdrv: Report reset for frozen channel (bsc#1174426).
- PCI/AER: Specify the type of Port that was reset (bsc#1174426).
- PCI/ERR: Retain status from error notification (bsc#1174426).
- PCI/AER: Clear AER status from Root Port when resetting
  Downstream Port (bsc#1174426).
- PCI/ERR: Clear status of the reporting device (bsc#1174426).
- PCI/AER: Add RCEC AER error injection support (bsc#1174426).
- PCI/PME: Add pcie_walk_rcec() to RCEC PME handling
  (bsc#1174426).
- PCI/AER: Add pcie_walk_rcec() to RCEC AER handling
  (bsc#1174426).
- PCI/ERR: Recover from RCiEP AER errors (bsc#1174426).
- PCI/ERR: Add pcie_link_rcec() to associate RCiEPs (bsc#1174426).
- PCI/ERR: Recover from RCEC AER errors (bsc#1174426).
- PCI/ERR: Clear AER status only when we control AER
  (bsc#1174426).
- PCI/ERR: Add pci_walk_bridge() to pcie_do_recovery()
  (bsc#1174426).
- PCI/ERR: Avoid negated conditional for clarity (bsc#1174426).
- PCI/ERR: Use "bridge" for clarity in pcie_do_recovery()
  (bsc#1174426).
- PCI/ERR: Simplify by computing pci_pcie_type() once
  (bsc#1174426).
- PCI/ERR: Simplify by using pci_upstream_bridge() (bsc#1174426).
- PCI/ERR: Rename reset_link() to reset_subordinates()
  (bsc#1174426).
- PCI/ERR: Cache RCEC EA Capability offset in
  pci_init_capabilities() (bsc#1174426).
- PCI/ERR: Bind RCEC devices to the Root Port driver
  (bsc#1174426).
- PCI/AER: Write AER Capability only when we control it
  (bsc#1174426).
- PCI/ERR: Clear PCIe Device Status errors only if OS owns AER
  (bsc#1174426).
- commit cf4418f
* Fri Apr 16 2021 msuchanek@suse.de
- Refresh patches.suse/scsi-ibmvfc-Fix-invalid-state-machine-BUG_ON.patch.
  Add to sorted section.
- commit 2fa18b2
* Fri Apr 16 2021 ykaukab@suse.de
- dpaa_eth: Use random MAC address when none is given
  (bsc#1184811).
- fsl/fman: tolerate missing MAC address in device tree
  (bsc#1184811).
- fsl/fman: reuse set_mac_address() in dtsec init() (bsc#1184811).
- commit 40e0790
* Fri Apr 16 2021 tiwai@suse.de
- gpio: sysfs: Obey valid_mask (git-fixes).
- HID: wacom: set EV_KEY and EV_ABS only for non-HID_GENERIC
  type of devices (git-fixes).
- Input: nspire-keypad - enable interrupts only when opened
  (git-fixes).
- Input: i8042 - fix Pegatron C15B ID entry (git-fixes).
- Input: s6sy761 - fix coordinate read bit shift (git-fixes).
- commit 0ad8d52
* Fri Apr 16 2021 mgorman@suse.de
- Delete
  patches.suse/sched-Fix-up-proc-sched_debug-to-print-only-runnable-tasks-again.patch (bsc#1184769).
- commit cff61a2
* Thu Apr 15 2021 mbenes@suse.cz
- x86/insn: Add some more Intel instructions to the opcode map
  (bsc#1184760).
- commit 1d99542
* Thu Apr 15 2021 mbenes@suse.cz
- x86/insn: Add some Intel instructions to the opcode map
  (bsc#1184760).
- commit 7c194e1
* Thu Apr 15 2021 ykaukab@suse.de
- iopoll: introduce read_poll_timeout macro (git-fixes).
- commit 3398015
* Thu Apr 15 2021 tiwai@suse.de
- dmaengine: idxd: fix wq cleanup of WQCFG registers (git-fixes).
- dmaengine: idxd: clear MSIX permission entry on shutdown
  (git-fixes).
- dmaengine: Fix a double free in dma_async_device_register
  (git-fixes).
- dmaengine: idxd: fix wq size store permission state (git-fixes).
- dmaengine: idxd: fix opcap sysfs attribute output (git-fixes).
- dmaengine: idxd: fix delta_rec and crc size field for completion
  record (git-fixes).
- dmaengine: idxd: Fix clobbering of SWERR overflow bit on
  writeback (git-fixes).
- commit 5a7e9ed
* Thu Apr 15 2021 tiwai@suse.de
- dmaengine: dw: Make it dependent to HAS_IOMEM (git-fixes).
- vfio/pci: Add missing range check in vfio_pci_mmap (git-fixes).
- cfg80211: remove WARN_ON() in cfg80211_sme_connect (git-fixes).
- ASoC: SOF: Intel: HDA: fix core status verification (git-fixes).
- ASoC: SOF: Intel: hda: remove unnecessary parentheses
  (git-fixes).
- commit 9608bf3
* Thu Apr 15 2021 tiwai@suse.de
- Move upstreamed i915 fix into sorted section
- commit c0cf502
* Thu Apr 15 2021 colyli@suse.de
- mm/rmap: fix potential pte_unmap on an not mapped pte
  (git-fixes).
- dm era: only resize metadata in preresume (git-fixes).
- dm era: Use correct value size in equality function of writeset
  tree (git-fixes).
- dm era: Fix bitset memory leaks (git-fixes).
- dm era: Verify the data block size hasn't changed (git-fixes).
- dm era: Reinitialize bitset cache before digesting a new
  writeset (git-fixes).
- dm era: Update in-core bitset after committing the metadata
  (git-fixes).
- dm era: Recover committed writeset after crash (git-fixes).
- Revert "bcache: Kill btree_io_wq" (git-fixes).
- bsg: free the request before return error code (git-fixes).
- dm: eliminate potential source of excessive kernel log noise
  (git-fixes).
- dm zoned: select CONFIG_CRC32 (git-fixes).
- dm raid: fix discard limits for raid1 (git-fixes).
- block: rsxx: select CONFIG_CRC32 (git-fixes).
- scsi: block: Fix a race in the runtime power management code
  (git-fixes).
- dm ioctl: fix error return code in target_message (git-fixes).
- dm: remove invalid sparse __acquires and __releases annotations
  (git-fixes).
- dm writecache: remove BUG() and fail gracefully instead
  (git-fixes).
- dm: fix bug with RCU locking in dm_blk_report_zones (git-fixes).
- Revert "dm cache: fix arm link errors with inline" (git-fixes).
- dm writecache: fix the maximum number of arguments (git-fixes).
- nbd: fix a block_device refcount leak in nbd_release
  (git-fixes).
- dm integrity: fix error reporting in bitmap mode after creation
  (git-fixes).
- dm mpath: fix racey management of PG initialization (git-fixes).
- dm writecache: handle DAX to partitions on persistent memory
  correctly (git-fixes).
- null_blk: fix passing of REQ_FUA flag in null_handle_rq
  (git-fixes).
- blkcg: fix memleak for iolatency (git-fixes).
- commit b8efea4
* Wed Apr 14 2021 oneukum@suse.com
- usb: dwc3: Update soft-reset wait polling rate (git-fixes).
- commit 54f493a
* Wed Apr 14 2021 oneukum@suse.com
- usb: dwc3: keystone: use devm_platform_ioremap_resource()
  to simplify code (git-fixes).
- commit caa2253
* Wed Apr 14 2021 bp@suse.de
- KVM: kvmclock: Fix vCPUs > 64 can't be online/hotpluged
  (bsc#1152489).
- commit d511393
* Wed Apr 14 2021 oneukum@suse.com
- usb: dwc3: meson-g12a: use devm_platform_ioremap_resource()
  to simplify code (git-fixes).
- commit c2f56d9
* Wed Apr 14 2021 jack@suse.cz
- block, bfq: set next_rq to waker_bfqq->next_rq in waker
  injection (bsc#1168838).
  Drop patches.suse/bfq-Fix-check-detecting-whether-waker-queue-should-b.patch
  as the upstream patch replaces is.
- commit bfcf868
* Wed Apr 14 2021 jack@suse.cz
- patches.suse/bfq-Use-only-idle-IO-periods-for-think-time-calculat.patch:
  Update tags
- commit ebb3c4a
* Wed Apr 14 2021 jack@suse.cz
- patches.suse/bfq-Use-ttime-local-variable.patch: Update tags
- commit 83db8f6
* Wed Apr 14 2021 jack@suse.cz
- ext4: find old entry again if failed to rename whiteout
  (bsc#1184742).
- commit 7f9cb02
* Wed Apr 14 2021 jack@suse.cz
- blacklist.conf: Blacklist 163f0ec1df33
- commit 742fb7c
* Wed Apr 14 2021 jack@suse.cz
- isofs: release buffer head before return (bsc#1182613).
- commit eeef088
* Wed Apr 14 2021 jack@suse.cz
- patches.suse/bfq-Avoid-false-bfq-queue-merging.patch: Refresh with
  upstream version
- commit c0f05bc
* Wed Apr 14 2021 jack@suse.cz
- fs/jfs: fix potential integer overflow on shift of a int
  (bsc#1184741).
- commit d0e76e8
* Wed Apr 14 2021 jack@suse.cz
- jffs2: fix use after free in jffs2_sum_write_data()
  (bsc#1184740).
- commit 6b24b69
* Wed Apr 14 2021 jack@suse.cz
- ocfs2: fix a use after free on error (bsc#1184738).
- commit bbc04e0
* Wed Apr 14 2021 jack@suse.cz
- reiserfs: update reiserfs_xattrs_initialized() condition
  (bsc#1184737).
- commit 0099e39
* Wed Apr 14 2021 jack@suse.cz
- fs: direct-io: fix missing sdio->boundary (bsc#1184736).
- commit 4c56c6a
* Wed Apr 14 2021 jack@suse.cz
- ext4: fix potential error in ext4_do_update_inode (bsc#1184731).
- commit 3990053
* Wed Apr 14 2021 jack@suse.cz
- ext4: do not try to set xattr into ea_inode if value is empty
  (bsc#1184730).
- commit b98639e
* Wed Apr 14 2021 jack@suse.cz
- ext4: fix potential htree index checksum corruption
  (bsc#1184728).
- commit 21d8b4d
* Wed Apr 14 2021 oneukum@suse.com
- usb: Remove dev_err() usage after platform_get_irq()
  (git-fixes).
- commit a9d64cb
* Wed Apr 14 2021 oneukum@suse.com
- usb: dwc3: Switch to use device_property_count_u32()
  (git-fixes).
- commit 58512a7
* Wed Apr 14 2021 jack@suse.cz
- block: recalculate segment count for multi-segment discards
  correctly (bsc#1184724).
- commit 7146c5e
* Wed Apr 14 2021 lhenriques@suse.de
- Update patches.suse/fuse-fix-bad-inode.patch (bsc#1184211
  CVE-2020-36322).
  Updated patch metadata to include CVE number.
- commit 89cea51
* Wed Apr 14 2021 lhenriques@suse.de
- Update patches.suse/fuse-fix-bad-inode.patch (bsc#1184211
  CVE-2020-36322).
  Updated patch metadata to include CVE number.
- commit 6ecd48e
* Wed Apr 14 2021 jslaby@suse.cz
- rpm/check-for-config-changes: remove stale comment
  It is stale since 8ab393bf905a committed in 2005 :).
- commit c9f9f5a
* Tue Apr 13 2021 martin.wilck@suse.com
- dm mpath: switch paths in dm_blk_ioctl() code path (bsc#1167574,
  bsc#1175995, bsc#1184485).
- commit 981c2ae
* Tue Apr 13 2021 bp@suse.de
- blacklist.conf: 66c1b6d74cd7 x86: Move TS_COMPAT back to asm/thread_info.h
- commit 3533f06
* Tue Apr 13 2021 mkubecek@suse.cz
- update patch metadata
- update upstream references and move out of sorted section:
  patches.suse/scsi-ibmvfc-Fix-invalid-state-machine-BUG_ON.patch
- commit f170d23
* Tue Apr 13 2021 tiwai@suse.de
- rpm/mkspec: Use tilde instead of dot for version string with rc (bsc#1184650)
- commit f37613f
* Tue Apr 13 2021 lhenriques@suse.de
- Update patches.suse/fuse-fix-live-lock-in-fuse_iget.patch
  (bsc#1184211 CVE-2021-28950).
  Updated patch metadata to include CVE number.
- commit 610fdaf
* Tue Apr 13 2021 lhenriques@suse.de
- Update patches.suse/fuse-fix-live-lock-in-fuse_iget.patch
  (bsc#1184211 CVE-2021-28950).
  Updated patch metadata to include CVE number.
- commit 3370c43
* Tue Apr 13 2021 glin@suse.com
- libbpf: Only create rx and tx XDP rings when necessary
  (bsc#1155518).
- commit 02ec945
* Tue Apr 13 2021 bp@suse.de
- x86: Introduce TS_COMPAT_RESTART to fix get_nr_restart_syscall()
  (bsc#1152489).
- commit 6cf26f2
* Tue Apr 13 2021 tbogendoerfer@suse.de
- i40e: Fix sparse error: 'vsi->netdev' could be null
  (jsc#SLE-8025).
- i40e: Fix parameters in aq_get_phy_register() (jsc#SLE-8025).
- net/mlx5: Fix PPLM register mapping (jsc#SLE-8464).
- net: hns3: Remove the left over redundant check & assignment
  (bsc#1154353).
- ice: remove DCBNL_DEVRESET bit from PF state (jsc#SLE-7926).
- commit 1626bf4
* Tue Apr 13 2021 tbogendoerfer@suse.de
- ice: fix memory leak of aRFS after resuming from suspend
  (jsc#SLE-12878).
- i40e: Fix sparse error: uninitialized symbol 'ring'
  (jsc#SLE-13701).
- ethtool: fix incorrect datatype in set_eee ops (bsc#1176447).
- net: cls_api: Fix uninitialised struct field
  bo->unlocked_driver_cb (bsc#1176447).
- xfrm: Provide private skb extensions for segmented and hw
  offloaded ESP packets (bsc#1176447).
- ice: Use port number instead of PF ID for WoL (jsc#SLE-12878).
- ice: fix memory allocation call (jsc#SLE-12878).
- ice: Continue probe on link/PHY errors (jsc#SLE-12878).
- geneve: do not modify the shared tunnel info when PMTU triggers
  an ICMP reply (bsc#1176447).
- vxlan: do not modify the shared tunnel info when PMTU triggers
  an ICMP reply (bsc#1176447).
- commit e13f3cc
* Tue Apr 13 2021 msuchanek@suse.de
- scsi: ibmvfc: Fix invalid state machine BUG_ON() (bsc#1184647
  ltc#191231).
- commit 069588f
* Tue Apr 13 2021 glin@suse.com
- bpf: link: Refuse non-O_RDWR flags in BPF_OBJ_GET (bsc#1177028).
- bpf: Refcount task stack in bpf_get_task_stack (bsc#1177028).
- bpf: Enforce that struct_ops programs be GPL-only (bsc#1177028).
- libbpf: Fix bail out from 'ringbuf_process_ring()' on error
  (bsc#1177028).
- commit 1bc90a6
* Tue Apr 13 2021 jroedel@suse.de
- iommu/vt-d: Use device numa domain if RHSA is missing (bsc#1184585).
- Refresh patches.suse/iommu-vt-d-fix-ineffective-devtlb-invalidation-for-subdevices.
- commit 6ad821c
* Tue Apr 13 2021 denis.kirjanov@suse.com
- enetc: Fix reporting of h/w packet counters (git-fixes).
- commit 2b6231d
* Tue Apr 13 2021 denis.kirjanov@suse.com
- net: pasemi: fix error return code in pasemi_mac_open() (git-fixes).
- commit 9f74d4a
* Tue Apr 13 2021 denis.kirjanov@suse.com
- atl1e: fix error return code in atl1e_probe() (git-fixes).
- commit 9030b22
* Tue Apr 13 2021 denis.kirjanov@suse.com
- atl1c: fix error return code in atl1c_probe() (git-fixes).
- commit 138f514
* Tue Apr 13 2021 denis.kirjanov@suse.com
- net: atheros: switch from 'pci_' to 'dma_' API (git-fixes).
- commit 9d0c126
* Tue Apr 13 2021 glin@suse.com
- bpf, sockmap: Fix sk->prot unhash op reset (bsc#1155518).
- bpf: Fix verifier jsgt branch analysis on max bound
  (bsc#1155518).
- samples/bpf: Fix possible hang in xdpsock with multiple threads
  (bsc#1155518).
- commit 50946be
* Tue Apr 13 2021 denis.kirjanov@suse.com
- net: b44: fix error return code in b44_init_one() (git-fixes).
- commit 405f041
* Tue Apr 13 2021 denis.kirjanov@suse.com
- net: qualcomm: rmnet: Fix incorrect receive packet handling during cleanup (git-fixes).
- commit 418a7e1
* Tue Apr 13 2021 denis.kirjanov@suse.com
- net: ethernet: ti: cpsw: fix error return code in cpsw_probe() (git-fixes).
- commit bbd1c86
* Tue Apr 13 2021 denis.kirjanov@suse.com
- qlcnic: fix error return code in qlcnic_83xx_restart_hw() (git-fixes).
- commit 4792038
* Tue Apr 13 2021 denis.kirjanov@suse.com
- net: lantiq: Wait for the GPHY firmware to be ready (git-fixes).
- commit d0452d2
* Mon Apr 12 2021 jgross@suse.com
- xen/evtchn: Change irq_info lock to raw_spinlock_t (git-fixes).
  [jeyu: was doing a SLE15-SP3 branch sweep and found this commit wasn't in
  SLE15-SP3 yet for whatever reason, so I cherry-picked it. Probably due to some
  for-Update/for-GM mixups back in April.]
  Conflicts:
  series.conf
- commit cc002cf
* Mon Apr 12 2021 oneukum@suse.com
- Documentation/ABI: sysfs-platform-ideapad-laptop: update device
  attribute paths (git-fixes).
- commit 2559651
* Mon Apr 12 2021 oneukum@suse.com
- thunderbolt: Fix off by one in tb_port_find_retimer()
  (git-fixes).
- commit d93adab
* Mon Apr 12 2021 oneukum@suse.com
- thunderbolt: Fix a leak in tb_retimer_add() (git-fixes).
- commit 158bfab
* Mon Apr 12 2021 jroedel@suse.de
- KVM: SVM: avoid infinite loop on NPF from bad address (CVE-2020-36310 bsc#1184512).
- commit df4914b
* Mon Apr 12 2021 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix dependency of kernel-*-devel package (bsc#1184514)
  The devel package requires the kernel binary package itself for building
  modules externally.
- commit 794be7b
* Mon Apr 12 2021 bp@suse.de
- blacklist.conf: dd926880da8d x86/apic/of: Fix CPU devicetree-node lookups
- commit 92f0632
* Mon Apr 12 2021 bp@suse.de
- RAS/CEC: Correct ce_add_elem()'s returned values (bsc#1152489).
- commit 1be7dba
* Mon Apr 12 2021 jroedel@suse.de
- KVM: fix memory leak in kvm_io_bus_unregister_dev() (CVE-2020-36312 bsc#1184509).
- commit 6a9d1a6
* Mon Apr 12 2021 jroedel@suse.de
- Refresh patches.suse/x86-insn-make-inat-tables-c-suitable-for-pre-decompression-code.
  Bring gen-insn-attr-x86.awk files in sync over the tree to
  fix a build warning.
- commit 2c08948
* Mon Apr 12 2021 msuchanek@suse.de
- ibmvfc: disable MQ channelization by default (bsc#1184570
  ltc#192356).
- commit 500b7bf
* Mon Apr 12 2021 acho@suse.com
- vfio-ccw: Wire in the request callback (bsc#1183225).
- vfio-mdev: Wire in a request handler for mdev parent
  (bsc#1183225).
- commit 1a8b567
* Mon Apr 12 2021 jgross@suse.com
- xen/events: fix setting irq affinity (bsc#1184583 XSA-332
  CVE-2020-27673).
- commit e88a4fe
* Mon Apr 12 2021 glin@suse.com
- bpf, x86: Validate computation of branch displacements for
  x86-32 (bsc#1184391 CVE-2021-29154).
- bpf, x86: Validate computation of branch displacements for
  x86-64 (bsc#1184391 CVE-2021-29154).
- libbpf: Fix INSTALL flag order (bsc#1155518).
- bpf: Remove MTU check in __bpf_skb_max_len (bsc#1155518).
- commit 3cfc764
* Mon Apr 12 2021 jlee@suse.com
- Update config files. (bsc#1181284)
- commit 09b2083
* Sun Apr 11 2021 tiwai@suse.de
- thunderbolt: Fix off by one in tb_port_find_retimer()
  (git-fixes).
- thunderbolt: Fix a leak in tb_retimer_add() (git-fixes).
- geneve: do not modify the shared tunnel info when PMTU triggers
  an ICMP reply (git-fixes).
- drm/vc4: crtc: Reduce PV fifo threshold on hvs4 (git-fixes).
- ACPI: processor: Fix build when CONFIG_ACPI_PROCESSOR=m
  (git-fixes).
- commit 06335ba
* Sun Apr 11 2021 tiwai@suse.de
- clk: fix invalid usage of list cursor in unregister (git-fixes).
- clk: fix invalid usage of list cursor in register (git-fixes).
- clk: socfpga: fix iomem pointer cast on 64-bit (git-fixes).
- mac80211: fix TXQ AC confusion (git-fixes).
- batman-adv: initialize "struct
  batadv_tvlv_tt_vlan_data"->reserved field (git-fixes).
- net: phy: broadcom: Only advertise EEE for supported modes
  (git-fixes).
- gianfar: Handle error code at MAC address change (git-fixes).
- drm/msm: Set drvdata to NULL when msm_drm_init() fails
  (git-fixes).
- bus: ti-sysc: Fix warning on unbind if reset is not deasserted
  (git-fixes).
- drm/msm: Ratelimit invalid-fence message (git-fixes).
- drm/msm/adreno: a5xx_power: Don't apply A540 lm_setup to other
  GPUs (git-fixes).
- mac80211: choose first enabled channel for monitor (git-fixes).
- mISDN: fix crash in fritzpci (git-fixes).
- platform/x86: thinkpad_acpi: Allow the FnLock LED to change
  state (git-fixes).
- platform/x86: intel-hid: Support Lenovo ThinkPad X1 Tablet Gen 2
  (git-fixes).
- commit a1094b1
* Sat Apr 10 2021 tiwai@suse.de
- nfc: Avoid endless loops caused by repeated llcp_sock_connect()
  (CVE-2020-25673 bsc#1178181).
- nfc: fix memory leak in llcp_sock_connect() (CVE-2020-25672
  bsc#1178181).
- nfc: fix refcount leak in llcp_sock_connect() (CVE-2020-25671
  bsc#1178181).
- nfc: fix refcount leak in llcp_sock_bind() (CVE-2020-25670
  bsc#1178181).
- commit ee06cff
* Fri Apr  9 2021 msuchanek@suse.de
- Add obsolete_rebuilds_subpackage (boo#1172073 bsc#1191731).
- commit f037781
* Fri Apr  9 2021 bp@suse.de
- KVM: SVM: Periodically schedule when unregistering regions on
  destroy (bsc#1184511 CVE-2020-36311).
- commit fad3809
* Fri Apr  9 2021 bp@suse.de
- KVM: SVM: Periodically schedule when unregistering regions on
  destroy (bsc#1184511 CVE-2020-36311).
- commit 4a629fb
* Fri Apr  9 2021 msuchanek@suse.de
- rpm/check-for-config-changes: Also ignore AS_VERSION added in 5.12.
- commit bd64cb2
* Fri Apr  9 2021 tbogendoerfer@suse.de
- IB/hfi1: Fix probe time panic when AIP is enabled with a buggy
  BIOS (jsc#SLE-13208).
- RDMA/rtrs-clt: Close rtrs client conn before destroying rtrs
  clt session files (jsc#SLE-15176).
- igb: avoid premature Rx buffer reuse (jsc#SLE-13536).
- igb: avoid transmit queue timeout in xdp path (jsc#SLE-13536).
- igb: use xdp_do_flush (jsc#SLE-13536).
- igb: skb add metasize for xdp (jsc#SLE-13536).
- igb: XDP extack message on error (jsc#SLE-13536).
- igb: take VLAN double header into account (jsc#SLE-13536).
- igb: XDP xmit back fix error code (jsc#SLE-13536).
- commit 205ebec
* Fri Apr  9 2021 tiwai@suse.de
- ASoC: soc-core kABI workaround (git-fixes).
- commit f4e005d
* Fri Apr  9 2021 tiwai@suse.de
- ASoC: soc-core: Prevent warning if no DMI table is present
  (git-fixes).
- commit 862774d
* Fri Apr  9 2021 tiwai@suse.de
- ASoC: max98373: Changed amp shutdown register as volatile
  (git-fixes).
- ASoC: SOF: Intel: HDA: fix core status verification (git-fixes).
- ALSA: hda/conexant: Apply quirk for another HP ZBook G5 model
  (git-fixes).
- commit d6d316d
* Fri Apr  9 2021 tiwai@suse.de
- ALSA: hda/realtek: Fix speaker amp setup on Acer Aspire E1
  (git-fixes).
- ASoC: fsl_esai: Fix TDM slot setup for I2S mode (git-fixes).
- commit cf1864e
* Fri Apr  9 2021 tiwai@suse.de
- ASoC: sunxi: sun4i-codec: fill ASoC card owner (git-fixes).
- ASoC: cygnus: fix for_each_child.cocci warnings (git-fixes).
- ASoC: max98373: Added 30ms turn on/off time delay (git-fixes).
- ASoC: intel: atom: Remove 44100 sample-rate from the media
  and deep-buffer DAI descriptions (git-fixes).
- ASoC: intel: atom: Stop advertising non working S24LE support
  (git-fixes).
- commit c53d82c
* Fri Apr  9 2021 tiwai@suse.de
- ASoC: wm8960: Fix wrong bclk and lrclk with pll enabled for
  some chips (git-fixes).
- ALSA: aloop: Fix initialization of controls (git-fixes).
- commit 71addac
* Fri Apr  9 2021 msuchanek@suse.de
- post.sh: Return an error when module update fails (bsc#1047233 bsc#1184388).
- commit 18f65df
* Fri Apr  9 2021 glin@suse.com
- ftrace: Fix modify_ftrace_direct (bsc#1177028).
- commit f202820
* Thu Apr  8 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/cifs_debug-use-pd-instead-of-messing-with-d_name.patch
- commit 27776f2
* Thu Apr  8 2021 msuchanek@suse.de
- crypto: essiv - fix AEAD capitalization and preposition use
  in help text (bsc#1184134 ltc#192244).
- commit ba310cd
* Thu Apr  8 2021 aaptel@suse.com
- cifs: do not send close in compound create+close requests
  (bsc#1181507).
- commit d97055c
* Thu Apr  8 2021 aaptel@suse.com
- cifs: New optype for session operations (bsc#1181507).
- commit d9ec8fd
* Thu Apr  8 2021 aaptel@suse.com
- smb3: fix crediting for compounding when only one request in
  flight (bsc#1181507).
- commit 598fa94
* Thu Apr  8 2021 aaptel@suse.com
- cifs: Tracepoints and logs for tracing credit changes
  (bsc#1181507).
- commit 1eadfe8
* Thu Apr  8 2021 aaptel@suse.com
- smb3: add dynamic trace point to trace when credits obtained
  (bsc#1181507).
- commit bef40ec
* Thu Apr  8 2021 aaptel@suse.com
- cifs: return proper error code in statfs(2) (bsc#1181507).
- commit c4b8c95
* Thu Apr  8 2021 aaptel@suse.com
- cifs: change noisy error message to FYI (bsc#1181507).
- commit 569c695
* Thu Apr  8 2021 aaptel@suse.com
- cifs: print MIDs in decimal notation (bsc#1181507).
- commit 59ea5c8
* Thu Apr  8 2021 aaptel@suse.com
- cifs_debug: use %%pd instead of messing with ->d_name
  (bsc#1181507).
- commit 11a6a1c
* Thu Apr  8 2021 pjakobsson@suse.de
- drm/shmem-helpers: vunmap: Don't put pages for dma-buf
  (git-fixes).
- commit 5f834c0
* Thu Apr  8 2021 pjakobsson@suse.de
- powerpc: Fix missing declaration ofable_kernel_vsx()
  (git-fixes).
- commit a1121de
* Thu Apr  8 2021 msuchanek@suse.de
- crypto: essiv - create wrapper template for ESSIV generation
  (bsc#1184134 ltc#192244).
  Update config files.
  supported.conf: Add crypto/essiv
- commit 07e8de6
* Thu Apr  8 2021 pjakobsson@suse.de
- blacklist.conf: 862314bc94dd drm/msm/dpu: Allow specifying features and sblk in DSPP_BLK macro
- commit 27ff597
* Thu Apr  8 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-amd-display-Revert-Fix-EDID-parsing-after-resume.patch.
  Add Alt-commit for duplicate
- commit d887b41
* Thu Apr  8 2021 pjakobsson@suse.de
- blacklist.conf: 8dc61152dfd2 mfd: iqs62x: Remove superfluous whitespace above fallthroughs
- commit 5583204
* Thu Apr  8 2021 pjakobsson@suse.de
- blacklist.conf: 4a517faa3403 amdgpu: fix clang build warning
  Also add duplicate 00190bc087e795290502dc51c5d32de85cb2c2b8
- commit 4525ce3
* Thu Apr  8 2021 dwagner@suse.de
- nvme-tcp: use cancel tagset helper for tear down (bsc#1183976).
- nvme-tcp: add clean action for failed reconnection
  (bsc#1183976).
- nvme-core: add cancel tagset helpers (bsc#1183976).
- commit 5f7f322
* Thu Apr  8 2021 bp@suse.de
- x86/ioapic: Ignore IRQ2 again (bsc#1152489).
- commit a2a38c4
* Thu Apr  8 2021 pjakobsson@suse.de
- Refresh
  patches.suse/drm-i915-Fix-ICL-MG-PHY-vswing-handling.patch.
  Add Alt-commit for duplicate
- commit a41e20d
* Thu Apr  8 2021 pjakobsson@suse.de
- blacklist.conf: b89bc060b53e sh/intc: Restore devm_ioremap() alignment
- commit da153ff
* Thu Apr  8 2021 tiwai@suse.de
- drivers: video: fbcon: fix NULL dereference in fbcon_cursor()
  (git-fixes).
- drm/amdkfd: dqm fence memory corruption (git-fixes).
- rtw88: coex: 8821c: correct antenna switch function (git-fixes).
- commit ba76fce
* Thu Apr  8 2021 pjakobsson@suse.de
- blacklist.conf: b3bf99daaee9 drm/i915/display: Defer initial modeset until after GGTT is initialised
  Actually blacklist it this time and not just the duplicate (see SUSE commit
  2d3d7c9c5aca141e8660e8671e699509c329d847)
- commit b907ace
* Thu Apr  8 2021 tiwai@suse.de
- thermal/core: Add NULL pointer check before using cooling
  device stats (git-fixes).
- commit 4299a85
* Thu Apr  8 2021 tiwai@suse.de
- soc/fsl: qbman: fix conflicting alignment attributes
  (git-fixes).
- regulator: bd9571mwv: Fix AVS and DVFS voltage range
  (git-fixes).
- drivers: video: fbcon: fix NULL dereference in fbcon_cursor()
  (git-fixes).
- usbip: vhci_hcd fix shift out-of-bounds in vhci_hub_control()
  (git-fixes).
- USB: quirks: ignore remote wake-up on Fibocom L850-GL LTE modem
  (git-fixes).
- USB: cdc-acm: downgrade message to debug (git-fixes).
- USB: cdc-acm: untangle a circular dependency between callback
  and softint (git-fixes).
- PM: runtime: Fix ordering in pm_runtime_get_suppliers()
  (git-fixes).
- drm/amdgpu: check alignment on CPU page for bo map (git-fixes).
- drm/amdgpu: fix offset calculation in
  amdgpu_vm_bo_clear_mappings() (git-fixes).
- staging: comedi: cb_pcidas64: fix request_irq() warn
  (git-fixes).
- staging: comedi: cb_pcidas: fix request_irq() warn (git-fixes).
- net: wan/lmc: unregister device when no matching device is found
  (git-fixes).
- appletalk: Fix skb allocation size in loopback case (git-fixes).
- ath10k: hold RCU lock when calling
  ieee80211_find_sta_by_ifaddr() (git-fixes).
- brcmfmac: clear EAP/association status bits on linkdown events
  (git-fixes).
- commit cb365ba
* Thu Apr  8 2021 bp@suse.de
- blacklist.conf: 04b38d012556 seccomp: Add missing return in non-void function
- commit 0d7b046
* Thu Apr  8 2021 bp@suse.de
- x86/mem_encrypt: Correct physical address calculation in
  __set_clr_pte_enc() (bsc#1152489).
- commit 5c288fb
* Wed Apr  7 2021 msuchanek@suse.de
- kABI: powerpc/pmem: Include pmem prototypes (bsc#1113295
  git-fixes).
- commit c94e7f1
* Wed Apr  7 2021 fdmanana@suse.com
- btrfs: fix exhaustion of the system chunk array due to
  concurrent allocations (bsc#1183386).
- commit 6cb1172
* Wed Apr  7 2021 ykaukab@suse.de
- net: dsa: felix: implement port flushing on
  .phylink_mac_link_down (git-fixes).
- PCI: tegra: Fix ASPM-L1SS advertisement disable code
  (git-fixes).
- PCI: tegra: Move "dbi" accesses to post common DWC
  initialization (git-fixes).
- thermal/drivers/cpufreq_cooling: Update cpufreq_state only if
  state has changed (git-fixes).
- coresight: tmc-etr: Fix barrier packet insertion for perf buffer
  (git-fixes).
- dpaa_eth: copy timestamp fields to new skb in A-050385
  workaround (git-fixes).
- enetc: Let the hardware auto-advance the taprio base-time of 0
  (git-fixes).
- enetc: Workaround for MDIO register access issue (git-fixes).
- dpaa_eth: fix the RX headroom size alignment (git-fixes).
- dpaa_eth: update the buffer layout for non-A050385 erratum
  scenarios (git-fixes).
- PCI: designware-ep: Fix the Header Type check (git-fixes).
- coresight: etm4x: Fix save and restore of TRCVMIDCCTLR1 register
  (git-fixes).
- coresight: etm4x: Fix issues on trcseqevr access (git-fixes).
- dpaa_eth: Remove unnecessary boolean expression in
  dpaa_get_headroom (git-fixes).
- commit 5b9762c
* Wed Apr  7 2021 msuchanek@suse.de
- powerpc/uaccess: Avoid might_fault() when user access is enabled
  (bsc#1156395).
- powerpc/uaccess: Simplify unsafe_put_user() implementation
  (bsc#1156395).
- powerpc/uaccess: Perform barrier_nospec() in KUAP allowance
  helpers (bsc#1156395).
- commit c1e0284
* Wed Apr  7 2021 lhenriques@suse.de
- fuse: fix live lock in fuse_iget() (bsc#1184211).
- fuse: fix bad inode (bsc#1184211).
- commit 58bcd3b
* Wed Apr  7 2021 lhenriques@suse.de
- fuse: fix live lock in fuse_iget() (bsc#1184211).
- fuse: fix bad inode (bsc#1184211).
- commit 8283ce1
* Wed Apr  7 2021 msuchanek@suse.de
- powerpc/kuap: Restore AMR after replaying soft interrupts
  (bsc#1156395).
- commit 3d73cad
* Wed Apr  7 2021 msuchanek@suse.de
- powerpc/sstep: Check instruction validity against ISA version
  before emulation (bsc#1156395).
- commit d427ef6
* Wed Apr  7 2021 msuchanek@suse.de
- powerpc/sstep: Fix darn emulation (bsc#1156395).
- powerpc/sstep: Fix incorrect return from analyze_instr()
  (bsc#1156395).
- powerpc/sstep: Check instruction validity against ISA version
  before emulation (bsc#1156395).
- commit 7671d9d
* Wed Apr  7 2021 msuchanek@suse.de
- powerpc/pmem: Include pmem prototypes (bsc#1113295 git-fixes).
- commit aa380dd
* Wed Apr  7 2021 msuchanek@suse.de
- blacklist.conf: Add c420644c0a8f powerpc: Use mm_context vas_windows
  counter to issue CP_ABORT
- commit c75afe3
* Wed Apr  7 2021 msuchanek@suse.de
- powerpc/sstep: Fix load-store and update emulation
  (bsc#1156395).
- powerpc/64s: Fix instruction encoding for lis in
  ppc_function_entry() (bsc#1065729).
- powerpc/pseries/ras: Remove unused variable 'status'
  (bsc#1065729).
- commit 9c1ced3
* Wed Apr  7 2021 glin@suse.com
- libbpf: Fix error path in bpf_object__elf_init() (bsc#1177028).
- tools/resolve_btfids: Fix build error with older host toolchains
  (bsc#1177028).
- bpf: Fix an unitialized value in bpf_iter (bsc#1177028).
- commit b032d8d
* Wed Apr  7 2021 mkubecek@suse.cz
- Update kabi files.
- update from April 2021 maintenance update submission (commit fe55a5cff456)
- commit c1ea1f7
* Tue Apr  6 2021 dbueso@suse.de
- locking/mutex: Fix non debug version of mutex_lock_io_nested() (git-fixes).
- commit 3bace53
* Tue Apr  6 2021 tiwai@suse.de
- firewire: nosy: Fix a use-after-free bug in nosy_ioctl()
  (CVE-2021-3483 bsc#1184393).
- commit 3abcfe1
* Tue Apr  6 2021 oneukum@suse.com
- media: v4l: ioctl: Fix memory leak in video_usercopy
  (bsc#1184120 CVE-2021-30002).
- commit 968da96
* Tue Apr  6 2021 tiwai@suse.de
- drm/i915: Fix invalid access to ACPI _DSM objects (bsc#1184074).
- commit 7bfde57
* Tue Apr  6 2021 ykaukab@suse.de
- i2c: tegra: Use threaded interrupt (bsc#1184386).
- i2c: tegra: Create i2c_writesl_vi() to use with VI I2C for
  filling TX FIFO (bsc#1184386).
- i2c: tegra: Wait for config load atomically while in ISR
  (bsc#1184386).
- i2c: tegra: Improve driver module description (bsc#1184386).
- i2c: tegra: Clean up whitespaces, newlines and indentation
  (bsc#1184386).
- i2c: tegra: Clean up and improve comments (bsc#1184386).
- i2c: tegra: Clean up printk messages (bsc#1184386).
- i2c: tegra: Clean up variable names (bsc#1184386).
- i2c: tegra: Improve formatting of variables (bsc#1184386).
- i2c: tegra: Check errors for both positive and negative values
  (bsc#1184386).
- i2c: tegra: Factor out hardware initialization into separate
  function (bsc#1184386).
- i2c: tegra: Factor out register polling into separate function
  (bsc#1184386).
- i2c: tegra: Factor out packet header setup from
  tegra_i2c_xfer_msg() (bsc#1184386).
- i2c: tegra: Factor out error recovery from tegra_i2c_xfer_msg()
  (bsc#1184386).
- i2c: tegra: Rename wait/poll functions (bsc#1184386).
- i2c: tegra: Remove "dma" variable from tegra_i2c_xfer_msg()
  (bsc#1184386).
- i2c: tegra: Remove redundant check in
  tegra_i2c_issue_bus_clear() (bsc#1184386).
- i2c: tegra: Remove likely/unlikely from the code (bsc#1184386).
- i2c: tegra: Remove outdated barrier() (bsc#1184386).
- i2c: tegra: Clean up variable types (bsc#1184386).
- i2c: tegra: Reorder location of functions in the code
  (bsc#1184386).
- i2c: tegra: Clean up probe function (bsc#1184386).
- i2c: tegra: Move out all device-tree parsing into
  tegra_i2c_parse_dt() (bsc#1184386).
- i2c: tegra: Use clk-bulk helpers (bsc#1184386).
- i2c: tegra: Use platform_get_irq() (bsc#1184386).
- i2c: tegra: Use devm_platform_get_and_ioremap_resource()
  (bsc#1184386).
- i2c: tegra: Use reset_control_reset() (bsc#1184386).
- i2c: tegra: Remove error message used for devm_request_irq()
  failure (bsc#1184386).
- i2c: tegra: Runtime PM always available on Tegra (bsc#1184386).
- i2c: tegra: Remove i2c_dev.clk_divisor_non_hs_mode member
  (bsc#1184386).
- i2c: tegra: Initialize div-clk rate unconditionally
  (bsc#1184386).
- i2c: tegra: Mask interrupt in tegra_i2c_issue_bus_clear()
  (bsc#1184386).
- i2c: tegra: Handle potential error of tegra_i2c_flush_fifos()
  (bsc#1184386).
- i2c: tegra: Add missing pm_runtime_put() (bsc#1184386).
- i2c: tegra: Make tegra_i2c_flush_fifos() usable in atomic
  transfer (bsc#1184386).
- commit a5dde2d
* Tue Apr  6 2021 ykaukab@suse.de
- tee: optee: remove need_resched() before cond_resched()
  (git-fixes).
- commit ef989ae
* Tue Apr  6 2021 dwagner@suse.de
- Drop patches.suse/nvme-re-read-ana-log-on-ns-changed-aen.patch
  This patch has been replaced by
  patches.suse/nvme-retrigger-ana-log-update-if-group-descriptor-isn-t.patch
- commit b31f4a4
* Tue Apr  6 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/completion-Drop-init_completion-define.patch
- commit 33fba8d
* Tue Apr  6 2021 ykaukab@suse.de
- net: enetc: allow hardware timestamping on TX queues with
  tc-etf enabled (git-fixes).
- net: enetc: don't disable VLAN filtering in IFF_PROMISC mode
  (git-fixes).
- tee: optee: replace might_sleep with cond_resched (git-fixes).
- Revert "drivers: qcom: rpmh-rsc: Use rcuidle tracepoints for
  rpmh" (git-fixes).
- coresight: remove broken __exit annotations (git-fixes).
- gpiolib: Don't free if pin ranges are not defined (git-fixes).
- commit 3b01237
* Tue Apr  6 2021 pjakobsson@suse.de
- blacklist.conf: 717c4c833648 arm64: defconfig: drop unused BACKLIGHT_GENERIC option
- commit 1db5def
* Tue Apr  6 2021 pjakobsson@suse.de
- blacklist.conf: acf689134a66 powerpc/configs: drop unused BACKLIGHT_GENERIC option
- commit e22a83a
* Tue Apr  6 2021 pjakobsson@suse.de
- blacklist.conf: Remove duplicate blacklist entries
- commit 94f95d4
* Tue Apr  6 2021 pjakobsson@suse.de
- blacklist.conf: 0437141b4e22 ARM: configs: drop unused BACKLIGHT_GENERIC option
- commit 59fb916
* Tue Apr  6 2021 msuchanek@suse.de
- ibmvnic: Use 'skb_frag_address()' instead of hand coding it
  (bsc#1184114 ltc#192237).
- commit 52ca26e
* Tue Apr  6 2021 glin@suse.com
- libbpf: Fix BTF dump of pointer-to-array-of-struct
  (bsc#1155518).
- libbpf: Use SOCK_CLOEXEC when opening the netlink socket
  (bsc#1155518).
- selftests/bpf: Set gopt opt_class to 0 if get tunnel opt failed
  (bsc#1155518).
- libbpf: Clear map_info before each bpf_obj_get_info_by_fd
  (bsc#1155518).
- samples, bpf: Add missing munmap in xdpsock (bsc#1155518).
- selftests/bpf: Mask bpf_csum_diff() return value to 16 bits
  in test_verifier (bsc#1155518).
- selftests/bpf: No need to drop the packet when there is no
  geneve opt (bsc#1155518).
- commit 8d0ef1a
* Tue Apr  6 2021 pjakobsson@suse.de
- drm/i915/selftests: Fix some error codes (git-fixes).
- commit 21e8c0f
* Tue Apr  6 2021 pjakobsson@suse.de
- drm: rcar-du: Fix leak of CMM platform device reference
  (git-fixes).
- commit 40608ab
* Tue Apr  6 2021 ohering@suse.de
- video: hyperv_fb: Fix a double free in hvfb_probe (git-fixes).
- commit c457d1d
* Mon Apr  5 2021 dbueso@suse.de
- selinux: fix inode_doinit_with_dentry() LABEL_INVALID error
  handling (git-fixes).
- commit fa2b85d
* Mon Apr  5 2021 dbueso@suse.de
- include/linux/sched/mm.h: use rcu_dereference in in_vfork()
  (git-fixes).
- stop_machine: mark helpers __always_inline (git-fixes).
- selinux: fix error initialization in inode_doinit_with_dentry()
  (git-fixes).
- completion: Drop init_completion define (git-fixes).
- lib/syscall: fix syscall registers retrieval on 32-bit platforms
  (git-fixes).
- selinux: Fix error return code in sel_ib_pkey_sid_slow()
  (git-fixes).
- commit 3909dc1
* Mon Apr  5 2021 tiwai@suse.de
- extcon: Fix error handling in extcon_dev_register (git-fixes).
- extcon: Add stubs for extcon_register_notifier_all() functions
  (git-fixes).
- staging: rtl8192e: Change state information from u16 to u8
  (git-fixes).
- staging: rtl8192e: Fix incorrect source in memcpy() (git-fixes).
- usb: dwc2: Prevent core suspend when port connection flag is 0
  (git-fixes).
- usb: dwc2: Fix HPRT0.PrtSusp bit setting for HiKey 960 board
  (git-fixes).
- usb: musb: Fix suspend with devices connected for a64
  (git-fixes).
- usb: xhci-mtk: fix broken streams issue on 0.96 xHCI
  (git-fixes).
- USB: cdc-acm: fix use-after-free after probe failure
  (git-fixes).
- USB: cdc-acm: fix double free on probe failure (git-fixes).
- cdc-acm: fix BREAK rx code path adding necessary calls
  (git-fixes).
- usb: gadget: udc: amd5536udc_pci fix null-ptr-dereference
  (git-fixes).
- commit 7e1215f
* Sun Apr  4 2021 msuchanek@suse.de
- powerpc/pseries/mobility: handle premature return from H_JOIN
  (bsc#1181674 ltc#189159 git-fixes bsc#1183662 ltc#191922).
- powerpc/pseries/mobility: use struct for shared state
  (bsc#1181674 ltc#189159 git-fixes bsc#1183662 ltc#191922).
- commit e22e432
* Sun Apr  4 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/powerpc-pseries-mobility-handle-premature-return-fro.patch.
- Refresh
  patches.suse/powerpc-pseries-mobility-use-struct-for-shared-state.patch.
  Update metadata
- commit 61adb77
* Sun Apr  4 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/powerpc-pseries-mobility-handle-premature-return-fro.patch.
- Refresh
  patches.suse/powerpc-pseries-mobility-use-struct-for-shared-state.patch.
- commit 0879685
* Sat Apr  3 2021 jkosina@suse.cz
- net: sched: disable TCQ_F_NOLOCK for pfifo_fast (bsc#1183405)
- commit 023c8a4
* Sat Apr  3 2021 jlee@suse.com
- ACPICA: Enable sleep button on ACPI legacy wake (bsc#1181383).
- commit 0d9d4e6
* Sat Apr  3 2021 tiwai@suse.de
- ACPI: processor: Fix CPU0 wakeup in acpi_idle_play_dead()
  (git-fixes).
- PM: runtime: Fix ordering in pm_runtime_get_suppliers()
  (git-fixes).
- drm/tegra: dc: Restore coupling of display controllers
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP 640 G8
  (git-fixes).
- ALSA: hda: Add missing sanity checks in PM prepare/complete
  callbacks (git-fixes).
- ALSA: hda: Re-add dropped snd_poewr_change_state() calls
  (git-fixes).
- commit 7b7be94
* Sat Apr  3 2021 tiwai@suse.de
- PM: runtime: Fix race getting/putting suppliers at probe
  (git-fixes).
- drm/tegra: sor: Grab runtime PM reference across reset
  (git-fixes).
- commit 064f8f4
* Sat Apr  3 2021 tiwai@suse.de
- ALSA: usb-audio: Apply sample rate quirk to Logitech Connect
  (git-fixes).
- ALSA: hda/realtek: call alc_update_headset_mode() in
  hp_automute_hook (git-fixes).
- ALSA: hda/realtek: fix a determine_headset_type issue for a
  Dell AIO (git-fixes).
- commit e6c8166
* Thu Apr  1 2021 pjakobsson@suse.de
- blacklist.conf: b3bf99daaee9 drm/i915/display: Defer initial modeset until after GGTT is initialised
- commit 2d3d7c9
* Thu Apr  1 2021 pjakobsson@suse.de
- drm/i915: Fix ICL MG PHY vswing handling (git-fixes).
- commit cc5d549
* Thu Apr  1 2021 fdmanana@suse.com
- Update
  patches.suse/btrfs-fix-race-when-cloning-extent-buffer-during-rew.patch
  (bsc#1184193 CVE-2021-28964).
- commit 2c0102a
* Thu Apr  1 2021 pjakobsson@suse.de
- drm/nouveau/kms/nv50-: Get rid of bogus
  nouveau_conn_mode_valid() (git-fixes).
- commit 67c74c9
* Thu Apr  1 2021 pjakobsson@suse.de
- drm/i915: Hold onto an explicit ref to i915_vma_work.pinned
  (git-fixes).
- commit b6ebc10
* Thu Apr  1 2021 jdelvare@suse.de
- Update references of patches.suse/edac-amd64-set-grain-per-dimm.patch
- commit 881829d
* Thu Apr  1 2021 ykaukab@suse.de
- irqchip/ls-extirq: add IRQCHIP_SKIP_SET_WAKE to the irqchip flags (bsc#1184264).
- irqchip/ls-extirq: Add LS1043A, LS1088A external interrupt support (bsc#1184264).
- commit 4dd3d12
* Thu Apr  1 2021 glin@suse.com
- bpf: Don't do bpf_cgroup_storage_set() for kuprobe/tp programs
  (bsc#1155518).
- commit 5d2df4e
* Thu Apr  1 2021 tiwai@suse.de
- pinctrl: rockchip: fix restore error in resume (git-fixes).
- commit 55f3605
* Thu Apr  1 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/mm-numa-fix-bad-pmd-by-atomically-check-for-pmd_trans_huge-when-marking-page-tables-prot_numa.patch
- commit e108d2c
* Thu Apr  1 2021 tonyj@suse.de
- perf/x86/intel: Fix a crash caused by zero PEBS status
  (CVE-2021-28971 bsc#1184196).
- commit fbc79f5
* Wed Mar 31 2021 jgross@suse.com
- xen-blkback: don't leak persistent grants from xen_blkbk_map()
  (bsc#1183646, CVE-2021-28688, XSA-371).
- commit d927391
* Wed Mar 31 2021 jgross@suse.com
- xen-blkback: don't leak persistent grants from xen_blkbk_map()
  (bsc#1183646, CVE-2021-28688, XSA-371).
- commit f0c74da
* Wed Mar 31 2021 msuchanek@suse.de
- blacklist.conf: Add qspinlock commit revert.
- commit fbfdb5d
* Wed Mar 31 2021 fdmanana@suse.com
- btrfs: fix exhaustion of the system chunk array due to
  concurrent allocations (bsc#1183386).
- commit 419a4b8
* Wed Mar 31 2021 fdmanana@suse.com
- btrfs: fix subvolume/snapshot deletion not triggered on mount
  (bsc#1184219).
- btrfs: always pin deleted leaves when there are active tree
  mod log users (bsc#1184224).
- btrfs: fix race when cloning extent buffer during rewind of
  an old root (bsc#1184193).
- btrfs: fix stale data exposure after cloning a hole with
  NO_HOLES enabled (bsc#1184220).
- btrfs: fix extent buffer leak on failure to copy root
  (bsc#1184218).
- btrfs: abort the transaction if we fail to inc ref in
  btrfs_copy_root (bsc#1184217).
- commit ed1e8cf
* Wed Mar 31 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/netsec-restore-phy-power-state-after-controller-rese.patch.
- commit ea9970d
* Wed Mar 31 2021 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit 7450a15
* Wed Mar 31 2021 tiwai@suse.de
- drm/amdgpu: Add additional Sienna Cichlid PCI ID (git-fixes).
- mac80211: Allow HE operation to be longer than expected
  (git-fixes).
- drm/amdgpu: fb BO should be ttm_bo_type_device (git-fixes).
- drm/amd/display: Revert dram_clock_change_latency for DCN2.1
  (git-fixes).
- commit f4fe93c
* Wed Mar 31 2021 oneukum@suse.com
- media: vicodec: add missing v4l2_ctrl_request_hdl_put()
  (git-fixes).
- commit 1714c92
* Wed Mar 31 2021 oneukum@suse.com
- blacklist.conf: cosmetic fix
- commit 1478eb5
* Wed Mar 31 2021 oneukum@suse.com
- media: cros-ec-cec: do not bail on device_init_wakeup failure
  (git-fixes).
- commit 5533664
* Wed Mar 31 2021 tiwai@suse.de
- PM: EM: postpone creating the debugfs dir till fs_initcall
  (git-fixes).
- bus: omap_l3_noc: mark l3 irqs as IRQF_NO_THREAD (git-fixes).
- net: cdc-phonet: fix data-interface release on probe failure
  (git-fixes).
- mac80211: fix double free in ibss_leave (git-fixes).
- mac80211: fix rate mask reset (git-fixes).
- platform/x86: intel-vbtn: Stop reporting SW_DOCK events
  (git-fixes).
- drm/radeon: fix AGP dependency (git-fixes).
- gpiolib: acpi: Add missing IRQF_ONESHOT (git-fixes).
- ACPI: scan: Rearrange memory allocation in acpi_device_add()
  (git-fixes).
- gianfar: Account for Tx PTP timestamp in the skb headroom
  (git-fixes).
- gianfar: Replace skb_realloc_headroom with skb_cow_head for PTP
  (git-fixes).
- net: gianfar: Add of_node_put() before goto statement
  (git-fixes).
- gianfar: Fix TX timestamping with a stacked DSA driver
  (git-fixes).
- commit dbf2451
* Wed Mar 31 2021 oneukum@suse.com
- blacklist.conf: the fix is cosmetic
- commit 5c3f4dc
* Wed Mar 31 2021 glin@suse.com
- bpf: Fix truncation handling for mod32 dst reg wrt zero
  (bsc#1184170 CVE-2021-3444).
- bpf: Fix 32 bit src register truncation on div/mod
  (bsc#1184170).
- commit af158b0
* Wed Mar 31 2021 glin@suse.com
- Update patches.suse/bpf-Fix-truncation-handling-for-mod32-dst-reg-wrt-ze.patch
  Update the tag for bsc#1184170 and CVE-2021-3444.
- commit ad1dd40
* Wed Mar 31 2021 tiwai@suse.de
- Update patch reference for a usbip fix (CVE-2021-29265 bsc#1184167)
- commit 6988aeb
* Wed Mar 31 2021 tiwai@suse.de
- gianfar: fix jumbo packets+napi+rx overrun crash (CVE-2021-29264
  bsc#1184168).
- commit 9ae0342
* Wed Mar 31 2021 tiwai@suse.de
- Update patch reference of a PCI fix (CVE-2021-28972 bsc#1184198)
- commit dc7fd0e
* Wed Mar 31 2021 mgorman@suse.de
- mm, numa: fix bad pmd by atomically check for pmd_trans_huge
  when marking page tables prot_numa (bsc#1168777).
- commit c5a52b2
* Wed Mar 31 2021 tiwai@suse.de
- net: qrtr: fix a kernel-infoleak in qrtr_recvmsg()
  (CVE-2021-29647 bsc#1184192).
- commit f71857e
* Wed Mar 31 2021 tiwai@suse.de
- Update patch reference of a sound fix (CVE-2021-28952 bsc#1184197)
- commit 5223811
* Wed Mar 31 2021 ddiss@suse.de
- ovl: fix dentry leak in ovl_get_redirect (bsc#1184176).
- ovl: fix unneeded call to ovl_change_flags() (bsc#1184176).
- ovl: fix regression with re-formatted lower squashfs
  (bsc#1184176).
- ovl: relax WARN_ON() when decoding lower directory file handle
  (bsc#1184176).
- ovl: initialize error in ovl_copy_xattr (bsc#1184176).
- ovl: fix out of date comment and unreachable code (bsc#1184176).
- ovl: fix value of i_ino for lower hardlink corner case
  (bsc#1184176).
- commit 6ae489b
* Tue Mar 30 2021 tbogendoerfer@suse.de
- ionic: linearize tso skb with too many frags (bsc#1167773).
- igc: Fix igc_ptp_rx_pktstamp() (bsc#1160634).
- commit 3e13df7
* Tue Mar 30 2021 tbogendoerfer@suse.de
- ionic: linearize tso skb with too many frags (bsc#1167773).
- nfp: flower: fix pre_tun mask id allocation (bsc#1154353).
- flow_dissector: fix byteorder of dissected ICMP ID
  (bsc#1154353).
- Revert "net: bonding: fix error return code of
  bond_neigh_init()" (bsc#1154353).
- igc: Fix igc_ptp_rx_pktstamp() (bsc#1160634).
- net/mlx5e: E-switch, Fix rate calculation division
  (jsc#SLE-8464).
- commit dcb0376
* Tue Mar 30 2021 oneukum@suse.com
- thunderbolt: Add support for Intel Tiger Lake-H (bsc#1184129).
- commit a872918
* Tue Mar 30 2021 dwagner@suse.de
- Replace ANA log reread patch
  Replace the fix with a simpler version. The upstream community
  has agreed on the simpler version after the ECN has been ratified.
  deleted:    patches.suse/nvme-re-read-ana-log-on-ns-changed-aen.patch
  new file:   patches.suse/nvme-retrigger-ana-log-update-if-group-descriptor-isn-t.patch
- commit 391a31f
* Tue Mar 30 2021 oneukum@suse.com
- thunderbolt: Introduce tb_switch_is_tiger_lake() (bsc#1184129).
- commit cb3c283
* Tue Mar 30 2021 tbogendoerfer@suse.de
- ch_ktls: fix enum-conversion warning (jsc#SLE-15129).
- net/mlx5e: Offload tuple rewrite for non-CT flows
  (jsc#SLE-15172).
- net/mlx5e: Allow to match on MPLS parameters only for MPLS
  over UDP (jsc#SLE-15172).
- net/mlx5: Add back multicast stats for uplink representor
  (jsc#SLE-15172).
- netfilter: flowtable: Make sure GC works periodically in idle
  system (bsc#1176447).
- netfilter: nftables: allow to update flowtable flags
  (bsc#1176447).
- netfilter: nftables: report EOPNOTSUPP on unsupported flowtable
  flags (bsc#1176447).
- nfp: flower: add ipv6 bit to pre_tunnel control message
  (bsc#1176447).
- net/mlx5e: RX, Mind the MPWQE gaps when calculating offsets
  (jsc#SLE-15172).
- commit bcf4d7a
* Tue Mar 30 2021 dwagner@suse.de
- nvme-fc: fix racing controller reset and create association
  (bsc#1183048).
- commit 69b4441
* Tue Mar 30 2021 dwagner@suse.de
- Move patches.suse/nvme-fc-avoid-calling-_nvme_fc_abort_outstanding_ios-from-interrupt-context.patch
  Move the patch into the sorted section.
- commit d6d55ac
* Tue Mar 30 2021 dwagner@suse.de
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/scsi-lpfc-Change-wording-of-invalid-pci-reset-log-me.patch
  patches.suse/scsi-lpfc-Correct-function-header-comments-related-t.patch
  patches.suse/scsi-lpfc-Fix-ADISC-handling-that-never-frees-nodes.patch
  patches.suse/scsi-lpfc-Fix-FLOGI-failure-due-to-accessing-a-freed.patch
  patches.suse/scsi-lpfc-Fix-PLOGI-ACC-to-be-transmit-after-REG_LOG.patch
  patches.suse/scsi-lpfc-Fix-crash-caused-by-switch-reboot.patch
  patches.suse/scsi-lpfc-Fix-dropped-FLOGI-during-pt2pt-discovery-r.patch
  patches.suse/scsi-lpfc-Fix-incorrect-dbde-assignment-when-buildin.patch
  patches.suse/scsi-lpfc-Fix-lpfc_els_retry-possible-null-pointer-d.patch
  patches.suse/scsi-lpfc-Fix-nodeinfo-debugfs-output.patch
  patches.suse/scsi-lpfc-Fix-null-pointer-dereference-in-lpfc_prep_.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-connection-does-not-recover-afte.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-state-transition-causing-rmmod-h.patch
  patches.suse/scsi-lpfc-Fix-reftag-generation-sizing-errors.patch
  patches.suse/scsi-lpfc-Fix-stale-node-accesses-on-stale-RRQ-reque.patch
  patches.suse/scsi-lpfc-Fix-status-returned-in-lpfc_els_retry-erro.patch
  patches.suse/scsi-lpfc-Fix-unnecessary-null-check-in-lpfc_release.patch
  patches.suse/scsi-lpfc-Fix-use-after-free-in-lpfc_els_free_iocb.patch
  patches.suse/scsi-lpfc-Fix-vport-indices-in-lpfc_find_vport_by_vp.patch
  patches.suse/scsi-lpfc-Reduce-LOG_TRACE_EVENT-logging-for-vports.patch
  patches.suse/scsi-lpfc-Update-copyrights-for-12.8.0.7-and-12.8.0..patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.8.patch
- commit 9b02aba
* Tue Mar 30 2021 colyli@suse.de
- mm/mremap_pages: fix static key devmap_managed_key updates
  (bsc#1181787).
- commit e836b25
* Tue Mar 30 2021 tiwai@suse.de
- iwlwifi: Fix MODULE_FIRMWARE() ucode definitions for SLE15-SP3
  (bsc#1183860).
- commit 8e0bc83
* Tue Mar 30 2021 glin@suse.com
- bpf: Add sanity check for upper ptr_limit (bsc#1183686
  bsc#1183775).
- bpf: Simplify alu_limit masking for pointer arithmetic
  (bsc#1183686 bsc#1183775).
- bpf: Fix off-by-one for area size in creating mask to left
  (bsc#1183775 CVE-2020-27171).
- bpf: Prohibit alu ops for pointer types not defining ptr_limit
  (bsc#1183686 CVE-2020-27170).
- commit d95f56b
* Mon Mar 29 2021 martin.wilck@suse.com
- scsi: target: pscsi: Clean up after failure in pscsi_map_sg()
  (bsc#1183843).
- commit 1af614d
* Mon Mar 29 2021 martin.wilck@suse.com
- scsi: target: pscsi: Avoid OOM in pscsi_map_sg() (bsc#1183843).
- commit 036f522
* Mon Mar 29 2021 msuchanek@suse.de
- powerpc/64s/exception: Clean up a missed SRR specifier
  (jsc#SLE-9246 git-fixes).
- powerpc: Fix inverted SET_FULL_REGS bitop (jsc#SLE-9246
  git-fixes).
- commit 7437426
* Mon Mar 29 2021 msuchanek@suse.de
- blacklist.conf: Add 5ae5fbd21079 powerpc/perf: Fix handling of privilege
  level checks in perf interrupt context
- commit a7c4b4d
* Mon Mar 29 2021 msuchanek@suse.de
- scsi: ibmvfc: Make ibmvfc_wait_for_ops() MQ aware (bsc#1184111
  ltc#192232).
- scsi: ibmvfc: Fix potential race in ibmvfc_wait_for_ops()
  (bsc#1184111 ltc#192232).
- commit ecee0a9
* Mon Mar 29 2021 mbrugger@suse.com
- arm64/crash_core: Export TCR_EL1.T1SZ in vmcoreinfo
  (bsc#1179863).
- crash_core, vmcoreinfo: Append 'MAX_PHYSMEM_BITS' to vmcoreinfo
  (bsc#1179863).
- commit 3277e15
* Mon Mar 29 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/netsec-restore-phy-power-state-after-controller-rese.patch
- commit a6a1fc0
* Sun Mar 28 2021 tiwai@suse.de
- drm/msm: Fix suspend/resume on i.MX5 (git-fixes).
- drm/amdgpu/display: restore AUX_DPHY_TX_CONTROL for DCN2.x
  (git-fixes).
- commit 048049e
* Sun Mar 28 2021 tiwai@suse.de
- can: peak_usb: Revert "can: peak_usb: add forgotten supported
  devices" (git-fixes).
- commit ab32250
* Sun Mar 28 2021 tiwai@suse.de
- ACPI: video: Add missing callback back for Sony VPCEH3U1E
  (git-fixes).
- ACPICA: Always create namespace nodes using
  acpi_ns_create_node() (git-fixes).
- drm/msm: fix shutdown hook in case GPU components failed to bind
  (git-fixes).
- can: m_can: m_can_do_rx_poll(): fix extraneous msg loss warning
  (git-fixes).
- can: c_can: move runtime PM enable/disable to c_can_platform
  (git-fixes).
- can: c_can_pci: c_can_pci_remove(): fix use-after-free
  (git-fixes).
- can: flexcan: flexcan_chip_freeze(): fix chip freeze for
  missing bitrate (git-fixes).
- can: peak_usb: add forgotten supported devices (git-fixes).
- commit 54aa0c3
* Fri Mar 26 2021 ematsumiya@suse.de
- nvme-tcp: fix possible hang when failing to set io queues
  (bsc#1181161).
- commit 7c2d106
* Fri Mar 26 2021 tiwai@suse.de
- r8169: fix DMA being used after buffer free if WoL is enabled
  (git-fixes).
- i915/perf: Start hrtimer only if sampling the OA buffer
  (git-fixes).
- drm/amd/display: Correct algorithm for reversed gamma
  (git-fixes).
- drm/amdgpu/display: use GFP_ATOMIC in
  dcn21_validate_bandwidth_fp() (git-fixes).
- drm/amd/display: turn DPMS off on connector unplug (git-fixes).
- commit 055deb9
* Fri Mar 26 2021 alnovak@suse.cz
- kernel/smp: make csdlock timeout depend on boot parameter
  (bsc#1180846).
  Explanation: this patch is meant to enable customers who encounter "lost
  IPI" issue to adjust the timeout to match their environment. The root
  cause is being investigated and we hope to drop it in the future.
- commit 8e8af38
* Wed Mar 24 2021 acho@suse.com
- s390/vtime: fix increased steal time accounting (bsc#1183859).
- commit 5026f60
* Wed Mar 24 2021 acho@suse.com
- s390/vtime: fix increased steal time accounting (bsc#1183859).
- commit c966973
* Wed Mar 24 2021 tiwai@suse.de
- usb: typec: tcpm: Invoke power_supply_changed for
  tcpm-source-psy- (git-fixes).
- usb-storage: Add quirk to defeat Kindle's automatic unload
  (git-fixes).
- usb: gadget: configfs: Fix KASAN use-after-free (git-fixes).
- USB: replace hardcode maximum usb string length by definition
  (git-fixes).
- commit fe3af72
* Wed Mar 24 2021 tiwai@suse.de
- Revert "PM: runtime: Update device status before letting
  suppliers suspend" (git-fixes).
- commit cc82105
* Tue Mar 23 2021 msuchanek@suse.de
- Refresh patch metadata.
- Refresh patches.suse/PCI-rpadlpar-Fix-potential-drc_name-corruption-in-st.patch.
- Refresh patches.suse/powerpc-pseries-mobility-handle-premature-return-fro.patch.
- Refresh patches.suse/powerpc-pseries-mobility-use-struct-for-shared-state.patch.
- Refresh patches.suse/scsi-ibmvfc-Free-channel_setup_buf-during-device-tea.patch.
- commit 815f258
* Tue Mar 23 2021 dwagner@suse.de
- nvme-fc: return NVME_SC_HOST_ABORTED_CMD when a command has
  been aborted (bsc#1180197).
- nvme-fc: set NVME_REQ_CANCELLED in nvme_fc_terminate_exchange()
  (bsc#1180197).
- nvme: add NVME_REQ_CANCELLED flag in nvme_cancel_request()
  (bsc#1180197).
- nvme: simplify error logic in nvme_validate_ns() (bsc#1180197).
- commit fbf98de
* Tue Mar 23 2021 dwagner@suse.de
- series.conf: cleanup
  - move mainline patches into sorted section
  patches.suse/PCI-rpadlpar-Fix-potential-drc_name-corruption-in-st.patch
  patches.suse/nvme-allocate-the-keep-alive-request-using-BLK_MQ_RE.patch
  patches.suse/nvme-fabrics-only-reserve-a-single-tag.patch
  patches.suse/nvme-merge-nvme_keep_alive-into-nvme_keep_alive_work.patch
  patches.suse/scsi-ibmvfc-Free-channel_setup_buf-during-device-tea.patch
  patches.suse/scsi-lpfc-Change-wording-of-invalid-pci-reset-log-me.patch
  patches.suse/scsi-lpfc-Correct-function-header-comments-related-t.patch
  patches.suse/scsi-lpfc-Fix-ADISC-handling-that-never-frees-nodes.patch
  patches.suse/scsi-lpfc-Fix-FLOGI-failure-due-to-accessing-a-freed.patch
  patches.suse/scsi-lpfc-Fix-PLOGI-ACC-to-be-transmit-after-REG_LOG.patch
  patches.suse/scsi-lpfc-Fix-crash-caused-by-switch-reboot.patch
  patches.suse/scsi-lpfc-Fix-dropped-FLOGI-during-pt2pt-discovery-r.patch
  patches.suse/scsi-lpfc-Fix-incorrect-dbde-assignment-when-buildin.patch
  patches.suse/scsi-lpfc-Fix-lpfc_els_retry-possible-null-pointer-d.patch
  patches.suse/scsi-lpfc-Fix-nodeinfo-debugfs-output.patch
  patches.suse/scsi-lpfc-Fix-null-pointer-dereference-in-lpfc_prep_.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-connection-does-not-recover-afte.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-state-transition-causing-rmmod-h.patch
  patches.suse/scsi-lpfc-Fix-reftag-generation-sizing-errors.patch
  patches.suse/scsi-lpfc-Fix-stale-node-accesses-on-stale-RRQ-reque.patch
  patches.suse/scsi-lpfc-Fix-status-returned-in-lpfc_els_retry-erro.patch
  patches.suse/scsi-lpfc-Fix-unnecessary-null-check-in-lpfc_release.patch
  patches.suse/scsi-lpfc-Fix-use-after-free-in-lpfc_els_free_iocb.patch
  patches.suse/scsi-lpfc-Fix-vport-indices-in-lpfc_find_vport_by_vp.patch
  patches.suse/scsi-lpfc-Reduce-LOG_TRACE_EVENT-logging-for-vports.patch
  patches.suse/scsi-lpfc-Update-copyrights-for-12.8.0.7-and-12.8.0..patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.8.patch
- commit c32363d
* Tue Mar 23 2021 dwagner@suse.de
- Drop patches.suse/nvme-return-an-error-if-nvme_set_queue_count-fails.patch
  Upstream fixed the problem differently than we have done in
  SLE15-SP2. Remove the SLE15-SP2 fix so that we can import then
  upstream fix for SLE15-SP3.
- commit 15d6660
* Tue Mar 23 2021 denis.kirjanov@suse.com
- net: korina: cast KSEG0 address to pointer in kfree (git-fixes).
- commit cfb1933
* Tue Mar 23 2021 tbogendoerfer@suse.de
- Refresh
  patches.suse/net-mlx5e-Fix-CQ-params-of-ICOSQ-and-async-ICOSQ.patch.
  Fixed backport (bsc#1183773)
- commit 9959a4b
* Mon Mar 22 2021 msuchanek@suse.de
- net: core: introduce __netdev_notify_peers (bsc#1183871
  ltc#192139).
- commit 658d714
* Mon Mar 22 2021 bp@suse.de
- EDAC/amd64: Get rid of the ECC disabled long message
  (bsc#1183815).
- commit 47c3bba
* Mon Mar 22 2021 msuchanek@suse.de
- ibmvnic: prefer strscpy over strlcpy (bsc#1183871 ltc#192139).
- ibmvnic: remove unused spinlock_t stats_lock definition
  (bsc#1183871 ltc#192139).
- ibmvnic: add comments for spinlock_t definitions (bsc#1183871
  ltc#192139).
- Refresh patches.suse/ibmvnic-serialize-access-to-work-queue-on-remove.patch
- Refresh patches.suse/net-re-solve-some-conflicts-after-net-net-next-merge.patch
- ibmvnic: fix miscellaneous checks (bsc#1183871 ltc#192139).
- ibmvnic: avoid multiple line dereference (bsc#1183871
  ltc#192139).
- ibmvnic: fix braces (bsc#1183871 ltc#192139).
- ibmvnic: fix block comments (bsc#1183871 ltc#192139).
- Refresh patches.suse/ibmvnic-fix-a-race-between-open-and-reset.patch.
- Refresh patches.suse/ibmvnic-serialize-access-to-work-queue-on-remove.patch.
- Refresh patches.suse/net-re-solve-some-conflicts-after-net-net-next-merge.patch.
- ibmvnic: prefer 'unsigned long' over 'unsigned long int'
  (bsc#1183871 ltc#192139).
- ibmvnic: remove unnecessary rmb() inside ibmvnic_poll
  (bsc#1183871 ltc#192139).
- ibmvnic: rework to ensure SCRQ entry reads are properly ordered
  (bsc#1183871 ltc#192139).
- net: ethernet: ibm: ibmvnic: Fix some kernel-doc misdemeanours
  (bsc#1183871 ltc#192139).
- ibmvnic: merge do_change_param_reset into do_reset (bsc#1183871
  ltc#192139).
- Refresh patches.suse/ibmvnic-fix-a-race-between-open-and-reset.patch
- use __netdev_notify_peers in ibmvnic (bsc#1183871 ltc#192139).
- ibmvnic: prefer strscpy over strlcpy (bsc#1183871 ltc#192139).
- ibmvnic: remove unused spinlock_t stats_lock definition
  (bsc#1183871 ltc#192139).
- ibmvnic: add comments for spinlock_t definitions (bsc#1183871
  ltc#192139).
- Refresh patches.suse/ibmvnic-serialize-access-to-work-queue-on-remove.patch
- Refresh patches.suse/net-re-solve-some-conflicts-after-net-net-next-merge.patch
- ibmvnic: fix miscellaneous checks (bsc#1183871 ltc#192139).
- ibmvnic: avoid multiple line dereference (bsc#1183871
  ltc#192139).
- ibmvnic: fix braces (bsc#1183871 ltc#192139).
- ibmvnic: fix block comments (bsc#1183871 ltc#192139).
- Refresh patches.suse/ibmvnic-fix-a-race-between-open-and-reset.patch.
- Refresh patches.suse/ibmvnic-serialize-access-to-work-queue-on-remove.patch.
- Refresh patches.suse/net-re-solve-some-conflicts-after-net-net-next-merge.patch.
- ibmvnic: prefer 'unsigned long' over 'unsigned long int'
  (bsc#1183871 ltc#192139).
- ibmvnic: remove unnecessary rmb() inside ibmvnic_poll
  (bsc#1183871 ltc#192139).
- ibmvnic: rework to ensure SCRQ entry reads are properly ordered
  (bsc#1183871 ltc#192139).
- net: ethernet: ibm: ibmvnic: Fix some kernel-doc misdemeanours
  (bsc#1183871 ltc#192139).
- ibmvnic: merge do_change_param_reset into do_reset (bsc#1183871
  ltc#192139).
- Refresh patches.suse/ibmvnic-fix-a-race-between-open-and-reset.patch
- use __netdev_notify_peers in ibmvnic (bsc#1183871 ltc#192139).
- commit efd07e6
* Mon Mar 22 2021 bp@suse.de
- EDAC/amd64: Check for memory before fully initializing an
  instance (bsc#1183815).
- commit 6c70428
* Mon Mar 22 2021 bp@suse.de
- EDAC/amd64: Use cached data when checking for ECC (bsc#1183815).
- commit ef0c794
* Mon Mar 22 2021 varad.gautam@suse.com
- squashfs: fix xattr id and id lookup sanity checks (bsc#1183850).
- commit b1827ac
* Mon Mar 22 2021 varad.gautam@suse.com
- squashfs: fix inode lookup sanity checks (bsc#1183850).
- commit 9b5c651
* Mon Mar 22 2021 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patches out of sorted section
  patches.suse/0001-squashfs-fix-inode-lookup-sanity-checks.patch
  patches.suse/0002-squashfs-fix-xattr-id-and-id-lookup-sanity-checks.patch
- commit 1d6e2f2
* Mon Mar 22 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/PCI-rpadlpar-Fix-potential-drc_name-corruption-in-st.patch
  patches.suse/nvme-allocate-the-keep-alive-request-using-BLK_MQ_RE.patch
  patches.suse/nvme-fabrics-only-reserve-a-single-tag.patch
  patches.suse/nvme-merge-nvme_keep_alive-into-nvme_keep_alive_work.patch
- commit 2e4b640
* Mon Mar 22 2021 tiwai@suse.de
- usb: typec: tcpm: Invoke power_supply_changed for
  tcpm-source-psy- (git-fixes).
- usb: typec: Remove vdo[3] part of tps6598x_rx_identity_reg
  struct (git-fixes).
- thunderbolt: Initialize HopID IDAs in tb_switch_alloc()
  (git-fixes).
- drm/i915/gvt: Set SNOOP for PAT3 on BXT/APL to workaround GPU
  BB hang (git-fixes).
- commit 15bf327
* Mon Mar 22 2021 tiwai@suse.de
- iio: gyro: mpu3050: Fix error handling in
  mpu3050_trigger_handler (git-fixes).
- iio: hid-sensor-temperature: Fix issues of timestamp channel
  (git-fixes).
- iio: hid-sensor-humidity: Fix alignment issue of timestamp
  channel (git-fixes).
- iio: adis16400: Fix an error code in adis16400_initial_setup()
  (git-fixes).
- iio: adc: ad7949: fix wrong ADC result due to incorrect bit mask
  (git-fixes).
- iio: hid-sensor-prox: Fix scale not correct issue (git-fixes).
- iio:adc:qcom-spmi-vadc: add default scale to LR_MUX2_BAT_ID
  channel (git-fixes).
- usbip: Fix incorrect double assignment to udc->ud.tcp_rx
  (git-fixes).
- efi: use 32-bit alignment for efi_guid_t literals (git-fixes).
- firmware/efi: Fix a use after bug in efi_mem_reserve_persistent
  (git-fixes).
- commit 5066b61
* Sat Mar 20 2021 tiwai@suse.de
- ALSA: usb-audio: Fix unintentional sign extension issue
  (git-fixes).
- ASoC: rt711: add snd_soc_component remove callback (git-fixes).
- ASoC: qcom: lpass-cpu: Fix lpass dai ids parse (git-fixes).
- ASoC: codecs: wcd934x: add a sanity check in set channel map
  (git-fixes).
- ASoC: qcom: sdm845: Fix array out of range on rx slim channels
  (git-fixes).
- ASoC: qcom: sdm845: Fix array out of bounds access (git-fixes).
- ASoC: SOF: intel: fix wrong poll bits in dsp power down
  (git-fixes).
- ASoC: SOF: Intel: unregister DMIC device on probe error
  (git-fixes).
- ASoC: rt1015: fix i2c communication error (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP 850 G8
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP 440 G8
  (git-fixes).
- ALSA: hda/realtek: fix mute/micmute LEDs for HP 840 G8
  (git-fixes).
- ALSA: dice: fix null pointer dereference when node is
  disconnected (git-fixes).
- commit 3dfb189
* Sat Mar 20 2021 tiwai@suse.de
- Fix tag of SCSI subsystem patches in sorted section
  Otherwise series_sort doesn't work
- commit a1dd7fa
* Sat Mar 20 2021 tiwai@suse.de
- ASoC: rt5659: Update MCLK rate in set_sysclk() (git-fixes).
- ASoC: simple-card-utils: Do not handle device clock (git-fixes).
- commit f987c3c
* Sat Mar 20 2021 tiwai@suse.de
- ASoC: cs42l42: Always wait at least 3ms after reset (git-fixes).
- ASoC: cs42l42: Don't enable/disable regulator at Bias Level
  (git-fixes).
- ASoC: cs42l42: Fix mixer volume control (git-fixes).
- ASoC: cs42l42: Fix channel width support (git-fixes).
- commit 61d6928
* Sat Mar 20 2021 tiwai@suse.de
- ASoC: cs42l42: Fix Bitclock polarity inversion (git-fixes).
- ASoC: rt5651: Fix dac- and adc- vol-tlv values being off by
  a factor of 10 (git-fixes).
- ASoC: rt5640: Fix dac- and adc- vol-tlv values being off by
  a factor of 10 (git-fixes).
- ASoC: es8316: Simplify adc_pga_gain_tlv table (git-fixes).
- ASoC: sgtl5000: set DAP_AVC_CTRL register to correct default
  value on probe (git-fixes).
- commit 629faf0
* Sat Mar 20 2021 tiwai@suse.de
- ASoC: Intel: bytcr_rt5640: Fix HP Pavilion x2 10-p0XX OVCD
  current threshold (git-fixes).
- ASoC: rt5670: Add emulated 'DAC1 Playback Switch' control
  (git-fixes).
- ASoC: rt5670: Remove ADC vol-ctrl mute bits poking from Sto1
  ADC mixer settings (git-fixes).
- ASoC: rt5670: Remove 'HP Playback Switch' control (git-fixes).
- ASoC: rt5670: Remove 'OUT Channel Switch' control (git-fixes).
- ASoC: ak5558: Add MODULE_DEVICE_TABLE (git-fixes).
- ASoC: ak4458: Add MODULE_DEVICE_TABLE (git-fixes).
- ASoC: fsl_ssi: Fix TDM slot setup for I2S mode (git-fixes).
- commit 01440d8
* Sat Mar 20 2021 tiwai@suse.de
- ALSA: hda/realtek: apply pin quirk for XiaomiNotebook Pro
  (git-fixes).
- ALSA: hda/realtek: Apply headset-mic quirks for Xiaomi Redmibook
  Air (git-fixes).
- ALSA: hda: generic: Fix the micmute led init state (git-fixes).
- commit fc72277
* Sat Mar 20 2021 jbohac@suse.cz
- net: make __dev_alloc_name consider all name nodes when looking
  for (bsc#1180103).
- commit 3400412
* Fri Mar 19 2021 clin@suse.com
- Update
  patches.suse/s390-lock-down-kernel-in-secure-boot-mode.patch
  (bsc#1183746 jsc#SLE-7741).
- commit e9dda35
* Fri Mar 19 2021 pjakobsson@suse.de
- Add Alt-commit for duplicate
  Refresh
  patches.suse/1910-drm-amd-pm-setup-APU-dpm-clock-table-in-SMU-HW-initi.patch.
- commit 58a6d9c
* Fri Mar 19 2021 ptesarik@suse.cz
- s390/qeth: fix notification for pending buffers during teardown
  (git-fixes).
- s390/qeth: schedule TX NAPI on QAOB completion (git-fixes).
- s390/qeth: improve completion of pending TX buffers (git-fixes).
- s390/qeth: fix memory leak after failed TX Buffer allocation
  (git-fixes).
- commit ffdf1ba
* Fri Mar 19 2021 ptesarik@suse.cz
- s390/dasd: fix hanging IO request during DASD driver unbind
  (git-fixes).
- commit 77e1a65
* Fri Mar 19 2021 ptesarik@suse.cz
- s390/cio: return -EFAULT if copy_to_user() fails (git-fixes).
- s390/crypto: return -EFAULT if copy_to_user() fails (git-fixes).
- s390/cio: return -EFAULT if copy_to_user() fails (git-fixes).
- commit 86038a4
* Fri Mar 19 2021 yousaf.kaukab@suse.com
- netsec: restore phy power state after controller reset
  (bsc#1183756).
- commit 45d0550
* Fri Mar 19 2021 varad.gautam@suse.com
- squashfs: fix xattr id and id lookup sanity checks (bsc#1183750).
- commit 8006352
* Fri Mar 19 2021 varad.gautam@suse.com
- squashfs: fix inode lookup sanity checks (bsc#1183750).
- commit cd40a2e
* Fri Mar 19 2021 otto.hollmann@suse.com
- PCI/LINK: Remove bandwidth notification (bsc#1183712).
- commit 56c94c5
* Fri Mar 19 2021 yousaf.kaukab@suse.com
- netsec: restore phy power state after controller reset
  (bsc#1183757).
- commit 05da5bc
* Fri Mar 19 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Add missing BOOTUP_DEFAULT to profile_name[]'
- commit 82b8ebe
* Fri Mar 19 2021 tzimmermann@suse.de
- drm/msm: Fix races managing the OOB state for timestamp vs (bsc#1152489)
  Backporting notes:
  * context changes
- commit 58990b2
* Fri Mar 19 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/msm: Fix race of GPU init vs timestamp power management.'
- commit 5232b67
* Fri Mar 19 2021 tzimmermann@suse.de
- drm/vc4: hdmi: Restore cec physical address on reconnect (bsc#1152472)
  Backporting notes:
  * context changes
  * change vc4_hdmi to vc4->hdmi
  * removed references to encoder->hdmi_monitor
- commit 7cd936b
* Fri Mar 19 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Prevent shift wrapping in amdgpu_read_mask()'
- commit 6048fb7
* Fri Mar 19 2021 tzimmermann@suse.de
- drm/mediatek: Fix aal size config (bsc#1152489)
  Backporting notes:
  * replaced mtk_ddp_write() with writel()
- commit 5d50b21
* Fri Mar 19 2021 tzimmermann@suse.de
- drm/nouveau: bail out of nouveau_channel_new if channel init fails (bsc#1152489)
  Backporting notes:
  * replaces patches.suse/drm-bail-out-of-nouveau_channel_new-if-channel-init-.patch
- commit b88077f
* Fri Mar 19 2021 tzimmermann@suse.de
- drm/sun4i: tcon: fix inverted DCLK polarity (bsc#1152489)
  Backporting notes:
  * context changes
- commit 0c124bb
* Thu Mar 18 2021 pjakobsson@suse.de
- drm/amdgpu/swsmu: add interrupt work handler for smu11 parts
  (git-fixes).
- commit f97424e
* Thu Mar 18 2021 dwagner@suse.de
- nvmet-rdma: Fix list_del corruption on queue establishment
  failure (bsc#1183501).
- commit 8d20dc6
* Thu Mar 18 2021 pjakobsson@suse.de
- drm/amdgpu/swsmu: add interrupt work function (git-fixes).
- commit c8bf617
* Thu Mar 18 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/1910-drm-amd-pm-setup-APU-dpm-clock-table-in-SMU-HW-initi.patch.
- commit 680f414
* Thu Mar 18 2021 msuchanek@suse.de
- powerpc/book3s64/radix: Remove WARN_ON in destroy_context()
  (bsc#1183692 ltc#191963).
- commit 418290b
* Thu Mar 18 2021 dwagner@suse.de
- nvme: allocate the keep alive request using BLK_MQ_REQ_NOWAIT
  (bsc#1182077).
- nvme: merge nvme_keep_alive into nvme_keep_alive_work
  (bsc#1182077).
- nvme-fabrics: only reserve a single tag (bsc#1182077).
- commit c67a454
* Thu Mar 18 2021 tiwai@suse.de
- Update patch reference of x25 fix (CVE-2020-35519 bsc#1183696)
- commit 6cd53a3
* Thu Mar 18 2021 msuchanek@suse.de
- powerpc/pseries/mobility: handle premature return from H_JOIN
  (bsc#1183662 ltc#191922).
- powerpc/pseries/mobility: use struct for shared state
  (bsc#1183662 ltc#191922).
- commit 36f1612
* Thu Mar 18 2021 tiwai@suse.de
- usbip: fix vudc to check for stream socket (git-fixes).
- Refresh
  patches.suse/usbip-fix-vudc-usbip_sockfd_store-races-leading-to-g.patch.
- commit ecca945
* Thu Mar 18 2021 tiwai@suse.de
- xhci: Fix repeated xhci wake after suspend due to uncleared
  internal wake state (git-fixes).
- xhci: Improve detection of device initiated wake signal
  (git-fixes).
- commit 594832e
* Thu Mar 18 2021 tiwai@suse.de
- usbip: fix vhci_hcd to check for stream socket (git-fixes).
- Refresh
  patches.suse/usbip-fix-vhci_hcd-attach_store-races-leading-to-gpf.patch.
- commit a57cde3
* Thu Mar 18 2021 tiwai@suse.de
- usbip: fix stub_dev to check for stream socket (git-fixes).
- Refresh
  patches.suse/usbip-fix-stub_dev-usbip_sockfd_store-races-leading-.patch.
- commit 2ae7114
* Thu Mar 18 2021 tiwai@suse.de
- staging: rtl8712: Fix possible buffer overflow in
  r8712_sitesurvey_cmd (git-fixes).
- usb: xhci: Fix ASMedia ASM1042A and ASM3242 DMA addressing
  (git-fixes).
- USB: serial: ch341: add new Product ID (git-fixes).
- USB: serial: cp210x: add some more GE USB IDs (git-fixes).
- USB: serial: cp210x: add ID for Acuity Brands nLight Air Adapter
  (git-fixes).
- USB: usblp: fix a hang in poll() if disconnected (git-fixes).
- spi: stm32: make spurious and overrun interrupts visible
  (git-fixes).
- commit bc51b9d
* Thu Mar 18 2021 tiwai@suse.de
- staging: rtl8192e: Fix possible buffer overflow in
  _rtl92e_wx_set_scan (git-fixes).
- media: v4l: vsp1: Fix uif null pointer access (git-fixes).
- media: v4l: vsp1: Fix bru null pointer access (git-fixes).
- PCI: xgene-msi: Fix race in installing chained irq handler
  (git-fixes).
- PCI: mediatek: Add missing of_node_put() to fix reference leak
  (git-fixes).
- PCI: Fix pci_register_io_range() memory leak (git-fixes).
- Input: applespi - don't wait for responses to commands
  indefinitely (git-fixes).
- mmc: mxs-mmc: Fix a resource leak in an error handling path in
  'mxs_mmc_probe()' (git-fixes).
- Platform: OLPC: Fix probe error handling (git-fixes).
- commit 3f405a7
* Thu Mar 18 2021 tiwai@suse.de
- Goodix Fingerprint device is not a modem (git-fixes).
- drm/compat: Clear bounce structures (git-fixes).
- ethernet: alx: fix order of calls on resume (git-fixes).
- ath9k: fix transmitting to stations in dynamic SMPS mode
  (git-fixes).
- i2c: rcar: optimize cacheline to minimize HW race condition
  (git-fixes).
- i2c: rcar: faster irq code to minimize HW race condition
  (git-fixes).
- commit 31fcf0f
* Thu Mar 18 2021 tiwai@suse.de
- blacklist.conf: Add capbilities entry that was reverted
- commit dc865b3
* Wed Mar 17 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/drm-amdgpu-Fix-invalid-number-of-character-in-amdgpu.patch.
- commit 82ef447
* Wed Mar 17 2021 tiwai@suse.de
- Update patch reference of r8188eu fix (CVE-2021-28660 bsc#1183593)
- commit fc23dca
* Wed Mar 17 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/ibmvnic-Fix-possibly-uninitialized-old_num_tx_queues.patch.
- Refresh
  patches.suse/ibmvnic-always-store-valid-MAC-address.patch.
- commit b49d041
* Wed Mar 17 2021 aabdallah@suse.de
- fnic: use scsi_host_busy_iter() to traverse commands
  (bsc#1179851).
- scsi: core: add scsi_host_busy_iter() (bsc#1179851).
- commit 583e298
* Wed Mar 17 2021 jack@suse.cz
- Update tags
  patches.suse/ext4-check-journal-inode-extents-more-carefully.patch
  (bsc#1173485 bsc#1183509 CVE-2021-3428).
- commit 41a8fa6
* Wed Mar 17 2021 oneukum@suse.com
- padata: upgrade smp_mb__after_atomic to smp_mb in
  padata_do_serial (bsc#1178648).
- commit f3ee3cb
* Wed Mar 17 2021 jroedel@suse.de
- iommu/qcom: add missing put_device() call in qcom_iommu_of_xlate() (bsc#1183637).
- commit de5577f
* Wed Mar 17 2021 tiwai@suse.de
- drm/lima: fix reference leak in lima_pm_busy (git-fixes).
- drm/tegra: Fix reference leak when pm_runtime_get_sync() fails
  (git-fixes).
- drm: rcar-du: Fix PM reference leak in rcar_cmm_enable()
  (git-fixes).
- commit 2a493b3
* Wed Mar 17 2021 tiwai@suse.de
- amd/amdgpu: Disable VCN DPG mode for Picasso (git-fixes).
- commit f34c818
* Wed Mar 17 2021 tiwai@suse.de
- HSI: Fix PM usage counter unbalance in ssi_hw_init (git-fixes).
- hwmon: (ina3221) Fix PM usage counter unbalance in
  ina3221_write_enable (git-fixes).
- gpio: zynq: fix reference leak in zynq_gpio functions
  (git-fixes).
- net: fec: Fix reference count leak in fec series ops
  (git-fixes).
- commit e27c26d
* Wed Mar 17 2021 tiwai@suse.de
- Update patch reference for fastrpc fix (CVE-2021-28375 bsc#1183596)
- commit 00ee058
* Wed Mar 17 2021 bp@suse.de
- x86/fsgsbase/64: Fix NULL deref in 86_fsgsbase_read_task
  (bsc#1152489).
- commit f996a8c
* Wed Mar 17 2021 bp@suse.de
- blacklist.conf: e504e74cc3a2 x86/unwind/orc: Disable KASAN checking in the ORC unwinder, part 2
- commit 12930ec
* Tue Mar 16 2021 tiwai@suse.de
- ALSA: usb-audio: fix use after free in usb_audio_disconnect
  (bsc#1182552 bsc#1183598).
- ALSA: usb-audio: fix NULL ptr dereference in usb_audio_probe
  (bsc#1182552 bsc#1183598).
- commit 8173e6a
* Tue Mar 16 2021 tiwai@suse.de
- Update bug reference for USB-audio fixes (bsc#1182552 bsc#1183598)
- commit cd602fc
* Tue Mar 16 2021 tiwai@suse.de
- Move upstreamed sound fixes into sorted section
- commit 4b54f4c
* Tue Mar 16 2021 msuchanek@suse.de
- Refresh sorted section.
- commit c4b4430
* Tue Mar 16 2021 msuchanek@suse.de
- rpadlpar: fix potential drc_name corruption in store functions
  (bsc#1183416 ltc#191079).
- commit cfa810c
* Tue Mar 16 2021 denis.kirjanov@suse.com
- net: stmmac: Use rtnl_lock/unlock on
  netif_set_real_num_rx_queues() call (git-fixes).
- commit aa3dcbf
* Tue Mar 16 2021 tzimmermann@suse.de
- drm/panfrost: Remove unused variables in panfrost_job_close() (bsc#1152472)
- commit 1350ad6
* Tue Mar 16 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Move the GPU reset bits outside the timeout handler'
- commit 5140c1f
* Tue Mar 16 2021 dbueso@suse.de
- Delete patches.suse/powerpc-Implement-smp_cond_load_relaxed.patch
  This has been shown to hurt performance at various levels when
  using qspinlocks (bsc#1182161).
- commit 6cec69e
* Mon Mar 15 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/ibmvnic-Fix-possibly-uninitialized-old_num_tx_queues.patch.
- Refresh
  patches.suse/ibmvnic-always-store-valid-MAC-address.patch.
- commit b83f198
* Mon Mar 15 2021 rgoldwyn@suse.com
- binfmt_misc: fix possible deadlock in bm_register_write
  (git-fixes).
- configfs: fix a use-after-free in __configfs_open_file
  (git-fixes).
- mount: fix mounting of detached mounts onto targets that reside
  on shared mounts  (git-fixes).
- mm: hugetlbfs: fix cannot migrate the fallocated HugeTLB page
  (git-fixes).
- epoll: check for events when removing a timed out thread from
  the wait queue  (git-fixes).
- proc: fix lookup in /proc/net subdirectories after setns(2)
  (git-fixes).
- apparmor: check/put label on apparmor_sk_clone_security()
  (git-fixes).
- apparmor: Fix aa_label refcnt leak in policy_update
  (git-fixes).
- exec: Move would_dump into flush_old_exec  (git-fixes).
- fuse: verify write return  (git-fixes).
- commit 55b045e
* Mon Mar 15 2021 ailiop@suse.com
- xfs: group quota should return EDQUOT when prj quota enabled
  (bsc#1180980).
- commit dbe17e3
* Mon Mar 15 2021 msuchanek@suse.de
- Delete patches.suse/sched-Reenable-interrupts-in-do_sched_yield.patch
  (bsc#1183530)
  This patch has been pointed out to break boot on qemu version 3 with
  azure config.
- commit d2d00bd
* Mon Mar 15 2021 jroedel@suse.de
- Refresh patches.suse/x86-sev-es-add-a-runtime-vc-exception-handler.
- Refresh patches.suse/x86-sev-es-handle-db-events.
  Remove lockdep_assert_irqs_disabled() from
  patches.suse/x86-sev-es-add-a-runtime-vc-exception-handler.
  It can't possibly work correctly on a 5.3 kernel because
  there is no NMI-safe hardirq state tracking yet.
- commit 1234b14
* Mon Mar 15 2021 jroedel@suse.de
- blacklist.conf: Add 62441a1fb532 x86/sev-es: Correctly track IRQ states in runtime #VC handler
- commit 1b48e04
* Mon Mar 15 2021 jroedel@suse.de
- x86/sev-es: Use __copy_from_user_inatomic() (bsc#1183553).
- x86/sev-es: Check regs->sp is trusted before adjusting #VC
  IST stack (bsc#1183551).
- x86/sev-es: Introduce ip_within_syscall_gap() helper
  (bsc#1183552).
- commit 8bcc6e7
* Mon Mar 15 2021 aaptel@suse.com
- smb3: Fix out-of-bounds bug in SMB2_negotiate() (bsc#1183540).
- commit 860b1de
* Mon Mar 15 2021 aaptel@suse.com
- cifs: check pointer before freeing (bsc#1183534).
- commit 03b0110
* Mon Mar 15 2021 dwagner@suse.de
- nvme-hwmon: Return error code when registration fails
  (bsc#1177326).
- commit 73e4ae9
* Mon Mar 15 2021 dwagner@suse.de
- nvme-fabrics: fix kato initialization (bsc#1182591).
- commit 4bcdc01
* Mon Mar 15 2021 dwagner@suse.de
- Remove patches.suse/nvme-hwmon-Return-error-code-when-registration-fails.patch
  hwmon_init() has no return value, hence we don't need this patch. The
  patch is only relevant for SLE15-SP3.
- commit b165e35
* Mon Mar 15 2021 denis.kirjanov@suse.com
- bnxt_en: Re-write PCI BARs after PCI fatal error (git-fixes). - Refresh patches.suse/bnxt_en-Fix-AER-recovery.patch.
- commit 05952f2
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: hdlc_raw_eth: Clear the IFF_TX_SKB_SHARING flag after calling ether_setup (git-fixes).
- commit d9b9ce4
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: hdlc: In hdlc_rcv, check to make sure dev is an HDLC device (git-fixes).
- commit 85c34ec
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: fec: Fix phy_device lookup for phy_reset_after_clk_enable() (git-fixes).
- commit 6a3b52e
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: korina: fix kfree of rx/tx descriptor array (git-fixes).
- commit f8b10af
* Mon Mar 15 2021 jgross@suse.com
- xen/events: avoid handling the same event on two cpus at the
  same time (git-fixes).
- commit d3a2816
* Mon Mar 15 2021 jgross@suse.com
- xen/events: don't unmask an event channel when an eoi is pending
  (git-fixes).
- commit 29c2c45
* Mon Mar 15 2021 tiwai@suse.de
- blacklist.conf: Add an inapplicable etnry for rtw88
- commit 65391e2
* Mon Mar 15 2021 jgross@suse.com
- xen/events: reset affinity of 2-level event when tearing it down
  (git-fixes).
- commit 43f9b1d
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: fec: Fix PHY init after phy_reset_after_clk_enable() (git-fixes).
- commit 93f1c3c
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: enic: Cure the enic api locking trainwreck (git-fixes).
- commit ee3b02c
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: dsa: rtl8366rb: Support all 4096 VLANs (git-fixes).
- commit abc3215
* Mon Mar 15 2021 jgross@suse.com
- Update
  patches.suse/Xen-gnttab-handle-p2m-update-errors-on-a-per-slot-ba.patch
  (bsc#1183022 XSA-367 CVE-2021-28038): added CVE number
- Update
  patches.suse/xen-netback-respect-gnttab_map_refs-s-return-value.patch
  (bsc#1183022 XSA-367 CVE-2021-28038): added CVE number
- commit 49dfaa1
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/msm: Fix WARN_ON() splat in _free_object() (bsc#1152489)
  Backporting notes:
  * context changes
- commit f2973f5
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/panfrost: Don't corrupt the queue mutex on open/close (bsc#1152472)
  Backporting notes:
  * context changes
- commit ab54c88
* Mon Mar 15 2021 jgross@suse.com
- Update
  patches.suse/Xen-gnttab-handle-p2m-update-errors-on-a-per-slot-ba.patch
  (bsc#1183022 XSA-367 CVE-2021-28038): added CVE number
- Update
  patches.suse/xen-netback-respect-gnttab_map_refs-s-return-value.patch
  (bsc#1183022 XSA-367 CVE-2021-28038): added CVE number
- commit 91d5751
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: stmmac: use netif_tx_start|stop_all_queues() function (git-fixes).
- commit 2c830e3
* Mon Mar 15 2021 denis.kirjanov@suse.com
- net: stmmac: Fix incorrect location to set real_num_rx|tx_queues (git-fixes).
- commit 952bf43
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/msm/gem: Add obj->lock wrappers (bsc#1152489)
  Backporting notes:
  * taken for 9b73bde39cf2 ("drm/msm: Fix use-after-free in msm_gem with carveout")
  * context changes
- commit 37d3ff2
* Mon Mar 15 2021 tbogendoerfer@suse.de
- RDMA/cm: Fix IRQ restore in ib_send_cm_sidr_rep (jsc#SLE-15176).
- commit c9eeebe
* Mon Mar 15 2021 tbogendoerfer@suse.de
- net: bonding: fix error return code of bond_neigh_init()
  (bsc#1154353).
- bnxt_en: reliably allocate IRQ table on reset to avoid crash
  (jsc#SLE-8371 bsc#1153274).
- commit f06fb53
* Mon Mar 15 2021 tzimmermann@suse.de
- drm: rcar-du: Fix crash when using LVDS1 clock for CRTC (bsc#1152489)
  Backporting notes:
  * context changes
- commit 69d2605
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/amd/powerplay: fix spelling mistake "smu_state_memroy_block" -> (bsc#1152489)
  Backporting notes:
  * rename amd/pm to amd/powerplay
  * context changes
- commit 6a3acb4
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/amdkfd: Put ACPI table after using it (bsc#1152489)
  Backporting notes:
  * context changes
- commit c115d9f
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/msm: Fix use-after-free in msm_gem with carveout (bsc#1152489)
  Backporting notes:
  * context changes
- commit 485d7ba
* Mon Mar 15 2021 tzimmermann@suse.de
- drm/panfrost: Fix job timeout handling (bsc#1152472)
  Backporting notes:
  * context changes
- commit ef50c07
* Mon Mar 15 2021 tzimmermann@suse.de
- video: fbdev: acornfb: remove free_unused_pages() (bsc#1152489)
- commit 979bc2a
* Mon Mar 15 2021 tiwai@suse.de
- binfmt_misc: fix possible deadlock in bm_register_write
  (git-fixes).
- misc/pvpanic: Export module FDT device table (git-fixes).
- misc: fastrpc: restrict user apps from sending kernel RPC
  messages (git-fixes).
- staging: rtl8188eu: prevent ->ssid overflow in rtw_wx_set_scan()
  (git-fixes).
- staging: rtl8188eu: fix potential memory corruption in
  rtw_check_beacon_data() (git-fixes).
- staging: rtl8192u: fix ->ssid overflow in r8192_wx_set_scan()
  (git-fixes).
- staging: comedi: pcl818: Fix endian problem for AI command data
  (git-fixes).
- staging: comedi: pcl711: Fix endian problem for AI command data
  (git-fixes).
- staging: comedi: me4000: Fix endian problem for AI command data
  (git-fixes).
- staging: comedi: dmm32at: Fix endian problem for AI command data
  (git-fixes).
- staging: comedi: das800: Fix endian problem for AI command data
  (git-fixes).
- staging: comedi: das6402: Fix endian problem for AI command data
  (git-fixes).
- staging: comedi: adv_pci1710: Fix endian problem for AI command
  data (git-fixes).
- staging: comedi: addi_apci_1500: Fix endian problem for command
  sample (git-fixes).
- staging: comedi: addi_apci_1032: Fix endian problem for COS
  sample (git-fixes).
- staging: ks7010: prevent buffer overflow in ks_wlan_set_scan()
  (git-fixes).
- staging: rtl8712: unterminated string leads to read overflow
  (git-fixes).
- usb: xhci: do not perform Soft Retry for some xHCI hosts
  (git-fixes).
- USB: serial: io_edgeport: fix memory leak in edge_startup
  (git-fixes).
- usbip: fix vudc usbip_sockfd_store races leading to gpf
  (git-fixes).
- usbip: fix vhci_hcd attach_store() races leading to gpf
  (git-fixes).
- usbip: fix stub_dev usbip_sockfd_store() races leading to gpf
  (git-fixes).
- usb: dwc3: qcom: Add missing DWC3 OF node refcount decrement
  (git-fixes).
- usb: renesas_usbhs: Clear PIPECFG for re-enabling pipe with
  other EPNUM (git-fixes).
- usb: dwc3: qcom: Honor wakeup enabled/disabled state
  (git-fixes).
- usb: gadget: f_uac1: stop playback on function disable
  (git-fixes).
- usb: gadget: f_uac2: always increase endpoint max_packet_size
  by one audio slot (git-fixes).
- USB: gadget: u_ether: Fix a configfs return code (git-fixes).
- commit e8f5b15
* Sat Mar 13 2021 tiwai@suse.de
- ALSA: usb-audio: Fix Pioneer DJM devices URB_CONTROL request
  direction to set samplerate (git-fixes).
- ALSA: usb-audio: add mixer quirks for Pioneer DJM-900NXS2
  (git-fixes).
- ALSA: usb-audio: Add DJM750 to Pioneer mixer quirk (git-fixes).
- ALSA: usb-audio: Add DJM-450 to the quirks table (git-fixes).
- ALSA: usb-audio: Add DJM450 to Pioneer format quirk (git-fixes).
- ALSA: usb-audio: Add support for Pioneer DJM-750 (git-fixes).
- ALSA: usb-audio: Convert the last strlcpy() usage (git-fixes).
- ALSA: usb-audio: Convert remaining strlcpy() to strscpy()
  (git-fixes).
- ALSA: Convert strlcpy to strscpy when return value is unused
  (git-fixes).
- commit 8cf6568
* Sat Mar 13 2021 tiwai@suse.de
- ALSA: usb-audio: Fix "RANGE setting not yet supported" errors
  (git-fixes).
- ALSA: usb-audio: Skip the clock selector inquiry for single
  connections (git-fixes).
- ALSA: usb: Use DIV_ROUND_UP() instead of open-coding it
  (git-fixes).
- commit 761b71c
* Sat Mar 13 2021 tiwai@suse.de
- Move upstreamed HD-audio fixes into sorted section
- commit 61816e8
* Sat Mar 13 2021 tiwai@suse.de
- ALSA: hda/ca0132: Add Sound BlasterX AE-5 Plus support
  (git-fixes).
- ALSA: hda/conexant: Add quirk for mute LED control on HP ZBook
  G5 (git-fixes).
- ALSA: hda: ignore invalid NHLT table (git-fixes).
- commit 490714c
* Sat Mar 13 2021 tiwai@suse.de
- block: rsxx: fix error return code of rsxx_pci_probe()
  (git-fixes).
- software node: Fix node registration (git-fixes).
- mmc: cqhci: Fix random crash when remove mmc module/card
  (git-fixes).
- mmc: core: Fix partition switch time for eMMC (git-fixes).
- commit c895b3d
* Sat Mar 13 2021 tiwai@suse.de
- ALSA: hda/hdmi: Cancel pending works before suspend (git-fixes).
- ALSA: hda: Avoid spurious unsol event handling during S3/S4
  (git-fixes).
- ALSA: hda: Drop the BATCH workaround for AMD controllers
  (git-fixes).
- commit dcc7c7c
* Sat Mar 13 2021 tiwai@suse.de
- Move upstreamed sound fixes into sorted section
- commit 8879ec1
* Fri Mar 12 2021 dfaggioli@suse.com
- kABI: repair after "nVMX: Properly handle userspace interrupt window request"
  Restore the signature of member function of kvm_x86_ops, which is kABI.
  The implementation does not use the second argument any longer, so mark
  it as __unused.
- commit ac3267f
* Fri Mar 12 2021 rgoldwyn@suse.com
- jfs: Fix array index bounds check in dbAdjTree  (bsc#1179454 CVE-2020-27815).
- commit 8c97baa
* Fri Mar 12 2021 tiwai@suse.de
- Refresh media fixes to the upstreamed version (bsc#1181104)
  Refreshed:
  patches.suse/media-dvb-usb-Fix-memory-leak-at-error-in-dvb_usb_de.patch
  patches.suse/media-dvb-usb-Fix-use-after-free-access.patch
- commit 0dafc68
* Fri Mar 12 2021 tiwai@suse.de
- Move upstreamed amdgpu patches into sorted section
- commit 7d79443
* Fri Mar 12 2021 dfaggioli@suse.com
- KVM x86: Extend AMD specific guest behavior to Hygon virtual CPUs
  (bsc#1183447).
- commit 07c11e6
* Fri Mar 12 2021 tiwai@suse.de
- ASoC: Intel: sof_sdw: reorganize quirks by generation
  (git-fixes).
- Refresh
  patches.suse/ASoC-Intel-sof-sdw-indent-and-add-quirks-consistentl.patch.
- commit 50ee7a3
* Fri Mar 12 2021 tiwai@suse.de
- drm/amd/display: Fix nested FPU context in
  dcn21_validate_bandwidth() (git-fixes).
- drm/shmem-helper: Don't remove the offset in vm_area_struct
  pgoff (git-fixes).
- drm/shmem-helper: Check for purged buffers in fault handler
  (git-fixes).
- ASoC: Intel: sof_sdw: add quirk for HP Spectre x360 convertible
  (git-fixes).
- Bluetooth: btqca: Add valid le states quirk (git-fixes).
- commit 30958f3
* Fri Mar 12 2021 dfaggioli@suse.com
- KVM: x86: Add helpers to perform CPUID-based guest vendor check
  (bsc#1183445).
  Also refreshes:
  patches.suse/kvm-x86-fix-cpuid-range-checks-for-hypervisor-and-centaur-classes.
- commit e678df6
* Fri Mar 12 2021 tiwai@suse.de
- mwifiex: pcie: skip cancel_work_sync() on reset failure path
  (git-fixes).
- commit c95acf7
* Fri Mar 12 2021 tiwai@suse.de
- drm: meson_drv add shutdown function (git-fixes).
- qxl: Fix uninitialised struct field head.surface_id (git-fixes).
- media: usbtv: Fix deadlock on suspend (git-fixes).
- media: rc: compile rc-cec.c into rc-core (git-fixes).
- drm/msm/a5xx: Remove overwriting A5XX_PC_DBG_ECO_CNTL register
  (git-fixes).
- misc: eeprom_93xx46: Add quirk to support Microchip 93LC46B
  eeprom (git-fixes).
- ACPICA: Fix race in generic_serial_bus (I2C) and GPIO op_region
  parameter handling (git-fixes).
- HID: i2c-hid: Add I2C_HID_QUIRK_NO_IRQ_AFTER_RESET for ITE8568
  EC on Voyo Winpad A15 (git-fixes).
- mmc: sdhci-of-dwcmshc: set SDHCI_QUIRK2_PRESET_VALUE_BROKEN
  (git-fixes).
- HID: mf: add support for 0079:1846 Mayflash/Dragonrise USB
  Gamecube Adapter (git-fixes).
- PCI: Add function 1 DMA alias quirk for Marvell 9215 SATA
  controller (git-fixes).
- ACPI: video: Add DMI quirk for GIGABYTE GB-BXBT-2807
  (git-fixes).
- platform/x86: acer-wmi: Add ACER_CAP_KBD_DOCK quirk for the
  Aspire Switch 10E SW3-016 (git-fixes).
- platform/x86: acer-wmi: Add support for SW_TABLET_MODE on
  Switch devices (git-fixes).
- platform/x86: acer-wmi: Add ACER_CAP_SET_FUNCTION_MODE
  capability flag (git-fixes).
- platform/x86: acer-wmi: Add new force_caps module parameter
  (git-fixes).
- platform/x86: acer-wmi: Cleanup accelerometer device handling
  (git-fixes).
- platform/x86: acer-wmi: Cleanup ACER_CAP_FOO defines
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for ARCHOS Cesium 140
  (git-fixes).
- media: cx23885: add more quirks for reset DMA on some AMD IOMMU
  (git-fixes).
- commit f5bb9e4
* Fri Mar 12 2021 msuchanek@suse.de
- gcc-plugins: simplify GCC plugin-dev capability test
  (bsc#1181862).
- update config files
  - GCC_PLUGINS=y
  - GCC_PLUGIN_CYC_COMPLEXITY=n
  - GCC_PLUGIN_LATENT_ENTROPY=n
  - GCC_PLUGIN_RANDSTRUCT=n
  - GCC_PLUGIN_STRUCTLEAK_USER=n
  - GCC_PLUGIN_STRUCTLEAK_BYREF=n
  - GCC_PLUGIN_STRUCTLEAK_BYREF_ALL=n
  - GCC_PLUGIN_STACKLEAK=n
- commit f16b7b9
* Fri Mar 12 2021 msuchanek@suse.de
- ibmvfc: free channel_setup_buf during device tear down
  (bsc#1183440 ltc#191464).
- commit b86b88e
* Fri Mar 12 2021 nmoreychaisemartin@suse.com
- RDMA/srp: Fix support for unpopulated and unbalanced NUMA nodes (bsc#1169709)
- commit 0d2798a
* Fri Mar 12 2021 dfaggioli@suse.com
- KVM: x86: Return -E2BIG when KVM_GET_SUPPORTED_CPUID hits max entries
  (bsc#1183428).
- commit 3773bcc
* Fri Mar 12 2021 dfaggioli@suse.com
- KVM: nVMX: Properly handle userspace interrupt window request
  (bsc#1183427).
- commit 3cc1c3a
* Fri Mar 12 2021 dfaggioli@suse.com
- kvm: svm: Update svm_xsaves_supported (jsc#SLE-13573).
- commit 2e53071
* Fri Mar 12 2021 dfaggioli@suse.com
- KVM: x86: Expose XSAVEERPTR to the guest (jsc#SLE-13573).
- commit 4f9517b
* Fri Mar 12 2021 dfaggioli@suse.com
- kvm: x86: Enumerate support for CLZERO instruction
  (jsc#SLE-13573).
- commit e2e8bf7
* Fri Mar 12 2021 mcgrof@suse.com
- patches.suse/0007-block-add-docs-for-gendisk-request_queue-refcount-he.patch:
  (bsc#1171295, git fixes (block drivers)).
- patches.suse/0008-block-revert-back-to-synchronous-request_queue-remov.patch:
  (bsc#1171295, git fixes (block drivers)).
- patches.suse/0009-blktrace-fix-debugfs-use-after-free.patch:
  (bsc#1171295, git fixes (block drivers)).
  Update patches related to bsc#1171295 which were merged sooner due to
  other reasons.
- commit 2cd1e12
* Thu Mar 11 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/PCI-Add-a-REBAR-size-quirk-for-Sapphire-RX-5600-XT-P.patch
- commit e2c9c81
* Thu Mar 11 2021 mkubecek@suse.cz
- series.conf: cleanup
- move mainline patches into sorted section
  patches.suse/btrfs-unlock-extents-in-btrfs_zero_range-in-case-of-errors.patch
  patches.suse/btrfs-free-correct-amount-of-space-in-btrfs_delayed_inode_reserve_metadata.patch
  patches.suse/btrfs-don-t-flush-from-btrfs_delayed_inode_reserve_metadata.patch
  (no effect on expanded tree)
- commit 00edfef
* Thu Mar 11 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/ibmvnic-Fix-possibly-uninitialized-old_num_tx_queues.patch
  patches.suse/ibmvnic-always-store-valid-MAC-address.patch
  patches.suse/powerpc-pseries-Don-t-enforce-MSI-affinity-with-kdum.patch
- commit 31cb799
* Thu Mar 11 2021 rgoldwyn@suse.com
- Update patches.suse/apparmor-Fix-use-after-free-in-aa_audit_rule_init.patch
  (CVE-2019-18814 bsc#1156256).
- commit 7636680
* Thu Mar 11 2021 dwagner@suse.de
- scsi: lpfc: Update copyrights for 12.8.0.7 and 12.8.0.8 changes
  (bsc#1182574).
- scsi: lpfc: Update lpfc version to 12.8.0.8 (bsc#1182574).
- scsi: lpfc: Correct function header comments related to ndlp
  reference counting (bsc#1182574).
- scsi: lpfc: Reduce LOG_TRACE_EVENT logging for vports
  (bsc#1182574).
- scsi: lpfc: Change wording of invalid pci reset log message
  (bsc#1182574).
- scsi: lpfc: Fix crash caused by switch reboot (bsc#1182574).
- scsi: lpfc: Fix pt2pt state transition causing rmmod hang
  (bsc#1182574).
- scsi: lpfc: Fix nodeinfo debugfs output (bsc#1182574).
- scsi: lpfc: Fix ADISC handling that never frees nodes
  (bsc#1182574).
- scsi: lpfc: Fix PLOGI ACC to be transmit after REG_LOGIN
  (bsc#1182574).
- scsi: lpfc: Fix dropped FLOGI during pt2pt discovery recovery
  (bsc#1182574).
- scsi: lpfc: Fix status returned in lpfc_els_retry() error exit
  path (bsc#1182574).
- scsi: lpfc: Fix use after free in lpfc_els_free_iocb
  (bsc#1182574).
- scsi: lpfc: Fix null pointer dereference in lpfc_prep_els_iocb()
  (bsc#1182574).
- scsi: lpfc: Fix unnecessary null check in lpfc_release_scsi_buf
  (bsc#1182574).
- scsi: lpfc: Fix pt2pt connection does not recover after LOGO
  (bsc#1182574).
- scsi: lpfc: Fix lpfc_els_retry() possible null pointer
  dereference (bsc#1182574).
- scsi: lpfc: Fix FLOGI failure due to accessing a freed node
  (bsc#1182574).
- scsi: lpfc: Fix stale node accesses on stale RRQ request
  (bsc#1182574).
- scsi: lpfc: Fix reftag generation sizing errors (bsc#1182574).
- scsi: lpfc: Fix vport indices in lpfc_find_vport_by_vpid()
  (bsc#1182574).
- scsi: lpfc: Fix incorrect dbde assignment when building target
  abts wqe (bsc#1182574).
- commit 19f4943
* Thu Mar 11 2021 mcgrof@suse.com
- patches.suse/loop-be-paranoid-on-exit-and-prevent-new-additions-r.patch: (bsc#1171295).
- commit e598133
* Thu Mar 11 2021 mcgrof@suse.com
- patches.suse/blktrace-annotate-required-lock-on-do_blk_trace_setu.patch: (bsc#1171295).
- commit b590c4c
* Thu Mar 11 2021 mcgrof@suse.com
- patches.suse/block-clarify-context-for-refcount-increment-helpers.patch: (bsc#1171295).
- commit 252fb3e
* Thu Mar 11 2021 dfaggioli@suse.com
- KVM: x86: do not reset microcode version on INIT or RESET
  (bsc#1183412).
- commit 16ce873
* Thu Mar 11 2021 mcgrof@suse.com
- patches.suse/blktrace-Avoid-sparse-warnings-when-assigning-q-blk_.patch: (bsc#1171295).
- commit fbf1322
* Thu Mar 11 2021 mcgrof@suse.com
- patches.suse/blktrace-break-out-of-blktrace-setup-on-concurrent-c.patch: (bsc#1171295).
- commit 3bfed47
* Thu Mar 11 2021 denis.kirjanov@suse.com
- net: mvneta: fix double free of txq->buf (git-fixes).
- commit 1c0789f
* Thu Mar 11 2021 denis.kirjanov@suse.com
- net: mvneta: make tx buffer array agnostic (git-fixes).
- commit 49c79a4
* Thu Mar 11 2021 denis.kirjanov@suse.com
- net: usb: ax88179_178a: fix missing stop entry in driver_info (git-fixes).
- commit c51e8e9
* Thu Mar 11 2021 denis.kirjanov@suse.com
- mdio: fix mdio-thunder.c dependency & build error (git-fixes).
- commit 89b67ef
* Thu Mar 11 2021 denis.kirjanov@suse.com
- net: ethernet: cavium: octeon_mgmt: use phy_start and phy_stop (git-fixes).
- commit c74de85
* Thu Mar 11 2021 denis.kirjanov@suse.com
- ice: fix memory leak in ice_vsi_setup (git-fixes).
- commit 7c0d558
* Thu Mar 11 2021 denis.kirjanov@suse.com
- ice: fix memory leak if register_netdev_fails (git-fixes).
- commit 8c0fdc3
* Thu Mar 11 2021 dwagner@suse.de
- nvme: remove nvme_identify_ns_list (bsc#1180197).
- nvme: refactor nvme_validate_ns (bsc#1180197).
- nvme: move nvme_validate_ns (bsc#1180197).
- nvme: query namespace identifiers before adding the namespace
  (bsc#1180197).
- nvme: revalidate zone bitmaps in nvme_update_ns_info
  (bsc#1180197).
- nvme: remove nvme_update_formats (bsc#1180197).
- nvme: update the known admin effects (bsc#1180197).
- nvme: set the queue limits in nvme_update_ns_info (bsc#1180197).
- nvme: remove the 0 lba_shift check in nvme_update_ns_info
  (bsc#1180197).
- nvme: clean up the check for too large logic block sizes
  (bsc#1180197).
- nvme: freeze the queue over ->lba_shift updates (bsc#1180197).
- nvme: factor out a nvme_configure_metadata helper (bsc#1180197).
- nvme: call nvme_identify_ns as the first thing in
  nvme_alloc_ns_block (bsc#1180197).
- nvme: lift the check for an unallocated namespace into
  nvme_identify_ns (bsc#1180197).
- nvme: rename __nvme_revalidate_disk (bsc#1180197).
- nvme: rename _nvme_revalidate_disk (bsc#1180197).
- nvme: rename nvme_validate_ns to nvme_validate_or_alloc_ns
  (bsc#1180197).
- nvme: remove the disk argument to nvme_update_zone_info
  (bsc#1180197).
- nvme: fix initialization of the zone bitmaps (bsc#1180197).
- nvme: opencode revalidate_disk in nvme_validate_ns
  (bsc#1180197).
- commit bf92aeb
* Thu Mar 11 2021 jroedel@suse.de
- Refresh
  patches.suse/iommu-vt-d-fix-kernel-null-pointer-dereference-in-find_domain.
- commit fca53e1
* Thu Mar 11 2021 dfaggioli@suse.com
- KVM: x86: list MSR_IA32_UCODE_REV as an emulated MSR
  (bsc#1183369).
- commit 3238faa
* Thu Mar 11 2021 jroedel@suse.de
- PM: runtime: Add pm_runtime_resume_and_get to deal with usage
  counter (bsc#1183366).
- commit a3fe770
* Thu Mar 11 2021 glin@suse.com
- Update bpf-Fix-signed_-sub-add32-_overflows-type-handling.patch
  Add the following tags: bsc#1183077, CVE-2021-20268
- commit 01dcc33
* Thu Mar 11 2021 jeyu@suse.de
- Import kabi reference files from the RC1 submission (commit 52197697dc8)
- commit f143546
* Thu Mar 11 2021 glin@suse.com
- bpf,x64: Pad NOPs to make images converge more easily
  (bsc#1178163).
- commit 9aadbb2
* Thu Mar 11 2021 denis.kirjanov@suse.com
- iavf: Fix incorrect adapter get in iavf_resume (git-fixes).
- commit f71dec5
* Thu Mar 11 2021 denis.kirjanov@suse.com
- iavf: use generic power management (git-fixes).
- commit 23712b8
* Thu Mar 11 2021 denis.kirjanov@suse.com
- net: stmmac: removed enabling eee in EEE set callback (git-fixes).
- commit d783a1f
* Thu Mar 11 2021 clin@suse.com
- s390: lock down kernel in secure boot mode (jsc#SLE-7741).
- Update config files.
- commit 1499b7b
* Wed Mar 10 2021 lduncan@suse.com
- Update
  patches.suse/scsi-iscsi-ensure-sysfs-attributes-are-limited-to-page_size
  (CVE-2021-27365 bsc#1182715).
- Update
  patches.suse/scsi-iscsi-restrict-sessions-and-handles-to-admin-capabilities
  (CVE-2021-27363 CVE-2021-27364 bsc#1182716 bsc#1182717).
- Update
  patches.suse/scsi-iscsi-verify-lengths-on-passthrough-pdus
  (CVE-2021-27365 bsc#1182715).
- commit da2d102
* Wed Mar 10 2021 dwagner@suse.de
- nvme: return an error if nvme_set_queue_count() fails
  (bsc#1180197).
- commit a1a57eb
* Wed Mar 10 2021 jroedel@suse.de
- iommu/vt-d: Avoid panic if iommu init fails in tboot system (bsc#1183315).
- Refresh
  patches.suse/x86-tboot-don-t-disable-swiotlb-when-iommu-is-forced-on.
- commit 457c28f
* Wed Mar 10 2021 rgoldwyn@suse.com
- locks: reinstate locks_delete_block optimization
  (CVE-2019-19769 bsc#1159280).
- locks: fix a potential use-after-free problem when wakeup a
  waiter  (CVE-2019-19769 bsc#1159280).
- commit 4a9973d
* Wed Mar 10 2021 jroedel@suse.de
- iommu/amd: Fix sleeping in atomic in increase_address_space()
  (bsc#1183310).
- iommu/vt-d: Fix status code for Allocate/Free PASID command
  (bsc#1183320).
- iommu/amd: Fix sleeping in atomic in increase_address_space()
  (bsc#1183310).
- vfio/iommu_type1: Populate full dirty when detach non-pinned
  group (bsc#1183326).
- iommu: Switch gather->end to the inclusive end (bsc#1183314).
- memory: mtk-smi: Fix PM usage counter unbalance in mtk_smi ops
  (bsc#1183325).
- KVM: x86: Set so called 'reserved CR3 bits in LM mask' at vCPU
  reset (bsc#1183324).
- KVM: x86: Allow guests to see MSR_IA32_TSX_CTRL even if tsx=off
  (bsc#1183323).
- iommu: Check dev->iommu in dev_iommu_priv_get() before
  dereferencing it (bsc#1183311).
- iommu/vt-d: Do not use flush-queue when caching-mode is on
  (bsc#1183317).
- iommu/vt-d: Correctly check addr alignment in
  qi_flush_dev_iotlb_pasid() (bsc#1183316).
- iommu/vt-d: Fix unaligned addresses for
  intel_flush_svm_range_dev() (bsc#1183321).
- iommu/vt-d: Fix ineffective devTLB invalidation for subdevices
  (bsc#1183319).
- iommu/vt-d: Fix general protection fault in aux_detach_device()
  (bsc#1183318).
- iommu/vt-d: Move intel_iommu info from struct intel_svm to
  struct intel_svm_dev (bsc#1183322).
- iommu/intel: Fix memleak in intel_irq_remapping_alloc
  (bsc#1183312).
- iommu/qcom: add missing put_device() call in
  qcom_iommu_of_xlate() (bsc#1183313).
- commit f8bf292
* Wed Mar 10 2021 msuchanek@suse.de
- Refresh ibmvfc patches to upstream version.
- commit e1a83f9
* Wed Mar 10 2021 tiwai@suse.de
- ALSA: hda/hdmi: Cancel pending works before suspend
  (bsc#1182377).
- ALSA: hda: Avoid spurious unsol event handling during S3/S4
  (bsc#1182377).
- ALSA: hda: Flush pending unsolicited events before suspend
  (bsc#1182377).
- commit de11888
* Wed Mar 10 2021 msuchanek@suse.de
- powerpc/sstep: Fix VSX instruction emulation (jsc#SLE-13847
  bsc#1180581 ltc#190174).
- commit 2216ba0
* Wed Mar 10 2021 msuchanek@suse.de
- ibmvnic: remove excessive irqsave (bsc#1182485 ltc#191591).
- commit 3c13549
* Wed Mar 10 2021 jroedel@suse.de
- KVM: x86: Set so called 'reserved CR3 bits in LM mask' at vCPU reset (bsc#1183288).
- Refresh
  patches.kabi/kABI-Fix-kABI-after-AMD-SEV-PCID-fixes.patch.
- commit cb76db4
* Wed Mar 10 2021 jroedel@suse.de
- iommu/amd: Fix sleeping in atomic in increase_address_space()
  (bsc#1183277).
- KVM: x86: Allow guests to see MSR_IA32_TSX_CTRL even if tsx=off
  (bsc#1183287).
- iommu/vt-d: Do not use flush-queue when caching-mode is on
  (bsc#1183282).
- iommu/vt-d: Correctly check addr alignment in
  qi_flush_dev_iotlb_pasid() (bsc#1183281).
- iommu/vt-d: Fix unaligned addresses for
  intel_flush_svm_range_dev() (bsc#1183285).
- iommu/vt-d: Fix ineffective devTLB invalidation for subdevices
  (bsc#1183284).
- iommu/vt-d: Fix general protection fault in aux_detach_device()
  (bsc#1183283).
- iommu/vt-d: Move intel_iommu info from struct intel_svm to
  struct intel_svm_dev (bsc#1183286).
- iommu/intel: Fix memleak in intel_irq_remapping_alloc
  (bsc#1183278).
- iommu/vt-d: Avoid panic if iommu init fails in tboot system
  (bsc#1183280).
- iommu/vt-d: Add get_domain_info() helper (bsc#1183279).
- commit b6d08d2
* Wed Mar 10 2021 bp@suse.de
- KVM: SVM: Clear the CR4 register on reset (bsc#1183252).
- commit e6e6e8c
* Wed Mar 10 2021 tiwai@suse.de
- r8169: fix r8168fp_adjust_ocp_cmd function (git-fixes).
- gpiolib: acpi: Allow to find GpioInt() resource by name and
  index (git-fixes).
- gpiolib: acpi: Add ACPI_GPIO_QUIRK_ABSOLUTE_NUMBER quirk
  (git-fixes).
- drm/amdgpu:disable VCN for Navi12 SKU (git-fixes).
- ALSA: usb-audio: use Corsair Virtuoso mapping for Corsair
  Virtuoso SE (git-fixes).
- r8169: Add support for another RTL8168FP (git-fixes).
- r8169: improve DASH support (git-fixes).
- drm/amdgpu: enable DCN for navi10 headless SKU (git-fixes).
- drm/amdgpu: rename nv_is_headless_sku() (git-fixes).
- drm/amdgpu: disable DCN and VCN for Navi14 0x7340/C9 SKU
  (git-fixes).
- commit 16a0ee9
* Wed Mar 10 2021 tiwai@suse.de
- netdevsim: init u64 stats for 32bit hardware (git-fixes).
- net: usb: qmi_wwan: allow qmimux add/del with master up
  (git-fixes).
- can: skb: can_skb_set_owner(): fix ref counting if socket was
  closed before setting skb ownership (git-fixes).
- can: flexcan: invoke flexcan_chip_freeze() to enter freeze mode
  (git-fixes).
- can: flexcan: enable RX FIFO after FRZ/HALT valid (git-fixes).
- can: flexcan: assert FRZ bit in flexcan_chip_freeze()
  (git-fixes).
- mt76: dma: do not report truncated frames to mac80211
  (git-fixes).
- gpio: pca953x: Set IRQ type when handle Intel Galileo Gen 2
  (git-fixes).
- drm/amdgpu: fix parameter error of RREG32_PCIE() in
  amdgpu_regs_pcie (git-fixes).
- usbip: tools: fix build error for multiple definition
  (git-fixes).
- commit 15f1b1c
* Wed Mar 10 2021 tiwai@suse.de
- arm64: select CPUMASK_OFFSTACK if NUMA (bsc#1183033,
  bsc#1183030).
- Update config files: CONFIG_CPUMASK_OFFSTACK=y for arm64
- commit 1e2e7ba
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: comment on the list
  To explain what it actually is.
- commit e94bacf
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: define ignores more strictly
  * search for whole words, so make wildcards explicit
  * use ' for quoting
  * prepend CONFIG_ dynamically, so it need not be in the list
- commit f61e954
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: sort the ignores
  They are growing so to make them searchable by humans.
- commit 67c6b55
* Wed Mar 10 2021 jslaby@suse.cz
- rpm/check-for-config-changes: add -mrecord-mcount ignore
  Added by 3b15cdc15956 (tracing: move function tracer options to Kconfig)
  upstream.
- commit 018b013
* Wed Mar 10 2021 lduncan@suse.com
- scsi: iscsi: Verify lengths on passthrough PDUs (CVE-2021-27365
  bsc#1182715).
- scsi: iscsi: Ensure sysfs attributes are limited to PAGE_SIZE
  (CVE-2021-27365 bsc#1182715).
- scsi: iscsi: Restrict sessions and handles to admin capabilities
  (CVE-2021-27363 CVE-2021-27364 bsc#1182716 bsc#1182717).
- commit e5416af
* Tue Mar  9 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-pseries-Don-t-enforce-MSI-affinity-with-kdum.patch.
  Update patch metadata.
- commit 5b5a037
* Tue Mar  9 2021 oneukum@suse.com
- crypto: qat - replace CRYPTO_AES with CRYPTO_LIB_AES in Kconfig
  (git-fixes).
- commit 79f6b38
* Tue Mar  9 2021 msuchanek@suse.de
- Update config files.
- commit a7710ca
* Tue Mar  9 2021 msuchanek@suse.de
- arm64: make STACKPROTECTOR_PER_TASK configurable (bsc#1181862).
- commit e710608
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net: gemini: Fix another missing clk_disable_unprepare()
  in probe (git-fixes).
- commit 6c94cd0
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: cpsw: fix clean up of vlan mc entries for
  host port (git-fixes).
- commit 05decbb
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net: arc_emac: Fix memleak in arc_mdio_probe (git-fixes).
- commit 5898dda
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net: gemini: Fix missing free_netdev() in error path of
  gemini_ethernet_port_probe() (git-fixes).
- commit a31c30f
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net: qcom/emac: add missed clk_disable_unprepare in error path
  of emac_clks_phase1_init (git-fixes).
- commit 8bcb8c8
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net/mlx5: Delete extra dump stack that gives nothing
  (git-fixes).
- commit 8adc626
* Tue Mar  9 2021 denis.kirjanov@suse.com
- fsl/fman: fix eth hash table allocation (git-fixes).
- commit 888f0c2
* Tue Mar  9 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-vdso-Replace-vdso_base-by-vdso.patch.
  Fix warnings.
- commit e4e515f
* Tue Mar  9 2021 denis.kirjanov@suse.com
- fsl/fman: check dereferencing null pointer (git-fixes).
- commit 8b2d58f
* Tue Mar  9 2021 denis.kirjanov@suse.com
- fsl/fman: fix unreachable code (git-fixes).
- commit 44dfe0c
* Tue Mar  9 2021 denis.kirjanov@suse.com
- fsl/fman: fix dereference null return value (git-fixes).
- commit 54941fb
* Tue Mar  9 2021 denis.kirjanov@suse.com
- fsl/fman: use 32-bit unsigned integer (git-fixes).
- commit b5edb51
* Tue Mar  9 2021 denis.kirjanov@suse.com
- net: spider_net: Fix the size used in a 'dma_free_coherent()'
  call (git-fixes).
- commit 62d1c07
* Tue Mar  9 2021 glin@suse.com
- bpf: Fix truncation handling for mod32 dst reg wrt zero
  (bsc#1177028).
- selftests/bpf: Convert test_xdp_redirect.sh to bash
  (bsc#1177028).
- commit c084826
* Tue Mar  9 2021 glin@suse.com
- bpf_lru_list: Read double-checked variable once without lock
  (bsc#1155518).
- bpf: Declare __bpf_free_used_maps() unconditionally
  (bsc#1155518).
- bpf: Avoid warning when re-casting __bpf_call_base into
  __bpf_call_base_args (bsc#1155518).
- commit 30d5020
* Tue Mar  9 2021 glin@suse.com
- bpf: Clear subreg_def for global function return values
  (bsc#1177028).
- bpf, devmap: Use GFP_KERNEL for xdp bulk queue allocation
  (bsc#1177028).
- libbpf: Ignore non function pointer member in struct_ops
  (bsc#1177028).
- bpf: Add bpf_patch_call_args prototype to include/linux/bpf.h
  (bsc#1177028).
- bpf: Fix 32 bit src register truncation on div/mod
  (bsc#1177028).
- bpf: Fix verifier jmp32 pruning decision logic (bsc#1177028).
- bpf: Fix verifier jsgt branch analysis on max bound
  (bsc#1177028).
- commit 4d1a1f2
* Tue Mar  9 2021 tiwai@suse.de
- ALSA: usb-audio: fix use after free in usb_audio_disconnect
  (bsc#1182552).
- ALSA: usb-audio: fix NULL ptr dereference in usb_audio_probe
  (bsc#1182552).
- commit e4781c6
* Mon Mar  8 2021 msuchanek@suse.de
- powerpc: Add kABI placeholder to struct pci_controller and
  mm_context_t (bsc#1183030).
- commit d01a093
* Mon Mar  8 2021 lduncan@suse.com
- scsi: iscsi: Verify lengths on passthrough PDUs (CVE-2021-27365
  bsc#182715).
- scsi: iscsi: Ensure sysfs attributes are limited to PAGE_SIZE
  (CVE-2021-27365 bsc#182715).
- scsi: iscsi: Restrict sessions and handles to admin capabilities
  (CVE-2021-27363 CVE-2021-27364 bsc#182716 bsc#182717).
- commit 71d447d
* Mon Mar  8 2021 tiwai@suse.de
- arch/arm64: Add a kABI placeholder for the future TLBI boradcast
  fixes (bsc#1183030).
- commit 7797213
* Mon Mar  8 2021 fweisbecker@suse.de
- blacklist.conf: Blacklist CONFIG_UCLAMP_TASK fixes
  dcd6dffb0a75 sched/core: Fix size of rq::uclamp initialization
  eaf5a92ebde5 sched/core: Fix reset-on-fork from RT with uclamp
  d81ae8aac85c sched/uclamp: Fix initialization of struct uclamp_rq
  46609ce22703 sched/uclamp: Protect uclamp fast path code with static key
- commit 04723ee
* Mon Mar  8 2021 jeyu@suse.de
- Rename duplicate patches to their SLE15-SP2 equivalents.
  This is to prepare for the next SLE15-SP2 -> SLE15-SP3 merge.
- commit 87e9aa1
* Mon Mar  8 2021 denis.kirjanov@suse.com
- net: ethernet: aquantia: Fix wrong return value (git-fixes).
- commit d7e8c64
* Mon Mar  8 2021 denis.kirjanov@suse.com
- net: dsa: rtl8366: Fix VLAN set-up (git-fixes).
- commit 332c76d
* Mon Mar  8 2021 dwagner@suse.de
- nvme-hwmon: Return error code when registration fails
  (bsc#1177326).
- commit 1f91b69
* Mon Mar  8 2021 vbabka@suse.cz
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
  Add KABI padding to mm_struct, which is mentioned in the patch description but
  was actually missing.
- commit 17c4dee
* Mon Mar  8 2021 denis.kirjanov@suse.com
- net: dsa: rtl8366: Fix VLAN semantics (git-fixes).
- commit eaed13b
* Mon Mar  8 2021 msuchanek@suse.de
- kbuild: improve cc-option to clean up all temporary files
  (bsc#1178330).
- Refresh patches.suse/livepatch-dump-ipa-clones.patch
- kbuild: use -S instead of -E for precise cc-option test in
  Kconfig (bsc#1178330).
- commit 9b47d75
* Mon Mar  8 2021 wqu@suse.com
- blacklist.conf: blacklist btrfs subpage RW related fixes
  As btrfs in SLE won't support subpage RW until SLE15-SP4.
- commit 74db4da
* Mon Mar  8 2021 tzimmermann@suse.de
- drm/i915/gem: Support parsing of oversize batches (bsc#1152489)
  Backporting notes:
  * context changes
- commit dc05c54
* Mon Mar  8 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Keep rings pinned while the context is active'
  Backporting notes:
  * ac65bdfef14a ("drm/i915: Keep rings pinned while the context is active")
  is in the v5.3 base tree, but got blacklisted with the wrong duplicate-of
  rev. The patch at hand fixes this.
- commit 81ad7e0
* Mon Mar  8 2021 tiwai@suse.de
- ASoC: Intel: sof_sdw: detect DMIC number based on mach params
  (git-fixes).
- ASoC: Intel: sof-sdw: indent and add quirks consistently
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add new BYT_RT5640_NO_SPEAKERS
  quirk-flag (git-fixes).
- Bluetooth: Add new HCI_QUIRK_NO_SUSPEND_NOTIFIER quirk
  (git-fixes).
- Bluetooth: btusb: fix memory leak on suspend and resume
  (git-fixes).
- drm/virtio: use kvmalloc for large allocations (git-fixes).
- commit 2f41145
* Mon Mar  8 2021 tiwai@suse.de
- udlfb: Fix memory leak in dlfb_usb_probe (git-fixes).
- vt/consolemap: do font sum unsigned (git-fixes).
- wlcore: Fix command execute failure 19 for wl12xx (git-fixes).
- rsi: Move card interrupt handling to RX thread (git-fixes).
- commit 9236947
* Mon Mar  8 2021 tiwai@suse.de
- net: usb: qmi_wwan: support ZTE P685M modem (git-fixes).
- crypto: tcrypt - avoid signed overflow in byte count
  (git-fixes).
- drm/amd/display: Guard against NULL pointer deref when
  get_i2c_info fails (git-fixes).
- PCI: Add a REBAR size quirk for Sapphire RX 5600 XT Pulse
  (git-fixes).
- drm/amdgpu: Add check to prevent IH overflow (git-fixes).
- drm/hisilicon: Fix use-after-free (git-fixes).
- media: uvcvideo: Allow entities with no pads (git-fixes).
- media: v4l2-ctrls.c: fix shift-out-of-bounds in std_validate
  (git-fixes).
- media: mceusb: sanity check for prescaler value (git-fixes).
- staging: bcm2835-audio: Replace unsafe strcpy() with strscpy()
  (git-fixes).
- staging: most: sound: add sanity check for function argument
  (git-fixes).
- staging: fwserial: Fix error handling in fwserial_create
  (git-fixes).
- brcmfmac: Add DMI nvram filename quirk for Voyo winpad A15
  tablet (git-fixes).
- brcmfmac: Add DMI nvram filename quirk for Predia Basic tablet
  (git-fixes).
- ath10k: fix wmi mgmt tx queue full due to race condition
  (git-fixes).
- Bluetooth: Fix null pointer dereference in
  amp_read_loc_assoc_final_data (git-fixes).
- Bluetooth: hci_h5: Set HCI_QUIRK_SIMULTANEOUS_DISCOVERY for
  btrtl (git-fixes).
- Input: elantech - fix protocol errors for some trackpoints in
  SMBus mode (git-fixes).
- rsi: Fix TX EAPOL packet handling against iwlwifi AP
  (git-fixes).
- commit 2608a34
* Mon Mar  8 2021 tiwai@suse.de
- ASoC: Intel: bytcr_rt5640: Add quirk for the Acer One S1002
  tablet (git-fixes).
- ASoC: Intel: bytcr_rt5651: Add quirk for the Jumper EZpad 7
  tablet (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Voyo Winpad A15
  tablet (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for the Estar Beauty HD
  MID 7316R tablet (git-fixes).
- ASoC: Intel: Add DMI quirk table to soc_intel_is_byt_cr()
  (git-fixes).
- commit 4e131ac
* Mon Mar  8 2021 nborisov@suse.com
- Refresh patches.suse/btrfs-don-t-flush-from-btrfs_delayed_inode_reserve_metadata.patch.
- Refresh
  patches.suse/btrfs-free-correct-amount-of-space-in-btrfs_delayed_inode_reserve_metadata.patch.
- Refresh
  patches.suse/btrfs-unlock-extents-in-btrfs_zero_range-in-case-of-errors.patch.
- commit bafd254
* Mon Mar  8 2021 jslaby@suse.cz
- kbuild: dummy-tools, support MPROFILE_KERNEL checks for ppc
  (bsc#1181862).
- commit d053b67
* Sat Mar  6 2021 tiwai@suse.de
- ACPI: bus: Constify is_acpi_node() and friends (part 2)
  (git-fixes).
- commit 5937701
* Sat Mar  6 2021 tiwai@suse.de
- rsxx: Return -EFAULT if copy_to_user() fails (git-fixes).
- PM: runtime: Update device status before letting suppliers
  suspend (git-fixes).
- commit e05652b
* Sat Mar  6 2021 tiwai@suse.de
- drm/amd/display: Add a backlight module option (bsc#1180749).
- drm/amdgpu/display: handle aux backlight in
  backlight_get_brightness (bsc#1180749).
- drm/amdgpu/display: don't assert in set backlight function
  (bsc#1180749).
- drm/amdgpu/display: simplify backlight setting (bsc#1180749).
- commit 5a8f9fa
* Sat Mar  6 2021 msuchanek@suse.de
- kbuild: stop filtering out $(GCC_PLUGINS_CFLAGS) from cc-option
  base (bcs#1181862).
- kbuild: include scripts/Makefile.* only when relevant CONFIG
  is enabled (bcs#1181862).
- commit 5819136
* Fri Mar  5 2021 msuchanek@suse.de
- gcc-plugins: drop support for GCC <= 4.7 (bcs#1181862).
- refresh config files (drop PLUGIN_HOSTCC)
- kconfig: introduce m32-flag and m64-flag (bcs#1181862).
- gcc-plugins: make it possible to disable CONFIG_GCC_PLUGINS
  again (bcs#1181862).
- kbuild: change *FLAGS_<basetarget>.o to take the path relative
  to $(obj) (bcs#1181862).
- kbuild: Fail if gold linker is detected (bcs#1181862).
- commit 9094f62
* Fri Mar  5 2021 msuchanek@suse.de
- powerpc/vdso: Retrieve sigtramp offsets at buildtime (bsc#1183002).
- Refresh patches.suse/powerpc-64-signal-Fix-regression-in-__kernel_sigtram.patch.
- powerpc/vdso: Replace vdso_base by vdso (bsc#1183002).
- commit 0f7fda0
* Fri Mar  5 2021 dmueller@suse.com
- ARMv6/v7: Update config files. (bsc#1183009)
  enable CONFIG_ARM_MODULE_PLTS to fix module loading issues
  (cherry picked from commit b3d2cd1b65794d32c02319c8e2376f15360ff8ec)
- commit 5723968
* Fri Mar  5 2021 msuchanek@suse.de
- kbuild: simplify GCC_PLUGINS enablement in dummy-tools/gcc
  (bcs#1181862).
- commit 77ad0cc
* Fri Mar  5 2021 msuchanek@suse.de
- kbuild: add dummy toolchains to enable all cc-option etc. in
  Kconfig (bcs#1181862).
- Delete patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch.
- commit 928cf1d
* Fri Mar  5 2021 dwagner@suse.de
- wireguard: kconfig: use arm chacha even with no neon
  (git-fixes).
- wireguard: device: do not generate ICMP for non-IP packets
  (git-fixes).
- wireguard: selftests: test multiple parallel streams
  (git-fixes).
- crypto: Kconfig - CRYPTO_MANAGER_EXTRA_TESTS requires the
  manager (git-fixes).
- crypto: arm64/poly1305-neon - reorder PAC authentication with
  SP update (git-fixes).
- commit c931ac8
* Fri Mar  5 2021 mbenes@suse.cz
- objtool: Fix ".cold" section suffix check for newer versions
  of GCC (bsc#1169514).
- commit 4b4e63c
* Fri Mar  5 2021 msuchanek@suse.de
- ibmvnic: always store valid MAC address (bsc#1182011 ltc#191844).
- commit 486024a
* Fri Mar  5 2021 jslaby@suse.cz
- rpm/check-for-config-changes: declare sed args as an array
  So that we can reuse it in both seds.
  This also introduces IGNORED_CONFIGS_RE array which can be easily
  extended.
- commit a1976d2
* Fri Mar  5 2021 tiwai@suse.de
- ALSA: hda: intel-nhlt: verify config type (git-fixes).
- commit 4504e76
* Fri Mar  5 2021 tiwai@suse.de
- ALSA: hda/realtek: Apply dual codec quirks for MSI Godlike
  X570 board (git-fixes).
- ALSA: hda/realtek: Add quirk for Intel NUC 10 (git-fixes).
- ALSA: hda/realtek: Add quirk for Clevo NH55RZQ (git-fixes).
- ALSA: hda/realtek: Enable headset mic of Acer SWIFT with ALC256
  (git-fixes).
- commit acba99b
* Fri Mar  5 2021 tiwai@suse.de
- Move upstreamed USB-audio fixes into sorted section
- commit 28c79bd
* Fri Mar  5 2021 tiwai@suse.de
- ALSA: ctxfi: cthw20k2: fix mask on conf to allow 4 bits
  (git-fixes).
- certs: Fix blacklist flag type confusion (git-fixes).
- commit 83ee089
* Fri Mar  5 2021 jgross@suse.com
- xen-netback: respect gnttab_map_refs()'s return value
  (bsc#1183022 XSA-367).
- commit 5a927d9
* Fri Mar  5 2021 jgross@suse.com
- Xen/gnttab: handle p2m update errors on a per-slot basis
  (bsc#1183022 XSA-367).
- commit b394e32
* Fri Mar  5 2021 jgross@suse.com
- xen-netback: respect gnttab_map_refs()'s return value
  (bsc#1183022 XSA-367).
- commit 53b7528
* Fri Mar  5 2021 jgross@suse.com
- Xen/gnttab: handle p2m update errors on a per-slot basis
  (bsc#1183022 XSA-367).
- commit 846e338
* Thu Mar  4 2021 tiwai@suse.de
- drm/amd/display: Remove Assert from dcn10_get_dig_frontend
  (git-fixes).
- drm/amd/display: Add vupdate_no_lock interrupts for DCN2.1
  (git-fixes).
- drm/amdgpu: Set reference clock to 100Mhz on Renoir (v2)
  (git-fixes).
- drm/amdkfd: Fix recursive lock warnings (git-fixes).
- drm/amd/display: Add FPU wrappers to dcn21_validate_bandwidth()
  (git-fixes).
- drm/modes: Switch to 64bit maths to avoid integer overflow
  (git-fixes).
- commit dbc87d2
* Thu Mar  4 2021 tiwai@suse.de
- watchdog: mei_wdt: request stop on unregister (git-fixes).
- commit 1de5431
* Thu Mar  4 2021 tiwai@suse.de
- pwm: rockchip: rockchip_pwm_probe(): Remove superfluous
  clk_unprepare() (git-fixes).
- PCI: qcom: Use PHY_REFCLK_USE_PAD only for ipq8064 (git-fixes).
- PCI: Align checking of syscall user config accessors
  (git-fixes).
- random: fix the RNDRESEEDCRNG ioctl (git-fixes).
- VMCI: Use set_page_dirty_lock() when unregistering guest memory
  (git-fixes).
- staging: rtl8188eu: Add Edimax EW-7811UN V2 to device table
  (git-fixes).
- USB: serial: option: update interface mapping for ZTE P685M
  (git-fixes).
- USB: serial: ftdi_sio: fix FTX sub-integer prescaler
  (git-fixes).
- usb: dwc3: gadget: Fix dep->interval for fullspeed interrupt
  (git-fixes).
- usb: dwc3: gadget: Fix setting of DEPCFG.bInterval_m1
  (git-fixes).
- commit b47408f
* Thu Mar  4 2021 tiwai@suse.de
- PCI: Decline to resize resources if boot config must be
  preserved (git-fixes).
- drivers/misc/vmw_vmci: restrict too big queue size in
  qp_host_alloc_queue (git-fixes).
- misc: rtsx: init of rts522a add OCP power off when no card is
  present (git-fixes).
- Input: i8042 - add ASUS Zenbook Flip to noselftest list
  (git-fixes).
- Input: raydium_ts_i2c - do not send zero length (git-fixes).
- Input: xpad - add support for PowerA Enhanced Wired Controller
  for Xbox Series X|S (git-fixes).
- mmc: sdhci-esdhc-imx: fix kernel panic when remove module
  (git-fixes).
- fbdev: aty: SPARC64 requires FB_ATY_CT (git-fixes).
- media: mceusb: Fix potential out-of-bounds shift (git-fixes).
- staging: gdm724x: Fix DMA from stack (git-fixes).
- commit 837d6c3
* Thu Mar  4 2021 tiwai@suse.de
- drm/msm/mdp5: Fix wait-for-commit for cmd panels (git-fixes).
- drm/msm/dsi: Correct io_start for MSM8994 (20nm PHY)
  (git-fixes).
- crypto: arm64/sha - add missing module aliases (git-fixes).
- crypto: bcm - Rename struct device_private to bcm_device_private
  (git-fixes).
- crypto: aesni - prevent misaligned buffers on the stack
  (git-fixes).
- drm/i915: Reject 446-480MHz HDMI clock on GLK (git-fixes).
- drm/nouveau/kms: handle mDP connectors (git-fixes).
- drm/sched: Cancel and flush all outstanding jobs before finish
  (git-fixes).
- commit d2c4de8
* Thu Mar  4 2021 jslaby@suse.cz
- rpm/check-for-config-changes: ignore more configs
  Specifially, these:
  * CONFIG_CC_HAS_*
  * CONFIG_CC_HAVE_*
  * CONFIG_CC_CAN_*
  * CONFIG_HAVE_[A-Z]*_COMPILER
  * CONFIG_TOOLS_SUPPORT_*
  are compiler specific too. This will allow us to use super configs
  using kernel's dummy-tools.
- commit d12dcbd
* Thu Mar  4 2021 mbenes@suse.cz
- objtool: Fix retpoline detection in asm code (bsc#1169514).
- commit 15a53c5
* Thu Mar  4 2021 msuchanek@suse.de
- ibmvnic: substitute mb() with dma_wmb() for send_*crq* functions
  (bsc#1183023 ltc#191791).
- ibmvnic: simplify reset_long_term_buff function (bsc#1183023
  ltc#191791).
- ibmvnic: substitute mb() with dma_wmb() for send_*crq* functions
  (bsc#1183023 ltc#191791).
- ibmvnic: simplify reset_long_term_buff function (bsc#1183023
  ltc#191791).
- commit 68ed094
* Thu Mar  4 2021 tiwai@suse.de
- dmaengine: move .device_release missing log warning to debug
  level (bsc#1182992).
- dmaengine: ioat: Support in-use unbind (bsc#1182992).
- commit fb94c70
* Thu Mar  4 2021 tiwai@suse.de
- Add kABI placeholders for ASoC (bsc#1179531).
- Add kABI placeholders for HD-audio (bsc#1179531).
- commit 9e31dbc
* Thu Mar  4 2021 pmladek@suse.com
- printk: fix deadlock when kernel panic (bsc#1183018).
- commit 069ec3d
* Thu Mar  4 2021 pmladek@suse.com
- printk: fix deadlock when kernel panic (bsc#1183018).
- commit 5021e3a
* Thu Mar  4 2021 mbenes@suse.cz
- objtool: Fix error handling for STD/CLD warnings (bsc#1169514).
- commit fb7ed7c
* Thu Mar  4 2021 tiwai@suse.de
- ALSA: usb-audio: Apply the control quirk to Plantronics headsets
  (bsc#1182552).
- ALSA: usb-audio: Fix "cannot get freq eq" errors on Dell AE515
  sound bar (bsc#1182552).
- ALSA: usb-audio: Disable USB autosuspend properly in
  setup_disable_autosuspend() (bsc#1182552).
- commit a815647
* Thu Mar  4 2021 yousaf.kaukab@suse.com
- config: net: freescale: change xgmac-mdio to built-in
  References: bsc#1183015,bsc#1182595
- commit b29b589
* Wed Mar  3 2021 msuchanek@suse.de
- Refresh patches.suse/ibmvnic-Fix-possibly-uninitialized-old_num_tx_queues.patch.
  Update patch metadata
- commit d8a9644
* Wed Mar  3 2021 tiwai@suse.de
- ALSA: usb: Add Plantronics C320-M USB ctrl msg delay quirk
  (bsc#1182552).
- commit 0a8c8cf
* Wed Mar  3 2021 tiwai@suse.de
- exfat: add the dummy mount options to be backward compatible
  with staging/exfat (bsc#1182989).
- commit d7a202d
* Wed Mar  3 2021 tiwai@suse.de
- exfat: add missing MODULE_ALIAS_FS() (bsc#1182989).
- commit d9a7a48
* Wed Mar  3 2021 tbogendoerfer@suse.de
- ice: update the number of available RSS queues (jsc#SLE-7926).
- ice: Fix state bits on LLDP mode switch (jsc#SLE-7926).
- net/mlx5: Disable devlink reload for lag devices (jsc#SLE-8464).
- ice: renegotiate link after FW DCB on (jsc#SLE-8464).
- commit 51a1824
* Wed Mar  3 2021 yousaf.kaukab@suse.com
- net: freescale: change xgmac-mdio to built-in
  References: bsc#1182595
- commit b25e0d8
* Wed Mar  3 2021 tbogendoerfer@suse.de
- RDMA/rtrs-srv: Do not pass a valid pointer to PTR_ERR()
  (jsc#SLE-15176).
- commit b3bb6ea
* Wed Mar  3 2021 tbogendoerfer@suse.de
- ice: update the number of available RSS queues (jsc#SLE-7926).
- ice: Fix state bits on LLDP mode switch (jsc#SLE-7926).
- ice: Set trusted VF as default VSI when setting allmulti on
  (jsc#SLE-12878).
- RDMA/rtrs-srv-sysfs: fix missing put_device (jsc#SLE-15176).
- RDMA/rtrs-srv: fix memory leak by missing kobject free
  (jsc#SLE-15176).
- RDMA/rtrs: Only allow addition of path to an already established
  session (jsc#SLE-15176).
- RDMA/rtrs-srv: Fix stack-out-of-bounds (jsc#SLE-15176).
- RDMA/ucma: Fix use-after-free bug in ucma_create_uevent
  (bsc#1181147).
- RDMA/mlx5: Allow creating all QPs even when non RDMA profile
  is used (jsc#SLE-15175).
- RDMA/rtrs: Fix KASAN: stack-out-of-bounds bug (jsc#SLE-15176).
- RDMA/rtrs-srv: Init wr_cnt as 1 (jsc#SLE-15176).
- RDMA/rtrs-srv: Do not signal REG_MR (jsc#SLE-15176).
- RDMA/rtrs-clt: Use bitmask to check sess->flags (jsc#SLE-15176).
- RDMA/rtrs: Do not signal for heatbeat (jsc#SLE-15176).
- RDMA/rtrs-clt: Refactor the failure cases in alloc_clt
  (jsc#SLE-15176).
- RDMA/rtrs-srv: Fix missing wr_cqe (jsc#SLE-15176).
- RDMA/rtrs: Call kobject_put in the failure path (jsc#SLE-15176).
- RDMA/rtrs-srv: Jump to dereg_mr label if allocate iu fails
  (jsc#SLE-15176).
- RDMA/rtrs-clt: Set mininum limit when create QP (jsc#SLE-15176).
- RDMA/rtrs-srv: Use sysfs_remove_file_self for disconnect
  (jsc#SLE-15176).
- RDMA/rtrs-srv: Release lock before call into close_sess
  (jsc#SLE-15176).
- RDMA/rtrs: Extend ibtrs_cq_qp_create (jsc#SLE-15176).
- net/mlx5e: kTLS, Use refcounts to free kTLS RX priv context
  (jsc#SLE-15172).
- net/mlx5e: Fix CQ params of ICOSQ and async ICOSQ
  (jsc#SLE-15172).
- net/mlx5e: Replace synchronize_rcu with synchronize_net
  (jsc#SLE-15172).
- net/mlx5e: Change interrupt moderation channel params also
  when channels are closed (jsc#SLE-15172).
- net/mlx5e: Enable XDP for Connect-X IPsec capable devices
  (jsc#SLE-15172).
- net/mlx5e: Enable striding RQ for Connect-X IPsec capable
  devices (jsc#SLE-15172).
- bnxt_en: Fix devlink info's stored fw.psid version format
  (jsc#SLE-16649).
- ice: log message when trusted VF goes in/out of promisc mode
  (jsc#SLE-12878).
- RDMA/rtrs: Introduce rtrs_post_send (jsc#SLE-15176).
- RDMA/rtrs: Remove unnecessary argument dir of rtrs_iu_free
  (jsc#SLE-15176).
- commit 4eae933
* Wed Mar  3 2021 jslaby@suse.cz
- kbuild: dummy-tools, fix inverted tests for gcc (bcs#1181862).
- commit e90afb3
* Wed Mar  3 2021 tbogendoerfer@suse.de
- ice: report correct max number of TCs (jsc#SLE-7926).
- RDMA/hns: Disable RQ inline by default (jsc#SLE-8449).
- RDMA/hns: Fix type of sq_signal_bits (jsc#SLE-8449).
- net/mlx5: Disallow RoCE on lag device (jsc#SLE-8464).
- net/mlx5: Disallow RoCE on multi port slave device
  (jsc#SLE-8464).
- net/mlx5: Disable devlink reload for multi port slave device
  (jsc#SLE-8464).
- net/mlx5e: E-switch, Fix rate calculation for overflow
  (jsc#SLE-8464).
- commit 5c94309
* Wed Mar  3 2021 tiwai@suse.de
- ALSA: usb-audio: Drop bogus dB range in too low level
  (bsc#1182552).
- ALSA: usb-audio: Don't abort even if the clock rate differs
  (bsc#1182552).
- ALSA: usb-audio: Allow modifying parameters with succeeding
  hw_params calls (bsc#1182552).
- commit 037cfcf
* Wed Mar  3 2021 dfaggioli@suse.com
- KVM: x86: Add RIP to the kvm_entry, i.e. VM-Enter, tracepoint
  Needed as a dependency of 0b40723a827 ("kvm: tracing: Fix unmatched
  kvm_entry and kvm_exit events", bsc#1182770).
- commit bca7352
* Tue Mar  2 2021 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section
  patches.suse/ibmvnic-Fix-possibly-uninitialized-old_num_tx_queues.patch
- commit be18357
* Tue Mar  2 2021 mkubecek@suse.cz
- Update kabi files.
- update from March 2021 maintenance update submission (commit c35b1245712f)
- commit ebf0b27
* Tue Mar  2 2021 msuchanek@suse.de
- ibmvnic: Fix possibly uninitialized old_num_tx_queues variable
  warning (jsc#SLE-17268).
- commit 2b2d062
* Tue Mar  2 2021 mbenes@suse.cz
- blacklist.conf: c7ff651960a6 ("blktrace: fix blk_rq_issue documentation")
  Cosmetic.
- commit ee4b49c
* Tue Mar  2 2021 mbenes@suse.cz
- blacklist.conf: 179d16007236 ("block: remove superfluous param in blk_fill_rwbs()")
  Cleanup only.
- commit ed3c6d0
* Tue Mar  2 2021 yousaf.kaukab@suse.com
- coresight: etm4x: Modify core-commit to avoid HiSilicon ETM
  overflow (jsc#SLE-14776).
- commit f817d44
* Tue Mar  2 2021 yousaf.kaukab@suse.com
- coresight: etm4x: Skip accessing TRCPDCR in save/restore
  (git-fixes).
- commit 8b8fa95
* Tue Mar  2 2021 jgross@suse.com
- kernel/smp: add more data to CSD lock debugging (bsc#1180846).
- commit 08badc9
* Tue Mar  2 2021 jgross@suse.com
- kernel/smp: prepare more CSD lock debugging (bsc#1180846).
- commit d717867
* Tue Mar  2 2021 jgross@suse.com
- Update config files: activate CONFIG_CSD_LOCK_WAIT_DEBUG for x86 (bsc#1180846).
- commit f88a325
* Tue Mar  2 2021 jgross@suse.com
- kernel/smp: add boot parameter for controlling CSD lock
  debugging (bsc#1180846).
- commit fb4cf71
* Tue Mar  2 2021 jgross@suse.com
- kernel/smp: Provide CSD lock timeout diagnostics (bsc#1180846).
- update config files (CSD_LOCK_WAIT_DEBUG=n)
- commit 59bec34
* Tue Mar  2 2021 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/ibmvnic-fix-a-race-between-open-and-reset.patch
- commit 9ab8f38
* Tue Mar  2 2021 jgross@suse.com
- kABI: Fix kABI after modifying struct __call_single_data
  (bsc#1180846).
- commit 3c0b378
* Tue Mar  2 2021 mkubecek@suse.cz
- series.conf: cleanup
- move submitted patches to appropriate section:
  patches.suse/btrfs-free-correct-amount-of-space-in-btrfs_delayed_inode_reserve_metadata.patch
  patches.suse/btrfs-don-t-flush-from-btrfs_delayed_inode_reserve_metadata.patch
  patches.suse/btrfs-cleanup-try_flush_qgroup.patch
  patches.suse/btrfs-remove-btrfs_inode-from-btrfs_delayed_inode_reserve_metadata.patch
  patches.suse/btrfs-simplify-code-flow-in-btrfs_delayed_inode_reserve_metadata.patch
  patches.suse/btrfs-unlock-extents-in-btrfs_zero_range-in-case-of-errors.patch
  (no effect on expanded tree)
- commit d631784
* Tue Mar  2 2021 jgross@suse.com
- smp: Add source and destination CPUs to __call_single_data
  (bsc#1180846).
- commit 10244d3
* Mon Mar  1 2021 msuchanek@suse.de
- powerpc/numa: Fix build when CONFIG_NUMA=n (bsc#1132477
  ltc#175530).
- commit be6fb41
* Mon Mar  1 2021 msuchanek@suse.de
- pseries/hotplug-memory: hot-add: skip redundant LMB lookup (bsc#1132477 ltc#175530).
- Refresh patches.suse/powerpc-pseries-group-lmb-operation-and-memblock-s.patch.
- commit 8cb9bdd
* Mon Mar  1 2021 msuchanek@suse.de
- powerpc/pseries: Don't enforce MSI affinity with kdump
  (bsc#1181655 ltc#190855).
- commit cfc7153
* Mon Mar  1 2021 msuchanek@suse.de
- pseries/drmem: don't cache node id in drmem_lmb struct (bsc#1132477 ltc#175530).
- Refresh patches.suse/powerpc-pseries-group-lmb-operation-and-memblock-s.patch.
- Refresh patches.suse/powerpc-pseries-update-device-tree-before-ejecting-h.patch.
- commit fe4f641
* Mon Mar  1 2021 palcantara@suse.de
- cifs: fix nodfs mount option (bsc#1181710).
- commit 94844a1
* Mon Mar  1 2021 palcantara@suse.de
- cifs: introduce helper for finding referral server
  (bsc#1181710).
- commit f74681b
* Mon Mar  1 2021 palcantara@suse.de
- cifs: check all path components in resolved dfs target
  (bsc#1181710).
- commit 91cd435
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: gemini: Fix missing clk_disable_unprepare() in error path of gemini_ethernet_port_probe() (git-fixes).
- commit 401e086
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: nixge: fix potential memory leak in nixge_probe() (git-fixes).
- commit cdc643b
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: hns3: fix for VLAN config when reset failed (git-fixes).
- commit 4209fa0
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: hns3: add reset check for VF updating port based VLAN
  (git-fixes).
- commit 9609b2a
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: ethernet: ave: Fix error returns in ave_init (git-fixes).
- commit 166a8fe
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: ag71xx: add missed clk_disable_unprepare in error path
  of probe (git-fixes).
- commit cead210
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: smc91x: Fix possible memory leak in smc_drv_probe()
  (git-fixes).
- commit 342b694
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: macb: fix call to pm_runtime in the suspend/resume
  functions (git-fixes).
- commit e7fb27b
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: macb: mark device wake capable when "magic-packet"
  property present (git-fixes).
- commit 3e9fa11
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: macb: fix wakeup test in runtime suspend/resume routines
  (git-fixes).
- commit 0dfe6dc
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: hns3: fix for mishandle of asserting VF reset fail
  (git-fixes).
- commit 0c2ca01
* Mon Mar  1 2021 denis.kirjanov@suse.com
- smsc95xx: avoid memory leak in smsc95xx_bind (git-fixes).
- commit 11f5fde
* Mon Mar  1 2021 denis.kirjanov@suse.com
- smsc95xx: check return value of smsc95xx_reset (git-fixes).
- commit 02e26ea
* Mon Mar  1 2021 denis.kirjanov@suse.com
- net: bcmgenet: use hardware padding of runt frames (git-fixes).
- commit b2f215a
* Mon Mar  1 2021 msuchanek@suse.de
- powerpc/optprobes: Remove unused routine
  patch_imm32_load_insns() (jsc#SLE-13847).
- commit f56b470
* Mon Mar  1 2021 msuchanek@suse.de
- powerpc/pseries/ras: Make init_ras_hotplug_IRQ() static
  (FATE#322022, bsc#1065729. git-fixes).
- powerpc/pseries/eeh: Make pseries_pcibios_bus_add_device()
  static (FATE#324970, bsc#1078720, git-fixes).
- commit 5742f0f
* Mon Mar  1 2021 lhenriques@suse.de
- docs: filesystems: vfs: correct flag name (bsc#1182857).
- commit f89f9ce
* Mon Mar  1 2021 lhenriques@suse.de
- blacklist.conf: d0995b53130e f2fs: add missing documents of reserve_root/resuid/resgid
- commit 63a6155
* Mon Mar  1 2021 lhenriques@suse.de
- docs: filesystems: vfs: correct flag name (bsc#1182856).
- commit 969c3e4
* Mon Mar  1 2021 lhenriques@suse.de
- blacklist.conf: d0995b53130e f2fs: add missing documents of reserve_root/resuid/resgid
- commit 95579b0
* Mon Mar  1 2021 lhenriques@suse.de
- ceph: fix flush_snap logic after putting caps (bsc#1182854).
- commit eacaa0a
* Mon Mar  1 2021 lhenriques@suse.de
- ceph: fix flush_snap logic after putting caps (bsc#1182853).
- commit 9a38be6
* Mon Mar  1 2021 ohering@suse.de
- Drivers: hv: vmbus: Avoid use-after-free in vmbus_onoffer_rescind() (git-fixes).
- commit a24afd4
* Mon Mar  1 2021 mkubecek@suse.cz
- rpm/kernel-source.spec.in: temporary workaround for a build failure
  Upstream c6x architecture removal left a dangling link behind which
  triggers openSUSE post-build check in kernel-source, failing
  kernel-source build.
  A fix deleting the danglink link has been submitted but it did not make
  it into 5.12-rc1. Unfortunately we cannot add it as a patch as patch
  utility does not handle symlink removal. Add a temporary band-aid which
  deletes all dangling symlinks after unpacking the kernel source tarball.
  [jslaby] It's not that temporary as we are dragging this for quite some
  time in master. The reason is that this can happen any time again, so
  let's have this in packaging instead.
- commit 52a1ad7
* Mon Mar  1 2021 tiwai@suse.de
- bus: fsl-mc: Fix test for end of loop (git-fixes).
- commit a7e273c
* Mon Mar  1 2021 tiwai@suse.de
- Move upstreamed fsl patches into sorted section
- commit 6e876b3
* Mon Mar  1 2021 tiwai@suse.de
- i2c: exynos5: Preserve high speed master code (git-fixes).
- pwm: rockchip: rockchip_pwm_probe(): Remove superfluous
  clk_unprepare() (git-fixes).
- drm/panel: kd35t133: allow using non-continuous dsi clock
  (git-fixes).
- drm/rockchip: Require the YTR modifier for AFBC (git-fixes).
- drm/msm: Fix races managing the OOB state for timestamp vs
  timestamps (git-fixes).
- drm/msm: Fix race of GPU init vs timestamp power management
  (git-fixes).
- drm/msm/mdp5: Fix wait-for-commit for cmd panels (git-fixes).
- r8169: fix jumbo packet handling on RTL8168e (git-fixes).
- PCI: rockchip: Make 'ep-gpios' DT property optional (git-fixes).
- PCI: qcom: Use PHY_REFCLK_USE_PAD only for ipq8064 (git-fixes).
- PCI: Align checking of syscall user config accessors
  (git-fixes).
- Bluetooth: btusb: Some Qualcomm Bluetooth adapters stop working
  (git-fixes).
- drm/xlnx: fix kmemleak by sending vblank_event in atomic_disable
  (git-fixes).
- commit ecbb9ac
* Mon Mar  1 2021 tiwai@suse.de
- i2c: brcmstb: Fix brcmstd_send_i2c_cmd condition (git-fixes).
- HID: make arrays usage and value to be the same (git-fixes).
- usb: quirks: add quirk to start video capture on ELMO L-12F
  document camera reliable (git-fixes).
- USB: quirks: sort quirk entries (git-fixes).
- NET: usb: qmi_wwan: Adding support for Cinterion MV31
  (git-fixes).
- commit ae76757
* Sun Feb 28 2021 mkubecek@suse.cz
- misc: eeprom_93xx46: Add module alias to avoid breaking support
  for non device tree users (git-fixes).
- commit 761c100
* Fri Feb 26 2021 colyli@suse.de
- bcache: Avoid comma separated statements (git-fixes).
- bcache: Move journal work to new flush wq (git-fixes).
- bcache: Give btree_io_wq correct semantics again (git-fixes).
- Revert "bcache: Kill btree_io_wq" (git-fixes).
- bcache: Fix register_device_aync typo (git-fixes).
- bcache: consider the fragmentation when update the writeback
  rate (git-fixes).
- bcache: only check feature sets when sb->version >=
  BCACHE_SB_VERSION_CDEV_WITH_FEATURES (git-fixes).
- bcache: set bcache device into read-only mode for
  BCH_FEATURE_INCOMPAT_OBSO_LARGE_BUCKET (git-fixes).
- bcache: introduce BCH_FEATURE_INCOMPAT_LOG_LARGE_BUCKET_SIZE
  for large bucket (git-fixes).
- bcache: check unsupported feature sets for bcache register
  (git-fixes).
- bcache: fix typo from SUUP to SUPP in features.h (git-fixes).
- bcache: set pdev_set_uuid before scond loop iteration
  (git-fixes).
- md/bcache: convert comma to semicolon (git-fixes).
- bcache:remove a superfluous check in register_bcache
  (git-fixes).
- dm: remove unnecessary current->bio_list check when submitting
  split bio (git-fixes).
- bcache: fix race between setting bdev state to none and new
  write request direct to backing (git-fixes).
- dm: fix double RCU unlock in dm_dax_zero_page_range() error path
  (git-fixes).
- dm: fix missing imposition of queue_limits from dm_wq_work()
  thread (git-fixes).
- md: fix the checking of wrong work queue (git-fixes).
- bcache: remove embedded struct cache_sb from struct cache_set
  (git-fixes).
- bcache: check and set sync status on cache's in-memory super
  block (git-fixes).
- bcache: remove can_attach_cache() (git-fixes).
- bcache: don't check seq numbers in register_cache_set()
  (git-fixes).
- bcache: only use bucket_bytes() on struct cache (git-fixes).
- bcache: remove useless bucket_pages() (git-fixes).
- bcache: remove useless alloc_bucket_pages() (git-fixes).
- bcache: only use block_bytes() on struct cache (git-fixes).
- bcache: add set_uuid in struct cache_set (git-fixes).
- bcache: remove for_each_cache() (git-fixes).
- bcache: explicitly make cache_set only have single cache
  (git-fixes).
- bcache: remove 'int n' from parameter list of
  bch_bucket_alloc_set() (git-fixes).
- bcache: check c->root with IS_ERR_OR_NULL() in mca_reserve()
  (git-fixes).
- dm crypt: document new no_workqueue flags (git-fixes).
- commit 89ed52b
* Fri Feb 26 2021 bp@suse.de
- x86/cpufeatures: Add kABI padding (bsc#1179531).
- commit 305ba7d
* Fri Feb 26 2021 dfaggioli@suse.com
- KVM: x86: Gracefully handle __vmalloc() failure during VM allocation
  (bsc#1182801).
- commit 2b89cec
* Fri Feb 26 2021 dfaggioli@suse.com
- KVM: x86: Allocate new rmap and large page tracking when moving memslot
  (bsc#1182800).
- commit 4ea5d1c
* Fri Feb 26 2021 dfaggioli@suse.com
- KVM: VMX: Condition ENCLS-exiting enabling on CPU support for SGX1
  (bsc#1182798).
- commit 41a7998
* Fri Feb 26 2021 yousaf.kaukab@suse.com
- clk: fsl-flexspi: new driver (bsc#1182743).
- dt-bindings: clock: document the fsl-flexspi-clk device
  (bsc#1182743).
- clk: qoriq: provide constants for the type (bsc#1182743).
- commit 2f668c8
* Fri Feb 26 2021 msuchanek@suse.de
- ibmvfc: reinitialize sub-CRQs and perform channel enquiry
  after LPM (bsc#1182632 ltc#191222).
- commit 18964bb
* Fri Feb 26 2021 msuchanek@suse.de
- Refresh ibmvfc patches to v4 submission (bsc#1182632 ltc#191222).
- Refresh patches.suse/ibmvfc-fix-invalid-sub-CRQ-handles-after-hard-reset.patch.
- Refresh patches.suse/ibmvfc-simplify-handling-of-sub-CRQ-initialization.patch.
- Refresh patches.suse/ibmvfc-store-return-code-of-H_FREE_SUB_CRQ-during-cl.patch.
- Refresh patches.suse/ibmvfc-treat-H_CLOSED-as-success-during-sub-CRQ-regi.patch.
- commit 597b27d
* Fri Feb 26 2021 denis.kirjanov@suse.com
- net: phy: marvell10g: fix null pointer dereference (git-fixes).
- commit ba9ce5a
* Fri Feb 26 2021 msuchanek@suse.de
- Refresh patches.suse/ibmvnic-fix-a-race-between-open-and-reset.patch.
  Update patch metadata
- commit 8c08d90
* Fri Feb 26 2021 denis.kirjanov@suse.com
- net: bcmgenet: re-remove bcmgenet_hfb_add_filter (git-fixes).
- commit 46d342e
* Thu Feb 25 2021 msuchanek@suse.de
- Cherry-pick ibmvnic patches from SP3 (jsc#SLE-17268).
- commit fc08b49
* Thu Feb 25 2021 dfaggioli@suse.com
- kvm: tracing: Fix unmatched kvm_entry and kvm_exit events
  (bsc#1182770).
- commit 0b40723
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: dsa: lantiq_gswip: fix and improve the unsupported
  interface error (git-fixes).
- commit 966d874
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: octeon: mgmt: Repair filling of RX ring (git-fixes).
- commit a1726f7
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: dsa: mt7530: set CPU port to fallback mode (git-fixes).
- commit 7c6d69a
* Thu Feb 25 2021 denis.kirjanov@suse.com
- drivers: net: davinci_mdio: fix potential NULL dereference in
  davinci_mdio_probe() (git-fixes).
- commit aad32ea
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: lpc-enet: fix error return code in lpc_mii_init()
  (git-fixes).
- commit 023e4aa
* Thu Feb 25 2021 denis.kirjanov@suse.com
- Revert "net: bcmgenet: remove unused function in bcmgenet.c"
  (git-fixes).
- commit 6e0622b
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: bcmgenet: Fix WoL with password after deep sleep
  (git-fixes).
- commit 8a76658
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: bcmgenet: set Rx mode before starting netif (git-fixes).
- commit 95bbb6f
* Thu Feb 25 2021 denis.kirjanov@suse.com
- net: phy: marvell10g: fix temperature sensor on 2110
  (git-fixes).
- commit 80b675a
* Thu Feb 25 2021 yousaf.kaukab@suse.com
- dt-bindings: can: fsl,flexcan.yaml: fix compatible for i.MX35
  and i.MX53 (jsc#SLE-12251).
- dt-bindings: can: fsl,flexcan.yaml: fix fsl,stop-mode
  (jsc#SLE-12251).
- commit c4572f2
* Thu Feb 25 2021 yousaf.kaukab@suse.com
- Refresh patches.suse/PCI-dwc-Support-multiple-ATU-memory-regions.patch.
  Conflicts:
  patches.suse/PCI-dwc-Add-support-to-program-ATU-for-4GB-memory.patch.
- commit 4e15800
* Thu Feb 25 2021 msuchanek@suse.de
- net: re-solve some conflicts after net -> net-next merge
  (bsc#1176855 ltc#187293).
- commit df69724
* Thu Feb 25 2021 msuchanek@suse.de
- ibmvnic: fix a race between open and reset (bsc#1176855
  ltc#187293).
- commit 26c4220
* Thu Feb 25 2021 pvorel@suse.cz
- Fix bug number
- commit 3175ddf
* Thu Feb 25 2021 tiwai@suse.de
- regmap: sdw: use _no_pm functions in regmap_read/write
  (git-fixes).
- soundwire: bus: fix confusion on device used by pm_runtime
  (git-fixes).
- soundwire: export sdw_write/read_no_pm functions (git-fixes).
- soundwire: bus: use sdw_write_no_pm when setting the bus scale
  registers (git-fixes).
- soundwire: bus: use sdw_update_no_pm when initializing a device
  (git-fixes).
- soundwire: cadence: fix ACK/NAK handling (git-fixes).
- soundwire: debugfs: use controller id instead of link_id
  (git-fixes).
- commit f0289e1
* Thu Feb 25 2021 tiwai@suse.de
- phy: rockchip-emmc: emmc_phy_init() always return 0 (git-fixes).
- mei: hbm: call mei_set_devstate() on hbm stop response
  (git-fixes).
- virt: vbox: Do not use wait_event_interruptible when called
  from kernel context (git-fixes).
- misc: eeprom_93xx46: Fix module alias to enable module autoprobe
  (git-fixes).
- commit f380250
* Wed Feb 24 2021 mbrugger@suse.com
- armv7hl: lpae: Update config files.
  Disable KVM support (bsc#1182697)
- commit 9988ec5
* Wed Feb 24 2021 colyli@suse.de
- dm: fix bio splitting and its bio completion order for regular
  IO (git-fixes).
- bcache: fix overflow in offset_to_stripe() (git-fixes).
- dm crypt: avoid truncating the logical block size (git-fixes).
- include/linux/memremap.h: remove stale comments (git-fixes).
- commit f9b0dc3
* Wed Feb 24 2021 mkoutny@suse.com
- blacklist.conf: Add 8faeb1ffd795 mm: memcg/slab: fix root memcg vmstats
- commit 6424df5
* Wed Feb 24 2021 mkoutny@suse.com
- blacklist:conf: Add 67197a4f28d2 mm, oom_adj: don't loop through tasks in __set_oom_adj when not necessary
- commit c6bc092
* Wed Feb 24 2021 mkoutny@suse.com
- cgroup: fix psi monitor for root cgroup (bsc#1182686).
- commit 248e7d8
* Wed Feb 24 2021 mkoutny@suse.com
- cgroup-v1: add disabled controller check in
  cgroup1_parse_param() (bsc#1182684).
- commit 511e4ac
* Wed Feb 24 2021 mkoutny@suse.com
- cgroup: Fix memory leak when parsing multiple source parameters
  (bsc#1182683).
- commit 6c8979b
* Wed Feb 24 2021 mkoutny@suse.com
- cpuset: fix race between hotplug work and later CPU offline
  (bsc#1182676).
- commit dfdcc97
* Wed Feb 24 2021 msuchanek@suse.de
- macros.kernel-source: Use spec_install_pre for certificate installation (boo#1182672).
  Since rpm 4.16 files installed during build phase are lost.
- commit d0b887e
* Wed Feb 24 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-Fix-build-error-in-paravirt.h.patch.
  Update patch metadata.
- commit ca12b41
* Wed Feb 24 2021 jack@suse.cz
- quota: Fix memory leak when handling corrupted quota file
  (bsc#1182650).
- commit 2543668
* Wed Feb 24 2021 jeyu@suse.de
- Rename duplicate patches to their SLE15-SP2 equivalents.
  This is to prepare for the next SLE15-SP2 -> SLE15-SP3 merge.
- commit 4208989
* Wed Feb 24 2021 msuchanek@suse.de
- ibmvfc: store return code of H_FREE_SUB_CRQ during cleanup
  (bsc#1182632 ltc#191222).
- ibmvfc: treat H_CLOSED as success during sub-CRQ registration
  (bsc#1182632 ltc#191222).
- ibmvfc: fix invalid sub-CRQ handles after hard reset
  (bsc#1182632 ltc#191222).
- ibmvfc: simplify handling of sub-CRQ initialization (bsc#1182632
  ltc#191222).
- commit f68230e
* Wed Feb 24 2021 tiwai@suse.de
- ALSA: hda/realtek: Quirk for HP Spectre x360 14 amp setup
  (git-fixes).
- commit 8541380
* Wed Feb 24 2021 tiwai@suse.de
- keys: Remove outdated __user annotations (git-fixes).
- dmaengine: idxd: set DMA channel to be private (git-fixes).
- ASoC: qcom: qdsp6: Move frontend AIFs to q6asm-dai (git-fixes).
- ASoC: SOF: sof-pci-dev: add missing Up-Extreme quirk
  (git-fixes).
- ASoC: rt5682: Fix panic in rt5682_jack_detect_handler happening
  during system shutdown (git-fixes).
- ASoC: Intel: sof_sdw: add missing TGL_HDMI quirk for Dell SKU
  0A3E (git-fixes).
- ASoC: Intel: sof_sdw: add missing TGL_HDMI quirk for Dell SKU
  0A32 (git-fixes).
- ASoC: Intel: sof_sdw: add missing TGL_HDMI quirk for Dell SKU
  0A5E (git-fixes).
- ASoC: rt5682-sdw: cancel_work_sync() in .remove and .suspend
  (git-fixes).
- ASoC: rt711-sdw: use cancel_work_sync() for .remove (git-fixes).
- ASoC: rt700-sdw: use cancel_work_sync() in .remove as well as
  .suspend (git-fixes).
- ASoC: codecs: add missing max_register in regmap config
  (git-fixes).
- ASoC: SOF: Intel: hda: cancel D0i3 work during runtime suspend
  (git-fixes).
- ASoC: max98373: Fixes a typo in max98373_feedback_get
  (git-fixes).
- ASoC: siu: Fix build error by a wrong const prefix (git-fixes).
- ALSA: fireface: fix to parse sync status register of latter
  protocol (git-fixes).
- ACPI: property: Make acpi_node_prop_read() static (git-fixes).
- ACPI: property: Remove dead code (git-fixes).
- Bluetooth: btusb: Always fallback to alt 1 for WBS (git-fixes).
- commit 452f177
* Wed Feb 24 2021 ykaukab@suse.de
- dt-bindings: can: fsl,flexcan: add fsl,scu-index property to indicate a resource (jsc#SLE-12251).
- can: flexcan: convert the driver to DT-only (jsc#SLE-12251).
- can: flexcan: flexcan_close(): change order if commands to properly shut down the controller (jsc#SLE-12251).
- can: flexcan: flexcan_open(): completely initialize controller before requesting IRQ (jsc#SLE-12251).
- can: flexcan: flexcan_rx_offload_setup(): factor out mailbox and rx-offload setup into separate function (jsc#SLE-12251).
- can: flexcan: move enabling/disabling of interrupts from flexcan_chip_{start,stop}() to callers (jsc#SLE-12251).
- can: flexcan: factor out enabling and disabling of interrupts into separate function (jsc#SLE-12251).
- can: flexcan: rename macro FLEXCAN_QUIRK_SETUP_STOP_MODE -> FLEXCAN_QUIRK_SETUP_STOP_MODE_GPR (jsc#SLE-12251).
- dt-bindings: firmware: add IMX_SC_R_CAN(x) macro for CAN (jsc#SLE-12251).
- dt-bindings: can: fsl,flexcan: fix fsl,clk-source property (jsc#SLE-12251).
- dt-bindings: can: fsl,flexcan: add uint32 reference to clock-frequency property (jsc#SLE-12251).
- can: flexcan: flexcan_chip_start(): fix erroneous flexcan_transceiver_enable() during bus-off recovery (jsc#SLE-12251).
- can: flexcan: fix failure handling of pm_runtime_get_sync() (jsc#SLE-12251).
- can: flexcan: flexcan_setup_stop_mode(): add missing "req_bit" to stop mode property comment (jsc#SLE-12251).
- can: flexcan: flexcan_remove(): disable wakeup completely (jsc#SLE-12251).
- can: flexcan: add ECC initialization for VF610 (jsc#SLE-12251).
- can: flexcan: add ECC initialization for LX2160A (jsc#SLE-12251).
- can: flexcan: remove FLEXCAN_QUIRK_DISABLE_MECR quirk for LS1021A (jsc#SLE-12251).
- dt-bindings: can: flexcan: convert fsl,*flexcan bindings to yaml (jsc#SLE-12251).
- dt-bindings: can: add can-controller.yaml (jsc#SLE-12251).
- can: flexcan: remove ack_grp and ack_bit handling from driver (jsc#SLE-12251).
- dt-bindings: can: flexcan: remove ack_grp and ack_bit from fsl,stop-mode (jsc#SLE-12251).
- dt-bindings: can: flexcan: list supported processors (jsc#SLE-12251).
- can: flexcan: disable runtime PM if register flexcandev failed (jsc#SLE-12251).
- can: flexcan: add flexcan driver for i.MX8MP (jsc#SLE-12251).
- can: flexcan: initialize all flexcan memory for ECC function (jsc#SLE-12251).
- can: flexcan: add lx2160ar1 support (jsc#SLE-12251).
- can: flexcan: add imx8qm support (jsc#SLE-12251).
- can: flexcan: add Transceiver Delay Compensation support (jsc#SLE-12251).
- can: flexcan: add CAN FD BRS support (jsc#SLE-12251).
- can: flexcan: add ISO CAN FD feature support (jsc#SLE-12251).
- can: flexcan: add CAN-FD mode support (jsc#SLE-12251).
- can: flexcan: use struct canfd_frame for CAN classic frame (jsc#SLE-12251).
- can: flexcan: flexcan_set_bittiming(): move setup of CAN-2.0 bitiming into separate function (jsc#SLE-12251).
- can: flexcan: add LPSR mode support (jsc#SLE-12251).
- can: flexcan: disable clocks during stop mode (jsc#SLE-12251).
- can: flexcan: flexcan_chip_stop(): add error handling and propagate error value (jsc#SLE-12251).
- can: flexcan: add correctable errors correction when HW supports ECC (jsc#SLE-12251).
- can: flexcan: Add check for transceiver maximum bitrate limitation (jsc#SLE-12251).
- can: flexcan: flexcan_probe(): make regulator xceiver optional (jsc#SLE-12251).
- can: flexcan: Ack wakeup interrupt separately (jsc#SLE-12251).
- can: flexcan: quirks: get rid of long lines (jsc#SLE-12251).
- can: flexcan: struct flexcan_regs: document registers not affected by soft reset (jsc#SLE-12251).
- can: flexcan: more register names (jsc#SLE-12251).
- can: flexcan: flexcan_exit_stop_mode(): remove stray empty line (jsc#SLE-12251).
- can: flexcan: sort include files alphabetically (jsc#SLE-12251).
- can: flexcan: fix spelling mistake "reserverd" -> "reserved" (jsc#SLE-12251).
- can: flexcan: poll MCR_LPM_ACK instead of GPR ACK for stop mode acknowledgment (jsc#SLE-12251).
- can: flexcan: add low power enter/exit acknowledgment helper (jsc#SLE-12251).
- can: flexcan: fix possible deadlock and out-of-order reception after wakeup (jsc#SLE-12251).
- can: flexcan: flexcan_mailbox_read() make use of flexcan_write64() to mark the mailbox as read (jsc#SLE-12251).
- can: flexcan: flexcan_irq(): add support for TX mailbox in iflag1 (jsc#SLE-12251).
- can: flexcan: flexcan_read_reg_iflag_rx(): optimize reading (jsc#SLE-12251).
- can: flexcan: introduce struct flexcan_priv::tx_mask and make use of it (jsc#SLE-12251).
- can: flexcan: convert struct flexcan_priv::rx_mask{1,2} to rx_mask (jsc#SLE-12251).
- can: flexcan: remove TX mailbox bit from struct flexcan_priv::rx_mask{1,2} (jsc#SLE-12251).
- can: flexcan: rename struct flexcan_priv::reg_imask{1,2}_default to rx_mask{1,2} (jsc#SLE-12251).
- can: flexcan: flexcan_irq(): rename variable reg_iflag -> reg_iflag_rx (jsc#SLE-12251).
- can: flexcan: rename macro FLEXCAN_IFLAG_MB() -> FLEXCAN_IFLAG2_MB() (jsc#SLE-12251).
- can: flexcan: flexcan_irq_state(): only read timestamp if needed (jsc#SLE-12251).
- can: flexcan: use devm_platform_ioremap_resource() to simplify code (jsc#SLE-12251).
- can: rx-offload: Prepare for CAN FD support (jsc#SLE-12251).
- can: rx-offload: can_rx_offload_reset(): remove no-op function (jsc#SLE-12251).
- can: rx-offload: can_rx_offload_irq_offload_timestamp(): don't use assignment in if condition (jsc#SLE-12251).
- can: rx-offload: can_rx_offload_compare(): fix typo (jsc#SLE-12251).
- can: rx-offload: fix long lines (jsc#SLE-12251).
- can: flexcan: increase error counters if skb enqueueing via can_rx_offload_queue_sorted() fails (jsc#SLE-12251).
- can: flexcan: disable completely the ECC mechanism (jsc#SLE-12251).
- can: flexcan: add support for DT property 'wakeup-source' (jsc#SLE-12251).
- dt-bindings: can: flexcan: add can wakeup property (jsc#SLE-12251).
- can: flexcan: add support for PE clock source select (jsc#SLE-12251).
- dt-bindings: can: flexcan: add PE clock source property to device tree (jsc#SLE-12251).
- can: flexcan: implement can Runtime PM (jsc#SLE-12251).
- commit fabe848
* Wed Feb 24 2021 ykaukab@suse.de
- can: flexcan: remove all fixes
  Prepare for complete driver update.
- commit 1f0c2bd
* Wed Feb 24 2021 tiwai@suse.de
- dmaengine: hsu: disable spurious interrupt (git-fixes).
- dmaengine: owl-dma: Fix a resource leak in the remove function
  (git-fixes).
- dmaengine: fsldma: Fix a resource leak in an error handling
  path of the probe function (git-fixes).
- dmaengine: fsldma: Fix a resource leak in the remove function
  (git-fixes).
- Input: joydev - prevent potential read overflow in ioctl
  (git-fixes).
- Input: elo - fix an error code in elo_connect() (git-fixes).
- Input: sur40 - fix an error code in sur40_probe() (git-fixes).
- HID: core: detect and skip invalid inputs to snto32()
  (git-fixes).
- HID: wacom: Ignore attempts to overwrite the touch_max value
  from HID (git-fixes).
- commit 9e6160a
* Wed Feb 24 2021 nborisov@suse.com
- btrfs: Unlock extents in btrfs_zero_range in case of errors (bsc#1182047).
- commit bd5a9b2
* Wed Feb 24 2021 nborisov@suse.com
- btrfs: Simplify code flow in btrfs_delayed_inode_reserve_metadata (bsc#1182047).
- commit bf6dd14
* Wed Feb 24 2021 nborisov@suse.com
- btrfs: Remove btrfs_inode from btrfs_delayed_inode_reserve_metadata (bsc#1182047).
- commit fb6d272
* Wed Feb 24 2021 nborisov@suse.com
- btrfs: Cleanup try_flush_qgroup (bsc#1182047).
- commit 13881b3
* Wed Feb 24 2021 nborisov@suse.com
- btrfs: Don't flush from btrfs_delayed_inode_reserve_metadata (bsc#1182047).
- commit 942f628
* Wed Feb 24 2021 nborisov@suse.com
- btrfs: Free correct amount of space in btrfs_delayed_inode_reserve_metadata (bsc#1182047).
- commit 22ecef4
* Wed Feb 24 2021 fweisbecker@suse.de
- rcu/nocb: Trigger self-IPI on late deferred wake up before (git-fixes)
- commit 260172d
* Wed Feb 24 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/powerpc-perf-hv-24x7-Dont-create-sysfs-event-files-f.patch
  patches.suse/powerpc-pseries-dlpar-handle-ibm-configure-connector.patch
  patches.suse/scsi-lpfc-Enhancements-to-LOG_TRACE_EVENT-for-better.patch
  patches.suse/scsi-lpfc-Fix-FW-reset-action-if-I-Os-are-outstandin.patch
  patches.suse/scsi-lpfc-Fix-NVMe-recovery-after-mailbox-timeout.patch
  patches.suse/scsi-lpfc-Fix-PLOGI-S_ID-of-0-on-pt2pt-config.patch
  patches.suse/scsi-lpfc-Fix-auto-sli_mode-and-its-effect-on-CONFIG.patch
  patches.suse/scsi-lpfc-Fix-crash-when-a-fabric-node-is-released-p.patch
  patches.suse/scsi-lpfc-Fix-crash-when-nvmet-transport-calls-host_.patch
  patches.suse/scsi-lpfc-Fix-error-log-messages-being-logged-follow.patch
  patches.suse/scsi-lpfc-Fix-target-reset-failing.patch
  patches.suse/scsi-lpfc-Fix-vport-create-logging.patch
  patches.suse/scsi-lpfc-Implement-health-checking-when-aborting-I-.patch
  patches.suse/scsi-lpfc-Prevent-duplicate-requests-to-unregister-w.patch
  patches.suse/scsi-lpfc-Refresh-ndlp-when-a-new-PRLI-is-received-i.patch
  patches.suse/scsi-lpfc-Simplify-bool-comparison.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.7.patch
  patches.suse/scsi-lpfc-Use-the-nvme-fc-transport-supplied-timeout.patch
- commit ff0a90f
* Wed Feb 24 2021 pvorel@suse.cz
- ima: Free IMA measurement buffer after kexec syscall (git fixes
  (IMA)).
- commit 481e98b
* Wed Feb 24 2021 pvorel@suse.cz
- ima: Free IMA measurement buffer on error (git fixes (IMA)).
- commit ac8b38c
* Wed Feb 24 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/1918-drm-amdgpu-fix-NULL-pointer-dereference-for-Renoir.patch.
- commit 84dbff0
* Wed Feb 24 2021 fweisbecker@suse.de
- rcu/nocb: Perform deferred wake up before last idle's (git-fixes)
- commit f0bc502
* Wed Feb 24 2021 fweisbecker@suse.de
- rcu: Pull deferred rcuog wake up to rcu_eqs_enter() callers (git-fixes)
- commit 7a90fca
* Wed Feb 24 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/1909-drm-amd-display-remove-duplicate-call-to-rn_vbios_sm.patch.
- commit 28fa55a
* Wed Feb 24 2021 pjakobsson@suse.de
- Add Alt-commit for cherry-pick
  Refresh
  patches.suse/1906-drm-amdgpu-display-fix-CFLAGS-setup-for-DCN30.patch.
- commit 6c5745f
* Wed Feb 24 2021 fweisbecker@suse.de
- sched: Reenable interrupts in do_sched_yield() (git-fixes)
- commit 579dc67
* Tue Feb 23 2021 pjakobsson@suse.de
- blacklist.conf: bee1abc9cc02 drm/mediatek: reduce clear event
  Requried patches are not backported
- commit a403845
* Tue Feb 23 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/1832-drm-amdgpu-Specify-get_argument-function-for-ci_smu_.patch.
- commit 0bc2e82
* Tue Feb 23 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/1751-drm-amdgpu-Use-the-correct-size-when-allocating-memo.patch.
- commit dd923d9
* Tue Feb 23 2021 pjakobsson@suse.de
- Add Alt-commit for cherry pick
  Refresh
  patches.suse/1700-drm-amd-powerplay-off-by-one-bugs-in-smu_cmn_to_asic.patch.
- commit d58a85c
* Tue Feb 23 2021 pjakobsson@suse.de
- blacklist.conf: b7ccc7858a33 drm/i915/gt: Remove errant assertion in __intel_context_do_pin
  Not needed since we didn't mess up the merge
- commit 5f8e601
* Tue Feb 23 2021 fdmanana@suse.com
- btrfs: run delayed iputs when remounting RO to avoid leaking
  them (bsc#1182626).
- btrfs: add assertion for empty list of transactions at late
  stage of umount (bsc#1182626).
- btrfs: fix race between RO remount and the cleaner task
  (bsc#1182626).
- btrfs: fix transaction leak and crash after cleaning up orphans
  on RO mount (bsc#1182626).
- btrfs: fix transaction leak and crash after RO remount caused
  by qgroup rescan (bsc#1182626).
- btrfs: lift read-write mount setup from mount and remount
  (bsc#1182626).
- commit 2361750
* Tue Feb 23 2021 jdelvare@suse.de
- arm64: Update config file.
  Set CONFIG_WATCHDOG_SYSFS to true (bsc#1182560)
- commit 0c02797
* Tue Feb 23 2021 pmladek@suse.com
- blacklist.conf: printk: not critical; allow to use the full buffer
  when using log dumpers
- commit 4e198dc
* Tue Feb 23 2021 msuchanek@suse.de
- Remove debug patch for boot failure (bsc#1182602 ltc#190924).
  Delete patches.suse/prom_init-enable-varbose-prints-bsc-1178142.patch.
- commit 55e7bdd
* Tue Feb 23 2021 jack@suse.cz
- fs: Handle I_DONTCACHE in iput_final() instead of
  generic_drop_inode() (bsc#1182616).
- commit 8354395
* Tue Feb 23 2021 ddiss@suse.de
- Update upstream reference and move into sorted section:
  patches.suse/target-fix-XCOPY-NAA-identifier-lookup.patch
- commit e8f510f
* Tue Feb 23 2021 ddiss@suse.de
- target: disallow emulate_legacy_capacity with RBD object-map
  (bsc#1177109).
- commit 9e5609a
* Tue Feb 23 2021 msuchanek@suse.de
- Refresh sorted section.
- commit 33e772b
* Tue Feb 23 2021 nstange@suse.de
- supported.conf: mark Wireguard armv7hl dependencies as supported (jsc#SLE-12250)
- commit 661c1ff
* Tue Feb 23 2021 msuchanek@suse.de
- Update config files.
  armv7 is missing CONFIG_KPROBE_EVENTS_ON_NOTRACE=n
- commit c68b5c7
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-tmc-etr-Assign-boolean-values-to-a-bool-va.patch.
- commit 35a95ac
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-etb10-Fix-possible-NULL-ptr-dereference-in.patch.
- commit 9d9fb1d
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-tmc-etf-Fix-NULL-ptr-dereference-in-tmc_en.patch.
- commit 7c2beaf
* Tue Feb 23 2021 msuchanek@suse.de
- powerpc/prom: Fix "ibm,arch-vec-5-platform-support" scan
  (bsc#1182602 ltc#190924).
- commit f6d197a
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-Remove-unnecessary-THIS_MODULE-of-funnel-a.patch.
- commit 473d7ac
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-etm4x-Handle-TRCVIPCSSCTLR-accesses.patch.
- commit fcd1419
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-etm4x-Fix-accesses-to-TRCPROCSELR.patch.
- commit 42fd151
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-etm4x-Update-TRCIDR3.NUMPROCS-handling-to-.patch.
- commit c3d74e2
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-etm4x-Fix-accesses-to-TRCCIDCTLR1.patch.
- commit 8a55725
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-etm4x-Fix-accesses-to-TRCVMIDCTLR1.patch.
- commit e228859
* Tue Feb 23 2021 pmladek@suse.com
- lib/vsprintf: no_hash_pointers prints all addresses as unhashed
  (bsc#1182599).
- commit f0a1f3e
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-core-Remove-unneeded-semicolon.patch.
- commit 9255eec
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-cti-Initialize-dynamic-sysfs-attributes.patch.
  blacklist.conf: Remove duplicate entry
- commit bee32f7
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-Fix-uninitialised-pointer-bug-in-etm_setup.patch.
  blacklist.conf: Remove duplicate entry
- commit 43eb5a5
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/coresight-add-module-license.patch.
  blacklist.conf: Remove duplicate entry
- commit 42b5346
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/phy-tegra-xusb-Fix-usb_phy-device-driver-field.patch.
- commit a87f0e1
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/clk-tegra-bpmp-Clamp-clock-rates-on-requests.patch.
- commit 86bb8a3
* Tue Feb 23 2021 tbogendoerfer@suse.de
- RDMA/bnxt: Do not use ib_umem_page_count() or
  ib_umem_num_pages() (bsc#1175499).
- Refresh
  patches.suse/RDMA-bnxt_re-Fix-sizeof-mismatch-for-allocation-of-p.patch.
- commit 12c2631
* Tue Feb 23 2021 tbogendoerfer@suse.de
- RDMA/bnxt_re: Allow bigger MR creation (bsc#1175499).
- RDMA/bnxt_re: Code refactor while populating user MRs
  (bsc#1175499).
- RDMA/bnxt_re: Use rdma_umem_for_each_dma_block() (bsc#1175499).
- RDMA/umem: Split ib_umem_num_pages() into
  ib_umem_num_dma_blocks() (bsc#1175499).
- RDMA/umem: Add rdma_umem_for_each_dma_block() (bsc#1175499).
- commit 8d37937
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Disable-LTSSM-during-L2-entry.patch.
- commit 071b1e3
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Check-return-value-of-tegra_pcie_init_cont.patch.
- commit a99e298
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Continue-unconfig-sequence-even-if-parts-f.patch.
- commit 37fbae9
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Set-DesignWare-IP-version.patch.
- commit f3056ad
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Fix-ASPM-L1SS-advertisement-disable-code.patch.
- commit 151b830
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Read-dbi-base-address-to-program-in-applic.patch.
- commit c1ce36b
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-tegra-Move-dbi-accesses-to-post-common-DWC-initi.patch.
- commit b8d9f1b
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Detect-number-of-iATU-windows.patch.
- commit 6869fbb
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Move-inbound-and-outbound-windows-to-common-.patch.
- commit bf7452a
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Remove-unnecessary-wrappers-around-dw_pcie_h.patch.
- commit b328586
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Move-dw_pcie_msi_init-into-core.patch.
- commit 9b591ff
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Move-link-handling-into-common-code.patch.
- commit db1d380
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Rework-MSI-initialization.patch.
- commit fc22d7b
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Move-MSI-interrupt-setup-into-DWC-common-cod.patch.
- commit 85e0e88
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Drop-the-.set_num_vectors-host-op.patch.
- commit c8a821a
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-dra7xx-Use-the-common-MSI-irq_chip.patch.
- commit 0f8a8d3
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Ensure-all-outbound-ATU-windows-are-reset.patch.
- commit 5e3c2f6
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-intel-gw-Remove-some-unneeded-function-wrapp.patch.
- commit 42d2190
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Move-dbi-dbi2-and-addr_space-resource-setup-.patch.
- commit 7a267fa
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-intel-gw-Move-ATU-offset-out-of-driver-match.patch.
- commit fc7f014
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-keystone-Enable-compile-testing-on-ARM.patch.
- commit 674b74f
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-dwc-Add-support-to-program-ATU-for-4GB-memory.patch.
- commit 79897e2
* Tue Feb 23 2021 ykaukab@suse.de
- Refresh patches.suse/PCI-of-Warn-if-non-prefetchable-memory-aperture-size.patch.
- commit 11a2712
* Tue Feb 23 2021 jeyu@suse.de
- Rename duplicate patches to their SLE15-SP2 equivalents.
  This is to prepare for the next SLE15-SP2 -> SLE15-SP3 merge.
- commit d0f44e7
* Tue Feb 23 2021 tiwai@suse.de
- KEYS: trusted: Reserve TPM for seal and unseal operations
  (git-fixes).
- KEYS: trusted: Fix migratable=1 failing (git-fixes).
- KEYS: trusted: Fix incorrect handling of tpm_get_random()
  (git-fixes).
- drm/i915/gt: Correct surface base address for renderclear
  (git-fixes).
- drm/i915/gt: Flush before changing register state (git-fixes).
- drm/amdgpu/display: remove hdcp_srm sysfs on device removal
  (git-fixes).
- mtd: spi-nor: core: Add erase size check for erase command
  initialization (git-fixes).
- mtd: spi-nor: core: Fix erase type discovery for overlaid region
  (git-fixes).
- mtd: spi-nor: sfdp: Fix last erase region marking (git-fixes).
- mtd: spi-nor: sfdp: Fix wrong erase type bitmask for overlaid
  region (git-fixes).
- mtd: spi-nor: hisi-sfc: Put child node np on error path
  (git-fixes).
- mtd: parsers: afs: Fix freeing the part name memory in failure
  (git-fixes).
- mtd: parser: imagetag: fix error codes in
  bcm963xx_parse_imagetag_partitions() (git-fixes).
- pstore: Fix typo in compression option name (git-fixes).
- commit 3d8b82d
* Tue Feb 23 2021 tiwai@suse.de
- drm/amdgpu: cleanup struct amdgpu_ring (git-fixes).
- drm/dp_mst: Don't cache EDIDs for physical ports (git-fixes).
- drm/vc4: hdmi: Update the CEC clock divider on HSM rate change
  (git-fixes).
- drm/vc4: hdmi: Compute the CEC clock divider from the clock rate
  (git-fixes).
- drm/vc4: hdmi: Restore cec physical address on reconnect
  (git-fixes).
- drm/vc4: hdmi: Fix up CEC registers (git-fixes).
- drm/vc4: hdmi: Fix register offset with longer CEC messages
  (git-fixes).
- drm/vc4: hdmi: Move hdmi reset to bind (git-fixes).
- drm/mediatek: Check if fb is null (git-fixes).
- commit 3a8d088
* Tue Feb 23 2021 tiwai@suse.de
- drm/i915/gt: One more flush for Baytrail clear residuals
  (git-fixes).
- drm/amdgpu: toggle on DF Cstate after finishing xgmi injection
  (git-fixes).
- drm/sun4i: tcon: fix inverted DCLK polarity (git-fixes).
- drm/fourcc: fix Amlogic format modifier masks (git-fixes).
- drm/virtio: make sure context is created in gem open
  (git-fixes).
- drm: rcar-du: Fix the return check of of_parse_phandle and
  of_find_device_by_node (git-fixes).
- drm: rcar-du: Fix crash when using LVDS1 clock for CRTC
  (git-fixes).
- commit d709b9b
* Tue Feb 23 2021 tiwai@suse.de
- clocksource/drivers/mxs_timer: Add missing semicolon when
  DEBUG is defined (git-fixes).
- spi: imx: Don't print error on -EPROBEDEFER (git-fixes).
- spi: cadence-quadspi: Abort read if dummy cycles required are
  too many (git-fixes).
- platform/x86: intel_pmt_crashlog: Add dependency on
  MFD_INTEL_PMT (git-fixes).
- platform/x86: intel_pmt_telemetry: Add dependency on
  MFD_INTEL_PMT (git-fixes).
- platform/x86: intel_pmt: Make INTEL_PMT_CLASS
  non-user-selectable (git-fixes).
- watchdog: intel-mid_wdt: Postpone IRQ handler registration
  till SCU is ready (git-fixes).
- drm/vc4: hdmi: Take into account the clock doubling flag in
  atomic_check (git-fixes).
- commit 112de11
* Tue Feb 23 2021 tiwai@suse.de
- drm/amd/display: Fix HDMI deep color output for DCE 6-11
  (git-fixes).
- drm/amd/display: Fix 10/12 bpc setup in DCE output bit depth
  reduction (git-fixes).
- drm/amdgpu: Fix macro name _AMDGPU_TRACE_H_ in preprocessor
  if condition (git-fixes).
- gma500: clean up error handling in init (git-fixes).
- commit af18775
* Tue Feb 23 2021 tiwai@suse.de
- rtc: s5m: select REGMAP_I2C (git-fixes).
- spi: stm32: properly handle 0 byte transfer (git-fixes).
- spi: atmel: Put allocated master before return (git-fixes).
- spi: pxa2xx: Fix the controller numbering for Wildcat Point
  (git-fixes).
- spi: spi-synquacer: fix set_cs handling (git-fixes).
- regulator: core: Avoid debugfs: Directory ... already
  present! error (git-fixes).
- crypto: ecdh_helper - Ensure 'len >= secret.len' in decode_key()
  (git-fixes).
- crypto: talitos - Work around SEC6 ERRATA (AES-CTR mode data
  size error) (git-fixes).
- cpufreq: brcmstb-avs-cpufreq: Fix resource leaks in ->remove()
  (git-fixes).
- cpufreq: brcmstb-avs-cpufreq: Free resources in error path
  (git-fixes).
- commit fbcd516
* Tue Feb 23 2021 tiwai@suse.de
- power: reset: at91-sama5d2_shdwc: fix wkupdbc mask (git-fixes).
- regulator: s5m8767: Drop regulators OF node reference
  (git-fixes).
- regulator: s5m8767: Fix reference count leak (git-fixes).
- regulator: axp20x: Fix reference cout leak (git-fixes).
- mmc: renesas_sdhi_internal_dmac: Fix DMA buffer alignment from
  8 to 128-bytes (git-fixes).
- mmc: usdhi6rol0: Fix a resource leak in the error handling
  path of the probe (git-fixes).
- mmc: sdhci-sprd: Fix some resource leaks in the remove function
  (git-fixes).
- Revert "platform/x86: ideapad-laptop: Switch touchpad attribute
  to be RO" (git-fixes).
- commit 6d58f6a
* Tue Feb 23 2021 tiwai@suse.de
- gpio: pcf857x: Fix missing first interrupt (git-fixes).
- i3c: master: dw: Drop redundant disec call (git-fixes).
- linux/clk.h: use correct kernel-doc notation for 2 functions
  (git-fixes).
- mfd: wm831x-auxadc: Prevent use after free in
  wm831x_auxadc_read_irq() (git-fixes).
- mfd: bd9571mwv: Use devm_mfd_add_devices() (git-fixes).
- i2c: iproc: update slave isr mask (ISR_MASK_SLAVE) (git-fixes).
- i2c: iproc: handle only slave interrupts which are enabled
  (git-fixes).
- drm/fb-helper: Add missed unlocks in setcmap_legacy()
  (git-fixes).
- drm/gma500: Fix error return code in psb_driver_load()
  (git-fixes).
- commit e10cc76
* Tue Feb 23 2021 tiwai@suse.de
- amba: Fix resource leak for drivers without .remove (git-fixes).
- clocksource/drivers/ixp4xx: Select TIMER_OF when needed
  (git-fixes).
- clk: qcom: gcc-msm8998: Fix Alpha PLL type for all GPLLs
  (git-fixes).
- clk: meson: clk-pll: propagate the error from
  meson_clk_pll_set_rate() (git-fixes).
- clk: meson: clk-pll: make "ret" a signed integer (git-fixes).
- clk: meson: clk-pll: fix initializing the old rate (fallback)
  for a PLL (git-fixes).
- clk: sunxi-ng: h6: Fix clock divider range on some clocks
  (git-fixes).
- clk: sunxi-ng: h6: Fix CEC clock (git-fixes).
- auxdisplay: ht16k33: Fix refresh rate handling (git-fixes).
- commit 447d390
* Tue Feb 23 2021 colyli@suse.de
- libnvdimm/dimm: Avoid race between probe and
  available_slots_show() (bsc#1170442).
- Use the above upstream patch to replace the following in-house patch,
  patches.suse/nvdimm-Avoid-race-between-probe-and-reading-device-a.patch.
- commit ef2652a
* Tue Feb 23 2021 colyli@suse.de
- dm thin metadata: Fix use-after-free in dm_bm_set_read_only
  (bsc#1177529).
- dm thin metadata:  Avoid returning cmd->bm wild pointer on error
  (bsc#1177529).
- dm: use noio when sending kobject event (bsc#1177529).
- dm thin metadata: fix lockdep complaint (bsc#1177529).
- dm thin: fix use-after-free in metadata_pre_commit_callback
  (bsc#1177529).
- commit 3e2b6d9
* Tue Feb 23 2021 colyli@suse.de
- blacklist.conf: remove the following lines because it is time to have
  them now,
- a4a8d286586d4b28c8517a51db8d86954aadc74b
- 3918e0667bbac99400b44fa5aef3f8be2eeada4a
- commit e7046a1
* Tue Feb 23 2021 colyli@suse.de
- dm crypt: fix copy and paste bug in crypt_alloc_req_aead
  (jsc#SLE-12226).
- dm crypt: defer decryption to a tasklet if interrupts disabled
  (jsc#SLE-12226).
- dm crypt: do not call bio_endio() from the dm-crypt tasklet
  (jsc#SLE-12226).
- dm crypt: use GFP_ATOMIC when allocating crypto requests from
  softirq (jsc#SLE-12226).
- dm crypt: do not wait for backlogged crypto request completion
  in softirq (jsc#SLE-12226).
- dm crypt: don't use drivers that have
  CRYPTO_ALG_ALLOCATES_MEMORY (jsc#SLE-12226).
- commit e584169
* Tue Feb 23 2021 glin@suse.com
- libbpf: Avoid false unuinitialized variable warning in
  bpf_core_apply_relo (bsc#1177028).
- commit 2ed6283
* Tue Feb 23 2021 dfaggioli@suse.com
- KVM: nVMX: Handle pending #DB when injecting INIT VM-exit.
  Pulling in as a dependency of: "KVM: nVMX: Emulate MTF when performing
  instruction emulation" (bsc#1182380).
- commit df4cbaa
* Mon Feb 22 2021 bp@suse.de
- blacklist.conf: Two sparse fixes
  6ae58d871319 x86/asm: Annotate movdir64b()'s dst argument with __iomem
  5c99720b2838 x86/asm: Add a missing __iomem annotation in enqcmds()
- commit 6dcb1a5
* Mon Feb 22 2021 bp@suse.de
- blacklist.conf: 20bf2b378729 x86/build: Disable CET instrumentation in the kernel
- commit ade903f
* Mon Feb 22 2021 pjakobsson@suse.de
- Add alt-commit for non-blacklisted cherry-picks
- Refresh
  patches.suse/1447-drm-bridge-analogix_dp-Split-bind-into-probe-and-rea.patch.
- Refresh
  patches.suse/1776-drm-i915-Provide-the-perf-pmu.module.patch.
- Refresh
  patches.suse/1777-drm-i915-Copy-default-modparams-to-mock-i915_device.patch.
- Refresh
  patches.suse/1778-drm-i915-display-Check-for-an-LPSP-encoder-before-de.patch.
- Refresh
  patches.suse/1779-drm-i915-Update-bw_buddy-pagemask-table.patch.
- Refresh
  patches.suse/1782-drm-i915-tgl-Make-sure-TC-cold-is-blocked-before-ena.patch.
- Refresh
  patches.suse/1826-drm-i915-Fix-cmd-parser-desc-matching-with-masks.patch.
- Refresh
  patches.suse/1835-drm-i915-display-Ensure-that-ret-is-always-initializ.patch.
- Refresh
  patches.suse/1851-drm-i915-fix-regression-leading-to-display-audio-pro.patch.
- Refresh
  patches.suse/1852-drm-virtio-Revert-drm-virtio-Call-the-right-shmem-he.patch.
- Refresh patches.suse/1857-drm-virtio-fix-unblank.patch.
- Refresh
  patches.suse/1864-drm-virtio-drop-virtio_gpu_output-enabled.patch.
- Refresh
  patches.suse/1881-drm-i915-Be-wary-of-data-races-when-reading-the-acti.patch.
- Refresh
  patches.suse/1921-drm-i915-Stub-out-i915_gpu_coredump_put.patch.
- Refresh
  patches.suse/2072-drm-i915-dp-Disable-Port-sync-mode-correctly-on-tear.patch.
- Refresh
  patches.suse/2077-drm-i915-gt-Skip-trying-to-unbind-in-restore_ggtt_ma.patch.
- Refresh
  patches.suse/drm-i915-Protect-i915_request_await_start-from-early.patch.
- Refresh
  patches.suse/drm-i915-Protect-request-peeking-with-RCU.patch.
- commit 491e3a3
* Mon Feb 22 2021 aaptel@suse.com
- cifs: report error instead of invalid when revalidating a
  dentry fails (bsc#1177440).
- commit 2c3b276
* Mon Feb 22 2021 msuchanek@suse.de
- powerpc/book3s64/hash: Add cond_resched to avoid soft lockup
  warning (bsc#1182571 ltc#191345).
- commit a9f0cef
* Mon Feb 22 2021 tbogendoerfer@suse.de
- RDMA/efa: Use the correct current and new states in modify QP
  (git-fixes).
- commit f2d6e28
* Mon Feb 22 2021 denis.kirjanov@suse.com
- net: rmnet: do not allow to add multiple bridge interfaces
  (git-fixes).
- commit 4f39a57
* Mon Feb 22 2021 denis.kirjanov@suse.com
- net: rmnet: fix lower interface leak (git-fixes).
- commit d007718
* Mon Feb 22 2021 denis.kirjanov@suse.com
- net: rmnet: print error message when command fails (git-fixes).
- commit 9543352
* Mon Feb 22 2021 denis.kirjanov@suse.com
- net: qualcomm: rmnet: Allow configuration updates to existing
  devices (git-fixes).
- commit 8b01fa7
* Mon Feb 22 2021 denis.kirjanov@suse.com
- blacklist.conf: update the blacklist
- commit a0ee69e
* Mon Feb 22 2021 bp@suse.de
- x86/alternatives: Sync bp_patching update for avoiding NULL
  pointer exception (bsc#1152489).
- commit 8753fb5
* Mon Feb 22 2021 msuchanek@suse.de
- ibmvnic: Set to CLOSED state even on error (bsc#1084610
  ltc#165122 git-fixes).
- commit 7047a5a
* Mon Feb 22 2021 msuchanek@suse.de
- ibmvnic: serialize access to work queue on remove (bsc#1065729).
- commit 9671154
* Mon Feb 22 2021 msuchanek@suse.de
- mm: proc: Invalidate TLB after clearing soft-dirty page state
  (bsc#1163776 ltc#183929 git-fixes).
- commit c6ee8b1
* Mon Feb 22 2021 ailiop@suse.com
- xfs: reduce quota reservation when doing a dax unwritten extent
  conversion (git-fixes bsc#1182561).
- commit 229a330
* Mon Feb 22 2021 tbogendoerfer@suse.de
- RDMA/efa: Drop double zeroing for sg_init_table() (bsc#1176248).
- RDMA/efa: Remove redundant udata check from alloc ucontext
  response (bsc#1176248).
- RDMA/efa: Add EFA 0xefa1 PCI ID (bsc#1176248).
- RDMA/efa: User/kernel compatibility handshake mechanism
  (bsc#1176248).
- RDMA/efa: Expose minimum SQ size (bsc#1176248).
- RDMA/efa: Expose maximum TX doorbell batch (bsc#1176248).
- RDMA/efa: Report host information to the device (bsc#1176248).
- RDMA/efa: Fix setting of wrong bit in get/set_feature commands
  (bsc#1176248).
- RDMA/efa: Count admin commands errors (bsc#1176248).
- RDMA/efa: Count mmap failures (bsc#1176248).
- RDMA/efa: Report create CQ error counter (bsc#1176248).
- RDMA/efa: Use in-kernel offsetofend() to check field
  availability (bsc#1176248).
- RDMA/efa: Do not delay freeing of DMA pages (bsc#1176248).
- RDMA/efa: Properly document the interrupt mask register
  (bsc#1176248).
- RDMA/efa: Unified getters/setters for device structs bitmask
  access (bsc#1176248).
- commit f3e9801
* Mon Feb 22 2021 ailiop@suse.com
- xfs: fix an ABBA deadlock in xfs_rename (git-fixes bsc#1182558).
- commit 2a9e635
* Mon Feb 22 2021 mbrugger@suse.com
- arm: Update config files.
  Set CONFIG_WATCHDOG_SYSFS to true (bsc#1182560)
- commit 7ceb879
* Mon Feb 22 2021 tbogendoerfer@suse.de
- vmxnet3: Remove buf_info from device accessible structures
  (bsc#1181671).
- commit 7e4ecda
* Mon Feb 22 2021 nstange@suse.de
- supported.conf: mark Wireguard + dependencies as supported (jsc#SLE-12250)
- commit 1e0196a
* Mon Feb 22 2021 dwagner@suse.de
- nvmet-tcp: Fix NULL dereference when a connect data comes in
  h2cdata pdu (bsc#1182547).
- commit 62bcd4c
* Mon Feb 22 2021 msuchanek@suse.de
- rpm/kernel-subpackage-build: Workaround broken bot
  (https://github.com/openSUSE/openSUSE-release-tools/issues/2439)
- commit b74d860
* Mon Feb 22 2021 mbrugger@suse.com
- drivers/perf: hisi: Fix wrong value for all counters enable
  (SLE-14995 SLE-16234).
- commit 0293acf
* Mon Feb 22 2021 mbrugger@suse.com
- drivers/perf: hisi: Fix typo in events attribute array
  (SLE-14995 SLE-16234).
- commit d024f74
* Mon Feb 22 2021 mbrugger@suse.com
- drivers/perf: hisi: Simplify hisi_read_sccl_and_ccl_id and
  its comment (SLE-14995 SLE-16234).
- Refresh
  patches.suse/drivers-perf-hisi-Permit-modular-builds-of-HiSilicon.patch.
- Refresh
  patches.suse/firmware-arm_sdei-Document-the-motivation-behind-the.patch.
- commit 33b4114
* Mon Feb 22 2021 mbrugger@suse.com
- drivers/perf: hisi: update the sccl_id/ccl_id for certain
  HiSilicon platform (SLE-14995 SLE-16234).
- commit 3cf8137
* Mon Feb 22 2021 nsaenzjulienne@suse.de
- drm/vc4: hdmi: Take into account the clock doubling flag in
  atomic_check (git-fixes).
- commit 0eefa7d
* Mon Feb 22 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/nvme-hwmon-rework-to-avoid-devm-allocation.patch
  patches.suse/perf-x86-intel-uncore-Store-the-logical-die-id-inste.patch
  patches.suse/perf-x86-intel-uncore-With-8-nodes-get-pci-bus-die-i.patch
- commit f696cf9
* Mon Feb 22 2021 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section
  patches.suse/mm-pmem-avoid-inserting-hugepage-pte-entry-with-fsdax-if-hugepage-support-is-disabled.patch
- commit b1cf681
* Mon Feb 22 2021 tiwai@suse.de
- ALSA: usb-audio: Add implicit fb quirk for BOSS GP-10
  (git-fixes).
- ALSA: hda: Add another CometLake-H PCI ID (git-fixes).
- ALSA: hda/hdmi: Drop bogus check at closing a stream
  (git-fixes).
- ALSA: hda/realtek: modify EAPD in the ALC886 (git-fixes).
- commit d3cd0e8
* Mon Feb 22 2021 tiwai@suse.de
- tpm: Remove tpm_dev_wq_lock (git-fixes).
- tpm_tis: Clean up locality release (git-fixes).
- tpm_tis: Fix check_locality for correct locality acquisition
  (git-fixes).
- USB: serial: mos7720: fix error code in mos7720_write()
  (git-fixes).
- USB: serial: mos7840: fix error code in mos7840_write()
  (git-fixes).
- USB: serial: mos7720: improve OOM-handling in read_mos_reg()
  (git-fixes).
- usb: musb: Fix runtime PM race in musb_queue_resume_work
  (git-fixes).
- usb: dwc2: Make "trimming xfer length" a debug message
  (git-fixes).
- usb: dwc2: Abort transaction after errors with unknown reason
  (git-fixes).
- usb: dwc2: Do not update data length if it is 0 on inbound
  transfers (git-fixes).
- usb: gadget: u_audio: Free requests only after callback
  (git-fixes).
- commit 024918e
* Mon Feb 22 2021 tiwai@suse.de
- hwrng: timeriomem - Fix cooldown period calculation (git-fixes).
- media: pxa_camera: declare variable when DEBUG is defined
  (git-fixes).
- media: cx25821: Fix a bug when reallocating some dma memory
  (git-fixes).
- media: qm1d1c0042: fix error return code in qm1d1c0042_init()
  (git-fixes).
- media: lmedm04: Fix misuse of comma (git-fixes).
- media: software_node: Fix refcounts in
  software_node_get_next_child() (git-fixes).
- media: aspeed: fix error return code in
  aspeed_video_setup_video() (git-fixes).
- media: pwc: Use correct device for DMA (bsc#1181133).
- media: tm6000: Fix memleak in tm6000_start_stream (git-fixes).
- media: media/pci: Fix memleak in empress_init (git-fixes).
- media: em28xx: Fix use-after-free in em28xx_alloc_urbs
  (git-fixes).
- media: vsp1: Fix an error handling path in the probe function
  (git-fixes).
- media: camss: missing error code in msm_video_register()
  (git-fixes).
- media: mt9v111: Remove unneeded device-managed puts (git-fixes).
- media: ipu3-cio2: Fix mbus_code processing in
  cio2_subdev_set_fmt() (git-fixes).
- media: i2c: ov5670: Fix PIXEL_RATE minimum value (git-fixes).
- ata: ahci_brcm: Add back regulators management (git-fixes).
- staging: rtl8723bs: wifi_regd.c: Fix incorrect number of
  regulatory rules (git-fixes).
- ata: sata_nv: Fix retrieving of active qcs (git-fixes).
- commit f91a4d1
* Mon Feb 22 2021 tiwai@suse.de
- ASoC: simple-card-utils: Fix device module clock (git-fixes).
- ASoC: cs42l56: fix up error handling in probe (git-fixes).
- ASoC: SOF: debug: Fix a potential issue on string buffer
  termination (git-fixes).
- ASoC: cpcap: fix microphone timeslot mask (git-fixes).
- ALSA: pcm: Don't call sync_stop if it hasn't been stopped
  (git-fixes).
- ALSA: pcm: Assure sync with the pending stop operation at
  suspend (git-fixes).
- ALSA: pcm: Call sync_stop at disconnection (git-fixes).
- ALSA: usb-audio: Don't avoid stopping the stream at
  disconnection (git-fixes).
- ALSA: usb-audio: More strict state change in EP (git-fixes).
- ALSA: usb-audio: Handle invalid running state at releasing EP
  (git-fixes).
- ALSA: usb-audio: Fix PCM buffer allocation in non-vmalloc mode
  (git-fixes).
- ALSA: usb-audio: Correct document for
  snd_usb_endpoint_free_all() (git-fixes).
- ACPI: configfs: add missing check after
  configfs_register_default_group() (git-fixes).
- ACPI: property: Satisfy kernel doc validator (part 2)
  (git-fixes).
- ACPI: property: Satisfy kernel doc validator (part 1)
  (git-fixes).
- ACPI: property: Fix fwnode string properties matching
  (git-fixes).
- ACPICA: Fix exception code class checks (git-fixes).
- commit 858c1eb
* Mon Feb 22 2021 tiwai@suse.de
- Move upstreamed uvcvideo fix into sorted esction
- commit e05eaec
* Mon Feb 22 2021 jgross@suse.com
- xen-blkback: fix error handling in xen_blkbk_map() (XSA-365
  CVE-2021-26930 bsc#1181843).
- commit e27d769
* Mon Feb 22 2021 jgross@suse.com
- xen-scsiback: don't "handle" error by BUG() (XSA-362
  CVE-2021-26931 bsc#1181753).
- commit 0c27363
* Mon Feb 22 2021 jgross@suse.com
- xen-netback: don't "handle" error by BUG() (XSA-362
  CVE-2021-26931 bsc#1181753).
- commit b515e6e
* Mon Feb 22 2021 jgross@suse.com
- xen-blkback: don't "handle" error by BUG() (XSA-362
  CVE-2021-26931 bsc#1181753).
- commit 092d419
* Mon Feb 22 2021 jgross@suse.com
- xen/arm: don't ignore return errors from set_phys_to_machine
  (XSA-361 CVE-2021-26932 bsc#1181747).
- commit 3c70c9d
* Mon Feb 22 2021 jgross@suse.com
- Xen/gntdev: correct error checking in gntdev_map_grant_pages()
  (XSA-361 CVE-2021-26932 bsc#1181747).
- commit ee9fcdf
* Mon Feb 22 2021 jgross@suse.com
- Xen/gntdev: correct dev_bus_addr handling in
  gntdev_map_grant_pages() (XSA-361 CVE-2021-26932 bsc#1181747).
- commit e4d325f
* Mon Feb 22 2021 jgross@suse.com
- Xen/x86: also check kernel mapping in set_foreign_p2m_mapping()
  (XSA-361 CVE-2021-26932 bsc#1181747).
- commit c07de95
* Mon Feb 22 2021 jgross@suse.com
- Xen/x86: don't bail early from clear_foreign_p2m_mapping()
  (XSA-361 CVE-2021-26932 bsc#1181747).
- commit 488df4e
* Mon Feb 22 2021 jgross@suse.com
- xen/netback: fix spurious event detection for common event case
  (bsc#1182175).
- commit 1ecc6fe
* Sun Feb 21 2021 tiwai@suse.de
- ath10k: Fix lockdep assertion warning in ath10k_sta_statistics
  (git-fixes).
- ath10k: Fix suspicious RCU usage warning in
  ath10k_wmi_tlv_parse_peer_stats_info() (git-fixes).
- mt76: mt7915: fix endianness warning in mt7915_mcu_set_radar_th
  (git-fixes).
- Bluetooth: hci_qca: Fix memleak in qca_controller_memdump
  (git-fixes).
- commit a23b170
* Sun Feb 21 2021 tiwai@suse.de
- soc: aspeed: snoop: Add clock control logic (git-fixes).
- memory: ti-aemif: Drop child node when jumping out loop
  (git-fixes).
- reset: hisilicon: correct vendor prefix (git-fixes).
- r8169: fix resuming from suspend on RTL8105e if machine runs
  on battery (git-fixes).
- b43: N-PHY: Fix the update of coef for the PHY revision >=
  3case (git-fixes).
- mac80211: fix potential overflow when multiplying to u32
  integers (git-fixes).
- ath9k: fix data bus crash when setting nf_override via debugfs
  (git-fixes).
- Bluetooth: btusb: Fix memory leak in btusb_mtk_wmt_recv
  (git-fixes).
- Bluetooth: Put HCI device if inquiry procedure interrupts
  (git-fixes).
- Bluetooth: drop HCI device reference before return (git-fixes).
- Bluetooth: Fix initializing response id after clearing struct
  (git-fixes).
- Bluetooth: hci_uart: Fix a race for write_work scheduling
  (git-fixes).
- Bluetooth: btqcomsmd: Fix a resource leak in error handling
  paths in the probe function (git-fixes).
- ath10k: Fix error handling in case of CE pipe init failure
  (git-fixes).
- commit 8d04463
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: dsa: bcm_sf2: Fix overflow checks (git-fixes).
- commit 8931641
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: bcmgenet: keep MAC in reset until PHY is up (git-fixes).
- commit 1bd8cc0
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: mscc: ocelot: properly account for VLAN header length when setting MRU (git-fixes).
- commit 8ecb099
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: fix packet forwarding in rmnet bridge mode (git-fixes).
- commit a6a4d18
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: fix bridge mode bugs (git-fixes).
- commit 6828c73
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: use upper/lower device infrastructure (git-fixes).
- commit 604e5d6
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: do not allow to change mux id if mux id is duplicated (git-fixes).
- commit 358ab29
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: remove rcu_read_lock in rmnet_force_unassociate_device() (git-fixes).
- commit 4387992
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: fix suspicious RCU usage (git-fixes).
- commit 5258625
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: fix NULL pointer dereference in rmnet_changelink() (git-fixes).
- commit 8bdc771
* Sat Feb 20 2021 denis.kirjanov@suse.com
- net: rmnet: fix NULL pointer dereference in rmnet_newlink() (git-fixes).
- commit e563469
* Fri Feb 19 2021 dfaggioli@suse.com
- KVM: x86: allow KVM_STATE_NESTED_MTF_PENDING in kvm_state flags
  (bsc#1182490).
- commit d0034b8
* Fri Feb 19 2021 dfaggioli@suse.com
- KVM: nVMX: don't clear mtf_pending when nested events are blocked
  (bsc#1182489).
- commit c9e5f4e
* Fri Feb 19 2021 msuchanek@suse.de
- ibmvnic: skip send_request_unmap for timeout reset (bsc#1182485
  ltc#191591).
- ibmvnic: add memory barrier to protect long term buffer
  (bsc#1182485 ltc#191591).
- ibmvnic: change IBMVNIC_MAX_IND_DESCS to 16 (bsc#1182485
  ltc#191591).
- ibmvnic: Ensure that CRQ entry read are correctly ordered
  (bsc#1182485 ltc#191591).
- ibmvnic: serialize access to work queue on remove (bsc#1182485
  ltc#191591).
- ibmvnic: skip send_request_unmap for timeout reset (bsc#1182485
  ltc#191591).
- ibmvnic: add memory barrier to protect long term buffer
  (bsc#1182485 ltc#191591).
- ibmvnic: change IBMVNIC_MAX_IND_DESCS to 16 (bsc#1182485
  ltc#191591).
- ibmvnic: Set to CLOSED state even on error (bsc#1182485
  ltc#191591).
- ibmvnic: Ensure that CRQ entry read are correctly ordered
  (bsc#1182485 ltc#191591).
- commit 8ab7740
* Thu Feb 18 2021 dfaggioli@suse.com
- kABI: repair, after "nVMX: Emulate MTF when performinginstruction  emulation"
  kvm_x86_ops is part of kABI as it's used by LTTng. But it's only read
  and never allocated in there, so growing it (without altering existing
  members' offsets) is fine.
- commit d47d125
* Thu Feb 18 2021 jack@suse.cz
- fscrypt: rename DCACHE_ENCRYPTED_NAME to DCACHE_NOKEY_NAME
  (bsc#1182446).
- commit 8620c20
* Thu Feb 18 2021 jack@suse.cz
- fscrypt: add fscrypt_is_nokey_name() (bsc#1182446).
- commit da2337f
* Thu Feb 18 2021 jack@suse.cz
- patches.suse/ext4-Avoid-freeing-inodes-on-dirty-list.patch: Move to
  sorted section, update tags
- commit d9f0c0d
* Thu Feb 18 2021 jack@suse.cz
- fs: fix lazytime expiration handling in
  __writeback_single_inode() (bsc#1182466).
- commit a4f4504
* Thu Feb 18 2021 jack@suse.cz
- ext4: fix superblock checksum failure when setting password salt
  (bsc#1182465).
- commit 1201ea7
* Thu Feb 18 2021 jack@suse.cz
- ext4: don't remount read-only with errors=continue on reboot
  (bsc#1182464).
- commit d554ce9
* Thu Feb 18 2021 jack@suse.cz
- ext4: fix deadlock with fs freezing and EA inodes (bsc#1182463).
- commit 2354cfd
* Thu Feb 18 2021 jack@suse.cz
- reiserfs: add check for an invalid ih_entry_count (bsc#1182462).
- commit 2c4183a
* Thu Feb 18 2021 jack@suse.cz
- quota: Sanity-check quota file headers on load (bsc#1182461).
- commit 5a95e11
* Thu Feb 18 2021 jack@suse.cz
- writeback: Drop I_DIRTY_TIME_EXPIRE (bsc#1182460).
- commit 6f11bc3
* Thu Feb 18 2021 jack@suse.cz
- ubifs: Fix error return code in ubifs_init_authentication()
  (bsc#1182459).
- commit 97d2ec0
* Thu Feb 18 2021 jack@suse.cz
- ubifs: wbuf: Don't leak kernel memory to flash (bsc#1182458).
- commit bce8f1a
* Thu Feb 18 2021 jack@suse.cz
- ubifs: prevent creating duplicate encrypted filenames
  (bsc#1182457).
- commit 80e0969
* Thu Feb 18 2021 jack@suse.cz
- ubifs: ubifs_add_orphan: Fix a memory leak bug (bsc#1182456).
- commit bf8f1af
* Thu Feb 18 2021 jack@suse.cz
- ubifs: ubifs_jnl_write_inode: Fix a memory leak bug
  (bsc#1182455).
  patches.suse/ubifs-xattr-Fix-some-potential-memory-leaks-while-it.patch:
  Refresh and add now relevant bits.
- commit 0b538c3
* Thu Feb 18 2021 jack@suse.cz
- ubifs: Fix ubifs_tnc_lookup() usage in do_kill_orphans()
  (bsc#1182454).
- commit fdbb549
* Thu Feb 18 2021 jack@suse.cz
- ext4: fix bug for rename with RENAME_WHITEOUT (bsc#1182449).
- commit 5f81ca3
* Thu Feb 18 2021 jack@suse.cz
- ext4: fix a memory leak of ext4_free_data (bsc#1182447).
- commit 798e94c
* Thu Feb 18 2021 msuchanek@suse.de
- mm: thp: kABI: move the added flag to the end of enum
  (bsc#1181896 ltc#191273).
- commit 5a6cff9
* Thu Feb 18 2021 jack@suse.cz
- ext4: prevent creating duplicate encrypted filenames
  (bsc#1182446).
- commit ebbed3b
* Thu Feb 18 2021 jack@suse.cz
- block: fix inflight statistics of part0 (bsc#1182445).
- commit 3645427
* Thu Feb 18 2021 jack@suse.cz
- blk-mq: move cancel of hctx->run_work to the front of
  blk_exit_queue (bsc#1182444).
- commit 25d39da
* Thu Feb 18 2021 jack@suse.cz
- blk-mq: insert request not through ->queue_rq into sw/scheduler
  queue (bsc#1182443).
- commit a0c44a1
* Thu Feb 18 2021 jack@suse.cz
- blk-mq: call commit_rqs while list empty but error happen
  (bsc#1182442).
- commit bc0709b
* Thu Feb 18 2021 jack@suse.cz
- block: respect queue limit of max discard segment (bsc#1182441).
- commit 78f8ad6
* Thu Feb 18 2021 jack@suse.cz
- block: virtio_blk: fix handling single range discard request
  (bsc#1182439).
- commit a829826
* Thu Feb 18 2021 ailiop@suse.com
- xfs: fix the forward progress assertion in
  xfs_iwalk_run_callbacks (git-fixes bsc#1182430).
- commit 251c330
* Thu Feb 18 2021 tiwai@suse.de
- drm/i915/tgl+: Make sure TypeC FIA is powered up when
  initializing it (git-fixes).
- Revert "drm/amd/display: Update NV1x SR latency values"
  (git-fixes).
- drm/amd/display: Release DSC before acquiring (git-fixes).
- drm/amd/display: Add more Clock Sources to DCN2.1 (git-fixes).
- drm/amd/display: Fix DPCD translation for LTTPR AUX_RD_INTERVAL
  (git-fixes).
- drm/i915/gt: Define guc firmware blob for older Cometlakes
  (git-fixes).
- commit 50eabd2
* Thu Feb 18 2021 tiwai@suse.de
- drm/amd/display: Decrement refcount of dc_sink before
  reassignment (git-fixes).
- drm/amd/display: Free atomic state after drm_atomic_commit
  (git-fixes).
- drm/amd/display: Fix dc_sink kref count in emulated_link_detect
  (git-fixes).
- commit 0a02ed8
* Thu Feb 18 2021 tiwai@suse.de
- clk: sunxi-ng: mp: fix parent rate change flag check
  (git-fixes).
- firmware_loader: align .builtin_fw to 8 (git-fixes).
- platform/x86: hp-wmi: Disable tablet-mode reporting by default
  (git-fixes).
- commit 3ec7f46
* Thu Feb 18 2021 dfaggioli@suse.com
- KVM: nVMX: Emulate MTF when performing instruction emulation
  (bsc#1182380).
- commit d82f9c0
* Thu Feb 18 2021 mbenes@suse.cz
- tracing: Check length before giving out the filter buffer
  (git-fixes).
- commit d3dfea0
* Thu Feb 18 2021 mbenes@suse.cz
- tracing: Do not count ftrace events in top level enable output
  (git-fixes).
- commit 9eb30ee
* Thu Feb 18 2021 mbenes@suse.cz
- tracing/kprobe: Fix to support kretprobe events on unloaded
  modules (git-fixes).
- commit 19d30cc
* Thu Feb 18 2021 dfaggioli@suse.com
- KVM: x86: remove stale comment from struct x86_emulate_ctxt
  (bsc#1182406).
- commit 0a00f86
* Thu Feb 18 2021 msuchanek@suse.de
- mm/pmem: avoid inserting hugepage PTE entry with fsdax if
  hugepage support is disabled (bsc#1181896 ltc#191273).
- commit 5527d63
* Thu Feb 18 2021 mbenes@suse.cz
- fgraph: Initialize tracing_graph_pause at task creation
  (git-fixes).
- commit ac6ab62
* Thu Feb 18 2021 nmoreychaisemartin@suse.com
- RDMA/srp: Fix support for unpopulated and unbalanced NUMA nodes (bsc#1169709)
- commit f19dffe
* Wed Feb 17 2021 dfaggioli@suse.com
- KVM: x86: clear stale x86_emulate_ctxt->intercept value
  (bsc#1182381).
- commit ffa8b86
* Wed Feb 17 2021 mkubecek@suse.cz
- net/tls: Except bond interface from some TLS checks
  (bsc#1181719).
- net/tls: Device offload to use lowest netdevice in chain
  (bsc#1181719).
- net/bonding: Declare TLS RX device offload support
  (bsc#1181719).
- net/bonding: Implement TLS TX device offload (bsc#1181719).
- net/bonding: Take update_features call out of XFRM funciton
  (bsc#1181719).
- net/bonding: Implement ndo_sk_get_lower_dev (bsc#1181719).
- net/bonding: Take IP hash logic into a helper (bsc#1181719).
- net: netdevice: Add operation ndo_sk_get_lower_dev
  (bsc#1181719).
- commit 3880919
* Wed Feb 17 2021 tiwai@suse.de
- drm/i915/guc: Update to use firmware v49.0.1 (CVE-2020-12362
  CVE-2020-12363 CVE-2020-12364 CVE-2020-12373 bsc#1181720
  bsc#1181735 bsc#1181736 bsc#1181738).
- commit d2373bb
* Wed Feb 17 2021 dfaggioli@suse.com
- KVM: x86: don't notify userspace IOAPIC on edge-triggered interrupt EOI
  (bsc#1182374).
- commit c629183
* Wed Feb 17 2021 mbenes@suse.cz
- tracing/kprobes: Do the notrace functions check without kprobes
  on ftrace (git-fixes).
- Update config files.
- commit dd6e75e
* Wed Feb 17 2021 tiwai@suse.de
- drm/i915/guc: Update to use firmware v49.0.1 (CVE-2020-12362
  CVE-2020-12363 CVE-2020-12364 CVE-2020-12373 bsc#1181720
  bsc#1181735 bsc#1181736 bsc#1181738).
- drm/i915: Update TGL and RKL HuC firmware versions
  (CVE-2020-12362 CVE-2020-12363 CVE-2020-12364 CVE-2020-12373
  bsc#1181720 bsc#1181735 bsc#1181736 bsc#1181738).
- commit 44f462f
* Wed Feb 17 2021 ptesarik@suse.cz
- vfio-pci/zdev: Add zPCI capabilities to VFIO_DEVICE_GET_INFO
  (jsc#SLE-13841).
- s390/default: Set CONFIG_VFIO_PCI_ZDEV=y.
- vfio: Introduce capability definitions for VFIO_DEVICE_GET_INFO
  (jsc#SLE-13841).
- s390/pci: track whether util_str is valid in the zpci_dev
  (jsc#SLE-13841).
- s390/pci: stash version in the zpci_dev (jsc#SLE-13841).
- commit 0136f7b
* Wed Feb 17 2021 nsaenzjulienne@suse.de
- Update config files: Set reset-raspberrypi as builtin (bsc#1180336)
  This driver is needed in order to boot through USB. Ideally the kernel
  module should be selected by dracut, but it's not. So make it builtin
  until the relevant dracut fixes are available.
- commit b773757
* Wed Feb 17 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0003-caif-no-need-to-check-return-value-of-debugfs_create.patch
- commit f7a521f
* Wed Feb 17 2021 tzimmermann@suse.de
- drm/sun4i: dw-hdmi: Fix max. frequency for H6 (bsc#1152472)
- commit acb3f2a
* Wed Feb 17 2021 tzimmermann@suse.de
- drm/sun4i: Fix H6 HDMI PHY configuration (bsc#1152472)
- commit 039ccc9
* Wed Feb 17 2021 tzimmermann@suse.de
- drm/sun4i: dw-hdmi: always set clock rate (bsc#1152472)
- commit 0e99073
* Wed Feb 17 2021 tzimmermann@suse.de
- drm/sun4i: tcon: set sync polarity for tcon1 channel (bsc#1152472)
- commit 03d6bea
* Wed Feb 17 2021 tzimmermann@suse.de
- drm/vc4: hvs: Fix buffer overflow with the dlist handling (bsc#1152489)
- commit b8a95b9
* Wed Feb 17 2021 tzimmermann@suse.de
- drm/meson: Unbind all connectors on module removal (bsc#1152472)
- commit b5e929b
* Wed Feb 17 2021 tzimmermann@suse.de
- matroxfb: avoid -Warray-bounds warning (bsc#1152472)
- commit f5716ba
* Wed Feb 17 2021 tiwai@suse.de
- rpm/config.sh: Enable armv7hl build in an extra project (jsc#SLE-17212)
  The armv7hl is built on OBS openSUSE:Step:15-SP3 project
- commit 8215a31
* Tue Feb 16 2021 tiwai@suse.de
- config.conf: Enable armv7hl build (jsc#SLE-17212)
  The build is still not triggered as it's missing SUSE:* projects
- commit b8c9b59
* Tue Feb 16 2021 nsaenzjulienne@suse.de
- Update config files: Enable UDC useful for arm64 (jsc#SLE-14042)
- supported.conf: Set arm64 UDCs as optional
- commit 4427f1e
* Tue Feb 16 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-64-signal-Fix-regression-in-__kernel_sigtram.patch
  powerpc/64/signal: Fix regression in fixing regression in
  __kernel_sigtramp_rt64() semantics
  Fixes:
  [    1.424052] systemd[142]: /usr/lib/systemd/system-generators/dracut-rootfs-generator terminated by signal SEGV.
  ...
  /.build/build-vm: line 521:   208 Segmentation fault      $0 "$@"
  [    2.595622] Kernel panic - not syncing: Attempted to kill init!  exitcode=0x0000000b
- commit 031f2c1
* Tue Feb 16 2021 oneukum@suse.com
- Update config files. Enable USB_GADGET(jsc#SLE-14042)
  After discussion what the feature request implied, it was
  decided that gadget mode is also needed on x86_64
- commit 4402673
* Tue Feb 16 2021 ptesarik@suse.cz
- arm64/64kb: Enable 52-bit virtual and 52-bit physical addresses.
  These features have been rejected solely because of their
  dependency on 64k page size.
- commit afe8527
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: dwmac-sunxi: Provide TX and RX fifo sizes
  (git-fixes).
- commit 2c2d766
* Tue Feb 16 2021 ptesarik@suse.cz
- Make a 64kb kernel flavor for arm64 (jsc#SLE-15406)
  Add a kernel flavor with a 64kb PAGE_SIZE. Only the page size has
  been changed explicitly; all other config option changes are caused
  by Kconfig dependencies.
- commit e9424d3
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net/sonic: Add mutual exclusion for accessing shared state
  (git-fixes).
- commit 52ed672
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: Always arm TX Timer at end of transmission start
  (git-fixes).
- commit 6058ba7
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: Fix the TX IOC in xmit path (git-fixes).
- commit 0d8ff7f
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: Enable 16KB buffer size (git-fixes).
- commit c5a734b
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: 16KB buffer must be 16 byte aligned (git-fixes).
- commit c88cefc
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: RX buffer size must be 16 byte aligned (git-fixes).
- commit d10b760
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: xgmac: Clear previous RX buffer size (git-fixes).
- commit 53673df
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: Do not accept invalid MTU values (git-fixes).
- commit ac657b6
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: stmmac: selftests: Needs to check the number of Multicast
  regs (git-fixes).
- commit 8826854
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: caif: Fix debugfs on 64-bit platforms (git-fixes).
- commit 7a8758b
* Tue Feb 16 2021 denis.kirjanov@suse.com
- caif: no need to check return value of debugfs_create functions
  (git-fixes).
- commit 756b62e
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: axienet: Fix error return code in axienet_probe()
  (git-fixes).
- commit 6ec2abe
* Tue Feb 16 2021 denis.kirjanov@suse.com
- net: netsec: Correct dma sync for XDP_TX frames (git-fixes).
- commit 8040572
* Tue Feb 16 2021 tbogendoerfer@suse.de
- net: gro: do not keep too many GRO packets in napi->rx_list
  (bsc#1154353).
- commit 76fde4b
* Mon Feb 15 2021 msuchanek@suse.de
- kernel-binary.spec: Add back initrd and image symlink ghosts to
  filelist (bsc#1182140).
  Fixes: 76a9256314c3 ("rpm/kernel-{source,binary}.spec: do not include ghost symlinks (boo#1179082).")
- commit 606c9d1
* Mon Feb 15 2021 tiwai@suse.de
- ahci: Add support for Dell S140 and later (jsc#SLE-14457).
- commit 7fa1bda
* Mon Feb 15 2021 ailiop@suse.com
- xfs: ratelimit xfs_discard_page messages (bsc#1182283).
- commit 672719e
* Mon Feb 15 2021 ailiop@suse.com
- xfs: scrub should mark a directory corrupt if any entries
  cannot be iget'd (git-fixes bsc#1182278).
- commit 55cdbf1
* Mon Feb 15 2021 tiwai@suse.de
- Drop HID logitech patch that caused a regression (bsc#1182259)
  Delete patches.suse/HID-logitech-dj-add-the-G602-receiver.patch
  blacklist.conf: add the dropped entry
- commit fc205a0
* Mon Feb 15 2021 ailiop@suse.com
- xfs: fix parent pointer scrubber bailing out on unallocated
  inodes (git-fixes bsc#1182276).
- commit 68a744e
* Mon Feb 15 2021 ailiop@suse.com
- xfs: return corresponding errcode if xfs_initialize_perag()
  fail (git-fixes bsc#1182275).
- commit adf2653
* Mon Feb 15 2021 ailiop@suse.com
- xfs: fix the minrecs logic when dealing with inode root child
  blocks (git-fixes bsc#1182273).
- commit 5d5cd17
* Mon Feb 15 2021 ailiop@suse.com
- xfs: ensure inobt record walks always make forward progress
  (git-fixes bsc#1182272).
- commit 5d91094
* Mon Feb 15 2021 bp@suse.de
- x86/apic: Add extra serialization for non-serializing MSRs
  (bsc#1152489).
- commit 52e6a50
* Mon Feb 15 2021 ailiop@suse.com
- xfs: strengthen rmap record flags checking (git-fixes
  bsc#1182271).
- commit 0a8fcac
* Mon Feb 15 2021 ailiop@suse.com
- squashfs: add more sanity checks in xattr id lookup (git-fixes
  bsc#1182268).
- commit f6143c2
* Mon Feb 15 2021 ailiop@suse.com
- squashfs: add more sanity checks in inode lookup (git-fixes
  bsc#1182267).
- commit 81b879a
* Mon Feb 15 2021 ailiop@suse.com
- squashfs: add more sanity checks in id lookup (git-fixes
  bsc#1182266).
- commit a860e79
* Mon Feb 15 2021 ailiop@suse.com
- vfs: Convert squashfs to use the new mount API (git-fixes
  bsc#1182265).
- commit 961749a
* Mon Feb 15 2021 vbabka@suse.cz
- mm: thp: fix MADV_REMOVE deadlock on shmem THP (CVE-2020-29368,
  bsc#1179660.).
- commit 9d15b36
* Mon Feb 15 2021 vbabka@suse.cz
- mm: thp: make the THP mapcount atomic against
  __split_huge_pmd_locked() (CVE-2020-29368, bsc#1179660.).
- commit 842b18f
* Mon Feb 15 2021 tiwai@suse.de
- rpm/post.sh: Avoid purge-kernel for the first installed kernel (bsc#1180058)
- commit c29e77d
* Mon Feb 15 2021 bp@suse.de
- blacklist.conf: 20bf2b378729 x86/build: Disable CET instrumentation in the kernel
- commit ae0a855
* Mon Feb 15 2021 msuchanek@suse.de
- Update config files.
  CONFIG_IRQ_TIME_ACCOUNTING=n on ppc64
  Fixes: ce08519dfa669
- commit 3aeb7fd
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/mediatek: Remove duplicated include'
- commit ecb87cb
* Mon Feb 15 2021 tzimmermann@suse.de
- drm/dp_mst: Don't report ports connected if nothing is attached to (bsc#1152489)
- commit 00ff66f
* Mon Feb 15 2021 tzimmermann@suse.de
- drm/i915: Fix overlay frontbuffer tracking (bsc#1152489)
- commit 4516e0f
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gem: Support parsing of oversize batches'
- commit e3b72f7
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Add missing "Copy GSL groups when committing a new context"'
- commit 5abd636
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Filter wake_flags passed to default_wake_function'
- commit 0a7430b
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gem: Reduce context termination list iteration guard to RCU'
- commit 6bbec31
* Mon Feb 15 2021 tzimmermann@suse.de
- drm/i915/gt: Only transfer the virtual context to the new engine if (bsc#1152489)
  Backporting notes:
  * context changes
- commit 3e2a61c
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/selftests: Avoid passing a random 0 into ilog2'
- commit f3cb566
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix wrong return value in intel_atomic_check()'
- commit 2ef532e
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Protect defer_request() from new waiters'
- commit 2230231
* Mon Feb 15 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/mediatek: Fix can't get component for external display plane.'
- commit edafa6b
* Mon Feb 15 2021 jgross@suse.com
- x86/pci: Create PCI/MSI irqdomain after x86_init.pci.arch_init()
  (bsc#1181572).
- commit 7161d5a
* Sun Feb 14 2021 mkubecek@suse.cz
- fix patch metadata
- fix upstream reference:
  patches.suse/net-hns3-add-a-check-for-queue_id-in-hclge_reset_vf_.patch
- commit 33a1a9d
* Sun Feb 14 2021 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section
  patches.suse/powerpc-pseries-extract-host-bridge-from-pci_bus-pri.patch
- commit 05c22a3
* Sun Feb 14 2021 tiwai@suse.de
- drm/sun4i: dw-hdmi: Fix max. frequency for H6 (git-fixes).
- drm/sun4i: Fix H6 HDMI PHY configuration (git-fixes).
- drm/sun4i: dw-hdmi: always set clock rate (git-fixes).
- drm/sun4i: tcon: set sync polarity for tcon1 channel
  (git-fixes).
- drm/dp_mst: Don't report ports connected if nothing is attached
  to them (git-fixes).
- drm/vc4: hvs: Fix buffer overflow with the dlist handling
  (git-fixes).
- drm/i915: Fix overlay frontbuffer tracking (git-fixes).
- drm/nouveau/nvif: fix method count when pushing an array
  (git-fixes).
- commit f9287ec
* Sun Feb 14 2021 tiwai@suse.de
- regulator: Fix lockdep warning resolving supplies (git-fixes).
- commit 83723b8
* Sun Feb 14 2021 tiwai@suse.de
- i2c: stm32f7: fix configuration of the digital filter
  (git-fixes).
- i2c: mediatek: Move suspend and resume handling to NOIRQ phase
  (git-fixes).
- mac80211: 160MHz with extended NSS BW in CSA (git-fixes).
- iwlwifi: mvm: guard against device removal in reprobe
  (git-fixes).
- iwlwifi: mvm: invalidate IDs of internal stations at mvm start
  (git-fixes).
- iwlwifi: pcie: fix context info memory leak (git-fixes).
- iwlwifi: pcie: add a NULL check in iwl_pcie_txq_unmap
  (git-fixes).
- iwlwifi: mvm: take mutex for calling iwl_mvm_get_sync_time()
  (git-fixes).
- iwlwifi: mvm: skip power command when unbinding vif during CSA
  (git-fixes).
- regulator: core: avoid regulator_resolve_supply() race condition
  (git-fixes).
- commit c869ffc
* Sat Feb 13 2021 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Remove struct smca_hwid.xec_bitmap
  (bsc#1182217).
- Refresh
  patches.suse/edac-mce_amd-use-struct-cpuinfo_x86-cpu_die_id-for-amd-nodeid.patch.
- commit bdedc9e
* Sat Feb 13 2021 denis.kirjanov@suse.com
- net: mscc: ocelot: fix address ageing time (again) (git-fixes).
- commit 2561722
* Sat Feb 13 2021 denis.kirjanov@suse.com
- dpaa2-eth: fix return codes used in ndo_setup_tc (git-fixes).
- commit 14e0d91
* Sat Feb 13 2021 denis.kirjanov@suse.com
- qlcnic: fix missing release in qlcnic_83xx_interrupt_test
  (git-fixes).
- commit d3915bd
* Sat Feb 13 2021 denis.kirjanov@suse.com
- net: sun: fix missing release regions in cas_init_one()
  (git-fixes).
- commit 5243443
* Sat Feb 13 2021 denis.kirjanov@suse.com
- net: mscc: ocelot: ANA_AUTOAGE_AGE_PERIOD holds a value in
  seconds, not ms (git-fixes).
- commit 8f77ca6
* Sat Feb 13 2021 denis.kirjanov@suse.com
- net: moxa: Fix a potential double 'free_irq()' (git-fixes).
- commit 6d56ae2
* Sat Feb 13 2021 bp@suse.de
- EDAC/mce_amd: Add new error descriptions for existing types
  (bsc#1182217).
- commit 8e9c253
* Sat Feb 13 2021 bp@suse.de
- x86/mce, EDAC/mce_amd: Print PPIN in machine check records
  (bsc#1182217).
- commit 6faa949
* Sat Feb 13 2021 bp@suse.de
- EDAC/mce_amd: Print !SMCA processor warning only once
  (bsc#1182217).
- commit 3bacba7
* Sat Feb 13 2021 bp@suse.de
- EDAC/amd64: Do not warn when removing instances (bsc#1182217).
- commit d9742d0
* Fri Feb 12 2021 msuchanek@suse.de
- powerpc/pseries: extract host bridge from pci_bus prior to
  bus removal (bsc#1182171 ltc#190900).
- commit 9deaa93
* Fri Feb 12 2021 msuchanek@suse.de
- powerpc/kexec_file: fix FDT size estimation for kdump kernel
  (bsc#1181928 ltc#190572).
- commit de42489
* Fri Feb 12 2021 rgoldwyn@suse.com
- btrfs: Enable autodefrag (bsc#1181785)
  Refresh
  patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch.
- commit c3b1454
* Fri Feb 12 2021 tiwai@suse.de
- ASoC: codecs: max98373-sdw: align regmap use with other codecs
  (git-fixes).
- Refresh
  patches.suse/ASoC-max98373-don-t-access-volatile-registers-in-bia.patch.
- commit 2986405
* Fri Feb 12 2021 tiwai@suse.de
- ASoC: codecs: rt*.c: remove useless pointer cast (git-fixes).
- ASoC: topology: Add support for WO and RO TLV byte kcontrols
  (git-fixes).
- ASoC: codecs: rt*-sdw: use SDW_SLAVE_ENTRY_EXT (git-fixes).
- ASoC: hdac_hda: allow runtime pm at end of probe (git-fixes).
- commit 51b0ab6
* Fri Feb 12 2021 tbogendoerfer@suse.de
- cxgb4: fix the panic caused by non smac rewrite (git-fixes).
- commit 0f6aca4
* Fri Feb 12 2021 dwagner@suse.de
- nvme-hwmon: rework to avoid devm allocation (bsc#1177326).
- commit bc99792
* Fri Feb 12 2021 tiwai@suse.de
- Update config files: make armv7hl/lpae a fragmented config (jsc#SLE-17212)
  Just for ease of maintenance
- commit 8e88e72
* Fri Feb 12 2021 tiwai@suse.de
- gpio: ep93xx: Fix single irqchip with multi gpiochips
  (git-fixes).
- gpio: ep93xx: fix BUG_ON port F usage (git-fixes).
- commit 4d3d0a7
* Fri Feb 12 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/ibmvnic-Clear-failover_pending-if-unable-to-schedule.patch
- commit f78f850
* Thu Feb 11 2021 msuchanek@suse.de
- arm64: use a common .arch preamble for inline assembly
  (bsc#1182114).
- commit 56aeca4
* Thu Feb 11 2021 msuchanek@suse.de
- 1764c3edc66880778604f5053fe2dda7b3ddd2c1 also fixes binutils 2.36
  (bsc#1182114)
- commit a031455
* Thu Feb 11 2021 msuchanek@suse.de
- powerpc/perf/hv-24x7: Dont create sysfs event files for dummy
  events (bsc#1182118 ltc#190624).
- commit 2178630
* Thu Feb 11 2021 tbogendoerfer@suse.de
- cxgb4/chtls: Fix tid stuck due to wrong update of qid
  (git-fixes).
- chtls: Fix chtls resources release sequence (git-fixes).
- chtls: Added a check to avoid NULL pointer dereference
  (git-fixes).
- chtls: Replace skb_dequeue with skb_peek (git-fixes).
- chtls: Avoid unnecessary freeing of oreq pointer (git-fixes).
- chtls: Fix panic when route to peer not configured (git-fixes).
- chtls: Remove invalid set_tcb call (git-fixes).
- chtls: Fix hardware tid leak (git-fixes).
- i40e: avoid premature Rx buffer reuse (git-fixes).
- net/mlx4_en: Handle TX error CQE (bsc#1181854).
- net/mlx4_en: Avoid scheduling restart task if it is already
  running (bsc#1181854).
- chelsio/chtls: fix a double free in chtls_setkey() (git-fixes).
- chelsio/chtls: fix panic during unload reload chtls (git-fixes).
- commit 6313497
* Thu Feb 11 2021 nsaenzjulienne@suse.de
- Update config files: Set ledtrig-default-on as builtin (bsc#1182128)
- commit 2f7b8ce
* Thu Feb 11 2021 tiwai@suse.de
- supported.conf: Preliminary sort of contents (jsc#SLE-17212)
  Just sorted, no other changes
- commit 5b39bec
* Thu Feb 11 2021 tbogendoerfer@suse.de
- net: hns3: add a check for queue_id in hclge_reset_vf_queue()
  (git-fixes).
- net/mlx5e: Update max_opened_tc also when channels are closed
  (git-fixes).
- net: mvpp2: TCAM entry enable should be written after SRAM data
  (git-fixes).
- igc: check return value of ret_val in
  igc_config_fc_after_link_up (git-fixes).
- igc: set the default return value to -IGC_ERR_NVM in
  igc_write_nvm_srwr (git-fixes).
- igc: Report speed and duplex as unknown when device is runtime
  suspended (git-fixes).
- net/mlx5e: Reduce tc unsupported key print level (git-fixes).
- net/mlx5: Fix memory leak on flow table creation error flow
  (git-fixes).
- igc: fix link speed advertising (git-fixes).
- cxgb4/chtls: Fix tid stuck due to wrong update of qid
  (git-fixes).
- bnxt_en: Improve stats context resource accounting with RDMA
  driver loaded (git-fixes).
- net: mvpp2: Remove Pause and Asym_Pause support (git-fixes).
- mlxsw: core: Increase critical threshold for ASIC thermal zone
  (git-fixes).
- mlxsw: core: Add validation of transceiver temperature
  thresholds (git-fixes).
- net/mlx5e: Fix memleak in mlx5e_create_l2_table_groups
  (git-fixes).
- net/mlx5e: Fix two double free cases (git-fixes).
- net/mlx5: Use port_num 1 instead of 0 when delete a RoCE address
  (git-fixes).
- chtls: Fix chtls resources release sequence (git-fixes).
- chtls: Added a check to avoid NULL pointer dereference
  (git-fixes).
- chtls: Replace skb_dequeue with skb_peek (git-fixes).
- chtls: Fix panic when route to peer not configured (git-fixes).
- chtls: Remove invalid set_tcb call (git-fixes).
- chtls: Fix hardware tid leak (git-fixes).
- net: hns3: fix the number of queues actually used by ARQ
  (git-fixes).
- qed: select CONFIG_CRC32 (git-fixes).
- net: hns: fix return value check in __lb_other_process()
  (git-fixes).
- net: mvpp2: fix pkt coalescing int-threshold configuration
  (git-fixes).
- tun: fix return value when the number of iovs exceeds
  MAX_SKB_FRAGS (git-fixes).
- virtio_net: Fix recursive call to cpus_read_lock() (git-fixes).
- net: mvpp2: Fix GoP port 3 Networking Complex Control
  configurations (git-fixes).
- net: mvpp2: prs: fix PPPoE with ipv6 packet parse (git-fixes).
- net: mvpp2: Add TCAM entry to drop flow control pause frames
  (git-fixes).
- net: mvpp2: disable force link UP during port init procedure
  (git-fixes).
- iavf: fix double-release of rtnl_lock (git-fixes).
- i40e: Fix Error I40E_AQ_RC_EINVAL when removing VFs (git-fixes).
- virtio_net: Fix error code in probe() (git-fixes).
- ixgbe: avoid premature Rx buffer reuse (git-fixes).
- i40e: avoid premature Rx buffer reuse (git-fixes).
- net/mlx4_en: Handle TX error CQE (bsc#1181854).
- net/mlx4_en: Avoid scheduling restart task if it is already
  running (bsc#1181854).
- net/mlx5: Fix wrong address reclaim when command interface is
  down (git-fixes).
- net: mvpp2: Fix error return code in mvpp2_open() (git-fixes).
- chelsio/chtls: fix a double free in chtls_setkey() (git-fixes).
- cxgb3: fix error return code in t3_sge_alloc_qset() (git-fixes).
- net: broadcom CNIC: requires MMU (git-fixes).
- chelsio/chtls: fix panic during unload reload chtls (git-fixes).
- net: ena: set initial DMA width to avoid intel iommu issue
  (git-fixes).
- i40e: Fix removing driver while bare-metal VFs pass traffic
  (git-fixes).
- bnxt_en: Release PCI regions when DMA mask setup fails during
  probe (git-fixes).
- bnxt_en: fix error return code in bnxt_init_board() (git-fixes).
- bnxt_en: fix error return code in bnxt_init_one() (git-fixes).
- net/mlx4_core: Fix init_hca fields offset (git-fixes).
- net/mlx5: Disable QoS when min_rates on all VFs are zero
  (git-fixes).
- net/mlx5: Add handling of port type in rule deletion
  (git-fixes).
- mlxsw: core: Use variable timeout for EMAD retries (git-fixes).
- qed: fix error return code in qed_iwarp_ll2_start() (git-fixes).
- bnxt_en: read EEPROM A2h address using page 0 (git-fixes).
- net/mlx5: Fix deletion of duplicate rules (git-fixes).
- chelsio/chtls: fix always leaking ctrl_skb (git-fixes).
- chelsio/chtls: fix memory leaks caused by a race (git-fixes).
- chelsio/chtls: fix memory leaks in CPL handlers (git-fixes).
- chelsio/chtls: fix deadlock issue (git-fixes).
- cxgb4: set up filter action after rewrites (git-fixes).
- chelsio/chtls: fix tls record info to user (git-fixes).
- chelsio/chtls: correct function return and return type
  (git-fixes).
- chelsio/chtls: correct netdevice for vlan interface (git-fixes).
- chelsio/chtls: fix socket lock (git-fixes).
- commit f8ae7ea
* Thu Feb 11 2021 bp@suse.de
- blacklist.conf: 9ad22e165994 x86/debug: Fix DR6 handling
- commit b5c23b5
* Thu Feb 11 2021 jgross@suse.com
- xen/netback: avoid race in xenvif_rx_ring_slots_available()
  (bsc#1065600).
- commit b061a0d
* Thu Feb 11 2021 jgross@suse.com
- series.conf: cleanup
- update upstream references and move to sorted section:
  patches.suse/x86-xen-avoid-warning-in-Xen-pv-guest-with-CONFIG_AM.patch.
  patches.suse/xen-blkfront-allow-discard-nodes-to-be-optional.patch.
- commit 9ed652c
* Thu Feb 11 2021 oneukum@suse.com
- supported.conf: fix typo "!optoinal" should be "!optional"
- commit 154f90d
* Thu Feb 11 2021 tiwai@suse.de
- dmaengine: idxd: check device state before issue command
  (git-fixes).
- dmaengine: move channel device_node deletion to driver
  (git-fixes).
- dmaengine: idxd: fix misc interrupt completion (git-fixes).
- dmaengine: idxd: Fix list corruption in description completion
  (git-fixes).
- commit 21a74f3
* Thu Feb 11 2021 tiwai@suse.de
- mt76: dma: fix a possible memory leak in mt76_add_fragment()
  (git-fixes).
- commit 8ae7076
* Wed Feb 10 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/0002-x86-msi-Only-use-high-bits-of-MSI-address-for-DMAR-u.patch
  patches.suse/0003-x86-ioapic-Handle-Extended-Destination-ID-field-in-R.patch
  patches.suse/0004-x86-apic-Support-15-bits-of-APIC-ID-in-IOAPIC-MSI-wh.patch
  patches.suse/0005-x86-kvm-Add-KVM_FEATURE_MSI_EXT_DEST_ID.patch
- commit e28768c
* Wed Feb 10 2021 ohering@suse.de
- x86/hyperv: Initialize clockevents after LAPIC is initialized (git-fixes).
- commit 5954028
* Wed Feb 10 2021 tiwai@suse.de
- drm/i915: Fix the MST PBN divider calculation (git-fixes).
- drm/dp/mst: Export drm_dp_get_vc_payload_bw() (git-fixes).
- drm/i915/display: Prevent double YUV range correction on HDR
  planes (git-fixes).
- drm/i915: Power up combo PHY lanes for for HDMI as well
  (git-fixes).
- drm/i915: Extract intel_ddi_power_up_lanes() (git-fixes).
- commit 6a0d54e
* Wed Feb 10 2021 tiwai@suse.de
- USB: serial: option: Adding support for Cinterion MV31
  (git-fixes).
- USB: serial: cp210x: add pid/vid for WSDA-200-USB (git-fixes).
- USB: serial: cp210x: add new VID/PID for supporting Teraoka
  AD2000 (git-fixes).
- USB: usblp: don't call usb_set_interface if there's a single
  alt (git-fixes).
- Input: xpad - sync supported devices with fork on GitHub
  (git-fixes).
- mmc: core: Limit retries when analyse of SDIO tuples fails
  (git-fixes).
- drm/amd/display: Revert "Fix EDID parsing after resume from
  suspend" (git-fixes).
- mac80211: fix station rate table updates on assoc (git-fixes).
- iwlwifi: mvm: don't send RFH_QUEUE_CONFIG_CMD with no queues
  (git-fixes).
- commit 2244f3a
* Tue Feb  9 2021 pjakobsson@suse.de
- supported.conf: Mark habanalabs as supported (jsc#SLE-15232)
- commit c19a913
* Tue Feb  9 2021 dwagner@suse.de
- nvme: re-read ANA log on NS CHANGED AEN (bsc#1179137).
- commit d65941e
* Tue Feb  9 2021 mbrugger@suse.com
- KVM: arm64: Remove S1PTW check from kvm_vcpu_dabt_iswrite()
  (bsc#1181818).
- KVM: arm64: Assume write fault on S1PTW permission fault on
  instruction fetch (bsc#1181818).
- commit 9e58921
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: fix some return value check of
  cpsw_ale_create() (git-fixes).
- commit c1f82b5
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net/mlx5e: Correctly handle changing the number of queues when
  the interface is down (git-fixes).
- commit 2e18a60
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: ale: fix allmulti for nu type ale
  (git-fixes).
- commit 1455e82
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: ale: ensure vlan/mdb deleted when no members
  (git-fixes).
- commit 6a115f1
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: ale: modify vlan/mdb api for switchdev
  (git-fixes).
- Refresh
  patches.suse/0009-net-ethernet-ti-ale-fix-seeing-unreg-mcast-packets-w.patch.
- commit 0cae8d9
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: cpsw: allow untagged traffic on host port
  (git-fixes).
- commit da85a01
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: ethernet: ti: ale: fix seeing unreg mcast packets with
  promisc and allmulti disabled (git-fixes).
- commit 6a2d8f8
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net/mlx5e: Fix configuration of XPS cpumasks and netdev queues
  in corner cases (git-fixes).
- Refresh
  patches.suse/net-mlx5e-Fix-CPU-mapping-after-function-reload-to-a.patch.
- commit ae37f4a
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net/mlx5e: Use preactivate hook to set the indirection table
  (git-fixes).
- commit a8003a3
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net/mlx5e: Rename hw_modify to preactivate (git-fixes).
- commit d8b9674
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net/mlx5e: Encapsulate updating netdev queues into a function
  (git-fixes).
- commit 0764cbf
* Tue Feb  9 2021 denis.kirjanov@suse.com
- sh_eth: check sh_eth_cpu_data::no_xdfar when dumping registers
  (git-fixes).
- commit ccdc470
* Tue Feb  9 2021 denis.kirjanov@suse.com
- sh_eth: check sh_eth_cpu_data::cexcr when dumping registers
  (git-fixes).
- commit 855923f
* Tue Feb  9 2021 denis.kirjanov@suse.com
- sh_eth: check sh_eth_cpu_data::no_tx_cntrs when dumping
  registers (git-fixes).
- commit 1115b43
* Tue Feb  9 2021 denis.kirjanov@suse.com
- net: dsa: mt7530: Change the LINK bit to reflect the link status
  (git-fixes).
- commit 7c5ca65
* Tue Feb  9 2021 msuchanek@suse.de
- powerpc/pseries/dlpar: handle ibm, configure-connector delay
  status (bsc#1181985 ltc#188074).
- commit 418b81d
* Tue Feb  9 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference:
  patches.suse/ibmvnic-Clear-failover_pending-if-unable-to-schedule.patch
- commit 85f2019
* Tue Feb  9 2021 mkubecek@suse.cz
- fix patch metadata
- fix upstream reference:
  patches.suse/io_uring-Fix-current-fs-handling-in-io_sq_wq_submit_.patch
- commit 90ec2ae
* Tue Feb  9 2021 jeyu@suse.de
- Rename duplicate patches to their SLE15-SP2 equivalents.
  This is to prepare for the next SLE15-SP2 -> SLE15-SP3 merge.
- commit a7157b9
* Tue Feb  9 2021 dwagner@suse.de
- scsi: lpfc: Fix EEH encountering oops with NVMe traffic
  (bsc#1181958).
- commit 5afe23b
* Tue Feb  9 2021 tbogendoerfer@suse.de
- net/mlx5e: Release skb in case of failure in tc update skb
  (jsc#SLE-15172).
- net/mlx5: Fix leak upon failure of rule creation
  (jsc#SLE-15172).
- commit 67867c6
* Tue Feb  9 2021 tiwai@suse.de
- supported.conf: Add armv7hl entries (jsc#SLE-17212)
- commit 87b18a9
* Tue Feb  9 2021 glin@suse.com
- selftests/bpf: Fix unused attribute usage in subprogs_unused
  test (bsc#1177028).
- libbpf: Fix potential multiplication overflow (bsc#1177028).
- libbpf: Fix another __u64 cast in printf (bsc#1177028).
- libbpf: Fix compilation warnings for 64-bit printf args
  (bsc#1177028).
- libbpf: Fix type compatibility check copy-paste error
  (bsc#1177028).
- libbpf: Fix libbpf build on compilers missing
  __builtin_mul_overflow (bsc#1177028).
- libbpf: Implement enum value-based CO-RE relocations
  (bsc#1177028).
- commit 76c0289
* Mon Feb  8 2021 msuchanek@suse.de
- powerpc/64/signal: Fix regression in __kernel_sigtramp_rt64()
  semantics (jsc#SLE-9246).
- powerpc/64s: prevent recursive replay_soft_interrupts causing
  superfluous interrupt (jsc#SLE-9246).
- commit 2c2e4e4
* Mon Feb  8 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-sstep-Fix-array-out-of-bound-warning.patch.
  Update metadata
- commit 8349f78
* Mon Feb  8 2021 msuchanek@suse.de
- powerpc/perf: Exclude kernel samples while counting events in
  user space (bsc#1065729).
- commit 50bd42d
* Mon Feb  8 2021 msuchanek@suse.de
- powerpc: Fix alignment bug within the init sections
  (bsc#1065729).
- commit 7810647
* Mon Feb  8 2021 msuchanek@suse.de
- powerpc/powernv/npu: Do not attempt NPU2 setup on POWER8NVL NPU
  (bsc#1156395).
- powerpc/powernv/memtrace: Fix crashing the kernel when enabling
  concurrently (bsc#1156395).
- powerpc/powernv/memtrace: Don't leak kernel memory to user space
  (bsc#1156395).
- powerpc/fpu: Drop cvt_fd() and cvt_df() (bsc#1156395).
- powerpc/boot: Delete unneeded .globl _zimage_start
  (bsc#1156395).
- commit 735e425
* Mon Feb  8 2021 msuchanek@suse.de
- ibmvnic: device remove has higher precedence over reset
  (bsc#1065729).
- commit 0b8e9f9
* Mon Feb  8 2021 msuchanek@suse.de
- ibmvnic: fix login buffer memory leak (bsc#1081134 ltc#164631).
- commit 5b8c72b
* Mon Feb  8 2021 msuchanek@suse.de
- ibmvnic: Clear failover_pending if unable to schedule
  (bsc#1181960 ltc#190997).
- commit fb1a56e
* Mon Feb  8 2021 tiwai@suse.de
- ACPI: thermal: Do not call acpi_thermal_check() directly
  (git-fixes).
- Refresh patches.suse/acpi_thermal_passive_blacklist.patch.
- commit 1cfdad3
* Mon Feb  8 2021 tiwai@suse.de
- genirq/msi: Activate Multi-MSI early when
  MSI_FLAG_ACTIVATE_EARLY is set (git-fixes).
- drm/amd/display: Fixed corruptions on HPDRX link loss restore
  (git-fixes).
- drm/amd/display: Use hardware sequencer functions for PG control
  (git-fixes).
- drm/amd/display: Allow PSTATE chnage when no displays are
  enabled (git-fixes).
- mac80211: fix incorrect strlen of .write in debugfs (git-fixes).
- drm/amd/display: Update dram_clock_change_latency for DCN2.1
  (git-fixes).
- drm/panfrost: Support cache-coherent integrations (git-fixes).
- commit c563f5a
* Mon Feb  8 2021 tiwai@suse.de
- phy: cpcap-usb: Fix warning for missing regulator_disable
  (git-fixes).
- platform/x86: intel-vbtn: Support for tablet mode on Dell
  Inspiron 7352 (git-fixes).
- platform/x86: touchscreen_dmi: Add swap-x-y quirk for Goodix
  touchscreen on Estar Beauty HD tablet (git-fixes).
- drm/amd/display: Change function decide_dp_link_settings to
  avoid infinite looping (git-fixes).
- mac80211: fix fast-rx encryption check (git-fixes).
- commit 504e3c0
* Mon Feb  8 2021 oneukum@suse.com
- blacklist.conf: kABI extreely hard to work around
- commit e1f9604
* Mon Feb  8 2021 ptesarik@suse.cz
- platform/x86: pmt: Fix a potential Oops on error in probe
  (jsc#SLE-13352, jsc#SLE-13343, jsc#SLE-13363, jsc#SLE-13391).
- commit e21ef02
* Mon Feb  8 2021 ptesarik@suse.cz
- platform/x86: Intel PMT Crashlog capability driver
  (jsc#SLE-13352, jsc#SLE-13343, jsc#SLE-13363, jsc#SLE-13391).
- Update config files: Build PMT Crashlog capability driver.
- supported.conf: Add the PMT Crashlog capability driver.
- commit 0f2da12
* Mon Feb  8 2021 ptesarik@suse.cz
- platform/x86: Intel PMT Telemetry capability driver
  (jsc#SLE-13352, jsc#SLE-13343, jsc#SLE-13363, jsc#SLE-13391).
- Update config files: Build PMT Telemetry capability driver.
- supported.conf: Add the PMT Telemetry capability driver.
- commit e0ffba9
* Mon Feb  8 2021 ptesarik@suse.cz
- platform/x86: Intel PMT class driver (jsc#SLE-13352,
  jsc#SLE-13343, jsc#SLE-13363, jsc#SLE-13391).
- Update config files: Build PMT class driver.
- supported.conf: Add the PMT class driver.
- commit 22095e8
* Mon Feb  8 2021 mbenes@suse.cz
- objtool: Don't fail on missing symbol table (bsc#1169514).
- commit 1518505
* Mon Feb  8 2021 ptesarik@suse.cz
- mfd: Intel Platform Monitoring Technology support
  (jsc#SLE-13352, jsc#SLE-13343, jsc#SLE-13363, jsc#SLE-13391).
- Update config files: Build PMT driver on x86_64.
- supported.conf: Add the PMT driver.
- commit be0482a
* Mon Feb  8 2021 ptesarik@suse.cz
- PCI: Add defines for Designated Vendor-Specific Extended
  Capability (jsc#SLE-13352, jsc#SLE-13343, jsc#SLE-13363,
  jsc#SLE-13391).
- commit 8eb1abf
* Mon Feb  8 2021 nborisov@suse.com
- btrfs: Fix race between extent freeing/allocation when using bitmaps (bsc#1181574).
- commit 98010f2
* Mon Feb  8 2021 glin@suse.com
- libbpf: Don't attempt to load unused subprog as an entry-point
  BPF program (bsc#1177028).
- libbpf: Add multi-prog section support for struct_ops
  (bsc#1177028).
- libbpf: Implement generalized .BTF.ext func/line info adjustment
  (bsc#1177028).
- libbpf: Make RELO_CALL work for multi-prog sections and
  sub-program calls (bsc#1177028).
- libbpf: Support CO-RE relocations for multi-prog sections
  (bsc#1177028).
- libbpf: Parse multi-function sections into multiple BPF programs
  (bsc#1177028).
- libbpf: Ensure ELF symbols table is found before further ELF
  processing (bsc#1177028).
- libbpf: Normalize and improve logging across few functions
  (bsc#1177028).
- libbpf: Skip well-known ELF sections when iterating ELF
  (bsc#1177028).
- libbpf: Factor out common ELF operations and improve logging
  (bsc#1177028).
- libbpf: Implement type-based CO-RE relocations support
  (bsc#1177028).
- libbpf: Centralize poisoning and poison reallocarray()
  (bsc#1177028).
- tools/bpftool: Remove libbpf_internal.h usage in bpftool (bsc#1177028).
  Refresh patches.suse/bpftool-Fix-compilation-failure-for-net.o-with-older.patch
- libbpf: Remove any use of reallocarray() in libbpf
  (bsc#1177028).
- libbpf: Improve relocation ambiguity detection (bsc#1177028).
- libbpf: Clean up and improve CO-RE reloc logging (bsc#1177028).
- libbpf: Improve error logging for mismatched BTF kind cases
  (bsc#1177028).
- libbpf: Detect minimal BTF support and skip BTF loading,
  if missing (bsc#1177028).
- libbpf: Factor out common logic of testing and closing FD
  (bsc#1177028).
- libbpf: Make kernel feature probing lazy (bsc#1177028).
- libbpf: Disable -Wswitch-enum compiler warning (bsc#1177028).
- libbpf: Convert comma to semicolon (bsc#1177028).
- commit dc05c31
* Mon Feb  8 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references of unsortable patches and sort them properly:
  patches.suse/perf-x86-intel-uncore-Store-the-logical-die-id-inste.patch
  patches.suse/perf-x86-intel-uncore-With-8-nodes-get-pci-bus-die-i.patch
- commit b4f0fcb
* Mon Feb  8 2021 mkubecek@suse.cz
- fix patch metadata and move it to correct section
- fix upstream reference of a non-mainline patch and move to correct section:
  patches.suse/net-sctp-filter-remap-copy_from_user-failure-error.patch
- commit fda606d
* Sun Feb  7 2021 tiwai@suse.de
- usb: xhci-mtk: break loop when find the endpoint to drop
  (git-fixes).
- commit bd7c89a
* Sun Feb  7 2021 tiwai@suse.de
- usb: xhci-mtk: skip dropping bandwidth of unchecked endpoints
  (git-fixes).
- commit 1a31126
* Sun Feb  7 2021 tiwai@suse.de
- usb: xhci-mtk: fix unreleased bandwidth data (git-fixes).
- commit 6da0a12
* Sun Feb  7 2021 tiwai@suse.de
- usb: dwc2: Fix endpoint direction check in ep_from_windex
  (git-fixes).
- usb: dwc3: fix clock issue during resume in OTG mode
  (git-fixes).
- xhci: fix bounce buffer usage for non-sg list case (git-fixes).
- usb: renesas_usbhs: Clear pipe running flag in usbhs_pkt_pop()
  (git-fixes).
- USB: gadget: legacy: fix an error code in eth_bind()
  (git-fixes).
- Input: i8042 - unbreak Pegatron C15B (git-fixes).
- commit bcaeec1
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: qca_spi: Move reset_count to struct qcaspi (git-fixes).
- commit 45b7fef
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: qca_spi: fix receive buffer size check (git-fixes).
- commit 5cd7e42
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: stmmac: fix disabling flexible PPS output (git-fixes).
- commit 20dce33
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: stmmac: fix length of PTP clock's name string (git-fixes).
- commit 9f89a73
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: phy: at803x: use operating parameters from PHY-specific
  status (git-fixes).
- commit e91964f
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: phy: extract pause mode (git-fixes).
- commit c81698a
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: phy: extract link partner advertisement reading
  (git-fixes).
- commit 18dc97f
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: phy: read MII_CTRL1000 in genphy_read_status only if needed
  (git-fixes).
- commit d5eb04d
* Sat Feb  6 2021 denis.kirjanov@suse.com
- net: stmmac: selftests: Flow Control test can also run with
  ASYM Pause (git-fixes).
- commit 26dfc56
* Sat Feb  6 2021 denis.kirjanov@suse.com
- cirrus: cs89x0: remove set but not used variable 'lp'
  (git-fixes).
- commit 0385a3f
* Sat Feb  6 2021 denis.kirjanov@suse.com
- cirrus: cs89x0: use devm_platform_ioremap_resource() to simplify
  code (git-fixes).
- commit f75aac5
* Sat Feb  6 2021 denis.kirjanov@suse.com
- blacklist.conf: update blacklist
- commit ca67b2c
* Fri Feb  5 2021 tabraham@suse.com
- perf/x86/intel/uncore: With > 8 nodes, get pci bus die id from
  NUMA info (bsc#1180989).
- perf/x86/intel/uncore: Store the logical die id instead of
  the physical die id (bsc#1180989).
- perf/x86/intel/uncore: Generic support for the PCI sub driver
  (bsc#1180989).
- perf/x86/intel/uncore: Factor out uncore_pci_pmu_unregister()
  (bsc#1180989).
- perf/x86/intel/uncore: Factor out uncore_pci_pmu_register()
  (bsc#1180989).
- perf/x86/intel/uncore: Factor out uncore_pci_find_dev_pmu()
  (bsc#1180989).
- perf/x86/intel/uncore: Factor out uncore_pci_get_dev_die_info()
  (bsc#1180989).
- commit 6e81128
* Fri Feb  5 2021 tabraham@suse.com
- perf/x86/intel/uncore: With > 8 nodes, get pci bus die id from
  NUMA info (bsc#1180989).
- perf/x86/intel/uncore: Store the logical die id instead of
  the physical die id (bsc#1180989).
- commit 67d84dd
* Fri Feb  5 2021 tiwai@suse.de
- gpiolib: fix gpio_do_set_config() (bsc#1180682).
- Refresh
  patches.suse/gpiolib-Extract-gpio_set_config_with_argument-for-fu.patch.
- Refresh
  patches.suse/gpiolib-Introduce-gpio_set_debounce_timeout-for-inte.patch.
- Refresh
  patches.suse/gpiolib-use-proper-API-to-pack-pin-configuration-par.patch.
- commit 11e6d6f
* Fri Feb  5 2021 tiwai@suse.de
- gpiolib: acpi: Fix fall-through warnings for Clang
  (bsc#1180682).
- gpiolib: split error path in gpiod_request_commit()
  (bsc#1180682).
- gpiolib: Unify expectations about ->request() returned value
  (bsc#1180682).
- gpiolib: Extract gpiod_not_found() helper (bsc#1180682).
- gpio: just plain warning when nonexisting gpio requested
  (bsc#1180682).
- gpiolib: acpi: Use BIT() macro to increase readability
  (bsc#1180682).
- gpiolib: acpi: Convert pin_index to be u16 (bsc#1180682).
- gpiolib: acpi: Extract acpi_request_own_gpiod() helper
  (bsc#1180682).
- gpiolib: acpi: Make acpi_gpio_to_gpiod_flags() usable for
  GpioInt() (bsc#1180682).
- gpiolib: acpi: Set initial value for output pin based on bias
  and polarity (bsc#1180682).
- gpiolib: acpi: Move acpi_gpio_to_gpiod_flags() upper in the code
  (bsc#1180682).
- gpiolib: acpi: Move non-critical code outside of critical
  section (bsc#1180682).
- gpiolib: acpi: Take into account debounce settings
  (bsc#1180682).
- gpiolib: acpi: Use named item for enum gpiod_flags variable
  (bsc#1180682).
- gpiolib: acpi: Respect bias settings for GpioInt() resource
  (bsc#1180682).
- gpiolib: Introduce gpio_set_debounce_timeout() for internal use
  (bsc#1180682).
- gpiolib: Extract gpio_set_config_with_argument_optional()
  helper (bsc#1180682).
- gpiolib: Extract gpio_set_config_with_argument() for future use
  (bsc#1180682).
- gpiolib: use proper API to pack pin configuration parameters
  (bsc#1180682).
- gpiolib: add missed break statement (bsc#1180682).
- gpiolib: have a single place of calling set_config()
  (bsc#1180682).
- gpiolib: use 'unsigned int' instead of 'unsigned' in
  gpio_set_config() (bsc#1180682).
- commit da451fd
* Fri Feb  5 2021 ykaukab@suse.de
- bus: fsl-mc: add autorescan sysfs (jsc#SLE-12251).
- bus: fsl-mc: add bus rescan attribute (jsc#SLE-12251).
- bus: fsl-mc: add fsl-mc userspace support (jsc#SLE-12251).
- bus: fsl-mc: export mc_cmd_hdr_read_cmdid() to the fsl-mc bus
  (jsc#SLE-12251).
- bus: fsl-mc: move fsl_mc_command struct in a uapi header
  (jsc#SLE-12251).
- bus: fsl-mc: return -EPROBE_DEFER when a device is not yet
  discovered (jsc#SLE-12251).
- bus: fsl-mc: add missing __iomem attribute (jsc#SLE-12251).
- commit 21968ee
* Fri Feb  5 2021 tbogendoerfer@suse.de
- bonding: wait for sysfs kobject destruction before freeing
  struct slave (git-fixes).
- net/mlx5: E-Switch, Use vport metadata matching by default
  (git-fixes).
- cxgb4: fix all-mask IP address comparison (git-fixes).
- cxgb4: fix set but unused variable when DCB is disabled
  (git-fixes).
- commit 8f53029
* Fri Feb  5 2021 ykaukab@suse.de
- Refresh
  patches.suse/coresight-etm4x-Skip-setting-LPOVERRIDE-bit-for-qcom.patch.
- commit 6434185
* Fri Feb  5 2021 ykaukab@suse.de
- Refresh
  patches.suse/spi-fsl-dspi-fix-wrong-pointer-in-suspend-resume.patch.
- commit 78ee3ab
* Fri Feb  5 2021 glin@suse.com
- bpf: Fix a verifier failure with xor (bsc#1177028).
- selftests/bpf: Enable tc verbose mode for test_sk_assign
  (bsc#1177028).
- commit 0e68af0
* Fri Feb  5 2021 glin@suse.com
- bpf, cgroup: Fix problematic bounds check (bsc#1155518).
- bpf, cgroup: Fix optlen WARN_ON_ONCE toctou (bsc#1155518).
- commit 3ab5222
* Fri Feb  5 2021 glin@suse.com
- net, sctp, filter: remap copy_from_user failure error
  (bsc#1181637).
- commit 32551e1
* Thu Feb  4 2021 tbogendoerfer@suse.de
- i40e: Revert "i40e: don't report link up for a VF who hasn't
  enabled queues" (jsc#SLE-8025).
- igc: Fix returning wrong statistics (git-fixes).
- i40e: Fix MAC address setting for a VF via Host/VM (git-fixes).
- mlxsw: core: Fix use-after-free in mlxsw_emad_trans_finish()
  (git-fixes).
- mlxsw: core: Fix memory leak on module removal (git-fixes).
- net/mlx5: Don't call timecounter cyc2time directly from 1PPS
  flow (git-fixes).
- net: ethernet: mlx4: Avoid assigning a value to ring_cons but
  not used it anymore in mlx4_en_xmit() (git-fixes).
- net: team: fix memory leak in __team_options_register
  (git-fixes).
- net/mlx5e: Fix VLAN create flow (git-fixes).
- net/mlx5e: Fix VLAN cleanup flow (git-fixes).
- net/mlx5: Fix request_irqs error flow (git-fixes).
- mlxsw: spectrum_acl: Fix mlxsw_sp_acl_tcam_group_add()'s error
  path (git-fixes).
- team: set dev->needed_headroom in team_setup_by_port()
  (git-fixes).
- bonding: set dev->needed_headroom in bond_setup_by_slave()
  (git-fixes).
- net: qed: RDMA personality shouldn't fail VF load (git-fixes).
- net: thunderx: initialize VF's mailbox mutex before first usage
  (git-fixes).
- net: mvpp2: fix memory leak in mvpp2_rx (git-fixes).
- iavf: Fix updating statistics (git-fixes).
- iavf: fix error return code in iavf_init_get_resources()
  (git-fixes).
- net/mlx5e: vxlan: Use RCU for vxlan table lookup (git-fixes).
- vxlan: fix memleak of fdb (git-fixes).
- net/mlx5e: fix bpf_prog reference count leaks in mlx5e_alloc_rq
  (git-fixes).
- mlxsw: core: Free EMAD transactions using kfree_rcu()
  (git-fixes).
- mlxsw: core: Increase scope of RCU read-side critical section
  (git-fixes).
- net/mlx5: Query PPS pin operational status before registering it
  (git-fixes).
- net/mlx5: Verify Hardware supports requested ptp function on
  a given pin (git-fixes).
- net/mlx5: Fix a bug of using ptp channel index as pin index
  (git-fixes).
- net/mlx5e: Fix error path of device attach (git-fixes).
- net/mlx5: E-switch, Destroy TSAR after reload interface
  (git-fixes).
- net: hns3: fix aRFS FD rules leftover after add a user FD rule
  (git-fixes).
- net: hns3: fix a TX timeout issue (git-fixes).
- net: hns3: fix desc filling bug when skb is expanded or lineared
  (git-fixes).
- qed: Populate nvm-file attributes while reading nvm config
  partition (git-fixes).
- net: hns3: fix use-after-free when doing self test (git-fixes).
- net: hns3: add a missing uninit debugfs when unload driver
  (git-fixes).
- net: cxgb4: fix return error value in t4_prep_fw (git-fixes).
- cxgb4vf: update kernel-doc line comments (git-fixes).
- cxgb4: update kernel-doc line comments (git-fixes).
- cxgb4: move DCB version extern to header file (git-fixes).
- cxgb4: remove cast when saving IPv4 partial checksum
  (git-fixes).
- cxgb4: fix SGE queue dump destination buffer context
  (git-fixes).
- cxgb4: use correct type for all-mask IP address comparison
  (git-fixes).
- cxgb4: fix endian conversions for L4 ports in filters
  (git-fixes).
- cxgb4: parse TC-U32 key values and masks natively (git-fixes).
- cxgb4: use unaligned conversion for fetching timestamp
  (git-fixes).
- cxgb4: move PTP lock and unlock to caller in Tx path
  (git-fixes).
- cxgb4: move handling L2T ARP failures to caller (git-fixes).
- net: qed: fix "maybe uninitialized" warning (git-fixes).
- net: qede: fix use-after-free on recovery and AER handling
  (git-fixes).
- net: qede: fix PTP initialization on recovery (git-fixes).
- net: qed: fix excessive QM ILT lines consumption (git-fixes).
- net: qed: fix NVMe login fails over VFs (git-fixes).
- net: qede: stop adding events on an already destroyed workqueue
  (git-fixes).
- net: qed: fix async event callbacks unregistering (git-fixes).
- iavf: fix speed reporting over virtchnl (git-fixes).
- net/mlx5e: IPoIB, Drop multicast packets that this interface
  sent (git-fixes).
- ixgbe: Fix XDP redirect on archs with PAGE_SIZE above 4K
  (git-fixes).
- veth: Adjust hard_start offset on redirect XDP frames
  (git-fixes).
- net/mlx5e: Set of completion request bit should not clear
  other adjacent bits (git-fixes).
- net/mlx5e: en_accel, Add missing net/geneve.h include
  (git-fixes).
- bonding: Fix reference count leak in bond_sysfs_slave_add
  (git-fixes).
- bnxt_en: Fix accumulation of bp->net_stats_prev (git-fixes).
- net/mlx5: Annotate mutex destroy for root ns (git-fixes).
- net/mlx5: Don't maintain a case of del_sw_func being null
  (git-fixes).
- net/mlx4_core: fix a memory leak bug (git-fixes).
- mlxsw: spectrum: Fix use-after-free of split/unsplit/type_set
  in case reload fails (git-fixes).
- net/mlx5e: Get the latest values from counters in switchdev mode
  (git-fixes).
- net/mlx5e: Don't trigger IRQ multiple times on XSK wakeup to
  avoid WQ overruns (git-fixes).
- net/mlx5: Fix failing fw tracer allocation on s390 (git-fixes).
- net/cxgb4: Check the return from t4_query_params properly
  (git-fixes).
- net: hns3: fix set and get link ksettings issue (git-fixes).
- net: hns3: fix RSS config lost after VF reset (git-fixes).
- qed: Fix race condition between scheduling and destroying the
  slowpath workqueue (git-fixes).
- net/mlx5: E-Switch, Hold mutex when querying drop counter in
  legacy mode (git-fixes).
- net/mlx5: E-Switch, Use vport metadata matching only when
  mandatory (git-fixes).
- net/liquidio: Delete non-working LIQUIDIO_PACKAGE check
  (git-fixes).
- virtio_net: Keep vnet header zeroed if XDP is loaded for small
  buffer (git-fixes).
- net/mlx5: Clear LAG notifier pointer after unregister
  (git-fixes).
- net/mlx5e: Fix endianness handling in pedit mask (git-fixes).
- net/mlx5e: kTLS, Fix wrong value in record tracker enum
  (git-fixes).
- net: hns3: clear port base VLAN when unload PF (git-fixes).
- net: hns3: fix VF VLAN table entries inconsistent issue
  (git-fixes).
- net: hns3: fix "tc qdisc del" failed issue (git-fixes).
- cxgb4: fix checks for max queues to allocate (git-fixes).
- commit a805d8f
* Thu Feb  4 2021 oneukum@suse.com
- Update config files. Switch on DWC3 on x86_64
  (jsc#SLE-14042)
- commit 1a0a5a5
* Thu Feb  4 2021 tiwai@suse.de
- Another fix of the missing merge commit hunk in idxd dma driver (bsc#1181795)
- commit 4b7e5ed
* Thu Feb  4 2021 tiwai@suse.de
- Fix the missing change via the upstream merge commit for idxd dma driver (bsc#1181795)
- commit e5ace2b
* Thu Feb  4 2021 tiwai@suse.de
- dmaengine: idxd: add missing invalid flags field to completion
  (bsc#1181795).
- dmaengine: idxd: fix hw descriptor fields for delta record
  (bsc#1181795).
- commit fb2caf6
* Thu Feb  4 2021 bp@suse.de
- blacklist.conf: Blacklist two 32-bit only fixes
  50fe7ebb6475 bpf, x86_32: Fix clobbering of dst for BPF_JSET
  5ca1ca01fae1 bpf, x86_32: Fix logic error in BPF_LDX zero-extension
- commit 55cadfc
* Thu Feb  4 2021 dwagner@suse.de
- nvme-multipath: Early exit if no path is available
  (bsc#1180964).
- commit 1c96465
* Thu Feb  4 2021 jroedel@suse.de
- kABI: Fix kABI after AMD SEV PCID fixes (bsc#1178995).
- commit bf72ec9
* Thu Feb  4 2021 tiwai@suse.de
- ahci: Add Intel Emmitsburg PCH RAID PCI IDs (jsc#SLE-14457).
- commit a78ee51
* Thu Feb  4 2021 tiwai@suse.de
- iwlwifi: pcie: remove obsolete pre-release support code
  (git-fixes).
- iwlwifi: pcie: add some missing entries for AX210 (git-fixes).
- iwlwifi: support an additional Qu subsystem id (git-fixes).
- iwlwifi: add new card for MA family (git-fixes).
- iwlwifi: iwl-trans: move all txcmd init to trans alloc
  (git-fixes).
- commit 133d60e
* Thu Feb  4 2021 tiwai@suse.de
- iwlwifi: Fix IWL_SUBDEVICE_NO_160 macro to use the correct bit
  (git-fixes).
- iwlwifi: pcie: add rules to match Qu with Hr2 (git-fixes).
- iwlwifi: Add a new card for MA family (git-fixes).
- iwlwifi: follow the new inclusive terminology (git-fixes).
- iwlwifi: pcie: fix xtal latency for 9560 devices (git-fixes).
- iwlwifi: pcie: fix 0x271B and 0x271C trans cfg struct
  (git-fixes).
- iwlwifi: add new cards for MA family (git-fixes).
- iwlwifi: add new cards for AX201 family (git-fixes).
- commit 050b58f
* Thu Feb  4 2021 tiwai@suse.de
- gpio: gpiolib: remove shadowed variable (git-fixes).
- drm/i915/gt: Always try to reserve GGTT address 0x0 (git-fixes).
- iwlwifi: pcie: set LTR on more devices (git-fixes).
- commit d7ad942
* Thu Feb  4 2021 tiwai@suse.de
- mac80211: pause TX while changing interface type (git-fixes).
- wext: fix NULL-ptr-dereference with cfg80211's lack of commit()
  (git-fixes).
- iwlwifi: pcie: reschedule in long-running memory reads
  (git-fixes).
- iwlwifi: pcie: use jiffies for memory read spin time limit
  (git-fixes).
- net: usb: qmi_wwan: added support for Thales Cinterion PLSx3
  modem family (git-fixes).
- drivers: soc: atmel: add null entry at the end of
  at91_soc_allowed_list[] (git-fixes).
- drivers: soc: atmel: Avoid calling at91_soc_init on non AT91
  SoCs (git-fixes).
- commit 023b5c2
* Thu Feb  4 2021 glin@suse.com
- perf: Make struct ring_buffer less ambiguous (bsc#1177028).
  Refresh patches.suse/0001-perf-core-Fix-race-in-the-perf_mmap_close-function.patch.
- commit 5dfb979
* Thu Feb  4 2021 msuchanek@suse.de
- powerpc/mm/pkeys: Make pkey access check work on execute_only_key
  (bsc#1181544 ltc#191080 git-fixes).
- Refresh patches.suse/powerpc-book3s64-pkeys-Fix-pkey_access_permitted-for.patch.
- commit 7508356
* Wed Feb  3 2021 tiwai@suse.de
- rpm/kernel-binary.spec.in: Correct Supplements in optional subpkg (jsc#SLE-11796)
  The product string was changed from openSUSE to Leap.
- commit 3cb7943
* Wed Feb  3 2021 msuchanek@suse.de
- powerpc/pkeys: Check vma before returning key fault error to
  the user (bsc#1181544 ltc#191080).
- powerpc/pkeys: Avoid using lockless page table walk (bsc#1181544
  ltc#191080).
- commit 8cb9fab
* Wed Feb  3 2021 denis.kirjanov@suse.com
- net/mlx5: Fix function calculation for page trees (git-fixes).
- commit 22c3016
* Wed Feb  3 2021 nsaenzjulienne@suse.de
- net: fec: put child node on error path (git-fixes).
- commit cbac658
* Wed Feb  3 2021 nsaenzjulienne@suse.de
- ARM: imx: fix imx8m dependencies (git-fixes).
- soc: imx: select ARM_GIC_V3 for i.MX8M (git-fixes).
- commit adb9b1b
* Wed Feb  3 2021 pjakobsson@suse.de
- Add no-fix tag to drm cherry-picks
  Add a no-fix tag to drm patches that are cherry-picks and are not
  already blacklisted.
- Refresh
  patches.suse/0001-drm-i915-Preload-LUTs-if-the-hw-isn-t-currently-usin.patch.
- Refresh
  patches.suse/0001-drm-i915-Update-drm-i915-bug-filing-URL.patch.
- Refresh
  patches.suse/0001-drm-i915-execlists-Always-force-a-context-reload-whe.patch.
- Refresh
  patches.suse/0001-drm-i915-icl-Fix-hotplug-interrupt-disabling-after-s.patch.
- Refresh
  patches.suse/0003-drm-i915-Correctly-set-SFC-capability-for-video-engi.patch.
- Refresh
  patches.suse/0029-drm-i915-gem-Avoid-implicit-vmap-for-highmem-on-x86-.patch.
- Refresh
  patches.suse/drm-i915-Perform-GGTT-restore-much-earlier-during-re.patch.
- Refresh
  patches.suse/drm-i915-Whitelist-COMMON_SLICE_CHICKEN2.patch.
- Refresh
  patches.suse/drm-i915-pmu-Frequency-is-reported-as-accumulated-cy.patch.
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- Refresh
  patches.suse/drm-i915-update-rawclk-also-on-resume.patch.
- Refresh
  patches.suse/drm-i915-userptr-Never-allow-userptr-into-the-mappab.patch.
- commit 46ba73b
* Wed Feb  3 2021 jroedel@suse.de
- KVM: SVM: Update cr3_lm_rsvd_bits for AMD SEV guests
  (bsc#1178995).
- KVM: x86: Introduce cr3_lm_rsvd_bits in kvm_vcpu_arch
  (bsc#1178995).
- commit 49749c4
* Wed Feb  3 2021 tiwai@suse.de
- r8169: work around RTL8125 UDP hw bug (git-fixes).
- commit db42a5b
* Wed Feb  3 2021 tiwai@suse.de
- r8169: fix WoL on shutdown if CONFIG_DEBUG_SHIRQ is set
  (git-fixes).
- commit ab82b36
* Wed Feb  3 2021 mkubecek@suse.cz
- Update kabi files.
- update from February 2021 maintenance update submission (commit 1e925eb08318)
- commit 97b2a1f
* Wed Feb  3 2021 msuchanek@suse.de
- powerpc: kABI: add back suspend_disable_cpu in machdep_calls
  (bsc#1181674 ltc#189159).
- commit 09376cb
* Tue Feb  2 2021 rgoldwyn@suse.com
- exfat: Avoid allocating upcase table using kcalloc()
  (git-fixes).
- exec: Always set cap_ambient in cap_bprm_set_creds  (git-fixes).
- commit eb2e605
* Tue Feb  2 2021 ptesarik@suse.cz
- s390/dasd: Fix inconsistent kobject removal (jsc#SLE-13767
  bsc#1178420 LTC#185092).
- commit e13d81a
* Tue Feb  2 2021 nstange@suse.de
- io_uring: Fix current->fs handling in io_sq_wq_submit_work()
  (bsc#1179434 CVE-2020-29373).
- commit 3f561ee
* Tue Feb  2 2021 ptesarik@suse.cz
- blacklist.conf: no change to /sys/firmware/uv/query/max_cpus
- commit 737a803
* Tue Feb  2 2021 ptesarik@suse.cz
- s390/vfio-ap: No need to disable IRQ after queue reset
  (git-fixes).
- s390/vfio-ap: clean up vfio_ap resources when KVM pointer
  invalidated (git-fixes).
- commit d91ae22
* Tue Feb  2 2021 msuchanek@suse.de
- powerpc/pseries/mobility: refactor node lookup during DT update
  (bsc#1181674 ltc#189159).
- powerpc/rtas: remove unused rtas_suspend_me_data (bsc#1181674
  ltc#189159).
- powerpc/pseries/hibernation: remove prepare_late() callback
  (bsc#1181674 ltc#189159).
- powerpc/pseries/hibernation: perform post-suspend fixups later
  (bsc#1181674 ltc#189159).
- powerpc/rtas: remove unused rtas_suspend_last_cpu() (bsc#1181674
  ltc#189159).
- powerpc/pseries/hibernation: switch to rtas_ibm_suspend_me()
  (bsc#1181674 ltc#189159).
- powerpc/rtas: remove rtas_suspend_cpu() (bsc#1181674
  ltc#189159).
- powerpc/machdep: remove suspend_disable_cpu() (bsc#1181674
  ltc#189159).
- powerpc/pseries/hibernation: remove pseries_suspend_cpu()
  (bsc#1181674 ltc#189159).
- powerpc/pseries/hibernation: pass stream id via function
  arguments (bsc#1181674 ltc#189159).
- Refresh patches.suse/powerpc-pseries-hibernation-remove-redundant-cachein.patch
- powerpc/pseries/hibernation: drop pseries_suspend_begin()
  from suspend ops (bsc#1181674 ltc#189159).
- powerpc/rtas: remove rtas_ibm_suspend_me_unsafe() (bsc#1181674
  ltc#189159).
- powerpc/rtas: dispatch partition migration requests to pseries
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: retry partition suspend after error
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: signal suspend cancellation to
  platform (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: use stop_machine for join/suspend
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: extract VASI session polling logic
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: use rtas_activate_firmware() on resume
  (bsc#1181674 ltc#189159).
- Refresh patches.suse/powerpc-pseries-mobility-notify-network-peers-after-.patch
- powerpc/pseries/mobility: error message improvements
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: add missing break to default case
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: don't error on absence of ibm,
  update-nodes (bsc#1181674 ltc#189159).
- powerpc/hvcall: add token and codes for H_VASI_SIGNAL
  (bsc#1181674 ltc#189159).
- powerpc/rtas: add rtas_activate_firmware() (bsc#1181674
  ltc#189159).
- powerpc/rtas: add rtas_ibm_suspend_me() (bsc#1181674
  ltc#189159).
- powerpc/rtas: rtas_ibm_suspend_me -> rtas_ibm_suspend_me_unsafe
  (bsc#1181674 ltc#189159).
- powerpc/rtas: complete ibm,suspend-me status codes (bsc#1181674
  ltc#189159).
- powerpc/rtas: prevent suspend-related sys_rtas use on LE
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: Add pr_debug() for device tree changes
  (bsc#1181674 ltc#189159).
- powerpc/pseries/mobility: Set pr_fmt() (bsc#1181674 ltc#189159).
- powerpc/pseries: remove obsolete memory hotplug DT notifier code
  (bsc#1181674 ltc#189159).
- Refresh patches.suse/powerpc-pseries-update-device-tree-before-ejecting-h.patch
- powerpc/pseries: remove dlpar_cpu_readd() (bsc#1181674
  ltc#189159).
- powerpc/pseries: remove memory "re-add" implementation
  (bsc#1181674 ltc#189159).
- powerpc/pseries: remove prrn special case from DT update path
  (bsc#1181674 ltc#189159).
- powerpc/numa: remove arch_update_cpu_topology (bsc#1181674
  ltc#189159).
- powerpc/numa: remove prrn_is_enabled() (bsc#1181674 ltc#189159).
- powerpc/rtasd: simplify handle_rtas_event(), emit message on
  events (bsc#1181674 ltc#189159).
- powerpc/numa: remove start/stop_topology_update() (bsc#1181674
  ltc#189159).
- powerpc/numa: remove timed_topology_update() (bsc#1181674
  ltc#189159).
- powerpc/numa: stub out numa_update_cpu_topology() (bsc#1181674
  ltc#189159).
- powerpc/numa: remove vphn_enabled and prrn_enabled internal
  flags (bsc#1181674 ltc#189159).
- powerpc/numa: remove unreachable topology workqueue code
  (bsc#1181674 ltc#189159).
- powerpc/numa: remove unreachable topology timer code
  (bsc#1181674 ltc#189159).
- powerpc/numa: make vphn_enabled, prrn_enabled flags const
  (bsc#1181674 ltc#189159).
- powerpc/numa: remove unreachable topology update code
  (bsc#1181674 ltc#189159).
- powerpc/numa: remove ability to enable topology updates
  (bsc#1181674 ltc#189159).
- powerpc/numa: Remove late request for home node associativity
  (bsc#1181674 ltc#189159).
- commit 88bd021
* Tue Feb  2 2021 bp@suse.de
- Refresh patches.suse/edac-amd64-set-grain-per-dimm.patch.
  Readd the second hunk which wasn't needed during the original git-fixes
  backport.
- commit 9c3639f
* Tue Feb  2 2021 glin@suse.com
- Update patches.suse/bpf-Fix-modifier-skipping-logic.patch (bsc#1177028).
  Restore the patch to match the upstream commit
- commit a490625
* Mon Feb  1 2021 tbogendoerfer@suse.de
- mlxsw: spectrum_span: Do not overwrite policer configuration
  (bsc#1176774).
- net/mlx5: CT: Fix incorrect removal of tuple_nat_node from
  nat rhashtable (jsc#SLE-15172).
- net/mlx5e: Revert parameters on errors when changing trust
  state without reset (jsc#SLE-15172).
- net/mlx5e: Correctly handle changing the number of queues when
  the interface is down (jsc#SLE-15172).
- net/mlx5e: Fix CT rule + encap slow path offload and deletion
  (jsc#SLE-15172).
- net/mlx5e: Disable hw-tc-offload when MLX5_CLS_ACT config is
  disabled (jsc#SLE-15172).
- net/mlx5: Maintain separate page trees for ECPF and PF functions
  (jsc#SLE-15172).
- net/mlx5e: Fix IPSEC stats (jsc#SLE-15172).
- net/mlx5e: free page before return (jsc#SLE-15172).
- ice: Fix MSI-X vector fallback logic (bsc#1180945).
- ice: Don't allow more channels than LAN MSI-X available
  (bsc#1180945).
- ice: update dev_addr in ice_set_mac_address even if HW filter
  exists (jsc#SLE-12878).
- ice: Implement flow for IPv6 next header (extension header)
  (jsc#SLE-12878).
- ice: fix FDir IPv6 flexbyte (jsc#SLE-12878).
- uapi: fix big endian definition of ipv6_rpl_sr_hdr
  (bsc#1176447).
- commit a3c4fad
* Mon Feb  1 2021 tbogendoerfer@suse.de
- rxrpc: Fix memory leak in rxrpc_lookup_local (bsc#1154353
  bnc#1151927 5.3.9).
- net/mlx5e: E-switch, Fix rate calculation for overflow
  (jsc#SLE-8464).
- i40e: acquire VSI pointer only after VF is initialized
  (jsc#SLE-8025).
- ice: Fix MSI-X vector fallback logic (jsc#SLE-7926).
- ice: Don't allow more channels than LAN MSI-X available
  (jsc#SLE-7926).
- Revert "RDMA/mlx5: Fix devlink deadlock on net namespace
  deletion" (jsc#SLE-8464).
- commit 76b9a3a
* Mon Feb  1 2021 ematsumiya@suse.de
- scsi: qla2xxx: Fix description for parameter
  ql2xenforce_iocb_limit (bsc#1179142).
- commit f3ce867
* Mon Feb  1 2021 jroedel@suse.de
- kABI: Fix kABI for extended APIC-ID support (bsc#1181259,
  jsc#ECO-3191).
- x86/kvm: Add KVM_FEATURE_MSI_EXT_DEST_ID (bsc#1181259,
  jsc#ECO-3191).
- commit 0e40024
* Mon Feb  1 2021 jroedel@suse.de
- x86/apic: Support 15 bits of APIC ID in IOAPIC/MSI where
  available (bsc#1181259, jsc#ECO-3191).
- x86/ioapic: Handle Extended Destination ID field in RTE
  (bsc#1181259, jsc#ECO-3191).
- x86/msi: Only use high bits of MSI address for DMAR unit
  (bsc#1181259, jsc#ECO-3191).
- commit 077256e
* Mon Feb  1 2021 jroedel@suse.de
- x86/kvm: Reserve KVM_FEATURE_MSI_EXT_DEST_ID (bsc#1181259
  jsc#ECO-3191).
- commit 0deae09
* Mon Feb  1 2021 ptesarik@suse.cz
- blacklist.conf: no need to fix code for CONFIG_KEXEC_JUMP
- commit 3abe54d
* Mon Feb  1 2021 bp@suse.de
- blacklist.conf: e45122893a98 x86/fpu: Add kernel_fpu_begin_mask() to selectively initialize state
- commit f36235a
* Mon Feb  1 2021 glin@suse.com
- Refresh patches.suse/bpf-Introduce-bpf_sk_-ancestor_-cgroup_id-helpers.patch.
  The diff for cg_skb_func_proto was wrongly applied to
  tc_cls_act_func_proto.
- commit 6cbb315
* Mon Feb  1 2021 mkubecek@suse.cz
- nbd: freeze the queue while we're adding connections
  (CVE-2021-3348 bsc#1181504).
- commit 78453ee
* Mon Feb  1 2021 tiwai@suse.de
- efi/apple-properties: Reinstate support for boolean properties
  (git-fixes).
- commit c20e373
* Mon Feb  1 2021 tiwai@suse.de
- leds: trigger: fix potential deadlock with libata (git-fixes).
- commit d410ad0
* Mon Feb  1 2021 dbueso@suse.de
-  Update patch References tags for futex fixes (bsc#1181349 CVE-2021-3347)
- commit b3fac23
* Sun Jan 31 2021 tiwai@suse.de
- HID: wacom: Correct NULL dereference on AES pen proximity
  (git-fixes).
- HID: wacom: Fix memory leakage caused by kfifo_alloc
  (git-fixes).
- HID: wacom: Constify attribute_groups (git-fixes).
- HID: wacom: do not call hid_set_drvdata(hdev, NULL) (git-fixes).
- commit c0ccdd7
* Sat Jan 30 2021 tiwai@suse.de
- drm/i915: Always flush the active worker before returning from
  the wait (git-fixes).
- drm/i915/selftest: Fix potential memory leak (git-fixes).
- drm/i915/gt: Clear CACHE_MODE prior to clearing residuals
  (git-fixes).
- drm/vc4: Correct POS1_SCL for hvs5 (git-fixes).
- drm/vc4: Correct lbm size and calculation (git-fixes).
- drm/nouveau/kms/gk104-gp1xx: Fix > 64x64 cursors (git-fixes).
- drivers/nouveau/kms/nv50-: Reject format modifiers for cursor
  planes (git-fixes).
- drm/nouveau/dispnv50: Restore pushing of all data (git-fixes).
- commit ab75656
* Sat Jan 30 2021 tiwai@suse.de
- ACPI/IORT: Do not blindly trust DMA masks from firmware
  (git-fixes).
- PM: hibernate: flush swap writer after marking (git-fixes).
- ACPI: sysfs: Prefer "compatible" modalias (git-fixes).
- drm/i915: Check for all subplatform bits (git-fixes).
- drm/nouveau/svm: fail NOUVEAU_SVM_INIT ioctl on unsupported
  devices (git-fixes).
- commit 274cf96
* Sat Jan 30 2021 ailiop@suse.com
- iomap: fix WARN_ON_ONCE() from unprivileged users (bsc#1181494).
- commit 2958b80
* Fri Jan 29 2021 ptesarik@suse.cz
- net/smc: fix direct access to ib_gid_addr->ndev in
  smc_ib_determine_gid() (git-fixes).
- net/smc: fix valid DMBE buffer sizes (git-fixes).
- net/smc: fix sock refcounting in case of termination
  (git-fixes).
- net/smc: reset sndbuf_desc if freed (git-fixes).
- net/smc: set rx_off for SMCR explicitly (git-fixes).
- net/smc: fix dmb buffer shortage (git-fixes).
- net/smc: remove freed buffer from list (git-fixes).
- net/smc: switch smcd_dev_list spinlock to mutex (git-fixes).
- net/smc: fix sleep bug in smc_pnet_find_roce_resource()
  (git-fixes).
- net/smc: cancel event worker during device removal (git-fixes).
- net/smc: check for valid ib_client_data (git-fixes).
- net/smc: fix cleanup for linkgroup setup failures (git-fixes).
- net/smc: no peer ID in CLC decline for SMCD (git-fixes).
- net/smc: transfer fasync_list in case of fallback (git-fixes).
- commit a9e7337
* Fri Jan 29 2021 mkoutny@suse.com
- mm: memcontrol: fix missing wakeup polling thread (bsc#1181584).
- commit c0272b7
* Fri Jan 29 2021 mkoutny@suse.com
- blacklist.conf: Add 4230e2deaa48 stop_machine, rcu: Mark functions as notrace
- commit 9596511
* Fri Jan 29 2021 mkoutny@suse.com
- blacklist.conf: Add 15ec0fcff6da kernel/sys.c: replace do_brk with do_brk_flags in comment of prctl_set_mm_map()
- commit 7773384
* Fri Jan 29 2021 mkoutny@suse.com
- ptrace: Set PF_SUPERPRIV when checking capability (bsc#1163930).
- ptrace: reintroduce usage of subjective credentials in
  ptrace_has_cap() (bsc#1163930).
- commit 1d6137d
* Fri Jan 29 2021 jeyu@suse.de
- module: delay kobject uevent until after module init call (bsc#1178631).
- Refresh patches.suse/supported-flag
- commit 2796828
* Fri Jan 29 2021 msuchanek@suse.de
- Refresh patches.suse/powerpc-sstep-Fix-array-out-of-bound-warning.patch.
  Update to v2
- commit 6a4b1c5
* Fri Jan 29 2021 ptesarik@suse.cz
- vfio iommu: Add dma available capability (bsc#1179572
  LTC#190110).
- commit 78a5def
* Fri Jan 29 2021 ptesarik@suse.cz
- vfio iommu: Add dma available capability (bsc#1179572
  LTC#190110).
- commit 6544fbc
* Fri Jan 29 2021 jeyu@suse.de
- Batch patch rename with scripts/renamepatches.
  Rename a bunch of patches (mostly drm-related) to match their SLE15-SP2
  equivalents. This will make solving SLE15-SP2 -> SLE15-SP3 conflicts a
  bit easier. This is especially important to make sure drm fixes going
  into SLE15-SP2 conflict with patches already in SLE15-SP3.
- commit 3c1500c
* Fri Jan 29 2021 tiwai@suse.de
- mac80211: pause TX while changing interface type (git-fixes).
- commit c5c081d
* Fri Jan 29 2021 tiwai@suse.de
- HID: multitouch: Remove MT_CLS_WIN_8_DUAL (git-fixes).
- Refresh
  patches.suse/HID-quirks-Always-poll-three-more-Lenovo-PixArt-mice.patch.
- commit bed41ce
* Fri Jan 29 2021 tiwai@suse.de
- can: dev: prevent potential information leak in can_fill_info()
  (git-fixes).
- mt7601u: fix kernel crash unplugging the device (git-fixes).
- mt7601u: fix rx buffer refcounting (git-fixes).
- NFC: fix resource leak when target index is invalid (git-fixes).
- NFC: fix possible resource leak (git-fixes).
- firmware: imx: select SOC_BUS to fix firmware build (git-fixes).
- HID: multitouch: Apply MT_QUIRK_CONFIDENCE quirk for multi-input
  devices (git-fixes).
- media: rc: ensure that uevent can be read directly after rc
  device register (git-fixes).
- HID: multitouch: do not filter mice nodes (git-fixes).
- commit f7694e1
* Fri Jan 29 2021 glin@suse.com
- selftests/bpf: Fix "dubious pointer arithmetic" test
  (bsc#1177028).
- commit eb710d9
* Fri Jan 29 2021 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/0001-futex-Ensure-the-correct-return-value-from-futex_loc.patch
  patches.suse/0002-futex-Replace-pointless-printk-in-fixup_owner.patch
  patches.suse/0003-futex-Provide-and-use-pi_state_update_owner.patch
  patches.suse/0004-rtmutex-Remove-unused-argument-from-rt_mutex_proxy_u.patch
  patches.suse/0005-futex-Use-pi_state_update_owner-in-put_pi_state.patch
  patches.suse/0006-futex-Simplify-fixup_pi_state_owner.patch
  patches.suse/0007-futex-Handle-faults-correctly-for-PI-futexes.patch
- commit 16c5d87
* Fri Jan 29 2021 glin@suse.com
- Refresh patches.suse/bpf-Fix-map-permissions-check.patch.
  The diff was applied to map_delete_elem() mistakenly even though the
  patch indicates the target: map_lookup_and_delete_elem().
  The patch is applied correctly in SLE15-SP2, so this change is only for
  SLE15-SP3.
- commit 223cc56
* Thu Jan 28 2021 tiwai@suse.de
- ASoC: SOF: SND_INTEL_DSP_CONFIG dependency (git-fixes).
- ASoC: SOF: Intel: soundwire: fix select/depend unmet
  dependencies (git-fixes).
- ASoC: Intel: sof_sdw: set proper flags for Dell TGL-H SKU 0A5E
  (git-fixes).
- ASoC: Intel: Skylake: Zero snd_ctl_elem_value (git-fixes).
- ASoC: Intel: Skylake: skl-topology: Fix OOPs ib
  skl_tplg_complete (git-fixes).
- ASoC: mediatek: mt8183-da7219: ignore TDM DAI link by default
  (git-fixes).
- ASoC: mediatek: mt8183-mt6358: ignore TDM DAI link by default
  (git-fixes).
- ASoC: topology: Properly unregister DAI on removal (git-fixes).
- ASoC: topology: Fix memory corruption in
  soc_tplg_denum_create_values() (git-fixes).
- ASoC: AMD Renoir - refine DMI entries for some Lenovo products
  (git-fixes).
- ASoC: wm_adsp: Fix control name parsing for multi-fw
  (git-fixes).
- ALSA: hda: intel-dsp-config: add PCI id for TGL-H (git-fixes).
- commit 959baa2
* Thu Jan 28 2021 tiwai@suse.de
- Move upstreamed sound patches into sorted section
- commit 84af2ff
* Thu Jan 28 2021 tiwai@suse.de
- ALSA: hda/via: Apply the workaround generically for Clevo
  machines (git-fixes).
- ASoC: ak4458: correct reset polarity (git-fixes).
- ALSA: hda/realtek: Enable headset of ASUS B1400CEPE with ALC256
  (git-fixes).
- commit e5943b7
* Thu Jan 28 2021 tiwai@suse.de
- Refresh patches.suse/usb-roles-provide-the-switch-drivers-handle-to-the-switch-in-the-api.patch
  Fix the build on armv7hl config
- commit c7f7007
* Thu Jan 28 2021 tiwai@suse.de
- leds: Add managed API to get a LED from a device driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- leds: Add of_led_get() and led_put() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- thermal: db8500: Depromote debug print (jsc#SLE-16407).
- net: netcp_ethss: Use the PHY time stamping interface
  (bsc#1176447).
- thermal: db8500: Rewrite to be a pure OF sensor (jsc#SLE-16407).
- thermal: db8500: Use dev helper variable (jsc#SLE-16407).
- thermal: db8500: Finalize device tree conversion
  (jsc#SLE-16407).
- commit be80774
* Thu Jan 28 2021 ailiop@suse.com
- xfs: show the proper user quota options (bsc#1181538).
- commit e34397a
* Thu Jan 28 2021 dbueso@suse.de
- futex: Handle faults correctly for PI futexes (bsc#1181349
  bsc#1149032).
- futex: Simplify fixup_pi_state_owner() (bsc#1181349
  bsc#1149032).
- futex: Use pi_state_update_owner() in put_pi_state()
  (bsc#1181349 bsc#1149032).
- rtmutex: Remove unused argument from rt_mutex_proxy_unlock()
  (bsc#1181349 bsc#1149032).
- futex: Provide and use pi_state_update_owner() (bsc#1181349
  bsc#1149032).
- futex: Replace pointless printk in fixup_owner() (bsc#1181349
  bsc#1149032).
- futex: Ensure the correct return value from futex_lock_pi()
  (bsc#1181349 bsc#1149032).
- futex: Remove unused empty compat_exit_robust_list()
  (bsc#1149032).
- futex: Remove needless goto's (bsc#1149032).
- commit 8a00d32
* Thu Jan 28 2021 tiwai@suse.de
- clk: tegra: Add Tegra20/30 EMC clock implementation
  (jsc#SLE-15847).
- Refresh
  patches.suse/clk-tegra-Export-functions-for-EMC-clock-scaling.patch.
- Refresh
  patches.suse/clk-tegra-Implement-Tegra210-EMC-clock.patch.
- Refresh
  patches.suse/clk-tegra-Rename-Tegra124-EMC-clock-source-file.patch.
- commit f80473c
* Thu Jan 28 2021 tiwai@suse.de
- ARM: OMAP2+: omap_device: fix idling of devices during probe
  (bsc#1175713).
- ARM: OMAP2+: Remove redundant assignment to variable ret
  (bsc#1175713).
- OMAP2: fixup doc comments in omap_device (bsc#1175713).
- ARM: OMAP2+: Add pdata for OMAP3 ISP IOMMU (bsc#1175713).
- ARM: OMAP2+: Plug in device_enable/idle ops for IOMMUs
  (bsc#1175713).
- iommu/omap: add pdata ops for omap_device_enable/idle
  (bsc#1175713).
- commit 365ddca
* Thu Jan 28 2021 ohering@suse.de
- x86/hyperv: Fix kexec panic/hang issues (bsc#1176831).
- refresh patches.suse/suse-hv-kabi.patch
- commit 3bdfdcf
* Thu Jan 28 2021 tiwai@suse.de
- Delete patches.suse/1245-drm-remove-drm-specific-kmap_atomic-code.patch
  This broke the build on armv7hl.
- commit 7f90f67
* Thu Jan 28 2021 tiwai@suse.de
- ASoC: meson: aiu: add audio output dt-bindings (jsc#SLE-16518).
- commit 39e8b6e
* Thu Jan 28 2021 fdmanana@suse.com
- btrfs: send: fix invalid clone operations when cloning from
  the same file and root (bsc#1181511).
- commit 090f75a
* Thu Jan 28 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/nfsd4-readdirplus-shouldn-t-return-parent-of-export.patch
- commit 2f3e2e1
* Thu Jan 28 2021 jlee@suse.com
- ACPI/IORT: Fix doc warnings in iort.c (jsc#SLE-16407).
- ACPI, APEI, Fix error return value in apei_map_generic_address()
  (jsc#SLE-16407).
- ACPI: DPTF: Support Alder Lake (jsc#SLE-16407).
- ACPI: Fix whitespace inconsistencies (jsc#SLE-16407).
- ACPI: scan: Fix acpi_dma_configure_id() kerneldoc name
  (jsc#SLE-16407).
- ACPI: button: Drop no longer necessary Acer SW5-012
  lid_init_state quirk (jsc#SLE-16407).
- ACPI: utils: remove unreachable breaks (jsc#SLE-16407).
- ACPI: DPTF: Add ACPI_DPTF Kconfig menu (jsc#SLE-16407).
- Update config files.
- Update supported.conf.
- ACPI: DPTF: Fix participant driver names (jsc#SLE-16407).
- ACPI: processor: remove comment regarding string _UID support
  (jsc#SLE-16407).
- ACPI: reboot: Avoid racing after writing to ACPI RESET_REG
  (jsc#SLE-16407).
- ACPICA: Add missing type casts in GPE register access code
  (jsc#SLE-16407).
- PCI/ACPI: Add Ampere Altra SOC MCFG quirk (jsc#SLE-16407).
- PCI/ACPI: Tone down missing MCFG message (jsc#SLE-16407).
- ACPI / LPSS: Save Cherry Trail PWM ctx registers only once
  (at activation) (jsc#SLE-16407).
- ACPI / LPSS: Resume Cherry Trail PWM controller in no-irq phase
  (jsc#SLE-16407).
- ACPI: Export acpi_get_first_physical_node() to modules
  (jsc#SLE-16407).
- PNP: ACPI: Fix missing-prototypes in acpi_pnp.c (jsc#SLE-16407).
- ACPI: PCI: update kernel-doc line comments (jsc#SLE-16407).
- ACPI: memhotplug: Remove 'state' from struct acpi_memory_device
  (jsc#SLE-16407).
- ACPI: wakeup: Remove dead ACPICA debug code (jsc#SLE-16407).
- ACPI: video: Remove leftover ACPICA debug code (jsc#SLE-16407).
- ACPI: tiny-power-button: Remove dead ACPICA debug code
  (jsc#SLE-16407).
- ACPI: processor: Remove dead ACPICA debug code (jsc#SLE-16407).
- ACPI: proc: Remove dead ACPICA debug code (jsc#SLE-16407).
- ACPI: PCI: Remove unused ACPICA debug code (jsc#SLE-16407).
- ACPI: event: Remove leftover ACPICA debug code (jsc#SLE-16407).
- ACPI: dock: Remove dead ACPICA debug code (jsc#SLE-16407).
- ACPI: debugfs: Remove dead ACPICA debug code (jsc#SLE-16407).
- ACPI: custom_method: Remove dead ACPICA debug code
  (jsc#SLE-16407).
- ACPI: container: Remove leftover ACPICA debug functionality
  (jsc#SLE-16407).
- ACPI: platform: Remove ACPI_MODULE_NAME() (jsc#SLE-16407).
- ACPI: memhotplug: Remove leftover ACPICA debug functionality
  (jsc#SLE-16407).
- ACPI: LPSS: Remove ACPI_MODULE_NAME() (jsc#SLE-16407).
- ACPI: cmos_rtc: Remove leftover ACPI_MODULE_NAME()
  (jsc#SLE-16407).
- node: Add access1 class to represent CPU to memory
  characteristics (jsc#SLE-16407).
- ACPI: Let ACPI know we support Generic Initiator Affinity
  Structures (jsc#SLE-16407).
- ACPI: Support Generic Initiator only domains (jsc#SLE-16407).
- ACPI / NUMA: Add stub function for pxm_to_node()
  (jsc#SLE-16407).
- ACPI: Remove side effect of partly creating a node in
  acpi_get_node() (jsc#SLE-16407).
- ACPI: scan: Replace ACPI_DEBUG_PRINT() with pr_debug()
  (jsc#SLE-16407).
- ACPI: battery: include linux/power_supply.h (jsc#SLE-16407).
- ACPI: APD: Clean up header file include statements
  (jsc#SLE-16407).
- ACPI: APD: Remove unnecessary APD_ADDR() macro stub
  (jsc#SLE-16407).
- ACPI: APD: Remove ACPI_MODULE_NAME() (jsc#SLE-16407).
- ACPI: APD: Remove flags from struct apd_device_desc
  (jsc#SLE-16407).
- ACPI: APD: Add kerneldoc for properties in struct
  apd_device_desc (jsc#SLE-16407).
- ACPI: DPTF: Add PCH FIVR participant driver (jsc#SLE-16407).
- ACPI / PMIC: Move TPS68470 OpRegion driver to drivers/acpi/pmic/
  (jsc#SLE-16407).
- ACPI / PMIC: Split out Kconfig and Makefile specific for ACPI
  PMIC (jsc#SLE-16407).
  Update config files.
- ACPI: NFIT: Use kobj_to_dev() instead (jsc#SLE-16407).
- ACPI: OSL: Make ACPICA use logical addresses of GPE blocks
  (jsc#SLE-16407).
- ACPI: OSL: Change the type of acpi_os_map_generic_address()
  return value (jsc#SLE-16407).
- ACPICA: Add support for using logical addresses of GPE blocks
  (jsc#SLE-16407).
- ACPICA: Introduce special struct type for GPE register addresses
  (jsc#SLE-16407).
- ACPICA: Introduce acpi_hw_gpe_read() and acpi_hw_gpe_write()
  (jsc#SLE-16407).
- ACPICA: Validate GPE blocks at init time (jsc#SLE-16407).
- ACPICA: Update version to 20200925 Version 20200925
  (jsc#SLE-16407).
- ACPICA: Remove unnecessary semicolon (jsc#SLE-16407).
- ACPICA: Debugger: Add a new command: "ALL <NameSeg>"
  (jsc#SLE-16407).
- ACPICA: iASL: Return exceptions for string-to-integer
  conversions (jsc#SLE-16407).
- ACPICA: acpi_help: Update UUID list (jsc#SLE-16407).
- ACPICA: Add predefined names found in the SMBus sepcification
  (jsc#SLE-16407).
- ACPICA: Tree-wide: fix various typos and spelling mistakes
  (jsc#SLE-16407).
- ACPICA: Drop the repeated word "an" in a comment
  (jsc#SLE-16407).
- ACPICA: Add support for 64 bit risc-v compilation
  (jsc#SLE-16407).
- ACPI: processor: Print more information when
  acpi_processor_evaluate_cst() fails (jsc#SLE-16407).
- ACPI/IORT: Remove the unused inline functions (jsc#SLE-16407).
- ACPI/IORT: Drop the unused @ops of iort_add_device_replay()
  (jsc#SLE-16407).
- arm64: permit ACPI core to map kernel memory used for table
  overrides (jsc#SLE-16407).
- arm64/acpi: disallow AML memory opregions to access kernel
  memory (jsc#SLE-16407).
- arm64: acpi: fix UBSAN warning (jsc#SLE-16407).
- commit 5dc32ae
* Thu Jan 28 2021 tiwai@suse.de
- Adjust armv7hl configs for SLE15-SP3 code base (jsc#SLE-17212)
- commit 7df7f95
* Thu Jan 28 2021 tiwai@suse.de
- Copy armv7hl config back from openSUSE-15.2 branch (jsc#SLE-17212)
  vanilla config is skipped as it's dropped on Leap 15.3
- commit a5a45dc
* Thu Jan 28 2021 tiwai@suse.de
- intel_th: pci: Add Alder Lake-P support (git-fixes).
- drm/amd/display: disable dcn10 pipe split by default
  (git-fixes).
- commit 92717d1
* Thu Jan 28 2021 tiwai@suse.de
- xhci: tegra: Delay for disabling LFPS detector (git-fixes).
- xhci: make sure TRB is fully written before giving it to the
  controller (git-fixes).
- USB: ehci: fix an interrupt calltrace error (git-fixes).
- ehci: fix EHCI host controller initialization sequence
  (git-fixes).
- i2c: bpmp-tegra: Ignore unknown I2C_M flags (git-fixes).
- platform/x86: ideapad-laptop: Disable touchpad_switch for
  ELAN0634 (git-fixes).
- drm/nouveau/kms/nv50-: fix case where notifier buffer is at
  offset 0 (git-fixes).
- drm/nouveau/mmu: fix vram heap sizing (git-fixes).
- drm/nouveau/i2c/gm200: increase width of aux semaphore owner
  fields (git-fixes).
- drm/nouveau/privring: ack interrupts the same way as RM
  (git-fixes).
- drm/nouveau/bios: fix issue shadowing expansion ROMs
  (git-fixes).
- drm/amdgpu/psp: fix psp gfx ctrl cmds (git-fixes).
- HID: Ignore battery for Elan touchscreen on ASUS UX550
  (git-fixes).
- HID: logitech-dj: add the G602 receiver (git-fixes).
- HID: multitouch: Enable multi-input for Synaptics
  pointstick/touchpad device (git-fixes).
- commit 6194af6
* Thu Jan 28 2021 neilb@suse.de
- blacklist.conf: unwanted NFS patches
- commit 6f9f1d0
* Thu Jan 28 2021 neilb@suse.de
- nfsd4: readdirplus shouldn't return parent of export
  (git-fixes).
- commit 5e9f700
* Wed Jan 27 2021 ematsumiya@suse.de
- nvme-tcp: avoid request double completion for concurrent
  nvme_tcp_timeout (bsc#1181161).
- nvme-rdma: avoid request double completion for concurrent
  nvme_rdma_timeout (bsc#1181161).
- commit 7760e28
* Wed Jan 27 2021 jgross@suse.com
- x86/xen: avoid warning in Xen pv guest with
  CONFIG_AMD_MEM_ENCRYPT enabled (bsc#1181335).
- commit ada97e4
* Wed Jan 27 2021 jgross@suse.com
- xen-blkfront: allow discard-* nodes to be optional
  (bsc#1181346).
- commit 958c625
* Wed Jan 27 2021 jgross@suse.com
- xen/privcmd: allow fetching resource sizes (bsc#1065600).
- commit 21fc6aa
* Wed Jan 27 2021 msuchanek@suse.de
- scsi: ibmvfc: Fix missing cast of ibmvfc_event pointer to u64 handle
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- Refresh patches.suse/scsi-ibmvfc-Send-commands-down-HW-Sub-CRQ-when-chann.patch.
- Refresh patches.suse/scsi-ibmvfc-Set-and-track-hw-queue-in-ibmvfc_event-s.patch.
- commit 1e02306
* Wed Jan 27 2021 msuchanek@suse.de
- Update ibmvfc patch metadata.
- commit b112c00
* Wed Jan 27 2021 tbogendoerfer@suse.de
- RDMA/ucma: Do not miss ctx destruction steps in some cases
  (bsc#1181147).
- RDMA/cma: Don't overwrite sgid_attr after device is released
  (bsc#1181147).
- RDMA/cma: Fix deadlock on &lock in rdma_cma_listen_on_all()
  error unwind (bsc#1181147).
- RDMA/cma: Add missing error handling of listen_id (bsc#1181147).
- RDMA: Add rdma_connect_locked() (bsc#1181147).
- RDMA/ucma: Fix use after free in destroy id flow (bsc#1181147).
- RDMA/ucma: Rework ucma_migrate_id() to avoid races with destroy
  (bsc#1181147).
- RDMA/cma: Fix use after free race in roce multicast join
  (bsc#1181147).
- RDMA/cma: Consolidate the destruction of a cma_multicast in
  one place (bsc#1181147).
- RDMA/cma: Remove dead code for kernel rdmacm multicast
  (bsc#1181147).
- RDMA/cma: Combine cma_ndev_work with cma_work (bsc#1181147).
- RDMA/cma: Remove cma_comp() (bsc#1181147).
- RDMA/cma: Fix locking for the RDMA_CM_LISTEN state
  (bsc#1181147).
- RDMA/cma: Make the locking for automatic state transition more
  clear (bsc#1181147).
- RDMA/cma: Fix locking for the RDMA_CM_CONNECT state
  (bsc#1181147).
- RDMA/ucma: Fix resource leak on error path (bsc#1181147).
- RDMA/ucma: Remove closing and the close_wq (bsc#1181147).
- RDMA/ucma: Rework how new connections are passed through event
  delivery (bsc#1181147).
- RDMA/ucma: Narrow file->mut in ucma_event_handler()
  (bsc#1181147).
- RDMA/ucma: Change backlog into an atomic (bsc#1181147).
- RDMA/ucma: Fix locking for ctx->events_reported (bsc#1181147).
- RDMA/ucma: Fix the locking of ctx->file (bsc#1181147).
- RDMA/ucma: Do not use file->mut to lock destroying
  (bsc#1181147).
- RDMA/cma: Add missing locking to rdma_accept() (bsc#1181147).
- RDMA/ucma: Remove mc_list and rely on xarray (bsc#1181147).
- RDMA/ucma: Fix error cases around ucma_alloc_ctx()
  (bsc#1181147).
- RDMA/ucma: Consolidate the two destroy flows (bsc#1181147).
- RDMA/ucma: Remove unnecessary locking of file->ctx_list in close
  (bsc#1181147).
- RDMA/ucma: Fix refcount 0 incr in ucma_get_ctx() (bsc#1181147).
- RDMA/core: Move the rdma_show_ib_cm_event() macro (bsc#1181147).
- commit feb2e32
* Wed Jan 27 2021 jlee@suse.com
- efi/libstub: Disable -mbranch-protection (jsc#SLE-16407).
- efi/arm64: libstub: Deal gracefully with EFI_RNG_PROTOCOL
  failure (jsc#SLE-16407).
- efivarfs: Replace invalid slashes with exclamation marks in
  dentries (jsc#SLE-16407).
- efi: Delete deprecated parameter comments (jsc#SLE-16407).
- efi/libstub: Fix missing-prototypes in string.c (jsc#SLE-16407).
- efi: Add definition of EFI_MEMORY_CPU_CRYPTO and ability to
  report it (jsc#SLE-16407).
- efi: mokvar: add missing include of asm/early_ioremap.h
  (jsc#SLE-16407).
- efi: efivars: limit availability to X86 builds (jsc#SLE-16407).
  Update config files.
- efi: remove some false dependencies on CONFIG_EFI_VARS
  (jsc#SLE-16407).
- efi: efivars: un-export efivars_sysfs_init() (jsc#SLE-16407).
- efi: pstore: move workqueue handling out of efivars
  (jsc#SLE-16407).
- efi: pstore: disentangle from deprecated efivars module
  (jsc#SLE-16407).
- efi: mokvar-table: fix some issues in new code (jsc#SLE-16407).
- cper,edac,efi: Memory Error Record: bank group/address and
  chip id (jsc#SLE-16407).
- edac,ghes,cper: Add Row Extension to Memory Error Record
  (jsc#SLE-16407).
- efi/x86: Add a quirk to support command line arguments on Dell
  EFI firmware (jsc#SLE-16407).
- efi/libstub: Add efi_warn and *_once logging helpers
  (jsc#SLE-16407).
- efi: Support for MOK variable config table (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/printf: remove unneeded semicolon (jsc#SLE-16407).
- efi/libstub: Export efi_low_alloc_above() to other units
  (jsc#SLE-16407).
- efi: Rename arm-init to efi-init common for all arch
  (jsc#SLE-16407).
- commit a426a3c
* Wed Jan 27 2021 msuchanek@suse.de
- scsi: ibmvfc: Set default timeout to avoid crash during
  migration (bsc#1181425 ltc#188252).
- commit 9a4138b
* Wed Jan 27 2021 mkubecek@suse.cz
- series.conf: cleanup
- rename patches to get rid of numeric prefix (for easier resolve of merge conflict)
  patches.suse/0001-drm-rockchip-Avoid-uninitialized-use-of-endpoint-id-.patch -> patches.suse/drm-rockchip-Avoid-uninitialized-use-of-endpoint-id-.patch
  patches.suse/0002-drm-gma500-fix-double-free-of-gma_connector.patch -> patches.suse/drm-gma500-fix-double-free-of-gma_connector.patch
  patches.suse/0003-drm-aspeed-Fix-Kconfig-warning-subsequent-build-erro.patch -> patches.suse/drm-aspeed-Fix-Kconfig-warning-subsequent-build-erro.patch
  patches.suse/0004-drm-dp_aux_dev-check-aux_dev-before-use-in-drm_dp_au.patch -> patches.suse/drm-dp_aux_dev-check-aux_dev-before-use-in-drm_dp_au.patch
  patches.suse/0005-drm-mcde-Fix-handling-of-platform_get_irq-error.patch -> patches.suse/drm-mcde-Fix-handling-of-platform_get_irq-error.patch
  patches.suse/0006-drm-tve200-Fix-handling-of-platform_get_irq-error.patch -> patches.suse/drm-tve200-Fix-handling-of-platform_get_irq-error.patch
  (no effect on expanded tree)
- commit 772573f
* Wed Jan 27 2021 nsaenzjulienne@suse.de
- drm/v3d: Add support for bcm2711 (jsc#SLE-16259).
- Update config
- supported.conf: Enable v3d
- commit 29319ce
* Wed Jan 27 2021 nsaenzjulienne@suse.de
- soc: bcm: bcm2835-pm: Add support for bcm2711 (jsc#SLE-16259).
- commit 8aa7baa
* Wed Jan 27 2021 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section
  patches.suse/floppy-reintroduce-O_NDELAY-fix.patch
- commit 39bee61
* Tue Jan 26 2021 bp@suse.de
- arch/x86/lib/usercopy_64.c: fix __copy_user_flushcache()
  cache writeback (bsc#1152489).
- commit 852fa4b
* Tue Jan 26 2021 bp@suse.de
- blacklist.conf: 035fff1f7aab x86/PCI: Fix intel_mid_pci.c build error when ACPI is not enabled
- commit 7d62c49
* Tue Jan 26 2021 dwagner@suse.de
- scsi: lpfc: Simplify bool comparison (bsc#1180891).
- scsi: lpfc: Update lpfc version to 12.8.0.7 (bsc#1180891).
- scsi: lpfc: Enhancements to LOG_TRACE_EVENT for better
  readability (bsc#1180891).
- scsi: lpfc: Implement health checking when aborting I/O
  (bsc#1180891).
- scsi: lpfc: Fix crash when nvmet transport calls host_release
  (bsc#1180891).
- scsi: lpfc: Fix vport create logging (bsc#1180891).
- scsi: lpfc: Fix NVMe recovery after mailbox timeout
  (bsc#1180891).
- scsi: lpfc: Fix target reset failing (bsc#1180891).
- scsi: lpfc: Fix error log messages being logged following SCSI
  task mgnt (bsc#1180891).
- scsi: lpfc: Prevent duplicate requests to unregister with
  cpuhp framework (bsc#1180891).
- scsi: lpfc: Fix FW reset action if I/Os are outstanding
  (bsc#1180891).
- scsi: lpfc: Use the nvme-fc transport supplied timeout for LS
  requests (bsc#1180891).
- scsi: lpfc: Fix crash when a fabric node is released prematurely
  (bsc#1180891).
- scsi: lpfc: Refresh ndlp when a new PRLI is received in the
  PRLI issue state (bsc#1180891).
- scsi: lpfc: Fix auto sli_mode and its effect on CONFIG_PORT
  for SLI3 (bsc#1180891).
- scsi: lpfc: Fix PLOGI S_ID of 0 on pt2pt config (bsc#1180891).
- commit cdea5d0
* Tue Jan 26 2021 bp@suse.de
- x86/topology: Make __max_die_per_package available
  unconditionally (bsc#1152489).
- commit 0e0c8a8
* Tue Jan 26 2021 jlee@suse.com
- Fix hibernation verification after UEFI subsystem upgraded (jsc#SLE-16407)
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- Refresh
  patches.suse/0006-efi-allow-user-to-regenerate-secret-key.patch.
- Delete
  patches.suse/0003-x86-KASLR-public-the-function-for-getting-random-lon.patch.
- Update config files.
- commit d972b09
* Tue Jan 26 2021 bp@suse.de
- x86/cpu/amd: Set __max_die_per_package on AMD (bsc#1152489).
- commit 3044309
* Mon Jan 25 2021 bp@suse.de
- x86/sev: Fix nonistr violation (bsc#1178134).
- commit 47bc3f9
* Mon Jan 25 2021 tiwai@suse.de
- drm/i915/gt: Declare gen9 has 64 mocs entries! (git-fixes).
- drm/etnaviv: always start/stop scheduler in timeout processing
  (git-fixes).
- commit 6ef999c
* Mon Jan 25 2021 tiwai@suse.de
- drm/i915/dsi: Use unconditional msleep for the panel_on_delay
  when there is no reset-deassert MIPI-sequence (git-fixes).
- drm/i915: clear the gpu reloc batch (git-fixes).
- drm/amdgpu: fix a GPU hang issue when remove device (git-fixes).
- drm/i915: Fix mismatch between misplaced vma check and vma
  insert (git-fixes).
- commit cc8174e
* Mon Jan 25 2021 tiwai@suse.de
- drm/amdkfd: Fix leak in dmabuf import (git-fixes).
- drm/msm/dsi_phy_10nm: implement PHY disabling (git-fixes).
- drm/msm/dsi_pll_10nm: restore VCO rate during restore_state
  (git-fixes).
- drm/msm/dpu: Add newline to printks (git-fixes).
- drm/meson: dw-hdmi: Register a callback to disable the regulator
  (git-fixes).
- drm/omap: dmm_tiler: fix return error code in omap_dmm_probe()
  (git-fixes).
- drm/amdgpu: fix build_coefficients() argument (git-fixes).
- drm/amd/display: remove useless if/else (git-fixes).
- drm/tve200: Fix handling of platform_get_irq() error
  (git-fixes).
- drm/mcde: Fix handling of platform_get_irq() error (git-fixes).
- drm/dp_aux_dev: check aux_dev before use in
  drm_dp_aux_dev_get_by_minor() (git-fixes).
- drm/aspeed: Fix Kconfig warning & subsequent build errors
  (git-fixes).
- drm/gma500: fix double free of gma_connector (git-fixes).
- drm/i915/display/dp: Compute the correct slice count for VDSC
  on DP (git-fixes).
- drm/rockchip: Avoid uninitialized use of endpoint id in LVDS
  (git-fixes).
- drm/i915/gt: Program mocs:63 for cache eviction on gen9
  (git-fixes).
- drm/tegra: sor: Disable clocks on error in tegra_sor_init()
  (git-fixes).
- drm/tegra: replace idr_init() by idr_init_base() (git-fixes).
- drm/i915/gt: Free stale request on destroying the virtual engine
  (git-fixes).
- drm/i915/gvt: return error when failing to take the module
  reference (git-fixes).
- drm/i915/gvt: Set ENHANCED_FRAME_CAP bit (git-fixes).
- drm/i915: Handle max_bpc==16 (git-fixes).
- drm/i915: Avoid memory leak with more than 16 workarounds on
  a list (git-fixes).
- drm/amd/display: Add missing pflip irq for dcn2.0 (git-fixes).
- drm/gma500: Fix out-of-bounds access to struct
  drm_device.vblank[] (git-fixes).
- drm/amdgpu: perform srbm soft reset always on SDMA resume
  (git-fixes).
- commit bd76ab9
* Mon Jan 25 2021 tiwai@suse.de
- drm/nouveau/nouveau: fix the start/end range for migration
  (git-fixes).
- drm/vc4: drv: Add error handding for bind (git-fixes).
- drm/sun4i: frontend: Fix the scaler phase on A33 (git-fixes).
- drm/sun4i: frontend: Reuse the ch0 phase for RGB formats
  (git-fixes).
- drm/sun4i: frontend: Rework a bit the phase data (git-fixes).
- drm/amd/display: Don't invoke kgdb_breakpoint() unconditionally
  (git-fixes).
- drm/amdgpu: increase the reserved VM size to 2MB (git-fixes).
- drm/amdgpu: don't map BO in reserved region (git-fixes).
- drm/amdgpu: add DID for navi10 blockchain SKU (git-fixes).
- drm/i915: Drop runtime-pm assert from vgpu io accessors
  (git-fixes).
- drm/i915: Force VT'd workarounds when running as a guest OS
  (git-fixes).
- drm/i915/gt: Delay execlist processing for tgl (git-fixes).
- commit d9edd32
* Mon Jan 25 2021 tiwai@suse.de
- drm/amdkfd: Use same SQ prefetch setting as amdgpu (git-fixes).
- drm/amd/display: Avoid MST manager resource leak (git-fixes).
- drm/amdgpu: correct the gpu reset handling for job != NULL case
  (git-fixes).
- drm/ttm: fix eviction valuable range check (git-fixes).
- drm/amd/display: HDMI remote sink need mode validation for Linux
  (git-fixes).
- drm/amd/display: Increase timeout for DP Disable (git-fixes).
- drm/i915: Break up error capture compression loops with
  cond_resched() (git-fixes).
- drm/msm/a6xx: fix a potential overflow issue (git-fixes).
- drm/panfrost: add amlogic reset quirk callback (git-fixes).
- drm/bridge/synopsys: dsi: add support for non-continuous HS
  clock (git-fixes).
- commit 3790415
* Mon Jan 25 2021 tiwai@suse.de
- drm/brige/megachips: Add checking if ge_b850v3_lvds_init()
  is working correctly (git-fixes).
- drm/nouveau/mem: guard against NULL pointer access in mem_del
  (git-fixes).
- drm/amdgpu: prevent double kfree ttm->sg (git-fixes).
- drm/sun4i: mixer: Extend regmap max_register (git-fixes).
- commit f36768e
* Mon Jan 25 2021 tiwai@suse.de
- drm/i915: Filter wake_flags passed to default_wake_function
  (git-fixes).
- drm/amdgpu/dc: Require primary plane to be enabled whenever
  the CRTC is (git-fixes).
- drm/amd/display: update nv1x stutter latencies (git-fixes).
- drm/amdkfd: fix a memory leak issue (git-fixes).
- drm/tve200: Stabilize enable/disable (git-fixes).
- drm/msm: Disable preemption on all 5xx targets (git-fixes).
- drm/amdgpu: Fix bug in reporting voltage for CIK (git-fixes).
- drm/amd/pm: avoid false alarm due to confusing
  softwareshutdowntemp setting (git-fixes).
- drm/omap: fix incorrect lock state (git-fixes).
- drm/amd/display: Fix memleak in amdgpu_dm_mode_config_init
  (git-fixes).
- drm/amd/display: Retry AUX write when fail occurs (git-fixes).
- drm/amd/display: Reject overlay plane configurations in
  multi-display scenarios (git-fixes).
- drm/msm/a6xx: fix gmu start on newer firmware (git-fixes).
- drm/msm: add shutdown support for display platform_driver
  (git-fixes).
- drm/msm/dpu: Fix scale params in plane validation (git-fixes).
- drm/i915/selftests: Avoid passing a random 0 into ilog2
  (git-fixes).
- drm/amdgpu: Fix bug where DPM is not enabled after hibernate
  and resume (git-fixes).
- drm/amd/display: dchubbub p-state warning during surface planes
  switch (git-fixes).
- commit 64cc324
* Mon Jan 25 2021 tiwai@suse.de
- drm: Added orientation quirk for ASUS tablet model T103HAF
  (git-fixes).
- drm/amdkfd: fix restore worker race condition (git-fixes).
- drm/nouveau/dispnv50: fix runtime pm imbalance on error
  (git-fixes).
- drm/nouveau: fix runtime pm imbalance on error (git-fixes).
- drm/nouveau/debugfs: fix runtime pm imbalance on error
  (git-fixes).
- commit 406e9f7
* Mon Jan 25 2021 tiwai@suse.de
- drm/exynos: dsi: Remove bridge node reference in error handling
  path in probe function (git-fixes).
- drm: rcar-du: Set primary plane zpos immutably at initializing
  (git-fixes).
- drm/amdgpu/sriov add amdgpu_amdkfd_pre_reset in gpu reset
  (git-fixes).
- drm/msm/a5xx: Always set an OPP supported hardware value
  (git-fixes).
- drm/msm: fix leaks if initialization fails (git-fixes).
- drm/amd/display: Stop if retimer is not available (git-fixes).
- drm/amdgpu: increase atombios cmd timeout (git-fixes).
- drm/omap: dss: Cleanup DSS ports on initialisation failure
  (git-fixes).
- commit db34b82
* Mon Jan 25 2021 tiwai@suse.de
- drm/amd/display: dal_ddc_i2c_payloads_create can fail causing
  panic (git-fixes).
- drm/omap: fix possible object reference leak (git-fixes).
- drm/amdgpu: fix calltrace during kmd unload(v3) (git-fixes).
- drm/scheduler: Avoid accessing freed bad job (git-fixes).
- drm/amdgpu/powerplay/smu7: fix AVFS handling with custom
  powerplay table (git-fixes).
- drm/amdgpu/powerplay: fix AVFS handling with custom powerplay
  table (git-fixes).
- drm/amd/display: Free gamma after calculating legacy transfer
  function (git-fixes).
- drm/amd/display: Do not double-buffer DTO adjustments
  (git-fixes).
- commit c18126a
* Mon Jan 25 2021 tiwai@suse.de
- drm/i915/gt: Prevent use of engine->wa_ctx after error
  (git-fixes).
- drm/syncobj: Fix use-after-free (git-fixes).
- drm/atomic: put state on error path (git-fixes).
- commit 4cd1094
* Mon Jan 25 2021 tiwai@suse.de
- drm/i915/hdcp: Update CP property in update_pipe (git-fixes).
- drm/amdgpu: fix DRM_INFO flood if display core is not supported
  (bug 210921) (git-fixes).
- commit 0dca4e9
* Mon Jan 25 2021 tiwai@suse.de
- ACPI: scan: Make acpi_bus_get_device() clear return pointer
  on error (git-fixes).
- cachefiles: Drop superfluous readpages aops NULL check
  (git-fixes).
- ACPI: scan: Harden acpi_device_add() against device ID overflows
  (git-fixes).
- commit 963543c
* Mon Jan 25 2021 bp@suse.de
- x86/sev-es: Handle string port IO to kernel memory properly
  (bsc#1178134).
- commit 3ec7fbe
* Mon Jan 25 2021 mbrugger@suse.com
- i2c: mlxbf: select CONFIG_I2C_SLAVE (jsc#SLE-15271 jsc#SLE-16108
  jsc#SLE-16098 jsc#SLE-13565).
- i2c: mlxbf: I2C_MLXBF should depend on MELLANOX_PLATFORM
  (jsc#SLE-15271 jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit abb583b
* Mon Jan 25 2021 tbogendoerfer@suse.de
- net: core: devlink: use right genl user_ptr when handling port
  param get/set (bsc#1176447).
- i40e: fix potential NULL pointer dereferencing (jsc#SLE-13701).
- net: fix use-after-free when UDP GRO with shared fraglist
  (bsc#1176447).
- net/mlx5e: In skb build skip setting mark in switchdev mode
  (jsc#SLE-15172).
- nexthop: Bounce NHA_GATEWAY in FDB nexthop groups (bsc#1176447).
- net: bareudp: add missing error handling for
  bareudp_link_config() (jsc#SLE-15172).
- bareudp: Fix use of incorrect min_headroom size (jsc#SLE-15172).
- bareudp: set NETIF_F_LLTX flag (jsc#SLE-15172).
- bnxt_en: Check TQM rings for maximum supported value
  (jsc#SLE-15075).
- bnxt_en: Fix AER recovery (jsc#SLE-15075).
- Revert "e1000e: disable s0ix entry and exit flows for ME
  systems" (jsc#SLE-13532).
- e1000e: Only run S0ix flows if shutdown succeeded
  (jsc#SLE-13532).
- ionic: change set_rx_mode from_ndo to can_sleep (jsc#SLE-16649).
- ionic: flatten calls to ionic_lif_rx_mode (jsc#SLE-16649).
- ice: avoid premature Rx buffer reuse (jsc#SLE-7926).
- net: mlx5e: fix fs_tcp.c build when IPV6 is not enabled
  (jsc#SLE-15172).
- net/mlx5e: Fix IPsec packet drop by mlx5e_tc_update_skb
  (jsc#SLE-15172).
- commit 54582be
* Mon Jan 25 2021 tbogendoerfer@suse.de
- net/mlx5e: ethtool, Fix restriction of autoneg with 56G
  (jsc#SLE-8464).
- net: hns3: fix a phy loopback fail issue (bsc#1154353).
- net: vlan: avoid leaks on register_vlan_dev() failures
  (bsc#1154353).
- bnxt_en: Fix AER recovery (jsc#SLE-8371 bsc#1153274).
- e1000e: bump up timeout to wait when ME un-configures ULP mode
  (jsc#SLE-8100).
- ionic: account for vlan tag len in rx buffer len (bsc#1167773).
- ice, xsk: clear the status bits for the next_to_use descriptor
  (jsc#SLE-7926).
- net: fix proc_fs init handling in af_packet and tls
  (bsc#1154353).
- ice: avoid premature Rx buffer reuse (jsc#SLE-7926).
- net: hns3: remove a misused pragma packed (bsc#1154353).
- commit 465e7d7
* Mon Jan 25 2021 ptesarik@suse.cz
- zlib: move EXPORT_SYMBOL() and MODULE_LICENSE() out of
  dfltcc_syms.c (jsc#SLE-13766).
- commit d62a9cc
* Mon Jan 25 2021 ptesarik@suse.cz
- zlib: export S390 symbols for zlib modules (jsc#SLE-13766).
- KVM: s390: remove diag318 reset code (jsc#SLE-13746).
- s390/pci: fix hot-plug of PCI function missing bus (bsc#1181076
  LTC#190860).
- commit 54be82c
* Mon Jan 25 2021 vbabka@suse.cz
- lib/test_hmm.c: fix an error code in dmirror_allocate_chunk()
  (jsc#SLE-16387).
- commit df77afb
* Mon Jan 25 2021 vbabka@suse.cz
- Refresh
  patches.suse/0041-mm-memremap_pages-support-multiple-ranges-per-invoca.patch.
- add missing hunk for lib/test_hmm.c
- commit f341232
* Mon Jan 25 2021 jslaby@suse.cz
- iommu/amd: Set iommu->int_enabled consistently when interrupts
  are set up (git-fixes).
- commit 0bf82c2
* Mon Jan 25 2021 msuchanek@suse.de
- blacklist.conf: Add 08685be7761d powerpc/64s: fix scv entry fallback flush vs interrupt
  No scv support.
- commit 7e491e5
* Mon Jan 25 2021 jslaby@suse.cz
- selftests: net: fib_tests: remove duplicate log test
  (git-fixes).
- net: mscc: ocelot: allow offloading of bridge on top of LAG
  (git-fixes).
- udp: Prevent reuseport_select_sock from reading uninitialized
  socks (git-fixes).
- pNFS: Mark layout for return if return-on-close was not sent
  (git-fixes).
- commit 87c48df
* Mon Jan 25 2021 bp@suse.de
- blacklist.conf: 78762b0e79bc x86/asm/32: Add ENDs to some functions and relabel with SYM_CODE_*
- commit 1f20d8c
* Mon Jan 25 2021 mkubecek@suse.cz
- series.conf: cleanup
- move kabi workaround into patches.kabi:
  patches.suse/ALSA-pcm-fix-hw_rule-deps-kABI.patch
- commit 3eee3e1
* Mon Jan 25 2021 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/scsi-scsi_transport_srp-Don-t-block-target-in-failfa.patch
  patches.suse/selftests-powerpc-Only-test-lwm-stmw-on-big-endian.patch
- commit 5218f70
* Mon Jan 25 2021 mkubecek@suse.cz
- series.conf: cleanup
- move an unsortable patch out of sorted section
  patches.suse/powerpc-Fix-build-error-in-paravirt.h.patch
- commit 0f64295
* Mon Jan 25 2021 tzimmermann@suse.de
- drm/tve200: Fix handling of platform_get_irq() error (bsc#1152472)
- commit 8541d40
* Mon Jan 25 2021 tzimmermann@suse.de
- drm/mcde: Fix handling of platform_get_irq() error (bsc#1152472)
- commit 60b9525
* Mon Jan 25 2021 tzimmermann@suse.de
- drm/dp_aux_dev: check aux_dev before use in (bsc#1152472)
- commit 21532d2
* Mon Jan 25 2021 tzimmermann@suse.de
- drm/aspeed: Fix Kconfig warning & subsequent build errors (bsc#1152472)
- commit 3d14ba8
* Mon Jan 25 2021 tzimmermann@suse.de
- drm/gma500: fix double free of gma_connector (bsc#1152472)
  Backporting notes:
  * context changes
- commit 2ce14eb
* Mon Jan 25 2021 tzimmermann@suse.de
- drm/rockchip: Avoid uninitialized use of endpoint id in LVDS (bsc#1152472)
- commit 103a121
* Mon Jan 25 2021 tiwai@suse.de
- iio: ad5504: Fix setting power-down state (git-fixes).
- serial: mvebu-uart: fix tx lost characters at power off
  (git-fixes).
- usb: udc: core: Use lock when write to soft_connect (git-fixes).
- usb: gadget: aspeed: fix stop dma register setting (git-fixes).
- commit 4d850d2
* Mon Jan 25 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: gem: Add a managed action to cleanup the job queue'
- commit ce3d22f
* Mon Jan 25 2021 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vc4: bo: Add a managed action to cleanup the cache'
- commit 2cf161b
* Mon Jan 25 2021 glin@suse.com
- bpf: Fix helper bpf_map_peek_elem_proto pointing to wrong
  callback (bsc#1155518).
- bpf: Don't leak memory in bpf getsockopt when optlen == 0
  (bsc#1155518).
- commit 609f544
* Sun Jan 24 2021 tiwai@suse.de
- drm/panel: otm8009a: allow using non-continuous dsi clock
  (git-fixes).
- usb: ohci: Make distrust_firmware param default to false
  (git-fixes).
- commit 7c39cad
* Sun Jan 24 2021 tiwai@suse.de
- i2c: octeon: check correct size of maximum RECV_LEN packet
  (git-fixes).
- commit 54a675e
* Sat Jan 23 2021 tiwai@suse.de
- ALSA: pcm: fix hw_rule deps kABI (bsc#1181014).
- commit 3c80769
* Sat Jan 23 2021 tiwai@suse.de
- ALSA: pcm: One more dependency for hw constraints (bsc#1181014).
- commit d71290f
* Sat Jan 23 2021 tiwai@suse.de
- mmc: core: don't initialize block size from ext_csd if not
  present (git-fixes).
- mmc: sdhci-xenon: fix 1.8v regulator stabilization (git-fixes).
- platform/x86: intel-vbtn: Drop HP Stream x360 Convertible PC
  11 from allow-list (git-fixes).
- platform/x86: i2c-multi-instantiate: Don't create platform
  device for INT3515 ACPI nodes (git-fixes).
- commit 9c2a03f
* Sat Jan 23 2021 dbueso@suse.de
- timers: Use only bucket expiry for base->next_expiry value
  (bsc#1181318).
- timers: Preserve higher bits of expiration on index calculation
  (bsc#1181318).
- commit f60f618
* Fri Jan 22 2021 ptesarik@suse.cz
- s390/cio: fix use-after-free in ccw_device_destroy_console
  (git-fixes).
- commit d3e26e8
* Fri Jan 22 2021 ptesarik@suse.cz
- KVM: s390: pv: Mark mm as protected after the set secure
  parameters and improve cleanup (jsc#SLE-7512 bsc#1165545).
- commit 719d24b
* Fri Jan 22 2021 ptesarik@suse.cz
- net/af_iucv: set correct sk_protocol for child sockets
  (git-fixes).
- net/af_iucv: fix null pointer dereference on shutdown
  (bsc#1179567 LTC#190111).
- commit ddc328b
* Fri Jan 22 2021 ptesarik@suse.cz
- s390/dasd: fix hanging device offline processing (bsc#1181169
  LTC#190914).
- commit 9b7644e
* Fri Jan 22 2021 ptesarik@suse.cz
- net/smc: use memcpy instead of snprintf to avoid out of bounds
  read (jsc#SLE-15862 bsc#1180744 LTC#186340).
- smc: fix out of bound access in smc_nl_get_sys_info()
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: fix access to parent of an ib device (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- commit f7642f8
* Fri Jan 22 2021 ptesarik@suse.cz
- net/smc: Add support for obtaining SMCR device list
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: Add support for obtaining SMCD device list
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: Add SMC-D Linkgroup diagnostic support (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: Introduce SMCR get link command (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: Introduce SMCR get linkgroup command (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: Add support for obtaining system information
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: Introduce generic netlink interface for diagnostic
  purposes (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: Refactor smc ism v2 capability handling (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: Add diagnostic information to link structure
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: Add diagnostic information to smc ib-device
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- net/smc: Add link counters for IB device ports (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: Add connection counters for links (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: Use active link of the connection (jsc#SLE-15862
  bsc#1180744 LTC#186340).
- net/smc: use helper smc_conn_abort() in listen processing
  (jsc#SLE-15862 bsc#1180744 LTC#186340).
- commit 064ec88
* Fri Jan 22 2021 nsaenzjulienne@suse.de
- drm/vc4: Unify PCM card's driver_name (git-fixes).
- commit 2a6cd0a
* Fri Jan 22 2021 ykaukab@suse.de
- dpaa2-eth: fix the size of the mapped SGT buffer
  (jsc#SLE-14018).
- soc: fsl: handle RCPM errata A-008646 on SoC LS1021A
  (jsc#SLE-14018).
- soc: fsl: qbman: qman: Remove unused variable 'dequeue_wq'
  (jsc#SLE-14018).
- soc: fsl: qe: qe_common: Fix misnamed function attribute 'addr'
  (jsc#SLE-14018).
- soc: fsl: dpio: qbman-portal: Fix a bunch of kernel-doc
  misdemeanours (jsc#SLE-14018).
- bus: fsl-mc: simplify DPRC version check (jsc#SLE-14018).
- bus: fsl-mc: added missing fields to dprc_rsp_get_obj_region
  structure (jsc#SLE-14018).
- bus: fsl-mc: make sure MC firmware is up and running
  (jsc#SLE-14018).
- bus: fsl-mc: add back accidentally dropped error check
  (jsc#SLE-14018).
- crypto: caam: Replace in_irq() usage (jsc#SLE-14018).
- soc/fsl/qbman: Add an argument to signal if NAPI processing
  is required (jsc#SLE-14018).
- crypto: caam/qi - simplify error path for context allocation
  (jsc#SLE-14018).
- dpaa2-eth: Fix compile error due to missing devlink support
  (jsc#SLE-14018).
- dpaa2-eth: select XGMAC_MDIO for MDIO bus support
  (jsc#SLE-14018).
- soc: fsl: qe: Remove unnessesary check in ucc_set_tdm_rxtx_clk
  (jsc#SLE-14018).
- soc: fsl: qman: convert to use be32_add_cpu() (jsc#SLE-14018).
- soc: fsl: dpio: remove set but not used 'addr_cena'
  (jsc#SLE-14018).
- dpaa2-eth: add support for devlink parser error drop traps
  (jsc#SLE-14018).
- dpaa2-eth: add basic devlink support (jsc#SLE-14018).
- devlink: add .trap_group_action_set() callback (jsc#SLE-14018).
- devlink: add parser error drop packet traps (jsc#SLE-14018).
- dpaa2-eth: install a single steering rule when SHARED_FS is
  enabled (jsc#SLE-14018).
- dpaa2-eth: no need to check link state right after ndo_open
  (jsc#SLE-14018).
- dpaa2-eth: drop double zeroing (jsc#SLE-14018).
- ptp_qoriq: support FIPER3 (jsc#SLE-14018).
- dpaa2-eth: utilize skb->cb for hardware timestamping
  (jsc#SLE-14018).
- dpaa2-eth: invoke dpaa2_eth_enable_tx_tstamp() once in code
  (jsc#SLE-14018).
- dpaa2-eth: define a global ptp_qoriq structure pointer
  (jsc#SLE-14018).
- dpaa2-eth: add APIs of 1588 single step timestamping
  (jsc#SLE-14018).
- dpaa2-eth: Convert to DEFINE_SHOW_ATTRIBUTE (jsc#SLE-14018).
- dpaa2-eth: add a dpaa2_eth_ prefix to all functions in
  dpaa2-eth-dcb.c (jsc#SLE-14018).
- dpaa2-eth: add a dpaa2_eth_ prefix to all functions in
  dpaa2-eth.c (jsc#SLE-14018).
- dpaa2-eth: add a dpaa2_eth_ prefix to all functions in
  dpaa2-ethtool.c (jsc#SLE-14018).
- bus/fsl-mc: Add a new version for dprc_get_obj_region command
  (jsc#SLE-14018).
- bus/fsl-mc: Extend ICID size from 16bit to 32bit
  (jsc#SLE-14018).
- bus/fsl-mc: Export IRQ pool handling functions to be used by
  VFIO (jsc#SLE-14018).
- bus/fsl-mc: Add a container setup function (jsc#SLE-14018).
- bus/fsl-mc: Export a cleanup function for DPRC (jsc#SLE-14018).
- bus/fsl-mc: Export dprc_scan/dprc_remove functions to be used
  by multiple entities (jsc#SLE-14018).
- bus/fsl-mc: Add dprc-reset-container support (jsc#SLE-14018).
- bus/fsl-mc: Cache the DPRC API version (jsc#SLE-14018).
- bus/fsl-mc: Set the QMAN/BMAN region flags (jsc#SLE-14018).
- bus/fsl-mc: add support for 'driver_override' in the mc-bus
  (jsc#SLE-14018).
- bus/fsl-mc: Add a new parameter to dprc_scan_objects function
  (jsc#SLE-14018).
- bus/fsl-mc: Do no longer export the total number of irqs
  outside dprc_scan_objects (jsc#SLE-14018).
- bus: fsl-mc: MC control registers are not always available
  (jsc#SLE-14018).
- bus: fsl-mc: don't assume an iommu is always present
  (jsc#SLE-14018).
- gpio: mpc8xxx: simplify ls1028a/ls1088a support (jsc#SLE-14018).
- ptp_qoriq: output PPS signal on FIPER2 in default
  (jsc#SLE-14018).
- commit 30de820
* Fri Jan 22 2021 jdelvare@suse.de
- hwmon-amd_energy-09-fix-allocation-of-hwmon_channel_info.patch is now
  part of jsc#SLE-14262.
- commit c0fcf0d
* Fri Jan 22 2021 jdelvare@suse.de
- hwmon: (amd_energy) Add AMD family 19h model 01h x86 match
  (jsc#SLE-14262).
- commit 0d38ed6
* Fri Jan 22 2021 tiwai@suse.de
- ALSA: hda: Balance runtime/system PM if direct-complete is
  disabled (git-fixes).
- ASoC: SOF: Intel: fix page fault at probe if i915 init fails
  (git-fixes).
- ASoC: SOF: Intel: hda: Avoid checking jack on system suspend
  (git-fixes).
- ASoC: SOF: Intel: hda: Modify existing helper to disable WAKEEN
  (git-fixes).
- ASoC: SOF: Intel: hda: Resume codec to do jack detection
  (git-fixes).
- ALSA: hda: Add AlderLake-P PCI ID and HDMI codec vid
  (git-fixes).
- commit 4063e56
* Fri Jan 22 2021 tiwai@suse.de
- ALSA: hda: Add Cometlake-R PCI ID (git-fixes).
- ALSA: seq: oss: Fix missing error check in
  snd_seq_oss_synth_make_info() (git-fixes).
- ALSA: hda/via: Add minimum mute flag (git-fixes).
- ALSA: hda/realtek - Limit int mic boost on Acer Aspire E5-575T
  (git-fixes).
- commit 70d9202
* Fri Jan 22 2021 tiwai@suse.de
- Move upstreamed sound patches into sorted section
- commit f5195da
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: Fix the return check of devm_ioremap and ioremap
  (jsc#SLE-15271 jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit ebaf1be
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: Update author and maintainer email info
  (jsc#SLE-15271 jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit 248e78f
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: Update reference clock frequency (jsc#SLE-15271
  jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit 077bf6e
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: Remove unecessary wrapper functions (jsc#SLE-15271
  jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit a636d51
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: Fix resrticted cast warning of sparse (jsc#SLE-15271
  jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit 4f74542
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: Add CONFIG_ACPI to guard ACPI function call
  (jsc#SLE-15271 jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- commit 8341791
* Thu Jan 21 2021 mbrugger@suse.com
- i2c: mlxbf: I2C SMBus driver for Mellanox BlueField SoC
  (bsc#1119838 jsc#SLE-15271 jsc#SLE-16108 jsc#SLE-16098 jsc#SLE-13565).
- Update config files.
- supported.conf: add i2c-mlxbf
- commit 25f4cd8
* Thu Jan 21 2021 tiwai@suse.de
- blacklist.conf: Add entries for platform/x86/intel-vbtn that are reverted
- commit 5482ef1
* Thu Jan 21 2021 tiwai@suse.de
- platform/x86: intel-vbtn: Fix SW_TABLET_MODE always reporting
  1 on some HP x360 models (git-fixes).
- commit d6ac163
* Thu Jan 21 2021 tiwai@suse.de
- power: vexpress: add suppress_bind_attrs to true (git-fixes).
- commit bb22b7b
* Thu Jan 21 2021 mbrugger@suse.com
- platform/mellanox: mlxbf-pmc: Add Mellanox BlueField PMC
  driver (bsc#1119846 jsc#SLE-15271 jsc#SLE-16108 jsc#SLE-16098
  jsc#SLE-13565).
- Update config files. Enabel MLXBF_PCM as module
- supported.conf: add mlxbf-pmc
- commit af433f3
* Thu Jan 21 2021 tiwai@suse.de
- drm/i915/gt: Restore clear-residual mitigations for Ivybridge,
  Baytrail (git-fixes).
- drm/i915/gt: Limit VFE threads based on GT (git-fixes).
- drm/i915/icl: Fix initing the DSI DSC power refcount during
  HW readout (git-fixes).
- drm/i915/backlight: fix CPU mode backlight takeover on LPT
  (git-fixes).
- drm/i915/dsi: Use unconditional msleep for the panel_on_delay
  when there is no reset-deassert MIPI-sequence (git-fixes).
- drm/msm: Call msm_init_vram before binding the gpu (git-fixes).
- drm/amdgpu: fix potential memory leak during navi12
  deinitialization (git-fixes).
- drm/amdgpu: fix a GPU hang issue when remove device (git-fixes).
- drm/amd/display: fix sysfs amdgpu_current_backlight_pwm NULL
  pointer issue (git-fixes).
- drm/i915/perf: also include Gen11 in OATAILPTR workaround
  (git-fixes).
- drm/amdkfd: Put ACPI table after using it (git-fixes).
- drm/bridge: sii902x: Enable I/O and core VCC supplies if present
  (git-fixes).
- drm/bridge: sii902x: Refactor init code into separate function
  (git-fixes).
- commit 1ac5cc4
* Thu Jan 21 2021 tiwai@suse.de
- blacklist.conf: Add amdgpu patches that are reverted
- commit ac3cc99
* Thu Jan 21 2021 tiwai@suse.de
- spi: imx: Fix freeing of DMA channels if spi_bitbang_start()
  fails (git-fixes).
- Refresh
  patches.suse/spi-imx-fix-runtime-pm-support-for-config_pm.patch.
- commit afbdd20
* Thu Jan 21 2021 tiwai@suse.de
- blacklist.conf: Add rtl8192e patches that are reverted later
- commit 86d1c5b
* Thu Jan 21 2021 tiwai@suse.de
- r8169: fix potential skb double free in an error path
  (git-fixes).
- spi: spi-cadence-quadspi: Fix mapping of buffers for DMA reads
  (git-fixes).
- commit 0cf3ab4
* Thu Jan 21 2021 fdmanana@suse.com
- btrfs: send: fix wrong file path when there is an inode with
  a pending rmdir (bsc#1181237).
- commit be4e71d
* Thu Jan 21 2021 tiwai@suse.de
- tty/sysrq: constify the the sysrq_key_op(s) (git-fixes).
- commit 866ce2a
* Thu Jan 21 2021 tiwai@suse.de
- media: dvb-usb: Fix use-after-free access (bsc#1181104).
- media: dvb-usb: Fix memory leak at error in
  dvb_usb_device_init() (bsc#1181104).
- commit 3a92626
* Thu Jan 21 2021 tiwai@suse.de
- can: vxcan: vxcan_xmit: fix use after free bug (git-fixes).
- mac80211: check if atf has been disabled in
  __ieee80211_schedule_txq (git-fixes).
- mac80211: do not drop tx nulldata packets on encrypted links
  (git-fixes).
- commit dfeeb94
* Thu Jan 21 2021 ptesarik@suse.cz
- Increase PCI_NR_FUNCTIONS to 512 on s390x
  (jsc#SLE-17267, bsc#1180114, LTC#190383).
- Refresh config/s390x/zfcpdump.
- commit 56606d8
* Thu Jan 21 2021 ptesarik@suse.cz
- lib/zlib: fix inflating zlib streams on s390 (bsc#1181070
  LTC#190858).
- commit 5b17a7f
* Thu Jan 21 2021 jroedel@suse.de
- vfio-pci: Use io_remap_pfn_range() for PCI IO memory
  (bsc#1181220).
- iommu/vt-d: Fix a bug for PDP check in prq_event_thread
  (bsc#1181217).
- vfio/pci: Implement ioeventfd thread handler for contended
  memory lock (bsc#1181219).
- KVM: nVMX: Reload vmcs01 if getting vmcs12's pages fails
  (bsc#1181218).
- commit 517d1e9
* Thu Jan 21 2021 nsaenzjulienne@suse.de
- arm64: Remove arm64_dma32_phys_limit and its uses
  (jsc#SLE-17068).
- commit 8ce9631
* Thu Jan 21 2021 glin@suse.com
- bpf: Fix signed_{sub,add32}_overflows type handling
  (bsc#1177028).
- bpf: Support PTR_TO_MEM{,_OR_NULL} register spilling
  (bsc#1177028).
- bpftool: Fix compilation failure for net.o with older glibc
  (bsc#1177028).
- bpf: Save correct stopping point in file seq iteration
  (bsc#1177028).
- selftests/bpf: Clarify build error if no vmlinux (bsc#1177028).
- bpf: Simplify task_file_seq_get_next() (bsc#1177028).
- bpf: Avoid iterating duplicated files for task_file iterator
  (bsc#1177028).
- commit 7d12720
* Thu Jan 21 2021 jroedel@suse.de
- iommu/vt-d: Fix misuse of ALIGN in qi_flush_piotlb()
  (bsc#1181210).
- iommu/amd: Stop irq_remapping_select() matching when remapping
  is disabled (bsc#1181206).
- iommu/vt-d: include conditionally on CONFIG_INTEL_IOMMU_SVM
  (bsc#1181211).
- iommu/vt-d: Don't read VCCAP register unless it exists
  (bsc#1181208).
- x86/tboot: Don't disable swiotlb when iommu is forced on
  (bsc#1181215).
- iommu: Check return of __iommu_attach_device() (bsc#1181207).
- iommu/vt-d: Fix kernel NULL pointer dereference in find_domain()
  (bsc#1181209).
- vfio/type1: fix dirty bitmap calculation in vfio_dma_rw
  (bsc#1181214).
- vfio: fix a missed vfio group put in vfio_pin_pages
  (bsc#1181213).
- vfio: add a singleton check for vfio_group_pin_pages
  (bsc#1181212).
- commit 8c44ec4
* Thu Jan 21 2021 msuchanek@suse.de
- Update patches.suse/selftests-ftrace-Select-an-existing-function-in-kpro.patch (bsc#1181203 ltc#190909).
- commit e5512d0
* Thu Jan 21 2021 tzimmermann@suse.de
- drm/sun4i: dw-hdmi: fix error return code in sun8i_dw_hdmi_bind() (bsc#1152472)
- commit d0d0905
* Thu Jan 21 2021 tzimmermann@suse.de
- drm: bridge: dw-hdmi: Avoid resetting force in the detect function (bsc#1152472)
- commit 9ad528c
* Thu Jan 21 2021 tzimmermann@suse.de
- drm/i915: Correctly set SFC capability for video engines (bsc#1152489)
  Backporting notes:
  * context changes
- commit d15d9b1
* Thu Jan 21 2021 neilb@suse.de
- SUNRPC: xprt_load_transport() needs to support the netid "rdma6"
  (git-fixes).
- commit d5fbee3
* Wed Jan 20 2021 tiwai@suse.de
- ALSA: usb-audio: Fix hw constraints dependencies (bsc#1181014).
- commit 58d7b94
* Wed Jan 20 2021 tiwai@suse.de
- dmabuf: fix use-after-free of dmabuf's file->f_inode
  (git-fixes).
- i2c: imx: Don't generate STOP condition if arbitration has
  been lost (git-fixes).
- i2c: imx: Check for I2SR_IAL after every byte (git-fixes).
- iwlwifi: pcie: set LTR to avoid completion timeout (git-fixes).
- ACPI: EC: PM: Drop ec_no_wakeup check from
  acpi_ec_dispatch_gpe() (git-fixes).
- i2c: imx: Fix reset of I2SR_IAL flag (git-fixes).
- gpio: amd-fch: correct logic of GPIO_LINE_DIRECTION (git-fixes).
- commit 555f1bf
* Wed Jan 20 2021 tiwai@suse.de
- blacklist.conf: Add amdgpu commits that are reverted
- commit 1fba96f
* Wed Jan 20 2021 tiwai@suse.de
- ASoC: AMD Renoir - add DMI entry for Lenovo ThinkPad X395
  (git-fixes).
- ASoC: amd: Replacing MSI with Legacy IRQ model (git-fixes).
- ASoC: AMD Renoir - add DMI entry for Lenovo ThinkPad E14 Gen 2
  (git-fixes).
- ASoC: meson: axg-tdmin: fix axg skew offset (git-fixes).
- ASoC: max98373: don't access volatile registers in bias level
  off (git-fixes).
- ASoC: rt711: mutex between calibration and power state changes
  (git-fixes).
- ASoC: Intel: haswell: Add missing pm_ops (git-fixes).
- ASoC: rsnd: don't call clk_disable_unprepare() if can't use
  (git-fixes).
- ASoC: SOF: Fix spelling mistake in Kconfig "ond" -> "and"
  (git-fixes).
- ASoC: codecs: fix spelling mistake in Kconfig "comunicate" ->
  "communicate" (git-fixes).
- commit 13c6b71
* Wed Jan 20 2021 tiwai@suse.de
- spi: cadence: cache reference clock rate during probe
  (git-fixes).
- r8152: Add Lenovo Powered USB-C Travel Hub (git-fixes).
- usb: typec: Fix copy paste error for NVIDIA alt-mode description
  (git-fixes).
- hwmon: (pwm-fan) Ensure that calculation doesn't discard big
  period values (git-fixes).
- ACPI: scan: add stub acpi_create_platform_device() for
  !CONFIG_ACPI (git-fixes).
- misdn: dsp: select CONFIG_BITREVERSE (git-fixes).
- commit 01db302
* Wed Jan 20 2021 nsaenzjulienne@suse.de
- Update configs: Enable i2c_mux_pinctrl (jsc#SLE-15318)
- supported.conf: Support i2c-mux-pinctrl
- commit 1488fe7
* Wed Jan 20 2021 msuchanek@suse.de
- selftests/ftrace: Select an existing function in
  kprobe_eventname test (bsc#1179396 ltc#185738).
- commit 3e9ea6f
* Wed Jan 20 2021 msuchanek@suse.de
- selftests/powerpc: spectre_v2 test must be built 64-bit
  (bsc#1181158 ltc#190851).
- commit 52f3d6b
* Wed Jan 20 2021 jgross@suse.com
- Update
  patches.suse/0001-xen-events-add-a-proper-barrier-to-2-level-uevent-un.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0002-xen-events-fix-race-in-evtchn_fifo_unmask.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0003-xen-events-add-a-new-late-EOI-evtchn-framework.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0004-xen-blkback-use-lateeoi-irq-binding.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0005-xen-netback-use-lateeoi-irq-binding.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0006-xen-scsiback-use-lateeoi-irq-binding.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0007-xen-pvcallsback-use-lateeoi-irq-binding.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0008-xen-pciback-use-lateeoi-irq-binding.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0009-xen-events-switch-user-event-channels-to-lateeoi-mod.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0010-xen-events-use-a-common-cpu-hotplug-hook-for-event-c.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0011-xen-events-defer-eoi-in-case-of-excessive-number-of-.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/0012-xen-events-block-rogue-events-for-some-time.patch
  (CVE-2020-27673 XSA-332 bsc#1177411).
- Update
  patches.suse/xen-events-avoid-removing-an-event-channel-while-han.patch
  (CVE-2020-27675 XSA-331 bsc#1177410).
- Added CVE numbers for above patches.
- commit 3b60580
* Wed Jan 20 2021 msuchanek@suse.de
- selftests/powerpc: Move set_dscr() into rfi_flush.c (bsc#1181158
  ltc#190851).
- selftests/powerpc: Move Hash MMU check to utilities (bsc#1181158
  ltc#190851).
- selftests/powerpc: Add a test of bad (out-of-range) accesses
  (bsc#1181158 ltc#190851).
- Refresh patches.suse/selftests-powerpc-Add-tlbie_test-in-.gitignore.patch.
- selftests/powerpc: Add a test of spectre_v2 mitigations
  (bsc#1181158 ltc#190851).
- Refresh patches.suse/selftests-powerpc-entry-flush-test.patch.
- selftests/powerpc: Ignore generated files (bsc#1181158
  ltc#190851).
- commit f53f10b
* Wed Jan 20 2021 msuchanek@suse.de
- selftests/powerpc: Only test lwm/stmw on big endian (bsc#1180412
  ltc#190579).
- commit 21bd682
* Wed Jan 20 2021 msuchanek@suse.de
- powerpc: Fix build error in paravirt.h (bsc#1181148 ltc#190702).
- commit 251d2f4
* Wed Jan 20 2021 msuchanek@suse.de
- Exclude Symbols.list again.
  Removing the exclude builds vanilla/linux-next builds.
  Fixes: 55877625c800 ("kernel-binary.spec.in: Package the obj_install_dir as explicit filelist.")
- commit a1728f2
* Wed Jan 20 2021 msuchanek@suse.de
- powerpc/paravirt: Use is_kvm_guest() in vcpu_is_preempted()
  (bsc#1181148 ltc#190702).
- powerpc: Reintroduce is_kvm_guest() as a fast-path check
  (bsc#1181148 ltc#190702).
- powerpc: Rename is_kvm_guest() to check_kvm_guest() (bsc#1181148
  ltc#190702).
- powerpc: Refactor is_kvm_guest() declaration to new header
  (bsc#1181148 ltc#190702).
- commit 17fe8f8
* Tue Jan 19 2021 msuchanek@suse.de
- floppy: reintroduce O_NDELAY fix (boo#1181018).
- commit ab10a7d
* Tue Jan 19 2021 denis.kirjanov@suse.com
- Refresh
  patches.suse/scsi-qedi-correct-max-length-of-chap-secret.
- commit ac83a80
* Tue Jan 19 2021 ykaukab@suse.de
- arm64: pgtable: Ensure dirty bit is preserved across
  pte_wrprotect() (bsc#1180130).
- arm64: pgtable: Fix pte_accessible() (bsc#1180130).
- commit 585bbd5
* Tue Jan 19 2021 tiwai@suse.de
- Revive usb-audio Keep Interface mixer (bsc#1181014).
- commit 80020db
* Tue Jan 19 2021 mbrugger@suse.com
- mtd: spi-nor: atmel: fix unlock_all() for AT25FS010/040
  (git-fixes).
- mtd: spi-nor: atmel: remove global protection flag (git-fixes).
- commit c76850f
* Tue Jan 19 2021 mkubecek@suse.cz
- netfilter: ctnetlink: add a range check for l3/l4 protonum
  (CVE-2020-25211 bsc#1176395).
- commit ebf5e43
* Tue Jan 19 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/NFS-nfs_delegation_find_inode_server-must-first-refe.patch
  patches.suse/NFS-nfs_igrab_and_active-must-first-reference-the-su.patch
  patches.suse/NFS-pNFS-Fix-a-leak-of-the-layout-plh_outstanding-co.patch
  patches.suse/NFS-pNFS-Fix-a-typo-in-ff_layout_resend_pnfs_read.patch
  patches.suse/NFS-switch-nfsiod-to-be-an-UNBOUND-workqueue.patch
  patches.suse/NFS4-Fix-use-after-free-in-trace_event_raw_event_nfs.patch
  patches.suse/NFSv4-Fix-the-alignment-of-page-data-in-the-getdevic.patch
  patches.suse/NFSv4.2-condition-READDIR-s-mask-for-security-label-.patch
  patches.suse/Revert-nfsd4-support-change_attr_type-attribute.patch
  patches.suse/SUNRPC-Clean-up-the-handling-of-page-padding-in-rpc_.patch
  patches.suse/SUNRPC-rpc_wake_up-should-wake-up-tasks-in-the-corre.patch
  patches.suse/lockd-don-t-use-interval-based-rebinding-over-TCP.patch
  patches.suse/md-fix-a-warning-caused-by-a-race-between-concurrent.patch
  patches.suse/net-sunrpc-Fix-snprintf-return-value-check-in-do_xpr.patch
  patches.suse/net-sunrpc-interpret-the-return-value-of-kstrtou32-c.patch
  patches.suse/nfs_common-need-lock-during-iterate-through-the-list.patch
  patches.suse/nfsd-Fix-message-level-for-normal-termination.patch
  patches.suse/sunrpc-fix-xs_read_xdr_buf-for-partial-pages-receive.patch
- commit f5dfabc
* Tue Jan 19 2021 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/kprobes-tracing-kprobes-Fix-to-kill-kprobes-on-initmem-after-boot.patch
  patches.suse/mm-vmalloc-Fix-unlock-order-in-s_stop.patch
- commit 8ea9f59
* Tue Jan 19 2021 mhocko@suse.com
- tests: add close_range() tests (jsc#SLE-17337, bsc#1179090).
- arch: wire-up close_range() (jsc#SLE-17337, bsc#1179090).
- open: add close_range() (jsc#SLE-17337, bsc#1179090).
- commit abad1c5
* Tue Jan 19 2021 jslaby@suse.cz
- Refresh
  patches.suse/0011-x86-hpet-Move-MSI-support-into-hpet.c.patch.
- Update
  patches.suse/msft-hv-2119-irqdomain-treewide-Keep-firmware-node-unconditionall.patch
  (git-fixes bsc#1180889).
  Add missing hunks in the e3beca48a45b's backport.
- commit 060c4e5
* Tue Jan 19 2021 tbogendoerfer@suse.de
- Update
  patches.suse/tun-correct-header-offsets-in-napi-frags-mode.patch
  (git-fixes bsc#1180812 CVE-2021-0342).
  Added CVE reference
- commit 0059c1d
* Tue Jan 19 2021 neilb@suse.de
- NFS: nfs_igrab_and_active must first reference the superblock
  (for-next).
- NFS: nfs_delegation_find_inode_server must first reference
  the superblock (for-next).
- NFS/pNFS: Fix a leak of the layout 'plh_outstanding' counter
  (for-next).
- net: sunrpc: interpret the return value of kstrtou32 correctly
  (for-next).
- NFS4: Fix use-after-free in trace_event_raw_event_nfs4_set_lock
  (for-next).
- NFS/pNFS: Fix a typo in ff_layout_resend_pnfs_read() (for-next).
- sunrpc: fix xs_read_xdr_buf for partial pages receive
  (for-next).
- NFS: switch nfsiod to be an UNBOUND workqueue (for-next).
- lockd: don't use interval-based rebinding over TCP (for-next).
- net: sunrpc: Fix 'snprintf' return value check in
  'do_xprt_debugfs' (for-next).
- SUNRPC: Clean up the handling of page padding in
  rpc_prepare_reply_pages() (for-next).
- NFSv4: Fix the alignment of page data in the getdeviceinfo reply
  (for-next).
- NFSv4.2: condition READDIR's mask for security label based on
  LSM state (for-next).
- SUNRPC: rpc_wake_up() should wake up tasks in the correct order
  (for-next).
- md: fix a warning caused by a race between concurrent
  md_ioctl()s (for-next).
- Revert "nfsd4: support change_attr_type attribute" (for-next).
- nfs_common: need lock during iterate through the list
  (for-next).
- nfsd: Fix message level for normal termination (for-next).
- commit 685e8f2
* Mon Jan 18 2021 bp@suse.de
- x86/cpu/amd: Call init_amd_zn() om Family 19h processors too
  (bsc#1181077).
- commit a71f120
* Mon Jan 18 2021 mgorman@suse.de
- blacklist.conf: No in-tree users of the table
- commit 9c6c6be
* Mon Jan 18 2021 mgorman@suse.de
- kprobes: tracing/kprobes: Fix to kill kprobes on initmem after
  boot (git fixes (kernel/kprobe)).
- commit 47f3848
* Mon Jan 18 2021 mgorman@suse.de
- blacklist.conf: UP not enabled in kernel config
- commit c97848a
* Mon Jan 18 2021 mgorman@suse.de
- mm/vmalloc: Fix unlock order in s_stop() (git fixes
  (mm/vmalloc)).
- commit 70dafb3
* Mon Jan 18 2021 mgorman@suse.de
- blacklist.conf: nilfs2 not enabled in kernel config
- commit 409ae2f
* Mon Jan 18 2021 msuchanek@suse.de
- scsi: ibmvfc: Fix spelling mistake "succeded" -> "succeeded"
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- commit a426064
* Mon Jan 18 2021 msuchanek@suse.de
- blk-mq-debugfs: Add decode for BLK_MQ_F_TAG_HCTX_SHARED
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- blk-mq: Facilitate a shared sbitmap per tagset (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- blk-mq: Use pointers for blk_mq_tags bitmap tags (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- blk-mq: Pass flags for tag init/free (jsc#SLE-15442 bsc#1180814
  ltc#187461).
- blk-mq: Free tags in blk_mq_init_tags() upon error
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- commit c2ebad8
* Mon Jan 18 2021 ptesarik@suse.cz
- s390/qeth: fix L2 header access in qeth_l3_osa_features_check()
  (git-fixes).
- s390/qeth: fix locking for discipline setup / removal
  (git-fixes).
- s390/qeth: fix deadlock during recovery (git-fixes).
- s390/dasd: fix list corruption of lcu list (git-fixes).
- s390/dasd: fix list corruption of pavgroup group list
  (git-fixes).
- s390/dasd: prevent inconsistent LCU device data (git-fixes).
- s390/smp: perform initial CPU reset also for SMT siblings
  (git-fixes).
- s390/kexec_file: fix diag308 subcode when loading crash kernel
  (git-fixes).
- s390/qeth: consolidate online/offline code (git-fixes).
- s390/qeth: don't raise NETDEV_REBOOT event from L3 offline path
  (git-fixes).
- commit 22371f9
* Mon Jan 18 2021 mhocko@suse.com
- Update config files (jsc#SLE-17227)
  Enable CMA and DMA_CMA backend. Also enable SPI_BITBANG as requested.
- commit ebe7020
* Mon Jan 18 2021 bp@suse.de
- blacklist.conf: 78762b0e79bc x86/asm/32: Add ENDs to some functions and relabel with SYM_CODE_*
- commit 2b5cd2a
* Mon Jan 18 2021 tiwai@suse.de
- ALSA: usb-audio: Avoid implicit feedback on Pioneer devices
  (bsc#1181014).
- ALSA: usb-audio: Set sample rate for all sharing EPs on UAC1
  (bsc#1181014).
- ALSA: usb-audio: Fix UAC1 rate setup for secondary endpoints
  (bsc#1181014).
- ALSA: usb-audio: Always apply the hw constraints for implicit
  fb sync (bsc#1181014).
- commit b78b9c6
* Mon Jan 18 2021 jlee@suse.com
- Do not backport  30ad8db3a patch because HPE needs uv_bios_call()
  (bsc#1180598)
  Do not backport 30ad8db3a2c2e0121202342c6c2a48fc28937056 x86/platform/uv: Mark
  uv_bios_call() and uv_bios_call_irqsave() because HPE needs
  uv_bios_call() in SLE15-SP3
- blacklist.conf:
- Delete
  patches.suse/x86-platform-uv-Mark-uv_bios_call-and-uv_bios_call_i.patch.
- commit cb1e448
* Sat Jan 16 2021 msuchanek@suse.de
- scsi: scsi_debug: Support host tagset (jsc#SLE-15442 bsc#1180814
  ltc#187461).
- scsi: core: Show nr_hw_queues in sysfs (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: Add host and host template flag 'host_tagset'
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
  Refresh patches.suse/scsi-add-disable_async_probing-module-argument.patch
- scsi: scsi_debug: Support hostwide tags (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: core: Refactor scsi_mq_setup_tags function (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: scsi_debug: Re-arrange parameters alphabetically
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- commit 0e8c445
* Fri Jan 15 2021 msuchanek@suse.de
- scsi: ibmvfc: Provide modules parameters for MQ settings
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Enable MQ and set reasonable defaults
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Purge SCSI channels after transport loss/reset
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Send Cancel MAD down each hw SCSI channel
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add cancel mad initialization helper
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Register Sub-CRQ handles with VIOS during channel
  setup (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Send commands down HW Sub-CRQ when channelized
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Set and track hw queue in ibmvfc_event struct
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Advertise client support for using hardware
  channels (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Implement channel enquiry and setup commands
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Map/request irq and register Sub-CRQ interrupt
  handler (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Define Sub-CRQ interrupt handler routine
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add handlers to drain and complete Sub-CRQ
  responses (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add Sub-CRQ IRQ enable/disable routine
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add alloc/dealloc routines for SCSI Sub-CRQ
  Channels (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add Subordinate CRQ definitions (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: ibmvfc: Define hcall wrapper for registering a Sub-CRQ
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add size parameter to ibmvfc_init_event_pool()
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Init/free event pool during queue allocation/free
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Move event pool init/free routines (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add vhost fields and defaults for MQ enablement
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Relax locking around ibmvfc_queuecommand()
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Complete commands outside the host/queue lock
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Define per-queue state/list locks (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: ibmvfc: Make command event pool queue specific
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Define generic queue structure for CRQs
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Advertise client support for targetWWPN using
  v2 commands (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add support for target_wwpn field in v2 MADs
  and vfcFrame (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add FC payload retrieval routines for versioned
  vfcFrames (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add helper for testing capability flags
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Add new fields for version 2 of several MADs
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Deduplicate common ibmvfc_cmd init code
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Use correlation token to tag commands
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Remove trailing semicolon (jsc#SLE-15442
  bsc#1180814 ltc#187461).
- scsi: ibmvfc: Byte swap login_buf.resp values in attribute
  show functions (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Protect vhost->task_set increment by the host lock
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- scsi: ibmvfc: Interface updates for future FPIN and MQ support
  (jsc#SLE-15442 bsc#1180814 ltc#187461).
- commit fe5294b
* Fri Jan 15 2021 mkubecek@suse.cz
- Revert dwc3 series.
  As of now, this recently merged series fails to build without the kabi
  workaround which would break SLE15-SP3 merge. Drop the patches until the
  build failure is fixed.
- commit a8aaab2
* Fri Jan 15 2021 mbrugger@suse.com
- drivers/perf: Fix kernel panic when rmmod PMU modules during
  perf sampling (bsc#1180848).
- commit 8584e95
* Fri Jan 15 2021 tiwai@suse.de
- Drop incorrectly re-backported radeon patch again (bsc#1180971)
  Also add cherry-picked commit ids in the two relevant patches
- commit bb3221b
* Fri Jan 15 2021 lhenriques@suse.de
- blacklist.conf: 66ab33bf6d43 ("virtiofs fix leak in setup")
  Requires a massive commit, which is quite intrusive in fuse and not worth it.
- commit 2076b1f
* Fri Jan 15 2021 lhenriques@suse.de
- fuse: fix page dereference after free (jsc#SLE-13782).
- virtio_fs: convert to LE accessors (jsc#SLE-13782).
- commit 5376406
* Fri Jan 15 2021 aabdallah@suse.de
- KVM: SVM: Initialize prev_ga_tag before use (bsc#1180809).
- commit 953316b
* Fri Jan 15 2021 lhenriques@suse.de
- blacklist.conf: 0e9fb6f17ad5 ("fuse: BUG_ON correction in fuse_dev_splice_write()")
  Requires intrusive changes in pipe, splice, etc.
- commit eac6f26
* Fri Jan 15 2021 lhenriques@suse.de
- fuse: reject options on reconfigure via fsconfig(2)
  (jsc#SLE-13782).
- fuse: ignore 'data' argument of mount(..., MS_REMOUNT)
  (jsc#SLE-13782).
- fuse: use ->reconfigure() instead of ->remount_fs()
  (jsc#SLE-13782).
- virtiofs: do not use fuse_fill_super_common() for device
  installation (jsc#SLE-13782).
- fuse: invalidate inode attr in writeback cache mode
  (jsc#SLE-13782).
- fuse: Update stale comment in queue_interrupt() (jsc#SLE-13782).
- virtiofs: Add mount option and atime behavior to the doc
  (jsc#SLE-13782).
- virtiofs: schedule blocking async replies in separate worker
  (jsc#SLE-13782).
- commit ac0b54e
* Fri Jan 15 2021 lhenriques@suse.de
- fuse: fix stack use after return (jsc#SLE-13782).
- fuse: Support RENAME_WHITEOUT flag (jsc#SLE-13782).
- fuse: don't overflow LLONG_MAX with end offset (jsc#SLE-13782).
- commit 3a3db69
* Fri Jan 15 2021 lhenriques@suse.de
- fuse: fix fuse_send_readpages() in the syncronous read case
  (jsc#SLE-13782).
- fuse: fix leak of fuse_io_priv (jsc#SLE-13782).
- virtiofs: Use completions while waiting for queue to be drained
  (jsc#SLE-13782).
- virtiofs: Do not send forget request "struct list_head" element
  (jsc#SLE-13782).
- virtiofs: Use a common function to send forget (jsc#SLE-13782).
- fuse: verify write return (jsc#SLE-13782).
- commit a5ee2f4
* Thu Jan 14 2021 bp@suse.de
- blacklist.conf: 035fff1f7aab x86/PCI: Fix intel_mid_pci.c build error when ACPI is not enabled
- commit e52f15d
* Thu Jan 14 2021 bp@suse.de
- x86/kprobes: Restore BTF if the single-stepping is cancelled
  (bsc#1152489).
- commit f89b6b0
* Thu Jan 14 2021 tiwai@suse.de
- hwmon: (amd_energy) fix allocation of hwmon_channel_info config
  (git-fixes).
- dmaengine: idxd: off by one in cleanup code (git-fixes).
- commit 22fcbaa
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: redundant get_fuse_inode() calls in fuse_writepages_fill()
  (jsc#SLE-13782).
- fuse: Add changelog entries for protocols 7.1 - 7.8
  (jsc#SLE-13782).
- virtiofs: Remove set but not used variable 'fc' (jsc#SLE-13782).
- virtiofs: Retry request submission from worker context
  (jsc#SLE-13782).
- virtiofs: Count pending forgets as in_flight forgets
  (jsc#SLE-13782).
- virtiofs: Set FR_SENT flag only after request has been sent
  (jsc#SLE-13782).
- virtiofs: No need to check fpq->connected state (jsc#SLE-13782).
- virtiofs: Do not end request in submission context
  (jsc#SLE-13782).
- fuse: don't advise readdirplus for negative lookup
  (jsc#SLE-13782).
- fuse: don't dereference req->args on finished request
  (jsc#SLE-13782).
- virtio-fs: don't show mount options (jsc#SLE-13782).
- commit ce0c590
* Thu Jan 14 2021 lhenriques@suse.de
- virtio-fs: Change module name to virtiofs.ko (jsc#SLE-13782).
- fuse: Make fuse_args_to_req static (jsc#SLE-13782).
- fuse: unexport fuse_put_request (jsc#SLE-13782).
- fuse: kmemcg account fs data (jsc#SLE-13782).
- fuse: on 64-bit store time in d_fsdata directly (jsc#SLE-13782).
- commit 5c78fc0
* Thu Jan 14 2021 lhenriques@suse.de
- virtio-fs: add virtiofs filesystem (jsc#SLE-13782).
- Refresh
  patches.suse/mac80211_hwsim-add-frame-transmission-support-over-v.patch.
- Update config files:
  CONFIG_VIRTIO_FS=m
- supported.conf: add virtiofs
- commit f56518a
* Thu Jan 14 2021 lhenriques@suse.de
- virtio-fs: add Documentation/filesystems/virtiofs.rst
  (jsc#SLE-13782).
- fuse: reserve values for mapping protocol (jsc#SLE-13782).
- fuse: reserve byteswapped init opcodes (jsc#SLE-13782).
- fuse: allow skipping control interface and forced unmount
  (jsc#SLE-13782).
- fuse: dissociate DESTROY from fuseblk (jsc#SLE-13782).
- fuse: delete dentry if timeout is zero (jsc#SLE-13782).
- fuse: separate fuse device allocation and installation in
  fuse_conn (jsc#SLE-13782).
- fuse: add fuse_iqueue_ops callbacks (jsc#SLE-13782).
- fuse: extract fuse_fill_super_common() (jsc#SLE-13782).
- fuse: export fuse_dequeue_forget() function (jsc#SLE-13782).
- commit ca085b1
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: export fuse_get_unique() (jsc#SLE-13782).
- fuse: export fuse_send_init_request() (jsc#SLE-13782).
- fuse: export fuse_len_args() (jsc#SLE-13782).
- fuse: export fuse_end_request() (jsc#SLE-13782).
- fuse: stop copying pages to fuse_req (jsc#SLE-13782).
- fuse: stop copying args to fuse_req (jsc#SLE-13782).
- fuse: clean up fuse_req (jsc#SLE-13782).
- commit 0d1d5ea
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: simplify request allocation (jsc#SLE-13782).
- Refresh
  patches.suse/fuse-fix-parameter-for-fs_ioc_-get-set-flags.patch.
- commit 7f8dfa3
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: unexport request ops (jsc#SLE-13782).
- fuse: convert retrieve to simple api (jsc#SLE-13782).
- fuse: convert release to simple api (jsc#SLE-13782).
- cuse: convert init to simple api (jsc#SLE-13782).
- fuse: convert init to simple api (jsc#SLE-13782).
- commit 652a991
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: convert writepages to simple api (jsc#SLE-13782).
- Refresh
  patches.suse/fuse-don-t-ignore-errors-from-fuse_writepages_fill.patch.
- commit d1549f6
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: convert readdir to simple api (jsc#SLE-13782).
- fuse: convert readpages to simple api (jsc#SLE-13782).
- commit f65ef7d
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: convert direct_io to simple api (jsc#SLE-13782).
- Refresh
  patches.suse/fix-up-iter-on-short-count-in-fuse_direct_io.patch.
- commit bfbe398
* Thu Jan 14 2021 tbogendoerfer@suse.de
- Update
  patches.suse/netfilter-add-and-use-nf_hook_slow_list.patch
  (bsc#1176447 bsc#1180765 CVE-2021-20177).
  Added CVE number.
- commit 8e9abe5
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: add simple background helper (jsc#SLE-13782).
- fuse: convert sync write to simple api (jsc#SLE-13782).
- fuse: covert readpage to simple api (jsc#SLE-13782).
- fuse: fuse_short_read(): don't take fuse_req as argument
  (jsc#SLE-13782).
- fuse: convert ioctl to simple api (jsc#SLE-13782).
- commit 960efa9
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: move page alloc (jsc#SLE-13782).
- Refresh
  patches.suse/fuse-fix-parameter-for-fs_ioc_-get-set-flags.patch.
- commit ae6a2de
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: convert readlink to simple api (jsc#SLE-13782).
- fuse: add pages to fuse_args (jsc#SLE-13782).
- fuse: convert destroy to simple api (jsc#SLE-13782).
- fuse: add nocreds to fuse_args (jsc#SLE-13782).
- fuse: convert fuse_force_forget() to simple api (jsc#SLE-13782).
- fuse: add noreply to fuse_args (jsc#SLE-13782).
- fuse: convert flush to simple api (jsc#SLE-13782).
- fuse: simplify 'nofail' request (jsc#SLE-13782).
- fuse: rearrange and resize fuse_args fields (jsc#SLE-13782).
- commit 99f9f98
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: flatten 'struct fuse_args' (jsc#SLE-13782).
- Refresh patches.suse/fuse-verify-attributes.patch.
- commit ace7210
* Thu Jan 14 2021 lhenriques@suse.de
- vfs: subtype handling moved to fuse (jsc#SLE-13782).
- fuse: convert to use the new mount API (jsc#SLE-13782).
- cuse: fix broken release (jsc#SLE-13782).
- commit b7625ea
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: cleanup fuse_wait_on_page_writeback (jsc#SLE-13782).
- commit 6d24ff2
* Thu Jan 14 2021 lhenriques@suse.de
- fuse: require /dev/fuse reads to have enough buffer capacity
  (take 2) (jsc#SLE-13782).
- Refresh
  patches.suse/fuse-fix-deadlock-with-aio-poll-and-fuse_iqueue-wait.patch.
- commit acb8ea8
* Thu Jan 14 2021 oneukum@suse.com
- kABI fixup for dwc3 introduction of DWC_usb32 (git-fixes).
- commit 03d1108
* Thu Jan 14 2021 tiwai@suse.de
- ALSA: doc: Fix reference to mixart.rst (git-fixes).
- commit b4c3583
* Thu Jan 14 2021 tiwai@suse.de
- ASoC: meson: axg-tdm-interface: fix loopback (git-fixes).
- ASoC: dapm: remove widget from dirty list on free (git-fixes).
- ASoC: Intel: fix error code cnl_set_dsp_D0() (git-fixes).
- commit 04a1c91
* Thu Jan 14 2021 tiwai@suse.de
- ALSA: hda/hdmi - enable runtime pm for CI AMD display audio
  (git-fixes).
- ALSA: firewire-tascam: Fix integer overflow in midi_port_work()
  (git-fixes).
- ALSA: fireface: Fix integer overflow in transmit_midi_msg()
  (git-fixes).
- ALSA: hda/tegra: fix tegra-hda on tegra30 soc (git-fixes).
- clk: tegra30: Add hda clock default rates to clock driver
  (git-fixes).
- ALSA: usb-audio: Fix implicit feedback sync setup for Pioneer
  devices (git-fixes).
- ALSA: usb-audio: Annotate the endpoint index in audioformat
  (git-fixes).
- ALSA: usb-audio: Avoid unnecessary interface re-setup
  (git-fixes).
- ALSA: usb-audio: Choose audioformat of a counter-part substream
  (git-fixes).
- ALSA: usb-audio: Fix the missing endpoints creations for quirks
  (git-fixes).
- ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for
  HP machines (git-fixes).
- commit db30ae4
* Thu Jan 14 2021 bp@suse.de
- x86/apic: Fix x2apic enablement without interrupt remapping
  (bsc#1152489).
- commit a8a5227
* Wed Jan 13 2021 tbogendoerfer@suse.de
- netfilter: add and use nf_hook_slow_list() (bsc#1180765
  CVE-2021-20177).
- commit 465dae1
* Wed Jan 13 2021 bp@suse.de
- Refresh patches.suse/edac-amd64-add-amd-family-17h-model-60h-pci-ids.patch.
  Complete the backport now that
  5e4c55276ae8 ("EDAC/amd64: Save max number of controllers to family type")
  has been backported too.
- commit f6cb75f
* Wed Jan 13 2021 oneukum@suse.com
- usb: dwc3: Add support for DWC_usb32 IP (git-fixes).
- commit f699093
* Wed Jan 13 2021 tiwai@suse.de
- Input: elantech - fix protocol errors for some trackpoints in
  SMBus mode (bsc#1180870).
- Input: elan_i2c - add new trackpoint report type 0x5F
  (bsc#1180870).
- Input: synaptics - demote non-conformant kernel-doc header
  (bsc#1180870).
- Input: elan_i2c_core - move header inclusion inside
  (bsc#1180870).
- Input: elantech - demote obvious abuse of kernel-doc header
  (bsc#1180870).
- Input: elan_i2c - fix firmware update on newer ICs
  (bsc#1180870).
- Input: synaptics - enable InterTouch for ThinkPad T14 Gen 1
  (bsc#1180870).
- commit d5ab100
* Wed Jan 13 2021 tiwai@suse.de
- Input: synaptics - enable InterTouch for ThinkPad P1/X1E gen 2
  (bsc#1180870).
- Input: synaptics-rmi4 - rename f30_data to gpio_data
  (bsc#1180870).
- Input: elan_i2c - add ic type 0x15 (bsc#1180870).
- Input: elan_i2c - add support for high resolution reports
  (bsc#1180870).
- Input: elan_i2c - do not constantly re-query pattern ID
  (bsc#1180870).
- Input: elan_i2c - add firmware update info for ICs 0x11, 0x13,
  0x14 (bsc#1180870).
- Input: elan_i2c - handle firmware updated on newer ICs
  (bsc#1180870).
- Input: elan_i2c - add support for different firmware page sizes
  (bsc#1180870).
- Input: elan_i2c - fix detecting IAP version on older controllers
  (bsc#1180870).
- Input: elan_i2c - handle devices with patterns above 1
  (bsc#1180870).
- commit 8cfe63d
* Wed Jan 13 2021 tiwai@suse.de
- Input: elan_i2c - make fetching IC type of older controllers
  more robust (bsc#1180870).
- Input: elan_i2c - handle firmware not implementing "get pattern"
  command (bsc#1180870).
- Input: elantech - remove redundant assignments to variable error
  (bsc#1180870).
- Input: introduce input_mt_report_slot_inactive() (bsc#1180870).
- Input: psmouse - drop all unneeded functions from mouse headers
  (bsc#1180870).
- Input: synaptics - fix a typo (bsc#1180870).
- Input: elan_i2c - switch to using devm_add_action_or_reset()
  (bsc#1180870).
- Input: elan_i2c - switch to using devm_device_add_groups()
  (bsc#1180870).
- commit 6509eab
* Wed Jan 13 2021 nsaenzjulienne@suse.de
- nvmem: Add driver to expose reserved memory as nvmem (jsc#SLE-SLE-16616).
- Update config files: Enable nvmem-rmem as module on arm64 & armv7+lpae, disable it otherwise
- supported.conf: Add nvmem-rmem
  This is needed early to get boot-loader configuration working on RPi4;
  an essential feature.
- commit 212522b
* Wed Jan 13 2021 oneukum@suse.com
- usb: dwc3: Update soft-reset wait polling rate (git-fixes).
- commit 227b9e8
* Wed Jan 13 2021 mbrugger@suse.com
- drivers/perf: hisi: Permit modular builds of HiSilicon uncore drivers (bsc#1180848). - Update config files. - supported.conf:
- commit 3ceea3c
* Wed Jan 13 2021 martin.wilck@suse.com
- scsi: scsi_transport_srp: Don't block target in failfast state
  (bsc#1172355).
- commit 4d51a17
* Wed Jan 13 2021 jgross@suse.com
- xen: support having only one event pending per watch
  (bsc#1179508 XSA-349 CVE-2020-29568).
- commit b454020
* Wed Jan 13 2021 jgross@suse.com
- xen: revert Allow watches discard events before queueing
  (bsc#1179508 XSA-349 CVE-2020-29568).
- commit 7a45cd4
* Wed Jan 13 2021 jgross@suse.com
- xen: revert Add 'will_handle' callback support in
  xenbus_watch_path() (bsc#1179508 XSA-349 CVE-2020-29568).
- commit b9e03df
* Wed Jan 13 2021 jgross@suse.com
- xen: revert Support will_handle watch callback (bsc#1179508
  XSA-349 CVE-2020-29568).
- commit 3082598
* Wed Jan 13 2021 jgross@suse.com
- xen: revert Count pending messages for each watch (bsc#1179508
  XSA-349 CVE-2020-29568).
- commit 9d4ca48
* Wed Jan 13 2021 tiwai@suse.de
- video: fbdev: atmel_lcdfb: fix return error code in
  atmel_lcdfb_of_init() (git-fixes).
- video: fbdev: vga16fb: fix setting of pixclock because a
  pass-by-value error (git-fixes).
- video: fbdev: pvr2fb: initialize variables (git-fixes).
- video: fbdev: fix OOB read in vga_8planes_imageblit()
  (git-fixes).
- commit 7cdcf45
* Wed Jan 13 2021 jgross@suse.com
- xen: revert Disallow pending watch messages (bsc#1179508
  XSA-349 CVE-2020-29568).
- commit a948c9f
* Wed Jan 13 2021 tiwai@suse.de
- ntb: idt: fix error check in ntb_hw_idt.c (jsc#SLE-13360).
- commit 93a77b3
* Wed Jan 13 2021 tiwai@suse.de
- usb: gadget: enable super speed plus (git-fixes).
- USB: serial: option: add LongSung M5710 module support
  (git-fixes).
- USB: serial: option: add Quectel EM160R-GL (git-fixes).
- usb: uas: Add PNY USB Portable SSD to unusual_uas (git-fixes).
- usb: gadget: configfs: Fix use-after-free issue with udc_name
  (git-fixes).
- USB: usblp: fix DMA to stack (git-fixes).
- usb: gadget: Fix spinlock lockup on usb_function_deactivate
  (git-fixes).
- usb: gadget: function: printer: Fix a memory leak for interface
  descriptor (git-fixes).
- USB: cdc-wdm: Fix use after free in
  service_outstanding_interrupt() (git-fixes).
- USB: cdc-acm: blacklist another IR Droid device (git-fixes).
- crypto: asym_tpm: correct zero out potential secrets
  (git-fixes).
- net: usb: qmi_wwan: add Quectel EM160R-GL (git-fixes).
- CDC-NCM: remove "connected" log message (git-fixes).
- ethernet: ucc_geth: fix use-after-free in ucc_geth_remove()
  (git-fixes).
- lib/genalloc: fix the overflow when size is too big (git-fixes).
- Bluetooth: revert: hci_h5: close serdev device and free hu in
  h5_close (git-fixes).
- commit 052b915
* Wed Jan 13 2021 tiwai@suse.de
- drm/panfrost: Move the GPU reset bits outside the timeout
  handler (git-fixes).
- drm/panfrost: don't use pfdevfreq.busy_count to know if hw is
  idle (git-fixes).
- commit 173f5a4
* Wed Jan 13 2021 tiwai@suse.de
- drm/panfrost: Remove unused variables in panfrost_job_close()
  (git-fixes).
- commit 11a7e60
* Wed Jan 13 2021 tiwai@suse.de
- drm/panfrost: Don't corrupt the queue mutex on open/close
  (git-fixes).
- commit a5f75e8
* Wed Jan 13 2021 tiwai@suse.de
- drm/i915/dp: Track pm_qos per connector (git-fixes).
- drm/i915: clear the shadow batch (git-fixes).
- drm/i915: Fix mismatch between misplaced vma check and vma
  insert (git-fixes).
- drm/amd/display: updated wm table for Renoir (git-fixes).
- drm/meson: dw-hdmi: Enable the iahb clock early enough
  (git-fixes).
- commit 11d51e1
* Wed Jan 13 2021 tiwai@suse.de
- drm/meson: dw-hdmi: Disable clocks on driver teardown
  (git-fixes).
- drm/edid: fix objtool warning in drm_cvt_modes() (git-fixes).
- drm/amdkfd: Fix leak in dmabuf import (git-fixes).
- drm/amd/display: Prevent bandwidth overflow (git-fixes).
- drm/amdgpu: fix compute queue priority if num_kcq is less than 4
  (git-fixes).
- drm/msm/dsi_phy_10nm: implement PHY disabling (git-fixes).
- drm/msm/dsi_pll_10nm: restore VCO rate during restore_state
  (git-fixes).
- drm/msm/dpu: Add newline to printks (git-fixes).
- drm/mediatek: Use correct aliases name for ovl (git-fixes).
- drm/meson: dw-hdmi: Ensure that clocks are enabled before
  touching the TOP registers (git-fixes).
- commit d189b05
* Wed Jan 13 2021 tiwai@suse.de
- drm/meson: dw-hdmi: Register a callback to disable the regulator
  (git-fixes).
- drm/meson: Unbind all connectors on module removal (git-fixes).
- drm/meson: Free RDMA resources after tearing down DRM
  (git-fixes).
- drm/omap: dmm_tiler: fix return error code in omap_dmm_probe()
  (git-fixes).
- drm/udl: Fix missing error code in udl_handle_damage()
  (git-fixes).
- drm/i915: Avoid mixing integer types during batch copies
  (git-fixes).
- drm/amdgpu: fix build_coefficients() argument (git-fixes).
- drm/amdgpu: fix incorrect enum type (git-fixes).
- drm/amd/display: remove useless if/else (git-fixes).
- commit 714ea88
* Wed Jan 13 2021 tiwai@suse.de
- drm/i915/tgl: Fix Combo PHY DPLL fractional divider for 38.4MHz
  ref clock (git-fixes).
- drm/panel: simple: Add flags to boe_nv133fhm_n61 (git-fixes).
- drm/edid: Fix uninitialized variable in drm_cvt_modes()
  (git-fixes).
- drm/bridge: tpd12s015: Fix irq registering in tpd12s015_probe
  (git-fixes).
- drm/tve200: Fix handling of platform_get_irq() error
  (git-fixes).
- drm/mcde: Fix handling of platform_get_irq() error (git-fixes).
- drm/dp_aux_dev: check aux_dev before use in
  drm_dp_aux_dev_get_by_minor() (git-fixes).
- drm/aspeed: Fix Kconfig warning & subsequent build errors
  (git-fixes).
- drm/panfrost: Fix job timeout handling (git-fixes).
- commit 2743044
* Tue Jan 12 2021 lduncan@suse.com
- scsi: qedi: Correct max length of CHAP secret (bsc#1180221).
- commit 5b6934e
* Tue Jan 12 2021 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/sched-fair-Check-for-idle-core-in-wake_affine.patch
- commit b5830a4
* Tue Jan 12 2021 tiwai@suse.de
- drm/gma500: fix double free of gma_connector (git-fixes).
- drm/i915/gt: Declare gen9 has 64 mocs entries! (git-fixes).
- drm/i915/display/dp: Compute the correct slice count for VDSC
  on DP (git-fixes).
- drm/i915/gt: Cancel the preemption timeout on responding to it
  (git-fixes).
- drm/i915/gt: Ignore repeated attempts to suspend request flow
  across reset (git-fixes).
- drm/i915/gem: Propagate error from cancelled submit due to
  context closure (git-fixes).
- drm/amdgpu: fix sdma instance fw version and feature version
  init (git-fixes).
- drm/amdgpu/disply: set num_crtc earlier (git-fixes).
- drm/omap: sdi: fix bridge enable/disable (git-fixes).
- drm/panel: sony-acx565akm: Fix race condition in probe
  (git-fixes).
- commit cdc5bb1
* Tue Jan 12 2021 tiwai@suse.de
- drm/rockchip: Avoid uninitialized use of endpoint id in LVDS
  (git-fixes).
- drm/amdgpu/vcn3.0: remove old DPG workaround (git-fixes).
- drm/amdgpu/vcn3.0: stall DPG when WPTR/RPTR reset (git-fixes).
- drm/amd/display: Init clock value by current vbios CLKs
  (git-fixes).
- drm/i915/gt: Limit frequency drop to RPe on parking (git-fixes).
- drm/i915/gt: Retain default context state across shrinking
  (git-fixes).
- drm/i915/gt: Program mocs:63 for cache eviction on gen9
  (git-fixes).
- drm/tegra: sor: Disable clocks on error in tegra_sor_init()
  (git-fixes).
- drm/tegra: replace idr_init() by idr_init_base() (git-fixes).
- drm/nouveau: fix relocations applying logic and a double-free
  (git-fixes).
- commit 83684ef
* Tue Jan 12 2021 tiwai@suse.de
- drm/mediatek: dsi: Modify horizontal front/back porch byte
  formula (git-fixes).
- drm/exynos: depend on COMMON_CLK to fix compile tests
  (git-fixes).
- drm/i915/gt: Free stale request on destroying the virtual engine
  (git-fixes).
- drm/i915/perf: workaround register corruption in OATAILPTR
  (git-fixes).
- drm/amdgpu: update golden setting for sienna_cichlid
  (git-fixes).
- drm/amd/display: Avoid HDCP initialization in devices without
  output (git-fixes).
- drm/amdgpu: fix a page fault (git-fixes).
- drm/amdgpu: fix SI UVD firmware validate resume fail
  (git-fixes).
- drm/amd/amdgpu: fix null pointer in runtime pm (git-fixes).
- drm/i915/gt: Fixup tgl mocs for PTE tracking (git-fixes).
- commit 4d0b8ee
* Tue Jan 12 2021 bp@suse.de
- blacklist.conf: 4f8af077a02e docs: Fix reST markup when linking to sections
- commit 28e1ebf
* Tue Jan 12 2021 tiwai@suse.de
- drm/i915/gvt: return error when failing to take the module
  reference (git-fixes).
- drm/i915/gvt: Set ENHANCED_FRAME_CAP bit (git-fixes).
- drm/i915: Handle max_bpc==16 (git-fixes).
- drm/i915/selftests: Fix wrong return value of
  perf_request_latency() (git-fixes).
- drm/i915/selftests: Fix wrong return value of
  perf_series_engines() (git-fixes).
- drm/i915: Avoid memory leak with more than 16 workarounds on
  a list (git-fixes).
- drm/i915/tgl: Fix Media power gate sequence (git-fixes).
- drm/sun4i: dw-hdmi: fix error return code in
  sun8i_dw_hdmi_bind() (git-fixes).
- drm: bridge: dw-hdmi: Avoid resetting force in the detect
  function (git-fixes).
- drm/amd/display: Add missing pflip irq for dcn2.0 (git-fixes).
- commit c514745
* Tue Jan 12 2021 tiwai@suse.de
- drm/amd/display: Add missing pflip irq (git-fixes).
- drm/i915: Correctly set SFC capability for video engines
  (git-fixes).
- drm/gma500: Fix out-of-bounds access to struct
  drm_device.vblank[] (git-fixes).
- drm/panfrost: Fix module unload (git-fixes).
- drm/panfrost: Fix a deadlock between the shrinker and madvise
  path (git-fixes).
- drm/amdgpu: resolved ASD loading issue on sienna (git-fixes).
- drm/amdgpu: update golden setting for sienna_cichlid
  (git-fixes).
- drm/amdgpu: perform srbm soft reset always on SDMA resume
  (git-fixes).
- drm/i915: Fix encoder lookup during PSR atomic check
  (git-fixes).
- drm/i915/gt: Use the local HWSP offset during submission
  (git-fixes).
- commit f811a3d
* Tue Jan 12 2021 tiwai@suse.de
- drm/i915/gvt: Only pin/unpin intel_context along with workload
  (git-fixes).
- drm/imx: parallel-display: remove unused function enc_to_imxpd()
  (git-fixes).
- drm/i915: Reject 90/270 degree rotated initial fbs (git-fixes).
- drm/i915: Restore ILK-M RPS support (git-fixes).
- drm/i915/region: fix max size calculation (git-fixes).
- drm/nouveau/device: fix changing endianess code to work on
  older GPUs (git-fixes).
- drm/nouveau/gem: fix "refcount_t: underflow; use-after-free"
  (git-fixes).
- drm/nouveau/kms/nv50-: Program notifier offset before requesting
  disp caps (git-fixes).
- drm/nouveau/nouveau: fix the start/end range for migration
  (git-fixes).
- drm/shme-helpers: Fix dma_buf_mmap forwarding bug (git-fixes).
- commit f9a03a3
* Tue Jan 12 2021 tiwai@suse.de
- drm/v3d: Fix double free in v3d_submit_cl_ioctl() (git-fixes).
- drm/sun4i: frontend: Fix the scaler phase on A33 (git-fixes).
- drm/sun4i: frontend: Reuse the ch0 phase for RGB formats
  (git-fixes).
- drm/sun4i: frontend: Rework a bit the phase data (git-fixes).
- drm/amd/display: Don't invoke kgdb_breakpoint() unconditionally
  (git-fixes).
- drm/amd/display: Fix kernel panic by dal_gpio_open() error
  (git-fixes).
- drm/amd/display: adding ddc_gpio_vga_reg_list to ddc reg def'ns
  (git-fixes).
- drm/amdgpu: increase the reserved VM size to 2MB (git-fixes).
- drm/amd/display: Fixed panic during seamless boot (git-fixes).
- drm/amdgpu: don't map BO in reserved region (git-fixes).
- commit adc6b7e
* Tue Jan 12 2021 tiwai@suse.de
- drm/amdgpu: add DID for navi10 blockchain SKU (git-fixes).
- drm/amdgpu: disable DCN and VCN for navi10 blockchain SKU(v3)
  (git-fixes).
- drm/i915: Drop runtime-pm assert from vgpu io accessors
  (git-fixes).
- drm/i915: Force VT'd workarounds when running as a guest OS
  (git-fixes).
- drm/i915: Exclude low pages (128KiB) of stolen from use
  (git-fixes).
- drm/i915: Use the active reference on the vma while capturing
  (git-fixes).
- drm/i915/gt: Undo forced context restores after trivial
  preemptions (git-fixes).
- drm/i915/gt: Delay execlist processing for tgl (git-fixes).
- drm/i915: Mark ininitial fb obj as WT on eLLC machines to
  avoid rcu lockup during fbdev init (git-fixes).
- drm/i915/gt: Initialize reserved and unspecified MOCS indices
  (git-fixes).
- commit fdd5a7c
* Tue Jan 12 2021 tiwai@suse.de
- drm/i915/dp: Tweak initial dpcd backlight.enabled value
  (git-fixes).
- drm/amdgpu: correct the cu and rb info for sienna cichlid
  (git-fixes).
- drm/amdkfd: Use same SQ prefetch setting as amdgpu (git-fixes).
- drm/amd/psp: Fix sysfs: cannot create duplicate filename
  (git-fixes).
- drm/amd/display: Avoid MST manager resource leak (git-fixes).
- drm/amdgpu: update golden setting for sienna_cichlid
  (git-fixes).
- drm/amdgpu: correct the gpu reset handling for job != NULL case
  (git-fixes).
- drm/amdgpu: add rlc iram and dram firmware support (git-fixes).
- drm/amdgpu: add function to program pbb mode for sienna cichlid
  (git-fixes).
- drm/ttm: fix eviction valuable range check (git-fixes).
- commit 6b6cb10
* Tue Jan 12 2021 tiwai@suse.de
- drm/i915: Set all unused color plane offsets to ~0xfff again
  (git-fixes).
- drm/i915: Fix TGL DKL PHY DP vswing handling (git-fixes).
- drm/amdgpu: vcn and jpeg ring synchronization (git-fixes).
- drm/amdgpu: Fix invalid number of character '{' in
  amdgpu_acpi_init (git-fixes).
- drm/amd/display: HDMI remote sink need mode validation for Linux
  (git-fixes).
- drm/amd/display: Avoid set zero in the requested clk
  (git-fixes).
- drm/amd/display: Increase timeout for DP Disable (git-fixes).
- drm/amd/display: Fix incorrect backlight register offset for
  DCN (git-fixes).
- drm/i915/gem: Always test execution status on closing the
  context (git-fixes).
- drm/i915/gt: Always send a pulse down the engine after disabling
  heartbeat (git-fixes).
- commit 6c3296a
* Tue Jan 12 2021 tiwai@suse.de
- drm/i915: Cancel outstanding work after disabling heartbeats
  on an engine (git-fixes).
- drm/i915/gem: Serialise debugfs i915_gem_objects with ctx->mutex
  (git-fixes).
- drm/i915: Break up error capture compression loops with
  cond_resched() (git-fixes).
- drm/i915/gem: Prevent using pgprot_writecombine() if PAT is
  not supported (git-fixes).
- drm/i915: Fix state checker hw.active/hw.enable readout
  (git-fixes).
- drm/msm: Fix the a650 hw_apriv check (git-fixes).
- drm/msm/a6xx: fix a potential overflow issue (git-fixes).
- drm/msm/adreno: fix probe without iommu (git-fixes).
- drm/panfrost: add Amlogic GPU integration quirks (git-fixes).
- drm/panfrost: add amlogic reset quirk callback (git-fixes).
- commit dde6379
* Tue Jan 12 2021 tiwai@suse.de
- drm/panfrost: add support for vendor quirk (git-fixes).
- drm: fix double free for gbo in drm_gem_vram_init and
  drm_gem_vram_create (git-fixes).
- drm/xlnx: Use devm_drm_dev_alloc (git-fixes).
- drm/bridge/synopsys: dsi: add support for non-continuous HS
  clock (git-fixes).
- drm/amd/display: Delete duplicated argument to '&&' or '||'
  (git-fixes).
- drm/amdgpu: No sysfs, not an error condition (git-fixes).
- drm/amd/display: Check clock table return (git-fixes).
- drm: panfrost: fix common struct sg_table related issues
  (git-fixes).
- drm: lima: fix common struct sg_table related issues
  (git-fixes).
- commit 0a6baa2
* Tue Jan 12 2021 tiwai@suse.de
- drm: exynos: fix common struct sg_table related issues
  (git-fixes).
- drm/vkms: avoid warning in vkms_get_vblank_timestamp
  (git-fixes).
- drm/amdgpu: fix max_entries calculation v4 (git-fixes).
- drm/amd/display: fix potential integer overflow when shifting
  32 bit variable bl_pwm (git-fixes).
- drm/scheduler: Scheduler priority fixes (v2) (git-fixes).
- drm/amd/display: Screen corruption on dual displays (DP+USB-C)
  (git-fixes).
- drm/amd/display: Disconnect pipe separetely when disable pipe
  split (git-fixes).
- drm/amdgpu: restore ras flags when user resets eeprom(v2)
  (git-fixes).
- Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers"
  (git-fixes).
- drm/amdgpu: Remove redundant NULL check (git-fixes).
- commit cf5d051
* Tue Jan 12 2021 tiwai@suse.de
- drm/bridge_connector: Set default status connected for eDP
  connectors (git-fixes).
- drm/brige/megachips: Add checking if ge_b850v3_lvds_init()
  is working correctly (git-fixes).
- drm/malidp: Use struct drm_gem_object_funcs.get_sg_table
  internally (git-fixes).
- drm/hisilicon: Code refactoring for hibmc_drv_de (git-fixes).
- drm/vkms: add missing platform_device_unregister() in
  vkms_init() (git-fixes).
- drm/vgem: add missing platform_device_unregister() in
  vgem_init() (git-fixes).
- drm/panfrost: perfcnt: fix ref count leak in
  panfrost_perfcnt_enable_locked (git-fixes).
- drm/panfrost: move devfreq_init()/fini() in device (git-fixes).
- drm/panfrost: rename error labels in device_init (git-fixes).
- commit 86204b1
* Tue Jan 12 2021 tiwai@suse.de
- dma-buf/dma-resv: Respect num_fences when initializing the
  shared fence list (git-fixes).
- drm/mediatek: set dpi pin mode to gpio low to avoid leakage
  current (git-fixes).
- drm/i915: Stub out i915_gpu_coredump_put (git-fixes).
- commit 145aef1
* Tue Jan 12 2021 tiwai@suse.de
- Bluetooth: Fix attempting to set RPA timeout when unsupported
  (git-fixes).
- commit d1047e2
* Tue Jan 12 2021 oneukum@suse.com
- usb: dwc3: core: Properly default unspecified speed (git-fixes).
- commit 777b42e
* Mon Jan 11 2021 bp@suse.de
- x86/sev-es: Fix SEV-ES OUT/IN immediate opcode vc handling
  (bsc#1178134).
- commit 0b7cd9d
* Mon Jan 11 2021 bp@suse.de
- x86/resctrl: Don't move a task to the same resource group
  (bsc#1152489).
- commit 8a696c5
* Mon Jan 11 2021 bp@suse.de
- x86/resctrl: Use an IPI instead of task_work_add() to update
  PQR_ASSOC MSR (bsc#1152489).
- commit 309f3cb
* Mon Jan 11 2021 bp@suse.de
- x86/mtrr: Correct the range check before performing MTRR type
  lookups (bsc#1152489).
- commit 41cceca
* Mon Jan 11 2021 bp@suse.de
- x86/mm: Fix leak of pmd ptlock (bsc#1152489).
- commit cb571f0
* Mon Jan 11 2021 fdmanana@suse.com
- btrfs: fix missing delalloc new bit for new delalloc ranges
  (bsc#1180773).
- btrfs: make btrfs_dirty_pages take btrfs_inode (bsc#1180773).
- btrfs: make btrfs_set_extent_delalloc take btrfs_inode
  (bsc#1180773).
- commit fba9b10
* Mon Jan 11 2021 tbogendoerfer@suse.de
- IB/hfi1: Ensure correct mm is used at all times (bsc#1179878
  CVE-2020-27835).
- IB/hfi1: Remove module parameter for KDETH qpns (bsc#1179878).
- IB/hfi1: Remove kobj from hfi1_devdata (bsc#1179878).
- commit 79bac5c
* Mon Jan 11 2021 tiwai@suse.de
- regmap: debugfs: Fix a reversed if statement in
  regmap_debugfs_init() (git-fixes).
- commit 6e1e482
* Mon Jan 11 2021 tiwai@suse.de
- USB: serial: iuu_phoenix: fix DMA from stack (git-fixes).
- usb: gadget: configfs: Preserve function ordering after bind
  failure (git-fixes).
- usb: gadget: select CONFIG_CRC32 (git-fixes).
- usb: usbip: vhci_hcd: protect shift size (git-fixes).
- usb: gadget: f_uac2: reset wMaxPacketSize (git-fixes).
- usb: dwc3: ulpi: Use VStsDone to detect PHY regs access
  completion (git-fixes).
- USB: yurex: fix control-URB timeout handling (git-fixes).
- usb: chipidea: ci_hdrc_imx: add missing put_device() call in
  usbmisc_get_init_data() (git-fixes).
- usb: gadget: u_ether: Fix MTU size mismatch with RX packet size
  (git-fixes).
- USB: gadget: legacy: fix return error code in acm_ms_bind()
  (git-fixes).
- USB: xhci: fix U1/U2 handling for hardware with XHCI_INTEL_HOST
  quirk set (git-fixes).
- staging: mt7621-dma: Fix a resource leak in an error handling
  path (git-fixes).
- dmaengine: xilinx_dma: fix mixed_enum_type coverity warning
  (git-fixes).
- dmaengine: xilinx_dma: fix incompatible param warning in
  _child_probe() (git-fixes).
- dmaengine: xilinx_dma: check dma_async_device_register return
  value (git-fixes).
- dmaengine: dw-edma: Fix use after free in dw_edma_alloc_chunk()
  (git-fixes).
- dmaengine: mediatek: mtk-hsdma: Fix a resource leak in the
  error handling path of the probe function (git-fixes).
- i2c: i801: Fix the i2c-mux gpiod_lookup_table not being properly
  terminated (git-fixes).
- i2c: sprd: use a specific timeout to avoid system hang up issue
  (git-fixes).
- wan: ds26522: select CONFIG_BITREVERSE (git-fixes).
- wil6210: select CONFIG_CRC32 (git-fixes).
- crypto: ecdh - avoid buffer overflow in ecdh_set_secret()
  (git-fixes).
- spi: stm32: FIFO threshold level - fix align packet size
  (git-fixes).
- regmap: debugfs: Fix a memory leak when calling
  regmap_attach_dev (git-fixes).
- dmaengine: at_hdmac: add missing kfree() call in at_dma_xlate()
  (git-fixes).
- dmaengine: at_hdmac: add missing put_device() call in
  at_dma_xlate() (git-fixes).
- dmaengine: at_hdmac: Substitute kzalloc with kmalloc
  (git-fixes).
- commit da0ba2f
* Mon Jan 11 2021 mgorman@suse.de
- sched/fair: Check for idle core in wake_affine (git fixes
  (sched)).
- commit 2caffed
* Mon Jan 11 2021 nsaenzjulienne@suse.de
- arm64: mm: Fix ARCH_LOW_ADDRESS_LIMIT when !CONFIG_ZONE_DMA
  (git-fixes).
- commit 52bc22f
* Mon Jan 11 2021 nsaenzjulienne@suse.de
- blacklist.conf: 2c2b3ad2c4c8 ("spi: spi-fsl-dspi: Use max_native_cs
  instead of num_chipselect to set SPI_MCR")
  Depends on 7d93aecdb58d4 ("spi: Add generic support for unused native cs
  with cs-gpios") which at the moment is not worth back-porting as it'll
  break kABI.
- commit bafcdfd
* Mon Jan 11 2021 jgross@suse.com
- xen-blkback: set ring->xenblkd to NULL after kthread_stop()
  (bsc#1179509 XSA-350 CVE-2020-29569).
- commit 552ca06
* Mon Jan 11 2021 jgross@suse.com
- xenbus/xenbus_backend: Disallow pending watch messages
  (bsc#1179508 XSA-349 CVE-2020-29568).
- commit b293dfc
* Mon Jan 11 2021 jgross@suse.com
- xen/xenbus: Count pending messages for each watch (bsc#1179508
  XSA-349 CVE-2020-29568).
- commit d8a62d9
* Mon Jan 11 2021 jgross@suse.com
- xen/xenbus/xen_bus_type: Support will_handle watch callback
  (bsc#1179508 XSA-349 CVE-2020-29568).
- commit 8be4352
* Mon Jan 11 2021 jgross@suse.com
- xen/xenbus: Add 'will_handle' callback support in
  xenbus_watch_path() (bsc#1179508 XSA-349 CVE-2020-29568).
- commit 4383a8c
* Mon Jan 11 2021 jgross@suse.com
- xen/xenbus: Allow watches discard events before queueing
  (bsc#1179508 XSA-349 CVE-2020-29568).
- commit ec8d064
* Fri Jan  8 2021 tiwai@suse.de
- drm: bail out of nouveau_channel_new if channel init fails
  (CVE-2020-25639 bsc#1176846).
- commit 1ef70aa
* Fri Jan  8 2021 dwagner@suse.de
- nvme-multipath: fix bogus request queue reference put
  (bsc#1175389).
- commit ef51578
* Fri Jan  8 2021 glin@suse.com
- selftests/bpf: Move and extend ASSERT_xxx() testing macros
  (bsc#1177028).
- libbpf: Add __noinline macro to bpf_helpers.h (bsc#1177028).
- commit 630edda
* Fri Jan  8 2021 wqu@suse.com
- Move "btrfs: qgroup: don't try to wait flushing if we're already holding
  a transaction (bsc#1179575)." to sorted section
- commit 464edf7
* Thu Jan  7 2021 msuchanek@suse.de
- Refresh patches.suse/nvdimm-Avoid-race-between-probe-and-reading-device-a.patch.
  Refresh to v2 URL
- commit 82e37f2
* Thu Jan  7 2021 bp@suse.de
- blacklist.conf: 44623b2818f4 crypto: x86/crc32c - fix building with clang ias
- commit 4260c52
* Thu Jan  7 2021 bp@suse.de
- x86/mm/numa: Remove uninitialized_var() usage (bsc#1152489).
- commit ec737c3
* Thu Jan  7 2021 colyli@suse.de
- mm: fix phys_to_target_node() and memory_add_physaddr_to_nid()
  exports (jsc#SLE-14344).
- device-dax/kmem: fix resource release (jsc#SLE-14344).
- device-dax: add a range mapping allocation attribute
  (jsc#SLE-14344).
- dax/hmem: introduce dax_hmem.region_idle parameter
  (jsc#SLE-14344).
- device-dax: add an 'align' attribute (jsc#SLE-14344).
- device-dax: make align a per-device property (jsc#SLE-14344).
- device-dax: introduce 'mapping' devices (jsc#SLE-14344).
- device-dax: add dis-contiguous resource support (jsc#SLE-14344).
- mm/memremap_pages: support multiple ranges per invocation
  (jsc#SLE-14344).
- mm/memremap_pages: convert to 'struct range' (jsc#SLE-14368).
- device-dax: add resize support (jsc#SLE-14344).
- drivers/base: make device_find_child_by_name() compatible with
  sysfs inputs (jsc#SLE-14344).
- device-dax: introduce 'seed' devices (jsc#SLE-14344).
- device-dax: introduce 'struct dev_dax' typed-driver operations
  (jsc#SLE-14344).
- device-dax: add an allocation interface for device-dax instances
  (jsc#SLE-14344).
- device-dax/kmem: replace release_resource() with
  release_mem_region() (jsc#SLE-14344).
- device-dax/kmem: move resource name tracking to drvdata
  (jsc#SLE-14344).
- device-dax/kmem: introduce dax_kmem_range() (jsc#SLE-14344).
- device-dax: make pgmap optional for instance creation
  (jsc#SLE-14344).
- device-dax: move instance creation parameters to 'struct
  dev_dax_data' (jsc#SLE-14344).
- device-dax: drop the dax_region.pfn_flags attribute
  (jsc#SLE-14344).
- ACPI: HMAT: attach a device for each soft-reserved range
  (jsc#SLE-14344).
- mm/memory_hotplug: introduce default phys_to_target_node()
  implementation (jsc#SLE-14344).
- resource: report parent to walk_iomem_res_desc() callback
  (jsc#SLE-14344).
- ACPI: HMAT: refactor hmat_register_target_device to
  hmem_register_device (jsc#SLE-14344).
- efi/fake_mem: arrange for a resource entry per efi_fake_mem
  instance (jsc#SLE-14344).
- x86/numa: add 'nohmat' option (jsc#SLE-14344).
- x86/numa: cleanup configuration dependent command-line options
  (jsc#SLE-14344).
- mm/memory_hotplug: introduce default dummy
  memory_add_physaddr_to_nid() (jsc#SLE-14344).
- device-dax: add memory via add_memory_driver_managed()
  (jsc#SLE-14344).
- commit 5becd55
* Thu Jan  7 2021 colyli@suse.de
- mm/memory_hotplug: introduce add_memory_driver_managed()
  (jsc#SLE-14344).
- Refresh for the above patch,
  patches.suse/0001-mm-don-t-panic-when-links-can-t-be-created-in-sysfs.patch.
- commit 788a9a9
* Thu Jan  7 2021 colyli@suse.de
- device-dax: don't leak kernel memory to user space after
  unloading kmem (jsc#SLE-14344).
- commit b01827a
* Thu Jan  7 2021 colyli@suse.de
- mm/memremap: set caching mode for PCI P2PDMA memory to WC
  (jsc#SLE-14344).
- Refresh for the above patch,
  patches.suse/1933-memremap-rename-MEMORY_DEVICE_DEVDAX-to-MEMORY_DEVIC.patch.
- commit 4730420
* Thu Jan  7 2021 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/ibmvnic-continue-fatal-error-reset-after-passive-ini.patch
- commit c554179
* Thu Jan  7 2021 colyli@suse.de
- mm/memory_hotplug: add pgprot_t to mhp_params (jsc#SLE-14344).
- Refresh for the above patch,
  patches.suse/powerpc-mm-Limit-resize_hpt_for_hotplug-call-to-hash.patch.
- commit 92a2c86
* Thu Jan  7 2021 colyli@suse.de
- powerpc/mm: thread pgprot_t through create_section_mapping()
  (jsc#SLE-14344).
- Refresh for the above patch,
  patches.suse/powerpc-mm-Limit-resize_hpt_for_hotplug-call-to-hash.patch.
  patches.suse/powerpc-mm-radix-Create-separate-mappings-for-hot-pl.patch.
  patches.suse/powerpc-mm-radix-Remove-split_kernel_mapping.patch.
- commit 22697fb
* Thu Jan  7 2021 tiwai@suse.de
- ntb: intel: add Intel NTB LTR vendor support for gen4 NTB
  (jsc#SLE-12710).
- commit 22de07c
* Thu Jan  7 2021 colyli@suse.de
- x86/mm: thread pgprot_t through init_memory_mapping()
  (jsc#SLE-14344).
- Refresh for the above patch,
  patches.suse/x86-platform-uv-Remove-uv-bios-and-efi-code-related-.patch.
- commit 9cc6133
* Thu Jan  7 2021 colyli@suse.de
- mm/memory_hotplug: rename mhp_restrictions to mhp_params
  (jsc#SLE-14368).
- mm/memory_hotplug: drop the flags field from struct
  mhp_restrictions (jsc#SLE-14344).
- dax: Move mandatory ->zero_page_range() check in alloc_dax()
  (jsc#SLE-14344).
- libnvdimm/e820: Retrieve and populate correct 'target_node'
  info (jsc#SLE-14344).
- x86/NUMA: Provide a range-to-target_node lookup facility
  (jsc#SLE-14344).
- x86/mm: Introduce CONFIG_NUMA_KEEP_MEMINFO (jsc#SLE-14344).
- Update following config files for the above patch,
  config/arm64/default
  config/ppc64le/default
  config/s390x/default
  config/x86_64/default
- commit 3d588c7
* Thu Jan  7 2021 colyli@suse.de
- powerpc/papr_scm: Switch to numa_map_to_online_node()
  (jsc#SLE-14344).
- Refresh for the above patch,
  patches.suse/powerpc-papr_scm-Fetch-nvdimm-health-information-fro.patch.
  patches.suse/powerpc-papr_scm-Fetch-nvdimm-performance-stats-from.patch.
- commit 9f14d6c
* Thu Jan  7 2021 colyli@suse.de
- mm/numa: Skip NUMA_NO_NODE and online nodes in
  numa_map_to_online_node() (jsc#SLE-14344).
- commit f7082df
* Thu Jan  7 2021 colyli@suse.de
- mm/memory_hotplug.c: add a bounds check to __add_pages()
  (jsc#SLE-14344).
- dax: Add numa_node to the default device-dax attributes
  (jsc#SLE-14344).
- dax: Simplify root read-only definition for the 'resource'
  attribute (jsc#SLE-14344).
- dax: Create a dax device_type (jsc#SLE-14344).
- dax: Fix alloc_dax_region() compile warning (jsc#SLE-14344).
- commit 4c51fce
* Thu Jan  7 2021 mkubecek@suse.cz
- Update kabi files.
- update from January 2021 maintenance update submission (commit 4ff469b6e1a0)
- commit a9bc2aa
* Thu Jan  7 2021 tiwai@suse.de
- ALSA: usb-audio: Add alias entry for ASUS PRIME TRX40 PRO-S
  (git-fixes).
- ACPI: HMAT: Fix handling of changes from ACPI 6.2 to ACPI 6.3
  (git-fixes).
- ACPI: Add out of bounds and numa_off protections to
  pxm_to_node() (git-fixes).
- ehci-hcd: Move include to keep CRC stable (git-fixes).
- commit 407490e
* Thu Jan  7 2021 tiwai@suse.de
- bus/fsl_mc: Do not rely on caller to provide non NULL mc_io
  (git-fixes).
- commit e4eab60
* Thu Jan  7 2021 tiwai@suse.de
- ALSA: hda/realtek - Modify Dell platform name (git-fixes).
- ALSA: hda/realtek - Supported Dell fixed type headset
  (git-fixes).
- ALSA: hda/realtek: Remove dummy lineout on Acer TravelMate
  P648/P658 (git-fixes).
- commit 5e10442
* Thu Jan  7 2021 tiwai@suse.de
- Move upstreamed sound patch into sorted section
- commit 0c5f21f
* Thu Jan  7 2021 tiwai@suse.de
- r8169: work around power-saving bug on some chip versions
  (git-fixes).
- ALSA: pcm: Clear the full allocated memory at hw_params
  (git-fixes).
- rtc: pl031: fix resource leak in pl031_probe (git-fixes).
- rtc: sun6i: Fix memleak in sun6i_rtc_clk_init (git-fixes).
- i3c master: fix missing destroy_workqueue() on error in
  i3c_master_register (git-fixes).
- misc: vmw_vmci: fix kernel info-leak by initializing dbells
  in vmci_ctx_get_chkpt_doorbells() (git-fixes).
- xhci: Give USB2 ports time to enter U3 in bus suspend
  (git-fixes).
- USB: dummy-hcd: Fix uninitialized array use in init()
  (git-fixes).
- Bluetooth: hci_h5: close serdev device and free hu in h5_close
  (git-fixes).
- media: gp8psk: initialize stats at power control logic
  (git-fixes).
- staging: wlan-ng: fix out of bounds read in
  prism2sta_probe_usb() (git-fixes).
- commit 57824b9
* Thu Jan  7 2021 tiwai@suse.de
- ALSA: hda/via: Fix runtime PM for Clevo W35xSS (git-fixes).
- ALSA: usb-audio: Add quirk for RC-505 (git-fixes).
- ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook
  850 G7 (git-fixes).
- ALSA: hda/realtek: Add two "Intel Reference board" SSID in
  the ALC256 (git-fixes).
- ALSA: hda/realtek: Add mute LED quirk for more HP laptops
  (git-fixes).
- ALSA: hda/conexant: add a new hda codec CX11970 (git-fixes).
- ALSA: usb-audio: Add quirk for BOSS AD-10 (git-fixes).
- ALSA: usb-audio: Fix UBSAN warnings for MIDI jacks (git-fixes).
- ALSA: hda/realtek - Fix speaker volume control on Lenovo C940
  (git-fixes).
- commit 3b01e24
* Wed Jan  6 2021 msuchanek@suse.de
- powerpc/sstep: Fix array out of bound warning (bsc#1180581
  ltc#190174).
- Delete patches.suse/powerpc-sstep-Add-testcases-for-VSX-vector-paired-lo.patch (bsc#1180581 ltc#190174).
  Drop test for the broken emulation, too.
- commit 346e1c7
* Wed Jan  6 2021 msuchanek@suse.de
- powerpc/test_emulate_step: Add testcases for divde[.] and
  divdeu[.] instructions (bsc#1180581 ltc#190174).
- commit 98eaae4
* Wed Jan  6 2021 msuchanek@suse.de
- powerpc/sstep: Add support for divde[.] and
  divdeu[.] instructions (bsc#1180581 ltc#190174).
- powerpc/ppc-opcode: Add divde and divdeu opcodes (bsc#1180581
  ltc#190174).
- commit 4565dda
* Wed Jan  6 2021 msuchanek@suse.de
- Delete patches.suse/powerpc-sstep-Support-VSX-vector-paired-storage-acce.patch (bsc#1180581 ltc#190174).
  Drop patch causing array overflow.
- commit ee77681
* Wed Jan  6 2021 msuchanek@suse.de
- drivers/base/memory.c: cache memory blocks in xarray to
  accelerate lookup (bsc#1159955 ltc#182993).
- Delete patches.suse/drivers-base-memory.c-cache-blocks-in-radix-tree-to-.patch.
  Refresh to upstream patch.
- commit 7c92ca5
* Wed Jan  6 2021 msuchanek@suse.de
- Refresh patches.suse/nvme-fc-avoid-calling-_nvme_fc_abort_outstanding_ios-from-interrupt-context.patch
  Fix commit hash
- commit fdfd462
* Wed Jan  6 2021 msuchanek@suse.de
- Refresh patches.suse/0001-btrfs-qgroup-don-t-try-to-wait-flushing.patch
  Fix commit hash
- commit 5ec0893
* Wed Jan  6 2021 msuchanek@suse.de
- Refresh patch metadata.
- Refresh patches.suse/ibmvnic-fix-NULL-pointer-dereference.patch.
- commit 45ce7d1
* Wed Jan  6 2021 jlee@suse.com
- ima: Fail rule parsing when asymmetric key measurement isn't
  supportable (jsc#SLE-15209).
- ima: Pre-parse the list of keyrings in a KEY_CHECK rule
  (jsc#SLE-15209).
- ima: Use the common function to detect LSM conditionals in a
  rule (jsc#SLE-15209).
- ima: Move comprehensive rule validation checks out of the
  token parser (jsc#SLE-15209).
- ima: Use correct type for the args_p member of
  ima_rule_entry.lsm elements (jsc#SLE-15209).
- ima: Shallow copy the args_p member of ima_rule_entry.lsm
  elements (jsc#SLE-15209).
- ima: Fail rule parsing when the KEY_CHECK hook is combined
  with an invalid cond (jsc#SLE-15209).
- ima: Fail rule parsing when the KEXEC_CMDLINE hook is combined
  with an invalid cond (jsc#SLE-15209).
- ima: Fail rule parsing when buffer hook functions have an
  invalid action (jsc#SLE-15209).
  Refresh
  patches.suse/ima-Fail-rule-parsing-when-appraise_flag-blacklist-i.patch
- ima: Free the entire rule if it fails to parse (jsc#SLE-15209).
- ima: Free the entire rule when deleting a list of rules
  (jsc#SLE-15209).
- mm: add kvfree_sensitive() for freeing sensitive data objects
  (jsc#SLE-15209).
- IMA: pre-allocate buffer to hold keyrings string
  (jsc#SLE-15209).
  Refresh
  patches.suse/ima-Directly-assign-the-ima_default_policy-pointer-t.patch
- commit d6d4155
* Wed Jan  6 2021 dbueso@suse.de
- lib/string: remove unnecessary #undefs (git-fixes).
- bitmap: remove unused function declaration (git-fixes).
- swiotlb: using SIZE_MAX needs limits.h included (git-fixes).
- swiotlb: fix "x86: Don't panic if can not alloc buffer for
  swiotlb" (git-fixes).
- kdb: Fix pager search for multi-line strings (git-fixes).
- kgdb: Drop malformed kernel doc comment (git-fixes).
- commit 28d99cb
* Wed Jan  6 2021 bp@suse.de
- EDAC/amd64: Fix PCI component registration (bsc#1152489).
- commit 6c4ae9b
* Tue Jan  5 2021 bp@suse.de
- KVM: x86: Expose AVX512_FP16 for supported CPUID
  (jsc#SLE-13413).
- commit a3f980a
* Tue Jan  5 2021 lma@suse.com
- KVM: x86: Expose fast short REP MOV for supported cpuid
  (bsc#1180334).
- x86/asm: Drop unused RDPID macro (bsc#1180334).
- KVM: x86: emulating RDPID failure shall return #UD rather than
  [#]GP (bsc#1180334).
- kvm: x86: Expose RDPID in KVM_GET_SUPPORTED_CPUID (bsc#1180334).
- commit 05fbe0b
* Tue Jan  5 2021 bp@suse.de
- x86: Enumerate AVX512 FP16 CPUID feature flag (jsc#SLE-13413).
- commit fd2814e
* Tue Jan  5 2021 msuchanek@suse.de
- powerpc/sstep: Add testcases for VSX vector paired load/store
  instructions (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/sstep: Support VSX vector paired storage access
  instructions (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/watchpoint: Workaround P10 DD1 issue with VSX-32 byte
  instructions (jsc#SLE-12936 bsc#1180581 ltc#190174).
- powerpc/sstep: Add testcases for VSX vector paired load/store
  instructions (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/ppc-opcode: Add encoding macros for VSX vector paired
  instructions (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/sstep: Support VSX vector paired storage access
  instructions (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/ppc-opcode: Fold PPC_INST_* macros into PPC_RAW_*
  macros (jsc#SLE-13847 bsc#1180581 ltc#190174).
- Refresh patches.suse/powerpc-sstep-Add-tests-for-prefixed-floating-point-.patch.
- Refresh patches.suse/powerpc-sstep-Add-tests-for-prefixed-integer-load-st.patch.
- powerpc/ppc-opcode: Reuse raw instruction macros to stringify
  (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/ppc-opcode: Consolidate powerpc instructions from
  bpf_jit.h (jsc#SLE-13847 bsc#1180581 ltc#190174 bsc#1180567
  ltc#190612).
- powerpc/bpf_jit: Reuse instruction macros from ppc-opcode.h
  (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/ppc-opcode: Move ppc instruction encoding from
  test_emulate_step (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/ppc-opcode: Introduce PPC_RAW_* macros for base
  instruction encoding (jsc#SLE-13847 bsc#1180581 ltc#190174).
- powerpc/lib: Fix emulate_step() std test (jsc#SLE-13847
  bsc#1180581 ltc#190174).
- commit 6a6d57b
* Tue Jan  5 2021 ddiss@suse.de
- target: fix XCOPY NAA identifier lookup (CVE-2020-28374,
  bsc#1178372).
- commit 3e5427c
* Tue Jan  5 2021 tiwai@suse.de
- Move upstreamed regmap and pinctrl patches into sorted section
- commit 6d2ef28
* Tue Jan  5 2021 tiwai@suse.de
- ALSA: hda/hdmi: Fix incorrect mutex unlock in
  silent_stream_disable() (bsc#1180543).
- commit a9190f5
* Tue Jan  5 2021 mgorman@suse.de
- intel_idle: Disable ACPI _CST on Haswell (bsc#1177399,
  bsc#1180347, bsc#1180141).
- commit 92491ff
* Tue Jan  5 2021 tiwai@suse.de
- mwifiex: Fix possible buffer overflows in
  mwifiex_cmd_802_11_ad_hoc_start (CVE-2020-36158 bsc#1180559).
- commit 3e80605
* Tue Jan  5 2021 fdmanana@suse.com
- btrfs: do not commit logs and transactions during link and
  rename operations (bsc#1180566).
- btrfs: do not take the log_mutex of the subvolume when pinning
  the log (bsc#1180566).
- btrfs: delete duplicated words + other fixes in comments
  (bsc#1180566).
- commit 916e8ac
* Tue Jan  5 2021 jlee@suse.com
- Replace HTTP links with HTTPS ones: security (jsc#SLE-15209).
- tpm_ftpm_tee: register driver on TEE bus (jsc#SLE-15209).
- tpm: Add support for event log pointer found in TPM2 ACPI table
  (jsc#SLE-15209).
- tpm: Unify the mismatching TPM space buffer sizes
  (jsc#SLE-15209).
- Removed commit id in blacklist.conf
- libnvdimm/security: Fix key lookup permissions (jsc#SLE-15209).
- tpm_tis_spi: Prefer async probe (jsc#SLE-15209).
- tpm/st33zp24: fix spelling mistake "drescription" ->
  "description" (jsc#SLE-15209).
- tpm_tis_spi: Don't send anything during flow control
  (jsc#SLE-15209).
- security: fix the key_permission LSM hook function type
  (jsc#SLE-15209).
- keys: Make the KEY_NEED_* perms an enum rather than a mask
  (jsc#SLE-15209).
- keys: Implement update for the big_key type (jsc#SLE-15209).
- security/keys: rewrite big_key crypto to use library interface
  (jsc#SLE-15209).
  Update config files.
- KEYS: encrypted: use crypto_shash_tfm_digest() (jsc#SLE-15209).
- crypto: hash - introduce crypto_shash_tfm_digest()
  (jsc#SLE-15209).
- tpm: eventlog: Replace zero-length array with flexible-array
  member (jsc#SLE-15209).
- tpm/tpm_ftpm_tee: Use UUID API for exporting the UUID
  (jsc#SLE-15209).
- sysfs: remove redundant __compat_only_sysfs_link_entry_to_kobj
  fn (jsc#SLE-15209).
- KEYS: Avoid false positive ENOMEM error on key read
  (jsc#SLE-15209).
- KEYS: Don't write out to userspace while holding key semaphore
  (jsc#SLE-15209).
- MAINTAINERS: adjust to trusted keys subsystem creation
  (jsc#SLE-15209).
- tpm: tpm_tis_spi_cr50: use new structure for SPI transfer delays
  (jsc#SLE-15209).
- tpm_tis_spi: use new 'delay' structure for SPI transfer delays
  (jsc#SLE-15209).
- tpm: Revert tpm_tis_spi_mod.ko to tpm_tis_spi.ko
  (jsc#SLE-15209).
- IMA: fix measuring asymmetric keys Kconfig (jsc#SLE-15209).
- Refresh
  patches.suse/0002-ima-generalize-x86-EFI-arch-glue-for-other-EFI-archi.patch
  patches.suse/ima-add-a-new-CONFIG-for-loading-arch-specific-polic.patch
- Update config files.
  CONFIG_IMA_MEASURE_ASYMMETRIC_KEYS=y
- IMA: Read keyrings= option from the IMA policy (jsc#SLE-15209).
- IMA: Add support to limit measuring keys (jsc#SLE-15209).
- KEYS: Call the IMA hook to measure keys (jsc#SLE-15209).
- IMA: Define an IMA hook to measure keys (jsc#SLE-15209).
  Refresh
  patches.suse/0002-ima-generalize-x86-EFI-arch-glue-for-other-EFI-archi.patch
- IMA: Add KEY_CHECK func to measure keys (jsc#SLE-15209).
- IMA: Check IMA policy flag (jsc#SLE-15209).
- tpm: Add tpm_version_major sysfs file (jsc#SLE-15209).
- tpm/tpm_ftpm_tee: add shutdown call back (jsc#SLE-15209).
- security: keys: trusted: fix lost handle flush (jsc#SLE-15209).
- KEYS: remove CONFIG_KEYS_COMPAT (jsc#SLE-15209).
  Update config files.
- KEYS: trusted: Remove set but not used variable 'keyhndl'
  (jsc#SLE-15209).
- KEYS: trusted: Move TPM2 trusted keys code (jsc#SLE-15209).
- KEYS: trusted: Create trusted keys subsystem (jsc#SLE-15209).
  Refresh
  patches.suse/1885-kbuild-remove-header-compile-test.patch
  patches.suse/KVM-arm-arm64-Factor-out-hypercall-handling-from-PSC.patch
  patches.suse/crypto-sha-split-sha.h-into-sha1.h-and-sha2.h.patch
- KEYS: Use common tpm_buf for trusted and asymmetric keys
  (jsc#SLE-15209).
- tpm: Move tpm_buf code to include/linux/ (jsc#SLE-15209).
- tpm: use GFP_KERNEL instead of GFP_HIGHMEM for tpm_buf
  (jsc#SLE-15209).
- tpm: tpm_tis_spi: Drop THIS_MODULE usage from driver struct
  (jsc#SLE-15209).
- tpm: tpm_tis_spi: Cleanup includes (jsc#SLE-15209).
- tpm: tpm_tis_spi: Support cr50 devices (jsc#SLE-15209).
  Update config files.
- tpm: tpm_tis_spi: Introduce a flow control callback
  (jsc#SLE-15209).
- tpm: Add a flag to indicate TPM power is managed by firmware
  (jsc#SLE-15209).
- tpm_tis: override durations for STM tpm with firmware 1.2.8.28
  (jsc#SLE-15209).
- tpm: provide a way to override the chip returned durations
  (jsc#SLE-15209).
- tpm: Remove duplicate code from caps_show() in tpm-sysfs.c
  (jsc#SLE-15209).
- tpm/tpm_ftpm_tee: A driver for firmware TPM running inside TEE
  (jsc#SLE-15209).
  Update config files.
- tpm: Remove a deprecated comments about implicit sysfs locking
  (jsc#SLE-15209).
- commit 7e1f0f4
* Tue Jan  5 2021 heming.zhao@suse.com
- md/cluster: fix deadlock when node is doing resync job
  (bsc#1163727).
- md/cluster: block reshape with remote resync job (bsc#1163727).
- md/bitmap: fix memory leak of temporary bitmap (bsc#1163727).
- md/bitmap: md_bitmap_get_counter returns wrong blocks
  (bsc#1163727).
- md/bitmap: md_bitmap_read_sb uses wrong bitmap blocks
  (bsc#1163727).
- md-cluster: fix rmmod issue when md_cluster convert bitmap to
  none (bsc#1163727).
- md-cluster: fix safemode_delay value when converting to
  clustered bitmap (bsc#1163727).
- md-cluster: fix wild pointer of unlock_all_bitmaps()
  (bsc#1163727).
- commit 7522976
* Tue Jan  5 2021 rgoldwyn@suse.com
- mm: validate inode in mapping_set_error()  (git-fixes).
- commit 05b16dc
* Mon Jan  4 2021 rgoldwyn@suse.com
- btrfs: add missing check for nocow and compression inode flags
  (bsc#1178780).
- fs/buffer.c: record blockdev write errors in super_block that
  it backs  (bsc#1172266).
- vfs: track per-sb writeback errors and report them to syncfs
  (bsc#1172266).
- commit 934c84a
* Mon Jan  4 2021 rgoldwyn@suse.com
- btrfs: add missing check for nocow and compression inode flags (bsc#1178780).
- commit 98b0ffc
* Mon Jan  4 2021 lhenriques@suse.de
- Revert "ceph: allow rename operation under different quota
  realms" (bsc#1180541).
- commit 1a2a0a7
* Mon Jan  4 2021 lhenriques@suse.de
- Refresh
  patches.suse/ceph-downgrade-warning-from-mdsmap-decode-to-debug.patch.
- Refresh
  patches.suse/ceph-fix-race-in-concurrent-_ceph_remove_cap-invocations.patch.
  Patches have been merged into mainline; refreshing Git-commit and Path-mainline
  tags in patches.
- commit d338d00
* Mon Jan  4 2021 tbogendoerfer@suse.de
- nfp: move indirect block cleanup to flower app stop callback
  (bsc#1176447).
- ethtool: fix error paths in ethnl_set_channels() (bsc#1176447).
- i40e, xsk: clear the status bits for the next_to_use descriptor
  (jsc#SLE-13701).
- RDMA/mlx5: Fix MR cache memory leak (jsc#SLE-15175).
- RDMA/bnxt_re: Fix max_qp_wrs reported (bsc#1175499).
- RDMA/hns: Bugfix for calculation of extended sge
  (jsc#SLE-14777).
- RDMA/rtrs-srv: Fix typo (jsc#SLE-15176).
- RDMA/rtrs-srv: Don't guard the whole __alloc_srv with srv_mutex
  (jsc#SLE-15176).
- RDMA/rtrs-clt: Missing error from rtrs_rdma_conn_established
  (jsc#SLE-15176).
- RDMA/rtrs-clt: Avoid run destroy_con_cq_qp/create_con_cq_qp
  in parallel (jsc#SLE-15176).
- RDMA/rtrs-clt: Remove outdated comment in create_con_cq_qp
  (jsc#SLE-15176).
- RDMA/rtrs-clt: Remove destroy_con_cq_qp in case route resolving
  failed (jsc#SLE-15176).
- IB/isert: add module param to set sg_tablesize for IO cmd
  (jsc#SLE-15176).
- RDMA/core: Fix error return in _ib_modify_qp() (jsc#SLE-15176).
- RDMA/bnxt_re: Fix entry size during SRQ create (jsc#SLE-15076
  bsc#1175499).
- net/mlx5e: remove unnecessary memset (jsc#SLE-15172).
- net/sched: fix miss init the mru in qdisc_skb_cb (bsc#1176447).
- i40e: remove redundant assignment (jsc#SLE-13701).
- ionic: use mc sync for multicast filters (jsc#SLE-16649).
- net: sched: Fix dump of MPLS_OPT_LSE_LABEL attribute in
  cls_flower (bsc#1176447).
- net: flow_offload: Fix memory leak for indirect flow block
  (jsc#SLE-15075).
- e1000e: fix S0ix flow to allow S0i3.2 subset entry
  (jsc#SLE-13532).
- bonding: fix feature flag setting at init time (bsc#1176447).
- ch_ktls: fix build warning for ipv4-only config (jsc#SLE-15129).
- net/sched: fq_pie: initialize timer earlier in fq_pie_init()
  (jsc#SLE-15172).
- commit feb8216
* Mon Jan  4 2021 msuchanek@suse.de
- powerpc/pci: Remove LSI mappings on device teardown (bsc#1172145
  ltc#184630).
- commit a2fd2d8
* Mon Jan  4 2021 msuchanek@suse.de
- Delete patches.suse/powerpc-pci-unmap-legacy-INTx-interrupts-when-a-PHB-.patch
  (bsc#1172145 ltc#184630).
  To be replaced with new fix merged through SP2.
- commit 8ea9da6
* Mon Jan  4 2021 msuchanek@suse.de
- powerpc/cacheinfo: Print correct cache-sibling map/list for
  L2 cache (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Add support detecting thread-groups sharing L2
  cache (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Rename init_thread_group_l1_cache_map() to make
  it generic (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Rename cpu_l1_cache_map as
  thread_group_l1_cache_map (jsc#SLE-13615 bsc#1180100
  ltc#190257).
- powerpc/smp: Parse ibm,thread-groups with multiple properties
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Use GFP_ATOMIC while allocating tmp mask
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Remove unnecessary variable (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/smp: Optimize update_coregroup_mask (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/smp: Move coregroup mask updation to a new function
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Optimize update_mask_by_l2 (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/smp: Check for duplicate topologies and consolidate
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Depend on cpu_l1_cache_map when adding CPUs
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Stop passing mask to update_mask_by_l2
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Limit CPUs traversed to within a node
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Optimize remove_cpu_from_masks (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/smp: Remove get_physical_package_id (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/smp: Stop updating cpu_core_mask (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/topology: Update topology_core_cpumask (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/topology: Override cpu_smt_mask (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- sched/topology: Allow archs to override cpu_smt_mask
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/cacheinfo: Add per cpu per index shared_cpu_list
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/cacheinfo: Make cpumap_show code reusable (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/cacheinfo: Use cpumap_print to print cpumap
  (jsc#SLE-13615 bsc#1180100 ltc#190257).
- powerpc/smp: Use IS_ENABLED() to avoid #ifdef (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- powerpc/smp: Drop superfluous NULL check (jsc#SLE-13615
  bsc#1180100 ltc#190257).
- commit aa22c03
* Mon Jan  4 2021 mbenes@suse.cz
- blacklist.conf: adab66b71abf ("Revert: "ring-buffer: Remove HAVE_64BIT_ALIGNED_ACCESS"")
  We do not support metag and sparc64 archs.
- commit 99ad074
* Mon Jan  4 2021 mbenes@suse.cz
- blacklist.conf: d9a9280a0d0a ("seq_buf: Avoid type mismatch for seq_buf_init")
  It breaks kABI. It is not worth the hassle to backport.
- commit 7c29506
* Mon Jan  4 2021 jeyu@suse.de
- module: delay kobject uevent until after module init call (bsc#1178631).
- Refresh patches.suse/supported-flag.
- commit 9f35554
* Mon Jan  4 2021 mbenes@suse.cz
- bpf: Fix bpf_put_raw_tracepoint()'s use of __module_address()
  (git-fixes).
- commit e888e29
* Mon Jan  4 2021 mbenes@suse.cz
- blacklist.conf: 310e3a4b5a4f ("tracing: Remove WARN_ON in start_thread()")
  CONFIG_HWLAT_TRACER is not set anywhere.
- commit 4f64022
* Mon Jan  4 2021 ghe@suse.com
- ocfs2: fix unbalanced locking (bsc#1180506).
- commit b54b08a
* Mon Jan  4 2021 tiwai@suse.de
- remoteproc: qcom: Fix potential NULL dereference in
  adsp_init_mmio() (git-fixes).
- remoteproc: qcom: fix reference leak in adsp_start (git-fixes).
- remoteproc: q6v5-mss: fix error handling in q6v5_pds_enable
  (git-fixes).
- serial_core: Check for port state when tty is in error state
  (git-fixes).
- usb: gadget: f_fs: Re-use SS descriptors for SuperSpeedPlus
  (git-fixes).
- USB: gadget: f_midi: setup SuperSpeed Plus descriptors
  (git-fixes).
- USB: gadget: f_acm: add support for SuperSpeed Plus (git-fixes).
- USB: gadget: f_rndis: fix bitrate for SuperSpeed and above
  (git-fixes).
- media: gspca: Fix memory leak in probe (git-fixes).
- media: saa7146: fix array overflow in vidioc_s_audio()
  (git-fixes).
- media: max2175: fix max2175_set_csm_mode() error code
  (git-fixes).
- media: imx214: Fix stop streaming (git-fixes).
- media: msi2500: assign SPI bus number dynamically (git-fixes).
- media: siano: fix memory leak of debugfs members in
  smsdvb_hotplug (git-fixes).
- media: sunxi-cir: ensure IR is handled when it is continuous
  (git-fixes).
- media: solo6x10: fix missing snd_card_free in error handling
  case (git-fixes).
- media: ipu3-cio2: Remove traces of returned buffers (git-fixes).
- media: ipu3-cio2: Make the field on subdev format
  V4L2_FIELD_NONE (git-fixes).
- media: ipu3-cio2: Validate mbus format in setting subdev format
  (git-fixes).
- media: ipu3-cio2: Serialise access to pad format (git-fixes).
- media: ipu3-cio2: Return actual subdev format (git-fixes).
- media: mtk-vcodec: add missing put_device() call in
  mtk_vcodec_init_enc_pm() (git-fixes).
- media: mtk-vcodec: add missing put_device() call in
  mtk_vcodec_release_dec_pm() (git-fixes).
- media: mtk-vcodec: add missing put_device() call in
  mtk_vcodec_init_dec_pm() (git-fixes).
- media: tm6000: Fix sizeof() mismatches (git-fixes).
- iwlwifi: pcie: add one missing entry for AX210 (git-fixes).
- commit 1e25d62
* Mon Jan  4 2021 tiwai@suse.de
- gpio: mvebu: update Armada XP per-CPU comment (git-fixes).
- dmaengine: mv_xor_v2: Fix error return code in mv_xor_v2_probe()
  (git-fixes).
- HID: i2c-hid: add Vero K147 to descriptor override (git-fixes).
- iio:imu:bmi160: Fix too large a buffer (git-fixes).
- crypto: atmel-i2c - select CONFIG_BITREVERSE (git-fixes).
- crypto: ecdh - avoid unaligned accesses in ecdh_set_secret()
  (git-fixes).
- crypto: omap-aes - Fix PM disable depth imbalance in
  omap_aes_probe (git-fixes).
- crypto: crypto4xx - Replace bitwise OR with logical OR in
  crypto4xx_build_pd (git-fixes).
- Input: goodix - add upside-down quirk for Teclast X98 Pro tablet
  (git-fixes).
- Input: cros_ec_keyb - send 'scancodes' in addition to key events
  (git-fixes).
- commit 48f3c1f
* Mon Jan  4 2021 tiwai@suse.de
- ALSA/hda: apply jack fixup for the Acer Veriton
  N4640G/N6640G/N2510G (git-fixes).
- ALSA: hda/realtek: Apply jack fixup for Quanta NL3 (git-fixes).
- ALSA: hda/realtek: Add quirk for MSI-GP73 (git-fixes).
- ALSA: pcm: oss: Fix a few more UBSAN fixes (git-fixes).
- ALSA: usb-audio: Disable sample read check if firmware doesn't
  give back (git-fixes).
- ALSA: usb-audio: Add VID to support native DSD reproduction
  on FiiO devices (git-fixes).
- ALSA: core: memalloc: add page alignment for iram (git-fixes).
- ACPI: PNP: compare the string length in the matching_id()
  (git-fixes).
- clocksource/drivers/arm_arch_timer: Correct fault programming
  of CNTKCTL_EL1.EVNTI (git-fixes).
- clocksource/drivers/arm_arch_timer: Use stable count reader
  in erratum sne (git-fixes).
- clocksource/drivers/cadence_ttc: Fix memory leak in
  ttc_setup_clockevent() (git-fixes).
- clocksource/drivers/orion: Add missing clk_disable_unprepare()
  on error path (git-fixes).
- crypto: af_alg - avoid undefined behavior accessing salg_name
  (git-fixes).
- crypto: inside-secure - Fix sizeof() mismatch (git-fixes).
- crypto: talitos - Fix return type of current_desc_hdr()
  (git-fixes).
- crypto: talitos - Endianess in current_desc_hdr() (git-fixes).
- cfg80211: initialize rekey_data (git-fixes).
- commit 57d3bee
* Thu Dec 31 2020 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section:
  patches.suse/ibmvnic-fix-NULL-pointer-dereference.patch
- update upstream reference:
  patches.suse/ibmvnic-continue-fatal-error-reset-after-passive-ini.patch
- commit a0b2ce7
* Wed Dec 30 2020 msuchanek@suse.de
- ibmvnic: fix login buffer memory leak (jsc#SLE-17043 bsc#1179243
  ltc#189290 git-fixes).
- commit 2d2f67f
* Wed Dec 30 2020 msuchanek@suse.de
- ibmvnic: continue fatal error reset after passive init
  (bsc#1171078 ltc#184239 git-fixes).
- commit e6ea824
* Wed Dec 30 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-perf-Exclude-kernel-samples-while-counting-e.patch.
- commit fc17dca
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/perf: Fix Threshold Event Counter Multiplier width
  for P10 (jsc#SLE-13513 bsc#1180072 ltc#190309).
- commit c1c01ab
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/bitops: Fix possible undefined behaviour with fls()
  and fls64() (bsc#1156395).
- commit e90809a
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc: Fix incorrect stw{, ux, u, x} instructions in
  __set_pte_at (bsc#1065729).
- commit b5cc99b
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/xmon: Change printk() to pr_cont() (bsc#1065729).
- commit 9125964
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/64: Set up a kernel stack for secondaries before
  cpu_restore() (bsc#1065729).
- commit 7bcd26b
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/eeh_cache: Fix a possible debugfs deadlock
  (bsc#1156395).
- commit bfd7479
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/64: Fix an EMIT_BUG_ENTRY in head_64.S (jsc#SLE-9246
  git-fixes).
- powerpc/signal: Move inline functions in signal.h (jsc#SLE-16200
  git-fixes).
- commit d0ddb83
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/sstep: Cover new VSX instructions under CONFIG_VSX
  (jsc#SLE-13847 git-fixes).
- powerpc/sstep: Emulate prefixed instructions only when
  CPU_FTR_ARCH_31 is set (jsc#SLE-13847 git-fixes).
- commit c3ca4ff
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc: Avoid broken GCC __attribute__((optimize))
  (bsc#1156395).
- commit 3d98ea5
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/smp: Add __init to init_big_cores() (bsc#1109695
  ltc#171067 git-fixes).
- commit 88fe3ed
* Wed Dec 30 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-rtas-fix-typo-of-ibm-open-errinjct-in-rtas-f.patch
  Refresh to upstream version.
- commit f0055e2
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/pseries/hibernation: remove redundant cacheinfo update
  (bsc#1138374 ltc#178199 git-fixes).
- commit e904a78
* Wed Dec 30 2020 msuchanek@suse.de
- Revert "powerpc/pseries/hotplug-cpu: Remove double free in
  error path" (bsc#1065729).
- commit 243e39e
* Wed Dec 30 2020 msuchanek@suse.de
- blacklist.conf: Add e91d8d78237d mm/zsmalloc.c: drop ZSMALLOC_PGTABLE_MAPPING
  The option is not enabled.
- commit 65fee6f
* Wed Dec 30 2020 msuchanek@suse.de
- powerpc/64: irq replay remove decrementer overflow check
  (jsc#SLE-9246 git-fixes(stable-5.10)).
- commit 6c37cac
* Wed Dec 30 2020 oneukum@suse.com
- PCI: Fix overflow in command-line resource alignment requests
  (git-fixes).
- commit 1dd80ec
* Wed Dec 30 2020 msuchanek@suse.de
- ibmvnic: fix: NULL pointer dereference (bsc#1044767 ltc#155231
  git-fixes).
- commit 59feb80
* Wed Dec 30 2020 oneukum@suse.com
- Refresh
  patches.suse/powercap-Restrict-energy-meter-to-root-access.patch.
  Now in mainline
- commit 414492a
* Wed Dec 30 2020 oneukum@suse.com
- blacklist.conf: fix already added by other patch
- commit ed48336
* Wed Dec 30 2020 oneukum@suse.com
- blacklist.conf: already gone in by another ID
- commit 7020218
* Wed Dec 30 2020 oneukum@suse.com
- usb: host: ehci-tegra: Fix error handling in tegra_ehci_probe()
  (git-fixes).
- commit 6f94554
* Wed Dec 30 2020 oneukum@suse.com
- blacklist.conf: fix not relevant for our config
- commit 47a12a9
* Tue Dec 29 2020 oneukum@suse.com
- USB: UAS: introduce a quirk to set no_write_same (git-fixes).
- commit bda3ea7
* Tue Dec 29 2020 oneukum@suse.com
- USB: add RESET_RESUME quirk for Snapscan 1212 (git-fixes).
- commit 0912116
* Tue Dec 29 2020 oneukum@suse.com
- crypto: qat - add CRYPTO_AES to Kconfig dependencies
  (git-fixes).
- commit 6dcc047
* Tue Dec 29 2020 dwagner@suse.de
- blk-mq: Remove 'running from the wrong CPU' warning
  (bsc#1174486).
- commit 5a12d1c
* Tue Dec 29 2020 bp@suse.de
- blacklist.conf: 3d51507f29f2 x86/entry/32: Add missing ASM_CLAC to general_protection entry
- commit 794e745
* Tue Dec 29 2020 tiwai@suse.de
- ACPI: NFIT: Fix input validation of bus-family (git-fixes).
- nl80211: validate key indexes for cfg80211_registered_device
  (git-fixes).
- commit d4bf12f
* Tue Dec 29 2020 tiwai@suse.de
- watchdog: coh901327: add COMMON_CLK dependency (git-fixes).
- watchdog: qcom: Avoid context switch in restart handler
  (git-fixes).
- watchdog: Fix potential dereferencing of null pointer
  (git-fixes).
- watchdog: sprd: change to use usleep_range() instead of busy
  loop (git-fixes).
- watchdog: sprd: check busy bit before new loading rather than
  after that (git-fixes).
- watchdog: sprd: remove watchdog disable from resume fail path
  (git-fixes).
- watchdog: sirfsoc: Add missing dependency on HAS_IOMEM
  (git-fixes).
- watchdog: armada_37xx: Add missing dependency on HAS_IOMEM
  (git-fixes).
- commit 705ed83
* Tue Dec 29 2020 tiwai@suse.de
- media: uvcvideo: Accept invalid bFormatIndex and bFrameIndex
  values (bsc#1180117).
- commit 2f3db03
* Tue Dec 29 2020 tiwai@suse.de
- Re-import the upstream uvcvideo fix; one more fix will be added later (bsc#1180117)
- commit 0da5ae4
* Mon Dec 28 2020 mkubecek@suse.cz
- rpm/constraints.in: more disk space for aarch64 binary builds (bsc#1180261)
  Tumbleweed KotD builds already consume ~30 GB of disk space and SLE15-SP3
  builds sometimes exceed even 32 GB, resulting in build failures. Thus the
  exception providing only 30 GB for aarch64 binary builds is no longer
  sustainable and if requiring 35 GB limits the portfolio of available
  builders, we need to address that.
- commit 07b084b
* Mon Dec 28 2020 bp@suse.de
- x86/topology: Set cpu_die_id only if DIE_TYPE found
  (bsc#1152489).
- commit 6e7d005
* Mon Dec 28 2020 bp@suse.de
- EDAC/mce_amd: Use struct cpuinfo_x86.cpu_die_id for AMD NodeId
  (bsc#1152489).
- commit 72ce98e
* Mon Dec 28 2020 bp@suse.de
- x86/CPU/AMD: Remove amd_get_nb_id() (bsc#1152489).
- commit be1bad6
* Mon Dec 28 2020 bp@suse.de
- x86/CPU/AMD: Save AMD NodeId as cpu_die_id (bsc#1152489).
- commit af076e7
* Mon Dec 28 2020 bp@suse.de
- EDAC/amd64: Do not load on family 0x15, model 0x13 (bsc#1179763).
- commit 877e64a
* Mon Dec 28 2020 mkubecek@suse.cz
- rpm: drop /usr/bin/env in interpreter specification
  OBS checks don't like /usr/bin/env in script interpreter lines but upstream
  developers tend to use it. A proper solution would be fixing the depedency
  extraction and drop the OBS check error but that's unlikely to happen so
  that we have to work around the problem on our side and rewrite the
  interpreter lines in scripts before collecting files for packages instead.
- commit 0ec5324
* Thu Dec 24 2020 nsaenzjulienne@suse.de
- reset: raspberrypi: Don't reset USB if already up (bsc#1180336).
- commit 72c8f7f
* Thu Dec 24 2020 mbrugger@suse.com
- blacklist.conf: ignore CRYPTO_SKCIPHER kconfig option
- commit 00dae55
* Thu Dec 24 2020 mbrugger@suse.com
- crypto: hisilicon - Cap block size at 2^31 (jsc#SLE-16507
  jsc#SLE-15835).
- commit 4cc08f7
* Wed Dec 23 2020 tabraham@suse.com
- nvmet-tcp: fix maxh2cdata icresp parameter (bsc#1179892).
- commit 8a7b72b
* Wed Dec 23 2020 mbrugger@suse.com
- crypto: hisilicon - fix driver compatibility issue with
  different versions of devices (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - change debugfs file name from qm_regs
  to regs (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - add DebugFS for xQC and xQE dump
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/zip - add debugfs for Hisilicon ZIP
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/hpre - add debugfs for Hisilicon HPRE
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - add debugfs for Hisilicon SEC
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - add debugfs to the QM state machine
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - add debugfs for QM (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon/zip - Use temporary sqe when doing work
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add device error report through abnormal
  irq (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - remove codes of directly report device
  errors through MSI (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - QM memory management optimization
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - unify initial value assignment into QM
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - remove use_dma_api related codes
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add FLR support (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon/qm - add state machine for QM (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - refactor module parameter pf_q_num related
  code (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/zip - modify the ZIP probe process
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/hpre - modify the HPRE probe process
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - modify the SEC probe process
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - constify sec_dfx_regs (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon/zip - constify struct debugfs_reg32
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/hpre - constify struct debugfs_reg32
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - Make qm_controller_reset() static
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - add more ACPI dependencies (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon/qm - fix build failure with ACPI off
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - stop qp by judging sq and cq tail
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - add controller reset support for SEC2
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/hpre - add controller reset support for HPRE
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/zip - add controller reset support for zip
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - add controller reset interface
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add vfs_num module parameter for hpre/sec
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - unify SR-IOV related codes into QM
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - put vfs_num into struct hisi_qm
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - Add new create qp process
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/hpre - Optimize finding hpre device process
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/zip - Use hisi_qm_alloc_qps_node() when init
  ctx (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/qm - Put device finding logic into QM
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - Add pbuffer mode for SEC driver
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - Update IV and MAC operation
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - Add iommu status check (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon/sec2 - Add workqueue for SEC driver
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Use one workqueue per qm instead of per qp
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - remove redundant assignment of pointer ctx
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Remove module_param uacce_mode
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Fix duplicate print when qm occur multiple
  errors (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Unify error detect process into qm
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Configure zip RAS error type (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Unify hardware error init/uninit into QM
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - fix spelling mistake "disgest" -> "digest"
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add branch prediction macro (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - adjust hpre_crt_para_get (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Fixed some tiny bugs of HPRE (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Bugfixed tfm leak (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Add aead support on SEC2 (jsc#SLE-16507
  jsc#SLE-15835).
- Refresh
  patches.suse/crypto-sha-split-sha.h-into-sha1.h-and-sha2.h.patch.
- crypto: hisilicon - redefine skcipher initiation (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Add branch prediction macro (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Add callback error check (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Adjust some inner logic (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Update QP resources of SEC V2 (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Update some names on SEC V2 (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - fix print/comment of SEC V2 (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Update debugfs usage of SEC V2
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - still no need to check return value of
  debugfs_create functions (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Remove useless MODULE macros (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Use the offset fields in sqe to avoid need
  to split scatterlists (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Fix issue with wrong number of sg elements
  after dma map (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon/sec2 - Use atomics instead of __sync
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - fix a NULL vs IS_ERR() bug in
  sec_create_qp_ctx() (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add DebugFS for HiSilicon SEC (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add SRIOV for HiSilicon SEC (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add HiSilicon SEC V2 driver (jsc#SLE-16507
  jsc#SLE-15835).
- Update config files. DEV_HISI_SEC2 as module
- supported.conf: add hisi_sec2
- crypto: hisilicon - no need to check return value of
  debugfs_create functions (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add vfs_num module param for zip
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - replace #ifdef with IS_ENABLED for
  CONFIG_NUMA (jsc#SLE-16507 jsc#SLE-15835).
- hwrng: hisi - add HiSilicon TRNG driver support (jsc#SLE-16507
  jsc#SLE-15835).
- Update config files. Enable HW_RANDOM_HISI_V2
- support.conf: add hisi-trng-v2
- crypto: hisilicon - fix to return sub-optimal device when best
  device has no qps (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - use sgl API to get sgl dma addr and len
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - fix endianness verification problem of QM
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - fix param should be static when not external
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Fix using plain integer as NULL pointer
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - tiny fix about QM/ZIP error callback print
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon: Fix misuse of GENMASK macro (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - select NEED_SG_DMA_LENGTH in qm Kconfig
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Add debugfs for HPRE (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add SRIOV support for HPRE (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add HiSilicon HPRE accelerator
  (jsc#SLE-16507 jsc#SLE-15835).
- Update config files. Enable CRYPTO_DEV_HISI_HPRE
- supported.conf: add hisi_hpre
- crypto: hisilicon - misc fix about sgl (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - fix large sgl memory allocation problem
  when disable smmu (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add sgl_sge_nr module param for zip
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - merge sgl support to hisi_qm module
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - allow compile-testing on x86 (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - avoid unused function warning (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - Fix return value check in
  hisi_zip_acompress() (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - Fix warning on printing %%p with dma_addr_t
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - fix error handle in hisi_zip_create_req_q
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add missing single_release (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - init curr_sgl_dma to fix compile warning
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - add dependency for CRYPTO_DEV_HISI_ZIP
  (jsc#SLE-16507 jsc#SLE-15835).
- crypto: hisilicon - fix kbuild warnings (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add debugfs for ZIP and QM (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add SRIOV support for ZIP (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add HiSilicon ZIP accelerator support
  (jsc#SLE-16507 jsc#SLE-15835).
- Update config files. Enable CRYPTO_DEV_HISI_ZIP
- supported.conf: add hisi_zip
- crypto: hisilicon - add hardware SGL support (jsc#SLE-16507
  jsc#SLE-15835).
- crypto: hisilicon - add queue management driver for HiSilicon
  QM module (jsc#SLE-16507 jsc#SLE-15835).
- Update config files. Enable CRYPTO_DEV_HISI_QM
- supported.conf: add hisi_qm
- commit 2188cb3
* Wed Dec 23 2020 bp@suse.de
- x86/ima: use correct identifier for SetupMode variable
  (bsc#1152489).
- commit 9b27f4f
* Wed Dec 23 2020 jlee@suse.com
- i2c: Revert incorrect conversion to use generic helper
  (jsc#SLE-16407).
- commit 80898a3
* Tue Dec 22 2020 bp@suse.de
- blacklist.conf: 3d51507f29f2 x86/entry/32: Add missing ASM_CLAC to general_protection entry
- commit 1aa31e3
* Tue Dec 22 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/mm-memory_failure-always-pin-the-page-in-madvise_inj.patch
- commit 4f786fa
* Tue Dec 22 2020 denis.kirjanov@suse.com
- Refresh
  patches.suse/arm64-force-no_block_mappings-if-crashkernel-reservation-is-required.patch.
- Refresh
  patches.suse/arm64-ignore-any-dma-offsets-in-the-max_zone_phys-calculation.patch.
- Refresh
  patches.suse/arm64-mm-move-reserve_crashkernel-into-mem_init.patch.
- Refresh
  patches.suse/arm64-mm-move-zone_dma_bits-initialization-into-zone_sizes_init.patch.
- Refresh
  patches.suse/arm64-mm-set-zone_dma-size-based-on-devicetree-s-dma-ranges.patch.
- Refresh
  patches.suse/arm64-mm-set-zone_dma-size-based-on-early-iort-scan.patch.
- Refresh
  patches.suse/ibmvnic-Clean-up-TX-code-and-TX-buffer-data-structur.patch.
- Refresh
  patches.suse/ibmvnic-Correctly-re-enable-interrupts-in-NAPI-polli.patch.
- Refresh
  patches.suse/ibmvnic-Do-not-replenish-RX-buffers-after-every-poll.patch.
- Refresh
  patches.suse/ibmvnic-Ensure-that-device-queue-memory-is-cache-lin.patch.
- Refresh
  patches.suse/ibmvnic-Introduce-batched-RX-buffer-descriptor-trans.patch.
- Refresh
  patches.suse/ibmvnic-Introduce-indirect-subordinate-Command-Respo.patch.
- Refresh
  patches.suse/ibmvnic-Introduce-xmit_more-support-using-batched-su.patch.
- Refresh patches.suse/ibmvnic-Remove-send_subcrq-function.patch.
- Refresh
  patches.suse/ibmvnic-Use-netdev_alloc_skb-instead-of-alloc_skb-to.patch.
- Refresh
  patches.suse/ibmvnic-fix-rx-buffer-tracking-and-index-management-.patch.
- Refresh patches.suse/net-smc-improve-return-codes-for-smc-dv2.
- Refresh
  patches.suse/of-address-introduce-of_dma_get_max_cpu_address.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-01-s390-cio-Export-information-about-Endpoint-Security-.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-02-s390-cio-Provide-Endpoint-Security-Mode-per-CU.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-03-s390-cio-Add-support-for-FCES-status-notification.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-04-s390-dasd-Remove-unused-parameter-from-dasd_generic_.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-05-s390-dasd-Move-duplicate-code-to-separate-function.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-06-s390-dasd-Store-path-configuration-data-during-path-.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-07-s390-dasd-Fix-operational-path-inconsistency.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-08-s390-dasd-Display-FC-Endpoint-Security-information-v.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-09-s390-dasd-Prepare-for-additional-path-event-handling.patch.
- Refresh
  patches.suse/s390-sles15sp3-03-10-s390-dasd-Process-FCES-path-event-notification.patch.
- Refresh
  patches.suse/scsi-fnic-avoid-looping-in-trans-eth-on-unload.
- Refresh
  patches.suse/scsi-fnic-change-shost_printk-to-fnic_fcs_dbg.
- Refresh
  patches.suse/scsi-fnic-change-shost_printk-to-fnic_main_dbg.
- Refresh
  patches.suse/scsi-fnic-set-scsi_set_resid-only-for-underflow.
- Refresh patches.suse/scsi-fnic-validate-io_req-before-others.
- commit 87eecb7
* Tue Dec 22 2020 glin@suse.com
- selftests/bpf: Print reason when a tester could not run a
  program (bsc#1155518).
- selftests/bpf: Fix invalid use of strncat in test_sockmap
  (bsc#1155518).
- samples: bpf: Refactor test_cgrp2_sock2 program with libbpf
  (bsc#1155518).
- samples/bpf: Remove unused test_ipip.sh (bsc#1155518).
- selftest/bpf: Add missed ip6ip6 test back (bsc#1155518).
- selftests/bpf/test_offload.py: Reset ethtool features after
  failed setting (bsc#1155518).
- commit 82533c7
* Tue Dec 22 2020 tiwai@suse.de
- clk: bcm: dvp: Add MODULE_DEVICE_TABLE() (git-fixes).
- clk: fsl-sai: fix memory leak (git-fixes).
- commit bba80c9
* Tue Dec 22 2020 tiwai@suse.de
- ASoC: wm8994: Fix PM disable depth imbalance on error
  (git-fixes).
- commit e953294
* Tue Dec 22 2020 tiwai@suse.de
- Update commit ids for already cherry-picked pinctrl patches
- commit 5e797b0
* Tue Dec 22 2020 tiwai@suse.de
- dmaengine: idxd: add IAX configuration support in the IDXD
  driver (jsc#SLE-13380).
- dmaengine: idxd: add ATS disable knob for work queues
  (jsc#SLE-13380).
- commit aca8d81
* Tue Dec 22 2020 tiwai@suse.de
- Add cherry-picked dup ID for IDXD patch
- commit 1fde049
* Tue Dec 22 2020 tiwai@suse.de
- Move ASoC patch into sorted section
  The patch was mistakenly put into nirvana because of badly tagged commit id.
- commit df0bd91
* Tue Dec 22 2020 tiwai@suse.de
- Move upstreamed IDXD patches into sorted section
- commit 6ca191c
* Tue Dec 22 2020 tiwai@suse.de
- clk: mvebu: a3700: fix the XTAL MODE pin to MPP1_9 (git-fixes).
- clk: sunxi-ng: Make sure divider tables have sentinel
  (git-fixes).
- clk: s2mps11: Fix a resource leak in error handling paths in
  the probe function (git-fixes).
- clk: ingenic: Fix divider calculation with div tables
  (git-fixes).
- clk: at91: sam9x60: remove atmel,osc-bypass support (git-fixes).
- clk: ti: Fix memleak in ti_fapll_synth_setup (git-fixes).
- clk: mediatek: Make mtk_clk_register_mux() a static function
  (git-fixes).
- clk: tegra: Fix duplicated SE clock entry (git-fixes).
- clk: tegra: Do not return 0 on failure (git-fixes).
- lan743x: fix for potential NULL pointer dereference with bare
  card (git-fixes).
- commit 21d14d2
* Tue Dec 22 2020 firo.yang@suse.com
- drivers/base/memory.c: indicate all memory blocks as removable
  (bsc#1180264).
- commit 64673b1
* Tue Dec 22 2020 bp@suse.de
- x86/cpu: Add a X86_MATCH_INTEL_FAM6_MODEL_STEPPINGS() macro
  (jsc#SLE-13358).
- commit 6c034c0
* Tue Dec 22 2020 bp@suse.de
- EDAC/i10nm: Add Intel Sapphire Rapids server support
  (jsc#SLE-13358).
- commit 991ab76
* Tue Dec 22 2020 bp@suse.de
- EDAC/i10nm: Use readl() to access MMIO registers
  (jsc#SLE-13358).
- commit 0389f79
* Mon Dec 21 2020 bp@suse.de
- EDAC: Add DDR5 new memory type (jsc#SLE-13358).
- commit add2e95
* Mon Dec 21 2020 jlee@suse.com
- ACPI: processor: Fix build for ARCH_APICTIMER_STOPS_ON_C3 unset
  (jsc#SLE-16407).
- ACPI: processor: Use CPUIDLE_FLAG_TIMER_STOP (jsc#SLE-16407).
- ACPI: OSL: Prevent acpi_release_memory() from returning too
  early (jsc#SLE-16407).
- ACPI: ioremap: avoid redundant rounding to OS page size
  (jsc#SLE-16407).
- ACPI: SoC: APD: Check return value of acpi_dev_get_property()
  (jsc#SLE-16407).
- ACPI: APD: Add a fmw property is_raven (jsc#SLE-16407).
- ACPI: APD: Change name from ST to FCH (jsc#SLE-16407).
- i2c: designware: Add device HID for Hygon I2C controller
  (jsc#SLE-16407).
- ACPI: NFIT: Fix ARS zero-sized allocation (jsc#SLE-16407).
- acpi: thermal: Don't call thermal_zone_device_is_enabled()
  (jsc#SLE-16407).
- thermal: Simplify or eliminate unnecessary set_mode() methods
  (jsc#SLE-16407).
- thermal: Use mode helpers in drivers (jsc#SLE-16407).
- thermal: Add mode helpers (jsc#SLE-16407).
- thermal: remove get_mode() operation of drivers (jsc#SLE-16407).
- thermal: Store device mode in struct thermal_zone_device
  (jsc#SLE-16407).
- thermal: Add current mode to thermal zone device
  (jsc#SLE-16407).
- thermal: Store thermal mode in a dedicated enum (jsc#SLE-16407).
  Refresh
  patches.suse/acpi_thermal_passive_blacklist.patch
- acpi: thermal: Fix error handling in the register function
  (jsc#SLE-16407).
- sched,acpi_pad: Convert to sched_set_fifo*() (jsc#SLE-16407).
- ACPI: Replace HTTP links with HTTPS ones (jsc#SLE-16407).
  Refresh
  patches.suse/0017-ACPI-NFIT-Define-runtime-firmware-activation-command.patch
- ACPI: Use valid link to the ACPI specification (jsc#SLE-16407).
- ACPI: Use fallthrough pseudo-keyword (jsc#SLE-16407).
- ACPI: APEI: remove redundant assignment to variable rc
  (jsc#SLE-16407).
- ACPI: NUMA: Remove the useless 'node >= MAX_NUMNODES' check
  (jsc#SLE-16407).
- ACPI: NUMA: Remove the useless sub table pointer check
  (jsc#SLE-16407).
- ACPI: tables: Remove the duplicated checks for
  acpi_parse_entries_array() (jsc#SLE-16407).
- ACPI: tables: avoid relocations for table signature array
  (jsc#SLE-16407).
- ACPI: OSL: Clean up the removal of unused memory mappings
  (jsc#SLE-16407).
- ACPI: OSL: Use deferred unmapping in acpi_os_unmap_iomem()
  (jsc#SLE-16407).
- ACPI: OSL: Use deferred unmapping in
  acpi_os_unmap_generic_address() (jsc#SLE-16407).
- ACPI: OSL: Implement deferred unmapping of ACPI memory
  (jsc#SLE-16407).
- ACPI: property: use cached name in
  acpi_fwnode_get_named_child_node() (jsc#SLE-16407).
- ACPI: EC: add newline when printing 'ec_event_clearing' module
  parameter (jsc#SLE-16407).
- ACPI: PAD: Eliminate usage of uninitialized_var() macro
  (jsc#SLE-16407).
- ACPI: sysfs: add newlines when printing module parameters
  (jsc#SLE-16407).
- ACPI: procfs: Remove last dirs after being marked deprecated
  for a decade (jsc#SLE-16407).
- Remove
  patches.suse/acpi-disable-deprecated-warnings.patch
- Update config files.
  x86_64/default removed CONFIG_ACPI_PROCFS_POWER=y
- ACPICA: Update version to 20200717 (jsc#SLE-16407).
- acpi: Extend TPM2 ACPI table with missing log fields
  (jsc#SLE-16407).
- libnvdimm: Replace guid_copy() with import_guid() where it
  makes sense (jsc#SLE-16407).
- thermal/of: Rename of-thermal.c (jsc#SLE-16407).
- ACPICA: Update version to 20200528 (jsc#SLE-16407).
- PCI: Rename _DSM constants to align with spec (jsc#SLE-16407).
- ACPI: DPTF: Add battery participant driver (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-DPTF-Add-battery-participant-for-TigerLake.patch
- ACPI: DPTF: Additional sysfs attributes for power participant
  driver (jsc#SLE-16407).
- ACPI / PMIC: Add i2c address for thermal control
  (jsc#SLE-16407).
- ACPI: utils: Add acpi_evaluate_reg() helper (jsc#SLE-16407).
- ACPI: Delete unused proc filename macros (jsc#SLE-16407).
- ACPI: debug: Make two functions static (jsc#SLE-16407).
- ACPI: processor: idle: Allow probing on platforms with one
  ACPI C-state (jsc#SLE-16407).
- ACPI: sleep: Put the FACS table after using it (jsc#SLE-16407).
- ACPI: scan: Put SPCR and STAO table after using it
  (jsc#SLE-16407).
- ACPI: EC: Put the ACPI table after using it (jsc#SLE-16407).
- ACPI: APEI: Put the HEST table for error path (jsc#SLE-16407).
- ACPI: APEI: Put the error record serialization table for error
  path (jsc#SLE-16407).
- ACPI: APEI: Put the error injection table for error path and
  module exit (jsc#SLE-16407).
- ACPI: APEI: Put the boot error record table after parsing
  (jsc#SLE-16407).
- ACPI: watchdog: Put the watchdog action table after parsing
  (jsc#SLE-16407).
- ACPI: LPIT: Put the low power idle table after using it
  (jsc#SLE-16407).
- ACPICA: Update version to 20200430 (jsc#SLE-16407).
- PM: sleep: core: Rename DPM_FLAG_LEAVE_SUSPENDED
  (jsc#SLE-16407).
- PM: sleep: core: Rename dev_pm_smart_suspend_and_suspended()
  (jsc#SLE-16407).
- PM: sleep: core: Rename dev_pm_may_skip_resume()
  (jsc#SLE-16407).
- PM: sleep: core: Rework the power.may_skip_resume handling
  (jsc#SLE-16407).
- PM: sleep: core: Do not skip callbacks in the resume phase
  (jsc#SLE-16407).
- PM: sleep: core: Fold functions into their callers
  (jsc#SLE-16407).
- PM: sleep: core: Simplify the SMART_SUSPEND flag handling
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Print type of wakeup debug messages
  (jsc#SLE-16407).
- ACPI/PCI: pci_link: use extended_irq union member when setting
  ext-irq shareable (jsc#SLE-16407).
- ACPI: button: Drop no longer necessary Asus T200TA
  lid_init_state quirk (jsc#SLE-16407).
- ACPI: EC: Fix up fast path check in acpi_ec_add()
  (jsc#SLE-16407).
- ACPI: NFIT: Replace zero-length array with flexible-array member
  (jsc#SLE-16407).
- ACPI: NUMA: Up-level "map to online node" functionality
  (jsc#SLE-16407).
- ACPICA: Update version 20200326 (jsc#SLE-16407).
- ACPICA: WSMT: Fix typo, no functional change (jsc#SLE-16407).
- ACPICA: Fix IVRS IVHD type 10h reserved field name
  (jsc#SLE-16407).
- ACPICA: Implement IVRS IVHD type 11h parsing (jsc#SLE-16407).
- ACPICA: Fix a typo in a comment field (jsc#SLE-16407).
- x86: ACPI: fix CPU hotplug deadlock (jsc#SLE-16407).
- PM: sleep: core: Drop racy and redundant checks from
  device_prepare() (jsc#SLE-16407).
  Refresh
  patches.suse/0011-PM-sleep-core-Rename-DPM_FLAG_NEVER_SKIP.patch
- PCI/ACPI: Move pcie_to_hpx3_type from stack to static data
  (jsc#SLE-16407).
- acpi: Remove header dependency (jsc#SLE-16407).
- ACPI: PCI: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-16407).
- ACPI: fan: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-16407).
- ACPI: EC: Eliminate EC_FLAGS_QUERY_HANDSHAKE (jsc#SLE-16407).
- ACPI: EC: Do not clear boot_ec_is_ecdt in acpi_ec_add()
  (jsc#SLE-16407).
- blacklist.conf:
  Removed
  65a691f5f8f0bb63d6a82eec7b0ffd193d8d8a5f # ACPI: not for stable, reverted below
  c85a7109f905f7848735ef50d7e63e5534c4e95d # ACPI: stable commit reverting the above
- ACPI: EC: Simplify acpi_ec_ecdt_start() and acpi_ec_init()
  (jsc#SLE-16407).
- ACPI: EC: Consolidate event handler installation code
  (jsc#SLE-16407).
- ACPI: EC: Use fast path in acpi_ec_add() for DSDT boot EC
  (jsc#SLE-16407).
- ACPI: EC: Simplify acpi_ec_add() (jsc#SLE-16407).
- ACPI: EC: Drop AE_NOT_FOUND special case from
  ec_install_handlers() (jsc#SLE-16407).
- ACPI: EC: Avoid passing redundant argument to functions
  (jsc#SLE-16407).
- ACPI: EC: Avoid printing confusing messages in acpi_ec_setup()
  (jsc#SLE-16407).
- ACPI: list_for_each_safe() -> list_for_each_entry_safe()
  (jsc#SLE-16407).
- ACPI: video: remove redundant assignments to variable result
  (jsc#SLE-16407).
- ACPI: OSL: Add missing __acquires/__releases annotations
  (jsc#SLE-16407).
- ACPI / battery: Cleanup Lenovo Ideapad Miix 320 DMI table entry
  (jsc#SLE-16407).
- ACPI / AC: Cleanup DMI quirk table (jsc#SLE-16407).
- ACPI: Add new tiny-power-button driver to directly signal init
  (jsc#SLE-16407).
  Update config files.
  x86_64/default add # CONFIG_ACPI_TINY_POWER_BUTTON is not set
  arm64/default add # CONFIG_ACPI_TINY_POWER_BUTTON is not set
- ACPI: button: move HIDs to acpi/button.h (jsc#SLE-16407).
- ACPICA: Update version to 20200214 (jsc#SLE-16407).
- PM: sleep: core: Use built-in RCU list checking (jsc#SLE-16407).
- i2c: designware: Add ACPI HID for Hisilicon Hip08-Lite I2C
  controller (jsc#SLE-16407).
- ACPI / APD: Add clock frequency for Hisilicon Hip08-Lite I2C
  controller (jsc#SLE-16407).
- ACPI/IORT: Parse SSID property of named component node
  (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-IORT-Add-an-input-ID-to-acpi_dma_configure.patch
- ACPI: thermal: switch to use <linux/units.h> helpers
  (jsc#SLE-16407).
- ACPI / LPSS: Rename pwm_backlight pwm-lookup to
  pwm_soc_backlight (jsc#SLE-16407).
- ACPI: PPTT: Consistently use unsigned int as parameter type
  (jsc#SLE-16407).
- ACPI: video: Use native backlight on Lenovo E41-25/45
  (jsc#SLE-16407).
- ACPI: video: fix typo in comment (jsc#SLE-16407).
- ACPICA: Update version to 20200110 (jsc#SLE-16407).
- ACPICA: Update version to 20191213 (jsc#SLE-16407).
- ACPICA: acpisrc: add unix line ending support for non-windows
  build (jsc#SLE-16407).
- ACPI: Fix Kconfig indentation (jsc#SLE-16407).
- ACPI: button: Add DMI quirk for Acer Switch 10 SW5-032
  lid-switch (jsc#SLE-16407).
- device property: Add a function to obtain a node's prefix
  (jsc#SLE-16407).
  Refresh
  patches.suse/device-property-export-fwnode_get_name.patch
- ACPI: HMAT: use %%u instead of %%d to print u32 values
  (jsc#SLE-16407).
- ACPI: NUMA: HMAT: fix a section mismatch (jsc#SLE-16407).
- ACPI: HMAT: don't mix pxm and nid when setting memory target
  processor_pxm (jsc#SLE-16407).
- ACPI: NUMA: HMAT: Register "soft reserved" memory as an "hmem"
  device (jsc#SLE-16407).
- ACPI: NUMA: HMAT: Register HMAT at device_initcall level
  (jsc#SLE-16407).
- device-dax: Add a driver for "hmem" devices (jsc#SLE-16407).
- Update config files.
  x86_64/default add CONFIG_DEV_DAX_HMEM=m
  arm64/default add CONFIG_DEV_DAX_HMEM=m
- supported.conf:
  - drivers/dax/dax_hmem
- ACPI: NUMA: Establish a new drivers/acpi/numa/ directory
  (jsc#SLE-16407).
  Update config files.
- ACPI: video: update doc for acpi_video_bus_DOS()
  (jsc#SLE-16407).
- ACPI: platform: Unregister stale platform devices
  (jsc#SLE-16407).
- ACPI / LPSS: Switch to use acpi_dev_hid_uid_match()
  (jsc#SLE-16407).
- ACPI / utils: Describe function parameters in kernel-doc
  (jsc#SLE-16407).
- ACPI: button: Remove unused acpi_lid_notifier_register()
  functions (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-button-fix-handling-lid-state-changes-when-inpu.patch
- ACPI: button: Add DMI quirk for Asus T200TA (jsc#SLE-16407).
- ACPI: button: Turn lid_blacklst DMI table into a generic quirk
  table (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-button-Add-DMI-quirk-for-Medion-Akoya-E2215T.patch
- ACPI: button: Allow disabling LID support with the
  lid_init_state module option (jsc#SLE-16407).
- ACPI: button: Refactor lid_init_state module parsing code
  (jsc#SLE-16407).
- ACPI / PMIC: Add Cherry Trail Crystal Cove PMIC OpRegion driver
  (jsc#SLE-16407).
- ACPI / PMIC: Add byt prefix to Crystal Cove PMIC OpRegion driver
  (jsc#SLE-16407).
- ACPI / PMIC: Do not register handlers for unhandled OpRegions
  (jsc#SLE-16407).
- ACPI: EC: add support for hardware-reduced systems
  (jsc#SLE-16407).
- ACPI: EC: tweak naming in preparation for GpioInt support
  (jsc#SLE-16407).
- ACPICA: Update version to 20191018 (jsc#SLE-16407).
- ACPI: OSI: Shoot duplicate word (jsc#SLE-16407).
- ACPI: processor_idle: Skip dummy wait if kernel is in guest
  (jsc#SLE-16407).
- acpi: Use pr_warn instead of pr_warning (jsc#SLE-16407).
  Refresh
  patches.suse/acpi-disable-deprecated-warnings.patch
- ACPI: HMAT: ACPI_HMAT_MEMORY_PD_VALID is deprecated since
  ACPI-6.3 (jsc#SLE-16407).
- PCI/ACPI: Remove unnecessary struct hotplug_program_ops
  (jsc#SLE-16407).
  Refresh
  patches.suse/pci-aer-add-pci_aer_raw_clear_status-to-unconditionally-clear-error-status
- PCI/ACPI: Move _HPP & _HPX functions to pci-acpi.c
  (jsc#SLE-16407).
  Refresh
  patches.suse/pci-aer-add-pci_aer_raw_clear_status-to-unconditionally-clear-error-status
- PCI/ACPI: Rename _HPX structs from hpp_* to hpx_*
  (jsc#SLE-16407).
- PCI: Move ASPM declarations to linux/pci.h (jsc#SLE-16407).
  Refresh
  patches.suse/r8169-improve-rtl_get_coalesce.patch
  patches.suse/mt76-mt76x2e-disable-pcie_aspm-by-default.patch
  patches.suse/mt76-fix-include-in-pci.h.patch
- ACPI: thermal: Remove redundant acpi_has_method() calls
  (jsc#SLE-16407).
- ACPI: SBS: remove unused const variable 'SMBUS_PEC'
  (jsc#SLE-16407).
- ACPI/PCI: Remove surplus parentheses from a return statement
  (jsc#SLE-16407).
- HMAT: Register attributes for memory hot add (jsc#SLE-16407).
  Refresh
  patches.suse/0001-HMAT-Skip-publishing-target-info-for-nodes-with-no-o.patch
- ACPI / APEI: Get rid of NULL_UUID_LE constant (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-APEI-Kick-the-memory_failure-queue-for-synchron.patch
- ACPICA: Update version to 20190816 (jsc#SLE-16407).
- ACPICA: Macros: remove pointer math on a null pointer
  (jsc#SLE-16407).
- ACPI: PM: Print debug messages on device power state changes
  (jsc#SLE-16407).
- PM: sleep: Drop dpm_noirq_begin() and dpm_noirq_end()
  (jsc#SLE-16407).
- PM: sleep: Integrate suspend-to-idle with generig suspend flow
  (jsc#SLE-16407).
- drivers: Introduce device lookup variants by ACPI_COMPANION
  device (jsc#SLE-16407).
- Refresh
  patches.suse/drivers-base-implement-dev_enable_async_probe.patch
  patches.suse/i2c-acpi-put-device-when-verifying-client-fails.patch
- acpi: Use built-in RCU list checking for acpi_ioremaps list
  (jsc#SLE-16407).
- commit 2e42a5c
* Mon Dec 21 2020 osalvador@suse.de
- mm,memory_failure: always pin the page in madvise_inject_error
  (bsc#1180258).
- commit 7fb306a
* Mon Dec 21 2020 bp@suse.de
- x86/mm/ident_map: Check for errors from ident_pud_init()
  (bsc#1152489).
- commit 37afaed
* Mon Dec 21 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/IB-isert-Fix-unaligned-immediate-data-handling.patch
  patches.suse/IB-mthca-fix-return-value-of-error-branch-in-mthca_i.patch
  patches.suse/IB-rdmavt-Fix-sizeof-mismatch.patch
  patches.suse/IB-srpt-Fix-memory-leak-in-srpt_add_one.patch
  patches.suse/IB-uverbs-Set-IOVA-on-IB-MR-in-uverbs-layer.patch
  patches.suse/RDMA-bnxt_re-Do-not-add-user-qps-to-flushlist.patch
  patches.suse/RDMA-core-Fix-bogus-WARN_ON-during-ib_unregister_dev.patch
  patches.suse/RDMA-core-Fix-reported-speed-and-width.patch
  patches.suse/RDMA-core-Fix-return-error-value-in-_ib_modify_qp-to.patch
  patches.suse/RDMA-core-Free-DIM-memory-in-error-unwind.patch
  patches.suse/RDMA-core-Stop-DIM-before-destroying-CQ.patch
  patches.suse/RDMA-counter-Allow-manually-bind-QPs-with-different-.patch
  patches.suse/RDMA-counter-Only-bind-user-QPs-in-auto-mode.patch
  patches.suse/RDMA-hns-Bugfix-for-memory-window-mtpt-configuration.patch
  patches.suse/RDMA-netlink-Remove-CAP_NET_RAW-check-when-dump-a-ra.patch
  patches.suse/RDMA-pvrdma-Fix-missing-kfree-in-pvrdma_register_dev.patch
  patches.suse/RDMA-qedr-Endianness-warnings-cleanup.patch
  patches.suse/RDMA-qedr-Fix-memory-leak-in-iWARP-CM.patch
  patches.suse/RDMA-qedr-SRQ-s-bug-fixes.patch
  patches.suse/RDMA-rxe-Drop-pointless-checks-in-rxe_init_ports.patch
  patches.suse/RDMA-rxe-Fix-memleak-in-rxe_mem_init_user.patch
  patches.suse/RDMA-rxe-Fix-skb-lifetime-in-rxe_rcv_mcast_pkt.patch
  patches.suse/RDMA-rxe-Fix-the-parent-sysfs-read-when-the-interfac.patch
  patches.suse/RDMA-rxe-Handle-skb_clone-failure-in-rxe_recv.c.patch
  patches.suse/RDMA-rxe-Prevent-access-to-wr-next-ptr-afrer-wr-is-p.patch
  patches.suse/RDMA-rxe-Remove-unused-rxe_mem_map_pages.patch
  patches.suse/RDMA-rxe-Return-void-from-rxe_init_port_param.patch
  patches.suse/RDMA-rxe-Return-void-from-rxe_mem_init_dma.patch
  patches.suse/RDMA-rxe-Skip-dgid-check-in-loopback-mode.patch
  patches.suse/RDMA-srpt-Fix-typo-in-srpt_unregister_mad_agent-docs.patch
- commit 2dad798
* Mon Dec 21 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/scsi-mpt3sas-add-bypass_dirty_port_flag-parameter
  patches.suse/scsi-mpt3sas-add-module-parameter-multipath_on_hba
  patches.suse/scsi-mpt3sas-allocate-memory-for-hba_port-objects
  patches.suse/scsi-mpt3sas-bump-driver-version-to-35-101-00-00
  patches.suse/scsi-mpt3sas-define-hba_port-structure
  patches.suse/scsi-mpt3sas-get-device-objects-using-sas_address-portid
  patches.suse/scsi-mpt3sas-get-sas_device-objects-using-device-s-rphy
  patches.suse/scsi-mpt3sas-handle-vses-vphy-object-during-hba-reset
  patches.suse/scsi-mpt3sas-handling-hba-vses-device
  patches.suse/scsi-mpt3sas-rearrange-scsih_mark_responding_sas_device
  patches.suse/scsi-mpt3sas-rename-transport_del_phy_from_an_existing_port
  patches.suse/scsi-mpt3sas-set-valid-physicalport-in-smppassthrough
  patches.suse/scsi-mpt3sas-update-hba_port-objects-after-host-reset
  patches.suse/scsi-mpt3sas-update-hba_port-s-sas_address-phy_mask
- commit a2950eb
* Mon Dec 21 2020 bp@suse.de
- EDAC/i10nm: Use readl() to access MMIO registers (bsc#1152489).
- commit a3a0100
* Mon Dec 21 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/powerpc-perf-Fix-crash-with-is_sier_available-when-p.patch
- commit adb35a0
* Mon Dec 21 2020 glin@suse.com
- samples/bpf: Fix possible hang in xdpsock with multiple threads
  (bsc#1177028).
- libbpf: Sanitise map names before pinning (bsc#1177028).
- samples: bpf: Refactor hbm program with libbpf (bsc#1177028).
- tools/bpftool: Fix build slowdown (bsc#1177028).
- bpf: Fix propagation of 32-bit signed bounds from 64-bit bounds
  (bsc#1177028).
- selftests/bpf/test_offload.py: Filter bpftool internal map
  when counting maps (bsc#1177028).
- selftests/bpf/test_offload.py: Fix expected case of extack
  messages (bsc#1177028).
- selftests/bpf/test_offload.py: Only check verifier log on
  verification fails (bsc#1177028).
- selftests/bpf/test_offload.py: Remove check for program load
  flags match (bsc#1177028).
- xdp: Remove the xdp_attachment_flags_ok() callback
  (bsc#1177028).
- tools/bpftool: Fix PID fetching with a lot of results
  (bsc#1177028).
- selftests/bpf: Drain ringbuf samples at the end of test
  (bsc#1177028).
- libbpf: Fix ring_buffer__poll() to return number of consumed
  samples (bsc#1177028).
- commit fa84f47
* Mon Dec 21 2020 glin@suse.com
- series.conf: refresh
- update upstream references and resort:
  patches.suse/arm64-force-no_block_mappings-if-crashkernel-reservation-is-required.patch.
  patches.suse/arm64-ignore-any-dma-offsets-in-the-max_zone_phys-calculation.patch.
  patches.suse/arm64-mm-move-reserve_crashkernel-into-mem_init.patch.
  patches.suse/arm64-mm-move-zone_dma_bits-initialization-into-zone_sizes_init.patch.
  patches.suse/arm64-mm-set-zone_dma-size-based-on-devicetree-s-dma-ranges.patch.
  patches.suse/arm64-mm-set-zone_dma-size-based-on-early-iort-scan.patch.
  patches.suse/ibmvnic-Clean-up-TX-code-and-TX-buffer-data-structur.patch.
  patches.suse/ibmvnic-Correctly-re-enable-interrupts-in-NAPI-polli.patch.
  patches.suse/ibmvnic-Do-not-replenish-RX-buffers-after-every-poll.patch.
  patches.suse/ibmvnic-Ensure-that-device-queue-memory-is-cache-lin.patch.
  patches.suse/ibmvnic-Introduce-batched-RX-buffer-descriptor-trans.patch.
  patches.suse/ibmvnic-Introduce-indirect-subordinate-Command-Respo.patch.
  patches.suse/ibmvnic-Introduce-xmit_more-support-using-batched-su.patch.
  patches.suse/ibmvnic-Remove-send_subcrq-function.patch.
  patches.suse/ibmvnic-Use-netdev_alloc_skb-instead-of-alloc_skb-to.patch.
  patches.suse/ibmvnic-fix-rx-buffer-tracking-and-index-management-.patch.
  patches.suse/net-smc-improve-return-codes-for-smc-dv2.
  patches.suse/of-address-introduce-of_dma_get_max_cpu_address.patch.
  patches.suse/powerpc-perf-Add-generic-and-cache-event-list-for-po.patch.
  patches.suse/powerpc-perf-Add-new-power-PMU-flag-PPMU_P10_DD1-for.patch.
  patches.suse/powerpc-perf-Drop-the-check-for-SIAR_VALID.patch.
  patches.suse/powerpc-perf-Fix-crash-with-is_sier_available-when-p.patch.
  patches.suse/powerpc-perf-Fix-the-PMU-group-constraints-for-thres.patch.
  patches.suse/powerpc-perf-Fix-to-update-cache-events-with-l2l3-ev.patch.
  patches.suse/powerpc-perf-Fix-to-update-generic-event-codes-for-p.patch.
  patches.suse/powerpc-perf-Fix-to-update-radix_scope_qual-in-power.patch.
  patches.suse/powerpc-perf-Invoke-per-CPU-variable-access-with-dis.patch.
  patches.suse/powerpc-perf-MMCR0-control-for-PMU-registers-under-P.patch.
  patches.suse/powerpc-perf-Update-the-PMU-group-constraints-for-l2.patch.
  patches.suse/powerpc-perf-Use-regs-nip-when-SIAR-is-zero.patch.
  patches.suse/powerpc-perf-Use-the-address-from-SIAR-register-to-s.patch.
  patches.suse/s390-sles15sp3-03-01-s390-cio-Export-information-about-Endpoint-Security-.patch.
  patches.suse/s390-sles15sp3-03-02-s390-cio-Provide-Endpoint-Security-Mode-per-CU.patch.
  patches.suse/s390-sles15sp3-03-03-s390-cio-Add-support-for-FCES-status-notification.patch.
  patches.suse/s390-sles15sp3-03-04-s390-dasd-Remove-unused-parameter-from-dasd_generic_.patch.
  patches.suse/s390-sles15sp3-03-05-s390-dasd-Move-duplicate-code-to-separate-function.patch.
  patches.suse/s390-sles15sp3-03-06-s390-dasd-Store-path-configuration-data-during-path-.patch.
  patches.suse/s390-sles15sp3-03-07-s390-dasd-Fix-operational-path-inconsistency.patch.
  patches.suse/s390-sles15sp3-03-08-s390-dasd-Display-FC-Endpoint-Security-information-v.patch.
  patches.suse/s390-sles15sp3-03-09-s390-dasd-Prepare-for-additional-path-event-handling.patch.
  patches.suse/s390-sles15sp3-03-10-s390-dasd-Process-FCES-path-event-notification.patch.
  patches.suse/scsi-fnic-avoid-looping-in-trans-eth-on-unload.
  patches.suse/scsi-fnic-change-shost_printk-to-fnic_fcs_dbg.
  patches.suse/scsi-fnic-change-shost_printk-to-fnic_main_dbg.
  patches.suse/scsi-fnic-set-scsi_set_resid-only-for-underflow.
  patches.suse/scsi-fnic-validate-io_req-before-others.
- commit 41ceac4
* Mon Dec 21 2020 tiwai@suse.de
- rtc: pcf2127: fix pcf2127_nvmem_read/write() returns
  (git-fixes).
- commit fe3d756
* Mon Dec 21 2020 tiwai@suse.de
- rtc: ep93xx: Fix NULL pointer dereference in
  ep93xx_rtc_read_time (git-fixes).
- rtc: hym8563: enable wakeup when applicable (git-fixes).
- commit 52e449a
* Sun Dec 20 2020 tiwai@suse.de
- pwm: imx27: Fix overflow for bigger periods (git-fixes).
- firmware: tegra: fix strncpy()/strncat() confusion (git-fixes).
- mtd: spi-nor: ignore errors in spi_nor_unlock_all() (git-fixes).
- mtd: spi-nor: sst: fix BPn bits for the SST25VF064C (git-fixes).
- iwlwifi: sta: set max HE max A-MPDU according to HE capa
  (git-fixes).
- commit 48bc7b1
* Sun Dec 20 2020 tiwai@suse.de
- power: supply: bq24190_charger: fix reference leak (git-fixes).
- power: supply: axp288_charger: Fix HP Pavilion x2 10 DMI
  matching (git-fixes).
- HSI: omap_ssi: Don't jump to free ID in ssi_add_controller()
  (git-fixes).
- pwm: lp3943: Dynamically allocate PWM chip base (git-fixes).
- pwm: zx: Add missing cleanup in error path (git-fixes).
- commit 22a0fb4
* Fri Dec 18 2020 lduncan@suse.com
- Fixed 14 mpt3sas patches, now upstream (jsc#SLE-16914, bsc#1177733)
  Should be no functional change, bu the patches are updated
  with commit ID, and moved to the proper place in series.conf.
- commit eef3811
* Fri Dec 18 2020 martin.wilck@suse.com
- scsi: core: Fix VPD LUN ID designator priorities (bsc#1178049).
- commit efdf30e
* Fri Dec 18 2020 ykaukab@suse.de
- spi: spi-nxp-fspi: fix fspi panic by unexpected interrupts
  (bsc#1180214).
- rtc: pcf2127: fix a bug when not specify interrupts property
  (bsc#1180214).
- rtc: fsl-ftm-alarm: update acpi device id (bsc#1180214).
- ahci: qoriq: enable acpi support in qoriq ahci driver
  (bsc#1180214).
- spi: spi-nxp-fspi: Add ACPI support (bsc#1180214).
- commit 8759723
* Fri Dec 18 2020 oneukum@suse.com
- supported.conf: Declare qat4xxx supported externally by Intel
- commit b7913fb
* Fri Dec 18 2020 lduncan@suse.com
- scsi: mpt3sas: Bump driver version to 35.101.00.00
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Add module parameter multipath_on_hba
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Handle vSES vphy object during HBA reset
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Add bypass_dirty_port_flag parameter
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Handling HBA vSES device (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Set valid PhysicalPort in SMPPassThrough
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Update hba_port objects after host reset
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Get sas_device objects using device's rphy
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Rename transport_del_phy_from_an_existing_port()
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Get device objects using sas_address & portID
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Update hba_port's sas_address & phy_mask
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Rearrange _scsih_mark_responding_sas_device()
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Allocate memory for hba_port objects
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Define hba_port structure (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: A small correction in _base_process_reply_queue
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Fix sync irqs (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Detect tampered Aero and Sea adapters
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Remove pci-dma-compat wrapper API (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Remove superfluous memset() (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Update driver version to 35.100.00.00
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Postprocessing of target and LUN reset
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Add functions to check if any cmd is outstanding
  on Target and LUN (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Rename and export interrupt mask/unmask functions
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Cancel the running work during host reset
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Dump system registers for debugging
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Memset config_cmds.reply buffer with zeros
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Don't call disable_irq from IRQ poll handler
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Fix set but unused variable (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Fix error returns in BRM_status_show
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Fix unlock imbalance (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Fix memset() in non-RDPQ mode (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Fix reply queue count in non RDPQ mode
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Fix double free warnings (jsc#SLE-16914,
  bsc#1177733).
- scsi: mpt3sas: Disable DIF when prot_mask set to zero
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Capture IOC data for debugging purposes
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Use true, false for ioc->use_32bit_dma
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Remove NULL check before freeing function
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Update mpt3sas version to 33.101.00.00
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Handle RDPQ DMA allocation in same 4G region
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Separate out RDPQ allocation to new function
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Rename function name is_MSB_are_same
  (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: Don't change the DMA coherent mask after
  allocations (jsc#SLE-16914, bsc#1177733).
- scsi: mpt3sas: use true,false for bool variables (jsc#SLE-16914,
  bsc#1177733).
- commit 5bf7889
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - add capability detection logic in qat_4xxx
  (jsc#SLE-14454).
- commit 83336e3
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - add AES-XTS support for QAT GEN4 devices
  (jsc#SLE-14454).
- Refresh patches.suse/QAT-add-suse_kabi_padding.patch.
- commit 3755a1e
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - add AES-CTR support for QAT GEN4 devices
  (jsc#SLE-14454).
- commit 5393983
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - fix excluded_middle.cocci warnings
  (jsc#SLE-14454).
- commit a62bf18
* Thu Dec 17 2020 mbenes@suse.cz
- tracing: Fix race in trace_open and buffer resize call
  (CVE-2020-27825 bsc#1179960).
- commit c590ed4
* Thu Dec 17 2020 mbenes@suse.cz
- ring-buffer: speed up buffer resets by avoiding synchronize_rcu
  for each CPU (CVE-2020-27825 bsc#1179960).
- commit d308278
* Thu Dec 17 2020 mbenes@suse.cz
- ring-buffer: Make resize disable per cpu buffer instead of
  total buffer (CVE-2020-27825 bsc#1179960).
- commit 95e9004
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - add gen4 firmware loader (jsc#SLE-14454).
- commit 9d44e54
* Thu Dec 17 2020 tiwai@suse.de
- Drop a backported uvcvideo patch that caused a regression (bsc#1180117)
  Also blacklisting the commit
- commit b185b93
* Thu Dec 17 2020 pjakobsson@suse.de
- blacklist.conf: Remove temporary drm path blacklist
- commit f037d4c
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - add qat_4xxx driver (jsc#SLE-14454).
  Update config files.
- commit 8df8685
* Thu Dec 17 2020 oneukum@suse.com
- crypto: s390/sha1 - prefix the "sha1_" functions
  (jsc#SLE-14454).
- commit aad706f
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - add hook to initialize vector routing table
  (jsc#SLE-14454).
- commit 21c4c5c
* Thu Dec 17 2020 bp@suse.de
- x86/resctrl: Fix incorrect local bandwidth when mba_sc is
  enabled (bsc#1152489).
- x86/resctrl: Remove unused struct mbm_state::chunks_bw
  (bsc#1152489).
- commit b4996a1
* Thu Dec 17 2020 oneukum@suse.com
- crypto: powerpc/sha1 - prefix the "sha1_" functions
  (jsc#SLE-14454).
- commit 7a8e9d4
* Thu Dec 17 2020 dwagner@suse.de
- nvmet-fc: fix missing check for no hostport struct
  (bsc#1176942).
- commit 7fab8fc
* Thu Dec 17 2020 dwagner@suse.de
- scsi: qla2xxx: Update version to 10.02.00.104-k (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Fix device loss on 4G and older HBAs (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: If fcport is undergoing deletion complete I/O
  with retry (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Fix the call trace for flush workqueue
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Fix flash update in 28XX adapters on big endian
  machines (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Handle aborts correctly for port undergoing
  deletion (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Fix N2N and NVMe connect retry failure
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Fix FW initialization error on big endian
  machines (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Fix crash during driver load on big endian
  machines (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Fix compilation issue in PPC systems (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Don't check for fw_started while posting NVMe
  command (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Tear down session if FW say it is down
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Limit interrupt vectors to number of CPUs
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Change post del message from debug level to
  log level (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Remove in_interrupt() from qla83xx-specific code
  (bsc#1171688 bsc#1172733).
- scsi: target: tcm_qla2xxx: Remove BUG_ON(in_interrupt())
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Remove in_interrupt() from qla82xx-specific code
  (bsc#1171688 bsc#1172733).
- commit 298833c
* Thu Dec 17 2020 oneukum@suse.com
- crypto: qat - target fw images to specific AEs (jsc#SLE-14454).
- commit e7e8777
* Thu Dec 17 2020 dwagner@suse.de
- scsi: qla2xxx: Move sess cmd list/lock to driver (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Drop TARGET_SCF_LOOKUP_LUN_FROM_TAG (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Return EBUSY on fcport deletion (bsc#1171688
  bsc#1172733).
  Replace patches.suse/qla2xxx-return-ebusy-on-fcport-deletion.patch
  with upstream version.
- scsi: qla2xxx: remove incorrect sparse #ifdef (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Fix return of uninitialized value in rval
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Convert to DEFINE_SHOW_ATTRIBUTE (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Initialize variable in qla8044_poll_reg()
  (bsc#1171688 bsc#1172733).
- scsi: qla2xxx: Do not consume srb greedily (bsc#1171688
  bsc#1172733).
- scsi: qla2xxx: Handle incorrect entry_type entries (bsc#1171688
  bsc#1172733).
- commit 3c29fc6
* Thu Dec 17 2020 bp@suse.de
- x86/mm/mem_encrypt: Fix definition of PMD_FLAGS_DEC_WP
  (bsc#1152489).
- commit 994c3ae
* Thu Dec 17 2020 dwagner@suse.de
- scsi: qla2xxx: Use constant when it is known (bsc#1171688
  bsc#1172733).
  Refresh:
  - patches.suse/qla2xxx-return-ebusy-on-fcport-deletion.patch
- commit cfc1ae5
* Thu Dec 17 2020 oneukum@suse.com
- crypto: sha - split sha.h into sha1.h and sha2.h
  (jsc#SLE-14454).
- Refresh
  patches.suse/add-product-identifying-information-to-vmcoreinfo.patch.
- commit 8180f5f
* Thu Dec 17 2020 dwagner@suse.de
- scsi: lpfc: Fix fall-through warnings for Clang (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Correct null ndlp reference on routine exit
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Use generic power management (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix variable 'vport' set but not used in
  lpfc_sli4_abts_err_handler() (bsc#1175480 bsc#1176396
  bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix missing prototype for
  lpfc_nvmet_prep_abort_wqe() (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Fix set but unused variables
  in lpfc_dev_loss_tmo_handler() (bsc#1175480 bsc#1176396
  bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix set but not used warnings from Rework remote
  port lock handling (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Fix missing prototype warning for
  lpfc_fdmi_vendor_attr_mi() (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Fix memory leak on lcb_context (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Remove dead code on second !ndlp check (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix pointer defereference before it is null checked
  issue (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Update changed file copyrights for 2020 (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Update lpfc version to 12.8.0.6 (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Convert abort handling to SLI-3 and SLI-4 handlers
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Convert SCSI I/O completions to SLI-3 and SLI-4
  handlers (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Convert SCSI path to use common I/O submission path
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Enable common send_io interface for SCSI and NVMe
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Enable common wqe_template support for both SCSI
  and NVMe (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Refactor WQE structure definitions for common use
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix NPIV Fabric Node reference counting (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix NPIV discovery and Fabric Node detection
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Unsolicited ELS leaves node in incorrect state while
  dropping it (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Remove ndlp when a PLOGI/ADISC/PRLI/REG_RPI
  ultimately fails (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Rework remote port lock handling (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix refcounting around SCSI and NVMe transport APIs
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix removal of SCSI transport device get and put on
  dev structure (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Rework locations of ndlp reference taking
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Rework remote port ref counting and node freeing
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_nvmet: Fix-up some formatting and doc-rot
  issues (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_nvme: Fix some kernel-doc related issues
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_nvme: Remove unused variable 'phba'
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_bsg: Provide correct documentation for a bunch
  of functions (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_debugfs: Fix a couple of function documentation
  issues (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_attr: Fix-up a bunch of kernel-doc
  misdemeanours (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_attr: Demote kernel-doc format for redefined
  functions (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: lpfc_scsi: Fix a whole host of kernel-doc issues
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Update lpfc version to 12.8.0.5 (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Reject CT request for MIB commands (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Add FDMI Vendor MIB support (bsc#1175480 bsc#1176396
  bsc#1176942 bsc#1177500).
- scsi: lpfc: Enlarge max_sectors in scsi host templates
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix duplicate wq_create_version check (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Removed unused macros in lpfc_attr.c (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Re-fix use after free in lpfc_rq_buf_free()
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix scheduling call while in softirq context
  in lpfc_unreg_rpi (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Fix invalid sleeping context in
  lpfc_sli4_nvmet_alloc() (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: Remove unneeded break statements (bsc#1175480 bsc#1176396
  bsc#1176942 bsc#1177500).
- scsi: lpfc: Remove unneeded variable 'status' in
  lpfc_fcp_cpu_map_store() (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Drop nodelist reference on error in lpfc_gen_req()
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Remove set but not used 'qp' (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix spelling mistake "Cant" -> "Can't" (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Fix initial FLOGI failure due to BBSCN not supported
  (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Update lpfc version to 12.8.0.4 (bsc#1175480
  bsc#1176396 bsc#1176942 bsc#1177500).
- scsi: lpfc: Extend the RDF FPIN Registration descriptor
  for additional events (bsc#1175480 bsc#1176396 bsc#1176942
  bsc#1177500).
- scsi: lpfc: Fix FLOGI/PLOGI receive race condition in pt2pt
  discovery (bsc#1175480 bsc#1176396 bsc#1176942 bsc#1177500).
- commit 6c7ebde
* Thu Dec 17 2020 tiwai@suse.de
- soc: amlogic: canvas: add missing put_device() call in
  meson_canvas_get() (git-fixes).
- drivers: soc: ti: knav_qmss_queue: Fix error return code in
  knav_queue_probe (git-fixes).
- soc: ti: Fix reference imbalance in knav_dma_probe (git-fixes).
- soc: ti: knav_qmss: fix reference leak in knav_queue_probe
  (git-fixes).
- soc: qcom: smp2p: Safely acquire spinlock without IRQs
  (git-fixes).
- soc: mediatek: Check if power domains can be powered on at
  boot time (git-fixes).
- soc/tegra: fuse: Fix index bug in get_process_id (git-fixes).
- soc: renesas: rmobile-sysc: Fix some leaks in
  rmobile_init_pm_domains() (git-fixes).
- soc: fsl: dpio: Get the cpumask through cpumask_of(cpu)
  (git-fixes).
- spi: spi-nxp-fspi: fix fspi panic by unexpected interrupts
  (git-fixes).
- commit 37de46f
* Thu Dec 17 2020 tiwai@suse.de
- platform/x86: intel-vbtn: Support for tablet mode on HP Pavilion
  13 x360 PC (git-fixes).
- Refresh
  patches.suse/platform-x86-intel-vbtn-Allow-switch-events-on-Acer-.patch.
- commit b789099
* Thu Dec 17 2020 tiwai@suse.de
- pinctrl: falcon: add missing put_device() call in
  pinctrl_falcon_probe() (git-fixes).
- mtd: rawnand: gpmi: Fix the random DMA timeout issue
  (git-fixes).
- mtd: rawnand: meson: Fix a resource leak in init (git-fixes).
- pinctrl: amd: remove debounce filter setting in IRQ type setting
  (git-fixes).
- platform/x86: touchscreen_dmi: Add info for the Irbis TW118
  tablet (git-fixes).
- platform/x86: acer-wmi: add automatic keyboard background
  light toggle key as KEY_LIGHTS_TOGGLE (git-fixes).
- platform/x86: thinkpad_acpi: Add BAT1 is primary battery quirk
  for Thinkpad Yoga 11e 4th gen (git-fixes).
- platform/x86: thinkpad_acpi: Do not report SW_TABLET_MODE on
  Yoga 11e (git-fixes).
- commit 3fd302b
* Thu Dec 17 2020 tiwai@suse.de
- mtd: rawnand: gpmi: fix reference count leak in gpmi ops
  (git-fixes).
- mtd: rawnand: meson: fix meson_nfc_dma_buffer_release()
  arguments (git-fixes).
- mtd: rawnand: qcom: Fix DMA sync on FLASH_STATUS register read
  (git-fixes).
- mtd: spinand: Fix OOB read (git-fixes).
- mfd: rt5033: Fix errorneous defines (git-fixes).
- Input: cm109 - do not stomp on control URB (git-fixes).
- Input: i8042 - add Acer laptops to the i8042 reset list
  (git-fixes).
- iwlwifi: mvm: fix kernel panic in case of assert during CSA
  (git-fixes).
- iwlwifi: pcie: limit memory read spin time (git-fixes).
- commit d3789b9
* Thu Dec 17 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/scsi-fnic-avoid-looping-in-trans-eth-on-unload
  patches.suse/scsi-fnic-change-shost_printk-to-fnic_fcs_dbg
  patches.suse/scsi-fnic-change-shost_printk-to-fnic_main_dbg
  patches.suse/scsi-fnic-set-scsi_set_resid-only-for-underflow
  patches.suse/scsi-fnic-validate-io_req-before-others
- commit 3190615
* Thu Dec 17 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/ibmvnic-add-some-debugs.patch
- commit 5542884
* Wed Dec 16 2020 rgoldwyn@suse.com
- fix regression in "epoll: Keep a reference on files added to the check list"  (bsc#1180031, git-fixes).
- commit 775fe31
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add support for broadcasting mode (jsc#SLE-14454).
- commit 3eb975b
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add support for shared ustore (jsc#SLE-14454).
- commit 8208824
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - allow to target specific AEs (jsc#SLE-14454).
- commit 95c0bc6
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add FCU CSRs to chip info (jsc#SLE-14454).
- commit cced259
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add CSS3K support (jsc#SLE-14454).
- commit 5745db4
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - use ae_mask (jsc#SLE-14454).
- commit 8f00dce
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add check for null pointer (jsc#SLE-14454).
- crypto: qat - add misc control CSR to chip info (jsc#SLE-14454).
- crypto: qat - add wake up event to chip info (jsc#SLE-14454).
- commit 5b4f1a7
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add clock enable CSR to chip info (jsc#SLE-14454).
- commit 0a0ceac
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add reset CSR and mask to chip info
  (jsc#SLE-14454).
- crypto: qat - add local memory size to chip info
  (jsc#SLE-14454).
- commit 668485e
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add support for lm2 and lm3 (jsc#SLE-14454).
- commit 7ae2a53
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add next neighbor to chip_info (jsc#SLE-14454).
- crypto: qat - replace check based on DID (jsc#SLE-14454).
- commit 5d786df
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - introduce chip info structure (jsc#SLE-14454).
- crypto: qat - refactor long expressions (jsc#SLE-14454).
- commit 417a900
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - refactor qat_uclo_set_ae_mode() (jsc#SLE-14454).
- commit a769fdf
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - move defines to header files (jsc#SLE-14454).
- commit 316c7a5
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove global CSRs helpers (jsc#SLE-14454).
- commit 4eedc22
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - refactor AE start (jsc#SLE-14454).
- commit 20a1098
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - change micro word data mask (jsc#SLE-14454).
- crypto: qat - change type for ctx_mask (jsc#SLE-14454).
- crypto: qat - add support for relative FW ucode loading
  (jsc#SLE-14454).
- commit d529f37
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - rename qat_uclo_del_uof_obj() (jsc#SLE-14454).
- commit 67574e7
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - introduce additional parenthesis (jsc#SLE-14454).
- commit 755a426
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove unnecessary parenthesis (jsc#SLE-14454).
- commit 4966907
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - fix error message (jsc#SLE-14454).
- crypto: qat - fix CSR access (jsc#SLE-14454).
- commit 9206fc3
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - support for mof format in fw loader
  (jsc#SLE-14454).
- crypto: qat - replace pci with PCI in comments (jsc#SLE-14454).
- commit 9c9c3c5
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove cast for mailbox CSR (jsc#SLE-14454).
- commit 62896ad
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove unneeded semicolon (jsc#SLE-14454).
- commit 9e0b68a
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - extend ae_mask (jsc#SLE-14454).
- commit e36c762
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - allow for instances in different banks
  (jsc#SLE-14454).
- commit d74dd80
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - refactor qat_crypto_dev_config() (jsc#SLE-14454).
- commit 7b787fc
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - refactor qat_crypto_create_instances()
  (jsc#SLE-14454).
- commit d0bcaed
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - change return value in adf_cfg_key_val_get()
  (jsc#SLE-14454).
- commit f698585
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - change return value in
  adf_cfg_add_key_value_param() (jsc#SLE-14454).
- commit 707ca4a
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove unnecessary void* casts (jsc#SLE-14454).
- commit 428b2be
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - call functions in adf_sriov if available
  (jsc#SLE-14454).
- commit 56a083b
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove hardcoded bank irq clear flag mask
  (jsc#SLE-14454).
- commit 87975f0
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - abstract writes to arbiter enable (jsc#SLE-14454).
- commit c2673fd
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - use BIT_ULL() - 1 pattern for masks
  (jsc#SLE-14454).
- commit 4e50301
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - replace constant masks with GENMASK
  (jsc#SLE-14454).
- commit ace21f7
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - abstract build ring base (jsc#SLE-14454).
- commit 45f06e6
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - enable ring after pair is programmed
  (jsc#SLE-14454).
- commit 876666b
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - register crypto instances based on capability
  (jsc#SLE-14454).
- Refresh patches.suse/QAT-add-suse_kabi_padding.patch.
- commit f62a6a6
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add support for capability detection
  (jsc#SLE-14454).
- commit f5cb13a
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/srpt: Fix typo in srpt_unregister_mad_agent docstring (bsc#1152489)
- commit b808e1d
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Handle skb_clone() failure in rxe_recv.c (bsc#1152489)
- commit ad662c6
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Endianness warnings cleanup (bsc#1152489)
- commit c3cca6a
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - abstract arbiter access (jsc#SLE-14454).
- commit 8234ef6
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove unused macros in arbiter module
  (jsc#SLE-14454).
- commit ace40aa
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove writes into WQCFG (jsc#SLE-14454).
- commit 1f08531
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - update constants table (jsc#SLE-14454).
- commit 42213a3
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - use admin mask to send fw constants
  (jsc#SLE-14454).
- commit 82fccc5
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - change admin sequence (jsc#SLE-14454).
- crypto: qat - rename ME in AE (jsc#SLE-14454).
- commit 3b63177
* Wed Dec 16 2020 rgoldwyn@suse.com
- do_epoll_ctl(): clean the failure exits up a bit
  (bsc#1180031,CVE-2020-0466).
- epoll: Keep a reference on files added to the check list
  (bsc#1180031).
- commit 5e9b787
* Wed Dec 16 2020 mbenes@suse.cz
- blacklist.conf: bcee52789588 ("tracing: Fix userstacktrace option for instances")
  The kernel is missing many prerequisities. It is not worth it as it is.
- commit e39f16a
* Wed Dec 16 2020 tiwai@suse.de
- Update patch reference for wireless fix (CVE-2020-27068 bsc#1180086)
- commit 170f743
* Wed Dec 16 2020 tiwai@suse.de
- platform/x86: mlx-platform: Fix item counter assignment for
  MSN2700/ComEx system (git-fixes).
- mmc: sdhci: tegra: fix wrong unit with busy_timeout (git-fixes).
- spi: imx: fix reference leak in two imx operations (git-fixes).
- driver: core: Fix list corruption after device_del()
  (git-fixes).
- iwlwifi: dbg-tlv: fix old length in is_trig_data_contained()
  (git-fixes).
- mt76: mt7615: fix rdd mcu cmd endianness (git-fixes).
- mt76: mt7915: fix endian issues (git-fixes).
- mt76: fix tkip configuration for mt7615/7663 devices
  (git-fixes).
- mt76: fix memory leak if device probing fails (git-fixes).
- mt76: mt7915: fix sparse warning cast from restricted __le16
  (git-fixes).
- mt76: set fops_tx_stats.owner to THIS_MODULE (git-fixes).
- mt76: mt7915: set fops_sta_stats.owner to THIS_MODULE
  (git-fixes).
- mt76: add back the SUPPORTS_REORDERING_BUFFER flag (git-fixes).
- Bluetooth: btusb: Fix detection of some fake CSR controllers
  with a bcdDevice val of 0x0134 (git-fixes).
- Bluetooth: Fix: LL PRivacy BLE device fails to connect
  (git-fixes).
- brcmfmac: fix error return code in brcmf_cfg80211_connect()
  (git-fixes).
- brcmfmac: Fix memory leak for unpaired brcmf_{alloc/free}
  (git-fixes).
- rtw88: remove extraneous 'const' qualifier (git-fixes).
- drm/doc: Document that modifiers are always required for fb
  (git-fixes).
- netdevsim: Add debugfs toggle to reject BPF programs in verifier
  (git-fixes).
- commit 3b2d7b6
* Wed Dec 16 2020 tiwai@suse.de
- platform/x86: mlx-platform: remove an unused variable
  (git-fixes).
- USB: serial: option: add interface-number sanity check to flag
  handling (git-fixes).
- commit bff4f99
* Wed Dec 16 2020 tiwai@suse.de
- USB: serial: mos7720: fix parallel-port state restore
  (git-fixes).
- xhci-pci: Allow host runtime PM as default for Intel Alpine
  Ridge LP (git-fixes).
- commit f265436
* Wed Dec 16 2020 tiwai@suse.de
- USB: serial: digi_acceleport: fix write-wakeup deadlocks
  (git-fixes).
- USB: serial: keyspan_pda: fix write unthrottling (git-fixes).
- USB: serial: keyspan_pda: fix tx-unthrottle use-after-free
  (git-fixes).
- USB: serial: keyspan_pda: fix write-wakeup use-after-free
  (git-fixes).
- USB: serial: keyspan_pda: fix stalled writes (git-fixes).
- USB: serial: keyspan_pda: fix write deadlock (git-fixes).
- USB: serial: keyspan_pda: fix dropped unthrottle interrupts
  (git-fixes).
- usb: oxu210hp-hcd: Fix memory leak in oxu_create (git-fixes).
- usb: ehci-omap: Fix PM disable depth umbalance in
  ehci_hcd_omap_probe (git-fixes).
- usb: mtu3: fix memory corruption in mtu3_debugfs_regset()
  (git-fixes).
- commit 7596d48
* Wed Dec 16 2020 tiwai@suse.de
- spi: atmel-quadspi: Fix AHB memory accesses (git-fixes).
- spi: mt7621: Disable clock in probe error path (git-fixes).
- usb: chipidea: ci_hdrc_imx: Pass DISABLE_DEVICE_STREAMING flag
  to imx6ul (git-fixes).
- usb/max3421: fix return error code in max3421_probe()
  (git-fixes).
- commit 6c576b3
* Wed Dec 16 2020 tiwai@suse.de
- spi: davinci: Fix use-after-free on unbind (git-fixes).
- spi: fix resource leak for drivers without .remove callback
  (git-fixes).
- spi: mxs: fix reference leak in mxs_spi_probe (git-fixes).
- spi: st-ssc4: Fix unbalanced pm_runtime_disable() in probe
  error path (git-fixes).
- spi: pic32: Don't leak DMA channels in probe error path
  (git-fixes).
- spi: synquacer: Disable clock in probe error path (git-fixes).
- wimax: fix duplicate initializer warning (git-fixes).
- commit 51e204b
* Wed Dec 16 2020 tiwai@suse.de
- spi: sprd: fix reference leak in sprd_spi_remove (git-fixes).
- spi: atmel-quadspi: Disable clock in probe error path
  (git-fixes).
- spi: bcm63xx-hsspi: fix missing clk_disable_unprepare() on
  error in bcm63xx_hsspi_resume (git-fixes).
- spi: tegra114: fix reference leak in tegra spi ops (git-fixes).
- spi: tegra20-sflash: fix reference leak in tegra_sflash_resume
  (git-fixes).
- spi: tegra20-slink: fix reference leak in slink ops of tegra20
  (git-fixes).
- spi: mt7621: fix missing clk_disable_unprepare() on error in
  mt7621_spi_probe (git-fixes).
- spi: spi-ti-qspi: fix reference leak in ti_qspi_setup
  (git-fixes).
- spi: stm32: fix reference leak in stm32_spi_resume (git-fixes).
- spi: spi-mem: fix reference leak in spi_mem_access_start
  (git-fixes).
- commit 51236be
* Wed Dec 16 2020 tiwai@suse.de
- soc: qcom: geni: More properly switch to DMA mode (git-fixes).
- spi: spi-mem: Fix passing zero to 'PTR_ERR' warning (git-fixes).
- spi: img-spfi: fix reference leak in img_spfi_resume
  (git-fixes).
- regulator: mcp16502: add linear_min_sel (git-fixes).
- regulator: axp20x: Fix DLDO2 voltage control register mask
  for AXP22x (git-fixes).
- speakup: fix uninitialized flush_lock (git-fixes).
- slimbus: qcom-ngd-ctrl: Avoid sending power requests without
  QMI (git-fixes).
- serial: 8250_omap: Avoid FIFO corruption caused by MDR1 access
  (git-fixes).
- rsi: fix error return code in rsi_reset_card() (git-fixes).
- commit 8a400aa
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - add packed to init admin structures
  (jsc#SLE-14454).
- commit bffc702
* Wed Dec 16 2020 tiwai@suse.de
- PCI: iproc: Fix out-of-bound array accesses (git-fixes).
- platform/x86: mlx-platform: Fix item counter assignment for
  MSN2700, MSN24xx systems (git-fixes).
- platform/x86: dell-smbios-base: Fix error return code in
  dell_smbios_init (git-fixes).
- platform/x86: intel-vbtn: Allow switch events on Acer Switch
  Alpha 12 (git-fixes).
- platform/x86: mlx-platform: Remove PSU EEPROM from MSN274x
  platform configuration (git-fixes).
- platform/x86: mlx-platform: Remove PSU EEPROM from default
  platform configuration (git-fixes).
- Revert "platform/x86: wmi: Destroy on cleanup rather than
  unregister" (git-fixes).
- platform/chrome: cros_ec_spi: Don't overwrite spi::mode
  (git-fixes).
- regmap: Remove duplicate `type` field from regmap
  `regcache_sync` trace event (git-fixes).
- qtnfmac: fix error return code in qtnf_pcie_probe() (git-fixes).
- commit 4690027
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - abstract admin interface (jsc#SLE-14454).
- commit 10773c4
* Wed Dec 16 2020 tiwai@suse.de
- PCI: brcmstb: Initialize "tmp" before use (git-fixes).
- PCI: Fix pci_slot_release() NULL pointer dereference
  (git-fixes).
- memstick: r592: Fix error return in r592_probe() (git-fixes).
- mmc: pxamci: Fix error return code in pxamci_probe (git-fixes).
- memstick: fix a double-free bug in memstick_check (git-fixes).
- staging: olpc_dcon: Do not call platform_device_unregister()
  in dcon_probe() (git-fixes).
- nfc: s3fwrn5: Release the nfc firmware (git-fixes).
- orinoco: Move context allocation after processing the skb
  (git-fixes).
- mwifiex: fix mwifiex_shutdown_sw() causing sw reset failure
  (git-fixes).
- commit e021aed
* Wed Dec 16 2020 tiwai@suse.de
- Input: cyapa_gen6 - fix out-of-bounds stack access (git-fixes).
- Input: omap4-keypad - fix runtime PM error handling (git-fixes).
- Input: ads7846 - fix unaligned access on 7845 (git-fixes).
- Input: ads7846 - fix integer overflow on Rt calculation
  (git-fixes).
- Input: ads7846 - fix race that causes missing releases
  (git-fixes).
- iio: adc: rockchip_saradc: fix missing clk_disable_unprepare()
  on error in rockchip_saradc_resume (git-fixes).
- iio:adc:ti-ads124s08: Fix alignment and data leak issues
  (git-fixes).
- iio:adc:ti-ads124s08: Fix buffer being too long (git-fixes).
- iwlwifi: mvm: hook up missing RX handlers (git-fixes).
- mac80211: don't set set TDLS STA bandwidth wider than possible
  (git-fixes).
- commit 2fd9b35
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - relocate GEN2 CSR access code (jsc#SLE-14454).
- commit aa3be04
* Wed Dec 16 2020 tiwai@suse.de
- cpufreq: vexpress-spc: Add missing MODULE_ALIAS (git-fixes).
- Revert "i2c: i2c-qcom-geni: Fix DMA transfer race" (git-fixes).
- iio:pressure:mpl3115: Force alignment of buffer (git-fixes).
- iio:magnetometer:mag3110: Fix alignment and data leak issues
  (git-fixes).
- iio:light:st_uvis25: Fix timestamp alignment and prevent data
  leak (git-fixes).
- iio:light:rpr0521: Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio: buffer: Fix demux update (git-fixes).
- extcon: max77693: Fix modalias string (git-fixes).
- cw1200: fix missing destroy_workqueue() on error in
  cw1200_init_common (git-fixes).
- commit 59cf4f4
* Wed Dec 16 2020 tiwai@suse.de
- cpufreq: scpi: Add missing MODULE_ALIAS (git-fixes).
- cpufreq: loongson1: Add missing MODULE_ALIAS (git-fixes).
- cpufreq: st: Add missing MODULE_DEVICE_TABLE (git-fixes).
- cpufreq: mediatek: Add missing MODULE_DEVICE_TABLE (git-fixes).
- cpufreq: highbank: Add missing MODULE_DEVICE_TABLE (git-fixes).
- cpufreq: ap806: Add missing MODULE_DEVICE_TABLE (git-fixes).
- staging: comedi: mf6x4: Fix AI end-of-conversion detection
  (git-fixes).
- bus: fsl-mc: fix error return code in fsl_mc_object_allocate()
  (git-fixes).
- commit 172d8d6
* Wed Dec 16 2020 ykaukab@suse.de
- drm/tegra: output: Don't leak OF node on error (jsc#SLE-15847).
- commit 17189d0
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - split transport CSR access logic (jsc#SLE-14454).
- commit a3a10f0
* Wed Dec 16 2020 ykaukab@suse.de
- phy: tegra: xusb: Fix usb_phy device driver field (jsc#SLE-15847).
- clk: tegra: bpmp: Clamp clock rates on requests (jsc#SLE-15847).
- cpufreq: tegra194: Rename tegra194_get_speed_common function (jsc#SLE-15847).
- cpufreq: tegra194: Remove unnecessary frequency calculation (jsc#SLE-15847).
- cpufreq: tegra186: Simplify cluster information lookup (jsc#SLE-15847).
- cpufreq: tegra186: Fix sparse 'incorrect type in assignment' warning (jsc#SLE-15847).
- cpufreq: tegra194: get consistent cpuinfo_cur_freq (jsc#SLE-15847).
- phy: tegra: Don't warn on probe deferral (jsc#SLE-15847).
- drm/tegra: output: Do not put OF node twice (jsc#SLE-15847).
- drm/tegra: sor: Don't warn on probe deferral (jsc#SLE-15847).
- cpufreq: tegra186: Fix get frequency callback (jsc#SLE-15847).
- memory: tegra: Remove GPU from DRM IOMMU group (jsc#SLE-15847).
- drm/tegra: Properly reference count the DDC I2C adapter
  (jsc#SLE-15847).
- iommu/tegra-smmu: Prune IOMMU group when it is released
  (jsc#SLE-15847).
- iommu/tegra-smmu: Balance IOMMU group reference count
  (jsc#SLE-15847).
- iommu/tegra-smmu: Set IOMMU group name (jsc#SLE-15847).
- cpufreq: tegra186: Fix initial frequency (jsc#SLE-15847).
- commit 9e4289a
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - fix configuration of iov threads (jsc#SLE-14454).
- commit 4028436
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - num_rings_per_bank is device dependent
  (jsc#SLE-14454).
- crypto: qat - mask device capabilities with soft straps
  (jsc#SLE-14454).
- commit a55dc52
* Wed Dec 16 2020 tiwai@suse.de
- Bluetooth: btmtksdio: Add the missed release_firmware() in
  mtk_setup_firmware() (git-fixes).
- Bluetooth: btusb: Add the missed release_firmware() in
  btusb_mtk_setup_firmware() (git-fixes).
- Bluetooth: hci_h5: fix memory leak in h5_close (git-fixes).
- Bluetooth: Fix slab-out-of-bounds read in
  hci_le_direct_adv_report_evt() (git-fixes).
- Bluetooth: Fix null pointer dereference in hci_event_packet()
  (git-fixes).
- ath10k: Release some resources in an error handling path
  (git-fixes).
- ath10k: Fix an error handling path (git-fixes).
- ath6kl: fix enum-conversion warning (git-fixes).
- commit 35aef63
* Wed Dec 16 2020 tiwai@suse.de
- ath10k: Fix the parsing error in service available event
  (git-fixes).
- commit ae02c89
* Wed Dec 16 2020 tiwai@suse.de
- Revert "ACPI / resources: Use AE_CTRL_TERMINATE to terminate
  resources walks" (git-fixes).
- commit 2779aa4
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: qcom: common: Fix refcounting in qcom_snd_parse_of()
  (git-fixes).
- commit 4c7929f
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: max98390: Fix error codes in max98390_dsm_init()
  (git-fixes).
- commit 9ec9be4
* Wed Dec 16 2020 tiwai@suse.de
- soundwire: intel: fix another unused-function warning
  (jsc#SLE-16518).
- soundwire: master: use pm_runtime_set_active() on add
  (jsc#SLE-16518).
- soundwire: qcom: Fix build failure when slimbus is module
  (jsc#SLE-16518).
- commit 5c4cbf1
* Wed Dec 16 2020 tiwai@suse.de
- Move upstreamed soundwire patches into sorted section
- commit 9be4676
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- IB/srpt: Fix memory leak in srpt_add_one (bsc#1152489)
- commit da75bee
* Wed Dec 16 2020 tiwai@suse.de
- soundwire: Fix DEBUG_LOCKS_WARN_ON for uninitialized attribute
  (jsc#SLE-16518).
- commit d23ae0b
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/hns: Bugfix for memory window mtpt configuration (bsc#1152489)
- commit 4f3475b
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- IB/mthca: fix return value of error branch in mthca_init_cq() (bsc#1152489)
- commit c98a089
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/pvrdma: Fix missing kfree() in pvrdma_register_device() (bsc#1152489)
- commit baad43e
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: fix the condition passed to
  sof_dev_dbg_or_err (jsc#SLE-16518).
- ASoC: SOF: modify the SOF_DBG flags (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: remove duplicated status dump
  (jsc#SLE-16518).
- ASoC: SOF: imx: update kernel-doc description (jsc#SLE-16518).
- ASoC: topology: Fix wrong size check (jsc#SLE-16518).
- ASoC: topology: Add missing size check (jsc#SLE-16518).
- ASoC: SOF: Intel: add SoundWire support for ADL-S
  (jsc#SLE-16518).
- ASoC: Intel: common: add ACPI matching tables for Alder Lake
  (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_nau8824: Change SSP2-Codec DAI id to 0
  (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_nau8824: Drop compress-cpu-dai bits
  (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: Add support for tgl_rt1011_rt5682
  (jsc#SLE-16518).
- commit df54797
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix memory leak in iWARP CM (bsc#1152489)
- commit db44ceb
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix skb lifetime in rxe_rcv_mcast_pkt() (bsc#1152489)
- commit 1de4514
* Wed Dec 16 2020 nmoreychaisemartin@suse.com
- IB/rdmavt: Fix sizeof mismatch (bsc#1152489)
- commit 677c5ba
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: trace: Add runtime trace filtering mechanism
  (jsc#SLE-16518).
- ASoC: SOF: control: fix cppcheck warning in
  snd_sof_volume_info() (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: add sof_icl_ops for ICL platforms
  (jsc#SLE-16518).
- ASoC: SOF: ops: modify the signature of stall op
  (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse cavs extra config data elem
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: define parse_platform_ext_manifest op
  (jsc#SLE-16518).
- ASoC: SOF: ops: add parse_platform_ext_manifest() op
  (jsc#SLE-16518).
- ASoC: SOF: Add `memory_info` file to debugfs (jsc#SLE-16518).
- ASoC: SOF: Change section comment for SOF_IPC_TEST_
  (jsc#SLE-16518).
- ASoC: SOF: Improve code alignment in header.h (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: Parse firmware config dictionary
  (jsc#SLE-16518).
- ASoC: SOF: nocodec: modify DAI link definitions (jsc#SLE-16518).
- ASoC: SOF: IPC: fix implicit type overflow (jsc#SLE-16518).
- commit 478e999
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: allow for coexistence between SOF and catpt
  drivers (jsc#SLE-16518).
- Update config files.
- commit f7947cd
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: hda: intel-dsp-config: ignore dsp_driver parameter for
  PCI legacy devices (jsc#SLE-16518).
- commit 63ddb05
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: broadwell: set card and driver name dynamically
  (jsc#SLE-16518).
- ALSA: hda: intel-dsp-config: add Broadwell ACPI DSP driver
  selection (jsc#SLE-16518).
- commit dbb4f88
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: allow for coexistence between SOF and Atom/SST
  drivers (jsc#SLE-16518).
- Update config files.
- commit 5c50712
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - update IV in software (jsc#SLE-14454).
- Refresh patches.suse/QAT-add-suse_kabi_padding.patch.
- commit 02c439a
* Wed Dec 16 2020 oneukum@suse.com
- crypto: qat - remove unused function (jsc#SLE-14454).
- commit edc1305
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: Atom: add dynamic selection of DSP driver
  (jsc#SLE-16518).
- commit 7c727eb
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: acpi: add dynamic selection of DSP driver
  (jsc#SLE-16518).
- commit 14933b4
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: byt/cht: set pm ops dynamically (jsc#SLE-16518).
- commit 5bab293
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: boards: byt/cht: set card and driver name at run
  time (jsc#SLE-16518).
- commit 8837dc6
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: hda: intel-dsp-config: add helper for ACPI DSP driver
  selection (jsc#SLE-16518).
- commit 18cdfb4
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: bdw-rt5677: add missing pm_ops (jsc#SLE-16518).
- commit 25029ef
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: Boards: tgl_max98373: add dpcm_capture flag for
  speaker_smart_amp (jsc#SLE-16518).
- commit d6b111c
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: Simplify remove_widget function (jsc#SLE-16518).
- commit b057eed
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: Remove empty functions (jsc#SLE-16518).
- commit 3f721cb
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: Change allocations to resource managed
  (jsc#SLE-16518).
- commit ea837e4
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: Unify all device references (jsc#SLE-16518).
- commit 10328ad
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: Remove multistep topology loading
  (jsc#SLE-16518).
- commit 364e86e
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: Remove unused functions from topology API
  (jsc#SLE-16518).
- commit 0dc5676
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: soc-acpi: add helper to identify parent driver
  (jsc#SLE-16518).
- commit d308530
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: broadwell: add missing pm_ops (jsc#SLE-16518).
- commit bab05a6
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: control: override volume info callback
  (jsc#SLE-16518).
- commit 67c8df2
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: add hw specific PCM constraints
  (jsc#SLE-16518).
- commit 02c0e0b
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: relax PCM period and buffer size constraints
  (jsc#SLE-16518).
- commit ce00821
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Fix 7/8 spaces indentation in Kconfig (jsc#SLE-16518).
- commit 53e4ae3
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: intel: SND_SOC_INTEL_KEEMBAY should depend on ARCH_KEEMBAY
  (jsc#SLE-16518).
- commit a961770
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: keembay: use inclusive language for bclk and fsync
  (jsc#SLE-16518).
- commit 726a785
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: atom: use inclusive language for SSP bclk/fsync
  (jsc#SLE-16518).
- commit 3078a9f
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: use inclusive language for bclk and fsync
  (jsc#SLE-16518).
- commit d738d67
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: topology: use inclusive language for bclk and fsync
  (jsc#SLE-16518).
- commit 3e92b8e
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: fix Kconfig dependency for
  SND_INTEL_DSP_CONFIG (jsc#SLE-16518).
- commit 65bf32d
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: fix Kconfig punctuation and wording
  (jsc#SLE-16518).
- commit e2d566a
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Kconfig: fix Kconfig punctuation and wording
  (jsc#SLE-16518).
- commit 32e6a72
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: imx: fix Kconfig punctuation (jsc#SLE-16518).
- commit f4194f0
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: sof_sdw: add quirk for new TigerLake-SDCA device
  (jsc#SLE-16518).
- commit 7aadcdd
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: loader: do not warn about unknown firmware headers
  (jsc#SLE-16518).
- commit 1bf0f28
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: intel: sof_rt5682: Add quirk for Dooly (jsc#SLE-16518).
- commit 8100bff
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: intel: sof_rt5682: Add support for cml_rt1015_rt5682
  (jsc#SLE-16518).
- commit bb5fa3d
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: sof-audio: remove goto used for force-nocodec support
  (jsc#SLE-16518).
- commit 81aeb29
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: topology: remove const in sizeof() (jsc#SLE-16518).
- commit 66b10d3
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: control: remove const in sizeof() (jsc#SLE-16518).
- commit 2b84b77
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: use semicolons rather than commas to
  separate statements (jsc#SLE-16518).
- commit 3f2432e
* Wed Dec 16 2020 jslaby@suse.cz
- inet_ecn: Fix endianness of checksum update when setting ECT(1)
  (git-fixes).
- commit 492cf46
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: Intel: bytcr_rt5651: use semicolons rather than commas
  to separate statements (jsc#SLE-16518).
- commit 6d8047e
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: SOF: Intel: initial support for Alderlake-S
  (jsc#SLE-13489).
- Update config files.
- commit fac4baf
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: amd: support other audio modes for raven (git-fixes).
- ASoC: AMD Renoir - add DMI table to avoid the ACP mic probe
  (broken BIOS) (git-fixes).
- ASoC: AMD Raven/Renoir - fix the PCI probe (PCI revision)
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for ARCHOS Cesium 140
  (git-fixes).
- ASoC: Intel: Boards: tgl_max98373: update TDM slot_width
  (git-fixes).
- ASoC: amd: Return -ENODEV for non-existing ACPI call
  (git-fixes).
- ASoC: amd: Downgrade print level for invalid ACP mode
  (git-fixes).
- commit 7df7491
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: hda/ca0132 - Add ZxR surround DAC setup (git-fixes).
- ALSA: hda/ca0132 - Add 8051 PLL write helper functions
  (git-fixes).
- ALSA: hda/ca0132 - Remove now unnecessary DSP setup functions
  (git-fixes).
- ALSA: hda/ca0132 - Ensure DSP is properly setup post-firmware
  download (git-fixes).
- ALSA: hda/ca0132 - Add 8051 exram helper functions (git-fixes).
- ALSA: hda/ca0132 - Add stream port remapping function
  (git-fixes).
- ALSA: hda/ca0132 - Reset codec upon initialization (git-fixes).
- ALSA: hda/hdmi: fix silent stream for first playback to DP
  (git-fixes).
- ALSA: seq: Use bool for snd_seq_queue internal flags
  (git-fixes).
- ALSA: hda/ca0132: Move unsol callback setups to parser
  (git-fixes).
- ALSA: compress: allow pause and resume during draining
  (git-fixes).
- ALSA: hdspm: Fix fall-through warnings for Clang (git-fixes).
- ALSA: remove unneeded break (git-fixes).
- commit 24cbc87
* Wed Dec 16 2020 tiwai@suse.de
- ASoC: amd: change clk_get() to devm_clk_get() and add missed
  checks (git-fixes).
- ASoC: cx2072x: Fix doubly definitions of Playback and Capture
  streams (git-fixes).
- ASoC: meson: fix COMPILE_TEST error (git-fixes).
- ASoC: arizona: Fix a wrong free in wm8997_probe (git-fixes).
- ASoC: wm8998: Fix PM disable depth imbalance on error
  (git-fixes).
- ASoC: pcm: DRAIN support reactivation (git-fixes).
- ASoC: ti: davinci-mcasp: remove always zero of
  davinci_mcasp_get_dt_params (git-fixes).
- ASoC: sun4i-i2s: Fix lrck_period computation for I2S justified
  mode (git-fixes).
- ASoC: tegra20-spdif: remove "default m" (git-fixes).
- ASoC: wm_adsp: remove "ctl" from list on error in
  wm_adsp_create_control() (git-fixes).
- ASoC: jz4740-i2s: add missed checks for clk_get() (git-fixes).
- ASoC: SOF: control: fix size checks for ext_bytes control .get()
  (git-fixes).
- commit 8f99a8a
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: hda/ca0132 - Change Input Source enum strings (git-fixes).
- ALSA: hda/ca0132 - Fix AE-5 rear headphone pincfg (git-fixes).
- commit 4d4db90
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: hda: Fix regressions on clear and reconfig sysfs
  (git-fixes).
- commit f6ae090
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: pcm: oss: Fix potential out-of-bounds shift (git-fixes).
- ALSA: rawmidi: Access runtime->avail always in spinlock
  (git-fixes).
- ALSA: seq: remove useless function (git-fixes).
- commit 87f324b
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: hda/realtek - Add supported for more Lenovo ALC285
  Headset Button (git-fixes).
- ALSA: hda/realtek - Enable headset mic of ASUS Q524UQK with
  ALC255 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of ASUS X430UN with
  ALC256 (git-fixes).
- ALSA: hda/realtek: make bass spk volume adjustable on a yoga
  laptop (git-fixes).
- ALSA: hda/hdmi: packet buffer index must be set before reading
  value (git-fixes).
- ALSA: hda/hdmi: always print pin NIDs as hexadecimal
  (git-fixes).
- ALSA: hda/proc - print DP-MST connections (git-fixes).
- commit b46aa44
* Wed Dec 16 2020 tiwai@suse.de
- ALSA: usb-audio: Fix potential out-of-bounds shift (git-fixes).
- ALSA: usb-audio: Fix control 'access overflow' errors from chmap
  (git-fixes).
- ALSA: usb-audio: Add implicit fb support for Steinberg UR22
  (git-fixes).
- ALSA: usb-audio: Add quirk for Pioneer DJ DDJ-SR2 (git-fixes).
- ALSA: usb-audio: Add support for Pioneer DJ DDJ-RR controller
  (git-fixes).
- commit cbe79ef
* Wed Dec 16 2020 tiwai@suse.de
- Move upstreamed USB-audio patches into sorted section
- commit 6078fcf
* Wed Dec 16 2020 lduncan@suse.com
- scsi: fnic: Validate io_req before others (bsc#1175079).
- scsi: fnic: Set scsi_set_resid() only for underflow
  (bsc#1175079).
- scsi: fnic: Change shost_printk() to FNIC_MAIN_DBG()
  (bsc#1175079).
- scsi: fnic: Avoid looping in TRANS ETH on unload (bsc#1175079).
- scsi: fnic: Change shost_printk() to FNIC_FCS_DBG()
  (bsc#1175079).
- commit 140fd58
* Wed Dec 16 2020 fweisbecker@suse.de
- sched/fair: Fix overutilized update in enqueue_task_fair() (git-fixes)
- commit aad16e5
* Wed Dec 16 2020 fweisbecker@suse.de
- sched: correct SD_flags returned by tl->sd_flags() (git-fixes)
- commit 323fa02
* Wed Dec 16 2020 fweisbecker@suse.de
- sched/fair: Refill bandwidth before scaling (git-fixes)
- commit 6f148d9
* Tue Dec 15 2020 fweisbecker@suse.de
- sched/fair: Fix race between runtime distribution and (git-fixes)
- commit 73cd7f5
* Tue Dec 15 2020 fweisbecker@suse.de
- sched/fair: Fix wrong cpu selecting from isolated domain (git-fixes)
- commit c4c367e
* Tue Dec 15 2020 oneukum@suse.com
- Update
  patches.suse/HID-Fix-slab-out-of-bounds-read-in-hid_field_extract.patch
  (bsc#1180052).
  Identified as security issue. bsc added.
- commit 02607b9
* Tue Dec 15 2020 oneukum@suse.com
- Update
  patches.suse/HID-Fix-slab-out-of-bounds-read-in-hid_field_extract.patch
  (bsc#1180052).
  Patch identified as security issue. bsc added.
- commit 88ee41b
* Tue Dec 15 2020 vbabka@suse.cz
- mm: memcg: fix memcg reclaim soft lockup (VM Functionality,
  bsc#1180056).
- commit 3a73547
* Tue Dec 15 2020 nsaenzjulienne@suse.de
- crypto: caam - fix printing on xts fallback allocation error
  path (git-fixes).
- commit fd68750
* Tue Dec 15 2020 oneukum@suse.com
- crypto: qat - fix status check in qat_hal_put_rel_rd_xfer()
  (git-fixes).
- commit e1943c2
* Tue Dec 15 2020 oneukum@suse.com
- crypto: qat - fix status check in qat_hal_put_rel_rd_xfer()
  (git-fixes).
- commit 9a7e1fb
* Tue Dec 15 2020 jslaby@suse.cz
- iommu/hyper-v: Remove I/O-APIC ID check from
  hyperv_irq_remapping_select() (jsc#SLE-16823).
- iommu/amd: Fix IOMMU interrupt generation in X2APIC mode
  (jsc#SLE-16823).
- iommu/amd: Fix union of bitfields in intcapxt support
  (jsc#SLE-16823).
- x86/ioapic: Correct the PCI/ISA trigger type selection
  (jsc#SLE-16823).
- commit 2f4c498
* Tue Dec 15 2020 jslaby@suse.cz
- x86/ioapic: Use I/O-APIC ID for finding irqdomain, not index
  (jsc#SLE-16823).
- x86/hyperv: Enable 15-bit APIC ID if the hypervisor supports it
  (jsc#SLE-16823).
- x86/kvm: Enable 15-bit extension when
  KVM_FEATURE_MSI_EXT_DEST_ID detected (jsc#SLE-16823).
- iommu/hyper-v: Disable IRQ pseudo-remapping if 15 bit APIC
  IDs are available (jsc#SLE-16823).
- x86/apic: Support 15 bits of APIC ID in MSI where available
  (jsc#SLE-16823).
- x86/ioapic: Handle Extended Destination ID field in RTE
  (jsc#SLE-16823).
- iommu/vt-d: Simplify intel_irq_remapping_select()
  (jsc#SLE-16823).
- x86: Kill all traces of irq_remapping_get_irq_domain()
  (jsc#SLE-16823).
- x86/ioapic: Use irq_find_matching_fwspec() to find remapping
  irqdomain (jsc#SLE-16823).
- x86/hpet: Use irq_find_matching_fwspec() to find remapping
  irqdomain (jsc#SLE-16823).
- iommu/hyper-v: Implement select() method on remapping irqdomain
  (jsc#SLE-16823).
- iommu/vt-d: Implement select() method on remapping irqdomain
  (jsc#SLE-16823).
- iommu/amd: Implement select() method on remapping irqdomain
  (jsc#SLE-16823).
- x86/apic: Add select() method on vector irqdomain
  (jsc#SLE-16823).
- genirq/irqdomain: Implement get_name() method on irqchip fwnodes
  (jsc#SLE-16823).
- x86/ioapic: Generate RTE directly from parent irqchip's MSI
  message (jsc#SLE-16823).
- x86/ioapic: Cleanup IO/APIC route entry structs (jsc#SLE-16823).
- x86/io_apic: Cleanup trigger/polarity helpers (jsc#SLE-16823).
- x86/msi: Remove msidef.h (jsc#SLE-16823).
- x86/pci/xen: Use msi_msg shadow structs (jsc#SLE-16823).
- x86/kvm: Use msi_msg shadow structs (jsc#SLE-16823).
- PCI: vmd: Use msi_msg shadow structs (jsc#SLE-16823).
- iommu/amd: Use msi_msg shadow structs (jsc#SLE-16823).
- iommu/intel: Use msi_msg shadow structs (jsc#SLE-16823).
- x86/msi: Provide msi message shadow structs (jsc#SLE-16823).
- genirq/msi: Allow shadow declarations of msi_msg:: $member
  (jsc#SLE-16823).
- x86/hpet: Move MSI support into hpet.c (jsc#SLE-16823).
- x86/apic: Always provide irq_compose_msi_msg() method for
  vector domain (jsc#SLE-16823).
- x86/apic: Cleanup destination mode (jsc#SLE-16823).
- x86/apic: Get rid of apic:: Dest_logical (jsc#SLE-16823).
- x86/apic: Replace pointless apic:: Dest_logical usage
  (jsc#SLE-16823).
- x86/apic: Cleanup delivery mode defines (jsc#SLE-16823).
- x86/devicetree: Fix the ioapic interrupt type table
  (jsc#SLE-16823).
- x86/apic/uv: Fix inconsistent destination mode (jsc#SLE-16823).
- x86/msi: Only use high bits of MSI address for DMAR unit
  (jsc#SLE-16823).
- x86/apic: Fix x2apic enablement without interrupt remapping
  (jsc#SLE-16823).
- commit e68f7b8
* Tue Dec 15 2020 tiwai@suse.de
- Update patch reference for audit security fix (CVE-2020-0444 bsc#1180027)
- commit 8236de7
* Tue Dec 15 2020 tiwai@suse.de
- Update patch reference for HID security fix (CVE-2020-0465 bsc#1180029)
- commit c0d38cb
* Tue Dec 15 2020 neilb@suse.de
- Update
  patches.suse/SUNRPC-Fix-SUNRPC-Add-len-parameter-to-gss_unwrap.patch
  (git-fixes).
- commit c1a6212
* Mon Dec 14 2020 mpdesouza@suse.com
- btrfs: qgroup: don't try to wait flushing if we're already holding a transaction (bsc#1179575).
- commit 7eae617
* Mon Dec 14 2020 rgoldwyn@suse.com
- supported.conf: Mark exfat as fully supported (bsc#1179882)
  Moves exfat from kernel-default-extra to kernel-default
- commit 619a3f5
* Mon Dec 14 2020 ptesarik@suse.cz
- s390/pci: Mark all VFs as not implementing PCI_COMMAND_MEMORY
  (bsc#1179611 LTC#190155).
- commit 8805bd5
* Mon Dec 14 2020 ptesarik@suse.cz
- s390/pci: adaptation of iommu to multifunction (bsc#1179611
  LTC#190155).
- Refresh patches.suse/s390-pci-create-zpci-bus.
- Refresh patches.suse/s390-pci-handling-multifunctions.
- commit 18ace9e
* Mon Dec 14 2020 ptesarik@suse.cz
- s390/purgatory: do not build purgatory with kcov, kasan and
  friends (bsc#1179603 LTC#190152).
- commit 2fdc981
* Mon Dec 14 2020 ptesarik@suse.cz
- s390/qeth: Remove pnso workaround (bsc#1179565 LTC#190112).
- commit 3eaa0fe
* Mon Dec 14 2020 ptesarik@suse.cz
- net/smc: fix direct access to ib_gid_addr->ndev in
  smc_ib_determine_gid() (bsc#1179205 LTC#189977).
- net/smc: fix matching of existing link groups (bsc#1179205
  LTC#189977).
- commit 0e174e5
* Mon Dec 14 2020 pjakobsson@suse.de
- Update config files.
- Delete
  patches.suse/1842-xen-add-helpers-to-allocate-unpopulated-memory.patch.
  As discussed with Juergen Gross per email, the patch might break xen
  guests and is not strictly required for the DRM backport.
  v2. As mentioned by Jessica, remove CONFIG_XEN_UNPOPULATED_ALLOC as it
  also goes away.
- commit 2d34f4b
* Mon Dec 14 2020 jdelvare@suse.de
- hwmon: (amd_energy) modify the visibility of the counters
  (jsc#SLE-14262 bsc#1178760).
- hwmon: (amd_energy) Improve the accumulation logic
  (jsc#SLE-14262).
- hwmon: (amd_energy) optimize accumulation interval
  (jsc#SLE-14262).
- hwmon: (amd_energy) Move label out of accumulation structure
  (jsc#SLE-14262).
- commit 4692751
* Mon Dec 14 2020 yousaf.kaukab@suse.com
- PCI: tegra: Disable LTSSM during L2 entry (bsc#1179344).
- PCI: tegra: Check return value of tegra_pcie_init_controller()
  (bsc#1179344).
- PCI: tegra: Continue unconfig sequence even if parts fail
  (bsc#1179344).
- PCI: tegra: Set DesignWare IP version (bsc#1179344).
- PCI: tegra: Fix ASPM-L1SS advertisement disable code
  (bsc#1179344).
- commit 9846dd7
* Mon Dec 14 2020 yousaf.kaukab@suse.com
- Delete patches.suse/PCI-dwc-Move-dw_pcie_setup_rc-to-DWC-common-code.patch.
  References: bsc#1179344
- commit bdaf386
* Mon Dec 14 2020 tiwai@suse.de
- blacklist.conf: correct the cherry-picked commit ID
- commit 48385ea
* Mon Dec 14 2020 tiwai@suse.de
- Update patch reference tags for missing CVE entries
- commit 24c7af3
* Mon Dec 14 2020 ptesarik@suse.cz
- s390/pci: fix CPU address in MSI for directed IRQ (git-fixes).
- s390/qeth: fix tear down of async TX buffers (git-fixes).
- s390/qeth: fix af_iucv notification race (git-fixes).
- s390/qeth: delay draining the TX buffers (git-fixes).
- s390: add 3f program exception handler (git-fixes).
- s390/cpuinfo: show processor physical address (git-fixes).
- commit 15840e9
* Mon Dec 14 2020 ptesarik@suse.cz
- s390/qeth: make af_iucv TX notification call more robust
  (bsc#1179604 LTC#190151).
- commit 1d3596d
* Mon Dec 14 2020 jlee@suse.com
- ACPI: EC: PM: Flush EC work unconditionally after wakeup
  (jsc#SLE-16407).
- ACPI: EC: PM: s2idle: Extend GPE dispatching debug message
  (jsc#SLE-16407).
- commit a21778d
* Mon Dec 14 2020 jlee@suse.com
- ACPI: EC: PM: Avoid flushing EC work when EC GPE is inactive
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Fix comment in acpi_s2idle_prepare_late()
  (jsc#SLE-16407).
- commit eb134e5
* Mon Dec 14 2020 shung-hsi.yu@suse.com
- x86/apic/vector: Fix ordering in vector assignment (bsc#1156315).
- genirq/matrix: Deal with the sillyness of for_each_cpu() on UP (bsc#1156315).
- commit 108604c
* Mon Dec 14 2020 jlee@suse.com
- genirq/PM: Always unlock IRQ descriptor in rearm_wake_irq()
  (jsc#SLE-16407).
- ACPI: EC: PM: Avoid premature returns from acpi_s2idle_wake()
  (jsc#SLE-16407).
- platform/x86: intel_int0002_vgpio: Use
  acpi_register_wakeup_handler() (jsc#SLE-16407).
- ACPI: PM: Add acpi_register_wakeup_handler() (jsc#SLE-16407).
- ACPI: PM: s2idle: Refine active GPEs check (jsc#SLE-16407).
- ACPI: EC: Fix flushing of pending work (jsc#SLE-16407).
- platform/x86: intel_int0002_vgpio: Pass irqchip when adding
  gpiochip (jsc#SLE-16407).
- platform/x86: intel_int0002_vgpio: Use device_init_wakeup
  (jsc#SLE-16407).
- commit 7f8bb95
* Mon Dec 14 2020 neilb@suse.de
- SUNRPC: Revert 241b1f419f0e ("SUNRPC: Remove xdr_buf_trim()")
  (git-fixes).
- blacklist.conf:
  Doesn't cause a regression once the previous two patches are included.
- SUNRPC: Fix GSS privacy computation of auth->au_ralign
  (git-fixes).
- SUNRPC: Add "@len" parameter to gss_unwrap() (git-fixes).
- commit de10d89
* Mon Dec 14 2020 neilb@suse.de
- blacklist.conf: two git-fixes that break kabi too much
- commit 7df1e74
* Mon Dec 14 2020 neilb@suse.de
- blacklist.conf: Add a duplicate
- commit 5592171
* Mon Dec 14 2020 jlee@suse.com
- ACPICA: Preserve memory opregion mappings (jsc#SLE-16407).
- ACPICA: Replace one-element array with flexible-array
  (jsc#SLE-16407).
- ACPICA: iASL: add new OperationRegion subtype keyword
  PlatformRtMechanism (jsc#SLE-16407).
- ACPICA: Fix required parameters for _NIG and _NIH
  (jsc#SLE-16407).
- ACPICA: Disassembler: ignore AE_ALREADY_EXISTS status when
  parsing create operators (jsc#SLE-16407).
- ACPICA: Move acpi_gbl_next_cmd_num definition to acglobal.h
  (jsc#SLE-16407).
- ACPICA: Make acpi_protocol_lengths static (jsc#SLE-16407).
- platform/x86: sony-laptop: Make resuming thermal profile safer
  (jsc#SLE-16407).
- platform/x86: sony-laptop: SNC calls should handle BUFFER types
  (jsc#SLE-16407).
- ACPICA: utilities: fix sprintf() (jsc#SLE-16407).
- ACPICA: acpiexec: remove redeclaration of
  acpi_gbl_db_opt_no_region_support (jsc#SLE-16407).
- ACPICA: Change PlatformCommChannel ASL keyword to PCC
  (jsc#SLE-16407).
- ACPICA: Fix a couple of typos (jsc#SLE-16407).
- ACPICA: use acpi_size instead of u32 for prefix_path_length
  (jsc#SLE-16407).
- ACPICA: cast length arguement to acpi_ns_build_normalized_path()
  as u32 (jsc#SLE-16407).
- ACPICA: cast the result of the pointer difference to u32
  (jsc#SLE-16407).
- ACPICA: Table Manager: Update comments in a function header
  (jsc#SLE-16407).
- ACPICA: Enable sleep button on ACPI legacy wake (jsc#SLE-16407).
- ACPICA: Fix a comment "enable" fixed events -> "disable"
  all fixed events (jsc#SLE-16407).
- ACPICA: ASL-ASL+ converter: make root file a parameter for
  cv_init_file_tree (jsc#SLE-16407).
- ACPICA: ASL-ASL+ converter: remove function parameters from
  cv_init_file_tree() (jsc#SLE-16407).
- ACPICA: Allow acpi_any_gpe_status_set() to skip one GPE
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Check fixed wakeup events in
  acpi_s2idle_wake() (jsc#SLE-16407).
- ACPI: PM: s2idle: Prevent spurious SCIs from waking up the
  system (jsc#SLE-16407).
- ACPICA: Introduce acpi_any_gpe_status_set() (jsc#SLE-16407).
- ACPI: PM: s2idle: Avoid possible race related to the EC GPE
  (jsc#SLE-16407).
- ACPI/sleep: Convert acpi_wakeup_address into a function
  (jsc#SLE-16407).
- ACPICA: All acpica: Update copyrights to 2020 Including tool
  signons (jsc#SLE-16407).
- ACPICA: Dispatcher: always generate buffer objects for ASL
  create_field() operator (jsc#SLE-16407).
- ACPICA: debugger: fix spelling mistake "adress" -> "address"
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Rework ACPI events synchronization
  (jsc#SLE-16407).
- ACPI: EC: Rework flushing of pending work (jsc#SLE-16407).
- ACPICA: debugger: remove leading whitespaces when converting
  a string to a buffer (jsc#SLE-16407).
- ACPICA: acpiexec: initialize all simple types and field units
  from user input (jsc#SLE-16407).
- ACPICA: debugger: add field unit support for
  acpi_db_get_next_token (jsc#SLE-16407).
- ACPICA: debugger: surround field unit output with braces '{'
  (jsc#SLE-16407).
- ACPICA: debugger: add command to dump all fields of particular
  subtype (jsc#SLE-16407).
- ACPICA: utilities: add flag to only display data when dumping
  buffers (jsc#SLE-16407).
- ACPICA: More Clang changes (jsc#SLE-16407).
- ACPICA: Win OSL: Replace get_tick_count with get_tick_count64
  (jsc#SLE-16407).
- ACPICA: Results from Clang (jsc#SLE-16407).
- ACPI: PM: Drop Dell XPS13 9360 from LPS0 Idle _DSM blacklist
  (jsc#SLE-16407).
- ACPICA: Add "Windows 2019" string to _OSI support
  (jsc#SLE-16407).
- ACPICA: Differentiate Windows 8.1 from Windows 8
  (jsc#SLE-16407).
- ACPICA: Fully deploy ACPI_PRINTF_LIKE macro (jsc#SLE-16407).
- ACPICA: Fix issues with arg types within printf format strings
  (jsc#SLE-16407).
- ACPICA: Increase total number of possible Owner IDs
  (jsc#SLE-16407).
- ACPICA: Debugger: remove redundant assignment on obj_desc
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Always set up EC GPE for system wakeup
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Avoid rearming SCI for wakeup unnecessarily
  (jsc#SLE-16407).
- PM: suspend: Fix platform_suspend_prepare_noirq()
  (jsc#SLE-16407).
- intel-hid: intel-vbtn: Avoid leaking wakeup_mode set
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Execute LPS0 _DSM functions with suspended
  devices (jsc#SLE-16407).
- ACPI: EC: PM: Make acpi_ec_dispatch_gpe() print debug message
  (jsc#SLE-16407).
- ACPI: EC: PM: Consolidate some code depending on PM_SLEEP
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Eliminate acpi_sleep_no_ec_events()
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Switch EC over to polling during "noirq"
  suspend (jsc#SLE-16407).
- ACPI: PM: s2idle: Add acpi.sleep_no_lps0 module parameter
  (jsc#SLE-16407).
- ACPI: PM: s2idle: Rearrange lps0_device_attach()
  (jsc#SLE-16407).
- ACPI: PM: Set up EC GPE for system wakeup from drivers that
  need it (jsc#SLE-16407).
- PM: sleep: Simplify suspend-to-idle control flow
  (jsc#SLE-16407).
- ACPI: PM: Set s2idle_wakeup earlier and clear it later
  (jsc#SLE-16407).
- ACPI: EC: Return bool from acpi_ec_dispatch_gpe()
  (jsc#SLE-16407).
- ACPICA: Return u32 from acpi_dispatch_gpe() (jsc#SLE-16407).
- PCI: irq: Introduce rearm_wake_irq() (jsc#SLE-16407).
- commit 632d617
* Mon Dec 14 2020 fweisbecker@suse.de
- timers: Always keep track of next expiry (bsc#1179365)
- commit ee6d011
* Sun Dec 13 2020 tiwai@suse.de
- pinctrl: intel: Actually disable Tx and Rx buffers on GPIO
  request (git-fixes).
- pinctrl: jasperlake: Fix HOSTSW_OWN offset (git-fixes).
- pinctrl: jasperlake: Unhide SPI group of pins (git-fixes).
- commit 256e3b8
* Sun Dec 13 2020 tiwai@suse.de
- ALSA: usb-audio: workaround for iface reset issue (bsc#1178203).
- commit 4121b01
* Sun Dec 13 2020 tiwai@suse.de
- mmc: block: Fixup condition for CMD13 polling for RPMB requests
  (git-fixes).
- pinctrl: aspeed: Fix GPIO requests on pass-through banks
  (git-fixes).
- pinctrl: baytrail: Avoid clearing debounce value when turning
  it off (git-fixes).
- pinctrl: merrifield: Set default bias in case no particular
  value given (git-fixes).
- gpio: mvebu: fix potential user-after-free on probe (git-fixes).
- clk: renesas: r9a06g032: Drop __packed for portability
  (git-fixes).
- USB: serial: ch341: sort device-id entries (git-fixes).
- USB: serial: ch341: add new Product ID for CH341A (git-fixes).
- USB: serial: option: add support for Thales Cinterion EXS82
  (git-fixes).
- USB: serial: option: add Fibocom NL668 variants (git-fixes).
- commit 4d00577
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Recalculate next timer interrupt only when necessary (bsc#1179365)
- commit 5f04bac
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Lower base clock forwarding threshold (bsc#1179365)
- commit 72a03ba
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Remove must_forward_clk (bsc#1179365)
- commit c3083a1
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Spare timer softirq until next expiry (bsc#1179365)
- commit 1eaa492
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Expand clk forward logic beyond nohz (bsc#1179365)
- commit c14e398
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Reuse next expiry cache after nohz exit (bsc#1179365)
- commit 8c6d890
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Optimize _next_timer_interrupt() level iteration (bsc#1179365)
- commit 74e8303
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Add comments about calc_index() ceiling work (bsc#1179365)
- commit 1709f40
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Move trigger_dyntick_cpu() to enqueue_timer() (bsc#1179365)
- commit 79e5013
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Use only bucket expiry for base->next_expiry value (bsc#1179365)
- commit dc787a8
* Sat Dec 12 2020 fweisbecker@suse.de
- timers: Preserve higher bits of expiration on index (bsc#1179365)
- commit 242bf50
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Fix linking when crypto API disabled (jsc#SLE-16304).
- commit cf4291d
* Sat Dec 12 2020 jbohac@suse.cz
- mtd: Support kmsg dumper based on pstore/blk (jsc#SLE-16304).
- Update config files.
- supported.conf: add mtdpstore
- commit ffec888
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/blk: Introduce "best_effort" mode (jsc#SLE-16304).
- pstore/blk: Support non-block storage devices (jsc#SLE-16304).
- pstore/blk: Provide way to query pstore configuration
  (jsc#SLE-16304).
- pstore/zone: Provide way to skip "broken" zone for MTD devices
  (jsc#SLE-16304).
- commit 278b9b6
* Sat Dec 12 2020 jbohac@suse.cz
- Documentation: Add details for pstore/blk (jsc#SLE-16304).
- commit f35da88
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/zone,blk: Add ftrace frontend support (jsc#SLE-16304).
- Update config files.
- commit e482e99
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/zone,blk: Add console frontend support (jsc#SLE-16304).
- Update config files.
- commit 8e4487a
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/zone,blk: Add support for pmsg frontend (jsc#SLE-16304).
- Update config files.
- commit 03d39a5
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/blk: Introduce backend for block devices (jsc#SLE-16304).
- Update config files.
- mark fs/pstore as supported
- commit 587a2b4
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/zone: Introduce common layer to manage storage zones
  (jsc#SLE-16304).
- commit ba9c226
* Sat Dec 12 2020 jbohac@suse.cz
- ramoops: Add "max-reason" optional field to ramoops DT node
  (jsc#SLE-16304).
- pstore/ram: Introduce max_reason and convert dump_oops
  (jsc#SLE-16304).
- pstore/platform: Pass max_reason to kmesg dump (jsc#SLE-16304).
- printk: Introduce kmsg_dump_reason_str() (jsc#SLE-16304).
- printk: honor the max_reason field in kmsg_dumper
  (jsc#SLE-16304).
- printk: Collapse shutdown types into a single dump reason
  (jsc#SLE-16304).
- commit e8792b6
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/ftrace: Provide ftrace log merging routine
  (jsc#SLE-16304).
- pstore/ram: Refactor ftrace buffer merging (jsc#SLE-16304).
- pstore/ram: Refactor DT size parsing (jsc#SLE-16304).
- pstore/ram: Adjust module param permissions to reflect reality
  (jsc#SLE-16304).
- pstore/platform: Move module params after declarations
  (jsc#SLE-16304).
- pstore/platform: Use backend name for console registration
  (jsc#SLE-16304).
- pstore/platform: Switch pstore_info::name to const
  (jsc#SLE-16304).
- pstore: Make sure console capturing will restart
  (jsc#SLE-16304).
- pstore: Remove filesystem records when backend is unregistered
  (jsc#SLE-16304).
- pstore: Do not leave timer disabled for next backend
  (jsc#SLE-16304).
- commit 8204cca
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Add locking around superblock changes (jsc#SLE-16304).
- commit 21099a7
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Refactor pstorefs record list removal (jsc#SLE-16304).
- commit 989da98
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Add proper unregister lock checking (jsc#SLE-16304).
- commit eed4072
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Convert "records_list" locking to mutex (jsc#SLE-16304).
- commit 5292e89
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Rename "allpstore" to "records_list" (jsc#SLE-16304).
- commit 70a8404
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Convert "psinfo" locking to mutex (jsc#SLE-16304).
- commit df8a1eb
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Rename "pstore_lock" to "psinfo_lock" (jsc#SLE-16304).
- commit 5e29b75
* Sat Dec 12 2020 jbohac@suse.cz
- pstore: Drop useless try_module_get() for backend
  (jsc#SLE-16304).
- Refresh
  patches.suse/pstore_disable_efi_backend_by_default.patch.
- commit de00068
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/ram: Replace zero-length array with flexible-array member
  (jsc#SLE-16304).
- commit 992f876
* Sat Dec 12 2020 jbohac@suse.cz
- pstore/ram: remove unnecessary ramoops_unregister_dummy()
  (jsc#SLE-16304).
- commit b76e837
* Fri Dec 11 2020 msuchanek@suse.de
- powerpc/perf: Exclude kernel samples while counting events in
  user space (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: MMCR0 control for PMU registers under PMCC=00
  (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Fix to update cache events with l2l3 events in
  power10 (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Fix to update generic event codes for power10
  (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Add generic and cache event list for power10 DD1
  (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Fix the PMU group constraints for threshold
  events in power10 (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Update the PMU group constraints for l2l3 events
  in power10 (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Fix to update radix_scope_qual in power10
  (jsc#SLE-13513 bsc#1179950 ltc#190285).
- powerpc/perf: Invoke per-CPU variable access with disabled
  interrupts (jsc#SLE-13513 bsc#1179950 ltc#190285).
- commit da98715
* Fri Dec 11 2020 yousaf.kaukab@suse.com
- supported.conf: enable pwm-fan
  Jetson AGX Xavier uses pwm-fan to contol fan speed.
  References: bsc#1179597
- commit 134e477
* Fri Dec 11 2020 fdmanana@suse.com
- btrfs: fix readahead hang and use-after-free after removing
  a device (bsc#1179963).
- commit 170193e
* Fri Dec 11 2020 fdmanana@suse.com
- btrfs: fix use-after-free on readahead extent after failure
  to create it (bsc#1179963).
- commit 1429b0b
* Fri Dec 11 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream repository URL:
  patches.suse/ibmvnic-add-some-debugs.patch
- move unsortable patches out of sorted section:
  patches.suse/cifs-set_root_ses-ipc.patch
  patches.suse/powerpc-rtas-fix-typo-of-ibm-open-errinjct-in-rtas-f.patch
- commit 059dfec
* Fri Dec 11 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and move into "almost mainline" section:
  patches.suse/nvme-fc-avoid-calling-_nvme_fc_abort_outstanding_ios-from-interrupt-context.patch
- commit e446234
* Fri Dec 11 2020 osalvador@suse.de
- mm/memory_hotplug: shrink zones when offlining memory
  (bsc#1177679).
- commit ffb1814
* Fri Dec 11 2020 mbrugger@suse.com
- ARM: 8943/1: Fix topology setup in case of CPU hotplug for
  CONFIG_SCHED_MC (jsc#SLE-16614 jsc#SLE-13640).
- commit 66cc853
* Fri Dec 11 2020 tiwai@suse.de
- Revert "geneve: pull IP header before ECN decapsulation"
  (git-fixes).
- can: softing: softing_netdev_open(): fix error handling
  (git-fixes).
- mac80211: mesh: fix mesh_pathtbl_init() error path (git-fixes).
- commit dff69af
* Fri Dec 11 2020 tzimmermann@suse.de
- drm: panel: Fix bpc for OrtusTech COM43H4M85ULC panel (bsc#1152489)
- commit 68423a3
* Fri Dec 11 2020 msuchanek@suse.de
- ibmvnic: fix rx buffer tracking and index management in
  replenish_rx_pool partial success (bsc#1179929 ltc#189960).
- commit 53d60d5
* Fri Dec 11 2020 tbogendoerfer@suse.de
- IB/hfi1: Ensure correct mm is used at all times (bsc#1179878
  CVE-2020-27835).
- commit f84fcc4
* Fri Dec 11 2020 jslaby@suse.cz
- Update patches.suse/tty-Fix-pgrp-locking-in-tiocspgrp.patch
  (git-fixes bsc#1179745 CVE-2020-29661).
- Update patches.suse/tty-Fix-session-locking.patch (bsc#1179745
  CVE-2020-29660).
  Add CVE numbers.
- commit 034f28b
* Thu Dec 10 2020 dbueso@suse.de
- fail_function: Remove a redundant mutex unlock (bsc#1149032).
- locking/percpu-rwsem: Use this_cpu_{inc,dec}() for read_count
  (bsc#1149032).
- commit 7d88c68
* Thu Dec 10 2020 dbueso@suse.de
- blacklist.conf: Blacklist some lockdep updates
- commit 2f42c43
* Thu Dec 10 2020 msuchanek@suse.de
- kABI: genirq: add back irq_create_mapping (bsc#1065729).
- commit 0788f47
* Thu Dec 10 2020 msuchanek@suse.de
- genirq/irqdomain: Add an irq_create_mapping_affinity() function
  (bsc#1065729).
- commit 1e1b021
* Thu Dec 10 2020 msuchanek@suse.de
- powerpc/64s: Trim offlined CPUs from mm_cpumasks (bsc#1055117
  ltc#159753 git-fixes bsc#1179888 ltc#190253).
- kernel/cpu: add arch override for clear_tasks_mm_cpumask()
  mm handling (bsc#1055117 ltc#159753 git-fixes bsc#1179888
  ltc#190253).
- powerpc/64s/pseries: Fix hash tlbiel_all_isa300 for guest
  kernels (bsc#1179888 ltc#190253).
- powerpc/64s: Fix hash ISA v3.0 TLBIEL instruction generation
  (bsc#1055117 ltc#159753 git-fixes bsc#1179888 ltc#190253).
- commit 8cba4ab
* Thu Dec 10 2020 msuchanek@suse.de
- powerpc/64s/powernv: Fix memory corruption when saving SLB
  entries on MCE (jsc#SLE-9246 git-fixes).
- commit a63cfa4
* Thu Dec 10 2020 msuchanek@suse.de
- powerpc/pseries: Pass MSI affinity to irq_create_mapping()
  (bsc#1065729).
- ibmvnic: delay next reset if hard reset fails (bsc#1094840
  ltc#167098 git-fixes).
- ibmvnic: restore adapter state on failed reset (bsc#1152457
  ltc#174432 git-fixes).
- ibmvnic: avoid memset null scrq msgs (bsc#1044767 ltc#155231
  git-fixes).
- ibmvnic: enhance resetting status check during module exit
  (bsc#1065729).
- ibmvnic: fix NULL pointer dereference in reset_sub_crq_queues
  (FATE#322021 bsc#1040855 ltc#155067 git-fixes).
- ibmvnic: notify peers when failover and migration happen
  (bsc#1044120 ltc#155423 git-fixes).
- ibmvnic: fix call_netdevice_notifiers in do_reset (bsc#1115431
  ltc#171853 git-fixes).
- commit 00d731f
* Thu Dec 10 2020 mbrugger@suse.com
- clocksource/drivers/arm_arch_timer: validate arch_timer_rate
  (jsc#SLE-16614 jsc#SLE-13640).
- commit 4f4514c
* Thu Dec 10 2020 mbrugger@suse.com
- arm64: use activity monitors for frequency invariance
  (jsc#SLE-16614 jsc#SLE-13640).
- arm: Use common cpu_topology structure and functions
  (jsc#SLE-16614 jsc#SLE-13640).
- cpu-topology: Move cpu topology code to common code
  (jsc#SLE-16614 jsc#SLE-13640).
- commit 83df8e6
* Thu Dec 10 2020 msuchanek@suse.de
- powerpc/64s/exception: KVM Fix for host DSI being taken in
  HPT guest MMU context (jsc#SLE-9246 git-fixes).
- powerpc/64s: Fix KVM system reset handling when
  CONFIG_PPC_PSERIES=y (jsc#SLE-9246 git-fixes).
- commit 2b2f0ec
* Thu Dec 10 2020 msuchanek@suse.de
- powerpc/64s: Fix allnoconfig build since uaccess flush
  (bsc#1177666 git-fixes).
- commit 87d1aa2
* Thu Dec 10 2020 msuchanek@suse.de
- KVM: PPC: Book3S HV: XIVE: Fix possible oops when accessing
  ESB page (bsc#1156395).
- commit be0ace4
* Thu Dec 10 2020 msuchanek@suse.de
- ibmvnic: add some debugs (bsc#1179896 ltc#190255).
- commit 0ec6de5
* Thu Dec 10 2020 msuchanek@suse.de
- powerpc/rtas: fix typo of ibm,open-errinjct in rtas filter
  (CVE-2020-27777 bsc#1179107 bsc#1179887 ltc#190092).
- commit 8fcc087
* Thu Dec 10 2020 dwagner@suse.de
- nvme-fc: avoid calling _nvme_fc_abort_outstanding_ios from
  interrupt context (bsc#1177326).
- commit c6fa2f3
* Thu Dec 10 2020 mbenes@suse.cz
- ftrace: Fix updating FTRACE_FL_TRAMP (git-fixes).
- commit e552615
* Thu Dec 10 2020 mbenes@suse.cz
- blacklist.conf: 310e3a4b5a4f ("tracing: Remove WARN_ON in start_thread()")
  Not really necessary. Just a WARN_ON(). We may reevaluate if someone
  reports it.
- commit b62e034
* Thu Dec 10 2020 mbrugger@suse.com
- cpufreq: add function to get the hardware max frequency
  (jsc#SLE-16614 jsc#SLE-13640).
- commit 4ef407e
* Thu Dec 10 2020 mbrugger@suse.com
- Documentation: arm64: document support for the AMU extension
  (jsc#SLE-16614 jsc#SLE-13640).
- commit 814a63c
* Thu Dec 10 2020 mbrugger@suse.com
- arm64/kvm: disable access to AMU registers from kvm guests
  (jsc#SLE-16614 jsc#SLE-13640).
- commit 23654f6
* Thu Dec 10 2020 mbrugger@suse.com
- arm64: trap to EL1 accesses to AMU counters from EL0
  (jsc#SLE-16614 jsc#SLE-13640).
- commit 1ffcffa
* Thu Dec 10 2020 mbrugger@suse.com
- arm64: add support for the AMU extension v1 (jsc#SLE-16614
  jsc#SLE-13640).
- Update config files.
- Refresh patches.suse/arm64-Detect-the-ARMv8.4-TTL-feature.patch.
- Refresh
  patches.suse/arm64-tlb-Detect-the-ARMv8.4-TLBI-RANGE-feature.patch.
- Refresh
  patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit db66333
* Thu Dec 10 2020 tiwai@suse.de
- Update config files: drop CONFIG_IP_PNP again
  CONFIG_IP_PNP was enabled as a result of Leap config merge, but it
  makes little sense without the built-in network drivers.  Drop it again.
- commit 43358fd
* Thu Dec 10 2020 mgorman@suse.de
- Update config files to disable CONFIG_DEBUG_SECTION_MISMATCH (bsc#1177403)
- commit 0b57f6d
* Thu Dec 10 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/0001-HMAT-Register-memory-side-cache-after-parsing.patch
  patches.suse/0001-HMAT-Skip-publishing-target-info-for-nodes-with-no-o.patch
  patches.suse/0001-mm-userfaultfd-do-not-access-vma-vm_mm-after-calling.patch
- commit 35937c0
* Wed Dec  9 2020 ematsumiya@suse.de
- iommu/amd: Set DTE[IntTabLen] to represent 512 IRTEs
  (bsc#1179652).
- commit fc46361
* Wed Dec  9 2020 hare@suse.de
- nvme-fabrics: allow to queue requests for live queues
  (git-fixes).
- nvme-tcp: cancel async events before freeing event struct
  (git-fixes).
- nvme-rdma: cancel async events before freeing event struct
  (git-fixes).
- nvme-fc: cancel async events before freeing event struct
  (git-fixes).
- commit bd7db2d
* Wed Dec  9 2020 hare@suse.de
- nvme: Revert: Fix controller creation races with teardown
  (git-fixes).
- Delete patches.kabi/nvme-kABI-fixes-for-nvme_ctrl.patch.
- commit 6f82fb0
* Wed Dec  9 2020 yousaf.kaukab@suse.com
- arm64: cpufreq: revert cppc to v5.10 level
  References: bsc#1179585
  cppc_cpufreq is being initialized without checking if
  acpi_cppc_processor_probe() succeeded. Revert to v5.10 to keep the old
  behavior for now.
- commit dc7e817
* Wed Dec  9 2020 hare@suse.de
- nvme-multipath: fix deadlock due to head->lock (git-fixes).
- nvme: don't protect ns mutation with ns->head->lock (git-fixes).
- nvme-multipath: fix deadlock between ana_work and scan_work
  (git-fixes).
- commit d1a90c1
* Wed Dec  9 2020 hare@suse.de
- nvme-fc: remove nvme_fc_terminate_io() (bsc#1177326).
- nvme-fc: eliminate terminate_io use by nvme_fc_error_recovery
  (bsc#1177326).
- nvme-fc: remove err_work work item (bsc#1177326).
- nvme-fc: track error_recovery while connecting (bsc#1177326).
- nvme-fc: shorten reconnect delay if possible for FC (git-fixes).
- nvme-fc: wait for queues to freeze before calling (git-fixes).
- nvme-fc: fix error loop in create_hw_io_queues (git-fixes).
- nvme-fc: fix io timeout to abort I/O (bsc#1177326).
- nvme-pci: properly print controller address (git-fixes).
- commit 42e24bd
* Wed Dec  9 2020 hare@suse.de
- nvme-tcp: optimize queue io_cpu assignment for multiple queue
  (git-fixes).
- Refresh
  patches.suse/nvme-tcp-have-queue-prod-cons-send-list-become-a-lli.patch.
- commit b1bde16
* Wed Dec  9 2020 hare@suse.de
- nvme-tcp: fix possible leakage during error flow (git-fixes).
- commit a68cfb4
* Wed Dec  9 2020 jeyu@suse.de
- random: try to actively add entropy rather than passively wait for it (bsc#1178404).
- commit f78131b
* Wed Dec  9 2020 vbabka@suse.cz
- Update config files: enable CONFIG_TEST_HMM on x86_64
- supported.conf: add lib/test_hmm as kselftests-kmp (jsc#SLE-16387)
- commit d44e369
* Wed Dec  9 2020 vbabka@suse.cz
- XArray: Add xa_for_each_range (jsc#SLE-16387).
- commit 89eed0c
* Wed Dec  9 2020 jack@suse.cz
- uapi: fix statx attribute value overlap for DAX & MOUNT_ROOT
  (bsc#1179819).
- commit 75cd8a8
* Wed Dec  9 2020 jack@suse.cz
- ext4: handle dax mount option collision (bsc#1179815).
- commit 2f4a2a2
* Wed Dec  9 2020 jack@suse.cz
- ext4: disallow modifying DAX inode flag if inline_data has
  been set (bsc#1179814).
- commit d0f441a
* Wed Dec  9 2020 tiwai@suse.de
- Input: xpad - support Ardwiino Controllers (git-fixes).
- Input: i8042 - add ByteSpeed touchpad to noloop table
  (git-fixes).
- usbnet: ipheth: fix connectivity with iOS 14 (git-fixes).
- commit 8f84738
* Tue Dec  8 2020 bp@suse.de
- x86/insn-eval: Use new for_each_insn_prefix() macro to loop
  over prefixes bytes (bsc#1152489).
- commit 73ffec0
* Tue Dec  8 2020 bp@suse.de
- x86/uprobes: Do not use prefixes.nbytes when looping over
  prefixes.bytes (bsc#1152489).
- commit 0b28903
* Tue Dec  8 2020 bp@suse.de
- x86/resctrl: Fix AMD L3 QOS CDP enable/disable (bsc#1152489).
- commit d839ba5
* Tue Dec  8 2020 vbabka@suse.cz
- lib/test_hmm.c: remove unused dmirror_zero_page (jsc#SLE-16387).
- commit 879f764
* Tue Dec  8 2020 vbabka@suse.cz
- mm: mmu_notifier: fix and extend kerneldoc (jsc#SLE-16387).
- commit a65787b
* Tue Dec  8 2020 vbabka@suse.cz
- mm/migrate: fix migrate_pgmap_owner w/o CONFIG_MMU_NOTIFIER
  (jsc#SLE-16387).
- blacklist.conf: remove this commit
- commit 3454164
* Tue Dec  8 2020 vbabka@suse.cz
- mm/hmm/test: use the new migration invalidation (jsc#SLE-16387).
- commit b9703ba
* Tue Dec  8 2020 vbabka@suse.cz
- Refresh
  patches.suse/0012-mm-migrate-add-a-flags-parameter-to-migrate_vma.patch.
- add mm/hmm/test part now that prerequisities are not missing anymore.
- commit 32a3dca
* Tue Dec  8 2020 vbabka@suse.cz
- mm/hmm: add tests for hmm_pfn_to_map_order() (jsc#SLE-16387).
- commit fea5fef
* Tue Dec  8 2020 jack@suse.cz
- io_uring: grab ->fs as part of async offload (bsc#1179434
  CVE-2020-29373).
- commit b260e71
* Tue Dec  8 2020 bp@suse.de
- x86/sev-es: Use new for_each_insn_prefix() macro to loop over
  prefixes bytes (bsc#1178134).
- x86/insn-eval: Use new for_each_insn_prefix() macro to loop
  over prefixes bytes (bsc#1178134).
- commit 25fe31b
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Avoid mixing integer types during batch copies'
- commit 7318e0c
* Tue Dec  8 2020 bp@suse.de
- x86/uprobes: Do not use prefixes.nbytes when looping over
  prefixes.bytes (bsc#1178134).
- commit 40a1a4a
* Tue Dec  8 2020 bp@suse.de
- x86/platform/uv: Fix UV4 hub revision adjustment (bsc#1178134).
- commit ddbaba1
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Clear the repeater bit on HDCP disable'
- commit c9b3793
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix sha_text population code'
- commit 3c40ed1
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gem: Delay tracking the GEM context until it is registered'
- commit 57a9af9
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: Fix hardmins not being sent to SMU for RV'
- commit 3708b97
* Tue Dec  8 2020 tiwai@suse.de
- iwlwifi: pcie: invert values of NO_160 device config entries
  (git-fixes).
- commit aa2884c
* Tue Dec  8 2020 oneukum@suse.com
- Update
  patches.suse/media-xirlink_cit-add-missing-descriptor-sanity-chec.patch
  (bsc#1168952 CVE-2020-11668).
  Added CVE number
- commit 15ca434
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()'
- commit 13ab26a
* Tue Dec  8 2020 oneukum@suse.com
- Update
  patches.suse/media-xirlink_cit-add-missing-descriptor-sanity-chec.patch
  (bsc#1168952 CVE-2020-11668).
  Added CVE number
- commit a0ec304
* Tue Dec  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gem: Delay tracking the GEM context until it is registered'
- commit b9b8698
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/imx: tve remove extraneous type qualifier (bsc#1152489)
- commit ef93a79
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/vc4: hdmi: Avoid sleeping in atomic context (bsc#1152489)
  Backporting changes:
  * context fixes
- commit 507bd66
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/panfrost: increase readl_relaxed_poll_timeout values (bsc#1152472)
  Backporting changes:
  * context fixes
- commit c82949a
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/i915/gem: Avoid implicit vmap for highmem on x86-32 (bsc#1152489)
  Backporting changes:
  * context fixes
- commit 56c13b8
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/vc4: crtc: Rework a bit the CRTC state code (bsc#1152472)
  Backporting changes:
  * context fixes
- commit e8c9179
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/msm: Drop debug print in _dpu_crtc_setup_lm_bounds() (bsc#1152489)
  Backporting changes:
  * context fixes
- commit 620be39
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/msm: Avoid div-by-zero in dpu_crtc_atomic_check() (bsc#1152489)
- commit fa753cd
* Tue Dec  8 2020 tzimmermann@suse.de
- drm: mxsfb: check framebuffer pitch (bsc#1152472)
  Backporting changes:
  * context fixes
- commit 0dd9c60
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/panfrost: Ensure GPU quirks are always initialised (bsc#1152489)
- commit c088e37
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/crc-debugfs: Fix memleak in crc_control_write (bsc#1152472)
- commit 7cf7f8b
* Tue Dec  8 2020 tzimmermann@suse.de
- drm: rcar-du: Put reference to VSP device (bsc#1152489)
- commit 3aca956
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/radeon: Prefer lower feedback dividers (bsc#1152489)
- commit 7479884
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/amdgpu: pass NULL pointer instead of 0 (bsc#1152489)
  Backporting changes:
  * context fixes
- commit 7cc3993
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/amd/display: Fix wrong return value in dm_update_plane_state() (bsc#1152489)
- commit 7638845
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/gma500: fix error check (bsc#1152472)
  Backporting changes:
  * context fixes
- commit e0b3dc4
* Tue Dec  8 2020 tzimmermann@suse.de
- drm: panel: Fix bus format for OrtusTech COM43H4M85ULC panel (bsc#1152472)
  Backporting changes:
  * context fixes
- commit aaeda6a
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/vkms: fix xrgb on compute crc (bsc#1152472)
  Backporting changes:
  * changed filename from vkms_composer.c to vkms_crc.c
  * context fixes
- commit 84538b3
* Tue Dec  8 2020 tzimmermann@suse.de
- drm: mxsfb: Remove fbdev leftovers (bsc#1152472)
  Backporting changes:
  * context fixes
- commit 7b29584
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/sun4i: sun8i-csc: Secondary CSC register correction (bsc#1152489)
- commit c09dba1
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/vc4/vc4_hdmi: fill ASoC card owner (bsc#1152489)
- commit afa801d
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/mediatek: Add missing put_device() call in (bsc#1152472)
- commit 2465a49
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/mediatek: Add missing put_device() call in mtk_drm_kms_init() (bsc#1152472)
  Backporting changes:
  * context fixes
  * adapted to function layout
- commit 187e3d3
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/mediatek: Add exception handing in mtk_drm_probe() if component (bsc#1152472)
- commit 39014a3
* Tue Dec  8 2020 tzimmermann@suse.de
- drm/i915: Fix sha_text population code (bsc#1152489)
  Backporting changes:
  * context fixes
  * adapted I/O functions to old driver
- commit d501c26
* Tue Dec  8 2020 tzimmermann@suse.de
- fbcon: Remove the superfluous break (bsc#1152472)
- commit e00dc98
* Tue Dec  8 2020 tzimmermann@suse.de
- video: fbdev: radeon: Fix memleak in radeonfb_pci_register (bsc#1152472)
- commit 9657792
* Tue Dec  8 2020 tzimmermann@suse.de
- video: fbdev: sis: fix null ptr dereference (bsc#1152472)
- commit d833a20
* Tue Dec  8 2020 denis.kirjanov@suse.com
- Refresh
  patches.suse/ibmvnic-Ensure-that-SCRQ-entry-reads-are-correctly-o.patch.
- Refresh
  patches.suse/ibmvnic-Fix-TX-completion-error-handling.patch.
- Refresh patches.suse/ibmvnic-avoid-memset-null-scrq-msgs.patch.
- Refresh
  patches.suse/ibmvnic-delay-next-reset-if-hard-reset-fails.patch.
- Refresh
  patches.suse/ibmvnic-enhance-resetting-status-check-during-module.patch.
- Refresh
  patches.suse/ibmvnic-fix-NULL-pointer-dereference-in-ibmvic_reset.patch.
- Refresh
  patches.suse/ibmvnic-fix-NULL-pointer-dereference-in-reset_sub_cr.patch.
- Refresh
  patches.suse/ibmvnic-fix-call_netdevice_notifiers-in-do_reset.patch.
- Refresh
  patches.suse/ibmvnic-handle-inconsistent-login-with-reset.patch.
- Refresh
  patches.suse/ibmvnic-no-reset-timeout-for-5-seconds-after-reset.patch.
- Refresh
  patches.suse/ibmvnic-notify-peers-when-failover-and-migration-hap.patch.
- Refresh
  patches.suse/ibmvnic-reduce-wait-for-completion-time.patch.
- Refresh
  patches.suse/ibmvnic-restore-adapter-state-on-failed-reset.patch.
- Refresh
  patches.suse/ibmvnic-send_login-should-check-for-crq-errors.patch.
- Refresh
  patches.suse/ibmvnic-skip-tx-timeout-reset-while-in-resetting.patch.
- Refresh
  patches.suse/ibmvnic-stop-free_all_rwi-on-failed-reset.patch.
- Refresh patches.suse/ibmvnic-track-pending-login.patch.
  Update patch metadata
- commit ec07814
* Tue Dec  8 2020 tiwai@suse.de
- speakup: Reject setting the speakup line discipline outside
  of speakup (CVE-2020-27830 bsc#1179656).
- commit ec50953
* Tue Dec  8 2020 jslaby@suse.cz
- tty: Fix ->session locking (bsc#1179745).
- commit a9a2af9
* Tue Dec  8 2020 jslaby@suse.cz
- Update patches.suse/tty-Fix-pgrp-locking-in-tiocspgrp.patch
  (git-fixes bsc#1179745).
- commit 556ded3
* Tue Dec  8 2020 glin@suse.com
- udp: Don't discard reuseport selection when group has connections (bsc#1177028).
- commit 7d84936
* Mon Dec  7 2020 vbabka@suse.cz
- Update
  patches.suse/mm-slub-add-missing-tid-bump-in-kmem_cache_alloc_bulk.patch
  (CVE-2020-29370, bsc#1179435, bsc#1167657, VM functionality).
- add reference to CVE and its bsc
- commit cc58091
* Mon Dec  7 2020 ematsumiya@suse.de
- patches.suse/iommu-amd-Increase-interrupt-remapping-table-limit-t.patch:
  (bsc#1179652).
- commit 34c2dd2
* Mon Dec  7 2020 jlee@suse.com
- efi/x86: Move 32-bit code into efi_32.c (jsc#SLE-16407).
- efi/libstub: Handle unterminated cmdline (jsc#SLE-16407).
- efi/libstub: Handle NULL cmdline (jsc#SLE-16407).
- efi/libstub: Stop parsing arguments at "--" (jsc#SLE-16407).
- efi/x86: Mark kernel rodata non-executable for mixed mode
  (jsc#SLE-16407).
- x86/efi: Remove unused EFI_UV1_MEMMAP code (jsc#SLE-16407).
- x86/platform/uv: Remove uv bios and efi code related to
  EFI_UV1_MEMMAP (jsc#SLE-16407).
- x86/efi: Remove references to no-longer-used
  efi_have_uv1_memmap() (jsc#SLE-16407).
- x86/platform/uv: Remove efi=old_map command line option
  (jsc#SLE-16407).
- efi: use sha256() instead of open coding (jsc#SLE-16407).
- crypto: lib/sha256 - add sha256() function (jsc#SLE-16407).
- crypto: lib/sha256 - return void (jsc#SLE-16407).
- commit f5714a4
* Mon Dec  7 2020 jack@suse.cz
- blacklist.conf: Blacklist fdeb17c70c9e
- commit 392d677
* Mon Dec  7 2020 jack@suse.cz
- ext4: fix bogus warning in ext4_update_dx_flag() (bsc#1179716).
- commit c86f418
* Mon Dec  7 2020 jack@suse.cz
- reiserfs: Fix oops during mount (bsc#1179715).
- commit 89f9917
* Mon Dec  7 2020 jack@suse.cz
- quota: clear padding in v2r1_mem2diskdqb() (bsc#1179714).
- commit 20af897
* Mon Dec  7 2020 jack@suse.cz
- reiserfs: Initialize inode keys properly (bsc#1179713).
- commit 2b68a22
* Mon Dec  7 2020 jack@suse.cz
- udf: Fix memory leak when mounting (bsc#1179712).
- commit 816f9a3
* Mon Dec  7 2020 jack@suse.cz
- fs: Don't invalidate page buffers in block_write_full_page()
  (bsc#1179711).
- commit 8f6f5ed
* Mon Dec  7 2020 jack@suse.cz
- mm/error_inject: Fix allow_error_inject function signatures
  (bsc#1179710).
- commit 2c7612f
* Mon Dec  7 2020 jack@suse.cz
- libfs: fix error cast of negative value in simple_attr_write()
  (bsc#1179709).
- commit 246e7d7
* Mon Dec  7 2020 jack@suse.cz
- jbd2: fix up sparse warnings in checkpoint code (bsc#1179707).
- commit 15002ce
* Mon Dec  7 2020 jack@suse.cz
- ubifs: journal: Make sure to not dirty twice for auth nodes
  (bsc#1179704).
- commit 0185a1d
* Mon Dec  7 2020 jack@suse.cz
- ubifs: dent: Fix some potential memory leaks while iterating
  entries (bsc#1179703).
- commit 32b7d27
* Mon Dec  7 2020 jack@suse.cz
- ubifs: xattr: Fix some potential memory leaks while iterating
  entries (bsc#1179690).
- commit 950038e
* Mon Dec  7 2020 jack@suse.cz
- ubifs: mount_ubifs: Release authentication resource in error
  handling path (bsc#1179689).
- commit 0b68da4
* Mon Dec  7 2020 jack@suse.cz
- ubifs: Don't parse authentication mount options in remount
  process (bsc#1179688).
- commit 391f198
* Mon Dec  7 2020 jack@suse.cz
- ubifs: Fix a memleak after dumping authentication mount options
  (bsc#1179687).
- commit 3c605f4
* Mon Dec  7 2020 jack@suse.cz
- iomap: Set all uptodate bits for an Uptodate page (bsc#1179685).
- commit 8e539c4
* Mon Dec  7 2020 jack@suse.cz
- iomap: Mark read blocks uptodate in write_begin (bsc#1179684).
- commit d032f23
* Mon Dec  7 2020 jack@suse.cz
- iomap: Clear page error before beginning a write (bsc#1179683).
- commit da58998
* Mon Dec  7 2020 jack@suse.cz
- blacklist.conf: Blacklist 50b7d8568008
- commit cc769c4
* Mon Dec  7 2020 jack@suse.cz
- fs/ufs: avoid potential u32 multiplication overflow
  (bsc#1179682).
- commit 8289be8
* Mon Dec  7 2020 jack@suse.cz
- fs/minix: remove expected error message in block_to_path()
  (bsc#1179681).
- commit 0ea255e
* Mon Dec  7 2020 jack@suse.cz
- fs/minix: fix block limit check for V1 filesystems
  (bsc#1179680).
- commit 06199cf
* Mon Dec  7 2020 jack@suse.cz
- fs/minix: set s_maxbytes correctly (bsc#1179679).
- commit 69dd22c
* Mon Dec  7 2020 jack@suse.cz
- fs/minix: reject too-large maximum file size (bsc#1179678).
- commit c5b4a77
* Mon Dec  7 2020 jack@suse.cz
- fs/minix: don't allow getting deleted inodes (bsc#1179677).
- commit cbd9376
* Mon Dec  7 2020 jack@suse.cz
- fs/minix: check return value of sb_getblk() (bsc#1179676).
- commit 86706a5
* Mon Dec  7 2020 jack@suse.cz
- ubifs: Fix wrong orphan node deletion in ubifs_jnl_update|rename
  (bsc#1179675).
- commit 7055a2f
* Mon Dec  7 2020 jack@suse.cz
- ext4: unlock xattr_sem properly in ext4_inline_data_truncate()
  (bsc#1179673).
- commit d17d948
* Mon Dec  7 2020 jack@suse.cz
- ext4: correctly report "not supported" for {usr,grp}jquota
  when !CONFIG_QUOTA (bsc#1179672).
- commit ace06ac
* Mon Dec  7 2020 jack@suse.cz
- ext4: limit entries returned when counting fsmap records
  (bsc#1179671).
- commit 869362f
* Mon Dec  7 2020 jack@suse.cz
- ext4: fix leaking sysfs kobject after failed mount
  (bsc#1179670).
- commit 2855c18
* Mon Dec  7 2020 bp@suse.de
- x86/mce: Do not overwrite no_way_out if mce_end() fails
  (bsc#1152489).
- commit 016650c
* Mon Dec  7 2020 mkubecek@suse.cz
- net/x25: prevent a couple of overflows (bsc#1178590).
- commit 9618139
* Mon Dec  7 2020 mkubecek@suse.cz
- Update patches.suse/xfrm-Fix-memleak-on-xfrm-state-destroy.patch
  references (add bsc#1158775).
- commit f5ca88c
* Mon Dec  7 2020 mkubecek@suse.cz
- ethtool: fix error handling in ethtool_phys_id (git-fixes).
- commit 62d5d56
* Mon Dec  7 2020 oneukum@suse.com
- blacklist.conf: breaks kABI and is only needed on 32 bit
- commit b613713
* Mon Dec  7 2020 oneukum@suse.com
- blacklist.conf: cleanup, no functional change
- commit f5a48eb
* Mon Dec  7 2020 oneukum@suse.com
- USB: serial: kl5kusb105: fix memleak on open (git-fixes).
- commit 5939355
* Mon Dec  7 2020 jlee@suse.com
- x86/platform/uv: Unexport sn_coherency_id (jsc#SLE-16407).
- x86/platform/uv: Mark uv_bios_call() and uv_bios_call_irqsave()
  static (jsc#SLE-16407).
- efi/x86: Disallow efi=old_map in mixed mode (jsc#SLE-16407).
- commit e8cfe8c
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/bnxt_re: Fix sizeof mismatch for allocation of pbl_tbl. (bsc#1152489)
- commit b293ffc
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/ipoib: Set rtnl_link_ops for ipoib interfaces (bsc#1152489)
- commit 2686c41
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/addr: Fix race with netevent_callback()/rdma_addr_cancel() (bsc#1152489)
- commit e7b302f
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/hns: Fix missing sq_sig_type when querying QP (bsc#1152489)
- commit 428c91c
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/hns: Add check for the validity of sl configuration (bsc#1152489)
- commit 1cb3ce0
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/hns: Correct typo of hns_roce_create_cq() (bsc#1152489)
- commit 8c66138
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/mlx5: Disable IB_DEVICE_MEM_MGT_EXTENSIONS if IB_WR_REG_MR can't work (bsc#1152489)
- commit a38a25c
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/hns: Set the unsupported wr opcode (bsc#1152489)
- commit e06fae1
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix iWARP active mtu display (bsc#1152489)
- commit d610dee
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- qede: Notify qedr when mtu has changed (bsc#1152489)
- commit 98fc763
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix resource leak in qedr_create_qp (bsc#1152489)
- commit bdb50f5
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix inline size returned for iWARP (bsc#1152489)
- commit 1a57d92
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix use of uninitialized field (bsc#1152489)
- commit 6926fdb
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix doorbell setting (bsc#1152489)
- commit 7085d43
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: Fix qp structure memory leak (bsc#1152489)
- commit 15f0227
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/umem: Prevent small pages from being returned by ib_umem_find_best_pgsz() (bsc#1152489)
- commit 6fda3ed
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/umem: Fix ib_umem_find_best_pgsz() for mappings that cross a page boundary (bsc#1152489)
- commit e3d4c09
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- IB/mlx4: Adjust delayed work when a dup is observed (bsc#1152489)
- commit f007f05
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- IB/mlx4: Fix starvation in paravirt mux/demux (bsc#1152489)
- commit b4a4680
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- IB/mlx4: Add support for MRA (bsc#1152489)
- commit d8e693f
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- IB/mlx4: Add and improve logging (bsc#1152489)
- commit d9fbac5
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- IB/isert: Fix unaligned immediate-data handling (bsc#1152489)
- commit ff723af
* Mon Dec  7 2020 msuchanek@suse.de
- powerpc/numa: Fix a regression on memoryless node 0 (bsc#1179639
  ltc#189002).
- commit 3324f59
* Mon Dec  7 2020 hare@suse.de
- nvme-rdma: handle unexpected nvme completion data length
  (bsc#1178612).
- commit 302adf9
* Mon Dec  7 2020 tiwai@suse.de
- tty: Fix ->pgrp locking in tiocspgrp() (git-fixes).
- usb: gadget: f_fs: Use local copy of descriptors for userspace
  copy (git-fixes).
- USB: serial: kl5kusb105: fix memleak on open (git-fixes).
- USB: serial: option: fix Quectel BG96 matching (git-fixes).
- thunderbolt: Fix use-after-free in remove_unplugged_switch()
  (git-fixes).
- coredump: fix core_pattern parse error (git-fixes).
- commit c18ac30
* Mon Dec  7 2020 hare@suse.de
- nvme-tcp: avoid repeated request completion (bsc#1179519).
- nvme-rdma: avoid repeated request completion (bsc#1179519).
- nvme-tcp: avoid race between time out and tear down
  (bsc#1179519).
- nvme-rdma: avoid race between time out and tear down
  (bsc#1179519).
- nvme: introduce nvme_sync_io_queues (bsc#1179519).
- nvme-rdma: fix reset hang if controller died in the middle of
  a reset (bsc#1179519).
- nvme-rdma: fix timeout handler (bsc#1179519).
- nvme-rdma: serialize controller teardown sequences
  (bsc#1179519).
- nvme-tcp: fix reset hang if controller died in the middle of
  a reset (bsc#1179519).
- nvme-tcp: fix timeout handler (bsc#1179519).
- nvme-tcp: serialize controller teardown sequences (bsc#1179519).
- nvme: have nvme_wait_freeze_timeout return if it timed out
  (bsc#1179519).
- nvme-fabrics: don't check state NVME_CTRL_NEW for request
  acceptance (bsc#1179519).
- nvme-rdma: fix controller reset hang during traffic
  (bsc#1179519).
- nvme-tcp: fix controller reset hang during traffic
  (bsc#1179519).
- nvme-tcp: optimize network stack with setting msg flags
  (bsc#1179519).
- nvme-tcp: leverage request plugging (bsc#1179519).
- nvme-tcp: have queue prod/cons send list become a llist
  (bsc#1179519).
- commit 2ed3c82
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/core: Fix reported speed and width (bsc#1152489)
- commit 8c599c6
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix memleak in rxe_mem_init_user (bsc#1152489)
- commit cc6aac8
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Fix the parent sysfs read when the interface has 15 chars (bsc#1152489)
- commit e9e9418
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/bnxt_re: Do not add user qps to flushlist (bsc#1152489)
- commit 940898b
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/netlink: Remove CAP_NET_RAW check when dump a raw QP (bsc#1152489)
- commit ccd3388
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/core: Fix return error value in _ib_modify_qp() to negative (bsc#1152489)
- commit 687bd9b
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Prevent access to wr->next ptr afrer wr is posted to send queue (bsc#1152489)
- commit 4299c93
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/qedr: SRQ's bug fixes (bsc#1152489)
- commit 9e7f793
* Mon Dec  7 2020 hare@suse.de
- nvme-tcp: set MSG_SENDPAGE_NOTLAST with MSG_MORE when we have
  (bsc#1179519).
- Refresh
  patches.suse/0004-nvme-tcp-check-page-by-sendpage_ok-before-calling-ke.patch.
- commit 32b2bc0
* Mon Dec  7 2020 hare@suse.de
- nvme-tcp: try to send request in queue_rq context (bsc#1179519).
- nvme-tcp: avoid scheduling io_work if we are already polling
  (bsc#1179519).
- nvme-tcp: use bh_lock in data_ready (bsc#1179519).
- commit 0a88b1e
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Return void from rxe_mem_init_dma() (bsc#1152489)
- commit 3d531e1
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Return void from rxe_init_port_param() (bsc#1152489)
- commit d46a4c5
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Drop pointless checks in rxe_init_ports (bsc#1152489)
- commit 2094aae
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/counter: Allow manually bind QPs with different pids to same counter (bsc#1152489)
- commit 309f664
* Mon Dec  7 2020 hare@suse.de
- nvme-tcp: fix possible crash in recv error flow (bsc#1179519).
- commit 4c08b72
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/counter: Only bind user QPs in auto mode (bsc#1152489)
- commit 72cbdac
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Skip dgid check in loopback mode (bsc#1152489)
- commit e2d95da
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- IB/uverbs: Set IOVA on IB MR in uverbs layer (bsc#1152489)
- commit b8a964a
* Mon Dec  7 2020 hare@suse.de
- nvme-tcp: don't poll a non-live queue (bsc#1179519).
- Refresh
  patches.suse/net-use-skb_queue_empty_lockless-in-busy-poll-contex.patch.
- commit f682d57
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/core: Fix bogus WARN_ON during ib_unregister_device_queued() (bsc#1152489)
- commit 3cc3811
* Mon Dec  7 2020 hare@suse.de
- nvme-tcp: break from io_work loop if recv failed (bsc#1179519).
- nvme-tcp: move send failure to nvme_tcp_try_send (bsc#1179519).
- commit c56582a
* Mon Dec  7 2020 nmoreychaisemartin@suse.com
- RDMA/rxe: Remove unused rxe_mem_map_pages (bsc#1152489)
- commit e074cd4
* Mon Dec  7 2020 glin@suse.com
- doc: Add link to bpf helpers man page (bsc#1177028).
- udp, bpf: Ignore connections in reuseport group after BPF sk
  lookup (bsc#1177028).
- Documentation/bpf: Document CGROUP_STORAGE map type
  (bsc#1177028).
- udp6: Run SK_LOOKUP BPF program on socket lookup (bsc#1177028).
- udp6: Extract helper for selecting socket from reuseport group
  (bsc#1177028).
- udp: Run SK_LOOKUP BPF program on socket lookup (bsc#1177028).
- udp: Extract helper for selecting socket from reuseport group
  (bsc#1177028).
- inet6: Run SK_LOOKUP BPF program on socket lookup (bsc#1177028).
- inet6: Extract helper for selecting socket from reuseport group
  (bsc#1177028).
- bpf: Add info about .BTF_ids section to btf.rst (bsc#1177028).
- docs: bpf/bpf_devel_QA.rst: fix reference to nonexistent
  document (bsc#1177028).
- docs: bpf/index.rst: Add ringbuf.rst (bsc#1177028).
- bpf: Allow skb_ancestor_cgroup_id helper in cgroup skb
  (bsc#1177028).
- bpf: Avoid gcc-10 stringop-overflow warning in struct bpf_prog
  (bsc#1177028).
- s390: enable bpf jit by default when not built as always-on (bsc#1177028).
  Update s390x config files
- bpf: lsm: Add Documentation (bsc#1177028).
- bpf: lsm: Initialize the BPF LSM hooks (bsc#1177028).
  Refresh patches.suse/0001-security-create-hidden-area-to-keep-sensitive-data.patch
- bpf: Document bpf_inspect drgn tool (bsc#1177028).
- bpf: inet_diag: Dump bpf_sk_storages in inet_diag_dump()
  (bsc#1177028).
- inet_diag: Move the INET_DIAG_REQ_BYTECODE nlattr to cb->data
  (bsc#1177028).
- inet_diag: Refactor inet_sk_diag_fill(), dump(), and dump_one()
  (bsc#1177028).
- docs/bpf: Update bpf development Q/A file (bsc#1177028).
- security: selinux: allow per-file labeling for bpffs
  (bsc#1177028).
- bpf: Avoid setting bpf insns pages read-only when prog is jited
  (bsc#1177028).
- bpf, doc: Change right arguments for JIT example code
  (bsc#1177028).
- bpf, testing: Introduce 'gso_linear_no_head_frag' skb_segment
  test (bsc#1177028).
- bpf, testing: Refactor test_skb_segment() for testing
  skb_segment() on different skbs (bsc#1177028).
- bpf: Add s390 testing documentation (bsc#1177028).
- bpf: clarify description for CONFIG_BPF_EVENTS (bsc#1177028).
- test_bpf: Fix a new clang warning about xor-ing two numbers
  (bsc#1177028).
- bpf/flow_dissector: document flags (bsc#1177028).
- commit b8f0bd1
* Mon Dec  7 2020 ohering@suse.de
- scsi: storvsc: Fix error return in storvsc_probe() (git-fixes).
- commit 83d54ae
* Mon Dec  7 2020 jslaby@suse.cz
- asm-generic: Make msi.h a mandatory include/asm header
  (jsc#SLE-16823).
- Refresh
  patches.suse/powerpc-64s-Implement-queued-spinlocks-and-rwlocks.patch.
- commit 23f23de
* Mon Dec  7 2020 jslaby@suse.cz
- iommu/vt-d: Fix compile error with CONFIG_PCI_ATS not set
  (jsc#SLE-16823).
- commit 6568a78
* Mon Dec  7 2020 jslaby@suse.cz
- iommu/vt-d: Cure VF irqdomain hickup (jsc#SLE-16823).
- genirq/irqdomain: Make sure all irq domain flags are distinct
  (jsc#SLE-16823).
- commit c29c85b
* Mon Dec  7 2020 glin@suse.com
- bpftool: Fix error return value in build_btf_type_table
  (bsc#1177028).
- commit a2cdbec
* Sun Dec  6 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/ALSA-usb-audio-Use-ALC1220-VB-DT-mapping-for-ASUS-RO.patch
- commit 2b35630
* Sun Dec  6 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/cifs-allow-syscalls-to-be-restarted-in-__smb_send_rqst-.patch
  patches.suse/cifs-fix-potential-use-after-free-in-cifs_echo_request-.patch
- commit f9b149a
* Sun Dec  6 2020 tiwai@suse.de
- Input: i8042 - fix error return code in i8042_setup_aux()
  (git-fixes).
- i2c: qup: Fix error return code in qup_i2c_bam_schedule_desc()
  (git-fixes).
- commit 74aa114
* Fri Dec  4 2020 ykaukab@suse.de
- PCI: tegra: Read "dbi" base address to program in application
  logic (bsc#1179344).
- PCI: tegra: Move "dbi" accesses to post common DWC
  initialization (bsc#1179344).
- commit 4c0696d
* Fri Dec  4 2020 lduncan@suse.com
- scsi: fnic: Validate io_req before others (bsc#1175079).
- scsi: fnic: Set scsi_set_resid() only for underflow
  (bsc#1175079).
- scsi: fnic: Change shost_printk() to FNIC_MAIN_DBG()
  (bsc#1175079).
- scsi: fnic: Avoid looping in TRANS ETH on unload (bsc#1175079).
- scsi: fnic: Change shost_printk() to FNIC_FCS_DBG()
  (bsc#1175079).
- commit 5c596ff
* Fri Dec  4 2020 mkoutny@suse.com
- blacklist.conf: 586b58cac8b4 exit: Move preemption fixup up, move blocking operations down
- commit 280ad3c
* Fri Dec  4 2020 mkoutny@suse.com
- exit: Move preemption fixup up, move blocking operations down
  (bsc#1174019).
- commit 940f4a2
* Fri Dec  4 2020 palcantara@suse.de
- cifs: fix DFS mount with cifsacl/modefromsid (bsc#1178270).
- commit c824489
* Fri Dec  4 2020 palcantara@suse.de
- cifs: fix check of tcon dfs in smb1 (bsc#1178270).
- commit ff315b4
* Fri Dec  4 2020 palcantara@suse.de
- cifs: Fix an error pointer dereference in cifs_mount()
  (bsc#1178270).
- commit e5a8cdb
* Fri Dec  4 2020 palcantara@suse.de
- cifs: document and cleanup dfs mount (bsc#1178270).
- commit de6694e
* Fri Dec  4 2020 palcantara@suse.de
- cifs: only update prefix path of DFS links in
  cifs_tree_connect() (bsc#1178270).
- commit 1f46cb8
* Fri Dec  4 2020 palcantara@suse.de
- cifs: fix double free error on share and prefix (bsc#1178270).
- commit bf4c8ab
* Fri Dec  4 2020 palcantara@suse.de
- cifs: handle RESP_GET_DFS_REFERRAL.PathConsumed in reconnect
  (bsc#1178270).
- commit 947bd74
* Fri Dec  4 2020 palcantara@suse.de
- cifs: handle empty list of targets in cifs_reconnect()
  (bsc#1178270).
- commit 846daee
* Fri Dec  4 2020 palcantara@suse.de
- cifs: rename reconn_inval_dfs_target() (bsc#1178270).
- commit 12d8cf3
* Fri Dec  4 2020 palcantara@suse.de
- cifs: reduce number of referral requests in DFS link lookups
  (bsc#1178270).
- commit cc7ec21
* Fri Dec  4 2020 palcantara@suse.de
- cifs: merge __{cifs,smb2}_reconnect[_tcon]() into
  cifs_tree_connect() (bsc#1178270).
- commit b6f05ac
* Fri Dec  4 2020 palcantara@suse.de
- cifs: get rid of unused parameter in reconn_setup_dfs_targets()
  (bsc#1178270).
- commit a6a1916
* Fri Dec  4 2020 tiwai@suse.de
- Update patch reference for rawmidi security fix (CVE-2020-27786 bsc#1179601)
- commit 1c4c1fd
* Fri Dec  4 2020 palcantara@suse.de
- cifs: handle hostnames that resolve to same ip in failover
  (bsc#1178270).
- commit cd8e61d
* Fri Dec  4 2020 palcantara@suse.de
- cifs: set up next DFS target before generic_ip_connect()
  (bsc#1178270).
- commit 1099aff
* Fri Dec  4 2020 ykaukab@suse.de
- cppc_cpufreq: optimise memory allocation for HW and NONE coordination (bsc#1179585).
- commit 5c89e8a
* Fri Dec  4 2020 palcantara@suse.de
- cifs: fix leaked reference on requeued write (bsc#1178270).
- commit f474970
* Fri Dec  4 2020 palcantara@suse.de
- cifs: fix uninitialised lease_key in open_shroot()
  (bsc#1178270).
- commit dbce315
* Fri Dec  4 2020 palcantara@suse.de
- cifs: ensure correct super block for DFS reconnect
  (bsc#1178270).
- commit 5350fc5
* Fri Dec  4 2020 palcantara@suse.de
- cifs: do not share tcons with DFS (bsc#1178270).
- commit c8f7b47
* Fri Dec  4 2020 ykaukab@suse.de
- PCI: qcom: Make sure PCIe is reset before init for rev 2.1.0 (bsc#1179344).
- PCI: tegra: No need to check return value of debugfs_create() functions (bsc#1179344).
- commit e014876
* Fri Dec  4 2020 msuchanek@suse.de
- powerpc/perf: Fix crash with is_sier_available when pmu is
  not set (bsc#1179578 ltc#189313).
- commit 26fc4d5
* Fri Dec  4 2020 tiwai@suse.de
- rtw88: debug: Fix uninitialized memory in debugfs code
  (git-fixes).
- geneve: pull IP header before ECN decapsulation (git-fixes).
- can: c_can: c_can_power_up(): fix error handling (git-fixes).
- can: sun4i_can: sun4i_can_err(): don't count arbitration lose
  as an error (git-fixes).
- can: sja1000: sja1000_err(): don't count arbitration lose as
  an error (git-fixes).
- batman-adv: Don't always reallocate the fragmentation skb head
  (git-fixes).
- batman-adv: Reserve needed_*room for fragments (git-fixes).
- batman-adv: Consider fragmentation for needed_headroom
  (git-fixes).
- commit 5d0aad4
* Fri Dec  4 2020 jlee@suse.com
- arm64: efi: increase EFI PE/COFF header padding to 64 KB
  (jsc#SLE-16407).
- commit b4b728e
* Fri Dec  4 2020 palcantara@suse.de
- cifs: allow syscalls to be restarted in __smb_send_rqst()
  (bsc#1176956).
- commit 5ae286e
* Fri Dec  4 2020 palcantara@suse.de
- cifs: fix potential use-after-free in cifs_echo_request()
  (bsc#1139944).
- commit 1723321
* Thu Dec  3 2020 mkubecek@suse.cz
- Delete patches.suse/fs-select.c-batch-user-writes-in-do_sys_poll.patch (bsc#1179419)
  This patch causes a regression and while we are not 100%% sure it does not
  just trigger a bug somewhere else, as it's only a performance optimization,
  dropping it for now is the safer option.
- commit b48bf35
* Thu Dec  3 2020 aaptel@suse.com
- cifs: add NULL check for ses->tcon_ipc (bsc#1178270).
- commit 0e24399
* Thu Dec  3 2020 mbrugger@suse.com
- random: avoid warnings for !CONFIG_NUMA builds (jsc#SLE-16574
  jsc#SLE-13718).
- commit 707d14b
* Thu Dec  3 2020 mbrugger@suse.com
- random: Make RANDOM_TRUST_CPU depend on ARCH_RANDOM
  (jsc#SLE-16574 jsc#SLE-13718).
- arm64: Update config files. Enable RANDOM_TRUST_CPU
- commit 1874f3a
* Thu Dec  3 2020 mbrugger@suse.com
- arm64: add credited/trusted RNG support (jsc#SLE-16574
  jsc#SLE-13718).
- commit d313473
* Thu Dec  3 2020 mbrugger@suse.com
- random: add arch_get_random_*long_early() (jsc#SLE-16574
  jsc#SLE-13718).
- Refresh
  patches.suse/0008-random-move-FIPS-continuous-test-to-output-functions.patch.
- Refresh
  patches.suse/random-fix-circular-include-dependency-on-arm64-afte.patch.
- Refresh
  patches.suse/random32-move-the-pseudo-random-32-bit-definitions-t.patch.
- Refresh
  patches.suse/random32-update-the-net-random-state-on-interrupt-an.patch.
- commit f9d737f
* Thu Dec  3 2020 mbrugger@suse.com
- random: split primary/secondary crng init paths (jsc#SLE-16574
  jsc#SLE-13718).
- Refresh
  patches.suse/0008-random-move-FIPS-continuous-test-to-output-functions.patch.
- commit 95b7891
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: rockchip: Fix bus checks in rockchip_pcie_valid_device().
- commit 1c9f6cd
* Thu Dec  3 2020 mbrugger@suse.com
- arm64: Use v8.5-RNG entropy for KASLR seed (jsc#SLE-16574
  jsc#SLE-13718).
- commit d1f775c
* Thu Dec  3 2020 mbrugger@suse.com
- arm64: Implement archrandom.h for ARMv8.5-RNG (jsc#SLE-16574
  jsc#SLE-13718).
- Refresh patches.suse/arm64-Detect-the-ARMv8.4-TTL-feature.patch.
- Refresh
  patches.suse/arm64-cpufeature-Add-remaining-feature-bits-in-ID_AA.patch.
- Refresh
  patches.suse/arm64-tlb-Detect-the-ARMv8.4-TLBI-RANGE-feature.patch.
- Refresh
  patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- arm64: Update config files. Enable CONFIG_ARCH_RANDOM
- commit 7a3c65d
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: cadence: Fix cdns_pcie_{host|ep}_setup() error path (bsc#1179344).
  Refresh:
  patches.suse/PCI-Set-bridge-map_irq-and-swizzle_irq-to-default-fu.patch.
  patches.suse/PCI-Set-default-bridge-parent-device.patch.
  patches.suse/PCI-cadence-Remove-private-bus-number-and-range-stor.patch.
  patches.suse/PCI-cadence-Use-struct-pci_host_bridge.windows-list-.patch.
- commit d8fd281
* Thu Dec  3 2020 ailiop@suse.com
- Revert "xfs: complain if anyone tries to create a too-large buffer"
  This reverts commit 293e483ad8434ee10a65f76743a0a654e34e76c6.
  References: bsc#1179425, bsc#1179550
- commit d88fa75
* Thu Dec  3 2020 mbrugger@suse.com
- arm64: kaslr: Check command line before looking for a seed
  (jsc#SLE-16574 jsc#SLE-13718).
- commit 6895a97
* Thu Dec  3 2020 mbrugger@suse.com
- arm64: kaslr: Announce KASLR status on boot (jsc#SLE-16574
  jsc#SLE-13718).
- commit bdab3d9
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: Move DT resource setup into devm_pci_alloc_host_bridge() (bsc#1179344).
- PCI: rcar-gen2: Convert to use modern host bridge probe functions (bsc#1179344).
- PCI: of: Reduce missing non-prefetchable memory region to a warning (bsc#1179344).
- commit 10c6591
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: cadence: Remove private bus number and range storage (bsc#1179344).
- commit 9499504
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: cadence: Use bridge resources for outbound window setup (bsc#1179344).
- PCI: cadence: Remove "cdns,max-outbound-regions" DT property (bsc#1179344).
- commit 569c1e5
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: cadence: Use struct pci_host_bridge.windows list directly
  (bsc#1179344).
- commit 946fb1a
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: cadence: Move all files to per-device cadence directory (bsc#1179344)
  Refresh:
  patches.suse/PCI-cadence-Fix-updating-Vendor-ID-and-Subsystem-Ven.patch.
  patches.suse/PCI-hip-Add-handling-of-HiSilicon-HIP-PCIe-controlle.patch.
  patches.suse/PCI-mobiveil-Modularize-the-Mobiveil-PCIe-Host-Bridg.patch.
  patches.suse/pci-of-add-inbound-resource-parsing-to-helpers.patch.
- commit 52cc93a
* Thu Dec  3 2020 mbrugger@suse.com
- Refresh
  patches.suse/ftrace-Fix-DYNAMIC_FTRACE_WITH_DIRECT_CALLS-dependen.patch.
- commit c268ddc
* Thu Dec  3 2020 bp@suse.de
- x86/speculation: Fix prctl() when
  spectre_v2_user={seccomp,prctl},ibpb (bsc#1152489).
- commit bc73dfb
* Thu Dec  3 2020 bp@suse.de
- x86/resctrl: Add necessary kernfs_put() calls to prevent
  refcount leak (bsc#1152489).
- commit 506cd70
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: cadence: Refactor driver to use as a core library (bsc#1179344).
- commit cb4f70b
* Thu Dec  3 2020 yousaf.kaukab@suse.com
- PCI: dwc: Detect number of iATU windows (bsc#1179344).
- PCI: dwc: Move inbound and outbound windows to common struct (bsc#1179344).
- PCI: dwc: Remove unnecessary wrappers around dw_pcie_host_init() (bsc#1179344).
- PCI: dwc: Move dw_pcie_setup_rc() to DWC common code (bsc#1179344).
- PCI: dwc: Move dw_pcie_msi_init() into core (bsc#1179344).
- PCI: dwc: Move link handling into common code (bsc#1179344).
- PCI: dwc: Rework MSI initialization (bsc#1179344).
- PCI: dwc: Move MSI interrupt setup into DWC common code (bsc#1179344).
- PCI: dwc: Drop the .set_num_vectors() host op (bsc#1179344).
- PCI: dwc/dra7xx: Use the common MSI irq_chip (bsc#1179344).
- PCI: dwc: Ensure all outbound ATU windows are reset (bsc#1179344).
- PCI: dwc/intel-gw: Remove some unneeded function wrappers (bsc#1179344).
- PCI: dwc: Move "dbi", "dbi2", and "addr_space" resource setup into common code (bsc#1179344).
- PCI: dwc/intel-gw: Move ATU offset out of driver match data (bsc#1179344).
- PCI: keystone: Enable compile-testing on !ARM (bsc#1179344).
- PCI: dwc: Support multiple ATU memory regions (bsc#1179344).
- PCI: dwc: Add support to program ATU for >4GB memory (bsc#1179344).
- PCI: of: Warn if non-prefetchable memory aperture size is > 32-bit (bsc#1179344).
- PCI: dwc: Restore ATU memory resource setup to use last entry (bsc#1179344).
- commit 6e5443d
* Thu Dec  3 2020 bp@suse.de
- x86/resctrl: Remove superfluous kernfs_get() calls to prevent
  refcount leak (bsc#1152489).
- commit 5e0ddcd
* Thu Dec  3 2020 tiwai@suse.de
- iwlwifi: mvm: properly cancel a session protection for P2P
  (git-fixes).
- iwlwifi: mvm: use the HOT_SPOT_CMD to cancel an AUX ROC
  (git-fixes).
- dmaengine: fix error codes in channel_register() (git-fixes).
- commit 2ca6174
* Thu Dec  3 2020 tiwai@suse.de
- USB: quirks: Add USB_QUIRK_DISCONNECT_SUSPEND quirk for Lenovo
  A630Z TIO built-in usb-audio card (git-fixes).
- HID: Add Logitech Dinovo Edge battery quirk (git-fixes).
- HID: logitech-hidpp: Add HIDPP_CONSUMER_VENDOR_KEYS quirk for
  the Dinovo Edge (git-fixes).
- HID: add HID_QUIRK_INCREMENT_USAGE_ON_DUPLICATE for Gamevice
  devices (git-fixes).
- HID: hid-sensor-hub: Fix issue with devices with no report ID
  (git-fixes).
- HID: add support for Sega Saturn (git-fixes).
- HID: cypress: Support Varmilo Keyboards' media hotkeys
  (git-fixes).
- HID: ite: Replace ABS_MISC 120/121 events with touchpad on/off
  keypresses (git-fixes).
- HID: uclogic: Add ID for Trust Flex Design Tablet (git-fixes).
- Input: i8042 - allow insmod to succeed on devices without an
  i8042 controller (git-fixes).
- commit 79be581
* Thu Dec  3 2020 tiwai@suse.de
- ASoC: rt5682: change SAR voltage threshold (git-fixes).
- commit 792c88a
* Thu Dec  3 2020 tiwai@suse.de
- kABI workaround for HD-audio generic parser (git-fixes).
- commit 233e3cc
* Thu Dec  3 2020 tiwai@suse.de
- ALSA: hda/realtek: Add mute LED quirk to yet another HP x360
  model (git-fixes).
- ALSA: hda/realtek: Fix bass speaker DAC assignment on Asus
  Zephyrus G14 (git-fixes).
- ALSA: hda/generic: Add option to enforce preferred_dacs pairs
  (git-fixes).
- ASoC: wm_adsp: fix error return code in wm_adsp_load()
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Fix HP Pavilion x2 Detachable quirks
  (git-fixes).
- ALSA: usb-audio: US16x08: fix value count for level meters
  (git-fixes).
- ALSA: hda/realtek - Add new codec supported for ALC897
  (git-fixes).
- ALSA: hda/realtek: Enable headset of ASUS UX482EG & B9400CEA
  with ALC294 (git-fixes).
- ALSA: hda/realtek - Fixed Dell AIO wrong sound tone (git-fixes).
- commit c480457
* Thu Dec  3 2020 jlee@suse.com
- mm/init-mm.c: include <linux/mman.h> for vm_committed_as_batch
  (jsc#SLE-16407).
- commit ec88d4f
* Thu Dec  3 2020 tonyj@suse.de
- perf/x86: Fix n_metric for cancelled txn (jsc#SLE-13346).
- perf/x86/intel: Check perf metrics feature for each CPU
  (jsc#SLE-13346).
- commit 3ed7afb
* Wed Dec  2 2020 tbogendoerfer@suse.de
- cxgb4: Fix build failure when CONFIG_TLS=m (jsc#SLE-15129).
- commit a2fe676
* Wed Dec  2 2020 tbogendoerfer@suse.de
- crypto/chcr: move nic TLS functionality to drivers/net
  (jsc#SLE-15129).
- Update config files.
- supported.conf: Added ch_ktls (Chelsio TLS offload module)
- commit 04b52e4
* Wed Dec  2 2020 tbogendoerfer@suse.de
- crypto/chcr: Moving chelsio's inline ipsec functionality to
  /drivers/net (jsc#SLE-15129).
- Update config files.
- supported.conf: added ch_ipsec (Chelsio ipsec offload module)
- commit 813c7b5
* Wed Dec  2 2020 yousaf.kaukab@suse.com
- PCI: Use devm_add_action_or_reset() (bsc#1179344).
- commit 2e95630
* Wed Dec  2 2020 tbogendoerfer@suse.de
- chelsio/chtls: separate chelsio tls driver from crypto driver
  (jsc#SLE-15129).
- Update config files.
- commit 3a32580
* Wed Dec  2 2020 tbogendoerfer@suse.de
- ch_ktls: lock is not freed (jsc#SLE-15129).
- cxgb4: fix the panic caused by non smac rewrite (jsc#SLE-15131).
- ch_ktls: stop the txq if reaches threshold (jsc#SLE-15129).
- ch_ktls: tcb update fails sometimes (jsc#SLE-15129).
- ch_ktls/cxgb4: handle partial tag alone SKBs (jsc#SLE-15129).
- ch_ktls: don't free skb before sending FIN (jsc#SLE-15129).
- ch_ktls: packet handling prior to start marker (jsc#SLE-15129).
- ch_ktls: Correction in middle record handling (jsc#SLE-15129).
- ch_ktls: missing handling of header alone (jsc#SLE-15129).
- ch_ktls: Correction in trimmed_len calculation (jsc#SLE-15129).
- cxgb4/ch_ktls: creating skbs causes panic (jsc#SLE-15129).
- ch_ktls: Update cheksum information (jsc#SLE-15129).
- ch_ktls: Correction in finding correct length (jsc#SLE-15129).
- cxgb4/ch_ktls: decrypted bit is not enough (jsc#SLE-15129).
- chelsio/chtls: fix always leaking ctrl_skb (jsc#SLE-15129).
- chelsio/chtls: fix memory leaks caused by a race
  (jsc#SLE-15129).
- chelsio/chtls: fix memory leaks in CPL handlers (jsc#SLE-15129).
- chelsio/chtls: fix deadlock issue (jsc#SLE-15129).
- cxgb4: set up filter action after rewrites (jsc#SLE-15131).
- chelsio/chtls: fix tls record info to user (jsc#SLE-15129).
- net: chelsio: inline_crypto: fix Kconfig and build errors
  (jsc#SLE-15129).
- chelsio/chtls: fix writing freed memory (jsc#SLE-15129).
- chelsio/chtls: correct function return and return type
  (jsc#SLE-15129).
- chelsio/chtls: Fix panic when listen on multiadapter
  (jsc#SLE-15129).
- chelsio/chtls: fix panic when server is on ipv6 (jsc#SLE-15129).
- chelsio/chtls: correct netdevice for vlan interface
  (jsc#SLE-15129).
- chelsio/chtls: fix socket lock (jsc#SLE-15129).
- cxgb4: handle 4-tuple PEDIT to NAT mode translation
  (jsc#SLE-15131).
- cxgb4/ch_ipsec: Replace the module name to ch_ipsec from chcr
  (jsc#SLE-15129).
- net: cxbg4: Remove pointless in_interrupt() check
  (jsc#SLE-15131).
- cxgb4/ch_ktls: ktls stats are added at port level
  (jsc#SLE-15129).
- cxgb4: Avoid log flood (jsc#SLE-15131).
- ch_ktls: Issue if connection offload fails (jsc#SLE-15129).
- cxgb4vf: convert to use DEFINE_SEQ_ATTRIBUTE macro
  (jsc#SLE-15131).
- chelsio/chtls: Re-add dependencies on CHELSIO_T4 to fix modular
  CHELSIO_T4 (jsc#SLE-15129).
- cxgb4/ch_ipsec: Registering xfrmdev_ops with cxgb4
  (jsc#SLE-15129).
- chelsio/chtls: CHELSIO_INLINE_CRYPTO should depend on CHELSIO_T4
  (jsc#SLE-15129).
- cxgb4: add error handlers to LE intr_handler (jsc#SLE-15131).
- cxgb4: insert IPv6 filter rules in next free region
  (jsc#SLE-15131).
- crypto: chelsio - fix minor indentation issue (jsc#SLE-15129).
- commit 9264232
* Wed Dec  2 2020 yousaf.kaukab@suse.com
- PCI: mvebu: Fix duplicate resource requests (bsc#1179344).
- PCI: meson: Build as module by default (bsc#1179344).
- PCI: kirin: Return -EPROBE_DEFER in case the gpio isn't ready (bsc#1179344).
- PCI: imx6: Do not output error message when devm_clk_get() failed with -EPROBE_DEFER (bsc#1179344).
- PCI: imx6: Use fallthrough pseudo-keyword (bsc#1179344).
- PCI: dwc: Add link up check in dw_child_pcie_ops.map_bus() (bsc#1179344).
- PCI: dwc: Fix MSI page leakage in suspend/resume (bsc#1179344).
- PCI: dwc: Skip PCIE_MSI_INTR0* programming if MSI is disabled (bsc#1179344).
- PCI: keystone: Remove iATU register mapping (bsc#1179344).
- PCI: dwc: Add common iATU register support (bsc#1179344).
- PCI: dwc: Fix 'cast truncates bits from constant value' (bsc#1179344).
- misc: pci_endpoint_test: Add LS1088a in pci_device_id table (bsc#1179344).
- PCI: layerscape: Add EP mode support for ls1088a and ls2088a (bsc#1179344).
- PCI: layerscape: Modify the MSIX to the doorbell mode (bsc#1179344).
- PCI: layerscape: Modify the way of getting capability with different PEX (bsc#1179344).
- PCI: layerscape: Fix some format issue of the code (bsc#1179344).
- PCI: designware-ep: Modify MSI and MSIX CAP way of finding (bsc#1179344).
- PCI: designware-ep: Move the function of getting MSI capability forward (bsc#1179344).
- PCI: designware-ep: Add the doorbell mode of MSI-X in EP mode (bsc#1179344).
- PCI: designware-ep: Add multiple PFs support for DWC (bsc#1179344).
- PCI: dwc: Use DBI accessors (bsc#1179344).
- PCI: dwc: Move N_FTS setup to common setup (bsc#1179344).
- PCI: dwc/intel-gw: Drop unused max_width (bsc#1179344).
- PCI: dwc/intel-gw: Move getting PCI_CAP_ID_EXP offset to intel_pcie_link_setup() (bsc#1179344).
- PCI: dwc/intel-gw: Drop unnecessary checking of DT 'device_type' property (bsc#1179344).
- PCI: dwc: Set PORT_LINK_DLL_LINK_EN in common setup code (bsc#1179344).
- PCI: dwc: Centralize link gen setting (bsc#1179344).
- PCI: dwc: Make ATU accessors private (bsc#1179344).
- PCI: dwc: Remove read_dbi2 code (bsc#1179344).
- PCI: dwc/tegra: Use common Designware port logic register definitions (bsc#1179344).
  Refresh:
  patches.suse/PCI-tegra-No-need-to-check-return-value-of-debugfs_c.patch
- PCI: dwc: Remove hardcoded PCI_CAP_ID_EXP offset (bsc#1179344).
- PCI: dwc/qcom: Use common PCI register definitions (bsc#1179344).
- PCI: dwc/imx6: Use common PCI register definitions (bsc#1179344).
- PCI: dwc/meson: Rework PCI config and DW port logic register accesses (bsc#1179344).
- PCI: dwc/meson: Drop unnecessary RC config space initialization (bsc#1179344).
- PCI: dwc/meson: Drop the duplicate number of lanes setup (bsc#1179344).
- PCI: dwc: Ensure FAST_LINK_MODE is cleared (bsc#1179344).
- PCI: dwc: Add a 'num_lanes' field to struct dw_pcie (bsc#1179344).
- PCI: dwc/imx6: Remove duplicate define PCIE_LINK_WIDTH_SPEED_CONTROL (bsc#1179344).
- PCI: dwc: Check CONFIG_PCI_MSI inside dw_pcie_msi_init() (bsc#1179344).
- PCI: dwc: Simplify config space handling (bsc#1179344).
- PCI: dwc: Remove storing of PCI resources (bsc#1179344).
- PCI: dwc: Remove root_bus pointer (bsc#1179344).
- PCI: dwc: Convert to use pci_host_probe() (bsc#1179344).
- PCI: dwc: keystone: Convert .scan_bus() callback to use add_bus (bsc#1179344).
- PCI: Also call .add_bus() callback for root bus (bsc#1179344).
- PCI: dwc: Use generic config accessors (bsc#1179344).
- PCI: dwc: Remove dwc specific config accessor ops (bsc#1179344).
- PCI: dwc: histb: Use pci_ops for root config space accessors (bsc#1179344).
- PCI: dwc: exynos: Use pci_ops for root config space accessors (bsc#1179344).
- PCI: dwc: kirin: Use pci_ops for root config space accessors (bsc#1179344).
- PCI: dwc: meson: Use pci_ops for root config space accessors (bsc#1179344).
- PCI: dwc: tegra: Use pci_ops for root config space accessors (bsc#1179344).
- PCI: dwc: keystone: Use pci_ops for config space accessors (bsc#1179344).
- PCI: dwc: al: Use pci_ops for child config space accessors (bsc#1179344).
- PCI: dwc: Add a default pci_ops.map_bus for root port (bsc#1179344).
- PCI: dwc: Allow overriding bridge pci_ops (bsc#1179344).
- PCI: dwc: Use DBI accessors instead of own config accessors (bsc#1179344).
- PCI: Allow root and child buses to have different pci_ops (bsc#1179344).
- PCI: designware-ep: Fix the Header Type check (bsc#1179344).
- PCI: Remove dev_err() when handing an error from platform_get_irq() (bsc#1179344).
- PCI: Fix kerneldoc warnings (bsc#1179344).
- PCI: Set bridge map_irq and swizzle_irq to default functions (bsc#1179344).
- PCI: Move setting pci_host_bridge.busnr out of host drivers (bsc#1179344).
- PCI: rockchip: Use pci_is_root_bus() to check if bus is root bus (bsc#1179344).
- PCI: xilinx: Use pci_is_root_bus() to check if bus is root bus (bsc#1179344).
- PCI: xilinx-nwl: Use pci_is_root_bus() to check if bus is root bus (bsc#1179344).
- PCI: mobiveil: Use pci_is_root_bus() to check if bus is root bus (bsc#1179344).
  Refresh:
  patches.suse/PCI-mobiveil-ls_pcie_g4-add-Workaround-for-A-011577.patch
- PCI: designware: Use pci_is_root_bus() to check if bus is root bus (bsc#1179344).
- PCI: aardvark: Use pci_is_root_bus() to check if bus is root bus (bsc#1179344).
- PCI: Drop unnecessary zeroing of bridge fields (bsc#1179344).
- PCI: Set default bridge parent device (bsc#1179344).
- PCI: versatile: Drop flag PCI_ENABLE_PROC_DOMAINS (bsc#1179344).
- PCI: xilinx: Use pci_host_probe() to register host (bsc#1179344).
- PCI: xilinx-nwl: Use pci_host_probe() to register host (bsc#1179344).
- PCI: rockchip: Use pci_host_probe() to register host (bsc#1179344).
- PCI: iproc: Use pci_host_probe() to register host (bsc#1179344).
- PCI: altera: Use pci_host_probe() to register host (bsc#1179344).
- PCI: xgene: Use pci_host_probe() to register host (bsc#1179344).
- PCI: versatile: Use pci_host_probe() to register host (bsc#1179344).
- PCI: v3: Use pci_host_probe() to register host (bsc#1179344).
- PCI: mobiveil: Use pci_host_probe() to register host (bsc#1179344).
- PCI: brcmstb: Use pci_host_probe() to register host (bsc#1179344).
  Refresh:
  patches.suse/PCI-controller-Convert-to-devm_platform_ioremap_reso.patch
- PCI: host-common: Use struct pci_host_bridge.windows list directly (bsc#1179344).
- PCI: mvebu: Use struct pci_host_bridge.windows list directly (bsc#1179344).
- PCI: Use of_node_name_eq() for node name comparisons (bsc#1179344).
- PCI: Fix pci_host_bridge struct device release/free handling (bsc#1179344).
- PCI: Make devm_of_pci_get_host_bridge_resources() static (bsc#1179344).
- commit 1cc12ed
* Wed Dec  2 2020 jlee@suse.com
- efi: Revert "efi/x86: Fix build with gcc 4" (jsc#SLE-16407).
- efi/libstub: Move the function prototypes to header file
  (jsc#SLE-16407).
- efi/libstub: Fix gcc error around __umoddi3 for 32 bit builds
  (jsc#SLE-16407).
- efi/x86: Only copy upto the end of setup_header (jsc#SLE-16407).
- efi/x86: Remove unused variables (jsc#SLE-16407).
- efi/libstub/arm64: Retain 2MB kernel Image alignment if !KASLR
  (jsc#SLE-16407).
- efi/libstub: arm: Print CPU boot mode and MMU state at boot
  (jsc#SLE-16407).
- efi/libstub: arm: Omit arch specific config table matching
  array on arm64 (jsc#SLE-16407).
- efi: Make it possible to disable efivar_ssdt entirely
  (jsc#SLE-16407).
- Refresh
  patches.suse/efi-EFI_EARLYCON-should-depend-on-EFI.patch
- Update config files.
  Add CONFIG_EFI_CUSTOM_SSDT_OVERLAYS=y to x86_64/default, arm64/default
- efi/libstub: Descriptions for stub helper functions
  (jsc#SLE-16407).
- efi/libstub: Fix missing-prototype warning for skip_spaces()
  (jsc#SLE-16407).
- efi: Replace zero-length array and use struct_size() helper
  (jsc#SLE-16407).
- efivarfs: Don't return -EINTR when rate-limiting reads
  (jsc#SLE-16407).
- efivarfs: Update inode modification time for successful writes
  (jsc#SLE-16407).
- efi/x86: Fix build with gcc 4 (jsc#SLE-16407).
- build, kcsan: Add KCSAN build exceptions (jsc#SLE-16407).
- mmap locking API: add MMAP_LOCK_INITIALIZER (jsc#SLE-16407).
- efi_test: get rid of pointless access_ok() (jsc#SLE-16407).
- efi/libstub: Disable Shadow Call Stack (jsc#SLE-16407).
- arm64: efi: Restore register x18 if it was corrupted
  (jsc#SLE-16407).
- arm64: kernel: Convert to modern annotations for assembly
  functions (jsc#SLE-16407).
- efi/libstub/arm64: align PE/COFF sections to segment alignment
  (jsc#SLE-16407).
- arm64: rename stext to primary_entry (jsc#SLE-16407).
- efi/x86: Don't blow away existing initrd (jsc#SLE-16407).
- efi/x86: Drop the special GDT for the EFI thunk (jsc#SLE-16407).
- efi/libstub: Add missing prototype for PE/COFF entry point
  (jsc#SLE-16407).
- efi/libstub: Use pool allocation for the command line
  (jsc#SLE-16407).
- efi/libstub: Don't parse overlong command lines (jsc#SLE-16407).
- efi/libstub: Use snprintf with %%ls to convert the command line
  (jsc#SLE-16407).
- efi/libstub: Get the exact UTF-8 length (jsc#SLE-16407).
- efi/libstub: Use %%ls for filename (jsc#SLE-16407).
- efi/libstub: Add UTF-8 decoding to efi_puts (jsc#SLE-16407).
- efi/printf: Add support for wchar_t (UTF-16) (jsc#SLE-16407).
- efi/gop: Add an option to list out the available GOP modes
  (jsc#SLE-16407).
- efi/libstub: Add definitions for console input and events
  (jsc#SLE-16407).
- efi/libstub: Implement printk-style logging (jsc#SLE-16407).
- efi/printf: Turn vsprintf into vsnprintf (jsc#SLE-16407).
- efi/printf: Abort on invalid format (jsc#SLE-16407).
- efi/printf: Refactor code to consolidate padding and output
  (jsc#SLE-16407).
- efi/printf: Handle null string input (jsc#SLE-16407).
- efi/printf: Factor out integer argument retrieval
  (jsc#SLE-16407).
- efi/printf: Factor out width/precision parsing (jsc#SLE-16407).
- efi/printf: Merge 'p' with the integer formats (jsc#SLE-16407).
- efi/printf: Fix minor bug in precision handling (jsc#SLE-16407).
- efi/printf: Factor out flags parsing and handle '%%' earlier
  (jsc#SLE-16407).
- efi/printf: Add 64-bit and 8-bit integer support
  (jsc#SLE-16407).
- efi/printf: Drop %%n format and L qualifier (jsc#SLE-16407).
- efi/libstub: Optimize for size instead of speed (jsc#SLE-16407).
- efi/libstub: Add a basic printf implementation (jsc#SLE-16407).
- efi/libstub: Buffer output of efi_puts (jsc#SLE-16407).
- efi/libstub: Rename efi_[char16_]printk to efi_[char16_]puts
  (jsc#SLE-16407).
- efi/libstub: Include dependencies of efistub.h (jsc#SLE-16407).
- efi/libstub: Correct comment typos (jsc#SLE-16407).
- efi/libstub: Make efi_printk() input argument const char*
  (jsc#SLE-16407).
- efi/libstub: Fix mixed mode boot issue after macro refactor
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/libstub: Check return value of efi_parse_options
  (jsc#SLE-16407).
- efi/x86: Support builtin command line (jsc#SLE-16407).
- efi/libstub: Unify initrd loading across architectures
  (jsc#SLE-16407).
- efi/x86: Move command-line initrd loading to efi_main
  (jsc#SLE-16407).
- efi/libstub: Upgrade ignored dtb= argument message to error
  (jsc#SLE-16407).
- efi/tpm: Use efi_err for error messages (jsc#SLE-16407).
- efi/gop: Use efi_err for error messages (jsc#SLE-16407).
- efi/x86: Use efi_err for error messages (jsc#SLE-16407).
- efi/libstub: Move pr_efi/pr_efi_err into efi namespace
  (jsc#SLE-16407).
  Refresh
  patches.suse/0001-efi-generalize-efi_get_secureboot.patch
- efi/libstub: Add a helper function to split 64-bit values
  (jsc#SLE-16407).
- efi/x86: Use correct size for boot_params (jsc#SLE-16407).
- efi/libstub: Re-enable command line initrd loading for x86
  (jsc#SLE-16407).
- efi: Move arch_tables check to caller (jsc#SLE-16407).
- efi: Clean up config table description arrays (jsc#SLE-16407).
- efi/libstub/x86: Avoid getter function for efi_is64
  (jsc#SLE-16407).
- efi/libstub: Drop __pure getters for EFI stub options
  (jsc#SLE-16407).
- efi/libstub: Drop __pure getter for efi_system_table
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi: Kill __efistub_global (jsc#SLE-16407).
- efi/x86: Remove __efistub_global and add relocation check
  (jsc#SLE-16407).
- efi/arm: Remove __efistub_global annotation (jsc#SLE-16407).
- efi/libstub: Move efi_relocate_kernel() into separate source
  file (jsc#SLE-16407).
- efi/libstub/arm64: Switch to ordinary page allocator for kernel
  image (jsc#SLE-16407).
- efi/libstub: Add API function to allocate aligned memory
  (jsc#SLE-16407).
- efi/libstub/arm64: Simplify randomized loading of kernel image
  (jsc#SLE-16407).
- efi/libstub/arm64: Replace 'preferred' offset with alignment
  check (jsc#SLE-16407).
- efi/libstub/random: Increase random alloc granularity
  (jsc#SLE-16407).
- efi/libstub/random: Align allocate size to EFI_ALLOC_ALIGN
  (jsc#SLE-16407).
- efi/gop: Allow automatically choosing the best mode
  (jsc#SLE-16407).
- efi/gop: Allow specifying depth as well as resolution
  (jsc#SLE-16407).
- efi/gop: Allow specifying mode by <xres>x<yres> (jsc#SLE-16407).
- efi/gop: Allow specifying mode number on command line
  (jsc#SLE-16407).
- efi/gop: Add prototypes for query_mode and set_mode
  (jsc#SLE-16407).
- efi/gop: Remove unreachable code from setup_pixel_info
  (jsc#SLE-16407).
- efi/gop: Use helper macros for find_bits (jsc#SLE-16407).
- efi/gop: Use helper macros for populating lfb_base
  (jsc#SLE-16407).
- efi/gop: Move variable declarations into loop block
  (jsc#SLE-16407).
- efi/gop: Slightly re-arrange logic of find_gop (jsc#SLE-16407).
- efi/gop: Factor out locating the gop into a function
  (jsc#SLE-16407).
- efi/gop: Get mode information outside the loop (jsc#SLE-16407).
- efi/gop: Move check for framebuffer before con_out
  (jsc#SLE-16407).
- efi/gop: Remove redundant current_fb_base (jsc#SLE-16407).
- efi/libstub/arm: Make install_memreserve_table static
  (jsc#SLE-16407).
- efi/libstub: unify EFI call wrappers for non-x86
  (jsc#SLE-16407).
- efi/libstub: Make initrd file loader configurable
  (jsc#SLE-16407).
  Update config files.
  Add CONFIG_EFI_GENERIC_STUB_INITRD_CMDLINE_LOADER=y to x86_64/default,
  arm64/default
- efi/libstub: Move arm-stub to a common file (jsc#SLE-16407).
- Refresh
  patches.suse/0003-arm64-ima-add-ima_arch-support.patch
- Update config files.
- arm64: head: Annotate stext and preserve_boot_args as code
  (jsc#SLE-16407).
- commit dad69fe
* Wed Dec  2 2020 msuchanek@suse.de
- ibmvnic: Fix TX completion error handling (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: Ensure that SCRQ entry reads are correctly ordered
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- Refresh patches.suse/ibmvnic-Correctly-re-enable-interrupts-in-NAPI-polli.patch
- Refresh patches.suse/ibmvnic-Introduce-xmit_more-support-using-batched-su.patch
- ibmvnic: Fix TX completion error handling (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: Ensure that SCRQ entry reads are correctly ordered
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- Refresh patches.suse/ibmvnic-Correctly-re-enable-interrupts-in-NAPI-polli.patch
- Refresh patches.suse/ibmvnic-Introduce-xmit_more-support-using-batched-su.patch
- commit 02ce2a8
* Wed Dec  2 2020 yousaf.kaukab@suse.com
- PCI: controller: Remove duplicate error message (bsc#1179344).
- PCI: controller: Convert to devm_platform_ioremap_resource() (bsc#1179344).
- PCI: qcom: Fix runtime PM imbalance on error (bsc#1179344).
- PCI: dwc: pci-dra7xx: Fix runtime PM imbalance on error (bsc#1179344).
- PCI: dwc: hisi: Remove non-ECAM HiSilicon hip05/hip06 driver (bsc#1179344).
- PCI: dwc: Convert to devm_platform_ioremap_resource_byname() (bsc#1179344).
- PCI: qcom: Replace define with standard value (bsc#1179344).
- PCI: qcom: Support pci speed set for ipq806x (bsc#1179344).
- PCI: qcom: Add ipq8064 rev2 variant (bsc#1179344).
- PCI: qcom: Use bulk clk api and assert on error (bsc#1179344).
- PCI: qcom: Change duplicate PCI reset to phy reset (bsc#1179344).
  Refresh:
  patches.suse/PCI-qcom-Add-missing-reset-for-ipq806x.patch
- PCI: endpoint: Add support to handle multiple base for mapping outbound memory (bsc#1179344).
- PCI: endpoint: Pass page size as argument to pci_epc_mem_init() (bsc#1179344).
- PCI: host-generic: Eliminate pci_host_common_probe wrappers (bsc#1179344).
- PCI: host-generic: Support building as modules (bsc#1179344).
- PCI: Constify struct pci_ecam_ops (bsc#1179344).
- PCI: uniphier: Add Socionext UniPhier Pro5 PCIe endpoint controller driver (bsc#1179344).
- PCI: dwc: Use private data pointer of "struct irq_domain" to get pcie_port (bsc#1179344).
- PCI: dwc: pci-dra7xx: Use devm_platform_ioremap_resource_byname() (bsc#1179344).
- PCI: dwc: intel: Make intel_pcie_cpu_addr() static (bsc#1179344).
- PCI: dwc: Make hisi_pcie_platform_ops static (bsc#1179344).
- PCI: dwc: Clean up computing of msix_tbl (bsc#1179344).
- PCI: keystone: Don't select CONFIG_PCI_KEYSTONE_HOST by default (bsc#1179344).
- PCI: dra7xx: Don't select CONFIG_PCI_DRA7XX_HOST by default (bsc#1179344).
- PCI: keystone: Allow AM654 PCIe Endpoint to raise MSI-X interrupt (bsc#1179344).
- PCI: endpoint: Protect concurrent access to pci_epf_ops with mutex (bsc#1179344).
  Refresh:
  patches.suse/PCI-dwc-Fix-dw_pcie_ep_raise_msix_irq-to-get-correct.patch
- PCI: dwc: pci-dra7xx: Fix MSI IRQ handling (bsc#1179344).
- PCI: amlogic: Use AXG PCIE (bsc#1179344).
- PCI: uniphier: remove module code from built-in driver (bsc#1179344).
- PCI: qcom: Add support for SDM845 PCIe controller (bsc#1179344).
- PCI: artpec6: Configure FTS with dwc helper function (bsc#1179344).
- PCI: dwc: intel: PCIe RC controller driver (bsc#1179344).
- PCI: uniphier: Set mode register to host mode (bsc#1179344).
- PCI: amlogic: meson: Add support for G12A (bsc#1179344).
- PCI: amlogic: Fix reset assertion via gpio descriptor (bsc#1179344).
- PCI: armada8x: Propagate errors for optional PHYs (bsc#1179344).
- PCI: imx6: Limit DBI register length (bsc#1179344).
- PCI: kirin: Make structure kirin_dw_pcie_ops constant (bsc#1179344).
- PCI: dwc: al: Add Amazon Annapurna Labs PCIe controller driver (bsc#1179344).
- dt-bindings: PCI: Add Amazon's Annapurna Labs PCIe host bridge binding (bsc#1179344).
- commit 5b3f6b7
* Wed Dec  2 2020 mhocko@suse.com
- mm/userfaultfd: do not access vma->vm_mm after calling
  handle_userfault() (bsc#1179204).
- commit 6bb3d8f
* Wed Dec  2 2020 oneukum@suse.com
- crypto: sun4i-ss - add the A33 variant of SS (git-fixes).
- commit efe059b
* Wed Dec  2 2020 mkubecek@suse.cz
- Update kabi files.
- update to December 2020 maintenance update submission (commit 1069cd144905)
- commit 7054e5b
* Wed Dec  2 2020 nsaenzjulienne@suse.de
- supported.conf: Enable ledtrig-netdev (jsc#SLE-16874)
- commit ae02c2f
* Wed Dec  2 2020 nsaenzjulienne@suse.de
- i2c: brcmstb: Fix handling of optional interrupt
  (jsc#SLE-15318).
- i2c: brcmstb: Allow to compile it on BCM2835 (jsc#SLE-15318).
- supported.conf: Enable i2c-brcmstb
- i2c: brcmstb: Support BCM2711 HDMI BSC controllers
  (jsc#SLE-15318).
- commit 90fb88d
* Wed Dec  2 2020 mbrugger@suse.com
- arm64: mask PAC bits of __builtin_return_address (jsc#SLE-15188
  SLE-16566).
- arm64: Update config files. Enable HAVE_ARCH_COMPILER_H
- commit 3d9d4d8
* Wed Dec  2 2020 jslaby@suse.cz
- x86/kvm: Reserve KVM_FEATURE_MSI_EXT_DEST_ID (jsc#SLE-16823).
- PCI: MSI: Fix Kconfig dependencies for PCI_MSI_ARCH_FALLBACKS
  (jsc#SLE-16823).
- x86/apic/msi: Unbreak DMAR and HPET MSI (jsc#SLE-16823).
- iommu/amd: Remove domain search for PCI/MSI (jsc#SLE-16823).
- iommu/vt-d: Remove domain search for PCI/MSI (jsc#SLE-16823).
- x86/irq: Make most MSI ops XEN private (jsc#SLE-16823).
- x86/irq: Cleanup the arch_*_msi_irqs() leftovers
  (jsc#SLE-16823).
- PCI/MSI: Make arch_.*_msi_irq fallbacks selectable
  (jsc#SLE-16823).
- Update config files.
  PCI_MSI_ARCH_FALLBACKS is now auto-selected.
- x86/pci: Set default irq domain in pcibios_add_device()
  (jsc#SLE-16823).
- iommm/amd: Store irq domain in struct device (jsc#SLE-16823).
- iommm/vt-d: Store irq domain in struct device (jsc#SLE-16823).
- x86/xen: Wrap XEN MSI management into irqdomain (jsc#SLE-16823).
- irqdomain/msi: Allow to override msi_domain_alloc/free_irqs()
  (jsc#SLE-16823).
- x86/xen: Consolidate XEN-MSI init (jsc#SLE-16823).
- x86/xen: Rework MSI teardown (jsc#SLE-16823).
- x86/xen: Make xen_msi_init() static and rename it to
  xen_hvm_msi_init() (jsc#SLE-16823).
- PCI/MSI: Provide pci_dev_has_special_msi_domain() helper
  (jsc#SLE-16823).
- PCI_vmd_Mark_VMD_irqdomain_with_DOMAIN_BUS_VMD_MSI
  (jsc#SLE-16823).
- irqdomain/msi: Provide DOMAIN_BUS_VMD_MSI (jsc#SLE-16823).
- x86/irq: Initialize PCI/MSI domain at PCI init time
  (jsc#SLE-16823).
- Refresh
  patches.suse/x86-paravirt-allow-hypervisor-specific-vmmcall-handling-under-sev-es.
- x86/pci: Reducde #ifdeffery in PCI init code (jsc#SLE-16823).
- x86/irq: Move apic_post_init() invocation to one place
  (jsc#SLE-16823).
- x86/msi: Use generic MSI domain ops (jsc#SLE-16823).
- x86/msi: Consolidate MSI allocation (jsc#SLE-16823).
- PCI/MSI: Rework pci_msi_domain_calc_hwirq() (jsc#SLE-16823).
- x86/irq: Consolidate UV domain allocation (jsc#SLE-16823).
- x86/irq: Consolidate DMAR irq allocation (jsc#SLE-16823).
- x86_ioapic_Consolidate_IOAPIC_allocation (jsc#SLE-16823).
- x86/msi: Consolidate HPET allocation (jsc#SLE-16823).
- x86/irq: Prepare consolidation of irq_alloc_info
  (jsc#SLE-16823).
- iommu/irq_remapping: Consolidate irq domain lookup
  (jsc#SLE-16823).
- iommu/amd: Consolidate irq domain getter (jsc#SLE-16823).
- iommu/vt-d: Consolidate irq domain getter (jsc#SLE-16823).
- x86/irq: Add allocation type for parent domain retrieval
  (jsc#SLE-16823).
- x86_irq_Rename_X86_IRQ_ALLOC_TYPE_MSI_to_reflect_PCI_dependency
  (jsc#SLE-16823).
- x86/msi: Remove pointless vcpu_affinity callback
  (jsc#SLE-16823).
- x86/msi: Move compose message callback where it belongs
  (jsc#SLE-16823).
- genirq/chip: Use the first chip in irq_chip_compose_msi_msg()
  (jsc#SLE-16823).
- PCI: vmd: Dont abuse vector irqomain as parent (jsc#SLE-16823).
- x86/init: Remove unused init ops (jsc#SLE-16823).
- iommu/amd: Prevent NULL pointer dereference (jsc#SLE-16823).
- irqdomain: Export irq_domain_update_bus_token (jsc#SLE-16823).
- KVM: x86: Fixes posted interrupt check for IRQs delivery modes
  (jsc#SLE-16823).
- x86/apic/msi: Plug non-maskable MSI affinity race
  (jsc#SLE-16823).
- Refresh
  patches.suse/genirq-Add-protection-against-unsafe-usage-of-generi.patch.
- Refresh
  patches.suse/msft-hv-2119-irqdomain-treewide-Keep-firmware-node-unconditionall.patch.
- KVM: X86: Use APIC_DEST_* macros properly in
  kvm_lapic_irq.dest_mode (jsc#SLE-16823).
- commit 3ea20e1
* Wed Dec  2 2020 tbogendoerfer@suse.de
- gro_cells: reduce number of synchronize_net() calls
  (jsc#SLE-15075).
- net/mlx5e: Fix check if netdev is bond slave (jsc#SLE-15172).
- net/mlx5e: Fix refcount leak on kTLS RX resync (jsc#SLE-15172).
- mlxsw: Fix firmware flashing (bsc#1176447).
- qed: fix ILT configuration of SRC block (jsc#SLE-15143).
- net/tls: Fix wrong record sn in async mode of device resync
  (bsc#1176447).
- bnxt_en: Avoid unnecessary NVM_GET_DEV_INFO cmd error log on
  VFs (jsc#SLE-16649).
- bnxt_en: Fix counter overflow logic (jsc#SLE-15075).
- bnxt_en: Free port stats during firmware reset (jsc#SLE-15075).
- IB/hfi1: Fix error return code in hfi1_init_dd()
  (jsc#SLE-13208).
- RDMA/cm: Make the local_id_table xarray non-irq (jsc#SLE-15176).
- devlink: Avoid overwriting port attributes of registered port
  (bsc#1176447).
- ethtool: netlink: add missing netdev_features_change() call
  (bsc#1176447).
- tunnels: Fix off-by-one in lower MTU bounds for ICMP/ICMPv6
  replies (jsc#SLE-15172).
- net/mlx5e: Fix incorrect access of RCU-protected xdp_prog
  (jsc#SLE-15172).
- net/mlx5e: Fix VXLAN synchronization after function reload
  (jsc#SLE-15172).
- net/mlx5: E-switch, Avoid extack error log for disabled vport
  (jsc#SLE-15172).
- net/mlx5e: Use spin_lock_bh for async_icosq_lock
  (jsc#SLE-15172).
- xfrm: interface: fix the priorities for ipip and ipv6 tunnels
  (bsc#1176447).
- IB/srpt: docs: add a description for cq_size member
  (jsc#SLE-15176).
- net: protect tcf_block_unbind with block lock (bsc#1176447).
- sfc: move initialisation of efx->filter_sem to efx_init_struct()
  (jsc#SLE-16683).
- net/sched: act_gate: Unlock ->tcfa_lock in
  tc_setup_flow_action() (bsc#1176447).
- net/sched: act_ct: Fix adding udp port mangle operation
  (jsc#SLE-15172).
- nexthop: Fix performance regression in nexthop deletion
  (bsc#1176447).
- net: core: use list_del_init() instead of list_del() in
  netdev_run_todo() (bsc#1176447).
- ixgbe: fix probing of multi-port devices with one MDIO
  (jsc#SLE-13706).
- RDMA/qedr: Endianness warnings cleanup (jsc#SLE-15146).
- RDMA/hns: Fix configuration of ack_req_freq in QPC
  (jsc#SLE-14777).
- RDMA/hns: Add interception for resizing SRQs (jsc#SLE-14777).
- RDMA/mlx5: Remove dead check for EAGAIN after
  alloc_mr_from_cache() (jsc#SLE-15175).
- RDMA: Change XRCD destroy return value (jsc#SLE-15176).
- RDMA/rtrs-srv: Incorporate ib_register_client into rtrs server
  init (jsc#SLE-15176).
- mm/mmu_notifier: fix mmget() assert in
  __mmu_interval_notifier_insert (jsc#SLE-15176, jsc#SLE-16387).
- net: sched: Fix suspicious RCU usage while accessing
  tcf_tunnel_info (jsc#SLE-15075).
- xsk: Fix a documentation mistake in xsk_queue.h (jsc#SLE-13706).
- net/mlx5e: IPsec: Use kvfree() for memory allocated with
  kvzalloc() (jsc#SLE-15172).
- net/mlx5e: TC: Remove unused parameter from
  mlx5_tc_ct_add_no_trk_match() (jsc#SLE-15172).
- net/mlx5: E-Switch, Use vport metadata matching by default
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Setup all vports' metadata to support peer
  miss rule (jsc#SLE-15172).
- net/mlx5: E-Switch, Dedicated metadata for uplink vport
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Check and enable metadata support flag
  before using (jsc#SLE-15172).
- net/mlx5: Fix uninitialized variable warning (jsc#SLE-15172).
- sfc: don't double-down() filters in ef100_reset()
  (jsc#SLE-16683).
- commit e4545a1
* Wed Dec  2 2020 wqu@suse.com
- btrfs: qgroup: don't commit transaction when we already hold
  the handle (bsc#1178634).
- commit a88c82a
* Wed Dec  2 2020 glin@suse.com
- ftrace: Fix DYNAMIC_FTRACE_WITH_DIRECT_CALLS dependency
  (bsc#1177028).
- selftests/bpf: Fix error return code in run_getsockopt_test()
  (bsc#1177028).
- selftests/bpf: Add selftest for multi-prog sections and
  bpf-to-bpf calls (bsc#1177028).
- commit f0d11f0
* Wed Dec  2 2020 pjakobsson@suse.de
- Delete
  patches.suse/1239-media-cec-gpio-handle-gpiod_get_value-errors-correct.patch.
- commit 7b24ba3
* Tue Dec  1 2020 ailiop@suse.com
- xfs: prohibit fs freezing when using empty transactions
  (bsc#1179442).
- commit e04335b
* Tue Dec  1 2020 mcgrof@suse.com
- patches.suse/nvme-force-complete-cancelled-requests.patch:
  (bsc#1175995,bsc#1178756,jsc#SLE-15608).
  Without this we can end up with a series of nvme QID timeouts,
  regardless of filesystem when fstests is used or any error injection
  mechanism is used. Without this fix, we end up with 9 failures on xfs,
  but due to its generic nature, will likely end up with other failures
  on other filesystems. This does not allow a clean slate reliable
  fstests run. This fixes that issue.
  Through code inspection I found these changes were already present
  on SLE15-SP3 but not on SLE15-SP2.
- commit 9b6b1bb
* Tue Dec  1 2020 mcgrof@suse.com
- patches.suse/blk-mq-blk-mq-provide-forced-completion-method.patch:
  (bsc#1175995,jsc#SLE-15608,bsc#1178756).
- commit 88f0b07
* Tue Dec  1 2020 nsaenzjulienne@suse.de
- drm/vc4: kms: Don't disable the muxing of an active CRTC
  (jsc#SLE-15318).
- commit 39c97fe
* Tue Dec  1 2020 nsaenzjulienne@suse.de
- drm/vc4: kms: Store the unassigned channel list in the state
  (jsc#SLE-15318).
- drm/vc4: hdmi: Disable Wifi Frequencies (jsc#SLE-15318).
- drm/vc4: kms: Document the muxing corner cases (jsc#SLE-15318).
- drm/vc4: kms: Split the HVS muxing check in a separate function
  (jsc#SLE-15318).
- drm/vc4: kms: Rename NUM_CHANNELS (jsc#SLE-15318).
- drm/vc4: kms: Remove useless define (jsc#SLE-15318).
- drm/vc4: kms: Switch to drmm_add_action_or_reset
  (jsc#SLE-15318).
- drm/vc4: hdmi: Block odd horizontal timings (jsc#SLE-15318).
- drm/vc4: hdmi: Make sure our clock rate is within limits
  (jsc#SLE-15318).
- commit c55f585
* Tue Dec  1 2020 jlee@suse.com
- Documentation: x86: fix boot.rst warning and format
  (jsc#SLE-16407).
- x86/boot: Mark global variables as static (jsc#SLE-16407).
- commit f3aa594
* Tue Dec  1 2020 pjakobsson@suse.de
- drm/vc4: drv: Remove unused variable (jsc#SLE-15318).
- drm/vc4: kms: Add functions to create the state objects
  (jsc#SLE-15318).
- drm/vc4: Use devm_drm_dev_alloc (jsc#SLE-15318).
- drm/vc4: Use the helper to retrieve vc4_dev when needed
  (jsc#SLE-15318).
- drm/vc4: gem: Add a managed action to cleanup the job queue
  (jsc#SLE-15318).
- drm/vc4: drv: Use managed drm_mode_config_init (jsc#SLE-15318).
- drm/vc4: bo: Add a managed action to cleanup the cache
  (jsc#SLE-15318).
- drm/vc4: Rework the structure conversion functions
  (jsc#SLE-15318).
- drm/vc4: hdmi: Add a name to the codec DAI component
  (jsc#SLE-15318).
- drm/vc4: hdmi: Avoid sleeping in atomic context (jsc#SLE-15318).
- drm/vc4: drv: Add error handding for bind (jsc#SLE-15318).
- drm/vc4: crtc: Keep the previously assigned HVS FIFO
  (jsc#SLE-15318).
- drm/vc4: crtc: Rework a bit the CRTC state code (jsc#SLE-15318).
- drm/vc4: kms: Assign a FIFO to enabled CRTCs instead of active
  (jsc#SLE-15318).
- drm/vc4: hvs: Pull the state of all the CRTCs prior to PV muxing
  (jsc#SLE-15318).
- drm/vc4: Handing the return value of drm_universal_plane_init
  (jsc#SLE-15318).
- drm/vc4: Fix bitwise OR versus ternary operator in
  vc4_plane_mode_set (jsc#SLE-15318).
- drm/vc4: Update type of reg parameter in vc4_hdmi_{read,write}
  (jsc#SLE-15318).
- drm/vc4: hdmi: Fix NULL vs IS_ERR() checks in (jsc#SLE-15318).
- drm/vc4: hdmi: Fix off by ones in vc4_hdmi_read/write()
  (jsc#SLE-15318).
- drm/vc4: drv: Support BCM2711 (jsc#SLE-15318).
- drm/vc4: hdmi: Support the BCM2711 HDMI controllers
  (jsc#SLE-15318).
- drm/vc4: hdmi: Add pixel BVB clock control (jsc#SLE-15318).
- drm/vc4: hdmi: Switch to blank pixels when disabled
  (jsc#SLE-15318).
- drm/vc4: hdmi: Do the VID_CTL configuration at once
  (jsc#SLE-15318).
- drm/vc4: hdmi: Implement finer-grained hooks (jsc#SLE-15318).
- drm/vc4: hdmi: Always recenter the HDMI FIFO (jsc#SLE-15318).
- drm/vc4: hdmi: Remove register dumps in enable (jsc#SLE-15318).
- drm/vc4: hdmi: Deal with multiple ALSA cards (jsc#SLE-15318).
- drm/vc4: hdmi: Add audio-related callbacks (jsc#SLE-15318).
- drm/vc4: hdmi: Set the b-frame marker to the match ALSA's
  default (jsc#SLE-15318).
- drm/vc4: hdmi: Reset audio infoframe on encoder_enable if
  previously (jsc#SLE-15318).
- drm/vc4: hdmi: Use reg-names to retrieve the HDMI audio
  registers (jsc#SLE-15318).
- drm/vc4: hdmi: Use clk_set_min_rate instead (jsc#SLE-15318).
- drm/vc4: hdmi: Adjust HSM clock rate depending on pixel rate
  (jsc#SLE-15318).
- drm/vc4: hdmi: Rename drm_encoder pointer in mode_valid
  (jsc#SLE-15318).
- drm/vc4: hdmi: Remove unused CEC_CLOCK_DIV define
  (jsc#SLE-15318).
- drm/vc4: hdmi: Add CEC support flag (jsc#SLE-15318).
- drm/vc4: hdmi: Move CEC init to its own function
  (jsc#SLE-15318).
- drm/vc4: hdmi: Deal with multiple debugfs files (jsc#SLE-15318).
- drm/vc4: hdmi: Store the encoder type in the variant structure
  (jsc#SLE-15318).
- drm/vc4: hdmi: Add a set_timings callback (jsc#SLE-15318).
- drm/vc4: hdmi: Add a CSC setup callback (jsc#SLE-15318).
- drm/vc4: hdmi: Add PHY RNG enable / disable function
  (jsc#SLE-15318).
- drm/vc4: hdmi: Add PHY init and disable function
  (jsc#SLE-15318).
- drm/vc4: hdmi: Add reset callback (jsc#SLE-15318).
- drm/vc4: hdmi: Implement a register layout abstraction
  (jsc#SLE-15318).
- drm/vc4: hdmi: Introduce resource init and variant
  (jsc#SLE-15318).
- drm/vc4: hdmi: Remove vc4_hdmi_connector (jsc#SLE-15318).
- drm/vc4: hdmi: Remove vc4_dev hdmi pointer (jsc#SLE-15318).
- drm/vc4: hdmi: Retrieve the vc4_hdmi at unbind using our device
  (jsc#SLE-15318).
- drm/vc4: hdmi: Pass vc4_hdmi to CEC code (jsc#SLE-15318).
- drm/vc4: hdmi: Add container_of macros for encoders and
  connectors (jsc#SLE-15318).
- drm/vc4: hdmi: Use local vc4_hdmi directly (jsc#SLE-15318).
- drm/vc4: hdmi: Move accessors to vc4_hdmi (jsc#SLE-15318).
- drm/vc4: hdmi: Rename hdmi to vc4_hdmi (jsc#SLE-15318).
- drm/vc4: hdmi: Remove DDC argument to connector_init
  (jsc#SLE-15318).
- drm/vc4: hdmi: rework connectors and encoders (jsc#SLE-15318).
- drm/vc4: hdmi: Move structure to header (jsc#SLE-15318).
- drm/vc4: hdmi: Use debugfs private field (jsc#SLE-15318).
- drm/vc4: crtc: Add BCM2711 pixelvalves (jsc#SLE-15318).
- drm/vc4: drv: Disable the CRTC at boot time (jsc#SLE-15318).
- drm/vc4: crtc: Move the CRTC disable out (jsc#SLE-15318).
- drm/vc4: hvs: Introduce a function to get the assigned FIFO
  (jsc#SLE-15318).
- drm/vc4: hvs: Make the stop_channel function public
  (jsc#SLE-15318).
- drm/vc4: crtc: Clear the PixelValve FIFO during configuration
  (jsc#SLE-15318).
- drm/vc4: crtc: Clear the PixelValve FIFO on disable
  (jsc#SLE-15318).
- drm/vc4: crtc: Add a delay after disabling the PixelValve output
  (jsc#SLE-15318).
- drm/vc4: encoder: Add finer-grained encoder callbacks
  (jsc#SLE-15318).
- drm/vc4: crtc: Move HVS channel init before the PV
  initialisation (jsc#SLE-15318).
- drm/vc4: crtc: Remove redundant pixelvalve reset
  (jsc#SLE-15318).
- drm/vc4: crtc: Remove mode_set_nofb (jsc#SLE-15318).
- drm/vc4: hvs: Make sure our channel is reset (jsc#SLE-15318).
- drm/vc4: crtc: Move the HVS gamma LUT setup to our init function
  (jsc#SLE-15318).
- drm/vc4: crtc: Move HVS init and close to a function
  (jsc#SLE-15318).
- drm/vc4: crtc: Move PV dump to config_pv (jsc#SLE-15318).
- drm/vc4: crtc: Turn pixelvalve reset into a function
  (jsc#SLE-15318).
- drm/vc4: crtc: Disable color management for HVS5
  (jsc#SLE-15318).
- drm/vc4: crtc: Add HDMI1 encoder type (jsc#SLE-15318).
- drm/vc4: crtc: Rename HDMI encoder type to HDMI0
  (jsc#SLE-15318).
- drm/vc4: crtc: Add function to compute FIFO level bits
  (jsc#SLE-15318).
- drm/vc4: crtc: Add FIFO depth to vc4_crtc_data (jsc#SLE-15318).
- drm/vc4: crtc: Assign output to channel automatically
  (jsc#SLE-15318).
- drm/vc4: kms: Convert to for_each_new_crtc_state
  (jsc#SLE-15318).
- drm/vc4: crtc: Enable and disable the PV in atomic_enable /
  disable (jsc#SLE-15318).
- drm/vc4: crtc: Use local chan variable (jsc#SLE-15318).
- drm/vc4: crtc: Rename HVS channel to output (jsc#SLE-15318).
- drm/vc4: crtc: Move the cob allocation outside of bind
  (jsc#SLE-15318).
- drm/vc4: crtc: Use a shared interrupt (jsc#SLE-15318).
- drm/vc4: crtc: Deal with different number of pixel per clock
  (jsc#SLE-15318).
- drm/vc4: plane: Create more planes (jsc#SLE-15318).
- drm/vc4: plane: Optimize the LBM allocation size
  (jsc#SLE-15318).
- drm/vc4: plane: Change LBM alignment constraint on LBM
  (jsc#SLE-15318).
- drm/vc4: hvs: Boost the core clock during modeset
  (jsc#SLE-15318).
- drm/vc4: Add support for the BCM2711 HVS5 (jsc#SLE-15318).
- commit 1c47402
* Tue Dec  1 2020 mhocko@suse.com
- HMAT: Skip publishing target info for nodes with no online
  memory (bsc#1178660).
- HMAT: Register memory-side cache after parsing (bsc#1178660).
- commit c10070c
* Tue Dec  1 2020 wqu@suse.com
- btrfs: allow btrfs_truncate_block() to fallback to nocow for
  data space reservation (bsc#1161099).
- commit 9a9387d
* Tue Dec  1 2020 msuchanek@suse.de
- rpm/kernel-{source,binary}.spec: do not include ghost symlinks
  (boo#1179082).
- commit 76a9256
* Tue Dec  1 2020 mbrugger@suse.com
- PCI: hip: Add handling of HiSilicon HIP PCIe controller errors
  (jsc#SLE-16612 jsc#SLE-14766).
- Update config files. Enable PCIE_HISI_ERR.
- commit f5b42fa
* Tue Dec  1 2020 msuchanek@suse.de
- tpm: of: Handle IBM,vtpm20 case when getting log parameters
  (jsc#SLE-13630 bsc#1179446 ltc#190030).
- commit 96f9f02
* Tue Dec  1 2020 mbrugger@suse.com
- ACPI / APEI: Add a notifier chain for unknown (vendor) CPER
  records (jsc#SLE-16612 jsc#SLE-14766).
- commit 993ea8f
* Tue Dec  1 2020 msuchanek@suse.de
- config.conf: Remove vanilla config (jsc#SLE-17122).
- Delete config/arm64/vanilla.
- Delete config/ppc64le/vanilla.
- Delete config/s390x/vanilla.
- Delete config/x86_64/vanilla.
- commit 508c5d7
* Tue Dec  1 2020 pmladek@suse.com
- blacklist.conf: Remove duplicate entry (git-fixes)
- commit 9169068
* Tue Dec  1 2020 tbogendoerfer@suse.de
- devlink: Make sure devlink instance and port are in same net
  namespace (bsc#1154353).
- net: ena: fix packet's addresses for rx_offset feature
  (bsc#1174852).
- net: ena: handle bad request id in ena_netdev (bsc#1174852).
- RDMA/hns: Fix retry_cnt and rnr_cnt when querying QP
  (jsc#SLE-8449).
- RDMA/hns: Fix wrong field of SRQ number the device supports
  (jsc#SLE-8449).
- commit e8d7cf3
* Tue Dec  1 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/mm-gup-allow-FOLL_FORCE-for-get_user_pages_fast.patch
  patches.suse/mm-ksm-fix-NULL-pointer-dereference-when-KSM-zero-page-is-enabled.patch
  patches.suse/mm-mempolicy-require-at-least-one-nodeid-for-MPOL_PREFERRED.patch
  patches.suse/mm-swap-make-page_evictable-inline.patch
  patches.suse/mm-swap-use-smp_mb__after_atomic-to-order-LRU-bit-set.patch
- commit 6289c65
* Tue Dec  1 2020 jlee@suse.com
- efi/x86: Use symbolic constants in PE header instead of bare
  numbers (jsc#SLE-16407).
- commit 1efd668
* Tue Dec  1 2020 mhocko@suse.com
- Update
  patches.suse/mm-mmap-c-close-race-between-munmap-and-expand_upwards-downwards.patch
  (bsc#1174527, bsc#1179432, CVE-2020-29369).
- commit f55babe
* Tue Dec  1 2020 jlee@suse.com
- efi/x86: Setup stack correctly for efi_pe_entry (jsc#SLE-16407).
- tpm: check event log version before reading final events
  (jsc#SLE-16407).
- efi: Pull up arch-specific prototype efi_systab_show_arch()
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi: cper: Add support for printing Firmware Error Record
  Reference (jsc#SLE-16407).
- efi/libstub/x86: Avoid EFI map buffer alloc in allocate_e820()
  (jsc#SLE-16407).
- efi/earlycon: Fix early printk for wider fonts (jsc#SLE-16407).
- efi/libstub: Avoid returning uninitialized data from
  setup_graphics() (jsc#SLE-16407).
- gcc-10: mark more functions __init to avoid section mismatch
  warnings (jsc#SLE-16407).
- efi/x86: Revert struct layout change to fix kexec boot
  regression (jsc#SLE-16407).
- efi/libstub/file: Merge file name buffers to reduce stack usage
  (jsc#SLE-16407).
- efi/x86: Always relocate the kernel for EFI handover entry
  (jsc#SLE-16407).
- efi/x86: Move efi stub globals from .bss to .data
  (jsc#SLE-16407).
- efi/libstub/x86: Remove redundant assignment to pointer hdr
  (jsc#SLE-16407).
- efi/cper: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-16407).
- arm64: remove CONFIG_DEBUG_ALIGN_RODATA feature (jsc#SLE-16407).
- x86/efi: Add a prototype for efi_arch_mem_reserve()
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- x86/*/Makefile: Use -fno-asynchronous-unwind-tables to suppress
  .eh_frame sections (jsc#SLE-16407).
  Refresh
  patches.suse/0001-efi-generalize-efi_get_secureboot.patch
  patches.suse/x86-boot-compressed-64-setup-a-ghcb-based-vc-exception-handler
- efi/libstub/arm: Fix spurious message that an initrd was loaded
  (jsc#SLE-16407).
- efi/libstub/arm64: Avoid image_base value from efi_loaded_image
  (jsc#SLE-16407).
- efi/x86: Fix cast of image argument (jsc#SLE-16407).
- efi/libstub/x86: Use ULONG_MAX as upper bound for all
  allocations (jsc#SLE-16407).
- efi: Fix a mistype in comments mentioning
  efivar_entry_iter_begin() (jsc#SLE-16407).
- efi/libstub: Avoid linking libstub/lib-ksyms.o into vmlinux
  (jsc#SLE-16407).
- efi/x86: Preserve %%ebx correctly in
  efi_set_virtual_address_map() (jsc#SLE-16407).
- efi/x86: Don't relocate the kernel unless necessary
  (jsc#SLE-16407).
- efi/x86: Remove extra headroom for setup block (jsc#SLE-16407).
  Refresh
  patches.suse/efi-x86-Remove-extra-headroom-for-setup-block.patch
- efi/x86: Add kernel preferred address to PE header
  (jsc#SLE-16407).
- efi/x86: Decompress at start of PE image load address
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-boot-compressed-64-add-idt-infrastructure
- x86/boot/compressed/32: Save the output address instead of
  recalculating it (jsc#SLE-16407).
- efi/libstub/x86: Deal with exit() boot service returning
  (jsc#SLE-16407).
- x86/boot: Use unsigned comparison for addresses (jsc#SLE-16407).
- efi/x86: Avoid using code32_start (jsc#SLE-16407).
- efi/x86: Make efi32_pe_entry() more readable (jsc#SLE-16407).
- efi/x86: Respect 32-bit ABI in efi32_pe_entry() (jsc#SLE-16407).
- efi/x86: Annotate the LOADED_IMAGE_PROTOCOL_GUID with SYM_DATA
  (jsc#SLE-16407).
- efi/arm64: Clean EFI stub exit code from cache instead of
  avoiding it (jsc#SLE-16407).
- efi: Don't shadow 'i' in efi_config_parse_tables()
  (jsc#SLE-16407).
- efi/x86: Add RNG seed EFI table to unencrypted mapping check
  (jsc#SLE-16407).
- efi/libstub: Introduce symbolic constants for the stub
  major/minor version (jsc#SLE-16407).
- efi/x86: Add true mixed mode entry point into .compat section
  (jsc#SLE-16407).
- efi/x86: Drop redundant .bss section (jsc#SLE-16407).
- efi/x86: add headroom to decompressor BSS to account for setup
  block (jsc#SLE-16407).
- ocfs2/dlm: move BITS_TO_BYTES() to bitops.h for wider use
  (jsc#SLE-16407).
- x86/boot: Simplify calculation of output address
  (jsc#SLE-16407).
- x86/boot/compressed: Relax sed symbol type regex for LLVM ld.lld
  (jsc#SLE-16407).
- arch/x86/boot: Use prefix map to avoid embedded paths
  (jsc#SLE-16407).
  Refresh
  modified:   patches.suse/0001-efi-generalize-efi_get_secureboot.patch
  modified:   patches.suse/x86-boot-compressed-64-setup-a-ghcb-based-vc-exception-handler
- x86/boot: Introduce kernel_info (jsc#SLE-16407).
- commit 62d114b
* Mon Nov 30 2020 tiwai@suse.de
- romfs: fix uninitialized memory leak in romfs_dev_read()
  (CVE-2020-29371 bsc#1179429).
- commit aaf36e7
* Mon Nov 30 2020 jack@suse.cz
- patches.suse/block-Fix-use-after-free-in-blkdev_get.patch: Update tags
  (bsc#1173834 bsc#1179141 CVE-2020-15436).
- commit 6c1fbdb
* Mon Nov 30 2020 aaptel@suse.com
- cifs: Return the error from crypt_message when enc/dec key
  not found (bsc#1179426).
- commit b7a0fce
* Mon Nov 30 2020 aaptel@suse.com
- Convert trailing spaces and periods in path components
  (bsc#1179424).
- commit 88891c3
* Mon Nov 30 2020 aaptel@suse.com
- cifs: remove bogus debug code (bsc#1179427).
- commit 8a0ced9
* Mon Nov 30 2020 msuchanek@suse.de
- ibmvnic: reduce wait for completion time (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: no reset timeout for 5 seconds after reset
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: send_login should check for crq errors (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: track pending login (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: stop free_all_rwi on failed reset (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- Refresh patches.suse/ibmvnic-restore-adapter-state-on-failed-reset.patch.
- ibmvnic: handle inconsistent login with reset (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: reduce wait for completion time (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: no reset timeout for 5 seconds after reset
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: send_login should check for crq errors (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: track pending login (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: delay next reset if hard reset fails (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: restore adapter state on failed reset (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: avoid memset null scrq msgs (jsc#SLE-17043 bsc#1179243
  ltc#189290).
  - Refresh patches.suse/ibmvnic-Introduce-indirect-subordinate-Command-Respo.patch
- ibmvnic: stop free_all_rwi on failed reset (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: handle inconsistent login with reset (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- commit ce6d916
* Mon Nov 30 2020 pmladek@suse.com
- blacklist.conf: printk: cosmetic; documentation
- commit 609fe64
* Mon Nov 30 2020 pmladek@suse.com
- blacklist.conf: printk: just a preparation step for lockless ringbuffer.
- commit 8515274
* Mon Nov 30 2020 ohering@suse.de
- scripts/lib/SUSE/MyBS.pm: properly close prjconf Macros: section
- commit 965157e
* Mon Nov 30 2020 jlee@suse.com
- efi/arm: Rewrite FDT param discovery routines (jsc#SLE-16407).
- efi/arm: Move FDT specific definitions into fdtparams.c
  (jsc#SLE-16407).
- efi/arm: Move FDT param discovery code out of efi.c
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Use-more-granular-check-for-availability-for-var.patch
- efi/x86: Implement mixed mode boot without the handover protocol
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-boot-compressed-64-add-idt-infrastructure
- efi/libstub/x86: Use Exit() boot service to exit the stub on
  errors (jsc#SLE-16407).
- efi/libstub/x86: Make loaded_image protocol handling mixed
  mode safe (jsc#SLE-16407).
- efi/x86: Drop 'systab' member from struct efi (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Store-mask-of-supported-runtime-services-in-stru.patch
- efi/arm: Drop unnecessary references to efi.systab
  (jsc#SLE-16407).
- efi: Add 'runtime' pointer to struct efi (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Store-mask-of-supported-runtime-services-in-stru.patch
- efi/x86: Merge assignments of efi.runtime_version
  (jsc#SLE-16407).
- efi/x86: Make fw_vendor, config_table and runtime sysfs nodes
  x86 specific (jsc#SLE-16407).
- efi/x86: Remove runtime table address from kexec EFI setup data
  (jsc#SLE-16407).
- efi: Clean up config_parse_tables() (jsc#SLE-16407).
- efi: Make efi_config_init() x86 only (jsc#SLE-16407).
- efi/ia64: Switch to efi_config_parse_tables() (jsc#SLE-16407).
- efi/ia64: Use existing helpers to locate ESI table
  (jsc#SLE-16407).
- efi: Merge EFI system table revision and vendor checks
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Add-support-for-EFI_RT_PROPERTIES-table-fe4db90a.patch
- efi: Make memreserve table handling local to efi.c
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Add-support-for-EFI_RT_PROPERTIES-table-fe4db90a.patch
- efi: Move mem_attr_table out of struct efi (jsc#SLE-16407).
- efi: Make rng_seed table handling local to efi.c
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Add-support-for-EFI_RT_PROPERTIES-table-fe4db90a.patch
- efi: Move UGA and PROP table handling to x86 code
  (jsc#SLE-16407).
- efi/ia64: Move HCDP and MPS table handling into IA64 arch code
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Store-mask-of-supported-runtime-services-in-stru.patch
- efi: Drop handling of 'boot_info' configuration table
  (jsc#SLE-16407).
- efi/libstub: Take noinitrd cmdline argument into account for
  devpath initrd (jsc#SLE-16407).
- efi/libstub: Add support for loading the initrd from a device
  path (jsc#SLE-16407).
- efi/dev-path-parser: Add struct definition for vendor type
  device path nodes (jsc#SLE-16407).
- efi/x86: Replace #ifdefs with IS_ENABLED() checks
  (jsc#SLE-16407).
- efi/x86: Reindent struct initializer for legibility
  (jsc#SLE-16407).
- efi/capsule-loader: Drop superfluous assignment (jsc#SLE-16407).
- efi/esrt: Clean up efi_esrt_init (jsc#SLE-16407).
- efi/libstub: Fix error message in handle_cmdline_files()
  (jsc#SLE-16407).
- efi/libstub: Describe RNG functions (jsc#SLE-16407).
- efi/libstub: Describe efi_relocate_kernel() (jsc#SLE-16407).
- efi/libstub: Describe memory functions (jsc#SLE-16407).
- efi/libstub: Simplify efi_get_memory_map() (jsc#SLE-16407).
- efi/libstub: Add function description of efi_allocate_pages()
  (jsc#SLE-16407).
- efi/libstub: Make the LoadFile EFI protocol accessible
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-Add-support-for-EFI_RT_PROPERTIES-table-fe4db90a.patch
- efi/libstub: Expose LocateDevicePath boot service
  (jsc#SLE-16407).
- efi/libstub: Clean up command line parsing routine
  (jsc#SLE-16407).
- efi/libstub: Take soft and hard memory limits into account
  for initrd loading (jsc#SLE-16407).
- efi: ia64: move SAL systab handling out of generic EFI code
  (jsc#SLE-16407).
- commit 2edf905
* Mon Nov 30 2020 nmoreychaisemartin@suse.com
- RDMA/core: Free DIM memory in error unwind (bsc#1152489)
- commit 21b1eaa
* Mon Nov 30 2020 nmoreychaisemartin@suse.com
- RDMA/core: Stop DIM before destroying CQ (bsc#1152489)
- commit 5bb1399
* Mon Nov 30 2020 ohering@suse.de
- video: hyperv_fb: Fix the cache type when mapping the VRAM (git-fixes).
- commit 1b3b221
* Mon Nov 30 2020 ohering@suse.de
- hv_balloon: disable warning when floor reached (git-fixes).
- commit 09540b9
* Mon Nov 30 2020 mgorman@suse.de
- mm/ksm: fix NULL pointer dereference when KSM zero page is
  enabled (git fixes (mm/ksm)).
- commit d498a49
* Mon Nov 30 2020 mgorman@suse.de
- mm: mempolicy: require at least one nodeid for MPOL_PREFERRED
  (git fixes (mm/mempolicy)).
- commit 82f5309
* Mon Nov 30 2020 mgorman@suse.de
- mm: swap: use smp_mb__after_atomic() to order LRU bit set
  (git fixes (mm/vmscan)).
- mm: swap: make page_evictable() inline (git fixes (mm/vmscan)).
- commit b3e8c49
* Mon Nov 30 2020 yousaf.kaukab@suse.com
- drivers: provide devm_platform_ioremap_resource_byname() (bsc#1179344).
- drivers: platform: provide devm_platform_ioremap_resource_wc() (bsc#1179344).
  Refresh:
  patches.suse/drivers-provide-devm_platform_get_and_ioremap_resource.patch
- lib: devres: provide devm_ioremap_resource_wc() (bsc#1179344).
- lib: devres: prepare devm_ioremap_resource() for more variants (bsc#1179344).
- commit 114fca9
* Mon Nov 30 2020 mgorman@suse.de
- blacklist.conf: KASAN is not enabled
- commit b3c7026
* Mon Nov 30 2020 nsaenzjulienne@suse.de
- spi: imx: fix the unbalanced spi runtime pm management
  (git-fixes).
- commit 1856d10
* Mon Nov 30 2020 mgorman@suse.de
- blacklist.conf: Supported arches enable SPARSEMEM_VMEMMAP
- commit 928fb30
* Mon Nov 30 2020 mgorman@suse.de
- mm/gup: allow FOLL_FORCE for get_user_pages_fast() (git fixes
  (mm/gup)).
- commit b4797b5
* Mon Nov 30 2020 mgorman@suse.de
- blacklist.conf: GUP benchmark not enabled in Kconfig
- commit d60c94e
* Mon Nov 30 2020 mgorman@suse.de
- mm/truncate.c: make __invalidate_mapping_pages() static (git
  fixes (mm/truncate)).
- commit 94f313f
* Mon Nov 30 2020 msuchanek@suse.de
- powerpc/test_emulate_step: Move extern declaration to sstep.h
  (jsc#SLE-13830 bsc#1179396 ltc#185738).
- powerpc/sstep: Introduce macros to retrieve Prefix instruction
  operands (jsc#SLE-13830 bsc#1179396 ltc#185738).
- powerpc/test_emulate_step: Add negative tests for prefixed addi
  (jsc#SLE-13830 bsc#1179396 ltc#185738).
- powerpc/test_emulate_step: Enhancement to test negative
  scenarios (jsc#SLE-13830 bsc#1179396 ltc#185738).
- commit ad5913e
* Mon Nov 30 2020 jlee@suse.com
- efi/libstub: Fix path separator regression (jsc#SLE-16407).
- lib/string: Make memzero_explicit() inline instead of external
  (jsc#SLE-16407).
- commit 6fa3e5e
* Mon Nov 30 2020 tiwai@suse.de
- efi/x86: Fix the deletion of variables in mixed mode
  (git-fixes).
- commit dd05038
* Mon Nov 30 2020 tiwai@suse.de
- efi: EFI_EARLYCON should depend on EFI (git-fixes).
- efivarfs: revert "fix memory leak in efivarfs_create()"
  (git-fixes).
- efi/efivars: Set generic ops before loading SSDT (git-fixes).
- efi/x86: Free efi_pgd with free_pages() (git-fixes).
- efi: efibc: check for efivars write capability (git-fixes).
- efi: add missed destroy_workqueue when efisubsys_init fails
  (git-fixes).
- efi: provide empty efi_enter_virtual_mode implementation
  (git-fixes).
- efi/esrt: Fix reference count leak in esre_create_sysfs_entry
  (git-fixes).
- efi/libstub/x86: Work around LLVM ELF quirk build regression
  (git-fixes).
- efi/x86: Ignore the memory attributes table on i386 (git-fixes).
- efi/x86: Handle by-ref arguments covering multiple pages in
  mixed mode (git-fixes).
- efi/x86: Align GUIDs to their size in the mixed mode runtime
  wrapper (git-fixes).
- efi/x86: Don't panic or BUG() on non-critical error conditions
  (git-fixes).
- efi/x86: Map the entire EFI vendor string before copying it
  (git-fixes).
- commit aaf9d90
* Mon Nov 30 2020 pvorel@suse.cz
- Refresh patches.suse/loop-fix-occasional-uevent-drop.patch (bsc#1177971)
  Add Git-commit: and Patch-mainline: tags (patch got into mainline).
- commit a78af51
* Mon Nov 30 2020 pvorel@suse.cz
- Refresh
  patches.suse/block-add-a-return-value-to-set_capacity_revalidate_and_notify.patch.
  (bsc#1177971)
  Add Git-commit: and Patch-mainline: tags (patch got into mainline).
- commit cf636f0
* Mon Nov 30 2020 jlee@suse.com
- crypto: n2 - Rename arrays to avoid conflict with
  crypto/sha256.h (jsc#SLE-16407).
- crypto: ccree - Rename arrays to avoid conflict with
  crypto/sha256.h (jsc#SLE-16407).
- crypto: s390 - Rename functions to avoid conflict with
  crypto/sha256.h (jsc#SLE-16407).
- crypto: arm64 - Rename functions to avoid conflict with
  crypto/sha256.h (jsc#SLE-16407).
- crypto: arm - Rename functions to avoid conflict with
  crypto/sha256.h (jsc#SLE-16407).
- commit c1688be
* Sun Nov 29 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/s390-cpum_sf-c-fix-file-permission-for-cpum_sfb_size
  patches.suse/s390-dasd-fix-null-pointer-dereference-for-erp-requests
  patches.suse/s390-pkey-fix-paes-selftest-failure-with-paes-and-pkey-static-build
- commit c3e5681
* Sun Nov 29 2020 tiwai@suse.de
- USB: core: Change %%pK for __user pointers to %%px (git-fixes).
- USB: core: Fix regression in Hercules audio card (git-fixes).
- usb: gadget: Fix memleak in gadgetfs_fill_super (git-fixes).
- usb: gadget: f_midi: Fix memleak in f_midi_alloc (git-fixes).
- commit ae495c3
* Sun Nov 29 2020 jlee@suse.com
- crypto: x86 - Rename functions to avoid conflict with
  crypto/sha256.h (jsc#SLE-16407).
- commit 2c4f35b
* Sun Nov 29 2020 jlee@suse.com
- crypto: sha256 - Fix some coding style issues (jsc#SLE-16407).
- commit 07ac84d
* Sun Nov 29 2020 jlee@suse.com
- crypto: sha256 - Remove sha256/224_init code duplication
  (jsc#SLE-16407).
- crypto: sha256 - Merge crypto/sha256.h into crypto/sha.h
  (jsc#SLE-16407).
- crypto: sha256 - Add missing MODULE_LICENSE() to
  lib/crypto/sha256.c (jsc#SLE-16407).
- crypto: sha256_generic - Switch to the generic
  lib/crypto/sha256.c lib code (jsc#SLE-16407).
- crypto: sha256 - Add sha224 support to sha256 library code
  (jsc#SLE-16407).
- crypto: sha256 - Make lib/crypto/sha256.c suitable for generic
  use (jsc#SLE-16407).
- Refresh
  patches.suse/crypto-blake2s-generic-c-library-implementation-and-selftest.patch
  patches.suse/crypto-poly1305-move-core-routines-into-a-separate-library.patch
- Update config files.
  x86_64/default, arm64/default, ppc64le/default, s390x/default
- crypto: sha256 - Use get/put_unaligned_be32 to get input,
  memzero_explicit (jsc#SLE-16407).
- crypto: sha256 - Move lib/sha256.c to lib/crypto
  (jsc#SLE-16407).
  Refresh
  patches.suse/crypto-sha256-Move-lib-sha256.c-to-lib-crypto.patch
- crypto: sha256_generic - Fix some coding style issues
  (jsc#SLE-16407).
- commit 6bb9a87
* Sat Nov 28 2020 pjakobsson@suse.de
- blacklist.conf: Blacklist dups from DRM backport v5.9
- commit 712b901
* Sat Nov 28 2020 pjakobsson@suse.de
- blacklist.conf: Temporary blacklist for DRM backport v5.9
- commit 7fca26d
* Sat Nov 28 2020 pjakobsson@suse.de
- Update config files. (for DRM backport v5.9)
- commit edca411
* Sat Nov 28 2020 tiwai@suse.de
- can: m_can: fix nominal bitiming tseg2 min for version >= 3.1
  (git-fixes).
- can: gs_usb: fix endianess problem with candleLight firmware
  (git-fixes).
- batman-adv: set .owner to THIS_MODULE (git-fixes).
- nfc: s3fwrn5: use signed integer for parsing GPIO numbers
  (git-fixes).
- iwlwifi: mvm: write queue_sync_state only for sync (git-fixes).
- platform/x86: toshiba_acpi: Fix the wrong variable assignment
  (git-fixes).
- platform/x86: thinkpad_acpi: Send tablet mode switch at wakeup
  time (git-fixes).
- commit 767fda0
* Fri Nov 27 2020 pjakobsson@suse.de
- scatterlist: add generic wrappers for iterating over sgtable
  objects (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- commit c162a26
* Fri Nov 27 2020 msuchanek@suse.de
- powerpc/perf: Use regs->nip when SIAR is zero (jsc#SLE-13513
  bsc#1176919 ltc#186162).
- powerpc/perf: Use the address from SIAR register to set cpumode
  flags (jsc#SLE-13513 bsc#1176919 ltc#186162).
- powerpc/perf: Drop the check for SIAR_VALID (jsc#SLE-13513
  bsc#1176919 ltc#186162).
- powerpc/perf: Add new power PMU flag "PPMU_P10_DD1" for power10
  DD1 (jsc#SLE-13513 bsc#1176919 ltc#186162).
- powerpc/perf: Exclude pmc5/6 from the irrelevant PMU group
  constraints (jsc#SLE-13513 bsc#1176919 ltc#186162).
- commit 6df36f6
* Fri Nov 27 2020 ailiop@suse.com
- xfs: revert "xfs: fix rmap key and record comparison functions"
  (git-fixes).
- commit 308ebc7
* Fri Nov 27 2020 yousaf.kaukab@suse.com
- config: arm64: enable rtc-max77686 driver
  References: jsc#SLE-15847
- commit 15655cf
* Fri Nov 27 2020 yousaf.kaukab@suse.com
- supported.conf: clk-max77686: enable for Jetson AGX Xavier
  References: jsc#SLE-15847
- commit a667bc6
* Fri Nov 27 2020 jlee@suse.com
- efi/libstub: Rewrite file I/O routine (jsc#SLE-16407).
- Refresh
  patches.rpmify/powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch
- Refresh
  patches.suse/efi-libstub-Move-file-I-O-support-code-into-separate.patch.
- efi/libstub: Move get_dram_base() into arm-stub.c
  (jsc#SLE-16407).
  Refresh
  patches.rpmify/powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch
  patches.suse/efi-libstub-Move-file-I-O-support-code-into-separate.patch
- efi/libstub/arm64: Use 1:1 mapping of RT services if property
  table exists (jsc#SLE-16407).
- efi/libstub/arm: Make efi_entry() an ordinary PE/COFF entrypoint
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-libstub-x86-Permit-cmdline-data-to-be-allocated-.patch
- efi/arm: Pass start and end addresses to cache_clean_flush()
  (jsc#SLE-16407).
  Refresh
  patches.suse/efi-arm-Pass-start-and-end-addresses-to-cache_clean_.patch
- efi/arm: Work around missing cache maintenance in decompressor
  handover (jsc#SLE-16407).
- ARM: 8942/1: Revert "8857/1: efi: enable CP15 DMB instructions
  before cleaning the cache" (jsc#SLE-16407).
- commit c31bfae
* Fri Nov 27 2020 jlee@suse.com
- efi/libstub: Move file I/O support code into separate file
  (jsc#SLE-16407).
- efi/libstub: Move efi_random_alloc() into separate source file
  (jsc#SLE-16407).
- efi/libstub/x86: Permit cmdline data to be allocated above 4 GB
  (jsc#SLE-16407).
- efi/libstub: Move stub specific declarations into efistub.h
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/libstub/x86: Permit bootparams struct to be allocated
  above 4 GB (jsc#SLE-16407).
- efi/libstub: Use consistent type names for file I/O protocols
  (jsc#SLE-16407).
- efi/libstub/x86: Incorporate eboot.c into libstub
  (jsc#SLE-16407).
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- Update config files.
  The x86_64 eboot.c be moved to libstub, so the patches of EFI securet
  key should be refactory. I disabled CONFIG_EFI_SECRET_KEY and
  CONFIG_HIBERNATE_VERIFICATION here, and will refactory patches after
  EFI backporting then enable the function again.
- efi/libstub: Simplify efi_high_alloc() and rename to
  efi_allocate_pages() (jsc#SLE-16407).
- efi/libstub: Move memory map handling and allocation routines
  to mem.c (jsc#SLE-16407).
- efi/libstub/arm: Relax FDT alignment requirement
  (jsc#SLE-16407).
- efi/libstub: Use hidden visibility for all source files
  (jsc#SLE-16407).
- efi/libstub/x86: Avoid overflowing code32_start on PE entry
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/libstub/x86: Remove pointless zeroing of apm_bios_info
  (jsc#SLE-16407).
- efi/apple-properties: Replace zero-length array with
  flexible-array member (jsc#SLE-16407).
- efi/bgrt: Accept BGRT tables with a version of 0
  (jsc#SLE-16407).
- efi/x86: Mark setup_graphics static (jsc#SLE-16407).
- efi/x86: Remove GDT setup from efi_main (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/x86: Don't depend on firmware GDT layout (jsc#SLE-16407).
- platform/x86: touchscreen_dmi: Add EFI embedded firmware info
  support (jsc#SLE-16407).
- efi: Add embedded peripheral firmware support (jsc#SLE-16407).
- Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- Update config files.
  x86_64/default
- efi: Export boot-services code and data as debugfs-blobs
  (jsc#SLE-16407).
  Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch
- commit 3dd5b5c
* Fri Nov 27 2020 pjakobsson@suse.de
- drm/amd/display: Change ABM config init interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- blacklist.conf: unblacklist patches included in drm v5.9
- drm/amdgpu/swsmu: fix ARC build errors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix NULL pointer dereference for Renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mem: guard against NULL pointer access in mem_del
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/device: return error for unknown chipsets
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_dsc.h: fix a kernel-doc markup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Partially revert "video: fbdev: amba-clcd: Retire elder
  CLCD driver" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable gfxoff temporarily for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/pm: setup APU dpm clock table in SMU HW initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove duplicate call to (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/swsmu/smu12: fix force clock handling for mclk
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: restore proper ref count in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: fix CFLAGS setup for DCN30 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix return value check for hdcp_work
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove gpu_info fw support for sienna_cichlid etc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/pm: Removed fixed clock in auto mode DPM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove experimental flag from navi12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add device ID for sienna_cichlid (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use the AV1 defines for VCN 3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add VCN 3.0 AV1 registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add the GC 10.3 VRS registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: prevent double kfree ttm->sg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Fix error handling in get_node (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dmabuf: fix NULL pointer dereference in dma_buf_release()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix port number for BDW on EDID region setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: mixer: Extend regmap max_register (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: sun8i-csc: Secondary CSC register correction
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4/vc4_hdmi: fill ASoC card owner (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbcon: Fix user font detection test at fbcon_resize()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Add missing put_device() call in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: Add missing put_device() call in
  mtk_drm_kms_init() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Add exception handing in mtk_drm_probe()
  if component (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Add missing put_device() call in
  mtk_ddp_comp_init() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Use CPU when fail to get cmdq event
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: dsi: Fix scrolling of panel with small hfp or hbp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Filter wake_flags passed to default_wake_function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Be wary of data races when reading the active
  execlists (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Reduce context termination list iteration guard to
  RCU (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Delay tracking the GEM context until it is
  registered (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't log hdcp module warnings in dmesg
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: declare ta firmware for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/dc: Require primary plane to be enabled whenever
  the CRTC is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Include sienna_cichlid in USBC PD FW support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update nv1x stutter latencies (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Don't use DRM_ERROR() for DTM add topology
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/pm: support runtime pptable update for sienna_cichlid
  etc (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: fix a memory leak issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/kfd: fix a system crash issue during GPU recovery
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- vgacon: remove software scrollback support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbcon: remove now unusued 'softback_lines' cursor() argument
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: fix OOB read in vga_8planes_imageblit()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: drop virtio_gpu_output->enabled (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: backend: Disable alpha on the lowest plane on the A20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: backend: Support alpha property on lowest plane
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Fix DE2 YVU handling (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tve200: Stabilize enable/disable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: fence-chain: Document missing dma_fence_chain_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Fix kerneldoc of dma_buf_set_name() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: fix unblank (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Fix dsi dcs long write function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Fix driver not probing when IPU port is missing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Fix leak of device_node pointer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: add missing put_device() call in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: Revert "drm/virtio: Call the right shmem helpers"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: fix regression leading to display audio probe
  failure on GLK (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: xlnx: dpsub: Fix DMADEVICES Kconfig dependency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915/gem: Delete unused code" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/i915/gem: Async GPU relocations only"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915: Remove i915_gem_object_get_dirty_page()"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Disable the RPTR shadow (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Disable preemption on all 5xx targets (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Enable expanded apriv support for a650 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Split the a5xx preemption record (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- xen: add helpers to allocate unpopulated memory (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- memremap: rename MEMORY_DEVICE_DEVDAX to MEMORY_DEVICE_GENERIC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-gp1xx: add WAR for EVO push buffer HW bug
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-gp1xx: disable notifies again after
  core update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: add some whitespace before debug message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gv100-: Include correct push header in crcc37d.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clear the repeater bit on HDCP disable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix sha_text population code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Ensure that ret is always initialized in
  icl_combo_phy_verify_state (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix bug in reporting voltage for CIK (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Specify get_argument function for ci_smu_funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/pm: enable MP0 DPM for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/pm: avoid false alarm due to confusing
  softwareshutdowntemp (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/pm: fix is_dpm_running() run error on 32bit system
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- mm/gup: Remove enfornced COW mechanism (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: controlfb: Fix build for COMPILE_TEST=y &&
  PPC_PMAC=n (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix cmd parser desc matching with masks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: fix incorrect lock state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/modeset-lock: Take the modeset BKL for legacy drivers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Don't return error code when crtc is null
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix memleak in amdgpu_dm_mode_config_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable runtime pm for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Retry AUX write when fail occurs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix buffer overflow in INFO ioctl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: Fix hardmins not being sent to SMU for RV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use MODE1 reset for navy_flounder by default
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/pm: correct the thermal alert temperature limit settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add asd fw check before loading asd (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Keep current gain when ABM disable immediately
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix passive dongle mistaken as active
  dongle in EDID (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Revert HDCP disable sequence change
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Send DISPLAY_OFF after power down on boot
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: refine mgcg setting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/pm: correct Vega20 swctf limit setting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/pm: correct Vega12 swctf limit setting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/pm: correct Vega10 swctf limit setting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/pm: set VCN pg per instances (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/pm: enable run_btc callback for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drivers: gpu: amd: Initialize amdgpu_dm_backlight_caps object
  to 0 in amdgpu_dm_update_backlight_caps (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Reject overlay plane configurations in
  multi-display (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use correct scale for actual_brightness
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: should check error using DC_OK (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: fix frequency not always being restored on
  GMU resume (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: add module param to enable debugbus snapshot
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: fix crashdec section name typo (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: fix gmu start on newer firmware (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: enable vblank during atomic commits (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: add shutdown support for display platform_driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: msm: a6xx: use dev_pm_opp_set_bw to scale DDR
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/gpu: make ringbuffer readonly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/adreno: fix updating ring fence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: fix unitialized variable error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Fix scale params in plane validation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Fix reservation failures in modeset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: always start/stop scheduler in timeout processing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: fix external abort seen on GC600 rev 0x19
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: gem: Fix sparse warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbcon: prevent user font height or width change from causing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- treewide: Use fallthrough pseudo-keyword (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- efi: avoid error message when booting under Xen (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Make sure TC-cold is blocked before enabling TC
  AUX power wells (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Avoid passing a random 0 into ilog2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix wrong return value in intel_atomic_check()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update bw_buddy pagemask table (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Check for an LPSP encoder before dereferencing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Copy default modparams to mock i915_device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Provide the perf pmu.module (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Do not reset pv_notified when vGPU transit
  from D3->D0 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Do not destroy ppgtt_mm during vGPU D3->D0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: disable gfxoff for navy_flounder"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix pow() crashing when given base 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Reset scrambling on Test Pattern
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix dcn3 wide timing dsc validation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix DFPstate hang due to view port changed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Assign correct left shift (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Call DMUB for eDP power control (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: fix the wrong sdma instance query for renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: parse ta firmware for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix NULL pointer access issue when unloading driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix uninit-value in
  arcturus_log_thermal_throttling_event() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: disable gfxoff for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: use GFP_ATOMIC in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Blank stream before destroying HDCP session
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix EDID parsing after resume from suspend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Switch to immediate mode for updating
  infopackets (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix LFC multiplier changing erratically
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix incorrect backlight register offset for DCN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update gc golden register for arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct UVD/VCE PG state on custom pptable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct Vega20 cached smu feature state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Skip some registers config for SRIOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: amdgpu: Use the correct size when allocating memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix memory leak in virtio_gpu_cleanup_object()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix missing dma_fence_put() in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: pwm_bl: Use 64-bit division function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use 64-bit division macro (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/xen-front: Pass dumb buffer data offset to the backend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- xen: Sync up with the canonical protocol definition in Xen
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/xen-front: Add YUYV to supported formats (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/xen-front: Fix misused IS_ERR_OR_NULL checks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: revert "drm/ttm: make TT creation purely optional v3"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: fix spelling mistake "Cant" -> "Can't"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: fix spelling mistake "Cound" -> "Could"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx/ldu: Use drm_mode_config_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx/sou: Use drm_mode_config_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx/stdu: Use drm_mode_config_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Fix two list_for_each loop exit tests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Use correct vmw_legacy_display_unit pointer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Use struct_size() helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fix bug where DPM is not enabled after hibernate and
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: put VCN/JPEG into PG ungate state before
  dpm table (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update swSMU VCN/JPEG PG logics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use mode1 reset by default for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: rework i2c adpater registration (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Display goes blank after inst (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Change null plane state swizzle mode to 4kb_s
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use helper function to check for HDMI signal
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: AMD OUI (DPCD 0x00300) skipped on some sink
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix logger context (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: populate new dml variable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Read VBIOS Golden Settings Tbl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use parameter for call to set output mux
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable GFXOFF for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm amdgpu: Skip tmr load for SRIOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix PSP autoload twice in FLR (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update GC golden setting for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update driver if version for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip crit temperature values on APU (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix DP Compliance tests 4.3.2.1 and 4.3.2.2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use hw lock mgr (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: dchubbub p-state warning during surface planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Allow asic specific FSFT timing optimization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable idle optimizations before programming
  DCN (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix dmesg warning from setting abm level
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use proper abm/backlight functions for DCN3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use seperate dmcub firmware for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Check lane status again after link
  training done (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't compare dppclk before updating DTO
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix naming of DSC Debugfs entry (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Rename bytes_pp to the correct bits_pp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Clean up global sync param retrieval
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/swsmu: allow asic to handle sensor type by itself
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: off by one bugs in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: update driver if file for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary message support check(v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update dec ring test for VCN 3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/jpeg3.0: remove extra asic type check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update golden setting for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct smu message for vf mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add msg map for mode1 reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: skip invalid msg when smu set mp1 state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove the dpm checking in the boot sequence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amd/powerplay: drop unnecessary message support
  check" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add printing after executing page reservation
  to eeprom (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: expand sienna chichlid reg access support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Added orientation quirk for ASUS tablet model T103HAF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: force runtime PM suspend on system suspend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: fix modeset init for DPI panels (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: re-add deleted doc for drm_gem_open_ioctl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: fix offset in VMAs with a pg_offs in ttm_bo_vm_access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: fix drm_dp_mst_port refcount leaks in
  drm_dp_mst_allocate_vcpi (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbmem: pull fbcon_update_vcs() out of fb_set_var()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- vgaarb: mark vga_tryget static (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: xlnx: zynqmp: Use switch - case for link rate downshift
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: xlnx: Fix typo in parameter description (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: xlnx: fix spelling mistake "failes" -> "failed"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove redundant NULL check (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fourcc: fix Amlogic Video Framebuffer Compression macro
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Use {} to zero initialize the mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: convert to LE accessors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- virtio_config: LE config space accessors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: backlight: cr_bllcd: Remove unused variable 'intensity'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: backlight: Make of_find_backlight static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: backlight: Drop backlight_put() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: Use backlight_get_brightness() throughout
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: jornada720_bl: Introduce backlight_is_blank()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: gpio_backlight: Simplify update_status()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: cr_bllcd: Introduce gpio-backlight semantics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: as3711_bl: Simplify update_status (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: backlight: Introduce backlight_get_brightness()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- doc-rst: Wire-up Backlight kernel-doc documentation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: backlight: Add overview and update existing doc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: backlight: Drop extern from prototypes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: generic_bl: Remove this driver as it is unused
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: backlight: Add backlight_is_blank() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: backlight: Refactor fb_notifier_callback()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: backlight: sky81452-backlight: Fix some kerneldoc issues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: qcom-wled: Remove unused configs for LED3 and LED4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: lm3630a_bl: Remove invalid checks for unsigned int <
  0 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: backlight: Supply description for function args in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: ili922x: Add missing kerneldoc description for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: ili922x: Remove invalid use of kerneldoc syntax
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: ili922x: Add missing kerneldoc descriptions for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: lcd: Add missing kerneldoc entry for 'struct device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: lms501kf03: Remove unused const variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: lms501kf03: Drop unused include (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: Delete the OT200 backlight driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: sky81452: Privatize platform data (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: sky81452: Convert to GPIO descriptors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: lm3533_bl: Use kobj_to_dev() instead (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: Remove custom seqcount lockdep class key
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- PCI: Move PCI_VENDOR_ID_REDHAT definition to pci_ids.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- vgacon: Fix for missing check in scrollback handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- ASoC: hdmi-codec: merge .digital_mute() into .mute_stream()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- sched: Remove sched_set_*() return value (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- sched,drm/scheduler: Convert to sched_set_fifo*()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- sched,msm: Convert to sched_set_fifo*() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- sched: Provide sched_set_fifo() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: use kthread_create_worker instead of kthread_run
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/mdp5: Add MDP5 configuration for SDM636/660
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dsi: Add DSI configuration for SDM660 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/mdp5: Add MDP5 configuration for SDM630 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dsi: Add phy configuration for SDM630/636/660
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: add A640/A650 hwcg (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: hwcg tables in gpulist (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: add SM8250 to hw catalog (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: add SM8150 to hw catalog (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: intf timing path for displayport (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: set missing flush bits for INTF_2 and INTF_3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: don't use INTF_INPUT_CTRL feature on sdm845
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: move some sspp caps to dpu_caps (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: update UBWC config for sm8150 and sm8250
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: use right setup_blend_config for sm8150 and sm8250
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: set ubwc config for A640 and A650 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/adreno: un-open-code some packets (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: sync generated headers (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: add build_bw_table for A640/A650 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: fix crashstate capture for A650 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Quiet error during failure in optional resource
  mappings (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Garbage collect unused resource _len fields
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: fix/enable 6bpc dither with split-lm
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: msm: a6xx: fix gpu failure after system resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: dsi: Use OPP API to set clk/perf state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Use OPP API to set clk/perf state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: ratelimit crtc event overflow error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: msm: a6xx: send opp instead of a frequency (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Fix a null pointer access in msm_gem_shrinker_count()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: add support for dither block in display
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/adreno: fix gpu probe if no interconnect-names
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: enumerate second cursor pipe for external interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: ensure device suspend happens during PM sleep
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: handle for EPROBE_DEFER for of_icc_get (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: reset devfreq freq_table/max_state before
  devfreq_add_device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: fix unbalanced pm_runtime_enable in adreno_gpu_{init,
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200715 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Assert the kernel context is using the HWSP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Trace placement of timeline HWSP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove unused inline function drain_delayed_work()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftest: Fix an error code in live_noa_gpr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dg1: Add fake PCH (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dg1: Remove SHPD_FILTER_CNT register programming
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dg1: add support for the master unit interrupt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dg1: Add DG1 PCI IDs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dg1: add initial DG-1 definitions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add has_master_unit_irq flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: WARN if max vswing/pre-emphasis violates the DP spec
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/mst: filter out the display mode exceed sink's
  capability (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/probe_helper: Add drm_connector_helper_funcs.mode_valid_ctx
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Skip signaling a signaled request (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftest: fix an error return path where err is
  not being (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Always reset the engine, even if inactive,
  on execlists (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pull printing GT capabilities on error to err_print_gt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Be defensive in the face of false CS events
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftest: Check that GPR are restored across noa_wait
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Optimise aliasing-ppgtt allocations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: Parse HOBL parameter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Remove port and phy from voltage swing
  functions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Replace drm_i915_private in voltage swing
  functions by intel_encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Implement WAs 18011464164 and 22010931296
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Document FBC related w/as more thoroughly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Limit WaFbcHighMemBwCorruptionAvoidance to skl and bxt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't do WaFbcTurnOffFbcWatermark for glk
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move all FBC w/as to .init_clock_gating()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dvo: Make .get_modes() return the number of modes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sdvo: Make .get_modes() return the number of modes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sdvo: Make SDVO deal with HDMI pixel repeat
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Reject DRM_MODE_FLAG_DBLCLK with DVI sinks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sdvo: Implement limited color range for SDVO HDMI
  properly (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sdvo: Fix SDVO colorimetry bit defines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove i915_gem_object_get_dirty_page()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Release shortlived maps of longlived objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Replace opencoded i915_gem_object_pin_map()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Unpin idle contexts from kswapd reclaim
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move sseu debugfs under gt/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: gt-fy sseu debugfs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sseu: Move sseu_info under gt_info (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/sseu: Move sseu detection and dump to intel_sseu
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce gt_init_mmio (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move the engine mask to intel_gt_info (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Move engine-related mmio init to engines_init_mmio
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use the gt in HAS_ENGINE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Convert device_info to uncore/de_read (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: Helper to check for DDI BUF status to get active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Helper for checking DDI_BUF_CTL Idle status
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/huc: Adjust HuC state accordingly after GuC fetch error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Extract uc usage details into separate debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: Fix the return handling of
  drm_hdcp_check_ksvs_revoked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: Update CP as per the kernel internal state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ehl: Add new PCI ids (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Implement new combo phy initialization step
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update dma-attributes for our sg DMA (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix spelling mistake in i915_reg.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Don't taint when using fault injection (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Print caller when tainting for CI (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Reboot CI if we get wedged during driver init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915/dp: Correctly advertise HBR3 for GEN11+"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Export ppgtt_bind_vma (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Allow FBC to recompress after a 3D workload
  on i85x/i865 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Enable fbc on i865 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Fix nuke for pre-snb platforms (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Use the correct plane stride (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Clamp min_cdclk to max_cdclk_freq to unblock 8K
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Expand guc_info debugfs with more information
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: do not read swizzle info if unavailable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Split the context's obj:vma lut into its own mutex
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Drop forced struct_mutex from
  shrinker_taints_mutex (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Only revoke mmap handlers if active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Only revoke the GGTT mmappings on aperture
  detiling (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: prefer dig_port to reference
  intel_digital_port (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm/nouveau: don't call tt destroy callback on alloc failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: ttm_bo_swapout_all doesn't use it's argument
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: drop unusued function declaration (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: make ttm_tt unbind function return void (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/amd/display: Expose connector VRR range via debugfs"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sienna_cichlid: add SMU i2c support (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/navi1x: add SMU i2c support (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/swSMU: remove eeprom from the smu i2c handlers (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vega20: enable the smu i2c bus for all boards
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove eeprom from the smu i2c handlers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move i2c bus lock out of ras structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix NULL dereference in dpm sysfs handlers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: retrieve VCN dpm table per instances
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update driver if version for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix typos for clk map (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn: merge shared memory into vcpu (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/amdgpu/vcn: add shared memory restore after
  wake up from (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.95 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: interface to obtain minimum plane size caps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add additional config guards for DCN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Call dsc related functions indirectly via dc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Improve compatibility by re-ordering
  info-packets (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 0.0.25 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Make new dc interface for adding dsc resource
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: rename dsc extended caps as dsc branch
  decoder caps (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Decouple ABM init from dmcu (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Implement AMD VSIF V3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DSC parameters logging to debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove unhelpful 5ms delay (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: do not disable SMU on vm reboot (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add timeout flush mechanism to update wptr for self
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable xgmi support for sienna cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: load asd for sienna cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: tag swSMU code layers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: revise the calling flow on OD table update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary message support check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move SMC message issuing APIs to smu_cmn.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update the tables init related
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move table setting common code to smu_cmn.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: maximum code sharing around watermarks
  setting (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move more APIs to smu_cmn.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: common API for disabling all features with
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move ppfeature mask setting to smu_cmn.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement smu_cmn_get_enabled_mask()
  for all ASICs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move dpm feature enablement checking
  to smu_cmn.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move dpm feature support checking to
  smu_cmn.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move clock dpm enablement check to
  smu_v11/v12 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unused code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: unify swSMU index to asic specific
  index mapping (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: widely share the API for data table
  retrieving (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add read amdgpu_gfxoff status in debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: load ta firmware for sienna cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: suppress compile error around BUG_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Fix CRC-related compile errors with
  debugfs disabled (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fence: use NVIDIA's headers for read()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fence: use NVIDIA's headers for sync()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fence: use NVIDIA's headers for emit()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: use NVIDIA's headers for migrate_clear()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: use NVIDIA's headers for migrate_copy()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/bo: use NVIDIA's headers for move move()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/bo: use NVIDIA's headers for move init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon/nv50-: use NVIDIA's headers for fillrect()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon/nv50-: use NVIDIA's headers for copyarea()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon/nv50-: use NVIDIA's headers for imageblit()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon/nv50-: use NVIDIA's headers for accel_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  crc_set_ctx() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  crc_set_src() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core head_or()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_procamp() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_dither() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core head_ovly()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core head_base()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_curs_clr() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_curs_set() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_core_clr() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_core_set() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_olut_clr() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  head_olut_set() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core head_mode()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core head_view()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  or_get_caps() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core or_ctrl()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  wndw_owner() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core update()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core
  ntfy_wait_done() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core caps_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core ntfy_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for core init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw update()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw blend_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw scale_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw image_clr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw image_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw xlut_clr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw xlut_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw csc_clr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw csc_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw ntfy_clr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw ntfy_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw
  ntfy_reset() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw sema_clr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wndw sema_set()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wimm update()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wimm point()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: use NVIDIA's headers for wimm space()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fence: convert sync() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fence: convert emit() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gem: convert indirect pushbufs to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/chan: convert nvsw init to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: convert nvsw init to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv04-: no need for multiple nvsw objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv04: convert page_flip() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv04: convert page_flip_emit() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: convert migrate_clear to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: convert migrate_copy to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/bo: convert move move() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/bo: convert move init() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/bo: split buffer move functions into their
  own source (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon: convert copyarea() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon: convert fillrect() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon: convert imageblit() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon: convert accel_init() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: interop with new push macros (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/nv50-: implement proper push buffer
  control logic (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core crc_set_ctx() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core crc_set_src() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_or() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_procamp() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_dither() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_ovly() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_base() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_curs_clr() to new push
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_curs_set() to new push
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_core_clr() to new push
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_core_set() to new push
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_olut_clr() to new push
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_olut_set() to new push
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_mode() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core head_view() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core or_ctrl() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core wndw_owner() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core update() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core caps_init() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert core init() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw update() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw blend_set() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw scale_set() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw image_clr() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw image_set() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw xlut_clr() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw xlut_set() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw csc_clr() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw csc_set() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw ntfy_clr() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw ntfy_set() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw sema_clr() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wndw sema_set() to new
  push macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wimm update() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: convert wimm point() to new push macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: wrap existing command submission
  in nvif_push (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: add support for object-level debug output
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every notify object a human-readable name
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every disp object a human-readable
  identifier (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every usermode object a human-readable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every vmm object a human-readable
  identifier (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every mem object a human-readable
  identifier (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every mmu object a human-readable
  identifier (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every device object a human-readable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: give every object a human-readable identifier
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: rename client ctor/dtor (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/tu102: set (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Use fallthrough pseudo-keyword (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/mmu: make nvkm_vmm_ctor() static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: fix reference count leak in
  nouveau_debugfs_strap_peek (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Fix reference count leak in
  nouveau_connector_detect (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: fix reference count leak in nv50_disp_atomic_commit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: fix multiple instances of reference count leaks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/drm/noveau: fix reference count leak in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/sec2/gp102: allow module to load when LSFW
  is missing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gm200-: explicitly handle nofw (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/pmu/gm200-: explicitly handle nofw (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/pmu/gm20x: don't pretend we support loading with our
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: store a mask of LS falcons the controlling LSFW
  can (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: store a mask of LS falcons the HSFW can
  bootstrap (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: allow module to load when HSFW(s) are missing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: refuse to load LSFW if HSFW is missing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core: drop error message when no compatible FW found
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mmu/gp100-: enable mmu invalidate depth optimisation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvfw: firmware structures should begin with nvfw_
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/tmr: fix nvkm_usec/nvkm_msec definitions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/therm/gt215: make gt215_therm_init static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mmu: make a couple of functions static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mc/gp10b: make gp10b_mc_init static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/nvfw/acr: make lsb_header_tail_dump static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gf100-: make some functions static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/gm200-: remove 'head' parameter from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: mtk_dsi: Create connector for bridges
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: mtk_dsi: Use the drm_panel_bridge API
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: mtk_dsi: Use simple encoder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: mtk_dsi: Convert to bridge driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: mtk_dsi: Rename bridge to next_bridge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- =?UTF-8?q?drm/tegra:=20plane:=20Support=20180=C2=B0=20rotation?=
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: plane: Support horizontal reflection (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: plane: Rename bottom_up to reflect_y (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: dc: Omit superfluous error message in
  tegra_dc_probe() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: gr2d: Add tiled PATBASE address register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: gr3d: Assert reset before power-gating
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: sor: Use correct power supply names for HDMI
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: debug: Dump push buffer state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu: host1x: Put gather's BO on pinning error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu: host1x: Optimize BOs usage when firewall is enabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: mipi: Split tegra_mipi_calibrate() and
  tegra_mipi_wait() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: mipi: Use readl_relaxed_poll_timeout() in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: mipi: Update tegra_mipi_request() to be node based
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdkfd: Fix large framesize for kfd_smi_ev_read()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- include/uapi/linux: Update KFD ioctl version (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Provide SMI events watch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable ih CG for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable hdp CG and LS for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable mc CG and LS for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable athub/mmhub PG for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: set VCN1 pg only for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add DC support for navy flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: support athub cg setting for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable GFX clock gating for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable JPEG3.0 PG and CG for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable VCN3.0 DPG for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable VCN3.0 PG and CG for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable cp_fw_write_wait for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add vcn ip block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add navy_flounder vcn firmware support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: add gc golden setting for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Add kfd2kgd_funcs for navy_flounder kfd support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Support navy_flounder KFD (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use front door firmware loading for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add psp block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add psp support for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add smu block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/powerplay: add smu support for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add gmc cg support for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: force pa_sc_tile_steering_override to 0 for
  navy_flounder (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: configure navy_flounder gfx according to gfx 10.3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add virtual display support for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add sdma ip block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add gfx ip block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add ih ip block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add gmc ip block for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add common ip block for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add support on mmhub for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: initialize IP offset for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/soc15: add support for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: add clockgating support for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc10: add navy_flounder support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: add support for navy_flounder firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set asic family and ip blocks for navy_flounder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set fw load type for navy_flounder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add navy_flounder gpu info firmware (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add navy_flounder asic type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: expand to add multiple trap event irq id
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/sriov skip vcn powergating and dec_ring_test
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: correct ta header v2 ucode init start address
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/sriov porting sriov cap to vcn3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/sriov add mmsch_v3 interface (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: optimize rlcg write for gfx_v10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/sriov skip jped ip block and close pgcg flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unused code around thermal range setting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: maximum the code sharing on thermal
  irq setting (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: sort the call flow on temperature ranges
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: cache the software_shutdown_temp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct Sienna Cichlid temperature limit
  settings (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct Navi1X temperature limit settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct the supported pcie GenSpeed and
  LaneCount (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary wrapper around pcie
  parameters (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unused APIs and parameters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop smu_v12_0.c unnecessary wrapper V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary wrappers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: apply gfxoff disablement/enablement for
  all SMU11 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop Sienna Cichlid specific (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary Sienna Cichlid specific APIs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary Navi1x specific APIs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary Arcturus specific APIs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update the common API for performance level
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update UMD pstate clock settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add new UMD pstate data structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update Sienna Cichlid default dpm table setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update Navi10 default dpm table setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update Arcturus default dpm table setting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement a common set dpm table API for smu
  V11 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add more members for dpm table
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add module parameter choose reset mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable mode1 reset (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: RAS emergency restart logic refine (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: add SMU mode1 reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: fix kernel-doc and cleanup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove an unnecessary NULL check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sdma5: fix wptr overwritten in ->get_wptr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use ARRAY_SIZE() to add amdgpu debugfs files
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Allow for vblank enabled with no active planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add missing DCN30 registers and fields for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Reuse parsing code of debugfs write buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.94 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 0.0.24 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix dcn3 p_state_change_support validation (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: p-state warning occurs while changing
  resolution (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: reduce sr_xxx_time by 3 us when ppt disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Power down hardware if set mode is not
  called before (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update dml var (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: Target power profile mode should be
  the second (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix spelling mistake "Falied" -> "Failed"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: minor cleanup of phase1 suspend code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: put dpm frequency setting common code in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: revise calling chain on retrieving
  frequency range (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: revise calling chain on setting soft limit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: put setting hard limit common code in
  smu_v11_0.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unused code and wrapper around clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: unshare the code for retrieving current clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: bypass wrapper on retrieving current clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary wrappers around clock
  retrieving (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update driver if file for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct the .get_workload_type() pointer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amd/display: add mechanism to skip DCN init"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix CSC remap matrix not being applied on dcn30
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use VUPDATE_NO_LOCK instead of VUPDATE
  for dcn30 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable gpu recovery for sienna cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove unnecessary logic of ASIC check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu/drm: Remove debug info about CPU address (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add missing CW4 programming for DCN30
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in mmhub v9.4 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in mmhub v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in mmhub v1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in gfxhub v2.1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in gfxhub v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in gfxhub v1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in VCN2/JEPG2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in UVD7/VCE4 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in VCN1/JEPG1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in GMC10 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use register distance member instead of hardcode
  in GMC9 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add register distance members into vmhub structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Remove redundant kfd2kgd interface lookup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Refresh
  patches.suse/drm-iommu-change-type-of-pasid-to-u32.patch.
- drm/amdgpu: Move the mutex lock/unlock out (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add missing reg mask for dcn3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add logger for SMU msg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Request PHYCLK adjustment on PHY enable/disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.93 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 0.0.23 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove VSC infoframe dep on DMCU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Send VSIF on unsupported modes on DAL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Register init (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add diags scaling log by default
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix coding error of mmhub pg enablement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use RREG32_KIQ to read register when get cg state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: updated ta ucode loading (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: updated ta ucode header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove redundant initialization of variable
  result (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/atomfirmware: update vram info handling for renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/atomfirmware: update to latest integratedinfotable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix compile error with ARCH=arc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Create plane rotation property (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Add Arcturus GWS support and fix VG10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: support access regs outside of mmio bar"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: make IB test synchronize with init for SRIOV(v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Update hardware scheduling time quanta
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Enable 4 to 1 mpc combine for max detile use
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.92 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add register key and status for edid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.22 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix incorrect rounding for 10Hz refresh range
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.21 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: check dpcd read status of DP_DOWNSTREAM_PORT_0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Handle SMU msg response (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Release 1.0.20 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Preserve gpu memory allocation for life of dc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Initialize psr debug flags to 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: correct discovery_tmr_size init val (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary "@" on OD sysfs output
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update driver if file for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: change method to set board parameters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: reduce ip discovery data reading size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: merge atombios init block (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: invoke req full access early enough (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move reg base init forward for soc15 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: request init data in virt detection (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Let KFD use more VMIDs on Arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Clean up KFD VMID assignment (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: SI support for UVD and VCE power managment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: SI support for VCE clock control (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: SI support for UVD clock control (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: xlnx: DRM/KMS driver for Xilinx ZynqMP DisplayPort
  Subsystem (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- dmaengine: Add support for repeating transactions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Refresh
  patches.suse/dmaengine-cookie-bypass-for-out-of-order-completion.patch.
- drm/etnaviv: fix ref count leak via pm_runtime_get_sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Simplify clock enable/disable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: Make the "core" clock mandatory (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: Don't ignore errors on getting clocks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Fix error path on failure to enable bus clk
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: imx-tve: Delete an error message in imx_tve_bind()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: ipu-v3: image-convert: Wait for all EOFs before completing
  a (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: ipu-v3: image-convert: Combine rotate/no-rotate irq
  handlers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- gpu: ipu-v3: Restore RGB32, BGR32 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: imx-ldb: Disable both channels for split mode in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: parallel-display: move panel/bridge detection to
  fail early (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: imx-ldb: remove useless enum (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/imx: drop useless best_encoder callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/imx: tve: fix regulator_disable error path (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/imx: parallel-display: Adjust bus_flags handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: fix use after free (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- dma-fence: Make symbol 'dma_fence_lockdep_map' static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Use spin_(un)lock_irq() in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vblank: Use spin_(un)lock_irq() in drm_queue_vblank_event()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Use spin_(un)lock_irq() in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vblank: Use spin_(un)lock_irq() in drm_crtc_vblank_on()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Use spin_(un)lock_irq() in drm_crtc_vblank_reset()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: stop using TTM_MEMTYPE_FLAG_MAPPABLE v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: stop using TTM_MEMTYPE_FLAG_MAPPABLE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: stop using TTM_MEMTYPE_FLAG_MAPPABLE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: remove TTM_MEMTYPE_FLAG_CMA (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: cleanup coding style and implementation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: remove io_reserve_fastpath flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: cleanup io_mem interface with nouveau (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: remove optional dummy function from drivers using TTM
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-fence: prime lockdep annotations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-fence: basic lockdep annotations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vram-helper: stop using TTM_MEMTYPE_FLAG_MAPPABLE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: Replace HTTP links with HTTPS ones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Replace HTTP links with HTTPS ones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mxsfb: drop unused function parameter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mxsfb: Make supported modifiers explicit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: core: Convert device logging to drm_* functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i810: switch from 'pci_' to 'dma_' API (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Use managed MM initialization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Initialize DRAM type before posting GPU (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Move VRAM size detection to ast_mm.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Use managed VRAM-helper initialization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Rename ast_ttm.c to ast_mm.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vram-helper: Managed vram helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Silence uninitialized-variable warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Bump driver to version 1.1 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Support multiple panels/bridges (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Add support for the IPU (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Add support for OSD mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Use dmam_alloc_coherent() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Move register definitions to ingenic-drm.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Set DMA descriptor chain address in probe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Add missing CR in debug strings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Rename ingenic-drm.c to ingenic-drm-drv.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Fix incorrect assumption about plane->index
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nvd9-: Fix disabling CRCs alongside OR
  reprogramming (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nvd9-: Add CRC support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Move hard-coded object handles
  into header (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Expose nv50_outp_atom in disp.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv140-: Track wndw mappings in nv50_head_atom
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Fix disabling dithering (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/nv140-: Don't modify depth in state during
  atomic (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Add vblank works (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Use spin_(un)lock_irq() in drm_crtc_vblank_off()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Register drmm cleanup action once per
  drm_vblank_crtc (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: Replace HTTP links with HTTPS ones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: Replace HTTP links with HTTPS ones
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: Add 50 Hz mode to the Frida FRD350H54004 panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: Fix inverted V/H SYNC for Frida FRD350H54004
  panel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_rect.h: delete duplicated word in comment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: msm_drm.h: delete duplicated words in comments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: i915_drm.h: delete duplicated words in comments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_mode_config.h: delete duplicated words in comments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_gem.h: delete duplicated words in comments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_bridge.h: delete duplicated word in comment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_atomic.h: delete duplicated word in comment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: Remove open-coded commit-tail function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: Use standard drm_atomic_helper_commit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Inline mga_crtc_{prepare, commit}() into enable
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Rename G200WB prepare/commit function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Set/clear <syncrst> field in display enable/disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Split DPMS function into helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Don't set or clear <scroff> field during modeset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Move PLL setup out of mode-setting function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Don't write-protect CRTC 0-7 while in
  mga_crtc_prepare() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: sil_sii8620: initialize return of sii8620_readb
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: stop allocating dummy GTT nodes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: further cleanup ttm_mem_reg handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: radeon: fix common struct sg_table related issues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: amdgpu: fix common struct sg_table related issues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: Expose job_hang_limit module parameter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: change the max cursor width/height (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: panel: simple: Fix bpc for LG LB070WV8 panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: auo,b116xw03: fix flash backlight when power on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: fb-helper: Convert logging to drm_* functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: mipi-dsi: Convert logging to drm_* functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Replace HTTP links with HTTPS ones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: dw-hdmi: Always add the bridge in the global
  bridge list (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dw-hdmi: Don't cleanup i2c adapter and ddc ptr in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Replace HTTP links with HTTPS ones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: sm712fb: set error code in probe (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: da8xx-fb: go to proper label on error handling paths
  in probe (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: vt8623fb: Constify static vga_regsets
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- omapfb: dss: Fix max fclk divider for omap36xx (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- omapfb: fix multiple reference count leaks due to
  pm_runtime_get_sync (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: neofb: fix memory leak in neo_scan_monitor()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: savage: fix memory leak on error handling
  path in probe (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev/fb.h: Use struct_size() helper in kzalloc()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbcon: Use array3_size() helper in scr_memcpyw() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: amifb: add FIXMEs about {put,get}_user() failures
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: amifb: add FIXME about dead APUS support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Clean up some curly braces (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Iterate through all DispID ext blocks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Allow looking for ext blocks starting from a
  specified index (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp: Include the AUX CH name in the debug messages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vgem: Replace opencoded version of drm_gem_dumb_map_offset()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: repair runtime power management (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/stm: ltdc: remove call of pm-runtime functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: overlay: fix build failure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Initialize mode setting in ast_mode_config_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Use managed mode-config init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Replace struct ast_crtc with struct drm_crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Init cursors before creating modesetting structures
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Managed cursor release (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Keep cursor HW BOs mapped (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Add helper to hide cursor (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Don't enable HW cursors twice during atomic update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Replace ast_cursor_move() with ast_cursor_show()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Move cursor pageflip into helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Update cursor image and checksum from same function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Move cursor fb pinning and mapping into helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Pass struct ast_private instance to cursor init/fini
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Move cursor functions to ast_cursor.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: crtc: Remove the feed_txp tests (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: txp: Turn the TXP into a CRTC of its own
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: crtc: Move the txp_armed function to the TXP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: crtc: Move the CRTC initialisation to a separate
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: crtc: Only access the PixelValve registers if we have
  to (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: crtc: Split CRTC data in two (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: crtc: Make state functions public (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: crtc: Move HVS setup code to the HVS driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: Reorder the bind order of the devices (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Convert register accessors to FIELD_* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: drm_fourcc: Add generic alias for 16_16_TILE modifier
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Code refactoring for hibmc_drv_vdac
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: crtc: handle commit of Amlogic FBC frames
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: overlay: setup overlay for Amlogic FBC Scatter Memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: overlay: setup overlay for Amlogic FBC Memory
  Saving mode (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: overlay: setup overlay for Amlogic FBC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: add Amlogic Video FBC registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fourcc: Add modifier definitions for describing
  Amlogic Video (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Use __drm_atomic_helper_crtc_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Use __drm_atomic_helper_crtc_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mtk: Use __drm_atomic_helper_crtc_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/imx: Use __drm_atomic_helper_crtc_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Use __drm_atomic_helper_crtc_reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/atomic-helper: reset vblank on crtc reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm : Insert blank lines after declarations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: fix dma-fence-chain out of order test (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "dma-buf: Report signaled links inside dma-fence-chain"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix the old vs. new epoch counter check during hotplug
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Use drmm_kzalloc() instead of devm_kzalloc()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: st7703: Assert reset prior to powering down the
  regulators (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: st7703: Enter sleep after display off (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: st7703: Add support for Xingbangda XBD599
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: st7703: Move generic part of init sequence to
  enable callback (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: st7703: Move code specific to jh057n closer together
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: st7703: Prepare for supporting multiple panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: st7703: Rename functions from jh057n prefix to st7703
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: rocktech-jh057n00900: Rename the driver to st7703
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/drm_connector: use inline comments for drm_bus_flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/drm_connector: drop legacy drm_bus_flags values
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: panel-simple: drop use of legacy drm_bus_flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: novatek-nt39016: drop use of legacy drm_bus_flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: raydium-rm67191: drop use of legacy drm_bus_flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic-drm: drop use of legacy drm_bus_flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: drop use of legacy drm_bus_flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/of: Make drm_of_find_panel_or_bridge() to check graph's
  presence (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- of_graph: add of_graph_is_present() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: panel: simple: Warn in case of incorrect bus format
  for LVDS (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: simple: Drop drive/sample bus flags for LVDS panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: simple: Correct bus format for Satoz SAT050AT40H12R2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: simple: Correct connector type for Starry KR070PE2T
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Send hotplug event if edid had changed (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Introduce epoch counter to drm_connector (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Add helper to compare edids (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: pl111: Absorb the external register header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: amba-clcd: Retire elder CLCD driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: pl111: Credit where credit is due (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: make TT creation purely optional v3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: cleanup ttm_mem_type_manager_func.get_node interface v3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/connector: fix minor typos in comments (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mipi: use dcs write for mipi_dsi_dcs_set_tear_scanline
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: use mipi_dsi_dcs_write_buffer where possible
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dsi: use stack buffer in mipi_dsi_dcs_write()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/zte: remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel-simple: Add missing BUS descriptions for some panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: Correct EDT ET057090DHU connector type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: do not keep GPU dependent addresses (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/scheduler: improve job distribution with multiple queues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: don't use ttm bo->offset v3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: don't use ttm bo->offset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: ensure bridge suspend happens during
  PM (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200702 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Move the heartbeat into the high priority system wq
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Harden the heartbeat against a stuck driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Correctly advertise HBR3 for GEN11+ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix g4x fbc watermark enable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/icl+: Simplify combo/TBT PLL calculation call-chain
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl+: Fix TBT DPLL fractional divider for 38.4MHz
  ref clock (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Move obj->lut_list under its own lock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: remove alias to dig_port (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add PSR2 selective fetch registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Reorder intel_psr2_config_valid() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add plane damage clips property (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Avoid kmalloc under i915->mm_lock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Suppress spurious underruns on gen2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Reduce fbc1 compression interval to 1 second
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Store the fbc1 compression interval in the params
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Parametrize FBC_CONTROL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Don't clear busy_bits for origin==GTT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: fix missing null check on allocated dsb object
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: fix a couple of spelling mistakes in kernel
  parameter help (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: HDCP: retry link integrity check on failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clamp linetime wm to <64usec (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gen12: implement Wa_14011508470 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Extend Wa_14010685332 to all ICP+ PCH's
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix DP_TRAIN_MAX_{PRE_EMPHASIS,SWING}_REACHED handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Enable VC payload allocation after transcoder
  is enabled (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Clear the ACT sent flag during encoder
  disabling too (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Clear only the ACT sent flag from DP_TP_STATUS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Move clearing the ACT sent flag closer to
  its polling (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Disable link training fallback on MST links
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl+: Use the correct DP_TP_* register instances in
  MST encoders (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/params: switch to device specific parameters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Replace manual kmap_atomic() with pin_map for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Drop redundant prepare_write/pin_pages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Show the culmative runtime as part of the
  engine info (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Initialise rps timestamp (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/query: Use struct_size() helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Always report the sample time for busy-stats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Enable selftesting of busy-stats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: fix spelling mistake "submited" ->
  "submitted" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check preemption rollback of different
  ring queue (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Use friendly request names for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise far preemption rollbacks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove redundant i915_request_await_object in
  blit clears (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark up inline getters as taking a const i915_request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fix inconsistent IS_ERR and PTR_ERR
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Don't flush the tasklet if not setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Add a safety submission flush in the heartbeat
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Dump engine state and trace upon
  hanging after (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Disable preemptive heartbeats over
  preemption (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Flush gen3 relocs harder, again (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Trim execlists runtime (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Lift opportunistic process_csb to
  before engine (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Leave vma intact as they are discarded (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Remove live_suppress_wait_preempt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Fix disabling MST on a port (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix the i915_dsc_fec_support debugfs file for DP
  MST connectors (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Include context status in debug dumps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Teach hang-self to target only itself
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Don't try to read out DSI transcoders
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Update TGP's pin mapping when paired with RKL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: RKL uses ABOX0 for pixel transfers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Make the hanging request non-preemptible
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Adjust the sentinel assert to match implementation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915: Remove unneeded hack now for CDCLK"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Program default IO buffer Wake and Fast Wake
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Restore DP-E to VBT mapping table (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Delete unused code (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Correct discard i915_vma_compare assertion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Discard a misplaced GGTT vma (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Always check to enable timeslicing if not
  submitting (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Set timeslicing priority from queue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Include the engine's fw-domains in the debug info
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix comments mentioning typo in IS_ENABLED()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Async GPU relocations only (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add psr_safest_params (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Disable PSR2 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Don't try to access transcoder D (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Setup ports/phys (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add HBR and HBR2+ voltage swing table
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix wrong CDCLK adjustment changes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Handle comp master/slave relationships for PHYs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Add DDC pin mapping (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: provide port/phy mapping for vbt (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Set transcoder mask properly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Track if an engine requires forcewake w/a
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Trim set_timer_ms() intervals (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Implement WA_16011163337 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Exercise all copy engines with the
  blt routines (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Replace some hand rolled max()s (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Reverse preemph vs. voltage swing preference
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add {preemph,voltage}_max() vfuncs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix ivb cpu edp vswing (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix ibx max vswing/preemph (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix cpt/ppt max pre-emphasis (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop i915_request.i915 backpointer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Suppress the error message for GT init failure
  on error (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Make the CTX_TIMESTAMP readable on !rcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Identify Cometlake platform (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Ignore autoincrementing timestamp
  on verfifying whitelists (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Dont forget to clean up the connector on
  error (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/params: prevent changing module params runtime
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move legacy context wa to intel_workarounds
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Split low level gen2-7 CS emitters (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Update TC DP vswing table (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Trim the ironlake+ irq handler (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Relinquish forcewake immediately after manual grouping
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Handle very early engine initialisation failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add Plane color encoding support for YCBCR_BT2020
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Give each object class a friendly name
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Taint all shrinkable object locks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add a few asserts around handling of (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Replace I915_MODE_FLAG_INHERITED with a boolean
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Stop using mode->private_flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Start timeslice on partial submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Don't declare hangs if engine is stalled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Remove local entries from GGTT on suspend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Restore both GGTT bindings on resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Clear LOCAL_BIND from shared GGTT on resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Improve execute_cb struct packing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Shortcircuit queue_prio() for no
  internal levels (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Force the GT reset on shutdown (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Fix early deref of 'dsb' (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Stop cross-polluting PIN_GLOBAL with PIN_USER with
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Suppress some random warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Cancel the flush worker more thoroughly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsb: Pre allocate and late cleanup of cmd buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix includes and local vars order (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/ehl: Extend w/a 14010685332 to JSP/MCC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove unneeded hack now for CDCLK (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Adjust CDCLK accordingly to our DBuf bw needs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce for_each_dbuf_slice_in_mask macro
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Plane configuration affects CDCLK in Gen11+
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Check plane configuration properly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Extract cdclk requirements checking to separate
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Decouple cdclk calculation from modeset checks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove PIN_UPDATE for i915_vma_pin (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Flush the submission, not cancel
  it! (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Measure CS_TIMESTAMP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/ehl: Wa_22010271021 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: RKL only uses PHY_MISC for PHY's A and B
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Add power well support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Limit number of universal planes to 5
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Update memory bandwidth parameters (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Add PCH support (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rkl: Load DMC firmware for Rocket Lake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Re-use TGL GuC/HuC firmware (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rkl: Add RKL platform info and PCI ids (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Kick virtual siblings on timeslice out
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add tests for timeslicing virtual engines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check for an initial-breadcrumb in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Change priority overflow detection
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Measure dispatch latency (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/runtime_pm: Prefer drm_WARN* over WARN* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/pm: Prefer drm_WARN_ON over WARN_ON (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/pmu: Prefer drm_WARN_ON over WARN_ON (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/i915_drv: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Prefer drm_WARN* over WARN* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display/tc: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/sdvo: Prefer drm_WARN* over WARN*
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/dp: Prefer drm_WARN* over WARN* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display/display_power: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Read out hrawclk on all gen3+ platforms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Document our lackluster FSB frequency readout
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix 400 MHz FSB readout on elk (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Return error from dbuf allocation failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix dbuf slice mask when turning off all the pipes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Reuse the tasklet priority for virtual as
  their siblings (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Refactor sibling selection (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Retry faulthandlers on ENOSPC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Clean up dbuf debugs during .atomic_check()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move the dbuf pre/post plane update (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Nuke skl_ddb_get_hw_state() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce proper dbuf state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Unify the low level dbuf code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Polish some dbuf debugs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make skl_compute_dbuf_slices() behave consistently
  for all platforms (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Protect overlay colorkey macro arguments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Enable pipe gamma for the overlay (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Configure overlay cc_out precision based on crtc
  gamma config (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix overlay colorkey for 30bpp and 8bpp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix max cursor size for i915g/gm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable runtime pm on vega10 when noretry=0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rework runtime pm enablement for BACO
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: call release_firmware() without a NULL check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Fix circular locking dependency warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: fix array out-of-bounds read and write issues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: ensure 0 is returned for success in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: make sure to reserve tmr region on all asics which
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: return current DCEFCLK on sysfs read (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/powerplay: fix compilation warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.91 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.19 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: DP link layer test 4.2.1.1 fix due to
  specs update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: allow query ddc data over aux to be read only
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Compare v_front_porch when checking if streams
  are (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: enable seamless boot for dcn30 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Red screen observed on startup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Allow 4 split on 10K 420 modes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: VSC SDP supported for SST (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fill in dmub_srv fw_version from firmware
  metadata (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Force ODM combine on 5K+ 420 modes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix 4to1 odm MPC_OUT_FLOW_CONTROL_COUNT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use dispclk AVFS for dppclk (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add mechanism to skip DCN init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fine tune logic of edid max TMDS clock check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Added local_sink null check before access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: clip plane rects in DM before passing into DC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.90 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.18 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Correctly respond in psr enablement interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix DML failures caused by doubled stereo
  viewport (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: enable assr (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: implement edid max TMDS clock check in DC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.17 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fixed using wrong eDP power sequence function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix calculation of virtual channel payload
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.16 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use dmub fw to lock pipe, cursor, dig
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm amdgpu: SI UVD enabled on Verde, Tahiti, Pitcairn
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm amdgpu: SI UVD enable for Oland (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm amdgpu: SI UVD add uvd_v3_1 to makefile (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm amdgpu: SI UVD context rreg/wreg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm amdgpu: SI UVD v3_1 (v2) (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm amdgpu: SI UVD registers (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm amdgpu: SI UVD PACKET_TYPE0 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm amdgpu: SI UVD add firmwares (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/uvd3.x: fix register definition warnings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix compilation error on allmodconfig
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix unused variable (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: sdma v5_2 ring bo mem leak (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove perf level dpm in one-VF (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add XGMI support for sienna cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: restrict the hw sched jobs number to power of two
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update bounding box states (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove redundant initialization of variable ret
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove unused functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: properly guard the calls to swSMU functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display bail early in dm_pp_get_static_clocks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.0: fix no previous prototype for functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn1.0: fix no previous prototype for functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/pm: fix ref count leak when pm_runtime_get_sync fails
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/debugfs: fix ref count leak when pm_runtime_get_sync
  fails (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: label internally used symbols as static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/powerplay: label internally used symbols as static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: label internally used symbols as static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: label internally used symbols as static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/jpeg2.0: fix no previous prototype for functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/jpeg1.0: fix no previous prototype for functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: fix ref count leak when pm_runtime_get_sync fails
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/fence: fix ref count leak when pm_runtime_get_sync
  fails (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/debugfs: fix memory leak when (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/debugfs: fix memory leak when pm_runtime_get_sync
  failed (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: vcn_v2_5_mc_resume_dpg_mode() can be static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix compiler warning (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/smu: unify smu ppt callback macros (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/smu: unify pptable_func{} callback interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update DCN3 bounding box (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove distinction between explicit and implicit
  sync (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Fix offset for SQ_DEBUG_STS_GLOBAL on gfx10 (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: Fix reference count leaks caused by
  pm_runtime_get_sync (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: fix ref count leak when pm_runtime_get_sync
  fails (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix ref count leak in amdgpu_display_crtc_set_config
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix ref count leak in amdgpu_drm_ioctl
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix ref count leak in amdgpu_driver_open_kms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: fix multiple reference count leak (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx9: Fix incorrect firmware size calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Fix reference count leaks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Add eviction debug messages (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Fix SQ_DEBUG_STS_GLOBAL* registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Get num_chans from VBIOS table (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd: add missing fill of the array`s first element
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Reconfigure ULV for gfx9 server SKUs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.89 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.15 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Not doing bios data pack (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: not reset dmub in driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Disable pipe split for modes with borders
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: change global buffer to local buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Improve DisplayPort monitor interop
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Enable use of dmub iff dmcu is disabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: make calculate watermarks a function pointer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add helper to convert DC status (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add support for per-state dummy-pstate latency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Revert "DP link layer test 4.2.1.1 fix
  due to specs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove unnecessary mpcc updates (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: runtime select dmub emulatior (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Passing initial SDP deadline to dmub
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Force delay after DP receive power up
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.88 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.14 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update audio wall clock programming
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix VBA chroma calculation for pipe splitting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Revert "enable plane if plane_status changed"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unused macro from dcn21 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use u16 for drm_bpp in DSC calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Move call to disable DPG (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Release 1.0.13 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix incorrect dcn1 bandwidth calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: correct alpha_en programming for new
  pixel format (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Add SQ_DEBUG_STS_GLOBAL* registers/bits
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/jpeg: fix race condition issue for jpeg start
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov: Need to clear kiq position (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov: Disable pm for multiple vf sriov
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov: Add clear vf fw support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix the nullptr issue as for PWR IP not existing in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix a buffer overflow handling the serial number
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: maximum code sharing on sensor reading
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: revise the calling chain on sensor reading
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary SMU_MSG_GetDpmClockFreq
  check (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary wrapper .populate_smc_tables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop redundant .set_min_dcefclk_deep_sleep
  API (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd: correct trivial kernel-doc inconsistencies
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Add SQ debug registers to GFX9/GFX10
  headers (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: handle return value of amdgpu_driver_load_kms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move maximum sustainable clock retrieving to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add check for power limit OD support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct power limit retrieving based
  on current (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unused code around power limit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: simplify the code around setting power limit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: simplify the code around retrieving
  power limit (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: maximize code sharing around power limit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary get_pptable_power_limit
  wrappers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct the APIs' naming (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary wrappers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: drop dead vce powergate code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: add error messages on some critical paths
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: forbid to use pr_err/warn/info/debug
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use MGPU friendly err/warn/info/dbg messages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/soc15: fix nullptr issue in soc15_read_register() for
  reg (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix indenting in
  dcn30_set_output_transfer_func() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip BAR resizing if the bios already did it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use the same interval as PMFW on retrieving
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update how to use metrics table on
  Sienna Cichlid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update how to use metrics table on Navi10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update how to use metrics table on Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: drop duplicated .dsc_pg_control for dcn30
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: drop duplicated structure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: update driver if file for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update powerplay table for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add smu v11_0_7 pptable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: move powerplay table operation out of
  smu_v11_0.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: support reserve bad page for virt (v3)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use work queue to perform throttling logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: skip BACO feature on DPMs disablement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add firmware cleanup on sw_fini
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move amdgpu_irq_src to the smu structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: maximize code sharing between .hw_fini and
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: better namings (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: sort those operations performed in hw setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: maximize code sharing between .hw_init
  and .resume (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move those operations not needed for resume
  out (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: postpone operations not required for hw setup
  to (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: clean up the overdrive settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: clean up the APIs for pptable setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: clean up the APIs for bootup clocks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: centralize all buffer allocation in
  sw_init phase (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement a common API for dpms disablement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unused APIs and unnecessary checks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: eliminate asic type check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix spelling mistake: "propogation" ->
  "propagation" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/fence: use the no_scheduler flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/[radeon|amdgpu]: Replace one-element array and
  use struct_size() helper" (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Only actually breakpoint if DEBUG_KERNEL_DC is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use existed smu_dpm_set* interfaces to
  implement (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: temporarily read bounding box from gpu_info fw
  for navi12 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 to Kconfig (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 blocks to Makefile (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: fix build without CONFIG_DRM_AMD_DC_DCN3_0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix and simplify pipe split logic for DCN3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Enable DM block for DCN3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Remove Unused Registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Handle RGBE_ALPHA Pixel Format (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Init function tables for DCN3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 VPG (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 AFMT (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 Command Table Helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 Resource (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 Support in DM (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 HWSEQ (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 DMUB (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 GPIO (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 IRQ (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 DML (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 DWB (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 MMHUBHUB (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 HUBP (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 HUBHUB (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 DPP (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 MPC (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 OPP header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DCN3 OPTC (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 DCCG (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 CLK_MGR (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 DIO (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DCN3 chip ids (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: bypass tmr when reserve c2p memory (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove unnecessary check for mem train
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: support memory training for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: reserve fb according to return value from vbios
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: let PMFW to handle the features disablement
  on (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop sienna_cichlid hardcode of using pptable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update smu function for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update golden setting for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/psp: support for loading PSP SPL fw (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/psp: initialization PSP SPL fw (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/psp: add structure to support PSP SPL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: show gfxclk=0 in gfxoff state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable gfxoff for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: disable gfxoff to retrieve gfxclk
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: support mclk socclk limit value set for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov : Add sriov detection for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: only use one gfx pipe for Sienna_Cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop jpeg instance1 dpm setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: disable runtime pm for sienna_cichlid temporarily
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable fw ctf (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip GPU scheduler setup for KIQ and MES ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable VDDCI and MVDD for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: append pptable for sienna_cichlid (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: and smc dpm info struct for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov : Use kiq to do tlb invalidation for gfx10
  on sriov (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable ULCK DS for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn3.0: schedule instance 0 for decode and 1
  for encode (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: add no scheduler flag for mes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable DPG mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add workaround for issue in DPG for VCN3.0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rename macro for VCN2.0 2.5 and 3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: rename macro for VCN1.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add internal reg offset translation for VCN inst 1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set indirect sram mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add pause DPG mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add stop DPG mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add start DPG mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add mc resume DPG mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add clock gating DPG mode for VCN3.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/am/powerplay: enable OUT OF BAND MONITER for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable RSMU SMN PG for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update golden setting for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: bundle GPO with gfx DPM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: enable GPO (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable mmhub pg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: enable athub pg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: skip VM inv eng assignment for mes ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes: allocate memory slots for hw resource setting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes: add status fence memory definitions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes: update mes fw api (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add function to get power limit for
  sienna_cichlid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable APCC DFLL for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable BACO for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Sienna_Cichlid don't enable SMU for SRIOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable MM DPM PG for sienna_cichlid (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix typo for vcn3/jpeg3 idle check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: enable FCLK DS for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable VR0HOT for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: sienna_cichlid virtual function support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Support debugger in Navi1x trap handler
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Support newer assemblers in gfx10 trap handler
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Add Sienna_Cichlid trap handler support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Support Sienna_Cichlid KFD v4 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/dc: Add missing Sienna_Cichlid chip id
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable 3D pipe 1 on Sienna_Cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix SDMA hdp flush engine conflict (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Enable Multi Media Hub (MMHUB) Clock Gating for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: add athub ls support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: add IH cg support (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: add HDP mgcg and ls support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: fix the HDP LS/DS/SD programming (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update golden setting for gfx10.3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: set the LMI ctrl and reset earlier (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix the PSP front door loading VCN firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: change the offset for VCN FW cache window
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: open GFX clock gating for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: switch to query reserved fb size from vbios (v3)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add atomfirmware helper funciton to query reserved
  fb (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add firmware_info v3_4 structure for Sienna_Cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: only send one sdma firmware for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop gfx_v10_0_tiling_mode_table_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: support query vram info for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add vram_info v2_5 in atomfirmware header
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable gfxoff for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add cp firmware backdoor loading triger
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: force pa_sc_tile_steering_override to 0 for gfx10.3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: add gc golden setting for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable JPEG3.0 for Sienna_Cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable JPEG3.0 PG and CG for Sienna_Cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add Sienna_Cichlid JPEG PG and CG support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add JPEG3.0 support for Sienna_Cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable VCN3.0 for Sienna_Cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add Sienna_Cichlid VCN to the VCN family
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable VCN3.0 PG and CG for Sienna_Cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add Sienna_Cichlid VCN PG and CG support (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add VCN3.0 support for Sienna_Cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes: correct register offset for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update the num of queue per pipe for mec on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add mes block to sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes10.1: update mes initialization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: no need to set up GPU scheduler for mes ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/psp: convert amdgpu mes ucode type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: upload mes firmware to gpu buffer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes10.1: copy mes fw info into global fw array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: add sienna_cichlid mes firmware support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: implement setting hardware resources
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: implement querying the scheduler status
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: implement removing hardware queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: implement adding hardware queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: add the helper function for mes command
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: add the mes fw api (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes10.1: enable the mes ring during initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: install mes queue via kiq (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes10.1: install mes queue by register programming
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: initialize the mqd (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes10.1: allocate mqd buffer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes10.1: implement the ring functions of mes specific
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: initialize the software part of mes ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/mes10.1: allocate the eop buffer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/mes: update some mes definitions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: avoid dereferencing a NULL pointer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add the ring type definition of MES (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: assign the doorbell index to mes ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add 2rd VCN instance doorbell support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add psp block load condition for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add gmc cg support for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add support for athub v2.1 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Use variable instead of constant for sdma
  doorbell range (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update SDMA 5.2 microcode init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable psp ip block for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip for reroute ih for sienna_cichlid psp ring init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/psp: add psp support for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip ASD fw load for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/powerplay: add smu block for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable PPT and TDC for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: support to get power index for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable Fan control for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable GFX SS for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable LCLK DPM for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: support to print pcie levels for
  sienna_cichlid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: support pcie value set and update for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable DCEFCLK DPM and DS for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Enable SOCCLK ULV for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: make gfx ds can be configure for
  sienna_cichlid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: set UCLK DPM for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: set Thermal control for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable SOC Clock Deep Sleep for
  sienna_cichlid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable Graphics Clock Deep Sleep for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable Ultra Low Voltage for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: set FCLK DPM for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: set SOCCLK DPM for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add support to set performance level for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: add initial swSMU support for
  sienna_cichlid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add virtual display support for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: change register configure for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: correct SDMA3 IH clinet id for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add sdma ip block for sienna_cichlid (v5)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add sdma2 and sdma3 irqsrc header files for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add gfx ip block for sienna_cichlid (v3)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add ih ip block for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add gmc ip block for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add support gfxhub for sienna_cichlid (v3)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add support on mmhub for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/soc15: add common ip block for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: initialize IP offset for sienna_cichlid (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/soc15: add support for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: add clockgating support for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc10: add sienna_cichlid support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: add support for sienna_cichlid firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set asic family and ip blocks for sienna_cichlid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set fw load type for sienna_cichlid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add sienna_cichlid gpu info firmware v2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add sienna_cichlid asic type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add dcn30 Headers (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add VCN3.0 register headers (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add ATHUB 2.1 header files (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add GC 10.3 header files (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: restrict bo mapping within gpu address limits
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add unique_id and serial_number for Arcturus v3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add ReadSerial defines for Arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove useless code in RAS (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix RAS memory leak in error case (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/fru: fix header guard and include header
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/nv: enable init reset check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/nv: remove some dead code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/nv: allow access to SDMA status registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use IP discovery table for renoir (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: clean up discovery testing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: skip gpu_info firmware if discovery info is
  available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: give better names for the thermal IRQ
  related APIs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use the common APIs for IRQ
  disablement/enablement (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: stop thermal IRQs on suspend (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: added a sysfs interface for thermal throttling
  related V4 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable thermal throttling logging support V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement ASIC specific thermal throttling
  logging (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update Arcturus smu-driver headers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: fix a dereference of pdd before it is null checked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc10: program the smallK fragment size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Fix GCC 10 compiler warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Fix the CGCG setting is overwritten for SRIOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.87 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't compare same stream for synchronized
  vblank (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Release 1.0.12 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: enable plane if container of plane_status
  changed (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: combine public interfaces into single header
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Allow Diagnostics test with eDP not connected
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: unit show garbage when do OPTC blank
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Guard against invalid array access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable PG on NV12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Increase Default Sizes of FW State and
  Trace Buffer (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Handle link loss interrupt better
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: simplify dml log2 function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix incorrect HDCP caps for dongle
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: link_status not align when power off encoder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.86 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Improve the MTYPE comments (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Track SDMA utilization per process (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: add check before i2c_add_adapter
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove SRIOV check in SMU11 (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable SMC message filter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: add SMC message filter for SMU11
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: check whether SMU IP is enabled before access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Make BREAK_TO_DEBUGGER() a debug print
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/[radeon|amdgpu]: Replace one-element array and use
  struct_size() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon/dpm: Replace one-element array and use struct_size()
  helper (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: put some case statments in family order
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sdma4: simplify the logic around powering up sdma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: simplify mec2 fw check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: simplify CZ/ST and KV/KB/ML checks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: simplify raven and renoir checks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: add navi12 to gfxoff case (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sdma4: add renoir to powergating setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: simplify ATIF backlight handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: disable AGP by default (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: print warning when input address is invalid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: skip smu_i2c_eeprom_init/fini under
  sriov mode (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove the support of vega20 from swsmu
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove the support of xgmi pstate on
  vega20 from (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: change memory training to common function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: FW Release 1.0.11 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Remove nv12 work around (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix dml immediate flip input (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix dml log2 function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Support CW4 for DMUB ringbuffer inbox
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DMUB firmware version helpers in
  DMUB service (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: vbios data table packing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: DP link layer test 4.2.1.1 fix due to
  specs update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update dml interfaces and variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.85 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix ABM memory alignment issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: FW release 1.0.10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Implement some asic specific abm call backs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add bit swap helper based on endianness
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't pass invalid fw_bss_data pointer
  into DMUB srv (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Check bss_data_size before going down
  legacy DMUB (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Do not fail if build scaling params fails
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Handle persistence in DM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/debug: Expose connector VRR monitor range via debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bochs: use drm_gem_vram_offset to get bo offset v2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram-helper: don't use ttm bo->offset v4 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: don't use ttm bo->offset (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: don't use ttm bo->offset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move ttm bo->offset to amdgpu_bo (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: dw-mipi-dsi.c: remove unused header file
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: minor doc touch-ups (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mipi-dbi: Remove ->enabled (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tiny/repaper: Drop edp->enabled (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: bridge: dw-hdmi: Make connector creation optional
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Pass drm_connector to internal functions
  as (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Store current connector in struct dw_hdmi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Split connector creation to a separate
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Pass drm_display_info to
  dw_hdmi_support_scdc() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Constify mode argument to internal
  functions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Constify mode argument to dw_hdmi_phy_ops
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Pass drm_display_info to .mode_valid()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: meson: dw-hdmi: Use dw_hdmi context to replace hack
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Remove unused field from dw_hdmi_plat_data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Pass private data pointer to
  .configure_phy() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: dw-hdmi: Pass private data pointer to .mode_valid()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: Pass drm_display_info to drm_bridge_funcs
  .mode_valid() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: edid: Constify connector argument to infoframe functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: simple-bridge: Make connector creation optional
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: simple-bridge: Delegate operations to next bridge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: Return NULL on error from drm_bridge_get_edid()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: adv7511: Make connector creation optional
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: adv7511: Implement bridge connector operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: adv7511: Split connector creation to a separate
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: adv7511: Split EDID read to a separate function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm/selftests: fix wrong return type casting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mm: cleanup and improve next_hole_*_addr() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mm: optimize find_hole() as well (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mm: remove unused rb_hole_size() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Use per-device logging macros (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Upcast from DRM device to ast structure via
  to_ast_private() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Remove test for device from ast_pm_freeze()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Remove unused code paths for AST 1180 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: add Tianma TM070JVHG33 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: add CDTech S070PWS19HP-FC21 and
  S070SWV29HG-DC44 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: tfp410: Fix setup and hold time calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: tfp410: fix de-skew value retrieval from DT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: Add missing connector type for some panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: otm8009a: Drop unnessary
  backlight_device_unregister() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp: DRM DP helper for reading Ignore MSA from DPCD
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/arm: fix unintentional integer overflow on left shift
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: drm_fourcc: Add uncompressed AFBC modifier (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: drm_fourcc: add NV15, Q410, Q401 YUV formats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Use kvfree() to free bo->sgts (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panfrost: Fix runtime PM imbalance on error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panfrost: Fix inbalance of devfreq record_busy/idle()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Check the regmap return value
  when setting (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Fix kernel-doc typo ln_polr =>
  ln_polrs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Don't use kernel-doc comment for local
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Don't compile GPIO bits if not
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Reduce the amount of logs on deferred probe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Add per-pixel alpha support for the PX30 VOP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem-helper: Only dma-buf imports are private obj
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem-helper: Fix obj->filp derefence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/kselftest: fix spellint typo in test-drm_mm.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Use managed pci functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/malidp: convert platform driver to use dev_groups
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/arm: Kconfig annotate drivers as COMPILE_TEST
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/todo: Add item about modeset properties (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/auth: make drm_{set,drop}master_ioctl symmetrical
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: vmwgfx: remove drm_driver::master_set() return type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: remove invalid entry based optimization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Fix flushing the delayed port/mstb destroy work
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fix the DDC I2C device registration of an MST port
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fix the DDC I2C device unregistration of an MST port
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: Work around out-of-spec adapters filtering
  short pulses (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Sanitize mgr->qlock locking in
  drm_dp_mst_wait_tx_reply() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Use managed device initialization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Embed instance of struct drm_device in struct
  mga_device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Allocate device structures in mgag200_driver_load()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Separate device initialization into allocation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Move device init and cleanup to mgag200_drv.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Prefix symbol names in mgag200_drv.c with mgag200_
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Separate DRM and PCI functionality from each other
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Switch to managed MM (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Merge VRAM setup into MM initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Lookup VRAM PCI BAR start and length only once
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Rename mgag200_ttm.c to mgag200_mm.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Use pcim_enable_device() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Remove mgag200_cursor.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Remove declaration of mgag200_mmap() from
  header file (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drivers: gpu: drm: Fix trivial spelling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: crtc: Restrict HACT_ACT setup to DSI (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: crtc: Turn static const variable into a define
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: crtc: Move crtc state to common header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: crtc: Switch to of_device_get_match_data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: crtc: Rename SoC data structures (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: plane: Move additional planes creation to driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: plane: Move planes creation to its own function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: drv: Add include guards (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Use GEM vmap/mmap function from SHMEM helpers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem-helper: Add .gem_create_object helper that sets
  map_cached (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove struct drm_driver.gem_print_info (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/zte: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/zte: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tve200: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tve200: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tilcdc: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sti: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sti: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/stm: Set GEM CMA functions with (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/stm: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/shmobile: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmobile: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rcar-du: Set GEM CMA functions with (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rcar-du: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mxsfb: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mxsfb: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: Set GEM CMA functions with (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/malidp: Set GEM CMA functions with (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/malidp: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Set GEM CMA functions with (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/imx: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon/kirin: Set GEM CMA functions with (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon/kirin: Use GEM CMA object functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon/kirin: Set .dumb_create to
  drm_gem_cma_dumb_create() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fsl-dcu: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fsl-dcu: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/atmel-hlcdc: Set GEM CMA functions with
  DRM_GEM_CMA_DRIVER_OPS (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/atmel-hlcdc: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/arm: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/arm: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/arc: Set GEM CMA functions with DRM_GEM_CMA_DRIVER_OPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/arc: Use GEM CMA object functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/cma-helper: Add DRM_GEM_CMA_DRIVER_OPS to set default GEM
  CMA (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/cma-helper: Rework DRM_GEM_CMA_VMAP_DRIVER_OPS macro
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/cma-helper: Rename symbols from drm_cma_gem_ to drm_gem_cma_
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem-helpers: Simplify dma-buf importing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/shmem-helpers: Ensure get_pages is not called on imported
  dma-buf (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: add ig_frag selftest (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: document how user-space should use link-status
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Add support for KOE TX26D202VM0BWA panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Set connector type for DSI panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: fix hole size comparison (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/hdlcd: Don't call drm_crtc_vblank_off on unbind
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/malidp: Don't call drm_crtc_vblank_off on unbind
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem-helpers: Redirect mmap for imported dma-buf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem-helpers: Don't call get/put_pages on imported
  dma-buf in vmap (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Don't call get/put_pages on imported dma-buf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: Call the right shmem helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/doc: Some polish for shmem helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gem: WARN if drm_gem_get_pages is called on a private obj
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Don't call dma_buf_vunmap without _vmap (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: add docs for standard CRTC properties (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: Use IS_BUILTIN (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: pxafb: Use correct return value for pxafb_probe()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: pxafb: Fix the function used to balance a (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drivers: video: hdmi: cleanup coding style in video a bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- console: newport_con: fix an issue about leak related system
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: sm712fb: fix an issue about iounmap for a
  wrong address (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- omapfb/dss: fix comparison to bool warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: DPMS is no longer the only mutable connector prop
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: convert get_user_pages() --> pin_user_pages()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: fix error handling for get_user_pages_fast()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: use drm_WARN for all warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vblank: use drm_* functions for logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Documentation: Fix typo error in todo.rst (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: use drm_dev_has_vblank more (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Stop using mode->private_flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Use mode->clock instead of reverse calculating it
  from the vrefresh (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: pahole struct drm_display_mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Flatten drm_mode_vrefresh() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Shrink drm_display_mode timings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Make mode->flags u32 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Shrink mode->type to u8 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Shrink {width,height}_mm to u16 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Stop copying around mode->private_flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Nuke mode->vrefresh (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce some local intel_dp variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/format-helper: Add drm_fb_swab() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/client: Add drm_client_modeset_check() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/client: Add drm_client_framebuffer_flush() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: hdmi: Silence pixel clock error on -EPROBE_DEFER
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/auth: remove redundant assignment to variable ret
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/writeback: don't set fence->ops to default (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Restore the NULL check for drm_gem_object_put()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-fence: add might_sleep annotation to _wait() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/file: wrap excessively long line (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: print the current->comm alongside the pid (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: remove transient drm_gem_object_put_unlocked()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/xen: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vkms: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vgem: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/omapdrm: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/armada: remove _unlocked suffix in
  drm_gem_object_put_unlocked (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/arm: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: remove _unlocked suffix in drm_gem_object_put_unlocked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gem: add drm_gem_object_put helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gem: add _locked suffix to drm_gem_object_put
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gem: fold drm_gem_object_put_unlocked and
  __drm_gem_object_put() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: remove drm_driver::gem_free_object (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Use lockless gem BO free callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use the unlocked drm_gem_object_put (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/doc: drop struct_mutex reference for drm_gem_object_free
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/doc: add WARNING for drm_device::struct_mutex
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/doc: drop struct_mutex references (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/todo: mention i915 in the struct_mutex section
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gem: use _unlocked reference in drm_gem_objects_lookup docs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: remove unused drm_gem.h include (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Replace VRAM helpers with SHMEM helpers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Convert to simple KMS helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Use simple-display data structures (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Remove out-commented suspend/resume helpers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Move register initialization into separate function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Move hiprilvl setting into separate functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Move TAGFIFO reset into separate function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Set primary plane's format in separate helper
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Set pitch in a separate helper function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Update mode registers after plane registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Split MISC register update into PLL selection, SYNC
  and (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Move mode-setting code into separate helper
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Clean up mga_crtc_do_set_base() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Clean up mga_set_start_address() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Remove HW cursor (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: add missing static for panel_driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tilcdc: remove unnecessary state->fb check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tilcdc: fix leak & null ref in panel_connector_get_modes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Implement lane reordering + polarity
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Fix off-by-one error in clock choice
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Clear old error bits before AUX
  transfers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Export bridge GPIOs to Linux
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Match drm_dp_send_clear_payload_id_table definition to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Describe dp_rev for drm_dp_set_phy_test_pattern
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Help unconfuse gcc, avoid accidental impossible unsigned
  comparisons (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Include internal header for managed function declarations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: amba-clcd: use devm_of_find_backlight (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Add DRM_MODE_TYPE_USERDEF flag to probed modes matching
  a video= (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/debugfs: fix plain echo to connector "force" attribute
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gem: Fix a leak in drm_gem_objects_lookup() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: vop: call vop_cfg_done() under reg_lock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: use devm_of_find_backlight (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: display: use devm_of_find_backlight (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Fix timeout handling of MST down messages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: remove outdated and noisy output (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- nouveau/svm: use the new migration invalidation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm/notifier: add migration invalidation type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm/migrate: add a flags parameter to migrate_vma (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- nouveau: fix storing invalid ptes (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- nouveau/hmm: support mapping large sysmem pages (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- nouveau: fix mapping 2MB sysmem pages (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- nouveau/hmm: fault one page at a time (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm/hmm: provide the page mapping order in hmm_range_fault()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: lvds-codec: simplify error handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge/sii8620: fix resource acquisition error handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- driver core: add device probe log helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Documentation: gpu/drm-uapi: eliminate duplicated word
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Documentation: gpu/komeda-kms: eliminate duplicated word
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- docs: move nommu-mmap.txt to admin-guide and rename to ReST
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- treewide: Remove uninitialized_var() usage (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: remove fb-puv3 driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- commit ee626ec
* Fri Nov 27 2020 ptesarik@suse.cz
- scsi: zfcp: Clarify access to erp_action in
  zfcp_fsf_req_complete() (jsc#SLE-15871 bsc#1176961 LTC#187760).
- scsi: zfcp: Use list_first_entry_or_null() in zfcp_erp_thread()
  (jsc#SLE-15871 bsc#1176961 LTC#187760).
- scsi: zfcp: Avoid benign overflow of the Request Queue's
  free-level (jsc#SLE-15871 bsc#1176961 LTC#187760).
- scsi: zfcp: Replace open-coded list move (jsc#SLE-15871
  bsc#1176961 LTC#187760).
- scsi: zfcp: Clean up zfcp_erp_action_ready() (jsc#SLE-15871
  bsc#1176961 LTC#187760).
- scsi: zfcp: Use prandom_u32_max() for backoff (jsc#SLE-15871
  bsc#1176961 LTC#187760).
- commit 6b83ff7
* Fri Nov 27 2020 ptesarik@suse.cz
- scsi: zfcp: use fallthrough; (jsc#SLE-15871 bsc#1176961
  LTC#187760).
- Refresh
  patches.suse/scsi-zfcp-Move-shost-updates-during-xconfig-data-han.patch.
- commit f093ef6
* Fri Nov 27 2020 ptesarik@suse.cz
- Move endpoint security DASD info patches to the sorted section
- patches.suse/s390-sles15sp3-03-01-s390-cio-Export-information-about-Endpoint-Security-.patch
- patches.suse/s390-sles15sp3-03-02-s390-cio-Provide-Endpoint-Security-Mode-per-CU.patch
- patches.suse/s390-sles15sp3-03-03-s390-cio-Add-support-for-FCES-status-notification.patch.
- patches.suse/s390-sles15sp3-03-04-s390-dasd-Remove-unused-parameter-from-dasd_generic_.patch
- patches.suse/s390-sles15sp3-03-05-s390-dasd-Move-duplicate-code-to-separate-function.patch
- patches.suse/s390-sles15sp3-03-06-s390-dasd-Store-path-configuration-data-during-path-.patch
- patches.suse/s390-sles15sp3-03-07-s390-dasd-Fix-operational-path-inconsistency.patch
- patches.suse/s390-sles15sp3-03-08-s390-dasd-Display-FC-Endpoint-Security-information-v.patch
- patches.suse/s390-sles15sp3-03-09-s390-dasd-Prepare-for-additional-path-event-handling.patch
- patches.suse/s390-sles15sp3-03-10-s390-dasd-Process-FCES-path-event-notification.patch
- commit 5e6fdd9
* Fri Nov 27 2020 jlee@suse.com
- efi/libstub: Rename efi_call_early/_runtime macros to be more
  intuitive (jsc#SLE-16407).
- Refresh
  patches.suse/0001-efi-generalize-efi_get_secureboot.patch.
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- Refresh
  patches.suse/0006-efi-allow-user-to-regenerate-secret-key.patch.
- commit 34853ac
* Fri Nov 27 2020 jlee@suse.com
- efi/libstub: Remove 'sys_table_arg' from all function prototypes
  (jsc#SLE-16407).
- Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- Refresh
  patches.suse/0001-efi-generalize-efi_get_secureboot.patch.
- commit f1a59c9
* Fri Nov 27 2020 jlee@suse.com
- efi/libstub: Drop sys_table_arg from printk routines
  (jsc#SLE-16407).
- Refresh
  patches.suse/0001-efi-generalize-efi_get_secureboot.patch.
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- Refresh
  patches.suse/0006-efi-allow-user-to-regenerate-secret-key.patch.
- commit cbab4fc
* Thu Nov 26 2020 mgorman@suse.de
- sched: Fix data-race in wakeup (bnc#1178227).
- Delete
  patches.suse/sched-Fix-loadavg-accounting-race-on-arm64-kabi.patch.
  Replaces a KABI-safe fix in SP2 with the upstream version.
- commit 1fe5fc0
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- of/address: check for invalid range.cpu_addr (jsc#SLE-16543).
- commit 3da893a
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- powerpc: Drop using struct of_pci_range.pci_space field
  (jsc#SLE-16543).
- commit 55da8d8
* Thu Nov 26 2020 lhenriques@suse.de
- ceph: downgrade warning from mdsmap decode to debug
  (bsc#1178653).
- ceph: fix race in concurrent __ceph_remove_cap invocations
  (bsc#1178635).
- commit b0ab459
* Thu Nov 26 2020 ptesarik@suse.cz
- s390/dasd: fix null pointer dereference for ERP requests
  (git-fixes).
- s390/cpum_sf.c: fix file permission for cpum_sfb_size
  (git-fixes).
- s390/pkey: fix paes selftest failure with paes and pkey static
  build (git-fixes).
- s390/bpf: Fix multiple tail calls (git-fixes).
- commit d7dbfa4
* Thu Nov 26 2020 msuchanek@suse.de
- powerpc/pseries: new lparcfg key/value pair:
  partition_affinity_score (jsc#SLE-16360 jsc#SLE-16915).
- powerpc/perf: consolidate GPCI hcall structs into asm/hvcall.h
  (jsc#SLE-16360 jsc#SLE-16915).
- commit 918cff8
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Update configs: Refresh arm64's config
- commit 96a2987
* Thu Nov 26 2020 msuchanek@suse.de
- MAINTAINERS: remove John Allen from ibmvnic (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- commit 223af9b
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- dt-bindings: pwm: Add binding for RPi firmware PWM bus
  (jsc#SLE-16543).
- staging: vchiq: Release firmware handle on unbind
  (jsc#SLE-16543).
- soc: bcm: raspberrypi-power: Release firmware handle on unbind
  (jsc#SLE-16543).
- reset: raspberrypi: Release firmware handle on unbind
  (jsc#SLE-16543).
- pwm: Add Raspberry Pi Firmware based PWM bus (jsc#SLE-16543).
- Update configs
- supported.conf: Enable pwm driver
- input: raspberrypi-ts: Release firmware handle when not needed
  (jsc#SLE-16543).
- gpio: raspberrypi-exp: Release firmware handle on unbind
  (jsc#SLE-16543).
- firmware: raspberrypi: Keep count of all consumers
  (jsc#SLE-16543).
- firmware: raspberrypi: Introduce devm_rpi_firmware_get()
  (jsc#SLE-16543).
- clk: bcm: rpi: Release firmware handle on unbind
  (jsc#SLE-16543).
- arm64: mm: Set ZONE_DMA size based on early IORT scan
  (jsc#SLE-17068).
- arm64: mm: Set ZONE_DMA size based on devicetree's dma-ranges
  (jsc#SLE-17068).
- of/address: Introduce of_dma_get_max_cpu_address()
  (jsc#SLE-17068).
- arm64: mm: Move zone_dma_bits initialization into
  zone_sizes_init() (jsc#SLE-17068).
- arm64: mm: Move reserve_crashkernel() into mem_init()
  (jsc#SLE-17068).
- arm64: Force NO_BLOCK_MAPPINGS if crashkernel reservation is
  required (jsc#SLE-17068).
- arm64: Ignore any DMA offsets in the max_zone_phys() calculation
  (jsc#SLE-17068).
- usb: host: pci-quirks: Bypass xHCI quirks for Raspberry Pi 4
  (jsc#SLE-17068).
- reset: Add Raspberry Pi 4 firmware reset controller
  (jsc#SLE-17068).
- Update configs
- supported.conf: Enable reset controller
- dt-bindings: reset: Add a binding for the RPi Firmware reset
  controller (jsc#SLE-17068).
- soc: bcm2835: Add notify xHCI reset property (jsc#SLE-17068).
- of/address: Support multiple 'dma-ranges' entries
  (jsc#SLE-17068).
- of/address: use range parser for of_dma_get_range
  (jsc#SLE-17068).
- of/address: Rework of_pci_range parsing for non-PCI buses
  (jsc#SLE-17068).
- of: Drop struct of_pci_range.pci_space field (jsc#SLE-17068).
- of/address: Move range parser code out of CONFIG_PCI
  (jsc#SLE-17068).
- usb: xhci: Enable LPM for VIA LABS VL805 (jsc#SLE-17068).
- Refresh:  patches.suse/usb-xhci-define-IDs-for-various-ASMedia-host-control.patch
- commit 410dbc7
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Revert "USB: pci-quirks: Add Raspberry Pi 4 quirk (bsc#1163560)." (jsc#SLE-17068)
  We can now use the proper upstream patch series:
  https://lkml.org/lkml/2020/6/29/606
  This reverts commit e30de5ffe3acb6c8dd1892793ce6899a79bd38bd.
- commit 1644970
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Revert "soc: bcm2835: Sync xHCI reset firmware property with downstream" (jsc#SLE-17068)
  We can now use the proper upstream patch series:
  https://lkml.org/lkml/2020/6/29/606
  This reverts commit 32f4877b5567ad9d16055f194bb21bb6dde55341.
- commit ded9d4a
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Revert "firmware: raspberrypi: Introduce vl805 init routine" (jsc#SLE-17068)
  We can now use the proper upstream patch series:
  https://lkml.org/lkml/2020/6/29/606
  This reverts commit d18390349922079ee04fe357c88651c04db51968.
- commit 585af47
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Revert "PCI: brcmstb: Wait for Raspberry Pi's firmware when present" (jsc#SLE-17068)
  We can now use the proper upstream patch series:
  https://lkml.org/lkml/2020/6/29/606
  This reverts commit 41c84ba0bba58cf9d61a81aeb6e3eb4b1fcc468f.
- commit 9addf5a
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Revert "Refresh: patches.suse/firmware-raspberrypi-introduce-vl805-init-routine.patch" (jsc#SLE-17068)
  We can now use the proper upstream patch series:
  https://lkml.org/lkml/2020/6/29/606
  This reverts commit 24cdb0de74210a49a6118ffa6db198eca0f0aad9.
- commit 233d8c1
* Thu Nov 26 2020 nsaenzjulienne@suse.de
- Revert "Update patches.suse/firmware-raspberrypi-introduce-vl805-init-routine.patch." (jsc#SLE-17068)
  We can now use the proper upstream patch series:
  https://lkml.org/lkml/2020/6/29/606
  This reverts commit 984c0bd050167f3492694794b785e90921bc60e9.
- commit b168995
* Thu Nov 26 2020 oneukum@suse.com
- tpm: efi: Don't create binary_bios_measurements file for an
  empty log (git-fixes).
- x86/i8259: Use printk_deferred() to prevent deadlock
  (git-fixes).
- commit 91b284d
* Thu Nov 26 2020 martin.wilck@suse.com
- scsi: core: Return BLK_STS_AGAIN for ALUA transitioning
  (bsc#1165933, bsc#1171000).
- commit 56a64e3
* Thu Nov 26 2020 oneukum@suse.com
- fpga: add kABI padding (jsc#SLE-13441).
- commit 963653a
* Thu Nov 26 2020 msuchanek@suse.de
- ibmvnic: Do not replenish RX buffers after every polling loop
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Use netdev_alloc_skb instead of alloc_skb to replenish
  RX buffers (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Correctly re-enable interrupts in NAPI polling routine
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Ensure that device queue memory is cache-line aligned
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Remove send_subcrq function (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: Clean up TX code and TX buffer data structure
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Introduce xmit_more support using batched subCRQ hcalls
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Introduce batched RX buffer descriptor transmission
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Introduce indirect subordinate Command Response Queue
  buffer (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: fix NULL pointer dereference in ibmvic_reset_crq
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: skip tx timeout reset while in resetting (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: create send_control_ip_offload (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: create send_query_ip_offload (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: rename send_map_query to send_query_map (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: rename ibmvnic_send_req_caps to send_request_cap
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: rename send_cap_queries to send_query_cap
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- Revert "ibmvnic: remove never executed if statement"
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Harden device Command Response Queue handshake
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: merge ibmvnic_reset_init and ibmvnic_init
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- Refresh patches.suse/ibmvnic-restore-adapter-state-on-failed-reset.patch.
- ibmvnic: remove never executed if statement (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: improve ibmvnic_init and ibmvnic_reset_init
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: compare adapter->init_done_rc with more readable
  ibmvnic_rc_codes (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Fix use-after-free of VNIC login response buffer
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: store RX and TX subCRQ handle array in ibmvnic_adapter
  struct (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: update MAINTAINERS (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: Do not replenish RX buffers after every polling loop
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Use netdev_alloc_skb instead of alloc_skb to replenish
  RX buffers (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Correctly re-enable interrupts in NAPI polling routine
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Ensure that device queue memory is cache-line aligned
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Remove send_subcrq function (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: Clean up TX code and TX buffer data structure
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Introduce xmit_more support using batched subCRQ hcalls
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Introduce batched RX buffer descriptor transmission
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Introduce indirect subordinate Command Response Queue
  buffer (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: enhance resetting status check during module exit
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: fix NULL pointer dereference in ibmvic_reset_crq
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: fix NULL pointer dereference in reset_sub_crq_queues
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: skip tx timeout reset while in resetting (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: notify peers when failover and migration happen
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: fix call_netdevice_notifiers in do_reset (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: create send_control_ip_offload (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: create send_query_ip_offload (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- ibmvnic: rename send_map_query to send_query_map (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: rename ibmvnic_send_req_caps to send_request_cap
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: rename send_cap_queries to send_query_cap
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- Revert "ibmvnic: remove never executed if statement"
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Harden device Command Response Queue handshake
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: merge ibmvnic_reset_init and ibmvnic_init
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: remove never executed if statement (jsc#SLE-17043
  bsc#1179243 ltc#189290).
- ibmvnic: improve ibmvnic_init and ibmvnic_reset_init
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: compare adapter->init_done_rc with more readable
  ibmvnic_rc_codes (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: Fix use-after-free of VNIC login response buffer
  (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: store RX and TX subCRQ handle array in ibmvnic_adapter
  struct (jsc#SLE-17043 bsc#1179243 ltc#189290).
- ibmvnic: update MAINTAINERS (jsc#SLE-17043 bsc#1179243
  ltc#189290).
- commit a8dadbf
* Thu Nov 26 2020 yousaf.kaukab@suse.com
- arm64: mm: fix inverted PAR_EL1.F check (jsc#13705,jsc#13695).
- arm64: mm: fix spurious fault detection (jsc#13705,jsc#13695).
- commit 0de2657
* Thu Nov 26 2020 jlee@suse.com
- arm64: mm: use single quantity to represent the PA to VA
  translation (jsc#SLE-16407).
- commit 202adf6
* Thu Nov 26 2020 jlee@suse.com
- docs: arm64: Add layout and 52-bit info to memory document
  (jsc#SLE-16407).
- arm64: mm: Remove vabits_user (jsc#SLE-16407).
- arm64: mm: Separate out vmemmap (jsc#SLE-16407).
  Refresh
  patches.suse/0002-arm64-rename-variables-used-to-calculate-ZONE_DMA32-.patch
  patches.suse/0003-arm64-use-both-ZONE_DMA-and-ZONE_DMA32.patch
  patches.suse/arm64-mm-Introduce-52-bit-Kernel-VAs.patch
- commit 0d98a48
* Thu Nov 26 2020 jlee@suse.com
- efi/x86: Don't remap text<->rodata gap read-only for mixed mode
  (jsc#SLE-16407).
- efi/x86: Fix the deletion of variables in mixed mode
  (jsc#SLE-16407).
- arm64: Fix kcore macros after 52-bit virtual addressing fallout
  (jsc#SLE-16407).
- arm64: fix fixmap copy for 16K pages and 48-bit VA
  (jsc#SLE-16407).
- arm64: memory: rename VA_START to PAGE_END (jsc#SLE-16407).
- arm64: memory: Add comments to end of non-trivial #ifdef blocks
  (jsc#SLE-16407).
- arm64: memory: Simplify _VA_START and _PAGE_OFFSET definitions
  (jsc#SLE-16407).
- arm64: memory: Rewrite default page_to_virt()/virt_to_page()
  (jsc#SLE-16407).
- arm64: memory: Ensure address tag is masked in conversion macros
  (jsc#SLE-16407).
- arm64: memory: Fix virt_addr_valid() using __is_lm_address()
  (jsc#SLE-16407).
- arm64: mm: Simplify definition of virt_addr_valid()
  (jsc#SLE-16407).
- arm64: mm: Introduce 52-bit Kernel VAs (jsc#SLE-16407).
- arm64: mm: Modify calculation of VMEMMAP_SIZE (jsc#SLE-16407).
- arm64: mm: Logic to make offset_ttbr1 conditional
  (jsc#SLE-16407).
- arm64: mm: Introduce vabits_actual (jsc#SLE-16407).
  Refresh
  patches.suse/0002-arm64-rename-variables-used-to-calculate-ZONE_DMA32-.patch
  patches.suse/0003-arm64-use-both-ZONE_DMA-and-ZONE_DMA32.patch
- arm64: dump: De-constify VA_START and KASAN_SHADOW_START
  (jsc#SLE-16407).
- arm64: mm: Remove bit-masking optimisations for PAGE_OFFSET
  and VMEMMAP_START (jsc#SLE-16407).
- commit 65ae799
* Thu Nov 26 2020 clin@suse.com
- Fix compiler warnings (jsc#SLE-15020)
- Refresh
  patches.suse/0001-efi-generalize-efi_get_secureboot.patch.
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- commit c2e474d
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: fix relocation failure due to race with fallocate
  (bsc#1179217).
- commit e680b1d
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: rename btrfs_insert_clone_extent() to a more generic name
  (bsc#1179217).
- commit 27c703c
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: imx8mm: fix voltage for 1.6GHz CPU operating point
  (git-fixes).
- commit 36b05ae
* Wed Nov 25 2020 yousaf.kaukab@suse.com
- arm64: signal: nofpsimd: Handle fp/simd context for signal frames (jsc#13705,jsc#13695).
- arm64: fpsimd: Make sure SVE setup is complete before SIMD is used (jsc#13705,jsc#13695).
- arm64: Introduce system_capabilities_finalized() marker (jsc#13705,jsc#13695).
  Refresh:
  patches.suse/arm64-tlb-Use-the-TLBI-RANGE-feature-in-arm64.patch
- arm64: kpti: Add Broadcom Brahma-B53 core to the KPTI whitelist (jsc#13705,jsc#13695).
- arm64: Introduce ID_ISAR6 CPU register (jsc#13705,jsc#13695).
- arm64: cpufeature: Export matrix and other features to userspace (jsc#13705,jsc#13695).
  Refresh:
  patches.suse/arm64-tlb-Detect-the-ARMv8.4-TLBI-RANGE-feature.patch
- arm64: docs: cpu-feature-registers: Document ID_AA64PFR1_EL1 (jsc#13705,jsc#13695).
- arm64: cpufeature: Fix typos in comment (jsc#13705,jsc#13695).
- docs/arm64: cpu-feature-registers: Rewrite bitfields that don't follow [e, s] (jsc#13705,jsc#13695).
- docs/arm64: cpu-feature-registers: Documents missing visible fields (jsc#13705,jsc#13695).
- arm64: sysreg: fix incorrect definition of SYS_PAR_EL1_F (jsc#13705,jsc#13695).
- arm64: entry.S: Do not preempt from IRQ before all cpufeatures are enabled (jsc#13705,jsc#13695).
- arm64: kvm: Replace hardcoded '1' with SYS_PAR_EL1_F (jsc#13705,jsc#13695).
- arm64: mm: Ignore spurious translation faults taken from the kernel (jsc#13705,jsc#13695).
- arm64: sysreg: Add some field definitions for PAR_EL1 (jsc#13705,jsc#13695).
- arm64: mm: Add ISB instruction to set_pgd() (jsc#13705,jsc#13695).
- arm64: constify sys64_hook instances (jsc#13705,jsc#13695).
- arm64: constify aarch64_insn_encoding_class (jsc#13705,jsc#13695).
- arm64: constify icache_policy_str (jsc#13705,jsc#13695).
- arm64: sysreg: Remove unused and rotting SCTLR_ELx field definitions (jsc#13705,jsc#13695).
  Refresh:
  patches.suse/arm64-cpufeature-Add-remaining-feature-bits-in-ID_AA.patch
- commit 844c03f
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: h5: OrangePi Prime: Fix ethernet node
  (git-fixes).
- commit 858be95
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: a64: bananapi-m64: Enable RGMII RX/TX
  delay on PHY (git-fixes).
- commit 5a17bb5
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: h5: OrangePi PC2: Fix ethernet node
  (git-fixes).
- commit b4307bb
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: a64: Pine64 Plus: Fix ethernet node
  (git-fixes).
- commit dfebf26
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: a64: OrangePi Win: Fix ethernet node
  (git-fixes).
- commit 4eec57a
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: Pine H64: Enable both RGMII RX/TX delay
  (git-fixes).
- commit 8bd0d47
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: allwinner: beelink-gs1: Enable both RGMII RX/TX
  delay (git-fixes).
- commit 62c9be4
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: fsl: DPAA FMan DMA operations are coherent
  (git-fixes).
- commit b68f0fe
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: zynqmp: Remove additional compatible string for
  i2c IPs (git-fixes).
- commit 99df01c
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: imx8mq: Add missing interrupts to GPC (git-fixes).
- commit 1af8481
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: dts: imx8mq: Fix TMU interrupt property (git-fixes).
- commit de53464
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: tegra: Add missing timeout clock to Tegra194 SDMMC nodes
  (git-fixes).
- commit 6169028
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: rename btrfs_punch_hole_range() to a more generic name
  (bsc#1179217).
- commit ae0b28b
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: tegra: Add missing timeout clock to Tegra186 SDMMC nodes
  (git-fixes).
- commit 044ef73
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: tegra: Add missing timeout clock to Tegra210 SDMMC
  (git-fixes).
- commit f6b3b97
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: rename struct btrfs_clone_extent_info to a more generic
  name (bsc#1179217).
- commit de43bbe
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: vdso: Add --eh-frame-hdr to ldflags (git-fixes).
- commit 937dc61
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: vdso: Add '-Bsymbolic' to ldflags (git-fixes).
- commit 96e1736
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: remove item_size member of struct btrfs_clone_extent_info
  (bsc#1179217).
- commit d01ef40
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: kprobe: add checks for ARMv8.3-PAuth combined
  instructions (git-fixes).
- commit c7c922c
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: fix metadata reservation for fallocate that leads to
  transaction aborts (bsc#1179217).
- commit 68ec4df
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: bpf: Fix branch offset in JIT (git-fixes).
- commit dcf0a55
* Wed Nov 25 2020 fdmanana@suse.com
- btrfs: fix bytes_may_use underflow in prealloc error condtition
  (bsc#1179217).
- commit c6b65e2
* Wed Nov 25 2020 aaptel@suse.com
- cifs: Fix incomplete memory allocation on setxattr path
  (bsc#1179211).
- commit 17e4326
* Wed Nov 25 2020 tiwai@suse.de
- Re-enable openSUSE Leap features (jsc#SLE-11796)
  Most of Leap 15.2 configs are taken over for x86_64 and arm64, while a
  few features are dropped (e.g. PCMCIA, X32, ISDN).  ppc64le and s390x
  are kept unchanged.  The Leap-only modules are packaged into
  kernel-*-optional subpackage.
- commit d64e6b6
* Wed Nov 25 2020 tiwai@suse.de
- Fix wrongly set CONFIG_SOUNDWIRE=y (bsc#1179201)
  CONFIG_SOUNDWIRE was mistakenly set as built-in.  Mark it as module.
- commit 8298c55
* Wed Nov 25 2020 tiwai@suse.de
- ACPICA: Add NHLT table signature (bsc#1176200).
- commit c68e192
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: Run ARCH_WORKAROUND_2 enabling code on all CPUs
  (git-fixes).
- commit 2b0db2e
* Wed Nov 25 2020 mbrugger@suse.com
- arm64: Run ARCH_WORKAROUND_1 enabling code on all CPUs
  (git-fixes).
- commit 8d1bf8e
* Wed Nov 25 2020 mbrugger@suse.com
- KVM: arm64: ARM_SMCCC_ARCH_WORKAROUND_1 doesn't return
  SMCCC_RET_NOT_REQUIRED (git-fixes).
- commit 3fc2241
* Wed Nov 25 2020 dwagner@suse.de
- qla2xxx: Add MODULE_VERSION back to driver (bsc#1179160).
- commit 5e4a1f7
* Wed Nov 25 2020 tiwai@suse.de
- efivarfs: fix memory leak in efivarfs_create() (git-fixes).
- staging: rtl8723bs: Add 024c:0627 to the list of SDIO device-ids
  (git-fixes).
- mmc: sdhci-pci: Prefer SDR25 timing for High Speed mode for
  BYT-based Intel controllers (git-fixes).
- hwmon: (pwm-fan) Fix RPM calculation (git-fixes).
- ACPI: button: Add DMI quirk for Medion Akoya E2228T (git-fixes).
- commit 0493181
* Wed Nov 25 2020 tiwai@suse.de
- dmaengine: idxd: Add shared workqueue support (jsc#SLE-12688).
- Update config files: CONFIG_INTEL_IDXD_SVM=y
- commit cda5f69
* Wed Nov 25 2020 tiwai@suse.de
- dmaengine: idxd: define table offset multiplier (jsc#SLE-12688).
- dmaengine: idxd: Update calculation of group offset to be more
  readable (jsc#SLE-12688).
- dmaengine: idxd: Add ABI documentation for shared wq
  (jsc#SLE-12688).
- dmaengine: idxd: Clean up descriptors with fault error
  (jsc#SLE-12688).
- commit 84ee085
* Wed Nov 25 2020 jlee@suse.com
- Documentation/admin-guide/module-signing.rst: add openssl
  command option example for CodeSign EKU (bsc#1177353,
  bsc#1179076).
- modsign: Add codeSigning EKU when generating X.509 key
  generation config (bsc#1177353, bsc#1179076).
- commit 09c2c7d
* Wed Nov 25 2020 tiwai@suse.de
- dmaengine: idxd: add sysfs ABI for idxd driver (jsc#SLE-12688).
- Refresh
  patches.suse/dmaengine-idxd-export-hw-version-through-sysfs.patch.
- commit 30e848c
* Wed Nov 25 2020 tiwai@suse.de
- dmaengine: idxd: fix mapping of portal size (jsc#SLE-12688).
- dmaengine: idxd: fix wq config registers offset programming
  (jsc#SLE-12688).
- dmaengine: idxd: add command status to idxd sysfs attribute
  (jsc#SLE-12688).
- dmaengine: idxd: add support for configurable max wq batch size
  (jsc#SLE-12688).
- dmaengine: idxd: add support for configurable max wq xfer size
  (jsc#SLE-12688).
- dmaengine: idxd: clear misc interrupt cause after read
  (jsc#SLE-12688).
- dmaengine: idxd: add leading / for sysfspath in ABI
  documentation (jsc#SLE-12688).
- commit 428b8a5
* Wed Nov 25 2020 tiwai@suse.de
- x86/asm: Add an enqcmds() wrapper for the ENQCMDS instruction
  (jsc#SLE-12688).
- x86/asm: Carve out a generic movdir64b() helper for general
  usage (jsc#SLE-12688).
- commit 269143b
* Wed Nov 25 2020 jlee@suse.com
- driver core: Add support for linking devices during device
  addition (jsc#SLE-16407).
- driver core: Add fwnode_to_dev() to look up device from fwnode
  (jsc#SLE-16407).
- commit 0ba9e50
* Tue Nov 24 2020 mkubecek@suse.cz
- Update patches.suse/icmp-randomize-the-global-rate-limiter.patch
  references (add CVE-2020-25705 bsc#1175721).
- commit 302c097
* Tue Nov 24 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/sched-Fix-rq-nr_iowait-ordering.patch
  patches.suse/sched-fair-Ensure-tasks-spreading-in-LLC-during-LB.patch
  patches.suse/sched-fair-Fix-unthrottle_cfs_rq-for-leaf_cfs_rq-list.patch
- commit 07cd2c9
* Tue Nov 24 2020 mgorman@suse.de
- blacklist.conf: Kernel building with clang is not supported
- commit 66e9cbf
* Tue Nov 24 2020 mgorman@suse.de
- sched/fair: Fix unthrottle_cfs_rq() for leaf_cfs_rq list
  (git fixes (sched)).
- commit 155f594
* Tue Nov 24 2020 mgorman@suse.de
- sched: Fix rq->nr_iowait ordering (git fixes (sched)).
- commit 0f2faa6
* Tue Nov 24 2020 mgorman@suse.de
- sched/fair: Ensure tasks spreading in LLC during LB (git fixes
  (sched)).
- commit f2af668
* Tue Nov 24 2020 mgorman@suse.de
- blacklist.conf: Alternative KABI-safe fix used instead (bnc#1178227)
- commit 307bf60
* Tue Nov 24 2020 tiwai@suse.de
- net: sctp: Rename fallthrough label to unhandled (bsc#1178203).
- commit 6ea8e73
* Tue Nov 24 2020 oneukum@suse.com
- blacklist.conf: breaks kABI
- commit c7c8b0d
* Tue Nov 24 2020 oneukum@suse.com
- timer: Fix wheel index calculation on last level (git-fixes).
- commit 7f8a2b1
* Tue Nov 24 2020 oneukum@suse.com
- timer: Prevent base->clk from moving backward (git-fixes).
- commit 48a61b6
* Tue Nov 24 2020 tiwai@suse.de
- Update patch reference for serial security fix (CVE-2020-15437 bsc#1179140)
- commit 195abfd
* Tue Nov 24 2020 ptesarik@suse.cz
- s390/zcrypt: Fix ZCRYPT_PERDEV_REQCNT ioctl (bsc#1177070
  LTC#188342).
- s390/zcrypt: fix kmalloc 256k failure (bsc#1177066 LTC#188341).
- commit 0bca1b7
* Tue Nov 24 2020 ptesarik@suse.cz
- s390/cpum_cf,perf: change DFLT_CCERROR counter name (bsc#1175918
  LTC#187935).
- commit 142fe1e
* Tue Nov 24 2020 ohering@suse.de
- video: hyperv_fb: include vmalloc.h (git-fixes).
- commit 9598448
* Tue Nov 24 2020 jlee@suse.com
- arm64: mm: convert mm/dump.c to use walk_page_range()
  (jsc#SLE-16407).
- efi/arm: Defer probe of PCIe backed efifb on DT systems
  (jsc#SLE-16407).
- arm/efi: EFI soft reservation to memblock (jsc#SLE-16407).
- arm64: memory: fix flipped VA space fallout (jsc#SLE-16407).
- commit aa2fd77
* Tue Nov 24 2020 tiwai@suse.de
- compiler_attributes.h: Add 'fallthrough' pseudo keyword for
  switch/case use (bsc#1178203).
- commit 83cd53c
* Tue Nov 24 2020 tiwai@suse.de
- ALSA: usb-audio: Fix MOTU M-Series quirks (bsc#1178203).
- ALSA: usb-audio: Fix quirks for other BOSS devices
  (bsc#1178203).
- ALSA: usb-audio: Add implicit_fb module option (bsc#1178203).
- ALSA: usb-audio: Add generic implicit fb parsing (bsc#1178203).
- ALSA: usb-audio: Factor out the implicit feedback quirk code
  (bsc#1178203).
- ALSA: usb-audio: Quirk for BOSS GT-001 (bsc#1178203).
- ALSA: usb-audio: Show sync endpoint information in proc outputs
  (bsc#1178203).
- ALSA: usb-audio: Use unsigned char for iface and altsettings
  fields (bsc#1178203).
- ALSA: usb-audio: Replace slave/master terms (bsc#1178203).
- ALSA: usb-audio: Simplify rate_min/max and rates set up
  (bsc#1178203).
- ALSA: usb-audio: Unify the code for the next packet size
  calculation (bsc#1178203).
- ALSA: usb-audio: Drop unneeded snd_usb_substream fields
  (bsc#1178203).
- ALSA: usb-audio: Refactoring endpoint URB deactivation
  (bsc#1178203).
- ALSA: usb-audio: Use atomic_t for endpoint use_count
  (bsc#1178203).
- ALSA: usb-audio: Constify audioformat pointer references
  (bsc#1178203).
- ALSA: usb-audio: Fix possible stall of implicit fb packet
  ring-buffer (bsc#1178203).
- ALSA: usb-audio: Refactor endpoint management (bsc#1178203).
- ALSA: usb-audio: Fix EP matching for continuous rates
  (bsc#1178203).
- ALSA: usb-audio: Always set up the parameters after resume
  (bsc#1178203).
- ALSA: usb-audio: Set callbacks via
  snd_usb_endpoint_set_callback() (bsc#1178203).
- ALSA: usb-audio: Stop both endpoints properly at error
  (bsc#1178203).
- ALSA: usb-audio: Simplify snd_usb_init_pitch() arguments
  (bsc#1178203).
- ALSA: usb-audio: Simplify snd_usb_init_sample_rate() arguments
  (bsc#1178203).
- ALSA: usb-audio: Pass snd_usb_audio object to quirk functions
  (bsc#1178203).
- ALSA: usb-audio: Don't set altsetting before initializing
  sample rate (bsc#1178203).
- ALSA: usb-audio: Add snd_usb_get_host_interface() helper
  (bsc#1178203).
- ALSA: usb-audio: Drop keep_interface flag again (bsc#1178203).
- ALSA: usb-audio: Create endpoint objects at parsing phase
  (bsc#1178203).
- ALSA: usb-audio: Avoid doubly initialization for implicit fb
  (bsc#1178203).
- ALSA: usb-audio: Drop debug.h (bsc#1178203).
- ALSA: usb-audio: Simplify hw_params rules (bsc#1178203).
- ALSA: usb-audio: Add hw constraint for implicit fb sync
  (bsc#1178203).
- ALSA: usb-audio: Move snd_usb_autoresume() call out of
  setup_hw_info() (bsc#1178203).
- ALSA: usb-audio: Track implicit fb sync endpoint in audioformat
  list (bsc#1178203).
- ALSA: usb-audio: Improve some debug prints (bsc#1178203).
- ALSA: usb-audio: Set and clear sync EP link properly
  (bsc#1178203).
- ALSA: usb-audio: Add snd_usb_get_endpoint() helper
  (bsc#1178203).
- ALSA: usb-audio: Check implicit feedback EP generically for UAC2
  (bsc#1178203).
- ALSA: usb-audio: Check valid altsetting at parsing rates for
  UAC2/3 (bsc#1178203).
- ALSA: usb-audio: Don't call usb_set_interface() at trigger
  callback (bsc#1178203).
- ALSA: usb-audio: Handle discrete rates properly in hw
  constraints (bsc#1178203).
- commit 25f15d1
* Tue Nov 24 2020 jlee@suse.com
- arm64: mm: Introduce VA_BITS_MIN (jsc#SLE-16407).
- Refresh
  patches.suse/efi-libstub-Rename-efi_call_early-_runtime-macros-to-966291f6.patch.
- Refresh
  patches.suse/efi-libstub-Get-rid-of-sys_table_arg-macro-parameter-2fcdad2a.patch.
- arm64: kasan: Switch to using KASAN_SHADOW_OFFSET
  (jsc#SLE-16407).
- arm64: mm: Flip kernel VA space (jsc#SLE-16407).
- commit 12d714f
* Mon Nov 23 2020 pjakobsson@suse.de
- Refresh
  patches.suse/1322-amdgpu-a-NULL-mm-does-not-mean-a-thread-is-a-kthread.patch.
- commit 2d2501a
* Mon Nov 23 2020 msuchanek@suse.de
- powerpc/rtas: Restrict RTAS requests from userspace
  (CVE-2020-27777 bsc#1179107).
  Update config files.
- commit 4d9370a
* Mon Nov 23 2020 pvorel@suse.cz
- Add missing '.patch' extension
- commit 6639fd0
* Mon Nov 23 2020 pvorel@suse.cz
- Add missing '.patch' extension
- commit cb5e93e
* Mon Nov 23 2020 tbogendoerfer@suse.de
- net/mlx5: E-Switch, Fail mlx5_esw_modify_vport_rate if qos
  disabled (jsc#SLE-8464).
- net/mlx5: Clear bw_share upon VF disable (jsc#SLE-8464).
- ionic: check port ptr before use (bsc#1167773).
- bnxt_en: Send HWRM_FUNC_RESET fw command unconditionally
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Check abort error state in bnxt_open_nic()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Invoke cancel_delayed_work_sync() for PFs also
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix regression in workqueue cleanup logic in
  bnxt_remove_one() (jsc#SLE-8371 bsc#1153274).
- RDMA/mlx5: Fix devlink deadlock on net namespace deletion
  (jsc#SLE-8464).
- SUNRPC: fix copying of multiple pages in gss_read_proxy_verf()
  (bsc#1154353).
- RDMA/hns: Fix the wrong value of rnr_retry when querying qp
  (jsc#SLE-8449).
- RDMA/hns: Solve the overflow of the calc_pg_sz() (jsc#SLE-8449).
- RDMA/qedr: Fix return code if accept is called on a destroyed qp
  (jsc#SLE-8215).
- RDMA/ucma: Add missing locking around rdma_leave_multicast()
  (git-fixes).
- net: fix pos incrementment in ipv6_route_seq_next (bsc#1154353).
- bnxt_en: return proper error codes in bnxt_show_temp
  (git-fixes).
- igc: Fix not considering the TX delay for timestamps
  (bsc#1160634).
- igc: Fix wrong timestamp latency numbers (bsc#1160634).
- bnxt_en: Fix NULL ptr dereference crash in bnxt_fw_reset_task()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Avoid sending firmware messages when AER error is
  detected (jsc#SLE-8371 bsc#1153274).
- commit b757d92
* Mon Nov 23 2020 tiwai@suse.de
- Update patch reference tag for fbcon fix (CVE-2020-28974 bsc#1178589)
- commit 4526eab
* Mon Nov 23 2020 msuchanek@suse.de
- powerpc/uaccess: Evaluate macro arguments once, before user access is
  allowed (CVE-2020-4788 bsc#1177666).
- commit 3a6dc74
* Mon Nov 23 2020 yousaf.kaukab@suse.com
- blacklist.conf: coresight: mark duplicate fixes
- commit 4122655
* Mon Nov 23 2020 oneukum@suse.com
- usb: core: driver: fix stray tabs in error messages (git-fixes).
- commit a37b0ae
* Mon Nov 23 2020 oneukum@suse.com
- Revert "cdc-acm: hardening against malicious devices"
  (git-fixes).
- commit 1bc383a
* Mon Nov 23 2020 jlee@suse.com
- efi/x86: Handle by-ref arguments covering multiple pages in
  mixed mode (jsc#SLE-16407).
- efi/x86: Remove support for EFI time and counter services in
  mixed mode (jsc#SLE-16407).
- efi/x86: Align GUIDs to their size in the mixed mode runtime
  wrapper (jsc#SLE-16407).
- efi/x86: Fix boot regression on systems with invalid memmap
  entries (jsc#SLE-16407).
- efi/x86: Disable instrumentation in the EFI runtime handling
  code (jsc#SLE-16407).
- efi/libstub/x86: Fix EFI server boot failure (jsc#SLE-16407).
- efi/x86: avoid KASAN false positives when accessing the 1:
  1 mapping (jsc#SLE-16407).
- efi: Fix comment for efi_mem_type() wrt absent physical
  addresses (jsc#SLE-16407).
  Refresh
  patches.suse/x86-efi-Delete-SGI-UV1-detection.patch
- efi/x86: Limit EFI old memory map to SGI UV machines
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-mm-efi-convert-ptdump_walk_pgd_level-to-take-a-mm_struct.patch
  patches.suse/x86-efi-Delete-SGI-UV1-detection.patch
- efi/x86: Avoid RWX mappings for all of DRAM (jsc#SLE-16407).
- efi/x86: Don't map the entire kernel text RW for mixed mode
  (jsc#SLE-16407).
- efi/libstub/x86: Fix unused-variable warning (jsc#SLE-16407).
- efi/libstub/x86: Use mandatory 16-byte stack alignment in
  mixed mode (jsc#SLE-16407).
- efi/libstub/x86: Use const attribute for efi_is_64bit()
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-boot-compressed-64-add-idt-infrastructure.
- efi: Allow disabling PCI busmastering on bridges during boot
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
  Update config files.
  Add "CONFIG_EFI_DISABLE_PCI_DMA is not set" to x86_64/default and
  arm64/default
- efi/x86: Allow translating 64-bit arguments for mixed mode calls
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- efi/x86: Check number of arguments to variadic functions
  (jsc#SLE-16407).
- efi/x86: Remove unreachable code in kexec_enter_virtual_mode()
  (jsc#SLE-16407).
- efi/x86: Don't panic or BUG() on non-critical error conditions
  (jsc#SLE-16407).
- efi/x86: Clean up efi_systab_init() routine for legibility
  (jsc#SLE-16407).
- efi/x86: Drop two near identical versions of efi_runtime_init()
  (jsc#SLE-16407).
- efi/x86: Simplify mixed mode call wrapper (jsc#SLE-16407).
- efi/x86: Simplify 64-bit EFI firmware call wrapper
  (jsc#SLE-16407).
- efi/x86: Simplify i386 efi_call_phys() firmware call wrapper
  (jsc#SLE-16407).
- efi/x86: Split SetVirtualAddresMap() wrappers into 32 and 64
  bit versions (jsc#SLE-16407).
- efi/x86: Split off some old memmap handling into separate
  routines (jsc#SLE-16407).
- efi/x86: Avoid redundant cast of EFI firmware service pointer
  (jsc#SLE-16407).
- efi/x86: Map the entire EFI vendor string before copying it
  (jsc#SLE-16407).
- efi/x86: Re-disable RT services for 32-bit kernels running on
  64-bit EFI (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/libstub/x86: Force 'hidden' visibility for extern
  declarations (jsc#SLE-16407).
- efi/libstub: Fix boot argument handling in mixed mode entry code
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-boot-compressed-64-add-idt-infrastructure
- efi/libstub/x86: Avoid globals to store context during mixed
  mode calls (jsc#SLE-16407).
- efi/libstub: Tidy up types and names of global cmdline variables
  (jsc#SLE-16407).
- commit 05d5a7e
* Mon Nov 23 2020 msuchanek@suse.de
- Refresh L1D flush patches to upstream.
- commit 6f67758
* Mon Nov 23 2020 yousaf.kaukab@suse.com
- config: arm64: enable coresight support
  References: jsc#SLE-13629,jsc#SLE-14776
- commit 82b71f4
* Mon Nov 23 2020 ohering@suse.de
- Delete patches.suse/suse-hv-balloon-debug.patch.
- commit f2ea562
* Mon Nov 23 2020 yousaf.kaukab@suse.com
- dt-bindings: arm: Adds CoreSight CTI hardware definitions
  (jsc#SLE-13629,jsc#SLE-14776).
- commit 06e36ad
* Mon Nov 23 2020 bp@suse.de
- x86/microcode/intel: Check patch signature before saving
  microcode for early loading (bsc#1152489).
- commit 8621df1
* Mon Nov 23 2020 msuchanek@suse.de
- powerpc/pseries: Add KVM guest doorbell restrictions
  (jsc#SLE-15869 jsc#SLE-16321).
- powerpc/pseries: Use doorbells even if XIVE is available
  (jsc#SLE-15869 jsc#SLE-16321).
- powerpc: Inline doorbell sending functions (jsc#SLE-15869
  jsc#SLE-16321).
- commit 1caac5a
* Mon Nov 23 2020 yousaf.kaukab@suse.com
- coresight: tmc-etr: Assign boolean values to a bool variable
  (jsc#SLE-13629,jsc#SLE-14776).
- commit 9f54ba1
* Mon Nov 23 2020 bp@suse.de
- x86/speculation: Allow IBPB to be conditionally enabled on
  CPUs with always-on STIBP (bsc#1152489).
- commit 7689d05
* Mon Nov 23 2020 jslaby@suse.cz
- rpm/kernel-binary.spec.in: use grep -E instead of egrep (bsc#1179045)
  egrep is only a deprecated bash wrapper for "grep -E". So use the latter
  instead.
- commit 63d7072
* Mon Nov 23 2020 yousaf.kaukab@suse.com
- coresight: etb10: Fix possible NULL ptr dereference in
  etb_enable_perf() (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc-etf: Fix NULL ptr dereference in
  tmc_enable_etf_sink_perf() (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Remove unnecessary THIS_MODULE of funnel and
  replicator driver (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Handle TRCVIPCSSCTLR accesses
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix accesses to TRCPROCSELR
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Update TRCIDR3.NUMPROCS handling to match v4.2
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix accesses to TRCCIDCTLR1
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix accesses to TRCVMIDCTLR1
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: core: Remove unneeded semicolon
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Fix uninitialised pointer bug in etm_setup_aux()
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Initialize dynamic sysfs attributes
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: add module license (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Skip setting LPOVERRIDE bit for
  qcom,skip-power-up (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix save and restore of TRCVMIDCCTLR1 register
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: core: Allow the coresight core driver to be built
  as a module (jsc#SLE-13629,jsc#SLE-14776).
- coresight: catu: Allow catu drivers to be built as modules
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc-etr: Add function to register catu ops
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Allow cti to be built as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Increase reference count when enabling cti
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Don't disable ect device if it's not enabled
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Fix bug clearing sysfs links on callback
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Fix remove sysfs link error
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add function to register cti associate ops
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: replicator: Allow replicator driver to be built as
  module (jsc#SLE-13629,jsc#SLE-14776).
- coresight: funnel: Allow funnel driver to be built as module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc: Allow tmc to be built as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tpiu: Allow tpiu to be built as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etb: Allow etb to be built as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Allow etm4x to be built as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm3x: Allow etm3x to be built as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm: perf: Fix warning caused by etm_setup_aux
  failure (jsc#SLE-13629,jsc#SLE-14776).
- coresight: stm: Allow to build coresight-stm as a module
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Add try_get_module() in coresight_grab_device()
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Export global symbols (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Add coresight prefix to barrier_pkt
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Use IS_ENABLED for CONFIGs that may be modules
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cpu_debug: Define MODULE_DEVICE_TABLE
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cpu_debug: Add module name in Kconfig
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix number of resources check for ETM 4.3
  and above (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix mis-usage of nr_resource in sysfs
  interface (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Make sysfs functional on topologies with per core
  sink (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm: perf: Sink selection using sysfs is deprecated
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix issues on trcseqevr access
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Handle unreachable sink in perf mode
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Write regsiters directly in cti_enable_hw()
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix issues within reset interface of sysfs
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Ensure default perf settings filter
  user/kernel (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: remove pm_runtime_get_sync() from CPU hotplug
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: disclaim device only when it's claimed
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Add Support for HiSilicon ETM device
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: fix offset by one error in counting ports
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: stm: Support marked packet
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix etm4_count race by moving cpuhp callbacks
  to init (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix save/restore during cpu idle
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm: perf: Add default sink selection to etm perf
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc: Update sink types for default selection
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Add default sink selection to CoreSight base
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc: Fix TMC mode read in tmc_read_unprepare_etb()
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc: Add shutdown callback for TMC ETR
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Fix comment in main header file
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etmv4: Counter values not saved on disable
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etmv4: Fix resource selector constant
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Drop double check for ACPI companion device
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Use devm_kcalloc() in coresight_alloc_conns()
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: replicator: Reset replicator if context is lost
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Add support to skip trace unit power up
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: catu: Use CS_AMBA_ID macro for id table
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: replicator: Use CS_AMBA_ID macro for id table
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etmv4: Fix CPU power management setup in probe()
  function (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Fix error handling in probe
  (jsc#SLE-13629,jsc#SLE-14776).
- stm class: Replace zero-length array with flexible-array
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add CPU idle pm notifer to CTI devices
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add CPU Hotplug handling to CTI driver
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Fix use-after-free of per-cpu etm drvdata
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Avoid casting void pointers
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Include required headers in C files
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Initialize arg in sparse friendly way
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Don't initialize variables unnecessarily
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Mark some functions static
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Add support for Neoverse N1 ETM
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etmv4: Update default filter and initialisation
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: tmc: Fix TMC mode read in tmc_read_prepare_etb()
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Fix support for sparsely populated ports
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etb10: Make coresight_etb_groups static
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Make some symbols static
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Replace ETM PIDs with UCI IDs for Kryo385
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: etm4x: Add support for Qualcomm SC7180 SoC
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add in sysfs links to other coresight devices
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Expose device connections via sysfs
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Add generic sysfs link creation functions
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Add return value for fixup connections
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: Pass coresight_device for
  coresight_release_platform_data (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: remove incorrect NULL return check
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add connection information to sysfs
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Enable CTI associated with devices
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add device tree support for custom CTI
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add device tree support for v8 arch CTI
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add sysfs trigger / channel programming API
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add sysfs access to program function registers
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Add sysfs coresight mgmt register access
  (jsc#SLE-13629,jsc#SLE-14776).
- coresight: cti: Initial CoreSight CTI Driver
  (jsc#SLE-13629,jsc#SLE-14776).
- stm class: sys-t: Fix the use of time_after()
  (jsc#SLE-13629,jsc#SLE-14776).
- commit a8be182
* Mon Nov 23 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/scsi-libiscsi-fix-nop-race-condition
- commit 8f31344
* Mon Nov 23 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-mm-THP-swap-fix-allocating-cluster-for-swapfile-by-m.patch
- commit 47f49e5
* Mon Nov 23 2020 bp@suse.de
- blacklist.conf: ffedeeb780dc linkage: Introduce new macros for assembler symbols
- commit 3f22bb2
* Mon Nov 23 2020 nsaenzjulienne@suse.de
- usb: typec: ucsi: Report power supply changes (git-fixes).
- commit 23870a2
* Mon Nov 23 2020 jslaby@suse.cz
- kernel-{binary,source}.spec.in: do not create loop symlinks (bsc#1179082)
- commit adf56a8
* Mon Nov 23 2020 clin@suse.com
- arm64: lock down kernel in secure boot mode (jsc#SLE-15020).
- Update config file: Enable CONFIG_IMA_SECURE_AND_OR_TRUSTED_BOOT and its
  dependencies.
- commit 6f11f98
* Mon Nov 23 2020 clin@suse.com
- arm64/ima: add ima_arch support (jsc#SLE-15020).
- ima: generalize x86/EFI arch glue for other EFI architectures
  (jsc#SLE-15020).
- commit 6c08e9b
* Mon Nov 23 2020 tiwai@suse.de
- mac80211: free sta in sta_info_insert_finish() on errors
  (git-fixes).
- commit 61bc819
* Mon Nov 23 2020 tiwai@suse.de
- HID: logitech-dj: Fix Dinovo Mini when paired with a MX5x00
  receiver (git-fixes).
- HID: logitech-dj: Fix an error in mse_bluetooth_descriptor
  (git-fixes).
- HID: logitech-dj: Handle quad/bluetooth keyboards with a
  builtin trackpad (git-fixes).
- HID: logitech-hidpp: Add PID for MX Anywhere 2 (git-fixes).
- iio: accel: kxcjk1013: Add support for KIOX010A ACPI DSM for
  setting tablet-mode (git-fixes).
- iio: accel: kxcjk1013: Replace is_smo8500_device with an
  acpi_type enum (git-fixes).
- iio: light: fix kconfig dependency bug for VCNL4035 (git-fixes).
- iio: adc: mediatek: fix unset field (git-fixes).
- tty: serial: imx: keep console clocks always on (git-fixes).
- tty: serial: imx: fix potential deadlock (git-fixes).
- mac80211: always wind down STA state (git-fixes).
- commit 0772cb9
* Mon Nov 23 2020 jslaby@suse.cz
- rpm/kernel-binary.spec.in: avoid using more barewords (bsc#1179014)
  %%split_extra still contained two.
- commit d9b4c40
* Mon Nov 23 2020 clin@suse.com
- efi: generalize efi_get_secureboot (jsc#SLE-15020).
- Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- commit 5086d30
* Mon Nov 23 2020 tiwai@suse.de
- speakup: Do not let the line discipline be used several times
  (CVE-2020-28941 bsc#1178740).
- commit 94aeaf9
* Mon Nov 23 2020 clin@suse.com
- x86/ima: use correct identifier for SetupMode variable
  (jsc#SLE-15020).
- commit f8d6ce0
* Mon Nov 23 2020 glin@suse.com
- blacklist.conf: add two more bpf commits
  197afc631413 libbpf: Don‘t attempt to load unused subprog as an entry-point BPF program
  2acc3c1bc8e9 selftests/bpf: Fix error return code in run_getsockopt_test()
- commit d1b0a66
* Mon Nov 23 2020 glin@suse.com
- lib/strncpy_from_user.c: Mask out bytes after NUL terminator (bsc#1155518).
- commit c5101f8
* Mon Nov 23 2020 glin@suse.com
- libbpf: Fix VERSIONED_SYM_COUNT number parsing (bsc#1177028).
- bpf: Relax return code check for subprograms (bsc#1177028).
- tools, bpftool: Add missing close before bpftool net attach exit
  (bsc#1177028).
- bpf: verifier: Use target program's type for access
  verifications (bsc#1177028).
- bpf: sockmap: Allow update from BPF (bsc#1177028).
- bpf: sockmap: Call sock_map_update_elem directly (bsc#1177028).
- bpf: sockmap: Merge sockmap and sockhash update functions
  (bsc#1177028).
- commit c8ac81c
* Sun Nov 22 2020 tiwai@suse.de
- kABI workaround for USB audio driver (bsc#1178203).
- commit 9a89b5e
* Sat Nov 21 2020 bp@suse.de
- EDAC/amd64: Support asymmetric dual-rank DIMMs (bsc#1179001).
- EDAC/amd64: Cache secondary Chip Select registers (bsc#1179001).
- commit 5ad6aa8
* Sat Nov 21 2020 tiwai@suse.de
- ALSA: hda/ca0132: Fix compile warning without PCI (git-fixes).
- commit 279d4c5
* Sat Nov 21 2020 bp@suse.de
- EDAC/amd64: Find Chip Select memory size using Address Mask
  (bsc#1179001).
- Refresh
  patches.suse/edac-amd64-add-amd-family-17h-model-60h-pci-ids.patch.
- Refresh
  patches.suse/edac-amd64-add-family-ops-for-family-19h-models-00h-0fh.patch.
- Refresh
  patches.suse/edac-amd64-add-pci-device-ids-for-family-17h-model-70h.patch.
- Refresh
  patches.suse/edac-amd64-save-max-number-of-controllers-to-family-type.patch.
- commit 889ea68
* Sat Nov 21 2020 tiwai@suse.de
- ALSA: usb-audio: Support PCM sync_stop (bsc#1178203).
- Refresh
  patches.suse/ALSA-usb-audio-Fix-potential-use-after-free-of-strea.patch.
- Refresh
  patches.suse/ALSA-usb-audio-set-the-interface-format-after-resume.patch.
- commit 0f18878
* Sat Nov 21 2020 tiwai@suse.de
- ALSA: usb-audio: Use ALC1220-VB-DT mapping for ASUS ROG Strix
  TRX40 mobo (bsc#1178203).
- ALSA: usb-audio: Correct wrongly matching entries with audio
  class (bsc#1178203).
- ALSA: usb-audio: Properly match with audio interface class
  (bsc#1178203).
- ALSA: usb-audio: Simplify quirk entries with a macro
  (bsc#1178203).
- ALSA: usb-audio: Move device rename and profile quirks to an
  internal table (bsc#1178203).
- ALSA: usb-audio: Use managed buffer allocation (bsc#1178203).
- ALSA: usb-audio: Convert to the common vmalloc memalloc
  (bsc#1178203).
- commit 535b061
* Sat Nov 21 2020 tiwai@suse.de
- ALSA: hda: Add Alderlake-S PCI ID and HDMI codec vid
  (jsc#SLE-13489).
- commit 9c738ab
* Sat Nov 21 2020 tiwai@suse.de
- ASOC: Intel: kbl_rt5663_rt5514_max98927: Do not try to disable
  disabled clock (git-fixes).
- ASoC: Intel: KMB: Fix S24_LE configuration (git-fixes).
- commit 4a82e7d
* Sat Nov 21 2020 tiwai@suse.de
- ASoC: qcom: lpass-platform: Fix memory leak (git-fixes).
- ALSA: mixart: Fix mutex deadlock (git-fixes).
- ALSA: usb-audio: Add delay quirk for all Logitech USB devices
  (git-fixes).
- ALSA: firewire: Clean up a locking issue in copy_resp_to_buf()
  (git-fixes).
- ALSA: ctl: fix error path at adding user-defined element set
  (git-fixes).
- ALSA: hda/realtek - HP Headset Mic can't detect after boot
  (git-fixes).
- ALSA: hda/realtek - Add supported mute Led for HP (git-fixes).
- ALSA: hda/realtek: Add some Clove SSID in the ALC293(ALC1220)
  (git-fixes).
- ALSA: hda/realtek - Add supported for Lenovo ThinkPad Headset
  Button (git-fixes).
- commit 55dbb32
* Sat Nov 21 2020 bp@suse.de
- EDAC/amd64: Initialize DIMM info for systems with more than
  two channels (bsc#1179001).
- commit 263a905
* Sat Nov 21 2020 bp@suse.de
- EDAC/amd64: Gather hardware information early (bsc#1179001).
- Refresh
  patches.suse/edac-amd64-save-max-number-of-controllers-to-family-type.patch.
- commit 23c7468
* Sat Nov 21 2020 bp@suse.de
- EDAC/amd64: Save max number of controllers to family type
  (bsc#1179001).
  Refresh patches.suse/edac-amd64-add-family-ops-for-family-19h-models-00h-0fh.patch.
- EDAC/amd64: Make struct amd64_family_type global (bsc#1179001).
- commit 7a2a5fc
* Fri Nov 20 2020 msuchanek@suse.de
- kernel-source.spec: Fix build with rpm 4.16 (boo#1179015).
  RPM_BUILD_ROOT is cleared before %%%%install. Do the unpack into
  RPM_BUILD_ROOT in %%%%install
- commit 13bd533
* Fri Nov 20 2020 vbabka@suse.cz
- mm/memremap.c: convert devmap static branch to {inc,dec}
  (jsc#SLE-16387).
- commit 28e3712
* Fri Nov 20 2020 vbabka@suse.cz
- lib: fix test_hmm.c reference after free (jsc#SLE-16387).
- commit 6494bc7
* Fri Nov 20 2020 vbabka@suse.cz
- MAINTAINERS: add HMM selftests (jsc#SLE-16387).
- commit de2b551
* Fri Nov 20 2020 vbabka@suse.cz
- mm/hmm/test: add selftests for HMM (jsc#SLE-16387).
- commit 04c8e1c
* Fri Nov 20 2020 vbabka@suse.cz
- mm/hmm/test: add selftest driver for HMM (jsc#SLE-16387).
- Update config files.
- commit dc51e9f
* Fri Nov 20 2020 tiwai@suse.de
- brcmfmac: Fix warning message after dongle setup failed
  (git-fixes).
- commit 21b5253
* Fri Nov 20 2020 nsaenzjulienne@suse.de
- Update config files: Enable imx8's SPI, dmaengine and alsa components
- supported.conf: Add spi-imx and imx-sdma
- commit e5360c4
* Fri Nov 20 2020 msuchanek@suse.de
- powerpc/32s: Prepare prevent_user_access() for user_access_end()
  (CVE-2020-4788 bsc#1177666).
- commit 2118998
* Fri Nov 20 2020 msuchanek@suse.de
- powerpc/32s: Drop NULL addr verification (CVE-2020-4788
  bsc#1177666).
- commit 764b74e
* Fri Nov 20 2020 mbrugger@suse.com
- spi: cadence-quadspi: Fix error return code in cqspi_probe
  (git-fixes).
- commit 8996fc5
* Fri Nov 20 2020 nsaenzjulienne@suse.de
- dmaengine: imx-dma: Mark expected switch fall-through
  (jsc#SLE-16106).
- commit 6962d07
* Fri Nov 20 2020 jslaby@suse.cz
- rpm/kernel-binary.spec.in: avoid using barewords (bsc#1179014)
  Author: Dominique Leuenberger <dimstar@opensuse.org>
- commit 21f8205
* Fri Nov 20 2020 jslaby@suse.cz
- rpm/mkspec: do not build kernel-obs-build on x86_32
  We want to use 64bit kernel due to various bugs (bsc#1178762 to name
  one).
  There is:
  ExportFilter: ^kernel-obs-build.*\.x86_64.rpm$ . i586
  in Factory's prjconf now. No other actively maintained distro (i.e.
  merging packaging branch) builds a x86_32 kernel, hence pushing to
  packaging directly.
- commit 8099b4b
* Fri Nov 20 2020 msuchanek@suse.de
- fs/select.c: batch user writes in do_sys_poll (CVE-2020-4788
  bsc#1177666).
- commit e2a69e2
* Fri Nov 20 2020 lhenriques@suse.de
- ceph: check session state after bumping session->s_seq
  (bsc#1179012).
- ceph: check the sesion state and return false in case it is
  closed (bsc#1179012).
- ceph: add check_session_state() helper and make it global
  (bsc#1179012).
- commit d99bb08
* Fri Nov 20 2020 nsaenzjulienne@suse.de
- Refresh patches.suse/crypto-safexcel-des-switch-to-new-verification-routines.patch.
  The removal of the variable flags in safexcel_aead_setkey() was somehow
  missed, creating warnings on Leap kernels.
- commit 88b5f9f
* Fri Nov 20 2020 nsaenzjulienne@suse.de
- Revert "- crypto: caam - share definition for MAX_SDLEN (jsc#SLE-14454)."
  This reverts commit 3551d7147c4c8c2560932f1461fa9ae2dabaae66.
  The patch was already introduced by
  51f999dc1fe74962969c521a27218efa49298292 but with a slightly different
  file name.
- commit c8b4478
* Fri Nov 20 2020 nsaenzjulienne@suse.de
- spi: introduce fallback to pio (jsc#SLE-16106).
- commit 415e477
* Fri Nov 20 2020 glin@suse.com
- Restore the header of series.conf
  The header of series.conf was accidentally changed by abb50be8e6bc
  "(kABI: revert use_mm name change (MM Functionality, bsc#1178426))".
  The scripts/git_sort/lib.py script matches the upper-case "K" in the
  header.
- commit cec3f48
* Fri Nov 20 2020 msuchanek@suse.de
- selftests/powerpc: entry flush test (CVE-2020-4788 bsc#1177666).
- powerpc/64s: flush L1D after user accesses (CVE-2020-4788
  bsc#1177666).
- powerpc/64s: flush L1D on kernel entry (CVE-2020-4788
  bsc#1177666).
- selftests/powerpc: rfi_flush: disable entry flush if present
  (CVE-2020-4788 bsc#1177666).
- powerpc/64s: rename pnv|pseries_setup_rfi_flush to
  _setup_security_mitigations (CVE-2020-4788 bsc#1177666).
- selftests/powerpc: entry flush test (CVE-2020-4788 bsc#1177666).
- powerpc: Only include kup-radix.h for 64-bit Book3S
  (CVE-2020-4788 bsc#1177666).
- powerpc/64s: flush L1D after user accesses (CVE-2020-4788
  bsc#1177666).
- powerpc/64s: flush L1D on kernel entry (CVE-2020-4788
  bsc#1177666).
- selftests/powerpc: rfi_flush: disable entry flush if present
  (CVE-2020-4788 bsc#1177666).
- commit e2755de
* Fri Nov 20 2020 tiwai@suse.de
- Fonts: Replace discarded const qualifier (CVE-2020-28915
  bsc#1178886).
- commit 1896c0d
* Fri Nov 20 2020 tiwai@suse.de
- fbcon: Fix global-out-of-bounds read in fbcon_get_font()
  (CVE-2020-28915 bsc#1178886).
- Fonts: Support FONT_EXTRA_WORDS macros for built-in fonts
  (CVE-2020-28915 bsc#1178886).
- commit cf5442f
* Fri Nov 20 2020 tiwai@suse.de
- Refresh patch reference for font fix patch (CVE-2020-28915 bsc#1178886)
- commit 1add793
* Fri Nov 20 2020 msuchanek@suse.de
- selftests/powerpc: Skip security tests on older CPUs
  (CVE-2020-4788 bsc#1177666).
- commit 1bc32c0
* Fri Nov 20 2020 yousaf.kaukab@suse.com
- ACPI: processor: fix NONE coordination for domain mapping
  failure (jsc#SLE-14771).
- cppc_cpufreq: expose information on frequency domains
  (jsc#SLE-14771).
- cppc_cpufreq: clarify support for coordination types
  (jsc#SLE-14771).
- cppc_cpufreq: use policy->cpu as driver of frequency setting
  (jsc#SLE-14771).
- cppc_cpufreq: replace per-cpu structures with lists
  (jsc#SLE-14771).
- cppc_cpufreq: simplify use of performance capabilities
  (jsc#SLE-14771).
- cppc_cpufreq: clean up cpu, cpu_num and cpunum variable use
  (jsc#SLE-14771).
- cppc_cpufreq: fix misspelling, code style and readability issues
  (jsc#SLE-14771).
- ACPI: CPPC: Make some symbols static (jsc#SLE-14771).
- ACPI: CPPC: clean up acpi_get_psd_map() (jsc#SLE-14771).
- commit f7b4058
* Fri Nov 20 2020 jslaby@suse.cz
- blacklist.conf: add RISC V patch
- commit 42e5de9
* Fri Nov 20 2020 tiwai@suse.de
- ACPI: fan: Initialize performance state sysfs attribute
  (git-fixes).
- net: phy: realtek: support paged operations on RTL8201CP
  (git-fixes).
- commit f04c666
* Fri Nov 20 2020 tiwai@suse.de
- can: kvaser_usb: kvaser_usb_hydra: Fix KCAN bittiming limits
  (git-fixes).
- can: m_can: m_can_stop(): set device to software init mode
  before closing (git-fixes).
- can: m_can: m_can_handle_state_change(): fix state change
  (git-fixes).
- can: flexcan: flexcan_setup_stop_mode(): add missing "req_bit"
  to stop mode property comment (git-fixes).
- can: peak_usb: fix potential integer overflow on shift of a int
  (git-fixes).
- can: mcba_usb: mcba_usb_start_xmit(): first fill skb, then
  pass to can_put_echo_skb() (git-fixes).
- can: dev: can_restart(): post buffer from the right context
  (git-fixes).
- can: af_can: prevent potential access of uninitialized member
  in canfd_rcv() (git-fixes).
- can: af_can: prevent potential access of uninitialized member
  in can_rcv() (git-fixes).
- lan743x: prevent entire kernel HANG on open, for some platforms
  (git-fixes).
- lan743x: fix issue causing intermittent kernel log warnings
  (git-fixes).
- mac80211: minstrel: fix tx status processing corner case
  (git-fixes).
- mac80211: minstrel: remove deferred sampling code (git-fixes).
- rfkill: Fix use-after-free in rfkill_resume() (git-fixes).
- spi: lpspi: Fix use-after-free on unbind (git-fixes).
- regulator: ti-abb: Fix array out of bound read access on the
  first transition (git-fixes).
- regulator: workaround self-referent regulators (git-fixes).
- regulator: avoid resolve_supply() infinite recursion
  (git-fixes).
- regulator: fix memory leak with repeated
  set_machine_constraints() (git-fixes).
- regulator: pfuze100: limit pfuze-support-disable-sw to
  pfuze{100,200} (git-fixes).
- commit 3d08124
* Fri Nov 20 2020 glin@suse.com
- kbuild: make Clang build userprogs for target architecture (bsc#1177028).
- commit 11fffeb
* Fri Nov 20 2020 jlee@suse.com
- efi/libstub: Drop 'table' argument from efi_table_attr() macro
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/libstub: Drop protocol argument from efi_call_proto()
  macro (jsc#SLE-16407).
- efi/libstub/x86: Work around page freeing issue in mixed mode
  (jsc#SLE-16407).
- efi/libstub/x86: Drop __efi_early() export and efi_config struct
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-boot-compressed-64-add-idt-infrastructure.
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch
- efi/libstub: Unify the efi_char16_printk implementations
  (jsc#SLE-16407).
- efi/libstub: Get rid of 'sys_table_arg' macro parameter
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- efi/libstub: Avoid protocol wrapper for file I/O routines
  (jsc#SLE-16407).
- efi/libstub/x86: Avoid thunking for native firmware calls
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- efi/libstub: Annotate firmware routines as __efiapi
  (jsc#SLE-16407).
- efi/libstub: Use stricter typing for firmware function pointers
  (jsc#SLE-16407).
- efi/libstub: Drop explicit 32/64-bit protocol definitions
  (jsc#SLE-16407).
- efi/libstub: Distinguish between native/mixed not 32/64 bit
  (jsc#SLE-16407).
- efi/libstub: Extend native protocol definitions with mixed_mode
  aliases (jsc#SLE-16407).
- efi/libstub: Use a helper to iterate over a EFI handle array
  (jsc#SLE-16407).
- efi/x86: Rename efi_is_native() to efi_is_mixed()
  (jsc#SLE-16407).
- efi/libstub: Remove unused __efi_call_early() macro
  (jsc#SLE-16407).
- efi/gop: Unify 32/64-bit functions (jsc#SLE-16407).
- efi/gop: Convert GOP structures to typedef and clean up some
  types (jsc#SLE-16407).
- efi/gop: Remove unused typedef (jsc#SLE-16407).
- efi/gop: Remove bogus packed attribute from GOP structures
  (jsc#SLE-16407).
- efi/capsule-loader: Explicitly include linux/io.h for
  page_to_phys() (jsc#SLE-16407).
- x86/efi: Explicitly include realmode.h to handle RM trampoline
  quirk (jsc#SLE-16407).
- x86/efistub: Disable paging at mixed mode entry (jsc#SLE-16407).
- commit 7d8fae9
* Fri Nov 20 2020 jlee@suse.com
- treewide: Use sizeof_field() macro (jsc#SLE-16407).
- commit f4dcb62
* Fri Nov 20 2020 tiwai@suse.de
- pinctrl: lynxpoint: Move GPIO driver to pin controller folder
  (jsc#SLE-12730).
- Refresh
  patches.suse/pinctrl-intel-Add-Intel-Alder-Lake-S-pin-controller-.patch.
- commit 66f9d94
* Thu Nov 19 2020 pjakobsson@suse.de
- blacklist.conf: git-fixes blacklist for drm v5.8
- commit 9af7e74
* Thu Nov 19 2020 tiwai@suse.de
- usb: dwc3: pci: add support for the Intel Alder Lake-S
  (jsc#SLE-13489).
- commit 030ca85
* Thu Nov 19 2020 tiwai@suse.de
- uio: Fix use-after-free in uio_unregister_device() (git-fixes).
- mei: protect mei_cl_mtu from null dereference (git-fixes).
- usb: cdc-acm: Add DISABLE_ECHO for Renesas USB Download mode
  (git-fixes).
- pinctrl: amd: use higher precision for 512 RtcClk (git-fixes).
- pinctrl: amd: fix incorrect way to disable debounce filter
  (git-fixes).
- usb: gadget: goku_udc: fix potential crashes in probe
  (git-fixes).
- i2c: sh_mobile: implement atomic transfers (git-fixes).
- i2c: mediatek: move dma reset before i2c reset (git-fixes).
- tpm_tis: Disable interrupts on ThinkPad T490s (git-fixes).
- cfg80211: regulatory: Fix inconsistent format argument
  (git-fixes).
- cfg80211: initialize wdev data earlier (git-fixes).
- mac80211: fix use of skb payload instead of header (git-fixes).
- mfd: sprd: Add wakeup capability for PMIC IRQ (git-fixes).
- commit 0ba4e11
* Thu Nov 19 2020 dbueso@suse.de
- futex: Don't enable IRQs unconditionally in put_pi_state()
  (bsc#1149032).
- futex: Handle transient "ownerless" rtmutex state correctly
  (bsc#1149032).
- commit 15c899a
* Thu Nov 19 2020 tiwai@suse.de
- kABI workaround for HD-audio (git-fixes).
- commit 97e2fbf
* Thu Nov 19 2020 tiwai@suse.de
- ALSA: hda: Reinstate runtime_allow() for all hda controllers
  (git-fixes).
- ALSA: hda: fix jack detection with Realtek codecs when in D3
  (git-fixes).
- commit 6f153b9
* Thu Nov 19 2020 jlee@suse.com
- x86/asm/32: Change all ENTRY+ENDPROC to SYM_FUNC_*
  (jsc#SLE-16407).
  Joey Lee:
  Only backporting EFI files for later EFI stub changing.
- linkage: Introduce new macros for assembler symbols
  (jsc#SLE-16407).
- commit 0db172f
* Thu Nov 19 2020 tiwai@suse.de
- gpio: aspeed: avoid return type warning (git-fixes).
- commit 3ce1279
* Thu Nov 19 2020 tiwai@suse.de
- Add blacklist and no-fix for superfluous gpio and pinctrl commits
- commit e89ba63
* Thu Nov 19 2020 tiwai@suse.de
- gpio: aspeed: fix ast2600 bank properties (git-fixes).
- gpio/aspeed-sgpio: don't enable all interrupts by default
  (git-fixes).
- gpio/aspeed-sgpio: enable access to all 80 input & output sgpios
  (git-fixes).
- Revert "gpio: thunderx: Switch to GPIOLIB_IRQCHIP" (git-fixes).
- MAINTAINERS: Append missed file to the database (git-fixes).
- pinctrl: pinmux: fix a possible null pointer in
  pinmux_can_be_used_for_gpio (git-fixes).
- gpio: aspeed-sgpio: Rename and add Kconfig/Makefile (git-fixes).
- pinctrl: stmfx: fix valid_mask init sequence (git-fixes).
- commit d2a6950
* Thu Nov 19 2020 yousaf.kaukab@suse.com
- arm64: thunderX2: drop support for pre-production silicon revisions
  References: jsc#11529
- commit 5a94cc5
* Thu Nov 19 2020 yousaf.kaukab@suse.com
- cpufreq: CPPC: Reuse caps variable in few routines
  (jsc#SLE-14771).
- cpufreq: cppc: Reorder code and remove apply_hisi_workaround
  variable (jsc#SLE-14771).
- mailbox: pcc: Put the PCCT table for error path (jsc#SLE-14771).
- mailbox: pcc: make pcc_mbox_driver static (jsc#SLE-14771).
- cpufreq: CPPC: add SW BOOST support (jsc#SLE-14771).
- cpufreq: change '.set_boost' to act on one policy
  (jsc#SLE-14771).
- cpufreq: CPPC: put ACPI table after using it (jsc#SLE-14771).
- cpufreq : CPPC: Break out if HiSilicon CPPC workaround is
  matched (jsc#SLE-14771).
- commit 7996b85
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: intel: Fix 2 kOhm bias which is 833 Ohm
  (jsc#SLE-12730).
- pinctrl: sunrisepoint: Modify COMMUNITY macros to be consistent
  (jsc#SLE-12730).
- pinctrl: cannonlake: Modify COMMUNITY macros to be consistent
  (jsc#SLE-12730).
- pinctrl: intel: Update header block to reflect direct
  dependencies (jsc#SLE-12730).
- pinctrl: cherryview: Switch to use intel_pinctrl_get_soc_data()
  (jsc#SLE-12730).
- pinctrl: baytrail: Switch to use intel_pinctrl_get_soc_data()
  (jsc#SLE-12730).
- pinctrl: intel: Extract intel_pinctrl_get_soc_data() helper
  for wider use (jsc#SLE-12730).
- pinctrl: cherryview: Utilize temporary variable to hold device
  pointer (jsc#SLE-12730).
- pinctrl: cherryview: Switch to use struct intel_pinctrl
  (jsc#SLE-12730).
- pinctrl: cherryview: Move custom community members to separate
  data struct (jsc#SLE-12730).
- pinctrl: cherryview: Drop stale comment (jsc#SLE-12730).
- commit 19aef60
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: merrifield: Add I2S bus 2 pins to groups and functions
  (jsc#SLE-12730).
- commit ba1d01c
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: cherryview: Preserve CHV_PADCTRL1_INVRXTX_TXDATA flag
  on GPIOs (jsc#SLE-12730).
- pinctrl: baytrail: Use fallthrough pseudo-keyword
  (jsc#SLE-12730).
- pinctrl: merrifield: Update pin names in accordance with
  official list (jsc#SLE-12730).
- pinctrl: baytrail: Drop no-op ACPI_PTR() call (jsc#SLE-12730).
- pinctrl: lynxpoint: Drop no-op ACPI_PTR() call (jsc#SLE-12730).
- pinctrl: lynxpoint: Introduce helpers to enable or disable input
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Make use of for_each_requested_gpio()
  (jsc#SLE-12730).
- pinctrl: intel: Make use of for_each_requested_gpio_in_range()
  (jsc#SLE-12730).
- pinctrl: intel: Protect IO in few call backs by lock
  (jsc#SLE-12730).
- pinctrl: intel: Split intel_config_get() to three functions
  (jsc#SLE-12730).
- pinctrl: intel: Drop the only label in the code for consistency
  (jsc#SLE-12730).
- pinctrl: intel: Get rid of redundant 'else' in
  intel_config_set_debounce() (jsc#SLE-12730).
- pinctrl: intel: Make use of IRQ_RETVAL() (jsc#SLE-12730).
- pinctrl: intel: Reduce scope of the lock (jsc#SLE-12730).
- pinctrl: intel: Disable input and output buffer when switching
  to GPIO (jsc#SLE-12730).
- pinctrl: cherryview: Re-use data structures from pinctrl-intel.h
  (part 3) (jsc#SLE-12730).
- pinctrl: intel: Allow drivers to define ACPI address space ID
  (jsc#SLE-12730).
- pinctrl: intel: Allow drivers to define total amount of IRQs
  per community (jsc#SLE-12730).
- pinctrl: cherryview: Convert chv_writel() to use chv_padreg()
  (jsc#SLE-12730).
- pinctrl: cherryview: Introduce helpers to IO with common
  registers (jsc#SLE-12730).
- pinctrl: cherryview: Introduce chv_readl() helper
  (jsc#SLE-12730).
- gpiolib: Introduce for_each_requested_gpio_in_range() macro
  (jsc#SLE-12730).
- commit 2be8053
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: baytrail: Fix pin being driven low for a while on
  gpiod_get(..., GPIOD_OUT_HIGH) (jsc#SLE-12730).
- pinctrl: intel: Move npins closer to pin_base in struct
  intel_community (jsc#SLE-12730).
- pinctrl: intel: Update description in struct intel_community
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Use platform_get_irq_optional() explicitly
  (jsc#SLE-12730).
- pinctrl: baytrail: Use platform_get_irq_optional() explicitly
  (jsc#SLE-12730).
- pinctrl: icelake: Use generic flag for special GPIO base
  treatment (jsc#SLE-12730).
- pinctrl: cannonlake: Use generic flag for special GPIO base
  treatment (jsc#SLE-12730).
- pinctrl: cherryview: Use GENMASK() consistently (jsc#SLE-12730).
- pinctrl: cherryview: Re-use data structures from pinctrl-intel.h
  (part 2) (jsc#SLE-12730).
- commit efa95a6
* Thu Nov 19 2020 tiwai@suse.de
- Update config files.
- Refresh
  patches.suse/pinctrl-intel-Add-Intel-Alder-Lake-S-pin-controller-.patch.
- Refresh
  patches.suse/pinctrl-lynxpoint-Move-GPIO-driver-to-pin-controller.patch.
- supported.conf: Add pinctrl-lynxpoint
- commit 7d43af8
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: sunrisepoint: Add Coffee Lake-S ACPI ID
  (jsc#SLE-12730).
- pinctrl: intel: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- pinctrl: intel: Add GPIO <-> pin mapping ranges via callback
  (jsc#SLE-12730).
- pinctrl: baytrail: Replace WARN with dev_info_once when setting
  direct-irq pin to output (jsc#SLE-12730).
- pinctrl: lynxpoint: Update summary in the driver
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Switch to pin control API (jsc#SLE-12730).
- pinctrl: lynxpoint: Add GPIO <-> pin mapping ranges via callback
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Implement ->pin_dbg_show() (jsc#SLE-12730).
- pinctrl: lynxpoint: Add pin control operations (jsc#SLE-12730).
- pinctrl: lynxpoint: Reuse struct intel_pinctrl in the driver
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Add pin control data structures
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Implement intel_gpio_get_direction callback
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Implement ->irq_ack() callback
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Move ownership check to IRQ chip
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Move lp_irq_type() closer to IRQ related
  routines (jsc#SLE-12730).
- pinctrl: lynxpoint: Move ->remove closer to ->probe()
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Extract lp_gpio_acpi_use() for future use
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Convert unsigned to unsigned int
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Switch to memory mapped IO accessors
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Keep pointer to struct device instead of
  its container (jsc#SLE-12730).
- pinctrl: lynxpoint: Relax GPIO request rules (jsc#SLE-12730).
- pinctrl: lynxpoint: Assume 2 bits for mode selector
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Use standard pattern for memory allocation
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Use %%pR to print IO resource
  (jsc#SLE-12730).
- pinctrl: lynxpoint: Drop useless assignment (jsc#SLE-12730).
- pinctrl: lynxpoint: Correct amount of pins (jsc#SLE-12730).
- pinctrl: lynxpoint: Use raw_spinlock for locking
  (jsc#SLE-12730).
- pinctrl: baytrail: Reuse struct intel_pinctrl in the driver
  (jsc#SLE-12730).
- pinctrl: baytrail: Use local variable to keep device pointer
  (jsc#SLE-12730).
- pinctrl: baytrail: Keep pointer to struct device instead of
  its container (jsc#SLE-12730).
- pinctrl: intel: Share struct intel_pinctrl for wider use
  (jsc#SLE-12730).
- pinctrl: intel: Use GPIO direction definitions (jsc#SLE-12730).
- pinctrl: cherryview: Use GPIO direction definitions
  (jsc#SLE-12730).
- pinctrl: baytrail: Use GPIO direction definitions
  (jsc#SLE-12730).
- pinctrl: baytrail: Move IRQ valid mask initialization to a
  dedicated callback (jsc#SLE-12730).
- pinctrl: baytrail: Group GPIO IRQ chip initialization
  (jsc#SLE-12730).
- pinctrl: baytrail: Allocate IRQ chip dynamic (jsc#SLE-12730).
- commit be1af4d
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: sunrisepoint: Add missing Interrupt Status register
  offset (jsc#SLE-12730).
- Refresh
  patches.suse/pinctrl-sunrisepoint-Fix-PAD-lock-register-offset-fo.patch.
- commit 58844ce
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: cherryview: Missed type change to unsigned int
  (jsc#SLE-12730).
- Refresh
  patches.suse/pinctrl-cherryview-Add-missing-spinlock-usage-in-chv.patch.
- commit 2b6f93f
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: intel: Use helper to restore register values on
  - >resume() (jsc#SLE-12730).
- Refresh
  patches.suse/pinctrl-intel-Introduce-common-flags-for-GPIO-mappin.patch.
- commit 07edd70
* Thu Nov 19 2020 tiwai@suse.de
- pinctrl: intel: Introduce intel_restore_hostown() helper
  (jsc#SLE-12730).
- Refresh
  patches.suse/pinctrl-intel-Introduce-common-flags-for-GPIO-mappin.patch.
- commit 2eb52ff
* Thu Nov 19 2020 mbenes@suse.cz
- SUNRPC: Fix general protection fault in trace_rpc_xdr_overflow()
  (git-fixes).
- commit 0640a68
* Thu Nov 19 2020 jeyu@suse.de
- Move patches.suse/compiler.h-Enforce-that-READ_ONCE_NOCHECK-access-siz.patch
  into sorted section.
  For some reason, the above patch was in the kABI padding section. That's
  clearly wrong, move it out of the kABI padding section and into sorted
  patches section.
- commit a46db82
* Thu Nov 19 2020 pjakobsson@suse.de
- tty/sysrq: constify the sysrq API (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- commit 28757bc
* Thu Nov 19 2020 pjakobsson@suse.de
- tty/sysrq: alpha: export and use __sysrq_get_key_op()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- commit 0885df4
* Thu Nov 19 2020 pjakobsson@suse.de
- i2c: add helper to check if a client has a driver attached
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- commit ff6d2f4
* Thu Nov 19 2020 mhocko@suse.com
- mm/gup: fix gup_fast with dynamic page table folding
  (bnc#1176586, LTC#188235).
- commit b2a9d8e
* Thu Nov 19 2020 jlee@suse.com
- x86/asm: Change all ENTRY+ENDPROC to SYM_FUNC_* (jsc#SLE-16407).
  Joey Lee:
  Only backporting EFI files for later EFI stub changing.
- x86/asm: Make some functions local (jsc#SLE-16407).
- Refresh
  patches.suse/x86-entry-64-handle-fsgsbase-enabled-paranoid-entry-exit.patch.
- Refresh
  patches.suse/x86-entry-64-switch-cr3-before-swapgs-in-paranoid-entry.patch.
- Refresh
  patches.suse/x86-powerpc-rename-memcpy_mcsafe-to-copy_mc_to_-user-kernel.patch.
- x86/boot: Annotate data appropriately (jsc#SLE-16407).
  Refresh
  patches.suse/x86-boot-compressed-64-add-idt-infrastructure.
- x86/asm: Annotate aliases (jsc#SLE-16407).
  Refresh
  patches.suse/x86-cpufeatures-Add-support-for-fast-short-REP-MOVSB.patch.
- x86/asm/crypto: Annotate local functions (jsc#SLE-16407).
- x86/asm: Make more symbols local (jsc#SLE-16407).
- commit c5b2503
* Thu Nov 19 2020 glin@suse.com
- bpf: Fix two typos in uapi/linux/bpf.h (bsc#1177028).
- bpf: Make bpf_link API available indepently of
  CONFIG_BPF_SYSCALL (bsc#1177028).
- bpf: Drop duplicated words in uapi helper comments
  (bsc#1177028).
- xdp: introduce xdp_get_shared_info_from_{buff, frame} utility routines (bsc#1177028).
  Refresh patches
- patches.suse/bpf-cpumap-Add-the-possibility-to-attach-an-eBPF-pro.patch
- patches.suse/bpf-cpumap-Implement-XDP_REDIRECT-for-eBPF-programs-.patch
- bpf: Switch most helper return values from 32-bit int to 64-bit long (bsc#1177028).
  Refresh patches:
- patches.suse/bpf-Introduce-SK_LOOKUP-program-type-with-a-dedicate.patch
- patches.suse/bpf-Sync-linux-bpf.h-to-tools.patch
- patches.suse/bpf-Fix-comment-for-helper-bpf_current_task_under_cg.patch
- commit dd3217c
* Thu Nov 19 2020 lduncan@suse.com
- scsi: libiscsi: Fix NOP race condition (bsc#1176481).
- commit ed80277
* Wed Nov 18 2020 pjakobsson@suse.de
- memremap: provide a not device managed memremap_pages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Refresh
  patches.suse/mm-memunmap-don-t-access-uninitialized-memmap-in-mem.patch.
- commit a124be7
* Wed Nov 18 2020 pjakobsson@suse.de
- memremap: don't use a separate devm action for
  devmap_managed_enable_get (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- commit 4d6242f
* Wed Nov 18 2020 pjakobsson@suse.de
- memremap: remove the dev field in struct dev_pagemap
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Refresh
  patches.suse/PCI-P2PDMA-Introduce-private-pagemap-structure.patch.
- Refresh
  patches.suse/mm-memunmap-don-t-access-uninitialized-memmap-in-mem.patch.
- commit 1feeaf5
* Wed Nov 18 2020 jlee@suse.com
- x86/efi: EFI soft reservation to E820 enumeration
  (jsc#SLE-16407).
  Refresh
  patches.suse/x86-efi-Add-efi_fake_mem-support-for-EFI_MEMORY_SP-199c8471.patch.
- efi: Common enable/disable infrastructure for EFI soft
  reservation (jsc#SLE-16407).
- Refresh
  patches.suse/efi-Store-mask-of-supported-runtime-services-in-stru.patch.
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- Update config files.
  CONFIG_EFI_SOFT_RESERVE=y on x86_64/default, arm64/default
- x86: efi/random: Invoke EFI_RNG_PROTOCOL to seed the UEFI RNG
  table (jsc#SLE-16407).
- commit 4faf531
* Wed Nov 18 2020 yousaf.kaukab@suse.com
- usb: dwc3: Add ACPI support for xHCI ports (jsc#SLE-12251).
- commit 324b394
* Wed Nov 18 2020 tiwai@suse.de
- pinctrl: cherryview: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- pinctrl: cherryview: Add GPIO <-> pin mapping ranges via
  callback (jsc#SLE-12730).
- pinctrl: cherryview: Split out irq hw-init into a separate
  helper function (jsc#SLE-12730).
- pinctrl: baytrail: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- pinctrl: baytrail: Add GPIO <-> pin mapping ranges via callback
  (jsc#SLE-12730).
- pinctrl: baytrail: Update North Community pin list
  (jsc#SLE-12730).
- pinctrl: intel: Missed type change to unsigned int
  (jsc#SLE-12730).
- pinctrl: intel: Drop level from warning to debug in
  intel_restore_hostown() (jsc#SLE-12730).
- pinctrl: intel: Introduce intel_restore_intmask() helper
  (jsc#SLE-12730).
- pinctrl: intel: Introduce intel_restore_padcfg() helper
  (jsc#SLE-12730).
- pinctrl: cherryview: Fix spelling mistake in the comment
  (jsc#SLE-12730).
- commit 7f8dbee
* Wed Nov 18 2020 tiwai@suse.de
- pinctrl: baytrail: Re-use data structures from pinctrl-intel.h
  (part 2) (jsc#SLE-12730).
- Refresh
  patches.suse/0001-pinctrl-baytrail-Really-serialize-all-register-acces.patch.
- commit e0a9108
* Wed Nov 18 2020 tiwai@suse.de
- pinctrl: sunrisepoint: Provide Interrupt Status register offset
  (jsc#SLE-12730).
- Refresh
  patches.suse/pinctrl-sunrisepoint-Fix-PAD-lock-register-offset-fo.patch.
- commit dfae0e2
* Wed Nov 18 2020 tiwai@suse.de
- pinctrl: intel: mark intel_pin_to_gpio __maybe_unused
  (jsc#SLE-12730).
- pinctrl: intel: Allow to request locked pads (jsc#SLE-12730).
- pinctrl: cherryview: Remove dev_err() usage after
  platform_get_irq() (jsc#SLE-12730).
- pinctrl: intel: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-12730).
- pinctrl: intel: Use NSEC_PER_USEC for debounce calculus
  (jsc#SLE-12730).
- pinctrl: intel: Remove default Interrupt Status offset
  (jsc#SLE-12730).
- pinctrl: lewisburg: Provide Interrupt Status register offset
  (jsc#SLE-12730).
- pinctrl: icelake: Provide Interrupt Status register offset
  (jsc#SLE-12730).
- pinctrl: geminilake: Provide Interrupt Status register offset
  (jsc#SLE-12730).
- pinctrl: cannonlake: Provide Interrupt Status register offset
  (jsc#SLE-12730).
- pinctrl: broxton: Provide Interrupt Status register offset
  (jsc#SLE-12730).
- pinctrl: intel: Simplify offset validation in intel_get_padcfg()
  (jsc#SLE-12730).
- pinctrl: intel: Drop double check for data in
  intel_pinctrl_probe_by_uid() (jsc#SLE-12730).
- pinctrl: merrifield: Use devm_platform_ioremap_resource()
  (jsc#SLE-12730).
- pinctrl: intel: Use devm_platform_ioremap_resource()
  (jsc#SLE-12730).
- pinctrl: cherryview: Use devm_platform_ioremap_resource()
  (jsc#SLE-12730).
- pinctrl: baytrail: Use devm_platform_ioremap_resource()
  (jsc#SLE-12730).
- commit ee7dd05
* Wed Nov 18 2020 tiwai@suse.de
- Revert "gpio: merrifield: Pass irqchip when adding gpiochip"
  (jsc#SLE-12730).
- Revert "gpio: merrifield: Restore use of irq_base"
  (jsc#SLE-12730).
- commit 778c0ed
* Wed Nov 18 2020 tiwai@suse.de
- Revert "gpio: merrifield: Move hardware initialization to
  callback" (jsc#SLE-12730).
- gpio: lynxpoint: set default handler to be handle_bad_irq()
  (jsc#SLE-12730).
- gpio: merrifield: Move hardware initialization to callback
  (jsc#SLE-12730).
- gpio: lynxpoint: Move hardware initialization to callback
  (jsc#SLE-12730).
- gpio: intel-mid: Move hardware initialization to callback
  (jsc#SLE-12730).
- gpio: merrifield: Restore use of irq_base (jsc#SLE-12730).
- pinctrl/gpio: Take MUX usage into account (jsc#SLE-12730).
- commit a8fa4e0
* Wed Nov 18 2020 tiwai@suse.de
- gpiolib: of: add a fallback for wlf,reset GPIO name
  (jsc#SLE-12730).
- Refresh
  patches.suse/usb-fusb302-convert-to-use-gpio-descriptors.patch.
- commit 9cd8b23
* Wed Nov 18 2020 tiwai@suse.de
- gpio: Initialize the irqchip valid_mask with a callback
  (jsc#SLE-12730).
- Refresh
  patches.suse/gpiolib-Initialize-the-hardware-with-a-callback.patch.
- Refresh
  patches.suse/pinctrl-cherryview-Fix-irq_valid_mask-calculation.patch.
- commit 65c5c62
* Wed Nov 18 2020 tiwai@suse.de
- gpio: htc-egpio: Remove unused exported
  htc_egpio_get_wakeup_irq() (jsc#SLE-12730).
- gpio: remove explicit comparison with 0 (jsc#SLE-12730).
- gpio: creg-snps: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-12730).
- gpio: aspeed: Add in ast2600 details to Aspeed driver
  (jsc#SLE-12730).
- gpio: aspeed: Use ngpio property from device tree if available
  (jsc#SLE-12730).
- gpio: aspeed: Setup irqchip dynamically (jsc#SLE-12730).
- gpiolib: acpi: make acpi_can_fallback_to_crs() static
  (jsc#SLE-12730).
- commit bf8a468
* Wed Nov 18 2020 tiwai@suse.de
- gpio: of: Normalize return code variable name (jsc#SLE-12730).
- Refresh
  patches.suse/gpiolib-No-need-to-call-gpiochip_remove_pin_ranges-t.patch.
- commit a436005
* Wed Nov 18 2020 tiwai@suse.de
- gpio: gpiolib: Normalize return code variable name
  (jsc#SLE-12730).
- Refresh
  patches.suse/gpiolib-Initialize-the-hardware-with-a-callback.patch.
- Refresh
  patches.suse/gpiolib-Introduce-add_pin_ranges-callback.patch.
- Refresh
  patches.suse/gpiolib-Switch-order-of-valid-mask-and-hw-init.patch.
- Refresh
  patches.suse/gpiolib-don-t-clear-FLAG_IS_OUT-when-emulating-open-.patch.
- commit 591fe46
* Wed Nov 18 2020 tiwai@suse.de
- gpio: merrifield: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- gpio: lynxpoint: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- gpio: intel-mid: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- gpio: pch: Use dev_get_drvdata (jsc#SLE-12730).
- gpio: ep93xx: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: lpc32xx: allow building on non-lpc32xx targets
  (jsc#SLE-12730).
- gpio: ixp4xx: remove redundant dev_err message (jsc#SLE-12730).
- commit 970dbfe
* Wed Nov 18 2020 ggherdovich@suse.cz
- intel_idle: Customize IceLake server support (bsc#1178286).
- commit eac5b5e
* Wed Nov 18 2020 tiwai@suse.de
- gpio: em: use a helper variable for &pdev->dev (jsc#SLE-12730).
- gpio: zynq: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: mt7621: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: aspeed: Add SGPIO driver (jsc#SLE-12730).
- gpio: tqmx86: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: vf610: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: zx: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: ftgpio: Move hardware initialization (jsc#SLE-12730).
- gpio: Use callback presence to determine need of valid_mask
  (jsc#SLE-12730).
- pinctrl: stmfx: Use the callback to populate valid_mask
  (jsc#SLE-12730).
- commit 2c3ab09
* Wed Nov 18 2020 mbrugger@suse.com
- spi: Stop selecting MTD_SPI_NOR for SPI_HISI_SFC_V3XX
  (jsc#SLE-14214 jsc#SLE-16606).
- commit bcf49c6
* Wed Nov 18 2020 mhocko@suse.com
- mm, THP, swap: fix allocating cluster for swapfile by mistake
  (bsc#1178755).
- commit ba1483e
* Wed Nov 18 2020 yousaf.kaukab@suse.com
- drivers: qcom: rpmh-rsc: Use rcuidle tracepoints for rpmh
  (jsc#SLE-12251).
- commit e5cbc97
* Wed Nov 18 2020 yousaf.kaukab@suse.com
- supported.conf: enable fsl-mph-dr-of for NXP LS1012A
  References: jsc#SLE-12251
- commit 985a505
* Wed Nov 18 2020 yousaf.kaukab@suse.com
- USB: phy: fsl-usb: remove character device usage
  (jsc#SLE-12251).
- USB: phy: fsl-usb: remove sysfs abuse (jsc#SLE-12251).
- usb: phy: phy-fsl-usb: Make structure fsl_otg_initdata constant
  (jsc#SLE-12251).
- USB: phy: fsl-usb: convert platform driver to use dev_groups
  (jsc#SLE-12251).
- commit d31fcb5
* Wed Nov 18 2020 ohering@suse.de
- Add bug reference to two hv_netvsc patches (bsc#1178853).
- commit 2fdc798
* Wed Nov 18 2020 ohering@suse.de
- x86/hyperv: Clarify comment on x2apic mode (git-fixes).
- commit 47d9c63
* Wed Nov 18 2020 ohering@suse.de
- hv: clocksource: Add notrace attribute to
  read_hv_sched_clock_*() functions (git-fixes).
- commit 803c2b1
* Wed Nov 18 2020 yousaf.kaukab@suse.com
- cpuidle: psci: Fix suspicious RCU usage (jsc#SLE-12251).
- cpuidle: psci: Prevent domain idlestates until consumers are
  ready (jsc#SLE-12251).
- cpuidle: psci: Convert PM domain to platform driver
  (jsc#SLE-12251).
- cpuidle: psci: Fix error path via converting to a platform
  driver (jsc#SLE-12251).
- cpuidle: psci: Fail cpuidle registration if set OSI mode failed
  (jsc#SLE-12251).
- cpuidle: psci: Split into two separate build objects
  (jsc#SLE-12251).
- drivers/firmware/psci: Assign @err directly in hotplug_tests()
  (jsc#SLE-12251).
- cpuidle: psci: Fixup execution order when entering a domain
  idle state (jsc#SLE-12251).
- cpuidle: psci: Split psci_dt_cpu_init_idle() (jsc#SLE-12251).
- cpuidle: psci: Add support for PM domains by using genpd
  (jsc#SLE-12251).
- PM / Domains: Introduce a genpd OF helper that removes a
  subdomain (jsc#SLE-12251).
- cpuidle: psci: Support CPU hotplug for the hierarchical model
  (jsc#SLE-12251).
- cpuidle: psci: Manage runtime PM in the idle path
  (jsc#SLE-12251).
- cpuidle: psci: Prepare to use OS initiated suspend mode via
  PM domains (jsc#SLE-12251).
- cpuidle: psci: Attach CPU devices to their PM domains
  (jsc#SLE-12251).
- cpuidle: psci: Add a helper to attach a CPU to its PM domain
  (jsc#SLE-12251).
- cpuidle: psci: Support hierarchical CPU idle states
  (jsc#SLE-12251).
- cpuidle: psci: Simplify OF parsing of CPU idle state nodes
  (jsc#SLE-12251).
- cpuidle: dt: Support hierarchical CPU idle states
  (jsc#SLE-12251).
- of: base: Add of_get_cpu_state_node() to get idle states for
  a CPU node (jsc#SLE-12251).
- cpuidle: psci: Align psci_power_state count with idle state
  count (jsc#SLE-12251).
- PM / Domains: Align in-parameter names for some genpd functions
  (jsc#SLE-12251).
- commit cfb59fe
* Wed Nov 18 2020 msuchanek@suse.de
- powerpc/pmem: Initialize pmem device on newer hardware
  (jsc#SLE-16402 jsc#SLE-16497 bsc#1176109 ltc#187964).
- powerpc/pmem: Avoid the barrier in flush routines (jsc#SLE-16402
  jsc#SLE-16497 bsc#1176109 ltc#187964).
- powerpc/pmem: Update ppc64 to use the new barrier instruction
  (jsc#SLE-16402 jsc#SLE-16497 bsc#1176109 ltc#187964).
- libnvdimm/nvdimm/flush: Allow architecture to override the flush
  barrier (jsc#SLE-16402 jsc#SLE-16497 bsc#1176109 ltc#187964).
- powerpc/pmem: Add flush routines using new pmem store and sync
  instruction (jsc#SLE-16402 jsc#SLE-16497 bsc#1176109 ltc#187964).
- powerpc/pmem: Add new instructions for persistent storage and
  sync (jsc#SLE-16402 jsc#SLE-16497 bsc#1176109 ltc#187964).
- powerpc/pmem: Restrict papr_scm to P8 and above (jsc#SLE-16402
  jsc#SLE-16497 bsc#1176109 ltc#187964).
- commit 5a4cff0
* Wed Nov 18 2020 tiwai@suse.de
- gpio: Pass mask and size with the init_valid_mask()
  (jsc#SLE-12730).
- Refresh
  patches.suse/gpiolib-Introduce-add_pin_ranges-callback.patch.
- commit 4f43960
* Wed Nov 18 2020 tiwai@suse.de
- gpio: aspeed: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- Refresh
  patches.suse/gpio-aspeed-Fix-incorrect-number-of-banks.patch.
- commit 4ad35e3
* Wed Nov 18 2020 tiwai@suse.de
- gpio: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-12730).
- Refresh
  patches.suse/gpio-max77620-Don-t-shadow-error-code-of-platform_ge.patch.
- commit 3167e98
* Wed Nov 18 2020 tiwai@suse.de
- gpio: mockup: don't depend twice on GPIOLIB (jsc#SLE-12730).
- gpio: hlwd: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: xlp: Pass irqchip when adding gpiochip (jsc#SLE-12730).
- gpio: cadence: Pass irqchip when adding gpiochip
  (jsc#SLE-12730).
- gpio: thunderx: Switch to GPIOLIB_IRQCHIP (jsc#SLE-12730).
- gpio: ixp4xx: Convert to hierarchical GPIOLIB_IRQCHIP
  (jsc#SLE-12730).
- gpio: remove ks8695 driver (jsc#SLE-12730).
- commit 7ebfb0b
* Wed Nov 18 2020 tiwai@suse.de
- gpiolib: acpi: Split ACPI stuff to gpiolib-acpi.h
  (jsc#SLE-12730).
- Refresh
  patches.suse/gpiolib-acpi-Add-honor_wakeup-module-option-quirk-me.patch.
- Refresh
  patches.suse/gpiolib-acpi-Rework-honor_wakeup-option-into-an-igno.patch.
- Refresh
  patches.suse/gpiolib-acpi-Turn-dmi_system_id-table-into-a-generic.patch.
- commit f7da78b
* Wed Nov 18 2020 tiwai@suse.de
- gpio: madera: Use local copy of pdata (jsc#SLE-12730).
- gpio: arizona: Use local copy of pdata (jsc#SLE-12730).
- gpio: viperboard: Replace 'unsigned' with 'unsigned int'
  (jsc#SLE-12730).
- gpio: refactor gpiochip_allocate_mask() with bitmap_alloc()
  (jsc#SLE-12730).
- gpiolib-acpi: Move acpi_dev_add_driver_gpios() et al to
  consumer.h (jsc#SLE-12730).
- gpio: max77650: add MODULE_ALIAS() (jsc#SLE-12730).
- gpio: bd70528: remove redundant assignment to variable ret
  (jsc#SLE-12730).
- gpio: bd70528: fix spelling misstake "debouce" -> "debounce"
  (jsc#SLE-12730).
- commit b978538
* Wed Nov 18 2020 ohering@suse.de
- Drivers: hv: vmbus: Allow cleanup of VMBUS_CONNECT_CPU if
  disconnected (git-fixes).
- commit 1361be0
* Wed Nov 18 2020 jeyu@suse.de
- Update Patch-metadata after merging into mainline:
- patches.suse/i40e-xsk-uninitialized-variable-in-i40e_clean_rx_irq.patch
- commit 0b71e11
* Wed Nov 18 2020 yousaf.kaukab@suse.com
- optee: model OP-TEE as a platform device/driver (jsc#SLE-12251).
- tee: optee: Fix compilation issue with nommu (jsc#SLE-12251).
- optee: Fix multi page dynamic shm pool alloc (jsc#SLE-12251).
- tee: optee: fix device enumeration error handling
  (jsc#SLE-12251).
- tee: optee: Fix dynamic shm pool allocations (jsc#SLE-12251).
- tee: optee: add might_sleep for RPC requests (jsc#SLE-12251).
- commit 859d294
* Wed Nov 18 2020 jslaby@suse.cz
- x86/platform/uv: Fix copied UV5 output archtype (bsc#1178908
  bsc#1177710 jsc#SLE-13285).
- x86/platform/uv: Drop last traces of uv_flush_tlb_others
  (bsc#1178908 bsc#1177710 jsc#SLE-13285).
- x86/tlb/uv: Add a forward declaration for struct flush_tlb_info
  (bsc#1178908 bsc#1177710 jsc#SLE-13285).
- x86/platform/uv: Mark is_uv_hubless() static (bsc#1178908
  bsc#1177710 jsc#SLE-13285).
- commit a7ea789
* Wed Nov 18 2020 tiwai@suse.de
- Input: resistive-adc-touch - fix kconfig dependency on
  IIO_BUFFER (git-fixes).
- Input: adxl34x - clean up a data type in adxl34x_probe()
  (git-fixes).
- commit 35dd120
* Wed Nov 18 2020 ohering@suse.de
- Add bug reference to a pci-hyperv patch (bsc#1178901).
- commit 5530843
* Wed Nov 18 2020 glin@suse.com
- bpfilter: switch bpfilter_ip_set_sockopt to sockptr_t
  (bsc#1177028).
- commit f612634
* Wed Nov 18 2020 tiwai@suse.de
- Input: sunkbd - avoid use-after-free in teardown paths
  (CVE-2020-25669 bsc#1178182).
- commit bafe1db
* Wed Nov 18 2020 glin@suse.com
- bpfilter: Allow to build bpfilter_umh as a module without static library (bsc#1177028).
  Update config files:
- Add CONFIG_BPFILTER_UMH=m back to x86_64/default
- umd: Stop using split_argv (bsc#1177028).
- umd: Remove exit_umh (bsc#1177028).
- bpfilter: Take advantage of the facilities of struct pid (bsc#1177028).
  Refresh patches.suse/net-bpfilter-split-__bpfilter_process_sockopt.patch
- exit: Factor thread_group_exited out of pidfd_poll
  (bsc#1177028).
- umd: Track user space drivers with struct pid (bsc#1177028).
  Refresh patches:
- patches.suse/bpfilter-Initialize-pos-variable.patch
- patches.suse/bpfilter-fix-up-a-sparse-annotation.patch
- patches.suse/net-bpfilter-split-__bpfilter_process_sockopt.patch
- bpfilter: Move bpfilter_umh back into init data (bsc#1177028).
- exec: Remove do_execve_file (bsc#1177028).
- umh: Stop calling do_execve_file (bsc#1177028).
- umd: Transform fork_usermode_blob into fork_usermode_driver
  (bsc#1177028).
- umd: Rename umd_info.cmdline umd_info.driver_name (bsc#1177028).
- umd: For clarity rename umh_info umd_info (bsc#1177028).
- umh: Separate the user mode driver and the user mode helper
  support (bsc#1177028).
- umh: Remove call_usermodehelper_setup_file (bsc#1177028).
- umh: Rename the user mode driver helpers for clarity
  (bsc#1177028).
- umh: Move setting PF_UMH into umh_pipe_setup (bsc#1177028).
- umh: Capture the pid in umh_pipe_setup (bsc#1177028).
- commit 7fb16dd
* Wed Nov 18 2020 glin@suse.com
- bpfilter: document build requirements for bpfilter_umh
  (bsc#1177028).
- bpfilter: use 'userprogs' syntax to build bpfilter_umh
  (bsc#1177028).
- kbuild: add infrastructure to build userspace programs
  (bsc#1177028).
- bpfilter: check if $(CC) can link static libc in Kconfig (bsc#1177028).
  Update config files
- Set CONFIG_CC_CAN_LINK_STATIC=n since we don't build in bpfilter
- Temporarily remove CONFIG_BPFILTER_UMH=m
  + Will add it back later
- commit 4602c14
* Tue Nov 17 2020 tonyj@suse.de
- perf/x86/intel: Support per-thread RDPMC TopDown metrics
  (jsc#SLE-13346).
- perf/x86/intel: Support TopDown metrics on Ice Lake
  (jsc#SLE-13346).
- perf/x86: Add a macro for RDPMC offset of fixed counters
  (jsc#SLE-13346).
- commit 6b22c07
* Tue Nov 17 2020 tonyj@suse.de
- perf/x86/intel: Generic support for hardware TopDown metrics
  (jsc#SLE-13346).
- Refresh
  patches.suse/perf-x86-fix-n_pair-for-cancelled-txn.patch.
- commit dba68ee
* Tue Nov 17 2020 tonyj@suse.de
- perf/core: Add a new PERF_EV_CAP_SIBLING event capability
  (jsc#SLE-13346).
- perf/x86/intel: Use switch in intel_pmu_disable/enable_event
  (jsc#SLE-13346).
- perf/x86/intel: Fix the name of perf METRICS (jsc#SLE-13346).
- perf/x86/intel: Move BTS index to 47 (jsc#SLE-13346).
- perf/x86/intel: Introduce the fourth fixed counter
  (jsc#SLE-13346).
- perf/x86/intel: Name the global status bit in NMI handler
  (jsc#SLE-13346).
- perf/x86: Use event_base_rdpmc for the RDPMC userspace support
  (jsc#SLE-13346).
- perf/x86: Keep LBR records unchanged in host context for guest
  usage (jsc#SLE-13346).
- perf/x86: Add constraint to create guest LBR event without hw
  counter (jsc#SLE-13346).
- perf/x86/lbr: Add interface to get LBR information
  (jsc#SLE-13346).
- perf/x86/core: Refactor hw->idx checks and cleanup
  (jsc#SLE-13346).
- perf/core: Unify {pinned,flexible}_sched_in() (jsc#SLE-13346).
- perf/x86/intel: Avoid unnecessary PEBS_ENABLE MSR access in PMI
  (jsc#SLE-13346).
- perf/x86: Provide stubs of KVM helpers for non-Intel CPUs
  (jsc#SLE-13346).
- perf/x86/intel: Implement LBR callstack context synchronization
  (jsc#SLE-13346).
- perf/core, perf/x86: Introduce swap_task_ctx() method at
  'struct pmu' (jsc#SLE-13346).
- commit 0679634
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- regulator: fixed: add off-on-delay (jsc#SLE-12251).
- commit 799dfed
* Tue Nov 17 2020 pjakobsson@suse.de
- resource: add a not device managed request_free_mem_region
  variant (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Refresh
  patches.suse/dev-mem-Revoke-mappings-when-a-driver-claims-the-reg.patch.
- commit 970e8db
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- rtc: ds1307: Clear OSF flag on DS1388 when setting time
  (jsc#SLE-12251).
- commit cc52d58
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- rtc: ds1307: provide an indication that the watchdog has fired
  (jsc#SLE-12251).
- rtc: ds1307: check for failed memory allocation on wdt
  (jsc#SLE-12251).
- rtc: ds1307: add support for watchdog timer on ds1388
  (jsc#SLE-12251).
- rtc: ds1307: handle oscillator failure flags for ds1388 variant
  (jsc#SLE-12251).
- commit d4d523e
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- i2c: mux: pca954x: Convert license to SPDX identifier
  (jsc#SLE-12251).
- i2c: mux: pca954x: Move device_remove_file() out of
  pca954x_cleanup() (jsc#SLE-12251).
- i2c: mux: pca954x: Make use of device properties
  (jsc#SLE-12251).
- i2c: mux: pca954x: Refactor pca954x_irq_handler()
  (jsc#SLE-12251).
- i2c: mux: pca954x: support property idle-state (jsc#SLE-12251).
- commit 8b7638a
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- i2c: imx: ACPI support for NXP i2c controller (jsc#SLE-12251).
- commit 0652f75
* Tue Nov 17 2020 oneukum@suse.com
- docs: ABI: sysfs-c2port: remove a duplicated entry (git-fixes).
- commit 436b016
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- dmaengine: fsl-dpaa2-qdma: remove set but not used variable
  'dpaa2_qdma' (jsc#SLE-12251).
- dmaengine: fsl-dpaa2-qdma: Adding shutdown hook (jsc#SLE-12251).
- dmaengine: fsl-dpaa2-qdma: Remove unnecessary local variables
  in DPDMAI_CMD_CREATE macro (jsc#SLE-12251).
- dmaengine: fsl-dpaa2-qdma: export the symbols (jsc#SLE-12251).
- dmaengine: fsl-dpaa2-qdma: Add NXP dpaa2 qDMA controller driver
  for Layerscape SoCs (jsc#SLE-12251).
- dmaengine: fsl-dpaa2-qdma: Add the DPDMAI(Data Path DMA
  Interface) support (jsc#SLE-12251).
- commit 297a0bf
* Tue Nov 17 2020 yousaf.kaukab@suse.com
- mmc: sdio: fix clock rate setting for SDR12/SDR25 mode
  (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: exit HS400 properly before setting any
  speed mode (jsc#SLE-12251).
- mmc: sdhci: add spin lock for sdhci_set_default_irqs in
  sdhci_init (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: fix serious issue clock is always disabled
  (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: fix transfer mode register reading
  (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: fix clock setting for different controller
  versions (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: update tuning erratum A-008171
  (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: convert to use esdhc_tuning_window_ptr()
  (jsc#SLE-12251).
- mmc: sdhci-of-esdhc: use 1/2 periperhal clock for ls1088a
  (jsc#SLE-12251).
- commit c331989
* Tue Nov 17 2020 oneukum@suse.com
- kgdb: Fix spurious true from in_dbg_master() (git-fixes).
- commit 1e8d73b
* Tue Nov 17 2020 pjakobsson@suse.de
- Update config files.
  Update for DRM v5.8 backport
- commit db4dda7
* Tue Nov 17 2020 glin@suse.com
- bpf, doc: Remove references to warning message when using
  bpf_trace_printk() (bsc#1177028).
- commit 305cc47
* Tue Nov 17 2020 glin@suse.com
- bpf: Setup socket family and addresses in bpf_prog_test_run_skb (bsc#1177028).
  Refresh patches.suse/bpf-Allow-to-specify-ifindex-for-skb-in-bpf_prog_tes.patch
- commit 4740764
* Tue Nov 17 2020 glin@suse.com
- s390/bpf: Use bpf_skip() in bpf_jit_prologue() (bsc#1177028).
- commit 3e03b2e
* Tue Nov 17 2020 jlee@suse.com
- efi: Fix handling of multiple efi_fake_mem= entries
  (jsc#SLE-16407).
- efi: Fix efi_memmap_alloc() leaks (jsc#SLE-16407).
- efi: Add tracking for dynamically allocated memmaps
  (jsc#SLE-16407).
- efi: Add a flags parameter to efi_memory_map (jsc#SLE-16407).
- efi/libstub/random: Initialize pointer variables to zero for
  mixed mode (jsc#SLE-16407).
- x86/efi: Update e820 with reserved EFI boot services data to
  fix kexec breakage (jsc#SLE-16407).
- efi: Fix efi_loaded_image_t::unload type (jsc#SLE-16407).
- efi/apple-properties: use PROPERTY_ENTRY_U8_ARRAY_LEN
  (jsc#SLE-16407).
- software node: introduce PROPERTY_ENTRY_XXX_ARRAY_LEN()
  (jsc#SLE-16407).
- x86/efi: Add efi_fake_mem support for EFI_MEMORY_SP
  (jsc#SLE-16407).
  Refresh
  patches.suse/0002-ima-generalize-x86-EFI-arch-glue-for-other-EFI-archi.patch
- x86/efi: Push EFI_MEMMAP check into leaf routines
  (jsc#SLE-16407).
  Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- efi: Enumerate EFI_MEMORY_SP (jsc#SLE-16407).
- ACPICA: make acpi_load_table() return table index
  (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-configfs-Add-missing-config_item_put-to-fix-ref.patch.
- ACPICA: Add new external interface, acpi_unload_table()
  (jsc#SLE-16407).
  Refresh
  patches.suse/ACPI-configfs-Add-missing-config_item_put-to-fix-ref.patch.
- efi/random: use arch-independent efi_call_proto()
  (jsc#SLE-16407).
- efi/efi_test: Lock down /dev/efi_test and require CAP_SYS_ADMIN
  (jsc#SLE-16407).
- commit 672368d
* Tue Nov 17 2020 glin@suse.com
- arm64: bpf: Fix branch offset in JIT (bsc#1177028).
- bpf: Remove inline from bpf_do_trace_printk (bsc#1177028).
- bpf, arm64: Add BPF exception tables (bsc#1177028).
- bpf: Use dedicated bpf_trace_printk event instead of
  trace_printk() (bsc#1177028).
- bpf: Allow %%pB in bpf_seq_printf() and bpf_trace_printk()
  (bsc#1177028).
- bpf: Support 'X' in bpf_seq_printf() helper (bsc#1177028).
- commit 8b2406b
* Tue Nov 17 2020 glin@suse.com
- bpf: Zero-fill re-used per-cpu map element (bsc#1155518).
- libbpf, hashmap: Fix undefined behavior in hash_bits
  (bsc#1155518).
- bpf: Don't rely on GCC __attribute__((optimize)) to disable GCSE
  (bsc#1155518).
- bpf: Fix comment for helper bpf_current_task_under_cgroup()
  (bsc#1155518).
- commit fb71c62
* Tue Nov 17 2020 pjakobsson@suse.de
- blacklist.conf: Add dups from DRM v5.8 backport
- commit 34e47a8
* Mon Nov 16 2020 mgorman@suse.de
- sched: Fix loadavg accounting race on arm64 kabi (bnc#1178227).
- commit a595855
* Mon Nov 16 2020 mkoutny@suse.com
- blacklist.conf: 11d6761218d1 mm, memcg: fix error return value of mem_cgroup_css_alloc()
- commit 0ae5ae6
* Mon Nov 16 2020 mkoutny@suse.com
- blacklist.conf: 8380ce479010 mm: fork: fix kernel_stack memcg stats for various stack implementations
- commit 5d6fe57
* Mon Nov 16 2020 mkoutny@suse.com
- mm, memcg: fix error return value of mem_cgroup_css_alloc()
  (bsc#1178852).
- mm: fork: fix kernel_stack memcg stats for various stack
  implementations (bsc#1177709).
- commit 7d19c25
* Mon Nov 16 2020 lduncan@suse.com
- loop: Set correct device size when using LOOP_CONFIGURE
  (bsc#1177476).
- commit 3d60db0
* Mon Nov 16 2020 pjakobsson@suse.de
- Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- blacklist.conf: unblacklist patches included in the DRM v5.8
  backport.
- drm/amd/display: Clear dm_state for fast updates (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Accept 'legacy' format modifiers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: hold gem reference until object is no longer accessed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dbi: Fix SPI Type 1 (9-bit) transfer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/drm_fb_helper: fix fbdev with sparc64 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Fix stability issue (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: nwl-dsi: Drop DRM_BRIDGE_ATTACH_NO_CONNECTOR check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Fix auo, kd101n80-45na horizontal noise on edges
  of panel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: simple: Delay HPD checking on boe_nv133fhm_n61
  for 15 ms (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge/adv7511: set the bridge type properly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: of: Fix double-free bug (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon: zero-initialise the mode_cmd2 structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fbcon: fix module unload when fbcon init has failed
  for (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/tu102: wait for core update to complete when
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gf100: use correct format modifiers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/gm200-: fix regression from HDA SOR selection
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: Detect integer underflow at "struct
  fbcon_ops"->clear_margins (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix NULL dereference in dpm sysfs handlers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix a crash when overclocking Vega M
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: fix wait pp reset timeout (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: sun4i: hdmi: Fix inverted HPD result (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sdma5: fix wptr overwritten in ->get_wptr()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: Modify SMC message name for setting power
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: handle failed allocation during stream
  construction (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: OLED panel backlight adjust not work with
  external (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: create fake mst encoders ahead of time (v4)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix preemption unit test (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: fix race condition for kiq (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Recalculate FBC w/a stride when needed (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Move cec_notifier to intel_hdmi_connector_unregister,
  v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Only swap to a random sibling once upon creation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Ignore irq enabling on the virtual engines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Use GTT when saving/restoring engine GPR
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fix compare functions provided for sorting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dmabuf: use spinlock to access dmabuf->name (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/aspeed: Call drm_fbdev_generic_setup after drm_dev_register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: fix update of display surface when resolution
  changes (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: don't do soft recovery if gpu_recovery=0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: fix double free (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add dmcub check on RENOIR (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add TMR destory function for psp (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: asd function needs to be unloaded in suspend phase
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Pin the rings before marking active (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Also drop vm.ref along error paths for vma
  construction (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop vm.ref for duplicate vma on construction
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Fix fence_y_offset handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Skip stale object handle for debugfs per-file-stats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nouveau: fix page fault on device private memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: fix migrate page regression (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/i2c/g94-: increase NV_PMGR_DP_AUXCTL_TRANSACTREQ
  timeout (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: bail from nv50_audio_disable() early
  if audio (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon/hibmc: Move drm_fbdev_generic_setup() down
  to avoid the (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: viu: fix setting the OSD burst length in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: sun4i: hdmi: Remove extra HPD polling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: Move dma_buf_release() from fops to dentry_ops
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use %%u rather than %%d for sclk/mclk (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/atomfirmware: fix vram_info fetching for renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Only revalidate bandwidth on medium and
  fast updates (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Fix NULL dereference in lock_bus() on Vega20
  w/o (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Include asm sources for {ivb, hsw}_clear_kernel.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Use GFP_ATOMIC instead of GFP_KERNEL in
  atomic context (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix incorrect check of enabled bits in mask
  registers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix two CFL MMIO handling caused by regression
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Add one missing MMIO handler for D_SKL_PLUS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: fix ref count leak in mic_pre_enable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: Properly propagate return value in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: Remove dev_err() on platform_get_irq() failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Fix up the rest of the messed up address sizes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Fix setup of a6xx create_address_space (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Fix address space size after refactor (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Fix 0xfffflub in "Refactor address space
  initialization" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: allow initialization of encoder locks during
  encoder (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: fix error return code in dpu_encoder_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: fix potential memleak in error branch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: request for display color blocks based on
  hw catalog (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-helper: Fix vt restore (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: mixer: Call of_dma_configure if there's an IOMMU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel-orientation-quirks: Use generic orientation-data
  for Acer (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: panel-orientation-quirks: Add quirk for Asus T101HA panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: uvesafb: fix "noblank" option handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: fix connector type for (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel-simple: fix connector type for LogicPD Type28 Display
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: mcde: Fix forgotten user of drm->dev_private
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: mcde: Fix display initialization problem (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: Fix dma_fence refcnt leak when adding move fence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: Fix dma_fence refcnt leak in ttm_bo_vm_fault_reserved
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd: fix potential memleak in err branch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix ineffective setting of max bpc property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Enable output_bpc property on all outputs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add fw release for sdma v5_0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: fix fb_div check in ni_init_smc_spll_table()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: Unlock mutex on error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: Add zpos property for cursor planes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu: host1x: Correct trivial kernel-doc inconsistencies
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: hub: Register child devices (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu: host1x: Register child devices (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: hub: Do not enable orphaned window group
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: Clean up debugfs in error handling path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: Fix build error (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: backlight: tosa_lcd: convert to use
  i2c_new_client_device() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: encoder_slave: use new I2C API (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: encoder_slave: fix refcouting error for modules
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix documentation around busy_percentage
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/pm: update comment to clarify Overdrive interfaces
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use correct major in devcgroup check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Rework dsc to isolate FPU operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Replace invalid device ID with a valid device ID
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use kfree() to free rgb_user in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use kvfree() to free coeff in build_regamma()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Fix the encoder type check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/icl+: Fix hotplug interrupt disabling after storm
  detection (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move gen4 GT workarounds from init_clock_gating to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move ilk GT workarounds from init_clock_gating to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move snb GT workarounds from init_clock_gating to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move vlv GT workarounds from init_clock_gating to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move ivb GT workarounds from init_clock_gating to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move hsw GT workarounds from init_clock_gating to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/icl: Disable DIP on MST ports with the transcoder clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Incrementally check for rewinding (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tc: fix the reset of ln0 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Prevent timeslicing into unpreemptable requests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Restore to default heartbeat (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: work around false-positive maybe-uninitialized warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: avoid an maybe-uninitialized warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Incorporate the virtual engine into timeslicing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Replace zero-length array with flexible-array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amdgpu: a NULL ->mm does not mean a thread is a kthread
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: fix missing break in switch statement for format->cpp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: hdmi ddc clk: Fix size of m divider (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/connector: notify userspace on hotplug after register
  complete (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Only query DP state of a DDI encoder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/params: fix i915.reset module param type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Mark the buffer pool as active for the cmdparser
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- i915:get_engines(): get rid of pointless access_ok()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- i915: alloc_oa_regs(): get rid of pointless access_ok()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- i915 compat ioctl(): just use drm_ioctl_kernel() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- i915: switch copy_perf_config_registers_or_number() to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- i915: switch query_{topology,engine}_info() to copy_to_user()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- mmap locking API: use coccinelle to convert mmap_sem rwsem
  call sites (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- DMA reservations: use the new mmap locking API (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mmap locking API: initial implementation as rwsem wrappers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- mm: don't include asm/pgtable.h if linux/mm.h is already
  included (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/msm/dpu: add support for clk and bw scaling
  for display" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: skip HFI set freq if GMU is powered down
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Update the MMU helper function APIs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Refactor address space initialization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Attach the IOMMU device during initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: dpu_setup_dspp_pcc() can be static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: a6xx_hfi_send_start() can be static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a4xx: add a405_registers for a405 device (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a4xx: add adreno a405 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: update a6xx_hw_init for A640 and A650
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: enable GMU log (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: update pdc/rscc GMU registers for A640/A650
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: A640/A650 GMU firmware path (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: HFI v2 for A640 and A650 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: add A640/A650 to gpulist (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: use msm_gem for GMU memory objects (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: add internal MSM_BO_MAP_PRIV flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: add msm_gem_get_and_pin_iova_range (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Check for powered down HW in the devfreq callbacks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: update bandwidth threshold check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: add support for clk and bw scaling for display
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: add support for pcc color block in dpu driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: add support for color processing blocks in
  dpu driver (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/mdp5: Fix mdp5_init error path for failed mdp5_kms
  allocation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Fix typo (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Fix undefined "rd_full" link error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Add syncobj support (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Fix compile warnings (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: Fix a typo in an error message (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/mdp5: Add MDP5 configuration for MSM8x36 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Use ARRAY_SIZE for vgpu_types (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/params: fix i915.fake_lmem_start module param sysfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/params: don't expose inject_probe_failure in debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Whitelist context-local timestamp in the gen9
  cmdparser (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix global state use-after-frees with a refcount
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Check for awaits on still currently executing requests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Do not schedule normal requests immediately along
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Reorder await_execution before await_request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Avoid iterating an empty list (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Avoid using rq->engine after free during
  i915_fence_release (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Disable semaphore inter-engine sync without
  timeslicing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't set queue-priority hint when supressing the
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Revalidate bandwidth before commiting
  DC updates (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: use blanked rather than plane state for sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amd/display: disable dcn20 abm feature for bring up"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: ack the SMUToHost interrupt on receive V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/pm: return an error during GPU reset or suspend (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: clear SW state of disabled windows harder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: gr/gk20a: Use firmware version 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/disp/gm200-: detect and potentially disable
  HDA support (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/gp100: split SOR implementation from gm200
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp: modify OR allocation policy to account for HDA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp: split part of OR allocation logic into
  a function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp: provide hint to OR allocation about HDA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gt215-: fix race with audio driver runpm
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/gm200-: fix NV_PDISP_SOR_HDMI2_CTRL(n)
  selection (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: constify sysrq_key_op (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- powerpc: Remove Xilinx PPC405/PPC440 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drivers/powerpc: Replace _ALIGN_UP() by ALIGN() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: remove drm specific kmap_atomic code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: Add backlight_device_get_by_name() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: qcom-wled: Add support for WLED5 peripheral that is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: qcom-wled: Add callback functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: l4f00242t03: Convert to GPIO descriptors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: lp855x: Ensure regulators are disabled on probe
  failure (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- media: cec-gpio: handle gpiod_get_value errors correctly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix device attribute node create failed with multi
  gpu (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Sync with VM root BO when switching VM to CPU
  update mode (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Handle GPU reset for DC block (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add apu flags (v2) (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerpay: Disable gfxoff when setting manual mode on
  picasso and raven (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix pm sysfs node handling (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move gpu_info parsing after common early init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move discovery gfx config fetching (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: resize VRAM BAR for CPU access on gfx10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop navi pcie bw callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: improve error handling in pcie_bw (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: fix restore worker race condition (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: off by one in amdgpu_device_attr_create_groups()
  error handling (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu10: Replace one-element array and use
  struct_size() helper (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Set/Reset avmute when disable/enable stream
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix incorrectly pruned modes with deep color
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: correct rn NUM_VMID (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Avoid pipe split when plane is too small
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix and simplify pipe split logic
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Minimize DSC resource re-assignment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add condition to set MP1 state on gpu reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: report the real PCI bus number (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu fix incorrect sysfs remove behavior for xgmi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: unify the prompts on thermal interrupts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Enable fp16 also on DCE-11.0 - DCE-12. (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Expose support for xBGR ordered fp16 formats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: Remove old DPG workaround (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/jpeg2.5: Remove JPEG_ENC_MASK from clock ungating
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: resolve ras recovery vs smi race condition
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Fix boolreturn.cocci warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Respect PP_STUTTER_MODE but don't override
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix disable_stutter debug option
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DC Debug mask to disable features
  for bringup (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: cleanup unnecessary virt sriov check in amdgpu
  attribute (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Fix -Wformat compile warnings on some arches
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp: Lenovo X13 Yoga OLED panel brightness fix
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: use correct conflicting framebuffer API
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/dispnv50: fix runtime pm imbalance on error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: fix runtime pm imbalance on error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/debugfs: fix runtime pm imbalance on error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nouveau/hmm: fix migrate zero page to GPU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nouveau/hmm: fix nouveau_dmem_chunk allocations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Share DP SST mode_valid() handling with
  MST (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Move 8BPC limit for MST into
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gv100-: Add support for interlaced modes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Probe SOR and PIOR caps for DP
  interlacing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Initialize core channel in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/hda/gv100-: NV_PDISP_SF_AUDIO_CNTRL0
  register moved (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/hda/gf119-: select HDA device entry based
  on bound (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/hda/gf119-: add HAL for programming device
  entry in (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/hda/gt215-: pass head to nvkm_ior.hda.eld()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/nv50-: increase timeout on pio channel free()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Fix regression by audio component transition
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/device: use regular PRI accessors in chipset
  detection (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/device: detect vGPUs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/device: detect if changing endianness failed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/device: rework mmio mapping code to get rid of
  second map (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mmu: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: Use generic helper to check _PR3 presence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: Use kmemdup instead of kmalloc and memcpy
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core/memory: remove redundant assignments to
  variable ret (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: map pages after migration (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/disp/gv100-: expose capabilities class
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/bios: move ACPI _ROM handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: remove open-coded version of (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/gr/gk20a: move MODULE_FIRMWARE firmware definitions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/ibus: use nvkm_subdev_new_() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/core: add nvkm_subdev_new_() for bare subdevs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Support NVIDIA format modifiers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms: Check framebuffer size against bo
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Add format mod prop to base/ovly/nvdisp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: ensure falcon providing acr functions is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Remove struct nouveau_framebuffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Remove field nvbo from struct
  nouveau_framebuffer (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Move struct nouveau_framebuffer.vma to struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms: Remove unused fields from struct
  nouveau_framebuffer (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: fix out-of-tree module build (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Generalized NV Block Linear DRM format mod (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix AUX power domain toggling across TypeC mode resets
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark check_shadow_context_ppgtt as maybe unused
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: avoid unused scale_user_to_hw() warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos-vidi: convert platform driver to use dev_groups
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: dsi: Remove bridge node reference in error
  handling path (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: mixer: Fix enabling of the runtime power management
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: make pointer to const data const type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: gem: Get rid of the internal 'pages' array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: gem: rework scatter-list contiguity check on
  prime import (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: gem: Remove dead-code (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: Delete an error message in three functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200515 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Document locking guidelines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Extract i915_cs_timestamp_{ns_to_ticks,tick_to_ns}()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Store CS timestamp frequency in Hz (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Nuke pointless div by 64bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Enable SAGV support for Gen12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Restrict qgv points which don't have enough bandwidth
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add TGL+ SAGV support (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: use context lrc_reg_state for shadow ppgtt
  override (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Support PPGTT table load command (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: move workload destroy out of execlist complete
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Use new DP VSC SDP compute routine on PSR
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Add compute routine for DP PSR VSC SDP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Stop sending DP SDPs on ddi disable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Program DP SDPs on pipe updates (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix enabled infoframe states of lspcon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add state readout for DP VSC SDP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add state readout for DP HDR Metadata Infoframe SDP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Program DP SDPs with computed configs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Include DP VSC SDP in the crtc state dump
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Include DP HDR Metadata Infoframe SDP in the
  crtc state (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Include HDMI DRM infoframe in the crtc state dump
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add logging function for DP VSC SDP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: Read out DP SDPs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video/hdmi: Add Unpack only function for DRM infoframe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Transfer old virtual breadcrumbs to irq_worker
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Always call the provided (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Show per-engine default property values in sysfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop no-semaphore boosting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop I915_RESET_TIMEOUT and friends (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Mark the addition of the initial-breadcrumb in
  the request (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Remove redundant exec_fence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove duplicate inline specifier on write_pte
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Suspend tasklets before resume sanitization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make active_pipes check skl specific (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Extract skl SAGV checking (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce skl_plane_wm_level accessor (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Reset execlists registers before HWSP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ehl: Restrict w/a 1607087056 for EHL/JSL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Restore Cherryview back to full-ppgtt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Force pte cacheline to main memory (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove unused HAS_FWTABLE macro (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Always flush before unpining after writing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Emit await(batch) before MI_BB_START (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use stashed away hpd isr bits in
  intel_digital_port_connected() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Stash hpd status bits under dev_priv (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Turn intel_digital_port_connected() in a vfunc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix glk watermark calculations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/mst: Wait for ACT sent before enabling the pipe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Tidy awaiting on dma-fences (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Make intel_timeline_init static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Mark up the racy read of execlists->context_tag
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Replace zero-length array with flexible-array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Replace the hardcoded I915_FENCE_TIMEOUT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Prevent using semaphores to chain up to external
  fences (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Peel dma-fence-chains for await (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Improve precision on defer_request assert
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pull waiting on an external dma-fence into its routine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Ignore submit-fences on the same timeline
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gen12: Add aux table invalidate for all engines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove wait priority boosting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gen12: Invalidate aux table entries forcibly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gen12: Flush L3 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gen12: Fix HDC pipeline flush (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/i915/tgl: Include ro parts of l3 to invalidate"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/icp: Add Wa_14010685332 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Stop holding onto the pinned_default_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Record the active CCID from before reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Added required new PCode commands (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Small tidy of gen8+ breadcrumb emission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Repeat the rps clock frequency measurement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Warn if the FBC is still writing to stolen
  on removal (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Streamline the artihmetic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Rename variables to be consistent with bspec
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Nuke mode.vrefresh usage (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove cnl pre-prod workarounds (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Require linear fb stride to be multiple of 512
  bytes on gen9/glk (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Rename bw_state to new_bw_state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Track active_pipes in bw_state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use bw state for per crtc SAGV evaluation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Implement legacy MI_STORE_DATA_IMM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Specify address type for chained reloc batches
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Allow some leniency in PCU reads (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Lazily acquire the device wakeref for freeing
  objects (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Sanitize RPS interrupts upon resume (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Try an alternate engine for relocations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Use a single chained reloc batches for a
  single execbuf (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Use chained reloc batches (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Implement vm_ops->access for gdb access into mmaps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: Keep a reference to module while active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move the batch buffer pool from the engine to the
  gt (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add a UAPI flag for user to call mem_sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: apply AMDGPU_IB_FLAG_EMIT_MEM_SYNC to compute
  IBs too (v3) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add mem_sync implementation for all the ASICs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add new ring callback to insert memory sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: optimize amdgpu device attribute code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add amdgpu_virt_get_vf_mode helper function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add autodump debugfs node for gpu reset v8
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Updated XGMI power down control support check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Update RAS XGMI error inject sequence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add DPM function for XGMI link power down control
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add cmd to control XGMI link sleep (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove redundant assignment to variable ret
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: turn back rlcg write for gfx_v10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: report correct AC/DC event based on ctxid V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: shutdown on HW CTF (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: try to do a graceful shutdown on SW CTF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add AQUIRE_MEM PACKET3 fields defintion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Use atomic_fetch_add() for the context id
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: dsi: Fix return value check in mcde_dsi_bind()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Embed connector instance in struct mga_device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Remove unused fields from struct mga_device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Use managed mode-config initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Integrate init function into load function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Remove several references to struct mga_device.dev
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Convert struct drm_device to struct mga_device with
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: pxa168fb: make pxa168fb_init_mode() return void
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i2c/tda998x: Make tda998x_audio_digital_mute static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: Support hpd-gpios for delaying prepare()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- panel: simple: Add BOE NV133FHM-N62 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- panel: simple: Fix size and bpp of BOE NV133FHM-N61
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- uapi/drm/drm_fourcc.h: Note on platform specificity for format
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Don't check new mode if CRTC is being disabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Make ast_primary_plane_helper_atomic_update static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drivers: drm: panel: Add ASUS TM5P5 NT35596 panel driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: add MODULE_LICENSE to panel-visionox-rm69299.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: Set primary plane zpos immutably at initializing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: plane: Verify that no or all planes have a zpos property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: remove defined but not used 'crtc_offsets'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Add missing GRBM bits for GFX 10.1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: skip judging if baco support for
  Arcturus sriov (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: only set DPM_FLAG_NEVER_SKIP for legacy ATPX BOCO
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop extra runtime pm handling in resume pmop
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix runpm logic in amdgpu_pmops_resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop pm_runtime_set_active (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cleanup sysfs file handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use node_id and node_size to calcualte
  dram_base_address (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: switch to common rlc_autoload helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: drop unused ras ta helper function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: switch to common ras ta helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: switch to common xgmi ta helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove duplicate headers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove variable "result" in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: cleanup coding style a bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fix bug in RAS invoke (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/navi10: fix unsigned comparison with 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable MGCG/MGLS also on gfx CG ungate
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use the BAR if possible in amdgpu_device_vram_access
  v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add dm support for DP 1.4 Compliance edid
  corruption (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: allocate large structures dynamically
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amdgpu_acpi: add backlight control for the DC case
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: fix unsigned comparison with 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Avoid integer overflow in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.84 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add struct field for future use (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: move location of dmub_srv.h file
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove unused module/stats (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Check DMCU Exists Before Loading
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add 4 to 1 MPC split support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: The external monitor will show gray
  screen during (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add addition dc type to translate to
  dmub fw type (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Support FP16 pixel format (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: temporary clamp the vratio used to 1.0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Allow PState switch in VBLANK one display
  VACTIVE (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Mode change with same timing causing
  long display (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Move panel_cntl specific register from abm to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove unused variable 'ret' in dm_suspend()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amd/amdgpu: Limit rlcg write registers only for nv12
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use a systematic method to calculate queue mask bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Rename amdgpu_gfx_kcq_queue_mask_transform()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip reservation of discovery tmr region in pre-Navi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: re-structue members for ip discovery (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update the method to set kcq queue mask
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: check SMU NULL ptr on gfx hw init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: change HWIP from UVD to VCN for VCN2.5
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add missing parameter description in comments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Fix comment formatting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Changed CU reservation golden settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Report domain with topology (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix unsigned comparison to zero (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'speakers'
  in dcn10_stream_encoder.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'speakers'
  in dce_stream_encoder.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'pixel_width'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'dc'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'direct_poll'
  in vcn_v2_5.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'direct_poll'
  in vcn_v2_0.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'priority'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: cleanup coding style a bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update RAS sequence to parse TA flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update RAS TA to Host interface (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update RAS error handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: put the audio codec into suspend state before
  gpu reset (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu10: remove duplicate assignment of
  smu10_hwmgr_funcs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove duplicate assignment of dcn21_funcs
  members (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Track GPU memory utilization per process
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200430 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: skip populate shadow context if guest context not
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: combine access to consecutive guest context pages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: access shadow ctx via its virtual address directly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- i915/gvt: remove unused xen bits (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add tiled blits selftest (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Restore aggressive post-boost downclocking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Apply the aggressive downclocking to parking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Switch to manual evaluation of RPS (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Track use of RPS interrupts in flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move rps.enabled/active to flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Always enable busy-stats for execlists
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Keep a no-frills swappable copy of the default
  context (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: fix error handling in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Avoid uninitialized use of rpcurupei in
  frequency_show (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Verify we don't submit two identical CCIDs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Wa_14011059788 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Tweak the tolerance for clock ticks to 12.5%%
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: fix spelling mistake "evalution" -> "evaluation"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Fix up clock frequency (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Sanitize GT first (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Check preempt-timeout target before
  submit_ports (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: re-disable -Wframe-address (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use indirect ctx bb to mend CMD_BUF_CCTL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add live selftests for indirect ctx batchbuffers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add per ctx batchbuffer wa for timestamp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add engine scratch register to live_lrc_fixed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop rq->ring->vma peeking from error capture
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use the RPM config register to determine clk
  frequencies (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Trace RPS events (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Prefer soft-rc6 over RPS DOWN_TIMEOUT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Split some long lines (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce .set_idle_link_train() vfunc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce .set_signal_levels() vfunc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce .set_link_train() vfunc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Have pfit calculations return an error code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass connector state to pfit calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: s/pipe_config/crtc_state/ in pfit functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use drm_rect to store the pfit window pos/size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Flatten a bunch of the pfit functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix skl+ non-scaled pfit modes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Only close vma we open (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make define for lrc state offset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Add context batchbuffers registers to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add request throughput measurement to perf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Check carefully for an idle engine in wait-for-idle
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Carefully order virtual_submission_tasklet
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/icl: Fix timeout handling during TypeC AUX power
  well enabling (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Drop request-before-CS assertion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Try to detect rollback during batchbuffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Disable heartbeat around RPS interrupt
  testing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Unroll the CS frequency loop (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Poison residual state across resume (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Disable C-states when measuring RPS
  frequency (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Show the full scaling curve on failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Show the pstate limits on any failure
  to reset (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/vlv_dsi: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/overlay: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/global_state: Prefer drm_WARN* over WARN*
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/frontbuffer: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/dpll_mgr: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/display: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/ddi: Prefer drm_WARN* over WARN*
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/atomic_plane: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/icl_dsi: Prefer drm_WARN_ON over WARN_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/audio: fix compressed_bpp check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: drop a bunch of superfluous inlines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/hdmi: remove unused intel_hdmi_hdcp2_protocol()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use single set of AUX powerwell ops for gen11+
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise dynamic reclocking with RPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Show the pcode frequency table on error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Split RPS frequency measurement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check RPS controls (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Skip energy consumption tests if not
  controlling (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Verify frequency scaling with RPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Push MST link retraining to the hotplug work
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Flatten intel_dp_check_mst_status() a bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass encoder all the way to
  intel_ddi_transcoder_func_reg_val_get() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Push TRANS_DDI_FUNC_CTL into the encoder->enable()
  hook (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move the TRANS_DDI_FUNC_CTL enable to a later point
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass encoder to intel_ddi_enable_pipe_clock()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move the late flush_submission in retire to the end
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/audio: error log non-zero audio power refcount
  after unbind (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Refactor setting dma info to a common helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: remove redundant assignment to variable test_result
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add ICL PG3 PW ID for EHL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tc: Do not warn when aux power well of static TC
  ports timeout (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tc: Catch TC users accessing FIA registers without
  enable aux (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tc/tgl: Implement TC cold sequences (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tc: Skip ref held check for TC legacy aux power wells
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tc/icl: Implement TC cold sequences (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Split hsw_power_well_enable() into two
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Add intel_legacy_aux_to_power_domain()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Move out code to return the digital_port
  of the aux ch (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add missing deinitialization cases of load failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/icl: Update forcewake firmware ranges (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Check power consumption at min/max
  frequencies (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Move gpu energy measurement into its
  own little (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add pre/post plane updates for SAGV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Prepare to extract gen specific functions from
  intel_can_enable_sagv (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add intel_atomic_get_bw_*_state helpers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Take the engine wakeref around
  __rps_up_interrupt (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Delay spinner before waiting for an
  interrupt (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Scrub execlists state on resume (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Enable DP Display Audio WA (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add i915_lpsp_status debugfs attribute (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add connector dbgfs for all connectors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add i915_lpsp_capability debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Power well id for ICL PG3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: Hold gem object while still in-use (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: enable cursor by default (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Make udl_handle_damage static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: valkyriefb.c: fix warning comparing pointer to 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: add support for rm69299 visionox panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: w100fb: Fix a potential double free
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: aty: use true, false for bool variables in atyfb_base.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: uvesafb: use true,false for bool variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: udlfb: use true,false for bool variables (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: i810: use true,false for bool variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: optimize rb_hole_addr rbtree search (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: Remove reference to the mem_glob member (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/client: Dual licence the header in GPL-2 and MIT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Replace drm_modeset_lock/unlock_all with
  DRM_MODESET_LOCK_ALL_* (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: add mode selection limits against specific SoC
  revisions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: chrontel-ch7033: Add a new driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tidss: remove AM65x PG1 YUV erratum code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: change default signal polarities and drives
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: boe-tv101wum-n16: fine tune clock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: panel-simple: fix AUO G101EVN010 connector/panel type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Correct DP DSC macro typo (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: remove duplicate assignment of ast_crtc_funcs member
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: fix stack usage warning on old gcc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: controlfb: fix build for COMPILE_TEST=y &&
  PPC_PMAC=y (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Nuke mode->hsync (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: pl111: Move VExpress setup into versatile init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: pl111: Simplify vexpress init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: pl111: Fix module autoloading (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use devm_drm_dev_alloc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: Don't use drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: Use devm_drm_dev_alloc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: make drm_file use keyed wakeups (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bochs: Remove explicit drm_connector_register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Drop explicit connector register/unregister
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/aspeed: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/aspeed: Drop aspeed_gfx->fbdev (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/cirrus: Move to drm/tiny (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/cirrus: Don't use drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/cirrus: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Don't set drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Don't use drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Use devm_drm_dev_alloc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: Delete tidss->saved_state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tidss: Don't use drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tidss: Use devm_drm_dev_alloc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/gm12u320: Don't use drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gm12u320: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hx8357d: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ili9225: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ili9341: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ili9486: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mi0283qt: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/repaper: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/st7586: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/st7735r: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: don't set drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Use devm_drm_dev_alloc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: Delete v3d_dev->pdev (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: Delete v3d_dev->dev (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: Use devm_drm_dev_alloc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: Don't set drm_device->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: Use devm_gen_pool_create (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: use managed pci functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: Stop using drm_device->dev_private
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vboxvideo: Use devm_drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: drop DRM_MTRR_WC #define (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Add devm_drm_dev_alloc macro (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: venc: remove unused variable 'venc_config_pal_bdghi'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Kill the second sideband tx slot, save the world
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: cdn-dp-core: Make cdn_dp_core_suspend/resume
  static (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: ltdc: check number of endpoints (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- panel: simple: Add Ivo M133NWF4 R0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- panel: simple: Add BOE NV133FHM-N61 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video/fbdev/riva: Remove dead code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: remove set but not used variable 'config'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: panel: Return always an error pointer in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ps8640: Let panel to set the connector type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: Set connector type for LP120UP1 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: ili9322: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: Add support for AUO G121EAN01.4 panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Add support for AUO G156XTN01.0 panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Add support for AUO G190EAN01 panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: enable runtime pm (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: add pm resume/suspend ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: separate clk/regulator enable/disable function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: add resume/suspend callback for each ip
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: power down ip blocks when pmu exit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: add lima_devfreq_resume/suspend (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: always set page directory when switch vm
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: check vm != NULL in lima_vm_put (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: print process name and pid when task error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: use module_platform_driver helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: Clean up redundant pdev pointer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: Clean up IRQ warnings (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/dp_mst: Remove single tx msg
  restriction." (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Enable over-subscription with >1 GWS queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Enable GWS based on FW Support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: New IOCTL to allocate queue GWS (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: pass unlocked flag to params at
  amdgpu_vm_bo_update_mapping (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add new unlocked flag for PTE updates
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rename direct to immediate for VM updates
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: cleanup IB pool handling a bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: partial revert VM sync changes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: check ring type for secure IBs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix size calculation in amdgpu_ttm_copy_mem_to_mem
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add full TMZ support into amdgpu_ttm_map_buffer v2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: cleanup amdgpu_ttm_copy_mem_to_mem and
  amdgpu_map_buffer v2 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix per-IB secure flag GFX hang (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fine-grained TMZ support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: stop evicting encrypted BOs to swap (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add TMZ handling to amdgpu_move_blit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: also add the TMZ flag to GART (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix the wrong logic checking when secure buffer
  is created (v3) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Move to a per-IB secure flag (TMZ) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Indicate use of TMZ buffers to DC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: implement TMZ accessor (v3) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove the alignment placeholder for secure buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move CS secure flag next the structs where it's used
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable TMZ bit in FRAME_CONTROL for gfx10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable TMZ bit in sdma copy pkt for sdma v5
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable TMZ bit in sdma copy pkt for sdma v4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: expand amdgpu_copy_buffer interface with tmz
  parameter (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: expand sdma copy_buffer interface with tmz parameter
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix up for amdgpu_tmz.c and removal of drm/drmP.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set TMZ bits in PTEs for secure BO (v4)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: job is secure iff CS is secure (v5) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: expand the context control interface with trust flag
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: expand the emit tmz interface with trusted flag
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add tmz bit in frame control packet (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add function to check tmz capability (v4)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add amdgpu_tmz data structure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add tmz feature parameter (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: define the TMZ bit for the PTE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add UAPI to create secure commands (v3)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add UAPI for creating encrypted buffers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.83.1 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.83 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Internal refactoring to abstract color caps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add set backlight to hw sequencer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add dummy p-state latency bounding box override
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add panel cntl id for set backlight level
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Pass command instead of header into DMUB
  service (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Change viewport limit to 12 for DCN2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fail validation if building scaling
  params fails (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DML variable for future asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: clean up some header paths (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix DMUB meta offset for new load method
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Do not disable pipe split if mode is not
  supported (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.82 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: wait for tiles off after unpause
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amd/powerplay: avoid using pm_en before it is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Put ASIC revision into HSA capability
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove conversion to bool in dc_link_ddc.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove conversion to bool in dcn20_mpc.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove conversion to bool in amdgpu_device.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: decouple EccErrCnt query and clear operation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: switch to SMN interface to operate RSMU index mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: sw pstate switch should only be for vega20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amdgpu/dc: remove redundant assignment to variable 'option'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc: Use consistent variable on unlocks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove redundant assignment to variable ret
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: protect ring overrun (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: extent threshold of waiting FLR_COMPLETE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: for nv12 always need smu ip (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: skip sysfs node not belong to one vf mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable one vf mode for nv12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: clear the messed up checking logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: provide RREG32_SOC15_NO_KIQ, will be used later
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: sriov is forbidden to call disable DPM
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip cg/pg set for SRIOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: ignore TA ucode for SRIOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: retire legacy vega10 sos version check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: switch to helper function to init sos ucode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add helper function to init sos ucode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: switch to helper function to init asd ucode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add helper function to init asd ucode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: retire unused check_fw_loading status
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove unnecessary tOS version check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: retire support_vmr_ring interface (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: shrink critical section in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Init data to avoid oops while reading pp_num_states
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'priority'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: amdgpu: fix kernel-doc struct warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: amd/display: fix Kconfig help text (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: request reg_val_offs each kiq read reg
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: change how we update mmRLC_SPM_MC_CNTL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set error query ready after all IPs late init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: code cleanup around gpu reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: optimize the gpu reset for XGMI setup V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: correct cancel_delayed_work_sync on gpu reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: correct fbdev suspend on gpu reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cleanup coding style in amdkfd a bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: clean up unused variable about ring lru
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: replace DRM prefix with PCI device info for
  gfx/mmhub (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: limit smu support to Arcturus for onevf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disble vblank when unloading sriov driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Print CU information by default during
  initialization (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update smu12_driver_if.h to align with pmfw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay:avoid to show invalid DPM table info
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Adjust the SDMA doorbell info printing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Adjust three kfd dmesg printings during
  initialization (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix bug in the logic for panel power control
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Convert memory from cpu to fw endianness
  correctly (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Adjust refactored dm for color management only
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: access ABM from stream resource (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: change from panel to panel cntl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add HW rotation cursor changes to dcn10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Factor in immediate flip support into DLG
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix virtual signal dsc setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: destroy panel on link destruct (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: dmcu wait loop calculation is incorrect in RV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: move panel power seq to new panel struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: make all backlight calls link based
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Cap certain DML values for Low Pix Clk
  on DCN2.1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Various fixes for PSR on DMCUB (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.81 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update MPCC if requested (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix HDR visual confirm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use the correct input TF for video formats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Change infopacket type programming
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Avoid NULL pointer in set_backlight when
  ABM is NULL (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix stream setting for diags on silicon
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Cast int to float before division
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Set meta_chunk_value to 0 in DML if DCC
  disabled in (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add optc get crc support for timings
  with ODM/DSC (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Workaround to disable YCbCr (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Check ramp != NULL before applying lut1d
  for degamma (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Unify psr feature flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Support plane-level gamut remap in DM
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add SetBacklight call to abm on dmcub
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove byte swapping for dmcub abm config table
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Force watermark value propagation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Move enable fractional pwm call (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add user backlight level reg write
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Correct updating logic of dcn21's pipe VM flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove aconnector condition check for dpcd read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/dc: remove unused variable 'video_optimized_pixel_rates'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove defined but not used variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix race between pstate and remote buffer map
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: Disable gfx off if VCN is busy"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix kernel page fault issue by ras recovery on sGPU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Disable FRU read on Arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gmc: Fix spelling mistake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cache smu fw version info (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/amdgpu: use the BAR if possible in
  amdgpu_device_vram_access v2" (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set mp1 state before reload (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update psp fw loading sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: update Arcturus smu-driver if header
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: properly set the dpm_enabled state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct i2c eeprom init/fini sequence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: bump the NAVI10 smu-driver if version
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: revise the way to retrieve the board
  parameters (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix the hw hang during perform system reboot
  and reset (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove redundant assignment to variable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove defined but not used variables in ci_dpm.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove defined but not used 'dte_data_tahiti_le'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove dead code in si_dpm.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: remove hardcoded module name in prints
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: add print prefix for dev_* variants
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: add prefix for pr_* prints (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: code clean up in dce80_hw_sequencer.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/ring: simplify scheduler setup logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/kiq: add no_scheduler flag to KIQ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/ring: add no_scheduler flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/powerplay: get SMC FW size to a flexible way
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: replace DRM prefix with PCI device info for GFX RAS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: resume kiq access debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: refine ras related message print (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add uncorrectable error count print in UMC ecc irq
  cb (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Change "error" to "dc_log" at amdgpu_dm
  dpcd reading (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: restrict debugfs register access under SR-IOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: increased atom cmd timeout (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amdgpu_kms: Remove unnecessary condition check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: support access regs outside of mmio bar
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: retire AMDGPU_REGS_KIQ flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: retire RREG32_IDX/WREG32_IDX (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: retire indirect mmio reg support from cgs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: replace indirect mmio access in non-dc code path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove inproper workaround for vega10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix gfx hang during suspend with video playback (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add HDCP caps debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: query hdcp capability during link detect
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Re-enable FRU check for most models v5
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.80 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Make DMCUB bss/data firmware blob optional
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: determine USB C DP2 mode only when USB DP Alt
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update DRAM watermark before checking to
  update TTU (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Revert to old formula in set_vtg_params
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Refactor color management to take dm
  plane state (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: initialize get_max_link_cap (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix dml pipe merge logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.79 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unused defines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix ABM config copy for dmcub (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: only blank dp stream which will be powered off
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix typo (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use config flag to disable dmcu obj creation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Check power_down functions exist before calling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't change mpcc tree for medium updates
  on DCN20 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: blank dp stream before power off receiver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Power down hw blocks on boot (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Remove hdcp display state with mst fix
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Implement abm config table copy to dmcub
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Program DSC before enabling link
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: prevent loop from occuring in pipe list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.78 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov add amdgpu_amdkfd_pre_reset in gpu reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd Avoid destroy hqd when GPU is on reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Correct gfx10's CG sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add SPM golden settings for Navi12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add SPM golden settings for Navi14 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add SPM golden settings for Navi10(v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Print UTCL2 client ID on a gpuvm fault
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix a typo (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: add shared memory restore after wake up
  from sleep (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rework sched_list generation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: sync ring type and drm hw_ip type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov add amdgpu_amdkfd_pre_reset in gpu reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix the broken logic in dc_link.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid using pm_en before it is initialized
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amdgpu/drm: remove psp access on navi10 for sriov
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Guard calls to hdcp_ta and dtm_ta
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove
  mod_hdcp_hdcp2_get_link_encryption_status() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/dc: Kill dc_conn_log_hex_linux() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu_dm/mst: Remove useless sideband tracing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: fix spelling mistake "fimware" -> "firmware"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix and cleanup amdgpu_gem_object_close v4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: code cleanup of dc_link file on func
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: code cleanup on dc_link from is_same_edid to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: codestyle cleanup on dc_link file until
  detect_dp (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: cleanup codestyle type BLOCK_COMMENT_STYLE on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable VCN2.5 DPG mode for Arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn2.5: Add firmware w/r ptr reset sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.0: Add firmware w/r ptr reset sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: Add firmware share memory support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: stall DPG when WPTR/RPTR reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.0: stall DPG when WPTR/RPTR reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: fix race condition issue for dpg unpause
  mode switch (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: fix race condition issue for vcn start
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip access sdma_v5_0 registers under SRIOV (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: stop disable the scheduler during HW fini
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: added mutex protection on msg issuing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: unified interfaces for message issuing and
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid calling Vega20 specific SMU message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid calling SMU10 specific SMU message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid calling SMU9 specific SMU message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid calling SMU8 specific SMU message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerpaly: drop unused APIs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: avoid calling SMU7 specific SMU message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid calling CI specific SMU message
  implemention (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: reroute VMC and UMD to IH ring 1 for oss v5
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: call psp to program ih cntl in SR-IOV for Navi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable IH ring 1 and ring 2 for navi (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: ih doorbell size of range changed for nbio v7.4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: infinite retries fix from UTLC1 RB SDMA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix non-pointer dereference for non-RAS supported
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Include headers for PWR and SMUIO registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: implement more ib pools (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Move backlight pwm enable function call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add ABM driver implementation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.77 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: extend compute job timeout (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: No need support vcn decode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: postpone entering fullaccess mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: adjust sequence of ip_discovery init and
  timeout_setting (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: equip new req_init_data handshake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use static mmio offset for NV mailbox
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: introduce new request and its function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: introduce new idh_request/event enum (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cleanup idh event/req for NV headers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Fix SMUIO/PWR Confusion (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Move PWR_MISC_CNTL_STATUS to its own header
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Add missing SMUIO v12 register to headers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/uvd7: remove unnecessary conversion to bool
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: align short build log (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use pattern rule to avoid code duplication
  in Makefile (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: fix build rules of *_reg_safe.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: remove unneeded header include path (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Ignore the not supported error from psp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add 4k resolution for virtual display
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Virtual display need to support multiple ctrcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable ras query and iject during gpu reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: added xgmi ras error reset sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cleanup all virtualization detection routine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: amends feature bits for MM bandwidth mgr
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: purge ip_discovery headers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fix FRU data checking (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Expose TA FW version in fw_version file
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disabled fru eeprom access (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Add GFX9.1 PWR_MISC_CNTL_STATUS register
  to headers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add documentation for unique_id (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add documentation for PCIe accounting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add documentation for memory info (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Enable reading FRU chip via I2C v3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Remove dead code (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: remove unused variable 'hdmi_ids' (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Fix misspellings of "Analog Devices" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Allocate initial CRTC state of the correct size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: Clean up GPIO includes (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: vesafb: add missed release_region (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: arcfb: add missed free_irq and fix the order of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: s1d13xxxfb: add missed unregister_framebuffer in remove
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- ARM/fbdev: sa11x0: Switch to use GPIO descriptors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: aty128fb: remove unused 'sdr_64' (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- omapfb/dss: remove unused variable 'venc_config_pal_bdghi'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: vt8500lcdfb: fix fallthrough warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: imxfb: ensure balanced regulator usage
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: controlfb: remove function prototypes part #3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: controlfb: remove function prototypes part #2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: controlfb: remove function prototypes part #1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: controlfb: remove obsolete module support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: controlfb: add COMPILE_TEST support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: controlfb: fix sparse warning about using
  incorrect (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: ssd1307fb: Remove redundant forward declaration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: ssd1307fb: Convert to atomic PWM API (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: ssd1307fb: Make use of device properties (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: ssd1307fb: Introduce temporary variable to increase
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: ssd1307fb: Convert driver to use ->probe_new()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Don't free a struct never allocated by drm_gem_fb_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: fix spelling mistake "modifer" -> "modifier"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/device: Deprecate dev_private harder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: bridge: adv7511: Extend list of audio sample rates
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: adv7511: Enable SPDIF DAI (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: kirin: Revert change to add register connect helper
  functions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: mx3fb: const pointer to ipu_di_signal_cfg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: Exercise dma-fence-chain under selftests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Report signaled links inside dma-fence-chain
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Prettify typecasts for dma-fence-chain (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Print errors on ACT timeouts (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Increase ACT retry timeout to 3s (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Reformat drm_dp_check_act_status() a bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Improve kdocs for drm_dp_check_act_status()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add NWL MIPI DSI host controller support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram-helpers: Merge code into a single file (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vram-helpers: Set plane fence for display update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Don't return 0 from a void drm_fbdev_generic_setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: support for boe,tv105wum-nw0 dsi video mode panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: mx3fb: avoid warning about psABI change (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fb-helper: Remove return value from
  drm_fbdev_generic_setup() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vboxvideo: Set up fbdev after registering device; remove
  error checks (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Remove error check from fbdev setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tilcdc: Set up fbdev after fully registering device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Set up fbdev after registering device; remove
  error checks (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Remove error check from fbdev setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Remove error check from fbdev setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/kirin: Set up fbdev after fully registering device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hibmc: Remove error check from fbdev setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Set up fbdev after registering device; remove
  error checks (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: clean up ttm_trace_dma_map/ttm_trace_dma_unmap (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: nt39016: Add support for 50 Hz refresh rate
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: nt39016: Add support for multiple modes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: mb862xx: remove set but not used variable 'mdr'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: matroxfb: remove dead code and set but not
  used variable (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: add panel driver for Leadtek LTK050H3146W
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: Add missing annotation for cyber2000fb_enable_ddc() and
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Delete an error message in ingenic_drm_probe()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Remove drm_dp_mst_has_audio() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp_mst: Cast intel_connector->port as drm_dp_mst_port
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: don't print error message on platform_get_irq()
  failure (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Add intro to documentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/writeback: wire drm_writeback.h to kernel-doc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: writeback: document callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Don't drop NAKs for down responses (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Fix NULL deref in drm_dp_get_one_sb_msg()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: tcon: Delete an error message in
  sun4i_tcon_init_irq() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: fix kernel-doc warning in panel.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sched: fix kernel-doc in gpu_scheduler.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Remove drm_dp_mst_topology_cbs.destroy_connector
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu_dm/mst: Stop printing extra messages in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu_dm/mst: Remove ->destroy_connector() callback
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu_dm/mst: Remove unneeded edid assignment when
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-leadtek-ltk500hd1829: Fix dotclock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: delete drm_pci.h (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/pci: Move drm_pci_alloc/free under CONFIG_DRM_LEGACY
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: make virtio_gpu_object_attach void (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: delete notify in virtio_gpu_object_create
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: delete notify after virtio_gpu_cmd_context_create
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: random virtgpu_drv.h cleanups (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon: Enforce 128-byte stride alignment to fix
  the hardware (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/zte: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vkms: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/virtgpu: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/shmobile: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/rcar-du: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i2c/tda998x: Use simple encoder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon/kirin: Use simple encoder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fsl-dcu: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/atmel-hlcdc: Use simple encoder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Fix wrong kfree() in managed resource usage example
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/core: Calculate bpp in afbc helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/core: Use proper debugging macro (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: improve amdgpu_gem_info debugfs file (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add support for exporting VRAM using DMA-buf v3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add checks if DMA-buf P2P is supported
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: note that we can handle peer2peer DMA-buf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: lock resv object during destruction (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: add peer2peer flag (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: make build_clear_payload_id_table return void
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: Use correct notify port address when creating
  cursor ring (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: add docs about the IN_FORMATS plane property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/managed: Fix off-by-one in warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fb: fix kernel-doc in drm_framebuffer.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: add kernel-doc for drm_dp_mst_port.fec_capable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: error out with EBUSY when device has existing master
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rework SET_MASTER and DROP_MASTER perm handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: convert to use i2c_new_client_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/therm: convert to use i2c_new_client_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i2c/tda998x: convert to use i2c_new_client_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i2c/sil164: convert to use i2c_new_client_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: convert to use i2c_new_client_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: convert to use i2c_new_client_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: Add Starry KR070PE2T (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: Add optional devfreq and cooling device support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Remove single tx msg restriction (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mst: Support simultaneous down replies (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mst: Separate sideband packet header parsing from message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-helper: Add TODO for making drm_fb_helper_alloc_fbi fill
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: sii9234: silence warning about regulators during
  deferred (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Add docs for managed resources (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: drop drm_driver.release hook (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mipi-dbi: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mipi-dbi: Move drm_mode_config_init into mipi library
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/repaper: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gm12u320: Simplify upload work (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gm12u320: Use helpers for shutdown/suspend/resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gm12u320: Use devm_drm_dev_init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gm12u320: More drmm_ (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mtk: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmob: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rcar-du: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/pl111: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: More devm_drm_dev_init (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ingenic: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/cirrus: Fully embrace devm_ (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/cirrus: Drop explicit drm_mode_config_cleanup call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bochs: Drop explicit drm_mode_config_cleanup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bochs: Remove leftover drm_atomic_helper_shutdown
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Manage drm_mode_config_init with drmm_ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Garbage collect drm_dev_fini (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Manage drm_vblank_cleanup with drmm_ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Manage drm_gem_init with drmm_ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: manage drm_minor cleanup with drmm_ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Use drmm_ for drm_dev_init cleanup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Handle dev->unique with drmm_ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Cleanups after drmm_add_final_kfree rollout (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/<drivers>: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gm12u320: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ingenic: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/repaper: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vgem: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tidss: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/v3d: Use drmm_add_final_kfree (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/cirrus: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use drmm_add_final_kfree (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: Use drmm_add_final_kfree (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Use drmm_add_final_kfree (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mipi_dbi: Use drmm_add_final_kfree in all drivers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Set final_kfree in drm_dev_alloc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: add managed resources tied to drm_device (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Don't clear drvdata in ->release (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm/slb: export __kmalloc_track(_node)_caller (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: dw-hdmi: rework csc related functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dw-hdmi: Add support for RGB limited range
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dw-hdmi: do not force "none" scan mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Sort includes in VI and UI layer code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: de2: Don't return de2_fmt_info struct (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: de2: csc_mode in de2 format struct is mostly
  redundant (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: de2: rgb field in de2 format struct is redundant
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram-helper: remove unneeded #if defined/endif guards
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Add support for afbc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: add trace point for tasks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: add error sysfs to export error task dump
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: save task info dump when task fail (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: add max_error_tasks module parameter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: save process info for debug usage (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mipi-dbi: Make mipi_dbi_command_stackbuf() data
  parameter const (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- omapfb: Remove unused writeback code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: via: fix -Wextra build warning and format warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: pmfb.c: fix -Wextra build warnings and errors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: savage: fix -Wextra build warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: matrox: fix -Wextra build warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: aty: fix -Wextra build warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: fbmon: fix -Wextra build warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: uvesafb: Use scnprintf() for avoiding potential buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: omap2: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: omapfb: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Skip drm_mode_config_validate() for !modeset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: convert .debugfs_init() hook to return void (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Validate encoder->possible_crtcs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Validate encoder->possible_clones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/imx: Remove the bogus possible_clones setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Sanitize possible_clones (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Include the encoder itself in possible_clones
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/debugfs: remove checks for return value of drm_debugfs
  functions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Fix DispID tile parsing for override EDID
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Clarify validate_displayid() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Don't include ext block csum in DispID size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Don't parse garbage as DispID blocks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Move validate_displayid()
  drm_find_displayid_extension() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Return DispID length from
  drm_find_displayid_extension() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Remove idx==1 assumptions from all over the
  DispID parsing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Swap some operands in for_each_displayid_db()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Constify topology id (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: make various debugfs_init() functions return 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: have *_debugfs_init() functions return void
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: remove checks for return value of drm_debugfs
  functions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/pl111: make pl111_debugfs_init return 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vram-helper: make drm_vram_mm_debugfs_init() return 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sti: remove use of drm_debugfs functions as return values
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: remove checks for return value of
  drm_debugfs_create_files() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: remove check for return value of (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/arm: make hdlcd_debugfs_init() return 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/arc: make arcgpu_debugfs_init() return 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: remove check of return value of drm_debugfs functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: make v3d_debugfs_init() return 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tilcdc: remove check for return value of debugfs functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: remove checks for debugfs functions return value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Correct a typo in a function comment (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: drm_vm: Use fallthrough; (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Drop unused #include (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/core: Add drm_afbc_framebuffer and a corresponding helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/core: Allow drivers allocate a subclass of struct
  drm_framebuffer (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200417 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: Program vswing, pre-emphasis, test-pattern
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Register definition for DP compliance register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Add debugfs entry for DP phy compliance
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Preparation for DP phy compliance auto test
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Made intel_dp_adjust_train() non-static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp: get/set phy compliance pattern (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Align macro name as per DP spec (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add YUV444 packed format support for skl+
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise basic RPS interrupt generation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Initialize multicast register steering for
  workarounds (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Extend Wa_1409767108:tgl to B0 stepping
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ehl: extended Wa_2006604312 to ehl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Start passing latency as parameter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: do AUD_FREQ_CNTRL state save on all gen9+ platforms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check for an already completed timeslice
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: remove redundant assignment to variable err
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/evict: watch out for unevictable nodes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Take an explicit ref for rq->batch
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Mark up racy check of breadcrumb irq enabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Mark up racy read of intel_ring.head
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/stolen: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uncore: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dram: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/error: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: prefer struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/switcheroo: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/state: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bw: use struct drm_device based logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/debugfs: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/crt: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: use struct drm_device based logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tc: use struct drm_device based logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/panel: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/audio: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Drop vestigal timeslicing assert
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Promote 'remain' to unsigned long (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Wait until the context is finally retired before
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Allow asynchronous waits on the i915_active barriers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make exclusive awaits on i915_active optional
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Take DBG_FORCE_RELOC into account prior to using
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Extend hotplug detect retry on TypeC connectors
  to 5 seconds (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add a retry counter for hotplug detect retries
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Free request pool from virtual engines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Wait until we start timeslicing after
  a submit (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Revoke mmap before fence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Move the port sync DP_TP_CTL stuff to the encoder hook
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass atomic state to encoder hooks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Do pipe updates after enables for everyone
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix port sync code to work with >2 pipes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Eliminate port sync copy pasta (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Implement port sync for SKL+ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Store cpu_transcoder_mask in device info
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Avoid setting timer->expires to 0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Keep a per-engine request pool (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Make Wa_14010229206 permanent (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Check for has-reset before testing hostile
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Utilize rcu iteration of context engines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Peek at the next submission for error
  interrupts (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Cleanup kerneldoc warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Drop cached obj->bind_count (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Make fence revocation unequivocal (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Store the fence details on the fence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Only wait for GPU activity before unbinding
  a GGTT fence (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Try allocating va from free space (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: fix spelling mistake "undeflow" -> "underflow"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Align engine dump active/pending (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Report all failed registers for ctx isolation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Include the execlists CCID of each port in
  the engine (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Pause CS flow before reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Tidy up an error message for
  live_error_interrupt (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Include a few tracek for timeslicing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Defer kicking the tasklet until all rescheduling is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tc/icl: Update TC vswing tables (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp/ehl: Update vswing table for HBR and RBR
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Double check breadcrumb before crying foul
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: don't read head/tail pointers outside critical
  section (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Explicitly reset both reg and context
  runtime (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Split eb_vma into its own allocation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Schedule oa_config after modifying the contexts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Wrap i915_active in a simple kreffed struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Allow for different modes of interruptible
  i915_active_wait (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check timeout before flush and cond checks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Include priority info in trace_ports
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/huc: Fix HuC register used in debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/huc: Add more errors for I915_PARAM_HUC_STATUS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add definitions for VRR registers and bits
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Workaround switching back to a completed
  context (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Include port sync state in the state dump
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use REG_FIELD_PREP() & co. for TRANS_DDI_FUNC_CTL2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move icl_get_trans_port_sync_config() into the
  DDI code (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop usless master_transcoder assignments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move TRANS_DDI_FUNC_CTL2 programming where it belongs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/mst: Use .compute_config_late() to compute master
  transcoder (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Differentiate between aliasing-ppgtt and ggtt pinning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Constify adjusted_mode a bit (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Get rid of silly void* from MST code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: use forced codec wake on all gen9+ platforms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: add new open param to configure polling of
  OA buffer (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: move pollin setup to non hw specific code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: rework aging tail workaround (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Cast remain to unsigned long in eb_relocate_vma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: do not free err log on uc_fini (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/uc: Move uC debugfs to its own folder under GT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/debugfs: move uC printers and update debugfs file names
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/huc: make "support huc" reflect HW capabilities
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: drop stage_pool debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: allow setting generic data pointer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Return early after MISSING_CASE for
  write_dp_sdp (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Remove useless but deadly local
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop final few uses of drm_i915_private.engine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/wopcm: convert to drm device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: clean up intel_PLL_is_valid() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tv: use struct drm_device based logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/connector: use MISSING_CASE instead of logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdmi: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_aux_backlight: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display_power: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ddi: use struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Immediately execute the fenced work (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Pull tasklet interrupt-bh local to direct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Measure the energy consumed while in RC6
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Drop setting sibling priority hint
  on virtual (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/fbc: Make fences a nice-to-have for GEN9+
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Use private flags to indicate TE in cmd mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Add check for periodic command mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Add cmd mode flags in display mode private flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Add vblank calculation for command mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Configure transcoder operation for command mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Only delay the context barrier pm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: mark huge_gem_object as not shrinkable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Delay release of engine-pm after last retirement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Extend intel_wakeref to support delayed puts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests/perf: watch out for stolen objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Rely on direct submission to the queue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Avoid gem_context->mutex for simple vma lookup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Mark timeline->cacheline as destroyed after
  rcu grace (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/edp: Ignore short pulse when panel powered off
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Leave rps->cur_freq on unpark (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Use the correct err_unlock unwind path for a closed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Report context-is-closed prior to pinning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix crtc nv12 etc. plane bitmasks for DPMS off
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Add writing of DP SDPs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: Add compute routine for DP HDR Metadata Infoframe
  SDP (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Add compute routine for DP VSC SDP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Add DP1.4 VSC SDP Payload related Data Structures
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Prefer '%%ps' for printing function symbol names
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/workarounds: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rps: use struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ring_submission: use drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/renderstate: use struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/rc6: convert to struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/lrc: convert to struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ggtt: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add new PCI IDs to TGL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: Add dpcd link_rate quirk for Apple 15" MBP
  2017 (v3) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: convert to struct drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbdev: convert to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/color: Extract icl_read_luts() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Enable non-contiguous pipe fusing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Always reschedule the new heartbeat (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix up documentation paths after file moving
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: introduce global sseu pinning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/perf: remove redundant power configuration register
  override (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: remove generated code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Restore check for invalid vma for fencing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Allocate i915_fence_reg array (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove manual save/resume of fence register state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Pull restoration of GGTT fences underneath the GT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move GGTT fence registers under gt/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm/hmm: remove the customizable pfn format from hmm_range_fault
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- mm/hmm: remove HMM_PFN_SPECIAL (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove dead code after hmm_range_fault()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- mm/hmm: make hmm_range_fault return 0 or -1 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- PM: sleep: core: Rename DPM_FLAG_NEVER_SKIP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Refresh patches.suse/igc-Add-initial-EEE-support.patch.
- Refresh
  patches.suse/i2c-i801-exclude-device-from-suspend-direct-complete.patch.
- gpu/drm: remove the powerpc hack in drm_legacy_sg_alloc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gup: document and work around "COW can break either way" issue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Replace user_access_begin by
  user_write_access_begin (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- uaccess: Add user_read_access_begin/end and (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm_read(): get rid of pointless access_ok() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- omapfb: get rid of pointless access_ok() calls (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amifb: get rid of pointless access_ok() calls (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- docs: filesystems: fix renamed references (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- docs: fix broken references to text files (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Update rmk's email address in various drivers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Make drm_dp_mst_dsc_aux_for_port() safe for old compilers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- commit 01b18a4
* Mon Nov 16 2020 bp@suse.de
- blacklist.conf: 4d6ffa27b8e5 x86/lib: Change .weak to SYM_FUNC_START_WEAK for arch/x86/lib/mem*_64.S
- commit 95f1309
* Mon Nov 16 2020 bp@suse.de
- blacklist.conf: e81e07244325 objtool: Support Clang non-section symbols in ORC generation
- commit b650d28
* Mon Nov 16 2020 oneukum@suse.com
- crypto: add suse_kabi_padding (jsc#SLE-14454).
  This patch adds reserve fields to structures of the
  generic crypto layer to make backporting fixes and ECOs easier.
- QAT: add suse_kabi_padding (jsc#SLE-14454).
  This patch adds reserve fields to structures of the
  QAT driver to make backporting fixes and ECOs for QAT easier.
- commit 16c9bda
* Mon Nov 16 2020 dwagner@suse.de
- nvme: do not update disk info for multipathed device
  (bsc#1171558).
- commit 72db678
* Mon Nov 16 2020 yousaf.kaukab@suse.com
- net: macb: use resolved link config in mac_link_up()
  (jsc#SLE-12251).
- commit 3a4483e
* Mon Nov 16 2020 ailiop@suse.com
- xfs: fix a missing unlock on error in xfs_fs_map_blocks
  (git-fixes).
- commit cc2433b
* Mon Nov 16 2020 ailiop@suse.com
- xfs: fix brainos in the refcount scrubber's rmap fragment
  processor (git-fixes).
- commit 3faadca
* Mon Nov 16 2020 ailiop@suse.com
- xfs: fix rmap key and record comparison functions (git-fixes).
- commit 7b24498
* Mon Nov 16 2020 ailiop@suse.com
- xfs: set the unwritten bit in rmap lookup flags in
  xchk_bmap_get_rmapextents (git-fixes).
- commit ac90c4a
* Mon Nov 16 2020 ailiop@suse.com
- xfs: fix flags argument to rmap lookup when converting shared
  file rmaps (git-fixes).
- commit ed43f56
* Mon Nov 16 2020 tbogendoerfer@suse.de
- drivers/net/ethernet: remove incorrectly formatted doc
  (bsc#1177397).
- net: ena: Fix all static chekers' warnings (bsc#1177397).
- net: ena: Change RSS related macros and variables names
  (bsc#1177397).
- net: ena: Remove redundant print of placement policy
  (bsc#1177397).
- net: ena: Capitalize all log strings and improve code
  readability (bsc#1177397).
- net: ena: Change log message to netif/dev function
  (bsc#1177397).
- net: ena: Change license into format to SPDX in all files
  (bsc#1177397).
- net: ena: xdp: add queue counters for xdp actions (bsc#1177397).
- net: ena: ethtool: add stats printing to XDP queues
  (bsc#1177397).
- net: ena: ethtool: Add new device statistics (bsc#1177397).
- net: ena: ethtool: convert stat_offset to 64 bit resolution
  (bsc#1177397).
- commit 3fe7896
* Mon Nov 16 2020 tiwai@suse.de
- r8169: disable hw csum for short packets on all chip versions
  (git-fixes).
- commit 30d1ce9
* Mon Nov 16 2020 tiwai@suse.de
- virtio: virtio_console: fix DMA memory allocation for rproc
  serial (git-fixes).
- xhci: hisilicon: fix refercence leak in xhci_histb_probe
  (git-fixes).
- thunderbolt: Fix memory leak if ida_simple_get() fails in
  enumerate_services() (git-fixes).
- thunderbolt: Add the missed ida_simple_remove() in
  ring_request_msix() (git-fixes).
- kernel/watchdog: fix watchdog_allowed_mask not used warning
  (git-fixes).
- reboot: fix overflow parsing reboot cpu number (git-fixes).
- Revert "kernel/reboot.c: convert simple_strtoul to kstrtoint"
  (git-fixes).
- clk: define to_clk_regmap() as inline function (git-fixes).
- xhci: Fix sizeof() mismatch (git-fixes).
- commit a563406
* Mon Nov 16 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/ACPI-GED-fix-Wformat.patch
  patches.suse/cosa-Add-missing-kfree-in-error-path-of-cosa_write.patch
  patches.suse/gpio-pcie-idio-24-Enable-PEX8311-interrupts.patch
  patches.suse/gpio-pcie-idio-24-Fix-IRQ-Enable-Register-value.patch
  patches.suse/gpio-pcie-idio-24-Fix-irq-mask-when-masking.patch
  patches.suse/lan743x-fix-BUG-invalid-wait-context-when-setting-rx.patch
  patches.suse/mmc-renesas_sdhi_core-Add-missing-tmio_mmc_host_free.patch
  patches.suse/mmc-sdhci-of-esdhc-Handle-pulse-width-detection-erra.patch
  patches.suse/pinctrl-aspeed-Fix-GPI-only-function-problem.patch
  patches.suse/pinctrl-intel-Set-default-bias-in-case-no-particular.patch
- commit e7295f4
* Mon Nov 16 2020 mkubecek@suse.cz
- update patch metadata
  patches.suse/SUNRPC-Revert-241b1f419f0e-SUNRPC-Remove-xdr_buf_tri.patch was
  replaced by a no-op stub only preserving kABI but the upstream reference
  was left in place. Our kbuild checks complain because the same commit id is
  also blacklisted. Drop the mainline reference which is no longer
  appropriate and refer to the commit id in commit message instead.
- commit c39115f
* Mon Nov 16 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/NFSv4-Handle-NFS4ERR_OLD_STATEID-in-CLOSE-OPEN_DOWNG.patch
  patches.suse/NFSv4-Wait-for-stateid-updates-after-CLOSE-OPEN_DOWN.patch
  patches.suse/NFSv4.x-recover-from-pre-mature-loss-of-openstateid.patch
  patches.suse/svcrdma-fix-bounce-buffers-for-unaligned-offsets-and.patch
- commit 6b62933
* Mon Nov 16 2020 mkubecek@suse.cz
- series.conf: whitespace cleanup
- commit 3581101
* Mon Nov 16 2020 neilb@suse.de
- NFS: only invalidate dentrys that are clearly invalid
  (bsc#1178669 bsc#1170139).
- commit f10a996
* Mon Nov 16 2020 glin@suse.com
- samples: bpf: Cleanup bpf_load.o from Makefile (bsc#1177028).
- commit a1f6952
* Sun Nov 15 2020 lduncan@suse.com
- loop: Fix occasional uevent drop (bsc#1177971).
- block: add a return value to set_capacity_revalidate_and_notify
  (bsc#1177971).
- block: use revalidate_disk_size in
  set_capacity_revalidate_and_notify (bsc#1177971).
- block: add a new revalidate_disk_size helper (bsc#1177971).
- commit 076c587
* Sat Nov 14 2020 colyli@suse.de
- dax: Fix stack overflow when mounting fsdax pmem device
  (bsc#1171073).
- dax: fix detection of dax support for non-persistent memory
  block devices (bsc#1171073).
- commit 91904e0
* Sat Nov 14 2020 colyli@suse.de
- libceph: use sendpage_ok() in ceph_tcp_sendpage() (bsc#1172873).
- scsi: libiscsi: use sendpage_ok() in iscsi_tcp_segment_map()
  (bsc#1172873).
- drbd: code cleanup by using sendpage_ok() to check page for
  kernel_sendpage() (bsc#1172873).
- tcp: use sendpage_ok() to detect misused .sendpage
  (bsc#1172873).
- nvme-tcp: check page by sendpage_ok() before calling
  kernel_sendpage() (bsc#1172873).
- net: add WARN_ONCE in kernel_sendpage() for improper zero-copy
  send (bsc#1172873).
- net: introduce helper sendpage_ok() in include/linux/net.h
  (bsc#1172873).
  kABI workaround for including mm.h in include/linux/net.h
  (bsc#1172873).
- commit 5b20669
* Sat Nov 14 2020 tiwai@suse.de
- pinctrl: intel: Set default bias in case no particular value
  given (git-fixes).
- pinctrl: aspeed: Fix GPI only function problem (git-fixes).
- gpio: pcie-idio-24: Enable PEX8311 interrupts (git-fixes).
- gpio: pcie-idio-24: Fix IRQ Enable Register value (git-fixes).
- gpio: pcie-idio-24: Fix irq mask when masking (git-fixes).
- mmc: sdhci-of-esdhc: Handle pulse width detection erratum for
  more SoCs (git-fixes).
- mmc: renesas_sdhi_core: Add missing tmio_mmc_host_free()
  at remove (git-fixes).
- cosa: Add missing kfree in error path of cosa_write (git-fixes).
- lan743x: fix "BUG: invalid wait context" when setting rx mode
  (git-fixes).
- ACPI: GED: fix -Wformat (git-fixes).
- commit 4dd9cfa
* Sat Nov 14 2020 tiwai@suse.de
- vt: Disable KD_FONT_OP_COPY (bsc#1178589).
- commit a819dc3
* Fri Nov 13 2020 mbrugger@suse.com
- mm/memory-failure: Add memory_failure_queue_kick()
  (jsc#SLE-16610).
- commit 58bbb5e
* Fri Nov 13 2020 mbrugger@suse.com
- mtd: spi-nor: Fix address width on flash chips > 16MB
  (jsc#SLE-14214 jsc#SLE-1660).
- commit 25da357
* Fri Nov 13 2020 mbrugger@suse.com
- mtd: spi-nor: Don't copy self-pointing struct around
  (jsc#SLE-14214 jsc#SLE-1660).
- commit 72ce51f
* Fri Nov 13 2020 mbrugger@suse.com
- spi: spi-cadence-quadspi: Populate get_name() interface
  (jsc#SLE-14214 jsc#SLE-1660).
- commit bcb9418
* Fri Nov 13 2020 yousaf.kaukab@suse.com
- net: ethernet: ti: cpsw_new: fix suspend/resume (jsc#SLE-12251).
- net: macb: fix for pause frame receive enable bit (jsc#SLE-12251).
- net: ethernet: ti: cpsw_new: fix error handling in cpsw_ndo_vlan_rx_kill_vid() (jsc#SLE-12251).
- net: ethernet: ti: cpsw_new: fix clean up of vlan mc entries for host port (jsc#SLE-12251).
- net: macb: Properly handle phylink on at91sam9x (jsc#SLE-12251).
- net: macb: fix macb_suspend() by removing call to netif_carrier_off() (jsc#SLE-12251).
- net: macb: fix macb_get/set_wol() when moving to phylink (jsc#SLE-12251).
- net: macb: free resources on failure path of at91ether_open() (jsc#SLE-12251).
  Refresh:
  patches.suse/net-macb-call-pm_runtime_put_sync-on-failure-path.patch
- net: phylink: ensure manual pause mode configuration takes effect (jsc#SLE-12251).
- net: macb: undo operations in case of failure (jsc#SLE-12251).
- net: macb: Only disable NAPI on the actual error path (jsc#SLE-12251).
- net: cadence: macb: disable NAPI on error (jsc#SLE-12251).
- net: ethernet: ti: fix some return value check of cpsw_ale_create() (jsc#SLE-12251).
- net: macb: Fix handling of fixed-link node (jsc#SLE-12251).
- net: stmmac: update pci platform data to use phy_interface (jsc#SLE-12251).
- of: mdio: Add missing inline to of_mdiobus_child_is_phy() dummy (jsc#SLE-12251).
- net: ag71xx: fix compile warnings (jsc#SLE-12251).
- net: ethernet: ti: build cpsw-common for switchdev (jsc#SLE-12251).
- net: ethernet: ti: select PAGE_POOL for switchdev driver (jsc#SLE-12251).
- net: ethernet: emac: Fix phy mode type (jsc#SLE-12251).
- commit 67c4a94
* Fri Nov 13 2020 glin@suse.com
- samples/bpf: xdp_redirect_cpu: Load a eBPF program on cpumap
  (bsc#1177028).
- samples/bpf: xdp_redirect_cpu_user: Do not update bpf maps in
  option loop (bsc#1177028).
- samples: bpf: Add an option for printing extra statistics in
  xdpsock (bsc#1177028).
- bpf: Fix fds_example SIGSEGV error (bsc#1177028).
- samples: bpf: Refactor BPF map performance test with libbpf
  (bsc#1177028).
- samples: bpf: Refactor BPF map in map test with libbpf
  (bsc#1177028).
- samples: bpf: Fix bpf programs with kprobe/sys_connect event
  (bsc#1177028).
- commit 9874b44
* Fri Nov 13 2020 glin@suse.com
- blacklist.conf: 6f64e4778300 ("bpf: Update verification logic for LSM programs")
  Apply the commit later.
- commit 548a6df
* Fri Nov 13 2020 glin@suse.com
- tools/bpftool: Fix attaching flow dissector (bsc#1177028).
- commit 44b2c56
* Fri Nov 13 2020 shung-hsi.yu@suse.com
- i40e, xsk: uninitialized variable in i40e_clean_rx_irq_zc()
  (jsc#SLE-13701).
- commit b2ee981
* Fri Nov 13 2020 glin@suse.com
- bpf: Enforce id generation for all may-be-null register type
  (bsc#1177028).
- selftests/bpf: Fix endianness issues in
  sk_lookup/ctx_narrow_access (bsc#1177028).
- commit 4610751
* Fri Nov 13 2020 glin@suse.com
- blacklist.conf: add the unneeded bpf git-fixes commits
- d3c481515129 net: remove sockptr_advance
  It requires several treewide changes which were not backported.
- 47f7cf6325f7 libbpf: Skip CO-RE relocations for not loaded BPF programs
  The target code was not backported yet.
- commit cf96a2f
* Thu Nov 12 2020 msuchanek@suse.de
- prom_init: enable verbose prints (bsc#1178142 bsc#1180759).
- prom_init: enable verbose prints (bsc#1178142) (bsc#1178142).
- commit c0bbedb
* Thu Nov 12 2020 msuchanek@suse.de
- powerpc/vnic: Extend "failover pending" window (bsc#1176855
  ltc#187293).
- commit 8c35da0
* Thu Nov 12 2020 mbrugger@suse.com
- spi: hisi-sfc-v3xx: fix spelling mistake "occured" -> "occurred"
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 8b3eca5
* Thu Nov 12 2020 mbrugger@suse.com
- spi: hisi-sfc-v3xx: add support for IRQ mode (jsc#SLE-14214
  jsc#SLE-16606).
- commit 4a666b4
* Thu Nov 12 2020 mbrugger@suse.com
- spi: hisi-sfc-v3xx: factor out the bit definition of interrupt
  register (jsc#SLE-14214 jsc#SLE-16606).
- commit dabd6b3
* Thu Nov 12 2020 mbrugger@suse.com
- spi: hisi-sfc-v3xx: factor out bus config and transfer functions
  (jsc#SLE-14214 jsc#SLE-16606).
- commit b1adebf
* Thu Nov 12 2020 mbrugger@suse.com
- spi: hisi-sfc-v3xx: factor out IO modes configuration
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 56e8610
* Thu Nov 12 2020 mbrugger@suse.com
- spi: hisi-sfc-v3xx: add error check after per operation
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 382883e
* Thu Nov 12 2020 ailiop@suse.com
- Update config files.
  Set CONFIG_HIBERNATION_SNAPSHOT_DEV=y.
  Upstream commit c4f39a6c7438 ("PM: hibernate: Split off snapshot dev
  option") has made userspace hibernation conditional on a separate config
  option that can be disabled.
  The SLE15-SP3 backport (commit 17f3cdc2427e) has left this option unset,
  but this breaks the userspace hibernation functionality that we have
  been supporting in all previous SPs. Re-enable and fix this.
  This also fixes bsc#1178609 which uncovered this issue via fstests
  (generic/570) failure.
- commit 660a013
* Thu Nov 12 2020 yousaf.kaukab@suse.com
- dpaa2-eth: fix command version for Tx shaping (jsc#SLE-12251).
- net/fsl: quieten expected MDIO access failures (jsc#SLE-12251).
- dpaa2-eth: fix a build warning in dpmac.c (jsc#SLE-12251).
- enetc: Fix mdio bus removal on PF probe bailout (jsc#SLE-12251).
- net: gianfar: Add of_node_put() before goto statement (jsc#SLE-12251).
- enetc: use napi_schedule to be compatible with PREEMPT_RT (jsc#SLE-12251).
- dpaa2-eth: use napi_schedule to be compatible with PREEMPT_RT (jsc#SLE-12251).
- fsl/fman: fix eth hash table allocation (jsc#SLE-12251).
- fsl/fman: check dereferencing null pointer (jsc#SLE-12251).
- fsl/fman: fix unreachable code (jsc#SLE-12251).
- fsl/fman: fix dereference null return value (jsc#SLE-12251).
- fsl/fman: use 32-bit unsigned integer (jsc#SLE-12251).
- net/enetc: Fix wrong return value in enetc_psfp_parse_clsflower() (jsc#SLE-12251).
- enetc: Remove the imdio bus on PF probe bailout (jsc#SLE-12251).
- dpaa2-eth: add support for TBF offload (jsc#SLE-12251).
- dpaa2-eth: add API for Tx shaping (jsc#SLE-12251).
- dpaa2-eth: move the mqprio setup into a separate function (jsc#SLE-12251).
- enetc: Add adaptive interrupt coalescing (jsc#SLE-12251).
- enetc: Add interrupt coalescing support (jsc#SLE-12251).
- enetc: Drop redundant ____cacheline_aligned_in_smp (jsc#SLE-12251).
- enetc: Fix interrupt coalescing register naming (jsc#SLE-12251).
- enetc: Factor out the traffic start/stop procedures (jsc#SLE-12251).
- enetc: Refine buffer descriptor ring sizes (jsc#SLE-12251).
- net: enetc: Use DT protocol information to set up the ports (jsc#SLE-12251).
- net: enetc: Initialize SerDes for SGMII and USXGMII protocols (jsc#SLE-12251).
- net: phy: add USXGMII link partner ability constants (jsc#SLE-12251).
- net: enetc: use eth_broadcast_addr() to assign broadcast (jsc#SLE-12251).
- dpaa2-eth: fix draining of S/G cache (jsc#SLE-12251).
- dpaa2-eth: add software counter for Tx frames converted to S/G (jsc#SLE-12251).
- dpaa2-eth: send a scatter-gather FD instead of realloc-ing (jsc#SLE-12251).
- dpaa2-eth: fix misspelled function parameters in dpni__taildrop (jsc#SLE-12251).
- dpaa2-eth: fix recursive header include (jsc#SLE-12251).
- dpaa2-eth: fix condition for number of buffer acquire retries (jsc#SLE-12251).
- dpaa2-eth: check the result of skb_to_sgvec() (jsc#SLE-12251).
- dpaa2-eth: trim debugfs FQ stats (jsc#SLE-12251).
- net: enetc add tc flower offload flow metering policing action (jsc#SLE-12251).
  Refresh:
  patches.suse/net-qos-offload-add-flow-status-with-dropped-count.patch
- net: enetc: add support max frame size for tc flower offload (jsc#SLE-12251).
- net/fsl: enable extended scanning in xgmac_mdio (jsc#SLE-12251).
- net/fsl: acpize xgmac_mdio (jsc#SLE-12251).
- net: phy: Allow mdio buses to auto-probe c45 devices (jsc#SLE-12251).
- enetc: Use struct_size() helper in kzalloc() (jsc#SLE-12251).
- dpaa2-eth: check fsl_mc_get_endpoint for IS_ERR_OR_NULL() (jsc#SLE-12251).
- gianfar: Use random MAC address when none is given (jsc#SLE-12251).
- enetc: Fix HW_VLAN_CTAG_TX|RX toggling (jsc#SLE-12251).
- drivers: dpaa2: Use devm_kcalloc() in setup_dpni() (jsc#SLE-12251).
- dpaa2-eth: Keep congestion group taildrop enabled when PFC on (jsc#SLE-12251).
- dpaa2-eth: Add PFC support through DCB ops (jsc#SLE-12251).
- dpaa2-eth: Update FQ taildrop threshold and buffer pool count (jsc#SLE-12251).
- dpaa2-eth: Add congestion group taildrop (jsc#SLE-12251).
- dpaa2-eth: Add helper functions (jsc#SLE-12251).
- dpaa2-eth: Distribute ingress frames based on VLAN prio (jsc#SLE-12251).
- dpaa2-eth: Add support for Rx traffic classes (jsc#SLE-12251).
- dpaa2-eth: add bulking to XDP_TX (jsc#SLE-12251).
- vhost_net: Also populate XDP frame size (jsc#SLE-12251).
- net: thunderx: Add XDP frame size (jsc#SLE-12251).
- net: ethernet: ti: Add XDP frame size to driver cpsw (jsc#SLE-12251).
- dpaa2-eth: Add XDP frame size (jsc#SLE-12251).
- net: XDP-generic determining XDP frame size (jsc#SLE-12251).
- net: netsec: Add support for XDP frame size (jsc#SLE-12251).
- dpaa2-eth: create a function to flush the XDP fds (jsc#SLE-12251).
- net:enetc: bug fix for qos sfi operate space after freed (jsc#SLE-12251).
- net: enetc: Make some symbols static (jsc#SLE-12251).
- Merge branch 'net-smc-extent-buffer-mapping-and-port-handling' (jsc#SLE-12251).
- net: enetc: add tc flower psfp offload driver (jsc#SLE-12251).
- net: enetc: add hw tc hw offload features for PSPF capability (jsc#SLE-12251).
- dpaa2-eth: fix error return code in setup_dpni() (jsc#SLE-12251).
- dpaa_eth: Fix comparing pointer to 0 (jsc#SLE-12251).
- dpaa2-eth: Use proper division helper in dpaa2_dbg_ch_show (jsc#SLE-12251).
- dpaa2-eth: add channel stat to debugfs (jsc#SLE-12251).
- dpaa2-eth: fix return codes used in ndo_setup_tc (jsc#SLE-12251).
- dpaa2-eth: use bulk enqueue in .ndo_xdp_xmit (jsc#SLE-12251).
- dpaa2-eth: split the .ndo_xdp_xmit callback into two stages (jsc#SLE-12251).
- dpaa2-eth: use the bulk ring mode enqueue interface (jsc#SLE-12251).
- dpaa2-eth: return num_enqueued frames from enqueue callback (jsc#SLE-12251).
- enetc: permit configuration of rx-vlan-filter with ethtool (jsc#SLE-12251).
- net: freescale: select CONFIG_FIXED_PHY where needed (jsc#SLE-12251).
- enetc: Remove unused variable 'enetc_drv_name' (jsc#SLE-12251).
- net: gianfar: reject unsupported coalescing params (jsc#SLE-12251).
- net: dpaa: reject unsupported coalescing params (jsc#SLE-12251).
- enetc: Add dynamic allocation of extended Rx BD rings (jsc#SLE-12251).
- enetc: Clean up Rx BD iteration (jsc#SLE-12251).
- enetc: Clean up of ehtool stats len (jsc#SLE-12251).
- enetc: Drop redundant device node check (jsc#SLE-12251).
- dpaa_eth: Use random MAC address when none is given (jsc#SLE-12251).
- fsl/fman: tolerate missing MAC address in device tree (jsc#SLE-12251).
- fsl/fman: reuse set_mac_address() in dtsec init() (jsc#SLE-12251).
- gianfar: remove unnecessary zeroing coalesce settings (jsc#SLE-12251).
- net/freescale: Don't set zero if FW iand bus not-available in gianfar (jsc#SLE-12251).
- net/freescale: Don't set zero if FW not-available in ucc_geth (jsc#SLE-12251).
- net/freescale: Clean drivers from static versions (jsc#SLE-12251).
- net: dpaa2-mac: use resolved link config in mac_link_up() (jsc#SLE-12251).
- net: dsa: propagate resolved link config via mac_link_up() (jsc#SLE-12251).
- net: phylink: propagate resolved link config via mac_link_up() (jsc#SLE-12251).
- dpaa2-eth: add support for nway reset (jsc#SLE-12251).
- dpaa2-eth: add support for mii ioctls (jsc#SLE-12251).
- enetc: remove "depends on (ARCH_LAYERSCAPE || COMPILE_TEST)" (jsc#SLE-12251).
- ptp_qoriq: drop the code of alarm (jsc#SLE-12251).
- dpaa_eth: Remove unnecessary boolean expression in dpaa_get_headroom (jsc#SLE-12251).
- net: macb: Properly handle phylink on at91rm9200 (jsc#SLE-12251).
- net: socionext: get rid of huge dma sync in netsec_alloc_rx_data (jsc#SLE-12251).
- net: macb: add support for C45 MDIO read/write (jsc#SLE-12251).
- enetc: Fix an off by one in enetc_setup_tc_txtime() (jsc#SLE-12251).
- net: netsec: Change page pool nid to NUMA_NO_NODE (jsc#SLE-12251).
- enetc: add support time specific departure base on the qos etf (jsc#SLE-12251).
- fsl/fman: use resource_size (jsc#SLE-12251).
- net: dsa: Make PHYLINK related function static again (jsc#SLE-12251).
- dpaa2-ptp: add external trigger event support (jsc#SLE-12251).
- ptp_qoriq: export extts_clean_up() function (jsc#SLE-12251).
- ptp_qoriq: check valid status before reading extts fifo (jsc#SLE-12251).
- net: fsl/fman: rename IF_MODE_XGMII to IF_MODE_10G (jsc#SLE-12251).
- net/fsl: treat fsl,erratum-a011043 (jsc#SLE-12251).
- net: macb: fix for fixed-link mode (jsc#SLE-12251).
- net: macb: fix probing of PHY not described in the dt (jsc#SLE-12251).
- of: mdio: export of_mdiobus_child_is_phy (jsc#SLE-12251).
- net: ethernet: ti: cpsw_switchdev: fix unmet direct dependencies detected for NET_SWITCHDEV (jsc#SLE-12251).
- net: ethernet: ti: ale: ensure vlan/mdb deleted when no members (jsc#SLE-12251).
- phy: ti: phy-gmii-sel: dependency from ti cpsw-switchdev driver (jsc#SLE-12251).
- net: ethernet: ti: introduce cpsw switchdev based driver part 2 - switch (jsc#SLE-12251).
- net: ethernet: ti: introduce cpsw switchdev based driver part 1 - dual-emac (jsc#SLE-12251).
- net: ethernet: ti: cpsw: move set of common functions in cpsw_priv (jsc#SLE-12251).
  Refresh:
  patches.suse/net-ethernet-ti-cpsw-fix-extra-rx-interrupt.patch
  patches.suse/netdev-pass-the-stuck-queue-to-the-timeout-handler.patch
  patches.suse/xdp-Rename-convert_to_xdp_frame-in-xdp_convert_buff_.patch
- net: ethernet: ti: cpsw: resolve build deps of cpsw drivers (jsc#SLE-12251).
- net: ethernet: ti: ale: modify vlan/mdb api for switchdev (jsc#SLE-12251).
- net: ethernet: ti: cpsw: allow untagged traffic on host port (jsc#SLE-12251).
- net: macb: convert to phylink (jsc#SLE-12251).
- net: macb: move the Tx and Rx buffer initialization into a function (jsc#SLE-12251).
- ethernet: ti: cpts: use ktime_get_real_ns helper (jsc#SLE-12251).
- dpaa2-eth: add ethtool MAC counters (jsc#SLE-12251).
- dpaa2-ptp: fix compile error (jsc#SLE-12251).
- dpaa2-eth: fix an always true condition in dpaa2_mac_get_if_mode (jsc#SLE-12251).
- net: of_get_phy_mode: Change API to solve int/unit warnings (jsc#SLE-12251).
  Refresh:
  patches.suse/net-dsa-sja1105-Don-t-error-out-on-disabled-ports-wi.patch
  patches.suse/net-mscc-ocelot-make-phy_mode-a-member-of-the-common.patch
  patches.suse/net-mscc-ocelot-separate-net_device-related-items-ou.patch
  patches.suse/net-stmmac-platform-fix-probe-for-ACPI-devices.patch
- dpaa2-eth: add MAC/PHY support through phylink (jsc#SLE-12251).
- dpaa2-eth: update the TX frame queues on DPNI_IRQ_EVENT_ENDPOINT_CHANGED (jsc#SLE-12251).
- dpaa2-eth: Avoid unbounded while loops (jsc#SLE-12251).
- dpaa2-eth: Fix minor bug in ethtool stats reporting (jsc#SLE-12251).
- dpaa2-eth: Cleanup dead code (jsc#SLE-12251).
- net: dpaa2: Use the correct style for SPDX License Identifier (jsc#SLE-12251).
- macb: propagate errors when getting optional clocks (jsc#SLE-12251).
- dpaa2-eth: add irq for the dpmac connect/disconnect event (jsc#SLE-12251).
- davinci_cpdma: make cpdma_chan_split_pool static (jsc#SLE-12251).
- net: macb: Remove dead code (jsc#SLE-12251).
- gianfar: Make reset_gfar static (jsc#SLE-12251).
- net: stmmac: socfpga: re-use the `interface` parameter from platform data (jsc#SLE-12251).
- net: stmmac: implement support for passive mode converters via dt (jsc#SLE-12251).
  Refresh:
  patches.suse/net-stmmac-platform-fix-probe-for-ACPI-devices.patch
- gianfar: use DT more consistently when selecting PHY connection type (jsc#SLE-12251).
- gianfar: cleanup gianfar.h (jsc#SLE-12251).
- gianfar: make five functions static (jsc#SLE-12251).
- dpaa2-eth: Poll Tx pending frames counter on if down (jsc#SLE-12251).
- dpaa2-eth: Add new DPNI statistics counters (jsc#SLE-12251).
- dpaa2-eth: Minor refactoring in ethtool stats (jsc#SLE-12251).
- dpaa2-eth: Add pause frame support (jsc#SLE-12251).
  Refresh:
  patches.suse/dpaa2-eth-Fix-TX-FQID-values.patch
- dpaa2-eth: Use stored link settings (jsc#SLE-12251).
  Refresh:
  patches.suse/dpaa2-eth-Fix-TX-FQID-values.patch
- dpaa2-eth: Remove support for changing link settings (jsc#SLE-12251).
- dpaa2: no need to check return value of debugfs_create functions (jsc#SLE-12251).
- commit fe806c5
* Thu Nov 12 2020 mbrugger@suse.com
- spi: HiSilicon v3xx: Use DMI quirk to set controller buswidth
  override bits (jsc#SLE-14214 jsc#SLE-16606).
  Update config files.
- commit b5743d8
* Thu Nov 12 2020 mbrugger@suse.com
- spi: HiSilicon v3xx: Properly set CMD_CONFIG for Dual/Quad modes
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 646d618
* Thu Nov 12 2020 mbrugger@suse.com
- spi: Allow SPI controller override device buswidth
  (jsc#SLE-14214 jsc#SLE-16606).
- commit df26c6c
* Thu Nov 12 2020 mbrugger@suse.com
- spi: Add HiSilicon v3xx SPI NOR flash controller driver
  (jsc#SLE-14214 jsc#SLE-16606).
- supported.conf: add spi-hisi-sfc-v3xx
- commit 01912fa
* Thu Nov 12 2020 mbrugger@suse.com
- Revert "mtd: spi-nor: Add capability to disable flash quad mode"
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 08912f6
* Thu Nov 12 2020 mbrugger@suse.com
- Revert "mtd: spi-nor: Disable the flash quad mode in
  spi_nor_restore()" (jsc#SLE-14214 jsc#SLE-16606).
- commit fcdc78b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: revert "spi-nor: intel: provide a range for poll_timout"
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 3fba279
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: update read capabilities for w25q64 and s25fl064k
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 095c8c3
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: micron: Add SPI_NOR_DUAL_READ flag on mt25qu02g
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 6d23666
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: macronix: Add support for mx66u2g45g
  (jsc#SLE-14214 jsc#SLE-16606).
- commit c06f001
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: intel-spi: Simulate WRDI command (jsc#SLE-14214
  jsc#SLE-16606).
- commit c667137
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Disable the flash quad mode in spi_nor_restore()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit b334fbb
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add capability to disable flash quad mode
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 1d7663a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: spansion: Remove s70fl01gs from flash_info
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 4f84141
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: sfdp: do not make invalid quad enable fatal
  (jsc#SLE-14214 jsc#SLE-16606).
- commit e70eaa2
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: winbond: Add support for w25q64jvm (jsc#SLE-14214
  jsc#SLE-16606).
- commit 2af6c2f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: macronix: Add support for MX25R1635F
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 9e1bbfd
* Thu Nov 12 2020 mbrugger@suse.com
- spi: Move cadence-quadspi driver to drivers/spi/ (jsc#SLE-14214
  jsc#SLE-16606).
- supported.conf: add spi-cadence-quadspi
- commit 8a1f9bb
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Convert cadence-quadspi to use spi-mem framework
  (jsc#SLE-14214 jsc#SLE-16606).
- commit d8c2e6c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Drop redundant WREN in erase path
  (jsc#SLE-14214 jsc#SLE-16606).
- commit a9da923
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Handle probe deferral while
  requesting DMA channel (jsc#SLE-14214 jsc#SLE-16606).
- commit 4ac0f60
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Fix error path on failure to
  acquire reset lines (jsc#SLE-14214 jsc#SLE-16606).
- commit 54ad082
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Don't initialize rx_dma_complete
  on failure (jsc#SLE-14214 jsc#SLE-16606).
- commit 93b08a2
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Provide a way to disable DAC mode
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 7d7032e
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Make driver independent of
  flash geometry (jsc#SLE-14214 jsc#SLE-16606).
- commit bdbc8f6
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: winbond: Fix 4-byte opcode support for w25q256
  (jsc#SLE-14214 jsc#SLE-16606).
- commit aa20dbb
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: sfdp: add/use local variable in
  spi_nor_parse_bfpt() (jsc#SLE-14214 jsc#SLE-16606).
- commit 792c4b4
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: sfdp: prepare BFPT parsing for JESD216 rev D
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 2cdc01c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: sfdp: default to addr_width of 3 for configurable
  widths (jsc#SLE-14214 jsc#SLE-16606).
- commit 3606f8f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for Cypress cy15x104q (jsc#SLE-14214
  jsc#SLE-16606).
- commit 33bff7c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix SPI NOR acronym (jsc#SLE-14214 jsc#SLE-16606).
- commit f99be6c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: spansion: Differentiate between s25fl256s and
  s25fs256s (jsc#SLE-14214 jsc#SLE-16606).
- commit 3307881
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for s25fs128s1 (jsc#SLE-14214
  jsc#SLE-16606).
- commit 8ab6047
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: spansion: fix writes on S25FS512S (jsc#SLE-14214
  jsc#SLE-16606).
- commit 34481df
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix description of the sr_ready() return value
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 13bc551
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Uniformize the return value in spi_nor_*_ready()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 58aa248
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: micron-st: Enable locking for n25q00
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 6181ce7
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: macronix: Add support for mx25u51245g
  (jsc#SLE-14214 jsc#SLE-16606).
- commit c638b1b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: macronix: Add support for mx25l51245g
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 84a5b3e
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: core: fix kernel-doc typo for
  spi_nor_[{info|sfdp}_]init_params() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 8d20204
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: core: fix kernel-doc typo for
  spi_nor_manufacturer_init_params() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 1004b63
* Thu Nov 12 2020 mbrugger@suse.com
- blacklist.conf: ignore documentation fixes
- commit d0366bc
* Thu Nov 12 2020 oneukum@suse.com
- usb-storage: use hcd_uses_dma to check for DMA capabilities
  (jsc#SLE-14911).
- commit 4fe856d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Enable locking for n25q128a11 (jsc#SLE-14214
  jsc#SLE-16606).
- commit ce5c6e7
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: spansion: Enable dual and quad read for s25fl256s0
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 0fedc0f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: move #define SPINOR_OP_WRDI (jsc#SLE-14214
  jsc#SLE-16606).
- commit a740fae
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Compile files in controllers/ directory
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 3bf9af8
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: Convert fallthrough comments into statements (jsc#SLE-14214
  jsc#SLE-16606).
- commit f4df930
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Enable locking for n25q512ax3/n25q512a
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 482ec39
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add SR 4bit block protection support
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 0627c1d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add generic formula for SR block protection
  handling (jsc#SLE-14214 jsc#SLE-16606).
- commit 639adb7
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Set all BP bits to one when lock_len == mtd->size
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 80eb618
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: controllers: aspeed-smc: Replace zero-length
  array with flexible-array member (jsc#SLE-14214 jsc#SLE-16606).
- commit a134d0f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Clear WEL bit when erase or program errors occur
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 600fa7b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Trim what is exposed in spi-nor.h (jsc#SLE-14214
  jsc#SLE-16606).
- commit c3171b9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Drop the MFR definitions (jsc#SLE-14214
  jsc#SLE-16606).
- commit 09c77fe
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Get rid of the now empty spi_nor_ids table
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 461f102
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move XMC bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 190113a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Xilinx bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit bd875e9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Catalyst bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 7cfa7ae
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Winbond bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit cf1356c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move SST bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 690cd26
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Spansion bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit e840536
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Micron/ST bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit d6903e7
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Macronix bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 115905b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move ISSI bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 983f546
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Intel bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 3580c50
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move GigaDevice bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 63a2aec
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Fujitsu bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 30aa231
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Everspin bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit bf67a19
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move ESMT bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 7ff9de8
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Eon bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit d06a50b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move Atmel bits out of core.c (jsc#SLE-14214
  jsc#SLE-16606).
- commit 5254c3f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add the concept of SPI NOR manufacturer driver
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 3c7083f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Expose stuctures and functions to manufacturer
  drivers (jsc#SLE-14214 jsc#SLE-16606).
- commit 2ff3420
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move SFDP logic out of the core (jsc#SLE-14214
  jsc#SLE-16606).
- commit eb3902e
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Prepare core / manufacturer code split
  (jsc#SLE-14214 jsc#SLE-16606).
- Refresh
  patches.suse/mtd-spi-nor-intel-spi-Add-support-for-Intel-Alder-La.patch.
- Refresh
  patches.suse/mtd-spi-nor-intel-spi-Add-support-for-Intel-Emmitsbu.patch.
- Refresh
  patches.suse/mtd-spi-nor-intel-spi-Add-support-for-Intel-TGL-H.patch.
- commit 98c41c0
* Thu Nov 12 2020 oneukum@suse.com
- USB: Fix incorrect DMA allocations for local memory pool drivers
  (jsc#SLE-14911).
- commit 5d64050
* Thu Nov 12 2020 oneukum@suse.com
- usb/ohci-tmio: remove the HCD_DMA flag (jsc#SLE-14911).
- commit 474181f
* Thu Nov 12 2020 oneukum@suse.com
- usb/ohci-sm501: remove the HCD_DMA flag (jsc#SLE-14911).
- commit 912f98f
* Thu Nov 12 2020 mkoutny@suse.com
- mm/memcg: fix refcount error while moving and swapping
  (bsc#1178686).
- commit cbd5a59
* Thu Nov 12 2020 oneukum@suse.com
- usb: host: xhci-plat: add quirks member into struct
  xhci_plat_priv (jsc#SLE-14911).
- Refresh
  patches.suse/usb-host-xhci-plat-add-.suspend_quirk-for-struct-xhc.patch.
- commit 73d2d44
* Thu Nov 12 2020 tiwai@suse.de
- USB: serial: option: add Telit FN980 composition 0x1055
  (git-fixes).
- USB: serial: option: add LE910Cx compositions 0x1203, 0x1230,
  0x1231 (git-fixes).
- USB: serial: option: add Quectel EC200T module support
  (git-fixes).
- USB: Add NO_LPM quirk for Kingston flash drive (git-fixes).
- net: usb: qmi_wwan: add Telit LE910Cx 0x1230 composition
  (git-fixes).
- kthread_worker: prevent queuing delayed work from timer_fn
  when it is being canceled (git-fixes).
- lib/crc32test: remove extra local_irq_disable/enable
  (git-fixes).
- tty: serial: fsl_lpuart: LS1021A has a FIFO size of 16 words,
  like LS1028A (git-fixes).
- usb: typec: tcpm: reset hard_reset_count for any disconnect
  (git-fixes).
- usb: host: fsl-mph-dr-of: check return of dma_set_mask()
  (git-fixes).
- ACPI: dock: fix enum-conversion warning (git-fixes).
- ACPI: NFIT: Fix comparison to '-ENXIO' (git-fixes).
- 9P: Cast to loff_t before multiplying (git-fixes).
- fbdev, newport_con: Move FONT_EXTRA_WORDS macros into
  linux/font.h (git-fixes).
- tty: serial: fsl_lpuart: add LS1028A support (git-fixes).
- commit af1d39a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Emphasise which is the generic
  set_4byte_addr_mode() method (jsc#SLE-14214 jsc#SLE-16606).
- commit e53efc5
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Stop prefixing generic functions with a
  manufacturer name (jsc#SLE-14214 jsc#SLE-16606).
- commit a59dfd9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: remove mtk-quadspi driver (jsc#SLE-14214
  jsc#SLE-16606).
- config: delete SPI_MTK_QUADSPI
- commit 97c9b43
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Refactor spi_nor_read_id() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 75d66ec
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: use spi-mem dirmap API (jsc#SLE-14214
  jsc#SLE-16606).
- commit ff9409c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: split spi_nor_spimem_xfer_data() (jsc#SLE-14214
  jsc#SLE-16606).
- commit b35b619
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: introduce SR_BP_SHIFT define (jsc#SLE-14214
  jsc#SLE-16606).
- commit 50a2cd7
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: use le32_to_cpu_array() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 1a5d515
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for at25sl321 (jsc#SLE-14214
  jsc#SLE-16606).
- commit 80d213f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for w25q32jwm (jsc#SLE-14214
  jsc#SLE-16606).
- commit 4343ce6
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix quad enable for Spansion like flashes
  (jsc#SLE-14214 jsc#SLE-16606).
- commit d524953
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix selection of 4-byte addressing opcodes on
  Spansion (jsc#SLE-14214 jsc#SLE-16606).
- commit 1f182d9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: remove unused enum spi_nor_ops (jsc#SLE-14214
  jsc#SLE-16606).
- commit f55ddd2
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: hisi-sfc: Try to provide some clarity on which
  SFC we are (jsc#SLE-14214 jsc#SLE-16606).
- commit e7154aa
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for sst26vf016b (jsc#SLE-14214
  jsc#SLE-16606).
- commit f3555b4
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix the writing of the Status Register on micron
  flashes (jsc#SLE-14214 jsc#SLE-16606).
- commit 84601a1
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for mx25r3235f (jsc#SLE-14214
  jsc#SLE-16606).
- commit daefcbe
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add USE_FSR flag for n25q* entries (jsc#SLE-14214
  jsc#SLE-16606).
- commit 391a590
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add entries for mt25q variants (jsc#SLE-14214
  jsc#SLE-16606).
- commit a522644
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Split mt25qu512a (n25q512a) entry into two
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 9eb6351
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: add Gigadevice gd25lq128d support (jsc#SLE-14214
  jsc#SLE-16606).
- commit 010c025
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix wrong TB selection of GD25Q256 (jsc#SLE-14214
  jsc#SLE-16606).
- commit 45b3108
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Support TB selection using SR bit 6 (jsc#SLE-14214
  jsc#SLE-16606).
- commit a014cc1
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rename SR_TB to indicate the bit used
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 0b013c9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: fix typo of "JESB216" in comment (jsc#SLE-14214
  jsc#SLE-16606).
- commit b67360a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add 4B_OPCODES flag to w25q256 (jsc#SLE-14214
  jsc#SLE-16606).
- commit 7060b68
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Set default Quad Enable method for ISSI flashes
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 2ff48df
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for is25wp256 (jsc#SLE-14214
  jsc#SLE-16606).
- commit dc96dfb
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add support for w25q256jw (jsc#SLE-14214
  jsc#SLE-16606).
- commit 2f5d120
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move condition to avoid a NULL check
  (jsc#SLE-14214 jsc#SLE-16606).
- commit fadcbe0
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Make sure nor->spimem and nor->controller_ops
  are mutually exclusive (jsc#SLE-14214 jsc#SLE-16606).
- commit ca273d3
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rename Quad Enable methods (jsc#SLE-14214
  jsc#SLE-16606).
- commit e637be0
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Merge spansion Quad Enable methods (jsc#SLE-14214
  jsc#SLE-16606).
- commit c6078f3
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rename CR_QUAD_EN_SPAN to SR2_QUAD_EN_BIT1
  (jsc#SLE-14214 jsc#SLE-16606).
- commit c9c7c34
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Extend the SR Read Back test (jsc#SLE-14214
  jsc#SLE-16606).
- commit d0471db
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rework the disabling of block write protection
  (jsc#SLE-14214 jsc#SLE-16606).
- commit be85bc9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix clearing of QE bit on lock()/unlock()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit bec399a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Print debug message when the read back test fails
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 99bf3f5
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Check all the bits written, not just the BP ones
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 6a51b7d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix errno on Quad Enable methods (jsc#SLE-14214
  jsc#SLE-16606).
- commit a18d9e2
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Drop spansion_quad_enable() (jsc#SLE-14214
  jsc#SLE-16606).
- commit a6da1db
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Describe all the Reg Ops (jsc#SLE-14214
  jsc#SLE-16606).
- commit ca4ee89
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Merge spi_nor_write_sr() and spi_nor_write_sr_cr()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit b9a5ece
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move the WE and wait calls inside Write SR methods
  (jsc#SLE-14214 jsc#SLE-16606).
- commit e5cdc63
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Void return type for spi_nor_clear_sr/fsr()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 002d9b0
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rename label as it is no longer generic
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 1fad7ff
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Check for errors after each Register Operation
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 73426d9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Print debug info inside Reg Ops methods
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 156c73d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Use dev_dbg insted of dev_err for low level info
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 4709e02
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Print device info in case of error (jsc#SLE-14214
  jsc#SLE-16606).
- commit 6e2adcc
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Constify data to write to the Status Register
  (jsc#SLE-14214 jsc#SLE-16606).
- commit a8f80bb
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix retlen handling in sst_write() (jsc#SLE-14214
  jsc#SLE-16606).
- commit dd2683f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Drop redundant error reports in Reg Ops callers
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 77fd879
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Pointer parameter for CR in spi_nor_read_cr()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 8952a80
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Pointer parameter for FSR in spi_nor_read_fsr()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit ac5daf2
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Pointer parameter for SR in spi_nor_read_sr()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 724e24c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Don't overwrite errno from Reg Ops (jsc#SLE-14214
  jsc#SLE-16606).
- commit 28be0a5
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Drop explicit cast to int to already int value
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 09d1d5b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Stop compare with negative in Reg Ops methods
  (jsc#SLE-14214 jsc#SLE-16606).
- commit b4cf257
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Group all Reg Ops to avoid forward declarations
  (jsc#SLE-14214 jsc#SLE-16606).
- commit bc9653a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Drop duplicated new line (jsc#SLE-14214
  jsc#SLE-16606).
- commit 52586cb
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Prepend spi_nor_ to all Reg Ops methods
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 0ecd679
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: cadence-quadspi: Fix cqspi_command_read()
  definition (jsc#SLE-14214 jsc#SLE-16606).
- commit 874543a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Introduce 'struct spi_nor_controller_ops'
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 97c7be8
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: hisi-sfc: Drop nor->erase NULL assignment
  (jsc#SLE-14214 jsc#SLE-16606).
- commit ca9042d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: add support for en25qh16 (jsc#SLE-14214
  jsc#SLE-16606).
- commit 25ce894
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: intel-spi: support chips without software
  sequencer (jsc#SLE-14214 jsc#SLE-16606).
- commit 933d220
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 795a9b6
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Fix direction of the write_sr() transfer
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 5e765f9
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rename "n25q512a" to "mt25qu512a (n25q512a)"
  (jsc#SLE-14214 jsc#SLE-16606).
- commit cc8813b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: remove superfluous pass of nor->info->sector_size
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 959a02f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: enable the debugfs for the partname and partid
  (jsc#SLE-14214 jsc#SLE-16606).
- mtd: mtdcore: add debugfs nodes for querying the flash name
  and id (jsc#SLE-14214 jsc#SLE-16606).
- commit 873f36c
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: hisi-sfc: Add of_node_put() before break
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 1b6d34e
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: aspeed-smc: Add of_node_put() (jsc#SLE-14214
  jsc#SLE-16606).
- commit d310896
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Introduce spi_nor_get_flash_info() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 683ab9b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Introduce spi_nor_set_addr_width() (jsc#SLE-14214
  jsc#SLE-16606).
- commit e7da70b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Bring flash params init together (jsc#SLE-14214
  jsc#SLE-16606).
- commit 334a227
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add the SPI_NOR_XSR_RDY flag (jsc#SLE-14214
  jsc#SLE-16606).
- commit 7301863
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add s3an_post_sfdp_fixups() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 09bd056
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add a ->setup() method (jsc#SLE-14214
  jsc#SLE-16606).
- commit 298c366
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add a ->convert_addr() method (jsc#SLE-14214
  jsc#SLE-16606).
- commit 3fe8621
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add spansion_post_sfdp_fixups() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 56fc35d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add post_sfdp() hook to tweak flash config
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 7abebf2
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rework the SPI NOR lock/unlock logic
  (jsc#SLE-14214 jsc#SLE-16606).
- commit df6a378
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Create a ->set_4byte() method (jsc#SLE-14214
  jsc#SLE-16606).
- commit f825652
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Split spi_nor_init_params() (jsc#SLE-14214
  jsc#SLE-16606).
- commit 98aa133
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move manufacturer quad_enable() in
  - >default_init() (jsc#SLE-14214 jsc#SLE-16606).
- commit 4a3a36f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add a default_init() fixup hook for gd25q256
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 236dc7a
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add default_init() hook to tweak flash parameters
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 03135bd
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move erase_map to 'struct spi_nor_flash_parameter'
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 2a373ff
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Regroup flash parameter and settings
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 23c4d78
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Remove unused macro (jsc#SLE-14214 jsc#SLE-16606).
- commit 6d0859d
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: fix description for int (*flash_is_locked)()
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 5b49c81
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Drop quad_enable() from 'struct spi-nor'
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 069a210
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Use nor->params (jsc#SLE-14214 jsc#SLE-16606).
- commit b675819
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: intel-spi: Whitelist 4B read commands
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 156ea66
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor : Remove SPI_NOR_HAS_TB flag on s25fl512s
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 04b480f
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: add support for sst26wf016b memory IC
  (jsc#SLE-14214 jsc#SLE-16606).
- commit c986061
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Add Winbond w25q256jvm (jsc#SLE-14214
  jsc#SLE-16606).
- commit 778875b
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Rework hwcaps selection for the spi-mem case
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 431fa40
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: Move m25p80 code in spi-nor.c (jsc#SLE-14214
  jsc#SLE-16606).
- Refresh
  patches.suse/mtd-spi-nor-Fix-an-error-code-in-spi_nor_read_raw.patch.
- Refresh
  patches.suse/mtd-spi-nor-fix-silent-truncation-in-spi_nor_read_ra.patch.
- supported.conf: delete m25p80 entry. driver is now part of spi-nor
- config: delete MTD_M25P80
- commit cafe293
* Thu Nov 12 2020 mbrugger@suse.com
- mtd: spi-nor: always use bounce buffer for register read/writes
  (jsc#SLE-14214 jsc#SLE-16606).
- commit 1d72a96
* Thu Nov 12 2020 glin@suse.com
- libbpf: Fix XDP program load regression for old kernels (bsc#1177028).
- libbpf: Fix native endian assumption when parsing BTF
  (bsc#1177028).
- tools/bpftool: Support passing BPFTOOL_VERSION to make
  (bsc#1177028).
- tools/libbpf: Avoid counting local symbols in ABI check
  (bsc#1177028).
- selftests/bpf: Add bpf_{update, delete}_map_elem in hashmap
  iter program (bsc#1177028).
- libbpf: Remove arch-specific include path in Makefile
  (bsc#1177028).
- selftests/bpf: Fix massive output from test_maps (bsc#1177028).
- selftests/bpf: Fix test_progs-flavor run getting number of tests
  (bsc#1177028).
- bpf: selftests: global_funcs: Check err_str before strstr
  (bsc#1177028).
- libbpf: Fix map index used in error message (bsc#1177028).
- bpftool: Handle EAGAIN error code properly in pids collection
  (bsc#1177028).
- libbpf: Fix build on ppc64le architecture (bsc#1177028).
- selftests/bpf: Make test_varlen work with 32-bit user-space arch
  (bsc#1177028).
- tools/bpftool: Generate data section struct with conservative
  alignment (bsc#1177028).
- selftests/bpf: Correct various core_reloc 64-bit assumptions
  (bsc#1177028).
- libbpf: Enforce 64-bitness of BTF for BPF object files
  (bsc#1177028).
- selftests/bpf: Fix btf_dump test cases on 32-bit arches
  (bsc#1177028).
- libbpf: Handle BTF pointer sizes more carefully (bsc#1177028).
- selftest/bpf: Fix compilation warnings in 32-bit mode
  (bsc#1177028).
- tools/bpftool: Fix compilation warnings in 32-bit mode
  (bsc#1177028).
- bpf, selftests: Add tests to sock_ops for loading sk
  (bsc#1177028).
- bpf, selftests: Add tests for sock_ops load with r9, r8.r7
  registers (bsc#1177028).
- bpf, selftests: Add tests for ctx access in sock_ops with
  single register (bsc#1177028).
- libbpf: Prevent overriding errno when logging errors
  (bsc#1177028).
- libbpf: Handle GCC built-in types for Arm NEON (bsc#1177028).
- selftests/bpf: Fix v4_to_v6 in sk_lookup (bsc#1177028).
- selftests/bpf: Fix segmentation fault in test_progs
  (bsc#1177028).
- libbpf: Do not use __builtin_offsetof for offsetof
  (bsc#1177028).
- bpf: Fix compilation warning of selftests (bsc#1177028).
- selftests: bpf: Switch off timeout (bsc#1177028).
- libbf: Fix uninitialized pointer at btf__parse_raw()
  (bsc#1177028).
- tools/bpf: Support new uapi for map element bpf iterator
  (bsc#1177028).
- bpf: Allow to specify ifindex for skb in bpf_prog_test_run_skb
  (bsc#1177028).
- tools/resolve_btfids: Use libbpf's btf__parse() API
  (bsc#1177028).
- tools/bpftool: Use libbpf's btf__parse() API for parsing BTF
  from file (bsc#1177028).
- tools, bpftool: Fix wrong return value in do_dump()
  (bsc#1177028).
- selftests/bpf: Fix spurious test failures in core_retro selftest
  (bsc#1177028).
- tools/bpftool: Add documentation and bash-completion for
  `link detach` (bsc#1177028).
- tools/bpftool: Add `link detach` subcommand (bsc#1177028).
- selftests/bpf: Add link detach tests for cgroup, netns, and
  xdp bpf_links (bsc#1177028).
- bpf, selftests: Use single cgroup helpers for both
  test_sockmap/progs (bsc#1177028).
- selftests/bpf: Omit nodad flag when adding addresses to loopback
  (bsc#1177028).
- selftests/bpf: Don't destroy failed link (bsc#1177028).
- selftests/bpf: Add xdpdrv mode for test_xdp_redirect
  (bsc#1177028).
- selftests/bpf: Verify socket storage in cgroup/sock_{create,
  release} (bsc#1177028).
- selftests/bpf: Test bpf_iter buffer access with negative offset
  (bsc#1177028).
- bpf, selftests: use :: 1 for localhost in tcp_server.py
  (bsc#1177028).
- selftests/bpf: Add new bpf_iter context structs to fix build
  on old kernels (bsc#1177028).
- tools, bpftool: Add LSM type to array of prog names
  (bsc#1177028).
- tools, bpftool: Skip type probe if name is not found
  (bsc#1177028).
- selftests/bpf: Add BPF XDP link selftests (bsc#1177028).
- selftests/bpf: Test CGROUP_STORAGE behavior on shared egress +
  ingress (bsc#1177028).
- selftests/bpf: Test CGROUP_STORAGE map can't be used by multiple
  progs (bsc#1177028).
- selftests/bpf: Add test for CGROUP_STORAGE map on multiple
  attaches (bsc#1177028).
- selftests/bpf: Add get_stackid_cannot_attach (bsc#1177028).
- selftests/bpf: Add callchain_stackid (bsc#1177028).
- selftests/bpf: Add a test for out of bound rdonly buf access
  (bsc#1177028).
- selftests/bpf: Add a test for bpf sk_storage_map iterator
  (bsc#1177028).
- selftests/bpf: Add test for bpf array map iterators
  (bsc#1177028).
- selftests/bpf: Add test for bpf hash map iterators
  (bsc#1177028).
- tools/bpftool: Add bpftool support for bpf map element iterator
  (bsc#1177028).
- selftests/bpf: Test BPF socket lookup and reuseport with
  connections (bsc#1177028).
- tools/bpftool: Strip BPF .o files before skeleton generation
  (bsc#1177028).
- bpftool: Use only nftw for file tree parsing (bsc#1177028).
- samples/bpf, selftests/bpf: Use bpf_probe_read_kernel
  (bsc#1177028).
- selftests/bpf: Fix test_lwt_seg6local.sh hangs (bsc#1177028).
- selftests: bpf: test_kmod.sh: Fix running out of srctree
  (bsc#1177028).
- selftests/bpf: Tests for BPF_SK_LOOKUP attach point
  (bsc#1177028).
- selftests/bpf: Add verifier tests for bpf_sk_lookup context
  access (bsc#1177028).
- tools/bpftool: Add name mappings for SK_LOOKUP prog and attach
  type (bsc#1177028).
- selftests/bpf: Fix possible hang in sockopt_inherit
  (bsc#1177028).
- selftest: Add tests for XDP programs in CPUMAP entries
  (bsc#1177028).
- selftests/bpf: Add selftests verifying bpf_trace_printk()
  behaviour (bsc#1177028).
- tools/bpftool: Remove warning about PID iterator support
  (bsc#1177028).
- bpf: Compile resolve_btfids tool at kernel compilation start
  (bsc#1177028).
- selftests/bpf: Switch perf_buffer test to tracepoint and
  skeleton (bsc#1177028).
- selftests/bpf: Add test relying only on CO-RE and no recent
  kernel features (bsc#1177028).
- selftests/bpf: test_progs avoid minus shell exit codes (bsc#1177028).
  blacklist.conf: remove b8c50df0cb3eb9008f8372e4ff0317eee993b8d1
- selftests/bpf: test_progs use another shell exit on non-actions
  (bsc#1177028).
- bpf: Fix another bpftool segfault without skeleton code enabled
  (bsc#1177028).
- selftests: bpf: Remove unused bpf_map_def_legacy struct
  (bsc#1177028).
- selftests/bpf: Test BPF_CGROUP_INET_SOCK_RELEASE (bsc#1177028).
- bpftool: Add support for BPF_CGROUP_INET_SOCK_RELEASE
  (bsc#1177028).
- selftests/bpf: Fix compilation error of bpf_iter_task_stack.c
  (bsc#1177028).
- bpf: Fix bpftool without skeleton code enabled (bsc#1177028).
- bpf: selftests: Restore netns after each test (bsc#1177028).
- bpf: selftests: A few improvements to network_helpers.c
  (bsc#1177028).
- selftests/bpf: Test_progs option for listing test names
  (bsc#1177028).
- selftests/bpf: Test_progs option for getting number of tests
  (bsc#1177028).
- selftests/bpf: Test_progs indicate to shell on non-actions
  (bsc#1177028).
- tools/bpftool: Turn off -Wnested-externs warning (bsc#1177028).
- selftests/bpf: Switch test_vmlinux to use hrtimer_range_start_ns
  (bsc#1177028).
- selftests/bpf: Add bpf_iter test with bpf_get_task_stack()
  (bsc#1177028).
- selftests/bpf: Add byte swapping selftest (bsc#1177028).
- tools/bpftool: Allow substituting custom vmlinux.h for the build
  (bsc#1177028).
- selftests/bpf: Test auto-load disabling logic for BPF programs
  (bsc#1177028).
- tools, bpftool: Define attach_type_name array only once
  (bsc#1177028).
- tools, bpftool: Define prog_type_name array only once
  (bsc#1177028).
- selftests/bpf: Add tcp/udp iterator programs to selftests
  (bsc#1177028).
- selftests/bpf: Implement sample udp/udp6 bpf_iter programs
  (bsc#1177028).
- selftests/bpf: Implement sample tcp/tcp6 bpf_iter programs
  (bsc#1177028).
- selftests/bpf: Add more common macros to bpf_tracing_net.h
  (bsc#1177028).
- selftests/bpf: Refactor some net macros to bpf_tracing_net.h
  (bsc#1177028).
- selftests/bpf: Move newer bpf_iter_* type redefining to a new
  header file (bsc#1177028).
- selftests/bpf: Workaround for get_stack_rawtp test
  (bsc#1177028).
- tools, bpftool: Fix variable shadowing in emit_obj_refs_json()
  (bsc#1177028).
- tools, bpftool: Correctly evaluate $(BUILD_BPF_SKELS) in
  Makefile (bsc#1177028).
- selftests/bpf: Add variable-length data concat pattern less
  than test (bsc#1177028).
- selftests/bpf: Add variable-length data concatenation pattern
  test (bsc#1177028).
- tools/bpftool: Add documentation and sample output for process
  info (bsc#1177028).
- tools/bpftool: Show info for processes holding BPF
  map/prog/link/btf FDs (bsc#1177028).
- tools/bpftool: Generalize BPF skeleton support and generate
  vmlinux.h (bsc#1177028).
- tools/bpftool: Minimize bootstrap bpftool (bsc#1177028).
- tools/bpftool: Move map/prog parsing logic into common
  (bsc#1177028).
- selftests/bpf: Add __ksym extern selftest (bsc#1177028).
- selftests/bpf: Test access to bpf map pointer (bsc#1177028).
- tools/bpftool: Relicense bpftool's BPF profiler prog as
  dual-license GPL/BSD (bsc#1177028).
- tools/bpf: Add verifier tests for 32bit pointer/scalar
  arithmetic (bsc#1177028).
- tools: bpf: Use local copy of headers including
  uapi/linux/filter.h (bsc#1177028).
- commit 7c3819c
* Wed Nov 11 2020 oneukum@suse.com
- xhci: Don't create stream debugfs files with spinlock held
  (jsc#SLE-14911).
- commit 33f4905
* Wed Nov 11 2020 oneukum@suse.com
- xhci: Fix sizeof() mismatch (jsc#SLE-14911).
- commit b128595
* Wed Nov 11 2020 oneukum@suse.com
- usb: xhci: add debugfs support for ep with stream
  (jsc#SLE-14911).
- commit 8f4b107
* Wed Nov 11 2020 oneukum@suse.com
- xhci: Tune interrupt blocking for isochronous transfers
  (jsc#SLE-14911).
- commit eb96741
* Wed Nov 11 2020 oneukum@suse.com
- usb: host: xhci-plat: add wakeup entry at sysfs (jsc#SLE-14911).
- commit e6a9364
* Wed Nov 11 2020 oneukum@suse.com
- usb: host: xhci-plat: add priv quirk for skip PHY initialization
  (jsc#SLE-14911).
- commit f463b1c
* Wed Nov 11 2020 oneukum@suse.com
- usb: host: xhci-plat: add .suspend_quirk for struct
  xhci_plat_priv (jsc#SLE-14911).
- commit 57038c6
* Wed Nov 11 2020 oneukum@suse.com
- usb: host: xhci-plat: add platform data support (jsc#SLE-14911).
- commit 880e577
* Wed Nov 11 2020 oneukum@suse.com
- usb: xhci-pci: Add support for reset controllers
  (jsc#SLE-14911).
- commit 7f849f0
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbgtty: Make some functions static (jsc#SLE-14911).
- commit 853016a
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Make function xhci_dbc_ring_alloc() static
  (jsc#SLE-14911).
- commit 92c3cc8
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: remove tty specific port structure from struct
  xhci_dbc (jsc#SLE-14911).
- commit 8cec92f
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbgcap: remove dbc dependency on dbctty specific flag
  (jsc#SLE-14911).
- commit a0d1ad9
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Add a operations structure to access driver functions
  (jsc#SLE-14911).
- commit 8d65e54
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbctty: split dbc tty driver registration and
  unregistration functions (jsc#SLE-14911).
- commit 3bf24ba
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: remove endpoint pointers from dbc_port structure
  (jsc#SLE-14911).
- commit ce6c68c
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: simplify dbc requests allocation and queueing
  (jsc#SLE-14911).
- commit f4336e0
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Pass dbc pointer to dbc start and stop functions
  (jsc#SLE-14911).
- commit 5cf2e31
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Pass dbc pointer to dbc memory init and cleanup
  functions (jsc#SLE-14911).
- commit 1f3a440
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: don't use generic xhci ring allocation functions
  for dbc (jsc#SLE-14811).
- commit e02b765
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Don't use generic xhci context allocation for dbc
  (jsc#SLE-14911).
- commit 4885a56
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Use dbc structure in the request completion instead
  of xhci_hcd (jsc#SLE-14911).
- commit 652c626
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Pass dbc pointer to get_in/out_ep() helper functions
  to get endpoints (jsc#SLE-14911).
- commit 4b67d19
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbgtty: Pass dbc pointer when registering a dbctty device
  (jsc#SLE-14911).
- commit 82d6c7a
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Pass dbc pointer to dbc_handle_xfer_event() instead
  of xhci_hcd pointer (jsc#SLE-14911).
- commit 7982f7d
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Change to pass dbc pointer to xhci_do_dbc_stop()
  (jsc#SLE-14911).
- commit ae30b9e
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Pass dbc pointer to endpoint init and exit functions
  (jsc#SLE-14911).
- commit 3a441cb
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Get the device pointer from dbc structure in
  dbc_ep_do_queue() (jsc#SLE-14911).
- usb: xhci: dbc: Simplify error handling in
  'xhci_dbc_alloc_requests()' (jsc#SLE-14911).
- commit edc2d95
* Wed Nov 11 2020 ohering@suse.de
- hv_netvsc: make recording RSS hash depend on feature flag
  (bsc#1177820).
- commit 84f7284
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Don't pass the xhci pointer as a parameter to
  xhci_dbc_init_context() (jsc#SLE-14911).
- commit 2697b5c
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Don't use xhci_write_64() as it takes xhci as a
  parameter (jsc#SLE-14911).
- commit 29fd0ed
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Use dev_info() and similar instead of xhci_info()
  (jsc#SLE-14911).
- commit 29b7ba7
* Wed Nov 11 2020 tbogendoerfer@suse.de
- ice: docs fix a devlink info that broke a table (jsc#SLE-12878).
- devlink: include <linux/const.h> for _BITUL (bsc#1176447).
- ionic: add DIMLIB to Kconfig (jsc#SLE-16649).
- commit 2d33c8a
* Wed Nov 11 2020 nborisov@suse.com
- Refresh patches.suse/vfs-add-super_operations-get_inode_dev. (bsc#1176983)
  It had a missing hunk in prof_namespace.c so simply add it, this fixes
  the issue reported in bsc#1176983
- commit 4999b20
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Add device pointer to dbc structure (jsc#SLE-14911).
- commit cbfe43e
* Wed Nov 11 2020 ohering@suse.de
- hv_netvsc: Fix XDP refcnt for synthetic and VF NICs
  (bsc#1177820).
- commit c7e2d68
* Wed Nov 11 2020 mkoutny@suse.com
- mm/memcontrol.c: add missed css_put() (bsc#1178661).
- commit 50e1826
* Wed Nov 11 2020 ohering@suse.de
- hv_netvsc: Add XDP support (bsc#1177820).
- refresh patches.suse/msft-hv-2073-hv_netvsc-Fix-netvsc_start_xmit-s-return-type.patch
- commit e1c99b4
* Wed Nov 11 2020 ohering@suse.de
- hv_netvsc: record hardware hash in skb (bsc#1177820).
- refresh patches.suse/suse-hv-kabi.patch b/patches.suse/suse-hv-kabi.patch
  (drop chunks which are in patches.suse/msft-hv-1962-hv_netvsc-record-hardware-hash-in-skb.patch)
- commit f89c5c0
* Wed Nov 11 2020 tbogendoerfer@suse.de
- ionic: check port ptr before use (jsc#SLE-16649).
- bnxt_en: Send HWRM_FUNC_RESET fw command unconditionally
  (jsc#SLE-16649).
- bnxt_en: Check abort error state in bnxt_open_nic()
  (jsc#SLE-16649).
- bnxt_en: Re-write PCI BARs after PCI fatal error
  (jsc#SLE-16649).
- bnxt_en: Invoke cancel_delayed_work_sync() for PFs also
  (jsc#SLE-16649).
- bnxt_en: Fix regression in workqueue cleanup logic in
  bnxt_remove_one() (jsc#SLE-16649).
- ionic: fix mem leak in rx_empty (jsc#SLE-16649).
- ionic: no rx flush in deinit (jsc#SLE-16649).
- ionic: clean up sparse complaints (jsc#SLE-16649).
- bnxt_en: Add stored FW version info to devlink info_get cb
  (jsc#SLE-16649).
- bnxt_en: Refactor bnxt_dl_info_get() (jsc#SLE-16649).
- bnxt_en: Add bnxt_hwrm_nvm_get_dev_info() to query NVM info
  (jsc#SLE-16649).
- bnxt_en: Log unknown link speed appropriately (jsc#SLE-16649).
- bnxt_en: Log event_data1 and event_data2 when handling
  RESET_NOTIFY event (jsc#SLE-16649).
- bnxt_en: Simplify bnxt_async_event_process() (jsc#SLE-16649).
- bnxt_en: Set driver default message level (jsc#SLE-16649).
- bnxt_en: Enable online self tests for multi-host/NPAR mode
  (jsc#SLE-16649).
- bnxt_en: Return -EROFS to user space, if NVM writes are not
  permitted (jsc#SLE-16649).
- ice: fix adding IP4 IP6 Flow Director rules (jsc#SLE-12878).
- ice: Fix pointer cast warnings (jsc#SLE-12878).
- ice: add additional debug logging for firmware update
  (jsc#SLE-12878).
- ice: refactor devlink_port to be per-VSI (jsc#SLE-12878).
- ice: add the DDP Track ID to devlink info (jsc#SLE-12878).
- ice: Change ice_info_get_dsn to be void (jsc#SLE-12878).
- ice: remove repeated words (jsc#SLE-12878).
- ice: devlink: use %%*phD to print small buffer (jsc#SLE-12878).
- bnxt_en: Eliminate unnecessary RX resets (jsc#SLE-16649).
- bnxt_en: Reduce unnecessary message log during RX errors
  (jsc#SLE-16649).
- bnxt_en: Add a software counter for RX ring reset
  (jsc#SLE-16649).
- bnxt_en: Implement RX ring reset in response to buffer errors
  (jsc#SLE-16649).
- bnxt_en: Refactor bnxt_init_one_rx_ring() (jsc#SLE-16649).
- bnxt_en: Refactor bnxt_free_rx_skbs() (jsc#SLE-16649).
- bnxt_en: Log FW health status info, if reset is aborted
  (jsc#SLE-16649).
- bnxt_en: perform no master recovery during startup
  (jsc#SLE-16649).
- bnxt_en: log firmware status on firmware init failure
  (jsc#SLE-16649).
- bnxt_en: refactor bnxt_alloc_fw_health() (jsc#SLE-16649).
- bnxt_en: Update firmware interface spec to 1.10.1.68
  (jsc#SLE-16649).
- ionic: add new bad firmware error code (jsc#SLE-16649).
- ionic: use lif ident for filter count (jsc#SLE-16649).
- ionic: refill lif identity after fw_up (jsc#SLE-16649).
- ionic: disable all queue napi contexts on timeout
  (jsc#SLE-16649).
- ionic: check qcq ptr in ionic_qcq_disable (jsc#SLE-16649).
- ionic: clear linkcheck bit on alloc fail (jsc#SLE-16649).
- ionic: drain the work queue (jsc#SLE-16649).
- ionic: contiguous memory for notifyq (jsc#SLE-16649).
- ionic: prevent early watchdog check (jsc#SLE-16649).
- ionic: stop watchdog timer earlier on remove (jsc#SLE-16649).
- net: ionic: Remove WARN_ON(in_interrupt()) (jsc#SLE-16649).
- net: ionic: Replace in_interrupt() usage (jsc#SLE-16649).
- ice: convert to new udp_tunnel infrastructure (jsc#SLE-12878).
- ice: remove unused args from ice_get_open_tunnel_port()
  (jsc#SLE-12878).
- bnxt_en: Improve preset max value for ethtool -l
  (jsc#SLE-16649).
- bnxt_en: Implement ethtool set_fec_param() method
  (jsc#SLE-16649).
- bnxt_en: Report Active FEC encoding during link up
  (jsc#SLE-16649).
- bnxt_en: Report FEC settings to ethtool (jsc#SLE-16649).
- bnxt_en: avoid link reset if speed is not changed
  (jsc#SLE-16649).
- bnxt_en: Handle ethernet link being disabled by firmware
  (jsc#SLE-16649).
- bnxt_en: ethtool: support PAM4 link speeds up to 200G
  (jsc#SLE-16649).
- bnxt_en: add basic infrastructure to support PAM4 link speeds
  (jsc#SLE-16649).
- bnxt_en: refactor bnxt_get_fw_speed() (jsc#SLE-16649).
- bnxt_en: refactor code to limit speed advertising
  (jsc#SLE-16649).
- bnxt_en: Update firmware interface spec to 1.10.1.65
  (jsc#SLE-16649).
- ice: add support for flash update overwrite mask
  (jsc#SLE-12878).
- netdevsim: add support for flash_update overwrite mask
  (bsc#1176447).
- devlink: introduce flash update overwrite mask (bsc#1176447).
- devlink: convert flash_update to use params structure
  (bsc#1176447).
- devlink: check flash_update parameter support in net core
  (bsc#1176447).
- hinic: improve the comments of function header (bsc#1176447).
- ice: simplify the return expression of ice_finalize_update()
  (jsc#SLE-12878).
- net: devlink: region: Pass the region ops to the snapshot
  function (bsc#1176447).
- net: devlink: regions: Add a priv member to the regions ops
  struct (bsc#1176447).
- hinic: modify irq name (bsc#1176447).
- ionic: add devlink firmware update (jsc#SLE-16649).
- ionic: update the fw update api (jsc#SLE-16649).
- netdevsim: devlink flash timeout message (bsc#1176447).
- devlink: collect flash notify params into a struct
  (bsc#1176447).
- devlink: add timeout information to status_notify
  (jsc#SLE-16649).
- ionic: dynamic interrupt moderation (jsc#SLE-16649).
- devlink: introduce the health reporter test command
  (bsc#1176447).
- mlxsw: Move fw flashing code into core.c (bsc#1176447).
- bnxt: add pause frame stats (jsc#SLE-15075).
- ethtool: add standard pause stats (jsc#SLE-15075).
- ionic: fix up debugfs after queue swap (jsc#SLE-16649).
- hinic: add vxlan segmentation and cs offload support
  (bsc#1176447).
- net: hns: Fix a kernel-doc warning in hinic_hw_eqs.c
  (bsc#1176447).
- net: hns: Fix a kernel-doc warning in hinic_hw_api_cmd.c
  (bsc#1176447).
- hinic: Fix some kernel-doc warnings in hinic_hw_io.c
  (bsc#1176447).
- net: remove napi_hash_del() from driver-facing API
  (jsc#SLE-15075).
- devlink: Introduce controller number (bsc#1176447).
- devlink: Introduce external controller flag (bsc#1176447).
- devlink: Move structure comments outside of structure
  (bsc#1176447).
- devlink: Add comment block for missing port attributes
  (bsc#1176447).
- net/mlx5: E-switch, Read controller number from device
  (bsc#1176447).
- ionic: clarify boolean precedence (jsc#SLE-16649).
- ionic: remove unused variable (jsc#SLE-16649).
- ionic: clean adminq service routine (jsc#SLE-16649).
- ionic: clean up desc_info and cq_info structs (jsc#SLE-16649).
- ionic: struct reorder for faster access (jsc#SLE-16649).
- ionic: clean up page handling code (jsc#SLE-16649).
- hinic: add support to query function table (bsc#1176447).
- hinic: add support to query rq info (bsc#1176447).
- hinic: add support to query sq info (bsc#1176447).
- ionic: pull reset_queues into tx_timeout handler
  (jsc#SLE-16649).
- ionic: change queue count with no reset (jsc#SLE-16649).
- ionic: change the descriptor ring length without full reset
  (jsc#SLE-16649).
- ionic: change mtu without full queue rebuild (jsc#SLE-16649).
- ionic: use index not pointer for queue tracking (jsc#SLE-16649).
- ionic: reduce contiguous memory allocation requirement
  (jsc#SLE-16649).
- ionic: clean up unnecessary non-static functions
  (jsc#SLE-16649).
- ionic: rework and simplify handling of the queue stats block
  (jsc#SLE-16649).
- ionic: remove lif list concept (jsc#SLE-16649).
- ionic: use kcalloc for new arrays (jsc#SLE-16649).
- ionic: fix up a couple of debug strings (jsc#SLE-16649).
- ionic: set MTU floor at ETH_MIN_MTU (jsc#SLE-16649).
- net: hinic: fix DEVLINK build errors (bsc#1176447).
- hinic: fix wrong return value of mac-set cmd (bsc#1176447).
- hinic: fix sending pkts from core while self testing
  (bsc#1176447).
- hinic: fix potential resource leak (bsc#1176447).
- hinic: fix rewaking txq after netif_tx_disable (bsc#1176447).
- hinic: bump up the timeout of UPDATE_FW cmd (bsc#1176447).
- hinic: bump up the timeout of SET_FUNC_STATE cmd (bsc#1176447).
- hinic: fix strncpy output truncated compile warnings
  (bsc#1176447).
- hinic: add check for mailbox msg from VF (bsc#1176447).
- hinic: add generating mailbox random index support
  (bsc#1176447).
- hinic: add log in exception handling processes (bsc#1176447).
- hinic: add support to handle hw abnormal event (bsc#1176447).
- hinic: add firmware update support (bsc#1176447).
- hinic: remove unused but set variable (bsc#1176447).
- hinic: add support to get eeprom information (bsc#1176447).
- hinic: add support to identify physical device (bsc#1176447).
- hinic: add self test support (bsc#1176447).
- hinic: add support to set and get irq coalesce (bsc#1176447).
- hinic: add support to set and get pause params (bsc#1176447).
- hinic: fix sending mailbox timeout in aeq event work
  (bsc#1176447).
- hinic: fix passing non negative value to ERR_PTR (bsc#1176447).
- hinic: add set_channels ethtool_ops support (bsc#1176447).
- hinic: add set_ringparam ethtool_ops support (bsc#1176447).
- hinic: add link_ksettings ethtool_ops support (bsc#1176447).
- hinic: add three net_device_ops of vf (bsc#1176447).
- hinic: Use kmemdup instead of kzalloc and memcpy (bsc#1176447).
- hinic: make symbol 'dump_mox_reg' static (bsc#1176447).
- hinic: Use ARRAY_SIZE for nic_vf_cmd_msg_handler (bsc#1176447).
- hinic: make a bunch of functions static (bsc#1176447).
- hinic: add net_device_ops associated with vf (bsc#1176447).
- hinic: add sriov feature support (bsc#1176447).
- hinic: add mailbox function support (bsc#1176447).
- hinic: fix wrong value of MIN_SKB_LEN (bsc#1176447).
- hinic: fix out-of-order excution in arm cpu (bsc#1176447).
- hinic: fix the bug of clearing event queue (bsc#1176447).
- hinic: fix a bug of waitting for IO stopped (bsc#1176447).
- hinic: fix a bug of rss configuration (bsc#1176447).
- hinic: fix a bug of setting hw_ioctxt (bsc#1176447).
- hinic: fix a irq affinity bug (bsc#1176447).
- commit d0f8bf4
* Wed Nov 11 2020 mkoutny@suse.com
- mm, memcg: fix inconsistent oom event behavior (bsc#1178659).
- commit 9f54445
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Remove dbc_dma_free_coherent() wrapper
  (jsc#SLE-14911).
- commit f669366
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Remove dbc_dma_alloc_coherent() wrapper
  (jsc#SLE-14911).
- commit 57b7868
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Don't use generic xhci erst allocation and free
  functions (jsc#SLE-14911).
- commit f1f3a81
* Wed Nov 11 2020 oneukum@suse.com
- xhci: Don't pass struct xhci_hcd pointer to xhci_link_seg()
  (jsc#SLE-14911).
- commit 1a4ff11
* Wed Nov 11 2020 oneukum@suse.com
- xhci: dbc: Don't use generic xhci inc_deq() function for dbc
  (jsc#SLE-14911).
- commit 19973f0
* Wed Nov 11 2020 oneukum@suse.com
- xhci: Make debug message consistent with bus and port number
  (jsc#SLE-14911).
- commit 60b582d
* Wed Nov 11 2020 glin@suse.com
- libbpf: Add btf__parse_raw() and generic btf__parse() APIs
  (bsc#1177028).
- libbpf: Add bpf_link detach APIs (bsc#1177028).
- libbpf: Fix register in PT_REGS MIPS macros (bsc#1177028).
- libbpf: Make destructors more robust by handling ERR_PTR(err)
  cases (bsc#1177028).
- libbpf: Add support for BPF XDP link (bsc#1177028).
- libbpf: Print hint when PERF_EVENT_IOC_SET_BPF returns -EPROTO
  (bsc#1177028).
- tools/libbpf: Add support for bpf map element iterator
  (bsc#1177028).
- libbpf bpf_helpers: Use __builtin_offsetof for offsetof
  (bsc#1177028).
- libbpf: Add support for SK_LOOKUP program type (bsc#1177028).
- bpf: Sync linux/bpf.h to tools/ (bsc#1177028).
- libbpf: Add SEC name for xdp programs attached to CPUMAP
  (bsc#1177028).
- libbpf: Fix memory leak and optimize BTF sanitization
  (bsc#1177028).
- libbpf: Handle missing BPF_OBJ_GET_INFO_BY_FD gracefully in
  perf_buffer (bsc#1177028).
- libbpf: Improve BTF sanitization handling (bsc#1177028).
- libbpf: Add btf__set_fd() for more control over loaded BTF FD
  (bsc#1177028).
- libbpf: Make BTF finalization strict (bsc#1177028).
- libbpf: Make bpf_endian co-exist with vmlinux.h (bsc#1177028).
- libbpf: Support disabling auto-loading BPF programs
  (bsc#1177028).
- libbpf: Fix spelling mistake "kallasyms" -> "kallsyms"
  (bsc#1177028).
- libbpf: Add support for extracting kernel symbol addresses
  (bsc#1177028).
- libbpf: Generalize libbpf externs support (bsc#1177028).
- libbpf: Add a bunch of attribute getters/setters for map
  definitions (bsc#1177028).
- libbpf: Bump version to 0.1.0 (bsc#1177028).
- commit 33e5f72
* Wed Nov 11 2020 mbenes@suse.cz
- ring-buffer: Fix recursion protection transitions between
  interrupt context (git-fixes).
- commit 5a991eb
* Wed Nov 11 2020 shung-hsi.yu@suse.com
- i40e: convert to new udp_tunnel infrastructure (jsc#SLE-13701).
- udp_tunnel: add the ability to share port tables
  (jsc#SLE-13701).
- commit 2887511
* Tue Nov 10 2020 pjakobsson@suse.de
- blacklist.conf: Add temporary blacklists for DRM backport
- commit 77bef97
* Tue Nov 10 2020 oneukum@suse.com
- xhci: Show host status when watchdog triggers and host is
  assumed dead (jsc#SLE-14911).
- commit 53efdb1
* Tue Nov 10 2020 oneukum@suse.com
- xhci: Add a separate debug message for split transaction errors
  (jsc#SLE-14911).
- commit d343dbc
* Tue Nov 10 2020 oneukum@suse.com
- USB: Replace zero-length array with flexible-array member
  (jsc#SLE-14911).
- Refresh patches.suse/0001-USB-fix-kABI-padding.patch.
- Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
- Refresh
  patches.suse/usb-audio-v2-Add-uac2_effect_unit_descriptor-definit.patch.
- commit c75fffa
* Tue Nov 10 2020 oneukum@suse.com
- usb: host: xhci: Support running urb giveback in tasklet context
  (jsc#SLE-14911).
- xhci: Add tracing for xhci doorbell register writes
  (jsc#SLE-14911).
- commit 2db51be
* Tue Nov 10 2020 oneukum@suse.com
- xhci: add TSP bitflag to TRB tracing (jsc#SLE-14911).
- commit 264d360
* Tue Nov 10 2020 oneukum@suse.com
- usb: xhci: dbc: Use GFP_KERNEL instead of GFP_ATOMIC in
  'xhci_dbc_alloc_requests()' (jsc#SLE-14911).
- commit 89d6cd8
* Tue Nov 10 2020 oneukum@suse.com
- usb: add a HCD_DMA flag instead of guestimating DMA capabilities
  (jsc#SLE-14911).
- commit 29e46e1
* Tue Nov 10 2020 oneukum@suse.com
- usb: host: Remove call to memset after dma_alloc_coherent
  (jsc#SLE-14911).
- commit eb4b699
* Tue Nov 10 2020 trenn@suse.com
- powercap/intel_rapl: enumerate Psys RAPL domain together with
  package RAPL domain (bsc#1178325).
- powercap/intel_rapl: Fix domain detection (bsc#1178325).
- commit 14f7f31
* Tue Nov 10 2020 mbenes@suse.cz
- ftrace: Handle tracing when switching between context
  (git-fixes).
- commit ae03fad
* Tue Nov 10 2020 mbenes@suse.cz
- ftrace: Fix recursion check for NMI test (git-fixes).
- commit 030da09
* Tue Nov 10 2020 mbenes@suse.cz
- tracing: Fix out of bounds write in get_trace_buf (git-fixes).
- commit 67e9ee9
* Tue Nov 10 2020 pjakobsson@suse.de
- Refresh
  patches.suse/1553-drm-tegra-Fix-SMMU-support-on-Tegra124-and-Tegra210.patch.
- commit 1fa0e6a
* Tue Nov 10 2020 pjakobsson@suse.de
- drm/tee_shm: Drop dma_buf_k(unmap) support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- commit aa6de37
* Tue Nov 10 2020 pjakobsson@suse.de
- soc: mediatek: cmdq: add cmdq_dev_get_client_reg function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- commit cf12177
* Tue Nov 10 2020 shung-hsi.yu@suse.com
- i40e: Allow changing FEC settings on X722 if supported by FW
  (jsc#SLE-13701).
- i40e, xsk: move buffer allocation out of the Rx processing loop
  (jsc#SLE-13701).
- i40e: use 16B HW descriptors instead of 32B (jsc#SLE-13701).
- i40e, xsk: remove HW descriptor prefetch in AF_XDP path
  (jsc#SLE-13701).
- i40e: optimise prefetch page refcount (jsc#SLE-13701).
- i40e: not compute affinity_mask for IRQ (jsc#SLE-13701).
- xsk: i40e: ice: ixgbe: mlx5: Test for dma_need_sync earlier for better
  performance (jsc#SLE-12878 jsc#SLE-13701 jsc#SLE-13706 jsc#SLE-15172).
- xsk: i40e: ice: ixgbe: mlx5: Rename xsk zero-copy driver interfaces
  (jsc#SLE-12878 jsc#SLE-13701 jsc#SLE-13706 jsc#SLE-15172).
- commit 4c2bca6
* Tue Nov 10 2020 shung-hsi.yu@suse.com
- xsk: i40e: ice: ixgbe: mlx5: Pass buffer pool to driver instead of
  umem (jsc#SLE-12878 jsc#SLE-13701 jsc#SLE-13706 jsc#SLE-15172)
- Refresh
  patches.suse/0001-intel-ethernet-clean-up-W-1-warnings-in-kdoc.patch
- commit be04004
* Tue Nov 10 2020 pjakobsson@suse.de
- soc: mediatek: cmdq: add polling function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- commit 2d15bfb
* Tue Nov 10 2020 shung-hsi.yu@suse.com
- Refresh
  patches.suse/xsk-replace-the-cheap_dma-flag-with-a-dma_need_sync-flag.
  Correct the polarity inversion.
- commit d48732d
* Tue Nov 10 2020 pjakobsson@suse.de
- soc: mediatek: cmdq: define the instruction struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- commit 0f24531
* Tue Nov 10 2020 pjakobsson@suse.de
- Refresh
  patches.suse/1367-drm-tegra-Do-not-implement-runtime-PM.patch.
- commit 7513d8f
* Tue Nov 10 2020 pjakobsson@suse.de
- Refresh
  patches.suse/1366-gpu-host1x-Rename-parent-to-host.patch.
- commit 7b574ae
* Tue Nov 10 2020 pjakobsson@suse.de
- Refresh
  patches.suse/0131-drm-tegra-Delete-host1x_bo_ops-k-un-map.patch.
- commit 54cdf86
* Tue Nov 10 2020 pjakobsson@suse.de
- supported.conf: add drivers/media/cec
  Several supported DRM modules depend on this
- commit 019d0eb
* Tue Nov 10 2020 msuchanek@suse.de
- xfs: show the dax option in mount options (bsc#1178366).
- ext4: show the dax option in mount options (bsc#1178366).
- commit 0d2614f
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: return error for non-vma snapshots (jsc#SLE-16387).
- commit cb4cd5c
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: do not set pfns when returning an error code
  (jsc#SLE-16387).
- commit d79f1a1
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: do not unconditionally set pfns when returning EBUSY
  (jsc#SLE-16387).
- commit 5c2e183
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: use device_private_entry_to_pfn() (jsc#SLE-16387).
- commit fdfc1a4
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: remove HMM_FAULT_SNAPSHOT (jsc#SLE-16387).
- commit 595b3de
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: remove unused code and tidy comments (jsc#SLE-16387).
- commit 1b3c7a1
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: return the fault type from hmm_pte_need_fault()
  (jsc#SLE-16387).
- commit 7cfcf46
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: remove pgmap checking for devmap pages (jsc#SLE-16387).
- commit f55826e
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: check the device private page owner in hmm_range_fault()
  (jsc#SLE-16387).
- commit 3210c7b
* Tue Nov 10 2020 vbabka@suse.cz
- mm: simplify device private page handling in hmm_range_fault
  (jsc#SLE-16387).
- commit d68ff3f
* Tue Nov 10 2020 vbabka@suse.cz
- mm: handle multiple owners of device private pages in
  migrate_vma (jsc#SLE-16387).
- commit bde305b
* Tue Nov 10 2020 vbabka@suse.cz
- mm/migrate.c: clean up useless code in migrate_vma_collect_pmd()
  (jsc#SLE-16387).
- commit 80ded04
* Tue Nov 10 2020 nsaenzjulienne@suse.de
- net: fec: fix MDIO probing for some FEC hardware blocks
  (git-fixes).
- spi: imx: fix runtime pm support for !CONFIG_PM (git-fixes).
- commit c0c4018
* Tue Nov 10 2020 vbabka@suse.cz
- mm: merge hmm_vma_do_fault into into hmm_vma_walk_hole_
  (jsc#SLE-16387).
- commit 58359ea
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: don't handle the non-fault case in hmm_vma_walk_hole_()
  (jsc#SLE-16387).
- commit e7fef6e
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: simplify hmm_vma_walk_hugetlb_entry() (jsc#SLE-16387).
- commit d96991d
* Tue Nov 10 2020 yousaf.kaukab@suse.com
- PCI: dwc: Program outbound ATU upper limit register
  (jsc#SLE-12251).
- commit 5653ea0
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: remove the unused HMM_FAULT_ALLOW_RETRY flag
  (jsc#SLE-16387).
- commit 4e5b1eb
* Tue Nov 10 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/exfat-fix-name_hash-computation-on-big-endian-systems.patch
  patches.suse/exfat-fix-overflow-issue-in-exfat_cluster_to_sector.patch
  patches.suse/exfat-fix-possible-memory-leak-in-exfat_find.patch
  patches.suse/exfat-fix-use-of-uninitialized-spinlock-on-error-path.patch
  patches.suse/exfat-fix-wrong-hint_stat-initialization-in-exfat_find_dir_entry.patch
  patches.suse/exfat-fix-wrong-size-update-of-stream-entry-by-typo.patch
  patches.suse/mmswapfile.c-fix-potential-memory-leak-in-sys_swapon.patch
- commit 37fd1b5
* Tue Nov 10 2020 vbabka@suse.cz
- mm/hmm: don't provide a stub for hmm_range_fault()
  (jsc#SLE-16387).
- commit 7bd4083
* Tue Nov 10 2020 glin@suse.com
- bpf: Fix "unresolved symbol" build error with resolve_btfids
  (bsc#1177028).
- bpf: Rename bpf_htab to bpf_shtab in sock_map (bsc#1177028).
  Refresh patches.suse/bpf-Set-map_btf_-name-id-for-all-map-types.patch
- bpf: sk_storage: Prefer to get a free cache_idx (bsc#1177028).
- ocfs2: fix build failure when TCP/IP is disabled (bsc#1177028).
- commit d5b78b7
* Tue Nov 10 2020 jslaby@suse.cz
- x86/platform/uv: Remove unused variable in UV5 NMI handler
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Update Copyrights to conform to HPE standards
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Update for UV5 NMI MMR changes (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Update UV5 TSC checking (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Update node present counting (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Update UV5 MMR references in UV GRU
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Adjust GAM MMR references affected by UV5
  updates (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Update MMIOH references based on new UV5 MMRs
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Add and decode Arch Type in UVsystab
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Add UV5 direct references (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Update UV MMRs for UV5 (bnc#1177710
  jsc#SLE-13285).
- drivers/misc/sgi-xp: Adjust references in UV kernel modules
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove SCIR MMR references for UV systems
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove UV BAU TLB Shootdown Handler
  (bnc#1177710 jsc#SLE-13285).
- x86/efi: Delete SGI UV1 detection (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove vestigial mention of UV1 platform from
  bios header (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for UV1 platform from uv
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for uv1 platform from uv_hub
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for UV1 platform from uv_bau
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for UV1 platform from uv_mmrs
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for UV1 platform from
  x2apic_uv_x (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for UV1 platform from uv_tlb
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove support for UV1 platform from uv_time
  (bnc#1177710 jsc#SLE-13285).
- x86/apic/uv: Remove code for unused distributed GRU mode
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove the unused _uv_cpu_blade_processor_id()
  macro (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Unexport uv_apicid_hibits (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Simplify uv_send_IPI_one() (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Mark uv_min_hub_revision_id static (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Remove the UV*_HUB_IS_SUPPORTED macros
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Unexport symbols only used by x2apic_uv_x.c
  (bnc#1177710 jsc#SLE-13285).
- x86/apic/uv: Avoid unused variable warning (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Fix kmalloc() NULL check routine (bnc#1177710
  jsc#SLE-13285).
- commit eb2cde9
* Tue Nov 10 2020 jslaby@suse.cz
- blacklist.conf: remove a cleanup
  We will backport it as a part of a series, so that it applies cleanly.
- commit 9f12703
* Tue Nov 10 2020 jslaby@suse.cz
- x86/platform/uv: Recognize UV5 hubless system identifier
  (bnc#1177710 jsc#SLE-13285).
- x86/platform/uv: Remove spaces from OEM IDs (bnc#1177710
  jsc#SLE-13285).
- x86/platform/uv: Fix missing OEM_TABLE_ID (bnc#1177710
  jsc#SLE-13285).
- commit e2421fe
* Tue Nov 10 2020 shung-hsi.yu@suse.com
- e1000e: Add support for Meteor Lake (jsc#SLE-13532).
- commit 374797f
* Tue Nov 10 2020 shung-hsi.yu@suse.com
- e1000: remove unused and incorrect code (jsc#SLE-15368).
- intel: handle unused assignments (jsc#SLE-15368).
- net: e1000: Remove set but not used variable (jsc#SLE-15368).
- commit 2aff626
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: do not check pmd_protnone twice in hmm_vma_handle_pmd()
  (jsc#SLE-16387).
- commit 16e1ed6
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: add missing call to hmm_pte_need_fault in
  HMM_PFN_SPECIAL handling (jsc#SLE-16387).
- commit e5953d6
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: return -EFAULT when setting HMM_PFN_ERROR on requested
  valid pages (jsc#SLE-16387).
- commit 7ba9153
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: reorganize how !pte_present is handled in
  hmm_vma_handle_pte() (jsc#SLE-16387).
- commit e36e8ab
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: add missing call to hmm_range_need_fault() before
  returning EFAULT (jsc#SLE-16387).
- commit 153ced0
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: add missing pfns set to hmm_vma_walk_pmd()
  (jsc#SLE-16387).
- commit 1333fe7
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: do not call hmm_vma_walk_hole() while holding a spinlock
  (jsc#SLE-16387).
- commit 5670219
* Mon Nov  9 2020 vbabka@suse.cz
- x86: mm: convert ptdump_walk_pgd_level_debugfs() to take an
  mm_struct (jsc#SLE-16387).
- Refresh
  patches.suse/x86-head-64-move-early-exception-dispatch-to-c-code.
- commit 0532584
* Mon Nov  9 2020 vbabka@suse.cz
- x86: mm+efi: convert ptdump_walk_pgd_level() to take a mm_struct
  (jsc#SLE-16387).
- Refresh
  patches.suse/x86-head-64-move-early-exception-dispatch-to-c-code.
- commit 7c4de70
* Mon Nov  9 2020 vbabka@suse.cz
- x86: mm: point to struct seq_file from struct pg_state
  (jsc#SLE-16387).
- commit f3fcb52
* Mon Nov  9 2020 vbabka@suse.cz
- mm: pagewalk: add 'depth' parameter to pte_hole (jsc#SLE-16387).
- commit 422f5fc
* Mon Nov  9 2020 vbabka@suse.cz
- mm: pagewalk: fix termination condition in walk_pte_range()
  (jsc#SLE-16387).
- commit fece2d0
* Mon Nov  9 2020 vbabka@suse.cz
- mm: pagewalk: don't lock PTEs for walk_page_range_novma()
  (jsc#SLE-16387).
- commit 39ed827
* Mon Nov  9 2020 vbabka@suse.cz
- mm: pagewalk: Take the pagetable lock in walk_pte_range()
  (jsc#SLE-16387).
- commit 5795e66
* Mon Nov  9 2020 vbabka@suse.cz
- mm: pagewalk: allow walking without vma (jsc#SLE-16387).
- commit b305cfb
* Mon Nov  9 2020 vbabka@suse.cz
- mm: pagewalk: add p4d_entry() and pgd_entry() (jsc#SLE-16387).
- commit 256b3d8
* Mon Nov  9 2020 vbabka@suse.cz
- x86: mm: add p?d_leaf() definitions (jsc#SLE-16387).
- commit c00cbb0
* Mon Nov  9 2020 vbabka@suse.cz
- s390: mm: add p?d_leaf() definitions (jsc#SLE-16387).
- commit 4cf6cf2
* Mon Nov  9 2020 vbabka@suse.cz
- powerpc: mm: add p?d_leaf() definitions (jsc#SLE-16387).
- commit e3519bd
* Mon Nov  9 2020 vbabka@suse.cz
- arm64: mm: add p?d_leaf() definitions (jsc#SLE-16387).
- commit d4d874a
* Mon Nov  9 2020 vbabka@suse.cz
- mm: add generic p?d_leaf() macros (jsc#SLE-16387).
- commit 0a30765
* Mon Nov  9 2020 vbabka@suse.cz
- mm/hmm: add missing unmaps of the ptep during
  hmm_vma_handle_pte() (jsc#SLE-16387).
- commit df3bac7
* Mon Nov  9 2020 vbabka@suse.cz
- mm/page_reporting: add free page reporting documentation
  (MM Functionality, jsc#SLE-12717).
- commit faeb6d4
* Mon Nov  9 2020 vbabka@suse.cz
- mm/page_reporting: add budget limit on how many pages can be
  reported per pass (MM Functionality, jsc#SLE-12717).
- commit e26edbf
* Mon Nov  9 2020 vbabka@suse.cz
- mm/page_reporting: rotate reported pages to the tail of the list
  (MM Functionality, jsc#SLE-12717).
- commit 8f659f2
* Mon Nov  9 2020 yousaf.kaukab@suse.com
- tty: serial: fsl_lpuart: LS1021A has a FIFO size of 16 words,
  like LS1028A (jsc#SLE-12251).
- commit 26807c4
* Mon Nov  9 2020 vbabka@suse.cz
- virtio-balloon: add support for providing free page reports
  to host (MM Functionality, jsc#SLE-12717).
- Update config files. Free page reporting selected by virtio-balloon.
- commit 93ef96c
* Mon Nov  9 2020 vbabka@suse.cz
- mm: introduce Reported pages (MM Functionality, jsc#SLE-12717).
- Update config files. Disable the new config, will be updated later.
- commit d3c28ff
* Mon Nov  9 2020 rgoldwyn@suse.com
- mm/swapfile.c: fix potential memory leak in sys_swapon
  (git-fixes).
- exfat: fix use of uninitialized spinlock on error path
  (git-fixes).
- exfat: fix name_hash computation on big endian systems
  (git-fixes).
- exfat: fix wrong size update of stream entry by typo
  (git-fixes).
- exfat: fix wrong hint_stat initialization in
  exfat_find_dir_entry()  (git-fixes).
- exfat: fix overflow issue in exfat_cluster_to_sector()
  (git-fixes).
- exfat: fix possible memory leak in exfat_find()  (git-fixes).
- commit 97624cb
* Mon Nov  9 2020 vbabka@suse.cz
- virtio-balloon: pull page poisoning config out of free page
  hinting (MM Functionality, jsc#SLE-12717).
- commit 6aed9c7
* Mon Nov  9 2020 vbabka@suse.cz
- mm: add function __putback_isolated_page (MM Functionality,
  jsc#SLE-12717).
- commit 6e0fba7
* Mon Nov  9 2020 vbabka@suse.cz
- mm: use zone and order instead of free area in free_list
  manipulators (MM Functionality, jsc#SLE-12717).
- Refresh
  patches.suse/mm-hwpoison-rework-soft-offline-for-free-pages.patch.
- commit 168d915
* Mon Nov  9 2020 vbabka@suse.cz
- Update patch metadata after merging to mainline
- Refresh
  patches.suse/mm-hwpoison-Try-to-narrow-window-race-for-free-pages.patch
- Refresh
  patches.suse/mm-hwpoison-cleanup-unused-PageHuge-check.patch.
- Refresh
  patches.suse/mm-hwpoison-double-check-page-count-in-__get_any_pag.patch.
- Refresh
  patches.suse/mm-hwpoison-inject-don-t-pin-for-hwpoison_filter.patch.
- Refresh
  patches.suse/mm-hwpoison-introduce-MF_MSG_UNSPLIT_THP.patch.
- Refresh patches.suse/mm-hwpoison-kill-put_hwpoison_page.patch.
- Refresh
  patches.suse/mm-hwpoison-refactor-madvise_inject_error.patch.
- Refresh
  patches.suse/mm-hwpoison-refactor-soft_offline_huge_page-and-__so.patch.
- Refresh
  patches.suse/mm-hwpoison-remove-recalculating-hpage.patch.
- Refresh
  patches.suse/mm-hwpoison-return-0-if-the-page-is-already-poisoned.patch.
- Refresh
  patches.suse/mm-hwpoison-rework-soft-offline-for-free-pages.patch.
- Refresh
  patches.suse/mm-hwpoison-rework-soft-offline-for-in-use-pages.patch.
- Refresh
  patches.suse/mm-hwpoison-unexport-get_hwpoison_page-and-make-it-s.patch.
- Refresh
  patches.suse/mm-hwpoison-unify-THP-handling-for-hard-and-soft-off.patch.
- commit 220db41
* Mon Nov  9 2020 yousaf.kaukab@suse.com
- include/linux/units.h: add helpers for kelvin to/from Celsius
  conversion (jsc#SLE-12251).
- commit c279345
* Mon Nov  9 2020 fdmanana@suse.com
- btrfs: reschedule if necessary when logging directory items
  (bsc#1178585).
- commit 5a09bb7
* Mon Nov  9 2020 fdmanana@suse.com
- btrfs: cleanup cow block on error (bsc#1178584).
- commit 080ee21
* Mon Nov  9 2020 yousaf.kaukab@suse.com
- tty: serial: fsl_lpuart: minimum baud rate support (jsc#SLE-12251).
- gpio: mpc8xxx: change the gpio interrupt flags (jsc#SLE-12251).
- thermal: qoriq: Update the settings for TMUv2 (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Use __maybe_unused instead of #if CONFIG_PM_SLEEP (jsc#SLE-12251).
- serial: fsl_lpuart: Change DMA failure messages to debug level (jsc#SLE-12251).
- tty: serial: fsl_lpuart: make coverity happy (jsc#SLE-12251).
- thermal: qoriq: Sort includes alphabetically (jsc#SLE-12251).
- thermal: qoriq: Use devm_add_action_or_reset() to handle all cleanups (jsc#SLE-12251).
- tty: serial: fsl_lpuart: fix return value checking (jsc#SLE-12251).
- tty: serial: fsl_lpuart: move dma_request_chan() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: add LS1028A earlycon support (jsc#SLE-12251).
- tty: serial: fsl_lpuart: add LS1028A support (jsc#SLE-12251).
- tty: serial: fsl_lpuart: fix DMA mapping (jsc#SLE-12251).
- tty: serial: fsl_lpuart: fix DMA operation when using IOMMU (jsc#SLE-12251).
- tty: serial: fsl_lpuart: drop earlycon entry for i.MX8QXP (jsc#SLE-12251).
- tty: serial: fsl_lpuart: support UPIO_MEM32 for lpuart32 (jsc#SLE-12251).
- tty: serial: lpuart: Add RS485 support for 32-bit uart flavour (jsc#SLE-12251).
- tty: serial: lpuart: Use defines that correspond to correct register (jsc#SLE-12251).
- tty: serial: lpuart: Remove unnecessary code from set_mctrl (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Fix lpuart_flush_buffer() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Ignore TX/RX interrupts if DMA is enabled (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Don't enable TIE in .startup() or .resume() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart*_setup_watermark_enable() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart32_configure() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart_rx_dma_startup() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart_tx_dma_startup() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart_dma_shutdown() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Drop unnecessary lpuart*_stop_tx() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart_stopped_or_empty() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Use cpu_relax() instead of barrier() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Introduce lpuart_wait_bit_set() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Clear CSTOPB unconditionally (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Drop unnecessary extra parenthesis (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Drop no-op bit opearation (jsc#SLE-12251).
- tty: serial: fls_lpuart: Split shared TX IRQ handler into two (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Fix issue in software flow control (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Drop unnecessary uart_write_wakeup() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Fix bogus indentation (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Simplify RX/TX IRQ handlers (jsc#SLE-12251).
- tty: serial: fsl_lpuart: Flush HW FIFOs in .flush_buffer (jsc#SLE-12251).
- tty: serial: fsl_lpuart: flush receive FIFO after overruns (jsc#SLE-12251).
- tty: serial: fsl_lpuart: fix framing error handling when using DMA (jsc#SLE-12251).
- tty: serial: fsl_lpuart: correct the FIFO depth size (jsc#SLE-12251).
- tty: serial: fsl_lpuart: remove sg_set_buf() for sport->rx_sgl (jsc#SLE-12251).
- tty: serial: fsl_lpuart: use kzalloc() instead of kmalloc() (jsc#SLE-12251).
- tty: serial: fsl_lpuart: add earlycon for imx8qxp platform (jsc#SLE-12251).
- tty: serial: fsl_lpuart: remove the dev.coherent_dma_mask zero setting (jsc#SLE-12251).
- commit 463bebe
* Mon Nov  9 2020 fdmanana@suse.com
- btrfs: send, recompute reference path after orphanization of
  a directory (bsc#1178581).
- commit 1067aa3
* Mon Nov  9 2020 fdmanana@suse.com
- btrfs: send, orphanize first all conflicting inodes when
  processing references (bsc#1178579).
- commit 972ec4e
* Mon Nov  9 2020 pjakobsson@suse.de
- Update config files.
  Updating config files for DRM backport
- commit cdfeead
* Mon Nov  9 2020 oneukum@suse.com
- crypto: caam - share definition for MAX_SDLEN (jsc#SLE-14454).
- commit 3551d71
* Mon Nov  9 2020 tonyj@suse.de
- perf/core: Fix a memory leak in perf_event_parse_addr_filter()
  (bsc#1178393, CVE-2020-25704).
- commit ec449ad
* Mon Nov  9 2020 mbenes@suse.cz
- Refresh
  patches.suse/x86-unwind-orc-Fix-inactive-tasks-with-stack-pointer.patch.
  "series_sort -u" applied
- commit 3711acc
* Mon Nov  9 2020 pjakobsson@suse.de
- blacklist.conf: Blacklist cherry-picks (dups) for drm v5.7
- commit aeb9d5f
* Mon Nov  9 2020 pjakobsson@suse.de
- blacklist.conf: Blacklist cherry-picks (dups) for drm v5.6
- commit 02b6132
* Mon Nov  9 2020 vbabka@suse.cz
- mm: adjust shuffle code to allow for future coalescing (MM
  Functionality, jsc#SLE-12717).
- commit 0fa6dd2
* Mon Nov  9 2020 denis.kirjanov@suse.com
- s390/ap: fix ap devices reference counting (git-fixes).
- commit b8ffb64
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: improve return codes for SMC-Dv2 (jsc#SLE-13761).
- s390/ism: fix incorrect system EID (jsc#SLE-13761).
- net/smc: fix null pointer dereference in smc_listen_decline()
  (jsc#SLE-13761).
- net/smc: fix valid DMBE buffer sizes (jsc#SLE-13761).
- net/smc: restore smcd_version when all ISM V2 devices failed
  to init (jsc#SLE-13761).
- net/smc: cleanup buffer usage in smc_listen_work()
  (jsc#SLE-13761).
- net/smc: consolidate unlocking in same function (jsc#SLE-13761).
- net/smc: use an array to check fields in system EID
  (jsc#SLE-13761).
- net/smc: send ISM devices with unique chid in CLC proposal
  (jsc#SLE-13761).
- net/smc: CLC decline - V2 enhancements (jsc#SLE-13761).
- net/smc: introduce CLC first contact extension (jsc#SLE-13761).
- net/smc: CLC accept / confirm V2 (jsc#SLE-13761).
- net/smc: determine accepted ISM devices (jsc#SLE-13761).
- net/smc: build and send V2 CLC proposal (jsc#SLE-13761).
- net/smc: determine proposed ISM devices (jsc#SLE-13761).
- net/smc: introduce list of pnetids for Ethernet devices
  (jsc#SLE-13761).
- net/smc: introduce CHID callback for ISM devices
  (jsc#SLE-13761).
- net/smc: introduce System Enterprise ID (SEID) (jsc#SLE-13761).
- net/smc: prepare for more proposed ISM devices (jsc#SLE-13761).
- net/smc: split CLC confirm/accept data to be sent
  (jsc#SLE-13761).
- net/smc: separate find device functions (jsc#SLE-13761).
- net/smc: CLC header fields renaming (jsc#SLE-13761).
- net/smc: remove constant and introduce helper to check for a
  pnet id (jsc#SLE-13761).
- commit a261cba
* Mon Nov  9 2020 tbogendoerfer@suse.de
- Refresh patches.suse/0002-igb-add-XDP-support.patch.
  Fix for bsc#1178464.
- commit 5da54c8
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: fix suppressed return code (git-fixes).
- commit 0fa48a6
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: fix invalid return code in smcd_new_buf_create()
  (git-fixes).
- net/smc: fix use-after-free of delayed events (git-fixes).
- net: smc: fix missing brace warning for old compilers
  (git-fixes).
- commit 9e5f788
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: fix double kfree in smc_listen_work() (jsc#SLE-13763).
- commit 906451f
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: check variable before dereferencing in smc_close.c
  (jsc#SLE-13763).
- net/smc: use separate work queues for different worker types
  (jsc#SLE-13763).
- net/smc: use the retry mechanism for netlink messages
  (jsc#SLE-13763).
- net/smc: immediate freeing in smc_lgr_cleanup_early()
  (jsc#SLE-13763).
- net/smc: reduce smc_listen_decline() calls (jsc#SLE-13763).
- net/smc: improve server ISM device determination
  (jsc#SLE-13763).
- net/smc: common routine for CLC accept and confirm
  (jsc#SLE-13763).
- commit 61f2ea9
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: dynamic allocation of CLC proposal buffer
  (jsc#SLE-13763).
- net/smc: introduce better field names (jsc#SLE-13763).
- net/smc: reduce active tcp_listen workers (jsc#SLE-13763).
- net/smc: fix sock refcounting in case of termination
  (jsc#SLE-13763).
- net/smc: reset sndbuf_desc if freed (jsc#SLE-13763).
- net/smc: set rx_off for SMCR explicitly (jsc#SLE-13763).
- net/smc: fix toleration of fake add_link messages
  (jsc#SLE-13763).
- commit fa7dce6
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: unique reason code for exceeded max dmb count
  (jsc#SLE-13763).
- net/smc: fix dmb buffer shortage (jsc#SLE-13763).
- net/smc: remove freed buffer from list (jsc#SLE-13763).
- net/smc: do not call dma sync for unmapped memory
  (jsc#SLE-13763).
- net/smc: fix handling of delete link requests (jsc#SLE-13763).
- net/smc: move add link processing for new device into llc layer
  (jsc#SLE-13763).
- commit 28f585b
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: drop out-of-flow llc response messages (jsc#SLE-13763).
- net/smc: protect smc ib device initialization (jsc#SLE-13763).
- net/smc: fix link lookup for new rdma connections
  (jsc#SLE-13763).
- net/smc: clear link during SMC client link down processing
  (jsc#SLE-13763).
- net/smc: handle unexpected response types for confirm link
  (jsc#SLE-13763).
- net/smc: switch smcd_dev_list spinlock to mutex (jsc#SLE-13763).
- net/smc: fix sleep bug in smc_pnet_find_roce_resource()
  (jsc#SLE-13763).
- commit 4dd55b0
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: fix work request handling (jsc#SLE-13763).
- net/smc: separate LLC wait queues for flow and messages
  (jsc#SLE-13763).
- net/smc: pre-fetch send buffer outside of send_lock
  (jsc#SLE-13763).
- net/smc: mark smc_pnet_policy as const (jsc#SLE-13763).
- net/smc: remove set but not used variables 'del_llc,
  del_llc_resp' (jsc#SLE-13763).
- net/smc: remove unused inline function smc_curs_read
  (jsc#SLE-13763).
- net/smc: log important pnetid and state change events
  (jsc#SLE-13763).
- Refresh
  patches.suse/RDMA-Allow-ib_client-s-to-fail-when-add-is-called.patch.
- commit 290cbef
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: save SMC-R peer link_uid (jsc#SLE-13763).
- net/smc: create improved SMC-R link_uid (jsc#SLE-13763).
- net/smc: improve termination processing (jsc#SLE-13763).
- net/smc: add termination reason and handle LLC protocol
  violation (jsc#SLE-13763).
- net/smc: asymmetric link tagging (jsc#SLE-13763).
- net/smc: assign link to a new connection (jsc#SLE-13763).
- net/smc: send DELETE_LINK, ALL message and wait for send to
  complete (jsc#SLE-13763).
- commit 7b84fa6
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: wait for departure of an IB message (jsc#SLE-13763).
- net/smc: handle incoming CDC validation message (jsc#SLE-13763).
- net/smc: send failover validation message (jsc#SLE-13763).
- net/smc: switch connections to alternate link (jsc#SLE-13763).
- net/smc: save state of last sent CDC message (jsc#SLE-13763).
- net/smc: enqueue local LLC messages (jsc#SLE-13763).
- net/smc: delete link processing as SMC server (jsc#SLE-13763).
- commit a6ff6ec
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: delete link processing as SMC client (jsc#SLE-13763).
- net/smc: llc_del_link_work and use the LLC flow for delete link
  (jsc#SLE-13763).
- net/smc: delete an asymmetric link as SMC server
  (jsc#SLE-13763).
- net/smc: final part of add link processing as SMC server
  (jsc#SLE-13763).
- net/smc: rkey processing for a new link as SMC server
  (jsc#SLE-13763).
- net/smc: first part of add link processing as SMC server
  (jsc#SLE-13763).
- net/smc: final part of add link processing as SMC client
  (jsc#SLE-13763).
- commit 62a06e5
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: rkey processing for a new link as SMC client
  (jsc#SLE-13763).
- net/smc: first part of add link processing as SMC client
  (jsc#SLE-13763).
- smc: Remove unused function (jsc#SLE-13763).
- net/smc: llc_add_link_work to handle ADD_LINK LLC requests
  (jsc#SLE-13763).
- net/smc: allocate index for a new link (jsc#SLE-13763).
- net/smc: introduce smc_pnet_find_alt_roce() (jsc#SLE-13763).
- net/smc: remove DELETE LINK processing from smc_core.c
  (jsc#SLE-13763).
- net/smc: take link down instead of terminating the link group
  (jsc#SLE-13763).
- commit 32caa81
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: add smcr_port_err() and smcr_link_down() processing
  (jsc#SLE-13763).
- net/smc: add smcr_port_add() and smcr_link_up() processing
  (jsc#SLE-13763).
- net/smc: remember PNETID of IB device for later device matching
  (jsc#SLE-13763).
- net/smc: mutex to protect the lgr against parallel
  reconfigurations (jsc#SLE-13763).
- net/smc: extend smc_llc_send_add_link() and
  smc_llc_send_delete_link() (jsc#SLE-13763).
- net/smc: map and register buffers for a new link
  (jsc#SLE-13763).
- net/smc: unmapping of buffers to support multiple links
  (jsc#SLE-13763).
- commit ec6693c
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: multiple link support for rmb buffer registration
  (jsc#SLE-13763).
- net/smc: remove obsolete link state DELETING (jsc#SLE-13763).
- net/smc: remove handling of CONFIRM_RKEY_CONTINUE
  (jsc#SLE-13763).
- net/smc: adapt SMC remote DELETE_RKEY processing to use the
  LLC flow (jsc#SLE-13763).
- net/smc: adapt SMC remote CONFIRM_RKEY processing to use the
  LLC flow (jsc#SLE-13763).
- net/smc: new smc_rtoken_set functions for multiple link support
  (jsc#SLE-13763).
- net/smc: move the TEST_LINK response processing into event
  handler (jsc#SLE-13763).
- commit 3d116ae
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: multiple link support and LLC flow for
  smc_llc_do_delete_rkey (jsc#SLE-13763).
- net/smc: multiple link support and LLC flow for
  smc_llc_do_confirm_rkey (jsc#SLE-13763).
- net/smc: adapt SMC client code to use the LLC flow
  (jsc#SLE-13763).
- Refresh patches.suse/net-smc-tolerate-future-smcd-versions.
- net/smc: adapt SMC server code to use the LLC flow
  (jsc#SLE-13763).
- net/smc: add logic to evaluate CONFIRM_LINK messages to LLC
  layer (jsc#SLE-13763).
- net/smc: introduce link group type (jsc#SLE-13763).
- net/smc: enqueue all received LLC messages (jsc#SLE-13763).
- commit f1b36b4
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: add event-based llc_flow framework (jsc#SLE-13763).
- net/smc: move llc layer related init and clear into smc_llc.c
  (jsc#SLE-13763).
- net/smc: use mutex instead of rwlock_t to protect buffers
  (jsc#SLE-13763).
- net/smc: process llc responses in tasklet context
  (jsc#SLE-13763).
- net/smc: use worker to process incoming llc messages
  (jsc#SLE-13763).
- net/smc: simplify link deactivation (jsc#SLE-13763).
- net/smc: move testlink work to system work queue
  (jsc#SLE-13763).
- commit 9e3ac5a
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: add new link state and related helpers (jsc#SLE-13763).
- net/smc: multi-link support for smc_rmb_rtoken_handling()
  (jsc#SLE-13763).
- net/smc: convert static link ID instances to support multiple
  links (jsc#SLE-13763).
- Refresh patches.suse/net-smc-tolerate-future-smcd-versions.
- net/smc: convert static link ID to dynamic references
  (jsc#SLE-13763).
- net/smc: introduce link_idx for link group array
  (jsc#SLE-13763).
- net/smc: separate function for link initialization
  (jsc#SLE-13763).
- net/smc: rework pnet table to support SMC-R failover
  (jsc#SLE-13763).
- Refresh
  patches.suse/RDMA-Allow-ib_client-s-to-fail-when-add-is-called.patch.
- commit c9fb3e8
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: improve peer ID in CLC decline for SMC-R
  (jsc#SLE-13763).
- net/smc: rework peer ID handling (jsc#SLE-13763).
- net/smc: reduce port_event scheduling (jsc#SLE-13763).
- net/smc: simplify normal link termination (jsc#SLE-13763).
- net/smc: remove unused parameter of smc_lgr_terminate()
  (jsc#SLE-13763).
- net/smc: do not delete lgr from list twice (jsc#SLE-13763).
- net/smc: use termination worker under send_lock (jsc#SLE-13763).
- commit ff91c5c
* Mon Nov  9 2020 ptesarik@suse.cz
- net/smc: improve smc_lgr_cleanup() (jsc#SLE-13763).
- net/smc: cancel event worker during device removal
  (jsc#SLE-13763).
- net/smc: fix cleanup for linkgroup setup failures
  (jsc#SLE-13763).
- net/smc: no peer ID in CLC decline for SMCD (jsc#SLE-13763).
- net/smc: transfer fasync_list in case of fallback
  (jsc#SLE-13763).
- net/smc: allow unprivileged users to read pnet table
  (jsc#SLE-13763).
- net/smc: shorten lgr_cnt initialization (jsc#SLE-13763).
- commit 7b16f62
* Mon Nov  9 2020 mbrugger@suse.com
- arm64: acpi: Make apei_claim_sea() synchronise with APEI's irq work (jsc#SLE-16610).
- arm64: acpi: Make apei_claim_sea() synchronise with APEI's
  irq work (jsc#SLE-16610).
- commit 5f689d9
* Mon Nov  9 2020 mbrugger@suse.com
- ACPI: APEI: Kick the memory_failure() queue for synchronous errors (jsc#SLE-16610).
- ACPI: APEI: Kick the memory_failure() queue for synchronous
  errors (jsc#SLE-16610).
- commit 36dbacd
* Mon Nov  9 2020 mbrugger@suse.com
- mm/memory-failure: Add memory_failure_queue_kick()
  (jsc#SLE-16610).
- Refresh patches.suse/mm-hwpoison-kill-put_hwpoison_page.patch.
- Refresh
  patches.suse/mm-hwpoison-unexport-get_hwpoison_page-and-make-it-s.patch.
- commit 7b68336
* Mon Nov  9 2020 mbrugger@suse.com
- firmware: arm_sdei: Document the motivation behind these set_fs() calls (jsc#SLE-16610).
- firmware: arm_sdei: Document the motivation behind these
  set_fs() calls (jsc#SLE-16610).
- commit 7d33342
* Mon Nov  9 2020 tiwai@suse.de
- ALSA: make snd_kcontrol_new name a normal string (git-fixes).
- commit e08e803
* Mon Nov  9 2020 ailiop@suse.com
- xfs: fix scrub flagging rtinherit even if there is no rt device
  (git-fixes).
- commit abfd9e4
* Mon Nov  9 2020 ailiop@suse.com
- xfs: flush new eof page on truncate to avoid post-eof corruption
  (git-fixes).
- commit 8dd6e4b
* Mon Nov  9 2020 ailiop@suse.com
- xfs: set xefi_discard when creating a deferred agfl free log
  intent item (git-fixes).
- commit 9130952
* Mon Nov  9 2020 tbogendoerfer@suse.de
- Refresh
  patches.suse/RDMA-umem-Add-a-schedule-point-in-ib_umem_get.patch.
- Delete
  patches.suse/IB-umem-use-get_user_pages_fast-to-pin-DMA-pages.patch.
  get_user_pages_fast() in SP3 doesn't support requested features so we
  drop this patch.
- commit 24e600c
* Mon Nov  9 2020 tiwai@suse.de
- serial: txx9: add missing platform_driver_unregister() on
  error in serial_txx9_init (git-fixes).
- serial: 8250_mtk: Fix uart_get_baud_rate warning (git-fixes).
- USB: serial: cyberjack: fix write-URB completion race
  (git-fixes).
- usb: mtu3: fix panic in mtu3_gadget_stop() (git-fixes).
- can: flexcan: flexcan_remove(): disable wakeup completely
  (git-fixes).
- can: flexcan: remove FLEXCAN_QUIRK_DISABLE_MECR quirk for
  LS1021A (git-fixes).
- can: peak_canfd: pucan_handle_can_rx(): fix echo management
  when loopback is on (git-fixes).
- can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
  (git-fixes).
- can: peak_usb: add range checking in decode operations
  (git-fixes).
- can: can_create_echo_skb(): fix echo skb generation: always
  use skb_clone() (git-fixes).
- can: dev: __can_get_echo_skb(): fix real payload length return
  value for RTR frames (git-fixes).
- can: dev: can_get_echo_skb(): prevent call to kfree_skb()
  in hard IRQ context (git-fixes).
- can: rx-offload: don't call kfree_skb() from IRQ context
  (git-fixes).
- commit efd4e46
* Mon Nov  9 2020 yousaf.kaukab@suse.com
- spi: fsl-dspi: fix wrong pointer in suspend/resume
  (jsc#SLE-12251).
- commit 3118159
* Mon Nov  9 2020 tiwai@suse.de
- intel_idle: Fix max_cstate for processor models without C-state
  tables (git-fixes).
- commit c5463fe
* Mon Nov  9 2020 tiwai@suse.de
- Replace intel_idle fix with the upstream change (bsc#1177399)
- commit 54ee77b
* Mon Nov  9 2020 tiwai@suse.de
- tty: serial: imx: enable earlycon by default if
  IMX_SERIAL_CONSOLE is enabled (git-fixes).
- r8169: work around short packet hw bug on RTL8125 (git-fixes).
- mac80211: don't require VHT elements for HE on 2.4 GHz
  (git-fixes).
- mac80211: fix regression where EAPOL frames were sent in
  plaintext (git-fixes).
- rtw88: pci: Power cycle device during shutdown (git-fixes).
- mt76: mt7622: fix fw hang on mt7622 (git-fixes).
- mt76: mt7915: do not do any work in napi poll after calling
  napi_complete_done() (git-fixes).
- mt76: mt7615: move drv_own/fw_own in mt7615_mcu_ops (git-fixes).
- mac80211: add missing queue/hash initialization to 802.3 xmit
  (git-fixes).
- brcmfmac: increase F2 watermark for BCM4329 (git-fixes).
- ath10k: fix retry packets update in station dump (git-fixes).
- ASoC: AMD: Clean kernel log from deferred probe error messages
  (git-fixes).
- commit 17b9091
* Mon Nov  9 2020 glin@suse.com
- bpf: Plug hole in struct bpf_sk_lookup_kern (bsc#1177028).
- bpf: Prevent .BTF section elimination (bsc#1177028).
- bpf: Bpf_skc_to_* casting helpers require a NULL check on sk
  (bsc#1177028).
- bpf: Fix clobbering of r2 in bpf_gen_ld_abs (bsc#1177028).
- tools/bpf: build: Make sure resolve_btfids cleans up after
  itself (bsc#1177028).
- bpf: xdp: Fix XDP mode when no mode flags specified
  (bsc#1177028).
- tools/resolve_btfids: Fix sections with wrong alignment
  (bsc#1177028).
- bpf: sock_ops sk access may stomp registers when dst_reg =
  src_reg (bsc#1177028).
- bpf: sock_ops ctx access may stomp registers in corner case
  (bsc#1177028).
- bpf: Fix XDP FD-based attach/detach logic around
  XDP_FLAGS_UPDATE_IF_NOEXIST (bsc#1177028).
- bpf: Add missing return to resolve_btfids (bsc#1177028).
- bpf: Expose socket storage to BPF_PROG_TYPE_CGROUP_SOCK
  (bsc#1177028).
- net: make sockptr_is_null strict aliasing safe (bsc#1177028).
- net: switch copy_bpf_fprog_from_user to sockptr_t (bsc#1177028).
- net: add a new sockptr_t type (bsc#1177028).
- net: simplify cBPF setsockopt compat handling (bsc#1177028).
- Refresh patches.suse/bpf-Introduce-SK_LOOKUP-program-type-with-a-dedicate.patch
- bpf: Fix net/core/filter build errors when INET is not enabled
  (bsc#1177028).
- bpf: Add SO_KEEPALIVE and related options to bpf_setsockopt
  (bsc#1177028).
- tcp: Expose tcp_sock_set_keepidle_locked (bsc#1177028).
- sock: Move sock_valbool_flag to header (bsc#1177028).
- tcp: add tcp_sock_set_keepcnt (bsc#1177028).
- tcp: add tcp_sock_set_keepintvl (bsc#1177028).
- tcp: add tcp_sock_set_keepidle (bsc#1177028).
- tcp: add tcp_sock_set_user_timeout (bsc#1177028).
- tcp: add tcp_sock_set_syncnt (bsc#1177028).
- tcp: add tcp_sock_set_quickack (bsc#1177028).
- tcp: add tcp_sock_set_nodelay (bsc#1177028).
- tcp: add tcp_sock_set_cork (bsc#1177028).
- net: add sock_set_keepalive (bsc#1177028).
  Refresh patches.suse/net-Make-locking-in-sock_bindtoindex-optional.patch
- net: add sock_set_priority (bsc#1177028).
- Restore patches.suse/net-add-sock_bindtoindex.patch to upstream commit
- Refresh patches.suse/net-Make-locking-in-sock_bindtoindex-optional.patch
- net: add sock_no_linger (bsc#1177028).
  Refresh patches.suse/net-add-sock_bindtoindex.patch and
  patches.suse/net-Make-locking-in-sock_bindtoindex-optional.patch
- net: add sock_set_reuseaddr (bsc#1177028).
  Refresh patches.suse/net-add-sock_bindtoindex.patch and
  patches.suse/net-Make-locking-in-sock_bindtoindex-optional.patch
- commit 407d988
* Mon Nov  9 2020 pjakobsson@suse.de
- gpu/drm: Ingenic: Fix opaque pointer casted to wrong type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- blacklist.conf: unblacklist patches included in drm v5.7 backport
- gpu/drm: ingenic: Fix bogus crtc_atomic_check callback
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix potential integer wraparound resulting
  in a hang (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: drop cursor position check in atomic test
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- device_cgroup: Cleanup cgroup eBPF device filter code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Defer cursor lock until after VUPDATE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove dml_common_def file (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: DP training to set properly SCRAMBLING_DISABLE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Fix a leak in submit_pin_objects() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: fix perfmon domain interation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Add Oculus Rift S to non-desktop list (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Return true in function vmw_fence_obj_signaled()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: remove redundant assignment to variable ret
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Fix parameter name in vmw_bo_init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: pm resume add return errno branch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Handle idling during i915_gem_evict_something
  busy loops (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix kernel oops for 3-level ppgtt guest
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Init DPLL/DDI vreg for virtual display instead of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark concurrent submissions with a weak-dependency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Propagate error from completed fences (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Update update_config() logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: add raven1 part to the gfxoff quirk list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add basic atomic check for cursor plane
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix vblank and pageflip event handling
  for FreeSync (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: implement soft_recovery for gfx10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable hibernate support on Navi1X (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Use GEM obj reference for KFD BOs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: force fbdev into vram (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: perform PG ungate prior to CG ungate
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop unnecessary cancel_delayed_work_sync on
  PG ungate (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable MGCG/MGLS also on gfx CG ungate
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: Use SMMU on Tegra124 and Tegra210 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: Fix SMMU support on Tegra124 and Tegra210
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Track inflight CCID (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Avoid reusing the same logical CCID
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Remove object_is_locked assertion from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Yield the timeslice if caught waiting on a user
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Check current i915_vma.pin_count status first
  on unbind (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl+: Fix interrupt handling for DP AUX transactions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Make the "Reducing compressed framebufer size" message be
  DRM_INFO_ONCE() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't enable WaIncreaseLatencyIPCEnabled when IPC
  is disabled (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Make timeslicing an explicit engine property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Avoid dereferencing a dead context (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: fix trivial field description cut-and-paste error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Fix HDCP failures when SRM fw is missing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- sun6i: dsi: fix gcc-4.8 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: ingenic-drm: add MODULE_DEVICE_TABLE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: create context before RESOURCE_CREATE_2D in 3D mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Prevent dpcd reads with passive dongles
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix counter in wait_for_no_pipes_pending
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update DCN2.1 DV Code Revision (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: work around fp code being emitted outside of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/dc: Use WARN_ON_ONCE for ASSERT (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: drop redundant cg/pg ungate on runpm enter
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move kfd suspend after ip_suspend_phase1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use cursor locking to prevent flip delays
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update downspread percent to match spreadsheet
  for (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Defer cursor update around VUPDATE for all ASIC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix rn soc bb update (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: check if REFCLK_CNTL register is present
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: bump version for invalidate L2 before SDMA IBs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: invalidate L2 before SDMA IBs (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add tiling flags from Mesa (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: avoid using pm_en before it is initialized
  revised (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amd/powerplay: avoid using pm_en before it is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix green screen issue after suspend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: blank dp stream before re-train the link
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: DispalyPort: Write OUI only if panel supports
  it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use proper fault mask in interrupt postinstall too
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Check cacheline is valid before acquiring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Hold obj->vma.lock over for_each_ggtt_vma()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fix i915_address_space refcnt leak
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: fix documentation build warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: qxl_release use after free (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: lost qxl_bo_kunmap_atomic_page in
  qxl_image_init_helper() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: qxl_release leak in qxl_hw_surface_alloc()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: qxl_release leak in qxl_draw_dirty_fb() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: only destroy created contexts (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Fix drm_dp_send_dpcd_write() return code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Fix SET_NAME ioctl uapi (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Fix off-by-one in DispID DTD pixel clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: fix crash related to accessing freed memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Zero assigned PBN when releasing VCPI slots
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/scheduler: fix drm_sched_get_cleanup_job (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: Delete an error message in meson_dw_hdmi_bind()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: anx6345: set correct BPC for display_info of
  connector (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dpcd_bl: Unbreak enable_dpcd_backlight modparam
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: fix Sphinx build duplicate label warning
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Load DP_TP_CTL/STATUS offset before use it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: TBT AUX should use TC power well ops
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: HDCP: fix Ri prime check done during link check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Update PMINTRMSK holding fw (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Add Wa_14010477008:tgl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: give aux i2c buses more meaningful names
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: fix aux registration (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Correctly initialize thermal controller for
  GPUs with (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix resume failed as smu table initialize
  early (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix up for include file changes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- virtgpu: pull in uaccess.h (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/sec2/gv100-: add missing MODULE_FIRMWARE()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx9: add gfxoff quirk (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix the hw hang during perform system reboot
  and reset (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix wrong vram lost counter increment V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: unload mp1 for Arcturus RAS baco reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: force the trim of the mclk dpm_levels if OD
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: change SH MEM alignment mode for gfx10"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Do not clear pollin for small user read buffers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: remove always-defined CONFIG_AS_MOVNTDQA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: fix warning when compiling without debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: unify fw_write_wait for new gfx9 asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: error out on forcing clock setting not
  supported (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix gfx hang during suspend with video playback (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Check for null fclk voltage when parsing
  clock table (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Acknowledge wm_optimized_required
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Make cursor source translation adjustment
  optional (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Calculate scaling ratios on every medium/full
  update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Program viewport when source pos changes
  for DCN20 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix incorrect cursor pos on scaled
  primary plane (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: change default pipe_split policy for DCN1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Translate cursor position by source rect
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update stream adjust in
  dc_stream_adjust_vmin_vmax (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Avoid create MST prop after registration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/psp: dont warn on missing optional TA's
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update RAS related dmesg print (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: resolve mGPU RAS query instability (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: Correct gfx10's CG sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fix oops when pp_funcs is unset in ACPI event
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: change SH MEM alignment mode for gfx10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid using pm_en before it is initialized
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement the is_dpm_running()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: re-order asic declarations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/powerplay: using the FCLK DPM table to set the MCLK
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Flush all the reloc_gpu batch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Ignore readonly failures when updating relocs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Fill all the unused space in the GGTT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Return the right vswing tables (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/icl+: Don't enable DDI IO power on a TypeC port
  in TBT mode (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: Temporarily disable the huge_fault() callback
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: analogix_dp: Split bind() into probe() and
  real bind() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/legacy: Fix type for drm_local_map.offset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: fix OOB in virtio_gpu_object_create (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/prime: fix extracting of the DMA addresses from a
  scatterlist (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: kfree the wrong pointer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: increase HDCP authentication delay
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Correctly cancel future watchdog and
  callback events (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't try hdcp1.4 when content_type is
  set to type1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: move the ASIC specific nbio operation out of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop redundant BIF doorbell interrupt
  operations (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix dcn21 num_states (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Enable BT2020 in COLOR_ENCODING property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: LFC not working on 2.0x range monitors (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Support plane level CTM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Revert change to HDCP display states
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Not doing optimize bandwidth if flip pending
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use double buffered DRR timing update
  by default (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Support P010 pixel format (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Update function to get optimal number of taps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix hpd bo size calculation error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/nv50-: wait for FIFO space on PIO channels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: protect waits against GPU falling off the bus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvif: access PTIMER through usermode class,
  if available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gp107,gp108: implement workaround for HW hanging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: workaround runpm fail by disabling PCI power
  management (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: remove useless SVM range check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/svm: check for SVM initialized before migrating
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/svm: fix vma range check for migration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: remove checks for return value of debugfs functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/ttm: evict other IO mappings when running
  out of BAR1 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: revert "Break long searches in fragmented address
  spaces" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/xen: fix passing zero to 'PTR_ERR' warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbcon: fix null-ptr-deref in fbcon_switch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Fix HDMI mode validation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vboxvideo: Add missing remove_conflicting_pci_framebuffers
  call, (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: drop use of data-mapping property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Improve CONFIG_DMABUF_MOVE_NOTIFY help text
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix klocwork issues about data size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: do not check len & max_len for lri (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: add support to command SWTESS_BASE_ADDRESS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix display port type issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Add some regs to force-to-nonpriv whitelist
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: corgi: Convert to use GPIO descriptors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: pwm_bl: Switch to full GPIO descriptor
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu/trace: add a gpu total memory usage tracepoint
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Hook up the helpers to align buffer objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Introduce a huge page aligning TTM range manager
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add a drm_get_unmapped_area() helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Support huge page faults (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm, drm/vmwgfx: Support huge TTM pagefaults (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm: Add vmf_insert_pfn_xxx_prot() for huge page-table entries
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- mm: Split huge pages on write-notify or COW (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm: Introduce vma_is_special_huge (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fs: Constify vma argument to vma_is_dax (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
  Refresh
  patches.suse/fs-Remove-unneeded-IS_DAX-check-in-io_is_direct.patch.
- drm/omap: Prepare DSS for probing without legacy platform data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- PCI: Use ioremap(), not phys_to_virt() for platform ROM
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- misc: cleanup minor number definitions in c file into
  miscdevice.h (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- .gitignore: add SPDX License Identifier (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- .gitignore: remove too obvious comments (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: fix race condition for HDMI jack status reporting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: support HDMI jack status reporting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: exit earlier if failed to register audio driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- memremap: add an owner field to struct dev_pagemap
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: Use the DMA API for GMU memory objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: Fix CP_MEMPOOL state name (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: devcoredump should dump MSM_SUBMIT_BO_DUMP buffers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a5xx: Always set an OPP supported hardware value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: fix comparing pointer to 0 in dpu_encoder.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: fix comparing pointer to 0 in dpu_vbif.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: fix comparing pointer to 0 in
  dpu_encoder_phys_vid.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: fix comparing pointer to 0 in
  dpu_encoder_phys_cmd.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Remove some set but not used variables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/msm_gem.h: Replace zero-length array with flexible-array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: fix leaks if initialization fails (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: avoid double-attaching hdmi/edp bridges (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Track resources in global state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Refactor resource manager (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Refactor rm iterator (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Remove unused function arguments (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Fix mode private_flags comparison at
  atomic_check (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Stage the transfer of the virtual breadcrumb
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Select the deepest available parking mode for rc6
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Avoid live-lock with i915_vma_parked() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Treat idling as a RPS downclock event
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Cancel a hung context if already closed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use explicit flag to mark unreachable intel_context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Invalidate OA TLB on when closing perf stream
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Check for a closed context when looking up
  an engine (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Restrict gen7 w/a batch to Haswell (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: don't try to reserve training bo for sriov (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu11: add support for SMU AC/DC interrupts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/swSMU: handle manual AC/DC notifications
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/swSMU: handle DC controlled by GPIO for navi1x
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/swSMU: set AC/DC mode based on the current
  system state (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/swSMU: correct the bootup power source for
  Navi1X (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/swSMU: use the smu11 power source helper for navi1x
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu11: add a helper to set the power source
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/swSMU: add callback to set AC/DC power source (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix the coverage issue to clear ArcVPGRs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix pageflip event race condition for DCN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/[radeon|amdgpu]: Remove HAINAN board from max_sclk
  override check (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: add CAP fw loading" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov : Don't resume RLCG for SRIOV guest
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: protect RAS sysfs during GPU reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Use vmwgfx version 2.18 to signal SM5 compatibility
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Add SM5 param for userspace (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Add surface define v4 command (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Refactor surface_define to use vmw_surface_metadata
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Split surface metadata from struct vmw_surface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Add support for streamoutput with mob commands
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Rename stream output target binding tracker struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Add support for indirect and dispatch commands
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Add support for UA view commands (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Support SM5 shader type in command buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Read new register for GB memory when available
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Add a new enum for SM5 graphics context capability
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Sync virtual device headers for new feature
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Use enum to represent graphics context capabilities
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Deprecate logic ops commands (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Sync legacy multisampling device capability
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Also check for SVGA_CAP_DX before reading DX
  context support (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: fix TS cache flushing on GPUs with BLT engine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: request pages from DMA32 zone when needed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Replace zero-length array with flexible-array
  member (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Warn when GPU doesn't idle fast enough
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Ignore MC when checking runtime suspend idleness
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Consider all kwnown idle bits in debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Update idle bits (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Fix typo in comment (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: rework perfmon query infrastructure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: add hwdb entry for gc400 found in STM32
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: update hwdb selection logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: update gc7000 chip identity entry (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: show identity information in debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: determine product, customer and eco id
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: update hardware headers from rnndb (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: add mt8183 dpi clock factor (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: amd: fix spelling mistake "shoudn't" -> "shouldn't"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unnecessary variable shadow in
  gfx_v9_0_rlcg_wreg (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add CAP fw loading (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- amd/powerplay: arcturus baco reset disable all features
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: miss PRT case when bo update (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add on demand pipe merge logic for dcn2+
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Allocate scratch space for DMUB CW7
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: DPP DTO isn't update properly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Remove connect DIG FE to its BE during timing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: combine watermark change and clock change
  for update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: guard DPPHY_Internal_ctrl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: differentiate vsc sdp colorimetry use criteria
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Program self refresh control register on boot
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove magic numbers in hdcp_ddc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fallback to dmcub for psr when dmcu is disabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Set disable_dmcu flag properly per asic
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove PSR dependency on swizzle mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Explicitly disable triplebuffer flips
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Pass triplebuffer surface flip flags down
  to plane (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix split threshold w/a to work with mpo
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: workaround for HDMI hotplug in DPMSOFF state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove redundant hdcp display state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix test pattern color space inconsistency
  for Linux (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update connector->display_info after read edid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable gpu_sched load balancer for vcn jobs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sched: implement and export drm_sched_pick_best
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/scheduler: improve job distribution with multiple
  queues" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Move EEPROM I2C adapter to amdgpu_device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm_amdgpu: Add job fence to resv conditionally (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix switch-case indentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: revise RLCG access path (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/scheduler: fix inconsistent locking of job_list_lock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sched: add run job trace (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/swsmu: clean up unused header in swsmu
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add codes to clear AccVGPR for arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Stop using the DRIVER debugging flag for vblank
  debugging (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Possible divide by zero in set_speed()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: clean up some indenting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: clean up a condition in
  dmub_psr_copy_settings() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: amd/acp: fix broken menu structure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- AMD KFD: Use fallthrough; (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Move fallthrough; into containing
  [#]ifdef/#endif (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- AMD POWERPLAY: Use fallthrough; (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- AMD DISPLAY CORE: Use fallthrough; (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix warning in ras_debugfs_create_all()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update ras capability's query based on mem ecc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use amdgpu_ras.h in amdgpu_debugfs.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: check GFX RAS capability before reset counters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: resolve failed error inject msg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov refine vcn_v2_5_early_init func (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: Use mode->clock instead of reverse calculating it
  from the vrefresh (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: Use drm_encoder_mask() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Mark up racy check of drm_gem_object.handle_count
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: Allow drm_mm_initialized() to be used outside of
  the locks (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Distribute switch variables for initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: lock: Clean up documentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bufs: Clean up documentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: vm: Clean up documentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: context: Clean up documentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tiny: fix sparse warning: incorrect type in assignment
  (different (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Convert
  drm_dp_mst_topology_mgr.is_waiting_for_dwn_reply (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Remove drm dp mst destroy_connector callbacks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add drm_dp_destroy_connector helper and use it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Remove register_connector callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Remove dp mst register connector callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Register connector instead of calling register_connector
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Add function to parse EDID descriptors for
  monitor range (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Name the detailed monitor range flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel-simple: Fix dotclock for Logic PD Type 28
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-sony-acx424akp: Fix dotclocks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel-lg-lg4573: Fix dotclock (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-ilitek-ili9322: Fix dotclocks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel-novatek-nt35510: Fix dotclock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: sysfs: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: fix false positive assert (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: rgb: don't count non-existent devices when
  determining (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fix drm_dp_check_mstb_guid() return code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Make drm_dp_mst_dpcd_write() consistent with
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel-simple: Fix dotclock for Ortustech COM37H3M
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: Set connector type for OrtusTech COM43H4M85ULC panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: Remove redundant assignment in drm_mm_reserve_node
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: Add YUV420 output support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: vclk: add support for YUV420 setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: venc: add support for YUV420 setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: dw-hdmi: stop enforcing input_bus_format
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: meson_dw_hdmi: add bridge and switch to
  drm_bridge_funcs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: venc: make drm_display_mode const (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: synopsys: dw-hdmi: allow ycbcr420 modes for
  >= 0x200a (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: synopsys: dw-hdmi: add bus format negociation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dw-hdmi: Plug atomic state hooks to the default
  implementation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dw-hdmi: add max bpc connector property
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dw-hdmi: set mtmdsclock for deep color
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Replace zero-length array with flexible-array member
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Remove a few unused functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Drop preempt_disable() in vmw_fifo_ping_host()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Refuse DMA operation when SEV encryption is active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Fix the refuse_dma mode when using guest-backed
  objects (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200313 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Remove require_force_probe protection
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add Wa_1605460711 / Wa_1408767742 to ICL and EHL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Apply Wa_1406680159:icl,ehl as an engine workaround
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add Wa_1406306137:icl,ehl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add Wa_1604278689:icl,ehl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add Wa_1209644611:icl,ehl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftest: Add more poison patterns (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Wait for RCUs frees before asserting idle on unload
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Use igt_random_offset() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Drop relocation slowpath (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gen12: Disable preemption timeout (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Take a copy of the engines for
  context_barrier_task (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Mark up sw-fence notify function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add missing HDMI audio pixel clocks for gen12
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Mark up the racy read of the mmap_singleton
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Pull checking rps->pm_events under the irq_lock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Extend i915_request_await_active to use all timelines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/overlay: convert to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/lvds: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/lpe_audio: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hotplug: convert to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gmbus: convert to drm_device based logging,
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fifo_underrun: convert to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsb: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove debugfs i915_drpc_info and
  i915_forcewake_domains (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Mark up data-races in virtual engines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark up racy read of active rq->engine (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Mark up racy reads for intel_context.inflight
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Tweak scheduler's kick_submission() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Wean gvt off using dev_priv (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Wean gvt off dev_priv->engine (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: cleanup debugfs scan_nonprivbb (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Do not write in removed FBC fence registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Deactive FBC in fastsets when disabled
  by parameter (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/mst: Hookup DRM DP MST late_register/early_unregister
  callbacks (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Improve the start alignment of bonded pairs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Defend against concurrent updates to
  execlists->active (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Lock gmbus/aux mutexes while changing cdclk
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass the crtc to the low level read_lut() funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix readout of PIPEGCMAX (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Refactor LUT read functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Clean up integer types in color code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: s/chv_read_cgm_lut/chv_read_cgm_gamma/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: s/blob_data/lut/ (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Split i9xx_read_lut_8() to gmch vs. ilk variants
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clean up i9xx_load_luts_internal() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Polish CHV CGM CSC loading (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Mark up intel_rps.active for racy reads
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlsts: Mark up racy inspection of current
  i915_request (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Mark up read of i915_request.fence.flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Mark up racy check of last list element
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark up unlocked update of i915_request.hwsp_seqno
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Mark up the racy access to
  switch_priority_hint (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark racy read of intel_engine_cs.saturated
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Mark up intel_rps.active for racy reads
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Don't treat unslice registers as masked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix documentation for intel_dpll_get_freq()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Wait for the wa batch to be pinned (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Apply a heavy handed flush to i915_active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Do not poison i915_request.link on removal
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Make Wa_1606700617 permanent (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/hotplug: Use phy to get the hpd_pin instead of
  the port (v5) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: try to rein in alloc_smoke (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/buddy: avoid double list_add (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: properly sanity check batch_start_offset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Limit struct_mutex to eb_reserve (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Always propagate the invocation to i915_schedule
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Assert requests within a context are submitted
  in order (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/phys: unconditionally call release_memory_region
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gen7: Clear all EU/L3 residual contexts (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add mechanism to submit a context WA on ring
  submission (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Show the "switch priority hint" in dumps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Decrease log level (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Implement display w/a 1140 for glk/cnl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Enable transition watermarks for glk (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Don't check for wm changes until we've compute
  the wms fully (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't check uv_wm in skl_plane_wm_equals()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: WaDisableGPGPUMidThreadPreemption (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Cancel banned contexts after GT reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add invert-brightness quirk for Thundersoft
  TST178 tablet (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: panel: Use intel_panel_compute_brightness() from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Propagate change in error status to children
  on unhold (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Apply i915_request_skip() on submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ehl: Check PHY type before reading DPLL frequency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Inlcude intel_gvt.h where needed (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Force DPCD backlight mode for some Dell CML
  2020 panels (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Force DPCD backlight mode on X1 Extreme 2nd Gen
  4K AMOLED (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dp: Introduce EDID-based quirks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/hdcp: Fix config_stream_type() ret value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: Mandate (seq_num_V==0) at first RecvId msg
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Only call eb_lookup_vma once during execbuf ioctl
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Extract transient execbuf flags from i915_vma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop inspection of execbuf flags during evict
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Move and restrict Wa_1408615072 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gen11: Moving WAs to rcs_engine_wa_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fix uninitialized variable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop vma is-closed assertion on insert (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Check that the context wasn't closed during setup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Prevent allocation on a banned context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Consolidate ctx->engines release (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Polish CHV .load_luts() a bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: only include intel_gvt.h where needed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: make intel_gvt_active internal to intel_gvt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vgpu: improve vgpu abstractions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix kbuild test robot build error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/hdcp: conversion to struct drm_device based
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: move watermark structs more towards usage
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix doclinks (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dmc: Use firmware v2.06 for TGL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/huc: update TGL HuC to v7.0.12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Check the sentinel is alone in the ELSP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa number to
  WaAllowPMDepthAndInvocationCountAccessFromUMD (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Add note about Wa_1409142259 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Fix the Wa number of a fix (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Add note about Wa_1607063988 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Add note to Wa_1607297627 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Extend Wa_1606931601 for all steppings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa_1409085225, Wa_14010229206 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Implement Wa_1806527549 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Implement Wa_1409804808 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Unify the DPLL ref clock frequency tracking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hsw: Use the read-out WRPLL/SPLL state instead of
  reading out again (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/skl, cnl: Split out the WRPLL/LCPLL frequency
  calculation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hsw: Split out the WRPLL, LCPLL, SPLL frequency
  calculation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hsw: Split out the SPLL parameter calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hsw: Rename the get HDMI/DP DPLL funcs to get
  WRPLL/LCPLL (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/skl: Parametrize the DPLL ref clock instead of
  open-coding it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move DPLL frequency calculation to intel_dpll_mgr.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hsw: Use the DPLL ID when calculating DPLL clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move the DPLL vfunc inits after the func defines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Keep the global DPLL state in a DPLL specific struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move DPLL HW readout/sanitize fns to intel_dpll_mgr.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix bounds check in intel_get_shared_dpll_id()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use intel_plane_data_rate for min_cdclk calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use a sentinel to terminate the dbuf slice arrays
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add missing commas to dbuf tables (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove garbage WARNs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Handle some leftover s/intel_crtc/crtc/
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix 90/270 degree rotated RGB565 src coord checks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Use BDB_GENERAL_FEATURES VBT block info for builtin
  panel-orientation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Remove readback of panel orientation on BYT / CHT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: remove unused orig_clock i915 member (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: add i915_ioc32.h for compat (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dram: hide the dram structs better (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/crc: move pipe_crc from drm_i915_private to intel_crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Expose heartbeat interval via sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Expose preempt reset timeout via sysfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Expose reset stop timeout via sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Expose busywait duration to sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Expose timeslice duration to sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Expose engine->mmio_base via sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Expose engine properties via sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop WaDDIIOTimeout:glk (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Limit display Wa_1405510057 to gen11 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Nuke pre-production GLK HDMI w/a 1139 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Reset queue_priority_hint after wedging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Be a little more lenient for reset workers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add glk to intel_detect_preproduction_hw()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Wait for the context switch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/perf: Manually acquire engine-wakeref around use of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Mark up the racy use of perf->exclusive_stream
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix wrongly populated plane possible_crtcs bit mask
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check recovery from corrupted LRC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Verify LRC isolation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Pull marking vm as closed underneath the vm->mutex
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Check engine-is-awake on reset later
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Disable heartbeat around manual pulse tests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Skip barriers inside waits (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/ggtt: do not set bits 1-11 in gen12 ptes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Set up PIPE_MISC truncate bit on tgl+ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: remove ICP_PP_CONTROL (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/drv: use intel_uncore_write() for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dram: use intel_uncore_*() functions for register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: split out intel_dram. from i915_drv.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: significantly reduce the use of <drm/i915_drm.h>
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa_1606054188:tgl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Allow DC5/DC6 entry while PG2 is active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix drm_WARN issue where vgpu ptr is unavailable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Make WARN* drm specific where vgpu ptr is
  available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Make WARN* drm specific where drm_priv ptr
  is available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: make gvt oblivious of kvmgt data structures
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: remove unused vblank_done completion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Enable vfio edid for all GVT supported platform
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: remove unused type attributes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix broken num_entries in skl_ddb_allocation_overlaps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add WARN_ON in intel_get_crtc_for_pipe()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Get first crtc instead of PIPE_A crtc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix broken transcoder err state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove (pipe == crtc->index) assumption
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Iterate over pipes and skip the disabled one
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: split intel_modeset_init() to pre/post irq install
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: stop assigning drm->dev_private pointer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Honour O_NONBLOCK before throttling execbuf
  submissions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Allow userspace to specify ringsize on construction
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Flush idle barriers when waiting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: hdmi: Silence deferred-probe error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: dc: Silence RGB output deferred-probe error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: dc: Release PM and RGB output when client's
  registration (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: dc: Use devm_platform_ioremap_resource
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/runpm: disable runpm on Vega10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: call ras_debugfs_create_all in debugfs_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add function to creat all ras debugfs node
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix the coverity warning about negative check
  for (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Correct the condition of warning while bo release
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Consolidate duplicated bo alloc flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use pr_debug to print the message of reaching
  event limit (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: do not set nil entry in compute_prio_sched
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove unused functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: change hw sched list on ctx priority override
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/scheduler: implement a function to modify sched list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: set compute queue priority at mqd_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add smu if version for navi12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: Fix Pollock Variant Detection
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: fix pci revision id fetching (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Enter low power state if CRTC active (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: dcn20: remove an unused function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.76 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: separate FEC capability from fec debug flag
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: writing stereo polarity register if swapped
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Stop if retimer is not available
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix a minor HDCP logging error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: determine rx id list bytes to read based
  on device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Program DSC during timing programming
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Not check wm and clk change flag in optimized
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add registry for mem pwr control
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: determine is mst hdcp based on stream instead
  of (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add stay count and bstatus to HDCP log
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Signal eviction fence on process destruction (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable clock/power gating for SRIOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cleanup ring/ib test for SRIOV vcn2.0 (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: implement initialization part on VCN2.0 for SRIOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable jpeg block for SRIOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: introduce mmsch v2.0 header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Add more comments on GFX9 user CP queue MQD
  workaround (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Use better names to reflect it is CP MQD buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix GPU reset error (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Update SPM_VMID with the job's vmid when application
  reserves the vmid (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update page retirement sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: toggle DF-Cstate when accessing UMC ras error
  related (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: increase atombios cmd timeout (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable PCS error report on arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable PCS error report on VG20 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add helper funcs to detect PCS error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add wafl2 ip headers (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add xgmi ip headers (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove pointless NULL checks in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Wrap clflush_cache_range with x86 ifdef
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add support for USBC PD FW download (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add USBC PD FW load to PSP 11 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add USBC PD FW load interface to PSP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add reset_ras_error_count function for HDP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add reset_ras_error_count function for GFX
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add reset_ras_error_count function for MMHUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add reset_ras_error_count function for SDMA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov: Use VF-accessible register for gpu_clock_count
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov: skip programing some regs with new L1 policy
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: set lttpr mode before link settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix default logger mask definition
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add ABM command structs to DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.75 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add 'disable FEC for specific monitor'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Set clock optimization required after
  update clocks (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: change number of cursor policy for dml
  calculation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable freesync borderless on Renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove DISPCLK Limit Floor for Certain
  SMU Versions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Workaround to do HDCP authentication twice on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix image corruption with ODM 2:1 DSC 2 slice
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: program DPG_OFFSET_SEGMENT for odm_pipe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add vsc update support for test pattern request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix typo "to found" -> "to find"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Make clock table struct more accessible
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add worst case dcc meta pitch to fake plane
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: only include FEC overhead if both asic
  and display (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add driver support for enabling PSR on DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Move mod_hdcp_displays to mod_hdcp struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Link training TPS1 workaround add back in dpcd
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Rearm IRQ in Navi10 SR-IOV if IRQ lost
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: stop using sratch_reg in IB test (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix IB test MCBP bug (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add debugfs interface to set arbitrary sclk
  for navi14 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add lock option for smu_set_soft_freq_range()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: dc_link: code clean up on detect_dp function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: dc_link: code clean up on enable_link_dp
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix dmub_psr_destroy() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix indentation issue on a hunk of code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: fix indentation issue (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Write blocked CP registers using RLC on VF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: Add message sending lock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/powerplay: Remove deprecated smc_read_arg
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: Refactor SMU message handling for safety
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: release drm_device after amdgpu_driver_unload_kms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: no need to clean debugfs at amdgpu (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Initialize SPM_VMID with 0xf (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov: Use kiq to copy the gpu clock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: change SDMA MQD memory type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Make get_tile_config() generic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add num_banks and num_ranks to gfx config structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: add case for shmem objects in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: factor out the sg_table from virtio_gpu_object
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Make drm_pci_agp_init legacy (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/panel: simple: Add support for Sharp LQ150X1LG11
  panels" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vboxvideo/vboxvideo.h: Replace zero-length array with
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/pci: Unexport drm_get_pci_dev (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/todo: Update drm_fb_helper tasks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fb-helper: Remove drm_fb_helper add, add_all and remove
  connector (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove drm_fb_helper add, add all and remove connector
  calls (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Remove
  drm_fb_helper_{add,remove}_one_connector (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Remove drm_fb_helper_{add,remove}_one_connector
  calls (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove radeon_fb_{add,remove}_connector functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove unused arg from drm_fb_helper_init (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: unbreak the DRM menu, broken by DRM_EXPORT_FOR_TESTS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mm: Break long searches in fragmented address spaces
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge/mhl.h: Replace zero-length array with flexible-array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4/vc4_drv.h: Replace zero-length array with flexible-array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500/intel_bios.h: Replace zero-length array with
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vblank: Fix documentation of VBLANK timestamp helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/simple-kms: Fix documentation for drm_simple_encoder_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: add panel driver for Elida KD35T133 panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/v3d: Replace wait_for macros to remove use of msleep
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: Replace wait_for macros to remove use of msleep
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hdcp: fix DRM_HDCP_2_KSV_COUNT_2_LSBITS (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hdcp: optimizing the srm handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: Replace zero-length array with flexible-array member
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: radeon: Remove dead code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- matroxfb: add Matrox MGA-G200eW board support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: atyfb: remove set but not used variable
  'mach64RefFreq' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: kyrofb: remove set but not used variable
  'ulScaleRight' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: radeonfb: remove set but not used variable 'bytpp'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- =?UTF-8?q?video:=20fbdev:=20radeonfb:=20remove=20set=20but=20not?=
  =?UTF-8?q?=20used=20variable=20'=E2=80=98cSync=E2=80=99'?=
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: radeonfb: remove set but not used variable
  'vSyncPol' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: radeonfb: remove set but not used variable
  'hSyncPol' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: wm8505fb: add COMPILE_TEST support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: wm8505fb: fix sparse warnings about using
  incorrect (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: w100fb: add COMPILE_TEST support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: w100fb: fix sparse warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: arcfb: add COMPILE_TEST support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: sh_mobile_lcdcfb: add COMPILE_TEST support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: sh_mobile_lcdcfb: fix sparse warnings about using
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: pxa168fb: remove unnecessary platform_get_irq
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Use simple encoder (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/simple-kms: Add drm_simple_encoder_{init,create}()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: add panel-dpi support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: Add driver for Novatek NT35510-based panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: prevent a harmless integer overflow in
  drm_legacy_sg_alloc() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/client: Dual licence the file in GPL-2 and MIT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: Drop pointless static qualifier in dispc_find_csc()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: fix spelling mistakes "bufer" and "requsted"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: Use drm_for_each_bridge_in_chain() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tidss: dispc: Fix broken plane positioning code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Check crc4 value while building sideband message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fix W=1 warnings (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: default_supplies can be static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: make move_notify mandatory if importer_ops are provided
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: drop dynamic_mapping flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: implement amdgpu_gem_prime_move_notify v2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add amdgpu_dma_buf_pin/unpin v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use allowed_domains for exported DMA-bufs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: remove the backing store if no placement is given
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: add dynamic DMA-buf handling v15 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: Add NewEast Optoelectronics CO., LTD
  WJFH116008A (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: anx6345: don't print error message if regulator is
  not (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: add virtio_gpu_is_shmem helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: make mmap callback consistent with callbacks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Fixed pcie resource conflict between drm
  and firmware (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Set preferred mode resolution and maximum
  resolution (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Add the mode_valid function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon: fixed the wrong resolution configurations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon: Enable the shadowfb for hibmc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon: Add new clock/resolution configurations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dss: Remove unused omap_dss_device operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dss: Remove unused omapdss_of_find_connected_device()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dss: Inline the omapdss_display_get() function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Hardcode omap_connector type to DSI (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: sdi: Register a drm_bridge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: sdi: Sort includes alphabetically (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: dpi: Register a drm_bridge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: dpi: Simplify clock setting API (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: dpi: Reorder functions in sections (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: dpi: Sort includes alphabetically (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: hdmi5: Simplify EDID read (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: hdmi4: Simplify EDID read (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: venc: Remove omap_dss_device operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi: Remove omap_dss_device operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Remove HPD, detect and EDID omapdss operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Switch the HDMI and VENC outputs to drm_bridge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Create connector for bridges (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: venc: Register a drm_bridge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: dss: Remove .set_hdmi_mode() and .set_infoframe()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi4: Implement drm_bridge .hpd_notify() operation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi5: Move mode set, enable and disable operations to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi4: Move mode set, enable and disable operations to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi5: Register a drm_bridge for EDID read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi4: Register a drm_bridge for EDID read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi5: Rework EDID read to isolate data read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi4: Rework EDID read to isolate data read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: hdmi: Allocate EDID in the .read_edid() operation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dss: Make omap_dss_device_ops optional (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: Add infrastructure to support drm_bridge local to DSS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dss: Fix output next device lookup in DT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Use the drm_panel_bridge API (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: Factor out display type to connector type conversion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: Simplify HDMI mode and infoframe configuration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dss: Cleanup DSS ports on initialisation failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add helper to create a connector for a chain of bridges
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: tfp410: Allow operation without drm_connector
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: tfp410: Replace manual connector handling
  with bridge (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: panel: Implement bridge connector operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add driver for the TI TPD12S015 HDMI level shifter
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add bridge driver for display connectors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: simple-bridge: Add support for the TI OPA362
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: simple-bridge: Add support for enable GPIO
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: simple-bridge: Add support for non-VGA bridges
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dumb-vga-dac: Rename driver to simple-bridge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: dumb-vga-dac: Rename internal symbols to
  simple-bridge (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Extend bridge API to disable connector creation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add interlace_allowed flag to drm_bridge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add connector-related bridge operations and data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Improve overview documentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Fix atomic state ops documentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Document the drm_encoder.bridge_chain field
  as private (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Add flag to drm_display_info to identify HDMI sinks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/connector: Add helper to get a connector type name
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: hdmi: Change return type of hdmi_avi_infoframe_init()
  to void (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Add support for multiple power domains
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Add support for multiple regulators
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Improve error reporting in panfrost_gpu_power_on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: panel: Propagate bus format/flags (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: lvds-codec: Constify the drm_bridge_funcs structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: lvds-codec: Add to_lvds_codec() function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: enqueue virtio_gpu_create_context after the first 3D
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: track whether or not a context has been initiated
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: factor out context create hypercall (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: use consistent names for drm_files (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: ld9040: add MODULE_DEVICE_TABLE with SPI IDs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: fix osd070t1718_19ts sync drive edge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: tcon: Support LVDS on the A33 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: analogix-anx6345: Avoid duplicate -supply suffix
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: analogix-anx78xx: Fix drm_dp_link helper removal
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop legacy drm load and unload callbacks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: don't call
  drm_dp_mst_connector_late_register (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: split dp connector registration (v4)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: add a late register connector callback
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: move dpcd debugfs members setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: move debugfs init into core amdgpu
  debugfs (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: don't call drm_connector_register for non-MST ports
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/ring: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/firmware: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/regs: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gem: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/fence: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sa: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/pm: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/ttm: move debugfs init into core amdgpu debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rename amdgpu_debugfs_preempt_cleanup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Increase timout on emulator to tenfold instead
  of twice (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add DFCstate control pptable func for arct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update arcturus ppsmc header to 54.15.0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Delete unnecessary unmap queue package submissions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Delete excessive printings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Fix a memory leak in queue creation error handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Count active CP queues directly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Avoid ambiguity by indicating it's cp queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Rename queue_count to active_queue_count
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd: Extend ROCt to surface UUID for devices that have them
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix check for DPM when returning max clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Don't write GCVM_L2_CNTL* regs on navi12 VF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Use bitwise instead of arithmetic operator
  for (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable
  'mc_vm_apt_default' (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Add gfxoff debugfs entry (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use amdgpu_ring_test_helper when possible
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add VM update fences back to the root PD v2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: cleanup amdgpu_ring_fini (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add Arcturus D342 page retire support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: toggle DF-Cstate to protect DF reg access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move get_xgmi_relative_phy_addr to amdgpu_xgmi.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add dpm helper function for DF Cstate control
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update psp firmwares loading sequence V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove kfd eviction fence before release bo (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: limit display clock to 100MHz to avoid
  FIFO error (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Access patches from stream for ignore
  MSA monitor (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Temporarily disable stutter on MPO transition
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Make clock table struct more accessible
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: optimize prgoram wm and clks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: correct dml surface size assignment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update TTU properly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix RV2 Variant Detection (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add driver support for enabling PSR on DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.74 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove unused dml variable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: update dml input population function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add visual confirm support for FreeSync 2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Link training TPS1 workaround (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Monitor patch to delay setting ignore MSA bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Workaround required for link training
  reliability (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Revert "DCN2.x Do not program DPPCLK if
  same value" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DMUB firmware state debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: programming last delta in output transfer
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: make some rn_clk_mgr structs and funcs static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add function pointers for panel related
  hw functions (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix HDMI repeater authentication
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.73 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Only round InfoFrame refresh rates
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: System crashes when add_ptb_to_table()
  gets called (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: do not force UCLK DPM to stay at highest state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add dmcu f/w loading for NV12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Don't ask PSP to load DMCUB for backdoor load
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Wait for DMCUB to finish loading before
  executing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable PG on NV12 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: DMUB Firmware Load by PSP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: dmub back door load (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Update TX masks correctly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: update scaling filters (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: dal_ddc_i2c_payloads_create can fail
  causing panic (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add aconnector condition check for dpcd read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Improve Vega20 XGMI TLB flush workaround
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix psp ucode not loaded in bare-metal
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/discovery: make the discovery code less chatty
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix colliding of preemption (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: cleanup some incorrect reg access for SRIOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop the non-sense firmware version check on
  arcturus (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: record non-zero error counter info in NBIO before
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: log on non-zero error conter per IP before GPU reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't take the address of skip_scdc_overwrite
  in (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct the way for checking
  SMU_FEATURE_BACO_BIT (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: return -EFAULT if copy_to_user() fails
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display move get_num_odm_splits() into dc_resource.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: extend DCN guards (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: extend DCN guard in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/powerplay: Ratelimit PP_ASSERT warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix message for encryption (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: update HDCP DTM immediately after hardware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: no hdcp retry if bksv or ksv list is revoked
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Handle revoked receivers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/runpm: enable runpm on baco capable VI+ asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: refactor runtime pm for baco (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: show warning when kfd is locked (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fix missing error check in suspend (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Remove set but not unused variable
  'stream_status' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: fix baco check for vega20 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/smu: properly handle runpm/suspend/reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add flag for runtime suspend (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Do not move root PT bo to relocated list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: suppress nonsupport profile mode overrun
  message (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: update smu11_driver_if_navi10.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use fb_base/fb_offset if available for
  translation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add psr get_state call (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add monitor patch to disable SCDC read/write
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add odm split logic to scaling calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.72 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Drop unused field from dc_panel_patch
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update register defines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Toggle VSR button cause system crash
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add backlight support via AUX (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add AUX backlight register (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Hookup psr set version call (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Pass override OUI in to dc_init_data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unused values from psr struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't treat missing command table as failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: always apply T7/T9 delay logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov set driver_table address in VF (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use amdgpu_device_vram_access in
  amdgpu_ttm_access_memory v2 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use amdgpu_device_vram_access in
  amdgpu_ttm_vram_read (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use the BAR if possible in amdgpu_device_vram_access
  v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: optimize amdgpu_device_vram_access a bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: handle features disablement for baco reset in
  SMU (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov Don't send msg when smu suspend (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix wrongly passed static prefix
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Add queue information to sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: turn off the mst hub before we do detection
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix workaround for incorrect double buffer
  register (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: linux enable oled panel support dc part
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: external monitor abm enabled in modern standby
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DMUB tracebuffer debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.71 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use uint64_t logger_mask instead of uint32_t
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add wm ranges to clk_mgr (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Check hyperV flag in DC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix inputting clk lvl into dml for RN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: decouple global lock out of pipe control lock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add stream_enc_inst for PSP HDCP inst use
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update hubbub description comment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove early break in interdependent_lock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: dc_get_vmid_use_vector() crashes when
  get called (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.70 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove unused variable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix GSL acquire (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Added locking for atomic update stream
  and update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Wait for clean shutdown in DMCUB reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add GPINT handler interface (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix various issues found by compiler warning as
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Indicate dsc updates explicitly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Split program front end part that occur
  outside lock (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove invalid dc_is_hw_initialized function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Move USB-C workaround to after parameter
  variables (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add set psr version message (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move xgmi init/fini to xgmi_add/remove_device
  call (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: call psp set/get interfaces (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Load srm before enabling HDCP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add sysfs interface for set/get srm
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update psp interface header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Pass amdgpu_device instead of psp_context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rework synchronization of VM updates v4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: simplify and fix amdgpu_sync_resv (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: allow higher level PD invalidations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: return EINVAL instead of ENOENT in the VM code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix parentheses in amdgpu_vm_update_ptes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: make sure to never allocate PDs/PTs for
  invalidations (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop unnecessary restriction for huge root PDEs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: stop using amdgpu_bo_gpu_offset in the VM backend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rework job synchronization v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use the VM as job owner (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: explicitly sync VM update to PDs/PTs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200225 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop assertion that active->fence is unchanged
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Cleanup shadow batch after I915_EXEC_SECURE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200224 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Correctly terminate connector iteration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Fix inverted WARN_ON (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display/hdcp: Make WARN* drm specific where
  drm_priv ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/dp: Make WARN* drm specific where drm_device
  ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/power: Make WARN* drm specific where
  drm_priv ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/display: Make WARN* drm specific where
  drm_device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/ddi: Make WARN* drm specific where drm_device
  ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/cdclk: Make WARN* drm specific where
  drm_priv ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Distribute switch variables for initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: make dbuf configurations const (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: split i915_driver_modeset_probe() to pre/post
  irq install (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: remove redundant assignment to variable dw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Push the GPU cancellation to the backend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Check that the vma hasn't been closed before we insert
  it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: conversion to struct drm_device based
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Program MBUS_ABOX{1,2}_CTL during display init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use intel_de_write_fw() for skl+ scaler registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Parametrize PFIT_PIPE (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark all HPD capabled connectors as such
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hpd: Replace the loop-within-loop with two
  independent loops (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add i9xx_lut_8() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: consolidate firmware cleanup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/uc: Abort early on uc_init failure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Apply new uC status tracking to GuC submission
  as well (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Improve tracking of uC init status (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/uc: autogenerate uC checker functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/uc: Update the FW status on injected fetch error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Kill USES_GUC_SUBMISSION macro (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Kill USES_GUC macro (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/debugfs: Pass guc_log struct to i915_guc_log_info
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Double check bumping after the spinlock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Protect signaler walk with RCU (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: remove the other slab_dependencies (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: Add all tiled and port sync conns to modeset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Compute port sync crtc states post compute_config()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce encoder->compute_config_late()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Do not attempt to reprogram IA/ring frequencies
  for dgfx (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Mark GPR checking more hostile
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftest: Analyse timestamp behaviour across context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Read rawclk_freq earlier (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Refactor l3cc/mocs availability (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: split i915_driver_modeset_remove() to pre/post
  irq uninstall (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: split intel_modeset_driver_remove() to pre/post
  irq uninstall (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: use spinlock_t instead of struct spinlock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Show the cumulative context runtime in engine debug
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Flush tasklet on wait_for_submit()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Fix up missing error propagation for heartbeat
  pulses (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check for any sign of request starting in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa_1808121037 to tgl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/csr: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Mark the mock ring->vma as being in the GGTT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Rearrange code to silence compiler (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: switch vlv_suspend to use intel uncore register
  accessors (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: split out vlv/chv specific suspend/resume code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Avoid potential division-by-zero in computing
  CS timestamp (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Track hw reported context runtime (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Force state->modeset=true when distrust_bios_wm==true
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Ensure no conflicts with BIOS when updating Dbuf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/mst: Set intel_dp_set_m_n() for MST slaves
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Check for the error interrupt before
  we wait! (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: split out display debugfs to a separate file
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: move intel_csr. under display/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: switch i915_driver_probe() to use i915 local variable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: register vga switcheroo later, unregister earlier
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdmi: prefer to_i915() over drm->dev_private to
  get at i915 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise timeslice rewinding (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Suppress warnings for unused debugging locals
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use engine wa list for Wa_1607090982 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Expand bad CS completion event debug
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Avoid choosing zero for phys_sz
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Sabotague the RING_HEAD (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Poison rings after use (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Don't leak non-persistent requests on changing
  engines (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix the docs for intel_set_cdclk_post_plane_update()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't use uninitialized 'ret' (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Disable use of hwsp_cacheline for kernel_context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Relax timeout for error-interrupt reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dpio_phy: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi_vbt: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/combo_phy: convert to struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dpll_mgr: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/crt: automatic conversion to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/color: conversion to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/atomic: conversion to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_link_training: convert to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: HDCP support on above PORT_E (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Skip CPU synchronisation on dmabuf attachments
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Trim blitter block size (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Update cdclk voltage level settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dc3co: Add description of how it works (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Drop live_preempt_hang (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Disable capturing forced error states
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/ehl: Add HBR2 and HBR3 voltage swing table
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: pass i915 to psr_global_enabled() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/mst: fix pipe and vblank enable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Remove erroneous intel_engine_pm_put
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Ignore tracek for nop process_csb
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Fix hold/unhold recursion (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove lite restore defines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Never allow userptr into the new mapping types
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/debugfs: Remove i915_energy_uJ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Only ignore already reset requests (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Implement Wa_1607090982 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Disable tesselation clock gating on tgl A0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use the kernel_context to measure the
  breadcrumb size (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix force-probe failure message (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Make sure to sanitize CT status (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Protect execlists_hold/unhold from new waiters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915: Don't use VBT for detecting DPCD backlight
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: drop igt_ppgtt_exhaust_huge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Set TRANS_DDI_MODE_SELECT to default value
  when clearing DDI select (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Set the PP_DIR registers upon enabling ring
  submission (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Flush execution tasklets before checking request
  status (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark i915.reset as unsigned (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Correctly map DBUF slices to pipes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Manipulate DBuf slices properly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce parameterized DBUF_CTL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Update dbuf slices only with full modeset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move dbuf slice update to proper place (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove skl_ddl_allocation struct (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Be explicit in handling the preallocated vma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Explicitly cleanup initial_plane_config
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: move update pipe code to hdcp (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Fix rc6 on Ivybridge (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Sprinkle missing commas (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dvo: Mark TMDS DVO connectors as polled (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Mark ns2501 as LVDS without a fixed mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/crt: Configure connector->polled and encoder->hpd_pin
  consistently (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce intel_connector_hpd_pin() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Pull sseu context updates under gt (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftest: Ensure string fits within name
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add a simple rollover test for the
  kernel context (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Defer application of initial chv_phy_control
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Fix NULL-crtc deref in calc_min_cdclk()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/audio: Skip the cdclk modeset if no pipes attached
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pci: conversion to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/cmd_parser: conversion to struct drm_device
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/debugfs: conversion to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: conversion to drm_device logging macros when
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/panel: automatic conversion to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pipe_crc: automatic conversion to drm_device
  based logging (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: automatic conversion to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/quirks: automatic conversion to drm_device based
  logging (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sdvo: automatic conversion to drm_device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sprite: automatic conversion to drm_device based
  logging (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tc: automatic conversion to drm_device based
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tv: automatic conversion to drm_device based
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vdsc: convert to struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vga: conversion to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vlv_dsi: conversion to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vlv_dsi_pll: conversion to struct drm_device
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Make WARN* drm specific where drm_device ptr
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/tc: Make WARN* drm specific where drm_priv ptr
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/sdvo: Make WARN* drm specific where
  drm_priv ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/psr: Make WARN* drm specific where drm_priv ptr
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/panel: Make WARN* drm specific where
  drm_priv ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/overlay: Make WARN* drm specific where drm_priv
  ptr (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/hdmi: Make WARN* drm specific where drm_device
  ptr (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbdev: Make WARN* drm specific where drm_device ptr is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/fbc: Make WARN* drm specific where drm_priv ptr
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/dpll_mgr: Make WARN* drm specific where
  drm_device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Warn about the hidden i915_vma_pin in
  timeline_get_seqno (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Hold reference to previous active fence as we queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/crt: Make WARN* drm specific where drm_priv ptr
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/audio: Make WARN* drm specific where
  drm_priv ptr is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/icl_dsi: Make WARN* drm specific where drm_priv
  ptr (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move ringbuffer WAs to engine workaround list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Skip rmw for masked registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: extract engine WA programming to common resume
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Introduce guc_is_ready (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Disable heartbeat around hang tests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Also wait for the scratch buffer to be bound
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Also use async bind for PIN_USER into bsw/bxt ggtt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Store active_pipes bitmask in cdclk state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Convert cdclk to global state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce intel_calc_active_pipes() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Convert bandwidth state to global state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce better global state handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Move intel_atomic_state_free() into intel_atomic.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: s/init_cdclk/init_cdclk_hw/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: swap() the entire cdclk state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Extract intel_cdclk_state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Simplify intel_set_cdclk_{pre,post}_plane_update()
  calling convention (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: s/cdclk_state/cdclk_config/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: s/need_cd2x_updare/can_cd2x_update/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Collect more cdclk state under the same roof
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move more cdclk state handling into the cdclk code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Nuke skl wm.dirty_pipes bitmask (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Move linetime wms into the crtc state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Polish WM_LINETIME register stuff (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: move intel_dp_set_m_n() to encoder for DDI platforms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Enable ICL DSI transcoder as part of
  encoder->enable (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: move pipe, pch and vblank enable to encoders on DDI
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/debugfs: remove VBT data about DRRS (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use the async worker to avoid reclaim tainting the
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Rename i915_gem_restore_ggtt_mappings() for its new
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: __intel_fbc_cleanup_cfb() may be called
  multiple times (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Skip global serialisation of clear_range for bxt
  vtd (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ring: convert to new logging macros in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: convert to new logging macros in gt/intel_gt.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/engine_cs: use new drm logging macros in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/reset: conversion to new drm logging macros in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ggtt: use new drm logging macros in gt/intel_ggtt.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: add extra slice common debug registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Ignore discrepancies in pending across
  resets (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Hook up CS_MASTER_ERROR_INTERRUPT (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlist: Mark up racy read of execlists->pending
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests/perf: measure memcpy bw between regions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/debugfs: remove i915_dpcd file (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/psr: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display_power: use intel_de_*() functions for register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ddi: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/combo_phy: use intel_de_*() functions for register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/icl_dsi: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Lock the drm_mm as we search (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/trace: i915_request.prio is a signed value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Lift set-wedged engine dumping out of user paths
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Tidy repetition in declaring gen8+ interrupts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Reorganise gen8+ interrupt handler (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Skip capturing errors from internal contexts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Fix OA context id overlap with idle context id
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Restore the kernel context after verifying the w/a
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vlv_dsi_pll: use intel_de_*() functions for
  register access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vlv_dsi: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vdsc: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sprite: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pipe_crc: use intel_de_*() functions for register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Give aux channels a better name (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Include the AUX CH name in the debug messages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vga: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tv: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sdvo: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/panel: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/overlay: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/lvds: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/lpe_audio: use intel_de_*() functions for register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdmi: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gmbus: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fifo_underrun: use intel_de_*() functions for register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dvo: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsb: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp_mst: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dpll_mgr: use intel_de_*() functions for register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dpio_phy: use intel_de_*() functions for register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/crt: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/color: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/cdclk: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/audio: use intel_de_*() functions for register access
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Prefer intel_connector over drm_connector in
  hotplug code (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix modeset locks in sanitize_watermarks()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix inconsistance between pfit.enable and scaler
  freeing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove 'prefault_disable' modparam (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Squelch kerneldoc complaints (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: manual conversion to struct drm_device
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: initial conversion to new logging macros using
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pm: use intel de functions for forcewake register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/irq: use intel de functions for forcewake register
  access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dmc: use intel uncore functions for forcewake
  register access (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: conversion to struct drm_device based
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/opregion: conversion to struct drm_device logging
  macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: conversion to struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/power: convert to struct drm_device macros in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: conversion to struct drm_device log macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: conversion to new struct drm_device
  logging macros (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Don't GEM_BUG_ON on corrupted H2G CTB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Re-enable RPS (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Poison GTT scratch pages (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Flush engine parking before release (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/ehl: Ensure that the DDI selection MUX is programmed
  correctly (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dc3co: Avoid full modeset when EXITLINE needs to
  be changed (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dc3co: Do the full calculation of DC3CO exit only once
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/acpi: Move the code to populate ACPI device ID into
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Wait on vma activity before taking the mutex
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Prevent NULL pointer dereference on missing
  ctx->vm (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Show the RC6 residency on parking failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Do not set master_trans bit in bitmak if
  INVALID_TRANSCODER (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/cdclk: use new struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bw: convert to drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/audio: convert to struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: convert to struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/atomic: use struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: add display engine uncore helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Cleanup properly if the implicit fence setup fails
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Balance prepare_fb/cleanup_fb (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: s/intel_state/state/ in
  intel_{prepare,cleanup}_plane_fb() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Stop looking at plane->state in
  intel_prepare_plane_fb() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clear old hw.fb & co. from slave plane's state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Convert vm idr to xarray (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Include a tell-tale for engine parking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make WARN* drm specific where uncore or stream ptr is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make WARN* drm specific where drm_priv ptr is
  available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Make WARN* drm specific where drm_priv ptr
  is available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Make WARN* drm specific where drm_priv ptr
  is available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Make WARN* drm specific where encoder ptr is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clear the GGTT_WRITE bit on unbinding the vma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't use VBT for detecting DPCD backlight controls
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: drop alpha_support for good in favour of force_probe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/hdcp: Clean up local variables (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Rename conn_to_dig_port() to intel_attached_dig_port()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use intel_attached_dp() instead of hand rolling it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Relocate intel_attached_dp() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use intel_attached_encoder() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dp: debug log max vswing and pre-emphasis
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: use intel_bios_is_port_present() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: check DDI port presence based on child device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: add intel_bios_port_supports_*() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: add intel_bios_alternate_ddc_pin()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: add intel_bios_dp_max_link_rate() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: intel_bios_hdmi_boost_level() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: intel_bios_dp_boost_level() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: add intel_bios_hdmi_level_shift() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: add intel_bios_max_tmds_encoder() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/sdvo: Consolidate SDVO HDMI force_dvi handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Consolidate HDMI force_dvi handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/sdvo: Reduce the size of the on stack buffers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move encoder variable to tighter scope (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use PIPE_CONF_CHECK_X() for sync_mode_slaves_mask
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Prefer to use the pipe to index the ddb entries
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clear most of crtc state when disabling the crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Be paranoid and reset the GPU before release
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/userptr: add user_size limit check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Report the currently active execlists request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: convert to new logging macros in
  i915/intel_memory_region.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: convert to new logging macros in i915/intel_gvt.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: conversion to new logging macros in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: conversion to new logging macros in i915/intel_csr.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: conversion to new logging macros in i915/i915_vgpu.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Introduce CT_DEBUG (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Switch to CT_ERROR in ct_read (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Don't pass CTB while reading (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Don't pass CTB while writing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Don't GEM_BUG_ON on corrupted G2H CTB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Satisfy smatch that a loop has at least one iteration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix typo in kerneldoc function name (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Include the debugfs params header for its own
  definition (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Auto detect DPCD backlight support by default
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix DPCD register order in
  intel_dp_aux_enable_backlight() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Assume 100%% brightness when not in DPCD control mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix eDP DPCD aux max backlight calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Share the computation of idle frames
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: add Wa_14010594013: icl,ehl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Drop rogue space in the middle of GT_TRACE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa_1409825376 to tgl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Add fbc tracepoints (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Nuke fbc_supported() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Move the plane state check into the fbc functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/params: support bool values for int and uint params
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/params: add i915 parameters to debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gen11: Add additional pcode status values
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vbt: Rename BDB_LVDS_POWER to BDB_LFP_POWER
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp/tgl+: Update combo phy vswing tables (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Use correct name for last CT fence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Update CTB helpers to use CT_ERROR (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Introduce CT_ERROR (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Simpler CT message size calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Clear rc6 residency trackers across suspend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: tcon: Support LVDS output on Allwinner A20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: tcon: Separate quirks for tcon0 and tcon1 on A20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: tcon: Introduce LVDS setup routine setting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: dsi: Avoid hotplug race with DRM driver bind
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Fix the bridge kernel doc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: move remaining virtio_gpu_notify calls
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: batch display query (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: batch resource creation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: batch plane updates (pageflip) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: notify before waiting (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: rework notification for better batching
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Fix a typo in Kconfig (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/format_helper: Dual licence the file in GPL 2 and MIT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: fix recovering from PLBU out of memory (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/pl111: Support Integrator IM-PD1 module (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: drop unused drm_display_mode.private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: drop unused drm_crtc callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/print: clean up RATELIMITED macros (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/atomic-helper: fix kerneldoc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Add a FIXME about DispID CEA data block revision
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Document why we don't bounds check the DispID CEA
  block start/end (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Clear out spurious whitespace (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Introduce is_detailed_timing_descritor()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Don't accept any old garbage as a display descriptor
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Check the number of detailed timing descriptors in
  the CEA ext block (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Fix Sphinx formatting (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/print: Delete a few unused shouting macros (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: dsi: Remove incorrect use of runtime PM
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: dsi: Allow binding the host without a panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: dsi: Use NULL to signify "no panel" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: dsi: Remove unused drv from driver context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix error check (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Add support for DP 1.4 Compliance edid corruption test
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove legacy version of get_scanout_position()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Clean-up VBLANK-related callbacks in struct drm_driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Convert to struct (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/sti: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/stm: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/stm: Convert to struct
  drm_crtc_helper_funcs.get_scanout_position() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Convert to struct (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: Convert to struct (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: Convert to struct (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Convert to CRTC VBLANK callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Convert to struct (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Add get_vblank_timestamp() to struct drm_crtc_funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add get_scanout_position() to struct drm_crtc_helper_funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove internal setup of struct
  drm_device.vblank_disable_immediate (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: fix virtio_gpu_execbuffer_ioctl locking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/qxl: replace zero-length array with flexible-array member
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon/hibmc: add gamma_set function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon/hibmc: add DPMS on/off function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon/hibmc: fix 'xset dpms force off' fail
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Avoid invalid rates (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Train at faster rates if slower
  ones fail (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Group DP link training bits in
  a function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Use 18-bit DP if we can
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Read num lanes from the DP sink
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Config number of DP lanes Mo' Betta
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Don't use MIPI variables for DP link
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: zero is never greater than an unsigned
  int (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-sn65dsi86: Split the setting of the dp and
  dsi rates (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: individualize resv objects before calling
  release_notify (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: replace dma_resv object on deleted BOs v3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: rework BO delayed delete. v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: add drm_driver.release callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/cirrus: add drm_driver.release callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bochs: add drm_driver.release callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/irq: remove check on dev->dev_private (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: Add Rocktech RK101II01D-CT panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Nerf drm_global_mutex BKL for good drivers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Push drm_global_mutex locking in drm_open (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/client: Rename _force to _locked (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fbdev-helper: don't force restores (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: use RCU in ttm_bo_flush_all_fences (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: cleanup ttm_buffer_object_transfer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: refine ghost BO resv criteria (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: add drm_driver.release callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: reorder calls in qxl_device_fini() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: fix possible object reference leak (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: dmm_tiler: Remove the dma_async_issue_pending() call
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: dmm_tiler: Use dmaengine_prep_dma_memcpy() for i878
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/omapdrm: Fix trivial spelling (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/omap: use true,false for bool variable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: tfp410: add pclk limits (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: move virtio_gpu_mem_entry initialization to
  new function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: move mapping teardown to virtio_gpu_cleanup_object()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: resource teardown tweaks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: simplify virtio_gpu_alloc_cmd (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bochs: deinit bugfix (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: panel: Fix typo in drm_panel_bridge_add docs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge/synopsys: dsi: missing post disable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: sii902x: Select SND_SOC_HDMI_CODEC if SND_SOC is
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add tc358768 driver (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: bridge: adv7511: Add support for ADV7535 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: bridge: adv7511: Remove DRM_I2C_ADV7533 Kconfig
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Clear struct drm_connector_funcs.dpms (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bochs: Clear struct drm_connector_funcs.dpms (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tiny/st7735r: No need to set ->owner for
  spi_register_driver() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tiny/st7735r: Make driver OF-independent (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tiny/repaper: No need to set ->owner for
  spi_register_driver() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tiny/repaper: Make driver OF-independent (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tiny: add support for tft displays based on ilitek,ili9486
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix ring free check (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: move virtqueue_notify into virtio_gpu_queue_ctrl_sgs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: move the check for vqs_ready earlier (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: move locking into virtio_gpu_queue_ctrl_sgs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: set up virtqueue sgs before locking (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: unlock object array on errors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: no need to pass virtio_gpu_ctrl_hdr (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: add virtio_gpu_vbuf_ctrl_hdr (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: remove incorrect ENOSPC check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: fix a wait_event condition (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: ratelimit error logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: Implement struct drm_mode_config_funcs.mode_valid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hibmc: Implement struct drm_mode_config_funcs.mode_valid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bochs: Implement struct drm_mode_config_funcs.mode_valid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram: Add helpers to validate a display mode's memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix vblank handling (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove the dma_alloc_coherent wrapper for internal usage
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Remove PageReserved manipulation from drm_pci_alloc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: dsi: stm mipi dsi doesn't print error on probe deferral
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: ltdc: check crtc state before enabling LIE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: ltdc: add number of interrupts (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: Fix the lt089ac29000 bus_format
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: pd: Use bus format/flags provided by the bridge when
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add the necessary bits to support bus format
  negotiation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add an ->atomic_check() hook (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Patch atomic hooks to take a drm_bridge_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: analogix: Plug atomic state hooks to the default
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rcar-du: Plug atomic state hooks to the default
  implementation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add a drm_bridge_state object (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: Add Samsung s6e88a0-ams452ef01 panel driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Add EDT panel support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/xen: Explicitly disable automatic sending of vblank event
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vboxvideo: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Don't set struct drm_crtc_state.no_vblank explicitly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/st7586: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/repaper: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mipi-dbi: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ili9225: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gm12u320: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/cirrus: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bochs: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Don't set struct drm_crtc_state.no_vblank explicitly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/arc: Remove sending of vblank event (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Initialize struct drm_crtc_state.no_vblank from device
  settings (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/auth: Drop master_create/destroy hooks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/crc: Actually allow to change the crc source (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/zte: plane_state->fb iff plane_state->crtc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: plane_state->fb iff plane_state->crtc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: plane_state->fb iff plane_state->crtc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: plane_state->fb iff plane_state->crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/imx: plane_state->fb iff plane_state->crtc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/todo: Add item for the plane->atomic_check confusion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tidss: New driver for TI Keystone platform Display SubSystem
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: increase driver version to 1.1 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: recover task by enlarging heap buffer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: support heap buffer creation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: add lima_vm_map_bo (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: update register info (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/debugfs: also take per device driver features into account
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: add drm_core_check_all_features() to check for a mask
  of features (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Fix boe,tv101wum-n53 htotal timing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Avoid drm_global_mutex for simple inc/dec of
  dev->open_count (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Release filp before global lock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: add display timings for logic technologies
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/print: introduce new struct drm_device based WARN* macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Mention max_payloads in proposed_vcpis/payloads docs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fix clearing payload state on topology disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fix indenting in drm_dp_mst_topology_mgr_set_mst()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add I2C based driver for ps8640 bridge
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: flush the fence on the bo after we individualize the
  reservation object (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/drm_dp_mst:remove set but not used variable 'origlen'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Prefix interrupt handlers' names (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panfrost: Remove core stack power management (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/syncobj: Add documentation for timeline syncobj
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: tiny: st7735r: Add support for Okaya RH128128T
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: tiny: st7735r: Prepare for adding support for more displays
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mipi_dbi: Add support for display offsets (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: fix parameters documentation style in drm_dma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mst: Some style improvements in
  drm_dp_mst_topology_mgr_set_mst() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/dp_mst: Remove VCPI while disabling topology mgr"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Add Feixin K101 IM2BA02 panel (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: support for auo, b101uan08.3 wuxga dsi video
  mode panel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: support for boe, tv101wum-n53 wuxga dsi video
  mode panel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: support for auo, kd101n80-45na wuxga dsi video
  mode panel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: support for boe tv101wum-nl6 wuxga dsi video
  mode panel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: nuke invalidate_caches callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: nvidia: clean up indentation issues and
  comment block (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: remove object duplication in Makefile (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: exynos: Rename Exynos to lowercase (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: cg14fb: use resource_size (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: s1d13xxxfb: use resource_size (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: sa1100fb: constify copied structure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbmem: Adjust indentation in fb_prepare_logo and fb_blank
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbcon: Adjust indentation in set_con2fb_map (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- pxa168fb: fix release function mismatch in probe failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- OMAP: DSS2: remove non-zero check on variable r (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: ssd1307fb: add the missed regulator_disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: potential information leak in do_fb_ioctl()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add getfb2 ioctl (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Add support for the Frida FRD350H54004 panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Add missing vmalloc header (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: use DIV_ROUND_UP macro for calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/drm_panel: fix export of drm_panel_of_backlight, try #3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: panel: fix excessive stack usage in td028ttec1_prepare
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/connector: Hookup the new drm_cmdline_mode panel_orientation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/connector: Split out orientation quirk detection (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: always determine branch device with drm_dp_is_branch()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: move DP_MAX_DOWNSTREAM_PORTS from i915 to drm core
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix two documentation mismatch issues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev/g364fb: Fix build failure (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: c2p: Use BUILD_BUG() instead of custom solution
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: i915: Call cpu_latency_qos_*() instead of pm_qos_*()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- PM: QoS: Add CPU latency QoS API wrappers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- docs: gpu: i915.rst: fix warnings due to file renames
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- commit 22a7131
* Sun Nov  8 2020 tiwai@suse.de
- mfd: wcd934x: Add support to wcd9340/wcd9341 codec
  (jsc#SLE-16518).
- Update config files.
- commit a6ab479
* Sun Nov  8 2020 tiwai@suse.de
- mfd: wcd934x: Simplify with dev_err_probe() (jsc#SLE-16518).
- mfd: wcd934x: Drop kfree for memory allocated with devm_kzalloc
  (jsc#SLE-16518).
- gpio: wcd934x: Fix logic of wcd_gpio_get (jsc#SLE-16518).
- gpio: wcd934x: Don't change gpio direction in wcd_gpio_set
  (jsc#SLE-16518).
- gpio: wcd934x: Add support to wcd934x gpio controller
  (jsc#SLE-16518).
- commit 6f31bff
* Sun Nov  8 2020 tiwai@suse.de
- ASoC: codecs: wcd934x: Set digital gain range correctly
  (git-fixes).
- ASoC: SOF: loader: handle all SOF_IPC_EXT types (git-fixes).
- ASoC: codecs: wsa881x: add missing stream rates and format
  (git-fixes).
- ASoC: mediatek: mt8183-da7219: fix DAPM paths for rt1015
  (git-fixes).
- ALSA: hda: Reinstate runtime_allow() for all hda controllers
  (git-fixes).
- ALSA: hda: Separate runtime and system suspend (git-fixes).
- ALSA: hda: Refactor codec PM to use direct-complete optimization
  (git-fixes).
- commit 8e08376
* Sun Nov  8 2020 tiwai@suse.de
- ASoC: codecs: wcd9335: Set digital gain range correctly
  (git-fixes).
- ASoC: cs42l51: manage mclk shutdown delay (git-fixes).
- ASoC: qcom: sdm845: set driver name correctly (git-fixes).
- ASoC: Intel: kbl_rt5663_max98927: Fix kabylake_ssp_fixup
  function (git-fixes).
- ALSA: usb-audio: Add implicit feedback quirk for Qu-16
  (git-fixes).
- ALSA: usb-audio: Add implicit feedback quirk for MODX
  (git-fixes).
- ALSA: usb-audio: add usb vendor id as DSD-capable for Khadas
  devices (git-fixes).
- ALSA: hda/realtek - Enable headphone for ASUS TM420 (git-fixes).
- ALSA: hda: prevent undefined shift in
  snd_hdac_ext_bus_get_link() (git-fixes).
- ALSA: hda/realtek - Fixed HP headset Mic can't be detected
  (git-fixes).
- ALSA: usb-audio: Add implicit feedback quirk for Zoom UAC-2
  (git-fixes).
- ALSA: fix kernel-doc markups (git-fixes).
- commit 91a799a
* Sat Nov  7 2020 pjakobsson@suse.de
- Refresh
  patches.suse/drm-iommu-change-type-of-pasid-to-u32.patch.
- commit bede6dd
* Sat Nov  7 2020 pjakobsson@suse.de
- drm/scheduler: fix rare NULL ptr race (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- blacklist.conf: unblacklist backported drm v.5.6 patches
- drm/prime: use dma length macro when mapping sg (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Handle all MCR ranges (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915/tgl: Add extra hdc flush workaround"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Track active elements during dequeue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix pageflip event race condition for DCN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix typo for vcn2.5/jpeg2.5 idle check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix typo for vcn2/jpeg2 idle check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix typo for vcn1 idle check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add link_rate quirk for Apple 15" MBP 2017
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add fbdev suspend/resume on gpu reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: Fix GPR read from debugfs (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix typos for dcn20_funcs and dcn21_funcs
  struct (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/lease: fix WARNING in idr_destroy (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: mark PM functions as __maybe_unused (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: dw-hdmi: fix AVI frame colorimetry (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Rewrite and fix bandwidth limit checks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Reprobe path resources in CSN handler
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Use full_pbn instead of available_pbn for bandwidth
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Rename drm_dp_mst_is_dp_mst_end_device() to be less
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Defer semaphore priority bumping to a workqueue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Close race between cacheline_retire and free
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Enable timeslice on partial virtual engine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: be more solid in checking the alignment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix dma-buf display blur issue on CFL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Return early for await_start on same timeline
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Actually emit the await_start (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Fix emulated vbt size issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: Fix unnecessary schedule timer when no vGPU exits
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: nv1x, renior copy dcn clock settings of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: correct ROM_INDEX/DATA offset for VEGA20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update soc bb for nv14 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: Fix cleanup of IOMMU related objects (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- backlight: add led-backlight driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- vgacon: Fix a UAF in vgacon_invert_region (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: navi1x copy dcn watermark clock settings to
  smu (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: map mclk to fclk for COMBINATIONAL_BYPASS
  case (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix pre-check condition for setting
  clock range (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix dcc swath size calculations on dcn1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Clear link settings on MST disable connector
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disable 3D pipe 1 on Navi1x (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: clean wptr on wb when gpu recovery (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Drop the timeline->mutex as we wait for retirement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Reintroduce wait on OA configuration completion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fix return in assert_mmap_offset()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Protect i915_request_await_start from early waits
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa_1608008084 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Add Wa_22010178259:tgl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Program MBUS with rmw during initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Force PSR probe only after full initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Break up long lists of object reclaim
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: kirin: Revert "Fix for hikey620 display offset problem"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Fix DE2 VI layer format support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: Add separate DE3 VI layer formats (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: de2/de3: Remove unsupported VI layer formats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/shmem: drop pgprot_decrypted() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: fix mmap page attributes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/shmem: add support for per object caching flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: analogix-anx6345: fix set of link bandwidth
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: fix leaking fences via ttm_buffer_object_transfer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Don't try to map on error faults (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: fix resource id creation race (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: Handle component type MTK_DISP_OVL_2L correctly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Make sure previous message done or be aborted
  before (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Move gce event property to mutex device node
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Add fb swap in async_update (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: Add plane check in async_check function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Ensure the cursor plane is on top of other
  overlays (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Find the cursor plane instead of hard coding it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: hdmi: don't leak enable HDMI_EN regulator if
  probe fails (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: dsi: fix workaround for the legacy clock name
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: dsi: propagate error value and silence meaningless
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Fix orphan vgpu dmabuf_objs' lifetime
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: Separate display reset from ALL_ENGINES reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Avoid recursing onto active vma from the shrinker
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: Avoid using globals for PMU events (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/pmu: Avoid using globals for CPU hotplug state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gtt: Downgrade gen7 (ivb, byt, hsw) back to
  aliasing-ppgtt (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: fix header test with GCOV (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: Inline drm_get_pci_dev (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Drop DRIVER_USE_AGP (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- amdgpu/gmc_v9: save/restore sdpif regs during S3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: fix memory leak during TDR test(v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Avoid resetting ring->head outside of its
  timeline mutex (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Always force a context reload when rewinding
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Wean off drm_pci_alloc/drm_pci_free (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Protect defer_request() from new waiters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Prevent queuing retire workers on the virtual
  engine (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: force full modeset whenever DSC is enabled
  at probe (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/ehl: Update port clock voltage level requirements
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update drm/i915 bug filing URL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Initialise basic fence before acquiring seqno
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Require per-engine reset support for
  non-persistent (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: perfcnt: Reserve/use the AS attached to the
  perfcnt MMU (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Remove set but not used variable 'bo'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: Allow DRM_MODE_ROTATE_0 when applying video mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: Make sure to parse valid rotation value from cmdline
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: ti-tfp410: Update drm_connector_init_with_ddc()
  error (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: tc358767: fix poll timeouts (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/gv100-: Re-set LUT after clearing for modesets
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/tu11x: initial support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/acr/tu11x: initial support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: fix BGR565 vs RGB565 confusion (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dsi/pll: call vco set rate explicitly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dsi: save pll state before dsi host is powered off
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Fix a6xx GMU shutdown sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: Update the GMU bus tables for sc7180
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: Remove unneeded GBIF unhalt (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: msm: Fix return type of dsi_mgr_connector_mode_valid
  for kCFI (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/a6xx: Correct the highestbank configuration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- msm:disp:dpu1: add UBWC support for display on SC7180
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/mdp5: rate limit pp done timeout warnings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: clean up hdcp workqueue handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add is_raven_kicker judgement for raven1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: disable gfxoff when reading rlc clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx9: disable gfxoff when reading rlc clock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/soc15: fix xclk for raven (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: always refetch the enabled features status on
  dpm (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix dtm unloading (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix backwards byte order in rx_caps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark the removal of the i915_request from the
  sched.link (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Reclaim the hanging virtual request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Take a reference while capturing the guilty
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Offline error capture (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Allow temporary suspension of inflight requests
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Keep track of request among the scheduling lists
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gvt: more locking for ppgtt mm LRU list (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gvt: fix high-order allocation failure on late load
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Tighten checks and acquiring the mmap object
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix preallocated barrier list append (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Acquire ce->active before
  ce->pin_count/ce->pin_mutex (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Tighten atomicity of i915_active_acquire vs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Stub out i915_gpu_coredump_put (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Check activity on i915_vma after confirming
  pin_count==0 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Detect overflow in calculating dumb buffer size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't show the blank process name for
  internal/simulated (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Store mmap_offsets in an rbtree rather than
  a plain (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Leave resetting ring to intel_ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use the BIT when checking the flags, not the index
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add a mock i915_vma to the mock_ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make a copy of the ggtt view for slave plane
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Take local vma references for the parser
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: Correct the rc6 offset upon enabling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix i915_error_state_store error defination
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: Fix the timing parameters (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dsi: Ensure that the ACPI adapter lookup overrides the
  bus (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix post-fastset modeset check for port sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Lookup the i2c bus from ACPI NS only if
  CONFIG_ACPI=y (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu:/navi10: use the ODCAP enum to index the caps array
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update smu_v11_0_pptable.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: correct comment to clear up the confusion
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: DCN2.x Do not program DPPCLK if same value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't map ATOM_ENABLE to ATOM_INIT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: fix warning (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: limit GDS clearing workaround in cold boot sequence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix amdgpu pmu to use hwc->config instead of
  hwc->conf (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- amdgpu: Prevent build errors regarding soft/hard-float
  FP ABI tags (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: fix DPG mode power off issue on instance 1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add initialitions for PLL2 clock source
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Limit minimum DPPCLK to 100MHz (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Check engine is not NULL before acquiring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use dcfclk to populate watermark ranges
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Do not set optimized_require to false
  after plane (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix psr static frames calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: fix building error (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vgem: Close use-after-free race in vgem_gem_create
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Set dma maximum segment size for mdss (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panfrost: Make sure the shrinker does not reclaim referenced
  BOs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mst: Fix possible NULL pointer dereference in
  drm_dp_mst_process_up_req() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/sun4i: drv: Allow framebuffer modifiers in
  mode config" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/dm/mst: Ignore payload update failures (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: update default voltage for boot od table for navi1x
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu10: fix smu10_get_clock_by_type_with_voltage
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu10: fix smu10_get_clock_by_type_with_latency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: handle multiple numbers of fclks in
  dcn_calcs.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fetch default VDDC curve voltages (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu_v11_0: Correct behavior of restoring default
  tables (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/navi10: add OD_RANGE for navi overclocking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/navi: fix index for OD MCLK (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix HW/SW state mismatch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix a typo when computing dsc configuration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix navi10 system intermittent reboot issue
  V2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Fix a bug in SDMA RLC queue counting under HWS mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Only enable cursor on pipes that need it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/navi10: add mclk to
  navi10_get_clock_by_type_with_latency (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Fix implicit enum conversion in
  gfx_v9_4_ras_error_inject (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- radeon: completely remove lut leftovers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Move drm_dp_mst_atomic_check() to the front of
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- radeon: insert 10ms sleep in dce5_crtc_load_lut (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix spelling mistake link_integiry_check ->
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amdgpu: using vmalloc requires includeing vmalloc.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: allocate entities on demand (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Enable DISABLE_BARRIER_WAITCNT for Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix spelling mistake "Attemp" -> "Attempt"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix for-loop with incorrectly sized loop
  counter (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable GPU reset by default on renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable GPU reset by default on Navi (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: do not allocate display_mode_lib unnecessarily
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add coreboot workaround for KV/KB (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/amd/display: Don't skip link training for
  empty dongle" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Retrain dongles when SINK_COUNT becomes
  non-zero (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: original raven doesn't support full asic reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: attempt to enable gfxoff on more raven1 boards (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: fix spelling mistake "to" -> "too"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use true, false for bool variable in
  smu7_hwmgr.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix doc by clarifying sched_list definition
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: initialize bo_va_list when add gws to process
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: use inst_idx relacing inst (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn: fix typo error (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: fix vcn2.5 instance issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn2.5: fix a bug for the 2nd vcn instance (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: Share vcn_v2_0_dec_ring_test_ring to vcn2.5
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Use the correct flush_type in flush_gpu_tlb_pasid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix TLB invalidation request when using semaphore
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use odm combine for YCbCr420 timing with
  h_active (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: init hw i2c speed (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: changed max_downscale_src_width to 4096
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: support VSC SDP update on video test
  pattern request (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Check hw_init state when determining if DMCUB
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Reset inbox rptr/wptr when resetting DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Call ATOM_INIT instead of ATOM_ENABLE for DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add hardware reset interface for DMUB service
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix update type for multiple planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix rotation_angle to use enum values
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.69 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Refine i2c frequency calculating sequence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Refactor to remove diags specific rgam func
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix DML dummyinteger types mismatch
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Do DMCUB hw_init before DC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fixed comment styling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: check pipe_ctx is split pipe or not
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fallback to DMCUB when command table is missing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Get fb base and fb offset for DMUB from
  registers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add debug option to disable DSC support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Do not send training pattern if VS Different
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update MSA and VSC SDP on video test
  pattern request (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: individualize fence allocation per entity
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: fix modprobe failure of the secondary GPU
  when GDDR6 training enabled(V5)" (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix VRAM partially encroached issue in GDDR6 memory
  training(V2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove unnecessary conversion to bool
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add RAS support for the gfx block of Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add EDC counter registers of gc for Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: abstract EDC counter clear to a separated function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: refine the security check for RAS functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable RAS feature for more mmhub sub-blocks
  of Acrturus (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update mmhub 9.4.1 header files for Acrturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: read gfx register using RREG32_KIQ macro
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add kiq version interface for RREG32/WREG32
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: provide a generic function interface for
  reading/writing register by KIQ (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: added support to get mGPU DRAM base (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: modify packet size for pm4 flush tlbs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gv100-: avoid sending a core update until
  the first (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gv100-: move window ownership setup into
  modesetting (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/gv100-: halt (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: Set DMA direction only for DMA-mapped buffer
  objects (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: Reuse IOVA mapping where possible (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: Relax IOMMU usage criteria on old Tegra
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: sor: Initialize runtime PM before use (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: sor: Disable runtime PM on probe failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: sor: Suspend on clock registration failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- proc: convert everything to "struct proc_ops" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm, drm/ttm: Fix vm page protection handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm: Add a vmf_insert_mixed_prot() function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- clk: mux: Add support for specifying parents via DT/pointers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: qcom-wled: Fix unsigned comparison to zero
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: bd6107: Convert to use GPIO descriptor
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- backlight: ams369fg06: Drop GPIO include (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- mm, tree-wide: rename put_user_page*() to unpin_user_page*()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/via: set FOLL_PIN via pin_user_pages_fast() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/fb/gp102-: allow module to load even when
  scrubber binary (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: return error when registering LSF if ACR not
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/gv100-: not all channel types support reporting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/nv50-: prevent oops when no channel method map
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: support synchronous pushbuf submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: signal pending fences when channel has been killed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: reject attempts to submit to dead channels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: zero vma pointer even if we only unreference
  it rather (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Add HD-audio component notifier support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: fix build error without CONFIG_IOMMU_API
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv04: remove set but not used variable 'width'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50: remove set but not unused variable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mmu: fix comptag memory leak (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/gr/gp10b: Use gp100_grctx and gp100_gr_zbc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/pmu/gm20b,gp10b: Fix Falcon bootstrapping
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: Rename Exynos to lowercase (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: change callback names (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Use VM_PFNMAP instead of VM_MIXEDMAP when possible
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Bump driver minor version (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: add ioctl for messaging from/to guest userspace
  to/from (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: prevent memory leak in vmw_cmdbuf_res_add
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: drop DRM_AUTH for render ioctls (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: check master authentication in surface_ref ioctls
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: move the require_exist handling together
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Replace deprecated PTR_RET (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Call vmw_driver_{load,unload}() before registering
  device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vmwgfx: Don't use the HB port if memory encryption is active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: Fix error about comments within a comment block
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: allow zapfw to not be specified in gpulist
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: support firmware-name for zap fw (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Allow UBWC on NV12 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: msm: Quiet down plane errors in atomic_check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: update LANE_CTRL register value from default value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: add DSI support for sc7180 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dsi: split clk rate setting and enable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: use BUG_ON macro for debugging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/adreno: Do not print error on "qcom, gpu-pwrlevels"
  absence (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Remove unneeded semicolon in dpu_encoder.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Remove unneeded semicolon in dpu_plane.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/mdp5: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/hdmi: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Remove unnecessary NULL checks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Remove unreachable code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Remove unnecessary NULL check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: Remove unnecessary NULL checks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: msm: a6xx: Dump GBIF registers, debugbus in gpu state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: msm: a6xx: Add support for A618 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: msm: Add 618 gpu to the adreno gpu list (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dsi: Delay drm_panel_enable() until
  dsi_mgr_bridge_enable() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- msm:disp:dpu1: Fix core clk rate in display driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- msm:disp:dpu1: add scaler support on SC7180 display
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- msm:disp:dpu1: add mixer selection for display topology
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- msm:disp:dpu1: setup display datapath for SC7180 target
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- msm:disp:dpu1: add support for display for SC7180 target
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- msm: disp: dpu1: add support to access hw irqs regs depending on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Add UBWC support for RGB8888 formats
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/dpu: Mark various data tables as const (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a4xx: set interconnect bandwidth vote (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a3xx: set interconnect bandwidth vote (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/gpu: add support for ocmem interconnect path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/adreno: fix zap vs no-zap handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/a6xx: restore previous freq on resume (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm/dpu: ignore NULL clocks (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mst: Don't do atomic checks over disabled managers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: skip opp blank or unblank if test pattern
  enabled (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.68 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: reallocate MST payload when link loss
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fixup DML dependencies (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use mdelay to avoid context switch
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Only program surface flip for video plane
  via dmcub (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Enable double buffer for OTG_BLANK
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add monitor patch for AUO dpcd issue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: wait for test pattern after when all pipes are
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: make PSR static screen entry within 30 ms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.67 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove psr state condition when psr exit case
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: implement fw-driver interface for abm 2.4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add default switch case for DCC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use SMU ClockTable Values for DML Calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: rename _lvp to l_vp (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add w/a to reset PHY before link training in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix DMUB PSR command IDs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Refactor surface flip programming
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Indirect reg read macro with shift and mask
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: DMCUB FW Changes to support PSR (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: programing surface flip by dmcub
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Double buffer dcn2 Gamut Remap (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Driverside changes to support PSR in DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix double buffering in dcn2 ICSC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.66 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: expand dml structs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: stop doing unnecessary detection when going to
  D3 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: wait for update when setting dpg test pattern
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update HDMI hang w/a to apply to all
  TMDS signals (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't always set pstate true if dummy latency =
  0 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: store lttpr mode with dpcd (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add double buffering to dcn20 OCSC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Soft reset DMUIF during DMUB reset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Read inst_fb data back during DMUB loading
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Flush framebuffer data before passing to DMCUB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Adding forgotten hubbub func (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Disable secondary link for certain monitors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix 300Hz Freesync bug (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix chroma vp wa corner case (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.65 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Clear state after exiting fixed active
  VRR state (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/include: Add OCSC registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/scheduler: fix documentation by replacing rq_list with
  sched_list (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add arcturus to gpu recovery check code path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: check if driver should try recovery in ras
  recovery path (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: a quick fix for the deadlock issue below
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: only set cp active field for kiq queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Add a message when SW scheduler is used
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/pm: clean up return types (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/scheduler: improve job distribution with multiple queues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: implement indirect DPG SRAM mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn2.5: add dpg pause mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn2.5: add DPG mode start and stop (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn: move macro from vcn2.0 to share amdgpu_vcn (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: support multiple instance direct SRAM read
  and write (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn: support multiple-instance dpg pause mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov skip the update of
  SMU_TABLE_ACTIVITY_MONITOR_COEFF (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix modprobe failure of the secondary GPU when
  GDDR6 training enabled(V5) (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: update gfx golden settings for navi14
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx10: update gfx golden settings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: check rlc_g firmware pointer is valid before using
  it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop amdgpu_job.owner (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: error out on entity with no run queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: use map_queues for hiq on gfx v10 as well
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: use kiq to load the mqd of hiq queue for gfx v9 (v6)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: flush TLB functions removal from kfd2kgd interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: GPU TLB flush API moved to amdgpu_amdkfd
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: export function to flush TLB via pasid
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: replace kcq enable/disable functions on gfx_v9
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: implement tlbs invalidate on gfx9 gfx10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: kiq pm4 function implementation for gfx_v9
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Avoid reclaim fs while eviction lock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/debugfs: properly handle runtime pm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/pm: properly handle runtime pm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add header file for macro SZ_1M (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove unnecessary conversion to bool
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/psp: declare navi1x ta firmware (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Match TC hash settings to DF settings (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add defines for DF and TCP Hashing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Create generic DF struct in adev (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add Pollock IDs, fix Pollock & Dali clk mgr
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: preserve RSMU UMC index mode state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: disable XGMI TA unload for arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: update SMU12_DRIVER_IF_VERSION to 11
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc10: free stolen memory in late_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc10: remove dead code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/display: set gpu vm flag for renoir (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable S/G display on PCO and RV2 (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: set gpu vm flag for all asics which support
  it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx9: remove unused sdma headers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/amdgpu: add missing umc_6_1_2_sh_mask.h header file (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: check sdma ras funcs pointer before accessing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: calculate MCUMC_ADDRT0 per asic's UMC offset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add MCUMC_ADDRT0 offset to ip header file
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: fix warning in smu_v11_0.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: sw ctf for arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sriov: workaround on rev_id for Navi12 under sriov
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't disable DP PHY when link loss happens
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: read sdma edc counter to clear the counters
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add ras_late_init and ras_fini for sdma v4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: support error reporting for sdma ip block
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add query_ras_error_count function for sdma v4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable VCN2.5 IP block for Arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn2.5: fix PSP FW loading for the second instance
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: catch amdgpu_irq_add_id failure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: cover the powerplay implementation details V3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Improve function get_sdma_rlc_reg_offset() (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: Use u64 divide macro for round up division
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20200114 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Always reset the timeslice after a context switch
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix too few arguments to function
  i915_capture_error_state (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix multiple definition of 'i915_vma_capture_finish'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use the passed in encoder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Pass intel_encoder to enc_to_*() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Pass intel_connector to intel_attached_*()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Bump up CDCLK to eliminate underruns on TGL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Correct typo in i915_vma_compress_finish stub
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Add sanitize to to intel_uc_ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/uc: Add init/fini to to intel_uc_ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/uc: Add init_fw/fini_fw to to intel_uc_ops
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Add ops to intel_uc (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Hold rpm wakeref before taking ggtt->vm.mutex
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Parse the I2C element from the VBT MIPI sequence
  block (v3) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop request list from error state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop the shadow ring state from the error capture
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop the shadow w/a batch buffer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Start chopping up the GPU error capture
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Skip trying to unbind in restore_ggtt_mappings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uncore: use new struct drm_device based macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/sideband: convert to using new struct drm_device
  logging (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/lmem: use new struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pm: use new struct drm_device logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pch: convert to using the drm_dbg_kms() macro
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gtt: add missing include file asm/smp.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Pass cpu_transcoder to assert_pipe_disabled() always
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix MST disable sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: use true,false for bool variable in intel_crt.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: use true,false for bool variable in intel_dp.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: use true,false for bool variable in i915_debugfs.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: runtime-pm is no longer required for ce->ops->pin()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Pull context activation into central
  intel_context_pin() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Push context state allocation earlier
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pin the context as we work on it (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Revert "drm/i915/tgl: Wa_1607138340" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Reduce warning for i915_vma_pin_iomap() without
  runtime-pm (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Early return for no-op i915_vma_pin_fence()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Drop a defunct timeline assertion (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Fix warning about MST and DDI restrictions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/icl+: Do not program clockgating
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Force the state compute phase once to enable
  PSR (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Always force restore freshly pinned contexts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gtt: split up i915_gem_gtt (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Take responsibility for engine->release as
  the last step (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Use external dependency loop for port sync
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: fix an error code in intel_modeset_all_tiles()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Gen-12 display can decompress surfaces
  compressed by the media engine (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fb: Extend format_info member arrays to handle four planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/framebuffer: Format modifier for Intel Gen-12 media
  compression (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make sure plane dims are correct for UV CCS planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add debug message for FB plane.offset!=0 error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Make sure a semiplanar UV plane is tile row
  size aligned (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add support for non-power-of-2 FB plane alignment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use memset_p to clear the ports (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Drop mutex serialisation between context pin/unpin
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Convert the final GEM_TRACE to GT_TRACE and co
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Merge i915_request.flags with i915_request.fence.flags
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Impose a timeout for request submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fixup sparse __user annotation on local var
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Create dumb buffer from LMEM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: lookup for mem_region of a mem_type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Compare user mmap against GPU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Extend fault handler selftests to all memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Extend mmap support for lmem (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Make headers self-contained (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Move igt_atomic_section out of the header
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Support discontiguous lmem object maps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Always poison the kernel_context image before
  unparking (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Discard stale context state from across idling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Ignore stale context state upon resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Clear LRC image inline (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Include a bunch more rcs image state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Control panel and backlight enable GPIOs on BYT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Move Crystal Cove PMIC panel GPIO lookup from mfd
  to the i915 driver (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Init panel-enable GPIO to low when the LCD
  is initially (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Move poking of panel-enable GPIO to
  intel_dsi_vbt.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Flush ongoing retires during wait_for_idle
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Single page objects are naturally contiguous
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: reimplement header test feature (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Drop local vma->vm_file reference (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce remap_io_sg() to prefault discontiguous
  objects (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Assume future platforms will inherit TGL's SFC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Tweak flushes around ivb ppgtt (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Leave RING_BB_STATE to default value
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Flush the context worker (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Avoid using the GPU before initialisation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Avoid using tag 0 for the very first submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Ensure that all new contexts clear STOP_RING
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drn/i915: Break up long i915_buddy_free_list() with a
  cond_resched() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Disable Port sync mode correctly on teardown
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Make port sync mode assignments only if all
  tiles present (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Make sure all tiled connectors get added to
  the state with full modeset (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fbdev: Fallback to non tiled mode if all tiles not present
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Handle connector tile support only for modes that match
  tile size (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for tigerlake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for ivybridge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for broadwell (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for ironlake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for icelake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for cannonlake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for skylake (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for haswell (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: prefer 3-letter acronym for pineview (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: simplify prefixes on device_info (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/lmem: debugfs for LMEM details (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Restore very early GPU reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Extend Wa_1408615072 to tgl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Extend WaDisableDARBFClkGating to icl,ehl,tgl
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Err out on coherency if initialisation
  failed (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Ignore incomplete engines after init failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Apply sanitiization just before resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Stop poking at engine->serial at a high level
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add spaces before compound GEM_TRACE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Switch context id allocation directly to xarray
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Flush other retirees inside
  intel_gt_retire_requests() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: cleanup intel_bw_state on i915 module removal
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Tidy up checking active timelines during retirement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Add comment to a function that probably
  can be removed (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/mst: Force modeset on MST slaves when master needs
  a modeset (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Prepare for fastset external dependencies
  check (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Fix MST disable sequence (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Always enables MST master pipe first
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Select master transcoder for MST stream
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Share intel_connector_needs_modeset()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/tu10x: initial support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/acr/tu10x: initial support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/core: remove previous versioned fw loader
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/secboot: remove (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: implement new subdev to replace "secure boot"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fb/gp102-: unlock VPR as part of FB init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core/memory: add macros to read/write blocks
  from objects (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/secboot: move code to boot LS falcons to subdevs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: rename msgq-related nvkm_msgqueue_queue
  to (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: pass explicit message queue pointer
  to recv() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: move handling of init message to subdevs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: drop nvkm_msgqueue argument to functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: switch to falcon queue printk macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: simplify msg_queue_pop() error handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: remove error handling for
  msg_queue_open(), it (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: move command generation to subdevs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: rename cmdq-related nvkm_msqqueue_queue
  to (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: implement a more explicit send()
  interface (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: drop nvkm_msgqueue argument to functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: switch to falcon queue printk macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: cmd_queue_close always commits, simplify
  it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: cmd_queue_push can't fail, remove error
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: split the condition for queue
  readiness vs pmu (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/qmgr: rename remaining nvkm_msgqueue bits to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/qmgr: support syncronous command submission
  from (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/qmgr: allow arbtrary priv + return code for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/qmgr: move sequence tracking from nvkm_msgqueue
  to (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/msgq: explicitly create message queue
  from subdevs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/cmdq: explicitly create command queue(s) from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn/qmgr: explicitly create queue manager
  from subdevs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: split msgqueue into multiple pieces
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: add printk macros (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/flcn: reset sec2/gsp falcons harder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/flcn: specify queue register offsets from subdev
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: specify debug/production register offset from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: specify EMEM address from subdev
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: move bind_context WAR out of common code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: specify FBIF offset from subdev
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvenc: add a stub implementation for the GPUs where
  it (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvdec/gm107-: add missing engine instances
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvdec/gm107: rename from gp102 implementation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvdec: initialise SW state for falcon from
  constructor (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/nvdec: select implementation based on available fw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/sec2: move interrupt handler to hw-specific module
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/sec2: use falcon funcs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/sec2: initialise SW state for falcon from
  constructor (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/sec2: select implementation based on available
  firmware (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/sec2/gp108: split from gp102 implementation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gf100-: initialise SW state for falcon from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gf100-: select implementation based on available
  FW (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gp108: split from gp107 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/gr/gf100-: move fecs/gpccs ucode into their
  substructures (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gf100-: drop fuc_ prefix on sw init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gk20a,gm200-: use nvkm_firmware_load_blob
  for sw init (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gf100-: use nvkm_blob structure for fecs/gpccs fw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/pmu: initialise SW state for falcon from constructor
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/pmu: select implementation based on available
  firmware (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/pmu/gp10b: split from gm20b implementation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gsp: initialise SW state for falcon from constructor
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gsp: select implementation based on available
  firmware (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: add loaders for currently available LS firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/acr: add stub implementation for all GPUs currently
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core: define ACR subdev (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/core: add representation of generic binary objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core: add a macro to better handle multiple firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core: output fw size in debug messages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: export existing funcs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/flcn: fetch PRI address from TOP if not provided by
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/flcn: move fetching of configuration until first use
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fault/gv100-: fix memory leak on module unload
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/disp/dp: fix typo when determining failsafe link
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/drm/ttm: Remove set but not used variable 'mem'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Fix copy-paste error in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/gr/gv100-: modify gr init to match newer version of
  RM (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gk20a,gm200-: add terminators to method
  lists read (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gf100-: remove dtor (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/fault/tu102: define nvkm_fault_func.pin
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/core: fix missing newline in fw loader error message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/secboot/gm20b: initialize pointer in
  gm20b_secboot_new() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/mmu: Add correct turing page kinds (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: Fix ttm move init with multiple GPUs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: use NULL for pointer assignment (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/nv04: remove set but unused variable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fb/gf100-: declare constants as unsigned long long
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv04-nv4x: Use match_string() helper to simplify
  the (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/ce/gp10b: Use correct copy engine (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/ltc/gp10b: Add custom L2 cache implementation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/secboot/gm20b,gp10b: Read WPR configuration from GPU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/tegra: Set clock rate if not set (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/tegra: Avoid pulsing reset twice (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: Do not try to disable PCI device on Tegra
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/fault: Add support for GP10B (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Report possible_crtcs incorrectly on
  mstos, for now (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Use less encoders by making mstos
  per-head (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/nv50-: Remove nv50_mstc_best_encoder()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/kms/gf119-: allow both 256- and 1024-sized LUTs to
  be (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau/gr/gk208-gm10x: regenerate built-in firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Fix indentation in Makefile (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: Turn off Alpha bit when plane format has no alpha
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Return from mtk_ovl_layer_config after
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Add ctm property support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: Add gamma property according to hardware
  capability (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: apply CMDQ control flow (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: support CMDQ interface in ddp component
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: remove unused external function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: disable all the planes in atomic_disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: update cursors by using async atomic update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: handle events when enabling/disabling crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: use DRM core's atomic commit helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: host1x: Remove dev_err() on platform_get_irq() failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: output: Implement system suspend/resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: sor: Mark PM functions as __maybe_unused
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: Do not implement runtime PM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu: host1x: Rename "parent" to "host" (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix compilation warnings on i386
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: fix documentation of
  drm_dp_mst_add_affected_dsc_crtcs (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: protect new DSC code with
  CONFIG_DRM_AMD_DC_DCN (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: add dp helper to initialize remote aux channel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Trigger modesets on MST DSC connectors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Add helper to trigger modeset on affected DSC
  MST CRTCs (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Recalculate VCPI slots for new DSC connectors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Check return value of drm helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: MST DSC compute fair share (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add PBN per slot calculation for DSC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Rename drm_dp_mst_atomic_check_topology_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Add branch bandwidth validation to MST atomic check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Add DSC enablement helpers to DRM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Manually overwrite PBN divider for calculating
  timeslots (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Write DSC enable to MST DPCD (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Validate DSC caps on MST endpoints
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Initialize DSC PPS variables to 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Add new quirk for Synaptics MST hubs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Add helpers for MST DSC and virtual DPCD aux
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Fill branch->num_ports (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Add MST support to DP DPCD R/W functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Parse FEC capability on MST ports (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: Add PBN calculation for DSC modes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Improve kfd_process lookup in kfd_ioctl
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add event type check before restart the
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add delay after h' watchdog timeout event
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: rx_validation failed resume from sleep
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Return correct Error code for validate h_prime
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix hdcp1 create session (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix psp return condition for hdcp module
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd: use list_for_each_entry for list iteration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove unnecessary braces around conditionals
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove boolean checks in if statements
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx: simplify old firmware warning (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gmc10: use common invalidation engine helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gmc: move invaliation bitmap setup to common code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: updated UMC error address record with correct
  channel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: resolved bug in UMC RAS CE query (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: cleanup the interfaces for powergate setting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: issue proper hdp flush for table transferring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: refine code to support no-dpm case
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: unified VRAM address for driver table
  interaction (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: cache the watermark settings on system memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: custom pstate profiling clock frequence for navi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: L1 Policy(5/5) - removed IH_CHICKEN from VF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: L1 Policy(3/5) - removed ECC interrupt from VF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: L1 Policy(2/5) - removed GC GRBM violations from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu: L1 Policy(1/5) - removed VM settings for mmhub
  and (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: removed GFX RAS support check in UMC ECC callback
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: added function to wait for PSP BL availability
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use linux size macro to simplify ONE_Kib & One_Mib
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: resolve bug in UMC 6 error counter query
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add smu11_driver_if_arcturus.h new
  OOB members (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- amd/amdgpu/sriov tdr enablement with pp_onevf_mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amd/amdgpu/sriov enable onevf mode for ARCTURUS VF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: retrieve the enabled feature mask from cache
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: avoid deadlock on Vega20 swSMU routine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update UMC 6.1 RAS error counter register
  access path (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: add helper function smu_get_dpm_level_range()
  for smu (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove three set but not used variable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/powerplay: fix NULL pointer issue when SMU disabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: use unified variable smu->is_apu to check
  apu asic (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: amalgamated PSP TA invoke functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: amalgamate PSP TA load/unload functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: by default output PSP ret status in event of
  cmd failure (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add check for baco support on Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use true, false for bool variable in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use true, false for bool variable in
  dce_calcs.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use true, false for bool variable in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use true, false for bool variable in
  dcn20_hwseq.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use true, false for bool variable in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use true, false for bool variable in
  dc_link_ddc.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: use true, false for bool variable in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: make the set_performance_level logic easier
  to follow (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: simplify function return logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: support custom power profile setting
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix kernel_fpu_begin/_end() warnings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Avoid hanging hardware in stop_cpsch (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Improve HWS hang detection and handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Remove unused variable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Fix permissions of hang_hws (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use true, false for bool variable in amdgpu_psp.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use true, false for bool variable in
  amdgpu_debugfs.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use true, false for bool variable in amdgpu_device.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use true, false for bool variable in mxgpu_nv.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use true, false for bool variable in mxgpu_ai.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true,false for bool variable in ni.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true,false for bool variable in cik.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true,false for bool variable in rv770.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true, false for bool variable in evergreen.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true,false for bool variable in r600.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true,false for bool variable in si.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: use true,false for bool variable in r100.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: add peak profile support for navi12
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu/navi: Adjust default behavior for peak
  sclk profile (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add missed return value set for error case
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove FB location config for sriov (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable xgmi init for sriov use case (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove memory training p2c buffer reservation(V2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update the method to get fb_loc of memory
  training(V4) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unneeded variable 'ret' in navi10_ih.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unneeded variable 'ret' in amdgpu_device.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx: Add mmSDMA2-7_EDC_COUNTER to support Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx: Add mmCOMPUTE_STATIC_THREAD_MGMT_SE4-7
  to support (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx: Replace ARRAY_SIZE with size variable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add mmCOMPUTE_STATIC_THREAD_MGMT_SE4-7 to support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Added ASIC specific check in gmc v9.0 ECC interrupt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enlarge agp_start address into 48bit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: disable VCN2.5 ib test for Arcturus sriov
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix ctx init failure for asics without gfx ring
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: attempt xgmi perfmon re-arm on failed arm
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add perfmons accessible during df c-states
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: simplify padding calculations (v2) (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: expose num_cp_queues data field to topology
  node (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: expose num_sdma_queues_per_engine data field
  to topology (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: skip disable dynamic state management
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable VCN0 and VCN1 sriov instances support
  for Arcturus (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: skip VCN2.5 power gating and clock gating for sriov
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: update VCN1(dual instances) fw types ID and
  VCN ip block (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add VCN2.5 sriov start for Arctrus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add VCN2.5 MMSCH start for Arcturus (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move umc offset to one new header file for Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: add metrics table lock for renoir (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu: drm: dead code elimination (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: wait for all rings to drain before runtime
  suspending (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/smu: fix spelling (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Switch from system_highpri_wq to system_unbound_wq
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Redo XGMI reset synchronization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add task barrier to XGMI hive (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Add Reusable task barrier (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: reverts commit
  ce316fa55ef0f1751276b846a54fb3b835bd5e64 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn: remove unnecessary included headers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix KIQ ring test fail in TDR of SRIOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix double gpu_recovery for NV of SRIOV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: skip soc clk setting under pp one vf
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/scheduler: do not keep a copy of sched list (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amd/amdgpu: add sched array to IPs with multiple run-queues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: replace vm_pte's run-queue list with drm gpu
  scheds list (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/scheduler: rework entity creation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/pm_runtime: update usage count in fence handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Add SMU WMTABLE Validity Check for Renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unneeded semicolon in amdgpu_ras.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unneeded semicolon in gfx_v10_0.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Remove unneeded semicolon in amdgpu_pmu.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/sdma5: make ring tests less chatty (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: make ring tests less chatty (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add debug option to override DSC target bpp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Do not handle linkloss for eDP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix missing cursor on some rotated SLS displays
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Formula refactor for calculating DPP CLK DTO
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Lower DPP DTO only when safe (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: support virtual DCN (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix manual trigger source for DCN2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update extended timeout support for DCN20
  and DCN21 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix update_bw_bounding_box Calcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use absolute time stamp to follow the
  eDP T7 spec (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.64 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix 270 degree rotation for mixed-SLS mode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Get cache window sizes from DMCUB firmware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove reliance on pipe indexing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Specified VR patch skip to reset segment to 0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: check link status before disable stream
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: disable lttpr for Navi (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Perform DMUB hw_init on resume (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Map ODM memory correctly when doing ODM combine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add warmup escape call support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix regamma build optimization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: scaling changes should also be a full update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.63 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove integer scaling code from DC and
  fix cursor (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Enable Seamless Boot Transition for Multiple
  Streams (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Default max bpc to 16 for eDP (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Collapse resource arrays when pipe is disabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update chroma viewport wa (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use pipe_count for num of opps (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Reinstate LFC optimization (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: AVI info package change due to spec update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add definition for number of backlight
  data points (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add interface to adjust DSC max target
  bpp limit (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable integerscaling for downscale and MPO
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use physical addressing for DMCUB on both
  dcn20/21 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Get DMUB registers from ASIC specific structs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add wait for flip not pending on pipe unlock
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: disable lttpr for RN (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: HDMI 2.x audio bandwidth check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/vcn: remove JPEG related code from idle handler
  and begin (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/vcn1.0: use its own idle handler and begin use funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov: Tonga sriov also need load firmware with smu
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: drop useless BACO arg in amdgpu_ras_reset_gpu
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add missing dcn link encoder regs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add dpcs20 registers (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move dpcs headers to dpcs includes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add CU info print log (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use Arcturus specific
  set_vm_context_page_table_base() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: fix various dereferences of a pointer
  before it is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: queue kfd interrupt work to different CPU
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amdgpu: Wrap FPU dependent functions in dc20 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amdgpu: Enable initial DCN support on POWER (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amdgpu: Prepare DCN floating point macros for generic
  arch support (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: simple: Add Satoz SAT050AT40H12R2 panel support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-cma-helpers: Fix include issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/modes: tag unused variables to avoid warnings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Add support for BOE NV140FHM-N49 panel to
  panel-simple (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Add driver for Sony ACX424AKP panel (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Make udl driver depend on CONFIG_USB (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/Kconfig: add missing 'depends on DRM' for DRM_DP_CEC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/lima: use drm_sched_fault for error task handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: Add support for AUO B116XAK01 panel (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu/drm: clean up white space in
  drm_legacy_lock_master_cleanup() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/omapdrm: use BUG_ON macro for error debugging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: meson: fix address type confusion (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: remove set but not used variables 'hist_reg'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: drc: Make sure we enforce the clock rate
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: backend: Make sure we enforce the clock rate
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: dsi: Fix bridge chain handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: dsi: Fix bridge chain handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: mmp: fix platform_get_irq.cocci warnings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/bridge: Add a drm_bridge_state object"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/bridge: Patch atomic hooks to take a
  drm_bridge_state" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/bridge: Add an ->atomic_check() hook"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/bridge: Add the necessary bits to support bus format
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/bridge: Fix a NULL pointer dereference in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Set crc->opened to false before setting crc source to NULL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: remove the newline for CRC source name (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: zte: Provide ddc symlink in vga connector sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: zte: Provide ddc symlink in hdmi connector sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vc4: Provide ddc symlink in connector sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: Provide ddc symlink in output connector sysfs
  directory (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Fix a NULL pointer dereference in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Add module parameter to pin all buffers at offset
  0 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram-helper: Support struct drm_driver.gem_create_object
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram-helper: Remove BO device from public interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram-helper: Remove interruptible flag from public interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add the necessary bits to support bus format
  negotiation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add an ->atomic_check() hook (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Patch atomic hooks to take a drm_bridge_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add a drm_bridge_state object (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm: atmel-hlcdc: enable sys_clk during
  initalization." (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: atmel-hlcdc: prefer a lower pixel-clock than requested
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: atmel-hlcdc: enable clock before configuring timing engine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: atmel-hlcdc: use double rate for pixel clock only if
  supported (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: cdns: remove set but not used variable 'nlanes'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: cdns: remove set but not used variable 'bpp'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: meson: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: bridge: dw-hdmi: constify copied structure (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/hisilicon/hibmc: Export VRAM MM information to debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon/hibmc: Implement hibmc_dumb_create() with generic
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/vram: Support scanline alignment for dumb buffers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon/hibmc: Replace struct hibmc_framebuffer
  with generic (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/hisilicon/hibmc: Switch to generic fbdev emulation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rockchip: rk3066_hdmi: set edid fifo address
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: lvds: Add PX30 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: lvds: move hardware-specific functions together
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: lvds: improve error handling in helper functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: lvds: Create an RK3288 specific probe function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: lvds: Change platform data to hold helper_funcs
  pointer (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: lvds: Harmonize function names (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: lvds: Fix indentation of a #define (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: add panel driver for Leadtek LTK500HD1829
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: add panel driver for Xinpeng XPP055C272 panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- omapfb/dss: remove unneeded conversions to bool (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: pxafb: Use devm_platform_ioremap_resource() in
  pxafb_probe() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: ocfb: Use devm_platform_ioremap_resource() in
  ocfb_probe() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: fsl-diu-fb: mark expected switch fall-throughs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: matrox: make array wtst_xlat static const, makes
  object smaller (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev/sa1100fb: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: s3c-fb: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: omapfb: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video/fbdev/68328fb: Remove dead code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- pxa168fb: Fix the function used to release some memory
  in an error (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- fbdev: fbmem: avoid exporting fb_center_logo (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- fbdev: fbmem: allow overriding the number of bootup logos
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: mmp: fix sparse warnings about using incorrect
  types (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: mmp: add COMPILE_TEST support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: mmp: remove duplicated MMP_DISP dependency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mipi_dbi: Fix off-by-one bugs in mipi_dbi_blank()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: of: Fix linking when CONFIG_OF is not set (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: declare variable as __be16 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Add runtime_pm support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Add event handling for EMPTY/FULL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sun4i: dsi: Add Allwinner A64 MIPI DSI support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: dsi: Handle bus clock via regmap_mmio_attach_clk
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: dsi: Get the mod clock for A31 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: sun4i: Add support for suspending the display driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/atomic: Spell CRTC consistently (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Fix a couple of typos, punctation and whitespace issues
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/stm: ltdc: move pinctrl to encoder mode set (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/todo: Updating logging todo (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: fix null dereference of pointer fb before null check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gem-fb-helper: convert to drm device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-helper: convert to drm device based logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/client: convert to drm device based logging (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: move drm_connector_to_virtio_gpu_output to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: move to_virtio_fence inside virtgpu_fence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: simplify getting fake offset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: get rid of drm_encoder_to_virtio_gpu_output
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: static-ify virtio_gpu_framebuffer_init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: static-ify virtio_fence_signaled (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: lvds-codec: Simplify panel DT node localisation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: lvds-codec: Add "lvds-decoder" support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Repurpose lvds-encoder.c (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- udmabuf: fix dma-buf cpu access (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Some fixes to handling video mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/drm_panel: Fix EXPORT of drm_panel_of_backlight() one
  more time (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- dma-heap: Make the symbol 'dma_heap_ioctl_cmds' static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: fix resource leak on -ENOTTY error return path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: remove duplicate check on parent and avoid BUG_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: plane_state->fb iff plane_state->crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/malidp: plane_state->fb iff plane_state->crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: Use dma_resv locking wrappers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Use dma_resv locking wrappers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Use dma_resv locking wrappers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: heaps: Remove redundant heap identifier from
  system heap (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: heaps: Use _IOCTL_ for userspace IOCTL identifier
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/print: introduce new struct drm_device based logging macros
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Make sure the CEA mode arrays have the correct
  amount of modes (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Throw away the dummy VIC 0 cea mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Add CTA-861-G modes with VIC >= 193 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Abstract away cea_edid_modes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: use damage info for display updates (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: batch display update commands (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: skip set_scanout if framebuffer didn't change
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: plane_state->fb iff plane_state->crtc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bochs: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/modes: parse_cmdline: Explicitly memset the passed in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Remove some unnecessary code (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Add support for specifying
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Allow specifying stand-alone options
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Set bpp/refresh_specified after
  successful (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Add freestanding argument to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Rework
  drm_mode_parse_cmdline_options() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Accept extras directly after
  mode combined (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Stop parsing extras after bpp /
  refresh at (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Make various char pointers const
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/modes: parse_cmdline: Fix possible reference past end
  of string (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: dsi: add px30 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rockchip: add ability to handle external dphys in mipi-dsi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge/synopsys: dsi: move phy_ops callbacks around panel
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge/synopsys: dsi: driver-specific configuration of phy
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Update DRIVER_DATE to 20191223 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Mark the GEM context link as RCU protected
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce a vma.kref (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add a simple is-bound check before unbinding
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make sure CCS YUV semiplanar format checks work
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make sure Y slave planes get all the required state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Skip rotated offset adjustment for unsupported
  modifiers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Make sure FBs have a correct CCS plane stride
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Gen-12 render decompression (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/framebuffer: Format modifier for Intel Gen-12 render
  compression (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add helpers to select correct ccs/aux planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Extract framebufer CCS offset checks into a function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move CCS stride alignment W/A inside
  intel_fb_stride_alignment (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use intel_tile_height() instead of re-implementing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: make mock_drm.h self-contained
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: make mock_context.h self-contained
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: fix comment for POWER_DOMAIN_TRANSCODER_VDSC_PW2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Move pm debug files into a gt aware debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Merge engine init/setup loops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Pull intel_gt_init_hw() into intel_gt_resume()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Pull GT initialisation under intel_gt_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move i915_gem_init_contexts() earlier (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Repeat wait_for_idle for retirement workers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove i915->kernel_context (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Setup engine->retire for mock_engine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Introduce intel_crtc_state_alloc() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Select arb on/off around batches based on
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Push the use-semaphore marker onto the intel_context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop GEM context as a direct link from i915_request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Teach veng to defer the context allocation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Add breadcrumb retire to physical engine
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Rename pipe update tracepoints (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Remove second redundant intel_fbc_pre_update()
  call (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Reject PLANE_OFFSET.y%%4!=0 on icl+ too
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Suppress threshold updates on RPS parking
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use non-forcewake writes for RPS (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Track engine round-trip times (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Schedule request retirement when signaler idles
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: fix DSC power domains for DSI (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dsc: clarify DSC support for pipe A on ICL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: fix DSC register selection for ICL DSI transcoders
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Provide ddc symlink in hdmi connector sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: fix phy name (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: use clk_off name to avoid double negation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: move clk off sanitize to its own function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Ratelimit i915_globals_park (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Remove direct invocation of breadcrumb signaling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move stuff from haswell_crtc_disable() into encoder
  .post_disable() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass old crtc state to intel_crtc_vblank_off()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass old crtc state to skylake_scaler_disable()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Nuke .post_pll_disable() for DDI platforms
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Call hsw_fdi_link_train() directly() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce intel_plane_state_reset() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce intel_crtc_state_reset() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce intel_crtc_{alloc,free}() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: s/intel_crtc/crtc/ in intel_crtc_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add __drm_atomic_helper_crtc_state_reset() & co
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: Skip sampling engines if gt is asleep
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Unpin vma->obj on early error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Unify notify() functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: Remove function pointers for send/receive calls
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc/ct: Group request-related variables in a
  sub-structure (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc/ct: Stop expecting multiple CT channels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc/ct: Drop guards in enable/disable calls
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Merge communication_stop and communication_disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Eliminate the trylock for reading a timeline's hwsp
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: DSI: select correct PWM controller to use based
  on the VBT (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Avoid multi-LRI on Sandybridge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Eliminate the trylock for awaiting an earlier request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Correct function name in comment (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Tidy up full-ppgtt on Ivybridge (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Apply lmem size restriction to get_pages
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix typecheck macro in GT_TRACE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove unneeded semicolon (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: opregion: set opregion chpd value to indicate
  the driver handles hotplug (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Serialise object before changing cache-level
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: fix pipe D readout for DSI transcoders
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: remove extra debug messages (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/rps: Add frequency translation helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Use EAGAIN for trylock failures (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce new macros for tracing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/perf: Register sysctl path globally (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/icl: Cleanup combo PHY aux power well handlers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: remove a condition (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: fix off by one in parse_generic_dtd()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Streamline skl_commit_modeset_enables()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/cml: Separate U series pci id from origianl list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/cml: Remove unsupport PCI ID (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Mark up ips_mchdev pointer access (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Improve i915_inject_probe_error macro (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Asynchronous cmdparser (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Prepare gen7 cmdparser for async execution
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Only ignore rc6 parking for PCU on byt/bsw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Align start for memcpy_from_wc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Tidy up error handling for eb_parse()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Simplify error escape from cmdparser (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove redundant parameters from
  intel_engine_cmd_parser (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Fix cmdparser drm.debug (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Disable manual rc6 for Braswell/Baytrail
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Drop explicit ggtt param in some uc_fw functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Drop explicit gt param in some uc_fw functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/uc: Drop explicit i915 param in some uc_fw functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use the i915_device name for identifying our
  request fences (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: remove redundant checks for a null fb pointer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: remove duplicated assignment to pointer
  crtc_state (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass cpu transcoder to assert_pipe() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: ELiminate intel_pipe_to_cpu_transcoder() from
  assert_fdi_tx() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Show the i915_active on failure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Wait on unbind barriers when invalidating userptr
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Check we are the Ironlake IPS provider before
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Improve execbuf debug (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: add support for DSC (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Fix state mismatch warns for horizontal
  timings with (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: account for DSC in horizontal timings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: use compressed pixel format with DSC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: take compression into account in afe_clk()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: use afe_clk() instead of intel_dsi_bitrate()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: abstract afe_clk calculation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dsi: set pipe_bpp on ICL configure config
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: add basic hardware state readout support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: make DSC source support helper generic
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: add support for computing and writing PPS for
  DSI encoders (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: move slice height calculation to encoder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: move DP specific compute params to intel_dp.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: add support for querying DSC details for encoder
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: parse compression parameters block
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: pass devdata to parse_ddi_port (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Program BW_BUDDY registers during display init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: fix uninitialized variable sum when summing
  up (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: kill the GuC client (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: kill doorbell code and selftests (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/guc: add a helper to allocate and map guc vma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Drop leftover preemption code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Reallocate cfb if we need more of it
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Enable fbc by default on glk+ once again
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Wait for vblank after FBC disable on glk+
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Start using flip nuke (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Nuke fbc.enabled (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: s/gen9 && !glk/gen9_bc || bxt/ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Make fence_id optional for i965gm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Store fence_id directly in fbc cache/params
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/fbc: Track plane visibility (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Precompute gen9 cfb stride w/a (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Remove the FBC_RT_BASE setup for ILK/SNB
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Relocate intel_crtc_active() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/fbc: Nuke bogus single pipe fbc1 restriction
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Change i915_vma_unbind() to report -EAGAIN on activity
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Avoid rcu_barrier() from shrinker paths
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Flesh out device_info pretty printer (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Comment on inability to check args.pad for
  MMAP_OFFSET (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Turn vm off then on again for gen7 mm switch
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gtt: Account for preallocation in asserts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Avoid calling i915_gem_object_unbind holding
  object lock (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Update uncore access path in flush_ggtt_writes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Pin gen6_ppgtt prior to constructing the request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Replace I915_WRITE with its uncore counterpart
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Refactor intel_commit_modeset_disables()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/tgl: Fix the order of the step to turn
  transcoder clock off (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Do not check for the ddb allocations of
  turned off pipes (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add new EHL/JSL PCI ids (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Propagate errors on awaiting already signaled
  dma-fences (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Propagate errors on awaiting already signaled fences
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Check for error before calling cmpxchg()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: Report frequency as zero while GPU is sleeping
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Flush the pwrite through the chipset before
  signaling (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Acquire a GT wakeref for the breadcrumb interrupt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Claim vma while under closed_lock in i915_vma_parked()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Trim gen6 ppgtt updates to PD cachelines
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Serialise i915_active_acquire() with __active_retire()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Replace I915_READ with intel_uncore_read
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Reinitialise the local list before repeating
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Bump the PP_DIR invalidation for Baytrail
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Try hard to bind the context (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Ignore most failures during evict-vm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove vestigal i915_gem_context locals from cmdparser
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Hook user-extensions upto MMAP_OFFSET_IOCTL
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Hold the obj->vma.lock while walking the vma.list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Try to flush pending unbind events (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Introduce DRM_I915_GEM_MMAP_OFFSET (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/perf: drop pointless static qualifier in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Make intel_crtc_arm_fifo_underrun() functional on gen2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Nuke intel_pre_disable_primary_noatomic()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clean up the gen2 "no planes -> underrun" workaround
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Clean up intel_{pre,post}_plane_update()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: s/pipe_config/new_crtc_state/
  intel_{pre,post}_plane_update() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass dev_priv to ilk_disable_lp_wm() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Clean up arguments to nv12/scaler w/a funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Set the PD again for Haswell (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Avoid parking the vma as we unbind (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display/mst: Move DPMS_OFF call to post_disable
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: Power down sink before disable pipe/transcoder
  clock (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display: Check the old state to find port sync slave
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/irq: Refactor gen11 display interrupt handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Track the context validity explicitly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Skip nested spinlock for validating pending
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Add a couple more validity checks to
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Lift i915_vma_pin() out of intel_renderstate_emit()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Take runtime-pm wakeref prior to unbinding
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Serialise i915_active_wait() with its retirement
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Specialise i915_active.work lock classes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Unbind all current vma on changing cache-level
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Simplify rc6 w/a application (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Use soft-rc6 for w/a protection (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: assume vbt is 4-byte aligned into oprom
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: fold pci rom map/unmap into copy function
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/bios: do not discard address space (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display: Suspend MST topology manager before
  destroy fbdev (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vbt: Parse power conservation features block
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Check if sink PSR capability changed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Enable ALPM lock timeout error interruption
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/psr: Refactor psr short pulse handler (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/psr: Add bits per pixel limitation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dsb: fix cmd_buf being wrongly set (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Stop using connector->encoder and encoder->crtc
  links in i915_display_info (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Dump both the uapi and hw states for crtcs and planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use the canonical [CRTC:%%d:%%s]/etc. format in
  i915_display_info (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use drm_modeset_lock_all() in debugfs display info
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Dump the mode for the crtc just the once
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Refactor debugfs display info code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Reorganize plane/fb dump in debugfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Switch to intel_ types in debugfs display_info
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use drm_rect to simplify plane {crtc,src}_{x,y,w,h}
  printing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Switch intel_crtc_disable_noatomic() to intel_ types
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Program SHPD_FILTER_CNT on CNP+ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Handle SDEISR according to PCH rather than platform
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use the correct PCH transcoder for LPT/WPT
  in intel_sanitize_frame_start_delay() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Refactor gen6_flush_pd() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Serialise access to GFX_FLSH_CNTL (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Push the flush_pd before the set-context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gen7: Re-enable full-ppgtt for ivb & hsw
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Keep engine awake during live_coherency
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Ensure the tasklet is decoupled upon
  shutdown (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Don't set undefined bits in dirty_pipes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/i915: use a separate context for gpu relocs"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Wait only on the expected barrier
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Always lock the drm_mm around insert/remove
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Use sgt_iter for huge_pages_free
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Implement Wa_1604555607 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Drop local vm reference! (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Count the number of engines used
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Try to show where the pulse went
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Excise the per-batch whitelist from the context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Defer breadcrumb processing to after the
  irq handler (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Serialise i915_active_fence_set() with itself
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Manual rc6 entry upon parking (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Disable display interrupts during display IRQ handler
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dp: fix DP audio for PORT_A on gen12+ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Support more QGV points (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Move mock_vma to the heap to reduce
  stack_frame (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Serialise with engine-pm around requests on the
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Switch kunmap() to take the page not vaddr
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Include the subsubtest name for
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: coffeelake supports hdcp2.2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Flush the active callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Force bonded submission to overlap
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use a ctor for TYPESAFE_BY_RCU i915_request
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Shorten infinite wait for sseu
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Always hold a reference on a waited
  upon request (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Mark intel_wakeref_get() as a sleeper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Lock the request while validating it during
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Hold request reference while waiting for w/a
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Use intel_gt_pm_put_async in GuC submission path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Declare timeline.lock to be irq-free
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Do not initialize display BW when display not
  available (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Skip MCHBAR queries when display is not available
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Change .crtc_enable/disable() calling convention
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: s/pipe_config/new_crtc_state/ in .crtc_enable()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: s/intel_crtc/crtc/ in .crtc_enable() and
  .crtc_disable() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass dev_priv to cpt_verify_modeset() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Change watermark hook calling convention
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Pass intel_crtc to ironlake_fdi_disable()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Move crtc_state to tighter scope (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Move assert_vblank_disabled() into
  intel_crtc_vblank_on() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add intel_crtc_vblank_off() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Change intel_encoders_<hook>() calling convention
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Take a ref to the request we wait upon
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Be explicit in ERR_PTR handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise rc6 w/a handling (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Manually dump the debug trace on GEM_BUG_ON
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Flush the requests after wedging on suspend
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Schedule next retirement worker first
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Do not read the transcoder register
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Protect the obj->vma.list during iteration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Merge GGTT vma flush into a single loop
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Track ggtt writes from userspace on the bound vma
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Only wait for register chipset flush if active
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsb: fix extra warning on error path handling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsb: remove atomic operations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/mst: Check uapi enable not intel one during mst
  atomic check (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/vbt: Handle generic DTD block (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/vbt: Parse panel options separately from timing data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add intel_gt_driver_late_release for
  mock device (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Purge the sudden reappearance of
  i915_gem_object_pin() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Mention which device failed (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Fix frame start delay programming (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Disable heartbeat around context
  barrier tests (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise long preemption chains
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/perf: Add preemption check while waiting for OA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Flush retire.work timer object on unload
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Use gt locals for accessing rc6 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Silence sparse for RCU protection inside the
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/guc: Properly capture & release GuC interrupts
  on Gen11+ (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Drop redundant aspec ratio prop value initialization
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Do not override mode's aspect ratio with the prop
  value NONE (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Add coverage of mocs registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Refactor mocs loops into single control macro
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Tidy up debug-warns for the mocs control table
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Set unused mocs entry to follow PTE on tgl as on
  all (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: Wa_1606679103 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/tgl: allow DVI/HDMI on port A (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/display/mst: Enable virtual channel payload allocation
  earlier (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/display/dsi: Add support to pipe D (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: make sure to check vbt size (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: rename bios to oprom when mapping pci rom
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Invalidate as we write the gen7 breadcrumb
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: do not warn late about hdmi on port A (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gt: Flush gen7 even harder (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/selftests: Remove unused local variable 'file'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsi: Define command mode registers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: store child devices in a list (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/bios: use a flag for vbt hdmi level shift presence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Try an extra flush on the Haswell blitter
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove leftover gem.pm_notifier member (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Pass mem region to preallocated stolen
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Replace implicit dev_priv->uncore for stolen init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Perform some basic cycle counting of MI ops
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/userptr: Handle unlocked gup retries (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Reduce barrier on context switch to a wmb()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Taint the kernel on dumping the GEM ftrace buffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Fill all the drm_vma_manager holes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Exercise parallel blit operations on
  a single ctx (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Cancel context if it hangs after it is closed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Show guilty context name on GPU reset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Update context name on closing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/gem: Embed context/timeline name inside the GEM context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/icl: Refine PG_HYSTERESIS (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/pmu: Only use exclusive mmio access for gen7
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/pmu: Cheat when reading the actual frequency to avoid
  fw (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Mark up sole accessor to ctx->vm as being
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Complete transition to a real struct
  file mock (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: make more headers self-contained (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: change to_mock() to an inline function (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Expand documentation for gen12 DP pre-enable sequence
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Verify mmap_gtt revocation on unbinding
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Wrap vm_mmap() around GEM objects
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Replace mock_file hackery with drm's
  true fake (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: Expose a method for creating anonymous struct file around
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Move EXPORT_SYMBOL_FOR_TESTS_ONLY under a separate Kconfig
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Safely acquire the ctx->vm when copying
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Defer engine registration until fully initialised
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: FB backing gem obj should reside in LMEM
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: use might_lock_nested in get_pages annotation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- lockdep: add might_lock_nested() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Switch obj->mm.lock lockdep annotations on its head
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Cleanup heartbeat systole first (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: switch intel_ddi_init() to intel types (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: Add second TGL PCH ID (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Remove unwanted rcu_read_lock/unlock (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/lmem: fixup fake lmem teardown (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Frob the correct crtc state in
  intel_crtc_disable_noatomic() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gem: Early rejection of no-aperture map_ggtt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsb: Remove PIN_MAPPABLE from the DSB object VMA
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: rename functions for consistency (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dsc: split out encoder specific parts from DSC compute
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/dsc: clean up rc parameter table access (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/dsc: make parameter arrays const (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: avoid reading DP_TP_CTL twice (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/tgl: do not enable transcoder clock twice on MST
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: add wrappers to get intel connector state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add for_each_new_intel_connector_in_state()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Eliminate redundancy in intel_primary_plane_create()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Sort format arrays consistently (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add 10bpc formats with alpha for icl+ (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Expose C8 on VLV/CHV sprite planes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Add missing 10bpc formats for pipe B sprites on CHV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Expose alpha formats on VLV/CHV primary planes
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Expose 10:10:10 XRGB formats on SNB-BDW sprites
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Reset CSB pointers by mmio as well
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: add for_each_port() and use it (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/execlists: Ignore the inactive kernel context in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/execlists: Verify context register state before
  execution (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Flush all active callbacks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915/perf: Reverse a ternary to make sparse happy
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/gt: Pull timeline initialise to intel_gt_init_early
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove special case slave handling during hw
  programming, v3 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Complete plane hw and uapi split, v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Perform automated conversions for plane uapi/hw split,
  base -> uapi (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Perform automated conversions for plane uapi/hw
  split, base -> hw (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Perform manual conversions for plane uapi/hw split,
  v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add aliases for uapi and hw to plane_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Complete crtc hw/uapi split, v6 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Perform automated conversions for crtc uapi/hw split,
  base -> uapi (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Perform automated conversions for crtc uapi/hw split,
  base -> hw (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Perform manual conversions for crtc uapi/hw split,
  v2 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Add aliases for uapi and hw to crtc_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Handle a few more cases for crtc hw/uapi split, v3
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/i915/selftests: Spin on all engines simultaneously
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: use msleep rather than udelay for HDCP
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: include delay.h (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: rcar-du: Add r8a77980 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: rcar-du: lvds: Allow for even and odd pixels swap
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: lvds: Get dual link configuration from DT
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: lvds: Improve identification of panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: of: Add drm_of_lvds_get_dual_link_pixel_order
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: lvds: Get mode from state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: rcar-du: Recognize "renesas,vsps" in addition to "vsps"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: crtc: Register GAMMA_LUT properties
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rcar-du: crtc: Control CMM operations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: rcar-du: kms: Initialize CMM instances (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: rcar-du: Add support for CMM (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: log when amdgpu.dc=1 but ASIC is unsupported
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix JPEG instance checking when ctx init
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix VCN2.x number of irq types (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable gfxoff feature for navi10 asic
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: enable pp one vf mode for vega10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Added RAS UMC error query support for Arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct the value retrieved through GPU_LOAD
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement the get_enabled_mask callback
  for smu12 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement interface to retrieve clock freq
  for (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: implement interface to retrieve gpu
  temperature (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: clear VBIOS scratchs on baco exit V2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add condition to enable baco for ras recovery
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: pre-check the SMU state before issuing
  message (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: drop unnecessary warning prompt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: fix resume failures due to psp fw loading
  sequence change (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- Revert "drm/amdgpu: enable VCN DPG on Raven and Raven2"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add VM eviction lock v3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: stop adding VM updates fences to the resv obj
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: explicitely sync to VM updates v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move VM eviction decision into amdgpu_vm.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix BACO entry failure in NAVI10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Extend DMCUB offload testing into dcn20/21
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: correct log message for lttpr (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: update dml related structs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Change HDR_MULT check (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.62 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Implement DePQ for DCN2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix cursor positioning for multiplane cases
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Limit NV12 chroma workaround (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add dsc policy getter (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove spam DSC log (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add dc dsc functions to return bpp range
  for pixel (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove redundant call (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Modify logic for when to wait for mpcc idle
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: check for repeater when setting aux_rd_interval
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove flag check in mpcc update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: update sr latency for renoir when using lpddr4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add shared DMCUB/driver firmware state
  cache window (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Split DMUB cmd type into type/subtype
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Return a correct error value (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Save/restore link setting for disable phy
  when link (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add DP protocol version (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: update p-state latency for renoir when
  using lpddr4 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Implement DePQ for DCN1 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix dml20 min_dst_y_next_start calculation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable chroma viewport w/a when rotated
  180 degrees (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add log for lttpr (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.61 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix dprefclk and ss percentage reading on RN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Program CW5 for tracebuffer for dcn20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Return DMUB_STATUS_OK when autoload unsupported
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Only wait for DMUB phy init on dcn21
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DMCUB__PG_DONE trace code enum
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable link before reenable (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Reset PHY in link re-training (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Wrong ifdef guards were used around DML
  validation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix Dali clk mgr construct (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add separate of private hwss functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: rename core_dc to dc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: reduce redundant uvd context lost warning message
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: clear err_event_athub flag after reset exit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: support full gpu reset workflow when ras
  err_event_athub (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add concurrent baco reset support for XGMI
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable/disable doorbell interrupt in baco entry/exit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: clear uncorrectable parity error status bit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: clear ras controller status registers when interrupt
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: export amdgpu_ras_find_obj to use externally
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove ras global recovery handling from
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Eliminate unnecessary kernel queue function pointers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx: Improvement on EDC GPR workarounds
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Loading NV10/14 Bounding Box Data Directly
  From Code (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Contain MMHUB number in
  mmhub_v9_4_setup_vm_pt_regs() (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: load np fw prior before loading the TAs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: unload asd in psp hw de-init phase (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: drop asd shared memory (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- amd/amdgpu/sriov swSMU disable for sriov (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove redundant assignment to variable v_total
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unneeded semicolon in (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Remove unneeded semicolon in hdcp.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unneeded semicolon in bios_parser2.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Remove unneeded semicolon in bios_parser.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Remove unneeded variable 'ret' in
  amdgpu_smu.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Remove unneeded variable 'result' in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Remove unneeded variable 'ret' in
  smu7_hwmgr.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Remove unneeded variable 'result' in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: Remove unneeded variable 'result' in
  smu10_hwmgr.c (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix double assignment to msg_id field
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/sriov: No need the event 3 and 4 now (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Load TA firmware for navi10/12/14
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: not remove sysfs if not create sysfs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Drop AMD_EDID_UTILITY defines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Include num_vmid and num_dsc within NV14's
  resource (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/gfx: Increase dispatch packet number (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx: Clear more EDC cnt (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu/gfx10: remove outdated comments (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: radeon: replace 0 with NULL (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Fix a bug in jpeg_v1_0_start() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: move pci handling out of pm ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Modify comments to match the code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: apply gpr/gds workaround before enabling GFX
  EDC mode (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/amdgpu/sriov skip jpeg ip block for ARCTURUS VF
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Raise KFD unpinned system memory limit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Null check aconnector in
  event_property_validate (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove set but not used variable
  'stretch_amount2' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'msg_out'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove redundant assignment to variable ret
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Ensure ret is always initialized when using
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use NULL for pointer assignment in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove redundant assignment to variables
  HiSidd (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Apply noretry setting for mmhub9.4 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Use ARRAY_SIZE for sos_old_versions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: Use ARRAY_SIZE for smu7_profiling
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Remove duplicate functions update_mqd_hiq()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove redundant assignment to pointer write_frame
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: simplify runtime suspend (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: DIQ should not use HIQ way to allocate memory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Delete KFD_MQD_TYPE_COMPUTE (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: implement querying ras error count for mmhub9.4
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: refine query function of mmhub EDC counter in vg20
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: define soc15_ras_field_entry for reuse
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- amd/amdgpu: force to trigger a no-retry-fault after a
  retry-fault (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add flag to indicate amdgpu vm context
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable runtime pm on BACO capable boards if runpm=1
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: disentangle runtime pm and vga_switcheroo
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: start to disentangle boco from runtime pm
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add baco support to runtime suspend/resume
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add helpers for baco entry and exit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: split swSMU baco_reset into enter and exit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add additional boco checks to runtime suspend/resume
  (v2) (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: rename amdgpu_device_is_px to
  amdgpu_device_supports_boco (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add a amdgpu_device_supports_baco helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add supports_baco callback for NV asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add supports_baco callback for VI asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add supports_baco callback for CIK asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add supports_baco callback for SI asics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add supports_baco callback for soc15 asics. (v2)
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add asic callback for BACO support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: enable gpu_busy_percent sys interface
  for renoir (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: pull ras controller int status only when ras enabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: switch to common helper func for psp cmd submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add helper func for psp ring cmd submission
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add psp funcs for ring write pointer read/write
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add missing header file declaration
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add Arcturus baco reset support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: correct swSMU baco reset related settings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: return errno code to caller when error occur
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove not needed memset (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: remove set but not used variable 'tv_pll_cntl1'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove set but not used variable 'blocks'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove set but not used variable 'radeon_connector'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove set but not used variable 'dig_connector'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove set but not used variable
  'backbias_response_time' (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: remove set but not used variable 'size',
  'relocs_chunk' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix coding error in connector atomic check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix static analysis bug in validate_bksv
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: split rxstatus for hdmi and dp (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: use drm defines for MAX CASCADE MASK
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add and use defines from drm_hdcp.h
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Refactor HDCP encryption status update
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add force Type0/1 flag (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Refactor HDCP to handle multiple displays
  per link (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Handle hdcp2.2 type0/1 in dm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Enable HDCP 2.2 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Change ERROR to WARN for HDCP module
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add logging for HDCP2.2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add execution and transition states for HDCP2.2
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DDC handles for HDCP2.2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add PSP block to verify HDCP2.2 steps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add Navi10 DMUB VBIOS code (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DSC 422Native debug option (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Use a temporary copy of the current state when
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Spin for DMCUB PHY init in DC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: DML Validation Dump/Check with Logging
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: cleanup of function pointer tables
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Don't spin forever waiting for DMCUB
  phy/auto init (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Avoid conflict between HDR multiplier and 3dlut
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add debugfs sdp hook up function for Navi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.60 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add debug trace for dmcub FW autoload
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Adjust DML workaround threshold (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: add color space option when sending link test
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: cleanup of construct and destruct funcs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix debugfs on MST connectors (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: revert change causing DTN hang for RV
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Clean up some code with unused registers
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Connect DIG FE to its BE before link
  training starts (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add debugfs initalization on mst connectors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DMUB param to load inst const from driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add DMUB service function check if hw
  initialized (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Changes in dc to allow full update in
  some cases (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix stereo with DCC enabled (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: 3.2.59 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Fix incorrect deep color setting in
  YCBCR420 modes (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Update background color in bottommost mpcc
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add hubp clock status in DTN log for Navi
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Renoir chroma viewport WA Read the correct
  register (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Renoir chroma viewport WA change formula
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add automated audio test support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/dm: Do not throw an error for a display with no audio
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'min_content'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'bp' in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable
  'old_plane_crtc' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/soc15: move struct definition around to align
  with other (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: remove set but not used variable 'top_dev'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable Arcturus JPEG2.5 block (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable Arcturus CG for VCN and JPEG blocks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: move JPEG2.5 out from VCN2.5 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: enable JPEG2.0 for Navi1x and Renoir (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add driver support for JPEG2.0 and above
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable JPEG2.0 dpm (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: set JPEG to SMU dpm (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: add JPEG power control for Renoir
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add Powergate JPEG for Renoir (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/powerplay: add JPEG power control for Navi1x
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: add JPEG Powerplay interface (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add PG and CG for JPEG2.0 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add JPEG PG and CG interface (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove unnecessary JPEG2.0 code from VCN2.0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add JPEG v2.0 function supports (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add JPEG common functions to amdgpu_jpeg
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add JPEG IP block type (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: use the JPEG structure for general driver support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: separate JPEG1.0 code out from VCN1.0
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add amdgpu_jpeg and JPEG tests (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: add JPEG HW IP and SW structures (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: init umc functions for arcturus umc ras
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: enable ras capablity check on arcturus
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Rename kfd_kernel_queue_*.c to
  kfd_packet_manager_*.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Eliminate ops_asic_specific in kernel queue
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Merge CIK kernel queue functions into VI
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove set but not used variable 'us_mvdd'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'invalid'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'count'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'amdgpu_connector'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'mc_shared_chmap'
  from 'gfx_v6_0.c' and 'gfx_v7_0.c' (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'bpc'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Stop using GFP_NOIO explicitly for two places
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use QUEUE_IS_ACTIVE macro in mqd v10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Fix a bug when calculating save_area_used_size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Update get_wave_state() for GFX10 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdkfd: Implement queue priority controls for gfx10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Rename create_cp_queue() to init_user_queue()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Avoid using doorbell_off as offset in process
  doorbell (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use better name to indicate the offset is in dwords
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove set but not used variable 'ds_port'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove set but not used variable 'threshold',
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use static const, not const static
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove set but not used variable 'data'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/powerplay: remove set but not used variable
  'vbios_version', (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove duplicated comparison expression
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: fix spelling mistake "exeuction" -> "execution"
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Simplify the mmap offset related bit operations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Use kernel queue v9 functions for v10
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Only keep release_mem function for Hawaii
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdkfd: Adjust function sequences to avoid unnecessary
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove redundant variable status
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: remove duplicated assignment to grph_obj_type
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'mc_shared_chmap'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove always false comparison in
  'amdgpu_atombios_i2c_process_i2c_ch' (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'dig'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove set but not used variable 'dig_connector'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add function parameter description in
  'amdgpu_gart_bind' (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: add function parameter description in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: remove 4 set but not used variable in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: fix warning when CONFIG_DRM_AMD_DC_DCN
  is not set (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu/display: fix the build when CONFIG_DRM_AMD_DC_DCN is
  not (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: rename DCN1_0 kconfig to DCN (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Drop CONFIG_DRM_AMD_DC_DCN2_1 flag
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Drop CONFIG_DRM_AMD_DC_DCN2_0 and DSC_SUPPORTED
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Disable VUpdate interrupt for DCN hardware
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Send vblank and user events at vsartup for DCN
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: disable lttpr for invalid lttpr caps
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: use previous aux timeout val if no repeater
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: implement lttpr logic (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: configure lttpr mode (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: check for dp rev before reading lttpr regs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: initialize lttpr (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Unify all scaling when Integer Scaling enabled
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: add oem i2c implemenation in dc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add some hardware status in DTN log debugfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.58 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: optimize bandwidth after commit streams
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Create debug option to disable v.active
  clock change (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: set MSA MISC1 bit 6 while sending colorimetry
  in VSC (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add a sanity check for DSC already
  enabled/disabled (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Use SIGNAL_TYPE_NONE in disable_output unless
  eDP (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Renoir chroma viewport WA (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Fix assert observed when performing dummy
  p-state (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: 3.2.57 (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Drop CONFIG_DRM_AMD_DC_DMUB guards
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Register DMUB service with DC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add DMUB support to DC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add DMCUB to firmware query interface
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Hook up the DMUB service in DM (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Add PSP FW version mask (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Change dmcu init sequence for dmcub loading
  dmcu FW (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add the DMUB service (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: Drop DMCUB from DCN21 resources (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amdgpu: Add PSP loading support for DMCUB ucode
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Add ucode support for DMCUB (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/amd/display: fix dereference of pointer aconnector when it
  is (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amd/display: Add MST atomic routines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- DRM: ARC: PGU: add ARGB8888 format to supported format list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- DRM: ARC: PGU: replace unsupported by HW RGB888 format
  by XRGB888 (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- DRM: ARC: PGU: cleanup supported format list code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- DRM: ARC: PGU: fix framebuffer format switching (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- linux-next: build failure after merge of the drm-misc tree
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: Remove obsolete bundled tilcdc tfp410 driver
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu/drm: ingenic: Add support for the JZ4770 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu/drm: ingenic: Check for display size in CRTC atomic check
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- gpu/drm: ingenic: Set max FB height to 4095 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- gpu/drm: ingenic: Use the plane's src_[x,y] to configure
  DMA length (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- gpu/drm: ingenic: Avoid null pointer deference in plane
  atomic update (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Remove unneeded semicolon in sun4i_layer.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Remove unneeded semicolon in sun8i_mixer.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Pass GPIO for Intel MID using descriptors
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/atmel: plane_state->fb iff plane_state->crtc (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: Add Boe Himax8279d MIPI-DSI LCD panel (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: globle no more! (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Enable new product D32 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Update the chip identify (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Correct d71 register block counting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Remove udl_fb.c (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Move udl_handle_damage() into udl_modeset.c
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Remove struct udl_device.active_fb_16 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Convert to drm_atomic_helper_dirtyfb() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Set preferred color depth to 16 bpp (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Inline DPMS code into CRTC enable and disable functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Switch to atomic suspend/resume helpers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Convert to struct drm_simple_display_pipe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Init connector before encoder and CRTC (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Increase size of VDB and CMDB bitmaps to 256 bits
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: heaps: Add CMA heap to dmabuf heaps (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: heaps: Add system heap to dmabuf heaps (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: heaps: Add heap helpers (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- dma-buf: Add dma-buf heaps framework (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/drm_panel: fix EXPORT of drm_panel_of_backlight
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/doc: Drop :c:func: markup (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/atomic: Update docs around locking and commit sequencing
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: panel: export drm_panel_bridge_connector
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Store primary-plane format in struct ast_crtc_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Store VBIOS mode info in struct ast_crtc_state
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Introduce struct ast_crtc_state (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Add plane atomic_check() functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Clean up arguments of register functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Enable and disable screen in primary-plane functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Move modesetting code to CRTC's atomic_flush()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: crtc: add OSD1 plane AFBC commit (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: hold 32 lines after vsync to give time for AFBC start
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: viu: add AFBC modules routing functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: plane: add support for AFBC mode for OSD1 plane
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: Add AFBCD module driver (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: add RDMA module driver (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: store the framebuffer width for plane commit
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/meson: add RDMA register bits defines (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/meson: add AFBC decoder registers for GXM and G12A
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: tpo-tpg110: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: tpo-td028ttec1: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: sitronix-st7789v: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: sitronix-st7701: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: sharp-ls043t1le01: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: sharp-lq101r1sx01: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: seiko-43wvf1g: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: ronbo-rb070d30: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: rocktech-jh057n00900: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: raydium-rm68200: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: panasonic-vvx10f034n00: use drm_panel backlight
  support (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: osd-osd101t2587-53ts: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: olimex-lcd-olinuxino: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: lvds: use drm_panel backlight support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: kingdisplay-kd097d04: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: innolux-p079zca: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: ilitek-ili9881c: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: feiyang-fy07024di26a30d: use drm_panel backlight
  support (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: drop drm_device from drm_panel (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: decouple connector from drm_panel (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: add drm_connector argument to get_modes()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: get drm_bridge_panel connector via helper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: use drm_panel backlight support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: add backlight support (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/drm_panel: no error when no callback (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: add a missed gma_power_end in error path
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Clarify the atomic enable/disable hooks semantics
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add the drm_bridge_get_prev_bridge() helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add the drm_for_each_bridge_in_chain() helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Make the bridge chain a double-linked list
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Stop accessing encoder->bridge directly (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Introduce drm_bridge_get_next_bridge()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Rename bridge helpers targeting a bridge chain
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Remove VCPI while disabling topology mgr
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: Register devfreq cooling device (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Remove field lost_pixels from struct udl_device
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Begin/end access to imported buffers in damage-handler
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Move log-cpp code out of udl_damage_handler()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Move clip-rectangle code out of udl_handle_damage()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Vmap framebuffer after all tests succeeded in damage
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Don't track number of identical and sent pixels
  per line (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Remove unused statistics counters (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: share address space for dma bufs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: call drm_gem_object_funcs.mmap with fake offset
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Add FEC registers for LT-tunable repeaters (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Fix DSC throughput mode 0 mask definition (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vkms: Fix typo and preposion in function documentation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/doc: Add VKMS module description and use to "Testing and
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dp_mst: Clear all payload id tables downstream when
  initializing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Debug-print unique revisions id on G200 SE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mgag200: Call mgag200_driver_{load, unload}() before
  registering (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Call psb_driver_{load, unload}() before registering
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: constify fb ops across all drivers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: intelfb: use const pointer for fb_ops
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: constify fb ops across all drivers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: make fbops member of struct fb_info a const
  pointer (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: uvesafb: modify the static fb_ops directly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: nvidia: modify the static fb_ops directly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: mb862xx: modify the static fb_ops directly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fbdev: atyfb: modify the static fb_ops directly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- udmabuf: implement begin_cpu_access/end_cpu_access hooks
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- udmabuf: separate out creating/destroying scatter-table
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- udmabuf: add a pointer to the miscdevice in dma-buf private data
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- udmabuf: use cache_sgt_mapping option (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/via: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tdfx: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/sis: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/savage: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/radeon: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/r128: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mga: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i810: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Don't include <drm/drm_pci.h> (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/pci: Hide legacy PCI functions from non-legacy code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/pci: Only build drm_pci.c if CONFIG_PCI is set
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panel: rpi: Drop unused GPIO includes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/crtc-helper: drm_connector_get_single_encoder prototype
  is missing (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- video: omapfb: use const pointer for fb_ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbmem: use const pointer for fb_ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- video: fbdev: vesafb: modify the static fb_ops directly
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: udlfb: don't restore fb_mmap after deferred IO cleanup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: smscufx: don't restore fb_mmap after deferred IO cleanup
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-helper: don't preserve fb_ops across deferred IO use
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- video: fb_defio: preserve user fb_ops (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: drop DRM_AUTH from PRIME_TO/FROM_HANDLE ioctls
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/panfrost: remove DRM_AUTH and respective comment
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: use correct dev node location in comment (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: Don't reset bridge->next (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: fix opencoded use of drm_panel_* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: fix opencoded use of drm_panel_* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/exynos: fix opencoded use of drm_panel_* (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: clean up indentation issue (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/panel: simple: Add Logic PD Type 28 display support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: Inline drm_color_lut_extract() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/todo: Add entry for fb funcs related cleanups
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: Add alternate clock for SMPTE 4K (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/edid: Add aspect ratios to HDMI 4K modes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/qxl: Complete exception handling in qxl_device_init()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Use drm_gem_fb_create_with_dirty (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rect: update kerneldoc for drm_rect_clip_scaled()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/selftests: Add drm_rect selftests (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rect: Keep the clipped dst rectangle in place
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rect: Keep the scaled clip bounded (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/rect: Avoid division by zero (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/fourcc: Fill out all block sizes for P210 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fourcc: Fill out all block sizes for P10/12/16
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Fix build break (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/scheduler: Avoid accessing freed bad job (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vram: remove unused declaration (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- udmabuf: Remove deleted map/unmap handlers (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Replace struct udl_framebuffer with generic
  implementation (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Call udl_handle_damage() with DRM framebuffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Store active framebuffer in device structure
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Remove udl implementation of GEM's free_object()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Unmap buffer object after damage update (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: Remove kernel map/unmap hooks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/armada: Delete dma_buf->k(un)map implemenation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- sample/vfio-mdev/mbocs: Remove dma_buf_k(un)map support
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- xen/gntdev-dmabuf: Ditch dummy map functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- media/videobuf2: Drop dma_buf->k(un)map support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vmwgfx: Delete mmaping functions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma-buf: Drop dma_buf_k(un)map (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tegra: Remove dma_buf->k(un)map (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omapdrm: Drop dma_buf->k(un)map (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/i915: Drop dma_buf->k(un)map (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: Remove dma_buf_kmap selftest (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: Delete host1x_bo_ops->k(un)map (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/tegra: Map cmdbuf once for reloc processing (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/fbdev: Fallback to non tiled mode if all tiles
  not present" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Remove struct psb_fbdev (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Store framebuffer in struct drm_fb_helper
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Pass struct drm_gem_object to framebuffer functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Replace struct psb_framebuffer with struct
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Remove field 'fbdev' from struct psb_framebuffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: Remove addr_space field from psb_framebuffer
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/sun4i: Fix Kconfig indentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/vc4: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Do not needlessly logically and with 3 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: Reuse global DSI command defs (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mediatek: don't open-code drm_gem_fb_create (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/msm: Don't init ww_mutec acquire ctx before needed
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- dma-resv: Also prime acquire ctx for lockdep (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/modeset: Prime modeset lock vs dma_resv (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dp_mst: fix multiple frees of tx->bytes (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mgag200: Fix Kconfig indentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Fix Kconfig indentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/lima: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: Fix Kconfig indentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/omap: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: Fix Kconfig indentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- vga: Fix Kconfig indentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/dsi: add helpers for DSI compression mode and PPS packets
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/dsi: rename MIPI_DCS_SET_PARTIAL_AREA to (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dsi: add missing DSI DCS commands (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dsi: add missing DSI data types (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/dsi: clean up DSI data type definitions (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma_resv: prime lockdep annotations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/r128: make ATI PCI GART part of its only user, r128
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: factor out virtio_gpu_update_dumb_bo (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtio: Simplify virtio_gpu_primary_plane_update workflow
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/virtio: fix byteorder handling in
  virtio_gpu_cmd_transfer_{from, (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/xen: Simplify fb_create (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: Drop drm_gem_fb_create wrapper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/atmel: ditch fb_create wrapper (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Fixup fbdev stolen size usage evaluation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- fbdev: Unexport unlink_framebuffer() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/fb-helper: Remove drm_fb_helper_unlink_fbi() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Replace fbdev code with generic emulation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- =?UTF-8?q?drm/komeda:=20Clean=20warnings:=20candidate=20for=20'gn?=
  =?UTF-8?q?u=5Fprintf=E2=80=99=20format=20attribute?=
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: remove set but not used variable 'channel_eq'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fbdev: Fallback to non tiled mode if all tiles not present
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/edid: no CEA v3 extension is not an error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: remove set but not used variable 'is_hdmi','is_crt'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: remove set but not used variable 'error'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/gma500: remove set but not used variable 'htotal'
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Call struct drm_driver.{load, unload} before
  registering (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Replace drm_get_pci_device() and drm_put_dev()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/print: group logging functions by prink or device based
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/print: convert debug category macros into an enum
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/print: underscore prefix functions that should be private
  to print (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/print: rename drm_debug to __drm_debug to discourage use
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: use drm_debug_enabled() to check for debug
  categories (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/nouveau: use drm_debug_enabled() to check for debug
  categories (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/i915: use drm_debug_enabled() to check for debug categories
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Adds gamma and color-transform support for DOU-IPS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Add drm_ctm_to_coeffs() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Add drm_lut_to_fgamma_coeffs() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: Add a new helper drm_color_ctm_s31_32_to_qm_n()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-helper: unexport drm_fb_helper_generic_probe
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: anx6345: Fix compilation breakage on systems without
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Fix komeda driver build error (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: fix anx6345 compilation for v5.5 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/virtgpu: fix double unregistration (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: add rate limiting disable to err_verbosity
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Add option to print WARN- and INFO-level IRQ events
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Optionally dump DRM state on interrupts
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Remove CONFIG_KOMEDA_ERROR_PRINT (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/komeda: Add debugfs node to control error verbosity
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Handle pending vblank while disabling display
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: dsi: Enable clocks in pre_enable() instead of
  mode_set() (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: dsi: Fix duplicated DSI connector (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/mcde: dsi: Delay start of video stream generator
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: dsi: Make video mode errors more verbose
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Fix frame sync setup for video mode panels
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mcde: Provide vblank handling unconditionally
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/rockchip: use DRM_DEV_ERROR for log output (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/udl: Remove struct udl_gem_object and functions
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Switch to SHMEM (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Allocate GEM object via struct
  drm_driver.gem_create_object (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/udl: Remove flags field from struct udl_gem_object
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: finally fix the racy VMA setup (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ttm: also export ttm_bo_vm_fault v2 (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Enable atomic modesetting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Add cursor plane (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Add CRTC helpers for atomic modesetting (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Add primary plane (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Split ast_set_vbios_mode_info() (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/ast: Split ast_set_ext_reg() into color and threshold
  function (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Don't clear base address and offset with default values
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Check video-mode requirements against VRAM size
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ast: Remove last traces of struct ast_gem_object
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: Add Analogix anx6345 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: Prepare Analogix anx6345 support (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/bridge: extract some Analogix I2C DP common code
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: split some definitions of ANX78xx to dedicated
  headers (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/bridge: move ANA78xx driver to analogix subdirectory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/tilcdc: Provide ddc symlink in connector sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/mediatek: Provide ddc symlink in hdmi connector sysfs
  directory (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/exynos: Provide ddc symlink in connector's sysfs
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm/hdmi: Provide ddc symlink in hdmi connector sysfs
  directory (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm: rockchip: Provide ddc symlink in inno_hdmi sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: rockchip: Provide ddc symlink in rk3066_hdmi sysfs
  directory (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/amdgpu: Provide ddc symlink in dm connector's sysfs
  directory (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/radeon: Provide ddc symlink in connector sysfs directory
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm: atomic helper: fix W=1 warnings (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Add page flip support on psb/cdv (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/gma500: Add missing call to allow enabling vblank on psb/cdv
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/fb-helper: Remove drm_fb_helper_fbdev_{setup, teardown}()
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/todo: Convert drivers to generic fbdev emulation
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/komeda: Use devm_platform_ioremap_resource() in
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: remove ttm_bo_wait_unreserved (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/nouveau: slowpath for pushbuf ioctl (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- dma_resv: prime lockdep annotations (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/doc: Update IGT documentation (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/vkms: Update VKMS documentation (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/todo: Add entry to remove load/unload hooks (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/property: Enforce more lifetime rules (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm: use DIV_ROUND_UP helper macro for calculations
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/scdc: Fix typo in bit definition of SCDC_STATUS_FLAGS
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/ttm: ttm_tt_init_fields() can be static (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- Revert "drm/etnaviv: reject timeouts with tv_nsec >=
  NSEC_PER_SEC" (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882,
  jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- drm/etnaviv: avoid deprecated timespec (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- drm/etnaviv: reject timeouts with tv_nsec >= NSEC_PER_SEC
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- drm/msm: avoid using 'timespec' (jsc#SLE-12680, jsc#SLE-12880,
  jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496, jsc#SLE-15322).
- console/dummycon: Remove bogus depends on from DUMMY_CONSOLE
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- pinctrl: Allow modules to use pinctrl_register_mappings
  (jsc#SLE-12680, jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883,
  jsc#SLE-13496, jsc#SLE-15322).
- remove ioremap_nocache and devm_ioremap_nocache (jsc#SLE-12680,
  jsc#SLE-12880, jsc#SLE-12882, jsc#SLE-12883, jsc#SLE-13496,
  jsc#SLE-15322).
- commit 9955060
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/stp: unify stp_work_mutex and clock_sync_mutex
  (jsc#SLE-13821).
- s390/stp: add sysfs file to show scheduled leap seconds
  (jsc#SLE-13821).
- s390/stp: add support for leap seconds (jsc#SLE-13821).
- Refresh
  patches.suse/s390-sles15sp3-03-02-s390-cio-Provide-Endpoint-Security-Mode-per-CU.patch.
- s390/stp: use u32 instead of unsigned int (jsc#SLE-13821).
- s390/stp: use __packed (jsc#SLE-13821).
- s390/stp: add locking to sysfs functions (jsc#SLE-13821).
- commit 0307c9d
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/topology: remove offline CPUs from CPU topology masks
  (jsc#SLE-13727).
- commit 1f00baa
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: implement ndo_bridge_setlink for learning_sync
  (jsc#SLE-13764).
- s390/qeth: implement ndo_bridge_getlink for learning_sync
  (jsc#SLE-13764).
- s390/qeth: Reset address notification in case of buffer overflow
  (jsc#SLE-13764).
- bridge: Add SWITCHDEV_FDB_FLUSH_TO_BRIDGE notifier
  (jsc#SLE-13764).
- s390/qeth: Translate address events into switchdev notifiers
  (jsc#SLE-13764).
- s390/qeth: Detect PNSO OC3 capability (jsc#SLE-13764).
- s390/cio: Helper functions to read CSSID, IID, and CHID
  (jsc#SLE-13764).
- s390/cio: Add new Operation Code OC3 to PNSO (jsc#SLE-13764).
- commit 77e80d7
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/ctcm: remove orphaned function declarations
  (jsc#SLE-13690).
- s390/qeth: static checker cleanups (jsc#SLE-13690).
- commit f2438b0
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: use netdev_name() (jsc#SLE-13690).
- s390/qeth: constify the disciplines (jsc#SLE-13690).
- s390/qeth: allow configuration of TX queues for OSA devices
  (jsc#SLE-13690).
- s390/qeth: de-magic the QIB parm area (jsc#SLE-13690).
- s390/qeth: keep track of wanted TX queues (jsc#SLE-13690).
- s390/qeth: remove forward declarations in L2 code
  (jsc#SLE-13690).
- s390/qeth: consolidate teardown code (jsc#SLE-13690).
- commit 656ad94
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: consolidate online code (jsc#SLE-13690).
- s390/qeth: cancel cmds earlier during teardown (jsc#SLE-13690).
- s390/qeth: tighten ucast IP locking (jsc#SLE-13690).
- s390/qeth: replace deprecated simple_stroul() (jsc#SLE-13690).
- s390/qeth: clean up string ops in qeth_l3_parse_ipatoe()
  (jsc#SLE-13690).
- s390/qeth: relax locking for ipato config data (jsc#SLE-13690).
- s390/qeth: don't init refcount twice for mcast IPs
  (jsc#SLE-13690).
- commit c7164a0
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: strictly order bridge address events (jsc#SLE-13690).
- s390/cio, s390/qeth: cleanup PNSO CHSC (jsc#SLE-13690).
- s390/qeth: unify structs for bridge port state (jsc#SLE-13690).
- s390/qeth: copy less data from bridge state events
  (jsc#SLE-13690).
- s390/qeth: don't let HW override the configured port role
  (jsc#SLE-13690).
- s390/qeth: don't disable address events during initialization
  (jsc#SLE-13690).
- commit 6718f0f
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: make queue lock a proper spinlock (jsc#SLE-13690).
- s390/qeth: use to_delayed_work() (jsc#SLE-13690).
- s390/qeth: clean up qeth_l3_send_setdelmc()'s declaration
  (jsc#SLE-13690).
- s390/qeth: delay draining the TX buffers (jsc#SLE-13690).
- s390/qeth: use all configured RX buffers (jsc#SLE-13690).
- s390/ism: indicate correct error reason in ism_alloc_dmb()
  (jsc#SLE-13690).
- s390/qeth: constify the MPC initialization data (jsc#SLE-13690).
- commit c17a727
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: unify RX-mode hashtables (jsc#SLE-13690).
- s390/qeth: cleanup OAT code (jsc#SLE-13690).
- s390/qeth: clean up a magic number in the OAT callback
  (jsc#SLE-13690).
- s390/qeth: use u64_to_user_ptr() in the OAT code
  (jsc#SLE-13690).
- s390/qeth: clean up error handling for isolation mode cmds
  (jsc#SLE-13690).
- s390/qeth: don't clear the configured isolation mode
  (jsc#SLE-13690).
- s390/qeth: only init the isolation mode when necessary
  (jsc#SLE-13690).
- commit fdcdead
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: fine-tune errno when cmds are cancelled
  (jsc#SLE-13690).
- s390/qeth: reject unsupported link type earlier (jsc#SLE-13690).
- s390/qdio: remove internal polling in non-thinint path
  (jsc#SLE-13690).
- s390/qdio: allow to scan all 128 Input SBALs (jsc#SLE-13690).
- s390/qdio: fix statistics for 128 SBALs (jsc#SLE-13690).
- s390/qeth: let isolation mode override HW offload restrictions
  (jsc#SLE-13690).
- s390/qdio: warn about unexpected SLSB states (jsc#SLE-13690).
- commit 22cf4e8
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qdio: clean up usage of qdio_data (jsc#SLE-13690).
- s390/qdio: reduce SLSB writes during Input Queue processing
  (jsc#SLE-13690).
- s390/qdio: fine-tune SLSB update (jsc#SLE-13690).
- s390/qdio: remove q->first_to_kick (jsc#SLE-13690).
- s390/qdio: fix up qdio_start_irq() kerneldoc (jsc#SLE-13690).
- s390/qdio: add IRQ reduction for error SBALs (jsc#SLE-13690).
- s390/qdio: refactor ACK processing for primed SBALs
  (jsc#SLE-13690).
- commit 46b9562
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qdio: simplify overlap calculation on Input refill
  (jsc#SLE-13690).
- s390/qdio: remove always-true condition (jsc#SLE-13690).
- s390/qdio: de-duplicate tiqdio_inbound_processing()
  (jsc#SLE-13690).
- s390/qdio: keep track of allocated queue count (jsc#SLE-13690).
- s390/qdio: roll-back after queue allocation error
  (jsc#SLE-13690).
- s390/qdio: do more fine-grained allocation roll-back
  (jsc#SLE-13690).
- s390/qdio: consolidate thinint init/exit (jsc#SLE-13690).
- commit 26e1650
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: clean up Kconfig help text (jsc#SLE-13690).
- s390/qeth: return error when starting a reset fails
  (jsc#SLE-13690).
- s390/qeth: set TX IRQ marker on last buffer in a group
  (jsc#SLE-13690).
- s390/qeth: indicate contiguous TX buffer elements
  (jsc#SLE-13690).
- s390/qeth: merge TX skb mapping code (jsc#SLE-13690).
- s390/qeth: don't use restricted offloads for local traffic
  (jsc#SLE-13690).
- s390/qeth: extract helpers for next-hop lookup (jsc#SLE-13690).
- commit 6af340f
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: add debugfs file for local IP addresses
  (jsc#SLE-13690).
- s390/qeth: process local address events (jsc#SLE-13690).
- s390/qeth: keep track of LP2LP capability for csum offload
  (jsc#SLE-13690).
- s390/qeth: fix cancelling of TX timer on dev_close()
  (jsc#SLE-13690).
- s390/qdio: clear DSCI early for polling drivers (jsc#SLE-13690).
- s390/qdio: inline shared_ind() (jsc#SLE-13690).
- s390/qdio: remove cdev from init_data (jsc#SLE-13690).
- commit 35bdfba
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qdio: allow for non-contiguous SBAL array in init_data
  (jsc#SLE-13690).
- zfcp: inline zfcp_qdio_setup_init_data() (jsc#SLE-13690).
- s390/qdio: cleanly split alloc and establish (jsc#SLE-13690).
- s390/qdio: set qdio_irq->cdev at allocation time
  (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qdio-consistently-restore-the-irq-handler.
- s390/qdio: remove unused function declarations (jsc#SLE-13690).
- s390/qdio: pass ISC as parameter to chsc_sadc() (jsc#SLE-13690).
- s390/qdio: export SSQD via debugfs (jsc#SLE-13690).
- commit b19b3bd
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qdio: simplify debugfs code (jsc#SLE-13690).
- s390/qdio: use QDIO_IRQ_STATE_INACTIVE instead of 0
  (jsc#SLE-13690).
- s390/qdio: reduce access to cdev->private->qdio_data
  (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qdio-consistently-restore-the-irq-handler.
- s390/qdio: clean up cdev access in qdio_setup_irq()
  (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qdio-consistently-restore-the-irq-handler.
- s390/qeth: make OSN / OSX support configurable (jsc#SLE-13690).
- Update config files.
- s390/qeth: remove fake_broadcast attribute (jsc#SLE-13690).
- s390/qeth: modernize two list helpers (jsc#SLE-13690).
- commit c754a84
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: keep track of fixed prio-queue configuration
  (jsc#SLE-13690).
- s390/qeth: fine-tune MAC Address-related errnos (jsc#SLE-13690).
- s390/qeth: add TX IRQ coalescing support for IQD devices
  (jsc#SLE-13690).
- s390/qeth: collect more TX statistics (jsc#SLE-13690).
- s390/qeth: clean up the mac_bits (jsc#SLE-13690).
- s390/qeth: simplify L3 dev_id logic (jsc#SLE-13690).
- s390/qdio: extend polling support to multiple queues
  (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qdio-put-thinint-indicator-after-early-error.
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- s390/qeth: remove redundant if-clause in RX poll code
  (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- Refresh patches.suse/s390-qeth-tolerate-pre-filled-rx-buffer.
- commit a459172
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: split out RX poll code (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- s390/qeth: simplify RX buffer tracking (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- Refresh patches.suse/s390-qeth-tolerate-pre-filled-rx-buffer.
- s390/qeth: use dev->reg_state (jsc#SLE-13690).
- s390/qeth: remove gratuitous NULL checks (jsc#SLE-13690).
- s390/qeth: add phys_to_virt() translation for AOB
  (jsc#SLE-13690).
- s390/qeth: don't report hard-coded driver version
  (jsc#SLE-13690).
- s390/qeth: add SW timestamping support for IQD devices
  (jsc#SLE-13690).
- commit 475757c
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: balance the TX queue selection for IQD devices
  (jsc#SLE-13690).
- s390/qeth: allow configuration of TX queues for IQD devices
  (jsc#SLE-13690).
- s390/qeth: allow configuration of TX queues for z/VM NICs
  (jsc#SLE-13690).
- s390/qeth: remove prio-queueing support for z/VM NICs
  (jsc#SLE-13690).
- s390/qeth: use memory reserves in TX slow path (jsc#SLE-13690).
- s390/qeth: use memory reserves to back RX buffers
  (jsc#SLE-13690).
- s390/qeth: remove VNICC callback parameter struct
  (jsc#SLE-13690).
- commit 85386f2
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qdio: add tighter controls for IRQ polling (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- s390/qeth: support configurable RX copybreak (jsc#SLE-13690).
- s390/qeth: don't check for IFF_UP when scheduling napi
  (jsc#SLE-13690).
- s390/qeth: don't re-start read cmd when IDX has terminated
  (jsc#SLE-13690).
- s390/qeth: reset seqnos on connection startup (jsc#SLE-13690).
- s390/qeth: remove unused cmd definitions (jsc#SLE-13690).
- s390/qeth: validate device-provided MAC address (jsc#SLE-13690).
- commit 3cac482
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: clean up CREATE_ADDR cmd code (jsc#SLE-13690).
- s390/qeth: remove dead code in qeth_l3_iqd_read_initial_mac()
  (jsc#SLE-13690).
- s390/qdio: fill SL with absolute addresses (jsc#SLE-13690).
- s390/qdio: don't allocate *aob array with GFP_ATOMIC
  (jsc#SLE-13690).
- s390/qdio: simplify ACK tracking (jsc#SLE-13690).
- s390/qeth: remove HARDSETUP state (jsc#SLE-13690).
- Refresh patches.suse/s390-qeth-cancel-rx-reclaim-work-earlier.
- Refresh
  patches.suse/s390-qeth-implement-smarter-resizing-of-the-rx-buffer-pool.
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- s390/qeth: make cmd/reply matching more flexible
  (jsc#SLE-13690).
- commit 3e7992c
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: consolidate online/offline code (jsc#SLE-13690).
- s390/qeth: shift some bridgeport code around (jsc#SLE-13690).
- s390/qeth: remove QETH_RX_PULL_LEN (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qeth-handle-error-when-backing-rx-buffer.
- s390/qeth: use napi_gro_frags() for SG skbs (jsc#SLE-13690).
- s390/qeth: consolidate RX code (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qdio-fill-sbales-with-absolute-addresses.
- Refresh
  patches.suse/s390-qeth-don-t-warn-for-napi-with-0-budget.
- Refresh
  patches.suse/s390-qeth-integrate-rx-refill-worker-with-napi.
- s390/qeth: make use of napi_schedule_irqoff() (jsc#SLE-13690).
- s390/qeth: consolidate helpers for capability checking
  (jsc#SLE-13690).
- commit cd47e53
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qeth: stop yielding the ip_lock during IPv4 registration
  (jsc#SLE-13690).
- s390/qeth: don't raise NETDEV_REBOOT event from L3 offline path
  (jsc#SLE-13690).
- s390/qeth: remove open-coded inet_make_mask() (jsc#SLE-13690).
- s390/qeth: clean up L3 sysfs code (jsc#SLE-13690).
- s390/qeth: overhaul L3 IP address dump code (jsc#SLE-13690).
- s390/qeth: wake up all waiters from qeth_irq() (jsc#SLE-13690).
- s390/qeth: only handle IRQs while device is online
  (jsc#SLE-13690).
- Refresh patches.suse/s390-qeth-refactor-buffer-pool-code.
- commit 2028bef
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/qdio: don't attempt IRQ avoidance on Output SBALs
  (jsc#SLE-13690).
- s390/qdio: simplify thinint device registration (jsc#SLE-13690).
- Refresh
  patches.suse/s390-qdio-put-thinint-indicator-after-early-error.
- s390/qdio: add statistics helper macro (jsc#SLE-13690).
- s390/qdio: remove a forward declaration (jsc#SLE-13690).
- s390/qdio: reduce log level for EQBS partial (jsc#SLE-13690).
- s390/qdio: use QDIO_BUFNR() (jsc#SLE-13690).
- commit e493d37
* Fri Nov  6 2020 tiwai@suse.de
- pinctrl: intel: Add Intel Alder Lake-S pin controller support
  (jsc#SLE-13489).
- Update config files.
- supported.conf: Add pinctrl-alderlake
- commit 46e1f39
* Fri Nov  6 2020 ohering@suse.de
- hyperv_fb: Update screen_info after removing old framebuffer
  (bsc#1175306).
- x86/kexec: Use up-to-dated screen_info copy to fill boot params
  (bsc#1175306).
- video: hyperv: hyperv_fb: Use physical memory for fb on HyperV
  Gen 1 VMs (bsc#1175306).
- video: hyperv: hyperv_fb: Support deferred IO for Hyper-V
  frame buffer driver (bsc#1175306).
- video: hyperv: hyperv_fb: Obtain screen resolution from Hyper-V
  host (bsc#1175306).
- commit 6359015
* Fri Nov  6 2020 tiwai@suse.de
- pinctrl: intel: Add Intel Elkhart Lake pin controller support
  (jsc#SLE-12730).
- Update config files.
- supported.conf: Add pinctrl-elkhartlake
- commit 564fbfd
* Fri Nov  6 2020 tiwai@suse.de
- pinctrl: intel: Add Intel Lakefield pin controller support
  (jsc#SLE-12730).
- Update config files.
- supported.conf: add pinctrl-lakefield
- commit 5f4ba59
* Fri Nov  6 2020 tiwai@suse.de
- pinctrl: intel: Add blank line before endif in Kconfig
  (jsc#SLE-12730).
- commit 320f56c
* Fri Nov  6 2020 ohering@suse.de
- KVM: x86: hyper-v: disallow configuring SynIC timers with no
  SynIC (jsc#sle-12891).
- PCI: hv: Fix hibernation in case interrupts are not re-created
  (jsc#sle-12891).
- Drivers: hv: vmbus: Add parsing of VMbus interrupt in ACPI DSDT
  (jsc#sle-12891).
- hv: clocksource: Add notrace attribute to
  read_hv_sched_clock_*() functions (jsc#sle-12891).
- PCI: hv: Document missing hv_pci_protocol_negotiation()
  parameter (jsc#sle-12891).
- scsi: storvsc: Support PAGE_SIZE larger than 4K (jsc#sle-12891).
- Driver: hv: util: Use VMBUS_RING_SIZE() for ringbuffer sizes
  (jsc#sle-12891).
- HID: hyperv: Use VMBUS_RING_SIZE() for ringbuffer sizes
  (jsc#sle-12891).
- Input: hyperv-keyboard: Use VMBUS_RING_SIZE() for ringbuffer
  sizes (jsc#sle-12891).
- hv_netvsc: Use HV_HYP_PAGE_SIZE for Hyper-V communication
  (jsc#sle-12891).
- hv: hyperv.h: Introduce some hvpfn helper functions
  (jsc#sle-12891).
- Drivers: hv: vmbus: Move virt_to_hvpfn() to hyperv header
  (jsc#sle-12891).
- Drivers: hv: Use HV_HYP_PAGE in hv_synic_enable_regs()
  (jsc#sle-12891).
- Drivers: hv: vmbus: Introduce types of GPADL (jsc#sle-12891).
- Drivers: hv: vmbus: Move __vmbus_open() (jsc#sle-12891).
- Drivers: hv: vmbus: Always use HV_HYP_PAGE_SIZE for gpadl
  (jsc#sle-12891).
- drivers: hv: remove cast from hyperv_die_event (jsc#sle-12891).
- x86/hyperv: Remove aliases with X64 in their name
  (jsc#sle-12891).
- commit b986d8b
* Fri Nov  6 2020 yousaf.kaukab@suse.com
- rtc: pcf2127: fix alarm handling (jsc#SLE-12251).
- rtc: pcf2127: add alarm support (jsc#SLE-12251).
- rtc: pcf2127: add pca2129 device id (jsc#SLE-12251).
- rtc: pcf2127: watchdog: handle nowayout feature (jsc#SLE-12251).
- rtc: fsl-ftm-alarm: fix freeze(s2idle) failed to wake
  (jsc#SLE-12251).
- rtc: pcf2127: report battery switch over (jsc#SLE-12251).
- rtc: pcf2127: set regmap max_register (jsc#SLE-12251).
- rtc: pcf2127: remove unnecessary #ifdef (jsc#SLE-12251).
- rtc: pcf2127: let the core handle rtc range (jsc#SLE-12251).
- rtc: add new VL flag for backup switchover (jsc#SLE-12251).
- rtc: fsl-ftm-alarm: report alarm to core (jsc#SLE-12251).
- rtc: make definitions in include/uapi/linux/rtc.h actually
  useful for user space (jsc#SLE-12251).
- rtc: fsl-ftm-alarm: enable acpi support (jsc#SLE-12251).
- rtc: rx8010: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: rx8010: remove RTC_VL_CLR handling (jsc#SLE-12251).
- rtc: rv8803: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: rv8803: avoid clearing RV8803_FLAG_V2F in RTC_VL_CLR
  (jsc#SLE-12251).
- rtc: rv3028: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: rv3028: remove RTC_VL_CLR handling (jsc#SLE-12251).
- rtc: pcf85063: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: pcf85063: remove RTC_VL_CLR handling (jsc#SLE-12251).
- rtc: pcf8563: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: pcf8563: stop caching voltage_low (jsc#SLE-12251).
- rtc: pcf8563: remove conditional compilation (jsc#SLE-12251).
- rtc: pcf8563: remove RTC_VL_CLR handling (jsc#SLE-12251).
- rtc: pcf8523: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: pcf2127: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: abx80x: return meaningful value for RTC_VL_READ
  (jsc#SLE-12251).
- rtc: Document RTC_VL_READ and RTC_VL_CLR ioctls (jsc#SLE-12251).
- rtc: define RTC_VL_READ values (jsc#SLE-12251).
- rtc: fsl-ftm-alarm: avoid struct rtc_time conversions
  (jsc#SLE-12251).
- rtc: fsl-ftm-alarm: switch to rtc_time64_to_tm/rtc_tm_to_time64
  (jsc#SLE-12251).
- rtc: fsl-ftm-alarm: switch to ktime_get_real_seconds
  (jsc#SLE-12251).
- rtc: pcf2127: handle boot-enabled watchdog feature
  (jsc#SLE-12251).
- rtc: pcf2127: bugfix: watchdog build dependency (jsc#SLE-12251).
- rtc: pcf2127: add tamper detection support (jsc#SLE-12251).
- rtc: pcf2127: add watchdog feature support (jsc#SLE-12251).
- rtc: pcf2127: cleanup register and bit defines (jsc#SLE-12251).
- rtc: pcf2127: convert to devm_rtc_allocate_device
  (jsc#SLE-12251).
- commit 7f138ed
* Fri Nov  6 2020 yousaf.kaukab@suse.com
- spi: fsl-dspi: fix NULL pointer dereference (jsc#SLE-12251).
- commit 536efbf
* Fri Nov  6 2020 yousaf.kaukab@suse.com
- spi: fsl-dspi: fix use-after-free in remove path
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: use XSPI mode instead of DMA for DPAA2 SoCs
  (jsc#SLE-12251).
- dmaengine: Extend NXP QDMA driver to check transmission errors
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Initialize completion before possible
  interrupt (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix external abort on interrupt in resume
  or exit paths (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix lockup if device is shutdown during
  SPI transfer (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix lockup if device is removed during SPI
  transfer (jsc#SLE-12251).
- spi: spi-fsl-dspi: Free DMA memory with matching function
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: fix native data copy (jsc#SLE-12251).
- spi: spi-fsl-dspi: Adding shutdown hook (jsc#SLE-12251).
- spi: spi-fsl-qspi: Fix return value check of devm_ioremap()
  in probe (jsc#SLE-12251).
- spi: spi-fsl-qspi: Reduce devm_ioremap size to 4 times AHB
  buffer size (jsc#SLE-12251).
- spi: spi-fsl-dspi: Add support for LS1028A (jsc#SLE-12251).
- spi: spi-fsl-dspi: Move invariant configs out of
  dspi_transfer_one_message (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix interrupt-less DMA mode taking an XSPI
  code path (jsc#SLE-12251).
- spi: spi-fsl-dspi: Avoid NULL pointer in dspi_slave_abort for
  non-DMA mode (jsc#SLE-12251).
- spi: spi-fsl-dspi: Replace interruptible wait queue with a
  simple completion (jsc#SLE-12251).
- spi: spi-fsl-dspi: Protect against races on
  dspi->words_in_flight (jsc#SLE-12251).
- spi: spi-fsl-dspi: Avoid reading more data than written in
  EOQ mode (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix bits-per-word acceleration in DMA mode
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix little endian access to PUSHR CMD and
  TXDATA (jsc#SLE-12251).
- spi: spi-fsl-dspi: Don't access reserved fields in SPI_MCR
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: fix DMA mapping (jsc#SLE-12251).
- spi: spi-fsl-dspi: Take software timestamp in dspi_fifo_write
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Use EOQ for last word in buffer even for
  XSPI mode (jsc#SLE-12251).
- spi: spi-fsl-dspi: Optimize dspi_setup_accel for lowest
  interrupt count (jsc#SLE-12251).
- spi: spi-fsl-dspi: Accelerate transfers using larger word size
  if possible (jsc#SLE-12251).
- spi: spi-fsl-dspi: Convert TCFQ users to XSPI FIFO mode
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Implement .max_message_size method for EOQ
  mode (jsc#SLE-12251).
- spi: spi-fsl-dspi: Rename fifo_{read,write} and
  {tx,cmd}_fifo_write (jsc#SLE-12251).
- spi: spi-fsl-dspi: Add comments around dspi_pop_tx and
  dspi_push_rx functions (jsc#SLE-12251).
- spi: spi-fsl-dspi: Don't mask off undefined bits
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Remove unused chip->void_write_data
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Simplify bytes_per_word gymnastics
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Make bus-num property optional
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Add specific compatibles for all Layerscape
  SoCs (jsc#SLE-12251).
- spi: spi-fsl-dspi: Convert the instantiations that support it
  to DMA (jsc#SLE-12251).
- spi: spi-fsl-dspi: Support SPI software timestamping in all
  non-DMA modes (jsc#SLE-12251).
- spi: spi-fsl-dspi: LS2080A and LX2160A support XSPI mode
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Parameterize the FIFO size and DMA buffer
  size (jsc#SLE-12251).
- spi: spi-fsl-dspi: Use specific compatible strings for all
  SoC instantiations (jsc#SLE-12251).
- spi: spi-fsl-dspi: Use dma_request_chan() instead
  dma_request_slave_channel() (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix 16-bit word order in 32-bit XSPI mode
  (jsc#SLE-12251).
- spi: Don't look at TX buffer for PTP system timestamping
  (jsc#SLE-12251).
- spi: nxp-fspi: Use devm API to fix missed unregistration of
  controller (jsc#SLE-12251).
- spi: use new `spi_transfer_delay_exec` helper where
  straightforward (jsc#SLE-12251).
- spi: spi-fsl-dspi: Implement the PTP system timestamping for
  TCFQ mode (jsc#SLE-12251).
- spi: Add a PTP system timestamp to the transfer structure
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Always use the TCFQ devices in poll mode
  (jsc#SLE-12251).
- spi: Introduce dspi_slave_abort() function for NXP's dspi SPI
  driver (jsc#SLE-12251).
- spi: Use an abbreviated pointer to ctlr->cur_msg in
  __spi_pump_messages (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix race condition in TCFQ/EOQ interrupt
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Use poll mode in case the platform IRQ is
  missing (jsc#SLE-12251).
- spi: spi-fsl-dspi: Remove impossible to reach error check
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Exit the ISR with IRQ_NONE when it's not ours
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Reduce indentation level in dspi_interrupt
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Move dspi_interrupt above
  dspi_transfer_one_message (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix typos (jsc#SLE-12251).
- spi: spi-fsl-dspi: Use reverse Christmas tree declaration order
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Replace legacy spi_master names with
  spi_controller (jsc#SLE-12251).
- spi: spi-fsl-dspi: Remove pointless assignment of
  master->transfer to NULL (jsc#SLE-12251).
- spi: spi-fsl-dspi: Remove unused initialization of 'ret'
  in dspi_probe (jsc#SLE-12251).
- spi: spi-fsl-dspi: Reduce indentation in dspi_release_dma()
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Change usage pattern of SPI_MCR_* and
  SPI_CTAR_* macros (jsc#SLE-12251).
- spi: spi-fsl-dspi: Demistify magic value in SPI_SR_CLEAR
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Use BIT() and GENMASK() macros
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Remove unused defines and includes
  (jsc#SLE-12251).
- spi: spi-fsl-dspi: Fix code alignment (jsc#SLE-12251).
- commit 99395cb
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/dasd: Process FCES path event notification (jsc#SLE-13767
  bsc#1178420 LTC#185092).
- s390/dasd: Prepare for additional path event handling
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- s390/dasd: Display FC Endpoint Security information via sysfs
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- s390/dasd: Fix operational path inconsistency (jsc#SLE-13767
  bsc#1178420 LTC#185092).
- s390/dasd: Store path configuration data during path handling
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- s390/dasd: Move duplicate code to separate function
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- s390/dasd: Remove unused parameter from dasd_generic_probe()
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- s390/cio: Add support for FCES status notification
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- s390/cio: Provide Endpoint-Security Mode per CU (jsc#SLE-13767
  bsc#1178420 LTC#185092).
- s390/cio: Export information about Endpoint-Security
  (jsc#SLE-13767 bsc#1178420 LTC#185092).
- commit 539be3e
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/kvm: diagnose 0x318 sync and reset (jsc#SLE-13746).
- s390/setup: diag 318: refactor struct (jsc#SLE-13746).
- commit 3fd9e36
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/zcrypt: fix wrong format specifications (git-fixes).
- commit a98dc9e
* Fri Nov  6 2020 mkoutny@suse.com
- memcg: fix NULL pointer dereference in
  __mem_cgroup_usage_unregister_event (bsc#1177703).
- commit 676737e
* Fri Nov  6 2020 ptesarik@suse.cz
- s390/zcrypt: Introduce Failure Injection feature (jsc#SLE-13815
  bsc#1178402 LTC#186349).
- s390/zcrypt: move ap_msg param one level up the call chain
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/ap/zcrypt: revisit ap and zcrypt error handling
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/ap: Support AP card SCLP config and deconfig operations
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/sclp: Add support for SCLP AP adapter config/deconfig
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/ap: add card/queue deconfig state (jsc#SLE-13815
  bsc#1178402 LTC#186349).
- s390/ap: add error response code field for ap queue devices
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/ap: split ap queue state machine state from device state
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: New config switch CONFIG_ZCRYPT_DEBUG
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: introduce msg tracking in zcrypt functions
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: remove set_fs() invocation in zcrypt device driver
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/ap: rework crypto config info and default domain code
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: provide cex4 cca sysfs attributes for cex3
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/ap: rename and clarify ap state machine related stuff
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: split ioctl function into smaller code units
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: code beautification and struct field renames
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: fix smatch warnings (jsc#SLE-13815 bsc#1178402
  LTC#186349).
- s390/ap: introduce new ap function ap_get_qdev() (jsc#SLE-13815
  bsc#1178402 LTC#186349).
- s390/zcrypt: replace snprintf/sprintf with scnprintf
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: Support for CCA protected key block version 2
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: fix card and queue total counter wrap
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: move ap device reset from bus to driver code
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- s390/zcrypt: handle new reply code FILTERED_BY_HYPERVISOR
  (jsc#SLE-13815 bsc#1178402 LTC#186349).
- commit 2c71d4a
* Fri Nov  6 2020 glin@suse.com
- bpf: Fix sysfs export of empty BTF section (bsc#1177028).
- bpf: Do not use bucket_lock for hashmap iterator (bsc#1177028).
- bpf: Avoid visit same object multiple times (bsc#1177028).
- bpf: Fix a rcu_sched stall issue with bpf task/task_file
  iterator (bsc#1177028).
- bpf: Iterate through all PT_NOTE sections when looking for
  build id (bsc#1177028).
- bpf: Delete repeated words in comments (bsc#1177028).
- bpf: Change uapi for bpf iterator map elements (bsc#1177028).
- bpf: Add support for forced LINK_DETACH command (bsc#1177028).
- bpf: Add missing newline characters in verifier error messages
  (bsc#1177028).
- bpf: Fix build without CONFIG_NET when using BPF XDP link
  (bsc#1177028).
- bpf: Fix swapped arguments in calls to check_buffer_access
  (bsc#1177028).
- bpf: Implement BPF XDP link-specific introspection APIs
  (bsc#1177028).
- bpf, xdp: Implement LINK_UPDATE for BPF XDP link (bsc#1177028).
- bpf, xdp: Add bpf_link-based XDP attachment API (bsc#1177028).
- bpf, xdp: Extract common XDP program attachment logic
  (bsc#1177028).
- bpf, xdp: Maintain info on attached XDP BPF programs in
  net_device (bsc#1177028).
- bpf: Fix build on architectures with special bpf_user_pt_regs_t
  (bsc#1177028).
- bpf/local_storage: Fix build without CONFIG_CGROUP
  (bsc#1177028).
- bpf: Make cgroup storages shared between programs on the same
  cgroup (bsc#1177028).
- bpf: Fail PERF_EVENT_IOC_SET_BPF when bpf_get_[stack|stackid]
  cannot work (bsc#1177028).
- bpf: Separate bpf_get_[stack|stackid] for perf events BPF
  (bsc#1177028).
- bpf: Implement bpf iterator for sock local storage map
  (bsc#1177028).
- bpf: Implement bpf iterator for array maps (bsc#1177028).
- bpf: Implement bpf iterator for hash maps (bsc#1177028).
- bpf: Implement bpf iterator for map elements (bsc#1177028).
- bpf: Support readonly/readwrite buffers in verifier
  (bsc#1177028).
- bpf: Refactor to provide aux info to bpf_iter_init_seq_priv_t
  (bsc#1177028).
- bpf: Refactor bpf_iter_reg to have separate seq_info member
  (bsc#1177028).
- bpf: Add bpf_prog iterator (bsc#1177028).
- bpf: net: Use precomputed btf_id for bpf iterators (bsc#1177028).
  Refresh patches.suse/bpf-Fix-pos-computation-for-bpf_iter-seq_ops-start.patch
- bpf: Make btf_sock_ids global (bsc#1177028).
- bpf: Add BTF_ID_LIST_GLOBAL in btf_ids.h (bsc#1177028).
- tools/bpf: Sync btf_ids.h to tools (bsc#1177028).
- bpf: Compute bpf_skc_to_*() helper socket btf ids at build time
  (bsc#1177028).
- bpf: cpumap: Fix possible rcpu kthread hung (bsc#1177028).
- bpf, netns: Fix build without CONFIG_INET (bsc#1177028).
- inet: Run SK_LOOKUP BPF program on socket lookup (bsc#1177028).
- inet: Extract helper for selecting socket from reuseport group
  (bsc#1177028).
- bpf: Introduce SK_LOOKUP program type with a dedicated attach
  point (bsc#1177028).
- bpf, netns: Handle multiple link attachments (bsc#1177028).
- bpf: cpumap: Implement XDP_REDIRECT for eBPF programs attached
  to map entries (bsc#1177028).
- bpf: cpumap: Add the possibility to attach an eBPF program to
  cpumap (bsc#1177028).
- cpumap: Formalize map value as a named struct (bsc#1177028).
- net: Refactor xdp_convert_buff_to_frame (bsc#1177028).
- bpf: Fix cross build for CONFIG_DEBUG_INFO_BTF option
  (bsc#1177028).
- bpf: Fix build for disabled CONFIG_DEBUG_INFO_BTF option
  (bsc#1177028).
- tools headers: Adopt verbatim copy of btf_ids.h from kernel
  sources (bsc#1177028).
- bpf: Use BTF_ID to resolve bpf_ctx_convert struct (bsc#1177028).
- bpf: Remove btf_id helpers resolving (bsc#1177028).
- bpf: Resolve BTF IDs in vmlinux image (bsc#1177028).
- bpf: Add BTF_ID_LIST/BTF_ID/BTF_ID_UNUSED macros (bsc#1177028).
- bpf: Add resolve_btfids tool to resolve BTF IDs in ELF object
  (bsc#1177028).
- libbpf: Add support for BPF_CGROUP_INET_SOCK_RELEASE
  (bsc#1177028).
- bpf: Add BPF_CGROUP_INET_SOCK_RELEASE hook (bsc#1177028).
- bpf: Fix build without CONFIG_STACKTRACE (bsc#1177028).
- bpf: Introduce helper bpf_get_task_stack() (bsc#1177028).
- perf: Expose get/put_callchain_entry() (bsc#1177028).
- bpf: Remove redundant synchronize_rcu (bsc#1177028).
- bpf: Add bpf_skc_to_udp6_sock() helper (bsc#1177028).
- net: bpf: Implement bpf iterator for udp (bsc#1177028).
- net: bpf: Add bpf_seq_afinfo in udp_iter_state (bsc#1177028).
- bpf: Add bpf_skc_to_{tcp, tcp_timewait, tcp_request}_sock()
  helpers (bsc#1177028).
- bpf: Add bpf_skc_to_tcp6_sock() helper (bsc#1177028).
- bpf: Allow tracing programs to use bpf_jiffies64() helper
  (bsc#1177028).
- net: bpf: Implement bpf iterator for tcp (bsc#1177028).
- net: bpf: Add bpf_seq_afinfo in tcp_iter_state (bsc#1177028).
- bpf: Set map_btf_{name, id} for all map types (bsc#1177028).
- bpf: Support access to bpf map fields (bsc#1177028).
- bpf: Switch btf_parse_vmlinux to btf_find_by_name_kind
  (bsc#1177028).
- bpf: Avoid verifier failure for 32bit pointer arithmetic
  (bsc#1177028).
- bpf: Support llvm-objcopy for vmlinux BTF (bsc#1177028).
- powerpc: Include .BTF section (bsc#1177028).
- commit 7b79280
* Fri Nov  6 2020 tiwai@suse.de
- regulator: defer probe when trying to get voltage from
  unresolved supply (git-fixes).
- usb: cdc-acm: fix cooldown mechanism (git-fixes).
- drivers: watchdog: rdc321x_wdt: Fix race condition bugs
  (git-fixes).
- power: supply: test_power: add missing newlines when printing
  parameters by sysfs (git-fixes).
- uio: free uio id after uio file node is freed (git-fixes).
- usb: xhci: omit duplicate actions when suspending a runtime
  suspended host (git-fixes).
- USB: adutux: fix debugging (git-fixes).
- usb: typec: tcpm: During PR_SWAP, source caps should be sent
  only after tSwapSourceStart (git-fixes).
- commit 87c92c0
* Fri Nov  6 2020 tiwai@suse.de
- PM: runtime: Drop runtime PM references to supplier on link
  removal (git-fixes).
- staging: octeon: Drop on uncorrectable alignment or FCS error
  (git-fixes).
- staging: octeon: repair "fixed-link" support (git-fixes).
- power: supply: bq27xxx: report "not charging" on all types
  (git-fixes).
- p54: avoid accessing the data mapped to streaming DMA
  (git-fixes).
- PCI/ACPI: Whitelist hotplug ports for D3 if power managed by
  ACPI (git-fixes).
- media: uvcvideo: Fix dereference of out-of-bound list iterator
  (git-fixes).
- media: uvcvideo: Fix uvc_ctrl_fixup_xu_info() not having any
  effect (git-fixes).
- media: imx274: fix frame interval handling (git-fixes).
- commit abe310e
* Fri Nov  6 2020 tiwai@suse.de
- staging: comedi: cb_pcidas: Allow 2-channel commands for AO
  subdevice (git-fixes).
- ath10k: fix VHT NSS calculation when STBC is enabled
  (git-fixes).
- ath10k: start recovery process when payload length exceeds
  max htc length for sdio (git-fixes).
- leds: bcm6328, bcm6358: use devres LED registering function
  (git-fixes).
- ACPI / extlog: Check for RDMSR failure (git-fixes).
- ACPI: video: use ACPI backlight for HP 635 Notebook (git-fixes).
- media: tw5864: check status of tw5864_frameinterval_get
  (git-fixes).
- media: platform: Improve queue set up flow for bug fixing
  (git-fixes).
- commit 12c4dfb
* Thu Nov  5 2020 ptesarik@suse.cz
- s390/ipl: add support to control memory clearing for nvme re-IPL
  (jsc#SLE-13778).
- commit 693472e
* Thu Nov  5 2020 tonyj@suse.de
- perf/x86/intel/uncore: Support PCIe3 unit on Snow Ridge
  (jsc#SLE-13340).
- perf/x86/intel/uncore: Generic support for the PCI sub driver
  (jsc#SLE-13340).
- perf/x86/intel/uncore: Factor out uncore_pci_pmu_unregister()
  (jsc#SLE-13340).
- perf/x86/intel/uncore: Factor out uncore_pci_pmu_register()
  (jsc#SLE-13340).
- perf/x86/intel/uncore: Factor out uncore_pci_find_dev_pmu()
  (jsc#SLE-13340).
- perf/x86/intel/uncore: Factor out uncore_pci_get_dev_die_info()
  (jsc#SLE-13340).
- perf/x86/intel/uncore: Remove PCIe3 unit for SNR
  (jsc#SLE-13340).
- commit 03fe2f4
* Thu Nov  5 2020 lduncan@suse.com
- scsi: be2iscsi: Fix a theoretical leak in beiscsi_create_eqs()
  (jsc#SLE-15082).
- scsi: be2iscsi: Correct misdocumentation of function param 'ep'
  (jsc#SLE-15082).
- scsi: be2iscsi: Add missing function parameter description
  (jsc#SLE-15082).
- scsi: be2iscsi: Fix misdocumentation of 'pcontext'
  (jsc#SLE-15082).
- scsi: be2iscsi: Fix API/documentation slip (jsc#SLE-15082).
- scsi: be2iscsi: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-15082).
- commit 9b829c2
* Thu Nov  5 2020 tonyj@suse.de
- perf/x86/msr: Add Jasper Lake support (jsc#SLE-12983).
- perf/x86/intel: Add Jasper Lake support (jsc#SLE-12983).
- perf/x86/msr: Add Tremont support (jsc#SLE-12983).
- commit e3b491b
* Thu Nov  5 2020 yousaf.kaukab@suse.com
- spi: spi-fsl-dspi: remove fixes to prepare for complete driver update
- commit e69ea7a
* Thu Nov  5 2020 nsaenzjulienne@suse.de
- usb: chipidea: msm: Ensure proper controller reset using role
  switch API (jsc#SLE-16106).
- commit 3c0e524
* Thu Nov  5 2020 nsaenzjulienne@suse.de
- usb: chipidea: ci_hdrc_imx: restore pinctrl (jsc#SLE-16106).
- usb: chipidea: imx: add two samsung picophy parameters tuning
  implementation (jsc#SLE-16106).
- usb: chipidea: imx: get available runtime dr mode for wakeup
  setting (jsc#SLE-16106).
- usb: chipidea: add query_available_role interface
  (jsc#SLE-16106).
- drivers/perf: Prevent forced unbinding of PMU drivers
  (jsc#SLE-16106).
- drivers/perf: Fix kernel panic when rmmod PMU modules during
  perf sampling (jsc#SLE-16106).
- mtd: rawnand: gpmi: Fix runtime PM imbalance in gpmi_nand_probe
  (jsc#SLE-16106).
- mtd: rawnand: gpmi: Stop using nand_release() (jsc#SLE-16106).
- usb: chipidea: Enable user-space triggered role-switching
  (jsc#SLE-16106).
- usb: chipidea: udc: add software sg list support
  (jsc#SLE-16106).
- usb: chipidea: usbmisc_imx: using different ops for imx7d and
  imx7ulp (jsc#SLE-16106).
- usb: chipidea: pull down dp for possible charger detection
  operation (jsc#SLE-16106).
- usb: chipidea: introduce imx7d USB charger detection
  (jsc#SLE-16106).
- usb: chipidea: introduce CI_HDRC_CONTROLLER_VBUS_EVENT glue
  layer use (jsc#SLE-16106).
- usb: chipidea: core: show the real pointer value for register
  (jsc#SLE-16106).
- mtd: rawnand: gpmi: Use dma_request_chan() instead
  dma_request_slave_channel() (jsc#SLE-16106).
- usb: chipidea: otg: handling vbus disconnect event occurred
  during system suspend (jsc#SLE-16106).
- usb: chipidea: udc: using structure ci_hdrc device for runtime
  PM (jsc#SLE-16106).
- usb: chipidea: udc: fix sleeping function called from invalid
  context (jsc#SLE-16106).
- drivers/perf: fsl_imx8_ddr: Correct the CLEAR bit definition
  (jsc#SLE-16106).
- usb: chipidea: add inline for ci_hdrc_host_driver_init if host
  is not defined (jsc#SLE-16106).
- usb: chipidea: handle single role for usb role class
  (jsc#SLE-16106).
- PM / devfreq: imx8m-ddrc: Fix inconsistent IS_ERR and PTR_ERR
  (jsc#SLE-16106).
- PM / devfreq: imx8m-ddrc: Remove unused defines (jsc#SLE-16106).
- PM / devfreq: Add dynamic scaling for imx8m ddr controller (jsc#SLE-16106).
- supported.conf: Add imx8m-ddrc
- Update config files.
- perf/imx_ddr: Fix cpu hotplug state cleanup (jsc#SLE-16106).
- usb: chipidea: imx: pinctrl for HSIC is optional
  (jsc#SLE-16106).
- usb: chipidea: imx: refine the error handling for hsic
  (jsc#SLE-16106).
- usb: chipidea: imx: change hsic power regulator as optional
  (jsc#SLE-16106).
- usb: chipidea: imx: check data->usbmisc_data against NULL
  before access (jsc#SLE-16106).
- usb: chipidea: core: change vbus-regulator as optional
  (jsc#SLE-16106).
- usb: chipidea: imx: enable vbus and id wakeup only for OTG
  events (jsc#SLE-16106).
- usb: chipidea: udc: protect usb interrupt enable
  (jsc#SLE-16106).
- usb: chipidea: udc: add new API ci_hdrc_gadget_connect
  (jsc#SLE-16106).
- usb: chipidea: debug: create debugfs directory under usb root
  (jsc#SLE-16106).
- perf/imx_ddr: Dump AXI ID filter info to userspace
  (jsc#SLE-16106).
- perf/imx_ddr: Add driver for DDR PMU in i.MX8MPlus
  (jsc#SLE-16106).
- perf/imx_ddr: Add enhanced AXI ID filter support
  (jsc#SLE-16106).
- usb: chipidea: add role switch class support (jsc#SLE-16106).
- Refresh: patches.suse/usb-chipidea-tegra-Add-USB_TEGRA_PHY-to-driver-s-dep.patch
- usb: chipidea: msm: Use device-managed registration API
  (jsc#SLE-16106).
- USB: chipidea: convert platform driver to use dev_groups
  (jsc#SLE-16106).
- usb: chipidea: udc: remove redundant assignment to variable
  retval (jsc#SLE-16106).
- perf/imx_ddr: Add support for AXI ID filtering (jsc#SLE-16106).
- commit 1b4316b
* Thu Nov  5 2020 mbenes@suse.cz
- Do not create null.i000.ipa-clones file (bsc#1178330)
  Kbuild cc-option compiles /dev/null file to test for an option
  availability. Filter out -fdump-ipa-clones so that null.i000.ipa-clones
  file is not generated in the process.
- commit 1425d4e
* Thu Nov  5 2020 varad.gautam@suse.com
- net: mscc: ocelot: fix race condition with TX timestamping
  (bsc#1178461).
- commit 9045c8f
* Thu Nov  5 2020 nsaenzjulienne@suse.de
- tty: serial: imx: fix link error with
  CONFIG_SERIAL_CORE_CONSOLE=n (jsc#SLE-16106).
- commit d3ac1b4
* Thu Nov  5 2020 nsaenzjulienne@suse.de
- crypto: caam/qi2 - add support for XTS with 16B IV
  (jsc#SLE-16106).
- crypto: caam/qi - add support for XTS with 16B IV
  (jsc#SLE-16106).
- crypto: caam/jr - add support for XTS with 16B IV
  (jsc#SLE-16106).
- crypto: caam - add xts check for block length equal to zero
  (jsc#SLE-16106).
- crypto: caam/qi2 - add support for more XTS key lengths
  (jsc#SLE-16106).
- crypto: caam/qi - add support for more XTS key lengths
  (jsc#SLE-16106).
- crypto: caam/jr - add support for more XTS key lengths
  (jsc#SLE-16106).
- crypto: caam/qi2 - add fallback for XTS with more than 8B IV
  (jsc#SLE-16106).
- crypto: caam/qi - add fallback for XTS with more than 8B IV
  (jsc#SLE-16106).
- crypto: caam/jr - add fallback for XTS with more than 8B IV
  (jsc#SLE-16106).
- crypto: caam - Convert to DEFINE_SHOW_ATTRIBUTE (jsc#SLE-16106).
- crypto: caam - Fix kerneldoc (jsc#SLE-16106).
- crypto: caam - use traditional error check pattern
  (jsc#SLE-16106).
- crypto: caam - Move debugfs fops into standalone file
  (jsc#SLE-16106).
- i2c: mediatek: Fix generic definitions for bus frequency
  (jsc#SLE-16106).
- commit a0a06cb
* Thu Nov  5 2020 oneukum@suse.com
- crypto: sparc/des - switch to new verification routines
  (jsc#SLE-14454).
  Refresh
  patches.suse/crypto-safexcel-des-switch-to-new-verification-routines.patch.
- commit e1e456b
* Thu Nov  5 2020 jslaby@suse.cz
- efi/x86: move UV_SYSTAB handling into arch/x86 (bnc#1177710
  jsc#SLE-13285).
- Refresh
  patches.suse/x86-platform-uv-Add-UV-Hubbed-Hubless-Proc-FS-Files.patch.
- Refresh
  patches.suse/x86-platform-uv-Add-return-code-to-UV-BIOS-Init-func.patch.
- Refresh
  patches.suse/x86-platform-uv-Return-UV-Hubless-System-Type.patch.
- commit 80f42a1
* Thu Nov  5 2020 oneukum@suse.com
- crypto: inside-secure - Remove redundant DES ECB & CBC keysize
  check (jsc#SLE-14454).
- commit 715e0ad
* Thu Nov  5 2020 oneukum@suse.com
- crypto: inside-secure - added support for rfc3686(ctr(aes))
  (jsc#SLE-14454).
- commit 46ca062
* Thu Nov  5 2020 oneukum@suse.com
- crypto: inside-secure - add support for
  authenc(hmac(sha1),cbc(des3_ede)) (jsc#SLE-14454).
- commit 4c58dd2
* Thu Nov  5 2020 oneukum@suse.com
- crypto: inside-secure - fix EINVAL error (buf overflow) for
  AEAD decrypt (jsc#SLE-14454).
- commit 966437f
* Thu Nov  5 2020 oneukum@suse.com
- crypto: inside-secure - fix scatter/gather list to descriptor
  conversion (jsc#SLE-14454).
- commit 20d947f
* Thu Nov  5 2020 oneukum@suse.com
- crypto: inside-secure - fix incorrect skcipher output IV
  (jsc#SLE-14454).
- commit d250bc9
* Thu Nov  5 2020 glin@suse.com
- s390/bpf: Tolerate not converging code shrinking (bsc#1177028).
- s390/bpf: Use brcl for jumping to exit_ip if necessary
  (bsc#1177028).
- s390/bpf: Fix sign extension in branch_ku (bsc#1177028).
- bpf: revert "test_bpf: Flag tests that cannot be jited on s390"
  (bsc#1177028).
- commit 487e300
* Thu Nov  5 2020 glin@suse.com
- s390/bpf: Use bcr 0,%%0 as tail call nop filler (bsc#1177028).
- commit bdd749d
* Wed Nov  4 2020 ailiop@suse.com
- xfs: don't update mtime on COW faults (bsc#1167030).
- commit cbce094
* Wed Nov  4 2020 ailiop@suse.com
- xfs: complain if anyone tries to create a too-large buffer
  log item (bsc#1166146).
- commit 293e483
* Wed Nov  4 2020 msuchanek@suse.de
- kABI: revert use_mm name change (MM Functionality, bsc#1178426).
- commit abb50be
* Wed Nov  4 2020 ailiop@suse.com
- xfs: remove unused variable 'done' (bsc#1166166).
- commit 61fcffc
* Wed Nov  4 2020 ailiop@suse.com
- xfs: truncate should remove all blocks, not just to the end
  of the page cache (bsc#1166166).
- commit e2d039c
* Wed Nov  4 2020 ailiop@suse.com
- xfs: introduce XFS_MAX_FILEOFF (bsc#1166166).
- commit 76c1570
* Wed Nov  4 2020 lduncan@suse.com
- mpt3sas: Bump driver version to 35.101.00.00 (jsc#SLE-16914).
- mpt3sas: add module parameter multipath_on_hba (jsc#SLE-16914).
- mpt3sas: Handle vSES vphy object during HBA reset
  (jsc#SLE-16914).
- mpt3sas: Add bypass_dirty_port_flag parameter (jsc#SLE-16914).
- mpt3sas: Handling HBA vSES device (jsc#SLE-16914).
- mpt3sas: Set valid PhysicalPort in SMPPassThrough
  (jsc#SLE-16914).
- mpt3sas: Update hba_port objects after host reset
  (jsc#SLE-16914).
- mpt3sas: Get sas_device objects using device's rphy
  (jsc#SLE-16914).
- mpt3sas: Rename transport_del_phy_from_an_existing_port
  (jsc#SLE-16914).
- mpt3sas: Get device objects using sas_address & portID
  (jsc#SLE-16914).
- mpt3sas: Update hba_port's sas_address & phy_mask
  (jsc#SLE-16914).
- mpt3sas: Rearrange _scsih_mark_responding_sas_device()
  (jsc#SLE-16914).
- mpt3sas: Allocate memory for hba_port objects (jsc#SLE-16914).
- mpt3sas: Define hba_port structure (jsc#SLE-16914).
- scsi: mpt3sas: A small correction in _base_process_reply_queue
  (jsc#SLE-16914).
- scsi: mpt3sas: Fix sync irqs (jsc#SLE-16914).
- scsi: mpt3sas: Detect tampered Aero and Sea adapters
  (jsc#SLE-16914).
- scsi: mpt3sas: Remove pci-dma-compat wrapper API
  (jsc#SLE-16914).
- scsi: mpt3sas: Remove superfluous memset() (jsc#SLE-16914).
- scsi: mpt3sas: Update driver version to 35.100.00.00
  (jsc#SLE-16914).
- scsi: mpt3sas: Postprocessing of target and LUN reset
  (jsc#SLE-16914).
- scsi: mpt3sas: Add functions to check if any cmd is outstanding
  on Target and LUN (jsc#SLE-16914).
- scsi: mpt3sas: Rename and export interrupt mask/unmask functions
  (jsc#SLE-16914).
- scsi: mpt3sas: Cancel the running work during host reset
  (jsc#SLE-16914).
- scsi: mpt3sas: Dump system registers for debugging
  (jsc#SLE-16914).
- scsi: mpt3sas: Memset config_cmds.reply buffer with zeros
  (jsc#SLE-16914).
- scsi: mpt3sas: Don't call disable_irq from IRQ poll handler
  (jsc#SLE-16914).
- scsi: mpt3sas: Fix set but unused variable (jsc#SLE-16914).
- scsi: mpt3sas: Fix error returns in BRM_status_show
  (jsc#SLE-16914).
- scsi: mpt3sas: Fix unlock imbalance (jsc#SLE-16914).
- scsi: mpt3sas: Fix memset() in non-RDPQ mode (jsc#SLE-16914).
- scsi: mpt3sas: Fix reply queue count in non RDPQ mode
  (jsc#SLE-16914).
- scsi: mpt3sas: Fix double free warnings (jsc#SLE-16914).
- scsi: mpt3sas: Disable DIF when prot_mask set to zero
  (jsc#SLE-16914).
- scsi: mpt3sas: Capture IOC data for debugging purposes
  (jsc#SLE-16914).
- scsi: mpt3sas: Use true, false for ioc->use_32bit_dma
  (jsc#SLE-16914).
- scsi: mpt3sas: Remove NULL check before freeing function
  (jsc#SLE-16914).
- scsi: mpt3sas: Update mpt3sas version to 33.101.00.00
  (jsc#SLE-16914).
- scsi: mpt3sas: Handle RDPQ DMA allocation in same 4G region
  (jsc#SLE-16914).
- scsi: mpt3sas: Separate out RDPQ allocation to new function
  (jsc#SLE-16914).
- scsi: mpt3sas: Rename function name is_MSB_are_same
  (jsc#SLE-16914).
- scsi: mpt3sas: Don't change the DMA coherent mask after
  allocations (jsc#SLE-16914).
- scsi: mpt3sas: use true,false for bool variables
  (jsc#SLE-16914).
- commit fb319df
* Wed Nov  4 2020 nsaenzjulienne@suse.de
- net: fec: Fix phy_device lookup for phy_reset_after_clk_enable()
  (jsc#SLE-16106).
- net: fec: Fix PHY init after phy_reset_after_clk_enable()
  (jsc#SLE-16106).
- net: fec_mpc52xx: Replace in_interrupt() usage (jsc#SLE-16106).
- net: fec: ptp: remove unused variable 'ns' in fec_time_keep()
  (jsc#SLE-16106).
- net: ethernet: fec: remove redundant null check before
  clk_disable_unprepare() (jsc#SLE-16106).
- net: fec: replace snprintf() with strlcpy() in fec_ptp_init()
  (jsc#SLE-16106).
- net: fec: get rid of redundant code in fec_ptp_set()
  (jsc#SLE-16106).
- net: fec: initialize clock with 0 rather than current kernel
  time (jsc#SLE-16106).
- net: fec: enable to use PPS feature without time stamping
  (jsc#SLE-16106).
- net: fec: Set max MTU size to allow the MTU to be changed
  (jsc#SLE-16106).
- net: tso: cache transport header length (jsc#SLE-16106).
- net: fec: fix hardware time stamping by external devices
  (jsc#SLE-16106).
- net: ethernet: fec: prevent tx starvation under high rx load
  (jsc#SLE-16106).
- net: fec: disable correct clk in the err path of
  fec_enet_clk_enable (jsc#SLE-16106).
- net: ethernet: fec: move GPR register offset and bit into DT
  (jsc#SLE-16106).
- net: ethernet: fec: Replace interrupt driven MDIO with polled IO
  (jsc#SLE-16106).
- net: ethernet: fec: Allow the MDIO preamble to be disabled
  (jsc#SLE-16106).
- net: ethernet: fec: Allow configuration of MDIO bus speed
  (jsc#SLE-16106).
- net: fec: set GPR bit on suspend by DT configuration
  (jsc#SLE-16106).
- net: fec: reject unsupported coalescing params (jsc#SLE-16106).
- freescale: Replace zero-length array with flexible-array member
  (jsc#SLE-16106).
- net: fec: Prevent unbind operation (jsc#SLE-16106).
- net: convert suitable network drivers to use phy_do_ioctl
  (jsc#SLE-16106).
- net: fec: remove redundant assignment to pointer bdp
  (jsc#SLE-16106).
- net: fec: add C45 MDIO read/write support (jsc#SLE-16106).
- net: fec: use devm_platform_ioremap_resource() to simplify code
  (jsc#SLE-16106).
- commit bcd4fcc
* Wed Nov  4 2020 yousaf.kaukab@suse.com
- Delete
  patches.suse/spi-spi-fsl-dspi-Exit-the-ISR-with-IRQ_NONE-when-it-.patch.
  It will be replaced by following patch:
  37b410018064 spi: spi-fsl-dspi: Exit the ISR with IRQ_NONE when it's not ours
- commit abf3980
* Wed Nov  4 2020 nsaenzjulienne@suse.de
- mmc: sdhci-msm: Introduce new ops to dump vendor specific
  registers (jsc#SLE-16106).
- spi: spi-nxp-fspi: Fix a NULL vs IS_ERR() check in probe
  (jsc#SLE-16106).
- spi: spi-nxp-fspi: Enable the Octal Mode in MCR0
  (jsc#SLE-16106).
- spi: fspi: dynamically alloc AHB memory (jsc#SLE-16106).
- spi: fspi: enable fspi on imx8qxp and imx8mm (jsc#SLE-16106).
- pinctrl: core: Add pinctrl_select_default_state() and export it
  (jsc#SLE-16106).
- commit 9a5f984
* Wed Nov  4 2020 vbabka@suse.cz
- powerpc/64s/radix: Fix mm_cpumask trimming race vs
  kthread_use_mm (MM Functionality, bsc#1178426).
- commit 7298443
* Wed Nov  4 2020 nsaenzjulienne@suse.de
- mmc: sdhci-esdhc-imx: remove unused code (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: Reset before sending tuning command for
  manual tuning (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: dump internal IC debug status during error
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: disable the CMD CRC check for standard
  tuning (jsc#SLE-16106).
- mmc: host: sdhci-esdhc-imx: add wakeup feature for GPIO CD pin
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: Add HS400 support for i.MX6SLL
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: restore pin state when resume back
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: clear DMA_SEL when disable DMA mode
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: clear pending interrupt and halt cqhci
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: Add an new esdhc_soc_data for i.MX8MM
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: add flag ESDHC_FLAG_BROKEN_AUTO_CMD23
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: optimize the strobe dll setting
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: optimize the clock setting
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: add strobe-dll-delay-target support
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: restore the per_clk rate in PM_RUNTIME
  (jsc#SLE-16106).
- mmc: sdhci-esdhci-imx: retune needed for Mega/Mix enabled SoCs
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: no fail when no pinctrl available
  (jsc#SLE-16106).
- mmc: sdhci-esdhc-imx: Convert to pinctrl_select_default_state()
  (jsc#SLE-16106).
- mmc: sdhci: Drop redundant code for SDIO IRQs (jsc#SLE-16106).
- i2c: core: Provide generic definitions for bus frequencies
  (jsc#SLE-16106).
- commit 1da2a90
* Wed Nov  4 2020 vbabka@suse.cz
- powerpc: select ARCH_WANT_IRQS_OFF_ACTIVATE_MM (MM
  Functionality, bsc#1178426).
- Update config files. Select the new option for ppc64le.
- commit 39e4bbd
* Wed Nov  4 2020 vbabka@suse.cz
- mm: fix exec activate_mm vs TLB shootdown and lazy tlb switching
  race (MM Functionality, bsc#1178426).
- commit bae6aac
* Wed Nov  4 2020 vbabka@suse.cz
- mm: fix kthread_use_mm() vs TLB invalidate (MM Functionality,
  bsc#1178426).
- commit ebe1e96
* Wed Nov  4 2020 nsaenzjulienne@suse.de
- mailbox: imx: Mark PM functions as __maybe_unused
  (jsc#SLE-16106).
- mailbox: imx: ONLY IPC MU needs IRQF_NO_SUSPEND flag
  (jsc#SLE-16106).
- mailbox: imx: Add runtime PM callback to handle MU clocks
  (jsc#SLE-16106).
- mailbox: imx: Add context save/restore for suspend/resume
  (jsc#SLE-16106).
- mailbox: imx-mailbox: fix scu msg header size check
  (jsc#SLE-16106).
- mailbox: imx: Disable the clock on
  devm_mbox_controller_register() failure (jsc#SLE-16106).
- mailbox: imx: Fix return in imx_mu_scu_xlate() (jsc#SLE-16106).
- mailbox: imx: Support runtime PM (jsc#SLE-16106).
- i2c: drivers: Use generic definitions for bus frequencies (jsc#SLE-16106).
- Refresh: patches.suse/i2c-altera-use-proper-variable-to-hold-errno.patch
- Refresh: patches.suse/i2c-imx-Fix-external-abort-on-interrupt-in-exit-path.patch
- Refresh: patches.suse/i2c-tegra-Add-support-for-the-VI-I2C-on-Tegra210.patch
- Refresh: patches.suse/i2c-tegra-Remove-NULL-pointer-check-before-clk_enabl.patch
- Refresh: patches.suse/i2c-tegra-Use-FIELD_PREP-FIELD_GET-macros.patch
- i2c: imx: remove duplicate print after platform_get_irq()
  (jsc#SLE-16106).
- i2c: imx: implement master_xfer_atomic callback (jsc#SLE-16106).
- mailbox: imx: add SCU MU support (jsc#SLE-16106).
- mailbox: imx: restructure code to make easy for new MU
  (jsc#SLE-16106).
- mailbox: imx: add support for imx v1 mu (jsc#SLE-16106).
- commit 2dfd62c
* Wed Nov  4 2020 vbabka@suse.cz
- kernel: better document the use_mm/unuse_mm API contract
  (MM Functionality, bsc#1178426).
- Refresh patches.suse/amdgpu-a-NULL-mm-does-not-mean-a-thread-is-a-kthread.patch.
- kernel: better document the use_mm/unuse_mm API contract
  (MM Functionality, bsc#1178426).
- kernel: move use_mm/unuse_mm to kthread.c (MM Functionality,
  bsc#1178426).
- kernel: move use_mm/unuse_mm to kthread.c (MM Functionality,
  bsc#1178426).
- Refresh
  patches.suse/isolcpus-Affine-unbound-kernel-threads-to-housekeeping-cpus.patch.
  Single commit with multiple patches needed to prevent breaking the build.
- commit e0e83ba
* Wed Nov  4 2020 nsaenzjulienne@suse.de
- ASoC: fsl_sai: Set MCLK input or output direction
  (jsc#SLE-16106).
- ASoC: fsl_sai: Add fsl_sai_check_version function
  (jsc#SLE-16106).
- ASoC: fsl_sai: Add new added registers and new bit definition
  (jsc#SLE-16106).
- ASoC: fsl_sai: Set SAI Channel Mode to Output Mode
  (jsc#SLE-16106).
- ASoC: fsl_sai: Support multiple data channel enable bits
  (jsc#SLE-16106).
- ASoC: fsl_sai: Add -EPROBE_DEFER check for regmap init
  (jsc#SLE-16106).
- ASoC: fsl_sai: Replace synchronous check with
  fsl_sai_dir_is_synced (jsc#SLE-16106).
- ASoC: fsl_sai: Drop TMR/RMR settings for synchronous mode
  (jsc#SLE-16106).
- ASoC: fsl_sai: Refine enable/disable TE/RE sequence in trigger()
  (jsc#SLE-16106).
- commit 607af80
* Wed Nov  4 2020 jlee@suse.com
- Update config files. (jsc#SLE-15207)
  Set CONFIG_CRYPTO_CHACHA20POLY1305=m on x86_64, ppc64le and s390x
- commit 16889ba
* Wed Nov  4 2020 pjakobsson@suse.de
- blacklist.conf: Blacklist while doing DRM backport
- Delete
  patches.suse/drm-prime-use-dma-length-macro-when-mapping-sg.
- commit 727c877
* Wed Nov  4 2020 pjakobsson@suse.de
- blacklist.conf: temporarily blacklist while doing DRM backport
- Delete
  patches.suse/drm-prime-fix-extracting-of-the-dma-addresses-from-a-scatterlist.
- commit 2132948
* Wed Nov  4 2020 pjakobsson@suse.de
- Refresh
  patches.suse/1436-drm-i915-rename-intel_drv.h-to-display-intel_display.patch.
- commit 0281873
* Wed Nov  4 2020 denis.kirjanov@suse.com
- RDMA/iw_cxgb4: Disable delayed ack by default (jsc#SLE-15118).
- commit a82cef8
* Wed Nov  4 2020 jeyu@suse.de
- gpio: Fix the no return statement warning (bsc#1178431).
- commit 0959dc3
* Wed Nov  4 2020 jslaby@suse.cz
- tty: make FONTX ioctl use the tty pointer they were actually
  passed (bsc#1178123 CVE-2020-25668).
- commit fda631f
* Wed Nov  4 2020 nsaenzjulienne@suse.de
- soc: imx: gpcv2: Print the correct error code (jsc#SLE-16106).
- soc: imx-scu: Add SoC UID(unique identifier) support
  (jsc#SLE-16106).
- commit d4b2124
* Wed Nov  4 2020 glin@suse.com
- s390/bpf: Remove JITed image size limitations (bsc#1177028).
- s390/bpf: Use lg(f)rl when long displacement cannot be used
  (bsc#1177028).
- s390/bpf: Use lgrl instead of lg where possible (bsc#1177028).
- s390/bpf: Load literal pool register using larl (bsc#1177028).
- s390/bpf: Align literal pool entries (bsc#1177028).
  Update patches.suse/s390-bpf-maintain-8-byte-stack-alignment to adopt
  the change introduced by
  patches.suse/s390-bpf-Align-literal-pool-entries.patch
- s390/bpf: Use relative long branches (bsc#1177028).
  Refresh patches.suse/s390-bpf-maintain-8-byte-stack-alignment
- s390/bpf: Make sure JIT passes do not increase code size (bsc#1177028).
  Update patches.suse/s390-bpf-maintain-8-byte-stack-alignment to adopt
  the change introduced by
  patches.suse/s390-bpf-Make-sure-JIT-passes-do-not-increase-code-s.patch
- s390/bpf: Remove unused SEEN_RET0, SEEN_REG_AX and ret0_ip
  (bsc#1177028).
- s390/bpf: Wrap JIT macro parameter usages in parentheses
  (bsc#1177028).
- s390/bpf: Use kvcalloc for addrs array (bsc#1177028).
- bpf: s390: add JIT support for bpf line info (bsc#1177028).
- bpf: s390: add JIT support for multi-function programs (bsc#1177028).
  Update patches.suse/s390-bpf-maintain-8-byte-stack-alignment to adopt
  the change introduced by
  patches.suse/bpf-s390-add-JIT-support-for-multi-function-programs.patch
- commit d6ad6b9
* Wed Nov  4 2020 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section:
  patches.suse/powercap-Restrict-energy-meter-to-root-access.patch
- commit a552ff6
* Wed Nov  4 2020 tiwai@suse.de
- Updated Copyright line in rpm templates with SUSE LLC
- commit 39a1fcf
* Wed Nov  4 2020 tiwai@suse.de
- rpm/kernel-obs-build.spec.in: Add -q option to modprobe calls (bsc#1178401)
- commit 33ded45
* Wed Nov  4 2020 mkubecek@suse.cz
- icmp: randomize the global rate limiter (git-fixes).
- commit 3f6a76f
* Wed Nov  4 2020 glin@suse.com
- bpf: sockmap: Check value of unused args to BPF_PROG_ATTACH
  (bsc#1177028).
- bpf: Fix memlock accounting for sock_hash (bsc#1177028).
- bpf: tcp: Recv() should return 0 when the peer socket is closed
  (bsc#1177028).
- bpf/sockmap: Fix kernel panic at __tcp_bpf_recvmsg
  (bsc#1177028).
- bpf, i386: Remove unneeded conversion to bool (bsc#1177028).
- bpf, arm64: Optimize ADD,SUB,JMP BPF_K using arm64 add/sub
  immediates (bsc#1177028).
- bpf, arm64: Optimize AND,OR,XOR,JSET BPF_K using arm64 logical
  immediates (bsc#1177028).
- commit 7ede77e
* Wed Nov  4 2020 neilb@suse.de
- svcrdma: fix bounce buffers for unaligned offsets and multiple
  pages (git-fixes).
- commit 3c46e04
* Wed Nov  4 2020 neilb@suse.de
- NFSv4: Wait for stateid updates after CLOSE/OPEN_DOWNGRADE
  (bsc#1176180).
- NFSv4.x recover from pre-mature loss of openstateid
  (bsc#1176180).
- NFSv4: Handle NFS4ERR_OLD_STATEID in CLOSE/OPEN_DOWNGRADE
  (bsc#1176180).
- commit ae88090
* Wed Nov  4 2020 neilb@suse.de
- blacklist.conf:
- Delete
  patches.suse/SUNRPC-Revert-241b1f419f0e-SUNRPC-Remove-xdr_buf_tri.patch.
  This patch causes a regression - bsc1178304 - and "fixing" it properly
  requires backporting patches which break kabi.  So just drop for now.
- commit 548f6fe
* Tue Nov  3 2020 tiwai@suse.de
- rpm/kernel-binary.spec.in: Fix compressed module handling for in-tree KMP (jsc#SLE-10886)
  The in-tree KMP that is built with SLE kernels have a different scriptlet
  that is embedded in kernel-binary.spec.in rather than *.sh files.
- commit e32ee2c
* Tue Nov  3 2020 lduncan@suse.com
- scsi: iscsi: Perform connection failure entirely in kernel space
  (bsc#1178367).
- commit b913745
* Tue Nov  3 2020 jeyu@suse.de
- Revert "Disable module compression on SLE15 SP2 (bsc#1178307)"
  This reverts commit 6e769e1ed1932517b87eb1bccf15337a3b5f841f.
  While module compression is disabled on SLE15-SP2, it will remain
  enabled on SLE15-SP3. Therefore, revert this commit coming from
  SLE15-SP2.
- commit 6671e44
* Tue Nov  3 2020 yousaf.kaukab@suse.com
- serial: cpm_uart: call cpm_muram_init before registering console
  (jsc#SLE-12251).
- commit 1f45790
* Tue Nov  3 2020 pjakobsson@suse.de
- drm/amd/display: Make some functions static (bsc#1152489).
- blacklist.conf: Was blacklisted as duplicate but dup did not exist
- commit 850c070
* Tue Nov  3 2020 yousaf.kaukab@suse.com
- soc: fsl: qe: clean up an indentation issue (jsc#SLE-12251).
- soc: fsl: qe: Replace one-element array and use struct_size()
  helper (jsc#SLE-12251).
- soc: fsl: qe: fix sparse warnings for ucc_slow.c
  (jsc#SLE-12251).
- soc: fsl: qe: ucc_slow: remove 0 assignment for kzalloc'ed
  structure (jsc#SLE-12251).
- soc: fsl: qe: fix sparse warnings for qe_ic.c (jsc#SLE-12251).
- soc: fsl: qe: fix sparse warnings for ucc.c (jsc#SLE-12251).
- soc: fsl: qe: fix sparse warning for qe_common.c
  (jsc#SLE-12251).
- soc: fsl: qe: fix sparse warnings for qe.c (jsc#SLE-12251).
- soc: fsl: qe: remove set but not used variable 'mm_gc'
  (jsc#SLE-12251).
- soc: fsl: qe: remove PPC32 dependency from CONFIG_QUICC_ENGINE
  (jsc#SLE-12251).
- soc: fsl: qe: remove unused #include of asm/irq.h from ucc.c
  (jsc#SLE-12251).
- net: ethernet: freescale: make UCC_GETH explicitly depend on
  PPC32 (jsc#SLE-12251).
- net/wan/fsl_ucc_hdlc: reject muram offsets above 64K
  (jsc#SLE-12251).
- net/wan/fsl_ucc_hdlc: fix reading of __be16 registers
  (jsc#SLE-12251).
- net/wan/fsl_ucc_hdlc: avoid use of IS_ERR_VALUE()
  (jsc#SLE-12251).
- soc: fsl: qe: avoid IS_ERR_VALUE in ucc_fast.c (jsc#SLE-12251).
- soc: fsl: qe: drop pointless check in qe_sdma_init()
  (jsc#SLE-12251).
- soc: fsl: qe: drop use of IS_ERR_VALUE in qe_sdma_init()
  (jsc#SLE-12251).
- soc: fsl: qe: avoid IS_ERR_VALUE in ucc_slow.c (jsc#SLE-12251).
- soc: fsl: qe: refactor cpm_muram_alloc_common to prevent BUG
  on error path (jsc#SLE-12251).
- soc: fsl: qe: drop broken lazy call of cpm_muram_init()
  (jsc#SLE-12251).
- soc: fsl: qe: make cpm_muram_free() ignore a negative offset
  (jsc#SLE-12251).
- soc: fsl: qe: make cpm_muram_free() return void (jsc#SLE-12251).
- soc: fsl: qe: change return type of cpm_muram_alloc() to s32
  (jsc#SLE-12251).
- serial: ucc_uart: access __be32 field using be32_to_cpu
  (jsc#SLE-12251).
- serial: ucc_uart: limit brg-frequency workaround to PPC32
  (jsc#SLE-12251).
- serial: ucc_uart: use of_property_read_u32() in ucc_uart_probe()
  (jsc#SLE-12251).
- serial: ucc_uart: stub out soft_uart_init for !CONFIG_PPC32
  (jsc#SLE-12251).
- serial: ucc_uart: factor out soft_uart initialization
  (jsc#SLE-12251).
- serial: ucc_uart: replace ppc-specific IO accessors
  (jsc#SLE-12251).
- serial: ucc_uart: explicitly include soc/fsl/cpm.h
  (jsc#SLE-12251).
- soc/fsl/qe/qe.h: update include path for cpm.h (jsc#SLE-12251).
- soc: fsl: move cpm.h from powerpc/include/asm to include/soc/fsl
  (jsc#SLE-12251).
- soc: fsl: qe: qe_io.c: use of_property_read_u32() in
  par_io_init() (jsc#SLE-12251).
- soc: fsl: qe: qe_io.c: access device tree property using
  be32_to_cpu (jsc#SLE-12251).
- soc: fsl: qe: qe_io.c: don't open-code of_parse_phandle()
  (jsc#SLE-12251).
- soc: fsl: qe: qe.c: use of_property_read_* helpers
  (jsc#SLE-12251).
- soc: fsl: qe: merge qe_ic.h headers into qe_ic.c
  (jsc#SLE-12251).
- soc: fsl: qe: simplify qe_ic_init() (jsc#SLE-12251).
- soc: fsl: qe: make qe_ic_get_{low,high}_irq static
  (jsc#SLE-12251).
- soc: fsl: qe: don't use NO_IRQ in qe_ic.c (jsc#SLE-12251).
- soc: fsl: qe: remove unused qe_ic_set_* functions
  (jsc#SLE-12251).
- soc: fsl: qe: rename qe_ic_cascade_low_mpic -> qe_ic_cascade_low
  (jsc#SLE-12251).
- soc: fsl: qe: move qe_ic_cascade_* functions to qe_ic.c
  (jsc#SLE-12251).
- powerpc/83xx: remove mpc83xx_ipic_and_qe_init_IRQ
  (jsc#SLE-12251).
- soc: fsl: qe: move calls of qe_ic_init out of arch/powerpc/
  (jsc#SLE-12251).
- soc: fsl: qe: use qe_ic_cascade_{low, high}_mpic also on 83xx
  (jsc#SLE-12251).
- soc: fsl: qe: remove pointless sysfs registration in qe_ic.c
  (jsc#SLE-12251).
- soc: fsl: qe: drop assign-only high_active in qe_ic_init
  (jsc#SLE-12251).
- soc: fsl: qe: drop unneeded #includes (jsc#SLE-12251).
- soc: fsl: qe: qe.c: guard use of pvr_version_is() with
  CONFIG_PPC32 (jsc#SLE-12251).
- soc: fsl: qe: replace spin_event_timeout by
  readx_poll_timeout_atomic (jsc#SLE-12251).
- soc: fsl: qe: avoid ppc-specific io accessors (jsc#SLE-12251).
- soc: fsl: qe: introduce qe_io{read,write}* wrappers
  (jsc#SLE-12251).
- soc: fsl: qe: rename qe_(clr/set/clrset)bit* helpers
  (jsc#SLE-12251).
- soc: fsl: qe: drop volatile qualifier of struct qe_ic::regs
  (jsc#SLE-12251).
- soc: fsl: qe: remove space-before-tab (jsc#SLE-12251).
- serial: ucc_uart: remove redundant assignment to pointer bdp
  (jsc#SLE-12251).
- irqchip: Add support for Layerscape external interrupt lines
  (jsc#SLE-12251).
- powerpc/85xx: remove mostly pointless mpc85xx_qe_init()
  (jsc#SLE-12251).
- soc: fsl: qe: fold qe_get_num_of_snums into qe_snums_init
  (jsc#SLE-12251).
- soc: fsl: qe: support fsl,qe-snums property (jsc#SLE-12251).
- soc: fsl: qe: introduce qe_get_device_node helper
  (jsc#SLE-12251).
- soc: fsl: qe: reduce static memory footprint by 1.7K
  (jsc#SLE-12251).
- soc: fsl: qe: drop useless static qualifier (jsc#SLE-12251).
- commit f624471
* Tue Nov  3 2020 nborisov@suse.com
- btrfs: Account for merged patches upstream
  Move below patches to sorted section.
- Refresh patches.suse/btrfs-account-for-trans_block_rsv-in-may_commit_transaction.patch.
- Refresh atches.suse/btrfs-allow-us-to-use-up-to-90-of-the-global-rsv-for-unlink.patch.
- Refresh patches.suse/btrfs-force-chunk-allocation-if-our-global-rsv-is-larger-than-metadata.patch.
- Refresh patches.suse/btrfs-improve-global-reserve-stealing-logic.patch.
- Refresh patches.suse/btrfs-only-check-priority-tickets-for-priority-flushing.patch.
- Refresh patches.suse/btrfs-run-btrfs_try_granting_tickets-if-a-priority-ticket-fails.patch.
  Also add 3 new patches to follow upstream as much as possible, one of
  them is a git-fixes requirements the others are prerequisites for it:
  - patches.suse/btrfs-account-ticket-size-at-add-delete-time.patch
  - patches.suse/btrfs-fix-reclaim-counter-leak-of-space_info-objects.patch
  - patches.suse/btrfs-fix-reclaim_size-counter-leak-after-stealing-from-global-reserve.patch
- commit b193add
* Tue Nov  3 2020 fdmanana@suse.com
- btrfs: fix filesystem corruption after a device replace
  (bsc#1178395).
- commit ece2bc8
* Tue Nov  3 2020 fdmanana@suse.com
- btrfs: move btrfs_rm_dev_replace_free_srcdev outside of all
  locks (bsc#1178395).
- commit 9f5adb5
* Tue Nov  3 2020 fdmanana@suse.com
- btrfs: move btrfs_scratch_superblocks into
  btrfs_dev_replace_finishing (bsc#1178395).
- commit 8818530
* Tue Nov  3 2020 jslaby@suse.cz
- vt: keyboard, extend func_buf_lock to readers (bnc#1177766
  CVE-2020-25656).
- vt: keyboard, simplify vt_kdgkbsent (bnc#1177766
  CVE-2020-25656).
- commit d1af3a9
* Tue Nov  3 2020 denis.kirjanov@suse.com
- intel-ethernet: clean up W=1 warnings in kdoc (jsc#SLE-15373).
- commit 6a6b2da
* Tue Nov  3 2020 tiwai@suse.de
- Disable ipa-clones dump for KMP builds (bsc#1178330)
  The feature is not really useful for KMP, and rather confusing,
  so let's disable it at building out-of-tree codes
- commit ba5c338
* Tue Nov  3 2020 dbueso@suse.de
- time: Prevent undefined behaviour in timespec64_to_ns()
  (bsc#1164648).
- futex: Fix incorrect should_fail_futex() handling (bsc#1149032).
- futex: Adjust absolute futex timeouts with per time namespace
  offset (bsc#1164648).
- futex: Remove unused or redundant includes (bsc#1149032).
- futex: Consistently use fshared as boolean (bsc#1149032).
- futex: Remove put_futex_key() (bsc#1149032).
- commit a86c28d
* Mon Nov  2 2020 lduncan@suse.com
- scsi: core: Allow the state change from SDEV_QUIESCE to
  SDEV_BLOCK (jsc#SLE-15152).
- commit 687635a
* Mon Nov  2 2020 msuchanek@suse.de
- x86/efi: remove unused variables (jsc#SLE-15857 jsc#SLE-13618).
- commit 674c1a9
* Mon Nov  2 2020 msuchanek@suse.de
- Update config files.
  +CONFIG_LOAD_PPC_KEYS=y
- commit caba9b6
* Mon Nov  2 2020 msuchanek@suse.de
- powerpc: Load firmware trusted keys/hashes into kernel keyring
  (jsc#SLE-15857 jsc#SLE-13618).
- x86/efi: move common keyring handler functions to new file
  (jsc#SLE-15857 jsc#SLE-13618).
- commit 060cd29
* Mon Nov  2 2020 jlee@suse.com
- ACPI: fan: Expose fan performance state information
  (jsc#SLE-13078).
- commit 1c52bce
* Mon Nov  2 2020 msuchanek@suse.de
- Align secure boot configs (jsc#SLE-15857 jsc#SLE-13618 bsc#1176918 ltc#186474).
  ppc64le:
  +CONFIG_INTEGRITY_PLATFORM_KEYRING=y
  +CONFIG_IMA_APPRAISE_BOOTPARAM=y
  +CONFIG_SYSTEM_BLACKLIST_KEYRING=y
  +CONFIG_SYSTEM_BLACKLIST_HASH_LIST=""
  s390x:
  +CONFIG_INTEGRITY_PLATFORM_KEYRING=y
  +CONFIG_LOAD_IPL_KEYS=y
  +CONFIG_SYSTEM_BLACKLIST_KEYRING=y
  +CONFIG_SYSTEM_BLACKLIST_HASH_LIST=""
- commit 7b5f1e7
* Mon Nov  2 2020 msuchanek@suse.de
- ima: move APPRAISE_BOOTPARAM dependency on ARCH_POLICY to
  runtime (jsc#SLE-15857 jsc#SLE-13618 bsc#1176918 ltc#186474).
- ima: use struct_size() in kzalloc() (jsc#SLE-15857 jsc#SLE-13618
  bsc#1176918 ltc#186474).
- commit e301a0a
* Mon Nov  2 2020 ohering@suse.de
- kbuild: enforce -Werror=return-type (bsc#1177281).
- commit 1efe79d
* Mon Nov  2 2020 mbrugger@suse.com
- blacklist.conf: ignore LLVM toolchain fix
- commit e9af9fb
* Mon Nov  2 2020 ptesarik@suse.cz
- s390/dasd: Fix zero write for FBA devices (bsc#1177801
  LTC#188735).
- s390/cio: add cond_resched() in the slow_eval_known_fn() loop
  (bsc#1177799 LTC#188733).
- commit 8d8c67c
* Mon Nov  2 2020 mkubecek@suse.cz
- update patch metadata
- update Patch-mainline:
  patches.suse/ibmveth-Fix-use-of-ibmveth-in-a-bridge.patch
- commit 32664f1
* Mon Nov  2 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/scsi-ibmvscsi-Fix-potential-race-after-loss-of-trans.patch
- commit a1665a9
* Mon Nov  2 2020 glin@suse.com
- Update patches.suse/bpf-Fix-scalar32_min_max_or-bounds-tracking.patch
  Add the bug references: bsc#1177889 and CVE-2020-27194.
- commit 948c903
* Sat Oct 31 2020 lduncan@suse.com
- scsi: aacraid: Add a missing iounmap call (jsc#SLE-15152).
- scsi: aacraid: Make some symbols static in aachba.c
  (jsc#SLE-15152).
- scsi: aacraid: Remove erroneous fallthrough annotation
  (jsc#SLE-15152).
- scsi: aacraid: Remove pci-dma-compat wrapper API
  (jsc#SLE-15152).
- scsi: core: Add missing scsi_device_put() in scsi_host_block()
  (jsc#SLE-15152).
- scsi: aacraid: Fix logical bug when !DBG (jsc#SLE-15152).
- scsi: aacraid: Provide suggested curly braces around empty
  body of if() (jsc#SLE-15152).
- scsi: aacraid: Fix an oops in error handling (jsc#SLE-15152).
- scsi: aacraid: Use memdup_user() as a cleanup (jsc#SLE-15152).
- scsi: aacraid: Make some symbols static (jsc#SLE-15152).
- scsi: core: Remove 'list' entry from struct scsi_cmnd
  (jsc#SLE-15152).
- scsi: aacraid: Fix error handling paths in aac_probe_one()
  (jsc#SLE-15152).
- scsi: core: Avoid calling synchronize_rcu() for each device
  in scsi_host_block() (jsc#SLE-15152).
- scsi: aacraid: do not overwrite retval in aac_reset_adapter()
  (jsc#SLE-15152).
- scsi: aacraid: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-15152).
- scsi: aacraid: clean up warning cast-function-type
  (jsc#SLE-15152).
- scsi: aacraid: Disabling TM path and only processing IOP reset
  (jsc#SLE-15152).
- scsi: core: Remove cmd_list functionality (jsc#SLE-15152).
- scsi: aacraid: use scsi_host_busy_iter() in
  get_num_of_incomplete_fibs() (jsc#SLE-15152).
- scsi: aacraid: use scsi_host_busy_iter() to wait for outstanding
  commands (jsc#SLE-15152).
- scsi: core: add scsi_host_busy_iter() (jsc#SLE-15152).
- scsi: aacraid: use scsi_host_(block,unblock) to block I/O
  (jsc#SLE-15152).
- scsi: core: add scsi_host_(block,unblock) helper function
  (jsc#SLE-15152).
- scsi: aacraid: move scsi_(block,unblock)_requests out of
  _aac_reset_adapter() (jsc#SLE-15152).
- scsi: aacraid: replace aac_flush_ios() with midlayer helper
  (jsc#SLE-15152).
- scsi: aacraid: use scsi_host_complete_all_commands() to
  terminate outstanding commands (jsc#SLE-15152).
- scsi: aacraid: Do not wait for outstanding write commands on
  synchronize_cache (jsc#SLE-15152).
- scsi: dpt_i2o: use scsi_host_complete_all_commands() to abort
  outstanding commands (jsc#SLE-15152).
- scsi: core: add scsi_host_complete_all_commands() helper
  (jsc#SLE-15152).
- scsi: aacraid: bump version (jsc#SLE-15152).
- scsi: aacraid: send AIF request post IOP RESET (jsc#SLE-15152).
- scsi: aacraid: check adapter health (jsc#SLE-15152).
- scsi: aacraid: setting different timeout for src and thor
  (jsc#SLE-15152).
- scsi: aacraid: fixed firmware assert issue (jsc#SLE-15152).
- scsi: aacraid: fixed IO reporting error (jsc#SLE-15152).
- scsi: aacraid: fix illegal IO beyond last LBA (jsc#SLE-15152).
- commit f6c27f0
* Sat Oct 31 2020 denis.kirjanov@suse.com
- Update
  patches.suse/0001-net-Take-common-prefetch-code-structure-into-a-funct.patch
  (jsc#SLE-13536).
- Update
  patches.suse/0001-net-aquantia-PTP-skeleton-declarations-and-callbacks.patch
  (jsc#SLE-15148).
- Update patches.suse/0002-igb-add-XDP-support.patch
  (jsc#SLE-13536).
- Update
  patches.suse/0002-net-aquantia-unify-styling-of-bit-enums.patch
  (jsc#SLE-15148).
- Update patches.suse/0003-igb-read-PBA-number-from-flash.patch
  (jsc#SLE-13536).
- Update
  patches.suse/0003-net-aquantia-add-basic-ptp_clock-callbacks.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0004-net-aquantia-add-PTP-rings-infrastructure.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0004-net-intel-Remove-in_interrupt-warnings.patch
  (jsc#SLE-13536).
- Update
  patches.suse/0005-net-aquantia-styling-fixes-on-ptp-related-functions.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0006-net-aquantia-implement-data-PTP-datapath.patch
  (jsc#SLE-15148).
- Update patches.suse/0007-net-aquantia-rx-filters-for-ptp.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0008-net-aquantia-add-support-for-ptp-ioctls.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0009-net-aquantia-implement-get_ts_info-ethtool.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0010-net-aquantia-add-support-for-Phy-access.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0011-net-aquantia-add-support-for-PIN-funcs.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0012-net-aquantia-fix-var-initialization-warning.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0013-net-aquantia-fix-warnings-on-endianness.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0014-net-aquantia-disable-ptp-object-build-if-no-config.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0015-net-aquantia-fix-spelling-mistake-tx_queus-tx_queues.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0016-net-aquantia-fix-unintention-integer-overflow-on-lef.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0017-net-aquantia-make-two-symbols-be-static.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0018-net-aquantia-remove-unused-including-linux-version.h.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0019-net-aquantia-fix-error-handling-in-aq_ptp_poll.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0020-net-aquantia-fix-return-value-check-in-aq_ptp_init.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0021-net-atlantic-update-firmware-interface.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0022-net-atlantic-implement-wake_phy-feature.patch
  (jsc#SLE-15148).
- Update patches.suse/0023-net-atlantic-refactoring-pm-logic.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0024-net-atlantic-add-msglevel-configuration.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0025-net-atlantic-adding-ethtool-physical-identification.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0026-net-atlantic-add-fw-configuration-memory-area.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0027-net-atlantic-loopback-tests-via-private-flags.patch
  (jsc#SLE-15148).
- Update patches.suse/0028-net-atlantic-code-style-cleanup.patch
  (jsc#SLE-15148).
- Update patches.suse/0029-net-atlantic-stylistic-renames.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0030-net-atlantic-update-flow-control-logic.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0031-net-atlantic-implement-UDP-GSO-offload.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0032-net-atlantic-change-email-domains-to-Marvell.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0033-net-atlantic-make-symbol-aq_pm_ops-static.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0034-net-atlantic-make-function-aq_ethtool_get_priv_flags.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0035-net-atlantic-Signedness-bug-in-aq_vec_isr_legacy.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0036-net-atlantic-broken-link-status-on-old-fw.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0037-net-atlantic-loopback-configuration-in-improper-plac.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0038-net-atlantic-remove-duplicate-entries.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0039-net-atlantic-checksum-compat-issue.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0040-net-atlantic-check-rpc-result-and-wait-for-rpc-addre.patch
  (jsc#SLE-15148).
- Update patches.suse/0041-net-atlantic-ptp-gpio-adjustments.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0042-net-atlantic-better-loopback-mode-handling.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0043-net-atlantic-fix-use-after-free-kasan-warn.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0044-net-atlantic-fix-potential-error-handling.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0045-net-atlantic-possible-fault-in-transition-to-hiberna.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0046-net-atlantic-fix-out-of-range-usage-of-active_vlans-.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0047-net-aquantia-Delete-module-version.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0048-net-aquantia-reject-all-unsupported-coalescing-param.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0049-aquantia-Fix-the-media-type-of-AQC100-ethernet-contr.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0050-net-atlantic-update-company-name-in-the-driver-descr.patch
  (jsc#SLE-15148).
- Update patches.suse/0051-net-atlantic-add-A2-device-IDs.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0052-net-atlantic-add-defines-for-10M-and-EEE-100M-link-m.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0053-net-atlantic-add-hw_soft_reset-hw_prepare-to-hw_ops.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0054-net-atlantic-simplify-hw_get_fw_version-usage.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0055-net-atlantic-make-hw_get_regs-optional.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0056-net-atlantic-move-IS_CHIP_FEATURE-to-aq_hw.h.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0057-net-atlantic-A2-driver-firmware-interface.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0058-net-atlantic-minimal-A2-HW-bindings-required-for-fw_.patch
  (jsc#SLE-15148).
- Update patches.suse/0059-net-atlantic-minimal-A2-fw_ops.patch
  (jsc#SLE-15148).
- Update patches.suse/0060-net-atlantic-A2-hw_ops-skeleton.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0061-net-atlantic-HW-bindings-for-A2-RFP.patch
  (jsc#SLE-15148).
- Update patches.suse/0062-net-atlantic-add-A2-RPF-hw_ops.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0063-net-atlantic-HW-bindings-for-basic-A2-init-deinit-hw.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0064-net-atlantic-common-functions-needed-for-basic-A2-in.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0065-net-atlantic-basic-A2-init-deinit-hw_ops.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0066-net-atlantic-A2-ingress-egress-hw-configuration.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0067-net-atlantic-rename-AQ_NIC_RATE_2GS-to-AQ_NIC_RATE_2.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0068-net-atlantic-remove-TPO2-check-from-A0-code.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0069-net-atlantic-remove-hw_atl_b0_hw_rss_set-call-from-A.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0070-net-atlantic-remove-check-for-boot-code-survivabilit.patch
  (jsc#SLE-15148).
- Update patches.suse/0071-net-atlantic-unify-MAC-generation.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0072-net-atlantic-changes-for-multi-TC-support.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0073-net-atlantic-move-PTP-TC-initialization-to-a-separat.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0074-net-atlantic-changes-for-multi-TC-support.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0075-net-atlantic-QoS-implementation-multi-TC-support.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0076-net-atlantic-A2-half-duplex-support.patch
  (jsc#SLE-15148).
- Update patches.suse/0077-net-atlantic-remove-baseX-usage.patch
  (jsc#SLE-15148).
- Update patches.suse/0078-net-atlantic-A2-EEE-support.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0079-net-atlantic-A2-flow-control-support.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0080-net-atlantic-A2-report-link-partner-capabilities.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0081-net-atlantic-A2-phy-loopback-support.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0082-net-atlantic-fix-variable-type-in-aq_ethtool_get_pau.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0083-net-atlantic-Replace-ENOTSUPP-usage-to-EOPNOTSUPP.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0084-net-atlantic-make-aq_pci_func_init-static.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0085-net-atlantic-fix-typo-in-aq_ring_tx_clean.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0086-net-atlantic-missing-space-in-a-comment-in-aq_nic.h.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0087-net-atlantic-add-alignment-checks-in-hw_atl2_utils_f.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0088-net-atlantic-put-ptp-code-under-IS_REACHABLE-check.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0089-net-aquantia-fix-aq_ndev_start_xmit-s-return-type.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0090-net-atlantic-fix-ip-dst-and-ipv6-address-filters.patch
  (jsc#SLE-15148).
- Update
  patches.suse/0091-net-atlantic-disable-PTP-on-AQC111-AQC112.patch
  (jsc#SLE-15148).
- Update
  patches.suse/btrfs-enumerate-the-type-of-exclusive-operation-in-progress.patch
  (JSC#SLE-13586).
- Update
  patches.suse/btrfs-sysfs-export-currently-running-exclusive-operation.patch
  (JSC#SLE-13586).
- Update patches.suse/net-atlantic-A0-ntuple-filters.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-QoS-implementation-max_rate.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-QoS-implementation-min_rate.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-Use-readx_poll_timeout-for-large-timeou.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-add-hwmon-getter-for-MAC-temperature.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-add-support-for-64-bit-reads-writes.patch
  (jsc#SLE-15148).
- Update patches.suse/net-atlantic-add-support-for-FW-4.x.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-align-return-value-of-ver_match-functio.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-always-use-random-TC-queue-mapping-for-.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-automatically-downgrade-the-number-of-q.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-change-the-order-of-arguments-for-TC-we.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-enable-ipv6-support-for-TCP-LSO-and-UDP.patch
  (jsc#SLE-15148).
- Update patches.suse/net-atlantic-fix-PTP-on-AQC10X.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-make-TCVEC2RING-accept-nic_cfg.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-move-FRAC_PER_NS-to-aq_hw.h.patch
  (jsc#SLE-15148).
- Update patches.suse/net-atlantic-per-TC-queue-statistics.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-proper-rss_ctrl1-54c0-initialization.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-use-U32_MAX-in-aq_hw_utils.c.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-use-intermediate-variable-to-improve-re.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-atlantic-use-simple-assignment-in-_get_stats-and.patch
  (jsc#SLE-15148).
- Update
  patches.suse/net-ethernet-aquantia-Fix-wrong-return-value.patch
  (jsc#SLE-15148).
  Update patch metadata to point to SLE-Epic
- commit 33bcfbb
* Fri Oct 30 2020 ptesarik@suse.cz
- Delete
  patches.suse/s390-pci-Mark-all-VFs-as-not-implementing-PCI_COMMAN.patch
  (jsc#SLE-13818 bsc#1177117 LTC#186574).
- commit 9329461
* Fri Oct 30 2020 msuchanek@suse.de
- Disable module compression on SLE15 SP2 (bsc#1178307)
- commit 6e769e1
* Fri Oct 30 2020 ptesarik@suse.cz
- s390/pci: fix leak of DMA tables on hard unplug (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: fix PF/VF linking on hot plug (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: re-introduce zpci_remove_device() (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: fix zpci_bus_link_virtfn() (jsc#SLE-13818 bsc#1177117
  LTC#186574).
- s390/pci: ignore stale configuration request event
  (jsc#SLE-13818 bsc#1177117 LTC#186574).
- s390/pci: fix enabling a reserved PCI function (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: create links between PFs and VFs (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- PCI/IOV: Introduce pci_iov_sysfs_link() function (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: removes wrong PCI multifunction assignment
  (jsc#SLE-13818 bsc#1177117 LTC#186574).
- s390/pci: Do not disable PF when VFs exist (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: Handling multifunctions (jsc#SLE-13818 bsc#1177117
  LTC#186574).
- s390/pci: Adding bus resource (jsc#SLE-13818 bsc#1177117
  LTC#186574).
- s390/pci: adapt events for zbus (jsc#SLE-13818 bsc#1177117
  LTC#186574).
- s390/pci: create zPCI bus (jsc#SLE-13818 bsc#1177117
  LTC#186574).
- s390/pci: define RID and RID available (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: define kernel parameters for PCI multifunction
  (jsc#SLE-13818 bsc#1177117 LTC#186574).
- s390/pci: Improve handling of unset UID (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: Fix zpci_alloc_domain() over allocation (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- s390/pci: embedding hotplug_slot in zdev (jsc#SLE-13818
  bsc#1177117 LTC#186574).
- commit a593f0e
* Fri Oct 30 2020 msuchanek@suse.de
- Refresh patches.suse/ibmveth-Fix-use-of-ibmveth-in-a-bridge.patch.
  Update to upstream version.
- commit 69ab55e
* Fri Oct 30 2020 msuchanek@suse.de
- ibmvnic: fix ibmvnic_set_mac (bsc#1066382 ltc#160943 git-fixes).
- commit 4e8525b
* Fri Oct 30 2020 mbrugger@suse.com
- arm64/cpufeature: Add remaining feature bits in ID_AA64ISAR0
  register (jsc#SLE-13697 jsc#SLE-10565).
- commit 2472603
* Fri Oct 30 2020 denis.kirjanov@suse.com
- net: intel: Remove in_interrupt() warnings (jsc#SLE-14166).
- commit 8b50ca7
* Fri Oct 30 2020 denis.kirjanov@suse.com
- igb: read PBA number from flash (jsc#SLE-14166).
- commit dd0798b
* Fri Oct 30 2020 denis.kirjanov@suse.com
- igb: add XDP support (jsc#SLE-14166).
- commit c5d94b1
* Fri Oct 30 2020 denis.kirjanov@suse.com
- net: Take common prefetch code structure into a function
  (jsc#SLE-14166).
- commit 703b714
* Fri Oct 30 2020 denis.kirjanov@suse.com
- net: tg3: tidy up loop, remove need to compute off with a
  multiply (jsc#SLE-14859).
- commit 3f285d7
* Fri Oct 30 2020 denis.kirjanov@suse.com
- net: tg3: reject unsupported coalescing params (jsc#SLE-14859).
- commit 0d525c5
* Fri Oct 30 2020 nsaenzjulienne@suse.de
- clk: bcm: dvp: Select the reset framework (jsc#SLE-15318).
- commit 8ade961
* Fri Oct 30 2020 nsaenzjulienne@suse.de
- drivers: provide devm_platform_get_and_ioremap_resource()
  (jsc#SLE-15318).
- clk: Pass correct arguments to __clk_hw_register_gate()
  (jsc#SLE-15318).
- clk: gate: Add support for specifying parents via DT/pointers
  (jsc#SLE-15318).
- clk: Zero init clk_init_data in helpers (jsc#SLE-15318).
- commit 59c9d80
* Fri Oct 30 2020 nsaenzjulienne@suse.de
- reset: simple: Add reset callback (jsc#SLE-15318).
- reset: Move reset-simple header out of drivers/reset
  (jsc#SLE-15318).
- commit 54b23f0
* Fri Oct 30 2020 mbrugger@suse.com
- tlb: mmu_gather: add tlb_flush_*_range APIs (jsc#SLE-10565).
- commit bc343ad
* Fri Oct 30 2020 mbrugger@suse.com
- arm64: Detect the ARMv8.4 TTL feature (jsc#SLE-10565).
- Refresh
  patches.suse/arm64-tlb-Detect-the-ARMv8.4-TLBI-RANGE-feature.patch.
- Refresh
  patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit ab20cd9
* Fri Oct 30 2020 nsaenzjulienne@suse.de
- clk: bcm: rpi: Add register to control pixel bvb clk
  (jsc#SLE-15318).
- clk: bcm: dvp: Add missing module informations (jsc#SLE-15318).
- clk: bcm: rpi: Remove the quirks for the CPU clock
  (jsc#SLE-15318).
- clk: bcm: rpi: Give firmware clocks a name (jsc#SLE-15318).
- clk: bcm: rpi: Discover the firmware clocks (jsc#SLE-15318).
- clk: bcm: rpi: Add an enum for the firmware clocks
  (jsc#SLE-15318).
- clk: bcm: rpi: Add DT provider for the clocks (jsc#SLE-15318).
- clk: bcm: rpi: Make the PLLB registration function return a
  clk_hw (jsc#SLE-15318).
- clk: bcm: rpi: Split pllb clock hooks (jsc#SLE-15318).
- clk: bcm: rpi: Rename is_prepared function (jsc#SLE-15318).
- clk: bcm: rpi: Pass the clocks data to the firmware function
  (jsc#SLE-15318).
- clk: bcm: rpi: Add clock id to data (jsc#SLE-15318).
- clk: bcm: rpi: Create a data structure for the clocks
  (jsc#SLE-15318).
- clk: bcm: rpi: Use CCF boundaries instead of rolling our own
  (jsc#SLE-15318).
- clk: bcm: rpi: Make sure the clkdev lookup is removed
  (jsc#SLE-15318).
- clk: bcm: rpi: Switch to clk_hw_register_clkdev (jsc#SLE-15318).
- clk: bcm: rpi: Remove pllb_arm_lookup global pointer
  (jsc#SLE-15318).
- clk: bcm: rpi: Make sure pllb_arm is removed (jsc#SLE-15318).
- clk: bcm: rpi: Remove global pllb_arm clock pointer
  (jsc#SLE-15318).
- clk: bcm: rpi: Use clk_hw_register for pllb_arm (jsc#SLE-15318).
- clk: bcm: rpi: Statically init clk_init_data (jsc#SLE-15318).
- clk: bcm: rpi: Allow the driver to be probed by DT
  (jsc#SLE-15318).
- clk: bcm: Add BCM2711 DVP driver (jsc#SLE-15318).
- Update config files
- supported.conf: Add clk-bcm2711-dvp
- commit 3864121
* Fri Oct 30 2020 jslaby@suse.cz
- blacklist.conf: add two more
- commit 4c2096a
* Fri Oct 30 2020 jslaby@suse.cz
- tipc: fix memory leak caused by tipc_buf_append() (git-fixes).
- commit 22daff6
* Fri Oct 30 2020 jslaby@suse.cz
- KVM: x86/mmu: Commit zap of remaining invalid pages when
  recovering lpages (git-fixes).
- net/core: check length before updating Ethertype in
  skb_mpls_{push,pop} (git-fixes).
- bnxt_en: Protect bnxt_set_eee() and bnxt_set_pauseparam()
  with mutex (git-fixes).
- block: Set same_page to false in __bio_try_merge_page if ret
  is false (git-fixes).
- selftests/timers: Turn off timeout setting (git-fixes).
- mm: madvise: fix vma user-after-free (git-fixes).
- commit ba14726
* Fri Oct 30 2020 mbrugger@suse.com
- Update
  patches.suse/arm64-Add-level-hinted-TLB-invalidation-helper.patch
  (jsc#SLE-13697 jsc#SLE-10565).
- Update
  patches.suse/arm64-tlb-Set-the-TTL-field-in-flush_-_tlb_range.patch
  (jsc#SLE-13697 jsc#SLE-10565).
- Update
  patches.suse/arm64-tlb-Set-the-TTL-field-in-flush_tlb_range.patch
  (jsc#SLE-13697 jsc#SLE-10565).
- Update
  patches.suse/arm64-tlb-don-t-set-the-ttl-value-in-flush_tlb_page_.patch
  (jsc#SLE-13697 jsc#SLE-10565).
- commit 45984e7
* Fri Oct 30 2020 tiwai@suse.de
- usb: cdc-acm: add quirk to blacklist ETAS ES58X devices
  (git-fixes).
- usb: gadget: f_ncm: allow using NCM in SuperSpeed Plus gadgets
  (git-fixes).
- usb: gadget: function: printer: fix use-after-free in
  __lock_acquire (git-fixes).
- usb: dwc3: simple: add support for Hikey 970 (git-fixes).
- USB: cdc-wdm: Make wdm_flush() interruptible and add wdm_fsync()
  (git-fixes).
- USB: cdc-acm: handle broken union descriptors (git-fixes).
- usb: ohci: Default to per-port over-current protection
  (git-fixes).
- usb: core: Solve race condition in anchor cleanup functions
  (git-fixes).
- commit 3a141c3
* Fri Oct 30 2020 tiwai@suse.de
- r8169: fix issue with forced threading in combination with
  shared interrupts (git-fixes).
- rtw88: increse the size of rx buffer size (git-fixes).
- rtl8xxxu: prevent potential memory leak (git-fixes).
- tty: serial: fsl_lpuart: fix lpuart32_poll_get_char (git-fixes).
- tty: ipwireless: fix error handling (git-fixes).
- PM: hibernate: remove the bogus call to get_gendisk() in
  software_resume() (git-fixes).
- spi: spi-s3c64xx: Check return values (git-fixes).
- spi: spi-s3c64xx: swap s3c64xx_spi_set_cs() and
  s3c64xx_enable_datapath() (git-fixes).
- net: usb: rtl8150: set random MAC address when
  set_ethernet_addr() fails (git-fixes).
- commit 53b1fbc
* Fri Oct 30 2020 tiwai@suse.de
- mwifiex: don't call del_timer_sync() on uninitialized timer
  (git-fixes).
- mic: vop: copy data to kernel space then write to io memory
  (git-fixes).
- misc: vop: add round_up(x,4) for vring_size to avoid kernel
  panic (git-fixes).
- misc: rtsx: Fix memory leak in rtsx_pci_probe (git-fixes).
- media: firewire: fix memory leak (git-fixes).
- media: ati_remote: sanity check for both endpoints (git-fixes).
- media: st-delta: Fix reference count leak in delta_run_work
  (git-fixes).
- media: sti: Fix reference count leaks (git-fixes).
- mmc: sdio: Check for CISTPL_VERS_1 buffer size (git-fixes).
- net: usb: qmi_wwan: add Cellient MPL200 card (git-fixes).
- commit 9642953
* Fri Oct 30 2020 tiwai@suse.de
- media: exynos4-is: Fix several reference count leaks due to
  pm_runtime_get_sync (git-fixes).
- media: exynos4-is: Fix a reference count leak due to
  pm_runtime_get_sync (git-fixes).
- media: exynos4-is: Fix a reference count leak (git-fixes).
- media: vsp1: Fix runtime PM imbalance on error (git-fixes).
- media: platform: s3c-camif: Fix runtime PM imbalance on error
  (git-fixes).
- media: platform: sti: hva: Fix runtime PM imbalance on error
  (git-fixes).
- media: bdisp: Fix runtime PM imbalance on error (git-fixes).
- media: media/pci: prevent memory leak in bttv_probe (git-fixes).
- media: rcar_drif: Allocate v4l2_async_subdev dynamically
  (git-fixes).
- media: rcar_drif: Fix fwnode reference leak when parsing DT
  (git-fixes).
- commit ff98d93
* Fri Oct 30 2020 tiwai@suse.de
- mailbox: avoid timer start from callback (git-fixes).
- mac80211: handle lack of sband->bitrates in rates (git-fixes).
- HID: ite: Add USB id match for Acer One S1003 keyboard dock
  (git-fixes).
- eeprom: at25: set minimum read/write access stride to 1
  (git-fixes).
- media: i2c: ov5640: Enable data pins on poweron for DVP mode
  (git-fixes).
- media: i2c: ov5640: Separate out mipi configuration from s_power
  (git-fixes).
- media: i2c: ov5640: Remain in power down for DVP mode unless
  streaming (git-fixes).
- media: uvcvideo: Ensure all probed info is returned to v4l2
  (git-fixes).
- media: saa7134: avoid a shift overflow (git-fixes).
- media: venus: core: Fix runtime PM imbalance in venus_probe
  (git-fixes).
- commit 1c003ee
* Fri Oct 30 2020 tiwai@suse.de
- Bluetooth: Only mark socket zapped after unlocking (git-fixes).
- Bluetooth: btusb: Fix memleak in btusb_mtk_submit_wmt_recv_urb
  (git-fixes).
- ath9k: hif_usb: fix race condition between usb_get_urb()
  and usb_kill_anchored_urbs() (git-fixes).
- can: flexcan: flexcan_chip_stop(): add error handling and
  propagate error value (git-fixes).
- brcmsmac: fix memory leak in wlc_phy_attach_lcnphy (git-fixes).
- ath10k: check idx validity in __ath10k_htt_rx_ring_fill_n()
  (git-fixes).
- brcm80211: fix possible memleak in brcmf_proto_msgbuf_attach
  (git-fixes).
- dmaengine: dw: Activate FIFO-mode for memory peripherals only
  (git-fixes).
- crypto: ccp - fix error handling (git-fixes).
- commit faa1609
* Fri Oct 30 2020 tiwai@suse.de
- ahci: Add Intel Rocket Lake PCH-H RAID PCI IDs (jsc#SLE-16742).
- commit 272dae5
* Fri Oct 30 2020 glin@suse.com
- libbpf: Fix build failure from uninitialized variable warning
  (bsc#1177028).
- selftests/bpf: Remove test_align leftovers (bsc#1177028).
- libbpf: Fix BTF-defined map-in-map initialization on 32-bit
  host arches (bsc#1177028).
- commit bd71fe7
* Fri Oct 30 2020 glin@suse.com
- tools, bpftool: Add ringbuf map type to map command docs
  (bsc#1177028).
- commit 2cec4e1
* Fri Oct 30 2020 glin@suse.com
- tools/bpftool: Add ringbuf map to a list of known map types
  (bsc#1177028).
- tools/bpftool: Fix skeleton codegen (bsc#1177028).
- tools, bpftool: Exit on error in function codegen (bsc#1177028).
- tools, bpftool: Fix memory leak in codegen error cases
  (bsc#1177028).
- tools, bpf: Do not force gcc as CC (bsc#1177028).
- tools/bpf: Don't use $(COMPILE.c) (bsc#1177028).
- bpftool: Support link show for netns-attached links
  (bsc#1177028).
- bpftool: Extract helpers for showing link attach type
  (bsc#1177028).
- tools/bpf: sync bpf.h (bsc#1177028).
- tools, bpftool: Print correct error message when failing to
  load BTF (bsc#1177028).
- tools, bpftool: Make capability check account for new BPF caps
  (bsc#1177028).
- tools, bpftool: Clean subcommand help messages (bsc#1177028).
- tools/bpf: sync bpf.h (bsc#1177028).
- bpf, bpftool: Enable get{peer, sock}name attach types
  (bsc#1177028).
- samples, bpf: Refactor kprobe, tail call kern progs map
  definition (bsc#1177028).
- samples, bpf: Add tracex7 test file to .gitignore (bsc#1177028).
- samples, bpf: Refactor tail call user progs with libbpf
  (bsc#1177028).
- samples, bpf: Refactor kprobe tracing user progs with libbpf
  (bsc#1177028).
- samples, bpf: Refactor pointer error check with libbpf
  (bsc#1177028).
- bpf, bpftool: Allow probing for CONFIG_HZ from kernel config
  (bsc#1177028).
- samples/bpf: xdp_redirect_cpu: Set MAX_CPUS according to NR_CPUS (bsc#1177028).
  Update patches.suse/bpf-xdp-samples-Fix-null-pointer-dereference-in-_use.patch
- samples/bpf: Remove compiler warnings (bsc#1177028).
- tools, bpftool: Minor fixes for documentation (bsc#1177028).
- tools, bpftool: Poison and replace kernel integer typedefs
  (bsc#1177028).
- bpf, runqslower: include proper uapi/bpf.h (bsc#1177028).
- commit d2d5b93
* Fri Oct 30 2020 tiwai@suse.de
- dmaengine: idxd: Merge definition of dsa_batch_desc into
  dsa_hw_desc (jsc#SLE-12866).
- commit 7fcf034
* Fri Oct 30 2020 glin@suse.com
- tools/bpftool: Add bpf_iter support for bptool (bsc#1177028).
- tools: bpftool: Make libcap dependency optional (bsc#1177028).
- tools: bpftool: Allow unprivileged users to probe features
  (bsc#1177028).
- tools: bpftool: For "feature probe" define "full_mode" bool
  as global (bsc#1177028).
- bpftool: Add link bash completions (bsc#1177028).
- bpftool: Add bpftool-link manpage (bsc#1177028).
- bpftool: Add bpf_link show and pin support (bsc#1177028).
- bpftool: Expose attach_type-to-string array to non-cgroup code
  (bsc#1177028).
- tools/bpf/bpftool: Remove duplicate headers (bsc#1177028).
- commit 3fdccaf
* Fri Oct 30 2020 glin@suse.com
- bpf: Fix too large copy from user in bpf_test_init
  (bsc#1177028).
- bpf: Add xdp.frame_sz in bpf_prog_test_run_xdp() (bsc#1177028).
- commit 3a2d58c
* Fri Oct 30 2020 glin@suse.com
- selftests/bpf: Extend map-in-map selftest to detect memory leaks
  (bsc#1177028).
- libbpf: Fix libbpf hashmap on (I)LP32 architectures
  (bsc#1177028).
- bpf: Add tests for PTR_TO_BTF_ID vs. null comparison
  (bsc#1177028).
- selftests: bpf: Pass program to bpf_prog_detach in
  flow_dissector (bsc#1177028).
- selftests: bpf: Pass program and target_fd in
  flow_dissector_reattach (bsc#1177028).
- selftests/bpf: Test updating flow_dissector link with same
  program (bsc#1177028).
- bpf, sockmap: Add ingres skb tests that utilize merge skbs
  (bsc#1177028).
- libbpf: Adjust SEC short cut for expected attach type
  BPF_XDP_DEVMAP (bsc#1177028).
- libbpf: Fix CO-RE relocs against .text section (bsc#1177028).
- libbpf: Forward-declare bpf_stats_type for systems with outdated
  UAPI headers (bsc#1177028).
- selftests/bpf: Add cgroup_skb/egress test for
  load_bytes_relative (bsc#1177028).
- libbpf: Handle GCC noreturn-turned-volatile quirk (bsc#1177028).
- libbpf: Define __WORDSIZE if not available (bsc#1177028).
- bpf: Selftests and tools use struct bpf_devmap_val from uapi
  (bsc#1177028).
- selftests/bpf: Fix ringbuf selftest sample counting
  undeterminism (bsc#1177028).
- selftests/bpf: Add a default $(CXX) value (bsc#1177028).
- bpf, selftests: Use bpf_probe_read_kernel (bsc#1177028).
- selftests/bpf: Fix sample_cnt shared between two threads
  (bsc#1177028).
- bpf, selftests: Adapt cls_redirect to call csum_level helper
  (bsc#1177028).
- selftests/bpf: Extend test_flow_dissector to cover link creation
  (bsc#1177028).
- selftests/bpf: Convert test_flow_dissector to use BPF skeleton
  (bsc#1177028).
- selftests/bpf: Add tests for attaching bpf_link to netns
  (bsc#1177028).
- libbpf: Add support for bpf_link-based netns attachment
  (bsc#1177028).
- libbpf: Add _GNU_SOURCE for reallocarray to ringbuf.c
  (bsc#1177028).
- selftests/bpf: Add test for SO_BINDTODEVICE opt of
  bpf_setsockopt (bsc#1177028).
- bpf, selftests: Add test for ktls with skb bpf ingress policy
  (bsc#1177028).
- selftest: Add tests for XDP programs in devmap entries
  (bsc#1177028).
- libbpf: Add SEC name for xdp programs attached to device map
  (bsc#1177028).
- selftests/bpf: Add BPF ringbuf selftests (bsc#1177028).
- libbpf: Add BPF ring buffer support (bsc#1177028).
- selftests/bpf: Add tests for write-only stacks/queues
  (bsc#1177028).
- selftests/bpf: Cleanup comments in test_maps (bsc#1177028).
- selftests/bpf: Cleanup some file descriptors in test_maps
  (bsc#1177028).
- selftests/bpf: Fix a typo in test_maps (bsc#1177028).
- bpf, selftests: Test probe_* helpers from SCHED_CLS
  (bsc#1177028).
- bpf, selftests: Add sk_msg helpers load and attach test
  (bsc#1177028).
- libbpf: Use .so dynamic symbols for abi check (bsc#1177028).
- libbpf: Install headers as part of make install (bsc#1177028).
- libbpf: Add API to consume the perf ring buffer content
  (bsc#1177028).
- selftests/bpf: Add general instructions for test execution
  (bsc#1177028).
- bpf: Selftests, add printk to test_sk_lookup_kern to encode
  null ptr check (bsc#1177028).
- bpf: Selftests, verifier case for non null pointer map value
  branch (bsc#1177028).
- bpf: Selftests, verifier case for non null pointer check branch
  taken (bsc#1177028).
- selftests/bpf: Convert bpf_iter_test_kern{3, 4}.c to define
  own bpf_iter_meta (bsc#1177028).
- selftest/bpf: Make bpf_iter selftest compilable against old
  vmlinux.h (bsc#1177028).
- bpf, testing: Add get{peer, sock}name selftests to test_progs
  (bsc#1177028).
- bpf, libbpf: Enable get{peer, sock}name attach types
  (bsc#1177028).
- bpf: Selftests, add ktls tests to test_sockmap (bsc#1177028).
- bpf: Selftests, add blacklist to test_sockmap (bsc#1177028).
- bpf: Selftests, add whitelist option to test_sockmap
  (bsc#1177028).
- bpf: Selftests, provide verbose option for selftests execution
  (bsc#1177028).
- bpf: Selftests, break down test_sockmap into subtests
  (bsc#1177028).
- bpf: Selftests, improve test_sockmap total bytes counter
  (bsc#1177028).
- bpf: Selftests, print error in test_sockmap error cases
  (bsc#1177028).
- bpf: Selftests, sockmap test prog run without setting cgroup
  (bsc#1177028).
- bpf: Selftests, remove prints from sockmap tests (bsc#1177028).
- bpf: Selftests, move sockmap bpf prog header into progs
  (bsc#1177028).
- selftests/bpf: Move test_align under test_progs (bsc#1177028).
- libbpf, hashmap: Fix signedness warnings (bsc#1177028).
- libbpf, hashmap: Remove unused #include (bsc#1177028).
- selftests/bpf: Use CAP_BPF and CAP_PERFMON in tests
  (bsc#1177028).
- selftests/bpf: Xdp_adjust_tail add grow tail tests
  (bsc#1177028).
- selftests/bpf: Adjust BPF selftest for xdp_adjust_tail
  (bsc#1177028).
- selftests/bpf: Test for sk helpers in cgroup skb (bsc#1177028).
- selftests/bpf: Add connect_fd_to_fd, connect_wait net helpers
  (bsc#1177028).
- selftest/bpf: Fix spelling mistake "SIGALARM" -> "SIGALRM"
  (bsc#1177028).
- selftests/bpf: Test narrow loads for bpf_sock_addr.user_port
  (bsc#1177028).
- bpf: Change btf_iter func proto prefix to "bpf_iter_"
  (bsc#1177028).
- tools/bpf: selftests : Explain bpf_iter test failures with
  llvm 10.0.0 (bsc#1177028).
- selftests/bpf: Extract parse_num_list into generic
  testing_helpers.c (bsc#1177028).
- libbpf: Fix probe code to return EPERM if encountered
  (bsc#1177028).
- tools/bpf: selftests: Add bpf_iter selftests (bsc#1177028).
- tools/bpf: selftests: Add iter progs for bpf_map/task/task_file
  (bsc#1177028).
- tools/bpf: selftests: Add iterator programs for ipv6_route
  and netlink (bsc#1177028).
- tools/libpf: Add offsetof/container_of macro in bpf_helpers.h
  (bsc#1177028).
- tools/libbpf: Add bpf_iter support (bsc#1177028).
- selftests/bpf: Move existing common networking parts into
  network_helpers (bsc#1177028).
- selftests/bpf: Generalize helpers to control background listener
  (bsc#1177028).
- bpf: Add selftest for BPF_ENABLE_STATS (bsc#1177028).
- libbpf: Add support for command BPF_ENABLE_STATS (bsc#1177028).
- selftests/bpf: Test allowed maps for bpf_sk_select_reuseport
  (bsc#1177028).
- libbpf: Fix false uninitialized variable warning (bsc#1177028).
- selftests/bpf: Test that lookup on SOCKMAP/SOCKHASH is allowed
  (bsc#1177028).
- selftests/bpf: Disable ASAN instrumentation for mmap()'ed
  memory read (bsc#1177028).
- libbpf: Fix memory leak and possible double-free in
  hashmap__clear (bsc#1177028).
- selftests/bpf: Convert test_hashmap into test_progs test
  (bsc#1177028).
- selftests/bpf: Add SAN_CFLAGS param to selftests build to
  allow sanitizers (bsc#1177028).
- libbpf: Add BTF-defined map-in-map support (bsc#1177028).
- libbpf: Refactor map creation logic and fix cleanup leak
  (bsc#1177028).
- libbpf: Refactor BTF-defined map definition parsing logic
  (bsc#1177028).
- selftests/bpf: Test bpf_link's get_next_id, get_fd_by_id,
  and get_obj_info (bsc#1177028).
- libbpf: Add low-level APIs for new bpf_link commands
  (bsc#1177028).
- selftests/bpf: fix test_sysctl_prog with alu32 (bsc#1177028).
- libbpf: Remove unneeded semicolon in btf_dump_emit_type
  (bsc#1177028).
- libbpf: Return err if bpf_object__load failed (bsc#1177028).
- selftests/bpf: Add cls_redirect classifier (bsc#1177028).
- commit db2bf96
* Fri Oct 30 2020 glin@suse.com
- bpf_helpers.h: Add note for building with vmlinux.h or
  linux/types.h (bsc#1177028).
- commit 7f826c8
* Fri Oct 30 2020 mkubecek@suse.cz
- dm/dax: Fix table reference counts (bsc#1178246).
- commit 89a1d25
* Thu Oct 29 2020 oneukum@suse.com
- Documentation: fpga: dfl: add descriptions for interrupt
  related interfaces (jsc#SLE-13441).
- fpga: dfl: afu: add AFU interrupt support (jsc#SLE-13441).
- commit aa24f54
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: afu: add interrupt support for port error reporting
  (jsc#SLE-13441).
- commit 80189bc
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: fme: add performance reporting support
  (jsc#SLE-13441).
- Refresh
  patches.suse/fpga-dfl-afu-support-debug-access-to-memory-mapped-a.patch.
- Refresh
  patches.suse/fpga-dfl-parse-interrupt-info-for-feature-devices-on.patch.
- Refresh
  patches.suse/fpga-dfl-support-multiple-opens-on-feature-device-no.patch.
- commit ac35437
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: fme: remove set but not used variable 'fme'
  (jsc#SLE-13441).
- commit b2e5b38
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: Use readx_poll_timeout() for large timeout
  (jsc#SLE-16008).
- commit 61ad5ca
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: ethernet: aquantia: Fix wrong return value (jsc#SLE-16008).
- commit a9a6a7c
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: fix PTP on AQC10X (jsc#SLE-16008).
- commit 695ed80
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: add hwmon getter for MAC temperature
  (jsc#SLE-16008).
- commit 21d8f0f
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: A0 ntuple filters (jsc#SLE-16008).
- commit a9d8329
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: use intermediate variable to improve readability
  a bit (jsc#SLE-16008).
- commit a5cacbb
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: use U32_MAX in aq_hw_utils.c (jsc#SLE-16008).
- commit 81029eb
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: add support for 64-bit reads/writes
  (jsc#SLE-16008).
- commit ee4fca9
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: enable ipv6 support for TCP LSO and UDP GSO
  (jsc#SLE-16008).
- commit 2b6b5c1
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: use simple assignment in _get_stats and
  _get_sw_stats (jsc#SLE-16008).
- commit 5105a90
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: move FRAC_PER_NS to aq_hw.h (jsc#SLE-16008).
- commit 6850395
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: add support for FW 4.x (jsc#SLE-16008).
- commit 06dc4b7
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: align return value of ver_match function with
  function name (jsc#SLE-16008).
- commit c76e0df
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: fme: add power management support (jsc#SLE-13441).
- Refresh
  patches.suse/fpga-dfl-fme-add-global-error-reporting-support.patch.
- commit 51e1487
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: proper rss_ctrl1 (54c0) initialization
  (jsc#SLE-16008).
- commit 7108188
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: QoS implementation: min_rate (jsc#SLE-16008).
- Refresh
  patches.suse/0079-net-atlantic-A2-flow-control-support.patch.
- commit 2caba0d
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: change the order of arguments for TC
  weight/credit setters (jsc#SLE-16008).
- commit 70fba01
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: always use random TC-queue mapping for TX on A2
  (jsc#SLE-16008).
- commit 381aa34
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: automatically downgrade the number of queues
  if necessary (jsc#SLE-16008).
- commit b8f39b3
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: QoS implementation: max_rate (jsc#SLE-16008).
- Refresh
  patches.suse/0079-net-atlantic-A2-flow-control-support.patch.
- commit 19bafcd
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: fme: add thermal management support (jsc#SLE-13441).
- commit 8ac4e29
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: fme: add global error reporting support
  (jsc#SLE-13441).
- commit a46fd7e
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: make TCVEC2RING accept nic_cfg (jsc#SLE-16008).
- commit 40a7532
* Thu Oct 29 2020 denis.kirjanov@suse.com
- net: atlantic: per-TC queue statistics (jsc#SLE-16008).
- commit 541ba98
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: afu: add STP (SignalTap) support (jsc#SLE-13441).
- commit d5f1610
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: afu: add error reporting support (jsc#SLE-13441).
- commit a5b188f
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: afu: convert platform_driver to use dev_groups
  (jsc#SLE-13441).
- commit 4db51d8
* Thu Oct 29 2020 mhocko@suse.com
- mm: fix a race during THP splitting (bsc#1178255).
- commit d99807e
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: fme: convert platform_driver to use dev_groups
  (jsc#SLE-13441).
- commit 505b01a
* Thu Oct 29 2020 oneukum@suse.com
- fpga: dfl: use driver core functions, not sysfs ones
  (jsc#SLE-13441).
- Refresh
  patches.suse/fpga-dfl-add-id_table-for-dfl-private-feature-driver.patch.
- Refresh
  patches.suse/fpga-dfl-afu-add-AFU-state-related-sysfs-interfaces.patch.
- Refresh
  patches.suse/fpga-dfl-fme-add-DFL_FPGA_FME_PORT_RELEASE-ASSIGN-io.patch.
- Refresh
  patches.suse/fpga-dfl-fme-add-capability-sysfs-interfaces.patch.
- commit bedcd22
* Thu Oct 29 2020 nborisov@suse.com
- btrfs: don't force read-only after error in drop snapshot (bsc#1176354).
- commit 92bd157
* Thu Oct 29 2020 glin@suse.com
- bpf: Fix bpf_ringbuf_output() signature to return long
  (bsc#1177028).
- bpf: Fix formatting in documentation for BPF helpers
  (bsc#1177028).
- selftests/bpf: Fix verifier test (bsc#1177028).
- commit d66394d
* Thu Oct 29 2020 tiwai@suse.de
- rpm/kernel-module-subpackage: make Group tag optional (bsc#1163592)
- commit 552ec97
* Thu Oct 29 2020 lduncan@suse.com
- scsi: pm80xx: Driver version update (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Increase the number of outstanding I/O supported
  to 1024 (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Remove DMA memory allocation for ccb and device
  structures (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Increase number of supported queues
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm8001: Fix memleak in pm8001_exec_internal_task_abort
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm8001: Staticify 'pm80xx_pci_mem_copy' and
  'mpi_set_phy_profile_req' (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Introduce read and write length for IOCTL payload
  structure (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: sysfs attribute for non fatal dump (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Cleanup initialization loading fail path
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Free the tag when mpi_set_phy_profile_resp is
  received (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Deal with kexec reboots (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Increase request sg length (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: fix logic to break out of loop when register
  value is 2 or 3 (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Modified the logic to collect fatal dump
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Tie the interrupt name to the module instance
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Controller fatal error through sysfs
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Do not request 12G sas speeds (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Cleanup command when a reset times out
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Fix command issue sizing (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Fix dereferencing dangling pointer (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Increase timeout for pm80xx mpi_uninit_check
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Squashed logging cleanup changes (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Convert 'long' mdelay to msleep (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Initialize variable used as return status
  (jsc#SLE-15151, bsc#1178226).
- scsi: pm80xx: Make phy enable completion as NULL (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm80xx: Fix for SATA device discovery (jsc#SLE-15151,
  bsc#1178226).
- scsi: pm8001: Fix Use plain integer as NULL pointer
  (jsc#SLE-15151, bsc#1178226).
- commit bec0ea0
* Wed Oct 28 2020 rgoldwyn@suse.com
- btrfs: sysfs: export currently running exclusive operation
  (JSC#SLE-15234).
- btrfs: enumerate the type of exclusive operation in progress
  (JSC#SLE-15234).
- commit e361c67
* Wed Oct 28 2020 bp@suse.de
- Refresh
  patches.suse/x86-powerpc-rename-memcpy_mcsafe-to-copy_mc_to_-user-kernel.patch.
- commit 344359b
* Wed Oct 28 2020 tiwai@suse.de
- i2c: i801: Add support for Intel Alder Lake PCH-S
  (jsc#SLE-13489).
- commit 2b8ef70
* Wed Oct 28 2020 tiwai@suse.de
- mtd: spi-nor: intel-spi: Add support for Intel Alder Lake-S
  SPI serial flash (jsc#SLE-13489).
- commit 4232cf5
* Wed Oct 28 2020 tiwai@suse.de
- intel_th: pci: Add Alder Lake CPU support (jsc#SLE-13489).
- intel_th: pci: Add Alder Lake-S support (jsc#SLE-13489).
- commit 6b5a823
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: disable PTP on AQC111, AQC112 (jsc#SLE-16008).
- commit 4a6c857
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: fix ip dst and ipv6 address filters
  (jsc#SLE-16008).
- commit b004437
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: aquantia: fix aq_ndev_start_xmit()'s return type
  (jsc#SLE-16008).
- commit b6021fa
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: put ptp code under IS_REACHABLE check
  (jsc#SLE-16008).
- commit 6c3d69d
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: add alignment checks in hw_atl2_utils_fw.c
  (jsc#SLE-16008).
- commit 9f73783
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: missing space in a comment in aq_nic.h
  (jsc#SLE-16008).
- commit ec38e51
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: fix typo in aq_ring_tx_clean (jsc#SLE-16008).
- commit 0e03f73
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: make aq_pci_func_init static (jsc#SLE-16008).
- commit 0be80bd
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: Replace ENOTSUPP usage to EOPNOTSUPP
  (jsc#SLE-16008).
- commit a5aa6d0
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: fix variable type in aq_ethtool_get_pauseparam
  (jsc#SLE-16008).
- commit 5c45ac8
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2: phy loopback support (jsc#SLE-16008).
- commit d0c91fe
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2: report link partner capabilities
  (jsc#SLE-16008).
- commit 2996ddf
* Wed Oct 28 2020 trenn@suse.com
- perf/x86/intel/rapl: Add Comet Lake support (jsc#jsc#SLE-13446).
- perf/x86/rapl: Add Ice Lake RAPL support (jsc#SLE-13446).
- perf/x86/rapl: Add support for Intel SPR platform
  (jsc#SLE-13445).
- perf/x86/rapl: Fix missing psys sysfs attributes
  (jsc#SLE-13445).
- perf/x86/rapl: Support multiple RAPL unit quirks
  (jsc#SLE-13445).
- Refresh
  patches.suse/perf-x86-rapl-add-amd-fam17h-rapl-support.patch.
- Refresh
  patches.suse/perf-x86-rapl-add-amd-fam19h-rapl-support.patch.
- Refresh
  patches.suse/perf-x86-rapl-add-hygon-fam18h-rapl-support.patch.
- Refresh
  patches.suse/perf-x86-rapl-move-rapl-support-to-common-x86-code.patch.
- Refresh
  patches.suse/x86-perf-events-convert-to-new-cpu-match-macros.patch.
- commit 47d5610
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2: flow control support (jsc#SLE-16008).
- commit 03d8c35
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2: EEE support (jsc#SLE-16008).
- commit 3614f71
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: remove baseX usage (jsc#SLE-16008).
- commit 478c8a1
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2: half duplex support (jsc#SLE-16008).
- commit f7a3218
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: QoS implementation: multi-TC support
  (jsc#SLE-16008).
- commit 5e8aa14
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: changes for multi-TC support (jsc#SLE-16008).
- commit 7447162
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: move PTP TC initialization to a separate function
  (jsc#SLE-16008).
- commit 202b4ce
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: changes for multi-TC support (jsc#SLE-16008).
- commit da0d411
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: unify MAC generation (jsc#SLE-16008).
- commit 5bf61f2
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: remove check for boot code survivability before
  reset request (jsc#SLE-16008).
- commit 9b4481d
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: remove hw_atl_b0_hw_rss_set call from A2 code
  (jsc#SLE-16008).
- commit f25f8fb
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: remove TPO2 check from A0 code (jsc#SLE-16008).
- commit 54cd169
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: rename AQ_NIC_RATE_2GS to AQ_NIC_RATE_2G5
  (jsc#SLE-16008).
- commit d260d28
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2 ingress / egress hw configuration
  (jsc#SLE-16008).
- commit bb8feac
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: basic A2 init/deinit hw_ops (jsc#SLE-16008).
- commit d8c7240
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: common functions needed for basic A2 init/deinit
  hw_ops (jsc#SLE-16008).
- commit a37eb39
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: HW bindings for basic A2 init/deinit hw_ops
  (jsc#SLE-16008).
- commit 5501020
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: add A2 RPF hw_ops (jsc#SLE-16008).
- commit d1f214e
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: HW bindings for A2 RFP (jsc#SLE-16008).
- commit 0770b88
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2 hw_ops skeleton (jsc#SLE-16008).
- commit 4646911
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: minimal A2 fw_ops (jsc#SLE-16008).
- commit b949a7a
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: minimal A2 HW bindings required for fw_ops
  (jsc#SLE-16008).
- commit 4e6e80d
* Wed Oct 28 2020 denis.kirjanov@suse.com
- net: atlantic: A2 driver-firmware interface (jsc#SLE-16008).
- commit 51fe62d
* Wed Oct 28 2020 ailiop@suse.com
- xfs: fix high key handling in the rt allocator's query_range
  function (git-fixes).
- commit cdff05f
* Wed Oct 28 2020 ailiop@suse.com
- xfs: limit entries returned when counting fsmap records
  (git-fixes).
- commit 6ab6787
* Wed Oct 28 2020 ailiop@suse.com
- xfs: fix xfs_bmap_validate_extent_raw when checking attr fork
  of rt files (git-fixes).
- commit 4c9c85b
* Wed Oct 28 2020 oneukum@suse.com
- fpga: dfl: introduce interrupt trigger setting API
  (jsc#SLE-13441).
- commit 3693890
* Wed Oct 28 2020 oneukum@suse.com
- fpga: dfl: Use struct_size() in kzalloc() (jsc#SLE-13441).
- commit ea5ff98
* Wed Oct 28 2020 oneukum@suse.com
- drivers/fpga/dfl-afu-dma-region.c: get rid of pointless
  access_ok() (jsc#SLE-13441).
- commit acf9bc5
* Wed Oct 28 2020 jgross@suse.com
- x86/alternative: Don't call text_poke() in lazy TLB mode
  (bsc#1175749).
- commit 50e105d
* Wed Oct 28 2020 oneukum@suse.com
- drivers/fpga/dfl-fme-pr.c: get rid of pointless access_ok()
  (jsc#SLE-13441).
- commit ca32f7a
* Wed Oct 28 2020 jgross@suse.com
- xen/gntdev.c: Mark pages as dirty (bsc#1065600).
- commit dbb5e22
* Wed Oct 28 2020 oneukum@suse.com
- fpga: dfl: afu: support debug access to memory-mapped afu
  regions (jsc#SLE-13441).
  Refresh
  patches.suse/fpga-dfl-parse-interrupt-info-for-feature-devices-on.patch.
- commit 455d30a
* Wed Oct 28 2020 oneukum@suse.com
- fpga: dfl.h: Replace zero-length array with flexible-array
  member (jsc#SLE-13441).
- commit 3eafa7e
* Wed Oct 28 2020 oneukum@suse.com
- fpga: dfl: support multiple opens on feature device node
  (jsc#SLE-13441).
- commit 4ef7392
* Wed Oct 28 2020 glin@suse.com
- bpf: Fix a buffer out-of-bound access when filling raw_tp
  link_info (bsc#1177028).
- bpf: Use get_file_rcu() instead of get_file() for task_file
  iterator (bsc#1177028).
- bpf: Fix pos computation for bpf_iter seq_ops->start()
  (bsc#1177028).
- commit 5d7e0cc
* Wed Oct 28 2020 glin@suse.com
- selftests/bpf: Fix cgroup sockopt verifier test (bsc#1177028).
- selftests: bpf: Fix detach from sockmap tests (bsc#1177028).
- bpf: Fix definition of bpf_ringbuf_output() helper in UAPI
  comments (bsc#1177028).
- scripts: Require pahole v1.16 when generating BTF (bsc#1177028).
- bpf: Use strncpy_from_unsafe_strict() in bpf_seq_printf()
  helper (bsc#1177028).
- sysctl: Fix unused function warning (bsc#1177028).
- bpf, btf: Always output invariant hit in pahole DWARF to BTF
  transform (bsc#1177028).
- commit 6d1f8a3
* Wed Oct 28 2020 shung-hsi.yu@suse.com
- staging: qlge: fix build breakage with dumping enabled
  (jsc#SLE-15139).
- commit 506d956
* Wed Oct 28 2020 glin@suse.com
- net/filter: Permit reading NET in load_bytes_relative when
  MAC not set (bsc#1177028).
- bpf: Fix unused-var without NETDEVICES (bsc#1177028).
- bpf: Add csum_level helper for fixing up csum levels
  (bsc#1177028).
- bpf: Fix up bpf_skb_adjust_room helper's skb csum setting
  (bsc#1177028).
- bpf: Allow SO_BINDTODEVICE opt in bpf_setsockopt (bsc#1177028).
- net: Make locking in sock_bindtoindex optional (bsc#1177028).
  Refresh patches.suse/udp_tunnel-add-central-NIC-RX-port-offload-infrastru.patch
  to reflect the change of sock_bindtoindex().
- bpf: Add rx_queue_mapping to bpf_sock (bsc#1177028).
- bpf, sk_msg: Add get socket storage helpers (bsc#1177028).
- bpf, sk_msg: Add some generic helpers that may be useful from
  sk_msg (bsc#1177028).
- net: add sock_bindtoindex (bsc#1177028).
  Update patches.suse/udp_tunnel-add-central-NIC-RX-port-offload-infrastru.patch
  since sock_bindtoindex() is available now.
- xdp: Clear grow memory in bpf_xdp_adjust_tail() (bsc#1177028).
- xdp: Allow bpf_xdp_adjust_tail() to grow packet size
  (bsc#1177028).
- bpf: Allow sk lookup helpers in cgroup skb (bsc#1177028).
- bpf: Support narrow loads from bpf_sock_addr.user_port
  (bsc#1177028).
- bpf: Allow any port in bpf_bind helper (bsc#1177028).
- net: Refactor arguments of inet{,6}_bind (bsc#1177028).
- net: bpf: Allow TC programs to call BPF_FUNC_skb_change_head
  (bsc#1177028).
- commit 450a84c
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: afu: expose __afu_port_enable/disable function.
- commit 5b0475c
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: make init callback optional (jsc#SLE-13441).
- commit b32d1c0
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: fme: add capability sysfs interfaces (jsc#SLE-13441).
- commit f07ee66
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: make uinit callback optional (jsc#SLE-13441).
- commit 97aba62
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: add id_table for dfl private feature driver
  (jsc#SLE-13441).
- Refresh
  patches.suse/fpga-dfl-parse-interrupt-info-for-feature-devices-on.patch.
- commit 1c32dd6
* Tue Oct 27 2020 hare@suse.de
- nvmet: cleanup nvmet_passthru_map_sg() (jsc#SLE-15608).
- nvmet: limit passthru MTDS by BIO_MAX_PAGES (jsc#SLE-15608).
- nvmet: fix uninitialized work for zero kato (jsc#SLE-15608).
- commit a81c892
* Tue Oct 27 2020 hare@suse.de
- nvme: fix error handling in nvme_ns_report_zones (sc#SLE-15608).
- nvme-core: put ctrl ref when module ref get fail (sc#SLE-15608).
- commit c2c3bd6
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: afu: add AFU state related sysfs interfaces
  (jsc#SLE-13441).
- commit 209190b
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: fme: add DFL_FPGA_FME_PORT_RELEASE/ASSIGN ioctl
  support (jsc#SLE-13441).
- commit ac00bca
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: fix overflow when copying corrupt csums for a message
  (bsc#1178191).
- commit c3fc339
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: fix NULL pointer dereference after failure to create
  snapshot (bsc#1178190).
- commit 28eef23
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: move IS_CHIP_FEATURE to aq_hw.h (jsc#SLE-16008).
- commit 9d450fe
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: make hw_get_regs optional (jsc#SLE-16008).
- commit 12a3b18
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: simplify hw_get_fw_version() usage
  (jsc#SLE-16008).
- commit 62e4c18
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: add hw_soft_reset, hw_prepare to hw_ops
  (jsc#SLE-16008).
- commit 45ab6fe
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: add defines for 10M and EEE 100M link mode
  (jsc#SLE-16008).
- commit 7480975
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: add A2 device IDs (jsc#SLE-16008).
- commit 0773274
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: update company name in the driver description
  (jsc#SLE-16008).
- commit 0f5d712
* Tue Oct 27 2020 denis.kirjanov@suse.com
- aquantia: Fix the media type of AQC100 ethernet controller in
  the driver (jsc#SLE-16008).
- commit 406dc29
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: reject all unsupported coalescing params
  (jsc#SLE-16008).
- commit 0eaa7d1
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net/aquantia: Delete module version (jsc#SLE-16008).
- commit 5186adf
* Tue Oct 27 2020 msuchanek@suse.de
- ibmveth: Identify ingress large send packets (bsc#1178185
  ltc#188897).
- commit 3aff6b0
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: fix out of range usage of active_vlans array
  (jsc#SLE-16008).
- commit 767b557
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: possible fault in transition to hibernation
  (jsc#SLE-16008).
- commit 9b7ca89
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: fix potential error handling (jsc#SLE-16008).
- commit 4de45e6
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: fix use after free kasan warn (jsc#SLE-16008).
- commit bd13c6d
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: better loopback mode handling (jsc#SLE-16008).
- commit 36a3c94
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: ptp gpio adjustments (jsc#SLE-16008).
- commit 9e4a93c
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: check rpc result and wait for rpc address
  (jsc#SLE-16008).
- commit f2ea36a
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: checksum compat issue (jsc#SLE-16008).
- commit 2c43929
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: remove duplicate entries (jsc#SLE-16008).
- commit 45fa5a5
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: loopback configuration in improper place
  (jsc#SLE-16008).
- commit 7542f00
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: broken link status on old fw (jsc#SLE-16008).
- commit 9963398
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: Signedness bug in aq_vec_isr_legacy()
  (jsc#SLE-16008).
- commit 51612bf
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: make function 'aq_ethtool_get_priv_flags',
  'aq_ethtool_set_priv_flags' static (jsc#SLE-16008).
- commit f34e741
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: make symbol 'aq_pm_ops' static (jsc#SLE-16008).
- commit 4288149
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: change email domains to Marvell (jsc#SLE-16008).
- commit dfda9f0
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: implement UDP GSO offload (jsc#SLE-16008).
- commit b6460d3
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: update flow control logic (jsc#SLE-16008).
- commit 26034f9
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: stylistic renames (jsc#SLE-16008).
- commit 004b28b
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: code style cleanup (jsc#SLE-16008).
- commit 5024da7
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: loopback tests via private flags (jsc#SLE-16008).
- commit 2dca0a3
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: add fw configuration memory area (jsc#SLE-16008).
- commit 8e8f518
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: adding ethtool physical identification
  (jsc#SLE-16008).
- commit ce37fb5
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: add msglevel configuration (jsc#SLE-16008).
- commit 04f6084
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: refactoring pm logic (jsc#SLE-16008).
- commit 845cebe
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: implement wake_phy feature (jsc#SLE-16008).
- commit 0d9f761
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: atlantic: update firmware interface (jsc#SLE-16008).
- commit 8d9f6f9
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: set the lockdep class for log tree extent buffers
  (bsc#1178186).
- commit bf70248
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: fix return value check in aq_ptp_init()
  (jsc#SLE-16008).
- commit 3b0bad1
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: fix error handling in aq_ptp_poll
  (jsc#SLE-16008).
- commit 43b1e12
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: remove unused including <linux/version.h>
  (jsc#SLE-16008).
- commit 299a2b3
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: make two symbols be static (jsc#SLE-16008).
- commit d18cdbe
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: fix unintention integer overflow on left shift
  (jsc#SLE-16008).
- commit 44ba640
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: fix spelling mistake: tx_queus -> tx_queues
  (jsc#SLE-16008).
- commit 2ea997c
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: disable ptp object build if no config
  (jsc#SLE-16008).
- commit b173f76
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: fix warnings on endianness (jsc#SLE-16008).
- commit 7e6bc4c
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: fix var initialization warning (jsc#SLE-16008).
- commit e9a1fed
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: add support for PIN funcs (jsc#SLE-16008).
- commit 9f3bc0a
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: add support for Phy access (jsc#SLE-16008).
- commit 6bf2fe4
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: implement get_ts_info ethtool (jsc#SLE-16008).
- commit fb9ebb2
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: add support for ptp ioctls (jsc#SLE-16008).
- commit 1031c19
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: rx filters for ptp (jsc#SLE-16008).
- commit f68e67d
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: implement data PTP datapath (jsc#SLE-16008).
- commit da13f73
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: styling fixes on ptp related functions
  (jsc#SLE-16008).
- commit bedc284
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: add PTP rings infrastructure (jsc#SLE-16008).
- commit ac5f9c4
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: add basic ptp_clock callbacks (jsc#SLE-16008).
- commit 0e40623
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: unify styling of bit enums (jsc#SLE-16008).
- commit f0d06c7
* Tue Oct 27 2020 denis.kirjanov@suse.com
- net: aquantia: PTP skeleton declarations and callbacks
  (jsc#SLE-16008).
- commit 12af199
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: set the correct lockdep class for new nodes
  (bsc#1178184).
- commit 986c67e
* Tue Oct 27 2020 jeyu@suse.de
- blacklist.conf: blacklist commit 7359608a271c ("scripts/gdb: fix
  lx-symbols 'gdb.error' while loading modules")
  This does not apply since CONFIG_GDB_SCRIPTS isn't enabled in our configs.
- commit 0c385df
* Tue Oct 27 2020 jeyu@suse.de
- module: Correctly truncate sysfs sections output (git-fixes).
- commit 65be42f
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: allocate scrub workqueues outside of locks (bsc#1178183).
- commit f9617fb
* Tue Oct 27 2020 oneukum@suse.com
- fpga: Fix dead store fpga-mgr.c (jsc#SLE-13441).
- commit d5219a7
* Tue Oct 27 2020 oneukum@suse.com
- fpga: remove redundant dev_err message (jsc#SLE-13441).
- commit d6ffca1
* Tue Oct 27 2020 lhenriques@suse.com
- libceph: clear con->out_msg on Policy::stateful_server faults
  (bsc#1178177).
- ceph: promote to unsigned long long before shifting
  (bsc#1178175).
- commit 0c4763b
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: drop path before adding new uuid tree entry
  (bsc#1178176).
- commit dd3432e
* Tue Oct 27 2020 jeyu@suse.de
- module: statically initialize init section freeing data (git-fixes).
- commit 22c6399
* Tue Oct 27 2020 fdmanana@suse.com
- btrfs: fix space cache memory leak after transaction abort
  (bsc#1178173).
- commit 980210c
* Tue Oct 27 2020 oneukum@suse.com
- fpga: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-13441).
- commit 08c5761
* Tue Oct 27 2020 jeyu@suse.de
- module: Do not expose section addresses to non-CAP_SYSLOG (git-fixes).
- commit a568add
* Tue Oct 27 2020 jeyu@suse.de
- module: Refactor section attr into bin attribute (git-fixes).
- commit c081e5b
* Tue Oct 27 2020 jeyu@suse.de
- kallsyms: Refactor kallsyms_show_value() to take cred (git-fixes).
- commit f113536
* Tue Oct 27 2020 oneukum@suse.com
- fpga: dfl: pci: add irq info for feature devices enumeration
  (jsc#SLE-13441).
- commit 630e15d
* Tue Oct 27 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/ipv4-Restore-flowi4_oif-update-before-call-to-xfrm_l.patch
  patches.suse/tipc-fix-the-skb_unshare-in-tipc_buf_append.patch
- commit 70545ba
* Tue Oct 27 2020 mkubecek@suse.cz
- Update kabi files.
- update to second October 2020 maintenance update (commit 78b2b83f5f09)
- commit f4767b1
* Tue Oct 27 2020 msuchanek@suse.de
- scsi: ibmvscsi: Fix potential race after loss of transport
  (bsc#1178166 ltc#188226).
- commit 45b7f66
* Tue Oct 27 2020 glin@suse.com
- bpf: Fix NULL pointer dereference in __btf_resolve_helper_id()
  (bsc#1177028).
- bpf: Fix an incorrect branch elimination by verifier
  (bsc#1177028).
- bpf, netns: Fix use-after-free in pernet pre_exit callback
  (bsc#1177028).
- bpf: sockmap: Require attach_bpf_fd when detaching a program
  (bsc#1177028).
- bpf: flow_dissector: Check value of unused flags to
  BPF_PROG_DETACH (bsc#1177028).
- bpf: flow_dissector: Check value of unused flags to
  BPF_PROG_ATTACH (bsc#1177028).
- bpf, netns: Keep a list of attached bpf_link's (bsc#1177028).
- bpf, netns: Keep attached programs in bpf_prog_array
  (bsc#1177028).
- flow_dissector: Pull BPF program assignment up to bpf-netns
  (bsc#1177028).
- bpf: Enforce BPF ringbuf size to be the power of 2
  (bsc#1177028).
- bpf: Restore behaviour of CAP_SYS_ADMIN allowing the loading
  of networking bpf programs (bsc#1177028).
- bpf: Set the number of exception entries properly for
  subprograms (bsc#1177028).
- bpf: Check correct cred for CAP_SYSLOG in bpf_dump_raw_ok()
  (bsc#1177028).
- kallsyms: Refactor kallsyms_show_value() to take cred
  (bsc#1177028).
- bpf: Devmap adjust uapi for attach bpf program (bsc#1177028).
- bpf: Reset data_meta before running programs attached to devmap
  entry (bsc#1177028).
- bpf: make bpf_check_uarg_tail_zero() use check_zeroed_user()
  (bsc#1177028).
- bpf: Add link-based BPF program attachment to network namespace
  (bsc#1177028).
- flow_dissector: Move out netns_bpf prog callbacks (bsc#1177028).
- net: Introduce netns_bpf for BPF programs attached to netns
  (bsc#1177028).
- bpf: Use tracing helpers for lsm programs (bsc#1177028).
- xdp: Rename convert_to_xdp_frame in xdp_convert_buff_to_frame (bsc#1177028).
  Update patches.suse/0002-igb-add-XDP-support.patch to use xdp_convert_buff_to_frame()
- xdp: Add xdp_txq_info to xdp_buff (bsc#1177028).
- bpf: Add support to attach bpf program to a devmap entry
  (bsc#1177028).
- devmap: Formalize map value as a named struct (bsc#1177028).
- bpf: Implement BPF ring buffer and verifier support for it
  (bsc#1177028).
- bpf: Extend bpf_base_func_proto helpers with probe_* and
  * current_task* (bsc#1177028).
- bpf: Fix spelling in comment explaining ARG1 in ___bpf_prog_run
  (bsc#1177028).
- bpf: Verifier track null pointer branch_taken with JNE and JEQ
  (bsc#1177028).
- bpf: Add get{peer, sock}name attach types for sock_addr
  (bsc#1177028).
- bpf: Fix check_return_code to only allow [0,1] in trace_iter
  progs (bsc#1177028).
- bpf: Implement CAP_BPF (bsc#1177028).
- bpf, capability: Introduce CAP_BPF (bsc#1177028).
- xdp: Cpumap redirect use frame_sz and increase skb_tailroom
  (bsc#1177028).
- bpf: Introduce bpf_sk_{, ancestor_}cgroup_id helpers
  (bsc#1177028).
- bpf: Fix bpf_iter's task iterator logic (bsc#1177028).
- bpf: Enable bpf_iter targets registering ctx argument types
  (bsc#1177028).
- bpf: Change func bpf_iter_unreg_target() signature
  (bsc#1177028).
- bpf: net: Refactor bpf_iter target registration (bsc#1177028).
- bpf: Add comments to interpret bpf_prog return values
  (bsc#1177028).
- tools, bpf: Synchronise BPF UAPI header with tools
  (bsc#1177028).
- bpf: Minor fixes to BPF helpers documentation (bsc#1177028).
- bpf, libbpf: Replace zero-length array with flexible-array
  (bsc#1177028).
- bpf: Support variable length array in tracing programs
  (bsc#1177028).
- bpf: Handle spilled PTR_TO_BTF_ID properly when checking
  stack_boundary (bsc#1177028).
- bpf: Add bpf_seq_printf and bpf_seq_write helpers (bsc#1177028).
- bpf: Add PTR_TO_BTF_ID_OR_NULL support (bsc#1177028).
- bpf: Add task and task/file iterator targets (bsc#1177028).
- net: bpf: Add netlink and ipv6_route bpf_iter targets
  (bsc#1177028).
- bpf: Add bpf_map iterator (bsc#1177028).
- bpf: Implement common macros/helpers for target iterators
  (bsc#1177028).
- bpf: Create file bpf iterator (bsc#1177028).
- bpf: Create anonymous bpf iterator (bsc#1177028).
- bpf: Implement bpf_seq_read() for bpf iterator (bsc#1177028).
- bpf: Support bpf tracing/iter programs for BPF_LINK_UPDATE
  (bsc#1177028).
- bpf: Support bpf tracing/iter programs for BPF_LINK_CREATE
  (bsc#1177028).
- bpf: Allow loading of a bpf_iter program (bsc#1177028).
- bpf: Implement an interface to register bpf_iter targets
  (bsc#1177028).
- selftests/bpf: Use reno instead of dctcp (bsc#1177028).
  Refresh patches.suse/selftests-bpf-CONFIG_LIRC-required-for-test_lirc_mod.patch
- bpf: Fix use-after-free of bpf_link when priming half-fails
  (bsc#1177028).
- bpf: Bpf_{g,s}etsockopt for struct bpf_sock_addr (bsc#1177028).
  Refresh patches.suse/selftests-bpf-CONFIG_LIRC-required-for-test_lirc_mod.patch
- bpf: Sharing bpf runtime stats with BPF_ENABLE_STATS
  (bsc#1177028).
- bpf: Fix unused variable warning (bsc#1177028).
- bpf: Allow bpf_map_lookup_elem for SOCKMAP and SOCKHASH
  (bsc#1177028).
- bpf: Add support for BPF_OBJ_GET_INFO_BY_FD for bpf_link
  (bsc#1177028).
- bpf: Support GET_FD_BY_ID and GET_NEXT_ID for bpf_link
  (bsc#1177028).
- bpf: Allocate ID for bpf_link (bsc#1177028).
- bpf, cgroup: Remove unused exports (bsc#1177028).
- bpf: Make verifier log more relevant by default (bsc#1177028).
- bpf: add bpf_ktime_get_boot_ns() (bsc#1177028).
- net: bpf: Make bpf_ktime_get_ns() available to non GPL programs
  (bsc#1177028).
- bpf: Fix missing bpf_base_func_proto in cgroup_base_func_proto
  for CGROUP_NET=n (bsc#1177028).
- bpf: Enable more helpers for
  BPF_PROG_TYPE_CGROUP_{DEVICE,SYSCTL,SOCKOPT} (bsc#1177028).
- bpf: Remove set but not used variable 'dst_known' (bsc#1177028).
- xdp: export the DEV_MAP_BULK_SIZE macro (bsc#1177028).
- capabilities: Introduce CAP_PERFMON to kernel and user space
  (bsc#1177028).
- commit 5c2c1af
* Tue Oct 27 2020 shung-hsi.yu@suse.com
- staging: qlge: qlge_dbg: removed comment repition
  (jsc#SLE-15139).
- staging: qlge: Use fallthrough pseudo-keyword (jsc#SLE-15139).
- staging: qlge/qlge_main.c: Replace depracated MSI API
  (jsc#SLE-15139).
- staging: qlge: qlge_ethtool: Remove one byte memset
  (jsc#SLE-15139).
- staging: qlge: qlge_mpi: Simplify while statements
  (jsc#SLE-15139).
- staging: qlge: qlge_dbg: Simplify while statements
  (jsc#SLE-15139).
- staging: qlge: qlge.h: Insert line after declaration
  (jsc#SLE-15139).
- staging: qlge: qlge.h: Function definition arguments should
  have names (jsc#SLE-15139).
- staging: qlge: Remove pci-dma-compat wrapper APIs
  (jsc#SLE-15139).
- staging: qlge: qlge_ethtool.c: Proper indentation
  (jsc#SLE-15139).
- staging: qlge: qlge.h: remove unnecessary spaces
  (jsc#SLE-15139).
- staging: qlge/qlge_main.c: use generic power management
  (jsc#SLE-15139).
- staging: qlge: replace pr_err with netdev_err (jsc#SLE-15139).
- staging: qlge: fix ql_sem_unlock (jsc#SLE-15139).
- staging: qlge: fix else after return or break (jsc#SLE-15139).
- staging: qlge: fix trailing */ in block comment (jsc#SLE-15139).
- staging: qlge: qlge_main.c: fixed spaces coding style issues
  (jsc#SLE-15139).
- staging: qlge: unmap dma when lock failed (jsc#SLE-15139).
- staging: qlge: Remove unnecessary spaces in qlge_main.c
  (jsc#SLE-15139).
- staging: qlge: Fix function argument alignment warning in
  ql_init_device (jsc#SLE-15139).
- staging: qlge: Fix suspect code indent warning in ql_init_device
  (jsc#SLE-15139).
- staging: qlge: Remove multi-line dereference from ql_request_irq
  (jsc#SLE-15139).
- staging: qlge: Remove goto statements from ql_get_mac_addr_reg
  (jsc#SLE-15139).
- staging: qlge: Fix indentation in ql_get_mac_addr_reg
  (jsc#SLE-15139).
- staging: qlge: Remove gotos from ql_set_mac_addr_reg
  (jsc#SLE-15139).
- staging: qlge: Fix indentation in ql_set_mac_addr_reg
  (jsc#SLE-15139).
- staging: qlge: Remove print statements for lbq_clean_idx and
  lbq_free_cnt (jsc#SLE-15139).
- staging: qlge: Remove print statement for vlgrp field
  (jsc#SLE-15139).
- staging: qlge: Remove unnecessary parentheses around struct
  field (jsc#SLE-15139).
- staging: qlge: qlge_dbg.c: Remove trailing semicolon from macro
  (jsc#SLE-15139).
- staging: qlge: replace deprecated apis pci_dma_*
  (jsc#SLE-15139).
- staging: qlge: cleanup indent in qlge_main.c (jsc#SLE-15139).
- staging: qlge: reject unsupported coalescing params
  (jsc#SLE-15139).
- Staging: qlge: Add a blank line after variable (jsc#SLE-15139).
- staging: qlge: qlge_ethtool.c: remove an unneeded variable
  (jsc#SLE-15139).
- staging: qlge: qlge_dbg.c: remove an unneeded variable
  (jsc#SLE-15139).
- staging: qlge: qlge_mpi.c: remove an unneeded variable
  (jsc#SLE-15139).
- staging: qlge: qlge_main.c: remove an unneeded variable
  (jsc#SLE-15139).
- staging: qlge: qlge_main: remove unused code (jsc#SLE-15139).
- staging: qlge: qlge_dbg: remove unneeded spaces (jsc#SLE-15139).
- staging: qlge: Fix WARNING: Missing a blank line after
  declarations (jsc#SLE-15139).
- staging: qlge: qlge.h: remove excess newlines (jsc#SLE-15139).
- staging: qlge: qlge.h: add spaces around operators
  (jsc#SLE-15139).
- staging: qlge: qlge.h: remove spaces before tabs and align code
  (jsc#SLE-15139).
- staging: qlge: remove blank line (jsc#SLE-15139).
- staging: qlge: emit debug and dump at same level
  (jsc#SLE-15139).
- staging: qlge: add braces around macro arguments
  (jsc#SLE-15139).
- staging: qlge: add braces on all arms of if-else
  (jsc#SLE-15139).
- staging: qlge: qlge_main.c: fix style issues (jsc#SLE-15139).
- staging: qlge: remove spaces at the start of a line
  (jsc#SLE-15139).
- staging: qlge: Fix CHECK: Alignment should match open
  parenthesis (jsc#SLE-15139).
- staging: qlge: Fix CHECK extra blank lines in many files
  (jsc#SLE-15139).
- staging: qlge: Fix CamelCase in qlge.h and qlge_dbg.c
  (jsc#SLE-15139).
- staging/qlge: fix block comment coding style (jsc#SLE-15139).
- staging/qlge: remove braces in conditional statement
  (jsc#SLE-15139).
- staging/qlge: add braces to conditional statement
  (jsc#SLE-15139).
- staging/qlge: add blank lines after declarations
  (jsc#SLE-15139).
- staging/qlge: remove initialising of static local variable
  (jsc#SLE-15139).
- staging: qlge: fix comparison to NULL warning (jsc#SLE-15139).
- staging: qlge: add space to fix check warning (jsc#SLE-15139).
- staging: qlge: Fix multiple assignments warning by replacing
  integer variables to bool (jsc#SLE-15139).
- staging: qlge: fix "alignment should match open parenthesis"
  checks (jsc#SLE-15139).
- staging: qlge: correct a misspelled word (jsc#SLE-15139).
- staging: qlge: Removed unnecessary variable (jsc#SLE-15139).
- commit b26a44b
* Tue Oct 27 2020 tonyj@suse.de
- tools headers UAPI: Update tools's copy of linux/perf_event.h to add support
  for PERF_SAMPLE_BRANCH_HW_INDEX (dependent fix for jsc#SLE-12718).
- commit 83b34f7
* Mon Oct 26 2020 jroedel@suse.de
- x86/boot: Reload GDTR after copying to the end of the buffer
  (jsc#SLE-14337).
- blacklist.conf: Add c98a76eabbb6 x86/boot/compressed: Fix reloading of GDTR post-relocation
- commit ef841e9
* Mon Oct 26 2020 jroedel@suse.de
- x86/sev-es: Check required CPU features for SEV-ES
  (jsc#SLE-14337).
- Refresh
  patches.suse/0003-x86-KASLR-public-the-function-for-getting-random-lon.patch.
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
- commit 5feb5c7
* Mon Oct 26 2020 jroedel@suse.de
- x86/kvm: Add KVM-specific VMMCALL handling under SEV-ES
  (jsc#SLE-14337).
- Refresh
  patches.suse/0001-kvm-Reintroduce-nopvspin-kernel-parameter.patch.
- commit a237bee
* Mon Oct 26 2020 dwagner@suse.de
- nvme-rdma: fix crash due to incorrect cqe (bsc#1174748).
- nvme-rdma: fix crash when connect rejected (bsc#1174748).
- commit 066b1e6
* Mon Oct 26 2020 jroedel@suse.de
- x86/boot/compressed/64: Rename kaslr_64.c to ident_map_64.c
  (jsc#SLE-14337).
- Refresh
  patches.suse/0003-x86-KASLR-public-the-function-for-getting-random-lon.patch.
- commit 775a47e
* Mon Oct 26 2020 oneukum@suse.com
- fpga: dfl: parse interrupt info for feature devices on
  enumeration (jsc#SLE-13441).
- commit 9e7db43
* Mon Oct 26 2020 bp@suse.de
- blacklist.conf: 66077adb70a2 EDAC/ti: Fix handling of platform_get_irq() error
- commit 911a955
* Mon Oct 26 2020 bp@suse.de
- blacklist.conf: afce6996943b EDAC/aspeed: Fix handling of platform_get_irq() error
- commit 7a481a8
* Mon Oct 26 2020 jroedel@suse.de
- x86/boot/64: Initialize 5-level paging variables earlier
  (jsc#SLE-14337).
- x86/sev-es: Use GHCB accessor for setting the MMIO scratch
  buffer (jsc#SLE-14337).
- x86/efi: Add GHCB mappings when SEV-ES is active
  (jsc#SLE-14337).
- x86/sev-es: Handle NMI State (jsc#SLE-14337).
- x86/sev-es: Support CPU offline/online (jsc#SLE-14337).
- x86/head/64: Don't call verify_cpu() on starting APs
  (jsc#SLE-14337).
- x86/smpboot: Load TSS and getcpu GDT entry before loading IDT
  (jsc#SLE-14337).
- x86/realmode: Setup AP jump table (jsc#SLE-14337).
- x86/realmode: Add SEV-ES specific trampoline entry point
  (jsc#SLE-14337).
- x86/vmware: Add VMware-specific handling for VMMCALL under
  SEV-ES (jsc#SLE-14337).
- x86/paravirt: Allow hypervisor-specific VMMCALL handling under
  SEV-ES (jsc#SLE-14337).
- x86/sev-es: Handle #DB Events (jsc#SLE-14337).
- x86/sev-es: Handle #AC Events (jsc#SLE-14337).
- x86/sev-es: Handle VMMCALL Events (jsc#SLE-14337).
- x86/sev-es: Handle MWAIT/MWAITX Events (jsc#SLE-14337).
- x86/sev-es: Handle MONITOR/MONITORX Events (jsc#SLE-14337).
- x86/sev-es: Handle INVD Events (jsc#SLE-14337).
- x86/sev-es: Handle RDPMC Events (jsc#SLE-14337).
- x86/sev-es: Handle RDTSC(P) Events (jsc#SLE-14337).
- x86/sev-es: Handle WBINVD Events (jsc#SLE-14337).
- x86/sev-es: Handle DR7 read/write events (jsc#SLE-14337).
- x86/sev-es: Handle MSR events (jsc#SLE-14337).
- x86/sev-es: Handle MMIO String Instructions (jsc#SLE-14337).
- x86/sev-es: Handle MMIO events (jsc#SLE-14337).
- x86/sev-es: Handle instruction fetches from user-space
  (jsc#SLE-14337).
- x86/sev-es: Wire up existing #VC exit-code handlers
  (jsc#SLE-14337).
- x86/sev-es: Add a Runtime #VC Exception Handler (jsc#SLE-14337).
- x86/entry/64: Add entry code for #VC handler (jsc#SLE-14337).
- x86/dumpstack/64: Add noinstr version of get_stack_info()
  (jsc#SLE-14337).
- x86/sev-es: Adjust #VC IST Stack on entering NMI handler
  (jsc#SLE-14337).
- x86/sev-es: Allocate and map an IST stack for #VC handler
  (jsc#SLE-14337).
- x86/sev-es: Setup per-CPU GHCBs for the runtime handler
  (jsc#SLE-14337).
- x86/sev-es: Setup GHCB-based boot #VC handler (jsc#SLE-14337).
- x86/sev-es: Setup an early #VC handler (jsc#SLE-14337).
- x86/sev-es: Compile early handler code into kernel image
  (jsc#SLE-14337).
- x86/sev-es: Print SEV-ES info into the kernel log
  (jsc#SLE-14337).
- x86/sev-es: Add SEV-ES Feature Detection (jsc#SLE-14337).
- x86/head/64: Move early exception dispatch to C code
  (jsc#SLE-14337).
- x86/idt: Make IDT init functions static inlines (jsc#SLE-14337).
- x86/head/64: Install a CPU bringup IDT (jsc#SLE-14337).
- x86/head/64: Switch to initial stack earlier (jsc#SLE-14337).
- x86/head/64: Load segment registers earlier (jsc#SLE-14337).
- x86/head/64: Load GDT after switch to virtual addresses
  (jsc#SLE-14337).
- x86/head/64: Install startup GDT (jsc#SLE-14337).
- x86/idt: Split idt_data setup out of set_intr_gate()
  (jsc#SLE-14337).
- x86/sev-es: Add CPUID handling to #VC handler (jsc#SLE-14337).
- x86/fpu: Move xgetbv()/xsetbv() into a separate header
  (jsc#SLE-14337).
- x86/sev-es: Add support for handling IOIO exceptions
  (jsc#SLE-14337).
- x86/boot/compressed/64: Unmap GHCB page before booting the
  kernel (jsc#SLE-14337).
- x86/boot/compressed/64: Setup a GHCB-based VC Exception handler
  (jsc#SLE-14337).
- x86/boot/compressed/64: Add set_page_en/decrypted() helpers
  (jsc#SLE-14337).
- x86/boot/compressed/64: Check return value of
  kernel_ident_mapping_init() (jsc#SLE-14337).
- x86/boot/compressed/64: Call set_sev_encryption_mask() earlier
  (jsc#SLE-14337).
- x86/boot/compressed/64: Add stage1 #VC handler (jsc#SLE-14337).
- x86/boot/compressed/64: Change add_identity_map() to take
  start and end (jsc#SLE-14337).
- x86/boot/compressed/64: Don't pre-map memory in KASLR code
  (jsc#SLE-14337).
- x86/boot/compressed/64: Always switch to own page table
  (jsc#SLE-14337).
- x86/boot/compressed/64: Add page-fault handler (jsc#SLE-14337).
- x86/boot/compressed/64: Add IDT Infrastructure (jsc#SLE-14337).
- x86/boot/compressed/64: Disable red-zone usage (jsc#SLE-14337).
- x86/insn: Add insn_has_rep_prefix() helper (jsc#SLE-14337).
- x86/insn: Add insn_get_modrm_reg_off() (jsc#SLE-14337).
- x86/umip: Factor out instruction decoding (jsc#SLE-14337).
- x86/umip: Factor out instruction fetch (jsc#SLE-14337).
- x86/insn: Make inat-tables.c suitable for pre-decompression code
  (jsc#SLE-14337).
- x86/traps: Move pf error codes to <asm/trap_pf.h>
  (jsc#SLE-14337).
- x86/cpufeatures: Add SEV-ES CPU feature (jsc#SLE-14337).
- KVM: SVM: Use __packed shorthand (jsc#SLE-14337).
- KVM: SVM: Add GHCB Accessor functions (jsc#SLE-14337).
- KVM: SVM: Add GHCB definitions (jsc#SLE-14337).
- x86/traps: Split trap numbers out in a separate header
  (jsc#SLE-14337).
- x86/boot/compressed/64: Switch to __KERNEL_CS after GDT is
  loaded (jsc#SLE-14337).
- x86/insn-eval: Add support for 64-bit kernel mode
  (jsc#SLE-14337).
- commit 51e85e3
* Mon Oct 26 2020 tiwai@suse.de
- clk: tegra: Drop !provider check in tegra210_clk_emc_set_rate()
  (bsc#1177399).
- devlink: Protect devlink port list traversal (bsc#1177399).
- devlink: Fix per port reporter fields initialization
  (bsc#1177399).
- gpio: pca953x: Correctly initialize registers 6 and 7 for
  PCA957x (bsc#1177399).
- gpio: pca953x: Fix uninitialized pending variable (bsc#1177399).
- clk: tegra: Fix missing prototype for
  tegra210_clk_register_emc() (bsc#1177399).
- commit fccb5a7
* Mon Oct 26 2020 tiwai@suse.de
- ata: sata_rcar: Fix DMA boundary mask (git-fixes).
- reset: sti: reset-syscfg: fix struct description warnings
  (git-fixes).
- soc: fsl: qbman: Fix return value on success (git-fixes).
- memory: fsl-corenet-cf: Fix handling of platform_get_irq()
  error (git-fixes).
- memory: omap-gpmc: Fix build error without CONFIG_OF
  (git-fixes).
- memory: omap-gpmc: Fix a couple off by ones (git-fixes).
- docs: driver-api: remove a duplicated index entry (git-fixes).
- ACPI: debug: don't allow debugging when ACPI is disabled
  (git-fixes).
- acpi-cpufreq: Honor _PSD table setting on new AMD CPUs
  (git-fixes).
- Input: sun4i-ps2 - fix handling of platform_get_irq() error
  (git-fixes).
- Input: twl4030_keypad - fix handling of platform_get_irq()
  error (git-fixes).
- Input: omap4-keypad - fix handling of platform_get_irq() error
  (git-fixes).
- Input: ep93xx_keypad - fix handling of platform_get_irq()
  error (git-fixes).
- Input: stmfts - fix a & vs && typo (git-fixes).
- Input: imx6ul_tsc - clean up some errors in imx6ul_tsc_resume()
  (git-fixes).
- nfc: Ensure presence of NFC_ATTR_FIRMWARE_NAME attribute in
  nfc_genl_fw_download() (git-fixes).
- r8169: fix operation under forced interrupt threading
  (git-fixes).
- commit 7585044
* Mon Oct 26 2020 tiwai@suse.de
- ntb: intel: Fix memleak in intel_ntb_pci_probe (git-fixes).
- NTB: hw: amd: fix an issue about leak system resources
  (git-fixes).
- i2c: core: Restore acpi_walk_dep_device_list() getting called
  after registering the ACPI i2c devs (git-fixes).
- commit cb55b2a
* Mon Oct 26 2020 mbenes@suse.cz
- ring-buffer: Return 0 on success from ring_buffer_resize()
  (git-fixes).
- commit 720b2ea
* Mon Oct 26 2020 tiwai@suse.de
- supported.conf: Preliminary sort before Leap feature enablement (jsc#SLE-11796)
  No functional changes.
- commit 0f7124d
* Mon Oct 26 2020 mhocko@suse.com
- Refresh
  patches.suse/0001-kernel-allow-to-configure-PREEMPT_NONE-PREEMPT_VOLUN.patch.
  compile fix for s390 which needs to include jump_label.h explicitly at
  many places for zfcpdump config. It seems that the arch code is pulling
  some headers in a different order than for other config. I didn't drill
  down to find the change but I have found out that including jump_label.h
  from list.h fixes all the problematic dependencies. This is quite ugly
  but I didn't find a better way than pushing an explicit jump_label.h
  include to many places which would be more disruptive and potentially
  open different header dependencies.
- commit 4de44eb
* Mon Oct 26 2020 ptesarik@suse.cz
- s390/pkey/zcrypt: Support EP11 AES secure keys (jsc#SLE-13750).
- s390/zcrypt: extend EP11 card and queue sysfs attributes
  (jsc#SLE-13750).
- s390/zcrypt: add new low level ep11 functions support file
  (jsc#SLE-13750).
- s390/zcrypt: ep11 structs rework, export zcrypt_send_ep11_cprb
  (jsc#SLE-13750).
- s390/zcrypt: enable card/domain autoselect on ep11 cprbs
  (jsc#SLE-13750).
- commit 36252af
* Mon Oct 26 2020 ptesarik@suse.cz
- s390: nvme reipl (jsc#SLE-13731).
- s390: nvme ipl (jsc#SLE-13731).
- commit 249ffe5
* Mon Oct 26 2020 ptesarik@suse.cz
- s390/ipl: add support to control memory clearing for FCP and
  CCW re-IPL (jsc#SLE-13740).
- commit 16d5877
* Mon Oct 26 2020 glin@suse.com
- Update patches.suse/bpf-Enforce-returning-0-for-fentry-fexit-progs.patch (bsc#1154353 bsc#1177028).
- commit 4882d03
* Mon Oct 26 2020 msuchanek@suse.de
- powerpc/powernv/dump: Fix race while processing OPAL dump
  (bsc#1065729).
- commit b42269b
* Mon Oct 26 2020 msuchanek@suse.de
- cxl: Rework error message for incompatible slots (bsc#1055014
  git-fixes).
- commit 2fd3e91
* Mon Oct 26 2020 mhocko@suse.com
- mm/hugetlb: fix a race between hugetlb sysctl handlers
  (bsc#1176485, CVE-2020-25285).
- commit 2afa8d8
* Mon Oct 26 2020 msuchanek@suse.de
- powerpc/64s: Remove TM from Power10 features (jsc#SLE-13521
  git-fixes).
- commit 8d9325b
* Mon Oct 26 2020 msuchanek@suse.de
- powerpc/pseries: Avoid using addr_to_pfn in real mode
  (jsc#SLE-9246 git-fixes).
- commit 2dc2a0c
* Mon Oct 26 2020 tiwai@suse.de
- PM: hibernate: Batch hibernate and resume IO requests
  (bsc#1178079).
- commit 3742aaa
* Mon Oct 26 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-Fix-undetected-data-corruption-with-P9N-DD2..patch.
  refresh patch metadata
- commit 006e264
* Mon Oct 26 2020 msuchanek@suse.de
- ibmvnic: save changed mac address to adapter->mac_addr
  (bsc#1134760 ltc#177449 git-fixes).
- commit 1e71262
* Mon Oct 26 2020 glin@suse.com
- bpf: sockmap: Don't attach programs to UDP sockets
  (bsc#1177028).
- bpf, sockhash: Synchronize delete from bucket list on map free
  (bsc#1177028).
- bpf, sockhash: Fix memory leak when unlinking sockets in
  sock_hash_free (bsc#1177028).
- commit 87ab30a
* Sun Oct 25 2020 mkubecek@suse.cz
- kernel-binary.spec.in: pack scripts/module.lds into kernel-$flavor-devel
  Since mainline commit 596b0474d3d9 ("kbuild: preprocess module linker
  script") in 5.10-rc1, scripts/module.lds linker script is needed to build
  out of tree modules. Add it into kernel-$flavor-devel subpackage.
- commit fe37c16
* Sun Oct 25 2020 jlee@suse.com
- kABI: Fix kABI after add CodeSigning extended key usage
  (bsc#1177353).
- commit b9f566d
* Sun Oct 25 2020 jlee@suse.com
- PKCS#7: Check codeSigning EKU for kernel module and kexec pe
  verification (bsc#1177353).
- PKCS#7: Check codeSigning EKU for kernel module and kexec pe
  verification.
- Add CONFIG_CHECK_CODESIGN_EKU
- X.509: Add CodeSigning extended key usage parsing (bsc#1177353).
- commit 4dbabee
* Sat Oct 24 2020 bp@suse.de
- x86/ioapic: Unbreak check_timer() (bsc#1152489).
- commit 520671d
* Sat Oct 24 2020 bp@suse.de
- blacklist.conf: 5fa9a98fb103 bpf, x86_32: Fix incorrect encoding in BPF_LDX zero-extension
- commit 7f6fdc7
* Sat Oct 24 2020 tiwai@suse.de
- ALSA: hda/ca0132: make some const arrays static, makes object
  smaller (git-fixes).
- commit 8afe17a
* Sat Oct 24 2020 tiwai@suse.de
- ALSA: hda - Fix the return value if cb func is already
  registered (git-fixes).
- ALSA: usb-audio: Line6 Pod Go interface requires static clock
  rate quirk (git-fixes).
- ALSA: sparc: dbri: fix repeated word 'the' (git-fixes).
- commit ac47bec
* Fri Oct 23 2020 mkubecek@suse.cz
- blacklist.conf: commit 9def3b1a07c4 not needed
  Mainline commit 9def3b1a07c4 ("iommu/vt-d: Don't dereference iommu_device
  if IOMMU_API is not built") is a build fix which is only needed for config
  with CONFIG_IOMMU_API disabled. As both SLE15-SP2 and openSUSE-15.2 have
  CONFIG_IOMMU_API=y in all configs where applicable, we don't need this
  build fix.
- commit 28bc04c
* Fri Oct 23 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/powerpc-numa-Offline-memoryless-cpuless-node-0.patch
  patches.suse/powerpc-numa-Prefer-node-id-queried-from-vphn.patch
  patches.suse/powerpc-numa-Set-numa_node-for-all-possible-cpus.patch
- commit b2e8401
* Fri Oct 23 2020 yousaf.kaukab@suse.com
- bus: fsl-mc: probe the allocatable objects first
  (jsc#SLE-12251).
- bus: fsl-mc: use raw spin lock to serialize mc cmds
  (jsc#SLE-12251).
- bus: fsl-mc: add missing device types (jsc#SLE-12251).
- bus: fsl-mc: Add ACPI support for fsl-mc (jsc#SLE-12251).
- bus/fsl-mc: Refactor the MSI domain creation in the DPRC driver
  (jsc#SLE-12251).
- of/irq: Make of_msi_map_rid() PCI bus agnostic (jsc#SLE-12251).
- of/irq: make of_msi_map_get_device_domain() bus agnostic
  (jsc#SLE-12251).
- dt-bindings: arm: fsl: Add msi-map device-tree binding for
  fsl-mc bus (jsc#SLE-12251).
- of/device: Add input id to of_dma_configure() (jsc#SLE-12251).
- of/iommu: Make of_map_rid() PCI agnostic (jsc#SLE-12251).
- ACPI/IORT: Add an input ID to acpi_dma_configure()
  (jsc#SLE-12251).
- ACPI/IORT: Remove useless PCI bus walk (jsc#SLE-12251).
- ACPI/IORT: Make iort_msi_map_rid() PCI agnostic (jsc#SLE-12251).
- ACPI/IORT: Make iort_get_device_domain IRQ domain agnostic
  (jsc#SLE-12251).
- ACPI/IORT: Make iort_match_node_callback walk the ACPI namespace
  for NC (jsc#SLE-12251).
- soc: fsl: dpio: Remove unused inline function
  qbman_write_eqcr_am_rt_register (jsc#SLE-12251).
- soc: fsl: dpio: Prefer the CPU affine DPIO (jsc#SLE-12251).
- soc: fsl: qbman: Remove unused inline function
  qm_eqcr_get_ci_stashing (jsc#SLE-12251).
- soc: fsl: dpio: properly compute the consumer index
  (jsc#SLE-12251).
- ACPI/IORT: Remove the unused __get_pci_rid() (jsc#SLE-12251).
- ACPI: IORT: Add comments for not calling acpi_put_table()
  (jsc#SLE-12251).
- ACPI: GTDT: Put GTDT table after parsing (jsc#SLE-12251).
- ACPI: IORT: Add extra message "applying workaround" for off-by-1
  issue (jsc#SLE-12251).
- ACPI/IORT: work around num_ids ambiguity (jsc#SLE-12251).
- ACPI/IORT: take _DMA methods into account for named components
  (jsc#SLE-12251).
- soc: fsl: dpio: avoid stack usage warning (jsc#SLE-12251).
- soc: fsl: dpio: fix incorrect pointer conversions
  (jsc#SLE-12251).
- soc: fsl: dpio: fix dereference of pointer p before null check
  (jsc#SLE-12251).
- soc: fsl: dpio: Replace QMAN array mode with ring mode enqueue
  (jsc#SLE-12251).
- soc: fsl: dpio: QMAN performance improvement with function
  pointer indirection (jsc#SLE-12251).
- soc: fsl: dpio: Adding QMAN multiple enqueue interface
  (jsc#SLE-12251).
- bus: fsl-mc: add api to retrieve mc version (jsc#SLE-12251).
- bus: fsl-mc: properly empty-initialize structure
  (jsc#SLE-12251).
- bus: fsl-mc: add the fsl_mc_get_endpoint function
  (jsc#SLE-12251).
- bus: fsl-mc: export device types present on the bus
  (jsc#SLE-12251).
- bus: fsl-mc: remove explicit device_link_del (jsc#SLE-12251).
- soc: fsl: dpio: remove explicit device_link_remove
  (jsc#SLE-12251).
- soc: fsl: fix spelling mistake "Firmaware" -> "Firmware"
  (jsc#SLE-12251).
- ACPI/IORT: Rename arm_smmu_v3_set_proximity() 'node' local
  variable (jsc#SLE-12251).
- commit d927b04
* Fri Oct 23 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/tracing-check-return-value-of-_create_val_fields-before-using-its-result.patch
  patches.suse/tracing-save-normal-string-variables.patch
- commit 164cdc8
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Add AMD Fam19h RAPL support (jsc#SLE-16869).
- commit aec12eb
* Fri Oct 23 2020 shung-hsi.yu@suse.com
- compiler.h: Enforce that READ_ONCE_NOCHECK() access size is sizeof(long) (bsc#1177591 jsc#SLE-15848).
- commit b23589e
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Fix RAPL config variable bug (jsc#SLE-16869).
- commit d328740
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Make perf_probe_msr() more robust and flexible
  (jsc#SLE-16869).
- commit 4e5d9f2
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Add Hygon Fam18h RAPL support (jsc#SLE-16869).
- commit 6a72ee5
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Add AMD Fam17h RAPL support (jsc#SLE-16869).
- commit bfb5274
* Fri Oct 23 2020 ptesarik@suse.cz
- btrfs: use larger zlib buffer for s390 hardware compression
  (jsc#SLE-13766).
- lib/zlib: add zlib_deflate_dfltcc_enabled() function
  (jsc#SLE-13766).
- s390/boot: add dfltcc= kernel command line parameter
  (jsc#SLE-13766).
- lib/zlib: add s390 hardware support for kernel zlib_inflate
  (jsc#SLE-13766).
- s390/boot: rename HEAP_SIZE due to name collision
  (jsc#SLE-13766).
- lib/zlib: add s390 hardware support for kernel zlib_deflate
  (jsc#SLE-13766).
- commit 04bdac2
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Flip logic on default events visibility
  (jsc#SLE-16869).
- commit 5e90ced
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Refactor to share the RAPL code between Intel
  and AMD CPUs (jsc#SLE-16869).
- commit fdd0caa
* Fri Oct 23 2020 bp@suse.de
- perf/x86/rapl: Move RAPL support to common x86 code
  (jsc#SLE-16869).
- commit 1ff01f0
* Fri Oct 23 2020 glin@suse.com
- arm64: bpf: optimize modulo operation (bsc#1177028).
- commit 81b5b85
* Fri Oct 23 2020 ptesarik@suse.cz
- crypto/testmgr: enable selftests for paes-s390 ciphers
  (jsc#SLE-13722, bsc#1177116, LTC#185152).
- s390/crypto: enable clear key values for paes ciphers
  (jsc#SLE-13722, bsc#1177116, LTC#185152).
- s390/pkey: Add support for key blob with clear key value
  (jsc#SLE-13722, bsc#1177116, LTC#185152).
- s390/crypto: Rework on paes implementation (jsc#SLE-13722,
  bsc#1177116, LTC#185152).
- crypto: s390/paes - convert to skcipher API (jsc#SLE-13722,
  bsc#1177116, LTC#185152).
- commit 43d6ca5
* Fri Oct 23 2020 glin@suse.com
- bpf, x86_32: Fix logic error in BPF_LDX zero-extension
  (bsc#1177028).
- bpf, x86_32: Fix clobbering of dst for BPF_JSET (bsc#1177028).
- bpf, x86_32: Fix incorrect encoding in BPF_LDX zero-extension
  (bsc#1177028).
- bpf, x86: Fix encoding for lower 8-bit registers in BPF_STX
  BPF_B (bsc#1177028).
- bpf, x32: Fix bug with JMP32 JSET BPF_X checking upper bits
  (bsc#1177028).
- bpf, x86: Small optimization in comparing against imm0
  (bsc#1177028).
- commit 37449ae
* Fri Oct 23 2020 ptesarik@suse.cz
- Update patch references
- patches.suse/vfio-ccw-enable-transparent-ccw-ipl-from-dasd
  (bsc#1175713, jsc#SLE-13665).
- commit fecea13
* Fri Oct 23 2020 glin@suse.com
- tools: Sync uapi/linux/if_link.h (bsc#1177028).
- commit 049f93a
* Fri Oct 23 2020 ptesarik@suse.cz
- s390: support KPROBES_ON_FTRACE (jsc#SLE-13726).
- commit 62c2432
* Fri Oct 23 2020 tiwai@suse.de
- serial: 8250_pci: Implement MSI(-X) support (jsc#SLE-15898).
- commit f391149
* Fri Oct 23 2020 glin@suse.com
- bpf: Use migrate_disable/enable in array macros and cgroup/lirc
  code (bsc#1177028).
- bpf: Use bpf_prog_run_pin_on_cpu() at simple call sites
  (bsc#1177028).
- bpf: Replace cant_sleep() with cant_migrate() (bsc#1177028).
- perf/bpf: Remove preempt disable around BPF invocation
  (bsc#1177028).
- bpf/trace: Remove redundant preempt_disable from
  trace_call_bpf() (bsc#1177028).
- bpf: disable preemption for bpf progs attached to uprobe
  (bsc#1177028).
- bpf/trace: Remove EXPORT from trace_call_bpf() (bsc#1177028).
- bpf/tracing: Remove redundant preempt_disable() in
  __bpf_trace_run() (bsc#1177028).
- sched: Provide cant_migrate() (bsc#1177028).
- bpf: Fix deadlock with rq_lock in bpf_send_signal()
  (bsc#1177028).
- commit 3827970
* Fri Oct 23 2020 tiwai@suse.de
- clk: bcm2835: add missing release if devm_clk_hw_register fails
  (git-fixes).
- clk: qcom: gcc-sdm660: Fix wrong parent_map (git-fixes).
- clk: imx8mq: Fix usdhc parents order (git-fixes).
- clk: at91: clk-main: update key before writing AT91_CKGR_MOR
  (git-fixes).
- clk: at91: remove the checking of parent_name (git-fixes).
- clk: keystone: sci-clk: fix parsing assigned-clock data during
  probe (git-fixes).
- clk: meson: g12a: mark fclk_div2 as critical (git-fixes).
- pwm: img: Fix null pointer access in probe (git-fixes).
- PCI: aardvark: Check for errors from pci_bridge_emul_init()
  call (git-fixes).
- watchdog: sp5100: Fix definition of EFCH_PM_DECODEEN3
  (git-fixes).
- watchdog: Use put_device on error (git-fixes).
- watchdog: Fix memleak in watchdog_cdev_register (git-fixes).
- rtc: rx8010: don't modify the global rtc ops (git-fixes).
- i2c: imx: Fix external abort on interrupt in exit paths
  (git-fixes).
- i2c: rcar: Auto select RESET_CONTROLLER (git-fixes).
- ida: Free allocated bitmap in error path (git-fixes).
- commit affb66d
* Fri Oct 23 2020 glin@suse.com
- bpf, sockmap: bpf_tcp_ingress needs to subtract bytes from
  sg.size (bsc#1177028).
- bpf: Add bpf_sk_storage support to bpf_tcp_ca (bsc#1177028).
- bpf, tcp: Make tcp_bpf_recvmsg static (bsc#1177028).
- bpf, tcp: Fix unused function warnings (bsc#1177028).
- commit fd5b8a2
* Fri Oct 23 2020 jslaby@suse.cz
- ipv4: Restore flowi4_oif update before call to xfrm_lookup_route
  (git-fixes).
- tipc: fix the skb_unshare() in tipc_buf_append() (git-fixes).
- commit 1834339
* Fri Oct 23 2020 glin@suse.com
- bpf: sockmap: Add UDP support (bsc#1177028).
- bpf: Add sockmap hooks for UDP sockets (bsc#1177028).
- bpf: sockmap: Simplify sock_map_init_proto (bsc#1177028).
- bpf: sockmap: Move generic sockmap hooks from BPF TCP
  (bsc#1177028).
- bpf: tcp: Guard declarations with CONFIG_NET_SOCK_MSG
  (bsc#1177028).
- bpf: tcp: Move assertions into tcp_bpf_get_proto (bsc#1177028).
- skmsg: Update saved hooks only once (bsc#1177028).
- bpf: sockmap: Only check ULP for TCP sockets (bsc#1177028).
- bpf, sk_msg: Don't clear saved sock proto on restore
  (bsc#1177028).
- bpf, sk_msg: Let ULP restore sk_proto and write_space callback
  (bsc#1177028).
- bpf, sockmap: Replace zero-length array with flexible-array
  member (bsc#1177028).
- bpf, sockmap: Remove bucket->lock from sock_{hash|map}_free
  (bsc#1177028).
- commit 66ade7e
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: tlb: Use the TLBI RANGE feature in arm64 (jsc#SLE-13697).
- commit 77608e2
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: enable tlbi range instructions (jsc#SLE-13697).
- Update config file.
- commit 040e15c
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: tlb: Detect the ARMv8.4 TLBI RANGE feature
  (jsc#SLE-13697).
- Refresh
  patches.suse/kabi-arm64-reserve-space-in-cpu_hwcaps-and-cpu_hwcap.patch.
- commit 8e95b94
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: tlb: don't set the ttl value in flush_tlb_page_nosync
  (jsc#SLE-13697).
- commit ea02817
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: Shift the __tlbi_level() indentation left
  (jsc#SLE-13697).
- commit 8434482
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: tlb: Set the TTL field in flush_*_tlb_range
  (jsc#SLE-13697).
- commit 223e4ec
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: tlb: Set the TTL field in flush_tlb_range
  (jsc#SLE-13697).
- commit 1f88247
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: Add tlbi_user_level TLB invalidation helper
  (jsc#SLE-13697).
- commit 78ea77e
* Thu Oct 22 2020 mbrugger@suse.com
- arm64: Add level-hinted TLB invalidation helper (jsc#SLE-13697).
- commit 4310a61
* Thu Oct 22 2020 yousaf.kaukab@suse.com
- firmware: smccc: Fix missing prototype warning for arm_smccc_version_init (jsc#SLE-12251).
- firmware: psci: Export functions to manage the OSI mode (jsc#SLE-12251).
- PSCI: cpuidle: Refactor CPU suspend power_state parameter
  handling (jsc#SLE-12251).
- ARM: psci: cpuidle: Enable PSCI CPUidle driver (jsc#SLE-12251).
- commit e84f31f
* Thu Oct 22 2020 yousaf.kaukab@suse.com
- ARM: psci: cpuidle: Introduce PSCI CPUidle driver
  (jsc#SLE-12251).
- drivers: firmware: psci: Decouple checker from generic ARM
  CPUidle (jsc#SLE-12251).
- ARM: cpuidle: Remove overzealous error logging (jsc#SLE-12251).
- ARM: cpuidle: Remove useless header include (jsc#SLE-12251).
- commit 24f2a6e
* Thu Oct 22 2020 hare@suse.de
- nvme: don't call revalidate_disk from nvme_set_queue_dying
  (jsc#SLE-15608).
- block: fix locking for struct block_device size updates
  (jsc#SLE-15608).
- block: replace bd_set_size with bd_set_nr_sectors
  (jsc#SLE-15608).
- block: Make request_queue.rpm_status an enum (jsc#SLE-15608).
- commit 6150733
* Thu Oct 22 2020 hare@suse.de
- nvme-core: don't use NVME_NSID_ALL for command effects and
  supported log (jsc#SLE-15608).
- nvme-fc: fail new connections to a deleted host or remote port
  (jsc#SLE-15608).
- nvme-pci: fix NULL req in completion handler (jsc#SLE-15608).
- nvme: return errors for hwmon init (jsc#SLE-15608).
- nvmet: get transport reference for passthru ctrl
  (jsc#SLE-15608).
- nvme-core: get/put ctrl and transport module in
  nvme_dev_open/release() (jsc#SLE-15608).
- nvme-tcp: fix kconfig dependency warning when !CRYPTO
  (jsc#SLE-15608).
- nvme-pci: disable the write zeros command for Intel 600P/P3100
  (jsc#SLE-15608).
- commit 436fefe
* Thu Oct 22 2020 hare@suse.de
- nvme-fabrics: allow to queue requests for live queues
  (jsc#SLE-15608).
- nvme-tcp: cancel async events before freeing event struct
  (jsc#SLE-15608).
- nvme-rdma: cancel async events before freeing event struct
  (jsc#SLE-15608).
- nvme-fc: cancel async events before freeing event struct
  (jsc#SLE-15608).
- nvme: Revert: Fix controller creation races with teardown
  (jsc#SLE-15608).
- commit 3811d9f
* Thu Oct 22 2020 hare@suse.de
- nvme-pci: cancel nvme device request before disabling
  (jsc#SLE-15608).
- nvme: only use power of two io boundaries (jsc#SLE-15608).
- nvme: fix controller instance leak (jsc#SLE-15608).
- nvmet-fc: Fix a missed _irqsave version of spin_lock in
  (jsc#SLE-15608).
- nvme: Fix NULL dereference for pci nvme controllers
  (jsc#SLE-15608).
- nvme-rdma: fix reset hang if controller died in the middle of
  (jsc#SLE-15608).
- nvme-rdma: fix timeout handler (jsc#SLE-15608).
- nvme-rdma: serialize controller teardown sequences
  (jsc#SLE-15608).
- nvme-tcp: fix reset hang if controller died in the middle of
  (jsc#SLE-15608).
- nvme-tcp: fix timeout handler (jsc#SLE-15608).
- nvme-tcp: serialize controller teardown sequences
  (jsc#SLE-15608).
- nvme: have nvme_wait_freeze_timeout return if it timed out
  (jsc#SLE-15608).
- nvme-fabrics: don't check state NVME_CTRL_NEW for request
  (jsc#SLE-15608).
- nvmet-tcp: Fix NULL dereference when a connect data comes in
  (jsc#SLE-15608).
- commit 7d52496
* Thu Oct 22 2020 hare@suse.de
- nvmet: Disable keep-alive timer when kato is cleared to 0h
  (jsc#SLE-15608).
- nvme: redirect commands on dying queue (jsc#SLE-15608).
- nvme: just check the status code type in nvme_is_path_error
  (jsc#SLE-15608).
- commit 2d2d113
* Thu Oct 22 2020 hare@suse.de
- nvme: refactor command completion (jsc#SLE-15608).
- Delete
  patches.suse/nvme-multipath-retry-commands-for-dying-queues.patch.
- commit f555779
* Thu Oct 22 2020 hare@suse.de
- nvme: rename and document nvme_end_request (jsc#SLE-15608).
- commit 4e6b152
* Thu Oct 22 2020 hare@suse.de
- nvme: skip noiob for zoned devices (jsc#SLE-15608).
- nvme-pci: fix PRP pool size (jsc#SLE-15608).
- nvme-pci: Use u32 for nvme_dev.q_depth and nvme_queue.q_depth
  (jsc#SLE-15608).
- nvme: Use spin_lock_irq() when taking the ctrl->lock
  (jsc#SLE-15608).
- nvmet: call blk_mq_free_request() directly (jsc#SLE-15608).
- nvmet: fix oops in pt cmd execution (jsc#SLE-15608).
- nvmet: add ns tear down label for pt-cmd handling
  (jsc#SLE-15608).
- commit 84e93f3
* Thu Oct 22 2020 hare@suse.de
- nvme-fc: Fix wrong return value in __nvme_fc_init_request()
  (jsc#SLE-15608).
- nvmet-passthru: Reject commands with non-sgl flags set
  (jsc#SLE-15608).
- nvmet: fix a memory leak (jsc#SLE-15608).
- commit bf90d38
* Thu Oct 22 2020 hare@suse.de
- nvme-loop: remove extra variable in create ctrl (jsc#SLE-15608).
- nvme-loop: set ctrl state connecting after init (jsc#SLE-15608).
- commit c8ebefa
* Thu Oct 22 2020 yousaf.kaukab@suse.com
- arm64: perf: Expose some new events via sysfs (jsc#SLE-12251).
- arm64: perf: Correct the event index in sysfs (jsc#SLE-12251).
- dt-bindings: ARM: Clean up PMU compatible list (jsc#SLE-12251).
- dt-bindings: ARM: Add recent Cortex/Neoverse PMUs
  (jsc#SLE-12251).
- dt-bindings: ARM: Add recent Cortex/Neoverse CPUs
  (jsc#SLE-12251).
- arm64: perf: Clean up enable/disable calls (jsc#SLE-12251).
- arm64: perf: Support new DT compatibles (jsc#SLE-12251).
- arm64: perf: Refactor PMU init callbacks (jsc#SLE-12251).
- arm64: perf: Simplify the ARMv8 PMUv3 event attributes
  (jsc#SLE-12251).
- arm64: perf_event: Add missing header needed for
  smp_processor_id() (jsc#SLE-12251).
- arm64: perf: Remove unused macro (jsc#SLE-12251).
- commit 749ce19
* Thu Oct 22 2020 hare@suse.de
- nvmet: introduce the passthru Kconfig option (jsc#SLE-15608).
- Update config files.
- commit 080c346
* Thu Oct 22 2020 mhocko@suse.com
- Refresh
  patches.suse/0001-kernel-allow-to-configure-PREEMPT_NONE-PREEMPT_VOLUN.patch.
  fix compile issue with CONFIG_PREEMPT=y. might_resched should be noop
  for this config.
- commit 7a7b87e
* Thu Oct 22 2020 hare@suse.de
- nvmet: introduce the passthru configfs interface
  (jsc#SLE-15608).
- nvmet: Add passthru enable/disable helpers (jsc#SLE-15608).
- nvmet: add passthru code to process commands (jsc#SLE-15608).
- commit c84d296
* Thu Oct 22 2020 hare@suse.de
- nvme: export nvme_find_get_ns() and nvme_put_ns()
  (jsc#SLE-15608).
- nvme: introduce nvme_ctrl_get_by_path() (jsc#SLE-15608).
- nvme: introduce nvme_execute_passthru_rq to call
  nvme_passthru_[start|end]() (jsc#SLE-15608).
- nvme: create helper function to obtain command effects
  (jsc#SLE-15608).
- commit 10d11d8
* Thu Oct 22 2020 hare@suse.de
- Refresh
  patches.suse/0031-export-avoid-code-duplication-in-include-linux-expor.patch.
- commit b17f73b
* Thu Oct 22 2020 mhocko@suse.com
- mm: don't panic when links can't be created in sysfs
  (bsc#1178002).
- mm: don't rely on system state to detect hot-plug operations
  (bsc#1178002).
- mm: replace memmap_context by meminit_context (bsc#1178002).
- commit 77a655e
* Thu Oct 22 2020 mbrugger@suse.com
- Update reference for GIC v4.1 support
- Update
  patches.suse/KVM-arm64-vgic-v4-Move-the-GICv4-residency-flow-to-b.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/KVM-arm64-vgic-v4-Plug-race-between-non-residency-an.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/PCI-Remove-unused-includes-and-superfluous-struct-de.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/arm64-Relax-ICC_PMR_EL1-accesses-when-ICC_CTLR_EL1.P.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-Remove-redundant-semicolon-after-while.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-Prepare-for-more-than-16-PPIs.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-Rework-gic_configure_irq-to-take-the-ful.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-Skip-DT-quirks-when-evaluating-IIDR-base.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update patches.suse/irqchip-gic-v3-Add-EPPI-range-support.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update patches.suse/irqchip-gic-v3-Add-ESPI-range-support.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Add-GICv4.1-VPEID-size-discovery.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Add-INTID-range-and-convertion-primit.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Add-quirks-for-HIP06-07-invalid-GICD_.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Detect-GICv4.1-supporting-RVPEID.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Dynamically-allocate-PPI-NMI-refcount.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Dynamically-allocate-PPI-partition-de.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Fix-GIC_LINE_NR-accessor.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Fix-missing-__init-for-gic_smp_init.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Move-irq_domain_update_bus_token-to-a.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Use-SGIs-without-active-state-if-offe.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Warn-about-inconsistent-implementatio.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-Workaround-Cavium-erratum-38539-when-.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Add-its_vlpi_map-helpers.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Allow-LPI-invalidation-via-the-Di.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Balance-initial-LPI-affinity-acro.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Factor-out-wait_for_syncr-primiti.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Fix-access-width-for-gicr_syncr.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Fix-get_vlpi_map-breakage-with-do.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Fix-u64-to-__le64-warnings.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Free-collection-mapping-on-device.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Kill-its-device_ids-and-use-TYPER.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Kill-its-ite_size-and-use-TYPER-c.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Lock-VLPI-map-array-before-transl.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Make-is_v4-use-a-TYPER-copy.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Make-vlpi_lock-a-spinlock.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Probe-ITS-page-size-for-all-GITS_.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Remove-superfluous-WARN_ON.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Remove-the-redundant-set_bit-for-.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Rename-VPENDBASER-VPROPBASER-acce.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Synchronise-INT-CLEAR-commands-ta.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Synchronise-INV-command-targettin.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v3-its-Track-LPI-distribution-on-a-per-C.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4-Use-Inner-Shareable-attributes-for-vi.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-VPE-INVALL-callback.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-VPE-eviction-callback.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-VPE-residency-callback.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-VSGI-allocation-teardown.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-VSGI-property-setup.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-initial-SGI-configuration.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-mask-unmask-doorbell-callbacks.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Add-support-for-VPENDBASER-s-Dirty-.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Advertise-support-v4.1-to-KVM.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Allow-direct-invalidation-of-VLPIs.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Avoid-64bit-division-for-the-sake-o.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Don-t-use-the-VPE-proxy-if-RVPEID-i.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Drop-tmp-in-inherit_vpe_l1_table_fr.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update patches.suse/irqchip-gic-v4.1-Eagerly-vmap-vPEs.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Ensure-L2-vPE-table-is-allocated-at.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Ensure-accessing-the-correct-RD-whe.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Ensure-mutual-exclusion-between-vPE.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Ensure-mutual-exclusion-betwen-inva.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Fix-programming-of-GICR_VPROPBASER_.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Implement-the-v4.1-flavour-of-VMAPP.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Implement-the-v4.1-flavour-of-VMOVP.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Map-the-ITS-SGIR-register-page.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Move-doorbell-management-to-the-GIC.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Plumb-get-set_irqchip_state-SGI-cal.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Plumb-mask-unmask-SGI-callbacks.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Plumb-set_vcpu_affinity-SGI-callbac.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Plumb-skeletal-VPE-irqchip.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Plumb-skeletal-VSGI-irqchip.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Set-vpe_l1_base-for-all-redistribut.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Skip-absent-CPUs-while-iterating-ov.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Suppress-per-VLPI-doorbell.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Update-effective-affinity-of-virtua.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Use-GFP_ATOMIC-flag-in-allocate_vpe.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Use-readx_poll_timeout_atomic-to-fi.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-VPE-table-aka-GICR_VPROPBASER-alloc.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- Update
  patches.suse/irqchip-gic-v4.1-Wait-for-completion-of-redistributo.patch
  (jsc#SLE-14773 jsc#SLE-14763).
- commit 58e1089
* Thu Oct 22 2020 hare@suse.de
- nvme: clear any SGL flags in passthru commands (jsc#SLE-15608).
- nvmet-fc: remove redundant del_work_active flag (jsc#SLE-15608).
- nvmet-fc: check successful reference in
  nvmet_fc_find_target_assoc (jsc#SLE-15608).
- nvme-hwmon: log the controller device name (jsc#SLE-15608).
- nvme: fix deadlock in disconnect during scan_work and/or
  ana_work (jsc#SLE-15608).
- nvme: document nvme controller states (jsc#SLE-15608).
- nvmet: use xarray for ctrl ns storing (jsc#SLE-15608).
- nvmet-rdma: use new shared CQ mechanism (jsc#SLE-15608).
- nvme-rdma: use new shared CQ mechanism (jsc#SLE-15608).
- nvme-pci: add support for ACPI StorageD3Enable property
  (jsc#SLE-15608).
- nvme-pci: use max of PRP or SGL for iod size (jsc#SLE-15608).
- nvme-core: replace ctrl page size with a macro (jsc#SLE-15608).
- nvme: remove redundant validation in nvme_start_ctrl()
  (jsc#SLE-15608).
- nvme: remove an unnecessary condition (jsc#SLE-15608).
- commit 21d9aa1
* Thu Oct 22 2020 hare@suse.de
- nvme: remove ns->disk checks (jsc#SLE-15608).
- nvme-pci: use standard block status symbolic names
  (jsc#SLE-15608).
- nvme-pci: use the consistent return type of
  nvme_pci_iod_alloc_size() (jsc#SLE-15608).
- nvme-pci: add a blank line after declarations (jsc#SLE-15608).
- nvme-pci: fix some comments issues (jsc#SLE-15608).
- nvme-pci: remove redundant segment validation (jsc#SLE-15608).
- nvme: document quirked Intel models (jsc#SLE-15608).
- nvme: expose reconnect_delay and ctrl_loss_tmo via sysfs
  (jsc#SLE-15608).
- commit feb4139
* Thu Oct 22 2020 hare@suse.de
- nvme: support for zoned namespaces (jsc#SLE-15608).
- nvme: support for multiple Command Sets Supported and Effects
  (jsc#SLE-15608).
- nvme: implement multiple I/O Command Set support
  (jsc#SLE-15608).
- commit 2c62e4c
* Thu Oct 22 2020 hare@suse.de
- null_blk: introduce zone capacity for zoned device
  (jsc#SLE-15608).
- block: add capacity field to zone descriptors (jsc#SLE-15608).
- commit 652b3d0
* Thu Oct 22 2020 hare@suse.de
- nvme: use USEC_PER_SEC instead of magic numbers (jsc#SLE-15608).
- nvmet-tcp: simplify nvmet_process_resp_list (jsc#SLE-15608).
- nvme-tcp: optimize network stack with setting msg flags
  according to batch size (jsc#SLE-15608).
- nvme-tcp: leverage request plugging (jsc#SLE-15608).
- nvme-tcp: have queue prod/cons send list become a llist
  (jsc#SLE-15608).
- nvme-fcloop: verify wwnn and wwpn format (jsc#SLE-15608).
- nvmet: use unsigned type for u64 (jsc#SLE-15608).
- nvmet: introduce flags member in nvmet_fabrics_ops
  (jsc#SLE-15608).
- nvmet-tcp: remove has_keyed_sgls initialization (jsc#SLE-15608).
- nvmet-loop: remove unused 'target_ctrl' in nvme_loop_ctrl
  (jsc#SLE-15608).
- nvme-pci: remove the empty line at the beginning of
  nvme_should_reset() (jsc#SLE-15608).
- nvme-pci: code cleanup for nvme_alloc_host_mem()
  (jsc#SLE-15608).
- nvme-pci: use unsigned for io queue depth (jsc#SLE-15608).
- nvme-core: use u16 type for ctrl->sqsize (jsc#SLE-15608).
- nvme-core: use u16 type for directives (jsc#SLE-15608).
- commit 3cbebd4
* Thu Oct 22 2020 hare@suse.de
- nvme-rdma: fix a missing completion with remove invalidation
  (jsc#SLE-15608).
- nvme: use blk_mq_complete_request_remote to avoid an indirect
  (jsc#SLE-15608).
- commit 46ffbe6
* Thu Oct 22 2020 yousaf.kaukab@suse.com
- clk: composite: add _register_composite_pdata() variants
  (jsc#SLE-12251).
- commit fc35561
* Thu Oct 22 2020 jslaby@suse.cz
- blacklist.conf: add a cleanup
- commit 5a26435
* Thu Oct 22 2020 tzimmermann@suse.de
- supported.conf: Support drm_ttm_helper
- commit 095c607
* Thu Oct 22 2020 hare@suse.de
- nvme-pci: prevent SK hynix PC400 from using Write Zeroes command
  (jsc#SLE-15608).
- nvme-tcp: fix possible hang waiting for icresp response
  (jsc#SLE-15608).
- commit 9bee2f5
* Thu Oct 22 2020 tzimmermann@suse.de
- blacklist.conf: Append 'kbuild: fix 'No such file or directory' warning when cleaning'
- commit dc85c97
* Thu Oct 22 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm: call drm_gem_object_funcs.mmap with fake offset'
- commit 59ce174
* Thu Oct 22 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vram: remove unused declaration'
- commit fcd7497
* Thu Oct 22 2020 tzimmermann@suse.de
- blacklist.conf: Append 'media: meson/ao-cec: move cec_notifier_cec_adap_register after hw setup'
- commit c0b9412
* Thu Oct 22 2020 mgorman@suse.de
- mm, fadvise: improve the expensive remote LRU cache draining
  after FADV_DONTNEED (bnc#1177788 (VM/FS performance-related
  backports)).
- commit 075f23c
* Thu Oct 22 2020 hare@suse.de
- nvme: explicitly update mpath disk capacity on revalidation
  (jsc#SLE-15608).
- nvme-multipath: fix bogus request queue reference put
  (jsc#SLE-15608).
- nvme-multipath: fix deadlock due to head->lock (jsc#SLE-15608).
- nvme: don't protect ns mutation with ns->head->lock
  (jsc#SLE-15608).
- nvme-multipath: fix deadlock between ana_work and scan_work
  (jsc#SLE-15608).
- nvme: fix possible deadlock when I/O is blocked (jsc#SLE-15608).
- nvme-rdma: assign completion vector correctly (jsc#SLE-15608).
- nvme-loop: initialize tagset numa value to the value of the ctrl
  (jsc#SLE-15608).
- nvme-tcp: initialize tagset numa value to the value of the ctrl
  (jsc#SLE-15608).
- nvme-pci: initialize tagset numa value to the value of the ctrl
  (jsc#SLE-15608).
- nvme: set initial value for controller's numa node
  (jsc#SLE-15608).
- commit 43dd2cc
* Thu Oct 22 2020 jslaby@suse.cz
- net: bridge: br_vlan_get_pvid_rcu() should dereference the
  VLAN group under RCU (networking-stable-20_09_24).
- net/mlx5e: TLS, Do not expose FPGA TLS counter if not supported
  (networking-stable-20_09_24).
- net/mlx5e: Enable adding peer miss rules only if merged eswitch
  is supported (networking-stable-20_09_24).
- net/mlx5: Fix FTE cleanup (networking-stable-20_09_24).
- net: sctp: Fix IPv6 ancestor_size calc in sctp_copy_descendant
  (networking-stable-20_09_24).
- net: ipv6: fix kconfig dependency warning for IPV6_SEG6_HMAC
  (networking-stable-20_09_24).
- nfp: use correct define to return NONE fec
  (networking-stable-20_09_24).
- net: phy: Do not warn in phy_stop() on PHY_DOWN
  (networking-stable-20_09_24).
- net: phy: Avoid NPD upon phy_detach() when driver is unbound
  (networking-stable-20_09_24).
- cxgb4: fix memory leak during module unload
  (networking-stable-20_09_24).
- ipv4: Update exception handling for multipath routes via same
  device (networking-stable-20_09_24).
- tipc: use skb_unshare() instead in tipc_buf_append()
  (networking-stable-20_09_24).
- tipc: Fix memory leak in tipc_group_create_member()
  (networking-stable-20_09_24).
- ipv4: Initialize flowi4_multipath_hash in data path
  (networking-stable-20_09_24).
- net: lantiq: Disable IRQs only if NAPI gets scheduled
  (networking-stable-20_09_24).
- net: lantiq: Use napi_complete_done()
  (networking-stable-20_09_24).
- net: lantiq: use netif_tx_napi_add() for TX NAPI
  (networking-stable-20_09_24).
- net: lantiq: Wake TX queue again (networking-stable-20_09_24).
- taprio: Fix allowing too small intervals
  (networking-stable-20_09_24).
- net: DCB: Validate DCB_ATTR_DCB_BUFFER argument
  (networking-stable-20_09_24).
- net: Fix bridge enslavement failure
  (networking-stable-20_09_24).
- tipc: fix shutdown() of connection oriented socket
  (networking-stable-20_09_24).
- ip: fix tos reflection in ack and reset packets
  (networking-stable-20_09_24).
- ipv6: avoid lockdep issue in fib6_del()
  (networking-stable-20_09_24).
- net: dsa: rtl8366: Properly clear member config
  (networking-stable-20_09_24).
- cxgb4: Fix offset when clearing filter byte counters
  (networking-stable-20_09_24).
- act_ife: load meta modules before tcf_idr_check_alloc()
  (networking-stable-20_09_24).
- tipc: fix shutdown() of connectionless socket
  (networking-stable-20_09_11).
- ipv6: Fix sysctl max for fib_multipath_hash_policy
  (networking-stable-20_09_11).
- net: usb: dm9601: Add USB ID of Keenetic Plus DSL
  (networking-stable-20_09_11).
- net: disable netpoll on fresh napis
  (networking-stable-20_09_11).
- gtp: add GTPA_LINK info to msg sent to userspace
  (networking-stable-20_09_11).
- netlabel: fix problems with mapping removal
  (networking-stable-20_09_11).
- sctp: not disable bh in the whole sctp_get_port_local()
  (networking-stable-20_09_11).
- net: systemport: Fix memleak in bcm_sysport_probe
  (networking-stable-20_09_11).
- net: hns: Fix memleak in hns_nic_dev_probe
  (networking-stable-20_09_11).
- net: dsa: b53: check for timeout (networking-stable-20_08_24).
- net/sched: act_ct: Fix skb double-free
  in tcf_ct_handle_fragments() error flow
  (networking-stable-20_08_24).
- net: sctp: Fix negotiation of the number of data streams
  (networking-stable-20_08_24).
- gre6: Fix reception with IP6_TNL_F_RCV_DSCP_COPY
  (networking-stable-20_08_24).
- net/smc: Prevent kernel-infoleak in __smc_diag_dump()
  (networking-stable-20_08_24).
- net: qrtr: fix usage of idr in port assignment to socket
  (networking-stable-20_08_24).
- tipc: fix uninit skb->data in tipc_nl_compat_dumpit()
  (networking-stable-20_08_24).
- net: Fix potential wrong skb->protocol in skb_vlan_untag()
  (networking-stable-20_08_24).
- ipvlan: fix device features (networking-stable-20_08_24).
- bonding: show saner speed for broadcast mode
  (networking-stable-20_08_24).
- net: fec: correct the error path for regulator disable in probe
  (networking-stable-20_08_24).
- commit 913985f
* Thu Oct 22 2020 hare@suse.de
- nvmet: fail outstanding host posted AEN req (jsc#SLE-15608).
- nvme-pci: use simple suspend when a HMB is enabled
  (jsc#SLE-15608).
- nvmet-tcp: constify nvmet_tcp_ops (jsc#SLE-15608).
- nvme-tcp: constify nvme_tcp_mq_ops and nvme_tcp_admin_mq_ops
  (jsc#SLE-15608).
- nvme: do not call del_gendisk() on a disk that was never added
  (jsc#SLE-15608).
- commit 61826ec
* Thu Oct 22 2020 hare@suse.de
- nvme: set dma alignment to qword (jsc#SLE-15608).
- nvmet: cleanups the loop in nvmet_async_events_process
  (jsc#SLE-15608).
- nvmet: fix memory leak when removing namespaces and controllers
  concurrently (jsc#SLE-15608).
- nvmet-rdma: add metadata/T10-PI support (jsc#SLE-15608).
- nvmet: add metadata support for block devices (jsc#SLE-15608).
- nvmet: add metadata/T10-PI support (jsc#SLE-15608).
- nvme: add Metadata Capabilities enumerations (jsc#SLE-15608).
- nvmet: rename nvmet_check_data_len to nvmet_check_transfer_len
  (jsc#SLE-15608).
- nvmet: rename nvmet_rw_len to nvmet_rw_data_len (jsc#SLE-15608).
- nvmet: add metadata characteristics for a namespace
  (jsc#SLE-15608).
- nvme-rdma: add metadata/T10-PI support (jsc#SLE-15608).
- nvme-rdma: introduce nvme_rdma_sgl structure (jsc#SLE-15608).
- nvme: introduce NVME_INLINE_METADATA_SG_CNT (jsc#SLE-15608).
- nvme: enforce extended LBA format for fabrics metadata
  (jsc#SLE-15608).
- nvme: introduce max_integrity_segments ctrl attribute
  (jsc#SLE-15608).
- nvme: make nvme_ns_has_pi accessible to transports
  (jsc#SLE-15608).
- nvme: introduce NVME_NS_METADATA_SUPPORTED flag (jsc#SLE-15608).
- nvme: introduce namespace features flag (jsc#SLE-15608).
- block: always define struct blk_integrity in genhd.h
  (jsc#SLE-15608).
- nvmet: revalidate-ns & generate AEN from configfs
  (jsc#SLE-15608).
- nvmet: generate AEN for ns revalidate size change
  (jsc#SLE-15608).
- nvmet: add helper to revalidate bdev and file ns
  (jsc#SLE-15608).
- nvmet: add async event tracing support (jsc#SLE-15608).
- nvme: delete an unnecessary declaration (jsc#SLE-15608).
- nvme: replace zero-length array with flexible-array
  (jsc#SLE-15608).
- nvme: fix io_opt limit setting (jsc#SLE-15608).
- nvme: disable streams when get stream params failed
  (jsc#SLE-15608).
- nvme-pci: make sure write/poll_queues less or equal then cpu
  count (jsc#SLE-15608).
- nvmet-tcp: move send/recv error handling in the send/recv
  methods instead of call-sites (jsc#SLE-15608).
- nvmet-tcp: set MSG_EOR if we send last payload in the batch
  (jsc#SLE-15608).
- nvmet-tcp: set MSG_SENDPAGE_NOTLAST with MSG_MORE when we have
  more to send (jsc#SLE-15608).
- nvme-tcp: set MSG_SENDPAGE_NOTLAST with MSG_MORE when we have
  more to send (jsc#SLE-15608).
- nvmet: mark nvmet_ana_state static (jsc#SLE-15608).
- nvmet: replace kstrndup() with kmemdup_nul() (jsc#SLE-15608).
- commit 4b287a4
* Thu Oct 22 2020 hare@suse.de
- nvmet: align addrfam list to spec (jsc#SLE-15608).
- nvmet: centralize port enable access for configfs
  (jsc#SLE-15608).
- nvmet: use type-name map for address treq (jsc#SLE-15608).
- nvmet: use type-name map for ana states (jsc#SLE-15608).
- nvmet: use type-name map for address family (jsc#SLE-15608).
- nvmet: add generic type-name mapping (jsc#SLE-15608).
- nvme-tcp: try to send request in queue_rq context
  (jsc#SLE-15608).
- nvme-tcp: avoid scheduling io_work if we are already polling
  (jsc#SLE-15608).
- nvme-tcp: use bh_lock in data_ready (jsc#SLE-15608).
- nvme-pci: align io queue count with allocted nvme_queue in
  nvme_probe (jsc#SLE-15608).
- nvme-pci: remove last_sq_tail (jsc#SLE-15608).
- nvme-pci: remove volatile cqes (jsc#SLE-15608).
- nvme: flush scan work on passthrough commands (jsc#SLE-15608).
- nvme: clean up error handling in nvme_init_ns_head
  (jsc#SLE-15608).
- nvmet: add ns revalidation support (jsc#SLE-15608).
- commit 805e456
* Thu Oct 22 2020 hare@suse.de
- nvmet-fc: slight cleanup for kbuild test warnings
  (jsc#SLE-15608).
- nvmet-rdma: use SRQ per completion vector (jsc#SLE-15608).
- nvme-pci: avoid race between nvme_reap_pending_cqes() and
  nvme_poll() (jsc#SLE-15608).
- commit 343b6c9
* Thu Oct 22 2020 hare@suse.de
- nvme-pci: dma read memory barrier for completions
  (jsc#SLE-15608).
- nvme-pci: fix "slimmer CQ head update" (jsc#SLE-15608).
- commit c96c09c
* Thu Oct 22 2020 hare@suse.de
- nvmet-rdma: fix double free of rdma queue (jsc#SLE-15608).
- nvme-tcp: fix possible crash in recv error flow (jsc#SLE-15608).
- nvme-tcp: don't poll a non-live queue (jsc#SLE-15608).
- commit d7df222
* Thu Oct 22 2020 hare@suse.de
- nvme: fix compat address handling in several ioctls
  (jsc#SLE-15608).
- Delete
  patches.suse/Revert-nvme-allow-64-bit-results-in-passthru-command.patch.
- commit 906a866
* Thu Oct 22 2020 hare@suse.de
- nvme: Use nvme_state_terminal helper (jsc#SLE-15608).
- nvme: Add compat_ioctl handler for NVME_IOCTL_SUBMIT_IO
  (jsc#SLE-15608).
- nvmet-tcp: optimize tcp stack TX when data digest is used
  (jsc#SLE-15608).
- nvmet-rdma: allocate RW ctxs according to mdts (jsc#SLE-15608).
- nvmet-rdma: Implement get_mdts controller op (jsc#SLE-15608).
- nvmet: Add get_mdts op for controllers (jsc#SLE-15608).
- nvme-pci: properly print controller address (jsc#SLE-15608).
- nvme-tcp: break from io_work loop if recv failed
  (jsc#SLE-15608).
- nvme-tcp: move send failure to nvme_tcp_try_send
  (jsc#SLE-15608).
- nvmet-tcp: fix maxh2cdata icresp parameter (jsc#SLE-15608).
- nvme-tcp: optimize queue io_cpu assignment for multiple queue
  maps (jsc#SLE-15608).
- nvme-pci: Simplify nvme_poll_irqdisable (jsc#SLE-15608).
- nvme-pci: Remove two-pass completions (jsc#SLE-15608).
- nvme-pci: Remove tag from process cq (jsc#SLE-15608).
- nvme-pci: slimmer CQ head update (jsc#SLE-15608).
- nvmet: check ncqr & nsqr for set-features cmd (jsc#SLE-15608).
- nvme: Don't deter users from enabling hwmon support
  (jsc#SLE-15608).
- nvmet: Pass lockdep expression to RCU lists (jsc#SLE-15608).
- commit fb6185e
* Thu Oct 22 2020 glin@suse.com
- bpf, sockmap: msg_pop_data can incorrecty set an sge length
  (bsc#1177028).
- bpf: Don't refcount LISTEN sockets in sk_assign() (bsc#1177028).
  Refresh patches.suse/bpf-Fix-use-of-sk-sk_reuseport-from-sk_assign.patch
- net: Track socket refcounts in skb_steal_sock() (bsc#1177028).
- bpf: Enable retrival of pid/tgid/comm from bpf cgroup hooks
  (bsc#1177028).
- net: Remove unneeded export of a couple of xdp generic functions
  (bsc#1177028).
- net: Generate reuseport group ID on group creation (bsc#1177028).
  Refresh patches.suse/bpf-net-Avoid-copying-sk_user_data-of-reuseport_arra.patch
  Refresh patches.suse/bpf-net-Avoid-incorrect-bpf_sk_reuseport_detach-call.patch
- bpf, sockmap: Let all kernel-land lookup values in
  SOCKMAP/SOCKHASH (bsc#1177028).
- bpf, sockmap: Return socket cookie on lookup from syscall
  (bsc#1177028).
- bpf, sockmap: Don't set up upcalls and progs for listening
  sockets (bsc#1177028).
- tcp_bpf: Don't let child socket inherit parent protocol ops
  on copy (bsc#1177028).
- bpf: Return -EBADRQC for invalid map type in __bpf_tx_xdp_map
  (bsc#1177028).
- xdp: Simplify __bpf_tx_xdp_map() (bsc#1177028).
  Refresh patches.suse/xdp-Use-bulking-for-non-map-XDP_REDIRECT-and-consoli.patch
- commit f05cc3f
* Thu Oct 22 2020 tiwai@suse.de
- i2c: ismt: Add support for Intel Emmitsburg PCH (jsc#SLE-13361).
- commit 3971591
* Thu Oct 22 2020 glin@suse.com
- blacklist.conf: b8c50df0cb3eb selftests/bpf: test_progs avoid minus shell exit codes
  Temporarily blacklisted until setns is backported to BPF selftests
- commit b97c3d1
* Thu Oct 22 2020 glin@suse.com
- selftests/bpf: Fix endianness issue in sk_assign (bsc#1177028).
- commit 4f2371e
* Thu Oct 22 2020 tzimmermann@suse.de
- mm: Add a walk_page_mapping() function to the pagewalk code (bsc#1152489)
- commit c62189f
* Thu Oct 22 2020 glin@suse.com
- selftests/bpf: Fix two minor compilation warnings reported by
  GCC 4.9 (bsc#1177028).
- selftests/bpf: Use SOCKMAP for server sockets in bpf_sk_assign test (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Fix-silent-Makefile-output.patch
- selftests/bpf: Fix bpf_link leak in ns_current_pid_tgid selftest
  (bsc#1177028).
- commit e312940
* Thu Oct 22 2020 glin@suse.com
- bpf, selftests: Add a verifier test for assigning 32bit reg
  states to 64bit ones (bsc#1177028).
- commit 0bb2650
* Thu Oct 22 2020 glin@suse.com
- bpf, selftests: Verifier bounds tests need to be updated
  (bsc#1177028).
- samples: bpf: Fix build error (bsc#1177028).
- tools/runqslower: Ensure own vmlinux.h is picked up first
  (bsc#1177028).
- bpftool: Respect the -d option in struct_ops cmd (bsc#1177028).
- selftests/bpf: Add test for freplace program with
  expected_attach_type (bsc#1177028).
- bpf, selftests: Add test for BPF_STX BPF_B storing R10
  (bsc#1177028).
- selftests/bpf: Check for correct program attach/detach in
  xdp_attach test (bsc#1177028).
- tools, bpftool: Fix struct_ops command invalid pointer free
  (bsc#1177028).
- selftests/bpf: Add test for bpf_get_link_xdp_id (bsc#1177028).
- bpf, lsm: Fix the file_mprotect LSM test (bsc#1177028).
- bpf: Fix spelling mistake "arithmatic" -> "arithmetic" in
  test_verifier (bsc#1177028).
- selftests/bpf: Test FD-based cgroup attachment (bsc#1177028).
- bpf: Test_verifier, add alu32 bounds tracking tests
  (bsc#1177028).
- bpf: Test_verifier, #65 error message updates for trunc of
  boundary-cross (bsc#1177028).
- bpf: Test_verifier, bpf_get_stack return value add <0
  (bsc#1177028).
- bpf: Test_progs, add test to catch retval refine error handling
  (bsc#1177028).
- selftests: bpf: Extend sk_assign tests for UDP (bsc#1177028).
- selftests: bpf: Add test for sk_assign (bsc#1177028).
- bpf: lsm: Add selftests for BPF_PROG_TYPE_LSM (bsc#1177028).
  Refresh patches.suse/selftests-bpf-CONFIG_LIRC-required-for-test_lirc_mod.patch
- selftests: Add test for overriding global data value before load
  (bsc#1177028).
- selftests/bpf: Add tests for attaching XDP programs
  (bsc#1177028).
- bpf: Add selftest cases for ctx_or_null argument type
  (bsc#1177028).
- bpf: Test_verifier, #70 error message updates for 32-bit right
  shift (bsc#1177028).
- samples, bpf: Refactor perf_event user program with libbpf
  bpf_link (bsc#1177028).
- samples, bpf: Move read_trace_pipe to trace_helpers
  (bsc#1177028).
- bpf: Add tests for bpf_sk_storage to bpf_tcp_ca (bsc#1177028).
- selftests/bpf: Fix mix of tabs and spaces (bsc#1177028).
- bpftool: Add struct_ops support (bsc#1177028).
- bpftool: Translate prog_id to its bpf prog_name (bsc#1177028).
- bpftool: Print as a string for char array (bsc#1177028).
- bpftool: Print the enum's name instead of value (bsc#1177028).
- selftests/bpf: Reset process and thread affinity after each
  test/sub-test (bsc#1177028).
- selftests/bpf: Fix nanosleep for real this time (bsc#1177028).
- selftest/bpf: Fix compilation warning in sockmap_parse_prog.c
  (bsc#1177028).
- selftests/bpf: Ensure consistent test failure output (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Fix-memory-leak-in-test-selector.patch
- selftests/bpf: Fix spurious failures in accept due to EAGAIN
  (bsc#1177028).
- tools/bpf: Move linux/types.h for selftests and bpftool
  (bsc#1177028).
- selftests/bpf: Fix usleep() implementation (bsc#1177028).
- selftests/bpf: Guarantee that useep() calls nanosleep() syscall
  (bsc#1177028).
- tools: bpftool: Restore message on failure to guess program type
  (bsc#1177028).
- tools/testing/selftests/bpf: Add self-tests for new helper
  bpf_get_ns_current_pid_tgid (bsc#1177028).
- tools: bpftool: Fix minor bash completion mistakes
  (bsc#1177028).
- tools: bpftool: Allow all prog/map handles for pinning objects
  (bsc#1177028).
- bpftool: Add _bpftool and profiler.skel.h to .gitignore
  (bsc#1177028).
- bpftool: Skeleton should depend on libbpf (bsc#1177028).
- bpftool: Only build bpftool-prog-profile if supported by clang
  (bsc#1177028).
- bpftool: Use linux/types.h from source tree for profiler build
  (bsc#1177028).
- tools/runqslower: Add BPF_F_CURRENT_CPU for running selftest
  on older kernels (bsc#1177028).
- bpftool: Bash completion for "bpftool prog profile"
  (bsc#1177028).
- bpftool: Documentation for bpftool prog profile (bsc#1177028).
- bpftool: Introduce "prog profile" command (bsc#1177028).
- selftests: bpf: Enable UDP sockmap reuseport tests
  (bsc#1177028).
- selftests: bpf: Add tests for UDP sockets in sockmap
  (bsc#1177028).
- selftests: bpf: Don't listen() on UDP sockets (bsc#1177028).
- tools/runqslower: Drop copy/pasted BPF_F_CURRENT_CPU definiton
  (bsc#1177028).
- selftests/bpf: Test new __sk_buff field gso_size (bsc#1177028).
- selftests/bpf: Add link pinning selftests (bsc#1177028).
- bpftool: Add header guards to generated vmlinux.h (bsc#1177028).
- selftests/bpf: Add test for "bpftool feature" command
  (bsc#1177028).
- bpftool: Update bash completion for "bpftool feature" command
  (bsc#1177028).
- bpftool: Update documentation of "bpftool feature" command
  (bsc#1177028).
- bpftool: Make probes which emit dmesg warnings optional
  (bsc#1177028).
- bpftool: Move out sections to separate functions (bsc#1177028).
- bpftool: Support struct_ops, tracing, ext prog types
  (bsc#1177028).
- selftests/bpf: Print backtrace on SIGSEGV in test_progs
  (bsc#1177028).
- selftests/bpf: Tests for sockmap/sockhash holding listening
  sockets (bsc#1177028).
- bpf, sockmap: Allow inserting listening TCP sockets into sockmap
  (bsc#1177028).
- selftests/bpf: Fix build of sockmap_ktls.c (bsc#1177028).
- selftests/bpf: Test unhashing kTLS socket after removing from
  map (bsc#1177028).
- commit 3dc4bef
* Thu Oct 22 2020 glin@suse.com
- xdp: Reset prog in dev_change_xdp_fd when fd is negative
  (bsc#1177028).
- bpf: Fix use of sk->sk_reuseport from sk_assign (bsc#1177028).
- bpf: Fix bpf_prog_test_run_tracing for !CONFIG_NET
  (bsc#1177028).
- commit 7440544
* Wed Oct 21 2020 bp@suse.de
- blacklist.conf: 66077adb70a2 EDAC/ti: Fix handling of platform_get_irq() error
- commit d4a0b74
* Wed Oct 21 2020 msuchanek@suse.de
- blacklist.conf: add unnecessary fix
  5b905d77987d powerpc/watchpoint: Fix exception handling for
  CONFIG_HAVE_HW_BREAKPOINT=N
- commit 900b37a
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc/perf/hv-gpci: Fix starting index value (bsc#1065729).
- powerpc/powernv/elog: Fix race while processing OPAL error
  log event (bsc#1065729).
- powerpc/irq: Drop forward declaration of struct irqaction
  (bsc#1065729).
- powerpc/hwirq: Remove stale forward irq_chip declaration
  (bsc#1065729).
- powerpc/icp-hv: Fix missing of_node_put() in success path
  (bsc#1065729).
- powerpc/pseries: Fix missing of_node_put() in rng_init()
  (bsc#1065729).
- commit eb769ab
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc: Warn about use of smt_snooze_delay (bsc#1065729).
- commit 74047a6
* Wed Oct 21 2020 msuchanek@suse.de
- blacklist.conf: Requires powerpc-utils fix.
  a02f6d42357a powerpc: Warn about use of smt_snooze_delay
- commit 3c3b02c
* Wed Oct 21 2020 msuchanek@suse.de
- blacklist.conf: add fixes for unused sensor driver
  66943005cc41 powerpc/tau: Use appropriate temperature sample interval
  5e3119e15fed powerpc/tau: Check processor type before enabling TAU interrupt
  e63d6fb5637e powerpc/tau: Disable TAU between measurements
- commit a434fe6
* Wed Oct 21 2020 yousaf.kaukab@suse.com
- clk: qoriq: add LS1021A core pll mux options (jsc#SLE-12251).
- clk: qoriq: add ls1088a hwaccel clocks support (jsc#SLE-12251).
- clk: fsl-sai: new driver (jsc#SLE-12251).
- commit c256681
* Wed Oct 21 2020 msuchanek@suse.de
- blacklist.conf: Add config fix
  8659a0e0efdd powerpc/64s: Disable STRICT_KERNEL_RWX
  only applies to config, and we don't even have the patch to enable
  STRICT_KERNEL_RWX in config
- commit f4e1850
* Wed Oct 21 2020 tzimmermann@suse.de
- mm: Add write-protect and clean utilities for address space ranges (bsc#1152489)
- commit fe1828a
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc/pseries: explicitly reschedule during drmem_lmb list
  traversal (bsc#1077428 ltc#163882 FATE#324825 git-fixes).
- commit f96b864
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc/papr_scm: Fix warning triggered by perf_stats_show()
  (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769 git-fixes).
- commit e9b4893
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/r128: drop use of drmP.h (bsc#1152472)
- commit cd02ef8
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc/book3s64/radix: Make radix_mem_block_size 64bit
  (bsc#1055186 ltc#153436 FATE#323286 git-fixes).
- commit 1f2d815
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc: PPC_SECURE_BOOT should not require PowerNV
  (jsc#SLE-15857 jsc#SLE-13618 git-fixes).
- commit f9c6c03
* Wed Oct 21 2020 msuchanek@suse.de
- powerpc/64: fix irq replay pt_regs->softe value (jsc#SLE-9246
  git-fixes).
- powerpc/64: fix irq replay missing preempt (jsc#SLE-9246
  git-fixes).
- powerpc/xive: Make debug routines static (jsc#SLE-13294
  git-fixes).
- commit d3b1739
* Wed Oct 21 2020 jeyu@suse.de
- arm64: csum: Disable KASAN for do_csum() (bsc#1177591).
- commit 241690b
* Wed Oct 21 2020 jeyu@suse.de
- arm64: csum: Fix pathological zero-length calls (bsc#1177591).
- commit 79df1f5
* Wed Oct 21 2020 oneukum@suse.com
- blacklist.conf: already added
- commit ee45286
* Wed Oct 21 2020 oneukum@suse.com
- usblp: fix race between disconnect() and read() (git-fixes).
- commit 94633e7
* Wed Oct 21 2020 glin@suse.com
- bpf: Fix build warning regarding missing prototypes
  (bsc#1177028).
- bpf: Add selftests for BPF_MODIFY_RETURN (bsc#1177028).
- bpf: Add test ops for BPF_PROG_TYPE_TRACING (bsc#1177028).
- bpf: Add gso_size to __sk_buff (bsc#1177028).
- bpf/tests: Use migrate disable instead of preempt disable
  (bsc#1177028).
- bpf: Expose __sk_buff wire_len/gso_segs to BPF_PROG_TEST_RUN
  (bsc#1177028).
- bpf: Start using the BPF dispatcher in BPF_TEST_RUN
  (bsc#1177028).
- bpf: Switch to offsetofend in BPF_PROG_TEST_RUN (bsc#1177028).
- commit 96ebef6
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Add surface dirty-tracking callbacks (bsc#1152489)
- commit 28f358c
* Wed Oct 21 2020 glin@suse.com
- bpf: Fix reStructuredText markup (bsc#1177028).
- bpf: Add socket assign support (bsc#1177028).
- bpf: Switch BPF UAPI #define constants used from BPF program
  side to enums (bsc#1177028).
- bpf: Sync uapi bpf.h to tools/ (bsc#1177028).
- bpf: Document BPF_F_QUERY_EFFECTIVE flag (bsc#1177028).
- commit 1bce83f
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Implement an infrastructure for read-coherent resources (bsc#1152489)
- commit d8fb293
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Use an RBtree instead of linked list for MOB resources (bsc#1152489)
- commit d109c7a
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Implement an infrastructure for write-coherent resources (bsc#1152489)
- commit 3e97d82
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Assign eviction priorities to resources (bsc#1152489)
- commit e1ca3e7
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Kill unneeded legacy security features (bsc#1152489)
- commit 875b13b
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Use VMW_DEBUG_KMS for vmwgfx mode-setting user errors (bsc#1152489)
- commit ccbe045
* Wed Oct 21 2020 tzimmermann@suse.de
- drm/vmwgfx: Add debug message for layout change ioctl (bsc#1152489)
- commit 54b970d
* Wed Oct 21 2020 glin@suse.com
- libbpf: Fix register naming in PT_REGS s390 macros
  (bsc#1177028).
- libbpf: Fix type of old_fd in bpf_xdp_set_link_opts
  (bsc#1177028).
- libbpf: Always specify expected_attach_type on program load
  if supported (bsc#1177028).
- libbpf: Initialize *nl_pid so gcc 10 is happy (bsc#1177028).
- libbpf: Add support for bpf_link-based cgroup attachment
  (bsc#1177028).
- tools/libbpf: Add support for BPF_PROG_TYPE_LSM (bsc#1177028).
- libbpf: Add setter for initial value for internal maps
  (bsc#1177028).
- libbpf: Add function to set link XDP fd while specifying old
  program (bsc#1177028).
- tools: Add EXPECTED_FD-related definitions in if_link.h
  (bsc#1177028).
- xdp: Support specifying expected existing program when attaching
  XDP (bsc#1177028).
- libbpf, xsk: Init all ring members in xsk_umem__create and
  xsk_socket__create (bsc#1177028).
- libbpf: Don't allocate 16M for log buffer by default
  (bsc#1177028).
- libbpf: Remove unused parameter `def` to get_map_field_int
  (bsc#1177028).
- bpf, libbpf: Fix ___bpf_kretprobe_args1(x) macro definition
  (bsc#1177028).
- libbpf: Provide CO-RE variants of PT_REGS macros (bsc#1177028).
- libbpf: Split BTF presence checks into libbpf- and
  kernel-specific parts (bsc#1177028).
- tools/libbpf: Add support for BPF_MODIFY_RETURN (bsc#1177028).
- libbpf: Assume unsigned values for BTF_KIND_ENUM (bsc#1177028).
- libbpf: Add bpf_link pinning/unpinning (bsc#1177028).
- libbpf: Merge selftests' bpf_trace_helpers.h into libbpf's bpf_tracing.h (bsc#1177028).
  Refresh patches.suse/bpf-Add-bpf_xdp_output-helper.patch
- libbpf: Fix use of PT_REGS_PARM macros with vmlinux.h
  (bsc#1177028).
- libbpf: Add support for dynamic program attach target
  (bsc#1177028).
- libbpf: Bump libpf current version to v0.0.8 (bsc#1177028).
- libbpf: Relax check whether BTF is mandatory (bsc#1177028).
- commit 2dacf28
* Wed Oct 21 2020 glin@suse.com
- selftests/bpf: Run reuseport tests only with supported socket types (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Run-SYN-cookies-with-reuseport-BPF-tes.patch
- commit 2eae1ba
* Wed Oct 21 2020 jgross@suse.com
- xen/events: block rogue events for some time (XSA-332
  bsc#1177411).
- commit 014f26b
* Wed Oct 21 2020 jgross@suse.com
- xen/events: defer eoi in case of excessive number of events
  (XSA-332 bsc#1177411).
- commit 956b6f3
* Wed Oct 21 2020 glin@suse.com
- bpf: tcp: bpf_cubic: fix spurious HYSTART_DELAY exit upon drop
  in min RTT (bsc#1177028).
- selftests/bpf: Fix memory leak in test selector (bsc#1177028).
- bpftool: Fix typo in bash-completion (bsc#1177028).
- selftests/bpf: Run SYN cookies with reuseport BPF test only
  for TCP (bsc#1177028).
- selftests/bpf: Extend SK_REUSEPORT tests to cover
  SOCKMAP/SOCKHASH (bsc#1177028).
- selftests/bpf: Fix trampoline_count clean up logic
  (bsc#1177028).
- commit f259c15
* Wed Oct 21 2020 jgross@suse.com
- xen/events: use a common cpu hotplug hook for event channels
  (XSA-332 bsc#1177411).
- commit b9ecbeb
* Wed Oct 21 2020 jgross@suse.com
- xen/events: switch user event channels to lateeoi model
  (XSA-332 bsc#1177411).
- commit 0b00983
* Wed Oct 21 2020 jgross@suse.com
- xen/pciback: use lateeoi irq binding (XSA-332 bsc#1177411).
- commit 47100e6
* Wed Oct 21 2020 jgross@suse.com
- xen/pvcallsback: use lateeoi irq binding (XSA-332 bsc#1177411).
- commit ec73318
* Wed Oct 21 2020 jgross@suse.com
- xen/scsiback: use lateeoi irq binding (XSA-332 bsc#1177411).
- commit 76fa7f0
* Wed Oct 21 2020 jgross@suse.com
- xen/netback: use lateeoi irq binding (XSA-332 bsc#1177411).
- commit 8631138
* Wed Oct 21 2020 jgross@suse.com
- xen/blkback: use lateeoi irq binding (XSA-332 bsc#1177411).
- commit 2689ef1
* Wed Oct 21 2020 jgross@suse.com
- xen/events: add a new "late EOI" evtchn framework (XSA-332
  bsc#1177411).
- commit cd230ce
* Wed Oct 21 2020 jgross@suse.com
- xen/events: fix race in evtchn_fifo_unmask() (XSA-332
  bsc#1177411).
- commit bd30bae
* Wed Oct 21 2020 jgross@suse.com
- xen/events: add a proper barrier to 2-level uevent unmasking
  (XSA-332 bsc#1177411).
- commit e9a9556
* Wed Oct 21 2020 jgross@suse.com
- xen/events: avoid removing an event channel while handling it
  (XSA-331 bsc#1177410).
- commit 0dd2046
* Tue Oct 20 2020 bp@suse.de
- perf/x86: Fix n_pair for cancelled txn (bsc#1152489).
- commit adef112
* Tue Oct 20 2020 bp@suse.de
- perf/x86/amd: Fix sampling Large Increment per Cycle events
  (bsc#1152489).
- commit c8a7d34
* Tue Oct 20 2020 bp@suse.de
- blacklist.conf: eb3621798bcd x86/entry/64: Do not include inst.h in calling.h
- commit 364d4bc
* Tue Oct 20 2020 bp@suse.de
- x86/fpu: Allow multiple bits in clearcpuid= parameter
  (bsc#1152489).
- commit 3d42971
* Tue Oct 20 2020 msuchanek@suse.de
- powerpc: Fix undetected data corruption with P9N DD2.1 VSX CI
  load emulation (bsc#1065729).
- commit d2da200
* Tue Oct 20 2020 bp@suse.de
- blacklist.conf: 0b2c605fa4ee x86/entry/64: Correct the comment over SAVE_AND_SET_GSBASE
- commit b5725a3
* Tue Oct 20 2020 bp@suse.de
- blacklist.conf: 5da8e4a65810 x86/copy_mc: Introduce copy_mc_enhanced_fast_string()
- commit 579d619
* Tue Oct 20 2020 mhocko@suse.com
- perf/core: Fix race in the perf_mmap_close() function
  (bsc#1177086, CVE-2020-14351).
- commit 1ee0e96
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/i915: Expand subslice mask (bsc#1152489)
- commit 15abd22
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/i915: Protect request peeking with RCU (bsc#1152489)
- commit c92f17a
* Tue Oct 20 2020 tiwai@suse.de
- Move upstreamed BT patch into sorted section
- commit 27a1c18
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/i915/gen8+: Add RC6 CTX corruption WA
- commit 088a3fd
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/etnaviv: fix missing unlock on error in (bsc#1152489)
- commit f2d81fc
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amd/display: remove unused function (bsc#1152489)
- commit 7e5efa0
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amd/display: Add Logging for Gamma Related information (bsc#1152489)
- commit 7ce29b7
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amd/display: memory leak (bsc#1152489)
- commit 3b1bb19
* Tue Oct 20 2020 bp@suse.de
- Update config files.
- commit dfb8f01
* Tue Oct 20 2020 jdelvare@suse.de
- blacklist.conf: add duplicate commit 3514521ccbd2
  Same as a39d0d7bdf8c21ac7645c02e9676b5cb2b804c31 ("drm/amdgpu: restore
  proper ref count in amdgpu_display_crtc_set_config).
- commit e083639
* Tue Oct 20 2020 bp@suse.de
- x86/mce: Allow for copy_mc_fragile symbol checksum to be
  generated (jsc#SLE-13447).
- commit ab8154b
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amd/powerplay: update smu11_driver_if_navi10.h (bsc#1152489)
- commit 7924071
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/dm: Resume short HPD IRQs before resuming MST topology (bsc#1152489)
- commit ea68d72
* Tue Oct 20 2020 bp@suse.de
- x86/copy_mc: Introduce copy_mc_enhanced_fast_string()
  (jsc#SLE-13447).
- commit 90562e9
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu: add multiple instances support for Arcturus
- commit ec7e86c
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu: add DRIVER_SYNCOBJ_TIMELINE to amdgpu (bsc#1152472)
- commit fc7705d
* Tue Oct 20 2020 bp@suse.de
- x86, powerpc: Rename memcpy_mcsafe() to copy_mc_to_{user,
  kernel}() (jsc#SLE-13447).
- commit b65fb19
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu: fix memory leak (bsc#1152472)
- commit 8cdb0eb
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu: Default disable GDS for compute+gfx
- commit ce2c047
* Tue Oct 20 2020 glin@suse.com
- bpftool: Remove redundant "HAVE" prefix from the large INSN
  limit check (bsc#1177028).
- tools/bpf: Allow overriding llvm tools for runqslower
  (bsc#1177028).
- bpftool: Print function linkage in BTF dump (bsc#1177028).
- bpftool: Support dumping a map with btf_vmlinux_value_type_id
  (bsc#1177028).
- bpftool: Add struct_ops map name (bsc#1177028).
- bpftool: Fix missing BTF output for json during map dump
  (bsc#1177028).
- bpftool: Fix a leak of btf object (bsc#1177028).
- bpftool: Apply preserve_access_index attribute to all types
  in BTF dump (bsc#1177028).
- bpftool: Add misc section and probe for large INSN limit
  (bsc#1177028).
- bpf: Print error message for bpftool cgroup show (bsc#1177028).
- bpftool: Simplify format string to not use positional args
  (bsc#1177028).
- bpftool: Add `gen skeleton` BASH completions (bsc#1177028).
- bpftool: Match maps by name (bsc#1177028).
- bpftool: Match programs by name (bsc#1177028).
- bpftool: Match several programs with same tag (bsc#1177028).
  Refresh patches.suse/bpftool-Don-t-crash-on-missing-xlated-program-instru.patch
- commit 213f6b4
* Tue Oct 20 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx10: update gfx golden settings for navi14'
- commit 3f81279
* Tue Oct 20 2020 jroedel@suse.de
- iommu/vt-d: Gracefully handle DMAR units with no supported address widths (bsc#1177739).
- commit 8780752
* Tue Oct 20 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx10: update gfx golden settings'
- commit ee919e0
* Tue Oct 20 2020 glin@suse.com
- selftests/bpf: Add test for the packed enum member in
  struct/union (bsc#1177028).
- selftests: bpf: Add test for JMP32 JSET BPF_X with upper bits
  set (bsc#1177028).
- selftests/bpf: Add send_signal_sched_switch test (bsc#1177028).
- selftests/bpf: Mark SYN cookie test skipped for UDP sockets
  (bsc#1177028).
- selftests/bpf: Fix error checking on reading the tcp_fastopen
  sysctl (bsc#1177028).
- bpf: Selftests build error in sockmap_basic.c (bsc#1177028).
- selftests/bpf: Test freeing sockmap/sockhash with a socket in it
  (bsc#1177028).
- selftests/bpf: Fix trampoline_count.c selftest compilation
  warning (bsc#1177028).
- selftests/bpf: Add test based on port range for BPF flow
  dissector (bsc#1177028).
- selftest/bpf: Add test for allowed trampolines count
  (bsc#1177028).
- selftests: bpf: Reset global state between reuseport test runs
  (bsc#1177028).
- selftests: bpf: Make reuseport test output more legible
  (bsc#1177028).
- selftests: bpf: Ignore FIN packets for reuseport tests
  (bsc#1177028).
- selftests: bpf: Use a temporary file in test_sockmap
  (bsc#1177028).
- selftests/bpf: Improve bpftool changes detection (bsc#1177028).
  Refresh patches
- patches.suse/selftests-bpf-Add-test-for-resolve_btfids.patch
- patches.suse/selftests-bpf-Prevent-runqslower-from-racing-on-buil.patch
- selftests/bpf: Initialize duration variable before using
  (bsc#1177028).
- bpf: tcp: Add bpf_cubic example (bsc#1177028).
- selftests/bpf: Add tests for program extensions (bsc#1177028).
- selftests/bpf: Skip perf hw events test if the setup disabled it
  (bsc#1177028).
- selftests/bpf: Fix test_progs send_signal flakiness with nmi
  mode (bsc#1177028).
- selftests/bpf: Add whitelist/blacklist of test names to
  test_progs (bsc#1177028).
- selftests/bpf: Add batch ops testing to array bpf map
  (bsc#1177028).
- selftests/bpf: Add batch ops testing for htab and htab_percpu
  map (bsc#1177028).
- tools/bpf: Add self tests for bpf_send_signal_thread() (bsc#1177028).
  Refresh patches.suse/selftests-Use-consistent-include-paths-for-libbpf.patch
- selftests/bpf: Modify a test to check global functions
  (bsc#1177028).
- selftests/bpf: Add a test for a large global function
  (bsc#1177028).
- selftests/bpf: Restore original comm in test_overhead (bsc#1177028).
  Refresh patches
- patches.suse/selftest-bpf-Fmod_ret-prog-and-implement-test_overhe.patch
- patches.suse/selftests-Remove-fmod_ret-from-test_overhead.patch
- selftests/bpf: Preserve errno in test_progs CHECK macros
  (bsc#1177028).
- selftests/bpf: Test BPF_F_REPLACE in cgroup_attach_multi
  (bsc#1177028).
- selftests/bpf: Fix test_attach_probe (bsc#1177028).
- bpf: Allow to change skb mark in test_run (bsc#1177028).
- selftests/bpf: Add flexible array relocation tests
  (bsc#1177028).
- selftests/bpf: Test wire_len/gso_segs in BPF_PROG_TEST_RUN
  (bsc#1177028).
- selftests: bpf: Add xdp_perf test (bsc#1177028).
- selftests/bpf: Switch reuseport tests for test_progs framework
  (bsc#1177028).
- selftests/bpf: Move reuseport tests under prog_tests/ (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Convert-test_cgroup_attach-to-prog_tes.patch
- selftests/bpf: Pull up printing the test name into test runner
  (bsc#1177028).
- selftests/bpf: Propagate errors during setup for reuseport tests
  (bsc#1177028).
- selftests/bpf: Run reuseport tests in a loop (bsc#1177028).
- selftests/bpf: Unroll the main loop in reuseport test
  (bsc#1177028).
- selftests/bpf: Add helpers for getting socket family & type name
  (bsc#1177028).
- selftests/bpf: Use sa_family_t everywhere in reuseport tests
  (bsc#1177028).
- selftests/bpf: Let libbpf determine program type from section
  name (bsc#1177028).
- commit 0d2a7ec
* Tue Oct 20 2020 glin@suse.com
- samples/bpf: Set -fno-stack-protector when building BPF programs
  (bsc#1177028).
- commit 83051c8
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi14 (bsc#1152472)
- commit 237aa6b
* Tue Oct 20 2020 glin@suse.com
- libbpf: Sanitise internal map names so they are not rejected
  by the kernel (bsc#1177028).
- libbpf: Improve handling of failed CO-RE relocations
  (bsc#1177028).
- libbpf: Simplify BTF initialization logic (bsc#1177028).
- libbpf: Fix unneeded extra initialization in
  bpf_map_batch_common (bsc#1177028).
- libbpf: Add libbpf support to batch ops (bsc#1177028).
- libbpf: Support .text sub-calls relocations (bsc#1177028).
- libbpf: Clean up bpf_helper_defs.h generation output
  (bsc#1177028).
- libbpf: Sanitize global functions (bsc#1177028).
- libbpf: Support CO-RE relocations for LDX/ST/STX instructions
  (bsc#1177028).
- libbpf: Fix printing of ulimit value (bsc#1177028).
- libbpf: Allow to augment system Kconfig through extra optional config (bsc#1177028).
  Refresh patches
- patches.suse/bpf-libbpf-Add-STRUCT_OPS-support.patch
- patches.suse/libbpf-Load-btf_vmlinux-only-once-per-object.patch
- libbpf: Remove BPF_EMBED_OBJ macro from libbpf.h (bsc#1177028).
- libbpf: Reduce log level for custom section names (bsc#1177028).
- libbpf: Fix libbpf_common.h when installing libbpf through
  'make install' (bsc#1177028).
- libbpf: Print hint about ulimit when getting permission denied error (bsc#1177028).
  Refresh patches.suse/libbpf-Fix-unintentional-success-return-code-in-bpf_.patch
- libbpf: Support flexible arrays in CO-RE (bsc#1177028).
- libbpf: Reduce log level of supported section names dump
  (bsc#1177028).
- libbpf: Extract common user-facing helpers (bsc#1177028).
- commit ecbca78
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi14 (bsc#1152472)
- commit c34217a
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi14 (bsc#1152489)
- commit 7947e23
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings (bsc#1152472)
- commit 3d7c611
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings (bsc#1152472)
- commit ed16503
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings (bsc#1152489)
- commit 6d6113d
* Tue Oct 20 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings (bsc#1152472)
- commit dc1b836
* Tue Oct 20 2020 jslaby@suse.cz
- MAINTAINERS: Update maintainers for pmc_core driver
  (jsc#SLE-13398 jsc#SLE-13503).
- platform/x86: intel_pmc_core: fix: Replace dev_dbg macro with
  dev_info() (jsc#SLE-13398 jsc#SLE-13503).
- platform/x86: intel_pmc_core: Add Intel RocketLake (RKL)
  support (jsc#SLE-13398 jsc#SLE-13503).
- platform/x86: intel_pmc_core: Clean up: Remove the duplicate
  comments and reorganize (jsc#SLE-13398 jsc#SLE-13503).
- commit 63a532d
* Tue Oct 20 2020 glin@suse.com
- tools, bpftool: Fix warning on ignored return value for 'read'
  (bsc#1177028).
- tools, bpf_asm: Warn when jumps are out of range (bsc#1177028).
- tools: bpftool: add "bpftool map freeze" subcommand
  (bsc#1177028).
- tools: bpftool: show frozen status for maps (bsc#1177028).
- tools: bpftool: add documentation for net attach/detach
  (bsc#1177028).
- tools: bpftool: add bash-completion for net attach/detach
  (bsc#1177028).
- tools: bpftool: add net detach command to detach XDP on
  interface (bsc#1177028).
- tools: bpftool: add net attach command to attach XDP on
  interface (bsc#1177028).
- tools: bpftool: add support for reporting the effective cgroup
  progs (bsc#1177028).
- commit 8a14710
* Tue Oct 20 2020 glin@suse.com
- samples: bpf: Update outdated error message (bsc#1177028).
- samples/bpf: adjust Makefile and README.rst (bsc#1177028).
- samples/bpf: Add preparation steps and sysroot info to readme
  (bsc#1177028).
- samples/bpf: Add sysroot support (bsc#1177028).
- samples/bpf: Provide C/LDFLAGS to libbpf (bsc#1177028).
- samples/bpf: Use target CC environment for HDR_PROBE
  (bsc#1177028).
- samples/bpf: Use own flags but not HOSTCFLAGS (bsc#1177028).
  Refresh patches.suse/samples-bpf-Use-consistent-include-paths-for-libbpf.patch
- samples/bpf: Add makefile.target for separate CC target build
  (bsc#1177028).
- samples/bpf: Use --target from cross-compile (bsc#1177028).
- samples/bpf: Fix cookie_uid_helper_example obj build
  (bsc#1177028).
- samples/bpf: Fix HDR_PROBE "echo" (bsc#1177028).
- samples: bpf: Add max_pckt_size option at xdp_adjust_tail (bsc#1177028).
  Refresh patches
- patches.suse/samples-bpf-update-map-definition-to-new-syntax-BTF-.patch
- patches.suse/samples-bpf-Use-consistent-include-paths-for-libbpf.patch
- samples/bpf: Add a workaround for asm_inline (bsc#1177028).
- samples/bpf: Fix build for task_fd_query_user.c (bsc#1177028).
  Refresh patches.suse/samples-bpf-Use-consistent-include-paths-for-libbpf.patch
- samples: bpf: syscall_nrs: use mmap2 if defined (bsc#1177028).
- samples/bpf: xdp_fwd explain bpf_fib_lookup return codes
  (bsc#1177028).
- commit 51b6e62
* Tue Oct 20 2020 osalvador@suse.de
- Refresh
  patches.suse/mm-hwpoison-refactor-soft_offline_huge_page-and-__so.patch.
  Remove unused variable
- commit 4c47ec6
* Tue Oct 20 2020 glin@suse.com
- libbpf: Only check mode flags in get_xdp_id (bsc#1177028).
- selftests/bpf: Fix race in tcp_rtt test (bsc#1177028).
- commit fc0c050
* Tue Oct 20 2020 glin@suse.com
- libbpf: Fix unintentional success return code in
  bpf_object__load (bsc#1177028).
- libbpf: Fix bpf_get_link_xdp_id flags handling (bsc#1177028).
- selftests/bpf: Make tcp_rtt test more robust to failures
  (bsc#1177028).
- tools, bpf: Fix build for 'make -s tools/bpf O=<dir>'
  (bsc#1177028).
- commit 8bb3ea8
* Tue Oct 20 2020 glin@suse.com
- bpf: Add further test_verifier cases for record_func_key
  (bsc#1177028).
- selftests/bpf: Test function_graph tracer and bpf trampoline
  together (bsc#1177028).
- selftests/bpf: De-flake test_tcpbpf (bsc#1177028).
- selftests/bpf: Add verifier tests for better jmp32 register
  bounds (bsc#1177028).
- net-af_xdp: Use correct number of channels from ethtool
  (bsc#1177028).
- selftests, bpf: Workaround an alu32 sub-register spilling issue
  (bsc#1177028).
- bpf, testing: Workaround a verifier failure for test_progs
  (bsc#1177028).
- libbpf: Allow for creating Rx or Tx only AF_XDP sockets
  (bsc#1177028).
- libbpf: Support XDP_SHARED_UMEM with external XDP program
  (bsc#1177028).
- libbpf: Add bpf_get_link_xdp_info() function to get more XDP
  information (bsc#1177028).
- libbpf: Propagate EPERM to caller on program load (bsc#1177028).
- selftests/bpf: Add tests for automatic map unpinning on load
  failure (bsc#1177028).
- libbpf: Simplify BPF_CORE_READ_BITFIELD_PROBED usage
  (bsc#1177028).
- selftests: bpf: log direct file writes (bsc#1177028).
- selftests/bpf: Test narrow load from bpf_sysctl.write
  (bsc#1177028).
- libbpf: Use implicit XSKMAP lookup from AF_XDP XDP program
  (bsc#1177028).
- scripts/bpf: Print an error when known types list needs updating
  (bsc#1177028).
- selftests/bpf: Teach test_progs to cd into subdir (bsc#1177028).
- selftests/bpf: Restore the netns after flow dissector reattach
  test (bsc#1177028).
- scripts/bpf: Emit an #error directive known types list needs
  updating (bsc#1177028).
- selftests: bpf: Add selftest for __sk_buff tstamp (bsc#1177028).
- libbpf: Handle invalid typedef emitted by old GCC (bsc#1177028).
- selftests/bpf: Check that flow dissector can be re-attached
  (bsc#1177028).
- selftests/bpf: add test for BPF flow dissector in the root
  namespace (bsc#1177028).
- bpf: Add loop test case with 32 bit reg comparison against 0
  (bsc#1177028).
- selftests/bpf: Correct path to include msg + path (bsc#1177028).
- selftests/bpf: test_progs: Don't leak server_fd in tcp_rtt
  (bsc#1177028).
- tools: bpf: Use !building_out_of_srctree to determine srctree
  (bsc#1177028).
- selftests/bpf: delete unused variables in test_sysctl
  (bsc#1177028).
- selftests/bpf: test_progs: fix client/server race in tcp_rtt
  (bsc#1177028).
- selftests/bpf: precision tracking tests (bsc#1177028).
- selftests/bpf: Fix a typo in test_offload.py (bsc#1177028).
- selftests/bpf: remove wrong nhoff in flow dissector test
  (bsc#1177028).
- selftests/bpf: add precision tracking test (bsc#1177028).
- selftests/bpf: verifier precise tests (bsc#1177028).
- selftests/bpf: add test for bpf_tcp_gen_syncookie (bsc#1177028).
- commit 119cf5d
* Mon Oct 19 2020 tiwai@suse.de
- crypto: af_alg - Work around empty control messages without
  MSG_MORE (git-fixes).
- crypto: algif_aead - fix uninitialized ctx->init (git-fixes).
- crypto: af_alg - Fix regression on empty requests (git-fixes).
- commit b837b90
* Mon Oct 19 2020 tiwai@suse.de
- rtw88: Fix probe error handling race with firmware loading
  (git-fixes).
- ASoC: topology: disable size checks for bytes_ext controls if
  needed (git-fixes).
- staging: rtl8192e: fix kconfig dependency warning for
  RTLLIB_CRYPTO_CCMP (git-fixes).
- PM: runtime: Fix timer_expires data type on 32-bit arches
  (git-fixes).
- mmc: sdhci-pci: Fix SDHCI_RESET_ALL for CQHCI for Intel
  GLK-based controllers (git-fixes).
- crypto: algif_aead - Only wake up when ctx->more is zero
  (git-fixes).
- Input: add `SW_MACHINE_COVER` (git-fixes).
- crypto: af_alg - fix use-after-free in af_alg_accept() due to
  bh_lock_sock() (git-fixes).
- HID: usbhid: Fix race between usbhid_close() and usbhid_stop()
  (git-fixes).
- mmc: cqhci: Add cqhci_deactivate() (git-fixes).
- mmc: mmci: Support any block sizes for ux500v2 and qcom variant
  (git-fixes).
- commit d8de7b3
* Mon Oct 19 2020 msuchanek@suse.de
- scsi: ibmvfc: Fix error return in ibmvfc_probe() (bsc#1065729).
- commit a848d53
* Mon Oct 19 2020 tiwai@suse.de
- Bluetooth: Re-order clearing suspend tasks (git-fixes).
- commit 1fa8fc1
* Mon Oct 19 2020 tiwai@suse.de
- ASoC: Intel: sof_sdw: add version_id to avoid rt714/rt715
  confusion (git-fixes).
- ASoC: Intel: sof_sdw_rt1308: add extra check on init
  (git-fixes).
- ALSA: hda: fix jack detection with Realtek codecs when in D3
  (git-fixes).
- ALSA: compress_offload: dereference after checking for NULL
  pointer (git-fixes).
- ALSA: core: pcm_memory: dereference pointer after NULL checks
  (git-fixes).
- ALSA: core: memalloc: fix fallthrough position (git-fixes).
- ALSA: HDA: Early Forbid of runtime PM (git-fixes).
- commit 954abe4
* Mon Oct 19 2020 tiwai@suse.de
- regmap: debugfs: Fix more error path regressions (git-fixes).
- commit d9296bd
* Mon Oct 19 2020 tiwai@suse.de
- nl80211: docs: add a description for s1g_cap parameter
  (git-fixes).
- iwlwifi: dbg: run init_cfg function once per driver load
  (git-fixes).
- iwlwifi: dbg: remove no filter condition (git-fixes).
- nl80211: fix OBSS PD min and max offset validation (git-fixes).
- Bluetooth: Fix auto-creation of hci_conn at Conn Complete event
  (git-fixes).
- Bluetooth: Fix memory leak in read_adv_mon_features()
  (git-fixes).
- Bluetooth: Clear suspend tasks on unregister (git-fixes).
- mt76: mt7915: fix possible memory leak in mt7915_mcu_add_beacon
  (git-fixes).
- mt76: mt7663u: fix dma header initialization (git-fixes).
- mt76: fix a possible NULL pointer dereference in
  mt76_testmode_dump (git-fixes).
- mt76: mt7615: fix a possible NULL pointer dereference in
  mt7615_pm_wake_work (git-fixes).
- mt76: mt7615: fix possible memory leak in mt7615_tm_set_tx_power
  (git-fixes).
- mt76: mt7663s: fix unable to handle kernel paging request
  (git-fixes).
- mt76: mt7663s: fix resume failure (git-fixes).
- mt76: mt7663s: use NULL instead of 0 in sdio code (git-fixes).
- mt76: mt7615: release mutex in mt7615_reset_test_set
  (git-fixes).
- mt76: mt7615: hold mt76 lock queueing wd in
  mt7615_queue_key_update (git-fixes).
- rtw88: Fix potential probe error handling race with wow firmware
  loading (git-fixes).
- rtw88: fix compile warning: [-Wignored-qualifiers] (git-fixes).
- rtw88: don't treat NULL pointer as an array (git-fixes).
- ASoC: Intel: sof_sdw_rt1316: add missing component string
  (git-fixes).
- ASoC: tas2562: Remove duplicate code for I/V sense (git-fixes).
- ASoC: tas2770: Fix unbalanced calls to pm_runtime (git-fixes).
- ASoC: mediatek: mt8183-da7219: fix wrong ops for I2S3
  (git-fixes).
- ASoC: wm_adsp: Pass full name to snd_ctl_notify (git-fixes).
- ASoC: tas2770: Fix error handling with update_bits (git-fixes).
- ASoC: tas2770: Fix required DT properties in the code
  (git-fixes).
- ASoC: tas2770: Add missing bias level power states (git-fixes).
- ASoC: tas2770: Fix calling reset in probe (git-fixes).
- ASoC: tlv320adcx140: Fix digital gain range (git-fixes).
- ALSA: hda/i915 - fix list corruption with concurrent probes
  (git-fixes).
- staging: rtl8712: Fix enqueue_reorder_recvframe() (git-fixes).
- pinctrl: tigerlake: Fix register offsets for TGL-H variant
  (git-fixes).
- commit 4c203f8
* Mon Oct 19 2020 tiwai@suse.de
- Blacklist already cherry-picked ASoC fix
- commit d99febe
* Mon Oct 19 2020 bp@suse.de
- perf/amd/uncore: Inform the user how many counters each uncore
  PMU has (jsc#SLE-16756).
- perf/amd/uncore: Allow F19h user coreid, threadmask, and
  sliceid specification (jsc#SLE-16756).
- perf/amd/uncore: Allow F17h user threadmask and slicemask
  specification (jsc#SLE-16756).
- perf/amd/uncore: Prepare to scale for more attributes that
  vary per family (jsc#SLE-16756).
- commit 11a04bd
* Mon Oct 19 2020 bp@suse.de
- perf/x86/amd/ibs: Support 27-bit extended Op/cycle counter
  (jsc#SLE-16756).
- perf/x86/amd/ibs: Fix raw sample data accumulation
  (jsc#SLE-16756).
- perf/x86/amd/ibs: Don't include randomized bits in
  get_ibs_op_count() (jsc#SLE-16756).
- perf/x86/amd: Fix sampling Large Increment per Cycle events
  (jsc#SLE-16756).
- commit a56dacb
* Mon Oct 19 2020 bp@suse.de
- perf/amd/uncore: Set all slices and threads to restore perf
  stat -a behaviour (jsc#SLE-16756).
- perf/amd/uncore: Add support for Family 19h L3 PMU
  (jsc#SLE-16756).
- commit 0e860a4
* Mon Oct 19 2020 bp@suse.de
- perf/amd/uncore: Prepare L3 thread mask code for Family 19h
  (jsc#SLE-16756).
- commit 251809a
* Mon Oct 19 2020 bp@suse.de
- x86: Expose SERIALIZE for supported cpuid (jsc#SLE-13557).
- Refresh
  patches.suse/x86-kvm-expose-tsx-suspend-load-tracking-feature.patch.
- commit d8f2106
* Mon Oct 19 2020 tzimmermann@suse.de
- gpiolib: introduce fwnode_gpiod_get_index() (bsc#1152489)
- commit ab09f78
* Mon Oct 19 2020 vbabka@suse.cz
- percpu: fix first chunk size calculation for populated bitmap
  (git-fixes (mm/percpu)).
- commit fc914cf
* Mon Oct 19 2020 vbabka@suse.cz
- mm/rmap: fixup copying of soft dirty and uffd ptes (git-fixes
  (mm/rmap)).
- commit 57e33c0
* Mon Oct 19 2020 tiwai@suse.de
- rpm/split-modules: Avoid errors even if Module.* are not present
- commit 752fbc6
* Mon Oct 19 2020 vbabka@suse.cz
- mm/huge_memory.c: use head to check huge zero page (git-fixes
  (mm/thp)).
- commit b768968
* Mon Oct 19 2020 vbabka@suse.cz
- mm/mempolicy.c: fix out of bounds write in mpol_parse_str()
  (git-fixes (mm/mempolicy)).
- commit af27a44
* Mon Oct 19 2020 vbabka@suse.cz
- mm/page-writeback.c: improve arithmetic divisions (git-fixes
  (mm/writeback)).
- commit 0efed25
* Mon Oct 19 2020 vbabka@suse.cz
- mm/page-writeback.c: avoid potential division by zero in
  wb_min_max_ratio() (git-fixes (mm/writeback)).
- commit 3e8dbda
* Mon Oct 19 2020 vbabka@suse.cz
- mm/zsmalloc.c: fix the migrated zspage statistics (git-fixes
  (mm/zsmalloc)).
- commit 0aec7d2
* Mon Oct 19 2020 mbenes@suse.cz
- tracing: Check return value of __create_val_fields() before
  using its result (git-fixes).
- commit 340fd0d
* Mon Oct 19 2020 mbenes@suse.cz
- blacklist.conf: 10819e25799a ("tracing: Handle synthetic event array field type checking correctly")
  CONFIG_SYNTH_EVENTS is not enabled anywhere.
- commit dfcbd72
* Mon Oct 19 2020 mbenes@suse.cz
- blacklist.conf: 9bbb33291f8e ("tracing: Check that the synthetic event and field names are legal")
  CONFIG_SYNTH_EVENTS is not enabled anywhere.
- commit 2bf6e8b
* Mon Oct 19 2020 tiwai@suse.de
- overflow: Include header file with SIZE_MAX declaration
  (git-fixes).
- i3c: master: Fix error return in cdns_i3c_master_probe()
  (git-fixes).
- i3c: master add i3c_master_attach_boardinfo to preserve
  boardinfo (git-fixes).
- mtd: spinand: gigadevice: Add QE Bit (git-fixes).
- mtd: spinand: gigadevice: Only one dummy byte in QUADIO
  (git-fixes).
- mtd: rawnand: vf610: disable clk on error handling path in probe
  (git-fixes).
- mtd: rawnand: stm32_fmc2: fix a buffer overflow (git-fixes).
- mtd: mtdoops: Don't write panic data twice (git-fixes).
- mtd: lpddr: fix excessive stack usage with clang (git-fixes).
- mtd: lpddr: Fix bad logic in print_drs_error (git-fixes).
- rapidio: fix the missed put_device() for rio_mport_add_riodev
  (git-fixes).
- lib/crc32.c: fix trivial typo in preprocessor condition
  (git-fixes).
- Bluetooth: MGMT: Fix not checking if BT_HS is enabled
  (git-fixes).
- VMCI: check return value of get_user_pages_fast() for errors
  (git-fixes).
- USB: serial: option: add Cellient MPL200 card (git-fixes).
- USB: serial: option: Add Telit FT980-KS composition (git-fixes).
- USB: serial: pl2303: add device-id for HP GC device (git-fixes).
- USB: serial: ftdi_sio: add support for FreeCalypso JTAG+UART
  adapters (git-fixes).
- staging: comedi: check validity of wMaxPacketSize of usb
  endpoints found (git-fixes).
- ACPI: Always build evged in (git-fixes).
- commit 88d1ef8
* Mon Oct 19 2020 mbenes@suse.cz
- tracing: Save normal string variables (git-fixes).
- commit 91eb341
* Mon Oct 19 2020 mbenes@suse.cz
- blacklist.conf: 8fbeb52a598c ("tracing: Fix parse_synth_field() error handling")
  CONFIG_SYNTH_EVENTS is not enabled anywhere.
- commit c4d0c48
* Mon Oct 19 2020 bp@suse.de
- blacklist.conf: afce6996943b EDAC/aspeed: Fix handling of platform_get_irq() error
- commit 4d7f300
* Mon Oct 19 2020 yousaf.kaukab@suse.com
- mmc: sdhci: fix an issue of mixing different types
  (jsc#SLE-15847).
- mmc: core: Fix size overflow for mmc partitions (jsc#SLE-15847).
- commit cf78cbc
* Mon Oct 19 2020 bp@suse.de
- EDAC/i5100: Fix error handling order in i5100_init_one()
  (bsc#1152489).
- commit ef65426
* Mon Oct 19 2020 glin@suse.com
- libbpf: Support stripping modifiers for btf_dump (bsc#1177028).
  Refresh patches.suse/tools-bpftool-Strip-away-modifiers-from-global-varia.patch.
- commit 607d46d
* Mon Oct 19 2020 msuchanek@suse.de
- ibmvnic: set up 200GBPS speed (bsc#1129923 git-fixes).
- commit e87977b
* Mon Oct 19 2020 msuchanek@suse.de
- ibmveth: Switch order of ibmveth_helper calls (bsc#1061843
  git-fixes).
- commit e6ac1a9
* Mon Oct 19 2020 wqu@suse.com
- btrfs: tree-checker: fix false alert caused by legacy btrfs
  root item (bsc#1177861).
- commit 5302053
* Mon Oct 19 2020 wqu@suse.com
- btrfs: qgroup: fix qgroup meta rsv leak for subvolume
  operations (bsc#1177856).
- commit 4456f07
* Mon Oct 19 2020 wqu@suse.com
- btrfs: qgroup: fix wrong qgroup metadata reserve for delayed
  inode (bsc#1177855).
- btrfs: add owner and fs_info to alloc_state io_tree
  (bsc#1177854).
- commit e4394c2
* Mon Oct 19 2020 mgorman@suse.de
- series.conf: cleanup
- refresh, update upstream references and move into sorted section:
  patches.suse/sched-fair-Ignore-cache-hotness-for-SMT-migration.patch
  patches.suse/sched-fair-Use-dst-group-while-checking-imbalance-for-NUMA-balancer.patch
  patches.suse/sched-numa-Use-runnable_avg-to-classify-node.patch
- commit 715ffac
* Mon Oct 19 2020 glin@suse.com
- blacklist.conf: f7b12b6fea009 bpf: verifier: refactor check_attach_btf_id()
  The sleepable BPF patches are not backported yet.
- commit 3c7320e
* Mon Oct 19 2020 glin@suse.com
- selftests: Remove fmod_ret from test_overhead (bsc#1177028).
- commit 9f699fe
* Mon Oct 19 2020 glin@suse.com
- bpf: disallow attaching modify_return tracing functions to
  other BPF programs (bsc#1177028).
- selftests/bpf: Fix test_vmlinux test to use
  bpf_probe_read_user() (bsc#1177028).
- selftests/bpf: Prevent runqslower from racing on building
  bpftool (bsc#1177028).
- selftests/bpf: Copy runqslower to OUTPUT directory
  (bsc#1177028).
- selftests/bpf: Enforce returning 0 for fentry/fexit programs
  (bsc#1177028).
  Refresh patches.suse/selftest-bpf-Fmod_ret-prog-and-implement-test_overhe.patch
- selftests/bpf: Fix BPF_KRETPROBE macro and use it in
  attach_probe test (bsc#1177028).
- tools/bpf/runqslower: Rebuild libbpf.a on libbpf source change
  (bsc#1177028).
- runqslower: Fix Makefile (bsc#1177028).
- runsqslower: Support user-specified libbpf include and object
  paths (bsc#1177028).
- tools/runqslower: Remove tools/lib/bpf from include path
  (bsc#1177028).
- tools/bpf/runqslower: Fix override option for VMLINUX_BTF
  (bsc#1177028).
- commit 2a528e5
* Sat Oct 17 2020 bp@suse.de
- powercap: Restrict energy meter to root access (bsc#1170415
  CVE-2020-8694).
- commit 4deb70f
* Sat Oct 17 2020 tiwai@suse.de
- Move already upstreamed sound patches into sorted section
- commit d5803ae
* Fri Oct 16 2020 jack@suse.cz
- dax: Fix compilation for CONFIG_DAX && !CONFIG_FS_DAX
  (bsc#1177817).
- commit 3294fad
* Fri Oct 16 2020 jack@suse.cz
- dm: Call proper helper to determine dax support (bsc#1177817).
- commit 54f2e3f
* Fri Oct 16 2020 jeyu@suse.de
- Reinstate commit 418c424ed69204c3d503d524df9b593201d2cb0a:
  writeback: Fix sync livelock due to b_dirty_time processing (bsc#1177755).
  It appears merge commit 813a610cb3d98fba04d3ea4694260e04a3840ff8
  may have erroneously dropped this patch.
- commit 4849ffb
* Fri Oct 16 2020 jack@suse.cz
- writeback: Fix sync livelock due to b_dirty_time processing
  (bsc#1177755).
- commit 418c424
* Fri Oct 16 2020 jack@suse.cz
- writeback: Avoid skipping inode writeback (bsc#1177755).
- commit 977317c
* Fri Oct 16 2020 jack@suse.cz
- writeback: Protect inode->i_io_list with inode->i_lock
  (bsc#1177755).
  Refresh patches.suse/writeback-Export-inode_io_list_del.patch
- commit 5034dcb
* Fri Oct 16 2020 jack@suse.cz
- iomap: Make sure iomap_end is called after iomap_begin
  (bsc#1177754).
- commit 1558ead
* Fri Oct 16 2020 jack@suse.cz
- block: ensure bdi->io_pages is always initialized (bsc#1177749).
- commit dbf3e7d
* Fri Oct 16 2020 jack@suse.cz
- block: Fix page_is_mergeable() for compound pages (bsc#1177814).
- commit 1fb5d9d
* Fri Oct 16 2020 jack@suse.cz
- blk-mq: order adding requests to hctx->dispatch and checking
  SCHED_RESTART (bsc#1177750).
- commit 3cc33db
* Fri Oct 16 2020 tzimmermann@suse.de
- drm/i915/gtt: Don't check PPGTT presence on PPGTT-only platforms (bsc#1152489)
- commit 9981e92
* Fri Oct 16 2020 tzimmermann@suse.de
- Revert "drm/i915: Introduce private PAT management" (bsc#1152489)
- commit 3ac1160
* Fri Oct 16 2020 tzimmermann@suse.de
- drm/virtio: drop (bsc#1152489)
- commit 162d275
* Fri Oct 16 2020 tzimmermann@suse.de
- drm/i915/gen8+: Add RC6 CTX corruption WA (bsc#1152489)
- commit 5f72eda
* Fri Oct 16 2020 tzimmermann@suse.de
- device_cgroup: Export devcgroup_check_permission (bsc#1152489)
- commit 53c9a2f
* Fri Oct 16 2020 tzimmermann@suse.de
- PCI: Add #defines for Enter Compliance, Transmit Margin (bsc#1152489)
- commit 2f83d32
* Fri Oct 16 2020 vbabka@suse.cz
- mm/mmu_notifier: silence PROVE_RCU_LIST warnings
  (jsc#SLE-16387).
- commit bd27572
* Fri Oct 16 2020 vbabka@suse.cz
- mm/mmu_notifiers: Use 'interval_sub' as the variable for
  mmu_interval_notifier (jsc#SLE-16387).
- commit fdc4ff3
* Fri Oct 16 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-dma-Fix-dma_map_ops-get_required_mask.patch.
  Refresh to upstream version.
- commit 86022df
* Fri Oct 16 2020 msuchanek@suse.de
- blacklist.conf: Remove commits that are already merged into SP3.
- commit 208f9e1
* Fri Oct 16 2020 vbabka@suse.cz
- mm/mmu_notifiers: Use 'subscription' as the variable name for
  mmu_notifier (jsc#SLE-16387).
- commit efd51c6
* Fri Oct 16 2020 vbabka@suse.cz
- mm/mmu_notifier: Rename struct mmu_notifier_mm to
  mmu_notifier_subscriptions (jsc#SLE-16387).
- commit f87478b
* Fri Oct 16 2020 tiwai@suse.de
- ALSA: fireworks: use semicolons rather than commas to separate
  statements (git-fixes).
- ALSA: hdspm: Fix typo arbitary (git-fixes).
- ALSA: portman2x4: fix repeated word 'if' (git-fixes).
- ALSA: asihpi: fix spellint typo in comments (git-fixes).
- ALSA: vx: vx_pcm: remove redundant assignment (git-fixes).
- ALSA: vx: vx_core: clarify operator precedence (git-fixes).
- ALSA: atmel: ac97: clarify operator precedence (git-fixes).
- ALSA: ac97: (cosmetic) align argument names (git-fixes).
- ALSA: aoa: i2sbus: use DECLARE_COMPLETION_ONSTACK() macro
  (git-fixes).
- commit 1b0d435
* Fri Oct 16 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/Bluetooth-A2MP-Fix-not-initializing-all-members.patch
  patches.suse/Bluetooth-L2CAP-Fix-calling-sk_filter-on-non-socket-.patch
- commit b739656
* Fri Oct 16 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/ovl-call-secutiry-hook-in-ovl_real_ioctl.patch
  patches.suse/ovl-check-permission-to-open-real-file.patch
  patches.suse/ovl-pass-correct-flags-for-opening-real-directory.patch
  patches.suse/ovl-switch-to-mounter-creds-in-readdir.patch
  patches.suse/ovl-verify-permissions-in-ovl_path_open.patch
- commit 8e33a6e
* Fri Oct 16 2020 tiwai@suse.de
- ALSA: hda: use semicolons rather than commas to separate
  statements (git-fixes).
- ALSA: usb-audio: endpoint.c: fix repeated word 'there'
  (git-fixes).
- ALSA: usb-audio: fix spelling mistake "Frequence" -> "Frequency"
  (git-fixes).
- ALSA: usb-audio: Add mixer support for Pioneer DJ DJM-250MK2
  (git-fixes).
- ALSA: ctl: Workaround for lockdep warning wrt
  card->ctl_files_rwlock (git-fixes).
- ALSA: rawmidi: (cosmetic) align function parameters (git-fixes).
- ALSA: usb: scarless_gen2: fix endianness issue (git-fixes).
- ALSA: hda: (cosmetic) align function parameters (git-fixes).
- ALSA: hda: auto_parser: remove shadowed variable declaration
  (git-fixes).
- ALSA: core: init: use DECLARE_COMPLETION_ONSTACK() macro
  (git-fixes).
- ALSA: compress_offload: remove redundant initialization
  (git-fixes).
- ALSA: core: timer: clarify operator precedence (git-fixes).
- ALSA: core: timer: remove redundant assignment (git-fixes).
- ALSA: core: pcm: simplify locking for timers (git-fixes).
- ALSA: hda/realtek - The front Mic on a HP machine doesn't work
  (git-fixes).
- ALSA: hda/realtek: Enable audio jacks of ASUS D700SA with ALC887
  (git-fixes).
- ALSA: hda/realtek - Add mute Led support for HP Elitebook 845 G7
  (git-fixes).
- ALSA: hda - Don't register a cb func if it is registered already
  (git-fixes).
- ALSA: hda/realtek - set mic to auto detect on a HP AIO machine
  (git-fixes).
- commit f02408a
* Fri Oct 16 2020 tiwai@suse.de
- wcn36xx: Fix reported 802.11n rx_highest rate wcn3660/wcn3680
  (git-fixes).
- w1: mxc_w1: Fix timeout resolution problem leading to bus error
  (git-fixes).
- USB: serial: qcserial: fix altsetting probing (git-fixes).
- usb: dwc2: Fix INTR OUT transfers in DDMA mode (git-fixes).
- usb: dwc3: ep0: Fix ZLP for OUT ep0 requests (git-fixes).
- usb: dwc3: core: add phy cleanup for probe error handling
  (git-fixes).
- usb: dwc3: core: don't trigger runtime pm when remove driver
  (git-fixes).
- usb: gadget: u_ether: enable qmult on SuperSpeed Plus as well
  (git-fixes).
- usb: gadget: f_ncm: fix ncm_bitrate for SuperSpeed and above
  (git-fixes).
- xhci: don't create endpoint debugfs entry before ring buffer
  is set (git-fixes).
- commit 3de826d
* Fri Oct 16 2020 glin@suse.com
- selftests/bpf: Fix silent Makefile output (bsc#1177028).
- selftests/bpf: Add test for resolve_btfids (bsc#1177028).
- selftests/bpf: Allow substituting custom vmlinux.h for selftests
  build (bsc#1177028).
- bpf: Add BPF ringbuf and perf buffer benchmarks (bsc#1177028).
- bpf: Fix returned error sign when link doesn't support updates
  (bsc#1177028).
- selftest/bpf: Add BPF triggering benchmark (bsc#1177028).
- selftest/bpf: Fmod_ret prog and implement test_overhead as
  part of bench (bsc#1177028).
- selftests/bpf: Add benchmark runner infrastructure
  (bsc#1177028).
- selftests/bpf: Add runqslower binary to .gitignore
  (bsc#1177028).
- selftests/bpf: Add vmlinux.h selftest exercising tracing of
  syscalls (bsc#1177028).
- selftests/bpf: Support out-of-tree vmlinux builds for
  VMLINUX_BTF (bsc#1177028).
- selftests/bpf: Declare bpf_log_buf variables as static
  (bsc#1177028).
- selftests/bpf: Change llvm flag -mcpu=probe to -mcpu=v3
  (bsc#1177028).
- selftests/bpf: Build urandom_read with LDFLAGS and LDLIBS
  (bsc#1177028).
- selftests: Refactor build to remove tools/lib/bpf from include
  path (bsc#1177028).
- samples/bpf: Use consistent include paths for libbpf
  (bsc#1177028).
- bpftool: Use consistent include paths for libbpf (bsc#1177028).
- selftests: Use consistent include paths for libbpf (bsc#1177028).
  Refresh patches.suse/bpf-Add-bpf_xdp_output-helper.patch
- tools/runqslower: Use consistent include paths for libbpf
  (bsc#1177028).
- selftests: Pass VMLINUX_BTF to runqslower Makefile
  (bsc#1177028).
- libbpf: Revert bpf_helper_defs.h inclusion regression
  (bsc#1177028).
- selftests/bpf: Build runqslower from selftests (bsc#1177028).
- tools/bpf: Add runqslower tool to tools/bpf (bsc#1177028).
- selftests/bpf: Add BPF_PROG, BPF_KPROBE, and BPF_KRETPROBE
  macros (bsc#1177028).
- selftests/bpf: Add unit tests for global functions
  (bsc#1177028).
- selftests/bpf: Add fexit-to-skb test for global funcs
  (bsc#1177028).
- libbpf,selftests/bpf: Fix clean targets (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Conform-selftests-bpf-Makefile-output-.patch
- bpf: Add bpf_dctcp example (bsc#1177028).
- bpftool: Work-around rst2man conversion bug (bsc#1177028).
- bpftool: Add gen subcommand manpage (bsc#1177028).
- samples/bpf: Reintroduce missed build targets (bsc#1177028).
- libbpf: Move non-public APIs from libbpf.h to libbpf_internal.h
  (bsc#1177028).
- selftests/bpf: Fix perf_buffer test on systems w/ offline CPUs
  (bsc#1177028).
- selftests/bpf: Add CPU mask parsing tests (bsc#1177028).
- selftests/bpf: Add a fexit/bpf2bpf test with target bpf prog
  no callees (bsc#1177028).
- bpf, testing: Add various tail call test cases (bsc#1177028).
- libbpf: Use pr_warn() when printing netlink errors (bsc#1177028).
  Refresh patches.suse/libbpf-Poison-kernel-only-integer-types.patch
- bpftool: Allow to read btf as raw data (bsc#1177028).
- samples/bpf: Use own EXTRA_CFLAGS for clang commands
  (bsc#1177028).
- tools: bpftool: implement "bpftool btf show|list" (bsc#1177028).
- selftests/bpf: add loop test 5 (bsc#1177028).
- selftests/bpf: add loop test 4 (bsc#1177028).
- commit 142b063
* Fri Oct 16 2020 tiwai@suse.de
- qtnfmac: fix resource leaks on unsupported iftype error return
  path (git-fixes).
- slimbus: qcom-ngd-ctrl: disable ngd in qmi server down callback
  (git-fixes).
- slimbus: core: do not enter to clock pause mode in core
  (git-fixes).
- slimbus: core: check get_addr before removing laddr ida
  (git-fixes).
- usb: dwc3: pci: Allow Elkhart Lake to utilize DSM method for
  PM functionality (git-fixes).
- usb: dwc2: Fix parameter type in function pointer prototype
  (git-fixes).
- usb: dwc3: gadget: Resume pending requests after CLEAR_STALL
  (git-fixes).
- usb: xhci-mtk: Fix typo (git-fixes).
- staging: rtl8192u: Do not use GFP_KERNEL in atomic context
  (git-fixes).
- commit 40d8c20
* Fri Oct 16 2020 bp@suse.de
- x86/{mce,mm}: Unmap the entire page if the whole page is
  affected and poisoned (bsc#1177765).
- commit d250460
* Fri Oct 16 2020 tiwai@suse.de
- mwifiex: fix double free (git-fixes).
- iwlwifi: mvm: split a print to avoid a WARNING in ROC
  (git-fixes).
- nl80211: fix non-split wiphy information (git-fixes).
- mwifiex: remove function pointer check (git-fixes).
- mwifiex: Remove unnecessary braces from
  HostCmd_SET_SEQ_NO_BSS_INFO (git-fixes).
- mwifiex: Do not use GFP_KERNEL in atomic context (git-fixes).
- ima: Remove semicolon at the end of
  ima_get_binary_runtime_size() (git-fixes).
- pwm: lpss: Add range limit check for the base_unit register
  value (git-fixes).
- pwm: lpss: Fix off by one error in base_unit math in
  pwm_lpss_prepare() (git-fixes).
- misc: mic: scif: Fix error handling path (git-fixes).
- commit 0a90922
* Fri Oct 16 2020 tiwai@suse.de
- ima: Don't ignore errors from crypto_shash_update() (git-fixes).
- iio: adc: gyroadc: fix leak of device node iterator (git-fixes).
- iio: adc: stm32-adc: fix runtime autosuspend delay when slow
  polling (git-fixes).
- iio:adc:ti-adc12138 Fix alignment issue with timestamp
  (git-fixes).
- iio:adc:ti-adc0832 Fix alignment issue with timestamp
  (git-fixes).
- iio:light:si1145: Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio:gyro:itg3200: Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio:accel:bma180: Fix use of true when should be iio_shared_by
  enum (git-fixes).
- iio:magn:hmc5843: Fix passing true where iio_shared_by enum
  required (git-fixes).
- iio:dac:ad5592r: Fix use of true for IIO_SHARED_BY_TYPE
  (git-fixes).
- commit 7b8694c
* Fri Oct 16 2020 tiwai@suse.de
- can: flexcan: remove ack_grp and ack_bit handling from driver
  (git-fixes).
- can: c_can: reg_map_{c,d}_can: mark as __maybe_unused
  (git-fixes).
- can: softing: softing_card_shutdown(): add  braces around
  empty body in an 'if' statement (git-fixes).
- brcmfmac: check ndev pointer (git-fixes).
- HID: hid-input: fix stylus battery reporting (git-fixes).
- HID: wacom: Avoid entering wacom_wac_pen_report for pad /
  battery (git-fixes).
- HID: roccat: add bounds checking in kone_sysfs_write_settings()
  (git-fixes).
- dmaengine: dma-jz4780: Fix race in jz4780_dma_tx_status
  (git-fixes).
- dmaengine: dmatest: Check list for emptiness before access
  its last entry (git-fixes).
- extcon: ptn5150: Fix usage of atomic GPIO with sleeping GPIO
  chips (git-fixes).
- commit f5c71cc
* Fri Oct 16 2020 tiwai@suse.de
- Bluetooth: hci_uart: Cancel init work before unregistering
  (git-fixes).
- ath6kl: wmi: prevent a shift wrapping bug in
  ath6kl_wmi_delete_pstream_cmd() (git-fixes).
- ath10k: Fix the size used in a 'dma_free_coherent()' call in
  an error handling path (git-fixes).
- ath9k: Fix potential out of bounds in
  ath9k_htc_txcompletion_cb() (git-fixes).
- ath9k_htc: Use appropriate rs_datalen type (git-fixes).
- ath6kl: prevent potential array overflow in ath6kl_add_new_sta()
  (git-fixes).
- ath10k: provide survey info as accumulated data (git-fixes).
- ALSA: hda/hdmi: fix incorrect locking in hdmi_pcm_close
  (git-fixes).
- ASoC: fsl: imx-es8328: add missing put_device() call in
  imx_es8328_probe() (git-fixes).
- ASoC: qcom: lpass-cpu: fix concurrency issue (git-fixes).
- ASoC: qcom: lpass-platform: fix memory leak (git-fixes).
- ASoC: sun50i-codec-analog: Fix duplicate use of ADC enable bits
  (git-fixes).
- ASoC: fsl_sai: Instantiate snd_soc_dai_driver (git-fixes).
- ASoC: tlv320aic32x4: Fix bdiv clock rate derivation (git-fixes).
- ALSA: seq: oss: Avoid mutex lock for a long-time ioctl
  (git-fixes).
- ALSA: mixart: Correct comment wrt obsoleted tasklet usage
  (git-fixes).
- ALSA: bebob: potential info leak in hwdep_read() (git-fixes).
- commit 42377f3
* Fri Oct 16 2020 jgross@suse.com
- x86/xen: disable Firmware First mode for correctable memory
  errors (bsc#1176713).
- commit f91015e
* Fri Oct 16 2020 mkubecek@suse.cz
- Update kabi files.
- update to resubmitted October 2020 OOB maintenance update submission (commit 29977655832a)
- commit 01071b5
* Thu Oct 15 2020 rgoldwyn@suse.com
- ovl: check permission to open real file  (bsc#1177470,
  CVE-2020-16120).
- ovl: call secutiry hook in ovl_real_ioctl()  (bsc#1177470,
  CVE-2020-16120).
- ovl: verify permissions in ovl_path_open()  (bsc#1177470,
  CVE-2020-16120).
- ovl: switch to mounter creds in readdir  (bsc#1177470,
  CVE-2020-16120).
- ovl: pass correct flags for opening real directory
  (bsc#1177470, CVE-2020-16120).
- commit 86bcb3f
* Thu Oct 15 2020 osalvador@suse.de
- mm,hwpoison: Try to narrow window race for free pages
  (bsc#1177686).
- mm,hwpoison: double-check page count in __get_any_page()
  (bsc#1177686).
- mm,hwpoison: introduce MF_MSG_UNSPLIT_THP (bsc#1177686).
- mm,hwpoison: return 0 if the page is already poisoned in
  soft-offline (bsc#1177686).
- mm,hwpoison: refactor soft_offline_huge_page and
  __soft_offline_page (bsc#1177686).
- mm,hwpoison: rework soft offline for in-use pages (bsc#1177686).
- mm,hwpoison: rework soft offline for free pages (bsc#1177686).
- mm,hwpoison: unify THP handling for hard and soft offline
  (bsc#1177686).
- mm,hwpoison: kill put_hwpoison_page (bsc#1177686).
- mm,hwpoison: refactor madvise_inject_error (bsc#1177686).
- mm,hwpoison: unexport get_hwpoison_page and make it static
  (bsc#1177686).
- mm,hwpoison-inject: don't pin for hwpoison_filter (bsc#1177686).
- mm, hwpoison: remove recalculating hpage (bsc#1177686).
- mm,hwpoison: cleanup unused PageHuge() check (bsc#1177686).
- commit c4ae95a
* Thu Oct 15 2020 tiwai@suse.de
- backlight: sky81452-backlight: Fix refcount imbalance on error
  (git-fixes).
- mfd: sm501: Fix leaks in probe() (git-fixes).
- pinctrl: mcp23s08: Fix mcp23x17 precious range (git-fixes).
- pinctrl: mcp23s08: Fix mcp23x17_regmap initialiser (git-fixes).
- leds: mt6323: move period calculation (git-fixes).
- ipmi_si: Fix wrong return value in try_smi_init() (git-fixes).
- ACPI: button: fix handling lid state changes when input device
  closed (git-fixes).
- ACPI: configfs: Add missing config_item_put() to fix refcount
  leak (git-fixes).
- platform/x86: mlx-platform: Remove PSU EEPROM configuration
  (git-fixes).
- net: wireless: nl80211: fix out-of-bounds access in
  nl80211_del_key() (git-fixes).
- Input: ati_remote2 - add missing newlines when printing module
  parameters (git-fixes).
- commit e531d97
* Thu Oct 15 2020 ddiss@suse.de
- patches.suse/target-rbd-detect-stripe_unit-SCSI-block-size-misali.patch:
  (bsc#1177090).
- patches.suse/target-rbd-support-COMPARE_AND_WRITE.patch:
  (fate#318836, bsc#1177090).
- patches.suse/target-compare-and-write-backend-driver-sense-handli.patch:
  (bsc#1177719).
- commit 3918814
* Thu Oct 15 2020 ailiop@suse.com
- xfs: force the log after remapping a synchronous-writes file
  (git-fixes).
- commit 600980e
* Thu Oct 15 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/scsi-ibmvfc-Avoid-link-down-on-FS9100-canister-reboo.patch
  patches.suse/scsi-ibmvfc-Use-compiler-attribute-defines-instead-o.patch
  patches.suse/scsi-qla2xxx-Add-IOCB-resource-tracking.patch
  patches.suse/scsi-qla2xxx-Add-SLER-and-PI-control-support.patch
  patches.suse/scsi-qla2xxx-Add-rport-fields-in-debugfs.patch
  patches.suse/scsi-qla2xxx-Allow-dev_loss_tmo-setting-for-FC-NVMe-.patch
  patches.suse/scsi-qla2xxx-Correct-the-check-for-sscanf-return-val.patch
  patches.suse/scsi-qla2xxx-Fix-I-O-errors-during-LIP-reset-tests.patch
  patches.suse/scsi-qla2xxx-Fix-I-O-failures-during-remote-port-tog.patch
  patches.suse/scsi-qla2xxx-Fix-MPI-reset-needed-message.patch
  patches.suse/scsi-qla2xxx-Fix-buffer-buffer-credit-extraction-err.patch
  patches.suse/scsi-qla2xxx-Fix-crash-on-session-cleanup-with-unloa.patch
  patches.suse/scsi-qla2xxx-Fix-inconsistent-format-argument-type-i-250bd009.patch
  patches.suse/scsi-qla2xxx-Fix-inconsistent-format-argument-type-i-72e813d9.patch
  patches.suse/scsi-qla2xxx-Fix-inconsistent-format-argument-type-i.patch
  patches.suse/scsi-qla2xxx-Fix-memory-size-truncation.patch
  patches.suse/scsi-qla2xxx-Fix-point-to-point-N2N-device-discovery.patch
  patches.suse/scsi-qla2xxx-Fix-reset-of-MPI-firmware.patch
  patches.suse/scsi-qla2xxx-Fix-the-return-value.patch
  patches.suse/scsi-qla2xxx-Fix-the-size-used-in-a-dma_free_coheren.patch
  patches.suse/scsi-qla2xxx-Fix-wrong-return-value-in-qla_nvme_regi.patch
  patches.suse/scsi-qla2xxx-Fix-wrong-return-value-in-qlt_chk_unres.patch
  patches.suse/scsi-qla2xxx-Honor-status-qualifier-in-FCP_RSP-per-s.patch
  patches.suse/scsi-qla2xxx-Log-calling-function-name-in-qla2x00_ge.patch
  patches.suse/scsi-qla2xxx-Make-tgt_port_database-available-in-ini.patch
  patches.suse/scsi-qla2xxx-Performance-tweak.patch
  patches.suse/scsi-qla2xxx-Reduce-duplicate-code-in-reporting-spee.patch
  patches.suse/scsi-qla2xxx-Remove-pci-dma-compat-wrapper-API.patch
  patches.suse/scsi-qla2xxx-Remove-redundant-variable-initializatio.patch
  patches.suse/scsi-qla2xxx-Remove-superfluous-memset.patch
  patches.suse/scsi-qla2xxx-Remove-unneeded-variable-rval.patch
  patches.suse/scsi-qla2xxx-Setup-debugfs-entries-for-remote-ports.patch
  patches.suse/scsi-qla2xxx-Simplify-return-value-logic-in-qla2x00_.patch
  patches.suse/scsi-qla2xxx-Update-version-to-10.02.00.102-k.patch
  patches.suse/scsi-qla2xxx-Update-version-to-10.02.00.103-k.patch
  patches.suse/scsi-qla2xxx-Warn-if-done-or-free-are-called-on-an-a.patch
  patches.suse/scsi-smartpqi-add-id-support-for-smartraid-3152-8i.patch
  patches.suse/scsi-smartpqi-add-raid-bypass-counter.patch
  patches.suse/scsi-smartpqi-avoid-crashing-kernel-for-controller-issues.patch
  patches.suse/scsi-smartpqi-bump-version-to-1-2-16-010.patch
  patches.suse/scsi-smartpqi-identify-physical-devices-without-issuing-inquiry.patch
  patches.suse/scsi-smartpqi-support-device-deletion-via-sysfs.patch
  patches.suse/scsi-smartpqi-update-logical-volume-size-after-expansion.patch
  No effect on expanded tree.
- commit cd0c079
* Thu Oct 15 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/Bluetooth-A2MP-Fix-not-initializing-all-members.patch
  patches.suse/Bluetooth-L2CAP-Fix-calling-sk_filter-on-non-socket-.patch
- commit a607d96
* Thu Oct 15 2020 jslaby@suse.cz
- x86/unwind/orc: Fix inactive tasks with stack pointer in %%sp
  on GCC 10 compiled kernels (bsc#1176907).
- commit 4f3bd2e
* Thu Oct 15 2020 tzimmermann@suse.de
- PCI: Add PCI_STD_NUM_BARS for the number of standard BARs (bsc#1152489)
- commit 851c8bb
* Thu Oct 15 2020 tiwai@suse.de
- kABI workaround for bluetooth l2cap_ops filter addition
  (CVE-2020-12351 bsc#1177724).
- commit 7c053a8
* Thu Oct 15 2020 tiwai@suse.de
- Bluetooth: L2CAP: Fix calling sk_filter on non-socket based
  channel (CVE-2020-12351 bsc#1177724).
- commit f0ba0e3
* Thu Oct 15 2020 tiwai@suse.de
- Update the patch reference for bluetooth security fix (CVE-2020-24490 bsc#1177726)
- commit 2a88ef6
* Thu Oct 15 2020 jslaby@suse.cz
- PCI/AER: Add RCEC AER error injection support (jsc#SLE-13736
  jsc#SLE-14845).
- PCI/PME: Add pcie_walk_rcec() to RCEC PME handling
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/AER: Add pcie_walk_rcec() to RCEC AER handling
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/RCEC: Add RCiEP's linked RCEC to AER/ERR (jsc#SLE-13736
  jsc#SLE-14845).
- PCI/RCEC: Add pcie_link_rcec() to associate RCiEPs
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/AER: Apply Function Level Reset to RCiEP on fatal error
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/ERR: Limit AER resets in pcie_do_recovery() (jsc#SLE-13736
  jsc#SLE-14845).
- PCI/ERR: Add pci_walk_bridge() to pcie_do_recovery()
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/ERR: Avoid negated conditional for clarity (jsc#SLE-13736
  jsc#SLE-14845).
- PCI/ERR: Use "bridge" for clarity in pcie_do_recovery()
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/ERR: Simplify by computing pci_pcie_type() once
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/ERR: Simplify by using pci_upstream_bridge() (jsc#SLE-13736
  jsc#SLE-14845).
- PCI/ERR: Rename reset_link() to reset_subordinates()
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/RCEC: Cache RCEC capabilities in pci_init_capabilities()
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/RCEC: Bind RCEC devices to the Root Port driver
  (jsc#SLE-13736 jsc#SLE-14845).
- PCI/RCEC: Add RCEC class code and extended capability
  (jsc#SLE-13736 jsc#SLE-14845).
- commit d935dcb
* Thu Oct 15 2020 tiwai@suse.de
- Move upstreamed intel-vbtn patch into sorted section
- commit cf1a58d
* Thu Oct 15 2020 tiwai@suse.de
- Bluetooth: A2MP: Fix not initializing all members
  (CVE-2020-12352 bsc#1177725).
- commit 099cb6b
* Thu Oct 15 2020 glin@suse.com
- bpf: Fix scalar32_min_max_or bounds tracking (bsc#1177028).
- tools/bpftool: Make skeleton code C++17-friendly by dropping
  typeof() (bsc#1177028).
- tools/bpftool: Fix error handing in do_skeleton() (bsc#1177028).
- tools/bpftool: Strip away modifiers from global variables
  (bsc#1177028).
- libbpf: Prevent loading vmlinux BTF twice (bsc#1177028).
- security: Fix hook iteration and default value for
  inode_copy_up_xattr (bsc#1177028).
- libbpf: Support pre-initializing .bss global variables
  (bsc#1177028).
- bpf: cgroup: Allow multi-attach program to replace itself
  (bsc#1177028).
- bpf, cgroup: Return ENOLINK for auto-detached links on update
  (bsc#1177028).
- selftests/bpf: Fix test_align verifier log patterns
  (bsc#1177028).
- selftests/bpf: Install generated test progs (bsc#1177028).
- libbpf: Fix huge memory leak in libbpf_find_vmlinux_btf_id()
  (bsc#1177028).
- selftests/bpf: Ensure test flavors use correct skeletons
  (bsc#1177028).
- bpf: Refactor bpf_link update handling (bsc#1177028).
- selftests/bpf: Convert test_cgroup_attach to prog_tests (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Further-clean-up-Makefile-output.patch
- commit 5fa0d3e
* Thu Oct 15 2020 tbogendoerfer@suse.de
- Refresh
  patches.suse/bonding-Add-helper-function-to-get-the-xmit-slave-in.patch.
  Added missing changes from merge
  commit 76cd622fe2c2b10c1f0a7311ca797feccacc329d (bsc#1177678)
- commit 1950c34
* Thu Oct 15 2020 vbabka@suse.cz
- mm, slub: restore initial kmem_cache flags (mm/slub
  bsc#1165692).
- commit 8972663
* Wed Oct 14 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/NFS-Don-t-move-layouts-to-plh_return_segs-list-while.patch
  patches.suse/NFS-Don-t-return-layout-segments-that-are-in-use.patch
  patches.suse/NFS-Fix-flexfiles-read-failover.patch
  patches.suse/NFSv4.2-fix-client-s-attribute-cache-management-for-.patch
  patches.suse/SUNRPC-Revert-241b1f419f0e-SUNRPC-Remove-xdr_buf_tri.patch
  patches.suse/nfs-ensure-correct-writeback-errors-are-returned-on-.patch
  patches.suse/nfs-nfs_file_write-should-check-for-writeback-errors.patch
  patches.suse/nfsd4-fix-NULL-dereference-in-nfsd-clients-display-c.patch
  patches.suse/pNFS-flexfiles-Ensure-we-initialise-the-mirror-bsize.patch
  patches.suse/svcrdma-Fix-page-leak-in-svc_rdma_recv_read_chunk.patch
  patches.suse/xprtrdma-fix-incorrect-header-size-calculations.patch
- commit 90be310
* Wed Oct 14 2020 mkubecek@suse.cz
- series.conf: cleanup
- rename Other drivers / Intel IOMMU subsection to IOMMU
- whitespace cleanup
- commit 263c1bd
* Wed Oct 14 2020 mkubecek@suse.cz
- series.conf: cleanup
- fix Patch-mainline and move to "almost mainline" section:
  patches.suse/qla2xxx-return-ebusy-on-fcport-deletion.patch
- create Storage / NVMe subsection
- move to Storage / NVMe:
  patches.suse/Revert-nvme-allow-64-bit-results-in-passthru-command.patch
  patches.suse/nvme-multipath-retry-commands-for-dying-queues.patch
- drop Storage / bsc#1171688 subsection
  No effect on expanded tree.
- commit 1b55020
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slab/slub: move and improve cache_from_obj() (mm/slub
  bsc#1165692).
  mm, slab/slub: improve error reporting and overhead of
  cache_from_obj() (mm/slub bsc#1165692).
  Squashed to prevent build error after first patch.
- commit ed35ad2
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: extend checks guarded by slub_debug static key
  (mm/slub bsc#1165692).
- commit 95cf5cc
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: introduce kmem_cache_debug_flags() (mm/slub
  bsc#1165692).
- commit 4f68bb2
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: introduce static key for slub_debug() (mm/slub
  bsc#1165692).
- commit 592afaf
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: make reclaim_account attribute read-only (mm/slub
  bsc#1165692).
- commit 749a7fc
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: make remaining slub_debug related attributes read-only
  (mm/slub bsc#1165692).
- commit 0a2f646
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: remove runtime allocation order changes (mm/slub
  bsc#1165692).
- commit d6227f6
* Wed Oct 14 2020 mkoutny@suse.com
- blacklist.conf: a87425a36fb2 mm, memcg: fix build error around the usage of kmem_caches
- commit b5fde68
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: check the right error variable in
  btrfs_del_dir_entries_in_log (bsc#1177687).
- commit d17c6ed
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: do not set the full sync flag on the inode during page
  release (bsc#1177687).
- commit 8954d4a
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: release old extent maps during page release
  (bsc#1177687).
- commit c79f281
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: fix race between page release and a fast fsync
  (bsc#1177687).
- commit 2893955
* Wed Oct 14 2020 ddiss@suse.de
- patches.suse/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch:
  (fate#318836, bsc#1177090).
- patches.suse/libceph-add-support-for-CMPEXT-compare-extent-reques.patch:
  (fate#318836, bsc#1177090).
- patches.suse/rbd-add-rbd_img_fill_cmp_and_write_from_bvecs.patch:
  (bsc#1177090).
- patches.suse/target-rbd-add-WRITE-SAME-support.patch:
  (bsc#1177090).
- patches.suse/target-rbd-fix-unmap-handling-with-unmap_zeroes_data.patch:
  (bsc#1177271).
- patches.suse/target-rbd-fix-unmap-discard-block-size-conversion.patch:
  (bsc#1177271).
- patches.suse/target-rbd-conditionally-fix-off-by-one-bug-in-get_b.patch:
  (bsc#1177109).
- patches.suse/target-rbd-add-emulate_legacy_capacity-dev-attribute.patch:
  (bsc#1177109).
- commit 613f6b5
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: reduce contention on log trees when logging checksums
  (bsc#1177687).
- commit 449441e
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: make some slub_debug related attributes read-only
  (mm/slub bsc#1165692).
- commit 3730c96
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: remove no longer needed use of log_writers for the log
  root tree (bsc#1177687).
- commit aa9b267
* Wed Oct 14 2020 vbabka@suse.cz
- mm, slub: extend slub_debug syntax for multiple blocks
  (mm/slub bsc#1165692).
- commit db5b44a
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: stop incremening log_batch for the log root tree when
  syncing log (bsc#1177687).
- commit 0fccfec
* Wed Oct 14 2020 vbabka@suse.cz
- mm: call cond_resched() from deferred_init_memmap() (git fixes
  (mm/init), bsc#1177697).
- commit 30c0b50
* Wed Oct 14 2020 vbabka@suse.cz
- mm: initialize deferred pages with interrupts enabled (git fixes
  (mm/init), bsc#1177697).
- commit ea99f65
* Wed Oct 14 2020 vbabka@suse.cz
- mm/pagealloc.c: call touch_nmi_watchdog() on max order
  boundaries in deferred init (git fixes (mm/init), bsc#1177697).
- commit 3c12134
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: only commit delayed items at fsync if we are logging
  a directory (bsc#1177687).
- commit 6999ba9
* Wed Oct 14 2020 fdmanana@suse.com
- btrfs: only commit the delayed inode when doing a full fsync
  (bsc#1177687).
- commit 7ac015a
* Wed Oct 14 2020 yousaf.kaukab@suse.com
- arm64: Enable PCI write-combine resources under sysfs
  (bsc#1175807).
- commit 97c0c04
* Wed Oct 14 2020 mkoutny@suse.com
- mm/memcontrol.c: lost css_put in memcg_expand_shrinker_maps()
  (bsc#1177694).
- commit a848eca
* Wed Oct 14 2020 oneukum@suse.com
- crypto: qat - drop input parameter from adf_enable_aer()
  (jsc#SLE-14454).
- commit cd6d9e4
* Wed Oct 14 2020 yousaf.kaukab@suse.com
- config: arm64: enable CONFIG_SENSORS_ACPI_POWER
  References: jsc#SLE-15070
- commit 3beaf0c
* Wed Oct 14 2020 oneukum@suse.com
- crypto: qat - fix function parameters descriptions
  (jsc#SLE-14454).
- commit fc3fb5b
* Wed Oct 14 2020 oneukum@suse.com
- crypto: qat - remove unnecessary mutex_init() (jsc#SLE-14454).
- commit 457a2aa
* Wed Oct 14 2020 tzimmermann@suse.de
- Update configs for DRM v5.5
- commit 66d3242
* Wed Oct 14 2020 oneukum@suse.com
- crypto: qat - convert to use DEFINE_SEQ_ATTRIBUTE macro
  (jsc#SLE-14454).
- crypto: qat - use PCI_VDEVICE (jsc#SLE-14454).
- crypto: qat - replace device ids defines (jsc#SLE-14454).
- crypto: qat - add delay before polling mailbox (jsc#SLE-14454).
- PCI: Add Intel QuickAssist device IDs (jsc#SLE-14454).
- include/linux/seq_file.h: introduce DEFINE_SEQ_ATTRIBUTE()
  helper macro (jsc#SLE-14454).
- commit f3991a9
* Wed Oct 14 2020 msuchanek@suse.de
- powerpc/pkeys: Fix build error with PPC_MEM_KEYS disabled
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/pkeys: Fix boot failures with Nemo board (A-EON AmigaOne
  X1000) (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkey: Disable pkey on POWER6 and before
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Remove is_pkey_enabled() (jsc#SLE-16556
  bsc#1078248 FATE#322447).
- powerpc/book3s64/kuap: Move UAMOR setup to key init function
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/keys: Print information during boot
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Use MMU_FTR_PKEY instead of
  pkey_disabled static key (jsc#SLE-16556 bsc#1078248
  FATE#322447).
- powerpc/book3s64/pkeys: Use pkey_execute_disable_supported
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/kuep: Add MMU_FTR_KUEP (jsc#SLE-16556
  bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Add MMU_FTR_PKEY (jsc#SLE-16556
  bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Mark all the pkeys above max pkey as
  reserved (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Make initial_allocation_mask static
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Convert pkey_total to num_pkey
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Simplify pkey disable branch
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: kill cpu feature key CPU_FTR_PKEY
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- Refresh patches.suse/powerpc-dt_cpu_ftrs-Add-feature-for-2nd-DAWR.patch.
- Refresh patches.suse/powerpc-watchpoint-Enable-watchpoint-functionality-o.patch.
- powerpc/book3s64/pkeys: Prevent key 1 modification from
  userspace (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Simplify the key initialization
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: Explain key 1 reservation details
  (jsc#SLE-16556 bsc#1078248 FATE#322447).
- powerpc/book3s64/pkeys: pkeys are supported only on hash on
  book3s (jsc#SLE-16556 bsc#1078248 FATE#322447).
- commit 3ac8bee
* Wed Oct 14 2020 vbabka@suse.cz
- mm: move_pages: return valid node id in status if the page
  is already on the target node (git fixes (mm/move_pages),
  bsc#1177683).
- commit e8cf54d
* Wed Oct 14 2020 vbabka@suse.cz
- mm: move_pages: report the number of non-attempted pages
  (git fixes (mm/move_pages), bsc#1177683).
- commit e140195
* Wed Oct 14 2020 vbabka@suse.cz
- mm/migrate.c: also overwrite error when it is bigger than zero
  (git fixes (mm/move_pages), bsc#1177683).
- commit 32c9cae
* Wed Oct 14 2020 tiwai@suse.de
- ata: ahci: mvebu: Make SATA PHY optional for Armada 3720
  (git-fixes).
- hwmon: (mlxreg-fan) Fix double "Mellanox" (git-fixes).
- hwmon: (pmbus/max34440) Fix status register reads for
  MAX344{51,60,61} (git-fixes).
- pinctrl: bcm: fix kconfig dependency warning when !GPIOLIB
  (git-fixes).
- spi: omap2-mcspi: Improve performance waiting for CHSTAT
  (git-fixes).
- spi: dw-pci: free previously allocated IRQs if desc->setup()
  fails (git-fixes).
- spi: sprd: Release DMA channel also on probe deferral
  (git-fixes).
- regulator: resolve supply after creating regulator (git-fixes).
- media: usbtv: Fix refcounting mixup (git-fixes).
- media: ti-vpe: Fix a missing check and reference count leak
  (git-fixes).
- media: stm32-dcmi: Fix a reference count leak (git-fixes).
- media: s5p-mfc: Fix a reference count leak (git-fixes).
- media: camss: Fix a reference count leak (git-fixes).
- media: platform: fcp: Fix a reference count leak (git-fixes).
- media: rockchip/rga: Fix a reference count leak (git-fixes).
- media: rcar-vin: Fix a reference count leak (git-fixes).
- media: tc358743: cleanup tc358743_cec_isr (git-fixes).
- media: tc358743: initialize variable (git-fixes).
- media: mx2_emmaprp: Fix memleak in emmaprp_probe (git-fixes).
- media: rcar-csi2: Allocate v4l2_async_subdev dynamically
  (git-fixes).
- media: v4l2-async: Document asd allocation requirements
  (git-fixes).
- media: omap3isp: Fix memleak in isp_probe (git-fixes).
- media: staging/intel-ipu3: css: Correctly reset some memory
  (git-fixes).
- media: uvcvideo: Silence shift-out-of-bounds warning
  (git-fixes).
- media: uvcvideo: Set media controller entity functions
  (git-fixes).
- media: m5mols: Check function pointer in m5mols_sensor_power
  (git-fixes).
- media: ov5640: Correct Bit Div register in clock tree diagram
  (git-fixes).
- media: Revert "media: exynos4-is: Add missed check for
  pinctrl_lookup_state()" (git-fixes).
- media: tuner-simple: fix regression in simple_set_radio_freq
  (git-fixes).
- mmc: sdhci-acpi: AMDI0040: Set SDHCI_QUIRK2_PRESET_VALUE_BROKEN
  (git-fixes).
- mmc: sdhci: Add LTR support for some Intel BYT based controllers
  (git-fixes).
- crypto: bcm - Verify GCM/CCM key length in setkey (git-fixes).
- cypto: mediatek - fix leaks in mtk_desc_ring_alloc (git-fixes).
- crypto: omap-sham - fix digcnt register handling with
  export/import (git-fixes).
- crypto: qat - check cipher length for aead AES-CBC-HMAC-SHA
  (git-fixes).
- crypto: picoxcell - Fix potential race condition bug
  (git-fixes).
- crypto: ixp4xx - Fix the size used in a 'dma_free_coherent()'
  call (git-fixes).
- crypto: mediatek - Fix wrong return value in
  mtk_desc_ring_alloc() (git-fixes).
- crypto: algif_aead - Do not set MAY_BACKLOG on the async path
  (git-fixes).
- crypto: algif_skcipher - EBUSY on aio should be an error
  (git-fixes).
- regulator: axp20x: fix LDO2/4 description (git-fixes).
- spi: stm32: Rate-limit the 'Communication suspended' message
  (git-fixes).
- media: rc: do not access device via sysfs after
  rc_unregister_device() (git-fixes).
- media: rc: uevent sysfs file races with rc_unregister_device()
  (git-fixes).
- commit ac3a9ee
* Wed Oct 14 2020 vbabka@suse.cz
- mm, compaction: make capture control handling safe wrt
  interrupts (git fixes (mm/compaction), bsc#1177681).
- commit c13fd55
* Wed Oct 14 2020 vbabka@suse.cz
- mm, compaction: fully assume capture is not NULL in
  compact_zone_order() (git fixes (mm/compaction), bsc#1177681).
- commit 5fcf485
* Wed Oct 14 2020 ddiss@suse.de
- Update
  patches.suse/target-add-rbd-backend.patch: (fate#318836).
  (simplify block to byte calculations and use consistent error paths)
- commit f576f9b
* Wed Oct 14 2020 mkoutny@suse.com
- blacklist.conf: POSIX timers fixup
- commit bc6b00f
* Wed Oct 14 2020 vbabka@suse.cz
- mm/debug.c: always print flags in dump_page() (git fixes
  (mm/debug)).
- commit 5fed0d2
* Wed Oct 14 2020 glin@suse.com
- security: Fix hook iteration for secid_to_secctx (bsc#1177028).
- security: Fix the default value of secid_to_secctx hook
  (bsc#1177028).
- security: Fix the default value of fs_context_parse_param hook
  (bsc#1177028).
- bpf, lsm: Make BPF_LSM depend on BPF_EVENTS (bsc#1177028).
- bpf, net: Fix build issue when net ns not configured
  (bsc#1177028).
- bpf_helpers_doc.py: Fix warning when compiling bpftool
  (bsc#1177028).
- bpf: Fix trampoline generation for fmod_ret programs
  (bsc#1177028).
- libbpf: Fix handling of optional field_name in
  btf_dump__emit_type_decl (bsc#1177028).
- selftests/bpf: Don't check for btf fd in test_btf (bsc#1177028).
- libbpf: Fix error handling bug in btf_dump__new (bsc#1177028).
- selftests/bpf: Conform selftests/bpf Makefile output to libbpf
  and bpftool (bsc#1177028).
- selftests/bpf: Further clean up Makefile output (bsc#1177028).
- selftests/bpf: Ensure bpf_helper_defs.h are taken from selftests
  dir (bsc#1177028).
- libbpf: Make bpf_map order and indices stable (bsc#1177028).
- bpftool: Make skeleton C code compilable with C++ compiler
  (bsc#1177028).
- libbpf: Fix another __u64 printf warning (bsc#1177028).
- selftests/bpf: More succinct Makefile output (bsc#1177028).
- libbpf: Add zlib as a dependency in pkg-config template
  (bsc#1177028).
- samples/bpf: Add missing -lz to TPROGS_LDLIBS (bsc#1177028).
- irq_work: Fix IRQ_WORK_BUSY bit clearing (bsc#1177028).
- perf/core: Fix !CONFIG_PERF_EVENTS build warnings and failures
  (bsc#1177028).
- samples/bpf: Base target programs rules on Makefile.target (bsc#1177028).
  Refresh patches.suse/samples-bpf-Add-XDP_SHARED_UMEM-support-to-xdpsock.patch
- samples/bpf: Drop unnecessarily inclusion for bpf_load
  (bsc#1177028).
- samples/bpf: Use __LINUX_ARM_ARCH__ selector for arm
  (bsc#1177028).
- selftests/bpf: test_progs: Don't leak server_fd in
  test_sockopt_inherit (bsc#1177028).
- commit 3ae141b
* Wed Oct 14 2020 msuchanek@suse.de
- blacklist.conf: Add a few of SP3 only fixes.
  f1565c24b596 powerpc: use the generic dma_ops_bypass mode
  d02f6b7dab82 powerpc/uaccess: Evaluate macro arguments once, before user
  access is allowed
  c44dc6323cd4 powerpc/64s/kuap: Restore AMR in fast_interrupt_return
- commit 862373b
* Wed Oct 14 2020 msuchanek@suse.de
- powerpc/dma: Fix dma_map_ops::get_required_mask (bsc#1065729).
- commit 0cddc1e
* Wed Oct 14 2020 tbogendoerfer@suse.de
- RDMA/hfi1: Correct an interlock issue for TID RDMA WRITE request
  (bsc#1175621).
- commit 45b1b9d
* Tue Oct 13 2020 neilb@suse.de
- pNFS/flexfiles: Ensure we initialise the mirror bsizes correctly
  on read (git-fixes).
- commit 80d81a4
* Tue Oct 13 2020 jroedel@suse.de
- x86/mm: unencrypted non-blocking DMA allocations use coherent pools (bsc#1175898, ECO-2743).
- Update config files.
- commit 3ded3cd
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: Fix an uninitialized variable bug in atomic_pool_expand() (bsc#1175898, ECO-2743).
- commit c3028f9
* Tue Oct 13 2020 jroedel@suse.de
- scsi: mptfusion: Don't use GFP_ATOMIC for larger DMA allocations (bsc#1175898, ECO-2743).
- commit 4e5bc96
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: Only allocate from CMA when in same memory zone (bsc#1175898, ECO-2743).
- commit 13beda8
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: fix coherent pool allocations for IOMMU mappings (bsc#1175898, ECO-2743).
- commit 0786759
* Tue Oct 13 2020 tzimmermann@suse.de
- supported.conf: Unsupport drm_mipi_dpi
- commit 2cb62d5
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: do not allocate pool memory from CMA (bsc#1175898, ECO-2743).
- commit 52c7389
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: make sure atomic pool suits device (bsc#1175898, ECO-2743).
- commit 2d3cf4a
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: introduce dma_guess_pool() (bsc#1175898, ECO-2743).
- commit 077f93b
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: get rid of dma_in_atomic_pool() (bsc#1175898, ECO-2743).
- commit ed85a15
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: provide function to check physical memory area validity (bsc#1175898, ECO-2743).
- commit 69658a0
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: warn when coherent pool is depleted (bsc#1175898, ECO-2743).
- commit b21257b
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: DMA_COHERENT_POOL should select GENERIC_ALLOCATOR (bsc#1175898, ECO-2743).
- commit 0d0760a
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: add missing set_memory_decrypted() for coherent mapping (bsc#1175898, ECO-2743).
- commit 15a3e46
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: check return value when encrypting or decrypting memory (bsc#1175898, ECO-2743).
- commit 7c6f515
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: re-encrypt memory if dma_direct_alloc_pages() fails (bsc#1175898, ECO-2743).
- commit 671af96
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: always align allocation size in dma_direct_alloc_pages() (bsc#1175898, ECO-2743).
- commit 9262343
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: decouple DMA_REMAP from DMA_COHERENT_POOL (bsc#1175898, ECO-2743).
- refresh config files (reorder only)
- commit 6f0618d
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: fix too large DMA pools on medium memory size systems (bsc#1175898, ECO-2743).
- commit ad5deb3
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: scale the default DMA coherent pool size with memory capacity (bsc#1175898, ECO-2743).
- commit 3ad55af
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: add pool sizes to debugfs (bsc#1175898, ECO-2743).
- commit 5711a8a
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: atomic allocations must come from atomic coherent pools (bsc#1175898, ECO-2743).
- commit 4155def
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: dynamically expanding atomic pools (bsc#1175898, ECO-2743).
- commit 2ab8c98
* Tue Oct 13 2020 jroedel@suse.de
- dma-pool: add additional coherent pools to map to gfp mask (bsc#1175898, ECO-2743).
- commit 9e21a34
* Tue Oct 13 2020 jroedel@suse.de
- dma-remap: separate DMA atomic pools from direct remap code (bsc#1175898, ECO-2743).
- Update config files.
- commit 4b9b447
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: make uncached_kernel_address more general (bsc#1175898, ECO-2743).
- commit ca630f5
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: consolidate the error handling in dma_direct_alloc_pages (bsc#1175898, ECO-2743).
- commit 2102fd9
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: merge the generic remapping helpers into dma-direct (bsc#1175898, ECO-2743).
- commit e15d818
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: provide mmap and get_sgtable method overrides (bsc#1175898, ECO-2743).
- Update config files.
- Refresh
  patches.suse/dma-direct-relax-addressability-checks-in-dma_direct_supported.patch.
- commit 4e7185d
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: remove the dma_handle argument to __dma_direct_alloc_pages (bsc#1175898, ECO-2743).
- commit d6d3450
* Tue Oct 13 2020 jroedel@suse.de
- dma-direct: remove __dma_direct_free_pages (bsc#1175898, ECO-2743).
- commit bdd6897
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: always use VM_DMA_COHERENT for generic DMA remap (bsc#1175898, ECO-2743).
- commit a8aa6f1
* Tue Oct 13 2020 jack@suse.cz
- Documentation/dax: Update DAX enablement for ext4
  (jsc#SLE-12982).
- commit fa8d7fc
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: add a dma_can_mmap helper (bsc#1175898, ECO-2743).
- commit 36bbe32
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Introduce DAX inode flag (jsc#SLE-12982).
- commit c533fc3
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Remove jflag variable (jsc#SLE-12982).
- commit fedd6ee
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Make DAX mount option a tri-state (jsc#SLE-12982).
  Refresh patches.suse/ext4-dont-warn-when-enabling-DAX.patch
- commit 6f1c66f
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: make dma_atomic_pool_init self-contained (bsc#1175898, ECO-2743).
- commit fc7b6a3
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Only change S_DAX on inode load (jsc#SLE-12982).
- commit 57cbd22
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Update ext4_should_use_dax() (jsc#SLE-12982).
- commit 1e655fd
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Change EXT4_MOUNT_DAX to EXT4_MOUNT_DAX_ALWAYS
  (jsc#SLE-12982).
- commit 40e04bd
* Tue Oct 13 2020 jroedel@suse.de
- dma-mapping: remove arch_dma_mmap_pgprot (bsc#1175898, ECO-2743).
- refresh configs (drop ARCH_HAS_DMA_MMAP_PGPROT)
- commit 237c20c
* Tue Oct 13 2020 jack@suse.cz
- fs/ext4: Narrow scope of DAX check in setflags (jsc#SLE-12982).
- commit 0d5515b
* Tue Oct 13 2020 tiwai@suse.de
- Add the support for kernel-FLAVOR-optional subpackage (jsc#SLE-11796)
  This change allows to create kernel-*-optional subpackage containing
  the modules that are not shipped on SLE but only on Leap.  Those
  modules are marked in the new "-!optional" marker in supported.conf.
  Flip split_optional definition in kernel-binaries.spec.in for the
  branch that needs the splitting.
- commit 1fa25f8
* Tue Oct 13 2020 jack@suse.cz
- fs: Introduce DCACHE_DONTCACHE (jsc#SLE-13451).
- commit c480aea
* Tue Oct 13 2020 jack@suse.cz
- fs: Lift XFS_IDONTCACHE to the VFS layer (jsc#SLE-13451).
- commit 49cffd4
* Tue Oct 13 2020 jack@suse.cz
- Documentation/dax: Update Usage section (jsc#SLE-13451).
- commit 8979f5d
* Tue Oct 13 2020 jack@suse.cz
- fs/stat: Define DAX statx attribute (jsc#SLE-13451).
- commit d100666
* Tue Oct 13 2020 jack@suse.cz
- fs: Remove unneeded IS_DAX() check in io_is_direct()
  (jsc#SLE-13451).
- commit 6426840
* Tue Oct 13 2020 tzimmermann@suse.de
- supported.conf: Rename tinydrm/ to tiny/
  The DRM subdirectory tinydrm/ got renamed to tiny/ in v5.4. Update
  supported.conf accordingly.
- commit a7da6c5
* Tue Oct 13 2020 jack@suse.cz
- fs/xfs: Update xfs_ioctl_setattr_dax_invalidate()
  (jsc#SLE-13451).
- commit 39d81b8
* Tue Oct 13 2020 jack@suse.cz
- fs/xfs: Combine xfs_diflags_to_linux() and
  xfs_diflags_to_iflags() (jsc#SLE-13451).
- commit 9e9b24a
* Tue Oct 13 2020 jack@suse.cz
- fs/xfs: Create function xfs_inode_should_enable_dax()
  (jsc#SLE-13451).
- commit 1b91811
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'driver core: platform: use the correct callback type for bus_find_device'
- commit f0888d5
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'spi: pxa2xx: Set controller->max_transfer_size in dma mode'
- commit cacd01e
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'ARM: imx_v6_v7_defconfig: Enable CONFIG_DRM_MSM'
- commit 9c597d2
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'docs/driver-api: Catch up with dma_buf file-name changes'
- commit 69a739c
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'dma-buf/resv: fix exclusive fence get'
- commit 6a3c464
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/shmem: Use mutex_trylock in drm_gem_shmem_purge'
- commit 359ef77
* Tue Oct 13 2020 jack@suse.cz
- fs/xfs: Make DAX mount option a tri-state (jsc#SLE-13451).
- commit 82735fe
* Tue Oct 13 2020 jack@suse.cz
- fs/xfs: Change XFS_MOUNT_DAX to XFS_MOUNT_DAX_ALWAYS
  (jsc#SLE-13451).
  Refresh patches.suse/xfs-remove-experimental-tag-for-dax-support.patch
- commit dbe2196
* Tue Oct 13 2020 jack@suse.cz
- fs/xfs: Remove unnecessary initialization of i_rwsem
  (jsc#SLE-13451).
- commit 2988e92
* Tue Oct 13 2020 tzimmermann@suse.de
- blacklist.conf: Temporarily add graphics modules
- commit da306df
* Tue Oct 13 2020 mgorman@suse.de
- Delete
  patches.suse/sched-fair-update_pick_idlest-Select-group-with-lowest-group_util-when-idle_cpus-are-equal.patch.
  Bisections indicated that this may be problematic in some cases even
  though it benefits in others. This is being temporarily reverted
  until it can be addressed upstream.
- commit 759de68
* Tue Oct 13 2020 jroedel@suse.de
- iommu/vt-d: Correctly calculate agaw in domain_init() (bsc#1176400).
- commit 6cf371a
* Tue Oct 13 2020 oneukum@suse.com
- crypto: algapi - introduce the flag CRYPTO_ALG_ALLOCATES_MEMORY
  (jsc#SLE-14454).
- commit be284fd
* Tue Oct 13 2020 ddiss@suse.de
- kabi/severities: ignore kABI for target_core_rbd
  Match behaviour for all other Ceph specific modules.
- commit 1b6ac49
* Tue Oct 13 2020 pvorel@suse.cz
- ima: extend boot_aggregate with kernel measurements
  (bsc#1177617).
- commit c4cca48
* Tue Oct 13 2020 oneukum@suse.com
- crypto: drivers - set the flag CRYPTO_ALG_ALLOCATES_MEMORY
  (jsc#SLE-14454).
  (partial backport)
- commit 77c8b6b
* Tue Oct 13 2020 tbogendoerfer@suse.de
- virtio-net: don't disable guest csum when disable LRO
  (git-fixes).
- commit 45b7a4d
* Tue Oct 13 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Use GFP_ATOMIC flag in allocate_vpe_l1_table()
  (jsc#SLE-14773).
- commit c4351ca
* Tue Oct 13 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Ensure accessing the correct RD when writing
  INVALLR (jsc#SLE-14773).
- commit 5c612b1
* Tue Oct 13 2020 neilb@suse.de
- kabi fix for NFS: Fix flexfiles read failover (git-fixes).
- commit 4923518
* Tue Oct 13 2020 neilb@suse.de
- NFSv4.2: fix client's attribute cache management for
  copy_file_range (git-fixes).
- NFS: Fix flexfiles read failover (git-fixes).
- NFS: Don't return layout segments that are in use (git-fixes).
- NFS: Don't move layouts to plh_return_segs list while in use
  (git-fixes).
- nfs: nfs_file_write() should check for writeback errors
  (git-fixes).
- nfs: ensure correct writeback errors are returned on close()
  (git-fixes).
- svcrdma: Fix page leak in svc_rdma_recv_read_chunk()
  (git-fixes).
- nfsd4: fix NULL dereference in nfsd/clients display code
  (git-fixes).
- xprtrdma: fix incorrect header size calculations (git-fixes).
- SUNRPC: Revert 241b1f419f0e ("SUNRPC: Remove xdr_buf_trim()")
  (git-fixes).
- commit 5c55a8f
* Mon Oct 12 2020 tiwai@suse.de
- i2c: owl: Clear NACK and BUS error bits (git-fixes).
- i2c: meson: fixup rate calculation with filter delay
  (git-fixes).
- i2c: meson: fix clock setting overwrite (git-fixes).
- mmc: core: don't set limits.discard_granularity as 0
  (git-fixes).
- macsec: avoid use-after-free in macsec_handle_frame()
  (git-fixes).
- r8169: fix data corruption issue on RTL8402 (bsc#1174098).
- i2c: cpm: Fix i2c_ram structure (git-fixes).
- commit c1d4f9c
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amdgpu: dont schedule jobs while in reset"'
- commit 9f383fe
* Mon Oct 12 2020 tiwai@suse.de
- r8169: fix data corruption issue on RTL8402 (bsc#1174098).
- commit 71e95cd
* Mon Oct 12 2020 tiwai@suse.de
- r8169: consider that PHY reset may still be in progress after
  applying firmware (git-fixes).
- net: phy: introduce phy_read_poll_timeout macro (git-fixes).
- commit f94052b
* Mon Oct 12 2020 ohering@suse.de
- hv_balloon partial request debug (bsc#1151927).
- commit 446a75f
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Preload LUTs if the hw isn't currently using them'
- commit 7e3b6fe
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Don't oops in dumb_create ioctl if we have no crtcs'
- commit 0dbe0fa
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Change Navi14's DWB flag to 1'
- commit bc1ff93
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Iterate through DRM connectors correctly'
- commit d6b3d39
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Remove NULL check for regulator'
- commit bdb5def
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: don't increment vram lost if we are in hibernation'
- commit 7ff3ef6
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Add missing HBM support and raise Vega20's uclk.'
- commit e08b9dc
* Mon Oct 12 2020 tbogendoerfer@suse.de
- net: fix fraglist segmentation reference count leak
  (bsc#1176447).
- commit 40053c9
* Mon Oct 12 2020 msuchanek@suse.de
- powerpc/hv-gpci: Add sysfs files inside hv-gpci device to show
  cpumask (bsc#1177075 ltc#186099 jsc#SLE-13661).
- powerpc/perf/hv-gpci: Add cpu hotplug support (bsc#1177075
  ltc#186099 jsc#SLE-13661).
- Documentation/ABI: Add ABI documentation for hv-gpci format
  (bsc#1177075 ltc#186099 jsc#SLE-13661).
- Documentation/ABI: Add ABI documentation for hv-24x7 format
  (bsc#1177075 ltc#186099 jsc#SLE-13661).
- powerpc/perf/hv-gpci: Fix starting index value (bsc#1177075
  ltc#186099 jsc#SLE-13661).
- commit 6f9dd6c
* Mon Oct 12 2020 tzimmermann@suse.de
- media: tegra-cec: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit bf754d1
* Mon Oct 12 2020 tzimmermann@suse.de
- media: stih-cec: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit 1b3ad10
* Mon Oct 12 2020 tzimmermann@suse.de
- media: seco-cec: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit 4d34454
* Mon Oct 12 2020 tzimmermann@suse.de
- media: s5p-cec: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit 6f6da87
* Mon Oct 12 2020 tzimmermann@suse.de
- media: meson/ao-cec: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit e256510
* Mon Oct 12 2020 msuchanek@suse.de
- powerpc/security: Fix link stack flush instruction (bsc#1177547
  ltc#188629 jsc#SLE-14727).
- powerpc/pseries: add new branch prediction security bits for
  link stack (bsc#1177547 ltc#188629 jsc#SLE-14727).
- commit 4d475cb
* Mon Oct 12 2020 tzimmermann@suse.de
- media: cros-ec-cec: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit 11ef351
* Mon Oct 12 2020 tbogendoerfer@suse.de
- net: core: document two new elements of struct net_device
  (bsc#1176447).
- netdevice.h: fix xdp_state kernel-doc warning (bsc#1176447).
- netdevice.h: fix proto_down_reason kernel-doc warning
  (bsc#1176447).
- rtnetlink: add support for protodown reason (bsc#1176447).
- net: netdevice.h: add a description for napi_defer_hard_irqs
  (bsc#1176447).
- net: add a new ndo_tunnel_ioctl method (bsc#1176447).
- net: napi: add hard irqs deferral feature (bsc#1176447).
- netdevice: Replace zero-length array with flexible-array member
  (bsc#1176447).
- netdevice.h: fix all kernel-doc and Sphinx warnings
  (bsc#1176447).
- net: Support GRO/GSO fraglist chaining (bsc#1176447).
- net: remove the check argument from __skb_gro_checksum_convert
  (bsc#1176447).
- commit b41d430
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'dma-buf/resv: fix exclusive fence get'
- commit 6040948
* Mon Oct 12 2020 dwagner@suse.de
- qla2xxx: Return EBUSY on fcport deletion (bsc#1171688).
- commit a63944e
* Mon Oct 12 2020 tbogendoerfer@suse.de
- net/mlx5e: Fix race condition on nhe->n pointer in neigh update
  (jsc#SLE-15172).
- net/mlx5e: Fix VLAN create flow (jsc#SLE-15172).
- net/mlx5e: Fix VLAN cleanup flow (jsc#SLE-15172).
- net/mlx5e: Fix return status when setting unsupported FEC mode
  (jsc#SLE-15172).
- net/mlx5e: Fix driver's declaration to support GRE offload
  (jsc#SLE-15172).
- net/mlx5e: CT, Fix coverity issue (jsc#SLE-15172).
- net/mlx5e: Add resiliency in Striding RQ mode for packets
  larger than MTU (jsc#SLE-15172).
- net/mlx5e: Fix error path for RQ alloc (jsc#SLE-15172).
- net/mlx5: Fix request_irqs error flow (jsc#SLE-15172).
- net/mlx5: cmdif, Avoid skipping reclaim pages if FW is not
  accessible (jsc#SLE-15172).
- net/mlx5: Add retry mechanism to the command entry index
  allocation (jsc#SLE-15172).
- net/mlx5: poll cmd EQ in case of command timeout
  (jsc#SLE-15172).
- net/mlx5: Avoid possible free of command entry while timeout
  comp handler (jsc#SLE-15172).
- net/mlx5: Fix a race when moving command interface to polling
  mode (jsc#SLE-15172).
- ice: preserve NVM capabilities in safe mode (jsc#SLE-12878).
- ice: increase maximum wait time for flash write commands
  (jsc#SLE-12878).
- ethtool: mark netlink family as __ro_after_init (bsc#1176447).
- net: core: add nested_level variable in net_device
  (bsc#1176447).
- net: core: introduce struct netdev_nested_priv for nested
  interface infrastructure (bsc#1176447).
- net: core: add __netdev_upper_dev_unlink() (bsc#1176447).
- espintcp: restore IP CB before handing the packet to xfrm
  (bsc#1176447).
- mlxsw: spectrum_acl: Fix mlxsw_sp_acl_tcam_group_add()'s error
  path (bsc#1176774).
- ice: fix memory leak in ice_vsi_setup (jsc#SLE-12878).
- ice: fix memory leak if register_netdev_fails (jsc#SLE-12878).
- ice: Fix call trace on suspend (jsc#SLE-12878).
- iavf: Fix incorrect adapter get in iavf_resume (jsc#SLE-12877).
- net/ethernet/broadcom: fix spelling typo (jsc#SLE-13628).
- net: Fix bridge enslavement failure (bsc#1176447).
- net: explain the lockdep annotations for dev_uc_unsync()
  (bsc#1176447).
- commit 678a223
* Mon Oct 12 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Don't mix srcu tag and negative error codes'
- commit 8cbeeb2
* Mon Oct 12 2020 dwagner@suse.de
- scsi: qla2xxx: Fix inconsistent format argument type in
  qla_dbg.c (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix inconsistent format argument type in qla_os.c
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix inconsistent format argument type in
  tcm_qla2xxx.c (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Update version to 10.02.00.103-k (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix point-to-point (N2N) device discovery issue
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix crash on session cleanup with unload
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix reset of MPI firmware (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix MPI reset needed message (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix buffer-buffer credit extraction error
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Correct the check for sscanf() return value
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Update version to 10.02.00.102-k (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Add SLER and PI control support (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Add IOCB resource tracking (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Add rport fields in debugfs (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make tgt_port_database available in initiator
  mode (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix I/O errors during LIP reset tests
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Performance tweak (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix memory size truncation (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Reduce duplicate code in reporting speed
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Honor status qualifier in FCP_RSP per spec
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Allow dev_loss_tmo setting for FC-NVMe devices
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Setup debugfs entries for remote ports
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix I/O failures during remote port toggle
  testing (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove unneeded variable 'rval' (bsc#1171688
  bsc#1174003).
- commit 4dbce29
* Mon Oct 12 2020 ohering@suse.de
- clocksource/drivers/hyper-v: Reserve PAGE_SIZE space for tsc
  page (jsc#sle-12891).
- commit af793d1
* Mon Oct 12 2020 ohering@suse.de
- clocksource/drivers/hyper-v: Suspend/resume Hyper-V clocksource
  for hibernation (jsc#sle-12891).
- commit 743a304
* Sun Oct 11 2020 neilb@suse.de
- Update
  patches.suse/nfs-Fix-getxattr-kernel-panic-and-memory-overflow.patch
  (bsc#1176381 CVE-2020-25212).
- Update
  patches.suse/nfs-Fix-security-label-length-not-being-reset.patch
  (bsc#1176381 CVE-2020-25212).
  Fix CVE number
- commit 73b5ecf
* Sun Oct 11 2020 tzimmermann@suse.de
- drm/msm/mdp5: Remove direct access of dev->iommu_fwspec (bsc#1152489)
- commit 550e331
* Sun Oct 11 2020 tzimmermann@suse.de
- media: uapi: Add MEDIA_BUS_FMT_RGB888_3X8 media bus format (bsc#1152472)
- commit cebeafb
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gvt: Update force-to-nonpriv register whitelist'
- commit c69979d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amd/display: enable S/G for RAVEN chip"'
- commit 6347407
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: disable gfxoff on original raven'
- commit 7b4877a
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: remove experimental flag for Navi14'
- commit 4548797
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: disable gfxoff when using register read interface'
- commit e5610da
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: correct fine grained dpm force level setting'
- commit 9313154
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: issue no PPSMC_MSG_GetCurrPkgPwr on unsupported ASICs'
- commit f775cd1
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/fbdev: Restore physical addresses for fb_mmap()'
- commit cdaed7d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/userptr: Try to acquire the page lock around set_page_dirty()'
- commit 9d6c6d6
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/pmu: "Frequency" is reported as accumulated cycles'
- commit 50d9de0
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix si_enable_smc_cac() failed issue'
- commit 5ac7aa0
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/renoir: move gfxoff handling into gfx9 module'
- commit ff0d917
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: add warning for GRBM 1-cycle delay issue in gfx9'
- commit 0045124
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: add dummy read by engines for some GCVM status registers in gfx10'
- commit 86f351e
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: register gpu instance before fan boost feature enablment'
- commit ad6f462
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/swSMU: fix smu workload bit map error'
- commit 5048b87
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amd/display: setting the DIG_MODE to the correct value."'
- commit 4ee3514
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Add ENGINE_ID_DIGD condition check for Navi14'
- commit 29e309f
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: add navi14 PCI ID'
- commit b593e66
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: dont schedule jobs while in reset'
- commit 4a11201
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/arcturus: properly set BANK_SELECT and FRAGMENT_SIZE'
- commit edbb53e
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: remove redundant null pointer check before kfree'
- commit ea08bb1
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gmc10: properly set BANK_SELECT and FRAGMENT_SIZE'
- commit eefce5b
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: Fix EEH during kexec'
- commit 80ce726
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/powerplay/vega10: allow undervolting in p7'
- commit 1fb7dab
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'dc.c:use kzalloc without test'
- commit 14a30ec
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: If amdgpu_ib_schedule fails return back the error.'
- commit 3861d8d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/sched: Set error to s_fence if HW job submission failed.'
- commit b8ced50
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx10: update gfx golden settings for navi12'
- commit 8fb1881
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/sdma5: do not execute 0-sized IBs (v2)'
- commit 3a7155a
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Fix SDMA hang when performing VKexample test'
- commit 5f9dc9c
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: do not synchronize "drr" displays'
- commit 394dc73
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Passive DP->HDMI dongle detection fix'
- commit e9c6b03
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Allow inverted gamma'
- commit d99e82a
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: add 50us buffer as WA for pstate switch in active'
- commit 00fd40a
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: setting the DIG_MODE to the correct value.'
- commit 5ba51cc
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp: Do not switch aux to TBT mode for non-TC ports'
- commit 49b9597
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Avoid HPD poll detect triggering a new detect cycle'
- commit 9e5df92
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix PCH reference clock for FDI on HSW/BDW'
- commit 69a1e24
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/tgl: Fix doc not corresponding to code'
- commit 534ee08
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Handle resetting on timeout better'
- commit d2fc4bc
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/vce: fix allocation size in enc ring test'
- commit df355e3
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/vcn: fix allocation size in enc ring test'
- commit 553f47f
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/uvd7: fix allocation size in enc ring test (v2)'
- commit 16ee5e8
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/uvd6: fix allocation size in enc ring test (v2)'
- commit f76fd50
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/radeon: Fix EEH during kexec"'
- commit a921741
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: user pages array memory leak fix'
- commit 4886acf
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix potential VM faults'
- commit 50a4a78
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix error handling in amdgpu_bo_list_create'
- commit 43f1a1c
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Bail earlier when amdgpu.cik_/si_support is not set to 1'
- commit 6b66d2a
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/sdma5: fix mask value of POLL_REGMEM packet for pipe sync'
- commit dfb196e
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/powerplay: fix typo in mvdd table setup'
- commit 77d474c
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix memory leak'
- commit dcad0f4
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Make some functions static'
- commit 35f0d31
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: display_mode_vba_21: remove uint typedef'
- commit 89e1906
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: hide another #warning'
- commit fa50b3b
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: make pmu support optional, again'
- commit 05c1d87
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix multiple memory leaks in acp_hw_init'
- commit b3f9959
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: return tcc_disabled_mask to userspace'
- commit 2238747
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amdgpu: disable stutter mode for renoir"'
- commit 1e81647
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: add sensor lock support for smu'
- commit 528afc1
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: change metrics update period from 1ms to 100ms'
- commit 80f49ac
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: prevent memory leak'
- commit d9fc8b4
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/display: include slab.h in dcn21_resource.c'
- commit dd46f22
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/display: fix 64 bit divide'
- commit dbb5949
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx10: add support for wks firmware loading'
- commit e1efda1
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: hide an unused variable'
- commit d612a95
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: flag navi12 and 14 as experimental for 5.4'
- commit 30ab7bf
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Restore backlight brightness after system resume'
- commit a5fa75b
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: add navi12 pci id'
- commit 37c8583
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: revert "disable bulk moves for now"'
- commit e2db581
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: remove program of lbpw for renoir'
- commit 0ae708f
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdkfd: Swap trap temporary registers in gfx10 trap handler'
- commit 2d60b46
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Check for valid number of registers to read'
- commit 96939be
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: Bail earlier when radeon.cik_/si_support=0 is passed'
- commit 000f484
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/amdgpu: power up sdma engine when S3 resume back'
- commit c156abd
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Fix KFD-related kernel oops on Hawaii'
- commit 3ce469d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Implement voltage limitation for dali'
- commit b0728ef
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: add Asic ID for Dali'
- commit 2ab7f3c
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: update smu11_driver_if_arcturus.h'
- commit b9f9bab
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: add navi14 PCI ID for work station SKU'
- commit e7a3ce3
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix null pointer deref in firmware header printing'
- commit 27e63b7
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: dce11.x /dce12 update formula input'
- commit 9d18fa0
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Remove clock gating restore.'
- commit 0c77c8a
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Add smu lock around in pp_smu_i2c_bus_access'
- commit 461b979
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Add stereo mux and dig programming calls for dcn21'
- commit b1c3b1d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: disable stutter mode for renoir'
- commit 52f6c5c
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: update renoir_ip_offset.h'
- commit c289c0c
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: implement sysfs for getting dpm clock'
- commit 55732a0
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/tiny: Kconfig: Remove always-y THERMAL dep. from TINYDRM_REPAPER'
- commit 3415799
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/ingenic: Hardcode panel type to DPI'
- commit 52310ed
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Use mutex_trylock in panfrost_gem_purge'
- commit 08a0317
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/shmem: Use mutex_trylock in drm_gem_shmem_purge'
- commit 585d1af
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/shmem: Do dma_unmap_sg before purging pages'
- commit 8269596
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Fix possible suspend in panfrost_remove'
- commit da2e7d8
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Add missing check for pfdev->regulator'
- commit 7ebe667
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Favor last VBT child device with conflicting AUX ch/DDC pin'
- commit 8253496
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: execlists->active is serialised by the tasklet'
- commit 62c50c7
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/execlists: Protect peeking at execlists->active'
- commit 89f886d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix g4x sprite scaling stride check with GTT remapping'
- commit ec34856
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/userptr: Never allow userptr into the mappable GGTT'
- commit 78c95b8
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp: Fix dsc bpp calculations, v5.'
- commit 92149fb
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Mark contents as dirty on a write fault'
- commit c362d47
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Prevent bonded requests from overtaking each other on preemption'
- commit f71491b
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fixup preempt-to-busy vs reset of a virtual request'
- commit 1258164
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fixup preempt-to-busy vs resubmission of a virtual request'
- commit 0d11c41
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/execlists: Refactor -EIO markup of hung requests'
- commit 537e4b0
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Only enqueue already completed requests'
- commit 2ae24cd
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/execlists: Drop redundant list_del_init(&rq->sched.link)'
- commit dfa5722
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Bump skl+ max plane width to 5k for linear/x-tiled'
- commit 1ffb475
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Verify the engine after acquiring the active.lock'
- commit f14b3ce
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Extend Haswell GT1 PSMI workaround to all'
- commit 47e58ba
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/cml: Add second PCH ID for CMP'
- commit 58b9bc4
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Whitelist COMMON_SLICE_CHICKEN2'
- commit b8c0681
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Perform GGTT restore much earlier during resume'
- commit 1fb524d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/execlists: Remove incorrect BUG_ON for schedule-out'
- commit aac5621
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/i915: Fix DP-MST crtc_mask"'
- commit 4f03a11
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Restore relaxed padding (OCL_OOB_SUPPRES_ENABLE) for skl+'
- commit 8e3d3e0
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Limit MST to <= 8bpc once again'
- commit 7ae55b6
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Use NOEVICT for first pass on attemping to pin a GGTT mmap'
- commit fcc2bc9
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Call dma_set_max_seg_size() in i915_driver_hw_probe()'
- commit 5797fe8
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: to make vgpu ppgtt notificaiton as atomic operation'
- commit 7a1a547
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Flush the existing fence before GGTT read/write'
- commit e0fd71d
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Hold irq-off for the entire fake lock period'
- commit 35e0eb7
* Sat Oct 10 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp: Fix DSC enable code to use cpu_transcoder instead of encoder->type'
- commit 348ce31
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove the experimental flag for renoir (bsc#1152472)
- commit b84800e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Align engine->uabi_class/instance with i915_drm.h (bsc#1152489)
- commit 488c846
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/userptr: fix size calculation (bsc#1152489)
- commit f5a71dc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Add the panfrost_gem_mapping concept (bsc#1152489)
- commit 9ab874d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Handle SST-only branch device case (bsc#1152489)
- commit f746729
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Have DP_Tx send one msg at a time (bsc#1152472)
- commit 6b88aba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: clear time slots for ports invalid (bsc#1152472)
- commit 2d06880
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: fix integer type used for storing dp data rate (bsc#1152472)
- commit 771a9b7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: add missing virtio_gpu_array_lock_resv call (bsc#1152472)
- commit d2226ec
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Do not use colons or dashes in PMU names (bsc#1152489)
- commit 2021b6d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Mark ring->vma as active while pinned (bsc#1152489)
- commit 4d93a28
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Mark context->state vma as active while pinned (bsc#1152489)
- commit 67e2387
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Skip trying to unbind in restore_ggtt_mappings (bsc#1152489)
- commit 911e45e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add missing include file <linux/math64.h> (bsc#1152489)
- commit a5b1bd2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Reorder detect_edp_sink_caps before link settings (bsc#1152472)
- commit 66406ba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: update goldensetting for renoir (bsc#1152472)
- commit 704c90a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gen9: Clear residual context state on context switch (bsc#1152489)
- commit 3b713a1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Disable Port sync mode correctly on teardown (bsc#1152489)
- commit bb3a365
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add Wa_1407352427:icl,ehl (bsc#1152489)
- commit a7cb086
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add Wa_1408615072 and Wa_1407596294 to icl,ehl (bsc#1152489)
- commit 2a0c184
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Restore coarse power gating (bsc#1152489)
- commit 681a576
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Do not restore invalid RS state (bsc#1152489)
- commit 467c1a2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only (bsc#1152489)
- commit 52c427c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Mark up virtual engine uabi_instance (bsc#1152489)
- commit 4ce4b29
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Reduce HDMI pixel encoding if max clock is exceeded (bsc#1152472)
- commit 09c1aaf
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: Set no-retry as default." (bsc#1152472)
- commit ccf3913
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/fb-helper: Round up bits_per_pixel if possible (bsc#1152472)
- commit 1912d3c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: tcon: Set RGB DCLK min. divider based on hardware model (bsc#1152472)
- commit 853f237
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: correct the shifting in DP_REMOTE_I2C_READ (bsc#1152489)
- commit 8d5db9b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: correct RLC firmwares loading sequence (bsc#1152472)
- commit 02b899a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable gfxoff for raven1 refresh (bsc#1152472)
- commit 8599cb6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/smu: add metrics table lock for vega20 (v2) (bsc#1152472)
- commit 3f8dc56
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/smu: add metrics table lock for navi (v2) (bsc#1152472)
- commit c57eddc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/smu: add metrics table lock for arcturus (v2) (bsc#1152472)
- commit 3a24619
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/smu: add metrics table lock (bsc#1152472)
- commit 4239fef
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: simplify ATPX detection" (bsc#1152472)
- commit 676540a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/arm/mali: make malidp_mw_connector_helper_funcs static (bsc#1152472)
- commit 3aab1d9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: hdmi: Remove duplicate cleanup calls (bsc#1152472)
- commit e8523f7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: reduce the hbp and hfp for phy timing (bsc#1152472)
- commit 20928f0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Fix can't get component for external display plane. (bsc#1152472)
- commit 436c894
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Check return value of mtk_drm_ddp_comp_for_plane. (bsc#1152472)
- commit 5cf638b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Hold reference to intel_frontbuffer as we track activity (bsc#1152489)
- commit 3767d63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Ratelimit display power w/a (bsc#1152489)
- commit 5505a57
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Ensure monotonic rc6 (bsc#1152489)
- commit 9b10ac8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: Fix guest boot warning (bsc#1152489)
- commit 86a0daf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: Pin vgpu dma address before using (bsc#1152489)
- commit da821e1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: set guest display buffer as readonly (bsc#1152489)
- commit 337e8ed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: use vgpu lock for active state setting (bsc#1152489)
- commit 02275c8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix pid leak with banned clients (bsc#1152489)
- commit 14031dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Keep request alive while attaching fences (bsc#1152489)
- commit c0e8a96
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix WARN_ON condition for cursor plane ddb allocation (bsc#1152489)
- commit 2228d89
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Drop Wa#1178 (bsc#1152489)
- commit e0f9934
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/ehl: Define EHL powerwells independently of ICL (bsc#1152489)
- commit 37c705a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Set fence_work.ops before dma_fence_init (bsc#1152489)
- commit 623b758
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Copy across scheduler behaviour flags across submit fences (bsc#1152489)
- commit 183431c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: Fix in mmio offset calculation of DSB instance (bsc#1152489)
- commit 9784b2c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/exynos: gsc: add missed component_del (bsc#1152472)
- commit 85f0588
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add invalidate semaphore limit for SRIOV in gmc10 (bsc#1152472)
- commit 1d38fe0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add invalidate semaphore limit for SRIOV and picasso in (bsc#1152472)
- commit c6a1e0c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: avoid using invalidate semaphore for picasso (bsc#1152472)
- commit dd11703
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix license on Kconfig and Makefiles (bsc#1152472)
- commit bfa79c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: include linux/slab.h where needed (bsc#1152472)
- commit d453f8d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix undefined struct member reference (bsc#1152472)
- commit 0a5f6e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Compare clock state member to determine (bsc#1152472)
- commit 04384ba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/display: add fallthrough comment (bsc#1152472)
- commit 6d2e46a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Increase the number of retries after AUX DEFER (bsc#1152472)
- commit f12ab51
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update dispclk and dppclk vco frequency (bsc#1152472)
- commit 1715b4d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix screen tearing on vrr tests (bsc#1152472)
- commit 4c95a5a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Reset steer fifo before unblanking the stream (bsc#1152472)
- commit 5105533
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fixed that I2C over AUX didn't read data issue (bsc#1152472)
- commit c029c11
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Change the delay time before enabling FEC (bsc#1152472)
- commit 3d83d5c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: have two different sr and pstate latency tables for (bsc#1152472)
- commit fe1c1ea
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fixed kernel panic when booting with DP-to-HDMI (bsc#1152472)
- commit 62e8c5b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: populate bios integrated info for renoir (bsc#1152472)
- commit efb69d7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix DalDramClockChangeLatencyNs override (bsc#1152472)
- commit 0c6d76b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Map DSC resources 1-to-1 if numbers of OPPs and DSCs (bsc#1152472)
- commit 3707e18
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update sr and pstate latencies for Renoir (bsc#1152472)
- commit 14714bd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add cache flush workaround to gfx8 emit_fence (bsc#1152472)
- commit 71f7660
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add header line for power profile on Arcturus (bsc#1152472)
- commit 6b0da6f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add check before enabling/disabling broadcast mode (bsc#1152472)
- commit 047a57f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Serialise with remote retirement (bsc#1152489)
- commit d2de977
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Detect if we miss WaIdleLiteRestore (bsc#1152489)
- commit b7738c8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/hdcp: Nuke intel_hdcp_transcoder_config() (bsc#1152489)
- commit 06ee209
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/fbc: Disable fbc by default on all glk+ (bsc#1152489)
- commit a02d791
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Configure OAR for specific context (bsc#1152489)
- commit ec7fd57
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Allow non-privileged access when OA buffer is not (bsc#1152489)
- commit a1e615e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Save irqstate around virtual_context_destroy (bsc#1152489)
- commit ef4ef22
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Open/close the perfcnt BO (bsc#1152489)
- commit 99ea743
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Fix a race in panfrost_gem_free_object() (bsc#1152489)
- commit a8e9aff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Fix a BO leak in panfrost_ioctl_mmap_bo() (bsc#1152489)
- commit b1076af
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Fix a race in panfrost_ioctl_madvise() (bsc#1152489)
- commit 0cfff81
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: devfreq: Round frequencies to OPPs (bsc#1152489)
- commit 25430b2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Flag all G200 SE A machines as broken wrt <startadd> (bsc#1152489)
- commit 7ba5d7f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: fix panel scaling (bsc#1152472)
- commit 68e45d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: Limit MST BPC to 8 (bsc#1152472)
- commit e77a795
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: Store the bpc we're using in nv50_head_atom (bsc#1152472)
- commit 5f5f3c7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: Call outp_atomic_check_view() before handling (bsc#1152472)
- commit 67ccf6a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau: Fix drm-core using atomic code-paths on pre-nv50 (bsc#1152472)
- commit 2920aeb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau: Move the declaration of struct nouveau_conn_atom up a (bsc#1152472)
- commit 92c7adc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: meson: venc: cvbs: fix CVBS mode matching (bsc#1152489)
- commit 63bc116
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: Fix memory leak in sync_file_merge() (bsc#1152472)
- commit ae47ad4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mcde: dsi: Fix invalid pointer dereference if panel cannot be (bsc#1152472)
- commit bc6aaef
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/ehl: Make icp_digital_port_connected() use phy instead of (bsc#1152489)
- commit 5fd16da
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: Fix cmd length check for MI_ATOMIC (bsc#1152489)
- commit f460efa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: Refine non privilege register address calucation (bsc#1152489)
- commit 7d61a8b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Take timeline->mutex to walk list-of-requests (bsc#1152489)
- commit 992d19e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Correct the bug in drm_dp_update_payload_part1() (bsc#1152472)
- commit f670ef2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: fix dma_addr refcounting (bsc#1152472)
- commit ddda3c9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Fix build on systems with STACKTRACE_SUPPORT=n (bsc#1152472)
- commit c5e2c52
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Add workaround for HW that does not support 'startadd' (bsc#1152489)
- commit 656cd39
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Store flags from PCI driver data in device structure (bsc#1152489)
- commit f18dbcf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Extract device type from flags (bsc#1152489)
- commit 8c7d3c9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Run hub cleanup on ->remove() (bsc#1152489)
- commit 52b1a73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Make the +5V HDMI supply optional (bsc#1152489)
- commit dd2eff8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Silence expected errors on IOMMU attach (bsc#1152489)
- commit 9480c0b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: vic: Export module device table (bsc#1152489)
- commit 7c51a6e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Implement system suspend/resume (bsc#1152489)
- commit 6247653
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Use proper IOVA address for cursor image (bsc#1152489)
- commit aedd103
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: gem: Remove premature import restrictions (bsc#1152489)
- commit 670f5c4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: gem: Properly pin imported buffers (bsc#1152489)
- commit 7198560
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: hub: Remove bogus connection mutex check (bsc#1152489)
- commit 8e62b95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: fix r1xx/r2xx register checker for POT textures (bsc#1152489)
- commit 9884aa7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix GFX10 missing CSIB set(v3) (bsc#1152489)
- commit 80f96ce
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: should stop GFX ring in hw_fini (bsc#1152489)
- commit e8020bf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: do autoload right after MEC loaded for SRIOV VF (bsc#1152489)
- commit b847405
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: skip rlc ucode loading for SRIOV gfx10 (bsc#1152489)
- commit 7b510eb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix calltrace during kmd unload(v3) (bsc#1152489)
- commit 826af82
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: unlock srbm_mutex after queue programming finish (bsc#1152489)
- commit 651ae9a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Added ASIC specific checks in gfxhub V1.1 get XGMI info (bsc#1152489)
- commit cf72468
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: unify smu send message function (bsc#1152489)
- commit 5935c1e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: re-enable wait in pipelock, but add timeout (bsc#1152489)
- commit f9a257f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Get NV14 specific ip params as needed (bsc#1152489)
- commit 6dfa653
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Adding NV14 IP Parameters (bsc#1152489)
- commit 513cc20
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Include num_vmid and num_dsc within NV14's resource (bsc#1152489)
- commit 0c33544
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: use CPU to flush vmhub if sched stopped (bsc#1152489)
- commit b62d9f7
* Sat Oct 10 2020 tzimmermann@suse.de
- amdgpu: Enable KFD on POWER systems (bsc#1152489)
- commit f450076
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Optimize KFD page table reservation (bsc#1152489)
- commit 323c19f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: flag vram lost on baco reset for VI/CIK (bsc#1152489)
- commit 076788b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Resolved offchip EEPROM I/O issue (bsc#1152489)
- commit bd2fe70
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add default clocks if not able to fetch them (bsc#1152489)
- commit 0a618ab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Reduce nested prepare_remote_context() to a trylock (bsc#1152489)
- commit 48d8dc2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Default to a more lenient forced preemption timeout (bsc#1152489)
- commit b4c6086
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Make intel_ring_unpin() safe for concurrent pint (bsc#1152489)
- commit b634551
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Schedule request retirement when timeline idles (bsc#1152489)
- commit 2212dca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Adapt engine_park synchronisation rules for (bsc#1152489)
- commit aa93b3f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Fixup cancel_port_requests() (bsc#1152489)
- commit 1dfd818
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Mark the execlists->active as the primary volatile (bsc#1152489)
- commit e0d76e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Unlock engine-pm after queuing the kernel context switch (bsc#1152489)
- commit 1783b48
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Close race between engine_park and (bsc#1152489)
- commit b323230
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Mark up the calling context for intel_wakeref_put() (bsc#1152489)
- commit 03a6533
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Wait until the intel_wakeref idle callback is complete (bsc#1152489)
- commit 1c70177
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Fixup config ifdeffery for pm_suspend_target_state (bsc#1152489)
- commit f088a69
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/query: Align flavour of engine data lookup (bsc#1152489)
- commit ba8d280
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add DKL PHY vswing table for HDMI (bsc#1152489)
- commit 34236b1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/ehl: Update voltage level checks (bsc#1152489)
- commit 0995c22
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/adreno: Add support for Adreno 510 GPU (bsc#1152489)
- commit 7817295
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dsi: Add configuration for 8x76 (bsc#1152489)
- commit 689cb17
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dsi: Add configuration for 28nm PLL on family B (bsc#1152489)
- commit b5c9645
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/mdp5: Add configuration for msm8x76 (bsc#1152489)
- commit 4e62bc3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/mdp5: Add optional TBU and TBU_RT clocks (bsc#1152489)
- commit a19cc7b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: always dump buffer base/size (bsc#1152489)
- commit be3ea8e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: fix rd dumping for split-IB1 (bsc#1152489)
- commit 4e7b281
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/hdmi: silence -EPROBE_DEFER warning (bsc#1152489)
- commit 60b0da9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dsi: Implement qcom, dsi-phy-regulator-ldo-mode for 28nm PHY (bsc#1152489)
- commit ab18b3d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/mdp5: make config variables static (bsc#1152489)
- commit fdf8809
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: make a5xx_show and a5xx_gpu_state_put static (bsc#1152489)
- commit d131a40
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/mdp5: Remove set but not used variable 'hw_cfg' in (bsc#1152489)
- commit ea03ca1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dsi: Remove set but not used variable 'lp' (bsc#1152489)
- commit 4483a8f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dsi: Remove set but not used variable 'lpx' (bsc#1152489)
- commit d9eff3a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/mdp5: Remove set but not used variable 'hw_cfg' in (bsc#1152489)
- commit 5d2a7d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/mdp5: Remove set but not used variable 'fmt' (bsc#1152489)
- commit a9f645d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: Sanitize the modeset_is_locked checks in dpu (bsc#1152489)
- commit baf8197
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove set but not used variables 'mode', 'dpu_kms', (bsc#1152489)
- commit c0fec4b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove set but not used variables 'cmd_enc', 'priv' (bsc#1152489)
- commit f5eeff1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove set but not used variables 'dpu_cstate', 'priv' (bsc#1152489)
- commit 8e465ec
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove set but not used variable 'priv' in (bsc#1152489)
- commit 2a634a9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove set but not used variable 'priv' in (bsc#1152489)
- commit 225dacd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove set but not used variable 'priv' in dpu_kms.c (bsc#1152489)
- commit 89b959f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: include linux/sched/task.h (bsc#1152489)
- commit 2d2eb00
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dsi: Move static keyword to the front of declarations (bsc#1152489)
- commit 31edaf8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: Remove unused function arguments (bsc#1152489)
- commit e5ba563
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove unnecessary NULL checks (bsc#1152489)
- commit d5f883f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove unnecessary NULL checks (bsc#1152489)
- commit 3c7a39e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove unnecessary NULL checks (bsc#1152489)
- commit 9dec412
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove unnecessary NULL checks (bsc#1152489)
- commit a3914f5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove unused macro (bsc#1152489)
- commit da5ec2d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/dpu: Remove unused variables (bsc#1152489)
- commit 2e19c4e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm/gpu: add ocmem init/cleanup functions (bsc#1152489)
- commit f08fef6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: limit to INT_MAX in create_blob ioctl (bsc#1152489)
- commit b1dbca5
* Sat Oct 10 2020 tzimmermann@suse.de
- PCI/PM: Avoid exporting __pci_complete_power_transition() (bsc#1152489)
- commit 3aa720a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: Prefer pcie_capability_read_word() (bsc#1152489)
- commit b45125d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: Replace numbers with PCI_EXP_LNKCTL2 definitions (bsc#1152489)
- commit 96735eb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: Correct Transmit Margin masks (bsc#1152489)
- commit 78eb672
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Prefer pcie_capability_read_word() (bsc#1152489)
- commit 9071ffe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Replace numbers with PCI_EXP_LNKCTL2 definitions (bsc#1152489)
- commit 0c7e05e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Correct Transmit Margin masks (bsc#1152489)
- commit 5e28bff
* Sat Oct 10 2020 tzimmermann@suse.de
- kbuild: remove header compile test (bsc#1152489)
- commit 1f622d5
* Sat Oct 10 2020 tzimmermann@suse.de
- video/logo: move pnmtologo tool to drivers/video/logo/ from scripts/ (bsc#1152489)
- commit fec2662
* Sat Oct 10 2020 tzimmermann@suse.de
- video/logo: simplify cmd_logo (bsc#1152489)
- commit 835f9f5
* Sat Oct 10 2020 tzimmermann@suse.de
- video: fbdev: matrox: convert to i2c_new_scanned_device (bsc#1152489)
- commit 8ceb8a6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: ti-tfp410: switch to using fwnode_gpiod_get_index() (bsc#1152489)
- commit dd43b1b
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Fix spelling mistake "trigged" -> "triggered" (bsc#1152489)
- commit bac72a8
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: gpio: Pull gpio_backlight_initial_power_state() into probe (bsc#1152489)
- commit e0e34e8
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: gpio: Use a helper variable for &pdev->dev (bsc#1152489)
- commit b0a452b
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: gpio: Simplify the platform data handling (bsc#1152489)
- commit d764e04
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: gpio: Explicitly set the direction of the GPIO (bsc#1152489)
- commit 9ec7a4e
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: gpio: Remove stray newline (bsc#1152489)
- commit 9cca29c
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: gpio: Remove unneeded include (bsc#1152489)
- commit 5639a40
* Sat Oct 10 2020 tzimmermann@suse.de
- video: backlight: tosa: Use GPIO lookup table (bsc#1152489)
- commit 2bc80f1
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Add auto string detection logic (bsc#1152489)
- commit f798ce4
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Add support for short circuit handling (bsc#1152489)
- commit aa8b9c2
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Add support for WLED4 peripheral (bsc#1152489)
- commit fe338c4
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Restructure the driver for WLED3 (bsc#1152489)
- commit 45e68f7
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Rename PM8941* to WLED3 (bsc#1152489)
- commit 8398ce4
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: qcom-wled: Rename pm8941-wled.c to qcom-wled.c (bsc#1152489)
- commit f120fd4
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: Kconfig: jornada720: Use CONFIG_PREEMPTION (bsc#1152489)
- commit 65b1a9b
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: pwm_bl: Switch to power-of-2 base for fixed-point math (bsc#1152489)
- commit e5a2caf
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: pwm_bl: Drop use of int_pow() (bsc#1152489)
- commit 4016ba4
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: pwm_bl: Eliminate a 64/32 division (bsc#1152489)
- commit cbc340c
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: pwm_bl: Fix cie1913 comments and constant (bsc#1152489)
- commit 8c76451
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: pwm_bl: Add missing curly branches in else branch (bsc#1152489)
- commit 972eae6
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: pwm_bl: Don't assign levels table repeatedly (bsc#1152489)
- commit d0979c0
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: lm3630a: Add an enable gpio for the HWEN pin (bsc#1152489)
- commit 6229853
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: ipaq_micro: Make structure micro_bl_props constant (bsc#1152489)
- commit 4144e2d
* Sat Oct 10 2020 tzimmermann@suse.de
- backlight: lm3630a: Fix module aliases (bsc#1152489)
- commit 6691745
* Sat Oct 10 2020 tzimmermann@suse.de
- compat_ioctl: move ATYFB_CLK handling to atyfb driver (bsc#1152489)
- commit 0fde320
* Sat Oct 10 2020 tzimmermann@suse.de
- compat_ioctl: move more drivers to compat_ptr_ioctl (bsc#1152489)
- commit 3253878
* Sat Oct 10 2020 tzimmermann@suse.de
- video: hyperv: hyperv_fb: Support deferred IO for Hyper-V frame (bsc#1152489)
- commit 7140197
* Sat Oct 10 2020 tzimmermann@suse.de
- video: hyperv: hyperv_fb: Obtain screen resolution from Hyper-V host (bsc#1152489)
- commit 9c89788
* Sat Oct 10 2020 tzimmermann@suse.de
- video: hyperv_fb: Add the support of hibernation (bsc#1152489)
- commit e636016
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Use mmu_interval_notifier instead of hmm_mirror (bsc#1152489)
- commit 4d5c4a1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Use mmu_interval_insert instead of hmm_mirror (bsc#1152489)
- commit 2ede871
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Call find_vma under mmap_sem (bsc#1152489)
- commit 01754b3
* Sat Oct 10 2020 tzimmermann@suse.de
- nouveau: use mmu_interval_notifier instead of hmm_mirror (bsc#1152489)
- commit c995eee
* Sat Oct 10 2020 tzimmermann@suse.de
- nouveau: use mmu_notifier directly for invalidate_range_start (bsc#1152489)
- commit ea1a960
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: use mmu_interval_notifier_insert (bsc#1152489)
- commit cae2cc1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: Convert vm callbacks to helpers (bsc#1152489)
- commit 84bbf9e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: Remove explicit typecasts of vm_private_data (bsc#1152489)
- commit 2668e85
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: invalidate mmhub semaphore workaround in gmc9/gmc10 (bsc#1152472)
- commit 171ff77
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: initialize vm_inv_eng0_sem for gfxhub and mmhub (bsc#1152472)
- commit cbb6b1e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu/sriov skip RLCG s/r list for arcturus VF. (bsc#1152472)
- commit 10a8922
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu/sriov temporarily skip ras,dtm,hdcp for arcturus VF (bsc#1152472)
- commit ba7b2e7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: re-init clear state buffer after gpu reset (bsc#1152472)
- commit f66366a
* Sat Oct 10 2020 tzimmermann@suse.de
- merge fix for "ftrace: Rework event_create_dir()" (bsc#1152472)
- commit 5e8796b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Update Arcturus golden registers (bsc#1152472)
- commit 564da1b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: fix out-of-bound mqd_backup array access (bsc#1152472)
- commit 92d93b5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: explicitly wait for cp idle after halt/unhalt (bsc#1152472)
- commit cd968a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: properly set PP_GFXOFF_MASK (v2) (bsc#1152472)
- commit 26f774c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix bad DMA from INTERRUPT_CNTL2 (bsc#1152472)
- commit 370bdbf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: fix bad DMA from INTERRUPT_CNTL2 (bsc#1152472)
- commit 8962c27
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix debugfs on MST connectors (bsc#1152472)
- commit 6b53721
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/nv: add asic func for fetching vbios from rom directly (bsc#1152472)
- commit 8442680
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: put flush_delayed_work at first (bsc#1152472)
- commit 0b16378
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vcn2.5: fix the enc loop with hw fini (bsc#1152472)
- commit f49d42e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: issue BTC on Navi during SMU setup (bsc#1152472)
- commit dbffe1c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: avoid DPM reenable process on Navi1x ASICs V2 (bsc#1152472)
- commit 52a0520
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: fix mqd backup/restore for gfx rings (v2) (bsc#1152472)
- commit 3ff6b96
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/i915/gt: Wait for new requests in (bsc#1152489)
- commit cd9156e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: fix mmap refcounting (bsc#1152489)
- commit 80d2376
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: Stop initializing pvinfo through reading mmio (bsc#1152489)
- commit e86be68
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Split i915_active.mutex into an irq-safe spinlock for the (bsc#1152489)
- commit d7d5848
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: fix accidental static variable use (bsc#1152489)
- commit 292cf99
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/guc: Skip suspend/resume GuC action on platforms w/o GuC (bsc#1152489)
- commit 283cfa0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Wait for new requests in intel_gt_retire_requests() (bsc#1152489)
- commit cedc366
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Restore GT coarse power gating workaround (bsc#1152489)
- commit 291f98b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: don't forget noa wait after oa config (bsc#1152489)
- commit 4be953d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Avoid atomic context for error capture (bsc#1152489)
- commit 1fbeb5e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Fix TRANS_DDI_MST_TRANSPORT_SELECT definition (bsc#1152489)
- commit 041c785
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix detection for a CMP-V PCH (bsc#1152489)
- commit 39dda06
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Flush context free work on cleanup (bsc#1152489)
- commit fd70224
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vcn: finish delay work before release resources (bsc#1152489)
- commit a254c73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: read pcie speed/width info (v2) (bsc#1152489)
- commit 58c5480
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/smu_v11: Unify and fix power limits (bsc#1152489)
- commit 62cae9f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/navi10: Implement od clk printing (bsc#1152489)
- commit adcc44c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/navi10: implement GFXCLK_CURVE overdrive (bsc#1152489)
- commit b1e278e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/navi10: implement sclk/mclk OD via pp_od_clk_voltage (bsc#1152489)
- commit 04e2072
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu: finish delay works before release resources (bsc#1152489)
- commit fd4080a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: Clean up code in radeon_pci_shutdown() (bsc#1152489)
- commit df124f2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay/smu7: fix AVFS handling with custom powerplay (bsc#1152489)
- commit a8d7d95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: avoid upload corrupted ta ucode to psp (bsc#1152489)
- commit 22a8b33
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vmwgfx: remove set but not used variable 'srf' (bsc#1152489)
- commit c1aa59e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm, drm/vmwgfx: Use a configuration option for the TTM dma page (bsc#1152489)
- commit fe24ef0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Split a setting of MSA to MST and SST (bsc#1152489)
- commit e5aa713
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Move reset_active() from schedule-out to (bsc#1152489)
- commit 98a4a3b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Protect context while grabbing its name for the request (bsc#1152489)
- commit 02ca858
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: always consider holding preemption a privileged op (bsc#1152489)
- commit 43dbf1c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Leave the aliasing-ppgtt size alone (bsc#1152489)
- commit 3054586
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: only include intel_dp_link_training.h where needed (bsc#1152489)
- commit edb6218
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Fix error path to unlock if the GEM context is closed (bsc#1152489)
- commit e430db5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Only drop heartbeat.systole if the sole owner (bsc#1152489)
- commit 4aff543
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/arcpgu: rework encoder search (bsc#1152489)
- commit dae7470
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: fix memleak on release (bsc#1152472)
- commit e4c79fe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: fix AVFS handling with custom powerplay table (bsc#1152489)
- commit f61037b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: dynamically disable ds and ulv for compute (bsc#1152489)
- commit ccd5e51
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct Arcturus OD support (bsc#1152489)
- commit ed7c4da
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: allow direct upload save restore list for raven2 (bsc#1152489)
- commit 4fac1a8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sched: struct completion requires linux/completion.h inclusion (bsc#1152489)
- commit 1acb7c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Avoid accidental thread reactivation. (bsc#1152489)
- commit 82e5646
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sched: Avoid job cleanup if sched thread is parked. (bsc#1152489)
- commit 9d2eec4
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: dont schedule jobs while in reset" (bsc#1152489)
- commit 5cb7be5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sched: Use completion to wait for sched->thread idle v2. (bsc#1152489)
- commit 97958d2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix vega20 pstate status change (bsc#1152489)
- commit b6b6182
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix sysfs interface pcie_replay_count error on navi asic (bsc#1152489)
- commit 53b9961
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Need to disable msix when unloading driver (bsc#1152489)
- commit 21d8b95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add comments to gmc structure (bsc#1152489)
- commit 74c2ce8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Improve RAS documentation (v2) (bsc#1152489)
- commit be14423
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix double reference dropping (bsc#1152489)
- commit 0119119
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix struct init in renoir_print_clk_levels (bsc#1152489)
- commit 651989a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix potential double drop fence reference (bsc#1152489)
- commit 26debdf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: change read of GPU clock counter on Vega10 VF (bsc#1152489)
- commit 96f6377
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix deadlock on setting (bsc#1152489)
- commit 4796c41
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: perform p-state switch after the whole hive initialized (bsc#1152489)
- commit ad15830
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix possible pstate switch race condition (bsc#1152489)
- commit d4588ba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: update Arcturus driver-smu interface header (bsc#1152489)
- commit f0b5600
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: disallow direct upload save restore list from gfx driver (bsc#1152489)
- commit b1a928a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sched:  Fix passing zero to 'PTR_ERR' warning v2 (bsc#1152489)
- commit 30cbae1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/discovery: Need to free discovery memory (bsc#1152489)
- commit 73be106
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: print the pptable provider (bsc#1152489)
- commit 787790f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Show resolution correctly in mode validation debug output (bsc#1152489)
- commit a696cf6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gpuvm: add some additional comments in (bsc#1152489)
- commit 28f8299
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable VCN DPG on Raven and Raven2 (bsc#1152489)
- commit 0c68e81
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: support xgmi pstate setting on powerplay routine (bsc#1152489)
- commit 8c6e873
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: update is_sw_smu_xgmi check (bsc#1152489)
- commit 9f3ddb5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: change pstate only after all XGMI device initialized (bsc#1152489)
- commit 9d7f844
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mst: Fix up u64 division (bsc#1152472)
- commit 1d16de6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: msm: a6xx: fix debug bus register configuration (bsc#1152472)
- commit c7ac3ee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Add intel_gt_suspend_prepare (bsc#1152489)
- commit fa0f548
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Drop false assertion on user_forcewake (bsc#1152489)
- commit 9fe9646
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Defer rc6 shutdown to suspend_late (bsc#1152489)
- commit ed877a5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Move user_forcewake application to GT (bsc#1152489)
- commit 7cd6516
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Leave reloading kernel context on resume to GT (bsc#1152489)
- commit aa1cd73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Call intel_gt_sanitize() directly (bsc#1152489)
- commit 3205ef8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Support 180 degree rotation (bsc#1152472)
- commit 208fb12
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Support reflect-x plane rotation (bsc#1152472)
- commit 32bf5b2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Support reflect-y plane rotation (bsc#1152472)
- commit 2d6d4cf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Plumb supported rotation values from components to (bsc#1152472)
- commit 9a21088
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Add plumbing for layer_check hook (bsc#1152472)
- commit cc0eb77
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Add helper to get component for a plane (bsc#1152472)
- commit 4d03bb4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Refactor plane init (bsc#1152472)
- commit 6ff5190
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: Add RGB[A] variants to published plane formats (bsc#1152472)
- commit 5fd553f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't select BROKEN (bsc#1152472)
- commit db6189c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: fix gcc compile error (bsc#1152472)
- commit 24ae5b6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add a conversion function for transmitter and phy_id (bsc#1152472)
- commit 8dcc725
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix no ACK from LDS read during stress test for Arcturus (bsc#1152472)
- commit 91f60d7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix gfx VF FLR test fail on navi (bsc#1152472)
- commit 81390c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: bypass some cleanup work after err_event_athub (v2) (bsc#1152472)
- commit e5987e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: clear UVD VCPU buffer when err_event_athub generated (bsc#1152472)
- commit b9d1303
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/SRIOV: SRIOV VF doesn't support BACO (bsc#1152472)
- commit 5ef0536
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Remove superfluous void * cast in debugfs_create_file() (bsc#1152472)
- commit 176b9a6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove set but not used variable 'adev' (bsc#1152472)
- commit db1a6bd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: bug fix for out of bounds mem on gpu cache filling info (bsc#1152472)
- commit 2b3272e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Delete duplicated queue bit map reservation (bsc#1152472)
- commit cbf2814
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Delete unnecessary pr_fmt switch (bsc#1152472)
- commit c005f22
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Make two functions static (bsc#1152472)
- commit c48653e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd: correct "_LENTH" mispelling in constant (bsc#1152472)
- commit f3b20b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd: declare amdgpu_exp_hw_support in amdgpu.h (bsc#1152472)
- commit ec0a82e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Make calculate_integer_scaling static (bsc#1152472)
- commit 0f9635f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Disable gfx CGPG when suspend smu (bsc#1152472)
- commit ecc800f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: remove assignment for return value (bsc#1152472)
- commit 7bfce21
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: remove gcc warning Wunused-but-set-variable (bsc#1152472)
- commit cbd0dbe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: modify the parameters of SMU_MSG_PowerUpVcn to (bsc#1152472)
- commit 30d82c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct current clock level label for Arcturus (bsc#1152472)
- commit 604130f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: skip unsupported clock limit settings on Arcturus (bsc#1152472)
- commit 1533791
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Allow reading more status registers on si/cik (bsc#1152472)
- commit 89efc58
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Move amdgpu_ras_recovery_init to after SMU ready. (bsc#1152472)
- commit 6d900c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Use ARCTURUS in RAS EEPROM. (bsc#1152472)
- commit ea13681
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Add EEPROM I2C read/write support to Arcturus. (bsc#1152472)
- commit 8876724
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Add interface for I2C transactions to SMU. (bsc#1152472)
- commit ac4a27a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add DC feature mask to disable fractional pwm (bsc#1152472)
- commit ce155b9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove unused parameter in amdgpu_gfx_kiq_free_ring (bsc#1152472)
- commit b0c55ed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vcn: Enable VCN2.5 encoding (bsc#1152472)
- commit ebc329a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: define macros for retire page reservation (bsc#1152472)
- commit a342990
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: refine reboot debugfs operation in ras case (v3) (bsc#1152472)
- commit 8d387cc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: don't use dqm lock during device reset/suspend/resume (bsc#1152472)
- commit 1108608
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/display: add dc feature mask for psr enablement (bsc#1152472)
- commit 237246e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: clear the swSMU code layer (bsc#1152472)
- commit 812f414
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: split out those internal used swSMU APIs V2 (bsc#1152472)
- commit 5d7fb89
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: add lock protection for swSMU APIs V2 (bsc#1152472)
- commit d471ef0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add VCN0 and VCN1 needed headers (bsc#1152472)
- commit 9ecaf77
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Apply vactive dram clock change workaround to dcn2 (bsc#1152472)
- commit 78c800a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix hubbub deadline programing (bsc#1152472)
- commit 77aeed2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix avoid_split for dcn2+ validation (bsc#1152472)
- commit 72972a1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Do not call update bounding box on dc create (bsc#1152472)
- commit edd5260
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add center mode for integer scaling in DC (bsc#1152472)
- commit 6c7c23f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: take signal type from link (bsc#1152472)
- commit 57bc0a2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.56 (bsc#1152472)
- commit bb0247f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Make clk mgr the only dto update point (bsc#1152472)
- commit dc2f4f7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Only use EETF when maxCL > max display (bsc#1152472)
- commit 7523d77
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: move wm ranges reporting to end of init hw (bsc#1152472)
- commit fb9b827
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Proper return of result when aux engine acquire (bsc#1152472)
- commit 3224b47
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Disable force_single_disp_pipe_split on DCN2+ (bsc#1152472)
- commit 6ebbdb5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: map TRANSMITTER_UNIPHY_x to LINK_REGS_x (bsc#1152472)
- commit 108835b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add flag to allow diag to force enumerate edp (bsc#1152472)
- commit 0f21d57
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add embedded flag to dml (bsc#1152472)
- commit 3744b2b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix number of dcn21 dpm clock levels (bsc#1152472)
- commit a27a414
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: enable vm by default for rn. (bsc#1152472)
- commit 82fe1f6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Update min dcfclk (bsc#1152472)
- commit 5407592
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: audio endpoint cannot switch (bsc#1152472)
- commit 6c459b2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix MPO & pipe split on 3-pipe dcn2x (bsc#1152472)
- commit 1544752
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: remove unnecessary assert (bsc#1152472)
- commit ae840ba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: move dispclk vco freq to clk mgr base (bsc#1152472)
- commit d2f116c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: correctly initialize dml odm variables (bsc#1152472)
- commit f3e8dfe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: split dcn20 fast validate into more functions (bsc#1152472)
- commit a6cfb38
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: correctly populate dpp refclk in fpga (bsc#1152472)
- commit 3140d4f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Enable PSR (bsc#1152472)
- commit 2eca43c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add debugfs entry for reading psr state (bsc#1152472)
- commit 74db65e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.55 (bsc#1152472)
- commit 61762e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: remove unused code (bsc#1152472)
- commit 576325d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Remove superfluous assert (bsc#1152472)
- commit b0b47e8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Don't use optimized gamma22 with eetf (bsc#1152472)
- commit 66e5640
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add unknown clk state. (bsc#1152472)
- commit 4990da1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add odm visual confirm (bsc#1152472)
- commit 6e59da8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Avoid sending abnormal VSIF (bsc#1152472)
- commit cb31b17
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: update Arcturus driver smu interface XGMI link (bsc#1152472)
- commit 98d0031
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp: fix spelling mistake "initliaze" -> "initialize" (bsc#1152472)
- commit 16e0871
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Free gamma after calculating legacy transfer (bsc#1152472)
- commit 6395866
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp11: fix typo in comment (bsc#1152472)
- commit be87c0b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp11: wait for sOS ready for ring creation (bsc#1152472)
- commit 575dc8a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20191101 (bsc#1152489)
- commit ab74b97
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Start kthreads before stopping (bsc#1152489)
- commit 8e6835c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/lmem: Check against i915_selftest only under CONFIG_SELFTEST (bsc#1152489)
- commit 31ea310
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Refine occupancy test in kill_context() (bsc#1152489)
- commit 9486ae0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20191101 (bsc#1152489)
- commit d2388fc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/lmem: add the fake lmem region (bsc#1152489)
- commit 2ffb0e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/guc: drop guc shared area (bsc#1152489)
- commit 06b817b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: drop lrc header page (bsc#1152489)
- commit 1e78f78
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Split detaching and removing the vma (bsc#1152489)
- commit 9badcee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Pretty print the i915_active (bsc#1152489)
- commit cd5ad90
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Assert that the idle_pulse is sent (bsc#1152489)
- commit 5bae314
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/mst: Document the userspace fail with possible_crtcs (bsc#1152489)
- commit 937847c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Simplify pipe_mask setup even further (bsc#1152489)
- commit d648d5b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Allow ICL+ DSI on any pipe (bsc#1152489)
- commit 010f6f1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: s/crtc_mask/pipe_mask/ (bsc#1152489)
- commit 50fa397
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Simplify LVDS crtc_mask setup (bsc#1152489)
- commit 122e9b4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/uc: define GuC and HuC binaries for TGL (bsc#1152489)
- commit 4b87e1b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Stop frobbing crtc->base.mode (bsc#1152489)
- commit ce4f8c3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Nuke 'mode' argument to intel_get_load_detect_pipe() (bsc#1152489)
- commit 91efbb2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Always track callers to intel_rps_mark_interactive() (bsc#1152489)
- commit 2d4f628
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add gam instdone (bsc#1152489)
- commit 85b7cde
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add SFC instdone to error state (bsc#1152489)
- commit 6e133ed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: add support to one DP-MST stream (bsc#1152489)
- commit 4005615
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Make context persistence optional (bsc#1152489)
- commit 67d8cc0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Provide more information on DP AUX failures (bsc#1152489)
- commit bf99002
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/cnl+: Handle fused off DSC (bsc#1152489)
- commit 2fbe292
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl+: Check if DMC is fused off (bsc#1152489)
- commit 24879ca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Check if FBC is fused off (bsc#1152489)
- commit f268768
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Handle fused off HDCP (bsc#1152489)
- commit 7740eee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add two spaces before the SKL_DFSM registers (bsc#1152489)
- commit af88624
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: ensure selftests select valid format (bsc#1152489)
- commit 22b53f6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add AUX B & C to DC_OFF_POWER_DOMAINS (bsc#1152489)
- commit 17d6168
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop unused AUX register offsets (bsc#1152489)
- commit 76cb1ff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Make timeslice duration configurable (bsc#1152489)
- commit 6da745c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Rename "inject_load_failure" module parameter (bsc#1152489)
- commit 0111708
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix i915_inject_load_error() name to read *_probe_* (bsc#1152489)
- commit eb305c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix i845/i865 cursor width (bsc#1152489)
- commit f79ec16
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add perf support on TGL (bsc#1152489)
- commit 82d4f40
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Add helper macros for comparing with whitelisted (bsc#1152489)
- commit c180313
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: check for missing aperture (bsc#1152489)
- commit d086558
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: don't allocate the ring in stolen if we lack aperture (bsc#1152489)
- commit 739142e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't try to place HWS in non-existing mappable region (bsc#1152489)
- commit b8c745b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: error capture with no ggtt slot (bsc#1152489)
- commit 4d40840
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: set num_fence_regs to 0 if there is no aperture (bsc#1152489)
- commit 1cd8efa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: do not map aperture if it is not available. (bsc#1152489)
- commit 1c71246
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: define i915_ggtt_has_aperture (bsc#1152489)
- commit ee3e7bd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/blt: fixup block_size rounding (bsc#1152489)
- commit cd30763
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Limit the blitter sizes to ensure low preemption (bsc#1152489)
- commit a8799fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Use vfunc to check engine submission mode (bsc#1152489)
- commit c71f545
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Mark conn as initialised by iterator (bsc#1152489)
- commit 2641ec4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Initialise ret (bsc#1152489)
- commit 97476e5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Initialise err in case there are no engines! (bsc#1152489)
- commit 465f726
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Simply walk back along request timeline on reset (bsc#1152489)
- commit 77f67fb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Check a few more fixed locations within the (bsc#1152489)
- commit 701d935
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Handle AUX interrupts for TC ports (bsc#1152489)
- commit 42350a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Exercise adjusting rpcs over all render-class (bsc#1152489)
- commit e586d72
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Select a random engine for testing memory regions (bsc#1152489)
- commit 7e65c10
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Tidy up rps irq handler to use intel_gt (bsc#1152489)
- commit 7e5841d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Use a random engine for GEM coherency tests (bsc#1152489)
- commit 17f19e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/bios: add compression parameter block definition (bsc#1152489)
- commit 54a40fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Check all blitter engines for client blt (bsc#1152489)
- commit f40a131
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Drop global engine lookup for gt selftests (bsc#1152489)
- commit a990182
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Measure basic throughput of blit routines (bsc#1152489)
- commit fe48a00
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add CHICKEN_TRANS_D (bsc#1152489)
- commit 949a886
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use _PICK() for CHICKEN_TRANS() (bsc#1152489)
- commit 59b4cc2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/rps: Flip interpretation of ips fmin/fmax to max rps (bsc#1152489)
- commit aeb05d6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Put future HW and their uAPIs under STAGING & BROKEN (bsc#1152489)
- commit badb683
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Split memory_region initialisation into its own file (bsc#1152489)
- commit 05209e3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extract the GuC interrupt handlers (bsc#1152489)
- commit 9b0807e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extract GT render power state management (bsc#1152489)
- commit 98147b5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Adjust the location of RING_MI_MODE in the context (bsc#1152489)
- commit d8c55b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Encapsulate kconfig constant values inside boolean (bsc#1152489)
- commit 6a0d10a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tc: Clear DKL_TX_PMD_LANE_SUS before program voltage swing (bsc#1152489)
- commit 84cc5d0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Initialise the spinlock before registering (bsc#1152489)
- commit cfd9e64
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests/blt: add some kthreads into the mix (bsc#1152489)
- commit f3c5589
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: add sanity selftest for huge-GTT-pages (bsc#1152489)
- commit d7be8bf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: prefer random sizes for the huge-GTT-page smoke (bsc#1152489)
- commit 7e2ddda
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: extend coverage to include LMEM huge-pages (bsc#1152489)
- commit f399eee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: add write-dword test for LMEM (bsc#1152489)
- commit cd5da90
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/lmem: support kernel mapping (bsc#1152489)
- commit 301edcb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: setup io-mapping for LMEM (bsc#1152489)
- commit a3510de
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: support creating LMEM objects (bsc#1152489)
- commit ce4743c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: split gen11_irq_handler to make it shareable (bsc#1152489)
- commit abfd928
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: do not set MOCS control values on dgfx (bsc#1152489)
- commit d8cb554
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: add new gen12 dgfx platform macro (bsc#1152489)
- commit 83a6ec2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add is_dgfx to device info (bsc#1152489)
- commit db0a5fc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: capture aux page table error register (bsc#1152489)
- commit abbb9c9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Force ordering of context switches (bsc#1152489)
- commit b5ff3b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move intel_engine_context_in/out into intel_lrc.c (bsc#1152489)
- commit e3b2db0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Describe structure member in documentation (bsc#1152489)
- commit 31f94b5
* Sat Oct 10 2020 tzimmermann@suse.de
- doc: Update header files names (bsc#1152489)
- commit ffaa81c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Tweak the default subtest runtime (bsc#1152489)
- commit 91d088d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/psr: Print in debugfs if PSR is not enabled because (bsc#1152489)
- commit 9b197a6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Catch GTT fault errors for gen11+ planes (bsc#1152489)
- commit 3ece7ad
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: whitelist PS_(DEPTH|INVOCATION)_COUNT (bsc#1152489)
- commit 90acf58
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove nonpriv flags when srm/lrm (bsc#1152489)
- commit ed9df46
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Making loglevel of PSR2/SU logs same. (bsc#1152489)
- commit 29ef9b3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add support for half float framebuffers on snb sprites (bsc#1152489)
- commit 6cfd33c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add support for half float framebuffers for ivb+ sprites (bsc#1152489)
- commit 1894d66
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add support for half float framebuffers for gen4+ primary (bsc#1152489)
- commit 11da090
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add support for half float framebuffers for skl+ (bsc#1152489)
- commit 2ada91b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Simplify skl_max_scale() (bsc#1152489)
- commit d6f6a16
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Eliminate skl_check_pipe_max_pixel_rate() (bsc#1152489)
- commit 0a7192b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Allow planes to declare their minimum acceptable cdclk (bsc#1152489)
- commit 3839ae0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move check_digital_port_conflicts() earier (bsc#1152489)
- commit df9d17a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Rework global state locking (bsc#1152489)
- commit f09abd6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add debugs to distingiush a cd2x update from a full cdclk (bsc#1152489)
- commit d93782a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Describe structure members in documentation (bsc#1152489)
- commit 72737ac
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Split intel_ring_submission (bsc#1152489)
- commit eb134eb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Convert PAT setup to uncore mmio (bsc#1152489)
- commit a2a1304
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Flush any i915_active callback work as well (bsc#1152489)
- commit 99da890
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Flush interrupts before disabling tasklets (bsc#1152489)
- commit 4a593f5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: fix dead locking in early workload shadow (bsc#1152489)
- commit 15d5710
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Replace hangcheck by heartbeats (bsc#1152489)
- commit f74a4da
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Cancel contexts when hangchecking is disabled (bsc#1152489)
- commit 31a1332
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Cancel banned contexts on schedule-out (bsc#1152489)
- commit 7d06917
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Force preemption (bsc#1152489)
- commit f34e7d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Try to more gracefully quiesce the system before resets (bsc#1152489)
- commit fc61d1f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/guc: Update H2G enable logging action definition (bsc#1152489)
- commit 73009c5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/guc: Enable guc logging on guc log relay write (bsc#1152489)
- commit 7a6c42c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add new CNL PCH ID seen on a CML platform (bsc#1152489)
- commit 66d98fc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsc: move crtc state dp_dsc_cfg member under dsc as config (bsc#1152489)
- commit ad5a14d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsc: rename crtc state dsc_params member to dsc (bsc#1152489)
- commit 6ebdaf2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Release ctx->engine_mutex after iteration (bsc#1152489)
- commit 4d43509
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Synchronize checking active status with (bsc#1152489)
- commit 7fc90f5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Move uncore fw selftests to operate on intel_gt (bsc#1152489)
- commit 2ba69aa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach switch_to_context() to use the context (bsc#1152489)
- commit 7b3c901
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Teach record_defaults to operate on the intel_gt (bsc#1152489)
- commit d9cf815
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Distinguish each object type (bsc#1152489)
- commit f397048
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/aml: Allow SPT PCH for all AML devices (bsc#1152489)
- commit 92d0005
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop assertion that ce->pin_mutex guards state updates (bsc#1152489)
- commit 95c7049
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Make the mman object busy everywhere (bsc#1152489)
- commit d3b003e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Use for_each_uabi_engine in contex selftests (bsc#1152489)
- commit feae0ec
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Use GT engines in igt_live_test (bsc#1152489)
- commit eba574f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Use GT engines in mock_gem_device (bsc#1152489)
- commit 01b6017
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Convert eviction selftests to gt/ggtt (bsc#1152489)
- commit 66a2344
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Split drop caches into GT and i915 parts (bsc#1152489)
- commit 18d7b67
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to intel_engines_verify_workarounds (bsc#1152489)
- commit aab8453
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to intel_engines_init (bsc#1152489)
- commit f5853a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to intel_engines_setup (bsc#1152489)
- commit 126d8e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to intel_engines_cleanup (bsc#1152489)
- commit 37bca3b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to intel_setup_engine_capabilities (bsc#1152489)
- commit 8aafa93
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to intel_engines_init_mmio (bsc#1152489)
- commit 6728f48
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Set vm->gt backpointer for mock_ppgtt (bsc#1152489)
- commit e775712
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove pm park/unpark notifications (bsc#1152489)
- commit 988af38
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Lift i915_vma_parked() onto the gt (bsc#1152489)
- commit 77d0953
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Introduce barrier pulses along engines (bsc#1152489)
- commit 38cd44f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Use all physical engines for i915_active (bsc#1152489)
- commit e61bf4d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Check some transcoder timing minimum limits (bsc#1152489)
- commit ea02504
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't set queue_priority_hint if we don't kick the (bsc#1152489)
- commit e1f61b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Unconditionally select IOMMU_IOVA (bsc#1152472)
- commit a73cdc7
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Unconditionally select IOMMU_IOVA (bsc#1152472)
- commit c88c30e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Optionally attach clients to the IOMMU (bsc#1152472)
- commit 73c6377
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Support DMA API for display controllers (bsc#1152472)
- commit 0e86b26
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: falcon: Clarify address usage (bsc#1152472)
- commit 24b5c84
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Remove memory allocation from Falcon library (bsc#1152472)
- commit 40af554
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Set DMA mask based on IOMMU setup (bsc#1152472)
- commit e8072b0
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Support DMA mapping of buffers (bsc#1152472)
- commit b93bd14
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Allocate gather copy for host1x (bsc#1152472)
- commit 9d0c5d7
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Add direction flags to relocations (bsc#1152472)
- commit 74881db
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Clean up debugfs on removal (bsc#1152472)
- commit ae6653f
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Overhaul host1x_bo_{pin,unpin}() API (bsc#1152472)
- commit 7e2d7de
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Simplify IOMMU group selection (bsc#1152472)
- commit 3a671aa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Do not use ->load() and ->unload() callbacks (bsc#1152472)
- commit ec21350
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Introduce audio enable/disable callbacks (bsc#1152472)
- commit 83c925d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Extract common audio enabling code (bsc#1152472)
- commit c2cf210
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Avoid timeouts on unplug events (bsc#1152472)
- commit bf3b3df
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Unify eDP and DP support (bsc#1152472)
- commit e7c2360
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Use correct I/O pad for DP (bsc#1152472)
- commit 0d6384e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Unify clock setup for eDP, HDMI and DP (bsc#1152472)
- commit ae0cb55
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Support DisplayPort on Tegra194 (bsc#1152472)
- commit 95676fb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Deduplicate connector type detection code (bsc#1152472)
- commit 46b909f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Implement pad clock for all SOR instances (bsc#1152472)
- commit 413caf6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Use correct SOR index on Tegra210 (bsc#1152472)
- commit 0e5e1ea
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Remove tegra186-sor1 support (bsc#1152472)
- commit f432088
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Add DisplayPort support (bsc#1152472)
- commit 9b51056
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Filter eDP rates (bsc#1152472)
- commit a5dd5d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Stabilize eDP (bsc#1152472)
- commit e7599c7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Hook up I2C-over-AUX to output (bsc#1152472)
- commit a74f8fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Use DP link training helpers (bsc#1152472)
- commit f717843
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Add DisplayPort link training helper (bsc#1152472)
- commit 12bb94f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Add support for eDP link rates (bsc#1152472)
- commit 543d01e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Add drm_dp_link_choose() helper (bsc#1152472)
- commit d571185
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Enable alternate scrambler reset when supported (bsc#1152472)
- commit 983c624
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Set channel coding on link configuration (bsc#1152472)
- commit 8718ced
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Read AUX read interval from DPCD (bsc#1152472)
- commit f90196d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Read eDP version from DPCD (bsc#1152472)
- commit 8f64bbc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Read alternate scrambler reset capability from sink (bsc#1152472)
- commit 33ff344
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Read channel coding capability from sink (bsc#1152472)
- commit 8ba8a32
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Read TPS3 capability from sink (bsc#1152472)
- commit 3be1d63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Read fast training capability from link (bsc#1152472)
- commit 3129bd4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Probe link using existing parsing helpers (bsc#1152472)
- commit 46bef9b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Turn link capabilities into booleans (bsc#1152472)
- commit f367a07
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Track link capabilities alongside settings (bsc#1152472)
- commit fffdb36
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dp: Add drm_dp_link_reset() implementation (bsc#1152472)
- commit ec5b7f9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Add missing kerneldoc for struct drm_dp_link (bsc#1152472)
- commit e220b7e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dpaux: Parameterize CMH, DRVZ and DRVI (bsc#1152472)
- commit 35c6f68
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dpaux: Fix crash if VDD supply is absent (bsc#1152472)
- commit c2d9024
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dpaux: Retry on transfer size mismatch (bsc#1152472)
- commit 9dc1191
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: dpaux: Support monitor hotplugging (bsc#1152472)
- commit 3affd30
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: gem: Use sg_alloc_table_from_pages() (bsc#1152472)
- commit c9473f1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: gem: Always map SG tables for DMA-BUFs (bsc#1152472)
- commit b23785e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: gem: Use dma_get_sgtable() (bsc#1152472)
- commit be212b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: gem: Rename paddr -> iova (bsc#1152472)
- commit 2c085c7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Move IOMMU group into host1x client (bsc#1152472)
- commit 4212ea5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: vic: Use common IOMMU attach/detach code (bsc#1152472)
- commit a77b4fc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: vic: Inherit DMA mask from host1x (bsc#1152472)
- commit 1edc941
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: vic: Skip stream ID programming without IOMMU (bsc#1152472)
- commit 3dc1230
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Use DRM_DEBUG_DRIVER for driver messages (bsc#1152472)
- commit 723086e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Inherit device DMA parameters from host1x (bsc#1152472)
- commit 0650d58
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Make host1x_cdma_wait_pushbuffer_space() static (bsc#1152472)
- commit 7c10529
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Request channels for clients, not devices (bsc#1152472)
- commit 71392d0
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Explicitly initialize host1x_info structures (bsc#1152472)
- commit 981ceaf
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Remove gratuitous blank line (bsc#1152472)
- commit bc70c26
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: host1x: Do not limit DMA segment size (bsc#1152472)
- commit fcf2a9d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Use cec_notifier_conn_(un)register() (bsc#1152472)
- commit 0fcf032
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Fix ordering of cleanup code (bsc#1152472)
- commit 30d89a6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: sor: Move register programming out of ->init() (bsc#1152472)
- commit e72f003
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "dma-buf: Add dma-buf heaps framework" (bsc#1152472)
- commit ce0fef2
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "dma-buf: heaps: Add heap helpers" (bsc#1152472)
- commit 8db7f15
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "dma-buf: heaps: Add system heap to dmabuf heaps" (bsc#1152472)
- commit 4920f23
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "dma-buf: heaps: Add CMA heap to dmabuf heaps" (bsc#1152472)
- commit d1daba4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/gem: Fix mmap fake offset handling for drm_gem_object_funcs.mmap (bsc#1152472)
- commit 1557fee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Simplify devfreq utilisation tracking (bsc#1152472)
- commit f68a5aa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Use generic code for devfreq (bsc#1152472)
- commit ef82b7a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vboxvideo: Use drm_gem_fb_create_with_dirty instead of (bsc#1152472)
- commit 09d5da9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add independent DMA-buf import v9 (bsc#1152472)
- commit 127752c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add independent DMA-buf export v8 (bsc#1152472)
- commit 78e2db2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/todo: Clarify situation around fbdev and defio (bsc#1152472)
- commit 28a44ce
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/fb-helper: Remove drm_fb_helper_defio_init() and update docs (bsc#1152472)
- commit cf917a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Don't free jobs in wait_event_interruptible() (bsc#1152472)
- commit dc5d7c7
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: heaps: Add CMA heap to dmabuf heaps (bsc#1152472)
- commit b758cf3
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: heaps: Add system heap to dmabuf heaps (bsc#1152472)
- commit c3cf897
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: heaps: Add heap helpers (bsc#1152472)
- commit e7bb7de
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: Add dma-buf heaps framework (bsc#1152472)
- commit 79549b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: stop exporting ttm_mem_io_* functions (bsc#1152472)
- commit 9ca4531
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: stop using TTM to call driver internal functions (bsc#1152472)
- commit 72cab75
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: use the parent resv for ghost objects v3 (bsc#1152472)
- commit f89fe2a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: remove pointers to globals (bsc#1152472)
- commit 9596f7d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: always keep BOs on the LRU (bsc#1152472)
- commit 1f27a2e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm, drm/vmwgfx: move cpu_writers handling into vmwgfx (bsc#1152472)
- commit c690ca8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/gpu: Fix Memory barrier without comment Issue (bsc#1152472)
- commit c842f5e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/gpu: Fix Missing blank line after declarations (bsc#1152472)
- commit 7fab77b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Spelling s/connet/connect/ (bsc#1152472)
- commit 1ba4666
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vboxvideo: Replace prepare_fb()/cleanup_fb() with GEM VRAM (bsc#1152472)
- commit c3b487c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/hisilicon/hibmc: Use GEM VRAM's prepare_fb() and cleanup_fb() (bsc#1152472)
- commit 6cc72dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bochs: Replace prepare_fb()/cleanup_fb() with GEM VRAM helpers (bsc#1152472)
- commit 7dc9120
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram-helpers: Add helpers for prepare_fb() and cleanup_fb() (bsc#1152472)
- commit 29ed01c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/gpu: Add comment for memory barrier (bsc#1152472)
- commit 2765485
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: remove cast to pointers passed to kfree (bsc#1152472)
- commit 1b04f5a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/simple-kms: Standardize arguments for callbacks (bsc#1152472)
- commit edad8ce
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: stop using the dmabuf->lock so much v2 (bsc#1152472)
- commit d29eed8
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-buf: change DMA-buf locking convention v3 (bsc#1152472)
- commit e5bf569
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Add topology ref history tracking for debugging (bsc#1152489)
- commit 850d8a7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Add basic topology reprobing when resuming (bsc#1152489)
- commit 3c274a9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau: Resume hotplug interrupts earlier (bsc#1152489)
- commit 4aade5d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau: Don't grab runtime PM refs for HPD IRQs (bsc#1152489)
- commit 1856ba3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Lessen indenting in drm_dp_mst_topology_mgr_resume() (bsc#1152489)
- commit 6304515
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Don't forget to update port->input in (bsc#1152489)
- commit 94d4585
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Protect drm_dp_mst_port members with locking (bsc#1152489)
- commit ffe0098
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Add probe_lock (bsc#1152489)
- commit 0c3e0ef
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Handle UP requests asynchronously (bsc#1152489)
- commit bb19104
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Refactor pdt setup/teardown, add more locking (bsc#1152489)
- commit e092ba2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Remove PDT teardown in drm_dp_destroy_port() and refactor (bsc#1152489)
- commit 141d01f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Destroy MSTBs asynchronously (bsc#1152489)
- commit 7f1e92b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/exynos: Move static keyword to the front of declaration (bsc#1152472)
- commit 126ec42
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tegra: Move drm_dp_link helpers to Tegra DRM (bsc#1152472)
- commit 33601f6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: Avoid drm_dp_link helpers (bsc#1152472)
- commit 8c89b4e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: edp: Avoid drm_dp_link helpers (bsc#1152472)
- commit 392b329
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Use DP nomenclature (bsc#1152472)
- commit 8fc5ee5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Avoid drm_dp_link helpers (bsc#1152472)
- commit f0b9bb9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: analogix-anx78xx: Avoid drm_dp_link helpers (bsc#1152472)
- commit de9f244
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Add helper to get post-cursor adjustments (bsc#1152472)
- commit 5480315
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Do not busy-loop during link training (bsc#1152472)
- commit 5e05f04
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Add drm_dp_alternate_scrambler_reset_cap() helper (bsc#1152472)
- commit 7f8cdd3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Add drm_dp_channel_coding_supported() helper (bsc#1152472)
- commit 7a3bbd2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Add drm_dp_fast_training_cap() helper (bsc#1152472)
- commit 85f0306
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Remove a gratuituous blank line (bsc#1152472)
- commit 419d2a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Sort includes alphabetically (bsc#1152472)
- commit 5aeaa4f
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/omap: add OMAP_BO flags to affect buffer allocation" (bsc#1152472)
- commit e77a394
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/todo: Add levels (bsc#1152472)
- commit f860056
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/todo: Remove i915 device_link task (bsc#1152472)
- commit 7f11685
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/doc: Drop misleading comment on drm_mode_config_cleanup (bsc#1152472)
- commit 0708ec6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vc4: Use drm_hdmi_avi_infoframe_bars() (bsc#1152489)
- commit 3bde472
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/edid: Add drm_hdmi_avi_infoframe_bars() (bsc#1152489)
- commit eac9c06
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mipi_dbi: Use simple right shift instead of double negation (bsc#1152489)
- commit d51b37c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: move byteorder handling into (bsc#1152489)
- commit 5376ab9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: print a single line with device features (bsc#1152489)
- commit 7cfcbc6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: allocate small objects top-down (bsc#1152489)
- commit d3ffa6a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: use DEFINE_DRM_GEM_FOPS() (bsc#1152489)
- commit 3860969
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: drop verify_access (bsc#1152489)
- commit 4407c14
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: switch qxl to &drm_gem_object_funcs.mmap (bsc#1152489)
- commit d5e9718
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: drop qxl_ttm_fault (bsc#1152489)
- commit 129af52
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: remove unnecessary return variable (bsc#1152489)
- commit 82d8e1d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/gma500: fix memory disclosures due to uninitialized bytes (bsc#1152489)
- commit 57e322b
* Sat Oct 10 2020 tzimmermann@suse.de
- gma/gma500: fix a memory disclosure bug due to uninitialized bytes (bsc#1152489)
- commit 4e5aa97
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Dump SC_ENH_* registers from scaler block (bsc#1152489)
- commit 6aab038
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: tda998x: use cec_notifier_conn_(un)register (bsc#1152489)
- commit d6360d8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/edid: Fix HDMI VIC handling (bsc#1152489)
- commit a5be939
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/edid: Extract drm_mode_cea_vic() (bsc#1152489)
- commit aa057cb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/edid: Make drm_get_cea_aspect_ratio() static (bsc#1152489)
- commit 7499b09
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/fourcc: Fix undefined left shift in DRM_FORMAT_BIG_ENDIAN macros (bsc#1152489)
- commit 9aefdf9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/syncobj: extend syncobj query ability v3 (bsc#1152489)
- commit 1d768dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/arm: make undeclared items static (bsc#1152489)
- commit 5ef8c91
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/lima: add __GFP_NOWARN flag to all dma_alloc_wc (bsc#1152472)
- commit 594fe81
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/lima: use drm_gem_(un)lock_reservations (bsc#1152472)
- commit 41f4943
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/lima: use drm_gem_shmem_helpers (bsc#1152472)
- commit 07dbd19
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: Fix randbuild error (bsc#1152472)
- commit 2cfa7b3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/cirrus: Remove obsolete header file (bsc#1152472)
- commit afdbf07
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: drop DRM_VRAM_MM_FILE_OPERATIONS (bsc#1152472)
- commit 5903b12
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: drop verify_access (bsc#1152472)
- commit f2ea453
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: switch vram helper to &drm_gem_object_funcs.mmap() (bsc#1152472)
- commit bf71778
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: add drm_gem_ttm_mmap() (bsc#1152472)
- commit bf0b34e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: rename ttm_fbdev_mmap (bsc#1152472)
- commit 20d0821
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: factor out ttm_bo_mmap_vma_setup (bsc#1152472)
- commit 0b5610f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/shmem: drop DEFINE_DRM_GEM_SHMEM_FOPS (bsc#1152472)
- commit e697ee7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/shmem: drop VM_IO (bsc#1152472)
- commit cf7ebc2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/shmem: drop VM_DONTDUMP (bsc#1152472)
- commit d46d2c1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/shmem: switch shmem helper to &drm_gem_object_funcs.mmap (bsc#1152472)
- commit 324f364
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: add mmap() to drm_gem_object_funcs (bsc#1152472)
- commit b408a1a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add TODO item for fbdev driver conversion (bsc#1152472)
- commit 367172c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i810: Refer to `PREEMPTION' in comment (bsc#1152472)
- commit 3e18f28
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Adds output-color format support (bsc#1152472)
- commit 9009459
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Set output color depth for output (bsc#1152472)
- commit a4bce72
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Adds layer horizontal input size limitation check for D71 (bsc#1152472)
- commit 4bda719
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Add line size support (bsc#1152472)
- commit 0241aed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vboxvideo: Replace struct vram_framebuffer with generic (bsc#1152472)
- commit 5c705ec
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vboxvideo: Switch to drm_atomic_helper_dirty_fb() (bsc#1152472)
- commit 9de63bf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vboxvideo: Switch to generic fbdev emulation (bsc#1152472)
- commit a499eb7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add LT-tunable PHY repeater mode operations (bsc#1152472)
- commit e2264fc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Restore audio when setting a mode (bsc#1152472)
- commit d2853aa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mxsfb: Read bus flags from bridge if present (bsc#1152489)
- commit e023cca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mxsfb: Update mxsfb to support a bridge (bsc#1152489)
- commit b592bc6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp-mst: fix warning on unused var (bsc#1152489)
- commit 14c3b09
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: Remove set but not used variable 'err' in (bsc#1152489)
- commit 9a59c75
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: Remove set but not used variable 'err' in (bsc#1152489)
- commit d09d8d8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: Remove set but not used variable 'tclk_trail' (bsc#1152489)
- commit 187890e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: Remove set but not used variable 'plane' (bsc#1152489)
- commit a827858
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: vop: add the definition of dclk_pol (bsc#1152489)
- commit 1202abd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: make rockchip_gem_alloc_object static (bsc#1152489)
- commit 998c376
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: include rockchip_drm_drv.h (bsc#1152489)
- commit b30106b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: rk3066_hdmi: Use devm_platform_ioremap_resource() in (bsc#1152489)
- commit 006e84b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/atmel-hlcdc: Use swap() where appropriate (bsc#1152489)
- commit d018c50
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: add OMAP_BO flags to affect buffer allocation (bsc#1152489)
- commit c732ae9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: add omap_gem_validate_flags() (bsc#1152489)
- commit 227dc00
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: cleanup OMAP_BO_SCANOUT use (bsc#1152489)
- commit 35bf4f7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: remove OMAP_BO_TILED define (bsc#1152489)
- commit 3bf5cc4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: cleanup OMAP_BO flags (bsc#1152489)
- commit 730659b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: accept NULL for dma_addr in omap_gem_pin (bsc#1152489)
- commit f087045
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: add omap_gem_unpin_locked() (bsc#1152489)
- commit 69a06d0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: use refcount API to track the number of users of dma_addr (bsc#1152489)
- commit 56aa18c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: Add optional support for CRTC gamma LUT (bsc#1152489)
- commit 4c43bc9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/scheduler: make unexported items static (bsc#1152489)
- commit d009c4f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/plane: Clarify our expectations for src/dst rectangles (bsc#1152489)
- commit 3dc4245
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vkms: Remove duplicated include from vkms_drv.c (bsc#1152489)
- commit 265e111
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp-mst: Drop connection_mutex check (bsc#1152489)
- commit dd28de1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: Enable DRM InfoFrame support on H6 (bsc#1152489)
- commit 03f3e06
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/meson: Enable DRM InfoFrame support on GXL, GXM and G12A (bsc#1152489)
- commit e9bfb6e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: Enable DRM InfoFrame support on RK3328 and RK3399 (bsc#1152489)
- commit 6c47e71
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Add Dynamic Range and Mastering InfoFrame (bsc#1152489)
- commit e42fc4e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: analogix-anx78xx: add support for 7808 addresses (bsc#1152489)
- commit 8a8bec5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: sil_sii8620: make remote control optional. (bsc#1152489)
- commit d11a3fe
* Sat Oct 10 2020 tzimmermann@suse.de
- gpu: drm: bridge: sii9234: convert to devm_i2c_new_dummy_device (bsc#1152489)
- commit 19984d9
* Sat Oct 10 2020 tzimmermann@suse.de
- Documentation: Fix warning in drm-kms-helpers.rst (bsc#1152489)
- commit 572be11
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rockchip: Round up _before_ giving to the clock framework (bsc#1152489)
- commit c163fa9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Remove commented out call to panfrost_core_dump (bsc#1152489)
- commit 61dbdb3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: two planes with the same zpos have undefined ordering (bsc#1152489)
- commit 420e11d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vkms: Fix an undefined reference error in vkms_composer_worker (bsc#1152489)
- commit 253a3c6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/edid: Select DMT timing if EDID's display feature not support GTF (bsc#1152489)
- commit fdc8dad
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: remove redundant assignment to pointer disable_done (bsc#1152489)
- commit f05a472
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vkms: prime import support (bsc#1152489)
- commit 4fb71ab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/drm_vblank: Change EINVAL by the correct errno (bsc#1152489)
- commit 28b1c04
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add link training repeaters addresses (bsc#1152489)
- commit 4c1d1f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: delete drmP.h + drm_os_linux.h (bsc#1152489)
- commit 5275bee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm_dp_cec: drop use of drmP.h (bsc#1152489)
- commit 2f2839a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/arm/mali-dp: Add display QoS interface configuration for Mali (bsc#1152489)
- commit f746147
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: use local renoir array sizes for clock fetching (bsc#1152472)
- commit 261c6e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: call amdgpu_vm_prt_fini before deleting the root PD (bsc#1152472)
- commit 4ec7e6a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vi: silence an uninitialized variable warning (bsc#1152472)
- commit 608d027
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vce: make some functions static (bsc#1152472)
- commit 78d065e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp: declare PSP TA firmware (bsc#1152472)
- commit 540469f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix amdgpu trace event print string format error (bsc#1152489)
- commit f2f696e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp: add psp memory training implementation(v3) (bsc#1152489)
- commit e5cbff2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: reserve vram for memory training(v4) (bsc#1152489)
- commit 2b99fc5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add psp memory training callbacks and macro (bsc#1152489)
- commit 42fe4f6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/atomfirmware: add memory training related helper (bsc#1152489)
- commit a17c380
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: update atomfirmware header with memory training related (bsc#1152489)
- commit 9a47d97
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: introduce psp_v11_0_is_sos_alive interface(v2) (bsc#1152489)
- commit b047db7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add a generic fb accessing helper function(v3) (bsc#1152489)
- commit f627772
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: update amdgpu_discovery to handle revision (bsc#1152489)
- commit f75b649
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: implement interface pp_power_profile_mode (bsc#1152489)
- commit 5ecb752
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/display: fix build when CONFIG_DRM_AMD_DC_DSC_SUPPORT=n (bsc#1152489)
- commit 3aa7077
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Make dc_link_detect_helper static (bsc#1152489)
- commit 3ce56b8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: null check pp_smu clock table before using it (bsc#1152489)
- commit 1f0641f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: handle dp is usb-c (bsc#1152489)
- commit f2f6d18
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: use requested_dispclk_khz instead of clk (bsc#1152489)
- commit ba20c36
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: enable smu set dcfclk (bsc#1152489)
- commit 3f30bad
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix header for RN clk mgr (bsc#1152489)
- commit 5331a95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add sanity check for clk table from smu (bsc#1152489)
- commit df0f692
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix rn audio playback and video playback speed (bsc#1152489)
- commit c93c90c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: handle "18" case in TruncToValidBPP (bsc#1152489)
- commit 58ae513
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update odm mode validation to be in line with policy (bsc#1152489)
- commit 2ed2a68
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add dummy functions to smu for Renoir Silicon Diags (bsc#1152489)
- commit 37c89ff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: change PP_SM defs to 8 (bsc#1152489)
- commit d4f1ce2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update renoir bounding box and res_caps (bsc#1152489)
- commit 2864034
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update dcn21 hubbub registers (bsc#1152489)
- commit b3a9dab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add detile buffer size for renoir (bsc#1152489)
- commit 3676eae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: correct dcn21 NUM_VMID to 16 (bsc#1152489)
- commit 11584e2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: use dcn10 version of program tiling on Renoir (bsc#1152489)
- commit ad3ce58
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: initialize RN gpuvm context programming function (bsc#1152489)
- commit 7879e27
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Temporary workaround to toggle watermark setting (bsc#1152489)
- commit 75814c9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix incorrect page table address for renoir (bsc#1152489)
- commit a2dac36
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: enable hostvm based on roimmu active for dcn2.1 (bsc#1152489)
- commit 562a912
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: move the bounding box patch before calculate wm (bsc#1152489)
- commit 52467a1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add REFCYC_PER_TRIP_TO_MEMORY programming (bsc#1152489)
- commit 5397343
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: create dcn21_link_encoder files (bsc#1152489)
- commit a671d5f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add renoir hw_seq (bsc#1152489)
- commit b81dfb9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add DCN_BASE regs (bsc#1152489)
- commit 317cf33
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add DP_DPHY_INTERNAL_CTR regs (bsc#1152489)
- commit 599f8b4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: disable ext aux support for vega (bsc#1152489)
- commit 04a375a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: configurable aux timeout support (bsc#1152489)
- commit 909d5ed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update register field access mechanism (bsc#1152489)
- commit ef5a136
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: No need to check gfxoff status after enable gfxoff (bsc#1152489)
- commit 18535b7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: bug fix for memory clock request from display (bsc#1152489)
- commit 6933eac
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix S3 failed as RLC safe mode entry stucked in polloing (bsc#1152489)
- commit 60a99e8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add GFX_PIPELINE capacity check for updating gfx cgpg (bsc#1152489)
- commit 1de996f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add NULL checks for clock manager pointer (bsc#1152489)
- commit b512a7c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable BACO reset for SMU7 based dGPUs (v2) (bsc#1152489)
- commit cb62737
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: wire up BACO to powerplay API for smu7 (bsc#1152489)
- commit 30b6b8e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: split out common smu7 BACO code (bsc#1152489)
- commit f25d4fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add support for BACO on CI (bsc#1152489)
- commit a065e43
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add support for BACO on Fiji (bsc#1152489)
- commit e225756
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add support for BACO on VegaM (bsc#1152489)
- commit 22fbf95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add support for BACO on polaris (bsc#1152489)
- commit 1c7bd63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add support for BACO on Iceland (bsc#1152489)
- commit e5202c4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add support for BACO on tonga (bsc#1152489)
- commit da960f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add core support for pre-SOC15 baco (bsc#1152489)
- commit f2f40ae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add new SMU 7.1.3 registers for BACO (bsc#1152489)
- commit 16d23ac
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add new SMU 7.1.2 registers for BACO (bsc#1152489)
- commit 464d0e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add new SMU 7.0.1 registers for BACO (bsc#1152489)
- commit 9026ce6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add new BIF 5.0 register for BACO (bsc#1152489)
- commit 824485e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add new BIF 4.1 register for BACO (bsc#1152489)
- commit f77e83c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/soc15: add support for baco reset with swSMU (bsc#1152489)
- commit 491c698
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove in_baco_reset hack (bsc#1152489)
- commit 4baefdb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: simplify ATPX detection (bsc#1152489)
- commit bd96709
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move gpu reset out of amdgpu_device_suspend (bsc#1152489)
- commit 7ea6014
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move pci_save_state into suspend path (bsc#1152489)
- commit ab21059
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/display: fix build error casused by (bsc#1152489)
- commit fb5f2be
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/display: hook renoir dc to pplib funcs (bsc#1152489)
- commit b894f2e
* Sat Oct 10 2020 tzimmermann@suse.de
- dmr/amdgpu: Fix crash on SRIOV for ERREVENT_ATHUB_INTERRUPT (bsc#1152489)
- commit dcf6a24
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add renoir funcs to support dc (bsc#1152489)
- commit 8c302da
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable Arcturus runtime VCN dpm on/off (bsc#1152489)
- commit 45823cf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: bug fix for pcie parameters override (bsc#1152489)
- commit c99b7ae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Fix tdr3 could hang with slow compute issue (bsc#1152489)
- commit dd225e7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add RAS support for VML2 and ATCL2 (bsc#1152489)
- commit 2b4d723
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/include: add register define for VML2 and ATCL2 (bsc#1152489)
- commit 9ee2bf6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: change to query the actual EDC counter (bsc#1152489)
- commit 1ff3b4a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: add BACO platformCaps for VEGA20 (bsc#1152489)
- commit febd519
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: send EnterBaco msg with argument as RAS recovery (bsc#1152489)
- commit 0e7aa72
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: avoid disabling ECC if RAS is enabled for VEGA20 (bsc#1152489)
- commit 4dbf336
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/soc15: disable doorbell interrupt as part of BACO entry (bsc#1152489)
- commit 729216b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/display: clean up dcn2*_pp_smu functions (bsc#1152489)
- commit 41a441e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: re-enable FW_DSTATE feature bit (bsc#1152489)
- commit b7b2706
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/discovery: reserve discovery data at the top of VRAM (bsc#1152489)
- commit 7732631
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/swSMU: custom UMD pstate peak clock for navi14 (bsc#1152489)
- commit 7e56a92
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable df cstate control on swSMU routine (bsc#1152489)
- commit 9499389
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable df cstate control on powerplay routine (bsc#1152489)
- commit 4107c01
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/swSMU/navi: add feature toggles for more things (bsc#1152489)
- commit 31f1018
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: Use swap() where appropriate (bsc#1152489)
- commit 448b6b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Use swap() where appropriate (bsc#1152489)
- commit 93be2d1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Do not implement power-on for SDMA after do mode2 reset (bsc#1152489)
- commit ab43ad0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: add more feature bits (bsc#1152489)
- commit 71b34e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: avoid ras error injection for retired page (bsc#1152489)
- commit fba9539
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Use the ALIGN() macro (bsc#1152489)
- commit 1cb3527
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/ras: document the reboot ras option (bsc#1152489)
- commit e158346
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/ras: fix typos in documentation (bsc#1152489)
- commit 8652832
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add renoir specific watermark range and clk helper (bsc#1152489)
- commit b3db7f7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: hook up notify watermark ranges and get clock table (bsc#1152489)
- commit cde36e3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Skip DIG Check if Link is Virtual for Display Count (bsc#1152489)
- commit 535ffe5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: correct stream LTE_340MCSC_SCRAMBLE value (bsc#1152489)
- commit 623914e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix dongle_caps containing stale information. (bsc#1152489)
- commit 3cc441c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add capability check for static ramp calc (bsc#1152489)
- commit 307bc39
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.54 (bsc#1152489)
- commit fefcf91
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: make aux defer delay and aux sw start delay seperate (bsc#1152489)
- commit 2f6a1f9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: use vbios message to call smu for dpm level (bsc#1152489)
- commit f47f7f7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix maybe-uninitialized warning (bsc#1152489)
- commit 319532d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add more checks to validate seamless boot timing (bsc#1152489)
- commit 5354584
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add new active dongle to existent w/a (bsc#1152489)
- commit 2030de1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Update number of dcn21 audio endpoints (bsc#1152489)
- commit 9067792
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add guard for SMU ver, for 48mhz clk (bsc#1152489)
- commit 38a0222
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix code to control 48mhz refclk (bsc#1152489)
- commit 5bd7dd2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: exit PSR during detection (bsc#1152489)
- commit 3546a5f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Program DWB watermarks from correct state (bsc#1152489)
- commit 462199f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.53 (bsc#1152489)
- commit 9d49ad8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Use dcn1 Optimal Taps Get (bsc#1152489)
- commit b927d8c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix bug with check for HPD Low in verify link cap (bsc#1152489)
- commit 3923b6a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: wait for set pipe mcp command completion (bsc#1152489)
- commit 38b75f4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add output bitrate to DML calculations (bsc#1152489)
- commit bb48a0a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Properly round nominal frequency for SPD (bsc#1152489)
- commit f2d6d9e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Restore should_update_pstate_support after bad (bsc#1152489)
- commit 88d64ce
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: check phy dpalt lane count config (bsc#1152489)
- commit 40825a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: build up VSIF infopacket (bsc#1152489)
- commit fc90385
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.52 (bsc#1152489)
- commit 272773c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add missing shifts and masks for dpp registers on (bsc#1152489)
- commit 8337955
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add explicit comparator as default optimization (bsc#1152489)
- commit 6208a9e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add support for VSIP info packet (bsc#1152489)
- commit 14d0fb5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix hotplug during display off (bsc#1152489)
- commit 02e44a5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix pipe re-assignment when odm present (bsc#1152489)
- commit ef431cf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Reprogram FMT on pipe change (bsc#1152489)
- commit 3aa123f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Update V_UPDATE whenever VSTARTUP changes (bsc#1152489)
- commit 49d4cd2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: skip enable stream on disconnected display (bsc#1152489)
- commit f8fb285
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Correct values in AVI infoframe (bsc#1152489)
- commit 1382ffe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Added pixel dynamic expansion control. (bsc#1152489)
- commit ea6acba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Enable gfx cache probing on HDP write for arcturus (bsc#1152489)
- commit 297bbc8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Clean up gmc_v9_0_gart_enable (bsc#1152489)
- commit 29fa105
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: simplify gds_compute_max_wave_id computation (bsc#1152489)
- commit 20afc48
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: update for drmP.h removal (bsc#1152489)
- commit 78de92d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Check against device cgroup (bsc#1152489)
- commit 1f9f83a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: fix the build when CIK support is disabled (bsc#1152489)
- commit 27725a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd: Fix Kconfig indentation (bsc#1152489)
- commit 40ac865
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Report vram vendor with sysfs (v3) (bsc#1152489)
- commit cedbbba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Fix a && vs || typo (bsc#1152489)
- commit f113e54
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Fix error handling in smu_init_fb_allocations() (bsc#1152489)
- commit 1979472
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: unlock on error in smu_resume() (bsc#1152489)
- commit 18a68e5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Remove set but not used variables 'pp_smu', (bsc#1152489)
- commit 7015e9f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Remove set but not used variable 'pixel_width' (bsc#1152489)
- commit 1681d99
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Remove set but not used variables 'h_ratio_chroma', (bsc#1152489)
- commit d9fdea5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Remove set but not used variable 'source_bpp' (bsc#1152489)
- commit b6f05db
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Make function wait_for_alt_mode static (bsc#1152489)
- commit 8a344dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: add missing void argument to function kgd2kfd_init (bsc#1152489)
- commit 9746706
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove duplicated include from mmhub_v1_0.c (bsc#1152489)
- commit 40e5b4f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move amdgpu_device_get_job_timeout_settings (bsc#1152489)
- commit cefae48
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: remove set but not used variable 'core_freesync' (bsc#1152489)
- commit eebab66
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix typo in some comments (bsc#1152489)
- commit 1d135e6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Print more sdma engine hqds in debug fs (bsc#1152489)
- commit 0dd5341
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Fix MQD size calculation (bsc#1152489)
- commit 69f4a2a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Fix error handling in amdgpu_ras_recovery_init (bsc#1152489)
- commit ccbd03e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove redundant variable r and redundant return (bsc#1152489)
- commit 186c87b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix uninitialized variable pasid_mapping_needed (bsc#1152489)
- commit 5356f40
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix struct init in update_bounding_box (bsc#1152489)
- commit 81457ed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add code comment in vcn_v2_5_hw_init (bsc#1152489)
- commit 1f0867d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vcn: use amdgpu_ring_test_helper (bsc#1152489)
- commit 3e44009
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: improve MSI-X handling (v3) (bsc#1152489)
- commit 8636686
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix spelling mistake AUTHENICATED -> AUTHENTICATED (bsc#1152489)
- commit 998c421
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove set but not used variable 'pipe' (bsc#1152489)
- commit 64f9c3f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Drop unused variable and statement (bsc#1152489)
- commit a559157
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu : enable msix for amdgpu driver (bsc#1152489)
- commit 2e89934
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Improve KFD IOCTL printing (bsc#1152489)
- commit c3d7f66
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Export setup_vm_pt_regs() logic for mmhub 2.0 (bsc#1152489)
- commit 4393151
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add the HDP flush support for Navi (bsc#1152489)
- commit 9cac111
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Use array to probe kfd2kgd_calls (bsc#1152489)
- commit 08c1496
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Delete unnecessary function declarations (bsc#1152489)
- commit 26a77c7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Delete useless header file reference (bsc#1152489)
- commit a9dd3a2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu/sriov ip block setting of Arcturus (bsc#1152489)
- commit 879dc0d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/dm/mst: Use ->atomic_best_encoder (bsc#1152489)
- commit 93d4fe6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/dm/mst: Don't create MST topology managers for eDP ports (bsc#1152489)
- commit 76236af
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/dm/mst: Remove unnecessary NULL check (bsc#1152489)
- commit c1d25ea
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Iterate through DRM connectors correctly (bsc#1152489)
- commit 74426f4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/dm: Resume short HPD IRQs before resuming MST topology (bsc#1152489)
- commit 3ebf34e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: fix kgd2kfd_device_init() definition conflict error (bsc#1152489)
- commit 164bb53
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: initlialize smu->is_apu is false by default (bsc#1152489)
- commit 1c012c3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: update the interface for getting dpm full scale (bsc#1152489)
- commit 7b82843
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: implement the interface for setting sclk/uclk (bsc#1152489)
- commit 5f42858
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: implement interface set_power_profile_mode() (v2) (bsc#1152489)
- commit 90f7dab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: add the interfaces for getting and setting (bsc#1152489)
- commit bf94b7b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: add interface for getting workload type (bsc#1152489)
- commit 109a810
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: add interface for forcing and unforcing dpm limit (bsc#1152489)
- commit 3e4d9b5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: implement the interface for setting soft freq (bsc#1152489)
- commit 1ba6fe6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: bypass dpm_context null pointer check guard for (bsc#1152489)
- commit 6a79f05
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu: add IH cg support on soc15 project (bsc#1152489)
- commit ffdd870
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Fix race in gfx10 context restore handler (bsc#1152489)
- commit 7be9c34
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Use setup_vm_pt_regs function from base driver in KFD (bsc#1152489)
- commit e39c2f6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Export setup_vm_pt_regs() logic for gfxhub 2.0 (bsc#1152489)
- commit af1882e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Eliminate get_atc_vmid_pasid_mapping_valid (bsc#1152489)
- commit 13d68ce
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Query vmid pasid mapping through stored info for non HWS (bsc#1152489)
- commit 056e889
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Record vmid pasid mapping in the driver for non HWS mode (bsc#1152489)
- commit df7b5bc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Use hex print format for pasid (bsc#1152489)
- commit 74333ec
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Delete unused defines (bsc#1152489)
- commit 768870d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Move the control stack on GFX10 to userspace buffer (bsc#1152489)
- commit 6102f29
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd: Pass drm_device to kfd (bsc#1152489)
- commit 75fc1d9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Store kfd_dev in iolink and cache properties (bsc#1152489)
- commit c4e37a1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: use navi12 specific family id for navi12 code path (bsc#1152489)
- commit 2e12624
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add SMUIO values for other I2C controller v2 (bsc#1152489)
- commit 7362803
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Use better name for sdma queue non HWS path (bsc#1152489)
- commit 018b39d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Delete useless SDMA register setting on non HWS path (bsc#1152489)
- commit ec2f372
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Add NAVI12 support from kfd side (bsc#1152489)
- commit e7f31df
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: restrict hotplug error message (bsc#1152489)
- commit d6f5664
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: once more fix amdgpu_bo_create_kernel_at (bsc#1152489)
- commit fa8b321
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: update arcturus smu-driver interaction header (bsc#1152489)
- commit 8a6ec47
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add comments in ras interrupt callback (bsc#1152489)
- commit c134caf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: implement common gmc_ras_late_init (bsc#1152489)
- commit c29e8d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move xgmi ras fini to xgmi block (bsc#1152489)
- commit 557c1fb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move mmhub ras fini to mmhub block (bsc#1152489)
- commit 9e55abe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move umc ras fini to umc block (bsc#1152489)
- commit 7e93305
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add ras fini for xgmi (bsc#1152489)
- commit a73590e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add ras fini for nbio (bsc#1152489)
- commit 5ee79d0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: simplify the access to eeprom_control struct (bsc#1152489)
- commit cefc7be
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove ih_info parameter of gfx_ras_late_init (bsc#1152489)
- commit 381b531
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove ih_info parameter of umc_ras_late_init (bsc#1152489)
- commit 84035f5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add common sdma_ras_fini function (bsc#1152489)
- commit 07c43b9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add common gfx_ras_fini function (bsc#1152489)
- commit 8b141ab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add common gmc_ras_fini function (bsc#1152489)
- commit 77609cf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move mmhub_ras_if from gmc to mmhub block (bsc#1152489)
- commit c531842
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: replace mmhub_funcs with mmhub.funcs (bsc#1152489)
- commit fd36902
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add common mmhub member for adev (bsc#1152489)
- commit cfde8fb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move umc_ras_if from gmc to umc block (bsc#1152489)
- commit f96465b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: refine sdma4 ras_data_cb (bsc#1152489)
- commit 061dd6d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move sdma ecc functions to generic sdma file (bsc#1152489)
- commit dc22c97
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move gfx ecc functions to generic gfx file (bsc#1152489)
- commit 9f44e50
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move umc ras irq functions to umc block (bsc#1152489)
- commit 688faf0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: update parameter of ras_ih_cb (bsc#1152489)
- commit 295589f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix an UMC hw arbitrator bug(v3) (bsc#1152489)
- commit 485f417
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove gfx9 NGG (bsc#1152489)
- commit 5668845
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/atomfirmware: simplify the interface to get vram info (bsc#1152489)
- commit 19d36d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/atomfirmware: use proper index for querying vram type (v3) (bsc#1152489)
- commit 0bab32d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp: silence response status warning (bsc#1152489)
- commit 4b318e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: remove duplicate macro of smu_get_uclk_dpm_states (bsc#1152489)
- commit 566234d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu:Fix compute ring unable to detect hang. (bsc#1152489)
- commit 73c4e17
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Use mode2 mode to perform GPU RESET for Renoir (bsc#1152489)
- commit 969e71e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: A workaround to GPU RESET on APU (bsc#1152489)
- commit c278e52
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Add mode2 mode for GPU RESET in SMU (bsc#1152489)
- commit d275eba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Sync gfx10 kfd2kgd_calls function pointers (bsc#1152489)
- commit 774e2b3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Fix NULL pointer dereference for set_scratch_backing_va() (bsc#1152489)
- commit b10138c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Remove unnecessary pm_init() for non HWS mode (bsc#1152489)
- commit 4c652a7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Remove excessive print when reserving doorbells (bsc#1152489)
- commit 7f34835
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Add an error print if SDMA RLC is not idle (bsc#1152489)
- commit 40efc3b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: correct condition check for psp rlc autoload (bsc#1152489)
- commit a86ad90
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add command id in psp response failure message (bsc#1152489)
- commit 4eed202
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable psp front door loading by default on Arcturus (bsc#1152489)
- commit 82645cd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: disable vcn ip block for front door loading on Arcturus (bsc#1152489)
- commit f170f33
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: fix a potential NULL pointer dereference (v2) (bsc#1152489)
- commit fc75a35
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/ras: fix and update the documentation for RAS (bsc#1152489)
- commit 2cfbd91
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix documentation for amdgpu_pm.c (bsc#1152489)
- commit 8789637
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/ih: fix documentation in amdgpu_irq_dispatch (bsc#1152489)
- commit f0f4edf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vm: fix up documentation in amdgpu_vm.c (bsc#1152489)
- commit 781cd5d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/mn: fix documentation for amdgpu_mn_read_lock (bsc#1152489)
- commit 1c9ac6f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix documentation for amdgpu_gem_prime_export (bsc#1152489)
- commit be04f24
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display; Fix kernel doc warnings (bsc#1152489)
- commit 299fd73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove excess function parameter description (bsc#1152489)
- commit b553792
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable full ras by default (bsc#1152489)
- commit 380237a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/SRIOV: add navi12 pci id for SRIOV (v2) (bsc#1152489)
- commit 0149e84
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp: invalidate the hdp read cache before reading the psp (bsc#1152489)
- commit d37290d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/psp: flush HDP write fifo after submitting cmds to the psp (bsc#1152489)
- commit 344c4e6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove redundant variable definition (bsc#1152489)
- commit 74f23ac
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: avoid null pointer dereference (bsc#1152489)
- commit 556d407
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add new mapping for APCC_DFLL feature (bsc#1152489)
- commit 17f4818
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: do not init mec2 jt for renoir (bsc#1152489)
- commit 7d872ae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add psp ip block for arct (bsc#1152489)
- commit 1d4d5e5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/ras: use GPU PAGE_SIZE/SHIFT for reserving pages (bsc#1152489)
- commit a59761b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/discovery: get gpu info from ip discovery table (bsc#1152489)
- commit add2ca4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: use GPU PAGE SHIFT for umc retired page (bsc#1152489)
- commit 7e65408
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: implement VCN power gating control interface (bsc#1152489)
- commit d015596
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: replace DRM_ERROR with DRM_WARN in ras_reserve_bad_pages (bsc#1152489)
- commit 4f9cab4
* Sat Oct 10 2020 tzimmermann@suse.de
- docs: drm/amdgpu: Resolve build warnings (bsc#1152489)
- commit babc394
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/vm: fix documentation for amdgpu_vm_bo_param (bsc#1152489)
- commit 4540849
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Delete unused KFD_IS_* macro (bsc#1152489)
- commit bb08804
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add hdcp to Kconfig (bsc#1152489)
- commit 18d72d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: only enable HDCP for DCN+ (bsc#1152489)
- commit d46974d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Update CP property based on HW query (bsc#1152489)
- commit e9e79b8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: handle DP cpirq (bsc#1152489)
- commit 2f7062f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Handle Content protection property changes (bsc#1152489)
- commit b2bc2db
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Initialize HDCP work queue (bsc#1152489)
- commit d5c8838
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Create dpcd and i2c packing functions (bsc#1152489)
- commit 24200a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Create amdgpu_dm_hdcp (bsc#1152489)
- commit e074e4b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Update hdcp display config (bsc#1152489)
- commit 661f754
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add PSP block to verify hdcp steps (bsc#1152489)
- commit 25f5785
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add HDCP module (bsc#1152489)
- commit 34a1d0d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: psp DTM init (bsc#1152489)
- commit 1da565e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: psp HDCP init (bsc#1152489)
- commit c49b1f1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Improve LFC behaviour (bsc#1152489)
- commit 7c9dd17
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add detile buffer size for DCN20 (bsc#1152489)
- commit fb07de8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix use of uninitialized variable (bsc#1152489)
- commit 7e3f251
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.51.1 (bsc#1152489)
- commit 4f739d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.51 (bsc#1152489)
- commit 14dcfea
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: enable single dp seamless boot (bsc#1152489)
- commit 6b1e362
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update odm mode validation to be in line with policy (bsc#1152489)
- commit fd0aeb3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Optimize clocks on clock change (bsc#1152489)
- commit f6ae1da
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Set number of pipes to 1 if the second pipe was (bsc#1152489)
- commit 814bc00
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: set minimum abm backlight level (bsc#1152489)
- commit 6aef07e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Revert fixup DPP programming sequence (bsc#1152489)
- commit fdf9ddf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Do not double-buffer DTO adjustments (bsc#1152489)
- commit 64c7aae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Separate hardware initialization from creation (bsc#1152489)
- commit f891184
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix i2c wtire mot incorrect issue (bsc#1152489)
- commit b792f34
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Handle virtual signal type in disable_link() (bsc#1152489)
- commit e687777
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: fix global sync param extraction indexing (bsc#1152489)
- commit 215db29
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add vtg update after global sync update (bsc#1152489)
- commit f4dea96
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add debugfs entry to force YUV420 output (bsc#1152489)
- commit c402306
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: add additional flag consideration for surface update (bsc#1152489)
- commit c93a718
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Replace for loop w/ function call (bsc#1152489)
- commit bab3dfa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Rebuild mapped resources after pipe split (bsc#1152489)
- commit c1b1cc9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.50 (bsc#1152489)
- commit 29ebaab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: define parameters for abm 2.3 (bsc#1152489)
- commit a912579
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix HUBP secondary viewport programming (bsc#1152489)
- commit fd6a4ab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: cleanup creating BOs at fixed location (v2) (bsc#1152489)
- commit 6cb0f82
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu:Fix EEPROM checksum calculation. (bsc#1152489)
- commit 0de352b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix ras ctrl debugfs node leak (bsc#1152489)
- commit 21ae0aa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: trace if a PD/PT update is done directly (bsc#1152489)
- commit 3c66928
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: drop double HDP flush in the VM code (bsc#1152489)
- commit 46b0c2c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: cleanup coding style in the VM code a bit (bsc#1152489)
- commit a6a4d4e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/SRIOV: Navi12 SRIOV VF gets GTT base (bsc#1152489)
- commit fd430b4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove the redundant null checks (bsc#1152489)
- commit 57f6ef7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: be quiet when no SAD block is found (bsc#1152489)
- commit bd19422
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd: be quiet when no SAD block is found (bsc#1152489)
- commit 0b96312
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: rename variable eanble -> enable (bsc#1152489)
- commit 4e2fb14
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/amdgpu/nbio7.4: add hw bug workaround for vega20" (bsc#1152489)
- commit 0750d9c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add graceful VM fault handling v3 (bsc#1152489)
- commit cd524e1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: reserve the root PD while freeing PASIDs (bsc#1152489)
- commit dc41f01
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: allocate PDs/PTs with no_gpu_wait in a page fault (bsc#1152489)
- commit 44a8f3c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: allow direct submission of clears (bsc#1152489)
- commit 7006b89
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: allow direct submission of PTE updates (bsc#1152489)
- commit 86f1fd2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: allow direct submission of PDE updates v2 (bsc#1152489)
- commit 0123413
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: allow direct submission in the VM backends v2 (bsc#1152489)
- commit 20d9975
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: split the VM entity into direct and delayed (bsc#1152489)
- commit 7d43495
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: return -EBUSY on pipelining with no_gpu_wait (v2) (bsc#1152489)
- commit d55919a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: grab the id mgr lock while accessing passid_mapping (bsc#1152489)
- commit 727d3dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/SRIOV: Navi12 SRIOV VF doesn't load TOC (bsc#1152489)
- commit a7b3271
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/SRIOV: Navi10/12 VF doesn't support SMU (bsc#1152489)
- commit df17e6d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: For Navi12 SRIOV VF, register mailbox functions (bsc#1152489)
- commit 9878f22
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/sriov: add ring_stop before ring_create in psp v11 code (bsc#1152489)
- commit 0ab8e64
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: check SMU engine readiness before proceeding on S3 (bsc#1152489)
- commit bc1e312
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: properly set mp1 state for SW SMU suspend/reset (bsc#1152489)
- commit cfdfe48
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Fix mutex lock from atomic context. (bsc#1152489)
- commit cd9b01b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add SRIOV mailbox backend for Navi1x (bsc#1152489)
- commit c22a7c2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: implement ras query function for pcie bif (bsc#1152489)
- commit 874b126
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add pcie bif ras related registers (bsc#1152489)
- commit 313ac6b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: support pcie bif ras query and inject (bsc#1152489)
- commit 117764c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add ras error query count interface for nbio (bsc#1152489)
- commit c978522
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix CPDMA hang in PRT mode for VEGA10 (bsc#1152489)
- commit d2d169b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable error injection to XGMI block via debugfs (bsc#1152489)
- commit edbff7f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: initialize ras structures for xgmi block (v2) (bsc#1152489)
- commit 0b4db87
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: fix the missed asic name while inited renoir_device_info (bsc#1152489)
- commit 347dcd1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Allow to reset to EERPOM table. (bsc#1152489)
- commit 2be392c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add amdgpu_ras_eeprom_reset_table (bsc#1152489)
- commit 5c45797
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: rename umc ras_init to err_cnt_init (bsc#1152489)
- commit bbe021e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move umc ras init to umc block (bsc#1152489)
- commit 778ffb1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move umc late init from gmc to umc block (bsc#1152489)
- commit 8bbd0f9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove duplicated header file include (bsc#1152489)
- commit 149bb73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove needless usage of #ifdef (bsc#1152489)
- commit dc4830d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix build error without CONFIG_HSA_AMD (bsc#1152489)
- commit 9ec8456
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: issue DC-BTC for arcturus on SMU init (bsc#1152489)
- commit cf8300e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Avoid RAS recovery init when no RAS support. (bsc#1152489)
- commit 9c44c34
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: cleanup PTE flag generation v3 (bsc#1152489)
- commit 5eb367a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: cleanup mtype mapping (bsc#1152489)
- commit 7906f59
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: Add the interface for geting dpm current power (bsc#1152489)
- commit ec4e528
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: check if nbio->ras_if exist (bsc#1152489)
- commit 9bb3669
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: enable renoir while device probes (bsc#1152489)
- commit 796bed5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: disable gfxoff while use no H/W scheduling policy (bsc#1152489)
- commit 4b00f86
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: add renoir kfd topology (bsc#1152489)
- commit c0426fc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: add package manager for renoir (bsc#1152489)
- commit 5e52ec3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: init kernel queue for renoir (bsc#1152489)
- commit 5946834
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: init kfd apertures v9 for renoir (bsc#1152489)
- commit e9d283c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: add renoir type for the workaround of iommu v2 (v2) (bsc#1152489)
- commit fd01cbd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: enable kfd device queue manager v9 for renoir (bsc#1152489)
- commit 1d24f11
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: add renoir kfd device info (v2) (bsc#1152489)
- commit b6e6775
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: add renoir cache info for CRAT (v2) (bsc#1152489)
- commit 06e74ee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Support Navi14 in KFD (bsc#1152489)
- commit 4d37da5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Disable retry faults in VMID0 (bsc#1152489)
- commit 85607dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Add a kernel parameter for specifying the asic type (bsc#1152489)
- commit 53f9fb1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/irq: check if nbio funcs exist (bsc#1152489)
- commit 68eb1a9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: replace FIXME with TODO (bsc#1152489)
- commit c09bc34
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: verify stream link before link test (bsc#1152489)
- commit ea4f3e8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Isolate DSC module from driver dependencies (bsc#1152489)
- commit 1258815
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: OTC underflow fix (bsc#1152489)
- commit 408d781
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: remove hw access from dc_destroy (bsc#1152489)
- commit 4378691
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Reuse dcn2 registers (bsc#1152489)
- commit 2a2c43b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: remove temporary transition code (bsc#1152489)
- commit e5d8907
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: update navi to use new surface programming behaviour (bsc#1152489)
- commit 0ea0b41
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add missing surface address registers (bsc#1152489)
- commit 6c6f0cb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.49 (bsc#1152489)
- commit 223704d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: config to override DSC start slice height (bsc#1152489)
- commit e39f7fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Add back support for DSC 4:2:2 Simple (bsc#1152489)
- commit 268c2ef
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Don't allocate payloads if link lost (bsc#1152489)
- commit ddc1b6f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Subsample mode suboptimal for YCbCr4:2:2 (bsc#1152489)
- commit 0e67ca8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: refine i2c over aux (bsc#1152489)
- commit 6d00579
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/display: Fix DML tests (bsc#1152489)
- commit 1c8e815
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Fix a building error when KFD_SUPPORT_IOMMU_V2 is turned (bsc#1152489)
- commit 61f4803
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: move the call of ras recovery_init and bad page reserve (bsc#1152489)
- commit 9722623
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: save umc error records (bsc#1152489)
- commit 6dc0149
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Hook EEPROM table to RAS (bsc#1152489)
- commit f399e13
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: change ras bps type to eeprom table record structure (bsc#1152489)
- commit c43b0de
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/madgpu: Fix EEPROM Checksum calculation. (bsc#1152489)
- commit d74b5ca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdkfd: Query kfd device info by CHIP id instead of pci device id (bsc#1152489)
- commit 4cb4f4b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Disable page faults while reading user wptrs (bsc#1152489)
- commit 8ed6a86
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: clean up load TMR sequence (bsc#1152489)
- commit f919a2c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: enable TA load support in Arcturus (bsc#1152489)
- commit 9f15a7b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: change r type to int in gmc_v9_0_late_init (bsc#1152489)
- commit 3a0b166
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: replace smu->table_count with SMU_TABLE_COUNT in (bsc#1152489)
- commit 2b42485
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/amdgpu: add sw_fini interface for df_funcs (bsc#1152489)
- commit 013e359
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: init UMC & RSMU register base address (bsc#1152489)
- commit e98f117
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/nbio: switch to amdgpu_nbio_ras_late_init helper function (bsc#1152489)
- commit 812ba54
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/mmhub: switch to amdgpu_mmhub_ras_late_init helper (bsc#1152489)
- commit c75f987
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/sdma: switch to amdgpu_sdma_ras_late_init helper function (bsc#1152489)
- commit 1fddd52
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gfx: switch to amdgpu_gfx_ras_late_init helper function (bsc#1152489)
- commit 383f8b4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/gmc: switch to amdgpu_gmc_ras_late_init helper function (bsc#1152489)
- commit 81e288b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: set ip specific ras interface pointer to NULL after free (bsc#1152489)
- commit dc1d85d
* Sat Oct 10 2020 tzimmermann@suse.de
- dmr/amdgpu: Add system auto reboot to RAS. (bsc#1152489)
- commit 57ae0cb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Avoid HW GPU reset for RAS. (bsc#1152489)
- commit 159acda
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Fix bugs in amdgpu_device_gpu_recover in XGMI case. (bsc#1152489)
- commit eed5b71
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: remove amdgpu_cs_try_evict (bsc#1152489)
- commit 5367d1d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: reserve at least 4MB of VRAM for page tables v2 (bsc#1152489)
- commit 6021d64
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: use moving fence instead of exclusive for VM updates (bsc#1152489)
- commit 968d183
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: do proper cleanups on hw_fini (bsc#1152489)
- commit bb17926
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: update cached feature enablement status V3 (bsc#1152489)
- commit cb43b68
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amd/powerplay: guard manual mode prerequisite for clock level (bsc#1152489)
- commit 583de5c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: only apply gds clearing workaround when ras is supported (bsc#1152489)
- commit 36d286a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: fix memory leak when ras is not supported on specific ip (bsc#1152489)
- commit 9580fbd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: check mmhub_funcs pointer before refering to it (bsc#1152489)
- commit 6dfaff3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Remove unnecessary TLB workaround (v2) (bsc#1152489)
- commit 7565c17
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Use optimal mtypes and PTE bits for Arcturus (bsc#1152489)
- commit 9b5be13
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Determing PTE flags separately for each mapping (v3) (bsc#1152489)
- commit 6ad4ff3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Support new arcturus mtype (bsc#1152489)
- commit 4dd7648
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: Extends amdgpu vm definitions (v2) (bsc#1152489)
- commit d931e83
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: switch to amdgpu_ras_late_init for nbio v7_4 (v2) (bsc#1152489)
- commit 656fc5b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add ras_late_init callback function for nbio v7_4 (v3) (bsc#1152489)
- commit 9937c65
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add mmhub ras_late_init callback function (v2) (bsc#1152489)
- commit 578ecf0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: switch to amdgpu_ras_late_init for gmc v9 block (v2) (bsc#1152489)
- commit 479fcbe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: switch to amdgpu_ras_late_init for sdma v4 block (v2) (bsc#1152489)
- commit 9aa7e3f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: switch to amdgpu_ras_late_init for gfx v9 block (v2) (bsc#1152489)
- commit a683bb6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add helper function to do common ras_late_init/fini (v3) (bsc#1152489)
- commit ec48f04
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: poll ras_controller_irq and err_event_athub_irq status (bsc#1152489)
- commit 01264e2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add ras_controller and err_event_athub interrupt support (bsc#1152489)
- commit a00b73a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: update nbio v7_4 ip header files (bsc#1152489)
- commit fc40ac4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add nbif v7_4 irq source header for vega20 (bsc#1152489)
- commit baf776a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu/nbio: add functions to query ras specific interrupt status (bsc#1152489)
- commit cd2def9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: switch to new amdgpu_nbio structure (bsc#1152489)
- commit 6d573ca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: add new amdgpu nbio header file (bsc#1152489)
- commit 7606c63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: rcar-du: lvds: Add r8a774b1 support (bsc#1152489)
- commit fbf9dd4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: rcar-du: Add R8A774B1 support (bsc#1152489)
- commit 027632d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: rcar_lvds: Fix color mismatches on R-Car H2 ES2.0 and later (bsc#1152489)
- commit ae62fc4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: rcar-du: kms: Expand comment in vsps parsing routine (bsc#1152489)
- commit 8fcb480
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add no_clk into ddp private data (bsc#1152489)
- commit 81ab025
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add mutex sof register offset into ddp private data (bsc#1152489)
- commit 0595a69
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add mutex sof into ddp private data (bsc#1152489)
- commit db0e103
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add mutex mod register offset into ddp private data (bsc#1152489)
- commit 036aa80
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add mutex mod into ddp private data (bsc#1152489)
- commit 33e0e56
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add ovl0/ovl_2l0 usecase (bsc#1152489)
- commit d8233b6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: distinguish ovl and ovl_2l by layer_nr (bsc#1152489)
- commit ac8681c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add background color input select function for (bsc#1152489)
- commit b953abb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add function to background color input select for (bsc#1152489)
- commit 988cb8f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/medaitek: add layer_nr for ovl private data (bsc#1152489)
- commit 15d805d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add gmc_bits for ovl private data (bsc#1152489)
- commit 2350e61
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add component OVL_2L1 (bsc#1152489)
- commit 2b4c864
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add component OVL_2L0 (bsc#1152489)
- commit 93fcf7e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add component DITHER (bsc#1152489)
- commit a51f004
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add ddp component CCORR (bsc#1152489)
- commit bd85b71
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add dphy reset after setting lanes number (bsc#1152489)
- commit 4acf4a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: adjust dsi and mipi_tx probe sequence (bsc#1152489)
- commit f030430
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: change the dsi phytiming calculate method (bsc#1152489)
- commit c577dae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add mt8183 dsi driver support (bsc#1152489)
- commit 3f90390
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add frame size control (bsc#1152489)
- commit 95638d8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add dsi reg commit disable control (bsc#1152489)
- commit 360745e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: replace writeb() with mtk_dsi_mask() (bsc#1152489)
- commit 34c1422
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: fixes CMDQ reg address of mt8173 is different with (bsc#1152489)
- commit df55e9b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: move mipi_dsi_host_register to probe (bsc#1152489)
- commit 8dc33c1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: add mipi_tx driver for mt8183 (bsc#1152489)
- commit 7fdd3fa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mediatek: separate mipi_tx to different file (bsc#1152489)
- commit 49777be
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20191021 (bsc#1152489)
- commit 4cb0018
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gvt: Wean off struct_mutex (bsc#1152489)
- commit 05de988
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extract GT ring management (bsc#1152489)
- commit ac53375
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: fix oa config reconfiguration (bsc#1152489)
- commit da738f4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: prettify MST debug message (bsc#1152489)
- commit 53acd38
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: add pipe id/name to pipe mismatch logs (bsc#1152489)
- commit 845b4d7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: remove extra new line on pipe_config mismatch (bsc#1152489)
- commit 61b11cd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: fix port checks for MST support on gen >= 11 (bsc#1152489)
- commit 46b7c1c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: simplify setting of ddi_io_power_domain (bsc#1152489)
- commit 90eb7ba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: In port sync mode disable slaves first then (bsc#1152489)
- commit 4347213
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: Disable transcoder port sync as part of (bsc#1152489)
- commit e479f10
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: Enable master-slaves in trans port sync (bsc#1152489)
- commit 9bf03aa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: HW state readout for transcoder port sync (bsc#1152489)
- commit b4d8a02
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: Enable TRANSCODER PORT SYNC for tiled displays (bsc#1152489)
- commit e060e4e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: Save Master transcoder in slave's crtc_state (bsc#1152489)
- commit 184d57a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Restore full symmetry in i915_driver_modeset_probe/remove (bsc#1152489)
- commit 7ad96d5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Correct the PCH type in irq postinstall (bsc#1152489)
- commit f2bcbfe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make hdcp2_msg_timeout.timeout u16 (bsc#1152489)
- commit c0d136c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove hdcp2_hdmi_msg_timeout.timeout2 (bsc#1152489)
- commit 15199cc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove dead weight from hdcp2_msg_timeout[] (bsc#1152489)
- commit 1156f10
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: s/hdcp2_hdmi_msg_data/hdcp2_hdmi_msg_timeout/ (bsc#1152489)
- commit 246ca63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Shrink eDRAM ways/sets arrays (bsc#1152489)
- commit 166338f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make dirty_pipes refer to pipes (bsc#1152489)
- commit 39286f0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Nuke 'realloc_pipes' (bsc#1152489)
- commit c0a6a30
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Nuke the useless changed param from (bsc#1152489)
- commit 35b8c99
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Refuse modes with hdisplay==4096 on pre-HSW DP (bsc#1152489)
- commit f68f99a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Polish possible_clones setup (bsc#1152489)
- commit 9bd68fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move the cursor rotation handling into (bsc#1152489)
- commit 58e5eac
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Convert the leftover for_each_engine(gt) (bsc#1152489)
- commit 17d24b7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Add the mock engine to the gt->engine[] (bsc#1152489)
- commit 15c5e0c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: treat stolen as a region (bsc#1152489)
- commit 212f343
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: treat shmem as a region (bsc#1152489)
- commit a625b2c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: enumerate and init each supported region (bsc#1152489)
- commit e421696
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Don't merely skip submission if maybe timeslicing (bsc#1152489)
- commit b69ef3a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Fix uninitialized variable on error path (bsc#1152489)
- commit bb4bbc1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass in intel_gt at some for_each_engine sites (bsc#1152489)
- commit f66a6a1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make for_each_engine_masked work on intel_gt (bsc#1152489)
- commit 7197935
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't disable interrupts independently of the lock (bsc#1152489)
- commit 30228d8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach requests to use all available engines (bsc#1152489)
- commit c94bcba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/huc: improve documentation (bsc#1152489)
- commit ee9e076
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/guc: improve documentation (bsc#1152489)
- commit b72195d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add microcontrollers documentation section (bsc#1152489)
- commit 9cb2e52
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix MST oops due to MSA changes (bsc#1152489)
- commit fa517cc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Support multiple GPUs (bsc#1152489)
- commit f603a54
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Enable DDI/Port G (bsc#1152489)
- commit 82fe1bb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move swizzle_bit under i915_ggtt (bsc#1152489)
- commit 02a8987
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Store i915_ggtt as the backpointer on fence registers (bsc#1152489)
- commit 633f698
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Do initial mocs configuration directly (bsc#1152489)
- commit 972bf8e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach timelines to take intel_gt as its argument (bsc#1152489)
- commit 6013887
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach workarounds to take intel_gt as its (bsc#1152489)
- commit 7b79dcc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach guc to take intel_gt as its argument (bsc#1152489)
- commit 76a7adf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach execlists to take intel_gt as its argument (bsc#1152489)
- commit 2dfd84c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Introduce Jasper Lake PCH (bsc#1152489)
- commit 35cd5eb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/ehl: Don't forget to set TC long detect function (bsc#1152489)
- commit 141a986
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Prepare the mode readout for hw vs. uapi state split (bsc#1152489)
- commit f66f4a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Prepare the connector/encoder mask readout for hw vs. uapi (bsc#1152489)
- commit 4dabba2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Switch intel_legacy_cursor_update() to intel_ types (bsc#1152489)
- commit d625b06
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Refactor timestamping constants update (bsc#1152489)
- commit 4a3760a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlist: Trim immediate timeslice expiry (bsc#1152489)
- commit b4cc39f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Drop stale struct_mutex (bsc#1152489)
- commit 335fce3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Wa_1607138340 (bsc#1152489)
- commit a0b519f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Wa_1607030317, Wa_1607186500, Wa_1607297627 (bsc#1152489)
- commit 5350bf2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Wa_1607138336 (bsc#1152489)
- commit 88c4cf8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Wa_1409600907 (bsc#1152489)
- commit d99f595
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Wa_1409170338 (bsc#1152489)
- commit 3f88242
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Wa_1409420604 (bsc#1152489)
- commit d15c335
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Keep FF dop clock enabled for A0 (bsc#1152489)
- commit be9c632
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add extra hdc flush workaround (bsc#1152489)
- commit 0f7f3de
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add HDC Pipeline Flush (bsc#1152489)
- commit 8b01455
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Include ro parts of l3 to invalidate (bsc#1152489)
- commit 14b7c01
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add IS_TGL_REVID (bsc#1152489)
- commit 4bb2757
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/icl: Wa_1607087056 (bsc#1152489)
- commit e3320f0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Flush tasklet submission before sleeping on (bsc#1152489)
- commit 540dfb0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use drm_rect_init() (bsc#1152489)
- commit ece67ff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use drm_rect_translate_to() (bsc#1152489)
- commit f312c9e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make .modeset_calc_cdclk() mandatory (bsc#1152489)
- commit 8954f6d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Stop using drm_atomic_helper_check_planes() (bsc#1152489)
- commit 975561c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Switch to using DP_MSA_MISC_* defines (bsc#1152489)
- commit 3610147
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Attach HDR metadata property to DP connector (bsc#1152489)
- commit 819a29a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Program an Infoframe SDP Header and DB for HDR Static (bsc#1152489)
- commit 5b1ad35
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add new GMP register size for GEN11 (bsc#1152489)
- commit c2893b2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Attach colorspace property (bsc#1152489)
- commit 8d53471
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Add support of BT.2020 Colorimetry to DP MSA (bsc#1152489)
- commit 6663348
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Extend program of VSC Header and DB for Colorimetry (bsc#1152489)
- commit c86e49a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Clear semaphore immediately upon ELSP promotion (bsc#1152489)
- commit 373cb0e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove leftover vma->obj->pages_pin_count on insert/remove (bsc#1152489)
- commit 380b6b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop obj.page_pin_count after a failed vma->set_pages() (bsc#1152489)
- commit 462f6dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: damage_helper: Fix race checking plane->state->fb (bsc#1152489)
- commit c2710fe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Fix video start delay computation (bsc#1152489)
- commit 8e053d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/tilcdc: plane: Make structure tilcdc_plane_funcs constant (bsc#1152489)
- commit f1116a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Refuse DDC/CI transfers on the internal I2C (bsc#1152489)
- commit 5524700
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: sun6i_mipi_dsi: fix DCS long write packet length (bsc#1152489)
- commit 06aa89a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: dsi: fix the overhead of the horizontal front porch (bsc#1152489)
- commit b3f8759
* Sat Oct 10 2020 tzimmermann@suse.de
- cec: add cec_adapter to cec_notifier_cec_adap_unregister() (bsc#1152489)
- commit 1e96d55
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mcde: Fix reference to DOC comment (bsc#1152489)
- commit d92938c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/lima: Add support for multiple reset lines (bsc#1152489)
- commit 8fe45d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i810: Prevent underflow in ioctl (bsc#1152489)
- commit cbb9e2f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/fourcc: Add Arm 16x16 block modifier (bsc#1152489)
- commit 375f2ab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mm: Use clear_bit_unlock() for releasing the drm_mm_node() (bsc#1152489)
- commit e6a4fca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mm: Convert drm_mm_node booleans to bitops (bsc#1152489)
- commit 95a5310
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mm: Use helpers for drm_mm_node booleans (bsc#1152489)
- commit c8eee48
* Sat Oct 10 2020 tzimmermann@suse.de
- dma-fence: Serialise signal enabling (dma_fence_enable_sw_signaling) (bsc#1152489)
- commit 9e048c9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: hdmi4: fix use of uninitialized var (bsc#1152489)
- commit 2abff5a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: hdmi5: automatically choose limited/full range output (bsc#1152489)
- commit e27a4c8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: dss: move platform_register_drivers() to dss.c and remove (bsc#1152489)
- commit dbebccb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: fix missing scaler pixel fmt limitations (bsc#1152489)
- commit dc345c0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: tweak HDMI DDC timings (bsc#1152489)
- commit 1d7791f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: avoid copy in mgr_fld_read/write (bsc#1152489)
- commit 9d89ec3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/omap: drop unneeded locking from mgr_fld_write() (bsc#1152489)
- commit f8064ff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Allocate cursor BOs at high end of video memory (bsc#1152489)
- commit 81d9479
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Reserve video memory for cursor plane (bsc#1152489)
- commit a007061
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Move cursor BO swapping into mgag200_show_cursor() (bsc#1152489)
- commit 1a72b9a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Move cursor-image update to mgag200_show_cursor() (bsc#1152489)
- commit c844cab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Add separate move-cursor function (bsc#1152489)
- commit 82bb6a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Add init and fini functions for cursor handling (bsc#1152489)
- commit e188bda
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Rename cursor functions to use mgag200_ prefix (bsc#1152489)
- commit 0f61647
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ast: Allocate cursor BOs at high end of video memory (bsc#1152489)
- commit 84df57f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ast: Move cursor offset swapping into ast_show_cursor() (bsc#1152489)
- commit ac219be
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ast: Move cursor update code to ast_show_cursor() (bsc#1152489)
- commit 6cc4120
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ast: Move ast_{show,hide}_cursor() within source file (bsc#1152489)
- commit 16299f6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ast: Don't call ast_show_cursor() from ast_cursor_move() (bsc#1152489)
- commit 3535a5c
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/sun4i: dsi: Change the start delay calculation" (bsc#1152489)
- commit 78ce4b6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Fix TCON DRQ set bits (bsc#1152489)
- commit 1e20c33
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i: sun6i_mipi_dsi: Add VCC-DSI regulator support (bsc#1152489)
- commit eca9fe7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: use drm_debug_enabled() to check for debug categories (bsc#1152489)
- commit 455093a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i2c/sil164: use drm_debug_enabled() to check for debug categories (bsc#1152489)
- commit 6653f3f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/etnaviv: use drm_debug_enabled() to check for debug categories (bsc#1152489)
- commit 1c12eee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/print: add drm_debug_enabled() (bsc#1152489)
- commit 17df3b8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/print: move drm_debug variable to drm_print.[ch] (bsc#1152489)
- commit 3f7c680
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rect: Add drm_rect_init() (bsc#1152489)
- commit 626ce5d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/rect: Add drm_rect_translate_to() (bsc#1152489)
- commit 543a258
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Workaround for broken FLIP_COMPLETE timestamps (bsc#1152489)
- commit bb114de
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Use IRQ_RETVAL shorthand in d71_irq_handler (bsc#1152489)
- commit 98ed968
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp/mst: Replace the fixed point thing with straight calculation (bsc#1152489)
- commit 5cd63fa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp/mst: Handle arbitrary DP_LINK_BW values (bsc#1152489)
- commit 2564b92
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp/mst: Reduce nested ifs (bsc#1152489)
- commit 3bb151b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Fix return type of crc .poll() (bsc#1152489)
- commit 8ddf8e9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/syncobj: Include the prototype for drm_timeout_abs_to_jiffies() (bsc#1152489)
- commit 50256a8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Include prototype for drm_need_swiotlb() (bsc#1152489)
- commit 116cdd6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dsc: Fix bogus cpu_to_be16() usage (bsc#1152489)
- commit 30af704
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/fb-helper: Include prototype for drm_fb_helper_modinit() (bsc#1152489)
- commit 014f557
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/meson: vclk: use the correct G12A frac max value (bsc#1152489)
- commit 350cdb7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: SW workaround for D71 doesn't flush shadow registers (bsc#1152489)
- commit ae32e92
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Support top-down placement flag (bsc#1152489)
- commit c336955
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Adds power management support (bsc#1152489)
- commit feaa518
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Destroy the correct mutex name in (bsc#1152489)
- commit 8279eaa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Remove lies in {up, down}_rep_recv documentation (bsc#1152489)
- commit b075c70
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Rename drm_dp_add_port and drm_dp_update_port (bsc#1152489)
- commit 9c522bd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Destroy topology_mgr mutexes (bsc#1152489)
- commit 6758cdf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge/synopsys: dsi: Use devm_platform_ioremap_resource() in (bsc#1152489)
- commit 97fd95b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: tweak drm_print_bits() (bsc#1152489)
- commit 307382f
* Sat Oct 10 2020 tzimmermann@suse.de
- Documentation/gpu: Fix no structured comments warning for (bsc#1152489)
- commit edf8460
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: panel-lvds: Potential Oops in probe error handling (bsc#1152489)
- commit 0798c54
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Remove redundant of_device_is_available check (bsc#1152489)
- commit 89a146c
* Sat Oct 10 2020 tzimmermann@suse.de
- video/hdmi: Fix AVI bar unpack (bsc#1152489)
- commit da9cef2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add DisplayPort colorspace property creation function (bsc#1152489)
- commit 53f18ad
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Rename HDMI colorspace property creation function (bsc#1152489)
- commit f1acc5c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/v3d: clean caches at the end of render jobs on request from user (bsc#1152489)
- commit f926514
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/edid: Add CTA-861-G modes with VIC < 128 (bsc#1152489)
- commit 596587e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp: Add definitons for MSA MISC bits (bsc#1152489)
- commit dc0afa6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/atomic-helper: Make crtc helper funcs optional (bsc#1152489)
- commit ae48e25
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add drm_modeset_lock_assert_held() (bsc#1152489)
- commit e619b2a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/v3d: don't leak bin job if v3d_job_init fails. (bsc#1152489)
- commit 5a9fbc4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/doc: Improve docs around connector (un)registration (bsc#1152489)
- commit cacedbf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Adds register dump support for gcu, lup and dou (bsc#1152489)
- commit db0e2ce
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Remove in-code use of ifdef (bsc#1152489)
- commit 44f560b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/encoder: Don't raise voice in drm_encoder_mask() documentation (bsc#1152489)
- commit 5ee08f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/encoder: Fix possible_crtcs documentation (bsc#1152489)
- commit ecb67ee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/encoder: Fix possible_clones documentation (bsc#1152489)
- commit 3158347
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/selftests: fix spelling mistake "misssing" -> "missing" (bsc#1152489)
- commit 23ef744
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mgag200: Use drm_gem_vram_{vmap, vunmap}() to map cursor source (bsc#1152489)
- commit dea2885
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ast: Use drm_gem_vram_{vmap,vunmap}() to map cursor source BO (bsc#1152489)
- commit 91dbad1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Provide vmap and vunmap operations for GEM VRAM objects (bsc#1152489)
- commit 487333a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Adds error event print functionality (bsc#1152489)
- commit 2306518
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/connector: Allow max possible encoders to attach to a connector (bsc#1152489)
- commit a971904
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/connector: Share with non-atomic drivers the function to get the (bsc#1152489)
- commit ae44e46
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/prime: Remove duplicate forward declaration (bsc#1152489)
- commit 161af32
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: fix warnings in DSC (bsc#1152489)
- commit 5335656
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: sti: fix W=1 warnings (bsc#1152489)
- commit 6d869e9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/stm: dsi: higher pll out only in video burst mode (bsc#1152489)
- commit 73b3f30
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: analogix-anx78xx: convert to i2c_new_dummy_device (bsc#1152489)
- commit aeedfbb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: analogix-anx78xx: silence -EPROBE_DEFER warnings (bsc#1152489)
- commit 3fdc107
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: analogix-anx78xx: add new variants (bsc#1152489)
- commit 5ac6ff8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: Fix references to drm_bridge_funcs in documentation (bsc#1152489)
- commit fb93088
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: bridge/dw_hdmi: add audio sample channel status setting (bsc#1152489)
- commit 4b45e3a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: Fix warning in virtio_gpu_queue_fenced_ctrl_buffer. (bsc#1152489)
- commit 520b245
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: enable prime mmap support (bsc#1152489)
- commit 71f7e5f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Unconditonally set BO call-back functions (bsc#1152489)
- commit 92ecd02
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Unexport internal functions of VRAM MM (bsc#1152489)
- commit ad80188
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Have VRAM MM call GEM VRAM functions directly (bsc#1152489)
- commit 4d2f2fb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Move VRAM memory manager to GEM VRAM implementation (bsc#1152489)
- commit 311342a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: Use vmalloc for command buffer allocations. (bsc#1152489)
- commit aa8237e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: Rewrite virtio_gpu_queue_ctrl_buffer using fenced (bsc#1152489)
- commit 2065d8c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: remove embedded vma_offset_manager (bsc#1152489)
- commit 669ca9e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vmwgfx: switch to own vma manager (bsc#1152489)
- commit f0aae1b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: switch to gem vma offset manager (bsc#1152489)
- commit 5d1fb40
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/amdgpu: switch to gem vma offset manager (bsc#1152489)
- commit 1d87432
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/radeon: switch to gem vma offset manager (bsc#1152489)
- commit c3151ff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: switch to gem vma offset manager (bsc#1152489)
- commit bf0bff1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/nouveau: switch to gem vma offset manager (bsc#1152489)
- commit 942272a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: turn ttm_bo_device.vma_manager into a pointer (bsc#1152489)
- commit 79f56ff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: fix Kconfig (bsc#1152489)
- commit dfee40c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: use drm_gem_ttm_print_info (bsc#1152489)
- commit a02ddcf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/qxl: use drm_gem_object_funcs callbacks (bsc#1152489)
- commit 40444de
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: add vram-mm debugfs file (bsc#1152489)
- commit 4b2be4a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: use drm_gem_ttm_print_info (bsc#1152489)
- commit d6b12b1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/ttm: add drm gem ttm helpers, starting with (bsc#1152489)
- commit beaec73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: add drm_print_bits (bsc#1152489)
- commit 692ddb3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Implement lazy unmapping for GEM VRAM buffers (bsc#1152489)
- commit dd9663c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Add infrastructure for move_notify() (bsc#1152489)
- commit d52b6a5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Acquire lock only once per call to vmap()/vunmap() (bsc#1152489)
- commit cca086a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vram: Add kmap ref-counting to GEM VRAM objects (bsc#1152489)
- commit d3d730f
* Sat Oct 10 2020 tzimmermann@suse.de
- tda9950: use cec_notifier_cec_adap_(un)register (bsc#1152489)
- commit cdae848
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: exynos: exynos_hdmi: use cec_notifier_conn_(un)register (bsc#1152489)
- commit f91e320
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sun4i/sun4i_hdmi_enc: call cec_s_conn_info() (bsc#1152489)
- commit 400dd0f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/stm: ltdc: add pinctrl for DPI encoder mode (bsc#1152489)
- commit 301e724
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panel: panel-simple: Set OSD070T1718 panel type (bsc#1152489)
- commit 6ec6586
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/bridge: panel: Infer connector type from panel by default (bsc#1152489)
- commit 14fc867
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panel: Add and fill drm_panel type field (bsc#1152489)
- commit d177b9f
* Sat Oct 10 2020 tzimmermann@suse.de
- fbdev/sa1100fb: Remove even more dead code (bsc#1152489)
- commit c9cc998
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/blend: Define the direction of Z position values (bsc#1152489)
- commit 2270aa1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Use EOPNOTSUPP, not ENOTSUPP (bsc#1152489)
- commit 069aeab
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: fix command submission with objects but without fence. (bsc#1152489)
- commit 2f9b402
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: add worker for object release (bsc#1152489)
- commit 1e257cc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: add fence sanity check (bsc#1152489)
- commit 8eb25d8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: drop virtio_gpu_object_{reserve, unreserve} (bsc#1152489)
- commit 01ebf2c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: drop virtio_gpu_object_{ref,unref} (bsc#1152489)
- commit f2de523
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: remove virtio_gpu_alloc_object (bsc#1152489)
- commit d0c1933
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: switch from ttm to gem shmem helpers (bsc#1152489)
- commit b3f48fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: rework virtio_gpu_cmd_context_{attach, detach}_resource (bsc#1152489)
- commit f839514
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: rework virtio_gpu_transfer_to_host_ioctl fencing (bsc#1152489)
- commit 0367e76
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: rework virtio_gpu_transfer_from_host_ioctl fencing (bsc#1152489)
- commit 7546405
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: rework virtio_gpu_object_create fencing (bsc#1152489)
- commit 917227e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: rework virtio_gpu_execbuffer_ioctl fencing (bsc#1152489)
- commit 9c368d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: add virtio_gpu_object_array & helpers (bsc#1152489)
- commit 9734afe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: remove ttm calls from in virtio_gpu_object_{reserve, (bsc#1152489)
- commit eeeeeaa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: drop no_wait argument from virtio_gpu_object_reserve (bsc#1152489)
- commit 647839d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: remove virtio_gpu_object_wait (bsc#1152489)
- commit f1ff38c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: simplify cursor updates (bsc#1152489)
- commit 3f847cc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: switch virtio_gpu_wait_ioctl() to gem helper. (bsc#1152489)
- commit 3cebb81
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: pass gem reservation object to ttm init (bsc#1152489)
- commit 36d0d32
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Cleanup drm_dp_send_link_address() a bit (bsc#1152489)
- commit 88f181f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Refactor drm_dp_mst_handle_down_rep() (bsc#1152489)
- commit 6d1cc80
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Refactor drm_dp_mst_handle_up_req() (bsc#1152489)
- commit de1f2ad
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Constify guid in drm_dp_get_mst_branch_by_guid() (bsc#1152489)
- commit 93e15e5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Remove huge conditional in drm_dp_mst_handle_up_req() (bsc#1152489)
- commit 7f53963
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Refactor drm_dp_send_enum_path_resources (bsc#1152489)
- commit 43a9a7e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Add sideband down request tracing + selftests (bsc#1152489)
- commit c65751e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Combine redundant cases in drm_dp_encode_sideband_req() (bsc#1152489)
- commit 2a69fb9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/print: Add drm_err_printer() (bsc#1152489)
- commit da936c7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Move test_calc_pbn_mode() into an actual selftest (bsc#1152489)
- commit 80f3a53
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Get rid of list clear in destroy_connector_work (bsc#1152489)
- commit 7f92489
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp_mst: Move link address dumping into a function (bsc#1152489)
- commit bc6b4f3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vkms: Reduce critical section in vblank_simulate (bsc#1152489)
- commit 11031b0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vkms: Use wait_for_flip_done (bsc#1152489)
- commit 8f0a5f0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vblank: Document and fix vblank count barrier semantics (bsc#1152489)
- commit 86e3a08
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/komeda: Add ACLK rate to sysfs (bsc#1152489)
- commit 5e92472
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add high-precision time to vblank trace event (bsc#1152489)
- commit e91e25a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/sti: Include the right header (bsc#1152489)
- commit affa71f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: sti: use cec_notifier_conn_(un)register (bsc#1152489)
- commit 172fd82
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: dw-hdmi-i2s: enable audio clock in audio_startup (bsc#1152489)
- commit a3a9321
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: mst: Fix query_payload ack reply struct (bsc#1152489)
- commit 224d66f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/msm: Use drm_attach_bridge() to attach a bridge to an encoder (bsc#1152489)
- commit 7b3543b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Stop including drm_bridge.h from drm_crtc.h (bsc#1152489)
- commit 5038be0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/meson: add resume/suspend hooks (bsc#1152489)
- commit b475278
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/meson: dw_hdmi: add resume/suspend hooks (bsc#1152489)
- commit ed9740b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: module_param_named() requires linux/moduleparam.h (bsc#1152489)
- commit 0b04bb6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: notify virtqueues without holding spinlock (bsc#1152489)
- commit 7777a8d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: cleanup queue functions (bsc#1152489)
- commit cfe0851
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: add plane check (bsc#1152489)
- commit 805a2d0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/vc4/vc4_hdmi: fill in connector info (bsc#1152489)
- commit de486db
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/intel_hdmi: use cec_notifier_conn_(un)register (bsc#1152489)
- commit 28c191e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm_dp_cec: add connector info support. (bsc#1152489)
- commit 6af4a5a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/virtio: make resource id workaround runtime switchable. (bsc#1152489)
- commit ad776a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mcde: Fix an error handling path in 'mcde_probe()' (bsc#1152489)
- commit 7816d14
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/mipi-dbi: fix a loop in debugfs code (bsc#1152489)
- commit 55ac13b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panel: Initialise panel dev and funcs through drm_panel_init() (bsc#1152489)
- commit 73c7003
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panel: Add missing drm_panel_init() in panel drivers (bsc#1152489)
- commit e35d575
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/panfrost: Add errata descriptions from kbase (bsc#1152489)
- commit ac8a3c6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: switch to drm_fb_helper_remove_conflicting_pci_framebuffers (bsc#1152489)
- commit 8ea6dd7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: drop resource_id parameter from (bsc#1152489)
- commit b90c1b3
* Sat Oct 10 2020 tzimmermann@suse.de
- fbdev: drop res_id parameter from remove_conflicting_pci_framebuffers (bsc#1152489)
- commit 299f196
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: allow holding preemption on filtered ctx (bsc#1152489)
- commit ee7d8d0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Allow dynamic reconfiguration of the OA stream (bsc#1152489)
- commit 4c032f3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: add support for perf configuration queries (bsc#1152489)
- commit 79b8788
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: introduce a versioning of the i915-perf uapi (bsc#1152489)
- commit 4791b32
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Assert tasklet is locked for process_csb() (bsc#1152489)
- commit fe2600f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/ehl: Port C's hotplug interrupt is associated with TC1 bits (bsc#1152489)
- commit 1e1eff9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Tweak virtual unsubmission (bsc#1152489)
- commit 3acd649
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Check that GPR are cleared for new contexts (bsc#1152489)
- commit c57b228
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Check known register values within the context (bsc#1152489)
- commit 2287ba3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Squelch kerneldoc warnings (bsc#1152489)
- commit e6e7390
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Fixup naked 64b divide (bsc#1152489)
- commit 71dd8a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Avoid polluting the i915_oa_config with error pointers (bsc#1152489)
- commit f55419c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Prefer using the pinned_ctx for emitting delays on (bsc#1152489)
- commit 456a776
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: execute OA configuration from command stream (bsc#1152489)
- commit b79335c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: implement active wait for noa configurations (bsc#1152489)
- commit 223dc4e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: allow for CS OA configs to be created lazily (bsc#1152489)
- commit 111b7bb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Mark up "sentinel" requests (bsc#1152489)
- commit a675d64
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Prevent merging requests with conflicting flags (bsc#1152489)
- commit 6dddaaa
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Replace global wakeref tracking with engine-pm (bsc#1152489)
- commit 3bd9820
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Serialise write to scratch with its vma binding (bsc#1152489)
- commit b72c231
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add an rcu_barrier option to i915_drop_caches (bsc#1152489)
- commit 9d612d1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Only mark incomplete requests as -EIO on (bsc#1152489)
- commit 8ab8872
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Leave tell-tales as to why pending[] is bad (bsc#1152489)
- commit abf23d0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Note the addition of timeslicing to the pretend scheduler (bsc#1152489)
- commit 5d34050
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Read SAGV block time from PCODE (bsc#1152489)
- commit 6d8feca
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move SAGV block time to dev_priv (bsc#1152489)
- commit ad25584
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Store shortcut to intel_uncore (bsc#1152489)
- commit f29e00d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: store the associated engine of a stream (bsc#1152489)
- commit 4907372
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove cursor use of properties for coordinates (bsc#1152489)
- commit 975d6cb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove begin/finish_crtc_commit, v4. (bsc#1152489)
- commit b94ef8b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use intel_plane_state in prepare and cleanup plane_fb (bsc#1152489)
- commit aab0c90
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Introduce and use (bsc#1152489)
- commit 4e28ce8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix for_each_intel_plane_mask definition (bsc#1152489)
- commit d699429
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Check that registers are preserved between (bsc#1152489)
- commit 65ec430
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Mark up expected state during reset (bsc#1152489)
- commit 086c12e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Warn CI about an unrecoverable wedge (bsc#1152489)
- commit 636be47
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: simplify the lrc register list for !RCS (bsc#1152489)
- commit e3c960a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: the BCS engine supports relative MMIO (bsc#1152489)
- commit e45b410
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Select DPLL's via mask (bsc#1152489)
- commit d701481
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/color: move check of gamma_enable to specific func/platform (bsc#1152489)
- commit eec02db
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/color: fix broken gamma state-checker during boot (bsc#1152489)
- commit 9b838a5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: fix null pointer dereference on pointer data (bsc#1152489)
- commit 33bf124
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Hold request reference over waits (bsc#1152489)
- commit 8ae74dc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Give engine->kernel_context distinct timeline lock (bsc#1152489)
- commit 9e5c8b9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/region: support volatile objects (bsc#1152489)
- commit 8a544e3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/region: support contiguous allocations (bsc#1152489)
- commit 914d98b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: introduce intel_memory_region (bsc#1152489)
- commit af1a5ec
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Flush submission tasklet before waiting/retiring (bsc#1152489)
- commit 2fb995e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: drop list of streams (bsc#1152489)
- commit df78072
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Assign the intel_runtime_pm pointer for (bsc#1152489)
- commit 205db24
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Assign the mock_engine->uncore shortcut (bsc#1152489)
- commit e41d3a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Assign virtual_engine->uncore from first sibling (bsc#1152489)
- commit 3ade7d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add DC3CO counter in i915_dmc_info (bsc#1152489)
- commit 1826bb4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Switch between dc3co and dc5 based on display idleness (bsc#1152489)
- commit 25f5fa0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Do modeset to enable and configure DC3CO exitline (bsc#1152489)
- commit 195602e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Enable DC3CO state in "DC Off" power well (bsc#1152489)
- commit c65acf0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add DC3CO mask to allowed_dc_mask and gen9_dc_mask (bsc#1152489)
- commit 8c2ce6b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add DC3CO required register and bits (bsc#1152489)
- commit 8f00b1e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Set the exclusive stream under perf->lock (bsc#1152489)
- commit b1ae7b1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Wean ourselves off dev_priv (bsc#1152489)
- commit ae05913
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix Kconfig indentation (bsc#1152489)
- commit 4c0a6cf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Treat a busy timeline as 'active' while waiting (bsc#1152489)
- commit 433627a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Appease lockdep (bsc#1152489)
- commit 21c4267
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Fix annotation for decoupling virtual request (bsc#1152489)
- commit c1bb4a5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Prefer local path to runtime powermanagement (bsc#1152489)
- commit 22508c2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: make array hw_engine_mask static, makes object smaller (bsc#1152489)
- commit b2f4a54
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/vbt: Child device size remains unchanged through VBT 229 (bsc#1152489)
- commit 4d75c9a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: move perf types to their own header (bsc#1152489)
- commit e05a3eb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Restore dropped 'interruptible' flag (bsc#1152489)
- commit aa66c86
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20191007 (bsc#1152489)
- commit e355b00
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: move gmbus setup down to intel_modeset_init() (bsc#1152489)
- commit 9f0c055
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: split out i915_switcheroo.[ch] from i915_drv.c (bsc#1152489)
- commit 6bcd9e6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/vga: rename intel_vga_msr_write() to (bsc#1152489)
- commit c89f47c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/stolen: make the object creation interface consistent (bsc#1152489)
- commit 459252b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Implement a better i945gm vblank irq vs. C-states (bsc#1152489)
- commit 545cdd9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop struct_mutex from around GEM initialisation (bsc#1152489)
- commit 989c574
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Drop vestigal struct_mutex guards (bsc#1152489)
- commit 2ffa6f4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop struct_mutex from suspend state save/restore (bsc#1152489)
- commit 07156b1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove struct_mutex guard for debugfs/opregion (bsc#1152489)
- commit 15d1b2f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop struct_mutex guard from debugfs/framebuffer_info (bsc#1152489)
- commit 924e807
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/overlay: Drop struct_mutex guard (bsc#1152489)
- commit ada2780
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move context management under GEM (bsc#1152489)
- commit 0abbcb0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove logical HW ID (bsc#1152489)
- commit 61e84e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move global activity tracking from GEM to GT (bsc#1152489)
- commit ac81109
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move request runtime management onto gt (bsc#1152489)
- commit db12971
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Retire directly for mmap-offset shrinking (bsc#1152489)
- commit e2812ee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Merge wait_for_timelines with retire_request (bsc#1152489)
- commit 1803574
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove the GEM idle worker (bsc#1152489)
- commit d6aa7d7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop struct_mutex from around i915_retire_requests() (bsc#1152489)
- commit c415c2c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move idle barrier cleanup into engine-pm (bsc#1152489)
- commit 3f3e13b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Coordinate i915_active with its own mutex (bsc#1152489)
- commit f6e4e9e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Push the i915_active.retire into a worker (bsc#1152489)
- commit 399cf38
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pull i915_vma_pin under the vm->mutex (bsc#1152489)
- commit df092a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Mark up address spaces that may need to allocate (bsc#1152489)
- commit 15c957b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Only track bound elements of the GTT (bsc#1152489)
- commit 7e8855b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use helpers for drm_mm_node booleans (bsc#1152489)
- commit f5e2374
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Restrict L3 remapping sysfs interface to dwords (bsc#1152489)
- commit 81a2e81
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: extend audio CDCLK>=2*BCLK constraint to more platforms (bsc#1152489)
- commit ac0ab21
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix audio power up sequence for gen10+ display (bsc#1152489)
- commit 781a9c6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: remove static variable for aux last status (bsc#1152489)
- commit 79e5598
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Skip redundant resubmission (bsc#1152489)
- commit 1ac899e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add the Thunderbolt PLL divider values (bsc#1152489)
- commit e98f0b8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: use DRM_DEBUG_KMS() instead of drm_dbg(DRM_UT_KMS, ...) (bsc#1152489)
- commit 09e7d07
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: use DRM_ERROR() instead of drm_err() (bsc#1152489)
- commit a391968
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Exercise potential false lite-restore (bsc#1152489)
- commit c9baf3e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/mg: Use tc_port instead of port parameter to MG registers (bsc#1152489)
- commit e048650
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Clean up encoder->crtc_mask setup (bsc#1152489)
- commit 0730079
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Populate possible_crtcs correctly (bsc#1152489)
- commit 15bb200
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gem: Refactor tests on obj->ops->flags (bsc#1152489)
- commit a7fc777
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Extract random_offset() for use with a prng (bsc#1152489)
- commit 5e76526
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Polish intel_tv_mode_valid() (bsc#1152489)
- commit de6dfef
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Limit MST modes based on plane size too (bsc#1152489)
- commit 9d7b922
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: abstract all vgaarb access to intel_vga.[ch] (bsc#1152489)
- commit 0a175b8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dp: Fix DP MST error after unplugging TypeC cable (bsc#1152489)
- commit 715f2a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Initialise breadcrumb lists on the virtual engine (bsc#1152489)
- commit e3f585a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gt: Only unwedge if we can reset first (bsc#1152489)
- commit ab7168e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Exercise context switching in parallel (bsc#1152489)
- commit ae1f3b4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Provide a mock GPU reset routine (bsc#1152489)
- commit 5fcdc46
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Distinguish mock device from no wakeref (bsc#1152489)
- commit df45bcd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Pass intel_gt to has-reset? (bsc#1152489)
- commit 9a90f27
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Do not try to sanitize mock HW (bsc#1152489)
- commit e26ee2e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: simplify i915_gem_init_early (bsc#1152489)
- commit 069bc5c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: check for kernel_context (bsc#1152489)
- commit 2b85cb3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: initialize TC and TBT ports (bsc#1152489)
- commit 93176b8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Fix dkl link training (bsc#1152489)
- commit ce43b41
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add dkl phy programming sequences (bsc#1152489)
- commit 7fa75bc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tc: Update DP_MODE programming (bsc#1152489)
- commit 71d691d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dmc: Update ICL DMC version to v1.09 (bsc#1152489)
- commit d549729
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/huc: fix version parsing from CSS header (bsc#1152489)
- commit 96033fb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20190927 (bsc#1152489)
- commit f6580d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extract GT render sleep (rc6) management (bsc#1152489)
- commit 3500c87
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Exercise concurrent submission to all engines (bsc#1152489)
- commit de51a96
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add definitions for MI_MATH command (bsc#1152489)
- commit 2a197ae
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Fix use of kernel-doc format in structure members (bsc#1152489)
- commit b539db4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't disable interrupts for intel_engine_breadcrumbs_irq() (bsc#1152489)
- commit ccbdb3c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Drop the IRQ-off asserts (bsc#1152489)
- commit 3bb03d4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Adjust length of MI_LOAD_REGISTER_REG (bsc#1152489)
- commit d8d6ea6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Use per-process HWSP as scratch (bsc#1152489)
- commit c1e9160
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Define explicit wedged on init reset state (bsc#1152489)
- commit bae6265
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Small joiner RAM buffer size is platform-specific (bsc#1152489)
- commit bd569f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add memory type decoding for bandwidth checking (bsc#1152489)
- commit b3003f5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Return the mg/dkl pll as DDI clock for new TC ports (bsc#1152489)
- commit 2f95174
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add dkl phy pll calculations (bsc#1152489)
- commit 5a34db0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: re-indent code to prepare for DKL changes (bsc#1152489)
- commit 9e43a30
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add support for dkl pll write (bsc#1152489)
- commit 1f0f1bc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add initial dkl pll support (bsc#1152489)
- commit ff34e45
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Simplify gen12_csb_parse (bsc#1152489)
- commit efa8b95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Do not add all planes when checking scalers on glk+ (bsc#1152489)
- commit c6a2531
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Rename planar linked plane variables (bsc#1152489)
- commit 881d3f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Get rid of crtc_state->fb_changed (bsc#1152489)
- commit 27fdd2d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add hardware readout for FEC (bsc#1152489)
- commit 5fd7764
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/i915/color: Extract icl_read_luts()" (bsc#1152489)
- commit a6747d9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Swap engines for no rps (gpu reclocking) (bsc#1152489)
- commit 453c46d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add Pipe D cursor ctrl register for Gen12 (bsc#1152489)
- commit eb37602
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Verify the LRC register layout between init and (bsc#1152489)
- commit 93e5a63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add TigerLake bandwidth checking (bsc#1152489)
- commit a8f0224
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Check the UC health of tc controllers after power on (bsc#1152489)
- commit ecbc0f2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/icl: Unify disable and enable phy clock gating functions (bsc#1152489)
- commit cd0f039
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add dkl phy registers (bsc#1152489)
- commit ee70660
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl/pll: Set update_active_dpll (bsc#1152489)
- commit 7963761
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Finish modular FIA support on registers (bsc#1152489)
- commit 7248c2b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add missing ddi clock select during DP init sequence (bsc#1152489)
- commit 5809cef
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Relax assertion for a pinned context image on (bsc#1152489)
- commit c0e5ef8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: pass i915 to intel_modeset_init() and (bsc#1152489)
- commit e6b05dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: abstract intel_mode_config_init() from intel_modeset_init() (bsc#1152489)
- commit 86583bd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: abstract intel_panel_sanitize_ssc() from (bsc#1152489)
- commit 8a568a6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: pass i915 to intel_modeset_driver_remove() (bsc#1152489)
- commit 3042afe
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: pass i915 to i915_driver_modeset_probe() (bsc#1152489)
- commit 7cd5912
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: add i915_driver_modeset_remove() (bsc#1152489)
- commit f38a190
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: save AUD_FREQ_CNTRL state at audio domain suspend (bsc#1152489)
- commit ea7d84f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: Documentation for DSB. (bsc#1152489)
- commit d3646bc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: Enable DSB for gen12. (bsc#1152489)
- commit 4f44fa7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: Enable gamma lut programming using DSB. (bsc#1152489)
- commit c220374
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: function to trigger workload execution of DSB. (bsc#1152489)
- commit 6534f0b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: functions to enable/disable DSB engine. (bsc#1152489)
- commit 4dded1d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: Check DSB engine status. (bsc#1152489)
- commit 9debd2a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: Indexed register write function for DSB. (bsc#1152489)
- commit d474ded
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: single register write function for DSB. (bsc#1152489)
- commit fb179c3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: DSB context creation. (bsc#1152489)
- commit 3324d72
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/dsb: feature flag added for display state buffer. (bsc#1152489)
- commit e03171a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/color: Extract icl_read_luts() (bsc#1152489)
- commit 61f78fd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/color: Fix formatting issues (bsc#1152489)
- commit 791ad5f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: s/ss/eu fuse reading support (bsc#1152489)
- commit fc9c424
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add PIPECONF YCbCr 4:4:4 programming for ILK-IVB (bsc#1152489)
- commit 7a4fcff
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Set up ILK/SNB csc unit properly for YCbCr output (bsc#1152489)
- commit cc1ae29
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Document ILK+ pipe csc matrix better (bsc#1152489)
- commit 3456fd4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add PIPECONF YCbCr 4:4:4 programming for HSW (bsc#1152489)
- commit 334ac3a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Simplify intel_get_crtc_ycbcr_config() (bsc#1152489)
- commit cd69e55
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't look at unrelated PIPECONF bits for interlaced (bsc#1152489)
- commit 745ba78
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Never set limited_color_range=true for YCbCr output (bsc#1152489)
- commit d73a279
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extract intel_hdmi_limited_color_range() (bsc#1152489)
- commit 53c3c3e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix AVI infoframe quantization range for YCbCr output (bsc#1152489)
- commit b87c688
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix HSW+ DP MSA YCbCr colorspace indication (bsc#1152489)
- commit 229f2ea
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/uc: Update HuC firmware naming convention and load latest (bsc#1152489)
- commit c4d6417
* Sat Oct 10 2020 tzimmermann@suse.de
- Revert "drm/i915/tgl: Implement Wa_1406941453" (bsc#1152489)
- commit 8bc9df0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Protect timeline->hwsp dereferencing (bsc#1152489)
- commit d888c86
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Lock signaler timeline while navigating (bsc#1152489)
- commit ccc44c4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Mark i915_request.timeline as a volatile, rcu pointer (bsc#1152489)
- commit 517a7c6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Suspend pre-parser across GTT invalidations (bsc#1152489)
- commit cb84ad0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Don't advertise modes that exceed the max plane size (bsc#1152489)
- commit 03a716f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Implement Wa_1406941453 (bsc#1152489)
- commit f921541
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Implement Wa_1409142259 (bsc#1152489)
- commit faf711d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Unify ICP and MCC hotplug pin tables (bsc#1152489)
- commit 9f92280
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Future-proof DDC pin mapping (bsc#1152489)
- commit 4bbf6f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Exercise CS TLB invalidation (bsc#1152489)
- commit d917d07
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: fix SFC reset flow (bsc#1152489)
- commit 5cda799
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Extend MI_SEMAPHORE_WAIT (bsc#1152489)
- commit 8657d96
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Only apply a rmw mmio update if the value changes (bsc#1152489)
- commit c285e91
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Show the logical context ring state on dumping (bsc#1152489)
- commit afb584f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: stop conflating HAS_DISPLAY() and disabled display (bsc#1152489)
- commit ce68e20
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: s/pipe_config/crtc_state/ in intel_crtc_atomic_check() (bsc#1152489)
- commit bc043d9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extract intel_modeset_calc_cdclk() (bsc#1152489)
- commit a037bf7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Allow downscale factor of <3.0 on glk+ for all formats (bsc#1152489)
- commit 5cd5406
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Replace is_planar_yuv_format() with (bsc#1152489)
- commit 1e6da05
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: introduce INTEL_DISPLAY_ENABLED() (bsc#1152489)
- commit 0a95cf6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Re-enable rc6 (bsc#1152489)
- commit c81f692
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Introduce gen12 forcewake ranges (bsc#1152489)
- commit 9978e18
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Update Gen11 forcewake ranges (bsc#1152489)
- commit 76dffb3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Limit ourselves to just rcs0 (bsc#1152489)
- commit c8e89e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: Bump up the plane/fb height (bsc#1152489)
- commit f857610
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display/icl: Bump up the hdisplay and vdisplay as per (bsc#1152489)
- commit 88ddb6e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gtt: Make sure the gen6 ppgtt is bound before first use (bsc#1152489)
- commit fdff5dd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Keep the engine awake while we keep for (bsc#1152489)
- commit 1d06634
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Get the correct wakeref for reading HOTPLUG_EN et al. (bsc#1152489)
- commit 6eadbe5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Disable preemption while being debugged (bsc#1152489)
- commit 1e4dcb9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Use GT parked for estimating RC6 while asleep (bsc#1152489)
- commit 0dfed7f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: convert device info num_pipes to pipe_mask (bsc#1152489)
- commit 50a3c56
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/pmu: Skip busyness sampling when and where not needed (bsc#1152489)
- commit 2a05551
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Ensure the context is reloaded after a GPU reset (bsc#1152489)
- commit f9a60c2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Add a paranoid flush of the CSB pointers upon (bsc#1152489)
- commit 1a59374
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Disable FBC if BIOS reserved memory (stolen) is unavailable (bsc#1152489)
- commit 1f2994f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove duplicated bxt/cnl/icl .modeset_calc_cdclk() funcs (bsc#1152489)
- commit 932658e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Reuse cnl_modeset_calc_cdclk() on icl+ (bsc#1152489)
- commit f972b41
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix CD2X pipe select masking during cdclk sanitation (bsc#1152489)
- commit cdcf9a4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix cdclk bypass freq readout for tgl/bxt/glk (bsc#1152489)
- commit 88efb42
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: add INTEL_NUM_PIPES() and use it (bsc#1152489)
- commit e776ef0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Squeeze iommu status into debugfs/i915_capabilities (bsc#1152489)
- commit d85bf06
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Disable read-only ppgtt support (bsc#1152489)
- commit 85f5fed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove pointless planes_changed=true assignment (bsc#1152489)
- commit 6c7e866
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use a high priority wq for nonblocking plane updates (bsc#1152489)
- commit fceae3d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Add glk_cdclk_table (bsc#1152489)
- commit 441e2f2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make i915_vma.flags atomic_t for mutex reduction (bsc#1152489)
- commit 15206c6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make shrink/unshrink be atomic (bsc#1152489)
- commit 2cc601f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make pm_notify take intel_gt (bsc#1152489)
- commit 979a5d7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Avoid round-trip via i915 in intel_gt_park (bsc#1152489)
- commit 1d15521
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make wait_for_timelines take struct intel_gt (bsc#1152489)
- commit 5746ac9
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Move GT init to intel_gt.c (bsc#1152489)
- commit 8084472
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Consolidate {bxt,cnl,icl}_init_cdclk (bsc#1152489)
- commit 6aaca23
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Enhance cdclk sanitization (bsc#1152489)
- commit 2b2b8b3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add calc_voltage_level display vfunc (bsc#1152489)
- commit c27ce03
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Consolidate {bxt,cnl,icl}_uninit_cdclk (bsc#1152489)
- commit 11c3e1a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Kill cnl_sanitize_cdclk() (bsc#1152489)
- commit e6af56e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Combine bxt_set_cdclk and cnl_set_cdclk (bsc#1152489)
- commit 68bea8a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use literal representation of cdclk tables (bsc#1152489)
- commit 3c75fba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Consolidate bxt/cnl/icl cdclk readout (bsc#1152489)
- commit 4c311bf
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Disable rc6 for debugging (bsc#1152489)
- commit b60b1ac
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Tighten the timeout testing for partial mmaps (bsc#1152489)
- commit 9aecbd1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Take runtime wakeref for igt_ggtt_lowlevel (bsc#1152489)
- commit 9d2e492
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/ringbuffer: Flush writes before RING_TAIL update (bsc#1152489)
- commit db63cd7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Ignore lost completion events (bsc#1152489)
- commit 442250d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Extract chv_read_luts() (bsc#1152489)
- commit c83e564
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Extract i965_read_luts() (bsc#1152489)
- commit 938751a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Add gamma precision function for CHV (bsc#1152489)
- commit e02fd44
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Clear STOP_RING bit on reset (bsc#1152489)
- commit a5ab862
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: include GTT page-size info in error state (bsc#1152489)
- commit 239a320
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: cleanup cache-coloring (bsc#1152489)
- commit 139a142
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: s/i915_gtt_color_adjust/i915_ggtt_color_adjust (bsc#1152489)
- commit 3194c07
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: export color_differs (bsc#1152489)
- commit 9981b95
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/buddy: add missing call to i915_global_register (bsc#1152489)
- commit 5d772a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Hook up GT power management (bsc#1152489)
- commit aebc92b
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Register state context definition for Gen12 (bsc#1152489)
- commit 4483ad1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use engine relative LRIs on context setup (bsc#1152489)
- commit 2456b6a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Use refclk/2 as bypass frequency (bsc#1152489)
- commit e6be8cb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: add immutable zpos plane properties (bsc#1152489)
- commit 6a66be2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Protect debugfs per_file_stats with RCU lock (bsc#1152489)
- commit bd554cd
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/mst: Do not hardcoded the crtcs that encoder can connect (bsc#1152489)
- commit de024b3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Apply FBC WA for TGL too (bsc#1152489)
- commit 94d9f2a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: add gen12 to stolen initialization (bsc#1152489)
- commit a6a2d49
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: disable SAGV temporarily (bsc#1152489)
- commit 147be73
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: move DP_TP_* to transcoder (bsc#1152489)
- commit 1d15c42
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: protect access to DP_TP_* on non-dp (bsc#1152489)
- commit 925fe81
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Access the right register when handling PSR (bsc#1152489)
- commit e5a6321
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/psr: Only handle interruptions of the transcoder in use (bsc#1152489)
- commit 3cf67f1
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: disable set/get_tiling ioctl on gen12+ (bsc#1152489)
- commit 30145a3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Extract glk_read_luts() (bsc#1152489)
- commit 2bf8d5e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Extract ilk_read_luts() (bsc#1152489)
- commit f9631ba
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Extract i9xx_read_luts() (bsc#1152489)
- commit 185c8da
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Add macro to compare gamma hw/sw lut (bsc#1152489)
- commit d59f7e4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Add func to compare hw/sw gamma lut (bsc#1152489)
- commit b8a67b6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Add func to get gamma bit precision (bsc#1152489)
- commit 793c185
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Add debug log for color parameters (bsc#1152489)
- commit ffff1d3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Refresh the errno to vmf_fault translations (bsc#1152489)
- commit 01292c6
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Remove unused __engines_name() (bsc#1152489)
- commit 52fef51
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Replace obj->pin_global with obj->frontbuffer (bsc#1152489)
- commit 31ac197
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Report aliasing ppgtt size as ggtt size (bsc#1152489)
- commit 729c069
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Restrict the aliasing-ppgtt to the size of the ggtt (bsc#1152489)
- commit b6f0c32
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Clean up HDMI deep color handling a bit (bsc#1152489)
- commit e1727eb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Prefer encoder->name over port_name() (bsc#1152489)
- commit 1aa5554
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/perf: Assert locking for i915_init_oa_perf_state() (bsc#1152489)
- commit e657c3a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add 324mhz and 326.4mhz cdclks for gen11+ (bsc#1152489)
- commit 0a98463
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Allow /2 CD2X divider on gen11+ (bsc#1152489)
- commit de05d7a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Fix regression with crtc disable ordering (bsc#1152489)
- commit 8e79a93
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use RCU for unlocked vm_idr lookup (bsc#1152489)
- commit a22d4e7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove ppgtt->dirty_engines (bsc#1152489)
- commit 9675dc2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gtt: Downgrade Cherryview back to aliasing-ppgtt (bsc#1152489)
- commit 3d07b9d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gtt: Downgrade gen7 (ivb, byt, hsw) back to aliasing-ppgtt (bsc#1152489)
- commit 647bb61
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: unify icp, tgp and mcc irq setup (bsc#1152489)
- commit 9c95039
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: parameterize SDE hotplug registers (bsc#1152489)
- commit 35f4991
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: unify icp, tgp and mcc irq handling (bsc#1152489)
- commit fdab0ed
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: parameterize south hpd macros (bsc#1152489)
- commit 8cf2c34
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Indent GuC/WOPCM documentation sections (bsc#1152489)
- commit 198b749
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Remove link to missing "Batchbuffer Pools" documentation (bsc#1152489)
- commit ca5eb24
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/hdcp: Enable HDCP 1.4 and 2.2 on Gen12+ (bsc#1152489)
- commit 3cf7d15
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/hdcp: update current transcoder into intel_hdcp (bsc#1152489)
- commit 3aa5e5f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Extend I915 mei interface for transcoder info (bsc#1152489)
- commit 0f4fc72
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Move port definition back to i915 header (bsc#1152489)
- commit 9942c74
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: mei_hdcp: I915 sends ddi index as per ME FW (bsc#1152489)
- commit 248788a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Try rearranging breadcrumb flush (bsc#1152489)
- commit cfb36ee
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Move the commit_tail() disable sequence to separate (bsc#1152489)
- commit 9329415
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/display: Rename update_crtcs() to commit_modeset_enables() (bsc#1152489)
- commit 38bf2a0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: s/for_each_sgt_dma/for_each_sgt_daddr/ (bsc#1152489)
- commit 1b46751
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/uc: Extract common code from GuC stop/disable comm (bsc#1152489)
- commit a8fe2e8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: cond_resched() within the longer buddy tests (bsc#1152489)
- commit ad581f5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: PSR link standby is not supported anymore (bsc#1152489)
- commit 3cb0991
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Gen-12 display loses Yf tiling and legacy CCS support (bsc#1152489)
- commit 93bc354
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Enabling DSC on Pipe A for TGL (bsc#1152489)
- commit cbfaa96
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Protect our local workers against I915_FENCE_TIMEOUT (bsc#1152489)
- commit d65266a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Align power domain names with port names (bsc#1152489)
- commit 6c244c2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Ignore coherency failures on Broadwater (bsc#1152489)
- commit 7579940
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Extend non readable mcr range (bsc#1152489)
- commit 602e16f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/execlists: Flush the post-sync breadcrumb write harder (bsc#1152489)
- commit 89e58f3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Try to recycle context allocations (bsc#1152489)
- commit b78b621
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Remove accidental serialization between gpu_fill (bsc#1152489)
- commit faa5255
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: use a separate context for gpu relocs (bsc#1152489)
- commit 7d4c434
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl/perf: use the same oa ctx_id format as icl (bsc#1152489)
- commit bd99b5a
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Do not apply WaIncreaseDefaultTLBEntries from GEN12 (bsc#1152489)
- commit a0757cc
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Implement TGL DisplayPort training sequence (bsc#1152489)
- commit 77865ce
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Disable pipes in reverse order (bsc#1152489)
- commit eb35315
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: Add for_each_oldnew_intel_crtc_in_state_reverse() (bsc#1152489)
- commit f8cb5f8
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Add maximum resolution supported by PSR2 HW (bsc#1152489)
- commit 3444a8e
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Do not read PSR2 register in transcoders without PSR2 (bsc#1152489)
- commit e448d63
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Guard and warn if more than one eDP panel is present (bsc#1152489)
- commit 6c22271
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Make engine's batch pool safe for use with virtual engines (bsc#1152489)
- commit d080192
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Only activate i915_active debugobject once (bsc#1152489)
- commit 9b03de7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Markup impossible error pointers (bsc#1152489)
- commit 3b64017
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Add the usual batch vma managements to (bsc#1152489)
- commit 5a0fc25
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/selftests: Teach igt_gpu_fill_dw() to take intel_context (bsc#1152489)
- commit 0de4633
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Keep drm_i915_file_private around under RCU (bsc#1152489)
- commit f0505e0
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/uc: define GuC and HuC FWs for EHL (bsc#1152489)
- commit b2945f2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/gtt: Preallocate Braswell top-level page directory (bsc#1152489)
- commit c35feb5
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use hweight8() for 8bit masks (bsc#1152489)
- commit f41d84c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: s/num_active_crtcs/num_active_pipes/ (bsc#1152489)
- commit e44f79d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use enum pipe consistently (bsc#1152489)
- commit 83f5608
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Unconfuse pipe vs. crtc->index in (bsc#1152489)
- commit 30177d7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use enum pipe instead of crtc index to track active pipes (bsc#1152489)
- commit ec1aeb2
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add new function to copy subslices for a slice (bsc#1152489)
- commit d39a475
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Refactor instdone loops on new subslice functions (bsc#1152489)
- commit d5241c7
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add function to determine if a slice has a subslice (bsc#1152489)
- commit 8bb9645
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use subslice stride to set subslices for a given slice (bsc#1152489)
- commit e41e00d
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add function to set subslices (bsc#1152489)
- commit 8d7ada3
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use local variables for subslice_mask for device info (bsc#1152489)
- commit 0a4ecbb
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add EU stride runtime parameter (bsc#1152489)
- commit a851342
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add subslice stride runtime parameter (bsc#1152489)
- commit e3fb2c4
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add function to set SSEU info per platform (bsc#1152489)
- commit 085cf4f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Use variable for debugfs device status (bsc#1152489)
- commit f1fa8ad
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Enable VD HCP/MFX sub-pipe power gating (bsc#1152489)
- commit 458c33c
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/tgl: Move GTCR register to cope with GAM MMIO address remap (bsc#1152489)
- commit 0a67a64
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/dp/dsc: Add Support for all BPCs supported by TGL (bsc#1152489)
- commit d6b2710
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Do not unmask PSR interruption in IRQ postinstall (bsc#1152489)
- commit cf16b11
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Add transcoder restriction to PSR2 (bsc#1152489)
- commit 2cc4c01
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915/psr: Make PSR registers relative to transcoders (bsc#1152489)
- commit c4d0100
* Sat Oct 10 2020 tzimmermann@suse.de
- drm: bridge: dw-hdmi: Report connector status using callback (bsc#1152489)
- commit 4b30872
* Sat Oct 10 2020 tzimmermann@suse.de
- locking/refcount: Consolidate implementations of refcount_t (bsc#1152489)
- commit 3fdbc14
* Sat Oct 10 2020 tzimmermann@suse.de
- locking/lockdep: Remove unused @nested argument from lock_release() (bsc#1152489)
- commit 630403f
* Sat Oct 10 2020 tzimmermann@suse.de
- drm/i915: Replace rcu_swap_protected() with rcu_replace_pointer() (bsc#1152489)
- commit 933c81e
* Sat Oct 10 2020 tzimmermann@suse.de
- vgacon: Use pr_warn instead of pr_warning (bsc#1152489)
- commit e8b32b1
* Fri Oct  9 2020 ohering@suse.de
- hv_netvsc: Add validation for untrusted Hyper-V values
  (jsc#sle-12891).
- hv_netvsc: Cache the current data path to avoid duplicate call
  and message (jsc#sle-12891).
- hv_netvsc: Switch the data path at the right time during
  hibernation (jsc#sle-12891).
- hv_netvsc: Fix hibernation for mlx5 VF driver (jsc#sle-12891).
- x86/hyperv: Make hv_setup_sched_clock inline (jsc#sle-12891).
- PCI: hv: Make some functions static (jsc#sle-12891).
- scsi: storvsc: Add validation for untrusted Hyper-V values
  (jsc#sle-12891).
- scsi: storvsc: Fix spelling mistake (jsc#sle-12891).
- hyperv: hyperv.h: drop a duplicated word (jsc#sle-12891).
- tools: hv: change http to https in hv_kvp_daemon.c
  (jsc#sle-12891).
- Drivers: hv: vmbus: Remove the lock field from the vmbus_channel
  struct (jsc#sle-12891).
- scsi: storvsc: Introduce the per-storvsc_device spinlock
  (jsc#sle-12891).
- Drivers: hv: vmbus: Remove unnecessary channel->lock critical
  sections (sc_list updaters) (jsc#sle-12891).
- Drivers: hv: vmbus: Use channel_mutex in
  channel_vp_mapping_show() (jsc#sle-12891).
- Drivers: hv: vmbus: Remove unnecessary channel->lock critical
  sections (sc_list readers) (jsc#sle-12891).
- Drivers: hv: vmbus: Replace cpumask_test_cpu(, cpu_online_mask)
  with cpu_online() (jsc#sle-12891).
- Drivers: hv: vmbus: Remove the numa_node field from the
  vmbus_channel struct (jsc#sle-12891).
- Drivers: hv: vmbus: Remove the target_vp field from the
  vmbus_channel struct (jsc#sle-12891).
- net: hyperv: dump TX indirection table to ethtool regs
  (jsc#sle-12891).
- hv_netvsc: add support for vlans in AF_PACKET mode
  (jsc#sle-12891).
- scsi: storvsc: Remove memset before memory freeing in
  storvsc_suspend() (jsc#sle-12891).
- uio_hv_generic: add missed sysfs_remove_bin_file
  (jsc#sle-12891).
- PCI: hv: Use struct_size() helper (jsc#sle-12891).
- commit 5c0cd66
* Fri Oct  9 2020 ohering@suse.de
- hv_netvsc: Add XDP frame size to driver (jsc#sle-12891).
- commit a5b22bb
* Fri Oct  9 2020 ohering@suse.de
- Drivers: hv: vmbus: Resolve more races involving init_vp_index()
  (jsc#sle-12891).
- Drivers: hv: vmbus: Resolve race between init_vp_index()
  and CPU hotplug (jsc#sle-12891).
- vmbus: Replace zero-length array with flexible-array
  (jsc#sle-12891).
- Driver: hv: vmbus: drop a no long applicable comment
  (jsc#sle-12891).
- hyper-v: Replace open-coded variant of %%*phN specifier
  (jsc#sle-12891).
- hyper-v: Supply GUID pointer to printf() like functions
  (jsc#sle-12891).
- hyper-v: Use UUID API for exporting the GUID (part 2)
  (jsc#sle-12891).
- x86/hyperv: Split hyperv-tlfs.h into arch dependent and
  independent files (jsc#sle-12891).
- x86/hyperv: Remove HV_PROCESSOR_POWER_STATE #defines
  (jsc#sle-12891).
- KVM: x86: hyperv: Remove duplicate definitions of Reference
  TSC Page (jsc#sle-12891).
- drivers: hv: remove redundant assignment to pointer
  primary_channel (jsc#sle-12891).
- scsi: storvsc: Re-init stor_chns when a channel interrupt is
  re-assigned (jsc#sle-12891).
- Drivers: hv: vmbus: Introduce the CHANNELMSG_MODIFYCHANNEL
  message type (jsc#sle-12891).
- Drivers: hv: vmbus: Synchronize init_vp_index() vs. CPU hotplug
  (jsc#sle-12891).
- Drivers: hv: vmbus: Remove the unused HV_LOCALIZED channel
  affinity logic (jsc#sle-12891).
- PCI: hv: Prepare hv_compose_msi_msg() for the
  VMBus-channel-interrupt-to-vCPU reassignment functionality
  (jsc#sle-12891).
- Drivers: hv: vmbus: Use a spin lock for synchronizing channel
  scheduling vs. channel removal (jsc#sle-12891).
- hv_utils: Always execute the fcopy and vss callbacks in a
  tasklet (jsc#sle-12891).
- hv_netvsc: Disable NAPI before closing the VMBus channel
  (jsc#sle-12891).
- Drivers: hv: vmbus: Replace the per-CPU channel lists with a
  global array of channels (jsc#sle-12891).
- Drivers: hv: vmbus: Don't bind the offer&rescind works to a
  specific CPU (jsc#sle-12891).
- Drivers: hv: vmbus: Always handle the VMBus messages on CPU0
  (jsc#sle-12891).
- Drivers: hv: check VMBus messages lengths (jsc#sle-12891).
- Drivers: hv: make sure that 'struct
  vmbus_channel_message_header' compiles correctly
  (jsc#sle-12891).
- Drivers: hv: avoid passing opaque pointer to vmbus_onmessage()
  (jsc#sle-12891).
- Drivers: hv: allocate the exact needed memory for messages
  (jsc#sle-12891).
- Drivers: hv: copy from message page only what's needed
  (jsc#sle-12891).
- x86/hyperv: Properly suspend/resume reenlightenment
  notifications (jsc#sle-12891).
- hyper-v: Remove internal types from UAPI header (jsc#sle-12891).
- hyper-v: Use UUID API for exporting the GUID (jsc#sle-12891).
- x86/hyperv: Suspend/resume the VP assist page for hibernation
  (jsc#sle-12891).
- Drivers: hv: Move AEOI determination to architecture dependent
  code (jsc#sle-12891).
- Drivers: hv: vmbus: Fix Suspend-to-Idle for Generation-2 VM
  (jsc#sle-12891).
- hv_debugfs: Make hv_debug_root static (jsc#sle-12891).
- hv: hyperv_vmbus.h: Replace zero-length array with
  flexible-array member (jsc#sle-12891).
- PCI: hv: Replace zero-length array with flexible-array member
  (jsc#sle-12891).
- PCI: hv: Add missing kfree(hbus) in hv_pci_probe()'s error
  handling path (jsc#sle-12891).
- PCI: hv: Remove unnecessary type casting from kzalloc
  (jsc#sle-12891).
- hv_netvsc: Remove unnecessary round_up for recv_completion_cnt
  (jsc#sle-12891).
- hv_netvsc: use new helper tcp_v6_gso_csum_prep (jsc#sle-12891).
- HID: hyperv: NULL check before some freeing functions is not
  needed (jsc#sle-12891).
- hv_netvsc: Fix XDP refcnt for synthetic and VF NICs
  (jsc#sle-12891).
- x86/hyper-v: Add "polling" bit to hv_synic_sint (jsc#sle-12891).
- commit 1ab51b9
* Fri Oct  9 2020 ohering@suse.de
- x86/hyperv: Suspend/resume the hypercall page for hibernation (jsc#sle-12891).
- commit 837a396
* Fri Oct  9 2020 ohering@suse.de
- hv_utils: Add the support of hibernation (jsc#sle-12891).
- hv_utils: Support host-initiated hibernation request
  (jsc#sle-12891).
- hv_utils: Support host-initiated restart request
  (jsc#sle-12891).
- Tools: hv: Reopen the devices if read() or write() returns
  errors (jsc#sle-12891).
- video: hyperv: hyperv_fb: Use physical memory for fb on HyperV
  Gen 1 VMs (jsc#sle-12891).
- Drivers: hv: vmbus: Ignore CHANNELMSG_TL_CONNECT_RESULT(23)
  (jsc#sle-12891).
- video: hyperv_fb: Fix hibernation for the deferred IO feature
  (jsc#sle-12891).
- Input: hyperv-keyboard: Add the support of hibernation
  (jsc#sle-12891).
- commit 9928da6
* Fri Oct  9 2020 ohering@suse.de
- hv_netvsc: Add XDP support (jsc#sle-12891).
- commit 85fce4e
* Fri Oct  9 2020 ohering@suse.de
- video: hyperv_fb: fix indentation issue (jsc#sle-12891).
- KVM: hyperv: Fix some typos in vcpu unimpl info (jsc#sle-12891).
- PCI: hv: Avoid a kmemleak false positive caused by the hbus
  buffer (jsc#sle-12891).
- commit fad9e46
* Fri Oct  9 2020 ohering@suse.de
- PCI: hv: Add hibernation support (jsc#sle-12891).
- commit 7b1f5fc
* Fri Oct  9 2020 ohering@suse.de
- drivers/hv: Replace binary semaphore with mutex (jsc#sle-12891).
- HID: hyperv: Add the support of hibernation (jsc#sle-12891).
- hv_balloon: Add the support of hibernation (jsc#sle-12891).
- hv_netvsc: make recording RSS hash depend on feature flag
  (jsc#sle-12891).
- commit 3adaf81
* Fri Oct  9 2020 ohering@suse.de
- x86/hyperv: Implement hv_is_hibernation_supported() (jsc#sle-12891).
- commit ef75f54
* Fri Oct  9 2020 ohering@suse.de
- x86: hv: Add function to allocate zeroed page for Hyper-V
  (jsc#sle-12891).
- Drivers: hv: util: Specify ring buffer size using Hyper-V page
  size (jsc#sle-12891).
- tools: hv: add vmbus testing tool (jsc#sle-12891).
- commit 5fb51bd
* Fri Oct  9 2020 ohering@suse.de
- drivers: hv: vmbus: Introduce latency testing (jsc#sle-12891).
- commit 13a6e68
* Fri Oct  9 2020 ohering@suse.de
- video: hyperv: hyperv_fb: Support deferred IO for Hyper-V
  frame buffer driver (jsc#sle-12891).
- video: hyperv: hyperv_fb: Obtain screen resolution from Hyper-V
  host (jsc#sle-12891).
- hv_netvsc: Add the support of hibernation (jsc#sle-12891).
- video: hyperv_fb: Add the support of hibernation
  (jsc#sle-12891).
- scsi: storvsc: Add the support of hibernation (jsc#sle-12891).
- Drivers: hv: vmbus: Add module parameter to cap the VMBus
  version (jsc#sle-12891).
- Drivers: hv: vmbus: Enable VMBus protocol versions 4.1, 5.1
  and 5.2 (jsc#sle-12891).
- Drivers: hv: vmbus: Introduce table of VMBus protocol versions
  (jsc#sle-12891).
- x86/hyperv: Initialize clockevents earlier in CPU onlining
  (jsc#sle-12891).
- x86/hyperv: Micro-optimize send_ipi_one() (jsc#sle-12891).
- hv_netvsc: record hardware hash in skb (jsc#sle-12891).
- commit 89088d3
* Fri Oct  9 2020 ohering@suse.de
- Delete patches.suse/suse-hv-kabi.patch.
- commit bee8fd0
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: block-group: fix free-space bitmap threshold
  (bsc#1176019).
- commit c27162b
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: remove no longer necessary chunk mutex locking cases
  (bsc#1176019).
- commit db60a0b
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: move the block group freeze/unfreeze helpers into
  block-group.c (bsc#1176019).
- commit 9efb8a2
* Fri Oct  9 2020 hare@suse.de
- block: only call sched requeue_request() for scheduled
  (bsc#1177434).
- block: ensure bdi->io_pages is always initialized (bsc#1177434).
- block: fix get_max_io_size() (bsc#1177434).
- blk-mq: insert request not through ->queue_rq into
  (bsc#1177434).
- block: respect queue limit of max discard segment (bsc#1177434).
- blk-mq: order adding requests to hctx->dispatch and checking
  (bsc#1177434).
- block: fix double account of flush request's driver tag
  (bsc#1177434).
- blk-mq: centralise related handling into blk_mq_get_driver_tag
  (bsc#1177434).
- Revert "blk-mq: put driver tag when this request is completed"
  (bsc#1177434).
- blk-mq: move blk_mq_put_driver_tag() into blk-mq.c
  (bsc#1177434).
- blktrace: Provide event for request merging (bsc#1177434).
- commit dfd2ab2
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: scrub, only lookup for csums if we are dealing with a
  data extent (bsc#1176019).
- commit d291964
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: rename member 'trimming' of block group to a more
  generic name (bsc#1176019).
- commit 23a7d0c
* Fri Oct  9 2020 mbrugger@suse.com
- KVM: arm64: vgic-v4: Plug race between non-residency and v4.1
  doorbell (jsc#SLE-14773).
- commit 6a85915
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Use readx_poll_timeout_atomic() to fix sleep
  in atomic (jsc#SLE-14773).
- commit 09981f9
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Balance initial LPI affinity across CPUs
  (jsc#SLE-14773).
- commit e0d0ba9
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Track LPI distribution on a per CPU basis
  (jsc#SLE-14773).
- commit 87823d7
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Fix missing "__init" for gic_smp_init()
  (jsc#SLE-14773).
- commit 5030876
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Update effective affinity of virtual SGIs
  (jsc#SLE-14773).
- commit f0d381f
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add support for VPENDBASER's Dirty+Valid
  signaling (jsc#SLE-14773).
- commit 94d9651
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Eagerly vmap vPEs (jsc#SLE-14773).
- commit eaf0337
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add VSGI property setup (jsc#SLE-14773).
- commit 6c3fbf5
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add VSGI allocation/teardown (jsc#SLE-14773).
- commit d5d4872
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Move doorbell management to the GICv4
  abstraction layer (jsc#SLE-14773).
- commit 2f5f2d1
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Plumb set_vcpu_affinity SGI callbacks
  (jsc#SLE-14773).
- commit 973724b
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Plumb get/set_irqchip_state SGI callbacks
  (jsc#SLE-14773).
- commit 3f9198e
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Plumb mask/unmask SGI callbacks
  (jsc#SLE-14773).
- commit 9e35710
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add initial SGI configuration (jsc#SLE-14773).
- commit c751f42
* Fri Oct  9 2020 mbenes@suse.cz
- Disable CONFIG_LIVEPATCH_IPA_CLONES where not needed
  Explicitly disable CONFIG_LIVEPATCH_IPA_CLONES in configs where it is
  not needed to avoid confusion and unwanted values due to fragment config
  files.
- commit 16f2ac3
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Plumb skeletal VSGI irqchip (jsc#SLE-14773).
- commit 8a5e7e6
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Map the ITS SGIR register page
  (jsc#SLE-14773).
- commit f71e4d3
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Advertise support v4.1 to KVM (jsc#SLE-14773).
- commit 3bc0458
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Ensure mutual exclusion betwen invalidations
  on the same RD (jsc#SLE-14773).
- commit c941d25
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Wait for completion of redistributor's INVALL
  operation (jsc#SLE-14773).
- commit fdd3d4b
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Ensure mutual exclusion between vPE affinity
  change and RD access (jsc#SLE-14773).
- commit a1a032a
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Skip absent CPUs while iterating over
  redistributors (jsc#SLE-14773).
- commit 21c5388
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Use SGIs without active state if offered
  (jsc#SLE-14773).
- commit 74bed69
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Move irq_domain_update_bus_token to after
  checking for NULL domain (jsc#SLE-14773).
- commit 98b0da8
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4: Use Inner-Shareable attributes for virtual
  pending tables (jsc#SLE-14773).
- commit 85dfee2
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Probe ITS page size for all GITS_BASERn
  registers (jsc#SLE-14773).
- commit 6cb2d90
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Fix access width for gicr_syncr
  (jsc#SLE-14773).
- commit 647d317
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Workaround Cavium erratum 38539 when reading
  GICD_TYPER2 (jsc#SLE-14773).
- commit 1358667
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Avoid 64bit division for the sake of 32bit
  ARM (jsc#SLE-14773).
- commit 1be6224
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Rename VPENDBASER/VPROPBASER accessors
  (jsc#SLE-14773).
- commit 6eac9d2
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Remove superfluous WARN_ON (jsc#SLE-14773).
- commit e0e6536
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Drop 'tmp' in inherit_vpe_l1_table_from_rd()
  (jsc#SLE-14773).
- commit f59ff61
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Ensure L2 vPE table is allocated at RD level
  (jsc#SLE-14773).
- commit dcbce6e
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Set vpe_l1_base for all redistributors
  (jsc#SLE-14773).
- commit 71acdf8
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Fix programming of GICR_VPROPBASER_4_1_SIZE
  (jsc#SLE-14773).
- commit 5fc2a5b
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Allow direct invalidation of VLPIs
  (jsc#SLE-14773).
- commit bb02f51
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Suppress per-VLPI doorbell (jsc#SLE-14773).
- commit 023e538
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add VPE INVALL callback (jsc#SLE-14773).
- commit 4476e69
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add VPE eviction callback (jsc#SLE-14773).
- commit e50f619
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add VPE residency callback (jsc#SLE-14773).
- commit dd5c0ad
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Add mask/unmask doorbell callbacks
  (jsc#SLE-14773).
- commit 2621e93
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Plumb skeletal VPE irqchip (jsc#SLE-14773).
- commit c924a3b
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Implement the v4.1 flavour of VMOVP
  (jsc#SLE-14773).
- commit 2dc75cc
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Don't use the VPE proxy if RVPEID is set
  (jsc#SLE-14773).
- commit db68bce
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: Implement the v4.1 flavour of VMAPP
  (jsc#SLE-14773).
- commit 7191688
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v4.1: VPE table (aka GICR_VPROPBASER) allocation
  (jsc#SLE-14773).
- commit fc58412
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Add GICv4.1 VPEID size discovery
  (jsc#SLE-14773).
- commit e088146
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Detect GICv4.1 supporting RVPEID
  (jsc#SLE-14773).
- commit 340e4c1
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Fix get_vlpi_map() breakage with doorbells
  (jsc#SLE-14773).
- commit f24b917
* Fri Oct  9 2020 mbrugger@suse.com
- PCI: Remove unused includes and superfluous struct declaration
  (jsc#SLE-14773).
- Refresh
  patches.suse/iommu-of-take-a-ref-to-the-iommu-driver-during-of_xlate.
- commit 4209838
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Make vlpi_lock a spinlock (jsc#SLE-14773).
- commit 2ae7da2
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Lock VLPI map array before translating it
  (jsc#SLE-14773).
- commit f67a997
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Synchronise INT/CLEAR commands targetting
  a VLPI using VSYNC (jsc#SLE-14773).
- commit 03f3640
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Synchronise INV command targetting a VLPI
  using VSYNC (jsc#SLE-14773).
- commit 908ad92
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Add its_vlpi_map helpers (jsc#SLE-14773).
- commit e068684
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Kill its->device_ids and use TYPER copy
  instead (jsc#SLE-14773).
- commit 401be4e
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Kill its->ite_size and use TYPER copy
  instead (jsc#SLE-14773).
- commit eb42dac
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Make is_v4 use a TYPER copy (jsc#SLE-14773).
- commit 51c4898
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Allow LPI invalidation via the DirectLPI
  interface (jsc#SLE-14773).
- commit e2bbebb
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Factor out wait_for_syncr primitive
  (jsc#SLE-14773).
- commit ed72724
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Free collection mapping on device teardown
  (jsc#SLE-14773).
- commit 8e13baa
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Fix u64 to __le64 warnings (jsc#SLE-14773).
- commit 624193c
* Fri Oct  9 2020 hare@suse.de
- blk-mq: remove the BLK_MQ_REQ_INTERNAL flag (bsc#1177434).
- Refresh
  patches.suse/blk-mq-centralise-related-handling-into-blk_mq_get_d.patch.
- commit b67bb63
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip: Remove redundant semicolon after while (jsc#SLE-14773).
- commit 24bb615
* Fri Oct  9 2020 mbrugger@suse.com
- KVM: arm64: vgic-v4: Move the GICv4 residency flow to be driven
  by vcpu_load/put (jsc#SLE-14773).
- commit 2212e76
* Fri Oct  9 2020 mbrugger@suse.com
- arm64: Relax ICC_PMR_EL1 accesses when ICC_CTLR_EL1.PMHE is
  clear (jsc#SLE-14773).
- commit 05b8576
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Fix GIC_LINE_NR accessor (jsc#SLE-14773).
- commit 0c2d589
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3-its: Remove the redundant set_bit for lpi_map
  (jsc#SLE-14773).
- commit 88f8da8
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Add quirks for HIP06/07 invalid GICD_TYPER
  erratum 161010803 (jsc#SLE-14773).
- commit 2e9b4ee
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic: Skip DT quirks when evaluating IIDR-based quirks
  (jsc#SLE-14773).
- commit 5b87015
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Warn about inconsistent implementations of
  extended ranges (jsc#SLE-14773).
- commit f545763
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Add EPPI range support (jsc#SLE-14773).
- commit 6f59838
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Dynamically allocate PPI partition descriptors
  (jsc#SLE-14773).
- commit 42a531a
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Dynamically allocate PPI NMI refcounts
  (jsc#SLE-14773).
- commit c4acded
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic: Prepare for more than 16 PPIs (jsc#SLE-14773).
- commit 5bad432
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Add ESPI range support (jsc#SLE-14773).
- commit 65b68ee
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic-v3: Add INTID range and convertion primitives
  (jsc#SLE-14773).
- Refresh
  patches.suse/irqchip-gic-v2-v3-Drop-extra-IRQ_NOAUTOEN-setting-fo.patch.
- commit 59e419c
* Fri Oct  9 2020 mbrugger@suse.com
- irqchip/gic: Rework gic_configure_irq to take the full ICFGR
  base (jsc#SLE-14773).
- commit 8ce46f7
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: fix a race between scrub and block group
  removal/allocation (bsc#1176019).
- commit 71bd813
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: block-group: rename write_one_cache_group()
  (bsc#1176019).
- commit 24a6cec
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: block-group: refactor how we insert a block group item
  (bsc#1176019).
- commit 1cecb46
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: block-group: refactor how we delete one block group item
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-fix-a-block-group-ref-counter-leak-after-failu.patch.
- Refresh
  patches.suse/btrfs-fix-race-between-block-group-removal-and-block.patch.
- commit 1825f40
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: block-group: refactor how we read one block group item
  (bsc#1176019).
- commit 91ae416
* Fri Oct  9 2020 fdmanana@suse.com
- btrfs: block-group: don't set the wrong READA flag for
  btrfs_read_block_groups() (bsc#1176019).
- commit 6be354e
* Fri Oct  9 2020 tiwai@suse.de
- geneve: add transport ports in route lookup for geneve
  (CVE-2020-25645 bsc#1177511).
- commit 7ab9b46
* Fri Oct  9 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-papr_scm-Add-PAPR-command-family-to-pass-thr.patch.
- commit aeda59a
* Thu Oct  8 2020 msuchanek@suse.de
- kernel-binary.spec.in: Exclude .config.old from kernel-devel
  - use tar excludes for .kernel-binary.spec.buildenv
- commit 939a79b
* Thu Oct  8 2020 tiwai@suse.de
- r8169: fix handling ether_clk (git-fixes).
- r8169: fix RTL8168f/RTL8411 EPHY config (git-fixes).
- commit 31a1bbe
* Thu Oct  8 2020 tzimmermann@suse.de
- x86/cpu/vmware: Fix platform detection VMWARE_PORT macro (bsc#1152489)
- commit 65b396e
* Thu Oct  8 2020 tzimmermann@suse.de
- x86/cpu/vmware: Use the full form of INL in VMWARE_HYPERCALL, for (bsc#1152489)
- commit 459f07a
* Thu Oct  8 2020 tzimmermann@suse.de
- x86/vmware: Add a header file for hypercall definitions (bsc#1152489)
- commit 9a5e81f
* Thu Oct  8 2020 msuchanek@suse.de
- Fix order of patches in sorted section, fix JIRA references.
- Update patches.suse/x86-cpufeatures-enumerate-enqcmd-and-enqcmds-instructions.patch (jsc#SLE-13318).
- Update patches.suse/x86-resctrl-enumerate-per-thread-mba-controls.patch (jsc#SLE-13356).
- commit 6cfd5fd
* Thu Oct  8 2020 msuchanek@suse.de
- powerpc/rtas: Restrict RTAS requests from userspace
  (jsc#SLE-13644).
  Update config files.
- commit 1098a80
* Thu Oct  8 2020 jroedel@suse.de
- vfio/pci: Decouple PCI_COMMAND_MEMORY bit checks from is_virtfn
  (bsc#1176979).
- commit 3f68ac6
* Thu Oct  8 2020 jroedel@suse.de
- s390/pci: Mark all VFs as not implementing PCI_COMMAND_MEMORY
  (bsc#1176979).
- commit 1afc493
* Thu Oct  8 2020 jroedel@suse.de
- PCI/IOV: Mark VFs as not implementing PCI_COMMAND_MEMORY
  (bsc#1176979).
- commit 36a2c27
* Thu Oct  8 2020 afaerber@suse.com
- blacklist.conf: Realtek DHC Arm SoCs not supported in SLE or Leap
  In v5.3, Realtek Digital Home Center RTD129x and later chipsets are still
  lacking irqchip, clk and any other drivers to actually load a rootfs from.
- commit 2d5007a
* Thu Oct  8 2020 msuchanek@suse.de
- powerpc/xive: Do not expose a debugfs file when XIVE is disabled
  (bsc#1177437 ltc#188522 jsc#SLE-13294).
- powerpc/xive: Add a debugfs file to dump internal XIVE state
  (bsc#1177437 ltc#188522 jsc#SLE-13294).
- Refresh patches.suse/powerpc-xive-Clear-the-page-tables-for-the-ESB-IO-ma.patch
- commit c83741d
* Thu Oct  8 2020 glin@suse.com
- bpf: Fix a verifier issue when assigning 32bit reg states to
  64bit ones (bsc#1177028).
- bpf: Fix use-after-free in fmod_ret check (bsc#1177028).
- bpf: Add bpf_probe_read_{user, kernel}_str() to
  do_refine_retval_range (bsc#1177028).
- bpf: Make bpf_link_fops static (bsc#1177028).
- bpf: Fix leak in LINK_UPDATE and enforce empty old_prog_fd
  (bsc#1177028).
- cpumap: Avoid warning when CONFIG_DEBUG_PER_CPU_MAPS is enabled
  (bsc#1177028).
- bpf: remove unneeded conversion to bool in __mark_reg_unknown
  (bsc#1177028).
- bpf: Fix a typo "inacitve" -> "inactive" (bsc#1177028).
- bpf: Implement bpf_prog replacement for an active
  bpf_cgroup_link (bsc#1177028).
- bpf: Implement bpf_link-based cgroup BPF program attachment
  (bsc#1177028).
- bpf: Verifier, refine 32bit bound in do_refine_retval_range
  (bsc#1177028).
- bpf: Verifier, do explicit ALU32 bounds tracking (bsc#1177028).
- bpf: btf: Fix arg verification in btf_ctx_access()
  (bsc#1177028).
- tools/bpf: Sync uapi header bpf.h (bsc#1177028).
- bpf: add include guard to tnum.h (bsc#1177028).
- commit fc9ce4f
* Thu Oct  8 2020 tiwai@suse.de
- vmxnet3: fix cksum offload issues for non-udp tunnels
  (git-fixes).
- Input: i8042 - add nopnp quirk for Acer Aspire 5 A515
  (bsc#954532).
- clocksource/drivers/timer-gx6605s: Fixup counter reload
  (git-fixes).
- spi: fsl-espi: Only process interrupts for expected events
  (git-fixes).
- mac80211: do not allow bigger VHT MPDUs than the hardware
  supports (git-fixes).
- commit 76e08ef
* Thu Oct  8 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/i2c-i801-exclude-device-from-suspend-direct-complete.patch
- commit 9fbf63b
* Thu Oct  8 2020 glin@suse.com
- bpf: lsm: Implement attach, detach and execution (bsc#1177028).
  Refresh patches
- patches.suse/bpf-Prevent-mmap-ing-read-only-maps-as-writable.patch
- bpf: lsm: Provide attachment points for BPF LSM programs
  (bsc#1177028).
- security: Refactor declaration of LSM hooks (bsc#1177028).
  Update patches.suse/0001-security-lockdown-expose-a-hook-to-lock-the-kernel-down.patch
- Move the declaration of lock_kernel_down() from
  include/linux/lsm_hooks.h to include/linux/lsm_hook_defs.h
- perf_event: Add support for LSM and SELinux checks (bsc#1177028).
  Update patches
- patches.suse/powerpc-perf-Ignore-the-BHRB-kernel-address-filterin.patch
- patches.suse/0001-security-create-hidden-area-to-keep-sensitive-data.patch
- patches.suse/0001-security-lockdown-expose-a-hook-to-lock-the-kernel-down.patch
- fanotify, inotify, dnotify, security: add security hook for
  fs notifications (bsc#1177028).
- commit c8a9222
* Thu Oct  8 2020 glin@suse.com
- bpf: Introduce BPF_PROG_TYPE_LSM (bsc#1177028).
  Update config files for CONFIG_BPF_LSM
- libbpf: Add support for program extensions (bsc#1177028).
- libbpf: Load btf_vmlinux only once per object (bsc#1177028).
- libbpf: Fix potential multiplication overflow in mmap() size
  calculation (bsc#1177028).
- libbpf: Expose bpf_find_kernel_btf as a LIBBPF_API
  (bsc#1177028).
- libbpf: Poison kernel-only integer types (bsc#1177028).
- bpf: libbpf: Add STRUCT_OPS support (bsc#1177028).
- libbpf: BTF is required when externs are present (bsc#1177028).
- libbpf: Put Kconfig externs into .kconfig section (bsc#1177028).
- bpftool, selftests/bpf: Embed object file inside skeleton (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Validate-frozen-map-contents-stays-fro.patch
- bpftool: Fix compilation warning on shadowed variable
  (bsc#1177028).
- bpftool: Generate externs datasec in BPF skeleton (bsc#1177028).
- libbpf: Support libbpf-provided extern variables (bsc#1177028).
  Refresh patches.suse/bpf-Introduce-function-by-function-verification.patch
- selftests/bpf: Add BPF skeletons selftests and convert
  attach_probe.c (bsc#1177028).
- libbpf: Fix build on read-only filesystems (bsc#1177028).
- selftests/bpf: Bring back c++ include/link test (bsc#1177028).
- selftests/bpf: Ensure no DWARF relocations for BPF object files
  (bsc#1177028).
- selftests/bpf: Enforce no-ALU32 for test_progs-no_alu32
  (bsc#1177028).
- selftests/bpf: Fix .gitignore to ignore no_alu32/ (bsc#1177028).
- bpf, doc: Add Andrii as official reviewer to BPF subsystem
  (bsc#1177028).
- commit 01dbecc
* Thu Oct  8 2020 lduncan@suse.com
- scsi: target: Fix lun lookup for TARGET_SCF_LOOKUP_LUN_FROM_TAG
  case (bsc#1177393).
- commit 70763bb
* Wed Oct  7 2020 msuchanek@suse.de
- kernel-binary.spec.in: Package the obj_install_dir as explicit filelist.
- commit 5587762
* Wed Oct  7 2020 lduncan@suse.com
- scsi: target: iscsi: Fix hang in iscsit_access_np() when
  getting tpg->np_login_sem (bsc#1177393).
- scsi: target: iscsi: Fix data digest calculation (bsc#1177393).
- scsi: target: Make iscsit_register_transport() return void
  (bsc#1177393).
- scsi: target: tcmu: Make TMR notification optional
  (bsc#1177393).
- scsi: target: tcmu: Implement tmr_notify callback (bsc#1177393).
- scsi: target: tcmu: Fix and simplify timeout handling
  (bsc#1177393).
- scsi: target: tcmu: Factor out new helper ring_insert_padding
  (bsc#1177393).
- scsi: target: tcmu: Do not queue aborted commands (bsc#1177393).
- scsi: target: tcmu: Use priv pointer in se_cmd (bsc#1177393).
- scsi: target: Add tmr_notify backend function (bsc#1177393).
- scsi: target: Modify core_tmr_abort_task() (bsc#1177393).
- scsi: target: iscsi: Fix inconsistent debug message
  (bsc#1177393).
- scsi: target: iscsi: Fix login error when receiving
  (bsc#1177393).
- scsi: target: Remove unused variable 'tpg' (bsc#1177393).
- scsi: target: Handle short iSIDs (bsc#1177393).
- scsi: target: Fix iscsi transport id buf len calculation
  (bsc#1177393).
- scsi: target: Fix iscsi transport id buffer setup (bsc#1177393).
- scsi: target: Fix iscsi transport id parsing (bsc#1177393).
- scsi: target: Fix crash during SPEC_I_PT handling (bsc#1177393).
- scsi: target: Fix xcopy sess release leak (bsc#1177393).
- scsi: target: Check enforce_pr_isids during registration
  (bsc#1177393).
- scsi: target: tcmu: Fix crash on ARM during cmd completion
  (bsc#1177393).
- scsi: target: tcmu: Fix crash in tcmu_flush_dcache_range on ARM
  (bsc#1177393).
- scsi: target: tcmu: Optimize use of flush_dcache_page
  (bsc#1177393).
- scsi: target: tcmu: Remove unnecessary bit TCMU_CMD_BIT_INFLIGHT
  (bsc#1177393).
- scsi: target: Rename target_setup_cmd_from_cdb() to
  target_cmd_parse_cdb() (bsc#1177393).
- scsi: target: Fix NULL pointer dereference (bsc#1177393).
- scsi: target: Initialize LUN in transport_init_se_cmd()
  (bsc#1177393).
- scsi: target: Factor out a new helper, target_cmd_init_cdb()
  (bsc#1177393).
- scsi: target: tcmu: Fix size in calls to tcmu_flush_dcache_range
  (bsc#1177393).
- scsi: target: tcmu: Fix a use after free in
  tcmu_check_expired_queue_cmd() (bsc#1177393).
- scsi: target: tcmu: Userspace must not complete queued commands
  (bsc#1177393).
- scsi: target: core: Add initiatorname to NON_EXISTENT_LUN error
  (bsc#1177393).
- scsi: target: loopback: Fix READ with data and sensebytes
  (bsc#1177393).
- scsi: target: tcmu: Make pgr_support and alua_support attributes
  writable (bsc#1177393).
- scsi: target: Make transport_flags per device (bsc#1177393).
- scsi: target: tcmu: Add attributes enforce_pr_isids and
  force_pr_aptpl (bsc#1177393).
- scsi: target: Add missing emulate_pr attribute to passthrough
  backends (bsc#1177393).
- scsi: target: iscsi: Remove the iscsi_data_count structure
  (bsc#1177393).
- scsi: target: Put lun_ref at end of tmr processing
  (bsc#1177393).
- scsi: target: tcmu: reset_ring should reset TCMU_DEV_BIT_BROKEN
  (bsc#1177393).
- scsi: target: fix PR IN / READ FULL STATUS for FC (bsc#1177393).
- scsi: target: Write NULL to *port_nexus_ptr if no ISID
  (bsc#1177393).
- scsi: target: iscsi: calling iscsit_stop_session() inside
  iscsit_close_session() has no effect (bsc#1177393).
- scsi: target: fix hang when multiple threads try to destroy
  the same iscsi session (bsc#1177393).
- scsi: target: remove boilerplate code (bsc#1177393).
- scsi: Revert "target: iscsi: Wait for all commands to finish
  before freeing a session" (bsc#1177393).
- scsi: Revert "RDMA/isert: Fix a recently introduced regression
  related to logout" (bsc#1177393).
- scsi: Revert "target/core: Inline transport_lun_remove_cmd()"
  (bsc#1177393).
- scsi: libfc: remove unnecessary assertion on ep variable
  (bsc#1177393).
- scsi: RDMA/isert: Fix a recently introduced regression related
  to logout (bsc#1177393).
- scsi: target/iblock: Fix protection error with blocks greater
  than 512B (bsc#1177393).
- scsi: target: core: Fix a pr_debug() argument (bsc#1177393).
- scsi: target: iscsi: Wait for all commands to finish before
  freeing a session (bsc#1177393).
- scsi: target: core: Release SPC-2 reservations when closing
  a session (bsc#1177393).
- scsi: target: core: Document target_cmd_size_check()
  (bsc#1177393).
- scsi: target: tcmu: Prevent memory reclaim recursion
  (bsc#1177393).
- scsi: target: Remove tpg_list and se_portal_group.se_tpg_node
  (bsc#1177393).
- scsi: target: tcmu: clean the nl_cmd of the udev when nl send
  fails (bsc#1177393).
- commit 0474abc
* Wed Oct  7 2020 jdelvare@suse.de
- i2c: i801: Exclude device from suspend direct complete
  optimization (git-fixes).
- commit cbf8a71
* Wed Oct  7 2020 tiwai@suse.de
- drm/radeon: revert "Prefer lower feedback dividers"
  (bsc#1177384).
- commit 502170c
* Wed Oct  7 2020 mbrugger@suse.com
- Refresh patches.suse/KVM-arm64-Annotate-hyp-NMI-related-functions-as-__al.patch
- commit 3239f9e
* Wed Oct  7 2020 nsaenzjulienne@suse.de
- usb: typec: intel_pmc_mux: Handle SCU IPC error conditions
  (git-fixes).
- usb: typec: ucsi: acpi: Increase command completion timeout
  value (git-fixes).
- commit 2522986
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf/resv: fix exclusive fence get (bsc#1152489)
- commit f347971
* Wed Oct  7 2020 tzimmermann@suse.de
- dmabuf: Mark up onstack timer for selftests (bsc#1152472)
- commit 5352a74
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: Use %%zu for printing sizeof (bsc#1152472)
- commit 585460a
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: Add selftests for dma-fence (bsc#1152472)
- commit 949306b
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: Introduce selftesting framework (bsc#1152472)
- commit 44626c4
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-fence: Simply wrap dma_fence_signal_locked with dma_fence_signal (bsc#1152472)
- commit d0d8f02
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-fence: Avoid list_del during fence->cb_list iteration (bsc#1152472)
- commit 2a00bfd
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-fence: Shrink size of struct dma_fence (bsc#1152472)
- commit c160601
* Wed Oct  7 2020 tbogendoerfer@suse.de
- sfc: commonise PCI error handlers (jsc#SLE-16683).
- Refresh
  patches.suse/PCI-Use-pci_channel_state_t-instead-of-enum-pci_chan.patch.
- commit af50963
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: nuke reservation_object seq number (bsc#1152472)
- commit c12b427
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf/sw_sync: Synchronize signal vs syncpt free (bsc#1152472)
- commit df2da01
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-fence: Report the composite sync_file status (bsc#1152472)
- commit b4a797c
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-fence: Propagate errors to dma-fence-array container (bsc#1152472)
- commit 85e9ccb
* Wed Oct  7 2020 tbogendoerfer@suse.de
- xsk: Remove a double pool->dev assignment in xp_dma_map
  (bsc#1176447).
- Refresh
  patches.suse/xsk-use-dma_need_sync-instead-of-reimplenting-it.
- commit cbb55ac
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: add reservation_object_fences helper (bsc#1152472)
- commit 9038919
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: make dma_fence structure a bit smaller v2 (bsc#1152472)
- commit 756d934
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: simplify reservation_object_get_fences_rcu a bit (bsc#1152472)
- commit 90a1fe4
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: fix shared fence list handling in (bsc#1152472)
- commit fb7c63d
* Wed Oct  7 2020 tbogendoerfer@suse.de
- xsk: Explicitly inline functions and move definitions
  (bsc#1176447).
- Refresh
  patches.suse/xsk-replace-the-cheap_dma-flag-with-a-dma_need_sync-flag.
- commit ecbba08
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: fix busy wait for new shared fences (bsc#1152472)
- commit b161669
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: fix stack corruption in dma_fence_chain_release (bsc#1152472)
- commit c9fc706
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: Relax the write-seqlock for reallocating the shared fence (bsc#1152472)
- commit b40ad2e
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: Expand reservation_list to fill allocation (bsc#1152472)
- commit 40d44b0
* Wed Oct  7 2020 tzimmermann@suse.de
- dma-buf: cleanup reservation_object_init/fini (bsc#1152472)
- commit 1d9015b
* Wed Oct  7 2020 tbogendoerfer@suse.de
- xsk: Add overflow check for u64 division, stored into u32
  (bsc#1176447).
- Refresh
  patches.suse/xsk-Introduce-AF_XDP-buffer-allocation-API.patch.
- commit c06291a
* Wed Oct  7 2020 tbogendoerfer@suse.de
- xsk: Support allocations of large umems (bsc#1176447).
- Refresh
  patches.suse/xsk-Introduce-AF_XDP-buffer-allocation-API.patch.
- commit ebf030b
* Wed Oct  7 2020 mhocko@suse.com
- kernel: allow to configure PREEMPT_NONE, PREEMPT_VOLUNTARY on
  kernel command line (jsc#SLE-16775).
- commit 6bd2001
* Wed Oct  7 2020 tbogendoerfer@suse.de
- sfc: Fix error code in probe (jsc#SLE-16683).
- xsk: Fix number of pinned pages/umem size discrepancy
  (bsc#1176447).
- sfc: fix boolreturn.cocci warning and rename function
  (jsc#SLE-16683).
- sfc: fix build warnings on 32-bit (jsc#SLE-16683).
- sfc: don't free_irq()s if they were never requested
  (jsc#SLE-16683).
- sfc: null out channel->rps_flow_id after freeing it
  (jsc#SLE-16683).
- sfc: take correct lock in ef100_reset() (jsc#SLE-16683).
- sfc: really check hash is valid before using it (jsc#SLE-16683).
- sfc: check hash is valid before using it (jsc#SLE-16683).
- sfc: fix ef100 design-param checking (jsc#SLE-16683).
- net/mlx5: Add VDPA interface type to supported enumerations
  (jsc#SLE-15172).
- sfc: Fix build with CONFIG_RFS_ACCEL disabled (jsc#SLE-16683).
- xdp: Prevent kernel-infoleak in xsk_getsockopt() (bsc#1176447).
- sfc_ef100: add nic-type for VFs, and bind to them
  (jsc#SLE-16683).
- sfc_ef100: read pf_index at probe time (jsc#SLE-16683).
- sfc_ef100: functions for selftests (jsc#SLE-16683).
- sfc_ef100: statistics gathering (jsc#SLE-16683).
- sfc_ef100: plumb in fini_dmaq (jsc#SLE-16683).
- sfc_ef100: RX path for EF100 (jsc#SLE-16683).
- sfc_ef100: RX filter table management and related gubbins
  (jsc#SLE-16683).
- sfc_ef100: TX path for EF100 NICs (jsc#SLE-16683).
- sfc_ef100: read Design Parameters at probe time (jsc#SLE-16683).
- sfc_ef100: fail the probe if NIC uses unsol_ev credits
  (jsc#SLE-16683).
- sfc_ef100: check firmware version at start-of-day
  (jsc#SLE-16683).
- tun: add missing rcu annotation in tun_set_ebpf() (bsc#1176447).
- sfc_ef100: remove duplicated include from ef100_netdev.c
  (jsc#SLE-16683).
- sfc_ef100: implement ndo_get_phys_port_{id,name}
  (jsc#SLE-16683).
- sfc_ef100: read device MAC address at probe time
  (jsc#SLE-16683).
- sfc_ef100: probe the PHY and configure the MAC (jsc#SLE-16683).
- sfc_ef100: actually perform resets (jsc#SLE-16683).
- sfc_ef100: extend ef100_check_caps to cover datapath_caps3
  (jsc#SLE-16683).
- sfc_ef100: read datapath caps, implement check_caps
  (jsc#SLE-16683).
- sfc_ef100: process events for MCDI completions (jsc#SLE-16683).
- sfc_ef100: implement ndo_open/close and EVQ probing
  (jsc#SLE-16683).
- sfc_ef100: implement MCDI transport (jsc#SLE-16683).
- sfc_ef100: don't call efx_reset_down()/up() on EF100
  (jsc#SLE-16683).
- sfc_ef100: PHY probe stub (jsc#SLE-16683).
- sfc_ef100: reset-handling stub (jsc#SLE-16683).
- sfc: skeleton EF100 PF driver (jsc#SLE-16683).
- sfc_ef100: register accesses on EF100 (jsc#SLE-16683).
- sfc_ef100: add EF100 register definitions (jsc#SLE-16683).
- sfc: remove efx_ethtool_nway_reset() (jsc#SLE-16683).
- sfc: drop unnecessary list_empty (jsc#SLE-16683).
- sfc: convert to new udp_tunnel infrastructure (jsc#SLE-16683).
- xsk: Add xdp statistics to xsk_diag (bsc#1176447).
- xsk: Add new statistics (bsc#1176447).
- net: switchdev: kerneldoc fixes (bsc#1176447).
- sfc_ef100: helper function to set default RSS table of given
  size (jsc#SLE-16683).
- sfc_ef100: NVRAM selftest support code (jsc#SLE-16683).
- sfc_ef100: populate BUFFER_SIZE_BYTES in INIT_RXQ
  (jsc#SLE-16683).
- sfc_ef100: add EF100 to NIC-revision enumeration
  (jsc#SLE-16683).
- sfc: get drvinfo driver name from outside the common code
  (jsc#SLE-16683).
- sfc: initialise RSS context ID to 'no RSS context' in
  efx_init_struct() (jsc#SLE-16683).
- sfc: commonise efx_fini_dmaq (jsc#SLE-16683).
- sfc: factor out efx_mcdi_filter_table_down() from _remove()
  (jsc#SLE-16683).
- sfc: don't call tx_limit_len if NIC type doesn't have one
  (jsc#SLE-16683).
- sfc: assign TXQs without gaps (jsc#SLE-16683).
- sfc: commonise netif_set_real_numx_queues calls (jsc#SLE-16683).
- sfc: make tx_queues_per_channel variable at runtime
  (jsc#SLE-16683).
- sfc: move modparam 'rss_cpus' out of common channel code
  (jsc#SLE-16683).
- sfc: move modparam 'interrupt_mode' out of common channel code
  (jsc#SLE-16683).
- sfc: remove max_interrupt_mode (jsc#SLE-16683).
- sfc: support setting MTU even if not privileged to configure
  MAC fully (jsc#SLE-16683).
- sfc: don't call tx_remove if there isn't one (jsc#SLE-16683).
- sfc: commonise initialisation of efx->vport_id (jsc#SLE-16683).
- sfc: commonise efx->xq_entries initialisation (jsc#SLE-16683).
- sfc: initialise max_[tx_]channels in efx_init_channels()
  (jsc#SLE-16683).
- sfc: move definition of EFX_MC_STATS_GENERATION_INVALID
  (jsc#SLE-16683).
- sfc: factor out efx_tx_tso_header_length() and understand
  encapsulation (jsc#SLE-16683).
- sfc: remove duplicate declaration of efx_enqueue_skb_tso()
  (jsc#SLE-16683).
- sfc: commonise TSO fallback code (jsc#SLE-16683).
- sfc: commonise efx_sync_rx_buffer() (jsc#SLE-16683).
- sfc: commonise some MAC configuration code (jsc#SLE-16683).
- sfc: commonise miscellaneous efx functions (jsc#SLE-16683).
- sfc: add missing licence info to mcdi_filters.c (jsc#SLE-16683).
- sfc: commonise MCDI MAC stats handling (jsc#SLE-16683).
- sfc: move NIC-specific mcdi_port declarations out of common
  header (jsc#SLE-16683).
- sfc: extend common GRO interface to support CHECKSUM_COMPLETE
  (jsc#SLE-16683).
- sfc: commonise ARFS handling (jsc#SLE-16683).
- sfc: commonise drain event handling (jsc#SLE-16683).
- sfc: track which BAR is mapped (jsc#SLE-16683).
- sfc: commonise FC advertising (jsc#SLE-16683).
- sfc: commonise other ethtool bits (jsc#SLE-16683).
- sfc: commonise ethtool NFC and RXFH/RSS functions
  (jsc#SLE-16683).
- sfc: commonise ethtool link handling functions (jsc#SLE-16683).
- sfc: split up nic.h (jsc#SLE-16683).
- sfc: refactor EF10 stats handling (jsc#SLE-16683).
- sfc: don't try to create more channels than we can have VIs
  (jsc#SLE-16683).
- sfc: extend bitfield macros up to POPULATE_DWORD_13
  (jsc#SLE-16683).
- sfc: determine flag word automatically in efx_has_cap()
  (jsc#SLE-16683).
- sfc: update MCDI protocol headers (jsc#SLE-16683).
- net/mlx5: Avoid RDMA file inclusion in core driver
  (jsc#SLE-15172).
- tun: implement header_ops->parse_protocol for AF_PACKET
  (bsc#1176447).
- xdp: Fix xsk_generic_xmit errno (bsc#1176447).
- net/xdp: use shift instead of 64 bit division (bsc#1176447).
- xdp: Introduce xdp_convert_frame_to_buff utility routine
  (bsc#1176447).
- sfc: add missing annotation for
  efx_ef10_try_update_nic_stats_vf() (jsc#SLE-16683).
- net/mlx5: IPSec: Fix incorrect type for spi (jsc#SLE-15172).
- sfc: avoid an unused-variable warning (jsc#SLE-16683).
- net: move devres helpers into a separate source file
  (bsc#1176447).
- xsk: Remove MEM_TYPE_ZERO_COPY and corresponding code
  (bsc#1176447).
- tun: Add XDP frame size (bsc#1176447).
- veth: Xdp using frame_sz in veth driver (bsc#1176447).
- veth: Adjust hard_start offset on redirect XDP frames
  (bsc#1176447).
- sfc: Add XDP frame size (jsc#SLE-16683).
- sfc: fix dereference of table before it is null checked
  (jsc#SLE-16683).
- sfc: siena_check_caps() can be static (jsc#SLE-16683).
- sfc: actually wire up siena_check_caps() (jsc#SLE-16683).
- sfc: make firmware-variant printing a nic_type function
  (jsc#SLE-16683).
- sfc: make filter table probe caller responsible for adding VLANs
  (jsc#SLE-16683).
- sfc: move rx_rss_context_exclusive into struct
  efx_mcdi_filter_table (jsc#SLE-16683).
- sfc: rework handling of (firmware) multicast chaining state
  (jsc#SLE-16683).
- sfc: move 'must restore' flags out of ef10-specific nic_data
  (jsc#SLE-16683).
- sfc: use efx_has_cap for capability checks outside of
  NIC-specific code (jsc#SLE-16683).
- sfc: make capability checking a nic_type function
  (jsc#SLE-16683).
- sfc: move vport_id to struct efx_nic (jsc#SLE-16683).
- net/mlx5: TX WQE Add trailer insertion field (jsc#SLE-15172).
- netfilter: nft_reject_bridge: enable reject with bridge vlan
  (bsc#1176447).
- net: bridge: vlan: Add a schedule point during VLAN processing
  (bsc#1176447).
- veth: rely on peer veth_rq for ndo_xdp_xmit accounting
  (bsc#1176447).
- veth: rely on veth_rq in veth_xdp_flush_bq signature
  (bsc#1176447).
- sfc: falcon: convert to use i2c_new_client_device()
  (jsc#SLE-16683).
- net: bridge: vlan options: move the tunnel command to the
  nested attribute (bsc#1176447).
- net: bridge: vlan options: nest the tunnel id into a tunnel
  info attribute (bsc#1176447).
- veth: remove atomic64_add from veth_xdp_xmit hotpath
  (bsc#1176447).
- veth: introduce more xdp counters (bsc#1176447).
- veth: distinguish between rx_drops and xdp_drops (bsc#1176447).
- veth: introduce more specialized counters in veth_stats
  (bsc#1176447).
- veth: move xdp stats in a dedicated structure (bsc#1176447).
- net: bridge: vlan: include stats in dumps if requested
  (bsc#1176447).
- net: bridge: vlan options: add support for tunnel mapping
  set/del (bsc#1176447).
- net: bridge: vlan options: add support for tunnel id dumping
  (bsc#1176447).
- net: bridge: vlan tunnel: constify bridge and port arguments
  (bsc#1176447).
- net: bridge: vlan options: rename br_vlan_opts_eq to
  br_vlan_opts_eq_range (bsc#1176447).
- net: sfc: reject unsupported coalescing params (jsc#SLE-16683).
- sfc: support configuring vf spoofchk on EF10 VFs
  (jsc#SLE-16683).
- sfc: ethtool: Refactor to remove fallthrough comments in case
  blocks (jsc#SLE-16683).
- net/mlx5: fix spelling mistake "reserverd" -> "reserved"
  (jsc#SLE-15172).
- tun: reject unsupported coalescing params (bsc#1176447).
- tun: drop TUN_DEBUG and tun_debug() (bsc#1176447).
- tun: replace tun_debug() by netif_info() (bsc#1176447).
- tun: drop useless debugging statements (bsc#1176447).
- tun: get rid of DBG1() macro (bsc#1176447).
- tun: fix misleading comment format (bsc#1176447).
- net: switchdev: do not propagate bridge updates across bridges
  (bsc#1176447).
- sfc: Replace zero-length array with flexible-array member
  (jsc#SLE-16683).
- tun: Remove unnecessary BUG_ON check in tun_net_xmit
  (bsc#1176447).
- sfc: elide assignment of skb (jsc#SLE-16683).
- net: switchdev: Replace zero-length array with flexible-array
  member (bsc#1176447).
- sfc: move some ARFS code out of headers (jsc#SLE-16683).
- sfc: only schedule asynchronous filter work if needed
  (jsc#SLE-16683).
- net: vlan: suppress "failed to kill vid" warnings (bsc#1176447).
- net: sfc: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-16683).
- veth: ignore peer tx_dropped when counting local rx_dropped
  (bsc#1176447).
- sfc: complete the next packet when we receive a timestamp
  (jsc#SLE-16683).
- sfc: fix timestamp reconstruction at 16-bit rollover points
  (jsc#SLE-16683).
- net: bridge: fix stale eth hdr pointer in br_dev_xmit
  (bsc#1176447).
- bridge: br_stp: Use built-in RCU list checking (bsc#1176447).
- net: bridge: vlan: add per-vlan state (bsc#1176447).
- net: bridge: vlan: add basic option setting support
  (bsc#1176447).
- net: bridge: vlan: add basic option dumping support
  (bsc#1176447).
- net: bridge: check port state before br_allowed_egress
  (bsc#1176447).
- net: bridge: vlan: notify on vlan add/delete/change flags
  (bsc#1176447).
- net: bridge: vlan: add rtnetlink group and notify support
  (bsc#1176447).
- net: bridge: vlan: add rtm range support (bsc#1176447).
- net: bridge: vlan: add del rtm message support (bsc#1176447).
- net: bridge: vlan: add new rtm message support (bsc#1176447).
- net: bridge: vlan: add rtm definitions and dump support
  (bsc#1176447).
- net: bridge: netlink: add extack error messages when processing
  vlans (bsc#1176447).
- net: bridge: vlan: add helpers to check for vlan id/range
  validity (bsc#1176447).
- net: sfc: use skb_list_walk_safe helper for gso segments
  (jsc#SLE-16683).
- net: tap: use skb_list_walk_safe helper for gso segments
  (bsc#1176447).
- xsk: Use struct_size() helper (bsc#1176447).
- net: bridge: add STP xstats (bsc#1176447).
- net: tap: clean up an indentation issue (bsc#1176447).
- commit defc9cf
* Wed Oct  7 2020 tzimmermann@suse.de
- Update configs for DRM v5.4
- commit a4b9b1e
* Wed Oct  7 2020 glin@suse.com
- bpf, testing: Add missing object file to TEST_FILES (bsc#1177028).
- selftests/bpf: Restore $(OUTPUT)/test_stub.o rule (bsc#1177028).
- selftest/bpf: Use -m{little, big}-endian for clang
  (bsc#1177028).
- selftests/bpf: Fix LDLIBS order (bsc#1177028).
- tools/bpf: Turn on llvm alu32 attribute by default (bsc#1177028).
  Refresh patches
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftest/bpf: Remove test_libbpf.sh and test_libbpf_open (bsc#1177028).
  Refresh patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: Move test_queue_stack_map.h into progs/ where
  it belongs (bsc#1177028).
- selftests/bpf: Replace test_progs and test_maps w/ general rule (bsc#1177028).
  Refresh patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: Add simple per-test targets to Makefile
  (bsc#1177028).
- selftests/bpf: Switch test_maps to test_progs' test.h format
  (bsc#1177028).
- selftests/bpf: Remove obsolete pahole/BTF support detection
  (bsc#1177028).
- selftests/bpf: Convert test_btf_dump into test_progs test (bsc#1177028).
  Refresh patches
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- commit 2889f18
* Wed Oct  7 2020 glin@suse.com
- libbpf: Add probe for large INSN limit (bsc#1177028).
- libbpf: Introduce bpf_prog_attach_xattr (bsc#1177028).
- libbpf: Add bpf_link__disconnect() API to preserve underlying
  BPF resource (bsc#1177028).
- libbpf: Fix build by renaming variables (bsc#1177028).
- selftests/bpf: Add tests for libbpf-provided externs
  (bsc#1177028).
- libbpf: Extract internal map names into constants (bsc#1177028).
- selftests/bpf: Add test validating data section to struct
  convertion layout (bsc#1177028).
- selftests/bpf: Convert few more selftest to skeletons (bsc#1177028).
  Refresh patches
- patches.suse/bpf-Prevent-mmap-ing-read-only-maps-as-writable.patch
- patches.suse/selftests-bpf-Validate-frozen-map-contents-stays-fro.patch
- bpftool: Add skeleton codegen command (bsc#1177028).
- libbpf: Add BPF object skeleton support (bsc#1177028).
- libbpf: Postpone BTF ID finding for TRACING programs to load
  phase (bsc#1177028).
- libbpf: Refactor global data map initialization (bsc#1177028).
- libbpf: Expose BPF program's function name (bsc#1177028).
- libbpf: Expose BTF-to-C type declaration emitting API
  (bsc#1177028).
- libbpf: Expose btf__align_of() API (bsc#1177028).
- libbpf: Add BPF_EMBED_OBJ macro for embedding BPF .o files
  (bsc#1177028).
- libbpf: Add generic bpf_program__attach() (bsc#1177028).
- libbpf: Don't require root for bpf_object__open() (bsc#1177028).
- libbpf: Recognize SK_REUSEPORT programs from section name
  (bsc#1177028).
- libbpf: Bump libpf current version to v0.0.7 (bsc#1177028).
- bpf, testing: Add selftest to read/write sockaddr from user
  space (bsc#1177028).
- libbpf: Add C/LDFLAGS to libbpf.so and test_libpf targets
  (bsc#1177028).
- libbpf: Don't use cxx to test_libpf target (bsc#1177028).
- selftests/bpf: test_progs: convert test_tcp_rtt (bsc#1177028).
  Refresh patches
- patches.suse/libbpf-Move-bpf_-helpers-helper_defs-endian-tracing-.patch
- patches.suse/libbpf-auto-generate-list-of-BPF-helper-definitions.patch
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: test_progs: convert test_sockopt_inherit (bsc#1177028).
  Refresh patches
- patches.suse/libbpf-Move-bpf_-helpers-helper_defs-endian-tracing-.patch
- patches.suse/libbpf-auto-generate-list-of-BPF-helper-definitions.patch
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: test_progs: convert test_sockopt_multi (bsc#1177028).
  Refresh patches
- patches.suse/libbpf-Move-bpf_-helpers-helper_defs-endian-tracing-.patch
- patches.suse/libbpf-auto-generate-list-of-BPF-helper-definitions.patch
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: test_progs: convert test_sockopt_sk (bsc#1177028).
  Refresh patches
- patches.suse/libbpf-Move-bpf_-helpers-helper_defs-endian-tracing-.patch
- patches.suse/libbpf-auto-generate-list-of-BPF-helper-definitions.patch
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: test_progs: convert test_sockopt (bsc#1177028).
  Refresh patches
- patches.suse/libbpf-Move-bpf_-helpers-helper_defs-endian-tracing-.patch
- patches.suse/libbpf-auto-generate-list-of-BPF-helper-definitions.patch
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: test_progs: add test__join_cgroup helper (bsc#1177028).
  Refresh patches.suse/selftests-bpf-Make-a-copy-of-subtest-name.patch
- selftests/bpf: add sockopt clone/inheritance test (bsc#1177028).
  Refresh patches
- patches.suse/selftests-bpf-Move-test_section_names-into-test_prog.patch
- patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch
- selftests/bpf: extend sockopt_sk selftest with TCP_CONGESTION
  use case (bsc#1177028).
- commit 588cf6d
* Wed Oct  7 2020 mkubecek@suse.cz
- Update kabi files.
- update to resubmitted October 2020 maintenance update (commit a291df1060d0)
- commit 04003b7
* Wed Oct  7 2020 tzimmermann@suse.de
- mm/hmm: remove superfluous arguments from hmm_range_register (bsc#1152489)
- commit 3cec60c
* Wed Oct  7 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/nfs-Fix-security-label-length-not-being-reset.patch
- commit ae3a19b
* Wed Oct  7 2020 neilb@suse.de
- nfs: Fix security label length not being reset (bsc#1176381).
- commit c73c639
* Wed Oct  7 2020 mgorman@suse.de
- intel_idle: Disable ACPI _CST on Haswell (bsc#1177399).
- commit 7b2bcff
* Tue Oct  6 2020 vbabka@suse.cz
- drm/nouveau/nouveau: fix incorrect sizeof on args.src an
  args.dst (jsc#SLE-16387, git-fixes).
- commit ac146f1
* Tue Oct  6 2020 lduncan@suse.com
- scsi: qedi: Staticify non-external function
  'qedi_get_iscsi_error' (bsc#1177385 jre#sle-15142).
- scsi: qedi: Demote seemingly unintentional kerneldoc header
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Remove set but unused variable 'tmp' (bsc#1177385
  jre#sle-15142).
- scsi: qedi: Remove 2 set but unused variables (bsc#1177385
  jre#sle-15142).
- scsi: qedi: Remove unused variable udev & uctrl (bsc#1177385
  jre#sle-15142).
- scsi: qedi: Remove comparison of 0/1 to bool variable
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Check for buffer overflow in qedi_set_path()
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: make qedi_ll2_buf_size static (bsc#1177385
  jre#sle-15142).
- scsi: qedi: Fix termination timeouts in session logout
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Add modules param to enable qed iSCSI debug
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Do not flush offload work if ARP not resolved
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Use correct msix count for fastpath vectors
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Avoid unnecessary endpoint allocation on link down
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Remove additional char from boot target iqnname
  (bsc#1177385 jre#sle-15142).
- scsi: qedi: Add PCI shutdown handler support (bsc#1177385
  jre#sle-15142).
- scsi: qedi: Add MFW error recovery process (bsc#1177385
  jre#sle-15142).
- commit 3133eab
* Tue Oct  6 2020 mgorman@suse.de
- sched/fair: Reduce busy load balance interval (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Minimize concurrent LBs between domain level
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Reduce minimal imbalance threshold (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Relax constraint on task's load during load
  balance (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Remove the force parameter of update_tg_load_avg()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Fix wrong cpu selecting from isolated domain
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/rt: Disable RT_RUNTIME_SHARE by default (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Simplify the work when reweighting entity
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 0a2eec7
* Tue Oct  6 2020 vbabka@suse.cz
- mm/hmm: remove hmm_range_dma_map and hmm_range_dma_unmap
  (jsc#SLE-16387).
- commit bc6f912
* Tue Oct  6 2020 vbabka@suse.cz
- mm/hmm: make full use of walk_page_range() (jsc#SLE-16387).
- commit fd66a94
* Tue Oct  6 2020 vbabka@suse.cz
- mm/hmm: remove hmm_mirror and related (jsc#SLE-16387).
- commit 74a8c0b
* Tue Oct  6 2020 tiwai@suse.de
- Refresh intel-vbtn patch from the upstream patch
- commit c3bd737
* Tue Oct  6 2020 tiwai@suse.de
- platform/x86: thinkpad_acpi: re-initialize ACPI buffer size
  when reuse (git-fixes).
- platform/x86: intel_pmc_core: do not create a static struct
  device (git-fixes).
- platform/x86: fix kconfig dependency warning for FUJITSU_LAPTOP
  (git-fixes).
- platform/x86: fix kconfig dependency warning for LG_LAPTOP
  (git-fixes).
- platform/x86: thinkpad_acpi: initialize tp_nvram_state variable
  (git-fixes).
- Platform: OLPC: Fix memleak in olpc_ec_probe (git-fixes).
- net: phy: realtek: fix rtl8211e rx/tx delay config (git-fixes).
- commit b64083a
* Tue Oct  6 2020 vbabka@suse.cz
- nouveau: use mmu_interval_notifier instead of hmm_mirror (jsc#SLE-16387).
- commit 9b1a3d6
* Tue Oct  6 2020 vbabka@suse.cz
- mm/hmm: define the pre-processor related parts of hmm.h even
  if disabled (jsc#SLE-16387).
- commit b4bea84
* Tue Oct  6 2020 vbabka@suse.cz
- mm/hmm: allow hmm_range to be used with a mmu_interval_notifier
  or hmm_mirror (jsc#SLE-16387).
- commit f8175c8
* Tue Oct  6 2020 vbabka@suse.cz
- Add jsc#SLE-16387 references.
- Update
  patches.suse/mm-mmu_notifier-add-an-interval-tree-notifier.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifier-define-the-header-pre-processor-part.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit 986a22e
* Tue Oct  6 2020 glin@suse.com
- bpf: Enable bpf cgroup hooks to retrieve cgroup v2 and ancestor
  id (bsc#1177028).
- bpf: Allow to retrieve cgroup v1 classid from v2 hooks
  (bsc#1177028).
- bpf: Add netns cookie and enable it for bpf cgroup hooks
  (bsc#1177028).
- bpf: Enable perf event rb output for bpf cgroup progs
  (bsc#1177028).
- bpf: Enable retrieval of socket cookie for bind/post-bind hook
  (bsc#1177028).
- bpf: Remove unused vairable 'bpf_xdp_link_lops' (bsc#1177028).
- bpf: Factor out attach_type to prog_type mapping for
  attach/detach (bsc#1177028).
- bpf: Factor out cgroup storages operations (bsc#1177028).
- bpf: Verifer, adjust_scalar_min_max_vals to always call
  update_reg_bounds() (bsc#1177028).
- bpf: Verifer, refactor adjust_scalar_min_max_vals (bsc#1177028).
- commit ed2cc54
* Tue Oct  6 2020 vbabka@suse.cz
- mm/hmm: allow snapshot of the special zero page (jsc#SLE-16387).
- commit 2c9afd2
* Tue Oct  6 2020 glin@suse.com
- bpf: Add missing annotations for __bpf_prog_enter() and
  __bpf_prog_exit() (bsc#1177028).
- bpf: Remove bpf_image tree (bsc#1177028).
- bpf: Add dispatchers to kallsyms (bsc#1177028).
- bpf: Add trampolines to kallsyms (bsc#1177028).
- bpf: Add bpf_ksym_add/del functions (bsc#1177028).
- bpf: Add prog flag to struct bpf_ksym object (bsc#1177028).
- bpf: Add bpf_ksym_find function (bsc#1177028).
- bpf: Move ksym_tnode to bpf_ksym (bsc#1177028).
- bpf: Move lnode list node to struct bpf_ksym (bsc#1177028).
- bpf: Add name to struct bpf_ksym (bsc#1177028).
- bpf: Add struct bpf_ksym (bsc#1177028).
- bpf: Add bpf_trampoline_ name prefix for DECLARE_BPF_DISPATCHER
  (bsc#1177028).
- bpf: Abstract away entire bpf_link clean up procedure
  (bsc#1177028).
- bpf: Add bpf_xdp_output() helper (bsc#1177028).
- bpf: Added new helper bpf_get_ns_current_pid_tgid (bsc#1177028).
- fs/nsfs.c: Added ns_match (bsc#1177028).
- bpf: Add bpf_link_new_file that doesn't install FD
  (bsc#1177028).
- bpf: Remove unnecessary CAP_MAC_ADMIN check (bsc#1177028).
- bpf: Provide bpf_prog_run_pin_on_cpu() helper (bsc#1177028).
- selftests/bpf: Update xdp_bpf2bpf test to use new
  set_attach_target API (bsc#1177028).
- selftests/bpf: Add bpf_read_branch_records() selftest
  (bsc#1177028).
- bpf: Add bpf_read_branch_records() helper (bsc#1177028).
- bpf: Allow bpf_perf_event_read_value in all BPF programs
  (bsc#1177028).
- bpf: Sync uapi bpf.h to tools/ (bsc#1177028).
- selftests/bpf: Add a test for attaching a bpf fentry/fexit
  trace to an XDP program (bsc#1177028).
- commit 0e152c5
* Tue Oct  6 2020 martin.wilck@suse.com
- Rename scsi-fnic-do-not-call-scsi_done-for-unhandled-commands.patch
  Fix typo in patch file name.
- commit 554d4c0
* Tue Oct  6 2020 martin.wilck@suse.com
- Refresh patches.suse/fnic-to-not-call-scsi_done-for-unhandled-commands.patch
  (bsc#1168468, bsc#1171675).
- commit c145aa9
* Tue Oct  6 2020 glin@suse.com
- bpf: Attachment verification for BPF_MODIFY_RETURN (bsc#1177028).
- Refresh patches.suse/bpf-Do-not-allow-btf_ctx_access-with-__int128-types.patch.
- commit 8af9bcd
* Tue Oct  6 2020 glin@suse.com
- bpf: Introduce BPF_MODIFY_RETURN (bsc#1177028).
- bpf: JIT helpers for fmod_ret progs (bsc#1177028).
- bpf, x86: Align dispatcher branch targets to 16B (bsc#1177028).
- commit ae6861b
* Tue Oct  6 2020 glin@suse.com
- bpf: Refactor trampoline update code (bsc#1177028).
- bpf: Introduce pinnable bpf_link abstraction (bsc#1177028).
- bpf: INET_DIAG support in bpf_sk_storage (bsc#1177028).
- bpf: Replace zero-length array with flexible-array member
  (bsc#1177028).
- bpf/stackmap: Dont trylock mmap_sem with PREEMPT_RT and
  interrupts disabled (bsc#1177028).
- bpf, lpm: Make locking RT friendly (bsc#1177028).
- bpf: Prepare hashtab locking for PREEMPT_RT (bsc#1177028).
- bpf: Factor out hashtab bucket lock operations (bsc#1177028).
- bpf: Replace open coded recursion prevention in sys_bpf()
  (bsc#1177028).
- bpf: Use recursion prevention helpers in hashtab code
  (bsc#1177028).
- bpf: Provide recursion prevention helpers (bsc#1177028).
- bpf: Use migrate_disable/enabe() in trampoline code
  (bsc#1177028).
- bpf: Dont iterate over possible CPUs with interrupts disabled
  (bsc#1177028).
- bpf: Remove recursion prevention from rcu free callback (bsc#1177028).
  Refresh patches.suse/bpf-Fix-map-leak-in-HASH_OF_MAPS-map.patch
- bpf: Update locking comment in hashtab code (bsc#1177028).
  Refresh patches.suse/bpf-Fix-map-leak-in-HASH_OF_MAPS-map.patch
- bpf: Enforce preallocation for instrumentation programs on RT
  (bsc#1177028).
- bpf: Tighten the requirements for preallocated hash maps
  (bsc#1177028).
- bpf: Allow selecting reuseport socket from a SOCKMAP/SOCKHASH
  (bsc#1177028).
- sched/rt: Provide migrate_disable/enable() inlines
  (bsc#1177028).
- irq_work: Slightly simplify IRQ_WORK_PENDING clearing
  (bsc#1177028).
- irq_work: Fix irq_work_claim() memory ordering (bsc#1177028).
- irq_work: Convert flags to atomic_t (bsc#1177028).
- commit 565a151
* Tue Oct  6 2020 glin@suse.com
- bpf: Change kvfree to kfree in generic_map_lookup_batch()
  (bsc#1177028).
- selftests/bpf: Fix a couple of broken test_btf cases
  (bsc#1177028).
- bpf: Propagate expected_attach_type when verifying freplace
  programs (bsc#1177028).
- bpf, uapi: Remove text about bpf_redirect_map() giving higher
  performance (bsc#1177028).
- commit 8228aac
* Mon Oct  5 2020 tbogendoerfer@suse.de
- Update config files.
  Enable ACPI_PCI_SLOT and HOTPLUG_PCI_ACPI (bsc#1177194).
- commit bc319f1
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net: dsa: link interfaces with the DSA master to get rid of
  lockdep warnings (bsc#1176447).
- xfrm: esp6: fix the location of the transport header with
  encapsulation (bsc#1176447).
- xfrm: esp6: fix encapsulation header offset computation
  (bsc#1176447).
- net: get rid of lockdep_set_class_and_subclass() (bsc#1176447).
- ipv6: rpl: fix loop iteration (bsc#1176447).
- net: ipv6: rpl_iptunnel: Fix potential memory leak in
  rpl_do_srh_inline (bsc#1176447).
- socket: fix unused-function warning (bsc#1176447).
- commit d28d5e7
* Mon Oct  5 2020 tbogendoerfer@suse.de
- bnxt_en: Protect bnxt_set_eee() and bnxt_set_pauseparam()
  with mutex (jsc#SLE-15075).
- bnxt_en: return proper error codes in bnxt_show_temp
  (jsc#SLE-15075).
- net: hns: kerneldoc fixes (jsc#SLE-14777).
- nfp: use correct define to return NONE fec (bsc#1176447).
- cxgb4: fix memory leak during module unload (jsc#SLE-15131).
- net: hns: kerneldoc fixes (jsc#SLE-14777).
- lwtunnel: only keep the available bits when setting vxlan
  md->gbp (bsc#1176447).
- net: sched: only keep the available bits when setting vxlan
  md->gbp (bsc#1176447).
- igc: Fix not considering the TX delay for timestamps
  (jsc#SLE-13533).
- igc: Fix wrong timestamp latency numbers (jsc#SLE-13533).
- net: qed: RDMA personality shouldn't fail VF load
  (jsc#SLE-15143).
- net: qede: Disable aRFS for NPAR and 100G (jsc#SLE-15143).
- net: qed: Disable aRFS for NPAR and 100G (jsc#SLE-15143).
- bnxt_en: Fix NULL ptr dereference crash in bnxt_fw_reset_task()
  (jsc#SLE-15075).
- bnxt_en: Avoid sending firmware messages when AER error is
  detected (jsc#SLE-15075).
- cxgb4: Fix offset when clearing filter byte counters
  (jsc#SLE-15131).
- ip_tunnel_core: Fix build for archs without _HAVE_ARCH_IPV6_CSUM
  (bsc#1176447).
- virtio_net: Add XDP frame size in two code paths (bsc#1176447).
- vmxnet3: let core reject the unsupported coalescing parameters
  (bsc#1176447).
- virtio_net: reject unsupported coalescing params (bsc#1176447).
- virtio_net: Add XDP meta data support (bsc#1176447).
- virtio_net: Keep vnet header zeroed if XDP is loaded for small
  buffer (bsc#1176447).
- vmxnet3: use new helper tcp_v6_gso_csum_prep (bsc#1176447).
- arm64: csum: Optimise IPv6 header checksum (bsc#1176447).
- bpf, xdp: virtio_net use access ptr macro for xdp enable check
  (bsc#1176447).
- arm64: Implement optimised checksum routine (bsc#1176447).
- commit 55b9be4
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net/mlx5: IPsec: Add HW crypto offload support (jsc#SLE-15172).
- Update config files.
- commit 2e4cdf4
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net/mlx5e: Fix missing switch_id for representors
  (jsc#SLE-15172).
- blacklist.conf: removed temporary entry
- commit 09dc124
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net/mlx5e: CT: Fix releasing ft entries (jsc#SLE-15172).
- blacklist.conf: removed temporary entry
- commit 80eac4c
* Mon Oct  5 2020 tbogendoerfer@suse.de
- esp, ah: consolidate the crypto algorithm selections
  (bsc#1176447).
- Update config files.
- commit 6b8aab0
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net: ipv6: add rpl sr tunnel (bsc#1176447).
- Update config files.
- commit 18492b1
* Mon Oct  5 2020 tbogendoerfer@suse.de
- xfrm: add espintcp (RFC 8229) (bsc#1176447).
- Update config files.
- commit 4fbce7b
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net/mlx5: Move helper to eswitch layer (jsc#SLE-15172).
- Refresh
  patches.suse/devlink-Replace-devlink_port_attrs_set-parameters-wi.patch.
- commit 7e738a7
* Mon Oct  5 2020 lduncan@suse.com
- scsi: qedf: Fix null ptr reference in qedf_stag_change_work
  (bsc#1177240 jre#sle-15141).
- scsi: qedf: Demote obvious misuse of kerneldoc to standard
  comment blocks (bsc#1177240 jre#sle-15141).
- scsi: qedf: Remove a whole host of unused variables (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Remove set but not checked variable 'tmp'
  (bsc#1177240 jre#sle-15141).
- scsi: qedf: Demote obvious misuse of kerneldoc to standard
  comment blocks (bsc#1177240 jre#sle-15141).
- scsi: qedf: Remove redundant initialization of variable rc
  (bsc#1177240 jre#sle-15141).
- scsi: qedf: Get dev info after updating the params (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Fix crash when MFW calls for protocol stats while
  function is still probing (bsc#1177240 jre#sle-15141).
- scsi: qedf: Add schedule recovery handler (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Implement callback for bw_update (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Honor status qualifier in FCP_RSP per spec
  (bsc#1177240 jre#sle-15141).
- scsi: qedf: Acquire rport_lock for resetting the delay_timestamp
  (bsc#1177240 jre#sle-15141).
- scsi: qedf: Increase the upper limit of retry delay (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Keep track of num of pending flogi (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Simplify mutex_unlock() usage (bsc#1177240
  jre#sle-15141).
- scsi: qedf: Use pci_get_dsn() (bsc#1177240 jre#sle-15141).
- commit 259b8dd
* Mon Oct  5 2020 tbogendoerfer@suse.de
- net/mlx5e: kTLS, Avoid kzalloc(GFP_KERNEL) under spinlock
  (jsc#SLE-15172).
- net/mlx5e: kTLS, Fix leak on resync error flow (jsc#SLE-15172).
- net/mlx5e: kTLS, Add missing dma_unmap in RX resync
  (jsc#SLE-15172).
- net/mlx5e: kTLS, Fix napi sync and possible use-after-free
  (jsc#SLE-15172).
- net/mlx5e: TLS, Do not expose FPGA TLS counter if not supported
  (jsc#SLE-15172).
- net/mlx5e: Fix using wrong stats_grps in
  mlx5e_update_ndo_stats() (jsc#SLE-15172).
- net/mlx5e: Fix multicast counter not up-to-date in "ip -s"
  (jsc#SLE-15172).
- net/mlx5e: Fix endianness when calculating pedit mask first bit
  (jsc#SLE-15172).
- net/mlx5e: Enable adding peer miss rules only if merged eswitch
  is supported (jsc#SLE-15172).
- net/mlx5e: CT: Fix freeing ct_label mapping (jsc#SLE-15172).
- net/mlx5e: Fix memory leak of tunnel info when rule under
  multipath not ready (jsc#SLE-15172).
- net/mlx5e: Use synchronize_rcu to sync with NAPI
  (jsc#SLE-15172).
- net/mlx5e: Use RCU to protect rq->xdp_prog (jsc#SLE-15172).
- net/mlx5: Fix FTE cleanup (jsc#SLE-15172).
- geneve: add transport ports in route lookup for geneve
  (bsc#1176447).
- net: disable netpoll on fresh napis (bsc#1176447).
- net: nexthop: don't allow empty NHA_GROUP (bsc#1176447).
- scsi: fcoe: Fix I/O path allocation (jsc#SLE-13706).
- net: bonding: bond_alb: Describe
  alb_handle_addr_collision_on_attach()'s 'bond' and 'addr'
  params (bsc#1176447).
- net: bonding: bond_main: Document 'proto' and rename
  'new_active' parameters (bsc#1176447).
- net: bonding: bond_3ad: Fix a bunch of kerneldoc parameter
  issues (bsc#1176447).
- bonding: show saner speed for broadcast mode (bsc#1176447).
- net/mlx5: Enable count action for rules with allow action
  (jsc#SLE-15172).
- net/mlx5: Support setting access rights of dma addresses
  (jsc#SLE-15172).
- net/mlx5: Enable QP number request when creating IPoIB underlay
  QP (jsc#SLE-15172).
- Revert "vxlan: fix tos value before xmit" (bsc#1176447).
- geneve: Support for PMTU discovery on directly bridged links
  (bsc#1176447).
- vxlan: Support for PMTU discovery on directly bridged links
  (bsc#1176447).
- tunnels: PMTU discovery support for directly bridged IP packets
  (jsc#SLE-15172).
- ipv4: route: Ignore output interface in FIB lookup for PMTU
  route (bsc#1176447).
- net/mlx5: Delete extra dump stack that gives nothing
  (jsc#SLE-15172).
- net/mlx5: convert to new udp_tunnel infrastructure
  (jsc#SLE-15172).
- net/mlx5e: Enable users to change VF/PF representors carrier
  state (jsc#SLE-15172).
- ixgbe: use eth_zero_addr() to clear mac address (jsc#SLE-13706).
- ixgbe: Remove unnecessary usages of memset (jsc#SLE-13706).
- ixgbevf: use generic power management (jsc#SLE-13706).
- ixgbe: use generic power management (jsc#SLE-13706).
- xfrm: Make the policy hold queue work with VTI (bsc#1176447).
- xfrm: interface: use IS_REACHABLE to avoid some compile errors
  (bsc#1176447).
- xfrm: interface: not xfrmi_ipv6/ipip_handler twice
  (bsc#1176447).
- xfrm interface: store xfrmi contexts in a hash by if_id
  (bsc#1176447).
- xfrm interface: avoid xi lookup in xfrmi_decode_session()
  (bsc#1176447).
- xfrm: interface: support IPIP and IPIP6 tunnels processing
  with .cb_handler (bsc#1176447).
- xfrm: interface: support IP6IP6 and IP6IP tunnels processing
  with .cb_handler (bsc#1176447).
- tunnel6: add tunnel6_input_afinfo for ipip and ipv6 tunnels
  (bsc#1176447).
- tunnel4: add cb_handler to struct xfrm_tunnel (bsc#1176447).
- xfrm: add is_ipip to struct xfrm_input_afinfo (bsc#1176447).
- xfrm: introduce oseq-may-wrap flag (bsc#1176447).
- net/mlx5: drop unnecessary list_empty (jsc#SLE-15172).
- net/mlx5: Use fallthrough pseudo-keyword (jsc#SLE-15172).
- net/mlx5: DR, Reduce print level for matcher print
  (jsc#SLE-15172).
- net/mlx5e: Add support for PCI relaxed ordering (jsc#SLE-15172).
- net/mlx5e: Use indirect call wrappers for RX post WQEs functions
  (jsc#SLE-15172).
- net/mlx5e: Move exposure of datapath function to txrx header
  (jsc#SLE-15172).
- net/mlx5e: RX, Re-work initializaiton of RX function pointers
  (jsc#SLE-15172).
- net/mlx5e: Link non uplink representors to PCI device
  (jsc#SLE-15172).
- net/mlx5: E-switch, Use eswitch total_vports (jsc#SLE-15172).
- net/mlx5: E-switch, Reuse total_vports and avoid duplicate
  nvports (jsc#SLE-15172).
- net/mlx5: E-switch, Consider maximum vf vports for steering init
  (jsc#SLE-15172).
- net/mlx5: Add function ID to reclaim pages debug log
  (jsc#SLE-15172).
- net/mlx5: Hold pages RB tree per VF (jsc#SLE-15172).
- bareudp: Reverted support to enable & disable rx metadata
  collection (jsc#SLE-15172).
- net/mlx5e: CT: Map 128 bits labels to 32 bit map ID
  (jsc#SLE-15172).
- net/mlx5e: Do not request completion on every single UMR WQE
  (jsc#SLE-15172).
- net/mlx5e: RX, Avoid indirect call in representor CQE handling
  (jsc#SLE-15172).
- net/mlx5e: XDP, Avoid indirect call in TX flow (jsc#SLE-15172).
- net/mlx5e: IPsec: Add Connect-X IPsec ESN update offload support
  (jsc#SLE-15172).
- net/mlx5e: IPsec: Add Connect-X IPsec Rx data path offload
  (jsc#SLE-15172).
- net/mlx5e: IPsec: Add IPsec steering in local NIC RX
  (jsc#SLE-15172).
- net/mlx5: Accel, Add core IPsec support for the Connect-X family
  (jsc#SLE-15172).
- net/mlx5: E-switch, Reduce dependency on num_vfs during mode
  set (jsc#SLE-15172).
- net/mlx5: E-switch, Avoid function change handler for non ECPF
  (jsc#SLE-15172).
- net/mlx5: Make MLX5_EN_TLS non-prompt (jsc#SLE-15172).
- net/mlx5e: Fix build break when CONFIG_XPS is not set
  (jsc#SLE-15172).
- net/mlx5e: Move devlink-health rx and tx reporters to devlink
  port (jsc#SLE-15172).
- net/mlx5e: Move devlink port register and unregister calls
  (jsc#SLE-15172).
- net/mlx5e: CT: Remove unused function param (jsc#SLE-15172).
- net/mlx5e: CT: Return err_ptr from internal functions
  (jsc#SLE-15172).
- net/mlx5e: CT: Expand tunnel register mappings (jsc#SLE-15172).
- net/mlx5e: CT: Use mapping for zone restore register
  (jsc#SLE-15172).
- net/mlx5e: CT: Re-use tuple modify headers for identical modify
  actions (jsc#SLE-15172).
- net/mlx5e: Export sharing of mod headers to a new file
  (jsc#SLE-15172).
- net/mlx5e: CT: Restore ct state from lookup in zone instead
  of tupleid (jsc#SLE-15172).
- net/mlx5e: CT: Don't offload tuple rewrites for established
  tuples (jsc#SLE-15172).
- net/mlx5e: Use netdev_info instead of pr_info (jsc#SLE-15172).
- net/mlx5e: CT: Allow header rewrite of 5-tuple and ct clear
  action (jsc#SLE-15172).
- net/mlx5e: CT: Save ct entries tuples in hashtables
  (jsc#SLE-15172).
- net/mlx5: E-switch, When eswitch is unsupported, return
  - EOPNOTSUPP (jsc#SLE-15172).
- ixgbe: convert to new udp_tunnel_nic infra (jsc#SLE-13706).
- ixgbe: don't clear UDP tunnel ports when RXCSUM is disabled
  (jsc#SLE-13706).
- bonding: don't need RTNL for ipsec helpers (bsc#1176447).
- bonding: deal with xfrm state in all modes and add more
  error-checking (bsc#1176447).
- net/mlx5: Added support for 100Gbps per lane link modes
  (jsc#SLE-15172).
- geneve: move all configuration under struct geneve_config
  (bsc#1176447).
- net/mlx5e: Enhance TX timeout recovery (jsc#SLE-15172).
- net/mlx5e: Enhance ICOSQ data on RX reporter's diagnose
  (jsc#SLE-15172).
- net/mlx5e: Add EQ info to TX/RX reporter's diagnose
  (jsc#SLE-15172).
- net/mlx5e: Enhance CQ data on diagnose output (jsc#SLE-15172).
- net/mlx5e: Rename reporter's helpers (jsc#SLE-15172).
- net/mlx5e: Add helper to get the RQ WQE counter (jsc#SLE-15172).
- net/mlx5e: Add helper to get RQ WQE's head (jsc#SLE-15172).
- net/mlx5e: Move RQ helpers to txrx.h (jsc#SLE-15172).
- net/mlx5e: Align RX/TX reporters diagnose output format
  (jsc#SLE-15172).
- net/mlx5e: Remove redundant RQ state query (jsc#SLE-15172).
- net/mlx5e: Add a flush timeout define (jsc#SLE-15172).
- net/mlx5e: Change reporters create functions to return void
  (jsc#SLE-15172).
- ixgbe: Add ethtool support to enable 2.5 and 5.0 Gbps support
  (jsc#SLE-13706).
- ixgbe: Cleanup unneeded delay in ethtool test (jsc#SLE-13706).
- bonding: allow xfrm offload setup post-module-load
  (bsc#1176447).
- ena_netdev: use generic power management (bsc#1176447).
- net: ethernet: ixgbe: don't call devm_mdiobus_free()
  (jsc#SLE-13706).
- net: ethernet: ixgbe: check the return value of
  ixgbe_mii_bus_init() (jsc#SLE-13706).
- net/mlx5e: fix memory leak of tls (jsc#SLE-15172).
- net/mlx5e: kTLS, Improve rx handler function call
  (jsc#SLE-15172).
- net/mlx5e: kTLS, Cleanup redundant capability check
  (jsc#SLE-15172).
- net/mlx5e: Increase Async ICO SQ size (jsc#SLE-15172).
- net/mlx5e: kTLS, Add kTLS RX stats (jsc#SLE-15172).
- net/mlx5e: kTLS, Add kTLS RX resync support (jsc#SLE-15172).
- net/mlx5e: kTLS, Add kTLS RX HW offload support (jsc#SLE-15172).
- net/mlx5e: kTLS, Use kernel API to extract private offload
  context (jsc#SLE-15172).
- net/mlx5e: kTLS, Improve TLS feature modularity (jsc#SLE-15172).
- net/mlx5e: Accel, Expose flow steering API for rules add/del
  (jsc#SLE-15172).
- net/mlx5e: Receive flow steering framework for accelerated
  TCP flows (jsc#SLE-15172).
- net/mlx5e: API to manipulate TTC rules destinations
  (jsc#SLE-15172).
- net/mlx5e: Refactor build channel params (jsc#SLE-15172).
- net/mlx5e: Turn XSK ICOSQ into a general asynchronous one
  (jsc#SLE-15172).
- net/mlx5: kTLS, Improve TLS params layout structures
  (jsc#SLE-15172).
- net/mlx5: Avoid eswitch header inclusion in fs core layer
  (jsc#SLE-15172).
- bareudp: Added attribute to enable & disable rx metadata
  collection (jsc#SLE-15172).
- bonding: Remove extraneous parentheses in bond_setup
  (bsc#1176447).
- net/mlx5e: vxlan: Return bool instead of opaque ptr in
  port_lookup() (jsc#SLE-15172).
- net/mlx5e: vxlan: Use RCU for vxlan table lookup
  (jsc#SLE-15172).
- net/mlx5e: Move TC-specific function definitions into
  MLX5_CLS_ACT (jsc#SLE-15172).
- net/mlx5e: Move including net/arp.h from en_rep.c to rep/neigh.c
  (jsc#SLE-15172).
- net/mlx5e: Remove unused mlx5e_xsk_first_unused_channel
  (jsc#SLE-15172).
- net/mlx5: Use kfree(ft->g) in arfs_create_groups()
  (jsc#SLE-15172).
- net/mlx5: FWTrace: Add missing space (jsc#SLE-15172).
- net/mlx5: Avoid eswitch header inclusion in fs core layer
  (jsc#SLE-15172).
- bonding/xfrm: use real_dev instead of slave_dev (bsc#1176447).
- bonding: support hardware encryption offload to slaves
  (bsc#1176447).
- mlx5: become aware of when running as a bonding slave
  (jsc#SLE-15172).
- ixgbe_ipsec: become aware of when running as a bonding slave
  (jsc#SLE-13706).
- xfrm: bail early on slave pass over skb (bsc#1176447).
- net/mlx5: E-switch, Supporting setting devlink port function
  mac address (jsc#SLE-15172).
- net/mlx5: Split mac address setting function for using
  state_lock (jsc#SLE-15172).
- net/mlx5: E-switch, Support querying port function mac address
  (jsc#SLE-15172).
- net/mlx5: E-switch, Introduce and use eswitch support check
  helper (jsc#SLE-15172).
- net/mlx5: Constify mac address pointer (jsc#SLE-15172).
- vxlan: fix memleak of fdb (bsc#1176447).
- espintcp: count packets dropped in espintcp_rcv (bsc#1176447).
- espintcp: handle short messages instead of breaking the encap
  socket (bsc#1176447).
- xfrm: Fix crash when the hold queue is used (bsc#1176447).
- xfrm: policy: fix IPv6-only espintcp compilation (bsc#1176447).
- espintcp: recv() should return 0 when the peer socket is closed
  (bsc#1176447).
- espintcp: support non-blocking sends (bsc#1176447).
- net: xfrmi: implement header_ops->parse_protocol for AF_PACKET
  (bsc#1176447).
- net: ip_tunnel: add header_ops for layer 3 devices
  (bsc#1176447).
- vxlan: fix last fdb index during dump of fdb with nhid
  (bsc#1176447).
- esp, ah: modernize the crypto algorithm selections
  (bsc#1176447).
- esp: select CRYPTO_SEQIV (bsc#1176447).
- xfrm: merge fixup for "remove output_finish indirection from
  xfrm_state_afinfo" (bsc#1176447).
- xfrm: Fix double ESP trailer insertion in IPsec crypto offload
  (bsc#1176447).
- vxlan: Remove access to nexthop group struct (bsc#1176447).
- nexthop: Fix fdb labeling for groups (bsc#1176447).
- net: change addr_list_lock back to static key (bsc#1176447).
- vxlan: fix dereference of nexthop group in nexthop update path
  (bsc#1176447).
- ipv4: nexthop: Fix deadcode issue by performing a proper NULL
  check (bsc#1176447).
- vxlan: few locking fixes in nexthop event handler (bsc#1176447).
- vxlan: add check to prevent use of remote ip attributes with
  NDA_NH_ID (bsc#1176447).
- xfrm: fix unused variable warning if CONFIG_NETFILTER=n
  (bsc#1176447).
- xfrm: remove output_finish indirection from xfrm_state_afinfo
  (bsc#1176447).
- xfrm: remove extract_output indirection from xfrm_state_afinfo
  (bsc#1176447).
- xfrm: place xfrm6_local_dontfrag in xfrm.h (bsc#1176447).
- xfrm: expose local_rxpmtu via ipv6_stubs (bsc#1176447).
- xfrm: move xfrm4_extract_header to common helper (bsc#1176447).
- xfrm: state: remove extract_input indirection from
  xfrm_state_afinfo (bsc#1176447).
- xfrm: avoid extract_output indirection for ipv4 (bsc#1176447).
- xfrm: add IPv6 support for espintcp (bsc#1176447).
- xfrm: add support for UDPv6 encapsulation of ESP (bsc#1176447).
- xfrm interface: don't take extra reference to netdev
  (bsc#1176447).
- nexthop: Fix type of event_type in call_nexthop_notifiers
  (bsc#1176447).
- vxlan: Do not assume RTNL is held in vxlan_fdb_info()
  (bsc#1176447).
- tunnel6: support for IPPROTO_MPLS (bsc#1176447).
- vxlan: support for nexthop notifiers (bsc#1176447).
- nexthop: add support for notifiers (bsc#1176447).
- vxlan: ecmp support for mac fdb entries (bsc#1176447).
- nexthop: support for fdb ecmp nexthops (bsc#1176447).
- ena: Add XDP frame size to amazon NIC driver (bsc#1176447).
- bonding: Implement ndo_get_xmit_slave (bsc#1176447).
- bonding: Add array of all slaves (bsc#1176447).
- bonding: Add function to get the xmit slave in active-backup
  mode (bsc#1176447).
- bonding: Add helper function to get the xmit slave in rr mode
  (bsc#1176447).
- bonding: Add helper function to get the xmit slave based on hash
  (bsc#1176447).
- bonding/alb: Add helper functions to get the xmit slave
  (bsc#1176447).
- bonding: Rename slave_arr to usable_slaves (bsc#1176447).
- bonding: Export skip slave logic to function (bsc#1176447).
- bonding: propagate transmit status (bsc#1176447).
- netpoll: accept NULL np argument in netpoll_send_skb()
  (bsc#1176447).
- netpoll: netpoll_send_skb() returns transmit status
  (bsc#1176447).
- netpoll: move netpoll_send_skb() out of line (bsc#1176447).
- netpoll: remove dev argument from netpoll_send_skb_on_dev()
  (bsc#1176447).
- bonding: remove useless stats_lock_key (bsc#1176447).
- netpoll: Fix use correct return type for ndo_start_xmit()
  (bsc#1176447).
- net: ipv4: add sysctl for nexthop api compatibility mode
  (bsc#1176447).
- net: ipv6: new arg skip_notify to ip6_rt_del (bsc#1176447).
- xfrm: fix a NULL-ptr deref in xfrm_local_error (bsc#1176447).
- xfrm interface: fix oops when deleting a x-netns interface
  (bsc#1176447).
- xfrm: call xfrm_output_gso when inner_protocol is set in
  xfrm_output (bsc#1176447).
- xfrm: espintcp: save and call old ->sk_destruct (bsc#1176447).
- xfrm: do pskb_pull properly in __xfrm_transport_prep
  (bsc#1176447).
- xfrm: allow to accept packets with ipv6 NEXTHDR_HOP in
  xfrm_input (bsc#1176447).
- bonding: Fix reference count leak in bond_sysfs_slave_add
  (bsc#1176447).
- nexthops: don't modify published nexthop groups (bsc#1176447).
- nexthops: Move code from remove_nexthop_from_groups to
  remove_nh_grp_entry (bsc#1176447).
- xfrm: add prep for esp beet mode offload (bsc#1176447).
- ESP: Export esp_output_fill_trailer function (bsc#1176447).
- xfrm: Use kmem_cache_zalloc() instead of kmem_cache_alloc()
  with flag GFP_ZERO (bsc#1176447).
- net: add net available in build_state (bsc#1176447).
- net: ipv6: add support for rpl sr exthdr (bsc#1176447).
- addrconf: add functionality to check on rpl requirements
  (bsc#1176447).
- include: uapi: linux: add rpl sr header definition
  (bsc#1176447).
- net: Fix typo of SKB_SGO_CB_OFFSET (bsc#1176447).
- Remove DST_HOST (bsc#1176447).
- net: ena: reject unsupported coalescing params (bsc#1176447).
- net: lwtunnel: Replace zero-length array with flexible-array
  member (bsc#1176447).
- net: datagram: drop 'destructor' argument from several helpers
  (bsc#1176447).
- unix: uses an atomic type for scm files accounting
  (bsc#1176447).
- bonding: Replace zero-length array with flexible-array member
  (bsc#1176447).
- af_unix: Add missing annotation for unix_wait_for_peer()
  (bsc#1176447).
- xfrm: policy: Fix doulbe free in xfrm_policy_timer
  (bsc#1176447).
- esp: remove the skb from the chain when it's enqueued in
  cryptd_wq (bsc#1176447).
- xfrm: add the missing verify_sec_ctx_len check in
  xfrm_add_acquire (bsc#1176447).
- xfrm: fix uctx len check in verify_sec_ctx_len (bsc#1176447).
- xfrm: handle NETDEV_UNREGISTER for xfrm device (bsc#1176447).
- unix: It's CONFIG_PROC_FS not CONFIG_PROCFS (bsc#1176447).
- unix: define and set show_fdinfo only if procfs is enabled
  (bsc#1176447).
- xfrm: interface: use icmp_ndo_send helper (bsc#1176447).
- esp4: split esp_output_udp_encap and introduce esp_output_encap
  (bsc#1176447).
- esp4: prepare esp_input_done2 for non-UDP encapsulation
  (bsc#1176447).
- xfrm: introduce xfrm_trans_queue_net (bsc#1176447).
- net: add queue argument to __skb_wait_for_more_packets and
  __skb_{,try_}recv_datagram (bsc#1176447).
- net: xfrm: use skb_list_walk_safe helper for gso segments
  (bsc#1176447).
- vxlan: Fix alignment and code style of vxlan.c (bsc#1176447).
- bonding: rename AD_STATE_* to LACP_STATE_* (bsc#1176447).
- bonding: move 802.3ad port state flags to uapi (bsc#1176447).
- unix: Show number of pending scm files of receive queue in
  fdinfo (bsc#1176447).
- net: Allow to show socket-specific information in
  /proc//fdinfo/[fd] (bsc#1176447).
- xfrm: interface: do not confirm neighbor when do pmtu update
  (bsc#1176447).
- xfrm: ifdef
  setsockopt(UDP_ENCAP_ESPINUDP/UDP_ENCAP_ESPINUDP_NON_IKE)
  (bsc#1176447).
- xfrm: remove the unnecessary .net_exit for xfrmi (bsc#1176447).
- Convert usage of IN_MULTICAST to ipv4_is_multicast
  (bsc#1176447).
- commit 61eba3d
* Mon Oct  5 2020 tiwai@suse.de
- platform/x86: intel-vbtn: Switch to an allow-list for
  SW_TABLET_MODE reporting (bsc#1175599).
- commit 677b36d
* Mon Oct  5 2020 mbenes@suse.cz
- ftrace: Move RCU is watching check after recursion check
  (git-fixes).
- commit 3837051
* Mon Oct  5 2020 yousaf.kaukab@suse.com
- r8152: Use MAC address from correct device tree node
  (jsc#SLE-15847).
- iommu/arm-smmu: Add global/context fault implementation hooks
  (jsc#SLE-15847).
- iommu/arm-smmu: add NVIDIA implementation for ARM MMU-500 usage
  (jsc#SLE-15847).
- iommu/arm-smmu: ioremap smmu mmio region before implementation
  init (jsc#SLE-15847).
- iommu/arm-smmu: move TLB timeout and spin count macros
  (jsc#SLE-15847).
- soc/tegra: fuse: Add Tegra186 and Tegra194 SoC IDs
  (jsc#SLE-15847).
- firmware: tegra: Update BPMP ABI (jsc#SLE-15847).
- r8152: Use MAC address from device tree if available
  (jsc#SLE-15847).
- nvmem: core: fix memory abort in cleanup path (jsc#SLE-15847).
- gpio: tegra186: Allow building on Tegra194-only configurations
  (jsc#SLE-15847).
- mmc: mmc_spi: Use proper debounce time for CD GPIO
  (jsc#SLE-15847).
- hwmon: pwm-fan: Use platform_get_irq_optional() (jsc#SLE-15847).
- commit 33ea3c2
* Mon Oct  5 2020 tbogendoerfer@suse.de
- ionic: add more ethtool stats (jsc#SLE-16649).
- Refresh patches.suse/ionic-centralize-queue-reset-code.patch.
- commit 3512559
* Mon Oct  5 2020 tbogendoerfer@suse.de
- ionic: fix txrx work accounting (jsc#SLE-16649).
- ionic_lif: Use devm_kcalloc() in ionic_qcq_alloc()
  (jsc#SLE-16649).
- ionic: separate interrupt for Tx and Rx (jsc#SLE-16649).
- ionic: tx separate servicing (jsc#SLE-16649).
- ionic: use fewer firmware doorbells on rx fill (jsc#SLE-16649).
- ionic: fix memory leak of object 'lid' (jsc#SLE-16649).
- ionic: interface file updates (jsc#SLE-16649).
- ionic: rearrange reset and bus-master control (jsc#SLE-16649).
- ionic: update eid test for overflow (jsc#SLE-16649).
- ionic: remove unused ionic_coal_hw_to_usec (jsc#SLE-16649).
- ionic: set netdev default name (jsc#SLE-16649).
- ionic: get MTU from lif identity (jsc#SLE-16649).
- ionic: more ionic name tweaks (jsc#SLE-16649).
- ionic: ionic_intr_free parameter change (jsc#SLE-16649).
- ionic: reset device at probe (jsc#SLE-16649).
- ionic: shorter dev cmd wait time (jsc#SLE-16649).
- ionic: add support for more xcvr types (jsc#SLE-16649).
- ionic: protect vf calls from fw reset (jsc#SLE-16649).
- ionic: updates to ionic FW api description (jsc#SLE-16649).
- ionic: support longer tx sg lists (jsc#SLE-16649).
- ionic: Use debugfs_create_bool() to export bool (jsc#SLE-16649).
- ionic: add device reset to fw upgrade down (jsc#SLE-16649).
- ionic: let core reject the unsupported coalescing parameters
  (jsc#SLE-16649).
- ionic: use new helper tcp_v6_gso_csum_prep (jsc#SLE-16649).
- commit 74144f5
* Mon Oct  5 2020 jroedel@suse.de
- iommu/amd: Fix IOMMU AVIC not properly update the is_run bit
  in IRTE (bsc#1177297).
- commit d4ca096
* Mon Oct  5 2020 glin@suse.com
- bpf: Sanitize the bpf_struct_ops tcp-cc name (bsc#1177028).
- bpf: Do not allow map_freeze in struct_ops map (bsc#1177028).
- bpf: Return better error value in delete_elem for struct_ops
  map (bsc#1177028).
- bpf: Fix a potential deadlock with bpf_map_do_batch
  (bsc#1177028).
- bpf: Do not grab the bucket spinlock by default on htab batch
  ops (bsc#1177028).
- bpf: Make btf_check_func_type_match() static (bsc#1177028).
- bpf: Reuse log from btf_prase_vmlinux() in btf_struct_ops_init()
  (bsc#1177028).
- bpf, xdp: Remove no longer required rcu_read_{un}lock()
  (bsc#1177028).
- bpf, xdp: Update devmap comments to reflect napi/rcu usage
  (bsc#1177028).
- bpf: Allow to resolve bpf trampoline and dispatcher in unwind
  (bsc#1177028).
- bpf: Allow BTF ctx access for string pointers (bsc#1177028).
- bpf, devmap: Pass lockdep expression to RCU lists (bsc#1177028).
- bpf: Add BPF_FUNC_jiffies64 (bsc#1177028).
- bpf: Introduce dynamic program extensions (bsc#1177028).
- bpf: Fix error path under memory pressure (bsc#1177028).
- bpf: Add bpf_send_signal_thread() helper (bsc#1177028).
- bpf: Synch uapi bpf.h to tools/ (bsc#1177028).
- bpf: Add BPF_FUNC_tcp_send_ack helper (bsc#1177028).
- commit e5c066f
* Mon Oct  5 2020 jroedel@suse.de
- drm/prime: fix extracting of the DMA addresses from a
  scatterlist (bsc#1177287).
- commit e4cdf1b
* Mon Oct  5 2020 jroedel@suse.de
- iommu/amd: Re-factor guest virtual APIC (de-)activation code
  (bsc#1177284).
- Refresh
  patches.suse/iommu-amd-restore-irte-remapen-bit-after-programming-irte.
- commit 9de73d9
* Mon Oct  5 2020 jroedel@suse.de
- iommu/exynos: add missing put_device() call in
  exynos_iommu_of_xlate() (bsc#1177286).
- iommu/amd: Restore IRTE.RemapEn bit for
  amd_iommu_activate_guest_mode (bsc#1177285).
- iommu/amd: Fix potential @entry null deref (bsc#1177283).
- commit 7766a97
* Mon Oct  5 2020 jroedel@suse.de
- iommu/amd: Fix the overwritten field in IVMD header
  (bsc#1177280).
- drm/radeon: fix scatter-gather mapping with user pages
  (bsc#1177279).
- drm/amdgpu: fix scatter-gather mapping with user pages
  (bsc#1177277).
- drm/prime: use dma length macro when mapping sg (bsc#1177278).
- commit c5a03ce
* Mon Oct  5 2020 jgross@suse.com
- xen/events: don't use chip_data for legacy IRQs (bsc#1065600).
- commit 1009a6a
* Mon Oct  5 2020 tiwai@suse.de
- phy: ti: am654: Fix a leak in serdes_am654_probe() (git-fixes).
- commit 91925ce
* Mon Oct  5 2020 tiwai@suse.de
- USB: gadget: f_ncm: Fix NDP16 datagram validation (git-fixes).
- commit 62e667f
* Mon Oct  5 2020 tiwai@suse.de
- Input: trackpoint - enable Synaptics trackpoints (git-fixes).
- commit e02fa5e
* Mon Oct  5 2020 tiwai@suse.de
- pinctrl: mvebu: Fix i2c sda definition for 98DX3236 (git-fixes).
- commit 9356b76
* Mon Oct  5 2020 tiwai@suse.de
- iio: adc: qcom-spmi-adc5: fix driver name (git-fixes).
- commit f78905d
* Mon Oct  5 2020 tiwai@suse.de
- gpio: mockup: fix resource leak in error path (git-fixes).
- commit bdd2ea9
* Mon Oct  5 2020 tiwai@suse.de
- gpio: siox: explicitly support only threaded irqs (git-fixes).
- commit 57c8150
* Mon Oct  5 2020 tiwai@suse.de
- gpio: tc35894: fix up tc35894 interrupt configuration
  (git-fixes).
- commit bcd4186
* Mon Oct  5 2020 tiwai@suse.de
- gpio: sprd: Clear interrupt when setting the type as edge
  (git-fixes).
- commit 3f5c502
* Mon Oct  5 2020 tiwai@suse.de
- mmc: sdhci: Workaround broken command queuing on Intel GLK
  based IRBIS models (git-fixes).
- commit ca933ab
* Mon Oct  5 2020 tiwai@suse.de
- clk: socfpga: stratix10: fix the divider for the
  emac_ptp_free_clk (git-fixes).
- commit f3d75fd
* Mon Oct  5 2020 tiwai@suse.de
- clk: samsung: exynos4: mark 'chipid' clock as CLK_IGNORE_UNUSED
  (git-fixes).
- commit e344453
* Mon Oct  5 2020 tiwai@suse.de
- clk: tegra: Always program PLL_E when enabled (git-fixes).
- commit bbc21a4
* Mon Oct  5 2020 glin@suse.com
- bpf: don't bother with getname/kern_path - use user_path_at
  (bsc#1177028).
- bpf: Fix memory leaks in generic update/delete batch ops
  (bsc#1177028).
- bpf: Remove set but not used variable 'first_key' (bsc#1177028).
- devmap: Adjust tracepoint for map-less queue flush
  (bsc#1177028).
- xdp: Use bulking for non-map XDP_REDIRECT and consolidate code paths (bsc#1177028).
  Refresh patches.suse/tun-Don-t-put_page-for-all-negative-return-values-fr.patch
- xdp: Move devmap bulk queue into struct net_device (bsc#1177028).
  Refresh patches.suse/net-partially-revert-dynamic-lockdep-key-changes.patch
- bpf: Add batch ops to all htab bpf map (bsc#1177028).
- bpf: Add lookup and update batch ops to arraymap (bsc#1177028).
- bpf: Add generic support for update and delete batch ops
  (bsc#1177028).
- bpf: Add generic support for lookup batch op (bsc#1177028).
- bpf: Add bpf_map_{value_size, update_value, map_copy_value}
  functions (bsc#1177028).
- bpf: Fix seq_show for BPF_MAP_TYPE_STRUCT_OPS (bsc#1177028).
- bpf: Introduce function-by-function verification (bsc#1177028).
- bpf: tcp: Support tcp_congestion_ops in bpf (bsc#1177028).
- bpf: Introduce BPF_MAP_TYPE_STRUCT_OPS (bsc#1177028).
  Refresh patches.suse/bpf-Fix-trampoline-usage-in-preempt.patch due to
  the change of arch_prepare_bpf_trampoline() parameters.
- bpf: Introduce BPF_PROG_TYPE_STRUCT_OPS (bsc#1177028).
  Refresh patches.suse/bpf-Fix-handling-of-XADD-on-BTF-memory.patch
- xdp: Remove map_to_flush and map swap detection (bsc#1177028).
- commit 1b26450
* Sun Oct  4 2020 lduncan@suse.com
- scsi: iscsi: iscsi_tcp: Avoid holding spinlock while calling
  getpeername() (bsc#1177258).
- commit ea50f56
* Sat Oct  3 2020 mgorman@suse.de
- sched/fair: Ignore cache hotness for SMT migration (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/numa: Use runnable_avg to classify node (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Use dst group while checking imbalance for NUMA
  balancer (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit a9a7020
* Sat Oct  3 2020 tiwai@suse.de
- clocksource/drivers/h8300_timer8: Fix wrong return value in
  h8300_8timer_init() (git-fixes).
- hwmon: (applesmc) check status earlier (git-fixes).
- 9p: Fix memory leak in v9fs_mount (git-fixes).
- yam: fix possible memory leak in yam_init_driver (git-fixes).
- airo: Fix read overflows sending packets (git-fixes).
- clk/ti/adpll: allocate room for terminating null (git-fixes).
- ASoC: kirkwood: fix IRQ error handling (git-fixes).
- commit 7091952
* Sat Oct  3 2020 tbogendoerfer@suse.de
- Stop the ad-hoc games with -Wno-maybe-initialized
  (jsc#SLE-15176).
- Update config files.
- commit 4e6fc9e
* Sat Oct  3 2020 tbogendoerfer@suse.de
- RDMA/mlx5: Fix flow destination setting for RDMA TX flow table
  (jsc#SLE-15175).
- blacklist.conf: removed from blacklist
- commit 54c5f83
* Sat Oct  3 2020 tbogendoerfer@suse.de
- IB/uverbs: Enable CQ ioctl commands by default (jsc#SLE-15176).
- Update config files.
- commit 4c62ead
* Sat Oct  3 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: Change wr posting logic to accommodate variable
  wqes (jsc#SLE-15076).
- Refresh
  patches.suse/RDMA-bnxt_re-Fix-the-qp-table-indexing.patch.
- commit f2be734
* Sat Oct  3 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: introduce a function to allocate swq
  (jsc#SLE-15076).
- Refresh
  patches.suse/RDMA-bnxt_re-Fix-the-qp-table-indexing.patch.
- commit 9d35d9b
* Sat Oct  3 2020 tbogendoerfer@suse.de
- RDMA/mlx5: Introduce ODP prefetch counter (jsc#SLE-15175).
- Refresh
  patches.suse/RDMA-mlx5-Add-missing-srcu_read_lock-in-ODP-implicit.patch.
- commit 47723a3
* Sat Oct  3 2020 tbogendoerfer@suse.de
- RDMA/core: Fix ordering of CQ pool destruction (jsc#SLE-15176).
- IB/isert: Fix unaligned immediate-data handling (jsc#SLE-15176).
- RDMA/rtrs-srv: Set .release function for rtrs srv device during
  device init (jsc#SLE-15176).
- RDMA/core: Fix reported speed and width (jsc#SLE-15176).
- RDMA/core: Fix unsafe linked list traversal after failing to
  allocate CQ (jsc#SLE-15176).
- RDMA/bnxt_re: Fix driver crash on unaligned PSN entry address
  (jsc#SLE-15076).
- RDMA/rxe: Fix panic when calling kmem_cache_create()
  (jsc#SLE-15176).
- RDMA/rxe: Fix memleak in rxe_mem_init_user (jsc#SLE-15176).
- RDMA/rxe: Fix the parent sysfs read when the interface has 15
  chars (jsc#SLE-15176).
- RDMA/rtrs-srv: Replace device_register with device_initialize
  and device_add (jsc#SLE-15176).
- Revert "RDMA/hns: Reserve one sge in order to avoid local
  length error" (jsc#SLE-14777).
- RDMA/hfi1: Correct an interlock issue for TID RDMA WRITE request
  (jsc#SLE-13208).
- RDMA/bnxt_re: Do not add user qps to flushlist (jsc#SLE-15076).
- RDMA/core: Fix spelling mistake "Could't" -> "Couldn't"
  (jsc#SLE-15176).
- RDMA/usnic: Fix spelling mistake "transistion" -> "transition"
  (jsc#SLE-15176).
- RDMA/hns: Fix spelling mistake "epmty" -> "empty"
  (jsc#SLE-14777).
- RDMA/rxe: Remove pkey table (jsc#SLE-15176).
- RDMA/umem: Add a schedule point in ib_umem_get()
  (jsc#SLE-15176).
- RDMA/hns: Fix the unneeded process when getting a general type
  of CQE error (jsc#SLE-14777).
- RDMA/hns: Fix error during modify qp RTS2RTS (jsc#SLE-14777).
- RDMA/hns: Delete unnecessary memset when allocating VF resource
  (jsc#SLE-14777).
- RDMA/hns: Remove redundant parameters in set_rc_wqe()
  (jsc#SLE-14777).
- RDMA/hns: Remove support for HIP08_A (jsc#SLE-14777).
- RDMA/hns: Refactor hns_roce_v2_set_hem() (jsc#SLE-14777).
- RDMA/hns: Remove redundant hardware opcode definitions
  (jsc#SLE-14777).
- RDMA/netlink: Remove CAP_NET_RAW check when dump a raw QP
  (jsc#SLE-15176).
- RDMA/include: Replace license text with SPDX tags
  (jsc#SLE-15176).
- RDMA/rtrs: remove WQ_MEM_RECLAIM for rtrs_wq (jsc#SLE-15176).
- RDMA/rtrs-clt: add an additional random 8 seconds before
  reconnecting (jsc#SLE-15176).
- RDMA/cma: Execute rdma_cm destruction from a handler properly
  (jsc#SLE-15176).
- RDMA/cma: Remove unneeded locking for req paths (jsc#SLE-15176).
- RDMA/cma: Using the standard locking pattern when delivering
  the removal event (jsc#SLE-15176).
- RDMA/cma: Simplify DEVICE_REMOVAL for internal_id
  (jsc#SLE-15176).
- RDMA/efa: Add EFA 0xefa1 PCI ID (jsc#SLE-15176).
- RDMA/efa: User/kernel compatibility handshake mechanism
  (jsc#SLE-15176).
- RDMA/efa: Expose minimum SQ size (jsc#SLE-15176).
- RDMA/efa: Expose maximum TX doorbell batch (jsc#SLE-15176).
- IB/srpt: use new shared CQ mechanism (jsc#SLE-15176).
- IB/isert: use new shared CQ mechanism (jsc#SLE-15176).
- IB/iser: use new shared CQ mechanism (jsc#SLE-15176).
- RDMA/mlx5: Delete unreachable code (jsc#SLE-15175).
- RDMA/core: Fix return error value in _ib_modify_qp() to negative
  (jsc#SLE-15176).
- RDMA/mlx5: Set mkey relaxed ordering by UMR with ConnectX-7
  (jsc#SLE-15175).
- RDMA/mlx5: Use MLX5_SET macro instead of local structure
  (jsc#SLE-15175).
- RDMA/mlx5: ConnectX-7 new capabilities to set relaxed ordering
  by UMR (jsc#SLE-15175).
- net/mlx5: Add interface changes required for VDPA
  (jsc#SLE-15175).
- IB/hfi1: Use fallthrough pseudo-keyword (jsc#SLE-13208).
- RDMA/uverbs: Silence shiftTooManyBitsSigned warning
  (jsc#SLE-15176).
- RDMA/uverbs: Remove redundant assignments (jsc#SLE-15176).
- RDMA/core: Update write interface to use automatic object
  lifetime (jsc#SLE-15176).
- RDMA/core: Align abort/commit object scheme for write() and
  ioctl() paths (jsc#SLE-15176).
- RDMA/mlx5: Allow SQ modification (jsc#SLE-15175).
- RDMA: rdma_user_ioctl.h: fix a duplicated word + clarify
  (jsc#SLE-15176).
- RDMA/bnxt_re: Add helper data structures (jsc#SLE-15076).
- RDMA/bnxt_re: Pull psn buffer dynamically based on prod
  (jsc#SLE-15076).
- RDMA/bnxt_re: introduce wqe mode to select execution path
  (jsc#SLE-15076).
- RDMA/qedr: Remove the query_pkey callback (jsc#SLE-15146).
- RDMA/i40iw: Remove the query_pkey callback (jsc#SLE-13537).
- RDMA/cxgb4: Remove the query_pkey callback (jsc#SLE-15118).
- RDMA/siw: Remove the query_pkey callback (jsc#SLE-15111).
- RDMA/core: Remove query_pkey from the mandatory ops
  (jsc#SLE-15176).
- RDMA/core: Allocate the pkey cache only if the pkey_tbl_len
  is set (jsc#SLE-15176).
- RDMA/core: Expose pkeys sysfs files only if pkey_tbl_len is set
  (jsc#SLE-15176).
- RDMA/rxe: Prevent access to wr->next ptr afrer wr is posted
  to send queue (jsc#SLE-15176).
- RDMA/qedr: Add EDPM max size to alloc ucontext response
  (jsc#SLE-15146).
- RDMA/qedr: Add EDPM mode type for user-fw compatibility
  (jsc#SLE-15146).
- RDMA/usnic: switch from 'pci_' to 'dma_' API (jsc#SLE-15176).
- IB/hfi1: Remove unnecessary fall-through markings
  (jsc#SLE-13208).
- RDMA/qedr: SRQ's bug fixes (jsc#SLE-15146).
- IB/isert: allocate RW ctxs according to max IO size
  (jsc#SLE-15176).
- RDMA/mlx5: Init dest_type when create flow (jsc#SLE-15175).
- RDMA/rxe: Remove rxe_link_layer() (jsc#SLE-15176).
- RDMA/rxe: Return void from rxe_mem_init_dma() (jsc#SLE-15176).
- RDMA/rxe: Return void from rxe_init_port_param()
  (jsc#SLE-15176).
- RDMA/rxe: Drop pointless checks in rxe_init_ports
  (jsc#SLE-15176).
- RDMA/counter: Allow manually bind QPs with different pids to
  same counter (jsc#SLE-15176).
- RDMA/counter: Only bind user QPs in auto mode (jsc#SLE-15176).
- RDMA/counter: Add PID category support in auto mode
  (jsc#SLE-15176).
- RDMA/mlx5: Remove unused to_mibmr function (jsc#SLE-15175).
- RDMA/mlx5: Delete one-time used functions (jsc#SLE-15175).
- RDMA/mlx5: Cleanup DEVX initialization flow (jsc#SLE-15175).
- RDMA/mlx5: Separate flow steering logic from main.c
  (jsc#SLE-15175).
- RDMA/mlx5: Separate counters from main.c (jsc#SLE-15175).
- RDMA/mlx5: Separate restrack callbacks initialization from
  main.c (jsc#SLE-15175).
- RDMA/mlx5: Limit the scope of mlx5_ib_enable_driver function
  (jsc#SLE-15175).
- RDMA/hns: Optimize MTR level-0 addressing to access huge page
  (jsc#SLE-14777).
- RDMA/rxe: Skip dgid check in loopback mode (jsc#SLE-15176).
- RDMA: Move XRCD to be under ib_core responsibility
  (jsc#SLE-15176).
- RDMA/core: Create and destroy counters in the ib_core
  (jsc#SLE-15176).
- IB/uverbs: Expose UAPI to query MR (jsc#SLE-15176).
- RDMA/mlx5: Introduce UAPI to query PD attributes
  (jsc#SLE-15175).
- RDMA/mlx5: Implement the query ucontext functionality
  (jsc#SLE-15175).
- RDMA/mlx5: Refactor mlx5_ib_alloc_ucontext() response
  (jsc#SLE-15175).
- IB/uverbs: Expose UAPI to query ucontext (jsc#SLE-15176).
- IB/uverbs: Set IOVA on IB MR in uverbs layer (jsc#SLE-15176).
- RDMA/core: Optimize XRC target lookup (jsc#SLE-15176).
- RDMA/core: Clean ib_alloc_xrcd() and reuse it to allocate XRC
  domain (jsc#SLE-15176).
- RDMA/mlx5: Get XRCD number directly for the internal use
  (jsc#SLE-15175).
- RDMA: Remove the udata parameter from alloc_mr callback
  (jsc#SLE-15176).
- RDMA/core: Remove ib_alloc_mr_user function (jsc#SLE-15176).
- RDMA/core: Check for error instead of success in alloc MR
  function (jsc#SLE-15176).
- RDMA/core: Clean up tracepoint headers (jsc#SLE-15176).
- RDMA/ipoib: Handle user-supplied address when creating child
  (jsc#SLE-15176).
- RDMA/core: Fix bogus WARN_ON during
  ib_unregister_device_queued() (jsc#SLE-15176).
- RDMA/ipoib: Fix ABBA deadlock with ipoib_reap_ah()
  (jsc#SLE-15176).
- IB/hfi1: Convert PCIBIOS_* errors to generic -E* errors
  (jsc#SLE-13208).
- RDMA/core: Delete not-used create RWQ table function
  (jsc#SLE-15176).
- IB/mad: Delete RMPP_STATE_CANCELING state (jsc#SLE-15176).
- IB/mad: Change atomics to refcount API (jsc#SLE-15176).
- IB/mad: Issue complete whenever decrements agent refcount
  (jsc#SLE-15176).
- RDMA/ipoib: Return void from ipoib_ib_dev_stop()
  (jsc#SLE-15176).
- RDMA/mlx5: Add support to get MR resource in RAW format
  (jsc#SLE-15175).
- RDMA/mlx5: Add support to get CQ resource in RAW format
  (jsc#SLE-15175).
- RDMA/mlx5: Add support to get QP resource in RAW format
  (jsc#SLE-15175).
- RDMA: Add support to dump resource tracker in RAW format
  (jsc#SLE-15176).
- RDMA: Add dedicated CM_ID resource tracker function
  (jsc#SLE-15176).
- RDMA: Add dedicated QP resource tracker function
  (jsc#SLE-15176).
- RDMA: Add a dedicated CQ resource tracker function
  (jsc#SLE-15176).
- RDMA: Add dedicated MR resource tracker function
  (jsc#SLE-15176).
- RDMA/core: Don't call fill_res_entry for PD (jsc#SLE-15176).
- RDMA/rxe: Remove unused rxe_mem_map_pages (jsc#SLE-15176).
- RDMA/hfi1: Remove hfi1_create_qp declaration (jsc#SLE-13208).
- RDMA/ipoib: Return void from ipoib_mcast_stop_thread()
  (jsc#SLE-15176).
- RDMA: Correct trivial kernel-doc inconsistencies
  (jsc#SLE-15176).
- IB/srpt: Remove WARN_ON from srpt_cm_req_recv (jsc#SLE-15176).
- qed: fix assignment of n_rq_elems to incorrect params field
  (jsc#SLE-15143).
- net/mlx5: Add IPsec related Flow steering entry's fields
  (jsc#SLE-15175).
- net/mlx5: Add support in query QP, CQ and MKEY segments
  (jsc#SLE-15175).
- net/mlx5: Export resource dump interface (jsc#SLE-15175).
- RDMA/core: Use offsetofend() instead of open coding
  (jsc#SLE-15176).
- IB/rdmavt: Replace zero-length array with flexible-array
  (jsc#SLE-15176).
- RDMA/ucma: Return stable IB device index as identifier
  (jsc#SLE-15176).
- commit d0e3d42
* Fri Oct  2 2020 jdelvare@suse.de
- drm/amdgpu: restore proper ref count in
  amdgpu_display_crtc_set_config (git-fixes).
- commit cb11410
* Fri Oct  2 2020 tiwai@suse.de
- supported.conf: add intel_th_msu_sink (jsc#SLE-12705)
- commit 4234fcb
* Fri Oct  2 2020 tiwai@suse.de
- intel_th: msu: Make stopping the trace optional (jsc#SLE-12705).
- intel_th: Disallow multi mode on devices where it's broken
  (jsc#SLE-12705).
- intel_th: msu: Fix the unexpected state warning (jsc#SLE-12705).
- intel_th: msu: Fix possible memory leak in mode_store()
  (jsc#SLE-12705).
- intel_th: msu: Fix overflow in shift of an unsigned int
  (jsc#SLE-12705).
- commit ddc2fa1
* Fri Oct  2 2020 tiwai@suse.de
- intel_th: msu: Fix missing allocation failure check on a
  kstrndup (jsc#SLE-12705).
- intel_th: msu: Fix an uninitialized mutex (jsc#SLE-12705).
- intel_th: msu: Preserve pre-existing buffer configuration
  (jsc#SLE-12705).
- intel_th: msu: Prevent freeing buffers while locked windows
  exist (jsc#SLE-12705).
- commit 4c38552
* Fri Oct  2 2020 tiwai@suse.de
- intel_th: msu: Get rid of the window size limit (jsc#SLE-12705).
- Refresh
  patches.suse/intel_th-msu-Fix-window-switching-without-windows.patch.
- commit c041e33
* Fri Oct  2 2020 tiwai@suse.de
- intel_th: msu-sink: An example msu buffer "sink"
  (jsc#SLE-12705).
- commit fc315a7
* Fri Oct  2 2020 yousaf.kaukab@suse.com
- usb: common: usb-conn-gpio: Register charger (jsc#SLE-15847).
- usb: common: usb-conn-gpio: Demote comment block which is
  clearly not kerneldoc (jsc#SLE-15847).
- regulator: pwm: Don't warn on probe deferral (jsc#SLE-15847).
- usb: common: usb-conn-gpio: Don't log an error on probe deferral
  (jsc#SLE-15847).
- usb: common: add USB GPIO based connection detection driver
  (jsc#SLE-15847).
- usb: common: create Kconfig file (jsc#SLE-15847).
- commit 0f500a3
* Fri Oct  2 2020 tiwai@suse.de
- intel_th: msu: Introduce buffer interface (jsc#SLE-12705).
- Refresh
  patches.suse/intel_th-Fix-user-visible-error-codes.patch.
- Refresh
  patches.suse/intel_th-msu-Fix-window-switching-without-windows.patch.
- commit feddf38
* Fri Oct  2 2020 tbogendoerfer@suse.de
- RDMA/rtrs: include client and server modules into kernel
  compilation (jsc#SLE-15176).
- Update config files.
- supported.conf: mark RTRS unsupported
- commit 362994a
* Fri Oct  2 2020 tbogendoerfer@suse.de
- IB/{rdmavt, hfi1}: Implement creation of accelerated UD QPs
  (jsc#SLE-13208).
- Refresh
  patches.suse/RDMA-rvt-Fix-potential-memory-leak-caused-by-rvt_all.patch.
- commit e11aad9
* Fri Oct  2 2020 tbogendoerfer@suse.de
- RDMA/mlx5: Update mlx5_ib driver name (jsc#SLE-15175).
- Refresh
  patches.suse/mlx5-add-parameter-to-disable-enhanced-IPoIB.patch.
- commit 5bdb26d
* Fri Oct  2 2020 tbogendoerfer@suse.de
- RDMA/mlx5: Add support in steering default miss (jsc#SLE-15175).
- Refresh patches.suse/RDMA-mlx5-Fix-typo-in-enum-name.patch.
- commit 50e6150
* Fri Oct  2 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: Reduce device page size detection code
  (jsc#SLE-15076).
- Refresh
  patches.suse/RDMA-bnxt_re-Fix-the-qp-table-indexing.patch.
- commit 98ba96b
* Fri Oct  2 2020 tbogendoerfer@suse.de
- qed: changes to ILT to support XRC (jsc#SLE-15143).
- Refresh
  patches.suse/qed-suppress-don-t-support-RoCE-iWARP-flooding-on-HW.patch.
- commit 86cbfdb
* Fri Oct  2 2020 tbogendoerfer@suse.de
- net: qed: invoke err notify on critical areas (jsc#SLE-15143).
- Refresh
  patches.suse/qed-suppress-false-positives-interrupt-error-message.patch.
- commit 6a277a5
* Fri Oct  2 2020 tbogendoerfer@suse.de
- RDMA/cm: Protect access to remote_sidr_table (jsc#SLE-15176).
- blacklist.conf: removed temporay blacklist
- commit 0bbbe36
* Fri Oct  2 2020 tbogendoerfer@suse.de
- net: qed: use eth_zero_addr() to clear mac address
  (jsc#SLE-15143).
- net: qede: use eth_zero_addr() to clear mac address
  (jsc#SLE-15143).
- qede: Use %%pM format specifier for MAC addresses
  (jsc#SLE-15143).
- qed: Use %%pM format specifier for MAC addresses (jsc#SLE-15143).
- qed: fix the allocation of the chains with an external PBL
  (jsc#SLE-15143).
- qede: add .ndo_xdp_xmit() and XDP_REDIRECT support
  (jsc#SLE-15143).
- qede: refactor XDP Tx processing (jsc#SLE-15143).
- qede: reformat net_device_ops declarations (jsc#SLE-15143).
- qede: reformat several structures in "qede.h" (jsc#SLE-15143).
- qed: introduce qed_chain_get_elem_used{,u32}() (jsc#SLE-15143).
- qed: optimize common chain accessors (jsc#SLE-15143).
- qed: add support for different page sizes for chains
  (jsc#SLE-15143).
- qed: simplify chain allocation with init params struct
  (jsc#SLE-15143).
- qed: simplify initialization of the chains with an external PBL
  (jsc#SLE-15143).
- qed: move chain initialization inlines next to allocation
  functions (jsc#SLE-15143).
- qed: sanitize PBL chains allocation (jsc#SLE-15143).
- qed: prevent possible double-frees of the chains
  (jsc#SLE-15143).
- qed: move chain methods to a separate file (jsc#SLE-15143).
- qed: reformat Makefile (jsc#SLE-15143).
- qed: reformat "qed_chain.h" a bit (jsc#SLE-15143).
- net: qed_hsi.h: Avoid the use of one-element array
  (jsc#SLE-15143).
- net: qed: Remove unneeded cast from memory allocation
  (jsc#SLE-15143).
- qed: Fix ILT and XRCD bitmap memory leaks (jsc#SLE-15143).
- qed: add support for the extended speed and FEC modes
  (jsc#SLE-15143).
- qed: populate supported link modes maps on module init
  (jsc#SLE-15143).
- qed: add missing loopback modes (jsc#SLE-15143).
- qed: add support for new port modes (jsc#SLE-15143).
- qed: remove unused qed_hw_info::port_mode and QED_PORT_MODE
  (jsc#SLE-15143).
- qed: reformat several structures a bit (jsc#SLE-15143).
- qede: introduce support for FEC control (jsc#SLE-15143).
- qede: format qede{,_vf}_ethtool_ops (jsc#SLE-15143).
- qed: add support for Forward Error Correction (jsc#SLE-15143).
- qed: reformat several structures a bit (jsc#SLE-15143).
- qed: use transceiver data to fill link partner's advertising
  speeds (jsc#SLE-15143).
- qed: add support for multi-rate transceivers (jsc#SLE-15143).
- qed: reformat public_port::transceiver_data a bit
  (jsc#SLE-15143).
- qede: populate supported link modes maps on module init
  (jsc#SLE-15143).
- qed, qede, qedf: convert link mode from u32 to ETHTOOL_LINK_MODE
  (jsc#SLE-15143).
- linkmode: introduce linkmode_intersects() (jsc#SLE-15143).
- net: qed: drop duplicate words in comments (jsc#SLE-15143).
- qede: convert to new udp_tunnel_nic infra (jsc#SLE-15143).
- net: qede: fix BE vs CPU comparison (jsc#SLE-15143).
- net: qede: fix kernel-doc for qede_ptp_adjfreq()
  (jsc#SLE-15143).
- net: qed: sanitize BE/LE data processing (jsc#SLE-15143).
- net: qed: use ptr shortcuts to dedup field accessing in some
  parts (jsc#SLE-15143).
- net: qed: improve indentation of some parts of code
  (jsc#SLE-15143).
- net: qed: address kernel-doc warnings (jsc#SLE-15143).
- net: qed: correct qed_hw_err_notify() prototype (jsc#SLE-15143).
- net: qed: cleanup global structs declarations (jsc#SLE-15143).
- net: qed: move static iro_arr out of header file
  (jsc#SLE-15143).
- qed: Make symbol 'qed_hw_err_type_descr' static (jsc#SLE-15143).
- net: qede: update copyright years (jsc#SLE-15143).
- net: qede: convert to SPDX License Identifiers (jsc#SLE-15143).
- net: qede: correct existing SPDX tags (jsc#SLE-15143).
- net: qed: update copyright years (jsc#SLE-15143).
- net: qed: convert to SPDX License Identifiers (jsc#SLE-15143).
- net: qed: correct existing SPDX tags (jsc#SLE-15143).
- RDMA/core: Free DIM memory in error unwind (jsc#SLE-15176).
- RDMA/core: Stop DIM before destroying CQ (jsc#SLE-15176).
- RDMA/mlx5: Initialize QP mutex for the debug kernels
  (jsc#SLE-15175).
- RDMA/mlx5: Allow providing extra scatter CQE QP flag
  (jsc#SLE-15175).
- RDMA/cm: Add min length checks to user structure copies
  (jsc#SLE-15176).
- qed: Disable "MFW indication via attention" SPAM every 5 minutes
  (jsc#SLE-15143).
- RDMA/hns: Fix wrong PBL offset when VA is not aligned to
  PAGE_SIZE (jsc#SLE-14777).
- RDMA/hns: Fix wrong assignment of lp_pktn_ini in QPC
  (jsc#SLE-14777).
- qed: Populate nvm-file attributes while reading nvm config
  partition (jsc#SLE-15143).
- net: qed: fix buffer overflow on ethtool -d (jsc#SLE-15143).
- RDMA/mlx5: Set PD pointers for the error flow unwind
  (jsc#SLE-15175).
- RDMA/mlx5: Fix legacy IPoIB QP initialization (jsc#SLE-15175).
- IB/hfi1: Add explicit cast OPA_MTU_8192 to 'enum ib_mtu'
  (jsc#SLE-13208).
- qed: add missing error test for
  DBG_STATUS_NO_MATCHING_FRAMING_MODE (jsc#SLE-15143).
- net: qed: fix "maybe uninitialized" warning (jsc#SLE-15143).
- net: qed: reset ILT block sizes before recomputing to fix
  crashes (jsc#SLE-15143).
- net: qede: fix use-after-free on recovery and AER handling
  (jsc#SLE-15143).
- net: qede: fix PTP initialization on recovery (jsc#SLE-15143).
- net: qed: fix excessive QM ILT lines consumption
  (jsc#SLE-15143).
- net: qed: fix NVMe login fails over VFs (jsc#SLE-15143).
- net: qede: stop adding events on an already destroyed workqueue
  (jsc#SLE-15143).
- net: qed: fix async event callbacks unregistering
  (jsc#SLE-15143).
- net: qed: fix left elements count calculation (jsc#SLE-15143).
- IB/hfi1: Add atomic triggered sleep/wakeup (jsc#SLE-13208).
- IB/hfi1: Correct -EBUSY handling in tx code (jsc#SLE-13208).
- IB/hfi1: Restore kfree in dummy_netdev cleanup (jsc#SLE-13208).
- RDMA/mlx5: Protect from kernel crash if XRC_TGT doesn't have
  udata (jsc#SLE-15175).
- RDMA/mlx5: Fix integrity enabled QP creation (jsc#SLE-15175).
- RDMA/mlx5: Remove ECE limitation from the RAW_PACKET QPs
  (jsc#SLE-15175).
- RDMA/mlx5: Fix remote gid value in query QP (jsc#SLE-15175).
- RDMA/mlx5: Don't access ib_qp fields in internal destroy QP path
  (jsc#SLE-15175).
- RDMA/hns: Fix an cmd queue issue when resetting (jsc#SLE-14777).
- RDMA/hns: Fix a calltrace when registering MR from userspace
  (jsc#SLE-14777).
- RDMA/mlx5: Add missed RST2INIT and INIT2INIT steps during ECE
  handshake (jsc#SLE-15175).
- RDMA/core: Annotate CMA unlock helper routine (jsc#SLE-15176).
- RDMA/hfi1: Fix trivial mis-spelling of 'descriptor'
  (jsc#SLE-13208).
- RDMA/mlx5: Fix -Wformat warning in check_ucmd_data()
  (jsc#SLE-15175).
- RDMA/mlx5: Remove duplicated assignment to resp.response_length
  (jsc#SLE-15175).
- net: qed: fixes crash while running driver in kdump kernel
  (jsc#SLE-15143).
- scsi: qed: Send BW update notifications to the protocol drivers
  (jsc#SLE-15143).
- RDMA/mlx5: Return ECE DC support (jsc#SLE-15175).
- RDMA/mlx5: Don't rely on FW to set zeros in ECE response
  (jsc#SLE-15175).
- RDMA/mlx5: Return an error if copy_to_user fails
  (jsc#SLE-15175).
- IB/hfi1: Use free_netdev() in hfi1_netdev_free()
  (jsc#SLE-13208).
- RDMA/hns: Uninitialized variable in modify_qp_init_to_rtr()
  (jsc#SLE-14777).
- IB/hfi1: Fix hfi1_netdev_rx_init() error handling
  (jsc#SLE-13208).
- RDMA: Remove 'max_map_per_fmr' (jsc#SLE-15176).
- RDMA: Remove 'max_fmr' (jsc#SLE-15176).
- RDMA/core: Remove FMR device ops (jsc#SLE-15176).
- RDMA/rdmavt: Remove FMR memory registration (jsc#SLE-15176).
- RDMA/mthca: Remove FMR support for memory registration
  (jsc#SLE-15176).
- RDMA/i40iw: Remove FMR leftovers (jsc#SLE-13537).
- RDMA/bnxt_re: Remove FMR leftovers (jsc#SLE-15076).
- RDMA/mlx5: Remove FMR leftovers (jsc#SLE-15175).
- RDMA/core: Remove FMR pool API (jsc#SLE-15176).
- RDMA/rds: Remove FMR support for memory registration
  (jsc#SLE-15176).
- RDMA/srp: Remove support for FMR memory registration
  (jsc#SLE-15176).
- RDMA/iser: Remove support for FMR memory registration
  (jsc#SLE-15176).
- RDMA/core: Introduce shared CQ pool API (jsc#SLE-15176).
- RDMA/core: Add protection for shared CQs used by ULPs
  (jsc#SLE-15176).
- RDMA/core: Fix several reference count leaks (jsc#SLE-15176).
- IB/hfi1: Fix spelling mistake "enought" -> "enough"
  (jsc#SLE-13208).
- RDMA/hns: remove duplicate assignment to pointer raq
  (jsc#SLE-14777).
- RDMA/mlx5: Support TX port affinity for VF drivers in LAG mode
  (jsc#SLE-15175).
- RDMA/srpt: Increase max_send_sge (jsc#SLE-15176).
- RDMA/srpt: Reduce max_recv_sge to 1 (jsc#SLE-15176).
- RDMA/srpt: Make debug output more detailed (jsc#SLE-15176).
- RDMA/srp: Make the channel count configurable per target
  (jsc#SLE-15176).
- RDMA/mlx5: Return ECE data after modify QP (jsc#SLE-15175).
- RDMA/mlx5: Set ECE options during modify QP (jsc#SLE-15175).
- RDMA/mlx5: Convert modify QP to use MLX5_SET macros
  (jsc#SLE-15175).
- RDMA/mlx5: Remove manually crafted QP context the query call
  (jsc#SLE-15175).
- RDMA/mlx5: Use direct modify QP implementation (jsc#SLE-15175).
- RDMA/mlx5: Set ECE options during QP create (jsc#SLE-15175).
- RDMA/mlx5: Get ECE options from FW during create QP
  (jsc#SLE-15175).
- RDMA/cma: Provide ECE reject reason (jsc#SLE-15176).
- RDMA/cma: Connect ECE to rdma_accept (jsc#SLE-15176).
- RDMA/cm: Send and receive ECE parameter over the wire
  (jsc#SLE-15176).
- RDMA/ucma: Deliver ECE parameters through UCMA events
  (jsc#SLE-15176).
- RDMA/ucma: Extend ucma_connect to receive ECE parameters
  (jsc#SLE-15176).
- RDMA/cm: Add Enhanced Connection Establishment (ECE) bits
  (jsc#SLE-15176).
- RDMA/core: Use sizeof_field() helper (jsc#SLE-15176).
- RDMA/ipoib: Remove can_sleep parameter from iboib_mcast_alloc
  (jsc#SLE-15176).
- RDMA/iw_cxgb4: cleanup device debugfs entries on ULD remove
  (jsc#SLE-15118).
- RDMA/hns: Make the end of sge process more clear
  (jsc#SLE-14777).
- RDMA/hns: Simplify process related to poll cq (jsc#SLE-14777).
- RDMA/hns: Remove redundant parameters from free_srq/qp_wrid()
  (jsc#SLE-14777).
- RDMA/hns: Remove redundant type cast for general pointers
  (jsc#SLE-14777).
- RDMA/hns: Optimize the usage of MTR (jsc#SLE-14777).
- RDMA/hns: Refactor the QP context filling process related to
  WQE buffer configure (jsc#SLE-14777).
- RDMA/hns: Change variables representing quantity to unsigned
  (jsc#SLE-14777).
- RDMA/hns: Change all page_shift to unsigned (jsc#SLE-14777).
- RDMA/hns: Rename QP buffer related function (jsc#SLE-14777).
- RDMA/hns: Remove unused code about assert (jsc#SLE-14777).
- RDMA/hns: Optimize post and poll process (jsc#SLE-14777).
- RDMA/hns: Add CQ flag instead of independent enable flag
  (jsc#SLE-14777).
- RDMA/hns: Let software PI/CI grow naturally (jsc#SLE-14777).
- RDMA/rtrs: Get rid of the do_next_path while_next_path macros
  (jsc#SLE-15176).
- RDMA/rtrs: server: Use already dereferenced rtrs_sess structure
  (jsc#SLE-15176).
- IB/uverbs: Introduce create/destroy QP commands over ioctl
  (jsc#SLE-15176).
- IB/uverbs: Introduce create/destroy WQ commands over ioctl
  (jsc#SLE-15176).
- IB/uverbs: Introduce create/destroy SRQ commands over ioctl
  (jsc#SLE-15176).
- IB/uverbs: Move QP, SRQ, WQ type and flags to UAPI
  (jsc#SLE-15176).
- IB/uverbs: Extend CQ to get its own asynchronous event FD
  (jsc#SLE-15176).
- IB/uverbs: Refactor related objects to use their own
  asynchronous event FD (jsc#SLE-15176).
- RDMA/core: Allow the ioctl layer to abort a fully created
  uobject (jsc#SLE-15176).
- IB/hfi1: Enable the transmit side of the datagram ipoib netdev
  (jsc#SLE-13208).
- IB/ipoib: Add capability to switch between datagram and
  connected mode (jsc#SLE-13208).
- IB/hfi1: Add packet histogram trace event (jsc#SLE-13208).
- IB/{hfi1, ipoib, rdma}: Broadcast ping sent packets which
  exceeded mtu size (jsc#SLE-13208).
- IB/hfi1: Activate the dummy netdev (jsc#SLE-13208).
- IB/hfi1: Add rx functions for dummy netdev (jsc#SLE-13208).
- IB/hfi1: Add interrupt handler functions for accelerated ipoib
  (jsc#SLE-13208).
- IB/hfi1: Add functions to receive accelerated ipoib packets
  (jsc#SLE-13208).
- IB/hfi1: Rename num_vnic_contexts as num_netdev_contexts
  (jsc#SLE-13208).
- IB/ipoib: Increase ipoib Datagram mode MTU's upper limit
  (jsc#SLE-13208).
- IB/hfi1: RSM rules for AIP (jsc#SLE-13208).
- IB/hfi1: Remove module parameter for KDETH qpns (jsc#SLE-13208).
- IB/hfi1: Add the transmit side of a datagram ipoib RDMA netdev
  (jsc#SLE-13208).
- IB/hfi1: Add functions to transmit datagram ipoib packets
  (jsc#SLE-13208).
- IB/hfi1: Add accelerated IP capability bit (jsc#SLE-13208).
- RDMA/efa: Report host information to the device (jsc#SLE-15176).
- RDMA/efa: Fix setting of wrong bit in get/set_feature commands
  (jsc#SLE-15176).
- RDMA/hns: Reserve one sge in order to avoid local length error
  (jsc#SLE-14777).
- RDMA/hns: Rename macro for defining hns hardware page size
  (jsc#SLE-14777).
- RDMA/hns: Remove redundant memcpy() (jsc#SLE-14777).
- RDMA/hns: Store mr len information into mr obj (jsc#SLE-14777).
- RDMA/hns: Fix error with to_hr_hem_entries_count()
  (jsc#SLE-14777).
- RDMA/hns: Fix wrong assignment of SRQ's max_wr (jsc#SLE-14777).
- RDMA/hns: Fix assignment to ba_pg_sz of eqe (jsc#SLE-14777).
- RDMA/siw: Replace one-element array and use struct_size()
  helper (jsc#SLE-15111).
- rnbd/rtrs: Pass max segment size from blk user to the rdma
  library (jsc#SLE-15176).
- RDMA/rtrs: server: Fix some error return code (jsc#SLE-15176).
- RDMA/rtrs: client: Fix function return on success
  (jsc#SLE-15176).
- RDMA/rtrs: Fix a couple off by one bugs in rtrs_srv_rdma_done()
  (jsc#SLE-15176).
- RDMA/rtrs: Fix some signedness bugs in error handling
  (jsc#SLE-15176).
- RDMA/srpt: Add a newline when printing parameter
  'srpt_service_guid' by sysfs (jsc#SLE-15176).
- RDMA/core: Consolidate ib_create_srq flows (jsc#SLE-15176).
- RDMA/uverbs: Cleanup wq/srq context usage from uverbs layer
  (jsc#SLE-15176).
- RDMA/rtrs: a bit of documentation (jsc#SLE-15176).
- RDMA/rtrs: server: sysfs interface functions (jsc#SLE-15176).
- RDMA/rtrs: server: statistics functions (jsc#SLE-15176).
- RDMA/rtrs: server: main functionality (jsc#SLE-15176).
- RDMA/rtrs: server: private header with server structs and
  functions (jsc#SLE-15176).
- RDMA/rtrs: client: sysfs interface functions (jsc#SLE-15176).
- RDMA/rtrs: client: statistics functions (jsc#SLE-15176).
- RDMA/rtrs: client: main functionality (jsc#SLE-15176).
- RDMA/rtrs: client: private header with client structs and
  functions (jsc#SLE-15176).
- RDMA/rtrs: core: lib functions shared between client and server
  modules (jsc#SLE-15176).
- RDMA/rtrs: private headers with rtrs protocol structs and
  helpers (jsc#SLE-15176).
- RDMA/rtrs: public interface header to establish RDMA connections
  (jsc#SLE-15176).
- sysfs: export sysfs_remove_file_self() (jsc#SLE-15176).
- RDMA/mlx5: Fix query_srq_cmd() function (jsc#SLE-15175).
- RDMA/mlx5: Add support for drop action in DV steering
  (jsc#SLE-15175).
- RDMA/mlx5: Refactor DV create flow (jsc#SLE-15175).
- RDMA/cm: Increment the refcount inside cm_find_listen()
  (jsc#SLE-15176).
- RDMA/cm: Remove needless cm_id variable (jsc#SLE-15176).
- RDMA/cm: Remove the cm_free_id() wrapper function
  (jsc#SLE-15176).
- RDMA/cm: Make find_remote_id() return a cm_id_private
  (jsc#SLE-15176).
- RDMA/cm: Add a note explaining how the timewait is eventually
  freed (jsc#SLE-15176).
- RDMA/cm: Pass the cm_id_private into cm_cleanup_timewait
  (jsc#SLE-15176).
- RDMA/cm: Pull duplicated code into cm_queue_work_unlock()
  (jsc#SLE-15176).
- RDMA/cm: Remove unused store to ret in cm_rej_handler
  (jsc#SLE-15176).
- RDMA/cm: Remove return code from add_cm_id_to_port_list
  (jsc#SLE-15176).
- RDMA/addr: Mark addr_resolve as might_sleep() (jsc#SLE-15176).
- RDMA/hns: Combine enable flags of qp (jsc#SLE-14777).
- RDMA/hns: Extend capability flags for HIP08_C (jsc#SLE-14777).
- RDMA/mlx5: Remove duplicated assignment to variable rcqe_sz
  (jsc#SLE-15175).
- RDMA/mlx5: Allow only raw Ethernet QPs when RoCE isn't enabled
  (jsc#SLE-15175).
- RDMA/mlx5: Assign profile before calling stages (jsc#SLE-15175).
- RDMA/mlx5: Move all WR logic from qp.c to separate file
  (jsc#SLE-15175).
- RDMA/mlx5: Refactor mlx5_post_send() to improve readability
  (jsc#SLE-15175).
- RDMA/mlx5: Update mlx5_ib to use new cmd interface
  (jsc#SLE-15175).
- RDMA/hns: Remove redundant assignment of caps (jsc#SLE-14777).
- RDMA/hns: Adjust lp_pktn_ini dynamically (jsc#SLE-14777).
- RDMA/hns: Fix comments with non-English symbols (jsc#SLE-14777).
- RDMA/hns: Optimize SRQ buffer size calculating process
  (jsc#SLE-14777).
- RDMA/hns: Move SRQ code to the reasonable place (jsc#SLE-14777).
- RDMA/hns: Optimize WQE buffer size calculating process
  (jsc#SLE-14777).
- RDMA/hns: Remove unused MTT functions (jsc#SLE-14777).
- RDMA/hns: Optimize PBL buffer allocation process
  (jsc#SLE-14777).
- RDMA/mlx5: Set UDP source port based on the grh.flow_label
  (jsc#SLE-15175).
- RDMA/cma: Initialize the flow label of CM's route path record
  (jsc#SLE-15176).
- RDMA/mlx5: Define RoCEv2 udp source port when set path
  (jsc#SLE-15175).
- RDMA/core: Consider flow label when building skb
  (jsc#SLE-15176).
- RDMA/core: Add hash functions to calculate RoCEv2 flowlabel
  and UDP source port (jsc#SLE-15176).
- RDMA: Allow ib_client's to fail when add() is called
  (jsc#SLE-15176).
- RDMA/mad: Remove snoop interface (jsc#SLE-15176).
- RDMA/efa: Count admin commands errors (jsc#SLE-15176).
- RDMA/efa: Count mmap failures (jsc#SLE-15176).
- RDMA/efa: Report create CQ error counter (jsc#SLE-15176).
- RDMA/mlx5: Set lag tx affinity according to slave
  (jsc#SLE-15175).
- RDMA/mlx5: Refactor affinity related code (jsc#SLE-15175).
- RDMA/core: Get xmit slave for LAG (jsc#SLE-15176).
- RDMA/core: Add LAG functionality (jsc#SLE-15176).
- RDMA: Group create AH arguments in struct (jsc#SLE-15176).
- RDMA/mlx5: Consolidate into special function all create QP calls
  (jsc#SLE-15175).
- RDMA/mlx5: Remove redundant destroy QP call (jsc#SLE-15175).
- RDMA/mlx5: Copy response to the user in one place
  (jsc#SLE-15175).
- RDMA/mlx5: Handle udate outlen checks in one place
  (jsc#SLE-15175).
- RDMA/mlx5: Promote RSS RAW QP flags check to higher level
  (jsc#SLE-15175).
- RDMA/mlx5: Group all create QP parameters to simplify in-kernel
  interfaces (jsc#SLE-15175).
- RDMA/mlx5: Reduce amount of duplication in QP destroy
  (jsc#SLE-15175).
- RDMA/mlx5: Separate to user/kernel create QP flows
  (jsc#SLE-15175).
- RDMA/mlx5: Separate XRC_TGT QP creation from common flow
  (jsc#SLE-15175).
- RDMA/mlx5: Globally parse DEVX UID (jsc#SLE-15175).
- RDMA/mlx5: Delete impossible inlen check (jsc#SLE-15175).
- RDMA/mlx5: Rely on existence of udata to separate kernel/user
  flows (jsc#SLE-15175).
- RDMA/mlx5: Remove second user copy in create_user_qp
  (jsc#SLE-15175).
- RDMA/mlx5: Combine copy of create QP command in RSS RAW QP
  (jsc#SLE-15175).
- RDMA/mlx5: Promote RSS RAW QP attribute check in higher level
  (jsc#SLE-15175).
- RDMA/mlx5: Store QP type in the vendor QP structure
  (jsc#SLE-15175).
- RDMA/mlx5: Delete unsupported QP types (jsc#SLE-15175).
- RDMA/mlx5: Process all vendor flags in one place
  (jsc#SLE-15175).
- RDMA/mlx5: Return all configured create flags through query QP
  (jsc#SLE-15175).
- RDMA/mlx5: Change scatter CQE flag to be set like other vendor
  flags (jsc#SLE-15175).
- RDMA/mlx5: Use flags_en mechanism to mark QP created with WQE
  signature (jsc#SLE-15175).
- RDMA/mlx5: Process create QP flags in one place (jsc#SLE-15175).
- RDMA/mlx5: Delete create QP flags obfuscation (jsc#SLE-15175).
- RDMA/mlx5: Initial separation of RAW_PACKET QP from common flow
  (jsc#SLE-15175).
- RDMA/mlx5: Remove second copy from user for non RSS RAW QPs
  (jsc#SLE-15175).
- RDMA/mlx5: Move DRIVER QP flags check into separate function
  (jsc#SLE-15175).
- RDMA/mlx5: Update all DRIVER QP places to use QP subtype
  (jsc#SLE-15175).
- RDMA/mlx5: Split scatter CQE configuration for DCT QP
  (jsc#SLE-15175).
- RDMA/mlx5: Separate create QP flows to be based on type
  (jsc#SLE-15175).
- RDMA/mlx5: Set QP subtype immediately when it is known
  (jsc#SLE-15175).
- RDMA/mlx5: Avoid setting redundant NULL for XRC QPs
  (jsc#SLE-15175).
- RDMA/mlx5: Prepare QP allocation for future removal
  (jsc#SLE-15175).
- RDMA/mlx5: Perform check if QP creation flow is valid
  (jsc#SLE-15175).
- RDMA/mlx5: Delete impossible GSI port check (jsc#SLE-15175).
- RDMA/mlx5: Organize QP types checks in one place
  (jsc#SLE-15175).
- RDMA/hns: Simplify the status judgment code of
  hns_roce_v1_m_qp() (jsc#SLE-14777).
- RDMA/hns: Simplify the state judgment code of qp
  (jsc#SLE-14777).
- RDMA/hns: Simplify the cqe code of poll cq (jsc#SLE-14777).
- RDMA/hns: Simplify the qp state convert code (jsc#SLE-14777).
- RDMA/hns: Optimize hns_roce_v2_set_mac() (jsc#SLE-14777).
- RDMA/hns: Optimize hns_roce_config_link_table() (jsc#SLE-14777).
- RDMA/bnxt: Delete 'nq_ptr' variable which is not used
  (jsc#SLE-15076).
- RDMA/hns: Support 0 hop addressing for CQE buffer
  (jsc#SLE-14777).
- RDMA/hns: Support 0 hop addressing for SRQ buffer
  (jsc#SLE-14777).
- RDMA/hns: Support 0 hop addressing for WQE buffer
  (jsc#SLE-14777).
- RDMA/hns: Optimize 0 hop addressing for EQE buffer
  (jsc#SLE-14777).
- RDMA/hns: Optimize hns buffer allocation flow (jsc#SLE-14777).
- RDMA/hns: Add support for addressing when hopnum is 0
  (jsc#SLE-14777).
- RDMA/rw: use DIV_ROUND_UP to calculate nr_ops (jsc#SLE-15176).
- RDMA/cma: Limit the scope of rdma_is_consumer_reject function
  (jsc#SLE-15176).
- RDMA/bnxt_re: Simplify obtaining queue entry from hw ring
  (jsc#SLE-15076).
- RDMA/bnxt_re: Update missing hsi data structures
  (jsc#SLE-15076).
- IB/qib: Remove unused variable ret (jsc#SLE-15176).
- IB: Fix some documentation warnings (jsc#SLE-15176).
- RDMA: Remove a few extra calls to ib_get_client_data()
  (jsc#SLE-15176).
- qed: Add EDPM mode type for user-fw compatibility
  (jsc#SLE-15143).
- qed: Add XRC to RoCE (jsc#SLE-15143).
- qlogic/qede: Add XDP frame size to driver (jsc#SLE-15143).
- net: qed: introduce critical hardware error handler
  (jsc#SLE-15143).
- net: qed: introduce critical fan failure handler
  (jsc#SLE-15143).
- net: qede: Implement ndo_tx_timeout (jsc#SLE-15143).
- net: qede: optional hw recovery procedure (jsc#SLE-15143).
- net: qed: attention clearing properties (jsc#SLE-15143).
- net: qed: cleanup debug related declarations (jsc#SLE-15143).
- net: qed: critical err reporting to management firmware
  (jsc#SLE-15143).
- net: qede: add hw err scheduled handler (jsc#SLE-15143).
- net: qed: adding hw_err states and handling (jsc#SLE-15143).
- net: qed: Disable SRIOV functionality inside kdump kernel
  (jsc#SLE-15143).
- net: qed*: Reduce RX and TX default ring count when running
  inside kdump kernel (jsc#SLE-15143).
- net/core: Introduce netdev_get_xmit_slave (jsc#SLE-15176).
- net: qede: Use true for bool variable in qede_init_fp()
  (jsc#SLE-15143).
- RDMA/mlx5: Delete Q counter allocations command (jsc#SLE-15175).
- qed: Make ll2_cbs static (jsc#SLE-15143).
- qede: Add support for handling the pcie errors (jsc#SLE-15143).
- qed: Enable device error reporting capability (jsc#SLE-15143).
- qed: use true,false for bool variables (jsc#SLE-15143).
- net: qed: Remove unneeded cast from memory allocation
  (jsc#SLE-15143).
- hfi1: get rid of pointless access_ok() (jsc#SLE-13208).
- qed: remove redundant assignment to variable 'rc'
  (jsc#SLE-15143).
- qed: Fix use after free in qed_chain_free (jsc#SLE-15143).
- qed: Fix race condition between scheduling and destroying the
  slowpath workqueue (jsc#SLE-15143).
- qede: remove some unused code in function
  qede_selftest_receive_traffic (jsc#SLE-15143).
- net: qede: reject unsupported coalescing params (jsc#SLE-15143).
- net/smc: check for valid ib_client_data (jsc#SLE-15176).
- qed: Remove set but not used variable 'p_link' (jsc#SLE-15143).
- qed: Fix a error code in qed_hw_init() (jsc#SLE-15143).
- qed: FW 8.42.2.0 debug features (jsc#SLE-15143).
- qed: rt init valid initialization changed (jsc#SLE-15143).
- qed: Debug feature: ilt and mdump (jsc#SLE-15143).
- qed: FW 8.42.2.0 Add fw overlay feature (jsc#SLE-15143).
- qed: FW 8.42.2.0 HSI changes (jsc#SLE-15143).
- qed: FW 8.42.2.0 iscsi/fcoe changes (jsc#SLE-15143).
- qed: Add abstraction for different hsi values per chip
  (jsc#SLE-15143).
- qed: FW 8.42.2.0 Additional ll2 type (jsc#SLE-15143).
- qed: Use dmae to write to widebus registers in fw_funcs
  (jsc#SLE-15143).
- qed: FW 8.42.2.0 Parser offsets modified (jsc#SLE-15143).
- qed: FW 8.42.2.0 Queue Manager changes (jsc#SLE-15143).
- qed: FW 8.42.2.0 Expose new registers and change windows
  (jsc#SLE-15143).
- qed: FW 8.42.2.0 Internal ram offsets modifications
  (jsc#SLE-15143).
- net/rds: Handle ODP mr registration/unregistration
  (jsc#SLE-15176).
- infiniband: add a Documentation driver-api chapter for
  Infiniband (jsc#SLE-15176).
- net/rds: Remove unnecessary null check (jsc#SLE-15176).
- net/rds: Add missing include file (jsc#SLE-15176).
- net/rds: Use DMA memory pool allocation for rds_header
  (jsc#SLE-15176).
- commit 4380c02
* Fri Oct  2 2020 tiwai@suse.de
- mwifiex: Increase AES key storage size to 256 bits (git-fixes).
- commit dcd5ff6
* Fri Oct  2 2020 tiwai@suse.de
- mac802154: tx: fix use-after-free (git-fixes).
- ieee802154/adf7242: check status of adf7242_read_reg
  (git-fixes).
- ieee802154: fix one possible memleak in ca8210_dev_com_init
  (git-fixes).
- i2c: core: Call i2c_acpi_install_space_handler() before
  i2c_acpi_register_devices() (git-fixes).
- i2c: aspeed: Mask IRQ status to relevant bits (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN Converter9 2-in-1
  (git-fixes).
- ASoC: wm8994: Ensure the device is resumed in wm89xx_mic_detect
  functions (git-fixes).
- ASoC: wm8994: Skip setting of the WM8994_MICBIAS register for
  WM1811 (git-fixes).
- mac80211: skip mpath lookup also for control port tx
  (git-fixes).
- i2c: tegra: Restore pinmux on system resume (git-fixes).
- mtd: rawnand: omap_elm: Fix runtime PM imbalance on error
  (git-fixes).
- mtd: rawnand: gpmi: Fix runtime PM imbalance on error
  (git-fixes).
- power: supply: max17040: Correct voltage reading (git-fixes).
- drivers: char: tlclk.c: Avoid data race between init and
  interrupt handler (git-fixes).
- staging:r8188eu: avoid skb_clone for amsdu to msdu conversion
  (git-fixes).
- serial: uartps: Wait for tx_empty in console setup (git-fixes).
- usb: dwc3: Increase timeout for CmdAct cleared by device
  controller (git-fixes).
- USB: EHCI: ehci-mv: fix less than zero comparison of an unsigned
  int (git-fixes).
- USB: EHCI: ehci-mv: fix error handling in mv_ehci_probe()
  (git-fixes).
- PCI: tegra: Fix runtime PM imbalance on error (git-fixes).
- PCI: tegra194: Fix runtime PM imbalance on error (git-fixes).
- gpio: rcar: Fix runtime PM imbalance on error (git-fixes).
- ASoC: img-i2s-out: Fix runtime PM imbalance on error
  (git-fixes).
- wlcore: fix runtime pm imbalance in wlcore_regdomain_config
  (git-fixes).
- wlcore: fix runtime pm imbalance in wl1271_tx_work (git-fixes).
- e1000: Do not perform reset in reset_task if we are already down
  (git-fixes).
- Bluetooth: Handle Inquiry Cancel error after Inquiry Complete
  (git-fixes).
- thermal: rcar_thermal: Handle probe error gracefully
  (git-fixes).
- rtc: ds1374: fix possible race condition (git-fixes).
- rtc: sa1100: fix possible race condition (git-fixes).
- bus: hisi_lpc: Fixup IO ports addresses to avoid use-after-free
  in host removal (git-fixes).
- dmaengine: tegra-apb: Prevent race conditions on channel's
  freeing (git-fixes).
- dmaengine: stm32-dma: use vchan_terminate_vdesc() in
  .terminate_all (git-fixes).
- dmaengine: stm32-mdma: use vchan_terminate_vdesc() in
  .terminate_all (git-fixes).
- brcmfmac: Fix double freeing in the fmac usb data path
  (git-fixes).
- ath10k: use kzalloc to read for ath10k_sdio_hif_diag_read
  (git-fixes).
- Bluetooth: L2CAP: handle l2cap config request during open state
  (git-fixes).
- Bluetooth: guard against controllers sending zero'd events
  (git-fixes).
- Bluetooth: prefetch channel before killing sock (git-fixes).
- Bluetooth: Fix refcount use-after-free issue (git-fixes).
- mt76: fix handling full tx queues in mt76_dma_tx_queue_skb_raw
  (git-fixes).
- mt76: clear skb pointers from rx aggregation reorder buffer
  during cleanup (git-fixes).
- serial: 8250: 8250_omap: Terminate DMA before pushing data on
  RX timeout (git-fixes).
- serial: 8250_omap: Fix sleeping function called from invalid
  context during probe (git-fixes).
- serial: 8250_port: Don't service RX FIFO if throttled
  (git-fixes).
- i2c: tegra: Prevent interrupt triggering after transfer timeout
  (git-fixes).
- media: ti-vpe: cal: Restrict DMA to avoid memory corruption
  (git-fixes).
- ar5523: Add USB ID of SMCWUSBT-G2 wireless adapter (git-fixes).
- ACPI: EC: Reference count query handlers under lock (git-fixes).
- dmaengine: zynqmp_dma: fix burst length configuration
  (git-fixes).
- mmc: core: Rework wp-gpio handling (git-fixes).
- mt76: fix LED link time failure (git-fixes).
- PCI: Avoid double hpmemsize MMIO window assignment (git-fixes).
- dmaengine: mediatek: hsdma_probe: fixed a memory leak when
  devm_request_irq fails (git-fixes).
- mfd: mfd-core: Protect against NULL call-back function pointer
  (git-fixes).
- leds: mlxreg: Fix possible buffer overflow (git-fixes).
- dma-fence: Serialise signal enabling
  (dma_fence_enable_sw_signaling) (git-fixes).
- media: smiapp: Fix error handling at NVM reading (git-fixes).
- media: mc-device.c: fix memleak in media_device_register_entity
  (git-fixes).
- mt76: add missing locking around ampdu action (git-fixes).
- mt76: do not use devm API for led classdev (git-fixes).
- ath10k: fix memory leak for tpc_stats_final (git-fixes).
- ath10k: fix array out-of-bounds access (git-fixes).
- mtd: cfi_cmdset_0002: don't free cfi->cfiq in error path of
  cfi_amdstd_setup() (git-fixes).
- commit 6283339
* Fri Oct  2 2020 tiwai@suse.de
- drm/bochs: downgrade pci_request_region failure from error to
  warning (bsc#1177185).
- commit 50b44ef
* Fri Oct  2 2020 yousaf.kaukab@suse.com
- usb: phy: tegra: Fix unnecessary check in tegra_usb_phy_probe()
  (jsc#SLE-15847).
- usb: host: ehci-tegra: Remove superfluous dev_err() message
  (jsc#SLE-15847).
- usb: phy: tegra: Include proper GPIO consumer header to fix
  compile testing (jsc#SLE-15847).
- usb: phy: tegra: Add clarifying comments about the shared
  registers (jsc#SLE-15847).
- usb: host: ehci-tegra: Remove unused fields from tegra_ehci_hcd
  (jsc#SLE-15847).
- usb: host: ehci-tegra: Stop managing PHY's power
  (jsc#SLE-15847).
- usb: chipidea: tegra: Add USB_TEGRA_PHY to driver's dependencies
  (jsc#SLE-15847).
- usb: chipidea: tegra: Stop managing PHY's power (jsc#SLE-15847).
- usb: phy: tegra: Keep CPU interrupts enabled (jsc#SLE-15847).
- usb: phy: tegra: Move utmip_pad_count checking under lock
  (jsc#SLE-15847).
- usb: phy: tegra: Disable VBUS regulator on tegra_usb_phy_init
  failure (jsc#SLE-15847).
- usb: phy: tegra: Use device-tree notion of reset-GPIO's
  active-state (jsc#SLE-15847).
- usb: phy: tegra: Use u32 for hardware register variables
  (jsc#SLE-15847).
- usb: phy: tegra: Use devm_otg_ulpi_create() (jsc#SLE-15847).
- usb: ulpi: Add resource-managed variant of otg_ulpi_create()
  (jsc#SLE-15847).
- usb: phy: tegra: Use generic stub for a missing VBUS regulator
  (jsc#SLE-15847).
- usb: phy: tegra: Use relaxed versions of readl/writel
  (jsc#SLE-15847).
- usb: phy: tegra: Clean up included headers (jsc#SLE-15847).
- usb: phy: tegra: Perform general clean up of the code
  (jsc#SLE-15847).
- usb: phy: tegra: Hook up init/shutdown callbacks
  (jsc#SLE-15847).
- usb: phy: tegra: Keep track of power on-off state
  (jsc#SLE-15847).
- usb: phy: tegra: Clean up ulpi_phy_power_off (jsc#SLE-15847).
- usb: host: ehci-tegra: Correct teardown order of driver's
  removal (jsc#SLE-15847).
- commit 6c135f1
* Fri Oct  2 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Kill the undead i915_gem_batch_pool.c'
- commit 3eb4207
* Fri Oct  2 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Don't deballoon unused ggtt drm_mm_node in linux guest'
- commit 854ff5d
* Thu Oct  1 2020 tbogendoerfer@suse.de
- net: hns3: Fix for geneve tx checksum bug (jsc#SLE-14777).
- net: hns: Fix memleak in hns_nic_dev_probe (jsc#SLE-14777).
- net: hns3: fix spelling mistake "could'nt" -> "couldn't"
  (jsc#SLE-14777).
- net: hix5hd2_gmac: Remove unneeded cast from memory allocation
  (jsc#SLE-14777).
- net: hns: use eth_broadcast_addr() to assign broadcast address
  (jsc#SLE-14777).
- net: hns3: streaming dma buffer sync between cpu and device
  (jsc#SLE-14777).
- net: hns3: replace disable_irq by IRQ_NOAUTOEN flag
  (jsc#SLE-14777).
- net: hns3: rename buffer-related functions (jsc#SLE-14777).
- net: hns3: pointer type of buffer should be void
  (jsc#SLE-14777).
- net: hns3: remove unnecessary devm_kfree (jsc#SLE-14777).
- net: hns3: fix for VLAN config when reset failed
  (jsc#SLE-14777).
- net: hns3: fix aRFS FD rules leftover after add a user FD rule
  (jsc#SLE-14777).
- net: hns3: add reset check for VF updating port based VLAN
  (jsc#SLE-14777).
- net: hns3: fix a TX timeout issue (jsc#SLE-14777).
- net: hns3: fix desc filling bug when skb is expanded or lineared
  (jsc#SLE-14777).
- net: hns3: fix for not unmapping TX buffer correctly
  (jsc#SLE-14777).
- net: hns3: fix use-after-free when doing self test
  (jsc#SLE-14777).
- net: hns3: add a missing uninit debugfs when unload driver
  (jsc#SLE-14777).
- net: hns3: fix for mishandle of asserting VF reset fail
  (jsc#SLE-14777).
- hns: do not cast return value of napi_gro_receive to null
  (jsc#SLE-14777).
- net: hns3: remove some unused codes in hns3_nic_set_features()
  (jsc#SLE-14777).
- net: hns3: fix two coding style issues in hclgevf_main.c
  (jsc#SLE-14777).
- net: hns3: fix an incorrect comment for num_tqps in struct
  hclgevf_dev (jsc#SLE-14777).
- net: hns3: remove two unused macros in hclgevf_cmd.c
  (jsc#SLE-14777).
- net: hns3: remove an unused macro hclge_is_csq (jsc#SLE-14777).
- net: hns3: fix a print format issue in hclge_mac_mdio_config()
  (jsc#SLE-14777).
- net: hns3: print out speed info when parsing speed fails
  (jsc#SLE-14777).
- net: hns3: remove some unused fields in struct hclge_dev
  (jsc#SLE-14777).
- net: hns3: remove two duplicated register macros in
  hclgevf_main.h (jsc#SLE-14777).
- net: hns3: remove unused struct hnae3_unic_private_info
  (jsc#SLE-14777).
- net: hns3; remove unused HNAE3_RESTORE_CLIENT in enum
  hnae3_reset_notify_type (jsc#SLE-14777).
- net: hns3: remove some unused fields in struct hns3_nic_priv
  (jsc#SLE-14777).
- net: hns3: modify an incorrect type in struct
  hclgevf_cfg_gro_status_cmd (jsc#SLE-14777).
- net: hns3: modify an incorrect type in struct
  hclge_cfg_gro_status_cmd (jsc#SLE-14777).
- net: hns3: refactor hclge_query_bd_num_cmd_send()
  (jsc#SLE-14777).
- net: hns3: refactor hclge_config_tso() (jsc#SLE-14777).
- net: hns3: add a missing mutex destroy in hclge_init_ad_dev()
  (jsc#SLE-14777).
- net: hns3: remove an unnecessary 'goto' in hclge_init_ae_dev()
  (jsc#SLE-14777).
- net: hns3: add a print for initializing CMDQ when reset pending
  (jsc#SLE-14777).
- net: hns3: remove unnecessary MAC enable in app loopback
  (jsc#SLE-14777).
- net: hns3: change the order of reinitializing RoCE and NIC
  client during reset (jsc#SLE-14777).
- net: hns3: add a resetting check in
  hclgevf_init_nic_client_instance() (jsc#SLE-14777).
- net: hns3: remove unnecessary frag list checking in
  hns3_nic_net_xmit() (jsc#SLE-14777).
- net: hns3: remove some unused macros (jsc#SLE-14777).
- net: hns3: modify an incorrect error log in hclge_mbx_handler()
  (jsc#SLE-14777).
- net: hns3: remove a duplicated printing in hclge_configure()
  (jsc#SLE-14777).
- net: hns3: modify some incorrect spelling (jsc#SLE-14777).
- net: hns3: disable auto-negotiation off with 1000M setting in
  ethtool (jsc#SLE-14777).
- net: hns3: optimized the judgment of the input parameters of
  dump ncl config (jsc#SLE-14777).
- net: hns3: provide .get_cmdq_stat interface for the client
  (jsc#SLE-14777).
- net: hns3: modify two uncorrect macro names (jsc#SLE-14777).
- net: hns3: remove a redundant register macro definition
  (jsc#SLE-14777).
- net: hns3: adds support for reading module eeprom info
  (jsc#SLE-14777).
- net: hns3: remove an unnecessary check in hclge_set_umv_space()
  (jsc#SLE-14777).
- net: hns3: optimize the filter table entries handling when
  resetting (jsc#SLE-14777).
- net: hns3: use mutex vport_lock instead of mutex umv_lock
  (jsc#SLE-14777).
- net: hns3: refactor the promisc mode setting (jsc#SLE-14777).
- net: hns3: add support for dumping UC and MC MAC list
  (jsc#SLE-14777).
- net: hns3: refactor the MAC address configure (jsc#SLE-14777).
- net: hns3: replace num_req_vfs with num_alloc_vport in
  hclge_reset_umv_space() (jsc#SLE-14777).
- net: hns3: remove unnecessary parameter 'is_alloc' in
  hclge_set_umv_space() (jsc#SLE-14777).
- net: hns3: refine for unicast MAC VLAN space management
  (jsc#SLE-14777).
- net: hns3: add trace event support for PF/VF mailbox
  (jsc#SLE-14777).
- net: hns3: add support for dumping MAC reg in debugfs
  (jsc#SLE-14777).
- net: hns3: add debug information for flow table when failed
  (jsc#SLE-14777).
- net: hns3: clean up some coding style issue (jsc#SLE-14777).
- net: hns3: modify some unsuitable type declaration
  (jsc#SLE-14777).
- net: hns3: remove two unused structures in hclge_cmd.h
  (jsc#SLE-14777).
- net: hns3: remove useless proto_support field in struct
  hclge_fd_cfg (jsc#SLE-14777).
- net: hns3: remove an unnecessary case 0 in
  hclge_fd_convert_tuple() (jsc#SLE-14777).
- net: hns3: split out hclge_get_fd_rule_info() (jsc#SLE-14777).
- net: hns3: split out hclge_fd_check_ether_tuple()
  (jsc#SLE-14777).
- net: hns: use true,false for bool variables (jsc#SLE-14777).
- net: hisilicon: Make CONFIG_HNS invisible (jsc#SLE-14777).
- net: hns3: fix set and get link ksettings issue (jsc#SLE-14777).
- net: hns3: fix RSS config lost after VF reset (jsc#SLE-14777).
- net: hns3: refactor mailbox response scheme between PF and VF
  (jsc#SLE-14777).
- net: hns3: refactor the mailbox message between PF and VF
  (jsc#SLE-14777).
- net: hns3: add a conversion for mailbox's response code
  (jsc#SLE-14777).
- net: hns3: reject unsupported coalescing params (jsc#SLE-14777).
- net: hns: reject unsupported coalescing params (jsc#SLE-14777).
- net: hns3: delete unnecessary logs after kzalloc fails
  (jsc#SLE-14777).
- net: hns3: synchronize some print relating to reset issue
  (jsc#SLE-14777).
- net: hns3: print out command code when dump fails in debugfs
  (jsc#SLE-14777).
- net: hns3: print out status register when VF receives unknown
  source interrupt (jsc#SLE-14777).
- net: hns3: add a check before PF inform VF to reset
  (jsc#SLE-14777).
- net: hns3: delete some reduandant code (jsc#SLE-14777).
- net: hns3: remove an unnecessary resetting check in
  hclge_handle_hw_ras_error() (jsc#SLE-14777).
- net: hns3: rename macro HCLGE_MAX_NCL_CONFIG_LENGTH
  (jsc#SLE-14777).
- net: hns3: fix some mixed type assignment (jsc#SLE-14777).
- hisilicon: let core reject the unsupported coalescing parameters
  (jsc#SLE-14777).
- net: hns: Replace zero-length array with flexible-array member
  (jsc#SLE-14777).
- net: hns3: remove redundant initialization of pointer 'client'
  (jsc#SLE-14777).
- net: hns3: add missing help info for QS shaper in debugfs
  (jsc#SLE-14777).
- net: hns3: add support for dump MAC ID and loopback status in
  debugfs (jsc#SLE-14777).
- net: hns3: add enabled TC numbers and DWRR weight info in
  debugfs (jsc#SLE-14777).
- net: hns3: modify an unsuitable print when setting unknown
  duplex to fibre (jsc#SLE-14777).
- net: hns3: clear port base VLAN when unload PF (jsc#SLE-14777).
- net: hns3: fix VF VLAN table entries inconsistent issue
  (jsc#SLE-14777).
- net: hns3: fix "tc qdisc del" failed issue (jsc#SLE-14777).
- commit b14f4ce
* Thu Oct  1 2020 mgorman@suse.de
- locking/rwsem: Disable reader optimistic spinning (bnc#1176588).
- cpuidle: Poll for a minimum of 30ns and poll for a tick if
  lower c-states are disabled (bnc#1176588).
- commit 978088f
* Thu Oct  1 2020 mgorman@suse.de
- sched/numa: Avoid creating large imbalances at task creation
  time (bnc#1176588).
- commit aa3fc2a
* Thu Oct  1 2020 mgorman@suse.de
- sched/numa: Check numa balancing information only when enabled
  (bnc#1176588).
- commit 576f70b
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix memory leak'
- commit 48bb0f7
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: memory leak'
- commit b4a1ce3
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/etnaviv: fix missing unlock on error in etnaviv_iommuv1_context_alloc()'
- commit cefd005
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: remove unused function'
- commit db065a8
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: remove duplicate macro smu_get_uclk_dpm_states in amdgpu_smu.h'
- commit 3bf4e7b
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: fix variable type errors in smu_v11_0_setup_pptable'
- commit 3376fe8
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx9: update pg_flags after determining if gfx off is possible'
- commit d2d9457
* Thu Oct  1 2020 lduncan@suse.com
- scsi: bnx2i: Add parameter description and rename another
  (bsc#1177154 jre#sle-15134).
- scsi: bnx2i: Add, remove and edit some function parameter
  descriptions (bsc#1177154 jre#sle-15134).
- scsi: bnx2i: Fix a whole host of kerneldoc issues (bsc#1177154
  jre#sle-15134).
- scsi: bnx2i: Add missing descriptions for 'attr' parameter
  (bsc#1177154 jre#sle-15134).
- scsi: bnx2i: Fix parameter misnaming in function header
  (bsc#1177154 jre#sle-15134).
- commit 9ba4024
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/amdgpu/vcn_v2_0: Move VCN 2.0 specific dec ring test to vcn_v2_0'
- commit e92c6bf
* Thu Oct  1 2020 tiwai@suse.de
- Refresh patches.suse/ASoC-soc-use-asoc_rtd_to_cpu-asoc_rtd_to_codec-macro.patch
  Fix a typo in the backported patch
- commit bb5933d
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- base: soc: Handle custom soc information sysfs entries
  (jsc#SLE-15847).
- base: soc: Add serial_number attribute to soc (jsc#SLE-15847).
- commit 648cb09
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: drop logs when we've aborted a transaction (bsc#1176019).
- commit 7345ceb
* Thu Oct  1 2020 tiwai@suse.de
- hdlc_ppp: add range checks in ppp_cp_parse_cr() (CVE-2020-25643
  bsc#1177206).
- commit 8a998ea
* Thu Oct  1 2020 tiwai@suse.de
- block: allow for_each_bvec to support zero len bvec
  (CVE-2020-25641 bsc#1177121).
- commit d4185c3
* Thu Oct  1 2020 fdmanana@suse.com
- Btrfs: fix crash during unmount due to race with delayed inode
  workers (bsc#1176019).
- commit 0dbe270
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: fix null pointer dereference around dpm state relates'
- commit 70094be
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- soc/tegra: fuse: Fix typo in APB MISC warning (jsc#SLE-15847).
- soc/tegra: fuse: Update the SoC revision attribute to display
  a name (jsc#SLE-15847).
- soc/tegra: fuse: Trivial clean-up of tegra_init_revision()
  (jsc#SLE-15847).
- soc/tegra: fuse: Add custom SoC attributes (jsc#SLE-15847).
- soc/tegra: pmc: Cleanup whitespace usage (jsc#SLE-15847).
- soc/tegra: pmc: Add pins for Tegra194 (jsc#SLE-15847).
- soc/tegra: fuse: Unmap registers once they are not needed
  anymore (jsc#SLE-15847).
- soc/tegra: fuse: Warn if straps are not ready (jsc#SLE-15847).
- soc/tegra: fuse: Cache values of straps and Chip ID registers
  (jsc#SLE-15847).
- soc/tegra: fuse: Add Tegra194 support (jsc#SLE-15847).
- soc/tegra: fuse: Register cell lookups for compatibility
  (jsc#SLE-15847).
- soc/tegra: fuse: Add cell information (jsc#SLE-15847).
- soc/tegra: fuse: Implement nvmem device (jsc#SLE-15847).
- soc/tegra: fuse: Restore base on sysfs failure (jsc#SLE-15847).
- ARM: tegra: Use WFE for power-gating on Tegra30 (jsc#SLE-15847).
- commit 283cb45
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- spi: document CS setup, hold & inactive times in header
  (jsc#SLE-15847).
- commit edacaf4
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: kill the subvol_srcu (bsc#1176019).
- commit 0920c6e
* Thu Oct  1 2020 tiwai@suse.de
- Remove duplicated entry in realtek phy due to stable backport
  Delete patches.suse/net-phy-realtek-fix-handling-of-RTL8105e-integrated-.patch
- commit 3bb764a
* Thu Oct  1 2020 tiwai@suse.de
- r8169: change driver data type (bsc#1175746).
- commit 01ff12d
* Thu Oct  1 2020 tiwai@suse.de
- r8169: improve rtl_remove_one (bsc#1175746).
- commit 86cbe7f
* Thu Oct  1 2020 tiwai@suse.de
- r8169: switch from netif_xxx message functions to netdev_xxx
  (bsc#1175746).
- commit af2bb83
* Thu Oct  1 2020 tiwai@suse.de
- r8169: improve error message if no dedicated PHY driver is found
  (bsc#1175746).
- commit 5bd3878
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: make btrfs_cleanup_fs_roots use the radix tree lock
  (bsc#1176019).
- commit c45ade0
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx10: update gfx golden settings'
- commit 3f5f070
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: don't take an extra root ref at allocation time
  (bsc#1176019).
- commit 3454450
* Thu Oct  1 2020 oneukum@suse.com
- crypto: inside-secure - keep ivsize for DES ECB modes at 0
  (jsc#SLE-14454).
- commit 9a463d4
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix GFXOFF on Picasso and Raven2'
- commit 1712474
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Add APTX quirk for Dell Latitude 5495'
- commit 63f99be
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: correct Vega20 dpm level related settings'
- commit adfb522
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- blacklist.conf: add Tegra PCI defconfig patch
- commit c670bbb
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/powerplay: Fix Vega20 power reading again'
- commit 5953963
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- spi: use new `spi_transfer_delay_exec` helper where
  straightforward (jsc#SLE-15847).
- spi: spi-axi: extend support for the `delay` field
  (jsc#SLE-15847).
- spi: bcm63xx: extend error condition to `delay` as well
  (jsc#SLE-15847).
- spi: spi-falcon: extend warning to `delay` as well
  (jsc#SLE-15847).
- spi: spi-fsl-espi: convert transfer delay to `spi_delay` format
  (jsc#SLE-15847).
- spi: implement SW control for CS times (jsc#SLE-15847).
- spi: tegra114: change format for `spi_set_cs_timing()` function
  (jsc#SLE-15847).
- spi: spidev: use new `delay` field for spi transfers
  (jsc#SLE-15847).
- spi: spi-loopback-test: use new `delay` field (jsc#SLE-15847).
- spi: tegra20-sflash: use to new `spi_transfer_delay_exec`
  (jsc#SLE-15847).
- spi: tegra114: use `spi_transfer_delay_exec` helper
  (jsc#SLE-15847).
- spi: introduce `delay` field for `spi_transfer` +
  spi_transfer_delay_exec() (jsc#SLE-15847).
- spi: core,atmel: convert `word_delay_usecs` -> `word_delay`
  for spi_device (jsc#SLE-15847).
- spi: spidev: use new `word_delay` field for spi transfers
  (jsc#SLE-15847).
- spi: orion: use new `word_delay` field for SPI transfers
  (jsc#SLE-15847).
- spi: sprd: convert transfer word delay to spi_delay struct
  (jsc#SLE-15847).
- spi: make `cs_change_delay` the first user of the `spi_delay`
  logic (jsc#SLE-15847).
- spi: introduce spi_delay struct as "value + unit" &
  spi_delay_exec() (jsc#SLE-15847).
- spi: move `cs_change_delay` backwards compat logic outside
  switch (jsc#SLE-15847).
- iio: imu: adis: Add support for SPI transfer cs_change_delay
  (jsc#SLE-15847).
- commit ef03858
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix dma_fence_wait without reference'
- commit 3d06c60
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/powerplay: Fix Vega20 Average Power value v4'
- commit 9bc612b
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/powerplay: silence a warning in smu_v11_0_setup_pptable'
- commit 401aa7a
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: prevent memory leaks in AMDGPU_CS ioctl'
- commit af4e5eb
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/amdgpu: disable MMHUB PG for navi10'
- commit a11fe75
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Calculate bpc based on max_requested_bpc'
- commit a6dae47
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/scheduler: use job count instead of peek'
- commit 0717cb9
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: use kvmalloc for dc_state (v2)'
- commit c582568
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix gfx9 soft recovery'
- commit a188ecb
* Thu Oct  1 2020 lhenriques@suse.de
- fuse: don't ignore errors from fuse_writepages_fill()
  (bsc#1177193).
- commit 9d94f4c
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: update smu11_driver_if_navi10.h'
- commit 76fa48f
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amdgpu: fix transform feedback GDS hang on gfx10 (v2)"'
- commit a20a0d1
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: hold a ref on the root on the dead roots list
  (bsc#1176019).
- commit 5e21616
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Do not create a new max_bpc prop for MST connectors'
- commit 3dd8035
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix HW readout for crtc_clock in HDMI mode'
- commit 4201925
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: make inodes hold a ref on their roots (bsc#1176019).
- commit 4ebbb08
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: move the root freeing stuff into btrfs_put_root
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch.
- Refresh
  patches.suse/btrfs-fix-corrupt-log-due-to-concurrent-fsync-of-ino.patch.
- commit 9621b6c
* Thu Oct  1 2020 tiwai@suse.de
- r8169: allow to enable ASPM on RTL8125A (bsc#1175746).
- r8169: add support for RTL8125B (bsc#1175746).
- net: phy: realtek: add support for RTL8125B-internal PHY
  (bsc#1175746).
- r8169: sync support for RTL8401 with vendor driver
  (bsc#1175746).
- commit 6a9023d
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix wrong escape clock divisor init for GLK'
- commit 0ddf444
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: fix possible memory leak in intel_hdcp_auth_downstream()'
- commit 6c90832
* Thu Oct  1 2020 tiwai@suse.de
- r8169: merge handling of RTL8101e and RTL8100e (bsc#1175746).
- r8169: rename RTL8125 to RTL8125A (bsc#1175746).
- r8169: improve rtl8169_runtime_resume (bsc#1175746).
- r8169: remove driver-specific mutex (bsc#1175746).
- r8169: use RTNL to protect critical sections (bsc#1175746).
- r8169: add rtl8169_up (bsc#1175746).
- r8169: remove no longer needed checks for device being
  runtime-active (bsc#1175746).
- r8169: mark device as not present when in PCI D3 (bsc#1175746).
- r8169: allow setting irq coalescing if link is down
  (bsc#1175746).
- r8169: fix firmware not resetting tp->ocp_base (bsc#1175746).
- commit e56866c
* Thu Oct  1 2020 tiwai@suse.de
- r8169: move switching optional clock on/off to pll power
  functions (bsc#1175746).
- r8169: move updating counters to rtl8169_down (bsc#1175746).
- r8169: move napi_disable call and rename rtl8169_hw_reset
  (bsc#1175746).
- r8169: replace synchronize_rcu with synchronize_net
  (bsc#1175746).
- r8169: improve setting WoL on runtime-resume (bsc#1175746).
- r8169: remove unused constant RsvdMask (bsc#1175746).
- r8169: add info for DASH being enabled (bsc#1175746).
- r8169: fix failing WoL (bsc#1175746).
- r8169: improve handling power management ops (bsc#1175746).
- commit 7f09749
* Thu Oct  1 2020 tiwai@suse.de
- r8169: make rtl8169_down central chip quiesce function
  (bsc#1175746).
- r8169: move some calls to rtl8169_hw_reset (bsc#1175746).
- r8169: don't reset tx ring indexes in rtl8169_tx_clear
  (bsc#1175746).
- r8169: enable WAKE_PHY as only WoL source when
  runtime-suspending (bsc#1175746).
- r8169: sync RTL8168f/RTL8411 hw config with vendor driver
  (bsc#1175746).
- r8169: sync RTL8168evl hw config with vendor driver
  (bsc#1175746).
- r8169: sync RTL8168h hw config with vendor driver (bsc#1175746).
- r8169: sync RTL8168g hw config with vendor driver (bsc#1175746).
- commit 5d3b949
* Thu Oct  1 2020 tiwai@suse.de
- r8169: fix OCP access on RTL8117 (bsc#1175746).
- Refresh
  patches.suse/r8169-use-fsleep-in-polling-functions.patch.
- commit 1548915
* Thu Oct  1 2020 tiwai@suse.de
- r8169: remove mask argument from r8168ep_ocp_read (bsc#1175746).
- r8169: remove mask argument from r8168dp_ocp_read (bsc#1175746).
- r8169: remove mask argument from rtl_w0w1_eri (bsc#1175746).
- realtek/8139cp: use generic power management (bsc#1175746).
- realtek/8139too: use generic power management (bsc#1175746).
- r8169: work around an irq coalescing related tx timeout
  (bsc#1175746).
- r8169: improve rtl8169_mark_to_asic (bsc#1175746).
- r8169: make rtl_rx better readable (bsc#1175746).
- commit 9e625c0
* Thu Oct  1 2020 tiwai@suse.de
- r8169: don't include linux/moduleparam.h (bsc#1175746).
- r8169: remove not needed checks in rtl8169_set_eee
  (bsc#1175746).
- r8169: improve reset handling for chips from RTL8168g
  (bsc#1175746).
- r8169: add helper rtl_wait_txrx_fifo_empty (bsc#1175746).
- r8169: add helper rtl_enable_rxdvgate (bsc#1175746).
- r8169: add helper r8168g_wait_ll_share_fifo_ready (bsc#1175746).
- r8169: use fsleep in polling functions (bsc#1175746).
- r8169: remove "out of memory" error message from
  rtl_request_firmware (bsc#1175746).
- commit 63f90bf
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Assign eviction priorities to resources'
- commit 97e7b7c
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Kill unneeded legacy security features'
- commit 52b4191
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Use VMW_DEBUG_KMS for vmwgfx mode-setting user errors'
- commit 58ff0f3
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/vmwgfx: Add debug message for layout change ioctl'
- commit dbde0e4
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: pin the csb buffer on hw init for gfx v8'
- commit af8d80e
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: correct navi10 vcn powergate'
- commit d3e844c
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: honor hw limit on fetching metrics data for navi10'
- commit 2b94be4
* Thu Oct  1 2020 tiwai@suse.de
- r8169: simplify counter handling (bsc#1175746).
- r8169: remove redundant driver message when entering promiscuous
  mode (bsc#1175746).
- r8169: remove not needed parameter in rtl8169_set_magic_reg
  (bsc#1175746).
- r8169: configure PME_SIGNAL for RTL8125 too (bsc#1175746).
- r8169: improve max jumbo packet size definition (bsc#1175746).
- r8169: add check for invalid parameter combination in
  rtl_set_coalesce (bsc#1175746).
- r8169: improve rtl_set_coalesce (bsc#1175746).
- r8169: improve interrupt coalescing parameter handling
  (bsc#1175746).
- r8169: improve rtl_coalesce_choose_scale (bsc#1175746).
- r8169: improve rtl_get_coalesce (bsc#1175746).
- commit 07e3627
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: Allow changing of fan_control in smu_v11_0'
- commit 0eaa430
* Thu Oct  1 2020 tiwai@suse.de
- r8169: merge scale for tx and rx irq coalescing (bsc#1175746).
- r8169: don't pass net_device to irq coalescing sub-functions
  (bsc#1175746).
- r8169: improve configuring RxConfig register (bsc#1175746).
- r8169: improve handling CPCMD_MASK (bsc#1175746).
- r8169: change wmb to smb_wmb in rtl8169_start_xmit
  (bsc#1175746).
- r8169: inline rtl8169_make_unusable_by_asic (bsc#1175746).
- r8169: inline rtl8169_mark_as_last_descriptor (bsc#1175746).
- r8169: remove PHY resume delay that is handled in the PHY
  driver now (bsc#1175746).
- commit 879143b
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: correct UVD/VCE/VCN power status retrieval'
- commit 4485290
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: correct Navi10 VCN powergate control (v2)'
- commit 619b343
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: support VCN powergate status retrieval for SW SMU'
- commit d924449
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: support VCN powergate status retrieval on Raven'
- commit 46101c7
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: add new sensor type for VCN powergate status'
- commit 6f196aa
* Thu Oct  1 2020 tiwai@suse.de
- net: phy: realtek: add delay to resume path of certain internal
  PHY's (bsc#1175746).
- r8169: add workaround for RTL8168evl TSO hw issues
  (bsc#1175746).
- r8169: improve rtl8169_tso_csum_v2 (bsc#1175746).
- r8169: use rtl8169_set_features in rtl8169_init_one
  (bsc#1175746).
- r8169: preserve VLAN setting on RTL8125 in rtl_init_rxcfg
  (bsc#1175746).
- r8169: remove NETIF_F_HIGHDMA from vlan_features (bsc#1175746).
- r8169: move setting OCP base to generic init code (bsc#1175746).
- r8169: change back SG and TSO to be disabled by default
  (bsc#1175746).
- r8169: factor out rtl8169_tx_map (bsc#1175746).
- r8169: improve handling of TD_MSS_MAX (bsc#1175746).
- commit 2b38e9c
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix a potential information leaking bug'
- commit d05bce7
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix error handling in amdgpu_cs_process_fence_dep'
- commit 200013a
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/amdgpu/vcn_v2_0: Mark RB commands as KMD commands'
- commit 230fb89
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/powerplay: use proper revision id for navi'
- commit 5f9312d
* Thu Oct  1 2020 tiwai@suse.de
- r8169: improve RTL8168b FIFO overflow workaround (bsc#1175746).
- r8169: improve rtl_schedule_task (bsc#1175746).
- r8169: simplify rtl_task (bsc#1175746).
- r8169: add new helper rtl8168g_enable_gphy_10m (bsc#1175746).
- net: phy: realtek: read actual speed to detect downshift
  (bsc#1175746).
- net: r8169: reject unsupported coalescing params (bsc#1175746).
- r8169: simplify getting stats by using netdev_stats_to_stats64
  (bsc#1175746).
- r8169: let rtl8169_mark_to_asic clear rx descriptor field opts2
  (bsc#1175746).
- r8169: remove now unneeded barrier in rtl_tx (bsc#1175746).
- r8169: simplify usage of rtl8169_unmap_tx_skb (bsc#1175746).
- commit 2d5180d
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: enable SW SMU reset functionality'
- commit 3abfeab
* Thu Oct  1 2020 tiwai@suse.de
- r8169: improve rtl8169_get_mac_version (bsc#1175746).
- commit 386ab62
* Thu Oct  1 2020 tiwai@suse.de
- r8169: ensure tx_skb is fully reset after calling
  rtl8169_unmap_tx_skb (bsc#1175746).
- r8169: convert while to for loop in rtl_tx (bsc#1175746).
- r8169: add PCI_STATUS_PARITY to PCI status error bits
  (bsc#1175746).
- r8169: improve rtl8169_start_xmit (bsc#1175746).
- r8169: remove RTL_EVENT_NAPI constants (bsc#1175746).
- r8169: improve statistics of missed rx packets (bsc#1175746).
- r8169: improve rtl_jumbo_config (bsc#1175746).
- commit 177a646
* Thu Oct  1 2020 tiwai@suse.de
- r8169: add helper rtl_pci_commit (bsc#1175746).
- r8169: simplify setting netdev features (bsc#1175746).
- r8169: remove setting PCI_CACHE_LINE_SIZE in rtl_hw_start_8169
  (bsc#1175746).
- r8169: remove unneeded check from rtl_link_chg_patch
  (bsc#1175746).
- r8169: fix performance regression related to PCIe max read
  request size (bsc#1175746).
- r8169: don't set min_mtu/max_mtu if not needed (bsc#1175746).
- r8169: factor out PHY configuration to r8169_phy_config.c
  (bsc#1175746).
- r8169: add r8169.h (bsc#1175746).
- r8169: rename rtl_apply_firmware (bsc#1175746).
- r8169: add phydev argument to rtl8168d_apply_firmware_cond
  (bsc#1175746).
- commit ae773bc
* Thu Oct  1 2020 tiwai@suse.de
- r8169: use phy_read/write instead of rtl_readphy/writephy
  (bsc#1175746).
- r8169: replace rtl_w0w1_phy (bsc#1175746).
- r8169: replace rtl_patchphy (bsc#1175746).
- r8169: move disabling MAC EEE for RTL8402/RTL8106e
  (bsc#1175746).
- r8169: move setting ERI register 0x1d0 for RTL8106
  (bsc#1175746).
- r8169: switch to phylib functions in rtl_writephy_batch
  (bsc#1175746).
- r8169: change argument type of RTL8168g-specific PHY config
  functions (bsc#1175746).
- r8169: change argument type of EEE PHY functions (bsc#1175746).
- r8169: move RTL8169scd Gigabyte PHY quirk (bsc#1175746).
- r8169: remove not needed debug print in rtl8169_init_phy
  (bsc#1175746).
- commit 472deb8
* Thu Oct  1 2020 tiwai@suse.de
- net: phy: realtek: add logging for the RGMII TX delay
  configuration (bsc#1175746).
- Refresh
  patches.suse/net-phy-realtek-add-support-for-configuring-the-RX-d.patch.
- commit bc4b3c3
* Thu Oct  1 2020 tiwai@suse.de
- r8169: prepare for exporting rtl_hw_phy_config (bsc#1175746).
- r8169: add constant EnAnaPLL (bsc#1175746).
- r8169: move enabling EEE to rtl8169_init_phy (bsc#1175746).
- r8169: remove MAC workaround in rtl8168e_2_hw_phy_config
  (bsc#1175746).
- r8169: factor out rtl8168h_2_get_adc_bias_ioffset (bsc#1175746).
- r8169: add missing RX enabling for WoL on RTL8125 (bsc#1175746).
- net: phy: realtek: fix using paged operations with RTL8105e /
  RTL8208 (bsc#1175746).
- r8169: disable TSO on a single version of RTL8168c to fix
  performance (bsc#1175746).
- commit e71fa48
* Thu Oct  1 2020 tiwai@suse.de
- blacklist.conf: remove r8169 entry to be backported
- commit 50daeab
* Thu Oct  1 2020 tiwai@suse.de
- Delete patches.suse/r8169-Revive-default-chip-version-for-r8168.patch
  The hack is no longer needed after the backport
- commit 6dda380
* Thu Oct  1 2020 tiwai@suse.de
- r8169: add check for PHY_MDIO_CHG to rtl_nic_fw_data_ok
  (bsc#1175746).
- r8169: use macro FIELD_SIZEOF in definition of FW_OPCODE_SIZE
  (bsc#1175746).
- r8169: change mdelay to msleep in rtl_fw_write_firmware
  (bsc#1175746).
- r8169: load firmware for RTL8168fp/RTL8117 (bsc#1175746).
- r8169: improve conditional firmware loading for RTL8168d
  (bsc#1175746).
- r8169: use r8168d_modify_extpage in rtl8168f_config_eee_phy
  (bsc#1175746).
- r8169: add support for RTL8117 (bsc#1175746).
- r8169: respect EEE user setting when restarting network
  (bsc#1175746).
- r8169: remove rtl8168c_4_hw_phy_config (bsc#1175746).
- r8169: add helper r8168d_modify_extpage (bsc#1175746).
- commit 689809f
* Thu Oct  1 2020 tiwai@suse.de
- r8169: switch to phylib functions in more places (bsc#1175746).
- r8169: add helper r8168d_phy_param (bsc#1175746).
- r8169: add helper r8168g_phy_param (bsc#1175746).
- r8169: use helper rtl_hw_aspm_clkreq_enable also in
  rtl_hw_start_8168g_2 (bsc#1175746).
- r8169: improve rtl8169_rx_fill (bsc#1175746).
- r8169: align fix_features callback with vendor driver
  (bsc#1175746).
- r8169: never set PCI_EXP_DEVCTL_NOSNOOP_EN (bsc#1175746).
- r8169: remove rtl_hw_start_8168bef (bsc#1175746).
- r8169: remove rtl_hw_start_8168dp (bsc#1175746).
- r8169: simplify setting PCI_EXP_DEVCTL_NOSNOOP_EN (bsc#1175746).
- commit 1e610e7
* Thu Oct  1 2020 tiwai@suse.de
- r8169: remove fiddling with the PCIe max read request size
  (bsc#1175746).
- r8169: don't set bit RxVlan on RTL8125 (bsc#1175746).
- r8169: add support for EEE on RTL8125 (bsc#1175746).
- r8169: add RTL8125 PHY initialization (bsc#1175746).
- r8169: add support for RTL8125 (bsc#1175746).
- r8169: don't use bit LastFrag in tx descriptor after send
  (bsc#1175746).
- r8169: factor out reading MAC address from registers
  (bsc#1175746).
- r8169: restrict rtl_is_8168evl_up to RTL8168 chip versions
  (bsc#1175746).
- r8169: change interrupt mask type to u32 (bsc#1175746).
- commit caedec7
* Thu Oct  1 2020 tiwai@suse.de
- r8169: use the generic EEE management functions (bsc#1175746).
- Refresh
  patches.suse/r8169-Revive-default-chip-version-for-r8168.patch.
- commit ee0769f
* Thu Oct  1 2020 tiwai@suse.de
- r8169: improve DMA handling in rtl_rx (bsc#1175746).
- r8169: sync EEE handling for RTL8168h with vendor driver
  (bsc#1175746).
- r8169: fix sporadic transmit timeout issue (bsc#1175746).
- r8169: inline rtl8169_free_rx_databuff (bsc#1175746).
- r8169: fix performance issue on RTL8168evl (bsc#1175746).
- r8169: allocate rx buffers using alloc_pages_node (bsc#1175746).
- r8169: sync PCIe PHY init with vendor driver 8.047.01
  (bsc#1175746).
- r8169: add helper r8168_mac_ocp_modify (bsc#1175746).
- r8169: remove access to legacy register MultiIntr (bsc#1175746).
- commit 03e1dc8
* Thu Oct  1 2020 tiwai@suse.de
- r8169: make use of xmit_more (bsc#1175746).
- r8169: enable HW csum and TSO (bsc#1175746).
- r8169: remove r8169_csum_workaround (bsc#1175746).
- r8169: implement callback ndo_features_check (bsc#1175746).
- r8169: set GSO size and segment limits (bsc#1175746).
- r8169: align setting PME with vendor driver (bsc#1175746).
- r8169: improve rtl_set_rx_mode (bsc#1175746).
- r8169: fix a typo in a comment (bsc#1175746).
- commit 30e5417
* Thu Oct  1 2020 tiwai@suse.de
- r8169: improve rtl_rx (bsc#1175746).
- Refresh patches.suse/r8169-fix-DMA-issue-on-MIPS-platform.patch.
- commit fbcfbaf
* Thu Oct  1 2020 mkubecek@suse.cz
- Update kabi files.
- update to October 2020 maintenance update submission (commit e037a4e18793)
- commit 05421e4
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/r128: drop use of drmP.h'
- commit ffe45ec
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Make sure cdclk is high enough for DP audio on VLV/CHV'
- commit f3b60dd
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/userptr: Acquire the page lock around set_page_dirty()'
- commit ebf6288
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Add a wakeref getter for iff the wakeref is already active'
- commit 763dd74
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: use VCN firmware offset for cache window'
- commit 23a25a5
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: fix temperature granularity error in smu11'
- commit e1e512c
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: free block groups after free'ing fs trees (bsc#1176019).
- commit 2c64d7b
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: move ino_cache_inode dropping out of btrfs_free_fs_root
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch.
- commit d9887ec
* Thu Oct  1 2020 fdmanana@suse.com
- btrfs: make the extent buffer leak check per fs info
  (bsc#1176019).
- commit 941b4ee
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: readd -msse2 to prevent Clang from emitting libcalls to undefined SW FP routines'
- commit 4b807be
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdkfd: Fix byte align on VegaM'
- commit 5d5d538
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: add callback function of get_thermal_temperature_range'
- commit 7eb0df5
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/smu: move fan rpm query into the asic specific code'
- commit 962f044
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: remove redundancy debug log in smu'
- commit 189b071
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: custom peak clock freq for navi10'
- commit 9262892
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: handle active dongle port type is DP++ or DP case'
- commit 06c7488
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: do not read link setting if edp not connected'
- commit 2ec613d
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Increase size of audios array'
- commit dbf11b5
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- soc/tegra: bpmp: Update ABI header (jsc#SLE-15847).
- commit 71478fa
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: drop ASSERT() if eDP panel is not connected'
- commit 5751a1a
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Set enabled to false at start of audio disable'
- commit df7ebe2
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Fix dc_create failure handling and 666 color depths'
- commit 2a82459
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: allocate 4 ddc engines for RV2'
- commit e6c1093
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: put back front end initialization sequence'
- commit 6003188
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Wait for flip to complete'
- commit d3b00dd
* Thu Oct  1 2020 yousaf.kaukab@suse.com
- mmc: sdhci: Refactor sdhci_set_timeout() (jsc#SLE-15847).
- mmc: sdhci: Convert sdhci_set_timeout_irq() to non-static
  (jsc#SLE-15847).
- mmc: sdhci: add support for using external DMA devices
  (jsc#SLE-15847).
- mmc: sdhci: Factor out some operations set to their own
  functions (jsc#SLE-15847).
- commit 27ad6d4
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Change min_h_sync_width from 8 to 4'
- commit 48e4be5
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: use encoder's engine id to find matched free audio device'
- commit 484b212
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: fix DMCU hang when going into Modern Standby'
- commit d99b5ec
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Disable Audio on reinitialize hardware'
- commit 0d5d2ec
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Read max down spread'
- commit 0813faa
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Check for valid stream_encode'
- commit 9e44584
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Wait for backlight programming completion in set backlight level'
- commit 62ae57f
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Poll for GPUVM context ready (v2)'
- commit 59fb669
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: wait for the whole frame after global unlock'
- commit c6f61c2
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Copy max_clks_by_state after dce_clk_mgr_construct'
- commit 8db0624
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Clock does not lower in Updateplanes'
- commit abbe1b3
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: skip retrain in dc_link_set_preferred_link_settings() if using passive dongle'
- commit 9c1b84a
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: swap system aperture high/low'
- commit 6e8960e
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Set one 4:2:0-related PPS field as recommended by DSC spec'
- commit 94516fe
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Set default block_size, even in unexpected cases'
- commit be4db4b
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: No audio endpoint for Dell MST display'
- commit b641187
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: cap DCFCLK hardmin to 507 for NV10'
- commit 3890eb3
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: fix dsc disable'
- commit eefe5ae
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: fix up HUBBUB hw programming for VM'
- commit daf5fbe
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: initialize p_state to proper value'
- commit 7802292
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: use VCN firmware offset for cache window'
- commit e4c08aa
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/ttm: use the same attributes when freeing d_page->vaddr'
- commit 8d3e65f
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: change sysfs pp_dpm_xxx format for navi10'
- commit e7b0d4e
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: drop ras self test'
- commit 4375cca
* Thu Oct  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: only allow error injection to UMC IP block'
- commit f5d234f
* Wed Sep 30 2020 tbogendoerfer@suse.de
- igc: Add WOL support (jsc#SLE-13533).
- Refresh patches.suse/igc-Fix-PTP-initialization.patch.
- commit c48069c
* Wed Sep 30 2020 tbogendoerfer@suse.de
- e1000e: Add support for Alder Lake (jsc#SLE-13532).
- Refresh
  patches.suse/ethernet-intel-Convert-fallthrough-code-comments.patch.
- commit c0dca3e
* Wed Sep 30 2020 tbogendoerfer@suse.de
- e1000e: Remove unnecessary usages of memset (jsc#SLE-13532).
- e1000: Remove unnecessary usages of memset (jsc#SLE-13532).
- igc: Fix static checker warning (jsc#SLE-13533).
- igc: Clean up the hw_stats structure (jsc#SLE-13533).
- igc: Clean up the mac_info structure (jsc#SLE-13533).
- igc: Remove ledctl_ fields from the mac_info structure
  (jsc#SLE-13533).
- igc: Fix registers definition (jsc#SLE-13533).
- igc: Remove unneeded ICTXQMTC register (jsc#SLE-13533).
- igc: Add Receive Descriptor Minimum Threshold Count to clear
  HW counters (jsc#SLE-13533).
- igc: Remove unneeded variable (jsc#SLE-13533).
- fm10k: convert to new udp_tunnel_nic infra (jsc#SLE-13535).
- bnx2x: convert to new udp_tunnel_nic infra (jsc#SLE-13628).
- be2net: convert to new udp_tunnel_nic infra (jsc#SLE-15083).
- bnx2x: fix spelling mistake "occurd" -> "occurred"
  (jsc#SLE-13628).
- bnx2x: Perform Idlechk dump during the debug collection
  (jsc#SLE-13628).
- bnx2x: Add support for idlechk tests (jsc#SLE-13628).
- bnx2x: Add Idlechk related register definitions (jsc#SLE-13628).
- benet: use generic power management (jsc#SLE-15083).
- igc: Remove checking media type during MAC initialization
  (jsc#SLE-13533).
- igc: Remove unneeded check for copper media type
  (jsc#SLE-13533).
- igc: Refactor the igc_power_down_link() (jsc#SLE-13533).
- igc: Remove TCP segmentation TX fail counter (jsc#SLE-13533).
- igc: Add LPI counters (jsc#SLE-13533).
- igc: Fix Rx timestamp disabling (jsc#SLE-13533).
- igc: Refactor igc_ptp_set_timestamp_mode() (jsc#SLE-13533).
- igc: Remove UDP filter setup in PTP code (jsc#SLE-13533).
- igc: Check __IGC_PTP_TX_IN_PROGRESS instead of ptp_tx_skb
  (jsc#SLE-13533).
- igc: Remove duplicate code in Tx timestamp handling
  (jsc#SLE-13533).
- igc: Clean up Rx timestamping logic (jsc#SLE-13533).
- igc: Add initial LTR support (jsc#SLE-13533).
- igc: Add initial EEE support (jsc#SLE-13533).
- bnx2x: use generic power management (jsc#SLE-13628).
- e1000e: continue to init PHY even when failed to disable ULP
  (jsc#SLE-13532).
- e1000e: fix unused-function warning (jsc#SLE-13532).
- e1000: use generic power management (jsc#SLE-13532).
- e1000: Fix typo in the comment (jsc#SLE-13532).
- igc: Fix wrong register name (jsc#SLE-13533).
- igc: Remove Sequence Error Counter (jsc#SLE-13533).
- igc: Add Receive Error Counter (jsc#SLE-13533).
- igc: Remove symbol error counter (jsc#SLE-13533).
- igc: Fix IGC_MAX_RXNFC_RULES (jsc#SLE-13533).
- igc: Reject NFC rules with multiple matches (jsc#SLE-13533).
- igc: Remove unused flags (jsc#SLE-13533).
- bnx2x: allow bnx2x_bsc_read() to schedule (jsc#SLE-13628).
- e1000e: disable s0ix entry and exit flows for ME systems
  (jsc#SLE-13532).
- e1000e: Warn if disabling ULP failed (jsc#SLE-13532).
- igc: Remove unused descriptor's flags (jsc#SLE-13533).
- igc: Remove igc_nfc_rule_exit() (jsc#SLE-13533).
- igc: Change adapter->nfc_rule_lock to mutex (jsc#SLE-13533).
- igc: Change return type from igc_disable_nfc_rule()
  (jsc#SLE-13533).
- igc: Fix NFC rule validation (jsc#SLE-13533).
- igc: Fix NFC rules leak when driver is unloaded (jsc#SLE-13533).
- igc: Refactor igc_ethtool_update_nfc_rule() (jsc#SLE-13533).
- igc: Fix NFC rules restoration (jsc#SLE-13533).
- igc: Fix NFC rules with multicast addresses (jsc#SLE-13533).
- igc: Fix NFC rule overwrite cases (jsc#SLE-13533).
- igc: Fix locking issue when retrieving NFC rules
  (jsc#SLE-13533).
- igc: Fix 'sw_idx' type in struct igc_nfc_rule (jsc#SLE-13533).
- igc: Refactor igc_ethtool_add_nfc_rule() (jsc#SLE-13533).
- igc: Change byte order in struct igc_nfc_filter (jsc#SLE-13533).
- igc: Align terms used in NFC support code (jsc#SLE-13533).
- igc: Add 'igc_ethtool_' prefix to functions in igc_ethtool.c
  (jsc#SLE-13533).
- igc: Early return in igc_get_ethtool_nfc_entry()
  (jsc#SLE-13533).
- igc: Cleanup _get|set_rxnfc ethtool ops (jsc#SLE-13533).
- igc: Get rid of igc_max_channels() (jsc#SLE-13533).
- igc: Remove unused field from igc_nfc_filter (jsc#SLE-13533).
- igc: Remove per queue good transmited counter register
  (jsc#SLE-13533).
- igc: Remove header redirection register (jsc#SLE-13533).
- igc: Remove obsolete circuit breaker registers (jsc#SLE-13533).
- e1000: Do not perform reset in reset_task if we are already down
  (jsc#SLE-13532).
- igc: Enable NFC rules based source MAC address (jsc#SLE-13533).
- igc: Add support for source address filters in core
  (jsc#SLE-13533).
- igc: Remove mac_table from igc_adapter (jsc#SLE-13533).
- igc: Remove IGC_MAC_STATE_SRC_ADDR flag (jsc#SLE-13533).
- igc: Remove unused registers (jsc#SLE-13533).
- igc: Remove unused IGC_ICS_DRSTA define (jsc#SLE-13533).
- igc: Dump ETQF registers (jsc#SLE-13533).
- igc: Refactor ethertype filtering code (jsc#SLE-13533).
- igc: Fix MAX_ETYPE_FILTER value (jsc#SLE-13533).
- igc: Remove ethertype filter in PTP code (jsc#SLE-13533).
- igc: Remove duplicated IGC_RXPBS macro (jsc#SLE-13533).
- igc: Refactor VLAN priority filtering code (jsc#SLE-13533).
- igc: Return -EOPNOTSUPP when VLAN mask doesn't match
  (jsc#SLE-13533).
- igc: Dump VLANPQF register (jsc#SLE-13533).
- igc: Rename IGC_VLAPQF macro (jsc#SLE-13533).
- igc: Clean up obsolete NVM defines (jsc#SLE-13533).
- igc: remove IGC_REMOVED function (jsc#SLE-13533).
- igc: Remove PCIe Control register (jsc#SLE-13533).
- igc: Remove unneeded register (jsc#SLE-13533).
- igc: Remove unneeded definition (jsc#SLE-13533).
- igc: Use netdev log helpers in igc_base.c (jsc#SLE-13533).
- igc: Use netdev log helpers in igc_dump.c (jsc#SLE-13533).
- igc: Use netdev log helpers in igc_ptp.c (jsc#SLE-13533).
- igc: Use netdev log helpers in igc_ethtool.c (jsc#SLE-13533).
- igc: add support to eeprom, registers and link self-tests
  (jsc#SLE-13533).
- igc: Use netdev log helpers in igc_main.c (jsc#SLE-13533).
- igc: Add ECN support for TSO (jsc#SLE-13533).
- cnic: remove redundant assignment to variable ret
  (jsc#SLE-15135).
- bnx2x: Remove unused inline function bnx2x_vf_vlan_credit
  (jsc#SLE-13628).
- bnx2x: Remove Comparison to bool in bnx2x_dcb.c (jsc#SLE-13628).
- igc: Add debug messages to MAC filter code (jsc#SLE-13533).
- igc: Refactor igc_del_mac_filter() (jsc#SLE-13533).
- igc: Refactor igc_mac_entry_can_be_used() (jsc#SLE-13533).
- igc: Remove igc_*_mac_steering_filter() wrappers
  (jsc#SLE-13533).
- igc: Remove IGC_MAC_STATE_QUEUE_STEERING (jsc#SLE-13533).
- igc: Remove 'queue' check in igc_del_mac_filter()
  (jsc#SLE-13533).
- igc: Improve address check in igc_del_mac_filter()
  (jsc#SLE-13533).
- igc: Refactor igc_rar_set_index() (jsc#SLE-13533).
- igc: Fix igc_uc_unsync() (jsc#SLE-13533).
- igc: Change igc_add_mac_filter() returning value
  (jsc#SLE-13533).
- igc: Check unsupported flag in igc_add_mac_filter()
  (jsc#SLE-13533).
- igc: Remove duplicate code in MAC filtering logic
  (jsc#SLE-13533).
- e1000e: fix S0ix flows for cable connected case (jsc#SLE-13532).
- igc: Add new device IDs for i225 part (jsc#SLE-13533).
- igc: Fix default MAC address filter override (jsc#SLE-13533).
- igc: Remove dead code related to flower filter (jsc#SLE-13533).
- igc: Fix NFC queue redirection support (jsc#SLE-13533).
- igc: Remove copper fiber switch control (jsc#SLE-13533).
- igc: Enable NETIF_F_HW_TC flag (jsc#SLE-13533).
- igc: Fix double definition (jsc#SLE-13533).
- igc: Fix overwrites when dumping registers (jsc#SLE-13533).
- igc: Remove forward declaration (jsc#SLE-13533).
- igc: Remove unused CTRL_EXT_LINK_MODE_MASK (jsc#SLE-13533).
- igc: Remove unused MDIC_DEST mask (jsc#SLE-13533).
- igc: Add support for ETF offloading (jsc#SLE-13533).
- igc: Add support for taprio offloading (jsc#SLE-13533).
- igc: Add GSO partial support (jsc#SLE-13533).
- e1000: remove unneeded conversion to bool (jsc#SLE-13532).
- bnx2x: correct a comment mistake in grammar (jsc#SLE-13628).
- net: igc: let core reject the unsupported coalescing parameters
  (jsc#SLE-13533).
- net: fm10k: reject unsupported coalescing params
  (jsc#SLE-13535).
- net: e1000: reject unsupported coalescing params
  (jsc#SLE-13532).
- net: be2net: reject unsupported coalescing params
  (jsc#SLE-15083).
- net: bnx2x: reject unsupported coalescing params
  (jsc#SLE-13628).
- net: bnx2: reject unsupported coalescing params (jsc#SLE-15135).
- e1000e: reject unsupported coalescing params (jsc#SLE-13532).
- igc: Add comment (jsc#SLE-13533).
- igc: Add pcie error handler support (jsc#SLE-13533).
- igc: Complete to commit Add basic skeleton for PTP
  (jsc#SLE-13533).
- e1000e: Add support for Tiger Lake device (jsc#SLE-13532).
- igc: Fix the typo in comment (jsc#SLE-13533).
- igc: Add dump options (jsc#SLE-13533).
- igc: Complete to commit Add legacy power management support
  (jsc#SLE-13533).
- igc: make non-global functions static (jsc#SLE-13533).
- net: intel: e1000e: fix possible sleep-in-atomic-context bugs
  in e1000e_get_hw_semaphore() (jsc#SLE-13532).
- e1000e: fix missing cpu_to_le64 on buffer_addr (jsc#SLE-13532).
- e1000(e): use new helper tcp_v6_gso_csum_prep (jsc#SLE-13532).
- net: core: add helper tcp_v6_gso_csum_prep (jsc#SLE-13532).
- net: cnic: fix spelling mistake "reserverd" -> "reserved"
  (jsc#SLE-15135).
- fm10k: use txqueue parameter in fm10k_tx_timeout
  (jsc#SLE-13535).
- cnic: Explicitly initialize all reference counts to 0
  (jsc#SLE-15135).
- commit c9ceecc
* Wed Sep 30 2020 vbabka@suse.cz
- pagewalk: separate function pointers from iterator data
  (jsc#SLE-16387).
- Refresh
  patches.suse/0017-kvm-s390-protvirt-secure-memory-is-not-mergeable.
- Refresh
  patches.suse/0018-kvm-s390-mm-make-pages-accessible-before-destroying-the-guest.
- commit 522acd7
* Wed Sep 30 2020 vbabka@suse.cz
- Add references to jsc#SLE-16387
- Update patches.suse/kernel.h-Add-non_block_start-end.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-notifier-Catch-sleeping-blocking-for-blockable.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit 204d70b
* Wed Sep 30 2020 lduncan@suse.com
- scsi: bnx2fc: Demote obvious misuse of kerneldoc to standard
  comment blocks (bsc#1177142 jre#sle-15133).
- scsi: bnx2fc: Fix a couple of bitrotted function documentation
  headers (bsc#1177142 jre#sle-15133).
- scsi: bnx2fc: Repair a range of kerneldoc issues (bsc#1177142
  jre#sle-15133).
- scsi: bnx2fc: Removal of unused variables (bsc#1177142
  jre#sle-15133).
- scsi: bnx2fc: Remove unneeded semicolon in bnx2fc_fcoe.c
  (bsc#1177142 jre#sle-15133).
- scsi: bnx2fc: Add missing annotation for bnx2fc_abts_cleanup()
  (bsc#1177142 jre#sle-15133).
- scsi: bnx2fc: fix boolreturn.cocci warnings (bsc#1177142
  jre#sle-15133).
- scsi: bnx2fc: Update the driver version to 2.12.13 (bsc#1177142
  jre#sle-15133).
- scsi: bnx2fc: Fix SCSI command completion after cleanup is
  posted (bsc#1177142 jre#sle-15133).
- scsi: bnx2fc: Process the RQE with CQE in interrupt context
  (bsc#1177142 jre#sle-15133).
- scsi: bnx2fc: timeout calculation invalid for bnx2fc_eh_abort()
  (bsc#1177142 jre#sle-15133).
- commit 8bce5c3
* Wed Sep 30 2020 vbabka@suse.cz
- drm/radeon: guard against calling an unpaired
  radeon_mn_unregister() (jsc#SLE-16387).
- commit 4567f0f
* Wed Sep 30 2020 vbabka@suse.cz
- pagewalk: use lockdep_assert_held for locking validation
  (jsc#SLE-16387).
- commit 07ce7c2
* Wed Sep 30 2020 vbabka@suse.cz
- mm: split out a new pagewalk.h header from mm.h (jsc#SLE-16387).
- commit bee7bab
* Wed Sep 30 2020 vbabka@suse.cz
- mm/mmu_notifiers: annotate with might_sleep() (jsc#SLE-16387).
- commit a4feb2c
* Wed Sep 30 2020 vbabka@suse.cz
- Add references to jsc#SLE-16387
- Update
  patches.suse/mm-hmm-fix-hmm_range_fault-s-handling-of-swapped-out-pages.patch
  (git fixes (mm/hmm), jsc#SLE-16387).
- Update patches.suse/mm-hmm-hmm_range_fault-infinite-loop.patch
  (HMM Functionality, jsc#SLE-8176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-hmm_range_fault-null-pointer-bug.patch
  (HMM Functionality, jsc#SLE-8176, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-add-a-lockdep-map-for-invalidate_ra.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-check-if-mmu-notifier-callbacks-are.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update patches.suse/mm-mmu_notifiers-prime-lockdep.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-remove-the-__mmu_notifier_invalidat.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-remove-unregister_no_release.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit f74975e
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: disable GFX RAS by default'
- commit b2b44f5
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: do not create ras debugfs/sysfs node for ASICs that don't have ras ability'
- commit db6e541
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: report bootup clock as max supported on dpm disabled'
- commit 0c6ce43
* Wed Sep 30 2020 vbabka@suse.cz
- mm: remove CONFIG_MIGRATE_VMA_HELPER (jsc#SLE-16387).
- Update config files.
- commit 7a1f655
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Default disable GDS for compute VMIDs'
- commit d843637
* Wed Sep 30 2020 vbabka@suse.cz
- mm: remove the unused MIGRATE_PFN_DEVICE flag (jsc#SLE-16387).
- commit 19c73bc
* Wed Sep 30 2020 vbabka@suse.cz
- mm: remove the unused MIGRATE_PFN_ERROR flag (jsc#SLE-16387).
- commit f69e741
* Wed Sep 30 2020 vbabka@suse.cz
- nouveau: simplify nouveau_dmem_migrate_vma (jsc#SLE-16387).
- commit fb24bf0
* Wed Sep 30 2020 vbabka@suse.cz
- nouveau: simplify nouveau_dmem_migrate_to_ram (jsc#SLE-16387).
- commit c1b99fc
* Wed Sep 30 2020 vbabka@suse.cz
- nouveau: remove a few function stubs (jsc#SLE-16387).
- commit 7daf904
* Wed Sep 30 2020 vbabka@suse.cz
- nouveau: factor out dmem fence completion (jsc#SLE-16387).
- commit c74288d
* Wed Sep 30 2020 vbabka@suse.cz
- nouveau: factor out device memory address calculation
  (jsc#SLE-16387).
- commit aa83c9d
* Wed Sep 30 2020 vbabka@suse.cz
- nouveau: reset dma_nr in nouveau_dmem_migrate_alloc_and_copy
  (jsc#SLE-16387).
- commit 2b18daf
* Wed Sep 30 2020 vbabka@suse.cz
- mm: turn migrate_vma upside down (jsc#SLE-16387).
- commit 918a73d
* Wed Sep 30 2020 vbabka@suse.cz
- Add references to jsc#SLE-16387.
- Update
  patches.suse/drm-amdkfd-fix-a-use-after-free-race-with-mmu_notife.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update patches.suse/drm-amdkfd-use-mmu_notifier_put.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit 6359fc8
* Wed Sep 30 2020 yousaf.kaukab@suse.com
- PCI: pci-epf-test: Add support to defer core initialization (jsc#SLE-15847).
- PCI: dwc: Add API to notify core initialization completion (jsc#SLE-15847).
- PCI: endpoint: Add notification for core init completion (jsc#SLE-15847).
- PCI: dwc: Refactor core initialization code for EP mode (jsc#SLE-15847).
- PCI: endpoint: Add core init notifying feature (jsc#SLE-15847).
- PCI: endpoint: Assign function number for each PF in EPC core (jsc#SLE-15847).
- PCI: endpoint: Replace spinlock with mutex (jsc#SLE-15847).
- PCI: endpoint: Use notification chain mechanism to notify EPC events to EPF (jsc#SLE-15847).
- commit dedde2d
* Wed Sep 30 2020 vbabka@suse.cz
- drm/radeon: use mmu_notifier_get/put for struct radeon_mn
  (jsc#SLE-16387).
- commit 3805587
* Wed Sep 30 2020 vbabka@suse.cz
- Add references to jsc#SLE-16387.
- Update
  patches.suse/hmm-use-mmu_notifier_get-put-for-struct-hmm.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-add-a-get-put-scheme-for-the-regist.patch
  (jsc#SLE-8449, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-do-not-speculatively-allocate-a-mmu.patch
  (jsc#SLE-8449, jsc#SLE-16387).
- Update
  patches.suse/mm-mmu_notifiers-hoist-do_mmu_notifier_register-down.patch
  (jsc#SLE-8449, jsc#SLE-16387).
- commit 9adc515
* Wed Sep 30 2020 tbogendoerfer@suse.de
- crypto: arm/aes-neonbs - provide a synchronous version of
  ctr(aes) (jsc#SLE-15129).
- crypto: arm/aes-neonbs - switch to library version of key
  expansion routine (jsc#SLE-15129).
- crypto: cesa/aes - switch to library version of key expansion
  routine (jsc#SLE-15129).
- commit d028852
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qce - use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-14454).
- commit aa3b68e
* Wed Sep 30 2020 oneukum@suse.com
- crypto: ccree - fix spelling mistake "configration" ->
  "configuration" (jsc#SLE-14454).
- commit f3308fe
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/bochs: Use shadow buffer for bochs framebuffer console'
- commit 4342f31
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/fb-helper: Instanciate shadow FB if configured in device's mode_config'
- commit 1c54ec6
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/fb-helper: Map DRM client buffer only when required'
- commit d582dc7
* Wed Sep 30 2020 tbogendoerfer@suse.de
- crypto: safexcel/aes - switch to library version of key
  expansion routine (jsc#SLE-15129).
- commit 022b6a1
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/client: Support unmapping of DRM client buffers'
- commit 2d48f2d
* Wed Sep 30 2020 ohering@suse.de
- rpm/constraints.in: recognize also kernel-source-azure (bsc#1176732)
- commit 7214bbe
* Wed Sep 30 2020 tiwai@suse.de
- Restore patch reference from SLE15-SP2 for re-backported sound commits
- commit 0201b19
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix GEN8_MCR_SELECTOR programming'
- commit affd40a
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/vbt: Fix VBT parsing for the PSR section'
- commit 87a7539
* Wed Sep 30 2020 vbabka@suse.cz
- mm/hmm: make HMM_MIRROR an implicit option (jsc#SLE-16387).
- Update config files.
- commit 47db5ca
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Lock the engine while dumping the active request'
- commit 3c8761c
* Wed Sep 30 2020 vbabka@suse.cz
- mm/hmm: allow HMM_MIRROR on all architectures with MMU
  (jsc#SLE-16387).
- Update config files.
- commit 3b4eacd
* Wed Sep 30 2020 vbabka@suse.cz
- Add references to jsc#SLE-16387
- Update
  patches.suse/mm-hmm-cleanup-the-hmm_vma_handle_pmd-stub.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-cleanup-the-hmm_vma_walk_hugetlb_entry-stub.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-don-t-abuse-pte_index-in-hmm_vma_handle_pmd.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-only-define-hmm_vma_walk_pud-if-needed.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-remove-the-mask-variable-in-hmm_vma_walk_huge.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-remove-the-page_shift-member-from-struct-hmm_.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-remove-the-unused-vma-argument-to-hmm_range_d.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/nouveau-pass-struct-nouveau_svmm-to-nouveau_range_fa.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit 29fcd1d
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/perf: add missing delay for OA muxes configuration'
- commit 588959a
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/perf: ensure we keep a reference on the driver'
- commit 1f7c970
* Wed Sep 30 2020 vbabka@suse.cz
- amdgpu: don't initialize range->list in amdgpu_hmm_init_range
  (jsc#SLE-16387).
- commit 2799035
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gtt: Mark the freed page table entries with scratch'
- commit 25b1b5b
* Wed Sep 30 2020 vbabka@suse.cz
- amdgpu: remove -EAGAIN handling for hmm_range_fault
  (jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-remove-superfluous-arguments-from-hmm_range_r.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit 6dbbbd3
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gtt: Defer the free for alloc error paths'
- commit c4f36af
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Deal with machines that expose less than three QGV points'
- commit b506731
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/i915: Introduce private PAT management"'
- commit 678301e
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix memleak in runtime wakeref tracking'
- commit e2d5b4e
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/icl: whitelist PS_(DEPTH|INVOCATION)_COUNT'
- commit d8e2dad
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: whitelist PS_(DEPTH|INVOCATION)_COUNT'
- commit 1b36ae2
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: fix whitelist selftests with readonly registers'
- commit 626f865
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix the TBT AUX power well enabling'
- commit 60b7e60
* Wed Sep 30 2020 vbabka@suse.cz
- Add references to SLE-16387 to already backported patches.
- Update
  patches.suse/mm-hmm-a-few-more-C-style-and-comment-clean-ups.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-comment-on-VM_FAULT_RETRY-semantics-in-handle.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-merge-hmm_range_snapshot-into-hmm_range_fault.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update patches.suse/mm-hmm-remove-hmm_range-vma.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-remove-hugetlbfs-check-in-hmm_vma_walk_pmd.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-replace-hmm_update-with-mmu_notifier_range.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/mm-hmm-replace-the-block-argument-to-hmm_range_fault.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- Update
  patches.suse/nouveau-return-EBUSY-when-hmm_range_wait_until_valid.patch
  (jsc#SLE-15176, jsc#SLE-16387).
- commit 572a983
* Wed Sep 30 2020 tbogendoerfer@suse.de
- crypto: ctr - add helper for performing a CTR encryption walk
  (jsc#SLE-15129).
- commit caba77c
* Wed Sep 30 2020 yousaf.kaukab@suse.com
- PCI: tegra: Use pci_host_probe() to register host (jsc#SLE-15847).
- PCI: tegra: Remove PLL power supplies (jsc#SLE-15847).
- mmc: sdhci-tegra: Add comment for PADCALIB and PAD_CONTROL NVQUIRKS (jsc#SLE-15847).
- PCI: tegra: Fix runtime PM imbalance on error (jsc#SLE-15847).
- PCI: tegra194: Fix runtime PM imbalance on error (jsc#SLE-15847).
- PCI: tegra: Fix reporting GPIO error value (jsc#SLE-15847).
- PCI: Check for platform_get_irq() failure consistently (jsc#SLE-15847).
- sdhci: tegra: Avoid reading autocal timeout values when not applicable (jsc#SLE-15847).
- spi: tegra114: Fix runtime PM imbalance on error (jsc#SLE-15847).
- PCI: tegra: Use pci_parse_request_of_pci_ranges() (jsc#SLE-15847).
- PCI: tegra: Print -EPROBE_DEFER error message at debug level (jsc#SLE-15847).
- PCI: tegra: Add support for PCIe endpoint mode in Tegra194 (jsc#SLE-15847).
- sdhci: tegra: Enable MMC_CAP_WAIT_WHILE_BUSY host capability
  (jsc#SLE-15847).
- sdhci: tegra: Implement Tegra specific set_timeout callback
  (jsc#SLE-15847).
- spi: tegra114: use true,false for bool variable (jsc#SLE-15847).
- spi: tegra114: Use dma_request_chan() directly for channel
  request (jsc#SLE-15847).
- commit 7fd5e12
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - fallback for xts with 192 bit keys
  (jsc#SLE-14454).
- commit ac83642
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - remove unused field in skcipher ctx
  (jsc#SLE14454).
- commit 318ce92
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Lift intel_engines_resume() to callers'
- commit 5d99a79
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Only recover active engines'
- commit 0abeea0
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - validate xts key (jsc#SLE-14454).
- crypto: qat - allow xts requests not multiple of block
  (jsc#SLE-14454).
- crypto: qat - update timeout logic in put admin msg
  (jsc#SLE-14454).
- commit 1cf010e
* Wed Sep 30 2020 tbogendoerfer@suse.de
- crypto: arm64/aes-ce-cipher - use AES library as fallback
  (jsc#SLE-15129).
- crypto: aes - move sync ctr(aes) to AES library and generic
  helper (jsc#SLE-15129).
- crypto: arm64/aes-ce - switch to library version of key
  expansion routine (jsc#SLE-15129).
- crypto: arm64/aes-neonbs - switch to library version of key
  expansion routine (jsc#SLE-15129).
- crypto: arm64/aes-ccm - switch to AES library (jsc#SLE-15129).
- commit d407931
* Wed Sep 30 2020 vbabka@suse.cz
- mm/hmm: remove the legacy hmm_pfn_* APIs (jsc#SLE-16387).
- commit be4d4a4
* Wed Sep 30 2020 yousaf.kaukab@suse.com
- irq/irqdomain: Update __irq_domain_alloc_fwnode() function
  documentation (jsc#SLE-15847).
- commit 16526ea
* Wed Sep 30 2020 tbogendoerfer@suse.de
- crypto: s390/aes - fix name clash after AES library refactor
  (jsc#SLE-15129).
- crypto: arm64/ghash - switch to AES library (jsc#SLE-15129).
- commit a0f23df
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - send admin messages to set of AEs (jsc#SLE-14454).
- commit e438b81
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - update fw init admin msg (jsc#SLE14454).
- commit 6fd86fe
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - remove packed attribute in etr structs
  (jsc#SLE-14454).
- commit f86be87
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - replace user types with kernel ABI __u types
  (jsc#SLE-14454).
- commit 5431470
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix various tracepoints for gen2'
- commit 836ffb7
* Wed Sep 30 2020 glin@suse.com
- bpf: Support bitfield read access in btf_struct_access
  (bsc#1177028).
- bpf: Add enum support to btf_ctx_access() (bsc#1177028).
  Refresh patches.suse/bpf-Do-not-allow-btf_ctx_access-with-__int128-types.patch
- bpf: Avoid storing modifier to info->btf_id (bsc#1177028).
- bpf: Save PTR_TO_BTF_ID register state when spilling to stack
  (bsc#1177028).
- bpf: Support replacing cgroup-bpf program in MULTI mode (bsc#1177028).
  Refresh patches.suse/bpf-Initialize-storage-pointers-to-NULL-to-prevent-f.patch
- bpf: Remove unused new_flags in hierarchy_allows_attach()
  (bsc#1177028).
- bpf: Simplify __cgroup_bpf_attach (bsc#1177028).
  Refresh patches.suse/bpf-Initialize-storage-pointers-to-NULL-to-prevent-f.patch
- xdp: Make cpumap flush_list common for all map instances
  (bsc#1177028).
- xdp: Make devmap flush_list common for all map instances (bsc#1177028).
  Refresh patches.suse/devmap-Use-bpf_map_area_alloc-for-allocating-hash-bu.patch
- xdp: Fix graze->grace type-o in cpumap comments (bsc#1177028).
- xdp: Simplify cpumap cleanup (bsc#1177028).
- xdp: Simplify devmap cleanup (bsc#1177028).
- bpf: Remove unnecessary assertion on fp_old (bsc#1177028).
- bpf, xdp: Start using the BPF dispatcher for XDP (bsc#1177028).
- bpf: Introduce BPF dispatcher (bsc#1177028).
- bpf: Move trampoline JIT image allocation to a function
  (bsc#1177028).
- bpf, x86, arm64: Enable jit by default when not built as always-on (bsc#1177028).
  Update config files.
- bpf: Emit audit messages upon successful prog load and unload
  (bsc#1177028).
- commit 219add7
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - replace user types with kernel u types
  (jsc#SLE-14454).
- commit 52daf14
* Wed Sep 30 2020 jroedel@suse.de
- kABI: Fix kABI for 12856e7acde4 PCI/IOV: Mark VFs as not
  implementing PCI_COMMAND_MEMORY (bsc#1176979).
- commit e374ebb
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - convert to SPDX License Identifiers
  (jsc#SLE-14454).
- commit 3565458
* Wed Sep 30 2020 jdelvare@suse.de
- Enable the amd_energy driver (jsc#SLE-14262)
  This is a new driver for energy monitoring of the AMD Family 17h and
  future processors, based on RAPL MSR.
- commit f02ec70
* Wed Sep 30 2020 jdelvare@suse.de
- hwmon: (amd_energy) match for supported models (jsc#SLE-14262).
- hwmon: (amd_energy) Missing platform_driver_unregister()
  on error in amd_energy_init() (jsc#SLE-14262).
- hwmon: Add amd_energy driver to report energy counters
  (jsc#SLE-14262).
- commit 82ef4ee
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - simplify the qat_crypto function (jsc#SLE-14454).
- commit 5a62d41
* Wed Sep 30 2020 yousaf.kaukab@suse.com
- irqchip/gic-v2, v3: Drop extra IRQ_NOAUTOEN setting for (E)PPIs
  (jsc#SLE-15847).
- irqdomain/debugfs: Use PAs to generate fwnode names
  (jsc#SLE-15847).
- gpio/ixp4xx: Register the base PA instead of its VA in fwnode
  (jsc#SLE-15847).
- irqchip/ixp4xx: Register the base PA instead of its VA in fwnode
  (jsc#SLE-15847).
- irqchip/gic-v2m: Register the frame's PA instead of its VA in
  fwnode (jsc#SLE-15847).
- irqchip/gic: Register the distributor's PA instead of its VA
  in fwnode (jsc#SLE-15847).
- irqchip/gic-v3-its: Register the ITS' PA instead of its VA in
  fwnode (jsc#SLE-15847).
- irqchip/gic-v3: Register the distributor's PA instead of its
  VA in fwnode (jsc#SLE-15847).
- commit 077e154
* Wed Sep 30 2020 oneukum@suse.com
- crypto: qat - spelling s/Decrytp/Decrypt/ (jsc#SLE-14454).
- commit 4580abc
* Wed Sep 30 2020 glin@suse.com
- ftrace: Return the first found result in lookup_rec()
  (bsc#1177028).
- bpf: Make BPF trampoline use register_ftrace_direct() API
  (bsc#1177028).
- ftrace: Add helper find_direct_entry() to consolidate code
  (bsc#1177028).
- ftrace: Add another check for match in register_ftrace_direct()
  (bsc#1177028).
- ftrace: Fix accounting bug with direct->count in
  register_ftrace_direct() (bsc#1177028).
- ftrace/samples: Add a sample module that implements
  modify_ftrace_direct() (bsc#1177028).
- ftrace: Add modify_ftrace_direct() (bsc#1177028).
- ftrace/x86: Add a counter to test function_graph with direct
  (bsc#1177028).
- ftrace/x86: Add register_ftrace_direct() for custom trampolines (bsc#1177028).
  Update config files.
- ftrace/selftests: Update the direct call selftests to test
  two direct calls (bsc#1177028).
- ftrace: Add another example of register_ftrace_direct() use case
  (bsc#1177028).
- ftrace/selftest: Add tests to test register_ftrace_direct()
  (bsc#1177028).
- ftrace: Add sample module that uses register_ftrace_direct()
  (bsc#1177028).
- ftrace: Add ftrace_find_direct_func() (bsc#1177028).
- ftrace: Add register_ftrace_direct() (bsc#1177028).
- ftrace: Separate out functionality from ftrace_location_range()
  (bsc#1177028).
- ftrace: Separate out the copying of a ftrace_hash from
  __ftrace_hash_move() (bsc#1177028).
- commit 6f27637
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/perf: fix ICL perf register offsets'
- commit 8771b48
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Disable SAMPLER_STATE prefetching on all Gen11 steppings.'
- commit c9d75ae
* Wed Sep 30 2020 dwagner@suse.de
- Drop patches.suse/scsi-qla2xxx-Handle-incorrect-entry_type-entries.patch
  The patch contains a bug which prevents device discovery. Drop it until
  we have a proper fix from upstream.
- commit d02a6d5
* Wed Sep 30 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Keep rings pinned while the context is active'
- commit 56d61dd
* Wed Sep 30 2020 hare@suse.de
- block: restore a specific error code in bdev_del_partition
  (bsc#1177095).
- commit 625aba8
* Wed Sep 30 2020 lduncan@suse.com
- scsi: libcxgbi: Remove unnecessary NULL checks for 'tdata'
  pointer (bsc#1177020 jre#sle-15121).
- scsi: cxgb4i: Remove an unnecessary NULL check for 'cconn'
  pointer (bsc#1177020 jre#sle-15121).
- scsi: cxgb4i: Clean up a debug printk (bsc#1177020
  jre#sle-15121).
- scsi: libcxgbi: fix NULL pointer dereference in
  cxgbi_device_destroy() (bsc#1177020 jre#sle-15121).
- scsi: libcxgbi: remove unused function to stop warning
  (bsc#1177020 jre#sle-15121).
- commit 6767872
* Tue Sep 29 2020 tiwai@suse.de
- Delete a doubly applied batman-adv patch
- commit edcea1c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/fbdev: Restore physical addresses for fb_mmap() (bsc#1152489)
- commit 0547af2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make pool objects read-only (bsc#1152489)
- commit fd1ec4d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Protect request peeking with RCU (bsc#1152489)
- commit 8d90cb2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/userptr: Try to acquire the page lock around (bsc#1152489)
- commit 275dd88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/pmu: "Frequency" is reported as accumulated cycles (bsc#1152489)
- commit 6ec3728
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Preload LUTs if the hw isn't currently using them (bsc#1152489)
- commit 6c4ce64
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Don't oops in dumb_create ioctl if we have no crtcs (bsc#1152489)
- commit 1cefb82
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amd/display: enable S/G for RAVEN chip" (bsc#1152472)
- commit 5a169cb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable gfxoff on original raven (bsc#1152472)
- commit 46fa061
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable gfxoff when using register read interface (bsc#1152472)
- commit ab352c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct fine grained dpm force level setting (bsc#1152472)
- commit 8775512
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: issue no PPSMC_MSG_GetCurrPkgPwr on unsupported (bsc#1152472)
- commit 51a646b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove experimental flag for Navi14 (bsc#1152472)
- commit bbd5497
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix null pointer deref in firmware header printing (bsc#1152472)
- commit 9405872
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: tcon: Set min division of TCON0_DCLK to 1. (bsc#1152472)
- commit 1cb1da2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: MOCS table update (bsc#1152489)
- commit 9a0f681
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/i915/ehl: Update MOCS table for EHL" (bsc#1152489)
- commit 333aadd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: fix dropping obj reference twice (bsc#1152489)
- commit 38d7e5a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: update rawclk also on resume (bsc#1152489)
- commit 3403b2f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/cmdparser: Fix jump whitelist clearing (bsc#1152489)
- commit 21501fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gen8+: Add RC6 CTX corruption WA (bsc#1152489)
- commit 569e932
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Lower RM timeout to avoid DSI hard hangs (bsc#1152489)
- commit b736830
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/cmdparser: Ignore Length operands during command matching (bsc#1152489)
- commit 7d8c6b1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/cmdparser: Add support for backward jumps (bsc#1152489)
- commit 28b8c88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/cmdparser: Use explicit goto for error paths (bsc#1152489)
- commit ee21942
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add gen9 BCS cmdparsing (bsc#1152489)
- commit 00e4185
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Allow parsing of unsized batches (bsc#1152489)
- commit ab44254
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Support ro ppgtt mapped cmdparser shadow buffers (bsc#1152489)
- commit e0d67a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add support for mandatory cmdparsing (bsc#1152489)
- commit 0b58d68
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove Master tables from cmdparser (bsc#1152489)
- commit b0c3d33
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Disable Secure Batches for gen6+ (bsc#1152489)
- commit 5236b46
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rename gen7 cmdparser tables (bsc#1152489)
- commit 280fef8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: fix si_enable_smc_cac() failed issue (bsc#1152472)
- commit 6e75df4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/renoir: move gfxoff handling into gfx9 module (bsc#1152472)
- commit 7a17358
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add warning for GRBM 1-cycle delay issue in gfx9 (bsc#1152472)
- commit d0e7818
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add dummy read by engines for some GCVM status registers (bsc#1152472)
- commit 9a432e9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: register gpu instance before fan boost feature enablment (bsc#1152472)
- commit 141751d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/swSMU: fix smu workload bit map error (bsc#1152472)
- commit 8966700
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi14 PCI ID (bsc#1152472)
- commit fb7e70f
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amd/display: setting the DIG_MODE to the correct value." (bsc#1152472)
- commit 2098b6f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add ENGINE_ID_DIGD condition check for Navi14 (bsc#1152472)
- commit 132d8b3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: dont schedule jobs while in reset (bsc#1152472)
- commit f469074
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/arcturus: properly set BANK_SELECT and FRAGMENT_SIZE (bsc#1152472)
- commit f7fd8ff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dp: Do not switch aux to TBT mode for non-TC ports (bsc#1152489)
- commit c287c7d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Avoid HPD poll detect triggering a new detect cycle (bsc#1152489)
- commit 28eb9c0
* Tue Sep 29 2020 msuchanek@suse.de
- Rename patches to the same name as in SLE15-SP3.
- commit b538695
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmem: Add docbook comments for drm_gem_shmem_object madvise (bsc#1152472)
- commit 5654b7b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atomic: fix self-refresh helpers crtc state dereference (bsc#1152472)
- commit d2cc543
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: c2p: Fix link failure on non-inlining (bsc#1152472)
- commit ad93da2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable -msse2 for GCC 7.1+ users (bsc#1152472)
- commit b224e93
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix stack alignment ABI mismatch for GCC 7.1+ (bsc#1152472)
- commit 299096c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix stack alignment ABI mismatch for Clang (bsc#1152472)
- commit 1163295
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Fix EEH during kexec (bsc#1152472)
- commit ce1fc4b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gmc10: properly set BANK_SELECT and FRAGMENT_SIZE (bsc#1152472)
- commit 633c231
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay/vega10: allow undervolting in p7 (bsc#1152472)
- commit 8908e45
* Tue Sep 29 2020 tzimmermann@suse.de
- dc.c:use kzalloc without test (bsc#1152472)
- commit ae9aa22
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: setting the DIG_MODE to the correct value. (bsc#1152472)
- commit 297809e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Passive DP->HDMI dongle detection fix (bsc#1152472)
- commit a00e651
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add 50us buffer as WA for pstate switch in active (bsc#1152472)
- commit 14d1d0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Allow inverted gamma (bsc#1152472)
- commit 99b2db5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: do not synchronize "drr" displays (bsc#1152472)
- commit bb8fa52
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: If amdgpu_ib_schedule fails return back the error. (bsc#1152472)
- commit c2773dc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sched: Set error to s_fence if HW job submission failed. (bsc#1152472)
- commit 7c04705
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi12 (bsc#1152472)
- commit 5f72c5b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi14 (bsc#1152472)
- commit ea3d401
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Change Navi14's DWB flag to 1 (bsc#1152472)
- commit bfb72c7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: do not execute 0-sized IBs (v2) (bsc#1152472)
- commit fd73276
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix SDMA hang when performing VKexample test (bsc#1152472)
- commit 782c10e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix PCH reference clock for FDI on HSW/BDW (bsc#1152489)
- commit bf6e408
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Fix doc not corresponding to code (bsc#1152489)
- commit 83669ec
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Don't dereference bogus MMU pointers (bsc#1152472)
- commit 2b2703b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: fix -Wmissing-prototypes warnings (bsc#1152472)
- commit 3926321
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/v3d: Fix memory leak in v3d_submit_cl_ioctl (bsc#1152472)
- commit 59b64ed
* Tue Sep 29 2020 tzimmermann@suse.de
- panfrost: Properly undo pm_runtime_enable when deferring a probe (bsc#1152472)
- commit 366e621
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: fix dumping of iommuv2 (bsc#1152472)
- commit 85c9ce2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: reinstate MMUv1 command buffer window check (bsc#1152472)
- commit 5ea5b5f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: fix deadlock in GPU coredump (bsc#1152472)
- commit 2f8aeec
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/vce: fix allocation size in enc ring test (bsc#1152472)
- commit 0f86523
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix error handling in amdgpu_bo_list_create (bsc#1152472)
- commit d3650cf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix potential VM faults (bsc#1152472)
- commit c1e3b85
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: user pages array memory leak fix (bsc#1152472)
- commit 4b10428
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/vcn: fix allocation size in enc ring test (bsc#1152472)
- commit fcb8d2c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/uvd7: fix allocation size in enc ring test (v2) (bsc#1152472)
- commit b714584
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/uvd6: fix allocation size in enc ring test (v2) (bsc#1152472)
- commit e856ab7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: Fix typos in komeda_splitter_validate (bsc#1152489)
- commit 327ba42
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: Don't flush inactive pipes (bsc#1152489)
- commit e462ea4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Handle resetting on timeout better (bsc#1152472)
- commit c47b6ee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Add missing GPU feature registers (bsc#1152489)
- commit 6ad20e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: fix handling in ttm_bo_add_mem_to_lru (bsc#1152489)
- commit 0c36d77
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: Restore ttm prefaulting (bsc#1152489)
- commit bd95939
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: fix busy reference in ttm_mem_evict_first (bsc#1152489)
- commit 537e838
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dsi: Implement reset correctly (bsc#1152489)
- commit fe02c9e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/edid: Add 6 bpc quirk for SDC panel in Lenovo G50 (bsc#1152489)
- commit 74806f4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tiny: Kconfig: Remove always-y THERMAL dep. from TINYDRM_REPAPER (bsc#1152489)
- commit 69c242b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: fix mask value of POLL_REGMEM packet for pipe sync (bsc#1152472)
- commit a6f1fb7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Bail earlier when amdgpu.cik_/si_support is not set to 1 (bsc#1152472)
- commit 17d29cd
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/radeon: Fix EEH during kexec" (bsc#1152472)
- commit d70de84
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: fix typo in mvdd table setup (bsc#1152472)
- commit 38c2f3d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fixup preempt-to-busy vs resubmission of a virtual request (bsc#1152489)
- commit 84d500a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/userptr: Never allow userptr into the mappable GGTT (bsc#1152489)
- commit e1b82bf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Favor last VBT child device with conflicting AUX ch/DDC pin (bsc#1152489)
- commit f1cc6c5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Refactor -EIO markup of hung requests (bsc#1152489)
- commit a6ea02f
* Tue Sep 29 2020 tzimmermann@suse.de
- xen: Stop abusing DT of_dma_configure API (bsc#1152489)
- commit 2d49c71
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: execlists->active is serialised by the tasklet (bsc#1152489)
- commit e94708b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Protect peeking at execlists->active (bsc#1152489)
- commit bc19779
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fixup preempt-to-busy vs reset of a virtual request (bsc#1152489)
- commit 9b00561
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Only enqueue already completed requests (bsc#1152489)
- commit dc2adc0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Drop redundant list_del_init(&rq->sched.link) (bsc#1152489)
- commit 47a3115
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/cml: Add second PCH ID for CMP (bsc#1152489)
- commit ccceace
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Mark contents as dirty on a write fault (bsc#1152489)
- commit 3847539
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Prevent bonded requests from overtaking each other on (bsc#1152489)
- commit 5f86c68
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Bump skl+ max plane width to 5k for linear/x-tiled (bsc#1152489)
- commit 40ad69f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Verify the engine after acquiring the active.lock (bsc#1152489)
- commit e85b487
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Extend Haswell GT1 PSMI workaround to all (bsc#1152489)
- commit 072b7ce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Don't mix srcu tag and negative error codes (bsc#1152489)
- commit 7f2a69f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Whitelist COMMON_SLICE_CHICKEN2 (bsc#1152489)
- commit 98477ea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Perform GGTT restore much earlier during resume (bsc#1152489)
- commit a0f2aef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Remove incorrect BUG_ON for schedule-out (bsc#1152489)
- commit 101a093
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: fix max_tu_symbol value (bsc#1152472)
- commit 6aa5791
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: tpo-td043mtea1: Fix SPI alias (bsc#1152489)
- commit 7357da9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: tpo-td028ttec1: Fix SPI alias (bsc#1152489)
- commit fc5adce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: sony-acx565akm: Fix SPI alias (bsc#1152489)
- commit 08fac1f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: nec-nl8048hl11: Fix SPI alias (bsc#1152489)
- commit 2181342
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: lg-lb035q02: Fix SPI alias (bsc#1152489)
- commit 465244d
* Tue Sep 29 2020 tzimmermann@suse.de
- video/logo: do not generate unneeded logo C files (bsc#1152489)
- commit c48e6da
* Tue Sep 29 2020 tzimmermann@suse.de
- video/logo: remove unneeded *.o pattern from clean-files (bsc#1152489)
- commit 0f9878c
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/i915: Fix DP-MST crtc_mask" (bsc#1152489)
- commit c9a0e3a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix g4x sprite scaling stride check with GTT remapping (bsc#1152489)
- commit bd5549f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dp: Fix dsc bpp calculations, v5. (bsc#1152489)
- commit 9e37e83
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tilcdc: include linux/pinctrl/consumer.h again (bsc#1152489)
- commit 69fd920
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/omap: fix max fclk divider for omap36xx (bsc#1152472)
- commit 9b94253
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: prevent memory leak in komeda_wb_connector_add (bsc#1152489)
- commit 1ecdca1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Clear the fence pointer when writeback job signaled (bsc#1152489)
- commit 651384c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Free the writeback_job when it with an empty fb (bsc#1152489)
- commit 820278f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix dcn21 Makefile for clang (bsc#1152472)
- commit a440b68
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: hide an unused variable (bsc#1152472)
- commit eb944ba
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: display_mode_vba_21: remove uint typedef (bsc#1152472)
- commit 89a0df6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: hide another #warning (bsc#1152472)
- commit 6b57333
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: make pmu support optional, again (bsc#1152472)
- commit 3c76d73
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix multiple memory leaks in acp_hw_init (bsc#1152472)
- commit c1b9168
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: return tcc_disabled_mask to userspace (bsc#1152472)
- commit 76b1b6e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: don't increment vram lost if we are in hibernation (bsc#1152472)
- commit 7b2c06f
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: disable stutter mode for renoir" (bsc#1152472)
- commit d03f552
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add sensor lock support for smu (bsc#1152472)
- commit 326ccd7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: change metrics update period from 1ms to 100ms (bsc#1152472)
- commit b5aaa29
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: revert "disable bulk moves for now" (bsc#1152472)
- commit 2b6f70c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: prevent memory leak (bsc#1152489)
- commit a2bc2a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add support for wks firmware loading (bsc#1152489)
- commit d0a5042
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/display: include slab.h in dcn21_resource.c (bsc#1152489)
- commit 5c72bb3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/display: fix 64 bit divide (bsc#1152489)
- commit e69d6a3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: flag navi12 and 14 as experimental for 5.4 (bsc#1152489)
- commit 05cbd47
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi12 pci id (bsc#1152489)
- commit f17ee88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi14 PCI ID for work station SKU (bsc#1152489)
- commit 8998b87
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Swap trap temporary registers in gfx10 trap handler (bsc#1152489)
- commit 41f6186
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: implement sysfs for getting dpm clock (bsc#1152489)
- commit 08e072c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Restore backlight brightness after system resume (bsc#1152489)
- commit 7ef2658
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Implement voltage limitation for dali (bsc#1152489)
- commit 099126c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add Asic ID for Dali (bsc#1152489)
- commit 25617d3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix KFD-related kernel oops on Hawaii (bsc#1152489)
- commit 7a5d538
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/amdgpu: power up sdma engine when S3 resume back (bsc#1152489)
- commit cd8b517
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Check for valid number of registers to read (bsc#1152489)
- commit c09503f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Bail earlier when radeon.cik_/si_support=0 is passed (bsc#1152489)
- commit 81c8b77
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add missing HBM support and raise Vega20's uclk. (bsc#1152489)
- commit 30395a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: dce11.x /dce12 update formula input (bsc#1152489)
- commit ae9d1e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove program of lbpw for renoir (bsc#1152489)
- commit 5933cab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Remove clock gating restore. (bsc#1152489)
- commit 08bb2c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add smu lock around in pp_smu_i2c_bus_access (bsc#1152489)
- commit f08928a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: update renoir_ip_offset.h (bsc#1152489)
- commit 883227c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable stutter mode for renoir (bsc#1152489)
- commit 370f26f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add stereo mux and dig programming calls for dcn21 (bsc#1152489)
- commit 5246ba7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Prevent race when handling page fault (bsc#1152489)
- commit bd6ada9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Remove NULL checks for regulator (bsc#1152489)
- commit 3a674d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Fix regulator_get_optional() misuse (bsc#1152489)
- commit 95225e0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Measure Self Refresh Entry/Exit times to avoid thrashing (bsc#1152489)
- commit 48001bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Fix kerneldoc and remove unused struct member in self_refresh (bsc#1152489)
- commit a94f99d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atomic: Rename crtc_state->pageflip_flags to async_flip (bsc#1152489)
- commit 48a2e7c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atomic: Reject FLIP_ASYNC unconditionally (bsc#1152489)
- commit 403b73e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atomic: Take the atomic toys away from X (bsc#1152489)
- commit f8046ff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/kms: Duct-tape for mode object lifetime checks (bsc#1152472)
- commit 99ec630
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/bridge: adv7511: Attach to DSI host at probe time" (bsc#1152489)
- commit 80e3de0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: untag user pointers in radeon_gem_userptr_ioctl (bsc#1152489)
- commit 866ff9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: untag user pointers (bsc#1152489)
- commit 93f0086
* Tue Sep 29 2020 tzimmermann@suse.de
- i2c: replace i2c_new_secondary_device with an ERR_PTR variant (bsc#1152489)
- commit 2c03fe0
* Tue Sep 29 2020 tzimmermann@suse.de
- drivers/gpu/drm/via: convert put_page() to put_user_page*() (bsc#1152489)
- commit 616d76c
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: pwm_bl: Set scale type for brightness curves specified in (bsc#1152489)
- commit 9168251
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: pwm_bl: Set scale type for CIE 1931 curves (bsc#1152489)
- commit d5b30d4
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: Expose brightness curve type through sysfs (bsc#1152489)
- commit 0936955
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: gpio-backlight: Correct initial power state handling (bsc#1152489)
- commit e242b4b
* Tue Sep 29 2020 tzimmermann@suse.de
- video: backlight: tosa_lcd: drop check because (bsc#1152489)
- commit 0535dad
* Tue Sep 29 2020 tzimmermann@suse.de
- video: backlight: Drop default m for {LCD,BACKLIGHT_CLASS_DEVICE} (bsc#1152489)
- commit ff61f9b
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: lms283gf05: Fix a typo in the description passed to (bsc#1152489)
- commit 40c1175
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: lm3630a: Switch to use fwnode_property_count_uXX() (bsc#1152489)
- commit cb17358
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: rave-sp: Leave initial state and register with correct (bsc#1152489)
- commit 6e937b8
* Tue Sep 29 2020 tzimmermann@suse.de
- video/fbdev: Drop JZ4740 driver (bsc#1152489)
- commit 28a6ae0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: guard against calling an unpaired radeon_mn_unregister() (bsc#1152489)
- commit 5c43b71
* Tue Sep 29 2020 tzimmermann@suse.de
- mm: remove CONFIG_MIGRATE_VMA_HELPER (bsc#1152489)
- commit e328afa
* Tue Sep 29 2020 tzimmermann@suse.de
- mm: remove the unused MIGRATE_PFN_DEVICE flag (bsc#1152489)
- commit 006ebdf
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: simplify nouveau_dmem_migrate_vma (bsc#1152489)
- commit 1fed516
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: simplify nouveau_dmem_migrate_to_ram (bsc#1152489)
- commit 0bb4413
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: remove a few function stubs (bsc#1152489)
- commit 83156ed
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: factor out dmem fence completion (bsc#1152489)
- commit 334475f
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: factor out device memory address calculation (bsc#1152489)
- commit 7bf0a53
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: reset dma_nr in nouveau_dmem_migrate_alloc_and_copy (bsc#1152489)
- commit 673268a
* Tue Sep 29 2020 tzimmermann@suse.de
- mm: turn migrate_vma upside down (bsc#1152489)
- commit 6ae5d0a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: use mmu_notifier_put (bsc#1152489)
- commit b1c5e0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: fix a use after free race with mmu_notifer unregister (bsc#1152489)
- commit 9066e76
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: use mmu_notifier_get/put for struct radeon_mn (bsc#1152489)
- commit 50a6d26
* Tue Sep 29 2020 tzimmermann@suse.de
- hmm: use mmu_notifier_get/put for 'struct hmm' (bsc#1152489)
- commit bdacf22
* Tue Sep 29 2020 tzimmermann@suse.de
- mm/hmm: make HMM_MIRROR an implicit option (bsc#1152489)
- commit d68df81
* Tue Sep 29 2020 tzimmermann@suse.de
- mm/hmm: remove the page_shift member from struct hmm_range (bsc#1152489)
- commit d1494b6
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: pass struct nouveau_svmm to nouveau_range_fault (bsc#1152489)
- commit 7f805fc
* Tue Sep 29 2020 tzimmermann@suse.de
- amdgpu: don't initialize range->list in amdgpu_hmm_init_range (bsc#1152489)
- commit 0aabe72
* Tue Sep 29 2020 tzimmermann@suse.de
- amdgpu: remove -EAGAIN handling for hmm_range_fault (bsc#1152489)
- commit a3a4dd6
* Tue Sep 29 2020 tzimmermann@suse.de
- mm/hmm: remove hmm_range vma (bsc#1152489)
- commit 7a11310
* Tue Sep 29 2020 tzimmermann@suse.de
- mm/hmm: replace the block argument to hmm_range_fault with a flags (bsc#1152489)
- commit 9056209
* Tue Sep 29 2020 tzimmermann@suse.de
- mm/hmm: replace hmm_update with mmu_notifier_range (bsc#1152489)
- commit 0813cd7
* Tue Sep 29 2020 tzimmermann@suse.de
- mm/hmm: remove the legacy hmm_pfn_* APIs (bsc#1152489)
- commit 09854af
* Tue Sep 29 2020 tzimmermann@suse.de
- nouveau: return -EBUSY when hmm_range_wait_until_valid fails (bsc#1152489)
- commit 30d929c
* Tue Sep 29 2020 tzimmermann@suse.de
- kbuild: change *FLAGS_<basetarget>.o to take the path relative to (bsc#1152489)
- commit 691ec88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/bar/gm20b: Avoid BAR1 teardown during init (bsc#1152472)
- commit b310a01
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Fix ordering between TTM and GEM release (bsc#1152472)
- commit 2f4b7fa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/prime: Extend DMA reservation object lock (bsc#1152472)
- commit 0852645
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Fix fallout from reservation object rework (bsc#1152472)
- commit bd81856
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: Don't create MSTMs for eDP connectors (bsc#1152472)
- commit 3b6d507
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use NOEVICT for first pass on attemping to pin a GGTT mmap (bsc#1152489)
- commit 049a8de
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: to make vgpu ppgtt notificaiton as atomic operation (bsc#1152489)
- commit 17970c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Flush the existing fence before GGTT read/write (bsc#1152489)
- commit 1942967
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Hold irq-off for the entire fake lock period (bsc#1152489)
- commit f64469b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: update RING_START reg of vGPU when the context is (bsc#1152489)
- commit 066dca6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: update vgpu workload head pointer correctly (bsc#1152489)
- commit 6bf208b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mcde: Fix DSI transfers (bsc#1152472)
- commit 5d556bd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Remove unnecessary hwaccess_lock spin_lock (bsc#1152489)
- commit 4dbc1eb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Flush and disable address space when freeing page (bsc#1152489)
- commit c0535b3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Add cache/TLB flush before switching address space (bsc#1152489)
- commit 5e9b7dd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Split mmu_hw_do_operation into locked and unlocked (bsc#1152489)
- commit 7e5393c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Rework page table flushing and runtime PM interaction (bsc#1152489)
- commit 87df48f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Remove unnecessary mmu->lock mutex (bsc#1152489)
- commit d931c92
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Hold runtime PM reference until jobs complete (bsc#1152489)
- commit 35bab67
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Rework runtime PM initialization (bsc#1152489)
- commit 71c6c04
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Use mutex_trylock in panfrost_gem_purge (bsc#1152489)
- commit e4bfd0b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmem: Use mutex_trylock in drm_gem_shmem_purge (bsc#1152489)
- commit eef99c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmem: Do dma_unmap_sg before purging pages (bsc#1152489)
- commit b1e2e6e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Fix possible suspend in panfrost_remove (bsc#1152489)
- commit 7f83196
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Add missing check for pfdev->regulator (bsc#1152489)
- commit fb99509
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Use the correct dma_sync calls harder (bsc#1152489)
- commit a25a5aa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: remove unlikely() from WARN_ON() conditions (bsc#1152489)
- commit c0fdd4c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dsi: Fix return value check for clk_get_parent (bsc#1152489)
- commit bfa307d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: add atomic traces (bsc#1152489)
- commit 972691d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: async commit support (bsc#1152489)
- commit cf8282b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: async commit support (bsc#1152489)
- commit 9f89adb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: split power control from prepare/complete_commit (bsc#1152489)
- commit 71bf5bd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: add kms->flush_commit() (bsc#1152489)
- commit dae5d58
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: convert kms->complete_commit() to crtc_mask (bsc#1152489)
- commit 0a717b5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: add kms->wait_flush() (bsc#1152489)
- commit 7ace3ac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: handle_frame_done() from vblank irq (bsc#1152489)
- commit 98a3520
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: add real wait_for_commit_done() (bsc#1152489)
- commit 3f48272
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: unwind async commit handling (bsc#1152489)
- commit 3c352ef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: remove unused arg (bsc#1152489)
- commit 28ba4fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: remove some impossible error checking (bsc#1152489)
- commit 9189873
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: add rotation property (bsc#1152489)
- commit cc79d7a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Remove Kconfig default (bsc#1152489)
- commit ab000d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: remove stray "\n" (bsc#1152489)
- commit 37de023
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: fix "frame done" timeouts (bsc#1152489)
- commit 976bde2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Use struct_size() helper (bsc#1152489)
- commit 6704644
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Use generic bulk clock function (bsc#1152489)
- commit d8179f2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/mdp5: Find correct node for creating gem address space (bsc#1152489)
- commit 1df2115
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/phy/dsi_phy: silence -EPROBE_DEFER warnings (bsc#1152489)
- commit 7c15c35
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/a6xx: add missing MODULE_FIRMWARE() (bsc#1152489)
- commit 87cdb5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/mdp5: Add msm8998 support (bsc#1152489)
- commit 3b45b27
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: remove dpu_mdss:hwversion (bsc#1152489)
- commit 9eaf06a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Transition console to msm framebuffer (bsc#1152489)
- commit b0684f1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/hdmi: Convert to use GPIO descriptors (bsc#1152489)
- commit dd249b8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dpu: Drop unused GPIO code (bsc#1152489)
- commit 0350234
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/dsi: Drop unused GPIO includes (bsc#1152489)
- commit f98ff71
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm/mdp4: Drop unused GPIO include (bsc#1152489)
- commit 6592a1c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: drop use of drmP.h (bsc#1152489)
- commit 7cde3c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Move null pointer dereference check (bsc#1152489)
- commit 2ba22bd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix undefined dm_ip_block for navi12 (bsc#1152489)
- commit 8590c11
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix no interrupt issue for renoir emu (v2) (bsc#1152489)
- commit 28ded89
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update IH_CHICKEN in oss 4.0 IP header for VG/RV series (bsc#1152489)
- commit 92f0918
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: SMU_MSG_OverridePcieParameters is unsupport for (bsc#1152489)
- commit 615755e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Handle job is NULL use case in amdgpu_device_gpu_recover (bsc#1152489)
- commit ea70264
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Enable DC on Renoir (bsc#1152489)
- commit d3024c2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add DCN2.1 changes to DML (bsc#1152489)
- commit f187b21
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Correct order of RV family clk managers for Renoir (bsc#1152489)
- commit 0aba4d4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add Renoir to kconfig (bsc#1152489)
- commit d0c17a4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: build dcn21 blocks (bsc#1152489)
- commit ea7513b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add dcn21 core DC changes (bsc#1152489)
- commit cb3624b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add dal_asic_id for renoir (bsc#1152489)
- commit 258b8f0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: call update_bw_bounding_box (bsc#1152489)
- commit 7d58494
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Handle Renoir in amdgpu_dm (v2) (bsc#1152489)
- commit 84583c6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Handle Renoir in DC (bsc#1152489)
- commit fe6007d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix register names (bsc#1152489)
- commit 977f9a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir DML (bsc#1152489)
- commit 94e3c39
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir GPIO (bsc#1152489)
- commit 369309a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir resource (v2) (bsc#1152489)
- commit 4cf7726
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir clock manager (bsc#1152489)
- commit 7b16ee2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir Hubbub (v2) (bsc#1152489)
- commit 366098a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir hubbub registers list (bsc#1152489)
- commit 5089598
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add hubp block for Renoir (v2) (bsc#1152489)
- commit b0bb92a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir irq_services (v2) (bsc#1152489)
- commit a1539cc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add pp_smu functions for Renoir (bsc#1152489)
- commit 3573654
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir hw_seq register list (bsc#1152489)
- commit 8adf6ae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir clock registers list (bsc#1152489)
- commit 2f659d9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Renoir registers (v3) (bsc#1152489)
- commit c5c3a82
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add the interface for getting ultimate frequency (bsc#1152489)
- commit 3d07cac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable populate DPM clocks table for swSMU APU (bsc#1152489)
- commit 14bad50
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: regards the APU always enable the dpm feature mask (bsc#1152489)
- commit 72413c5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Initialize and update SDMA power gating (bsc#1152489)
- commit 8e21192
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/psp: keep TMR in visible vram region for SRIOV (bsc#1152489)
- commit 7d2fb3a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: keep the stolen memory in visible vram region (bsc#1152489)
- commit 3d106a3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix spelling mistake "jumpimng" -> "jumping" (bsc#1152489)
- commit 59a8870
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/virtual_dce: drop error message in hw_init (bsc#1152489)
- commit 9b7af71
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/si: fix ASIC tests (bsc#1152489)
- commit eb73c34
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/amdgpu: hide voltage and power sensors on SI and KV parts (bsc#1152489)
- commit 5140377
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: introduce vram lost for reset (v2) (bsc#1152489)
- commit 753754d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable jpeg powergating for navi1x (bsc#1152489)
- commit f1c9df6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable athub powergating for navi12 (bsc#1152489)
- commit 7acb6fc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable vcn powergating for navi12 (bsc#1152489)
- commit 65d19ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct in_suspend setting for navi series (bsc#1152489)
- commit 6aa1662
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd: remove meaningless descending into amd/amdkfd/ (bsc#1152489)
- commit c79148c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: remove unused function setFieldWithMask (bsc#1152489)
- commit 56a75f3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct the pp_feature output on Arcturus (bsc#1152489)
- commit af7225a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Vega20 SMU I2C HW engine controller. (bsc#1152489)
- commit f479565
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: Add interface to lock SMU HW I2C. (bsc#1152489)
- commit 1de258a
* Tue Sep 29 2020 mhocko@suse.com
- Update config files - enable FORTIFY_SOURCE (jsc#SLE-11598)
- commit 4339218
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd: Import smuio_11_0 headers for EEPROM access on Vega20 (bsc#1152489)
- commit 7551b68
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add RAS EEPROM table. (bsc#1152489)
- commit ef260e7
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: free up the first paging queue v2" (bsc#1152489)
- commit 82f3fa2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/display: fix build error without (bsc#1152489)
- commit 91e3fa9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: Fix an off by one in navi10_get_smu_msg_index() (bsc#1152489)
- commit 4416d3c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix error message (bsc#1152489)
- commit 9363a0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add dummy read for some GCVM status registers (bsc#1152489)
- commit 3bfa476
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/exynos: drop use of drmP.h (bsc#1152489)
- commit 93c87a1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.48 (bsc#1152489)
- commit 73db657
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: flicking observed while installing driver on Navi10 (bsc#1152489)
- commit 4d49991
* Tue Sep 29 2020 mhocko@suse.com
- Update config files.
  Drop config leftovers after patches.suse/netfilter-nf_tables-make-sets-built-in.patch
- commit b670cd3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Properly read LVTMA_PWRSEQ_CNTL (bsc#1152489)
- commit 548ab67
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: revert wait in pipelock (bsc#1152489)
- commit 691de2d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use res_cap to acquire i2c instead of pipe count (bsc#1152489)
- commit 3c1e179
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Expose OTG_V_TOTAL_MID for HW Diags (bsc#1152489)
- commit 6a2a16f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix DML not calculating delivery time (bsc#1152489)
- commit 3d9bfba
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: MST topology debugfs (bsc#1152489)
- commit 6b43116
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: set av_mute in hw_init for HDMI (bsc#1152489)
- commit 73acd5d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Logging for Gamma Related information (bsc#1152489)
- commit 3f2adfa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Enable HW rotation (bsc#1152489)
- commit a5cf3ec
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add Cursor Degamma logic for DCN2 (bsc#1152489)
- commit 41d51f8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix odm validation (bsc#1152489)
- commit 360371c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix odm stream release (bsc#1152489)
- commit b3f1f12
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix dcn20 odm dpp programming (bsc#1152489)
- commit 86cbf80
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix number of slices not being checked for dsc (bsc#1152489)
- commit ec6df3c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix odm pipe copy (bsc#1152489)
- commit 43081f5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix trigger not generated for freesync (bsc#1152489)
- commit 442346f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix stuck test pattern on right half of display (bsc#1152489)
- commit 2837437
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: support spdif (bsc#1152489)
- commit 5c0f704
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Refactoring VTEM (bsc#1152489)
- commit c142850
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.47 (bsc#1152489)
- commit b185290
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: cleaned up coding error in init_hw (bsc#1152489)
- commit 1aae62a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add VM page fault handle implementation (bsc#1152489)
- commit f64e760
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: refactor Device ID for external chips (bsc#1152489)
- commit 037de27
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Zero-out dsc init regs (bsc#1152489)
- commit 0a26500
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Implement voltage limitation stub (bsc#1152489)
- commit 59b8f68
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add null checks before logging (bsc#1152489)
- commit 175ad5d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: set Hratio and VRatio in dml (bsc#1152489)
- commit 3fa14dc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix dp stream enable (bsc#1152489)
- commit def265d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: load iram for abm 2.3 (bsc#1152489)
- commit d6ff845
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix MPO HUBP underflow with Scatter Gather (bsc#1152489)
- commit 03af1ef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix audio endpoint not getting disabled issue (bsc#1152489)
- commit 89be551
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Delete dead code in command_table_helper (bsc#1152489)
- commit db55286
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: re structure odm to allow 4 to 1 support (bsc#1152489)
- commit e1313ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set adev->num_vmhubs for gmc6,7,8 (bsc#1152489)
- commit 3c714c2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/display: add flag for multi-display mclk switching (bsc#1152489)
- commit 9e34cb0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: update bw_calcs to take pipe sync into account (v3) (bsc#1152489)
- commit ba67e14
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay/vega10: enable mclk switching if monitors are (bsc#1152489)
- commit 3cad0a1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay/smu7: enable mclk switching if monitors are (bsc#1152489)
- commit 1d8433f
* Tue Sep 29 2020 tzimmermann@suse.de
- amd/amdkfd: add Arcturus vf DID support (bsc#1152489)
- commit 60523e3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerpaly: fix navi series custom peak level value error (bsc#1152489)
- commit 046cdd4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct ras error count type (bsc#1152489)
- commit fea7ec1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix calc_pll_max_vco_construct (bsc#1152489)
- commit efc69e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable VCN DPG for Renoir (bsc#1152489)
- commit c42e93f
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amdgpu: use direct loading on renoir vcn for the moment" (bsc#1152489)
- commit 6779cd1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update gc/sdma goldensetting for rn (bsc#1152489)
- commit dc4f026
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: Disable renoir smu feature retrieve for the moment (bsc#1152489)
- commit b84e353
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable renoir dpm feature (bsc#1152489)
- commit 2cc02fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable SDMA power gating for rn (bsc#1152489)
- commit c090189
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma4: set sdma clock gating for rn (bsc#1152489)
- commit 99d4cb7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/mmhub1: set mmhub clock gating for rn (bsc#1152489)
- commit a932e94
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable DF clock gating for rn (bsc#1152489)
- commit 5dfc4b0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable athub clock gating for rn (bsc#1152489)
- commit d1bd800
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable IH clock gating for rn (bsc#1152489)
- commit 480fa05
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable vcn clock gating for rn (bsc#1152489)
- commit f64b0d3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable rom clock gating for rn (bsc#1152489)
- commit 03078bc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable HDP clock gating for rn (bsc#1152489)
- commit 4179e88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable BIF clock gating for rn (bsc#1152489)
- commit 96ed1af
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable sdma clock gating for rn (bsc#1152489)
- commit 1d1023c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable mmhub clock gating for rn (bsc#1152489)
- commit 9644520
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable gfx clock gating for rn (bsc#1152489)
- commit 91ce5d5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add DPMCLOCKS table implementation (bsc#1152489)
- commit 983a0c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: init smu tables for rn (bsc#1152489)
- commit 86e7428
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add smu tables for rn (bsc#1152489)
- commit d80677a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: using valid mapping check for rn (bsc#1152489)
- commit 26616fc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix checking gfxoff status for rn (bsc#1152489)
- commit eaddc34
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add and enable gfxoff feature (bsc#1152489)
- commit 0e09e3c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add set_gfx_cgpg implement (v2) (bsc#1152489)
- commit 66039e3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: udpate smu_v12_0_check_fw_version (v2) (bsc#1152489)
- commit 3b5759f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: powerup sdma/vcn for all apu series (bsc#1152489)
- commit e60f25c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add Renoir VCN power management (bsc#1152489)
- commit 72b0fd2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip dpm init for renoir (bsc#1152489)
- commit dcc74bf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add power up/down SDMA interfaces for renoir (bsc#1152489)
- commit 1b4ed5f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add smu ip block for renoir (v2) (bsc#1152489)
- commit ee3bfa9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add smu_v12_0.c & smu_v12_0.h for renoir (bsc#1152489)
- commit e65f13c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add initial renoir_ppt.c for renoir (v3) (bsc#1152489)
- commit 0d1b11c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add smu12_driver_if.h (v3) (bsc#1152489)
- commit 88e5887
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: Add smu_v12_0_ppsmc.h (v2) (bsc#1152489)
- commit fdd76d1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix a potential null pointer dereference (bsc#1152489)
- commit bee4a29
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: remove redundant assignment to variable (bsc#1152489)
- commit 7dc3723
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Make deallocate_hiq_sdma_mqd static (bsc#1152489)
- commit 0d92f63
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: fix number of sdma5 trap irq types for navi1x (bsc#1152489)
- commit ffb4b32
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Enable SST DSC in DM (bsc#1152489)
- commit 9fefe66
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amd/display: Fix underscan not using proper scaling" (bsc#1152489)
- commit 407e882
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amd/display: add global master update lock for DCN2" (bsc#1152489)
- commit 63d3c55
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amd/display: navi10 bring up skip dsc encoder config" (bsc#1152489)
- commit fc29df3
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/amd/display: skip dsc config for navi10 bring up" (bsc#1152489)
- commit e5af6be
* Tue Sep 29 2020 tzimmermann@suse.de
- amd/amdgpu: add Arcturus vf DID support (bsc#1152489)
- commit c3b6495
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: unity mc base address for arcturus (bsc#1152489)
- commit 345bff2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable agp for sriov (bsc#1152489)
- commit 8b91d49
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: remove set but not used variable 'pdd' (bsc#1152489)
- commit 61cbbfb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: remove duplicated include from dc_link.c (bsc#1152489)
- commit 5f0e51f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove duplicated include from gfx_v9_0.c (bsc#1152489)
- commit a484df1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove set but not used variable 'psp_enabled' (bsc#1152489)
- commit 2c8b1e9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix 32-bit divide error in wait_for_alt_mode (bsc#1152489)
- commit 2983270
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Lock the CRTC when setting CRC source (bsc#1152489)
- commit 36def49
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Split out DC programming for CRC capture (bsc#1152489)
- commit 3e9636d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use connector list for finding DPRX CRC aux (bsc#1152489)
- commit e83a877
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Check return code for CRC drm_crtc_vblank_get (bsc#1152489)
- commit 7e3611e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct typo (bsc#1152489)
- commit cc06fa9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct SW smu11 thermal range settings (bsc#1152489)
- commit b807b96
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: set Arcturus default fclk as bootup value on dpm (bsc#1152489)
- commit 01cbc0b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: get bootup fclk value (bsc#1152489)
- commit 73dfeb6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: expose supported clock domains only through sysfs (bsc#1152489)
- commit 36203b1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: update Arcturus smc fw and driver interface header (bsc#1152489)
- commit b705939
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add smu_smc_read_sensor support for arcturus (bsc#1152489)
- commit 4419583
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix a typo in the include header guard of (bsc#1152489)
- commit 91705a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/psp: move TMR to cpu invisible vram region (bsc#1152489)
- commit 468640a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove redundant argument for psp_funcs::cmd_submit (bsc#1152489)
- commit 1fa6c76
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Fill the name field in node topology with asic name v2 (bsc#1152489)
- commit bace489
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Set no-retry as default. (bsc#1152489)
- commit 79c2ecd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add firmware header printing for psp fw loading (v2) (bsc#1152489)
- commit b98a5c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix debug level for ppt offset/size (bsc#1152489)
- commit 0463c11
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove special autoload handling for navi12 (bsc#1152489)
- commit cf9be04
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Use new mode2 reset interface for RV. (bsc#1152489)
- commit e8b53ee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/poweplay: Add amd_pm_funcs callback for mode 2 (bsc#1152489)
- commit 7893398
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerpay: Implement mode2 reset callback for SMU10 (bsc#1152489)
- commit 3fe767b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add mode2 reset callback for pp_smu_mgr (bsc#1152489)
- commit a65ead4
* Tue Sep 29 2020 lduncan@suse.com
- Ran series_sort.py, moving one patch, to make it happy
- commit 9be1933
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: Fix meaning of 0x1E PPSMC_MSG (bsc#1152489)
- commit 4fe220e
* Tue Sep 29 2020 tzimmermann@suse.de
- dmr/amdgpu: Fix compile error with CONFIG_DRM_AMDGPU_GART_DEBUGFS (bsc#1152489)
- commit 457f35f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay/smu7: enforce minimal VBITimeout (v2) (bsc#1152489)
- commit 4500233
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/amdgpu: Update VM function pointer (bsc#1152489)
- commit 91f9852
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Fill amdgpu_task_info for KFD VMs (bsc#1152489)
- commit 249bfb9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Set VM_L2_CNTL.PDE_FAULT_CLASSIFICATION to 0 for GFX10 (bsc#1152489)
- commit a0e8330
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add more page fault info printing for GFX10 (bsc#1152489)
- commit 4417fcf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add printing for RW extracted from (bsc#1152489)
- commit 7ed8c98
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd/gfx10: Calling amdgpu functions to invalidate TLB (bsc#1152489)
- commit 4ecd9b3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Export function to flush TLB of specific vm hub (bsc#1152489)
- commit a6d8393
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Load NV12 SOC BB from firmware (bsc#1152489)
- commit 483f4da
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Enable MPO with pre-blend color processing (RGB) (bsc#1152489)
- commit 592d849
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: audio cannot switch to internal when display turns (bsc#1152489)
- commit 08a1862
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: check hpd before retry verify link cap (bsc#1152489)
- commit c3bda9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: enable dcn_mem_pwr as golden setting updates (bsc#1152489)
- commit 6e584ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.46 (bsc#1152489)
- commit 6bfef04
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix dcn20 global sync dml param extraction (bsc#1152489)
- commit bb0626c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.45 (bsc#1152489)
- commit 0b27a51
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add and refine DSC logs in enable sequence (bsc#1152489)
- commit d463cd9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Logging for Gamma Related information (2/2) (bsc#1152489)
- commit 53b0bc1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove redundant definition of dwb_source enums (bsc#1152489)
- commit b504830
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add enum for H-timing divider mode (bsc#1152489)
- commit a68d8ee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Register VUPDATE_NO_LOCK interrupts for DCN2 (bsc#1152489)
- commit 43633fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: wake up ogam mem pwr before programming ocsc (bsc#1152489)
- commit 289ef28
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Correct DSC PPS log (bsc#1152489)
- commit a9aa786
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Check if set_blank_data_double_buffer exists before (bsc#1152489)
- commit 99195c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix type of ODMCombineType field (bsc#1152489)
- commit fc239d7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add Logging for Gamma Related information (1/2) (bsc#1152489)
- commit 80e0179
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove 4:2:2 DSC support (bsc#1152489)
- commit d239eeb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: reprogram VM config when system resume (bsc#1152489)
- commit 8d2ba09
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Enable type C hotplug (bsc#1152489)
- commit 94757d7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: HUBP/HUBBUB register programming fixes (bsc#1152489)
- commit d1c82a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: update optc odm interface for more than 2 opps (bsc#1152489)
- commit 5e616c3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Update DML parameters (bsc#1152489)
- commit 123802f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove duplicate interface for programming FB (bsc#1152489)
- commit a9d46ae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix pipe selection logic in validate (bsc#1152489)
- commit 6254bbe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.44 (bsc#1152489)
- commit 65eda5c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Set DSC before DIG front-end is connected to its (bsc#1152489)
- commit b7aeddf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Change DSC policy from slices per column to minimum (bsc#1152489)
- commit 8172b36
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add HLG support in color module (bsc#1152489)
- commit 3e3d299
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: clean up DML for DCN2x (bsc#1152489)
- commit 96410fc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: enabling seamless boot sequence for dcn2 (bsc#1152489)
- commit 0dda027
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix dcn-specific clk_mgr init_clocks (bsc#1152489)
- commit b1c40e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Make init_hw and init_pipes generic for seamless (bsc#1152489)
- commit b6dc0d9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.43 (bsc#1152489)
- commit 907d12d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: wait for pending complete when enabling a plane (bsc#1152489)
- commit 3590a82
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: refactor gpio to allocate hw_container in (bsc#1152489)
- commit f0d5bdd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add work-around option to skip DCN20 clock updates (bsc#1152489)
- commit 719ad5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fixup DPP programming sequence (bsc#1152489)
- commit 67be259
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: make firmware info only load once during dc_bios (bsc#1152489)
- commit e249f75
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Synchronous DisplayPort Link Training (bsc#1152489)
- commit 0a0be5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Improve sharing of HUBBUB register lists (bsc#1152489)
- commit 2d1a3b0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add 22, 24, and 26 degamma (bsc#1152489)
- commit 4deee5d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix frames_to_insert math (bsc#1152489)
- commit 3fa99a1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix issue where 252-255 values are clipped (bsc#1152489)
- commit 2fb323d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: reset hdmi tmds rate and data scramble on pipe reset (bsc#1152489)
- commit 4d74820
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: reset drr programming on pipe reset (bsc#1152489)
- commit 9f300d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add DFS reference clock field (bsc#1152489)
- commit 0138d17
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add PIXEL_RATE control regs for more instances (bsc#1152489)
- commit 1f6ccc9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: MODULE_FIRMWARE requires linux/module.h (bsc#1152489)
- commit 586e331
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: fix spelling mistake "unsuported" -> (bsc#1152489)
- commit a5ed1e9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: implement querying ras error count for mmhub (bsc#1152489)
- commit 97a2a37
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: use exiting amdgpu_ctx_total_num_entities function (bsc#1152489)
- commit 5cbfc47
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix typo error amdgput -> amdgpu (bsc#1152489)
- commit d47dac1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix message of SetHardMinByFreq failed when (bsc#1152489)
- commit 7e65668
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add arcturus_is_dpm_running function for arcturus (bsc#1152489)
- commit d605c56
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: remove redundancy debug log about smu unsupported (bsc#1152489)
- commit 5bad212
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: simplify and cleanup setting the dma mask (bsc#1152489)
- commit 4bb5779
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: simplify and cleanup setting the dma mask (bsc#1152489)
- commit ed08394
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: handle PCIe root ports with addressing limitations (bsc#1152489)
- commit ed4a817
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: handle PCIe root ports with addressing limitations (bsc#1152489)
- commit c4e221f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: flag renoir as experimental for now (bsc#1152489)
- commit bc201fc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip mec2 jump table loading for renoir (bsc#1152489)
- commit 4e00d91
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: use direct loading on renoir vcn for the moment (bsc#1152489)
- commit dfdb339
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set fw default loading by psp for renoir (bsc#1152489)
- commit 26ae291
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update lbpw for renoir (bsc#1152489)
- commit 7fb7cf4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable power gating for renoir (bsc#1152489)
- commit 80af723
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable clock gating for renoir (bsc#1152489)
- commit c0b5ce5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add VCN2.0 to Renoir IP blocks (bsc#1152489)
- commit c3198a4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable Doorbell support for Renoir (v2) (bsc#1152489)
- commit 0a16d10
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable Renoir VCN firmware loading (bsc#1152489)
- commit ce30b98
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add sdma golden settings for renoir (bsc#1152489)
- commit 7ae8995
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gfx golden settings for renoir (v2) (bsc#1152489)
- commit 466db5c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add psp_v12_0 for renoir (v2) (bsc#1152489)
- commit b503a78
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set rlc funcs for renoir (bsc#1152489)
- commit 40ad64c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add asic funcs for renoir (bsc#1152489)
- commit 1492026
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable dce virtual ip module for Renoir (bsc#1152489)
- commit 37a0deb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix no interrupt issue for renoir emu (bsc#1152489)
- commit 22c963e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add renoir pci id (bsc#1152489)
- commit 4afa4cc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set ip blocks for renoir (bsc#1152489)
- commit fc7039a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add sdma support for renoir (bsc#1152489)
- commit 3aeaabf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gfx support for renoir (bsc#1152489)
- commit 3a04615
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set fw load type for renoir (bsc#1152489)
- commit ce39bdf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gmc v9 supports for renoir (bsc#1152489)
- commit fc0b5a5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add soc15 common ip block support for renoir (bsc#1152489)
- commit e269d2a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add renoir support for gpu_info and ip block setting (bsc#1152489)
- commit 09c1104
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add renoir asic_type enum (bsc#1152489)
- commit d89b433
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add renoir header files (v2) (bsc#1152489)
- commit e7be2c4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: remove redundant duplicated return check (bsc#1152489)
- commit 14f6994
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix a typo - dce_aduio_mask --> dce_audio_mask (bsc#1152489)
- commit 24888b0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: update Arcturus smu version in new place (bsc#1152489)
- commit deae098
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable mmhub clock gating for Arcturus (bsc#1152489)
- commit bfcdac2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add mmhub clock gating for Arcturus (bsc#1152489)
- commit 60af5e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: increase CGCG gfx idle threshold for Arcturus (bsc#1152489)
- commit 25d4a48
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add GFX_CP_LS flag to Arcturus (bsc#1152489)
- commit 6c4bb0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove ras block's feature status info in sysfs (bsc#1152489)
- commit c9e5d86
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: change smu_read_sensor sequence in smu (bsc#1152489)
- commit 23a94b8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: split athub clock gating from mmhub (bsc#1152489)
- commit a944013
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable sdma clock gating for Arcturus (bsc#1152489)
- commit da7dba6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add sdma clock gating for Arcturus (bsc#1152489)
- commit 79f7836
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support sdma clock gating for more instances (bsc#1152489)
- commit 95c4f88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable hdp clock gating for Arcturus (bsc#1152489)
- commit 66d5f0d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add hdp clock gating for Arcturus (bsc#1152489)
- commit 961d4c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable gfx clock gating for Arcturus (bsc#1152489)
- commit f07b2ea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gfx clock gating for Arcturus (bsc#1152489)
- commit 2757ead
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: create mmhub ras framework (bsc#1152489)
- commit 00d14a7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support mmhub ras in amdgpu ras (bsc#1152489)
- commit f47e0c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add amdgpu_mmhub_funcs definition (bsc#1152489)
- commit 589934b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add sub block parameter in ras inject command (bsc#1152489)
- commit 1f42680
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add check to avoid array bound issue (bsc#1152489)
- commit 084a071
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: re-define smu interface version for smu v11 (bsc#1152489)
- commit 5793007
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi14 PCI ID (bsc#1152489)
- commit aa61f02
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Update pitch on page flips without DC as well (bsc#1152489)
- commit 8b2a137
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove drm_dsc_dc.c (bsc#1152489)
- commit 0b1abb9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable vcn clock gating for navi12 (bsc#1152489)
- commit b168375
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable athub clock gating for navi12 (bsc#1152489)
- commit da41f69
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/athub2: set clock gating for navi12 (bsc#1152489)
- commit c79ba82
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable ih clock gating for navi12 (bsc#1152489)
- commit 8c3a973
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable mmhub clock gating for navi12 (bsc#1152489)
- commit 5cba8ab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/mmhub2: set clock gating for navi12 (bsc#1152489)
- commit bc2a773
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable sdma clock gating for navi12 (bsc#1152489)
- commit d3f01e5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: set sdma clock gating for navi12 (bsc#1152489)
- commit 04e7d6c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable hdp clock gating for navi12 (bsc#1152489)
- commit a81fdef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable gfx clock gatings for navi12 (bsc#1152489)
- commit 90e709f
* Tue Sep 29 2020 tzimmermann@suse.de
- omapdrm: no need to check return value of debugfs_create functions (bsc#1152472)
- commit e5b3358
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/omap: Add 'alpha' and 'pixel blend mode' plane properties (bsc#1152472)
- commit b67436f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Fix sleeping while atomic in panfrost_gem_open (bsc#1152472)
- commit 4e6f89d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: use match data to detect vpu compatibility (bsc#1152472)
- commit f5c3457
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: fix module name in edid_firmware log message (bsc#1152472)
- commit 116b004
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move ade drm init to kirin drm drv (bsc#1152472)
- commit 0a07826
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Pass driver data to crtc init and plane init (bsc#1152472)
- commit 0430cf0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Add alloc_hw_ctx/clean_hw_ctx ops in driver data (bsc#1152472)
- commit fc8428e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Make driver_data variable non-global (bsc#1152472)
- commit aad6dfa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Fix dev->driver_data setting (bsc#1152472)
- commit 7cbb666
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Rename plane_init and crtc_init (bsc#1152472)
- commit 648d0e1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Add register connect helper functions in drm init (bsc#1152472)
- commit 0543c2d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move drm driver to driver data (bsc#1152472)
- commit 429144e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move config max_width and max_height to driver data (bsc#1152472)
- commit adaa447
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move plane number and primay plane in driver data (bsc#1152472)
- commit 9914ace
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move mode config function to driver_data (bsc#1152472)
- commit 31dda6e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move channel formats to driver data (bsc#1152472)
- commit 374956e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move ade crtc/plane help functions to driver_data (bsc#1152472)
- commit d6c5279
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Reanme dc_ops to kirin_drm_data (bsc#1152472)
- commit 815fa75
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move kirin_crtc, kirin_plane, kirin_format to (bsc#1152472)
- commit 2e2cb04
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move workqueue to ade_hw_ctx structure (bsc#1152472)
- commit d67d815
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Move request irq handle in ade hw ctx alloc (bsc#1152472)
- commit f0b739f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Dynamically allocate the hw_ctx (bsc#1152472)
- commit e44df1b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Rename ade_crtc to kirin_crtc (bsc#1152472)
- commit b2b8086
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Rename ade_plane to kirin_plane (bsc#1152472)
- commit b9fdf1b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Remove out_format from ade_crtc (bsc#1152472)
- commit 151b4d8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Remove uncessary parameter indirection (bsc#1152472)
- commit b111c26
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Remove unreachable return (bsc#1152472)
- commit 4d86952
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Remove HISI_KIRIN_DW_DSI config option (bsc#1152472)
- commit 60e4151
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: kirin: Fix for hikey620 display offset problem (bsc#1152472)
- commit 28c8724
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Initialize GEM object before TTM object (bsc#1152472)
- commit 82bbc5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: Add support for 'memory-region' DT node property (bsc#1152472)
- commit 0beef9b
* Tue Sep 29 2020 tzimmermann@suse.de
- dw-hdmi-cec: use cec_notifier_cec_adap_(un)register (bsc#1152472)
- commit fc0a63b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: dw-hdmi: use cec_notifier_conn_(un)register (bsc#1152472)
- commit 519820c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Select DMABUF_SELFTESTS for the default i915.ko debug build (bsc#1152472)
- commit f81d708
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/drv: Use // for comments in example code (bsc#1152472)
- commit e66cbf5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Remove opp table when unloading (bsc#1152472)
- commit 21f5028
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Enable devfreq to work without regulator (bsc#1152472)
- commit 565453b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Implement per FD address spaces (bsc#1152472)
- commit 06ab210
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Fix missing unlock on error in (bsc#1152472)
- commit 2fb59ef
* Tue Sep 29 2020 tzimmermann@suse.de
- udlfb: Make dlfb_ops constant (bsc#1152472)
- commit 93b0dd9
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev/mmp/core: Use struct_size() in kzalloc() (bsc#1152472)
- commit c53050f
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: viafb: Remove dead code (bsc#1152472)
- commit 736618a
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: aty[128]fb: Remove dead code (bsc#1152472)
- commit 7119835
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: sh_mobile_lcdcfb: Mark expected switch fall-through (bsc#1152472)
- commit e7d1da1
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: radeonfb: Use dev_get_drvdata (bsc#1152472)
- commit c12f66a
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: sm712fb: Use dev_get_drvdata (bsc#1152472)
- commit f0a673c
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: pvr2fb: remove unnecessary comparison of unsigned (bsc#1152472)
- commit e1cd33f
* Tue Sep 29 2020 tzimmermann@suse.de
- efifb: BGRT: Improve efifb_bgrt_sanity_check (bsc#1152472)
- commit e7b6da1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hisilicon/hibmc: Make CONFIG_DRM_HISI_HIBMC depend on ARM64 (bsc#1152489)
- commit e37c214
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hisilicon: Use dev_get_drvdata (bsc#1152489)
- commit d8caca1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hisilicon/hibmc: Using module_pci_driver. (bsc#1152489)
- commit a925e83
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: only sample into the next tile if (bsc#1152489)
- commit 8358bc1
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: move tile burst alignment out of loop (bsc#1152489)
- commit dd93902
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: bail on invalid tile sizes (bsc#1152489)
- commit 54d81ec
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: fix image downsize coefficients and (bsc#1152489)
- commit bf9d8aa
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: limit input seam position to hardware (bsc#1152489)
- commit 256884a
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: fix output seam valid interval (bsc#1152489)
- commit bdeb94d
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: move output seam valid interval (bsc#1152489)
- commit 9558cf0
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: image-convert: enable V4L2_PIX_FMT_BGRX32 and _RGBX32 (bsc#1152489)
- commit 7324713
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: ipu-v3: enable remaining 32-bit RGB V4L2 pixel formats (bsc#1152489)
- commit 9261b08
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/imx: Drop unused imx-ipuv3-crtc.o build (bsc#1152489)
- commit 46d1e6c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20190822 (bsc#1152489)
- commit 66ee014
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Replace i915_vma_put_fence() (bsc#1152489)
- commit 7e240b6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Pull obj->userfault tracking under the ggtt->mutex (bsc#1152489)
- commit 85c1292
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Track ggtt fence reservations under its own mutex (bsc#1152489)
- commit 7349af1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Generalise the clflush dma-worker (bsc#1152489)
- commit e9efc96
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Fixup a couple of missing serialisation with vma (bsc#1152489)
- commit fc0cbdb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Add some range asserts (bsc#1152489)
- commit d670254
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Set priority hint prior to submission (bsc#1152489)
- commit 9e602f7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Replace PIN_NONFAULT with calls to PIN_NOEVICT (bsc#1152489)
- commit 92c4f42
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Include asm/smp.h (bsc#1152489)
- commit 46652b9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/hdmi: make hdcp2_msg_data const (bsc#1152489)
- commit f0b77d9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/hdmi: stylistic cleanup around hdcp2_msg_data (bsc#1152489)
- commit 5b996f5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dp: make hdcp2_dp_msg_data const (bsc#1152489)
- commit 0305ebe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dp: avoid shadowing variables (bsc#1152489)
- commit a54a2fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dp: stylistic cleanup around hdcp2_msg_data (bsc#1152489)
- commit 736840d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Relax assertion for pt_used (bsc#1152489)
- commit bfa13cf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix DP-MST crtc_mask (bsc#1152489)
- commit 7186966
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: update DMC firmware to 2.04 (bsc#1152489)
- commit 91c9dcc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Move transcoders to pipes' powerwells (bsc#1152489)
- commit e34c4f6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: add support for reading the timestamp frequency (bsc#1152489)
- commit adb2624
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: disable DDIC (bsc#1152489)
- commit aea7f63
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20190820 (bsc#1152489)
- commit a726a9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Relax pd_used assertion (bsc#1152489)
- commit 62b8d4b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Dynamically allocate s0ix struct for VLV (bsc#1152489)
- commit b9aba17
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Gen12 render context size (bsc#1152489)
- commit b2c6095
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Updated Private PAT programming (bsc#1152489)
- commit d0a9b99
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Introduce initial Tiger Lake workarounds (bsc#1152489)
- commit dbb5547
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Gen12 csb support (bsc#1152489)
- commit e2adb5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: add GEN12_MAX_CONTEXT_HW_ID (bsc#1152489)
- commit 460ecd0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: add Gen12 default indirect ctx offset (bsc#1152489)
- commit 8f23cf6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Report valid VDBoxes with SFC capability (bsc#1152489)
- commit 772e899
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Be defensive when starting vma activity (bsc#1152489)
- commit e8feb89
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Serialize insertion into the file->mm.request_list (bsc#1152489)
- commit 3fa4103
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Sanitize PHY state during display core uninit (bsc#1152489)
- commit e4427ac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Assume exclusive access to objects inside resume (bsc#1152489)
- commit 60d7aef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use 0 for the unordered context (bsc#1152489)
- commit 2d78ee3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: i915_active.retire() is optional (bsc#1152489)
- commit e7c69b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gen11: Allow usage of all GPIO pins (bsc#1152489)
- commit 6e17baf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Serialize against vma moves (bsc#1152489)
- commit bed5a90
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Only emit the 'send bug report' once for a GPU hang (bsc#1152489)
- commit 30a6052
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Mark up the nested engine-pm timeline lock as irqsafe (bsc#1152489)
- commit 79eea6e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Always wrap the ring offset before resetting (bsc#1152489)
- commit d6fd316
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Propagate fence errors (bsc#1152489)
- commit 2f57e5a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Never fail on HuC firmware errors (bsc#1152489)
- commit 5a8619d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Don't always fail on unavailable GuC firmware (bsc#1152489)
- commit e013402
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Don't open log relay if GuC is not running (bsc#1152489)
- commit e2384ba
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Never fail on uC preparation step (bsc#1152489)
- commit f18d50d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Cleanup fw fetch on every GuC/HuC init failure (bsc#1152489)
- commit 1877a40
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Cleanup fw fetch only if it was successful (bsc#1152489)
- commit 9b63ff8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Check the context size (bsc#1152489)
- commit 7791cfe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Fold gen8 insertions into one (bsc#1152489)
- commit 7224dce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Add explicit DISABLED state for firmware (bsc#1152489)
- commit f9ef4f8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Wrappers for display register waits (bsc#1152489)
- commit 029b23f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move gmbus definitions out of i915_reg.h (bsc#1152489)
- commit 060bdd6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move engine IDs out of i915_reg.h (bsc#1152489)
- commit 27b256e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move i915_power_well_id out of i915_reg.h (bsc#1152489)
- commit cf7107a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Lift process_csb() out of the irq-off spinlock (bsc#1152489)
- commit 684883c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Markup expected timeline locks for i915_active (bsc#1152489)
- commit 56a1345
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Mark context->active_count as protected by (bsc#1152489)
- commit d7a5ad3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/wopcm: Fix SPDX tag location (bsc#1152489)
- commit e63e481
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/wopcm: Update error messages (bsc#1152489)
- commit 43dccb0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/wopcm: Try to use already locked WOPCM layout (bsc#1152489)
- commit 3315ed3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/wopcm: Check WOPCM layout separately from calculations (bsc#1152489)
- commit d432e4a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move FW size sanity check back to fetch (bsc#1152489)
- commit e9a7bf4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/buddy: use kmemleak_update_trace (bsc#1152489)
- commit 8415236
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/buddy: tidy up i915_buddy_fini (bsc#1152489)
- commit c69ead9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use the associated uncore for the vm (bsc#1152489)
- commit c514165
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Extract intel_frontbuffer active tracking (bsc#1152489)
- commit 3e3333e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Protect request retirement with timeline->mutex (bsc#1152489)
- commit dd5ac3d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Guard timeline pinning without relying on struct_mutex (bsc#1152489)
- commit 7031169
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Convert timeline tracking to spinlock (bsc#1152489)
- commit 3fa81a9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Track timeline activeness in enter/exit (bsc#1152489)
- commit 0bcb809
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/cml: Add Missing PCI IDs (bsc#1152489)
- commit 2e3201e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move tasklet kicking to __i915_request_queue caller (bsc#1152489)
- commit 9a1acac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Add gen11 specific render breadcrumbs (bsc#1152489)
- commit ff3b32c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Add command cache invalidate (bsc#1152489)
- commit f89debd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Implement gen11 flush including tile cache (bsc#1152489)
- commit f829d31
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftest/buddy: fixup igt_buddy_alloc_range (bsc#1152489)
- commit 3005e03
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert a few more bland dmesg info to be device specific (bsc#1152489)
- commit fead61d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Serialise read/write of the barrier's engine (bsc#1152489)
- commit 0f60434
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Print CCID for all renderCS (bsc#1152489)
- commit 77dc2a5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Disregard drm_mode_config.fb_base (bsc#1152489)
- commit 7568bd1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Include engine->mmio_base in the debug dump (bsc#1152489)
- commit 8245959
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Remove client->submissions (bsc#1152489)
- commit cb98dca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20190813 (bsc#1152489)
- commit 2b597b8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add _TRANS2() (bsc#1152489)
- commit d16ac33
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/bdw+: Move misc display IRQ handling to it own function (bsc#1152489)
- commit f7a591d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: Double check batch buffer size after copy (bsc#1152489)
- commit 5888542
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: Add valid length check for MI variable commands (bsc#1152489)
- commit cce4f06
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: Add MI command valid length check (bsc#1152489)
- commit 548044e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: Utility for valid command length check (bsc#1152489)
- commit fa43037
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: factor out tlb and mocs register offset table (bsc#1152489)
- commit cc3202f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: no need to check return value of debugfs_create (bsc#1152489)
- commit afe837c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: Fix typo of VBLANK_TIMER_PERIOD (bsc#1152489)
- commit ae1bd46
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/kvmgt: Use struct_size() helper (bsc#1152489)
- commit a409221
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Save/restore interrupts around breadcrumb disable (bsc#1152489)
- commit 1c2ec3d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Push the wakeref->count deferral to the backend (bsc#1152489)
- commit c374484
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Fix missing parentheses on (bsc#1152489)
- commit 985b28d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Log fw status changes only under debug config (bsc#1152489)
- commit eccd909
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Use a local cancel_port_requests (bsc#1152489)
- commit e0f92d7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: drop engine_pin/unpin_breadcrumbs_irq (bsc#1152489)
- commit e95fc2e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: keep breadcrumb irq always enabled (bsc#1152489)
- commit cb5fbfe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/overlay: Switch to using i915_active tracking (bsc#1152489)
- commit 8b50a6f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Forgo last_fence active request tracking (bsc#1152489)
- commit 2492f45
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Extract general GT interrupt handlers (bsc#1152489)
- commit e8d7ade
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Extract GT powermanagement interrupt handling (bsc#1152489)
- commit cf21a3b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Use the local engine wakeref when checking RING (bsc#1152489)
- commit c45087a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Prevent the timeslice expiring during suppression (bsc#1152489)
- commit 2c995a5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Avoid sync calls during park (bsc#1152489)
- commit 40916c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Update copyright and license (bsc#1152489)
- commit 9e7e846
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Fixing up list of PG3 power domains. (bsc#1152489)
- commit afff35b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Remove DDI IO power domain from PG3 power domains (bsc#1152489)
- commit 012a5e9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Use -EIO code for GuC initialization failures (bsc#1152489)
- commit ecad9cf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Update messages from fw upload step (bsc#1152489)
- commit d8d4a24
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Include HuC firmware version in summary (bsc#1152489)
- commit d7f3860
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Fail early if there is no GuC fw available (bsc#1152489)
- commit 6dbfd00
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove unused debugfs/i915_emon_status (bsc#1152489)
- commit a7eaf43
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: buddy allocator (bsc#1152489)
- commit 6ba3a1a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/blt: support copying objects (bsc#1152489)
- commit 2ab3aa5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: disable 2M pages for pre-gen11 (bsc#1152489)
- commit aa14527
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: enable GTT cache by default (bsc#1152489)
- commit 7d1481b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: move gpu-write-dw into utils (bsc#1152489)
- commit 9bbd412
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/blt: bump the size restriction (bsc#1152489)
- commit d91a98d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/blt: don't assume pinned intel_context (bsc#1152489)
- commit 4123d52
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: split out uncore_mmio_debug (bsc#1152489)
- commit 858f9ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Stop reconfiguring our shmemfs mountpoint (bsc#1152489)
- commit 0ec1263
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Lift timeline into intel_context (bsc#1152489)
- commit ced808a
* Tue Sep 29 2020 oneukum@suse.com
- crypto: qat - switch to skcipher API (jsc#SLE-14454).
- commit 0d922d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Push the ring creation flags to the backend (bsc#1152489)
- commit fc88dc3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Make deferred context allocation explicit (bsc#1152489)
- commit 9855fac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove i915_gem_context_create_gvt() (bsc#1152489)
- commit a1e36b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Drop the fudge warning on ring restart for ctg/elk (bsc#1152489)
- commit f32fa59
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Generalise BSD default selection (bsc#1152489)
- commit 2bd99c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Replace global bsd_dispatch_index with random seed (bsc#1152489)
- commit 4f316e2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Check for a second VCS engine more carefully (bsc#1152489)
- commit 456841e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Backtrack along timeline (bsc#1152489)
- commit 60d9feb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Free the imported shmemfs file for phys objects (bsc#1152489)
- commit 566edf8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: extract i915_gem_shrinker.h from i915_drv.h (bsc#1152489)
- commit 8765313
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: extract gem/i915_gem_stolen.h from i915_drv.h (bsc#1152489)
- commit 8986cad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: extract i915_memcpy.h from i915_drv.h (bsc#1152489)
- commit 06a1270
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: extract i915_suspend.h from i915_drv.h (bsc#1152489)
- commit da63167
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: extract i915_sysfs.h from i915_drv.h (bsc#1152489)
- commit 86115ce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: extract i915_perf.h from i915_drv.h (bsc#1152489)
- commit 5258e8b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: move printing and load error inject to i915_utils.[ch] (bsc#1152489)
- commit f75c075
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: move I915_STATE_WARN() and _ON() to intel_display.h (bsc#1152489)
- commit f66044c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: move add_taint_for_CI() to i915_utils.h (bsc#1152489)
- commit ac8747f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: remove unused dev_priv->no_aux_handshake (bsc#1152489)
- commit ddea05d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Make debugfs/per_file_stats scale better (bsc#1152489)
- commit cd1c636
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Only include active engines in the capture state (bsc#1152489)
- commit 1aef69f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Defer final intel_wakeref_put to process context (bsc#1152489)
- commit 9650b07
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Fixup a missing legacy_idx (bsc#1152489)
- commit b5a42d1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Fix the read of the DDI that transcoder is attached to (bsc#1152489)
- commit fcdabf0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Get transcoder power domain before reading its register (bsc#1152489)
- commit 0785759
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix up the inverse mapping for default ctx->engines[] (bsc#1152489)
- commit c533016
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Allocate kernel_contexts directly (bsc#1152489)
- commit 6f0ba92
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Pass intel_context to mock_request (bsc#1152489)
- commit 8337830
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl/dsi: Enable blanking packets during BLLP for video mode (bsc#1152489)
- commit 27b6811
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add mipi dsi support for TGL (bsc#1152489)
- commit 6cb36e8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl/dsi: Gate the ddi clocks after pll mapping (bsc#1152489)
- commit d5f2a28
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl/dsi: Do not override TA_SURE (bsc#1152489)
- commit a432073
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl/dsi: Set latency PCS_DW1 for tgl (bsc#1152489)
- commit c567f48
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl/dsi: Program TRANS_VBLANK register (bsc#1152489)
- commit e7c9f49
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: split out intel_pch.[ch] from i915_drv.[ch] (bsc#1152489)
- commit b16c3fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Hardening firmware fetch (bsc#1152489)
- commit d0bcc9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: WOPCM programming errors are not always real (bsc#1152489)
- commit c220f5d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Make wopcm_to_i915() private (bsc#1152489)
- commit d268e17
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Don't try to partition WOPCM without GuC firmware (bsc#1152489)
- commit 07d8848
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Don't fetch HuC fw if GuC fw fetch already failed (bsc#1152489)
- commit 535ca49
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: HuC firmware can't be supported without GuC (bsc#1152489)
- commit 26cd40a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Prefer dev_info for reporting options (bsc#1152489)
- commit 31b3b77
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/perf: Refactor oa object to better manage resources (bsc#1152489)
- commit 825a0f0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Isolate i915_getparam_ioctl() (bsc#1152489)
- commit 4e1cf01
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Include the DRIVER_DATE in the error state (bsc#1152489)
- commit d0af45c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix some NULL vs IS_ERR() conditions (bsc#1152489)
- commit 8c50a08
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use intel_engine_lookup_user for probing HAS_BSD etc (bsc#1152489)
- commit f728c3f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rename engines to match their user interface (bsc#1152489)
- commit 8f4bc0d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Drop expectations of VM_IO from our GGTT mmappings (bsc#1152489)
- commit 8ab0467
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: abstract display suspend/resume operations (bsc#1152489)
- commit 3d27674
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: move property enums to intel_display_types.h (bsc#1152489)
- commit 0dd2a58
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: remove unnecessary includes of intel_display_types.h header (bsc#1152489)
- commit d4e1cc2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: rename intel_drv.h to display/intel_display_types.h (bsc#1152489)
- commit ea9cf01
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: avoid including intel_drv.h via i915_drv.h->i915_trace.h (bsc#1152489)
- commit 9469eee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tc: un-inline intel_tc_port_ref_held() (bsc#1152489)
- commit fddb79f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/mst: un-inline intel_dp_mst_encoder_active_links() (bsc#1152489)
- commit 004c4d2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/bw: make intel_atomic_get_bw_state() static (bsc#1152489)
- commit dd6eb1d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/irq: un-inline functions to avoid i915_drv.h include (bsc#1152489)
- commit c2498dc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/sprite: un-inline icl_is_hdr_plane() (bsc#1152489)
- commit dedcbd4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: move intel_display.c function declarations (bsc#1152489)
- commit 9a8690b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dmc: Load DMC on TGL (bsc#1152489)
- commit 380a8c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Move the [class][inst] lookup for engines onto the GT (bsc#1152489)
- commit 4201e4a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gem: Make caps.scheduler static (bsc#1152489)
- commit dc0f095
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use drm_i915_private directly from drv_get_drvdata() (bsc#1152489)
- commit 4125cd6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Remove stale kerneldoc for internal MOCS functions (bsc#1152489)
- commit 1bf4be6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Don't fail on HuC early init errors (bsc#1152489)
- commit 10a4996
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Remove redundant GuC support checks (bsc#1152489)
- commit 31c95e5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/huc: Prefer intel_huc_is_supported (bsc#1152489)
- commit 63ca2d3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Prefer intel_guc_is_submission_supported (bsc#1152489)
- commit f9c085b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Replace struct_mutex for batch pool serialisation (bsc#1152489)
- commit 96d5d15
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Teach execbuffer to take the engine wakeref not GT (bsc#1152489)
- commit 4250089
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Flush the freed object list on file close (bsc#1152489)
- commit 701d655
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Hide unshrinkable context objects from the shrinker (bsc#1152489)
- commit 254187c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/wopcm: Don't fail on WOPCM partitioning failure (bsc#1152489)
- commit 0ec7677
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Inject probe errors into intel_uc_init_hw (bsc#1152489)
- commit 7012921
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move GuC error log to uc and release it on fini (bsc#1152489)
- commit 8d3cf3a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Reorder firmware status codes (bsc#1152489)
- commit 0c7744f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Do full sanitize instead of pure reset (bsc#1152489)
- commit eef47ab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add i915 to i915_inject_probe_failure (bsc#1152489)
- commit 5bc4618
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Report resv_obj allocation failure (bsc#1152489)
- commit 749ad00
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix documentation for __intel_wait_for_register_fw* (bsc#1152489)
- commit e3d293a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/oa: update the generated files (bsc#1152489)
- commit e334d83
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Allow sharing the idle-barrier from other kernel requests (bsc#1152489)
- commit 2b59a84
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Flush extra hard after writing relocations through the GTT (bsc#1152489)
- commit 0178979
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/pmu: Atomically acquire the gt_pm wakeref (bsc#1152489)
- commit 048517c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/pmu: Make get_rc6 take intel_gt (bsc#1152489)
- commit ae2b419
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/pmu: Convert sampling to gt (bsc#1152489)
- commit 9d2901f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/pmu: Convert engine sampling to uncore mmio (bsc#1152489)
- commit c80261c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/pmu: Make more struct i915_pmu centric (bsc#1152489)
- commit 1c5d6bc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: allow the reg_read ioctl to read the RCS TIMESTAMP (bsc#1152489)
- commit e9e4946
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add and use new DC5 and DC6 residency counter registers (bsc#1152489)
- commit e9792db
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Stop sanitizing enable_guc modparam (bsc#1152489)
- commit 1e925c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Use dedicated flag to track submission mode (bsc#1152489)
- commit 781c74d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Consider enable_guc modparam during fw selection (bsc#1152489)
- commit 1cc4e2d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Rename intel_uc_is_using* into intel_uc_supports* (bsc#1152489)
- commit 9344170
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Introduce intel_gt_runtime_suspend/resume (bsc#1152489)
- commit a0384c2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move uC early functions inside the GT ones (bsc#1152489)
- commit 278795a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Move gt_cleanup_early out of gem_cleanup_early (bsc#1152489)
- commit 6a163a5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove lrc default desc from GEM context (bsc#1152489)
- commit 3a96153
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Don't forget to handle port C's hotplug interrupts (bsc#1152489)
- commit 9ac458a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/oa: add content to Makefile (bsc#1152489)
- commit ff627ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Always clear pending&inflight requests on reset (bsc#1152489)
- commit 2722ecf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Ungate DDIC and DDID (bsc#1152489)
- commit 07c2f89
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move MOCS setup to intel_mocs.c (bsc#1152489)
- commit fef3686
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Tigerlake only has global MOCS registers (bsc#1152489)
- commit 6ab1dc7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Define MOCS entries for Tigerlake (bsc#1152489)
- commit 5ed81ec
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: stop using ERROR_GEN6 and DONE_REG (bsc#1152489)
- commit 0c19bdc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Move fault registers to their new offset (bsc#1152489)
- commit af00b4d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: remove dangling forward declaration (bsc#1152489)
- commit 0539001
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move uC WOPCM setup in uc_init_hw (bsc#1152489)
- commit 3e197bc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Don't enable communication twice on resume (bsc#1152489)
- commit 14baba6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Pass intel_context to igt_spinner (bsc#1152489)
- commit 44ecded
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Avoid ce->gem_context->i915 (bsc#1152489)
- commit e489756
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make i915_selftest.h self-contained (bsc#1152489)
- commit 0397e43
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: handle DP aux interrupts (bsc#1152489)
- commit ea93660
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Update north display hotplug detection to TGL (bsc#1152489)
- commit 6aae638
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add hpd interrupt handling (bsc#1152489)
- commit 2b2218b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/volt: Fix for some cards having 0 maximum voltage (bsc#1152489)
- commit a08af0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/dispnv50: Fix runtime PM ref tracking for non-blocking (bsc#1152489)
- commit b31828a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/dispnv04: Remove runtime PM (bsc#1152489)
- commit e33c2d8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/gpio: check function 76 in the power check as well (bsc#1152489)
- commit f9cb204
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/gpio: check the gpio function 16 in the power check as (bsc#1152489)
- commit 2fdc9ef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/gpio: fail if gpu external power is missing (bsc#1152489)
- commit 1305044
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/bios/gpio: sort gpios by values (bsc#1152489)
- commit 967956b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/therm: don't attempt fan control where PMU is already (bsc#1152489)
- commit 59056c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/therm: skip probing for devices not specified in thermal (bsc#1152489)
- commit a2111c6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100-: attach pixel blend mode property to planes (bsc#1152489)
- commit 34dd24a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100-: attach alpha property to planes (bsc#1152489)
- commit d641f6e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100-: add support for plane zpos property (bsc#1152489)
- commit a7a2801
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: attach immutable zpos property to planes (bsc#1152489)
- commit c9764d9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: create primary plane before overlay planes (bsc#1152489)
- commit 908374f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: use __drm_atomic_helper_plane_reset() (bsc#1152489)
- commit f16a4e9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100-: implement csc + enable modern colour (bsc#1152489)
- commit 6cd3bad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100-: use premultiplied alpha blending between (bsc#1152489)
- commit c62f5a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: enable modern color management properties (bsc#1152489)
- commit bc76cf5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gf119-: add ctm property support (bsc#1152489)
- commit 82c68fe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: remove overlay alpha formats (bsc#1152489)
- commit c741ac8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/fifo/gk104-: fix parsing of mmu fault data (bsc#1152489)
- commit 9bbf19f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/fifo/gf1xx: convert to using nvkm_fault_data (bsc#1152489)
- commit bbbf08c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/bios/init: handle INIT_RESET_END devinit opcode (bsc#1152489)
- commit ed83034
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/bios/init: handle INIT_RESET_BEGUN devinit opcode (bsc#1152489)
- commit 24d9a65
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/bios: downgrade absence of tmds table to info from an (bsc#1152489)
- commit 295e6c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Disable atomic support on a per-device basis (bsc#1152489)
- commit a12b116
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: add fp16 scanout support (bsc#1152489)
- commit f270e2d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/nv50-: disable input lut harder (bsc#1152489)
- commit 929e025
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/tu102-: disable input lut when input is already FP16 (bsc#1152489)
- commit f5a332d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100: allow windows to use PACKED8BPP formats (bsc#1152489)
- commit cd3f715
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: fix nvif/device.h is included more than once (bsc#1152489)
- commit cf7e895
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/dispnv04: subdev/bios.h is included more than once (bsc#1152489)
- commit b1a6f31
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/mmu: use struct_size() helper (bsc#1152489)
- commit 5452016
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: drop use of drmp.h (bsc#1152489)
- commit 14cbb05
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: drop drmP.h from all header files (bsc#1152489)
- commit fcfa54a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: drop drmP.h from nouveau_drv.h (bsc#1152489)
- commit cb911b9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: drop use of DRM_UDELAY (bsc#1152489)
- commit e77c670
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/bios/init: fix spelling mistake "CONDITON" -> "CONDITION" (bsc#1152489)
- commit 44490b8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau/secboot: Make acr_r352_ls_gpccs_func static (bsc#1152489)
- commit dca66ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: implement softpin (bsc#1152489)
- commit 52fb552
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: allow to request specific virtual address for gem (bsc#1152489)
- commit 281db82
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: skip command stream validation on PPAS capable GPUs (bsc#1152489)
- commit e5d978f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: implement per-process address spaces on MMUv2 (bsc#1152489)
- commit b45fea7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: provide MMU context to etnaviv_gem_mapping_get (bsc#1152489)
- commit 046957a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: split out starting of FE idle loop (bsc#1152489)
- commit a601ab8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: rework MMU handling (bsc#1152489)
- commit 3d31bdd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: replace MMU flush marker with flush sequence (bsc#1152489)
- commit fae9872
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: share a single cmdbuf suballoc region across all GPUs (bsc#1152489)
- commit a67dc71
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: split out cmdbuf mapping into address space (bsc#1152489)
- commit 0c30e1c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: simplify unbind checks (bsc#1152489)
- commit df5a85c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: pass mmu pointer to etnaviv_core_dump_mmu (bsc#1152489)
- commit 54681cc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: dump only failing submit (bsc#1152489)
- commit 3862897
* Tue Sep 29 2020 tzimmermann@suse.de
- etnaviv: perfmon: fix total and idle HI cyleces readout (bsc#1152489)
- commit aebcfe2
* Tue Sep 29 2020 tzimmermann@suse.de
- etnaviv: fix whitespace errors (bsc#1152489)
- commit 525276f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: remove unused function etnaviv_gem_mapping_reference (bsc#1152489)
- commit e030cd0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: fix etnaviv_cmdbuf_suballoc_new return value (bsc#1152489)
- commit 91e3413
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: clean up includes (bsc#1152489)
- commit 3e73b94
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: Use devm_platform_ioremap_resource() (bsc#1152489)
- commit e0f7654
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: drop use of drmP.h (bsc#1152489)
- commit f3eda79
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: rcar-du: lvds: Fix bridge_to_rcar_lvds (bsc#1152489)
- commit f81d681
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Remove bridge support from legacy helpers (bsc#1152489)
- commit d151f00
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Don't include drm/drm_encoder_slave.h when not needed (bsc#1152489)
- commit b56db2f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/xen-front: Make structure fb_funcs constant (bsc#1152472)
- commit 8f3c48c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vboxvideo: Make structure vbox_fb_helper_funcs constant (bsc#1152472)
- commit 875c989
* Tue Sep 29 2020 tzimmermann@suse.de
- dma-fence: Store the timestamp in the same union as the cb_list (bsc#1152472)
- commit d37cf9b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: tpo-td043mtea1: remove redundant assignment (bsc#1152472)
- commit dec206d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/omap: displays: Remove unused panel drivers (bsc#1152472)
- commit ba886f1
* Tue Sep 29 2020 tzimmermann@suse.de
- video: omapfb2: Make standard and custom panel drivers mutually (bsc#1152472)
- commit 6f1e68c
* Tue Sep 29 2020 tzimmermann@suse.de
- dma-buf: Restore seqlock around dma_resv updates (bsc#1152472)
- commit 67e4191
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add driver for the Toppoly TD043MTEA1 panel (bsc#1152472)
- commit 4f44c01
* Tue Sep 29 2020 tbogendoerfer@suse.de
- cxgb4/chcr : Register to tls add and del callback
  (jsc#SLE-15131).
- Update config files.
- Refresh
  patches.suse/Crypto-chelsio-Fixes-a-deadlock-between-rtnl_lock-an.patch.
- commit ff5b8de
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add driver for the Toppoly TD028TTEC1 panel (bsc#1152472)
- commit 467d1ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add driver for the Sony ACX565AKM panel (bsc#1152472)
- commit 377991a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add driver for the Sharp LS037V7DW01 panel (bsc#1152472)
- commit ffa7ccd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add driver for the NEC NL8048HL11 panel (bsc#1152472)
- commit ade6e3d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add driver for the LG Philips LB035Q02 panel (bsc#1152472)
- commit 32a7044
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/aspeed: gfc_crtc: Make structure aspeed_gfx_funcs constant (bsc#1152472)
- commit 5cd2e69
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/arm: drop use of drmP.h (bsc#1152472)
- commit 37f5a32
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/armada: drop use of drmP.h (bsc#1152472)
- commit a7e7a2f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tegra: drop use of drmP.h (bsc#1152472)
- commit 916e8ee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i2c/tda998x: drop use of drmP.h (bsc#1152472)
- commit fc66dd1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dumb-vga-dac: Fix dereferencing -ENODEV DDC channel (bsc#1152472)
- commit a38637f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi-i2s: add .get_eld support (bsc#1152472)
- commit c58ac49
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi-i2s: enable only the required i2s lanes (bsc#1152472)
- commit a5106b9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi-i2s: reset audio fifo before applying new params (bsc#1152472)
- commit 7f84e9b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi-i2s: set the channel allocation (bsc#1152472)
- commit f2c7258
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi-i2s: enable lpcm multi channels (bsc#1152472)
- commit 67ea1a7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: set channel count in the infoframes (bsc#1152472)
- commit ecb6f94
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: move audio channel setup out of ahb (bsc#1152472)
- commit 37b7eb9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi-i2s: support more i2s format (bsc#1152472)
- commit ad6f43e
* Tue Sep 29 2020 tzimmermann@suse.de
- dma-buf: rename reservation_object to dma_resv (bsc#1152472)
- commit 781a1ab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Bump driver version to 1.1 (bsc#1152472)
- commit f346063
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Add support for GPU heap allocations (bsc#1152472)
- commit 8eb4e25
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Convert MMU IRQ handler to threaded handler (bsc#1152472)
- commit 3f6e35e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Consolidate reset handling (bsc#1152472)
- commit df575d7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Add a no execute flag for BO allocations (bsc#1152472)
- commit e9f5fb8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Split panfrost_mmu_map SG list mapping to its own (bsc#1152472)
- commit ba77501
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Restructure the GEM object creation (bsc#1152472)
- commit 1fdb92b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmem: Put pages independent of a SG table being set (bsc#1152472)
- commit b32f65d
* Tue Sep 29 2020 tbogendoerfer@suse.de
- crypto: aes - create AES library based on the fixed time AES
  code (jsc#SLE-15131).
- Update config files.
- Refresh
  patches.suse/crypto-chacha-move-existing-library-code-into-lib-crypto.patch.
- Refresh
  patches.suse/crypto-lib-tidy-up-lib-crypto-kconfig-and-makefile.patch.
- commit 7697bd4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/gem: Allow sparsely populated page arrays in drm_gem_put_pages (bsc#1152472)
- commit 64171d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: gm12u320: Add -ENODEV to list of errors to ignore (bsc#1152472)
- commit 46b1524
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: gm12u320: Do not take a mutex from a wait_event condition (bsc#1152472)
- commit 897a723
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: gm12u320: Use DRM_DEV_ERROR everywhere (bsc#1152472)
- commit 950f899
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: gm12u320: Some minor cleanups (bsc#1152472)
- commit cee992d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/syncobj: Add better overview documentation for syncobj (v2) (bsc#1152472)
- commit 18dc6af
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Fix kerneldoc warns in connector-related docs (bsc#1152472)
- commit a073778
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: Fix potential integer overflow in (bsc#1152472)
- commit 4ca222c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: sun4i: Add support for enabling DDC I2C bus to sun8i_dw_hdmi (bsc#1152472)
- commit 9b7d499
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: drop return code from drm_panel_detach() (bsc#1152472)
- commit 22fcefe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: use inline comments in drm_panel.h (bsc#1152472)
- commit 590fc7d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: move drm_panel functions to .c file (bsc#1152472)
- commit 42298b3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: ili9322: move bus_flags to get_modes() (bsc#1152472)
- commit e6fd024
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mxsfb: fix opencoded use of drm_panel_* (bsc#1152472)
- commit 9704496
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/fsl-dcu: fix opencoded use of drm_panel_* (bsc#1152472)
- commit aebcdbf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/imx: fix opencoded use of drm_panel_* (bsc#1152472)
- commit 4c37f96
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: fix opencoded use of drm_panel_* (bsc#1152472)
- commit b810723
* Tue Sep 29 2020 tzimmermann@suse.de
- dma-buf: further relax reservation_object_add_shared_fence (bsc#1152472)
- commit 64b6b31
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: use new reservation_object_fences helper (bsc#1152472)
- commit 2f59b0d
* Tue Sep 29 2020 hare@suse.de
- block: Fix type of first compat_put_{,u}long() argument
  (bsc#1175995,jsc#SLE-15608).
- commit ce3e546
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: venc: set the correct macrovision max amplitude value (bsc#1152472)
- commit 05229cd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: add macro used to enable HDMI PLL (bsc#1152472)
- commit 7496064
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: global clean-up (bsc#1152472)
- commit d6c9ef6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: venc: use proper macros instead of magic constants (bsc#1152472)
- commit 751e799
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: viu: use proper macros instead of magic constants (bsc#1152472)
- commit 98ac8a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: vpp: use proper macros instead of magic constants (bsc#1152472)
- commit 0add0f7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: drv: use macro when initializing vpu (bsc#1152472)
- commit 7081d39
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: crtc: use proper macros instead of magic constants (bsc#1152472)
- commit e3628d9
* Tue Sep 29 2020 hare@suse.de
- pktcdvd: fix regression on 64-bit architectures
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/compat_ioctl-cdrom-handle-CDROM_LAST_WRITTEN.patch.
- commit 7fb2169
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: meson: mask value when writing bits relaxed (bsc#1152472)
- commit ecded09
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Support TI nspire panels (bsc#1152472)
- commit 51061b0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/pl111: Support grayscale (bsc#1152472)
- commit d590c78
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Add madvise and shrinker support (bsc#1152472)
- commit 540c558
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmem: Add madvise state and purge helpers (bsc#1152472)
- commit 028a5e1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Remove completed features still in TODO (bsc#1152472)
- commit e151425
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmwgfx: drop reminaing users of drmP.h (bsc#1152489)
- commit 9acd6cd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmwgfx: drop use of drmP.h in header files (bsc#1152489)
- commit fb8b891
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove RREG64/WREG64 (bsc#1152489)
- commit 405c792
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: implement UMC 64 bits REG operations (bsc#1152489)
- commit bb96286
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: replace readq/writeq with atomic64 operations (bsc#1152489)
- commit 0c8fc0a
* Tue Sep 29 2020 tbogendoerfer@suse.de
- crypto: chelsio - Use multiple txq/rxq per tfm to process the
  requests (jsc#SLE-15129).
- Refresh
  patches.suse/Crypto-chcr-fix-for-ccm-aes-failed-test.patch.
- commit 8922bc6
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: drm: amd: powerplay: Remove logically dead code (bsc#1152489)
- commit b7a7345
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: Zero initialize some variables (bsc#1152489)
- commit a11fa8c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix GPU reset crash regression. (bsc#1152489)
- commit 4289c4a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: check before issuing messages for max sustainable (bsc#1152489)
- commit 055f6c4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/discovery: move common discovery code out of (bsc#1152489)
- commit dd56d65
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/soc15: fix external_rev_id for navi14 (bsc#1152489)
- commit 519397e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update ras sysfs feature info (bsc#1152489)
- commit 5cf0857
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: skip pcie params override on Arcturus V2 (bsc#1152489)
- commit 3336b6f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix panic during gpu reset (bsc#1152489)
- commit b6ab46d
* Tue Sep 29 2020 hare@suse.de
- random: don't forget compat_ioctl on urandom
  (bsc#1175995,jsc#SLE-15608).
- ppp: fix out-of-bounds access in bpf_prog_create()
  (bsc#1175995,jsc#SLE-15608).
- commit da7510d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Block immediate flips for non-fast updates (bsc#1152489)
- commit 273f2c4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Validate dc_plane_info and dc_plane_size in atomic (bsc#1152489)
- commit a59ecb3
* Tue Sep 29 2020 tbogendoerfer@suse.de
- cxgb4/chcr: Save tx keys and handle HW response (jsc#SLE-15131).
- Refresh
  patches.suse/Crypto-chelsio-Fixes-a-deadlock-between-rtnl_lock-an.patch.
- commit fcecd4d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable Navi12 kfd support for amdgpu (bsc#1152489)
- commit d27c320
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add missing NV12 asic IDs (bsc#1152489)
- commit 6a088fe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add nv12 DC ip block (bsc#1152489)
- commit 18717d1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add ASICREV_IS_NAVI macros (bsc#1152489)
- commit 1f0a486
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable DPG mode for Navi12 (bsc#1152489)
- commit 16dbff3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add VCN ip block for Navi12 (bsc#1152489)
- commit f335abe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add Navi12 VCN firmware support (bsc#1152489)
- commit 4b28d07
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add psp ip block for navi12 (bsc#1152489)
- commit 4c90629
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add smu ip block for navi12 (bsc#1152489)
- commit d6e2a91
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: start autoload till RLCG fw for navi12 (bsc#1152489)
- commit 11156c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/psp11: add psp support for navi12 (bsc#1152489)
- commit e68e921
* Tue Sep 29 2020 tbogendoerfer@suse.de
- crypto: chtls - Add support for AES256-GCM based ciphers
  (jsc#SLE-15129).
- Refresh patches.suse/crypto-chtls-Fixed-memory-leak.patch.
- commit 9ff6836
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/smu11: add smu support for navi12 (bsc#1152489)
- commit 387d8fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct smu rlc handshake enablement bit (bsc#1152489)
- commit c12bfc5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add CGTT_GS_NGG_CLK_CTRL register to gc header (bsc#1152489)
- commit 6389e54
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: add golden settings for navi12 (v2) (bsc#1152489)
- commit 2c00f85
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add golden settings for navi12 (v2) (bsc#1152489)
- commit 2a262b5
* Tue Sep 29 2020 tiwai@suse.de
- blacklist.conf: Add already cherry-picked ASoC entry
- commit 04deebb
* Tue Sep 29 2020 tiwai@suse.de
- ASoC: dt-bindings: sun4i-spdif: Fix dma-names warning
  (git-fixes).
- commit 40854e0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable virtual display for navi12 (bsc#1152489)
- commit 3b53a98
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: set tcp harvest for navi12 (bsc#1152489)
- commit b92b3be
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add ip blocks for navi12 (bsc#1152489)
- commit 251c9e1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gmc10: set gart size and vm size for navi12 (bsc#1152489)
- commit 6e1ecdf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: add placeholder for navi12 golden settings (bsc#1152489)
- commit 1393572
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: declare sdma firmwares for navi12 (bsc#1152489)
- commit b813084
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: set rlc funcs for navi12 (bsc#1152489)
- commit 40d262e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: set number of me(c)/pipe/queue for navi12 (bsc#1152489)
- commit 3134182
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add placeholder for navi12 golden settings (bsc#1152489)
- commit 0073939
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: declare cp/rlc firmwares for navi12 (bsc#1152489)
- commit d8d1fcc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add gfx config for navi12 (bsc#1152489)
- commit 15d9214
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: set gfx cg for navi12 (bsc#1152489)
- commit 5252cea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set nbio/hdp cg for navi12 (bsc#1152489)
- commit edfea18
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: initialize cg/pg flags and external rev id for navi12 (bsc#1152489)
- commit 661cd19
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: use front door firmware loading for navi12 (bsc#1152489)
- commit 22fa14e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set asic family and ip blocks for navi12 (bsc#1152489)
- commit f99a2ef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gpu_info firmware for navi12 (bsc#1152489)
- commit 45cbade
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi12 asic type (bsc#1152489)
- commit c813d17
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: initialize reg base for navi12 (bsc#1152489)
- commit 13ff35e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add ip offset header for navi12 (v2) (bsc#1152489)
- commit 93498e8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update SDMA V4 microcode init (bsc#1152489)
- commit bb2236a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: extend PSP FW loading support to 8 SDMA instances (bsc#1152489)
- commit 8d9637e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable MEC2 JT context init for Arcturus (bsc#1152489)
- commit 7f3395a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update PSP CMD fail response status print (bsc#1152489)
- commit 880de8c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add PSP KDB loading support for Arcturus (bsc#1152489)
- commit 066354b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add PSP SW init support for Arcturus (bsc#1152489)
- commit 9ba2a61
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: removed duplicate line (bsc#1152489)
- commit af886d8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable SW SMU power profile switch support in KFD (bsc#1152489)
- commit e75b12c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: support power profile retrieval and setting on (bsc#1152489)
- commit e7f2c96
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: guard consistency between CPU copy and local VRAM (bsc#1152489)
- commit 7dd43e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: replace AMDGPU_RAS_UE with AMDGPU_RAS_SUCCESS (bsc#1152489)
- commit 94d2678
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: only uncorrectable error needs gpu reset (bsc#1152489)
- commit 1ed77ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update the calc algorithm of umc ecc error count (bsc#1152489)
- commit eb9211c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: implement umc ras init function (bsc#1152489)
- commit c52e42f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support ce interrupt in ras module (bsc#1152489)
- commit 4230875
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add error address query for umc ras (bsc#1152489)
- commit 267573e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: apply umc_for_each_channel macro to umc_6_1 (bsc#1152489)
- commit 3d42ae1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add macro of umc for each channel (bsc#1152489)
- commit 4e31cb3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: initialize new parameters and functions for amdgpu_umc (bsc#1152489)
- commit da419a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add more parameters and functions to amdgpu_umc structure (bsc#1152489)
- commit d46e8f0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove the clear of MCA_ADDR (bsc#1152489)
- commit 716ad72
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Don't replace the dc_state for fast updates (bsc#1152489)
- commit 0394981
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Skip determining update type for async updates (bsc#1152489)
- commit d560ba5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Allow cursor async updates for framebuffer swaps (bsc#1152489)
- commit 87a3858
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix unsigned variable instance compared to less than zero (bsc#1152489)
- commit 77ee609
* Tue Sep 29 2020 tbogendoerfer@suse.de
- i40e: always propagate error value in i40e_set_vsi_promisc()
  (jsc#SLE-13701).
- i40e: fix return of uninitialized aq_ret in i40e_set_vsi_promisc
  (jsc#SLE-13701).
- cxgb4: Fix race between loopback and normal Tx path
  (jsc#SLE-15131).
- cxgb4: Fix work request size calculation for loopback test
  (jsc#SLE-15131).
- cxgb4: add TC-MATCHALL IPv6 support (jsc#SLE-15131).
- cxgb4: fix extracting IP addresses in TC-FLOWER rules
  (jsc#SLE-15131).
- cxgb4: fix check for running offline ethtool selftest
  (jsc#SLE-15131).
- cxgb4: add loopback ethtool self-test (jsc#SLE-15131).
- cxgb4: use eth_zero_addr() to clear mac address (jsc#SLE-15131).
- crypto/chtls: Enable tcp window scaling option (jsc#SLE-15129).
- cxgb4: convert to new udp_tunnel_nic infra (jsc#SLE-15131).
- cxgb4: add main VI to mirror VI config replication
  (jsc#SLE-15131).
- cxgb4: add support for mirror Rxqs (jsc#SLE-15131).
- cxgb4: add mirror action to TC-MATCHALL offload (jsc#SLE-15131).
- cxgb4vf: configure ports accessible by the VF (jsc#SLE-15131).
- cxgb4vf: fix t4vf_eth_xmit()'s return type (jsc#SLE-15131).
- cxgb4: move device dump arrays in header to C file
  (jsc#SLE-15131).
- cxgb4: always sync access when flashing PHY firmware
  (jsc#SLE-15131).
- cxgb4: Use struct_size() helper (jsc#SLE-15131).
- cxgb4: add action to steer flows to specific Rxq
  (jsc#SLE-15131).
- cxgb4: add support to fetch ethtool n-tuple filters
  (jsc#SLE-15131).
- cxgb4: add ethtool n-tuple filter deletion (jsc#SLE-15131).
- cxgb4: add ethtool n-tuple filter insertion (jsc#SLE-15131).
- cxgb4: add skeleton for ethtool n-tuple filters (jsc#SLE-15131).
- cxgb4: add support to read serial flash (jsc#SLE-15131).
- cxgb4: add support to flash boot cfg image (jsc#SLE-15131).
- cxgb4: add support to flash boot image (jsc#SLE-15131).
- cxgb4: add support to flash PHY image (jsc#SLE-15131).
- cxgb4: update set_flash to flash different images
  (jsc#SLE-15131).
- crypto: chelsio - Fix some pr_xxx messages (jsc#SLE-15129).
- crypto: chelsio - Avoid some code duplication (jsc#SLE-15129).
- crypto: chelsio - permit asynchronous skcipher as fallback
  (jsc#SLE-15129).
- cxgb4: add missing release on skb in uld_send() (jsc#SLE-15131).
- crypto/chtls: correct net_device reference count
  (jsc#SLE-15129).
- crypto/chtls: fix tls alert messages corrupted by tls data
  (jsc#SLE-15129).
- cxgb4: fix all-mask IP address comparison (jsc#SLE-15131).
- net: cxgb4: fix return error value in t4_prep_fw
  (jsc#SLE-15131).
- cxgb4vf: update kernel-doc line comments (jsc#SLE-15131).
- cxgb4: update kernel-doc line comments (jsc#SLE-15131).
- cxgb4: fix set but unused variable when DCB is disabled
  (jsc#SLE-15131).
- cxgb4: move DCB version extern to header file (jsc#SLE-15131).
- cxgb4: remove cast when saving IPv4 partial checksum
  (jsc#SLE-15131).
- cxgb4: fix SGE queue dump destination buffer context
  (jsc#SLE-15131).
- cxgb4: use correct type for all-mask IP address comparison
  (jsc#SLE-15131).
- cxgb4: fix endian conversions for L4 ports in filters
  (jsc#SLE-15131).
- cxgb4: parse TC-U32 key values and masks natively
  (jsc#SLE-15131).
- cxgb4: use unaligned conversion for fetching timestamp
  (jsc#SLE-15131).
- cxgb4: move PTP lock and unlock to caller in Tx path
  (jsc#SLE-15131).
- cxgb4: move handling L2T ARP failures to caller (jsc#SLE-15131).
- crypto: Replace zero-length array with flexible-array
  (jsc#SLE-15129).
- Crypto/chcr: Checking cra_refcnt before unregistering the
  algorithms (jsc#SLE-15129).
- Crypto/chcr: Calculate src and dst sg lengths separately for
  dma map (jsc#SLE-15129).
- cxgb4: Use kfree() instead kvfree() where appropriate
  (jsc#SLE-15131).
- crypto/chtls:Fix compile error when CONFIG_IPV6 is disabled
  (jsc#SLE-15129).
- crypto/chcr: error seen if CONFIG_CHELSIO_TLS_DEVICE isn't set
  (jsc#SLE-15131).
- crypto/chtls: IPv6 support for inline TLS (jsc#SLE-15129).
- Crypto/chcr: Fixes a coccinile check error (jsc#SLE-15129).
- Crypto/chcr: Fixes compilations warnings (jsc#SLE-15129).
- crypto/chcr: IPV6 code needs to be in CONFIG_IPV6
  (jsc#SLE-15131).
- cxgb4/chcr: Enable ktls settings at run time (jsc#SLE-15131).
- cxgb4: cleanup error code in setup_sge_queues_uld()
  (jsc#SLE-15131).
- cxgb4: add adapter hotplug support for ULDs (jsc#SLE-15131).
- cxgb4: Use %%pM format specifier for MAC addresses
  (jsc#SLE-15131).
- cxgb4: add EOTID tracking and software context dump
  (jsc#SLE-15131).
- cxgb4: tune burst buffer size for TC-MQPRIO offload
  (jsc#SLE-15131).
- cxgb4: improve credits recovery in TC-MQPRIO Tx path
  (jsc#SLE-15131).
- cxgb4: remove duplicate headers (jsc#SLE-15131).
- Crypto/chcr: fix for hmac(sha) test fails (jsc#SLE-15129).
- Crypto/chcr: support for 48 byte key_len in aes-xts
  (jsc#SLE-15129).
- Crypto/chcr: fix ctr, cbc, xts and rfc3686-ctr failed tests
  (jsc#SLE-15129).
- Crypto/chcr: fix gcm-aes and rfc4106-gcm failed tests
  (jsc#SLE-15129).
- Revert "crypto: chelsio - Inline single pdu only"
  (jsc#SLE-15129).
- cxgb4/cxgb4vf: Remove superfluous void * cast in
  debugfs_create_file() call (jsc#SLE-15131).
- crypto: chelsio - remove redundant assignment to variable error
  (jsc#SLE-15129).
- cxgb4/chcr: avoid -Wreturn-local-addr warning (jsc#SLE-15129).
- cxgb4: Add missing annotation for service_ofldq()
  (jsc#SLE-15131).
- chcr: Fix CPU hard lockup (jsc#SLE-15131).
- net/cxgb4: Check the return from t4_query_params properly
  (jsc#SLE-15131).
- crypto/chcr: Add missing include file <linux/highmem.h>
  (jsc#SLE-15131).
- crypto: chelsio - remove set but not used variable 'adap'
  (jsc#SLE-15129).
- crypto: chelsio/chtls - Fixed boolinit.cocci warning
  (jsc#SLE-15129).
- crypto: chelsio/chtls - Fixed tls stats (jsc#SLE-15129).
- crypto: chelsio - Recalculate iv only if it is needed
  (jsc#SLE-15129).
- crypto: chelsio - un-register crypto algorithms (jsc#SLE-15131).
- crypto: chelsio - Endianess bug in create_authenc_wr
  (jsc#SLE-15129).
- crypto: chelsio - remove extra allocation for chtls_dev
  (jsc#SLE-15129).
- crypto: chelsio - Print the chcr driver information while
  module load (jsc#SLE-15131).
- crypto: chelsio - This fixes the kernel panic which occurs
  during a libkcapi test (jsc#SLE-15129).
- crypto: chelsio - This fixes the libkcapi's cbc(aes) aio fail
  test cases (jsc#SLE-15129).
- cxgb4/chcr: nic-tls stats in ethtool (jsc#SLE-15131).
- crypto/chtls: Fix chtls crash in connection cleanup
  (jsc#SLE-15129).
- crypto/chcr: fix incorrect ipv6 packet length (jsc#SLE-15131).
- cxgb4: Add support to catch bits set in INT_CAUSE5
  (jsc#SLE-15131).
- cxgb4: remove set but not used variable 'tab' (jsc#SLE-15131).
- Crypto/chtls: add/delete TLS header in driver (jsc#SLE-15129).
- cxgb4: rework TC filter rule insertion across regions
  (jsc#SLE-15131).
- chcr: remove set but not used variable 'status' (jsc#SLE-15131).
- cxgb4: update T5/T6 adapter register ranges (jsc#SLE-15131).
- net: cxgb4vf: reject unsupported coalescing params
  (jsc#SLE-15131).
- net: cxgb4: reject unsupported coalescing params
  (jsc#SLE-15131).
- cxgb4/chcr: Add ipv6 support and statistics (jsc#SLE-15131).
- chcr: Handle first or middle part of record (jsc#SLE-15131).
- chcr: handle partial end part of a record (jsc#SLE-15131).
- cxgb4/chcr: complete record tx handling (jsc#SLE-15131).
- net/chelsio: Don't set N/A for not available FW (jsc#SLE-15131).
- chelsio: Replace zero-length array with flexible-array member
  (jsc#SLE-15131).
- cxgb4/ptp: pass the sign of offset delta in FW CMD
  (jsc#SLE-15131).
- cxgb4: fix checks for max queues to allocate (jsc#SLE-15131).
- crypto: chtls - Fixed listen fail when max stid range reached
  (jsc#SLE-15129).
- crypto: chtls - Corrected function call context (jsc#SLE-15129).
- crypto: chelsio - Resetting crypto counters during the driver
  unregister (jsc#SLE-15131).
- crypto: chelsio - calculating tx_channel_id as per the max
  number of channels (jsc#SLE-15129).
- crypto: chelsio - switch to skcipher API (jsc#SLE-15129).
- crypto: chtls - remove the redundant check in chtls_recvmsg()
  (jsc#SLE-15129).
- crypto: chtls - simplify a bit 'create_flowc_wr_skb()'
  (jsc#SLE-15129).
- crypto: x86/aes-ni - use AES library instead of single-use
  AES cipher (jsc#SLE-15129).
- crypto: chelsio - Rename arrays to avoid conflict with
  crypto/sha256.h (jsc#SLE-15129).
- crypto: x86/xts - implement support for ciphertext stealing
  (jsc#SLE-15129).
- crypto: aes-generic - remove unused variable 'rco_tab'
  (jsc#SLE-15129).
- crypto: gcm - helper functions for assoclen/authsize check
  (jsc#SLE-15129).
- crypto: aes-generic - unexport last-round AES tables
  (jsc#SLE-15129).
- crypto: chelsio - replace AES cipher calls with library calls
  (jsc#SLE-15131).
- crypto: aes-generic - drop key expansion routine in favor of
  library version (jsc#SLE-15129).
- crypto: padlock/aes - switch to library version of key expansion
  routine (jsc#SLE-15129).
- crypto: x86/aes - drop scalar assembler implementations
  (jsc#SLE-15129).
- crypto: x86/aes-ni - switch to generic for fallback and key
  routines (jsc#SLE-15129).
- crypto: aes/fixed-time - align key schedule with other
  implementations (jsc#SLE-15131).
- crypto: aes - rename local routines to prevent future clashes
  (jsc#SLE-15129).
- commit 6c96ac0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix a few spelling mistakes (bsc#1152489)
- commit 20b4179
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu: drm: radeon: Fix a possible null-pointer dereference in (bsc#1152489)
- commit a3611ff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix off-by-one upper bounds limit checks (bsc#1152489)
- commit cda5adb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Fix EEH during kexec (bsc#1152489)
- commit 2a544aa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Extend CU mask to 8 SEs (v3) (bsc#1152489)
- commit 0acbb25
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support get_cu_info for Arcturus (bsc#1152489)
- commit c474563
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix pcie_bw on Vega20 (bsc#1152489)
- commit 79f4b92
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Update NBIO headers to add TXCLK3/4 (bsc#1152489)
- commit a2ff658
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add amdgpu_asic_funcs.reset_method for Vega20 (bsc#1152489)
- commit 0bef5bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Mark KFD VRAM allocations for wipe on release (bsc#1152489)
- commit 5803e25
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Implement VRAM wipe on release (bsc#1152489)
- commit a58ec87
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add flag to wipe VRAM on release (bsc#1152489)
- commit 9f14f08
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: Add release_notify callback to ttm_bo_driver (bsc#1152489)
- commit 567bc13
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use switch table for dc_to_smu_clock_type (bsc#1152489)
- commit 55dd84f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use proper enum conversion functions (bsc#1152489)
- commit 4b5249d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix double ucode load by PSP(v3) (bsc#1152489)
- commit 8b0f29f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: fix incorrect judge on sos fw version (bsc#1152489)
- commit 753b3b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: cleanup vega10 SRIOV code path (bsc#1152489)
- commit 449e960
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: sort feature status index by asic feature id for (bsc#1152489)
- commit bdc65ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: enable KFD support for navi14 (bsc#1152489)
- commit 80d78ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable inject for failed subblocks of gfx (bsc#1152489)
- commit 20e5c2b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support gfx ras error injection and err_cnt query (bsc#1152489)
- commit 597abb3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add RAS callback for gfx (bsc#1152489)
- commit b745094
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add define for gfx ras subblock (bsc#1152489)
- commit 3c44631
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/include: add define of TCP_EDC_CNT_NEW (bsc#1152489)
- commit 0974c47
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/include: add bitfield define for EDC registers (bsc#1152489)
- commit 0cbc483
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: remove ras_reserve_vram in ras injection (bsc#1152489)
- commit ced6998
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add check for ras error type (bsc#1152489)
- commit 4999f96
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update interrupt callback for all ras clients (bsc#1152489)
- commit d88104a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: allow ras interrupt callback to return error data (bsc#1152489)
- commit 46ed6a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: query umc ras error address (bsc#1152489)
- commit 6f5c9a3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add structures for umc error address translation (bsc#1152489)
- commit 8be9eee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add support for recording ras error address (bsc#1152489)
- commit 7f39ee7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update algorithm of umc uncorrectable error counting (bsc#1152489)
- commit 71b2a41
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: switch to amdgpu_umc structure (bsc#1152489)
- commit f743c8b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: use 64bit operation macros for umc (bsc#1152489)
- commit 25490b4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add RREG64/WREG64(_PCIE) operations (bsc#1152489)
- commit d72a792
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add ras error count after each query (v2) (bsc#1152489)
- commit 4138ef2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: querry umc error count (bsc#1152489)
- commit e117063
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: init umc v6_1 functions for vega20 (bsc#1152489)
- commit 60e0f3b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add umc v6_1 query error count support (bsc#1152489)
- commit 8a25980
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add umc v6_1_1 IP headers (bsc#1152489)
- commit 134a0a5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add rsmu v_0_0_2 ip headers (bsc#1152489)
- commit 4b6389b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add amdgpu_umc_functions structure (bsc#1152489)
- commit 2a8f5bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: init RSMU and UMC ip base address for vega20 (bsc#1152489)
- commit 5b681c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: move some ras data structure to amdgpu_ras.h (bsc#1152489)
- commit c11eafd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h from vcn_v2_5.c (bsc#1152489)
- commit ac472db
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h from vcn_v2_0.c (bsc#1152489)
- commit 57390a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h from sdma_v5_0.c (bsc#1152489)
- commit e6021a8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h from nv.c (bsc#1152489)
- commit 1be95ea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h from navi10_ih.c (bsc#1152489)
- commit 1237a9a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h in gfx_v10_0.c (bsc#1152489)
- commit 793a94e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h from amdgpu_amdkfd_gfx_v10.c (bsc#1152489)
- commit 61454c6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop drmP.h in amdgpu_amdkfd_arcturus.c (bsc#1152489)
- commit 7af4b47
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: determine the features to enable by pptable only (bsc#1152489)
- commit 1279f9b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct irq type used for sdma ecc (bsc#1152489)
- commit 8794064
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: make power limit retrieval as asic specific (bsc#1152489)
- commit 71952d6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct arcturus current clock level calculation (bsc#1152489)
- commit ca2d403
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: support UMD PSTATE settings on arcturus (bsc#1152489)
- commit bdefb20
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix arcturus real-time clock frequency retrieval (bsc#1152489)
- commit 007877a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: remove redundancy debug log in smu (bsc#1152489)
- commit 09c23f9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct the bitmask used in arcturus (bsc#1152489)
- commit 18996e7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add missing arcturus feature maps (bsc#1152489)
- commit 53e9f8c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: support fan speed retrieval on arcturus (bsc#1152489)
- commit 198e84d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: support real-time clock retrieval on arcturus (bsc#1152489)
- commit e13c175
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: support sensor reading on arcturus (bsc#1152489)
- commit 69d6210
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: init arcturus SMU metrics table on bootup (bsc#1152489)
- commit 3284a90
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update more sdma instances irq support (bsc#1152489)
- commit ff16027
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/include: adjust base offset of SMUIO and THM for Arcturus (bsc#1152489)
- commit 3c2d3ff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: hold on the arcturus gfx dpm support in driver (bsc#1152489)
- commit 8b7b8d4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct VCN powergate routine for acturus (bsc#1152489)
- commit c38ce95
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable arcturus powerplay (bsc#1152489)
- commit f61fd9f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: initialize arcturus MP1 and THM base address (bsc#1152489)
- commit c8cc16c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: enable SW SMU routine support for arcturus (bsc#1152489)
- commit 0298083
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: update arcturus_ppt.c/h V3 (bsc#1152489)
- commit a0fa271
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: update arcturus_ppsmc.h (bsc#1152489)
- commit fd0b2fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: update smu11_driver_if_arcturus.h (bsc#1152489)
- commit 6594378
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add SW SMU interface for dumping pptable out (v2) (bsc#1152489)
- commit dda17f8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add smcdpminfo table v4_6 support (bsc#1152489)
- commit 1b05d55
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Save/restore vcc on gfx10 (bsc#1152489)
- commit bb97e13
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Save/restore flat_scratch_lo/hi on gfx10 (bsc#1152489)
- commit d79ee3a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Fix gfx10 wave64 VGPR context restore (bsc#1152489)
- commit bc55bc8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Support uclk switching for DCN2 (bsc#1152489)
- commit 767399c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Embed DCN2 SOC bounding box (bsc#1152489)
- commit 6cf2a57
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: provide the interface to disable uclk switch (bsc#1152489)
- commit b440815
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update golden settings for navi14 (bsc#1152489)
- commit 2f59d63
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: implment sysfs feature status function in smu (bsc#1152489)
- commit 27ca7ae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: move smu_feature_update_enable_state to up level (bsc#1152489)
- commit 443eed3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add smu feature name support (bsc#1152489)
- commit 92a3cd1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: add smu message name support (bsc#1152489)
- commit a8bead9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: move smu types to smu_types.h (bsc#1152489)
- commit 6574e9a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Default disable GDS for compute+gfx (bsc#1152489)
- commit 6c3b66f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/display: fix the build without (bsc#1152489)
- commit b16cded
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix amdgpu_display_supported_domains logic. (bsc#1152489)
- commit 654e21f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: put the SMC into the proper state on reset/unload (bsc#1152489)
- commit 1a53690
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add set_mp1_state for vega12 (bsc#1152489)
- commit a0f6bd4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add set_mp1_state for vega10 (bsc#1152489)
- commit 55db491
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add set_mp1_state for vega20 (bsc#1152489)
- commit a01642a
* Tue Sep 29 2020 mbenes@suse.cz
- tracing: fix double free (git-fixes).
- commit dd7027e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: return success if set_mp1_state is not set (bsc#1152489)
- commit 67dee8e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add a new interface to set the mp1 state (bsc#1152489)
- commit 114ca33
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add reset_method asic callback for navi (bsc#1152489)
- commit ad29ff9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add reset_method asic callback for soc15 (bsc#1152489)
- commit c51cbc4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add reset_method asic callback for vi (bsc#1152489)
- commit 7cbd77e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add reset_method asic callback for cik (bsc#1152489)
- commit eb3f054
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add reset_method asic callback for si (bsc#1152489)
- commit 83158b4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add an asic callback to determine the reset method (bsc#1152489)
- commit 7494c8f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: minor fixes around SW SMU power and fan setting (bsc#1152489)
- commit ebbf67f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: enable S/G for RAVEN chip (bsc#1152489)
- commit bb48767
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add check for USWC support for (bsc#1152489)
- commit 1c7c5c6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Create helper to clear AMDGPU_GEM_CREATE_CPU_GTT_USWC (bsc#1152489)
- commit 017fe05
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fix hard hang for S/G display BOs. (bsc#1152489)
- commit f76ecc1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: adding xgmi error monitoring (bsc#1152489)
- commit d50854e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add perfmon and fica atomics for df (bsc#1152489)
- commit 246c3b2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Remove dead code from gfx8/gfx9 trap handlers (bsc#1152489)
- commit f3ba626
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Replace gfx10 trap handler with correct branch (bsc#1152489)
- commit 59dd6fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Fix lost single step exceptions in gfx9 trap handler (bsc#1152489)
- commit 450b8c5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Use SQC when TCP would fail in gfx9 context save. (bsc#1152489)
- commit f01c0b9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gmc10: fix pte mytpe field error for navi14 (bsc#1152489)
- commit 90804b4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: some cosmetic fixes (bsc#1152489)
- commit a1d8fef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: no pptable transfer and dpms enabled with "dpm=0" (bsc#1152489)
- commit be80727
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix a missing null check on a failed kzalloc (bsc#1152489)
- commit 9765827
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Use dev_get_drvdata where possible (bsc#1152489)
- commit ce0254d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use dev_get_drvdata (bsc#1152489)
- commit 426742e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Use dev_get_drvdata where possible (bsc#1152489)
- commit a9c1c1d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set sdma irq src num according to sdma instances (bsc#1152489)
- commit 993ced9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Copy GSL groups when committing a new context (bsc#1152489)
- commit df4476c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add debug entry to destroy disconnected edp link (bsc#1152489)
- commit fc62a22
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: avoid power gate domains that doesn't exist (bsc#1152489)
- commit 4c2908c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add SMU version field to clk_mgr_internal (bsc#1152489)
- commit 80701cb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: support "dummy pstate" (bsc#1152489)
- commit f80168e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix mpcc assert condition (bsc#1152489)
- commit 01fbfe3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.42 (bsc#1152489)
- commit 02a969c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Clean up dynamic metadata logic (bsc#1152489)
- commit a1e462c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: populate last calculated bb state with max clocks (bsc#1152489)
- commit 5f21dc0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add dcc programming for dual plane (bsc#1152489)
- commit 17a6b2a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Implement DAL3 GPU Integer Scaling (bsc#1152489)
- commit 3065140
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add pipe CRC sources without disabling dithering. (bsc#1152489)
- commit 756b2fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: use min disp and dpp clk debug option for dcn2 (bsc#1152489)
- commit 94c2a25
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add a option to force the clock at every mode (bsc#1152489)
- commit 65215f4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Change offset_to_id to reflect what id_to_offset (bsc#1152489)
- commit 50fefa6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add set and get clock for testing purposes (bsc#1152489)
- commit d3a1728
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Hook up calls to do stereo mux and dig programming (bsc#1152489)
- commit 157c677
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.41 (bsc#1152489)
- commit 1b945d4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fixes for some MPO cases (bsc#1152489)
- commit 6428285
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Cache the use_pitch_c conditional (bsc#1152489)
- commit b11b964
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add DIG_CLOCK_PATTERN register (bsc#1152489)
- commit babf617
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add CM_BYPASS via debug option (bsc#1152489)
- commit d3b5d26
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add MPC 3DLUT resource management (bsc#1152489)
- commit c2449da
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add debug option to disable timing sync (bsc#1152489)
- commit 0660e4e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Clear FEC_READY shadow register if DPCD write fails (bsc#1152489)
- commit cf374f8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Optimize gamma calculations (bsc#1152489)
- commit f086612
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Set FEC_READY always before link training (bsc#1152489)
- commit 5cb290e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use helper for determining HDMI signal (bsc#1152489)
- commit 326fb85
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Implement generic MUX registers (v2) (bsc#1152489)
- commit ffe13de
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.40 (bsc#1152489)
- commit 5a30b69
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move isdn/capi ioctl translation into
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/compat_ioctl-move-hci_sock-handlers-into-driver.patch.
- Refresh
  patches.suse/compat_ioctl-move-rfcomm-handlers-into-driver.patch.
- commit 2bc424e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove second initialization of pp_smu (bsc#1152489)
- commit cb4916a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: fix not calling ppsmu to trigger PME (bsc#1152489)
- commit e447ba2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove unnecessary NULL check in (bsc#1152489)
- commit eac1b5c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Do not fill Null packet in the blank period (bsc#1152489)
- commit ba19b24
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Power-gate all DSCs at driver init time (bsc#1152489)
- commit f3bb995
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Remove dsc disable_ich flag programming. (bsc#1152489)
- commit c7b91b9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Fix some HUBP programming issues (bsc#1152489)
- commit 2685737
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Expose enc2_set_dynamic_metadata (bsc#1152489)
- commit b24e0aa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.39 (bsc#1152489)
- commit 2d4ea85
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add functionality to get pipe CRC source. (bsc#1152489)
- commit b6e1415
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add functionality to grab DPRX CRC entries. (bsc#1152489)
- commit 2c0cd7f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add monitor patch to add T7 delay (bsc#1152489)
- commit c48c9c2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add hdmi2.1 dsc pps packet programming (bsc#1152489)
- commit 859e97e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: refactor dump_clk_registers (bsc#1152489)
- commit b1855c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display:Use Pixel clock in 100Hz units for HDMI Audio wall (bsc#1152489)
- commit 295a02d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Incorrect Read Interval Time For CR Sequence (bsc#1152489)
- commit 831c3c3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.38 (bsc#1152489)
- commit bd1754c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Split out common HUBP registers and code (bsc#1152489)
- commit 50c933a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: early return when pipe_cnt is 0 in bw validation (bsc#1152489)
- commit 6d58f5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Update drm_dsc to reflect native 4.2.0 DSC spec (bsc#1152489)
- commit 0caa0f8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add aux tracing log in dce (bsc#1152489)
- commit fc66a5a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: move bw calc code into helpers (bsc#1152489)
- commit 8b93daa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.37 (bsc#1152489)
- commit 6c7c586
* Tue Sep 29 2020 hare@suse.de
- series.conf: refresh patch order
- commit 5f89670
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: 3.2.36 (bsc#1152489)
- commit a1bcf42
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Add ability to set preferred link training (bsc#1152489)
- commit 8acdaca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu:  exposing fica registers to df offsets (bsc#1152489)
- commit b836de3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: input check for unsupported message/clock index (bsc#1152489)
- commit 282c8cc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: correct SW SMU valid mapping check (bsc#1152489)
- commit 000219c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: flag arcturus as experimental for now (bsc#1152489)
- commit 3f6800d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: drop unused function definitions (bsc#1152489)
- commit 8103022
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu:add all VCN rings into schedule request queue (bsc#1152489)
- commit 441e243
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Increase vcrat size for GPU (bsc#1152489)
- commit 76d7634
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable all 8 sdma instances for Arcturus silicon (bsc#1152489)
- commit 7a6e2fa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Merge gfx9/arcturus trap handlers, add ACC VGPR save (bsc#1152489)
- commit 19c8e75
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Add more detail to the VM fault printing (bsc#1152489)
- commit aed0be3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Add device id for real asics (bsc#1152489)
- commit 0db6c2a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: limit sdma instances to 2 for Arcturus in BU phase (bsc#1152489)
- commit b47c154
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip gfx 9 common golden settings for arct (bsc#1152489)
- commit f0030c6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Add arcturus CWSR trap handler (bsc#1152489)
- commit c291ed6
* Tue Sep 29 2020 tzimmermann@suse.de
- amd/powerplay: No SW XGMI dpm for Arcturus rev 2 (bsc#1152489)
- commit 353fe0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: clean up nonexistent firmware declaration for Arcturus (bsc#1152489)
- commit e0cbf4a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: init gds config for arct (bsc#1152489)
- commit 10c7e22
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: keep stolen memory for arct (bsc#1152489)
- commit 9738d9a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: init arct external rev id (bsc#1152489)
- commit ae98f94
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add arct gc golden settings (bsc#1152489)
- commit e1aca94
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add arct sdma golden settings (bsc#1152489)
- commit f1ab50a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add pci DID for Arcturus GL-XL. (bsc#1152489)
- commit aa42a9b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: assign fb_start/end in mmhub v9.4 interface (bsc#1152489)
- commit 6357453
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add harvest support for Arcturus (bsc#1152489)
- commit 68da984
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add multiple instances support for Arcturus (bsc#1152489)
- commit a03725f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: modify amdgpu_vcn to support multiple instances (bsc#1152489)
- commit 706f739
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add vcn nbio doorbell range setting for 2nd vcn instance (bsc#1152489)
- commit 36ba2a5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/: increase AMDGPU_MAX_RINGS to add 2nd vcn instance (bsc#1152489)
- commit 8f63f5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/: add doorbell assignment for 2nd vcn instance (bsc#1152489)
- commit 580c4e4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/: add ucodeID for 2nd vcn instance (bsc#1152489)
- commit c2fde66
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/: add clientID for 2nd vcn instance (bsc#1152489)
- commit 16898e6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Set number of xgmi optimized SDMA engines for arcturus (bsc#1152489)
- commit edcbb37
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct ip for mmHDP_READ_CACHE_INVALIDATE register (bsc#1152489)
- commit a905f5b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set system aperture to cover whole FB region in mmhub (bsc#1152489)
- commit 54f3fb4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip get/update xgmi topology info when no psp exists (bsc#1152489)
- commit 3c5d3dd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: get smc firmware and pptable (bsc#1152489)
- commit fdc841e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add smu11 driver interface for arcturus. (v2) (bsc#1152489)
- commit a89f19e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/powerplay: add arcturus ppt functions (bsc#1152489)
- commit 0fb03f4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable the Doorbell support for VCN2.5 (bsc#1152489)
- commit 4c8b5d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add vcn doorbell range function to nbio7.4 (v2) (bsc#1152489)
- commit 369703c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable VCN2.5 on Arcturus (bsc#1152489)
- commit 0164510
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/VCN2.5: set JPEG decode ring functions (bsc#1152489)
- commit e4933b5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add JPEG2.5 HW start and stop (bsc#1152489)
- commit 7cb1f4d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/VCN2.5: set encode ring functions (bsc#1152489)
- commit 97c6e56
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/VCN2.5: set decode ring functions (bsc#1152489)
- commit b3480e1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add Arcturus to the VCN family (bsc#1152489)
- commit f4a242a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add VCN2.5 VCPU start and stop (bsc#1152489)
- commit c510a40
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add VCN2.5 basic supports (bsc#1152489)
- commit 942a061
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/VCN2: expose rings functions (bsc#1152489)
- commit a5103c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/VCN2: put IB internal registers offset to structure (bsc#1152489)
- commit bd1d88a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: declare sdma firmware binary files for Arcturus (bsc#1152489)
- commit 3b59c41
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Clear build undefined warning (bsc#1152489)
- commit 13dce2e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Enable xgmi support for Arcturus (bsc#1152489)
- commit c0d2f85
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Hack xgmi topology info when there is no psp fw (bsc#1152489)
- commit 83c2446
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Support MMHUB1 in kfd interrupt path (bsc#1152489)
- commit 1cc381d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Set VM_L2_CNTL.PDE_FAULT_CLASSIFICATION to 0 for MMHUB (bsc#1152489)
- commit f49637c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Implement kfd2kgd_calls for Arcturus (bsc#1152489)
- commit 7f9acdc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Fix sdma_bitmap overflow issue (bsc#1152489)
- commit fc01533
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Change arcturus sdma engines number (bsc#1152489)
- commit a50fe6c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Support two MMHUBs when setting up page table base in KFD (bsc#1152489)
- commit 3cc67ea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Expose function mmhub_v9_4_setup_vm_pt_regs() for kfd to (bsc#1152489)
- commit edb8121
* Tue Sep 29 2020 tzimmermann@suse.de
- amd/amdkfd: Add ASIC ARCTURUS to kfd (bsc#1152489)
- commit e1a4a3b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Support bigger gds size (bsc#1152489)
- commit ed99e18
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdkfd: Extend PM4 packets to support 8 SDMA (bsc#1152489)
- commit a0db8e3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Initialize asic functions for Arcturus (bsc#1152489)
- commit c72ad52
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add paging queue support for 8 SDMA instances on Arcturus (bsc#1152489)
- commit f0a7b93
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct programming of ih_chicken for Arcturus (bsc#1152489)
- commit 5e1f911
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add Arcturus chip_name for init sdma microcode (bsc#1152489)
- commit 810152e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable 8 SDMA instances for Arcturus (bsc#1152489)
- commit f1bb029
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: correct Arcturus SDMA address space base index (bsc#1152489)
- commit 198f1ed
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support sdma 2~7 doorbell range register offset (bsc#1152489)
- commit 5eec945
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip all gfx ring settings for Arcturus (bsc#1152489)
- commit af849e8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip load cp gfx firmware for Arcturus (bsc#1152489)
- commit a8674fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: optimize gfx9 init_microcode function (bsc#1152489)
- commit 1bd282c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add Arcturus gpu info firmware (bsc#1152489)
- commit 7878a73
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip pasid mapping for second mmhub on Arcturus (bsc#1152489)
- commit 50aa209
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip to get 3D engine clockgating state for Arcturus (bsc#1152489)
- commit 4c4d029
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add to set rlc funcs for Arcturus (bsc#1152489)
- commit 3811d4e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add number of mec for Arcturus (bsc#1152489)
- commit 3801241
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gfx config for Arcturus (bsc#1152489)
- commit f34d503
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add support for Arcturus firmware (bsc#1152489)
- commit dd0d598
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/dce_virtual: add Arcturus virtual display support (bsc#1152489)
- commit 34768c3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set Arcturus fw load type as direct (bsc#1152489)
- commit 6c33df0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add to set Arcturus ip blocks (bsc#1152489)
- commit ee0e22a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/soc15: add Arcturus common ip blocks (bsc#1152489)
- commit 16216de
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: support hdp flush for more sdma instances (bsc#1152489)
- commit 5e8f984
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: specify sdma instance 5~7 with second mmhub type (bsc#1152489)
- commit 48b153f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: reorganize sdma v4 code to support more instances (bsc#1152489)
- commit b8556fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: update vmc interrupt routine to support 3 vmhubs (bsc#1152489)
- commit c4a40fc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add VMC1 interrupt client id for Arcturus (bsc#1152489)
- commit ceebc69
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: dynamically initialize IP offset for Arcturus (bsc#1152489)
- commit 6b8b94d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: increase max number of ip base instances to 8 (bsc#1152489)
- commit 984f24b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add SDMA 2~7 ip block type (bsc#1152489)
- commit c98456d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add SDMA 2~7 interrupt client id for Arcturus (bsc#1152489)
- commit cd17942
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: use new mmhub interfaces for Arcturus (bsc#1152489)
- commit 492c735
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add mmhub v9.4.1 block for Arcturus (v2) (bsc#1152489)
- commit 2020eea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add one more mmhub instance for Arcturus (v2) (bsc#1152489)
- commit 793ed32
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add new member in amdgpu_device for vmhub counts per asic (bsc#1152489)
- commit f146618
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: rename AMDGPU_GFXHUB/MMHUB macro with hub number (bsc#1152489)
- commit 96f590d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gmc basic support for Arcturus (bsc#1152489)
- commit 0b01436
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add Arcturus asic type (bsc#1152489)
- commit 68645d4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add Arcturus ip_offset header (v3) (bsc#1152489)
- commit d842c43
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add VCN2.5 headers (bsc#1152489)
- commit b330d66
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add sdma 4.2.2 header files for Arcturus (bsc#1152489)
- commit 3e2414a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add mmhub 9.4.1 header files for Acrturus (bsc#1152489)
- commit 4bf24fa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: consolidate navi14 IP init (bsc#1152489)
- commit 446c8f3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: disable concurrent flushes on Navi14 (bsc#1152489)
- commit 7a88843
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable gfxoff code path for navi14 (bsc#1152489)
- commit 081f537
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/vcn: enable indirect DPG SRAM mode for navi14 (bsc#1152489)
- commit b4671ab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/powerplay: disable gfxoff for navi14 (bsc#1152489)
- commit 718e578
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/nv: set vcn pg flag for navi14 (bsc#1152489)
- commit 528a532
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: disable display writeback for navi14 (bsc#1152489)
- commit c7cf349
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable async gfx ring for navi14 (bsc#1152489)
- commit 265aaa1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable clock gatings for navi14 (bsc#1152489)
- commit 5687c01
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/athub2: set clock gating for navi14 (bsc#1152489)
- commit a89c8c7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/mmhub2: set clock gating for navi14 (bsc#1152489)
- commit f11e9e6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: declare asd firmware for navi14 (bsc#1152489)
- commit d41ef41
* Tue Sep 29 2020 hare@suse.de
- scsi: compat_ioctl: cdrom: Replace .ioctl with .compat_ioctl
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: fix FIONREAD on devices
  (bsc#1175995,jsc#SLE-15608).
- commit dc3fcb9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Enable VCN on navi14 (bsc#1152489)
- commit 4728bc8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: skip to load dmcu firmware for navi14 (bsc#1152489)
- commit b833ffc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: skip to load ta firmware for navi14 (bsc#1152489)
- commit a3f7f86
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add ASICREV defines v2 (bsc#1152489)
- commit 71067ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add dm block (bsc#1152489)
- commit 6679526
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add NAVI14 in resource construct (bsc#1152489)
- commit 4782efa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: add nv14 cases to amdgpu_dm (bsc#1152489)
- commit 08ebd4f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable sw smu ip for navi14 (bsc#1152489)
- commit 0d4f7cc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/smu11: add support for navi14 (bsc#1152489)
- commit b93945a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/psp: start rlc autoload after psp received rlcg for navi14 (bsc#1152489)
- commit 2c42d6d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable psp ip block for navi14 (bsc#1152489)
- commit 98af8bd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/psp: add psp support for navi14 (v3) (bsc#1152489)
- commit b3e2379
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: enable virtual display for navi14 (bsc#1152489)
- commit 5d92111
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add ip blocks for navi14 (bsc#1152489)
- commit 78018f9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/soc15: add support for navi14 (bsc#1152489)
- commit 14305ef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: fix programming of SC_HIZ_TILE_FIFO_SIZE field (bsc#1152489)
- commit 1d1d921
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi14 (bsc#1152489)
- commit 80afa19
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: update gfx golden settings for navi14 (bsc#1152489)
- commit 48bf359
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx: update gc_v10_1_1 golden setting (bsc#1152489)
- commit e776c32
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add gfx v10_1_1 golden settings for navi14 (bsc#1152489)
- commit 01777c4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx: add definition of mmCGTT_GS_NGG_CLK_CTRL (bsc#1152489)
- commit 39c5ef3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: set tcp harvest for navi14 (bsc#1152489)
- commit 9490ae0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set rlc funcs for navi14 (bsc#1152489)
- commit 44a38c3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add me/mec configurations for navi14 (bsc#1152489)
- commit ab2a380
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add clockgating support for navi14 (bsc#1152489)
- commit 364e53c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add gfx config for navi14 (bsc#1152489)
- commit 6a2900d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add placeholder for navi14 golden settings (bsc#1152489)
- commit fd8cc2b
* Tue Sep 29 2020 hare@suse.de
- Documentation: document ioctl interfaces better
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: simplify up block/ioctl.c
  (bsc#1175995,jsc#SLE-15608).
- commit e827cbb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: add support for navi14 firmware (bsc#1152489)
- commit 94e493c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: set clock gating for navi14 (bsc#1152489)
- commit efabae9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: update sdma5 golden settings for navi14 (bsc#1152489)
- commit 2d5671a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: add sdma5_0 golden settings for navi14 (bsc#1152489)
- commit 1019152
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: add placeholder for navi14 golden settings (bsc#1152489)
- commit 1207b10
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/sdma5: add support for navi14 firmware (bsc#1152489)
- commit b0f0304
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/gmc10: add navi14 support (bsc#1152489)
- commit 3a2b225
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: increase max instance number for hw ip (bsc#1152489)
- commit 746f3c7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/discovery: init reg base offset via ip discovery for (bsc#1152489)
- commit c2dd5f6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu/soc15: initialize reg base for navi14 (v2) (bsc#1152489)
- commit 71447e2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi14 ucode loading method (bsc#1152489)
- commit 1511a18
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: set asic family and ip blocks for navi14 (bsc#1152489)
- commit b039937
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add gpu_info firmware for navi14 (bsc#1152489)
- commit 9e18b0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: add navi14 asic type (bsc#1152489)
- commit 8c49c4b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: fix VOP_WIN_GET macro (bsc#1152472)
- commit f6ec908
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/gem: Rename drm_gem_dumb_map_offset() to (bsc#1152472)
- commit 4714a18
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/panfrost: Use drm_gem_map_offset()" (bsc#1152472)
- commit ec45eca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vgem: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit da55412
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit a7c1df4
* Tue Sep 29 2020 colyli@suse.de
- dax: Fix compilation for CONFIG_DAX && !CONFIG_FS_DAX
  (bsc#1175995, jsc#SLE-15608).
- dax: Fix stack overflow when mounting fsdax pmem device
  (bsc#1175995, jsc#SLE-15608).
- dax: fix detection of dax support for non-persistent memory
  block devices (bsc#1175995, jsc#SLE-15608).
- commit b4ff676
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: remove open-coded drm_invalid_op() (bsc#1152472)
- commit 94773d8
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/nouveau: remove open-coded drm_invalid_op()" (bsc#1152472)
- commit 918af03
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/msm: drop DRM_AUTH usage from the driver" (bsc#1152472)
- commit ec008c5
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/vgem: drop DRM_AUTH usage from the driver" (bsc#1152472)
- commit 3998cdf
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "Revert "drm/panfrost: Use drm_gem_map_offset()"" (bsc#1152472)
- commit ab1ef19
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "Revert "drm/gem: Rename drm_gem_dumb_map_offset() to (bsc#1152472)
- commit a429156
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sti: fix opencoded use of drm_panel_* (bsc#1152472)
- commit 8c03019
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: stop using seqcount for fence pruning (bsc#1152472)
- commit 8308ebb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/crc-debugfs: Add notes about CRC<->commit interactions (bsc#1152472)
- commit c95b79b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hdcp: reference for srm file format (bsc#1152472)
- commit 339ed9e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: update the hdcp state with uevent (bsc#1152472)
- commit 4378291
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hdcp: update content protection property with uevent (bsc#1152472)
- commit b6c7e80
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: uevent for connector status change (bsc#1152472)
- commit f6629f4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Attach content type property (bsc#1152472)
- commit 061bd2e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Add Content protection type property (bsc#1152472)
- commit 5719371
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bochs: Use dev_get_drvdata (bsc#1152472)
- commit 70f55b4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/qxl: Use dev_get_drvdata where possible (bsc#1152472)
- commit 222feb2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: drop ttm_buffer_object->resv (bsc#1152472)
- commit 128a04e
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: block: simplify compat_blkpg_ioctl()
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-move-block-layer-internals-out-of-include-linu.patch.
- Refresh patches.suse/block-refactor-blkpg_ioctl.patch.
- commit 123899c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/virtio: switch driver from bo->resv to bo->base.resv (bsc#1152472)
- commit 009200b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/qxl: switch driver from bo->resv to bo->base.resv (bsc#1152472)
- commit f69e3fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: switch driver from bo->resv to bo->base.resv (bsc#1152472)
- commit 06f06ae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: switch driver from bo->resv to bo->base.resv (bsc#1152472)
- commit 0a23237
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmwgfx: switch driver from bo->resv to bo->base.resv (bsc#1152472)
- commit 4d31fb5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: switch driver from bo->resv to bo->base.resv (bsc#1152472)
- commit 2bf7c48
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: switch ttm core from bo->resv to bo->base.resv (bsc#1152472)
- commit beee9fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: set both resv and base.resv pointers (bsc#1152472)
- commit e48d0b8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: use gem vma_node (bsc#1152472)
- commit a034ac8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: use gem reservation object (bsc#1152472)
- commit 3608562
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: use embedded gem object (bsc#1152472)
- commit 27a8fed
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: use embedded gem object (bsc#1152472)
- commit a55a9ed
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: use embedded gem object (bsc#1152472)
- commit 6771a46
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/qxl: use embedded gem object (bsc#1152472)
- commit cab48a6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vram: use embedded gem object (bsc#1152472)
- commit de4ce44
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ttm: add gem base object (bsc#1152472)
- commit 1c2a2bb
* Tue Sep 29 2020 tzimmermann@suse.de
- backlight: drop EARLY_EVENT_BLANK support (bsc#1152472)
- commit 8c99980
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge/parade: Drop legacy GPIO header (bsc#1152472)
- commit 7d5939f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge/nxp-ptn3460: Drop legacy GPIO headers (bsc#1152472)
- commit 5bb3dd6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge/megachips: Drop GPIO header (bsc#1152472)
- commit 2aa408c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/pl111: Fix unused variable warning (bsc#1152472)
- commit 3f3e35d
* Tue Sep 29 2020 tzimmermann@suse.de
- dma-buf: add more reservation object locking wrappers (bsc#1152472)
- commit 2dce229
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vblank: drop use of DRM_WAIT_ON() (bsc#1152472)
- commit eec07c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/pl111: Drop special pads config check (bsc#1152472)
- commit 99657ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: Enable dual-link support (bsc#1152472)
- commit b1416a1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: Use drm_display_mode "crtc_" prefixed hardware timings (bsc#1152472)
- commit e29c995
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/drm_debugfs_crc.c: Document that .verify_crc_source vfunc is (bsc#1152472)
- commit 0c660d2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: mali-dp: Mark expected switch fall-through (bsc#1152472)
- commit 8716b20
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tilcdc: Remove obsolete crtc_mode_valid() hack (bsc#1152472)
- commit 2fbd921
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/radeon: Provide ddc symlink in connector sysfs directory" (bsc#1152472)
- commit 5b9450b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Provide ddc symlink in connector sysfs directory (bsc#1152472)
- commit db069f9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Provide ddc symlink in connector sysfs directory (bsc#1152472)
- commit 5875760
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: ti-tfp410: Provide ddc symlink in connector sysfs (bsc#1152472)
- commit 493170a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Provide ddc symlink in connector sysfs directory (bsc#1152472)
- commit 4df6c72
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dumb-vga-dac: Provide ddc symlink in connector sysfs (bsc#1152472)
- commit 5fa34bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ast: Provide ddc symlink in connector sysfs directory (bsc#1152472)
- commit 77e1613
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: Provide ddc symlink in connector sysfs directory (bsc#1152472)
- commit a3a652d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: sti: Provide ddc symlink in hdmi connector sysfs directory (bsc#1152472)
- commit 99c53ff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/imx: imx-tve: Provide ddc symlink in connector's sysfs (bsc#1152472)
- commit bfd2dc2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/imx: imx-ldb: Provide ddc symlink in connector's sysfs (bsc#1152472)
- commit a426400
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: hdmi: Provide ddc symlink in sun4i hdmi connector sysfs (bsc#1152472)
- commit 89ae16f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Add drm_connector_init() variant with ddc (bsc#1152472)
- commit e1ef761
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Add ddc link in sysfs created by drm_connector (bsc#1152472)
- commit 896b59e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/gm12u320: Move driver to drm/tiny (bsc#1152472)
- commit c98a3bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Rename folder to tiny (bsc#1152472)
- commit d2eafb3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/Kconfig: Remove menuconfig DRM_TINYDRM (bsc#1152472)
- commit 7d828da
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Ditch gem_prime_res_obj hook (bsc#1152472)
- commit eb74a62
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amdgpu: Fill out gem_object->resv (bsc#1152472)
- commit c844fc5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Fill out gem_object->resv (bsc#1152472)
- commit de021a9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Fill out gem_object->resv (bsc#1152472)
- commit 26b4d71
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Make analogix_dp_atomic_check static (bsc#1152472)
- commit d7d5dfe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/syncobj: fix leaking dma_fence in drm_syncobj_query_ioctl (bsc#1152472)
- commit a44669b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: sti: Mark expected switch fall-throughs (bsc#1152472)
- commit 748adf1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mst: Fix sphinx warnings in drm_dp_msg_connector register (bsc#1152472)
- commit 09a4e9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Use drm_atomic_helper_commit_tail_rpm (bsc#1152472)
- commit 697f7a8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Don't fully disable vop on self refresh (bsc#1152472)
- commit 56a586a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Use vop_win in vop_win_disable instead of vop_win_data (bsc#1152472)
- commit d0e9b0f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Use the helpers for PSR (bsc#1152472)
- commit c4c05ab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Check for fast link training before enabling psr (bsc#1152472)
- commit 6404bda
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: jh057n00900: Use drm_panel_{unprepare, disable} (bsc#1152472)
- commit ed1a798
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: jh057n00900: Print error code on all DRM_DEV_ERROR()s (bsc#1152472)
- commit e6c8891
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: jh057n00900: Move mipi_dsi_dcs_set_display_off to (bsc#1152472)
- commit f39e1a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: jh057n00900: Move panel DSI init to enable() (bsc#1152472)
- commit 4fed0e8
* Tue Sep 29 2020 tzimmermann@suse.de
- video: amba-clcd: Spout an error if of_get_display_timing() gives an (bsc#1152472)
- commit 139495b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: panel-lvds: Spout an error if of_get_display_timing() gives an (bsc#1152472)
- commit d287088
* Tue Sep 29 2020 tzimmermann@suse.de
- video: of: display_timing: Don't yell if no timing node is present (bsc#1152472)
- commit 9aef94a
* Tue Sep 29 2020 tzimmermann@suse.de
- video: of: display_timing: Add of_node_put() in (bsc#1152472)
- commit a24558d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Add support for Sharp LD-D5116Z01B panel (bsc#1152472)
- commit ae28b88
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: check failure cases in the probe func (bsc#1152472)
- commit fe0ccb4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Switch to use DEVFREQ_GOV_SIMPLE_ONDEMAND constant (bsc#1152472)
- commit 389f1c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Export all GPU feature registers (bsc#1152472)
- commit 859b393
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Implement MST Aux device registration (bsc#1152472)
- commit a7905b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/amd/display: Use connector kdev as aux device parent (bsc#1152472)
- commit c950e11
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Use connector kdev as aux device parent (bsc#1152472)
- commit c976f36
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/dp_mst: Enable registration of AUX devices for MST ports (bsc#1152472)
- commit c930852
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/dp: Use non-cyclic idr (bsc#1152472)
- commit 1d9bfdd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/via: drop use of drmP.h (bsc#1152472)
- commit d0e737f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/via: make via_drv.h self-contained (bsc#1152472)
- commit 3a2a691
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/via: copy DRM_WAIT_ON as VIA_WAIT_ON and use it (bsc#1152472)
- commit db02be8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/via: drop use of DRM(READ|WRITE) macros (bsc#1152472)
- commit b5bc260
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: sii902x: add audio graph card support (bsc#1152472)
- commit 9c5d6ae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: sii902x: make audio mclk optional (bsc#1152472)
- commit fbfe775
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: sii902x: fix missing reference to mclk clock (bsc#1152472)
- commit fad4593
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/stm: attach gem fence to atomic state (bsc#1152472)
- commit 5573fd1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Move mipi-dbi (bsc#1152472)
- commit a9e8a12
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/mipi-dbi: Select DRM_KMS_HELPER (bsc#1152472)
- commit 89b5415
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/Kconfig: drivers: Select BACKLIGHT_CLASS_DEVICE (bsc#1152472)
- commit 7716f42
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/mipi-dbi: Remove CMA helper dependency (bsc#1152472)
- commit ff8c12b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Split struct mipi_dbi in two (bsc#1152472)
- commit 0defaeb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Rename remaining variable mipi -> dbidev (bsc#1152472)
- commit f5ede9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Rename variable mipi -> dbi (bsc#1152472)
- commit b1e982e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/mipi-dbi: Move cmdlock mutex init (bsc#1152472)
- commit 5560150
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: Don't unpin the current cursor image's buffer. (bsc#1152472)
- commit 5fd7aa9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: Set cursor scanout address to correct BO (bsc#1152472)
- commit 187a36d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: Pin displayed cursor BO to video memory (bsc#1152472)
- commit a0855fd
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: block: move blkdev_compat_ioctl() into ioctl.c
  (bsc#1175995,jsc#SLE-15608).
- commit 16bffa3
* Tue Sep 29 2020 tzimmermann@suse.de
- video: ssd1307fb: Add devicetree configuration of display setup (bsc#1152472)
- commit deb096f
* Tue Sep 29 2020 tzimmermann@suse.de
- video: ssd1307fb: Handle width and height that are not multiple of 8 (bsc#1152472)
- commit 1efaf36
* Tue Sep 29 2020 tzimmermann@suse.de
- video: ssd1307fb: Start page range at page_offset (bsc#1152472)
- commit d321944
* Tue Sep 29 2020 tzimmermann@suse.de
- video: ssd1307fb: Remove unneeded semicolons (bsc#1152472)
- commit b89d4e0
* Tue Sep 29 2020 tzimmermann@suse.de
- video: ssd1307fb: Use screen_buffer instead of screen_base (bsc#1152472)
- commit e81833c
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev-MMP: Remove call to memset after dma_alloc_coherent (bsc#1152472)
- commit 352aaef
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: nvidia: Remove dead code (bsc#1152472)
- commit 742207b
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move HDIO ioctl handling into drivers/ide
  (bsc#1175995,jsc#SLE-15608).
- commit fa2dd9a
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: nvidia: Remove extra return (bsc#1152472)
- commit de8d2d9
* Tue Sep 29 2020 tzimmermann@suse.de
- au1200fb: don't use DMA_ATTR_NON_CONSISTENT (bsc#1152472)
- commit 1f38c0c
* Tue Sep 29 2020 tzimmermann@suse.de
- fbmem: remove redundant assignment to err (bsc#1152472)
- commit 7f5aa22
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Move tinydrm_display_pipe_init() to mipi-dbi (bsc#1152472)
- commit 5a2084f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/mipi-dbi: Add mipi_dbi_init_with_formats() (bsc#1152472)
- commit 2037d8b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm/repaper: Don't use tinydrm_display_pipe_init() (bsc#1152472)
- commit 5f19278
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Move tinydrm_machine_little_endian() (bsc#1152472)
- commit 9e57ea4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Move tinydrm_spi_transfer() (bsc#1152472)
- commit 9b367b9
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: scsi: handle HDIO commands from drivers
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-move-dma-drain-handling-to-scsi.patch.
- Refresh
  patches.suse/scsi-Wire-up-ata_scsi_dma_need_drain-for-SAS-HBA-dri.patch.
- commit 1e191dc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Clean up tinydrm_spi_transfer() (bsc#1152472)
- commit 4770e24
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Remove tinydrm_spi_max_transfer_size() (bsc#1152472)
- commit 5bc81a7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Remove spi debug buffer dumping (bsc#1152472)
- commit b237d60
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Use spi_is_bpw_supported() (bsc#1152472)
- commit 1dc53ea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tinydrm: Use DRM_MODE_CONNECTOR_SPI (bsc#1152472)
- commit 769cd06
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Add SPI connector type (bsc#1152472)
- commit 494662d
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: Ditch fb_edid_add_monspecs (bsc#1152472)
- commit eb52721
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/komeda: remove set but not used variable 'old' (bsc#1152472)
- commit 49cd296
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: Improve the help text for DRM_ANALOGIX_ANX78XX (bsc#1152472)
- commit b447105
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Add Grain Media GM12U320 driver v2 (bsc#1152472)
- commit cbafbd5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/fb: remove unused function: drm_gem_fbdev_fb_create() (bsc#1152472)
- commit b75a587
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: sun8i-csc: Add support for color encoding and range (bsc#1152472)
- commit 90809a6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: sun8i_csc: Simplify register writes (bsc#1152472)
- commit 509b422
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: Introduce color encoding and range properties (bsc#1152472)
- commit fdc5e3d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mediatek: direct include of drm.h in mtk_drm_gem.c (bsc#1152472)
- commit d50539a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: direct include of drm.h in drm_syncobj.c (bsc#1152472)
- commit 911c14b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: direct include of drm.h in drm_prime.c (bsc#1152472)
- commit 79ca7f7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: direct include of drm.h in drm_gem_shmem_helper.c (bsc#1152472)
- commit 5c5412b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: direct include of drm.h in drm_gem.c (bsc#1152472)
- commit a0bcc83
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ati_pcigart: drop dependency on drm_os_linux.h (bsc#1152472)
- commit 4f58e8f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: drop uapi dependency from drm_vblank.h (bsc#1152472)
- commit 05ee888
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: make drm_panel.h self-contained (bsc#1152472)
- commit a38a272
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/doc: Document kapi doc expectations (bsc#1152472)
- commit c1adc7b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: document panel_desc; rename a few functions (bsc#1152472)
- commit 12e5799
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Make the bw/link rate calculations more forgiving (bsc#1152472)
- commit 81c2cbf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mediatek: drop use of drmP.h (bsc#1152472)
- commit bb83f21
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: drop use of drmP.h (bsc#1152472)
- commit 657f2f0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/imx: drop use of drmP.h (bsc#1152472)
- commit b89bb64
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i2c/sil164: drop use of drmP.h (bsc#1152472)
- commit 9e6f91b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i2c/ch7006: drop use of drmP.h (bsc#1152472)
- commit 8a9fd19
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tilcdc: drop use of drmP.h (bsc#1152472)
- commit b3bc4fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i810: drop use of drmP.h (bsc#1152472)
- commit 65a43b2
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move cdrom commands into cdrom.c
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: simplify the implementation
  (bsc#1175995,jsc#SLE-15608).
- commit f063b86
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vgem: drop use of drmP.h (bsc#1152472)
- commit 7a22b47
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tdfx: drop use of drmP.h (bsc#1152472)
- commit bd92058
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/selftests: drop use of drmP.h (bsc#1152472)
- commit 85c7c2a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/omapdrm: drop use of drmP.h (bsc#1152472)
- commit 8b8772c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/udl: drop use of drmP.h (bsc#1152472)
- commit 6132fc4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vc4: drop use of drmP.h (bsc#1152472)
- commit 1969195
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: drop use of drmP.h (bsc#1152472)
- commit 0f7f25d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/zte: drop use of drmP.h (bsc#1152472)
- commit e79e589
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/pl111: drop use of drmP.h (bsc#1152472)
- commit a7564ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/v3d: drop use of drmP.h (bsc#1152472)
- commit 18620db
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/meson: drop use of drmP.h (bsc#1152472)
- commit d64e4d2
* Tue Sep 29 2020 tzimmermann@suse.de
- gpu/drm: fix a few kernel-doc "/**" mark warnings (bsc#1152472)
- commit 4f4f41a
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move sys_compat_ioctl() to ioctl.c
  (bsc#1175995,jsc#SLE-15608).
- commit 636dfe4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: ti-sn65dsi86: use dev name for debugfs (bsc#1152472)
- commit f788070
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/pl111: pl111_vexpress.c: Add of_node_put() before return (bsc#1152472)
- commit 0eb1ecf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atmel_hlcdc: drop use of drmP.h (bsc#1152472)
- commit 2306791
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmobile: drop use of drmP.h (bsc#1152472)
- commit c66f5cf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hisilicon: drop use of drmP.h (bsc#1152472)
- commit fa270bd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ast: drop use of drmP.h (bsc#1152472)
- commit 892c614
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bochs: drop use of drmP.h (bsc#1152472)
- commit 980b0a4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: add missing include to drm_vram_mm_helper.h (bsc#1152472)
- commit 58095e5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/virtgpu: drop use of drmP.h (bsc#1152472)
- commit cd3cfae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/scheduler: drop use of drmP.h (bsc#1152472)
- commit d1c2b33
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: drop use of drmP.h (bsc#1152472)
- commit e021559
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/qxl: drop use of drmP.h (bsc#1152472)
- commit ae2c6c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/fsl-dcu: drop use of drmP.h (bsc#1152472)
- commit a4bb8e3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mxsfb: drop use of drmP.h (bsc#1152472)
- commit 7651daa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tve200: drop use of drmP.h (bsc#1152472)
- commit 1dbd7c5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/xen: drop use of drmP.h (bsc#1152472)
- commit 35c82da
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/agp: Remove unused function drm_agp_bind_pages (bsc#1152472)
- commit 368a57e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vgem: Reclassify buffer creation debug message (bsc#1152472)
- commit 54f0524
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: fix AUO g185han01 horizontal blanking (bsc#1152472)
- commit 4a37bf2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atmel-hlcdc: set layer REP bit to enable replication logic (bsc#1152472)
- commit d6e0227
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Use display_timing for AUO b101ean01 (bsc#1152472)
- commit c656d61
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Use display_timing for Innolux n116bge (bsc#1152472)
- commit dfd0047
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Add ability to override typical timing (bsc#1152472)
- commit 4a3bd44
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Rename vkms_crc.c into vkms_composer.c (bsc#1152472)
- commit 0d99dc5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Avoid assigning 0 for possible_crtc (bsc#1152472)
- commit 9f5aaf0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/kms: Catch mode_object lifetime errors (bsc#1152472)
- commit 72302ee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/client: remove the exporting of drm_client_close (bsc#1152472)
- commit db19f3b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: Replace struct mga_fbdev with generic framebuffer (bsc#1152472)
- commit 477018a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ast: Replace struct ast_fbdev with generic framebuffer emulation (bsc#1152472)
- commit 72c4882
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sti: Try to fix up the tvout possible clones (bsc#1152472)
- commit e41db07
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sti: Remove pointless casts (bsc#1152472)
- commit 3e13ba1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: ti-sn65dsi86: correct dsi mode_flags (bsc#1152472)
- commit cdb4c12
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: ti-sn65dsi86: add debugfs (bsc#1152472)
- commit 7525cc5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: ti-sn65dsi86: add link to datasheet (bsc#1152472)
- commit cb0e1d9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: sii902x: Make sii902x_audio_digital_mute static (bsc#1152472)
- commit 9a1a540
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/gem: Rename drm_gem_dumb_map_offset() to (bsc#1152472)
- commit 771704c
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/panfrost: Use drm_gem_map_offset()" (bsc#1152472)
- commit c5b4908
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vram: Don't export driver callback functions for PRIME (bsc#1152472)
- commit e6c7d90
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vbox: Remove empty PRIME functions (bsc#1152472)
- commit f337476
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hibmc: Update struct drm_driver for GEM object functions (bsc#1152472)
- commit 92057f0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bochs: Remove PRIME helpers from driver structure (bsc#1152472)
- commit a9c4f2b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vram: Set GEM object functions for PRIME (bsc#1152472)
- commit 1fc130f
* Tue Sep 29 2020 tzimmermann@suse.de
- DRM: ingenic: Add support for panels with 8-bit serial bus (bsc#1152472)
- commit 8ca6707
* Tue Sep 29 2020 tzimmermann@suse.de
- DRM: ingenic: Add support for Sharp panels (bsc#1152472)
- commit d30269b
* Tue Sep 29 2020 tzimmermann@suse.de
- DRM: ingenic: Use devm_platform_ioremap_resource (bsc#1152472)
- commit 5bbfbb6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Use automatic CTS generation mode when using (bsc#1152472)
- commit f8f2fe2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: do a software reset if reset pin isn't (bsc#1152472)
- commit 804af2e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: adv7511: Attach to DSI host at probe time (bsc#1152472)
- commit f4c769f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/stm: drop use of drmP.h (bsc#1152472)
- commit ce066e2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: drop use of drmP.h (bsc#1152472)
- commit 0f56ef3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mga: drop use of drmP.h (bsc#1152472)
- commit 7afc027
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mga: make header file self contained (bsc#1152472)
- commit 804c0e2
* Tue Sep 29 2020 oneukum@suse.com
- Revert "crypto: chelsio - Inline single pdu only" (git-fixes).
- commit 11462e6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mga: drop dependency on drm_os_linux.h (bsc#1152472)
- commit 8066d10
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: Use drm_gem_map_offset() (bsc#1152472)
- commit 850cb58
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/gem: Rename drm_gem_dumb_map_offset() to drm_gem_map_offset() (bsc#1152472)
- commit 1799cc6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmwgfx: Don't look at state->allow_modeset (bsc#1152472)
- commit 8b89e82
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ast: Replace struct ast_framebuffer with GEM framebuffer helpers (bsc#1152472)
- commit d9ccae0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vc4: Use drm_gem_fb_prepare_fb (bsc#1152472)
- commit b0f6062
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Use drm_gem_fb_prepare_fb (bsc#1152472)
- commit e30b49a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/fb-helper: use gem_bo.resv, not dma_buf.resv in prepare_fb (bsc#1152472)
- commit 0d6531b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: Replace struct mga_framebuffer with GEM framebuffer (bsc#1152472)
- commit aa2c303
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Add support for address-only I2C transfers (bsc#1152472)
- commit 5d67b5c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Replace magic number in tc_main_link_enable() (bsc#1152472)
- commit b02c93b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Drop unnecessary 8 byte buffer (bsc#1152472)
- commit 2f3d060
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify tc_aux_wait_busy() (bsc#1152472)
- commit 0aee92e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Introduce tc_pllupdate() (bsc#1152472)
- commit efe0bc9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Introduce tc_set_syspllparam() (bsc#1152472)
- commit d504555
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Use reported AUX transfer size (bsc#1152472)
- commit 988c2a9
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: scsi: move ioctl handling into drivers
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/0004-virtio-blk-handle-block_device_operations-callbacks-.patch.
- commit 8af02a6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Increase AUX transfer length limit (bsc#1152472)
- commit 4e70dfe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify AUX data write (bsc#1152472)
- commit 859455e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify AUX data read (bsc#1152472)
- commit 82cde9e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Drop custom tc_write()/tc_read() accessors (bsc#1152472)
- commit eeaf68b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify tc_set_video_mode() (bsc#1152472)
- commit d48c2e7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify polling in tc_link_training() (bsc#1152472)
- commit cceac61
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify polling in tc_main_link_setup() (bsc#1152472)
- commit 6c7f0bc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge: tc358767: Simplify tc_poll_timeout() (bsc#1152472)
- commit 8f56540
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mgag200: add in missing { } around if block (bsc#1152472)
- commit 3af73a9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: No need for ->pages_lock in crc work anymore (bsc#1152472)
- commit f731b9d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: totally reworked crc data tracking (bsc#1152472)
- commit 4674da6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: No _irqsave within spin_lock_irq needed (bsc#1152472)
- commit e0fc4c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Dont flush crc worker when we change crc status (bsc#1152472)
- commit d675b23
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: flush crc workers earlier in commit flow (bsc#1152472)
- commit 17470bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Add our own commit_tail (bsc#1152472)
- commit 3386b5a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Rename vkms_output.state_lock to crc_lock (bsc#1152472)
- commit 41e642c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Use spin_lock_irq in process context (bsc#1152472)
- commit 2f5edf4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vkms: Fix crc worker races (bsc#1152472)
- commit 091131a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Allow range of 0 for drm_mm_insert_node_in_range() (bsc#1152472)
- commit 5560ba1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/virtio: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit 5fc853f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vgem: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit cbffae0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/omap: drop DRM_AUTH from DRM_RENDER_ALLOW ioctls (bsc#1152472)
- commit df370fd
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: ide: floppy: add handler
  (bsc#1175995,jsc#SLE-15608).
- commit a2bd1ce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: drop DRM_AUTH from DRM_RENDER_ALLOW ioctls (bsc#1152472)
- commit c90fb75
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit 6522547
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/lima: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit f6d4606
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/exynos: drop DRM_AUTH from DRM_RENDER_ALLOW ioctls (bsc#1152472)
- commit 1d1d918
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: drop DRM_AUTH usage from the driver (bsc#1152472)
- commit 7d0744c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmwgfx: use core drm to extend/check vmw_execbuf_ioctl (bsc#1152472)
- commit b847b17
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmgfx: kill off unused init_mutex (bsc#1152472)
- commit 3fdcb73
* Tue Sep 29 2020 tzimmermann@suse.de
- vmwgfx: drop empty lastclose stub (bsc#1152472)
- commit f0c6f17
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: remove open-coded drm_invalid_op() (bsc#1152472)
- commit 450d9a2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: remove irrelevant DRM_UNLOCKED flag (bsc#1152472)
- commit 0e0ea4d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tegra: remove irrelevant DRM_UNLOCKED flag (bsc#1152472)
- commit 0fc48ef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: jh057n00900: Add regulator support (bsc#1152472)
- commit ce30dde
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: jh057n00900: Don't use magic constant (bsc#1152472)
- commit 1c94cf2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add support for Raydium RM67191 panel driver (bsc#1152472)
- commit 85878e9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Add Sharp LS020B1DD01D panel support (bsc#1152472)
- commit 4ad2d3b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Add bus flag for Sharp-specific signals (bsc#1152472)
- commit 56f366e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: Add Novatek NT39016 panel support (bsc#1152472)
- commit b11611b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Add Ortustech COM37H3M panel support (bsc#1152472)
- commit 896dfff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Add Sharp LQ070Y3DG3B panel support (bsc#1152472)
- commit 1ee1737
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panel: simple: Add GiantPlus GPM940B0 panel support (bsc#1152472)
- commit 169a1fa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Drop robj from msm_gem_new_impl (bsc#1152472)
- commit b22a025
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: Drop resv argument from etnaviv_gem_new_impl (bsc#1152472)
- commit f635a4b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/todo: Add new debugfs todo (bsc#1152472)
- commit 556e2d6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/todo: Update mmap todo (bsc#1152472)
- commit be5f4b3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/todo: Update backlight todo (bsc#1152472)
- commit 525732d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/todo: remove gem_prime_import/export todo (bsc#1152472)
- commit b2281bf
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: add scsi_compat_ioctl (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: block: handle cdrom compat ioctl in non-cdrom
  (bsc#1175995,jsc#SLE-15608).
- commit 857fdc8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vc4: Don set gem_obj->resv in prime import anymore (bsc#1152472)
- commit 4a146dc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/panfrost: don't set gem_obj->resv for prime import anymore (bsc#1152472)
- commit 8a6a851
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mediatek: Use drm_atomic_helper_wait_for_fences (bsc#1152472)
- commit 9c6bebe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/lima: Drop resv argument from lima_bo_create_struct (bsc#1152472)
- commit d892378
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mcde: Fix uninitialized variable (bsc#1152472)
- commit f5af39b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sun4i: Eliminate pointless on stack copy of drm_display_info (bsc#1152472)
- commit 266ff42
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: WARN on illegal aspect ratio when converting a mode to umode (bsc#1152472)
- commit b48c8c5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Do not accept garbage mode aspect ratio flags (bsc#1152472)
- commit 34161a8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm: Do not use bitwise OR to set picure_aspect_ratio (bsc#1152472)
- commit 3f1a961
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/connector: Fix warning in debug message (bsc#1152472)
- commit 961e133
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/bridge/synopsys: dsi: Allow VPG to be enabled via debugfs (bsc#1152472)
- commit f8a1111
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/lima: Reduce the amount of logs on deferred probe of clocks and (bsc#1152472)
- commit 3851525
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/lima: Reduce number of PTR_ERR() calls (bsc#1152472)
- commit 6a370d6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/lima: Reduce the amount of logs on deferred probe (bsc#1152472)
- commit 99e02be
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/lima: Mark 64-bit number as ULL (bsc#1152472)
- commit 2114c7b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vgem: Ditch attach trickery in the fence ioctl (bsc#1152472)
- commit de63afe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: automatically set gem_obj->resv on import (bsc#1152472)
- commit 1cf52a4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vram-helper: Drop drm_gem_prime_export/import (bsc#1152472)
- commit cd22a78
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/zte: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 73ef55f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/xen: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 349ba4e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/virtio: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 964d22f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vgem: Drop drm_gem_prime_export (bsc#1152472)
- commit cccb73b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/radeon: Drop drm_gem_prime_import (bsc#1152472)
- commit 4cc1d3d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vc3: Drop drm_gem_prime_import (bsc#1152472)
- commit fc56cea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vboxvideo: Drop drm_gem_prime_export/import (bsc#1152472)
- commit c8840c9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tve2000: Drop drm_gem_prime_export/import (bsc#1152472)
- commit e79a08b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/tilcdc: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 4bf46c6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/stm: Drop drm_gem_prime_export/import (bsc#1152472)
- commit fee9ced
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sti: Drop drm_gem_prime_export/import (bsc#1152472)
- commit a2f0e12
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/shmob: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 4c29d6f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rockchip: Drop drm_gem_prime_export/import (bsc#1152472)
- commit a0c7eeb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/rcar-du: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 9db3b9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/qxl: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 8ab7639
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/pl111: Drop drm_gem_prime_export/import (bsc#1152472)
- commit d38a137
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/nouveau: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 5c2f2c4
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: cdrom: handle CDROM_LAST_WRITTEN
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-move-the-devnode-callback-to-struct-block_devi.patch.
- commit 9b8e848
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mxsfb: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 3418cef
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/msm: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 186f5fe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/meson: Drop drm_gem_prime_export/import (bsc#1152472)
- commit a68f355
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mtk: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 071b73c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/mcde: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 6572be9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/imx: Drop drm_gem_prime_export/import (bsc#1152472)
- commit d72cf9f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/hisilicon: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 8709ae8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/fsl-dcu: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 15f4a10
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/exynos: Drop drm_gem_prime_export (bsc#1152472)
- commit a5bd076
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/etnaviv: Drop drm_gem_prime_export/import (bsc#1152472)
- commit fe10f84
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/atmel: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 8b6dfd1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/arm: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 9b948a1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/arc: Drop drm_gem_prime_export/import (bsc#1152472)
- commit 749b7f4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/ioctl: Ditch DRM_UNLOCKED except for the legacy vblank ioctl (bsc#1152472)
- commit 5d46158
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Align gem_prime_export with obj_funcs.export (bsc#1152472)
- commit 69c2333
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/omapdrm: drop fb_debug_enter/leave (bsc#1152472)
- commit cb74d4e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/arm/komeda: Remove DRIVER_HAVE_IRQ (bsc#1152472)
- commit 7f8d17b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Actually remove DRIVER_PRIME everywhere (bsc#1152472)
- commit c66545c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Make DRIVER_PRIME a no-op (bsc#1152472)
- commit 7df9fb0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Unconditionally set up the prime file private (bsc#1152472)
- commit 13a2d9d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Update docs (bsc#1152472)
- commit 65105a7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/prime: Shuffle functions. (bsc#1152472)
- commit 8f51ad9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/sti: Remove duplicated include from sti_drv.c (bsc#1152472)
- commit 237272f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20190730 (bsc#1152489)
- commit 49e8483
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Provide a local intel_context.vm (bsc#1152489)
- commit 4e450ea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move aliasing_ppgtt underneath its i915_ggtt (bsc#1152489)
- commit 3b10502
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Inline engine->init_context into its caller (bsc#1152489)
- commit dbd6c06
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: use upstream version of header tests (bsc#1152489)
- commit a350f28
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Don't fail on HuC firmware failure (bsc#1152489)
- commit 49c4408
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Flush the i915_vm_release before ggtt shutdown (bsc#1152489)
- commit 6c355d5
* Tue Sep 29 2020 yousaf.kaukab@suse.com
- usb: host: xhci-tegra: fix tegra_xusb_get_phy() (jsc#SLE-15847).
- usb: host: xhci-tegra: otg usb2/usb3 port init (jsc#SLE-15847).
- i2c: tegra: Avoid tegra_i2c_init_dma() for Tegra210 vi i2c
  (jsc#SLE-15847).
- i2c: tegra: Fix runtime resume to re-init VI I2C
  (jsc#SLE-15847).
- i2c: tegra: Fix the error path in tegra_i2c_runtime_resume
  (jsc#SLE-15847).
- i2c: tegra: Remove NULL pointer check before
  clk_enable/disable/prepare/unprepare (jsc#SLE-15847).
- i2c: tegra: Don't mark VI I2C as IRQ safe runtime PM
  (jsc#SLE-15847).
- usb: xhci: tegra: Remove PLL power supplies (jsc#SLE-15847).
- dmaengine: tegra-apb: Replace zero-length array with
  flexible-array (jsc#SLE-15847).
- i2c: tegra: Add support for the VI I2C on Tegra210
  (jsc#SLE-15847).
- i2c: tegra: Use FIELD_PREP/FIELD_GET macros (jsc#SLE-15847).
- i2c: tegra: Synchronize DMA before termination (jsc#SLE-15847).
- i2c: tegra: Better handle case where CPU0 is busy for a long
  time (jsc#SLE-15847).
- i2c: tegra: Keep IRQs enabled during suspend/resume
  (jsc#SLE-15847).
- i2c: tegra: Restore pinmux on system resume (jsc#SLE-15847).
- pwm: tegra: Support dynamic clock frequency configuration
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Ensure that clock is enabled during of
  DMA synchronization (jsc#SLE-15847).
- phy: tegra: Select USB_COMMON for usb_get_maximum_speed()
  (jsc#SLE-15847).
- drivers/dma/tegra20-apb-dma.c: fix platform_get_irq.cocci
  warnings (jsc#SLE-15847).
- pwm: tegra: Add support for Tegra194 (jsc#SLE-15847).
- dmaengine: tegra-apb: Improve DMA synchronization
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Don't save/restore IRQ flags in interrupt
  handler (jsc#SLE-15847).
- dmaengine: tegra-apb: mark PM functions as __maybe_unused
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Improve error message about DMA underflow
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Remove unused function argument
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Remove MODULE_ALIAS (jsc#SLE-15847).
- dmaengine: tegra-apb: Allow to compile as a loadable kernel
  module (jsc#SLE-15847).
- dmaengine: tegra-apb: Add missing of_dma_controller_free
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Clean up suspend-resume (jsc#SLE-15847).
- dmaengine: tegra-apb: Keep clock enabled only during of DMA
  transfer (jsc#SLE-15847).
- dmaengine: tegra-apb: Remove duplicated pending_sg_req checks
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Remove assumptions about unavailable
  runtime PM (jsc#SLE-15847).
- dmaengine: tegra-apb: Remove unneeded initialization of
  tdc->config_init (jsc#SLE-15847).
- dmaengine: tegra-apb: Fix coding style problems (jsc#SLE-15847).
- dmaengine: tegra-apb: Use devm_request_irq (jsc#SLE-15847).
- dmaengine: tegra-apb: Use devm_platform_ioremap_resource
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Clean up tasklet releasing
  (jsc#SLE-15847).
- dmaengine: tegra-apb: Prevent race conditions on channel's
  freeing (jsc#SLE-15847).
- dmaengine: tegra-apb: Implement synchronization hook
  (jsc#SLE-15847).
- dmaengine: tegra210-adma: Replace zero-length array with
  flexible-array member (jsc#SLE-15847).
- usb: xhci-tegra: Add OTG support (jsc#SLE-15847).
- phy: tegra: Select USB_PHY (jsc#SLE-15847).
- phy: tegra: Don't use device-managed API to allocate ports
  (jsc#SLE-15847).
- phy: tegra: Fix regulator leak (jsc#SLE-15847).
- phy: tegra: Print -EPROBE_DEFER error message at debug level
  (jsc#SLE-15847).
- phy: tegra: xusb: Don't warn on probe defer (jsc#SLE-15847).
- phy: tegra: xusb: Add Tegra194 support (jsc#SLE-15847).
- phy: tegra: xusb: Protect Tegra186 soc with config
  (jsc#SLE-15847).
- phy: tegra: xusb: Add set_mode support for UTMI phy on Tegra186
  (jsc#SLE-15847).
- phy: tegra: xusb: Add set_mode support for USB 2 phy on Tegra210
  (jsc#SLE-15847).
- phy: tegra: xusb: Add support to get companion USB 3 port
  (jsc#SLE-15847).
- phy: tegra: xusb: Add usb-phy support (jsc#SLE-15847).
- phy: tegra: xusb: Add usb-role-switch support (jsc#SLE-15847).
- usb: host: xhci-tegra: Tegra186/Tegra194 LPM (jsc#SLE-15847).
- i2c: tegra: Check DMA completion status in addition to left time
  (jsc#SLE-15847).
- i2c: tegra: Always terminate DMA transfer (jsc#SLE-15847).
- i2c: tegra: Use relaxed versions of readl/writel
  (jsc#SLE-15847).
- i2c: tegra: Rename I2C_PIO_MODE_MAX_LEN to
  I2C_PIO_MODE_PREFERRED_LEN (jsc#SLE-15847).
- i2c: tegra: Support atomic transfers (jsc#SLE-15847).
- i2c: tegra: Prevent interrupt triggering after transfer timeout
  (jsc#SLE-15847).
- thermal: tegra: Appease the kernel-doc deity (jsc#SLE-15847).
- rtc: tegra: remove set but unused variable (jsc#SLE-15847).
- i2c: tegra: Use dma_request_chan() directly for channel request
  (jsc#SLE-15847).
- phy: tegra: xusb: remove unused variable (jsc#SLE-15847).
- commit e0abf3c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Careful not to flush hang_fini on error setups (bsc#1152489)
- commit 45c0f9c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Fixup kerneldoc after params were flipped and renamed (bsc#1152489)
- commit 7de05fd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: update ddi/tc clock_off bits (bsc#1152489)
- commit 3950c85
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: select correct bit for port select (bsc#1152489)
- commit 19a1717
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: skip setting PORT_CL_DW12_* on initialization (bsc#1152489)
- commit 4a76c20
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Remove redundant RSA offset definition (bsc#1152489)
- commit da5dccb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Remove redundant ucode offset definition (bsc#1152489)
- commit ea0f8d3
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move CDROMREADADIO to cdrom.c
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: move CDROM_SEND_PACKET handling into scsi
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: ubd, aoe: use blkdev_compat_ptr_ioctl
  (bsc#1175995,jsc#SLE-15608).
- commit e509c49
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Remove redundant header_offset/size definitions (bsc#1152489)
- commit 17643bc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Add to timeline requires the timeline mutex (bsc#1152489)
- commit b283445
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Don't sanitize guc_log_level modparam (bsc#1152489)
- commit a3949ce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Do not rely on for loop caching the mask (bsc#1152489)
- commit 8996fa4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/perf: Initialise err to 0 before looping over ce->engines (bsc#1152489)
- commit dcd1340
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: init submission structures as part of guc_init (bsc#1152489)
- commit fab9156
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Reorder params in intel_uc_fw_fetch (bsc#1152489)
- commit 9fe2fba
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Capture vma contents outside of spinlock (bsc#1152489)
- commit 172cd7c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move uc firmware layout definitions to dedicated file (bsc#1152489)
- commit a14159f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Update drawing for firmware layout (bsc#1152489)
- commit e444743
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix GuC documentation links (bsc#1152489)
- commit d84d3e8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Unify uC firmware upload (bsc#1152489)
- commit c3be3ca
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Plumb the gt through fw_upload (bsc#1152489)
- commit f9e5430
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/huc: Copy huc rsa only once (bsc#1152489)
- commit 7f68037
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move xfer rsa logic to common function (bsc#1152489)
- commit 6a85a75
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Unify uc_fw status tracking (bsc#1152489)
- commit b31303e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Unify uC FW selection (bsc#1152489)
- commit 4920031
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix handling of non-supported uC (bsc#1152489)
- commit f164aae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Unify uC platform check (bsc#1152489)
- commit d7b0430
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Set GuC init params only once (bsc#1152489)
- commit 907514c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use dev_get_drvdata (bsc#1152489)
- commit 3ca7a41
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/huc: fix status check (bsc#1152489)
- commit 6474981
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Squelch nop wait-for-idle trace (bsc#1152489)
- commit 8027bee
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Let igt_vma_partial et al breathe (bsc#1152489)
- commit 27e9c8c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Sanitize uC when GT is sanitized (bsc#1152489)
- commit cff4b84
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Gt-fy uc reset (bsc#1152489)
- commit 72d2979
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add HDCP capability info to i915_display_info. (bsc#1152489)
- commit c2fc72b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rely on spinlock protection for GPU error capture (bsc#1152489)
- commit 279c880
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Hook up intel_context_fini() (bsc#1152489)
- commit 8d07d68
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove obsolete engine cleanup (bsc#1152489)
- commit dd4ff67
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Fix rounding for 36b (bsc#1152489)
- commit eb9e65e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/dsi: remove set but not used variable 'hfront_porch' (bsc#1152489)
- commit 2cc8284
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Don't try to clear failed empty pd allocation (bsc#1152489)
- commit 356d127
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Correct unshifted 'from' for gen8_ppgtt_alloc errors (bsc#1152489)
- commit 5120e8a
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/i915: Update description of i915.enable_guc modparam" (bsc#1152489)
- commit e209a99
* Tue Sep 29 2020 tzimmermann@suse.de
- Revert "drm/i915/guc: Turn on GuC/HuC auto mode" (bsc#1152489)
- commit 9ed9164
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Add Wa_1409178092 (bsc#1152489)
- commit 316fceb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Verify engine workarounds in GEN8_L3SQCREG4 (bsc#1152489)
- commit 7b683ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Skip CS verification of L3 bank registers (bsc#1152489)
- commit e23277d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix and improve MCR selection logic (bsc#1152489)
- commit 7311ef0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Trust programmed MCR in read_subslice_reg (bsc#1152489)
- commit 9fb6512
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove set but not used variable 'src_y' (bsc#1152489)
- commit c04f290
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Cancel breadcrumb on preempting the virtual (bsc#1152489)
- commit ad9c0bf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use maximum write flush for pwrite_gtt (bsc#1152489)
- commit 8db22ce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Drop wmb() inside pread_gtt (bsc#1152489)
- commit 2ca85f5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Use an id of 4 while accessing DPLL4's CR0 and CR1 (bsc#1152489)
- commit 895b16d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add gen8_de_pipe_fault_mask() (bsc#1152489)
- commit 14fb9bb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Push engine stopping into reset-prepare (bsc#1152489)
- commit 93ad282
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Process interrupted context on reset (bsc#1152489)
- commit 7a0064c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Update description of i915.enable_guc modparam (bsc#1152489)
- commit 53ddafd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/oa: Reconfigure contexts on the fly (bsc#1152489)
- commit e5ee707
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Tidy up ppgtt insertion for gen8 (bsc#1152489)
- commit b3f8de5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Recursive ppgtt alloc for gen8 (bsc#1152489)
- commit a285375
* Tue Sep 29 2020 msuchanek@suse.de
- powerpc: Don't flush caches when adding memory (bsc#1176980
  ltc#187962).
- commit 63612e5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Disable preemption under GVT (bsc#1152489)
- commit 335774a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Enable hotplug retry (bsc#1152489)
- commit 76fa2e8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add support for retrying hotplug (bsc#1152489)
- commit 635e258
* Tue Sep 29 2020 msuchanek@suse.de
- Fix patch order in sorted section.
- commit ca43e45
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Map MCC pins based on PHY, not port (bsc#1152489)
- commit 0b4bcbd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Ignore self-preemption suppression under gvt (bsc#1152489)
- commit 16d99bf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: kill <g,h>uc_to_i915 (bsc#1152489)
- commit a05a3eb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: prefer intel_gt in guc interrupt functions (bsc#1152489)
- commit b82e977
* Tue Sep 29 2020 hare@suse.de
- compat: scsi: sg: fix v3 compat read/write interface
  (bsc#1175995,jsc#SLE-15608).
- blacklist.conf: remove blacklisted commit
- commit dac234f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: prefer intel_gt over i915 in GuC/HuC paths (bsc#1152489)
- commit 9d1b472
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: Move intel functions to intel_uc (bsc#1152489)
- commit de33772
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: move GuC/HuC inside intel_gt under a new intel_uc (bsc#1152489)
- commit 424888e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: move GuC and HuC files under gt/uc/ (bsc#1152489)
- commit c646606
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: unify guc irq handling (bsc#1152489)
- commit dc12a56
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: move guc irq functions to intel_guc parameter (bsc#1152489)
- commit 7524b2a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: introduce intel_uc_fw_supported (bsc#1152489)
- commit a77f396
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/uc: replace uc init/fini misc (bsc#1152489)
- commit 0b88c46
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Use system workqueue for log capture (bsc#1152489)
- commit 55a5a6b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Use intel_gt as the primary object for handling resets (bsc#1152489)
- commit 23709d7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: add modular FIA to device info (bsc#1152489)
- commit 27ea93a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add modular FIA (bsc#1152489)
- commit c9180f9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Recursive ppgtt clear for gen8 (bsc#1152489)
- commit 2165ec5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Recursive cleanup for gen8 (bsc#1152489)
- commit f5af046
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/display: Drop kerneldoc for 'intel_atomic_commit' (bsc#1152489)
- commit fdc5e9f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Skip SINK_COUNT read on CH7511 (bsc#1152489)
- commit 5629df5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Turn on GuC/HuC auto mode (bsc#1152489)
- commit c3adfb7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Don't enable GuC/HuC in auto mode on pre-Gen11 (bsc#1152489)
- commit 238c191
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Propagate "_probe" function name suffix down (bsc#1152489)
- commit 7a87e22
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Propagate "_remove" function name suffix down (bsc#1152489)
- commit 494cd3c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Propagate "_release" function name suffix down (bsc#1152489)
- commit d42226d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Replace "_load" with "_probe" consequently (bsc#1152489)
- commit 1522173
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rename "_load"/"_unload" to match PCI entry points (bsc#1152489)
- commit f443ea0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Drop extern qualifiers from header function prototypes (bsc#1152489)
- commit f243a36
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Use NULL to encode scratch shadow entries (bsc#1152489)
- commit 29dafd4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Convert vm->scratch into an array (bsc#1152489)
- commit d7c0dc3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Compute the radix for gen8 page table levels (bsc#1152489)
- commit f2ad378
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Markup i915_ppgtt height (bsc#1152489)
- commit 4cd3eb4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Reorder gen8 ppgtt free/clear/alloc (bsc#1152489)
- commit 34d0777
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Wrap page_table with page_directory (bsc#1152489)
- commit 5636b99
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Use shallow dma pages for scratch (bsc#1152489)
- commit d8373ee
* Tue Sep 29 2020 hare@suse.de
- compat: provide compat_ptr() on all architectures
  (bsc#1175995,jsc#SLE-15608).
- commit a31658b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add engine name to workaround debug print (bsc#1152489)
- commit e174407
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Implement read-only support in whitelist selftest (bsc#1152489)
- commit 58f5b84
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add test for invalid flag bits in whitelist entries (bsc#1152489)
- commit fca4856
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Update DPLL clock reference register (bsc#1152489)
- commit a2cac2f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add DPLL registers (bsc#1152489)
- commit 213cd0b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add vbt value mapping for DDC Bus pin (bsc#1152489)
- commit 5eb25d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: port to ddc pin mapping (bsc#1152489)
- commit 486586e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add gmbus gpio pin to port mapping (bsc#1152489)
- commit e1c6ed4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gen12: MBUS B credit change (bsc#1152489)
- commit 43d773f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: apply Display WA #1178 to fix type C dongles (bsc#1152489)
- commit 289d2eb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: init ddi port A-C for Tiger Lake (bsc#1152489)
- commit ab5fb4b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add additional PHYs for Tiger Lake (bsc#1152489)
- commit 43aa50a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add additional ports for Tiger Lake (bsc#1152489)
- commit 3c0ce69
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add pll manager (bsc#1152489)
- commit b3908ff
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add new pll ids (bsc#1152489)
- commit 71113ac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add power well to support 4th pipe (bsc#1152489)
- commit 3736b5b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add power well support (bsc#1152489)
- commit af5e8a1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: rename TRANSCODER_EDP_VDSC to use on transcoder A (bsc#1152489)
- commit 41d0581
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Check if pipe D is fused (bsc#1152489)
- commit efbc707
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add TGL PCI IDs (bsc#1152489)
- commit 309849c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Add TGL PCH detection in virtualized environment (bsc#1152489)
- commit 97bd6e1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: Introduce Tiger Lake PCH (bsc#1152489)
- commit 18a418c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/tgl: add initial Tiger Lake definitions (bsc#1152489)
- commit 7b4c8da
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add 4th pipe and transcoder (bsc#1152489)
- commit 2061af6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Don't overestimate 4:2:0 link symbol clock (bsc#1152489)
- commit 5afa2e6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Copy name string into ring buffer for (bsc#1152489)
- commit 3962ec3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Drop redundant ctx param from kerneldoc (bsc#1152489)
- commit c979501
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Don't pass stack garbage to pcode in the second data (bsc#1152489)
- commit 2543a5f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use intel_ types in intel_atomic_commit() (bsc#1152489)
- commit 2e62061
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use intel_ types in intel_{lock,modeset}_all_pipes() (bsc#1152489)
- commit e4b5ced
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Polish intel_atomic_track_fbs() (bsc#1152489)
- commit eed7093
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Polish intel_shared_dpll_swap_state() (bsc#1152489)
- commit 231dca8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Simplify modeset_get_crtc_power_domains() arguments (bsc#1152489)
- commit 6129bfa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Check crtc_state->wm.need_postvbl_update before grabbing (bsc#1152489)
- commit dfc8160
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use the "display core" power domain in vlv/chv set_cdclk() (bsc#1152489)
- commit 8f037b4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Hold the vma manager lock while modifying (bsc#1152489)
- commit 3b472ce
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/sdvo: Fix handling if zero hbuf size (bsc#1152489)
- commit 4a33c3b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Simplify guc client (bsc#1152489)
- commit f3f6f78
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Remove preemption support for current fw (bsc#1152489)
- commit 44c7886
* Tue Sep 29 2020 msuchanek@suse.de
- powerpc/papr_scm: Add PAPR command family to pass-through
  command-set (bsc#1175052 jsc#SLE-13823 ltc#186863).
- commit 010b45a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Ensure we don't clamp a random offset to 32b (bsc#1152489)
- commit 31544ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Drop the duplicate icl workaround (bsc#1152489)
- commit 4a1f5da
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Enable DDI-D (bsc#1152489)
- commit 46e6624
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Transition port type checks to phy checks (bsc#1152489)
- commit b6ffe62
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gen11: Convert combo PHY logic to use new 'enum phy' (bsc#1152489)
- commit c7090c8
* Tue Sep 29 2020 hare@suse.de
- scsi: core: Fix scsi_get/set_resid() interface
  (bsc#1175995,jsc#SLE-15608).
- commit 2f81aac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gen11: Program ICL_DPCLKA_CFGCR0 according to PHY (bsc#1152489)
- commit c03e255
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gen11: Start distinguishing 'phy' from 'port' (bsc#1152489)
- commit dcd2819
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: move intel_ddi_set_fia_lane_count to intel_tc.c (bsc#1152489)
- commit 9ca4b15
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: fix include order in intel_tc.* (bsc#1152489)
- commit bf0606a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make new intel_tc.c use uncore accessors (bsc#1152489)
- commit 7508ac6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Fixed Input CSC Co-efficients for BT601/709 (bsc#1152489)
- commit ebbcb16
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Fix Y pre-offset for Full Range YCbCr (bsc#1152489)
- commit 1cb1055
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Handle YCbCr to RGB conversion for BT2020 case (bsc#1152489)
- commit 49d43c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Record preemption for selftests (bsc#1152489)
- commit a38107d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove unused i915_gem_context_lookup_engine (bsc#1152489)
- commit fdb3f00
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: add infrastructure to hold off preemption on a request (bsc#1152489)
- commit 52ea2c4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: enumerate scratch fields (bsc#1152489)
- commit b8d5b6b
* Tue Sep 29 2020 msuchanek@suse.de
- Fix patch order in sorted section.
- commit c25ea98
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/userptr: Don't mark readonly objects as dirty (bsc#1152489)
- commit a652283
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Clear the shared port PLLs from the new crtc state (bsc#1152489)
- commit e5b127f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Clear the shared PLL from the put_dplls() hook (bsc#1152489)
- commit 2711181
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/sdvo: Add helpers to get the cmd/status string (bsc#1152489)
- commit 4d5ecbc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/sdvo: Shrink sdvo_cmd_names[] strings (bsc#1152489)
- commit 629cfde
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/sdvo: Remove duplicate SET_INPUT_TIMINGS_PART1 cmd name (bsc#1152489)
- commit 56d828c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/sdvo: Use named initializers for the SDVO command names (bsc#1152489)
- commit a48c662
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add icl mipi dsi properties (bsc#1152489)
- commit 6a42bb3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/hdcp: debug logs for sink related failures (bsc#1152489)
- commit cdf4061
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Remove presumption of RCS0 (bsc#1152489)
- commit b03071c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Apply RCS workarounds to the render class (bsc#1152489)
- commit 856a298
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Fill in a little more of the dummy fence (bsc#1152489)
- commit 542cc27
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Set igt_spinner.gt for early exit (bsc#1152489)
- commit 2fa4291
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Update DRIVER_DATE to 20190708 (bsc#1152489)
- commit 05aea7e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Reorder error cleanup for whitelist checking (bsc#1152489)
- commit d7a63a7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Explicitly track active fw_domain timers (bsc#1152489)
- commit b0c16d2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Pull assert_forcewake_active() underneath the lock (bsc#1152489)
- commit 21ca764
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Introduce release_pd_entry (bsc#1152489)
- commit 67c2fb9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Setup phys pages for 3lvl pdps (bsc#1152489)
- commit fc9e8dc
* Tue Sep 29 2020 colyli@suse.de
- dm: fix comment in dm_process_bio() (bsc#1175995,
  jsc#SLE-15608).
- dm: fix bio splitting and its bio completion order for regular
  IO (bsc#1175995, jsc#SLE-15608).
- dm: Call proper helper to determine dax support (bsc#1175995,
  jsc#SLE-15608).
- dm/dax: Fix table reference counts (bsc#1175995, jsc#SLE-15608).
- dm thin metadata: Fix use-after-free in dm_bm_set_read_only
  (bsc#1175995, jsc#SLE-15608).
- dm thin metadata:  Avoid returning cmd->bm wild pointer on error
  (bsc#1175995, jsc#SLE-15608).
- dm cache metadata: Avoid returning cmd->bm wild pointer on error
  (bsc#1175995, jsc#SLE-15608).
- dm integrity: fix error reporting in bitmap mode after creation
  (bsc#1175995, jsc#SLE-15608).
- dm mpath: fix racey management of PG initialization
  (bsc#1175995, jsc#SLE-15608).
- dm writecache: handle DAX to partitions on persistent memory
  correctly (bsc#1175995, jsc#SLE-15608).
- dm init: Set file local variable static (bsc#1175995,
  jsc#SLE-15608).
- dm ioctl: Fix compilation warning (bsc#1175995, jsc#SLE-15608).
- dm raid: Remove empty if statement (bsc#1175995, jsc#SLE-15608).
- dm verity: Fix compilation warning (bsc#1175995, jsc#SLE-15608).
- dm crypt: Enable zoned block device support (bsc#1175995,
  jsc#SLE-15608).
- dm bufio: do buffer cleanup from a workqueue (bsc#1175995,
  jsc#SLE-15608).
- dm verity: add "panic_on_corruption" error handling mode
  (bsc#1175995, jsc#SLE-15608).
- commit a277279
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Tear down setup and cleanup macros for page dma (bsc#1152489)
- commit 0a501e4
* Tue Sep 29 2020 hare@suse.de
- scsi: sg: sg_ioctl(): get rid of access_ok()
  (bsc#1175995,jsc#SLE-15608).
- scsi: sg: sg_write(): get rid of (bsc#1175995,jsc#SLE-15608).
- scsi: sg: sg_read(): get rid of access_ok()/__copy_..._user()
  (bsc#1175995,jsc#SLE-15608).
- commit 25a21c7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: pde entry encoding is identical (bsc#1152489)
- commit 2d332b1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove set but not used variable 'intel_dig_port' (bsc#1152489)
- commit c100cb9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove set but not used variable 'encoder' (bsc#1152489)
- commit 966ec8b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Order assert forcewake test (bsc#1152489)
- commit f2a6acb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Add support for DPLL4 (v10) (bsc#1152489)
- commit d2c195e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Clean up skl vs. icl plane formats (bsc#1152489)
- commit fa0d772
* Tue Sep 29 2020 colyli@suse.de
- dm mpath: use double checked locking in fast path (bsc#1175995,
  jsc#SLE-15608).
- Refresh for the above change,
  patches.suse/dm-mpath-no-partitions-feature.
- commit ab52c0c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Cosmetic fix for skl+ plane switch statement (bsc#1152489)
- commit b7347c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Deal with cpp==8 for g4x watermarks (bsc#1152489)
- commit 1e9db9f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Program plane gamma ramps (bsc#1152489)
- commit 227945e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Disable sprite gamma on ivb-bdw (bsc#1152489)
- commit 9579e7e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add windowing for primary planes on gen2/3 and chv (bsc#1152489)
- commit b8cd477
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move dev_priv->pm_i{m, e}r into intel_gt (bsc#1152489)
- commit bfae517
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove some legacy mmio accessors from interrupt handling (bsc#1152489)
- commit 070e099
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rework some interrupt handling functions to take intel_gt (bsc#1152489)
- commit 4cdf8cd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Show instdone for each engine in debugfs (bsc#1152489)
- commit 041a41e
* Tue Sep 29 2020 colyli@suse.de
- dm mpath: rename current_pgpath to pgpath in
  multipath_prepare_ioctl (bsc#1175995, jsc#SLE-15608).
- dm mpath: rework __map_bio() (bsc#1175995, jsc#SLE-15608).
- dm mpath: factor out multipath_queue_bio (bsc#1175995,
  jsc#SLE-15608).
- dm mpath: push locking down to must_push_back_rq() (bsc#1175995,
  jsc#SLE-15608).
- dm mpath: take m->lock spinlock when testing QUEUE_IF_NO_PATH
  (bsc#1175995, jsc#SLE-15608).
- dm mpath: changes from initial m->flags locking audit
  (bsc#1175995, jsc#SLE-15608).
- block: remove bdev_stack_limits (bsc#1175995, jsc#SLE-15608).
- block: inherit the zoned characteristics in blk_stack_limits
  (bsc#1175995, jsc#SLE-15608).
- dm: use noio when sending kobject event (bsc#1175995,
  jsc#SLE-15608).
- dm zoned: Fix zone reclaim trigger (bsc#1175995, jsc#SLE-15608).
- dm: use dynamic debug instead of compile-time config option
  (bsc#1175995, jsc#SLE-15608).
- dm,dax: Add dax zero_page_range operation (bsc#1175995,
  jsc#SLE-15608).
- dax, pmem: Add a dax operation zero_page_range (bsc#1175995,
  jsc#SLE-15608).
- commit 6eb8010
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Be engine agnostic (bsc#1152489)
- commit 8f93848
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/overlay: Stash the kernel context on initialisation (bsc#1152489)
- commit 7e0902b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/hangcheck: Look at instdone for all engines (bsc#1152489)
- commit 6bf45c1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Drain the freedlists between exec passes (bsc#1152489)
- commit 37580a0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Pull engine w/a initialisation into common (bsc#1152489)
- commit b9fa19d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Dump w/a lists on all engines (bsc#1152489)
- commit 24fe078
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Upgrade to GuC 33.0.0 (bsc#1152489)
- commit c40643e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Handle double alloc failures (bsc#1152489)
- commit b6eab0b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Show support for accurate sw PMU busyness tracking (bsc#1152489)
- commit 7bfcd07
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gem: Defer obj->base.resv fini until RCU callback (bsc#1152489)
- commit 3318a22
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Ignore forcewake acquisition for posting_reads (bsc#1152489)
- commit e43d902
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Assume we hold forcewake for execlists resume (bsc#1152489)
- commit 7dac973
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Use caller provided forcewake for intel_mocs_init_engine (bsc#1152489)
- commit b30c7b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Check caller held wakerefs in assert_forcewakes_active (bsc#1152489)
- commit fcfdbe8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Flush the workqueue before draining (bsc#1152489)
- commit 8492630
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move the renderstate setup under gt/ (bsc#1152489)
- commit f4e3013
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add N & CTS values for 10/12 bit deep color (bsc#1152489)
- commit b25323f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use port clock to set correct N value (bsc#1152489)
- commit d40e9e0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Mark up vma->active as safe for use inside shrinkers (bsc#1152489)
- commit 5b416c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Markup potential lock for i915_active (bsc#1152489)
- commit 2ca89d0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gem: Free pages before rcu-freeing the object (bsc#1152489)
- commit 6644656
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Hesitate before slicing (bsc#1152489)
- commit 3ff1b58
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Lock the drm_mm while modifying (bsc#1152489)
- commit 285cf4a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Common live setup/teardown (bsc#1152489)
- commit 968e414
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/display: Handle lost primary_port across suspend (bsc#1152489)
- commit 43a1326
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: synchronize_irq() against the actual irq (bsc#1152489)
- commit 0eb3a14
* Tue Sep 29 2020 hare@suse.de
- scsi: sg: sg_write(): __get_user() can
  fail.. (bsc#1175995,jsc#SLE-15608).
- scsi: sg: sg_new_write(): replace access_ok() +
  (bsc#1175995,jsc#SLE-15608).
- scsi: sg: sg_ioctl(): fix copyout handling
  (bsc#1175995,jsc#SLE-15608).
- commit 7572f7b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Report if i915_active is still busy upon waiting (bsc#1152489)
- commit cba7fd5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Refactor CSB state machine (bsc#1152489)
- commit 48fe304
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Don't program PHY_MISC on EHL PHY C (bsc#1152489)
- commit d2ca1f9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Add third combo PHY offset (bsc#1152489)
- commit 747c8ac
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Drop port parameter to icl_get_combo_buf_trans() (bsc#1152489)
- commit 767191c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Avoid reclaim locks during reset (bsc#1152489)
- commit b9c474d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: WARN about invalid lane reversal in TBT-alt/DP-alt modes (bsc#1152489)
- commit 8cdf53b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove unneeded disconnect in TypeC legacy port mode (bsc#1152489)
- commit 1059a05
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Add state verification for the TypeC port mode (bsc#1152489)
- commit 6693a60
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Keep the TypeC port mode fixed when the port is active (bsc#1152489)
- commit d3d62df
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Reserve all required PLLs for TypeC ports (bsc#1152489)
- commit 54ca493
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Split getting the DPLLs to port type specific functions (bsc#1152489)
- commit 868bf8c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Sanitize the shared DPLL find/reference interface (bsc#1152489)
- commit d3adce4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Sanitize the shared DPLL reserve/release interface (bsc#1152489)
- commit 4adb6fe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Sanitize the TypeC FIA lane configuration decoding (bsc#1152489)
- commit 4cc3d06
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Keep the TypeC port mode fixed for detect/AUX transfers (bsc#1152489)
- commit f5d40f9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Fix the TypeC port mode sanitization during loading/resume (bsc#1152489)
- commit 08a4a81
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Sanitize the TypeC connect/detect sequences (bsc#1152489)
- commit 14b3f52
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Handle the TCCOLD power-down event (bsc#1152489)
- commit 53a837e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Wait for TypeC PHY complete flag to clear in safe mode (bsc#1152489)
- commit c0d1ee0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Factor out common parts from TypeC port handling functions (bsc#1152489)
- commit fdf81d3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Unify the TypeC port notation in debug/error messages (bsc#1152489)
- commit 0ebe974
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use the correct AUX power domain in TypeC TBT-alt mode (bsc#1152489)
- commit 1ee82d3
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Don't enable the DDI-IO power in the TypeC TBT-alt mode (bsc#1152489)
- commit b7faf12
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Sanitize the terminology used for TypeC port modes (bsc#1152489)
- commit 59adddf
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move the TypeC port handling code to a separate file (bsc#1152489)
- commit b4c57c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Tune down WARNs about TBT AUX power well enabling (bsc#1152489)
- commit 25abd1c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Add support to read out the TBT PLL HW state (bsc#1152489)
- commit d753508
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use intel state as much as possible in wm code (bsc#1152489)
- commit d0ba45c
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Pass intel state to plane functions as well (bsc#1152489)
- commit 162a95f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use intel_crtc_state in sanitize_watermarks() too (bsc#1152489)
- commit 71a0a4f
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move SG_GET_REQUEST_TABLE handling
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: ppp: move simple commands into
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: handle PPPIOCGIDLE for 64-bit time_t
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: move PPPIOCSCOMPRESS to ppp_generic
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: unify copy-in of ppp filters
  (bsc#1175995,jsc#SLE-15608).
- tty: handle compat PPP ioctls (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: move SIOCOUTQ out of compat_ioctl.c
  (bsc#1175995,jsc#SLE-15608).
- commit 199018a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert hw state verifier to take more intel state, v2. (bsc#1152489)
- commit e10be14
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert most of atomic commit to take more intel state (bsc#1152489)
- commit 29867b4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Pass intel_crtc_state to needs_modeset() (bsc#1152489)
- commit ff659ab
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: rework reading pipe disable fuses (bsc#1152489)
- commit 04a39fe
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Make i945gm_vblank_work_func static (bsc#1152489)
- commit 9aa882a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make intel_uc_fw.h self-contained (bsc#1152489)
- commit 25199e5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make intel_gvt.h self-contained (bsc#1152489)
- commit 13fecc4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make intel_guc_reg.h self-contained (bsc#1152489)
- commit 2016efc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make intel_guc_fwif.h self-contained (bsc#1152489)
- commit ace3aea
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make intel_guc_ct.h self-contained (bsc#1152489)
- commit 2a7631f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make i915_vgpu.h self-contained (bsc#1152489)
- commit d208ed4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make i915_pvinfo.h self-contained (bsc#1152489)
- commit f92ace4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make i915_globals.h self-contained (bsc#1152489)
- commit be04950
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: make i915_fixed.h self-contained (bsc#1152489)
- commit bd6a762
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: add header search path to subdir Makefiles (bsc#1152489)
- commit dad8563
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: prefix header search path with $(srctree)/ (bsc#1152489)
- commit bf691ec
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move OA files to separate folder (bsc#1152489)
- commit 666987a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Add voltage level requirement table (bsc#1152489)
- commit f1788ae
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Remove unsupported cd clocks (bsc#1152489)
- commit e84ca99
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Add new supported CD clocks (bsc#1152489)
- commit c82a122
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move WDIOC handling into wdt drivers
  (bsc#1175995,jsc#SLE-15608).
- fs: compat_ioctl: move FITRIM emulation into file systems
  (bsc#1175995,jsc#SLE-15608).
- commit bd7179b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Initialize drm_driver vblank funcs at compile time (bsc#1152489)
- commit 2d8f63b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Nuke drm_driver irq vfuncs (bsc#1152489)
- commit 6683f87
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Switch to per-crtc vblank vfuncs (bsc#1152489)
- commit 657e8b5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Fixup atomic reset checking (bsc#1152489)
- commit f09b632
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Drop manual request wakerefs around hangcheck (bsc#1152489)
- commit 723190f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Serialise nop reset with retirement (bsc#1152489)
- commit a336db1
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Check backlight type while doing eDP backlight (bsc#1152489)
- commit 9f814fa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/icl: Add missing device ID (bsc#1152489)
- commit 473e38d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Add some debug tracing for context pinning (bsc#1152489)
- commit 867bd6a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Always call kref_init for the timeline (bsc#1152489)
- commit a64a081
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Drop stale commentary for timeline density (bsc#1152489)
- commit 7a3b9f8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Hold ref on request across waits (bsc#1152489)
- commit d146676
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: remove unused convert_in_user macro
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: remove last RAID handling code
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: remove /dev/raw ioctl translation
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: remove PCI ioctl translation
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: remove joystick ioctl translation
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: remove /dev/random commands
  (bsc#1175995,jsc#SLE-15608).
- commit ad91f6b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rename intel_wakeref_[is]_active (bsc#1152489)
- commit 9a26367
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Pass intel_gt to pm routines (bsc#1152489)
- commit d734869
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: Add debug capture of GuC exception (bsc#1152489)
- commit 6d1feb4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Convert recursive defer_request() into iterative (bsc#1152489)
- commit eaa1905
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Add missing VECS engine (bsc#1152489)
- commit da48058
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Add one additional PCH ID to MCC (bsc#1152489)
- commit e50c3d5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gem: Clear read/write domains for GPU clear (bsc#1152489)
- commit a0abfc4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Always clear ring_pause if we do not submit (bsc#1152489)
- commit 8b27093
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: remove IGNORE_IOCTL() (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/compat_ioctl-reimplement-SG_IO-handling.patch.
- commit ac8a86d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/blt: Remove recursive vma->lock (bsc#1152489)
- commit 7c4c5b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Local debug BUG_ON for intel_wakeref (bsc#1152489)
- commit 5c0f892
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Provide an i915_active.acquire callback (bsc#1152489)
- commit 776194d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Throw away the active object retirement complexity (bsc#1152489)
- commit 9fcb12b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Track i915_active using debugobjects (bsc#1152489)
- commit d211f42
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Remove waiting & retiring from shrinker paths (bsc#1152489)
- commit 59debf9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: handle GuC messages received with CTB disabled (bsc#1152489)
- commit 6e0a119
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/guc: reorder enable/disable communication steps (bsc#1152489)
- commit fe34fa4
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Fixup kerneldoc parameters (bsc#1152489)
- commit 1c51e70
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gt: Rename i915_gt_timelines (bsc#1152489)
- commit 20363b7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Prevent dereference of engine before NULL check in error (bsc#1152489)
- commit 0ab996e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Eliminate dual personality of i915_scratch_offset (bsc#1152489)
- commit 1ea29f7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rename i915_timeline to intel_timeline and move under gt (bsc#1152489)
- commit 2d099cc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Make timelines gt centric (bsc#1152489)
- commit 8211640
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: remove HIDIO translation
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: remove HCIUART handling
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: move ATYFB_CLK handling to atyfb driver
  (bsc#1175995,jsc#SLE-15608).
- commit e38f32e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Save trip via top-level i915 in a few more places (bsc#1152489)
- commit eeb963f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize ring buffer creation (bsc#1152489)
- commit 04be609
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Store ggtt pointer in intel_gt (bsc#1152489)
- commit 45ab08e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize i915_gem_init_ggtt (bsc#1152489)
- commit 90c5e03
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize i915_ggtt_cleanup_hw (bsc#1152489)
- commit acbba89
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize timeline_init/park/fini (bsc#1152489)
- commit 8b61c6d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move i915_gem_chipset_flush to intel_gt (bsc#1152489)
- commit a5cab02
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert i915_gem_flush_ggtt_writes to intel_gt (bsc#1152489)
- commit eff6e6f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize i915_gem_suspend/restore_gtt_mappings (bsc#1152489)
- commit cf5bbf6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Store intel_gt backpointer in vm (bsc#1152489)
- commit b24cc8d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Make ggtt invalidation work on ggtt (bsc#1152489)
- commit 85eb15d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize i915_ggtt_init_hw (bsc#1152489)
- commit 0e4b1e7
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Compartmentalize i915_ggtt_probe_hw (bsc#1152489)
- commit 994f8bd
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Stop using I915_READ/WRITE in intel_wopcm_init_hw (bsc#1152489)
- commit 5b9fa34
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move intel_engines_resume into common init (bsc#1152489)
- commit fe06128
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert i915_gem_init_hw to intel_gt (bsc#1152489)
- commit efad4f2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Consolidate some open coded mmio rmw (bsc#1152489)
- commit f0ac879
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert i915_ppgtt_init_hw to intel_gt (bsc#1152489)
- commit cca0ee6
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert intel_mocs_init_l3cc_table to intel_gt (bsc#1152489)
- commit ff7852a
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Store backpointer to intel_gt in the engine (bsc#1152489)
- commit 10ff575
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert gt workarounds to intel_gt (bsc#1152489)
- commit beee8aa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert init_unused_rings to intel_gt (bsc#1152489)
- commit 07bae73
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Use intel_uncore_rmw in intel_gt_init_swizzling (bsc#1152489)
- commit 2371ac9
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert i915_gem_init_swizzling to intel_gt (bsc#1152489)
- commit e8a2faa
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Make i915_check_and_clear_faults take intel_gt (bsc#1152489)
- commit 012d219
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move intel_gt_pm_init under intel_gt_init_early (bsc#1152489)
- commit 3388f6b
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Store some backpointers in struct intel_gt (bsc#1152489)
- commit 902c5ee
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move tape handling into drivers
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/compat_ioctl-reimplement-SG_IO-handling.patch.
- commit c617b2f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Move intel_gt initialization to a separate file (bsc#1152489)
- commit 326d0ad
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Introduce struct intel_gt as replacement for anonymous (bsc#1152489)
- commit a1fd9d5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Convert intel_vgt_(de)balloon to uncore (bsc#1152489)
- commit 719feac
* Tue Sep 29 2020 hare@suse.de
- compat_ioctl: move more drivers to compat_ptr_ioctl
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: move drivers to compat_ptr_ioctl
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: move rtc handling into drivers/rtc/dev.c
  (bsc#1175995,jsc#SLE-15608).
- commit cb70d01
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Keep virtual context alive until after we kick (bsc#1152489)
- commit eb683fb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gtt: Defer address space cleanup to an RCU worker (bsc#1152489)
- commit 0fb5be2
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl/dsi: Enable AFE over PPI strap (bsc#1152489)
- commit b26c778
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl/dsi: Set lane latency optimization for DW1 (bsc#1152489)
- commit 51f30ba
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/selftests: Use request managed wakerefs (bsc#1152489)
- commit f45a071
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Rings are always flushed (bsc#1152489)
- commit 42322f5
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Minimalistic timeslicing (bsc#1152489)
- commit 287bcdb
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/execlists: Preempt-to-busy (bsc#1152489)
- commit 8042e03
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/gvt: decouple check_vgpu() from uncore_init() (bsc#1152489)
- commit 5d5921d
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: dynamically allocate forcewake domains (bsc#1152489)
- commit 371f5c0
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: skip forcewake actions on forcewake-less uncore (bsc#1152489)
- commit 5a57226
* Tue Sep 29 2020 hare@suse.de
- compat_sys_ioctl(): make parallel to do_vfs_ioctl()
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/fs-add-generic-UNRESVSP-and-ZERO_RANGE-ioctl-handler.patch.
- commit c7b14c8
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: kill uncore_to_i915 (bsc#1152489)
- commit e2b0f30
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: kill uncore_sanitize (bsc#1152489)
- commit 0ff6085
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: use vfuncs for reg_read/write_fw_domains (bsc#1152489)
- commit 72e793f
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915/ehl: Allow combo PHY A to drive a third external display (bsc#1152489)
- commit a53aa5e
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Flush the execution-callbacks on retiring (bsc#1152489)
- commit bafd6ba
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/i915: Signal fence completion from i915_request_wait (bsc#1152489)
- commit 32f8166
* Tue Sep 29 2020 tzimmermann@suse.de
- dma-mapping: remove dma_{alloc,free,mmap}_writecombine (bsc#1152489)
- commit 83161ba
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: sm501fb: convert platform driver to use dev_groups (bsc#1152489)
- commit 88b54fe
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: w100fb: convert platform driver to use dev_groups (bsc#1152489)
- commit 98a4e2b
* Tue Sep 29 2020 tzimmermann@suse.de
- video: fbdev: wm8505fb: convert platform driver to use dev_groups (bsc#1152489)
- commit 0219165
* Tue Sep 29 2020 tzimmermann@suse.de
- video: pxafb: Remove cpufreq policy notifier (bsc#1152489)
- commit 8abd9cd
* Tue Sep 29 2020 tzimmermann@suse.de
- video: sa1100fb: Remove cpufreq policy notifier (bsc#1152489)
- commit ac114bf
* Tue Sep 29 2020 tzimmermann@suse.de
- platform: Add platform_find_device_by_driver() helper (bsc#1152489)
- commit f4e270e
* Tue Sep 29 2020 tzimmermann@suse.de
- drivers: Introduce device lookup variants by of_node (bsc#1152489)
- commit aacaedc
* Tue Sep 29 2020 tzimmermann@suse.de
- drm/vmwgfx: Update the backdoor call with support for new (bsc#1152489)
- commit cf60c9c
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: remove w90x900/nuc900 platform drivers (bsc#1152489)
- commit 964c4bb
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: da8xx: use resource management for dma (bsc#1152489)
- commit f5c16e8
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: da8xx-fb: drop a redundant if (bsc#1152489)
- commit 5913373
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: da8xx-fb: use devm_platform_ioremap_resource() (bsc#1152489)
- commit a0c17a0
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: da8xx: remove panel_power_ctrl() callback from platform data (bsc#1152489)
- commit 5d2f7dd
* Tue Sep 29 2020 tzimmermann@suse.de
- fbdev: da8xx: add support for a regulator (bsc#1152489)
- commit 86f21c6
* Tue Sep 29 2020 tzimmermann@suse.de
- m68k: atari: Rename shifter to shifter_st to avoid conflict (bsc#1152489)
- commit ccd3fa6
* Tue Sep 29 2020 hare@suse.de
- compat: move FS_IOC_RESVSP_32 handling to fs/ioctl.c
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/fs-add-generic-UNRESVSP-and-ZERO_RANGE-ioctl-handler.patch.
- commit 04da741
* Tue Sep 29 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: Restrict the max_gids to 256 (bsc#1173017).
- RDMA/bnxt_re: Fix the qp table indexing (bsc#1173017).
- RDMA/bnxt_re: Do not report transparent vlan from QP1
  (bsc#1173017).
- commit 279a57c
* Tue Sep 29 2020 ohering@suse.de
- irqdomain/treewide: Free firmware node after domain removal (git-fixes).
- commit 2fa0cd5
* Tue Sep 29 2020 tzimmermann@suse.de
- Remove most fbdev patches
  Done in preparation of the DRM upgrade.
- commit 9f67476
* Tue Sep 29 2020 ohering@suse.de
- irqdomain/treewide: Keep firmware node unconditionally allocated (git-fixes).
- commit 7778bc2
* Tue Sep 29 2020 hare@suse.de
- pktcdvd: add compat_ioctl handler (bsc#1175995,jsc#SLE-15608). - Refresh patches.suse/block-move-the-devnode-callback-to-struct-block_devi.patch.
- commit 4244c1a
* Tue Sep 29 2020 tzimmermann@suse.de
- blacklist.conf: Remove DRM commits
  This removes DRM commits in preparation of the DRM backport for SLE15-SP3.
- commit 7f696a6
* Tue Sep 29 2020 ohering@suse.de
- Drivers: hv: vmbus: Add timeout to vmbus_wait_for_unload
  (git-fixes).
- Drivers: hv: vmbus: hibernation: do not hang forever in
  vmbus_bus_resume() (git-fixes).
- hv_utils: drain the timesync packets on onchannelcallback
  (bsc#1176877).
- hv_utils: return error if host timesysnc update is stale
  (bsc#1176877).
- Drivers: hv: Specify receive buffer size using Hyper-V page size
  (bsc#1176877).
- commit 5ca04fc
* Mon Sep 28 2020 tiwai@suse.de
- soundwire: bus: only clear valid DPN interrupts (jsc#SLE-16518).
- soundwire: bus: only clear valid DP0 interrupts (jsc#SLE-16518).
- soundwire: registers: add definitions for clearable interrupt
  fields (jsc#SLE-16518).
- soundwire: bus: reset slave_notify status at each loop
  (jsc#SLE-16518).
- soundwire: bus: add comments to explain interrupt loop filter
  (jsc#SLE-16518).
- soundwire: SDCA: add helper macro to access controls
  (jsc#SLE-16518).
- soundwire: SDCA: detect sdca_cascade interrupt (jsc#SLE-16518).
- ASoC: rt715: Add power-up delay to fix dmic pop sound issue
  (jsc#SLE-16518).
- commit bab2857
* Mon Sep 28 2020 tiwai@suse.de
- regmap: Add can_sleep configuration option (jsc#SLE-16518).
- regmap: Use flexible sleep (jsc#SLE-16518).
- regmap: soundwire: remove unused header mod_devicetable.h
  (jsc#SLE-16518).
- regmap: add Intel SPI Slave to AVMM Bus Bridge support
  (jsc#SLE-16518).
- commit 9c695ae
* Mon Sep 28 2020 tiwai@suse.de
- timer: add fsleep for flexible sleeping (jsc#SLE-16518).
- commit 60328a7
* Mon Sep 28 2020 tiwai@suse.de
- regmap: fix page selection for noinc writes (jsc#SLE-16518).
- regmap: fix page selection for noinc reads (jsc#SLE-16518).
- regmap: debugfs: Add back in erroneously removed initialisation
  of ret (jsc#SLE-16518).
- regmap: debugfs: Fix handling of name string for debugfs init
  delays (jsc#SLE-16518).
- regmap: fix duplicated word in <linux/regmap.h> (jsc#SLE-16518).
- regmap: remove stray space (jsc#SLE-16518).
- regmap: convert all regmap_update_bits() and co. macros to
  static inlines (jsc#SLE-16518).
- regmap: add missing dependency on SoundWire (jsc#SLE-16518).
- regmap: fix the kerneldoc for regmap_test_bits()
  (jsc#SLE-16518).
- regmap: provide helpers for simple bit operations
  (jsc#SLE-16518).
- regmap: add helper for per-port regfield initialization
  (jsc#SLE-16518).
- regmap-i2c: add 16-bit width registers support (jsc#SLE-16518).
- regmap: Simplify implementation of the
  regmap_field_read_poll_timeout() macro (jsc#SLE-16518).
- regmap: Simplify implementation of the
  regmap_read_poll_timeout() macro (jsc#SLE-16518).
- regmap-irq: make it possible to add irq_chip do a specific
  device node (jsc#SLE-16518).
- regmap: Add bus reg_update_bits() support (jsc#SLE-16518).
- regmap: add reg_sequence helpers (jsc#SLE-16518).
- regmap: wrong descriptions in regmap_range_cfg (jsc#SLE-16518).
- regmap: add iopoll-like atomic polling macro (jsc#SLE-16518).
- regmap-i2c: constify regmap_bus structures (jsc#SLE-16518).
- regmap: regmap-w1: Drop unreachable code (jsc#SLE-16518).
- regmap: no need to check return value of debugfs_create
  functions (jsc#SLE-16518).
- regmap-irq: Correct error paths in regmap_irq_thread for
  pm_runtime (jsc#SLE-16518).
- commit f8bfe3f
* Mon Sep 28 2020 hare@suse.de
- do_vfs_ioctl(): use saner types (bsc#1175995,jsc#SLE-15608).
- commit 15b6d9b
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- gpio: Avoid using pin ranges with !PINCTRL (jsc#SLE-15847).
- pinctrl: qcom: ssbi-gpio: Fix fwspec parsing bug
  (jsc#SLE-15847).
- memory: tegra30-emc: Fix panic on suspend (jsc#SLE-15847).
- commit 545a731
* Mon Sep 28 2020 hare@suse.de
- compat: itanic doesn't have one (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/fs-add-generic-UNRESVSP-and-ZERO_RANGE-ioctl-handler.patch.
- commit 3d75907
* Mon Sep 28 2020 hare@suse.de
- FIGETBSZ: fix compat (bsc#1175995,jsc#SLE-15608).
- commit fa84d24
* Mon Sep 28 2020 tiwai@suse.de
- supported.conf: add soundwire-generic-allocation
- commit 7979ab4
* Mon Sep 28 2020 tbogendoerfer@suse.de
- drm/amdkfd: fix a use after free race with mmu_notifer
  unregister (jsc#SLE-15176).
- drm/amdkfd: remove set but not used variable 'pdd'
  (jsc#SLE-15176).
- drm/amdkfd: Fill amdgpu_task_info for KFD VMs (jsc#SLE-15176).
- commit d1c10e0
* Mon Sep 28 2020 tiwai@suse.de
- soundwire: Add generic bandwidth allocation algorithm
  (jsc#SLE-16518).
- Update config files.
- commit b659691
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: codecs: realtek-soundwire: ignore initial PARITY errors
  (jsc#SLE-16518).
- commit f0058cf
* Mon Sep 28 2020 tiwai@suse.de
- soundwire: sysfs: add slave status and device number before
  probe (jsc#SLE-16518).
- soundwire: bus: add enumerated Slave device to device list
  (jsc#SLE-16518).
- soundwire: remove an unnecessary NULL check (jsc#SLE-16518).
- soundwire: cadence: add data port test fail interrupt
  (jsc#SLE-16518).
- soundwire: intel: enable test modes (jsc#SLE-16518).
- soundwire: enable Data Port test modes (jsc#SLE-16518).
- soundwire: intel: use {u32|u16}p_replace_bits (jsc#SLE-16518).
- soundwire: cadence: use u32p_replace_bits (jsc#SLE-16518).
- soundwire: qcom: get max rows and cols info from compatible
  (jsc#SLE-16518).
- soundwire: qcom: add support to block packing mode
  (jsc#SLE-16518).
- soundwire: qcom: clear BIT FIELDs before value set
  (jsc#SLE-16518).
- soundwire: cadence: add parity error injection through debugfs
  (jsc#SLE-16518).
- soundwire: bus: export broadcast read/write capability for tests
  (jsc#SLE-16518).
- soundwire: bus: use quirk to filter out invalid parity errors
  (jsc#SLE-16518).
- soundwire: slave: add first_interrupt_done status
  (jsc#SLE-16518).
- soundwire: bus: filter-out unwanted interrupt reports
  (jsc#SLE-16518).
- ASoC/soundwire: bus: use property to set interrupt masks
  (jsc#SLE-16518).
- soundwire: qcom: fix SLIBMUS/SLIMBUS typo (jsc#SLE-16518).
- soundwire: cadence: fix race condition between suspend and
  Slave device alerts (jsc#SLE-16518).
- soundwire: qcom: add v1.5.1 compatible (jsc#SLE-16518).
- soundwire: qcom: add support for mmio soundwire master devices
  (jsc#SLE-16518).
- soundwire: qcom: avoid dependency on CONFIG_SLIMBUS
  (jsc#SLE-16518).
- soundwire: qcom: fix abh/ahb typo (jsc#SLE-16518).
- soundwire: intel: remove stream handling from .prepare and
  .hw_free (jsc#SLE-16518).
- soundwire: intel: remove .trigger operation (jsc#SLE-16518).
- soundwire: intel: fix NULL/ERR_PTR confusion (jsc#SLE-16518).
- soundwire: stream: fix NULL/IS_ERR confusion (jsc#SLE-16518).
- soundwire: remove SDW_REG_SHIFT() (jsc#SLE-16518).
- soundwire: intel_init: use FIELD_{GET|PREP} (jsc#SLE-16518).
- soundwire: intel: use FIELD_{GET|PREP} (jsc#SLE-16518).
- soundwire: cadence: use FIELD_{GET|PREP} (jsc#SLE-16518).
- soundwire: qcom : use FIELD_{GET|PREP} (jsc#SLE-16518).
- soundwire: stream: use FIELD_{GET|PREP} (jsc#SLE-16518).
- soundwire: slave: use SDW_DISCO_LINK_ID() (jsc#SLE-16518).
- soundwire: bus: use FIELD_GET() (jsc#SLE-16518).
- soundwire: define and use addr bit masks (jsc#SLE-16518).
- soundwire: intel: don't manage link power individually
  (jsc#SLE-16518).
- soundwire: intel: pass link_mask information to each master
  (jsc#SLE-16518).
- soundwire: intel: add error log for clock-stop invalid configs
  (jsc#SLE-16518).
- soundwire: stream: enable hw_sync as needed by hardware
  (jsc#SLE-16518).
- soundwire: intel: add multi-link hw_synchronization information
  (jsc#SLE-16518).
- soundwire: bus: update multi-link definition with hw sync
  details (jsc#SLE-16518).
- soundwire: intel: add missing support for all clock stop modes
  (jsc#SLE-16518).
- soundwire: intel: add multi-link support (jsc#SLE-16518).
- soundwire: intel: ignore software command retries
  (jsc#SLE-16518).
- soundwire: intel: disable shim wake on suspend (jsc#SLE-16518).
- soundwire: fix port_ready[] dynamic allocation in mipi_disco
  (jsc#SLE-16518).
- soundwire: add definition for maximum number of ports
  (jsc#SLE-16518).
- soundwire: intel: fix intel_suspend/resume defined but not
  used warning (jsc#SLE-16518).
- soundwire: intel: refine runtime pm for
  SDW_INTEL_CLK_STOP_BUS_RESET (jsc#SLE-16518).
- soundwire: intel: support clock_stop mode without quirks
  (jsc#SLE-16518).
- soundwire: intel_init: handle power rail dependencies for
  clock stop mode (jsc#SLE-16518).
- soundwire: intel: add CLK_STOP_NOT_ALLOWED support
  (jsc#SLE-16518).
- soundwire: intel: add CLK_STOP_BUS_RESET support
  (jsc#SLE-16518).
- soundwire: intel: add CLK_STOP_TEARDOWN for pm_runtime suspend
  (jsc#SLE-16518).
- soundwire: intel: pm_runtime idle scheduling (jsc#SLE-16518).
- soundwire: intel: reinitialize IP+DSP in .prepare(), but only
  when resuming (jsc#SLE-16518).
- soundwire: intel: call helper to reset Slave states on resume
  (jsc#SLE-16518).
- soundwire: intel: fix race condition on system resume
  (jsc#SLE-16518).
- soundwire: intel: reset pm_runtime status during system resume
  (jsc#SLE-16518).
- soundwire: intel: add pm_runtime support (jsc#SLE-16518).
- soundwire: intel: Add basic power management support
  (jsc#SLE-16518).
- soundwire: master: enable pm runtime (jsc#SLE-16518).
- commit 06176a0
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: Add `src_hash` to `sof_ipc_fw_version` structure
  (jsc#SLE-16518).
- ASoC: soc-dai: clarify return value for get_sdw_stream()
  (jsc#SLE-16518).
- ASoC: rt711: wait for the delayed work to finish when the
  system suspends (jsc#SLE-16518).
- ASoC: rt700: wait for the delayed work to finish when the
  system suspends (jsc#SLE-16518).
- ASoC: codecs: soundwire: remove port_ready[] usage from codecs
  (jsc#SLE-16518).
- commit 70d64d2
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: max9867: shutdown codec when changing filter type
  (jsc#SLE-16518).
- ASoC: codecs: max98373-sdw: add missing test on resume
  (jsc#SLE-16518).
- commit 48611c7
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- gpio: export of_pinctrl_get to modules (jsc#SLE-15847).
- commit f81dcf5
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- Refresh patches.suse/gpio-max77620-Don-t-shadow-error-code-of-platform_ge.patch.
  Fix following warning:
  In file included from ./include/linux/gpio/driver.h:5:0,
    from drivers/gpio/gpio-max77620.c:8:
  drivers/gpio/gpio-max77620.c: In function ‘max77620_gpio_probe’:
  ./include/linux/device.h:1632:2: warning: ‘gpio_irq’ may be used uninitialized in this function [-Wmaybe-uninitialized]
  _dev_err(dev, dev_fmt(fmt), ##__VA_ARGS__)
  ^~~~~~~~
  drivers/gpio/gpio-max77620.c:292:15: note: ‘gpio_irq’ was declared here
  unsigned int gpio_irq;
    ^~~~~~~~
- commit 4654e1b
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: Add .prepare/.complete callbacks (jsc#SLE-16518).
- ASoC: SOF: Activate runtime PM with SOF OF device
  (jsc#SLE-16518).
- ASOC: Intel: sof_sdw: restore playback functionality with
  max98373 amps (jsc#SLE-16518).
- ASoC: Intel: add support for new SoundWire hardware layout on
  TGL (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt700: add codec prefix (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: remove hard-coded codec_conf table
  (jsc#SLE-16518).
- ASoC: Intel: add codec name prefix to ACPI machine description
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: remove ternary operator (jsc#SLE-16518).
- ASoC: Intel: hda_dsp_common: use static function in conditional
  block (jsc#SLE-16518).
- ASoC: SOF: control: add size checks for ext_bytes control .put()
  (jsc#SLE-16518).
- ASoC: SOF: control: fix size checks for volatile ext_bytes
  control .get() (jsc#SLE-16518).
- ASoC: SOF: control: fix size checks for ext_bytes control .get()
  (jsc#SLE-16518).
- ASoC: hdac: make SOF HDA codec driver probe deterministic
  (jsc#SLE-16518).
- ASoC: SOF: imx: add missing MODULE_LICENSE() for imx-common
  (jsc#SLE-16518).
- ASoC: SOF: pm: Fix prepare callback behavior for OF usecase
  (jsc#SLE-16518).
- ASoC: SOF: topology: fix the process being scheduled on core0
  always (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: reduce verbosity of boot error logs
  (jsc#SLE-16518).
- ASoC: SOF: fix range checks (jsc#SLE-16518).
- ASoC: SOF: remove several superfluous type-casts
  (jsc#SLE-16518).
- ASoC: SOF: (cosmetic) remove redundant "ret" variable uses
  (jsc#SLE-16518).
- ASoC: SOF: control: update test for pm_runtime_get_sync()
  (jsc#SLE-16518).
- ASoC: SOF: debug: update test for pm_runtime_get_sync()
  (jsc#SLE-16518).
- ASoC: SOF: imx: Add debug support for imx platforms
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Add support for tgl-h (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-loader: s/master/primary (jsc#SLE-16518).
- ASoC: SOF: Intel: remove the HDA_DSP_CORE_MASK() macro
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: modify core_power_up/down op
  (jsc#SLE-16518).
- ASoC: SOF: rename cores_mask to host_managed_cores_mask
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Use DMI oem string search for
  tgl_max98373_rt5682 (jsc#SLE-16518).
- ASoC: SOF: Implement snd_sof_bytes_ext_volatile_get kcontrol IO
  (jsc#SLE-16518).
- ASoC: SOF: topology: make process type optional (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_mux
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_process
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_tone
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_asrc
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_src
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_host
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_volume
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_mixer
  (jsc#SLE-16518).
- ASoC: SOF: append extended data to sof_ipc_comp_dai
  (jsc#SLE-16518).
- ASoC: SOF: topology: add helper for setting up IPC component
  (jsc#SLE-16518).
- ASoC: SOF: topology: parse comp_ext_tokens for all widgets
  (jsc#SLE-16518).
- ASoC: SOF: topology: create component extended tokens
  (jsc#SLE-16518).
- ASoC: SOF: add comp_ext to struct snd_sof_widget
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: add dailink .prepare and .hw_free callback
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: add dailink .trigger callback
  (jsc#SLE-16518).
- ASoC: Intel: KeemBay: Fix warning potential ! vs ~ typo
  (jsc#SLE-16518).
- ASoC: SOF: topology: fix core enable sequence (jsc#SLE-16518).
- ASoC: SOF: tokens: add token for component UUID (jsc#SLE-16518).
- ASoC: SOF: support topology components on secondary cores
  (jsc#SLE-16518).
- ASoC: SOF: add a "core" parameter to widget loading functions
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Simplify error handling during FW boot
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Add sof_tgl_ops for TGL platforms
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Define FW boot sequence with ICCMAX
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: define macro for code loader stream
  format (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: modify the signature of
  get_stream_with_tag() (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Add helper function to program ICCMAX
  stream (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Remove unused parameters in cl_dsp_init()
  (jsc#SLE-16518).
- ASoC: SOF: sof-of-dev: Add .arch_ops field (jsc#SLE-16518).
- ASoC: SOF: imx: Replace sdev->private with sdev->pdata->hw_pdata
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: add extended rom status dump to error
  log (jsc#SLE-16518).
- ASoC: SOF: topology: fix the ipc_size calculation for process
  component (jsc#SLE-16518).
- ASoC: SOF: intel: hda: support also devices with 1 and 3 dmics
  (jsc#SLE-16518).
- ASoC: SOF: fix a runtime pm issue in SOF when HDMI codec
  doesn't work (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: report error only for the last ROM init
  iteration (jsc#SLE-16518).
- ASoC: SOF: loader: Add debug box region (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: Parse debug ABI version
  (jsc#SLE-16518).
- ASoC: SOF: loader: fix memory leak in get_ext_windows
  (jsc#SLE-16518).
- ASoC: SOF: IPC: make sof_ipc_window monosized (jsc#SLE-16518).
- ASoC: Intel: use consistent HDAudio spelling in comments/docs
  (jsc#SLE-16518).
- ASoC: SOF: Intel: add dev_dbg log when driver is not selected
  (jsc#SLE-16518).
- ASoC: SOF: acpi: add dev_dbg() log for probe completion
  (jsc#SLE-16518).
- ASoC: SOF: IPC: reduce verbosity of IPC pointer updates
  (jsc#SLE-16518).
- ASoC: SOF: topology: reduce the log level for unhandled widgets
  (jsc#SLE-16518).
- ASoC: SOF: topology: remove unnecessary memory alloc for
  sdev->private (jsc#SLE-16518).
- ASoC: SOF: (cosmetic) use the "bool" type where it makes sense
  (jsc#SLE-16518).
- ASoC: SOF: topology: (cosmetic) remove redundant variable
  initialisations (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: clean-up inclusion of header files
  (jsc#SLE-16518).
- ASoC: intel: sof_sdw: add rt711 rt1316 rt714 SDCA codec support
  (jsc#SLE-16518).
- ASoC: SOF: Add topology filename override based on dmi data
  match (jsc#SLE-16518).
- ASoC: Intel: sof_rt5682: override quirk data for
  tgl_max98373_rt5682 (jsc#SLE-16518).
- SoC: Intel: sof_sdw: Add support for product Ripto
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: rename id as part_id (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: check SoundWire version when matching
  codec (jsc#SLE-16518).
- ASoC: Intel: soc-acpi: add support for SDCA boards
  (jsc#SLE-16518).
- ASoC: Intel: soc-acpi: mirror CML and TGL configurations
  (jsc#SLE-16518).
- ASoC: Intel: sof-soundwire: add support for rt5682 on link2
  (jsc#SLE-16518).
- ASoC: Intel: soc-acpi: cnl: add support for rt5682 on SoundWire
  link2 (jsc#SLE-16518).
- ASoC: Intel: modify SoundWire version id in acpi match table
  (jsc#SLE-16518).
- ASoC: intel: sof_sdw: add .exit callback function
  (jsc#SLE-16518).
- ASoC: SOF: Intel: add build support for SoundWire
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: (cosmetic) align function parameters
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: skl-topology: remove redundant assignment
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: skl-topology: remove redundant assignments
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: sst-utils: remove redundant assignment
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: cldma: remove redundant initialization
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: skl-nhlt: remove redundant initialization
  (jsc#SLE-16518).
- ASoC: Intel: haswell-ipc: remove redundant assignments
  (jsc#SLE-16518).
- ASoC: Intel: haswell: (cosmetic) align function parameters
  (jsc#SLE-16518).
- ASoC: Intel: common: (cosmetic) align function parameters
  (jsc#SLE-16518).
- ASoC: Intel: Baytrail: (cosmetic) align function parameters
  (jsc#SLE-16518).
- ASoC: Intel: Atom: (cosmetic) align parameters (jsc#SLE-16518).
- ASoC: Intel: Atom: sst_pvt: simplify return handling
  (jsc#SLE-16518).
- ASoC: Intel: Atom: sst_loader: remove always-true condition
  (jsc#SLE-16518).
- ASoC: Intel: Atom: remove useless assignment (jsc#SLE-16518).
- ASoC: Intel: Atom: platform-pcm: fix redundant return
  (jsc#SLE-16518).
- ASoC: Intel: Atom: sst_pvt: remove redundant initialization
  (jsc#SLE-16518).
- ASoC: Intel: Atom: remove redundant initialization
  (jsc#SLE-16518).
- ASoC: Intel: Atom: sst: remove useless NULL assignment
  (jsc#SLE-16518).
- ASoC: Intel: Atom: platform-pcm: remove redundant assignment
  (jsc#SLE-16518).
- ASoC: Intel: Atom: compress: remove redundant assignment
  (jsc#SLE-16518).
- ASoC: Intel: Atom: sst-atom-controls: remove redundant
  assignments (jsc#SLE-16518).
- ASoC: Intel: KMB: Enable TDM audio capture (jsc#SLE-16518).
- ASoC: Intel: bytcht_cx2072x: simplify return handling
  (jsc#SLE-16518).
- ASoC: Intel: rename shadowed variable for all broadwell boards
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-codec: move variable used conditionally
  (jsc#SLE-16518).
- ASOC: SOF: Intel: hda-codec: move unused label to correct
  position (jsc#SLE-16518).
- ASoC: SOF: delete repeated words in comments (jsc#SLE-16518).
- sound/soc/intel: Fix spelling mistake "cant" --> "can't"
  (jsc#SLE-16518).
- ASoC: various vendors: delete repeated words in comments
  (jsc#SLE-16518).
- ALSA: hda - remove kerneldoc for internal hdac_i915 function
  (jsc#SLE-16518).
- ALSA: hda - fix CONTROLLER_IN_GPU macro name (jsc#SLE-16518).
- ALSA: hda - handle multiple i915 device instances
  (jsc#SLE-16518).
- ALSA: hda - controller is in GPU on the DG1 (jsc#SLE-16518).
- ALSA: hda - add Intel DG1 PCI and HDMI ids (jsc#SLE-16518).
- ALSA: hda: (cosmetic) align function parameters (jsc#SLE-16518).
- ALSA: hda: auto_parser: remove shadowed variable declaration
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add AE-7 exit commands (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add AE-7 custom controls (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add AE-7 microphone selection commands
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add output selection for SoundBlaster AE-7
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add DSP setup functions for AE-7
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add init data for SoundBlaster AE-7
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add pre-init function for SoundBlaster AE-7
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add ca0132_mmio_init data for SoundBlaster
  AE-7 (jsc#SLE-16518).
- ALSA: hda/ca0132 - Set AE-7 bools and select mixer
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add SoundBlaster AE-7 pincfg (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add new quirk ID for SoundBlaster AE-7
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Fix Recon3D Center/LFE output
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add quirk output selection structures
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Clean up ca0132_alt_out_select
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Remove surround output selection
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add bass redirection controls
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add full-range speaker selection controls
  (jsc#SLE-16518).
- ASoC: SOF: use the sof_ipc_comp reserved bytes for extended data
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add surround channel config control
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add speaker tuning initialization commands
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Cleanup ca0132_mmio_init function
  (jsc#SLE-16518).
- ALSA: hda: fix VS_LTRC register name (jsc#SLE-16518).
- commit 3934635
* Mon Sep 28 2020 tiwai@suse.de
- clk: tegra: Fix initial rate for pll_a on Tegra124
  (jsc#SLE-16518).
- commit c103662
* Mon Sep 28 2020 tiwai@suse.de
- Documentation: sound/cards: fix heading underline lengths for
  https: changes (jsc#SLE-16518).
- ASoC: Documentation: fix reference to renamed source file
  (jsc#SLE-16518).
- commit ffbc027
* Mon Sep 28 2020 tiwai@suse.de
- blacklist.conf: add already cherry-picked ASoC entry
- commit e3a3df7
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- gpiolib: Introduce ->add_pin_ranges() callback (jsc#SLE-15847).
- gpiolib: No need to call gpiochip_remove_pin_ranges() twice (jsc#SLE-15847).
- gpiolib: Switch order of valid mask and hw init (jsc#SLE-15847).
- commit 9d20bd0
* Mon Sep 28 2020 tiwai@suse.de
- supported.conf: mark soundwire stuff as supported (jsc#SLE-16518)
- commit 69ed3e4
* Mon Sep 28 2020 tiwai@suse.de
- blacklist.conf: remove the temporary blacklist entries again
- commit 84f2d38
* Mon Sep 28 2020 tiwai@suse.de
- Revert "ALSA: usb-audio: Disable Lenovo P620 Rear line-in
  volume control" (jsc#SLE-16518).
- Revert "ALSA: hda - Fix silent audio output and corrupted
  input on MSI X570-A PRO" (jsc#SLE-16518).
- ALSA: usb-audio: Add delay quirk for H570e USB headsets
  (jsc#SLE-16518).
- ALSA: hda/realtek: Enable front panel headset LED on Lenovo
  ThinkStation P520 (jsc#SLE-16518).
- ALSA: hda/realtek - Couldn't detect Mic if booting with headset
  plugged (jsc#SLE-16518).
- ALSA: asihpi: fix iounmap in error handler (jsc#SLE-16518).
- ASoC: tlv320adcx140: Wake up codec before accessing register
  (jsc#SLE-16518).
- ASoC: core: Do not cleanup uninitialized dais on soc_pcm_open
  failure (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN Converter9 2-in-1
  (jsc#SLE-16518).
- ASoC: Intel: haswell: Fix power transition refactor
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix accessing uninitialized adcx140->dev
  (jsc#SLE-16518).
- ASoC: wm8994: Ensure the device is resumed in wm89xx_mic_detect
  functions (jsc#SLE-16518).
- ASoC: wm8994: Skip setting of the WM8994_MICBIAS register for
  WM1811 (jsc#SLE-16518).
- ASoC: meson: axg-toddr: fix channel order on g12 platforms
  (jsc#SLE-16518).
- ASoC: soc-core: add snd_soc_find_dai_with_mutex()
  (jsc#SLE-16518).
- ASoC: rt700: Fix return check for devm_regmap_init_sdw()
  (jsc#SLE-16518).
- ASoC: rt715: Fix return check for devm_regmap_init_sdw()
  (jsc#SLE-16518).
- ASoC: rt711: Fix return check for devm_regmap_init_sdw()
  (jsc#SLE-16518).
- ASoC: rt1308-sdw: Fix return check for devm_regmap_init_sdw()
  (jsc#SLE-16518).
- ASoC: max98373: Fix return check for devm_regmap_init_sdw()
  (jsc#SLE-16518).
- ASoC: qcom: common: Fix refcount imbalance on error
  (jsc#SLE-16518).
- ASoC: ti: fixup ams_delta_mute() function name (jsc#SLE-16518).
- ASoC: pcm3168a: ignore 0 Hz settings (jsc#SLE-16518).
- ASoC: Intel: tgl_max98373: fix a runtime pm issue in
  multi-thread case (jsc#SLE-16518).
- ASoC: qcom: Set card->owner to avoid warnings (jsc#SLE-16518).
- ASoC: intel: atom: Add period size constraint (jsc#SLE-16518).
- ASoC: Intel: skl_hda_dsp_generic: Fix NULLptr dereference in
  autosuspend delay (jsc#SLE-16518).
- ALSA: hda/realtek - The Mic on a RedmiBook doesn't work
  (jsc#SLE-16518).
- ALSA: hda: fixup headset for ASUS GX502 laptop (jsc#SLE-16518).
- soundwire: fix double free of dangling pointer (jsc#SLE-16518).
- soundwire: bus: fix typo in comment on INTSTAT registers
  (jsc#SLE-16518).
- ALSA: hda/realtek - Improved routing for Thinkpad X1 7th/8th
  Gen (jsc#SLE-16518).
- ALSA: hda: use consistent HDAudio spelling in comments/docs
  (jsc#SLE-16518).
- ALSA: hda: add dev_dbg log when driver is not selected
  (jsc#SLE-16518).
- ALSA: hda: fix a runtime pm issue in SOF when integrated GPU
  is disabled (jsc#SLE-16518).
- ALSA: hda: hdmi - add Rocketlake support (jsc#SLE-16518).
- commit 9c6baf3
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: pcm: oss: Remove superfluous WARN_ON() for mulaw sanity
  check (jsc#SLE-16518).
- ALSA: hda - Fix silent audio output and corrupted input on
  MSI X570-A PRO (jsc#SLE-16518).
- ALSA: hda/hdmi: always check pin power status in i915 pin fixup
  (jsc#SLE-16518).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion
  NT950XCJ-X716A (jsc#SLE-16518).
- ALSA: usb-audio: Add basic capture support for Pioneer DJ
  DJM-250MK2 (jsc#SLE-16518).
- ALSA: usb-audio: Add implicit feedback quirk for UR22C
  (jsc#SLE-16518).
- Revert "ALSA: hda: Add support for Loongson 7A1000 controller"
  (jsc#SLE-16518).
- ALSA: hda/tegra: Program WAKEEN register for Tegra
  (jsc#SLE-16518).
- ALSA: hda: Fix 2 channel swapping for Tegra (jsc#SLE-16518).
- ALSA: ca0106: fix error code handling (jsc#SLE-16518).
- ALSA: usb-audio: Disable autosuspend for Lenovo ThinkStation
  P620 (jsc#SLE-16518).
- ALSA: firewire-digi00x: exclude Avid Adrenaline from detection
  (jsc#SLE-16518).
- ALSA; firewire-tascam: exclude Tascam FE-8 from detection
  (jsc#SLE-16518).
- ALSA: hda: avoid reset of sdo_limit (jsc#SLE-16518).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion
  (jsc#SLE-16518).
- ASoC: intel: Fix memleak in sst_media_open (jsc#SLE-16518).
- ASoC: wm8994: Avoid attempts to read unreadable registers
  (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: fix register Interrupt offset
  (jsc#SLE-16518).
- ASoC: wm8994: Prevent access to invalid VU register bits on
  WM1811 (jsc#SLE-16518).
- ASoC: q6routing: add dummy register read/write function
  (jsc#SLE-16518).
- ASoC: q6afe-dai: mark all widgets registers as SND_SOC_NOPM
  (jsc#SLE-16518).
- ASoC: Make soc_component_read() returning an error code again
  (jsc#SLE-16518).
- ASoC: amd: Replacing component->name with codec_dai->name
  (jsc#SLE-16518).
- ASoC: tegra: tegra210_i2s: Fix compile warning with CONFIG_PM=n
  (jsc#SLE-16518).
- ASoC: tegra: tegra210_dmic: Fix compile warning with CONFIG_PM=n
  (jsc#SLE-16518).
- ASoC: tegra: tegra210_ahub: Fix compile warning with CONFIG_PM=n
  (jsc#SLE-16518).
- ASoC: tegra: tegra210_admaif: Fix compile warning with
  CONFIG_PM=n (jsc#SLE-16518).
- ASoC: tegra: tegra186_dspk: Fix compile warning with CONFIG_PM=n
  (jsc#SLE-16518).
- ASoC: fsl: Fix unused variable warning (jsc#SLE-16518).
- ASoC: amd: renoir: restore two more registers during resume
  (jsc#SLE-16518).
- ASoC: wm8962: Do not remove ADDITIONAL_CONTROL_4 from readable
  register list (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Remove fsl_asoc_card_set_bias_level
  function (jsc#SLE-16518).
- ALSA: usb-audio: ignore broken processing/extension unit
  (jsc#SLE-16518).
- ALSA: hda/realtek: Add model alc298-samsung-headphone
  (jsc#SLE-16518).
- ALSA: usb-audio: Update documentation comment for MS2109 quirk
  (jsc#SLE-16518).
- ALSA: isa: fix spelling mistakes in the comments
  (jsc#SLE-16518).
- ALSA: usb-audio: Add capture support for Saffire 6 (USB 1.1)
  (jsc#SLE-16518).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Flex Book
  (jsc#SLE-16518).
- ALSA: echoaudio: Fix potential Oops in snd_echo_resume()
  (jsc#SLE-16518).
- ALSA: hda/hdmi: Use force connectivity quirk on another HP
  desktop (jsc#SLE-16518).
- ALSA: hda/realtek - Fix unused variable warning (jsc#SLE-16518).
- ALSA: hda - reverse the setting value in the micmute_led_set
  (jsc#SLE-16518).
- ALSA: echoaduio: Drop superfluous volatile modifier
  (jsc#SLE-16518).
- ALSA: usb-audio: Disable Lenovo P620 Rear line-in volume control
  (jsc#SLE-16518).
- ALSA: usb-audio: add quirk for Pioneer DDJ-RB (jsc#SLE-16518).
- ALSA: usb-audio: work around streaming quirk for MacroSilicon
  MS2109 (jsc#SLE-16518).
- ALSA: hda - fix the micmute led status for Lenovo ThinkCentre
  AIO (jsc#SLE-16518).
- ALSA: usb-audio: fix overeager device match for MacroSilicon
  MS2109 (jsc#SLE-16518).
- ALSA: hda/realtek: Fix pin default on Intel NUC 8 Rugged
  (jsc#SLE-16518).
- ALSA: usb-audio: Creative USB X-Fi Pro SB1095 volume knob
  support (jsc#SLE-16518).
- ALSA: usb-audio: fix spelling mistake "buss" -> "bus"
  (jsc#SLE-16518).
- ALSA: pci: delete repeated words in comments (jsc#SLE-16518).
- ALSA: isa: delete repeated words in comments (jsc#SLE-16518).
- ALSA: hda/tegra: Add 100us dma stop delay (jsc#SLE-16518).
- ALSA: hda: Add dma stop delay variable (jsc#SLE-16518).
- ASoC: hda/tegra: Set buffer alignment to 128 bytes
  (jsc#SLE-16518).
- ALSA: seq: oss: Serialize ioctls (jsc#SLE-16518).
- ALSA: hda/hdmi: Add quirk to force connectivity (jsc#SLE-16518).
- ALSA: usb-audio: add startech usb audio dock name
  (jsc#SLE-16518).
- ALSA: usb-audio: Add support for Lenovo ThinkStation P620
  (jsc#SLE-16518).
- ASoC: core: Two step component registration (jsc#SLE-16518).
- ASoC: core: Simplify snd_soc_component_initialize declaration
  (jsc#SLE-16518).
- ASoC: core: Relocate and expose snd_soc_component_initialize
  (jsc#SLE-16518).
- ASoC: sh: Replace 'select' DMADEVICES 'with depends on'
  (jsc#SLE-16518).
- ASoC: Intel: drop unnecessary list_empty (jsc#SLE-16518).
- ASoC: rk3399_gru_sound: Add DAPM pins, kcontrols for jack
  detection (jsc#SLE-16518).
- ASoC: wm8962: Do not access WM8962_GPIO_BASE (jsc#SLE-16518).
- ASoC: SOF: imx: use resource_size (jsc#SLE-16518).
- ASoC: Intel: KMB: Rework disable channel function
  (jsc#SLE-16518).
- ASoC: Intel: KMB: Add 8kHz audio support (jsc#SLE-16518).
- ASoC: meson: cards: remove DT_PREFIX for standard daifmt
  properties (jsc#SLE-16518).
- ASoC: amd: Added hw_params support for ALC1015 (jsc#SLE-16518).
- ASoC: amd: Adding DAI LINK for rt1015 codec (jsc#SLE-16518).
- ASoC: amd: Adding support for ALC1015 codec in machine driver
  (jsc#SLE-16518).
- ASoC: amd: Passing card structure based on codec
  (jsc#SLE-16518).
- ASoC: amd: Renaming snd-soc-card structure and fields
  (jsc#SLE-16518).
- ASoC: samsung: Add sound support for Midas boards
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Move device reset to before programming
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix GPO register start address
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add GPO configuration and drive output
  config (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix various style errors and warnings
  (jsc#SLE-16518).
- ASoC: bcm2835: Silence clk_get() error on -EPROBE_DEFER
  (jsc#SLE-16518).
- ASoC: SOF: Intel: disable traces when switching to S0Ix D0I3
  (jsc#SLE-16518).
- ASoC: SOF: Intel: fix the suspend procedure to support s0ix
  entry (jsc#SLE-16518).
- ASoC: tas2562: Update shutdown GPIO property (jsc#SLE-16518).
- ASoC: madera: Add channel numbers to AIFs (jsc#SLE-16518).
- ASoC: intel: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: intel/boards: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: dt-bindings: q6asm: Add Q6ASM_DAI_{TX_RX, TX, RX} defines
  (jsc#SLE-16518).
- ASoC: AMD: Restore PME_EN state at Power On (jsc#SLE-16518).
- ASoC: dapm: don't call pm_runtime_* on card device
  (jsc#SLE-16518).
- ASoC: qcom: common: Avoid printing errors for -EPROBE_DEFER
  (jsc#SLE-16518).
- ASoC: qcom: apq8016_sbc: Use qcom_snd_parse_of()
  (jsc#SLE-16518).
- ASoC: qcom: common: Parse properties with "qcom," prefix
  (jsc#SLE-16518).
- ASoC: qcom: common: Support parsing links without DPCM
  (jsc#SLE-16518).
- ASoC: q6afe: Remove unused q6afe_is_rx_port() function
  (jsc#SLE-16518).
- ASoC: qcom: common: Use snd_soc_dai_link_set_capabilities()
  (jsc#SLE-16518).
- ASoC: qcom: Use devm for resource management (jsc#SLE-16518).
- commit 1080777
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: max98390: update dsm param bin max size (jsc#SLE-16518).
- ASoC: max98390: Update dsm init sequence and condition
  (jsc#SLE-16518).
- ASoC: soc-component: don't report of_xlate_dai_name failures
  (jsc#SLE-16518).
- ASoC: uniphier: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: mxs: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: xtensa: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: kirkwood: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: sprd: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: generic: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: codecs: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: bcm: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: au1x: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: meson: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: dwc: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: qcom: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: atmel: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: mediatek: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: fsl: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: amd: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: rockchip: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: cirrus: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: pxa: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: samsung: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: sh: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: sof: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: stm: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: sunxi: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: tegra: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: ti: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: ux500: use asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: soc-xxx: add asoc_substream_to_rtd() (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Support configuring dai fmt from DT
  (jsc#SLE-16518).
- ASoC: fsl_esai: add IRQF_SHARED for devm_request_irq
  (jsc#SLE-16518).
- ASoC: tegra: Fix build error due to 64-by-32 division
  (jsc#SLE-16518).
- ASoC: ti: fix SND_SOC_J721E_EVM warnings & errors
  (jsc#SLE-16518).
- ASoC: omap: Replace HTTP links with HTTPS ones (jsc#SLE-16518).
- ASoC: wm_adsp: Support new metadata block ID's (jsc#SLE-16518).
- ASoC: fsl: Replace HTTP links with HTTPS ones (jsc#SLE-16518).
- ASoC: ti: Replace HTTP links with HTTPS ones (jsc#SLE-16518).
- ASoC: mediatek: mt8183: support machine driver with max98357b
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: support left justified format for I2S
  (jsc#SLE-16518).
- ASoC: SOF: pcm: Update rate/channels for SAI/ESAI DAIs
  (jsc#SLE-16518).
- ASoC: SOF: topology: Update SAI config bclk/fsync rate
  (jsc#SLE-16518).
- ASoC: SOF: imx8: Add SAI dai driver for i.MX/i.MX8X
  (jsc#SLE-16518).
- ASoC: SOF: imx8m: Fix SAI DAI driver for i.MX8M (jsc#SLE-16518).
- ASoC: SOF: imx8: Fix ESAI DAI driver name for i.MX8/iMX8X
  (jsc#SLE-16518).
- ASoC: SOF: imx: Use ARRAY_SIZE instead of hardcoded value
  (jsc#SLE-16518).
- ASoC: SOF: define INFO_ flags in dsp_ops for imx8
  (jsc#SLE-16518).
- ASoC: hdac_hda: fix deadlock after PCM open error
  (jsc#SLE-16518).
- ASoC: hdac_hda: fix memleak on module unload (jsc#SLE-16518).
- ASoC: hdac_hda: call patch_ops.free() on probe error
  (jsc#SLE-16518).
- ASoC: Replace HTTP links with HTTPS ones (jsc#SLE-16518).
- ASoC: tegra: Add Tegra210 based ADMAIF driver (jsc#SLE-16518).
- ASoC: tas2770: Fix reset gpio property name (jsc#SLE-16518).
- ASoC: intel: board: sof_rt5682: Update rt1015 pll input clk freq
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: avoid crash if invalid DSP topology loaded
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: add support for systems without i915 audio
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt711: remove properties in card remove
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt711: remove hard-coded codec name
  (jsc#SLE-16518).
- ASoC: tegra: Add Tegra186 based DSPK driver (jsc#SLE-16518).
- commit 9a74e2d
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: tegra: Add Tegra210 based AHUB driver (jsc#SLE-16518).
- ASoC: tegra: Add Tegra210 based I2S driver (jsc#SLE-16518).
- ASoC: tegra: Add Tegra210 based DMIC driver (jsc#SLE-16518).
- ASoC: tegra: Add support for CIF programming (jsc#SLE-16518).
- ASoC: soc-dai.h: drop a duplicated word (jsc#SLE-16518).
- ASoC: wcd9335.h: fix duplicated word (jsc#SLE-16518).
- ASoC: tegra20_das.h: delete duplicated words (jsc#SLE-16518).
- ASoC: Intel: Skylake: Avoid the use of one-element array
  (jsc#SLE-16518).
- ASoC: soc-core: snd_soc_dai_digital_mute() for both CPU/Codec
  (jsc#SLE-16518).
- ASoC: atmel: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: rt5682: optimize the power consumption (jsc#SLE-16518).
- ASoC: soc-dai.h: don't use discriminatory terms for comment
  (jsc#SLE-16518).
- ASoC: qcom: qdsp6: Use IS_ERR() instead of IS_ERR_OR_NULL()
  (jsc#SLE-16518).
- ASoC: rt5682: disable MICBIAS and Vref2 widget in default
  (jsc#SLE-16518).
- ASoC: qcom: qdsp6: Use the defined variable to clean code
  (jsc#SLE-16518).
- ALSA: hda: fix snd_hda_codec_cleanup() documentation
  (jsc#SLE-16518).
- ALSA: hda: export snd_hda_codec_cleanup_for_unbind()
  (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Support Headphone and Microphone Jack
  detection (jsc#SLE-16518).
- ASoC: simple-card-utils: Support configure pin_name for
  asoc_simple_init_jack (jsc#SLE-16518).
- ASoC: codecs: ak*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: cs*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: da*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: es*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: wm*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: alc*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: max*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: pcm*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: ssm*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: tas*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: tlv*: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: codecs: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: meson: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: spear: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: ti: merge .digital_mute() into .mute_stream()
  (jsc#SLE-16518).
- ASoC: soc-dai.c: add .no_capture_mute support (jsc#SLE-16518).
- ASoC: hdmi-codec: return -ENOTSUPP for digital_mute
  (jsc#SLE-16518).
- ASoC: soc-component: Add missed return for calling
  soc_component_ret (jsc#SLE-16518).
- ASoC: fsl: fsl-asoc-card: Trivial: Fix misspelling of 'exists'
  (jsc#SLE-16518).
- ASoC: ssi: don't use discriminatory terms for debug log
  (jsc#SLE-16518).
- ASoC: siu: don't use discriminatory terms for parameter
  (jsc#SLE-16518).
- ASoC: fsi: don't use discriminatory terms for comment
  (jsc#SLE-16518).
- ASoC: rsnd: don't use discriminatory terms for comment
  (jsc#SLE-16518).
- ASoC: rsnd: don't use discriminatory terms for function names
  (jsc#SLE-16518).
- ASoC: rockchip: spdif: Handle clk by pm runtime (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: support HDMI jack reporting
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: use hdmi-codec (jsc#SLE-16518).
- ASoC: mediatek: mt8183: support HDMI jack reporting
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: use hdmi-codec (jsc#SLE-16518).
- ASoC: codecs: ak4458: Remove set but never checked variable
  'ret' (jsc#SLE-16518).
- ASoC: codecs: tlv320aic26: Demote seemingly unintentional
  kerneldoc header (jsc#SLE-16518).
- ASoC: codecs: rt5659: Remove many unused const variables
  (jsc#SLE-16518).
- ASoC: codecs: rt5631: fix spurious kernel-doc start and missing
  arguments (jsc#SLE-16518).
- ASoC: ux500: ux500_msp_i2s: Remove unused variables 'reg_val_DR'
  and 'reg_val_TSTDR' (jsc#SLE-16518).
- ASoC: pxa: pxa-ssp: Demote seemingly unintentional kerneldoc
  header (jsc#SLE-16518).
- ASoC: sunxi: sun4i-spdif: Fix misspelling of 'reg_dac_txdata'
  in kernel-doc (jsc#SLE-16518).
- ASoC: sunxi: sun4i-i2s: add missing clock and format arguments
  in kernel-doc (jsc#SLE-16518).
- ASoC: qcom: qdsp6: q6asm: Provide documentation for
  'codec_profile' (jsc#SLE-16518).
- ASoC: sti: uniperif: fix 'defined by not used' warning
  (jsc#SLE-16518).
- commit 045db04
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: codecs: max98373: add SoundWire support (jsc#SLE-16518).
- Update config files.
- commit 83c7b7f
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: fsl_spdif: Add kctl for configuring TX validity bit
  (jsc#SLE-16518).
- ASoC: fsl_spdif: Clear the validity bit for TX (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_rt5672: Improve dai-set-fmt comment in
  cht_codec_fixup() (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: support machine driver with
  rt1015 (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: extract codec and DAI names
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: remove forward declaration of
  headset_init (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: sort header inclusions in
  alphabetical (jsc#SLE-16518).
- ASoC: Intel: sdw_max98373: add card_late_probe support
  (jsc#SLE-16518).
- ASoC: Intel: sof-sdw: add MAX98373 I2C dependencies
  (jsc#SLE-16518).
- commit 5062b70
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: codecs: max98373: split I2C and common parts
  (jsc#SLE-16518).
- Update config files.
- commit de268ad
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- dt-bindings: soc: tegra-pmc: Add ID for Tegra PMC 32 kHz blink clock (jsc#SLE-15847).
- dt-bindings: soc: tegra-pmc: Add Tegra PMC clock bindings (jsc#SLE-15847).
- commit f7e6e0d
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: amd: raven: acp3x-i2s: fix 'set but not used' warning
  (jsc#SLE-16518).
- Update config files.
- commit 16e01a3
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: codecs: rt*: fix 'defined but not used' warning
  (jsc#SLE-16518).
- ASoC: codecs: max98390: fix 'defined but not used' warning
  (jsc#SLE-16518).
- ASoC: codecs: es8316: fix 'defined but not used' warning
  (jsc#SLE-16518).
- ASoC: ti: omap-mcbsp-st: Remove set, but unused variable 'w'
  (jsc#SLE-16518).
- ASoC: codecs: jz4770: Remove defined but never used variable
  'mic_boost_tlv' (jsc#SLE-16518).
- ASoC: codecs: da7219: fix 'defined but not used' warning
  (jsc#SLE-16518).
- ASoC: codecs: da7210: fix kernel-doc (jsc#SLE-16518).
- ASoC: uniphier: aio-core: fix kernel-doc (jsc#SLE-16518).
- ASoC: tegra: tegra20_das: remove always-true comparison
  (jsc#SLE-16518).
- ASoC: samsung: pcm: fix kernel-doc (jsc#SLE-16518).
- ASoC: samsung: spdif: fix kernel-doc (jsc#SLE-16518).
- ASoC: atmel: fix kernel-doc (jsc#SLE-16518).
- ASoC: codecs: Use fallthrough pseudo-keyword (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add tx offset slot programming
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add ASI enable for channel 5-8
  (jsc#SLE-16518).
- ASoC: atmel-pdmic: remove codec component (jsc#SLE-16518).
- ASoC: atmel-classd: remove codec component (jsc#SLE-16518).
- ASoC: mediatek: mt8183: support machine driver with rt1015
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: sort header inclusions in alphabetical
  (jsc#SLE-16518).
- ASoC: topology: add more logs when topology load fails
  (jsc#SLE-16518).
- ASoC: topology: factor kfree(se) in error handling
  (jsc#SLE-16518).
- ASoC: topology: use break on errors, not continue
  (jsc#SLE-16518).
- ASoC: qdsp6: use dev_err instead of pr_err (jsc#SLE-16518).
- ASoC: q6asm: add command opcode to timeout error report
  (jsc#SLE-16518).
- ASoC: amd: fixed kernel warnings (jsc#SLE-16518).
- ASoC: fsl: mpc8610_hpcd: Add missing of_node_put()
  (jsc#SLE-16518).
- ASoC: amd: raven: acp3x-i2s: remove unused-but-set variable
  (jsc#SLE-16518).
- ASoC: amd: raven: acp3x-pcm-dma: remove unused-but-set variable
  (jsc#SLE-16518).
- commit 5439a6b
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- dt-bindings: memory: Add Tegra194 memory controller header (jsc#SLE-15847).
- commit 461954d
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: amd: raven: acp3x-pcm-dma: fix 'set but not used' warning
  (jsc#SLE-16518).
- ASoC: amd: acp-rt5645: fix 'defined but not used' warning
  (jsc#SLE-16518).
- ASoC: amd: acp-da7219-max98357a: fix 'defined but not used'
  warning (jsc#SLE-16518).
- ASoC: da7213: add default clock handling (jsc#SLE-16518).
- ASoC: amd: add ACPI dependency check (jsc#SLE-16518).
- ASoC: codecs: wm8400: remove unused variables (jsc#SLE-16518).
- ASoC: fsl: fsl_esai: fix kernel-doc (jsc#SLE-16518).
- ASoC: fsl: fsl_spdif: fix kernel-doc (jsc#SLE-16518).
- ASoC: fsl: fsl-asoc-card: fix kernel-doc (jsc#SLE-16518).
- ASoC: fsl: fsl_ssi_dbg: remove spurious kernel-doc comment start
  (jsc#SLE-16518).
- ASoC: rt5670: Rename dev_gpio to gpio1_is_irq (jsc#SLE-16518).
- ASoC: rt5670: Remove struct rt5670_platform_data
  (jsc#SLE-16518).
- ASoC: fsl: fsl_asrc: fix kernel-doc (jsc#SLE-16518).
- ASoC: fsl: fsl_ssi: fix kernel-doc (jsc#SLE-16518).
- ASoC: soc-ac97: fix kernel-doc (jsc#SLE-16518).
- ASoC: amd: add logic to check dmic hardware runtime
  (jsc#SLE-16518).
- ASoC: ti: j721e-evm: Fix missing unlock on error in
  j721e_audio_hw_params() (jsc#SLE-16518).
- ASoC: Intel: bxt-da7219-max98357a: return -EINVAL on
  unrecognized speaker amplifier (jsc#SLE-16518).
- ASoC: codecs: wm8994: fix kernel-doc (jsc#SLE-16518).
- ASoC: codecs: wm9713: remove spurious kernel-doc comment start
  (jsc#SLE-16518).
- ASoC: codecs: wm8960: fix kernel-doc (jsc#SLE-16518).
- ASoC: codecs: wm8986: fix missing kernel-doc arguments
  (jsc#SLE-16518).
- ASoC: codecs: cs42l42: remove always-true comparisons
  (jsc#SLE-16518).
- ASoC: codecs: cs4270: fix kernel-doc (jsc#SLE-16518).
- ASoC: Intel: atom: fix 'defined but not used' warning
  (jsc#SLE-16518).
- ASoC: Intel: atom: fix kernel-doc (jsc#SLE-16518).
- ASoC: SOF: sof-acpi-dev: fix 'defined but unused' warning
  (jsc#SLE-16518).
- ASoC: Intel: bxt-da7219-max98357a: support MAX98390 speaker amp
  (jsc#SLE-16518).
- ASoC: ti: Add custom machine driver for j721e EVM (CPB and IVI)
  (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Specify stream_name for
  playback/capture (jsc#SLE-16518).
- ASoC: fsl_asrc: Add an option to select internal ratio mode
  (jsc#SLE-16518).
- ASoC: amd: Enable interrupt in dma_open (jsc#SLE-16518).
- ASoC: Intel: KeemBay: Fix header guard (jsc#SLE-16518).
- ASoC: fsl_sai: Refine regcache usage with pm runtime
  (jsc#SLE-16518).
- ASoC: tas2562: Add voltage sense slot configuration
  (jsc#SLE-16518).
- ASoC: tas2562: Add right and left channel slot programming
  (jsc#SLE-16518).
- asoc: Update supported rate and format for dummy dai
  (jsc#SLE-16518).
- commit 318e1a6
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: sof_sdw: Add MAX98373 support (jsc#SLE-16518).
- ASoC: samsung: Fix a typo in Kconfig (jsc#SLE-16518).
- ASoC: Intel: common: add match table for TGL MAX98373 + RT5682
  SoundWire driver (jsc#SLE-16518).
- ASoc: Intel: cml_rt1011_rt5682: explicitly access first codec
  (jsc#SLE-16518).
- ASoC: Intel: Boards: tgl_max98373: Update TDM configuration
  in hw_params (jsc#SLE-16518).
- ASoC: intel: cml_rt1011_rt5682: use for_each_card_prelinks
  (jsc#SLE-16518).
- ASoC: Intel: Boards: cml_rt1011_rt5682: use statically define
  codec config (jsc#SLE-16518).
- ASoC: Intel: Boards: cml_rt1011_rt5682: reduce log level for
  printing quirk (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: Add support for jsl-max98360a-rt5682
  (jsc#SLE-16518).
- ASoC: Intel: Boards: tgl_max98373: Fix the comment for
  max_98373_components (jsc#SLE-16518).
- ASoC: Intel: Boards: tgl_max98373: add dai_trigger function
  (jsc#SLE-16518).
- ASoC: Intel: boards: byt*.c: remove cast in dev_info quirk log
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: add quirk override with kernel parameter
  (jsc#SLE-16518).
- ASoC: Intel: bxt_rt298: add missing .owner field
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: add missing .owner field (jsc#SLE-16518).
- ASoC: Intel: cml_rt1011_rt5682: add missing .owner field
  (jsc#SLE-16518).
- ASoC: SOF: nocodec: add missing .owner field (jsc#SLE-16518).
- snd/soc: correct trivial kernel-doc inconsistency
  (jsc#SLE-16518).
- ASoC: rt1015: add missing header inclusion (jsc#SLE-16518).
- ASoC: dapm: declare missing structure prototypes
  (jsc#SLE-16518).
- commit 8e0a666
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: core: move definition of enum snd_soc_bias_level
  (jsc#SLE-16518).
- ASoC: tas2562: Fix format issue for extra space before a comma
  (jsc#SLE-16518).
- ASoC: tas2562: Update shutdown GPIO property (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Add WM8524 support (jsc#SLE-16518).
- ASoC: intel: cml_rt1011_rt5682: disable jack in dailink .exit()
  (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: move disabling jack to dai link's
  exit() (jsc#SLE-16518).
- ASoC: Intel: kbl-rt5660: use .exit() dailink callback to
  release gpiod (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5677: fix module load/unload issues
  (jsc#SLE-16518).
- ASoC: soc-link: introduce exit() callback (jsc#SLE-16518).
- ASoC: rt1011: fix KASAN out-of-bounds bug in find_next_bit()
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: set playback and capture
  constraints (jsc#SLE-16518).
- ASoC: fsl_easrc: Fix uninitialized scalar variable in
  fsl_easrc_set_ctx_format (jsc#SLE-16518).
- ASoC: remove snd_soc_component_read32() (jsc#SLE-16518).
- ASoC: codecs: ak*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: cs*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: da*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: rt*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: wm*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: alc*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: msm*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: max*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: tlv*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: wcd*: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: codecs: rename to snd_soc_component_read()
  (jsc#SLE-16518).
- ASoC: atmel: rename to snd_soc_component_read() (jsc#SLE-16518).
- ASoC: pxa: rename to snd_soc_component_read() (jsc#SLE-16518).
- ASoC: soc-component: use io_mutex correctly (jsc#SLE-16518).
- ASoC: soc-component: merge snd_soc_component_read() and
  snd_soc_component_read32() (jsc#SLE-16518).
- ASoC: wm_adsp: Add controls for calibration and diagnostic FW
  (jsc#SLE-16518).
- ASoC: qcom: Kconfig: Tweak dependencies on SND_SOC_SDM845
  (jsc#SLE-16518).
- ASoC: fsl_spdif: Add pm runtime function (jsc#SLE-16518).
- ASoC: amd: Removing unnecessary instance initialization
  (jsc#SLE-16518).
- ASoC: Intel: broadwell: simplify card names for SOF uses
  (jsc#SLE-16518).
- ASoC: Intel: cht*: simplify card names for SOF uses
  (jsc#SLE-16518).
- ASoC: Intel: byt*: simplify card names for SOF uses
  (jsc#SLE-16518).
- ASoC: meson: imply acodec glue on axg sound card
  (jsc#SLE-16518).
- ASoC: fsl_spdif: Add support for imx6sx platform
  (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Add MQS support (jsc#SLE-16518).
- ASoC: tegra: Fix reference count leaks (jsc#SLE-16518).
- ASoC: rt1015: Flush DAC data before playback (jsc#SLE-16518).
- commit d562e8a
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: Add makefiles and kconfig changes for KeemBay
  (jsc#SLE-16518).
- Update config files.
- commit 5d5ac9a
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: fsl_easrc: Fix "Function parameter not described" warnings
  (jsc#SLE-16518).
- ASoC: fsl_easrc: Fix -Wunused-but-set-variable (jsc#SLE-16518).
- ASoC: fsl_easrc: Fix -Wmissing-prototypes warning
  (jsc#SLE-16518).
- ASoC: Intel: Add KeemBay platform driver (jsc#SLE-16518).
- ASoC: soc-pcm/compress: reduce verbosity on mapping ok messages
  (jsc#SLE-16518).
- ASoC: soc-pcm: improve error messages in soc_pcm_new()
  (jsc#SLE-16518).
- ASoC: soc-core: reduce verbosity of BE override message
  (jsc#SLE-16518).
- ASoC: max98357a: add compatible string for MAX98360A
  (jsc#SLE-16518).
- ASoC: mediatek: mt6358: support DMIC one-wire mode
  (jsc#SLE-16518).
- ASoC: soc-component: tidyup Copyright (jsc#SLE-16518).
- ASoC: soc-component: merge soc_pcm_trigger_start/stop()
  (jsc#SLE-16518).
- ASoC: soc-component: merge soc-io.c into soc-component.c
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_init()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_trigger()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_hw_free()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_hw_params()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_prepare()
  (jsc#SLE-16518).
- ASoC: soc-component: add soc_component_err() (jsc#SLE-16518).
- ASoC: soc-component: move snd_soc_component_initialize()
  to soc-component.c (jsc#SLE-16518).
- ASoC: soc-component: move snd_soc_component_xxx_regmap()
  to soc-component (jsc#SLE-16518).
- ASoC: soc-component: add soc_component_pin() and share code
  (jsc#SLE-16518).
- ASoC: AMD: Use mixer control to switch between DMICs
  (jsc#SLE-16518).
- ASoC: max98390: Add Amp init common setting func
  (jsc#SLE-16518).
- ASoC: rt5682: DAI wclk supports 44100 Hz output (jsc#SLE-16518).
- ASoC: rt5682: Let PLL2 support the freq conversion for 44100Hz
  sample rate (jsc#SLE-16518).
- ASoC: rl6231: Add new supports on rl6231 (jsc#SLE-16518).
- ASoC: img-parallel-out: Fix a reference count leak
  (jsc#SLE-16518).
- ASoC: img: Fix a reference count leak in img_i2s_in_set_fmt
  (jsc#SLE-16518).
- ASoC: wm8960: Support headphone jack detection function
  (jsc#SLE-16518).
- commit 0d00972
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: samsung: Add driver for Aries boards (jsc#SLE-16518).
- ASoC: wm0010: Use kmemdup rather than duplicating its
  implementation (jsc#SLE-16518).
- ASoC: fsl_sai: Fix value of FSL_SAI_CR1_RFW_MASK
  (jsc#SLE-16518).
- ASoC: meson: cards: deal dpcm flag change (jsc#SLE-16518).
- ASoC: core: use less strict tests for dailink capabilities
  (jsc#SLE-16518).
- ASoC: meson: axg-tdm-formatters: fix sclk inversion
  (jsc#SLE-16518).
- ASoC: meson: axg-tdmin: fix g12a skew (jsc#SLE-16518).
- ASoC: meson: axg-tdm-interface: fix link fmt setup
  (jsc#SLE-16518).
- ASoC: soc-core: Fix regression causing sysfs entries to
  disappear (jsc#SLE-16518).
- ASoC: max98390: Fix dac event dapm mixer (jsc#SLE-16518).
- ASoC: Intel: kbl_rt5663_rt5514_max98927: Fix kabylake_ssp_fixup
  function (jsc#SLE-16518).
- ASoC: intel/skl/hda - fix probe regression on systems without
  i915 (jsc#SLE-16518).
- ASoC: max98357a: move control of SD_MODE back to DAI ops
  (jsc#SLE-16518).
- ASoC: Intel: common: change match table ehl-rt5660
  (jsc#SLE-16518).
- ASoC: meson: fixes the missed kfree() for
  axg_card_add_tdm_loopback (jsc#SLE-16518).
- Revert "ALSA: hda: call runtime_allow() for all hda controllers"
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Fix AE-5 microphone selection commands
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add new quirk ID for Recon3D (jsc#SLE-16518).
- ALSA: hda/ca0132 - Fix ZxR Headphone gain control get value
  (jsc#SLE-16518).
- ALSA: usb-audio: endpoint : remove needless check before
  usb_free_coherent() (jsc#SLE-16518).
- commit 5cad3ca
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: hda/hdmi: Add Intel silent stream support (jsc#SLE-16518).
- Update config files.
- commit 91b7672
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: Replace the word "slave" in vmaster API (jsc#SLE-16518).
- ALSA: asihpi: delete duplicated word (jsc#SLE-16518).
- ALSA: Replace HTTP links with HTTPS ones (jsc#SLE-16518).
- ALSA: line6: Use kmemdup in podhd_set_monitor_level()
  (jsc#SLE-16518).
- ALSA: hda: Add support for Loongson 7A1000 controller
  (jsc#SLE-16518).
- Revert "ALSA: pcm: Use SG-buffer only when direct DMA is
  available" (jsc#SLE-16518).
- ALSA: usb-audio: Replace blacklist word (jsc#SLE-16518).
- ALSA: via82xx: Replace the words whitelist (jsc#SLE-16518).
- ALSA: nm256: Replace the words blacklist (jsc#SLE-16518).
- ALSA: intel8x0: Replace the words white/blacklist
  (jsc#SLE-16518).
- ALSA: hda: Replace the words white/blacklist (jsc#SLE-16518).
- ALSA: es1968: Replace the words white/blacklist (jsc#SLE-16518).
- ALSA: ctxfi: Replace the word blacklist (jsc#SLE-16518).
- ALSA: bt87x: Replace the words white/blacklist (jsc#SLE-16518).
- ALSA: ac97: Replace the words white/blacklist (jsc#SLE-16518).
- ALSA: hda/tegra: Disable sync-write operation (jsc#SLE-16518).
- ALSA: echoaudio: re-enable IRQs on failure path (jsc#SLE-16518).
- ALSA: line6: add hw monitor volume control for POD HD500
  (jsc#SLE-16518).
- ALSA: Replace with fallthrough pseudo keyword in the remaining
  places (jsc#SLE-16518).
- ALSA: xen: Remove superfluous fall through comments
  (jsc#SLE-16518).
- ALSA: atmel: Remove invalid "fall through" comments
  (jsc#SLE-16518).
- ALSA: Use fallthrough pseudo-keyword (jsc#SLE-16518).
- ALSA: echoaudio: Address bugs in the interrupt handling
  (jsc#SLE-16518).
- ALSA: echoaudio: Prevent some noise on unloading the module
  (jsc#SLE-16518).
- ALSA: echoaudio: Prevent races in calls to set_audio_format()
  (jsc#SLE-16518).
- ALSA: echoaudio: Race conditions around "opencount"
  (jsc#SLE-16518).
- ALSA: echoaudio: Remove redundant check (jsc#SLE-16518).
- ALSA: usb/line6: remove 'defined but not used' warning
  (jsc#SLE-16518).
- ALSA: pcm: Fix build error on m68k and others (jsc#SLE-16518).
- ALSA: pci/au88x0: remove "defined but not used" warnings
  (jsc#SLE-16518).
- ALSA: vx_core: remove warning for empty loop body
  (jsc#SLE-16518).
- ALSA: pcmcia/pdaudiocf: fix kernel-doc (jsc#SLE-16518).
- ALSA: pci/via82xx: remove 'set but not used' warnings
  (jsc#SLE-16518).
- ALSA: pci/fm801: fix kernel-doc (jsc#SLE-16518).
- ALSA: pci/es1938: remove 'set but not used' warning
  (jsc#SLE-16518).
- ALSA: xen: remove 'set but not used' warning (jsc#SLE-16518).
- ALSA: pci/oxygen/xonar_wm87x6: remove always true condition
  (jsc#SLE-16518).
- ALSA: pci/rme9652/hdspm: remove always true condition
  (jsc#SLE-16518).
- ALSA: pci/korg1212: remove 'set but not used' warnings
  (jsc#SLE-16518).
- ALSA: pci/emu10k1: remove 'set but not used' warning
  (jsc#SLE-16518).
- ALSA: firewire: fix kernel-doc (jsc#SLE-16518).
- ASoC: pci/emu10k1: remove "set but not used' warnings
  (jsc#SLE-16518).
- ALSA: pci/ctxfi: fix kernel-doc warnings (jsc#SLE-16518).
- ALSA: pci/ctxfi/ctatc: fix kernel-doc (jsc#SLE-16518).
- ALSA: pci/aw2-saa7146: remove 'set but not used' warning
  (jsc#SLE-16518).
- ALSA: pci/echoaudio: remove 'set but not used' warning
  (jsc#SLE-16518).
- ALSA: pci/asihpi: remove 'set but not used' warning
  (jsc#SLE-16518).
- ALSA: pci/asihpi: fix kernel-doc (jsc#SLE-16518).
- ALSA: pci/asihpi: remove 'set but not used' warnings
  (jsc#SLE-16518).
- ALSA: isa/gus: remove 'set but not used' warning
  (jsc#SLE-16518).
- ALSA: isa/gus: remove -Wmissing-prototypes warnings
  (jsc#SLE-16518).
- ALSA: hda: fix SND_HDA_GENERIC kconfig & build (jsc#SLE-16518).
- ALSA: core: pcm_iec958: fix kernel-doc (jsc#SLE-16518).
- ALSA: usb-audio: Fix some typos (jsc#SLE-16518).
- ALSA: hda: Let LED cdev handling suspend/resume (jsc#SLE-16518).
- ALSA: hda/realtek: Unify LED helper code (jsc#SLE-16518).
- ALSA: hda/sigmatel: Use the new vmaster mute LED helper
  (jsc#SLE-16518).
- ALSA: hda/conexant: Use the new vmaster mute LED helper
  (jsc#SLE-16518).
- ALSA: hda/realtek: Use the new vmaster mute LED helper
  (jsc#SLE-16518).
- ALSA: hda: generic: Add vmaster mute LED helper (jsc#SLE-16518).
- ALSA: hda: generic: Drop the old mic-mute LED hook
  (jsc#SLE-16518).
- ALSA: hda: generic: Drop unused snd_hda_gen_fixup_micmute_led()
  (jsc#SLE-16518).
- ALSA: hda/sigmatel: Convert to cdev-variant of mic-mute LED
  controls (jsc#SLE-16518).
- ALSA: hda/conexant: Convert to cdev-variant of mic-mute LED
  controls (jsc#SLE-16518).
- ALSA: hda/realtek: Convert to cdev-variant of mic-mute LED
  controls (jsc#SLE-16518).
- ALSA: hda: generic: Add a helper for mic-mute LED with LED
  classdev (jsc#SLE-16518).
- ALSA: hda: generic: Always call led-trigger for mic mute LED
  (jsc#SLE-16518).
- ALSA: hda: Enable sync-write operation as default for all
  controllers (jsc#SLE-16518).
- ALSA: pcm: Use SG-buffer only when direct DMA is available
  (jsc#SLE-16518).
- ALSA: memalloc: Make SG-buffer helper usable for continuous
  buffer, too (jsc#SLE-16518).
- ALSA: memalloc: Initialize all fields of snd_dma_buffer properly
  (jsc#SLE-16518).
- ALSA: pcm: Use dma_mmap_coherent() on x86, too (jsc#SLE-16518).
- ALSA: firewire-motu: wait for notification when changing clock
  configuration for protocol v3 (jsc#SLE-16518).
- ALSA: hda/realtek: Add alc269/alc662 pin-tables for Loongson-3
  laptops (jsc#SLE-16518).
- Soundwire: intel_init: save Slave(s) _ADR info in sdw_intel_ctx
  (jsc#SLE-16518).
- soundwire: intel: add wake interrupt support (jsc#SLE-16518).
- soundwire: intel/cadence: merge Soundwire interrupt
  handlers/threads (jsc#SLE-16518).
- soundwire: intel_init: add implementation of
  sdw_intel_enable_irq() (jsc#SLE-16518).
- soundwire: intel: introduce helper for link synchronization
  (jsc#SLE-16518).
- soundwire: intel: introduce a helper to arm link synchronization
  (jsc#SLE-16518).
- soundwire: intel: revisit SHIM programming sequences
  (jsc#SLE-16518).
- soundwire: intel: reuse code for wait loops to set/clear bits
  (jsc#SLE-16518).
- soundwire: fix the kernel-doc comment (jsc#SLE-16518).
- soundwire: sdw.h: fix indentation (jsc#SLE-16518).
- soundwire: sdw.h: fix PRBS/Static_1 swapped definitions
  (jsc#SLE-16518).
- soundwire: intel: don't free dma_data in DAI shutdown
  (jsc#SLE-16518).
- soundwire: cadence: allocate/free dma_data in set_sdw_stream
  (jsc#SLE-16518).
- soundwire: intel: remove stream allocation/free (jsc#SLE-16518).
- soundwire: stream: add helper to startup/shutdown streams
  (jsc#SLE-16518).
- soundwire: intel: implement get_sdw_stream() operations
  (jsc#SLE-16518).
- soundwire: bus: initialize bus clock base and scale registers
  (jsc#SLE-16518).
- soundwire: extend SDW_SLAVE_ENTRY (jsc#SLE-16518).
- soundwire: bus_type: convert open-coded while() to for() loop
  (jsc#SLE-16518).
- soundwire: add definitions for 1.2 spec (jsc#SLE-16518).
- soundwire: qcom: Constify static structs (jsc#SLE-16518).
- soundwire: intel: transition to 3 steps initialization
  (jsc#SLE-16518).
- soundwire: intel_init: pass link information as platform data
  (jsc#SLE-16518).
- soundwire: intel_init: use devm_ allocation (jsc#SLE-16518).
- soundwire: intel_init: remove useless test (jsc#SLE-16518).
- soundwire: intel: clarify drvdata and remove more indirections
  (jsc#SLE-16518).
- soundwire: intel: cleanups for indirections/logs
  (jsc#SLE-16518).
- soundwire: bus: clock_stop: don't deal with UNATTACHED Slave
  devices (jsc#SLE-16518).
- soundwire: Replace 'objs' by 'y' (jsc#SLE-16518).
- commit 1f91df1
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- dt-bindings: clock: tegra: Add IDs for OSC clocks (jsc#SLE-15847).
- commit 4af4b35
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: hda/realtek - Fixed HP right speaker no sound
  (jsc#SLE-16518).
- ALSA: hda: fix NULL pointer dereference during suspend
  (jsc#SLE-16518).
- ALSA: hda/hdmi: Fix keep_power assignment for non-component
  devices (jsc#SLE-16518).
- ALSA: hda: Workaround for spurious wakeups on some Intel
  platforms (jsc#SLE-16518).
- ALSA: hda/realtek: Fix add a "ultra_low_power" function for
  intel reference board (alc256) (jsc#SLE-16518).
- ALSA: hda/realtek: typo_fix: enable headset mic of ASUS ROG
  Zephyrus G14(GA401) series with ALC289 (jsc#SLE-16518).
- ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
  G15(GA502) series with ALC289 (jsc#SLE-16518).
- ALSA: usb-audio: Add implicit feedback quirk for SSL2
  (jsc#SLE-16518).
- ALSA: hda/realtek: Fixed ALC298 sound bug by adding quirk for
  Samsung Notebook Pen S (jsc#SLE-16518).
- ASoC: rt5682: Report the button event in the headset type only
  (jsc#SLE-16518).
- ASoC: Intel: bytcht_es8316: Add missed put_device()
  (jsc#SLE-16518).
- ASoC: rt5682: Enable Vref2 under using PLL2 (jsc#SLE-16518).
- ASoC: rt286: fix unexpected interrupt happens (jsc#SLE-16518).
- ASoC: wm8974: remove unsupported clock mode (jsc#SLE-16518).
- ASoC: wm8974: fix Boost Mixer Aux Switch (jsc#SLE-16518).
- ASoC: SOF: imx: add min/max channels for SAI/ESAI on
  i.MX8/i.MX8M (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5677: fix non BE conversion (jsc#SLE-16518).
- ASoC: soc-dai: set dai_link dpcm_ flags with a helper
  (jsc#SLE-16518).
- ASoC: topology: fix tlvs in error handling for widget_dmixer
  (jsc#SLE-16518).
- ASoC: topology: fix kernel oops on route addition error
  (jsc#SLE-16518).
- ASoc: codecs: max98373: remove Idle_bias_on to let codec suspend
  (jsc#SLE-16518).
- ASoC: codecs: max98373: Removed superfluous volume control
  from chip default (jsc#SLE-16518).
- ASoC: SOF: core: fix null-ptr-deref bug during device removal
  (jsc#SLE-16518).
- ASoC: core: Remove only the registered component in devm
  functions (jsc#SLE-16518).
- ASoC: rockchip: add format and rate constraints on rk3399
  (jsc#SLE-16518).
- ASoC: amd: Rectifying Unbalanced pm_runtime_enable! issue
  (jsc#SLE-16518).
- ASoC: rt5682: cancel jack_detect_work if hs_jack is set to
  null even soundwire mode (jsc#SLE-16518).
- ASoC: rt5670: Fix dac- and adc- vol-tlv values being off by
  a factor of 10 (jsc#SLE-16518).
- ASoC: rt5670: Add new gpio1_is_ext_spk_en quirk and enable it
  on the Lenovo Miix 2 10 (jsc#SLE-16518).
- ASoC: rt5670: Correct RT5670_LDO_SEL_MASK (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_rt5672: Change bus format to I2S 2 channel
  (jsc#SLE-16518).
- ASoC: qcom: Drop HAS_DMA dependency to fix link failure
  (jsc#SLE-16518).
- ALSA: info: Drop WARN_ON() from buffer NULL sanity check
  (jsc#SLE-16518).
- ALSA: hda/realtek - fixup for yet another Intel reference board
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable Speaker for ASUS UX563
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable Speaker for ASUS UX533 and UX534
  (jsc#SLE-16518).
- ALSA: hda/realtek: Enable headset mic of Acer TravelMate
  B311R-31 with ALC256 (jsc#SLE-16518).
- ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
  G14(G401) series with ALC289 (jsc#SLE-16518).
- ALSA: hda/realtek - change to suitable link model for ASUS
  platform (jsc#SLE-16518).
- ALSA: usb-audio: Fix race against the error recovery URB
  submission (jsc#SLE-16518).
- ALSA: line6: Sync the pending work cancel at disconnection
  (jsc#SLE-16518).
- ALSA: line6: Perform sanity check for each URB creation
  (jsc#SLE-16518).
- ALSA: compress: fix partial_drain completion state
  (jsc#SLE-16518).
- ALSA: usb-audio: Add implicit feedback quirk for RTX6001
  (jsc#SLE-16518).
- ALSA: usb-audio: add quirk for MacroSilicon MS2109
  (jsc#SLE-16518).
- ALSA: hda/realtek: Enable headset mic of Acer Veriton N4660G
  with ALC269VC (jsc#SLE-16518).
- ALSA: hda/realtek: Enable headset mic of Acer C20-820 with
  ALC269VC (jsc#SLE-16518).
- ALSA: hda/realtek - Enable audio jacks of Acer vCopperbox with
  ALC269VC (jsc#SLE-16518).
- ALSA: hda/realtek - Fix Lenovo Thinkpad X1 Carbon 7th quirk
  subdevice id (jsc#SLE-16518).
- ALSA: hda/hdmi: improve debug traces for stream lookups
  (jsc#SLE-16518).
- ALSA: hda/hdmi: fix failures at PCM open on Intel ICL and later
  (jsc#SLE-16518).
- ALSA: opl3: fix infoleak in opl3 (jsc#SLE-16518).
- AsoC: amd: add missing snd- module prefix to the acp3x-rn
  driver kernel module (jsc#SLE-16518).
- ASoC: rt5682: fix the pop noise while OMTP type headset plugin
  (jsc#SLE-16518).
- ASoC: fsl_mqs: Fix unchecked return value for clk_prepare_enable
  (jsc#SLE-16518).
- ASoC: fsl_mqs: Don't check clock is NULL before calling clk API
  (jsc#SLE-16518).
- ALSA: usb-audio: Replace s/frame/packet/ where appropriate
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix packet size calculation (jsc#SLE-16518).
- ALSA: hda - let hs_mic be picked ahead of hp_mic
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix OOB access of mixer element list
  (jsc#SLE-16518).
- ALSA: usb-audio: add quirk for Samsung USBC Headset (AKG)
  (jsc#SLE-16518).
- ALSA: usb-audio: Add registration quirk for Kingston HyperX
  Cloud Flight S (jsc#SLE-16518).
- commit 05c31fd
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: SOF: merge COMETLAKE_LP and COMETLAKE_H
  (jsc#SLE-16518).
- Update config files.
- commit 028f97c
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: rockchip: Fix a reference count leak (jsc#SLE-16518).
- ASoC: amd: closing specific instance (jsc#SLE-16518).
- ASoC: SOF: Intel: add PCI IDs for ICL-H and TGL-H
  (jsc#SLE-16518).
- ASoC: SOF: Intel: add PCI ID for CometLake-S (jsc#SLE-16518).
- ASoC: hdac_hda: fix memleak with regmap not freed on remove
  (jsc#SLE-16518).
- ASoC: fsl_ssi: Fix bclk calculation for mono channel
  (jsc#SLE-16518).
- ASoC: soc-topology: use devm_snd_soc_register_dai()
  (jsc#SLE-16518).
- ASoC: soc-devres: add devm_snd_soc_register_dai()
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Clear RIRB status before reading WP
  (jsc#SLE-16518).
- ASoC: rt1015: Update rt1015 default register value according
  to spec modification (jsc#SLE-16518).
- ASoC: qcom: common: set correct directions for dailinks
  (jsc#SLE-16518).
- ASoc: q6afe: add support to get port direction (jsc#SLE-16518).
- ASoC: soc-pcm: fix checks for multi-cpu FE dailinks
  (jsc#SLE-16518).
- ASoC: rt5682: Let dai clks be registered whether mclk exists
  or not (jsc#SLE-16518).
- ASoC: fsl_asrc_dma: Fix data copying speed issue with EDMA
  (jsc#SLE-16518).
- ASoC: fsl_asrc_dma: Reuse the dma channel if available in
  Back-End (jsc#SLE-16518).
- ASoC: dmaengine_pcm: export soc_component_to_pcm
  (jsc#SLE-16518).
- ASoC: soc-card: export snd_soc_lookup_component_nolocked
  (jsc#SLE-16518).
- ASoC: q6asm: handle EOS correctly (jsc#SLE-16518).
- ASoC: max98390: Update regmap readable reg and volatile
  (jsc#SLE-16518).
- ALSA: hda: Intel: add missing PCI IDs for ICL-H, TGL-H and EKL
  (jsc#SLE-16518).
- ALSA: hda/realtek: Add mute LED and micmute LED support for
  HP systems (jsc#SLE-16518).
- ALSA: usb-audio: Fix potential use-after-free of streams
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add quirk for MSI GE63 laptop
  (jsc#SLE-16518).
- ALSA: usb-audio: Set 48 kHz rate for Rodecaster (jsc#SLE-16518).
- ALSA: usb-audio: add quirk for Denon DCD-1500RE (jsc#SLE-16518).
- ALSA: usb-audio: Add implicit feedback quirk for SSL2+
  (jsc#SLE-16518).
- ALSA: hda: Add NVIDIA codec IDs 9a & 9d through a0 to patch
  table (jsc#SLE-16518).
- ASoC: SOF: Replace zero-length array with flexible-array
  (jsc#SLE-16518).
- commit c546229
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: nocodec: conditionally set dpcm_capture/dpcm_playback
  flags (jsc#SLE-16518).
- ASoC: Intel: boards: replace capture_only by dpcm_capture
  (jsc#SLE-16518).
- ASoC: core: only convert non DPCM link to DPCM link
  (jsc#SLE-16518).
- ASoC: soc-pcm: dpcm: fix playback/capture checks
  (jsc#SLE-16518).
- ASoC: rt5645: Add platform-data for Asus T101HA (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Add quirk for Toshiba Encore WT10-A
  tablet (jsc#SLE-16518).
- ASoC: meson: add missing free_irq() in error path
  (jsc#SLE-16518).
- ASoC: meson: fix memory leak of links if allocation of ldata
  fails (jsc#SLE-16518).
- ASoC: max98390: Fix potential crash during param fw loading
  (jsc#SLE-16518).
- ASoC: max98390: Fix incorrect printf qualifier (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Defer probe when fail to find codec device
  (jsc#SLE-16518).
- ASoC: rl6231: Modify the target DMIC clock rate (jsc#SLE-16518).
- ALSA: pcm: disallow linking stream to itself (jsc#SLE-16518).
- ALSA: usb-audio: Manage auto-pm of all bundled interfaces
  (jsc#SLE-16518).
- ALSA: hda/realtek - add a pintbl quirk for several Lenovo
  machines (jsc#SLE-16518).
- ALSA: pcm: fix snd_pcm_link() lockdep splat (jsc#SLE-16518).
- ALSA: usb-audio: Use the new macro for HP Dock rename quirks
  (jsc#SLE-16518).
- ALSA: usb-audio: Add vendor, product and profile name for HP
  Thunderbolt Dock (jsc#SLE-16518).
- ALSA: emu10k1: delete an unnecessary condition (jsc#SLE-16518).
- ALSA: usb-audio: Fix inconsistent card PM state after resume
  (jsc#SLE-16518).
- soundwire: intel: use a single module (jsc#SLE-16518).
- soundwire: fix spelling mistake (jsc#SLE-16518).
- soundwire: fix trailing line in sysfs_slave.c (jsc#SLE-16518).
- soundwire: add Slave sysfs support (jsc#SLE-16518).
- soundwire: master: add sysfs support (jsc#SLE-16518).
- soundwire: disco: s/ch/channels/ (jsc#SLE-16518).
- soundwire: master: add runtime pm support (jsc#SLE-16518).
- soundwire: bus_type: add sdw_master_device support
  (jsc#SLE-16518).
- soundwire: bus: add unique bus id (jsc#SLE-16518).
- soundwire: bus_type: introduce sdw_slave_type and
  sdw_master_type (jsc#SLE-16518).
- soundwire: bus: rename sdw_bus_master_add/delete, add arguments
  (jsc#SLE-16518).
- soundwire: intel: (cosmetic) remove multiple superfluous "else"
  statements (jsc#SLE-16518).
- soundwire: (cosmetic) remove multiple superfluous "else"
  statements (jsc#SLE-16518).
- soundwire: qcom: Use IRQF_ONESHOT (jsc#SLE-16518).
- soundwire: bus: reduce verbosity on enumeration (jsc#SLE-16518).
- soundwire: debugfs: clarify SDPX license with GPL-2.0-only
  (jsc#SLE-16518).
- soundwire: slave: don't init debugfs on device registration
  error (jsc#SLE-16518).
- soundwire: qcom: fix error handling in probe (jsc#SLE-16518).
- ALSA: es1688: Add the missed snd_card_free() (jsc#SLE-16518).
- ALSA: hda: add sienna_cichlid audio asic id for sienna_cichlid
  up (jsc#SLE-16518).
- ALSA: usb-audio: Add Pioneer DJ DJM-900NXS2 support
  (jsc#SLE-16518).
- ASoC: qcom: q6asm-dai: kCFI fix (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_remove_dai_link()
  (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_add_dai_link() (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_set_bias_level_post()
  (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_set_bias_level()
  (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_remove() (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_late_probe() (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_probe() (jsc#SLE-16518).
- ASoC: soc-card: add probed bit field to snd_soc_card
  (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_resume_post() (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_resume_pre() (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_suspend_post() (jsc#SLE-16518).
- ASoC: soc-card: add snd_soc_card_suspend_pre() (jsc#SLE-16518).
- ASoC: soc-card: move snd_soc_card_subclass to soc-card
  (jsc#SLE-16518).
- ASoC: soc-card: move snd_soc_card_get_codec_dai() to soc-card
  (jsc#SLE-16518).
- ASoC: soc-card: move snd_soc_card_set/get_drvdata() to soc-card
  (jsc#SLE-16518).
- ASoC: soc-card: move snd_soc_card_jack_new() to soc-card
  (jsc#SLE-16518).
- ASoC: soc-card: move snd_soc_card_get_kcontrol() to soc-card
  (jsc#SLE-16518).
- ASoC: add soc-card.c (jsc#SLE-16518).
- ASoC: soc.h: convert bool to bit field for snd_soc_card
  (jsc#SLE-16518).
- ASoC: sof_pcm512x: remove CONFIG_SND_HDA_CODEC_HDMI condition
  (jsc#SLE-16518).
- commit c7ccd53
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: sof-sdw: remove CONFIG_SND_SOC_SOF_HDA_AUDIO_CODEC
  condition (jsc#SLE-16518).
- ASoC: intel: add depends on SND_SOC_SOF_HDA_AUDIO_CODEC for
  common hdmi (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fix generic hda codec support
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Baytrail: fix 'defined but not used' warnings
  (jsc#SLE-16518).
- Subject: [PATCH v2] ASoC: soc-pcm: fix BE dai not hw_free and
  shutdown during mixer update (jsc#SLE-16518).
- ASoC: reduce verbosity of error messages for sof-dai and
  sof-link (jsc#SLE-16518).
- ASoC: topology: remove the redundant pass checks
  (jsc#SLE-16518).
- ASoC: topology: refine and log the header in the correct pass
  (jsc#SLE-16518).
- ASoC: fsl_asrc_dma: Fix dma_chan leak when config DMA channel
  failed (jsc#SLE-16518).
- ASoC: rt1015: Enable class-D silence and clock detections
  (jsc#SLE-16518).
- ASoC: img-i2s-out: Fix runtime PM imbalance on error
  (jsc#SLE-16518).
- ASoC: amd: Removing unnecessary instance initialization
  (jsc#SLE-16518).
- ASoC: sta32x: add missed function calls in error paths
  (jsc#SLE-16518).
- ASoC: rt5682: split i2c driver into separate module
  (jsc#SLE-16518).
- ASoC: nau8810: add I2C device and compatible ID (jsc#SLE-16518).
- ASoC: ingenic: Unconditionally depend on devicetree
  (jsc#SLE-16518).
- ASoC: SOF: Intel: BYT: harden IPC initialization and handling
  (jsc#SLE-16518).
- ASoC: SOF: Intel: BYT: mask BUSY or DONE interrupts in handler
  (jsc#SLE-16518).
- ASoC: SOF: Intel: BYT: add .remove op (jsc#SLE-16518).
- ASoC: SOF: ipc: ignore DSP replies received when they are not
  expected (jsc#SLE-16518).
- ASoC: Intel: byt/cht: add .pm_ops (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640/51: remove .ignore_suspend
  (jsc#SLE-16518).
- ASoC: SOF: pm: handle resume on legacy Intel platforms
  (jsc#SLE-16518).
- ASoC: SOF: Intel: byt: Add PM callbacks (jsc#SLE-16518).
- ASoC: mmp-sspa: Fix return value check in asoc_mmp_sspa_probe()
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix warnings when using W=1
  (jsc#SLE-16518).
- ASoC: wm8962: Fix runtime PM imbalance on error (jsc#SLE-16518).
- ASoC: img-spdif-in: Fix runtime PM imbalance on error
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add support for configuring GPI pins
  (jsc#SLE-16518).
- ASoC: img-spdif-out: Fix runtime PM imbalance on error
  (jsc#SLE-16518).
- commit 3d54828
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: tas2552: Fix runtime PM imbalance in
  tas2552_component_probe (jsc#SLE-16518).
- ASoC: fix incomplete error-handling in img_i2s_in_probe
  (jsc#SLE-16518).
- ASoC: ti: Fix runtime PM imbalance in omap2_mcbsp_set_clks_src
  (jsc#SLE-16518).
- ASoC: fix semicolon.cocci warnings (jsc#SLE-16518).
- ASoC: soc-link: add snd_soc_link_compr_set_params()
  (jsc#SLE-16518).
- ASoC: soc-link: add snd_soc_link_compr_shutdown()
  (jsc#SLE-16518).
- ASoC: soc-link: add snd_soc_link_compr_startup()
  (jsc#SLE-16518).
- ASoC: soc-link: add snd_soc_link_be_hw_params_fixup()
  (jsc#SLE-16518).
- ASoC: soc-link: remove unneeded parameter from
  snd_soc_link_xxx() (jsc#SLE-16518).
- ASoC: soc-link: move soc_rtd_xxx() (jsc#SLE-16518).
- commit cae9fee
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: max98390: Added Amplifier Driver (jsc#SLE-16518).
- Update config files.
- commit 5dca8a5
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: add soc-link.c (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse compiler version (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse windows (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse firmware version (jsc#SLE-16518).
- ASoC: SOF: Introduce extended manifest (jsc#SLE-16518).
- ASoC: SOF: loader: Adjust validation condition for fw_offset
  (jsc#SLE-16518).
- ASoC: fsl_asrc: Merge suspend/resume function to
  runtime_suspend/resume (jsc#SLE-16518).
- ASoC: fsl: imx-audmix: Fix unused assignment to variable 'ret'
  (jsc#SLE-16518).
- ASoC: fsl_asrc: Fix -Wmissing-prototypes warning
  (jsc#SLE-16518).
- ASoC: max9867: keep ADCs and DACs always on (jsc#SLE-16518).
- ASoC: max9867: add digital microphone controls (jsc#SLE-16518).
- ASoC: pxa: remove Compulab pxa2xx boards (jsc#SLE-16518).
- ASoC: max9867: add mono playback switch (jsc#SLE-16518).
- ASoC: max9867: add filter controls (jsc#SLE-16518).
- ASoC: max9867: don't use regmap defaults (jsc#SLE-16518).
- ASoC: mmp-sspa: Fix the error handling in probe()
  (jsc#SLE-16518).
- ASoC: mmp-sspa: Add Device Tree support (jsc#SLE-16518).
- ASoC: amd: return error when acp de-init fails (jsc#SLE-16518).
- ASoC: amd: refactoring dai_hw_params() callback (jsc#SLE-16518).
- commit c04d39f
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: amd: enable build for RN machine driver (jsc#SLE-16518).
- Update config files.
- commit 47fc3b0
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: amd: fix kernel warning (jsc#SLE-16518).
- ASoC: amd: RN machine driver using dmic (jsc#SLE-16518).
- ASoC: amd: create platform devices for Renoir (jsc#SLE-16518).
- ASoC: amd: enable Renoir acp3x drivers build (jsc#SLE-16518).
- ASoC: amd: add ACP PDM DMA driver pm ops (jsc#SLE-16518).
- ASoC: amd: add Renoir ACP PCI driver PM ops (jsc#SLE-16518).
- ASoC: amd: add ACP PDM DMA driver dai ops (jsc#SLE-16518).
- ASoC: amd: add acp3x pdm driver dma ops (jsc#SLE-16518).
- ASoC: amd: irq handler changes for ACP3x PDM dma driver
  (jsc#SLE-16518).
- ASoC: amd: add ACP3x PDM platform driver (jsc#SLE-16518).
- ASoC: amd: create acp3x pdm platform device (jsc#SLE-16518).
- ASoC: amd: add acp init/de-init functions (jsc#SLE-16518).
- ASoC: amd: add Renoir ACP PCI driver (jsc#SLE-16518).
- ASoC: amd: add Renoir ACP3x IP register header (jsc#SLE-16518).
- ASoC: fsl_micfil: Do not pass irq numbers in comments
  (jsc#SLE-16518).
- ASoC: fsl_micfil: Remove unneeded ifdef's (jsc#SLE-16518).
- ASoC: fsl_asrc: Set ASR76K and ASR56K based on processing clock
  (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Add quirk for Toshiba Encore WT8-A
  tablet (jsc#SLE-16518).
- ASoC: SOF: imx: make imx8m_dsp_ops static (jsc#SLE-16518).
- ASoC: SOF: imx: make dsp_ops static (jsc#SLE-16518).
- ASoC: SOF: define INFO_ flags in dsp_ops (jsc#SLE-16518).
- ASoC: SOF: Intel: sdw: relax sdw machine select constraints
  (jsc#SLE-16518).
- ASoC: SOF: topology: add support to smart amplifier
  (jsc#SLE-16518).
- ASoC: SOF: inform DSP that driver is going to be removed
  (jsc#SLE-16518).
- ASoC: SOF: add a power_down_notify method (jsc#SLE-16518).
- ASoC: SOF: Do nothing when DSP PM callbacks are not set
  (jsc#SLE-16518).
- ASoC: cleanup dai / component active code (jsc#SLE-16518).
- ASoC: dwc: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: uniphier: use snd_soc_xxx_active() (jsc#SLE-16518).
- commit 19aff4a
* Mon Sep 28 2020 yousaf.kaukab@suse.com
- clk: tegra: pll: Improve PLLM enable-state detection (jsc#SLE-15847).
- pinctrl: tegra: pinctrl-tegra194: Do not initialise field twice (jsc#SLE-15847).
- cpufreq: replace cpu_logical_map() with read_cpuid_mpir() (jsc#SLE-15847).
- cpufreq: Add Tegra194 cpufreq driver (jsc#SLE-15847).
- cpufreq: tegra186: Simplify probe return path (jsc#SLE-15847).
- memory: tegra: Add Tegra132 compatible string match (jsc#SLE-15847).
- memory: tegra: Fix KCONFIG variables for Tegra186 and Tegra194 (jsc#SLE-15847).
- memory: tegra: Delete some dead code (jsc#SLE-15847).
- memory: tegra: Avoid unused function warnings (jsc#SLE-15847).
- memory: tegra: Drop <linux/clk-provider.h> (jsc#SLE-15847).
- memory: tegra: Fix an error handling path in tegra186_emc_probe() (jsc#SLE-15847).
- memory: tegra: Support derated timings on Tegra210 (jsc#SLE-15847).
- memory: tegra: Add EMC scaling sequence code for Tegra210 (jsc#SLE-15847).
- memory: tegra: Add EMC scaling support code for Tegra210 (jsc#SLE-15847).
- firmware: tegra: Add support for in-band debug (jsc#SLE-15847).
- firmware: tegra: Prepare for supporting in-band debugfs (jsc#SLE-15847).
- firmware: tegra: Use consistent return variable name (jsc#SLE-15847).
- firmware: tegra: Add return code checks and increase debugfs size (jsc#SLE-15847).
- clk: tegra: Remove the old emc_mux clock for Tegra210 (jsc#SLE-15847).
- clk: tegra: Implement Tegra210 EMC clock (jsc#SLE-15847).
- clk: tegra: Export functions for EMC clock scaling (jsc#SLE-15847).
- clk: tegra: Add PLLP_UD and PLLMB_UD for Tegra210 (jsc#SLE-15847).
- clk: tegra: Rename Tegra124 EMC clock source file (jsc#SLE-15847).
- of: Make <linux/of_reserved_mem.h> self-contained (jsc#SLE-15847).
- of: reserved-memory: Support multiple regions per device (jsc#SLE-15847).
- of: reserved-memory: Support lookup of regions by name (jsc#SLE-15847).
- firmware: tegra: Defer BPMP probe if shared memory not available (jsc#SLE-15847).
- firmware: tegra: Make BPMP a regular driver (jsc#SLE-15847).
- ASoC: tegra: Enable audio mclk during tegra_asoc_utils_init() (jsc#SLE-15847).
- ASoC: tegra: Add audio mclk parent configuration (jsc#SLE-15847).
- ASoC: tegra: Use device managed resource APIs to get the clock (jsc#SLE-15847).
- clk: tegra: Fix initial rate for pll_a on Tegra124 (jsc#SLE-15847).
- clk: tegra: Use NULL for pointer initialization (jsc#SLE-15847).
- clk: tegra: Remove audio clocks configuration from clock driver (jsc#SLE-15847).
- clk: tegra: Remove tegra_pmc_clk_init along with clk ids (jsc#SLE-15847).
- clk: tegra: Remove CLK_M_DIV fixed clocks (jsc#SLE-15847).
- clk: tegra: Add Tegra OSC to clock lookup (jsc#SLE-15847).
- clk: tegra: Add support for OSC_DIV fixed clocks (jsc#SLE-15847).
- gpio: tegra186: Add Tegra194 pin ranges for GG.0 and GG.1 (jsc#SLE-15847).
- gpio: tegra186: Add support for pin ranges (jsc#SLE-15847).
- gpio: Support GPIO controllers without pin-ranges (jsc#SLE-15847).
- memory: tegra: Correct debugfs clk rate-range on Tegra124 (jsc#SLE-15847).
- firmware: tegra: Fix a typo in Kconfig (jsc#SLE-15847).
- soc/tegra: Add support for 32 kHz blink clock (jsc#SLE-15847).
- soc/tegra: Add Tegra PMC clocks registration into PMC driver (jsc#SLE-15847).
- pinctrl: tegra: Add SFIO/GPIO programming on Tegra194 (jsc#SLE-15847).
- pinctrl: tegra: Renumber the GG.0 and GG.1 pins (jsc#SLE-15847).
- pinctrl: tegra: Do not add default pin range on Tegra194 (jsc#SLE-15847).
- pinctrl: tegra: Pass struct tegra_pmx for pin range check (jsc#SLE-15847).
- pinctrl: tegra: Fix "Scmitt" -> "Schmitt" typo (jsc#SLE-15847).
- pinctrl: tegra: Fix whitespace issues for improved readability (jsc#SLE-15847).
- memory: tegra: Correct reset value of xusb_hostr (jsc#SLE-15847).
- memory: tegra: Add support for the Tegra194 memory controller (jsc#SLE-15847).
- memory: tegra: Only include support for enabled SoCs (jsc#SLE-15847).
- memory: tegra: Support DVFS on Tegra186 and later (jsc#SLE-15847).
- memory: tegra: Add system sleep support (jsc#SLE-15847).
- memory: tegra: Extract memory client SID programming (jsc#SLE-15847).
- memory: tegra: Add per-SoC data for Tegra186 (jsc#SLE-15847).
- memory: tegra: Rename tegra_mc to tegra186_mc on Tegra186 (jsc#SLE-15847).
- memory: tegra: Refashion EMC debugfs interface on Tegra124 (jsc#SLE-15847).
- clk: tegra: divider: Check UART's divider enable-bit state on rate's recalculation (jsc#SLE-15847).
- clk: tegra: clk-dfll: Remove call to pm_runtime_irq_safe() (jsc#SLE-15847).
- pinctrl: tegra: fix missing __iomem in suspend/resume (jsc#SLE-15847).
- gpiolib: Add the support for the msi parent domain (jsc#SLE-15847).
- gpiolib: Add support for the irqdomain which doesn't use irq_fwspec as arg (jsc#SLE-15847).
- gpio: tegra: Use NOIRQ phase for suspend/resume (jsc#SLE-15847).
- gpio: tegra: Properly handle irq_set_irq_wake() error (jsc#SLE-15847).
- gpio: tegra: Use generic readl_relaxed/writel_relaxed accessors (jsc#SLE-15847).
- memory: tegra: Consolidate registers definition into common header (jsc#SLE-15847).
- memory: tegra: Ensure timing control debug features are disabled (jsc#SLE-15847).
- memory: tegra: Introduce Tegra30 EMC driver (jsc#SLE-15847).
- memory: tegra: Add gr2d and gr3d to DRM IOMMU group (jsc#SLE-15847).
- soc/tegra: pmc: Remove unnecessary memory barrier (jsc#SLE-15847).
- soc/tegra: pmc: Query PCLK clock rate at probe time (jsc#SLE-15847).
- clk: tegra: Use match_string() helper to simplify the code (jsc#SLE-15847).
- pinctrl: ssbi-gpio: convert to hierarchical IRQ helpers in gpio core (jsc#SLE-15847).
- qcom: spmi-gpio: convert to hierarchical IRQ helpers in gpio core (jsc#SLE-15847).
- commit 88128be
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: ti: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: pxa: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: meson: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: mediatek: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: jz4740: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: intel: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: fsl: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: codecs: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: cirrus: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: bcm: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: atomel: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: use snd_soc_xxx_active() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_stream_active() (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_active()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_active() (jsc#SLE-16518).
- ASoC: soc-dapm: use snd_soc_dai_activate()/deactivate()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_action() (jsc#SLE-16518).
- ASoC: soc-pcm: replace snd_soc_runtime_activate()/deactivate()
  to macro (jsc#SLE-16518).
- ASoC: codecs: rt1308-sdw: remove duplicate allocation
  (jsc#SLE-16518).
- ASoC: codecs: rt*-sdw: fix memory leak in set_sdw_stream()
  (jsc#SLE-16518).
- ASoC: codecs: rt*-sdw: don't assign slave_ops (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_nau8824: remap BTN_0 as KEY_PLAYPAUSE
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt700: remap buttons (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt711: remap buttons (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: fix typo in components string
  (jsc#SLE-16518).
- ASoC: Intel: soc-acpi: change machine driver name for WM8804
  platforms (jsc#SLE-16518).
- ASoC: da7213: move set_pll to codec level (jsc#SLE-16518).
- ASoC: da7213: move set_sysclk to codec level (jsc#SLE-16518).
- ASoC: da7213: Add regulator support (jsc#SLE-16518).
- ASoC: da7213: Add da7212 DT compatible (jsc#SLE-16518).
- ASoC: fsl_micfil: Fix unused assignment in
  fsl_set_clock_params() (jsc#SLE-16518).
- ASoC: amd: raven: Make the driver name consistent across files
  (jsc#SLE-16518).
- ASoC: fsl_micfil: Fix indentation to put on one line affected
  code (jsc#SLE-16518).
- ASoC: fsl_esai: introduce SoC specific data (jsc#SLE-16518).
- ASoC: tlv320adcx140: Configure PDM sampling edge
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add controls for PDM clk (jsc#SLE-16518).
- ASoC: mmp-sspa: Set appropriate bus format for given bit width
  (jsc#SLE-16518).
- ASoC: mmp-sspa: Add support for the runtime power management
  (jsc#SLE-16518).
- ASoC: mmp-sspa: Prepare/unprepare the clocks (jsc#SLE-16518).
- commit 7a38a3d
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: mmp-sspa: Remove the embedded struct ssp_device
  (jsc#SLE-16518).
- ASoC: mmp-sspa: Add support for soc-generic-dmaengine-pcm
  (jsc#SLE-16518).
- ASoC: mmp-sspa: Get rid of dma_params and phys_base
  (jsc#SLE-16518).
- ASoC: mmp-sspa: A trivial typo fix (jsc#SLE-16518).
- ASoC: ti: omap-mcbsp: Fix an error handling path in
  'asoc_mcbsp_probe()' (jsc#SLE-16518).
- ASoC: Intel: Skylake: Update description for HDaudio kconfig
  (jsc#SLE-16518).
- ASoC: ux500: mop500: Fix some refcounted resources issues
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Replace zero-length array with
  flexible-array (jsc#SLE-16518).
- SoC: rsnd: add interrupt support for SSI BUSIF buffer
  (jsc#SLE-16518).
- ASoC: SOF: core: fix error return code in sof_probe_continue()
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: set headset button maps
  (jsc#SLE-16518).
- ASoC: soc-core: Replace zero-length array with flexible-array
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Fix unused variable warning (jsc#SLE-16518).
- soc: fsl_asrc: Make some functions static (jsc#SLE-16518).
- ASoC: rt1016: Add the rt1016 support (jsc#SLE-16518).
- ASoC: rt5677: Use devm_snd_soc_register_component()
  (jsc#SLE-16518).
- ASoC: mediatek: Fix error handling (jsc#SLE-16518).
- ASoC: qcom: lpass-cpu: Make I2S SD lines configurable
  (jsc#SLE-16518).
- ASoC: wm8524: Add support S32_LE (jsc#SLE-16518).
- ASoC: meson: g12a: add toacodec dt-binding documentation
  (jsc#SLE-16518).
- commit d5ca0f3
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: boards: sof-wm8804: support for Hifiberry Digiplus
  boards (jsc#SLE-16518).
- Update config files.
- commit 444d0b9
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: qcom: Use the defined variable to simplify code
  (jsc#SLE-16518).
- ASoC: rt1015: Add condition to prevent SoC providing bclk in
  ratio of 50 times of sample rate (jsc#SLE-16518).
- ASoC: rl6231: Add the K bypass for the PLL parameters
  (jsc#SLE-16518).
- ASoC: SOF/Intel: clarify SPDX license with GPL-2.0-only
  (jsc#SLE-16518).
- ASoC: rt5682: remove unwanted btn_type assignment
  (jsc#SLE-16518).
- ASoC: rt5682: remove duplicate rt5682_reset() calls
  (jsc#SLE-16518).
- ASoC: rt5682: replace message printing from pr_() to dev_()
  (jsc#SLE-16518).
- ASoC: rt5682: remove empty default case (jsc#SLE-16518).
- ASoC: rt5682: fix space issues (jsc#SLE-16518).
- ASoC: rt5682: simplify assertions (jsc#SLE-16518).
- ASoC: SOF: Intel: change trigger sequence to fix pop noise
  when stopping playback on sdw platforms (jsc#SLE-16518).
- ASoC: SOF: topology: replace sof_link_hda_process by
  sof_set_dai_config (jsc#SLE-16518).
- ASoC: topology: set component dai_index to ipc dai config
  dai_index (jsc#SLE-16518).
- ASoC: SOF: topology: send ipc for all found DAIs in
  sof_set_dai_config (jsc#SLE-16518).
- ASoC: SOF: sort out Kconfig, again (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_get_metadata()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_set_metadata()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_pointer() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_ack() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_get_params()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_set_params()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_trigger() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_shutdown() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compr_start() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_pcm_dai_remove() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_pcm_dai_probe() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_pcm_dai_bespoke_trigger()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_pcm_dai_trigger() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_pcm_dai_prepare() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_pcm_dai_new() (jsc#SLE-16518).
- ASoC: soc-dai: don't overwide dai->driver->ops (jsc#SLE-16518).
- ASoC: soc-dai: add soc_dai_err() (jsc#SLE-16518).
- ASoC: rt5682: fix I2C/Soundwire dependencies (jsc#SLE-16518).
- ASoC: fsl_easrc: mark PM functions __maybe_unused
  (jsc#SLE-16518).
- ASoC: mxs-saif: Fix unused assignment (jsc#SLE-16518).
- ASoc: nau8810: add AUX related dapm widgets and routes
  (jsc#SLE-16518).
- ASoC: codecs: wm97xx: fix ac97 dependency (jsc#SLE-16518).
- ASoC: component: suppress uninitialized-variable warning
  (jsc#SLE-16518).
- ASoC: Intel: boards: add explicit dependency on GPIOLIB when
  DMIC is used (jsc#SLE-16518).
- commit a17ca1c
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: broadwell: add channel constraint (jsc#SLE-16518).
- ASoC: bdw-rt5650: add channel constraint (jsc#SLE-16518).
- ASoC: bdw-rt5677: add channel constraint (jsc#SLE-16518).
- ASoC: tegra: tegra_wm8903: Use devm_snd_soc_register_card()
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Automatic DMIC format configuration
  according to information from NHLT (jsc#SLE-16518).
- ASoC: Intel: Multiple I/O PCM format support for pipe
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Add alternative topology binary name
  (jsc#SLE-16518).
- ASoC: hisilicon: Use the defined variable to clean code
  (jsc#SLE-16518).
- ASoC: fsl_easrc: Check for null pointer before dereferencing
  "ctx" in fsl_easrc_hw_free() (jsc#SLE-16518).
- ASoC: ti: remove comparison to bool in
  omap_mcbsp_dai_set_dai_fmt() (jsc#SLE-16518).
- ASoC: mxs-saif: Avoid unnecessary check (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: add amp number in components string for
  ucm (jsc#SLE-16518).
- ASoC: hisilicon: Use IS_ERR() instead of IS_ERR_OR_NULL()
  (jsc#SLE-16518).
- ASoC: snd-sof-intel-hda-common - add hda_model parameter and
  pass it to HDA codec driver (jsc#SLE-16518).
- ASoC: soc-compress: avoid false-positive Wuninitialized warning
  (jsc#SLE-16518).
- ASoC: SOF: Add missing dependency on IMX_SCU (jsc#SLE-16518).
- ASoC: fsl_easrc: fix spelling mistake "prefitler" -> "prefilter"
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Replace guid_copy() with import_guid()
  (jsc#SLE-16518).
- ASoC: dmic: Allow GPIO operations to sleep (jsc#SLE-16518).
- ASoC: soc-core: return true, false in snd_soc_volsw_is_stereo()
  (jsc#SLE-16518).
- ASoC: SOF: Fix build (jsc#SLE-16518).
- ASoC: intel/skl/hda - fix oops on systems without i915 audio
  codec (jsc#SLE-16518).
- ASoC: fsl_easrc: Add EASRC ASoC CPU DAI drivers (jsc#SLE-16518).
- ASoC: fsl_asrc: Move common definition to fsl_asrc_common
  (jsc#SLE-16518).
- ASoC: fsl_asrc: Support new property fsl,asrc-format
  (jsc#SLE-16518).
- ASoC: fsl-asoc-card: Support new property fsl, asrc-format
  (jsc#SLE-16518).
- ASoC: fsl_asrc: rename asrc_priv to asrc (jsc#SLE-16518).
- ASoC: soc-compress: remove snd_compr_ops (jsc#SLE-16518).
- ASoC: sprd: use snd_compress_ops (jsc#SLE-16518).
- ASoC: sof: use snd_compress_ops (jsc#SLE-16518).
- commit 15d1ed9
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: intel: atom: use snd_compress_ops (jsc#SLE-16518).
- ASoC: qcom: q6sp6: use snd_compress_ops (jsc#SLE-16518).
- ASoC: uniphier: use snd_compress_ops (jsc#SLE-16518).
- ASoC: codec: wm_adsp: use snd_compress_ops (jsc#SLE-16518).
- ASoC: soc-compress: add snd_compress_ops (jsc#SLE-16518).
- ASoC: Add initial ZL38060 driver (jsc#SLE-16518).
- ASoC: wcd934x: remove unneeded semicolon (jsc#SLE-16518).
- ASoC: wcd9335: remove unneeded semicolon (jsc#SLE-16518).
- ASoC: wcd934x: remove unnecessary comparisons to bool
  (jsc#SLE-16518).
- ASoC: Intel: boards: split woofer and tweeter support
  (jsc#SLE-16518).
- soundwire: intel: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: Fix wrong dependency of da7210 and wm8983 (jsc#SLE-16518).
- ASoC: Intel: haswell: Power transition refactor (jsc#SLE-16518).
- ASoC: Fix misspellings of "Analog Devices" (jsc#SLE-16518).
- ASoC: SOF: topology: handle multiple sets of tuple arrays
  (jsc#SLE-16518).
- ASoC: SOF: topology: stop parsing when all tokens have been
  found (jsc#SLE-16518).
- ASoC: SOF: topology: Get HDA rate and channels from topology
  (jsc#SLE-16518).
- ASoC: SOF: topology: fix: parse hda_tokens to &config->hda
  (jsc#SLE-16518).
- ASoC: SOF: topology: Get ALH rate amd channels from topology
  (jsc#SLE-16518).
- commit 7b78773
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: align sof_ipc_dai_alh_params with FW (jsc#SLE-16518).
- ASoC: SOF: Intel: Rename deprecated DMIC IPC struct field
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Change DMIC load IPC to fixed length
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Fix typo in header file comment text
  (jsc#SLE-16518).
- ASoC: SOF: Add XRUN flags field to struct sof_ipc_buffer
  (jsc#SLE-16518).
- ASoC: SOF: make sof_ipc_cc_version to fixed length
  (jsc#SLE-16518).
- ASoC: SOF: change type char to uint8_t in topology.h
  (jsc#SLE-16518).
- ASoC: SOF: change type char to uint8_t in trace.h
  (jsc#SLE-16518).
- ASoC: SOF: change type char to uint8_t in info.h
  (jsc#SLE-16518).
- ASoC: SOF: add debug ABI version (jsc#SLE-16518).
- ASoC: SOF: add probe support extend data (jsc#SLE-16518).
- ASoC: SOF: topology: Add support for DC Blocker (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse compiler version (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse windows (jsc#SLE-16518).
- ASoC: SOF: ext_manifest: parse firmware version (jsc#SLE-16518).
- ASoC: SOF: Introduce extended manifest (jsc#SLE-16518).
- ASoC: SOF: Introduce offset in firmware data (jsc#SLE-16518).
- ASoC: SOF: Mark get_ext* function ext_hdr arguments as const
  (jsc#SLE-16518).
- ASoC: SOF: topology: fix: handle DAI widget connections properly
  with multiple CPU DAI's (jsc#SLE-16518).
- ASoC: SOF: Add i.MX8MP device descriptor (jsc#SLE-16518).
- ASoC: SOF: imx: Add i.MX8M HW support (jsc#SLE-16518).
- ASoC: SOF: imx: fix undefined reference issue (jsc#SLE-16518).
- ASoC: SOF: imx8: Fix randbuild error (jsc#SLE-16518).
- ASoC: topology: Remove unneeded semicolon (jsc#SLE-16518).
- ASoC: fsl_micfil: Omit superfluous error message in
  fsl_micfil_probe() (jsc#SLE-16518).
- ASoC: soc-core: Add dynamic debug logs in
  soc_dai_link_sanity_check() (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: log number of microphones detected in
  NHLT tables (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: reduce verbosity on SoundWire detection
  (jsc#SLE-16518).
- ASoC: codecs: rt1308-sdw: reduce verbosity (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: remove unnecessary parentheses
  (jsc#SLE-16518).
- ASoC: SOF: remove unneeded variables (jsc#SLE-16518).
- ASoC: tegra: tegra_wm8903: Support nvidia, headset property
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt711: remove codec_dai use
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt700: remove codec_dai use
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt5682: remove codec_dai use
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_rt1308: remove codec dai use
  (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_hdmi: remove codec_dai use (jsc#SLE-16518).
- ASoC: Intel: sof_sdw_hdmi: fix compilation issue in fallback
  mode (jsc#SLE-16518).
- ASoC: Intel: sof-da7219-max98373: add DMIC widget and route
  (jsc#SLE-16518).
- commit d00bb7d
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: boards: support Elkhart Lake with rt5660
  (jsc#SLE-16518).
- Update config files.
- commit b347c2b
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: skl_hda_generic: remove rtd->codec_dai
  (jsc#SLE-16518).
- ASoC: intel: sof_sdw: init all aggregated codecs
  (jsc#SLE-16518).
- ASoC: SOF: Intel: add PCI ID for ElkhartLake (jsc#SLE-16518).
- ALSA: hda: Add ElkhartLake HDMI codec vid (jsc#SLE-16518).
- ASoC: intel/skl/hda - set autosuspend timeout for hda codecs
  (jsc#SLE-16518).
- ASoC: Intel: sof_da7219_max98373: Add BE dailink for dmic16k
  (jsc#SLE-16518).
- ASoC: soc-core: remove cpu_dai/codec_dai/cpu_dais/codec_dais
  (jsc#SLE-16518).
- ASoC: soc-core: tidyup soc_new_pcm_runtime() rtd setups
  (jsc#SLE-16518).
- ASoC: soc-core: set rtd->num_cpu/codec at soc_new_pcm_runtime()
  (jsc#SLE-16518).
- ASoC: soc: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- commit f074d66
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: wm8900: remove some defined but not used symbols
  (jsc#SLE-16518).
- ASoC: wm8990: remove some defined but unused symbols
  (jsc#SLE-16518).
- ASoC: wm8991: remove defined but not used
  'wm8991_dapm_rxvoice_controls' (jsc#SLE-16518).
- ASoC: wm8994: remove wm1811_snd_controls and mixin_boost_tlv
  (jsc#SLE-16518).
- ASoC: dapm: Move dai_link widgets to runtime to fix use after
  free (jsc#SLE-16518).
- ASoC: max9867: fix ADC level control (jsc#SLE-16518).
- ASoC: max9867: fix volume controls (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix bias config values (jsc#SLE-16518).
- ASoC: wm8962: Use force clear for WM8962_SYSCLK_ENA after reset
  (jsc#SLE-16518).
- ASoC: mmp-sspa: Drop S20_3LE case (jsc#SLE-16518).
- ASoC: mmp-sspa: Flip SNDRV_PCM_FMTBIT_S24_3LE on
  (jsc#SLE-16518).
- ASoC: Intel: Use readq to read 64 bit registers (jsc#SLE-16518).
- ASoC: Intel: baytrail: Fix register access (jsc#SLE-16518).
- ASoC: mediatek: mt8183: fix error handling of platform_get_irq()
  (jsc#SLE-16518).
- ASoC: amd :High hw_level while simultaneous capture
  (jsc#SLE-16518).
- ASoC: adau7118: Mark the ADAU7118 reset register as volatile
  (jsc#SLE-16518).
- ASoC: codecs: max9768: update contact email (jsc#SLE-16518).
- ASoC: max98373: reorder max98373_reset() in resume
  (jsc#SLE-16518).
- ASoC: SOF: Update correct LED status at the first time usage
  of update_mute_led() (jsc#SLE-16518).
- ASoC: Intel: broadwell: Fix oops during module removal
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix mic gain registers (jsc#SLE-16518).
- ASoC: davinci-mcasp: Fix dma_chan refcnt leak when getting
  dma type (jsc#SLE-16518).
- ASoC: fsl_esai: Disable exception interrupt before scheduling
  tasklet (jsc#SLE-16518).
- ASoC: wm8962: set CLOCKING2 as non-volatile register
  (jsc#SLE-16518).
- ASoC: tegra: Enable audio mclk during tegra_asoc_utils_init()
  (jsc#SLE-16518).
- ASoC: tegra: Add audio mclk parent configuration
  (jsc#SLE-16518).
- ASoC: tegra: Use device managed resource APIs to get the clock
  (jsc#SLE-16518).
- ALSA: usb-audio: Fixing usage of plain int instead of NULL
  (jsc#SLE-16518).
- ALSA: usb-audio: Clean up quirk entries with macros
  (jsc#SLE-16518).
- ALSA: firewire-motu: add support for MOTU UltraLite-mk3
  (FireWire only model) (jsc#SLE-16518).
- ALSA: firewire-motu: refactoring protocol v2 for fetching mode
  switch (jsc#SLE-16518).
- ALSA: firewire-motu: refactoring protocol v3 for clock source
  getter (jsc#SLE-16518).
- ALSA: firewire-motu: refactoring protocol v2 for clock source
  getter (jsc#SLE-16518).
- ALSA: firewire-motu: remove obsoleted codes (jsc#SLE-16518).
- ALSA: firewire-motu: use table-based calculation of packet
  formats for stream management (jsc#SLE-16518).
- ALSA: firewire-motu: use table-based calculation of packet
  formats for proc (jsc#SLE-16518).
- ALSA: firewire-motu: add alternative functions to detect packet
  format for protocol v3 (jsc#SLE-16518).
- ALSA: firewire-motu: add alternative functions to detect packet
  format for protocol v2 (jsc#SLE-16518).
- ALSA: firewire-motu: add model-specific table of chunk count
  (jsc#SLE-16518).
- ALSA: firewire-motu: drop protocol structure (jsc#SLE-16518).
- ALSA: firewire-motu: add wrapper functions for
  protocol-dependent operations (jsc#SLE-16518).
- ALSA: firewire-motu: localize protocol data (jsc#SLE-16518).
- ALSA: firewire-motu: move spec data to v3 protocol file
  (jsc#SLE-16518).
- ALSA: firewire-motu: move spec data to v2 protocol file
  (jsc#SLE-16518).
- ALSA: hda: Unexport some local helper functions (jsc#SLE-16518).
- ALSA: hda: Drop unused snd_hda_queue_unsol_event()
  (jsc#SLE-16518).
- ALSA: hda: Fix potential race in unsol event handler
  (jsc#SLE-16518).
- ALSA: usb-audio: Add duplex sound support for USB devices
  using implicit feedback (jsc#SLE-16518).
- ALSA: usb-audio: fixing upper volume limit for RME Babyface
  Pro routing crosspoints (jsc#SLE-16518).
- ALSA: firewire-motu: fulfill missing entries in Kconfig
  (jsc#SLE-16518).
- ALSA: fireface: add support for RME Fireface UFX (untested)
  (jsc#SLE-16518).
- ALSA: fireface: add support for RME FireFace 802
  (jsc#SLE-16518).
- ALSA: fireface: code refactoring to decide name of sound card
  (jsc#SLE-16518).
- ALSA: fireface: code refactoring to add enumeration constants
  for model identification (jsc#SLE-16518).
- ALSA: fireface: start IR context immediately (jsc#SLE-16518).
- ALSA: fireface: fix configuration error for nominal sampling
  transfer frequency (jsc#SLE-16518).
- ALSA: firewire-lib: use sequence of syt offset and data block
  on pool in AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-lib: pool ideal sequence of syt offset and data
  block (jsc#SLE-16518).
- ALSA: firewire-lib: add cache for packet sequence to AMDTP
  domain structure (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring for data block calculation
  (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring for syt offset calculation
  (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring for syt computation
  (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring for parameters of packet
  queue and IRQ timing (jsc#SLE-16518).
- ALSA: firewire-lib: add reference to domain structure from
  stream structure (jsc#SLE-16518).
- ALSA: firewire-lib: use macro for maximum value of second in
  1394 OHCI isoc descriptor (jsc#SLE-16518).
- ALSA: firewire-lib: fix invalid assignment to union data for
  directional parameter (jsc#SLE-16518).
- ALSA: fireworks: Replace zero-length array with flexible-array
  (jsc#SLE-16518).
- ALSA: Replace zero-length array with flexible-array
  (jsc#SLE-16518).
- ALSA: hda: Allow SST driver on SKL and KBL platforms with DMIC
  (jsc#SLE-16518).
- ALSA: portman2x4: Use bitwise instead of arithmetic operator
  for flags (jsc#SLE-16518).
- commit fe87f07
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: sound/ppc: Use bitwise instead of arithmetic operator
  for flags (jsc#SLE-16518).
- ALSA: hda: Return true,false for return type bool
  (jsc#SLE-16518).
- ALSA: hda: Use hdac_to_hda_codec macro (jsc#SLE-16518).
- ALSA: hda: Use dev_to_hdac_dev macro (jsc#SLE-16518).
- ALSA: hda/tegra: workaround playback failure on Tegra194
  (jsc#SLE-16518).
- ALSA: hda: add member to store ratio for stripe control
  (jsc#SLE-16518).
- ALSA: hda/tegra: correct number of SDO lines for Tegra194
  (jsc#SLE-16518).
- ALSA: line6: Add poll callback for hwdep (jsc#SLE-16518).
- ALSA: line6: hwdep: add support for O_NONBLOCK opening mode
  (jsc#SLE-16518).
- ALSA: isa/wavefront: prevent out of bounds write in ioctl
  (jsc#SLE-16518).
- ALSA: hda/realtek - Fix unused variable warning w/o
  CONFIG_LEDS_TRIGGER_AUDIO (jsc#SLE-16518).
- ALSA: hda/realtek - Add LED class support for micmute LED
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable micmute LED on and HP system
  (jsc#SLE-16518).
- ALSA: hda/realtek - Introduce polarity for micmute LED GPIO
  (jsc#SLE-16518).
- ALSA: seq: oss: remove unused inline function
  snd_seq_oss_timer_is_realtime (jsc#SLE-16518).
- ALSA: usb-audio: Fix racy list management in output queue
  (jsc#SLE-16518).
- ALSA: usb-audio: Remove async workaround for Scarlett 2nd gen
  (jsc#SLE-16518).
- ALSA: usb-audio: Improve frames size computation
  (jsc#SLE-16518).
- ALSA: hda: Refactor Intel NHLT init (jsc#SLE-16518).
- ALSA: oxygen: use true,false for bool variables (jsc#SLE-16518).
- ALSA: usb-audio: Fix a limit check in
  proc_dump_substream_formats() (jsc#SLE-16518).
- ALSA: usb-audio: Print more information in stream proc files
  (jsc#SLE-16518).
- ALSA: Fix misspellings of "Analog Devices" (jsc#SLE-16518).
- ALSA: usb-audio: RME Babyface Pro mixer patch (jsc#SLE-16518).
- ALSA: hda: add autodetection for SoundWire (jsc#SLE-16518).
- ASoC: txx9: add back the hack for a too small resource_size_t
  (jsc#SLE-16518).
- ASoC: txx9: don't work around too small resource_size_t
  (jsc#SLE-16518).
- pcm_native: result of put_user() needs to be checked
  (jsc#SLE-16518).
- ACPICA: Add NHLT table signature (jsc#SLE-16518).
- commit 7db3f22
* Mon Sep 28 2020 tiwai@suse.de
- Bluetooth: btrtl: Add support for RTL8761B (bsc#1177021).
- commit 6c51917
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: hda/realtek - Add new codec supported for ALC287
  (jsc#SLE-16518).
- ALSA: usb-audio: Quirks for Gigabyte TRX40 Aorus Master onboard
  audio (jsc#SLE-16518).
- ALSA: usb-audio: mixer: volume quirk for ESS Technology Asus
  USB DAC (jsc#SLE-16518).
- ALSA: hda/realtek - Add a model for Thinkpad T570 without DAC
  workaround (jsc#SLE-16518).
- ALSA: hwdep: fix a left shifting 1 by 31 UB bug (jsc#SLE-16518).
- ALSA: hda/realtek - Add more fixup entries for Clevo machines
  (jsc#SLE-16518).
- ALSA: iec1712: Initialize STDSP24 properly when using the
  model=staudio option (jsc#SLE-16518).
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Xtreme (jsc#SLE-16518).
- ALSA: pcm: fix incorrect hw_base increase (jsc#SLE-16518).
- ALSA: hda/realtek - Limit int mic boost for Thinkpad T530
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add COEF workaround for ASUS ZenBook UX431DA
  (jsc#SLE-16518).
- ALSA: hda/realtek: Enable headset mic of ASUS UX581LV with
  ALC295 (jsc#SLE-16518).
- ALSA: hda/realtek - Enable headset mic of ASUS UX550GE with
  ALC295 (jsc#SLE-16518).
- ALSA: hda/realtek - Enable headset mic of ASUS GL503VM with
  ALC295 (jsc#SLE-16518).
- ALSA: hda/realtek: Add quirk for Samsung Notebook
  (jsc#SLE-16518).
- ALSA: rawmidi: Fix racy buffer resize under concurrent accesses
  (jsc#SLE-16518).
- ALSA: usb-audio: add mapping for ASRock TRX40 Creator
  (jsc#SLE-16518).
- ALSA: hda/realtek - Fix S3 pop noise on Dell Wyse
  (jsc#SLE-16518).
- Revert "ALSA: hda/realtek: Fix pop noise on ALC225"
  (jsc#SLE-16518).
- ALSA: firewire-lib: fix 'function sizeof not defined' error
  of tracepoints format (jsc#SLE-16518).
- ALSA: usb-audio: Add control message quirk delay for Kingston
  HyperX headset (jsc#SLE-16518).
- ALSA: usb-audio: Correct a typo of NuPrime DAC-10 USB ID
  (jsc#SLE-16518).
- ALSA: opti9xx: shut up gcc-10 range warning (jsc#SLE-16518).
- ALSA: hda/hdmi: fix without unlocked before return
  (jsc#SLE-16518).
- ALSA: hda/hdmi: fix race in monitor detection during probe
  (jsc#SLE-16518).
- ALSA: hda/realtek - Two front mics on a Lenovo ThinkCenter
  (jsc#SLE-16518).
- ALSA: line6: Fix POD HD500 audio playback (jsc#SLE-16518).
- ALSA: pcm: oss: Place the plugin buffer overflow checks
  correctly (for 5.7) (jsc#SLE-16518).
- ALSA: hda: Match both PCI ID and SSID for driver blacklist
  (jsc#SLE-16518).
- ALSA: hda: Always use jackpoll helper for jack update after
  resume (jsc#SLE-16518).
- ALSA: hda/realtek - Add new codec supported for ALC245
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix usb audio refcnt leak when getting spdif
  (jsc#SLE-16518).
- ALSA: usb-audio: Add connector notifier delegation
  (jsc#SLE-16518).
- ASoC: wm8960: Fix wrong clock after suspend & resume
  (jsc#SLE-16518).
- ASoC: wm89xx: Add missing dependency (jsc#SLE-16518).
- ASoC: rsnd: Fix "status check failed" spam for multi-SSI
  (jsc#SLE-16518).
- ASoC: rsnd: Don't treat master SSI in multi SSI setup as parent
  (jsc#SLE-16518).
- ASoC: meson: gx-card: fix codec-to-codec link setup
  (jsc#SLE-16518).
- ASoC: meson: axg-card: fix codec-to-codec link setup
  (jsc#SLE-16518).
- ASoC: dapm: fixup dapm kcontrol widget (jsc#SLE-16518).
- ASoC: SOF: Intel: add min/max channels for SSP on
  Baytrail/Broadwell (jsc#SLE-16518).
- ASoC: stm32: sai: fix sai probe (jsc#SLE-16518).
- ASoC: rsnd: Fix HDMI channel mapping for multi-SSI mode
  (jsc#SLE-16518).
- ASoC: rsnd: Fix parent SSI start/stop in multi-SSI mode
  (jsc#SLE-16518).
- ASoC: codecs: hdac_hdmi: Fix incorrect use of
  list_for_each_entry (jsc#SLE-16518).
- ASoC: soc-dai: revert all changes to DAI startup/shutdown
  sequence (jsc#SLE-16518).
- ASoC: topology: Fix endianness issue (jsc#SLE-16518).
- ASoC: q6dsp6: q6afe-dai: add missing channels to MI2S DAIs
  (jsc#SLE-16518).
- ASoC: soc-pcm: dpcm: Only allow playback/capture if supported
  (jsc#SLE-16518).
- ASoC: sgtl5000: Fix VAG power-on handling (jsc#SLE-16518).
- ASoC: madera: Remove a couple of stray blank lines
  (jsc#SLE-16518).
- ASoC: wsa881x: mark read_only_wordlength flag (jsc#SLE-16518).
- ASoC: qcom: common: Silence duplicate parse error messages
  (jsc#SLE-16518).
- ASoC: dapm: Remove dapm_connect_dai_link_widgets helper
  (jsc#SLE-16518).
- commit 7336096
* Mon Sep 28 2020 tiwai@suse.de
- blacklist.conf: remove an ASoC entry to be backported
- commit 1177da5
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: dapm: Move error message to avoid some duplication
  (jsc#SLE-16518).
- ASoC: Intel: soc-acpi-intel-cml-match: remove useless
  'rt1308_2_adr' (jsc#SLE-16518).
- ASoC: intel: soc-acpi-intel-icl-match: remove useless
  'rt1308_2_adr' (jsc#SLE-16518).
- ASoC: amd: Fix button configuration (jsc#SLE-16518).
- ASoC: tas571x: disable regulators on failed probe
  (jsc#SLE-16518).
- ASoC: dapm: Fix regression introducing multiple copies of DAI
  widgets (jsc#SLE-16518).
- ASoC: samsung: s3c24xx-i2s: Fix build after removal of DAI
  suspend/resume (jsc#SLE-16518).
- ASoC: topology: Check return value of soc_tplg_dai_config
  (jsc#SLE-16518).
- ASoC: topology: Check return value of pcm_new_ver
  (jsc#SLE-16518).
- ASoC: topology: Check soc_tplg_add_route return value
  (jsc#SLE-16518).
- ASoC: topology: Check return value of soc_tplg_*_create
  (jsc#SLE-16518).
- ASoC: topology: Check return value of soc_tplg_create_tlv
  (jsc#SLE-16518).
- ASoC: topology: Add missing memory checks (jsc#SLE-16518).
- ALSA: usb-audio: Apply async workaround for Scarlett 2i4 2nd
  gen (jsc#SLE-16518).
- ALSA: usx2y: Fix potential NULL dereference (jsc#SLE-16518).
- ALSA: usb-audio: Add quirk for Focusrite Scarlett 2i2
  (jsc#SLE-16518).
- ALSA: usb-audio: Add static mapping table for ALC1220-VB-based
  mobos (jsc#SLE-16518).
- ALSA: hda: Remove ASUS ROG Zenith from the blacklist
  (jsc#SLE-16518).
- ALSA: hda/realtek - Fix unexpected init_amp override
  (jsc#SLE-16518).
- ALSA: usb-audio: Filter out unsupported sample rates on
  Focusrite devices (jsc#SLE-16518).
- ALSA: hda/hdmi: Add module option to disable audio component
  binding (jsc#SLE-16518).
- ALSA: hda: call runtime_allow() for all hda controllers
  (jsc#SLE-16518).
- ALSA: hda: Explicitly permit using autosuspend if runtime PM
  is supported (jsc#SLE-16518).
- ALSA: hda: Skip controller resume if not needed (jsc#SLE-16518).
- ALSA: hda: Keep the controller initialization even if no codecs
  found (jsc#SLE-16518).
- ALSA: hda: Release resources at error in delayed probe
  (jsc#SLE-16518).
- ALSA: hda: Honor PM disablement in PM freeze and thaw_noirq ops
  (jsc#SLE-16518).
- ALSA: hda: Don't release card at firmware loading error
  (jsc#SLE-16518).
- ALSA: usb-audio: Check mapping at creating connector controls,
  too (jsc#SLE-16518).
- ALSA: usb-audio: Don't create jack controls for PCM terminals
  (jsc#SLE-16518).
- ALSA: usb-audio: Don't override ignore_ctl_error value from
  the map (jsc#SLE-16518).
- ALSA: usb-audio: Filter error from connector kctl ops, too
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable the headset mic on Asus FX505DT
  (jsc#SLE-16518).
- ALSA: ctxfi: Remove unnecessary cast in kfree (jsc#SLE-16518).
- ASoC: cs4270: pull reset GPIO low then high (jsc#SLE-16518).
- ASoC: rt5645: Add platform-data for Medion E1239T
  (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN MPWIN895CL tablet
  (jsc#SLE-16518).
- ASoC: stm32: sai: Add missing cleanup (jsc#SLE-16518).
- ASoC: Intel: atom: Fix uninitialized variable compiler warning
  (jsc#SLE-16518).
- ASoC: Intel: atom: Check drv->lock is locked in
  sst_fill_and_send_cmd_unlocked (jsc#SLE-16518).
- ASoC: Intel: atom: Take the drv->lock mutex before calling
  sst_send_slot_map() (jsc#SLE-16518).
- ASoC: SOF: Turn "firmware boot complete" message into a dbg
  message (jsc#SLE-16518).
- ASoC: topology: use name_prefix for new kcontrol
  (jsc#SLE-16518).
- ASoC: rt5682: Fix build error without CONFIG_I2C
  (jsc#SLE-16518).
- ASoC: dpcm: allow start or stop during pause for backend
  (jsc#SLE-16518).
- ASoC: dapm: connect virtual mux with default value
  (jsc#SLE-16518).
- ASoC: qcom: q6asm-dai: Add SNDRV_PCM_INFO_BATCH flag
  (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5650: Remove ignore_suspend flag from SSP0
  dai link (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5677: Remove ignore_suspend flag from SSP0
  dai link (jsc#SLE-16518).
- commit 03d3d71
* Mon Sep 28 2020 tbogendoerfer@suse.de
- net: sched: initialize with 0 before setting erspan md->u
  (bsc#1154353).
- debugfs: Fix module state check condition (bsc#1173746).
- RDMA/siw: Suppress uninitialized var warning (jsc#SLE-8381).
- commit 97c7a55
* Mon Sep 28 2020 tiwai@suse.de
- dmaengine: Add support for reporting DMA cached data amount
  (jsc#SLE-16518).
- commit 9f20355
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: haswell: Remove ignore_suspend flag from SSP0
  dai link (jsc#SLE-16518).
- ASoC: Intel: broadwell: Remove ignore_suspend flag from SSP0
  dai link (jsc#SLE-16518).
- ASoC: soc-dai: fix DAI startup/shutdown sequence
  (jsc#SLE-16518).
- ASoC: fix regwmask (jsc#SLE-16518).
- ASoC: AMD: Clear format bits before setting them
  (jsc#SLE-16518).
- ASoC: bcm: Fix pointer cast warning (jsc#SLE-16518).
- ALSA: hda: Add driver blacklist (jsc#SLE-16518).
- ALSA: usb-audio: Add mixer workaround for TRX40 and co
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add quirk for MSI GL63 (jsc#SLE-16518).
- ALSA: ice1724: Fix invalid access for enumerated ctl items
  (jsc#SLE-16518).
- commit a229968
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: hda: Fix potential access overflow in beep helper
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add HP new mute led supported for ALC236
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add supported new mute Led for HP
  (jsc#SLE-16518).
- ALSA: usb-audio: Add registration quirk for Kingston HyperX
  Cloud Alpha S (jsc#SLE-16518).
- ALSA: usb-audio: Add Pioneer DJ DJM-250MK2 quirk
  (jsc#SLE-16518).
- ALSA: pcm: oss: Fix regression by buffer overflow fix (again)
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add quirk for Lenovo Carbon X1 8th gen
  (jsc#SLE-16518).
- soundwire: qcom: add support for get_sdw_stream()
  (jsc#SLE-16518).
- soundwire: cadence: clear FIFO to avoid pop noise issue on
  playback start (jsc#SLE-16518).
- soundwire: cadence: multi-link support (jsc#SLE-16518).
- soundwire: cadence: commit changes in the exit_reset() sequence
  (jsc#SLE-16518).
- soundwire: cadence: remove automatic command retries
  (jsc#SLE-16518).
- soundwire: cadence: remove PREQ_DELAY assignment
  (jsc#SLE-16518).
- soundwire: cadence: enable NORMAL operation in cdns_init()
  (jsc#SLE-16518).
- soundwire: cadence: reorder MCP_CONFIG settings (jsc#SLE-16518).
- soundwire: cadence: make SSP interval programmable
  (jsc#SLE-16518).
- soundwire: cadence: move clock/SSP related inits to dedicated
  function (jsc#SLE-16518).
- soundwire: cadence: merge routines to clear/set bits
  (jsc#SLE-16518).
- soundwire: cadence: mask Slave interrupt before stopping clock
  (jsc#SLE-16518).
- soundwire: cadence: fix a io timeout issue in S3 test
  (jsc#SLE-16518).
- soundwire: cadence: add clock_stop/restart routines
  (jsc#SLE-16518).
- soundwire: cadence: handle error cases with CONFIG_UPDATE
  (jsc#SLE-16518).
- soundwire: cadence: add interface to check clock status
  (jsc#SLE-16518).
- soundwire: cadence: simplifiy cdns_init() (jsc#SLE-16518).
- soundwire: cadence: s/update_config/config_update
  (jsc#SLE-16518).
- soundwire: stream: use sdw_write instead of update
  (jsc#SLE-16518).
- soundwire: bus: provide correct return value on error
  (jsc#SLE-16518).
- soundwire: add helper macros for devID fields (jsc#SLE-16518).
- soundwire: cadence: remove useless prototypes (jsc#SLE-16518).
- soundwire: bus: don't treat CMD_IGNORED as error on ClockStop
  (jsc#SLE-16518).
- soundwire: bus: add clock stop helpers (jsc#SLE-16518).
- soundwire: bus: fix io error when processing alert event
  (jsc#SLE-16518).
- soundwire: bus: disable pm_runtime in sdw_slave_delete
  (jsc#SLE-16518).
- soundwire: bus: add helper to clear Slave status to UNATTACHED
  (jsc#SLE-16518).
- soundwire: bus: write Slave Device Number without runtime_pm
  (jsc#SLE-16518).
- soundwire: bus: add PM/no-PM versions of read/write functions
  (jsc#SLE-16518).
- soundwire: bus: fix race condition with initialization_complete
  signaling (jsc#SLE-16518).
- soundwire: bus: fix race condition with enumeration_complete
  signaling (jsc#SLE-16518).
- soundwire: bus: fix race condition with probe_complete signaling
  (jsc#SLE-16518).
- soundwire: intel: free all resources on hw_free()
  (jsc#SLE-16518).
- soundwire: intel: add sdw_stream_setup helper for .startup
  callback (jsc#SLE-16518).
- soundwire: intel: add trigger support in sdw dai driver
  (jsc#SLE-16518).
- soundwire: intel: add prepare support in sdw dai driver
  (jsc#SLE-16518).
- soundwire: intel: rename res field as link_res (jsc#SLE-16518).
- soundwire: stream: don't program ports when a stream that has
  not been prepared (jsc#SLE-16518).
- soundwire: stream: fix support for multiple Slaves on the same
  link (jsc#SLE-16518).
- soundwire: stream: do not update parameters during
  DISABLED-PREPARED transition (jsc#SLE-16518).
- soundwire: stream: only prepare stream when it is configured
  (jsc#SLE-16518).
- soundwire: stream: update state machine and add state checks
  (jsc#SLE-16518).
- commit 4cdcd92
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: boards: add sof_sdw machine driver (jsc#SLE-16518).
- Update config files.
- commit 89620c3
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: usb-audio: Fix case when USB MIDI interface has more
  than one extra endpoint descriptor (jsc#SLE-16518).
- Revert "ALSA: uapi: Drop asound.h inclusion from asoc.h"
  (jsc#SLE-16518).
- ALSA: hda/realtek - Remove now-unnecessary XPS 13 headphone
  noise fixups (jsc#SLE-16518).
- ALSA: hda/realtek - Set principled PC Beep configuration for
  ALC256 (jsc#SLE-16518).
- ASoC: Intel: sof_sdw: Add Volteer support with RT5682 SNDW
  helper function (jsc#SLE-16518).
- ASoC: Intel: common: add match table for TGL RT5682 SoundWire
  driver (jsc#SLE-16518).
- ASoC: Intel: soc-acpi: update topology and driver name for
  SoundWire platforms (jsc#SLE-16518).
- ASoC: amd: acp3x-pcm-dma: clean up two indentation issues
  (jsc#SLE-16518).
- ASoC: codecs: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: arm: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: xtensa: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: ux500: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: uniphier: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: txx9: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: ti: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: tegra: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: sunxi: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: stm: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: sprd: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: sof: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: sh: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: samsung: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: rockchip: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: qcom: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: pxa: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: mxs: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: meson: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: mediatek: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: kirkwood: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: intel: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: img: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: generic: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: fsl: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: dwc: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: cirrus: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: bcm: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: au1x: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- commit 8ef84d7
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: atmel: use asoc_rtd_to_cpu() / asoc_rtd_to_codec()
  macro for DAI pointer (jsc#SLE-16518).
- ASoC: amd: use asoc_rtd_to_cpu() / asoc_rtd_to_codec() macro
  for DAI pointer (jsc#SLE-16518).
- ASoC: soc-core: add asoc_rtd_to_cpu/codec() macro
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-ctrl: add reset cycle before parsing
  capabilities (jsc#SLE-16518).
- Asoc: SOF: Intel: hda: check SoundWire wakeen interrupt in
  irq thread (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: add WAKEEN interrupt support for
  SoundWire (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: add parameter to control SoundWire
  clock stop quirks (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: merge IPC, stream and SoundWire interrupt
  handlers (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: disable SoundWire interrupts on suspend
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: initial SoundWire machine driver
  autodetect (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: add SoundWire stream config/free
  callbacks (jsc#SLE-16518).
- ASoC: SOF: IPC: dai-intel: move ALH declarations in header file
  (jsc#SLE-16518).
- ASoC: SOF: Intel: add SoundWire configuration interface
  (jsc#SLE-16518).
- ASoC: soc-acpi: expand description of _ADR-based devices
  (jsc#SLE-16518).
- ASoC: rt5682: move DAI clock registry to I2S mode
  (jsc#SLE-16518).
- ASoC: pxa: magician: convert to use i2c_new_client_device()
  (jsc#SLE-16518).
- ASoC: rt1308-sdw: use slot and rx_mask to configure stream
  (jsc#SLE-16518).
- ASoC: rt1308-sdw: add set_tdm_slot() support (jsc#SLE-16518).
- ASoC: Intel: common: Add mach table for tgl-max98373-rt5682
  (jsc#SLE-16518).
- ASoC: Intel: sof_rt5682: Add support for tgl-max98373-rt5682
  (jsc#SLE-16518).
- ASoC: intel: sof_da7219_max98373: Add speaker switch
  (jsc#SLE-16518).
- ASoC: Intel: Make glk+rt5682 echo ref dynamic (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: call codec wake at chip init
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: do not leave clock gating off upon error
  (jsc#SLE-16518).
- ASoC: SOF: fix uninitialised "work" with VirtIO (jsc#SLE-16518).
- ASoC: SOF: (cosmetic) use for_each_pcm_streams() in
  sof_dai_load() (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Improve DSP state logging
  (jsc#SLE-16518).
- ASoC: pxa: Enable AC'97 bus support for PXA machines
  (jsc#SLE-16518).
- ASoC: pxa: Select regmap from AC'97 machines (jsc#SLE-16518).
- ASoC: mchp-i2s-mcc: make signed 1 bit bitfields unsigned
  (jsc#SLE-16518).
- ASoC: jz4740-i2s: Add support for the JZ4770 (jsc#SLE-16518).
- ASoC: jz4740-i2s: Add support for the JZ4760 (jsc#SLE-16518).
- ASoC: wm8974: remove unused variables (jsc#SLE-16518).
- ASoC: tegra: tegra_wm8903: Support DAPM events for built-in
  microphone (jsc#SLE-16518).
- ASoC: rt5682: Add a property for DMIC delay (jsc#SLE-16518).
- ASoC: rt5682: Add a property for DMIC clock rate
  (jsc#SLE-16518).
- ASoC: MT6660: make spdxcheck.py happy (jsc#SLE-16518).
- ASoC: soc-core: Merge CPU/Codec for soc_dai_pcm_new()
  (jsc#SLE-16518).
- ASoC: soc-pcm: Merge for_each_rtd_cpu/codec_dais()
  (jsc#SLE-16518).
- ASoC: soc-dapm: Merge for_each_rtd_cpu/codec_dais()
  (jsc#SLE-16518).
- ASoC: soc-core: Merge for_each_rtd_cpu/codec_dais()
  (jsc#SLE-16518).
- ASoC: soc-core: Merge CPU/Codec DAIs (jsc#SLE-16518).
- soundwire: stream: Add read_only_wordlength flag to port
  properties (jsc#SLE-16518).
- ASoC: stm32: i2s: manage rebind issue (jsc#SLE-16518).
- ASoC: stm32: spdifrx: manage rebind issue (jsc#SLE-16518).
- ASoC: qcom: sdm845: handle soundwire stream (jsc#SLE-16518).
- ASoC: codecs: wsa881x: remove soundwire stream handling
  (jsc#SLE-16518).
- ASoC: rt5682: remove noisy debug messages (jsc#SLE-16518).
- ALSA: compress: bump the version (jsc#SLE-16518).
- ASoC: qcom: q6asm-dai: add support for ALAC and APE decoders
  (jsc#SLE-16518).
- commit e824e56
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: qcom: q6asm: add support for alac and ape configs
  (jsc#SLE-16518).
- ALSA: compress: add alac & ape decoder params (jsc#SLE-16518).
- ASoC: qcom: q6asm-dai: add support to wma decoder
  (jsc#SLE-16518).
- ASoC: qcom: q6asm: add support to wma config (jsc#SLE-16518).
- ASoC: qcom: q6asm: pass codec profile to q6asm_open_write
  (jsc#SLE-16518).
- ALSA: compress: Add wma decoder params (jsc#SLE-16518).
- ALSA: compress: add wma codec profiles (jsc#SLE-16518).
- ASoC: soc-dai: return proper error for get_sdw_stream()
  (jsc#SLE-16518).
- ASoC: SOF: topology: connect dai widget to all cpu-dais
  (jsc#SLE-16518).
- ASoC: SOF: Intel: remove unnecessary waitq before loading
  firmware (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: remove unnecessary ROM IPC filter
  function (jsc#SLE-16518).
- ASoC: SOF: Remove SOF_IPC_EXT_DMA_BUFFER (jsc#SLE-16518).
- ASoC: SOF: Make sof_ipc_ext_data enum more rigid
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-dai: add stream capability
  (jsc#SLE-16518).
- ASoC: Intel: don't use GFP_ATOMIC for machine driver contexts
  (jsc#SLE-16518).
- ASoC: Intel: sof_rt5682: Add rt1015 speaker amp support
  (jsc#SLE-16518).
- ASoC: Intel: sof_da7219_max98373: Add support for max98360a
  speaker amp (jsc#SLE-16518).
- ASoC: Intel: (cosmetic) simplify structure member access
  (jsc#SLE-16518).
- ASoC: Intel: skylake: (cosmetic) remove redundant variable
  initialisations (jsc#SLE-16518).
- ASoC: codecs: hdac_hdmi: (cosmetic) remove redundant variable
  initialisations (jsc#SLE-16518).
- commit a61dec4
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: remove SND_SOC_SOF_HDA_COMMON_HDMI_CODEC
  (jsc#SLE-16518).
- Update config files.
- commit 274913b
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: sof_pcm512x: make HDMI optional for all platforms
  (jsc#SLE-16518).
- ASoC: Intel: sof_pcm512x: drop reverse deps for
  SND_HDA_CODEC_HDMI (jsc#SLE-16518).
- ASoC: Intel: boards: drop reverse deps for SND_HDA_CODEC_HDMI
  (jsc#SLE-16518).
- ASoC: brcm: Add DSL/PON SoC audio driver (jsc#SLE-16518).
- ASoC: rt5682: Fine tune the HP performance in soundwire mode
  (jsc#SLE-16518).
- ASoC: export DPCM runtime update functions (jsc#SLE-16518).
- ASoC: (cosmetic) simplify dpcm_prune_paths() (jsc#SLE-16518).
- ASoC: zte: zx-tdm: remove redundant variables dev
  (jsc#SLE-16518).
- ASoC: rt5682-sdw: fix 'defined but not used' pm functions
  (jsc#SLE-16518).
- ASoC: rt5682: fix unmet dependencies (jsc#SLE-16518).
- ASoC: pcm: Fix (again) possible buffer overflow in dpcm state
  sysfs output (jsc#SLE-16518).
- ASoC: soc-dapm: add for_each_card_widgets() macro
  (jsc#SLE-16518).
- ASoC: soc-dapm: add for_each_card_dapms() macro (jsc#SLE-16518).
- ASoC: soc.h: remove non plural form for_each_xxx macro
  (jsc#SLE-16518).
- ASoC: soc: use for_each_rtd_codecs/cpus_dai() macro
  (jsc#SLE-16518).
- ASoC: qcom: use for_each_rtd_codecs/cpus_dai() macro
  (jsc#SLE-16518).
- ASoC: meson: use for_each_rtd_codecs/cpus_dai() macro
  (jsc#SLE-16518).
- ASoC: mediatek: use for_each_rtd_codecs/cpus_dai() macro
  (jsc#SLE-16518).
- ASoC: Intel: use for_each_rtd_codecs/cpus_dai() macro
  (jsc#SLE-16518).
- ASoC: soc.h: add for_each_rtd_codecs/cpus_dai() macro
  (jsc#SLE-16518).
- ASoC: SOF: Fix probe point getter (jsc#SLE-16518).
- ASoC: jz4740-i2s: Avoid passing enum as match data
  (jsc#SLE-16518).
- ASoC: jz4740-i2s: Add local dev variable in probe function
  (jsc#SLE-16518).
- ASoC: amd: Adding TDM support in hw_params (jsc#SLE-16518).
- ASoC: simple-card-utils: use for_each_pcm_streams()
  (jsc#SLE-16518).
- ASoC: soc-pcm: Do Digital Mute for both CPU/Codec in same timing
  (jsc#SLE-16518).
- ASoC: soc-pcm: check DAI's activity more simply (jsc#SLE-16518).
- ASoC: soc-pcm: tidyup dulicate handing at dpcm_fe_dai_startup()
  (jsc#SLE-16518).
- ASoC: soc-pcm: use snd_soc_dai_get_pcm_stream() at
  dpcm_set_fe_runtime() (jsc#SLE-16518).
- commit bedc48b
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: soc-pcm: add dpcm_fe_dai_cleanup() (jsc#SLE-16518).
- ASoC: soc-pcm: move dpcm_fe_dai_close() (jsc#SLE-16518).
- ASoC: simple-card: Add support for codec2codec DAI links
  (jsc#SLE-16518).
- ASoC: pcm: Export parameter intersection logic (jsc#SLE-16518).
- ALSA: pcm: Add a standalone version of snd_pcm_limit_hw_rates
  (jsc#SLE-16518).
- ASoC: wcd934x: remove unused headers (jsc#SLE-16518).
- ASoC: wcd934x: fix High Accuracy Buck enable (jsc#SLE-16518).
- ALSA: dmaengine_pcm: No need to take runtime reference twice
  in pcm_pointer (jsc#SLE-16518).
- ASoC: soc-pcm: remove duplicate be check from dpcm_add_paths()
  (jsc#SLE-16518).
- ASoC: soc-pcm: use defined stream (jsc#SLE-16518).
- ASoC: sprd: Allow the MCDT driver to build into modules
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Fix mic_bias and vref device tree
  verification (jsc#SLE-16518).
- ASoc: amd: acp3x: Add missing include <linux/io.h>
  (jsc#SLE-16518).
- ASoC: amd: Fix compile warning of argument type (jsc#SLE-16518).
- ASoC: amd: AMD RV RT5682 should depends on CROS_EC
  (jsc#SLE-16518).
- ASoC: SOF: add core id to sof_ipc_comp (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-loader: clear the IPC ack bit after
  FW_PURGE done (jsc#SLE-16518).
- ASoC: SOF: ipc: check ipc return value before data copy
  (jsc#SLE-16518).
- ASoC: SOF: pcm: skip DMA buffer pre-allocation (jsc#SLE-16518).
- ASoC: rt1015: set snd_soc_dai_ops in rt1015_dai driver
  (jsc#SLE-16518).
- ASoc: amd: Add DMIC switch capability to machine driver
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: use snd_sof_dsp_set_power_state() op
  (jsc#SLE-16518).
- ASoC: zte: zx-spdif: remove redundant dev_err message
  (jsc#SLE-16518).
- ASoC: soc-dapm: don't use rtd->cpu_dai on for_each_rtd_cpu_dai()
  (jsc#SLE-16518).
- ASoC: samsung: Silence warnings during deferred probe
  (jsc#SLE-16518).
- ASoC: rt5682: Make rt5682_clock_config static (jsc#SLE-16518).
- ASoC: rt1015: modify some structure to be static
  (jsc#SLE-16518).
- ASoC: pcm: check if cpu-dai supports a given stream
  (jsc#SLE-16518).
- ASoC: Return error if the function does not support multi-cpu
  (jsc#SLE-16518).
- ASoC: Add multiple CPU DAI support in DAPM (jsc#SLE-16518).
- commit 7720f7d
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: rt5682: Add the soundwire support (jsc#SLE-16518).
- Update config files.
- commit 175a8f8
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: amd: Add machine driver for Raven based platform
  (jsc#SLE-16518).
- Update config files.
- commit af681ec
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Add dapm_add_valid_dai_widget helper (jsc#SLE-16518).
- ASoC: Add multiple CPU DAI support for PCM ops (jsc#SLE-16518).
- ASoC: Add initial support for multiple CPU DAIs (jsc#SLE-16518).
- ASoC: soc-dai: add get_sdw_stream() callback (jsc#SLE-16518).
- ASoC: tas2562: Add entries for the TAS2563 audio amplifier
  (jsc#SLE-16518).
- ASoC: amd: Allow I2S wake event after ACP is powerd On
  (jsc#SLE-16518).
- ASoC: rt5682: Revise the function name (jsc#SLE-16518).
- ASoC: Intel: mrfld: fix incorrect check on p->sink
  (jsc#SLE-16518).
- ASoC: soc-pcm: add dpcm_create/remove_debugfs_state()
  (jsc#SLE-16518).
- ASoC: soc-pcm: move CONFIG_DEBUG_FS functions to top side
  (jsc#SLE-16518).
- ASoC: soc-pcm: move dpcm_path_put() to soc-pcm.c
  (jsc#SLE-16518).
- ASoC: soc-pcm: merge dpcm_run_new/old_update() into
  dpcm_fe_runtime_update() (jsc#SLE-16518).
- ASoC: soc-pcm: add snd_soc_dai_get_widget() (jsc#SLE-16518).
- ASoC: soc-pcm: cleanup soc_pcm_apply_msb() (jsc#SLE-16518).
- ASoC: soc-pcm: add snd_soc_dai_get_pcm_stream() (jsc#SLE-16518).
- ASoC: soc-pcm: fix state tracking error in
  snd_soc_component_open/close() (jsc#SLE-16518).
- ASoC: meson: aiu: fix semicolon.cocci warnings (jsc#SLE-16518).
- ASoC: Fix SND_SOC_ALL_CODECS imply ac97 fallout (jsc#SLE-16518).
- commit 1e840ca
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: meson: g12a: add internal DAC glue driver (jsc#SLE-16518).
- Update config files.
- commit f1ea609
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: tlv320adcx140: Add decimation filter support
  (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add DRE and AGC support (jsc#SLE-16518).
- ASoC: meson: axg-card: add toacodec support (jsc#SLE-16518).
- ASoC: tas2562: Add support for digital volume control
  (jsc#SLE-16518).
- ASoC: sun8i-codec: Remove unused dev from codec struct
  (jsc#SLE-16518).
- ASoC: meson: aiu: add support for the Meson8 and Meson8b SoC
  families (jsc#SLE-16518).
- ASoC: meson: aiu: introduce a struct for platform specific
  information (jsc#SLE-16518).
- ASoC: tlv320adcx140: Add the tlv320adcx140 codec driver family
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: allow operation without i915 gfx
  (jsc#SLE-16518).
- commit e6d7852
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: meson: add t9015 internal DAC driver (jsc#SLE-16518).
- Update config files.
- commit 9afb673
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: intel/skl/hda - add no-HDMI cases to generic HDA driver
  (jsc#SLE-16518).
- ASoC: samsung: Update dependencies for Arizona machine drivers
  (jsc#SLE-16518).
- ASoC: dpcm: remove confusing trace in dpcm_get_be()
  (jsc#SLE-16518).
- ASoC: rockchip: Make RK3328 GPIO_MUTE control explicit
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219-max98357: use
  for_each_rtd_codec_dai() macro (jsc#SLE-16518).
- ASoC: intel: kbl_da7219_max98927: use for_each_rtd_codec_dai()
  macro (jsc#SLE-16518).
- ASoC: intel: cml_rt1011_rt5682: use for_each_rtd_codec_dai()
  macro (jsc#SLE-16518).
- ASoC: qcom: apq8016_sbc: use for_each_rtd_codec_dai() macro
  (jsc#SLE-16518).
- ASoC: qcom: sdm845: use for_each_rtd_codec_dai() macro
  (jsc#SLE-16518).
- ASoC: soundwaire: qcom: use for_each_rtd_codec_dai() macro
  (jsc#SLE-16518).
- ASoC: tas2562: Add support for ISENSE and VSENSE
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: use SND_SOC_DAPM_PINCTRL in
  TDM out (jsc#SLE-16518).
- ASoC: dapm: select sleep_state when initializing PINCTRL widget
  (jsc#SLE-16518).
- ASoC: fix card registration regression (jsc#SLE-16518).
- ASoC: MT6660 update to 1.0.8_G (jsc#SLE-16518).
- ALSA: usx2y: use for_each_pcm_streams() macro (jsc#SLE-16518).
- ASoC: sof: sof-audio: use for_each_pcm_streams() macro
  (jsc#SLE-16518).
- ASoC: qcom: lpass-platform: use for_each_pcm_streams() macro
  (jsc#SLE-16518).
- ASoC: fsl: fsl_asrc_dma: use for_each_pcm_streams() macro
  (jsc#SLE-16518).
- ASoC: dwc: dwc-i2s: use for_each_pcm_streams() macro
  (jsc#SLE-16518).
- ASoC: soc-generic-dmaengine-pcm: use for_each_pcm_streams()
  macro (jsc#SLE-16518).
- ASoC: soc-pcm: use for_each_pcm_streams() macro (jsc#SLE-16518).
- ASoC: soc-core: use for_each_pcm_streams() macro
  (jsc#SLE-16518).
- ALSA: pcm.h: add for_each_pcm_streams() (jsc#SLE-16518).
- ASoC: soc-pcm: merge playback/cature_active into stream_active
  (jsc#SLE-16518).
- ASoC: soc-pcm: use goto and remove multi return (jsc#SLE-16518).
- ASoC: soc-pcm: add snd_soc_dpcm_can_be() and remove duplicate
  code (jsc#SLE-16518).
- ASoC: soc-pcm: remove snd_soc_dpcm_be_get/set_state()
  (jsc#SLE-16518).
- ASoC: soc-pcm: remove soc_dpcm_be_digital_mute()
  (jsc#SLE-16518).
- ASoC: soc-pcm: use dpcm_get_be() at dpcm_end_walk_at_be()
  (jsc#SLE-16518).
- ASoC: soc-pcm: use dai_get_widget() at dpcm_end_walk_at_be()
  (jsc#SLE-16518).
- ASoC: soc-pcm: use dai_get_widget() at dpcm_get_be()
  (jsc#SLE-16518).
- ASoC: soc-pcm: move dai_get_widget() (jsc#SLE-16518).
- ASoC: rt5682: Add CCF usage for providing I2S clks
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Add Probe compress CPU DAIs (jsc#SLE-16518).
- ASoC: SOF: Provide probe debugfs support (jsc#SLE-16518).
- ASoC: SOF: Intel: Probe compress operations (jsc#SLE-16518).
- ASoC: SOF: Intel: Expose SDnFMT helpers (jsc#SLE-16518).
- ASoC: SOF: Generic probe compress operations (jsc#SLE-16518).
- commit 8352892
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: Implement Probe IPC API (jsc#SLE-16518).
- Update config files.
- commit 3798bde
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: Intel: Account for compress streams when servicing
  IRQs (jsc#SLE-16518).
- ALSA: core: Implement compress page allocation and free routines
  (jsc#SLE-16518).
- ALSA: core: Expand DMA buffer information (jsc#SLE-16518).
- ASoC: soc-pcm: fix regression in soc_new_pcm() (jsc#SLE-16518).
- ASoC: meson: aiu: simplify component addition (jsc#SLE-16518).
- ASoC: rt1015: fix typo for bypass boost control (jsc#SLE-16518).
- ASoC: meson: codec-glue: fix pcm format cast warning
  (jsc#SLE-16518).
- ASoC: meson: aiu: fix acodec dai input name init
  (jsc#SLE-16518).
- ASoC: meson: aiu: fix irq registration (jsc#SLE-16518).
- commit e4473f3
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: meson: gx: add sound card support (jsc#SLE-16518).
- Update config files.
- commit 7dd4968
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: meson: aiu: fix clk bulk size allocation (jsc#SLE-16518).
- ASoC: meson: aiu: remove unused encoder structure
  (jsc#SLE-16518).
- ASoC: core: ensure component names are unique (jsc#SLE-16518).
- ASoC: meson: axg: extract sound card utils (jsc#SLE-16518).
- ASoC: meson: aiu: add internal dac codec control support
  (jsc#SLE-16518).
- ASoC: meson: aiu: add hdmi codec control support
  (jsc#SLE-16518).
- ASoC: meson: aiu: add i2s and spdif support (jsc#SLE-16518).
- ASoC: meson: g12a: extract codec-to-codec utils (jsc#SLE-16518).
- ASoC: core: allow a dt node to provide several components
  (jsc#SLE-16518).
- ASoC: rt5682: Enable PLL2 function (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: apply some refactors
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: support TDM out and 8ch I2S out
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: pull TDM GPIO pins down when
  probed (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: change supported formats of
  DL2 and UL1 (jsc#SLE-16518).
- ASoC: Fix SND_SOC_ALL_CODECS imply misc fallout (jsc#SLE-16518).
- ASoC: Fix SND_SOC_ALL_CODECS imply I2C fallout (jsc#SLE-16518).
- ASoC: Fix SND_SOC_ALL_CODECS imply SPI fallout (jsc#SLE-16518).
- ASoC: soc-pcm: tidyup soc_pcm_open() order (jsc#SLE-16518).
- ASoC: soc-pcm: move soc_pcm_close() next to soc_pcm_open()
  (jsc#SLE-16518).
- commit 6ad8c6a
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: soc-pcm: call snd_soc_component_open/close() once
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219: add speaker switch
  (jsc#SLE-16518).
- ASoC: max98357a: move control of SD_MODE to DAPM
  (jsc#SLE-16518).
- ASoC: wm0010: Replace zero-length array with flexible-array
  member (jsc#SLE-16518).
- ASoC: sh: fsi: Restore devm_ioremap() alignment (jsc#SLE-16518).
- ALSA: dmaengine_pcm: Consider DMA cache caused delay in pointer
  callback (jsc#SLE-16518).
- ASoC: soc-pcm: call snd_soc_dai_startup()/shutdown() once
  (jsc#SLE-16518).
- ASoC: soc-pcm: don't use bit-OR'ed error (jsc#SLE-16518).
- ASoC: soc-pcm: add for_each_dapm_widgets() macro
  (jsc#SLE-16518).
- ASoC: soc-pcm: adjustment for DAI member 0 reset
  (jsc#SLE-16518).
- ASoC: soc-pcm: add snd_soc_runtime_action() (jsc#SLE-16518).
- ALSA: dmaengine_pcm: Consider DMA cache caused delay in pointer
  callback (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Allow trace DMA in S0 when DSP is in
  D0I3 for debug (jsc#SLE-16518).
- ASoC: SOF: Intel: cnl: Implement feature to support DSP D0i3
  in S0 (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Amend the DSP state transition diagram
  (jsc#SLE-16518).
- ASoC: SOF: audio: Add helper to check if only D0i3 streams
  are active (jsc#SLE-16518).
- ASoC: SOF: Move DSP power state transitions to platform-specific
  ops (jsc#SLE-16518).
- ASoC: SOF: pm: Introduce DSP power states (jsc#SLE-16518).
- ASoC: SOF: Add system_suspend_target field to struct snd_sof_dev
  (jsc#SLE-16518).
- ASoC: SOF: pm: Unify suspend/resume routines (jsc#SLE-16518).
- commit 5e5bcfb
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: SOF: Do not reset hw_params for streams that ignored
  suspend (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: remove redundant assignment to variable
  ret (jsc#SLE-16518).
- ASoC: wcd934x: Remove set but not unused variable
  'hph_comp_ctrl7' (jsc#SLE-16518).
- ASoC: mediatek: mt8173-rt5650: support HDMI jack reporting
  (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Add support for platforms using UDMA
  (jsc#SLE-16518).
- ASoC: ti: Add udma-pcm platform driver for UDMA (jsc#SLE-16518).
- ASoC: Use imply for SND_SOC_ALL_CODECS (jsc#SLE-16518).
- ASoC: SOF: Add i.MX8QM device descriptor (jsc#SLE-16518).
- ASoC: SOF: imx8: Add ops for i.MX8QM (jsc#SLE-16518).
- ASoC: SOF: Rename i.MX8 platform to i.MX8X (jsc#SLE-16518).
- ASoC: rt5659: remove redundant assignment to variable idx
  (jsc#SLE-16518).
- ASoC: Intel: mrfld: return error codes when an error occurs
  (jsc#SLE-16518).
- ASoC: stm32: i2s: improve error management on probe deferral
  (jsc#SLE-16518).
- ASoC: stm32: spdifrx: improve error management on probe deferral
  (jsc#SLE-16518).
- ASoC: stm32: sai: improve error management on probe deferral
  (jsc#SLE-16518).
- ASoC: stm32: i2s: manage error when getting reset controller
  (jsc#SLE-16518).
- ASoC: stm32: spdifrx: manage error when getting reset controller
  (jsc#SLE-16518).
- ASoC: stm32: sai: manage error when getting reset controller
  (jsc#SLE-16518).
- ASoC: rt5682: Add the field "is_sdw" of private data
  (jsc#SLE-16518).
- ASoC: rl6231: Add new supports on rl6231 (jsc#SLE-16518).
- commit b9da842
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: Intel: sof_pcm512x: add support for SOF platforms with
  pcm512x (jsc#SLE-16518).
- Update config files.
- commit 94e4873
* Mon Sep 28 2020 tiwai@suse.de
- ASoC: wcd934x: Remove some unnecessary NULL checks
  (jsc#SLE-16518).
- ASoC: Remove unused including <linux/version.h> (jsc#SLE-16518).
- ASoC: Intel: CHT: add support for pcm512x boards
  (jsc#SLE-16518).
- ASoC: Intel: BXT: switch pcm512x based boards to sof_pcm512x
  (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5650: Revert SSP0 link to use dummy
  components (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5677: Revert SSP0 link to use dummy
  components (jsc#SLE-16518).
- ASoC: Intel: broadwell: Revert back SSP0 link to use dummy
  components (jsc#SLE-16518).
- ASoC: tas2562: Fixed incorrect amp_level setting
  (jsc#SLE-16518).
- ASoC: stm32: spdifrx: fix regmap status check (jsc#SLE-16518).
- ASoC: rt5682: fix the random recording noise of headset
  (jsc#SLE-16518).
- ASoC: codecs: wsa881x: request gpio direction before setting
  (jsc#SLE-16518).
- ASoC: max98357a: Add ACPI HID MAX98360A (jsc#SLE-16518).
- ASoC: rt5682: Revise the DAC1 volume setting (jsc#SLE-16518).
- ASoC: wm_adsp: Use scnprintf() for the limited buffer output
  (jsc#SLE-16518).
- ASoC: topology: Perform component check upfront (jsc#SLE-16518).
- ASoC: qdsp6: q6routing: remove default routing (jsc#SLE-16518).
- ASoC: qdsp6: q6asm-dai: only enable dais from device tree
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Fix stream cleanup on hw free (jsc#SLE-16518).
- ASoC: Intel: Skylake: Await purge request ack on CNL
  (jsc#SLE-16518).
- ASoC: Intel: Allow for ROM init retry on CNL platforms
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Shield against no-NHLT configurations
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Enable codec wakeup during chip init
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Select hda configuration permissively
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Remove superfluous chip initialization
  (jsc#SLE-16518).
- ASoC: Intel: skl_nau88l25_ssm4567: disable route checks
  (jsc#SLE-16518).
- ASoC: soc-core: disable route checks for legacy devices
  (jsc#SLE-16518).
- ASoC: jz4740-i2s: Fix divider written at incorrect offset in
  register (jsc#SLE-16518).
- ASoC: wcd9335: fix address map representation (jsc#SLE-16518).
- commit c430711
* Mon Sep 28 2020 tiwai@suse.de
- ALSA: hda: default enable CA0132 DSP support (jsc#SLE-16518).
- ALSA: ppc: keywest: convert to use i2c_new_client_device()
  (jsc#SLE-16518).
- ALSA: usb-audio: Inform devices that need delayed registration
  (jsc#SLE-16518).
- ALSA: usb-audio: Add delayed_register option (jsc#SLE-16518).
- ALSA: usb-audio: Rewrite registration quirk handling
  (jsc#SLE-16518).
- ALSA: core: Add snd_device_get_state() helper (jsc#SLE-16518).
- ALSA: usb-audio: Create a registration quirk for Kingston
  HyperX Amp (0951:16d8) (jsc#SLE-16518).
- ALSA: usb-audio: Fix mixer controls' USB interface for Kingston
  HyperX Amp (0951:16d8) (jsc#SLE-16518).
- ALSA: hda: Use scnprintf() for string truncation
  (jsc#SLE-16518).
- ALSA: pcm: Fix superfluous snprintf() usage (jsc#SLE-16518).
- ALSA: firewire-tascam: Add missing annotation for
  tscm_hwdep_read_locked() (jsc#SLE-16518).
- ALSA: firewire-tascam: Add missing annotation for
  tscm_hwdep_read_queue() (jsc#SLE-16518).
- ALSA: pcm: oss: Simplify plugin frame size calculations
  (jsc#SLE-16518).
- ALSA: firewire: use KBUILD_MODNAME for struct driver.name
  instead of string (jsc#SLE-16518).
- ALSA: usb-audio: Fix missing braces in some struct inits
  (jsc#SLE-16518).
- ALSA: usb-audio: Add support for MOTU MicroBook IIc
  (jsc#SLE-16518).
- ALSA: korg1212: fix if-statement empty body warnings
  (jsc#SLE-16518).
- ALSA: usb-audio: Parse source ID of UAC2 effect unit
  (jsc#SLE-16518).
- ALSA: usb-audio: Add support for Presonus Studio 1810c
  (jsc#SLE-16518).
- ALSA: pcm: oss: Unlock mutex temporarily for sleeping at
  read/write (jsc#SLE-16518).
- ALSA: usb-audio: Don't create a mixer element with bogus volume
  range (jsc#SLE-16518).
- ALSA: hda_codec: Replace zero-length array with flexible-array
  member (jsc#SLE-16518).
- ALSA: hda/ca0132 - Replace zero-length array with flexible-array
  member (jsc#SLE-16518).
- ALSA: usb-midi: Replace zero-length array with flexible-array
  member (jsc#SLE-16518).
- ALSA: core: Replace zero-length array with flexible-array member
  (jsc#SLE-16518).
- ALSA: info: remove redundant assignment to variable c
  (jsc#SLE-16518).
- ALSA: ali5451: remove redundant variable capture_flag
  (jsc#SLE-16518).
- ALSA: hda: remove redundant assignment to variable timeout
  (jsc#SLE-16518).
- ALSA: hdsp: remove redundant assignment to variable err
  (jsc#SLE-16518).
- ALSA: pcm: Minor refactoring (jsc#SLE-16518).
- ALSA: pcm_dmaengine: Use pcm_for_each_format() macro for PCM
  format iteration (jsc#SLE-16518).
- ALSA: pcm: Use a macro for parameter masks to reduce the needed
  cast (jsc#SLE-16518).
- ALSA: pcm: Use standard macros for fixing PCM format cast
  (jsc#SLE-16518).
- ALSA: dummy: Use standard macros for fixing PCM format cast
  (jsc#SLE-16518).
- ALSA: usb-audio: Use pcm_for_each_format() macro for PCM format
  iterations (jsc#SLE-16518).
- ALSA: pcm: More helper macros for reducing snd_pcm_format_t cast
  (jsc#SLE-16518).
- ALSA: aloop: Fix PCM format assignment (jsc#SLE-16518).
- ALSA: emu8000: Fix the cast to __user pointer (jsc#SLE-16518).
- ALSA: emu10k1: Fix endianness annotations (jsc#SLE-16518).
- ALSA: via82xx: Fix endianness annotations (jsc#SLE-16518).
- ALSA: hda/hdmi: Move ELD parse and jack reporting into
  update_eld() (jsc#SLE-16518).
- ALSA: hda/hdmi: Move runtime PM resume into
  hdmi_present_sense_via_verbs() (jsc#SLE-16518).
- ALSA: hda/hdmi: Don't use standard hda_jack for generic HDMI
  jacks (jsc#SLE-16518).
- ALSA: hda/hdmi: Reduce hda_jack_tbl lookup at unsol event
  handling (jsc#SLE-16518).
- ALSA: hda/realtek - a fake key event is triggered by running
  shutup (jsc#SLE-16518).
- ALSA: hda/realtek: Enable mute LED on an HP system
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Add Recon3Di quirk to handle integrated
  sound on EVGA X99 Classified motherboard (jsc#SLE-16518).
- commit dbb12c7
* Mon Sep 28 2020 colyli@suse.de
- bcache: avoid extra memory consumption in struct bbio for
  large bucket size (bsc#1175995, jsc#SLE-15608).
- bcache: avoid extra memory allocation from mempool c->fill_iter
  (bsc#1175995, jsc#SLE-15608).
- bcache: add sysfs file to display feature sets information of
  cache set (bsc#1175995, jsc#SLE-15608).
- bcache: add bucket_size_hi into struct cache_sb_disk for large
  bucket (bsc#1175995, jsc#SLE-15608).
- bcache: handle btree node memory allocation properly for bucket
  size > 8MB (bsc#1175995, jsc#SLE-15608).
- bcache: handle cache set verify_ondisk properly for bucket
  size > 8MB (bsc#1175995, jsc#SLE-15608).
- bcache: handle cache prio_buckets and disk_buckets properly
  for bucket size > 8MB (bsc#1175995, jsc#SLE-15608).
- bcache: handle c->uuids properly for bucket size > 8MB
  (bsc#1175995, jsc#SLE-15608).
- bcache: introduce meta_bucket_pages() related helper routines
  (bsc#1175995, jsc#SLE-15608).
- bcache: struct cache_sb is only for in-memory super block now
  (bsc#1175995, jsc#SLE-15608).
- bcache: move bucket related code into read_super_common()
  (bsc#1175995, jsc#SLE-15608).
- bcache: increase super block version for cache device and
  backing device (bsc#1175995, jsc#SLE-15608).
- bcache: fix super block seq numbers comparision in
  register_cache_set() (bsc#1175995, jsc#SLE-15608).
- bcache: disassemble the big if() checks in bch_cache_set_alloc()
  (bsc#1175995, jsc#SLE-15608).
- bcache: add more accurate error information in
  read_super_common() (bsc#1175995, jsc#SLE-15608).
- bcache: add read_super_common() to read major part of super
  block (bsc#1175995, jsc#SLE-15608).
- bcache: fix overflow in offset_to_stripe() (bsc#1175995,
  jsc#SLE-15608).
- bcache: avoid nr_stripes overflow in bcache_device_init()
  (bsc#1175995, jsc#SLE-15608).
- bcache: Use struct_size() in kzalloc() (bsc#1175995,
  jsc#SLE-15608).
- bcache: movinggc: Use struct_size() helper in kzalloc()
  (bsc#1175995, jsc#SLE-15608).
- bcache: writeback: Remove unneeded variable i (bsc#1175995,
  jsc#SLE-15608).
- bcache: journel: use for_each_clear_bit() to simplify the code
  (bsc#1175995, jsc#SLE-15608).
- commit 5d49c68
* Sun Sep 27 2020 tbogendoerfer@suse.de
- blacklist.conf: c7211ff3be0f not needed, mlx5 commits which will backported later
- commit c670d9e
* Sun Sep 27 2020 tbogendoerfer@suse.de
- ice: implement device flash update via devlink (jsc#SLE-12878).
- Update config files.
- commit 7632ad6
* Sun Sep 27 2020 tiwai@suse.de
- spi: pxa2xx: Enable support for compile-testing (jsc#SLE-16518).
- ASoC: dt-bindings: mt8183: add missing update (jsc#SLE-16518).
- commit 2cd35a4
* Sun Sep 27 2020 tiwai@suse.de
- supported.conf: add regmap-sdw
- commit ac569c9
* Sun Sep 27 2020 tbogendoerfer@suse.de
- net/mlx5e: mlx5e_fec_in_caps() returns a boolean
  (jsc#SLE-15172).
- bnxt_en: Fix wrong flag value passed to HWRM_PORT_QSTATS_EXT
  fw call (jsc#SLE-15075).
- bnxt_en: Fix HWRM_FUNC_QSTATS_EXT firmware call (jsc#SLE-15075).
- bnxt_en: Return -EOPNOTSUPP for ETHTOOL_GREGS on VFs
  (jsc#SLE-15075).
- bnxt_en: Use memcpy to copy VPD field info (jsc#SLE-15075).
- ethtool: add and use message type for tunnel info reply
  (bsc#1176447).
- netfilter: ctnetlink: fix mark based dump filtering regression
  (bsc#1176447).
- nfp: flower: fix ABI mismatch between driver and firmware
  (bsc#1176447).
- netfilter: conntrack: do not auto-delete clash entries on reply
  (bsc#1176447).
- netfilter: nfnetlink: nfnetlink_unicast() reports EAGAIN
  instead of ENOBUFS (bsc#1176447).
- netfilter: delete repeated words (bsc#1176447).
- net_sched: fix error path in red_init() (bsc#1176447).
- bnxt_en: Setup default RSS map in all scenarios (jsc#SLE-15075).
- bnxt_en: init RSS table for Minimal-Static VF reservation
  (jsc#SLE-15075).
- bnxt_en: Fix ethtool -S statitics with XDP or TCs enabled
  (jsc#SLE-15075).
- netfilter: nf_tables: fix destination register zeroing
  (bsc#1176447).
- netfilter: nf_tables: add NFTA_SET_USERDATA if not null
  (bsc#1176447).
- netfilter: nft_set_rbtree: Detect partial overlap with start
  endpoint match (bsc#1176447).
- netfilter: nft_set_rbtree: Handle outcomes of tree rotations
  in overlap detection (bsc#1176447).
- netfilter: conntrack: allow sctp hearbeat after connection
  re-use (bsc#1176447).
- net/sched: act_ct: Fix skb double-free in
  tcf_ct_handle_fragments() error flow (bsc#1176447).
- net: devlink: Remove overzealous WARN_ON with snapshots
  (bsc#1176447).
- netfilter: nf_tables: free chain context when BINDING flag is
  missing (bsc#1176447).
- netfilter: nft_compat: remove flush counter optimization
  (bsc#1176447).
- netfilter: nf_tables: nft_exthdr: the presence return value
  should be little-endian (bsc#1176447).
- net/tls: allow MSG_CMSG_COMPAT in sendmsg (bsc#1176447).
- platform/x86: mlx-platform: support new watchdog type with
  longer timeout (bsc#1176774).
- platform_data/mlxreg: support new watchdog type with longer
  timeout period (bsc#1176774).
- lib/bitmap.c: fix bitmap_cut() for partial overlapping case
  (bsc#1176447).
- mlxbf-tmfifo: sparse tags for config access (bsc#1176774).
- PCI: Use 'pci_channel_state_t' instead of 'enum
  pci_channel_state' (jsc#SLE-12878).
- netfilter: flowtable: Set offload timeout when adding flow
  (bsc#1176447).
- netfilter: conntrack: Move nf_ct_offload_timeout to header file
  (bsc#1176447).
- netfilter: nft_meta: fix iifgroup matching (bsc#1176447).
- netfilter: nft_compat: make sure xtables destructors have run
  (bsc#1176447).
- udp_tunnel: add the ability to hard-code IANA VXLAN
  (bsc#1176447).
- selftests: mlxsw: RED: Test offload of trapping on RED qevents
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Offload action trap for qevents
  (bsc#1176774).
- mlxsw: spectrum_trap: Add early_drop trap (bsc#1176774).
- mlxsw: spectrum_trap: Allow for per-ASIC traps initialization
  (bsc#1176774).
- mlxsw: spectrum_trap: Allow for per-ASIC trap groups
  initialization (bsc#1176774).
- mlxsw: spectrum_span: On policer_id_base_ref_count, use
  dec_and_test (bsc#1176774).
- mlxsw: spectrum_trap: Use 'size_t' for array sizes
  (bsc#1176774).
- devlink: Pass extack when setting trap's action and group's
  parameters (bsc#1176447).
- devlink: Add early_drop trap (bsc#1176447).
- netfilter: nf_tables: report EEXIST on overlaps (bsc#1176447).
- netfilter: nf_tables: extended netlink error reporting for
  expressions (bsc#1176447).
- netfilter: Replace HTTP links with HTTPS ones (bsc#1176447).
- netfilter: Use fallthrough pseudo-keyword (bsc#1176447).
- ipvs: queue delayed work to expire no destination connections
  if expire_nodest_conn=1 (bsc#1176447).
- netfilter: nf_tables: Fix a use after free in
  nft_immediate_destroy() (bsc#1176447).
- ice: Misc minor fixes (jsc#SLE-12878).
- ice: adjust profile ID map locks (jsc#SLE-12878).
- ice: update PTYPE lookup table (jsc#SLE-12878).
- ice: Disable VLAN pruning in promiscuous mode (jsc#SLE-12878).
- ice: port fix for chk_linearlize (jsc#SLE-12878).
- ice: Allow 2 queue pairs per VF on SR-IOV initialization
  (jsc#SLE-12878).
- ice: add useful statistics (jsc#SLE-12878).
- ice: remove page_reuse statistic (jsc#SLE-12878).
- ice: Fix RSS profile locks (jsc#SLE-12878).
- ice: fix the vsi_id mask to be 10 bit for set_rss_lut
  (jsc#SLE-12878).
- ice: rename misleading grst_delay variable (jsc#SLE-12878).
- ice: mark PM functions as __maybe_unused (jsc#SLE-12878).
- net/sched: act_ct: fix miss set mru for ovs after defrag in
  act_ct (bsc#1176447).
- net/sched: cls_u32: Use struct_size() helper (bsc#1176447).
- bnxt_en: Remove superfluous memset() (jsc#SLE-15075).
- net/sched: act_pedit: Use flex_array_size() helper in memcpy()
  (bsc#1176447).
- mlxsw: spectrum_cnt: Use flex_array_size() helper in memcpy()
  (bsc#1176774).
- ice: fix unused parameter warning (jsc#SLE-12878).
- ice: disable no longer needed workaround for FW logging
  (jsc#SLE-12878).
- ice: reduce scope of variable (jsc#SLE-12878).
- ice: cleanup VSI on probe fail (jsc#SLE-12878).
- ice: Allow all VLANs in safe mode (jsc#SLE-12878).
- ice: need_wakeup flag might not be set for Tx (jsc#SLE-12878).
- ice: distribute Tx queues evenly (jsc#SLE-12878).
- ice: Adjust scheduler default BW weight (jsc#SLE-12878).
- ice: Add RL profile bit mask check (jsc#SLE-12878).
- ice: fix overwriting TX/RX descriptor values when rebuilding
  VSI (jsc#SLE-12878).
- ice: return correct error code from ice_aq_sw_rules
  (jsc#SLE-12878).
- ice: restore VF MSI-X state during PCI reset (jsc#SLE-12878).
- ice: fix link event handling timing (jsc#SLE-12878).
- ice: Fix link broken after GLOBR reset (jsc#SLE-12878).
- ice: Implement LFC workaround (jsc#SLE-12878).
- net_sched: initialize timer earlier in red_init() (bsc#1176447).
- ice: add flags indicating pending update of firmware module
  (jsc#SLE-12878).
- ice: Add AdminQ commands for FW update (jsc#SLE-12878).
- ice: Add support for unified NVM update flow capability
  (jsc#SLE-12878).
- Add pldmfw library for PLDM firmware update (jsc#SLE-12878).
- mlxsw: core: Add support for temperature thresholds reading
  for QSFP-DD transceivers (bsc#1176774).
- mlxsw: core: Add ethtool support for QSFP-DD transceivers
  (bsc#1176774).
- net/mlx4: Use fallthrough pseudo-keyword (jsc#SLE-15171).
- bnxt_en: Add support for 'ethtool -d' (jsc#SLE-15075).
- bnxt_en: Switch over to use the 64-bit software accumulated
  counters (jsc#SLE-15075).
- bnxt_en: Accumulate all counters (jsc#SLE-15075).
- bnxt_en: Retrieve hardware masks for port counters
  (jsc#SLE-15075).
- bnxt_en: Retrieve hardware counter masks from firmware if
  available (jsc#SLE-15075).
- bnxt_en: Allocate additional memory for all statistics blocks
  (jsc#SLE-15075).
- bnxt_en: Refactor statistics code and structures
  (jsc#SLE-15075).
- bnxt_en: Use macros to define port statistics size and offset
  (jsc#SLE-15075).
- bnxt_en: Update firmware interface to 1.10.1.54 (jsc#SLE-15075).
- bnxt_en: Remove PCIe non-counters from ethtool statistics
  (jsc#SLE-15075).
- ice: add 1G SGMII PHY type (jsc#SLE-12878).
- ice: Report AOC PHY Types as Fiber (jsc#SLE-12878).
- ice: add AQC get link topology handle support (jsc#SLE-12878).
- ice: Rename low_power_ctrl (jsc#SLE-12878).
- ice: update reporting of autoneg capabilities (jsc#SLE-12878).
- ice: add ice_aq_get_phy_caps() debug logs (jsc#SLE-12878).
- ice: support Total Port Shutdown on devices that support it
  (jsc#SLE-12878).
- ice: add link lenient and default override support
  (jsc#SLE-12878).
- ice: restore PHY settings on media insertion (jsc#SLE-12878).
- ice: move auto FEC checks into ice_cfg_phy_fec()
  (jsc#SLE-12878).
- ice: refactor FC functions (jsc#SLE-12878).
- ice: Add advanced power mgmt for WoL (jsc#SLE-12878).
- ice: split ice_discover_caps into two functions (jsc#SLE-12878).
- ice: split ice_parse_caps into separate functions
  (jsc#SLE-12878).
- ice: refactor ice_discover_caps to avoid need to retry
  (jsc#SLE-12878).
- net/sched: cls_flower: Add hash info to flow classification
  (bsc#1176447).
- net/flow_dissector: add packet hash dissection (bsc#1176447).
- devlink: Always use user_ptr for devlink and simplify post_doit
  (bsc#1176447).
- devlink: Constify devlink instance pointer (bsc#1176447).
- devlink: Add comment for devlink instance lock (bsc#1176447).
- devlink: Avoid duplicate check for reload enabled flag
  (bsc#1176447).
- devlink: Do not hold devlink mutex when initializing devlink
  fields (bsc#1176447).
- sched: sch_api: add missing rcu read lock to silence the warning
  (bsc#1176447).
- net: bnxt: don't complain if TC flower can't be supported
  (jsc#SLE-15075).
- Revert "net: sched: Pass root lock to Qdisc_ops.enqueue"
  (bsc#1176447).
- net: sched: Do not drop root lock in tcf_qevent_handle()
  (bsc#1176447).
- selftests: mlxsw: Test policers' occupancy (bsc#1176774).
- selftests: mlxsw: Add scale test for tc-police (bsc#1176774).
- selftests: mlxsw: tc_restrictions: Test tc-police restrictions
  (bsc#1176774).
- mlxsw: spectrum_acl: Offload FLOW_ACTION_POLICE (bsc#1176774).
- mlxsw: core_acl_flex_actions: Add police action (bsc#1176774).
- mlxsw: core_acl_flex_actions: Work around hardware limitation
  (bsc#1176774).
- mlxsw: spectrum_policer: Add devlink resource support
  (bsc#1176774).
- mlxsw: spectrum_policer: Add policer core (bsc#1176774).
- mlxsw: resources: Add resource identifier for global policers
  (bsc#1176774).
- mlxsw: reg: Add policer bandwidth limits (bsc#1176774).
- nfp: convert to new udp_tunnel_nic infra (bsc#1176447).
- mlxsw: core: Use mirror reason during Rx listener lookup
  (bsc#1176774).
- mlxsw: pci: Retrieve mirror reason from CQE during receive
  (bsc#1176774).
- mlxsw: pci: Add mirror reason field to CQEv2 (bsc#1176774).
- mlxsw: trap: Add trap identifiers for mirrored packets
  (bsc#1176774).
- mlxsw: reg: Increase trap identifier to 10 bits (bsc#1176774).
- mlxsw: spectrum_span: Allow setting policer on a SPAN agent
  (bsc#1176774).
- mlxsw: spectrum_span: Allow passing parameters to SPAN agents
  (bsc#1176774).
- mlxsw: spectrum_span: Add support for mirroring towards CPU port
  (bsc#1176774).
- mlxsw: spectrum_span: Do not dereference destination netdev
  (bsc#1176774).
- mlxsw: spectrum_span: Add driver private info to parms_set()
  callback (bsc#1176774).
- mlxsw: spectrum_span: Add per-ASIC SPAN agent operations
  (bsc#1176774).
- mlxsw: reg: add mirroring_pid_base to MOGCR register
  (bsc#1176774).
- mlxsw: reg: Add session_id and pid to MPAT register
  (bsc#1176774).
- devlink: Fix use-after-free when destroying health reporters
  (bsc#1176447).
- selftests: mlxsw: RED: Test offload of mirror on RED early_drop
  qevent (bsc#1176774).
- mlxsw: spectrum_qdisc: Offload mirroring on RED qevent
  early_drop (bsc#1176774).
- mlxsw: spectrum_flow: Promote binder-type dispatch to spectrum.c
  (bsc#1176774).
- mlxsw: spectrum_matchall: Publish matchall data structures
  (bsc#1176774).
- mlxsw: spectrum_flow: Drop an unused field (bsc#1176774).
- mlxsw: spectrum_flow: Convert a goto to a return (bsc#1176774).
- mlxsw: spectrum_span: Add APIs to enable / disable global
  mirroring triggers (bsc#1176774).
- mlxsw: spectrum_span: Add support for global mirroring triggers
  (bsc#1176774).
- mlxsw: spectrum_span: Prepare for global mirroring triggers
  (bsc#1176774).
- mlxsw: spectrum_span: Move SPAN operations out of global file
  (bsc#1176774).
- mlxsw: reg: Add Monitoring Port Analyzer Global Register
  (bsc#1176774).
- mlxsw: reg: Add Monitoring Mirror Trigger Enable Register
  (bsc#1176774).
- net: sched: Pass qdisc reference in struct flow_block_offload
  (bsc#1176447).
- net: sched: kerneldoc fixes (bsc#1176447).
- net: netfilter: kerneldoc fixes (bsc#1176447).
- devlink: Add devlink health port reporters API (bsc#1176447).
- devlink: Implement devlink health reporters on per-port basis
  (bsc#1176447).
- devlink: Create generic devlink health reporter search function
  (bsc#1176447).
- devlink: Rework devlink health reporter destructor
  (bsc#1176447).
- devlink: Refactor devlink health reporter constructor
  (bsc#1176447).
- mlx4: convert to new udp_tunnel_nic infra (jsc#SLE-15171).
- bnxt: convert to new udp_tunnel_nic infra (jsc#SLE-15075).
- ethtool: add tunnel info interface (bsc#1176447).
- udp_tunnel: add central NIC RX port offload infrastructure
  (bsc#1176447).
- udp_tunnel: re-number the offload tunnel types (bsc#1176447).
- devlink: Move input checks from driver to devlink (bsc#1176447).
- devlink: Add a new devlink port split ability attribute and
  pass to netlink (bsc#1176447).
- mlxsw: Set port split ability attribute in driver (bsc#1176774).
- devlink: Add a new devlink port lanes attribute and pass to
  netlink (bsc#1176447).
- mlxsw: Set number of port lanes attribute in driver
  (bsc#1176774).
- devlink: Replace devlink_port_attrs_set parameters with a struct
  (bsc#1176447).
- devlink: Move switch_port attribute of devlink_port_attrs to
  devlink_port (bsc#1176447).
- devlink: Move set attribute of devlink_port_attrs to
  devlink_port (bsc#1176447).
- ethtool: Add support for 100Gbps per lane link modes
  (bsc#1176447).
- bnxt_en: allow firmware to disable VLAN offloads
  (jsc#SLE-15075).
- bnxt_en: clean up VLAN feature bit handling (jsc#SLE-15075).
- bnxt_en: Implement ethtool -X to set indirection table
  (jsc#SLE-15075).
- bnxt_en: Return correct RSS indirection table entries to
  ethtool -x (jsc#SLE-15075).
- bnxt_en: Fill HW RSS table from the RSS logical indirection
  table (jsc#SLE-15075).
- bnxt_en: Add helper function to return the number of RSS
  contexts (jsc#SLE-15075).
- bnxt_en: Add logical RSS indirection table structure
  (jsc#SLE-15075).
- bnxt_en: Fix up bnxt_get_rxfh_indir_size() (jsc#SLE-15075).
- bnxt_en: Set up the chip specific RSS table size
  (jsc#SLE-15075).
- netfilter: nf_tables: reject unsupported chain flags
  (bsc#1176447).
- netfilter: nf_tables: add NFT_CHAIN_BINDING (bsc#1176447).
- netfilter: nf_tables: add nft_chain_add() (bsc#1176447).
- netfilter: nf_tables: expose enum nft_chain_flags through UAPI
  (bsc#1176447).
- netfilter: nf_tables: add NFTA_VERDICT_CHAIN_ID attribute
  (bsc#1176447).
- netfilter: nf_tables: add NFTA_RULE_CHAIN_ID attribute
  (bsc#1176447).
- netfilter: nf_tables: add NFTA_CHAIN_ID attribute (bsc#1176447).
- ipvs: allow connection reuse for unconfirmed conntrack
  (bsc#1176447).
- ipvs: avoid expiring many connections from timer (bsc#1176447).
- ipvs: register hooks only with services (bsc#1176447).
- netfilter: nft_set_pipapo: Drop useless assignment of scratch
  map index on insert (bsc#1176447).
- netfilter: introduce support for reject at prerouting stage
  (bsc#1176447).
- net: phy: Uninline PHY ethtool statistics operations
  (bsc#1176447).
- net: phy: Define PHY statistics ethtool_phy_ops (bsc#1176447).
- net/sched: Use fallthrough pseudo-keyword (bsc#1176447).
- net: ethtool: Remove PHYLIB direct dependency (bsc#1176447).
- net: phy: Register ethtool PHY operations (bsc#1176447).
- net: ethtool: Introduce ethtool_phy_ops (bsc#1176447).
- Documentation: networking: fix ethtool-netlink table formats
  (bsc#1176447).
- net: sched: Allow changing default qdisc to FQ-PIE
  (bsc#1176447).
- net/tls: fix sign extension issue when left shifting u16 value
  (bsc#1176447).
- mlxsw: spectrum_ethtool: Add link extended state (bsc#1176774).
- mlxsw: reg: Port Diagnostics Database Register (bsc#1176774).
- ethtool: Add link extended state (bsc#1176447).
- Documentation: networking: ethtool-netlink: Add link extended
  state (bsc#1176447).
- mlxsw: spectrum_ethtool: Move mlxsw_sp_port_type_speed_ops
  structs (bsc#1176774).
- mlxsw: Move ethtool_ops to spectrum_ethtool.c (bsc#1176774).
- mlxsw: spectrum_dcb: Rename mlxsw_sp_port_headroom_set()
  (bsc#1176774).
- net/tls: Add asynchronous resync (bsc#1176447).
- net: sched: sch_red: Add qevents "early_drop" and "mark"
  (bsc#1176447).
- net: sched: sch_red: Split init and change callbacks
  (bsc#1176447).
- net: sched: Introduce helpers for qevent blocks (bsc#1176447).
- net: sched: Pass root lock to Qdisc_ops.enqueue (bsc#1176447).
- net: nfp: fix nfp_net_tx()'s return type (bsc#1176447).
- sch_cake: add RFC 8622 LE PHB support to CAKE diffserv handling
  (bsc#1176447).
- net: qos: police action add index for tc flower offloading
  (bsc#1176447).
- net: qos: add tc police offloading action with max frame size
  limit (bsc#1176447).
- mlxsw: Enforce firmware version for Spectrum-3 (bsc#1176774).
- mlxsw: Bump firmware version to XX.2007.1168 (bsc#1176774).
- mlxsw: spectrum_dcb: Fix a spelling typo in spectrum_dcb.c
  (bsc#1176774).
- net/core/devlink.c: remove new uninitialized_var() usage
  (bsc#1176447).
- tcindex_change: Remove redundant null check (bsc#1176447).
- mlxsw: spectrum_acl: Support FLOW_ACTION_MANGLE for TCP,
  UDP ports (bsc#1176774).
- mlxsw: core_acl_flex_actions: Add L4_PORT_ACTION (bsc#1176774).
- mlxsw: spectrum: Split handling of pedit mangle by chip type
  (bsc#1176774).
- bnxt_en: Add board.serial_number field to info_get cb
  (jsc#SLE-15075).
- devlink: Add support for board.serial_number to info_get cb
  (bsc#1176447).
- net/devlink: Support setting hardware address of port function
  (bsc#1176447).
- net/devlink: Support querying hardware address of port function
  (bsc#1176447).
- net/devlink: Prepare devlink port functions to fill extack
  (bsc#1176447).
- Remove redundant skb null check (bsc#1176447).
- Remove redundant condition in qdisc_graft (bsc#1176447).
- net/sched: cls_u32: Use struct_size() in kzalloc()
  (bsc#1176447).
- taprio: Use struct_size() in kzalloc() (bsc#1176447).
- net: qos offload add flow status with dropped count
  (jsc#SLE-15075).
- ethtool: ioctl: Use array_size() in copy_to_user()
  (bsc#1176447).
- audit: use the proper gfp flags in the audit_log_nfcfg() calls
  (bsc#1176447).
- audit: add gfp parameter to audit_log_nfcfg (bsc#1176447).
- audit: log nftables configuration change events (bsc#1176447).
- platform/x86: mlx-platform: Extend FAN platform data description
  (bsc#1176774).
- platform_data/mlxreg: Add presence register field for FAN
  devices (bsc#1176774).
- platform/mellanox: mlxreg-io: Add support for complex attributes
  (bsc#1176774).
- platform/x86: mlx-platform: Add more definitions for system
  attributes (bsc#1176774).
- platform_data/mlxreg: Add support for complex attributes
  (bsc#1176774).
- platform/mellanox: mlxreg-hotplug: Add environmental data to
  uevent (bsc#1176774).
- platform/mellanox: mlxreg-hotplug: Use capability register
  for attribute creation (bsc#1176774).
- platform/mellanox: mlxreg-hotplug: Modify module license
  (bsc#1176774).
- lib/string_helpers: Introduce string_upper() and string_lower()
  helpers (bsc#1176774).
- net/mlx5e: fix bpf_prog reference count leaks in mlx5e_alloc_rq
  (jsc#SLE-15172).
- net/mlx5e: E-Switch, Specify flow_source for rule with no
  in_port (jsc#SLE-15172).
- net/mlx5e: E-Switch, Add misc bit when misc fields changed
  for mirroring (jsc#SLE-15172).
- net/mlx5e: CT: Support restore ipv6 tunnel (jsc#SLE-15172).
- net/sched: The error lable position is corrected in
  ct_init_module (bsc#1176447).
- selftests/bpf: fix netdevsim trap_flow_action_cookie read
  (bsc#1176774).
- mlxsw: spectrum_router: Fix use-after-free in router init /
  de-init (bsc#1176774).
- mlxsw: core: Free EMAD transactions using kfree_rcu()
  (bsc#1176774).
- mlxsw: core: Increase scope of RCU read-side critical section
  (bsc#1176774).
- mlxsw: spectrum: Use different trap group for externally routed
  packets (bsc#1176774).
- mlxsw: spectrum_router: Allow programming link-local host routes
  (bsc#1176774).
- Documentation: bareudp: Corrected description of bareudp module
  (jsc#SLE-15172).
- bareudp: forbid mixing IP and MPLS in multiproto mode
  (jsc#SLE-15172).
- net/mlx5e: Modify uplink state on interface up/down
  (jsc#SLE-15172).
- net/mlx5: Query PPS pin operational status before registering it
  (jsc#SLE-15172).
- net/mlx5e: Fix slab-out-of-bounds in mlx5e_rep_is_lag_netdev
  (jsc#SLE-15172).
- net/mlx5: Verify Hardware supports requested ptp function on
  a given pin (jsc#SLE-15172).
- net/mlx5: Fix a bug of using ptp channel index as pin index
  (jsc#SLE-15172).
- net/mlx5e: Fix missing cleanup of ethtool steering during rep
  rx cleanup (jsc#SLE-15172).
- net/mlx5e: Fix error path of device attach (jsc#SLE-15172).
- net/mlx5: Fix forward to next namespace (jsc#SLE-15172).
- net/mlx5: E-switch, Destroy TSAR after reload interface
  (jsc#SLE-15172).
- flow_offload: Move rhashtable inclusion to the source file
  (bsc#1176447).
- netfilter: nf_tables: fix nat hook table deletion (bsc#1176447).
- net/sched: act_ct: fix restore the qdisc_skb_cb after defrag
  (bsc#1176447).
- net/mlx5e: CT: Fix memory leak in cleanup (jsc#SLE-15172).
- net/mlx5e: Fix port buffers cell size value (jsc#SLE-15172).
- net/mlx5e: Fix usage of rcu-protected pointer (jsc#SLE-15172).
- net/mxl5e: Verify that rpriv is not NULL (jsc#SLE-15172).
- net/mlx5: E-Switch, Fix vlan or qos setting in legacy mode
  (jsc#SLE-15172).
- net/sched: act_ct: add miss tcf_lastuse_update (bsc#1176447).
- net/mlx5e: Do not include rwlock.h directly (jsc#SLE-15172).
- netfilter: conntrack: refetch conntrack after
  nf_conntrack_update() (bsc#1176447).
- netfilter: ipset: call ip_set_free() instead of kfree()
  (bsc#1176447).
- bpf, sockmap: RCU dereferenced psock may be used outside RCU
  block (bsc#1176447).
- bpf, sockmap: RCU splat with redirect and strparser error or
  TLS (bsc#1176447).
- sch_cake: fix a few style nits (bsc#1176447).
- ethtool: fix error handling in linkstate_prepare_data()
  (bsc#1176447).
- netfilter: Add MODULE_DESCRIPTION entries to kernel modules
  (bsc#1176447).
- netfilter: ipset: fix unaligned atomic access (bsc#1176447).
- net: phylink: fix ethtool -A with attached PHYs (bsc#1176447).
- net: ethtool: Handle missing cable test TDR parameters
  (bsc#1176447).
- bnxt_en: Read VPD info only for PFs (jsc#SLE-15075).
- bnxt_en: Fix statistics counters issue during ifdown with
  older firmware (jsc#SLE-15075).
- bnxt_en: Do not enable legacy TX push on older firmware
  (jsc#SLE-15075).
- bnxt_en: Store the running firmware version code
  (jsc#SLE-15075).
- mlxsw: spectrum: Do not rely on machine endianness
  (bsc#1176774).
- net: Add MODULE_DESCRIPTION entries to network modules
  (bsc#1176447).
- net/sched: cls_api: fix nooffloaddevcnt warning dmesg log
  (bsc#1176447).
- net: flow_offload: fix flow_indr_dev_unregister path
  (bsc#1176447).
- flow_offload: use flow_indr_block_cb_alloc/remove function
  (bsc#1176447).
- flow_offload: add flow_indr_block_cb_alloc/remove function
  (bsc#1176447).
- bareudp: Fixed multiproto mode configuration (jsc#SLE-15172).
- net/sched: act_gate: fix configuration of the periodic timer
  (bsc#1176447).
- net/sched: act_gate: fix NULL dereference in tcf_gate_init()
  (bsc#1176447).
- overflow.h: Add flex_array_size() helper (bsc#1176447).
- mlxsw: spectrum: Adjust headroom buffers for 8x ports
  (bsc#1176774).
- bareudp: Fixed configuration to avoid having garbage values
  (jsc#SLE-15172).
- netfilter: flowtable: Make nf_flow_table_offload_add/del_cb
  inline (bsc#1176447).
- net/sched: act_ct: Make tcf_ct_flow_table_restore_skb inline
  (bsc#1176447).
- netfilter: nf_tables: hook list memleak in flowtable deletion
  (bsc#1176447).
- netfilter: ctnetlink: memleak in filter initialization error
  path (bsc#1176447).
- netfilter: nft_set_pipapo: Disable preemption before getting
  per-CPU pointer (bsc#1176447).
- netfilter: nft_set_rbtree: Don't account for expired elements
  on insertion (bsc#1176447).
- net/mlx5: E-Switch, Fix some error pointer dereferences
  (jsc#SLE-15172).
- net/mlx5: Don't fail driver on failure to create debugfs
  (jsc#SLE-15172).
- net/mlx5e: CT: Fix ipv6 nat header rewrite actions
  (jsc#SLE-15172).
- net/mlx5: Fix devlink objects and devlink device unregister
  sequence (jsc#SLE-15172).
- net/mlx5e: Fix ethtool hfunc configuration change
  (jsc#SLE-15172).
- docs: networking: fix extra spaces in ethtool-netlink
  (bsc#1176447).
- net: flow_offload: remove indirect flow_block declarations
  leftover (bsc#1176447).
- net: sched: export __netdev_watchdog_up() (bsc#1176447).
- net: tls: Avoid assigning 'const' pointer to non-const pointer
  (bsc#1176447).
- net: ethtool: Fix comment mentioning typo in IS_ENABLED()
  (bsc#1176447).
- RDMA/cm: Spurious WARNING triggered in cm_destroy_id()
  (jsc#SLE-15176).
- flow_dissector: Pull locking up from prog attach callback
  (bsc#1176447).
- bpf: Fix running sk_skb program types with ktls (bsc#1176447).
- bpf: Refactor sockmap redirect code so its easy to reuse
  (bsc#1176447).
- cls_flower: remove mpls_opts_policy (bsc#1176447).
- flow_dissector: work around stack frame size warning
  (bsc#1176447).
- selftests: mlxsw: Add test for control packets (bsc#1176774).
- mlxsw: spectrum_trap: Register ACL control traps (bsc#1176774).
- mlxsw: spectrum_trap: Register layer 3 control traps
  (bsc#1176774).
- mlxsw: spectrum_trap: Register layer 2 control traps
  (bsc#1176774).
- mlxsw: spectrum_trap: Factor out common Rx listener function
  (bsc#1176774).
- netdevsim: Register control traps (bsc#1176447).
- devlink: Add ACL control packet traps (bsc#1176774).
- devlink: Add layer 3 control packet traps (bsc#1176774).
- devlink: Add layer 2 control packet traps (bsc#1176774).
- devlink: Add 'control' trap type (bsc#1176774).
- devlink: Add 'mirror' trap action (bsc#1176774).
- netdevsim: Move layer 3 exceptions to exceptions trap group
  (bsc#1176447).
- mlxsw: spectrum_trap: Move layer 3 exceptions to exceptions
  trap group (bsc#1176774).
- devlink: Create dedicated trap group for layer 3 exceptions
  (bsc#1176774).
- netfilter: nf_tables: skip flowtable hooknum and priority on
  device updates (bsc#1176447).
- netfilter: nf_tables: allow to register flowtable with no
  devices (bsc#1176447).
- netfilter: nf_tables: delete devices from flowtable
  (bsc#1176447).
- netfilter: nf_tables: add devices to existing flowtable
  (bsc#1176447).
- netfilter: nf_tables: pass hook list to flowtable event notifier
  (bsc#1176447).
- netfilter: nf_tables: add nft_flowtable_hooks_destroy()
  (bsc#1176447).
- netfilter: nf_tables: pass hook list to
  nft_{un,}register_flowtable_net_hooks() (bsc#1176447).
- netfilter: nf_tables: generalise flowtable hook parsing
  (bsc#1176447).
- netfilter: ctnetlink: add kernel side filtering for dump
  (bsc#1176447).
- net: remove indirect block netdev event registration
  (bsc#1176447).
- bnxt_tc: update indirect block support (jsc#SLE-15075).
- nfp: update indirect block support (bsc#1176447).
- mlx5: update indirect block support (jsc#SLE-15172).
- net: use flow_indr_dev_setup_offload() (bsc#1176447).
- net: cls_api: add tcf_block_offload_init() (bsc#1176447).
- net: flow_offload: consolidate indirect flow_block
  infrastructure (jsc#SLE-15075).
- netfilter: nf_flowtable: expose nf_flow_table_gc_cleanup()
  (bsc#1176447).
- selftests: fix flower parent qdisc (bsc#1176447).
- net: phy: fix less than zero comparison with unsigned variable
  val (bsc#1176447).
- net: sched: Do not assume RTNL is held in tunnel key action
  helpers (jsc#SLE-15075).
- tcp: also NULL skb->dev when copy was needed (bsc#1176447).
- tcp: ensure skb->dev is NULL before leaving TCP stack
  (bsc#1176447).
- drivers/net: netdevsim depends on INET (bsc#1176447).
- net: openvswitch: don't unlock mutex when changing the
  user_features fails (jsc#SLE-15172).
- workqueue: Add RCU annotation for pwq list walk (bsc#1176447).
- udp: drop skb extensions before marking skb stateless
  (bsc#1176447).
- net: dsa: Fix off-by-one number of calls to
  devlink_port_unregister (bsc#1176447).
- commit c1e4fb4
* Sun Sep 27 2020 tiwai@suse.de
- soundwire: qcom: add support for SoundWire controller
  (jsc#SLE-16518).
- Update config files.
- commit 8229615
* Sun Sep 27 2020 tiwai@suse.de
- media: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- media: ivtv: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- media: cx18: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- media: cobalt: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- media: tm6000: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: go7007: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: em28xx: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: cs231xx: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: ivtv: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: cx18: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: cobalt: Clean up ALSA PCM API usages (jsc#SLE-16518).
- media: usbtv: Use managed buffer allocation (jsc#SLE-16518).
- media: tw686x: Use managed buffer allocation (jsc#SLE-16518).
- media: solo6x10: Use managed buffer allocation (jsc#SLE-16518).
- staging: bcm2835-audio: Drop superfluous ioctl PCM ops
  (jsc#SLE-16518).
- staging: most: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- staging: bcm2835-audio: Use managed buffer allocation
  (jsc#SLE-16518).
- staging: most: Use managed buffer allocation (jsc#SLE-16518).
- usb: gadget: u_audio: Drop superfluous ioctl PCM ops
  (jsc#SLE-16518).
- usb: gadget: u_audio: Use managed buffer allocation
  (jsc#SLE-16518).
- media: tw686x: audio: Avoid non-standard macro usage
  (jsc#SLE-16518).
- media: solo6x10: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- staging: most: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- usb: gadget: u_audio: Remove superfluous
  snd_dma_continuous_data() (jsc#SLE-16518).
- commit 2c47bc5
* Sun Sep 27 2020 tiwai@suse.de
- blacklist.conf: temporarily blacklist sound stuff while backporting
- commit 16f41a1
* Sun Sep 27 2020 tiwai@suse.de
- ALSA: hda/realtek - Enable the headset of Acer N50-600 with
  ALC662 (jsc#SLE-16518).
- ALSA: hda/realtek - Enable headset mic of Acer X2660G with
  ALC662 (jsc#SLE-16518).
- ALSA: seq: oss: Fix running status after receiving sysex
  (jsc#SLE-16518).
- ALSA: seq: virmidi: Fix running status after receiving sysex
  (jsc#SLE-16518).
- ALSA: pcm: oss: Remove WARNING from snd_pcm_plug_alloc() checks
  (jsc#SLE-16518).
- ALSA: hda/realtek: Fix pop noise on ALC225 (jsc#SLE-16518).
- ALSA: line6: Fix endless MIDI read loop (jsc#SLE-16518).
- ALSA: pcm: oss: Avoid plugin buffer overflow (jsc#SLE-16518).
- ASoC: wm8741: Fix typo in Kconfig prompt (jsc#SLE-16518).
- ASoC: stm32: sai: manage rebind issue (jsc#SLE-16518).
- ASoC: SOF: Fix snd_sof_ipc_stream_posn() (jsc#SLE-16518).
- ASoC: rt1015: modify pre-divider for sysclk (jsc#SLE-16518).
- ASoC: rt1015: add operation callback function for rt1015_dai[]
  (jsc#SLE-16518).
- ASoC: soc-component: tidyup snd_soc_pcm_component_sync_stop()
  (jsc#SLE-16518).
- ASoC: dapm: Correct DAPM handling of active widgets during
  shutdown (jsc#SLE-16518).
- ASoC: tas2562: Fix sample rate error message (jsc#SLE-16518).
- ASoC: Intel: Skylake: Fix available clock counter incrementation
  (jsc#SLE-16518).
- ASoC: soc-pcm/soc-compress: don't use snd_soc_dapm_stream_stop()
  (jsc#SLE-16518).
- ASoC: meson: g12a: add tohdmitx reset (jsc#SLE-16518).
- ASoC: pcm512x: Fix unbalanced regulator enable call in probe
  error path (jsc#SLE-16518).
- ASoC: soc-core: fix for_rtd_codec_dai_rollback() macro
  (jsc#SLE-16518).
- ASoC: topology: Fix memleak in soc_tplg_manifest_load()
  (jsc#SLE-16518).
- ASoC: topology: Fix memleak in soc_tplg_link_elems_load()
  (jsc#SLE-16518).
- ASoC: pcm: Fix possible buffer overflow in dpcm state sysfs
  output (jsc#SLE-16518).
- ASoC: intel: skl: Fix possible buffer overflow in debug outputs
  (jsc#SLE-16518).
- ASoC: intel: skl: Fix pin debug prints (jsc#SLE-16518).
- ASoC: tas2562: Return invalid for when bitwidth is invalid
  (jsc#SLE-16518).
- ALSA: sgio2audio: Remove usage of dropped hw_params/hw_free
  functions (jsc#SLE-16518).
- ALSA: hda/realtek - Enable the headset of ASUS B9450FA with
  ALC294 (jsc#SLE-16518).
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Master (jsc#SLE-16518).
- ALSA: hda/realtek - Add Headset Button supported for ThinkPad X1
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add Headset Mic supported (jsc#SLE-16518).
- ALSA: hda/realtek - Fix a regression for mute led on Lenovo
  Carbon X1 (jsc#SLE-16518).
- ASoC: sun8i-codec: Fix setting DAI data format (jsc#SLE-16518).
- ASoC: amd: ACP needs to be powered off in BIOS (jsc#SLE-16518).
- ASoC: hdmi-codec: set plugged_cb to NULL when component removing
  (jsc#SLE-16518).
- ASoC: dapm: remove snd_soc_dapm_put_enum_double_locked
  (jsc#SLE-16518).
- ASoC: max98090: revert invalid fix for handling SHDN
  (jsc#SLE-16518).
- ASoC: codec2codec: avoid invalid/double-free of pcm runtime
  (jsc#SLE-16518).
- ASoC: amd: Buffer Size instead of MAX Buffer (jsc#SLE-16518).
- commit 8c61ed2
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: move i915 init earlier (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fix ordering bug in resume flow
  (jsc#SLE-16518).
- ALSA: hda: do not override bus codec_mask in link_get()
  (jsc#SLE-16518).
- ASoC: atmel: fix atmel_ssc_set_audio link failure
  (jsc#SLE-16518).
- ASoC: fsl_sai: Fix exiting path on probing failure
  (jsc#SLE-16518).
- ALSA: hda: Use scnprintf() for printing texts for sysfs/procfs
  (jsc#SLE-16518).
- ALSA: hda/realtek - Apply quirk for yet another MSI laptop
  (jsc#SLE-16518).
- ALSA: hda/realtek - Apply quirk for MSI GP63, too
  (jsc#SLE-16518).
- ALSA: rawmidi: Avoid bit fields for state flags (jsc#SLE-16518).
- ALSA: seq: Fix concurrent access to queue current tick/time
  (jsc#SLE-16518).
- ALSA: seq: Avoid concurrent access to queue flags
  (jsc#SLE-16518).
- ALSA: pcm: Fix double hw_free calls (jsc#SLE-16518).
- ALSA: usb-audio: Add clock validity quirk for Denon
  MC7000/MCX8000 (jsc#SLE-16518).
- ALSA: hda/realtek - Fix silent output on MSI-GL73
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add more codec supported Headset Button
  (jsc#SLE-16518).
- ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix UAC2/3 effect unit parsing (jsc#SLE-16518).
- ALSA: usb-audio: Apply 48kHz fixed rate playback for Jabra
  Evolve 65 headset (jsc#SLE-16518).
- ASoC: wcd934x: Add missing COMMON_CLK dependency to
  SND_SOC_ALL_CODECS (jsc#SLE-16518).
- ALSA: hda: Clear RIRB status before reading WP (jsc#SLE-16518).
- ALSA: hda/realtek - Fixed one of HP ALC671 platform Headset
  Mic supported (jsc#SLE-16518).
- ASoC: wcd934x: Add missing COMMON_CLK dependency
  (jsc#SLE-16518).
- ASoC: tegra: Revert 24 and 32 bit support (jsc#SLE-16518).
- ASoC: SOF: Intel: add PCI ID for JasperLake (jsc#SLE-16518).
- ASoC: rt715: Add __maybe_unused to PM callbacks (jsc#SLE-16518).
- ASoC: rt711: Add __maybe_unused to PM callbacks (jsc#SLE-16518).
- ASoC: rt700: Add __maybe_unused to PM callbacks (jsc#SLE-16518).
- ASoC: rt1308-sdw: Add __maybe_unused to PM callbacks
  (jsc#SLE-16518).
- ASoC: amd: Fix simultaneous playback and capture
  (jsc#SLE-16518).
- ASoC: Intel: consistent HDMI codec probing code (jsc#SLE-16518).
- ASoC: intel: soc-acpi-intel-icl-match: fix rt715 ADR
  (jsc#SLE-16518).
- ASoC: SOF: pci: add missing default_fw_name of JasperLake
  (jsc#SLE-16518).
- ASoC: SOF: trace: fix unconditional free in trace release
  (jsc#SLE-16518).
- ASoC: SOF: core: release resources on errors in probe_continue
  (jsc#SLE-16518).
- ASoC: SOF: core: free trace on errors (jsc#SLE-16518).
- ASoC: SOF: fix an Oops, caused by invalid topology
  (jsc#SLE-16518).
- ASoC: amd: Fix for Subsequent Playback issue (jsc#SLE-16518).
- ASoC: SOF: Intel: do not disable i915 power during probe
  (jsc#SLE-16518).
- ASoC: SOF: Intel: refactor i915_get/put functions
  (jsc#SLE-16518).
- commit 4429299
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: rt1015: Remove unnecessary const (jsc#SLE-16518).
- ASoC: max98090: silence lockdep warning (jsc#SLE-16518).
- ALSA: hda - Fix DP-MST support for NVIDIA codecs
  (jsc#SLE-16518).
- ALSA: hdsp: Make the firmware loading ioctl a bit more readable
  (jsc#SLE-16518).
- ALSA: emu10k1: Fix annotation and cast for the recent uapi
  header change (jsc#SLE-16518).
- ALSA: dummy: Fix PCM format loop in proc output (jsc#SLE-16518).
- ALSA: usb-audio: Annotate endianess in Scarlett gen2 quirk
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix endianess in descriptor validation
  (jsc#SLE-16518).
- ALSA: hda: Add JasperLake PCI ID and codec vid (jsc#SLE-16518).
- ALSA: pcm: Fix sparse warnings wrt snd_pcm_state_t
  (jsc#SLE-16518).
- ALSA: pcm: Fix memory leak at closing a stream without hw_free
  (jsc#SLE-16518).
- ALSA: uapi: Fix sparse warning (jsc#SLE-16518).
- ALSA: hda: Reset stream if DMA RUN bit not cleared
  (jsc#SLE-16518).
- soundwire: cadence: fix kernel-doc parameter descriptions
  (jsc#SLE-16518).
- soundwire: intel: report slave_ids for each link to SOF driver
  (jsc#SLE-16518).
- soundwire: intel: fix factor of two in MCLK handling
  (jsc#SLE-16518).
- soundwire: bus: fix device number leak on errors
  (jsc#SLE-16518).
- soundwire: cadence: remove useless variable incrementation
  (jsc#SLE-16518).
- soundwire: cadence: update kernel-doc parameter descriptions
  (jsc#SLE-16518).
- soundwire: bus: check first if Slaves become UNATTACHED
  (jsc#SLE-16518).
- soundwire: cadence_master: handle multiple status reports per
  Slave (jsc#SLE-16518).
- soundwire: cadence_master: remove config update for interrupt
  setting (jsc#SLE-16518).
- soundwire: cadence_master: log more useful information during
  timeouts (jsc#SLE-16518).
- soundwire: cadence_master: clear interrupt status before
  enabling interrupt (jsc#SLE-16518).
- soundwire: cadence_master: filter out bad interrupts
  (jsc#SLE-16518).
- soundwire: stream: remove redundant pr_err traces
  (jsc#SLE-16518).
- ASoC: soc-core: remove null_snd_soc_ops (jsc#SLE-16518).
- ASoC: soc-pcm: add soc_rtd_trigger() (jsc#SLE-16518).
- commit 97e6ff8
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: Add MediaTek MT6660 Speaker Amp Driver (jsc#SLE-16518).
- Update config files.
- commit b6b8ef2
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: soc-pcm: add soc_rtd_hw_free() (jsc#SLE-16518).
- ASoC: soc-pcm: add soc_rtd_hw_params() (jsc#SLE-16518).
- ASoC: soc-pcm: add soc_rtd_prepare() (jsc#SLE-16518).
- ASoC: soc-pcm: add soc_rtd_shutdown() (jsc#SLE-16518).
- ASoC: soc-pcm: add soc_rtd_startup() (jsc#SLE-16518).
- ASoC: rt1015: add rt1015 amplifier driver (jsc#SLE-16518).
- ASoC: madera: Correct some kernel doc (jsc#SLE-16518).
- ASoC: max98090: fix deadlock in max98090_dapm_put_enum_double()
  (jsc#SLE-16518).
- ASoC: dapm: add snd_soc_dapm_put_enum_double_locked
  (jsc#SLE-16518).
- ASoC: max98090: revert "ASoC: max98090: fix lockdep warning"
  (jsc#SLE-16518).
- ASoC: soc-core: remove bus_control (jsc#SLE-16518).
- ASoC: soc-core: remove DAI suspend/resume (jsc#SLE-16518).
- ASoC: pxa: pxa2xx-i2s: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: pxa: pxa-ssp: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: ux500: ux500_msp_dai: remove unused DAI .suspend/.resume
  (jsc#SLE-16518).
- ASoC: samsung: i2s: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: dwc: dwc-i2s: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: uniphier: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: ti: omap-mcpdm: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: sti: sti_uniperif: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: samsung: spdif: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: samsung: s3c24xx-i2s: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: mediatek: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: jz4740: jz4740-i2s: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: cirrus: ep93xx-i2s: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: atmel: atmel_ssc_dai: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: bcm: cygnus-ssp: move .suspend/.resume to component
  (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_rt5645: Remove unnecessary string buffers
  and snprintf calls (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5651: Remove unnecessary string buffers
  and snprintf calls (jsc#SLE-16518).
- commit 754a58d
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: Intel: bytcr_rt5640: Remove unnecessary string buffers
  and snprintf calls (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Remove code duplication in
  byt_rt5640_codec_fixup (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: Add MIC BIAS Internal3
  (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: Simplify MIC BIAS Internal
  (jsc#SLE-16518).
- ASoC: amd: Additional DAI for I2S SP instance (jsc#SLE-16518).
- ASoC: rt715: fix return value check in rt715_sdw_probe()
  (jsc#SLE-16518).
- ASoC: rt711: fix return value check in rt711_sdw_probe()
  (jsc#SLE-16518).
- ASoC: rt700: fix return value check in rt700_sdw_probe()
  (jsc#SLE-16518).
- ASoC: rt715: remove unused including <linux/version.h>
  (jsc#SLE-16518).
- ASoC: rt1011: set the different setting for QFN/WLCSP package
  (jsc#SLE-16518).
- ASoC: madera: Correct error path handling in
  madera_out1_demux_put (jsc#SLE-16518).
- ASoC: sgtl5000: add multi endpoint support (jsc#SLE-16518).
- ASoC: fsl_asrc: Add support for imx8qm & imx8qxp
  (jsc#SLE-16518).
- ASoC: sgtl5000: Fix VDDA and VDDIO comparison (jsc#SLE-16518).
- ASoC: codecs: Add jz4770-codec driver (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5651: remove unused variable
  (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: remove unused variable
  (jsc#SLE-16518).
- ASoC: Intel: bytcht_es8316: removed unused variable
  (jsc#SLE-16518).
- ASoC: Intel: skl_rt286: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: skl_nau88l25_ssm4567: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: skl_nau88l25_max98357a: rename shadowed variable
  (jsc#SLE-16518).
- ASOC: Intel: kbl_rt5663_rt5514_max98927: remove useless
  initialization (jsc#SLE-16518).
- ASoC: Intel: kbl_rt5663_rt5514_max98927: rename shadowed
  variable (jsc#SLE-16518).
- ASoC: Intel: kbl_rt5663_max98927: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: kbl_rt5660: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: kbl_da7219_max98927: remove unnecessary
  initialization (jsc#SLE-16518).
- ASoC: Intel: kbl_da7219_max98927: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: kbl_da7219_max98927: test return value on route
  add (jsc#SLE-16518).
- ASoC: Intel: kbl_da7219_max98357a: rename shadowed variable
  (jsc#SLE-16518).
- commit f31c731
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: rt1308-sdw: add rt1308 SdW amplifier driver
  (jsc#SLE-16518).
- Update config files.
- commit 290ac0a
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: Intel: glk_rt5682_max98357a: removed unused variables
  (jsc#SLE-16518).
- ASoC: Intel: glk_rt5682_max98357a: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: bxt_rt298: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: Intel: bxt_da7219_max98357a: rename shadowed variable
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-dai: fix compilation warning in
  pcm_prepare (jsc#SLE-16518).
- ASoC: rt715: remove warnings (jsc#SLE-16518).
- ASoC: rt715: use dev_to_sdw_dev() instead of
  to_sdw_slave_device() (jsc#SLE-16518).
- ASoC: rt700: remove unused including <linux/version.h>
  (jsc#SLE-16518).
- ASoC: atmel: fix build error with CONFIG_SND_ATMEL_SOC_DMA=m
  (jsc#SLE-16518).
- commit b2ed8f3
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: SOF: Intel: reference SoundWire machine lists
  (jsc#SLE-16518).
- ASoC: Intel: common: add match tables for TGL w/ SoundWire
  (jsc#SLE-16518).
- ASoC: Intel: common: add match tables for CNL/CFL/CML w/
  SoundWire (jsc#SLE-16518).
- ASoC: Intel: common: add match tables for ICL w/ SoundWire
  (jsc#SLE-16518).
- ASoC: Intel: common: soc-acpi: declare new tables for SoundWire
  (jsc#SLE-16518).
- ASoC: soc-acpi: add _ADR-based link descriptors (jsc#SLE-16518).
- ASoC: SOF: fix PCM playback through ALSA OSS emulation
  (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5650: change cpu_dai and platform components
  for SOF (jsc#SLE-16518).
- ASoC: Intel: broadwell: change cpu_dai and platform components
  for SOF (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5677: change cpu_dai and platform components
  for SOF (jsc#SLE-16518).
- commit 3ad216d
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: rt715: add RT715 codec driver (jsc#SLE-16518).
- Update config files.
- commit ff4c9bf
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: Intel: bdw-rt5677: fix Kconfig dependencies
  (jsc#SLE-16518).
- ASoC: rt711: remove unused including <linux/version.h>
  (jsc#SLE-16518).
- ASoC: txx9: Remove unused rtd variable (jsc#SLE-16518).
- ASoC: soc-pcm/soc-compress: use snd_soc_dapm_stream_stop()
  for SND_SOC_DAPM_STREAM_STOP (jsc#SLE-16518).
- ASoC: soc-dapm: add snd_soc_dapm_stream_stop() (jsc#SLE-16518).
- ASoC: soc-core: add snd_soc_close_delayed_work()
  (jsc#SLE-16518).
- ASoC: soc-core: do pinctrl_pm_select_xxx() as component
  (jsc#SLE-16518).
- ASoC: soc-core: remove duplicate pinctrl operation when suspend
  (jsc#SLE-16518).
- ASoC: soc-core: care .ignore_suspend for Component suspend
  (jsc#SLE-16518).
- commit 8591842
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: rt711: add rt711 codec driver (jsc#SLE-16518).
- Update config files.
- commit 43b42f4
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: rt700: add rt700 codec driver (jsc#SLE-16518).
- Update config files.
- commit 16bd43e
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: soc-core: rename snd_soc_rtdcom_add() to
  snd_soc_rtd_add_component() (jsc#SLE-16518).
- ASoC: soc-core: remove snd_soc_rtdcom_list (jsc#SLE-16518).
- ASoC: max98090: Drop incorrectly applied duplicate commit
  (jsc#SLE-16518).
- soundwire: intel: add clock stop quirks (jsc#SLE-16518).
- soundwire: intel: add mutex for shared SHIM register access
  (jsc#SLE-16518).
- soundwire: intel: add prototype for WAKEEN interrupt processing
  (jsc#SLE-16518).
- soundwire: intel: add link_list to handle interrupts with a
  single thread (jsc#SLE-16518).
- soundwire: intel: update headers for interrupts (jsc#SLE-16518).
- commit 0bedbc2
* Sun Sep 27 2020 tiwai@suse.de
- ASoC: codecs: add wsa881x amplifier support (jsc#SLE-16518).
- Update config files.
- commit 6406216
* Sun Sep 27 2020 tiwai@suse.de
- soundwire: intel: update stream callbacks for hwparams/free
  stream operations (jsc#SLE-16518).
- soundwire: intel: update interfaces between ASoC and SoundWire
  (jsc#SLE-16518).
- soundwire: sdw_slave: track unattach_request to handle all
  init sequences (jsc#SLE-16518).
- soundwire: sdw_slave: add initialization_complete definition
  (jsc#SLE-16518).
- soundwire: sdw_slave: add enumeration_complete structure
  (jsc#SLE-16518).
- soundwire: sdw_slave: add probe_complete structure and new
  fields (jsc#SLE-16518).
- ASoC: max98090: fix lockdep warning (jsc#SLE-16518).
- ASoC: max98090: fix incorrect helper in
  max98090_dapm_put_enum_double() (jsc#SLE-16518).
- ASoC: amd: acp3x: Fix return value check in acp3x_dai_probe()
  (jsc#SLE-16518).
- ASoC: gtm601: fix build warning (jsc#SLE-16518).
- ASoC: SOF: loader: add dynamic debug trace (jsc#SLE-16518).
- ASoC: SOF: pci: change the default firmware path when the
  community key is used (jsc#SLE-16518).
- ASoC: Intel: sof_rt5682: Ignore the speaker amp when there
  isn't one (jsc#SLE-16518).
- ASoC: soc-topology: fix endianness issues (jsc#SLE-16518).
- ASoC: Intel: boards: hda_dsp_common: use NULL pointer
  assignment, not 0 (jsc#SLE-16518).
- ASoC: SOF: imx8: use resource_size (jsc#SLE-16518).
- ASoC: qdsp6: q6asm-dai: constify copied structure
  (jsc#SLE-16518).
- ASoC: amd MMAP_INTERLEAVED Support (jsc#SLE-16518).
- ASoC: amd: Added ACP3x system resume and runtime pm
  (jsc#SLE-16518).
- ASoC: amd: Handle ACP3x I2S-SP Interrupts (jsc#SLE-16518).
- ASoC: amd: add ACP3x TDM mode support (jsc#SLE-16518).
- ASoC: amd: Enabling I2S instance in DMA and DAI (jsc#SLE-16518).
- ASoC: amd: Refactoring of DAI from DMA driver (jsc#SLE-16518).
- ASoC: madera: Enable clocks for input pins when used for the
  FLL (jsc#SLE-16518).
- ASoC: madera: Enable clocks for input pins when used as a
  direct clock (jsc#SLE-16518).
- ASoC: cs47l92: Simplify error handling code in 'cs47l92_probe()'
  (jsc#SLE-16518).
- ASoC: amd: Create multiple I2S platform device endpoint
  (jsc#SLE-16518).
- ASoC: qcom: sdm845: add support to DB845c and Lenovo Yoga
  (jsc#SLE-16518).
- commit 8f83834
* Sun Sep 27 2020 lduncan@suse.com
- scsi: target: cxgbit: Remove tx flow control code (bsc#1177002
  jsc#sle-15119).
- scsi: target: cxgbit: Check connection state before issuing
  hardware command (bsc#1177002 jsc#sle-15119).
- commit 95499d6
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: wcd934x: add audio routings (jsc#SLE-16518).
- ASoC: wcd934x: add capture dapm widgets (jsc#SLE-16518).
- ASoC: wcd934x: add playback dapm widgets (jsc#SLE-16518).
- ASoC: wcd934x: add basic controls (jsc#SLE-16518).
- ASoC: wcd934x: add support to wcd9340/wcd9341 codec
  (jsc#SLE-16518).
- ASoC: gtm601: add Broadmobi bm818 sound profile (jsc#SLE-16518).
- ASoC: Intel: kbl_da7219_max98357a: remove unused variable
  'constraints_16000' and 'ch_mono' (jsc#SLE-16518).
- ASoC: hdac_hda: Update hdac hda dai table to include
  intel-hdmi-hifi4 (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Add iDisp4 DAI (jsc#SLE-16518).
- ASoC: max98090: Remove empty suspend function (jsc#SLE-16518).
- commit 4416929
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: intel: Add Broadwell rt5650 machine driver
  (jsc#SLE-16518).
- Update config files.
- commit 0552cc8
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: SOF: move arch_ops under ops (jsc#SLE-16518).
- ASoC: meson: axg-fifo: relax period size constraints
  (jsc#SLE-16518).
- ASoC: meson: axg-fifo: improve depth handling (jsc#SLE-16518).
- ASoC: meson: axg-fifo: fix fifo threshold setup (jsc#SLE-16518).
- ASoC: SOF: imx: Read SAI parameters and send them to DSP
  (jsc#SLE-16518).
- ASoC: SOF: imx: Describe SAI parameters to be sent to DSP
  (jsc#SLE-16518).
- commit 644b556
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: Intel: Add machine driver for da7219_max98373
  (jsc#SLE-16518).
- Update config files.
- commit de25b25
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: Intel: boards: fix incorrect HDMI Kconfig dependency
  (jsc#SLE-16518).
- ASoC: SOF: Intel: drop HDA codec upon probe failure
  (jsc#SLE-16518).
- ASoC: SOF: log compiler name and version information
  (jsc#SLE-16518).
- ASoC: SOF: define struct with compiler name and version
  (jsc#SLE-16518).
- ASoC: SOF: Introduce state machine for FW boot (jsc#SLE-16518).
- ASoC: SOF: remove references to Haswell (jsc#SLE-16518).
- commit a7100dc
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: Intel: cml_rt1011_rt5682: fix codec_conf by removing
  legacy style (jsc#SLE-16518).
- ASoC: compress: Add pm_runtime support (jsc#SLE-16518).
- ASoC: intel: skylake: Remove superfluous bus ops
  (jsc#SLE-16518).
- ASoC: soc-core: remove legacy style of codec_conf
  (jsc#SLE-16518).
- ASoC: ti: rx51: use snd_soc_dai_link_component for codec_conf
  (jsc#SLE-16518).
- ASoC: samsung: speyside: use snd_soc_dai_link_component for
  codec_conf (jsc#SLE-16518).
- ASoC: samsung: neo1973_wm8753: use snd_soc_dai_link_component
  for codec_conf (jsc#SLE-16518).
- ASoC: samsung: lowland: use snd_soc_dai_link_component for
  codec_conf (jsc#SLE-16518).
- ASoC: samsung: bells: use snd_soc_dai_link_component for
  codec_conf (jsc#SLE-16518).
- commit 4a6222f
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: mediatek: mt8183-da7219-max98357: use
  snd_soc_dai_link_component for codec_conf (jsc#SLE-16518).
- ASoC: mediatek: mt8173-rt5650-rt5676: use
  snd_soc_dai_link_component for codec_conf (jsc#SLE-16518).
- ASoC: mediatek: mt8173-rt5650-rt5514: use
  snd_soc_dai_link_component for codec_conf (jsc#SLE-16518).
- ASoC: intel: skl_nau88l25_ssm4567: use
  snd_soc_dai_link_component for codec_conf (jsc#SLE-16518).
- ASoC: intel: kbl_rt5663_rt5514_max98927: use
  snd_soc_dai_link_component for codec_conf (jsc#SLE-16518).
- ASoC: intel: kbl_rt5663_max98927: use snd_soc_dai_link_component
  for codec_conf (jsc#SLE-16518).
- ASoC: intel: kbl_da7219_max98927: use snd_soc_dai_link_component
  for codec_conf (jsc#SLE-16518).
- ASoC: fsl: imx-audmix: use snd_soc_dai_link_component for
  codec_conf (jsc#SLE-16518).
- ASoC: soc-core: support snd_soc_dai_link_component for
  codec_conf (jsc#SLE-16518).
- ASoC: SOF: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: mediatek: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: Drop snd_soc_pcm_lib_ioctl() (jsc#SLE-16518).
- ASoC: uniphier: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: sh: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: uniphier: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: siu_pcm: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: fsi: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: intel: skylake: Use managed buffer allocation
  (jsc#SLE-16518).
- ASoC: intel: haswell: Use managed buffer allocation
  (jsc#SLE-16518).
- ASoC: intel: baytrail: Use managed buffer allocation
  (jsc#SLE-16518).
- ASoC: intel: atom: Use managed buffer allocation
  (jsc#SLE-16518).
- ASoC: rt5677-spi: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: rt5514-spi: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: xtensa: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: xilinx: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: txx9: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: stm32: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: generic-dmaengine-pcm: Use managed buffer allocation
  (jsc#SLE-16518).
- ASoC: rcar: Use managed buffer allocation (jsc#SLE-16518).
- commit 4a4cad5
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: dma-sh7760: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: meson: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: dwc: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: au1x: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: soc-core: tidyup for CONFIG_DEBUG_FS (jsc#SLE-16518).
- ASoC: soc-core: tidyup for CONFIG_DMI (jsc#SLE-16518).
- ASoC: soc-core: merge soc_set_name_prefix() and
  soc_set_of_name_prefix() (jsc#SLE-16518).
- ASoC: utils: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: xtensa: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: xilinx: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: txx9: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: sprd: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: SOF: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: generic-dmaengine: Drop superfluous ioctl PCM ops
  (jsc#SLE-16518).
- ASoC: samsung: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: qcom: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: pxa: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: meson: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: mediatek: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: kirkwood: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: intel: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: fsl: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: dwc: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: bcm: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: au1x: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: atmel: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: amd: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ASoC: amd: Use managed buffer allocation (jsc#SLE-16518).
- ASoC: SOF: Intel: byt: fixup topology filename for BYT-CR
  (jsc#SLE-16518).
- ASoC: soc-core: soc_set_name_prefix(): get component device_node
  at out of loop (jsc#SLE-16518).
- commit 8ed00d9
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: soc-core: soc_set_name_prefix(): tidyup loop condition
  (jsc#SLE-16518).
- ASoC: soc-core: rename soc_link_init() to soc_init_pcm_runtime()
  (jsc#SLE-16518).
- ASoC: soc-core: add missing return value check for
  soc_link_init() (jsc#SLE-16518).
- ASoC: soc-core: move soc_link_init() (jsc#SLE-16518).
- ASoC: soc-core: rename soc_link_dai_pcm_new() to
  soc_dai_pcm_new() (jsc#SLE-16518).
- ASoC: soc-core: move soc_link_dai_pcm_new() (jsc#SLE-16518).
- ASoC: soc-core: rename snd_soc_remove_dai_link() to
  snd_soc_remove_pcm_runtime() (jsc#SLE-16518).
- ASoC: soc-core: rename snd_soc_add_dai_link() to
  snd_soc_add_pcm_runtime() (jsc#SLE-16518).
- ASoC: soc-core: move snd_soc_find_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: find rtd via dai_link pointer at
  snd_soc_get_pcm_runtime() (jsc#SLE-16518).
- commit 6d56a63
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: soc-core: move snd_soc_get_pcm_runtime() (jsc#SLE-16518).
- ASoC: soc-core: remove snd_soc_get_dai_substream()
  (jsc#SLE-16518).
- ASoC: soc-core: remove snd_soc_disconnect_sync()
  (jsc#SLE-16518).
- ASoC: soc-core: remove dai_link_list (jsc#SLE-16518).
- ASoC: SOF: Intel: add codec_mask module parameter
  (jsc#SLE-16518).
- ASoC: SOF: ipc: channel map structures (jsc#SLE-16518).
- ASoC: SOF: Add asynchronous sample rate converter topology
  support (jsc#SLE-16518).
- ASoC: SOF: nocodec: Amend arguments for sof_nocodec_setup()
  (jsc#SLE-16518).
- ASoC: SOF: Remove unused drv_name in sof_pdata (jsc#SLE-16518).
- ASoC: SOF: remove nocodec_fw_filename (jsc#SLE-16518).
- commit e9bfecc
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: Intel - do not describe I/O configuration in the long
  card name (jsc#SLE-16518).
- Update config files.
- commit 9e1831b
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: SOF: Make creation of machine device from SOF core
  optional (jsc#SLE-16518).
- ASoC: SOF: intel: hda: Modify signature for
  hda_codec_probe_bus() (jsc#SLE-16518).
- ASoC: SOF: partition audio-related parts from SOF core
  (jsc#SLE-16518).
- ASoC: SOF: Introduce default_fw_filename member in sof_dev_desc
  (jsc#SLE-16518).
- ASoC: SOF: core: move check for runtime callbacks to core
  (jsc#SLE-16518).
- ASoC: SOF: core: modify the signature for
  snd_sof_create_page_table (jsc#SLE-16518).
- ASoC: SOF: topology: remove snd_sof_init_topology()
  (jsc#SLE-16518).
- ASoC: Intel - use control components to describe card config
  (jsc#SLE-16518).
- ASoC: intel/skl/hda - export number of digital microphones
  via control components (jsc#SLE-16518).
- commit 8f7730d
* Sat Sep 26 2020 tiwai@suse.de
- ASoC: hdmi-codec: re-introduce mutex locking again
  (jsc#SLE-16518).
- ASoC: fix soc-core.c kernel-doc warning (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: solve MSI issues by merging ipc and
  stream irq handlers (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Improve the sysclk selection
  (jsc#SLE-16518).
- ASoC: cs42l51: add dac mux widget in codec routes
  (jsc#SLE-16518).
- ASoC: rsnd: Calculate DALIGN inversion at run-time
  (jsc#SLE-16518).
- ASoC: tlv320aic31xx: Add Volume Soft Stepping control
  (jsc#SLE-16518).
- ASoC: max98090: save and restore SHDN when changing sensitive
  registers (jsc#SLE-16518).
- ASoC: fsl_sai: add IRQF_SHARED (jsc#SLE-16518).
- ASoC: tlv320aic31xx: Add HP output driver pop reduction controls
  (jsc#SLE-16518).
- ASoC: mediatek: common: refine hw_params and hw_prepare
  (jsc#SLE-16518).
- ASoC: mediatek: common: add some helpers to control mtk_memif
  (jsc#SLE-16518).
- ASoC: hdac_hdmi: Drop support for Icelake (jsc#SLE-16518).
- ASoC: Intel: boards: make common HDMI driver the default for
  SOF (jsc#SLE-16518).
- ASoC: SOF: Intel: make common HDMI driver default
  (jsc#SLE-16518).
- ASoC: Intel: common: Add mach table for tgl-max98357a-rt5682
  (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: Add support for tgl-max98357a-rt5682
  (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: Add quirk for number of HDMI DAI's
  (jsc#SLE-16518).
- ASoC: topology: fix soc_tplg_fe_link_create() - link->dobj
  initialization order (jsc#SLE-16518).
- ASoC: Intel: skl_hda_dsp_common: Fix global-out-of-bounds bug
  (jsc#SLE-16518).
- commit 98c735e
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: hda: Allow setting preallocation again for x86
  (jsc#SLE-16518).
- ASoC: madera: Correct DMIC only input hook ups (jsc#SLE-16518).
- ASoC: soc-generic-dmaengine-pcm: Fix error handling
  (jsc#SLE-16518).
- ASoC: soc-pcm: crash in snd_soc_dapm_new_dai (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Fix SKL dai count (jsc#SLE-16518).
- ASoC: madera: Update handling of DAPM routes for mono muxed
  outputs (jsc#SLE-16518).
- ASoC: wm_adsp: Correct cache handling of new kernel control API
  (jsc#SLE-16518).
- ALSA: usb-audio: add quirks for Line6 Helix devices fw>=2.82
  (jsc#SLE-16518).
- ALSA: hda: Add Clevo W65_67SB the power_save blacklist
  (jsc#SLE-16518).
- ALSA: hda - Add docking station support for Lenovo Thinkpad
  T420s (jsc#SLE-16518).
- ALSA: cs46xx: fix spelling mistake "to" -> "too"
  (jsc#SLE-16518).
- commit 2169757
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: hda/hdmi - add retry logic to parse_intel_hdmi()
  (jsc#SLE-16518).
- ALSA: hda: No preallocation on x86 platforms (jsc#SLE-16518).
- ALSA: pcm: Set per-card upper limit of PCM buffer allocations
  (jsc#SLE-16518).
- ALSA: hda: Apply aligned MMIO access only conditionally
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add Headset Mic supported for HP cPC
  (jsc#SLE-16518).
- ALSA: pcm: Make snd_pcm_hw_constraints_init() and _complete()
  static (jsc#SLE-16518).
- ALSA: hda/analog - Minor optimization for SPDIF mux connections
  (jsc#SLE-16518).
- ALSA: usb-audio: add implicit fb quirk for MOTU M Series
  (jsc#SLE-16518).
- ALSA: usb-audio: unlock on error in probe (jsc#SLE-16518).
- ALSA: hda: patch_hdmi: remove warnings with empty body
  (jsc#SLE-16518).
- ALSA: hda: correct kernel-doc parameter descriptions
  (jsc#SLE-16518).
- ALSA: hda: Update kernel-doc function parameter descriptions
  (jsc#SLE-16518).
- ALSA: hda: Manage concurrent reg access more properly
  (jsc#SLE-16518).
- ALSA: usb-audio: Add boot quirk for MOTU M Series
  (jsc#SLE-16518).
- ALSA: dice: add support for Alesis MasterControl
  (jsc#SLE-16518).
- ALSA: dice: loosen stream format check for MIDI conformant
  data channel (jsc#SLE-16518).
- ALSA: oxfw: fix for Stanton SCS.1d (jsc#SLE-16518).
- ALSA: oxfw: don't add MIDI/PCM interface when packet streaming
  is unavailable (jsc#SLE-16518).
- ALSA: oxfw: use ENXIO for not-supported cases (jsc#SLE-16518).
- ALSA: usb: update old-style static const declaration
  (jsc#SLE-16518).
- commit 401ab42
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: hda: patch_realtek: fix empty macro usage in if block
  (jsc#SLE-16518).
- ALSA: timer: fix nsec/sec initialization confusion
  (jsc#SLE-16518).
- ALSA: hda: Fix a typo in comments (jsc#SLE-16518).
- ALSA: pci: echoaudio: remove set but not used variable 'chip'
  (jsc#SLE-16518).
- ALSA: control: potential uninitialized return value
  (jsc#SLE-16518).
- ALSA: sh: Fix compile warning wrt const (jsc#SLE-16518).
- ALSA: spi: More constification (jsc#SLE-16518).
- ALSA: pdaudiocf: More constification (jsc#SLE-16518).
- ALSA: via82xx: More constification (jsc#SLE-16518).
- ALSA: fm801: More constification (jsc#SLE-16518).
- ALSA: ens137x: More constification (jsc#SLE-16518).
- ALSA: echoaudio: More constification (jsc#SLE-16518).
- ALSA: cs4281: More constification (jsc#SLE-16518).
- ALSA: azt3328: More constification (jsc#SLE-16518).
- ALSA: ak4531: More constification (jsc#SLE-16518).
- ALSA: serial-u16550: More constification (jsc#SLE-16518).
- ALSA: opl4: More constification (jsc#SLE-16518).
- ALSA: arm: More constification (jsc#SLE-16518).
- ALSA: lx6464es: More constifications (jsc#SLE-16518).
- ALSA: aw2: More constifications (jsc#SLE-16518).
- ALSA: mts64: More constifications (jsc#SLE-16518).
- ALSA: sc6000: More constification (jsc#SLE-16518).
- ALSA: wss: More constifications (jsc#SLE-16518).
- ALSA: opti9xx: More constifications (jsc#SLE-16518).
- ALSA: gus: More constifications (jsc#SLE-16518).
- ALSA: es18xx: More constifications (jsc#SLE-16518).
- ALSA: es1688: More constifications (jsc#SLE-16518).
- ALSA: cmi8330: More constifications (jsc#SLE-16518).
- ALSA: sb: More constifications (jsc#SLE-16518).
- ALSA: cs423x: More constification (jsc#SLE-16518).
- ALSA: cmi8328: More constifications (jsc#SLE-16518).
- ALSA: opl3: More constifications (jsc#SLE-16518).
- ALSA: rawmidi: More constification (jsc#SLE-16518).
- ALSA: oss: More constifications (jsc#SLE-16518).
- ALSA: jack: More constification (jsc#SLE-16518).
- ALSA: info: More constifications (jsc#SLE-16518).
- ALSA: sparc: More constifications (jsc#SLE-16518).
- ALSA: cmipci: More constifications (jsc#SLE-16518).
- ALSA: es1968: More constifications (jsc#SLE-16518).
- ALSA: es1938: More constifications (jsc#SLE-16518).
- ALSA: atiixp: More constifications (jsc#SLE-16518).
- ALSA: asihpi: More constifications (jsc#SLE-16518).
- ALSA: ctxfi: More constifications (jsc#SLE-16518).
- ALSA: ca0106: More constifications (jsc#SLE-16518).
- ALSA: cs46xx: More constifications (jsc#SLE-16518).
- ALSA: korg1212: More constifications (jsc#SLE-16518).
- ALSA: nm256: More constifications (jsc#SLE-16518).
- ALSA: bcd2000: More constifications (jsc#SLE-16518).
- ALSA: ymfpci: More constifications (jsc#SLE-16518).
- ALSA: mixart: More constifications (jsc#SLE-16518).
- ALSA: pcxhr: More constifications (jsc#SLE-16518).
- ALSA: usx2y: More constifications (jsc#SLE-16518).
- ALSA: emux: More constifications (jsc#SLE-16518).
- ALSA: rme9652: More constifications (jsc#SLE-16518).
- ALSA: hdspm: More constifications (jsc#SLE-16518).
- ALSA: hdsp: More constifications (jsc#SLE-16518).
- ALSA: ppc: More constifications (jsc#SLE-16518).
- ALSA: ice1712: More constifications (jsc#SLE-16518).
- ALSA: riptide: More constifications (jsc#SLE-16518).
- ALSA: emu10k1: More constifications (jsc#SLE-16518).
- ALSA: au88x0: More constifications (jsc#SLE-16518).
- ALSA: caiaq: More constifications (jsc#SLE-16518).
- ALSA: usb-audio: More constifications (jsc#SLE-16518).
- ALSA: ac97: More constifications (jsc#SLE-16518).
- ALSA: hda: More constifications (jsc#SLE-16518).
- ALSA: intel8x0: More constifications (jsc#SLE-16518).
- ALSA: vx: More constifications (jsc#SLE-16518).
- ALSA: seq: More constifications (jsc#SLE-16518).
- ALSA: pcm: More constifications (jsc#SLE-16518).
- ALSA: dummy: More constifications (jsc#SLE-16518).
- commit 010a379
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: control: Add verification for kctl accesses
  (jsc#SLE-16518).
- Update config files.
- commit f4d3f65
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: hda/realtek - More constifications (jsc#SLE-16518).
- ALSA: aoa: More constifications (jsc#SLE-16518).
- ALSA: Allow const arrays for legacy resource management helpers
  (jsc#SLE-16518).
- ALSA: usb-audio: Use lower hex numbers for IDs (jsc#SLE-16518).
- ALSA: hda/realtek - Apply mic mute LED quirk for Dell E7xx
  laptops, too (jsc#SLE-16518).
- ALSA: sh: Fix unused variable warnings (jsc#SLE-16518).
- ALSA: hda - constify and cleanup static NodeID tables
  (jsc#SLE-16518).
- ALSA: pci: Constify snd_pci_quirk tables (jsc#SLE-16518).
- ALSA: hda: Constify snd_pci_quirk tables (jsc#SLE-16518).
- ALSA: fm801: Constify snd_fm801_tea575x_gpios (jsc#SLE-16518).
- ALSA: es1968: Constify snd_es1968_tea575x_gpios (jsc#SLE-16518).
- ALSA: emu10k1: Constify snd_emu_chip_details (jsc#SLE-16518).
- ALSA: bt87x: Constify snd_bt87x_boards (jsc#SLE-16518).
- ALSA: seq: oss: Constify snd_seq_oss_callback definitions
  (jsc#SLE-16518).
- ALSA: usx2y: Constify struct snd_usb_audio_quirk entries
  (jsc#SLE-16518).
- ALSA: line6: Constify snd_ratden definitions (jsc#SLE-16518).
- ALSA: ice1712: Constify wm-specific tables (jsc#SLE-16518).
- ALSA: ice17xx: Constify snd_ice1712_card_info (jsc#SLE-16518).
- ALSA: ca0106: Constify snd_ca0106_details (jsc#SLE-16518).
- ALSA: ca0106: Constify snd_ca0106_category_str items
  (jsc#SLE-16518).
- ALSA: ac97: Constify snd_ac97_res_table definition
  (jsc#SLE-16518).
- ALSA: opl3: Constify snd_opl3_drum_voice definitions
  (jsc#SLE-16518).
- ALSA: dummy: Constify snd_pcm_ops definitions (jsc#SLE-16518).
- ALSA: parisc: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: usb: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: spi: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: sparc: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: ppc: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: pci: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: hda: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: isa: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: i2c: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: drivers: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: aoa: Constify snd_kcontrol_new items (jsc#SLE-16518).
- ALSA: mixer: oss: Constify snd_mixer_oss_assign_table definition
  (jsc#SLE-16518).
- ALSA: vx: Constify snd_vx_hardware and snd_vx_ops definitions
  (jsc#SLE-16518).
- ALSA: seq: Constify struct snd_midi_op (jsc#SLE-16518).
- ALSA: info: Make snd_info_entry_ops as const (jsc#SLE-16518).
- ALSA: pci: Constify snd_ac97_bus_ops definitions
  (jsc#SLE-16518).
- ALSA: drivers: Constify snd_ac97_bus_ops definitions
  (jsc#SLE-16518).
- ALSA: atmel: Constify snd_ac97_bus_ops definitions
  (jsc#SLE-16518).
- ALSA: arm: Constify snd_ac97_bus_ops definitions
  (jsc#SLE-16518).
- ALSA: ac97: Constify snd_ac97_bus_ops definitions
  (jsc#SLE-16518).
- ALSA: ac97: Treat snd_ac97_bus_ops as const (jsc#SLE-16518).
- ALSA: Constify snd_timer_hardware definitions (jsc#SLE-16518).
- ALSA: timer: Constify snd_timer_hardware definitions
  (jsc#SLE-16518).
- ALSA: spi: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: sh: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: sparc: Constify snd_device_ops definitions
  (jsc#SLE-16518).
- commit dd95689
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: usb-audio: Support PCM sync_stop (jsc#SLE-16518).
- commit 8824797
* Sat Sep 26 2020 tiwai@suse.de
- ALSA: ppc: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: pcmcia: Constify snd_device_ops definitions
  (jsc#SLE-16518).
- ALSA: parisc: Constify snd_device_ops definitions
  (jsc#SLE-16518).
- ALSA: mips: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: aoa: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: usb: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: pci: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: hda: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: isa: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: i2c: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: drivers: Constify snd_device_ops definitions
  (jsc#SLE-16518).
- ALSA: core: Constify snd_device_ops definitions (jsc#SLE-16518).
- ALSA: core: Treat snd_device_ops as const (jsc#SLE-16518).
- ALSA: usb: Constify snd_pcm_hardware definitions
  (jsc#SLE-16518).
- ALSA: pci: Constify snd_pcm_hardware definitions
  (jsc#SLE-16518).
- ALSA: hda: constify copied structure (jsc#SLE-16518).
- ALSA: ad1816a: constify copied structure (jsc#SLE-16518).
- ALSA: uapi: Add linux/types.h include back (but carefully)
  (jsc#SLE-16518).
- ALSA: usb-audio: fix Corsair Virtuoso mixer label collision
  (jsc#SLE-16518).
- ALSA: control: Fix incompatible protocol error (jsc#SLE-16518).
- ALSA: ctl: allow TLV read operation for callback type of
  element in locked case (jsc#SLE-16518).
- ALSA: ctl: bump protocol version up to v2.1.0 (jsc#SLE-16518).
- ALSA: ctl: remove dimen member from elem_info structure
  (jsc#SLE-16518).
- ALSA: pci: echoaudio: remove usage of dimen menber of elem_value
  structure (jsc#SLE-16518).
- ALSA: ctl: remove unused macro for timestamping of elem_value
  (jsc#SLE-16518).
- ALSA: uapi: Drop unneeded typedefs (jsc#SLE-16518).
- ALSA: uapi: Drop asound.h inclusion from asoc.h (jsc#SLE-16518).
- ALSA: uapi: Fix typos and header inclusion in asound.h
  (jsc#SLE-16518).
- ALSA: hdspm: Drop linux/types.h inclusion in uapi header
  (jsc#SLE-16518).
- ALSA: hdsp: Make uapi/hdsp.h compilable again (jsc#SLE-16518).
- ALSA: emu10k1: Make uapi/emu10k1.h compilable again
  (jsc#SLE-16518).
- ALSA: usx2y: Adjust indentation in snd_usX2Y_hwdep_dsp_status
  (jsc#SLE-16518).
- ALSA: bump uapi version numbers (jsc#SLE-16518).
- ALSA: add new 32-bit layout for snd_pcm_mmap_status/control
  (jsc#SLE-16518).
- ALSA: move snd_pcm_ioctl_sync_ptr_compat into pcm_native.c
  (jsc#SLE-16518).
- ALSA: Avoid using timespec for struct snd_timer_tread
  (jsc#SLE-16518).
- ALSA: Avoid using timespec for struct snd_rawmidi_status
  (jsc#SLE-16518).
- ALSA: Avoid using timespec for struct snd_pcm_status
  (jsc#SLE-16518).
- ALSA: Avoid using timespec for struct snd_ctl_elem_value
  (jsc#SLE-16518).
- ALSA: Avoid using timespec for struct snd_timer_status
  (jsc#SLE-16518).
- ALSA: Replace timespec with timespec64 (jsc#SLE-16518).
- ALSA: cmipci: Allow disabling MPU port via module option
  (jsc#SLE-16518).
- ALSA: hda: Comment about snd_hdac_bus_update_rirb() and spinlock
  (jsc#SLE-16518).
- ALSA: control: remove useless assignment in .info callback of
  PCM chmap element (jsc#SLE-16518).
- ALSA: hda: Unify get_response handling (jsc#SLE-16518).
- ALSA: hda: Use waitqueue for RIRB in HDA-core helper, too
  (jsc#SLE-16518).
- ALSA: hda: tegra: Fix unused variable compile warning
  (jsc#SLE-16518).
- ALSA: vxpocket: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: pdaudiocf: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: vx222: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: pcxhr: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: mixart: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: lx6464es: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: wss: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: wavefront: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: sb: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: opti9xx: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: opl3sa2: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: msnd: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: gus: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: es18xx: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: es1688: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ad1816a: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ymfpci: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: via82xx: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: trident: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: sonicvibes: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: sis7019: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: rme9652: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: rme96: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: rme32: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: riptide: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: oxygen: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: nm256: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: maestro3: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: lola: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: korg1212: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: intel8x0: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ice1724: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ice1712: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: hda: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: fm801: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: es1968: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: es1938: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ens137x: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: emu10k1: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: echoaudio: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ctxfi: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: cs5535audio: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: cs46xx: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: cs4281: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: cmipci: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ca0106: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: bt87x: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: azt3328: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: aw2: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: au88x0: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: atiixp: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: als300: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ali5451: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: ad1889: Support PCM sync_stop (jsc#SLE-16518).
- ALSA: xen: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: x86: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: usb: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: spi: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: sparc: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: sh: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: ppc: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: pcmcia: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: pci: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: trident: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: asihpi: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: atiixp: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: via82xx: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: intel8x0: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: parisc: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: mips: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: isa: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: es1688: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: firewire: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: drivers: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: atmel: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: arm: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: aoa: Drop superfluous ioctl PCM ops (jsc#SLE-16518).
- ALSA: hdml-lpe-audio: Use managed buffer allocation
  (jsc#SLE-16518).
- ALSA: pcxhr: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: usb-audio: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: usx2y: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ua101: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: line6: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: hiface: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: caiaq: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: 6fire: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: spi: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: sparc: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: sh: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: aica: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ps3: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: pmac: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: pdaudiocf: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ymfpci: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: via82xx: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: trident: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: sonicvibes: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: sis7019: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: rme32: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: riptide: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: oxygen: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: mixart: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: maestro3: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: lx6464es: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: lola: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: intel8x0: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ice1724: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ice1712: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: hda: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: fm801: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: es1938: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ens137x: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: emu10k1: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: emu10k1x: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: echoaudio: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ctxfi: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: cs5535: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: cs4281: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: cmipci: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ca0106: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: bt87x: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: azt3328: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: aw2: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: au88x0: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: atiixp: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: asihpi: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: als4000: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: als300: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ali5451: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ad1889: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: parisc: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: mips: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: wss: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: gus: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: sb: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: es18xx: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: es1688: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: cmi8330: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ad1816a: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: firewire: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: vx: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: pcsp: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: ml403: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: dummy: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: aloop: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: atmel: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: aaci: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: aoa: Use managed buffer allocation (jsc#SLE-16518).
- ALSA: hda: Use standard waitqueue for RIRB wakeup
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Explicitly include linux/io.h for
  virt_to_phys() (jsc#SLE-16518).
- commit 5a54b8e
* Sat Sep 26 2020 nstange@suse.de
- s390/maccess: add no DAT mode to kernel_write (bsc#1176449).
- commit 8fd068b
* Sat Sep 26 2020 nstange@suse.de
- s390: Change s390_kernel_write() return type to match memcpy()
  (bsc#1176449).
  Prerequisite for bsc#1176449.
- commit 3f17b43
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: msm8916-wcd-digital: Reset RX interpolation path after
  use (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: Fix MIC BIAS Internal1
  (jsc#SLE-16518).
- ASoC: sti: fix possible sleep-in-atomic (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: Fix selected events for MIC BIAS
  External1 (jsc#SLE-16518).
- ASoC: hdac_hda: Fix error in driver removal after failed probe
  (jsc#SLE-16518).
- ASoC: SOF: Intel: fix HDA codec driver probe with multiple
  controllers (jsc#SLE-16518).
- ASoC: SOF: Intel: lower print level to dbg if we will reinit
  DSP (jsc#SLE-16518).
- ASoC: stm32: dfsdm: fix 16 bits record (jsc#SLE-16518).
- ASoC: stm32: sai: fix possible circular locking (jsc#SLE-16518).
- ASoC: Fix NULL dereference at freeing (jsc#SLE-16518).
- ASoC: Intel: bytcht_es8316: Fix Irbis NB41 netbook quirk
  (jsc#SLE-16518).
- ASoC: rt5640: Fix NULL dereference on module unload
  (jsc#SLE-16518).
- ALSA: seq: Fix racy access for queue timer in proc read
  (jsc#SLE-16518).
- ALSA: usb-audio: fix sync-ep altsetting sanity check
  (jsc#SLE-16518).
- ALSA: dice: fix fallback from protocol extension into limited
  functionality (jsc#SLE-16518).
- ALSA: firewire-tascam: fix corruption due to spin lock without
  restoration in SoftIRQ context (jsc#SLE-16518).
- ALSA: hda: Rename back to dmic_detect option (jsc#SLE-16518).
- ALSA: hda: enable regmap internal locking (jsc#SLE-16518).
- ALSA: hda/realtek - Add quirk for the bass speaker on Lenovo
  Yoga X1 7th gen (jsc#SLE-16518).
- ALSA: hda/realtek - Set EAPD control to default for ALC222
  (jsc#SLE-16518).
- ASoC: Intel: boards: Fix compile-testing RT1011/RT5682
  (jsc#SLE-16518).
- ASoC: SOF: imx8: Fix dsp_box offset (jsc#SLE-16518).
- ASoC: topology: Prevent use-after-free in
  snd_soc_get_pcm_runtime() (jsc#SLE-16518).
- ASoC: fsl_audmix: add missed pm_runtime_disable (jsc#SLE-16518).
- ASoC: stm32: spdifrx: fix input pin state management
  (jsc#SLE-16518).
- ASoC: stm32: spdifrx: fix race condition in irq handler
  (jsc#SLE-16518).
- ASoC: stm32: spdifrx: fix inconsistent lock state
  (jsc#SLE-16518).
- ASoC: core: Fix access to uninitialized list heads
  (jsc#SLE-16518).
- ASoC: soc-core: Set dpcm_playback / dpcm_capture
  (jsc#SLE-16518).
- ASoC: SOF: imx8: fix memory allocation failure check on
  priv->pd_dev (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: hda-dai: fix oops on hda_link .hw_free
  (jsc#SLE-16518).
- ASoC: SOF: fix fault at driver unload after failed probe
  (jsc#SLE-16518).
- ALSA: usb-audio: Apply the sample rate quirk for Bose Companion
  5 (jsc#SLE-16518).
- ALSA: hda/realtek - Add new codec supported for ALCS1200A
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable the bass speaker of ASUS UX431FLC
  (jsc#SLE-16518).
- ALSA: ice1724: Fix sleep-in-atomic in Infrasonic Quartet
  support code (jsc#SLE-16518).
- ALSA: hda/realtek - Add Bass Speaker and fixed dac for bass
  speaker (jsc#SLE-16518).
- ALSA: hda - Apply sync-write workaround to old Intel platforms,
  too (jsc#SLE-16518).
- ALSA: hda/hdmi - fix atpx_present when CLASS is not VGA
  (jsc#SLE-16518).
- ALSA: usb-audio: fix set_format altsetting sanity check
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add headset Mic no shutup for ALC283
  (jsc#SLE-16518).
- ALSA: usb-audio: set the interface format after resume on Dell
  WD19 (jsc#SLE-16518).
- ASoC: wm8962: fix lambda value (jsc#SLE-16518).
- ASoC: Intel: common: work-around incorrect ACPI HID for CML
  boards (jsc#SLE-16518).
- ASoC: SOF: Intel: split cht and byt debug window sizes
  (jsc#SLE-16518).
- ASoC: SOF: loader: fix snd_sof_fw_parse_ext_data
  (jsc#SLE-16518).
- ASoC: SOF: loader: snd_sof_fw_parse_ext_data log warning on
  unknown header (jsc#SLE-16518).
- ASoC: simple-card: Don't create separate link when platform
  is present (jsc#SLE-16518).
- ASoC: topology: Check return value for soc_tplg_pcm_create()
  (jsc#SLE-16518).
- ASoC: topology: Check return value for snd_soc_add_dai_link()
  (jsc#SLE-16518).
- ASoC: core: only flush inited work during free (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Update quirk for Teclast X89
  (jsc#SLE-16518).
- ASoC: core: Init pcm runtime work early to avoid warnings
  (jsc#SLE-16518).
- ASoC: Intel: sst: Add missing include <linux/io.h>
  (jsc#SLE-16518).
- ASoC: max98090: fix possible race conditions (jsc#SLE-16518).
- ASoC: max98090: exit workaround earlier if PLL is locked
  (jsc#SLE-16518).
- ASoC: max98090: remove msleep in PLL unlocked workaround
  (jsc#SLE-16518).
- ASoC: wm8904: fix automatic sysclk configuration
  (jsc#SLE-16518).
- ASoC: rt5677: Fix build error without CONFIG_SPI
  (jsc#SLE-16518).
- ASoC: SOF: topology: Fix unload for SAI/ESAI (jsc#SLE-16518).
- ASoC: SOF: Intel: BYT: fix a copy/paste mistake in byt_dump()
  (jsc#SLE-16518).
- ASoC: AMD: Enable clk in startup intead of hw_params
  (jsc#SLE-16518).
- ASoC: rt5682: fix i2c arbitration lost issue (jsc#SLE-16518).
- ALSA: hda - Downgrade error message for single-cmd fallback
  (jsc#SLE-16518).
- ALSA: hda: Fix regression by strip mask fix (jsc#SLE-16518).
- ALSA: hda/ca0132 - Fix work handling in delayed HP detection
  (jsc#SLE-16518).
- ALSA: hda/ca0132 - Avoid endless loop (jsc#SLE-16518).
- ALSA: hda/ca0132 - Keep power on during processing DSP response
  (jsc#SLE-16518).
- ALSA: pcm: Avoid possible info leaks from PCM stream buffers
  (jsc#SLE-16518).
- commit 4c1452e
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: hda/realtek - Line-out jack doesn't work on a Dell AIO
  (jsc#SLE-16518).
- ALSA: hda/hdmi - Fix duplicate unref of pci_dev (jsc#SLE-16518).
- ALSA: fireface: fix return value in error path of isochronous
  resources reservation (jsc#SLE-16518).
- ALSA: oxfw: fix return value in error path of isochronous
  resources reservation (jsc#SLE-16518).
- ALSA: firewire-motu: fix double unlocked 'motu->mutex'
  (jsc#SLE-16518).
- ALSA: echoaudio: simplify get_audio_levels (jsc#SLE-16518).
- ALSA: pcm: oss: Avoid potential buffer overflows
  (jsc#SLE-16518).
- ALSA: hda: hdmi - Keep old slot assignment behavior for Intel
  platforms (jsc#SLE-16518).
- ALSA: hda: Modify stream stripe mask only when needed
  (jsc#SLE-16518).
- ALSA: hda - fixup for the bass speaker on Lenovo Carbon X1
  7th gen (jsc#SLE-16518).
- ALSA: hda: hdmi - preserve non-MST PCM routing for Intel
  platforms (jsc#SLE-16518).
- ALSA: hda: hdmi - fix kernel oops caused by invalid PCM idx
  (jsc#SLE-16518).
- ALSA: hda/realtek - Fix inverted bass GPIO pin on Acer 8951G
  (jsc#SLE-16518).
- ALSA: hda/realtek - Dell headphone has noise on unmute for
  ALC236 (jsc#SLE-16518).
- ALSA: hda: hdmi - fix regression in connect list handling
  (jsc#SLE-16518).
- ALSA: aloop: Avoid pointer dereference before null-check
  (jsc#SLE-16518).
- ALSA: hda/hdmi - enable automatic runtime pm for AMD HDMI
  codecs by default (jsc#SLE-16518).
- ALSA: hda/hdmi - enable runtime pm for newer AMD display audio
  (jsc#SLE-16518).
- ALSA: hda/hdmi - Add new pci ids for AMD GPU display audio
  (jsc#SLE-16518).
- ALSA: hda/hdmi - fix vgaswitcheroo detection for AMD
  (jsc#SLE-16518).
- compat_ioctl: remove translation for sound ioctls
  (jsc#SLE-16518).
- soundwire: ignore uniqueID when irrelevant (jsc#SLE-16518).
- soundwire: slave: add helper to extract slave ID
  (jsc#SLE-16518).
- soundwire: remove bitfield for unique_id, use u8
  (jsc#SLE-16518).
- soundwire: cadence_master: make clock stop exit configurable
  on init (jsc#SLE-16518).
- soundwire: intel/cadence: add flag for interrupt enable
  (jsc#SLE-16518).
- soundwire: intel: add helper for initialization (jsc#SLE-16518).
- soundwire: cadence_master: add hw_reset capability in debugfs
  (jsc#SLE-16518).
- soundwire: intel/cadence: fix startup sequence (jsc#SLE-16518).
- soundwire: intel: use correct header for io calls
  (jsc#SLE-16518).
- soundwire: cadence_master: improve PDI allocation
  (jsc#SLE-16518).
- soundwire: intel: don't filter out PDI0/1 (jsc#SLE-16518).
- soundwire: cadence/intel: simplify PDI/port mapping
  (jsc#SLE-16518).
- soundwire: intel: remove playback/capture stream_name
  (jsc#SLE-16518).
- soundwire: remove DAI_ID_RANGE definitions (jsc#SLE-16518).
- soundwire: intel: remove X86 dependency (jsc#SLE-16518).
- soundwire: intel: add missing headers for cross-compilation
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix Focusrite Scarlett 6i6 gen1 - input
  handling (jsc#SLE-16518).
- ALSA: hda/realtek - Enable internal speaker of ASUS UX431FLC
  (jsc#SLE-16518).
- ASoC: DMI long name - avoid to add board name if matches with
  product name (jsc#SLE-16518).
- ASoC: improve the DMI long card code in asoc-core
  (jsc#SLE-16518).
- ASoC: Fix Kconfig indentation (jsc#SLE-16518).
- ASoC: soc-pcm: check symmetry before hw_params (jsc#SLE-16518).
- ASoC: pcm3168a: Update the RST gpio handling to align with
  documentation (jsc#SLE-16518).
- ASoC: core: add SND_SOC_BYTES_E (jsc#SLE-16518).
- ASoC: add control components management (jsc#SLE-16518).
- ASoC: soc-pcm: remove soc_pcm_private_free() (jsc#SLE-16518).
- ASoC: soc-component: tidyup snd_soc_pcm_component_new/free()
  parameter (jsc#SLE-16518).
- ASoC: wm_adsp: Expose mixer control API (jsc#SLE-16518).
- commit 884f66f
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: tlv320aic31xx: configure output common-mode voltage
  (jsc#SLE-16518).
- ASoC: pcm3168a: Add support for optional RST gpio handling
  (jsc#SLE-16518).
- ASoC: wm5100: add missed pm_runtime_disable (jsc#SLE-16518).
- ASoC: wm2200: add missed operations in remove and probe failure
  (jsc#SLE-16518).
- ASoC: qcom: q6asm-dai: add support to flac decoder
  (jsc#SLE-16518).
- ASoC: qcom: q6asm: add support to flac config (jsc#SLE-16518).
- ALSA: compress: add flac decoder params (jsc#SLE-16518).
- ASoC: rt5677: rt5677_check_hotword() can be static
  (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Use dma_request_chan() directly for
  channel request (jsc#SLE-16518).
- ASoC: dmaengine: Use dma_request_chan() directly for channel
  request (jsc#SLE-16518).
- ASoC: soc-core: care card_probed at soc_cleanup_card_resources()
  (jsc#SLE-16518).
- ASoC: soc-core: move snd_soc_unbind_card() next to
  snd_soc_bind_card() (jsc#SLE-16518).
- ASoC: soc-core: call snd_soc_dapm_shutdown() at
  soc_cleanup_card_resources() (jsc#SLE-16518).
- ASoC: tas2770: clean up an indentation issue (jsc#SLE-16518).
- ASoC: soc-core: tidyup soc_probe_aux_devices() (jsc#SLE-16518).
- ASoC: soc-core: merge snd_soc_bind_card() and
  snd_soc_instantiate_card() (jsc#SLE-16518).
- ASoC: soc-core: merge soc_remove_component() and
  soc_cleanup_component() (jsc#SLE-16518).
- ASoC: soc-core: merge snd_soc_remove_dai_link() and
  soc_unbind_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: merge snd_soc_add_dai_link() and
  soc_bind_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: merge snd_soc_unregister_dai() and soc_del_dai()
  (jsc#SLE-16518).
- ASoC: soc-core: merge snd_soc_register_dai() and soc_add_dai()
  (jsc#SLE-16518).
- ASoC: soc-core: remove soc_is_dai_link_bound() (jsc#SLE-16518).
- ASoC: SOF: topology: free kcontrol memory on error
  (jsc#SLE-16518).
- ASoC: SOF: PM: only suspend to D0I3 when needed (jsc#SLE-16518).
- ASoC: SOF: add helper to check if we should enter d0i3 suspend
  (jsc#SLE-16518).
- ASoC: SOF: PM: add check before setting d0_substate
  (jsc#SLE-16518).
- ASoC: SOF: PM: add state machine to comments (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: use fallback for firmware name
  (jsc#SLE-16518).
- ASoC: Intel: acpi-match: split CNL tables in three
  (jsc#SLE-16518).
- commit 5d6ba5b
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: Fix CONFIG_NET_CLS_ACT=n and CONFIG_NFT_FWD_NETDEV={y,
  m} build (bsc#1176447).
- Update config files.
- commit 77d1cd4
* Fri Sep 25 2020 trenn@suse.com
- powercap: RAPL: Add support for Lakefield (jsc#INTEL-233).
- powercap/intel_rapl: add support for AlderLake (jsc#SLE-13409).
- powercap/intel_rapl: add support for RocketLake (jsc#SLE-13393
  jsc#SLE-13898).
- powercap/intel_rapl: add support for TigerLake Desktop
  (jsc#INTEL-549).
- powercap: Add Power Limit4 support (jsc#INTEL-549).
- powercap: intel_rapl: add support for Sapphire Rapids
  (jsc#SLE-13172 jsc#SLE-13371).
- powercap/intel_rapl: add support for ElkhartLake
  (jsc#SLE-12985).
- commit 9b0b8f2
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: wm8904: configure sysclk/FLL automatically
  (jsc#SLE-16518).
- ASoC: Intel: kbl_rt5663_rt5514_max98927: Add dmic format
  constraint (jsc#SLE-16518).
- ASoC: Add DA7213 audio codec as selectable option
  (jsc#SLE-16518).
- ASoC: rt5677: Wait for DSP to boot before loading firmware
  (jsc#SLE-16518).
- ASoC: rt5677: Set ADC clock to use PLL and enable ASRC
  (jsc#SLE-16518).
- ASoC: bdw-rt5677: Turn on MCLK1 for DSP via DAPM
  (jsc#SLE-16518).
- ASoC: rt5677: Allow VAD to be shut on/off at all times
  (jsc#SLE-16518).
- ASoC: rt5677: Disable irq at suspend (jsc#SLE-16518).
- ASoC: rt5677: Stop and restart DSP over suspend/resume
  (jsc#SLE-16518).
- ASoC: rt5677: Mark reg RT5677_PWR_ANLG2 as volatile
  (jsc#SLE-16518).
- ASoC: rt5677: Add DAPM audio path for hotword stream
  (jsc#SLE-16518).
- ASoC: rt5677: Enable jack detect while DSP is running
  (jsc#SLE-16518).
- ASoC: bdw-rt5677: Add a DAI link for rt5677 SPI PCM device
  (jsc#SLE-16518).
- ASoC: rt5677: Load firmware via SPI using delayed work
  (jsc#SLE-16518).
- ASoC: fsl_audmix: Add spin lock to protect tdms (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: set L1SEN on S0ix suspend
  (jsc#SLE-16518).
- ASoC: SOF: topology: fix missing NULL pointer check
  (jsc#SLE-16518).
- ASoC: core: Fix compile warning with CONFIG_DEBUG_FS=n
  (jsc#SLE-16518).
- ASoC: rsnd: fix DALIGN register for SSIU (jsc#SLE-16518).
- ASoC: Intel: bytcr_rt5640: Update quirk for Acer Switch 10
  SW5-012 2-in-1 (jsc#SLE-16518).
- ASoC: SOF: Intel: Fix build break (jsc#SLE-16518).
- ASoC: rt5682: fix the charge pump capacitor discharges
  (jsc#SLE-16518).
- ASoC: rt5645: Fixed typo for buddy jack support (jsc#SLE-16518).
- ASoC: wm8904: fix regcache handling (jsc#SLE-16518).
- ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Fix CFL and CML FW nocodec binary names
  (jsc#SLE-16518).
- ASoC: rt5682: cancel jack_detect_work if hs_jack is set to null
  (jsc#SLE-16518).
- ASoC: rt5645: Fixed buddy jack support (jsc#SLE-16518).
- ALSA: aloop: Fix dependency on timer API (jsc#SLE-16518).
- ALSA: aloop: Avoid unexpected timer event callback tasklets
  (jsc#SLE-16518).
- commit 93cd9d0
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: aloop: Remove redundant locking in timer open function
  (jsc#SLE-16518).
- ASoC: component: Add sync_stop PCM ops (jsc#SLE-16518).
- ASoC: pcm: Make ioctl ops optional (jsc#SLE-16518).
- ALSA: hda/hdmi - Clear codec->relaxed_resume flag at unbinding
  (jsc#SLE-16518).
- ALSA: hda - Disable audio component for legacy Nvidia HDMI
  codecs (jsc#SLE-16518).
- ALSA: cs4236: fix error return comparison of an unsigned integer
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix NULL dereference at parsing BADD
  (jsc#SLE-16518).
- ALSA: usb-audio: Fix Scarlett 6i6 Gen 2 port data
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
  (jsc#SLE-16518).
- ALSA: hda/realtek - Move some alc236 pintbls to fallback table
  (jsc#SLE-16518).
- ALSA: hda/realtek - Move some alc256 pintbls to fallback table
  (jsc#SLE-16518).
- ALSA: pcm: Add card sync_irq field (jsc#SLE-16518).
- ALSA: pcm: Add the support for sync-stop operation
  (jsc#SLE-16518).
- ALSA: pcm: Move PCM_RUNTIME_CHECK() macro into local header
  (jsc#SLE-16518).
- ALSA: pcm: Allow NULL ioctl ops (jsc#SLE-16518).
- ALSA: pcm: Introduce managed buffer allocation mode
  (jsc#SLE-16518).
- ALSA: aloop: Support runtime change of snd_timer via info
  interface (jsc#SLE-16518).
- ALSA: aloop: Support selection of snd_timer instead of jiffies
  (jsc#SLE-16518).
- ALSA: aloop: Move CABLE_VALID_BOTH to the top of file
  (jsc#SLE-16518).
- ALSA: aloop: Rename all jiffies timer specific functions
  (jsc#SLE-16518).
- ALSA: aloop: Use callback functions for timer specific
  implementations (jsc#SLE-16518).
- ALSA: aloop: Support return of error code for timer start and
  stop (jsc#SLE-16518).
- ALSA: aloop: Describe units of variables (jsc#SLE-16518).
- ALSA: hda - Add mute led support for HP ProBook 645 G4
  (jsc#SLE-16518).
- ALSA: hda - Add DP-MST support for NVIDIA codecs
  (jsc#SLE-16518).
- ALSA: hda - Add DP-MST support for non-acomp codecs
  (jsc#SLE-16518).
- ALSA: hda - Add DP-MST jack support (jsc#SLE-16518).
- ALSA: hda - Rename snd_hda_pin_sense to snd_hda_jack_pin_sense
  (jsc#SLE-16518).
- ALSA: hda - remove forced polling workaround for CFL and CNL
  (jsc#SLE-16518).
- ALSA: hda: hdmi - remove redundant code comments
  (jsc#SLE-16518).
- ALSA: hda: hdmi - fix port numbering for ICL and TGL platforms
  (jsc#SLE-16518).
- ALSA: usb-audio: Add skip_validation option (jsc#SLE-16518).
- ALSA: hda/hdmi - Clean up Intel platform-specific fixup checks
  (jsc#SLE-16518).
- ALSA: au88x0: Fix incorrect device pointer for preallocation
  (jsc#SLE-16518).
- ALSA: timer: Fix the breakage of slave link open
  (jsc#SLE-16518).
- ALSA: memalloc: Drop snd_dma_pci_data() macro (jsc#SLE-16518).
- ALSA: pcm: Unexport snd_pcm_sgbuf_ops_page (jsc#SLE-16518).
- ASoC: rt5677-spi: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ASoC: SOF: Drop superfluous snd_pcm_sgbuf_ops_page
  (jsc#SLE-16518).
- commit b7744c2
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: intel: Avoid non-standard macro usage (jsc#SLE-16518).
- ASoC: intel: Drop superfluous snd_pcm_sgbuf_ops_page
  (jsc#SLE-16518).
- ASoC: rt5514-spi: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ASoC: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: pcm: Yet another missing check of non-cached buffer type
  (jsc#SLE-16518).
- ALSA: timer: Fix possible race at assigning a timer instance
  (jsc#SLE-16518).
- ALSA: timer: Make snd_timer_close() returning void
  (jsc#SLE-16518).
- ALSA: timer: Unify master/slave linking code (jsc#SLE-16518).
- ASoC: soc-core: fixup dead-lock at
  snd_soc_unregister_component() (jsc#SLE-16518).
- ASoC: soc-core: fix RIP warning on card removal (jsc#SLE-16518).
- ASoC: soc.h: dobj is used only when SND_SOC_TOPOLOGY
  (jsc#SLE-16518).
- ASoC: soc-core: remove topology specific operation
  (jsc#SLE-16518).
- ASoC: soc-core: call snd_soc_register_dai() from
  snd_soc_register_dais() (jsc#SLE-16518).
- ASoC: soc-core: don't call snd_soc_dapm_new_dai_widgets()
  at snd_soc_register_dai() (jsc#SLE-16518).
- ASoC: soc-core: have legacy_dai_naming at snd_soc_register_dai()
  (jsc#SLE-16518).
- ASoC: soc-core: add snd_soc_unregister_dai() (jsc#SLE-16518).
- ASoC: soc-core: move snd_soc_unregister_dais() (jsc#SLE-16518).
- ASoC: soc-core: move snd_soc_register_dai() (jsc#SLE-16518).
- ASoC: soc-core: use snd_soc_lookup_component() at
  snd_soc_unregister_component() (jsc#SLE-16518).
- commit 79a3b28
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-core: remove snd_soc_component_add/del()
  (jsc#SLE-16518).
- ASoC: soc-core: add snd_soc_del_component_unlocked()
  (jsc#SLE-16518).
- ASoC: soc-core: tidyup snd_soc_lookup_component()
  (jsc#SLE-16518).
- ASoC: soc-core: move snd_soc_lookup_component() (jsc#SLE-16518).
- ASoC: soc-core: add soc_unbind_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: call soc_bind_dai_link() under
  snd_soc_add_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: remove duplicated soc_is_dai_link_bound()
  (jsc#SLE-16518).
- ASoC: soc-core: typo fix at soc_dai_link_sanity_check()
  (jsc#SLE-16518).
- ASoC: soc-core: tidyup soc_init_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: move soc_init_dai_link() (jsc#SLE-16518).
- commit f5a1e16
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: boards: fix configs for bxt-da7219-max98057a
  (jsc#SLE-16518).
- Update config files.
- commit 17e9bc9
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: imx: fix reverse CONFIG_SND_SOC_SOF_OF dependency
  (jsc#SLE-16518).
- commit 296dcdd
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: topology: set trigger order for FE DAI link
  (jsc#SLE-16518).
- ASoC: pcm: update FE/BE trigger order based on the command
  (jsc#SLE-16518).
- ASoC: Intel: boards: sof_rt5682: use dependency on SOF_HDA_LINK
  (jsc#SLE-16518).
- ASoC: Intel: boards: Geminilake is only supported by SOF
  (jsc#SLE-16518).
- ASoC: Intel: boards: remove select SND_HDA_DSP_LOADER
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: mark HDAudio codec support as deprecated
  (jsc#SLE-16518).
- ASoC: SOF: Intel: use def_tristate, avoid using select
  (jsc#SLE-16518).
- commit 43aacb2
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Kconfig: add EXPERT dependency for developer options,
  clarify help (jsc#SLE-16518).
- Update config files.
- commit ec1624d
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: Broadwell: clarify mutual exclusion with
  legacy driver (jsc#SLE-16518).
- Update config files.
- commit a96f786
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: Baytrail: clarify mutual exclusion with
  Atom/SST driver (jsc#SLE-16518).
- Update config files.
- commit 45d6b49
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: boards: Add CML m/c using RT1011 and RT5682
  (jsc#SLE-16518).
- Update config files.
- commit adab694
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: add mutual exclusion between SOF and legacy
  Baytrail driver (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Simplify the hda_dsp_wait_d0i3c_done()
  function (jsc#SLE-16518).
- ASoC: Intel: Add acpi match for rt1011 based m/c driver
  (jsc#SLE-16518).
- ASoC: ux500: Remove redundant variable "status" (jsc#SLE-16518).
- ASoC: rt1011: some minor changes to improve readability
  (jsc#SLE-16518).
- ASoC: rt1011: add the range check for temperature_calib from
  device property (jsc#SLE-16518).
- ASoC: rt1011: remove unnecessary tabs using spaces instead
  (jsc#SLE-16518).
- commit d69571c
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: add support for snd-hda-codec-hdmi
  (jsc#SLE-16518).
- Update config files.
- commit 773d794
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: rt1011: improve the rt1011_set_dai_fmt() function
  (jsc#SLE-16518).
- ASoC: rt1011: remove redundant code in kcontrol (jsc#SLE-16518).
- ASoC: rt5682: improve the sensitivity of push button
  (jsc#SLE-16518).
- ASoC: soc-core: remove unneeded snd_soc_tplg_component_remove()
  (jsc#SLE-16518).
- ASoC: rt5677-spi: fixup compile warning (jsc#SLE-16518).
- ASoC: Intel: bxt_rt298: common hdmi codec support
  (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: common hdmi codec support
  (jsc#SLE-16518).
- ASoC: Intel: glk_rt5682_max98357a: common hdmi codec support
  (jsc#SLE-16518).
- ASoC: Intel: bxt-da7219-max98357a: common hdmi codec support
  (jsc#SLE-16518).
- commit 695304b
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: skl-hda-dsp-generic: fix include guard name
  (jsc#SLE-16518).
- ASoC: Intel: skl-hda-dsp-generic: use snd-hda-codec-hdmi
  (jsc#SLE-16518).
- ASoC: hdac_hda: add support for HDMI/DP as a HDA codec
  (jsc#SLE-16518).
- ALSA: hda/hdmi - implement mst_no_extra_pcms flag
  (jsc#SLE-16518).
- ASoC: rockchip_max98090: Add HDMI jack support (jsc#SLE-16518).
- ASoC: rockchip_max98090: Optionally support HDMI use case
  (jsc#SLE-16518).
- ASoC: SOF - remove the dead code (skylake/kabylake)
  (jsc#SLE-16518).
- ASoC: intel - fix the card names (jsc#SLE-16518).
- ASoC: SOF: pci: Add prepare/complete PM callbacks
  (jsc#SLE-16518).
- ASoC: SOF: PM: Add support for DSP D0i3 state when entering S0ix
  (jsc#SLE-16518).
- ASoC: SOF: return -ENOTSUPP if D0I3 is not supported
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-dsp: implement suspend/resume for
  S0ix<->S0 transition (jsc#SLE-16518).
- ASoC: SOF: ignore suspend/resume for D0ix compatible streams
  (jsc#SLE-16518).
- ASoC: SOF: PM: implement prepare/complete callbacks
  (jsc#SLE-16518).
- ASoC: SOF: add a flag suspend_ignored for sof stream
  (jsc#SLE-16518).
- ASoC: SOF: add a flag to indicate the system suspend target
  (jsc#SLE-16518).
- ASoC: SOF: Intel: CNL: add support for sending compact IPC
  (jsc#SLE-16518).
- ASoC: SOF: PM: add helpers for setting D0 substate for ADSP
  (jsc#SLE-16518).
- ASoC: SOF: configure D0ix IPC flags in set_power_state
  (jsc#SLE-16518).
- ASoC: SOF: Intel: HDA: add cAVS specific compact IPC header file
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-ipc: Don't read mailbox for PM_GATE reply
  (jsc#SLE-16518).
- ASoC: SOF: ipc: introduce message for DSP power gating
  (jsc#SLE-16518).
- ASoC: SOF: PM: rename sof_send_pm_ipc to sof_send_pm_ctx_ipc
  (jsc#SLE-16518).
- ASoC: SOF: Intel: HDA: use macro for register polling retry
  count (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-dsp: align the comments for D0I3C update
  (jsc#SLE-16518).
- ASoC: SOF: topology: parse and store d0i3_compatible flag
  (jsc#SLE-16518).
- ASoC: SOF: token: add tokens for PCM compatible with D0i3
  substate (jsc#SLE-16518).
- ASoC: SOF: add flag to snd_sof_pcm_stream for D0i3 compatible
  stream (jsc#SLE-16518).
- ASoC: SOF: Intel: APL: add set_power_state() ops
  (jsc#SLE-16518).
- ASoC: SOF: Intel: CNL: add set_power_state() ops
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-dsp: Add helper for setting DSP D0ix
  substate (jsc#SLE-16518).
- ASoC: SOF: add set_power_state() to dsp_ops for power state
  update (jsc#SLE-16518).
- ASoC: SOF: reset default d0_substate at probe() and resume()
  (jsc#SLE-16518).
- ASoC: SOF: add a field to store the current D0 substate of DSP
  (jsc#SLE-16518).
- ASoC: rsnd: core.c: add WARN_ON() on
  rsnd_channel_normalization() (jsc#SLE-16518).
- ASoC: fsl_esai: Add spin lock to protect reset, stop and start
  (jsc#SLE-16518).
- ASoC: fsl_asrc: refine the setting of internal clock divider
  (jsc#SLE-16518).
- ASoC: eve: implement set_bias_level function for rt5514
  (jsc#SLE-16518).
- ASoC: sunxi: sun4i-codec: remove unneeded semicolon
  (jsc#SLE-16518).
- ASoC: fsl: fsl_dma: fix build failure (jsc#SLE-16518).
- ASoC: SOF: Intel: only support INFO_BATCH for legacy platforms
  (jsc#SLE-16518).
- ASoC: SOF: define INFO_ flags in dsp_ops (jsc#SLE-16518).
- ASoC: tegra: disable rx_fifo after disable stream
  (jsc#SLE-16518).
- ASoC: tegra: add a TDM configuration callback (jsc#SLE-16518).
- ASoC: pxa: poodle: Spelling s/enpoints/endpoints/,
  s/connetion/connection/ (jsc#SLE-16518).
- ASoC: Spelling s/configr/configur/ (jsc#SLE-16518).
- ASoC: soc-dpcm: tidyup for_each_dpcm_xx() macro (jsc#SLE-16518).
- ASoC: tegra: Allow 24bit and 32bit samples (jsc#SLE-16518).
- ASoC: rt5677-spi: fix sparse warnings (jsc#SLE-16518).
- ASoC: rt5677: Add missing null check for failed allocation of
  rt5677_dsp (jsc#SLE-16518).
- commit 766b44b
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: initial support to JasperLake (jsc#SLE-16518).
- Update config files.
- commit 7f5b676
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: rt5650: Add Kahlee platform specfic changes
  (jsc#SLE-16518).
- ASoC: kirkwood: fix IRQ error handling (jsc#SLE-16518).
- ASoC: Intel: common: add ACPI matching tables for JSL
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: add dev_err() traces for
  snd_sof_dsp_read_poll_timeout() (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-loader: improve error handling
  (jsc#SLE-16518).
- ASoC: mediatek: Check SND_SOC_CROS_EC_CODEC dependency
  (jsc#SLE-16518).
- ASoC: rsnd: add missing of_node_put() (jsc#SLE-16518).
- ASoC: rsnd: dma: set bus width to data width for monaural data
  (jsc#SLE-16518).
- ASoC: soc-core: add for_each_rtd_components() and replace
  (jsc#SLE-16518).
- commit 1cde028
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-core: snd_soc_unbind_card() cleanup (jsc#SLE-16518).
- ASoC: soc-core: remove for_each_rtdcom_safe() (jsc#SLE-16518).
- ASoC: soc-pcm: fixup dpcm_prune_paths() loop continue
  (jsc#SLE-16518).
- ASoC: rt5677: Add a PCM device for streaming hotword via SPI
  (jsc#SLE-16518).
- ASOC: adau7118: Change regulators id (jsc#SLE-16518).
- ASoC: mediatek: mt8183: support WoV (jsc#SLE-16518).
- ASoC: mediatek: mt6358: support WoV (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: Add earpiece (jsc#SLE-16518).
- ASoC: tlv320aic32x4: add a check for devm_clk_get
  (jsc#SLE-16518).
- ASoC: rt1011: fix spelling mistake "temperture" -> "temperature"
  (jsc#SLE-16518).
- ASoC: tas2562: Fix misuse of GENMASK macro (jsc#SLE-16518).
- ASoC: rt1011: Read and apply r0 and temperature device property
  (jsc#SLE-16518).
- ASoC: wm8958: use <asm/unaligned.h> to simplify code
  (jsc#SLE-16518).
- ASoC: rt1011: set tx/rx slots from tx/rx_mask in TDM case
  (jsc#SLE-16518).
- ASoC: pcm3168a: Fix serial mode dependent format support
  (jsc#SLE-16518).
- ASoC: audio-graph: fixup graph_dai_link_of_dpcm() comment
  (jsc#SLE-16518).
- ASoC: sof: include types.h at header.h (jsc#SLE-16518).
- ASoC: simple-card: fixup simple_dai_link_of_dpcm() comment
  (jsc#SLE-16518).
- ASoC: Intel: eve: Enable mclk and ssp sclk early
  (jsc#SLE-16518).
- ASoC: SOF: Fix randbuild error (jsc#SLE-16518).
- ASoC: SOF: topology: check errors when parsing LED tokens
  (jsc#SLE-16518).
- ASoC: SOF: topology: remove always-true redundant test
  (jsc#SLE-16518).
- ASoC: SOF: Intel: bdw: fix operator precedence warnings
  (jsc#SLE-16518).
- ASoC: SOF: Intel: byt: fix operator precedence warnings
  (jsc#SLE-16518).
- ASoC: fsl_mqs: Move static keyword to the front of declarations
  (jsc#SLE-16518).
- ASoC: adau7118: Fix Kconfig warning without CONFIG_I2C
  (jsc#SLE-16518).
- commit b3a38cf
* Fri Sep 25 2020 tiwai@suse.de
- Update patch reference for NFC security fix (CVE-2020-26088 bsc#1176990)
- commit 7eec5ca
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: tas2562: Introduce the TAS2562 amplifier (jsc#SLE-16518).
- Update config files.
- commit fa7602c
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: stm32: spdifrx: retry synchronization in sync state
  (jsc#SLE-16518).
- ASoC: SOF: imx: Read ESAI parameters and send them to DSP
  (jsc#SLE-16518).
- ASoC: SOF: acpi led support for switch controls (jsc#SLE-16518).
- ASoC: SOF: imx: Describe ESAI parameters to be sent to DSP
  (jsc#SLE-16518).
- ASoC: SOF: pci: add debug module param (jsc#SLE-16518).
- ASoC: SOF: acpi: add debug module param (jsc#SLE-16518).
- Revert "ASoC: SOF: Force polling mode on CFL and CNL"
  (jsc#SLE-16518).
- AsoC: SOF: refactor control load code (jsc#SLE-16518).
- ASoC: SOF: enable dual control for pga (jsc#SLE-16518).
- commit 2e3800d
* Fri Sep 25 2020 tiwai@suse.de
- ASOC: Add ADAU7118 8 Channel PDM-to-I2S/TDM Converter driver
  (jsc#SLE-16518).
- Update config files.
- commit 18bd6eb
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: enable sync_write in hdac_bus (jsc#SLE-16518).
- ASoC: simple_card_utils.h: Add missing include (jsc#SLE-16518).
- ASoC: jz4740: Remove unused match variable (jsc#SLE-16518).
- ASoC: soc-component: remove snd_pcm_ops from component driver
  (jsc#SLE-16518).
- ASoC: soc-utils: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: soc-generic-dmaengine-pcm: remove snd_pcm_ops
  (jsc#SLE-16518).
- ASoC: fsl: fsl_dma: don't use snd_soc_rtdcom_lookup()
  (jsc#SLE-16518).
- ASoC: fsl: fsl_asrc_dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: fsl: mpc5200_dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: fsl: fsl_dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: fsl: imx-pcm-fiq: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: bcm: cygnus-pcm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: rt5514-spi: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: dwc: dwc-pcm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: kirkwood: kirkwood-dma: remove snd_pcm_ops
  (jsc#SLE-16518).
- ASoC: mediatek: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: mediatek: mtk-btcvsd: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: meson: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: pxa: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: pxa: mmp-pcm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: qcom: q6asm-dai: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: qcom: q6routing: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: qcom: lpass-platform: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: samsung: idma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: sh: siu_pcm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: sh: dma-sh7760: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: sh: fsi: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: sh: rsnd: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: sof: pcm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: sprd: sprd-pcm-dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: stm: stm32_adfsdm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: txx9: txx9aclc: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: uniphier: aio-dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: xilinx: xlnx_formatter_pcm: remove snd_pcm_ops
  (jsc#SLE-16518).
- ASoC: xtensa: xtfpga-i2s: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: au1x: dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: au1x: dbdma2: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: atmel: atmel-pcm-pdc: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: amd: acp-pcm-dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: amd: acp3x-pcm-dma: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: intel: sst-baytrail-pcm: remove snd_pcm_ops
  (jsc#SLE-16518).
- ASoC: intel: sst-mfld-platform-pcm: remove snd_pcm_ops
  (jsc#SLE-16518).
- ASoC: intel: skl-pcm: remove snd_pcm_ops (jsc#SLE-16518).
- ASoC: intel: sst-haswell-pcm: remove snd_pcm_ops
  (jsc#SLE-16518).
- ASoC: soc-core: add snd_soc_pcm_lib_ioctl() (jsc#SLE-16518).
- ASoC: soc-core: add new pcm_construct/pcm_destruct
  (jsc#SLE-16518).
- ASoC: soc-core: merge snd_pcm_ops member to component driver
  (jsc#SLE-16518).
- ASoC: mt8183: fix audio playback slowly after playback during
  bootup (jsc#SLE-16518).
- ASoC: pcm3168a: Use fixup instead of constraint for channels
  and formats (jsc#SLE-16518).
- ASoC: SOF: support alternate list of machines (jsc#SLE-16518).
- ASoC: soc-acpi: add link_mask field (jsc#SLE-16518).
- ASoC: tas2770: Fix snd_soc_update_bits error handling
  (jsc#SLE-16518).
- ASoc: tas2770: Remove unused defines and variables
  (jsc#SLE-16518).
- ASoC: tas2770: Remove unneeded read of the TDM_CFG3 register
  (jsc#SLE-16518).
- ASoC: fsl_mqs: Fix error handling in probe (jsc#SLE-16518).
- ASoC: fsl_mqs: remove set but not used variable 'bclk'
  (jsc#SLE-16518).
- ASoc: tas2770: Fix build error without GPIOLIB (jsc#SLE-16518).
- ASoC: jz4740: Use of_device_get_match_data() (jsc#SLE-16518).
- ASoC: soc-ops: use snd_soc_card_get_kcontrol() at
  snd_soc_limit_volume() (jsc#SLE-16518).
- commit ffcf1f4
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-core: setup card->rtd_num at
  snd_soc_instantiate_card() (jsc#SLE-16518).
- ASoC: soc-core: use devm_xxx for component related resource
  (jsc#SLE-16518).
- ASoC: soc-core: add soc_setup_card_name() (jsc#SLE-16518).
- ASoC: soc-core: remove soc_remove_dai_links() (jsc#SLE-16518).
- ASoC: soc-core: use devm_kzalloc() for rtd (jsc#SLE-16518).
- tas2770: fix platform_no_drv_owner.cocci warnings
  (jsc#SLE-16518).
- commit 21213e6
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: samsung: Rename Arndale card driver (jsc#SLE-16518).
- ASoC: samsung: arndale: Add support for WM1811 CODEC
  (jsc#SLE-16518).
- ASoC: samsung: arndale: Simplify DAI link initialization
  (jsc#SLE-16518).
- ASoC: SOF: Intel: Add context data to any IPC timeout
  (jsc#SLE-16518).
- commit 05d6e48
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: fix reset of host_period_bytes
  (jsc#SLE-16518).
- ASoC: SOF: ipc: introduce no_stream_position in
  sof_ipc_stream_params struct (jsc#SLE-16518).
- ASoC: SOF: core: check for mandatory fw_ready op during SOF
  probe (jsc#SLE-16518).
- ASoC: SOF: ipc: retain DSP context after FW exception
  (jsc#SLE-16518).
- ASoC: SOF: trace: move to opt-in with Kconfig and module
  parameter (jsc#SLE-16518).
- ASoC: madera: Add support for using MCLK3 (jsc#SLE-16518).
- commit 3d489a7
* Fri Sep 25 2020 tiwai@suse.de
- tas2770: add tas2770 smart PA kernel driver (jsc#SLE-16518).
- Update config files.
- commit fec9ea8
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-pcm: Use different sequence for start/stop trigger
  (jsc#SLE-16518).
- ASoC: fsl_asrc: Fix error with S24_3LE format bitstream in i.MX8
  (jsc#SLE-16518).
- ASoC: pcm_dmaengine: Extract
  snd_dmaengine_pcm_refine_runtime_hwparams (jsc#SLE-16518).
- ASoC: fsl_asrc: update supported sample format (jsc#SLE-16518).
- ASoC: fsl_asrc: Use in(out)put_format instead of
  in(out)put_word_width (jsc#SLE-16518).
- ASoC: adau1761: Add ALC controls (jsc#SLE-16518).
- ASoC: adau1761: Add PGA Slew time control (jsc#SLE-16518).
- ASoC: core: Clarify usage of ignore_machine (jsc#SLE-16518).
- ASoC: stm32: sai: clean up indentation issue (jsc#SLE-16518).
- ASoC: wcd9335: clean up indentation issue (jsc#SLE-16518).
- ASoC: rt5663: clean up indentation issues (jsc#SLE-16518).
- ASoC: amd: acp3x: clean up indentation issue (jsc#SLE-16518).
- ASoC: soc-core: remove snd_soc_rtdcom_del_all() (jsc#SLE-16518).
- ASoC: soc-core: tidyup soc_new_pcm_runtime() alloc order
  (jsc#SLE-16518).
- ASoC: soc-core: merge soc_free_pcm_runtime() and soc_rtd_free()
  (jsc#SLE-16518).
- ASoC: soc-core: merge soc_new_pcm_runtime() and soc_rtd_init()
  (jsc#SLE-16518).
- ASoC: soc-core: create rtd->codec_dais first (jsc#SLE-16518).
- ASoC: soc-core: call list_del(&rtd->list) at
  soc_free_pcm_runtime() (jsc#SLE-16518).
- ASoC: soc-core: merge soc_add_pcm_runtime() into
  soc_new_pcm_runtime() (jsc#SLE-16518).
- ASoC: soc-core: move soc_free_pcm_runtime() (jsc#SLE-16518).
- ASoC: wm8994: Add support for MCLKn clock gating
  (jsc#SLE-16518).
- ASoC: wm8994: Add support for setting MCLK clock rate
  (jsc#SLE-16518).
- ASoC: soc-component.h: remove GPL explanation from header
  (jsc#SLE-16518).
- commit fd7b52e
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: xlnx: Use devm_platform_ioremap_resource() in
  xlnx_formatter_pcm_probe() (jsc#SLE-16518).
- ASoC: Intel: cht_bsw_rt5645: Add quirk for boards using
  pmc_plt_clk_0 (jsc#SLE-16518).
- ASoC: fsl_mqs: Add MQS component driver (jsc#SLE-16518).
- ALSA: timer: Limit max amount of slave instances
  (jsc#SLE-16518).
- ALSA: pci: Avoid non-standard macro usage (jsc#SLE-16518).
- ALSA: rme: Avoid non-standard macro usage (jsc#SLE-16518).
- ALSA: es1968: Avoid non-standard macro usage (jsc#SLE-16518).
- ALSA: echoaudio: Avoid non-standard macro usage (jsc#SLE-16518).
- ALSA: aoa: Avoid non-standard macro usage (jsc#SLE-16518).
- ALSA: pci: Drop superfluous snd_pcm_sgbuf_ops_page
  (jsc#SLE-16518).
- ALSA: mips: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: pdaudiocf: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: vx: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: ua101: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: hiface: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: caiaq: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: 6fire: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: firewire: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: aloop: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: usb-audio: Convert to the common vmalloc memalloc
  (jsc#SLE-16518).
- ALSA: 6fire: Drop the dead code (jsc#SLE-16518).
- ALSA: usb: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: sparc: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: sh: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: rme32: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: mips: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: drivers: Remove superfluous snd_dma_continuous_data()
  (jsc#SLE-16518).
- ALSA: pcm: Create proc files only for non-empty preallocations
  (jsc#SLE-16518).
- ALSA: pcm: Warn if doubly preallocated (jsc#SLE-16518).
- ALSA: pcm: Handle special page mapping in the default mmap
  handler (jsc#SLE-16518).
- ALSA: memalloc: Add vmalloc buffer allocation support
  (jsc#SLE-16518).
- ALSA: memalloc: Allow NULL device for SNDRV_DMA_TYPE_CONTINUOUS
  type (jsc#SLE-16518).
- ALSA: hda: Disable regmap internal locking (jsc#SLE-16518).
- ALSA: pcm: Fix missing check of the new non-cached buffer type
  (jsc#SLE-16518).
- ALSA: bebob: link the order of establishing connections and
  Syt-match clock mode (jsc#SLE-16518).
- ALSA: bebob: expand delay of start for IR context just for
  version 3 firmware (jsc#SLE-16518).
- ALSA: bebob: expand sleep just after breaking connections for
  protocol version 1 (jsc#SLE-16518).
- ALSA: firewire-motu: Correct a typo in the clock proc string
  (jsc#SLE-16518).
- ALSA: firewire-motu: add support for MOTU UltraLite
  (jsc#SLE-16518).
- ALSA: firewire-motu: code refactoring to handle model specific
  switch for protocol v2 (jsc#SLE-16518).
- ALSA: firewire-motu: minor code refactoring for protocol
  version 2 (jsc#SLE-16518).
- ALSA: firewire-motu: detect SPH source of sampling clock
  (jsc#SLE-16518).
- ALSA: firewire-motu: print for unknown source of sampling clock
  (jsc#SLE-16518).
- ALSA: firewire-motu: fix wrong spelling for macro
  (jsc#SLE-16518).
- ALSA: usb-audio: sound: usb: usb true/false for bool return type
  (jsc#SLE-16518).
- ALSA: hda: Allow non-Intel device probe gracefully
  (jsc#SLE-16518).
- ALSA: hda - Fix pending unsol events at shutdown
  (jsc#SLE-16518).
- ALSA: intel_hdmi: Remove dev_err() on platform_get_irq()
  failure (jsc#SLE-16518).
- ALSA: hda: fix intel DSP config (jsc#SLE-16518).
- commit 2b26eed
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: hda: add Intel DSP configuration / probe code
  (jsc#SLE-16518).
- Update config files.
- commit 155aaef
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: hda: Allow HDA to be runtime suspended when dGPU is not
  bound to a driver (jsc#SLE-16518).
- ALSA: firewire-lib: postpone to start IR context
  (jsc#SLE-16518).
- ALSA: firewire-lib: handle several AMDTP streams in callback
  handler of IRQ target (jsc#SLE-16518).
- ALSA: firewire-lib: cancel flushing isoc context in the laste
  step to process context callback (jsc#SLE-16518).
- ALSA: firewire-lib: replace ack callback to flush isoc contexts
  in AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-lib: replace pointer callback to flush isoc
  contexts in AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-lib: add irq_target member into amdtp_domain
  struct (jsc#SLE-16518).
- ALSA: firewire-lib: tune the minimum available size of PCM
  period (jsc#SLE-16518).
- ALSA: firewire-lib: tune the maximum available size of PCM
  period (jsc#SLE-16518).
- ALSA: firewire-lib: schedule hardware IRQ according to the
  size of PCM period (jsc#SLE-16518).
- ALSA: fireface: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: firewire-motu: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: firewire-tascam: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: firewire-digi00x: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: dice: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: oxfw: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: fireworks: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: bebob: share PCM buffer size for both direction
  (jsc#SLE-16518).
- ALSA: firewire-lib: use variable size of queue for isoc packets
  instead of fixed size (jsc#SLE-16518).
- ALSA: fireface: use the same size of period for PCM substreams
  in AMDTP streams (jsc#SLE-16518).
- ALSA: firewire-motu: use the same size of period for PCM
  substream in AMDTP streams (jsc#SLE-16518).
- ALSA: firewire-tascam: use the same size of period for PCM
  substream in AMDTP streams (jsc#SLE-16518).
- ALSA: firewire-digi00x: use the same size of period for PCM
  substream in AMDTP streams (jsc#SLE-16518).
- ALSA: dice: use the same size of period for PCM substream in
  AMDTP streams (jsc#SLE-16518).
- ALSA: oxfw: use the same size of period for PCM substream in
  AMDTP streams (jsc#SLE-16518).
- ALSA: fireworks: use the same size of period for PCM substream
  in AMDTP streams (jsc#SLE-16518).
- ALSA: bebob: use the same size of period for PCM substream in
  AMDTP streams (jsc#SLE-16518).
- ALSA: fireface: register the size of PCM period to AMDTP domain
  (jsc#SLE-16518).
- ALSA: firewire-motu: register the size of PCM period to AMDTP
  domain (jsc#SLE-16518).
- ALSA: firewire-tascam: register the size of PCM period to
  AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-digi00x: register the size of PCM period to
  AMDTP domain (jsc#SLE-16518).
- ALSA: dice: register the size of PCM period to AMDTP domain
  (jsc#SLE-16518).
- ALSA: oxfw: register the size of PCM period to AMDTP domain
  (jsc#SLE-16518).
- ALSA: fireworks: register the size of PCM period to AMDTP domain
  (jsc#SLE-16518).
- ALSA: bebob: register the size of PCM period to AMDTP domain
  (jsc#SLE-16518).
- ALSA: firewire-lib: add a member into AMDTP domain for events
  per period (jsc#SLE-16518).
- sound: Fix Kconfig indentation (jsc#SLE-16518).
- ASoC: samsung: Use pr_warn instead of pr_warning
  (jsc#SLE-16518).
- commit cf6bec5
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: usb-audio: Fix incorrect size check for
  processing/extension units (jsc#SLE-16518).
- ALSA: usb-audio: Fix incorrect NULL check in
  create_yamaha_midi_quirk() (jsc#SLE-16518).
- ALSA: pcm: Fix stream lock usage in snd_pcm_period_elapsed()
  (jsc#SLE-16518).
- ALSA: usb-audio: not submit urb for stopped endpoint
  (jsc#SLE-16518).
- ALSA: hda: hdmi - fix pin setup on Tigerlake (jsc#SLE-16518).
- ALSA: hda: Add Cometlake-S PCI ID (jsc#SLE-16518).
- ALSA: usb-audio: Fix missing error check at mixer resolution
  test (jsc#SLE-16518).
- ASoC: SOF: topology: Fix bytes control size checks
  (jsc#SLE-16518).
- ASoC: max98373: replace gpio_request with devm_gpio_request
  (jsc#SLE-16518).
- ASoC: stm32: sai: add restriction on mmap support
  (jsc#SLE-16518).
- ASoC: hdac_hda: fix race in device removal (jsc#SLE-16518).
- ASoC: rockchip: rockchip_max98090: Enable SHDN to fix headset
  detection (jsc#SLE-16518).
- ASoC: ti: sdma-pcm: Add back the flags parameter for non
  standard dma names (jsc#SLE-16518).
- ASoC: SOF: ipc: Fix memory leak in sof_set_get_large_ctrl_data
  (jsc#SLE-16518).
- ASoC: SOF: Fix memory leak in sof_dfsentry_write
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda-stream: fix the CONFIG_ prefix missing
  (jsc#SLE-16518).
- ASoC: kirkwood: fix device remove ordering (jsc#SLE-16518).
- ASoC: rsnd: dma: fix SSI9 4/5/6/7 busif dma address
  (jsc#SLE-16518).
- ASoC: hdmi-codec: drop mutex locking again (jsc#SLE-16518).
- ASoC: kirkwood: fix external clock probe defer (jsc#SLE-16518).
- ASoC: compress: fix unsigned integer overflow check
  (jsc#SLE-16518).
- ASoC: msm8916-wcd-analog: Fix RX1 selection in RDAC2 MUX
  (jsc#SLE-16518).
- ALSA: timer: Fix incorrectly assigned timer instance
  (jsc#SLE-16518).
- ALSA: hda: hdmi - add Tigerlake support (jsc#SLE-16518).
- ALSA: hda/ca0132 - Fix possible workqueue stall (jsc#SLE-16518).
- ALSA: bebob: fix to detect configured source of sampling clock
  for Focusrite Saffire Pro i/o series (jsc#SLE-16518).
- ALSA: timer: Fix mutex deadlock at releasing card
  (jsc#SLE-16518).
- ALSA: hda - Fix mutex deadlock in HDMI codec driver
  (jsc#SLE-16518).
- Revert "ALSA: hda: Flush interrupts on disabling"
  (jsc#SLE-16518).
- ALSA: bebob: Fix prototype of helper function to return negative
  value (jsc#SLE-16518).
- ALSA: hda/realtek - Fix 2 front mics of codec 0x623
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add support for ALC623 (jsc#SLE-16518).
- ALSA: usb-audio: Add DSD support for Gustard U16/X26 USB
  Interface (jsc#SLE-16518).
- ALSA: hda: Add Tigerlake/Jasperlake PCI ID (jsc#SLE-16518).
- ALSA: usb-audio: Fix copy&paste error in the validator
  (jsc#SLE-16518).
- ASoC: SOF: control: return true when kcontrol values change
  (jsc#SLE-16518).
- ASoC: stm32: sai: fix sysclk management on shutdown
  (jsc#SLE-16518).
- ASoC: Intel: sof-rt5682: add a check for devm_clk_get
  (jsc#SLE-16518).
- ASoC: rsnd: Reinitialize bit clock inversion flag for every
  format setting (jsc#SLE-16518).
- ASoC: simple_card_utils.h: Fix potential multiple redefinition
  error (jsc#SLE-16518).
- ASoC: msm8916-wcd-digital: add missing MIX2 path for RX1/2
  (jsc#SLE-16518).
- ASoC: core: Fix pcm code debugfs error (jsc#SLE-16518).
- ASoc: rockchip: i2s: Fix RPM imbalance (jsc#SLE-16518).
- ASoC: wm_adsp: Don't generate kcontrols without READ flags
  (jsc#SLE-16518).
- commit c4cd4f1
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: Disable DMI L1 entry during capture
  (jsc#SLE-16518).
- Update config files.
- commit 577a760
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: intel: bytcr_rt5651: add null check to
  support_button_press (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: add remove function to disable jack
  (jsc#SLE-16518).
- ASoC: rt5682: add NULL handler to set_jack function
  (jsc#SLE-16518).
- ASoC: intel: sof_rt5682: use separate route map for dmic
  (jsc#SLE-16518).
- ASoC: SOF: Intel: initialise and verify FW crash dump data
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fix warnings during FW load
  (jsc#SLE-16518).
- ASoC: SOF: pcm: harden PCM STOP sequence (jsc#SLE-16518).
- ASoC: SOF: pcm: fix resource leak in hw_free (jsc#SLE-16518).
- ASoC: SOF: topology: fix parse fail issue for byte/bool tuple
  types (jsc#SLE-16518).
- ASoC: SOF: loader: fix kernel oops on firmware boot failure
  (jsc#SLE-16518).
- ASoC: wm_adsp: Fix theoretical NULL pointer for alg_region
  (jsc#SLE-16518).
- ASoC: max98373: check for device node before parsing
  (jsc#SLE-16518).
- ASoC: topology: Fix a signedness bug in
  soc_tplg_dapm_widget_create() (jsc#SLE-16518).
- ASoC: soc-component: fix a couple missing error assignments
  (jsc#SLE-16518).
- ASoC: wm8994: Do not register inapplicable controls for WM1811
  (jsc#SLE-16518).
- ASoC: samsung: arndale: Add missing OF node dereferencing
  (jsc#SLE-16518).
- ALSA: hda/realtek - Add support for ALC711 (jsc#SLE-16518).
- ALSA: hda - Force runtime PM on Nvidia HDMI codecs
  (jsc#SLE-16518).
- ALSA: hda/realtek - Enable headset mic on Asus MJ401TA
  (jsc#SLE-16518).
- ALSA: usb-audio: Disable quirks for BOSS Katana amplifiers
  (jsc#SLE-16518).
- ALSA: hdac: clear link output stream mapping (jsc#SLE-16518).
- ALSA: hda/realtek: Reduce the Headphone static noise on XPS
  9350/9360 (jsc#SLE-16518).
- ALSA: usb-audio: Add DSD support for EVGA NU Audio
  (jsc#SLE-16518).
- ASoC: ti: fix SND_SOC_DM365_VOICE_CODEC dependencies
  (jsc#SLE-16518).
- ASoC: pcm3168a: The codec does not support S32_LE
  (jsc#SLE-16518).
- ASoC: core: use list_del_init and move it back to
  soc_cleanup_component (jsc#SLE-16518).
- ASoC: rsnd: do error check after rsnd_channel_normalization()
  (jsc#SLE-16518).
- ASoC: atmel_ssc_dai: Remove wrong spinlock usage
  (jsc#SLE-16518).
- ASoC: core: delete component->card_list in soc_remove_component
  only (jsc#SLE-16518).
- ASoC: fsl_sai: Fix noise when using EDMA (jsc#SLE-16518).
- ALSA: hda - Add laptop imic fixup for ASUS M9V laptop
  (jsc#SLE-16518).
- ALSA: hda/realtek - PCI quirk for Medion E4254 (jsc#SLE-16518).
- ALSA: hda - Apply AMD controller workaround for Raven platform
  (jsc#SLE-16518).
- ALSA: usb-audio: Add Hiby device family to quirks for native
  DSD support (jsc#SLE-16518).
- ALSA: hda/realtek - Fix alienware headset mic (jsc#SLE-16518).
- ALSA: dice: fix wrong packet parameter for Alesis iO26
  (jsc#SLE-16518).
- ASoC: jz4740: Drop lb60 board code (jsc#SLE-16518).
- ALSA: pcm: use dma_can_mmap() to check if a device supports
  dma_mmap_* (jsc#SLE-16518).
- ASoC: sdm845: remove unneeded semicolon (jsc#SLE-16518).
- ASoC: fsl_sai: Implement set_bclk_ratio (jsc#SLE-16518).
- ASoC: wcd9335: remove redundant use of ret variable
  (jsc#SLE-16518).
- ASoC: dmaengine: Replace strncpy() with strscpy_pad() for
  pcm->name (jsc#SLE-16518).
- ASoC: hdmi-codec: Add an op to set callback function for plug
  event (jsc#SLE-16518).
- ASoC: rt5677: keep analog power register at SND_SOC_BIAS_OFF
  (jsc#SLE-16518).
- ASoC: rt5677: Remove magic number register writes
  (jsc#SLE-16518).
- ASoC: soc-core: self contained soc_unbind_aux_dev()
  (jsc#SLE-16518).
- ASoC: soc-core: add soc_unbind_aux_dev() (jsc#SLE-16518).
- commit 8433b27
* Fri Sep 25 2020 msuchanek@suse.de
- powerpc/64s: remove unnecessary translation cache flushes at
  boot (jsc#SLE-13512 bsc#1176916 ltc#186249).
- commit 43a7a4e
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5e: Introduce kconfig var for TC support (jsc#SLE-15172).
- Update config files.
- commit 5ce8627
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: qos: introduce a gate control flow action (bsc#1176447).
- Update config files.
- supported.conf: added net/sched/act_gate
- commit e2c4efd
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-core: self contained soc_bind_aux_dev()
  (jsc#SLE-16518).
- ASoC: soc-core: move soc_probe_link_dais() next to
  soc_remove_link_dais() (jsc#SLE-16518).
- ASoC: soc-core: self contained soc_probe_link_dais()
  (jsc#SLE-16518).
- ASoC: soc-core: add new soc_link_init() (jsc#SLE-16518).
- ASoC: soc-core: move soc_probe_dai() next to soc_remove_dai()
  (jsc#SLE-16518).
- ASoC: soc-core: self contained soc_remove_link_dais()
  (jsc#SLE-16518).
- ASoC: soc-core: self contained soc_remove_link_components()
  (jsc#SLE-16518).
- ASoC: soc-core: self contained soc_probe_link_components()
  (jsc#SLE-16518).
- ASoC: rt1308: make array pd static const, makes object smaller
  (jsc#SLE-16518).
- ASoC: rt1305: make array pd static const, makes object smaller
  (jsc#SLE-16518).
- ASoC: rt1011: make array pd static const, makes object smaller
  (jsc#SLE-16518).
- SoC: simple-card-utils: set 0Hz to sysclk when shutdown
  (jsc#SLE-16518).
- ASoC: rockchip: ignore 0Hz sysclk (jsc#SLE-16518).
- ASoC: codecs: ad193x: make two arrays static const, makes
  object smaller (jsc#SLE-16518).
- ASoC: es8316: support fixed and variable both clock rates
  (jsc#SLE-16518).
- ASoC: es8316: fix redundant codes of clock (jsc#SLE-16518).
- ASoC: SOF: imx8: Fix COMPILE_TEST error (jsc#SLE-16518).
- ASoC: meson: tdmout: add sm1 support (jsc#SLE-16518).
- ASoC: meson: axg-toddr: add sm1 support (jsc#SLE-16518).
- ASoC: meson: axg-frddr: add sm1 support (jsc#SLE-16518).
- ASoC: meson: tdmin: expose all 16 inputs (jsc#SLE-16518).
- ASoC: meson: axg-toddr: expose all 8 inputs (jsc#SLE-16518).
- ASoC: meson: axg-frddr: expose all 8 outputs (jsc#SLE-16518).
- ASoC: qcom: common: Include link-name in error messages
  (jsc#SLE-16518).
- ASoC: soc-core: add comment to jack at soc_remove_component()
  (jsc#SLE-16518).
- ASoC: tegra: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: sirf-audio: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: ep93xx: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: amd: use devm_platform_ioremap_resource() to simplify code
  (jsc#SLE-16518).
- ASoC: es8316: add clock control of MCLK (jsc#SLE-16518).
- ASoC: audio-graph: indicate rebind issue (jsc#SLE-16518).
- ASoC: simple-card: indicate rebind issue (jsc#SLE-16518).
- ASoC: soc-core: move soc_probe_link_components() position
  (jsc#SLE-16518).
- ASoC: soc-core: add snd_soc_dapm_init() (jsc#SLE-16518).
- ASoC: soc-core: dapm related setup at one place (jsc#SLE-16518).
- ASoC: soc-core: move soc_probe_component() position
  (jsc#SLE-16518).
- ASoC: soc-core: add soc_rtd_free() (jsc#SLE-16518).
- ASoC: mediatek: mt8183: fix space issues (jsc#SLE-16518).
- ASoC: mediatek: mt8183: remove forward declaration of
  headset_init (jsc#SLE-16518).
- ASoC: mediatek: mt8183: move headset jack to card-specific
  storage (jsc#SLE-16518).
- ASoC: mediatek: mt8183: move private structure (jsc#SLE-16518).
- ASoC: SOF/Intel: fix selection of SND_INTEL_NHTL
  (jsc#SLE-16518).
- ASoC: Intel: broadwell: Simplify device probe (jsc#SLE-16518).
- ASoC: Intel: bdw-rt5677: Simplify device probe (jsc#SLE-16518).
- ASoC: Intel: haswell: Simplify device probe (jsc#SLE-16518).
- ASoC: Intel: Haswell: Adjust machine device private context
  (jsc#SLE-16518).
- ASoC: ti: davinci-evm: Do not fail if the dai_set_sysclk
  returns -ENOTSUPP (jsc#SLE-16518).
- ASoC: ti: edma-pcm: Fix for legacy dma_slave_map based channel
  lookup (jsc#SLE-16518).
- ASoC: ti: davinci-i2s: Add S32_LE as support format
  (jsc#SLE-16518).
- ASoC: wcd9335: Fix primary interpolator max rate
  (jsc#SLE-16518).
- commit 1cf9d9b
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: pcm: add support for 352.8KHz and 384KHz sample rate
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: fix tdm out data is valid on rising edge
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: tdm hw support tdm out and 8ch i2s out
  (jsc#SLE-16518).
- ASoC: atmel_ssc_dai: implement left-justified data mode
  (jsc#SLE-16518).
- ASoC: atmel_ssc_dai: rework DAI format configuration
  (jsc#SLE-16518).
- ASoC: atmel: enable SOC_SSC_PDC and SOC_SSC_DMA in Kconfig
  (jsc#SLE-16518).
- ASoC: cs42xx8: Force suspend/resume during system suspend/resume
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Release topology when we are done with it
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Print module type instead of id
  (jsc#SLE-16518).
- ASoC: SOF: imx8: Fix an is IS_ERR() vs NULL check
  (jsc#SLE-16518).
- ASoC: sun4i: Revert A83t description (jsc#SLE-16518).
- ASoC: SOF: imx8: Fix return value check in imx8_probe()
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: remove unused DAPM-related variables
  (jsc#SLE-16518).
- ASoC: sunxi: Revert initial A83t support (jsc#SLE-16518).
- ASoC: imx-audmix: register the card on a proper dev
  (jsc#SLE-16518).
- ASoC: SOF: imx8: Make some functions static (jsc#SLE-16518).
- ASoC: soc-core: rename soc_post_component_init() to
  soc_rtd_init() (jsc#SLE-16518).
- ASoC: soc-core: initialize list at one place (jsc#SLE-16518).
- ASoC: SOF: topology: fix get control data return type and
  arguments (jsc#SLE-16518).
- ASoC: soc-core: initialize component list (jsc#SLE-16518).
- commit 987bba9
* Fri Sep 25 2020 tiwai@suse.de
- soundwire: add debugfs support (jsc#SLE-16518).
- commit 69d2239
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5e: CT: Introduce connection tracking (jsc#SLE-15172).
- Update config files.
- commit 5df5a19
* Fri Sep 25 2020 tiwai@suse.de
- soundwire: slave: fix scanf format (jsc#SLE-16518).
- soundwire: depend on ACPI || OF (jsc#SLE-16518).
- soundwire: stream: make stream name a const pointer
  (jsc#SLE-16518).
- soundwire: Add compute_params callback (jsc#SLE-16518).
- soundwire: core: add device tree support for slave devices
  (jsc#SLE-16518).
- soundwire: intel: handle disabled links (jsc#SLE-16518).
- soundwire: intel: add debugfs register dump (jsc#SLE-16518).
- soundwire: cadence_master: add debugfs register dump
  (jsc#SLE-16518).
- soundwire: intel: remove unused variables (jsc#SLE-16518).
- soundwire: intel: move shutdown() callback and don't export
  symbol (jsc#SLE-16518).
- soundwire: cadence_master: add kernel parameter to override
  interrupt mask (jsc#SLE-16518).
- soundwire: intel_init: add kernel module parameter to filter
  out links (jsc#SLE-16518).
- soundwire: cadence_master: fix divider setting in clock register
  (jsc#SLE-16518).
- soundwire: cadence_master: make use of mclk_freq property
  (jsc#SLE-16518).
- soundwire: intel: read mclk_freq property from firmware
  (jsc#SLE-16518).
- soundwire: add new mclk_freq field for properties
  (jsc#SLE-16518).
- soundwire: stream: remove unnecessary variable initializations
  (jsc#SLE-16518).
- soundwire: stream: fix disable sequence (jsc#SLE-16518).
- soundwire: include mod_devicetable.h to avoid compiling warnings
  (jsc#SLE-16518).
- soundwire: cadence_master: use firmware defaults for frame shape
  (jsc#SLE-16518).
- soundwire: export helpers to find row and column values
  (jsc#SLE-16518).
- soundwire: bus: improve dynamic debug comments for enumeration
  (jsc#SLE-16518).
- soundwire: cadence_master: revisit interrupt settings
  (jsc#SLE-16518).
- soundwire: intel: prevent possible dereference in hw_params
  (jsc#SLE-16518).
- soundwire: bus: split handling of Device0 events
  (jsc#SLE-16518).
- soundwire: cadence_master: simplify bus clash interrupt clear
  (jsc#SLE-16518).
- soundwire: intel: remove BIOS work-arounds (jsc#SLE-16518).
- soundwire: mipi_disco: Switch to use fwnode_property_count_uXX()
  (jsc#SLE-16518).
- commit d0bf0e7
* Fri Sep 25 2020 tiwai@suse.de
- blacklist.conf: remove soundwire entry to be backported
- commit a80dcc8
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: UDP tunnel encapsulation module for tunnelling different
  protocols like MPLS, IP, NSH etc (jsc#SLE-15172).
- Update config files.
- supported.conf: added drivers/net/bareudp
- commit a45a4f9
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: mchp-i2s-mcc: Fix simultaneous capture and playback in
  master mode (jsc#SLE-16518).
- commit 91c0170
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: sched: add Flow Queue PIE packet scheduler (jsc#SLE-15172).
- Update config files.
- supported.conf: added sch_fq_pie
- commit 346780e
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-topology: use for_each_component_dais() at
  remove_dai() (jsc#SLE-16518).
- ASoC: soc-dai: use bit field for bus_control (jsc#SLE-16518).
- ASoC: soc-core: soc_cleanup_card_resources() become void
  (jsc#SLE-16518).
- ASoC: soc-core: add NOTE to snd_soc_rtdcom_lookup()
  (jsc#SLE-16518).
- ASoC: soc-core: use device_register() (jsc#SLE-16518).
- ASoC: mediatek: mt8183: switch tdm pins gpio function when
  playback on or off (jsc#SLE-16518).
- ASoC: mediatek: mt2701: Fix -Wunused-const-variable warnings
  (jsc#SLE-16518).
- ASoC: wm8988: fix typo in wm8988_right_line_controls
  (jsc#SLE-16518).
- ASoC: SOF: imx: Add i.MX8 HW support (jsc#SLE-16518).
- ASoC: SOF: Add OF DSP device support (jsc#SLE-16518).
- ASoC: sun4i-i2s: Add support for DSP formats (jsc#SLE-16518).
- ASoC: sun4i-i2s: Replace call to params_width by local variable
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Use the actual format width instead of an
  hardcoded one (jsc#SLE-16518).
- ASoC: sun4i-i2s: Use the physical / slot width for the clocks
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Add support for TDM slots (jsc#SLE-16518).
- ASoC: soc-core: remove unneeded dai_link check from
  snd_soc_remove_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: merge snd_soc_initialize_card_lists()
  (jsc#SLE-16518).
- ASoC: fsl_sai: Add support for imx8qm (jsc#SLE-16518).
- ASoC: sun4i-i2s: Support more channels (jsc#SLE-16518).
- ASoC: sun4i-i2s: Pass the channels number as an argument
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Remove duplicated quirks structure
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Fix the LRCK period on A83t (jsc#SLE-16518).
- ASoC: sun4i-i2s: Fix MCLK Enable bit offset on A83t
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Fix WSS and SR fields for the A83t
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Fix the LRCK polarity (jsc#SLE-16518).
- ASoC: sun4i-i2s: Fix LRCK and BCLK polarity offsets on newer
  SoCs (jsc#SLE-16518).
- ASoC: sun4i-i2s: RX and TX counter registers are swapped
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Fix the MCLK and BCLK dividers on newer SoCs
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Use module clock as BCLK parent on newer SoCs
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Move the format configuration to a callback
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Move the channel configuration to a callback
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Rework MCLK divider calculation
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Replace call to params_channels by local
  variable (jsc#SLE-16518).
- ASoC: sun4i-i2s: Don't use the oversample to calculate BCLK
  (jsc#SLE-16518).
- ASoC: sun4i-i2s: Switch to devm for PCM register
  (jsc#SLE-16518).
- ASoC: SOF: pcm: add ALH support (jsc#SLE-16518).
- ASoC: SOF: topology: initial support for Intel ALH DAI type
  (jsc#SLE-16518).
- ASoC: SOF: rename SOUNDWIRE to ALH (jsc#SLE-16518).
- ASoC: SOF: topology: Add dummy support for i.MX8 DAIs
  (jsc#SLE-16518).
- commit c18e070
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: sch_ets: Add a new Qdisc (bsc#1176774).
- Update config files.
- supported.conf: added net/sch_ets
- commit fe91ed8
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: initial support for Elkhart Lake
  (jsc#SLE-16518).
- Update config files.
- commit fe8f01e
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: common: add ACPI matching tables for EHL
  (jsc#SLE-16518).
- ASoC: SOF: Intel: initial support for Tiger Lake
  (jsc#SLE-16518).
- ASoC: Intel: common: add ACPI matching tables for Tiger Lake
  (jsc#SLE-16518).
- ASoC: SOF: ipc: add ALH parameters (jsc#SLE-16518).
- commit 294ec6d
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: boards: Add Cometlake machine driver support
  (jsc#SLE-16518).
- Update config files.
- Refresh
  patches.suse/asoc-intel-convert-to-new-x86-cpu-match-macros.patch.
- commit 7ad7a67
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: openvswitch: Set OvS recirc_id from tc chain index
  (jsc#SLE-15172).
- Update config files.
- commit 4bb3ca6
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: phy: adin: add support for Analog Devices PHYs
  (bsc#1176447).
- Update config files.
- commit 0ad321e
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: core: Move pcm_mutex up to card level from
  snd_soc_pcm_runtime (jsc#SLE-16518).
- ASoC: 88pm860x: remove unused variables 'pcm_switch_controls'
  and 'aif1_mux' (jsc#SLE-16518).
- ASoC: cs42l56: remove unused variable 'adc_swap_enum'
  (jsc#SLE-16518).
- ASoC: es8328: remove unused variable 'pga_tlv' (jsc#SLE-16518).
- ASoC: tlv320aic31xx: remove unused variable 'cm_m_enum'
  (jsc#SLE-16518).
- ASoC: tlv320aic23: remove unused variable 'tlv320aic23_rec_src'
  (jsc#SLE-16518).
- ASoC: rt1011: remove unused variable 'dac_vol_tlv' and
  'adc_vol_tlv' (jsc#SLE-16518).
- ASoC: max98371: remove unused variable
  'max98371_noload_gain_tlv' (jsc#SLE-16518).
- ASoC: cs42l73: remove unused variables 'vsp_output_mux' and
  'xsp_output_mux' (jsc#SLE-16518).
- ASoC: Intel: Skylake: Print constant literals from format
  specifier (jsc#SLE-16518).
- ASoC: mediatek: mt6358: add delay after dmic clock on
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-mt6358-ts3a227-max98357: remove unused
  variables (jsc#SLE-16518).
- ASoC: mediatek: mt8183-da7219-max98357: remove unused variable
  (jsc#SLE-16518).
- ASoC: mt2701: remove unused variables (jsc#SLE-16518).
- ASoC: soc-core: Fix -Wunused-const-variable warning
  (jsc#SLE-16518).
- ASoC: Intel: hsw: remove i386 build warning w/ size_t argument
  (jsc#SLE-16518).
- ASoC: ti: Fix typos in ti/Kconfig (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fixup HDaudio topology name with DMIC
  number (jsc#SLE-16518).
- ASoC: pcm3168a: Allow reconfiguration of tdm_slots and
  slot_width (jsc#SLE-16518).
- ASoC: pcm3168a: Retain the independence of DAC and ADC side
  of the codec (jsc#SLE-16518).
- ASoC: Intel: skl-hda-dsp-generic: add dmic dapm widget and route
  (jsc#SLE-16518).
- ASoC: Intel: skl-hda-dsp-generic: add dependency to dmic driver
  (jsc#SLE-16518).
- ASoC: Intel: boards: Match Product Family instead of product
  (jsc#SLE-16518).
- ASoC: dapm: Invalidate only paths reachable for a given stream
  (jsc#SLE-16518).
- ASoC: SOF: topology: use set_get_data in process load
  (jsc#SLE-16518).
- ASoC: fsl_esai: Add compatible string for imx6ull
  (jsc#SLE-16518).
- ASoC: rt5677: Revert remove superfluous set (jsc#SLE-16518).
- ASoC: remove w90x900/nuc900 platform drivers (jsc#SLE-16518).
- ASoC: soc-core: add for_each_xxx macro for aux_dev
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183-mt6358-ts3a227-max98357: use
  snd_soc_dai_link_component for aux_dev (jsc#SLE-16518).
- ASoC: max9850: remove unused variable 'max9850_reg'
  (jsc#SLE-16518).
- ASoC: max98926: remove two unused variables (jsc#SLE-16518).
- ASoC: soc-core: remove legacy style of aux_dev (jsc#SLE-16518).
- ASoC: ti: rx51: use snd_soc_dai_link_component for aux_dev
  (jsc#SLE-16518).
- ASoC: sunxi: sun4i-codec: use snd_soc_dai_link_component for
  aux_dev (jsc#SLE-16518).
- ASoC: samsung: tm2_wm5110: use snd_soc_dai_link_component for
  aux_dev (jsc#SLE-16518).
- ASoC: samsung: speyside: use snd_soc_dai_link_component for
  aux_dev (jsc#SLE-16518).
- ASoC: samsung: neo1973_wm8753: use snd_soc_dai_link_component
  for aux_dev (jsc#SLE-16518).
- ASoC: rockchip: rockchip_max98090: use
  snd_soc_dai_link_component for aux_dev (jsc#SLE-16518).
- ASoC: meson: axg-card: use snd_soc_dai_link_component for
  aux_dev (jsc#SLE-16518).
- commit 9c21c82
* Fri Sep 25 2020 msuchanek@suse.de
- Refresh papr_scm patches closer to upstream.
- Refresh patches.suse/powerpc-papr_scm-Fetch-nvdimm-health-information-fro.patch.
- Refresh patches.suse/powerpc-papr_scm-Fetch-nvdimm-performance-stats-from.patch.
- commit 16750a8
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: mediatek: mt8183-da7219-max98357: use
  snd_soc_dai_link_component for aux_dev (jsc#SLE-16518).
- ASoC: intel: cht_bsw_max98090_ti: use snd_soc_dai_link_component
  for aux_dev (jsc#SLE-16518).
- ASoC: simple-card: use snd_soc_dai_link_component for aux_dev
  (jsc#SLE-16518).
- ASoC: soc-core: support snd_soc_dai_link_component for aux_dev
  (jsc#SLE-16518).
- ASoC: SOF: Intel: byt: Refactor fw ready / mem windows creation
  (jsc#SLE-16518).
- ASoC: SOF: Introduce snd_sof_dsp_get_window_offset
  (jsc#SLE-16518).
- ASoC: SOF: Introduce snd_sof_dsp_get_mailbox_offset
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Use generic function for fw ready /
  mem windows creation (jsc#SLE-16518).
- ASoC: SOF: Intel: bdw: Use generic function for fw ready /
  mem windows creation (jsc#SLE-16518).
- ASoC: SOF: Remove call to snd_sof_dsp_mailbox_init
  (jsc#SLE-16518).
- ASoC: ml26124: remove unused variable 'ngth' (jsc#SLE-16518).
- ASoC: mt6351: remove unused variable 'mt_lineout_control'
  (jsc#SLE-16518).
- ASoC: sof: Fix warning when IPC flood test is not enabled
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: large_config_get overhaul (jsc#SLE-16518).
- ASoC: Intel: Skylake: Limit large_config_get to single frame
  (jsc#SLE-16518).
- ASoC: intel: skl_hda_dsp_common: create HDMI jack kctl
  (jsc#SLE-16518).
- ASoC: tscs454: remove unused variable 'PLL_48K_RATE'
  (jsc#SLE-16518).
- ASoC: soc-core: fix module_put() warning in
  soc_cleanup_component (jsc#SLE-16518).
- ASoC: soc-core: dai_link check under soc_dpcm_debugfs_add()
  (jsc#SLE-16518).
- commit 9712477
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: soc-core: define soc_dpcm_debugfs_add() for non
  CONFIG_DEBUG_FS (jsc#SLE-16518).
- ASoC: soc-core: tidyup for card->deferred_resume_work
  (jsc#SLE-16518).
- ASoC: soc-core: remove unneeded list_empty() check for
  snd_soc_try_rebind_card() (jsc#SLE-16518).
- ASoC: soc-core: call snd_soc_dapm_debugfs_init() at
  soc_init_card_debugfs() (jsc#SLE-16518).
- ASoC: soc-core: tidyup for snd_soc_add_card_controls()
  (jsc#SLE-16518).
- ASoC: soc-core: tidyup for snd_soc_dapm_add_routes()
  (jsc#SLE-16518).
- ASoC: soc-core: tidyup for snd_soc_add_component_controls()
  (jsc#SLE-16518).
- ASoC: fsl_sai: Add support for imx7ulp/imx8mq (jsc#SLE-16518).
- ASoC: fsl_sai: Add support for SAI new version (jsc#SLE-16518).
- ASoC: fsl_sai: Update Tx/Rx channel enable mask (jsc#SLE-16518).
- ASoC: fsl_sai: Add registers definition for multiple datalines
  (jsc#SLE-16518).
- ASoC: Intel: Update request-reply IPC model (jsc#SLE-16518).
- ASoC: soc-core: tidyup for snd_soc_dapm_new_controls()
  (jsc#SLE-16518).
- ASoC: soc-core: reuse rtdcom at snd_soc_rtdcom_add()
  (jsc#SLE-16518).
- ASoC: soc-core: don't use for_each_card_links_safe() at
  snd_soc_find_dai_link() (jsc#SLE-16518).
- ASoC: soc-core: check return value of snd_soc_add_dai_link()
  (jsc#SLE-16518).
- ASoC: soc-core: add comment for for_each_xxx (jsc#SLE-16518).
- ASoC: soc-core: set component->debugfs_root NULL
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fix MSI handling (jsc#SLE-16518).
- ASoC: rt1011: Add a flag for the R0 calibration test
  (jsc#SLE-16518).
- ASoC: rt1011: Add R0 temperature and TDM1 ADC2DAT Swap control
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_pcm_free()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_pcm_new()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_mmap()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_page()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_copy_user()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_ioctrl()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_pcm_component_pointer()
  (jsc#SLE-16518).
- ASoC: soc-component: move snd_soc_component_set_bias_level()
  (jsc#SLE-16518).
- ASoC: soc-component: move snd_soc_component_stream_event()
  (jsc#SLE-16518).
- ASoC: soc-component: move snd_soc_component_seq_notifier()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_of_xlate_dai_name()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_of_xlate_dai_id()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_remove()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_probe()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_is_suspended()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_resume()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_suspend()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_trigger()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_hw_free()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_hw_params()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_prepare()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_close()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_open()
  (jsc#SLE-16518).
- ASoC: soc-component: add snd_soc_component_get/put()
  (jsc#SLE-16518).
- ASoC: add soc-component.c (jsc#SLE-16518).
- ASoC: soc-pcm: remove soc_fill_silence() (jsc#SLE-16518).
- ASoC: soc-pcm: remove soc_rtdcom_copy_kernel() (jsc#SLE-16518).
- ASoC: soc-pcm: remove soc_rtdcom_ack() (jsc#SLE-16518).
- ASoC: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-16518).
- commit f8ad30f
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: zx-tdm: remove redundant assignment to ts_width on error
  return path (jsc#SLE-16518).
- ASoC: SOF: no need to check return value of debugfs_create
  functions (jsc#SLE-16518).
- ASoC: core: no need to check return value of debugfs_create
  functions (jsc#SLE-16518).
- ASoC: Intel: SoC: skylake: no need to check return value of
  debugfs_create functions (jsc#SLE-16518).
- ASoC: codec2codec: fill some of the runtime stream parameters
  (jsc#SLE-16518).
- ASoC: codec2codec: remove ephemeral variables (jsc#SLE-16518).
- ASoC: create pcm for codec2codec links as well (jsc#SLE-16518).
- commit f0cb65a
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: codecs: Add uda1334 codec driver (jsc#SLE-16518).
- Update config files.
- commit ddb3639
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: meson: axg-tdm-formatter: use
  devm_platform_ioremap_resource() to simplify code
  (jsc#SLE-16518).
- ASoC: meson: g12a-tohdmitx: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- commit 3e5f472
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: au1x: psc-i2s: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: psc-ac97: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: uniphier: aio-dma: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: uniphier: evea: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: inno_rk3036: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: jz4740: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: mmp-sspa: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: codecs: jz4725b: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: codecs: msm8916-wcd: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: stm32: sai: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: sun8i-codec: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: sunxi: sun50i-codec-analog: use
  devm_platform_ioremap_resource() to simplify code
  (jsc#SLE-16518).
- ASoC: sun8i-codec-analog: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: xlnx: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: meson: axg-fifo: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: meson: axg-spdifout: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: meson: axg-spdifin: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: meson: axg-pdm: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: cs4271: Fix a typo in the CS4171_NR_RATIOS
  (jsc#SLE-16518).
- ASoC: ti: Mark expected switch fall-throughs (jsc#SLE-16518).
- ASoC: xtfpga-i2s: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: kirkwood-i2s: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-16518).
- ASoC: spear: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: mxs-saif: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: sirf: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: bcm2835-i2s: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: fsl_audmix: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: imx-audmux: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: mt6797: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: mt8173: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- commit 2a5358e
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: ep93xx-i2s: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: rockchip: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: tegra: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-16518).
- ASoC: tegra20_das: use devm_platform_ioremap_resource() to
  simplify code (jsc#SLE-16518).
- ASoC: meson: g12a-tohdmitx: override codec2codec params
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Remove static table index when parsing
  topology (jsc#SLE-16518).
- ASoC: codec2codec: fix missing return of error return code
  (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Support for correct symmetric sample
  bits (jsc#SLE-16518).
- ASoC: codec2codec: deal with params when necessary
  (jsc#SLE-16518).
- ASoC: codec2codec: name link using stream direction
  (jsc#SLE-16518).
- ASoC: codec2codec: run callbacks in order (jsc#SLE-16518).
- ASoC: cs47l92: Add codec driver for Cirrus Logic CS47L92
  (jsc#SLE-16518).
- ASoC: cs47l15: Add codec driver for Cirrus Logic CS47L15
  (jsc#SLE-16518).
- ASoC: wm_adsp: Allow bus error handler to be called directly
  (jsc#SLE-16518).
- ASoC: SOF: Makefile - fix the top-level kernel module names
  (add snd- prefix) (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Improve serializer handling in multi
  AXR setups (jsc#SLE-16518).
- ASoC: ti: davinci-mcasp: Add support for RIGHT_J format
  (jsc#SLE-16518).
- ASoC: pcm3168a: Allow all channels in case of parallel DIN/DOUT
  setup (jsc#SLE-16518).
- ASoC: Intel: Skylake: Cleanup skl_module_cfg declaration
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Make MCPS and CPS params obsolete
  (jsc#SLE-16518).
- commit 1b1cb98
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: Skylake: Do not disable FW notifications
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Remove memory available check
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Remove MCPS available check
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Combine snd_soc_skl_ipc and snd_soc_skl
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Merge skl_sst and skl into skl_dev struct
  (jsc#SLE-16518).
- ASoC: wm8955: Fix a typo in 'wm8995_pll_factors()' function name
  (jsc#SLE-16518).
- ASoC: soc-dai: move snd_soc_dai_stream_valid() to soc-dai.c
  (jsc#SLE-16518).
- ASoC: soc-core: use existing snd_soc_dai_digital_mute()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_compress_new() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_remove() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_probe() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_resume() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_suspend() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_delay() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_bespoke_trigger()
  (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_trigger() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_prepare() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_shutdown() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_startup() (jsc#SLE-16518).
- ASoC: soc-dai: add snd_soc_dai_hw_free() (jsc#SLE-16518).
- ASoC: soc-dai: mv soc_dai_hw_params() to soc-dai
  (jsc#SLE-16518).
- ASoC: add soc-dai.c (jsc#SLE-16518).
- ASoC: rsnd: Support hw_free() callback at DAI level
  (jsc#SLE-16518).
- ASoC: rt1308: Convert headers to SPDX (jsc#SLE-16518).
- ASoC: rt5665: Fix a typo in the name of a function
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fix stream id setting (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: fix link DMA config (jsc#SLE-16518).
- ASoC: fsl_esai: recover the channel swap after xrun
  (jsc#SLE-16518).
- ASoC: SOF: Intel: ssp: BCLK delay parameter (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: reset link DMA state in prepare
  (jsc#SLE-16518).
- commit a2cfd41
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: SOF: Intel: hda: add a parameter to disable MSI
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: remove duplicated clear WAKESTS
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: use SOF defined init chip in resume
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: set position buffer in init chip
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Enable jack detection (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: reduce ifdef usage for hda
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: correct ROM state mask (jsc#SLE-16518).
- ASoC: SOF: remove unused state variable in suspend function
  (jsc#SLE-16518).
- ASoC: SOF: loader: Don't ignore SRAM block types
  (jsc#SLE-16518).
- ASoC: SOF: loader: Use the BAR provided by FW (jsc#SLE-16518).
- ASoC: SOF: Introduce snd_sof_dsp_get_bar_index ops
  (jsc#SLE-16518).
- ASoC: SOF: core: increase default IPC timeouts (jsc#SLE-16518).
- ASoC: SOF: ipc: use timeout configured at probe (jsc#SLE-16518).
- ASoC: SOF: use common code to send PCM_FREE IPC (jsc#SLE-16518).
- ASoC: SOF: reset DMA state in prepare (jsc#SLE-16518).
- ASoC: SOF: pci: mark last_busy value at runtime PM init
  (jsc#SLE-16518).
- ASoC: pcm3168a: Fix a typo in the name of a constant
  (jsc#SLE-16518).
- ASoC: madera: Read device tree configuration (jsc#SLE-16518).
- ASoC: sgtl5000: Fix charge pump source assignment
  (jsc#SLE-16518).
- ASoC: sgtl5000: Fix of unmute outputs on probe (jsc#SLE-16518).
- ASoC: sgtl5000: add ADC mute control (jsc#SLE-16518).
- ASoC: sgtl5000: Fix definition of VAG Ramp Control
  (jsc#SLE-16518).
- ASoC: sgtl5000: Improve VAG power and mute control
  (jsc#SLE-16518).
- ASoC: Define a set of DAPM pre/post-up events (jsc#SLE-16518).
- ASoC: rockchip-max98090: Remove MICBIAS as supply of input
  pin IN34 (jsc#SLE-16518).
- ASoC: cs47l35: Use define for DSPCLK enable bit (jsc#SLE-16518).
- ASoC: rt1308: add silence detection and manual PDB control
  (jsc#SLE-16518).
- ASoC: rt1308: simplify the EFUSE read function (jsc#SLE-16518).
- ASoC: tlv320aic31xx: suppress error message for EPROBE_DEFER
  (jsc#SLE-16518).
- ASoC: max98383: fix i2c probe failure (jsc#SLE-16518).
- commit b1e6694
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: fsl_sai: mark regmap as fast_io (jsc#SLE-16518).
- ASoC: fsl_sai: derive TX FIFO watermark from FIFO depth
  (jsc#SLE-16518).
- ASoC: fsl_sai: add of_match data (jsc#SLE-16518).
- ASoC: mediatek: mt8183: make headset codec optional
  (jsc#SLE-16518).
- ASoC: wcd9335: add irqflag IRQF_ONESHOT flag (jsc#SLE-16518).
- ASoC: bcm: cygnus-pcm: Unneeded variable: "ret" (jsc#SLE-16518).
- sound: soc: codecs: mt6358: change return type of
  mt6358_codec_init_reg (jsc#SLE-16518).
- ASoC: fsl_esai: Wrap some operations to be functions
  (jsc#SLE-16518).
- ASoC: rt5677: remove superfluous set (jsc#SLE-16518).
- ASoC: codecs: ad193x: Use regmap_multi_reg_write() when
  initializing (jsc#SLE-16518).
- ASoC: wcd9335: Fix misuse of GENMASK macro (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Make hdac_device device-managed
  (jsc#SLE-16518).
- ASoC: ams-delta: Take control over audio mute GPIO pins
  (jsc#SLE-16518).
- ASoC: dmaengine: Make the pcm->name equal to pcm->id if the
  name is not set (jsc#SLE-16518).
- ASoC: ti: davinci-i2s: Move the XSYNCERR workaround to .prepare
  callback (jsc#SLE-16518).
- ASoC: Intel: Baytrail: Fix implicit fallthrough warning
  (jsc#SLE-16518).
- ASoC: fsl_ssi: Fix clock control issue in master mode
  (jsc#SLE-16518).
- ASoC: mediatek: mt8183: fix tdm out data align issue
  (jsc#SLE-16518).
- ASoC: rt1011: add mutex protection to set_fmt/set_tdm_slot
  (jsc#SLE-16518).
- ASoC: es8316: fix inverted L/R of headphone mixer volume
  (jsc#SLE-16518).
- ASoC: es8316: fix headphone mixer volume table (jsc#SLE-16518).
- ASoC: Intel: NHLT: Fix debug print format (jsc#SLE-16518).
- ASoC: dapm: Expose snd_soc_dapm_new_control_unlocked properly
  (jsc#SLE-16518).
- ASoC: Intel: Fix use of potentially uninitialized variable
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: Use correct function to access iomem space
  (jsc#SLE-16518).
- ASoC: AMD: Fix Kconfig warning without GPIOLIB (jsc#SLE-16518).
- ASoC: mchp-i2s-mcc: Wait for RX/TX RDY only if controller is
  running (jsc#SLE-16518).
- ASoC: mchp-i2s-mcc: Fix unprepare of GCLK (jsc#SLE-16518).
- ASoC: sun4i-i2s: Register regmap and PCM before our component
  (jsc#SLE-16518).
- ASoC: wm8904: implement input mode select as a mux
  (jsc#SLE-16518).
- ASoC: wm8904: fix typo in DAPM kcontrol name (jsc#SLE-16518).
- ASoC: intel: cht_bsw_max98090_ti: Add all Chromebooks that
  need pmc_plt_clk_0 quirk (jsc#SLE-16518).
- ASoC: meson: g12a-tohdmitx: require regmap mmio (jsc#SLE-16518).
- ASoC: meson: axg-tdm-formatter: free reset on device removal
  (jsc#SLE-16518).
- ASoC: uniphier: Fix double reset assersion when transitioning
  to suspend state (jsc#SLE-16518).
- ASoC: imx-audmux: Add driver suspend and resume to support
  MEGA Fast (jsc#SLE-16518).
- ASoC: wm8737: Fix copy-paste error in wm8737_snd_controls
  (jsc#SLE-16518).
- ASoC: cs4349: Use PM ops 'cs4349_runtime_pm' (jsc#SLE-16518).
- ASoC: es8328: Fix copy-paste error in es8328_right_line_controls
  (jsc#SLE-16518).
- ASoC: rockchip: rockchip_max98090: Set period size to 240
  (jsc#SLE-16518).
- commit 27dba45
* Fri Sep 25 2020 msuchanek@suse.de
- powerpc/kernel: Enables memory hot-remove after reboot on
  pseries guests (bsc#1177030 ltc#187588).
- powerpc/mm: Limit resize_hpt_for_hotplug() call to hash guests
  only (bsc#1177030 ltc#187588).
- powerpc/mm: Limit resize_hpt_for_hotplug() call to hash guests
  only (jsc#SLE-13512).
- powerpc/mm/book3s64/radix: Off-load TLB invalidations to host
  when !GTSE (jsc#SLE-13512).
- powerpc/pseries: H_REGISTER_PROC_TBL should ask for GTSE only
  if enabled (jsc#SLE-13512).
- powerpc/kernel: Enables memory hot-remove after reboot on
  pseries guests (jsc#SLE-13512).
  Refresh patches.suse/powerpc-drmem-Make-LMB-walk-a-bit-more-flexible.patch
- powerpc/64s: make mmu_partition_table_set_entry TLB flush
  optional (jsc#SLE-13512).
- commit 9885202
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: sof-rt5682: add dmic dapm widget to support dmic
  PCM (jsc#SLE-16518).
- ASoC: hdac_hdmi: Offload dapm update at jack detection
  (jsc#SLE-16518).
- ASoC: hdac_hda: fix page fault issue by removing race
  (jsc#SLE-16518).
- ASoC: SOF: Intel: hda: Initialize HDA controller after i915 init
  (jsc#SLE-16518).
- ASoC: rsnd: don't call clk_get_rate() under atomic context
  (jsc#SLE-16518).
- ALSA: lx6464es - add support for LX6464ESe pci express variant
  (jsc#SLE-16518).
- ALSA: firewire-lib: remove WARN_ON() at destruction of AMDTP
  domain (jsc#SLE-16518).
- ALSA: firewire-tascam: add note for FE-8 (jsc#SLE-16518).
- Add Acer Aspire Ethos 8951G model quirk (jsc#SLE-16518).
- ALSA: hda/hdmi: remove redundant assignment to variable pcm_idx
  (jsc#SLE-16518).
- ALSA: firewire-motu: add support for MOTU 4pre (jsc#SLE-16518).
- ALSA: firewire-lib: fix isoc cycle count to which rx packet
  is scheduled (jsc#SLE-16518).
- ALSA: dice: fix error path for initialization of stream
  structures (jsc#SLE-16518).
- ALSA: hda - Update descriptions about new position_fix values
  (jsc#SLE-16518).
- ALSA: usb-audio: Update DSD support quirks for Oppo and Rotel
  (jsc#SLE-16518).
- ALSA: usb-audio: DSD auto-detection for Playback Designs
  (jsc#SLE-16518).
- ALSA: hda - Allow runtime PM for controller if component
  notifier is used (jsc#SLE-16518).
- ALSA: oxfw: fix NULL pointer dereference to unused stream
  structure (jsc#SLE-16518).
- ALSA: usb-audio: remove some dead code (jsc#SLE-16518).
- ALSA: usb-audio: Fix possible NULL dereference at
  create_yamaha_midi_quirk() (jsc#SLE-16518).
- ALSA: usb-audio: Clean up check_input_term() (jsc#SLE-16518).
- ALSA: usb-audio: Remove superfluous bLength checks
  (jsc#SLE-16518).
- ALSA: usb-audio: Unify the release of usb_mixer_elem_info
  objects (jsc#SLE-16518).
- ALSA: usb-audio: Simplify parse_audio_unit() (jsc#SLE-16518).
- ALSA: usb-audio: More validations of descriptor units
  (jsc#SLE-16518).
- ALSA: hda/realtek - Blacklist PC beep for Lenovo ThinkCentre
  M73/93 (jsc#SLE-16518).
- ALSA: hda/realtek - Check beep whitelist before assigning in
  all codecs (jsc#SLE-16518).
- ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  (jsc#SLE-16518).
- ALSA: hda - Expand pin_match function to match upcoming new tbls
  (jsc#SLE-16518).
- Revert "ALSA: hda: Add codec on bus address table lately"
  (jsc#SLE-16518).
- ALSA: hda: Unexport a few more stuff (jsc#SLE-16518).
- ALSA: hda: Drop export of snd_hdac_bus_add/remove_device()
  (jsc#SLE-16518).
- ALSA: hda: Add codec on bus address table lately
  (jsc#SLE-16518).
- ALSA: hda - Drop unsol event handler for Intel HDMI codecs
  (jsc#SLE-16518).
- ALSA: sb: remove redundant assignment to variable result
  (jsc#SLE-16518).
- ALSA: hda/sigmatel - remove unused variable 'stac9200_core_init'
  (jsc#SLE-16518).
- ALSA: hda: Set fifo_size for both playback and capture streams
  (jsc#SLE-16518).
- ALSA: hda - Add a quirk model for fixing Huawei Matebook X
  right speaker (jsc#SLE-16518).
- ALSA: hda - Inform too slow responses (jsc#SLE-16518).
- ASoC: SOF: Intel: Add missing include file hdac_hda.h
  (jsc#SLE-16518).
- ALSA: ac97: remove unused variable
  'snd_ac97_controls_master_mono' (jsc#SLE-16518).
- ALSA: hda: readl/writel need linux/io.h (jsc#SLE-16518).
- ASoC: SOF: Intel: Initialize hdaudio bus properly
  (jsc#SLE-16518).
- ALSA: hda: Direct MMIO accesses (jsc#SLE-16518).
- ALSA: hda: Remove page allocation redirection (jsc#SLE-16518).
- ALSA: usb-audio: Add Pioneer DDJ-SX3 PCM quirck (jsc#SLE-16518).
- ALSA: usb-audio: Skip bSynchAddress endpoint check if it is
  invalid (jsc#SLE-16518).
- ALSA: usb-audio: fix PCM device order (jsc#SLE-16518).
- ALSA: usb-audio: Unify audioformat release code (jsc#SLE-16518).
- ALSA: firewire-lib: localize kernel APIs to start/stop each
  AMDTP stream (jsc#SLE-16518).
- commit 48650a6
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: fireface: support AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-motu: support AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-tascam: support AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-digi00x: support AMDTP domain (jsc#SLE-16518).
- ALSA: dice: support AMDTP domain (jsc#SLE-16518).
- ALSA: oxfw: support AMDTP domain (jsc#SLE-16518).
- ALSA: fireworks: support AMDTP domain (jsc#SLE-16518).
- ALSA: bebob: support AMDTP domain (jsc#SLE-16518).
- ALSA: fireface: code refactoring for initialization/destruction
  of AMDTP stream (jsc#SLE-16518).
- ALSA: firewire-motu: code refactoring for
  initialization/destruction of AMDTP stream (jsc#SLE-16518).
- ALSA: firewire-tascam: code refactoring for
  initialization/destruction of AMDTP stream (jsc#SLE-16518).
- ALSA: firewire-digi00x: code refactoring for
  initialization/destruction of AMDTP stream (jsc#SLE-16518).
- ALSA: fireworks: code refactoring for bus reset handler
  (jsc#SLE-16518).
- ALSA: fireworks: code refactoring for initialization/destruction
  of AMDTP streams (jsc#SLE-16518).
- ALSA: firewire-lib: add a kernel API to start AMDTP streams
  in AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-lib: add a kernel API to add AMDTP stream into
  AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-lib: add a kernel API to stop a couple of AMDTP
  streams in AMDTP domain (jsc#SLE-16518).
- ALSA: firewire-lib: add AMDTP domain structure to handle
  several isoc contexts (jsc#SLE-16518).
- ALSA: hda: Add support of Zhaoxin controller (jsc#SLE-16518).
- ALSA: isa/wavefront: remove redundant assignment to pointer bptr
  (jsc#SLE-16518).
- commit 45bf547
* Fri Sep 25 2020 tiwai@suse.de
- ALSA: hda/intel: stop probe if DMICS are detected on Skylake+
  platforms (jsc#SLE-16518).
- Update config files.
- commit 697fd6a
* Fri Sep 25 2020 tiwai@suse.de
- ASoC: Intel: Skylake: use common NHLT module (jsc#SLE-16518).
- ALSA: hda: intel-nhlt: handle NHLT VENDOR_DEFINED DMIC geometry
  (jsc#SLE-16518).
- ALSA: hda: move parts of NHLT code to new module
  (jsc#SLE-16518).
- ASoC: Intel: Skylake: move NHLT header to common directory
  (jsc#SLE-16518).
- ALSA: sparc: Mark expected switch fall-throughs (jsc#SLE-16518).
- sound: dmasound_atari: Mark expected switch fall-through
  (jsc#SLE-16518).
- ALSA: aoa: onyx: always initialize register read value
  (jsc#SLE-16518).
- ALSA: usb-audio: Scarlett Gen 2 mixer interface (jsc#SLE-16518).
- ALSA: i2c: ak4xxx-adda: Fix a possible null pointer dereference
  in build_adc_controls() (jsc#SLE-16518).
- ALSA: hda - Show the fatal CORB/RIRB error more clearly
  (jsc#SLE-16518).
- ALSA: echoaudio: Replace kmalloc + memcpy with kmemdup
  (jsc#SLE-16518).
- ALSA: line6: sizeof (byte) is always 1, use that fact
  (jsc#SLE-16518).
- ALSA: firewire-motu: more code refactoring for MOTU data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-lib: process payload of isoc context according
  to packet descriptors (jsc#SLE-16518).
- ALSA: fireface: code refactoring for FF data block processing
  layer (jsc#SLE-16518).
- ALSA: firewire-motu: code refactoring for MOTU data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-tascam: code refactoring for TASCAM data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-digi00x: code refactoring for DOT data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring for AM824 data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-lib: pass packet descriptor to data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring to process context payloads
  (jsc#SLE-16518).
- ALSA: firewire-lib: code refactoring to process PCM substream
  (jsc#SLE-16518).
- ALSA: firewire-lib: use packet descriptor for IR context
  (jsc#SLE-16518).
- ALSA: firewire-lib: use packet descriptor for IT context
  (jsc#SLE-16518).
- ALSA: firewire-lib: add list of packet descriptor
  (jsc#SLE-16518).
- ALSA: firewire-lib: pass no syt information to data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-lib: add syt_override member for some protocols
  (jsc#SLE-16518).
- ALSA: firewire-lib: operate data block counter in top level
  of processing for IR context (jsc#SLE-16518).
- ALSA: firewire-lib: operate data block counter in top level
  of processing for IT context (jsc#SLE-16518).
- ALSA: firewire-lib: pass data block counter to data block
  processing layer (jsc#SLE-16518).
- ALSA: firewire-lib: pass data block count as an argument to
  tracepoints event (jsc#SLE-16518).
- ALSA: firewire-lib: obsolete ctx_data.tx.first_dbc with
  CIP_UNALIGHED_DBC flag (jsc#SLE-16518).
- ALSA: hda/hdmi - Allow audio component for AMD/ATI and Nvidia
  HDMI (jsc#SLE-16518).
- ALSA: hda/hdmi - Don't report spurious jack state changes
  (jsc#SLE-16518).
- ALSA: hda: Flush interrupts on disabling (jsc#SLE-16518).
- ALSA: firewire-tascam: check intermediate state of clock status
  and retry (jsc#SLE-16518).
- ALSA: firewire-tascam: handle error code when getting current
  source of clock (jsc#SLE-16518).
- commit ad8723b
* Fri Sep 25 2020 tbogendoerfer@suse.de
- sch_cake: Take advantage of skb->hash where appropriate
  (bsc#1176447).
- Refresh
  patches.suse/sched-consistently-handle-layer3-header-accesses-in-.patch.
- commit 0a71f1a
* Fri Sep 25 2020 tbogendoerfer@suse.de
- bnxt_en: Allocate TQM ring context memory according to fw
  specification (jsc#SLE-15075).
- Refresh
  patches.suse/bnxt_en-Improve-TQM-ring-context-memory-sizing-formu.patch.
- commit 4820b20
* Fri Sep 25 2020 tbogendoerfer@suse.de
- netlink: remove type-unsafe validation_data pointer
  (bsc#1176447).
- Refresh patches.suse/netlink-remove-NLA_EXACT_LEN_WARN.patch.
- commit dd52c7a
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5: Remove extra indirection while storing QPN
  (jsc#SLE-15172).
- Refresh
  patches.suse/net-mlx5-DR-Fix-freeing-in-dr_create_rc_qp.patch.
- commit 19e5277
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5: Remove empty QP and CQ events handlers
  (jsc#SLE-15172).
- Refresh
  patches.suse/net-mlx5-DR-Fix-freeing-in-dr_create_rc_qp.patch.
- commit e65cb1d
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5: Open-code create and destroy QP calls (jsc#SLE-15172).
- Refresh
  patches.suse/net-mlx5-DR-Fix-freeing-in-dr_create_rc_qp.patch.
- commit e06665e
* Fri Sep 25 2020 tbogendoerfer@suse.de
- mlxsw: spectrum_flower: Do not stop at FLOW_ACTION_PRIORITY
  (bsc#1176774).
- Refresh
  patches.suse/mlxsw-spectrum_flower-Do-not-stop-at-FLOW_ACTION_VLA.patch.
- commit e8f522e
* Fri Sep 25 2020 tbogendoerfer@suse.de
- RDMA/cm: Simplify establishing a listen cm_id (jsc#SLE-15176).
- Refresh
  patches.suse/RDMA-cm-Fix-an-error-check-in-cm_alloc_id_priv.patch.
- commit 9134185
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: sched: expose HW stats types per action used by drivers
  (jsc#SLE-15172).
- Refresh
  patches.suse/net-mlx5e-Fix-stats-update-for-matchall-classifier.patch.
- commit 8d6956a
* Fri Sep 25 2020 tbogendoerfer@suse.de
- bnxt_en: Add fw.mgmt.api version to devlink info_get cb
  (jsc#SLE-15075).
- Refresh
  patches.suse/bnxt_en-Fix-fw.mgmt-and-fw.nsci-info-via-devlink-inf.patch.
- commit f50e160
* Fri Sep 25 2020 tbogendoerfer@suse.de
- mlxsw: spectrum_flower: Offload FLOW_ACTION_PRIORITY
  (bsc#1176774).
- Refresh
  patches.suse/mlxsw-spectrum_flower-Do-not-stop-at-FLOW_ACTION_VLA.patch.
- commit 4832ff9
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5e: Introduce root ft concept for representors netdevs
  (jsc#SLE-15172).
- Refresh patches.suse/net-mlx5e-Fix-inner-tirs-handling.patch.
- commit de0accd
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5e: Fix configuration of XPS cpumasks and netdev queues
  in corner cases (jsc#SLE-15172).
- Refresh
  patches.suse/net-mlx5e-Fix-CPU-mapping-after-function-reload-to-a.patch.
- commit da0810c
* Fri Sep 25 2020 tbogendoerfer@suse.de
- devlink: extend devlink_trap_report() to accept cookie and pass
  (bsc#1176774).
- Refresh
  patches.suse/devlink-Add-API-to-register-packet-trap-groups.patch.
- Refresh
  patches.suse/devlink-track-snapshot-id-usage-count-using-an-xarra.patch.
- commit 014cf19
* Fri Sep 25 2020 jroedel@suse.de
- PCI: Add DMA alias quirk for PLX PEX NTB (bsc#1175713).
- commit e238951
* Fri Sep 25 2020 tbogendoerfer@suse.de
- bitmap: Introduce bitmap_cut(): cut bits and shift remaining
  (bsc#1176447).
- Refresh
  patches.suse/include-bitmap.h-add-missing-parameter-in-docs.patch.
- commit 55af036
* Fri Sep 25 2020 tbogendoerfer@suse.de
- IB: Allow calls to ib_umem_get from kernel ULPs (jsc#SLE-15176).
- Refresh
  patches.suse/RDMA-bnxt_re-use-ibdev-based-message-printing-functi.patch.
- commit 40f08fc
* Fri Sep 25 2020 tbogendoerfer@suse.de
- mlxsw: spectrum_router: Start using new IPv4 route notifications
  (bsc#1176774).
- Refresh
  patches.suse/mlxsw-spectrum_router-Make-route-creation-and-destru.patch.
- commit 304ea2e
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: phylink: split link_an_mode configured and current settings
  (bsc#1176447).
- Refresh
  patches.suse/net-phylink-add-support-for-polling-MAC-PCS.patch.
- commit eac529e
* Fri Sep 25 2020 tbogendoerfer@suse.de
- RDMA/hfi1: Use mmu_interval_notifier_insert for user_exp_rcv
  (jsc#SLE-15176).
- Refresh
  patches.suse/IB-hfi1-Acquire-lock-to-release-TID-entries-when-use.patch.
- Refresh
  patches.suse/IB-hfi1-Close-window-for-pq-and-request-coliding.patch.
- commit 40e9871
* Fri Sep 25 2020 tbogendoerfer@suse.de
- RDMA/odp: Use mmu_interval_notifier_insert() (jsc#SLE-15176).
- Refresh
  patches.suse/IB-core-Fix-ODP-with-IB_ACCESS_HUGETLB-handling.patch.
- Refresh
  patches.suse/IB-core-Fix-build-failure-without-hugepages.patch.
- Refresh
  patches.suse/IB-mlx5-Unify-ODP-MR-code-paths-to-allow-extra-flexi.patch.
- Refresh
  patches.suse/RDMA-mlx5-Fix-handling-of-IOVA-user_va-in-ODP-paths.patch.
- Refresh
  patches.suse/RDMA-odp-Ensure-the-mm-is-still-alive-before-creatin.patch.
- commit f163861
* Fri Sep 25 2020 tbogendoerfer@suse.de
- IB/umem: remove the dmasync argument to ib_umem_get
  (jsc#SLE-15176).
- Refresh
  patches.suse/RDMA-bnxt_re-use-ibdev-based-message-printing-functi.patch.
- Refresh
  patches.suse/RDMA-hns-Redefine-interfaces-used-in-creating-cq.patch.
- Refresh
  patches.suse/RDMA-hns-Redefine-the-member-of-hns_roce_cq-struct.patch.
- commit 41d329c
* Fri Sep 25 2020 jroedel@suse.de
- PCI: Add nr_devfns parameter to pci_add_dma_alias()
  (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-move-amd-iommu-driver-into-subdirectory.
- commit bb6a72d
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net/mlx5: TC: Offload flow table rules (jsc#SLE-15172).
- Refresh
  patches.suse/net-mlx5e-Avoid-duplicating-rule-destinations.patch.
- commit 68ebf6a
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: phy: extract link partner advertisement reading
  (bsc#1176447).
- Refresh
  patches.suse/net-phy-Fix-link-partner-information-disappear-issue.patch.
- commit 50d9bc7
* Fri Sep 25 2020 tbogendoerfer@suse.de
- drm/amdkfd: use mmu_notifier_put (jsc#SLE-15176).
- Refresh
  patches.suse/drm-iommu-change-type-of-pasid-to-u32.patch.
- commit 198bc5d
* Fri Sep 25 2020 tbogendoerfer@suse.de
- hmm: use mmu_notifier_get/put for 'struct hmm' (jsc#SLE-15176).
- Refresh
  patches.suse/mm-add-a-pasid-member-to-struct-mm_struct.patch.
- commit 94ccbf0
* Fri Sep 25 2020 tbogendoerfer@suse.de
- mm/hmm: remove the page_shift member from struct hmm_range
  (jsc#SLE-15176).
- Refresh patches.suse/mm-hmm-hmm_range_fault-infinite-loop.patch.
- commit 050018d
* Fri Sep 25 2020 tbogendoerfer@suse.de
- mm/hmm: replace the block argument to hmm_range_fault with a
  flags value (jsc#SLE-15176).
- Refresh
  patches.suse/0003-drm-amdgpu-Call-find_vma-under-mmap_sem.patch.
- Refresh
  patches.suse/mm-hmm-hmm_range_fault-null-pointer-bug.patch.
- commit 2732f5a
* Fri Sep 25 2020 tbogendoerfer@suse.de
- mm/hmm: comment on VM_FAULT_RETRY semantics in handle_mm_fault
  (jsc#SLE-15176).
- Refresh
  patches.suse/mm-hmm-hmm_range_fault-null-pointer-bug.patch.
- commit c838313
* Fri Sep 25 2020 tbogendoerfer@suse.de
- netfilter: remove CONFIG_NETFILTER checks from headers
  (bsc#1176447).
- Refresh
  patches.suse/netfilter-iptables-Split-ipt_unregister_table-into-p.patch.
- commit 0e4af9d
* Fri Sep 25 2020 tbogendoerfer@suse.de
- netfilter: update include directives (bsc#1176447).
- Refresh
  patches.suse/Revert-netfilter-conntrack-remove-helper-hook-again.patch.
- commit bfe3d73
* Fri Sep 25 2020 tbogendoerfer@suse.de
- netfilter: nf_tables_offload: refactor the
  nft_flow_offload_chain function (bsc#1176447).
- Refresh
  patches.suse/netfilter-nf_tables_offload-skip-EBUSY-on-chain-upda.patch.
- commit 196e120
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: phy: dp83867: Add SGMII mode type switching (bsc#1176447).
- Refresh
  patches.suse/net-phy-dp83867-enable-robust-auto-mdix.patch.
- commit cec51f9
* Fri Sep 25 2020 tbogendoerfer@suse.de
- netfilter: add missing IS_ENABLED(CONFIG_NETFILTER) checks to
  some header-files (bsc#1176447).
- Refresh
  patches.suse/netfilter-iptables-Split-ipt_unregister_table-into-p.patch.
- commit 20458b6
* Fri Sep 25 2020 tbogendoerfer@suse.de
- netfilter: inline four headers files into another one
  (bsc#1176447).
- Refresh
  patches.suse/netfilter-ipset-use-bitmap-infrastructure-completely.patch.
- commit c09d116
* Fri Sep 25 2020 tbogendoerfer@suse.de
- net: phy: prepare phylib to deal with PHY's extending Clause 22
  (bsc#1176447).
- Refresh
  patches.suse/net-phy-Fix-link-partner-information-disappear-issue.patch.
- Refresh
  patches.suse/net-phy-add-support-for-clause-37-auto-negotiation.patch.
- commit 36b1359
* Fri Sep 25 2020 jroedel@suse.de
- Refresh
  patches.suse/iommu-vt-d-do-deferred-attachment-in-iommu_need_mapping.
- Refresh
  patches.suse/iommu-vt-d-move-intel-iommu-driver-into-subdirectory.
- Refresh patches.suse/iommu-vt-d-remove-deferred_attach_domain.
- commit 13c1a3c
* Fri Sep 25 2020 msuchanek@suse.de
- Enable kernel lockdown on ppc64le (bsc#1176918 ltc#186474 jsc#SLE-13644).
- commit 9074b84
* Fri Sep 25 2020 jroedel@suse.de
- Refresh
  patches.suse/iommu-vt-d-move-intel-iommu-driver-into-subdirectory.
- Refresh patches.suse/iommu-vt-d-refactor-find_domain-helper.
- commit 4ca331e
* Fri Sep 25 2020 yousaf.kaukab@suse.com
- lib/test_bitmap: correct test data offsets for 32-bit
  (jsc#SLE-15847).
- gpio: mockup: Fix usage of new GPIO_LINE_DIRECTION
  (jsc#SLE-15847).
- commit 24a7dac
* Fri Sep 25 2020 msuchanek@suse.de
- scsi: ibmvfc: Avoid link down on FS9100 canister reboot
  (bsc#1176962 ltc#188304).
- scsi: ibmvfc: Use compiler attribute defines instead of
  __attribute__() (bsc#1176962 ltc#188304).
- commit 2f6bf7f
* Fri Sep 25 2020 msuchanek@suse.de
- powerpc: lock down kernel in secure boot mode (bsc#1176918
  ltc#186474 jsc#SLE-13644).
- commit d485a62
* Fri Sep 25 2020 tiwai@suse.de
- Preliminary drop of the whole sound patches for clean backports for SP3
- commit 0cb4915
* Fri Sep 25 2020 yousaf.kaukab@suse.com
- gpio: of: Fix bogus reference to gpiod_get_count() (jsc#SLE-15847).
- gpio: of: don't warn if ignored GPIO flag matches the behavior (jsc#SLE-15847).
- gpio: fix kernel-doc for of_gpio_need_valid_mask() (jsc#SLE-15847).
- gpio: devres: Switch to EXPORT_SYMBOL_GPL() (jsc#SLE-15847).
- gpio: of: Switch to EXPORT_SYMBOL_GPL() (jsc#SLE-15847).
- gpio: of: Make of_gpio_simple_xlate() private (jsc#SLE-15847).
- gpio: of: Make of_get_named_gpiod_flags() private (jsc#SLE-15847).
- gpio: of: Fix hard-assigned valid_mask for OF case (jsc#SLE-15847).
- gpiolib: of: Reshuffle contents of consumer.h for new library layout (jsc#SLE-15847).
- commit f494e82
* Fri Sep 25 2020 tiwai@suse.de
- Bluetooth: Sort list of LE features constants (jsc#SLE-13430).
- Refresh
  patches.suse/Bluetooth-Enable-LE-Enhanced-Connection-Complete-eve.patch.
- commit 3de2003
* Fri Sep 25 2020 tiwai@suse.de
- Bluetooth: L2CAP: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- Bluetooth: Clear HCI_LL_RPA_RESOLUTION flag on reset
  (jsc#SLE-13430).
- Bluetooth: Add HCI device identifier for VIRTIO devices
  (jsc#SLE-13430).
- Bluetooth: Fixing a few comment typos in the quirk definitions
  (jsc#SLE-13430).
- commit b512bcb
* Fri Sep 25 2020 tiwai@suse.de
- mac80211: fix memory overlap due to variable length param
  (jsc#SLE-13430).
- commit 114984a
* Thu Sep 24 2020 tiwai@suse.de
- Revert "ALSA: usb-audio: Disable Lenovo P620 Rear line-in
  volume control" (git-fixes).
- Revert "ALSA: hda - Fix silent audio output and corrupted
  input on MSI X570-A PRO" (git-fixes).
- ALSA: usb-audio: Add delay quirk for H570e USB headsets
  (git-fixes).
- ALSA: hda/realtek: Enable front panel headset LED on Lenovo
  ThinkStation P520 (git-fixes).
- ALSA: hda/realtek - Couldn't detect Mic if booting with headset
  plugged (git-fixes).
- ALSA: asihpi: fix iounmap in error handler (git-fixes).
- commit 392c032
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: remove a BUG_ON() from merge_reloc_roots() (bsc#1176019).
- commit 070656a
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: hold a ref on the root->reloc_root (bsc#1176019).
- commit cfada4f
* Thu Sep 24 2020 msuchanek@suse.de
- blacklist.conf: Add duplicate fix.
- commit 4b6ed84
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: clear DEAD_RELOC_TREE before dropping the reloc root
  (bsc#1176019).
- commit 3414f3d
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: Remove block_rsv parameter from btrfs_drop_snapshot
  (bsc#1176019).
- commit 0eab798
* Thu Sep 24 2020 msuchanek@suse.de
- powerpc/smp: Implement cpu_to_coregroup_id (jsc#SLE-13617
  bsc#1176912 ltc#186322).
- powerpc/smp: Create coregroup domain (jsc#SLE-13617 bsc#1176912
  ltc#186322).
- powerpc/smp: Allocate cpumask only after searching thread group
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc/numa: Detect support for coregroup (jsc#SLE-13617
  bsc#1176912 ltc#186322).
- powerpc/smp: Optimize start_secondary (jsc#SLE-13617 bsc#1176912
  ltc#186322).
- powerpc/smp: Dont assume l2-cache to be superset of sibling
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc/smp: Move topology fixups into a new function
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc/smp: Move powerpc_topology above (jsc#SLE-13617
  bsc#1176912 ltc#186322).
- powerpc/smp: Merge Power9 topology with Power topology
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc/smp: Fix a warning under !NEED_MULTIPLE_NODES
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc/numa: Restrict possible nodes based on platform
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc/numa: Limit possible nodes to within num_possible_nodes
  (jsc#SLE-13617 bsc#1176912 ltc#186322).
- powerpc: Fix misleading small cores print (jsc#SLE-13617
  bsc#1176912 ltc#186322).
- commit 932e818
* Thu Sep 24 2020 tiwai@suse.de
- Add cherry-picked commit IDs to ignore
  Refreshed:
  patches.suse/mt76-mt7615-fix-hw-queue-mapping.patch
  patches.suse/mt76-overwrite-qid-for-non-bufferable-mgmt-frames.patch
- commit 69695d4
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: free the reloc_control in a consistent way (bsc#1176019).
- commit 7857718
* Thu Sep 24 2020 yousaf.kaukab@suse.com
- gpio: pca953x: Request IRQ after all initialisation done (jsc#SLE-15847).
- gpio: pca953x: Use irqchip template (jsc#SLE-15847).
- gpio: pca953x: Add support for the PCAL9535 (jsc#SLE-15847).
- gpio: pca953x: Fix direction setting when configure an IRQ (jsc#SLE-15847).
- gpio: pca953x: Synchronize interrupt handler properly (jsc#SLE-15847).
- gpio: pca953x: Drop unneeded ACPI_PTR() (jsc#SLE-15847).
- gpio: pca953x: drop unused parameters of pca953x_recalc_addr() (jsc#SLE-15847).
- gpio: pca953x: Rewrite ->get_multiple() function (jsc#SLE-15847).
- gpio: gpio-pca953x, Add get_multiple function (jsc#SLE-15847).
- gpiolib: of: improve gpiolib-of support of pull up/down on expanders (jsc#SLE-15847).
- gpio: pca953x: Remove redundant forward declaration (jsc#SLE-15847).
- gpio: pca953x: Don't hardcode irq trigger type (jsc#SLE-15847).
- gpio: pca953x: Switch to bitops in IRQ callbacks (jsc#SLE-15847).
- gpio: pca953x: tighten up indentation (jsc#SLE-15847).
- gpio: pca953x: convert to use bitmap API (jsc#SLE-15847).
- gpio: pca953x: use input from regs structure in pca953x_irq_pending() (jsc#SLE-15847).
- gpio: pca953x: remove redundant variable and check in IRQ handler (jsc#SLE-15847).
- lib/bitmap: introduce bitmap_replace() helper (jsc#SLE-15847).
- lib/test_bitmap: fix comment about this file (jsc#SLE-15847).
- lib/test_bitmap: move exp1 and exp2 upper for others to use (jsc#SLE-15847).
- lib/test_bitmap: rename exp to exp1 to avoid ambiguous name (jsc#SLE-15847).
- lib/test_bitmap: name EXP_BYTES properly (jsc#SLE-15847).
- lib/test_bitmap: undefine macros after use (jsc#SLE-15847).
- lib/test_bitmap: force argument of bitmap_parselist_user() to proper address space (jsc#SLE-15847).
- gpio: pca953x: utilize the for_each_set_clump8 macro (jsc#SLE-15847).
- lib/test_bitmap.c: add for_each_set_clump8 test cases (jsc#SLE-15847).
- bitops: introduce the for_each_set_clump8 macro (jsc#SLE-15847).
- gpio: Use new GPIO_LINE_DIRECTION (jsc#SLE-15847).
- gpio: Add definition for GPIO direction (jsc#SLE-15847).
- gpio: of: Break out OF-only code (jsc#SLE-15847).
- commit ce131cf
* Thu Sep 24 2020 msuchanek@suse.de
- cpuidle: pseries: Fix CEDE latency conversion from tb to us
  (jsc#SLE-13614 bsc#1176914 ltc#186394).
- cpuidle: pseries: Fixup exit latency for CEDE(0) (jsc#SLE-13614
  bsc#1176914 ltc#186394).
- cpuidle: pseries: Add function to parse extended CEDE records
  (jsc#SLE-13614 bsc#1176914 ltc#186394).
- cpuidle: pseries: Set the latency-hint before entering CEDE
  (jsc#SLE-13614 bsc#1176914 ltc#186394).
- cpuidle/pseries: Make symbol 'pseries_idle_driver' static
  (jsc#SLE-13614 bsc#1176914 ltc#186394).
- commit 7de6282
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: fix setting last_trans for reloc roots (bsc#1176019).
- commit fe4b564
* Thu Sep 24 2020 tbogendoerfer@suse.de
- net/sched: fix a couple of splats in the error path of
  tfc_gate_init() (bsc#1176447).
- net/mlx5e: Make mlx5e_dcbnl_ops static (jsc#SLE-15172).
- net/mlx5e: en_tc: Fix cast to restricted __be32 warning
  (jsc#SLE-15172).
- net/mlx5e: en_tc: Fix incorrect type in initializer warnings
  (jsc#SLE-15172).
- net/mlx5: Accel: fpga tls fix cast to __be64 and incorrect
  argument types (jsc#SLE-15172).
- net/mlx5: cmd: Fix memset with byte count warning
  (jsc#SLE-15172).
- net/mlx5: DR: Fix incorrect type in return expression
  (jsc#SLE-15172).
- net/mlx5: DR: Fix cast to restricted __be32 (jsc#SLE-15172).
- net/mlx5: DR: Fix incorrect type in argument (jsc#SLE-15172).
- net/mlx5e: Use generic API to build MPLS label (jsc#SLE-15172).
- net: Make mpls_entry_encode() available for generic users
  (jsc#SLE-15172).
- net/mlx5: reduce stack usage in qp_read_field (jsc#SLE-15172).
- net/mlx5e: Don't use err uninitialized in mlx5e_attach_decap
  (jsc#SLE-15172).
- net/mlx5: Kconfig: Fix spelling typo (jsc#SLE-15172).
- mlx5: fix xdp data_meta setup in mlx5e_fill_xdp_buff
  (jsc#SLE-15172).
- net/mlx5: Add ability to read and write ECE options
  (jsc#SLE-15172).
- net/mlx5: Add support for RDMA TX FT headers modifying
  (jsc#SLE-15172).
- net/mlx5: Move iseg access helper routines close to mlx5_core
  driver (jsc#SLE-15172).
- net/mlx5: Cleanup mlx5_ifc_fte_match_set_misc2_bits
  (jsc#SLE-15172).
- net/mlx5: Add support in forward to namespace (jsc#SLE-15172).
- {IB/net}/mlx5: Simplify don't trap code (jsc#SLE-15172).
- net/mlx5: Replace zero-length array with flexible-array
  (jsc#SLE-15172).
- net: ethtool: cabletest: Make ethnl_act_cable_test_tdr_cfg
  static (bsc#1176447).
- nfp: flower: fix incorrect flag assignment (bsc#1176447).
- net: phy: marvell: unlock after phy_select_page() failure
  (bsc#1176447).
- net/mlx5: DR, Split RX and TX lock for parallel insertion
  (jsc#SLE-15172).
- net/mlx5: DR, Add a spinlock to protect the send ring
  (jsc#SLE-15172).
- net/mlx5e: Optimize performance for IPv4/IPv6 ethertype
  (jsc#SLE-15172).
- net/mlx5e: Helper function to set ethertype (jsc#SLE-15172).
- net/mlx5: Add missing mutex destroy (jsc#SLE-15172).
- net/mlx5e: Use change upper event to setup representors'
  bond_metadata (jsc#SLE-15172).
- net/mlx5e: Slave representors sharing unique metadata for match
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Alloc and free unique metadata for match
  (jsc#SLE-15172).
- net/mlx5e: Add bond_metadata and its slave entries
  (jsc#SLE-15172).
- net/mlx5e: Offload flow rules to active lower representor
  (jsc#SLE-15172).
- net/mlx5e: Support tc block sharing for representors
  (jsc#SLE-15172).
- net/mlx5e: Use netdev events to set/del egress acl
  forward-to-vport rule (jsc#SLE-15172).
- net/mlx5: E-Switch, Introduce APIs to enable egress acl
  forward-to-vport rule (jsc#SLE-15172).
- net/mlx5: E-Switch, Refactor eswitch ingress acl codes
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Refactor eswitch egress acl codes
  (jsc#SLE-15172).
- net_sched: get rid of unnecessary dev_qdisc_reset()
  (bsc#1176447).
- net_sched: avoid resetting active qdisc for multiple times
  (bsc#1176447).
- net_sched: add a tracepoint for qdisc creation (bsc#1176447).
- net_sched: add tracepoints for qdisc_reset() and qdisc_destroy()
  (bsc#1176447).
- net_sched: use qdisc_reset() in qdisc_destroy() (bsc#1176447).
- mlxsw: spectrum_router: remove redundant initialization of
  pointer br_dev (bsc#1176774).
- net: phy: marvell: Configure TDR pulse based on measurement
  length (bsc#1176447).
- net : phy: marvell: Speedup TDR data retrieval by only changing
  page once (bsc#1176447).
- net: ethtool: Allow PHY cable test TDR data to configured
  (bsc#1176447).
- net: phy: marvell: Add support for amplitude graph
  (bsc#1176447).
- net: ethtool: Add helpers for cable test TDR data (bsc#1176447).
- net: ethtool: Add generic parts of cable test TDR (bsc#1176447).
- net: ethtool: Add attributes for cable test TDR data
  (bsc#1176447).
- mlxsw: spectrum_router: Allow programming link-local prefix
  routes (bsc#1176774).
- mlxsw: spectrum: Add packet traps for BFD packets (bsc#1176774).
- mlxsw: spectrum: Treat IPv6 link-local SIP as an exception
  (bsc#1176774).
- mlxsw: spectrum: Share one group for all locally delivered
  packets (bsc#1176774).
- mlxsw: reg: Move all trap groups under the same enum
  (bsc#1176774).
- mlxsw: spectrum_trap: Do not hard code "thin" policer identifier
  (bsc#1176774).
- mlxsw: switchx2: Move SwitchX-2 trap groups out of main enum
  (bsc#1176774).
- mlxsw: spectrum: Reduce priority of locally delivered packets
  (bsc#1176774).
- mlxsw: spectrum: Use same trap group for local routes and
  link-local destination (bsc#1176774).
- mlxsw: spectrum: Use separate trap group for FID miss
  (bsc#1176774).
- mlxsw: spectrum: Use same trap group for various IPv6 packets
  (bsc#1176774).
- mlxsw: spectrum: Rename IPv6 ND trap group (bsc#1176774).
- mlxsw: spectrum: Use same switch case for identical groups
  (bsc#1176774).
- mlxsw: spectrum: Use dedicated trap group for ACL trap
  (bsc#1176774).
- cls_flower: Support filtering on multiple MPLS Label Stack
  Entries (bsc#1176447).
- flow_dissector: Parse multiple MPLS Label Stack Entries
  (bsc#1176447).
- mlxsw: spectrum: Fix spelling mistake in trap's name
  (bsc#1176774).
- mlxsw: spectrum: Use dedicated trap group for sampled packets
  (bsc#1176774).
- mlxsw: spectrum: Use same trap group for IPv6 ND and ARP packets
  (bsc#1176774).
- mlxsw: spectrum: Rename ARP trap group (bsc#1176774).
- mlxsw: spectrum_trap: Remove unnecessary field (bsc#1176774).
- mlxsw: spectrum: Align TC and trap priority (bsc#1176774).
- mlxsw: spectrum_buffers: Assign non-zero quotas to TC 0 of
  the CPU port (bsc#1176774).
- mlxsw: spectrum: Change default rate and priority of DHCP
  packets (bsc#1176774).
- mlxsw: spectrum: Trap IPv4 DHCP packets in router (bsc#1176774).
- mlxsw: spectrum: Use same trap group for MLD and IGMP packets
  (bsc#1176774).
- mlxsw: spectrum: Rename IGMP trap group (bsc#1176774).
- net/mlx5e: Support pedit on mpls over UDP decap (jsc#SLE-15172).
- net/mlx5e: Add support for hw decapsulation of MPLS over UDP
  (jsc#SLE-15172).
- net/mlx5e: Allow to match on mpls parameters (jsc#SLE-15172).
- net/mlx5e: Add support for hw encapsulation of MPLS over UDP
  (jsc#SLE-15172).
- net: Add netif_is_bareudp() API to identify bareudp devices
  (jsc#SLE-15172).
- net/mlx5e: Move TC-specific code from en_main.c to en_tc.c
  (jsc#SLE-15172).
- net/mlx5e: Extract neigh-specific code from en_rep.c to
  rep/neigh.c (jsc#SLE-15172).
- net/mlx5e: Extract TC-specific code from en_rep.c to rep/tc.c
  (jsc#SLE-15172).
- net/mlx5e: Use IS_ERR() to check and simplify code
  (jsc#SLE-15172).
- mlx5, xsk: Migrate to new MEM_TYPE_XSK_BUFF_POOL
  (jsc#SLE-15172).
- net: flow_offload: simplify hw stats check handling
  (bsc#1176774).
- ethtool: provide UAPI for PHY Signal Quality Index (SQI)
  (bsc#1176447).
- nfp: flower: inform firmware of flower features (bsc#1176447).
- nfp: flower: renaming of feature bits (bsc#1176447).
- net: phy: simplify phy_link_change arguments (bsc#1176447).
- selftests: mlxsw: Do not hard code trap group name
  (bsc#1176774).
- selftests: devlink_lib: Remove double blank line (bsc#1176774).
- mlxsw: spectrum_trap: Store all trap data in one array
  (bsc#1176774).
- mlxsw: spectrum_trap: Store all trap group data in one array
  (bsc#1176774).
- mlxsw: spectrum_trap: Store all trap policer data in one array
  (bsc#1176774).
- mlxsw: spectrum_trap: Move struct definition out of header file
  (bsc#1176774).
- nfp: don't check lack of RX/TX channels (bsc#1176447).
- net/mlx5e: Take DCBNL-related definitions into dedicated files
  (jsc#SLE-15172).
- net/mlx5e: Calculate SQ stop room in a robust way
  (jsc#SLE-15172).
- net/mlx5e: IPoIB, Drop multicast packets that this interface
  sent (jsc#SLE-15172).
- net/mlx5e: IPoIB, Enable loopback packets for IPoIB interfaces
  (jsc#SLE-15172).
- net/mlx5e: CT: Fix offload with CT action after CT NAT action
  (jsc#SLE-15172).
- net/mlx5: Move internal timer read function to clock library
  (jsc#SLE-15172).
- net/mlx5: Wait for inactive autogroups (jsc#SLE-15172).
- net/mlx5: Drain wq first during PCI device removal
  (jsc#SLE-15172).
- net/mlx5: Have single error unwinding path (jsc#SLE-15172).
- net/mlx5: Fix a bug of releasing wrong chunks on > 4K page
  size systems (jsc#SLE-15172).
- net/mlx5: Dedicate fw page to the requesting function
  (jsc#SLE-15172).
- mlx5: Rx queue setup time determine frame_sz for XDP
  (jsc#SLE-15172).
- nfp: Add XDP frame size to netronome driver (bsc#1176447).
- bnxt: Add XDP frame size to driver (jsc#SLE-15075).
- net: sched: cls_flower: implement terse dump support
  (bsc#1176447).
- net: sched: implement terse dump support in act (bsc#1176447).
- net: sched: introduce terse dump flag (bsc#1176447).
- devlink: refactor end checks in
  devlink_nl_cmd_region_read_dumpit (bsc#1176447).
- net: phy: Send notifier when starting the cable test
  (bsc#1176447).
- net: phy: Put interface into oper testing during cable test
  (bsc#1176447).
- net: phy: marvell: Add cable test support (bsc#1176447).
- net: ethtool: Add helpers for reporting test results
  (bsc#1176447).
- net: ethtool: Add infrastructure for reporting cable test
  results (bsc#1176447).
- net: ethtool: Make helpers public (bsc#1176447).
- net: ethtool: Add attributes for cable test reports
  (bsc#1176447).
- net: ethtool: netlink: Add support for triggering a cable test
  (bsc#1176447).
- net: phy: Add support for polling cable test (bsc#1176447).
- net: phy: Add cable test support to state machine (bsc#1176447).
- selftests: mlxsw: tc_restrictions: add couple of test for the
  correct matchall-flower ordering (bsc#1176774).
- selftests: mlxsw: tc_restrictions: add test to check sample
  action restrictions (bsc#1176774).
- selftests: mlxsw: rename tc_flower_restrictions.sh to
  tc_restrictions.sh (bsc#1176774).
- mlxsw: spectrum_flower: Forbid to insert flower rules in
  collision with matchall rules (bsc#1176774).
- mlxsw: spectrum_matchall: Forbid to insert matchall rules in
  collision with flower rules (bsc#1176774).
- mlxsw: spectrum_matchall: Expose a function to get min and
  max rule priority (bsc#1176774).
- mlxsw: spectrum_matchall: Put matchall list into substruct of
  flow struct (bsc#1176774).
- mlxsw: spectrum_flower: Expose a function to get min and max
  rule priority (bsc#1176774).
- mlxsw: spectrum_matchall: Restrict sample action to be allowed
  only on ingress (bsc#1176774).
- net/mlx5e: Enhance ICOSQ WQE info fields (jsc#SLE-15172).
- net/mlx5: Accel, Remove unnecessary header include
  (jsc#SLE-15172).
- net/mlx5e: Use struct assignment for WQE info updates
  (jsc#SLE-15172).
- net/mlx5e: Take TX WQE info structures out of general EN header
  (jsc#SLE-15172).
- net/mlx5e: kTLS, Do not fill edge for the DUMP WQEs in TX flow
  (jsc#SLE-15172).
- net/mlx5e: kTLS, Fill work queue edge separately in TX flow
  (jsc#SLE-15172).
- net/mlx5e: Split TX acceleration offloads into two phases
  (jsc#SLE-15172).
- net/mlx5e: Update UDP fields of the SKB for GSO first
  (jsc#SLE-15172).
- net/mlx5e: Make TLS offload independent of wqe and pi
  (jsc#SLE-15172).
- net/mlx5e: Pass only eseg to IPSEC offload (jsc#SLE-15172).
- net/mlx5e: Return void from mlx5e_sq_xmit and mlx5i_sq_xmit
  (jsc#SLE-15172).
- net/mlx5e: Unify checks of TLS offloads (jsc#SLE-15172).
- net/mlx5e: Return bool from TLS and IPSEC offloads
  (jsc#SLE-15172).
- net/mlx5: Add support to get lag physical port (jsc#SLE-15172).
- net/mlx5: Change lag mutex lock to spin lock (jsc#SLE-15172).
- ethtool: provide UAPI for PHY master/slave configuration
  (bsc#1176447).
- sch_choke: Remove classid from choke_skb_cb (bsc#1176447).
- net: sched: choke: Remove unused inline function
  choke_set_classid (bsc#1176447).
- net: bnxt: Remove Comparison to bool in bnxt_ethtool.c
  (jsc#SLE-15075).
- net: partially revert dynamic lockdep key changes (bsc#1176447).
- docs: devlink: clarify the scope of snapshot id (bsc#1176447).
- devlink: let kernel allocate region snapshot id (bsc#1176447).
- devlink: factor out building a snapshot notification
  (bsc#1176447).
- net_sched: sch_fq: add horizon attribute (bsc#1176447).
- net: sched: fallback to qdisc noqueue if default qdisc setup
  fail (bsc#1176447).
- bnxt_en: show only relevant ethtool stats for a TX or RX ring
  (jsc#SLE-15075).
- bnxt_en: Split HW ring statistics strings into RX and TX parts
  (jsc#SLE-15075).
- bnxt_en: Refactor the software ring counters (jsc#SLE-15075).
- bnxt_en: Add doorbell information to bnxt_en_dev struct
  (jsc#SLE-15075).
- bnxt_en: Add support for L2 doorbell size (jsc#SLE-15075).
- bnxt_en: Set the db_offset on 57500 chips for the RDMA MSIX
  entries (jsc#SLE-15075).
- bnxt_en: Define the doorbell offsets on 57500 chips
  (jsc#SLE-15075).
- bnxt_en: Improve kernel log messages related to ethtool reset
  (jsc#SLE-15075).
- bnxt_en: fix ethtool_reset_flags ABI violations (jsc#SLE-15075).
- bnxt_en: refactor ethtool firmware reset types (jsc#SLE-15075).
- bnxt_en: prepare to refactor ethtool reset types
  (jsc#SLE-15075).
- bnxt_en: Do not include ETH_FCS_LEN in the max packet length
  sent to fw (jsc#SLE-15075).
- bnxt_en: Update firmware spec. to 1.10.1.33 (jsc#SLE-15075).
- net_sched: sch_fq: perform a prefetch() earlier (bsc#1176447).
- net_sched: sch_fq: do not call fq_peek() twice per packet
  (bsc#1176447).
- net_sched: sch_fq: use bulk freeing in fq_gc() (bsc#1176447).
- net_sched: sch_fq: change fq_flow size/layout (bsc#1176447).
- net_sched: sch_fq: avoid touching f->next from fq_gc()
  (bsc#1176447).
- net: schedule: add action gate offloading (bsc#1176447).
- net/mlx5e: Unify reserving space for WQEs (jsc#SLE-15172).
- net/mlx5e: Rename ICOSQ WQE info struct and field
  (jsc#SLE-15172).
- net/mlx5e: Fetch WQE: reuse code and enforce typing
  (jsc#SLE-15172).
- net/mlx5e: XDP, Print the offending TX descriptor on error
  completion (jsc#SLE-15172).
- net/mlx5e: TX, Generalise code and usage of error CQE dump
  (jsc#SLE-15172).
- net/mlx5e: Use proper name field for the UMR key
  (jsc#SLE-15172).
- net/mlx5: Add support for release all pages event
  (jsc#SLE-15172).
- net/mlx5: Rate limit page not found error messages
  (jsc#SLE-15172).
- net/mlx5: Add helper function to release fw page
  (jsc#SLE-15172).
- net/mlx5: Remove unused field in EQ (jsc#SLE-15172).
- net/mlx5: CT: Remove unused variables (jsc#SLE-15172).
- net/mlx5e: CT: Avoid false warning about rule may be used
  uninitialized (jsc#SLE-15172).
- net/mlx5e: Remove unneeded semicolon (jsc#SLE-15172).
- net/mlx5e: Use helper API to get devlink port index for all
  port flavours (jsc#SLE-15172).
- net/mlx5: IPsec, Fix coverity issue (jsc#SLE-15172).
- net/mlx5: Add release all pages capability bit (jsc#SLE-15172).
- net/mlx5: Introduce TLS RX offload hardware bits
  (jsc#SLE-15172).
- net/mlx5: Add structure and defines for pci sync for fw update
  event (jsc#SLE-15172).
- net/mlx5: Add structure layout and defines for MFRL register
  (jsc#SLE-15172).
- net/mlx5: Refactor imm_inval_pkey field in cqe struct
  (jsc#SLE-15172).
- net/mlx5: Use aligned variable while allocating ICM memory
  (jsc#SLE-15172).
- net/mlx5: Introduce IPsec Connect-X offload hardware bits and
  structures (jsc#SLE-15172).
- net/mlx5: Add support for COPY steering action (jsc#SLE-15172).
- net/mlx5: Update transobj.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update SW steering new cmd interface (jsc#SLE-15172).
- net/mlx5: Update port.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update rl.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update uar.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update pd.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update pagealloc.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update mr.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update mcg.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update main.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update vxlan.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update mpfs.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update gid.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update lag.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update fw.c new cmd interface (jsc#SLE-15172).
- net/mlx5: Update fs_core new cmd interface (jsc#SLE-15172).
- net/mlx5: Update FPGA to new cmd interface (jsc#SLE-15172).
- net/mlx5: Update eswitch to new cmd interface (jsc#SLE-15172).
- net/mlx5: Update statistics to new cmd interface
  (jsc#SLE-15172).
- net/mlx5: Update eq.c to new cmd interface (jsc#SLE-15172).
- net/mlx5: Update ecpf.c to new cmd interface (jsc#SLE-15172).
- net/mlx5: Update debugfs.c to new cmd interface (jsc#SLE-15172).
- net/mlx5: Update cq.c to new cmd interface (jsc#SLE-15172).
- net/mlx5: Update vport.c to new cmd interface (jsc#SLE-15172).
- net/mlx5: Enable SW-defined RoCEv2 UDP source port
  (jsc#SLE-15172).
- net/mlx5: Refactor HCA capability set flow (jsc#SLE-15172).
- net/mlx5: Move QP logic to mlx5_ib (jsc#SLE-15172).
- RDMA/mlx5: Alphabetically sort build artifacts (jsc#SLE-15172).
- net/mlx5: Delete not-used cmd header (jsc#SLE-15172).
- net/mlx5: Remove Q counter low level helper APIs
  (jsc#SLE-15172).
- net/mlx5: Replace hand written QP context struct with automatic
  getters (jsc#SLE-15172).
- net/mlx5: Open-code modify QP in the IPoIB module
  (jsc#SLE-15172).
- net/mlx5: Open-code modify QP in the FPGA module
  (jsc#SLE-15172).
- net/mlx5: Open-code modify QP in steering module
  (jsc#SLE-15172).
- net/mlx5: Provide simplified command interfaces (jsc#SLE-15172).
- mlxsw: spectrum_span: Remove old SPAN API (bsc#1176774).
- mlxsw: spectrum_span: Use new analyzed ports list during speed /
  MTU change (bsc#1176774).
- mlxsw: spectrum_acl: Convert flower-based mirroring to new
  SPAN API (bsc#1176774).
- mlxsw: spectrum: Convert matchall-based mirroring to new SPAN
  API (bsc#1176774).
- mlxsw: spectrum_span: Add APIs to bind / unbind a SPAN agent
  (bsc#1176774).
- mlxsw: spectrum_span: Wrap buffer change in a function
  (bsc#1176774).
- mlxsw: spectrum_span: Rename function (bsc#1176774).
- mlxsw: spectrum_span: Add APIs to get / put an analyzed port
  (bsc#1176774).
- mlxsw: spectrum_span: Add APIs to get / put a SPAN agent
  (bsc#1176774).
- netfilter: nft_nat: add netmap support (bsc#1176447).
- netfilter: nft_nat: add helper function to set up NAT address
  and protocol (bsc#1176447).
- netfilter: nft_nat: set flags from initialization path
  (bsc#1176447).
- netfilter: nft_nat: return EOPNOTSUPP if type or flags are
  not supported (bsc#1176447).
- netfilter: nf_tables: allow up to 64 bytes in the set element
  data area (bsc#1176447).
- netfilter: nf_conntrack: add IPS_HW_OFFLOAD status bit
  (bsc#1176447).
- mlxsw: spectrum: Move flow offload binding into spectrum_flow.c
  (bsc#1176774).
- mlxsw: spectrum_matchall: Process matchall events from the
  same cb as flower (bsc#1176774).
- mlxsw: spectrum: Avoid copying sample values and use RCU
  pointer direcly instead (bsc#1176774).
- mlxsw: spectrum_matchall: Push per-port rule add/del into
  separate functions (bsc#1176774).
- mlxsw: spectrum_matchall: Move ingress indication into
  mall_entry (bsc#1176774).
- mlxsw: spectrum_matchall: Pass mall_entry as arg to
  mlxsw_sp_mall_port_sample_add() (bsc#1176774).
- mlxsw: spectrum_matchall: Pass mall_entry as arg to
  mlxsw_sp_mall_port_mirror_add() (bsc#1176774).
- mlxsw: spectrum_acl: Use block variable in
  mlxsw_sp_acl_rule_del() (bsc#1176774).
- mlxsw: spectrum: Push matchall bits into a separate file
  (bsc#1176774).
- mlxsw: spectrum: Push flow_block related functions into a
  separate file (bsc#1176774).
- mlxsw: spectrum: Rename acl_block to flow_block (bsc#1176774).
- mlxsw: spectrum_acl: Move block helpers into inline header
  functions (bsc#1176774).
- net/mlxfw: Remove unneeded semicolon (jsc#SLE-15172).
- net: sched: report ndo_setup_tc failures via extack
  (bsc#1176447).
- mlxsw: spectrum_span: Replace zero-length array with
  flexible-array member (bsc#1176774).
- mlxsw: spectrum_span: Use 'refcount_t' for reference counting
  (bsc#1176774).
- mlxsw: spectrum_span: Remove unnecessary debug prints
  (bsc#1176774).
- mlxsw: spectrum_span: Rename parms() to parms_set()
  (bsc#1176774).
- mlxsw: spectrum_span: Reduce nesting in
  mlxsw_sp_span_entry_configure() (bsc#1176774).
- net: sched : Remove unnecessary cast in kfree (bsc#1176447).
- net/sched: act_ct: update nf_conn_acct for act_ct SW offload
  in flowtable (bsc#1176447).
- net/mlx5: improve some comments (jsc#SLE-15172).
- net/mlx5: Read embedded cpu bit only once (jsc#SLE-15172).
- net/mlx5e: Handle errors from netif_set_real_num_{tx,rx}_queues
  (jsc#SLE-15172).
- net/mlx5e: Allow partial data mask for tunnel options
  (jsc#SLE-15172).
- net/mlx5e: Set of completion request bit should not clear
  other adjacent bits (jsc#SLE-15172).
- net/mlx5: IPsec, Refactor SA handle creation and destruction
  (jsc#SLE-15172).
- net/mlx5e: IPSec, Expose IPsec HW stat only for supporting HW
  (jsc#SLE-15172).
- net/mlx5: Refactor mlx5_accel_esp_create_hw_context parameter
  list (jsc#SLE-15172).
- net/mlx5e: en_accel, Add missing net/geneve.h include
  (jsc#SLE-15172).
- net/mlx5: Use the correct IPsec capability function for FPGA
  ops (jsc#SLE-15172).
- mlxsw: reg: Increase register field length to 13 bits
  (bsc#1176774).
- mlxsw: spectrum_router: Re-increase scale of IPv6 nexthop groups
  (bsc#1176774).
- audit: add subj creds to NETFILTER_CFG record to (bsc#1176447).
- audit: make symbol 'audit_nfcfgs' static (bsc#1176447).
- netfilter: add audit table unregister actions (bsc#1176447).
- audit: tidy and extend netfilter_cfg x_tables (bsc#1176447).
- net/sched: act_ct: add nat mangle action only for NAT-conntrack
  (jsc#SLE-15172).
- net/mlx5e: Fix MLX5_TC_CT dependencies (jsc#SLE-15172).
- net/mlx5e: Properly set default values when disabling adaptive
  moderation (jsc#SLE-15172).
- net/mlx5e: Fix arch depending casting issue in FEC
  (jsc#SLE-15172).
- net/mlx5e: Remove warning "devices are not on same switch HW"
  (jsc#SLE-15172).
- netfilter: nf_conntrack_pptp: fix compilation warning with
  W=1 build (bsc#1176447).
- netfilter: conntrack: comparison of unsigned in cthelper
  confirmation (bsc#1176447).
- netfilter: conntrack: Pass value of ctinfo to
  __nf_conntrack_update (bsc#1176447).
- net/sched: fix infinite loop in sch_fq_pie (jsc#SLE-15172).
- bnxt_en: Fix accumulation of bp->net_stats_prev (jsc#SLE-15075).
- netfilter: nfnetlink_cthelper: unbreak userspace helper support
  (bsc#1176447).
- netfilter: conntrack: make conntrack userspace helpers work
  again (bsc#1176447).
- netfilter: nf_conntrack_pptp: prevent buffer overflows in
  debug code (bsc#1176447).
- netfilter: ipset: Fix subcounter update skip (bsc#1176447).
- net/mlx5e: CT: Correctly get flow rule (jsc#SLE-15172).
- net/mlx5: Annotate mutex destroy for root ns (jsc#SLE-15172).
- net/mlx5: Don't maintain a case of del_sw_func being null
  (jsc#SLE-15172).
- net/mlx5e: Fix allowed tc redirect merged eswitch offload cases
  (jsc#SLE-15172).
- net/mlx5: Avoid processing commands before cmdif is ready
  (jsc#SLE-15172).
- net/mlx5: Fix a race when moving command interface to events
  mode (jsc#SLE-15172).
- selftests: mlxsw: qos_mc_aware: Specify arping timeout as an
  integer (bsc#1176774).
- mlxsw: spectrum: Fix use-after-free of split/unsplit/type_set
  in case reload fails (bsc#1176774).
- selftests: netdevsim: Always initialize 'RET' variable
  (bsc#1176774).
- netdevsim: Ensure policer drop counter always increases
  (bsc#1176447).
- flow_dissector: Drop BPF flow dissector prog ref on netns
  cleanup (bsc#1176447).
- netfilter: nft_set_rbtree: Add missing expired checks
  (bsc#1176447).
- netfilter: flowtable: set NF_FLOW_TEARDOWN flag on entry
  expiration (bsc#1176447).
- netfilter: conntrack: fix infinite loop on rmmod (bsc#1176447).
- netfilter: flowtable: Remove WQ_MEM_RECLAIM from workqueue
  (bsc#1176447).
- netfilter: flowtable: Add pending bit for offload work
  (bsc#1176447).
- netfilter: conntrack: avoid gcc-10 zero-length-bounds warning
  (bsc#1176447).
- net: bareudp: avoid uninitialized variable warning
  (jsc#SLE-15172).
- IB/i40iw: Remove bogus call to netdev_master_upper_dev_get()
  (jsc#SLE-13537).
- net: flow_offload: skip hw stats check for
  FLOW_ACTION_HW_STATS_DONT_CARE (bsc#1176774).
- net_sched: fix tcm_parent in tc filter dump (bsc#1176447).
- devlink: Fix reporter's recovery condition (bsc#1176447).
- ice: cleanup language in ice.rst for fw.app (bsc#1176447).
- netfilter: nf_osf: avoid passing pointer to local var
  (bsc#1176447).
- netfilter: nat: never update the UDP checksum when it's 0
  (bsc#1176447).
- net/mlx5: E-switch, Fix mutex init order (jsc#SLE-15172).
- net/mlx5: E-switch, Fix printing wrong error value
  (jsc#SLE-15172).
- net/mlx5: E-switch, Fix error unwinding flow for steering init
  failure (jsc#SLE-15172).
- RDMA/cm: Fix missing RDMA_CM_EVENT_REJECTED event after
  receiving REJ message (jsc#SLE-15176).
- netfilter: nat: fix error handling upon registering inet hook
  (bsc#1176447).
- netfilter: flowtable: Free block_cb when being deleted
  (bsc#1176447).
- net/mlx5e: Get the latest values from counters in switchdev mode
  (jsc#SLE-15172).
- net/mlx5: Kconfig: convert imply usage to weak dependency
  (jsc#SLE-15172).
- net/mlx5e: Don't trigger IRQ multiple times on XSK wakeup to
  avoid WQ overruns (jsc#SLE-15172).
- net/mlx5: CT: Change idr to xarray to protect parallel tuple
  id allocation (jsc#SLE-15172).
- net/mlx5: Fix failing fw tracer allocation on s390
  (jsc#SLE-15172).
- ethtool.h: Replace zero-length array with flexible-array member
  (bsc#1176447).
- net: phy: marvell: Fix pause frame negotiation (bsc#1176447).
- net/mlx5e: CT: Use rhashtable's ct entries instead of a separate
  list (jsc#SLE-15172).
- net/mlx5e: Fix devlink port netdev unregistration sequence
  (jsc#SLE-15172).
- net/mlx5e: Fix missing pedit action after ct clear action
  (jsc#SLE-15172).
- net/mlx5: Fix condition for termination table cleanup
  (jsc#SLE-15172).
- Documentation: devlink: fix broken link warning (bsc#1176447).
- net/tls: fix const assignment warning (bsc#1176447).
- net: sched: Fix setting last executed chain on skb extension
  (bsc#1176447).
- netfilter: nf_tables: reintroduce the NFT_SET_CONCAT flag
  (bsc#1176447).
- netfilter: nf_tables: report EOPNOTSUPP on unsupported
  flags/object type (bsc#1176447).
- netfilter: ipset: Pass lockdep expression to RCU lists
  (bsc#1176447).
- netfilter: nf_tables: do not leave dangling pointer in
  nf_tables_set_alloc_name (bsc#1176447).
- netfilter: xt_IDLETIMER: target v1 - match Android layout
  (bsc#1176447).
- netfilter: nf_tables: do not update stateful expressions if
  lookup is inverted (bsc#1176447).
- netfilter: nft_set_rbtree: Drop spurious condition for overlap
  detection on insertion (bsc#1176447).
- mlxsw: spectrum_trap: fix unintention integer overflow on left
  shift (bsc#1176774).
- IB/qib: Delete struct qib_ivdev.qp_rnd (jsc#SLE-15176).
- RDMA/hns: Fix uninitialized variable bug (jsc#SLE-14777).
- RDMA/hns: Modify the mask of QP number for CQE of hip08
  (jsc#SLE-14777).
- RDMA/hns: Reduce the maximum number of extend SGE per WQE
  (jsc#SLE-14777).
- RDMA/hns: Reduce PFC frames in congestion scenarios
  (jsc#SLE-14777).
- RDMA/mlx5: Add support for RDMA TX flow table (jsc#SLE-15175).
- net/mlx5: Add support for RDMA TX steering (jsc#SLE-15172).
- IB/hfi1: Call kobject_put() when kobject_init_and_add() fails
  (jsc#SLE-13208).
- IB/mlx5: Move to fully dynamic UAR mode once user space supports
  it (jsc#SLE-15175).
- IB/mlx5: Limit the scope of struct mlx5_bfreg_info to mlx5_ib
  (jsc#SLE-15175).
- IB/mlx5: Extend QP creation to get uar page index from user
  space (jsc#SLE-15175).
- IB/mlx5: Extend CQ creation to get uar page index from user
  space (jsc#SLE-15175).
- IB/mlx5: Expose UAR object and its alloc/destroy commands
  (jsc#SLE-15175).
- IB/hfi1: Get rid of a warning (jsc#SLE-13208).
- RDMA/hns: Remove redundant judgment of qp_type (jsc#SLE-14777).
- RDMA/hns: Remove redundant assignment of wc->smac when polling
  cq (jsc#SLE-14777).
- RDMA/hns: Remove redundant qpc setup operations (jsc#SLE-14777).
- RDMA/hns: Remove meaningless prints (jsc#SLE-14777).
- RDMA/hns: Remove definition of cq doorbell structure
  (jsc#SLE-14777).
- RDMA/hns: Adjust the qp status value sequence of the hardware
  (jsc#SLE-14777).
- RDMA/hns: Optimize hns_roce_alloc_vf_resource() (jsc#SLE-14777).
- RDMA/hns: Simplify attribute judgment code (jsc#SLE-14777).
- RDMA/hns: Unify format of prints (jsc#SLE-14777).
- IB/iser: Always check sig MR before putting it to the free pool
  (jsc#SLE-15176).
- IB/hfi1: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13208).
- IB/mlx5: Generally use the WC auto detection test result
  (jsc#SLE-15175).
- RDMA/hns: Optimize mhop put flow for multi-hop addressing
  (jsc#SLE-14777).
- RDMA/hns: Optimize mhop get flow for multi-hop addressing
  (jsc#SLE-14777).
- IB/mlx5: Fix a NULL vs IS_ERR() check (jsc#SLE-15175).
- RDMA/efa: Use in-kernel offsetofend() to check field
  availability (jsc#SLE-15176).
- IB/hfi1: Remove kobj from hfi1_devdata (jsc#SLE-13208).
- RDMA/hns: Check if depth of qp is 0 before configure
  (jsc#SLE-14777).
- RDMA/hns: Optimize wqe buffer set flow for post send
  (jsc#SLE-14777).
- RDMA/hns: Optimize base address table config flow for qp buffer
  (jsc#SLE-14777).
- RDMA/hns: Optimize the wr opcode conversion from ib to hns
  (jsc#SLE-14777).
- RDMA/hns: Optimize wqe buffer filling process for post send
  (jsc#SLE-14777).
- RDMA/hns: Rename wqe buffer related functions (jsc#SLE-14777).
- RDMA/cm: Make sure the cm_id is in the IB_CM_IDLE state in
  destroy (jsc#SLE-15176).
- RDMA/cm: Allow ib_send_cm_sidr_rep() to be done under lock
  (jsc#SLE-15176).
- RDMA/cm: Allow ib_send_cm_rej() to be done under lock
  (jsc#SLE-15176).
- RDMA/cm: Allow ib_send_cm_drep() to be done under lock
  (jsc#SLE-15176).
- RDMA/cm: Allow ib_send_cm_dreq() to be done under lock
  (jsc#SLE-15176).
- RDMA/cm: Add some lockdep assertions for cm_id_priv->lock
  (jsc#SLE-15176).
- RDMA/cm: Make it clearer how concurrency works in
  cm_req_handler() (jsc#SLE-15176).
- RDMA/cm: Make it clear that there is no concurrency in
  cm_sidr_req_handler() (jsc#SLE-15176).
- RDMA/cm: Make the destroy_id flow more robust (jsc#SLE-15176).
- RDMA/mlx5: Allow MRs to be created in the cache synchronously
  (jsc#SLE-15175).
- RDMA/mlx5: Revise how the hysteresis scheme works for cache
  filling (jsc#SLE-15175).
- RDMA/mlx5: Fix locking in MR cache work queue (jsc#SLE-15175).
- RDMA/mlx5: Lock access to ent->available_mrs/limit when doing
  queue_work (jsc#SLE-15175).
- RDMA/mlx5: Fix MR cache size and limit debugfs (jsc#SLE-15175).
- RDMA/mlx5: Always remove MRs from the cache before destroying
  them (jsc#SLE-15175).
- RDMA/mlx5: Simplify how the MR cache bucket is located
  (jsc#SLE-15175).
- RDMA/mlx5: Rename the tracking variables for the MR cache
  (jsc#SLE-15175).
- RDMA/mlx5: Replace spinlock protected write with atomic var
  (jsc#SLE-15175).
- RDMA/cm: Delete not implemented CM peer to peer communication
  (jsc#SLE-15176).
- RDMA/mlx5: Use offsetofend() instead of duplicated variant
  (jsc#SLE-15175).
- RDMA/mlx4: Delete duplicated offsetofend implementation
  (jsc#SLE-15946).
- RDMA/mlx5: Remove duplicate definitions of SW_ICM macros
  (jsc#SLE-15175).
- RDMA/cma: Teach lockdep about the order of rtnl and lock
  (jsc#SLE-15176).
- RDMA/rw: map P2P memory correctly for signature operations
  (jsc#SLE-15176).
- IB/mlx5: Introduce UAPIs to manage packet pacing
  (jsc#SLE-15175).
- RDMA/hns: fix spelling mistake "attatch" -> "attach"
  (jsc#SLE-14777).
- IB/mlx5: Add np_min_time_between_cnps and rp_max_rate debug
  params (jsc#SLE-15175).
- RDMA/providers: Fix return value when QP type isn't supported
  (jsc#SLE-15176).
- RDMA/efa: Do not delay freeing of DMA pages (jsc#SLE-15176).
- RDMA/efa: Properly document the interrupt mask register
  (jsc#SLE-15176).
- RDMA/efa: Unified getters/setters for device structs bitmask
  access (jsc#SLE-15176).
- RDMA/hns: Optimize qp doorbell allocation flow (jsc#SLE-14777).
- RDMA/hns: Optimize kernel qp wrid allocation flow
  (jsc#SLE-14777).
- RDMA/hns: Optimize qp param setup flow (jsc#SLE-14777).
- RDMA/hns: Optimize qp buffer allocation flow (jsc#SLE-14777).
- RDMA/hns: Optimize qp number assign flow (jsc#SLE-14777).
- RDMA/hns: Optimize qp context create and destroy flow
  (jsc#SLE-14777).
- RDMA/hns: Optimize qp destroy flow (jsc#SLE-14777).
- RDMA/hns: Stop doorbell update while qp state error
  (jsc#SLE-14777).
- RDMA/hns: Use flush framework for the case in aeq
  (jsc#SLE-14777).
- RDMA/hns: Treat revision HIP08_A as a special case
  (jsc#SLE-14777).
- RDMA: Replace zero-length array with flexible-array member
  (jsc#SLE-15176).
- RDMA/hns: Initialize all fields of doorbells to zero
  (jsc#SLE-14777).
- RDMA/hns: fix spelling mistake: "attatch" -> "attach"
  (jsc#SLE-14777).
- RDMA/ucma: Use refcount_t for the ctx->ref (jsc#SLE-15176).
- RDMA/core: Get rid of ib_create_qp_user (jsc#SLE-15176).
- RDMA/hns: Delayed flush cqe process with workqueue
  (jsc#SLE-14777).
- RDMA/hns: Add the workqueue framework for flush cqe handler
  (jsc#SLE-14777).
- RDMA/core: Add weak ordering dma attr to dma mapping
  (jsc#SLE-15176).
- RDMA/ucma: Mask QPN to be 24 bits according to IBTA
  (jsc#SLE-15176).
- RDMA/hns: Optimize eqe buffer allocation flow (jsc#SLE-14777).
- RDMA/hns: Cleanups of magic numbers (jsc#SLE-14777).
- RDMA/cma: Use refcount API to reflect refcount (jsc#SLE-15176).
- RDMA/cma: Rename cma_device ref/deref helpers to to get/put
  (jsc#SLE-15176).
- RDMA/cma: Use refcount API to reflect refcount (jsc#SLE-15176).
- RDMA/cma: Rename cma_device ref/deref helpers to to get/put
  (jsc#SLE-15176).
- RDMA/cma: Use RDMA device port iterator (jsc#SLE-15176).
- RDMA/cma: Use a helper function to enqueue resolve work items
  (jsc#SLE-15176).
- ipvs: fix uninitialized variable warning (bsc#1176447).
- netfilter: nft_exthdr: fix endianness of tcp option cast
  (bsc#1176447).
- netfilter: flowtable: add counter support in HW offload
  (bsc#1176447).
- netfilter: conntrack: add nf_ct_acct_add() (bsc#1176447).
- netfilter: nf_tables: skip set types that do not support for
  expressions (bsc#1176447).
- netfilter: nft_dynset: validate set expression definition
  (bsc#1176447).
- netfilter: nft_set_bitmap: initialize set element extension
  in lookups (bsc#1176447).
- netfilter: ctnetlink: be more strict when NF_CONNTRACK_MARK
  is not set (bsc#1176447).
- netfilter: nf_queue: prefer nf_queue_entry_free (bsc#1176447).
- netfilter: nf_queue: do not release refcouts until nf_reinject
  is done (bsc#1176447).
- netfilter: nf_queue: place bridge physports into queue_entry
  struct (bsc#1176447).
- netfilter: nf_queue: make nf_queue_entry_release_refs static
  (bsc#1176447).
- netfilter: flowtable: Use work entry per offload command
  (bsc#1176447).
- netfilter: flowtable: Use rw sem as flow block lock
  (bsc#1176447).
- netfilter: nf_tables: silence a RCU-list warning in
  nft_table_lookup() (bsc#1176447).
- netfilter: flowtable: Fix incorrect tc_setup_type type
  (bsc#1176447).
- netfilter: flowtable: add counter support (bsc#1176447).
- netfilter: nf_tables: add enum nft_flowtable_flags to uapi
  (bsc#1176447).
- netfilter: conntrack: export nf_ct_acct_update() (bsc#1176447).
- ipvs: optimize tunnel dumps for icmp errors (bsc#1176447).
- netfilter: conntrack: Add missing annotations for
  nf_conntrack_all_lock() and nf_conntrack_all_unlock()
  (bsc#1176447).
- netfilter: ctnetlink: Add missing annotation for
  ctnetlink_parse_nat_setup() (bsc#1176447).
- netfilter: flowtable: fix NULL pointer dereference in tunnel
  offload support (bsc#1176447).
- netfilter: nf_tables: add nft_set_elem_expr_destroy() and use it
  (bsc#1176447).
- netfilter: nf_tables: fix double-free on set expression from
  the error path (bsc#1176447).
- netfilter: nf_tables: allow to specify stateful expression in
  set definition (bsc#1176447).
- netfilter: nf_tables: pass context to nft_set_destroy()
  (bsc#1176447).
- netfilter: nf_tables: move nft_expr_clone() to nf_tables_api.c
  (bsc#1176447).
- selftests: mlxsw: Add test cases for devlink-trap policers
  (bsc#1176774).
- mlxsw: spectrum_trap: Add support for setting of packet trap
  group parameters (bsc#1176774).
- mlxsw: spectrum_trap: Switch to use correct packet trap group
  (bsc#1176774).
- mlxsw: spectrum_trap: Do not initialize dedicated discard
  policer (bsc#1176774).
- mlxsw: spectrum_trap: Add devlink-trap policer support
  (bsc#1176774).
- mlxsw: spectrum_trap: Prepare policers for registration with
  devlink (bsc#1176774).
- mlxsw: spectrum: Track used packet trap policer IDs
  (bsc#1176774).
- mlxsw: reg: Extend QPCR register (bsc#1176774).
- selftests: netdevsim: Add test cases for devlink-trap policers
  (bsc#1176774).
- netdevsim: Add support for setting of packet trap group
  parameters (bsc#1176447).
- devlink: Allow setting of packet trap group parameters
  (bsc#1176774).
- devlink: Add packet trap group parameters support (bsc#1176774).
- netdevsim: Add devlink-trap policer support (bsc#1176447).
- Documentation: Add description of packet trap policers
  (bsc#1176447).
- devlink: Add packet trap policers support (bsc#1176774).
- devlink: Add auto dump flag to health reporter (bsc#1176774).
- devlink: Implicitly set auto recover flag when registering
  health reporter (jsc#SLE-15075).
- netdevsim: Change dummy reporter auto recover default
  (jsc#SLE-15075).
- net: devlink: use NL_SET_ERR_MSG_MOD instead of NL_SET_ERR_MSG
  (bsc#1176447).
- net: introduce nla_put_bitfield32() helper and use it
  (jsc#SLE-15172).
- net/mlx5e: add mlx5e_rep_indr_setup_ft_cb support
  (jsc#SLE-15172).
- net/mlx5e: refactor indr setup block (jsc#SLE-15172).
- net/mlx5: E-Switch: Move eswitch chains to a new directory
  (jsc#SLE-15172).
- net/mlx5: Use a separate work queue for fib event handling
  (jsc#SLE-15172).
- mlx5: Remove uninitialized use of key in mlx5_core_create_mkey
  (jsc#SLE-15172).
- {IB,net}/mlx5: Move asynchronous mkey creation to mlx5_ib
  (jsc#SLE-15172).
- {IB,net}/mlx5: Assign mkey variant in mlx5_ib only
  (jsc#SLE-15172).
- {IB,net}/mlx5: Setup mkey variant before mr create command
  invocation (jsc#SLE-15172).
- devlink: don't wrap commands in rST shell blocks (bsc#1176447).
- bnxt_en: Add partno to devlink info_get cb (jsc#SLE-15075).
- bnxt_en: Read partno and serialno of the board from VPD
  (jsc#SLE-15075).
- PCI: Add new PCI_VPD_RO_KEYWORD_SERIALNO macro (jsc#SLE-15075).
- devlink: Add macro for "fw.mgmt.api" to info_get cb
  (jsc#SLE-15075).
- mlxsw: spectrum_router: Avoid uninitialized symbol errors
  (bsc#1176774).
- mlxsw: switchx2: Remove unnecessary conversion to bool
  (bsc#1176774).
- mlxsw: core_acl: Avoid defining static variable in header file
  (bsc#1176774).
- mlxsw: spectrum: Remove unused RIF and FID families
  (bsc#1176774).
- mlxsw: spectrum_router: Add proper function documentation
  (bsc#1176774).
- mlxsw: i2c: Add missing field documentation (bsc#1176774).
- net: add a reference to MACsec ops in net_device (bsc#1176447).
- cls_flower: Add extack support for flags key (bsc#1176447).
- cls_flower: Add extack support for src and dst port range
  options (bsc#1176447).
- cls_flower: Add extack support for mpls options (bsc#1176447).
- netdevsim: support taking immediate snapshot via devlink
  (jsc#SLE-15075).
- sched: act_pedit: Implement stats_update callback (bsc#1176447).
- sched: act_skbedit: Implement stats_update callback
  (bsc#1176447).
- selftests: mlxsw: qos_dscp_router: Test no DSCP rewrite after
  pedit (bsc#1176774).
- mlxsw: spectrum_flower: Offload FLOW_ACTION_MANGLE
  (bsc#1176774).
- mlxsw: core: Add DSCP, ECN, dscp_rw to QOS_ACTION (bsc#1176774).
- mlxsw: core: Rename mlxsw_afa_qos_cmd to
  mlxsw_afa_qos_switch_prio_cmd (bsc#1176774).
- net/mlx5: E-switch, Protect eswitch mode changes
  (jsc#SLE-15172).
- net/mlx5: E-switch, Extend eswitch enable to handle num_vfs
  change (jsc#SLE-15172).
- net/mlx5: Split eswitch mode check to different helper function
  (jsc#SLE-15172).
- devlink: Rely on driver eswitch thread safety instead of devlink
  (bsc#1176447).
- net/mlx5: Simplify mlx5_unload_one() and its callers
  (jsc#SLE-15172).
- net/mlx5: Simplify mlx5_register_device to return void
  (jsc#SLE-15172).
- net/mlx5: Avoid group version scan when not necessary
  (jsc#SLE-15172).
- net/mlx5: Avoid incrementing FTE version (jsc#SLE-15172).
- net/mlx5: Fix group version management (jsc#SLE-15172).
- net/mlx5: Simplify matching group searches (jsc#SLE-15172).
- net/mlx5: E-Switch, Use correct type for chain, prio and level
  values (jsc#SLE-15172).
- net/mlx5: E-Switch, free flow_group_in after creating the
  restore table (jsc#SLE-15172).
- net/mlx5: E-Switch, Enable chains only if regs loopback is
  enabled (jsc#SLE-15172).
- net/mlx5: E-Switch, Enable restore table only if reg_c1 is
  supported (jsc#SLE-15172).
- net/mlx5e: remove duplicated check chain_index in
  mlx5e_rep_setup_ft_cb (jsc#SLE-15172).
- net/mlx5e: Fix actions_match_supported() return (jsc#SLE-15172).
- devlink: expand the devlink-info documentation (bsc#1176447).
- devlink: Only pass packet trap group identifier in trap
  structure (bsc#1176774).
- devlink: Stop reference counting packet trap groups
  (bsc#1176774).
- netdevsim: Explicitly register packet trap groups (bsc#1176774).
- mlxsw: spectrum_trap: Explicitly register packet trap groups
  (bsc#1176774).
- net: phy: aquantia: remove downshift warning now that phylib
  takes care (bsc#1176447).
- net: phy: marvell: remove downshift warning now that phylib
  takes care (bsc#1176447).
- net: phy: add and use phy_check_downshift (bsc#1176447).
- mlxsw: spectrum_cnt: Fix 64-bit division in
  mlxsw_sp_counter_resources_register (bsc#1176774).
- net: sched: rename more stats_types (jsc#SLE-15172).
- net/tls: Annotate access to sk_prot with READ_ONCE/WRITE_ONCE
  (bsc#1176447).
- net/tls: Read sk_prot once when building tls proto ops
  (bsc#1176447).
- net/tls: Constify base proto ops used for building tls proto
  (bsc#1176447).
- mlxsw: core: Add QOS_ACTION (bsc#1176774).
- net: tc_skbedit: Make the skbedit priority offloadable
  (bsc#1176774).
- net: tc_skbedit: Factor a helper out of is_tcf_skbedit_{mark,
  ptype}() (bsc#1176774).
- net/mlx5: Avoid forwarding to other eswitch uplink
  (jsc#SLE-15172).
- net/mlx5: Eswitch, enable forwarding back to uplink port
  (jsc#SLE-15172).
- net/mlx5e: Add support for offloading traffic from uplink to
  uplink (jsc#SLE-15172).
- net/mlx5: Don't use termination tables in slow path
  (jsc#SLE-15172).
- net/mlx5: Avoid configuring eswitch QoS if not supported
  (jsc#SLE-15172).
- net/mlx5e: Fix devlink port register sequence (jsc#SLE-15172).
- net/mlx5e: Fix rejecting all egress rules not on vlan
  (jsc#SLE-15172).
- net/mlx5e: en_tc: Rely just on register loopback for tunnel
  restoration (jsc#SLE-15172).
- net/mlx5e: CT: Fix stack usage compiler warning (jsc#SLE-15172).
- net/mlx5e: CT: Fix insert rules when TC_CT config isn't enabled
  (jsc#SLE-15172).
- net/mlx5e: CT: remove set but not used variable 'unnew'
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Skip restore modify header between prios
  of same chain (jsc#SLE-15172).
- net/mlx5: E-Switch: Fix using fwd and modify when firmware
  doesn't support it (jsc#SLE-15172).
- net/mlx5: Add missing inline to stub esw_add_restore_rule
  (jsc#SLE-15172).
- net: sched: Fix hw_stats_type setting in pedit loop
  (jsc#SLE-15172).
- selftests: mlxsw: Add tc action hw_stats tests (bsc#1176774).
- mlxsw: spectrum_cnt: Expose devlink resource occupancy for
  counters (bsc#1176774).
- mlxsw: spectrum_cnt: Consolidate subpools initialization
  (bsc#1176774).
- mlxsw: spectrum_cnt: Move config validation along with resource
  register (bsc#1176774).
- mlxsw: spectrum_cnt: Expose subpool sizes over devlink resources
  (bsc#1176774).
- mlxsw: spectrum_cnt: Add entry_size_res_id for each subpool
  and use it to query entry size (bsc#1176774).
- mlxsw: spectrum_cnt: Move sub_pools under per-instance pool
  struct (bsc#1176774).
- selftests: spectrum-2: Adjust tc_flower_scale limit according
  to current counter count (bsc#1176774).
- mlxsw: spectrum_cnt: Query bank size from FW resources
  (bsc#1176774).
- netfilter: conntrack: re-visit sysctls in unprivileged
  namespaces (bsc#1176447).
- netfilter: nft_lookup: update element stateful expression
  (bsc#1176447).
- netfilter: nf_tables: add nft_set_elem_update_expr() helper
  function (bsc#1176447).
- netfilter: nf_tables: add elements with stateful expressions
  (bsc#1176447).
- netfilter: nf_tables: statify nft_expr_init() (bsc#1176447).
- netfilter: nf_tables: add nft_set_elem_expr_alloc()
  (bsc#1176447).
- nft_set_pipapo: Prepare for single ranged field usage
  (bsc#1176447).
- nft_set_pipapo: Introduce AVX2-based lookup implementation
  (bsc#1176447).
- nft_set_pipapo: Prepare for vectorised implementation: helpers
  (bsc#1176447).
- nft_set_pipapo: Prepare for vectorised implementation: alignment
  (bsc#1176447).
- nft_set_pipapo: Add support for 8-bit lookup groups and dynamic
  switch (bsc#1176447).
- nft_set_pipapo: Generalise group size for buckets (bsc#1176447).
- netfilter: flowtable: add tunnel encap/decap action offload
  support (bsc#1176447).
- netfilter: flowtable: add tunnel match offload support
  (bsc#1176447).
- netfilter: flowtable: add indr block setup support
  (bsc#1176447).
- netfilter: flowtable: add nf_flow_table_block_offload_init()
  (bsc#1176447).
- netfilter: xt_IDLETIMER: clean up some indenting (bsc#1176447).
- netfilter: bitwise: use more descriptive variable-names
  (bsc#1176447).
- netfilter: Replace zero-length array with flexible-array member
  (bsc#1176447).
- netfilter: nft_set_pipapo: make the symbol 'nft_pipapo_get'
  static (bsc#1176447).
- netfilter: cleanup unused macro (bsc#1176447).
- netfilter: nf_tables: make all set structs const (bsc#1176447).
- netfilter: nf_tables: make sets built-in (bsc#1176447).
- netfilter: nft_tunnel: add support for geneve opts
  (bsc#1176447).
- netfilter: xtables: Add snapshot of hardidletimer target
  (bsc#1176447).
- netfilter: flowtable: Use nf_flow_offload_tuple for stats as
  well (bsc#1176447).
- net_sched: sch_fq: enable use of hrtimer slack (bsc#1176447).
- net_sched: do not reprogram a timer about to expire
  (bsc#1176447).
- net_sched: add qdisc_watchdog_schedule_range_ns() (bsc#1176447).
- nfp: allow explicitly selected delayed stats (bsc#1176447).
- net: rename flow_action_hw_stats_types* -> flow_action_hw_stats*
  (jsc#SLE-15172).
- net: sched: set the hw_stats_type in pedit loop (jsc#SLE-15172).
- selftests: mlxsw: RED: Test RED ECN nodrop offload
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Offload RED ECN nodrop mode
  (bsc#1176774).
- net: sched: RED: Introduce an ECN nodrop mode (bsc#1176774).
- net: sched: Allow extending set of supported RED flags
  (bsc#1176774).
- net/mlx5: DR, Remove unneeded functions deceleration
  (jsc#SLE-15172).
- net/mlx5: DR, Add support for flow table id destination action
  (jsc#SLE-15172).
- net/mlx5: Avoid deriving mlx5_core_dev second time
  (jsc#SLE-15172).
- net/mlx5: E-switch, Annotate esw state_lock mutex destroy
  (jsc#SLE-15172).
- net/mlx5: E-switch, Annotate termtbl_mutex mutex destroy
  (jsc#SLE-15172).
- net/mlx5: Accept flow rules without match (jsc#SLE-15172).
- net/mlx5: E-Switch, Refactor unload all reps per rep type
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Update VF vports config when num of VFs
  changed (jsc#SLE-15172).
- net/mlx5: E-Switch, Introduce per vport configuration for
  eswitch modes (jsc#SLE-15172).
- net/mlx5: E-switch, Make vport setup/cleanup sequence symmetric
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Prepare for vport enable/disable refactor
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Remove redundant warning when QoS enable
  failed (jsc#SLE-15172).
- net/mlx5: E-Switch, Hold mutex when querying drop counter in
  legacy mode (jsc#SLE-15172).
- net/mlx5: E-Switch, Remove redundant check of eswitch manager
  cap (jsc#SLE-15172).
- net/mlx5e: CT: Support clear action (jsc#SLE-15172).
- net/mlx5e: CT: Handle misses after executing CT action
  (jsc#SLE-15172).
- net/mlx5e: CT: Offload established flows (jsc#SLE-15172).
- flow_offload: Add flow_match_ct to get rule ct match
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Support getting chain mapping
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Add support for offloading rules with no
  in_port (jsc#SLE-15172).
- net/mlx5: E-Switch, Introduce global tables (jsc#SLE-15172).
- net/sched: act_ct: Enable hardware offload of flow table entires
  (jsc#SLE-15172).
- net/sched: act_ct: Support refreshing the flow table entries
  (jsc#SLE-15172).
- net/sched: act_ct: Support restoring conntrack info on skbs
  (jsc#SLE-15172).
- net/sched: act_ct: Instantiate flow table entry actions
  (jsc#SLE-15172).
- netfilter: flowtable: Add API for registering to flow table
  events (jsc#SLE-15172).
- net/mlx5e: en_rep: Create uplink rep root table after eswitch
  offloads table (jsc#SLE-15172).
- net/mlx5: E-Switch, Enable reg c1 loopback when possible
  (jsc#SLE-15172).
- net/mlx5e: Restore tunnel metadata on miss (jsc#SLE-15172).
- net/mlx5: E-Switch, Get reg_c1 value on miss (jsc#SLE-15172).
- net/mlx5e: Support inner header rewrite with goto action
  (jsc#SLE-15172).
- net/mlx5e: Disallow inserting vxlan/vlan egress rules without
  decap/pop (jsc#SLE-15172).
- net/mlx5e: Move tc tunnel parsing logic with the rest at tc_tun
  module (jsc#SLE-15172).
- net/mlx5e: Allow re-allocating mod header actions
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Restore chain id on miss (jsc#SLE-15172).
- net/mlx5e: Rx, Split rep rx mpwqe handler from nic
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Mark miss packets with new chain id mapping
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Get reg_c0 value on CQE (jsc#SLE-15172).
- net/mlx5: E-Switch, Move source port on reg_c0 to the upper
  16 bits (jsc#SLE-15172).
- net/mlx5: Introduce mapping infra for mapping unique ids to data
  (jsc#SLE-15172).
- net: sched: Support specifying a starting chain via tc skb ext
  (jsc#SLE-15172).
- net: sched: Change the block's chain list to an rcu list
  (jsc#SLE-15172).
- net: sched: Pass ingress block to tcf_classify_ingress
  (jsc#SLE-15172).
- net: sched: Introduce ingress classification function
  (jsc#SLE-15172).
- bareudp: Fixed bareudp receive handling (jsc#SLE-15172).
- flow_offload: restrict driver to pass one allowed bit to
  flow_action_hw_stats_types_check() (jsc#SLE-15172).
- flow_offload: turn hw_stats_type into dedicated enum
  (jsc#SLE-15172).
- flow_offload: fix allowed types check (jsc#SLE-15172).
- flow_offload: use flow_action_for_each in
  flow_action_mixed_hw_stats_types_check() (jsc#SLE-15172).
- net/mlx5e: Show/set Rx network flow classification rules on
  ul rep (jsc#SLE-15172).
- net/mlx5e: Init ethtool steering for representors
  (jsc#SLE-15172).
- net/mlx5e: Show/set Rx flow indir table and RSS hash key on
  ul rep (jsc#SLE-15172).
- net/mlx5: E-switch, make query inline mode a static function
  (jsc#SLE-15172).
- net/mlx5: Allocate smaller size tables for ft offload
  (jsc#SLE-15172).
- net/mlx5e: Fix an IS_ERR() vs NULL check (jsc#SLE-15172).
- net/mlx5: Verify goto chain offload support (jsc#SLE-15172).
- net/mlx5: E-Switch, Use vport metadata matching only when
  mandatory (jsc#SLE-15172).
- net/mlx5: Tidy up and fix reverse christmas ordring
  (jsc#SLE-15172).
- net/mlx5: HW bit for goto chain offload support (jsc#SLE-15172).
- net/mlx5: Introduce TLS and IPSec objects enums (jsc#SLE-15172).
- net/mlx5: Introduce egress acl forward-to-vport capability
  (jsc#SLE-15172).
- net/mlx5: Expose raw packet pacing APIs (jsc#SLE-15172).
- net/mlx5e: Replace zero-length array with flexible-array member
  (jsc#SLE-15172).
- net: sched: pie: change tc_pie_xstats->prob (bsc#1176447).
- bnxt_en: Call devlink_port_type_clear() in remove()
  (jsc#SLE-15075).
- bnxt_en: Return -EAGAIN if fw command returns BUSY
  (jsc#SLE-15075).
- bnxt_en: Modify some bnxt_hwrm_*_free() functions to void
  (jsc#SLE-15075).
- bnxt_en: Remove unnecessary assignment of return code
  (jsc#SLE-15075).
- bnxt_en: Clear DCB settings after firmware reset
  (jsc#SLE-15075).
- bnxt_en: Process the NQ under NAPI continuous polling
  (jsc#SLE-15075).
- bnxt_en: Simplify __bnxt_poll_cqs_done() (jsc#SLE-15075).
- bnxt_en: Handle all NQ notifications in bnxt_poll_p5()
  (jsc#SLE-15075).
- net/sched: act_ct: fix lockdep splat in tcf_ct_flow_table_get
  (jsc#SLE-15172).
- bareudp: remove unnecessary udp_encap_enable() in
  bareudp_socket_create() (jsc#SLE-15172).
- bareudp: print error message when command fails (jsc#SLE-15172).
- bareudp: add module alias (jsc#SLE-15172).
- sched: act: allow user to specify type of HW stats for a filter
  (jsc#SLE-15172).
- flow_offload: introduce "disabled" HW stats type and allow it
  in mlxsw (bsc#1176774).
- mlxsw: spectrum_acl: Ask device for rule stats only if counter
  was created (bsc#1176774).
- flow_offload: introduce "delayed" HW stats type and allow it
  in mlx5 (jsc#SLE-15172).
- flow_offload: introduce "immediate" HW stats type and allow
  it in mlxsw (bsc#1176774).
- mlxsw: restrict supported HW stats type to "any" (bsc#1176774).
- mlxsw: spectrum_flower: Do not allow mixing HW stats types
  for actions (bsc#1176774).
- flow_offload: check for basic action hw stats type
  (jsc#SLE-15075).
- ocelot_flower: use flow_offload_has_one_action() helper
  (jsc#SLE-15172).
- flow_offload: Introduce offload of HW stats type
  (jsc#SLE-15075).
- RDMA/ipoib: reject unsupported coalescing params
  (jsc#SLE-15176).
- nfp: Use pci_get_dsn() (bsc#1176447).
- bnxt_en: Use pci_get_dsn() (jsc#SLE-15075).
- selftests: forwarding: ETS: Use Qdisc counters (bsc#1176774).
- mlxsw: spectrum_qdisc: Support offloading of FIFO Qdisc
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Add handle parameter to ..._ops.replace
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Introduce struct mlxsw_sp_qdisc_state
  (bsc#1176774).
- net: sched: Make FIFO Qdisc offloadable (bsc#1176774).
- mlx5: reject unsupported coalescing params (jsc#SLE-15172).
- bnxt: reject unsupported coalescing params (jsc#SLE-15075).
- nfp: let core reject the unsupported coalescing parameters
  (bsc#1176447).
- pie: realign comment (jsc#SLE-15172).
- pie: remove pie_vars->accu_prob_overflows (jsc#SLE-15172).
- pie: remove unnecessary type casting (jsc#SLE-15172).
- pie: use term backlog instead of qlen (jsc#SLE-15172).
- net/sched: act_ct: Use pskb_network_may_pull() (jsc#SLE-15172).
- net/sched: act_ct: Fix ipv6 lookup of offloaded connections
  (jsc#SLE-15172).
- net: mscc: ocelot: return directly in
  ocelot_cls_flower_{replace, destroy} (jsc#SLE-15172).
- net: mscc: ocelot: replace "rule" and "ocelot_rule" variable
  names with "ace" (jsc#SLE-15172).
- net: mscc: ocelot: simplify tc-flower offload structures
  (jsc#SLE-15172).
- net: mscc: ocelot: make ocelot_ace_rule support multiple ports
  (jsc#SLE-15172).
- net: mlxfw: Replace zero-length array with flexible-array member
  (jsc#SLE-15172).
- selftests: mlxsw: qos_defprio: Use until_counter_is
  (bsc#1176774).
- selftests: forwarding: Convert until_counter_is() to take
  expression (bsc#1176774).
- net/mlx5e: Use devlink virtual flavour for VF devlink port
  (jsc#SLE-15172).
- devlink: Introduce devlink port flavour virtual (jsc#SLE-15172).
- net/sched: act_ct: Software offload of established flows
  (jsc#SLE-15172).
- net/sched: act_ct: Offload established connections to flow table
  (jsc#SLE-15172).
- net/sched: act_ct: Create nf flow table per zone
  (jsc#SLE-15172).
- net: flow_offload: Replace zero-length array with flexible-array
  member (jsc#SLE-15075).
- net: sched: Replace zero-length array with flexible-array member
  (bsc#1176447).
- net: core: Replace zero-length array with flexible-array member
  (bsc#1176447).
- net/mlx5e: Remove redundant comment about goto slow path
  (jsc#SLE-15172).
- net/mlx5e: Reduce number of arguments in slow path handling
  (jsc#SLE-15172).
- net/mlx5e: Remove unused argument from parse_tc_pedit_action()
  (jsc#SLE-15172).
- net/mlx5e: Use NL_SET_ERR_MSG_MOD() extack for errors
  (jsc#SLE-15172).
- net/mlx5e: Use netdev_warn() instead of pr_err() for errors
  (jsc#SLE-15172).
- net/mlx5e: Use netdev_warn() for errors for added prefix
  (jsc#SLE-15172).
- net/mlx5: DR, Improve log messages (jsc#SLE-15172).
- net/mlx5: DR, Change matcher priority parameter type
  (jsc#SLE-15172).
- net/mlx5e: Add devlink fdb_large_groups parameter
  (jsc#SLE-15172).
- net/mlx5: Change the name of steering mode param id
  (jsc#SLE-15172).
- net/mlx5e: Add support for devlink-port in non-representors mode
  (jsc#SLE-15172).
- net/mlx5e: Rename representor get devlink port function
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Allow goto earlier chain if FW supports it
  (jsc#SLE-15172).
- net/mlx5e: Eswitch, Use per vport tables for mirroring
  (jsc#SLE-15172).
- net/mlx5: Eswitch, avoid redundant mask (jsc#SLE-15172).
- net/mlx5e: Don't allow forwarding between uplink
  (jsc#SLE-15172).
- mlxsw: reg: Update module_type values in PMTM register and
  map them to width (bsc#1176774).
- selftests: mlxsw: resource_scale: Invoke for Spectrum-3
  (bsc#1176774).
- selftests: mlxsw: Reduce router scale running time using
  offload indication (bsc#1176774).
- selftests: mlxsw: Reduce running time using offload indication
  (bsc#1176774).
- selftests: mlxsw: Add shared buffer traffic test (bsc#1176774).
- selftests: mlxsw: Add mlxsw lib (bsc#1176774).
- selftests: devlink_lib: Add devlink port helpers (bsc#1176774).
- selftests: devlink_lib: Check devlink info command is supported
  (bsc#1176774).
- selftests: mlxsw: Add shared buffer configuration test
  (bsc#1176774).
- selftests: mlxsw: Use busywait helper in rtnetlink test
  (bsc#1176774).
- selftests: mlxsw: Use busywait helper in vxlan test
  (bsc#1176774).
- selftests: mlxsw: Use busywait helper in blackhole routes test
  (bsc#1176774).
- selftests: devlink_trap_l3_drops: Avoid race condition
  (bsc#1176774).
- selftests: add a mirror test to mlxsw tc flower restrictions
  (bsc#1176774).
- selftests: add egress redirect test to mlxsw tc flower
  restrictions (bsc#1176774).
- selftests: mlxsw: Add a RED selftest (bsc#1176774).
- mlxsw: spectrum: Add mlxsw_sp_span_ops.buffsize_get for
  Spectrum-3 (bsc#1176774).
- mlxsw: spectrum: Initialize advertised speeds to supported
  speeds (bsc#1176774).
- mlxsw: spectrum: Move the ECN-marked packet counter to ethtool
  (bsc#1176774).
- mlxsw: spectrum_switchdev: Optimize SFN records processing
  (bsc#1176774).
- net/mlx5: sparse: warning: Using plain integer as NULL pointer
  (jsc#SLE-15172).
- net/mlx5: sparse: warning: incorrect type in assignment
  (jsc#SLE-15172).
- net/mlx5: Fix header guard in rsc_dump.h (jsc#SLE-15172).
- net/mlx5e: RX, Use indirect calls wrapper for handling
  compressed completions (jsc#SLE-15172).
- net/mlx5e: RX, Use indirect calls wrapper for posting
  descriptors (jsc#SLE-15172).
- net/mlx5e: Change inline mode correctly when changing trust
  state (jsc#SLE-15172).
- net/mlx5e: Add context to the preactivate hook (jsc#SLE-15172).
- net/mlx5e: Allow mlx5e_switch_priv_channels to fail and recover
  (jsc#SLE-15172).
- net/mlx5e: Remove unneeded netif_set_real_num_tx_queues
  (jsc#SLE-15172).
- net/mlx5e: Use preactivate hook to set the indirection table
  (jsc#SLE-15172).
- net/mlx5e: Rename hw_modify to preactivate (jsc#SLE-15172).
- net/mlx5e: Encapsulate updating netdev queues into a function
  (jsc#SLE-15172).
- net/mlx5e: Add missing LRO cap check (jsc#SLE-15172).
- net/mlx5e: Define one flow for TXQ selection when TCs are
  configured (jsc#SLE-15172).
- selftests: netdevsim: Extend devlink trap test to include flow
  action cookie (bsc#1176774).
- netdevsim: add ACL trap reporting cookie as a metadata
  (bsc#1176774).
- mlxsw: spectrum_trap: Lookup and pass cookie down to
  devlink_trap_report() (bsc#1176774).
- mlxsw: pci: Extract cookie index for ACL discard trap packets
  (bsc#1176774).
- mlxsw: core_acl_flex_actions: Implement flow_offload action
  cookie offload (bsc#1176774).
- mlxsw: core_acl_flex_actions: Add trap with userdef action
  (bsc#1176774).
- drop_monitor: extend by passing cookie from driver
  (bsc#1176774).
- flow_offload: pass action cookie through offload structures
  (jsc#SLE-15075).
- netronome: Replace zero-length array with flexible-array member
  (bsc#1176447).
- bareudp: Fix uninitialized variable warnings (jsc#SLE-15172).
- net: Special handling for IP & MPLS (jsc#SLE-15172).
- selftests: devlink_trap_acl_drops: Add ACL traps test
  (bsc#1176774).
- selftests: pass pref and handle to devlink_trap_drop_* helpers
  (bsc#1176774).
- selftests: introduce test for mlxsw tc flower restrictions
  (bsc#1176774).
- mlxsw: spectrum_trap: Add ACL devlink-trap support
  (bsc#1176774).
- mlxsw: spectrum_trap: Introduce dummy group with thin policer
  (bsc#1176774).
- mlxsw: core: Extend MLXSW_RXL_DIS to register disabled trap
  group (bsc#1176774).
- mlxsw: core: Allow to enable/disable rx_listener for trap
  (bsc#1176774).
- mlxsw: acl_flex_actions: Trap all ACL dropped packets to
  DISCARD_*_ACL traps (bsc#1176774).
- mlxsw: spectrum_acl: Pass the ingress indication down to flex
  action (bsc#1176774).
- mlxsw: spectrum_flower: Disable mixed bound blocks to contain
  action drop (bsc#1176774).
- mlxsw: spectrum_acl: Track ingress and egress block bindings
  (bsc#1176774).
- mlxsw: spectrum_trap: Prepare mlxsw_core_trap_action_set()
  to handle not only action (bsc#1176774).
- mlxsw: spectrum_trap: Use listener->en/dis_action instead of
  hard-coded values (bsc#1176774).
- mlxsw: core: Allow to register disabled traps using
  MLXSW_RXL_DIS (bsc#1176774).
- mlxsw: spectrum_trap: Set unreg_action to be SET_FW_DEFAULT
  (bsc#1176774).
- net/mlxfw: fix spelling mistake: "progamming" -> "programming"
  (jsc#SLE-15172).
- mlxsw: pci: Remove unused values (bsc#1176774).
- mlxsw: core: Remove priv from listener equality comparison
  (bsc#1176774).
- mlxsw: spectrum_acl: Make block arg const where appropriate
  (bsc#1176774).
- mlxsw: spectrum_trap: Make global arrays const as they should be
  (bsc#1176774).
- mlxsw: core: Remove initialization to false of mlxsw_listener
  struct (bsc#1176774).
- mlxsw: core: Convert is_event and is_ctrl bools to be single
  bits (bsc#1176774).
- mlxsw: core: Remove dummy union name from struct mlxsw_listener
  (bsc#1176774).
- mlxsw: core: Remove unused action field from mlxsw_rx_listener
  struct (bsc#1176774).
- mlxsw: spectrum_trap: Move policer initialization to
  mlxsw_sp_trap_init() (bsc#1176774).
- mlxsw: core_acl_flex_actions: Rename Trap / Discard Action to
  Trap Action (bsc#1176774).
- mlxsw: spectrum_trap: Move functions to avoid their forward
  declarations (bsc#1176774).
- mlxsw: spectrum_trap: Use err variable instead of directly
  checking func return value (bsc#1176774).
- mlxsw: spectrum: Remove RTNL where possible (bsc#1176774).
- mlxsw: spectrum_router: Take router lock from exported helpers
  (bsc#1176774).
- mlxsw: spectrum_router: Take router lock from inetaddr listeners
  (bsc#1176774).
- mlxsw: spectrum_router: Take router lock from netdev listener
  (bsc#1176774).
- mlxsw: spectrum_dpipe: Take router lock from dpipe code
  (bsc#1176774).
- mlxsw: spectrum_router: Take router lock from inside routing
  code (bsc#1176774).
- mlxsw: spectrum_router: Introduce router lock (bsc#1176774).
- mlxsw: spectrum_router: Store NVE decapsulation configuration
  in router (bsc#1176774).
- mlxsw: spectrum_router: Expose router struct to internal users
  (bsc#1176774).
- mlxsw: spectrum_mr: Protect multicast route list with a lock
  (bsc#1176774).
- mlxsw: spectrum_mr: Protect multicast table list with a lock
  (bsc#1176774).
- mlxsw: spectrum_mr: Publish multicast route after writing it
  to the device (bsc#1176774).
- net/mlx5: Add fsm_reactivate callback support (jsc#SLE-15172).
- net/mlxfw: Add reactivate flow support to FSM burn flow
  (jsc#SLE-15172).
- net/mlxfw: Use MLXFW_ERR_MSG macro for error reporting
  (jsc#SLE-15172).
- net/mlxfw: Convert pr_* to dev_* in mlxfw_fsm.c (jsc#SLE-15172).
- net/mlxfw: More error messages coverage (jsc#SLE-15172).
- net/mlxfw: Improve FSM err message reporting and return codes
  (jsc#SLE-15172).
- net/mlxfw: Generic mlx FW flash status notify (jsc#SLE-15172).
- net, sk_msg: Annotate lockless access to sk_prot on clone
  (bsc#1176447).
- mlxsw: spectrum_nve: Make tunnel initialization symmetric
  (bsc#1176774).
- mlxsw: spectrum: Export function to check if RIF exists
  (bsc#1176774).
- mlxsw: spectrum: Prevent RIF access outside of routing code
  (bsc#1176774).
- mlxsw: spectrum_router: Prepare function for router lock
  introduction (bsc#1176774).
- mlxsw: spectrum_router: Do not assume RTNL is taken when
  resolving underlay device (bsc#1176774).
- mlxsw: spectrum_router: Do not assume RTNL is taken during
  RIF teardown (bsc#1176774).
- mlxsw: spectrum_router: Do not assume RTNL is taken during
  nexthop init (bsc#1176774).
- mlxsw: spectrum_span: Only update mirroring agents if present
  (bsc#1176774).
- mlxsw: spectrum: Convert callers to use new mirroring API
  (bsc#1176774).
- mlxsw: spectrum_span: Prepare work item to update mirroring
  agents (bsc#1176774).
- mlxsw: spectrum_span: Use struct_size() to simplify allocation
  (bsc#1176774).
- mlxsw: spectrum_span: Do no expose mirroring agents to entire
  driver (bsc#1176774).
- mlxsw: spectrum: Protect counter pool with a lock (bsc#1176774).
- mlxsw: spectrum_kvdl: Protect allocations with a lock
  (bsc#1176774).
- mlxsw: Replace zero-length array with flexible-array member
  (bsc#1176774).
- phy: avoid unnecessary link-up delay in polling mode
  (bsc#1176447).
- net/mlx5: Remove a useless 'drain_workqueue()' call in
  'mlx5e_ipsec_cleanup()' (jsc#SLE-15172).
- net/mlx5e: Add support for FEC modes based on 50G per lane links
  (jsc#SLE-15172).
- net/mlxe5: Separate between FEC and current speed
  (jsc#SLE-15172).
- net/mlx5e: Advertise globaly supported FEC modes
  (jsc#SLE-15172).
- net/mlx5e: Enforce setting of a single FEC mode (jsc#SLE-15172).
- net/mlx5e: Set FEC to auto when configured mode is not supported
  (jsc#SLE-15172).
- mlx5: Use proper logging and tracing line terminations
  (jsc#SLE-15172).
- net/mlx5e: Support dump callback in RX reporter (jsc#SLE-15172).
- net/mlx5e: Support dump callback in TX reporter (jsc#SLE-15172).
- net/mlx5e: Gather reporters APIs together (jsc#SLE-15172).
- net/mlx5: Add support for resource dump (jsc#SLE-15172).
- selftests: mlxsw: vxlan: Add test for error path (bsc#1176774).
- selftests: mlxsw: vxlan: Adjust test to recent changes
  (bsc#1176774).
- selftests: mlxsw: extack: Test creation of multiple VLAN-aware
  bridges (bsc#1176774).
- selftests: mlxsw: extack: Test bridge creation with VXLAN
  (bsc#1176774).
- selftests: mlxsw: Remove deprecated test (bsc#1176774).
- mlxsw: spectrum: Reduce dependency between bridge and router
  code (bsc#1176774).
- mlxsw: spectrum_switchdev: Remove VXLAN checks during FID
  membership (bsc#1176774).
- mlxsw: spectrum_switchdev: Have VXLAN device take reference
  on FID (bsc#1176774).
- mlxsw: spectrum_switchdev: Propagate extack to bridge creation
  function (bsc#1176774).
- mlxsw: spectrum_fid: Use 'refcount_t' for FID reference counting
  (bsc#1176774).
- net: sched: don't take rtnl lock during flow_action setup
  (jsc#SLE-15075).
- net: sched: lock action when translating it to flow_action infra
  (jsc#SLE-15075).
- net: phylink: clarify flow control settings in documentation
  (bsc#1176447).
- net: phylink: improve initial mac configuration (bsc#1176447).
- net: phylink: allow ethtool -A to change flow control
  advertisement (bsc#1176447).
- net: phylink: resolve fixed link flow control (bsc#1176447).
- net: phylink: use phylib resolved flow control modes
  (bsc#1176447).
- net: phylink: ensure manual flow control is selected
  appropriately (bsc#1176447).
- net: phylink: remove pause mode ethtool setting for fixed links
  (bsc#1176447).
- net: add linkmode helper for setting flow control advertisement
  (bsc#1176447).
- net: add helpers to resolve negotiated flow control
  (bsc#1176447).
- net: linkmode: make linkmode_test_bit() take const pointer
  (bsc#1176447).
- RDMA/mlx5: Block delay drop to unprivileged users
  (jsc#SLE-15175).
- RDMA/odp: Fix leaking the tgid for implicit ODP (jsc#SLE-15176).
- netfilter: nft_fwd_netdev: allow to redirect to ifb via ingress
  (bsc#1176447).
- netfilter: nft_fwd_netdev: validate family and chain type
  (bsc#1176447).
- netfilter: nft_set_rbtree: Detect partial overlaps on insertion
  (bsc#1176447).
- netfilter: nft_set_rbtree: Introduce and use
  nft_rbtree_interval_start() (bsc#1176447).
- netfilter: nft_set_pipapo: Separate partial and complete
  overlap cases on insertion (bsc#1176447).
- netfilter: nf_tables: Allow set back-ends to report partial
  overlaps on insertion (bsc#1176447).
- net/mlx5: Clear LAG notifier pointer after unregister
  (jsc#SLE-15172).
- net/mlx5e: Fix endianness handling in pedit mask
  (jsc#SLE-15172).
- net/mlx5e: kTLS, Fix wrong value in record tracker enum
  (jsc#SLE-15172).
- netfilter: flowtable: populate addr_type mask (bsc#1176447).
- netfilter: flowtable: Fix flushing of offloaded flows on free
  (bsc#1176447).
- netfilter: flowtable: reload ip{v6}h in nf_flow_tuple_ip{v6}
  (bsc#1176447).
- netfilter: flowtable: reload ip{v6}h in nf_flow_nat_ip{v6}
  (bsc#1176447).
- net: netdevsim: Use scnprintf() for avoiding potential buffer
  overflow (bsc#1176447).
- net: nfp: Use scnprintf() for avoiding potential buffer overflow
  (bsc#1176447).
- mlxsw: reg: Increase register field length to 31 bits
  (bsc#1176774).
- netfilter: nft_chain_nat: inet family is missing module
  ownership (bsc#1176447).
- netfilter: nf_tables: dump NFTA_CHAIN_FLAGS attribute
  (bsc#1176447).
- netfilter: nft_tunnel: add missing attribute validation for
  tunnels (bsc#1176447).
- netfilter: nft_payload: add missing attribute validation for
  payload csum flags (bsc#1176447).
- netfilter: cthelper: add missing attribute validation for
  cthelper (bsc#1176447).
- netfilter: nf_tables: free flowtable hooks on hook register
  error (bsc#1176447).
- netfilter: x_tables: xt_mttg_seq_next should increase position
  index (bsc#1176447).
- netfilter: xt_recent: recent_seq_next should increase position
  index (bsc#1176447).
- netfilter: synproxy: synproxy_cpu_seq_next should increase
  position index (bsc#1176447).
- netfilter: nf_conntrack: ct_cpu_seq_next should increase
  position index (bsc#1176447).
- net: phy: marvell: don't interpret PHY status unless resolved
  (bsc#1176447).
- mlx5: register lag notifier for init network namespace only
  (jsc#SLE-15172).
- net: phy: corrected the return value
  for genphy_check_and_restart_aneg and
  genphy_c45_check_and_restart_aneg (bsc#1176447).
- net: core: devlink.c: Use built-in RCU list checking
  (bsc#1176447).
- netfilter: xt_hashlimit: unregister proc file before releasing
  mutex (bsc#1176447).
- nft_set_pipapo: Actually fetch key data in nft_pipapo_remove()
  (bsc#1176447).
- netfilter: ipset: Fix "INFO: rcu detected stall in hash_xxx"
  reports (bsc#1176447).
- net: core: devlink.c: Hold devlink->lock from the beginning
  of devlink_dpipe_table_register() (bsc#1176447).
- net/mlx5: Fix lowest FDB pool size (jsc#SLE-15172).
- net/mlx5: Fix sleep while atomic in mlx5_eswitch_get_vepa
  (jsc#SLE-15172).
- netfilter: nft_set_pipapo: Don't abuse unlikely() in
  pipapo_refill() (bsc#1176447).
- netfilter: nft_set_pipapo: Fix mapping table example in comments
  (bsc#1176447).
- netfilter: conntrack: allow insertion of clashing entries
  (bsc#1176447).
- netfilter: conntrack: split resolve_clash function
  (bsc#1176447).
- netfilter: conntrack: place confirm-bit setting in a helper
  (bsc#1176447).
- netfilter: conntrack: remove two args from resolve_clash
  (bsc#1176447).
- netfilter: flowtable: skip offload setup if disabled
  (bsc#1176447).
- netfilter: xt_hashlimit: limit the max size of hashtable
  (bsc#1176447).
- netfilter: xt_hashlimit: reduce hashlimit_mutex scope for
  htable_put() (bsc#1176447).
- net/flow_dissector: remove unexist field description
  (bsc#1176447).
- mlxsw: spectrum_router: Clear offload indication from IPv6
  nexthops on abort (bsc#1176774).
- selftests: mlxsw: Add test cases for local table route
  replacement (bsc#1176774).
- mlxsw: spectrum_router: Prevent incorrect replacement of local
  table routes (bsc#1176774).
- net: sched: prevent a use after free (jsc#SLE-15172).
- netfilter: flowtable: Fix setting forgotten NF_FLOW_HW_DEAD flag
  (bsc#1176447).
- netfilter: flowtable: Fix missing flush hardware on table free
  (bsc#1176447).
- netfilter: flowtable: Fix hardware flush order on
  nf_flow_table_cleanup (bsc#1176447).
- netfilter: Use kvcalloc (bsc#1176447).
- netfilter: ipset: fix suspicious RCU usage in find_set_and_id
  (bsc#1176447).
- mlxsw: spectrum_qdisc: Fix 64-bit division error in
  mlxsw_sp_qdisc_tbf_rate_kbps (bsc#1176774).
- RDMA/cm: Remove CM message structs (jsc#SLE-15176).
- RDMA/core: Add the core support field to METHOD_GET_CONTEXT
  (jsc#SLE-15176).
- IB/umem: use get_user_pages_fast() to pin DMA pages
  (jsc#SLE-15176).
- sch_choke: Use kvcalloc (bsc#1176447).
- devlink: document devlink info versions reported by bnxt_en
  driver (jsc#SLE-15075).
- mlx5: Use dev_net netdevice notifier registrations
  (jsc#SLE-15172).
- net: introduce dev_net notifier register/unregister variants
  (jsc#SLE-15172).
- net: push code from net notifier reg/unreg into helpers
  (jsc#SLE-15172).
- nf_tables: Add set type for arbitrary concatenation of ranges
  (bsc#1176447).
- netfilter: nf_tables: Support for sets with multiple ranged
  fields (bsc#1176447).
- netfilter: nf_tables: add NFTA_SET_ELEM_KEY_END attribute
  (bsc#1176447).
- netfilter: nf_tables: add nft_setelem_parse_key() (bsc#1176447).
- selftests: mlxsw: Add a TBF selftest (bsc#1176774).
- selftests: forwarding: lib: Add helpers for busywaiting
  (bsc#1176774).
- selftests: Move two functions from mlxsw's qos_lib to lib
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Support offloading of TBF Qdisc
  (bsc#1176774).
- mlxsw: spectrum: Configure shaper rate and burst size together
  (bsc#1176774).
- mlxsw: spectrum: Add lowest_shaper_bs to struct mlxsw_sp
  (bsc#1176774).
- mlxsw: reg: Increase MLXSW_REG_QEEC_MAS_DIS (bsc#1176774).
- mlxsw: reg: Add max_shaper_bs to QoS ETS Element Configuration
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Extract a common leaf unoffload function
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Add mlxsw_sp_qdisc_get_class_stats()
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Extract a per-TC stat function
  (bsc#1176774).
- net: sched: Make TBF Qdisc offloadable (bsc#1176774).
- net/mlx5: make the symbol 'ESW_POOLS' static (jsc#SLE-15172).
- net: sched: pie: export symbols to be reused by FQ-PIE
  (jsc#SLE-15172).
- net: sched: pie: fix alignment in struct instances
  (jsc#SLE-15172).
- net: sched: pie: fix commenting (jsc#SLE-15172).
- pie: improve comments and commenting style (jsc#SLE-15172).
- pie: rearrange structure members and their initializations
  (jsc#SLE-15172).
- pie: use u8 instead of bool in pie_vars (jsc#SLE-15172).
- pie: rearrange macros in order of length (jsc#SLE-15172).
- pie: use U64_MAX to denote (2^64 - 1) (jsc#SLE-15172).
- net: sched: pie: move common code to pie.h (jsc#SLE-15172).
- net: phy: add new version of phy_do_ioctl (bsc#1176447).
- net: phy: rename phy_do_ioctl to phy_do_ioctl_running
  (bsc#1176447).
- spectrum: Add a delayed work to update SPAN buffsize according
  to speed (bsc#1176774).
- mlxsw: spectrum: Fix SPAN egress mirroring buffer size for
  Spectrum-2 (bsc#1176774).
- mlxsw: spectrum_span: Put buffsize update code into helper
  function (bsc#1176774).
- mlxsw: spectrum: Push code getting port speed into a helper
  (bsc#1176774).
- r8169: use generic ndo_do_ioctl handler phy_do_ioctl
  (bsc#1176447).
- net: phy: add generic ndo_do_ioctl handler phy_do_ioctl
  (bsc#1176447).
- net: phylink: allow in-band AN for USXGMII (bsc#1176447).
- net: phy: don't crash in phy_read/_write_mmd without a PHY
  driver (bsc#1176447).
- net: phylink: Allow 2.5BASE-T, 5GBASE-T and 10GBASE-T for the
  10G link modes (bsc#1176447).
- selftests: devlink_trap_tunnel_vxlan: Add test case for
  overlay_smac_is_mc (bsc#1176774).
- mlxsw: Add OVERLAY_SMAC_MC trap (bsc#1176774).
- selftests: devlink_trap_tunnel_ipip: Add test case for
  decap_error (bsc#1176774).
- selftests: devlink_trap_tunnel_vxlan: Add test case for
  decap_error (bsc#1176774).
- mlxsw: Add tunnel devlink-trap support (bsc#1176774).
- mlxsw: spectrum_trap: Reorder cases according to enum order
  (bsc#1176774).
- mlxsw: Add ECN configurations with IPinIP tunnels (bsc#1176774).
- mlxsw: reg: Add Tunneling IPinIP Decapsulation ECN Mapping
  Register (bsc#1176774).
- mlxsw: reg: Add Tunneling IPinIP Encapsulation ECN Mapping
  Register (bsc#1176774).
- mlxsw: Add NON_ROUTABLE trap (bsc#1176774).
- selftests: devlink_trap_l3_drops: Add test cases of irif and
  erif disabled (bsc#1176774).
- mlxsw: Add irif and erif disabled traps (bsc#1176774).
- net/mlx5: E-Switch, Increase number of chains and priorities
  (jsc#SLE-15172).
- net/mlx5: E-Switch, Refactor chains and priorities
  (jsc#SLE-15172).
- net/mlx5: ft: Check prio and chain sanity for ft offload
  (jsc#SLE-15172).
- net/mlx5: ft: Use getter function to get ft chain
  (jsc#SLE-15172).
- netfilter: bitwise: add support for shifts (bsc#1176447).
- netfilter: bitwise: add NFTA_BITWISE_DATA attribute
  (bsc#1176447).
- netfilter: bitwise: only offload boolean operations
  (bsc#1176447).
- netfilter: bitwise: add helper for dumping boolean operations
  (bsc#1176447).
- netfilter: bitwise: add helper for evaluating boolean operations
  (bsc#1176447).
- netfilter: bitwise: add helper for initializing boolean
  operations (bsc#1176447).
- netfilter: bitwise: add NFTA_BITWISE_OP netlink attribute
  (bsc#1176447).
- netfilter: bitwise: replace gotos with returns (bsc#1176447).
- netfilter: bitwise: remove NULL comparisons from attribute
  checks (bsc#1176447).
- netfilter: nf_tables: white-space fixes (bsc#1176447).
- netfilter: flowtable: add nf_flow_table_offload_cmd()
  (bsc#1176447).
- netfilter: flowtable: add nf_flow_offload_tuple() helper
  (bsc#1176447).
- netfilter: hashlimit: do not use indirect calls during gc
  (bsc#1176447).
- netfilter: flowtable: refresh flow if hardware offload fails
  (bsc#1176447).
- netfilter: flowtable: add nf_flowtable_hw_offload() helper
  function (bsc#1176447).
- netfilter: flowtable: use atomic bitwise operations for flow
  flags (bsc#1176447).
- netfilter: flowtable: remove dying bit, use teardown bit instead
  (bsc#1176447).
- netfilter: flowtable: add nf_flow_offload_work_alloc()
  (bsc#1176447).
- netfilter: flowtable: restrict flow dissector match on meta
  ingress device (bsc#1176447).
- netfilter: flowtable: fetch stats only if flow is still alive
  (bsc#1176447).
- Documentation: Fix typo in devlink documentation (bsc#1176774).
- netdevsim: fix nsim_fib6_rt_create() error path (bsc#1176447).
- selftests: mlxsw: Add test for FIB offload API (bsc#1176774).
- netdevsim: fib: Add dummy implementation for FIB offload
  (bsc#1176447).
- mlxsw: spectrum_router: Set hardware flags for routes
  (bsc#1176774).
- mlxsw: spectrum_router: Separate nexthop offload indication
  from route (bsc#1176774).
- ipv6: Add "offload" and "trap" indications to routes
  (bsc#1176774).
- ipv4: Add "offload" and "trap" indications to routes
  (bsc#1176774).
- ipv4: Encapsulate function arguments in a struct (bsc#1176774).
- ipv4: Replace route in list before notifying (bsc#1176774).
- net: netfilter: use skb_list_walk_safe helper for gso segments
  (bsc#1176447).
- net: sched: use skb_list_walk_safe helper for gso segments
  (bsc#1176447).
- net: skbuff: disambiguate argument and member for
  skb_list_walk_safe helper (bsc#1176447).
- devlink: document info versions for each driver (bsc#1176774).
- devlink: mention reloading in devlink-params.rst (bsc#1176447).
- devlink: add documentation for generic devlink parameters
  (bsc#1176447).
- flow_dissector: fix document for skb_flow_get_icmp_tci
  (bsc#1176447).
- mlxsw: spectrum: Only require minimum firmware version
  (bsc#1176774).
- mlxsw: spectrum: Update firmware version to xx.2000.2714
  (bsc#1176774).
- netronome: fix ipv6 link error (bsc#1176447).
- selftests: mlxsw: Add a self-test for port-default priority
  (bsc#1176774).
- netfilter: nft_meta: add support for slave device ifindex
  matching (bsc#1176447).
- netfilter: nft_meta: place rtclassid handling in a helper
  (bsc#1176447).
- netfilter: nft_meta: place prandom handling in a helper
  (bsc#1176447).
- netfilter: nft_meta: move all interface related keys to helper
  (bsc#1176447).
- netfilter: nft_meta: move interface kind handling to helper
  (bsc#1176447).
- netfilter: nft_meta: move cgroup handling to helper
  (bsc#1176447).
- netfilter: nft_meta: move sk uid/git handling to helper
  (bsc#1176447).
- netfilter: nft_meta: move pkttype handling to helper
  (bsc#1176447).
- netfilter: nft_meta: move time handling to helper (bsc#1176447).
- netfilter: conntrack: remove two export symbols (bsc#1176447).
- netfilter: nft_tunnel: add the missing nla_nest_cancel()
  (bsc#1176447).
- netfilter: nft_tunnel: also dump OPTS_ERSPAN/VXLAN
  (bsc#1176447).
- netfilter: nft_tunnel: also dump ERSPAN_VERSION (bsc#1176447).
- netfilter: nft_tunnel: no need to call htons() when dumping
  ports (bsc#1176447).
- netfilter: Document ingress hook (bsc#1176447).
- netfilter: Clean up unnecessary #ifdef (bsc#1176447).
- mlxsw: spectrum_router: Remove FIB entry list from FIB node
  (bsc#1176774).
- mlxsw: spectrum_router: Consolidate identical functions
  (bsc#1176774).
- net: Add a layer for non-PHY MII time stamping drivers
  (bsc#1176447).
- net: Introduce a new MII time stamping interface (bsc#1176447).
- net: phy: dp83640: Move the probe and remove methods around
  (bsc#1176447).
- net: vlan: Use the PHY time stamping interface (bsc#1176447).
- net: macvlan: Use the PHY time stamping interface (bsc#1176447).
- ipv6: Remove old route notifications and convert listeners
  (bsc#1176774).
- mlxsw: spectrum_router: Start using new IPv6 route notifications
  (bsc#1176774).
- ipv6: Handle multipath route deletion notification
  (bsc#1176774).
- ipv6: Handle route deletion notification (bsc#1176774).
- ipv6: Only Replay routes of interest to new listeners
  (bsc#1176774).
- ipv6: Notify multipath route if should be offloaded
  (bsc#1176774).
- ipv6: Notify route if replacing currently offloaded one
  (bsc#1176774).
- ipv6: Notify newly added route if should be offloaded
  (bsc#1176774).
- net: fib_notifier: Add temporary events to the FIB notification
  chain (bsc#1176774).
- nfp: tls: implement the stream sync RX resync (bsc#1176447).
- net/tls: add helper for testing if socket is RX offloaded
  (bsc#1176447).
- nfp: pass packet pointer to nfp_net_parse_meta() (bsc#1176447).
- nfp: flower: update flow merge code to support IPv6 tunnels
  (bsc#1176447).
- nfp: flower: support ipv6 tunnel keep-alive messages from fw
  (bsc#1176447).
- nfp: flower: handle notifiers for ipv6 route changes
  (bsc#1176447).
- nfp: flower: handle ipv6 tunnel no neigh request (bsc#1176447).
- nfp: flower: modify pre-tunnel and set tunnel action for ipv6
  (bsc#1176447).
- nfp: flower: offload list of IPv6 tunnel endpoint addresses
  (bsc#1176447).
- nfp: flower: compile match for IPv6 tunnels (bsc#1176447).
- nfp: flower: move udp tunnel key match compilation to helper
  function (bsc#1176447).
- nfp: flower: pass flow rule pointer directly to match functions
  (bsc#1176447).
- net: sfp: report error on failure to read sfp soft status
  (bsc#1176447).
- net: phy: marvell: use genphy_check_and_restart_aneg()
  (bsc#1176447).
- net: phy: marvell: use phy_modify_changed() (bsc#1176447).
- net: phy: marvell: use existing clause 37 definitions
  (bsc#1176447).
- net: phy: marvell: consolidate phy status reading (bsc#1176447).
- net: phy: marvell: use positive logic for link state
  (bsc#1176447).
- net: phy: marvell: initialise link partner state earlier
  (bsc#1176447).
- net: phy: marvell: rearrange to use genphy_read_lpa()
  (bsc#1176447).
- net: phy: provide and use genphy_read_status_fixed()
  (bsc#1176447).
- net: phy: add genphy_check_and_restart_aneg() (bsc#1176447).
- net: phy: use phy_resolve_aneg_pause() (bsc#1176447).
- net: phy: remove redundant .aneg_done initialisers
  (bsc#1176447).
- selftests: forwarding: sch_ets: Add test coverage for ETS Qdisc
  (bsc#1176774).
- selftests: forwarding: Move start_/stop_traffic from mlxsw to
  lib.sh (bsc#1176774).
- mlxsw: spectrum_qdisc: Support offloading of ETS Qdisc
  (bsc#1176774).
- mlxsw: spectrum_qdisc: Generalize PRIO offload to support ETS
  (bsc#1176774).
- net: sch_ets: Make the ETS qdisc offloadable (bsc#1176774).
- net: phylink: extend clause 45 PHY validation workaround
  (bsc#1176447).
- net: phylink: improve clause 45 PHY ksettings_set implementation
  (bsc#1176447).
- ipv4: Remove old route notifications and convert listeners
  (bsc#1176774).
- ipv4: Only Replay routes of interest to new listeners
  (bsc#1176774).
- ipv4: Handle route deletion notification during flush
  (bsc#1176774).
- ipv4: Handle route deletion notification (bsc#1176774).
- ipv4: Notify newly added route if should be offloaded
  (bsc#1176774).
- ipv4: Notify route if replacing currently offloaded one
  (bsc#1176774).
- ipv4: Extend FIB alias find function (bsc#1176774).
- ipv4: Notify route after insertion to the routing table
  (bsc#1176774).
- net: fib_notifier: Add temporary events to the FIB notification
  chain (bsc#1176774).
- net: phylink: propagate phy_attach_direct() return code
  (bsc#1176447).
- netronome: use the new txqueue timeout argument (bsc#1176447).
- net: sfp: re-attempt probing for phy (bsc#1176447).
- net: sfp: error handling for phy probe (bsc#1176447).
- net: sfp: rename sm_retries (bsc#1176447).
- net: sfp: use a definition for the fault recovery attempts
  (bsc#1176447).
- net: sfp: add support for Clause 45 PHYs (bsc#1176447).
- net: phylink: delay MAC configuration for copper SFP modules
  (bsc#1176447).
- net: phylink: split phylink_sfp_module_insert() (bsc#1176447).
- net: phylink: support Clause 45 PHYs on SFP+ modules
  (bsc#1176447).
- net: phylink: re-split __phylink_connect_phy() (bsc#1176447).
- net: mdio-i2c: add support for Clause 45 accesses (bsc#1176447).
- net: sfp: move phy_start()/phy_stop() to phylink (bsc#1176447).
- net: sfp: add module start/stop upstream notifications
  (bsc#1176447).
- net: sfp: add more extended compliance codes (bsc#1176447).
- net: sfp: derive interface mode from ethtool link modes
  (bsc#1176447).
- net: sfp: remove incomplete 100BASE-FX and 100BASE-LX support
  (bsc#1176447).
- net: sfp: avoid tx-fault with Nokia GPON module (bsc#1176447).
- platform/x86: mlx-platform: Add support for next generation
  systems (bsc#1176774).
- platform/mellanox: mlxreg-hotplug: Add support for new
  capability register (bsc#1176774).
- platform/x86: mlx-platform: Add support for new capability
  register (bsc#1176774).
- platform/x86: mlx-platform: Add support for new system type
  (bsc#1176774).
- platform/x86: mlx-platform: Set system mux configuration based
  on system type (bsc#1176774).
- platform/x86: mlx-platform: Add more definitions for system
  attributes (bsc#1176774).
- platform/x86: mlx-platform: Cosmetic changes (bsc#1176774).
- netfilter: nf_tables_offload: fix check the chain offload flag
  (bsc#1176447).
- netfilter: nf_tables: fix memory leak in
  nf_tables_parse_netdev_hooks() (bsc#1176447).
- selftests: mlxsw: qos_mc_aware: Fix mausezahn invocation
  (bsc#1176774).
- netfilter: flowtable: add nf_flowtable_time_stamp (bsc#1176447).
- netfilter: nf_tables: unbind callbacks from flowtable destroy
  path (bsc#1176447).
- netfilter: nf_flow_table_offload: fix the nat port mangle
  (bsc#1176447).
- netfilter: nf_flow_table_offload: check the status of dst_neigh
  (bsc#1176447).
- netfilter: nf_flow_table_offload: fix incorrect ethernet dst
  address (bsc#1176447).
- netfilter: ebtables: compat: reject all padding in
  matches/watchers (bsc#1176447).
- netfilter: nf_flow_table: fix big-endian integer overflow
  (bsc#1176447).
- netfilter: nf_flow_table_offload: Correct memcpy size for
  flow_overload_mangle() (bsc#1176447).
- netfilter: nf_tables: skip module reference count bump on
  object updates (bsc#1176447).
- netfilter: nf_tables: validate NFT_DATA_VALUE after
  nft_data_init() (bsc#1176447).
- netfilter: nf_tables: validate NFT_SET_ELEM_INTERVAL_END
  (bsc#1176447).
- netfilter: nft_set_rbtree: bogus lookup/get on consecutive
  elements in named sets (bsc#1176447).
- netfilter: nf_tables_offload: Check for the NETDEV_UNREGISTER
  event (bsc#1176447).
- netfilter: nf_flow_table_offload: add IPv6 match description
  (bsc#1176447).
- netfilter: conntrack: tell compiler to not inline
  nf_ct_resolve_clash (bsc#1176447).
- netfilter: nf_flow_table_offload: Don't use offset uninitialized
  in flow_offload_port_{d,s}nat (bsc#1176447).
- netfilter: nf_flow_table_offload: Fix block_cb tc_setup_type
  as TC_SETUP_CLSFLOWER (bsc#1176447).
- netfilter: nf_flow_table_offload: Fix block setup as TC_SETUP_FT
  cmd (bsc#1176447).
- net: sched: allow indirect blocks to bind to clsact in TC
  (bsc#1176447).
- net: core: rename indirect block ingress cb function
  (bsc#1176447).
- nouveau: use mmu_notifier directly for invalidate_range_start
  (jsc#SLE-15176).
- mm/mmu_notifier: add an interval tree notifier (jsc#SLE-15176).
- mm/mmu_notifier: define the header pre-processor parts even
  if disabled (jsc#SLE-15176).
- phy: add PHY_MODE_LVDS (bsc#1176447).
- net: flow_dissector: Wrap unionized VLAN fields in a struct
  (bsc#1176447).
- netfilter: nft_payload: add C-VLAN offload support
  (bsc#1176447).
- netfilter: nft_payload: add VLAN offload support (bsc#1176447).
- netfilter: nf_tables_offload: allow ethernet interface type only
  (bsc#1176447).
- netfilter: nf_tables: constify nft_reg_load{8, 16, 64}()
  (bsc#1176447).
- selftests: mlxsw: Check devlink device before running test
  (bsc#1176774).
- selftests: mlxsw: Add router scale test for Spectrum-2
  (bsc#1176774).
- netfilter: nf_tables: add nft_unregister_flowtable_hook()
  (bsc#1176447).
- netfilter: nf_tables: check if bind callback fails and unbind
  if hook registration fails (bsc#1176447).
- netfilter: nf_tables_offload: undo updates if transaction fails
  (bsc#1176447).
- netfilter: nf_tables_offload: release flow_rule on error from
  commit path (bsc#1176447).
- netfilter: nf_tables_offload: remove reference to flow rule
  from deletion path (bsc#1176447).
- netfilter: nf_flow_table: remove unnecessary parameter in
  flow_offload_fill_dir (bsc#1176447).
- netfilter: nf_flow_table_offload: Fix check ndo_setup_tc when
  setup_block (bsc#1176447).
- netfilter: Support iif matches in POSTROUTING (bsc#1176447).
- netfilter: nf_flow_table_offload: add IPv6 support
  (bsc#1176447).
- netfilter: nf_flow_table_offload: add flow_action_entry_next()
  and use it (bsc#1176447).
- netfilter: nft_meta: use 64-bit time arithmetic (bsc#1176447).
- netfilter: xt_time: use time64_t (bsc#1176447).
- netfilter: ipset: Add wildcard support to net,iface
  (bsc#1176447).
- netfilter: nft_payload: add C-VLAN support (bsc#1176447).
- netfilter: nf_tables_offload: pass extack to
  nft_flow_cls_offload_setup() (bsc#1176447).
- netfilter: nf_tables: add nft_payload_rebuild_vlan_hdr()
  (bsc#1176447).
- netfilter: nft_payload: simplify vlan header handling
  (bsc#1176447).
- netfilter: nft_meta: offload support for interface index
  (bsc#1176447).
- netfilter: nf_flow_table: hardware offload support
  (bsc#1176447).
- netfilter: nf_tables: add flowtable offload control plane
  (bsc#1176447).
- netfilter: nf_flow_table: detach routing information from flow
  description (bsc#1176447).
- netfilter: nf_flowtable: remove flow_offload_entry structure
  (bsc#1176447).
- netfilter: nf_flow_table: remove union from flow_offload
  structure (bsc#1176447).
- netfilter: nf_flow_table: move conntrack object to struct
  flow_offload (bsc#1176447).
- selftests: Add a test of large binary to devlink health test
  (bsc#1176447).
- selftests: mlxsw: Add test cases for devlink-trap layer 3
  exceptions (bsc#1176774).
- selftests: forwarding: devlink: Add functionality for trap
  exceptions test (bsc#1176774).
- selftests: mlxsw: Add test cases for devlink-trap layer 3 drops
  (bsc#1176774).
- selftests: devlink: Make devlink_trap_cleanup() more generic
  (bsc#1176774).
- selftests: devlink: Export functions to devlink library
  (bsc#1176774).
- selftests: devlink: undo changes at the end of resource_test
  (bsc#1176447).
- netfilter: nf_tables_offload: unbind if multi-device binding
  fails (bsc#1176447).
- netfilter: nf_tables_offload: add nft_flow_block_offload_init()
  (bsc#1176447).
- netfilter: nf_tables_offload: add nft_chain_offload_cmd()
  (bsc#1176447).
- netfilter: ecache: don't look for ecache extension on
  dying/unconfirmed conntracks (bsc#1176447).
- netfilter: nf_tables: support for multiple devices per netdev
  hook (bsc#1176447).
- netfilter: nf_tables_offload: remove rules on unregistered
  device only (bsc#1176447).
- netfilter: nf_tables_offload: add nft_flow_cls_offload_setup()
  (bsc#1176447).
- netfilter: nf_tables_offload: Pass callback list to
  nft_setup_cb_call() (bsc#1176447).
- netfilter: nf_tables_offload: add nft_flow_block_chain()
  (bsc#1176447).
- netfilter: nf_tables: increase maximum devices number per
  flowtable (bsc#1176447).
- netfilter: nf_tables: allow netdevice to be used only once
  per flowtable (bsc#1176447).
- netfilter: nf_tables: dynamically allocate hooks per net_device
  in flowtables (bsc#1176447).
- netfilter: nf_flow_table: move priority to struct nf_flowtable
  (bsc#1176447).
- netfilter: nft_tproxy: Fix typo in IPv6 module description
  (bsc#1176447).
- netfilter: add and use nf_hook_slow_list() (bsc#1176447).
- netfilter: conntrack: free extension area immediately
  (bsc#1176447).
- netfilter: ctnetlink: don't dump ct extensions of unconfirmed
  conntracks (bsc#1176447).
- netfilter: ecache: document extension area access rules
  (bsc#1176447).
- netfilter: ipset: move ip_set_get_ip_port() to
  ip_set_bitmap_port.c (bsc#1176447).
- netfilter: ipset: move function to ip_set_bitmap_ip.c
  (bsc#1176447).
- netfilter: ipset: make ip_set_put_flags extern (bsc#1176447).
- netfilter: ipset: move functions to ip_set_core.c (bsc#1176447).
- netfilter: ipset: move ip_set_comment functions from ip_set.h
  to ip_set_core.c (bsc#1176447).
- netfilter: ipset: remove inline from static functions in .c
  files (bsc#1176447).
- selftests: mlxsw: Add Spectrum-2 target scale for tc flower
  scale test (bsc#1176774).
- selftests: mlxsw: Add a resource scale test for Spectrum-2
  (bsc#1176774).
- selftests: mlxsw: Add Spectrum-2 mirror-to-gretap target scale
  test (bsc#1176774).
- selftests: mlxsw: Generalize the parameters of mirror_gre test
  (bsc#1176774).
- selftests: add netdevsim devlink health tests (bsc#1176447).
- selftests: add netdevsim devlink dev info test (bsc#1176447).
- selftests: test netdevsim reload forbid and fail (bsc#1176447).
- selftests: netdevsim: add tests for devlink reload with
  resources (bsc#1176447).
- mlxsw: PCI: Send EMAD traffic on a separate queue (bsc#1176774).
- mlx5: Reject requests to enable time stamping on both edges
  (jsc#SLE-15172).
- dp83640: Reject requests to enable time stamping on both edges
  (bsc#1176447).
- netfilter: nf_tables: fix unexpected EOPNOTSUPP error
  (bsc#1176447).
- netfilter: nf_tables_offload: check for register data length
  mismatches (bsc#1176447).
- mm/mmu_notifiers: use the right return code for WARN_ON
  (jsc#SLE-15176).
- netfilter: nf_tables_offload: restore basechain deletion
  (bsc#1176447).
- net: phy: extract pause mode (bsc#1176447).
- netfilter: drop bridge nf reset from nf_reset (bsc#1176447).
- netfilter: nf_tables: bogus EBUSY when deleting flowtable
  after flush (bsc#1176447).
- netfilter: nf_tables_offload: fix always true policy is unset
  check (bsc#1176447).
- netfilter: nf_tables: add NFT_CHAIN_POLICY_UNSET and use it
  (bsc#1176447).
- net/sched: Set default of CONFIG_NET_TC_SKB_EXT to N
  (bsc#1176447).
- mm, notifier: Catch sleeping/blocking for !blockable
  (jsc#SLE-15176).
- kernel.h: Add non_block_start/end() (jsc#SLE-15176).
- mm/mmu_notifiers: prime lockdep (jsc#SLE-15176).
- mm/mmu_notifiers: add a lockdep map for
  invalidate_range_start/end (jsc#SLE-15176).
- mm/mmu_notifiers: remove the
  __mmu_notifier_invalidate_range_start/end exports
  (jsc#SLE-15176).
- mm/mmu_notifiers: remove unregister_no_release (jsc#SLE-15176).
- mm/mmu_notifiers: check if mmu notifier callbacks are allowed
  to fail (jsc#SLE-15176).
- misc/sgi-gru: use mmu_notifier_get/put for struct gru_mm_struct
  (jsc#SLE-15176).
- mm/hmm: cleanup the hmm_vma_walk_hugetlb_entry stub
  (jsc#SLE-15176).
- mm/hmm: cleanup the hmm_vma_handle_pmd stub (jsc#SLE-15176).
- mm/hmm: only define hmm_vma_walk_pud if needed (jsc#SLE-15176).
- mm/hmm: don't abuse pte_index() in hmm_vma_handle_pmd
  (jsc#SLE-15176).
- mm/hmm: remove the mask variable in hmm_vma_walk_hugetlb_entry
  (jsc#SLE-15176).
- mm/hmm: remove superfluous arguments from hmm_range_register
  (jsc#SLE-15176).
- mm/hmm: remove the unused vma argument to hmm_range_dma_unmap
  (jsc#SLE-15176).
- nouveau: pass struct nouveau_svmm to nouveau_range_fault
  (jsc#SLE-15176).
- mm/hmm: remove hmm_range vma (jsc#SLE-15176).
- mm/hmm: remove hugetlbfs check in hmm_vma_walk_pmd
  (jsc#SLE-15176).
- mm/hmm: merge hmm_range_snapshot into hmm_range_fault
  (jsc#SLE-15176).
- mm/hmm: a few more C style and comment clean ups
  (jsc#SLE-15176).
- mm/hmm: replace hmm_update with mmu_notifier_range
  (jsc#SLE-15176).
- nouveau: return -EBUSY when hmm_range_wait_until_valid fails
  (jsc#SLE-15176).
- net: phy: adin: implement Energy Detect Powerdown mode via
  phy-tunable (bsc#1176447).
- net: mdio: switch to using gpiod_get_optional() (bsc#1176447).
- netfilter: conntrack: remove two unused functions from
  nf_conntrack_timestamp.h (bsc#1176447).
- netfilter: conntrack: remove CONFIG_NF_CONNTRACK checks from
  nf_conntrack_zones.h (bsc#1176447).
- netfilter: conntrack: remove CONFIG_NF_CONNTRACK check from
  nf_conntrack_acct.h (bsc#1176447).
- netfilter: conntrack: move code to linux/nf_conntrack_common.h
  (bsc#1176447).
- netfilter: br_netfilter: update stub br_nf_pre_routing_ipv6
  parameter to `void *priv` (bsc#1176447).
- netfilter: conntrack: wrap two inline functions in config checks
  (bsc#1176447).
- netfilter: replace defined(CONFIG...) ||
  defined(CONFIG...MODULE) with
  IS_ENABLED(CONFIG...) (bsc#1176447).
- netfilter: conntrack: use consistent style when defining inline
  functions (bsc#1176447).
- netfilter: move nf_bridge_frag_data struct definition to a
  more appropriate header (bsc#1176447).
- netfilter: synproxy: move code between headers (bsc#1176447).
- netfilter: move inline nf_ip6_ext_hdr() function to a more
  appropriate header (bsc#1176447).
- netfilter: remove nf_conntrack_icmpv6.h header (bsc#1176447).
- netfilter: inline xt_hashlimit, ebt_802_3 and xt_physdev headers
  (bsc#1176447).
- netfilter: ip_tables: remove unused function declarations
  (bsc#1176447).
- netfilter: fix coding-style errors (bsc#1176447).
- netfilter: fix include guards (bsc#1176447).
- netfilter: nf_tables_offload: remove rules when the device
  unregisters (bsc#1176447).
- netfilter: nf_tables_offload: refactor the nft_flow_offload_rule
  function (bsc#1176447).
- netfilter: nf_tables_offload: add __nft_offload_get_chain
  function (bsc#1176447).
- netfilter: nft_{fwd,dup}_netdev: add offload support
  (bsc#1176447).
- netfilter: nft_synproxy: add synproxy stateful object support
  (bsc#1176447).
- netfilter: nf_tables_offload: move indirect flow_block callback
  logic to core (bsc#1176447).
- netfilter: nf_tables: Fix an Oops in nf_tables_updobj() error
  handling (bsc#1176447).
- netfilter: nf_tables: fix possible null-pointer dereference
  in object update (bsc#1176447).
- netfilter: nft_quota: add quota object update support
  (bsc#1176447).
- netfilter: nf_tables: Introduce stateful object update operation
  (bsc#1176447).
- netfilter: nft_dynset: support for element deletion
  (bsc#1176447).
- netfilter: nfnetlink_log: add support for VLAN information
  (bsc#1176447).
- netfilter: nft_meta: support for time matching (bsc#1176447).
- netfilter: nf_tables: Introduce new 64-bit helper register
  functions (bsc#1176447).
- net: phy: Do not check Link status when loopback is enabled
  (bsc#1176447).
- net: phy: gmii2rgmii: Dont use priv field in phy device
  (bsc#1176447).
- include: mdio: Add driver data helpers (bsc#1176447).
- net: phy: force phy suspend when calling phy_stop (bsc#1176447).
- net: phy: sfp: Add labels to hwmon sensors (bsc#1176447).
- net: dsa: use a single switch statement for port setup
  (bsc#1176447).
- net: phy: realtek: support NBase-T MMD EEE registers on RTL8125
  (bsc#1176447).
- net: phy: add EEE-related constants (bsc#1176447).
- selftests: devlink_trap: Add test cases for devlink-trap
  (bsc#1176774).
- selftests: forwarding: devlink_lib: Add devlink-trap helpers
  (bsc#1176774).
- selftests: forwarding: devlink_lib: Allow tests to define
  devlink device (bsc#1176774).
- net: phy: remove genphy_config_init (bsc#1176447).
- net: dsa: remove calls to genphy_config_init (bsc#1176447).
- net: phy: remove calls to genphy_config_init (bsc#1176447).
- net: phy: adin: add ethtool get_stats support (bsc#1176447).
- net: phy: adin: implement downshift configuration via
  phy-tunable (bsc#1176447).
- net: phy: adin: implement PHY subsystem software reset
  (bsc#1176447).
- net: phy: adin: add EEE translation layer from Clause 45 to
  Clause 22 (bsc#1176447).
- net: phy: adin: add support MDI/MDIX/Auto-MDI selection
  (bsc#1176447).
- net: phy: adin: make RMII fifo depth configurable (bsc#1176447).
- net: phy: adin: make RGMII internal delays configurable
  (bsc#1176447).
- net: phy: adin: configure RGMII/RMII/MII modes on config
  (bsc#1176447).
- net: phy: adin: add {write,read}_mmd hooks (bsc#1176447).
- net: phy: adin: add support for interrupts (bsc#1176447).
- net: phy: adin: hook genphy_{suspend, resume} into the driver
  (bsc#1176447).
- selftests: netdevsim: add devlink regions tests (bsc#1176447).
- selftests: netdevsim: add devlink params tests (bsc#1176447).
- net: phy: realtek: add support for EEE registers on integrated
  PHY's (bsc#1176447).
- net: phy: swphy: emulate register MII_ESTATUS (bsc#1176447).
- net: phy: read MII_CTRL1000 in genphy_read_status only if needed
  (bsc#1176447).
- netfilter: nft_bitwise: Adjust parentheses to fix memcmp size
  argument (bsc#1176447).
- net: phy: realtek: add NBase-T PHY auto-detection (bsc#1176447).
- netfilter: nf_nat_proto: make tables static (bsc#1176447).
- netfilter: nf_tables: add missing prototypes (bsc#1176447).
- netfilter: add missing IS_ENABLED(CONFIG_NF_CONNTRACK) checks
  to some header-files (bsc#1176447).
- netfilter: add missing IS_ENABLED(CONFIG_BRIDGE_NETFILTER)
  checks to header-file (bsc#1176447).
- netfilter: add missing includes to a number of header-files
  (bsc#1176447).
- netfilter: nf_tables: store data in offload context registers
  (bsc#1176447).
- netfilter: nft_bitwise: add offload support (bsc#1176447).
- netfilter: remove unnecessary spaces (bsc#1176447).
- netfilter: conntrack: use shared sysctl constants (bsc#1176447).
- netfilter: synproxy: rename mss synproxy_options field
  (bsc#1176447).
- net: phy: let phy_speed_down/up support speeds >1Gbps
  (bsc#1176447).
- net: phy: add phy_speed_down_core and phy_resolve_min_speed
  (bsc#1176447).
- net: phy: add __set_linkmode_max_speed (bsc#1176447).
- net: phy: realtek: add support for the 2.5Gbps PHY in RTL8125
  (bsc#1176447).
- net: phy: add phy_modify_paged_changed (bsc#1176447).
- net: phy: simplify genphy_config_advert by using the
  linkmode_adv_to_xxx_t functions (bsc#1176447).
- netfilter: nf_tables_offload: support indr block call
  (bsc#1176447).
- net: mdio-octeon: Fix Kconfig warnings and build errors
  (bsc#1176447).
- net: phy: Add mdio-aspeed (bsc#1176447).
- rcu: Add support for consolidated-RCU reader checking
  (bsc#1176447).
- rcu: Remove redundant debug_locks check in
  rcu_read_lock_sched_held() (bsc#1176447).
- commit 939bd7b
* Thu Sep 24 2020 msuchanek@suse.de
- sysfs: Fixes __BIN_ATTR_WO() macro (bsc#1176918 ltc#186474
  jsc#SLE-13644).
- sysfs: add BIN_ATTR_WO() macro (bsc#1176918 ltc#186474
  jsc#SLE-13644).
- commit 7135a4e
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: do not init a reloc root if we aren't relocating
  (bsc#1176019).
- commit c5afb94
* Thu Sep 24 2020 ggherdovich@suse.cz
- x86, sched: Bail out of frequency invariance if
  turbo_freq/base_freq gives 0 (bsc#1176925).
- commit a66109f
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: reloc: clean dirty subvols if we fail to start a
  transaction (bsc#1176019).
- btrfs: unset reloc control if we fail to recover (bsc#1176019).
- commit 30d2800
* Thu Sep 24 2020 msuchanek@suse.de
- Enable IMA_ARCH_POLICY on ppc64le (bsc#1176918 ltc#186474 jsc#SLE-13644).
- commit 355c4c4
* Thu Sep 24 2020 ggherdovich@suse.cz
- x86, sched: Bail out of frequency invariance if turbo frequency
  is unknown (bsc#1176925).
- commit 53cd83a
* Thu Sep 24 2020 ggherdovich@suse.cz
- x86, sched: check for counters overflow in frequency invariant
  accounting (bsc#1176925).
- commit 863fd4c
* Thu Sep 24 2020 msuchanek@suse.de
- ima: add a new CONFIG for loading arch-specific policies
  (bsc#1176918 ltc#186474 jsc#SLE-13644).
- powerpc: expose secure variables to userspace via sysfs
  (bsc#1176918 ltc#186474 jsc#SLE-13644).
- powerpc/powernv: Add OPAL API interface to access secure
  variable (bsc#1176918 ltc#186474 jsc#SLE-13644).
- commit 137b3e6
* Thu Sep 24 2020 fdmanana@suse.com
- btrfs: drop block from cache on error in relocation
  (bsc#1176019).
- commit 40126ae
* Thu Sep 24 2020 msuchanek@suse.de
- Enable LSM on ppc64le (bsc#1176918 ltc#186474 jsc#SLE-13644).
- commit ab0ed63
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7663u: fix memory leaks in mt7663u_probe
  (jsc#SLE-13430).
- Refresh
  patches.suse/mt76-move-mt76-workqueue-in-common-code.patch.
- Refresh
  patches.suse/mt76-mt7615-introduce-mt7663-usb-sdio-common-module.patch.
- commit e278f3c
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7915: use ieee80211_free_txskb to free tx skbs
  (jsc#SLE-13430).
- mt76: mt7615: use v1 MCU API on MT7615 to fix issues with
  adding/removing stations (jsc#SLE-13430).
- mt76: mt7615: fix EEPROM buffer size (jsc#SLE-13430).
- mt76: mt76x02: do not access uninitialized NAPI structs
  (jsc#SLE-13430).
- commit c283b5f
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: introduce mt7663s support (jsc#SLE-13430).
- Update config files.
- supported.conf: add new entry
- commit 7f2059b
* Thu Sep 24 2020 tiwai@suse.de
- mt7601u: add missing release on skb in mt7601u_mcu_msg_send
  (jsc#SLE-13430).
- mt76: mt76u: add missing release on skb in
  __mt76x02u_mcu_send_msg (jsc#SLE-13430).
- mt76: mt7615: fix possible memory leak in
  mt7615_mcu_wtbl_sta_add (jsc#SLE-13430).
- mt76: mt7915: fix potential memory leak in mcu message handler
  (jsc#SLE-13430).
- mt76: mt76s: move queue accounting in mt76s_tx_queue_skb
  (jsc#SLE-13430).
- mt76: introduce mt76_sdio module (jsc#SLE-13430).
- mt76: mt7615: introduce mt7663-usb-sdio-common module
  (jsc#SLE-13430).
- mt76: mt7615: sdio code must access rate/key regs in preocess
  context (jsc#SLE-13430).
- mt76: mt76u: add mt76_skb_adjust_pad utility routine
  (jsc#SLE-13430).
- mt76: mt7615: take into account sdio bus configuring txwi
  (jsc#SLE-13430).
- mt76: mt7915: add missing CONFIG_MAC80211_DEBUGFS
  (jsc#SLE-13430).
- mt76: mt7915: potential array overflow in
  mt7915_mcu_tx_rate_report() (jsc#SLE-13430).
- mt76: mt7615: fix potential memory leak in mcu message handler
  (jsc#SLE-13430).
- mt76: mt7663u: fix potential memory leak in mcu message handler
  (jsc#SLE-13430).
- mt76: mt7663u: fix memory leak in set key (jsc#SLE-13430).
- mt76: mt7615: reschedule ps work according to last activity
  (jsc#SLE-13430).
- mt76: mt7615: avoid scheduling runtime-pm during hw scan
  (jsc#SLE-13430).
- commit 467cddb
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7663u: sync probe sampling with rate configuration
  (jsc#SLE-13430).
- mt76: mt7615: improve mt7615_driver_own reliability
  (jsc#SLE-13430).
- mt76: mt7615: add idle-timeout knob in mt7615 debugfs
  (jsc#SLE-13430).
- mt76: mt7615: enable beacon hw filter for runtime-pm
  (jsc#SLE-13430).
- mt76: mt7615: add runtime-pm knob in mt7615 debugfs
  (jsc#SLE-13430).
- mt76: mt7615: do not request {driver,fw}_own if already granted
  (jsc#SLE-13430).
- mt76: mt7615: check MT76_STATE_PM flag before accessing the
  device (jsc#SLE-13430).
- mt76: mt7615: run mt7615_pm_wake in mt7615_mac_sta_{add,remove}
  (jsc#SLE-13430).
- mt76: mt7615: wake device before pushing frames in mt7615_tx
  (jsc#SLE-13430).
- mt76: mt7615: wake device before pulling packets from mac80211
  queues (jsc#SLE-13430).
- mt76: mt7615: run mt7615_mcu_set_roc holding mt76 mutex
  (jsc#SLE-13430).
- mt76: mt7615: run mt7615_mcu_set_wmm holding mt76 mutex
  (jsc#SLE-13430).
- mt76: mt7615: add missing lock in mt7615_regd_notifier
  (jsc#SLE-13430).
- mt76: mt7615: wake device before performing freq scan
  (jsc#SLE-13430).
- mt76: mt7615: acquire driver_own before configuring device
  for suspend (jsc#SLE-13430).
- mt76: mt7615: wake device in mt7615_update_channel before
  access regmap (jsc#SLE-13430).
- mt76: mt7615: introduce pm_power_save delayed work
  (jsc#SLE-13430).
- mt76: mt7615: wake device before configuring hw keys
  (jsc#SLE-13430).
- mt76: mt7615: wake device before accessing regmap in debugfs
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mutex_{acquire,release} utilities
  (jsc#SLE-13430).
- mt76: mt7615: add mt7615_pm_wake utility routine
  (jsc#SLE-13430).
- mt76: move mt76 workqueue in common code (jsc#SLE-13430).
- mt76: mt7615: avoid polling in fw_own for mt7663
  (jsc#SLE-13430).
- mt76: mt7915: avoid memcpy in rxv operation (jsc#SLE-13430).
- mt76: mt76x2u: enable HC-M7662BU1 (jsc#SLE-13430).
- mt76: mt76x2: fix pci suspend/resume on mt7612e (jsc#SLE-13430).
- mt76: mt7915: update HE capabilities (jsc#SLE-13430).
- mt76: mt7615: implement testmode support (jsc#SLE-13430).
- mt76: add API for testmode support (jsc#SLE-13430).
- mt76: vif_mask to struct mt76_phy (jsc#SLE-13430).
- commit 3cd654e
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: use full on-chip memory address for WF_PHY
  registers (jsc#SLE-13430).
- mt76: mt7615: add support for accessing RF registers via MCU
  (jsc#SLE-13430).
- mt76: mt7615: add support for accessing mapped registers via
  bus ops (jsc#SLE-13430).
- mt76: mt7615: schedule tx tasklet and sta poll on mac tx free
  (jsc#SLE-13430).
- mt76: mt76x2e: rename routines in pci.c (jsc#SLE-13430).
- mt76: mt7915: overwrite qid for non-bufferable mgmt frames
  (jsc#SLE-13430).
- mt76: mt7915: use ieee80211_tx_queue_params to avoid open coded
  (jsc#SLE-13430).
- mt76: mt7915: add MU-MIMO support (jsc#SLE-13430).
- mt76: mt7915: add a fixed AC queue mapping (jsc#SLE-13430).
- mt76: mt7615: add .set_tsf callback (jsc#SLE-13430).
- mt76: add U-APSD support on AP side (jsc#SLE-13430).
- mt76: rely on register macros (jsc#SLE-13430).
- mt76: fix include in pci.h (jsc#SLE-13430).
- mt76: allow more channels, allowed in ETSI domain
  (jsc#SLE-13430).
- mt76: mt7615: fix up typo in Kconfig for MT7663U
  (jsc#SLE-13430).
- mt76: mt7663: introduce ARP filter offload (jsc#SLE-13430).
- mt76: usb: rely on mt76_for_each_q_rx (jsc#SLE-13430).
- mt76: mt7615: re-enable offloading of sequence number assignment
  (jsc#SLE-13430).
- mt76: overwrite qid for non-bufferable mgmt frames
  (jsc#SLE-13430).
- mt76: mt7615: fix hw queue mapping (jsc#SLE-13430).
- commit 527edf9
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: fix lmac queue debugsfs entry (jsc#SLE-13430).
- mt76: add missing lock configuring coverage class
  (jsc#SLE-13430).
- mt76: mt7915: remove set but not used variable 'msta'
  (jsc#SLE-13430).
- mt76: mt7615: Use kmemdup in mt7615_queue_key_update()
  (jsc#SLE-13430).
- mt76: only iterate over initialized rx queues (jsc#SLE-13430).
- mt76: mt7615: add support for MT7611N (jsc#SLE-13430).
- mt76: fix wcid allocation issues (jsc#SLE-13430).
- mt76: mt7915: fix possible NULL pointer dereference in
  mt7915_register_ext_phy (jsc#SLE-13430).
- mt76: mt7615: fix hw_scan with ssid_type for specified SSID only
  (jsc#SLE-13430).
- mt76: mt7915: fix a handful of spelling mistakes
  (jsc#SLE-13430).
- mt76: mt7615: switch to per-vif power_save support
  (jsc#SLE-13430).
- mt76: mt7915: fix some sparse warnings (jsc#SLE-13430).
- mt76: fix per-driver wcid range checks after wcid array size
  bump (jsc#SLE-13430).
- mt76: mt7915: fix decoded radiotap HE flags (jsc#SLE-13430).
- mt76: mt7615: fix NULL pointer deref in mt7615_register_ext_phy
  (jsc#SLE-13430).
- mt76: mt7915: fix sparse warnings: incorrect type initializer
  (jsc#SLE-13430).
- mt76: mt7915: fix some sparse warnings (jsc#SLE-13430).
- mt76: mt7915: add spatial reuse support (jsc#SLE-13430).
- mt76: mt76x02: remove check in mt76x02_mcu_msg_send
  (jsc#SLE-13430).
- commit fb5ef3d
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: introduce remain_on_channel support
  (jsc#SLE-13430).
- mt76: mt7915: Fix build error (jsc#SLE-13430).
- mt76: mt7615: fix typo defining ps work (jsc#SLE-13430).
- mt76: mt7615: configure bss info adding the interface
  (jsc#SLE-13430).
- mt76: enable p2p support (jsc#SLE-13430).
- mt76: mt7615: reduce hw scan timeout (jsc#SLE-13430).
- mt76: mt7615: do not report scan_complete twice to mac80211
  (jsc#SLE-13430).
- mt76: mt7663: fix the usage WoW with net detect support
  (jsc#SLE-13430).
- mt76: mt7915: fix possible deadlock in mt7915_stop
  (jsc#SLE-13430).
- mt76: mt7915: allocate proper size for tlv tags (jsc#SLE-13430).
- mt76: mt7915: add debugfs to track TxBF status (jsc#SLE-13430).
- mt76: mt7915: add TxBF capabilities (jsc#SLE-13430).
- mt76: mt7915: add Tx beamformee support (jsc#SLE-13430).
- mt76: mt7915: add Tx beamformer support (jsc#SLE-13430).
- mt76: mt7915: introduce mt7915_get_he_phy_cap (jsc#SLE-13430).
- mt76: mt7615: usb: cancel ps work stopping the vif
  (jsc#SLE-13430).
- mt76: mt7663u: add missing register definitions (jsc#SLE-13430).
- mt76: mt7663u: copy key pointer in mt7663u_mac_write_txwi
  (jsc#SLE-13430).
- mt76: set runtime stream caps by mt76_phy (jsc#SLE-13430).
- mt76: mt7915: enable firmware module debug support
  (jsc#SLE-13430).
- mt76: mt7915: add tsf related callbacks (jsc#SLE-13430).
- mt76: mt7915: set peer Tx fixed rate through debugfs
  (jsc#SLE-13430).
- mt76: mt7915: add .sta_statistics support (jsc#SLE-13430).
- mt76: mt7915: add .sta_add_debugfs support (jsc#SLE-13430).
- mt76: mt7915: add Rx radiotap header support (jsc#SLE-13430).
- mt76: mt7915: add HE capabilities support for peers
  (jsc#SLE-13430).
- mt76: mt7915: add HE bss_conf support for interfaces
  (jsc#SLE-13430).
- mt76: mt7915: register per-phy HE capabilities for each
  interface (jsc#SLE-13430).
- mt76: mt7915: implement HE per-rate tx power support
  (jsc#SLE-13430).
- mt76: mt7915: enable Rx HE rate reporting (jsc#SLE-13430).
- commit 92422e8
* Thu Sep 24 2020 tiwai@suse.de
- mt76: add mac80211 driver for MT7915 PCIe-based chipsets
  (jsc#SLE-13430).
- Update config files.
- supported.conf: add mt7915e
- commit 03a77f1
* Thu Sep 24 2020 tiwai@suse.de
- mt76: add HE phy modes and hardware queue (jsc#SLE-13430).
- mt76: adjust wcid size to support new 802.11ax generation
  (jsc#SLE-13430).
- mt76: add Rx stats support for radiotap (jsc#SLE-13430).
- mt76: add support for HE RX rate reporting (jsc#SLE-13430).
- mt76: avoid rx reorder buffer overflow (jsc#SLE-13430).
- mt76: mt7615: scan all channels if not specified
  (jsc#SLE-13430).
- mt76: mt7663: add support to sched scan with randomise addr
  (jsc#SLE-13430).
- mt76: mt7663: introduce WoW with net detect support
  (jsc#SLE-13430).
- mt76: mt7615: fix delta tx power for mt7663 (jsc#SLE-13430).
- mt76: mt7663: fix target power parsing (jsc#SLE-13430).
- mt76: mt7615: fix ibss mode for mt7663 (jsc#SLE-13430).
- mt76: mt7615: check return value of
  mt7615_eeprom_get_power_index (jsc#SLE-13430).
- mt76: mt7663: read tx streams from eeprom (jsc#SLE-13430).
- mt76: mt7615: introduce beacon_loss mcu event (jsc#SLE-13430).
- mt76: mt7615: add gtk rekey offload support (jsc#SLE-13430).
- mt76: mt7615: introduce PM support (jsc#SLE-13430).
- mt76: mt7663u: introduce suspend/resume to mt7663u
  (jsc#SLE-13430).
- mt76: mt7615: add WoW support (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mcu_set_hif_suspend mcu command
  (jsc#SLE-13430).
- mt76: mt7615: introduce support for hardware beacon filter
  (jsc#SLE-13430).
- mt76: mt7615: free pci_vector if mt7615_pci_probe fails
  (jsc#SLE-13430).
- mt76: mt7615: add passive mode for hw scan (jsc#SLE-13430).
- mt76: mt7615: do not mark sched_scan disabled in
  mt7615_scan_work (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_check_offload_capability routine
  (jsc#SLE-13430).
- mt76: mt7615: fix ssid configuration in mt7615_mcu_hw_scan
  (jsc#SLE-13430).
- mt76: mt7603: remove duplicate error message (jsc#SLE-13430).
- mt76: mt7615: fix getting maximum tx power from eeprom
  (jsc#SLE-13430).
- mt76: mt7615: set spatial extension index (jsc#SLE-13430).
- mt76: mt7663: remove check in mt7663_load_n9 (jsc#SLE-13430).
- commit d9d7b7b
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7663: add the possibility to load firmware v2
  (jsc#SLE-13430).
- mt76: mt76x0: enable MCS 8 and MCS9 (jsc#SLE-13430).
- mt76: mt7615: fix event report in mt7615_mcu_bss_event
  (jsc#SLE-13430).
- mt76: mt7615: add sta pointer to mt7615_mcu_add_bss_info
  signature (jsc#SLE-13430).
- mt76: mt7663: fix up BMC entry indicated to unicmd firmware
  (jsc#SLE-13430).
- mt76: enable TDLS support (jsc#SLE-13430).
- mt76: mt7615: move mcu bss upload before creating the sta
  (jsc#SLE-13430).
- mt76: mt7603: fix tx status rate index calculation
  (jsc#SLE-13430).
- mt76: mt7615: fix tx status rate index calculation
  (jsc#SLE-13430).
- mt76: mt7615: do not adjust MAC timings if the device is not
  running (jsc#SLE-13430).
- mt76: mt7615: adjust timing in mt7615_mac_set_timing to match
  fw/hw values (jsc#SLE-13430).
- mt76: mt7603: never use an 802.11b CF-End rate on 5GHz
  (jsc#SLE-13430).
- mt76: mt7615: never use an 802.11b CF-End rate on 5GHz
  (jsc#SLE-13430).
- mt76: mt7615: use larger rx buffers if VHT is supported
  (jsc#SLE-13430).
- mt76: fix A-MPDU density handling (jsc#SLE-13430).
- mt76: mt7615: fix sta ampdu factor for VHT (jsc#SLE-13430).
- mt76: mt7663u: enable AirTimeFairness (jsc#SLE-13430).
- mt76: mt7615: rework mt7615_mac_sta_poll for usb code
  (jsc#SLE-13430).
- mt76: mt7615: fix aid configuration in
  mt7615_mcu_wtbl_generic_tlv (jsc#SLE-13430).
- mt76: mt7615: fix mt7615_driver_own routine (jsc#SLE-13430).
- mt76: mt7615: fix max wtbl size for 7663 (jsc#SLE-13430).
- mt76: mt7615: fix mt7615_firmware_own for mt7663e
  (jsc#SLE-13430).
- mt76: mt7615: parse mcu return code for unified commands
  (jsc#SLE-13430).
- mt76: add rx queues info to mt76 debugfs (jsc#SLE-13430).
- mt76: mt7615: make Kconfig entry obvious for MT7663E
  (jsc#SLE-13430).
- mt76: mt7663: introduce 802.11 PS support in sta mode
  (jsc#SLE-13430).
- mt76: remove PS_NULLFUNC_STACK capability (jsc#SLE-13430).
- mt76: mt7615: provide aid info to the mcu (jsc#SLE-13430).
- mt76: mt7615: disable aspm by default (jsc#SLE-13430).
- mt76: mt7615: enable scs for mt7663 driver (jsc#SLE-13430).
- commit d27806d
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: introduce mt7663u support (jsc#SLE-13430).
- Update config files.
- supported.conf: explicitly list mediatek modules
- commit 2e0b521
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: move core shared code in mt7615-common module
  (jsc#SLE-13430).
- mt76: mt7615: fix possible deadlock in mt7615_stop
  (jsc#SLE-13430).
- mt76: remove unnecessary annotations (jsc#SLE-13430).
- mt76: mt7615: enable MSI by default (jsc#SLE-13430).
- mt76: mt7615: rework IRQ handling to prepare for MSI support
  (jsc#SLE-13430).
- mt76: mt7663: fix DMA unmap length (jsc#SLE-13430).
- mt76: mt7622: fix DMA unmap length (jsc#SLE-13430).
- mt76: mt7615: set hw scan limits only for firmware with offload
  support (jsc#SLE-13430).
- mt76: mt7615: disable hw/sched scan ops for non-offload firmware
  (jsc#SLE-13430).
- mt76: mt7663: fix aggr range entry in debugfs (jsc#SLE-13430).
- mt76: mt7615: fix possible division by 0 in
  mt7615_mac_update_mib_stats (jsc#SLE-13430).
- mt76: mt76x2: disable merge of OTP ROM data by default
  (jsc#SLE-13430).
- mt76: mt7603: disable merge of OTP ROM data by default
  (jsc#SLE-13430).
- mt76: mt7615: add support for applying tx DPD calibration from
  EEPROM (jsc#SLE-13430).
- mt76: mt7615: add support for applying DC offset calibration
  from EEPROM (jsc#SLE-13430).
- mt76: mt7615: disable merge of OTP ROM data by default
  (jsc#SLE-13430).
- mt76: mt7615: Delete an error message in mt7622_wmac_probe()
  (jsc#SLE-13430).
- mt76: mt7615: do not always reset the dfs state setting the
  channel (jsc#SLE-13430).
- mt76: mt7663: correct the name of the rom patch (jsc#SLE-13430).
- mt76: mt7615: add address parameter to mt7615_eeprom_init
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_wtbl_desc data structure
  (jsc#SLE-13430).
- mt76: mt7615: rework wtbl key configuration (jsc#SLE-13430).
- mt76: mt76u: rely on mt7622 queue scheme for mt7663u
  (jsc#SLE-13430).
- mt76: mt7615: move mt7615_mac_wtbl_addr in mac.h
  (jsc#SLE-13430).
- mt76: mt7615: introduce __mt7663_load_firmware routine
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mac_update_rate_desc routine
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7663u support to mt7615_write_txwi
  (jsc#SLE-13430).
- mt76: add headroom and tailroom to mt76_mcu_ops data structure
  (jsc#SLE-13430).
- mt76: mt7615: remove unnecessary register operations
  (jsc#SLE-13430).
- mt76: mt7615: introduce rlm tlv in bss_info mcu command
  (jsc#SLE-13430).
- mt76: mt7615: introduce BSS absence event (jsc#SLE-13430).
- mt76: mt7615: introduce scheduled scan support (jsc#SLE-13430).
- mt76: mt7615: introduce hw scan support (jsc#SLE-13430).
- mt76: mt7663: keep Rx filters as the default (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mcu_set_channel_domain mcu
  command (jsc#SLE-13430).
- mt76: mt7615: add ethool support to mt7663 driver
  (jsc#SLE-13430).
- mt76: mt7663: disable RDD commands (jsc#SLE-13430).
- mt76: mt7615: make scs configurable per phy (jsc#SLE-13430).
- mt76: mt7663: enable nf estimation (jsc#SLE-13430).
- commit 80c029e
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7663: fix mt7615_mac_cca_stats_reset routine
  (jsc#SLE-13430).
- mt76: mt7615: add more useful Tx mib counters (jsc#SLE-13430).
- mt76: mt7615: cleanup mib related defines and structs
  (jsc#SLE-13430).
- mt76: mt7615: enable aggr_stats for both phy (jsc#SLE-13430).
- mt76: mt7615: modify mt7615_ampdu_stat_read for each phy
  (jsc#SLE-13430).
- mt76: mt76x0: pci: add mt7610 PCI ID (jsc#SLE-13430).
- mt76: mt76x2u: introduce Mercury UD13 support (jsc#SLE-13430).
- mt76: mt76x02: fix handling MCU timeouts during hw restart
  (jsc#SLE-13430).
- mt76: mt7615: add missing declaration in mt7615.h
  (jsc#SLE-13430).
- mt76: mt7615: fix endianness in unified command (jsc#SLE-13430).
- mt76: mt7615: fix mt7663e firmware struct endianness
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7663e support (jsc#SLE-13430).
- mt76: mt7615: get rid of sta_rec_wtbl data structure
  (jsc#SLE-13430).
- mt76: mt7615: introduce set_ba uni command (jsc#SLE-13430).
- mt76: mt7615: add more uni mcu commands (jsc#SLE-13430).
- mt76: mt7615: introduce set_bmc and st_sta for uni commands
  (jsc#SLE-13430).
- mt76: mt7615: introduce uni cmd command types (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_init_mac_chain routine
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_eeprom_parse_hw_band_cap routine
  (jsc#SLE-13430).
- mt76: mt7615: add mt7663e support to mt7615_mcu_set_eeprom
  (jsc#SLE-13430).
- mt76: mt7615: add mt7663e support to
  mt7615_{driver,firmware}_own (jsc#SLE-13430).
- mt76: mt7615: add mt7663e support to mt7615_reg_map
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_register_map (jsc#SLE-13430).
- mt76: mt7615: introduce MCU_FW_PREFIX for fw mcu commands
  (jsc#SLE-13430).
- mt76: mt7615: move more mcu commands in mt7615_mcu_ops data
  structure (jsc#SLE-13430).
- mt76: mt7615: rework mt7615_mcu_set_bss_info using skb APIs
  (jsc#SLE-13430).
- mt76: mt7615: rely on skb API for mt7615_mcu_set_eeprom
  (jsc#SLE-13430).
- mt76: mt7615: move mt7615_mcu_set_sta in mt7615_mcu_ops
  (jsc#SLE-13430).
- mt76: mt7615: move mt7615_mcu_set_bmc to mt7615_mcu_ops
  (jsc#SLE-13430).
- mt76: mt7615: add mt7615_mcu_ops data structure (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mcu_send_message routine
  (jsc#SLE-13430).
- mt76: always init to 0 mcu messages (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_init_device routine
  (jsc#SLE-13430).
- mt76: mt7615: cleanup fw queue just for mmio devices
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mcu_wait_response
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mcu_fill_msg (jsc#SLE-13430).
- mt76: mt7615: remove a stray if statement (jsc#SLE-13430).
- mt76: mt76x02: reset MCU timeout counter earlier in watchdog
  reset (jsc#SLE-13430).
- mt76: mt7615: fix monitor injection of beacon frames
  (jsc#SLE-13430).
- mt76: mt7603: make dynamic sensitivity adjustment configurable
  via debugfs (jsc#SLE-13430).
- commit da63c9b
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7603: add upper limit for dynamic sensitivity minimum
  receive power (jsc#SLE-13430).
- mt76: mt7615: fix antenna mask initialization in DBDC mode
  (jsc#SLE-13430).
- mt76: mt76u: rely only on data buffer for usb control messagges
  (jsc#SLE-13430).
- mt76: mt76u: fix a possible memory leak in mt76u_init
  (jsc#SLE-13430).
- mt76: mt76u: loop over all possible rx queues in
  mt76u_rx_tasklet (jsc#SLE-13430).
- mt76: Introduce mt76_mcu data structure (jsc#SLE-13430).
- mt76: mt7615: remove rx_mask in mt7615_eeprom_parse_hw_cap
  (jsc#SLE-13430).
- mt76: mt76u: rename stat_wq in wq (jsc#SLE-13430).
- mt76: mt76u: extend RX scatter gather number (jsc#SLE-13430).
- mt76: mt7615: rely on mt76_queues_read for mt7622
  (jsc#SLE-13430).
- mt76: do not set HOST_BROADCAST_PS_BUFFERING for mt7615
  (jsc#SLE-13430).
- mt76: mt7615: rework rx phy index handling (jsc#SLE-13430).
- mt76: fix rounding issues on converting per-chain and combined
  txpower (jsc#SLE-13430).
- mt76: mt76x2: avoid starting the MAC too early (jsc#SLE-13430).
- mt76: avoid extra RCU synchronization on station removal
  (jsc#SLE-13430).
- mt76: mt7615: fix monitor mode on second PHY (jsc#SLE-13430).
- mt76: mt7615: fix adding active monitor interfaces
  (jsc#SLE-13430).
- mt76: mt7615: switch mt7615_mcu_set_rx_ba to v2 format
  (jsc#SLE-13430).
- mt76: mt7615: switch mt7615_mcu_set_tx_ba to v2 format
  (jsc#SLE-13430).
- mt76: mt7615: use new tag sta_rec_wtbl (jsc#SLE-13430).
- mt76: mt7615: add starec operating flow for firmware v2
  (jsc#SLE-13430).
- mt76: mt7615: add a helper to encapsulate sta_rec operation
  (jsc#SLE-13430).
- mt76: mt7615: simplify mcu_set_sta flow (jsc#SLE-13430).
- mt76: mt7615: simplify mcu_set_bmc flow (jsc#SLE-13430).
- mt76: mt7615: add support for testing hardware reset
  (jsc#SLE-13430).
- mt76: mt7615: implement hardware reset support (jsc#SLE-13430).
- mt76: mt7615: report firmware log event messages
  (jsc#SLE-13430).
- mt76: mt7615: fix and rework tx power handling (jsc#SLE-13430).
- mt76: mt7615: add Kconfig entry for MT7622 (jsc#SLE-13430).
- mt76: mt7615: disable DBDC on MT7622 (jsc#SLE-13430).
- commit b5cd043
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: decrease rx ring size for MT7622 (jsc#SLE-13430).
- mt76: mt7615: implement DMA support for MT7622 (jsc#SLE-13430).
- mt76: mt7615: implement probing and firmware loading on MT7622
  (jsc#SLE-13430).
- mt76: mt7615: disable 5 GHz on MT7622 (jsc#SLE-13430).
- mt76: mt7615: add calibration free support for MT7622
  (jsc#SLE-13430).
- mt76: mt7615: add eeprom support for MT7622 (jsc#SLE-13430).
- mt76: mt7615: add dma and tx queue initialization for MT7622
  (jsc#SLE-13430).
- mt76: mt7615: fix MT_INT_TX_DONE_ALL definition for MT7622
  (jsc#SLE-13430).
- mt76: mt7615: store N9 firmware version instead of CR4
  (jsc#SLE-13430).
- mt76: mt7615: split up firmware loading functions
  (jsc#SLE-13430).
- mt76: mt7615: move mmio related code from pci.c to mmio.c
  (jsc#SLE-13430).
- mt76: mt7615: add __aligned(4) to txp structs (jsc#SLE-13430).
- mt76: enable Airtime Queue Limit support (jsc#SLE-13430).
- mt76: mt7603: increase dma mcu rx ring size (jsc#SLE-13430).
- mt76: dma: do not write cpu_idx on rx queue reset until after
  refill (jsc#SLE-13430).
- mt76: fix handling full tx queues in mt76_dma_tx_queue_skb_raw
  (jsc#SLE-13430).
- mt76: set dma-done flag for flushed descriptors (jsc#SLE-13430).
- mt76: mt76u: introduce MT_DRV_RX_DMA_HDR flag (jsc#SLE-13430).
- mt76: mt76u: add endpoint to mt76u_bulk_msg signature
  (jsc#SLE-13430).
- mt76: mt76u: introduce mt76u_skb_dma_info routine
  (jsc#SLE-13430).
- mt76: mt76u: take into account different queue mapping for 7663
  (jsc#SLE-13430).
- mt76: mt76u: add {read/write}_extended utility routines
  (jsc#SLE-13430).
- mt76: mt76u: introduce mt76u_alloc_mcu_queue utility routine
  (jsc#SLE-13430).
- mt76: mt76u: resume all rx queue in mt76u_resume_rx
  (jsc#SLE-13430).
- mt76: mt76u: add queue parameter to mt76u_rx_urb_alloc
  (jsc#SLE-13430).
- mt76: mt76u: add mt76u_alloc_rx_queue utility routine
  (jsc#SLE-13430).
- mt76: mt76u: stop/free all possible rx queues (jsc#SLE-13430).
- mt76: mt76u: introduce mt76u_free_rx_queue utility routine
  (jsc#SLE-13430).
- mt76: mt76u: move mcu buffer allocation in mt76x02u drivers
  (jsc#SLE-13430).
- mt76: mt76u: add queue id parameter to mt76u_submit_rx_buffers
  (jsc#SLE-13430).
- commit ad1cf2a
* Thu Sep 24 2020 yousaf.kaukab@suse.com
- gpiolib: Initialize the hardware with a callback
  (jsc#SLE-15847).
- commit e1ee56d
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt76u: use mt76_queue as mt76u_complete_rx context
  (jsc#SLE-13430).
- mt76: mt76u: add mt76_queue to mt76u_refill_rx signature
  (jsc#SLE-13430).
- mt76: mt76u: add mt76_queue to mt76u_get_next_rx_entry signature
  (jsc#SLE-13430).
- mt76: mt76u: add mt76u_process_rx_queue utility routine
  (jsc#SLE-13430).
- mt76: mt76u: check tx_status_data pointer in mt76u_tx_tasklet
  (jsc#SLE-13430).
- mt76: mt76x02u: avoid overwrite max_tx_fragments
  (jsc#SLE-13430).
- mt76: rely on mac80211 utility routines to compute airtime
  (jsc#SLE-13430).
- mt76: mt7615: remove leftover routine declaration
  (jsc#SLE-13430).
- mt76: move WIPHY_FLAG_HAS_CHANNEL_SWITCH in mt76_phy_init
  (jsc#SLE-13430).
- mt76: mt7615: fix endianness in mt7615_mcu_set_eeprom
  (jsc#SLE-13430).
- mt76: mt7615: initialize radar specs from host driver
  (jsc#SLE-13430).
- mt76: mt76x2: get rid of leftover target (jsc#SLE-13430).
- mt76: mt7615: add tracing support (jsc#SLE-13430).
- mt76: move mac_txdone tracepoint in mt76 module (jsc#SLE-13430).
- mt76: move dev_irq tracepoint in mt76 module (jsc#SLE-13430).
- mt76: mt7615: add a get_stats() callback (jsc#SLE-13430).
- mt76: mt7615: add per-phy mib statistics (jsc#SLE-13430).
- mt76: mt7615: report TSF information (jsc#SLE-13430).
- mt76: mt7615: add set_antenna callback (jsc#SLE-13430).
- mt76: mt7615: rework set_channel function (jsc#SLE-13430).
- commit 0986221
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: add missing settings for simultaneous dual-band
  support (jsc#SLE-13430).
- mt76: fix compilation warning in mt76_eeprom_override()
  (jsc#SLE-13430).
- mt76: mt7603: simplify led reg definitions (jsc#SLE-13430).
- mt76: mt76x02: simplify led reg definitions (jsc#SLE-13430).
- mt76: mt7615: introduce LED support (jsc#SLE-13430).
- mt76: clear skb pointers from rx aggregation reorder buffer
  during cleanup (jsc#SLE-13430).
- mt76: mt7603: fix input validation issues for powersave-filtered
  frames (jsc#SLE-13430).
- mt76: mt7615: increase MCU command timeout (jsc#SLE-13430).
- mt76: mt7615: measure channel noise and report it via survey
  (jsc#SLE-13430).
- mt76: mt7615: fix MT7615_CFEND_RATE_DEFAULT value
  (jsc#SLE-13430).
- mt76: mt76x02: minor mt76x02_mac_set_beacon optimization
  (jsc#SLE-13430).
- mt76: mt76x02u: do not set NULL beacons (jsc#SLE-13430).
- mt76: usb: use max packet length for m76u_copy (jsc#SLE-13430).
- mt76: mt76x02: add channel switch support for usb interfaces
  (jsc#SLE-13430).
- mt76: speed up usb bulk copy (jsc#SLE-13430).
- mt76: mt76x02: remove a copy call for usb speedup
  (jsc#SLE-13430).
- mt76: mt76x02: add check for invalid vif idx (jsc#SLE-13430).
- mt76: mt76x02: split beaconing (jsc#SLE-13430).
- mt76: mt76x02: omit beacon slot clearing (jsc#SLE-13430).
- mt76: use AC specific reorder timeout (jsc#SLE-13430).
- commit 0ca9a39
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: add set_coverage class support (jsc#SLE-13430).
- mt76: mt7603: set 0 as min coverage_class value (jsc#SLE-13430).
- mt76: mt7615: report firmware version using ethtool
  (jsc#SLE-13430).
- mt76: mt7615: Fix build with older compilers (jsc#SLE-13430).
- mt76: eeprom: add support for big endian eeprom partition
  (jsc#SLE-13430).
- mt76: mt7603: reset STA_CCA counter setting the channel
  (jsc#SLE-13430).
- mt76: fix possible undetected invalid MAC address
  (jsc#SLE-13430).
- mt76: disable bh in mt76_dma_rx_poll (jsc#SLE-13430).
- mt76: fix rx dma ring descriptor state on reset (jsc#SLE-13430).
- mt7615: replace sta_state callback with sta_add/sta_remove
  (jsc#SLE-13430).
- mt76: mt7615: defer mcu initialization via workqueue
  (jsc#SLE-13430).
- mt76: mt7615: update beacon contents on BSS_CHANGED_BEACON
  (jsc#SLE-13430).
- mt76: mt7615: add support for registering a second wiphy via
  debugfs (jsc#SLE-13430).
- mt76: mt7615: select the correct tx queue for frames sent to
  the second phy (jsc#SLE-13430).
- mt76: mt7615: move radio/mac initialization to .start/stop
  callbacks (jsc#SLE-13430).
- mt76: mt7615: initialize dbdc settings on interface add
  (jsc#SLE-13430).
- mt76: mt7615: add multiple wiphy support to the rx path
  (jsc#SLE-13430).
- mt76: mt7615: rework chainmask handling (jsc#SLE-13430).
- mt76: mt7615: add multiple wiphy support to the dfs support code
  (jsc#SLE-13430).
- mt76: mt7615: remove useless MT_HW_RDD0/1 enum (jsc#SLE-13430).
- mt76: mt7615: add missing register init for dual-wiphy support
  (jsc#SLE-13430).
- mt76: mt7615: add multiple wiphy support for smart carrier sense
  (jsc#SLE-13430).
- mt76: mt7615: add dual-phy support for mac80211 ops
  (jsc#SLE-13430).
- mt76: do not overwrite max_tx_fragments if it has been set
  (jsc#SLE-13430).
- mt76: move ampdu_ref from mt76_dev to driver struct
  (jsc#SLE-13430).
- mt76: add ext_phy field to struct mt76_wcid (jsc#SLE-13430).
- mt76: add function for allocating an extra wiphy
  (jsc#SLE-13430).
- mt76: add priv pointer to struct mt76_phy (jsc#SLE-13430).
- mt76: add multiple wiphy support to mt76_get_min_avg_rssi
  (jsc#SLE-13430).
- mt76: move txpower and antenna mask to struct mt76_phy
  (jsc#SLE-13430).
- commit 13dc9ff
* Thu Sep 24 2020 tiwai@suse.de
- mt76: move txpower_conf back to driver specific structs
  (jsc#SLE-13430).
- mt76: move chainmask back to driver specific structs
  (jsc#SLE-13430).
- mt76: move state from struct mt76_dev to mt76_phy
  (jsc#SLE-13430).
- mt76: keep a set of software tx queues per phy (jsc#SLE-13430).
- mt76: move channel state to struct mt76_phy (jsc#SLE-13430).
- mt76: add support for an extra wiphy in mt76_sta_state()
  (jsc#SLE-13430).
- mt76: add support for an extra wiphy in the tx status path
  (jsc#SLE-13430).
- mt76: add support for an extra wiphy in the main tx path
  (jsc#SLE-13430).
- mt76: add support for an extra wiphy in the rx path
  (jsc#SLE-13430).
- mt76: introduce struct mt76_phy (jsc#SLE-13430).
- mt76: move initialization of some struct members to
  mt76_alloc_device (jsc#SLE-13430).
- mt76: mt7615: fix max_nss in mt7615_eeprom_parse_hw_cap
  (jsc#SLE-13430).
- mt76: Off by one in mt76_calc_rx_airtime() (jsc#SLE-13430).
- mt76: fix LED link time failure (jsc#SLE-13430).
- mt76: mt76x0: fix default mac address overwrite (jsc#SLE-13430).
- mt76: fix fix ampdu locking (jsc#SLE-13430).
- mt76: mt7615: read {tx,rx} mask from eeprom (jsc#SLE-13430).
- mt76: move mt76_get_antenna in mt76_core module (jsc#SLE-13430).
- mt76: mt7615: disable radar pattern detector during scanning
  (jsc#SLE-13430).
- mt76: move interface_modes definition in mt76_core module
  (jsc#SLE-13430).
- commit 4862a0c
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: add ibss support (jsc#SLE-13430).
- mt76: move SUPPORTS_REORDERING_BUFFER hw property in
  mt76_register_device (jsc#SLE-13430).
- mt76: use mt76_dev in mt76_is_{mmio,usb} (jsc#SLE-13430).
- mt76: Remove set but not used variable 'idx' (jsc#SLE-13430).
- mt76: mt76u: rely on a dedicated stats workqueue
  (jsc#SLE-13430).
- mt76: mt7615: remove unneeded semicolon (jsc#SLE-13430).
- mt76: mt76x0: remove 350ms delay in mt76x0_phy_calibrate
  (jsc#SLE-13430).
- mt76: mt76x02u: update ewma pkt len in mt76x02u_tx_prepare_skb
  (jsc#SLE-13430).
- mt76: remove obsolete .add_buf() from struct mt76_queue_ops
  (jsc#SLE-13430).
- mt76: add sanity check for a-mpdu rx wcid index (jsc#SLE-13430).
- mt76: refactor cc_lock locking scheme (jsc#SLE-13430).
- mt76: mt76x0: eeprom: add support for MAC address from OF
  (jsc#SLE-13430).
- mt76: avoid enabling interrupt if NAPI poll is still pending
  (jsc#SLE-13430).
- mt76: fix aggregation stop issue (jsc#SLE-13430).
- mt76: add missing locking around ampdu action (jsc#SLE-13430).
- mt76: do not use devm API for led classdev (jsc#SLE-13430).
- mt76: enable airtime fairness (jsc#SLE-13430).
- mt76: mt7615: track tx/rx airtime for airtime fairness
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mac_wtbl_update routine
  (jsc#SLE-13430).
- mt76: mt7615: fix survey channel busy time (jsc#SLE-13430).
- commit 0a46ea0
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: report tx_time, bss_rx and busy time to mac80211
  (jsc#SLE-13430).
- mt76: mt76x02: track approximate tx airtime for airtime fairness
  and survey (jsc#SLE-13430).
- mt76: mt76x02: move MT_CH_TIME_CFG init to mt76x02_mac_cc_reset
  (jsc#SLE-13430).
- mt76: unify channel survey update code (jsc#SLE-13430).
- mt76: mt7603: switch to a different counter for survey busy time
  (jsc#SLE-13430).
- mt76: mt7603: track tx airtime for airtime fairness and survey
  (jsc#SLE-13430).
- mt76: track rx airtime for airtime fairness and survey
  (jsc#SLE-13430).
- mt76: store current channel survey_state in struct mt76_dev
  (jsc#SLE-13430).
- mt76: rename mt76_driver_ops txwi_flags to drv_flags and
  include tx aligned4 (jsc#SLE-13430).
- mt76: report rx a-mpdu subframe status (jsc#SLE-13430).
- mt76: mt7603: remove q_rx field from struct mt7603_dev
  (jsc#SLE-13430).
- mt76: mt7603: collect aggregation stats (jsc#SLE-13430).
- mt76: mt7615: collect aggregation stats (jsc#SLE-13430).
- mt76: move aggr_stats array in mt76_dev (jsc#SLE-13430).
- mt76: mt7615: add queue entry in debugfs (jsc#SLE-13430).
- mt76: move queue debugfs entry to driver specific code
  (jsc#SLE-13430).
- mt76: mt76x02u: move mt76x02u_mac_start in mt76x02-usb module
  (jsc#SLE-13430).
- mt76: mt76x0u: reset counter starting the device
  (jsc#SLE-13430).
- mt76: mt76x2: move mt76x02_mac_reset_counters in
  mt76x02_mac_start (jsc#SLE-13430).
- mt76: mt76x02: move mac_reset_counter in mt76x02_lib module
  (jsc#SLE-13430).
- commit cfb835f
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: enable SCS by default (jsc#SLE-13430).
- mt76: mt76x0e: make array mt76x0_chan_map static const, makes
  object smaller (jsc#SLE-13430).
- mt76: usb: add lockdep_assert_held in __mt76u_vendor_request
  (jsc#SLE-13430).
- mt76: remove empty flag in mt76_txq_schedule_list
  (jsc#SLE-13430).
- mt76: use cancel_delayed_work_sync in mt76_rx_aggr_shutdown
  (jsc#SLE-13430).
- mt76: remove aggr_work field from struct mt76_wcid
  (jsc#SLE-13430).
- mt76: mt7615: fix control frame rx in monitor mode
  (jsc#SLE-13430).
- mt7601u: use DEFINE_DEBUGFS_ATTRIBUTE to define debugfs fops
  (jsc#SLE-13430).
- mt76: mt76x2e: disable pcie_aspm by default (jsc#SLE-13430).
- mt76: mt7615: add support to read temperature from mcu
  (jsc#SLE-13430).
- commit 7d3516a
* Thu Sep 24 2020 tiwai@suse.de
- mt76: add default implementation for
  mt76_sw_scan/mt76_sw_scan_complete (jsc#SLE-13430).
- Refresh
  patches.suse/Revert-mt76-mt76x0e-don-t-use-hw-encryption-for-MT76.patch.
- commit eb2dc0b
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: introduce mt7615_txwi_to_txp utility routine
  (jsc#SLE-13430).
- mt76: mt7603: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-13430).
- mt76: mt76x0: remove unneeded return value on set channel
  (jsc#SLE-13430).
- mt76: mt76x0: remove redundant chandef copy (jsc#SLE-13430).
- mt76: make mt76_rx_convert static (jsc#SLE-13430).
- mt76: remove offchannel check in tx scheduling (jsc#SLE-13430).
- mt76: do not send BAR frame on tx aggregation flush stop
  (jsc#SLE-13430).
- mt76: dma: reset q->rx_head on rx reset (jsc#SLE-13430).
- mt76: mt7615: apply calibration-free data from OTP
  (jsc#SLE-13430).
- mt76: fix some checkpatch warnings (jsc#SLE-13430).
- mt76: mt7615: add BIP_CMAC_128 cipher support (jsc#SLE-13430).
- mt76: mt7603: remove unnecessary mcu queue initialization
  (jsc#SLE-13430).
- mt76: move mt76_tx_tasklet in mt76 module (jsc#SLE-13430).
- mt76: mt7615: enable survey support (jsc#SLE-13430).
- mt76: mt7603: move survey_time in mt76_dev (jsc#SLE-13430).
- mt76: mt76x02u: enable survey support (jsc#SLE-13430).
- mt76: mt76x02u: enable multi-vif support (jsc#SLE-13430).
- mt76: mt76x02: do not copy beacon skb in
  mt76x02_mac_set_beacon_enable (jsc#SLE-13430).
- mt76: mt76x02: introduce mt76x02_pre_tbtt_enable and
  mt76x02_beacon_enable macros (jsc#SLE-13430).
- mt76: mt7615: add Smart Carrier Sense support (jsc#SLE-13430).
- commit ffb46d1
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: rework locking scheme for mt7615_set_channel
  (jsc#SLE-13430).
- mt76: switch to SPDX tag instead of verbose boilerplate text
  (jsc#SLE-13430).
- mt76: mt76x02: fix some checkpatch warnings (jsc#SLE-13430).
- mt76: mt7615: fix some checkpatch warnings (jsc#SLE-13430).
- mt76: mt7603: fix some checkpatch warnings (jsc#SLE-13430).
- mt76: Add paragraphs to describe the config symbols fully
  (jsc#SLE-13430).
- mt76: mt7615: update cw_min/max related settings
  (jsc#SLE-13430).
- mt76: mt7615: add 4 WMM sets support (jsc#SLE-13430).
- mt76: introduce mt76_mmio_read_copy routine (jsc#SLE-13430).
- commit 84dca1b
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: add set_key_cmd and mt76_wcid to
  mt7615_mac_wtbl_set_key signature (jsc#SLE-13430).
- mt76: mt7615: remove wtbl_sec_key definition (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_mac_wtbl_set_key routine
  (jsc#SLE-13430).
- mt76: mt7615: add mt7615_mac_wtbl_addr routine (jsc#SLE-13430).
- mt76: mt7615: move mt7615_mac_get_key_info in mac.c
  (jsc#SLE-13430).
- mt76: mt7615: add missing register initialization
  (jsc#SLE-13430).
- mt76: mt76x0u: add support to TP-Link T2UHP (jsc#SLE-13430).
- commit 8182e1f
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: use params->ssn value directly (jsc#SLE-13430).
- Refresh
  patches.suse/mac80211-simplify-TX-aggregation-start.patch.
- commit de76976
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7603: use params->ssn value directly (jsc#SLE-13430).
- Refresh
  patches.suse/mac80211-simplify-TX-aggregation-start.patch.
- commit 86dacc5
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt76x02: use params->ssn value directly (jsc#SLE-13430).
- Refresh
  patches.suse/mac80211-simplify-TX-aggregation-start.patch.
- commit 9ee9a3b
* Thu Sep 24 2020 tiwai@suse.de
- mt76: usb: remove unneeded {put,get}_unaligned (jsc#SLE-13430).
- mt76: mt7603: fix invalid fallback rates (jsc#SLE-13430).
- mt76: mt7615: fix invalid fallback rates (jsc#SLE-13430).
- mt76: mt7615: fix PS buffering of action frames (jsc#SLE-13430).
- mt76: mt7615: fix using VHT STBC rates (jsc#SLE-13430).
- mt76: mt7615: sync with mt7603 rate control changes
  (jsc#SLE-13430).
- mt76: mt7615: reset rate index/counters on rate table update
  (jsc#SLE-13430).
- mt76: mt7615: move mt7615_mcu_set_rates to mac.c
  (jsc#SLE-13430).
- mt76: mt7603: enable hardware rate up/down selection
  (jsc#SLE-13430).
- commit d37ebad
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: introduce mt7615_mcu_send_ram_firmware routine
  (jsc#SLE-13430).
- Refresh
  patches.suse/mt76-mt7615-fix-mt7615-firmware-path-definitions.patch.
- commit 4d48734
* Thu Sep 24 2020 tiwai@suse.de
- mt76: mt7615: fall back to sw encryption for unsupported ciphers
  (jsc#SLE-13430).
- mt76: mt7615: clean up FWDL TXQ during/after firmware upload
  (jsc#SLE-13430).
- mt76: mt7615: add radar pattern test knob to debugfs
  (jsc#SLE-13430).
- mt76: mt7615: add csa support (jsc#SLE-13430).
- mt76: mt7615: do not perform txcalibration before cac is
  complited (jsc#SLE-13430).
- mt76: mt7615: add hw dfs pattern detector support
  (jsc#SLE-13430).
- mt76: mt7615: introduce mt7615_regd_notifier (jsc#SLE-13430).
- mt7601u: null check the allocation (jsc#SLE-13430).
- commit a7ec0c1
* Thu Sep 24 2020 tiwai@suse.de
- mt7601u: use params->ssn value directly (jsc#SLE-13430).
- Refresh
  patches.suse/mac80211-simplify-TX-aggregation-start.patch.
- commit d3f319c
* Thu Sep 24 2020 tiwai@suse.de
- staging: wlan-ng: fix out of bounds read in
  prism2sta_probe_usb() (jsc#SLE-13430).
- staging: wlan-ng: Fix alignment to match open parenthesis
  (jsc#SLE-13430).
- staging: wlan-ng: Fix third argument going over 80 characters
  (jsc#SLE-13430).
- staging: wlan-ng: Fix line going over 80 characters
  (jsc#SLE-13430).
- staging: wlan-ng: remove unused field from struct
  hfa384x_usbctlx (jsc#SLE-13430).
- staging: wlan-ng: fix compilation for USB debugging
  (jsc#SLE-13430).
- staging: wlan-ng: correct parameter alignment in hfa384x.h
  (jsc#SLE-13430).
- staging: wlan-ng: shorten lines over 80 characters in hfa384x.h
  (jsc#SLE-13430).
- staging: wlan-ng: remove unnecessary casts from prism2usb.c
  (jsc#SLE-13430).
- staging: wlan-ng: p80211wep.c: use lib/crc32 (jsc#SLE-13430).
- staging: wlan-ng: Remove function prism2mib_excludeunencrypted()
  (jsc#SLE-13430).
- staging: wlan-ng: use "%%*pE" for serial number (jsc#SLE-13430).
- staging: wlan-ng: Replace function hfa384x_dowmem()
  (jsc#SLE-13430).
- staging: wlan-ng: Replace function hfa384x_dormem()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove function hfa384x_docmd_wait()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove unused function hfa384x_docmd_async()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove function hfa384x_dowmem_async()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove unused function hfa384x_dormem_async()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove unused function hfa384x_dorrid_async()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove function hfa384x_dowrid_async()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove function hfa384x_dowrid_wait()
  (jsc#SLE-13430).
- staging: wlan-ng: Remove function hfa384x_dorrid_wait()
  (jsc#SLE-13430).
- commit cec1018
* Thu Sep 24 2020 yousaf.kaukab@suse.com
- rtc: max77686: Fix wake-ups for max77620 (jsc#SLE-15847).
- rtc: max77686: Do not allow interrupt to fire before system
  resume (jsc#SLE-15847).
- gpio: max77620: Use helper variable and clarify (jsc#SLE-15847).
- gpio: max77620: Initialize hardware state of interrupts
  (jsc#SLE-15847).
- gpio: max77620: Use irqchip template (jsc#SLE-15847).
- gpio: max77620: Don't shadow error code of platform_get_irq()
  (jsc#SLE-15847).
- gpio: max77620: Don't set of_node (jsc#SLE-15847).
- gpio: max77620: Replace 8 with MAX77620_GPIO_NR (jsc#SLE-15847).
- rtc: max77686: Use single-byte writes on MAX77620
  (jsc#SLE-15847).
- mfd: max77620: Use single-byte writes on MAX77620
  (jsc#SLE-15847).
- thermal: max77620: Appease the kernel-doc deity (jsc#SLE-15847).
- mfd: max77620: Add of_node_put() before return (jsc#SLE-15847).
- rtc: max77686: convert to devm_i2c_new_dummy_device()
  (jsc#SLE-15847).
- rtc: max77686: convert to i2c_new_dummy_device (jsc#SLE-15847).
- commit f482f85
* Thu Sep 24 2020 tiwai@suse.de
- ALSA: hda/realtek - The Mic on a RedmiBook doesn't work
  (git-fixes).
- ALSA: hda: fixup headset for ASUS GX502 laptop (git-fixes).
- commit e989675
* Thu Sep 24 2020 tiwai@suse.de
- batman-adv: mcast: fix duplicate mcast packets from BLA backbone
  to mesh (git-fixes).
- USB: quirks: Add USB_QUIRK_IGNORE_REMOTE_WAKEUP quirk for BYD
  zhaoxin notebook (git-fixes).
- serial: 8250_pci: Add Realtek 816a and 816b (git-fixes).
- Input: trackpoint - add new trackpoint variant IDs (git-fixes).
- Input: i8042 - add Entroware Proteus EL07R4 to nomux and reset
  lists (git-fixes).
- i2c: i801: Fix resume bug (git-fixes).
- i2c: algo: pca: Reapply i2c bus settings after reset
  (git-fixes).
- spi: Fix memory leak on splited transfers (git-fixes).
- spi: spi-loopback-test: Fix out-of-bounds read (git-fixes).
- regulator: pwm: Fix machine constraints application (git-fixes).
- commit 1a5ffc9
* Thu Sep 24 2020 tiwai@suse.de
- batman-adv: mcast: fix duplicate mcast packets in BLA backbone
  from mesh (git-fixes).
- batman-adv: mcast: fix duplicate mcast packets in BLA backbone
  from LAN (git-fixes).
- batman-adv: Add missing include for in_interrupt() (git-fixes).
- batman-adv: mcast/TT: fix wrongly dropped or rerouted packets
  (git-fixes).
- batman-adv: bla: fix type misuse for backbone_gw hash indexing
  (git-fixes).
- USB: UAS: fix disconnect by unplugging a hub (git-fixes).
- usb: typec: ucsi: Prevent mode overrun (git-fixes).
- i2c: mxs: use MXS_DMA_CTRL_WAIT4END instead of DMA_CTRL_ACK
  (git-fixes).
- commit b4b4983
* Thu Sep 24 2020 tiwai@suse.de
- ASoC: meson: axg-toddr: fix channel order on g12 platforms
  (git-fixes).
- ASoC: qcom: common: Fix refcount imbalance on error (git-fixes).
- ASoC: qcom: Set card->owner to avoid warnings (git-fixes).
- USB: serial: option: support dynamic Quectel USB compositions
  (git-fixes).
- dmaengine: acpi: Put the CSRT table after using it (git-fixes).
- NFC: st95hf: Fix memleak in st95hf_in_send_cmd (git-fixes).
- HID: elan: Fix memleak in elan_input_configured (git-fixes).
- HID: microsoft: Add rumble support for the 8bitdo SN30 Pro+
  controller (git-fixes).
- HID: quirks: Set INCREMENT_USAGE_ON_DUPLICATE for all Saitek
  X52 devices (git-fixes).
- HID: quirks: Always poll three more Lenovo PixArt mice
  (git-fixes).
- commit a978a29
* Thu Sep 24 2020 tiwai@suse.de
- clk: rockchip: Fix initialization of mux_pll_src_4plls_p
  (git-fixes).
- clk: davinci: Use the correct size when allocating memory
  (git-fixes).
- USB: serial: option: add support for SIM7070/SIM7080/SIM7090
  modules (git-fixes).
- USB: serial: ftdi_sio: add IDs for Xsens Mti USB converter
  (git-fixes).
- usb: Fix out of sync data toggle if a configured device is
  reconfigured (git-fixes).
- iio: adc: mcp3422: fix locking on error path (git-fixes).
- iio: adc: mcp3422: fix locking scope (git-fixes).
- iio:adc:max1118 Fix alignment of timestamp and data leak issues
  (git-fixes).
- debugfs: Fix module state check condition (git-fixes).
- iio: dac: ad5592r: fix unbalanced mutex unlocks in
  ad5592r_read_raw() (git-fixes).
- commit c8304fa
* Thu Sep 24 2020 tiwai@suse.de
- usb: core: fix slab-out-of-bounds Read in read_descriptors
  (git-fixes).
- usb: typec: ucsi: acpi: Check the _DEP dependencies (git-fixes).
- iio:adc:ina2xx Fix timestamp alignment issue (git-fixes).
- iio:adc:ti-adc084s021 Fix alignment and data leak issues
  (git-fixes).
- iio:adc:ti-adc081c Fix alignment and data leak issues
  (git-fixes).
- iio:magnetometer:ak8975 Fix alignment and data leak issues
  (git-fixes).
- iio:light:ltr501 Fix timestamp alignment issue (git-fixes).
- iio:light:max44000 Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio:chemical:ccs811: Fix timestamp alignment and prevent data
  leak (git-fixes).
- iio:proximity:mb1232: Fix timestamp alignment and prevent data
  leak (git-fixes).
- iio:accel:mma7455: Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio:accel:bmc150-accel: Fix timestamp alignment and prevent
  data leak (git-fixes).
- iio:accel:mma8452: Fix timestamp alignment and prevent data leak
  (git-fixes).
- iio: accel: kxsd9: Fix alignment of local buffer (git-fixes).
- iio: adc: ti-ads1015: fix conversion when CONFIG_PM is not set
  (git-fixes).
- soundwire: fix double free of dangling pointer (git-fixes).
- spi: stm32: fix pm_runtime_get_sync() error checking
  (git-fixes).
- regulator: core: Fix slab-out-of-bounds in
  regulator_unlock_recursive() (git-fixes).
- regulator: remove superfluous lock in
  regulator_resolve_coupling() (git-fixes).
- regulator: plug of_node leak in regulator_register()'s error
  path (git-fixes).
- regulator: push allocation in set_consumer_device_supply()
  out of lock (git-fixes).
- regulator: push allocations in create_regulator() outside of
  lock (git-fixes).
- regulator: push allocation in regulator_ena_gpio_request()
  out of lock (git-fixes).
- regulator: push allocation in regulator_init_coupling()
  outside of lock (git-fixes).
- mmc: sdio: Use mmc_pre_req() / mmc_post_req() (git-fixes).
- mmc: sdhci-of-esdhc: Don't walk device-tree on every interrupt
  (git-fixes).
- mmc: sdhci-msm: Add retries when all tuning phases are found
  valid (git-fixes).
- mmc: sdhci-acpi: Clear amd_sdhci_host on reset (git-fixes).
- commit 3591d68
* Thu Sep 24 2020 glin@suse.com
- bpf: Fix a rcu warning for bpffs map pretty-print (bsc#1155518).
- bpf: map_seq_next should always increase position index
  (bsc#1155518).
- commit e39f9d2
* Thu Sep 24 2020 lyan@suse.com
- arm64: paravirt: Initialize steal time when cpu is online
  (bsc#1176833).
- Drop
  patches.kabi/kabi-workaround-for-enum-cpuhp_state.patch
  (Variable in enum cpuhp_state is no longer needed)
- commit 5b9b111
* Wed Sep 23 2020 msuchanek@suse.de
- powerpc/numa: Early request for home node associativity
  (bsc#1171068 ltc#183935).
- commit bd89a37
* Wed Sep 23 2020 nsaenzjulienne@suse.de
- crypto: talitos - Fix build error by selecting LIB_DES
  (jsc#SLE-16106).
- crypto: hisilicon - select CRYPTO_LIB_DES while compiling SEC
  driver (jsc#SLE-16106).
- commit d393cfd
* Wed Sep 23 2020 nsaenzjulienne@suse.de
- crypto: s390/des - switch to new verification routines
  (jsc#SLE-16106).
- commit a1c93fe
* Wed Sep 23 2020 tiwai@suse.de
- workqueue: require CPU hotplug read exclusion for
  apply_workqueue_attrs (bsc#1176763).
- commit ceaafd0
* Wed Sep 23 2020 msuchanek@suse.de
- powerpc/numa: Offline memoryless cpuless node 0 (bsc#1171068
  ltc#183935).
- powerpc/numa: Prefer node id queried from vphn (bsc#1171068
  ltc#183935).
- powerpc/numa: Set numa_node for all possible cpus (bsc#1171068
  ltc#183935).
- powerpc/numa: Use cpu node map of first sibling thread
  (bsc#1171068 ltc#183935).
- commit 4baf6e2
* Wed Sep 23 2020 tiwai@suse.de
- Revert "wlcore: Adding suppoprt for IGTK key in wlcore driver"
  (jsc#SLE-13430, bsc#1176741).
- airo: use generic power management (jsc#SLE-13430, bsc#1176741).
- intersil: fix wiki website url (jsc#SLE-13430, bsc#1176741).
- qtnfmac: Missing platform_device_unregister() on error in
  qtnf_core_mac_alloc() (jsc#SLE-13430, bsc#1176741).
- hostap: use generic power management (jsc#SLE-13430,
  bsc#1176741).
- prism54: switch from 'pci_' to 'dma_' API (jsc#SLE-13430,
  bsc#1176741).
- prism54: islpci_hotplug: use generic power management
  (jsc#SLE-13430, bsc#1176741).
- prism54: Replace HTTP links with HTTPS ones (jsc#SLE-13430,
  bsc#1176741).
- p54: switch from 'pci_' to 'dma_' API (jsc#SLE-13430,
  bsc#1176741).
- wireless: Fix trivial spelling (jsc#SLE-13430, bsc#1176741).
- zd1211rw: remove needless check before usb_free_coherent()
  (jsc#SLE-13430, bsc#1176741).
- airo: use set_current_state macro (jsc#SLE-13430, bsc#1176741).
- adm8211: use generic power management (jsc#SLE-13430,
  bsc#1176741).
- orinoco: use generic power management (jsc#SLE-13430,
  bsc#1176741).
- orinoco_usb: fix spelling mistake (jsc#SLE-13430, bsc#1176741).
- wlcore: Remove pointless spinlock (jsc#SLE-13430, bsc#1176741).
- wlcore: Use spin_trylock in wlcore_irq() to see if we need to
  queue tx (jsc#SLE-13430, bsc#1176741).
- wlcore: Use spin_trylock in wlcore_irq_locked() for running
  the queue (jsc#SLE-13430, bsc#1176741).
- wlcore: Simplify runtime resume ELP path (jsc#SLE-13430,
  bsc#1176741).
- airo: Fix read overflows sending packets (jsc#SLE-13430,
  bsc#1176741).
- wlcore: fix runtime pm imbalance in wlcore_irq_locked
  (jsc#SLE-13430, bsc#1176741).
- wlcore: fix runtime pm imbalance in __wl1271_op_remove_interface
  (jsc#SLE-13430, bsc#1176741).
- wlcore: fix runtime pm imbalance in wl1271_op_suspend
  (jsc#SLE-13430, bsc#1176741).
- wlcore: fix runtime pm imbalance in wlcore_regdomain_config
  (jsc#SLE-13430, bsc#1176741).
- wlcore: fix runtime pm imbalance in wl1271_tx_work
  (jsc#SLE-13430, bsc#1176741).
- cw1200: Remove local sdio VENDOR and DEVICE id definitions
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: Replace zero-length array with flexible-array
  (jsc#SLE-13430, bsc#1176741).
- prism54: Replace zero-length array with flexible-array
  (jsc#SLE-13430, bsc#1176741).
- wlcore: Adding suppoprt for IGTK key in wlcore driver
  (jsc#SLE-13430, bsc#1176741).
- orinoco: remove useless variable 'err' in spectrum_cs_suspend()
  (jsc#SLE-13430, bsc#1176741).
- hostap: Add missing annotations for prism2_bss_list_proc_start()
  and prism2_bss_list_proc_stop (jsc#SLE-13430, bsc#1176741).
- cw1200: make cw1200_spi_irq_unsubscribe() void (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: Simplify code in _attach functions (jsc#SLE-13430,
  bsc#1176741).
- adm80211: Replace zero-length array with flexible-array member
  (jsc#SLE-13430, bsc#1176741).
- cw1200: Replace zero-length array with flexible-array member
  (jsc#SLE-13430, bsc#1176741).
- zd1211rw: Replace zero-length array with flexible-array member
  (jsc#SLE-13430, bsc#1176741).
- p54: Replace zero-length array with flexible-array member
  (jsc#SLE-13430, bsc#1176741).
- orinoco: Replace zero-length array with flexible-array member
  (jsc#SLE-13430, bsc#1176741).
- hostap: Replace zero-length array with flexible-array member
  (jsc#SLE-13430, bsc#1176741).
- wireless: ti: Replace zero-length array with flexible-array
  member (jsc#SLE-13430, bsc#1176741).
- prism54: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: add interface combination check for repeater mode
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: assign each wiphy to its own virtual platform device
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: set valid edmg in cfg80211_chan_def (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: support WPA3 OWE in AP mode (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: support WPA3 SAE in AP mode (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: fix potential Spectre vulnerabilities (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: drop unnecessary TLVs from scan command (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: update channel switch command to support 6GHz band
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: cleanup alignment in firmware communication protocol
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: pass max scan SSIDs limit on per-radio basis
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: implement extendable channel survey dump
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: drop QTN_TLV_ID_NUM_IFACE_COMB TLV type (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: merge PHY_PARAMS_GET into MAC_INFO (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: pass hardware capabilities in TLV element
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: use MAJOR.MINOR format for firmware protocol
  (jsc#SLE-13430, bsc#1176741).
- wl1251: remove ti,power-gpio for SDIO mode (jsc#SLE-13430,
  bsc#1176741).
- orinoco_usb: Use the regular completion interfaces
  (jsc#SLE-13430, bsc#1176741).
- wlcore: remove stray plus sign (jsc#SLE-13430, bsc#1176741).
- qtnfmac: add support for TWT responder and spatial reuse
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: add support for STA HE rates (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: control qtnfmac wireless interfaces bridging
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: add module param to configure DFS offload
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: cleanup slave_radar access function (jsc#SLE-13430,
  bsc#1176741).
- cw1200: use true,false for bool variable (jsc#SLE-13430,
  bsc#1176741).
- hostap: Adjust indentation in prism2_hostapd_add_sta
  (jsc#SLE-13430, bsc#1176741).
- wlcore: mesh: Add support for RX Broadcast Key (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: process HE capabilities requests (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: add TLV for extension IEs (jsc#SLE-13430, bsc#1176741).
- qtnfmac: signal that all packets coming from device are already
  flooded (jsc#SLE-13430, bsc#1176741).
- qtnfmac: advertise netdev port parent ID (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: add interface ID to each packet (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: track broadcast domain of each interface
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: remove VIF in firmware in case of error (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: add support for getting/setting transmit power
  (jsc#SLE-13430, bsc#1176741).
- qtnfmac: handle MIC failure event from firmware (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: send EAPOL frames via control path (jsc#SLE-13430,
  bsc#1176741).
- qtnfmac: modify Rx descriptors queue setup (jsc#SLE-13430,
  bsc#1176741).
- adm80211: remove set but not used variables 'mem_addr' and
  'io_addr' (jsc#SLE-13430, bsc#1176741).
- wlcore: clean-up clearing of WL1271_FLAG_IRQ_RUNNING
  (jsc#SLE-13430, bsc#1176741).
- zd1211rw: zd_usb: Use "%%zu" to format size_t (jsc#SLE-13430,
  bsc#1176741).
- zd1211rw: use %%*ph to print small buffer (jsc#SLE-13430,
  bsc#1176741).
- hostap: use %%*ph to print small buffer (jsc#SLE-13430,
  bsc#1176741).
- hostap: remove set but not used variable 'copied' in
  prism2_io_debug_proc_read (jsc#SLE-13430, bsc#1176741).
- zd1211rw: zd_usb: Use struct_size() helper (jsc#SLE-13430,
  bsc#1176741).
- airo: fix memory leaks (jsc#SLE-13430, bsc#1176741).
- qtnfmac_pcie: Use dev_get_drvdata (jsc#SLE-13430, bsc#1176741).
- commit 5da3ada
* Wed Sep 23 2020 tiwai@suse.de
- blacklist.conf: Remove the wireless entry to be backported
- commit 49fbe52
* Wed Sep 23 2020 nsaenzjulienne@suse.de
- crypto: x86/des - switch to library interface (jsc#SLE-16106).
- commit ee24e9c
* Wed Sep 23 2020 nsaenzjulienne@suse.de
- crypto: caam/qi2 - add module alias (jsc#SLE-16106).
- crypto: caam - add more RNG hw error codes (jsc#SLE-16106).
- crypto: caam/jr - remove incorrect reference to
  caam_jr_register() (jsc#SLE-16106).
- crypto: caam - silence .setkey in case of bad key length
  (jsc#SLE-16106).
- crypto: caam/qi2 - create ahash shared descriptors only once
  (jsc#SLE-16106).
- crypto: caam/qi2 - fix error reporting for caam_hash_alloc
  (jsc#SLE-16106).
- crypto: caam - remove deadcode on 32-bit platforms
  (jsc#SLE-16106).
- crypto: caam - Remove broken arc4 support (jsc#SLE-16106).
- crypto: caam/qi2 - fix return code in ahash_finup_no_ctx()
  (jsc#SLE-16106).
- crypto: caam/qi2 - remove redundant assignment to ret
  (jsc#SLE-16106).
- crypto: caam/qi2 - add support for dpseci_reset()
  (jsc#SLE-16106).
- crypto: caam - add clock info for VFxxx SoCs (jsc#SLE-16106).
- crypto: caam - fix typos (jsc#SLE-16106).
- crypto: caam - fix use-after-free KASAN issue for RSA algorithms
  (jsc#SLE-16106).
- crypto: caam - fix use-after-free KASAN issue for HASH
  algorithms (jsc#SLE-16106).
- crypto: caam - fix use-after-free KASAN issue for AEAD
  algorithms (jsc#SLE-16106).
- crypto: caam - fix use-after-free KASAN issue for SKCIPHER
  algorithms (jsc#SLE-16106).
- crypto: caam - limit single JD RNG output to maximum of 16 bytes
  (jsc#SLE-16106).
- crypto: caam - enable prediction resistance in HRWNG
  (jsc#SLE-16106).
- crypto: caam - invalidate entropy register during RNG
  initialization (jsc#SLE-16106).
- crypto: caam - check if RNG job failed (jsc#SLE-16106).
- crypto: caam - simplify RNG implementation (jsc#SLE-16106).
- crypto: caam - drop global context pointer and init_done
  (jsc#SLE-16106).
- crypto: caam - use struct hwrng's .init for initialization
  (jsc#SLE-16106).
- crypto: caam - allocate RNG instantiation descriptor with
  GFP_DMA (jsc#SLE-16106).
- crypto: Replace zero-length array with flexible-array member
  (jsc#SLE-16106).
- crypto: caam - add crypto_engine support for HASH algorithms
  (jsc#SLE-16106).
- crypto: caam - add crypto_engine support for RSA algorithms
  (jsc#SLE-16106).
- crypto: caam - add crypto_engine support for AEAD algorithms
  (jsc#SLE-16106).
- crypto: caam - support crypto_engine framework for SKCIPHER
  algorithms (jsc#SLE-16106).
- crypto: caam - change return code in caam_jr_enqueue function
  (jsc#SLE-16106).
- crypto: caam - refactor RSA private key _done callbacks
  (jsc#SLE-16106).
- crypto: caam - refactor ahash_edesc_alloc (jsc#SLE-16106).
- crypto: caam - refactor ahash_done callbacks (jsc#SLE-16106).
- crypto: caam - refactor skcipher/aead/gcm/chachapoly
  {en,de}crypt functions (jsc#SLE-16106).
- crypto: caam/qi - optimize frame queue cleanup (jsc#SLE-16106).
- crypto: caam - add support for i.MX8M Plus (jsc#SLE-16106).
- crypto: caam - add support for i.MX8M Nano (jsc#SLE-16106).
- crypto: caam - Add support for i.MX8M Mini (jsc#SLE-16106).
- crypto: caam/qi2 - remove double buffering for ahash
  (jsc#SLE-16106).
- crypto: caam - remove double buffering for ahash
  (jsc#SLE-16106).
- crypto: caam - do not reset pointer size from MCFGR register
  (jsc#SLE-16106).
- crypto: caam - populate platform devices last (jsc#SLE-16106).
- crypto: caam - use devres to populate platform devices
  (jsc#SLE-16106).
- crypto: caam - use devres to de-initialize QI (jsc#SLE-16106).
- crypto: caam - use devres to de-initialize the RNG
  (jsc#SLE-16106).
- crypto: caam - use devres to remove debugfs (jsc#SLE-16106).
- crypto: caam - use devres to unmap memory (jsc#SLE-16106).
- crypto: caam - use mapped_{src,dst}_nents for descriptor
  (jsc#SLE-16106).
- crypto: caam - Cast to long first before pointer conversion
  (jsc#SLE-16106).
- crypto: caam - dispose of IRQ mapping only after IRQ is freed
  (jsc#SLE-16106).
- crypto: caam - check irq_of_parse_and_map for errors
  (jsc#SLE-16106).
- crypto: caam - use devres to unmap JR's registers
  (jsc#SLE-16106).
- crypto: caam - make sure clocks are enabled first
  (jsc#SLE-16106).
- crypto: caam - add clock entry for i.MX8MQ (jsc#SLE-16106).
- crypto: caam - always select job ring via RSR on i.MX8MQ
  (jsc#SLE-16106).
- crypto: caam - select DMA address size at runtime
  (jsc#SLE-16106).
- crypto: caam - don't hardcode inpentry size (jsc#SLE-16106).
- crypto: caam - drop explicit usage of struct jr_outentry
  (jsc#SLE-16106).
- crypto: caam - move cpu_to_caam_dma() selection to runtime
  (jsc#SLE-16106).
- crypto: caam - make CAAM_PTR_SZ dynamic (jsc#SLE-16106).
- crypto: caam - share definition for MAX_SDLEN (jsc#SLE-16106).
- crypto: caam - drop 64-bit only wr/rd_reg64() (jsc#SLE-16106).
- crypto: caam - use ioread64*_hi_lo in rd_reg64 (jsc#SLE-16106).
- crytpo: caam - make use of iowrite64*_hi_lo in wr_reg64
  (jsc#SLE-16106).
- crypto: caam - request JR IRQ as the last step (jsc#SLE-16106).
- crypto: caam - convert caam_jr_init() to use devres
  (jsc#SLE-16106).
- crypto: caam - simplfy clock initialization (jsc#SLE-16106).
- crypto: caam - move DMA mask selection into a function
  (jsc#SLE-16106).
- crypto: talitos - Fix build warning in aead_des3_setkey
  (jsc#SLE-16106).
- crypto: n2/des - fix build breakage after DES updates
  (jsc#SLE-16106).
- crypto: des - remove now unused __des3_ede_setkey()
  (jsc#SLE-16106).
- crypto: des - split off DES library from generic DES cipher
  driver (jsc#SLE-16106).
- Update configs
- Refresh: patches.suse/crypto-blake2s-generic-c-library-implementation-and-selftest.patch
- Refresh: patches.suse/crypto-chacha-move-existing-library-code-into-lib-crypto.patch
- Refresh: patches.suse/crypto-chacha20poly1305-import-construction-and-selftest-from-zinc.patch
- Refresh: patches.suse/crypto-lib-curve25519-re-add-selftests.patch
- Refresh: patches.suse/crypto-lib-tidy-up-lib-crypto-kconfig-and-makefile.patch
- Refresh: patches.suse/crypto-poly1305-move-core-routines-into-a-separate-library.patch
- supported.conf: add libdes
- crypto: des - remove unused function (jsc#SLE-16106).
- crypto: 3des - move verification out of exported routine
  (jsc#SLE-16106).
- crypto: ux500/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: talitos/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: sun4i/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: stm32/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: rk3288/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: qce/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: picoxcell/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: omap/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: n2/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: cesa/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: ixp4xx/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: safexcel/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: hisilicon/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: hifn/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: ccree/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: ccp/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: nitrox/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: cpt/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: caam/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: bcm/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: atmel/des - switch to new verification routines
  (jsc#SLE-16106).
- crypto: des/3des_ede - add new helpers to verify keys
  (jsc#SLE-16106).
- crypto: caam - change return value in case CAAM has no MDHA
  (jsc#SLE-16106).
- crypto: caam - fix MDHA key derivation for certain user key
  lengths (jsc#SLE-16106).
- crypto: caam - keep both virtual and dma key addresses
  (jsc#SLE-16106).
- crypto: caam - update rfc4106 sh desc to support zero length
  input (jsc#SLE-16106).
- crypto: caam - check zero-length input (jsc#SLE-16106).
- crypto: caam - check assoclen (jsc#SLE-16106).
- crypto: caam - check authsize (jsc#SLE-16106).
- crypto: caam - check key length (jsc#SLE-16106).
- crypto: caam - update IV only when crypto operation succeeds
  (jsc#SLE-16106).
- crypto: caam - fix return code in completion callbacks
  (jsc#SLE-16106).
- crypto: aes - helper function to validate key length for AES
  algorithms (jsc#SLE-16106).
- crypto: caam - defer probing until QMan is available
  (jsc#SLE-16106).
- crypto: caam/qi2 - Add printing dpseci fq stats using debugfs
  (jsc#SLE-16106).
- crypto: caam/qi2 - Increase napi budget to process more caam
  responses (jsc#SLE-16106).
- crypto: drivers - Use kmemdup rather than duplicating its
  implementation (jsc#SLE-16106).
- crypto: lib/aes - export sbox and inverse sbox (jsc#SLE-16106).
- commit 7b8fc68
* Wed Sep 23 2020 msuchanek@suse.de
- rpadlpar_io: Add MODULE_DESCRIPTION entries to kernel modules
  (bsc#1176869 ltc#188243).
- commit e45f4be
* Wed Sep 23 2020 tiwai@suse.de
- fbcon: remove soft scrollback code (CVE-2020-14390 bsc#1176235).
- commit 9b8ada0
* Wed Sep 23 2020 tiwai@suse.de
- cfg80211: regulatory: reject invalid hints (bsc#1176699).
- commit 899f6a9
* Wed Sep 23 2020 tiwai@suse.de
- mac80211: fix 80 MHz association to 160/80+80 AP on 6 GHz
  (jsc#SLE-13430).
- mac80211: do not allow bigger VHT MPDUs than the hardware
  supports (jsc#SLE-13430).
- cfg80211: fix 6 GHz channel conversion (jsc#SLE-13430).
- mac80211: do not disable HE if HT is missing on 2.4 GHz
  (jsc#SLE-13430).
- mac80211: Fix radiotap header channel flag for 6GHz band
  (jsc#SLE-13430).
- lib80211: fix unmet direct dependendices config warning when
  !CRYPTO (jsc#SLE-13430).
- mac80211: add AQL support for VHT160 tx rates (jsc#SLE-13430).
- mac80211: extend AQL aggregation estimation to HE and fix unit
  mismatch (jsc#SLE-13430).
- brcmfmac: reserve tx credit only when txctl is ready to send
  (jsc#SLE-13430).
- cfg80211: invert HE BSS color 'disabled' to 'enabled'
  (jsc#SLE-13430).
- commit 6a30c41
* Wed Sep 23 2020 nsaenzjulienne@suse.de
- tty: serial: imx: add dependence and build for earlycon
  (jsc#SLE-16106).
- Update configs
- tty/serial: fix serial_core.c kernel-doc warnings
  (jsc#SLE-16106).
- serial: 8520_port: Fix function param documentation
  (jsc#SLE-16106).
- commit 554b64d
* Wed Sep 23 2020 mkubecek@suse.cz
- ethtool: ethnl_set_linkmodes: remove redundant null check
  (bsc#1176447).
- net: ethtool: add missing string for NETIF_F_GSO_TUNNEL_REMCSUM
  (bsc#1176447).
- ethtool: Fix check in ethtool_rx_flow_rule_create (bsc#1176447).
- ethtool: linkinfo: remove an unnecessary NULL check
  (bsc#1176447).
- ethtool: propagate get_coalesce return value (bsc#1176447).
- ethtool: don't call set_channels in drivers if config didn't
  change (bsc#1176447).
- ethtool: check if there is at least one channel for TX/RX in
  the core (bsc#1176447).
- netlink: allow extack cookie also for error messages
  (bsc#1176447).
- commit 83fb27e
* Wed Sep 23 2020 mkubecek@suse.cz
- Update
  patches.suse/ethtool-provide-coalescing-parameters-with-COALESCE_.patch.
  We have to handle zero ethtool_ops::supported_coalesce_params (meaning all
  coalescing parameters are allowed) correctly.
- commit 265b21a
* Wed Sep 23 2020 mkubecek@suse.cz
- Update
  patches.suse/ethtool-set-coalescing-parameters-with-COALESCE_SET-.patch.
  We have to handle zero ethtool_ops::supported_coalesce_params (meaning all
  coalescing parameters are allowed) correctly.
- commit 92c5163
* Wed Sep 23 2020 tiwai@suse.de
- mmc: sdio: Move SDIO IDs from rsi_sdio driver to common include
  file (jsc#SLE-13430).
- commit dd60907
* Wed Sep 23 2020 tiwai@suse.de
- rt2x00: pci: use generic power management (jsc#SLE-13430).
- atmel: fix wiki website url (jsc#SLE-13430).
- atmel: Use shared constant for rfc1042 header (jsc#SLE-13430).
- rt2800: enable MFP support unconditionally (jsc#SLE-13430).
- rsi: fix a typo "throld" -> "threshold" (jsc#SLE-13430).
- atmel: at76c50x: Replace zero-length array with flexible-array
  member (jsc#SLE-13430).
- rsi: fix null pointer dereference during rsi_shutdown()
  (jsc#SLE-13430).
- at76c50x-usb: fix endpoint debug message (jsc#SLE-13430).
- rt2x00usb: Fix a warning message in
  'rt2x00usb_watchdog_tx_dma()' (jsc#SLE-13430).
- rsi: add missing endpoint sanity checks (jsc#SLE-13430).
- rt2x00: use RESET state bit to prevent IV changes on restart
  (jsc#SLE-13430).
- rt2x00: implement reconfig_complete (jsc#SLE-13430).
- atmel: remove set but not used variable 'dev' (jsc#SLE-13430).
- rsi: drop bogus device-id checks from probe (jsc#SLE-13430).
- rt2x00: remove input-polldev.h header (jsc#SLE-13430).
- rt2x00: do not set IEEE80211_TX_STAT_AMPDU_NO_BACK on tx status
  (jsc#SLE-13430).
- rt2800usb: Add new rt2800usb device PLANEX GW-USMicroN
  (jsc#SLE-13430).
- rsi: fix for sdio reset card issue (jsc#SLE-13430).
- rsi: fix for sdio interface setup in 9116 (jsc#SLE-13430).
- rt2x00: no need to check return value of debugfs_create
  functions (jsc#SLE-13430).
- rt2x00usb: remove unnecessary rx flag checks (jsc#SLE-13430).
- rsi: return explicit error values (jsc#SLE-13430).
- commit a8888e8
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: Fix NULL pointer dereference in AHB device probe
  (jsc#SLE-13430).
- ath9k_htc: Set RX filter based to allow broadcast Action frame
  RX (jsc#SLE-13430).
- ath9k: Set RX filter based to allow broadcast Action frame RX
  (jsc#SLE-13430).
- wcn36xx: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- wil6210: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- ath10k: fix ath10k_pci struct layout (jsc#SLE-13430).
- ath10k: fix gcc-10 zero-length-bounds warnings (jsc#SLE-13430).
- carl9170: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- ath10k: remove experimental tag from SDIO and SNOC busses in
  Kconfig (jsc#SLE-13430).
- ath10k: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- ath10k: fix __le32 warning in
  ath10k_wmi_tlv_op_gen_request_peer_stats_info() (jsc#SLE-13430).
- wil6210: avoid gcc-10 zero-length-bounds warning
  (jsc#SLE-13430).
- ath10k: Remove msdu from idr when management pkt send fails
  (jsc#SLE-13430).
- ath6kl: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- ath10k: Add support for targets without trustzone
  (jsc#SLE-13430).
- ath10k: Setup the msa resources before qmi init (jsc#SLE-13430).
- ath10k: Avoid override CE5 configuration for QCA99X0 chipsets
  (jsc#SLE-13430).
- ath10k: fix possible memory leak in ath10k_bmi_lz_data_large()
  (jsc#SLE-13430).
- ath10k: correct tx bitrate of iw for SDIO (jsc#SLE-13430).
- ath10k: add bitrate parse for peer stats info (jsc#SLE-13430).
- ath10k: add rx bitrate report for SDIO (jsc#SLE-13430).
- ath10k: enable firmware peer stats info for wmi tlv
  (jsc#SLE-13430).
- ath5k: remove conversion to bool in ath5k_ani_calibration()
  (jsc#SLE-13430).
- ath9k: add calibration timeout for AR9002 (jsc#SLE-13430).
- ath9k: invalidate all calibrations at once (jsc#SLE-13430).
- ath9k: interleaved NF calibration on AR9002 (jsc#SLE-13430).
- ath9k: do not miss longcal on AR9002 (jsc#SLE-13430).
- ath9k: remove needless NFCAL_PENDING flag setting
  (jsc#SLE-13430).
- ath9k: fix AR9002 ADC and NF calibrations (jsc#SLE-13430).
- ath10k: add statistics of tx retries and tx failed when tx
  complete disable (jsc#SLE-13430).
- ath10k: enable rx duration report default for wmi tlv
  (jsc#SLE-13430).
- ath10k: drop the TX packet which size exceed credit size for
  sdio (jsc#SLE-13430).
- ath10k: Fix the invalid tx/rx chainmask configuration
  (jsc#SLE-13430).
- ath10k: add flush tx packets for SDIO chip (jsc#SLE-13430).
- ath10k: enable alt data of TX path for sdio (jsc#SLE-13430).
- ath10k: add htt TX bundle for sdio (jsc#SLE-13430).
- ath10k: hif: make send_complete_check op optional
  (jsc#SLE-13430).
- ath10k: sdio: remove _hif_ prefix from functions not part of
  hif interface (jsc#SLE-13430).
- ath10k: improve power save performance for sdio (jsc#SLE-13430).
- ath10k: rename ath10k_hif_swap_mailbox() to
  ath10k_hif_start_post() (jsc#SLE-13430).
- ath10k: Fix typo in warning messages (jsc#SLE-13430).
- ath10k: change ATH10K_SDIO_BUS_REQUEST_MAX_NUM from 64 to 1024
  (jsc#SLE-13430).
- ath10k: disable TX complete indication of htt for sdio
  (jsc#SLE-13430).
- ath10k: enable radar detection in secondary segment
  (jsc#SLE-13430).
- ath10k: enable VHT160 and VHT80+80 modes (jsc#SLE-13430).
- commit 275b016
* Wed Sep 23 2020 dwagner@suse.de
- scsi: qla2xxx: Handle incorrect entry_type entries
  (bsc#1171688).
- scsi: qla2xxx: Log calling function name in
  qla2x00_get_sp_from_handle() (bsc#1171688).
- scsi: qla2xxx: Simplify return value logic in
  qla2x00_get_sp_from_handle() (bsc#1171688).
- scsi: qla2xxx: Warn if done() or free() are called on an
  already freed srb (bsc#1171688).
- scsi: qla2xxx: Fix the return value (bsc#1171688).
- scsi: qla2xxx: Fix wrong return value in qla_nvme_register_hba()
  (bsc#1171688).
- scsi: qla2xxx: Fix wrong return value in
  qlt_chk_unresolv_exchg() (bsc#1171688).
- scsi: qla2xxx: Remove redundant variable initialization
  (bsc#1171688).
- scsi: qla2xxx: Fix the size used in a 'dma_free_coherent()'
  call (bsc#1171688).
- scsi: qla2xxx: Remove pci-dma-compat wrapper API (bsc#1171688).
- scsi: qla2xxx: Remove superfluous memset() (bsc#1171688).
- commit a59756a
* Wed Sep 23 2020 tiwai@suse.de
- mmc: sdio: Move SDIO IDs from ath10k driver to common include
  file (jsc#SLE-13430).
- Refresh
  patches.suse/mmc-sdio-Move-SDIO-IDs-from-b43-sdio-driver-to-commo.patch.
- commit 724d733
* Wed Sep 23 2020 tiwai@suse.de
- mmc: sdio: Move SDIO IDs from ath6kl driver to common include
  file (jsc#SLE-13430).
- Refresh
  patches.suse/mmc-sdio-Move-SDIO-IDs-from-b43-sdio-driver-to-commo.patch.
- commit ad768d6
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: Fill GCMP MIC length for PMF (jsc#SLE-13430).
- ath5k: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13430).
- ath10k: allow qca988x family to support ack rssi of tx data
  packets (jsc#SLE-13430).
- ath5k: Add proper dependency for ATH5K_AHB (jsc#SLE-13430).
- commit 24e69ef
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: fix not registering airtime of 11a station with WMM
  disable (jsc#SLE-13430).
- ath10k: fix unsupported chip reset debugs file write
  (jsc#SLE-13430).
- ath10k: use kzalloc to read for ath10k_sdio_hif_diag_read
  (jsc#SLE-13430).
- ath10k: start recovery process when read int status fail for
  sdio (jsc#SLE-13430).
- ath10k: add QCA9377 sdio hw_param item (jsc#SLE-13430).
- ath10k: avoid consecutive OTP download to reduce boot time
  (jsc#SLE-13430).
- ath10k: Add support to read btcoex related data from DT
  (jsc#SLE-13430).
- carl9170: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13430).
- wil6210: reject unsupported coalescing params (jsc#SLE-13430).
- wcn36xx: fix spelling mistake "to" -> "too" (jsc#SLE-13430).
- ar5523: fix spelling mistake "to" -> "too" (jsc#SLE-13430).
- ar5523: Add USB ID of SMCWUSBT-G2 wireless adapter
  (jsc#SLE-13430).
- ath10k: Use device_get_match_data() to simplify code
  (jsc#SLE-13430).
- ath10k: Add newlines to printk messages (jsc#SLE-13430).
- commit 9b9cecd
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: Don't call SCM interface for statically mapped msa
  region (jsc#SLE-13430).
- Refresh
  patches.suse/ath10k-Skip-handling-del_server-during-driver-exit.patch.
- commit 6e75394
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: drop RX skb with invalid length for sdio
  (jsc#SLE-13430).
- ath10k: use true,false for bool variable (jsc#SLE-13430).
- ath10k: Add optional qdss clk (jsc#SLE-13430).
- wil6210: use true,false for bool variable (jsc#SLE-13430).
- commit ed2b42a
* Wed Sep 23 2020 tiwai@suse.de
- ath9k: use true,false for bool variable (jsc#SLE-13430).
- wil6210: get rid of begin() and complete() ethtool_ops
  (jsc#SLE-13430).
- wil6210: add support for set_cqm_rssi_config (jsc#SLE-13430).
- wil6210: support set_multicast_to_unicast cfg80211 operation
  (jsc#SLE-13430).
- wil6210: fix MID valid bits in Rx status message
  (jsc#SLE-13430).
- wil6210: reduce ucode_debug memory region (jsc#SLE-13430).
- wil6210: add verification for cid upper bound (jsc#SLE-13430).
- wil6210: take mem_lock for writing in crash dump collection
  (jsc#SLE-13430).
- wil6210: minimize the time that mem_lock is held
  (jsc#SLE-13430).
- wil6210: dump Rx status message on errors (jsc#SLE-13430).
- wcn36xx: disable HW_CONNECTION_MONITOR (jsc#SLE-13430).
- ath10k: Fix some typo in some warning messages (jsc#SLE-13430).
- ath: add support for special 0x0 regulatory domain
  (jsc#SLE-13430).
- ath10k: change bundle count for max rx bundle for sdio
  (jsc#SLE-13430).
- ath10k: enable napi on RX path for sdio (jsc#SLE-13430).
- ath10k: enable wow feature for sdio chip (jsc#SLE-13430).
- ath10k: change log level for mpdu status of sdio chip
  (jsc#SLE-13430).
- ath10k: set WMI_PEER_AUTHORIZE after a firmware crash
  (jsc#SLE-13430).
- ath10k: set max mtu to 1500 for sdio chip (jsc#SLE-13430).
- ath10k: enable firmware log by default for sdio (jsc#SLE-13430).
- ath10k: move non-fatal warn logs to dbg level (jsc#SLE-13430).
- commit 7f7df35
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: fix RX of frames with broken FCS in monitor mode
  (jsc#SLE-13430).
- ath10k: report rssi of each chain to mac80211 for sdio
  (jsc#SLE-13430).
- ath10k: Handle "invalid" BDFs for msm8998 devices
  (jsc#SLE-13430).
- ath10k: add NL80211_FEATURE_ND_RANDOM_MAC_ADDR for NLO
  (jsc#SLE-13430).
- ath10k: Handle when FW doesn't support QMI_WLFW_HOST_CAP_REQ_V01
  (jsc#SLE-13430).
- ath10k: add large size for BMI download data for SDIO
  (jsc#SLE-13430).
- ath10k: sdio: remove struct ath10k_sdio_rx_data::status
  (jsc#SLE-13430).
- ath10k: sdio: cosmetic cleanup (jsc#SLE-13430).
- ath10k: add workqueue for RX path of sdio (jsc#SLE-13430).
- ath10k: change max RX bundle size from 8 to 32 for sdio
  (jsc#SLE-13430).
- ath10k: enable RX bundle receive for sdio (jsc#SLE-13430).
- ath9k: use iowrite32 over __raw_writel (jsc#SLE-13430).
- wcn36xx: fix typo (jsc#SLE-13430).
- ath10k: qmi: Sleep for a while before assigning MSA memory
  (jsc#SLE-13430).
- ath10k: disable cpuidle during downloading firmware
  (jsc#SLE-13430).
- ath10k: fix potential issue of peer stats allocation
  (jsc#SLE-13430).
- wcn36xx: remove unecessary return (jsc#SLE-13430).
- ath5k: eeprom: Remove unneeded variable (jsc#SLE-13430).
- wil6210: add SPDX license identifiers (jsc#SLE-13430).
- ath10k: remove unneeded semicolon (jsc#SLE-13430).
- ath: rename regulatory rules (jsc#SLE-13430).
- ath10k: fix memory leak for tpc_stats_final (jsc#SLE-13430).
- ath10k: fix array out-of-bounds access (jsc#SLE-13430).
- ath10k: fix null dereference on pointer crash_data
  (jsc#SLE-13430).
- ath10k: add support for hardware rfkill (jsc#SLE-13430).
- ath10k: coredump: fix IRAM addr for QCA9984, QCA4019, QCA9888
  and QCA99x0 (jsc#SLE-13430).
- commit 406f015
* Wed Sep 23 2020 msuchanek@suse.de
- powerpc/powernv/idle: add a basic stop 0-3 driver for POWER10
  (jsc#SLE-13616).
- powerpc/powernv/idle: Exclude mfspr on HID1, 4, 5 on P9 and
  above (jsc#SLE-13616).
- powerpc/powernv/idle: Rename pnv_first_spr_loss_level variable
  (jsc#SLE-13616).
- commit f39be34
* Wed Sep 23 2020 tiwai@suse.de
- wil6210: fix PTK re-key race (jsc#SLE-13430).
- Refresh
  patches.suse/wil6210-account-for-napi_gro_receive-never-returning.patch.
- commit 56f08b1
* Wed Sep 23 2020 tiwai@suse.de
- ath10k: switch to ieee80211_tx_dequeue_ni (jsc#SLE-13430).
- ath10k: change sw version print format to hex (jsc#SLE-13430).
- ath10k: print supported MCS rates within service ready event
  (jsc#SLE-13430).
- ath10k: print service ready returned channel range
  (jsc#SLE-13430).
- ath10k: add 2ghz channel arguments to service ready structure
  (jsc#SLE-13430).
- ath9k: remove unused including <linux/version.h>
  (jsc#SLE-13430).
- ath10k: remove the warning of sdio not full support
  (jsc#SLE-13430).
- ath: Use dev_get_drvdata where possible (jsc#SLE-13430).
- ath: fix various spelling mistakes (jsc#SLE-13430).
- ath10k: fix missing checks for bmi reads and writes
  (jsc#SLE-13430).
- ath10k: Add support to provide higher range mem chunks in wmi
  init command (jsc#SLE-13430).
- ath10k: Add peer param map for tlv and non-tlv (jsc#SLE-13430).
- ath10k: Enable MSA region dump support for WCN3990
  (jsc#SLE-13430).
- ath10k: Add xo calibration support for wifi rf clock
  (jsc#SLE-13430).
- ath10k: fix spelling mistake "eanble" -> "enable"
  (jsc#SLE-13430).
- ath10k: revalidate the msa region coming from firmware
  (jsc#SLE-13430).
- ath10k: use ath10k_pci_soc_ functions for all warm_reset
  instances (jsc#SLE-13430).
- ath10k: Use ARRAY_SIZE (jsc#SLE-13430).
- ath10k: avoid leaving .bss_info_changed prematurely
  (jsc#SLE-13430).
- ath10k: Use standard bulk clock API in snoc (jsc#SLE-13430).
- ath10k: Use standard regulator bulk API in snoc (jsc#SLE-13430).
- ath10k: snoc: skip regulator operations (jsc#SLE-13430).
- net/wireless: Use kmemdup rather than duplicating its
  implementation (jsc#SLE-13430).
- wil6210: ignore reset errors for FW during probe
  (jsc#SLE-13430).
- wil6210: fix RX short frame check (jsc#SLE-13430).
- wil6210: use writel_relaxed in wil_debugfs_iomem_x32_set
  (jsc#SLE-13430).
- wil6210: report boottime_ns in scan results (jsc#SLE-13430).
- wil6210: properly initialize discovery_expired_work
  (jsc#SLE-13430).
- wil6210: verify cid value is valid (jsc#SLE-13430).
- wil6210: make sure DR bit is read before rest of the status
  message (jsc#SLE-13430).
- wil6210: add debugfs to show PMC ring content (jsc#SLE-13430).
- ath10k: free beacon buf later in vdev teardown (jsc#SLE-13430).
- ath9k: Remove unneeded variable to store return value
  (jsc#SLE-13430).
- ath10k: add reorder and change PN check logic for mac80211
  (jsc#SLE-13430).
- ath10k: add mic bytes for pmf management packet (jsc#SLE-13430).
- ath6kl: Fix a possible null-pointer dereference in
  ath6kl_htc_mbox_create() (jsc#SLE-13430).
- commit 88690d2
* Wed Sep 23 2020 tiwai@suse.de
- ath9k: add loader for AR92XX (and older) pci(e) (jsc#SLE-13430).
- Update config files.
- supported.conf: add ath9k_pci_owl_loader
- commit 5336944
* Wed Sep 23 2020 tiwai@suse.de
- ath9k: dynack: set ackto to max timeout in ath_dynack_reset
  (jsc#SLE-13430).
- ath9k: dynack: set max timeout according to channel width
  (jsc#SLE-13430).
- ath9k: dynack: properly set last timeout timestamp in
  ath_dynack_reset (jsc#SLE-13430).
- ath9k: dyanck: introduce ath_dynack_set_timeout routine
  (jsc#SLE-13430).
- carl9170: remove set but not used variable 'udev'
  (jsc#SLE-13430).
- wil6210: Delete an unnecessary kfree() call in
  wil_tid_ampdu_rx_alloc() (jsc#SLE-13430).
- wil6210: Add EDMG channel support (jsc#SLE-13430).
- wil6210: fix wil_cid_valid with negative cid values
  (jsc#SLE-13430).
- commit 19acb2a
* Wed Sep 23 2020 tiwai@suse.de
- staging: r8188eu: replace rtw_netdev_priv define with inline
  function (jsc#SLE-13430).
- staging: rtl8723bs: Align macro definitions (jsc#SLE-13430).
- staging: rtl8723bs: Clean up function declations
  (jsc#SLE-13430).
- staging: rtl8723bs: Fix coding style errors (jsc#SLE-13430).
- Staging: rtl8712: Fixed a coding sytle issue (jsc#SLE-13430).
- staging: rtl8723bs: remove redundant assignment to variable ret
  (jsc#SLE-13430).
- staging: rtl8712: Use fallthrough pseudo-keyword
  (jsc#SLE-13430).
- staging: rtl8723bs: Use fallthrough pseudo-keyword
  (jsc#SLE-13430).
- staging: rtl8192e: Use fallthrough pseudo-keyword
  (jsc#SLE-13430).
- staging: r8188eu: use proper type for second argiment of
  rtw_(aes|tkip|wep)_(decrypt|encrypt) (jsc#SLE-13430).
- STAGING - REALTEK RTL8188EU DRIVERS: Fix Coding Style Error
  (jsc#SLE-13430).
- Staging: rtl8188eu: Fix a constant comparison coding style issue
  (jsc#SLE-13430).
- staging: rtl8723bs: Cleanup open brace issues (jsc#SLE-13430).
- staging: rtl8188eu: Fix an indent coding style issue
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup whitespace in declarations
  (jsc#SLE-13430).
- staging: rtl8188eu: clear alignment style issues
  (jsc#SLE-13430).
- staging: rtl8192e: add proper code indent (jsc#SLE-13430).
- staging: rtl8192e: add space before open parenthesis
  (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around operators in header files
  (jsc#SLE-13430).
- Staging: rtl8188eu: core: Fix coding style issue
  (jsc#SLE-13430).
- staging: rtl8188eu: include: fixed multiple blank space coding
  style issues (jsc#SLE-13430).
- staging: rtl8188eu: clear tabstop style issues (jsc#SLE-13430).
- staging: rtl8188eu: add blank line after declarations
  (jsc#SLE-13430).
- staging: rtl*/security: Use static const in array declarations
  (jsc#SLE-13430).
- staging: rtl8188eu: core: fix coding style issues
  (jsc#SLE-13430).
- staging: r8188eu: remove unused members of struct xmit_buf
  (jsc#SLE-13430).
- staging: rtl8192e: rtl_core: Remove pci-dma-compat wrapper APIs
  (jsc#SLE-13430).
- staging: rtl8192e: rtl8192E_dev: Remove pci-dma-compat wrapper
  APIs (jsc#SLE-13430).
- staging: rtl8712/: Using comparison to true is error prone
  (jsc#SLE-13430).
- staging: rtl8712: Use proper format in call to dev_err()
  (jsc#SLE-13430).
- staging: rtl8712: Remove variable 'raw' from rtl871x_open_fw()
  (jsc#SLE-13430).
- staging: rtl8712: Use ETH_ALEN instead of hardcoded value
  (jsc#SLE-13430).
- staging: rtl8712: Simplify expressions with boolean logic
  (jsc#SLE-13430).
- staging: rtl8712: Replace constant 49152 with expression 48 *
  1024 (jsc#SLE-13430).
- staging: rtl8188eu: Use fallthrough pseudo-keyword
  (jsc#SLE-13430).
- staging: rtl8723bs: Using comparison to true is error prone
  (jsc#SLE-13430).
- staging: rtl8192u: Using comparison to true is error prone
  (jsc#SLE-13430).
- staging: rtl8712: Annotate r8712_sitesurvey_cmd()
  (jsc#SLE-13430).
- staging: rtl8192u: remove copying file (jsc#SLE-13430).
- staging: rtl8192u: remove GPL boiler plate text (jsc#SLE-13430).
- staging: rtl8712: base_types: Remove unused macros
  (jsc#SLE-13430).
- staging: rtl8712: Replace FIELD_OFFSET() with offsetof()
  (jsc#SLE-13430).
- staging: rtl8712: use common ieee80211 constants
  (jsc#SLE-13430).
- staging: rtl8188eu: Fix WARNINGs of Block comments
  (jsc#SLE-13430).
- staging: rtl8188eu: Fix CHECK of coding style (jsc#SLE-13430).
- staging: rtl8188eu: use common ieee80211 constants
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unused parameter (jsc#SLE-13430).
- staging: rtl8188eu: core: Fix coding style issue
  (jsc#SLE-13430).
- staging: rtl8188eu: core: Fix WARNING of Block comments
  (jsc#SLE-13430).
- staging: rtl8188eu: Replace function name with __func__
  (jsc#SLE-13430).
- staging: rtl8712: remove some ieee80211 constants from wifi.h
  (jsc#SLE-13430).
- staging: rtl8723bs: remove some ieee80211 constants from wifi.h
  (jsc#SLE-13430).
- staging: rtl8188eu: remove some ieee80211 constants from wifi.h
  (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around operators (jsc#SLE-13430).
- staging: rtl8188eu: use compound assignment operators
  (jsc#SLE-13430).
- staging: rtl8192e: use generic power management (jsc#SLE-13430).
- staging: rtl8188eu: include: odm.h: fixed a blank space coding
  style issue (jsc#SLE-13430).
- staging: rtl8188eu: include: hal8188e_rate_adaptive.h: fixed
  a blank space coding style issue (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary comments in
  hal8188e_phy_cfg.h (jsc#SLE-13430).
- staging: rtl8188eu: remove blank lines in header files
  (jsc#SLE-13430).
- staging: rtl8188eu: Fix indentation (jsc#SLE-13430).
- staging: rtl8188eu: Fix strings split across lines
  (jsc#SLE-13430).
- commit 44ab7ed
* Wed Sep 23 2020 dwagner@suse.de
- wireguard: peerlookup: take lock before checking hash in
  replace operation (git-fixes).
- wireguard: noise: take lock when removing handshake entry from
  table (git-fixes).
- commit 742e9a3
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8188eu: Fix comment formatting (jsc#SLE-13430).
- Staging: rtl8188eu: Fix alignment coding style issue
  (jsc#SLE-13430).
- staging: rtl8188eu: use common packet header constants
  (jsc#SLE-13430).
- staging:rtl8712: avoid skb_clone after skb allocation fail
  (jsc#SLE-13430).
- staging:r8723bs: remove wrappers around skb_clone() and remove
  unnecessary in_interrupt() call (jsc#SLE-13430).
- staging: rtl8712: Remove unnecesary else after return statement
  (jsc#SLE-13430).
- staging: rtl8712: switch to common ieee80211 headers
  (jsc#SLE-13430).
- staging: rtl8723bs: Use common packet header constants
  (jsc#SLE-13430).
- staging: rtl8188eu: make some arrays static const
  (jsc#SLE-13430).
- staging: rtl8188eu: clean up some declarations (jsc#SLE-13430).
- staging/rtl8192e: Remove function callback casts
  (jsc#SLE-13430).
- staging: rtl8192e: Using comparison to true is error prone
  (jsc#SLE-13430).
- staging: rtl8192u: Merge almost duplicate code (jsc#SLE-13430).
- staging: rtl8192u: Using comparison to true is error prone
  (jsc#SLE-13430).
- staging: rtl8723bs: Using comparison to true is error prone
  (jsc#SLE-13430).
- Staging: rtl8723bs: os_de: if-else coding style issue
  (jsc#SLE-13430).
- staging:rtl8723bs: eliminate usage of skb_clone after skb
  allocation fail (jsc#SLE-13430).
- staging: rtl8723bs: remove conversion to bool in
  halbtcoutsrc_Get() (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Cleanup pointer casting code style
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: remove rtw_spt_band_free()
  (jsc#SLE-13430).
- staging: rtl8723bs: core: remove set but not used 'pframe'
  (jsc#SLE-13430).
- staging: rtl8723bs: core: remove set but not used 'pwrpriv'
  (jsc#SLE-13430).
- staging: rtl8723bs: core: remove set but not used
  'listen_interval' (jsc#SLE-13430).
- staging: rtl8723bs: core: remove set but not used 'algthm'
  (jsc#SLE-13430).
- Staging: rtl8723bs: core: remove set but not used 'ptxservq'
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: remove set but not used 'size'
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: remove set but not used 'uintRet'
  (jsc#SLE-13430).
- staging: rtl8188eu: remove some superfluous comments
  (jsc#SLE-13430).
- staging:r8188eu: avoid skb_clone for amsdu to msdu conversion
  (jsc#SLE-13430).
- Staging: rtl8188eu: core: rtw_pwrctrl: fixed a coding style
  issue (jsc#SLE-13430).
- Staging: rtl8723bs: Fix comment typo "the the" (jsc#SLE-13430).
- Staging: rtl8723bs: rtw_wlan_util: Add size check of SSID IE
  (jsc#SLE-13430).
- staging: rtl8723bs: remove unused variable 'pregistrypriv'
  (jsc#SLE-13430).
- staging: rtl8723bs: remove defined but not used
  'dB_Invert_Table' (jsc#SLE-13430).
- staging: rtl8723bs: remove some variables in hal_btcoex.c
  (jsc#SLE-13430).
- staging: rtl8188eu: make const char array static
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup long line in fw.c (jsc#SLE-13430).
- staging: rtl8188eu: rename define to upper case (jsc#SLE-13430).
- staging: rtl8712: correct spelling mistake in comment
  (jsc#SLE-13430).
- staging: r8188eu: replace rtw_malloc/copy_from_user sequence
  with memdup_user (jsc#SLE-13430).
- staging: rtl8188eu: remove 5 GHz if test (jsc#SLE-13430).
- staging: rtl8723bs: hal: Correct misspelled symbolic name
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Correct misspelt enum name
  (jsc#SLE-13430).
- staging: rtl8723bs: Correct misspelt symbolic names
  (jsc#SLE-13430).
- staging: rtl8188eu: Line over 80 characters (jsc#SLE-13430).
- staging: rtl8188eu: Remove unnecessary extra parentheses
  (jsc#SLE-13430).
- staging: rtl8188eu: Properly structure the multiline comment
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary variable (jsc#SLE-13430).
- commit 1f82977
* Wed Sep 23 2020 dwagner@suse.de
- series: Update meta data
- commit 46acdd6
* Wed Sep 23 2020 tiwai@suse.de
- Staging: rtl8188eu: rtw_mlme: Add space around operators
  (jsc#SLE-13430).
- Refresh
  patches.suse/Staging-rtl8188eu-rtw_mlme-Fix-uninitialized-variabl.patch.
- commit 1dbce4a
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8188eu: remove unnecessary asignment
  (jsc#SLE-13430).
- staging: rtl8192e: rtl8192e: Correct misspelt variable name
  (jsc#SLE-13430).
- staging: rtl8712: fix multiline derefernce warnings
  (jsc#SLE-13430).
- staging: rtl8712: code improvements to make_wlanhdr
  (jsc#SLE-13430).
- staging: rtl8712: fix checkpatch warnings (jsc#SLE-13430).
- staging: rtl8712: fix long-line checkpatch warning
  (jsc#SLE-13430).
- staging: rtl8712: fix checkpatch long-line warning
  (jsc#SLE-13430).
- staging: rtl8188eu: refactor Efuse_GetCurrentSize()
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary parentheses
  (jsc#SLE-13430).
- Staging: rtl8192u: ieee80211: Use netdev_alert()
  (jsc#SLE-13430).
- Staging: rtl8192u: ieee80211: Use netdev_info() with network
  devices (jsc#SLE-13430).
- Staging: rtl8192u: ieee80211: Use netdev_warn() for network
  devices (jsc#SLE-13430).
- Staging: rtl8192u: ieee80211: Use netdev_dbg() for debug
  messages (jsc#SLE-13430).
- staging: rtl8723bs: hal: Remove NULL check before kfree
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Correct typos in comments
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Correct typos in comments
  (jsc#SLE-13430).
- staging: rtl8723bs: core: Correct typos in comments
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Remove unnecessary cast on void pointer
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup long line in odm.c (jsc#SLE-13430).
- staging: rtl8723bs: hal: Compress return logic (jsc#SLE-13430).
- staging: rtl8723bs: rtw_cmd: Compress lines for immediate return
  (jsc#SLE-13430).
- staging: rtl8723bs: rtw_efuse: Compress lines for immediate
  return (jsc#SLE-13430).
- staging: rtl8723bs: Remove blank line before '}' brace
  (jsc#SLE-13430).
- Staging: rtl8188eu: hal: Add space around operators
  (jsc#SLE-13430).
- staging: rtl8723bs: Add line after variable declarations
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove multiple assignments (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary braces for single
  statements (jsc#SLE-13430).
- staging: rtl8188eu: remove some 5 GHz code (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Remove whitespace characters in
  code line (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Correct long line comments
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Remove commented out code lines
  (jsc#SLE-13430).
- staging: rtl8723bs: remove unneeded variables (jsc#SLE-13430).
- staging: rtl8723bs: hal: Correct typos in comments
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Correct multi-line comments as per
  coding style (jsc#SLE-13430).
- staging: rtl8712: Remove unnecessary braces (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Correct typo in comments
  (jsc#SLE-13430).
- staging: rtl8712: Fix for long lines in Kconfig help
  (jsc#SLE-13430).
- staging: rtl8188eu: core: Correct a typo in a comment
  (jsc#SLE-13430).
- staging: rtl8188eu: include: Correct a typo in a comment
  (jsc#SLE-13430).
- staging: rtl8192u: ieee80211: Correct a typo in a comment
  (jsc#SLE-13430).
- staging: rtl8712: Correct a typo in a comment (jsc#SLE-13430).
- staging: rtl8192u: r8192U_wx: use netdev_warn() instead of
  printk() (jsc#SLE-13430).
- staging: rtl8192u: Corrects 'Avoid CamelCase' for variables
  (jsc#SLE-13430).
- staging: rtl8192u: Using function name as string
  (jsc#SLE-13430).
- staging: rtl8192u: Replaces symbolic permissions with octal
  permissions (jsc#SLE-13430).
- Staging: rtl8723bs: sdio_halinit: Remove unnecessary conditions
  (jsc#SLE-13430).
- Staging: rtl8723bs: rtw_mlme: Remove unnecessary conditions
  (jsc#SLE-13430).
- staging: rtl8712: Fixes for simple typos in C comments
  (jsc#SLE-13430).
- staging: rtl8723bs: Use scnprintf() for avoiding potential
  buffer overflow (jsc#SLE-13430).
- commit c4a1cc7
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8192e: Use scnprintf() for avoiding potential
  buffer overflow (jsc#SLE-13430).
- staging: rtl8188eu: Use scnprintf() for avoiding potential
  buffer overflow (jsc#SLE-13430).
- staging: rtl8188eu: fix typo s/informations/information
  (jsc#SLE-13430).
- Staging: rtl8188eu: Add space around operator (jsc#SLE-13430).
- Staging: rtl8723bs: Remove comparison to true (jsc#SLE-13430).
- staging: rtl8723bs: core: remove redundant zero'ing of counter
  variable k (jsc#SLE-13430).
- staging: rtl8188eu: remove redundant assignment to cond
  (jsc#SLE-13430).
- staging: rtl8723bs: remove temporary variable CrystalCap
  (jsc#SLE-13430).
- staging: rtl8192e: remove redundant initialization of variable
  init_status (jsc#SLE-13430).
- staging: rtl8723bs: Fix spacing issues (jsc#SLE-13430).
- staging: rtl8188eu: rename variable pnetdev -> netdev
  (jsc#SLE-13430).
- staging: rtl8192u: Add space to fix style issue (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary RETURN label
  (jsc#SLE-13430).
- staging: rtl8192e: style fix - Prefer using '"%%s...", __func__'
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: fix condition with no effect
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove unneeded goto statements
  (jsc#SLE-13430).
- staging: rtl8188eu: Remove some unneeded goto statements
  (jsc#SLE-13430).
- staging: rtl8712: simplify evm_db2percentage() (jsc#SLE-13430).
- staging: rtl8192u: simplify rtl819x_evm_dbtopercentage()
  (jsc#SLE-13430).
- staging: rtl8192e: simplify rtl92e_evm_db_to_percent()
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unused enum and defines
  (jsc#SLE-13430).
- staging: rtl8188eu: remove redundant defines (jsc#SLE-13430).
- staging: rtl8188eu: remove else after break or return
  (jsc#SLE-13430).
- staging: rtl8192u: replace printk with natdev_<LEVEL> statements
  in ieee80211 (jsc#SLE-13430).
- staging: rtl8188eu: cleanup whitespace in rtl8188e_dm.c
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary parentheses in
  rtl8188e_dm.c (jsc#SLE-13430).
- staging: rtl8188eu: cleanup long lines in rtl8188e_dm.c
  (jsc#SLE-13430).
- staging: rtl8188eu: convert rtw_hal_antdiv_before_linked()
  to bool (jsc#SLE-13430).
- staging: rtl8188eu: refactor rtw_hal_antdiv_before_linked()
  (jsc#SLE-13430).
- staging: rtl8723bs: remove ODM_GetRightChnlPlaceforIQK()
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unused parameters from
  rtw_check_network_type (jsc#SLE-13430).
- staging: rtl8192u: remove unneeded compiler flags
  (jsc#SLE-13430).
- staging: rtl8192u: remove header include path to ieee80211/
  (jsc#SLE-13430).
- staging: rtl8192u: remove unused Makefile (jsc#SLE-13430).
- staging: rtl8188eu: refactor rtl88eu_dm_update_rx_idle_ant()
  (jsc#SLE-13430).
- staging: rtl8188eu: remove else after return (jsc#SLE-13430).
- staging: rtl8188eu: use break to exit while loop
  (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around operators in
  rtw_mlme_ext.c (jsc#SLE-13430).
- staging: rtl8188eu: cleanup comparsions to NULL in
  rtw_mlme_ext.c (jsc#SLE-13430).
- staging: rtl8723bs: Fix line length (jsc#SLE-13430).
- staging: rtl8723bs: Fix spelling errors (jsc#SLE-13430).
- staging: rtl8188eu: remove return variable from
  rtw_pwr_unassociated_idle (jsc#SLE-13430).
- staging: rtl8188eu: cleanup declarations in rtw_pwrctrl.c
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary parentheses in
  rtw_pwrctrl.c (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable 'change',
  'pos' (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable
  'notify_ielen', 'notify_ie', 'notify_interval',
  'notify_capability' (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable
  'pmlmeinfo', 'pHalData' (jsc#SLE-13430).
- commit 310b9ca
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8723bs: remove set but not used variable 'pHalData',
  'pdmpriv' (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable 'pHalData',
  'pregistrypriv' (jsc#SLE-13430).
- staging: rtl8192e: remove set but not used variable 'frag'
  (jsc#SLE-13430).
- staging: rtl*: Remove tasklet callback casts (jsc#SLE-13430).
- staging: rtl8723bs: fix indentation issue (jsc#SLE-13430).
- staging: rtl8192u: fix indentation issue (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary braces (jsc#SLE-13430).
- staging: rtl8723bs: Remove blank lines after an open brace
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove blank lines before a close brace
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove multiple blank lines (jsc#SLE-13430).
- staging: rtl8723bs: Remove commented code (jsc#SLE-13430).
- staging: rtl8192u: Fix typo in comment (jsc#SLE-13430).
- staging: rtl8723bs: Simplify boolean expression (jsc#SLE-13430).
- staging: rtl8723bs: Fix line over 80 characters (jsc#SLE-13430).
- staging: rtl8723bs: hal: Remove unnecessary typecast in kfree
  (jsc#SLE-13430).
- staging: rtl8723bs: Fix lines over 80 characters
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Remove unnecessary variable used
  in return statement (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary parentheses
  (jsc#SLE-13430).
- staging: rtl8712: Fix Alignment of open parenthesis
  (jsc#SLE-13430).
- staging: rtl8188eu: replace tabs with spaces - style
  (jsc#SLE-13430).
- staging: rtl8188eu: remove return variable from
  rtw_init_bcmc_stainfo (jsc#SLE-13430).
- staging: rtl8188eu: reduce indentation level in
  _rtw_free_sta_priv (jsc#SLE-13430).
- staging: rtl8188eu: remove exit label from rtw_alloc_stainfo
  (jsc#SLE-13430).
- staging: rtl8712: Remove lines before a close brace
  (jsc#SLE-13430).
- staging: rtl8188eu: reduce indentation level in
  rtw_alloc_stainfo (jsc#SLE-13430).
- staging: rtl8188eu: cleanup long lines in rtw_sta_mgt.c
  (jsc#SLE-13430).
- staging: rtl8188eu: remove ternary operator (jsc#SLE-13430).
- staging: rtl8188eu: convert rtw_access_ctrl to return bool
  (jsc#SLE-13430).
- staging: rtl8188eu: rename array bcast_addr (jsc#SLE-13430).
- staging: rtl8188eu: convert unsigned char array to u8
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup comments in rtw_sta_mgt.c
  (jsc#SLE-13430).
- staging: rtl8723bs: Change tabs for spaces (jsc#SLE-13430).
- staging: rtl8723bs: Fix function call format (jsc#SLE-13430).
- staging: rtl8723bs: Fix indentation warnings (jsc#SLE-13430).
- staging: rtl8723bs: Remove commented code (jsc#SLE-13430).
- staging: rtl8723bs: Add spaces between operators
  (jsc#SLE-13430).
- staging: rtl8723bs: Fix lines over 80 characters
  (jsc#SLE-13430).
- staging: rtl8723bs: Replace string with identifier
  (jsc#SLE-13430).
- staging: rtl8188eu: remove code valid only for 5 GHz
  (jsc#SLE-13430).
- staging: rtl8723bs: reduce stack usage of cfg80211_rtw_scan
  (jsc#SLE-13430).
- staging: rtl8723bs: reduce stack usage of
  rtw_cfg80211_unlink_bss (jsc#SLE-13430).
- staging: rtl8723bs: removed unwanted if..else condition
  (jsc#SLE-13430).
- staging: rtl8188eu: make efuse_power_switch() function static
  (jsc#SLE-13430).
- staging: rtl8188eu: remove blank lines (jsc#SLE-13430).
- staging: rtl8188eu: convert variables from unsigned char to u8
  (jsc#SLE-13430).
- staging: rtl8188eu: rename variables to avoid mixed case
  (jsc#SLE-13430).
- staging: rtl8723bs: remove casts to pointers in kfree
  (jsc#SLE-13430).
- staging: rtl8723bs: remove unnecessary null check
  (jsc#SLE-13430).
- staging: rtl8723bs: use DIV_ROUND_UP helper macro
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary conversion to bool
  (jsc#SLE-13430).
- commit 1148f6c
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8188eu: remove braces from single statement if block
  (jsc#SLE-13430).
- staging: rtl8712: clean up function headers (jsc#SLE-13430).
- staging: rtl8712: remove unnecessary return variables
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove comparison to NULL (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary null check
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary blank lines
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove comparisons to booleans in
  conditionals (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary braces for single
  statements (jsc#SLE-13430).
- staging: rtl8723bs: Remove comparisons to NULL in conditionals
  (jsc#SLE-13430).
- staging: rtl8712: Align function arguments with opening
  paranthesis (jsc#SLE-13430).
- staging: rtl8723bs: Fix style in definitions (jsc#SLE-13430).
- staging: rtl8723bs: Remove space before tabs (jsc#SLE-13430).
- staging: rtl8723bs: Remove duplicate blank lines
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove commented code (jsc#SLE-13430).
- staging: rtl8723bs: Fix incorrect type in declaration
  (jsc#SLE-13430).
- staging: rtl8723bs: Add space between elements (jsc#SLE-13430).
- staging: rtl8723bs: Fix function call wrapping style
  (jsc#SLE-13430).
- staging: rtl8723bs: Fix line over 80 characters (jsc#SLE-13430).
- staging: rtl8723bs: Remove File operation APIs (jsc#SLE-13430).
- staging: rtl8723bs: Remove rtw_merge_string() function
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove phy_Config*WithParaFile()
  configuration leftovers (jsc#SLE-13430).
- staging: rtl8723bs: Remove phy_Config*WithParaFile() functions
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove phy_Config*With*ParaFile() calls
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove set but not used variable 'i'
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove space before tab (jsc#SLE-13430).
- staging: rtl8723bs: Replace string with identifier
  (jsc#SLE-13430).
- staging: rtl8723bs: core: Remove typecast in call to kfree
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Remove typecast in kfree
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove commented code (jsc#SLE-13430).
- staging: rtl8723bs: fix typo of "mechanism" in comment
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove set but not used variable 'adapter'
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove set but not used variables 'ppp',
  'type', 'data' (jsc#SLE-13430).
- staging: rtl8723bs: Remove set but not used variable
  'prwskeylen' (jsc#SLE-13430).
- staging: rtl8723bs: Remove set but not used variable 'tmp_aid'
  (jsc#SLE-13430).
- staging: rtl8712: align arguments with open parenthesis in
  file rtl8712_led.c (jsc#SLE-13430).
- staging: rtl8723bs: Switch constant place in test
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary braces (jsc#SLE-13430).
- staging: rtl8192u: Fix indentation for cleaner code
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove set but not used variable 'oldcnt'
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary asignment and
  initialization (jsc#SLE-13430).
- staging: rtl8723bs: Remove unnecessary braces (jsc#SLE-13430).
- staging: rtl8188eu: cleanup comments in update_hw_ht_param
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup whitespace in update_hw_ht_param
  (jsc#SLE-13430).
- staging: rtl8188eu: rename variables to avoid mixed case
  (jsc#SLE-13430).
- staging: rtl8188eu: convert variables from unsigned char to u8
  (jsc#SLE-13430).
- staging: rtl8712: fix boundary condition for n (jsc#SLE-13430).
- staging: rtl8723bs: remove unused function write_cam_from_cache
  (jsc#SLE-13430).
- staging: rtl8192e: clean up indentation issue (jsc#SLE-13430).
- staging: rtl8188eu: remove dead code/vestigial do..while loop
  (jsc#SLE-13430).
- staging: rtl8192u: release memory on error path (jsc#SLE-13430).
- commit bb1e306
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8712: Replace snprintf with scnprintf
  (jsc#SLE-13430).
- staging: rtl8192u: Remove unnecessary line-breaks in function
  signatures (jsc#SLE-13430).
- staging: rtl8192u: Fix alignment to match open parenthesis
  (jsc#SLE-13430).
- staging: rtl8192u: Remove unnecessary blank lines
  (jsc#SLE-13430).
- staging: rtl8192u: ieee80211: Replace snprintf with scnprintf
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unnecessary self-assignment
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup long line in rtw_mlme_ext.c
  (jsc#SLE-13430).
- staging: rtl8723bs: remove return statements from void functions
  (jsc#SLE-13430).
- staging: rtl8723bs: remove unneeded conversion to bool
  (jsc#SLE-13430).
- staging: rtl8723bs: core: make array op_class static const,
  makes object smaller (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: fix spelling mistake "offet" ->
  "offset" (jsc#SLE-13430).
- staging: rtl8723bs: Removed unneeded variables (jsc#SLE-13430).
- staging: rtl8188eu: make two arrays static const, makes object
  smaller (jsc#SLE-13430).
- staging: rtl8723bs: core: Remove Macro
  "IS_MAC_ADDRESS_BROADCAST" (jsc#SLE-13430).
- staging: rtl8723bs: hal: remove redundant variable n
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove return statement from void function
  (jsc#SLE-13430).
- staging: rtl8192e: remove unnecessary blank line
  (jsc#SLE-13430).
- Staging: rtl8723bs: Use kzfree rather than its implementation
  (jsc#SLE-13430).
- staging: rtl8723bs: replace __inline by inline (jsc#SLE-13430).
- staging: r8188eu: use skb_put_data instead of skb_put/memcpy
  pair (jsc#SLE-13430).
- staging: rtl8192u: Fix indentation (jsc#SLE-13430).
- staging: rtl8192u: Add or remove blank lines as required
  (jsc#SLE-13430).
- staging: rtl8192u: Add or remove spaces to fix style issues
  (jsc#SLE-13430).
- staging: rtl8712: wifi: checkpatch style fix (jsc#SLE-13430).
- staging: rtl8192u: Add space around binary operators
  (jsc#SLE-13430).
- staging: rtl8192u: remove code under TO_DO_LIST (jsc#SLE-13430).
- staging: rtl8192u: Remove unnecessary blank lines
  (jsc#SLE-13430).
- staging: rtl8192u: remove redundant assignment to pointer crypt
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Drop condition with no effect
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Drop condition with no effect
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Remove unused declarations
  (jsc#SLE-13430).
- staging: rtl8192u: fix spacing in ieee80211 (jsc#SLE-13430).
- staging: rtl8192u: fix macro alignment in ieee80211
  (jsc#SLE-13430).
- staging: rtl8192u: fix OPEN_BRACE errors in ieee80211
  (jsc#SLE-13430).
- staging: rtl8192e: remove set but not used variable 'data_len'
  (jsc#SLE-13430).
- staging: rtl8192e: remove two set but not used variables
  (jsc#SLE-13430).
- staging: rtl8192u: ieee80211: remove set but not used variable
  'data_len' (jsc#SLE-13430).
- staging: rtl8712: Improve naming of include hearder guards
  (jsc#SLE-13430).
- staging: rtl8723bs: core: Remove unneeded declaration WFD_OUI
  (jsc#SLE-13430).
- staging: rtl8192e: rtllib_crypt_ccmp.c: Use crypto API ccm(aes)
  (jsc#SLE-13430).
- staging: rtl8192u: ieee80211: ieee80211_crypt_ccmp.c: Use
  crypto API ccm(aes) (jsc#SLE-13430).
- staging: rtl8192u: fix up indentation of a statement
  (jsc#SLE-13430).
- staging: rtl8723bs: remove redundant assignment to ret
  (jsc#SLE-13430).
- Staging: rtl8712: rtl8712_recv: fixed 80 character length
  warning (jsc#SLE-13430).
- staging: rtl8712: r8712_dump_aggr_xframe(): Change type to void
  (jsc#SLE-13430).
- staging: rtl8712: r8712_xmitframe_aggr_1st(): Change return
  type to void (jsc#SLE-13430).
- staging: rtl8712: r8712_append_mpdu_unit(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: xmitframe_addmic(): Change return values
  and type (jsc#SLE-13430).
- staging: rtl8723bs: Remove debugging information exposed via
  procfs (jsc#SLE-13430).
- staging: rtl8192u: fix spacing errors (jsc#SLE-13430).
- commit e32ced2
* Wed Sep 23 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/btrfs-require-only-sector-size-alignment-for-parent-.patch
- commit ee89c1f
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8712: r8712_construct_txaggr_cmd_hdr(): Change
  return type (jsc#SLE-13430).
- staging: rtl8712: r8712_construct_txaggr_cmd_desc(): Change
  return type (jsc#SLE-13430).
- staging: rtl8712: r8712_xmit_direct(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_free_xmitbuf(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: make_wlanhdr(): Change return values and type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_update_attrib(): Change return values
  and type (jsc#SLE-13430).
- staging: rtl8712: _r8712_init_xmit_priv(): Change return values
  and type (jsc#SLE-13430).
- staging: rtl8712: r8712_xmit_classifier(): Change return values
  and type (jsc#SLE-13430).
- staging: rtl8712: Remove while loop and check_cmd_fifo()
  (jsc#SLE-13430).
- staging: rtl8712: r8712_free_drv_sw(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: init_drv_sw(): Change return values
  (jsc#SLE-13430).
- staging: rtl8712: init_default_value(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: recvbuf2recvframe(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_recv_entry(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_wlanhdr_to_ethhdr(): Change return
  values (jsc#SLE-13430).
- staging: rtl8712: recv_indicatepkt_reorder(): Change return
  values (jsc#SLE-13430).
- staging: rtl8712: amsdu_to_msdu(): Change return type
  (jsc#SLE-13430).
- staging: rtl8723bs: fix brace position in enum declaration
  (jsc#SLE-13430).
- Staging: rtl8188eu: core: rtw_security: tidy up crc32_init()
  (jsc#SLE-13430).
- staging: rtl8192e: Make use kmemdup (jsc#SLE-13430).
- staging: rtl8723bs: core: add spaces around '-', '+', '&','|'
  and '?' (jsc#SLE-13430).
- staging: rtl8723bs: core: Remove Unnecessary parentheses
  (jsc#SLE-13430).
- staging: rtl8723bs: core: correct spelling mistake in rtw_ap.c
  (jsc#SLE-13430).
- staging: rtl8188eu: core: add spaces around '-', '+', '>>','<<'
  and '*' in rtw_efuse.c (jsc#SLE-13430).
- staging: rtl8712: Add spaces around << (jsc#SLE-13430).
- staging: rtl8188eu: core: rtw_recv.c: Remove Unnecessary
  parentheses (jsc#SLE-13430).
- staging: rtl8712: r8712_aes_decrypt(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: aes_decipher(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: aes_cipher(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_tkip_decrypt(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_os_recvbuf_resource_free(): Change
  return type (jsc#SLE-13430).
- staging: rtl8712: r8712_os_recvbuf_resource_alloc(): Change
  return values (jsc#SLE-13430).
- staging: rtl8712: r8712_init_recv_priv(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: _r8712_init_recv_priv(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_os_recv_resource_alloc(): Change return
  type (jsc#SLE-13430).
- staging: rtl8723bs: Replace hal_btcoex_Initialize()
  (jsc#SLE-13430).
- staging: rtl8723bs: Change return type of hal_btcoex_IsLpsOn()
  (jsc#SLE-13430).
- staging: rtl8723bs: Change return type of
  hal_btcoex_IsBtControlLps() (jsc#SLE-13430).
- staging: rtl8723bs: Change return type of hal_btcoex_IsBtExist()
  (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable
  'FirstConnect' (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variables 'prspbuf'
  and 'auth' (jsc#SLE-13430).
- staging: rtl8192u: null check the kzalloc (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable
  'bEEPROMCheck' (jsc#SLE-13430).
- staging: rtl8188eu: remove redundant assignment to variable
  rtstatus (jsc#SLE-13430).
- staging: rtl8723bs: indicate disconnection when disconnecting
  (jsc#SLE-13430).
- staging: rtl8188eu: cleanup comparsion to NULL in usb_halinit.c
  (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around '-' and '*' in
  usb_halinit.c (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around '<<' and '>>' in
  usb_halinit.c (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around '|' in usb_halinit.c
  (jsc#SLE-13430).
- staging: rtl8188eu: add spaces around '&' in usb_halinit.c
  (jsc#SLE-13430).
- commit 0611bb5
* Wed Sep 23 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/nfs-Fix-getxattr-kernel-panic-and-memory-overflow.patch
- commit 147bb89
* Wed Sep 23 2020 tiwai@suse.de
- staging: rtl8188eu: add spaces around '+' in usb_halinit.c
  (jsc#SLE-13430).
- staging: rtl8188eu: remove redundant assignment to rtstatus
  (jsc#SLE-13430).
- Staging: rtl8192e: fixed a function prototype definition issue
  (jsc#SLE-13430).
- staging: rtl8188eu: replace hal_EfusePgCheckAvailableAddr()
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: remove two set but not used
  variables (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable
  'pszBBRegMpFile' (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable 'bWifiBusy'
  (jsc#SLE-13430).
- staging: rtl8192*: display ESSIDs using %%pE (jsc#SLE-13430).
- staging: rtl8723bs: hal: Remove unneeded variable pU1Tmp
  (jsc#SLE-13430).
- staging: rtl8723bs: Remove unused function prototype
  ODM_SetAntenna() (jsc#SLE-13430).
- staging: rtl8723bs: Replace function ODM_TXPowerTrackingCheck()
  (jsc#SLE-13430).
- staging: rtl8723bs: Replace function odm_TXPowerTrackingInit()
  (jsc#SLE-13430).
- staging: rtl8723bs: Replace function beacon_timing_control()
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Replace function
  rtl8723b_set_ap_wowlan_cmd() (jsc#SLE-13430).
- staging: rtl8723bs: hal: Replace function
  rtl8723b_set_wowlan_cmd() (jsc#SLE-13430).
- staging: rtl8723bs: hal: Replace function PHY_GetTxPowerIndex()
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Replace function PHY_SetTxPowerIndex()
  (jsc#SLE-13430).
- staging: rtl8723bs: rtw_pwrctrl: Change true/false checks
  (jsc#SLE-13430).
- drivers/staging/rtl8192u: fix indentation issue, remove extra
  tab (jsc#SLE-13430).
- staging: rtl8192e: remove set but not used variable 'payload '
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: remove redundant assignment to variable
  n (jsc#SLE-13430).
- staging: rtl8723bs: remove unused file hal_phy.c
  (jsc#SLE-13430).
- staging: rtl8723bs: core: Remove Unneeded variable ret
  (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: change return type of
  rtw_suspend_ap_wow (jsc#SLE-13430).
- staging: rtl8723bs: remove set but not used variable
  'cck_highpwr' (jsc#SLE-13430).
- staging: rtl8712: r8712_free_recvframe(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_init_recvbuf(): Change return type
  (jsc#SLE-13430).
- staging: rtl8712: r8712_set_802_11_add_wep(): Change return
  values (jsc#SLE-13430).
- staging: rtl8712: init_mp_priv(): Change return values
  (jsc#SLE-13430).
- staging: rtl8712: r8712_register_cmd_alive(): Change return
  values (jsc#SLE-13430).
- staging: rtl8712: r8712_set_key(): Change return values
  (jsc#SLE-13430).
- staging: rtl8712: r8712_set_auth(): Change return values
  (jsc#SLE-13430).
- staging: rtl8712: r8712_init_mlme_priv(): Change return values
  (jsc#SLE-13430).
- staging: rtl8712: Merge memcpy + be16_to_cpus to
  get_unaligned_be16 (jsc#SLE-13430).
- staging: rtl8712: recv_linux.c: Align * on block comment
  (jsc#SLE-13430).
- staging: rtl8188eu: Replace function rtl88eu_phy_rf_config()
  (jsc#SLE-13430).
- staging: rtl8188eu: Replace function rtl88e_phy_rf6052_config()
  (jsc#SLE-13430).
- staging: rtl8188eu: Replace function rtw_alloc_network()
  (jsc#SLE-13430).
- staging: rtl8188eu: Remove function rtw_modular64()
  (jsc#SLE-13430).
- staging: rtl8188eu: Remove function rtw_os_indicate_scan_done()
  (jsc#SLE-13430).
- staging: rtl8188eu: Replace function beacon_timing_control()
  (jsc#SLE-13430).
- staging: rtl8188eu: core: Remove function enable_rate_adaptive()
  (jsc#SLE-13430).
- staging: rtl8188eu: core: Replace function Set_MSR()
  (jsc#SLE-13430).
- staging: rtl8723bs: core: Change return type of
  init_mlme_ext_priv (jsc#SLE-13430).
- staging: rtl8723bs: os_dep: Remove code valid only for 5GHz
  (jsc#SLE-13430).
- staging: rtl8723bs: core: Remove code valid only for 5GHz
  (jsc#SLE-13430).
- staging: rtl8723bs: hal: Remove code valid only for 5GHz
  (jsc#SLE-13430).
- staging: rtl8188eu: remove unused definitions from
  hal8188e_phy_reg.h (jsc#SLE-13430).
- staging: rtl8712: remove redundant assignment to variable res
  (jsc#SLE-13430).
- commit 50b9043
* Wed Sep 23 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/ibmvnic-add-missing-parenthesis-in-do_reset.patch
- commit feb9790
* Wed Sep 23 2020 tiwai@suse.de
- mac80211_hwsim: report the WIPHY_FLAG_SUPPORTS_5_10_MHZ
  capability (jsc#SLE-13430).
- mac80211_hwsim: Claim support for setting Beacon frame TX
  legacy rate (jsc#SLE-13430).
- mac80211_hwsim: Advertise support for multicast RX registration
  (jsc#SLE-13430).
- mac80211_hwsim: indicate in IBSS that we have transmitted
  beacons (jsc#SLE-13430).
- mac80211_hwsim: notify wmediumd of used MAC addresses
  (jsc#SLE-13430).
- rndis_wlan: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- rndis_wlan: Remove logically dead code (jsc#SLE-13430).
- ray_cs: use true,false for bool variable (jsc#SLE-13430).
- mac80211_hwsim: use GFP_ATOMIC under spin lock (jsc#SLE-13430).
- wl3501_cs: Replace zero-length array with flexible-array member
  (jsc#SLE-13430).
- ray_cs: Replace zero-length array with flexible-array member
  (jsc#SLE-13430).
- virt_wifi: implement ndo_get_iflink (jsc#SLE-13430).
- mac80211_hwsim: add frame transmission support over virtio
  (jsc#SLE-13430).
- mac80211_hwsim: enable Beacon protection (jsc#SLE-13430).
- mac80211_hwsim: add power save support (jsc#SLE-13430).
- mac80211_hwsim: remove maximum TX power (jsc#SLE-13430).
- mac80211_hwsim: use DEFINE_DEBUGFS_ATTRIBUTE to define debugfs
  fops (jsc#SLE-13430).
- mac80211_hwsim: add support for OCB (jsc#SLE-13430).
- mac80211_hwsim: add more 5GHz channels, 5/10 MHz support
  (jsc#SLE-13430).
- mac80211_hwsim: fix incorrect dev_alloc_name failure goto
  (jsc#SLE-13430).
- mac80211_hwsim: Register support for HE meshpoint
  (jsc#SLE-13430).
- wl3501_cs: remove redundant variable rc (jsc#SLE-13430).
- mac80211_hwsim: fill boottime_ns in netlink RX path
  (jsc#SLE-13430).
- mac80211_hwsim: Fix a typo in the name of function
  'mac80211_hswim_he_capab()' (jsc#SLE-13430).
- commit 6ef3086
* Tue Sep 22 2020 msuchanek@suse.de
- Rename patches to same name as in SLE15-SP2.
- commit 92ec993
* Tue Sep 22 2020 tiwai@suse.de
- b43legacy: Replace HTTP links with HTTPS ones (jsc#SLE-13430).
- b43: Replace HTTP links with HTTPS ones (jsc#SLE-13430).
- brcm80211: brcmsmac: Move LEDs to GPIO descriptors
  (jsc#SLE-13430).
- brcmfmac: set pacing shift before transmitting skb to bus
  (jsc#SLE-13430).
- brcmfmac: reset SDIO bus on a firmware crash (jsc#SLE-13430).
- brcmfmac: do not disconnect for disassoc frame from unconnected
  AP (jsc#SLE-13430).
- brcmfmac: Fix for wrong disconnection event source information
  (jsc#SLE-13430).
- commit 251e0d1
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: Fix for unable to return to visible SSID
  (jsc#SLE-13430).
- brcmfmac: initialize the requested dwell time (jsc#SLE-13430).
- brcmfmac: fix throughput zero stalls on PM 1 mode due to credit
  map (jsc#SLE-13430).
- brcmfmac: update tx status flags to sync with firmware
  (jsc#SLE-13430).
- brcmfmac: reserve 2 credits for host tx control path
  (jsc#SLE-13430).
- brcmfmac: increase message buffer size for control packets
  (jsc#SLE-13430).
- brcmfmac: allow credit borrowing for all access categories
  (jsc#SLE-13430).
- brcmfmac: reduce maximum station interface from 2 to 1 in RSDB
  mode (jsc#SLE-13430).
- brcmfmac: fix invalid permanent MAC address in wiphy
  (jsc#SLE-13430).
- brcmfmac: To fix kernel crash on out of boundary access
  (jsc#SLE-13430).
- commit cb19212
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: 43012 Update MES Watermark (jsc#SLE-13430).
- brcmfmac: fix 43455 CRC error under SDIO 3.0 SDR104 mode
  (jsc#SLE-13430).
- brcmfmac: set F2 blocksize and watermark for 4354/4356 SDIO
  (jsc#SLE-13430).
- brcmfmac: fix 4339 CRC error under SDIO 3.0 SDR104 mode
  (jsc#SLE-13430).
- brcmfmac: set F2 blocksize for 4373 (jsc#SLE-13430).
- brcmfmac: fix WPA/WPA2-PSK 4-way handshake offload and SAE
  offload failures (jsc#SLE-13430).
- brcmfmac: remove Comparison to bool in
  brcmf_p2p_send_action_frame() (jsc#SLE-13430).
- brcmfmac: make non-global functions static (jsc#SLE-13430).
- commit 0257fe1
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: Use seq/seq_len and set iv_initialize when plumbing
  of rxiv in (GTK) keys (jsc#SLE-13430).
- brcmfmac: use actframe_abort to cancel ongoing action frame
  (jsc#SLE-13430).
- brcmfmac: set security after reiniting interface
  (jsc#SLE-13430).
- brcmfmac: fix 802.1d priority to ac mapping for pcie dongles
  (jsc#SLE-13430).
- brcmfmac: map 802.1d priority to precedence level based on AP
  WMM params (jsc#SLE-13430).
- b43: remove Comparison of 0/1 to bool variable in pio.c
  (jsc#SLE-13430).
- b43: remove Comparison of 0/1 to bool variable in phy_n.c
  (jsc#SLE-13430).
- brcmsmac: remove Comparison to bool in brcms_b_txstatus()
  (jsc#SLE-13430).
- brcmfmac: Add P2P Action Frame retry delay to fix GAS Comeback
  Response failure issue (jsc#SLE-13430).
- brcmfmac: Fix P2P Group Formation failure via Go-neg method
  (jsc#SLE-13430).
- brcmfmac: support the second p2p connection (jsc#SLE-13430).
- brcmfmac: no need to check return value of debugfs_create
  functions (jsc#SLE-13430).
- brcmfmac: remove comparison to bool in brcmf_fws_attach()
  (jsc#SLE-13430).
- brcmfmac: add vendor ie for association responses
  (jsc#SLE-13430).
- brcmfmac: only generate random p2p address when needed
  (jsc#SLE-13430).
- brcmfmac: p2p cert 6.1.9-support GOUT handling p2p presence
  request (jsc#SLE-13430).
- brcmfmac: remove arp_hostip_clear from brcmf_netdev_stop
  (jsc#SLE-13430).
- brcmfmac: keep apsta enabled when AP starts with MCHAN feature
  (jsc#SLE-13430).
- brcmfmac: remove leading space (jsc#SLE-13430).
- brcmsmac: make brcms_c_stf_ss_update() void (jsc#SLE-13430).
- commit ebefb73
* Tue Sep 22 2020 tiwai@suse.de
- mmc: sdio: Move SDIO IDs from b43-sdio driver to common include
  file (jsc#SLE-13430).
- commit 31605aa
* Tue Sep 22 2020 tiwai@suse.de
- brcmsmac: Add missing annotation for brcms_down()
  (jsc#SLE-13430).
- brcmsmac: Add missing annotation for brcms_rfkill_set_hw_state()
  (jsc#SLE-13430).
- brcmsmac: make brcms_c_set_mac() void (jsc#SLE-13430).
- brcm80211: remove redundant pointer 'address' (jsc#SLE-13430).
- b43: remove dead function b43_rssinoise_postprocess()
  (jsc#SLE-13430).
- mmc: sdio: Fix Cypress SDIO IDs macros in common include file
  (jsc#SLE-13430).
- brcmfmac: add stub for monitor interface xmit (jsc#SLE-13430).
- brcmfmac: add USB autosuspend feature support (jsc#SLE-13430).
- brcmfmac: increase max hanger slots from 1K to 3K in fws layer
  (jsc#SLE-13430).
- commit 648736f
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: fix the incorrect return value in
  brcmf_inform_single_bss() (jsc#SLE-13430).
- brcmfmac: Fix double freeing in the fmac usb data path
  (jsc#SLE-13430).
- brcmfmac: Fix driver crash on USB control transfer timeout
  (jsc#SLE-13430).
- brcmfmac: Replace zero-length array with flexible-array member
  (jsc#SLE-13430).
- b43legacy: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-13430).
- b43: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13430).
- b43legacy: replace simple_strtol() with kstrtoint()
  (jsc#SLE-13430).
- brcmfmac: add the BRCM 4364 found in MacBook Pro 15,2
  (jsc#SLE-13430).
- brcmfmac: Remove always false 'idx < 0' statement
  (jsc#SLE-13430).
- brcmfmac: add initial support for monitor mode (jsc#SLE-13430).
- brcmfmac: simplify building interface combinations
  (jsc#SLE-13430).
- brcmfmac: use true,false for bool variable (jsc#SLE-13430).
- brcmfmac: Keep OOB wake-interrupt disabled when it shouldn't
  be enabled (jsc#SLE-13430).
- brcmfmac: not set mbss in vif if firmware does not support MBSS
  (jsc#SLE-13430).
- brcmfmac: add RSDB condition when setting interface combinations
  (jsc#SLE-13430).
- brcmfmac: add support for BCM4359 SDIO chipset (jsc#SLE-13430).
- brcmfmac: make errors when setting roaming parameters non-fatal
  (jsc#SLE-13430).
- brcmfmac: fix rambase for 4359/9 (jsc#SLE-13430).
- brcmfmac: set F2 blocksize and watermark for 4359
  (jsc#SLE-13430).
- brcmfmac: reset two D11 cores if chip has two D11 cores
  (jsc#SLE-13430).
- commit ad8493d
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: set interface carrier to off by default
  (jsc#SLE-13430).
- brcmsmac: Remove always false 'channel < 0' statement
  (jsc#SLE-13430).
- brcmfmac: remove set but not used variable 'mpnum','nsp','nmp'
  (jsc#SLE-13430).
- brcmsmac: remove unnecessary return (jsc#SLE-13430).
- brcmsmac: remove set but not used variables (jsc#SLE-13430).
- b43: dma: Fix use true/false for bool type variable
  (jsc#SLE-13430).
- b43: main: Fix use true/false for bool type (jsc#SLE-13430).
- wireless: Remove call to memset after dma_alloc_coherent
  (jsc#SLE-13430).
- brcmfmac: add support for SAE authentication offload
  (jsc#SLE-13430).
- commit 7ede4db
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: split brcmf_attach() and brcmf_detach() functions
  (jsc#SLE-13430).
- Refresh
  patches.suse/brcmfmac-sdio-Fix-OOB-interrupt-initialization-on-br.patch.
- commit e7b7a90
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- tty: serial: imx: add imx earlycon driver (jsc#SLE-16106).
- Update config files
- tty: serial: imx: enable imx serial console port as module
  (jsc#SLE-16106).
- serial: imx: use hrtimers for rs485 delays (jsc#SLE-16106).
- serial: imx: implement rts delaying for rs485 (jsc#SLE-16106).
- tty: serial: imx: clear Ageing Timer Interrupt in handler
  (jsc#SLE-16106).
- serial: Allow uart_get_rs485_mode() to return errno
  (jsc#SLE-16106).
- serial: 8250: Avoid error message on reprobe (jsc#SLE-16106).
- tty: serial: imx: Add return value check for platform_get_irq()
  (jsc#SLE-16106).
- dt-bindings: reset: imx7: Document usage on i.MX8MP SoC
  (jsc#SLE-16106).
- serial: 8250: Optimize irq enable after console write
  (jsc#SLE-16106).
- serial: 8250: Fix rs485 delay after console write
  (jsc#SLE-16106).
- serial: 8250: Support console on software emulated rs485 ports
  (jsc#SLE-16106).
- serial: 8250: Generalize rs485 software emulation
  (jsc#SLE-16106).
- serial: 8250: Deduplicate rs485 active_timer assignment
  (jsc#SLE-16106).
- serial: 8250: Sanitize rs485 config harder (jsc#SLE-16106).
- serial: 8250: Deduplicate ->rs485_config() callback
  (jsc#SLE-16106).
- serial: 8250: Support rs485 devicetree properties
  (jsc#SLE-16106).
- serial: 8250: Don't touch RTS modem control while in rs485 mode
  (jsc#SLE-16106).
- tty: imx serial: Implement support for reversing TX and RX
  polarity (jsc#SLE-16106).
- tty: 8250_of: Use software emulated RS485 direction control
  (jsc#SLE-16106).
- Refresh: patches.suse/serial-8250_tegra-Create-Tegra-specific-8250-driver.patch
- serial: imx: adapt rx buffer and dma periods (jsc#SLE-16106).
- serial: imx: use Tx ready rather than Tx empty irq
  (jsc#SLE-16106).
- serial: imx: fix data breakage on termios change
  (jsc#SLE-16106).
- serial: imx: do not disable individual irqs during termios
  change (jsc#SLE-16106).
- serial: imx: do not stop Rx/Tx on termios change
  (jsc#SLE-16106).
- serial: imx: get rid of unbounded busy-waiting loop
  (jsc#SLE-16106).
- serial: imx: get rid of imx_uart_rts_auto() (jsc#SLE-16106).
- serial: imx: set_mctrl(): correctly restore autoRTS state
  (jsc#SLE-16106).
- serial: imx: set_termios(): do not enable autoRTS if RTS is
  unset (jsc#SLE-16106).
- commit 77cc11d
* Tue Sep 22 2020 tiwai@suse.de
- brcmsmac: remove duplicated if condition (jsc#SLE-13430).
- brcmfmac: fix suspend/resume when power is cut off
  (jsc#SLE-13430).
- brcmfmac: don't WARN when there are no requests (jsc#SLE-13430).
- brcmsmac: remove a useless test (jsc#SLE-13430).
- brcmfmac: send port authorized event for FT-802.1X
  (jsc#SLE-13430).
- brcmsmac: Use DIV_ROUND_CLOSEST directly to make it readable
  (jsc#SLE-13430).
- brcmfmac: don't realloc wiphy during PCIe reset (jsc#SLE-13430).
- brcmfmac: move "cfg80211_ops" pointer to another struct
  (jsc#SLE-13430).
- brcmfmac: use %%*ph to print small buffer (jsc#SLE-13430).
- brcmfmac: add "reset" debugfs entry for testing reset
  (jsc#SLE-13430).
- brcmfmac: add stub version of brcmf_debugfs_get_devdir()
  (jsc#SLE-13430).
- brcmfmac: replace strncpy() by strscpy() (jsc#SLE-13430).
- brcmfmac: remove redundant assignment to pointer hash
  (jsc#SLE-13430).
- brcm80211: Avoid possible null-pointer dereferences in
  wlc_phy_radio_init_2056() (jsc#SLE-13430).
- b43legacy: Remove pointless cond_resched() wrapper
  (jsc#SLE-13430).
- brcmsmac: remove three set but not used variables
  (jsc#SLE-13430).
- brcmfmac: remove set but not used variable 'dtim_period'
  (jsc#SLE-13430).
- brcmfmac: don't net_ratelimit() CONSOLE messages on firmware
  crash (jsc#SLE-13430).
- brcmfmac: remove unnecessary strlcpy() upon obtaining "ver"
  iovar (jsc#SLE-13430).
- brcmfmac: simply remove flowring if bus is down (jsc#SLE-13430).
- commit 3b02679
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: change the order of things in brcmf_detach()
  (jsc#SLE-13430).
- Refresh
  patches.suse/brcmfmac-remove-monitor-interface-when-detaching.patch.
- commit a19507f
* Tue Sep 22 2020 tiwai@suse.de
- Revert "brcmfmac: fix NULL pointer derefence during USB
  disconnect" (jsc#SLE-13430).
- Refresh
  patches.suse/brcmfmac-remove-monitor-interface-when-detaching.patch.
- commit 35203f2
* Tue Sep 22 2020 tiwai@suse.de
- brcmfmac: avoid firmware commands when bus is down
  (jsc#SLE-13430).
- brcmfmac: clear events in brcmf_fweh_detach() will always fail
  (jsc#SLE-13430).
- brcmfmac: avoid firmware command in brcmf_netdev_open() when
  bus is down (jsc#SLE-13430).
- brcmfmac: allow 160MHz in custom regulatory rules
  (jsc#SLE-13430).
- brcmfmac: enable DFS_OFFLOAD extended feature if supported
  (jsc#SLE-13430).
- brcmfmac: add 160MHz in chandef_to_chanspec() (jsc#SLE-13430).
- commit d7ef69f
* Tue Sep 22 2020 tiwai@suse.de
- rtlwifi: btcoex: use %%*ph to print small buffer (jsc#SLE-13430).
- rtlwifi: btcoex: remove redundant initialization of variables
  ant_num and single_ant_path (jsc#SLE-13430).
- rtlwifi: 8821ae: remove unused path B parameters from swing
  table (jsc#SLE-13430).
- rtlwifi: Use const in 8188ee/8723be/8821ae swing_table
  declarations (jsc#SLE-13430).
- rtl818x_pci: use generic power management (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Free ieee80211_hw if probing fails
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Fix deadlock (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Fix endian issue (jsc#SLE-13430).
- rtlwifi: Fix endian issue in ps.c (jsc#SLE-13430).
- rtlwifi: rtl8192ee: remove redundant for-loop (jsc#SLE-13430).
- rtl8187: Remove unused variable rtl8225z2_tx_power_ofdm
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: remove Comparison to bool in rf.c
  (jsc#SLE-13430).
- rtlwifi: remove comparison of 0/1 to bool variable
  (jsc#SLE-13430).
- rtlwifi: use true,false for bool variable in rtl_init_rfkill()
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: fix warning comparison to bool
  (jsc#SLE-13430).
- rtlwifi: rtl8821ae: use true,false for bool variables
  (jsc#SLE-13430).
- rtlwifi: rtl8723be: use true,false for bool variables
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: use true,false for bool variables
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: use true,false for bool variables
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: use true,false for bool variables
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: fix spelling mistake "chang" -> "change"
  (jsc#SLE-13430).
- rtl8xxxu: Feed current txrate information for mac80211
  (jsc#SLE-13430).
- rtl8xxxu: add enumeration for channel bandwidth (jsc#SLE-13430).
- rtl8xxxu: Fix sparse warning: cast from restricted __le16
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Fix regression due to commit d1d1a96bdb44
  (jsc#SLE-13430).
- rtlwifi: btcoex: fix spelling mistake "initilized" ->
  "initialized" (jsc#SLE-13430).
- rtlwifi: rtl8723ae: remove unused variables (jsc#SLE-13430).
- rtlwifi: rtl8192ee: remove unused variables (jsc#SLE-13430).
- rtlwifi: rtl8821ae: remove unused variables (jsc#SLE-13430).
- rtlwifi: rtl8188ee: remove redundant assignment to variable cond
  (jsc#SLE-13430).
- rtlwifi: rtl8821ae: Make functions static & rm sw.h
  (jsc#SLE-13430).
- rtlwifi: rtl8723be: Make functions static & rm sw.h
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Make functions static & rm sw.h
  (jsc#SLE-13430).
- rtlwifi: rtl8192se: Remove sw.h header (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Make functions static & rm sw.h
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Remove sw.h header (jsc#SLE-13430).
- rtlwifi: rtl8192ce: Make functions static & rm sw.h
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Make functions static & rm sw.h
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Fix typo (jsc#SLE-13430).
- rtlwifi: rtl8192de: use generic rtl_signal_scale_mapping
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: use generic rtl_signal_scale_mapping
  (jsc#SLE-13430).
- rtlwifi: rtl8192ce: use generic rtl_signal_scale_mapping
  (jsc#SLE-13430).
- rtlwifi: rtl8192de: use generic rtl_query_rxpwrpercentage
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: use generic rtl_query_rxpwrpercentage
  (jsc#SLE-13430).
- rtlwifi: rtl8192ce: use generic rtl_query_rxpwrpercentage
  (jsc#SLE-13430).
- rtlwifi: Remove last definitions of local bit manipulation
  macros (jsc#SLE-13430).
- rtlwifi: rtl8723be: Remove usage of private bit manipulation
  macros (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Remove usage of private bit manipulation
  macros (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove usage of private bit manipulation
  macros (jsc#SLE-13430).
- rtlwifi: rtl88821ae: Remove usage of private bit manipulation
  macros (jsc#SLE-13430).
- rtlwifi: Remove dependence on special bit manipulation macros
  for common driver (jsc#SLE-13430).
- rtlwifi: rtl8192ce: rtl8192c_com: Remove usage of private bit
  manipulation macros (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Remove usage of private bit manipulation
  (jsc#SLE-13430).
- rtlwifi: rtl8192de: Remove usage of private bit manipulation
  macros (jsc#SLE-13430).
- commit 0e1e872
* Tue Sep 22 2020 tiwai@suse.de
- rtlwifi: rtl8192de: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8192de: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8192de: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8192de: Remove unused GET_XXX and SET_XXX macros
  (jsc#SLE-13430).
- rtl8xxxu: Remove set but not used variable 'vif','dev','len'
  (jsc#SLE-13430).
- rtlwifi: set proper udelay within rf_serial_read
  (jsc#SLE-13430).
- rtlwifi: rf_lock use non-irqsave spin_lock (jsc#SLE-13430).
- rtl8xxxu: Remove set but not used variable 'rsr'
  (jsc#SLE-13430).
- rtl8xxxu: Add support for Edimax EW-7611ULB (jsc#SLE-13430).
- rtlwifi: rtl8225se: remove some unused const variables
  (jsc#SLE-13430).
- rtlwifi: rtl8821ae: Drop condition with no effect
  (jsc#SLE-13430).
- rtlwifi: rtl8192c: Drop condition with no effect
  (jsc#SLE-13430).
- rtl8xxxu: fix warnings for symbol not declared (jsc#SLE-13430).
- rtl8xxxu: remove set but not used variable 'rate_mask'
  (jsc#SLE-13430).
- rtlwifi: rtl8192se: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8192se: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8192se: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8192se: Remove unused GET_XXX and SET_XXX
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove set but not used variable 'err'
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove set but not used variable 'cur_tx_wp'
  (jsc#SLE-13430).
- rtl8xxxu: make arrays static, makes object smaller
  (jsc#SLE-13430).
- rtl8xxxu: add bluetooth co-existence support for single antenna
  (jsc#SLE-13430).
- rtlwifi: rtl8723: Remove set but not used variable 'own'
  (jsc#SLE-13430).
- rtlwifi: btcoex: Remove set but not used variables
  'wifi_busy','bt_info_ext' (jsc#SLE-13430).
- rtlwifi: btcoex: Remove set but not used variable 'result'
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Remove set but not used variable
  'h2c_parameter' (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Remove set but not used variables
  'v3','rtstatus','reg_ecc','reg_ec4','reg_eac','b_pathb_ok'
  (jsc#SLE-13430).
- rtlwifi: rtl8192c: Remove set but not used variables
  'reg_ecc','reg_eac' (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Remove set but not used variables
  'reg_ecc','reg_ec4','reg_eac','b_pathb_ok' (jsc#SLE-13430).
- rtlwifi: rtl8821ae: Remove set but not used variables
  'rtstatus','bd' (jsc#SLE-13430).
- rtl8xxxu: Improve TX performance of RTL8723BU on rtl8xxxu driver
  (jsc#SLE-13430).
- rtlwifi: rtl8723be: Remove set but not used variables
  'reg_ecc','reg_eac' (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove set but not used variables
  'reg_ecc','reg_eac' (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove set but not used variables
  'short_gi','buf_len' (jsc#SLE-13430).
- rtlwifi: Remove set but not used variables 'dataempty','hoffset'
  (jsc#SLE-13430).
- rtlwifi: Remove set but not used variable 'rtstate'
  (jsc#SLE-13430).
- rtlwifi: Remove excessive check in _rtl_ps_inactive_ps()
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Remove unused 'rtstatus' variable
  (jsc#SLE-13430).
- rtlwifi: rtl8192de: replace _rtl92d_evm_db_to_percentage with
  generic version (jsc#SLE-13430).
- rtlwifi: rtl8192cu: replace _rtl92c_evm_db_to_percentage with
  generic version (jsc#SLE-13430).
- commit 86ed269
* Tue Sep 22 2020 tiwai@suse.de
- rtlwifi: rtl8192ce: replace _rtl92c_evm_db_to_percentage with
  generic version (jsc#SLE-13430).
- rtlwifi: rtl8188ee: rtl8192ce: rtl8192de: rtl8723ae: rtl8821ae:
  Remove some unused bit manipulation macros (jsc#SLE-13430).
- rtlwifi: rtl8723be: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8723be: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8723be: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8723be: Remove unused SET_XXX and GET_XXX macros
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8723ae: Remove unused GET_XXX and SET_XXX macros
  (jsc#SLE-13430).
- rtlwifi: rtl8821ae: make array static const and remove redundant
  assignment (jsc#SLE-13430).
- rtlwifi: rtl8192ce: Fix incorrect returned values
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Fix incorrect returned values
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8192cu: Remove unused GET_XXX and SET_XXX
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove some variable initializations
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8192ee: Remove unused GET_XXX and SET_XXX
  (jsc#SLE-13430).
- rtlwifi: rtl_pci: Fix memory leak when hardware init fails
  (jsc#SLE-13430).
- rtlwifi: remove unused variables 'RTL8712_SDIO_EFUSE_TABLE'
  and 'MAX_PGPKT_SIZE' (jsc#SLE-13430).
- rtlwifi: fix non-kerneldoc comment in usb.c (jsc#SLE-13430).
- rtlwifi: rtl8192ce: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8192ce: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl8192ce: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8192ce: Remove unused GET_XXX and SET_XXX
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Remove local configuration variable
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Convert inline routines to little-endian
  words (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Convert macros that set descriptor
  (jsc#SLE-13430).
- rtlwifi: rtl88188ee: Replace local bit manipulation macros
  (jsc#SLE-13430).
- rtlwifi: rtl8188ee: Remove unused GET_XXX and SET_XXX descriptor
  macros (jsc#SLE-13430).
- rtlwifi: remove unneeded function _rtl_dump_channel_map()
  (jsc#SLE-13430).
- rtlwifi: rtl_pci: Use dev_get_drvdata (jsc#SLE-13430).
- rtlwifi: remove assignment to itself (jsc#SLE-13430).
- rtlwifi: btcoex: fix issue possible condition with no effect
  (if == else) (jsc#SLE-13430).
- rtl8xxxu: Fix wifi low signal strength issue of RTL8723BU
  (jsc#SLE-13430).
- commit f1d994b
* Tue Sep 22 2020 tiwai@suse.de
- mmc: sdio: Fix macro name for Marvell device with ID 0x9134
  (jsc#SLE-13430).
- Refresh
  patches.suse/mmc-sdio-Change-macro-names-for-Marvell-8688-modules.patch.
- Refresh
  patches.suse/mmc-sdio-Move-SDIO-IDs-from-btmrvl-driver-to-common-.patch.
- Refresh
  patches.suse/mmc-sdio-Move-SDIO-IDs-from-mwifiex-driver-to-common.patch.
- commit eaa2cfe
* Tue Sep 22 2020 tiwai@suse.de
- mmc: sdio: Move SDIO IDs from mwifiex driver to common include
  file (jsc#SLE-13430).
- Refresh
  patches.suse/mmc-sdio-Move-SDIO-IDs-from-btmrvl-driver-to-common-.patch.
- commit a47c531
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- pwm: imx27: Use 64-bit division macro (jsc#SLE-16106).
- spi: imx: enable runtime pm support (jsc#SLE-16106).
- spi: imx/fsl-lpspi: Convert to GPIO descriptors (jsc#SLE-16106).
- spi: imx: add fallback feature (jsc#SLE-16106).
- pwm: imx27: Fix rounding behavior (jsc#SLE-16106).
- rtc: snvs: Add necessary clock operations for RTC APIs
  (jsc#SLE-16106).
- rtc: snvs: Make SNVS clock always prepared (jsc#SLE-16106).
- reset: imx7: Add support for i.MX8MP SoC (jsc#SLE-16106).
- spi: imx: fallback to PIO if dma setup failure (jsc#SLE-16106).
- pwm: imx27: Remove unused include of of_device.h
  (jsc#SLE-16106).
- pwm: imx27: Ensure clocks being on iff the PWM is on
  (jsc#SLE-16106).
- pwm: imx27: Don't disable clocks at device remove time
  (jsc#SLE-16106).
- pwm: imx27: Simplify helper function to enable and disable
  clocks (jsc#SLE-16106).
- pwm: imx27: Fix clock handling in pwm_imx27_apply()
  (jsc#SLE-16106).
- rtc: snvs: Use devm_add_action_or_reset() for calls to
  clk_disable_unprepare() (jsc#SLE-16106).
- rtc: snvs: Remove unused include of of_device.h (jsc#SLE-16106).
- clocksource/drivers/imx-sysctr: Remove unused includes
  (jsc#SLE-16106).
- pwm: imx27: Eliminate error message for defer probe
  (jsc#SLE-16106).
- pwm: imx27: Unconditionally write state to hardware
  (jsc#SLE-16106).
- pwm: imx27: Cache duty cycle register value (jsc#SLE-16106).
- spi: imx: use true,false for bool variable (jsc#SLE-16106).
- Input: snvs_pwrkey - remove gratuitous NULL initializers
  (jsc#SLE-16106).
- Input: snvs_pwrkey - send key events for i.MX6 S, DL and Q
  (jsc#SLE-16106).
- spi: imx: Use dma_request_chan() directly for channel request
  (jsc#SLE-16106).
- pwm: imx: Document known limitations (jsc#SLE-16106).
- rtc: snvs: switch to rtc_time64_to_tm/rtc_tm_to_time64
  (jsc#SLE-16106).
- rtc: snvs: set range (jsc#SLE-16106).
- Input: remove dev_err() usage after platform_get_irq()
  (jsc#SLE-16106).
- clocksource/drivers/imx-sysctr: Add internal clock divider
  handle (jsc#SLE-16106).
- dt-bindings: reset: Fix typo in imx8mq resets (jsc#SLE-16106).
- commit 3c3190a
* Tue Sep 22 2020 tiwai@suse.de
- mmc: sdio: Change macro names for Marvell 8688 modules
  (jsc#SLE-13430).
- Refresh
  patches.suse/mmc-sdio-Move-SDIO-IDs-from-btmrvl-driver-to-common-.patch.
- commit d9e72e1
* Tue Sep 22 2020 tiwai@suse.de
- mwifiex: 11n_rxreorder: Remove unnecessary cast in kfree()
  (jsc#SLE-13430).
- mwifiex: Fix reporting 'operation not supported' error code
  (jsc#SLE-13430).
- mwifiex: Use macro MWIFIEX_MAX_BSS_NUM for specifying limit
  of interfaces (jsc#SLE-13430).
- mwifiex: Add support for NL80211_ATTR_MAX_AP_ASSOC_STA
  (jsc#SLE-13430).
- mwifiex: Parse all API_VER_ID properties (jsc#SLE-13430).
- libertas: Use shared constant for rfc1042 header
  (jsc#SLE-13430).
- mwl8k: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- libertas: make lbs_process_event() void (jsc#SLE-13430).
- libertas: make lbs_init_mesh() void (jsc#SLE-13430).
- wireless: marvell: Replace zero-length array with flexible-array
  member (jsc#SLE-13430).
- libertas: Replace zero-length array with flexible-array member
  (jsc#SLE-13430).
- libertas: Use new structure for SPI transfer delays
  (jsc#SLE-13430).
- mwifiex: change license text from MARVELL to NXP
  (jsc#SLE-13430).
- mwifiex: Re-work support for SDIO HW reset (jsc#SLE-13430).
- libertas: remove redundant assignment to variable ret
  (jsc#SLE-13430).
- mwifiex: use 'total_ie_len' in mwifiex_update_bss_desc_with_ie()
  (jsc#SLE-13430).
- libertas: use mesh_wdev->ssid instead of priv->mesh_ssid
  (jsc#SLE-13430).
- libertas: Fix a double free in if_spi_c2h_data()
  (jsc#SLE-13430).
- mwifiex: pcie: Use dev_get_drvdata (jsc#SLE-13430).
- mwifiex: make error values consistent in
  mwifiex_update_bss_desc_with_ie() (jsc#SLE-13430).
- mwifiex: use eth_broadcast_addr() to assign broadcast address
  (jsc#SLE-13430).
- libertas: remove redundant assignment to variable ret
  (jsc#SLE-13430).
- commit 2008916
* Tue Sep 22 2020 tiwai@suse.de
- supported.conf: Add rtw88 modules explicitly
- commit b55ebc3
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: 8821c: Add 8821CE to Kconfig and Makefile (jsc#SLE-13430,
  bsc#1176741).
- Update config files.
- commit 153835c
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: 8821c: coex: add functions and parameters (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: make symbol 'rtw8821c_rtw_pwr_track_tbl' static
  (jsc#SLE-13430, bsc#1176741).
- rtw88: add h2c command in debugfs (jsc#SLE-13430, bsc#1176741).
- rtw88: allows driver to enable/disable beacon (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add ieee80211_ops::change_interface (jsc#SLE-13430,
  bsc#1176741).
- rtw88: coex: only skip coex triggered by BT info (jsc#SLE-13430,
  bsc#1176741).
- rtw88: update tx descriptor of mgmt and reserved page packets
  (jsc#SLE-13430, bsc#1176741).
- rtw88: coex: Fix ACL Tx pause during BT inquiry/page
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: add new RFE type 6 (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822ce: add support for device ID 0xc82f (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: disable aspm for platform inter-op with module
  parameter (jsc#SLE-13430, bsc#1176741).
- rtw88: single rf path chips don't support TX STBC
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8821c: add beamformee support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: add power tracking (jsc#SLE-13430, bsc#1176741).
- rtw88: 8821c: add cck pd settings (jsc#SLE-13430, bsc#1176741).
- rtw88: 8821c: add phy calibration (jsc#SLE-13430, bsc#1176741).
- rtw88: 8821c: add false alarm statistics (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: add query rx desc support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: add set channel support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: add dig related settings (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: add set tx power index (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8821c: add basic functions (jsc#SLE-13430, bsc#1176741).
- commit fe0a9a2
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: 8822c: remove CCK TX setting when switch channel
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: fix missing brace warning for old compilers
  (jsc#SLE-13430, bsc#1176741).
- rtw88: fix EAPOL 4-way failure by finish IQK earlier
  (jsc#SLE-13430, bsc#1176741).
- rtw88: coex: 8723d: handle BT inquiry cases (jsc#SLE-13430,
  bsc#1176741).
- rtw88: coex: 8723d: set antanna control owner (jsc#SLE-13430,
  bsc#1176741).
- Revert "rtw88: no need to set registers for SDIO"
  (jsc#SLE-13430, bsc#1176741).
- rtw88: no need to set registers for SDIO (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: fix incorrect setting of ldo_pwr (jsc#SLE-13430,
  bsc#1176741).
- rtw88: rename rtw88.ko/rtwpci.ko to rtw88_core.ko/rtw88_pci.ko
  (jsc#SLE-13430, bsc#1176741).
- rtw88: extract: remove the unused after extracting
  (jsc#SLE-13430, bsc#1176741).
- commit f9fba75
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- dmaengine: imx-sdma: Correct formatting issue and provide 2
  new descriptions (jsc#SLE-16106).
- thermal: imx8mm: Support module autoloading (jsc#SLE-16106).
- thermal: imx8mm: Replace zero-length array with flexible-array
  (jsc#SLE-16106).
- dmaengine: imx-sdma: initialize all script addresses
  (jsc#SLE-16106).
- watchdog: imx2_wdt: Drop .remove callback (jsc#SLE-16106).
- thermal: imx8mm: Fix build warning of incorrect argument type
  (jsc#SLE-16106).
- thermal: imx8mm: Add i.MX8MP support (jsc#SLE-16106).
- thermal: imx8mm: Add support for i.MX8MM thermal monitoring unit
  (jsc#SLE-16106).
- supported.conf: Add imx8mm_thermal
- Update config files
- dmaengine: imx-sdma: Fix memory leak (jsc#SLE-16106).
- dmaengine: imx-sdma: find desc first in sdma_tx_status
  (jsc#SLE-16106).
- dmaengine: imx-sdma: rename function (jsc#SLE-16106).
- watchdog: imx2_wdt: Use 'dev' instead of dereferencing it
  repeatedly (jsc#SLE-16106).
- watchdog: imx2_wdt: Use __maybe_unused instead of #if
  CONFIG_PM_SLEEP (jsc#SLE-16106).
- watchdog: imx2_wdt: Remove unnecessary blank line
  (jsc#SLE-16106).
- dmaengine: imx-sdma: Remove call to memset after
  dma_alloc_coherent (jsc#SLE-16106).
- gpio: mxc: Use devm_clk_get_optional instead of devm_clk_get
  (jsc#SLE-16106).
- commit caad3c5
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- blacklist.conf: Remove fixes
- commit cf12879
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: 8723d: Add 8723DE to Kconfig and Makefile (jsc#SLE-13430,
  bsc#1176741).
- Update config files.
- commit 1f8352c
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: extract: make 8723d an individual kernel module
  (jsc#SLE-13430, bsc#1176741).
- rtw88: extract: make 8822b an individual kernel module
  (jsc#SLE-13430, bsc#1176741).
- rtw88: extract: make 8822c an individual kernel module
  (jsc#SLE-13430, bsc#1176741).
- rtw88: extract: export symbols about pci interface
  (jsc#SLE-13430, bsc#1176741).
- rtw88: extract: export symbols used in chip functionalities
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: fix sparse warnings for power tracking
  (jsc#SLE-13430, bsc#1176741).
- rtw88: fill zeros to words 0x06 and 0x07 of security cam entry
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add coex support (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: set ltecoex register address in chip_info
  (jsc#SLE-13430, bsc#1176741).
- commit d9906ed
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: 8723d: implement flush queue (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: Add shutdown callback to disable BT USB suspend
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add power tracking (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: add IQ calibration (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add LC calibration (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: add interface configurations table (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: Set IG register for CCK rate (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: Add chip_ops::false_alarm_statistics
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: some chips don't support LDPC (jsc#SLE-13430,
  bsc#1176741).
- rtw88: handle C2H_CCX_TX_RPT to know if packet TX'ed
  successfully (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add set_channel (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add query_rx_desc (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add DIG parameter (jsc#SLE-13430, bsc#1176741).
- rtw88: Use udelay instead of usleep in atomic context
  (jsc#SLE-13430, bsc#1176741).
- rtw88: fix spelling mistake "fimrware" -> "firmware"
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: update phy parameter tables to v50 (jsc#SLE-13430,
  bsc#1176741).
- rtw88: fix sparse warnings for download firmware routine
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: initialize mac/bb/rf basic functions
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Organize chip TX/RX FIFO (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: implement set_tx_power_index ops (jsc#SLE-13430,
  bsc#1176741).
- commit feaf8bd
* Tue Sep 22 2020 tiwai@suse.de
- iopoll: Introduce read_poll_timeout_atomic macro (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: 11N chips don't support H2C queue (jsc#SLE-13430,
  bsc#1176741).
- rtw88: decompose while(1) loop of power sequence polling command
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add mac power-on/-off function (jsc#SLE-13430,
  bsc#1176741).
- rtw88: no need to send additional information to legacy firmware
  (jsc#SLE-13430, bsc#1176741).
- rtw88: add legacy firmware download for 8723D devices
  (jsc#SLE-13430, bsc#1176741).
- rtw88: set power trim according to efuse PG values
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add read_efuse to recognize efuse info from map
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add new chip op efuse_grant() to control efuse
  access (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add cfg_ldo25 to control LDO25 (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: Add mac/bb/rf/agc/power_limit tables
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: Add RF read/write ops (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: Add power sequence (jsc#SLE-13430, bsc#1176741).
- rtw88: 8723d: add beamform wrapper functions (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8723d: Add basic chip capabilities (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add support for set/get antennas (jsc#SLE-13430,
  bsc#1176741).
- rtw88: make rtw_chip_ops::set_antenna return int (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Add delay on polling h2c command status bit
  (jsc#SLE-13430, bsc#1176741).
- rtw88: Make two functions static (jsc#SLE-13430, bsc#1176741).
- rtw88: avoid unused function warnings (jsc#SLE-13430,
  bsc#1176741).
- rtw88: fix non-increase management packet sequence number
  (jsc#SLE-13430, bsc#1176741).
- iopoll: redefined readx_poll_timeout macro to simplify the code
  (jsc#SLE-13430, bsc#1176741).
- iopoll: introduce read_poll_timeout macro (jsc#SLE-13430,
  bsc#1176741).
- commit b67e00e
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: add a debugfs entry to enable/disable coex mechanism
  (jsc#SLE-13430, bsc#1176741).
- rtw88: add a debugfs entry to dump coex's info (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822c: config RF table path B before path A
  (jsc#SLE-13430, bsc#1176741).
- rtw88: kick off TX packets once for higher efficiency
  (jsc#SLE-13430, bsc#1176741).
- rtw88: pci: define a mask for TX/RX BD indexes (jsc#SLE-13430,
  bsc#1176741).
- rtw88: associate reserved pages with each vif (jsc#SLE-13430,
  bsc#1176741).
- rtw88: extract alloc rsvd_page and h2c skb routines
  (jsc#SLE-13430, bsc#1176741).
- rtw88: don't hold all IRQs disabled for PS operations
  (jsc#SLE-13430, bsc#1176741).
- wireless: realtek: Replace zero-length array with flexible-array
  member (jsc#SLE-13430, bsc#1176741).
- rtw88: remove unused member of struct rtw_hal (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Fix incorrect beamformee role setting (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822[bc]: Make tables const, reduce data object size
  (jsc#SLE-13430, bsc#1176741).
- rtw88: disable TX-AMSDU on 2.4G band (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822c: modify rf protection setting (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Use secondary channel offset enumeration (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Use kfree_skb() instead of kfree() (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822c: update power sequence to v16 (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add ciphers to suppress error message (jsc#SLE-13430,
  bsc#1176741).
- rtw88: avoid holding mutex for cancel_delayed_work_sync()
  (jsc#SLE-13430, bsc#1176741).
- rtw88: move rtw_enter_ips() to the last when config
  (jsc#SLE-13430, bsc#1176741).
- commit 6eccf75
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: pci: 8822c should set clock delay to zero (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add rtw_read8_mask and rtw_read16_mask (jsc#SLE-13430,
  bsc#1176741).
- rtw88: remove unused parameter vif in rtw_lps_pg_info_get()
  (jsc#SLE-13430, bsc#1176741).
- rtw88: Fix return value of rtw_wow_check_fw_status
  (jsc#SLE-13430, bsc#1176741).
- rtw88: use shorter delay time to poll PS state (jsc#SLE-13430,
  bsc#1176741).
- rtw88: use true,false for bool variable (jsc#SLE-13430,
  bsc#1176741).
- rtw88: change max_num_of_tx_queue() definition to inline in
  pci.h (jsc#SLE-13430, bsc#1176741).
- rtw88: assign NULL to skb after being kfree()'ed (jsc#SLE-13430,
  bsc#1176741).
- rtw88: use rtw_hci_stop() instead of rtwdev->hci.ops->stop()
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove unused vif pointer in struct rtw_vif
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove unused variable 'in_lps' (jsc#SLE-13430,
  bsc#1176741).
- rtw88: remove unused spinlock (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: update power sequence to v15 (jsc#SLE-13430,
  bsc#1176741).
- rtw88: fix TX secondary channel offset of 40M if current bw
  is 20M or 40M (jsc#SLE-13430, bsc#1176741).
- rtw88: Add wowlan net-detect support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Add wowlan pattern match support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: support wowlan feature for 8822c (jsc#SLE-13430,
  bsc#1176741).
- rtw88: load wowlan firmware if wowlan is supported
  (jsc#SLE-13430, bsc#1176741).
- rtw88: add interface config for 8822c (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: reset dma when reset pci trx ring (jsc#SLE-13430,
  bsc#1176741).
- commit ea5af20
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: pci: reset ring index when release skbs in tx ring
  (jsc#SLE-13430, bsc#1176741).
- rtw88: allows to enable/disable HCI link PS mechanism
  (jsc#SLE-13430, bsc#1176741).
- rtw88: pci: enable CLKREQ function if host supports it
  (jsc#SLE-13430, bsc#1176741).
- rtw88: pci: use for loop instead of while loop for DBI/MDIO
  (jsc#SLE-13430, bsc#1176741).
- rtw88: pci: use macros to access PCI DBI/MDIO registers
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove duplicated include from ps.c (jsc#SLE-13430,
  bsc#1176741).
- rtw88: signal completion even on firmware-request failure
  (jsc#SLE-13430, bsc#1176741).
- rtw88: fix potential NULL pointer access for firmware
  (jsc#SLE-13430, bsc#1176741).
- rtw88: raise LPS threshold to 50, for less power consumption
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove redundant null pointer check on arrays
  (jsc#SLE-13430, bsc#1176741).
- rtw88: avoid FW info flood (jsc#SLE-13430, bsc#1176741).
- rtw88: fix potential read outside array boundary (jsc#SLE-13430,
  bsc#1176741).
- rtw88: rearrange if..else statements for rx rate indexes
  (jsc#SLE-13430, bsc#1176741).
- rtw88: use rtw_phy_pg_cfg_pair struct, not arrays
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822b: add RFE type 3 support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: fix sparse warnings for power tracking (jsc#SLE-13430,
  bsc#1176741).
- rtw88: fix sparse warnings for DPK (jsc#SLE-13430, bsc#1176741).
- rtw88: fix GENMASK_ULL for u64 (jsc#SLE-13430, bsc#1176741).
- rtw88: add phy_info debugfs to show Tx/Rx physical status
  (jsc#SLE-13430, bsc#1176741).
- rtw88: add set_bitrate_mask support (jsc#SLE-13430,
  bsc#1176741).
- commit 9b64909
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: Enable 802.11ac beamformee support (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add power tracking support (jsc#SLE-13430, bsc#1176741).
- rtw88: use macro to check the current band (jsc#SLE-13430,
  bsc#1176741).
- rtw88: mark rtw_fw_hdr __packed (jsc#SLE-13430, bsc#1176741).
- rtw88: include interrupt.h for tasklet_struct (jsc#SLE-13430,
  bsc#1176741).
- rtw88: use a for loop in rtw_power_mode_change(), not goto
  (jsc#SLE-13430, bsc#1176741).
- rtw88: coex: Set 4 slot mode for A2DP (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: config phy after chip info is setup (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Use rtw_write8_set to set SYS_FUNC (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add NL80211_EXT_FEATURE_CAN_REPLACE_PTK0 support
  (jsc#SLE-13430, bsc#1176741).
- rtw88: config 8822c multicast address in MAC init flow
  (jsc#SLE-13430, bsc#1176741).
- rtw88: Fix an error message (jsc#SLE-13430, bsc#1176741).
- rtw88: use struct rtw_fw_hdr to access firmware header
  (jsc#SLE-13430, bsc#1176741).
- rtw88: raise firmware version debug level (jsc#SLE-13430,
  bsc#1176741).
- rtw88: configure TX queue EDCA parameters (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Don't set RX_FLAG_DECRYPTED if packet has no encryption
  (jsc#SLE-13430, bsc#1176741).
- rtw88: flush hardware tx queues (jsc#SLE-13430, bsc#1176741).
- rtw88: add TX-AMSDU support (jsc#SLE-13430, bsc#1176741).
- rtw88: report tx rate to mac80211 stack (jsc#SLE-13430,
  bsc#1176741).
- rtw88: take over rate control from mac80211 (jsc#SLE-13430,
  bsc#1176741).
- commit 1c0fddd
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: add driver TX queue support (jsc#SLE-13430, bsc#1176741).
- rtw88: allows to set RTS in TX descriptor (jsc#SLE-13430,
  bsc#1176741).
- rtw88: check firmware leave lps successfully (jsc#SLE-13430,
  bsc#1176741).
- rtw88: remove misleading module parameter rtw_fw_support_lps
  (jsc#SLE-13430, bsc#1176741).
- rtw88: add deep PS PG mode for 8822c (jsc#SLE-13430,
  bsc#1176741).
- rtw88: select deep PS mode when module is inserted
  (jsc#SLE-13430, bsc#1176741).
- rtw88: not to enter LPS by coex strategy (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add deep power save support (jsc#SLE-13430, bsc#1176741).
- rtw88: leave PS state for dynamic mechanism (jsc#SLE-13430,
  bsc#1176741).
- rtw88: LPS enter/leave should be protected by lock
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove unused lps state check helper (jsc#SLE-13430,
  bsc#1176741).
- rtw88: not to control LPS by each vif (jsc#SLE-13430,
  bsc#1176741).
- rtw88: not to enter or leave PS under IRQ (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: reset H2C queue indexes in a single write
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove redundant flag check helper function
  (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: fix boolreturn.cocci warnings (jsc#SLE-13430,
  bsc#1176741).
- rtw88: configure firmware after HCI started (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: release tx skbs DMAed when stop (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: extract skbs free routine for trx rings
  (jsc#SLE-13430, bsc#1176741).
- commit f410f93
* Tue Sep 22 2020 tiwai@suse.de
- rtw88: report RX power for each antenna (jsc#SLE-13430,
  bsc#1176741).
- rtw88: allows to receive AMSDU in AMPDU (jsc#SLE-13430,
  bsc#1176741).
- rtw88: add dynamic cck pd mechanism (jsc#SLE-13430,
  bsc#1176741).
- rtw88: move IQK/DPK into phy_calibration (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822c: add SW DPK support (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: add FW IQK support (jsc#SLE-13430, bsc#1176741).
- rtw88: 8822c: Enable interrupt migration (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822c: update pwr_seq to v13 (jsc#SLE-13430,
  bsc#1176741).
- rtw88: 8822c: update PHY parameter to v38 (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: enable MSI interrupt (jsc#SLE-13430, bsc#1176741).
- rtw88: pci: Move a mass of jobs in hw IRQ to soft IRQ
  (jsc#SLE-13430, bsc#1176741).
- rtw88: remove redundant assignment to pointer debugfs_topdir
  (jsc#SLE-13430, bsc#1176741).
- rtw88: drop unused rtw_coex_coex_dm_reset() (jsc#SLE-13430,
  bsc#1176741).
- rtw88: Fix an error message (jsc#SLE-13430, bsc#1176741).
- rtw88: add BT co-existence support (jsc#SLE-13430, bsc#1176741).
- rtw88: enclose c2h cmd handle with mutex (jsc#SLE-13430,
  bsc#1176741).
- rtw88: allow c2h operation in irq context (jsc#SLE-13430,
  bsc#1176741).
- rtw88: pci: remove set but not used variable 'ip_sel'
  (jsc#SLE-13430, bsc#1176741).
- rtw88: use txpwr_lmt_cfg_pair struct, not arrays (jsc#SLE-13430,
  bsc#1176741).
- commit e7eb287
* Tue Sep 22 2020 tiwai@suse.de
- libata: Use per port sync for detach (jsc#SLE-14459).
- commit a98d7fd
* Tue Sep 22 2020 tiwai@suse.de
- libata: implement ATA_HORKAGE_MAX_TRIM_128M and apply to
  Sandisks (jsc#SLE-14459).
- ata: ahci: use ata_link_info() instead of ata_link_printk()
  (jsc#SLE-14459).
- commit e4929bb
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- soc: imx-scu: Align imx sc msg structs to 4 (jsc#SLE-16106).
- commit 335f84a
* Tue Sep 22 2020 jroedel@suse.de
- Refresh
  patches.suse/vfio-fix-foll_longterm-use-simplify-get_user_pages_remote-call.
- commit 194b3fa
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- soc: imx8m: fix build warning (jsc#SLE-16106).
- soc: imx8m: Correct i.MX8MP UID fuse offset (jsc#SLE-16106).
- soc: imx8m: No need to put node when of_find_compatible_node()
  failed (jsc#SLE-16106).
- soc: imx8: select SOC_BUS (jsc#SLE-16106).
- soc: imx: drop COMPILE_TEST for IMX_SCU_SOC (jsc#SLE-16106).
- soc: imx: increase build coverage for imx8m soc driver
  (jsc#SLE-16106).
- Update configs
- soc: imx: gpcv2: include linux/sizes.h (jsc#SLE-16106).
- soc: imx: Enable compile testing of IMX_SCU_SOC (jsc#SLE-16106).
- soc: imx: Add i.MX8MP SoC driver support (jsc#SLE-16106).
- soc: imx8: print SoC type and revision (jsc#SLE-16106).
- soc: imx8mq: Read SOC revision from TF-A (jsc#SLE-16106).
- soc: imx-scu: Using existing serial_number instead of UID
  (jsc#SLE-16106).
- soc: imx8: Using existing serial_number instead of UID
  (jsc#SLE-16106).
- soc: imx: imx-scu: Getting UID from SCU should have response
  (jsc#SLE-16106).
- soc: imx8: Add i.MX8MM UID(unique identifier) support
  (jsc#SLE-16106).
- soc: imx8: Add i.MX8MQ UID(unique identifier) support
  (jsc#SLE-16106).
- commit 4500a37
* Tue Sep 22 2020 tiwai@suse.de
- Update patch reference for most driver securiy fix (CVE-2020-0432 bsc#1176721)
- commit f4104d9
* Tue Sep 22 2020 tiwai@suse.de
- Update patch reference for pinctrl security fix (CVE-2020-0427, bsc#1176725)
- commit 13119a3
* Tue Sep 22 2020 tiwai@suse.de
- Update patch reference for HID security fix (CVE-2020-0431, bsc#1176722)
- commit 92b53fb
* Tue Sep 22 2020 tiwai@suse.de
- HID: core: fix dmesg flooding if report field larger than 32bit
  (bsc#1176775).
- HID: core: Add printk_once variants to hid_warn() etc
  (bsc#1176775).
- HID: core: reformat and reduce hid_printk macros (bsc#1176775).
- commit 37f3024
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- pinctrl: freescale: Add i.MX8MP pinctrl driver support
  (jsc#SLE-16106).
- pinctrl: freescale: imx: Add of_node_put() before return
  (jsc#SLE-16106).
- commit d03fce8
* Tue Sep 22 2020 msuchanek@suse.de
- powerpc/pseries: new lparcfg key/value pair:
  partition_affinity_score (jsc#SLE-16360).
- powerpc/perf: consolidate GPCI hcall structs into asm/hvcall.h
  (jsc#SLE-16360).
- commit ab2ec63
* Tue Sep 22 2020 msuchanek@suse.de
- kernel-syms.spec.in: Also use bz compression (boo#1175882).
- commit ecaf78d
* Tue Sep 22 2020 jroedel@suse.de
- powerpc: use the generic dma_ops_bypass mode (bsc#1175713).
- Update config files.
- commit 73f34e8
* Tue Sep 22 2020 nsaenzjulienne@suse.de
- clk: imx8mq: Add VIDEO2_PLL clock (jsc#SLE-16106).
- Refresh: patches.suse/clk-imx-imx8mq-fix-sys3_pll_out_sels.patch
- commit 010f11f
* Tue Sep 22 2020 jroedel@suse.de
- dma-mapping: make support for dma ops optional (bsc#1175713).
- Update config files.
- commit 1f38426
* Tue Sep 22 2020 jroedel@suse.de
- x86/mm: unencrypted non-blocking DMA allocations use coherent
  pools (bsc#1175713).
- Update config files.
- commit ac7effe
* Tue Sep 22 2020 msuchanek@suse.de
- powerpc/pmem: Initialize pmem device on newer hardware
  (jsc#SLE-16402 bsc#1176109 ltc#187964).
- powerpc/pmem: Avoid the barrier in flush routines (jsc#SLE-16402
  bsc#1176109 ltc#187964).
- powerpc/pmem: Update ppc64 to use the new barrier instruction
  (jsc#SLE-16402 bsc#1176109 ltc#187964).
- libnvdimm/nvdimm/flush: Allow architecture to override the
  flush barrier (jsc#SLE-16402 bsc#1176109 ltc#187964).
- powerpc/pmem: Add flush routines using new pmem store and sync
  instruction (jsc#SLE-16402 bsc#1176109 ltc#187964).
- powerpc/pmem: Add new instructions for persistent storage and
  sync (jsc#SLE-16402 bsc#1176109 ltc#187964).
- powerpc/pmem: Restrict papr_scm to P8 and above (jsc#SLE-16402
  bsc#1176109 ltc#187964).
- commit bce8b0d
* Tue Sep 22 2020 bp@suse.de
- Update
  patches.suse/media-uvcvideo-Avoid-cyclic-entity-chains-due-to-mal.patch
  (bsc#1176423 CVE-2020-0404).
- commit 23cba3a
* Tue Sep 22 2020 jroedel@suse.de
- dma-remap: separate DMA atomic pools from direct remap code
  (bsc#1175713).
- Update config files.
- commit 652d23c
* Tue Sep 22 2020 jroedel@suse.de
- dma-direct: provide mmap and get_sgtable method overrides
  (bsc#1175713).
- Update config files.
- Refresh
  patches.suse/dma-direct-relax-addressability-checks-in-dma_direct_supported.patch.
- commit 640f342
* Tue Sep 22 2020 jeyu@suse.de
- oracleasm: reinstate bio_map_user_iov() declaration in
  include/linux/bio.h (bsc#1176792).
- commit 320783e
* Tue Sep 22 2020 jroedel@suse.de
- remoteproc: don't allow modular build (bsc#1175713).
- Update config files.
- commit 4fcba5f
* Tue Sep 22 2020 jslaby@suse.cz
- platform/x86: dcdbas: Check SMBIOS for protected buffer address
  (jsc#SLE-14407).
- commit 7f21c07
* Tue Sep 22 2020 wqu@suse.com
- btrfs: require only sector size alignment for parent eb  bytenr
  (bsc#1176789).
- commit 868a458
* Tue Sep 22 2020 wqu@suse.com
- btrfs: tree-checker: fix the error message for transid error
  (bsc#1176788).
- commit 96dd2e2
* Tue Sep 22 2020 glin@suse.com
- libbpf: Fix readelf output parsing for Fedora (bsc#1155518).
- commit 667b79c
* Tue Sep 22 2020 glin@suse.com
- libbpf: Fix readelf output parsing on powerpc with recent binutils (bsc#1155518).
- commit 20955ec
* Tue Sep 22 2020 neilb@suse.de
- nfs: Fix getxattr kernel panic and memory overflow (bsc#1176381
  CVE-2020-2521).
- commit 0de797a
* Mon Sep 21 2020 mkubecek@suse.cz
- hsr: use netdev_err() instead of WARN_ONCE() (bsc#1176659).
- commit fe91e40
* Mon Sep 21 2020 mkubecek@suse.cz
- netfilter: ipset: Fix forceadd evaluation path (bsc#1176587).
- commit 64d0b5f
* Mon Sep 21 2020 bp@suse.de
- x86/mmu: Allocate/free a PASID (jsc#13318).
- commit 5c3bca0
* Mon Sep 21 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/powerpc-book3s64-radix-Fix-boot-failure-with-large-a.patch
  patches.suse/powerpc-papr_scm-Limit-the-readability-of-perf_stats.patch
- commit 1c47455
* Mon Sep 21 2020 jroedel@suse.de
- dma-mapping: add a dma_ops_bypass flag to struct device
  (bsc#1175713).
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
- commit 30eaa99
* Mon Sep 21 2020 jroedel@suse.de
- dma-mapping: drop the dev argument to arch_sync_dma_for_*
  (bsc#1175713).
- Refresh patches.suse/iommu-dma-iommu-handle-deferred-devices.
- Refresh
  patches.suse/iommu-dma-iommu-use-the-dev-coherent_dma_mask.
- commit f6fa05a
* Mon Sep 21 2020 jroedel@suse.de
- dma-mapping: remove the dma_declare_coherent_memory export
  (bsc#1175713).
- Refresh
  patches.suse/dma-mapping-fix-handling-of-dma-ranges-for-reserved-.patch.
- commit a59e7a9
* Mon Sep 21 2020 bp@suse.de
- x86/cpufeatures: Mark ENQCMD as disabled when configured out
  (jsc#13318).
- commit b9a8428
* Mon Sep 21 2020 jroedel@suse.de
- dma-mapping: remove dma_release_declared_memory (bsc#1175713).
- Refresh
  patches.suse/dma-mapping-fix-handling-of-dma-ranges-for-reserved-.patch.
- commit 07c01cd
* Mon Sep 21 2020 bp@suse.de
- mm: Add a pasid member to struct mm_struct (jsc#13318).
- commit 8b1797c
* Mon Sep 21 2020 jroedel@suse.de
- dma-pool: Fix an uninitialized variable bug in
  atomic_pool_expand() (bsc#1175713).
- PCI/P2PDMA: Fix build without DMA ops (bsc#1175713).
- dma-pool: Only allocate from CMA when in same memory zone
  (bsc#1175713).
- dma-pool: fix coherent pool allocations for IOMMU mappings
  (bsc#1175713).
- dma-mapping: consolidate the NO_DMA definition in
  kernel/dma/Kconfig (bsc#1175713).
- dma-debug: remove debug_dma_assert_idle() function
  (bsc#1175713).
- dma-debug: fix debug_dma_assert_idle(), use rcu_read_lock()
  (bsc#1175713).
- dma-contiguous: cleanup dma_alloc_contiguous (bsc#1175713).
- dma-debug: use named initializers for dir2name (bsc#1175713).
- dma-mapping: inline the fast path dma-direct calls
  (bsc#1175713).
- dma-mapping: move the remaining DMA API calls out of line
  (bsc#1175713).
- dma-pool: do not allocate pool memory from CMA (bsc#1175713).
- dma-pool: make sure atomic pool suits device (bsc#1175713).
- dma-pool: introduce dma_guess_pool() (bsc#1175713).
- dma-pool: get rid of dma_in_atomic_pool() (bsc#1175713).
- dma-direct: provide function to check physical memory area
  validity (bsc#1175713).
- xsk: Use dma_need_sync instead of reimplenting it (bsc#1175713).
- xsk: Replace the cheap_dma flag with a dma_need_sync flag
  (bsc#1175713).
- dma-mapping: Add a new dma_need_sync API (bsc#1175713).
- dma-mapping: warn when coherent pool is depleted (bsc#1175713).
- scsi: mptfusion: Don't use GFP_ATOMIC for larger DMA allocations
  (bsc#1175713).
- dma-remap: align the size in dma_common_*_remap() (bsc#1175713).
- dma-mapping: DMA_COHERENT_POOL should select GENERIC_ALLOCATOR
  (bsc#1175713).
- dma-direct: add missing set_memory_decrypted() for coherent
  mapping (bsc#1175713).
- dma-direct: check return value when encrypting or decrypting
  memory (bsc#1175713).
- dma-direct: re-encrypt memory if dma_direct_alloc_pages()
  fails (bsc#1175713).
- dma-direct: always align allocation size in
  dma_direct_alloc_pages() (bsc#1175713).
- dma-direct: mark __dma_direct_alloc_pages static (bsc#1175713).
- dma-direct: re-enable mmap for !CONFIG_MMU (bsc#1175713).
- dma-pool: decouple DMA_REMAP from DMA_COHERENT_POOL
  (bsc#1175713).
- dma-pool: fix too large DMA pools on medium memory size systems
  (bsc#1175713).
- dma-mapping: add generic helpers for mapping sgtable objects
  (bsc#1175713).
- dma-contiguous: fix comment for dma_release_from_contiguous
  (bsc#1175713).
- dma-pool: scale the default DMA coherent pool size with memory
  capacity (bsc#1175713).
- dma-pool: add pool sizes to debugfs (bsc#1175713).
- dma-direct: atomic allocations must come from atomic coherent
  pools (bsc#1175713).
- dma-pool: dynamically expanding atomic pools (bsc#1175713).
- dma-pool: add additional coherent pools to map to gfp mask
  (bsc#1175713).
- dma-debug: make __dma_entry_alloc_check_leak() static
  (bsc#1175713).
- dma-mapping: use vmap insted of reimplementing it (bsc#1175713).
- dma-direct: provide a arch_dma_clear_uncached hook
  (bsc#1175713).
- dma-direct: make uncached_kernel_address more general
  (bsc#1175713).
- dma-direct: consolidate the error handling in
  dma_direct_alloc_pages (bsc#1175713).
- dma-direct: remove the cached_kernel_address hook (bsc#1175713).
- dma-mapping: Fix dma_pgprot() for unencrypted coherent pages
  (bsc#1175713).
- dma-direct: improve DMA mask overflow reporting (bsc#1175713).
- dma-direct: improve swiotlb error reporting (bsc#1175713).
- lib/genalloc.c: rename addr_in_gen_pool to gen_pool_has_addr
  (bsc#1175713).
- dma-debug: clean up put_hash_bucket() (bsc#1175713).
- dma-debug: increase HASH_SIZE (bsc#1175713).
- dma-debug: reorder struct dma_debug_entry fields (bsc#1175713).
- dma-mapping: merge the generic remapping helpers into dma-direct
  (bsc#1175713).
- dma-direct: remove the dma_handle argument to
  __dma_direct_alloc_pages (bsc#1175713).
- dma-direct: remove __dma_direct_free_pages (bsc#1175713).
- kernel: dma-contiguous: mark CMA parameters
  __initdata/__initconst (bsc#1175713).
- dma-mapping: remove the DMA_ATTR_WRITE_BARRIER flag
  (bsc#1175713).
- dma-debug: Use pr_warn instead of pr_warning (bsc#1175713).
- dma-mapping: fix false positivse warnings in
  dma_common_free_remap() (bsc#1175713).
- arm64/ARM: configs: Change CONFIG_REMOTEPROC from m to y
  (bsc#1175713).
- dma-mapping: Remove dma_check_mask() (bsc#1175713).
- swiotlb: Remove call to sme_active() (bsc#1175713).
- arm64: use asm-generic/dma-mapping.h (bsc#1175713).
- swiotlb-xen: merge xen_unmap_single into xen_swiotlb_unmap_page
  (bsc#1175713).
- swiotlb-xen: simplify cache maintainance (bsc#1175713).
- swiotlb-xen: use the same foreign page check everywhere
  (bsc#1175713).
- swiotlb-xen: remove xen_swiotlb_dma_mmap and
  xen_swiotlb_dma_get_sgtable (bsc#1175713).
- xen: remove the exports for
  xen_{create,destroy}_contiguous_region (bsc#1175713).
- xen/arm: remove xen_dma_ops (bsc#1175713).
- xen/arm: simplify dma_cache_maint (bsc#1175713).
- xen/arm: use dev_is_dma_coherent (bsc#1175713).
- xen/arm: consolidate page-coherent.h (bsc#1175713).
- xen/arm: use dma-noncoherent.h calls for xen-swiotlb cache
  maintainance (bsc#1175713).
- dma-mapping: introduce a dma_common_find_pages helper
  (bsc#1175713).
- dma-mapping: always use VM_DMA_COHERENT for generic DMA remap
  (bsc#1175713).
- dma-mapping: provide a better default ->get_required_mask
  (bsc#1175713).
- dma-mapping: remove the dma_mmap_from_dev_coherent export
  (bsc#1175713).
- dma-mapping: remove dma_{alloc,free,mmap}_writecombine
  (bsc#1175713).
- dma-mapping: remove CONFIG_ARCH_NO_COHERENT_DMA_MMAP
  (bsc#1175713).
- dma-mapping: add a dma_can_mmap helper (bsc#1175713).
- dma-mapping: move the dma_get_sgtable API comments from arm
  to common code (bsc#1175713).
- dma-mapping: make dma_atomic_pool_init self-contained
  (bsc#1175713).
- dma-mapping: remove arch_dma_mmap_pgprot (bsc#1175713).
- dma-mapping: remove is_device_dma_capable (bsc#1175713).
- commit bf566c9
* Mon Sep 21 2020 bp@suse.de
- x86/msr-index: Define an IA32_PASID MSR (jsc#13318).
- commit 291d536
* Mon Sep 21 2020 bp@suse.de
- x86/fpu/xstate: Add supervisor PASID state for ENQCMD
  (jsc#13318).
- commit f6d0d32
* Mon Sep 21 2020 nsaenzjulienne@suse.de
- clk: imx8mp: add mu root clk (jsc#SLE-16106).
- clk: imx: use imx8m_clk_hw_composite_bus for i.MX8M bus clk
  slice (jsc#SLE-16106).
- clk: imx: add imx8m_clk_hw_composite_bus (jsc#SLE-16106).
- clk: imx: add mux ops for i.MX8M composite clk (jsc#SLE-16106).
- clk: imx8m: migrate A53 clk root to use composite core
  (jsc#SLE-16106).
- clk: imx8mp: use imx8m_clk_hw_composite_core to simplify code
  (jsc#SLE-16106).
- clk: imx8mp: Define gates for pll1/2 fixed dividers
  (jsc#SLE-16106).
- clk: imx: imx8mp: fix pll mux bit (jsc#SLE-16106).
- clk: imx8m: drop clk_hw_set_parent for A53 (jsc#SLE-16106).
- dt-bindings: clocks: imx8mp: Add ids for audiomix clocks
  (jsc#SLE-16106).
- clk: imx: Add helpers for passing the device as argument
  (jsc#SLE-16106).
- clk: imx: pll14xx: Add the device as argument when registering
  (jsc#SLE-16106).
- clk: imx: gate2: Allow single bit gating clock (jsc#SLE-16106).
- clk: imx8mq: A53 core clock no need to be critical
  (jsc#SLE-16106).
- clk: imx8mp: A53 core clock no need to be critical
  (jsc#SLE-16106).
- clk: imx8mm: A53 core clock no need to be critical
  (jsc#SLE-16106).
- clk: imx8mn: A53 core clock no need to be critical
  (jsc#SLE-16106).
- clk: imx: imx8mp: fix a53 cpu clock (jsc#SLE-16106).
- clk: imx: imx8mn: fix a53 cpu clock (jsc#SLE-16106).
- clk: imx: imx8mm: fix a53 cpu clock (jsc#SLE-16106).
- clk: imx: imx8mq: fix a53 cpu clock (jsc#SLE-16106).
- clk: imx8mp: Rename the IMX8MP_CLK_HDMI_27M clock
  (jsc#SLE-16106).
- clk: imx8mn: Remove unused includes (jsc#SLE-16106).
- clk: imx8mm: Remove unused includes (jsc#SLE-16106).
- clk: imx8mp: Include slab.h instead of clkdev.h (jsc#SLE-16106).
- clk: imx8mp: Add missing of_node_put() (jsc#SLE-16106).
- clk: imx8mn: Add missing of_node_put() (jsc#SLE-16106).
- clk: imx8mm: Add missing of_node_put() (jsc#SLE-16106).
- clk: imx8mq: Add missing of_node_put() (jsc#SLE-16106).
- clk: imx: Include clk-provider.h instead of clk.h for i.MX8M
  SoCs clock driver (jsc#SLE-16106).
- clk: imx8mm: Add CLKO2 support (jsc#SLE-16106).
- clk: imx: imx8mn: use imx8m_clk_hw_composite_core
  (jsc#SLE-16106).
- clk: imx: imx8mm: use imx8m_clk_hw_composite_core
  (jsc#SLE-16106).
- clk: imx: imx8mq: use imx8m_clk_hw_composite_core
  (jsc#SLE-16106).
- clk: imx: composite-8m: add imx8m_clk_hw_composite_core
  (jsc#SLE-16106).
- clk: imx: imx8mp: add ocotp root clk (jsc#SLE-16106).
- clk: imx8mn: add SNVS clock to clock tree (jsc#SLE-16106).
- dt-bindings: clock: imx8mn: add SNVS clock (jsc#SLE-16106).
- clk: imx8mp: Correct the enet_qos parent clock (jsc#SLE-16106).
- clk: imx8mp: Correct IMX8MP_CLK_HDMI_AXI clock parent
  (jsc#SLE-16106).
- clk: imx8mn: Fix incorrect clock defines (jsc#SLE-16106).
- clk: imx: Add support for i.MX8MP clock driver (jsc#SLE-16106).
- Update config
- dt-bindings: imx: Add clock binding doc for i.MX8MP
  (jsc#SLE-16106).
- clk: imx: gate4: Switch imx_clk_gate4_flags() to clk_hw based
  API (jsc#SLE-16106).
- clk: imx: imx8mq: Switch to clk_hw based API (jsc#SLE-16106).
- clk: imx: imx8mm: Switch to clk_hw based API (jsc#SLE-16106).
- Refresh: patches.suse/clk-imx8mm-Fix-the-CLKO1-source-select-list.patch
- clk: imx: imx8mn: Switch to clk_hw based API (jsc#SLE-16106).
- clk: imx: Remove __init for imx_obtain_fixed_clk_hw() API
  (jsc#SLE-16106).
- clk: imx: gate3: Switch to clk_hw based API (jsc#SLE-16106).
- clk: imx: add hw API imx_clk_hw_mux2_flags (jsc#SLE-16106).
- clk: imx: add imx_unregister_hw_clocks (jsc#SLE-16106).
- clk: imx: clk-composite-8m: Switch to clk_hw based API
  (jsc#SLE-16106).
- clk: imx: clk-pll14xx: Switch to clk_hw based API
  (jsc#SLE-16106).
- clk: imx: Rename the imx_clk_divider_gate to imply it's clk_hw
  based (jsc#SLE-16106).
- clk: imx: Rename the imx_clk_pfdv2 to imply it's clk_hw based
  (jsc#SLE-16106).
- clk: imx: Rename the imx_clk_pllv4 to imply it's clk_hw based
  (jsc#SLE-16106).
- clk: imx: Rename sccg and frac pll register to suggest clk_hw
  (jsc#SLE-16106).
- clk: imx: imx7ulp composite: Rename to show is clk_hw based
  (jsc#SLE-16106).
- clk: imx: pllv2: Switch to clk_hw based API (jsc#SLE-16106).
- clk: imx: pllv1: Switch to clk_hw based API (jsc#SLE-16106).
- clk: imx: Replace all the clk based helpers with macros
  (jsc#SLE-16106).
- clk: imx: Rename the SCCG to SSCG (jsc#SLE-16106).
- clk: imx: Add correct failure handling for clk based helpers
  (jsc#SLE-16106).
- clk: imx8mn: correct the usb1_ctrl parent to be usb_bus
  (jsc#SLE-16106).
- clk: imx8m: Suppress bind attrs (jsc#SLE-16106).
- clk: imx: Mark dram pll on 8mm and 8mn with CLK_GET_RATE_NOCACHE
  (jsc#SLE-16106).
- clk: imx8m: Set CLK_GET_RATE_NOCACHE on dram clocks
  (jsc#SLE-16106).
- clk: imx: imx8mq: mark sys1/2_pll as fixed clock
  (jsc#SLE-16106).
- Refresh: patches.suse/clk-imx-imx8mq-fix-sys3_pll_out_sels.patch
- clk: imx: imx8mn: mark sys_pll1/2 as fixed clock (jsc#SLE-16106).
- clk: imx: imx8mm: mark sys_pll1/2 as fixed clock
  (jsc#SLE-16106).
- clk: imx8mn: Define gates for pll1/2 fixed dividers
  (jsc#SLE-16106).
- clk: imx8mm: Define gates for pll1/2 fixed dividers
  (jsc#SLE-16106).
- clk: imx8mq: Define gates for pll1/2 fixed dividers
  (jsc#SLE-16106).
- clk: imx8mn: Use common 1443X/1416X PLL clock structure
  (jsc#SLE-16106).
- clk: imx8mm: Move 1443X/1416X PLL clock structure to common
  place (jsc#SLE-16106).
- clk: imx: imx8mn: drop unused pll enum (jsc#SLE-16106).
- clk: imx: imx8mn: fix pll mux bit (jsc#SLE-16106).
- clk: imx: imx8mn: fix audio pll setting (jsc#SLE-16106).
- clk: imx8mn: Add necessary frequency support for ARM PLL table
  (jsc#SLE-16106).
- clk: imx8mn: Add missing rate_count assignment for each PLL
  structure (jsc#SLE-16106).
- clk: imx8mn: fix int pll clk gate (jsc#SLE-16106).
- clk: imx8mn: Add GIC clock (jsc#SLE-16106).
- clk: imx8mn: Fix incorrect parents (jsc#SLE-16106).
- clk: imx8mq: Unregister clks when of_clk_add_provider failed
  (jsc#SLE-16106).
- clk: imx8mm: Unregister clks when of_clk_add_provider failed
  (jsc#SLE-16106).
- clk: imx8mn: Keep uart clocks on for early console
  (jsc#SLE-16106).
- clk: imx: Remove unused function statement (jsc#SLE-16106).
- clk: imx8mm: Switch to platform driver (jsc#SLE-16106).
- clk: imx: Remove unused clk based API (jsc#SLE-16106).
- clk: imx8mq: set correct parent for usb ctrl clocks
  (jsc#SLE-16106).
- clk: imx8mq: Remove CLK_IS_CRITICAL flag for IMX8MQ_CLK_TMU_ROOT
  (jsc#SLE-16106).
- clk: imx8mm: rename 'share_count_dcss' to 'share_count_disp'
  (jsc#SLE-16106).
- clk: imx8mm: correct the usb1_ctrl parent to be usb_bus
  (jsc#SLE-16106).
- clk: imx: Add support for i.MX8MN clock driver (jsc#SLE-16106).
- Update config
- clk: imx: Add API for clk unregister when driver probe fail
  (jsc#SLE-16106).
- clk: imx8mm: Make 1416X/1443X PLL macro definitions common
  for usage (jsc#SLE-16106).
- dt-bindings: imx: Add clock binding doc for i.MX8MN
  (jsc#SLE-16106).
- commit 354d173
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Increment management interface revision
  (jsc#SLE-13430).
- Bluetooth: use the proper scan params when conn is pending
  (jsc#SLE-13430).
- Revert "Bluetooth: btusb: Disable runtime suspend on Realtek
  devices" (jsc#SLE-13430).
- Bluetooth: Enable controller RPA resolution using Experimental
  feature (jsc#SLE-13430).
- Bluetooth: Enable RPA Timeout (jsc#SLE-13430).
- Bluetooth: Enable/Disable address resolution during le create
  conn (jsc#SLE-13430).
- Bluetooth: Let controller creates RPA during le create conn
  (jsc#SLE-13430).
- Bluetooth: Translate additional address type during le_conn
  (jsc#SLE-13430).
- commit d8a924d
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Update resolving list when updating whitelist
  (jsc#SLE-13430).
- Bluetooth: Configure controller address resolution if available
  (jsc#SLE-13430).
- Bluetooth: Translate additional address type correctly
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Stop collecting memdump again for command
  timeout during SSR (jsc#SLE-13430).
- Bluetooth: Fix suspend notifier race (jsc#SLE-13430).
- Bluetooth: Return NOTIFY_DONE for hci_suspend_notifier
  (jsc#SLE-13430).
- Bluetooth: btusb: Fix and detect most of the Chinese Bluetooth
  controllers (jsc#SLE-13430).
- Bluetooth: Add per-instance adv disable/remove (jsc#SLE-13430).
- Bluetooth: hci_qca: Bug fixes for SSR (jsc#SLE-13430).
- Bluetooth: btusb: add Realtek 8822CE to usb_device_id table
  (jsc#SLE-13430).
- commit 8ca4fb2
* Mon Sep 21 2020 tiwai@suse.de
- Replace HTTP links with HTTPS ones: BLUETOOTH SUBSYSTEM
  (jsc#SLE-13430).
- Bluetooth: Use fallthrough pseudo-keyword (jsc#SLE-13430).
- Bluetooth: RFCOMM: Use fallthrough pseudo-keyword
  (jsc#SLE-13430).
- Bluetooth: core: Use fallthrough pseudo-keyword (jsc#SLE-13430).
- Bluetooth: Use whitelist for scan policy when suspending
  (jsc#SLE-13430).
- Bluetooth: le_simult_central_peripheral experimental feature
  (jsc#SLE-13430).
- Bluetooth: Fix kernel oops triggered by hci_adv_monitors_clear()
  (jsc#SLE-13430).
- Bluetooth: btusb: USB alternate setting 1 for WBS
  (jsc#SLE-13430).
- Bluetooth: use configured default params for active scans
  (jsc#SLE-13430).
- Bluetooth: Adding a configurable autoconnect timeout
  (jsc#SLE-13430).
- commit 681caef
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btusb: Comment on unbalanced pm reference
  (jsc#SLE-13430).
- Bluetooth: btusb: Refactor of firmware download flow for Intel
  conrollers (jsc#SLE-13430).
- Bluetooth: Don't restart scanning if paused (jsc#SLE-13430).
- Bluetooth: btusb: BTUSB_WAKEUP_DISABLE prevents wake
  (jsc#SLE-13430).
- Bluetooth: btusb: Reset port on cmd timeout (jsc#SLE-13430).
- Bluetooth: use configured params for ext adv (jsc#SLE-13430).
- Bluetooth: Add hci_dev_lock to get/set device flags
  (jsc#SLE-13430).
- Bluetooth: mgmt: Use command complete on success for set system
  config (jsc#SLE-13430).
- Bluetooth: Terminate the link if pairing is cancelled
  (jsc#SLE-13430).
- Bluetooth: Update background scan and report device based on
  advertisement monitors (jsc#SLE-13430).
- commit afbe025
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Notify adv monitor removed event (jsc#SLE-13430).
- Bluetooth: Notify adv monitor added event (jsc#SLE-13430).
- Bluetooth: Add handler of MGMT_OP_REMOVE_ADV_MONITOR
  (jsc#SLE-13430).
- Bluetooth: Add handler of MGMT_OP_ADD_ADV_PATTERNS_MONITOR
  (jsc#SLE-13430).
- Bluetooth: Add handler of MGMT_OP_READ_ADV_MONITOR_FEATURES
  (jsc#SLE-13430).
- Bluetooth: Add definitions for advertisement monitor features
  (jsc#SLE-13430).
- Bluetooth: Add get/set device flags mgmt op (jsc#SLE-13430).
- Bluetooth: Replace wakeable in hci_conn_params (jsc#SLE-13430).
- Bluetooth: Replace wakeable list with flag (jsc#SLE-13430).
- Bluetooth: Add bdaddr_list_with_flags for classic whitelist
  (jsc#SLE-13430).
- Bluetooth: mgmt: Add commands for runtime configuration
  (jsc#SLE-13430).
- commit 5ed8ff4
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: implement read/set default system parameters mgmt
  (jsc#SLE-13430).
- Bluetooth: centralize default value initialization
  (jsc#SLE-13430).
- Bluetooth: mgmt: read/set system parameter definitions
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Request Tx clock vote off only when Tx is
  pending (jsc#SLE-13430).
- Bluetooth: hci_qca: Increase SoC idle timeout to 200ms
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Disable SoC debug logging for WCN3991
  (jsc#SLE-13430).
- Bluetooth: Use only 8 bits for the HCI CMSG state flags
  (jsc#SLE-13430).
- Bluetooth: Add support for BT_PKT_STATUS CMSG data for SCO
  connections (jsc#SLE-13430).
- Bluetooth: btmrvl_sdio: Refactor irq wakeup (jsc#SLE-13430).
- Bluetooth: btmrvl_sdio: Implement prevent_wake (jsc#SLE-13430).
- Bluetooth: btmrvl_sdio: Set parent dev to hdev (jsc#SLE-13430).
- commit 4216325
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btusb: Configure Intel debug feature based on
  available support (jsc#SLE-13430).
- Bluetooth: btusb: Add support to read Intel debug feature
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Bug fix during SSR timeout (jsc#SLE-13430).
- Bluetooth: Allow suspend even when preparation has failed
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Refactor error handling in qca_suspend()
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Skip serdev wait when no transfer is pending
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Only remove TX clock vote after TX is
  completed (jsc#SLE-13430).
- Bluetooth: hci_qca: Simplify determination of serial clock
  on/off state from votes (jsc#SLE-13430).
- Bluetooth: hci_qca: Fix an error pointer dereference
  (jsc#SLE-13430).
- Bluetooth: Removing noisy dbg message (jsc#SLE-13430).
- commit 2418c75
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Check scan state before disabling during suspend
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Fix QCA6390 memdump failure (jsc#SLE-13430).
- Bluetooth: btmtkuart: Use serdev_device_write_buf() instead
  of serdev_device_write() (jsc#SLE-13430).
- Bluetooth: hci_qca: Improve controller ID info log level
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Fix qca6390 enable failure after warm reboot
  (jsc#SLE-13430).
- Bluetooth: Acquire sk_lock.slock without disabling interrupts
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Fix suspend/resume functionality failure
  (jsc#SLE-13430).
- Bluetooth: btbcm: Added 003.006.007, changed 001.003.015
  (jsc#SLE-13430).
- commit 0223c8a
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: hci_qca: Fix uninitialized access to hdev
  (jsc#SLE-13430).
- Bluetooth: Fix assuming EIR flags can result in SSP
  authentication (jsc#SLE-13430).
- Bluetooth: hci_qca: Enable WBS support for wcn3991
  (jsc#SLE-13430).
- Bluetooth: Fix for GAP/SEC/SEM/BI-10-C (jsc#SLE-13430).
- Bluetooth: L2CAP: add support for waiting disconnection resp
  (jsc#SLE-13430).
- Bluetooth: Handle Inquiry Cancel error after Inquiry Complete
  (jsc#SLE-13430).
- Bluetooth: serdev: Constify serdev_device_ops (jsc#SLE-13430).
- Bluetooth: btusb: Add support for Intel Bluetooth Device
  Typhoon Peak (8087:0032) (jsc#SLE-13430).
- Bluetooth: btusb: Implement hdev->prevent_wake (jsc#SLE-13430).
- Bluetooth: Add hook for driver to prevent wake from suspend
  (jsc#SLE-13430).
- commit 6fab827
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Rename BT_SUSPEND_COMPLETE (jsc#SLE-13430).
- Bluetooth: Modify LE window and interval for suspend
  (jsc#SLE-13430).
- Bluetooth: Fix incorrect type for window and interval
  (jsc#SLE-13430).
- Bluetooth: Introduce debug feature when dynamic debug is
  disabled (jsc#SLE-13430).
- Bluetooth: Add support for experimental features configuration
  (jsc#SLE-13430).
- Bluetooth: Replace BT_DBG with bt_dev_dbg for security manager
  support (jsc#SLE-13430).
- Bluetooth: Introduce HCI_MGMT_HDEV_OPTIONAL option
  (jsc#SLE-13430).
- Bluetooth: Replace BT_DBG with bt_dev_dbg for management support
  (jsc#SLE-13430).
- Bluetooth: Add MGMT_EV_PHY_CONFIGURATION_CHANGED to supported
  list (jsc#SLE-13430).
- Bluetooth: L2CAP: Fix errors during
  L2CAP_CREDIT_BASED_CONNECTION_REQ (0x17) (jsc#SLE-13430).
- commit 887ddc3
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Fix advertising handle is set to 0 (jsc#SLE-13430).
- Bluetooth: hci_h5: Add support for binding RTL8723BS with
  device tree (jsc#SLE-13430).
- Bluetooth: hci_qca: allow max-speed to be set for QCA9377
  devices (jsc#SLE-13430).
- Bluetooth: hci_qca: add compatible for QCA9377 (jsc#SLE-13430).
- Bluetooth: btusb: Adding support for LE scatternet to Jfp and
  ThP (jsc#SLE-13430).
- Bluetooth: allow scatternet connections if supported
  (jsc#SLE-13430).
- Bluetooth: Adding driver and quirk defs for multi-role LE
  (jsc#SLE-13430).
- Bluetooth: btbcm: Try multiple Patch filenames when loading
  the Patch firmware (jsc#SLE-13430).
- Bluetooth: btbcm: Bail sooner from btbcm_initialize() when
  not loading fw (jsc#SLE-13430).
- Bluetooth: btbcm: Make btbcm_setup_patchram use btbcm_finalize
  (jsc#SLE-13430).
- commit dd9a6df
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btbcm: Make btbcm_initialize() print local-name on
  re-init too (jsc#SLE-13430).
- Bluetooth: btbcm: Fold Patch loading + applying into
  btbcm_initialize() (jsc#SLE-13430).
- Bluetooth: btbcm: Move setting of USE_BDADDR_PROPERTY quirk
  to hci_bcm.c (jsc#SLE-13430).
- Bluetooth: btbcm: Drop upper nibble version check from
  btbcm_initialize() (jsc#SLE-13430).
- Bluetooth: Enhanced Connection Complete event belongs to LL
  Privacy (jsc#SLE-13430).
- Bluetooth: Enable LE Enhanced Connection Complete event
  (jsc#SLE-13430).
- Bluetooth: Use extra variable to make code more readable
  (jsc#SLE-13430).
- Bluetooth: btrtl: Add support for RTL8761B (jsc#SLE-13430).
- Bluetooth: log advertisement packet length if it gets corrected
  (jsc#SLE-13430).
- commit cae6fbf
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Add framework for Microsoft vendor extension
  (jsc#SLE-13430).
- Update config files.
- commit aba2aed
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Always request for user confirmation for Just Works
  (LE SC) (jsc#SLE-13430).
- Bluetooth: btusb: check for NULL in btusb_find_altsetting()
  (jsc#SLE-13430).
- Bluetooth: Simplify / fix return values from tk_request
  (jsc#SLE-13430).
- Bluetooth: debugfs option to unset MITM flag (jsc#SLE-13430).
- Bluetooth: Increment management interface revision
  (jsc#SLE-13430).
- Bluetooth: Add support for reading security information
  (jsc#SLE-13430).
- Bluetooth: Add support for Read Local Simple Pairing Options
  (jsc#SLE-13430).
- Bluetooth: btusb: Enable MSFT extension for Intel ThunderPeak
  devices (jsc#SLE-13430).
- Bluetooth: btusb: Enable Intel events even if already in
  operational mode (jsc#SLE-13430).
- commit 7b24e19
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Move debugfs configuration above the selftests
  (jsc#SLE-13430).
- Bluetooth: btusb: handle mSBC audio over USB Endpoints
  (jsc#SLE-13430).
- Bluetooth: add support to notify using SCO air mode
  (jsc#SLE-13430).
- Bluetooth: fixing minor typo in comment (jsc#SLE-13430).
- Bluetooth: Prioritize SCO traffic (jsc#SLE-13430).
- Bluetooth: hci_bcm: respect IRQ polarity from DT
  (jsc#SLE-13430).
- Bluetooth: Always request for user confirmation for Just Works
  (jsc#SLE-13430).
- Bluetooth: Add BT_MODE socket option (jsc#SLE-13430).
- Bluetooth: L2CAP: Fix handling LE modes by L2CAP_OPTIONS
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Add support for Qualcomm Bluetooth SoC
  QCA6390 (jsc#SLE-13430).
- commit 2373a52
* Mon Sep 21 2020 tiwai@suse.de
- mmc: sdio: Move SDIO IDs from btmtksdio driver to common
  include file (jsc#SLE-13430).
- mmc: sdio: Move SDIO IDs from btmrvl driver to common include
  file (jsc#SLE-13430).
- Bluetooth: L2CAP: Use DEFER_SETUP to group ECRED connections
  (jsc#SLE-13430).
- Bluetooth: don't assume key size is 16 when the command fails
  (jsc#SLE-13430).
- Bluetooth: L2CAP: Add get_peer_pid callback (jsc#SLE-13430).
- Bluetooth: Fix incorrect branch in connection complete
  (jsc#SLE-13430).
- Bluetooth: Restore running state if suspend fails
  (jsc#SLE-13430).
- Bluetooth: Do not cancel advertising when starting a scan
  (jsc#SLE-13430).
- Bluetooth: btusb: print Intel fw build version in power-on boot
  (jsc#SLE-13430).
- commit 376fd3f
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: L2CAP: remove set but not used variable 'credits'
  (jsc#SLE-13430).
- Bluetooth: L2CAP: Fix a condition in l2cap_sock_recvmsg()
  (jsc#SLE-13430).
- Bluetooth: L2CAP: handle l2cap config request during open state
  (jsc#SLE-13430).
- Bluetooth: clean up connection in hci_cs_disconnect
  (jsc#SLE-13430).
- Bluetooth: Pause discovery and advertising during suspend
  (jsc#SLE-13430).
- Bluetooth: Handle LE devices during suspend (jsc#SLE-13430).
- Bluetooth: Handle BR/EDR devices during suspend (jsc#SLE-13430).
- Bluetooth: Handle PM_SUSPEND_PREPARE and PM_POST_SUSPEND
  (jsc#SLE-13430).
- Bluetooth: mgmt: add mgmt_cmd_status in add_advertising
  (jsc#SLE-13430).
- Bluetooth: fix off by one in err_data_reporting cmd masks
  (jsc#SLE-13430).
- commit 0788eae
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: L2CAP: Add definitions for Enhanced Credit Based Mode
  (jsc#SLE-13430).
- commit c0ca13e
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: hci_h5: Switch from BT_ERR to bt_dev_err where
  possible (jsc#SLE-13430).
- Bluetooth: Use bt_dev_err for RPA generation failure message
  (jsc#SLE-13430).
- Bluetooth: bfusb: Switch from BT_ERR to bt_dev_err where
  possible (jsc#SLE-13430).
- Bluetooth: L2CAP: Add module option to enable ECRED mode
  (jsc#SLE-13430).
- Bluetooth: L2CAP: Add initial code for Enhanced Credit Based
  Mode (jsc#SLE-13430).
- Bluetooth: Increment management interface revision
  (jsc#SLE-13430).
- Bluetooth: Enable erroneous data reporting if WBS is supported
  (jsc#SLE-13430).
- Bluetooth: Make use of skb_pull to parse L2CAP signaling PDUs
  (jsc#SLE-13430).
- Bluetooth: Fix calculation of SCO handle for packet processing
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Replace devm_gpiod_get() with
  devm_gpiod_get_optional() (jsc#SLE-13430).
- commit 3d31ac6
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: guard against controllers sending zero'd events
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Make bt_en and susclk not mandatory for
  QCA Rome (jsc#SLE-13430).
- Bluetooth: btqca: Fix the NVM baudrate tag offcet for wcn3991
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Not send vendor pre-shutdown command for
  QCA Rome (jsc#SLE-13430).
- Bluetooth: Support querying for WBS support through MGMT
  (jsc#SLE-13430).
- Bluetooth: btusb: Add flag to define wideband speech capability
  (jsc#SLE-13430).
- Bluetooth: hci_h4: Remove a redundant assignment in 'h4_flush()'
  (jsc#SLE-13430).
- Bluetooth: hci_h4: Fix a typo in a comment (jsc#SLE-13430).
- Bluetooth: During le_conn_timeout disable EXT_ADV
  (jsc#SLE-13430).
- Bluetooth: Remove adv set for directed advertising
  (jsc#SLE-13430).
- commit ddefef8
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Use list_for_each_entry_rcu() to traverse RCU list
  in RCU read-side CS (jsc#SLE-13430).
- Bluetooth: Fix Suspicious RCU usage warnings (jsc#SLE-13430).
- Bluetooth: Replace zero-length array with flexible-array member
  (jsc#SLE-13430).
- Bluetooth: fix passkey uninitialized when used (jsc#SLE-13430).
- Bluetooth: RFCOMM: Use MTU auto tune logic (jsc#SLE-13430).
- Bluetooth: Fix crash when using new BT_PHY option
  (jsc#SLE-13430).
- Bluetooth: hci_h5: Move variable into local scope
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Bug fixes while collecting controller
  memory dump (jsc#SLE-13430).
- Bluetooth: Disable Extended Adv if enabled (jsc#SLE-13430).
- Bluetooth: hci_h5: btrtl: Add support for RTL8822C
  (jsc#SLE-13430).
- commit 7986d2b
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Fix a typo in Kconfig (jsc#SLE-13430).
- Bluetooth: Add BT_PHY socket option (jsc#SLE-13430).
- Bluetooth: secure bluetooth stack from bluedump attack
  (jsc#SLE-13430).
- Bluetooth: hci_uart: Replace zero-length array with
  flexible-array member (jsc#SLE-13430).
- Bluetooth: hci_intel: Replace zero-length array with
  flexible-array member (jsc#SLE-13430).
- Bluetooth: btintel: Replace zero-length array with
  flexible-array member (jsc#SLE-13430).
- Bluetooth: btusb: Add support for 13d3:3548 Realtek 8822CE
  device (jsc#SLE-13430).
- Bluetooth: hci_qca: Optimized code while enabling clocks for
  BT SOC (jsc#SLE-13430).
- Bluetooth: remove __get_channel/dir and __dir (jsc#SLE-13430).
- Bluetooth: prefetch channel before killing sock (jsc#SLE-13430).
- commit a205cad
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: hci_qca: Enable clocks required for BT SOC
  (jsc#SLE-13430).
- Bluetooth: optimize barrier usage for Rmw atomics
  (jsc#SLE-13430).
- Bluetooth: Fix refcount use-after-free issue (jsc#SLE-13430).
- Bluetooth: SMP: Fix SALT value in some comments (jsc#SLE-13430).
- Bluetooth: Move {min,max}_key_size debugfs into
  hci_debugfs_create_le (jsc#SLE-13430).
- Bluetooth: Add missing checks for HCI_ISODATA_PKT packet type
  (jsc#SLE-13430).
- Bluetooth: btrtl: Use kvmalloc for FW allocations
  (jsc#SLE-13430).
- Bluetooth: fix appearance typo in mgmt.c (jsc#SLE-13430).
- Bluetooth: adding missing const decoration to mgmt_status_table
  (jsc#SLE-13430).
- Bluetooth: Increment management interface revision
  (jsc#SLE-13430).
- commit a4dae47
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: hci_qca: Enable power off/on support during hci
  down/up for QCA Rome (jsc#SLE-13430).
- Bluetooth: hci_qca: Retry btsoc initialize when it fails
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Add QCA Rome power off support to the
  qca_power_shutdown() (jsc#SLE-13430).
- Bluetooth: hci_bcm: enable IRQ capability from devicetree
  (jsc#SLE-13430).
- Bluetooth: btsdio: Check for valid packet type (jsc#SLE-13430).
- Bluetooth: hci_h5: Add support for ISO packets (jsc#SLE-13430).
- Bluetooth: hci_h4: Add support for ISO packets (jsc#SLE-13430).
- Bluetooth: Make use of __check_timeout on hci_sched_le
  (jsc#SLE-13430).
- Bluetooth: monitor: Add support for ISO packets (jsc#SLE-13430).
- Bluetooth: hci_vhci: Add support for ISO packets
  (jsc#SLE-13430).
- Bluetooth: Add definitions for CIS connections (jsc#SLE-13430).
- commit 05a79bb
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: Implementation of MGMT_OP_SET_BLOCKED_KEYS
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Add qca_power_on() API to support both
  wcn399x and Rome power up (jsc#SLE-13430).
- Bluetooth: btbcm : Fix warning about missing blank lines after
  declarations (jsc#SLE-13430).
- Bluetooth: hci_qca: Remove set but not used variable 'opcode'
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Use vfree() instead of kfree()
  (jsc#SLE-13430).
- Bluetooth: remove redundant assignment to variable icid
  (jsc#SLE-13430).
- Bluetooth: btusb: Add support for 04ca:3021 QCA_ROME device
  (jsc#SLE-13430).
- Bluetooth: Auto tune if input MTU is set to 0 (jsc#SLE-13430).
- Bluetooth: Add support for LE PHY Update Complete event
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Collect controller memory dump during SSR
  (jsc#SLE-13430).
- commit ca55cd8
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: hci_bcm: Support pcm params in dts (jsc#SLE-13430).
- Refresh
  patches.suse/Bluetooth-hci_bcm-Drive-RTS-only-for-BCM43438.patch.
- commit 5576d1a
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btbcm: Add missing static inline in header
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Replace of_device_get_match_data with
  device_get_match_data (jsc#SLE-13430).
- Bluetooth: Remove usage of BT_ERR_RATELIMITED macro
  (jsc#SLE-13430).
- Bluetooth: Adding a bt_dev_warn_ratelimited macro
  (jsc#SLE-13430).
- Bluetooth: btusb: Disable runtime suspend on Realtek devices
  (jsc#SLE-13430).
- Bluetooth: btbcm: Support pcm configuration (jsc#SLE-13430).
- Bluetooth: btusb: Edit the logical value for Realtek Bluetooth
  reset (jsc#SLE-13430).
- compat_ioctl: move hci_sock handlers into driver
  (jsc#SLE-13430).
- compat_ioctl: move rfcomm handlers into driver (jsc#SLE-13430).
- commit 18f7407
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btbcm: Add entry for BCM4334B0 UART Bluetooth
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Add support for Qualcomm Bluetooth SoC
  WCN3991 (jsc#SLE-13430).
- Bluetooth: btqca: Rename ROME specific variables to generic
  variables (jsc#SLE-13430).
- Bluetooth: btmtksdio: add MODULE_DEVICE_TABLE() (jsc#SLE-13430).
- Bluetooth: hci_qca: add PM support (jsc#SLE-13430).
- Bluetooth: Fix not using LE_ADV_NONCONN_IND for instance 0
  (jsc#SLE-13430).
- Bluetooth: Fix using advertising instance duration as timeout
  (jsc#SLE-13430).
- Bluetooth: btrtl: remove unneeded semicolon (jsc#SLE-13430).
- Revert "Bluetooth: hci_qca: Add delay for wcn3990 stability"
  (jsc#SLE-13430).
- Bluetooth: btusb: Remove return statement in
  btintel_reset_to_bootloader (jsc#SLE-13430).
- commit 1d579c1
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btwilink: drop superseded driver (jsc#SLE-13430).
- Update config files and supported.conf for the dropped btwlink.
- commit f81b429
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: hci_qca: Split qca_power_setup() (jsc#SLE-13430).
- Bluetooth: hci_qca: Use regulator bulk enable/disable
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Don't vote for specific voltage
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Update regulator_set_load() usage
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Add delay for wcn3990 stability
  (jsc#SLE-13430).
- Bluetooth: btusb: Trigger Intel FW download error recovery
  (jsc#SLE-13430).
- Bluetooth: btusb: Use IS_ENABLED instead of #ifdef
  (jsc#SLE-13430).
- Bluetooth: btusb: avoid unused function warning (jsc#SLE-13430).
- Bluetooth: btusb: print FW version after FW download
  (jsc#SLE-13430).
- commit 9c38962
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btrtl: Fix an issue for the incorrect error return
  code (jsc#SLE-13430).
- Bluetooth: hci_nokia: Save a few cycles in 'nokia_enqueue()'
  (jsc#SLE-13430).
- Bluetooth: btusb: Use cmd_timeout to reset Realtek device
  (jsc#SLE-13430).
- Bluetooth: btrtl: Fix an issue that failing to download the
  FW which size is over 32K bytes (jsc#SLE-13430).
- Bluetooth: mgmt: Use struct_size() helper (jsc#SLE-13430).
- Bluetooth: btrtl: Remove trailing newline from calls to rtl_dev
  macros (jsc#SLE-13430).
- Bluetooth: btrtl: Remove redundant prefix from calls to rtl_dev
  macros (jsc#SLE-13430).
- Bluetooth: btrtl: Add firmware version print (jsc#SLE-13430).
- commit 1c6c2d2
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btusb: Fix suspend issue for Realtek devices
  (jsc#SLE-13430).
- commit 6fd3d2a
* Mon Sep 21 2020 tiwai@suse.de
- Bluetooth: btrtl: Set HCI_QUIRK_SIMULTANEOUS_DISCOVERY
  (jsc#SLE-13430).
- Bluetooth: hci_qca: wait for Pre shutdown complete event before
  sending the Power off pulse (jsc#SLE-13430).
- Bluetooth: hci_qca: Set HCI_QUIRK_SIMULTANEOUS_DISCOVERY for
  QCA UART Radio (jsc#SLE-13430).
- Bluetooth: hci_qca: Make structure qca_proto constant
  (jsc#SLE-13430).
- Bluetooth: 6lowpan: Make variable header_ops constant
  (jsc#SLE-13430).
- Bluetooth: hci_qca: Remove redundant initializations to zero
  (jsc#SLE-13430).
- Bluetooth: Add support for utilizing Fast Advertising Interval
  (jsc#SLE-13430).
- commit 19659bb
* Mon Sep 21 2020 msuchanek@suse.de
- libnvdimm/security: fix a typo (bsc#1171742 bsc#1167527).
- commit 7e506d7
* Mon Sep 21 2020 bp@suse.de
- x86/cpufeatures: Enumerate ENQCMD and ENQCMDS instructions
  (jsc#13318).
- commit 6cd5ed0
* Mon Sep 21 2020 msuchanek@suse.de
- Refresh sorted patches.
- Refresh patches.suse/powerpc-book3s64-radix-Fix-boot-failure-with-large-a.patch.
- Refresh patches.suse/powerpc-papr_scm-Limit-the-readability-of-perf_stats.patch.
- commit 50a09d4
* Mon Sep 21 2020 bp@suse.de
- Documentation/x86: Add documentation for SVA (Shared Virtual
  Addressing) (jsc#13318).
- commit 68e6144
* Mon Sep 21 2020 bp@suse.de
- iommu/vt-d: Change flags type to unsigned int in binding mm
  (jsc#13318).
- commit 8ec01a2
* Mon Sep 21 2020 tiwai@suse.de
- net/wireless: Delete unnecessary checks before the macro call
  “dev_kfree_skb” (jsc#SLE-13430).
- commit 9325aef
* Mon Sep 21 2020 bp@suse.de
- drm, iommu: Change type of pasid to u32 (jsc#13318).
- commit 6c8a27e
* Mon Sep 21 2020 dwagner@suse.de
- blacklist: Ignore doc update and build warning
  The offending commit for the build warning is in mainlince since 2.6.
- commit ecc1f19
* Mon Sep 21 2020 msuchanek@suse.de
- ibmvnic: add missing parenthesis in do_reset() (bsc#1176700
  ltc#188140).
- commit a96bd66
* Mon Sep 21 2020 glin@suse.com
- rpm/kernel-cert-subpackage: add CA check on key enrollment (bsc#1173115)
  To avoid the unnecessary key enrollment, when enrolling the signing key
  of the kernel package, "--ca-check" is added to mokutil so that mokutil
  will ignore the request if the CA of the signing key already exists in
  MokList or UEFI db.
  Since the macro, %%_suse_kernel_module_subpackage, is only defined in a
  kernel module package (KMP), it's used to determine whether the %%post
  script is running in a kernel package, or a kernel module package.
- commit b15c9bf
* Sun Sep 20 2020 colyli@suse.de
- libnvdimm: KASAN: global-out-of-bounds Read in
  internal_create_group (jsc#SLE-13338).
- libnvdimm/security: fix a typo (jsc#SLE-13338).
- commit 1df15be
* Sat Sep 19 2020 lduncan@suse.com
- scsi: libcxgbi: Fix a use after free in cxgbi_conn_xmit_pdu()
  (bsc#1176695 jsc#sle-15116).
- scsi: cxgb4i: Fix dereference of pointer tdata before it is
  null checked (bsc#1176695 jsc#sle-15116).
- commit 9d84ded
* Sat Sep 19 2020 colyli@suse.de
- md: improve io stats accounting (jsc#SLE-13702).
- series.conf: disable an in-house patch for similar fix
  patches.suse/mdraid-fix-read-write-bytes-accounting.patch
- commit 2a98d7d
* Sat Sep 19 2020 colyli@suse.de
- ACPI: NFIT: Add runtime firmware activate support
  (jsc#SLE-13338).
- PM, libnvdimm: Add runtime firmware activation support
  (jsc#SLE-13338).
- libnvdimm: Convert to DEVICE_ATTR_ADMIN_RO() (jsc#SLE-13338).
- driver-core: Introduce DEVICE_ATTR_ADMIN_{RO,RW}
  (jsc#SLE-13338).
- tools/testing/nvdimm: Emulate firmware activation commands
  (jsc#SLE-13338).
- tools/testing/nvdimm: Prepare nfit_ctl_test() for ND_CMD_CALL
  emulation (jsc#SLE-13338).
- tools/testing/nvdimm: Add command debug messages
  (jsc#SLE-13338).
- tools/testing/nvdimm: Cleanup dimm index passing
  (jsc#SLE-13338).
- ACPI: NFIT: Define runtime firmware activation commands
  (jsc#SLE-13338).
- ACPI: NFIT: Move bus_dsm_mask out of generic
  nvdimm_bus_descriptor (jsc#SLE-13338).
- libnvdimm: Validate command family indices (jsc#SLE-13338).
- commit 2bc0228
* Sat Sep 19 2020 colyli@suse.de
- PM: hibernate: Split off snapshot dev option (jsc#SLE-13338).
- Update configs for the above change,
  config/arm64/default
  config/x86_64/default
- commit 17f3cdc
* Sat Sep 19 2020 colyli@suse.de
- PM: hibernate: Incorporate concurrency handling (jsc#SLE-13338).
- Refresh for the above change,
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
  patches.suse/0008-PM-hibernate-Generate-and-verify-signature-for-snaps.patch.
  patches.suse/0010-PM-hibernate-a-option-to-request-that-snapshot-image.patch.
- commit 394de48
* Sat Sep 19 2020 colyli@suse.de
- PM: hibernate: Add more logging on hibernation failure
  (jsc#SLE-13338).
- Refresh for the above change,
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
  patches.suse/0008-PM-hibernate-Generate-and-verify-signature-for-snaps.patch.
- commit 3ce9bea
* Sat Sep 19 2020 colyli@suse.de
- libnvdimm: Move nvdimm_bus_attribute_group to device_type
  (jsc#SLE-13338).
- commit 80aefa3
* Sat Sep 19 2020 colyli@suse.de
- libnvdimm: Move nvdimm_attribute_group to device_type
  (jsc#SLE-13338).
- Refresh for the above change,
  patches.suse/0018-libnvdimm-region-Introduce-NDD_LABELING.patch.
  patches.suse/powerpc-papr_scm-Fetch-nvdimm-health-information-fro.patch.
- commit 804c6ef
* Sat Sep 19 2020 colyli@suse.de
- libnvdimm: Move nd_mapping_attribute_group to device_type
  (jsc#SLE-13338).
- libnvdimm: Move nd_region_attribute_group to device_type
  (jsc#SLE-13338).
- libnvdimm: Move nd_numa_attribute_group to device_type
  (jsc#SLE-13338).
- commit 64c5550
* Sat Sep 19 2020 colyli@suse.de
- libnvdimm: Move nd_device_attribute_group to device_type
  (jsc#SLE-13338).
- Refresh for the above change,
  patches.suse/0019-libnvdimm-region-Introduce-an-align-attribute.patch.
  patches.suse/powerpc-papr_scm-Fetch-nvdimm-health-information-fro.patch.
- commit 786a12d
* Sat Sep 19 2020 colyli@suse.de
- libnvdimm: Move region attribute group definition
  (jsc#SLE-13338).
- libnvdimm: Move attribute groups to device type (jsc#SLE-13338).
- libnvdimm/security: Consolidate 'security' operations
  (jsc#SLE-13338).
- libnvdimm/security: Tighten scope of nvdimm->busy vs security
  operations (jsc#SLE-13338).
- commit bef4418
* Sat Sep 19 2020 colyli@suse.de
- libnvdimm/security: Introduce a 'frozen' attribute
  (jsc#SLE-13338).
- Refresh for the above change,
  patches.suse/libnvdimm-prevent-nvdimm-from-requesting-key-when-se.patch
- commit ae64194
* Sat Sep 19 2020 tonyj@suse.de
- perf/x86/intel/uncore: Fix oops when counting IMC uncore events
  on some TGL (jsc#SLE-12682 (git-fixes)).
- commit 0462f0e
* Sat Sep 19 2020 lduncan@suse.com
- scsi: cxgb4i: Add support for iSCSI segmentation offload
  (bsc#1176695 jsc#sle-15116).
- scsi: cxgb4i: Remove superfluous null check (bsc#1176695
  jsc#sle-15116).
- scsi: cxgb4i: remove set but not used variable 'ppmax'
  (bsc#1176695 jsc#sle-15116).
- commit 3f9e76f
* Fri Sep 18 2020 mbrugger@suse.com
- arm64: Update config files. (bsc#1174764)
  Build the following driver as modules:
  CONFIG_UIO_PDRV_GENIRQ, CONFIG_UIO_NETX and CONFIG_UIO_MF624
- commit 6175cc7
* Fri Sep 18 2020 colyli@suse.de
- dm crypt: add flags to optionally bypass kcryptd workqueues
  (jsc#SLE-12226).
- commit 69cf363
* Fri Sep 18 2020 tzimmermann@suse.de
- Remove all DRM patches before upgrading the DRM subsystem
  This commit removes all patches that touch drivers/gpu/drm, include/drm
  and/or include/uapi/drm. Done in preparation of upgrading the DRM subsystem
  to a recent version.
  The exception is a handful of patches for IOMMU, include/linux/device.h and
  an AMD SPI driver. It's expected that these patches will require manual
  resolution of conflicts during the DRM upgrade.
- commit 815b4a1
* Fri Sep 18 2020 glin@suse.com
- rpm/macros.kernel-source: pass -c proerly in kernel module package (bsc#1176698)
  The "-c" option wasn't passed down to %%_kernel_module_package so the
  ueficert subpackage wasn't generated even if the certificate is
  specified in the spec file.
- commit 34808fb
* Fri Sep 18 2020 lduncan@suse.com
- scsi: csiostor: Add missing description for
  csio_rnode_fwevt_handler()'s 'fwevt' param (bsc#1176647
  jsc#sle-15113).
- scsi: csiostor: Remove 2 unused variables
  {mc,edc}_bist_status_rdata_reg (bsc#1176647 jsc#sle-15113).
- scsi: csiostor: Mark known unused variable as __always_unused
  (bsc#1176647 jsc#sle-15113).
- scsi: csiostor: Demote kerneldoc that fails to meet the criteria
  (bsc#1176647 jsc#sle-15113).
- scsi: csiostor: Fix misnamed function parameter (bsc#1176647
  jsc#sle-15113).
- scsi: csiostor: Remove set but not used variable 'rln'
  (bsc#1176647 jsc#sle-15113).
- scsi: csiostor: Return value not required for csio_dfs_destroy
  (bsc#1176647 jsc#sle-15113).
- scsi: csiostor: Fix NULL check before debugfs_remove_recursive
  (bsc#1176647 jsc#sle-15113).
- scsi: csiostor: clean up indentation issue (bsc#1176647
  jsc#sle-15113).
- scsi: csiostor: Fix spelling typos (bsc#1176647 jsc#sle-15113).
- commit b301104
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/intel/uncore: Add Comet Lake support (jsc#SLE-13316).
- commit 9a3bf9c
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/intel: Add more available bits for OFFCORE_RESPONSE
  of Intel Tremont (jsc#SLE-12921).
- commit 84ddb4a
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86: Add Intel Tiger Lake uncore support (jsc#SLE-12682).
- Refresh
  patches.suse/perf-x86-intel-uncore-add-ice-lake-server-uncore-support.patch.
- Refresh
  patches.suse/x86-perf-events-convert-to-new-cpu-match-macros.patch.
- commit fae5e31
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/intel: Output LBR TOS information correctly
  (jsc#SLE-12718).
- commit 8c3cdb1
* Fri Sep 18 2020 tonyj@suse.de
- perf/core: Add new branch sample type for HW index of raw
  branch records (jsc#SLE-12718).
- commit 85c48fb
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/intel: Add Elkhart Lake support (jsc#SLE-12732).
- commit dd0ffdb
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/cstate: Add Tiger Lake CPU support (jsc#SLE-12681).
- Refresh
  patches.suse/x86-perf-events-convert-to-new-cpu-match-macros.patch.
- commit d3240f6
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/msr: Add Tiger Lake CPU support (jsc#SLE-12681).
- commit a6991ff
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/intel: Add Tiger Lake CPU support (jsc#SLE-12681).
- commit 9bf369b
* Fri Sep 18 2020 tonyj@suse.de
- perf/x86/msr: Add new CPU model numbers for Ice Lake (jsc#SLE-12679).
- commit 96e15be
* Thu Sep 17 2020 tonyj@suse.de
- Fix whitespace error (INTEL_FAM6_ICELAKE) in original backport.
  Remove original backport comment (no longer applies due to 424d9a3c91e2)
- Refresh
  patches.suse/perf-x86-cstate-update-c-state-counters-for-ice-lake.patch.
- Refresh
  patches.suse/x86-perf-events-convert-to-new-cpu-match-macros.patch.
- commit 9f5efc2
* Thu Sep 17 2020 tbogendoerfer@suse.de
- iavf: use generic power management (jsc#SLE-12877).
- iavf: Fix updating statistics (jsc#SLE-12877).
- iavf: fix error return code in iavf_init_get_resources()
  (jsc#SLE-12877).
- iavf: increase reset complete wait time (jsc#SLE-12877).
- iavf: Fix reporting 2.5 Gb and 5Gb speeds (jsc#SLE-12877).
- iavf: use appropriate enum for comparison (jsc#SLE-12877).
- iavf: fix speed reporting over virtchnl (jsc#SLE-12877).
- net: iavf: reject unsupported coalescing params (jsc#SLE-12877).
- iavf: Enable support for up to 16 queues (jsc#SLE-12877).
- iavf: use tc_cls_can_offload_and_chain0() instead of chain check
  (jsc#SLE-12877).
- commit bb1bf8a
* Thu Sep 17 2020 tbogendoerfer@suse.de
- ethtool: Don't omit the netlink reply if no features were
  changed (bsc#1176447).
- ethtool: Account for hw_features in netlink interface
  (bsc#1176447).
- ethtool: Fix preserving of wanted feature bits in netlink
  interface (bsc#1176447).
- ice: add documentation for device-caps region (jsc#SLE-12878).
- ethtool: fix genlmsg_put() failure handling in
  ethnl_default_dumpit() (bsc#1176447).
- net: ethtool: add missing NETIF_F_GSO_FRAGLIST feature string
  (bsc#1176447).
- mlxsw: spectrum_ptp: Fix build warnings (bsc#1176447).
- netlink: check for null extack in cookie helpers (bsc#1176447).
- commit 66fa0a6
* Thu Sep 17 2020 msuchanek@suse.de
- powerpc/watchpoint/ptrace: Introduce
  PPC_DEBUG_FEATURE_DATA_BP_ARCH_31 (jsc#SLE-12936).
- powerpc/watchpoint: Add hw_len wherever missing (jsc#SLE-12936).
- powerpc/watchpoint: Fix exception handling for
  CONFIG_HAVE_HW_BREAKPOINT=N (jsc#SLE-12936).
- powerpc/watchpoint: Move DAWR detection logic outside of
  hw_breakpoint.c (jsc#SLE-12936).
- powerpc/watchpoint/ptrace: Fix SETHWDEBUG when
  CONFIG_HAVE_HW_BREAKPOINT=N (jsc#SLE-12936).
- powerpc/watchpoint: Fix handling of vector instructions
  (jsc#SLE-12936).
- powerpc/watchpoint: Fix quadword instruction handling on p10
  predecessors (jsc#SLE-12936).
- powerpc/hw_breakpoint.h: delete duplicated word (jsc#SLE-12936).
- commit f79374c
* Thu Sep 17 2020 msuchanek@suse.de
- powerpc/pci: unmap legacy INTx interrupts when a PHB is removed
  (bsc#1172145 ltc#184630).
- commit 91fd12b
* Thu Sep 17 2020 tbogendoerfer@suse.de
- ice: Initialize Flow Director resources (jsc#SLE-12878).
- Refresh
  patches.suse/ice-Clear-and-free-XLT-entries-on-reset.patch.
- commit 1aa9b42
* Thu Sep 17 2020 tbogendoerfer@suse.de
- ethtool: add LINKINFO_NTF notification (bsc#1176447).
- Refresh
  patches.suse/ethtool-Factored-out-similar-ethtool-link-settings-f.patch.
- commit cc16e1d
* Thu Sep 17 2020 tbogendoerfer@suse.de
- i40e: Fix crash during removing i40e driver (jsc#SLE-13701).
- i40e: Set RX_ONLY mode for unicast promiscuous on VLAN
  (jsc#SLE-13701).
- i40e: introduce new dump desc XDP command (jsc#SLE-13701).
- i40e: add XDP ring statistics to dump VSI debug output
  (jsc#SLE-13701).
- i40e: add XDP ring statistics to VSI stats (jsc#SLE-13701).
- i40e: move check of full Tx ring to outside of send loop
  (jsc#SLE-13701).
- i40e: eliminate division in napi_poll data path (jsc#SLE-13701).
- i40e: optimize AF_XDP Tx completion path (jsc#SLE-13701).
- i40e: Add support for a new feature Total Port Shutdown
  (jsc#SLE-13701).
- ice: replace single-element array used for C struct hack
  (jsc#SLE-12878).
- ice: avoid unnecessary single-member variable-length structs
  (jsc#SLE-12878).
- ice: implement snapshot for device capabilities (jsc#SLE-12878).
- i40e: Remove scheduling while atomic possibility
  (jsc#SLE-13701).
- i40e: Add support for 5Gbps cards (jsc#SLE-13701).
- i40e: Add a check to see if MFS is set (jsc#SLE-13701).
- i40e: detect and log info about pre-recovery mode
  (jsc#SLE-13701).
- i40e: make PF wait reset loop reliable (jsc#SLE-13701).
- i40e: remove unused defines (jsc#SLE-13701).
- i40e: Move client header location (jsc#SLE-13701).
- i40e: fix crash when Rx descriptor count is changed
  (jsc#SLE-13701).
- ice: protect ring accesses with WRITE_ONCE (jsc#SLE-12878).
- i40e: protect ring accesses with READ- and WRITE_ONCE
  (jsc#SLE-13701).
- ixgbe: protect ring accesses with READ- and WRITE_ONCE
  (jsc#SLE-13706).
- ice: Ignore EMODE when setting PHY config (jsc#SLE-12878).
- ice: fix aRFS after flow director delete (jsc#SLE-12878).
- ice: Use coalesce values from q_vector 0 when increasing
  q_vectors (jsc#SLE-12878).
- ice: fix function signature style format (jsc#SLE-12878).
- ice: Allow VF to request reset as soon as it's initialized
  (jsc#SLE-12878).
- ice: Always clear QRXFLXP_CNTXT before writing new value
  (jsc#SLE-12878).
- ice: Reset VF for all port VLAN changes from host
  (jsc#SLE-12878).
- ice: Update ICE_PHY_TYPE_HIGH_MAX_INDEX value (jsc#SLE-12878).
- ice: Increase timeout after PFR (jsc#SLE-12878).
- ice: Fix transmit for all software offloaded VLANs
  (jsc#SLE-12878).
- ice: support adding 16 unicast/multicast filter on untrusted VF
  (jsc#SLE-12878).
- ice: allow host to clear administratively set VF MAC
  (jsc#SLE-12878).
- ice: Refactor VF VSI release and setup functions
  (jsc#SLE-12878).
- ice: Refactor VF reset (jsc#SLE-12878).
- ice: remove VM/VF disable command on CORER/GLOBR reset
  (jsc#SLE-12878).
- ice: Add functions to rebuild host VLAN/MAC config for a VF
  (jsc#SLE-12878).
- ice: Add function to set trust mode bit on reset
  (jsc#SLE-12878).
- ice: Renaming and simplification in VF init path
  (jsc#SLE-12878).
- ice: Separate VF VSI initialization/creation from reset flow
  (jsc#SLE-12878).
- ice: Add helper function for clearing VPGEN_VFRTRIG
  (jsc#SLE-12878).
- ice: Simplify ice_sriov_configure (jsc#SLE-12878).
- ice: Refactor ice_ena_vf_mappings to split MSIX and queue
  mappings (jsc#SLE-12878).
- ice: Declare functions static (jsc#SLE-12878).
- ice: fix kernel BUG if register_netdev fails (jsc#SLE-12878).
- ice: fix potential double free in probe unrolling
  (jsc#SLE-12878).
- ice: cleanup VSI context initialization (jsc#SLE-12878).
- ice: Poll for reset completion when DDP load fails
  (jsc#SLE-12878).
- i40e: Make i40e_shutdown_adminq() return void (jsc#SLE-13701).
- ixgbe: Remove unused inline function ixgbe_irq_disable_queues
  (jsc#SLE-13706).
- ixgbe: Use true, false for bool variable in
  __ixgbe_enable_sriov() (jsc#SLE-13706).
- ixgbe: Remove conversion to bool in
  ixgbe_device_supports_autoneg_fc() (jsc#SLE-13706).
- ixgbe: fix signed-integer-overflow warning (jsc#SLE-13706).
- i40e: trivial fixup of comments in i40e_xsk.c (jsc#SLE-13701).
- i40e: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13701).
- ice: Check UMEM FQ size when allocating bufs (jsc#SLE-12878).
- ice: Refactor Rx checksum checks (jsc#SLE-12878).
- ice: avoid undefined behavior (jsc#SLE-12878).
- ice: Change number of XDP Tx queues to match number of Rx queues
  (jsc#SLE-12878).
- ice: Add XDP Tx to VSI ring stats (jsc#SLE-12878).
- ice: Change number of XDP TxQ to 0 when destroying rings
  (jsc#SLE-12878).
- ice: Handle critical FW error during admin queue initialization
  (jsc#SLE-12878).
- ice: Don't allow VLAN stripping change when pvid set
  (jsc#SLE-12878).
- ice: Add more Rx errors to netdev's rx_error counter
  (jsc#SLE-12878).
- ice: Fix for memory leaks and modify ICE_FREE_CQ_BUFS
  (jsc#SLE-12878).
- ice: Fix memory leak (jsc#SLE-12878).
- ice: fix MAC write command (jsc#SLE-12878).
- ice: set VF default LAN address (jsc#SLE-12878).
- ice: remove unused macro (jsc#SLE-12878).
- ice: fix signed vs unsigned comparisons (jsc#SLE-12878).
- ice: cleanup unsigned loops (jsc#SLE-12878).
- ice: fix usage of incorrect variable (jsc#SLE-12878).
- ice: Fix bad register reads (jsc#SLE-12878).
- ice: check for compatibility between DDP package and firmware
  (jsc#SLE-12878).
- ice: Check if unicast MAC exists before setting VF MAC
  (jsc#SLE-12878).
- ice: Fix Tx timeout when link is toggled on a VF's interface
  (jsc#SLE-12878).
- ice: print Rx MDD auto reset message before VF reset
  (jsc#SLE-12878).
- ice: Call ice_aq_set_mac_cfg (jsc#SLE-12878).
- ice: Implement aRFS (jsc#SLE-12878).
- ice: Restore filters following reset (jsc#SLE-12878).
- ice: Enable flex-bytes support (jsc#SLE-12878).
- ice: Support IPv6 Flow Director filters (jsc#SLE-12878).
- ice: Support IPv4 Flow Director filters (jsc#SLE-12878).
- ice: Support displaying ntuple rules (jsc#SLE-12878).
- ixgbe, xsk: Migrate to new MEM_TYPE_XSK_BUFF_POOL
  (jsc#SLE-13706).
- ice, xsk: Migrate to new MEM_TYPE_XSK_BUFF_POOL (jsc#SLE-12878).
- i40e, xsk: Migrate to new MEM_TYPE_XSK_BUFF_POOL
  (jsc#SLE-13701).
- i40e: Separate kernel allocated rx_bi rings from AF_XDP rings
  (jsc#SLE-13701).
- i40e: Refactor rx_bi accesses (jsc#SLE-13701).
- xsk: Introduce AF_XDP buffer allocation API (jsc#SLE-13706).
- xsk: Move defines only used by AF_XDP internals to xsk.h
  (jsc#SLE-13706).
- xsk: Move driver interface to xdp_sock_drv.h (bsc#1176447).
- xsk: Move xskmap.c to net/xdp/ (bsc#1176447).
- ice: Rename build_ctob to ice_build_ctob (jsc#SLE-12878).
- ice: remove unnecessary backslash (jsc#SLE-12878).
- ice: remove unnecessary check (jsc#SLE-12878).
- ice: remove unnecessary expression that is always true
  (jsc#SLE-12878).
- ice: Fix check for removing/adding mac filters (jsc#SLE-12878).
- ice: refactor filter functions (jsc#SLE-12878).
- ice: Fix resource leak on early exit from function
  (jsc#SLE-12878).
- ice: cleanup vf_id signedness (jsc#SLE-12878).
- ice: Fix casting issues (jsc#SLE-12878).
- ice: Provide more meaningful error message (jsc#SLE-12878).
- ice: Fix probe/open race condition (jsc#SLE-12878).
- ice: only drop link once when setting pauseparams
  (jsc#SLE-12878).
- ice: Fix check for contiguous TCs (jsc#SLE-12878).
- ice: Don't reset and rebuild for Tx timeout on PFC enabled queue
  (jsc#SLE-12878).
- ice: Add VF promiscuous support (jsc#SLE-12878).
- ice: Add support for tunnel offloads (jsc#SLE-12878).
- ice: report netlist version in .info_get (jsc#SLE-12878).
- xsk: Fix typo in xsk_umem_consume_tx and xsk_generic_xmit
  comments (jsc#SLE-13706).
- net: ethtool: self_test: Mark interface in testing operative
  status (bsc#1176447).
- net: Add IF_OPER_TESTING (bsc#1176447).
- ethtool: count header size in reply size estimate (bsc#1176447).
- ethtool: provide timestamping information with TSINFO_GET
  request (bsc#1176447).
- ethtool: add timestamping related string sets (bsc#1176447).
- ethtool: add EEE_NTF notification (bsc#1176447).
- ethtool: set EEE settings with EEE_SET request (bsc#1176447).
- ethtool: provide EEE settings with EEE_GET request
  (bsc#1176447).
- ethtool: add PAUSE_NTF notification (bsc#1176447).
- ethtool: set pause parameters with PAUSE_SET request
  (bsc#1176447).
- ethtool: provide pause parameters with PAUSE_GET request
  (bsc#1176447).
- ethtool: add COALESCE_NTF notification (bsc#1176447).
- ethtool: set coalescing parameters with COALESCE_SET request
  (bsc#1176447).
- ethtool: provide coalescing parameters with COALESCE_GET request
  (bsc#1176447).
- ethtool: fix reference leak in ethnl_set_privflags()
  (bsc#1176447).
- net: introduce the MACSEC netdev feature (bsc#1176447).
- ethtool: fix incorrect tx-checksumming settings reporting
  (bsc#1176447).
- ethtool: fix spelling mistake "exceeeds" -> "exceeds"
  (bsc#1176447).
- ethtool: add CHANNELS_NTF notification (bsc#1176447).
- ethtool: set device channel counts with CHANNELS_SET request
  (bsc#1176447).
- ethtool: provide channel counts with CHANNELS_GET request
  (bsc#1176447).
- ethtool: add RINGS_NTF notification (bsc#1176447).
- ethtool: set device ring sizes with RINGS_SET request
  (bsc#1176447).
- ethtool: provide ring sizes with RINGS_GET request
  (bsc#1176447).
- ethtool: add PRIVFLAGS_NTF notification (bsc#1176447).
- ethtool: set device private flags with PRIVFLAGS_SET request
  (bsc#1176447).
- ethtool: provide private flags with PRIVFLAGS_GET request
  (bsc#1176447).
- ethtool: add FEATURES_NTF notification (bsc#1176447).
- ethtool: set netdev features with FEATURES_SET request
  (bsc#1176447).
- ethtool: add ethnl_parse_bitset() helper (bsc#1176447).
- ethtool: provide netdev features with FEATURES_GET request
  (bsc#1176447).
- ethtool: update mapping of features to legacy ioctl requests
  (bsc#1176447).
- ethtool: rename ethnl_parse_header() to
  ethnl_parse_header_dev_get() (bsc#1176447).
- ethtool: Add support for low latency RS FEC (bsc#1176447).
- ethtool: fix reference leak in some *_SET handlers
  (bsc#1176447).
- ethtool: reject unrecognized request flags (bsc#1176447).
- netlink: add nl_set_extack_cookie_u32() (bsc#1176447).
- ethtool: limit bitset size (bsc#1176447).
- ethtool: fix application of verbose no_mask bitset
  (bsc#1176447).
- ethtool: add WOL_NTF notification (bsc#1176447).
- ethtool: set wake-on-lan settings with WOL_SET request
  (bsc#1176447).
- ethtool: provide WoL settings with WOL_GET request
  (bsc#1176447).
- ethtool: add DEBUG_NTF notification (bsc#1176447).
- ethtool: set message mask with DEBUG_SET request (bsc#1176447).
- ethtool: provide message mask with DEBUG_GET request
  (bsc#1176447).
- ethtool: fix kernel-doc descriptions (bsc#1176447).
- net: Add fraglist GRO/GSO feature flags (bsc#1176447).
- ethtool: potential NULL dereference in strset_prepare_data()
  (bsc#1176447).
- ethtool: fix ->reply_size() error handling (bsc#1176447).
- ethtool: fix a memory leak in ethnl_default_start()
  (bsc#1176447).
- ethtool: remove set but not used variable 'lsettings'
  (bsc#1176447).
- ethtool: provide link state with LINKSTATE_GET request
  (bsc#1176447).
- ethtool: add LINKMODES_NTF notification (bsc#1176447).
- ethtool: set link modes related data with LINKMODES_SET request
  (bsc#1176447).
- ethtool: provide link mode information with LINKMODES_GET
  request (bsc#1176447).
- ethtool: add default notification handler (bsc#1176447).
- ethtool: set link settings with LINKINFO_SET request
  (bsc#1176447).
- ethtool: provide link settings with LINKINFO_GET request
  (bsc#1176447).
- ethtool: provide string sets with STRSET_GET request
  (bsc#1176447).
- ethtool: default handlers for GET requests (bsc#1176447).
- ethtool: support for netlink notifications (bsc#1176447).
- ethtool: netlink bitset handling (bsc#1176447).
- ethtool: helper functions for netlink interface (bsc#1176447).
- net: Introduce peer to peer one step PTP time stamping
  (bsc#1176447).
- net: ethtool: Use the PHY time stamping interface (bsc#1176447).
- net: phy: Introduce helper functions for time stamping support
  (bsc#1176447).
- netlink: rename nl80211_validate_nested() to
  nla_validate_nested() (bsc#1176447).
- commit cb14dde
* Thu Sep 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'gpu: ipu-v3: image-convert: Wait for all EOFs before completing a tile'
- commit cd2ad4e
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/sun4i: backend: Disable alpha on the lowest plane on the A20 (bsc#1152472)
- commit a28c02e
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/sun4i: backend: Support alpha property on lowest plane (bsc#1152472)
- commit 081a7ef
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/sun4i: Fix dsi dcs long write function (bsc#1152472)
- commit 510ebc1
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/sun4i: add missing put_device() call in (bsc#1152472)
- commit 69345eb
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/virtio: fix missing dma_fence_put() in (bsc#1152489)
  * context changes
- commit 2d93b7f
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/ast: Initialize DRAM type before posting GPU (bsc#1152472)
  * context changes
- commit 933f31f
* Thu Sep 17 2020 tzimmermann@suse.de
- drm/mgag200: Remove declaration of mgag200_mmap() from header file (bsc#1152472)
  * context changes
- commit 435259b
* Wed Sep 16 2020 fdmanana@suse.com
- Btrfs: implement full reflink support for inline extents
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-fix-lost-i_size-update-after-cloning-inline-ex.patch.
- commit 1499e64
* Wed Sep 16 2020 fdmanana@suse.com
- Btrfs: simplify inline extent handling when doing reflinks
  (bsc#1176019).
- commit 378e9bc
* Wed Sep 16 2020 fdmanana@suse.com
- Btrfs: move all reflink implementation code into its own file
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-fix-lost-i_size-update-after-cloning-inline-ex.patch.
- commit 24935c8
* Wed Sep 16 2020 msuchanek@suse.de
- powerpc/watchpoint: Disable all available watchpoints when
  !dawr_force_enable (jsc#SLE-12936).
- powerpc/watchpoint: Get watchpoint count dynamically while
  disabling them (jsc#SLE-12936).
- commit f5afb99
* Wed Sep 16 2020 msuchanek@suse.de
- powerpc/perf: Fix soft lockups due to missed interrupt
  accounting (jsc#SLE-13513).
- commit e1b68e3
* Tue Sep 15 2020 tbogendoerfer@suse.de
- xdp: Handle frame_sz in xdp_convert_zc_to_xdp_frame()
  (jsc#SLE-13706).
- ice: fix PCI device serial number to be lowercase values
  (jsc#SLE-12878).
- netdevsim: dev: Fix memory leak in nsim_dev_take_snapshot_write
  (jsc#SLE-15171).
- devlink: fix typos in qed documentation (jsc#SLE-12878).
- devlink: remove trigger command from devlink-region.rst
  (jsc#SLE-12878).
- devlink: document region snapshot triggering from userspace
  (jsc#SLE-12878).
- commit a0186de
* Tue Sep 15 2020 ematsumiya@suse.de
- nvme-pci: override the value of the controller's numa node
  (bsc#1176507).
- commit 1ad78c9
* Tue Sep 15 2020 nsaenzjulienne@suse.de
- usb: typec: intel_pmc_mux: Do not configure SBU and HSL
  Orientation in Alternate modes (jsc#SLE-13918).
- usb: typec: intel_pmc_mux: Do not configure Altmode HPD High
  (jsc#SLE-13918).
- usb: typec: intel_pmc_mux: Un-register the USB role switch
  (jsc#SLE-13918).
- watchdog: iTCO: fix link error (jsc#SLE-13918).
- blacklist.conf: b30c1a464c29 ("watchdog: iTCO: fix link error")
- commit fe95fa7
* Tue Sep 15 2020 msuchanek@suse.de
- Remove patch causing regression (bsc#1094244 ltc#168122).
- Delete patches.suse/powerpc-64s-machine-check-interrupt-update-NMI-accou.patch.
- Refresh patches.suse/powerpc-64s-machine-check-do-not-trace-real-mode-han.patch.
- commit f30b04b
* Tue Sep 15 2020 tbogendoerfer@suse.de
- mlx4: disable device on shutdown (git-fixes).
- commit 878fd39
* Tue Sep 15 2020 tbogendoerfer@suse.de
- devlink: promote "fw.bundle_id" to a generic info version
  (jsc#SLE-12878).
- Refresh patches.suse/devlink-add-macro-for-fw.roce.patch.
- commit 96ec267
* Tue Sep 15 2020 tbogendoerfer@suse.de
- ethtool: introduce ethtool netlink interface (bsc#1176447).
- Update config files.
- commit 9ce3138
* Tue Sep 15 2020 tbogendoerfer@suse.de
- xsk: Change names of validation functions (jsc#SLE-13706).
- Refresh
  patches.suse/xsk-Remove-unnecessary-READ_ONCE-of-data.patch.
- commit 03cafae
* Tue Sep 15 2020 tbogendoerfer@suse.de
- xsk: Simplify the consumer ring access functions
  (jsc#SLE-13706).
- Refresh
  patches.suse/xsk-Remove-unnecessary-READ_ONCE-of-data.patch.
- commit d84436a
* Tue Sep 15 2020 tbogendoerfer@suse.de
- docs: index.rst: don't use genindex for pdf output
  (jsc#SLE-12878).
- Refresh
  patches.suse/ionic-Add-basic-framework-for-IONIC-Network-device-d.patch.
- commit e3d78bb
* Tue Sep 15 2020 tbogendoerfer@suse.de
- mlx4: Mark PM functions as __maybe_unused (jsc#SLE-15171).
- mlx4: use generic power management (jsc#SLE-15171).
- RDMA/mlx4: Remove FMR support for memory registration
  (jsc#SLE-15171).
- xsk: Fix xsk_umem_xdp_frame_sz() (jsc#SLE-13706).
- xdp: For Intel AF_XDP drivers add XDP frame_sz (jsc#SLE-13706).
- ice: Add XDP frame size to driver (jsc#SLE-12878).
- i40e: Add XDP frame size to driver (jsc#SLE-13701).
- ixgbevf: Add XDP frame size to VF driver (jsc#SLE-13706).
- ixgbe: Add XDP frame size to driver (jsc#SLE-13706).
- ixgbe: Fix XDP redirect on archs with PAGE_SIZE above 4K
  (jsc#SLE-13706).
- mlx4: Add XDP frame size and adjust max XDP MTU (jsc#SLE-15171).
- xdp: Xdp_frame add member frame_sz and handle in
  convert_to_xdp_frame (jsc#SLE-13706).
- xdp: Add frame size to xdp_buff (jsc#SLE-13706).
- xsk: Remove unnecessary member in xdp_umem (jsc#SLE-13706).
- xsk: Change two variable names for increased clarity
  (jsc#SLE-13706).
- net: mlx4: remove unneeded variable "err" in
  mlx4_en_ethtool_add_mac_rule() (jsc#SLE-15171).
- net: mlx4: remove unneeded variable "err" in mlx4_en_get_rxfh()
  (jsc#SLE-15171).
- net/mlx4_core: Add missing iounmap() in error path
  (jsc#SLE-15171).
- net/mlx4_en: use napi_complete_done() in TX completion
  (jsc#SLE-15171).
- net/mlx4_core: fix a memory leak bug (jsc#SLE-15171).
- i40e: Remove unneeded conversion to bool (jsc#SLE-13701).
- mlx4: fix "initializer element not constant" compiler error
  (jsc#SLE-15171).
- ice: add a devlink region for dumping NVM contents
  (jsc#SLE-12878).
- devlink: implement DEVLINK_CMD_REGION_NEW (jsc#SLE-12878).
- devlink: track snapshot id usage count using an xarray
  (jsc#SLE-15171).
- devlink: report error once U32_MAX snapshot ids have been used
  (jsc#SLE-15171).
- devlink: extract snapshot id allocation to helper function
  (jsc#SLE-15171).
- devlink: use -ENOSPC to indicate no more room for snapshots
  (jsc#SLE-15171).
- devlink: add function to take snapshot while locked
  (jsc#SLE-15171).
- devlink: trivial: fix tab in function documentation
  (jsc#SLE-15171).
- devlink: convert snapshot destructor callback to region op
  (jsc#SLE-15171).
- devlink: prepare to support region operations (jsc#SLE-12878).
- devlink: Add API to register packet trap groups (jsc#SLE-12878).
- ice: add board identifier info to devlink .info_get
  (jsc#SLE-12878).
- ice: add basic handler for devlink .info_get (jsc#SLE-12878).
- ice: enable initial devlink support (jsc#SLE-12878).
- ice: implement full NVM read from ETHTOOL_GEEPROM
  (jsc#SLE-12878).
- ice: discover and store size of available flash (jsc#SLE-12878).
- ice: store NVM version info in extracted format (jsc#SLE-12878).
- ice: create function to read a section of the NVM and Shadow
  RAM (jsc#SLE-12878).
- ice: use __le16 types for explicitly Little Endian values
  (jsc#SLE-12878).
- net: ixgbevf: reject unsupported coalescing params
  (jsc#SLE-13706).
- net: ixgbe: reject unsupported coalescing params
  (jsc#SLE-13706).
- net: i40e: reject unsupported coalescing params (jsc#SLE-13701).
- net: mlx4: reject unsupported coalescing params (jsc#SLE-15171).
- net: liquidio: reject unsupported coalescing params
  (jsc#SLE-15171).
- ice: fix incorrect size description of ice_get_nvm_version
  (jsc#SLE-12878).
- ice: use variable name more descriptive than type
  (jsc#SLE-12878).
- ice: Use EOPNOTSUPP instead of ENOTSUPP (jsc#SLE-12878).
- ice: Fix format specifier (jsc#SLE-12878).
- ice: fix use of deprecated strlcpy() (jsc#SLE-12878).
- ice: Increase mailbox receive queue length to maximum
  (jsc#SLE-12878).
- ice: Correct setting VLAN pruning (jsc#SLE-12878).
- ice: renegotiate link after FW DCB on (jsc#SLE-12878).
- ice: Fix corner case when switching from IEEE to CEE
  (jsc#SLE-12878).
- ice: Display Link detected via Ethtool in safe mode
  (jsc#SLE-12878).
- ice: Fix removing driver while bare-metal VFs pass traffic
  (jsc#SLE-12878).
- ice: Improve clarity of prints and variables (jsc#SLE-12878).
- ice: allow bigger VFs (jsc#SLE-12878).
- ice: Cleanup unneeded parenthesis (jsc#SLE-12878).
- ixgbe: Use pci_get_dsn() (jsc#SLE-13706).
- ice: Use pci_get_dsn() (jsc#SLE-12878).
- PCI: Introduce pci_get_dsn (jsc#SLE-13706).
- ice: let core reject the unsupported coalescing parameters
  (jsc#SLE-12878).
- xdp: Replace zero-length array with flexible-array member
  (jsc#SLE-13706).
- devlink: add trap metadata type for cookie (jsc#SLE-12878).
- devlink: add ACL generic packet traps (jsc#SLE-12878).
- ice: fix define for E822 backplane device (jsc#SLE-12878).
- ice: add support for E823 devices (jsc#SLE-12878).
- ice: add backslash-n to strings (jsc#SLE-12878).
- ice: increase PF reset wait timeout to 300 milliseconds
  (jsc#SLE-12878).
- ice: Support XDP UMEM wake up mechanism (jsc#SLE-12878).
- ice: SW DCB, report correct max TC value (jsc#SLE-12878).
- ice: Report correct DCB mode (jsc#SLE-12878).
- ice: Add DCBNL ops required to configure ETS in CEE for SW DCB
  (jsc#SLE-12878).
- ice: Always clear the QRXFLXP_CNTXT register for VF Rx queues
  (jsc#SLE-12878).
- ice: Fix for TCAM entry management (jsc#SLE-12878).
- ice: update malicious driver detection event handling
  (jsc#SLE-12878).
- ice: Validate config for SW DCB map (jsc#SLE-12878).
- devlink: Force enclosing array on binary fmsg data
  (jsc#SLE-12878).
- ice: use true/false for bool types (jsc#SLE-12878).
- ice: add function argument description to function header
  comment (jsc#SLE-12878).
- ice: use proper format for function pointer as a function
  parameter (jsc#SLE-12878).
- ice: replace "fallthrough" comments with fallthrough reserved
  word (jsc#SLE-12878).
- ice: remove unnecessary fallthrough comments (jsc#SLE-12878).
- ice: Fix virtchnl_queue_select bitmap validation
  (jsc#SLE-12878).
- ice: Fix and refactor Rx queue disable for VFs (jsc#SLE-12878).
- ice: Handle LAN overflow event for VF queues (jsc#SLE-12878).
- ice: Fix implicit queue mapping mode in ice_vsi_get_qs
  (jsc#SLE-12878).
- ice: Add support to enable/disable all Rx queues before waiting
  (jsc#SLE-12878).
- ice: Only allow tagged bcast/mcast traffic for VF in port VLAN
  (jsc#SLE-12878).
- ice: Fix Port VLAN priority bits (jsc#SLE-12878).
- ice: Add helper to determine if VF link is up (jsc#SLE-12878).
- ice: Refactor port vlan configuration for the VF
  (jsc#SLE-12878).
- ice: Add initial support for QinQ (jsc#SLE-12878).
- net: mlx4: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-15171).
- xsk: Publish global consumer pointers when NAPI is finished
  (jsc#SLE-13706).
- ice: Wait for VF to be reset/ready before configuration
  (jsc#SLE-12878).
- ice: Don't tell the OS that link is going down (jsc#SLE-12878).
- ice: Don't reject odd values of usecs set by user
  (jsc#SLE-12878).
- xsk, net: Make sock_def_readable() have external linkage
  (jsc#SLE-13706).
- devlink: Add overlay source MAC is multicast trap
  (jsc#SLE-12878).
- devlink: Add tunnel generic packet traps (jsc#SLE-12878).
- devlink: Add non-routable packet trap (jsc#SLE-12878).
- ice: remove redundant assignment to variable xmit_done
  (jsc#SLE-12878).
- ice: Removing hung_queue variable to use txqueue function
  parameter (jsc#SLE-12878).
- i40e: Removing hung_queue variable to use txqueue function
  parameter (jsc#SLE-13701).
- devlink: introduce devlink-dpipe.rst documentation file
  (jsc#SLE-12878).
- devlink: add a devlink-resource.rst documentation file
  (jsc#SLE-12878).
- devlink: rename and expand devlink-trap-netdevsim.rst
  (jsc#SLE-12878).
- devlink: add documentation for ionic device driver
  (jsc#SLE-12878).
- devlink: add a file documenting devlink regions (jsc#SLE-12878).
- devlink: add a driver-specific file for the qed driver
  (jsc#SLE-12878).
- devlink: add parameter documentation for the mlx4 driver
  (jsc#SLE-12878).
- devlink: convert driver-specific files to reStructuredText
  (jsc#SLE-12878).
- devlink: convert devlink-params.txt to reStructuredText
  (jsc#SLE-12878).
- devlink: rename devlink-info-versions.rst and add a header
  (jsc#SLE-12878).
- devlink: convert devlink-health.txt to rst format
  (jsc#SLE-12878).
- devlink: move devlink documentation to subfolder
  (jsc#SLE-12878).
- xsk: Add function naming comments and reorder functions
  (jsc#SLE-13706).
- xsk: ixgbe: i40e: ice: mlx5: Xsk_umem_discard_addr to
  xsk_umem_release_addr (jsc#SLE-13706).
- xsk: Simplify xskq_nb_avail and xskq_nb_free (jsc#SLE-13706).
- xsk: Eliminate the RX batch size (jsc#SLE-13706).
- xsk: Standardize naming of producer ring access functions
  (jsc#SLE-13706).
- xsk: Consolidate to one single cached producer pointer
  (jsc#SLE-13706).
- xsk: Simplify detection of empty and full rings (jsc#SLE-13706).
- xsk: Eliminate the lazy update threshold (jsc#SLE-13706).
- xsk: Make xskmap flush_list common for all map instances
  (jsc#SLE-13706).
- mlx4: use new txqueue timeout argument (jsc#SLE-15171).
- Documentation: Add a section for devlink-trap testing
  (jsc#SLE-12878).
- commit 0954b47
* Tue Sep 15 2020 lpechacek@suse.com
- supported.conf: mark virtio-iommu supported on aarch64 (jsc#SLE-12152)
- commit f94b476
* Tue Sep 15 2020 dwagner@suse.de
- nvme-multipath: retry commands for dying queues (bsc#1171688).
- commit 50f2e12
* Tue Sep 15 2020 hare@suse.de
- bcache: Fix typo in Kconfig name (bsc#1175995,jsc#SLE-15608).
- Update config files.
- commit 70aed61
* Tue Sep 15 2020 aaptel@suse.com
- smb3: warn on confusing error scenario with sec=krb5
  (bsc#1176548).
- commit 87d97c1
* Tue Sep 15 2020 aaptel@suse.com
- cifs: Fix leak when handling lease break for cached root fid
  (bsc#1176242).
- commit 3f36e87
* Tue Sep 15 2020 aaptel@suse.com
- SMB3: Honor 'posix' flag for multiuser mounts (bsc#1176559).
- commit da99223
* Tue Sep 15 2020 aaptel@suse.com
- SMB3: Honor 'handletimeout' flag for multiuser mounts
  (bsc#1176558).
- commit 7fc229a
* Tue Sep 15 2020 mbenes@suse.cz
- x86/unwind/orc: Fix premature unwind stoppage due to IRET frames
  (bsc#1058115).
  Remove the commit from blacklist.conf too.
- commit f15a51f
* Tue Sep 15 2020 aaptel@suse.com
- SMB3: Honor persistent/resilient handle flags for multiuser
  mounts (bsc#1176546).
- Refresh
  patches.suse/SMB3-Honor-lease-disabling-for-multiuser-mounts.patch.
- commit 9b622c7
* Tue Sep 15 2020 aaptel@suse.com
- SMB3: Honor 'seal' flag for multiuser mounts (bsc#1176545).
- commit c2120ee
* Tue Sep 15 2020 aaptel@suse.com
- cifs/smb3: Fix data inconsistent when punch hole (bsc#1176544).
- commit a9ca8fc
* Tue Sep 15 2020 aaptel@suse.com
- cifs/smb3: Fix data inconsistent when zero file range
  (bsc#1176536).
- commit 92bbeda
* Tue Sep 15 2020 hare@suse.de
- xen-blkfront.c: Convert to use
  set_capacity_revalidate_and_notify (bsc#1175995,jsc#SLE-15608).
- commit 937dc91
* Tue Sep 15 2020 msuchanek@suse.de
- driver-core: Introduce DEVICE_ATTR_ADMIN_{RO,RW} (bsc#1176486
  ltc#188130).
- commit daeec95
* Tue Sep 15 2020 msuchanek@suse.de
- powerpc/papr_scm: Limit the readability of 'perf_stats' sysfs
  attribute (bsc#1176486 ltc#188130).
- commit 5a8c141
* Tue Sep 15 2020 jslaby@suse.cz
- net: initialize fastreuse on inet_inherit_port
  (networking-stable-20_08_15).
- net: refactor bind_bucket fastreuse into helper
  (networking-stable-20_08_15).
- net: Fix potential memory leak in proto_register()
  (networking-stable-20_08_15).
- net/nfc/rawsock.c: add CAP_NET_RAW check
  (networking-stable-20_08_15).
- net/tls: Fix kmap usage (networking-stable-20_08_15).
- tcp: correct read of TFO keys on big endian systems
  (networking-stable-20_08_15).
- net: Set fput_needed iff FDPUT_FPUT is set
  (networking-stable-20_08_15).
- commit 172e095
* Tue Sep 15 2020 lhenriques@suse.de
- rbd: require global CAP_SYS_ADMIN for mapping and unmapping
  (CVE-2020-25284 bsc#1176543).
- ceph: don't allow setlease on cephfs (bsc#1176537).
- ceph: handle zero-length feature mask in session messages
  (bsc#1176540).
- ceph: use frag's MDS in either mode (bsc#1176542).
- ceph: set sec_context xattr on symlink creation (bsc#1176541).
- ceph: fix use-after-free for fsc->mdsc (bsc#1176539).
- ceph: fix potential mdsc use-after-free crash (bsc#1176538).
- commit 87663ec
* Tue Sep 15 2020 msuchanek@suse.de
- Delete patches.suse/powerpc-Move-EXCEPTION_TABLE-to-RO_DATA-segment.patch.
  Delete patch that causes a warning about unknown section.
- commit a7b968e
* Tue Sep 15 2020 jroedel@suse.de
- vfio/pci: Cleanup .probe() exit paths (bsc#1175713).
- Refresh
  patches.suse/vfio-pci-fault-mmaps-to-enable-vma-tracking.
- Refresh
  patches.suse/vfio-pci-invalidate-mmaps-and-block-mmio-access-on-disabled-memory.
- commit 0446efa
* Tue Sep 15 2020 jroedel@suse.de
- vfio/pci: Add sriov_configure support (bsc#1175713).
- Refresh
  patches.suse/vfio-pci-fault-mmaps-to-enable-vma-tracking.
- Refresh
  patches.suse/vfio-pci-invalidate-mmaps-and-block-mmio-access-on-disabled-memory.
- commit 61e9a96
* Tue Sep 15 2020 jroedel@suse.de
- vfio/pci: Introduce VF token (bsc#1175713).
- Refresh
  patches.suse/vfio-pci-fault-mmaps-to-enable-vma-tracking.
- Refresh
  patches.suse/vfio-pci-invalidate-mmaps-and-block-mmio-access-on-disabled-memory.
- commit 8b91f2a
* Tue Sep 15 2020 jroedel@suse.de
- vfio: fix FOLL_LONGTERM use, simplify get_user_pages_remote()
  call (bsc#1175713).
- Refresh
  patches.suse/vfio-type1-Fix-VA-PA-translation-for-PFNMAP-VMAs-in-.patch.
- Refresh patches.suse/vfio-type1-support-faulting-pfnmap-vmas.
- commit 1136f3b
* Tue Sep 15 2020 jroedel@suse.de
- PCI: Add PCI_STD_NUM_BARS for the number of standard BARs
  (bsc#1175713).
- Refresh
  patches.suse/PCI-endpoint-Fix-set_msix-to-take-BIR-and-offset-as-.patch.
- Refresh
  patches.suse/vfio-pci-fault-mmaps-to-enable-vma-tracking.
- commit b6b26f9
* Tue Sep 15 2020 denis.kirjanov@suse.com
- thunderbolt: Use maximum USB3 link rate when reclaiming if
  link is not up (git-fixes).
- commit 6081a42
* Tue Sep 15 2020 denis.kirjanov@suse.com
- thunderbolt: Disable ports that are not implemented (git-fixes).
- commit 23a3be6
* Tue Sep 15 2020 jroedel@suse.de
- vfio/type1: untag user pointers in vaddr_get_pfn (bsc#1175713).
- Refresh patches.suse/vfio-type1-support-faulting-pfnmap-vmas.
- commit 8fab67f
* Tue Sep 15 2020 jroedel@suse.de
- vfio-ccw: add some logging (bsc#1175713).
- Refresh
  patches.suse/s390-cio-generate-delayed-uevent-for-vfio-ccw-subchannels.
- commit 947f744
* Tue Sep 15 2020 jroedel@suse.de
- vfio/pci: fix racy on error and request eventfd ctx
  (bsc#1175713).
- vfio-ccw: Fix a build error due to missing include of
  linux/slab.h (bsc#1175713).
- vfio/type1: Fix migration info capability ID (bsc#1175713).
- vfio/pci: Clear error and request eventfd ctx after releasing
  (bsc#1175713).
- vfio-ccw: make vfio_ccw_regops variables declarations static
  (bsc#1175713).
- vfio-ccw: Add trace for CRW event (bsc#1175713).
- vfio-ccw: Wire up the CRW irq and CRW region (bsc#1175713).
- vfio-ccw: Introduce a new CRW region (bsc#1175713).
- vfio-ccw: Refactor IRQ handlers (bsc#1175713).
- vfio-ccw: Introduce a new schib region (bsc#1175713).
- vfio-ccw: Refactor the unregister of the async regions
  (bsc#1175713).
- vfio-ccw: Register a chp_event callback for vfio-ccw
  (bsc#1175713).
- vfio-ccw: Introduce new helper functions to free/destroy regions
  (bsc#1175713).
- vfio-ccw: Enable transparent CCW IPL from DASD (bsc#1175713).
- vfio iommu: typecast corrections (bsc#1175713).
- vfio iommu: Use shift operation for 64-bit integer division
  (bsc#1175713).
- vfio: Selective dirty page tracking if IOMMU backed device
  pins pages (bsc#1175713).
- vfio iommu: Add migration capability to report supported
  features (bsc#1175713).
- vfio iommu: Update UNMAP_DMA ioctl to get dirty bitmap before
  unmap (bsc#1175713).
- vfio iommu: Implementation of ioctl for dirty pages tracking
  (bsc#1175713).
- vfio iommu: Add ioctl definition for dirty pages tracking
  (bsc#1175713).
- vfio iommu: Cache pgsize_bitmap in struct vfio_iommu
  (bsc#1175713).
- vfio iommu: Remove atomicity of ref_count of pinned pages
  (bsc#1175713).
- vfio: UAPI for migration interface for device state
  (bsc#1175713).
- vfio/pci: fix memory leaks of eventfd ctx (bsc#1175713).
- vfio-pci: Mask cap zero (bsc#1175713).
- vfio: checking of validity of user vaddr in vfio_dma_rw
  (bsc#1175713).
- vfio-pci/nvlink2: Allow fallback to ibm,mmio-atsd (bsc#1175713).
- vfio: avoid inefficient operations on VFIO group in
  vfio_pin/unpin_pages (bsc#1175713).
- vfio: introduce vfio_dma_rw to read/write a range of IOVAs
  (bsc#1175713).
- vfio: allow external user to get vfio group from device
  (bsc#1175713).
- vfio/pci: Remove dev_fmt definition (bsc#1175713).
- vfio: Introduce VFIO_DEVICE_FEATURE ioctl and first user
  (bsc#1175713).
- vfio/pci: Implement match ops (bsc#1175713).
- vfio: Include optional device match in vfio_device_ops callbacks
  (bsc#1175713).
- vfio: platform: fix __iomem in vfio_platform_amdxgbe.c
  (bsc#1175713).
- vfio/mdev: make create attribute static (bsc#1175713).
- vfio/spapr_tce: use mmgrab (bsc#1175713).
- vfio: vfio_pci_nvlink2: use mmgrab (bsc#1175713).
- vfio, mm: pin_user_pages (FOLL_PIN) and put_user_page()
  conversion (bsc#1175713).
- vfio/type1: remove hugepage checks in is_invalid_reserved_pfn()
  (bsc#1175713).
- vfio-ccw: Rework the io_fctl trace (bsc#1175713).
- vfio-ccw: Add a trace for asynchronous requests (bsc#1175713).
- vfio-ccw: Trace the FSM jumptable (bsc#1175713).
- vfio-ccw: Refactor how the traces are built (bsc#1175713).
- vfio/type1: Initialize resv_msi_base (bsc#1175713).
- vfio/type1: remove duplicate retrieval of reserved regions
  (bsc#1175713).
- vfio/type1: Add IOVA range capability support (bsc#1175713).
- vfio/type1: check dma map request is within a valid iova range
  (bsc#1175713).
- vfio/type1: Update iova list on detach (bsc#1175713).
- vfio/type1: Check reserved region conflict and update iova list
  (bsc#1175713).
- vfio/type1: Introduce iova list and add iommu aperture validity
  check (bsc#1175713).
- vfio: re-arrange vfio region definitions (bsc#1175713).
- powerpc/powernv/ioda: Remove obsolete iommu_table_ops::exchange
  callbacks (bsc#1175713).
- powerpc/pseries/iommu: Switch to xchg_no_kill (bsc#1175713).
- vfio/spapr_tce: Invalidate multiple TCEs at once (bsc#1175713).
- KVM: PPC: Book3S: Invalidate multiple TCEs at once
  (bsc#1175713).
- powerpc/powernv/ioda: Split out TCE invalidation from TCE
  updates (bsc#1175713).
- vfio-ccw: fix error return code in vfio_ccw_sch_init()
  (bsc#1175713).
- commit a14198d
* Tue Sep 15 2020 hare@suse.de
- dm crypt: Initialize crypto wait structures
  (bsc#1175995,jsc#SLE-15608).
- dm ebs: Fix incorrect checking for REQ_OP_FLUSH
  (bsc#1175995,jsc#SLE-15608).
- iocost: Fix check condition of iocg abs_vdebt
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: fix unused but set variable warnings
  (bsc#1175995,jsc#SLE-15608).
- cgroup: fix psi_show() crash on 32bit ino archs
  (bsc#1175995,jsc#SLE-15608).
- commit 91a1e51
* Tue Sep 15 2020 hare@suse.de
- xen/blkfront: fix ring info addressing
  (bsc#1175995,jsc#SLE-15608).
- commit c639ad9
* Tue Sep 15 2020 hare@suse.de
- dm: add dm-clone to the documentation index
  (bsc#1175995,jsc#SLE-15608).
- selftests/bpf: Don't hard-code root cgroup id
  (bsc#1175995,jsc#SLE-15608).
- writeback: fix -Wformat compilation warnings
  (bsc#1175995,jsc#SLE-15608).
- cgroup: fix incorrect WARN_ON_ONCE() in cgroup_setup_root()
  (bsc#1175995,jsc#SLE-15608).
- commit 4256b92
* Tue Sep 15 2020 hare@suse.de
- Update config files.
- commit 4aac74c
* Mon Sep 14 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: Remove set but not used variable 'qplib_ctx'
  (bsc#1170774).
- commit d51761b
* Mon Sep 14 2020 bp@suse.de
- blacklist.conf: 2356bb4b8221 tracing/kprobes, x86/ptrace: Fix regs argument order for i386
- commit c54f3f0
* Mon Sep 14 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: Remove the qp from list only if the qp destroy
  succeeds (bsc#1170774).
- RDMA/bnxt_re: Static NQ depth allocation (bsc#1170774).
- RDMA/mlx4: Read pkey table length instead of hardcoded value
  (git-fixes).
- commit d897d3a
* Mon Sep 14 2020 hare@suse.de
- dm writecache: improve performance on DDR persistent memory
  (Optane) (bsc#1175995,jsc#SLE-15608).
- commit 8d80b5c
* Mon Sep 14 2020 hare@suse.de
- dm writecache: remove superfluous test in
  persistent_memory_claim (bsc#1175995,jsc#SLE-15608).
- commit e8e49c1
* Mon Sep 14 2020 mbenes@suse.cz
- ftrace: Setup correct FTRACE_FL_REGS flags for module
  (git-fixes).
- commit b5a1bd1
* Mon Sep 14 2020 msuchanek@suse.de
- powerpc/kernel: Cleanup machine check function declarations
  (bsc#1065729).
- commit 05b1221
* Mon Sep 14 2020 hare@suse.de
- dm: add clone target (bsc#1175995,jsc#SLE-15608).
- Update config files.
- supported.conf: mark dm-clone as supported
- commit 8019105
* Mon Sep 14 2020 hare@suse.de
- dm: add emulated block size target (bsc#1175995,jsc#SLE-15608).
- Update config files.
- supported.conf: mark dm-ebs as supported
- commit 89f3ea1
* Mon Sep 14 2020 hare@suse.de
- dm mpath: add Historical Service Time Path Selector
  (bsc#1175995,jsc#SLE-15608).
- Update config files.
- Refresh patches.suse/dm-mpath-leastpending-path-update.
- supported.conf: mark dm-historcal-time-length as supported
- commit aca8751
* Mon Sep 14 2020 hare@suse.de
- blktrace: fix endianness for blk_log_remap()
  (bsc#1175995,jsc#SLE-15608).
- blktrace: fix endianness in get_pdu_int()
  (bsc#1175995,jsc#SLE-15608).
- blktrace: use errno instead of bi_status
  (bsc#1175995,jsc#SLE-15608).
- block/swim3: use set_current_state macro
  (bsc#1175995,jsc#SLE-15608).
- blktrace: Report pid with note messages
  (bsc#1175995,jsc#SLE-15608).
- commit 7405224
* Mon Sep 14 2020 hare@suse.de
- cgroup: use cgrp->kn->id as the cgroup ID
  (bsc#1175995,jsc#SLE-15608).
- kernfs: use 64bit inos if ino_t is 64bit
  (bsc#1175995,jsc#SLE-15608).
- kernfs: implement custom exportfs ops and fid type
  (bsc#1175995,jsc#SLE-15608).
- kernfs: combine ino/id lookup functions into
  kernfs_find_and_get_node_by_id() (bsc#1175995,jsc#SLE-15608).
- commit bbedf0f
* Mon Sep 14 2020 hare@suse.de
- kernfs: convert kernfs_node->id from union kernfs_node_id to
  u64 (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/blktrace-Protect-q-blk_trace-with-RCU.patch.
- commit a37bb3e
* Mon Sep 14 2020 hare@suse.de
- kernfs: kernfs_find_and_get_node_by_ino() should only look up
  activated nodes (bsc#1175995,jsc#SLE-15608).
- kernfs: use dumber locking for kernfs_find_and_get_node_by_ino()
  (bsc#1175995,jsc#SLE-15608).
- commit 57dfe26
* Mon Sep 14 2020 hare@suse.de
- netprio: use css ID instead of cgroup ID
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/netprio_cgroup-Fix-unlimited-memory-leak-of-v2-cgrou.patch.
- commit 3b76527
* Mon Sep 14 2020 hare@suse.de
- writeback: use ino_t for inodes in tracepoints
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/memcg-fix-a-crash-in-wb_workfn-when-a-device-disappe.patch.
- commit 3938e12
* Mon Sep 14 2020 hare@suse.de
- ata: sata_inic162x fix a spelling issue
  (bsc#1175995,jsc#SLE-15608).
- block: remove unused header (bsc#1175995,jsc#SLE-15608).
- bdev: Reduce time holding bd_mutex in sync in blkdev_close()
  (bsc#1175995,jsc#SLE-15608).
- ahci: Add Intel Comet Lake PCH-U PCI ID
  (bsc#1175995,jsc#SLE-15608).
- ahci: Add Intel Comet Lake PCH RAID PCI ID
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci: Add sysfs attribute to show remapped NVMe device
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci-imx: remove redundant assignment to ret
  (bsc#1175995,jsc#SLE-15608).
- commit 290a94c
* Mon Sep 14 2020 hare@suse.de
- nbd: requeue command if the soecket is changed
  (bsc#1175995,jsc#SLE-15608).
- nbd: enable replace socket if only one connection is
  (bsc#1175995,jsc#SLE-15608).
- libata: drop BPRINTK() (bsc#1175995,jsc#SLE-15608).
- xen/blkfront: limit allocated memory size to actual use case
  (bsc#1175995,jsc#SLE-15608).
- commit d81f216
* Mon Sep 14 2020 nsaenzjulienne@suse.de
- usb: typec: tcpm: Fix Fix source hard reset response for TDA
  2.3.1.1 and TDA 2.3.1.2 failures (jsc#SLE-13918).
- usb: typec: ucsi: Hold con->lock for the entire duration of
  ucsi_register_port() (jsc#SLE-13918).
- usb: typec: ucsi: Rework ppm_lock handling (jsc#SLE-13918).
- usb: typec: ucsi: Fix 2 unlocked ucsi_run_command calls
  (jsc#SLE-13918).
- usb: typec: ucsi: Fix AB BA lock inversion (jsc#SLE-13918).
- usb: typec: tcpm: Add WARN_ON ensure we are not trying to send
  2 VDM packets at the same time (jsc#SLE-13918).
- usb: typec: tcpm: Fix AB BA lock inversion between tcpm code
  and the alt-mode drivers (jsc#SLE-13918).
- usb: typec: tcpm: Refactor tcpm_handle_vdm_request
  (jsc#SLE-13918).
- usb: typec: tcpm: Refactor tcpm_handle_vdm_request payload
  handling (jsc#SLE-13918).
- usb: typec: tcpm: Add tcpm_queue_vdm_unlocked() helper
  (jsc#SLE-13918).
- usb: typec: tcpm: Move
  mod_delayed_work(&port->vdm_state_machine) call into
  tcpm_queue_vdm() (jsc#SLE-13918).
- usb: typec: tcpm: Stay in BIST mode till hardreset or unattached
  (jsc#SLE-13918).
- usb: typec: tcpci: Support BIST test data mode for compliance
  (jsc#SLE-13918).
- usb: typec: tcpm: Support bist test data mode for compliance
  (jsc#SLE-13918).
- usb: typec: tcpm: Error handling for
  tcpm_register_partner_altmodes (jsc#SLE-13918).
- usb: typec: Comment correction for
  typec_partner_register_altmode (jsc#SLE-13918).
- usb: typec: intel_pmc_mux: Avoid connect request on disconnect
  (jsc#SLE-13918).
- usb: typec: Replace HTTP links with HTTPS ones (jsc#SLE-13918).
- usb: typec: ucsi: ucsi: Staticify and stop export of ucsi_init()
  (jsc#SLE-13918).
- usb: typec: tcpm: fusb302: Use 'gnu_printf' format notation
  (jsc#SLE-13918).
- usb: typec: altmodes: displayport: Supply missing displayport.h
  include file (jsc#SLE-13918).
- usb: typec: altmodes: displayport: File headers are not good
  candidates for kerneldoc (jsc#SLE-13918).
- usb: typec: intel_pmc_mux: Add support for USB4 (jsc#SLE-13918).
- usb: typec: intel_pmc_mux: Definitions for response status bits
  (jsc#SLE-13918).
- usb: typec: Add data structure for Enter_USB message
  (jsc#SLE-13918).
- usb: typec: Combine the definitions for Accessory and USB modes
  (jsc#SLE-13918).
- usb: typec: mux: intel_pmc_mux: Fix DP alternate mode entry
  (jsc#SLE-13918).
- usb: typec: Ensure USB_ROLE_SWITCH is set as a dependency for
  tps6598x (jsc#SLE-13918).
- usb: typec: tps6598x: Add USB role switching logic
  (jsc#SLE-13918).
- usb: typec: tps6598x: Add OF probe binding (jsc#SLE-13918).
- usb: typec: mux: intel_pmc_mux: Support for static SBU/HSL
  orientation (jsc#SLE-13918).
- usb: typec: Add typec_find_orientation() (jsc#SLE-13918).
- usb: roles: Switch on role-switch uevent reporting
  (jsc#SLE-13918).
- usb: typec: ucsi: Fix the stub for ucsi_register_port_psy()
  (jsc#SLE-13918).
- usb: typec: ucsi: register with power_supply class
  (jsc#SLE-13918).
- usb: typec: ucsi: save power data objects in PD mode
  (jsc#SLE-13918).
- usb: typec: ucsi: Correct bit-mask for CCI (jsc#SLE-13918).
- usb: typec: ucsi: replace magic numbers (jsc#SLE-13918).
- usb: typec: ucsi: Workaround for missed op_mode change
  (jsc#SLE-13918).
- usb: typec: ucsi: set USB data role when partner type is power
  cable/ufp (jsc#SLE-13918).
- USB: typec: Use the correct style for SPDX License Identifier
  (jsc#SLE-13918).
- usb: fusb302: Convert to use GPIO descriptors (jsc#SLE-13918).
- MAINTAINERS: Update entry for Intel Broxton PMC driver
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Convert to MFD (jsc#SLE-13918).
- Update configs
- supported.conf: Remove reference to intel_pmc_ipc and add
  intel_pmc_bxt
- platform/x86: intel_telemetry: Add telemetry_get_pltdata()
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Move PCI IDs to intel_scu_pcidrv.c
  (jsc#SLE-13918).
- Update configs
- supported.conf: Add intel_mid_powerbtn, intel_mid_thermal and
  intel_scu_ipcutil
- x86/platform/intel-mid: Add empty stubs for
  intel_scu_devices_[create|destroy]() (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Drop intel_pmc_ipc_command()
  (jsc#SLE-13918).
- usb: typec: mux: Convert the Intel PMC Mux driver to use new
  SCU IPC API (jsc#SLE-13918).
- platform/x86: intel_telemetry: Convert to use new SCU IPC API
  (jsc#SLE-13918).
- mfd: intel_soc_pmic_bxtwc: Convert to use new SCU IPC API
  (jsc#SLE-13918).
- mfd: intel_soc_pmic: Add SCU IPC member to struct intel_soc_pmic
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Start using SCU IPC
  (jsc#SLE-13918).
- Update config files
- platform/x86: intel_scu_ipc: Add managed function to register
  SCU IPC (jsc#SLE-13918).
- platform/x86: intel_scu_ipcutil: Convert to use new SCU IPC API
  (jsc#SLE-13918).
- watchdog: intel-mid_wdt: Convert to use new SCU IPC API
  (jsc#SLE-13918).
- platform/x86: intel_mid_powerbtn: Convert to use new SCU IPC
  API (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Introduce new SCU IPC API
  (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Move legacy SCU IPC API to a
  separate header (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Log more information if SCU IPC
  command fails (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Split out SCU IPC functionality
  from the SCU driver (jsc#SLE-13918).
- usb: typec: mux: intel: Fix DP_HPD_LVL bit field
  (jsc#SLE-13918).
- usb: typec: mux: intel: Handle alt mode HPD_HIGH
  (jsc#SLE-13918).
- usb: typec: intel_pmc_mux: Fix the property names
  (jsc#SLE-13918).
- usb: typec: pi3usb30532: Set switch_ / mux_desc name field to
  NULL (jsc#SLE-13918).
- usb: typec: Correct the documentation for typec_cable_put()
  (jsc#SLE-13918).
- usb: typec: ucsi_ccg: workaround for NVIDIA test device
  (jsc#SLE-13918).
- usb: typec: driver for Intel PMC mux control (jsc#SLE-13918).
- Update config files
- supported.conf: Add intel_pmc_mux
- usb: typec: Add definitions for Thunderbolt 3 Alternate Mode
  (jsc#SLE-13918).
- usb: roles: Allow the role switches to be named (jsc#SLE-13918).
- usb: roles: Provide the switch drivers handle to the switch
  in the API (jsc#SLE-13918).
- usb: roles: Leave the private driver data pointer to the drivers
  (jsc#SLE-13918).
- usb: typec: mux: Allow the mux handles to be requested with
  fwnode (jsc#SLE-13918).
- usb: typec: mux: Add helpers for setting the mux state
  (jsc#SLE-13918).
- usb: typec: mux: Allow the muxes to be named (jsc#SLE-13918).
- usb: typec: tcpm: move to SNK_UNATTACHED if sink removed for
  DRP (jsc#SLE-13918).
- usb: typec: Add sysfs node to show cc orientation
  (jsc#SLE-13918).
- usb: ucsi: ccg: disable runtime pm during fw flashing
  (jsc#SLE-13918).
- usb: typec: ucsi: register DP only for NVIDIA DP VDO
  (jsc#SLE-13918).
- usb: typec: tcpm: set correct data role for non-DRD
  (jsc#SLE-13918).
- usb: use kobj_to_dev() API (jsc#SLE-13918).
- usb: typec: mux: Drop support for device name matching
  (jsc#SLE-13918).
- usb: typec: altmode: Remove the notification chain
  (jsc#SLE-13918).
- usb: typec: Fix the description of struct typec_capability
  (jsc#SLE-13918).
- usb: typec: Allow power role swapping even without USB PD
  (jsc#SLE-13918).
- usb: typec: Hide the port_type attribute when it's not supported
  (jsc#SLE-13918).
- usb: typec: Make the attributes read-only when writing is not
  possible (jsc#SLE-13918).
- usb: typec: ucsi: remove redundant assignment to variable num
  (jsc#SLE-13918).
- device property: Export fwnode_get_name() (jsc#SLE-13918).
- usb: typec: fusb302: fix "op-sink-microwatt" default that was
  in mW (jsc#SLE-13918).
- usb: typec: Provide definitions for the USB modes
  (jsc#SLE-13918).
- usb: typec: Give the mux drivers all the details regarding
  the port state (jsc#SLE-13918).
- usb: typec: Add definitions for the latest specification
  releases (jsc#SLE-13918).
- usb: typec: Add the Product Type VDOs to struct usb_pd_identity
  (jsc#SLE-13918).
- usb: pd: Add definitions for the Enter_USB message
  (jsc#SLE-13918).
- usb: typec: More API for cable handling (jsc#SLE-13918).
- usb: typec: Add parameter for the VDO to typec_altmode_enter()
  (jsc#SLE-13918).
- Refresh 0001-typeC-add-kABI-padding.patch
- usb: typec: Block mode entry if the port has the mode disabled
  (jsc#SLE-13918).
- usb: typec: ucsi: fix spelling mistake "connetor" -> "connector"
  (jsc#SLE-13918).
- usb: typec: ucsi: Actually enable all the interface
  notifications (jsc#SLE-13918).
- usb: typec: fix non-kernel-doc comments (jsc#SLE-13918).
- usb: typec: ucsi: add support for separate DP altmode devices
  (jsc#SLE-13918).
- usb: typec: ucsi: Store the notification mask (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Switch to use driver->dev_groups
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Propagate error from kstrtoul()
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Use octal permissions in sysfs
  attributes (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Get rid of unnecessary includes
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Drop ipc_data_readb()
  (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Drop intel_pmc_gcr_read() and
  intel_pmc_gcr_write() (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Make intel_pmc_ipc_raw_cmd()
  static (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Make intel_pmc_ipc_simple_command()
  static (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Make intel_pmc_gcr_update() static
  (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Reformat kernel-doc comments of
  exported functions (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Drop intel_scu_ipc_raw_command()
  (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Drop
  intel_scu_ipc_io[read|write][8|16]() (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Drop unused macros (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Drop unused prototype
  intel_scu_ipc_fw_update() (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Sleeping is fine when polling
  (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Drop intel_scu_ipc_i2c_cntrl()
  (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Remove Lincroft support
  (jsc#SLE-13918).
- platform/x86: intel_scu_ipc: Add constants for register offsets
  (jsc#SLE-13918).
- usb: typec: ucsi: Fix the notification bit offsets
  (jsc#SLE-13918).
- usb: typec: tcpm: Remove tcpc_config configuration mechanism
  (jsc#SLE-13918).
- usb: typec: ucsi: Optimise ucsi_unregister() (jsc#SLE-13918).
- usb: typec: ucsi: New error codes (jsc#SLE-13918).
- usb: typec: ucsi: Remove all bit-fields (jsc#SLE-13918).
- usb: typec: ucsi: Remove struct ucsi_control (jsc#SLE-13918).
- usb: typec: ucsi: Remove the old API (jsc#SLE-13918).
- usb: typec: ucsi: ccg: Move to the new API (jsc#SLE-13918).
- usb: typec: ucsi: acpi: Move to the new API (jsc#SLE-13918).
- usb: typec: ucsi: Simplified registration and I/O API
  (jsc#SLE-13918).
- usb: typec: hd3ss3220: Give the connector fwnode to the port
  device (jsc#SLE-13918).
- usb: typec: Remove unused members from struct typec_capability
  (jsc#SLE-13918).
- usb: typec: Remove the callback members from struct
  typec_capability (jsc#SLE-13918).
- Refresh 0001-typeC-add-kABI-padding.patch
- usb: typec: hd3ss3220: Start using struct typec_operations
  (jsc#SLE-13918).
- usb: typec: ucsi: Start using struct typec_operations
  (jsc#SLE-13918).
- usb: typec: tps6598x: Start using struct typec_operations
  (jsc#SLE-13918).
- usb: typec: tcpm: Start using struct typec_operations
  (jsc#SLE-13918).
- usb: typec: Separate the operations vector (jsc#SLE-13918).
- Refresh 0001-typeC-add-kABI-padding.patch
- usb: typec: Introduce typec_get_drvdata() (jsc#SLE-13918).
- usb: typec: Copy everything from struct typec_capability during
  registration (jsc#SLE-13918).
- usb: roles: Add usb_role_switch_find_by_fwnode()
  (jsc#SLE-13918).
- usb: typec: fix an IS_ERR() vs NULL bug in hd3ss3220_probe()
  (jsc#SLE-13918).
- usb: typec: remove duplicated include from hd3ss3220.c
  (jsc#SLE-13918).
- usb: typec: hd3ss3220: hd3ss3220_probe() warn: passing zero to
  'PTR_ERR' (jsc#SLE-13918).
- usb: typec: add dependency for TYPEC_HD3SS3220 (jsc#SLE-13918).
- usb: typec: hd3ss3220_irq() can be static (jsc#SLE-13918).
- usb: typec: driver for TI HD3SS3220 USB Type-C DRP port
  controller (jsc#SLE-13918).
- Update config files
- supported.conf: Add entry from usb/typec/hd3ss3220
- device property: Add fwnode_get_name for returning the name
  of a node (jsc#SLE-13918).
- usb: roles: get usb-role-switch from parent (jsc#SLE-13918).
- usb: roles: Add fwnode_usb_role_switch_get() function
  (jsc#SLE-13918).
- device connection: Add fwnode_connection_find_match()
  (jsc#SLE-13918).
- usb: roles: Introduce stubs for the exiting functions in role.h
  (jsc#SLE-13918).
- usb: roles: intel: Enable static DRD mode for role switch
  (jsc#SLE-13918).
- usb: typec: fusb302: Call fusb302_debugfs_init earlier
  (jsc#SLE-13918).
- usb: typec: fusb302: Use usb_debug_root as root for our debugfs
  entry (jsc#SLE-13918).
- usb: typec: tcpm: Use usb_debug_root as root for our debugfs
  entry (jsc#SLE-13918).
- usb: typec: fusb302: Always provide fwnode for the port
  (jsc#SLE-13918).
- usb: typec: fusb302: Remove unused properties (jsc#SLE-13918).
- USB: typec: ucsi_ccg: convert i2c driver to use dev_groups
  (jsc#SLE-13918).
- usb: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-13918).
- usb: typec: mux: Switch to use fwnode_property_count_uXX()
  (jsc#SLE-13918).
- usb: typec: tcpm: Switch to use fwnode_property_count_uXX()
  (jsc#SLE-13918).
- usb: roles: intel_xhci: Supplying software node for the role
  mux (jsc#SLE-13918).
- platform/x86: intel_pmc_ipc: Remove dev_err() usage after
  platform_get_irq() (jsc#SLE-13918).
- commit 4e0d82c
* Mon Sep 14 2020 hare@suse.de
- s390/dasd: fix typo in copyright statement
  (bsc#1175995,jsc#SLE-15608).
- s390/dasd: fix memleak in path handling error case
  (bsc#1175995,jsc#SLE-15608).
- s390/dasd/cio: Interpret ccw_device_get_mdc return value
  (bsc#1175995,jsc#SLE-15608).
- nvmet-loop: Avoid preallocating big SGL for data
  (bsc#1175995,jsc#SLE-15608).
- commit 5d9227b
* Mon Sep 14 2020 hare@suse.de
- nvmet: add another maintainer (bsc#1175995,jsc#SLE-15608).
- nvme-pci: Spelling s/resdicovered/rediscovered/
  (bsc#1175995,jsc#SLE-15608).
- commit e86eeab
* Mon Sep 14 2020 hare@suse.de
- block: mtip32xx: Spelling s/configration/configuration/
  (bsc#1175995,jsc#SLE-15608).
- commit 974c608
* Mon Sep 14 2020 hare@suse.de
- block: Document all members of blk_mq_tag_set and
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/blk-mq-fill-header-with-kernel-doc.patch.
- commit f64ff43
* Mon Sep 14 2020 hare@suse.de
- nvme-tcp: fix possible leakage during error flow
  (bsc#1175995,jsc#SLE-15608).
- nvmet-loop: fix possible leakage during error flow
  (bsc#1175995,jsc#SLE-15608).
- commit b23a9e5
* Mon Sep 14 2020 hare@suse.de
- nbd: fix possible page fault for nbd disk
  (bsc#1175995,jsc#SLE-15608).
- commit 0f0f48c
* Mon Sep 14 2020 hare@suse.de
- nbd: rename the runtime flags as NBD_RT_ prefixed
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/nbd-Fix-memory-leak-in-nbd_add_socket.patch.
- commit 2e3ce4a
* Mon Sep 14 2020 hare@suse.de
- nbd: fix zero cmd timeout handling v2
  (bsc#1175995,jsc#SLE-15608).
- nbd: add function to convert blk req op to nbd cmd
  (bsc#1175995,jsc#SLE-15608).
- nbd: add set cmd timeout helper (bsc#1175995,jsc#SLE-15608).
- commit 02c86ee
* Mon Sep 14 2020 hare@suse.de
- block: optimise bvec_iter_advance() (bsc#1175995,jsc#SLE-15608).
- bdi: Do not use freezable workqueue (bsc#1175995,jsc#SLE-15608).
- block: pg: add header include guard (bsc#1175995,jsc#SLE-15608).
- scsi: core: remove dummy q->dev check
  (bsc#1175995,jsc#SLE-15608).
- lightnvm: print error when target is not found
  (bsc#1175995,jsc#SLE-15608).
- lightnvm: introduce pr_fmt for the prefix nvm
  (bsc#1175995,jsc#SLE-15608).
- writeback: don't access page->mapping directly in
  track_foreign_dirty TP (bsc#1175995,jsc#SLE-15608).
- writeback: add tracepoints for cgroup foreign writebacks
  (bsc#1175995,jsc#SLE-15608).
- writeback, cgroup: inode_switch_wbs() shouldn't give up on
  wb_switch_rwsem trylock fail (bsc#1175995,jsc#SLE-15608).
- writeback, cgroup: Adjust WB_FRN_TIME_CUT_DIV to accelerate
  foreign inode switching (bsc#1175995,jsc#SLE-15608).
- lightnvm: remove unused 'geo' variable
  (bsc#1175995,jsc#SLE-15608).
- lib: scatterlist: Fix to support no mapped sg
  (bsc#1175995,jsc#SLE-15608).
- lightnvm: remove set but not used variables 'data_len' and
  'rq_len' (bsc#1175995,jsc#SLE-15608).
- commit f22a41f
* Mon Sep 14 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move to sorted section:
  patches.suse/edac-ghes-setup-dimm-label-from-dmi-and-use-it-in-error-reports.patch
  patches.suse/edac-i10nm-update-driver-to-support-different-bus-number-config-register-offsets.patch
  patches.suse/edac-skx-i10nm-make-some-configurations-cpu-model-specific.patch
  patches.suse/firmware_loader-fix-memory-leak-for-paged-buffer.patch
  patches.suse/net-packet-fix-overflow-in-tpacket_rcv.patch
  patches.suse/x86-cpu-add-a-steppings-field-to-struct-x86_cpu_id.patch
  patches.suse/x86-cpu-add-table-argument-to-cpu_matches.patch
  patches.suse/x86-smpboot-remove-the-last-icpu-macro.patch
  patches.suse/x86-speculation-add-special-register-buffer-data-sampling-srbds-mitigation.patch
  patches.suse/x86-speculation-add-srbds-vulnerability-and-mitigation-documentation.patch
- move mainline backports into sorted section:
  patches.suse/revert-zram-convert-remaining-class_attr-to-class_attr_ro
  patches.suse/vgacon-fix-out-of-bounds-write-to-the-scrollback-buf.patch
  No effect on expanded tree.
- commit 0435bb2
* Sun Sep 13 2020 colyli@suse.de
- md/raid5: make sure stripe_size as power of two (jsc#SLE-13984).
- md: get sysfs entry after redundancy attr group create
  (jsc#SLE-13984).
- md: remove the kernel version of md_u.h (jsc#SLE-13984).
- md/raid5: Allow degraded raid6 to do rmw (jsc#SLE-13984).
- raid5: don't duplicate code for different paths in handle_stripe
  (jsc#SLE-13984).
- raid5-cache: hold spinlock instead of mutex in
  r5c_journal_mode_show (jsc#SLE-13984).
- commit d9e8fce
* Sun Sep 13 2020 colyli@suse.de
- md: print errno in super_written (jsc#SLE-13984).
- Refresh for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit f15181b
* Sun Sep 13 2020 colyli@suse.de
- md/raid5: remove the redundant setting of STRIPE_HANDLE
  (jsc#SLE-13984).
- md: register new md sysfs file 'uuid' read-only (jsc#SLE-13984).
- md: fix max sectors calculation for super 1.0 (jsc#SLE-13984).
- md/raid5: use do_div() for 64 bit divisions in
  raid5_sync_request (jsc#SLE-13984).
- md/raid10: avoid deadlock on recovery (jsc#SLE-13984).
- raid: md_p.h: drop duplicated word in a comment (jsc#SLE-13984).
- md-cluster: fix rmmod issue when md_cluster convert bitmap to
  none (jsc#SLE-13984).
- md-cluster: fix safemode_delay value when converting to
  clustered bitmap (jsc#SLE-13984).
- md/raid5: support config stripe_size by sysfs entry
  (jsc#SLE-13984).
- md/raid5: set default stripe_size as 4096 (jsc#SLE-13984).
- commit 0b2ec9a
* Sun Sep 13 2020 colyli@suse.de
- md/raid456: convert macro STRIPE_* to RAID5_STRIPE_*
  (jsc#SLE-13984).
- Refresh for the above change,
  patches.suse/mdraid-fix-read-write-bytes-accounting.patch.
- commit 93078c6
* Sun Sep 13 2020 colyli@suse.de
- raid5: remove the meaningless check in raid5_make_request
  (jsc#SLE-13984).
- raid5: put the comment of clear_batch_ready to the right place
  (jsc#SLE-13984).
- raid5: call clear_batch_ready before set STRIPE_ACTIVE
  (jsc#SLE-13984).
- md: raid10: Fix compilation warning (jsc#SLE-13984).
- md: raid5: Fix compilation warning (jsc#SLE-13984).
- md: raid5-cache: Remove set but unused variable (jsc#SLE-13984).
- md: Fix compilation warning (jsc#SLE-13984).
- md-cluster: fix wild pointer of unlock_all_bitmaps()
  (jsc#SLE-13984).
- md/raid5-cache: clear MD_SB_CHANGE_PENDING before flushing
  stripes (jsc#SLE-13984).
- md: fix deadlock causing by sysfs_notify (jsc#SLE-13984).
- commit 33fc6ee
* Sun Sep 13 2020 colyli@suse.de
- md: raid0/linear: fix dereference before null check on pointer
  mddev (jsc#SLE-13984).
- commit ef43a0a
* Sun Sep 13 2020 colyli@suse.de
- md: switch to ->check_events for media change notifications
  (jsc#SLE-13984).
- commit 6feca60
* Sun Sep 13 2020 colyli@suse.de
- md/raid1: Replace zero-length array with flexible-array
  (jsc#SLE-13984).
- Refresh for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit 3d214f8
* Sun Sep 13 2020 colyli@suse.de
- md: add a newline when printing parameter 'start_ro' by sysfs
  (jsc#SLE-13984).
- commit 39a4f77
* Sun Sep 13 2020 colyli@suse.de
- md: stop using ->queuedata (jsc#SLE-13984).
- Refresh for the above change,
  patches.suse/mdraid-fix-read-write-bytes-accounting.patch.
- commit 069a94e
* Sun Sep 13 2020 colyli@suse.de
- md/raid1: release pending accounting for an I/O only after
  write-behind is also finished (jsc#SLE-13984).
- md: remove redundant memalloc scope API usage (jsc#SLE-13984).
- raid5: update code comment of scribble_alloc() (jsc#SLE-13984).
- md: remove the extra line for ->hot_add_disk (jsc#SLE-13984).
- md: flush md_rdev_misc_wq for HOT_ADD_DISK case (jsc#SLE-13984).
- md: don't flush workqueue unconditionally in md_open
  (jsc#SLE-13984).
- md: add new workqueue for delete rdev (jsc#SLE-13984).
- md: add checkings before flush md_misc_wq (jsc#SLE-13984).
- md: remove __clear_page_buffers and use
  attach/detach_page_private (jsc#SLE-13984).
- include/linux/pagemap.h: introduce attach/detach_page_private
  (jsc#SLE-13984).
- md: check arrays is suspended in mddev_detach before call
  quiesce operations (jsc#SLE-13984).
- fs: Enable bmap() function to properly return errors
  (jsc#SLE-13984).
- md/raid1: introduce wait_for_serialization (jsc#SLE-13984).
- md/raid1: use bucket based mechanism for IO serialization
  (jsc#SLE-13984).
- md: introduce a new struct for IO serialization (jsc#SLE-13984).
- md: don't destroy serial_info_pool if serialize_policy is true
  (jsc#SLE-13984).
- raid1: serialize the overlap write (jsc#SLE-13984).
- md: reorgnize mddev_create/destroy_serial_pool (jsc#SLE-13984).
- md: add serialize_policy sysfs node for raid1 (jsc#SLE-13984).
- md: prepare for enable raid1 io serialization (jsc#SLE-13984).
- drivers/md/raid5-ppl.c: use the new spelling of
  RWH_WRITE_LIFE_NOT_SET (jsc#SLE-13984).
- commit d6eaca4
* Fri Sep 11 2020 trenn@suse.com
- cpufreq: intel_pstate: Add one more OOB control bit
  (jsc#SLE-13596).
- commit 371914e
* Fri Sep 11 2020 tbogendoerfer@suse.de
- qlge: Fix build error without CONFIG_ETHERNET (jsc#SLE-15139).
- commit 87b5d37
* Fri Sep 11 2020 hare@suse.de
- block: change REQ_OP_ZONE_RESET and REQ_OP_ZONE_RESET_ALL to
  (bsc#1175995,jsc#SLE-15608).
- block: integrate bd_start_claiming into __blkdev_get
  (bsc#1175995,jsc#SLE-15608).
- block: use bd_prepare_to_claim directly in the loop driver
  (bsc#1175995,jsc#SLE-15608).
- block: refactor bd_start_claiming (bsc#1175995,jsc#SLE-15608).
- commit 8336fd1
* Fri Sep 11 2020 hare@suse.de
- block: simplify the restart case in __blkdev_get
  (bsc#1175995,jsc#SLE-15608).
- temporarily disable patches.suse/bdev-add-open-finish.patch
- commit ded7f4c
* Fri Sep 11 2020 hare@suse.de
- block: always remove partitions from blk_drop_partitions()
  (bsc#1175995,jsc#SLE-15608).
- commit de6c3f7
* Fri Sep 11 2020 tbogendoerfer@suse.de
- gianfar: remove forward declarations (bsc#1176447).
- commit efbc835
* Fri Sep 11 2020 hare@suse.de
- writeback: remove bdi->congested_fn (bsc#1175995,jsc#SLE-15608).
- writeback: remove struct bdi_writeback_congested
  (bsc#1175995,jsc#SLE-15608).
- writeback: remove {set,clear}_wb_congested
  (bsc#1175995,jsc#SLE-15608).
- drbd: remove a bogus bdi_rw_congested call
  (bsc#1175995,jsc#SLE-15608).
- mmc: remove the call to check_disk_change
  (bsc#1175995,jsc#SLE-15608).
- xtensa/simdisk: remove the call to check_disk_change
  (bsc#1175995,jsc#SLE-15608).
- isofs: remove a stale comment (bsc#1175995,jsc#SLE-15608).
- block: remove flush_disk (bsc#1175995,jsc#SLE-15608).
- cdrom: remove the unused cdrom_media_changed function
  (bsc#1175995,jsc#SLE-15608).
- commit ea5de40
* Fri Sep 11 2020 hare@suse.de
- block: remove a bogus warning in __submit_bio_noacct_mq
  (bsc#1175995,jsc#SLE-15608).
- block: initialize current->bio_list[1] in
  (bsc#1175995,jsc#SLE-15608).
- dm: remove unused variable (bsc#1175995,jsc#SLE-15608).
- sbitmap: Consider cleared bits in sbitmap_bitmap_show()
  (bsc#1175995,jsc#SLE-15608).
- docs: block: update and fix tiny error for bfq
  (bsc#1175995,jsc#SLE-15608).
- commit 11634d2
* Fri Sep 11 2020 hare@suse.de
- block: remove the all_bdevs list (bsc#1175995,jsc#SLE-15608).
- block: remove the unused bd_private field from struct
  (bsc#1175995,jsc#SLE-15608).
- commit d9a7037
* Fri Sep 11 2020 hare@suse.de
- block: remove the bd_queue field from struct block_device
  (bsc#1175995,jsc#SLE-15608).
- commit 0349491
* Fri Sep 11 2020 hare@suse.de
- mm, swap: disallow swapon() on zoned block devices
  (bsc#1175995,jsc#SLE-15608).
- commit 84148c6
* Fri Sep 11 2020 tbogendoerfer@suse.de
- netdev: pass the stuck queue to the timeout handler
  (jsc#SLE-13536).
- Refresh patches.suse/sfc-move-various-functions.patch.
- commit a9067ff
* Fri Sep 11 2020 tbogendoerfer@suse.de
- ethtool: move to its own directory (bsc#1176447).
- Refresh
  patches.suse/ethtool-Factored-out-similar-ethtool-link-settings-f.patch.
- commit f7aabdb
* Fri Sep 11 2020 tbogendoerfer@suse.de
- igb: use eth_zero_addr() to clear mac address (jsc#SLE-13536).
- igb: Remove unnecessary usages of memset (jsc#SLE-13536).
- igbvf: use generic power management (jsc#SLE-13536).
- ptp: introduce a phase offset in the periodic output request
  (bsc#1176447).
- ptp: add ability to configure duty cycle for periodic output
  (bsc#1176447).
- ethernet/intel: Convert fallthrough code comments
  (jsc#SLE-13536).
- igb: reinit_locked() should be called with rtnl_lock
  (jsc#SLE-13536).
- igb: make igb_set_fc_watermarks() return void (jsc#SLE-13536).
- igb: Report speed and duplex as unknown when device is runtime
  suspended (jsc#SLE-13536).
- ptp: Add adjust_phase to ptp_clock_caps capability
  (bsc#1176447).
- ptp: Add adjphase function to support phase offset control
  (bsc#1176447).
- igb: convert to use i2c_new_client_device() (jsc#SLE-13536).
- net: igbvf: reject unsupported coalescing params
  (jsc#SLE-13536).
- net: igb: let core reject the unsupported coalescing parameters
  (jsc#SLE-13536).
- ethtool: add infrastructure for centralized checking of
  coalescing parameters (jsc#SLE-13536).
- intel: Replace zero-length array with flexible-array member
  (jsc#SLE-13536).
- ethtool: provide link mode names as a string set (bsc#1176447).
- ethtool: move string arrays into common file (bsc#1176447).
- staging: qlge: Avoid NULL comparison (jsc#SLE-15139).
- Staging: qlge: Rewrite two while loops as simple for loops
  (jsc#SLE-15139).
- igb: Reject requests that fail to enable time stamping on both
  edges (jsc#SLE-13536).
- ptp: Introduce strict checking of external time stamp options
  (bsc#1176447).
- renesas: reject unsupported external timestamp flags
  (bsc#1176447).
- mlx5: reject unsupported external timestamp flags
  (jsc#SLE-13536).
- igb: reject unsupported external timestamp flags
  (jsc#SLE-13536).
- dp83640: reject unsupported external timestamp flags
  (jsc#SLE-13536).
- mv88e6xxx: reject unsupported external timestamp flags
  (jsc#SLE-13536).
- net: reject PTP periodic output requests with unsupported flags
  (bsc#1176447).
- ptp: Validate requests to enable time stamping of external
  signals (bsc#1176447).
- ptp: correctly disable flags on old ioctls (bsc#1176447).
- PTP: add support for one-shot output (bsc#1176447).
- PTP: introduce new versions of IOCTLs (bsc#1176447).
- net: dsa: mv88e6xxx: add PTP support for MV88E6250 family
  (jsc#SLE-13536).
- net: dsa: mv88e6xxx: order ptp structs numerically ascending
  (jsc#SLE-13536).
- net: dsa: mv88e6xxx: setup message port is not supported in
  the 6250 familiy (jsc#SLE-13536).
- net: dsa: mv88e6xxx: introduce invalid_port_mask in
  mv88e6xxx_info (jsc#SLE-13536).
- net: dsa: mv88e6xxx: add support for MV88E6220 (jsc#SLE-13536).
- net: dsa: mv88e6xxx: call vtu_getnext directly in vlan_add
  (jsc#SLE-13536).
- net: dsa: mv88e6xxx: call vtu_getnext directly in vlan_del
  (jsc#SLE-13536).
- net: dsa: mv88e6xxx: call vtu_getnext directly in db load/purge
  (jsc#SLE-13536).
- net: dsa: mv88e6xxx: explicit entry passed to vtu_getnext
  (jsc#SLE-13536).
- net: dsa: mv88e6xxx: lock mutex in vlan_prepare (jsc#SLE-13536).
- net: dsa: mv88e6xxx: avoid some redundant vtu load/purge
  operations (jsc#SLE-13536).
- commit 3cb4ee5
* Fri Sep 11 2020 hare@suse.de
- block: remove the bd_block_size field from struct
  (bsc#1175995,jsc#SLE-15608).
- commit 7214ff1
* Fri Sep 11 2020 hare@suse.de
- block: simplify set_init_blocksize (bsc#1175995,jsc#SLE-15608).
- dcssblk: don't set bd_block_size in ->open
  (bsc#1175995,jsc#SLE-15608).
- floppy: use block_size (bsc#1175995,jsc#SLE-15608).
- commit 9020cc3
* Fri Sep 11 2020 hare@suse.de
- block: remove direct_make_request (bsc#1175995,jsc#SLE-15608).
- block: shortcut __submit_bio_noacct for blk-mq drivers
  (bsc#1175995,jsc#SLE-15608).
- block: refator submit_bio_noacct (bsc#1175995,jsc#SLE-15608).
- commit bd09ba5
* Fri Sep 11 2020 hare@suse.de
- dm mpath: pass IO start time to path selector
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/dm-do-not-use-waitqueue-for-request-based-dm.
- Refresh patches.suse/dm-mpath-leastpending-path-update.
- commit bf30dd1
* Fri Sep 11 2020 fdmanana@suse.com
- btrfs: reset tree root pointer after error in init_tree_roots
  (bsc#1176019).
- commit d323df2
* Fri Sep 11 2020 hare@suse.de
- block: rename generic_make_request to submit_bio_noacct
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/mdraid-fix-read-write-bytes-accounting.patch.
- commit 52119bc
* Fri Sep 11 2020 hare@suse.de
- dm writecache: add cond_resched to loop in
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: Fix reclaim zone selection
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: Fix random zone reclaim selection
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: Fix metadata zone size check
  (bsc#1175995,jsc#SLE-15608).
- dm ioctl: use struct_size() helper in retrieve_deps()
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: skip writecache_wait when using pmem mode
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: correct uncommitted_block when discarding
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: assign max_io_len correctly
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: fix uninitialized pointer dereference
  (bsc#1175995,jsc#SLE-15608).
- commit bf80b71
* Fri Sep 11 2020 hare@suse.de
- dm crypt: avoid truncating the logical block size
  (bsc#1175995,jsc#SLE-15608).
- dm mpath: add DM device name to Failing/Reinstating path log
  (bsc#1175995,jsc#SLE-15608).
- dm mpath: enhance queue_if_no_path debugging
  (bsc#1175995,jsc#SLE-15608).
- dm mpath: restrict queue_if_no_path state machine
  (bsc#1175995,jsc#SLE-15608).
- dm mpath: simplify __must_push_back (bsc#1175995,jsc#SLE-15608).
- dm zoned: check superblock location (bsc#1175995,jsc#SLE-15608).
- dm zoned: prefer full zones for reclaim
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: select reclaim zone based on device index
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: allocate zone by device index
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: support arbitrary number of devices
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: move random and sequential zones into struct
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: per-device reclaim (bsc#1175995,jsc#SLE-15608).
- dm zoned: add metadata pointer to struct dmz_dev
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: add device pointer to struct dm_zone
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: allocate temporary superblock for tertiary devices
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: convert to xarray (bsc#1175995,jsc#SLE-15608).
- dm zoned: add a 'reserved' zone flag
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: improve logging messages for reclaim
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: avoid unnecessary device recalulation for secondary
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: add debugging message for reading superblocks
  (bsc#1175995,jsc#SLE-15608).
- dm ebs: use dm_bufio_forget_buffers (bsc#1175995,jsc#SLE-15608).
- dm bufio: introduce forget_buffer_locked
  (bsc#1175995,jsc#SLE-15608).
- dm bufio: clean up rbtree block ordering
  (bsc#1175995,jsc#SLE-15608).
- dm bufio: delete unused and inefficient
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: remove leftover hunk for switching to sequential
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: terminate reclaim on congestion
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: start reclaim with sequential zones
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: reclaim random zones when idle
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: separate random and cache zones
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: return NULL if dmz_get_zone_for_reclaim() fails to
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: Avoid 64-bit division error in dmz_fixup_devices
  (bsc#1175995,jsc#SLE-15608).
- dm: use DMDEBUG macros now that they use pr_debug variants
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: remove spurious newlines from debugging messages
  (bsc#1175995,jsc#SLE-15608).
- dm: replace zero-length array with flexible-array
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: metadata version 2 (bsc#1175995,jsc#SLE-15608).
- dm zoned: ignore metadata zone in dmz_alloc_zone()
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: Reduce logging output on startup
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: add metadata logging functions
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: use dmz_zone_to_dev() when handling metadata I/O
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: replace 'target' pointer in the bio context
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: remove 'dev' argument from reclaim
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: Introduce dmz_dev_is_dying() and dmz_check_dev()
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: introduce dmz_metadata_label() to format device
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: move fields from struct dmz_dev to dmz_metadata
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: store device in struct dmz_sb
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: use array for superblock zones
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: store zone id within the zone structure and kill
  (bsc#1175995,jsc#SLE-15608).
- dm zoned: add 'message' callback (bsc#1175995,jsc#SLE-15608).
- dm zoned: add 'status' callback (bsc#1175995,jsc#SLE-15608).
- commit 3936716
* Fri Sep 11 2020 fdmanana@suse.com
- btrfs: rename btrfs_put_fs_root and btrfs_grab_fs_root
  (bsc#1176019).
- Refresh
  patches.suse/0001-btrfs-reloc-fix-reloc-root-leak-and-NULL-pointer-der.patch.
- Refresh
  patches.suse/0002-btrfs-reloc-clear-DEAD_RELOC_TREE-bit-for-orphan-roo.patch.
- Refresh
  patches.suse/btrfs-fix-corrupt-log-due-to-concurrent-fsync-of-ino.patch.
- commit 6d38357
* Fri Sep 11 2020 hare@suse.de
- dm verity: add root hash pkcs#7 signature verification
  (bsc#1175995,jsc#SLE-15608).
- Update config files: enable DM_VERITY_VERIFY_ROOTHASH_SIG
- commit 19d995f
* Fri Sep 11 2020 hare@suse.de
- dm mpath: Add timeout mechanism for queue_if_no_path
  (bsc#1175995,jsc#SLE-15608).
- commit 6e2660c
* Fri Sep 11 2020 nsaenzjulienne@suse.de
- thunderbolt: merge fix for kunix_resource changes
  (jsc#SLE-14130).
- thunderbolt: Fix old style declaration warning (jsc#SLE-14130).
- thunderbolt: Add support for authenticate on disconnect
  (jsc#SLE-14130).
- thunderbolt: Add support for separating the flush to SPI and
  authenticate (jsc#SLE-14130).
- thunderbolt: Ensure left shift of 512 does not overflow a 32
  bit int (jsc#SLE-14130).
- thunderbolt: Add support for on-board retimers (jsc#SLE-14130).
- thunderbolt: Implement USB4 port sideband operations for
  retimer access (jsc#SLE-14130).
- thunderbolt: Retry USB4 block read operation (jsc#SLE-14130).
- thunderbolt: Generalize usb4_switch_do_[read|write]_data()
  (jsc#SLE-14130).
- thunderbolt: Split common NVM functionality into a separate file
  (jsc#SLE-14130).
- thunderbolt: Add Intel USB-IF ID to the NVM upgrade supported
  list (jsc#SLE-14130).
- thunderbolt: Add KUnit tests for tunneling (jsc#SLE-14130).
- thunderbolt: Add USB3 bandwidth management (jsc#SLE-14130).
- thunderbolt: Make tb_port_get_link_speed() available to other
  files (jsc#SLE-14130).
- thunderbolt: Implement USB3 bandwidth negotiation routines
  (jsc#SLE-14130).
- thunderbolt: Increase DP DPRX wait timeout (jsc#SLE-14130).
- thunderbolt: Report consumed bandwidth in both directions
  (jsc#SLE-14130).
- thunderbolt: Make usb4_switch_map_pcie_down() also return
  enabled ports (jsc#SLE-14130).
- thunderbolt: Make usb4_switch_map_usb3_down() also return
  enabled ports (jsc#SLE-14130).
- thunderbolt: Do not tunnel USB3 if link is not USB4
  (jsc#SLE-14130).
- thunderbolt: Add DP IN resources for all routers
  (jsc#SLE-14130).
- thunderbolt: Add KUnit tests for path walking (jsc#SLE-14130).
- thunderbolt: Increase path length in discovery (jsc#SLE-14130).
- thunderbolt: Handle incomplete PCIe/USB3 paths correctly in
  discovery (jsc#SLE-14130).
- thunderbolt: Check that both ports are reachable when allocating
  path (jsc#SLE-14130).
- thunderbolt: Make tb_path_alloc() work with tree topologies
  (jsc#SLE-14130).
- thunderbolt: Make tb_next_port_on_path() work with tree
  topologies (jsc#SLE-14130).
- thunderbolt: Get rid of E2E workaround (jsc#SLE-14130).
- thunderbolt: NHI can use HopIDs 1-7 (jsc#SLE-14130).
- thunderbolt: No need to warn if NHI hop_count != 12 or hop_count
  != 32 (jsc#SLE-14130).
- thunderbolt: Build initial XDomain property block upon first
  connect (jsc#SLE-14130).
- thunderbolt: Improve USB4 config symbol help text
  (jsc#SLE-14130).
- commit 6f9f7c3
* Fri Sep 11 2020 hare@suse.de
- dm persistent data: switch exit_ro_spine to return void
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: remove set but not used variables
  (bsc#1175995,jsc#SLE-15608).
- dm ebs: pass discards down to underlying device
  (bsc#1175995,jsc#SLE-15608).
- dm bufio: implement discard (bsc#1175995,jsc#SLE-15608).
- dm mpath: switch paths in dm_blk_ioctl() code path
  (bsc#1175995,jsc#SLE-15608).
- dm crypt: support using encrypted keys
  (bsc#1175995,jsc#SLE-15608).
- commit 10b5ba2
* Fri Sep 11 2020 fdmanana@suse.com
- btrfs: add a leak check for roots (bsc#1176019).
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch.
- commit 331ee79
* Fri Sep 11 2020 hare@suse.de
- dm multipath: use updated MPATHF_QUEUE_IO on mapping for
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: fix logic bug in integrity tag testing
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: fix ppc64le warning (bsc#1175995,jsc#SLE-15608).
- commit 81513cc
* Fri Sep 11 2020 hare@suse.de
- dm clone metadata: Fix return type of
  (bsc#1175995,jsc#SLE-15608).
- dm clone: Add missing casts to prevent overflows and data
  (bsc#1175995,jsc#SLE-15608).
- dm clone: Add overflow check for number of regions
  (bsc#1175995,jsc#SLE-15608).
- dm clone: Fix handling of partial region discards
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: improve discard in journal mode
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: add optional discard support
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: allow resize of the integrity device
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: factor out get_provided_data_sectors()
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: don't replay journal data past the end of the
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: remove sector type casts
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: optimize superblock write
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: implement gradual cleanup
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: implement the "cleaner" policy
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: do direct write if the cache is full
  (bsc#1175995,jsc#SLE-15608).
- commit a548ee3
* Fri Sep 11 2020 hare@suse.de
- dm writecache: improve performance of large linear writes on
  SSDs (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/0024-dm-writecache-verify-watermark-during-resume.patch.
- commit 2cee40d
* Fri Sep 11 2020 hare@suse.de
- dm integrity: print device name in integrity_metadata() error
  (bsc#1175995,jsc#SLE-15608).
- dm crypt: use crypt_integrity_aead() helper
  (bsc#1175995,jsc#SLE-15608).
- commit e7d5f36
* Fri Sep 11 2020 hare@suse.de
- dm: bump version of core and various targets
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: use dm_bio_record and dm_bio_restore
  (bsc#1175995,jsc#SLE-15608).
- dm bio record: save/restore bi_end_io and bi_integrity
  (bsc#1175995,jsc#SLE-15608).
- commit 4321ad8
* Fri Sep 11 2020 hare@suse.de
- dm thin: change data device's flush_bio to be member of struct
  pool (bsc#1175995,jsc#SLE-15608).
- commit 48f9ea3
* Fri Sep 11 2020 hare@suse.de
- dm thin: fix use-after-free in metadata_pre_commit_callback
  (bsc#1175995,jsc#SLE-15608).
- blacklist.conf: remove patch from blacklist
- commit 1b460bb
* Fri Sep 11 2020 hare@suse.de
- dm thin: don't allow changing data device during thin-pool
  (bsc#1175995,jsc#SLE-15608).
- commit e25bd2d
* Fri Sep 11 2020 hare@suse.de
- dm crypt: Implement Elephant diffuser for Bitlocker
  (bsc#1175995,jsc#SLE-15608).
- dm verity: don't prefetch hash blocks for already-verified
  (bsc#1175995,jsc#SLE-15608).
- dm crypt: fix GFP flags passed to skcipher_request_alloc()
  (bsc#1175995,jsc#SLE-15608).
- dm thin metadata: Fix trivial math error in on-disk format
  (bsc#1175995,jsc#SLE-15608).
- dm thin metadata: use true/false for bool variable
  (bsc#1175995,jsc#SLE-15608).
- dm snapshot: use true/false for bool variable
  (bsc#1175995,jsc#SLE-15608).
- dm bio prison v2: use true/false for bool variable
  (bsc#1175995,jsc#SLE-15608).
- dm mpath: use true/false for bool variable
  (bsc#1175995,jsc#SLE-15608).
- dm raid: table line rebuild status fixes
  (bsc#1175995,jsc#SLE-15608).
- dm dust: change ret to r in dust_map_write
  (bsc#1175995,jsc#SLE-15608).
- commit afc3023
* Fri Sep 11 2020 hare@suse.de
- dm clone: Flush destination device before committing metadata
  (bsc#1175995,jsc#SLE-15608).
- dm clone metadata: Use a two phase commit
  (bsc#1175995,jsc#SLE-15608).
- dm clone metadata: Track exact changes per transaction
  (bsc#1175995,jsc#SLE-15608).
- commit a2a9cfa
* Fri Sep 11 2020 hare@suse.de
- dm: Fix Kconfig indentation (bsc#1175995,jsc#SLE-15608).
- dm thin: wakeup worker only when deferred bios exist
  (bsc#1175995,jsc#SLE-15608).
- dm integrity: fix excessive alignment of metadata runs
  (bsc#1175995,jsc#SLE-15608).
- dm raid: Remove unnecessary negation of a shift in
  (bsc#1175995,jsc#SLE-15608).
- dm dust: add limited write failure mode
  (bsc#1175995,jsc#SLE-15608).
- dm dust: change ret to r in dust_map_read and dust_map
  (bsc#1175995,jsc#SLE-15608).
- dm dust: change result vars to r (bsc#1175995,jsc#SLE-15608).
- dm cache: replace spin_lock_irqsave with spin_lock_irq
  (bsc#1175995,jsc#SLE-15608).
- dm bio prison: replace spin_lock_irqsave with spin_lock_irq
  (bsc#1175995,jsc#SLE-15608).
- dm thin: replace spin_lock_irqsave with spin_lock_irq
  (bsc#1175995,jsc#SLE-15608).
- dm clone: add bucket_lock_irq/bucket_unlock_irq helpers
  (bsc#1175995,jsc#SLE-15608).
- dm clone: replace spin_lock_irqsave with spin_lock_irq
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: fix uninitialized variable warning
  (bsc#1175995,jsc#SLE-15608).
- dm stripe: use struct_size() in kmalloc()
  (bsc#1175995,jsc#SLE-15608).
- dm raid: streamline rs_get_progress() and its raid_status()
  (bsc#1175995,jsc#SLE-15608).
- dm raid: simplify rs_setup_recovery call chain
  (bsc#1175995,jsc#SLE-15608).
- dm raid: to ensure resynchronization, perform raid set grow
  (bsc#1175995,jsc#SLE-15608).
- dm raid: change rs_set_dev_and_array_sectors API and callers
  (bsc#1175995,jsc#SLE-15608).
- dm table: do not allow request-based DM to stack on
  (bsc#1175995,jsc#SLE-15608).
- dm clone: Make __hash_find static (bsc#1175995,jsc#SLE-15608).
- commit 6079524
* Fri Sep 11 2020 hare@suse.de
- dm: introduce DM_GET_TARGET_VERSION (bsc#1175995,jsc#SLE-15608).
- dm bufio: introduce a global cache replacement
  (bsc#1175995,jsc#SLE-15608).
- dm bufio: remove old-style buffer cleanup
  (bsc#1175995,jsc#SLE-15608).
- dm bufio: introduce a global queue (bsc#1175995,jsc#SLE-15608).
- dm bufio: refactor adjust_total_allocated
  (bsc#1175995,jsc#SLE-15608).
- dm bufio: call adjust_total_allocated from __link_buffer and
  (bsc#1175995,jsc#SLE-15608).
- commit 5403b07
* Fri Sep 11 2020 fdmanana@suse.com
- btrfs: make the init of static elements in fs_info separate
  (bsc#1176019).
- commit e201abc
* Fri Sep 11 2020 hare@suse.de
- dm writecache: skip writecache_wait for pmem mode
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/0014-dm-writecache-fix-incorrect-flush-sequence-when-doin.patch.
- commit ad60cb5
* Fri Sep 11 2020 hare@suse.de
- dm stats: use struct_size() helper (bsc#1175995,jsc#SLE-15608).
- dm crypt: omit parsing of the encapsulated cipher
  (bsc#1175995,jsc#SLE-15608).
- dm crypt: switch to ESSIV crypto API template
  (bsc#1175995,jsc#SLE-15608).
- dm space map common: remove check for impossible
  (bsc#1175995,jsc#SLE-15608).
- dm raid1: use struct_size() with kzalloc()
  (bsc#1175995,jsc#SLE-15608).
- commit eb38a31
* Fri Sep 11 2020 hare@suse.de
- dm writecache: optimize performance by sorting the blocks for
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: add unlikely for getting two block with same
  (bsc#1175995,jsc#SLE-15608).
- dm writecache: remove unused member pointer in
  (bsc#1175995,jsc#SLE-15608).
- commit 85a30b6
* Fri Sep 11 2020 nsaenzjulienne@suse.de
- thunderbolt: Fix path indices used in USB3 tunnel discovery
  (jsc#SLE-14130).
- blacklist.conf: 8b94a4b92327 ("thunderbolt: Fix path indices used in USB3 tunnel discovery")
- PCI: Make pcie_find_root_port() work for Root Ports
  (jsc#SLE-14130).
- commit b683018
* Fri Sep 11 2020 hare@suse.de
- dm crypt: reuse eboiv skcipher for IV generation
  (bsc#1175995,jsc#SLE-15608).
- commit a93f863
* Fri Sep 11 2020 nsaenzjulienne@suse.de
- thunderbolt: Add trivial .shutdown (jsc#SLE-14130).
- thunderbolt: Update Kconfig to allow building on other
  architectures (jsc#SLE-14130).
- thunderbolt: Add support for Intel Tiger Lake (jsc#SLE-13135).
- Revert "thunderbolt: Prevent crash if non-active NVMem file
  is read" (jsc#SLE-14130).
- PCI: Unify pcie_find_root_port() and pci_find_pcie_root_port()
  (jsc#SLE-14130).
- thunderbolt: Check return value of tb_sw_read() in
  usb4_switch_op() (jsc#SLE-14130).
- thunderbolt: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-14130).
- thunderbolt: icm: Replace zero-length array with flexible-array
  member (jsc#SLE-14130).
- thunderbolt: eeprom: Replace zero-length array with
  flexible-array member (jsc#SLE-14130).
- thunderbolt: Add missing kernel-doc parameter descriptions
  (jsc#SLE-14130).
- thunderbolt: Fix error code in tb_port_is_width_supported()
  (jsc#SLE-14130).
- thunderbolt: fix memory leak of object sw (jsc#SLE-14130).
- thunderbolt: Fix xhci check in usb4_switch_setup()
  (jsc#SLE-14130).
- thunderbolt: Add support for USB 3.x tunnels (jsc#SLE-14130).
- thunderbolt: Add support for Time Management Unit
  (jsc#SLE-14130).
- thunderbolt: Make tb_switch_find_cap() available to other files
  (jsc#SLE-14130).
- thunderbolt: Update Kconfig entries to USB4 (jsc#SLE-14130).
- Update config files: Sync with new USB4/Thunderbolt Kconfig symbols
- thunderbolt: Add initial support for USB4 (jsc#SLE-14130).
- thunderbolt: Populate PG field in hot plug acknowledgment packet
  (jsc#SLE-14130).
- thunderbolt: Call tb_eeprom_get_drom_offset() from
  tb_eeprom_read_n() (jsc#SLE-14130).
- thunderbolt: Make tb_find_port() available to other files
  (jsc#SLE-14130).
- thunderbolt: Do not start firmware unless asked by the user
  (jsc#SLE-14130).
- thunderbolt: Add bandwidth management for Display Port tunnels
  (jsc#SLE-14130).
- thunderbolt: Add Display Port adapter pairing and resource
  management (jsc#SLE-14130).
- thunderbolt: Add Display Port CM handshake for Titan Ridge
  devices (jsc#SLE-14130).
- thunderbolt: Add downstream PCIe port mappings for Alpine and
  Titan Ridge (jsc#SLE-14130).
- thunderbolt: Expand controller name in tb_switch_is_xy()
  (jsc#SLE-14130).
- thunderbolt: Add default linking between lane adapters if not
  provided by DROM (jsc#SLE-14130).
- thunderbolt: Add support for lane bonding (jsc#SLE-14130).
- thunderbolt: Refactor add_switch() into two functions
  (jsc#SLE-14130).
- thunderbolt: Add helper macro to iterate over switch ports
  (jsc#SLE-14130).
- thunderbolt: Make tb_sw_write() take const parameter
  (jsc#SLE-14130).
- thunderbolt: Convert DP adapter register names to follow the
  USB4 spec (jsc#SLE-14130).
- thunderbolt: Convert PCIe adapter register names to follow
  the USB4 spec (jsc#SLE-14130).
- thunderbolt: Convert basic adapter register names to follow
  the USB4 spec (jsc#SLE-14130).
- thunderbolt: Log error if adding switch fails (jsc#SLE-14130).
- thunderbolt: Log switch route string on config read/write
  timeout (jsc#SLE-14130).
- thunderbolt: Introduce tb_switch_is_icm() (jsc#SLE-14130).
- thunderbolt: Add 'generation' attribute for devices
  (jsc#SLE-14130).
- commit 974266a
* Fri Sep 11 2020 hare@suse.de
- iocost: protect iocg->abs_vdebt with iocg->waitq.lock
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/blk-iocost-switch-to-fixed-non-auto-decaying-use_del.patch.
- commit 00d074b
* Fri Sep 11 2020 fdmanana@suse.com
- btrfs: move fs_info init work into it's own helper function
  (bsc#1176019).
- commit 83952d0
* Fri Sep 11 2020 hare@suse.de
- block: move struct block_device to blk_types.h
  (bsc#1175995,jsc#SLE-15608).
- commit 3306a2c
* Fri Sep 11 2020 hare@suse.de
- Update config files: enable BCACHE_ASYNC_REGISTRATION
- commit f631c86
* Fri Sep 11 2020 hare@suse.de
- block: move ->make_request_fn to struct
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/bdev-add-open_finish.patch.
- Refresh
  patches.suse/mdraid-fix-read-write-bytes-accounting.patch.
- commit b5183e6
* Fri Sep 11 2020 fdmanana@suse.com
- btrfs: Streamline btrfs_fs_info::backup_root_index semantics
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch.
- commit b8636e1
* Fri Sep 11 2020 hare@suse.de
- simdisk: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- nvdimm/pmem: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- nvdimm/btt: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- nvdimm/blk: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- commit 249a4a1
* Fri Sep 11 2020 hare@suse.de
- nvme: define constants for identification values
  (bsc#1175995,jsc#SLE-15608).
- nvme-multipath: stop using ->queuedata
  (bsc#1175995,jsc#SLE-15608).
- commit eafe5c7
* Fri Sep 11 2020 hare@suse.de
- block: reduce ifdef CONFIG_BLOCK madness in headers
  (bsc#1175995,jsc#SLE-15608).
- fs: move the buffer_heads_over_limit stub to buffer_head.h
  (bsc#1175995,jsc#SLE-15608).
- block: move block-related definitions out of fs.h
  (bsc#1175995,jsc#SLE-15608).
- block: simplify sb_is_blkdev_sb (bsc#1175995,jsc#SLE-15608).
- fs: remove the mount_bdev and kill_block_super stubs
  (bsc#1175995,jsc#SLE-15608).
- fs: remove the HAVE_UNLOCKED_IOCTL and HAVE_COMPAT_IOCTL
  (bsc#1175995,jsc#SLE-15608).
- fs: remove an unused block_device_operations forward
  (bsc#1175995,jsc#SLE-15608).
- tty/sysrq: emergency_thaw_all does not depend on CONFIG_BLOCK
  (bsc#1175995,jsc#SLE-15608).
- commit 0c04c26
* Fri Sep 11 2020 hare@suse.de
- bcache: pr_info() format clean up in bcache_device_init()
  (bsc#1175995,jsc#SLE-15608).
- bcache: use delayed kworker fo asynchronous devices
  (bsc#1175995,jsc#SLE-15608).
- bcache: check and adjust logical block size for backing
  (bsc#1175995,jsc#SLE-15608).
- bcache: configure the asynchronous registertion to be
  (bsc#1175995,jsc#SLE-15608).
- bcache: asynchronous devices registration
  (bsc#1175995,jsc#SLE-15608).
- bcache: fix refcount underflow in bcache_device_free()
  (bsc#1175995,jsc#SLE-15608).
- bcache: Convert pr_<level> uses to a more typical style
  (bsc#1175995,jsc#SLE-15608).
- bcache: remove redundant variables i and n
  (bsc#1175995,jsc#SLE-15608).
- bcache: remove dupplicated declaration from btree.h
  (bsc#1175995,jsc#SLE-15608).
- bcache: optimize barrier usage for atomic operations
  (bsc#1175995,jsc#SLE-15608).
- bcache: optimize barrier usage for Rmw atomic bitops
  (bsc#1175995,jsc#SLE-15608).
- bcache: Use scnprintf() for avoiding potential buffer
  (bsc#1175995,jsc#SLE-15608).
- bcache: make bch_sectors_dirty_init() to be multithreaded
  (bsc#1175995,jsc#SLE-15608).
- bcache: make bch_btree_check() to be multithreaded
  (bsc#1175995,jsc#SLE-15608).
- bcache: add bcache_ prefix to btree_root() and btree() macros
  (bsc#1175995,jsc#SLE-15608).
- bcache: move macro btree() and btree_root() into btree.h
  (bsc#1175995,jsc#SLE-15608).
- bcache: use read_cache_page_gfp to read the superblock
  (bsc#1175995,jsc#SLE-15608).
- bcache: store a pointer to the on-disk sb in the cache and
  (bsc#1175995,jsc#SLE-15608).
- bcache: return a pointer to the on-disk sb from read_super
  (bsc#1175995,jsc#SLE-15608).
- bcache: transfer the sb_page reference to
  (bsc#1175995,jsc#SLE-15608).
- bcache: fix use-after-free in register_bcache()
  (bsc#1175995,jsc#SLE-15608).
- bcache: properly initialize 'path' and 'err' in
  (bsc#1175995,jsc#SLE-15608).
- bcache: rework error unwinding in register_bcache
  (bsc#1175995,jsc#SLE-15608).
- bcache: use a separate data structure for the on-disk super
  (bsc#1175995,jsc#SLE-15608).
- bcache: cached_dev_free needs to put the sb page
  (bsc#1175995,jsc#SLE-15608).
- commit 9b2bdeb
* Fri Sep 11 2020 mkubecek@suse.cz
- series.conf: fix sort
- fix order of patches in sorted section
- commit 4d61931
* Fri Sep 11 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/bitfield.h-don-t-compile-time-validate-_val-in-FIELD_FIT.patch
  patches.suse/kernel-cpu_pm-Fix-uninitted-local-in-cpu_pm.patch
  patches.suse/mm-limit-boost_watermark-on-small-zones.patch
  patches.suse/mm-page_alloc-fix-core-hung-in-free_pcppages_bulk.patch
  patches.suse/mm-page_alloc-silence-a-KASAN-false-positive.patch
  patches.suse/mm-remove-VM_BUG_ON-PageSlab-from-page_mapcount.patch
  patches.suse/mm-shuffle-don-t-move-pages-between-zones-and-don-t-read-garbage-memmaps.patch
  patches.suse/mm-sparse-rename-pfn_present-to-pfn_in_present_section.patch
  patches.suse/mm-thp-fix-defrag-setting-if-newline-is-not-used.patch
- commit 8d21545
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Rename find_oldest_super_backup to init_backup_root_slot
  (bsc#1176019).
- commit dd087e3
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Remove unused next_root_backup function (bsc#1176019).
- commit fb3bd27
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Don't use objectid_mutex during mount (bsc#1176019).
- commit c44ea8c
* Thu Sep 10 2020 msuchanek@suse.de
- hw-breakpoints: Fix build warnings with clang (jsc#SLE-12936).
- commit 8ae9e21
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Factor out tree roots initialization during mount
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-free-more-things-in-btrfs_free_fs_info.patch.
- commit 10657bc
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: use bool argument in free_root_pointers() (bsc#1176019).
- commit 743977b
* Thu Sep 10 2020 msuchanek@suse.de
- Refresh sorted patches.
- commit b7a51fb
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Add read_backup_root (bsc#1176019).
- commit 3f9983e
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Remove newest_gen argument from find_oldest_super_backup
  (bsc#1176019).
- commit 58cb4f5
* Thu Sep 10 2020 msuchanek@suse.de
- powerpc: move common register copy functions from signal_32.c
  to signal.c (jsc#SLE-16200).
- commit ddd2ccd
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: Cleanup and simplify find_newest_super_backup
  (bsc#1176019).
- commit 478d905
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: add __cold attribute to more functions (bsc#1176019).
- commit 71f76ab
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: free more things in btrfs_free_fs_info (bsc#1176019).
- Refresh
  patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch.
- commit b6ec803
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: push btrfs_grab_fs_root into btrfs_get_fs_root
  (bsc#1176019).
- commit a76defc
* Thu Sep 10 2020 tbogendoerfer@suse.de
- qlge: Move drivers/net/ethernet/qlogic/qlge/ to
  drivers/staging/qlge/ (jsc#SLE-15139).
- staging: qlge: Remove useless memset (jsc#SLE-15139).
- supported.conf: qlge moved to staging
- Delete patches.suse/qlge-Remove-useless-memset.patch.
- commit 28f557c
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: use btrfs_put_fs_root to free roots always (bsc#1176019).
- Refresh
  patches.suse/btrfs-fix-corrupt-log-due-to-concurrent-fsync-of-ino.patch.
- commit 41b464c
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in open_ctree (bsc#1176019).
- commit f1db66d
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: export and rename free_fs_info (bsc#1176019).
- commit 0b624c8
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_check_uuid_tree_entry
  (bsc#1176019).
- commit eca88c1
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_recover_log_trees
  (bsc#1176019).
- commit 351a260
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in create_pending_snapshot
  (bsc#1176019).
- commit 8b70b77
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in get_subvol_name_from_objectid
  (bsc#1176019).
- commit faabe37
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_ioctl_send (bsc#1176019).
- commit 9a7a7b3
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in scrub_print_warning_inode
  (bsc#1176019).
- commit 3f0e119
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref for the root in btrfs_find_orphan_roots
  (bsc#1176019).
- commit 681f58e
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: push grab_fs_root into read_fs_root (bsc#1176019).
- Refresh
  patches.suse/0001-btrfs-reloc-fix-reloc-root-leak-and-NULL-pointer-der.patch.
- Refresh
  patches.suse/0002-btrfs-reloc-clear-DEAD_RELOC_TREE-bit-for-orphan-roo.patch.
- commit 4d5675a
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: user-visible change to perf
- commit caa4d65
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: cleanup need not be backported
- commit f1a5da2
* Thu Sep 10 2020 ptesarik@suse.cz
- net/smc: put slot when connection is killed (git-fixes).
- commit 8ddc482
* Thu Sep 10 2020 hare@suse.de
- block: remove the nr_sectors variable in
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-provide-plug-based-way-of-signaling-forced-no-.patch.
- commit ecd3bf0
* Thu Sep 10 2020 hare@suse.de
- block: remove the NULL queue check in
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-provide-plug-based-way-of-signaling-forced-no-.patch.
- commit b0bd574
* Thu Sep 10 2020 hare@suse.de
- fs: remove a weird comment in submit_bh_wbc
  (bsc#1175995,jsc#SLE-15608).
- dm: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- bcache: stop setting ->queuedata (bsc#1175995,jsc#SLE-15608).
- nfblock: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- commit 8120d8f
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_recover_relocation
  (bsc#1176019).
- commit 4544b15
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in create_reloc_inode
  (bsc#1176019).
- commit 5ad1c23
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in find_data_references
  (bsc#1176019).
- commit b847756
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in record_reloc_root_in_trans
  (bsc#1176019).
- commit ed6b331
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in merge_reloc_roots
  (bsc#1176019).
- Refresh
  patches.suse/0001-btrfs-reloc-fix-reloc-root-leak-and-NULL-pointer-der.patch.
- Refresh
  patches.suse/0002-btrfs-reloc-clear-DEAD_RELOC_TREE-bit-for-orphan-roo.patch.
- commit 6e65a90
* Thu Sep 10 2020 hare@suse.de
- scsi: core: Allow non-root users to perform ZBC commands
  (bsc#1175995,jsc#SLE-15608).
- commit 9798d5e
* Thu Sep 10 2020 mgorman@suse.de
- mm, page_alloc: fix core hung in free_pcppages_bulk() (git fixes
  (mm/pgalloc)).
- bitfield.h: don't compile-time validate _val in FIELD_FIT
  (git fixes (bitfield)).
- mm/page_alloc: silence a KASAN false positive (git fixes
  (mm/pgalloc)).
- mm/shuffle: don't move pages between zones and don't read
  garbage memmaps (git fixes (mm/pgalloc)).
- kernel/cpu_pm: Fix uninitted local in cpu_pm (git fixes
  (kernel/pm)).
- mm: remove VM_BUG_ON(PageSlab()) from page_mapcount() (git fixes
  (mm/compaction)).
- mm: limit boost_watermark on small zones (git fixes
  (mm/pgalloc)).
- mm/sparse: rename pfn_present() to pfn_in_present_section()
  (git fixes (mm/pgalloc)).
- mm, thp: fix defrag setting if newline is not used (git fixes
  (mm/thp)).
- commit 72b22a6
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in prepare_to_merge (bsc#1176019).
- commit 28b372d
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in build_backref_tree
  (bsc#1176019).
- commit abebe41
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold ref on root in btrfs_ioctl_default_subvol
  (bsc#1176019).
- commit c589a9c
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_ioctl_get_subvol_info
  (bsc#1176019).
- commit 390b892
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_search_path_in_tree_user
  (bsc#1176019).
- commit bbc4f14
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in btrfs_search_path_in_tree
  (bsc#1176019).
- commit cd32183
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in search_ioctl (bsc#1176019).
- commit 8173466
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in create_subvol (bsc#1176019).
- commit 5cde960
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in fixup_tree_root_location
  (bsc#1176019).
- commit 320ca12
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in __btrfs_run_defrag_inode
  (bsc#1176019).
- commit 95a17fd
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a root ref in btrfs_get_dentry (bsc#1176019).
- commit 7aed71d
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on the root in resolve_indirect_ref
  (bsc#1176019).
- commit 628db82
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: hold a ref on fs roots while they're in the radix tree
  (bsc#1176019).
- commit 3062c74
* Thu Sep 10 2020 mgorman@suse.de
- blacklist.conf: Theoritical issues that does not apply to kernel configuration
- commit 2c26708
* Thu Sep 10 2020 mgorman@suse.de
- blacklist.conf: Build fix that is not relevant to kernel configuration
- commit 758bef3
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: handle NULL roots in btrfs_put/btrfs_grab_fs_root
  (bsc#1176019).
- commit 58d4ba4
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: make the fs root init functions static (bsc#1176019).
- commit feb2dca
* Thu Sep 10 2020 fdmanana@suse.com
- btrfs: open code btrfs_read_fs_root_no_name (bsc#1176019).
- commit ab1f957
* Thu Sep 10 2020 msuchanek@suse.de
- powerpc: Add cputime_to_nsecs() (bsc#1065729).
- commit dee0106
* Thu Sep 10 2020 msuchanek@suse.de
- powerpc/64: Avoid isync in flush_dcache_range() (jsc#SLE-9246).
- commit 0961846
* Thu Sep 10 2020 mbenes@suse.cz
- livepatch: Add -fdump-ipa-clones to build (fate#323487).
  Add support for -fdump-ipa-clones GCC option.
  Update config files accordingly.
- commit 59bf95b
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: fix needed only if fake NUMA support is removed
- commit 458b58b
* Thu Sep 10 2020 ptesarik@suse.cz
- s390/dasd: fix inability to use DASD with DIAG driver
  (git-fixes).
- s390/mm: fix huge pte soft dirty copying (git-fixes).
- s390/setup: init jump labels before command line parsing
  (git-fixes).
- commit 0b57226
* Thu Sep 10 2020 ptesarik@suse.cz
- blacklist.conf: s390: PAGE_DEFAULT_KEY is always zero
- commit 047e63e
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/64: Make COMPAT user-selectable disabled on littleendian
  by default (jsc#SLE-16200).
- Update config files.
- commit 4848eb4
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc: Add back __ARCH_WANT_SYS_LLSEEK macro (jsc#SLE-16200).
- commit 79038ac
* Wed Sep  9 2020 jroedel@suse.de
- iommu/vt-d: Handle non-page aligned address (bsc#1176367).
- commit 8f4c091
* Wed Sep  9 2020 msuchanek@suse.de
- KVM: PPC: Book3SHV: Enable support for ISA v3.1 guests
  (jsc#SLE-13521).
- commit d8d95c0
* Wed Sep  9 2020 martin.wilck@suse.com
- scsi: hpsa: Correct ctrl queue depth (jsc#SLE-15150).
- scsi: hpsa: Bump version (jsc#SLE-15150).
- scsi: hpsa: Increase controller error handling timeout
  (jsc#SLE-15150).
- scsi: hpsa: Increase queue depth for external LUNs
  (jsc#SLE-15150).
- scsi: hpsa: Correct rare oob condition (jsc#SLE-15150).
- scsi: hpsa: hpsa_ioctl(): Tidy up a bit (jsc#SLE-15150).
- scsi: hpsa: Get rid of compat_alloc_user_space()
  (jsc#SLE-15150).
- scsi: hpsa: Don't bother with vmalloc for
  BIG_IOCTL_Command_struct (jsc#SLE-15150).
- scsi: hpsa: Lift {BIG_,}IOCTL_Command_struct copy{in,out}
  into hpsa_ioctl() (jsc#SLE-15150).
- scsi: hpsa: correct race condition in offload enabled
  (jsc#SLE-15150).
- commit d3ec2e7
* Wed Sep  9 2020 jroedel@suse.de
- blacklist.conf: Add de2b41be8fcc x86, vmlinux.lds: Page-align end of ..page_aligned sections
- commit 0f6cfca
* Wed Sep  9 2020 jroedel@suse.de
- iommu/vt-d: Handle 36bit addressing for x86-32 (bsc#1176362).
- iommu/amd: Do not use IOMMUv2 functionality when SME is active
  (bsc#1174358).
- iommu/amd: Do not force direct mapping when SME is active
  (bsc#1174358).
- iommu/amd: Use cmpxchg_double() when updating 128-bit IRTE
  (bsc#1176359).
- iommu/amd: Restore IRTE.RemapEn bit after programming IRTE
  (bsc#1176358).
- iommu/vt-d: Serialize IOMMU GCMD register modifications
  (bsc#1176364).
- vfio-pci: Avoid recursive read-lock usage (bsc#1176366).
- iommu/amd: Print extended features in one line to fix divergent
  log levels (bsc#1176357).
- iommu/vt-d: Fix PASID devTLB invalidation (bsc#1176361).
- iommu/vt-d: Remove global page support in devTLB flush
  (bsc#1176363).
- iommu/omap: Check for failure of a call to omap_iommu_dump_ctx
  (bsc#1176360).
- iommu/vt-d: Support flushing more translation cache types
  (bsc#1176365).
- commit d9d3306
* Wed Sep  9 2020 mkubecek@suse.cz
- refresh config files
- commit 09c22d1
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: remove btrfs_read_fs_root, not used anymore
  (bsc#1176019).
- commit 27b7c0e
* Wed Sep  9 2020 bp@suse.de
- x86/kvm: Expose TSX Suspend Load Tracking feature (jsc#16232).
- x86/cpufeatures: Enumerate TSX suspend load address tracking
  instructions (jsc#16232).
- commit 8defd29
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: make relocation use btrfs_read_tree_root() (bsc#1176019).
- commit 83c5766
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: export and use btrfs_read_tree_root for tree-log
  (bsc#1176019).
- commit c457d40
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc: Add POWER10 raw mode cputable entry (jsc#SLE-13521).
- powerpc/powernv: Machine check handler for POWER10
  (jsc#SLE-13521).
- commit 804052b
* Wed Sep  9 2020 mkubecek@suse.cz
- fix patch metadata
- change from "queued" to "never":
  patches.suse/0001-xen-don-t-reschedule-in-preemption-off-sections.patch
- commit 9a83f52
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: make btrfs_find_orphan_roots use btrfs_get_fs_root
  (bsc#1176019).
- commit 348b1af
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: move fs root init stuff into btrfs_init_fs_root
  (bsc#1176019).
- commit cb580c0
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: push __setup_root into btrfs_alloc_root (bsc#1176019).
- commit 062eab0
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/watchpoint: Don't allow concurrent perf and ptrace
  events (jsc#SLE-12936).
- commit 0b0d552
* Wed Sep  9 2020 mkubecek@suse.cz
- series.conf: cleanup
- move to sorted section:
  patches.suse/x86-asm-64-Align-start-of-__clear_user-loop-to-16-by.patch
- commit 3cee501
* Wed Sep  9 2020 fdmanana@suse.com
- btrfs: drop create parameter to btrfs_get_extent()
  (bsc#1176019).
- commit 051d33b
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/64: mark emergency stacks valid to unwind (bsc#1156395).
- commit cf61a29
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/watchpoint: Use loop for thread_struct->ptrace_bps
  (jsc#SLE-12936).
- powerpc/watchpoint/ptrace: Return actual num of available
  watchpoints (jsc#SLE-12936).
- commit 874ec7a
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/pseries/iommu: Allow bigger 64bit window by removing
  default DMA window (jsc#SLE-12943).
- powerpc/pseries/iommu: Move window-removing part of remove_ddw
  into remove_dma_window (jsc#SLE-12943).
- powerpc/pseries/iommu: Update call to ibm, query-pe-dma-windows
  (jsc#SLE-12943).
- powerpc/pseries/iommu: Create defines for operations in ibm,
  ddw-applicable (jsc#SLE-12943).
- commit 2727355
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc: Update documentation of ISA versions for Power10
  (jsc#SLE-13521).
- commit d5e7603
* Wed Sep  9 2020 hare@suse.de
- block: fix bdev_disk_changed for non-partitioned devices
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/bdev-add-open_finish.patch.
- commit 67e87f9
* Wed Sep  9 2020 hare@suse.de
- ata: make "libata.force" kernel parameter optional
  (bsc#1175995,jsc#SLE-15608).
- Update config files.
- commit d59f362
* Wed Sep  9 2020 hare@suse.de
- blk-cgroup: separate out blkg_rwstat under
  CONFIG_BLK_CGROUP_RWSTAT (bsc#1175995,jsc#SLE-15608).
- Update config files.
- commit d89109c
* Wed Sep  9 2020 mbenes@suse.cz
- blacklist.conf: 318af7b80b6a ("Revert "kbuild: use -flive-patching when CONFIG_LIVEPATCH is enabled"")
  Contrary to the upstream we'll support the original patch, since it
  makes things easier for us as of now.
- commit 5f31678
* Wed Sep  9 2020 hare@suse.de
- block: merge invalidate_partitions into rescan_partitions
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/bdev-add-open_finish.patch.
- commit fe53ad4
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/traps: Make unrecoverable NMIs die instead of panic
  (bsc#1094244 ltc#168122).
- powerpc/traps: Do not trace system reset (bsc#1094244
  ltc#168122).
- powerpc/64s: machine check do not trace real-mode handler
  (bsc#1094244 ltc#168122).
- powerpc: Implement ftrace_enabled() helpers (bsc#1094244
  ltc#168122).
- powerpc/64s: machine check interrupt update NMI accounting
  (bsc#1094244 ltc#168122).
- powerpc/pseries: Machine check use rtas_call_unlocked() with
  args on stack (bsc#1094244 ltc#168122).
- powerpc/pseries: Limit machine check stack to 4GB (bsc#1094244
  ltc#168122).
- powerpc/pseries/ras: fwnmi sreset should not interlock
  (bsc#1094244 ltc#168122).
- powerpc/pseries/ras: fwnmi avoid modifying r3 in error case
  (bsc#1094244 ltc#168122).
- powerpc/pseries/ras: Fix FWNMI_VALID off by one (bsc#1094244
  ltc#168122).
- powerpc/pseries/ras: Avoid calling rtas_token() in NMI paths
  (bsc#1094244 ltc#168122).
- commit a8046af
* Wed Sep  9 2020 ptesarik@suse.cz
- scsi: zfcp: Fix use-after-free in request timeout handlers
  (git-fixes).
- commit afdea91
* Wed Sep  9 2020 ptesarik@suse.cz
- blacklist.conf: zfcp comment fix
- commit 063b5f1
* Wed Sep  9 2020 hare@suse.de
- blk-stat: make q->stats->lock irqsafe
  (bsc#1175995,jsc#SLE-15608).
- block: fix locking in bdev_del_partition
  (bsc#1175995,jsc#SLE-15608).
- block: release disk reference in hd_struct_free_work
  (bsc#1175995,jsc#SLE-15608).
- commit 55667f3
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/signal64: Don't opencode page prefaulting
  (jsc#SLE-9246).
- powerpc/64/signal: Balance return predictor stack in signal
  trampoline (jsc#SLE-9246).
- powerpc/pseries: Mark accumulate_stolen_time() as notrace
  (jsc#SLE-9246).
- commit 48a612a
* Wed Sep  9 2020 hare@suse.de
- block: loop: set discard granularity and alignment for block
  (bsc#1175995,jsc#SLE-15608).
- block: blk-mq.c: fix @at_head kernel-doc warning
  (bsc#1175995,jsc#SLE-15608).
- commit 9c6b455
* Wed Sep  9 2020 hare@suse.de
- block: don't do revalidate zones on invalid devices
  (bsc#1175995,jsc#SLE-15608).
- nvme-rdma: fix controller reset hang during traffic
  (bsc#1175995,jsc#SLE-15608).
- nvme-tcp: fix controller reset hang during traffic
  (bsc#1175995,jsc#SLE-15608).
- bcache: use disk_{start,end}_io_acct() to count I/O for bcache
  device (bsc#1175995,jsc#SLE-15608).
- bcache: fix bio_{start,end}_io_acct with proper device
  (bsc#1175995,jsc#SLE-15608).
- commit 62cda5f
* Wed Sep  9 2020 hare@suse.de
- block: provide plug based way of signaling forced no-wait
  semantics (bsc#1175995,jsc#SLE-15608).
- block: blk-timeout: delete duplicated word
  (bsc#1175995,jsc#SLE-15608).
- block: blk-mq-sched: delete duplicated word
  (bsc#1175995,jsc#SLE-15608).
- block: genhd: delete duplicated words
  (bsc#1175995,jsc#SLE-15608).
- block: elevator: delete duplicated word and fix typos
  (bsc#1175995,jsc#SLE-15608).
- block: bio: delete duplicated words (bsc#1175995,jsc#SLE-15608).
- block: bfq-iosched: fix duplicated word
  (bsc#1175995,jsc#SLE-15608).
- block: Use non _rcu version of list functions for tag_set_list
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: show global disk stats in root cgroup io.stat
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: make iostat functions visible to stat printing
  (bsc#1175995,jsc#SLE-15608).
- block: defer flush request no matter whether we have elevator
  (bsc#1175995,jsc#SLE-15608).
- block: make blk_timeout_init() static
  (bsc#1175995,jsc#SLE-15608).
- block: remove retry loop in ioc_release_fn()
  (bsc#1175995,jsc#SLE-15608).
- block: remove unnecessary ioc nested locking
  (bsc#1175995,jsc#SLE-15608).
- Revert "blk-rq-qos: remove redundant finish_wait to
  rq_qos_wait." (bsc#1175995,jsc#SLE-15608).
- block: relax jiffies rounding for timeouts
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove redundant validation in __blk_mq_end_request()
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Remove unnecessary local variable
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: streamline handling of q->mq_ops->queue_rq result
  (bsc#1175995,jsc#SLE-15608).
- blk-iolatency: only call ktime_get() if needed
  (bsc#1175995,jsc#SLE-15608).
- block: tidy up a warning in bio_check_ro
  (bsc#1175995,jsc#SLE-15608).
- block: remove the request_queue argument from blk_queue_split
  (bsc#1175995,jsc#SLE-15608).
- zram: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- umem: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- rsxx: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- ps3vram: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- null_blk: stop using ->queuedata for bio mode
  (bsc#1175995,jsc#SLE-15608).
- drbd: stop using ->queuedata (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove pointless call of list_entry_rq() in
  hctx_show_busy_rq() (bsc#1175995,jsc#SLE-15608).
- blk-mq: centralise related handling into blk_mq_get_driver_tag
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: move blk_mq_get_driver_tag into blk-mq.c
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: support batching dispatch in case of io
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: pass obtained budget count to blk_mq_dispatch_rq_list
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove dead check from blk_mq_dispatch_rq_list
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: move getting driver tag and budget into one helper
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: pass hctx to blk_mq_dispatch_rq_list
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: pass request queue into get/put budget callback
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: put driver tag when this request is completed
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: remove a dead check in blk_throtl_bio
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: remove blkcg_bio_issue_check
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: move rcu locking from blkcg_bio_issue_check to
  (bsc#1175995,jsc#SLE-15608).
- cgroup: unexport cgroup_rstat_updated
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: remove the !bio->bi_blkg check in
  (bsc#1175995,jsc#SLE-15608).
- block: move the initial blkg lookup into blkg_tryget_closest
  (bsc#1175995,jsc#SLE-15608).
- block: bypass blkg_tryget_closest for the root_blkg
  (bsc#1175995,jsc#SLE-15608).
- block: merge blkg_lookup_create and __blkg_lookup_create
  (bsc#1175995,jsc#SLE-15608).
- block: move the bio cgroup associatation helpers to blk-cgroup.c
  (bsc#1175995,jsc#SLE-15608).
- block: move bio_associate_blkg_from_page to mm/page_io.c
  (bsc#1175995,jsc#SLE-15608).
- block: merge __bio_associate_blkg into
  bio_associate_blkg_from_css (bsc#1175995,jsc#SLE-15608).
- block: really clone the block cgroup in
  bio_clone_blkg_association (bsc#1175995,jsc#SLE-15608).
- block: remove bio_disassociate_blkg (bsc#1175995,jsc#SLE-15608).
- dm: use bio_uninit instead of bio_disassociate_blkg
  (bsc#1175995,jsc#SLE-15608).
- blk-rq-qos: remove redundant finish_wait to rq_qos_wait
  (bsc#1175995,jsc#SLE-15608).
- block: mark bd_finish_claiming static
  (bsc#1175995,jsc#SLE-15608).
- blk-iocost: Use struct_size() in kzalloc_node()
  (bsc#1175995,jsc#SLE-15608).
- block: bio: Use struct_size() in kmalloc()
  (bsc#1175995,jsc#SLE-15608).
- loop: be paranoid on exit and prevent new additions /
  (bsc#1175995,jsc#SLE-15608).
- block: revert back to synchronous request_queue removal
  (bsc#1175995,jsc#SLE-15608).
- block: clarify context for refcount increment helpers
  (bsc#1175995,jsc#SLE-15608).
- block: add docs for gendisk / request_queue refcount helpers
  (bsc#1175995,jsc#SLE-15608).
- nvme-rdma: factor out a nvme_rdma_end_request helper
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: add a new blk_mq_complete_request_remote API
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: factor out a blk_mq_complete_need_ipi helper
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove the get_cpu/put_cpu pair in
  blk_mq_complete_request (bsc#1175995,jsc#SLE-15608).
- blk-mq: move failure injection out of blk_mq_complete_request
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: merge the softirq vs non-softirq IPI logic
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: short cut the IPI path in blk_mq_force_complete_rq
  for !SMP (bsc#1175995,jsc#SLE-15608).
- blk-mq: complete polled requests directly
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove raise_blk_irq (bsc#1175995,jsc#SLE-15608).
- blk-mq: factor out a helper to reise the block softirq
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: merge blk-softirq.c into blk-mq.c
  (bsc#1175995,jsc#SLE-15608).
- commit 0cd699a
* Wed Sep  9 2020 hare@suse.de
- block: make function __bio_integrity_free() static
  (bsc#1175995,jsc#SLE-15608).
- blk-mq-debugfs: update blk_queue_flag_name[] accordingly for
  new flags (bsc#1175995,jsc#SLE-15608).
- block: release bip in a right way in error path
  (bsc#1175995,jsc#SLE-15608).
- dm: update original bio sector on Zone Append
  (bsc#1175995,jsc#SLE-15608).
- scsi: Wire up ata_scsi_dma_need_drain for SAS HBA drivers
  (bsc#1175995,jsc#SLE-15608).
- block: make function 'kill_bdev' static
  (bsc#1175995,jsc#SLE-15608).
- partitions/ldm: Replace uuid_copy() with import_uuid() where
  it makes sense (bsc#1175995,jsc#SLE-15608).
- block: update hctx map when use multiple maps
  (bsc#1175995,jsc#SLE-15608).
- trace/events/block.h: drop kernel-doc for dropped function
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Remove redundant 'return' statement
  (bsc#1175995,jsc#SLE-15608).
- block: Replace zero-length array with flexible-array
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: fix blk_mq_all_tag_iter (bsc#1175995,jsc#SLE-15608).
- blk-mq: split out a __blk_mq_get_driver_tag helper
  (bsc#1175995,jsc#SLE-15608).
- commit 2fcf2bf
* Wed Sep  9 2020 hare@suse.de
- block: remove the error argument to the block_bio_complete
  tracepoint (bsc#1175995,jsc#SLE-15608).
- blacklist.conf:
- commit c0d6fb1
* Wed Sep  9 2020 hare@suse.de
- loop: Fix wrong masking of status flags
  (bsc#1175995,jsc#SLE-15608).
- commit b79539d
* Wed Sep  9 2020 hare@suse.de
- loop: remove redundant assignment to variable error
  (bsc#1175995,jsc#SLE-15608).
- block: remove ioctl_by_bdev (bsc#1175995,jsc#SLE-15608).
- s390/dasd: remove ioctl_by_bdev calls
  (bsc#1175995,jsc#SLE-15608).
- dasd: refactor dasd_ioctl_information
  (bsc#1175995,jsc#SLE-15608).
- loop: Add LOOP_CONFIGURE ioctl (bsc#1175995,jsc#SLE-15608).
- loop: Clean up LOOP_SET_STATUS lo_flags handling
  (bsc#1175995,jsc#SLE-15608).
- loop: Rework lo_ioctl() __user argument casting
  (bsc#1175995,jsc#SLE-15608).
- loop: Move loop_set_status_from_info() and friends up
  (bsc#1175995,jsc#SLE-15608).
- loop: Factor out configuring loop from status
  (bsc#1175995,jsc#SLE-15608).
- loop: Remove figure_loop_size() (bsc#1175995,jsc#SLE-15608).
- commit 6458d48
* Wed Sep  9 2020 hare@suse.de
- loop: Switch to set_capacity_revalidate_and_notify()
  (bsc#1175995,jsc#SLE-15608).
- loop: Factor out setting loop device size
  (bsc#1175995,jsc#SLE-15608).
- loop: Remove sector_t truncation checks
  (bsc#1175995,jsc#SLE-15608).
- loop: Call loop_config_discard() only after new config is
  (bsc#1175995,jsc#SLE-15608).
- commit 34d958e
* Wed Sep  9 2020 hare@suse.de
- block: mark bio_wouldblock_error() bio with BIO_QUIET
  (bsc#1175995,jsc#SLE-15608).
- blk-wbt: rename __wbt_update_limits to wbt_update_limits
  (bsc#1175995,jsc#SLE-15608).
- blk-wbt: remove wbt_update_limits (bsc#1175995,jsc#SLE-15608).
- blk-throttle: remove tg_drain_bios (bsc#1175995,jsc#SLE-15608).
- blk-throttle: remove blk_throtl_drain
  (bsc#1175995,jsc#SLE-15608).
- null_blk: force complete for timeout request
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: drain I/O when all CPUs in a hctx are offline
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: add blk_mq_all_tag_iter (bsc#1175995,jsc#SLE-15608).
- blk-mq: open code __blk_mq_alloc_request in
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: use BLK_MQ_NO_TAG in more places
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: rename BLK_MQ_TAG_FAIL to BLK_MQ_NO_TAG
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: move more request initialization to blk_mq_rq_ctx_init
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: simplify the blk_mq_get_request calling convention
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove the bio argument to ->prepare_request
  (bsc#1175995,jsc#SLE-15608).
- nvme: force complete cancelled requests
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: blk-mq: provide forced completion method
  (bsc#1175995,jsc#SLE-15608).
- block: fix a warning when blkdev.h is included for !CONFIG_BLOCK
  builds (bsc#1175995,jsc#SLE-15608).
- block: blk-crypto-fallback: remove redundant initialization
  of variable err (bsc#1175995,jsc#SLE-15608).
- block: reduce part_stat_lock() scope
  (bsc#1175995,jsc#SLE-15608).
- block: use __this_cpu_add() instead of access by
  smp_processor_id() (bsc#1175995,jsc#SLE-15608).
- block: remove rcu_read_lock() from part_stat_lock()
  (bsc#1175995,jsc#SLE-15608).
- block: add a blk_account_io_merge_bio helper
  (bsc#1175995,jsc#SLE-15608).
- block: account merge of two requests
  (bsc#1175995,jsc#SLE-15608).
- block: always use a percpu variable for disk stats
  (bsc#1175995,jsc#SLE-15608).
- block: move update_io_ticks to blk-core.c
  (bsc#1175995,jsc#SLE-15608).
- block: remove generic_{start,end}_io_acct
  (bsc#1175995,jsc#SLE-15608).
- zram: nvdimm: use bio_{start,end}_io_acct and
  disk_{start,end}_io_acct (bsc#1175995,jsc#SLE-15608).
- nvdimm: use bio_{start,end}_io_acct (bsc#1175995,jsc#SLE-15608).
- dm: use bio_{start,end}_io_acct (bsc#1175995,jsc#SLE-15608).
- bcache: use bio_{start,end}_io_acct (bsc#1175995,jsc#SLE-15608).
- lightnvm/pblk: use bio_{start,end}_io_acct
  (bsc#1175995,jsc#SLE-15608).
- rsxx: use bio_{start,end}_io_acct (bsc#1175995,jsc#SLE-15608).
- drbd: use bio_{start,end}_io_acct (bsc#1175995,jsc#SLE-15608).
- block: add disk/bio-based accounting helpers
  (bsc#1175995,jsc#SLE-15608).
- block: remove the disk and queue NULL checks in
  (bsc#1175995,jsc#SLE-15608).
- block: remove the error_sector argument to blkdev_issue_flush
  (bsc#1175995,jsc#SLE-15608).
- block: Remove unused flush_queue_delayed in struct
  blk_flush_queue (bsc#1175995,jsc#SLE-15608).
- null_blk: Zero-initialize read buffers in non-memory-backed mode
  (bsc#1175995,jsc#SLE-15608).
- block: Document the bio_vec properties
  (bsc#1175995,jsc#SLE-15608).
- bio.h: Declare the arguments of the bio iteration functions
  const (bsc#1175995,jsc#SLE-15608).
- block: merge part_{inc,dev}_in_flight into their only callers
  (bsc#1175995,jsc#SLE-15608).
- block: don't call part_{inc,dec}_in_flight for blk-mq devices
  (bsc#1175995,jsc#SLE-15608).
- block: move the blk-mq calls out of part_in_flight{,_rw}
  (bsc#1175995,jsc#SLE-15608).
- block: mark blk_account_io_completion static
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: allow blk_mq_make_request to consume the q_usage_counter
  reference (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove a pointless queue enter pair in
  blk_mq_alloc_request_hctx (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove a pointless queue enter pair in
  blk_mq_alloc_request (bsc#1175995,jsc#SLE-15608).
- blk-mq: move the call to blk_queue_enter_live out of
  blk_mq_get_request (bsc#1175995,jsc#SLE-15608).
- Documentation: Document the blk-crypto framework
  (bsc#1175995,jsc#SLE-15608).
- block: move blk_io_schedule() out of header file
  (bsc#1175995,jsc#SLE-15608).
- block: export bio_release_pages and bio_iov_iter_get_pages
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Support REQ_OP_ZONE_APPEND
  (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: emulate ZONE_APPEND commands
  (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: factor out sanity checks for zoned commands
  (bsc#1175995,jsc#SLE-15608).
- block: Modify revalidate zones (bsc#1175995,jsc#SLE-15608).
- block: introduce blk_req_zone_write_trylock
  (bsc#1175995,jsc#SLE-15608).
- block: Introduce REQ_OP_ZONE_APPEND (bsc#1175995,jsc#SLE-15608).
- block: rename __bio_add_pc_page to bio_add_hw_page
  (bsc#1175995,jsc#SLE-15608).
- block: provide fallbacks for blk_queue_zone_is_seq and
  blk_queue_zone_no (bsc#1175995,jsc#SLE-15608).
- block: add blk_io_schedule() for avoiding task hung in sync dio
  (bsc#1175995,jsc#SLE-15608).
- block: don't hold part0's refcount in IO path
  (bsc#1175995,jsc#SLE-15608).
- block: re-organize fields of 'struct hd_part'
  (bsc#1175995,jsc#SLE-15608).
- block: only define 'nr_sects_seq' in hd_part for 32bit SMP
  (bsc#1175995,jsc#SLE-15608).
- block: fix use-after-free on cached last_lookup partition
  (bsc#1175995,jsc#SLE-15608).
- block: reset mapping if failed to update hardware queue count
  (bsc#1175995,jsc#SLE-15608).
- bdi: fix up for "remove the name field in struct
  backing_dev_info" (bsc#1175995,jsc#SLE-15608).
- hfs: stop using ioctl_by_bdev (bsc#1175995,jsc#SLE-15608).
- bdi: remove the name field in struct backing_dev_info
  (bsc#1175995,jsc#SLE-15608).
- bdi: simplify bdi_alloc (bsc#1175995,jsc#SLE-15608).
- bdi: remove bdi_register_owner (bsc#1175995,jsc#SLE-15608).
- bdi: unexport bdi_register_va (bsc#1175995,jsc#SLE-15608).
- driver core: remove device_create_vargs
  (bsc#1175995,jsc#SLE-15608).
- block: rename blk_mq_alloc_rq_maps (bsc#1175995,jsc#SLE-15608).
- block: rename __blk_mq_alloc_rq_map (bsc#1175995,jsc#SLE-15608).
- block: alloc map and request for new hardware queue
  (bsc#1175995,jsc#SLE-15608).
- block: save previous hardware queue count before udpate
  (bsc#1175995,jsc#SLE-15608).
- block: free both rq_map and request (bsc#1175995,jsc#SLE-15608).
- udf: stop using ioctl_by_bdev (bsc#1175995,jsc#SLE-15608).
- isofs: stop using ioctl_by_bdev (bsc#1175995,jsc#SLE-15608).
- hfsplus: stop using ioctl_by_bdev (bsc#1175995,jsc#SLE-15608).
- cdrom: factor out a cdrom_multisession helper
  (bsc#1175995,jsc#SLE-15608).
- cdrom: factor out a cdrom_read_tocentry helper
  (bsc#1175995,jsc#SLE-15608).
- ide-cd: rename cdrom_read_tocentry (bsc#1175995,jsc#SLE-15608).
- block: add a cdrom_device_info pointer to struct gendisk
  (bsc#1175995,jsc#SLE-15608).
- iocost_monitor: drop string wrap around numbers when outputting
  json (bsc#1175995,jsc#SLE-15608).
- iocost_monitor: exit successfully if interval is zero
  (bsc#1175995,jsc#SLE-15608).
- blk-iocost: account for IO size when testing latencies
  (bsc#1175995,jsc#SLE-15608).
- blk-iocost: switch to fixed non-auto-decaying use_delay
  (bsc#1175995,jsc#SLE-15608).
- block: add a bio_queue_enter helper (bsc#1175995,jsc#SLE-15608).
- block: replace BIO_QUEUE_ENTERED with BIO_CGROUP_ACCT
  (bsc#1175995,jsc#SLE-15608).
- block: cleanup the memory stall accounting in submit_bio
  (bsc#1175995,jsc#SLE-15608).
- block: improve the submit_bio and generic_make_request
  documentation (bsc#1175995,jsc#SLE-15608).
- blk-mq: make function '__blk_mq_sched_dispatch_requests' static
  (bsc#1175995,jsc#SLE-15608).
- block: bypass ->make_request_fn for blk-mq drivers
  (bsc#1175995,jsc#SLE-15608).
- dm: remove the make_request_fn check in device_area_is_invalid
  (bsc#1175995,jsc#SLE-15608).
- bcache: remove a duplicate ->make_request_fn assignment
  (bsc#1175995,jsc#SLE-15608).
- block: remove create_io_context (bsc#1175995,jsc#SLE-15608).
- block: Limit number of items taken from the I/O scheduler in
  one go (bsc#1175995,jsc#SLE-15608).
- block: move dma_pad handling from blk_rq_map_sg into the callers
  (bsc#1175995,jsc#SLE-15608).
- block: move dma drain handling to scsi
  (bsc#1175995,jsc#SLE-15608).
- scsi: merge scsi_init_sgtable into scsi_init_io
  (bsc#1175995,jsc#SLE-15608).
- block: provide a blk_rq_map_sg variant that returns the last
  element (bsc#1175995,jsc#SLE-15608).
- block: remove RQF_COPY_USER (bsc#1175995,jsc#SLE-15608).
- block: fold bdev_unhash_inode into invalidate_partition
  (bsc1175995,jsc#SLE-15608).
- block: mark invalidate_partition static
  (bsc#1175995,jsc#SLE-15608).
- block: simplify block device syncing in bdev_del_partition
  (bsc#1175995,jsc#SLE-15608).
- block: don't call invalidate_partition from blk_drop_partitions
  (bsc#1175995,jsc#SLE-15608).
- dasd: use blk_drop_partitions instead of badly reimplementing it
  (bsc#1175995,jsc#SLE-15608).
- block: remove the disk argument from blk_drop_partitions
  (bsc#1175995,jsc#SLE-15608).
- block: remove hd_struct_kill (bsc#1175995,jsc#SLE-15608).
- block: cleanup hd_struct freeing (bsc#1175995,jsc#SLE-15608).
- block: pass a hd_struct to delete_partition
  (bsc#1175995,jsc#SLE-15608).
- block: refactor blkpg_ioctl (bsc#1175995,jsc#SLE-15608).
- Revert "scsi: core: run queue if SCSI device queue isn't ready
  and queue is idle" (bsc#1175995,jsc#SLE-15608).
- blk-mq: Rerun dispatching in the case of budget contention
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Add blk_mq_delay_run_hw_queues() API call
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: In blk_mq_dispatch_rq_list() "no budget" is a reason
  to kick (bsc#1175995,jsc#SLE-15608).
- commit 319a85f
* Wed Sep  9 2020 hare@suse.de
- Revert "block: end bio with BLK_STS_AGAIN in case of non-mq
  devs and REQ_NOWAIT" (bsc#1175995,jsc#SLE-15608).
- null_blk: don't allow discard for zoned mode
  (bsc#1175995,jsc#SLE-15608).
- null_blk: return error for invalid zone size
  (bsc#1175995,jsc#SLE-15608).
- commit ef12ab4
* Wed Sep  9 2020 hare@suse.de
- block: remove the bd_openers checks in blk_drop_partitions
  (bsc#1175995,jsc#SLE-15608).
- blacklist.conf:
- commit 9c44fbf
* Wed Sep  9 2020 hare@suse.de
- null_blk: Cleanup zoned device initialization
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Fix zoned command handling
  (bsc#1175995,jsc#SLE-15608).
- scsi: hisi_sas: Fix build error without SATA_HOST
  (bsc#1175995,jsc#SLE-15608).
- blk-wbt: Drop needless newlines from tracepoint format strings
  (bsc#1175995,jsc#SLE-15608).
- blk-wbt: Use tracepoint_string() for wbt_step tracepoint string
  literals (bsc#1175995,jsc#SLE-15608).
- s390/dasd: remove IOSCHED_DEADLINE from DASD Kconfig
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Put driver tag in blk_mq_dispatch_rq_list() when no
  budget (bsc#1175995,jsc#SLE-15608).
- commit cd72425
* Wed Sep  9 2020 hare@suse.de
- block: fix busy device checking in blk_drop_partitions again
  (bsc#1175995,jsc#SLE-15608).
- blacklist.conf:
- commit 3bc658c
* Wed Sep  9 2020 hare@suse.de
- block: fix busy device checking in blk_drop_partitions
  (bsc#1175995,jsc#SLE-15608).
- blacklist.conf:
- blk-mq: don't commit_rqs() if none were queued
  (bsc#1175995,jsc#SLE-15608).
- loop: Better discard support for block devices
  (bsc#1175995,jsc#SLE-15608).
- loop: Report EOPNOTSUPP properly (bsc#1175995,jsc#SLE-15608).
- commit 8e3eb83
* Wed Sep  9 2020 colyli@suse.de
- blacklist.conf: add cafe01ef8fcb248583038e1be071383530fe355a
- commit 5a7e3c7
* Wed Sep  9 2020 hare@suse.de
- blkcg: don't offline parent blkcg first
  (bsc#1175995,jsc#SLE-15608).
- blkcg: rename blkcg->cgwb_refcnt to ->online_pin and always
  use it (bsc#1175995,jsc#SLE-15608).
- commit 45ef8ed
* Wed Sep  9 2020 hare@suse.de
- pmem: Add functions for reading/writing page to/from pmem
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Fix typo in comment (bsc#1175995,jsc#SLE-15608).
- uuid: Add inline helpers to import / export UUIDs
  (bsc#1175995,jsc#SLE-15608).
- null_blk: add trace in null_blk_zoned.c
  (bsc#1175995,jsc#SLE-15608).
- null_blk: add tracepoint helpers for zoned mode
  (bsc#1175995,jsc#SLE-15608).
- block: add a zone condition debug helper
  (bsc#1175995,jsc#SLE-15608).
- commit c1325db
* Wed Sep  9 2020 hare@suse.de
- null_blk: describe the usage of fault injection param
  (bsc#1175995,jsc#SLE-15608).
- null_blk: fix spurious IO errors after failed past-wp access
  (bsc#1175995,jsc#SLE-15608).
- lightnvm: pblk: Use scnprintf() for avoiding potential buffer
  (bsc#1175995,jsc#SLE-15608).
- block: aoe: Use scnprintf() for avoiding potential buffer
  (bsc#1175995,jsc#SLE-15608).
- loop: Only freeze block queue when needed
  (bsc#1175995,jsc#SLE-15608).
- commit 19247ef
* Wed Sep  9 2020 hare@suse.de
- block: return NULL in blk_alloc_queue() on error
  (bsc#1175995,jsc#SLE-15608).
- commit db2a0a7
* Wed Sep  9 2020 hare@suse.de
- block: simplify queue allocation (bsc#1175995,jsc#SLE-15608).
- bcache: pass the make_request methods to blk_queue_make_request
  (bsc#1175995,jsc#SLE-15608).
- null_blk: use blk_mq_init_queue_data
  (bsc#1175995,jsc#SLE-15608).
- block: add a blk_mq_init_queue_data helper
  (bsc#1175995,jsc#SLE-15608).
- block: move the ->devnode callback to struct
  block_device_operations (bsc#1175995,jsc#SLE-15608).
- block: move the part_stat* helpers from genhd.h to a new header
  (bsc#1175995,jsc#SLE-15608).
- commit 641b897
* Wed Sep  9 2020 hare@suse.de
- block: move guard_bio_eod to bio.c (bsc#1175995,jsc#SLE-15608).
- block: unexport get_gendisk (bsc#1175995,jsc#SLE-15608).
- block: unexport disk_map_sector_rcu (bsc#1175995,jsc#SLE-15608).
- block: unexport disk_get_part (bsc#1175995,jsc#SLE-15608).
- block: mark part_in_flight and part_in_flight_rw static
  (bsc#1175995,jsc#SLE-15608).
- block: mark block_depr static (bsc#1175995,jsc#SLE-15608).
- block: factor out requeue handling from dispatch code
  (bsc#1175995,jsc#SLE-15608).
- block/diskstats: replace time_in_queue with sum of request times
  (bsc#1175995,jsc#SLE-15608).
- block/diskstats: accumulate all per-cpu counters in one pass
  (bsc#1175995,jsc#SLE-15608).
- block: merge partition-generic.c and check.c
  (bsc#1175995,jsc#SLE-15608).
- block: move the various x86 Unix label formats out of genhd.h
  (bsc#1175995,jsc#SLE-15608).
- partitions/msdos: remove LINUX_SWAP_PARTITION
  (bsc#1175995,jsc#SLE-15608).
- block: move the *_PARTITION enum out of genhd.h
  (bsc#1175995,jsc#SLE-15608).
- block: move struct partition out of genhd.h
  (bsc#1175995,jsc#SLE-15608).
- block: remove block/partitions/sun.h
  (bsc#1175995,jsc#SLE-15608).
- block: remove block/partitions/sgi.h
  (bsc#1175995,jsc#SLE-15608).
- block: remove block/partitions/osf.h
  (bsc#1175995,jsc#SLE-15608).
- block: remove block/partitions/karma.h
  (bsc#1175995,jsc#SLE-15608).
- block: declare all partition detection routines in check.h
  (bsc#1175995,jsc#SLE-15608).
- block: remove warn_no_part (bsc#1175995,jsc#SLE-15608).
- block: cleanup how md_autodetect_dev is called
  (bsc#1175995,jsc#SLE-15608).
- block: unexport read_dev_sector and put_dev_sector
  (bsc#1175995,jsc#SLE-15608).
- scsi: simplify scsi_partsize (bsc#1175995,jsc#SLE-15608).
- scsi: move scsicam_bios_param to the end of scsicam.c
  (bsc#1175995,jsc#SLE-15608).
- scsi: simplify scsi_bios_ptable (bsc#1175995,jsc#SLE-15608).
- commit 865fdca
* Wed Sep  9 2020 hare@suse.de
- block: move sysfs methods shared by disks and partitions to
  genhd.c (bsc#1175995,jsc#SLE-15608).
- block: move disk_name and related helpers out of
  partition-generic.c (bsc#1175995,jsc#SLE-15608).
- block: remove __bdevname (bsc#1175995,jsc#SLE-15608).
- block: remove the blk_lookup_devt export
  (bsc#1175995,jsc#SLE-15608).
- commit d7835cf
* Wed Sep  9 2020 hare@suse.de
- block, bfq: move forward the getting of an extra ref in
  bfq_bfqq_move (bsc#1175995,jsc#SLE-15608).
- scsi: Convert to use set_capacity_revalidate_and_notify
  (bsc#1175995,jsc#SLE-15608).
- nvme: Convert to use set_capacity_revalidate_and_notify
  (bsc#1175995,jsc#SLE-15608).
- virtio_blk.c: Convert to use set_capacity_revalidate_and_notify
  (bsc#1175995,jsc#SLE-15608).
- block/genhd: Notify udev about capacity change
  (bsc#1175995,jsc#SLE-15608).
- block: Prevent hung_check firing during long sync IO
  (bsc#1175995,jsc#SLE-15608).
- block: fix a device invalidation regression
  (bsc#1175995,jsc#SLE-15608).
- block, zoned: fix integer overflow with BLKRESETZONE et al
  (bsc#1175995,jsc#SLE-15608).
- blk-iocost: remove duplicated lines in comments
  (bsc#1175995,jsc#SLE-15608).
- block: sed-opal: Change the check condition for regular session
  validity (bsc#1175995,jsc#SLE-15608).
- block: Document genhd capability flags
  (bsc#1175995,jsc#SLE-15608).
- block: cleanup comment for blk_flush_complete_seq
  (bsc#1175995,jsc#SLE-15608).
- block: remove unneeded argument from blk_alloc_flush_queue
  (bsc#1175995,jsc#SLE-15608).
- block: cleanup for _blk/blk_rq_prep_clone
  (bsc#1175995,jsc#SLE-15608).
- block: remove redundant setting of QUEUE_FLAG_DYING
  (bsc#1175995,jsc#SLE-15608).
- block: use bio_{wouldblock,io}_error in direct_make_request
  (bsc#1175995,jsc#SLE-15608).
- block: fix comment for blk_cloned_rq_check_limits
  (bsc#1175995,jsc#SLE-15608).
- block: Fix use-after-free issue accessing struct io_cq
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Add support for init_hctx() fault injection
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Handle null_add_dev() failures properly
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Fix changing the number of hardware queues
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Suppress an UBSAN complaint triggered when setting
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Fix a recently introduced regression in
  blk_mq_realloc_hw_ctxs() (bsc#1175995,jsc#SLE-15608).
- blk-mq: Fix a comment in include/linux/blk-mq.h
  (bsc#1175995,jsc#SLE-15608).
- ata: move ata_eh_analyze_ncq_error() & co. to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: start separating SATA specific code from libata-eh.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move ata_sas_*() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: start separating SATA specific code from libata-scsi.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move sata_deb_timing_*() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move ata_qc_complete_multiple() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move sata_link_hardreset() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move sata_link_{debounce,resume}() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move *sata_set_spd*() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: move sata_scr_*() to libata-sata.c
  (bsc#1175995,jsc#SLE-15608).
- ata: start separating SATA specific code from libata-core.c
  (bsc#1175995,jsc#SLE-15608).
- ata: let compiler optimize out ata_eh_set_lpm() on non-SATA
  hosts (bsc#1175995,jsc#SLE-15608).
- ata: let compiler optimize out ata_dev_config_ncq() on non-SATA
  hosts (bsc#1175995,jsc#SLE-15608).
- ata: add CONFIG_SATA_HOST=n version of ata_ncq_enabled()
  (bsc#1175995,jsc#SLE-15608).
- ata: separate PATA timings code from libata-core.c
  (bsc#1175995,jsc#SLE-15608).
- ata: fix CodingStyle issues in PATA timings code
  (bsc#1175995,jsc#SLE-15608).
- ata: remove EXPORT_SYMBOL_GPL()s not used by modules
  (bsc#1175995,jsc#SLE-15608).
- ata: move EXPORT_SYMBOL_GPL()s close to exported code
  (bsc#1175995,jsc#SLE-15608).
- ata: optimize ata_scsi_rbuf[] size (bsc#1175995,jsc#SLE-15608).
- ata: optimize struct ata_force_param size
  (bsc#1175995,jsc#SLE-15608).
- ata: use COMMAND_LINE_SIZE for ata_force_param_buf[] size
  (bsc#1175995,jsc#SLE-15608).
- ata: simplify ata_scsiop_inq_89() (bsc#1175995,jsc#SLE-15608).
- sata_promise: use ata_cable_sata() (bsc#1175995,jsc#SLE-15608).
- ata: make SATA_PMP option selectable only if any SATA host
  driver is enabled (bsc#1175995,jsc#SLE-15608).
- ata: expose ncq_enable_prio sysfs attribute only on NCQ capable
  hosts (bsc#1175995,jsc#SLE-15608).
- ata: remove stale maintainership information from core code
  (bsc#1175995,jsc#SLE-15608).
- ahci: Add Intel Comet Lake PCH-V PCI ID
  (bsc#1175995,jsc#SLE-15608).
- ahci: Add Intel Comet Lake PCH-H PCI ID
  (bsc#1175995,jsc#SLE-15608).
- libata: Assign OF node to the SCSI device
  (bsc#1175995,jsc#SLE-15608).
- AHCI: Add support for Loongson 7A1000 SATA controller
  (bsc#1175995,jsc#SLE-15608).
- libata: transport: Use scnprintf() for avoiding potential
  (bsc#1175995,jsc#SLE-15608).
- commit 75956e8
* Wed Sep  9 2020 hare@suse.de
- blk-mq: insert flush request to the front of dispatch queue
  (bsc#1175995,jsc#SLE-15608).
- block, bfq: fix overwrite of bfq_group pointer in
  bfq_find_set_group() (bsc#1175995,jsc#SLE-15608).
- block: Remove used kblockd_schedule_work_on()
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Remove some unused function arguments
  (bsc#1175995,jsc#SLE-15608).
- null_blk: remove unused fields in 'nullb_cmd'
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: insert passthrough request into hctx->dispatch directly
  (bsc#1175995,jsc#SLE-15608).
- commit 9de5f0d
* Wed Sep  9 2020 hare@suse.de
- ata: pata_arasan_cf: Use dma_request_chan() instead
  (bsc#1175995,jsc#SLE-15608).
- pata_pcmia: add SanDisk High (>8G) CF card to supported list
  (bsc#1175995,jsc#SLE-15608).
- drivers/block/null_blk_main.c: fix uninitialized var warnings
  (bsc#1175995,jsc#SLE-15608).
- drivers/block/null_blk_main.c: fix layout
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: bsg: add handler (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: block: add blkdev_compat_ptr_ioctl
  (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: Rename sd_zbc_check_zones()
  (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: Simplify sd_zbc_check_zones()
  (bsc#1175995,jsc#SLE-15608).
- ata/acard_ahci: remove unused variable n_elem
  (bsc#1175995,jsc#SLE-15608).
- ata: pata_macio: fix comparing pointer to 0
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci_brcm: BCM7216 reset is self de-asserting
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci_brcm: Perform reset after obtaining resources
  (bsc#1175995,jsc#SLE-15608).
- ata: brcm: fix reset controller API usage
  (bsc#1175995,jsc#SLE-15608).
- ata: brcm: mark PM functions as __maybe_unused
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci_brcm: Support BCM7216 reset controller name
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci_brcm: Add a shutdown callback
  (bsc#1175995,jsc#SLE-15608).
- ata: ahci_brcm: Manage reset line during suspend/resume
  (bsc#1175995,jsc#SLE-15608).
- commit 6ebf273
* Wed Sep  9 2020 hare@suse.de
- partitions/ldm: fix spelling mistake "to" -> "too"
  (bsc#1175995,jsc#SLE-15608).
- block, bfq: improve arithmetic division in bfq_delta()
  (bsc#1175995,jsc#SLE-15608).
- block/bfq: remove unused bfq_class_rt which never used
  (bsc#1175995,jsc#SLE-15608).
- block: mark zone-mgmt bios with REQ_SYNC
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Document functions for sending request
  (bsc#1175995,jsc#SLE-15608).
- commit 0991616
* Wed Sep  9 2020 hare@suse.de
- null_blk: Fix zone write handling (bsc#1175995,jsc#SLE-15608).
- fs: move guard_bio_eod() after bio_set_op_attrs
  (bsc#1175995,jsc#SLE-15608).
- block: remove unused mp_bvec_last_segment
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Fix REQ_OP_ZONE_CLOSE handling
  (bsc#1175995,jsc#SLE-15608).
- block: add bio_truncate to fix guard_bio_eod
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: block: handle add zone open, close and finish
  ioctl (bsc#1175995,jsc#SLE-15608).
- block: fix memleak when __blk_rq_map_user_iov() is failed
  (bsc#1175995,jsc#SLE-15608).
- block: Fix a lockdep complaint triggered by request queue
  flushing (bsc#1175995,jsc#SLE-15608).
- block: end bio with BLK_STS_AGAIN in case of non-mq devs and
  REQ_NOWAIT (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: remove blkcg_drain_queue
  (bsc#1175995,jsc#SLE-15608).
- block: fix NULL pointer dereference in account statistics with
  IDE (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: Improve report zones error printout
  (bsc#1175995,jsc#SLE-15608).
- commit f7001e1
* Wed Sep  9 2020 hare@suse.de
- bfq-iosched: Ensure bio->bi_blkg is valid before using it
  (bsc#1175995,jsc#SLE-15608).
- null_blk: remove unused variable warning on
  !CONFIG_BLK_DEV_ZONED (bsc#1175995,jsc#SLE-15608).
- brd: warn on un-aligned buffer (bsc#1175995,jsc#SLE-15608).
- brd: remove max_hw_sectors queue limit
  (bsc#1175995,jsc#SLE-15608).
- block: set the zone size in blk_revalidate_disk_zones atomically
  (bsc#1175995,jsc#SLE-15608).
- block: don't handle bio based drivers in
  blk_revalidate_disk_zones (bsc#1175995,jsc#SLE-15608).
- block: allocate the zone bitmaps lazily
  (bsc#1175995,jsc#SLE-15608).
- block: replace seq_zones_bitmap with conv_zones_bitmap
  (bsc#1175995,jsc#SLE-15608).
- block: simplify blkdev_nr_zones (bsc#1175995,jsc#SLE-15608).
- block: remove the empty line at the end of blk-zoned.c
  (bsc#1175995,jsc#SLE-15608).
- null_blk: cleanup null_gendisk_register
  (bsc#1175995,jsc#SLE-15608).
- null_blk: fix zone size paramter check
  (bsc#1175995,jsc#SLE-15608).
- block: don't send uevent for empty disk when not invalidating
  (bsc#1175995,jsc#SLE-15608).
- commit ad5fd19
* Wed Sep  9 2020 hare@suse.de
- ata: ahci-imx: Covert to use GPIO descriptor
  (bsc#1175995,jsc#SLE-15608).
- compat_ioctl: reimplement SG_IO handling
  (bsc#1175995,jsc#SLE-15608).
- block: move clearing bd_invalidated into check_disk_size_change
  (bsc#1175995,jsc#SLE-15608).
- block: remove (__)blkdev_reread_part as an exported API
  (bsc#1175995,jsc#SLE-15608).
- block: move rescan_partitions to fs/block_dev.c
  (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: Remove set but not used variable 'buflen'
  (bsc#1175995,jsc#SLE-15608).
- scsi: sd_zbc: Cleanup sd_zbc_alloc_report_buffer()
  (bsc#1175995,jsc#SLE-15608).
- null_blk: Add zone_nr_conv to features
  (bsc#1175995,jsc#SLE-15608).
- commit a39b51e
* Wed Sep  9 2020 hare@suse.de
- null_blk: add zone open, close, and finish support
  (bsc#1175995,jsc#SLE-15608).
- dm: add zone open, close and finish support
  (bsc#1175995,jsc#SLE-15608).
- commit d1eb54b
* Wed Sep  9 2020 hare@suse.de
- null_blk: Enable modifying 'submit_queues' after an instance
  has been configured (bsc#1175995,jsc#SLE-15608).
- null_blk: Improve nullb_device_##NAME##_store() readability
  (bsc#1175995,jsc#SLE-15608).
- commit 7c2a4d9
* Wed Sep  9 2020 hare@suse.de
- Revert "block: split bio if the only bvec's length is > SZ_4K"
  (bsc#1175995,jsc#SLE-15608).
- block: add iostat counters for flush requests
  (bsc#1175995,jsc#SLE-15608).
- block,bfq: Skip tracing hooks if possible
  (bsc#1175995,jsc#SLE-15608).
- block: sed-opal: Introduce SUM_SET_LIST parameter and append
  it using 'add_token_u64' (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: cgroup_rstat_updated() shouldn't be called on
  (bsc#1175995,jsc#SLE-15608).
- sbitmap: Delete sbitmap_any_bit_clear()
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Delete blk_mq_has_free_tags() and blk_mq_can_queue()
  (bsc#1175995,jsc#SLE-15608).
- block: split bio if the only bvec's length is > SZ_4K
  (bsc#1175995,jsc#SLE-15608).
- block: still try to split bio if the bvec crosses pages
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: reimplement basic IO stats using cgroup rstat
  (bsc#1175995,jsc#SLE-15608).
- blk-cgroup: remove now unused
  blkg_print_stat_{bytes|ios}_recursive()
  (bsc#1175995,jsc#SLE-15608).
- blk-throtl: stop using blkg->stat_bytes and ->stat_ios
  (bsc#1175995,jsc#SLE-15608).
- bfq-iosched: stop using blkg->stat_bytes and ->stat_ios
  (bsc#1175995,jsc#SLE-15608).
- bfq-iosched: relocate bfqg_*rwstat*() helpers
  (bsc#1175995,jsc#SLE-15608).
- block: add zone open, close and finish ioctl support
  (bsc#1175995,jsc#SLE-15608).
- block: avoid blk_bio_segment_split for small I/O operations
  (bsc#1175995,jsc#SLE-15608).
- block: sed-opal: Introduce Opal Datastore UID
  (bsc#1175995,jsc#SLE-15608).
- block: sed-opal: Add support to read/write opal tables
  generically (bsc#1175995,jsc#SLE-15608).
- block: sed-opal: Generalizing write data to any opal table
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Make blk_mq_run_hw_queue() return void
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: fill header with kernel-doc (bsc#1175995,jsc#SLE-15608).
- blk-mq: remove needless goto from blk_mq_get_driver_tag
  (bsc#1175995,jsc#SLE-15608).
- block: reorder bio::__bi_remaining for better packing
  (bsc#1175995,jsc#SLE-15608).
- block: Reduce the amount of memory used for tag sets
  (bsc#1175995,jsc#SLE-15608).
- block: Reduce the amount of memory required per request queue
  (bsc#1175995,jsc#SLE-15608).
- block: Remove the synchronize_rcu() call from
  __blk_mq_update_nr_hw_queues() (bsc#1175995,jsc#SLE-15608).
- block: account statistics for passthrough requests
  (bsc#1175995,jsc#SLE-15608).
- blk-stat: Optimise blk_stat_add() (bsc#1175995,jsc#SLE-15608).
- blk-mq: Embed counters into struct mq_inflight
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Reuse callback in blk_mq_in_flight*()
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: Inline status checkers (bsc#1175995,jsc#SLE-15608).
- block: Reduce sysfs_lock locking inside blk_cleanup_queue()
  (bsc#1175995,jsc#SLE-15608).
- block: Remove "dying" checks from sysfs callbacks
  (bsc#1175995,jsc#SLE-15608).
- block: Remove request_queue.nr_queues
  (bsc#1175995,jsc#SLE-15608).
- block: Fix three kernel-doc warnings
  (bsc#1175995,jsc#SLE-15608).
- ata: pata_artop: make arrays static const, makes object
  (bsc#1175995,jsc#SLE-15608).
- ata_piix: remove open-coded dmi_match(DMI_OEM_STRING)
  (bsc#1175995,jsc#SLE-15608).
- ata: sata_mv, avoid trigerrable BUG_ON
  (bsc#1175995,jsc#SLE-15608).
- ata: make qc_prep return ata_completion_errors
  (bsc#1175995,jsc#SLE-15608).
- ata: define AC_ERR_OK (bsc#1175995,jsc#SLE-15608).
- ata: Documentation, fix function names
  (bsc#1175995,jsc#SLE-15608).
- commit bdb6a8c
* Wed Sep  9 2020 hare@suse.de
- ata: libahci_platform: Fix regulator_get_optional() misuse
  (bsc#1175995,jsc#SLE-15608).
- block: Fix elv_support_iosched() (bsc#1175995,jsc#SLE-15608).
- parisc: Remove 32-bit DMA enforcement from sba_iommu
  (bsc#1175995,jsc#SLE-15608).
- rq-qos: get rid of redundant wbt_update_limits()
  (bsc#1175995,jsc#SLE-15608).
- ata: libahci_platform: Add of_node_put() before loop exit
  (bsc#1175995,jsc#SLE-15608).
- null_blk: format pr_* logs with pr_fmt
  (bsc#1175995,jsc#SLE-15608).
- null_blk: match the type of parameter nr_devices
  (bsc#1175995,jsc#SLE-15608).
- null_blk: do not fail the module load with zero devices
  (bsc#1175995,jsc#SLE-15608).
- null_blk: validate the number of devices
  (bsc#1175995,jsc#SLE-15608).
- null_blk: fix module name at log message
  (bsc#1175995,jsc#SLE-15608).
- docs: block: null_blk: enhance document style
  (bsc#1175995,jsc#SLE-15608).
- commit 05df433
* Wed Sep  9 2020 hare@suse.de
- null_blk: create a helper for badblocks
  (bsc#1175995,jsc#SLE-15608).
- commit e742a9e
* Wed Sep  9 2020 hare@suse.de
- null_blk: create a helper for throttling
  (bsc#1175995,jsc#SLE-15608).
- commit c77d602
* Wed Sep  9 2020 hare@suse.de
- libata: switch remaining drivers to use
  dma_set_mask_and_coherent (bsc#1175995,jsc#SLE-15608).
- sata_sil24: use dma_set_mask_and_coherent
  (bsc#1175995,jsc#SLE-15608).
- sata_qstor: use dma_set_mask_and_coherent
  (bsc#1175995,jsc#SLE-15608).
- sata_nv: use dma_set_mask_and_coherent
  (bsc#1175995,jsc#SLE-15608).
- sata_mv: use dma_set_mask_and_coherent
  (bsc#1175995,jsc#SLE-15608).
- pdc_adma: use dma_set_mask_and_coherent
  (bsc#1175995,jsc#SLE-15608).
- ahci: use dma_set_mask_and_coherent (bsc#1175995,jsc#SLE-15608).
- acard_ahci: use dma_set_mask_and_coherent
  (bsc#1175995,jsc#SLE-15608).
- ata/pata_buddha: Probe via modalias instead of initcall
  (bsc#1175995,jsc#SLE-15608).
- commit 922a0a1
* Wed Sep  9 2020 nsaenzjulienne@suse.de
- Update config files (jsc#SLE-15887).
- commit 244ffd7
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/perf: Fix reading of MSR[HV/PR] bits in trace-imc
  (jsc#SLE-13513).
- powerpc/perf: Add kernel support for new MSR[HV PR] bits in
  trace-imc (jsc#SLE-13513).
- commit b6f4472
* Wed Sep  9 2020 colyli@suse.de
- dm: don't call report zones for more than the user requested
  (git fixes (block drivers)).
- dm rq: don't call blk_mq_queue_stopped() in dm_stop_queue()
  (git fixes (block drivers)).
- md: raid0/linear: fix dereference before null check on pointer
  mddev (git fixes (block drivers)).
- sbitmap: Consider cleared bits in sbitmap_bitmap_show()
  (git fixes (block drivers)).
- blktrace: fix debugfs use after free (git fixes (block
  drivers)).
- block: revert back to synchronous request_queue removal (git
  fixes (block drivers)).
- block: add docs for gendisk / request_queue refcount helpers
  (git fixes (block drivers)).
- dm integrity: fix integrity recalculation that is improperly
  skipped (git fixes (block drivers)).
- virtio-blk: free vblk-vqs in error path of virtblk_probe()
  (git fixes (block drivers)).
- dm writecache: add cond_resched to loop in
  persistent_memory_claim() (git fixes (block drivers)).
- dm writecache: correct uncommitted_block when discarding
  uncommitted entry (git fixes (block drivers)).
- dm zoned: assign max_io_len correctly (git fixes (block
  drivers)).
- bcache: Convert pr_<level> uses to a more typical style (git
  fixes (block drivers)).
- commit 35db4b2
* Wed Sep  9 2020 colyli@suse.de
- blacklist.conf: add 7bf137298cb73afdb8c5536e474f7ba71ab1c235
- commit cdf662f
* Wed Sep  9 2020 dwagner@suse.de
- scsi: lpfc: Fix setting IRQ affinity with an empty CPU mask
  (git-fixes).
- scsi: qla2xxx: Fix regression on sparc64 (git-fixes).
- commit b922436
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/xmon: Use `dcbf` inplace of `dcbi` instruction for
  64bit Book3S (bsc#1065729).
- commit 9cbba57
* Wed Sep  9 2020 dwagner@suse.de
- scsi: libfc: Fix for double free() (bsc#1174899).
- commit 941605d
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/watchpoint/xmon: Support 2nd DAWR (jsc#SLE-12936).
- powerpc/watchpoint/xmon: Don't allow breakpoint overwriting
  (jsc#SLE-12936).
- powerpc/xmon: Allow listing and clearing breakpoints in
  read-only mode (jsc#SLE-15857 jsc#SLE-13618).
- commit 1c156c6
* Wed Sep  9 2020 msuchanek@suse.de
- powerpc/book3s64/radix: Add kernel command line option
  to disable radix GTSE (bsc#1055186 ltc#153436 FATE#323286
  jsc#SLE-13512).
- powerpc/mm/radix: Create separate mappings for hot-plugged
  memory (bsc#1055186 ltc#153436 FATE#323286).
- powerpc/mm/radix: Remove split_kernel_mapping() (bsc#1055186
  ltc#153436 FATE#323286).
- powerpc/mm/radix: Free PUD table when freeing pagetable
  (bsc#1055186 ltc#153436 FATE#323286).
- powerpc/mm/radix: Fix PTE/PMD fragment count for early page
  table mappings (bsc#1055186 ltc#153436 FATE#323286).
- powerpc/prom: Enable Radix GTSE in cpu pa-features (bsc#1055186
  ltc#153436 FATE#323286 jsc#SLE-13512).
- powerpc/mm: Enable radix GTSE only if supported (bsc#1055186
  ltc#153436 FATE#323286 jsc#SLE-13512).
- commit d06aeea
* Wed Sep  9 2020 msuchanek@suse.de
- Refresh patches.suse/nvdimm-Avoid-race-between-probe-and-reading-device-a.patch
  Update submit URL to v2
- commit f6fe239
* Wed Sep  9 2020 tiwai@suse.de
- blacklist.conf: Add an inapplicable entry
- commit de0e335
* Wed Sep  9 2020 tiwai@suse.de
- nl80211: fix NL80211_ATTR_HE_6GHZ_CAPABILITY usage
  (jsc#SLE-13430).
- staging: rtl8723bs: remove mgmt_frame_register method
  (jsc#SLE-13430).
- commit 808babd
* Wed Sep  9 2020 tiwai@suse.de
- cfg80211: Adjust 6 GHz frequency to channel conversion
  (jsc#SLE-13430).
- mac80211: reduce packet loss event false positives
  (jsc#SLE-13430).
- cfg80211: regulatory: reject invalid hints (jsc#SLE-13430).
- wireless: fix wrong 160/80+80 MHz setting (jsc#SLE-13430).
- mac80211: improve AQL aggregation estimation for low data rates
  (jsc#SLE-13430).
- mac80211: factor out code to look up the average packet length
  duration for a rate (jsc#SLE-13430).
- mac80211: use rate provided via status->rate on
  ieee80211_tx_status_ext for AQL (jsc#SLE-13430).
- ipw2x00: switch from 'pci_' to 'dma_' API (jsc#SLE-13430).
- ipw2100: Use GFP_KERNEL instead of GFP_ATOMIC in some memory
  allocation (jsc#SLE-13430).
- iwlwifi: yoyo: don't print failure if debug firmware is missing
  (jsc#SLE-13430).
- mac80211: Do not report beacon loss if beacon filtering enabled
  (jsc#SLE-13430).
- mac80211: fix misplaced while instead of if (jsc#SLE-13430).
- nl80211: use eth_zero_addr() to clear mac address
  (jsc#SLE-13430).
- mac80211: use eth_zero_addr() to clear mac address
  (jsc#SLE-13430).
- mac8211: fix struct initialisation (jsc#SLE-13430).
- mac80211: Handle special status codes in SAE commit
  (jsc#SLE-13430).
- mac80211: warn only once in check_sdata_in_driver() at each
  caller (jsc#SLE-13430).
- nl80211: support 4-way handshake offloading for WPA/WPA2-PSK
  in AP mode (jsc#SLE-13430).
- mac80211: add a function for running rx without passing skbs
  to the stack (jsc#SLE-13430).
- cfg80211: Add support to advertize OCV support (jsc#SLE-13430).
- commit 2f17042
* Wed Sep  9 2020 tiwai@suse.de
- mac80211: parse radiotap header when selecting Tx queue
  (jsc#SLE-13430).
- mac80211: remove unused flags argument in transmit functions
  (jsc#SLE-13430).
- mac80211: use same flag everywhere to avoid sequence number
  overwrite (jsc#SLE-13430).
- mac80211: do not overwrite the sequence number if requested
  (jsc#SLE-13430).
- mac80211: add radiotap flag to prevent sequence number overwrite
  (jsc#SLE-13430).
- mac80211: never drop injected frames even if normally not
  allowed (jsc#SLE-13430).
- cfg80211/mac80211: avoid bss color setting in non-HE modes
  (jsc#SLE-13430).
- mac80211: calculate skb hash early when using itxq
  (jsc#SLE-13430).
- mac80211: improve AQL tx airtime estimation (jsc#SLE-13430).
- cfg80211/mac80211: add connected to auth server to station info
  (jsc#SLE-13430).
- cfg80211/mac80211: add connected to auth server to meshconf
  (jsc#SLE-13430).
- cfg80211/mac80211: add mesh_param "mesh_nolearn" to skip path
  discovery (jsc#SLE-13430).
- cfg80211: allow the low level driver to flush the BSS table
  (jsc#SLE-13430).
- mac80211: Use fallthrough pseudo-keyword (jsc#SLE-13430).
- nl80211: Simplify error handling path in
  'nl80211_trigger_scan()' (jsc#SLE-13430).
- nl80211: Remove a misleading label in 'nl80211_trigger_scan()'
  (jsc#SLE-13430).
- net/wireless: mac80211.h: drop duplicate words in comments
  (jsc#SLE-13430).
- net/wireless: cfg80211.h: drop duplicate words in comments
  (jsc#SLE-13430).
- net/wireless: wireless.h: drop duplicate word in comments
  (jsc#SLE-13430).
- cfg80211: allow vendor dumpit to terminate by returning 0
  (jsc#SLE-13430).
- mac80211: remove the need for variable rates_idx
  (jsc#SLE-13430).
- nl80211: S1G band and channel definitions (jsc#SLE-13430).
- iwlegacy: remove redundant initialization of variable tid
  (jsc#SLE-13430).
- ipw2200: use generic power management (jsc#SLE-13430).
- ipw2100: use generic power management (jsc#SLE-13430).
- net: wireless: intel: fix wiki website url (jsc#SLE-13430).
- iwlwifi: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- iwlwifi: mvm: Remove unused inline function
  iwl_mvm_tid_to_ac_queue (jsc#SLE-13430).
- iwlwifi: mvm: fix gcc-10 zero-length-bounds warning
  (jsc#SLE-13430).
- iwlwifi: mvm: remove redundant assignment to variable ret
  (jsc#SLE-13430).
- iwlwifi: fix config variable name in comment (jsc#SLE-13430).
- iwlwifi: mvm: Fix avg-power report (jsc#SLE-13430).
- iwlwifi: Don't IWL_WARN on FW reconfiguration (jsc#SLE-13430).
- iwlwifi: Extended Key ID support for mvm and dvm
  (jsc#SLE-13430).
- net: wireless: kerneldoc fixes (jsc#SLE-13430).
- net: mac80211: kerneldoc fixes (jsc#SLE-13430).
- commit d7dd6fe
* Wed Sep  9 2020 tiwai@suse.de
- mac80211: remove STA txq pending airtime underflow warning
  (jsc#SLE-13430).
- mac80211: Fix bug in Tx ack status reporting in 802.3 xmit path
  (jsc#SLE-13430).
- cfg80211: check vendor command doit pointer before use
  (jsc#SLE-13430).
- mac80211: mesh: Free pending skb when destroying a mpath
  (jsc#SLE-13430).
- mac80211: mesh: Free ie data when leaving mesh (jsc#SLE-13430).
- mac80211: fix warning in 6 GHz IE addition in mesh mode
  (jsc#SLE-13430).
- iwlwifi: Make some Killer Wireless-AC 1550 cards work again
  (jsc#SLE-13430).
- iwlwifi: fix crash in iwl_dbg_tlv_alloc_trigger (jsc#SLE-13430).
- iwlwifi: mvm: don't call iwl_mvm_free_inactive_queue() under
  RCU (jsc#SLE-13430).
- nl80211: fix memory leak when parsing NL80211_ATTR_HE_BSS_COLOR
  (jsc#SLE-13430).
- nl80211: don't return err unconditionally in nl80211_start_ap()
  (jsc#SLE-13430).
- mac80211: allow rx of mesh eapol frames with default rx key
  (jsc#SLE-13430).
- mac80211: skip mpath lookup also for control port tx
  (jsc#SLE-13430).
- mac80211: Fix dropping broadcast packets in 802.11 encap
  (jsc#SLE-13430).
- mac80211: simplify mesh code (jsc#SLE-13430).
- mac80211: fix control port tx status check (jsc#SLE-13430).
- ieee80211: Add missing and new AKM suite selector definitions
  (jsc#SLE-13430).
- net: fix wiki website url mac80211 and wireless files
  (jsc#SLE-13430).
- mac80211: initialize return flags in HE 6 GHz operation parsing
  (jsc#SLE-13430).
- cfg80211: fix management registrations deadlock (jsc#SLE-13430).
- cfg80211: support bigger kek/kck key length (jsc#SLE-13430).
- mac80211: set short_slot for 6 GHz band (jsc#SLE-13430).
- mac80211: Consider 6 GHz band when handling power constraint
  (jsc#SLE-13430).
- mac80211: accept aggregation sessions on 6 GHz (jsc#SLE-13430).
- cfg80211: require HE capabilities for 6 GHz band
  (jsc#SLE-13430).
- cfg80211: reject HT/VHT capabilities on 6 GHz band
  (jsc#SLE-13430).
- cfg80211: treat 6 GHz channels as valid regardless of capability
  (jsc#SLE-13430).
- mac80211: Add HE 6GHz capabilities element to probe request
  (jsc#SLE-13430).
- mac80211: use HE 6 GHz band capability and pass it to the driver
  (jsc#SLE-13430).
- mac80211: check the correct bit for EMA AP (jsc#SLE-13430).
- mac80211: determine chandef from HE 6 GHz operation
  (jsc#SLE-13430).
- mac80211: avoid using ext NSS high BW if not supported
  (jsc#SLE-13430).
- mac80211: do not allow HT/VHT IEs in 6 GHz mesh mode
  (jsc#SLE-13430).
- mac80211: build HE operation with 6 GHz oper information
  (jsc#SLE-13430).
- mac80211: add HE 6 GHz Band Capability element (jsc#SLE-13430).
- cfg80211: add and expose HE 6 GHz band capabilities
  (jsc#SLE-13430).
- mac80211: add HE 6 GHz Band Capabilities into parse extension
  (jsc#SLE-13430).
- cfg80211: handle 6 GHz capability of new station
  (jsc#SLE-13430).
- ieee80211: add HE ext EIDs and 6 GHz capability defines
  (jsc#SLE-13430).
- ieee80211: add code to obtain and parse 6 GHz operation field
  (jsc#SLE-13430).
- ieee80211: definitions for reduced neighbor reports
  (jsc#SLE-13430).
- cfg80211: add a helper to identify 6 GHz PSCs (jsc#SLE-13430).
- nl80211: really allow client-only BIGTK support (jsc#SLE-13430).
- mac80211: Add new AMPDU factor macro for HE peer caps
  (jsc#SLE-13430).
- ieee80211: S1G defines (jsc#SLE-13430).
- cfg80211: fix debugfs rename crash (jsc#SLE-13430).
- mac80211: mesh: fix discovery timer re-arming issue / crash
  (jsc#SLE-13430).
- ieee80211: add WPA3 OWE AKM suite selector (jsc#SLE-13430).
- ieee80211: fix 'the' doubling in comments (jsc#SLE-13430).
- trivial: mac80211: fix indentation (jsc#SLE-13430).
- ieee80211: fix HE SPR size calculation (jsc#SLE-13430).
- mac80211: fix ieee80211_he_oper_size() comment (jsc#SLE-13430).
- commit 6bf91a5
* Wed Sep  9 2020 tiwai@suse.de
- cfg80211: adapt to new channelization of the 6GHz band
  (jsc#SLE-13430).
- cfg80211: fix 6 GHz frequencies to kHz (jsc#SLE-13430).
- mac80211: support control port TX status reporting
  (jsc#SLE-13430).
- mac80211: fix HT-Control field reception for management frames
  (jsc#SLE-13430).
- wireless: Use linux/stddef.h instead of stddef.h
  (jsc#SLE-13430).
- cfg80211: fix CFG82011_CRDA_SUPPORT still mentioning internal
  regdb (jsc#SLE-13430).
- nl80211: Add support to configure TID specific Tx rate
  configuration (jsc#SLE-13430).
- mac80211: allow SA-QUERY processing in userspace
  (jsc#SLE-13430).
- nl80211: add ability to report TX status for control port TX
  (jsc#SLE-13430).
- mac80211: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- cfg80211: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- nl80211: support scan frequencies in KHz (jsc#SLE-13430).
- nl80211: add KHz frequency offset for most wifi commands
  (jsc#SLE-13430).
- cfg80211: add KHz variants of frame RX API (jsc#SLE-13430).
- nl80211: simplify peer specific TID configuration
  (jsc#SLE-13430).
- cfg80211: add support for TID specific AMSDU configuration
  (jsc#SLE-13430).
- mac80211: fix variable names in TID config methods
  (jsc#SLE-13430).
- cfg80211: fix mask type in cfg80211_tid_cfg structure
  (jsc#SLE-13430).
- iwlwifi: bump FW API to 56 for AX devices (jsc#SLE-13430).
- iwlwifi: mvm: add support for range request version 10
  (jsc#SLE-13430).
- iwlwifi: mvm: fix aux station leak (jsc#SLE-13430).
- iwlwifi: move txq-specific from trans_pcie to common trans
  (jsc#SLE-13430).
- iwlwifi: move iwl_txq and substructures to a common trans header
  (jsc#SLE-13430).
- iwlwifi: pcie: gen3: indicate 8k/12k RB size to device
  (jsc#SLE-13430).
- iwlwifi: acpi: evaluate dsm to enable 5.2 bands in Indonesia
  (jsc#SLE-13430).
- iwlwifi: acpi: support device specific method (DSM)
  (jsc#SLE-13430).
- iwlwifi: pcie: keep trans instead of trans_pcie in iwl_txq
  (jsc#SLE-13430).
- iwlwifi: pcie: don't count on the FW to set persistence mode
  (jsc#SLE-13430).
- iwlwifi: set NO_HE if the regulatory domain forbids it
  (jsc#SLE-13430).
- mac80211: TX legacy rate control for Beacon frames
  (jsc#SLE-13430).
- mac80211: fix two missing documentation entries (jsc#SLE-13430).
- cfg80211: reject channels/chandefs with KHz offset >= 1000
  (jsc#SLE-13430).
- mac80211: add freq_offset to RX status (jsc#SLE-13430).
- mac80211: handle channel frequency offset (jsc#SLE-13430).
- cfg80211: express channels with a KHz component (jsc#SLE-13430).
- ieee80211: share 802.11 unit conversion helpers (jsc#SLE-13430).
- mac80211: minstrel_ht_assign_best_tp_rates: remove redundant
  test (jsc#SLE-13430).
- mac80211: Fail association when AP has no legacy rates
  (jsc#SLE-13430).
- mac80211: agg-tx: add an option to defer ADDBA transmit
  (jsc#SLE-13430).
- mac80211: agg-tx: refactor sending addba (jsc#SLE-13430).
- commit 5968d38
* Wed Sep  9 2020 tiwai@suse.de
- mac80211: Skip entries with HE membership selector
  (jsc#SLE-13430).
- cfg80211: Parse HE membership selector (jsc#SLE-13430).
- mac80211: Don't destroy auth data in case of anti-clogging
  (jsc#SLE-13430).
- mac80211: add twt_protected flag to the bss_conf structure
  (jsc#SLE-13430).
- mac80211: implement Operating Mode Notification extended NSS
  support (jsc#SLE-13430).
- mac80211: Process multicast RX registration for Action frames
  (jsc#SLE-13430).
- nl80211: allow client-only BIGTK support (jsc#SLE-13430).
- cfg80211: support multicast RX registration (jsc#SLE-13430).
- cfg80211: change internal management frame registration API
  (jsc#SLE-13430).
- mac80211: Report beacon protection failures to user space
  (jsc#SLE-13430).
- cfg80211: Unprotected Beacon frame RX indication
  (jsc#SLE-13430).
- mac80211: fix drv_config_iface_filter() behaviour
  (jsc#SLE-13430).
- mac80211: mlme: remove duplicate AID bookkeeping
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: differentiate ax210 hw with same hw type
  (jsc#SLE-13430).
- iwlwifi: pcie: skip fragmented receive buffers (jsc#SLE-13430).
- iwlwifi: remove outdated copyright print/module statement
  (jsc#SLE-13430).
- iwlwifi: mvm: don't transmit on unallocated queue
  (jsc#SLE-13430).
- iwlwifi: tx: enable A-MSDU in low latency mode (jsc#SLE-13430).
- iwlwifi: use longer queues for 256-BA (jsc#SLE-13430).
- iwlwifi: pcie: gen2: use DMA pool for byte-count tables
  (jsc#SLE-13430).
- iwlwifi: pcie: remove some dead code (jsc#SLE-13430).
- iwlwifi: dbg: mark a variable __maybe_unused (jsc#SLE-13430).
- iwlwifi: mvm: attempt to allocate smaller queues
  (jsc#SLE-13430).
- iwlwifi: pcie: allocate much smaller byte-count table
  (jsc#SLE-13430).
- iwlwifi: dump api version in yaml format (jsc#SLE-13430).
- iwlwifi: pcie: convert all AX101 devices to the device tables
  (jsc#SLE-13430).
- iwlwifi: pcie: remove occurrences of 22000 in the FW name
  defines (jsc#SLE-13430).
- iwlwifi: pcie: convert QnJ with Hr to the device table
  (jsc#SLE-13430).
- iwlwifi: pcie: remove mangling for iwl_ax101_cfg_qu_hr
  (jsc#SLE-13430).
- iwlwifi: pcie: remove outdated comment about PCI RTPM reference
  (jsc#SLE-13430).
- iwlwifi: mvm: add IML/ROM information to the assertion dumps
  (jsc#SLE-13430).
- iwlwifi: move iwl_set_soc_latency to iwl-drv to be used by
  other op_modes (jsc#SLE-13430).
- iwlwifi: yoyo: remove magic number (jsc#SLE-13430).
- iwlwifi: mvm: initialize iwl_dev_tx_power_cmd to zero
  (jsc#SLE-13430).
- iwlwifi: dbg: set debug descriptor to NULL outside of
  iwl_fw_free_dump_desc (jsc#SLE-13430).
- iwlwifi: bump FW API to 55 for AX devices (jsc#SLE-13430).
- iwlwifi: yoyo: add D3 resume timepoint (jsc#SLE-13430).
- iwlwifi: mvm: set properly station flags in STA_HE_CTXT_CMD
  (jsc#SLE-13430).
- iwlwifi: avoid debug max amsdu config overwriting itself
  (jsc#SLE-13430).
- iwlwifi: mvm: remove iwlmvm's tfd_q_hang_detect module parameter
  (jsc#SLE-13430).
- commit 582f1cf
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: mvm: stop supporting swcrypto and bt_coex_active
  module parameters (jsc#SLE-13430).
- iwlwifi: mvm: add support for range request command version 9
  (jsc#SLE-13430).
- iwlwifi: yoyo: don't access TLV before verifying len
  (jsc#SLE-13430).
- iwlwifi: remove antenna_coupling module parameter
  (jsc#SLE-13430).
- iwlwifi: yoyo: use hweight_long instead of bit manipulating
  (jsc#SLE-13430).
- iwlwifi: yoyo: add support for parsing SHARED_MEM_ALLOC version
  4 (jsc#SLE-13430).
- iwlwifi: fw api: fix PHY data 2/3 position (jsc#SLE-13430).
- ipw2x00: Fix comment for CLOCK_BOOTTIME constant
  (jsc#SLE-13430).
- iwlegacy: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- ipw2x00: Replace zero-length array with flexible-array
  (jsc#SLE-13430).
- ipw2x00: Remove a memory allocation failure log message
  (jsc#SLE-13430).
- iwlwifi: debug: set NPK buffer in context info (jsc#SLE-13430).
- iwlwifi: pcie: add new structs for So devices with long latency
  (jsc#SLE-13430).
- iwlwifi: pcie: add new structure for Qu devices with medium
  latency (jsc#SLE-13430).
- iwlwifi: mvm: tell firmware about required LTR delay
  (jsc#SLE-13430).
- iwlwifi: update few product names in AX family (jsc#SLE-13430).
- iwlwifi: pcie: add cfgs for SoCs with device ID 0x4FD0
  (jsc#SLE-13430).
- iwlwifi: add new cards for AX family (jsc#SLE-13430).
- iwlwifi: acpi: read TAS table from ACPI and send it to the FW
  (jsc#SLE-13430).
- iwlwifi: remove fw_monitor module parameter (jsc#SLE-13430).
- iwlwifi: remove deprecated and unused iwl_mvm_keyinfo struct
  (jsc#SLE-13430).
- iwlwifi: mvm: add framework for specific phy configuration
  (jsc#SLE-13430).
- iwlwifi: pcie: move iwl_pcie_ctxt_info_alloc_dma() to user
  (jsc#SLE-13430).
- iwlwifi: yoyo: support IWL_FW_INI_TIME_POINT_HOST_ALIVE_TIMEOUT
  time point (jsc#SLE-13430).
- iwlwifi: mvm: add DCM flag to rate pretty-print (jsc#SLE-13430).
- iwlwifi: pcie: gen2: minor code cleanups in byte table update
  (jsc#SLE-13430).
- iwlwifi: pcie: add n_window/ampdu to tx_queue debugfs
  (jsc#SLE-13430).
- iwlwifi: pcie: use seq_file for tx_queue debugfs file
  (jsc#SLE-13430).
- iwlwifi: support version 9 of WOWLAN_GET_STATUS notification
  (jsc#SLE-13430).
- iwlwifi: dbg: support multiple dumps in legacy dump flow
  (jsc#SLE-13430).
- iwlwifi: move API version lookup to common code (jsc#SLE-13430).
- iwlwifi: nvm: use iwl_nl80211_band_from_channel_idx
  (jsc#SLE-13430).
- iwlwifi: scan: remove support for fw scan api v13
  (jsc#SLE-13430).
- ipw2x00: make ipw_setup_deferred_work() void (jsc#SLE-13430).
- ipw2x00: make ipw_qos_association_resp() void (jsc#SLE-13430).
- netlink: remove NLA_EXACT_LEN_WARN (jsc#SLE-13430).
- nl80211: link recursive netlink nested policy (jsc#SLE-13430).
- iwlwifi: pcie: handle QuZ configs with killer NICs as well
  (jsc#SLE-13430).
- commit bb00397
* Tue Sep  8 2020 tiwai@suse.de
- mac80211: populate debugfs only after cfg80211 init
  (jsc#SLE-13430).
- iwlwifi: fix WGDS check when WRDS is disabled (jsc#SLE-13430).
- iwlwifi: mvm: fix inactive TID removal return value usage
  (jsc#SLE-13430).
- iwlwifi: mvm: Do not declare support for ACK Enabled Aggregation
  (jsc#SLE-13430).
- iwlwifi: mvm: limit maximum queue appropriately (jsc#SLE-13430).
- iwlwifi: pcie: indicate correct RB size to device
  (jsc#SLE-13430).
- iwlwifi: mvm: beacon statistics shouldn't go backwards
  (jsc#SLE-13430).
- iwlwifi: pcie: actually release queue memory in TVQM
  (jsc#SLE-13430).
- iwlwifi: actually check allocated conf_tlv pointer
  (jsc#SLE-13430).
- mac80211: fix channel switch trigger from unknown mesh peer
  (jsc#SLE-13430).
- mac80211: fix race in ieee80211_register_hw() (jsc#SLE-13430).
- cfg80211: fix kernel-doc notation (jsc#SLE-13430).
- nl80211: fix NL80211_ATTR_FTM_RESPONDER policy (jsc#SLE-13430).
- mac80211: fix authentication with iwlwifi/mvm (jsc#SLE-13430).
- iwlwifi: mvm: remove newline from rs_pretty_print_rate()
  (jsc#SLE-13430).
- iwlwifi: pcie: make iwl_pcie_cmdq_reclaim static
  (jsc#SLE-13430).
- iwlwifi: bump FW API to 53 for 22000 series (jsc#SLE-13430).
- iwlwifi: remove IWL_FW_DBG_DOMAIN macro (jsc#SLE-13430).
- iwlwifi: yoyo: enable yoyo by default (jsc#SLE-13430).
- iwlwifi: scan: support FW APIs with variable number of profiles
  (jsc#SLE-13430).
- iwlwifi: yoyo: don't block dumping internal memory when not
  in SRAM mode (jsc#SLE-13430).
- iwlwifi: remove support for QnJ HR FPGA (jsc#SLE-13430).
- iwlwifi: remove support for QnJ Hr STEP A (jsc#SLE-13430).
- iwlwifi: add trans_cfg for devices with long latency
  (jsc#SLE-13430).
- iwlwifi: add support for version 2 of SOC_CONFIGURATION_CMD
  (jsc#SLE-13430).
- iwlwifi: mvm: add support for non EDCA based measurements
  (jsc#SLE-13430).
- iwlwifi: remove unnecessary cfg mangling for Qu C and QuZ with
  Jf (jsc#SLE-13430).
- iwlwifi: convert QnJ with Jf devices to new config table
  (jsc#SLE-13430).
- iwlwifi: convert all Qu with Jf devices to the new config table
  (jsc#SLE-13430).
- iwlwifi: add HW step to new cfg device table (jsc#SLE-13430).
- iwlwifi: remove some unused extern declarations from
  iwl-config.h (jsc#SLE-13430).
- iwlwifi: move integrated, extra_phy and soc_latency to trans_cfg
  (jsc#SLE-13430).
- iwlwifi: mvm: enable SF also when we have HE (jsc#SLE-13430).
- iwlwifi: remove redundant iwl9560_2ac_cfg struct
  (jsc#SLE-13430).
- iwlwifi: mvm: rs-fw: fix some indentation (jsc#SLE-13430).
- iwlwifi: scan: support scan req cmd ver 14 (jsc#SLE-13430).
- commit 97ba9e0
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: pass trans and NVM data to HE capability parsing
  (jsc#SLE-13430).
- iwlwifi: pcie: implement read_config32 (jsc#SLE-13430).
- iwlwifi: yoyo: add PCI config space region type (jsc#SLE-13430).
- iwlwifi: mvm: add soc latency support (jsc#SLE-13430).
- iwlwifi: move AX200 devices to the new table (jsc#SLE-13430).
- iwlwifi: remove trans entries from COMMON 9260 macro
  (jsc#SLE-13430).
- iwlwifi: move shared clock entries to new table (jsc#SLE-13430).
- iwlwifi: move pu devices to new table (jsc#SLE-13430).
- iwlwifi: remove 9260 devices with 0x1010 and 0x1210 subsytem
  IDs (jsc#SLE-13430).
- iwlwifi: convert the 9260-1x1 device to use the new parameters
  (jsc#SLE-13430).
- iwlwifi: move TH1 devices to the new table (jsc#SLE-13430).
- iwlwifi: map 9461 and 9462 using RF type and RF ID
  (jsc#SLE-13430).
- iwlwifi: add Pu/PnJ/Th device values to differentiate them
  (jsc#SLE-13430).
- iwlwifi: add GNSS differentiation to the device tables
  (jsc#SLE-13430).
- iwlwifi: add mac/rf types and 160MHz to the device tables
  (jsc#SLE-13430).
- iwlwifi: combine 9260 cfgs that only change names
  (jsc#SLE-13430).
- iwlwifi: move the remaining 0x2526 configs to the new table
  (jsc#SLE-13430).
- ipw2x00: Use scnprintf() for avoiding potential buffer overflow
  (jsc#SLE-13430).
- iwlegacy: Remove unneeded variable ret (jsc#SLE-13430).
- mac80211: driver can remain on channel if not using chan_ctx
  (jsc#SLE-13430).
- nl80211: clarify code in nl80211_del_station() (jsc#SLE-13430).
- cfg80211: Configure PMK lifetime and reauth threshold for
  PMKSA entries (jsc#SLE-13430).
- mac80211: Read rx_stats with perCPU pointers (jsc#SLE-13430).
- mac80211: Allow deleting stations in ibss mode to reset their
  state (jsc#SLE-13430).
- cfg80211: Add support for userspace to reset stations in IBSS
  mode (jsc#SLE-13430).
- mac80211: consider WLAN_EID_EXT_HE_OPERATION for parsing CRC
  (jsc#SLE-13430).
- nl80211: add PROTECTED_TWT nl80211 extended feature
  (jsc#SLE-13430).
- mac80211: HE: set missing bss_conf fields in AP mode
  (jsc#SLE-13430).
- nl80211: pass HE operation element to the driver
  (jsc#SLE-13430).
- nl80211/cfg80211: add support for non EDCA based ranging
  measurement (jsc#SLE-13430).
- mac80211: don't leave skb->next/prev pointing to stack
  (jsc#SLE-13430).
- mac80211: update documentation about tx power (jsc#SLE-13430).
- mac80211: handle no-preauth flag for control port
  (jsc#SLE-13430).
- nl80211: add no pre-auth attribute and ext. feature flag for
  ctrl. port (jsc#SLE-13430).
- cfg80211: fix documentation format (jsc#SLE-13430).
- mac80211: Add api to support configuring TID specific
  configuration (jsc#SLE-13430).
- nl80211: Add support to configure TID specific RTSCTS
  configuration (jsc#SLE-13430).
- nl80211: Add support to configure TID specific AMPDU
  configuration (jsc#SLE-13430).
- nl80211: Add support to configure TID specific retry
  configuration (jsc#SLE-13430).
- nl80211: modify TID-config API (jsc#SLE-13430).
- nl80211: Add NL command to support TID speicific configurations
  (jsc#SLE-13430).
- commit 5b09d8a
* Tue Sep  8 2020 tiwai@suse.de
- mac80211: Beacon protection using the new BIGTK (STA)
  (jsc#SLE-13430).
- mac80211: Beacon protection using the new BIGTK (AP)
  (jsc#SLE-13430).
- mac80211: Update BIP to support Beacon frames (jsc#SLE-13430).
- mac80211: Support BIGTK configuration for Beacon protection
  (jsc#SLE-13430).
- cfg80211: Support key configuration for Beacon protection
  (BIGTK) (jsc#SLE-13430).
- cfg80211: More error messages for key addition failures
  (jsc#SLE-13430).
- cfg80211: fix indentation errors (jsc#SLE-13430).
- cfg80211: merge documentations of field "dev" (jsc#SLE-13430).
- cfg80211: merge documentations of field "debugfsdir"
  (jsc#SLE-13430).
- cfg80211: drop duplicated documentation of field "reg_notifier"
  (jsc#SLE-13430).
- cfg80211: drop duplicated documentation of field "perm_addr"
  (jsc#SLE-13430).
- cfg80211: drop duplicated documentation of field "_net"
  (jsc#SLE-13430).
- cfg80211: drop duplicated documentation of field "registered"
  (jsc#SLE-13430).
- cfg80211: drop duplicated documentation of field "privid"
  (jsc#SLE-13430).
- cfg80211: drop duplicated documentation of field
  "probe_resp_offload" (jsc#SLE-13430).
- Revert "nl80211: add src and dst addr attributes for control
  port tx/rx" (jsc#SLE-13430).
- Revert "mac80211: support
  NL80211_EXT_FEATURE_CONTROL_PORT_OVER_NL80211_MAC_ADDRS"
  (jsc#SLE-13430).
- cfg80211: remove support for adjacent channel compensation
  (jsc#SLE-13430).
- mac80211: check vif pointer before airtime calculation
  (jsc#SLE-13430).
- net: use netif_is_bridge_port() to check for IFF_BRIDGE_PORT
  (jsc#SLE-13430).
- mac80211: allow setting queue_len for drivers not using
  wake_tx_queue (jsc#SLE-13430).
- mac80211: Fix setting txpower to zero (jsc#SLE-13430).
- mac80211: support
  NL80211_EXT_FEATURE_CONTROL_PORT_OVER_NL80211_MAC_ADDRS
  (jsc#SLE-13430).
- nl80211: add src and dst addr attributes for control port tx/rx
  (jsc#SLE-13430).
- mac80211: parse also the RSNXE IE (jsc#SLE-13430).
- cfg80211/mac80211: Allow user space to register for station
  Rx authentication (jsc#SLE-13430).
- mac80211: Remove support for changing AP SMPS mode
  (jsc#SLE-13430).
- mac80211: Handle SMPS mode changes only in AP mode
  (jsc#SLE-13430).
- mac80211: Accept broadcast probe responses on 6GHz band
  (jsc#SLE-13430).
- mac80211: HE: set RX NSS (jsc#SLE-13430).
- mac80211: set station bandwidth from HE capability
  (jsc#SLE-13430).
- mac80211: remove supported channels element in 6 GHz if ECSA
  support (jsc#SLE-13430).
- mac80211: update condition for HE disablement (jsc#SLE-13430).
- mac80211: make ieee80211_wep_init() return void (jsc#SLE-13430).
- mac80211: allow changing TX-related netdev features
  (jsc#SLE-13430).
- mac80211: check whether HE connection is allowed by the reg
  domain (jsc#SLE-13430).
- mac80211: refactor extended element parsing (jsc#SLE-13430).
- mac80211: simplify and improve HT/VHT/HE disable code
  (jsc#SLE-13430).
- cfg80211: Enhance the AKM advertizement to support per interface
  (jsc#SLE-13430).
- commit 3d7842f
* Tue Sep  8 2020 tiwai@suse.de
- cfg80211: add no HE indication to the channel flag
  (jsc#SLE-13430).
- mac80211: fix 11w when using encapsulation offloading
  (jsc#SLE-13430).
- mac80211: add ieee80211_is_any_nullfunc() (jsc#SLE-13430).
- mac80211: fix tx status for no ack cases (jsc#SLE-13430).
- mac80211: add handling for BSS color (jsc#SLE-13430).
- nl80211: add handling for BSS color (jsc#SLE-13430).
- mac80211: debugfs: improve airtime_flags handler readability
  (jsc#SLE-13430).
- mac80211: Remove redundant assertion (jsc#SLE-13430).
- mac80211: add 802.11 encapsulation offloading support
  (jsc#SLE-13430).
- mac80211: Always show airtime debugfs file when TXQs are enabled
  (jsc#SLE-13430).
- wireless: Use offsetof instead of custom macro (jsc#SLE-13430).
- mac80211: set IEEE80211_TX_CTRL_PORT_CTRL_PROTO for nl80211 TX
  (jsc#SLE-13430).
- mac80211: mark station unauthorized before key removal
  (jsc#SLE-13430).
- mac80211: Check port authorization in the ieee80211_tx_dequeue()
  case (jsc#SLE-13430).
- cfg80211: Do not warn on same channel at the end of CSA
  (jsc#SLE-13430).
- mac80211: drop data frames without key on encrypted links
  (jsc#SLE-13430).
- nl80211: fix NL80211_ATTR_CHANNEL_WIDTH attribute type
  (jsc#SLE-13430).
- iwlwifi: don't send GEO_TX_POWER_LIMIT if no wgds table
  (jsc#SLE-13430).
- iwlwifi: pcie: add 0x2526/0x401* devices back to cfg detection
  (jsc#SLE-13430).
- iwlwifi: cfg: use antenna diversity with all AX101 devices
  (jsc#SLE-13430).
- iwlwifi: mvm: Fix rate scale NSS configuration (jsc#SLE-13430).
- iwlwifi: dbg: don't abort if sending DBGC_SUSPEND_RESUME fails
  (jsc#SLE-13430).
- iwlwifi: yoyo: don't add TLV offset when reading FIFOs
  (jsc#SLE-13430).
- iwlwifi: check allocated pointer when allocating conf_tlvs
  (jsc#SLE-13430).
- iwlwifi: consider HE capability when setting LDPC
  (jsc#SLE-13430).
- iwlwifi: mvm: take the required lock when clearing time event
  data (jsc#SLE-13430).
- mac80211: Do not send mesh HWMP PREQ if HWMP is disabled
  (jsc#SLE-13430).
- nl80211: add missing attribute validation for channel switch
  (jsc#SLE-13430).
- nl80211: add missing attribute validation for beacon report
  scanning (jsc#SLE-13430).
- nl80211: add missing attribute validation for critical protocol
  indication (jsc#SLE-13430).
- iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168
  devices (jsc#SLE-13430).
- mac80211: rx: avoid RCU list traversal under mutex
  (jsc#SLE-13430).
- nl80211: explicitly include if_vlan.h (jsc#SLE-13430).
- mac80211: Remove a redundant mutex unlock (jsc#SLE-13430).
- cfg80211: check reg_rule for NULL in handle_channel_custom()
  (jsc#SLE-13430).
- nl80211: fix potential leak in AP start (jsc#SLE-13430).
- mac80211: fix wrong 160/80+80 MHz setting (jsc#SLE-13430).
- cfg80211: add missing policy for NL80211_ATTR_STATUS_CODE
  (jsc#SLE-13430).
- cfg80211: check wiphy driver existence for drvinfo report
  (jsc#SLE-13430).
- commit 5425628
* Tue Sep  8 2020 tiwai@suse.de
- mac80211: consider more elements in parsing CRC (jsc#SLE-13430).
- mac80211: fix quiet mode activation in action frames
  (jsc#SLE-13430).
- mac80211: use more bits for ack_frame_id (jsc#SLE-13430).
- iwlwifi: d3: read all FW CPUs error info (jsc#SLE-13430).
- iwlwifi: mvm: fix TDLS discovery with the new firmware API
  (jsc#SLE-13430).
- iwlwifi: mvm: Check the sta is not NULL in iwl_mvm_cfg_he_sta()
  (jsc#SLE-13430).
- iwlwifi: mvm: avoid use after free for pmsr request
  (jsc#SLE-13430).
- iwlwifi: mvm: update the DTS measurement type (jsc#SLE-13430).
- iwlwifi: don't throw error when trying to remove IGTK
  (jsc#SLE-13430).
- iwlwifi: mvm: Fix thermal zone registration (jsc#SLE-13430).
- iwlwifi: add device name to device_info (jsc#SLE-13430).
- iwlwifi: implement a new device configuration table
  (jsc#SLE-13430).
- iwlwifi: assume the driver_data is a trans_cfg, but allow full
  cfg (jsc#SLE-13430).
- iwlwifi: prph: remove some unused register definitions
  (jsc#SLE-13430).
- iwlwifi: mvm: print out extended secboot status before dump
  (jsc#SLE-13430).
- iwlwifi: incorporate firmware filename into version
  (jsc#SLE-13430).
- iwlwifi: yoyo: check for the domain on all TLV types during init
  (jsc#SLE-13430).
- iwlwifi: add new iwlax411 struct for type SoSnj (jsc#SLE-13430).
- iwlwifi: yoyo: remove the iwl_dbg_tlv_gen_active_trigs()
  function (jsc#SLE-13430).
- iwlwifi: yoyo: remove unnecessary active triggers status flag
  (jsc#SLE-13430).
- iwlwifi: yoyo: don't allow changing the domain via debugfs
  (jsc#SLE-13430).
- iwlwifi: mvm: Update BEACON_TEMPLATE_CMD firmware API
  (jsc#SLE-13430).
- iwlwifi: remove CSR registers abstraction (jsc#SLE-13430).
- iwlwifi: remove some outdated iwl22000 configurations
  (jsc#SLE-13430).
- iwlwifi: pcie: validate queue ID before array deref/bit ops
  (jsc#SLE-13430).
- iwlwifi: pcie: use partial pages if applicable (jsc#SLE-13430).
- iwlwifi: pcie: map only used part of RX buffers (jsc#SLE-13430).
- iwlwifi: allocate more receive buffers for HE devices
  (jsc#SLE-13430).
- iwlwifi: mvm: add support for responder config command version 7
  (jsc#SLE-13430).
- iwlwifi: mvm: add support for location range request version 8
  (jsc#SLE-13430).
- iwlwifi: scan: remove support for fw scan api v11
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: don't skip a TX FIFO when dumping
  (jsc#SLE-13430).
- iwlwifi: mvm: update powersave correctly for D3 (jsc#SLE-13430).
- net: mac80211: use skb_list_walk_safe helper for gso segments
  (jsc#SLE-13430).
- net: iwlwifi: use skb_list_walk_safe helper for gso segments
  (jsc#SLE-13430).
- commit 8a47fb8
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: mvm: don't send the IWL_MVM_RXQ_NSSN_SYNC notif to
  Rx queues (jsc#SLE-13430).
- Revert "iwlwifi: mvm: fix scan config command size"
  (jsc#SLE-13430).
- iwlwifi: fw: make pos static in iwl_sar_get_ewrd_table() loop
  (jsc#SLE-13430).
- iwlwifi: remove lar_disable module parameter (jsc#SLE-13430).
- iwlwifi: dbg: force stop the debug monitor HW (jsc#SLE-13430).
- iwlwifi: pcie: always disable L0S states (jsc#SLE-13430).
- iwlwifi: pcie: rename L0S_ENABLED bit to L0S_DISABLED
  (jsc#SLE-13430).
- iwlwifi: mvm: fix potential SKB leak on TXQ TX (jsc#SLE-13430).
- iwlwifi: mvm: fix SKB leak on invalid queue (jsc#SLE-13430).
- iwlwifi: pcie: extend hardware workaround to context-info
  (jsc#SLE-13430).
- iwlwifi: Don't ignore the cap field upon mcc update
  (jsc#SLE-13430).
- iwlwifi: mvm: report TX rate to mac80211 directly for RS offload
  (jsc#SLE-13430).
- iwlwifi: mvm: fix NVM check for 3168 devices (jsc#SLE-13430).
- iwlwifi: fix TLV fragment allocation loop (jsc#SLE-13430).
- iwlwifi: pcie: allocate smaller dev_cmd for TX headers
  (jsc#SLE-13430).
- iwlwifi: pcie: detect the DMA bug and warn if it happens
  (jsc#SLE-13430).
- iwlwifi: pcie: work around DMA hardware bug (jsc#SLE-13430).
- iwlwifi: pcie: move page tracking into get_page_hdr()
  (jsc#SLE-13430).
- iwlwifi: don't send PPAG command if disabled (jsc#SLE-13430).
- net: Fix packet reordering caused by GRO and listified RX
  cooperation (jsc#SLE-13430).
- cfg80211: fix page refcount issue in A-MSDU decap
  (jsc#SLE-13430).
- cfg80211: check for set_wiphy_params (jsc#SLE-13430).
- cfg80211: fix memory leak in cfg80211_cqm_rssi_update
  (jsc#SLE-13430).
- cfg80211: fix memory leak in nl80211_probe_mesh_link
  (jsc#SLE-13430).
- cfg80211: fix deadlocks in autodisconnect work (jsc#SLE-13430).
- wireless: wext: avoid gcc -O3 warning (jsc#SLE-13430).
- mac80211: Fix TKIP replay protection immediately after key setup
  (jsc#SLE-13430).
- cfg80211: Fix radar event during another phy CAC
  (jsc#SLE-13430).
- wireless: fix enabling channel 12 for custom regulatory domain
  (jsc#SLE-13430).
- mac80211: mesh: restrict airtime metric to peered established
  plinks (jsc#SLE-13430).
- iwlwifi: pcie: move power gating workaround earlier in the flow
  (jsc#SLE-13430).
- Revert "iwlwifi: assign directly to iwl_trans->cfg in QuZ
  detection" (jsc#SLE-13430).
- mac80211: Turn AQL into an NL80211_EXT_FEATURE (jsc#SLE-13430).
- mac80211: airtime: Fix an off by one in
  ieee80211_calc_rx_airtime() (jsc#SLE-13430).
- cfg80211: fix double-free after changing network namespace
  (jsc#SLE-13430).
- mac80211: fix TID field in monitor mode transmit
  (jsc#SLE-13430).
- net: wireless: intel: iwlwifi: fix GRO_NORMAL packet stalling
  (jsc#SLE-13430).
- mac80211: Use debugfs_create_xul() helper (jsc#SLE-13430).
- commit 67b1384
* Tue Sep  8 2020 tiwai@suse.de
- blacklist.conf: drop an iwlwifi patch to be backported
- commit 6130493
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: bump FW API to 52 for 22000 series (jsc#SLE-13430).
- iwlwifi: check kasprintf() return value (jsc#SLE-13430).
- iwlwifi: mvm: remove outdated comment referring to wake lock
  (jsc#SLE-13430).
- iwlwifi: pcie: trace IOVA for iwlwifi_dev_tx_tb (jsc#SLE-13430).
- iwlwifi: dvm: excessive if in rs_bt_update_lq() (jsc#SLE-13430).
- iwlwifi: mvm: Report tx/rx antennas (jsc#SLE-13430).
- iwlwifi: pcie: rx: use rxq queue_size instead of constant
  (jsc#SLE-13430).
- iwlwifi: mvm: remove left-over non-functional email alias
  (jsc#SLE-13430).
- iwlwifi: config: remove max_rx_agg_size (jsc#SLE-13430).
- iwlwifi: pcie: make some RX functions static (jsc#SLE-13430).
- iwlwifi: scan: support scan req FW API ver 13 (jsc#SLE-13430).
- iwlwifi: pcie: fix support for transmitting SKBs with fraglist
  (jsc#SLE-13430).
- ipw2x00: remove set but not used variable 'force_update'
  (jsc#SLE-13430).
- ipw2x00: remove set but not used variable 'reason'
  (jsc#SLE-13430).
- mac80211: Use Airtime-based Queue Limits (AQL) on packet dequeue
  (jsc#SLE-13430).
- mac80211: Implement Airtime-based Queue Limit (AQL)
  (jsc#SLE-13430).
- mac80211: Import airtime calculation code from mt76
  (jsc#SLE-13430).
- mac80211: consider QoS Null frames for STA_NULLFUNC_ACKED
  (jsc#SLE-13430).
- mac80211: expose HW conf flags through debugfs (jsc#SLE-13430).
- mac80211: Add new sta_info getter by sta/vif addrs
  (jsc#SLE-13430).
- mac80211: add a comment about monitor-to-dev injection
  (jsc#SLE-13430).
- iwlwifi: mvm: fix non-ACPI function (jsc#SLE-13430).
- iwlwifi: 22000: fix some indentation (jsc#SLE-13430).
- iwlwifi: remove IWL_DEVICE_22560/IWL_DEVICE_FAMILY_22560
  (jsc#SLE-13430).
- iwlwifi: mvm: sync the iwl_mvm_session_prot_notif layout
  (jsc#SLE-13430).
- iwlwifi: mvm: start CTDP budget from 2400mA (jsc#SLE-13430).
- iwlwifi: mvm: don't skip mgmt tid when flushing all tids
  (jsc#SLE-13430).
- iwlwifi: mvm: scan: enable adaptive dwell in p2p
  (jsc#SLE-13430).
- iwlwifi: refactor the SAR tables from mvm to acpi
  (jsc#SLE-13430).
- iwlwifi: scan: support scan req cmd ver 12 (jsc#SLE-13430).
- iwlwifi: scan: make new scan req versioning flow
  (jsc#SLE-13430).
- iwlwifi: mvm: fix unaligned read of rx_pkt_status
  (jsc#SLE-13430).
- iwlwifi: remove redundant assignment to variable bufsz
  (jsc#SLE-13430).
- iwlwifi: bump FW API to 51 for 22000 series (jsc#SLE-13430).
- iwlwifi: FW API: reference enum in docs of modify_mask
  (jsc#SLE-13430).
- iwlwifi: mvm: print rate_n_flags in a pretty format
  (jsc#SLE-13430).
- iwlwifi: scan: adapt the code to use api ver 11 (jsc#SLE-13430).
- iwlwifi: scan: Create function to build scan cmd
  (jsc#SLE-13430).
- iwlwifi: scan: create function for scan scheduling params
  (jsc#SLE-13430).
- iwlwifi: pcie: don't consider IV len in A-MSDU (jsc#SLE-13430).
- commit 292e14d
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: dbg_ini: support dump collection upon assert during D3
  (jsc#SLE-13430).
- iwlwifi: pcie: make iwl_pcie_gen2_update_byte_tbl static
  (jsc#SLE-13430).
- iwlwifi: mvm: in VHT connection use only VHT capabilities
  (jsc#SLE-13430).
- iwlwifi: nvm: update iwl_uhb_nvm_channels (jsc#SLE-13430).
- iwlwifi: mvm: remove else-if in iwl_send_phy_cfg_cmd()
  (jsc#SLE-13430).
- iwlwifi: mvm: fix support for single antenna diversity
  (jsc#SLE-13430).
- iwlegacy: Remove redundant variable "ret" (jsc#SLE-13430).
- ipw2x00: Remove redundant variable "rc" (jsc#SLE-13430).
- cfg80211: VLAN offload support for set_key and set_sta_vlan
  (jsc#SLE-13430).
- mac80211: Shrink the size of ack_frame_id to make room for
  tx_time_est (jsc#SLE-13430).
- mac80211: don't re-parse elems in ieee80211_assoc_success()
  (jsc#SLE-13430).
- mac80211: move store skb ack code to its own function
  (jsc#SLE-13430).
- mac80211: fix a typo of "function" (jsc#SLE-13430).
- mac80211: typo fixes in kerneldoc comments (jsc#SLE-13430).
- iwlwifi: rx: use new api to get band from rx mpdu
  (jsc#SLE-13430).
- iwlwifi: nvm: create function to convert channel index to
  nl80211_band (jsc#SLE-13430).
- iwlwifi: mvm: Invert the condition for OFDM rate
  (jsc#SLE-13430).
- iwlwifi: mvm: create function to convert nl80211 band to phy
  band (jsc#SLE-13430).
- iwlwifi: dbg_ini: use vzalloc to allocate dumping memory regions
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: add user trigger support (jsc#SLE-13430).
- iwlwifi: mvm: add notification for missed VAP (jsc#SLE-13430).
- iwlwifi: mvm: fix old-style declaration (jsc#SLE-13430).
- iwlwifi: mvm: use the new session protection command
  (jsc#SLE-13430).
- iwlwifi: mvm: remove leftover rs_remove_sta_debugfs() prototype
  (jsc#SLE-13430).
- iwlwifi: mvm: add support for new version for D0I3_END_CMD
  (jsc#SLE-13430).
- iwlwifi: mvm: consider ieee80211 station max amsdu value
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: support FW notification dumping in case of
  missed beacon (jsc#SLE-13430).
- iwlwifi: dbg_ini: remove old API and some related code
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: rename external debug configuration file
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: support FW response/notification region type
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: support domain changing via debugfs
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: add periodic trigger new API support
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: implement monitor allocation flow
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: implement time point handling (jsc#SLE-13430).
- iwlwifi: dbg_ini: add TLV allocation new API support
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: use new API in dump info (jsc#SLE-13430).
- iwlwifi: dbg_ini: add error tables dumping support
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: add monitor dumping support (jsc#SLE-13430).
- mac80211: fix station inactive_time shortly after boot
  (jsc#SLE-13430).
- mac80211: fix ieee80211_txq_setup_flows() failure path
  (jsc#SLE-13430).
- commit 363b44c
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: dbg: remove multi buffers infra (jsc#SLE-13430).
- iwlwifi: dbg_ini: use new trigger TLV in dump flow
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: use new region TLV in dump flow
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: load external dbg cfg after internal cfg is
  loaded (jsc#SLE-13430).
- iwlegacy: make array interval static, makes object smaller
  (jsc#SLE-13430).
- net: Fix misspellings of "configure" and "configuration"
  (jsc#SLE-13430).
- iwlwifi: fw api: support new API for scan config cmd
  (jsc#SLE-13430).
- iwlwifi: pcie: 0x2720 is qu and 0x30DC is not (jsc#SLE-13430).
- iwlwifi: pcie: add workaround for power gating in integrated
  22000 (jsc#SLE-13430).
- iwlwifi: mvm: handle iwl_mvm_tvqm_enable_txq() error return
  (jsc#SLE-13430).
- iwlwifi: pcie: fix all 9460 entries for qnj (jsc#SLE-13430).
- iwlwifi: pcie: fix PCI ID 0x2720 configs that should be soc
  (jsc#SLE-13430).
- iwlwifi: pcie: fix merge damage on making QnJ exclusive
  (jsc#SLE-13430).
- nl80211: fix validation of mesh path nexthop (jsc#SLE-13430).
- nl80211: Disallow setting of HT for channel 14 (jsc#SLE-13430).
- iwlwifi: pcie: change qu with jf devices to use qu configuration
  (jsc#SLE-13430).
- iwlwifi: exclude GEO SAR support for 3168 (jsc#SLE-13430).
- iwlwifi: pcie: fix memory leaks in iwl_pcie_ctxt_info_gen3_init
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: fix memory leak in alloc_sgtable
  (jsc#SLE-13430).
- iwlwifi: pcie: fix rb_allocator workqueue allocation
  (jsc#SLE-13430).
- iwlwifi: pcie: fix indexing in command dump for new HW
  (jsc#SLE-13430).
- iwlwifi: mvm: fix race in sync rx queue notification
  (jsc#SLE-13430).
- iwlwifi: mvm: force single phy init (jsc#SLE-13430).
- iwlwifi: fix ACPI table revision checks (jsc#SLE-13430).
- iwlwifi: don't access trans_cfg via cfg (jsc#SLE-13430).
- mac80211: fix scan when operating on DFS channels in ETSI
  domains (jsc#SLE-13430).
- mac80211: accept deauth frames in IBSS mode (jsc#SLE-13430).
- cfg80211: fix a bunch of RCU issues in multi-bssid code
  (jsc#SLE-13430).
- nl80211: fix memory leak in nl80211_get_ftm_responder_stats
  (jsc#SLE-13430).
- commit c33c351
* Tue Sep  8 2020 tiwai@suse.de
- mac80211: minstrel_ht: rename prob_ewma to prob_avg, use it
  for the new average (jsc#SLE-13430).
- mac80211: minstrel_ht: replace rate stats ewma with a better
  moving average (jsc#SLE-13430).
- mac80211: minstrel: remove divisions in tx status path
  (jsc#SLE-13430).
- nl80211: trivial: Remove redundant loop (jsc#SLE-13430).
- mac80211: simplify TX aggregation start (jsc#SLE-13430).
- mac80211: pass internal sta to ieee80211_tx_frags()
  (jsc#SLE-13430).
- mac80211: IBSS: avoid unneeded return value processing
  (jsc#SLE-13430).
- cfg80211: wext: avoid copying malformed SSIDs (jsc#SLE-13430).
- mac80211: Reject malformed SSID elements (jsc#SLE-13430).
- mac80211: keep BHs disabled while calling drv_tx_wake_queue()
  (jsc#SLE-13430).
- mac80211: fix txq null pointer dereference (jsc#SLE-13430).
- nl80211: fix null pointer dereference (jsc#SLE-13430).
- cfg80211: initialize on-stack chandefs (jsc#SLE-13430).
- cfg80211: validate SSID/MBSSID element ordering assumption
  (jsc#SLE-13430).
- nl80211: validate beacon head (jsc#SLE-13430).
- iwlwifi: fw: don't send GEO_TX_POWER_LIMIT command to FW
  version 36 (jsc#SLE-13430).
- iwlwifi: mvm: fix build w/o CONFIG_THERMAL (jsc#SLE-13430).
- cfg80211: Purge frame registrations on iftype change
  (jsc#SLE-13430).
- nl80211: Fix possible Spectre-v1 for CQM RSSI thresholds
  (jsc#SLE-13430).
- mac80211: allow drivers to set max MTU (jsc#SLE-13430).
- cfg80211: Do not compare with boolean in
  nl80211_common_reg_change_event (jsc#SLE-13430).
- mac80211: IBSS: send deauth when expiring inactive STAs
  (jsc#SLE-13430).
- mac80211: don't check if key is NULL in ieee80211_key_link()
  (jsc#SLE-13430).
- mac80211: clear crypto tx tailroom counter upon keys enable
  (jsc#SLE-13430).
- mac80211: remove unnecessary key condition (jsc#SLE-13430).
- mac80211: list features in WEP/TKIP disable in better order
  (jsc#SLE-13430).
- cfg80211: always shut down on HW rfkill (jsc#SLE-13430).
- mac80211: vht: add support VHT EXT NSS BW in parsing VHT
  (jsc#SLE-13430).
- cfg80211: fix boundary value in ieee80211_frequency_to_channel()
  (jsc#SLE-13430).
- cfg80211: add local BSS receive time to survey information
  (jsc#SLE-13430).
- nl80211: add NL80211_CMD_UPDATE_FT_IES to supported commands
  (jsc#SLE-13430).
- mac80211: minstrel_ht: fix infinite loop because supported is
  not being shifted (jsc#SLE-13430).
- iwlwifi: dbg: remove iwl_fw_cancel_dumps function
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: remove periodic trigger (jsc#SLE-13430).
- iwlwifi: dbg_ini: fix dump structs doc (jsc#SLE-13430).
- iwlwifi: fw api: add DRAM buffer allocation command
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: remove apply point, switch to time point API
  (jsc#SLE-13430).
- iwlwifi: add iwl_tlv_array_len() (jsc#SLE-13430).
- iwlwifi: mvm: don't log un-decrypted frames (jsc#SLE-13430).
- iwlwifi: mvm: add support for single antenna diversity
  (jsc#SLE-13430).
- iwlwifi: mvm: handle BAR_FRAME_RELEASE (0xc2) notification
  (jsc#SLE-13430).
- iwlwifi: mvm: drop BA sessions on too many old-SN frames
  (jsc#SLE-13430).
- iwlwifi: add sta_id to WOWLAN_CONFIG_CMD (jsc#SLE-13430).
- iwlwifi: add support for suspend-resume flow for new device
  generation (jsc#SLE-13430).
- iwlwifi: fix warning iwl-trans.h is included more than once
  (jsc#SLE-13430).
- iwlwifi: always access the trans configuration via trans
  (jsc#SLE-13430).
- iwlwifi: pass the iwl_trans instead of cfg to some functions
  (jsc#SLE-13430).
- iwlwifi: add a pointer to the trans_cfg directly in trans
  (jsc#SLE-13430).
- mac80211_hwsim: Extended Key ID API update (jsc#SLE-13430).
- commit 10eee37
* Tue Sep  8 2020 ptesarik@suse.cz
- crypto: ecc - SP800-56A rev 3 local public key validation
  (bsc#1175718).
- crypto: dh - SP800-56A rev 3 local public key validation
  (bsc#1175718).
- crypto: dh - check validity of Z before export (bsc#1175718).
- lib/mpi: Add mpi_sub_ui() (bsc#1175718).
- crypto: ecdh - check validity of Z before export (bsc#1175718).
- commit 1b908a3
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: pass the iwl_config_trans_params when needed
  (jsc#SLE-13430).
- iwlwifi: pcie: set iwl_trans->cfg later in the probe function
  (jsc#SLE-13430).
- iwlwifi: pcie: move some cfg mangling from trans_pcie_alloc
  to probe (jsc#SLE-13430).
- iwlwifi: pcie: use the cfg we passed to iwl_trans_pcie_alloc()
  (jsc#SLE-13430).
- iwlwifi: separate elements from cfg that are needed by
  trans_alloc (jsc#SLE-13430).
- iwlwifi: dbg_ini: use regions ops array instead of switch case
  in dump flow (jsc#SLE-13430).
- iwlwifi: dbg_ini: make a single ops struct for paging collect
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: move tx fifo data into fw runtime
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: use linked list for dump TLVs during dump
  creation (jsc#SLE-13430).
- iwlwifi: dbg_ini: separate cfg and dump flows to different
  modules (jsc#SLE-13430).
- iwlwifi: mvm: look for the first supported channel when
  add/remove phy ctxt (jsc#SLE-13430).
- iwlwifi: allocate bigger nvm data in case of UHB
  (jsc#SLE-13430).
- iwlwifi: remove unnecessary IWL_DEVICE_AX200_COMMON definition
  (jsc#SLE-13430).
- iwlwifi: dbg: align wrt log prints to the same format
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: remove debug flow TLV (jsc#SLE-13430).
- iwlwifi: dbg_ini: verify debug TLVs at allocation phase
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: use function to check if ini dbg mode is on
  (jsc#SLE-13430).
- iwlwifi: remove duplicate FW string definitions (jsc#SLE-13430).
- iwlwifi: bump FW API to 50 for 22000 series (jsc#SLE-13430).
- iwlwifi: api: fix FTM struct documentation (jsc#SLE-13430).
- iwlwifi: support per-platform antenna gain (jsc#SLE-13430).
- iwlwifi: mvm: remove check for lq_sta in
  __iwl_mvm_rs_tx_status() (jsc#SLE-13430).
- iwlwifi: mvm: simplify the channel switch flow for newer
  firmware (jsc#SLE-13430).
- iwlwifi: stop passing bogus gfp flags arguments to
  dma_alloc_coherent (jsc#SLE-13430).
- iwlwifi: dbg_ini: remove periphery phy and aux regions handling
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: use linked list to store debug TLVs
  (jsc#SLE-13430).
- iwlwifi: dbg_ini: maintain buffer allocations from trans
  instead of TLVs buffer (jsc#SLE-13430).
- iwlwifi: dbg: add debug periphery registers to 9000 device
  family (jsc#SLE-13430).
- iwlwifi: remove unused regdb_ptrs allocation (jsc#SLE-13430).
- iwlwifi: dbg_ini: align dbg tlv functions names to a single
  format (jsc#SLE-13430).
- iwlwifi: scan: don't pass large argument by value
  (jsc#SLE-13430).
- iwlwifi: remove pm_runtime completely (jsc#SLE-13430).
- iwlwifi: remove the d0i3 related module parameters
  (jsc#SLE-13430).
- iwlwifi: pcie: remove some more d0i3 code from the transport
  (jsc#SLE-13430).
- iwlwifi: pcie: remove the refs / unrefs from the transport
  (jsc#SLE-13430).
- iwlwifi: remove the opmode's d0i3 handlers (jsc#SLE-13430).
- iwlwifi: remove runtime_pm_mode (jsc#SLE-13430).
- iwlwifi: Set w-pointer upon resume according to SN
  (jsc#SLE-13430).
- iwlwifi: mvm: use FW thermal monitoring regardless of
  CONFIG_THERMAL (jsc#SLE-13430).
- iwlwifi: mvm: name magic numbers with enum (jsc#SLE-13430).
- commit a03925d
* Tue Sep  8 2020 tiwai@suse.de
- iwlwifi: scan: add support for new scan request command version
  (jsc#SLE-13430).
- iwlwifi: LTR updates (jsc#SLE-13430).
- iwlwifi: remove the code under IWLWIFI_PCIE_RTPM
  (jsc#SLE-13430).
- iwlwifi: trans: remove suspending flag (jsc#SLE-13430).
- iwlwifi: remove CMD_HIGH_PRIO (jsc#SLE-13430).
- iwlwifi: mvm: remove last leftovers of d0i3 (jsc#SLE-13430).
- iwlwifi: mvm: remove iwl_mvm_update_d0i3_power_mode
  (jsc#SLE-13430).
- iwlwifi: mvm: remove d0i3_ap_sta_id (jsc#SLE-13430).
- iwlwifi: mvm: iwl_mvm_wowlan_config_key_params is for wowlan
  only (jsc#SLE-13430).
- iwlwifi: mvm: remove the d0i3 entry/exit flow (jsc#SLE-13430).
- iwlwifi: mvm: remove the tx defer for d0i3 (jsc#SLE-13430).
- iwlwifi: remove all the d0i3 references (jsc#SLE-13430).
- iwlwifi: mvm: start to remove the code for d0i3 (jsc#SLE-13430).
- iwlwifi: mvm: add the skb length to a print (jsc#SLE-13430).
- iwlwifi: mvm: fix scan config command size (jsc#SLE-13430).
- iwlwifi: add ldbg config cmd debug print (jsc#SLE-13430).
- iwlwifi: dbg: support debug recording suspend resume command
  (jsc#SLE-13430).
- iwlwifi: dbg: move debug recording stop from trans to op mode
  (jsc#SLE-13430).
- iwlwifi: dbg: move monitor recording functionality from header
  file (jsc#SLE-13430).
- iwlwifi: mvm: remove unnecessary forward declarations
  (jsc#SLE-13430).
- iwlwifi: mvm: Block 26-tone RU OFDMA transmissions
  (jsc#SLE-13430).
- iwlwifi: mvm: remove redundant condition in
  iwl_mvm_set_hw_rfkill_state (jsc#SLE-13430).
- iwlwifi: Send DQA enable command only if TVL is on
  (jsc#SLE-13430).
- iwlwifi: bump FW API to 49 for 22000 series (jsc#SLE-13430).
- ipw2x00: fix spelling mistake "initializationg" ->
  "initialization" (jsc#SLE-13430).
- mac80211: minstrel_ht: improve rate probing for devices with
  static fallback (jsc#SLE-13430).
- mac80211: minstrel_ht: fix default max throughput rate indexes
  (jsc#SLE-13430).
- mac80211: minstrel_ht: reduce unnecessary rate probing attempts
  (jsc#SLE-13430).
- mac80211: minstrel_ht: fix per-group max throughput rate
  initialization (jsc#SLE-13430).
- nl80211: Add support for EDMG channels (jsc#SLE-13430).
- mac80211: fix possible NULL pointerderef in obss pd code
  (jsc#SLE-13430).
- mac80211: add assoc-at support (jsc#SLE-13430).
- cfg80211: Support assoc-at timer in sta-info (jsc#SLE-13430).
- cfg80211: apply same mandatory rate flags for 5GHz and 6GHz
  (jsc#SLE-13430).
- cfg80211: ibss: use 11a mandatory rates for 6GHz band operation
  (jsc#SLE-13430).
- cfg80211: use same IR permissive rules for 6GHz band
  (jsc#SLE-13430).
- cfg80211: add 6GHz in code handling array with NUM_NL80211_BANDS
  entries (jsc#SLE-13430).
- cfg80211: extend ieee80211_operating_class_to_band() for 6GHz
  (jsc#SLE-13430).
- cfg80211: util: add 6GHz channel to freq conversion and vice
  versa (jsc#SLE-13430).
- cfg80211: add 6GHz UNII band definitions (jsc#SLE-13430).
- commit 5fa9b00
* Tue Sep  8 2020 tiwai@suse.de
- mac80211: reject zero MAC address in add station
  (jsc#SLE-13430).
- commit 48ef5ee
* Tue Sep  8 2020 tiwai@suse.de
- nl80211: add 6GHz band definition to enum nl80211_band
  (jsc#SLE-13430).
- mac80211: add missing length field increment when generating
  Radiotap header (jsc#SLE-13430).
- mac80211: 80Mhz was not reported properly when using
  tx_status_ext (jsc#SLE-13430).
- mac80211: fix bad guard when reporting legacy rates
  (jsc#SLE-13430).
- mac80211: fix TX legacy rate reporting when tx_status_ext is
  used (jsc#SLE-13430).
- ipw2x00: remove redundant assignment to err (jsc#SLE-13430).
- iwlegacy: Use dev_get_drvdata where possible (jsc#SLE-13430).
- mac80211: HE STA disassoc due to QOS NULL not sent
  (jsc#SLE-13430).
- mac80211: allow setting spatial reuse parameters from bss_conf
  (jsc#SLE-13430).
- nl80211: add strict start type (jsc#SLE-13430).
- cfg80211: add support for parsing OBBS_PD attributes
  (jsc#SLE-13430).
- cfg80211: use parallel_ops for genl (jsc#SLE-13430).
- mac80211: add missing null return check from call to
  ieee80211_get_sband (jsc#SLE-13430).
- mac80211: add support for the ADDBA extension element
  (jsc#SLE-13430).
- mac80211: propagate HE operation info into bss_conf
  (jsc#SLE-13430).
- cfg80211: fix dfs channels remain DFS_AVAILABLE after ch_switch
  (jsc#SLE-13430).
- cfg80211: fix duplicated scan entries after channel switch
  (jsc#SLE-13430).
- cfg80211: refactor cfg80211_bss_update (jsc#SLE-13430).
- nl80211: Include wiphy address setup in NEW_WIPHY
  (jsc#SLE-13430).
- mac80211: implement HE support for mesh (jsc#SLE-13430).
- mac80211: add IEEE80211_KEY_FLAG_GENERATE_MMIE to
  ieee80211_key_flags (jsc#SLE-13430).
- mac80211: HE: add Spatial Reuse element parsing support
  (jsc#SLE-13430).
- mac80211: add struct ieee80211_tx_status support to
  ieee80211_add_tx_radiotap_header (jsc#SLE-13430).
- mac80211: propagate struct ieee80211_tx_status into
  ieee80211_tx_monitor() (jsc#SLE-13430).
- mac80211: add xmit rate to struct ieee80211_tx_status
  (jsc#SLE-13430).
- mac80211: add support for parsing ADDBA_EXT IEs (jsc#SLE-13430).
- cfg80211: give all multi-BSSID BSS entries the same timestamp
  (jsc#SLE-13430).
- cfg80211: don't parse MBSSID if transmitting BSS isn't created
  (jsc#SLE-13430).
- cfg80211: clean up cfg80211_inform_single_bss_frame_data()
  (jsc#SLE-13430).
- cfg80211: no need to check return value of debugfs_create
  functions (jsc#SLE-13430).
- mac80211: AMPDU handling for rekeys with Extended Key ID
  (jsc#SLE-13430).
- mac80211: Simplify Extended Key ID API (jsc#SLE-13430).
- mac80211: add tx dequeue function for process context
  (jsc#SLE-13430).
- lib80211: use crypto API ccm(aes) transform for CCMP processing
  (jsc#SLE-13430).
- mac80211: remove unused and unneeded remove_sta_debugfs callback
  (jsc#SLE-13430).
- iwlwifi: mvm: remove unused .remove_sta_debugfs callback
  (jsc#SLE-13430).
- iwlwifi: dvm: no need to check return value of debugfs_create
  functions (jsc#SLE-13430).
- mac80211: pass the vif to cancel_remain_on_channel
  (jsc#SLE-13430).
- commit cae3467
* Tue Sep  8 2020 mbrugger@suse.com
- gpio: gpio-mlxbf2.c: Provide __releases() annotation to stop
  confusing Sparse (jsc#SLE-16098).
- gpio: gpio-mlxbf2: Tell the compiler that ACPI functions may
  not be use (jsc#SLE-16098).
- gpio: mlxbf2: fix return value check in
  mlxbf2_gpio_get_lock_res() (jsc#SLE-16098).
- gpio: mlxbf2: remove unused including <linux/version.h>
  (jsc#SLE-16098).
- gpio: mlxbf2: Fix sleeping while holding spinlock
  (jsc#SLE-16098).
- commit efe083f
* Tue Sep  8 2020 mbrugger@suse.com
- gpio: add driver for Mellanox BlueField 2 GPIO controller
  (jsc#SLE-16098).
- Update config files.
  Build driver as module
- supported.conf: Add gpio-mlxbf2
- commit ef4c9cc
* Tue Sep  8 2020 tiwai@suse.de
- Preliminary removal of iwlwifi and wireless patches for a bulk upgrade (jsc#SLE-13430)
- commit 2a8b9bc
* Tue Sep  8 2020 dwagner@suse.de
- nvme-fc: set max_segments to lldd max value (bsc#1176038).
- commit d7e9e95
* Tue Sep  8 2020 msuchanek@suse.de
- powerpc/64s: Fix crash in load_fp_state() due to fpexc_mode
  (jsc#SLE-9246).
- powerpc/32s: Fix CONFIG_BOOK3S_601 uses (jsc#SLE-9246).
- powerpc: Use trap metadata to prevent double restart rather
  than zeroing trap (jsc#SLE-9246).
- powerpc: trap_is_syscall() helper to hide syscall trap number
  (jsc#SLE-9246).
- powerpc: Use set_trap() and avoid open-coding trap masking
  (jsc#SLE-9246).
- powerpc/64s: Always has full regs, so remove remnant checks
  (jsc#SLE-9246).
- powerpc/64s: Disable sanitisers for C syscall/interrupt
  entry/exit code (jsc#SLE-9246).
- commit 055aa3a
* Tue Sep  8 2020 ptesarik@suse.cz
- s390/qeth: don't process empty bridge port events (git-fixes).
- s390/qeth: integrate RX refill worker with NAPI (git-fixes).
- s390/qeth: tolerate pre-filled RX buffer (git-fixes).
- commit 0d5daa2
* Tue Sep  8 2020 hare@suse.de
- block, bfq: extend incomplete name of field on_st
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/bfq-fix-blkio-cgroup-leakage-v4.patch.
- Refresh
  patches.suse/block-bfq-get-a-ref-to-a-group-when-adding-it-to-a-s.patch.
- commit 1c9dd9d
* Tue Sep  8 2020 mbenes@suse.cz
- rpm/kernel-binary.spec.in: pack .ipa-clones files for live patching
  When -fdump-ipa-clones option is enabled, GCC reports about its cloning
  operation during IPA optimizations. We use the information for live
  patches preparation, because it is crucial to know if and how functions
  are optimized.
  Currently, we create the needed .ipa-clones dump files manually. It is
  unnecessary, because the files may be created automatically during our
  kernel build. Prepare for the step and provide the resulting files in
  - livepatch-devel package.
- commit 98e5a9d
* Tue Sep  8 2020 hare@suse.de
- supported.conf: mark 't10-pi' as supported.
- commit 9714c3a
* Tue Sep  8 2020 dwagner@suse.de
- s390: fix GENERIC_LOCKBREAK dependency typo in Kconfig
  (git-fixes).
- x86/hotplug: Silence APIC only after all interrupts are migrated
  (git-fixes).
- test_kmod: avoid potential double free in
  trigger_config_run_type() (git-fixes).
- initramfs: remove clean_rootfs (git-fixes).
- initramfs: remove the populate_initrd_image and clean_rootfs
  stubs (git-fixes).
- scsi: lpfc: Add dependency on CPU_FREQ (git-fixes).
- block: Use non _rcu version of list functions for tag_set_list
  (git-fixes).
- scsi: qla2xxx: Suppress two recently introduced compiler
  warnings (git-fixes).
- commit de8f3c2
* Tue Sep  8 2020 dwagner@suse.de
- blacklist.conf: Add documenation fixes and kabi breaker
- commit dba74e9
* Tue Sep  8 2020 tbogendoerfer@suse.de
- tg3: Fix soft lockup when tg3_reset_task() fails (git-fixes).
- cxgb4: fix thermal zone device registration (git-fixes).
- bnxt: don't enable NAPI until rings are ready (git-fixes).
- taprio: Fix using wrong queues in gate mask (bsc#1154353).
- bnxt_en: fix HWRM error when querying VF temperature
  (git-fixes).
- bnxt_en: Fix possible crash in bnxt_fw_reset_task()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix PCI AER error recovery flow (git-fixes).
- bnxt_en: Check for zero dir entries in NVRAM (git-fixes).
- bnxt_en: Don't query FW when netif_running() is false
  (git-fixes).
- bonding: fix a potential double-unregister (git-fixes).
- i40e: Fix crash during removing i40e driver (git-fixes).
- i40e: Set RX_ONLY mode for unicast promiscuous on VLAN
  (git-fixes).
- commit 4d82728
* Tue Sep  8 2020 msuchanek@suse.de
- powerpc/ppc_asm.h: delete duplicated word (jsc#SLE-9246).
- powerpc/64s/exception: treat NIA below __end_interrupts as
  soft-masked (jsc#SLE-9246).
- powerpc: Select ARCH_HAS_MEMBARRIER_SYNC_CORE (jsc#SLE-9246).
- Update config files.
- powerpc/64: Fix an out of date comment about MMIO ordering
  (jsc#SLE-9246).
- powerpc/book3s64/keys/kuap: Reset AMR/IAMR values on kexec
  (jsc#SLE-9246).
- powerpc: re-initialise lazy FPU/VEC counters on every fault
  (jsc#SLE-9246).
- powerpc/64s: Fix restore_math unnecessarily changing MSR
  (jsc#SLE-9246).
- powerpc/64s: restore_math remove TM test (jsc#SLE-9246).
- powerpc/64: indirect function call use bctrl rather than blrl
  in ret_from_kernel_thread (jsc#SLE-9246).
- powerpc/64s/hash: Fix hash_preload running with interrupts
  enabled (jsc#SLE-9246).
- powerpc/64s/exception: Fix 0x1500 interrupt handler crash
  (jsc#SLE-9246).
- powerpc/64s: Fix KVM interrupt using wrong save area
  (jsc#SLE-9246).
- powerpc/32: Blacklist functions running with MMU disabled for
  kprobe (jsc#SLE-9246).
- powerpc/64s/kuap: Conditionally restore AMR in kuap_restore_amr
  asm (jsc#SLE-9246).
- powerpc/64/kuap: Conditionally restore AMR in interrupt exit
  (jsc#SLE-9246).
- powerpc/64s/kuap: Add missing isync to KUAP restore paths
  (jsc#SLE-9246).
- powerpc/64: Refactor interrupt exit irq disabling sequence
  (jsc#SLE-9246).
- powerpc/mm: Don't be too strict with _etext alignment on PPC32
  (jsc#SLE-9246).
- powerpc/uaccess: Don't use "m<>" constraint (jsc#SLE-9246).
- powerpc/uaccess: Implement user_read_access_begin and
  user_write_access_begin (jsc#SLE-9246).
- powerpc/uaccess: Implement unsafe_copy_to_user() as a simple
  loop (jsc#SLE-9246).
- powerpc/uaccess: Implement unsafe_put_user() using 'asm goto'
  (jsc#SLE-9246).
- powerpc/64s/exceptions: Machine check reconcile irq state
  (jsc#SLE-9246).
- powerpc/64s/exceptions: Change irq reconcile for NMIs from
  reusing _DAR to RESULT (jsc#SLE-9246).
- powerpc/64s/exceptions: Fix in_mce accounting in unrecoverable
  path (jsc#SLE-9246).
- powerpc/64: Don't initialise init_task->thread.regs
  (jsc#SLE-9246).
- powerpc/64s: Fix restore of NV GPRs after facility unavailable
  exception (jsc#SLE-9246).
- powerpc/64s/kuap: Restore AMR in fast_interrupt_return
  (jsc#SLE-9246).
- powerpc/64/kuap: Move kuap checks out of MSR[RI]=0 regions of
  exit code (jsc#SLE-9246).
- powerpc/64s: Fix unrecoverable SLB crashes due to preemption
  check (jsc#SLE-9246).
- powerpc/uaccess: Evaluate macro arguments once, before user
  access is allowed (jsc#SLE-9246).
- powerpc: Improve ppc_save_regs() (jsc#SLE-9246).
- powerpc/perf: split callchain.c by bitness (jsc#SLE-9246).
- powerpc/64: make buildable without CONFIG_COMPAT (jsc#SLE-9246).
- Refresh patches.suse/powerpc-pseries-Add-KVM-guest-doorbell-restrictions.patch.
- powerpc/perf: consolidate valid_user_sp -> invalid_user_sp
  (jsc#SLE-9246).
- powerpc/perf: consolidate read_user_stack_32 (jsc#SLE-9246).
- powerpc/64s: Fix doorbell wakeup msgclr optimisation
  (jsc#SLE-9246).
- powerpc/64/syscall: Reconcile interrupts (jsc#SLE-9246).
- powerpc/64s/exception: Remove lite interrupt return
  (jsc#SLE-9246).
- powerpc/64s: Implement interrupt exit logic in C (jsc#SLE-9246).
- powerpc/64: Implement soft interrupt replay in C (jsc#SLE-9246).
- powerpc/64/syscall: Zero volatile registers when returning
  (jsc#SLE-9246).
- powerpc/64/sycall: Implement syscall entry/exit logic in C
  (jsc#SLE-9246).
- Refresh patches.suse/powerpc-Move-ptrace-into-a-subdirectory.patch.
- Refresh patches.suse/powerpc-pseries-Add-KVM-guest-doorbell-restrictions.patch
- powerpc/64/syscall: Remove non-volatile GPR save optimisation
  (jsc#SLE-9246).
- powerpc/64s/exception: Soft NMI interrupt should not use
  ret_from_except (jsc#SLE-9246).
- powerpc/64s/exception: Reconcile interrupts in system_reset
  (jsc#SLE-9246).
- powerpc/64s/exception: Only test KVM in SRR interrupts when
  PR KVM is supported (jsc#SLE-9246).
- powerpc/64s/exception: Add more comments for interrupt handlers
  (jsc#SLE-9246).
- powerpc/64s/exception: Clean up SRR specifiers (jsc#SLE-9246).
- Refresh patches.suse/powerpc-64s-kuap-Restore-AMR-in-system-reset-excepti.patch.
- powerpc/64s/exception: Re-inline some handlers (jsc#SLE-9246).
- powerpc/64s/exception: Avoid touching the stack in hdecrementer
  (jsc#SLE-9246).
- powerpc/64s/exception: Trim unused arguments from KVMTEST macro
  (jsc#SLE-9246).
- powerpc/64s/exception: Remove the SPR saving patch code macros
  (jsc#SLE-9246).
- powerpc/64s/exception: Remove confusing IEARLY option
  (jsc#SLE-9246).
- powerpc/64s/exception: Move KVM test to common code
  (jsc#SLE-9246).
- powerpc/64s/exception: Move soft-mask test to common code
  (jsc#SLE-9246).
- powerpc/64s/exception: Move real to virt switch into the common
  handler (jsc#SLE-9246).
- powerpc/64s/exception: Add ISIDE option (jsc#SLE-9246).
- powerpc/64s/exception: Remove old INT_KVM_HANDLER
  (jsc#SLE-9246).
- powerpc/64s/exception: Remove old INT_COMMON macro
  (jsc#SLE-9246).
- powerpc/64s/exception: Remove old INT_ENTRY macro
  (jsc#SLE-9246).
- powerpc/64s/exception: Move all interrupt handlers to new
  style code gen macros (jsc#SLE-9246).
- powerpc/64s/exception: Expand EXC_COMMON and EXC_COMMON_ASYNC
  macros (jsc#SLE-9246).
- powerpc/64s/exception: Add GEN_KVM macro that uses INT_DEFINE
  parameters (jsc#SLE-9246).
- powerpc/64s/exception: Add GEN_COMMON macro that uses INT_DEFINE
  parameters (jsc#SLE-9246).
- powerpc/64s/exception: Introduce INT_DEFINE parameter block
  for code generation (jsc#SLE-9246).
- powerpc: Implement user_access_save() and user_access_restore()
  (jsc#SLE-9246).
- powerpc: Implement user_access_begin and friends (jsc#SLE-9246).
- powerpc/32s: Prepare prevent_user_access() for user_access_end()
  (jsc#SLE-9246).
- powerpc/32s: Drop NULL addr verification (jsc#SLE-9246).
- powerpc: align stack to 2 * THREAD_SIZE with VMAP_STACK
  (jsc#SLE-9246).
- powerpc/64s: Reimplement power4_idle code in C (jsc#SLE-9246).
- Update config files.
- powerpc/64: Use {SAVE,REST}_NVGPRS macros (jsc#SLE-9246).
- powerpc: cleanup hw_irq.h (jsc#SLE-9246).
- powerpc: unify definition of M_IF_NEEDED (jsc#SLE-9246).
- powerpc/perf: remove current_is_64bit() (jsc#SLE-9246).
- powerpc/64s/exception: Fix kaup -> kuap typo (jsc#SLE-9246).
- powerpc: Move EXCEPTION_TABLE to RO_DATA segment (jsc#SLE-9246).
- powerpc: Rename PT_LOAD identifier "kernel" to "text"
  (jsc#SLE-9246).
- powerpc: Remove PT_NOTE workaround (jsc#SLE-9246).
- powerpc: Rename "notes" PT_NOTE to "note" (jsc#SLE-9246).
- powerpc/64: remove support for kernel-mode syscalls
  (jsc#SLE-9246).
- powerpc/32s: get rid of CPU_FTR_601 feature (jsc#SLE-9246).
- powerpc/prom: convert PROM_BUG() to standard trap
  (jsc#SLE-9246).
- Refresh patches.suse/powerpc-64s-Fix-section-mismatch-warnings-from-boot-.patch.
- powerpc/64: optimise LOAD_REG_IMMEDIATE_SYM() (jsc#SLE-9246).
- powerpc: rewrite LOAD_REG_IMMEDIATE() as an intelligent macro
  (jsc#SLE-9246).
- commit 8d00749
* Tue Sep  8 2020 jslaby@suse.cz
- selftests/net: relax cpu affinity requirement in msg_zerocopy
  test (networking-stable-20_08_08).
- dpaa2-eth: Fix passing zero to 'PTR_ERR' warning
  (networking-stable-20_08_08).
- net: thunderx: use spin_lock_bh in nicvf_set_rx_mode_task()
  (networking-stable-20_08_08).
- tcp: apply a floor of 1 for RTT samples from TCP timestamps
  (networking-stable-20_08_08).
- net: gre: recompute gre csum for sctp over gre tunnels
  (networking-stable-20_08_08).
- openvswitch: Prevent kernel-infoleak in ovs_ct_put_key()
  (networking-stable-20_08_08).
- net: ethernet: mtk_eth_soc: fix MTU warnings
  (networking-stable-20_08_08).
- rxrpc: Fix race between recvmsg and sendmsg on immediate call
  failure (networking-stable-20_08_08).
- ipv6: fix memory leaks on IPV6_ADDRFORM path
  (networking-stable-20_08_08).
- ipv4: Silence suspicious RCU usage warning
  (networking-stable-20_08_08).
- vxlan: Ensure FDB dump is performed under RCU
  (networking-stable-20_08_08).
- ipv6: Fix nexthop refcnt leak when creating ipv6 route info
  (networking-stable-20_08_08).
- commit a270aeb
* Tue Sep  8 2020 hare@suse.de
- blacklist.conf: add aad4b4d15f30 ("scsi: libata: Fix the ata_scsi_dma_need_drain stub")
- commit 7742dc4
* Tue Sep  8 2020 hare@suse.de
- blacklist.conf: add 78ed001d9e71 ("compat: scsi: sg: fix v3 compat read/write interface")
- commit e45fc40
* Tue Sep  8 2020 jslaby@suse.cz
- dev: Defer free of skbs in flush_backlog
  (networking-stable-20_07_29).
- qrtr: orphan socket in qrtr_release()
  (networking-stable-20_07_29).
- bonding: check return value of register_netdevice() in
  bond_newlink() (networking-stable-20_07_29).
- sctp: shrink stream outq when fails to do addstream reconf
  (networking-stable-20_07_29).
- sctp: shrink stream outq only when new outcnt < old outcnt
  (networking-stable-20_07_29).
- enetc: Remove the mdio bus on PF probe bailout
  (networking-stable-20_07_29).
- drivers/net/wan/x25_asy: Fix to make it work
  (networking-stable-20_07_29).
- net: dsa: microchip: call phy_remove_link_mode during probe
  (networking-stable-20_07_29).
- kABI: net: dsa: microchip: call phy_remove_link_mode during
  probe (kabi).
- net: udp: Fix wrong clean up for IS_UDPLITE macro
  (networking-stable-20_07_29).
- net-sysfs: add a newline when printing 'tx_timeout' by sysfs
  (networking-stable-20_07_29).
- mlxsw: destroy workqueue when trap_register in mlxsw_emad_init
  (networking-stable-20_07_29).
- rxrpc: Fix sendmsg() returning EPIPE due to recvmsg() returning
  ENODATA (networking-stable-20_07_29).
- bonding: check error value of register_netdevice() immediately
  (networking-stable-20_07_29).
- net: dp83640: fix SIOCSHWTSTAMP to update the struct with
  actual configuration (networking-stable-20_07_29).
- vsock/virtio: annotate 'the_virtio_vsock' RCU pointer
  (networking-stable-20_07_29).
- bnxt_en: Fix completion ring sizing with TPA enabled
  (networking-stable-20_07_29).
- bnxt_en: Fix race when modifying pause settings
  (networking-stable-20_07_29).
- commit 15b35e2
* Tue Sep  8 2020 hare@suse.de
- Update config files.
- commit 190f3ff
* Tue Sep  8 2020 bp@suse.de
- EDAC: Fix reference count leaks (bsc#1152489).
- commit 3f4ad8e
* Tue Sep  8 2020 hare@suse.de
- block: remove alloc_part_info and free_part_info
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-diskstats-more-accurate-approximation-of-io_ti.patch.
- commit 7743f0b
* Tue Sep  8 2020 hare@suse.de
- Updated iostats docs (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-diskstats-more-accurate-approximation-of-io_ti.patch.
- commit f5c3489
* Mon Sep  7 2020 martin.wilck@suse.com
- Delete patches.suse/megaraid-mbox-fix-SG_IO.
  This patch is only necessary for i386 with CONFIG_HIGHMEM.
- commit 0e7ced3
* Mon Sep  7 2020 martin.wilck@suse.com
- scsi: megaraid_sas: Clear affinity hint (jsc#SLE-15391).
- scsi: megaraid: Remove set but unused variable (jsc#SLE-15391).
- scsi: megaraid: Fix compilation warnings (jsc#SLE-15391).
- scsi: megaraid: Fix kdoc comments format (jsc#SLE-15391).
- scsi: megaraid_sas: Remove undefined ENABLE_IRQ_POLL macro
  (jsc#SLE-15391).
- scsi: megaraid_sas: Update driver version to 07.714.04.00-rc1
  (jsc#SLE-15391).
- scsi: megaraid_sas: TM command refire leads to controller
  firmware crash (jsc#SLE-15391).
- scsi: megaraid_sas: Remove IO buffer hole detection logic
  (jsc#SLE-15391).
- scsi: megaraid_sas: Limit device queue depth to controller
  queue depth (jsc#SLE-15391).
- scsi: megaraid: Use true, false for bool variables
  (jsc#SLE-15391).
- scsi: megaraid: make two symbols static in megaraid_sas_base.c
  (jsc#SLE-15391).
- scsi: megaraid: make some symbols static in
  megaraid_sas_fusion.c (jsc#SLE-15391).
- scsi: megaraid: make some symbols static in megaraid_sas_fp.c
  (jsc#SLE-15391).
- scsi: megaraid: make two symbols static in megaraid_mbox.c
  (jsc#SLE-15391).
- scsi: megaraid_sas: Use scnprintf() for avoiding potential
  buffer overflow (jsc#SLE-15391).
- scsi: megaraid_sas: fix indentation issue (jsc#SLE-15391).
- scsi: megaraid_sas: silence a warning (jsc#SLE-15391).
- scsi: megaraid_sas: Make poll_aen_lock static (jsc#SLE-15391).
- compat_ioctl: use correct compat_ptr() translation in drivers
  (jsc#SLE-15391).
- commit f78ceb4
* Mon Sep  7 2020 bp@suse.de
- x86/mce/inject: Fix a wrong assignment of i_mce.status
  (bsc#1152489).
- commit 64f04e6
* Mon Sep  7 2020 bp@suse.de
- blacklist.conf: 2accfa69050c cpu/speculation: Add prototype for cpu_show_srbds()
- commit 12941df
* Mon Sep  7 2020 dwagner@suse.de
- scsi: libfc: Free skb in fc_disc_gpn_id_resp() for valid cases
  (bsc#1174899).
- scsi: fcoe: Memory leak fix in fcoe_sysfs_fcf_del()
  (bsc#1174899).
- commit f5d1493
* Mon Sep  7 2020 dwagner@suse.de
- series.conf: Update meta-data
  and corresponding patches
- commit 397e951
* Mon Sep  7 2020 bp@suse.de
- Refresh
  patches.suse/x86-asm-64-Align-start-of-__clear_user-loop-to-16-by.patch.
- commit e3c9d3b
* Mon Sep  7 2020 bp@suse.de
- blacklist.conf: cc5277fe66cf x86/resctrl: Fix a NULL vs IS_ERR() static checker warning in rdt_cdp_peer_get()
- commit 67c6df6
* Mon Sep  7 2020 bp@suse.de
- blacklist.conf: 2c18bd525c47 x86/resctrl: Fix memory bandwidth counter width for AMD
  Fix moved to SP3, see bsc#1172757
- commit bacb8af
* Mon Sep  7 2020 mgorman@suse.de
- x86/vector: Remove warning on managed interrupt migration
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit d3e98fd
* Mon Sep  7 2020 tiwai@suse.de
- mei: me: add jasper point DID (jsc#SLE-13387).
- Refresh patches.suse/mei-me-add-cedar-fork-device-ids.patch.
- commit e2c84b3
* Mon Sep  7 2020 tiwai@suse.de
- mei: add device kind to sysfs (jsc#SLE-13387).
- mei: hw: don't use one element arrays (jsc#SLE-13387).
- mei: hw: use sizeof of variable instead of struct type
  (jsc#SLE-13387).
- mei: client: use sizeof of variable instead of struct type
  (jsc#SLE-13387).
- mei: bus: use sizeof of variable instead of struct type
  (jsc#SLE-13387).
- mei: ioctl: use sizeof of variable instead of struct type
  (jsc#SLE-13387).
- mei: hbm: use sizeof of variable instead of struct type
  (jsc#SLE-13387).
- Revert "mei: Avoid the use of one-element arrays"
  (jsc#SLE-13387).
- mei: Avoid the use of one-element arrays (jsc#SLE-13387).
- mei: Replace HTTP links with HTTPS ones (jsc#SLE-13387).
- mei: me: add MEI device for KBP with ITPS capability
  (jsc#SLE-13387).
- mei: me: add MEI device for SPT with ITPS capability
  (jsc#SLE-13387).
- mei: me: add kdoc for mei_me_fw_type_nm() (jsc#SLE-13387).
- mei: me: make mei_me_fw_sku_sps_4() less cryptic
  (jsc#SLE-13387).
- mei: me: constify the device parameter to the probe quirk
  (jsc#SLE-13387).
- mei: hdcp: Constify struct mei_cl_device_id (jsc#SLE-13387).
- mei: me: add tiger lake point device ids for H platforms
  (jsc#SLE-13387).
- mei: me: fix irq number stored in hw struct (jsc#SLE-13387).
- misc: Replace zero-length array with flexible-array member
  (jsc#SLE-13387).
- mei: remove unused includes from pci-{me,txe}.c (jsc#SLE-13387).
- mei: limit number of bytes in mei header (jsc#SLE-13387).
- mei: bus: replace zero-length array with flexible-array member
  (jsc#SLE-13387).
- mei: bus: use simple sprintf for sysfs (jsc#SLE-13387).
- mei: bus: add more client attributes to sysfs (jsc#SLE-13387).
- commit dcfc3cc
* Mon Sep  7 2020 tiwai@suse.de
- mei: add trc detection register to sysfs (jsc#SLE-13387).
- Refresh patches.suse/mei-me-add-cedar-fork-device-ids.patch.
- Refresh
  patches.suse/mei-me-disable-mei-interface-on-LBG-servers.patch.
- Refresh
  patches.suse/mei-me-disable-mei-interface-on-Mehlow-server-platfo.patch.
- commit ae70d68
* Mon Sep  7 2020 tiwai@suse.de
- mei: abstract fw status register read (jsc#SLE-13387).
- mei: me: store irq number in the hw struct (jsc#SLE-13387).
- commit 98bd172
* Mon Sep  7 2020 tiwai@suse.de
- mei: me: mei_me_dev_init() use struct device instead of struct
  pci_dev (jsc#SLE-13387).
- Refresh
  patches.suse/mei-me-disable-mei-interface-on-Mehlow-server-platfo.patch.
- commit a824d21
* Mon Sep  7 2020 tiwai@suse.de
- mei: me: fix me_intr_clear function name in KDoc
  (jsc#SLE-13387).
- mei: buf: drop 'running hook' debug messages (jsc#SLE-13387).
- mei: Use dev_get_drvdata where possible (jsc#SLE-13387).
- commit f572c0c
* Mon Sep  7 2020 tiwai@suse.de
- dmaengine: idxd: reset states after device disable or reset
  (git-fixes).
- commit 4d22d31
* Mon Sep  7 2020 mgorman@suse.de
- isolcpus: Affine unbound kernel threads to housekeeping
  cpus (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- kthread: Switch to cpu_possible_mask (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/idle,stop: Remove .get_rr_interval from sched_class
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/core: Remove redundant 'preempt' param from
  sched_class->yield_to_task() (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- genirq, sched/isolation: Isolate from handling managed
  interrupts (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- commit fe4d107
* Mon Sep  7 2020 jroedel@suse.de
- epoll: call final ep_events_available() check under the lock
  (bsc#1176237).
- epoll: atomically remove wait entry on wake up (bsc#1176236).
- commit 86b758b
* Mon Sep  7 2020 msuchanek@suse.de
- ima: Fail rule parsing when appraise_flag=blacklist is
  unsupportable (jsc#SLE-15857 jsc#SLE-13618).
- powerpc/ima: Fix secure boot rules in ima arch policy
  (jsc#SLE-15857 jsc#SLE-13618).
- commit 08d5ef7
* Mon Sep  7 2020 msuchanek@suse.de
- rpm/kernel-source.spec.in: Also use bz compression (boo#1175882).
- commit 375ec84
* Mon Sep  7 2020 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Also sign ppc64 kernels (jsc#SLE-15857
  jsc#SLE-13618).
- commit 971fc3d
* Mon Sep  7 2020 msuchanek@suse.de
- powerpc/pseries: Detect secure and trusted boot state of the
  system (jsc#SLE-15857 jsc#SLE-13618).
- powerpc/ima: Indicate kernel modules appended signatures are
  enforced (jsc#SLE-15857 jsc#SLE-13618).
- powerpc/ima: Update ima arch policy to check for blacklist
  (jsc#SLE-15857 jsc#SLE-13618).
- ima: Check against blacklisted hashes for files with modsig
  (jsc#SLE-15857 jsc#SLE-13618).
- certs: Add wrapper function to check blacklisted binary hash
  (jsc#SLE-15857 jsc#SLE-13618).
- ima: Make process_buffer_measurement() generic (jsc#SLE-15857
  jsc#SLE-13618).
- powerpc/ima: Define trusted boot policy (jsc#SLE-15857
  jsc#SLE-13618).
- powerpc: Detect the trusted boot state of the system
  (jsc#SLE-15857 jsc#SLE-13618).
- powerpc/ima: Add support to initialize ima policy rules
  (jsc#SLE-15857 jsc#SLE-13618).
- powerpc: Detect the secure boot mode of the system
  (jsc#SLE-15857 jsc#SLE-13618).
- powerpc/xmon: Restrict when kernel is locked down (jsc#SLE-15857
  jsc#SLE-13618).
- Refresh patches.suse/powerpc-xmon-Reset-RCU-and-soft-lockup-watchdogs.patch
- commit a1e1f59
* Mon Sep  7 2020 jeyu@suse.de
- Delete patches.kabi/* workarounds
- commit db6ec16
* Mon Sep  7 2020 bp@suse.de
- EDAC/amd64: Read back the scrub rate PCI register on F15h
  (bsc#1152489).
- commit dae70cc
* Mon Sep  7 2020 bp@suse.de
- EDAC/amd64: Add AMD family 17h model 60h PCI IDs (bsc#1152489).
- commit 059d4f2
* Mon Sep  7 2020 jgross@suse.com
- XEN uses irqdesc::irq_data_common::handler_data to store a
  per interrupt XEN data pointer which contains XEN specific
  information (bsc#1065600).
- commit b863d57
* Mon Sep  7 2020 jgross@suse.com
- xen: don't reschedule in preemption off sections (bsc#1175749).
- commit 2a68c8d
* Mon Sep  7 2020 tiwai@suse.de
- include/asm-generic/vmlinux.lds.h: align ro_after_init
  (git-fixes).
- include/linux/poison.h: remove obsolete comment (git-fixes).
- include/linux/bitops.h: avoid clang shift-count-overflow
  warnings (git-fixes).
- thermal: qcom-spmi-temp-alarm: Don't suppress negative temp
  (git-fixes).
- thermal: ti-soc-thermal: Fix bogus thermal shutdowns for
  omap4430 (git-fixes).
- dmaengine: dw-edma: Fix scatter-gather address calculation
  (git-fixes).
- dmaengine: pl330: Fix burst length if burst size is smaller
  than bus width (git-fixes).
- dmaengine: at_hdmac: check return value of
  of_find_device_by_node() in at_dma_xlate() (git-fixes).
- dmaengine: of-dma: Fix of_dma_router_xlate's of_dma_xlate
  handling (git-fixes).
- drm/radeon: Prefer lower feedback dividers (git-fixes).
- batman-adv: bla: use netif_rx_ni when not in interrupt context
  (git-fixes).
- batman-adv: Fix own OGM check in aggregated OGMs (git-fixes).
- batman-adv: Avoid uninitialized chaddr when handling DHCP
  (git-fixes).
- media: cedrus: Add missing v4l2_ctrl_request_hdl_put()
  (git-fixes).
- HID: core: Sanitize event code and type when mapping input
  (git-fixes).
- HID: core: Correctly handle ReportSize being zero (git-fixes).
- usb: storage: Add unusual_uas entry for Sony PSZ drives
  (git-fixes).
- USB: gadget: u_f: Unbreak offset calculation in VLAs
  (git-fixes).
- USB: gadget: f_ncm: add bounds checks to ncm_unwrap_ntb()
  (git-fixes).
- USB: gadget: u_f: add overflow checks to VLA macros (git-fixes).
- xhci: Do warm-reset when both CAS and XDEV_RESUME are set
  (git-fixes).
- usb: uas: Add quirk for PNY Pro Elite (git-fixes).
- USB: lvtest: return proper error code in probe (git-fixes).
- USB: quirks: Add no-lpm quirk for another Raydium touchscreen
  (git-fixes).
- USB: yurex: Fix bad gfp argument (git-fixes).
- drm/amdgpu: Fix buffer overflow in INFO ioctl (git-fixes).
- drm/amd/pm: correct the thermal alert temperature limit settings
  (git-fixes).
- drm/amdgpu/gfx10: refine mgcg setting (git-fixes).
- drm/amd/pm: correct Vega20 swctf limit setting (git-fixes).
- drm/amd/pm: correct Vega12 swctf limit setting (git-fixes).
- drm/amd/pm: correct Vega10 swctf limit setting (git-fixes).
- fbcon: prevent user font height or width change from causing
  potential out-of-bounds access (git-fixes).
- vt: defer kfree() of vc_screenbuf in vc_do_resize() (git-fixes).
- HID: hiddev: Fix slab-out-of-bounds write in
  hiddev_ioctl_usage() (git-fixes).
- HID: i2c-hid: Always sleep 60ms after I2C_HID_PWR_ON commands
  (git-fixes).
- drm/amd/display: Switch to immediate mode for updating
  infopackets (git-fixes).
- drm/amd/powerplay: correct UVD/VCE PG state on custom pptable
  uploading (git-fixes).
- drm/amd/powerplay: correct Vega20 cached smu feature state
  (git-fixes).
- spi: stm32: always perform registers configuration prior to
  transfer (git-fixes).
- spi: stm32: fix stm32_spi_prepare_mbr in case of odd clk_rate
  (git-fixes).
- spi: stm32: fix fifo threshold level in case of short transfer
  (git-fixes).
- spi: stm32h7: fix race condition at end of transfer (git-fixes).
- spi: stm32: clear only asserted irq flags on interrupt
  (git-fixes).
- mfd: intel-lpss: Add Intel Emmitsburg PCH PCI IDs (git-fixes).
- fbmem: pull fbcon_update_vcs() out of fb_set_var() (git-fixes).
- HID: quirks: add NOGET quirk for Logitech GROUP (git-fixes).
- PCI: Fix pci_create_slot() reference count leak (git-fixes).
- media: davinci: vpif_capture: fix potential double free
  (git-fixes).
- media: pci: ttpci: av7110: fix possible buffer overflow caused
  by bad DMA value in debiirq() (git-fixes).
- ASoC: tegra: Fix reference count leaks (git-fixes).
- ASoC: img-parallel-out: Fix a reference count leak (git-fixes).
- ASoC: img: Fix a reference count leak in img_i2s_in_set_fmt
  (git-fixes).
- rtlwifi: rtl8192cu: Prevent leaking urb (git-fixes).
- drm/nouveau: Fix reference count leak in
  nouveau_connector_detect (git-fixes).
- drm/nouveau: fix reference count leak in nv50_disp_atomic_commit
  (git-fixes).
- drm/nouveau/drm/noveau: fix reference count leak in
  nouveau_fbcon_open (git-fixes).
- omapfb: fix multiple reference count leaks due to
  pm_runtime_get_sync (git-fixes).
- drm/amdgpu/display: fix ref count leak when pm_runtime_get_sync
  fails (git-fixes).
- drm/amdgpu: fix ref count leak in amdgpu_display_crtc_set_config
  (git-fixes).
- drm/amd/display: fix ref count leak in amdgpu_drm_ioctl
  (git-fixes).
- drm/amdgpu: fix ref count leak in amdgpu_driver_open_kms
  (git-fixes).
- drm/radeon: fix multiple reference count leak (git-fixes).
- drm/amdkfd: Fix reference count leaks (git-fixes).
- USB: sisusbvga: Fix a potential UB casued by left shifting a
  negative value (git-fixes).
- media: gpio-ir-tx: improve precision of transmitted signal
  due to scheduling (git-fixes).
- drm/sched:  Fix passing zero to 'PTR_ERR' warning v2
  (git-fixes).
- commit aa50939
* Mon Sep  7 2020 shung-hsi.yu@suse.com
- net: ethernet: mlx4: Fix memory allocation in mlx4_buddy_init()
  (git-fixes).
- commit 4a76c88
* Sun Sep  6 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/ibmvnic-fix-NULL-tx_pools-and-rx_tools-issue-at-do_r.patch
- commit 8ff6392
* Sun Sep  6 2020 tiwai@suse.de
- ALSA: hda/realtek - Improved routing for Thinkpad X1 7th/8th
  Gen (git-fixes).
- ALSA: hda: fix a runtime pm issue in SOF when integrated GPU
  is disabled (git-fixes).
- ALSA: hda: hdmi - add Rocketlake support (git-fixes).
- ALSA: pcm: oss: Remove superfluous WARN_ON() for mulaw sanity
  check (git-fixes).
- ALSA: hda - Fix silent audio output and corrupted input on
  MSI X570-A PRO (git-fixes).
- ALSA: hda/hdmi: always check pin power status in i915 pin fixup
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion
  NT950XCJ-X716A (git-fixes).
- ALSA: usb-audio: Add basic capture support for Pioneer DJ
  DJM-250MK2 (git-fixes).
- ALSA: usb-audio: Add implicit feedback quirk for UR22C
  (git-fixes).
- Revert "ALSA: hda: Add support for Loongson 7A1000 controller"
  (git-fixes).
- ALSA: hda/tegra: Program WAKEEN register for Tegra (git-fixes).
- ALSA: hda: Fix 2 channel swapping for Tegra (git-fixes).
- ALSA: ca0106: fix error code handling (git-fixes).
- ALSA: usb-audio: Disable autosuspend for Lenovo ThinkStation
  P620 (git-fixes).
- ALSA: firewire-digi00x: exclude Avid Adrenaline from detection
  (git-fixes).
- ALSA; firewire-tascam: exclude Tascam FE-8 from detection
  (git-fixes).
- ASoC: SOF: Intel: add PCI ID for CometLake-S (git-fixes).
- commit 56f2f52
* Fri Sep  4 2020 hare@suse.de
- loop: Refactor loop_set_status() size calculation
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/loop-replace-kill_bdev-with-invalidate_bdev.patch.
- commit 8d199d1
* Fri Sep  4 2020 hare@suse.de
- loop: Only change blocksize when needed
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/loop-replace-kill_bdev-with-invalidate_bdev.patch.
- commit fd7bc41
* Fri Sep  4 2020 msuchanek@suse.de
- blacklist.conf: Fixes for complex PTEs with atomic READ_ONCE
  55ca22633a9f mm/gup: Use huge_ptep_get() in gup_hugepte()
  481e980a7c19 mm: Allow arches to provide ptep_get()
  c0e1c8c22beb powerpc/8xx: Provide ptep_get() with 16k pages
  9449c9cb420b mm/debug_vm_pgtable: fix build failure with powerpc 8xx
- commit 71415e0
* Fri Sep  4 2020 msuchanek@suse.de
- powerpc/pseries: Add KVM guest doorbell restrictions
  (jsc#SLE-15869).
- powerpc/pseries: Use doorbells even if XIVE is available
  (jsc#SLE-15869).
- powerpc: Inline doorbell sending functions (jsc#SLE-15869).
- commit 5689aaf
* Fri Sep  4 2020 hare@suse.de
- Revert "blkdev: check for valid request queue before issuing
  (bsc#1175995,jsc#SLE-15608).
- blacklist.conf:
- commit 23f3a1c
* Fri Sep  4 2020 mkubecek@suse.cz
- net/packet: fix overflow in tpacket_rcv (CVE-2020-14386
  bsc#1176069).
- commit b3a3711
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/xive: Enforce load-after-store ordering when StoreEOI
  is active (jsc#SLE-13294).
- commit e3468cc
* Thu Sep  3 2020 msuchanek@suse.de
- fault_inject: Don't rely on "return value" from WRITE_ONCE()
  (jsc#SLE-15848).
- netfilter: Avoid assigning 'const' pointer to non-const pointer
  (jsc#SLE-15848).
- commit a86b9c2
* Thu Sep  3 2020 msuchanek@suse.de
- xsk: Remove unnecessary READ_ONCE of data (jsc#SLE-15848).
- commit 10a2558
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/perf: Add extended regs support for power10 platform
  (jsc#SLE-13513).
- powerpc/perf: Add support for outputting extended regs in perf
  intr_regs (jsc#SLE-13513).
- powerpc/perf: Fix MMCRA_BHRB_DISABLE define for binutils <
  2.28 (jsc#SLE-13513).
- powerpc/perf: Initialize power10 PMU registers in cpu setup
  routine (jsc#SLE-13513).
- powerpc/perf: BHRB control to disable BHRB logic when not used
  (jsc#SLE-13513).
- powerpc/perf: Add Power10 BHRB filter support for
  PERF_SAMPLE_BRANCH_IND_CALL/COND (jsc#SLE-13513).
- powerpc/perf: Ignore the BHRB kernel address filtering for P10
  (jsc#SLE-13513).
- powerpc/perf: power10 Performance Monitoring support
  (jsc#SLE-13513).
- powerpc/perf: Add Power10 PMU feature to DT CPU features
  (jsc#SLE-13513).
- powerpc/xmon: Add PowerISA v3.1 PMU SPRs (jsc#SLE-13513).
- KVM: PPC: Book3S HV: Save/restore new PMU registers
  (jsc#SLE-13513).
- powerpc/perf: Add support for ISA3.1 PMU SPRs (jsc#SLE-13513).
- powerpc/perf: Update Power PMU cache_events to u64 type
  (jsc#SLE-13513).
- KVM: PPC: Book3S HV: Cleanup updates for kvm vcpu MMCR
  (jsc#SLE-13513).
- powerpc/perf: Update cpu_hw_event to use `struct` for storing
  MMCR registers (jsc#SLE-13513).
- Documentation: Document sysfs interfaces purr, spurr, idle_purr,
  idle_spurr (jsc#SLE-13522).
- powerpc/sysfs: Show idle_purr and idle_spurr for every CPU
  (jsc#SLE-13522).
- powerpc/pseries: Account for SPURR ticks on idle CPUs
  (jsc#SLE-13522).
- powerpc/idle: Store PURR snapshot in a per-cpu global variable
  (jsc#SLE-13522).
- powerpc: Move idle_loop_prolog()/epilog() functions to header
  file (jsc#SLE-13522).
- powerpc/kernel/sysfs: Add new config option PMU_SYSFS to enable
  PMU SPRs sysfs file creation (jsc#SLE-13513).
- Update config files.
- powerpc/kernel/sysfs: Refactor current sysfs.c (jsc#SLE-13513).
- powerpc: Fix Kconfig indentation (jsc#SLE-13513).
- commit 89a40bf
* Thu Sep  3 2020 ailiop@suse.com
- xfs: fix boundary test in xfs_attr_shortform_verify
  (CVE-2020-14385 bsc#1176137).
- commit e45cbdb
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc: Remove IBM405 Erratum #77 (jsc#SLE-15848).
- commit 024cbd5
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc: Implement smp_cond_load_relaxed() (jsc#SLE-15848).
- powerpc/qspinlock: Optimised atomic_try_cmpxchg_lock() that
  adds the lock hint (jsc#SLE-15848).
- commit 781c4c2
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/pseries: Implement paravirt qspinlocks for SPLPAR
  (jsc#SLE-15848).
- Update config files.
- commit 4460c97
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/64s: Implement queued spinlocks and rwlocks
  (jsc#SLE-15848).
- Update config files.
- commit c9e6aca
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc: Move spinlock implementation to simple_spinlock
  (jsc#SLE-15848).
- commit f492c92
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/pseries: Move some PAPR paravirt functions to their
  own file (jsc#SLE-15848).
- commit 1dc4f21
* Thu Sep  3 2020 msuchanek@suse.de
- READ_ONCE: Drop pointer qualifiers when reading from scalar
  types (jsc#SLE-15848).
- READ_ONCE: Enforce atomicity for {READ,WRITE}_ONCE() memory
  accesses (jsc#SLE-15848).
- READ_ONCE: Simplify implementations of {READ,WRITE}_ONCE()
  (jsc#SLE-15848).
- commit 5e2d541
* Thu Sep  3 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/sched-Add-a-tracepoint-to-track-rq-nr_running.patch
  patches.suse/sched-Better-document-ttwu.patch
  patches.suse/sched-Fix-use-of-count-for-nr_running-tracepoint.patch
  patches.suse/sched-cputime-Improve-cputime_adjust.patch
  patches.suse/sched-debug-Add-new-tracepoints-to-track-util_est.patch
  patches.suse/sched-debug-Fix-the-alignment-of-the-show-state-debug-output.patch
  patches.suse/sched-fair-Remove-unused-sd-parameter-from-scale_rt_capacity.patch
  patches.suse/sched-fair-update_pick_idlest-Select-group-with-lowest-group_util-when-idle_cpus-are-equal.patch
  patches.suse/sched-nohz-stop-passing-around-unused-ticks-parameter.patch
  patches.suse/sched-pelt-Remove-redundant-cap_scale-definition.patch
- commit 1ab5af9
* Thu Sep  3 2020 hare@suse.de
- block: blk-crypto-fallback for Inline Encryption
  (bsc#1175995,jsc#SLE-15608).
- Update config files.
- block: Make blk-integrity preclude hardware inline encryption
  (bsc#1175995,jsc#SLE-15608).
- block: Inline encryption support for blk-mq
  (bsc#1175995,jsc#SLE-15608).
- commit b9e8717
* Thu Sep  3 2020 hare@suse.de
- block: Keyslot Manager for Inline Encryption
  (bsc#1175995,jsc#SLE-15608).
- Update config files.
- commit a4fb9c0
* Thu Sep  3 2020 hare@suse.de
- scsi: sd_zbc: add zone open, close, and finish support
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/0014-block-rework-zone-reporting.patch.
- commit 657b21c
* Thu Sep  3 2020 pmladek@suse.com
- blacklist.conf: dma-debug: speed up debug code that is disabled in SUSE kernels
- commit aa33a0d
* Thu Sep  3 2020 pmladek@suse.com
- blacklist.conf: kstrto*: comment fix
- commit 26002cd
* Thu Sep  3 2020 pmladek@suse.com
- blacklist.conf: kthread: comment fix
- commit 7fd20f3
* Thu Sep  3 2020 vliaskovitis@suse.com
- mei: me: disable mei interface on Mehlow server platforms
  (bsc#1175952).
- commit a2053ac
* Thu Sep  3 2020 vliaskovitis@suse.com
- mei: fix CNL itouch device number to match the spec
  (bsc#1175952).
- commit a4a5282
* Thu Sep  3 2020 vliaskovitis@suse.com
- mei: me: disable mei interface on LBG servers (bsc#1175952).
- commit e28fa12
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/perf/hv-24x7: Move cpumask file to top folder of
  hv-24x7 driver (jsc#SLE-13610).
- commit 3655af6
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/hv-24x7: Add sysfs files inside hv-24x7 device to show
  cpumask (jsc#SLE-13610).
- powerpc/perf/hv-24x7: Add cpu hotplug support (jsc#SLE-13610).
- commit ea29484
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/test_emulate_sstep: Fix build error (jsc#SLE-13847).
- commit ada7d37
* Thu Sep  3 2020 tiwai@suse.de
- Update config files: sync some missing kconfigs with Leap (bsc#1175697)
  CONFIG_CHELSIO_T4_DCB=y
  CONFIG_CHELSIO_T4_FCOE=y
  CONFIG_CEPH_LIB_PRETTYDEBUG=y
- commit 802acd7
* Thu Sep  3 2020 hare@suse.de
- block: move bio_map_* to blk-map.c (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/0001-oracleasm-4.0-compat-changes.patch.
- commit 1b4712e
* Thu Sep  3 2020 msuchanek@suse.de
- powerpc/xmon: Improve dumping prefixed instructions
  (jsc#SLE-13847).
- powerpc: Add a ppc_inst_as_str() helper (jsc#SLE-13847).
- powerpc/sstep: Add tests for Prefixed Add Immediate
  (jsc#SLE-13847).
- powerpc/sstep: Let compute tests specify a required cpu feature
  (jsc#SLE-13847).
- powerpc/sstep: Set NIP in instruction emulation tests
  (jsc#SLE-13847).
- powerpc/sstep: Add tests for prefixed floating-point load/stores
  (jsc#SLE-13847).
- powerpc/sstep: Add tests for prefixed integer load/stores
  (jsc#SLE-13847).
- commit 2cee177
* Thu Sep  3 2020 hare@suse.de
- brd: check and limit max_part par (bsc#1175995,jsc#SLE-15608).
- commit 572eb85
* Thu Sep  3 2020 mgorman@suse.de
- sched/debug: Fix the alignment of the show-state debug output
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched: Fix use of count for nr_running tracepoint (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: update_pick_idlest() Select group with lowest
  group_util when idle_cpus are equal (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched: nohz: stop passing around unused "ticks" parameter
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched: Better document ttwu() (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched: Add a tracepoint to track rq->nr_running (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/debug: Add new tracepoints to track util_est (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Remove unused 'sd' parameter from
  scale_rt_capacity() (bnc#1155798 (CPU scheduler functional
  and performance backports)).
- sched/pelt: Remove redundant cap_scale() definition (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/cputime: Improve cputime_adjust() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- commit 7ea4247
* Thu Sep  3 2020 wqu@suse.com
- Update
  patches.suse/btrfs-Move-free_pages_out-label-in-inline-extent-han.patch
  (bsc#1174484).
  Fix wrong bsc reference number exposed by Filipe:
  https://bugzilla.suse.com/show_bug.cgi?id=1175263#c1
- commit 8c0ade9
* Thu Sep  3 2020 hare@suse.de
- null_blk: return fixed zoned reads > write pointer
  (bsc#1175995,jsc#SLE-15608).
- Refresh patches.suse/0013-null_blk-clean-up-report-zones.patch.
- Refresh patches.suse/0014-block-rework-zone-reporting.patch.
- commit ac93d69
* Wed Sep  2 2020 bp@suse.de
- x86/Kconfig: Update config and kernel doc for MPK feature on
  AMD (jsc#13716).
- commit 390ffeb
* Wed Sep  2 2020 hare@suse.de
- null_blk: create a helper for req completion
  (bsc#1175995,jsc#SLE-15608).
- commit 9063449
* Wed Sep  2 2020 hare@suse.de
- null_blk: create a helper for mem-backed ops
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/0002-null_blk-create-a-helper-for-zoned-devices.patch.
- commit 424d58c
* Wed Sep  2 2020 bp@suse.de
- x86/delay: Introduce TPAUSE delay (jsc#13475).
- commit 4f037e7
* Wed Sep  2 2020 bp@suse.de
- x86/delay: Refactor delay_mwaitx() for TPAUSE support
  (jsc#13475).
- commit 9ceeede
* Wed Sep  2 2020 dwagner@suse.de
- scsi: lpfc: Update lpfc version to 12.8.0.3 (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Fix LUN loss after cable pull (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Fix validation of bsg reply lengths (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Fix retry of PRLI when status indicates its
  unsupported (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix oops when unloading driver while running
  mds diags (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix RSCN timeout due to incorrect gidft counter
  (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000
  jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix no message shown for lpfc_hdw_queue out of
  range value (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix FCoE speed reporting (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Add missing misc_deregister() for lpfc_init()
  (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000
  jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: nvmet: Avoid hang / use-after-free again when
  destroying targetport (bsc#1171558 bsc#1136666 bsc#1174486
  bsc#1175787 bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix typo in comment for ULP (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Add description for lpfc_release_rpi()'s 'ndlpl
  param (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix a bunch of kerneldoc misdemeanors (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Add and rename a whole bunch of function parameter
  descriptions (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Use __printf() format notation (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Fix kerneldoc parameter formatting/misnaming/missing
  issues (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix some function parameter descriptions
  (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000
  jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Ensure variable has the same stipulations as code
  using it (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix-up formatting/docrot where appropriate
  (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000
  jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Provide description for lpfc_mem_alloc()'s
  'align' param (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787
  bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: Fix-up around 120 documentation issues (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Remove unused variable 'pg_addr' (bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Correct some pretty obvious misdocumentation
  (bsc#1171558 bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000
  jsc#SLE-15796 jsc#SLE-15449).
- scsi: lpfc: NVMe remote port devloss_tmo from lldd (bcs#1173060 bsc#1171558
  bsc#1136666 bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
  Replace patches.suse/lpfc-synchronize-nvme-transport-and-lpfc-driver-devloss_tmo.patch
  with upstream version of the fix.
- scsi: lpfc: Quieten some printks (bsc#1171558 bsc#1136666
  bsc#1174486 bsc#1175787 bsc#1171000 jsc#SLE-15796
  jsc#SLE-15449).
- scsi: lpfc: Avoid another null dereference in
  lpfc_sli4_hba_unset() (bsc#1171558 bsc#1136666 bsc#1174486
  bsc#1175787 bsc#1171000 jsc#SLE-15796 jsc#SLE-15449).
- commit b565a9f
* Wed Sep  2 2020 hare@suse.de
- block: move block layer internals out of include/linux/genhd.h
  (bsc#1175995,jsc#SLE-15608).
- Refresh
  patches.suse/block-nr_sects_write-Disable-preemption-on-seqcount-.patch.
- commit 6bceeb5
* Wed Sep  2 2020 bp@suse.de
- x86/delay: Preparatory code cleanup (jsc#13475).
- commit edc96e8
* Wed Sep  2 2020 yousaf.kaukab@suse.com
- kabi/severities: ignore kABI for net/ethernet/mscc/
  References: bsc#1176001,bsc#1175999
  Exported symbols from drivers/net/ethernet/mscc/ are
  only used by drivers/net/dsa/ocelot/
- commit 16c1e85
* Wed Sep  2 2020 jack@suse.cz
- ext4: handle read only external journal device (bsc#1176063).
- commit 06e42e2
* Wed Sep  2 2020 jslaby@suse.cz
- platform/x86: dcdbas: Check SMBIOS for protected buffer address
  (jsc#SLE-14458).
- commit a83abd2
* Wed Sep  2 2020 dwagner@suse.de
- Update patches.suse/firmware-smccc-drop-smccc_version-enum-and-use-arm_smccc_version_1_x-instead.patch
  By the time the backport happened the file of SMCCC v1.2
  'arm64/kernel/paravirt.c' didn't exist.  It was introduced later on
  with 94bebd30479. Add missing hunk to fix compile breaks on aarch64.
- commit 3d16a74
* Wed Sep  2 2020 hare@suse.de
- block, bfq: clarify the goal of bfq_split_bfqq()
  (bsc#1175995,jsc#SLE-15608).
- commit dd4e4ab
* Wed Sep  2 2020 hare@suse.de
- block, bfq: get extra ref to prevent a queue from being freed
  during a group move (bsc#1175995,jsc#SLE-15608).
- block, bfq: do not insert oom queue into position tree
  (bsc#1175995,jsc#SLE-15608).
- commit ecee8c8
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Restore supervisor states for signal return
  (jsc#13212).
- commit d5168c3
* Tue Sep  1 2020 msuchanek@suse.de
- powerpc/book3s64/radix: Fix boot failure with large amount of
  guest memory (bsc#1176022 ltc#187208).
- commit 8bb9577
* Tue Sep  1 2020 tiwai@suse.de
- mtd: spi-nor: intel-spi: Add support for Intel Jasper Lake
  SPI serial flash (jsc#SLE-12602).
- Refresh
  patches.suse/mtd-spi-nor-intel-spi-Add-support-for-Intel-Emmitsbu.patch.
- Refresh
  patches.suse/mtd-spi-nor-intel-spi-Add-support-for-Intel-TGL-H.patch.
- commit 5fe52f3
* Tue Sep  1 2020 tiwai@suse.de
- powercap/intel_rapl: add support for JasperLake (jsc#SLE-12602).
- Refresh
  patches.suse/powercap-intel_rapl-convert-to-new-x86-cpu-match-macros.patch.
- commit bc42846
* Tue Sep  1 2020 tiwai@suse.de
- mfd: intel-lpss: Update LPSS UART #2 PCI ID for Jasper Lake
  (jsc#SLE-12602).
- commit dc38d6c
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: rename btrfs_block_group_cache (bsc#1176019).
- Refresh
  patches.suse/btrfs-scrub-Don-t-check-free-space-before-marking-a-.patch.
- commit 1e82a09
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: use btrfs_block_group_cache_done in update_block_group
  (bsc#1176019).
- Update
  patches.suse/btrfs-add-dedicated-members-for-start-and-length-of-.patch
  (bsc#1176019).
- commit 9bd7aef
* Tue Sep  1 2020 hare@suse.de
- block: Allow t10-pi to be modular (bsc#1175995,jsc#SLE-15608).
- blk-mq: optimise blk_mq_flush_plug_list()
  (bsc#1175995,jsc#SLE-15608).
- list: introduce list_for_each_continue()
  (bsc#1175995,jsc#SLE-15608).
- blk-mq: optimise rq sort function (bsc#1175995,jsc#SLE-15608).
- commit 0bac65d
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: block-group: Reuse the item key from caller of
  read_one_block_group() (bsc#1176019).
- commit a94961e
* Tue Sep  1 2020 tiwai@suse.de
- ACPI: fan: Fix Tiger Lake ACPI device ID (jsc#SLE-13387).
- ACPI: DPTF: Add battery participant for TigerLake
  (jsc#SLE-13387).
- ACPI: Update Tiger Lake ACPI device IDs (jsc#SLE-13387).
- ACPI: fan: Add Tiger Lake ACPI device ID (jsc#SLE-13387).
- ACPI: DPTF: Add Tiger Lake ACPI device IDs (jsc#SLE-13387).
- commit 3d8432e
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: block-group: Refactor btrfs_read_block_groups()
  (bsc#1176019).
- commit 29102c4
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: add dedicated members for start and length of a block
  group (bsc#1176019).
- Refresh
  patches.suse/0001-btrfs-scrub-Require-mandatory-block-group-RO-for-dev.patch.
- Refresh
  patches.suse/0002-btrfs-kill-min_allocable_bytes-in-inc_block_group_ro.patch.
- Refresh
  patches.suse/0002-btrfs-take-overcommit-into-account-in-inc_block_grou.patch.
- Refresh
  patches.suse/Btrfs-fix-block-group-remaining-RO-forever-after-err.patch.
- Refresh
  patches.suse/btrfs-fix-a-block-group-ref-counter-leak-after-failu.patch.
- Refresh
  patches.suse/btrfs-fix-race-between-block-group-removal-and-block.patch.
- commit 1e9fcdd
* Tue Sep  1 2020 tiwai@suse.de
- xhci-pci: Allow host runtime PM as default for Intel Tiger
  Lake xHCI (jsc#SLE-13387).
- commit 91055c7
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: rename extent buffer block group item accessors
  (bsc#1176019).
- commit 8b22e32
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: rename block_group_item on-stack accessors to follow
  naming (bsc#1176019).
- commit 93bdcbc
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: remove embedded block_group_cache::item (bsc#1176019).
- commit 667dac6
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: move block_group_item::flags to block group
  (bsc#1176019).
- commit 6f39840
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: move block_group_item::used to block group (bsc#1176019).
- Refresh
  patches.suse/0002-btrfs-take-overcommit-into-account-in-inc_block_grou.patch.
- commit 225cb14
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: drop unused parameter is_new from btrfs_iget
  (bsc#1176019).
- commit 3fe9dc3
* Tue Sep  1 2020 fdmanana@suse.com
- btrfs: stop clearing EXTENT_DIRTY in inode I/O tree
  (bsc#1176019).
- Refresh
  patches.suse/btrfs-qgroup-fix-data-leak-caused-by-race-between-wr.patch.
- commit 8d60367
* Tue Sep  1 2020 tiwai@suse.de
- sdhci: tegra: Add missing TMCLK for data timeout (git-fixes).
- sdhci: tegra: Remove SDHCI_QUIRK_DATA_TIMEOUT_USES_SDCLK for
  Tegra186 (git-fixes).
- sdhci: tegra: Remove SDHCI_QUIRK_DATA_TIMEOUT_USES_SDCLK for
  Tegra210 (git-fixes).
- mmc: mediatek: add optional module reset property (git-fixes).
- mmc: dt-bindings: Add resets/reset-names for Mediatek MMC
  bindings (git-fixes).
- mmc: sdhci-acpi: Fix HS400 tuning for AMDI0040 (git-fixes).
- commit c4a6eec
* Tue Sep  1 2020 tiwai@suse.de
- thermal: int340x: processor_thermal: fix: update Jasper Lake
  PCI id (jsc#SLE-13387).
- thermal/int340x_thermal: Prevent page fault on .set_mode() op
  (jsc#SLE-13387).
- thermal/int340x_thermal: Don't require IDSP to exist
  (jsc#SLE-13387).
- thermal/int340x_thermal: Export OEM vendor variables
  (jsc#SLE-13387).
- thermal/int340x_thermal: Export GDDV (jsc#SLE-13387).
- thermal: int3400_thermal: Statically initialize
  .get_mode()/.set_mode() ops (jsc#SLE-13387).
- thermal: int340x_thermal: Use scnprintf() for avoiding potential
  buffer overflow (jsc#SLE-13387).
- thermal: int340x: processor_thermal: Add Tiger Lake support
  (jsc#SLE-13387).
- thermal: int340x_thermal: fix: Update Tiger Lake ACPI device
  IDs (jsc#SLE-13387).
- thermal: int340x: processor_thermal: Add Jasper Lake support
  (jsc#SLE-13387).
- thermal: int340x_thermal: Add Tiger Lake ACPI device IDs
  (jsc#SLE-13387).
- thermal: intel: int3403: replace printk(KERN_WARN...) with
  pr_warn(...) (jsc#SLE-13387).
- thermal: intel: int340x_thermal: Remove unnecessary
  acpi_has_method() uses (jsc#SLE-13387).
- thermal: int340x: processor_thermal: Add Ice Lake support
  (jsc#SLE-13387).
- drivers: thermal: processor_thermal_device: Export sysfs
  interface for TCC offset (jsc#SLE-13387).
- commit 6e3819d
* Tue Sep  1 2020 tiwai@suse.de
- platform/x86: intel-hid: fix: Update Tiger Lake ACPI device ID
  (jsc#SLE-13387).
- platform/x86: intel-hid: Move MODULE_DEVICE_TABLE() closer to
  the table (jsc#SLE-13387).
- platform/x86: intel-hid: Add Tiger Lake ACPI device ID
  (jsc#SLE-13387).
- commit 0b4c6a8
* Tue Sep  1 2020 tiwai@suse.de
- Add a few already cherry-picked commits for intel_pmc_core
- commit 68146d5
* Tue Sep  1 2020 tiwai@suse.de
- platform/x86: intel_pmc_core: fix bound check in
  pmc_core_mphy_pg_show() (jsc#SLE-13387).
- platform/x86: intel_pmc_core: update TGL's LPM0 reg bit map name
  (jsc#SLE-13387).
- platform/x86: intel_pmc_core: avoid unused-function warnings
  (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Change Jasper Lake S0ix debug
  reg map back to ICL (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Make pmc_core_substate_res_show()
  generic (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Make pmc_core_lpm_display()
  generic for platforms that support sub-states (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Add slp_s0_offset attribute back
  to tgl_reg_map (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Remove duplicate 'if' to create
  debugfs entry (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Relocate pmc_core_*_display()
  to outside of CONFIG_DEBUG_FS (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Add debugfs support to access
  live status registers (jsc#SLE-13387).
- commit 9811ea8
* Tue Sep  1 2020 tiwai@suse.de
- platform/x86: intel_pmc_core: Add debugfs entry to access
  sub-state residencies (jsc#SLE-13387).
- Refresh
  patches.suse/platform-x86-intel_pmc_core-Add-an-additional-parame.patch.
- Refresh
  patches.suse/platform-x86-intel_pmc_core-Add-debugfs-entry-for-lo.patch.
- commit 5a82a09
* Tue Sep  1 2020 tiwai@suse.de
- platform/x86: intel_pmc_core: Add Atom based Jasper Lake (JSL)
  platform support (jsc#SLE-13387).
- commit b614cfa
* Tue Sep  1 2020 tiwai@suse.de
- platform/x86: intel_pmc_core: Put more stuff under #ifdef
  DEBUG_FS (jsc#SLE-13387).
- Refresh
  patches.suse/platform-x86-intel_pmc_core-Add-debugfs-entry-for-lo.patch.
- commit c4d083d
* Tue Sep  1 2020 tiwai@suse.de
- platform/x86: intel-ips: Use the correct style for SPDX License
  Identifier (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Fix spelling of MHz unit
  (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Fix indentation in function
  definitions (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Respect error code of
  kstrtou32_from_user() (jsc#SLE-13387).
- platform/x86: intel_pmc_core: Remove unnecessary assignments
  (jsc#SLE-13387).
- commit ad91e0a
* Tue Sep  1 2020 tiwai@suse.de
- mtd: spi-nor: intel-spi: Add support for Intel Tiger Lake-H
  SPI serial flash (jsc#SLE-13387).
- commit 89d37fc
* Tue Sep  1 2020 tiwai@suse.de
- mtd: spi-nor: intel-spi: add support for Intel Cannon Lake
  SPI flash (jsc#SLE-13387).
- commit 2ace8dd
* Tue Sep  1 2020 tiwai@suse.de
- pinctrl: tigerlake: Add support for Tiger Lake-H
  (jsc#SLE-13387).
- commit bd689cb
* Tue Sep  1 2020 tiwai@suse.de
- pinctrl: tigerlake: Use generic flag for special GPIO base
  treatment (jsc#SLE-13387).
- commit 5fc21cc
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Preserve supervisor states for the slow path
  in __fpu__restore_sig() (jsc#13212).
- commit 6d83775
* Tue Sep  1 2020 hare@suse.de
- Refresh commit IDs for smartpqi update
- Refresh
  patches.suse/scsi-smartpqi-add-id-support-for-smartraid-3152-8i.patch.
- Refresh
  patches.suse/scsi-smartpqi-add-raid-bypass-counter.patch.
- Refresh
  patches.suse/scsi-smartpqi-avoid-crashing-kernel-for-controller-issues.patch.
- Refresh
  patches.suse/scsi-smartpqi-bump-version-to-1-2-16-010.patch.
- Refresh
  patches.suse/scsi-smartpqi-identify-physical-devices-without-issuing-inquiry.patch.
- Refresh
  patches.suse/scsi-smartpqi-support-device-deletion-via-sysfs.patch.
- Refresh
  patches.suse/scsi-smartpqi-update-logical-volume-size-after-expansion.patch.
- commit 362c3dd
* Tue Sep  1 2020 yousaf.kaukab@suse.com
- dpaa_eth: Fix one possible memleak in dpaa_eth_probe
  (bsc#1175996).
- net: dsa: felix: send VLANs on CPU port as egress-tagged
  (bsc#1175998).
- felix: Fix initialization of ioremap resources (bsc#1175997).
- net: dsa: ocelot: the MAC table on Felix is twice as large
  (bsc#1175999).
- net: enetc: fix an issue about leak system resources
  (bsc#1176000).
- net: mscc: ocelot: fix untagged packet drops when enslaving
  to vlan aware bridge (bsc#1176001).
- commit 6defddf
* Tue Sep  1 2020 bp@suse.de
- x86/fpu: Introduce copy_supervisor_to_kernel() (jsc#13212).
- commit 82d1c75
* Tue Sep  1 2020 yousaf.kaukab@suse.com
- blacklist.conf: arm64: add coresight fixes
  Coresight is not enabled in SLE15-SP2
- commit 973814d
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Fix XSAVES offsets in setup_xstate_comp()
  (jsc#13212).
- commit 33ea0eb
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Update copy_kernel_to_xregs_err() for supervisor
  states (jsc#13212).
- commit 79adb6d
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Update sanitize_restored_xstate() for supervisor
  xstates (jsc#13212).
- commit 2f40b80
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Define new functions for clearing fpregs and
  xstates (jsc#13212).
- commit bcebfbb
* Tue Sep  1 2020 bp@suse.de
- x86/fpu/xstate: Introduce XSAVES supervisor states (jsc#13212).
- commit 5498f5d
* Mon Aug 31 2020 bp@suse.de
- x86/fpu/xstate: Separate user and supervisor xfeatures mask
  (jsc#13212).
- commit 4e12fe7
* Mon Aug 31 2020 jroedel@suse.de
- Update config files.
- supported.conf: Rename amd_iommu_v2 driver
- commit a1051bd
* Mon Aug 31 2020 bp@suse.de
- x86/fpu/xstate: Define new macros for supervisor and user
  xstates (jsc#13212).
- commit fdcec4f
* Mon Aug 31 2020 bp@suse.de
- x86/fpu/xstate: Rename validate_xstate_header() to
  validate_user_xstate_header() (jsc#13212).
- commit 5a884c0
* Mon Aug 31 2020 bp@suse.de
- x86/fpu: Shrink space allocated for xstate_comp_offsets
  (jsc#13212).
- commit 2949e7a
* Mon Aug 31 2020 jroedel@suse.de
- drm/prime: fix extracting of the DMA addresses from a
  scatterlist (bsc#1175713).
- commit f2498a0
* Mon Aug 31 2020 msuchanek@suse.de
- char: virtio: Select VIRTIO from VIRTIO_CONSOLE (bsc#1175667).
- commit 254a9e5
* Mon Aug 31 2020 msuchanek@suse.de
- Set VIRTIO_CONSOLE=y (bsc#1175667).
- commit 73ac49e
* Mon Aug 31 2020 tiwai@suse.de
- i2c: rcar: in slave mode, clear NACK earlier (git-fixes).
- i2c: core: Don't fail PRP0001 enumeration when no ID table exist
  (git-fixes).
- device property: Fix the secondary firmware node handling in
  set_primary_fwnode() (git-fixes).
- drm/amd/powerplay: Fix hardmins not being sent to SMU for RV
  (git-fixes).
- drm/msm/a6xx: fix crashdec section name typo (git-fixes).
- drm/msm/gpu: make ringbuffer readonly (git-fixes).
- drm/msm/adreno: fix updating ring fence (git-fixes).
- commit 861fb8e
* Mon Aug 31 2020 msuchanek@suse.de
- tpm: Export tpm2_get_cc_attrs_tbl for ibmvtpm driver as module
  (jsc#SLE-13630).
- commit e1003a9
* Mon Aug 31 2020 tiwai@suse.de
- PCI: Mark AMD Navi10 GPU rev 0x00 ATS as broken (git-fixes).
- PCI: Add device even if driver attach failed (git-fixes).
- PCI: Avoid Pericom USB controller OHCI/EHCI PME# defect
  (git-fixes).
- commit 0174122
* Mon Aug 31 2020 tiwai@suse.de
- PM: sleep: core: Fix the handling of pending runtime resume
  requests (git-fixes).
- commit 0dfcb13
* Mon Aug 31 2020 tiwai@suse.de
- regulator: fix memory leak on error path of regulator_register()
  (git-fixes).
- commit 924cca3
* Mon Aug 31 2020 tiwai@suse.de
- USB: Ignore UAS for JMicron JMS567 ATA/ATAPI Bridge (git-fixes).
- usb: host: ohci-exynos: Fix error handling in
  exynos_ohci_probe() (git-fixes).
- USB: quirks: Ignore duplicate endpoint on Sound Devices MixPre-D
  (git-fixes).
- xhci: Always restore EP_SOFT_CLEAR_TOGGLE even if ep reset
  failed (git-fixes).
- usb: host: xhci: fix ep context print mismatch in debugfs
  (git-fixes).
- usb: gadget: f_tcm: Fix some resource leaks in some error paths
  (git-fixes).
- USB: cdc-acm: rework notification_buffer resizing (git-fixes).
- virtio_pci_modern: Fix the comment of
  virtio_pci_find_capability() (git-fixes).
- USB: serial: ftdi_sio: fix break and sysrq handling (git-fixes).
- USB: serial: ftdi_sio: clean up receive processing (git-fixes).
- USB: serial: ftdi_sio: make process-packet buffer unsigned
  (git-fixes).
- USB: rename USB quirk to USB_QUIRK_ENDPOINT_IGNORE (git-fixes).
- commit 139c620
* Mon Aug 31 2020 msuchanek@suse.de
- tpm: ibmvtpm: Wait for ready buffer before probing for TPM2
  attributes (jsc#SLE-13630).
- tpm: ibmvtpm: Add support for TPM2 (jsc#SLE-13630).
- commit be4f2a9
* Mon Aug 31 2020 jgross@suse.com
- Fix build error when CONFIG_ACPI is not set/enabled:
  (bsc#1065600).
- commit b05ccc4
* Mon Aug 31 2020 bp@suse.de
- x86/fpu/xstate: Fix small issues (jsc#13212).
- commit f18a9bd
* Mon Aug 31 2020 jgross@suse.com
- efi: avoid error message when booting under Xen (bsc#1172419).
- commit e2269b0
* Mon Aug 31 2020 jgross@suse.com
- drm/xen-front: Fix misused IS_ERR_OR_NULL checks (bsc#1065600).
- commit 495693e
* Mon Aug 31 2020 bp@suse.de
- x86/resctrl: Enable user to view thread or core throttling mode
  (jsc#13356).
- x86/resctrl: Enumerate per-thread MBA controls (jsc#13356).
- commit aeb5e9f
* Mon Aug 31 2020 msuchanek@suse.de
- powerpc/perf: Fix crashes with generic_compat_pmu & BHRB
  (bsc#1156395).
- commit 823dc81
* Mon Aug 31 2020 jgross@suse.com
- xen/gntdev: Fix dmabuf import with non-zero sgt offset
  (bsc#1065600).
- commit 4c3d2e5
* Mon Aug 31 2020 jgross@suse.com
- Revert "xen/balloon: Fix crash when ballooning on x86 32 bit
  PAE" (bsc#1065600).
- commit 92eacc3
* Mon Aug 31 2020 jgross@suse.com
- xen/balloon: make the balloon wait interruptible (bsc#1065600).
- commit e8237de
* Mon Aug 31 2020 jgross@suse.com
- xen/balloon: fix accounting in alloc_xenballooned_pages error
  path (bsc#1065600).
- commit eda7ced
* Mon Aug 31 2020 mkubecek@suse.cz
- fix patch metadata
- fix upstream reference:
  patches.suse/0002-dax-do-not-print-error-message-for-non-persistent-me.patch
- commit be9f703
* Sun Aug 30 2020 mkubecek@suse.cz
- Update kabi files.
- update to September 2020 maintenance update submission (commit 8bb516dc7a0a)
- commit 77f2936
* Sun Aug 30 2020 bp@suse.de
- x86/mce/amd: Add PPIN support for AMD MCE (jsc#13575).
- commit 261b6ca
* Sun Aug 30 2020 colyli@suse.de
- bcache: allocate meta data pages as compound pages
  (bsc#1172873).
- commit 55a313b
* Sun Aug 30 2020 colyli@suse.de
- block: check queue's limits.discard_granularity in
  __blkdev_issue_discard() (bsc#1152148).
- block: improve discard bio alignment in __blkdev_issue_discard()
  (bsc#1152148).
- commit 7c62217
* Sun Aug 30 2020 colyli@suse.de
- dax: do not print error message for non-persistent memory
  block device (bsc#1171073).
- dax: print error message by pr_info() in
  __generic_fsdax_supported() (bsc#1171073).
- commit d1ad35e
* Sat Aug 29 2020 bp@suse.de
- x86/cpu: Use SERIALIZE in sync_core() when available
  (jsc#13365).
- commit 20100a4
* Sat Aug 29 2020 bp@suse.de
- x86/cpu: Refactor sync_core() for readability (jsc#13365).
- commit f8518c2
* Fri Aug 28 2020 bp@suse.de
- x86/cpu: Relocate sync_core() to sync_core.h (jsc#13365).
- commit 2df7ed4
* Fri Aug 28 2020 bp@suse.de
- x86/cpufeatures: Add enumeration for SERIALIZE instruction
  (jsc#13365).
- Refresh
  patches.suse/x86-speculation-add-special-register-buffer-data-sampling-srbds-mitigation.patch.
- commit 1427522
* Fri Aug 28 2020 msuchanek@suse.de
- obsolete_kmp: provide newer version than the obsoleted one
  (boo#1170232).
- commit c5ecb27
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Move Intel IOMMU driver into subdirectory
  (bsc#1175713).
- Refresh
  patches.suse/iommu-vt-d-enable-pci-acs-for-platform-opt-in-hint.
- Refresh
  patches.suse/iommu-vt-d-update-scalable-mode-paging-structure-coherency.
- commit be917c8
* Fri Aug 28 2020 jroedel@suse.de
- iommu: Add Allwinner H6 IOMMU driver (bsc#1175713).
- Update config files.
- commit 19bb9a4
* Fri Aug 28 2020 jroedel@suse.de
- iommu/virtio: Build virtio-iommu as module (bsc#1175713).
- Update config files.
- supported.conf: Add vrtio-iommu driver as unsupported
- commit 362d7b0
* Fri Aug 28 2020 tiwai@suse.de
- cpuidle: Fix cpuidle_driver_state_disabled() (jsc#SLE-12679).
- commit 0245db2
* Fri Aug 28 2020 tiwai@suse.de
- cpuidle: Introduce cpuidle_driver_state_disabled() for driver
  quirks (jsc#SLE-12679).
- commit 39e01d4
* Fri Aug 28 2020 tiwai@suse.de
- intel_idle: Customize IceLake server support (jsc#SLE-12679).
- intel_idle: Annotate init time data structures (jsc#SLE-12679).
- commit e6ebfe6
* Fri Aug 28 2020 tiwai@suse.de
- Documentation: admin-guide: PM: Add intel_idle document
  (jsc#SLE-12679).
- commit 11728dd
* Fri Aug 28 2020 tiwai@suse.de
- intel_idle: Use ACPI _CST on server systems (jsc#SLE-12679).
- Refresh
  patches.suse/intel_idle-convert-to-new-x86-cpu-match-macros.patch.
- commit 9a99f1a
* Fri Aug 28 2020 tiwai@suse.de
- intel_idle: Add module parameter to prevent ACPI _CST from
  being used (jsc#SLE-12679).
- intel_idle: Allow ACPI _CST to be used for selected known
  processors (jsc#SLE-12679).
- cpuidle: Allow idle states to be disabled by default
  (jsc#SLE-12679).
- intel_idle: Use ACPI _CST for processor models without C-state
  tables (jsc#SLE-12679).
- intel_idle: Refactor intel_idle_cpuidle_driver_init()
  (jsc#SLE-12679).
- ACPI: processor: Export acpi_processor_evaluate_cst()
  (jsc#SLE-12679).
- ACPI: processor: Make ACPI_PROCESSOR_CSTATE depend on
  ACPI_PROCESSOR (jsc#SLE-12679).
- ACPI: processor: Clean up acpi_processor_evaluate_cst()
  (jsc#SLE-12679).
- ACPI: processor: Introduce acpi_processor_evaluate_cst()
  (jsc#SLE-12679).
- ACPI: processor: Export function to claim _CST control
  (jsc#SLE-12679).
- cpuidle: Drop disabled field from struct cpuidle_state
  (jsc#SLE-12679).
- cpuidle: Consolidate disabled state checks (jsc#SLE-12679).
- commit 0460fc7
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Add set domain DOMAIN_ATTR_NESTING attr
  (bsc#1175713).
- Refresh patches.suse/iommu-vt-d-add-attach_deferred-helper.
- commit 0aae24b
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Add Kconfig option to enable/disable scalable mode
  (bsc#1175713).
- Update config files.
- commit 5972e43
* Fri Aug 28 2020 jroedel@suse.de
- iommu/arm-smmu: Allow building as a module (bsc#1175713).
- Update config files.
- commit 86b1580
* Fri Aug 28 2020 jroedel@suse.de
- iommu/arm-smmu-v3: Unregister IOMMU and bus ops on device
  removal (bsc#1175713).
- Refresh
  patches.suse/iommu-arm-smmu-v3-don-t-reserve-implementation-defined-register-space.
- commit 5d54ca4
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Use pci_real_dma_dev() for mapping (bsc#1175713).
- Refresh patches.suse/iommu-vt-d-add-attach_deferred-helper.
- commit f7f5bb2
* Fri Aug 28 2020 jroedel@suse.de
- iommu/amd: Support multiple PCI DMA aliases in device table
  (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-update-device-table-in-increase_address_space.
- commit 1ba83e7
* Fri Aug 28 2020 jroedel@suse.de
- iommu/amd: Convert AMD iommu driver to the dma-iommu api
  (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-call-domain_flush_complete-in-update_domain.
- Refresh
  patches.suse/iommu-amd-fix-race-in-increase_address_space-fetch_pte.
- Refresh
  patches.suse/iommu-amd-update-device-table-in-increase_address_space.
- commit b6faeff
* Fri Aug 28 2020 jroedel@suse.de
- iommu: Add gfp parameter to iommu_ops::map (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-fix-race-in-increase_address_space-fetch_pte.
- commit e8cad6b
* Fri Aug 28 2020 jroedel@suse.de
- iommu/amd: Remove unnecessary locking from AMD iommu driver
  (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-fix-race-in-increase_address_space-fetch_pte.
- commit 835616f
* Fri Aug 28 2020 jroedel@suse.de
- firmware: qcom_scm: Fix some typos in docs and printks
  (bsc#1175713).
- Refresh
  patches.suse/firmware-qcom_scm-fix-bogous-abuse-of-dma-direct-int.patch.
- commit e7b646b
* Fri Aug 28 2020 jroedel@suse.de
- iommu: Remove wrong default domain comments (bsc#1175713).
- Refresh
  patches.suse/iommu-set-group-default-domain-before-creating-direct-mappings.
- commit f3dbc57
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Use bounce buffer for untrusted devices
  (bsc#1175713).
- Refresh
  patches.suse/dma-mapping-explicitly-wire-up-mmap-and-get_sgtable.patch.
- commit 430d080
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Don't switch off swiotlb if bounce page is used
  (bsc#1175713).
- Refresh
  patches.suse/iommu-vt-d-unnecessary-to-handle-default-identity-domain.
- commit 656a21a
* Fri Aug 28 2020 jroedel@suse.de
- iommu/vt-d: Check whether device requires bounce buffer
  (bsc#1175713).
- Refresh
  patches.suse/iommu-vt-d-unnecessary-to-handle-default-identity-domain.
- commit 082ae7d
* Fri Aug 28 2020 jroedel@suse.de
- swiotlb: Split size parameter to map/unmap APIs (bsc#1175713).
- Refresh
  patches.suse/dma-direct-exclude-dma_direct_map_resource-from-the-min_low_pfn-check.patch.
- commit 439017e
* Fri Aug 28 2020 ohering@suse.de
- hv_netvsc: Fix the queue_mapping in netvsc_vf_xmit()
  (git-fixes).
- hv_netvsc: Remove "unlikely" from netvsc_select_queue
  (git-fixes).
- hv_netvsc: do not use VF device if link is down (git-fixes).
- commit 83af1e6
* Fri Aug 28 2020 jroedel@suse.de
- iommu/mediatek: Add mt8183 IOMMU support (bsc#1175713).
- Refresh
  patches.suse/iommu-mediatek-fix-vld_pa_rng-register-backup-when-suspend.
- commit 54fdef6
* Fri Aug 28 2020 tiwai@suse.de
- dmaengine: idxd: Init and probe for Intel data accelerators
  (jsc#SLE-12688).
- Update config files: CONFIG_INTEL_IDXD=m for x86_64
- supported.conf: add idxd module
- commit 9a6d5fa
* Fri Aug 28 2020 tiwai@suse.de
- dmaengine: dmatest: Add support for completion polling
  (jsc#SLE-12688).
- Refresh
  patches.suse/dmaengine-dmatest-Fix-iteration-non-stop-logic.patch.
- commit f4347c1
* Fri Aug 28 2020 tiwai@suse.de
- dmaengine: idxd: move idxd interrupt handling to mask instead
  of ignore (jsc#SLE-12688).
- dmaengine: idxd: add work queue drain support (jsc#SLE-12688).
- dmaengine: idxd: move submission to sbitmap_queue
  (jsc#SLE-12688).
- dmaengine: cookie bypass for out of order completion
  (jsc#SLE-12688).
- commit d2c733b
* Fri Aug 28 2020 jroedel@suse.de
- iommu: Pass struct iommu_iotlb_gather to ->unmap() and
  - >iotlb_sync() (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-fix-race-in-increase_address_space-fetch_pte.
- Refresh
  patches.suse/iommu-amd-lock-code-paths-traversing-protection_domain-dev_list.
- Refresh
  patches.suse/iommu-mediatek-correct-the-flush_iotlb_all-callback.
- commit 0f6ef66
* Fri Aug 28 2020 jroedel@suse.de
- iommu: Remove empty iommu_tlb_range_add() callback from
  iommu_ops (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-lock-code-paths-traversing-protection_domain-dev_list.
- commit 3c406b0
* Fri Aug 28 2020 tiwai@suse.de
- dmaengine: idxd: fix misc interrupt handler thread unmasking
  (jsc#SLE-12688).
- dmaengine: idxd: cleanup workqueue config after disabling
  (jsc#SLE-12688).
- dmaengine: idxd: fix cdev locking for open and release
  (jsc#SLE-12688).
- dmaengine: idxd: export hw version through sysfs
  (jsc#SLE-12688).
- dmaengine: idxd: fix interrupt completion after unmasking
  (jsc#SLE-12688).
- dmaengine: idxd: remove global token limit check
  (jsc#SLE-12688).
- dmaengine: idxd: reflect shadow copy of traffic class
  programming (jsc#SLE-12688).
- dmaengine: idxd: expose general capabilities register in sysfs
  (jsc#SLE-12688).
- dmaengine: idxd: check return result from check_vma() in cdev
  (jsc#SLE-12688).
- dmaengine: idxd: remove set but not used variable 'idxd_cdev'
  (jsc#SLE-12688).
- dmaengine: idxd: remove set but not used variable 'group'
  (jsc#SLE-12688).
- dmaengine: idxd: fix off by one on cdev dwq refcount
  (jsc#SLE-12688).
- dmaengine: idxd: wq size configuration needs to check global
  max size (jsc#SLE-12688).
- dmaengine: idxd: sysfs input of wq incorrect wq type should
  return error (jsc#SLE-12688).
- dmaengine: idxd: correct reserved token calculation
  (jsc#SLE-12688).
- dmaengine: idxd: Fix error handling in idxd_wq_cdev_dev_setup()
  (jsc#SLE-12688).
- dmaengine: idxd: fix runaway module ref count on device driver
  bind (jsc#SLE-12688).
- dmaengine: idxd: fix boolconv.cocci warnings (jsc#SLE-12688).
- dmaengine: idxd: add char driver to expose submission portal
  to userland (jsc#SLE-12688).
- dmaengine: idxd: connect idxd to dmaengine subsystem
  (jsc#SLE-12688).
- dmaengine: idxd: add descriptor manipulation routines
  (jsc#SLE-12688).
- dmaengine: idxd: add configuration component of driver
  (jsc#SLE-12688).
- commit 7bdb2b2
* Fri Aug 28 2020 tiwai@suse.de
- dmaengine: fix channel index enumeration (jsc#SLE-12688).
- commit f7388ad
* Fri Aug 28 2020 tiwai@suse.de
- dmaengine: fix null ptr check for
  __dma_async_device_channel_register() (jsc#SLE-12688).
- dmaengine: add support to dynamic register/unregister of
  channels (jsc#SLE-12688).
- dmaengine: break out channel registration (jsc#SLE-12688).
- dmaengine: print more meaningful error message (jsc#SLE-12688).
- dmaengine: move module_/dma_device_put() after route free
  (jsc#SLE-12688).
- dmaengine: Add reference counting to dma_device struct
  (jsc#SLE-12688).
- dmaengine: Move dma_channel_rebalance() infrastructure up in
  code (jsc#SLE-12688).
- dmaengine: Call module_put() after device_free_chan_resources()
  (jsc#SLE-12688).
- commit 83e441c
* Fri Aug 28 2020 jroedel@suse.de
- iommu/arm-smmu: Add implementation infrastructure (bsc#1175713).
- Refresh
  patches.suse/iommu-amd-Override-wrong-IVRS-IOAPIC-on-Raven-Ridge-.patch.
- commit 8c03e81
* Fri Aug 28 2020 tiwai@suse.de
- x86/asm: add iosubmit_cmds512() based on MOVDIR64B CPU
  instruction (jsc#SLE-12688).
- commit 39a557f
* Fri Aug 28 2020 jroedel@suse.de
- iommu/omap: fix boot issue on remoteprocs with AMMU/Unicache
  (bsc#1175713).
- Refresh
  patches.suse/ARM-OMAP2-move-platform-specific-asm-offset.h-to-arc.patch.
- commit b599a74
* Fri Aug 28 2020 tiwai@suse.de
- mtd: spi-nor: intel-spi: Add support for Intel Emmitsburg SPI
  serial flash (jsc#SLE-13361).
- commit af6591b
* Fri Aug 28 2020 tiwai@suse.de
- i2c: i801: Add support for Intel Emmitsburg PCH (jsc#SLE-13361).
- commit e25f03a
* Fri Aug 28 2020 tiwai@suse.de
- mfd: intel-lpss: Add Intel Emmitsburg PCH PCI IDs
  (jsc#SLE-13361).
- commit c8f66ce
* Fri Aug 28 2020 tiwai@suse.de
- pinctrl: intel: Add Intel Emmitsburg pin controller support
  (jsc#SLE-13361).
- Update config files: CONFIG_PINCTRL_EMMITSBURG=m
- supported.conf: add pinctrl-emmitsburg module
- commit f051905
* Fri Aug 28 2020 jroedel@suse.de
- s390/Kconfig: add missing ZCRYPT dependency to VFIO_AP
  (bsc#1175713).
- iommu: Move sg_table wrapper out of CONFIG_IOMMU_SUPPORT
  (bsc#1175713).
- iommu/vt-d: Disable multiple GPASID-dev bind (bsc#1175713).
- iommu/vt-d: Warn on out-of-range invalidation address
  (bsc#1175713).
- iommu/vt-d: Fix devTLB flush for vSVA (bsc#1175713).
- iommu/vt-d: Handle non-page aligned address (bsc#1175713).
- firmware: qcom_scm: Fix legacy convention SCM accessors
  (bsc#1175713).
- iommu/qcom: Use domain rather than dev as tlb cookie
  (bsc#1175713).
- iommu/arm-smmu: Mark qcom_smmu_client_of_match as possibly
  unused (bsc#1175713).
- iommu: Fix use-after-free in iommu_release_device (bsc#1175713).
- iommu/amd: Make amd_iommu_apply_ivrs_quirks() static inline
  (bsc#1175713).
- iommu: SUN50I_IOMMU should depend on HAS_DMA (bsc#1175713).
- iommu/sun50i: Remove unused variable (bsc#1175713).
- iommu/sun50i: Change the readl timeout to the atomic variant
  (bsc#1175713).
- iommu/vt-d: Fix misuse of iommu_domain_identity_map()
  (bsc#1175713).
- iommu/vt-d: Don't apply gfx quirks to untrusted devices
  (bsc#1175713).
- iommu/vt-d: Set U/S bit in first level page table by default
  (bsc#1175713).
- iommu/vt-d: Make Intel SVM code 64-bit only (bsc#1175713).
- iommu/amd: Move AMD IOMMU driver into subdirectory
  (bsc#1175713).
- iommu: Check for deferred attach in iommu_group_do_dma_attach()
  (bsc#1175713).
- iommu/amd: Remove redundant devid checks (bsc#1175713).
- iommu/amd: Store dev_data as device iommu private data
  (bsc#1175713).
- iommu/amd: Merge private header files (bsc#1175713).
- iommu/amd: Remove PD_DMA_OPS_MASK (bsc#1175713).
- iommu/amd: Consolidate domain allocation/freeing (bsc#1175713).
- iommu/amd: Free page-table in protection_domain_free()
  (bsc#1175713).
- iommu/amd: Allocate page-table in protection_domain_init()
  (bsc#1175713).
- iommu/amd: Let free_pagetable() not rely on domain->pt_root
  (bsc#1175713).
- iommu/amd: Unexport get_dev_data() (bsc#1175713).
- iommu/amd: Unify format of the printed messages (bsc#1175713).
- iommu: Remove iommu_sva_ops::mm_exit() (bsc#1175713).
- iommu/vt-d: Use pci_ats_supported() (bsc#1175713).
- iommu/arm-smmu-v3: Use pci_ats_supported() (bsc#1175713).
- iommu/amd: Use pci_ats_supported() (bsc#1175713).
- PCI/ATS: Only enable ATS for trusted devices (bsc#1175713).
- iommu: Don't take group reference in
  iommu_alloc_default_domain() (bsc#1175713).
- iommu: Don't call .probe_finalize() under group->mutex
  (bsc#1175713).
- iommu/mediatek-v1: Fix a build warning for a unused variable
  'data' (bsc#1175713).
- iommu/mediatek-v1: Add def_domain_type (bsc#1175713).
- iommu/omap: Add registration for DT fwnode pointer
  (bsc#1175713).
- iommu/omap: Add check for iommu group when no IOMMU in use
  (bsc#1175713).
- iommu/hyper-v: Constify hyperv_ir_domain_ops (bsc#1175713).
- iommu/vt-d: Fix compile warning (bsc#1175713).
- iommu/vt-d: Remove real DMA lookup in find_domain (bsc#1175713).
- iommu/vt-d: Allocate domain info for real DMA sub-devices
  (bsc#1175713).
- iommu/vt-d: Only clear real DMA device's context entries
  (bsc#1175713).
- iommu/vt-d: fix a GCC warning (bsc#1175713).
- iommu/vt-d: Fix pointer cast warnings on 32 bit (bsc#1175713).
- iommu/vt-d: Remove IOVA handling code from the non-dma_ops path
  (bsc#1175713).
- iommu/vt-d: Remove duplicated check in intel_svm_bind_mm()
  (bsc#1175713).
- iommu/vt-d: Remove redundant IOTLB flush (bsc#1175713).
- iommu/vt-d: Add page request draining support (bsc#1175713).
- iommu/vt-d: Disable non-recoverable fault processing before
  unbind (bsc#1175713).
- iommu/vt-d: debugfs: Add support to show inv queue internals
  (bsc#1175713).
- iommu/vt-d: Multiple descriptors per qi_submit_sync()
  (bsc#1175713).
- iommu/vt-d: Replace intel SVM APIs with generic SVA APIs
  (bsc#1175713).
- iommu/vt-d: Report SVA feature with generic flag (bsc#1175713).
- iommu/vt-d: Add get_domain_info() helper (bsc#1175713).
- iommu/vt-d: Add custom allocator for IOASID (bsc#1175713).
- iommu/vt-d: Enlightened PASID allocation (bsc#1175713).
- iommu/vt-d: Add svm/sva invalidate function (bsc#1175713).
- iommu/vt-d: Support flushing more translation cache types
  (bsc#1175713).
- iommu/vt-d: Add bind guest PASID support (bsc#1175713).
- iommu/vt-d: Add nested translation helper function
  (bsc#1175713).
- iommu/vt-d: Use a helper function to skip agaw for SL
  (bsc#1175713).
- iommu/vt-d: Move domain helper to header (bsc#1175713).
- iommu: Remove functions that support private domain
  (bsc#1175713).
- iommu/vt-d: Unify format of the printed messages (bsc#1175713).
- iommu/vt-d: Apply per-device dma_ops (bsc#1175713).
- iommu/vt-d: Allow PCI sub-hierarchy to use DMA domain
  (bsc#1175713).
- iommu/vt-d: Allow 32bit devices to uses DMA domain
  (bsc#1175713).
- iommu/arm-smmu-v3: Manage ASIDs with xarray (bsc#1175713).
- iommu/arm-smmu-qcom: Request direct mapping for modem device
  (bsc#1175713).
- iommu/arm-smmu-v3: remove set but not used variable 'smmu'
  (bsc#1175713).
- iommu/arm-smmu: Allow client devices to select direct mapping
  (bsc#1175713).
- iommu/arm-smmu: Implement iommu_ops->def_domain_type call-back
  (bsc#1175713).
- iommu: arm-smmu-impl: Convert to a generic reset implementation
  (bsc#1175713).
- iommu/arm-smmu: Make remove callback message more informative
  (bsc#1175713).
- iommu/sun50i: Constify sun50i_iommu_ops (bsc#1175713).
- iommu/sun50i: Fix return value check in sun50i_iommu_probe()
  (bsc#1175713).
- iommu/sun50i: Use __GFP_ZERO instead of memset() (bsc#1175713).
- iommu/sun50i: Fix compile warnings (bsc#1175713).
- iommu/iova: Unify format of the printed messages (bsc#1175713).
- iommu/renesas: Fix unused-function warning (bsc#1175713).
- iommu: Do not probe devices on IOMMU-less busses (bsc#1175713).
- iommu/amd: Fix variable "iommu" set but not used (bsc#1175713).
- iommu: Unexport iommu_group_get_for_dev() (bsc#1175713).
- iommu: Move more initialization to __iommu_probe_device()
  (bsc#1175713).
- iommu: Remove add_device()/remove_device() code-paths
  (bsc#1175713).
- iommu/exynos: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/exynos: Use first SYSMMU in controllers list for IOMMU
  core (bsc#1175713).
- iommu/omap: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/omap: Remove orphan_dev tracking (bsc#1175713).
- iommu/renesas: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/tegra: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/rockchip: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/qcom: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/mediatek-v1 Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/mediatek: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/msm: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/virtio: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/s390: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/pamu: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/arm-smmu: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/vt-d: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/amd: Convert to probe/release_device() call-backs
  (bsc#1175713).
- iommu/amd: Remove dev_data->passthrough (bsc#1175713).
- iommu: Export bus_iommu_probe() and make is safe for re-probing
  (bsc#1175713).
- iommu: Move iommu_group_create_direct_mappings() out of
  iommu_group_add_device() (bsc#1175713).
- iommu: Split off default domain allocation from group assignment
  (bsc#1175713).
- iommu: Move new probe_device path to separate function
  (bsc#1175713).
- iommu: Keep a list of allocated groups in __iommu_probe_device()
  (bsc#1175713).
- iommu: Move default domain allocation to iommu_probe_device()
  (bsc#1175713).
- iommu: Add probe_device() and release_device() call-backs
  (bsc#1175713).
- iommu/amd: Return -ENODEV in add_device when device is not
  handled by IOMMU (bsc#1175713).
- iommu/amd: Remove dma_mask check from check_device()
  (bsc#1175713).
- iommu/vt-d: Wire up iommu_ops->def_domain_type (bsc#1175713).
- iommu/amd: Implement iommu_ops->def_domain_type call-back
  (bsc#1175713).
- iommu: Add def_domain_type() callback in iommu_ops
  (bsc#1175713).
- iommu: Move default domain allocation to separate function
  (bsc#1175713).
- iommu/msm: Make msm_iommu_lock static (bsc#1175713).
- iommu: add generic helper for mapping sgtable objects
  (bsc#1175713).
- firmware: qcom_scm-legacy: Replace zero-length array with
  flexible-array (bsc#1175713).
- firmware: qcom_scm: Remove unneeded conversion to bool
  (bsc#1175713).
- x86: Hide the archdata.iommu field behind generic IOMMU_API
  (bsc#1175713).
- iommu: Fix deferred domain attachment (bsc#1175713).
- iommu/amd: Fix get_acpihid_device_id() (bsc#1175713).
- iommu: Properly export iommu_group_get_for_dev() (bsc#1175713).
- iommu/vt-d: Use right Kconfig option name (bsc#1175713).
- iommu: spapr_tce: Disable compile testing to fix build on
  book3s_32 config (bsc#1175713).
- iommu/mediatek: Fix MTK_IOMMU dependencies (bsc#1175713).
- iommu: Fix the memory leak in dev_iommu_free() (bsc#1175713).
- iommu: Move fwspec->iommu_priv to struct dev_iommu
  (bsc#1175713).
- iommu/virtio: Use accessor functions for iommu private data
  (bsc#1175713).
- iommu/qcom: Use accessor functions for iommu private data
  (bsc#1175713).
- iommu/mediatek: Use accessor functions for iommu private data
  (bsc#1175713).
- iommu/renesas: Use accessor functions for iommu private data
  (bsc#1175713).
- iommu/arm-smmu: Use accessor functions for iommu private data
  (bsc#1175713).
- iommu/arm-smmu: Refactor master_cfg/fwspec usage (bsc#1175713).
- iommu/arm-smmu-v3: Use accessor functions for iommu private data
  (bsc#1175713).
- iommu: Introduce accessors for iommu private data (bsc#1175713).
- iommu/arm-smmu: Fix uninitilized variable warning (bsc#1175713).
- iommu: Move iommu_fwspec to struct dev_iommu (bsc#1175713).
- iommu: Rename struct iommu_param to dev_iommu (bsc#1175713).
- iommu/tegra-gart: Remove direct access of dev->iommu_fwspec
  (bsc#1175713).
- ACPI/IORT: Remove direct access of dev->iommu_fwspec
  (bsc#1175713).
- iommu: Define dev_iommu_fwspec_get() for !CONFIG_IOMMU_API
  (bsc#1175713).
- iommu: Use C99 flexible array in fwspec (bsc#1175713).
- iommu/virtio: Reject IOMMU page granule larger than PAGE_SIZE
  (bsc#1175713).
- iommu/vt-d: Add build dependency on IOASID (bsc#1175713).
- iommu/arm-smmu-v3: Add SMMUv3.2 range invalidation support
  (bsc#1175713).
- iommu/arm-smmu-v3: Batch ATC invalidation commands
  (bsc#1175713).
- iommu/arm-smmu-v3: Batch context descriptor invalidation
  (bsc#1175713).
- iommu/arm-smmu-v3: Add command queue batching helpers
  (bsc#1175713).
- iommu/arm-smmu-v3: Write level-1 descriptors atomically
  (bsc#1175713).
- iommu/arm-smmu-v3: Add support for PCI PASID (bsc#1175713).
- iommu: Enable compile testing for some of drivers (bsc#1175713).
- iommu/omap: Fix -Woverflow warnings when compiling on 64-bit
  architectures (bsc#1175713).
- iommu/omap: Fix printing format for size_t on 64-bit
  (bsc#1175713).
- iommu/omap: Fix pointer cast -Wpointer-to-int-cast warnings
  on 64 bit (bsc#1175713).
- iommu/qcom: Replace zero-length array with flexible-array member
  (bsc#1175713).
- drm/radeon: fix scatter-gather mapping with user pages
  (bsc#1175713).
- drm/amdgpu: fix scatter-gather mapping with user pages
  (bsc#1175713).
- drm/prime: use dma length macro when mapping sg (bsc#1175713).
- iommu/amd: Fix IOMMU AVIC not properly update the is_run bit
  in IRTE (bsc#1175713).
- iommu/vt-d: dmar_parse_one_rmrr: replace WARN_TAINT with
  pr_warn + add_taint (bsc#1175713).
- iommu/io-pgtable-arm: Fix IOVA validation for 32-bit
  (bsc#1175713).
- iommu/arm-smmu: Restore naming of driver parameter prefix
  (bsc#1175713).
- iommu/amd: Disable IOMMU on Stoney Ridge systems (bsc#1175713).
- firmware: qcom_scm: Dynamically support SMCCC and legacy
  conventions (bsc#1175713).
- firmware: qcom_scm: Remove thin wrappers (bsc#1175713).
- firmware: qcom_scm: Order functions, definitions by
  service/command (bsc#1175713).
- firmware: qcom_scm-32: Add device argument to atomic calls
  (bsc#1175713).
- firmware: qcom_scm-32: Create common legacy atomic call
  (bsc#1175713).
- firmware: qcom_scm-32: Move SMCCC register filling to
  qcom_scm_call (bsc#1175713).
- firmware: qcom_scm-32: Use qcom_scm_desc in non-atomic calls
  (bsc#1175713).
- firmware: qcom_scm-32: Add funcnum IDs (bsc#1175713).
- firmware: qcom_scm-32: Use SMC arch wrappers (bsc#1175713).
- firmware: qcom_scm-64: Improve SMC convention detection
  (bsc#1175713).
- firmware: qcom_scm-64: Move SMC register filling to
  qcom_scm_call_smccc (bsc#1175713).
- firmware: qcom_scm-64: Add SCM results struct (bsc#1175713).
- firmware: qcom_scm-64: Move svc/cmd/owner into qcom_scm_desc
  (bsc#1175713).
- firmware: qcom_scm-64: Make SMC macros less magical
  (bsc#1175713).
- firmware: qcom_scm: Remove unused qcom_scm_get_version
  (bsc#1175713).
- firmware: qcom_scm: Apply consistent naming scheme to command
  IDs (bsc#1175713).
- firmware: qcom_scm: Rename macros and structures (bsc#1175713).
- firmware: scm: Add stubs for OCMEM and restore_sec_cfg_available
  (bsc#1175713).
- x86/PCI: Define to_pci_sysdata() even when !CONFIG_PCI
  (bsc#1175713).
- iommu: virtio: Use generic_iommu_put_resv_regions()
  (bsc#1175713).
- iommu: intel: Use generic_iommu_put_resv_regions()
  (bsc#1175713).
- iommu: amd: Use generic_iommu_put_resv_regions() (bsc#1175713).
- iommu: arm: Use generic_iommu_put_resv_regions() (bsc#1175713).
- iommu: Implement generic_iommu_put_resv_regions() (bsc#1175713).
- iommu/iova: Silence warnings under memory pressure
  (bsc#1175713).
- iommu: Fix Kconfig indentation (bsc#1175713).
- iommu/vt-d: Remove unnecessary WARN_ON_ONCE() (bsc#1175713).
- iommu/vt-d: Add RMRR base and end addresses sanity check
  (bsc#1175713).
- iommu/vt-d: Mark firmware tainted if RMRR fails sanity check
  (bsc#1175713).
- iommu/vt-d: Don't reject Host Bridge due to scope mismatch
  (bsc#1175713).
- iommu/vt-d: debugfs: Add support to show page table internals
  (bsc#1175713).
- iommu/vt-d: Use iova over first level (bsc#1175713).
- iommu/vt-d: Update first level super page capability
  (bsc#1175713).
- iommu/vt-d: Make first level IOVA canonical (bsc#1175713).
- iommu/vt-d: Flush PASID-based iotlb for iova over first level
  (bsc#1175713).
- iommu/vt-d: Setup pasid entries for iova over first level
  (bsc#1175713).
- iommu/vt-d: Add PASID_FLAG_FL5LP for first-level pasid setup
  (bsc#1175713).
- iommu/vt-d: Identify domains using first level page table
  (bsc#1175713).
- iommu/vt-d: Loose requirement for flush queue initializaton
  (bsc#1175713).
- iommu/vt-d: Avoid iova flush queue in strict mode (bsc#1175713).
- iommu/vt-d: trace: Extend map_sg trace event (bsc#1175713).
- iommu/vt-d: Misc macro clean up for SVM (bsc#1175713).
- iommu/vt-d: Replace Intel specific PASID allocator with IOASID
  (bsc#1175713).
- iommu/vt-d: Avoid duplicated code for PASID setup (bsc#1175713).
- iommu/vt-d: Reject SVM bind for failed capability check
  (bsc#1175713).
- iommu/vt-d: Fix CPU and IOMMU SVM feature matching checks
  (bsc#1175713).
- iommu/amd: Remove the unnecessary assignment (bsc#1175713).
- iommu/amd: Remove unused struct member (bsc#1175713).
- iommu/amd: Replace two consecutive readl calls with one readq
  (bsc#1175713).
- iommu/amd: Fix typos for PPR macros (bsc#1175713).
- iommu/amd: Remove local variables (bsc#1175713).
- iommu/amd: Remove unused variable (bsc#1175713).
- iommu/amd: Treat per-device exclusion ranges as r/w unity-mapped
  regions (bsc#1175713).
- iommu/arm-smmu-v3: Return -EBUSY when trying to re-add a device
  (bsc#1175713).
- iommu/arm-smmu-v3: Improve add_device() error handling
  (bsc#1175713).
- iommu/arm-smmu-v3: Use WRITE_ONCE() when changing validity of
  an STE (bsc#1175713).
- iommu/arm-smmu-v3: Add second level of context descriptor table
  (bsc#1175713).
- iommu/arm-smmu-v3: Prepare for handling
  arm_smmu_write_ctx_desc() failure (bsc#1175713).
- iommu/arm-smmu-v3: Propagate ssid_bits (bsc#1175713).
- iommu/arm-smmu-v3: Add support for Substream IDs (bsc#1175713).
- iommu/arm-smmu-v3: Add context descriptor tables allocators
  (bsc#1175713).
- iommu/arm-smmu-v3: Prepare arm_smmu_s1_cfg for SSID support
  (bsc#1175713).
- iommu/arm-smmu-v3: Parse PASID devicetree property of platform
  devices (bsc#1175713).
- iommu/arm-smmu-v3: Drop __GFP_ZERO flag from DMA allocation
  (bsc#1175713).
- iommu/arm-smmu: Improve SMR mask test (bsc#1175713).
- iommu/io-pgtable-arm: Prepare for TTBR1 usage (bsc#1175713).
- iommu/io-pgtable-arm: Rationalise VTCR handling (bsc#1175713).
- iommu/arm-smmu: Rename public #defines under ARM_SMMU_ namespace
  (bsc#1175713).
- iommu/io-pgtable-arm: Rationalise TCR handling (bsc#1175713).
- iommu/io-pgtable-arm: Ensure ARM_64_LPAE_S2_TCR_RES1 is unsigned
  (bsc#1175713).
- iommu/io-pgtable-arm: Improve attribute handling (bsc#1175713).
- iommu/io-pgtable-arm: Support non-coherent stage-2 page tables
  (bsc#1175713).
- iommu/io-pgtable-arm: Rationalise TTBRn handling (bsc#1175713).
- iommu/arm-smmu: Fix -Wunused-const-variable warning
  (bsc#1175713).
- iommu/arm-smmu-v3: Remove useless of_match_ptr() (bsc#1175713).
- iommu/arm-smmu-v3: Fix resource_size check (bsc#1175713).
- drivers/iommu: Initialise module 'owner' field in
  iommu_device_set_ops() (bsc#1175713).
- iommu/arm-smmu: Update my email address in MODULE_AUTHOR()
  (bsc#1175713).
- iommu/arm-smmu: Unregister IOMMU and bus ops on device removal
  (bsc#1175713).
- iommu/arm-smmu-v3: Allow building as a module (bsc#1175713).
- iommu/arm-smmu: Support SMMU module probing from the IORT
  (bsc#1175713).
- iommu/arm-smmu: Prevent forced unbinding of Arm SMMU drivers
  (bsc#1175713).
- Revert "iommu/arm-smmu: Make arm-smmu explicitly non-modular"
  (bsc#1175713).
- Revert "iommu/arm-smmu: Make arm-smmu-v3 explicitly non-modular"
  (bsc#1175713).
- drivers/iommu: Allow IOMMU bus ops to be unregistered
  (bsc#1175713).
- iommu/of: Take a ref to the IOMMU driver during ->of_xlate()
  (bsc#1175713).
- drivers/iommu: Take a ref to the IOMMU driver prior to
  - >add_device() (bsc#1175713).
- iommu/of: Request ACS from the PCI core when configuring IOMMU
  linkage (bsc#1175713).
- drivers/iommu: Export core IOMMU API symbols to permit modular
  drivers (bsc#1175713).
- x86/PCI: Remove X86_DEV_DMA_OPS (bsc#1175713).
- PCI: vmd: Remove dma_map_ops overrides (bsc#1175713).
- iommu/vt-d: Remove VMD child device sanity check (bsc#1175713).
- PCI: Introduce pci_real_dma_dev() (bsc#1175713).
- x86/PCI: Expose VMD's pci_dev in struct pci_sysdata
  (bsc#1175713).
- x86/PCI: Add to_pci_sysdata() helper (bsc#1175713).
- iommu/dma: fix variable 'cookie' set but not used (bsc#1175713).
- iommu/dma: Relax locking in iommu_dma_prepare_msi()
  (bsc#1175713).
- iommu/dma: Rationalise types for DMA masks (bsc#1175713).
- iommu: fix KASAN use-after-free in iommu_insert_resv_region
  (bsc#1175713).
- firmware: qcom: scm: add support to restore secure config to
  qcm_scm-32 (bsc#1175713).
- firmware: qcom: scm: add OCMEM lock/unlock interface
  (bsc#1175713).
- iommu/vt-d: Select PCI_PRI for INTEL_IOMMU_SVM (bsc#1175713).
- iommu: Introduce guest PASID bind function (bsc#1175713).
- iommu/ioasid: Add custom allocators (bsc#1175713).
- iommu: Add I/O ASID allocator (bsc#1175713).
- iommu: Introduce cache_invalidate API (bsc#1175713).
- iommu/virtio: Remove unused variable (bsc#1175713).
- iommu/vt-d: Turn off translations at shutdown (bsc#1175713).
- iommu/vt-d: Check VT-d RMRR region in BIOS is reported as
  reserved (bsc#1175713).
- iommu/amd: Support multiple PCI DMA aliases in IRQ Remapping
  (bsc#1175713).
- iommu/amd: Do not re-fetch iommu->cmd_buf_tail (bsc#1175713).
- iommu/amd: Pass gfp flags to iommu_map_page() in amd_iommu_map()
  (bsc#1175713).
- iommu/amd: Simpify decoding logic for INVALID_PPR_REQUEST event
  (bsc#1175713).
- iommu/dma-iommu: Use the dev->coherent_dma_mask (bsc#1175713).
- iommu/dma-iommu: Handle deferred devices (bsc#1175713).
- iommu/io-pgtable-arm: Rename IOMMU_QCOM_SYS_CACHE and improve
  doc (bsc#1175713).
- iommu/io-pgtable-arm: Rationalise MAIR handling (bsc#1175713).
- iommu/io-pgtable-arm: Simplify level indexing (bsc#1175713).
- iommu/io-pgtable-arm: Simplify PGD size handling (bsc#1175713).
- iommu/io-pgtable-arm: Simplify start level lookup (bsc#1175713).
- iommu/io-pgtable-arm: Simplify bounds checks (bsc#1175713).
- iommu/io-pgtable-arm: Rationalise size check (bsc#1175713).
- iommu/io-pgtable: Make selftest gubbins consistently __init
  (bsc#1175713).
- iommu: arm-smmu-impl: Add sdm845 implementation hook
  (bsc#1175713).
- firmware/qcom_scm: Add scm call to handle smmu errata
  (bsc#1175713).
- firmware: qcom_scm-64: Add atomic version of qcom_scm_call
  (bsc#1175713).
- iommu/arm-smmu: Avoid pathological RPM behaviour for unmaps
  (bsc#1175713).
- iommu/arm-smmu: Axe a useless test in
  'arm_smmu_master_alloc_smes()' (bsc#1175713).
- iommu/io-pgtable: Move some initialization data to .init.rodata
  (bsc#1175713).
- iommu/arm-smmu: Report USF more clearly (bsc#1175713).
- iommu/arm-smmu: Remove arm_smmu_flush_ops (bsc#1175713).
- iommu/arm-smmu: Move .tlb_sync method to implementation
  (bsc#1175713).
- iommu/arm-smmu: Remove "leaf" indirection (bsc#1175713).
- iommu/arm-smmu: Remove .tlb_inv_range indirection (bsc#1175713).
- iommu/mediatek: Reduce the tlb flush timeout value
  (bsc#1175713).
- iommu/mediatek: Get rid of the pgtlock (bsc#1175713).
- iommu/mediatek: Move the tlb_sync into tlb_flush (bsc#1175713).
- iommu/mediatek: Delete the leaf in the tlb_flush (bsc#1175713).
- iommu/mediatek: Use gather to achieve the tlb range flush
  (bsc#1175713).
- iommu/mediatek: Add a new tlb_lock for tlb_flush (bsc#1175713).
- memory: mtk-smi: Add PM suspend and resume ops (bsc#1175713).
- iommu/rockchip: Don't provoke WARN for harmless IRQs
  (bsc#1175713).
- iommu: rockchip: Free domain on .domain_free (bsc#1175713).
- iommu/ipmmu-vmsa: Add utlb_offset_base (bsc#1175713).
- iommu/ipmmu-vmsa: Add helper functions for "uTLB" registers
  (bsc#1175713).
- iommu/ipmmu-vmsa: Calculate context registers' offset instead
  of a macro (bsc#1175713).
- iommu/ipmmu-vmsa: Add helper functions for MMU "context"
  registers (bsc#1175713).
- iommu/ipmmu-vmsa: tidyup register definitions (bsc#1175713).
- iommu/ipmmu-vmsa: Remove all unused register definitions
  (bsc#1175713).
- iommu/ipmmu-vmsa: Hook up r8a774b1 DT matching code
  (bsc#1175713).
- iommu/qcom: Simplify a test in 'qcom_iommu_add_device()'
  (bsc#1175713).
- drivers: iommu: hyperv: Make HYPERV_IOMMU only available on x86
  (bsc#1175713).
- iommu/amd: Switch to use acpi_dev_hid_uid_match() (bsc#1175713).
- ACPI / utils: Introduce acpi_dev_hid_uid_match() helper
  (bsc#1175713).
- iommu/ipmmu-vmsa: Remove dev_err() on platform_get_irq()
  failure (bsc#1175713).
- iommu/vt-d: Return the correct dma mask when we are bypassing
  the IOMMU (bsc#1175713).
- iommu/arm-smmu: Free context bitmap in the err path of
  arm_smmu_init_domain_context (bsc#1175713).
- iommu: pass cell_count = -1 to of_for_each_phandle with
  cells_name (bsc#1175713).
- firmware: qcom_scm: Cleanup code in qcom_scm_assign_mem()
  (bsc#1175713).
- iommu: Revisit iommu_insert_resv_region() implementation
  (bsc#1175713).
- iommu: Remove dev_err() usage after platform_get_irq()
  (bsc#1175713).
- iommu/vt-d: Declare Broadwell igfx dmar support snafu
  (bsc#1175713).
- iommu/amd: Re-factor guest virtual APIC (de-)activation code
  (bsc#1175713).
- iommu/ipmmu-vmsa: Disable cache snoop transactions on R-Car Gen3
  (bsc#1175713).
- iommu/qcom: Use struct_size() helper (bsc#1175713).
- iommu/mediatek: Clean up struct mtk_smi_iommu (bsc#1175713).
- memory: mtk-smi: Get rid of need_larbid (bsc#1175713).
- memory: mtk-smi: Add bus_sel for mt8183 (bsc#1175713).
- memory: mtk-smi: Invoke pm runtime_callback to enable clocks
  (bsc#1175713).
- iommu/mediatek: Add mmu1 support (bsc#1175713).
- memory: mtk-smi: Add gals support (bsc#1175713).
- iommu/mediatek: Move vld_pa_rng into plat_data (bsc#1175713).
- iommu/mediatek: Move reset_axi into plat_data (bsc#1175713).
- iommu/mediatek: Refine protect memory definition (bsc#1175713).
- iommu/mediatek: Add larb-id remapped support (bsc#1175713).
- iommu/mediatek: Add bclk can be supported optionally
  (bsc#1175713).
- iommu/mediatek: Adjust the PA for the 4GB Mode (bsc#1175713).
- iommu/io-pgtable-arm-v7s: Extend to support PA[33:32] for
  MediaTek (bsc#1175713).
- iommu/io-pgtable-arm-v7s: Rename the quirk from MTK_4GB to
  MTK_EXT (bsc#1175713).
- iommu/io-pgtable-arm-v7s: Use ias/oas to check the valid iova/pa
  (bsc#1175713).
- iommu/io-pgtable-arm-v7s: Add paddr_to_iopte and iopte_to_paddr
  helpers (bsc#1175713).
- memory: mtk-smi: Use a struct for the platform data for
  smi-common (bsc#1175713).
- memory: mtk-smi: Use a general config_port interface
  (bsc#1175713).
- iommu/mediatek: Use a struct as the platform data (bsc#1175713).
- dt-bindings: mediatek: Add binding for mt8183 IOMMU and SMI
  (bsc#1175713).
- iommu/arm-smmu-v3: Fix build error without CONFIG_PCI_ATS
  (bsc#1175713).
- Revert "iommu/arm-smmu-v3: Disable detection of ATS and PRI"
  (bsc#1175713).
- iommu/arm-smmu-v3: Avoid locking on invalidation path when
  not using ATS (bsc#1175713).
- iommu/arm-smmu-v3: Fix ATC invalidation ordering wrt main TLBs
  (bsc#1175713).
- iommu/arm-smmu-v3: Rework enabling/disabling of ATS for PCI
  masters (bsc#1175713).
- iommu/arm-smmu-v3: Don't issue CMD_SYNC for zero-length
  invalidations (bsc#1175713).
- iommu/arm-smmu-v3: Remove boolean bitfield for 'ats_enabled'
  flag (bsc#1175713).
- iommu/arm-smmu-v3: Document ordering guarantees of command
  insertion (bsc#1175713).
- iommu/arm-smmu-v3: Defer TLB invalidation until ->iotlb_sync()
  (bsc#1175713).
- iommu/arm-smmu-v3: Reduce contention during command-queue
  insertion (bsc#1175713).
- iommu/arm-smmu-v3: Operate directly on low-level queue where
  possible (bsc#1175713).
- iommu/arm-smmu-v3: Move low-level queue fields out of
  arm_smmu_queue (bsc#1175713).
- iommu/arm-smmu-v3: Drop unused 'q' argument from Q_OVF macro
  (bsc#1175713).
- iommu/arm-smmu-v3: Separate s/w and h/w views of prod and cons
  indexes (bsc#1175713).
- iommu/io-pgtable: Pass struct iommu_iotlb_gather to
  - >tlb_add_page() (bsc#1175713).
- iommu/io-pgtable: Pass struct iommu_iotlb_gather to ->unmap()
  (bsc#1175713).
- iommu/io-pgtable: Remove unused ->tlb_sync() callback
  (bsc#1175713).
- iommu/io-pgtable: Replace ->tlb_add_flush() with
  - >tlb_add_page() (bsc#1175713).
- iommu/io-pgtable-arm: Call ->tlb_flush_walk() and
  - >tlb_flush_leaf() (bsc#1175713).
- iommu/io-pgtable: Hook up ->tlb_flush_walk() and
  - >tlb_flush_leaf() in drivers (bsc#1175713).
- iommu/io-pgtable: Introduce tlb_flush_walk() and
  tlb_flush_leaf() (bsc#1175713).
- iommu: Introduce iommu_iotlb_gather_add_page() (bsc#1175713).
- iommu: Introduce struct iommu_iotlb_gather for batching TLB
  flushes (bsc#1175713).
- iommu/io-pgtable: Rename iommu_gather_ops to iommu_flush_ops
  (bsc#1175713).
- iommu/io-pgtable-arm: Remove redundant call to
  io_pgtable_tlb_sync() (bsc#1175713).
- iommu/arm-smmu: Ensure 64-bit I/O accessors are available on
  32-bit CPU (bsc#1175713).
- iommu/arm-smmu: Make private implementation details static
  (bsc#1175713).
- iommu/arm-smmu: Add context init implementation hook
  (bsc#1175713).
- iommu/arm-smmu: Add reset implementation hook (bsc#1175713).
- iommu/arm-smmu: Add configuration implementation hook
  (bsc#1175713).
- iommu/arm-smmu: Move Secure access quirk to implementation
  (bsc#1175713).
- iommu/arm-smmu: Rename arm-smmu-regs.h (bsc#1175713).
- iommu/arm-smmu: Abstract GR0 accesses (bsc#1175713).
- iommu/arm-smmu: Abstract context bank accesses (bsc#1175713).
- iommu/arm-smmu: Abstract GR1 accesses (bsc#1175713).
- iommu/arm-smmu: Get rid of weird "atomic" write (bsc#1175713).
- iommu/arm-smmu: Split arm_smmu_tlb_inv_range_nosync()
  (bsc#1175713).
- iommu/arm-smmu: Rework cb_base handling (bsc#1175713).
- iommu/arm-smmu: Convert context bank registers to bitfields
  (bsc#1175713).
- iommu/arm-smmu: Convert GR1 registers to bitfields
  (bsc#1175713).
- iommu/arm-smmu: Convert GR0 registers to bitfields
  (bsc#1175713).
- iommu/qcom: Mask TLBI addresses correctly (bsc#1175713).
- iommu/arm-smmu: Mask TLBI address correctly (bsc#1175713).
- iommu/exynos: Remove __init annotation from
  exynos_sysmmu_probe() (bsc#1175713).
- iommu/omap: Mark pm functions __maybe_unused (bsc#1175713).
- iommu/omap: Use the correct type for SLAB_HWCACHE_ALIGN
  (bsc#1175713).
- iommu/omap: Fix compilation warnings (bsc#1175713).
- iommu/omap: remove pm_runtime_irq_safe flag for OMAP IOMMUs
  (bsc#1175713).
- iommu/omap: add support for late attachment of iommu devices
  (bsc#1175713).
- iommu/omap: introduce new API for runtime suspend/resume control
  (bsc#1175713).
- iommu/omap: Add system suspend/resume support (bsc#1175713).
- iommu/omap: add logic to save/restore locked TLBs (bsc#1175713).
- iommu/omap: streamline enable/disable through runtime pm
  callbacks (bsc#1175713).
- commit 617f34e
* Fri Aug 28 2020 mkubecek@suse.cz
- update upstream reference
- update "net" repository URL:
  patches.suse/ibmvnic-fix-NULL-tx_pools-and-rx_tools-issue-at-do_r.patch
- commit f299d68
* Fri Aug 28 2020 yousaf.kaukab@suse.com
- soc/tegra: pmc: Enable PMIC wake event on Tegra194
  (bsc#1175834).
- commit e2e5a5c
* Fri Aug 28 2020 msuchanek@suse.de
- ibmvnic fix NULL tx_pools and rx_tools issue at do_reset
  (bsc#1175873 ltc#187922).
- commit eff0cb0
* Fri Aug 28 2020 dwagner@suse.de
- kabi/severities: ignore qla2xxx as all symbols are internal
- commit cbc9e8b
* Thu Aug 27 2020 ddiss@suse.de
- scsi: target/iblock: fix WRITE SAME zeroing (bsc#1169790).
- commit 3f94600
* Thu Aug 27 2020 tonyj@suse.de
- blacklist.conf:  Update for perf userspace git-fixes
- commit 981209c
* Thu Aug 27 2020 dwagner@suse.de
- scsi/fc: kABI fixes for new ELS_RPD definition
  (bsc#1171688 bsc#1174003).
- commit 6839081
* Thu Aug 27 2020 mbrugger@suse.com
- efi: libstub/tpm: enable tpm eventlog function for ARM platforms
  (bsc#1173267).
- commit 1168a55
* Thu Aug 27 2020 dwagner@suse.de
- Revert "scsi: qla2xxx: Disable T10-DIF feature with FC-NVMe
  during probe" (bsc#1171688 bsc#1174003).
- Revert "scsi: qla2xxx: Fix crash on qla2x00_mailbox_command"
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix null pointer access during disconnect from
  subsystem (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Check if FW supports MQ before enabling
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix WARN_ON in qla_nvme_register_hba (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Allow ql2xextended_error_logging special value
  1 to be set anytime (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Reduce noisy debug message (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix login timeout (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Indicate correct supported speeds for Mezz card
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Flush I/O on zone disable (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Flush all sessions on zone disable (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Use MBX_TOV_SECONDS for mailbox command timeout
  values (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Address a set of sparse warnings (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: SAN congestion management implementation
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Change in PUREX to handle FPIN ELS requests
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Introduce a function for computing the debug
  message prefix (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Make qla2x00_restart_isp() easier to read
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix a Coverity complaint in qla2100_fw_dump()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Make __qla2x00_alloc_iocbs() initialize 32 bits
  of request_t.handle (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove a superfluous cast (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Initialize 'n' before using it (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make qla82xx_flash_wait_write_finish() easier
  to read (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove the __packed annotation from struct
  fcp_hdr and fcp_hdr_le (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Check the size of struct fcp_hdr at compile time
  (bsc#1171688 bsc#1174003).
- scsi: Fix trivial spelling (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix a condition in qla2x00_find_all_fabric_devs()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Keep initiator ports after RSCN (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Remove return value from qla_nvme_ls()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Remove an unused function (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix endianness annotations in source files
  (bsc#1171688 bsc#1174003).
  Refresh patches.suse/scsi-qla2xxx-Set-NVMe-status-code-for-failed-NVMe-FC.patch
- scsi: qla2xxx: Fix endianness annotations in header files
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Use make_handle() instead of open-coding it
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Cast explicitly to uint16_t / uint32_t
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Change {RD,WRT}_REG_*() function names from
  upper case into lower case (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix the code that reads from mailbox registers
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Use register names instead of register offsets
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Change two hardcoded constants into offsetof()
  / sizeof() expressions (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Increase the size of struct qla_fcp_prio_cfg
  to FCP_PRIO_CFG_SIZE (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Make a gap in struct qla2xxx_offld_chain explicit
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Add more BUILD_BUG_ON() statements (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Sort BUILD_BUG_ON() statements alphabetically
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Simplify the functions for dumping firmware
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix spelling of a variable name (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make qlafx00_process_aen() return void
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Use true, false for ha->fw_dumped (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Use true, false for need_mpi_reset (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Make qla_set_ini_mode() return void (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix issue with adapter's stopping state
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix failure message in qlt_disable_vha()
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Fix warning after FC target reset (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: make 1-bit bit-fields unsigned int (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Fix MPI failure AEN (8200) handling (bsc#1171688
  bsc#1174003).
- scsi: qla2xxx: Use ARRAY_SIZE() instead of open-coding it
  (bsc#1171688 bsc#1174003).
- scsi: qla2xxx: Split qla2x00_configure_local_loop() (bsc#1171688
  bsc#1174003).
- commit 675dd78
* Thu Aug 27 2020 tiwai@suse.de
- serial: 8250: change lock order in serial8250_do_startup()
  (git-fixes).
- serial: pl011: Fix oops on -EPROBE_DEFER (git-fixes).
- serial: pl011: Don't leak amba_ports entry on driver register
  error (git-fixes).
- kernel/relay.c: fix memleak on destroy relay channel
  (git-fixes).
- drm/amd/display: fix pow() crashing when given base 0
  (git-fixes).
- drm/amd/display: Fix EDID parsing after resume from suspend
  (git-fixes).
- rtc: goldfish: Enable interrupt in set_alarm() when necessary
  (git-fixes).
- Input: psmouse - add a newline when printing 'proto' by sysfs
  (git-fixes).
- media: camss: fix memory leaks on error handling paths in probe
  (git-fixes).
- media: vpss: clean up resources in init (git-fixes).
- media: rockchip: rga: Only set output CSC mode for RGB input
  (git-fixes).
- media: rockchip: rga: Introduce color fmt macros and refactor
  CSC mode logic (git-fixes).
- media: budget-core: Improve exception handling in
  budget_register() (git-fixes).
- commit 0974903
* Thu Aug 27 2020 jslaby@suse.cz
- x86/cpufeatures: Add support for fast short REP; MOVSB
  (jsc#SLE-12692).
- Refresh
  patches.suse/x86-speculation-add-special-register-buffer-data-sampling-srbds-mitigation.patch.
- commit 6a5fd30
* Thu Aug 27 2020 firo.yang@suse.com
- mm, vmstat: reduce zone->lock holding time by /proc/pagetypeinfo
  (bsc#1175691).
- commit e293f1c
* Wed Aug 26 2020 bp@suse.de
- x86/entry/64: Do not use RDPID in paranoid entry to accomodate
  KVM (jsc#SLE-14846).
- commit 4fc39c9
* Wed Aug 26 2020 bp@suse.de
- x86/fsgsbase: Fix Xen PV support (jsc#SLE-14846).
- commit 3bc63e5
* Wed Aug 26 2020 bp@suse.de
- x86/ptrace: Fix 32-bit PTRACE_SETREGS vs fsbase and gsbase
  (jsc#SLE-14846).
- commit a2d9b1c
* Wed Aug 26 2020 tiwai@suse.de
- spi: spi-amd: Add AMD SPI controller driver support
  (jsc#SLE-15356).
- Update config files: CONFIG_SPI_AMD=m for arm64/default
- supported.conf: add spi-amd
- commit 8fc8fcc
* Wed Aug 26 2020 tiwai@suse.de
- spi: spi-amd: Do not define 'struct acpi_device_id' when
  !CONFIG_ACPI (jsc#SLE-15356).
- spi: amd: Drop superfluous member from struct amd_spi
  (jsc#SLE-15356).
- spi: amd: Fix refcount underflow on remove (jsc#SLE-15356).
- spi: amd: Drop duplicate driver data assignments
  (jsc#SLE-15356).
- spi: amd: Pass probe errors back to driver core (jsc#SLE-15356).
- spi: amd: Fix duplicate iounmap in error path (jsc#SLE-15356).
- spi: spi-amd: Fix a NULL vs IS_ERR() check in amd_spi_probe()
  (jsc#SLE-15356).
- spi: spi-amd: fix warning (jsc#SLE-15356).
- commit 9cf167d
* Wed Aug 26 2020 martin.wilck@suse.com
- Refresh
  patches.suse/nvme-multipath-round-robin-eliminate-fallback-variable.patch.
- commit f3c5d53
* Wed Aug 26 2020 martin.wilck@suse.com
- Refresh
  patches.suse/nvme-multipath-round-robin-fix-single-non-optimized-path-case.patch.
- commit d615e5c
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/iommu: Allow bypass-only for DMA (bsc#1156395).
- commit 70ae27e
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/fadump: Fix build error with CONFIG_PRESERVE_FA_DUMP=y
  (bsc#1156395).
- commit a889646
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/perf: Fix missing is_sier_aviable() during build
  (bsc#1065729).
- pseries: Fix 64 bit logical memory block panic (bsc#1065729).
- KVM: PPC: Book3S PR: Remove uninitialized_var() usage
  (bsc#1065729).
- commit 45994c6
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: fix mem leaks in test-klp-shadow-vars
  (bsc#1071995).
- commit 0e9c3d5
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/pseries/hotplug-cpu: wait indefinitely for vCPU death
  (fate#322438 bsc#1085030 ltC#165630).
- commit d3a8444
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: more verification in test-klp-shadow-vars
  (bsc#1071995).
- commit fead416
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: rework test-klp-shadow-vars (bsc#1071995).
- commit c5a8b83
* Wed Aug 26 2020 mbenes@suse.cz
- selftests/livepatch: simplify test-klp-callbacks busy target
  tests (bsc#1071995).
- commit ab54a11
* Wed Aug 26 2020 msuchanek@suse.de
- powerpc/64s: Don't init FSCR_DSCR in __init_FSCR()
  (bsc#1065729).
- commit a21209e
* Wed Aug 26 2020 mbenes@suse.cz
- tracing: Use trace_sched_process_free() instead of exit()
  for pid tracing (git-fixes).
- commit 6da73c8
* Wed Aug 26 2020 mbenes@suse.cz
- tracepoint: Mark __tracepoint_string's __used (git-fixes).
- commit 9722e3c
* Wed Aug 26 2020 mbenes@suse.cz
- blacklist.conf: 96b4833b6827 ("tracing/hwlat: Honor the tracing_cpumask")
  CONFIG_HWLAT_TRACER is not set anywhere.
- commit 314fc84
* Wed Aug 26 2020 mbenes@suse.cz
- blacklist.conf: 7ef282e05132 ("tracing: Move pipe reference to trace array instead of current_tracer")
  As mentioned in the changelog, it is a cleanup and not really a critical
  fix.
- commit 9fc5f45
* Wed Aug 26 2020 alnovak@suse.cz
- Mark the SLE15-SP2 kernel properly released.
  There perhaps was a typo, when SUSE_KERNEL_RELEASED missed the trailing
  "D" - this leads to our kernels being marked as "Unreleased kernel".
  SUSE_KERNEL_RELEASED is defined in rpm/kernel-binary.spec.in.
  To fix that, it should be enough to switch from SUSE_KERNEL_RELEASE to
  SUSE_KERNEL_RELEASED.
- commit 2de2687
* Wed Aug 26 2020 jack@suse.cz
- bfq: fix blkio cgroup leakage v4 (bsc#1175775).
- commit 78cc5b1
* Wed Aug 26 2020 jack@suse.cz
- kernfs: do not call fsnotify() with name without a parent
  (bsc#1175770).
- commit 7f9fdb0
* Wed Aug 26 2020 jack@suse.cz
- ext4: fix checking of directory entry validity for inline
  directories (bsc#1175771).
- commit 50ef0f0
* Wed Aug 26 2020 jack@suse.cz
- ext2: fix missing percpu_counter_inc (bsc#1175774).
- commit 5a50871
* Wed Aug 26 2020 jack@suse.cz
- mm: filemap: clear idle flag for writes (bsc#1175769).
- commit 7a6a0d8
* Wed Aug 26 2020 jack@suse.cz
- jbd2: add the missing unlock_buffer() in the error path of
  jbd2_write_superblock() (bsc#1175772).
- commit feb29da
* Wed Aug 26 2020 jack@suse.cz
- dlm: Fix kobject memleak (bsc#1175768).
- commit 88c29e9
* Wed Aug 26 2020 bp@suse.de
- selftests/x86/fsgsbase: Add a missing memory constraint
  (jsc#SLE-14846).
- commit 110c3f7
* Wed Aug 26 2020 bp@suse.de
- blacklist.conf: 979c2c4247ca ("selftests/x86/fsgsbase: Fix a comment in	the ptrace_write_gsbase test")
  Just a comment fix, drop it.
- commit 9f764a4
* Wed Aug 26 2020 bp@suse.de
- selftests/x86: Add a syscall_arg_fault_64 test for negative
  GSBASE (jsc#SLE-14846).
- commit 1eb8813
* Wed Aug 26 2020 bp@suse.de
- selftests/x86/fsgsbase: Test ptracer-induced GS base write
  with FSGSBASE (jsc#SLE-14846).
- commit 2e37bcc
* Wed Aug 26 2020 tiwai@suse.de
- mfd: intel-lpss: Add Intel Tiger Lake PCH-H PCI IDs
  (jsc#SLE-13411).
- i2c: i801: Add support for Intel Tiger Lake PCH-H
  (jsc#SLE-13411).
- i2c: i801: Add support for Intel Emmitsburg PCH (jsc#SLE-13411).
- spi: pxa2xx: Add support for Intel Tiger Lake PCH-H
  (jsc#SLE-13411).
- i2c: i801: Add support for Intel Comet Lake PCH-V
  (jsc#SLE-13411).
- commit ec0755f
* Wed Aug 26 2020 jslaby@suse.cz
- ip6_gre: fix null-ptr-deref in ip6gre_init_net() (git-fixes).
- commit 7f7d231
* Tue Aug 25 2020 mkubecek@suse.cz
- update upstream references after rebase
  Once again, scsi maintainer branch got rebased, leaving our Git-commit tags
  invalid and git_sort complaining heavily. Update the tags to rebased
  branch.
- commit 9c95c04
* Tue Aug 25 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/md-cluster-Fix-potential-error-pointer-dereference-i.patch
  patches.suse/md-raid5-Fix-Force-reconstruct-write-io-stuck-in-deg.patch
- commit 5986388
* Tue Aug 25 2020 bp@suse.de
- selftests/x86/fsgsbase: Test GS selector on ptracer-induced
  GS base write (jsc#SLE-14846).
- commit 683d481
* Tue Aug 25 2020 jack@suse.cz
- ext4: check journal inode extents more carefully (bsc#1173485).
- commit 17c289f
* Tue Aug 25 2020 jack@suse.cz
- ext4: don't allow overlapping system zones (bsc#1173485).
- commit d96644e
* Tue Aug 25 2020 jack@suse.cz
- ext4: handle error of ext4_setup_system_zone() on remount
  (bsc#1173485).
- commit 6d00054
* Tue Aug 25 2020 jack@suse.cz
- ext4: fix potential negative array index in do_split()
  (bsc#1173798 CVE-2020-14314).
- commit 078f390
* Tue Aug 25 2020 jack@suse.cz
- ext4: don't BUG on inconsistent journal feature (bsc#1171634).
- commit f410395
* Tue Aug 25 2020 bp@suse.de
- Documentation/x86/64: Add documentation for GS/FS addressing
  mode (jsc#SLE-14846).
- commit deb1390
* Tue Aug 25 2020 tiwai@suse.de
- serial: 8250_lpss: Add ->setup() for Elkhart Lake ports
  (jsc#SLE-13436).
- serial: 8250_lpss: Switch over to MSI interrupts
  (jsc#SLE-13436).
- serial: 8250_lpss: Enable HS UART on Elkhart Lake
  (jsc#SLE-13436).
- serial: 8250_lpss: Get rid of custom LPSS_DEVICE() macro
  (jsc#SLE-13436).
- serial: 8250_lpss: add fractional divisor support
  (jsc#SLE-13436).
- commit bbd3666
* Tue Aug 25 2020 tiwai@suse.de
- serial: 8250_lpss: switch to use 8250_dwlib library
  (jsc#SLE-13436).
- Update config files: CONFIG_SERIAL_8250_DWLIB=y for x86_64
- commit 2ff99d9
* Tue Aug 25 2020 tiwai@suse.de
- serial: 8250_dw: split Synopsys DesignWare 8250 common functions
  (jsc#SLE-13436).
- commit 4a3eae5
* Tue Aug 25 2020 tiwai@suse.de
- Sort and refresh upstreamed patches
- commit 7f88fbb
* Tue Aug 25 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Optimize-dequeue_task_fair.patch.
- commit bdf744b
* Tue Aug 25 2020 mgorman@suse.de
- sched/fair: fix NOHZ next idle balance (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- commit 54284ef
* Tue Aug 25 2020 jroedel@suse.de
- blacklist.conf: Remove IOMMU commits which are about to be backported
- commit ed28211
* Tue Aug 25 2020 mgorman@suse.de
- update upstream references and move into sorted section:
  patches.suse/0001-proc-meminfo-avoid-open-coded-reading-of-mv_committed_as.patch.
  patches.suse/0002-mm-util-make-vm_memory_comitted-more-accurate.patch.
  patches.suse/0003-mm-adjust-vm_committed_as_batch-according-to-vm-overcommit-policy.patch.
  patches.suse/fsnotify-Rearrange-fast-path-to-minimise-overhead-when-there-is-no-watcher.patch.
- commit 400e8aa
* Tue Aug 25 2020 jslaby@suse.cz
- mlxsw: pci: Fix use-after-free in case of failed devlink reload
  (networking-stable-20_07_17).
- mlxsw: spectrum_router: Remove inappropriate usage of WARN_ON()
  (networking-stable-20_07_17).
- bnxt_en: fix NULL dereference in case SR-IOV configuration fails
  (networking-stable-20_07_17).
- net/mlx5e: Fix 50G per lane indication
  (networking-stable-20_07_17).
- net/mlx5: Fix eeprom support for SFP module
  (networking-stable-20_07_17).
- tcp: make sure listeners don't initialize congestion-control
  state (networking-stable-20_07_17).
- net_sched: fix a memory leak in atm_tc_init()
  (networking-stable-20_07_17).
- l2tp: remove skb_dst_set() from l2tp_xmit_skb()
  (networking-stable-20_07_17).
- vlan: consolidate VLAN parsing code and limit max parsing depth
  (networking-stable-20_07_17).
- net: Added pointer check for dst->ops->neigh_lookup in
  dst_neigh_lookup_skb (networking-stable-20_07_17).
- ipv4: fill fl4_icmp_{type,code} in ping_v4_sendmsg
  (networking-stable-20_07_17).
- ipv6: Fix use of anycast address with loopback
  (networking-stable-20_07_17).
- net: usb: qmi_wwan: add support for Quectel EG95 LTE modem
  (networking-stable-20_07_17).
- ipv6: fib6_select_path can not use out path for nexthop objects
  (networking-stable-20_07_17).
- sched: consistently handle layer3 header accesses in the
  presence of VLANs (networking-stable-20_07_17).
- net: dsa: microchip: set the correct number of ports
  (networking-stable-20_07_17).
- tcp: fix SO_RCVLOWAT possible hangs under high mem pressure
  (networking-stable-20_07_17).
- tcp: md5: do not send silly options in SYNCOOKIES
  (networking-stable-20_07_17).
- tcp: md5: refine tcp_md5_do_add()/tcp_md5_hash_key() barriers
  (networking-stable-20_07_17).
- genetlink: remove genl_bind (networking-stable-20_07_17).
- kABI: genetlink: remove genl_bind (kabi).
- net: qrtr: Fix an out of bounds read qrtr_endpoint_post()
  (networking-stable-20_07_17).
- tcp: md5: add missing memory barriers
  in tcp_md5_do_add()/tcp_md5_hash_key()
  (networking-stable-20_07_17).
- net: mvneta: fix use of state->speed
  (networking-stable-20_07_17).
- llc: make sure applications use ARPHRD_ETHER
  (networking-stable-20_07_17).
- commit ce8586d
* Tue Aug 25 2020 jslaby@suse.cz
- x86/bugs/multihit: Fix mitigation reporting when VMX is not
  in use (git-fixes).
- commit 52699f0
* Mon Aug 24 2020 bp@suse.de
- x86/elf: Enumerate kernel FSGSBASE capability in AT_HWCAP2
  (jsc#SLE-14846).
- commit 15cf537
* Mon Aug 24 2020 tbogendoerfer@suse.de
- net: ena: Make missed_tx stat incremental (git-fixes).
- net: ena: Change WARN_ON expression in ena_del_napi_in_range()
  (bsc#1154492).
- net: ena: Prevent reset after device destruction (git-fixes).
- commit 25750c1
* Mon Aug 24 2020 bp@suse.de
- x86/cpu: Enable FSGSBASE on 64bit by default and add a chicken
  bit (jsc#SLE-14846).
- commit 32888b4
* Mon Aug 24 2020 bp@suse.de
- x86/entry/64: Handle FSGSBASE enabled paranoid entry/exit
  (jsc#SLE-14846).
- commit 41abd14
* Mon Aug 24 2020 msuchanek@suse.de
- mm/vunmap: add cond_resched() in vunmap_pmd_range (bsc#1175654
  ltc#184617).
- commit 313860f
* Mon Aug 24 2020 neilb@suse.de
- md-cluster: Fix potential error pointer dereference in
  resize_bitmaps() (git-fixes).
- md/raid5: Fix Force reconstruct-write io stuck in degraded raid5
  (git-fixes).
- commit 5f598a1
* Mon Aug 24 2020 mkubecek@suse.cz
- Update kabi files.
- update to released maintenance update (commit dbe0add4c655)
- commit d427f85
* Mon Aug 24 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/bonding-fix-active-backup-failover-for-current-ARP-s.patch
  patches.suse/powerpc-pseries-Do-not-initiate-shutdown-when-system.patch
- commit 1f2a0f0
* Sun Aug 23 2020 bp@suse.de
- x86/entry/64: Introduce the FIND_PERCPU_BASE macro
  (jsc#SLE-14846).
- commit d965683
* Sun Aug 23 2020 bp@suse.de
- x86/entry/64: Switch CR3 before SWAPGS in paranoid entry
  (jsc#SLE-14846).
- commit ce4dac6
* Sun Aug 23 2020 bp@suse.de
- x86/speculation/swapgs: Check FSGSBASE in enabling SWAPGS
  mitigation (jsc#SLE-14846).
- commit c0d84fd
* Sun Aug 23 2020 bp@suse.de
- x86/process/64: Use FSGSBASE instructions on thread copy and
  ptrace (jsc#SLE-14846).
- commit 575fffe
* Sun Aug 23 2020 mkubecek@suse.cz
- update patch metadata
- update Git-repo tag:
  patches.suse/bonding-fix-active-backup-failover-for-current-ARP-s.patch
- commit 9d16d24
* Sat Aug 22 2020 bp@suse.de
- x86/process/64: Use FSBSBASE in switch_to() if available
  (jsc#SLE-14846).
- commit 546524c
* Sat Aug 22 2020 bp@suse.de
- x86/process/64: Make save_fsgs_for_kvm() ready for FSGSBASE
  (jsc#SLE-14846).
- commit 1cb0d6c
* Sat Aug 22 2020 bp@suse.de
- x86/fsgsbase/64: Enable FSGSBASE instructions in helper
  functions (jsc#SLE-14846).
- commit 5167bb7
* Sat Aug 22 2020 bp@suse.de
- x86/fsgsbase/64: Add intrinsics for FSGSBASE instructions
  (jsc#SLE-14846).
- commit 124049f
* Sat Aug 22 2020 bp@suse.de
- x86/cpu: Add 'unsafe_fsgsbase' to enable CR4.FSGSBASE
  (jsc#SLE-14846).
- commit a804e17
* Sat Aug 22 2020 bp@suse.de
- x86/ptrace: Prevent ptrace from clearing the FS/GS selector
  (jsc#SLE-14846).
- commit 32e7e65
* Fri Aug 21 2020 tiwai@suse.de
- ALSA: hda: avoid reset of sdo_limit (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Book Ion
  (git-fixes).
- ASoC: intel: Fix memleak in sst_media_open (git-fixes).
- ASoC: wm8994: Avoid attempts to read unreadable registers
  (git-fixes).
- ASoC: msm8916-wcd-analog: fix register Interrupt offset
  (git-fixes).
- ASoC: q6routing: add dummy register read/write function
  (git-fixes).
- ASoC: q6afe-dai: mark all widgets registers as SND_SOC_NOPM
  (git-fixes).
- ALSA: usb-audio: ignore broken processing/extension unit
  (git-fixes).
- ALSA: hda/realtek: Add model alc298-samsung-headphone
  (git-fixes).
- ALSA: usb-audio: Update documentation comment for MS2109 quirk
  (git-fixes).
- ALSA: isa: fix spelling mistakes in the comments (git-fixes).
- ALSA: usb-audio: Add capture support for Saffire 6 (USB 1.1)
  (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Galaxy Flex Book
  (git-fixes).
- commit 2cf9c73
* Fri Aug 21 2020 tbogendoerfer@suse.de
- RDMA/mlx5: Fix typo in enum name (git-fixes).
- cpumap: Use non-locked version __ptr_ring_consume_batched
  (git-fixes).
- commit b117316
* Fri Aug 21 2020 tbogendoerfer@suse.de
- igc: Fix PTP initialization (bsc#1160634).
- vmxnet3: use correct tcp hdr length when packet is encapsulated
  (bsc#1175199).
- RDMA/mlx5: Add missing srcu_read_lock in ODP implicit flow
  (jsc#SLE-8446).
- net/mlx5: DR, Change push vlan action sequence (jsc#SLE-8464).
- ice: Graceful error handling in HW table calloc failure
  (jsc#SLE-7926).
- ice: Clear and free XLT entries on reset (jsc#SLE-7926).
- commit da2585a
* Fri Aug 21 2020 jwiesner@suse.com
- bonding: fix active-backup failover for current ARP slave
  (bsc#1174771).
- commit 2837560
* Fri Aug 21 2020 jslaby@suse.cz
- enetc: Fix tx rings bitmap iteration range, irq handling
  (networking-stable-20_06_28).
- sch_cake: don't call diffserv parsing code when it is not needed
  (networking-stable-20_06_28).
- sch_cake: don't try to reallocate or unshare skb unconditionally
  (networking-stable-20_06_28).
- sctp: Don't advertise IPv4 addresses if ipv6only is set on
  the socket (networking-stable-20_06_28).
- tcp_cubic: fix spurious HYSTART_DELAY exit upon drop in min RTT
  (networking-stable-20_06_28).
- net: bridge: enfore alignment for ethernet address
  (networking-stable-20_06_28).
- tcp: don't ignore ECN CWR on pure ACK
  (networking-stable-20_06_28).
- openvswitch: take into account de-fragmentation/gso_size in
  execute_check_pkt_len (networking-stable-20_06_28).
- net: Do not clear the sock TX queue in sk_set_socket()
  (networking-stable-20_06_28).
- net: increment xmit_recursion level in dev_direct_xmit()
  (networking-stable-20_06_28).
- net: Fix the arp error in some cases
  (networking-stable-20_06_28).
- ip_tunnel: fix use-after-free in ip_tunnel_lookup()
  (networking-stable-20_06_28).
- ip6_gre: fix use-after-free in ip6gre_tunnel_lookup()
  (networking-stable-20_06_28).
- net: core: reduce recursion limit value
  (networking-stable-20_06_28).
- net: fix memleak in register_netdevice()
  (networking-stable-20_06_28).
- net: usb: ax88179_178a: fix packet alignment padding
  (networking-stable-20_06_28).
- tcp: grow window for OOO packets only for SACK flows
  (networking-stable-20_06_28).
- mvpp2: ethtool rxtx stats fix (networking-stable-20_06_28).
- rocker: fix incorrect error handling in dma_rings_init
  (networking-stable-20_06_28).
- mld: fix memory leak in ipv6_mc_destroy_dev()
  (networking-stable-20_06_28).
- commit 1f17d28
* Fri Aug 21 2020 lyan@suse.com
- KVM: arm64: Stop clobbering x0 for HVC_SOFT_RESTART
  (bsc#1133021).
- KVM: x86: Fix APIC page invalidation race (bsc#1133021).
- KVM: Reinstall old memslots if arch preparation fails
  (bsc#1133021).
- commit 8362c5b
* Fri Aug 21 2020 firo.yang@suse.com
- ipvs: fix the connection sync failed in some cases (bsc#1174699).
- commit d96eaab
* Thu Aug 20 2020 msuchanek@suse.de
- powerpc/pseries: Do not initiate shutdown when system is
  running on UPS (bsc#1175440 ltc#187574).
- commit 738b1b0
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: fix memory leaks after failure to lookup checksums
  during inode logging (bsc#1175550).
- commit 91d88bc
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: remove useless check for copy_items() return value
  (bsc#1175546).
- commit 564c2ae
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: make full fsyncs always operate on the entire file again
  (bsc#1175546).
- commit 75261f5
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: make ranged full fsyncs more efficient (bsc#1175546).
- commit 4839ec4
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: factor out inode items copy loop from btrfs_log_inode()
  (bsc#1175546).
- commit 269fe12
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: add helper to get the end offset of a file extent item
  (bsc#1175546).
- commit 60d1bb0
* Thu Aug 20 2020 fdmanana@suse.com
- btrfs: fix missing file extent item for hole after ranged fsync
  (bsc#1175546).
- commit dd0a610
* Thu Aug 20 2020 martin.wilck@suse.com
- scsi: smartpqi: Use scnprintf() for avoiding potential buffer
  overflow (bsc#1172418).
- commit 408e9b4
* Thu Aug 20 2020 tiwai@suse.de
- spi: stm32: fixes suspend/resume management (git-fixes).
- HID: input: Fix devices that return multiple bytes in battery
  report (git-fixes).
- Bluetooth: add a mutex lock to avoid UAF in do_enale_set
  (git-fixes).
- iwlegacy: Check the return value of pcie_capability_read_*()
  (git-fixes).
- brcmfmac: set state of hanger slot to FREE when flushing PSQ
  (git-fixes).
- brcmfmac: To fix Bss Info flag definition Bug (git-fixes).
- brcmfmac: keep SDIO watchdog running when console_interval is
  non-zero (git-fixes).
- drm: msm: a6xx: fix gpu failure after system resume (git-fixes).
- drm/msm: ratelimit crtc event overflow error (git-fixes).
- drm/ttm/nouveau: don't call tt destroy callback on alloc failure
  (git-fixes bsc#1175232).
- drm/nouveau: fix reference count leak in
  nouveau_debugfs_strap_peek (git-fixes).
- drm/nouveau: fix multiple instances of reference count leaks
  (git-fixes).
- gpu: host1x: debug: Fix multiple channels emitting messages
  simultaneously (git-fixes).
- drm/amd/powerplay: fix compile error with ARCH=arc (git-fixes).
- drm/etnaviv: fix ref count leak via pm_runtime_get_sync
  (git-fixes).
- drm/nouveau/kms/nv50-: Fix disabling dithering (git-fixes).
- video: fbdev: neofb: fix memory leak in neo_scan_monitor()
  (git-fixes).
- video: fbdev: savage: fix memory leak on error handling path
  in probe (git-fixes).
- drm/amdgpu/display bail early in dm_pp_get_static_clocks
  (git-fixes).
- drm/radeon: Fix reference count leaks caused by
  pm_runtime_get_sync (git-fixes).
- drm/amdgpu: avoid dereferencing a NULL pointer (git-fixes).
- drm/radeon: disable AGP by default (git-fixes).
- drm/tilcdc: fix leak & null ref in panel_connector_get_modes
  (git-fixes).
- drm/debugfs: fix plain echo to connector "force" attribute
  (git-fixes).
- mmc: sdhci-pci-o2micro: Bug fix for O2 host controller Seabird1
  (git-fixes).
- mmc: sdhci-cadence: do not use hardware tuning for SD mode
  (git-fixes).
- usb: mtu3: clear dual mode of u3port when disable device
  (git-fixes).
- usb: bdc: Halt controller on suspend (git-fixes).
- bdc: Fix bug causing crash after multiple disconnects
  (git-fixes).
- usb: gadget: net2280: fix memory leak on probe error handling
  paths (git-fixes).
- dyndbg: fix a BUG_ON in ddebug_describe_flags (git-fixes).
- ACPICA: Do not increment operation_region reference counts
  for field units (git-fixes).
- spi: spidev: Align buffers for DMA (git-fixes).
- soc: qcom: rpmh-rsc: Set suppress_bind_attrs flag (git-fixes).
- platform/x86: asus-nb-wmi: add support for ASUS ROG Zephyrus
  G14 and G15 (git-fixes).
- crypto: aesni - Fix build with LLVM_IAS=1 (git-fixes).
- crypto: aesni - add compatibility with IAS (git-fixes).
- platform/x86: ISST: Add new PCI device ids (git-fixes).
- commit 6acba4d
* Wed Aug 19 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/nvme-multipath-do-not-fall-back-to-__nvme_find_path-.patch
  patches.suse/nvme-multipath-fix-logic-for-non-optimized-paths.patch
- fix Git-commit after rebase and moved into "almost mainline" section:
  patches.suse/nvme-multipath-round-robin-eliminate-fallback-variable.patch
  patches.suse/nvme-multipath-round-robin-fix-single-non-optimized-path-case.patch
- commit 8eb0dea
* Wed Aug 19 2020 fdmanana@suse.com
- btrfs: treat RWF_{,D}SYNC writes as sync for CRCs (bsc#1175493).
- commit f823fb0
* Wed Aug 19 2020 ohering@suse.de
- PCI: hv: Fix a timing issue which causes kdump to fail
  occasionally (bsc#1172871, git-fixes).
- commit e5d6bfd
* Wed Aug 19 2020 nstange@suse.de
- rpm/kernel-binary.spec.in: restrict livepatch metapackage to default flavor
  It has been reported that the kernel-*-livepatch metapackage got
  erroneously enabled for SLE15-SP3's new -preempt flavor, leading to a
  unresolvable dependency to a non-existing kernel-livepatch-x.y.z-preempt
  package.
  As SLE12 and SLE12-SP1 have run out of livepatching support, the need to
  build said metapackage for the -xen flavor is gone and the only remaining
  flavor for which they're still wanted is -default.
  Restrict the build of the kernel-*-livepatch metapackage to the -default
  flavor.
- commit 58949f3
* Wed Aug 19 2020 bp@suse.de
- x86/process: Unify copy_thread_tls() (jsc#SLE-14846).
- commit e42e565
* Wed Aug 19 2020 ohering@suse.de
- Drivers: hv: vmbus: Only notify Hyper-V for die events that
  are oops (bsc#1175128).
- commit 0bc8a06
* Wed Aug 19 2020 jlee@suse.com
- kABI: Fix kABI after EFI_RT_PROPERTIES table backport
  (bsc#1174029, bsc#1174110, bsc#1174111).
- commit b284d8a
* Tue Aug 18 2020 martin.wilck@suse.com
- scsi_dh_alua: set 'transitioning' state on unit attention
  (bsc#1171000, bsc#1165933).
- commit cf7ac61
* Tue Aug 18 2020 martin.wilck@suse.com
- scsi_dh_alua: return BLK_STS_AGAIN for ALUA transitioning state
  (bsc#1165933, bsc#1171000).
- commit f6e8a74
* Tue Aug 18 2020 martin.wilck@suse.com
- block: return status code in blk_mq_end_request() (bsc#1171000,
  bsc#1165933).
- commit 0b97993
* Tue Aug 18 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/ALSA-usb-audio-fix-overeager-device-match-for-MacroS.patch
- commit 3e22b20
* Tue Aug 18 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/btrfs-Move-free_pages_out-label-in-inline-extent-han.patch
- commit 113168c
* Tue Aug 18 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline and drop Git-repo:
  patches.suse/xfrm-policy-match-with-both-mark-and-mask-on-user-in.patch
- commit 18fa7c9
* Tue Aug 18 2020 denis.kirjanov@suse.com
- Refresh
  patches.suse/ALSA-usb-audio-fix-overeager-device-match-for-MacroS.patch.
  Update the patch metadata
- commit 9466e22
* Tue Aug 18 2020 jlee@suse.com
- efi/efivars: Expose RT service availability via efivars
  abstraction (bsc#1174029, bsc#1174110, bsc#1174111).
- commit 7b1e418
* Tue Aug 18 2020 jlee@suse.com
- efi: Mark all EFI runtime services as unsupported on non-EFI
  boot (bsc#1174029, bsc#1174110, bsc#1174111).
- commit 4f0f2d2
* Tue Aug 18 2020 tzimmermann@suse.de
- Revert "drm/amd/display: Expose connector VRR range via debugfs" (bsc#1152489)
  * refreshed for context changes
- commit c657a41
* Tue Aug 18 2020 tzimmermann@suse.de
- drm/ingenic: Fix incorrect assumption about plane->index (bsc#1152489)
  * refreshed for context changes
- commit bc5c9df
* Tue Aug 18 2020 tzimmermann@suse.de
- drm/bridge: dw-hdmi: Don't cleanup i2c adapter and ddc ptr in (bsc#1152472)
  * refreshed for context changes
- commit 44aa1b6
* Tue Aug 18 2020 tzimmermann@suse.de
- drm/vgem: Replace opencoded version of drm_gem_dumb_map_offset() (bsc#1152489)
  * refreshed for context changes
- commit e3e1287
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Move cec_notifier to intel_hdmi_connector_unregister, v2.'
- commit a8c7d52
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Only swap to a random sibling once upon creation'
- commit d52efd4
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/powerplay: fix a crash when overclocking Vega M'
- commit e5e21f4
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix double free'
- commit 280a51f
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/fbc: Fix fence_y_offset handling'
- commit 479361f
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Do not schedule normal requests immediately along virtual'
- commit 23a91d5
* Tue Aug 18 2020 tbogendoerfer@suse.de
- net: ena: support new LLQ acceleration mode (bsc#1174852).
- net: ena: move llq configuration from ena_probe to
  ena_device_init() (bsc#1174852).
- net: ena: enable support of rss hash key and function changes
  (bsc#1174852).
- net: ena: add support for traffic mirroring (bsc#1174852).
- net: ena: cosmetic: change ena_com_stats_admin stats to u64
  (bsc#1174852).
- net: ena: cosmetic: satisfy gcc warning (bsc#1174852).
- net: ena: add reserved PCI device ID (bsc#1174852).
- net: ena: avoid unnecessary rearming of interrupt vector when
  busy-polling (bsc#1174852).
- net: ena: Fix using plain integer as NULL pointer in
  ena_init_napi_in_range (bsc#1174852).
- net: ena: reduce driver load time (bsc#1174852).
- net: ena: cosmetic: minor code changes (bsc#1174852).
- net: ena: cosmetic: fix spacing issues (bsc#1174852).
- net: ena: cosmetic: code reorderings (bsc#1174852).
- net: ena: cosmetic: remove unnecessary code (bsc#1174852).
- net: ena: cosmetic: fix line break issues (bsc#1174852).
- net: ena: cosmetic: fix spelling and grammar mistakes in
  comments (bsc#1174852).
- net: ena: cosmetic: set queue sizes to u32 for consistency
  (bsc#1174852).
- net: ena: cosmetic: rename
  ena_update_tx/rx_rings_intr_moderation() (bsc#1174852).
- net: ena: simplify ena_com_update_intr_delay_resolution()
  (bsc#1174852).
- net: ena: fix ena_com_comp_status_to_errno() return value
  (bsc#1174852).
- net: ena: use explicit variable size for clarity (bsc#1174852).
- net: ena: rename ena_com_free_desc to make API more uniform
  (bsc#1174852).
- net: ena: add support for the rx offset feature (bsc#1174852).
- net: ena: cosmetic: extract code to ena_indirection_table_set()
  (bsc#1174852).
- net: ena: cosmetic: remove unnecessary spaces and tabs in
  ena_com.h macros (bsc#1174852).
- net: ena: use SHUTDOWN as reset reason when closing interface
  (bsc#1174852).
- net: ena: drop superfluous prototype (bsc#1174852).
- net: ena: add support for reporting of packet drops
  (bsc#1174852).
- net: ena: add unmask interrupts statistics to ethtool
  (bsc#1174852).
- net: ena: remove code that does nothing (bsc#1174852).
- net: ena: changes to RSS hash key allocation (bsc#1174852).
- net: ena: change default RSS hash function to Toeplitz
  (bsc#1174852).
- net: ena: allow setting the hash function without changing
  the key (bsc#1174852).
- net: ena: fix error returning in ena_com_get_hash_function()
  (bsc#1174852).
- net: ena: avoid unnecessary admin command when RSS function
  set fails (bsc#1174852).
- net/ena: Fix build warning in ena_xdp_set() (bsc#1174852).
- net: ena: Make some functions static (bsc#1174852).
- net: ena: ethtool: clean up minor indentation issue
  (bsc#1174852).
- net: ena: ethtool: remove redundant non-zero check on rc
  (bsc#1174852).
- net: ena: remove set but not used variable 'hash_key'
  (bsc#1174852).
- net: ena: fix continuous keep-alive resets (bsc#1174852).
- net: ena: avoid memory access violation by validating req_id
  properly (bsc#1174852).
- net: ena: fix request of incorrect number of IRQ vectors
  (bsc#1174852).
- commit c12b7e0
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix fb_div check in ni_init_smc_spll_table()'
- commit 85aef32
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amd/display: disable dcn20 abm feature for bring up"'
- commit 196a32f
* Tue Aug 18 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm: encoder_slave: fix refcouting error for modules'
- commit 29d30a2
* Tue Aug 18 2020 tzimmermann@suse.de
- drm/amdgpu/display: use blanked rather than plane state for sync (bsc#1152489)
  * refreshed for context changes
  * protect code with CONFIG_DRM_AMD_DC_DCN2_0
- commit 481d44a
* Tue Aug 18 2020 tzimmermann@suse.de
- drm/bridge: ti-sn65dsi86: Fix off-by-one error in clock choice (bsc#1152489)
  * refreshed for context changes
- commit fa0e7b9
* Tue Aug 18 2020 tzimmermann@suse.de
- drm/dbi: Fix SPI Type 1 (9-bit) transfer (bsc#1152472)
  * move drm_mipi_dbi.c -> tinydrm/mipi-dbi.c
- commit 7401aea
* Tue Aug 18 2020 msuchanek@suse.de
- powerpc: Fix P10 PVR revision in /proc/cpuinfo for SMT4 cores
  (jsc#SLE-13521).
- commit 1807c9f
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: fix lost i_size update after cloning inline extent
  (bsc#1175377).
- commit c827d4a
* Mon Aug 17 2020 fdmanana@suse.com
- Btrfs: avoid unnecessary splits when setting bits on an extent
  io tree (bsc#1175377).
- commit 2f40ee4
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: delete the ordered isize update code (bsc#1175377).
- commit cd0b66c
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: replace all uses of btrfs_ordered_update_i_size
  (bsc#1175377).
- Refresh
  patches.suse/0004-btrfs-change-timing-for-qgroup-reserved-space-for-or.patch.
- commit ea0db18
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: don't set path->leave_spinning for truncate
  (bsc#1175377).
- commit d3721b5
* Mon Aug 17 2020 fdmanana@suse.com
- Btrfs: fix deadlock during fast fsync when logging prealloc
  extents beyond eof (bsc#1175377).
- commit dd561f7
* Mon Aug 17 2020 fdmanana@suse.com
- Btrfs: fix race between shrinking truncate and fiemap
  (bsc#1175377).
- commit 09d1d3a
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: Rename btrfs_join_transaction_nolock (bsc#1175377).
- Refresh
  patches.suse/0004-btrfs-change-timing-for-qgroup-reserved-space-for-or.patch.
- Refresh
  patches.suse/btrfs-improve-global-reserve-stealing-logic.patch.
- Refresh
  patches.suse/btrfs-make-btrfs_ordered_extent-naming-consistent-wi.patch.
- commit fb4625a
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: use the file extent tree infrastructure (bsc#1175377).
- Refresh
  patches.suse/0002-btrfs-inode-move-qgroup-reserved-space-release-to-th.patch.
- commit ac53cba
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: introduce per-inode file extent tree (bsc#1175377).
- Refresh
  patches.suse/btrfs-fix-corrupt-log-due-to-concurrent-fsync-of-ino.patch.
- commit add4417
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: use btrfs_ordered_update_i_size in
  clone_finish_inode_update (bsc#1175377).
- commit 266b2b3
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: move extent_io_tree defs to their own header
  (bsc#1175377).
- Refresh
  patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch.
- Refresh
  patches.suse/btrfs-fix-corrupt-log-due-to-concurrent-fsync-of-ino.patch.
- commit 4f0dd59
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: separate out the extent io init function (bsc#1175377).
- commit 82311bf
* Mon Aug 17 2020 fdmanana@suse.com
- btrfs: separate out the extent leak code (bsc#1175377).
- commit 210fc6b
* Mon Aug 17 2020 fdmanana@suse.com
- Btrfs: remove unnecessary delalloc mutex for inodes
  (bsc#1175377).
- commit 0e0ed2f
* Mon Aug 17 2020 msuchanek@suse.de
- Delete patches.suse/powerpc-add-link-stack-flush-mitigation-in-debugfs.patch (jsc#SLE-14727).
  To be replaced with upstream bcctr mitigation updates.
- commit 3a0d973
* Mon Aug 17 2020 martin.wilck@suse.com
- scsi: dh: Add Fujitsu device to devinfo and dh lists
  (bsc#1174026).
- commit 64f1b61
* Mon Aug 17 2020 mkoutny@suse.com
- kABI fix for sock_cgroup_data (bsc#1175213 CVE-2020-14356).
- cgroup: Fix sock_cgroup_data on big-endian (bsc#1175213
  CVE-2020-14356).
- cgroup: fix cgroup_sk_alloc() for sk_clone_lock() (bsc#1175213
  CVE-2020-14356).
- commit a3b6e53
* Mon Aug 17 2020 tiwai@suse.de
- firmware_loader: fix memory leak for paged buffer (bsc#1175367).
- commit 8b7305c
* Mon Aug 17 2020 martin.wilck@suse.com
- nvme: add a Identify Namespace Identification Descriptor list
  quirk (git-fixes).
- commit 7a85489
* Mon Aug 17 2020 msuchanek@suse.de
- powerpc/security: Allow for processors that flush the link
  stack using the special bcctr (jsc#SLE-14727).
- powerpc/64s: Move branch cache flushing bcctr variant to
  ppc-ops.h (jsc#SLE-14727).
- powerpc/security: split branch cache flush toggle from code
  patching (jsc#SLE-14727).
- powerpc/security: make display of branch cache flush more
  consistent (jsc#SLE-14727).
- powerpc/security: change link stack flush state to the flush
  type enum (jsc#SLE-14727).
- powerpc/security: re-name count cache flush to branch cache
  flush (jsc#SLE-14727).
- commit 2457b97
* Mon Aug 17 2020 msuchanek@suse.de
- scsi: ipr: remove unneeded semicolon (jsc#SLE-13654).
- scsi: ipr: Use scnprintf() for avoiding potential buffer
  overflow (jsc#SLE-13654).
- scsi: ipr: Fix softlockup when rescanning devices in petitboot
  (jsc#SLE-13654).
- commit 48dc40d
* Mon Aug 17 2020 martin.wilck@suse.com
- nvme: fix a crash in nvme_mpath_add_disk (git-fixes, bsc#1159058).
- commit 9afbddd
* Mon Aug 17 2020 martin.wilck@suse.com
- nvme: fix identify error status silent ignore (git-fixes,
  bsc#1159058).
- commit 1c12147
* Mon Aug 17 2020 mhocko@suse.com
- Refresh patches.suse/mm-fix-protection-usage-propagation.patch.
  add upstream references
- commit 8e0bfa9
* Mon Aug 17 2020 ailiop@suse.com
- xfs: preserve rmapbt swapext block reservation from freed blocks
  (git-fixes).
- commit 86a5ed2
* Mon Aug 17 2020 ailiop@suse.com
- xfs: don't eat an EIO/ENOSPC writeback error when scrubbing
  data fork (git-fixes).
- commit 5f2713c
* Mon Aug 17 2020 ailiop@suse.com
- xfs: fix inode allocation block res calculation precedence
  (git-fixes).
- commit 575ee59
* Mon Aug 17 2020 ailiop@suse.com
- xfs: fix reflink quota reservation accounting error (git-fixes).
- commit 887a853
* Mon Aug 17 2020 mbrugger@suse.com
- arm64: dts: clearfog-gt-8k: set gigabit PHY reset deassert delay
  (bsc#1175347).
- commit 4c9be8d
* Mon Aug 17 2020 mbrugger@suse.com
- arm64: dts: exynos: Fix silent hang after boot on Espresso
  (bsc#1175346).
- arm64: dts: imx8qxp-mek: Remove unexisting Ethernet PHY
  (bsc#1175345).
- arm64: dts: uDPU: fix broken ethernet (bsc#1175344).
- commit ebcb713
* Mon Aug 17 2020 mbrugger@suse.com
- blacklist.conf: arm64: add intel DTS
- commit d0107a6
* Mon Aug 17 2020 mbrugger@suse.com
- blacklist.conf: fix ignored arm64 devicetree folders
- commit 1175c5d
* Mon Aug 17 2020 wqu@suse.com
- btrfs: trim: fix underflow in trim length to prevent access
  beyond device boundary (bsc#1175263).
- btrfs: inode: fix NULL pointer dereference if inode doesn't
  need compression (bsc#1174484).
- btrfs: Move free_pages_out label in inline extent handling
  branch in compress_file_range (bsc#1175263).
- commit 0b38364
* Mon Aug 17 2020 dbueso@suse.de
- locktorture: Print ratio of acquisitions, not failures
  (bsc#1149032).
- commit 7698a26
* Sun Aug 16 2020 bp@suse.de
- x86/resctrl: Fix memory bandwidth counter width for AMD
  (bsc#1172757).
- commit dcea15d
* Sun Aug 16 2020 tiwai@suse.de
- mfd: dln2: Run event handler loop under spinlock (git-fixes).
- mfd: arizona: Ensure 32k clock is put on driver unbind and error
  (git-fixes).
- pwm: bcm-iproc: handle clk_get_rate() return (git-fixes).
- commit a79237e
* Sun Aug 16 2020 bp@suse.de
- x86/split_lock: Enable the split lock feature on Sapphire
  Rapids and Alder Lake CPUs (jsc#SLE-13597).
- x86/cpu: Add Lakefield, Alder Lake and Rocket Lake models to
  the to Intel CPU family (jsc#SLE-13597).
- x86/cpu: Add Sapphire Rapids CPU model number (jsc#SLE-13597).
- commit ffaff8d
* Sun Aug 16 2020 bp@suse.de
- x86/split_lock: Don't write MSR_TEST_CTRL on CPUs that aren't
  whitelisted (jsc#SLE-12677).
- commit 5c09fa6
* Sun Aug 16 2020 bp@suse.de
- x86/split_lock: Add Icelake microserver and Tigerlake CPU models
  (jsc#SLE-12677).
- commit 9f5f8fe
* Sun Aug 16 2020 bp@suse.de
- x86/split_lock: Add Tremont family CPU models (jsc#SLE-12677).
- x86/cpu: Add Jasper Lake to Intel family (jsc#SLE-12677).
- commit 13dbd33
* Sun Aug 16 2020 bp@suse.de
- x86/split_lock: Bits in IA32_CORE_CAPABILITIES are not
  architectural (jsc#SLE-12677).
- commit 5221fb3
* Sun Aug 16 2020 bp@suse.de
- x86/split_lock: Update to use X86_MATCH_INTEL_FAM6_MODEL()
  (jsc#SLE-12677).
- commit 816c882
* Sun Aug 16 2020 bp@suse.de
- x86/cpu: Align cpu_caps_cleared and cpu_caps_set to unsigned
  long (jsc#SLE-12677).
- commit 2d99029
* Sat Aug 15 2020 bp@suse.de
- drivers/net/b44: Change to non-atomic bit operations on
  pwol_mask (jsc#SLE-12677).
- commit c0658d1
* Sat Aug 15 2020 bp@suse.de
- x86/cpu: Align the x86_capability array to size of unsigned long
  (jsc#SLE-12677).
- commit ba83944
* Sat Aug 15 2020 bp@suse.de
- x86/split_lock: Avoid runtime reads of the TEST_CTRL MSR
  (jsc#SLE-12677).
- commit 18d1659
* Sat Aug 15 2020 bp@suse.de
- x86/split_lock: Rework the initialization flow of split lock
  detection (jsc#SLE-12677).
- commit f71b405
* Sat Aug 15 2020 bp@suse.de
- x86/split_lock: Enable split lock detection by kernel
  (jsc#SLE-12677).
- Refresh
  patches.suse/x86-resctrl-query-llc-monitoring-properties-once-during-boot.patch.
- Refresh
  patches.suse/x86-speculation-add-special-register-buffer-data-sampling-srbds-mitigation.patch.
- commit 372670f
* Sat Aug 15 2020 bp@suse.de
- x86/resctrl: Support wider MBM counters (jsc#SLE-13205).
- commit 3a1d478
* Sat Aug 15 2020 bp@suse.de
- x86/resctrl: Support CPUID enumeration of MBM counter width
  (jsc#SLE-13205).
- commit 5142bca
* Sat Aug 15 2020 bp@suse.de
- x86/resctrl: Maintain MBM counter width per resource
  (jsc#SLE-13205).
- commit ea11b84
* Sat Aug 15 2020 bp@suse.de
- x86/resctrl: Query LLC monitoring properties once during boot
  (jsc#SLE-13205).
- commit 6ef2c2f
* Sat Aug 15 2020 bp@suse.de
- x86/resctrl: Remove unnecessary RMID checks (jsc#SLE-13205).
- commit 51d9230
* Sat Aug 15 2020 bp@suse.de
- x86/cpu: Move resctrl CPUID code to resctrl/ (jsc#SLE-13205).
- commit 2a7e1c0
* Sat Aug 15 2020 tiwai@suse.de
- ALSA: echoaudio: Fix potential Oops in snd_echo_resume()
  (git-fixes).
- ALSA: hda/hdmi: Use force connectivity quirk on another HP
  desktop (git-fixes).
- ALSA: hda/realtek - Fix unused variable warning (git-fixes).
- ALSA: hda - reverse the setting value in the micmute_led_set
  (git-fixes).
- ALSA: echoaduio: Drop superfluous volatile modifier (git-fixes).
- ALSA: usb-audio: Disable Lenovo P620 Rear line-in volume control
  (git-fixes).
- ALSA: usb-audio: add quirk for Pioneer DDJ-RB (git-fixes).
- ALSA: usb-audio: work around streaming quirk for MacroSilicon
  MS2109 (git-fixes).
- ALSA: hda - fix the micmute led status for Lenovo ThinkCentre
  AIO (git-fixes).
- ALSA: hda/realtek: Fix pin default on Intel NUC 8 Rugged
  (git-fixes).
- ALSA: usb-audio: Creative USB X-Fi Pro SB1095 volume knob
  support (git-fixes).
- ALSA: usb-audio: fix spelling mistake "buss" -> "bus"
  (git-fixes).
- commit 9eb0560
* Sat Aug 15 2020 tiwai@suse.de
- Re-sort and refresh the upstreamed USB-audio patch
- commit 56623bd
* Sat Aug 15 2020 bp@suse.de
- x86/resctrl: Rename asm/resctrl_sched.h to asm/resctrl.h
  (jsc#SLE-13205).
- commit fef5c1c
* Fri Aug 14 2020 tiwai@suse.de
- r8169: read common register for PCI commit (bsc#1175296).
- commit 33be6a7
* Fri Aug 14 2020 tiwai@suse.de
- r8169: move disabling interrupt coalescing to RTL8169/RTL8168
  init (bsc#1175296).
- commit 150a24b
* Fri Aug 14 2020 tiwai@suse.de
- r8169: fix rtl_hw_jumbo_disable for RTL8168evl (bsc#1175296).
- r8169: fix resume on cable plug-in (bsc#1175296).
- r8169: fix jumbo configuration for RTL8168evl (bsc#1175296).
- r8169: fix jumbo packet handling on resume from suspend
  (bsc#1175296).
- commit 205974e
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: bump version to 1.2.16-010 (bsc#1172418).
- commit c7cf3da
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add RAID bypass counter (bsc#1172418).
- commit 626afe0
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: support device deletion via sysfs (bsc#1172418).
- commit a628df1
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: avoid crashing kernel for controller issues
  (bsc#1172418).
- commit bfa2645
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: update logical volume size after expansion
  (bsc#1172418).
- commit 2f4b5a4
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: add id support for SmartRAID 3152-8i (bsc#1172418).
- commit 2eeedae
* Fri Aug 14 2020 martin.wilck@suse.com
- scsi: smartpqi: Identify physical devices without issuing INQUIRY
  (bsc#1172418).
- commit 34ee136
* Fri Aug 14 2020 shung-hsi.yu@suse.com
- kABI: restore signature of xfrm_policy_bysel_ctx() and
  xfrm_policy_byid() (bsc#1174645).
- xfrm: policy: match with both mark and mask on user interfaces
  (bsc#1174645).
- commit b412835
* Fri Aug 14 2020 martin.wilck@suse.com
- block: Fix the type of 'sts' in bsg_queue_rq() (git-fixes).
- commit 1ab9963
* Fri Aug 14 2020 msuchanek@suse.de
- powerpc/nvdimm: use H_SCM_QUERY hcall on H_OVERLAP error
  (bsc#1175284).
- powerpc/nvdimm: Use HCALL error as the return value
  (bsc#1175284).
- commit 619bc4d
* Fri Aug 14 2020 tiwai@suse.de
- net: phy: fix memory leak in device-create error path
  (git-fixes).
- i2c: iproc: fix race between client unreg and isr (git-fixes).
- i2c: rcar: avoid race when unregistering slave (git-fixes).
- i2c: rcar: slave: only send STOP event when we have been
  addressed (git-fixes).
- net: phy: Check harder for errors in get_phy_id() (git-fixes).
- commit a5bf009
* Fri Aug 14 2020 jslaby@suse.cz
- Update patches.suse/PCI-Program-MPS-for-RCiEP-devices.patch
  (git-fixes jsc#SLE-12860).
  Add jsc reference.
- commit 0152307
* Thu Aug 13 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/clk-bcm2835-do-not-use-prediv-with-bcm2711-s-plls.patch
- commit f0a312b
* Thu Aug 13 2020 jslaby@suse.cz
- x86/cpu: Add Elkhart Lake to Intel family (jsc#SLE-12700).
- commit 30f1f10
* Thu Aug 13 2020 jslaby@suse.cz
- platform/x86: intel_pmc_core: Add Intel Elkhart Lake support
  (jsc#SLE-12700).
- Refresh
  patches.suse/platform-x86-convert-to-new-cpu-match-macros.patch.
- platform/x86: intel_pmc_core: Make debugfs entry for
  pch_ip_power_gating_status conditional (jsc#SLE-12700).
- platform/x86: intel_pmc_core: Clean up: Remove comma after
  the termination line (jsc#SLE-12700).
- Refresh
  patches.suse/platform-x86-intel_pmc_core-Create-platform-dependen.patch.
- commit bb5c02e
* Thu Aug 13 2020 tiwai@suse.de
- clk: at91: sckc: register slow_rc with accuracy option
  (git-fixes).
- clk: at91: sam9x60: fix main rc oscillator frequency
  (git-fixes).
- clk: at91: sam9x60-pll: check fcore against ranges (git-fixes).
- clk: at91: sam9x60-pll: use logical or for range check
  (git-fixes).
- clk: at91: clk-generated: check best_rate against ranges
  (git-fixes).
- clk: at91: clk-generated: continue if __clk_determine_rate()
  returns error (git-fixes).
- clk: clk-atlas6: fix return value check in atlas6_clk_init()
  (git-fixes).
- clk: iproc: round clock rate to the closest (git-fixes).
- clk: rockchip: Revert "fix wrong mmc sample phase shift for
  rk3328" (git-fixes).
- clk: actions: Fix h_clk for Actions S500 SoC (git-fixes).
- clk: qcom: gcc-sdm660: Fix up gcc_mss_mnoc_bimc_axi_clk
  (git-fixes).
- clk: qcom: gcc-sdm660: Add missing modem reset (git-fixes).
- watchdog: initialize device before misc_register (git-fixes).
- watchdog: f71808e_wdt: clear watchdog timeout occurred flag
  (git-fixes).
- watchdog: f71808e_wdt: remove use of wrong watchdog_info option
  (git-fixes).
- watchdog: f71808e_wdt: indicate WDIOF_CARDRESET support in
  watchdog_info.options (git-fixes).
- drm/vmwgfx: Fix two list_for_each loop exit tests (git-fixes).
- drm/vmwgfx: Use correct vmw_legacy_display_unit pointer
  (git-fixes).
- drm: fix drm_dp_mst_port refcount leaks in
  drm_dp_mst_allocate_vcpi (git-fixes).
- kernel.h: remove duplicate include of asm/div64.h (git-fixes).
- platform/chrome: cros_ec_ishtp: Fix a double-unlock issue
  (git-fixes).
- remoteproc: qcom: q6v5: Update running state before requesting
  stop (git-fixes).
- remoteproc: qcom_q6v5_mss: Validate modem blob firmware size
  before load (git-fixes).
- remoteproc: qcom_q6v5_mss: Validate MBA firmware size before
  load (git-fixes).
- Input: sentelic - fix error return when fsp_reg_write fails
  (git-fixes).
- drm/i915/gt: Unlock engine-pm after queuing the kernel context
  switch (git-fixes).
- drm/i915/gt: Close race between engine_park and
  intel_gt_retire_requests (git-fixes).
- drm/i915/gt: Move new timelines to the end of active_list
  (git-fixes).
- commit 760f8de
* Thu Aug 13 2020 msuchanek@suse.de
- powerpc/dt_cpu_ftrs: Add MMA feature (jsc#SLE-13521).
- commit 4b102b3
* Thu Aug 13 2020 msuchanek@suse.de
- compiler_attributes.h: Add 'fallthrough' pseudo keyword for
  switch/case use (jsc#SLE-13847).
- commit 881e310
* Thu Aug 13 2020 msuchanek@suse.de
- net: sctp: Rename fallthrough label to unhandled
  (jsc#SLE-13847).
- commit 9db514c
* Thu Aug 13 2020 msuchanek@suse.de
- powerpc/kvm: Fix kvmppc_vcore->in_guest value in
  kvmhv_switch_to_host (jsc#SLE-13521).
- commit 6e044ae
* Thu Aug 13 2020 msuchanek@suse.de
- powerpc/watchpoint: Add SPRN macros for second DAWR
  (jsc#SLE-12936).
- commit 402a5c1
* Thu Aug 13 2020 msuchanek@suse.de
- powerpc/dt_cpu_ftrs: Advertise support for ISA v3.1 if selected
  (jsc#SLE-13521).
- powerpc: Add new HWCAP bits (jsc#SLE-13521).
- commit a311da7
* Thu Aug 13 2020 mbrugger@suse.com
- irqchip/gic: Atomically update affinity (bsc#1175195).
- commit 5ad8b58
* Thu Aug 13 2020 msuchanek@suse.de
- powerpc/watchpoint: Remove 512 byte boundary (jsc#SLE-12936).
- powerpc/watchpoint: Return available watchpoints dynamically
  (jsc#SLE-12936).
- powerpc/watchpoint: Guest support for 2nd DAWR hcall
  (jsc#SLE-12936).
- powerpc/watchpoint: Rename current H_SET_MODE DAWR macro
  (jsc#SLE-12936).
- powerpc/watchpoint: Set CPU_FTR_DAWR1 based on pa-features bit
  (jsc#SLE-12936).
- powerpc/dt_cpu_ftrs: Add feature for 2nd DAWR (jsc#SLE-12936).
- powerpc/watchpoint: Enable watchpoint functionality on power10
  guest (jsc#SLE-12936).
- powerpc/watchpoint: Fix DAWR exception for CACHEOP
  (jsc#SLE-12936).
- powerpc/watchpoint: Fix DAWR exception constraint
  (jsc#SLE-12936).
- powerpc/watchpoint: Fix 512 byte boundary limit (jsc#SLE-12936).
- powerpc: Add POWER10 architected mode (jsc#SLE-13521).
- powerpc/dt_cpu_ftrs: Enable Prefixed Instructions
  (jsc#SLE-13847).
- powerpc: Add support for ISA v3.1 (jsc#SLE-13521).
- powerpc/64s: Don't init FSCR_DSCR in __init_FSCR()
  (jsc#SLE-13521).
- powerpc: Add ppc_inst_as_u64() (jsc#SLE-13847).
- powerpc: Add ppc_inst_next() (jsc#SLE-13847).
- powerpc/watchpoint: Prepare handler to handle more than one
  watchpoint (jsc#SLE-12936).
- powerpc/watchpoint: Use builtin ALIGN*() macros (jsc#SLE-12936).
- powerpc/watchpoint: Introduce is_ptrace_bp() function
  (jsc#SLE-12936).
- powerpc/watchpoint: Convert thread_struct->hw_brk to an array
  (jsc#SLE-12936).
- powerpc/watchpoint: Provide DAWR number to __set_breakpoint
  (jsc#SLE-12936).
- powerpc/watchpoint: Provide DAWR number to set_dawr
  (jsc#SLE-12936).
- powerpc/watchpoint: Introduce function to get nr watchpoints
  dynamically (jsc#SLE-12936).
- powerpc/watchpoint: Rename current DAWR macros (jsc#SLE-12936).
- powerpc sstep: Add support for prefixed fixed-point arithmetic
  (jsc#SLE-13847).
- powerpc sstep: Add support for prefixed load/stores
  (jsc#SLE-13847).
- powerpc: Support prefixed instructions in alignment handler
  (jsc#SLE-13847).
- powerpc/kprobes: Don't allow breakpoints on suffixes
  (jsc#SLE-13847).
- powerpc/xmon: Don't allow breakpoints on suffixes
  (jsc#SLE-13847).
- powerpc: Test prefixed instructions in feature fixups
  (jsc#SLE-13847).
- powerpc: Test prefixed code patching (jsc#SLE-13847).
- powerpc: Add prefixed instructions to instruction data type
  (jsc#SLE-13847).
- powerpc/optprobes: Add register argument to
  patch_imm64_load_insns() (jsc#SLE-13847).
- powerpc: Define new SRR1 bits for a ISA v3.1 (jsc#SLE-13847).
- powerpc: Enable Prefixed Instructions (jsc#SLE-13847).
- powerpc: Make test_translate_branch() independent of instruction
  length (jsc#SLE-13847).
- powerpc/xmon: Move insertion of breakpoint for xol'ing
  (jsc#SLE-13847).
- powerpc/xmon: Use a function for reading instructions
  (jsc#SLE-13847).
- powerpc: Introduce a function for reporting instruction length
  (jsc#SLE-13847).
- powerpc: Define and use get_user_instr() et. al (jsc#SLE-13847).
- powerpc/kprobes: Use patch_instruction() (jsc#SLE-13847).
- powerpc: Add a probe_kernel_read_inst() function
  (jsc#SLE-13847).
- powerpc: Add a probe_user_read_inst() function (jsc#SLE-13847).
- powerpc: Use a function for reading instructions
  (jsc#SLE-13847).
- powerpc: Use a datatype for instructions (jsc#SLE-13847).
- powerpc: Introduce functions for instruction equality
  (jsc#SLE-13847).
- powerpc: Use a function for byte swapping instructions
  (jsc#SLE-13847).
- powerpc: Use a function for getting the instruction op code
  (jsc#SLE-13847).
- powerpc: Use an accessor for instructions (jsc#SLE-13847).
- powerpc: Use a macro for creating instructions from u32s
  (jsc#SLE-13847).
- powerpc: Change calling convention for create_branch() et. al
  (jsc#SLE-13847).
- powerpc/xmon: Use bitwise calculations in_breakpoint_table()
  (jsc#SLE-13847).
- powerpc/xmon: Move breakpoints to text section (jsc#SLE-13847).
- powerpc/xmon: Move breakpoint instructions to own array
  (jsc#SLE-13847).
- powerpc/xmon: Remove store_inst() for patch_instruction()
  (jsc#SLE-13847).
- powerpc/ptrace: move ptrace_triggered() into hw_breakpoint.c
  (jsc#SLE-12936 jsc#SLE-13847).
- powerpc/ptrace: create ppc_gethwdinfo() (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc/ptrace: create ptrace_get_debugreg() (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc/ptrace: split out ADV_DEBUG_REGS related functions
  (jsc#SLE-12936 jsc#SLE-13847).
- powerpc/ptrace: move register viewing functions out of ptrace.c
  (jsc#SLE-12936 jsc#SLE-13847).
- powerpc/ptrace: split out TRANSACTIONAL_MEM related functions
  (jsc#SLE-12936 jsc#SLE-13847).
- powerpc/ptrace: split out SPE related functions (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc/ptrace: split out ALTIVEC related functions
  (jsc#SLE-12936 jsc#SLE-13847).
- powerpc/ptrace: split out VSX related functions (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc/ptrace: drop PARAMETER_SAVE_AREA_OFFSET (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc/ptrace: drop unnecessary #ifdefs CONFIG_PPC64
  (jsc#SLE-12936 jsc#SLE-13847).
- powerpc/ptrace: remove unused header includes (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc: Move ptrace into a subdirectory (jsc#SLE-12936
  jsc#SLE-13847).
- powerpc/watchpoint: Don't call dar_within_range() for Book3S
  (jsc#SLE-12936).
- powerpc/8xx: Use alternative scratch registers in DTLB miss
  handler (jsc#SLE-12936).
- powerpc: use probe_user_read() and probe_user_write()
  (jsc#SLE-12936).
- powerpc/hw_breakpoints: Rewrite 8xx breakpoints to allow any
  address range size (jsc#SLE-12936).
- powerpc: permanently include 8xx registers in reg.h
  (jsc#SLE-12936).
- powerpc/watchpoint: Don't ignore extraneous exceptions blindly
  (jsc#SLE-12936).
- powerpc/watchpoint: Fix ptrace code that muck around with
  address/len (jsc#SLE-12936).
- powerpc/watchpoint: Fix length calculation for unaligned target
  (jsc#SLE-12936).
- powerpc/watchpoint: Introduce macros for watchpoint length
  (jsc#SLE-12936).
- powerpc: Add build-time check of ptrace PT_xx defines
  (jsc#SLE-12936).
- powerpc/ptrace: Add prototype for function pt_regs_check
  (jsc#SLE-12936 jsc#SLE-13847).
- KVM: PPC: Book3S: Define and use SRR1_MSR_BITS (jsc#SLE-13521).
- powerpc/64s: Set reserved PCR bits (jsc#SLE-13521).
- powerpc: Fix definition of PCR bits to work with old binutils
  (jsc#SLE-13521).
- powerpc/watchpoint: Disable watchpoint hit by larx/stcx
  instructions (jsc#SLE-12936).
- powerpc/hw_breakpoint: move instruction stepping out of
  hw_breakpoint_handler() (jsc#SLE-12936).
- commit e00d912
* Thu Aug 13 2020 jlee@suse.com
- integrity: Check properly whether EFI GetVariable() is available
  (bsc#1174029, bsc#1174110, bsc#1174111).
- Refresh
  patches.suse/0003-MODSIGN-load-blacklist-from-MOKx.patch.
- commit 3c8f305
* Thu Aug 13 2020 jlee@suse.com
- x86/ima: Use EFI GetVariable only when available (bsc#1174029,
  bsc#1174110, bsc#1174111).
- commit bc28a75
* Thu Aug 13 2020 jlee@suse.com
- efi: Use EFI ResetSystem only when available (bsc#1174029,
  bsc#1174110, bsc#1174111).
- commit ff49d51
* Thu Aug 13 2020 jlee@suse.com
- scsi: iscsi: Use EFI GetVariable only when available
  (bsc#1174029, bsc#1174110, bsc#1174111).
- commit 4afad03
* Wed Aug 12 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/btrfs-Remove-delalloc_end-argument-from-extent_clear.patch
  patches.suse/btrfs-Remove-leftover-of-in-band-dedupe.patch
  patches.suse/btrfs-fix-a-block-group-ref-counter-leak-after-failu.patch
  patches.suse/btrfs-fix-block-group-leak-when-removing-fails.patch
  patches.suse/btrfs-fix-bytes_may_use-underflow-when-running-balan.patch
  patches.suse/btrfs-fix-corrupt-log-due-to-concurrent-fsync-of-ino.patch
  patches.suse/btrfs-fix-data-block-group-relocation-failure-due-to.patch
  patches.suse/btrfs-fix-double-free-on-ulist-after-backref-resolut.patch
  patches.suse/btrfs-fix-fatal-extent_buffer-readahead-vs-releasepa.patch
  patches.suse/btrfs-fix-page-leaks-after-failure-to-lock-page-for-.patch
  patches.suse/btrfs-fix-race-between-block-group-removal-and-block.patch
  patches.suse/btrfs-fix-space_info-bytes_may_use-underflow-after-n.patch
  patches.suse/btrfs-fix-space_info-bytes_may_use-underflow-during-.patch
  patches.suse/btrfs-fix-wrong-file-range-cleanup-after-an-error-fi.patch
- commit d629da8
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix page leaks after failure to lock page for delalloc
  (bsc#1175149).
- commit 11c5046
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix double free on ulist after backref resolution failure
  (bsc#1175149).
- commit e175c08
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix fatal extent_buffer readahead vs releasepage race
  (bsc#1175149).
- commit 6894e62
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix bytes_may_use underflow when running balance and
  scrub in parallel (bsc#1175149).
- commit 3c1d24d
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix data block group relocation failure due to concurrent
  scrub (bsc#1175149).
- commit e7dccf4
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix race between block group removal and block group
  creation (bsc#1175149).
- commit 22ed64a
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix a block group ref counter leak after failure to
  remove block group (bsc#1175149).
- commit 5c3ef7d
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix block group leak when removing fails (bsc#1175149).
- commit 03037b8
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix space_info bytes_may_use underflow during space
  cache writeout (bsc#1175149).
- commit 9586d9c
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix space_info bytes_may_use underflow after nocow
  buffered write (bsc#1175149).
- commit 457cc33
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix wrong file range cleanup after an error filling
  dealloc range (bsc#1175149).
- commit e7b219b
* Wed Aug 12 2020 mbrugger@suse.com
- arm64: csum: Fix handling of bad packets (bsc#1175192).
- arm64: kgdb: Fix single-step exception handling oops
  (bsc#1175191).
- KVM: arm64: Annotate hyp NMI-related functions as
  __always_inline (bsc#1175190).
- arm64: hw_breakpoint: Don't invoke overflow handler on uaccess
  watchpoints (bsc#1175189).
- arm64: cacheflush: Fix KGDB trap detection (bsc#1175188).
- arm64: kexec_file: print appropriate variable (bsc#1175187).
- arm64: insn: Fix two bugs in encoding 32-bit logical immediates
  (bsc#1175186).
- arm64: Fix PTRACE_SYSEMU semantics (bsc#1175185).
- arm64: fix the flush_icache_range arguments in machine_kexec
  (bsc#1175184).
- arm64: hugetlb: avoid potential NULL dereference (bsc#1175183).
- arm64: vdso: Add -fasynchronous-unwind-tables to cflags
  (bsc#1175182).
- arm64: vdso: don't free unallocated pages (bsc#1175181).
- arm64: armv8_deprecated: Fix undef_hook mask for thumb setend
  (bsc#1175180).
- commit 5e20125
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: Remove leftover of in-band dedupe (bsc#1175149).
- refresh patches.suse/btrfs-move-basic-block_group-definitions-to-their-own-header.patch
- commit f3a05f0
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: Remove delalloc_end argument from
  extent_clear_unlock_delalloc (bsc#1175149).
- commit 24d05e3
* Wed Aug 12 2020 fdmanana@suse.com
- btrfs: fix corrupt log due to concurrent fsync of inodes with
  shared extents (bsc#1175149).
- commit af1520b
* Wed Aug 12 2020 mbrugger@suse.com
- blacklist: ignore Spreadtrum clk fix with wrong SHA
- commit 418cf06
* Wed Aug 12 2020 lhenriques@suse.de
- fuse: Fix parameter for FS_IOC_{GET,SET}FLAGS (bsc#1175176).
- fuse: fix weird page warning (bsc#1175175).
- commit ec519b8
* Wed Aug 12 2020 msuchanek@suse.de
- ibmveth: Fix use of ibmveth in a bridge (bsc#1174387
  ltc#187506).
- commit 60cd53b
* Wed Aug 12 2020 msuchanek@suse.de
- genirq/affinity: Remove const qualifier from node_to_cpumask
  argument (bsc#1174897 ltc#187090).
- genirq/affinity: Spread vectors on node according to nr_cpu
  ratio (bsc#1174897 ltc#187090).
- genirq/affinity: Improve __irq_build_affinity_masks()
  (bsc#1174897 ltc#187090).
- commit 5d5f43f
* Wed Aug 12 2020 glin@suse.com
- bpfilter: reject kernel addresses (bsc#1155518).
- net/bpfilter: split __bpfilter_process_sockopt (bsc#1155518).
- bpfilter: fix up a sparse annotation (bsc#1155518).
- bpfilter: Initialize pos variable (bsc#1155518).
- net/bpfilter: Initialize pos in __bpfilter_process_sockopt
  (bsc#1155518).
- bpfilter: switch to kernel_write (bsc#1155518).
- commit 00f0f2f
* Wed Aug 12 2020 duwe@suse.de
- rpm/modules.fips:
  * add ecdh_generic (boo#1173813)
- commit 5b147f9
* Wed Aug 12 2020 tiwai@suse.de
- media: omap3isp: Add missed v4l2_ctrl_handler_free() for
  preview_init_entities() (git-fixes).
- staging: rtl8712: handle firmware load failure (git-fixes).
- Bluetooth: Prevent out-of-bounds read in
  hci_inquiry_result_with_rssi_evt() (git-fixes).
- Bluetooth: Prevent out-of-bounds read in
  hci_inquiry_result_evt() (git-fixes).
- Bluetooth: Fix slab-out-of-bounds read in
  hci_extended_inquiry_result_evt() (git-fixes).
- usb: xhci: Fix ASMedia ASM1142 DMA addressing (git-fixes).
- usb: xhci: define IDs for various ASMedia host controllers
  (git-fixes).
- USB: serial: qcserial: add EM7305 QDL product ID (git-fixes).
- mtd: properly check all write ioctls for permissions
  (git-fixes).
- cfg80211: check vendor command doit pointer before use
  (git-fixes).
- atm: fix atm_dev refcnt leaks in atmtcp_remove_persistent
  (git-fixes).
- net: lan78xx: replace bogus endpoint lookup (git-fixes).
- usb: hso: check for return value in hso_serial_common_create()
  (git-fixes).
- i2c: slave: add sanity check when unregistering (git-fixes).
- i2c: slave: improve sanity check when registering (git-fixes).
- firmware: Fix a reference count leak (git-fixes).
- drm/nouveau/fbcon: zero-initialise the mode_cmd2 structure
  (git-fixes).
- drm/nouveau/fbcon: fix module unload when fbcon init has failed
  for some reason (git-fixes).
- AX.25: Prevent integer overflows in connect and sendmsg
  (git-fixes).
- AX.25: Prevent out-of-bounds read in ax25_sendmsg() (git-fixes).
- AX.25: Fix out-of-bounds read in ax25_connect() (git-fixes).
- commit 01f7466
* Wed Aug 12 2020 jlee@suse.com
- infiniband: hfi1: Use EFI GetVariable only when available
  (bsc#1174029, bsc#1174110, bsc#1174111).
- commit 5f092e5
* Wed Aug 12 2020 jslaby@suse.cz
- vgacon: Fix for missing check in scrollback handling
  (bsc#1174205 CVE-2020-14331).
  Update upstream status.
- commit e6ac692
* Tue Aug 11 2020 ykaukab@suse.de
- soc/tegra: pmc: Enable PMIC wake event on Tegra210
  (bsc#1175116).
- commit af9a16c
* Tue Aug 11 2020 msuchanek@suse.de
- powerpc/pseries/hotplug-cpu: Remove double free in error path
  (bsc#1065729).
- powerpc/boot: Fix CONFIG_PPC_MPC52XX references (bsc#1065729).
- powerpc: Allow 4224 bytes of stack expansion for the signal
  frame (bsc#1065729).
- powerpc/book3s64/pkeys: Use PVR check instead of cpu feature
  (bsc#1065729).
- powerpc/vdso: Fix vdso cpu truncation (bsc#1065729).
- powerpc/rtas: don't online CPUs for partition suspend
  (bsc#1065729).
- powerpc/pseries: remove cede offline state for CPUs
  (bsc#1065729).
- ibmvnic: Fix IRQ mapping disposal in error path (bsc#1175112
  ltc#187459).
- powerpc/64s: Fix early_init_mmu section mismatch (bsc#1065729).
- commit 59a966b
* Tue Aug 11 2020 jlee@suse.com
- efi: Register EFI rtc platform device only when available
  (bsc#1174029, bsc#1174110, bsc#1174111).
- commit 7ac188a
* Tue Aug 11 2020 jslaby@suse.cz
- PCI/AER: Fix the broken interrupt injection (jsc#SLE-13222).
- blacklist.conf: remove it, we have the prerequisity now
- Update config files.
  GENERIC_IRQ_INJECTION gets autoselected.
- genirq: Provide interrupt injection mechanism (jsc#SLE-13222).
- genirq: Sanitize state handling in check_irq_resend()
  (jsc#SLE-13222).
- genirq: Add return value to check_irq_resend() (jsc#SLE-13222).
- x86/apic/vector: Force interupt handler invocation to irq
  context (jsc#SLE-13222).
- genirq: Add protection against unsafe usage of
  generic_handle_irq() (jsc#SLE-13222).
- genirq/debugfs: Add missing sanity checks to interrupt injection
  (jsc#SLE-13222).
- commit cb839fb
* Tue Aug 11 2020 jslaby@suse.cz
- platform/x86: intel_pmc_core: Add an additional parameter to
  pmc_core_lpm_display() (jsc#SLE-12699).
- commit f319609
* Tue Aug 11 2020 jslaby@suse.cz
- platform/x86: intel_pmc_core: Add Intel Tiger Lake support
  (jsc#SLE-12599).
- Refresh
  patches.suse/platform-x86-convert-to-new-cpu-match-macros.patch.
- platform/x86: intel_pmc_core: Create platform dependent bitmap
  structs (jsc#SLE-12599).
- commit 4bbece2
* Tue Aug 11 2020 jlee@suse.com
- efi: Use more granular check for availability for variable
  services (bsc#1174029, bsc#1174110, bsc#1174111).
- commit 90067a7
* Tue Aug 11 2020 jslaby@suse.cz
- platform/x86: intel_pmc_core: Add debugfs entry for low power
  mode status registers (jsc#SLE-12699).
- commit 4b79939
* Tue Aug 11 2020 jslaby@suse.cz
- platform/x86: intel_pmc_core: Dump low power status registers
  on an S0ix.y failure (jsc#SLE-12699).
- platform/x86: intel_pmc_core: Remove slp_s0 attributes from
  tgl_reg_map (jsc#SLE-12699).
- platform/x86: intel_pmc_core: Refactor the driver by removing
  redundant code (jsc#SLE-12699).
- commit e23c42f
* Tue Aug 11 2020 jslaby@suse.cz
- blacklist.conf: add sparse warning fixes
- commit 301555e
* Tue Aug 11 2020 jslaby@suse.cz
- PCI: rcar: Fix runtime PM imbalance on error (git-fixes).
- PCI: cadence: Fix updating Vendor ID and Subsystem Vendor ID
  register (git-fixes).
- commit 272b523
* Tue Aug 11 2020 jslaby@suse.cz
- arm64: dts: qcom: msm8998-clamshell: Fix label on l15 regulator
  (git-fixes).
- commit 8896400
* Tue Aug 11 2020 jlee@suse.com
- efi: Add support for EFI_RT_PROPERTIES table (bsc#1174029,
  bsc#1174110, bsc#1174111).
- commit 4e5fc8c
* Tue Aug 11 2020 jlee@suse.com
- efi: Store mask of supported runtime services in struct efi
  (bsc#1174029, bsc#1174110, bsc#1174111).
- Refresh
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch.
- commit 738249f
* Mon Aug 10 2020 msuchanek@suse.de
- powerpc/kexec_file: Enable early kernel OPAL calls
  (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Fix kexec load failure with lack of memory
  hole (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Add appropriate regions for memory reserve
  map (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Prepare elfcore header for crashing kernel
  (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Setup backup region for kdump kernel
  (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Restrict memory usage of kdump kernel
  (jsc#SLE-13848 bsc#1174914).
- powerpc/drmem: Make LMB walk a bit more flexible (jsc#SLE-13848
  bsc#1174914).
- powerpc/kexec_file: Avoid stomping memory used by special
  regions (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Add helper functions for getting memory
  ranges (jsc#SLE-13848 bsc#1174914).
- powerpc/kexec_file: Mark PPC64 specific code (jsc#SLE-13848
  bsc#1174914).
- kexec_file: Allow archs to handle special regions while locating
  memory hole (jsc#SLE-13848 bsc#1174914).
- kexec: restore arch_kexec_kernel_image_probe declaration
  (jsc#SLE-13848 bsc#1174914).
- commit ef98bc7
* Mon Aug 10 2020 msuchanek@suse.de
- powerpc/mm/pkeys: Make pkey access check work on
  execute_only_key (jsc#SLE-16556 bsc#1078248 FATE#322447).
- Refresh patches.suse/powerpc-book3s64-pkeys-Fix-pkey_access_permitted-for.patch
- commit d15e47c
* Mon Aug 10 2020 tiwai@suse.de
- blacklist.conf: Add inapplicable drm/i915 commit for git-fixes
- commit 89499be
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Drop no-semaphore boosting (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Reorder-await_execution-before-await_reques.patch.
- commit abd8209
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Prevent using semaphores to chain up to external
  fences (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Reorder-await_execution-before-await_reques.patch.
- commit 8cf5766
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Peel dma-fence-chains for await (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Reorder-await_execution-before-await_reques.patch.
- commit 1951d28
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Pull waiting on an external dma-fence into its routine
  (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Reorder-await_execution-before-await_reques.patch.
- commit b2bfc63
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Ignore submit-fences on the same timeline
  (bsc#1174737).
- commit fae2bcb
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Rely on direct submission to the queue (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Remove-wait-priority-boosting.patch.
- commit a8208d8
* Mon Aug 10 2020 tiwai@suse.de
- drm/i915: Remove wait priority boosting (bsc#1174737).
- commit 0fea26e
* Mon Aug 10 2020 tiwai@suse.de
- pinctrl: ingenic: Enhance support for IRQ_TYPE_EDGE_BOTH
  (git-fixes).
- pinctrl: single: fix function name in documentation (git-fixes).
- pinctrl-single: fix pcs_parse_pinconf() return value
  (git-fixes).
- mtd: rawnand: qcom: avoid write to unavailable register
  (git-fixes).
- mtd: rawnand: fsl_upm: Remove unused mtd var (git-fixes).
- power: supply: check if calc_soc succeeded in
  pm860x_init_battery (git-fixes).
- PCI: tegra: Revert tegra124 raw_violation_fixup (git-fixes).
- PCI: qcom: Add support for tx term offset for rev 2.1.0
  (git-fixes).
- PCI: qcom: Define some PARF params needed for ipq8064 SoC
  (git-fixes).
- PCI: qcom: Add missing reset for ipq806x (git-fixes).
- PCI: qcom: Add missing ipq806x clocks in PCIe driver
  (git-fixes).
- PCI: switchtec: Add missing __iomem tag to fix sparse warnings
  (git-fixes).
- PCI: switchtec: Add missing __iomem and __user tags to fix
  sparse warnings (git-fixes).
- PCI: Release IVRS table in AMD ACS quirk (git-fixes).
- PCI: Fix pci_cfg_wait queue locking problem (git-fixes).
- PCI/ASPM: Add missing newline in sysfs 'policy' (git-fixes).
- clk: bcm63xx-gate: fix last clock availability (git-fixes).
- go7007: add sanity checking for endpoints (git-fixes).
- media: exynos4-is: Add missed check for pinctrl_lookup_state()
  (git-fixes).
- media: nuvoton-cir: remove setting tx carrier functions
  (git-fixes).
- media: vsp1: dl: Fix NULL pointer dereference on unbind
  (git-fixes).
- media: firewire: Using uninitialized values in node_probe()
  (git-fixes).
- media: media-request: Fix crash if memory allocation fails
  (git-fixes).
- media: marvell-ccic: Add missed v4l2_async_notifier_cleanup()
  (git-fixes).
- media: cxusb-analog: fix V4L2 dependency (git-fixes).
- iio: improve IIO_CONCENTRATION channel type description
  (git-fixes).
- staging: vchiq_arm: Add a matching unregister call (git-fixes).
- integrity: remove redundant initialization of variable ret
  (git-fixes).
- omapfb: dss: Fix max fclk divider for omap36xx (git-fixes).
- media: sur40: Remove uninitialized_var() usage (git-fixes).
- clk: spear: Remove uninitialized_var() usage (git-fixes).
- clk: st: Remove uninitialized_var() usage (git-fixes).
- ide: Remove uninitialized_var() usage (git-fixes).
- rtlwifi: rtl8192cu: Remove uninitialized_var() usage
  (git-fixes).
- drbd: Remove uninitialized_var() usage (git-fixes).
- random32: move the pseudo-random 32-bit definitions to prandom.h
  (git-fixes).
- PCI: hotplug: ACPI: Fix context refcounting in
  acpiphp_grab_context() (git-fixes).
- random32: remove net_rand_state from the latent entropy gcc
  plugin (git-fixes).
- commit 5480d4c
* Mon Aug 10 2020 msuchanek@suse.de
- powerpc/pseries: Update hv-24x7 information after migration
  (jsc#SLE-13661).
- Refresh patches.suse/powerpc-pseries-mobility-notify-network-peers-after-.patch
- Documentation/ABI: Add ABI documentation for chips and sockets
  (jsc#SLE-13661).
- powerpc/hv-24x7: Add sysfs files inside hv-24x7 device to show
  processor details (jsc#SLE-13661).
- powerpc/hv-24x7: Add rtas call in hv-24x7 driver to get
  processor details (jsc#SLE-13661).
- powerpc/perf/hv-24x7: Fix inconsistent output values incase
  multiple hv-24x7 events run (jsc#SLE-13661).
- commit 2eeacd0
* Mon Aug 10 2020 msuchanek@suse.de
- powerpc/papr_scm: Add support for fetching nvdimm 'fuel-gauge'
  metric (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- powerpc/papr_scm: Fetch nvdimm performance stats from PHYP
  (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- powerpc/papr_scm: Implement support for PAPR_PDSM_HEALTH
  (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- ndctl/papr_scm,uapi: Add support for PAPR nvdimm specific
  methods (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- powerpc/papr_scm: Improve error logging and handling
  papr_scm_ndctl() (bsc#1175052 jsc#SLE-13823 bsc#1174969
  jsc#SLE-12769).
- powerpc/papr_scm: Fetch nvdimm health information from PHYP
  (bsc#1175052 jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- seq_buf: Export seq_buf_printf (bsc#1175052 jsc#SLE-13823
  bsc#1174969 jsc#SLE-12769).
- powerpc: Document details on H_SCM_HEALTH hcall (bsc#1175052
  jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- powerpc/papr_scm: Mark papr_scm_ndctl() as static (bsc#1175052
  jsc#SLE-13823 bsc#1174969 jsc#SLE-12769).
- commit 83564d9
* Mon Aug 10 2020 tiwai@suse.de
- ALSA: usb-audio: fix overeager device match for MacroSilicon
  MS2109 (bsc#1174625).
- commit 2c2144c
* Mon Aug 10 2020 ghe@suse.com
- ocfs2: fix remounting needed after setfacl command
  (bsc#1173954).
- commit 5e09cdc
* Sun Aug  9 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/powerpc-fadump-fix-race-between-pstore-write-and-fad.patch
  patches.suse/powerpc-pseries-PCIE-PHB-reset.patch
  patches.suse/powerpc-xmon-Reset-RCU-and-soft-lockup-watchdogs.patch
- commit fe82dc0
* Sun Aug  9 2020 mkubecek@suse.cz
- fix patch metadata
- fix confusing References tags:
  patches.suse/arm64-dts-allwinner-a64-Remove-unused-SPDIF-sound-ca.patch
  patches.suse/arm64-dts-imx8mm-evk-correct-ldo1-ldo2-voltage-range.patch
  patches.suse/arm64-dts-librem5-devkit-add-a-vbus-supply-to-usb0.patch
  patches.suse/arm64-dts-ls1028a-delete-extraneous-interrupt-cells-.patch
  patches.suse/arm64-dts-rockchip-Rename-dwc3-device-nodes-on-rk339.patch
  patches.suse/arm64-dts-rockchip-Replace-RK805-PMIC-node-name-with.patch
  patches.suse/arm64-dts-rockchip-fix-rk3399-puma-gmac-reset-gpio.patch
  patches.suse/arm64-dts-rockchip-fix-rk3399-puma-vcc5v0-host-gpio.patch
  patches.suse/arm64-dts-uniphier-Set-SCSSI-clock-and-reset-IDs-for.patch
  patches.suse/arm64-tegra-Enable-I2C-controller-for-EEPROM.patch
  patches.suse/arm64-tegra-Fix-Tegra194-PCIe-compatible-string.patch
  patches.suse/arm64-tegra-Fix-ethernet-phy-mode-for-Jetson-Xavier.patch
  patches.suse/arm64-tegra-Fix-flag-for-64-bit-resources-in-ranges-.patch
- commit 176f025
* Fri Aug  7 2020 lyan@suse.com
- KVM: arm64: Select TASK_DELAY_ACCT+TASKSTATS rather than
  SCHEDSTATS (bsc#1172197 jsc#SLE-13593).
- arm64: Retrieve stolen time as paravirtualized guest
  (bsc#1172197 jsc#SLE-13593).
- KVM: arm64: Provide VCPU attributes for stolen time (bsc#1172197
  jsc#SLE-13593).
- KVM: Allow kvm_device_ops to be const (bsc#1172197
  jsc#SLE-13593).
- KVM: arm64: Support stolen time reporting via shared structure
  (bsc#1172197 jsc#SLE-13593).
- KVM: Implement kvm_put_guest() (bsc#1172197 jsc#SLE-13593).
- KVM: arm64: Implement PV_TIME_FEATURES call (bsc#1172197
  jsc#SLE-13593).
  Refresh:
  patches.suse/arm-arm64-provide-a-wrapper-for-smccc-1-1-calls.patch
  patches.suse/firmware-smccc-add-the-definition-for-smcccv1-2-version-error-codes.patch
- KVM: arm/arm64: Factor out hypercall handling from PSCI code
  (bsc#1172197 jsc#SLE-13593).
- KVM: arm64: Document PV-time interface (bsc#1172197
  jsc#SLE-13593).
- commit f17479f
* Fri Aug  7 2020 mbrugger@suse.com
- arm64: dts: rockchip: fix rk3399-puma gmac reset gpio (none
  bsc#1175021).
- arm64: dts: rockchip: fix rk3399-puma vcc5v0-host gpio (none
  bsc#1175020).
- arm64: dts: imx8mm-evk: correct ldo1/ldo2 voltage range
  (none bsc#1175019).
- arm64: tegra: Fix flag for 64-bit resources in 'ranges' property
  (none bsc#1175018).
- arm64: tegra: Fix ethernet phy-mode for Jetson Xavier (none
  bsc#1175017).
- arm64: dts: allwinner: a64: Remove unused SPDIF sound card
  (none bsc#1175016).
- arm64: dts: rockchip: Rename dwc3 device nodes on rk3399 to
  make dtc happy (none bsc#1175015).
- arm64: dts: rockchip: Replace RK805 PMIC node name with "pmic"
  on rk3328 boards (none bsc#1175014).
- arm64: dts: librem5-devkit: add a vbus supply to usb0 (none
  bsc#1175013).
- arm64: dts: ls1028a: delete extraneous #interrupt-cells for
  ENETC RCIE (none bsc#1175012).
- arm64: dts: uniphier: Set SCSSI clock and reset IDs for each
  channel (none bsc#1175011).
- arm64: tegra: Enable I2C controller for EEPROM (none
  bsc#1175010).
- arm64: tegra: Fix Tegra194 PCIe compatible string (none
  bsc#1175009).
- commit a5198b8
* Fri Aug  7 2020 mbrugger@suse.com
- blacklist.conf: ignore rk3368 dts fixes
- commit ee22702
* Fri Aug  7 2020 mbrugger@suse.com
- blacklist.conf: add unsupported Arm devicetree folder
- commit b7cfb90
* Fri Aug  7 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/brcmfmac-set-timeout-value-when-configuring-power-save.patch
- commit 3eb2862
* Fri Aug  7 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/brcmfmac-Transform-compatible-string-for-FW-loading.patch
  patches.suse/scsi-lpfc-Add-an-internal-trace-log-buffer.patch
  patches.suse/scsi-lpfc-Add-blk_io_poll-support-for-latency-improv.patch
  patches.suse/scsi-lpfc-Add-support-to-display-if-adapter-dumps-ar.patch
  patches.suse/scsi-lpfc-Allow-applications-to-issue-Common-Set-Fea.patch
  patches.suse/scsi-lpfc-Fix-NVMe-rport-deregister-and-registration.patch
  patches.suse/scsi-lpfc-Fix-inconsistent-indenting.patch
  patches.suse/scsi-lpfc-Fix-interrupt-assignments-when-multiple-ve.patch
  patches.suse/scsi-lpfc-Fix-kdump-hang-on-PPC.patch
  patches.suse/scsi-lpfc-Fix-language-in-0373-message-to-reflect-no.patch
  patches.suse/scsi-lpfc-Fix-less-than-zero-comparison-of-unsigned-.patch
  patches.suse/scsi-lpfc-Fix-missing-MDS-functionality.patch
  patches.suse/scsi-lpfc-Fix-oops-due-to-overrun-when-reading-SLI3-.patch
  patches.suse/scsi-lpfc-Fix-shost-refcount-mismatch-when-deleting-.patch
  patches.suse/scsi-lpfc-Fix-stack-trace-seen-while-setting-rrq-act.patch
  patches.suse/scsi-lpfc-Fix-unused-assignment-in-lpfc_sli4_bsg_lin.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.2.patch
- commit adcc571
* Fri Aug  7 2020 tiwai@suse.de
- thermal: ti-soc-thermal: Fix reversed condition in
  ti_thermal_expose_sensor() (git-fixes).
- Staging: rtl8188eu: rtw_mlme: Fix uninitialized variable
  authmode (git-fixes).
- staging: rtl8192u: fix a dubious looking mask before a shift
  (git-fixes).
- spi: lantiq-ssc: Fix warning by using WQ_MEM_RECLAIM
  (git-fixes).
- spi: davinci: Remove uninitialized_var() usage (git-fixes).
- commit e403b7a
* Fri Aug  7 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/btrfs-make-btrfs_ordered_extent-naming-consistent-wi.patch
- commit 3f5df49
* Fri Aug  7 2020 tiwai@suse.de
- ALSA: echoaudio: Race conditions around "opencount" (git-fixes).
- commit 9c2eff2
* Fri Aug  7 2020 tiwai@suse.de
- ALSA: pci: delete repeated words in comments (git-fixes).
- ALSA: isa: delete repeated words in comments (git-fixes).
- ALSA: seq: oss: Serialize ioctls (git-fixes).
- ALSA: hda/hdmi: Add quirk to force connectivity (git-fixes).
- ALSA: usb-audio: add startech usb audio dock name (git-fixes).
- ALSA: usb-audio: Add support for Lenovo ThinkStation P620
  (git-fixes).
- ASoC: hdac_hda: fix deadlock after PCM open error (git-fixes).
- ALSA: hda: fix snd_hda_codec_cleanup() documentation
  (git-fixes).
- ASoC: Intel: bxt_rt298: add missing .owner field (git-fixes).
- ASoC: SOF: nocodec: add missing .owner field (git-fixes).
- ASoC: fsl_sai: Fix value of FSL_SAI_CR1_RFW_MASK (git-fixes).
- ASoC: meson: axg-tdmin: fix g12a skew (git-fixes).
- ASoC: meson: axg-tdm-interface: fix link fmt setup (git-fixes).
- ASoC: meson: fixes the missed kfree() for
  axg_card_add_tdm_loopback (git-fixes).
- Revert "ALSA: hda: call runtime_allow() for all hda controllers"
  (git-fixes).
- ALSA: hda/ca0132 - Fix AE-5 microphone selection commands
  (git-fixes).
- ALSA: hda/ca0132 - Add new quirk ID for Recon3D (git-fixes).
- ALSA: hda/ca0132 - Fix ZxR Headphone gain control get value
  (git-fixes).
- ALSA: usb-audio: endpoint : remove needless check before
  usb_free_coherent() (git-fixes).
- ALSA: asihpi: delete duplicated word (git-fixes).
- ALSA: line6: Use kmemdup in podhd_set_monitor_level()
  (git-fixes).
- ALSA: hda: Add support for Loongson 7A1000 controller
  (git-fixes).
- ALSA: hda/tegra: Disable sync-write operation (git-fixes).
- ALSA: echoaudio: re-enable IRQs on failure path (git-fixes).
- ALSA: line6: add hw monitor volume control for POD HD500
  (git-fixes).
- ALSA: xen: Remove superfluous fall through comments (git-fixes).
- ALSA: atmel: Remove invalid "fall through" comments (git-fixes).
- ALSA: echoaudio: Address bugs in the interrupt handling
  (git-fixes).
- ALSA: echoaudio: Prevent some noise on unloading the module
  (git-fixes).
- ALSA: echoaudio: Prevent races in calls to set_audio_format()
  (git-fixes).
- ALSA: echoaudio: Remove redundant check (git-fixes).
- ALSA: usb/line6: remove 'defined but not used' warning
  (git-fixes).
- ALSA: pci/au88x0: remove "defined but not used" warnings
  (git-fixes).
- ALSA: vx_core: remove warning for empty loop body (git-fixes).
- ALSA: pcmcia/pdaudiocf: fix kernel-doc (git-fixes).
- ALSA: pci/via82xx: remove 'set but not used' warnings
  (git-fixes).
- ALSA: pci/fm801: fix kernel-doc (git-fixes).
- ALSA: pci/es1938: remove 'set but not used' warning (git-fixes).
- ALSA: xen: remove 'set but not used' warning (git-fixes).
- ALSA: pci/oxygen/xonar_wm87x6: remove always true condition
  (git-fixes).
- ALSA: pci/rme9652/hdspm: remove always true condition
  (git-fixes).
- ALSA: pci/korg1212: remove 'set but not used' warnings
  (git-fixes).
- ALSA: pci/emu10k1: remove 'set but not used' warning
  (git-fixes).
- ALSA: firewire: fix kernel-doc (git-fixes).
- ALSA: pci/ctxfi: fix kernel-doc warnings (git-fixes).
- ALSA: pci/ctxfi/ctatc: fix kernel-doc (git-fixes).
- ALSA: pci/aw2-saa7146: remove 'set but not used' warning
  (git-fixes).
- ALSA: pci/echoaudio: remove 'set but not used' warning
  (git-fixes).
- ALSA: pci/asihpi: remove 'set but not used' warning (git-fixes).
- ALSA: pci/asihpi: fix kernel-doc (git-fixes).
- ALSA: pci/asihpi: remove 'set but not used' warnings
  (git-fixes).
- ALSA: isa/gus: remove 'set but not used' warning (git-fixes).
- ALSA: isa/gus: remove -Wmissing-prototypes warnings (git-fixes).
- ALSA: core: pcm_iec958: fix kernel-doc (git-fixes).
- ALSA: usb-audio: Fix some typos (git-fixes).
- ALSA: hda: Enable sync-write operation as default for all
  controllers (git-fixes).
- ALSA: hda/realtek: Add alc269/alc662 pin-tables for Loongson-3
  laptops (git-fixes).
- commit 49b9124
* Fri Aug  7 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/rhashtable-Document-the-right-function-parameters.patch
  patches.suse/rhashtable-Fix-unprotected-RCU-dereference-in-__rht_.patch
- commit 1af1b05
* Thu Aug  6 2020 tiwai@suse.de
- Re-sort another cherry-picked i915 patch in the upstream
  Refresh patches.suse/drm-i915-Actually-emit-the-await_start.patch
- commit 46112ad
* Thu Aug  6 2020 tiwai@suse.de
- Resort the i915 cherry-picked patch
  Refresh
  patches.suse/drm-i915-Protect-i915_request_await_start-from-early.patch
  patches.suse/drm-i915-Return-early-for-await_start-on-same-timeli.patch
- commit 20cca9b
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Return early for await_start on same timeline
  (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Protect-i915_request_await_start-from-early.patch.
- commit 06dbabf
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Improve the start alignment of bonded pairs
  (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Reorder-await_execution-before-await_reques.patch.
- commit 44313fe
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Mark up unlocked update of i915_request.hwsp_seqno
  (bsc#1174737).
- commit 50bee7f
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Mark racy read of intel_engine_cs.saturated
  (bsc#1174737).
- commit e5038ad
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Do not poison i915_request.link on removal
  (bsc#1174737).
- commit 808ecc5
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Actually emit the await_start (bsc#1174737).
- commit f0424b5
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Protect i915_request_await_start from early waits
  (bsc#1174737).
- commit 03accf1
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Flush execution tasklets before checking request
  status (bsc#1174737).
- drm/i915: Flush tasklet submission before sleeping on
  i915_request_wait (bsc#1174737).
- commit 140a397
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915/gt: Flush submission tasklet before waiting/retiring
  (bsc#1174737).
- commit b17d2a1
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Keep track of request among the scheduling lists
  (bsc#1174737).
- commit 4388a9e
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Eliminate the trylock for awaiting an earlier request
  (bsc#1174737).
- Refresh
  patches.suse/0002-drm-i915-gt-Do-not-schedule-normal-requests-immediat.patch.
- commit 590b628
* Thu Aug  6 2020 jgross@suse.com
- xen/pvcalls-back: test for errors when calling backend_connect()
  (bsc#1065600).
- commit cbfa27b
* Thu Aug  6 2020 tiwai@suse.de
- drm/i915: Use EAGAIN for trylock failures (bsc#1174737).
- commit d8a7f90
* Thu Aug  6 2020 martin.wilck@suse.com
- kabi/severities: ignore KABI for NVMe, except nvme-fc (bsc#1174777)
  Exported symbols under drivers/nvme/host/ are only used by the
  nvme subsystem itself, except for the nvme-fc symbols.
- commit 16ddcd8
* Thu Aug  6 2020 martin.wilck@suse.com
- nvme-multipath: round-robin: eliminate "fallback" variable
  (bsc#1172108).
- commit 4cdac03
* Thu Aug  6 2020 martin.wilck@suse.com
- nvme: multipath: round-robin: fix single non-optimized path case
  (bsc#1172108).
- commit 3d56aa0
* Thu Aug  6 2020 tbogendoerfer@suse.de
- ionic: unlock queue mutex in error path (bsc#1167773).
- devlink: ignore -EOPNOTSUPP errors on dumpit (bsc#1154353).
- net/mlx5e: Fix kernel crash when setting vf VLANID on a VF dev
  (jsc#SLE-8464).
- net/mlx5: E-switch, Destroy TSAR when fail to enable the mode
  (jsc#SLE-8464).
- RDMA/mlx5: Fix prefetch memory leak if get_prefetchable_mr fails
  (jsc#SLE-8446).
- commit 23bdd26
* Thu Aug  6 2020 glin@suse.com
- libbpf: Wrap source argument of BPF_CORE_READ macro in
  parentheses (bsc#1155518).
- bpf: Fix map leak in HASH_OF_MAPS map (bsc#1155518).
- net, sk_msg: Don't use RCU_INIT_POINTER on sk_user_data
  (bsc#1155518).
- commit a6677ae
* Thu Aug  6 2020 tiwai@suse.de
- wireless: Use linux/stddef.h instead of stddef.h (git-fixes).
- commit ec3012b
* Thu Aug  6 2020 tiwai@suse.de
- wl1251: fix always return 0 error (git-fixes).
- video: pxafb: Fix the function used to balance a
  'dma_alloc_coherent()' call (git-fixes).
- video: fbdev: sm712fb: fix an issue about iounmap for a wrong
  address (git-fixes).
- USB: serial: iuu_phoenix: fix led-activity helpers (git-fixes).
- USB: serial: cp210x: re-enable auto-RTS on open (git-fixes).
- USB: serial: cp210x: enable usb generic throttle/unthrottle
  (git-fixes).
- USB: iowarrior: fix up report size handling for some devices
  (git-fixes).
- usb: gadget: f_uac2: fix AC Interface Header Descriptor
  wTotalLength (git-fixes).
- usb: core: fix quirks_param_set() writing to a const pointer
  (git-fixes).
- usb: dwc2: gadget: Make use of GINTMSK2 (git-fixes).
- usbip: tools: fix module name in man page (git-fixes).
- usb: hso: Fix debug compile warning on sparc32 (git-fixes).
- wireless: Use offsetof instead of custom macro (git-fixes).
- commit 0511c57
* Thu Aug  6 2020 tiwai@suse.de
- rtw88: fix short GI capability based on current bandwidth
  (git-fixes).
- rtw88: fix LDPC field for RA info (git-fixes).
- mac80211: fix misplaced while instead of if (git-fixes).
- liquidio: Fix wrong return value in cn23xx_get_pf_num()
  (git-fixes).
- mwifiex: Fix firmware filename for sd8997 chipset (git-fixes).
- mwifiex: Fix firmware filename for sd8977 chipset (git-fixes).
- mwifiex: Prevent memory corruption handling keys (git-fixes).
- leds: gpio: Fix semantic error (git-fixes).
- leds: core: Flush scheduled work for system suspend (git-fixes).
- leds: wm831x-status: fix use-after-free on unbind (git-fixes).
- leds: lm36274: fix use-after-free on unbind (git-fixes).
- leds: lm3533: fix use-after-free on unbind (git-fixes).
- leds: da903x: fix use-after-free on unbind (git-fixes).
- phy: armada-38x: fix NETA lockup when repeatedly switching
  speeds (git-fixes).
- phy: renesas: rcar-gen3-usb2: move irq registration to init
  (git-fixes).
- phy: exynos5-usbdrd: Calibrating makes sense only for USB2.0
  PHY (git-fixes).
- net: lan78xx: fix transfer-buffer memory leak (git-fixes).
- net: lan78xx: add missing endpoint sanity check (git-fixes).
- drivers/net/wan: lapb: Corrected the usage of skb_cow
  (git-fixes).
- nfc: s3fwrn5: add missing release on skb in s3fwrn5_recv_frame
  (git-fixes).
- commit ffa42ff
* Thu Aug  6 2020 tiwai@suse.de
- drm/etnaviv: Fix error path on failure to enable bus clk
  (git-fixes).
- drm/imx: imx-ldb: Disable both channels for split mode in
  enc->disable() (git-fixes).
- drm/imx: tve: fix regulator_disable error path (git-fixes).
- drm/imx: fix use after free (git-fixes).
- drm/bridge: sil_sii8620: initialize return of sii8620_readb
  (git-fixes).
- drm: panel: simple: Fix bpc for LG LB070WV8 panel (git-fixes).
- drm/stm: repair runtime power management (git-fixes).
- drm/mipi: use dcs write for mipi_dsi_dcs_set_tear_scanline
  (git-fixes).
- drm/radeon: fix array out-of-bounds read and write issues
  (git-fixes).
- drm/panel: otm8009a: Drop unnessary
  backlight_device_unregister() (git-fixes).
- drm/arm: fix unintentional integer overflow on left shift
  (git-fixes).
- drm/bridge: ti-sn65dsi86: Don't use kernel-doc comment for
  local array (git-fixes).
- drm/bridge: ti-sn65dsi86: Clear old error bits before AUX
  transfers (git-fixes).
- drm/gem: Fix a leak in drm_gem_objects_lookup() (git-fixes).
- leds: 88pm860x: fix use-after-free on unbind (git-fixes).
- leds: lm355x: avoid enum conversion warning (git-fixes).
- gpio: max77620: Fix missing release of interrupt (git-fixes).
- kobject: Avoid premature parent object freeing in
  kobject_cleanup() (git-fixes).
- commit 004490b
* Thu Aug  6 2020 tiwai@suse.de
- appletalk: Fix atalk_proc_init() return path (git-fixes).
- Bluetooth: hci_serdev: Only unregister device if it was
  registered (git-fixes).
- Bluetooth: hci_h5: Set HCI_UART_RESET_ON_INIT to correct flags
  (git-fixes).
- Bluetooth: Fix update of connection state in `hci_encrypt_cfm`
  (git-fixes).
- Bluetooth: btmtksdio: fix up firmware download sequence
  (git-fixes).
- Bluetooth: btusb: fix up firmware download sequence (git-fixes).
- btmrvl: Fix firmware filename for sd8997 chipset (git-fixes).
- btmrvl: Fix firmware filename for sd8977 chipset (git-fixes).
- ath10k: Acquire tx_lock in tx error paths (git-fixes).
- agp/intel: Fix a memory leak on module initialisation failure
  (git-fixes).
- console: newport_con: fix an issue about leak related system
  resources (git-fixes).
- driver core: Avoid binding drivers to dead devices (git-fixes).
- devres: keep both device name and resource name in pretty name
  (git-fixes).
- b43: Remove uninitialized_var() usage (git-fixes).
- Bluetooth: fix kernel oops in store_pending_adv_report
  (git-fixes).
- drm: hold gem reference until object is no longer accessed
  (git-fixes).
- dlm: remove BUG() before panic() (git-fixes).
- ath10k: enable transmit data ack RSSI for QCA9884 (git-fixes).
- commit 964f75f
* Wed Aug  5 2020 nsaenzjulienne@suse.de
- firmware: smccc: Add ARCH_SOC_ID support (bsc#1174906).
- Update arm64 config
- firmware: smccc: Add function to fetch SMCCC version
  (bsc#1174906).
- firmware: smccc: Refactor SMCCC specific bits into separate file
  (bsc#1174906).
- firmware: smccc: Drop smccc_version enum and use
  ARM_SMCCC_VERSION_1_x instead (bsc#1174906).
- firmware: smccc: Add the definition for SMCCCv1.2 version/error
  codes (bsc#1174906).
- firmware: smccc: Update link to latest SMCCC specification
  (bsc#1174906).
- firmware: smccc: Add HAVE_ARM_SMCCC_DISCOVERY to identify SMCCC v1.1 and above (bsc#1174906).
- Update arm64 config
- arm/arm64: Make use of the SMCCC 1.1 wrapper (bsc#1174906).
- arm/arm64: Provide a wrapper for SMCCC 1.1 calls (bsc#1174906).
- firmware: arm_sdei: use common SMCCC_CONDUIT_* (bsc#1174906).
- firmware/psci: use common SMCCC_CONDUIT_* (bsc#1174906).
- arm: spectre-v2: use arm_smccc_1_1_get_conduit() (bsc#1174906).
- arm64: errata: use arm_smccc_1_1_get_conduit() (bsc#1174906).
- arm/arm64: smccc/psci: add arm_smccc_1_1_get_conduit()
  (bsc#1174906).
- commit 91485ab
* Wed Aug  5 2020 mbrugger@suse.com
- blacklist.conf: ignore documentation fixes
- commit da3606d
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: remove ASYNC_COMMIT mechanism in favor of
  reserve retry-after-EDQUOT (bsc#1120163).
- commit a0c01d8
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: try to flush qgroup space when we get  -EDQUOT
  (bsc#1120163).
- commit 110b26f
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: allow to unreserve range without releasing
  other ranges (bsc#1120163).
- commit 292ee83
* Wed Aug  5 2020 wqu@suse.com
- btrfs: qgroup: fix data leak caused by race between writeback
  and truncate (bsc#1172247).
- commit e7691a1
* Wed Aug  5 2020 wqu@suse.com
- btrfs: change timing for qgroup reserved space for  ordered
  extents to fix reserved space leak (bsc#1172247).
- commit 5f13741
* Wed Aug  5 2020 wqu@suse.com
- btrfs: file: reserve qgroup space after the hole punch  range
  is locked (bsc#1172247).
- commit c1e305c
* Wed Aug  5 2020 wqu@suse.com
- btrfs: inode: move qgroup reserved space release to the  callers
  of insert_reserved_file_extent() (bsc#1172247).
- commit c77d18c
* Wed Aug  5 2020 wqu@suse.com
- btrfs: inode: refactor the parameters of
  insert_reserved_file_extent() (bsc#1172247).
- commit 999728e
* Wed Aug  5 2020 wqu@suse.com
- btrfs: make btrfs_ordered_extent naming consistent with
  btrfs_file_extent_item (bsc#1172247).
- commit 3a23bcd
* Wed Aug  5 2020 glin@suse.com
- bpf: net: Avoid incorrect bpf_sk_reuseport_detach call
  (bsc#1155518).
- bpf: net: Avoid copying sk_user_data of reuseport_array during
  sk_clone (bsc#1155518).
- net, sk_msg: Clear sk_user_data pointer on clone if tagged
  (bsc#1155518).
- commit 9a81f17
* Wed Aug  5 2020 dbueso@suse.de
- rhashtable: Restore RCU marking on rhash_lock_head
  (bsc#1174880).
- rhashtable: Fix unprotected RCU dereference in __rht_ptr
  (bsc#1174880).
- rhashtable: drop duplicated word in <linux/rhashtable.h>
  (bsc#1174880).
- rhashtable: Drop raw RCU deref in nested_table_free
  (bsc#1174880).
- rhashtable: Document the right function parameters
  (bsc#1174880).
- commit c0ec5b4
* Tue Aug  4 2020 lyan@suse.com
- KVM: arm64: Make vcpu_cp1x() work on Big Endian hosts
  (bsc#1133021).
- KVM: arm64: Stop writing aarch32's CSSELR into ACTLR
  (bsc#1133021).
- KVM: arm64: Fix 32bit PC wrap-around (bsc#1133021).
- KVM: arm: vgic: Fix limit condition when writing to
  GICD_IACTIVER (bsc#1133021).
- KVM: arm64: Use the correct timer structure to access the
  physical counter (bsc#1133021).
- KVM: arm/arm64: Correct AArch32 SPSR on exception entry
  (bsc#1133021).
- KVM: arm/arm64: Correct CPSR on exception entry (bsc#1133021).
- KVM: arm64: Correct PSTATE on exception entry (bsc#1133021).
- KVM: Play nice with read-only memslots when querying host page
  size (bsc#1133021).
- commit 854e6da
* Tue Aug  4 2020 tiwai@suse.de
- drm/i915: Reorder await_execution before await_request
  (bsc#1174737).
- commit 75817a8
* Tue Aug  4 2020 tiwai@suse.de
- drm/i915: Copy across scheduler behaviour flags across submit
  fences (bsc#1174737).
- commit 718e478
* Tue Aug  4 2020 tiwai@suse.de
- drm/i915: Lock signaler timeline while navigating (bsc#1174737).
- commit d0600f4
* Tue Aug  4 2020 tiwai@suse.de
- drm/i915: Mark i915_request.timeline as a volatile, rcu pointer
  (bsc#1174737).
- Refresh
  patches.suse/drm-i915-Hold-reference-to-intel_frontbuffer-as-we-t.patch.
- Refresh
  patches.suse/drm-i915-Protect-context-while-grabbing-its-name-for.patch.
- Refresh
  patches.suse/drm-i915-Reduce-nested-prepare_remote_context-to-a-t.patch.
- commit fce086e
* Tue Aug  4 2020 lyan@suse.com
- KVM: s390: Remove false WARN_ON_ONCE for the PQAP instruction
  (bsc#1133021).
- commit f7e204d
* Tue Aug  4 2020 nsaenzjulienne@suse.de
- clk: bcm2835: Do not use prediv with bcm2711's PLLs
  (bsc#1174865).
- brcmfmac: Set timeout value when configuring power save
  (bsc#1173468).
- commit 4d732a9
* Tue Aug  4 2020 tbogendoerfer@suse.de
- IB/rdmavt: Fix RQ counting issues causing use of an invalid RWQE
  (bsc#1174770).
- commit 4c02379
* Tue Aug  4 2020 tiwai@suse.de
- spi: rockchip: Fix error in SPI slave pio read (git-fixes).
- spi: sun4i: update max transfer size reported (git-fixes).
- spi: lantiq: fix: Rx overflow error in full duplex mode
  (git-fixes).
- spi: spi-geni-qcom: Actually use our FIFO (git-fixes).
- regulator: gpio: Honor regulator-boot-on property (git-fixes).
- clk: scmi: Fix min and max rate when registering clocks with
  discrete rates (git-fixes).
- firmware: arm_scmi: Keep the discrete clock rates sorted
  (git-fixes).
- firmware: arm_scmi: Fix SCMI genpd domain probing (git-fixes).
- platform/x86: intel-vbtn: Fix return value check in
  check_acpi_dev() (git-fixes).
- platform/x86: intel-hid: Fix return value check in
  check_acpi_dev() (git-fixes).
- crypto: qat - fix double free in qat_uclo_create_batch_init_list
  (git-fixes).
- crypto: ccp - Fix use of merged scatterlists (git-fixes).
- crypto: ccree - fix resource leak on error path (git-fixes).
- crypto: hisilicon - don't sleep of CRYPTO_TFM_REQ_MAY_SLEEP
  was not specified (git-fixes).
- crypto: cpt - don't sleep of CRYPTO_TFM_REQ_MAY_SLEEP was not
  specified (git-fixes).
- crypto: caam - Fix argument type in handle_imx6_err005766
  (git-fixes).
- crc-t10dif: Fix potential crypto notify dead-lock (git-fixes).
- tpm: Require that all digests are present in TCG_PCR_EVENT2
  structures (git-fixes).
- commit 64bac7f
* Mon Aug  3 2020 lyan@suse.com
- kABI workaround for struct kvm_device (git-fixes).
  Just change an variable to "const" type in kvm_device.
- commit 1c95856
* Mon Aug  3 2020 lyan@suse.com
- kABI workaround for enum cpuhp_state (git-fixes).
- commit 889dc24
* Mon Aug  3 2020 lyan@suse.com
- kABI workaround for struct kvm_vcpu_arch (git-fixes).
  Add a struct variable to the end of kvm_vcpu_arch and kvm_vcpu_arch
  is embedded into kvm_vcpu at the end. It is usually used by pointer
  and allocated dynamically, so this change should be fine even for
  external kvm module.
- commit c324264
* Mon Aug  3 2020 jack@suse.cz
- patches.suse/revert-zram-convert-remaining-class_attr-to-class_attr_ro:
  Update tags
- commit 3b99445
* Mon Aug  3 2020 jack@suse.cz
- gfs2: fix gfs2_find_jhead that returns uninitialized jhead
  with seq 0 (bsc#1174825).
- commit 796da2e
* Mon Aug  3 2020 jack@suse.cz
- gfs2: Another gfs2_find_jhead fix (bsc#1174824).
- commit eb92077
* Mon Aug  3 2020 lhenriques@suse.de
- blacklist.conf: mtd kernel-doc fixes
- commit 12371a2
* Mon Aug  3 2020 jslaby@suse.cz
- Fix for missing check in vgacon scrollback handling (bsc#1174205
  CVE-2020-14331).
  Update to the latest findings/submission.
- commit 2b80031
* Mon Aug  3 2020 shung-hsi.yu@suse.com
- ubsan: check panic_on_warn (bsc#1174805).
- commit 4b3b09b
* Sun Aug  2 2020 tiwai@suse.de
- af_key: pfkey_dump needs parameter validation (git-fixes).
- mac80211: mesh: Free pending skb when destroying a mpath
  (git-fixes).
- mac80211: mesh: Free ie data when leaving mesh (git-fixes).
- i2c: also convert placeholder function to return errno
  (git-fixes).
- drm/amd/display: Clear dm_state for fast updates (git-fixes).
- drm/amdgpu: Prevent kernel-infoleak in amdgpu_info_ioctl()
  (git-fixes).
- regmap: debugfs: check count when read regmap file (git-fixes).
- PM: wakeup: Show statistics for deleted wakeup sources again
  (git-fixes).
- commit f22517a
* Sun Aug  2 2020 tiwai@suse.de
- ALSA: hda/realtek - Fixed HP right speaker no sound (git-fixes).
- ALSA: hda: fix NULL pointer dereference during suspend
  (git-fixes).
- ALSA: hda/hdmi: Fix keep_power assignment for non-component
  devices (git-fixes).
- ALSA: hda: Workaround for spurious wakeups on some Intel
  platforms (git-fixes).
- ALSA: hda/realtek: Fix add a "ultra_low_power" function for
  intel reference board (alc256) (git-fixes).
- ALSA: hda/realtek: typo_fix: enable headset mic of ASUS ROG
  Zephyrus G14(GA401) series with ALC289 (git-fixes).
- ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
  G15(GA502) series with ALC289 (git-fixes).
- ALSA: usb-audio: Add implicit feedback quirk for SSL2
  (git-fixes).
- commit 7cc8f61
* Fri Jul 31 2020 mkoutny@suse.com
- mm: Fix protection usage propagation (bsc#1174002).
- commit 446569c
* Fri Jul 31 2020 tiwai@suse.de
- Revert "drm/amdgpu: Fix NULL dereference in dpm sysfs handlers"
  (git-fixes).
- ARM: percpu.h: fix build error (git-fixes).
- random: fix circular include dependency on arm64 after addition
  of percpu.h (git-fixes).
- commit a78809a
* Fri Jul 31 2020 mbrugger@suse.com
- uio_pdrv_genirq: Remove warning when irq is not specified
  (bsc#1174762).
- commit 31bf7b7
* Fri Jul 31 2020 tiwai@suse.de
- random32: update the net random state on interrupt and activity
  (CVE-2020-16166 bsc#1174757).
- commit 81d991d
* Fri Jul 31 2020 tiwai@suse.de
- PCI/ASPM: Disable ASPM on ASMedia ASM1083/1085 PCIe-to-PCI
  bridge (git-fixes).
- commit f661820
* Thu Jul 30 2020 tiwai@suse.de
- 9p/trans_fd: Fix concurrency del of req_list in
  p9_fd_cancelled/p9_read_work (git-fixes).
- staging: wlan-ng: properly check endpoint types (git-fixes).
- serial: exar: Fix GPIO configuration for Sealevel cards based
  on XR17V35X (git-fixes).
- fbdev: Detect integer underflow at "struct
  fbcon_ops"->clear_margins (git-fixes).
- serial: 8250_mtk: Fix high-speed baud rates clamping
  (git-fixes).
- serial: 8250: fix null-ptr-deref in serial8250_start_tx()
  (git-fixes).
- serial: tegra: fix CREAD handling for PIO (git-fixes).
- vt: Reject zero-sized screen buffer size (git-fixes).
- usb: xhci: Fix ASM2142/ASM3142 DMA addressing (git-fixes).
- drm/amdgpu: Fix NULL dereference in dpm sysfs handlers
  (git-fixes).
- usb: gadget: udc: gr_udc: fix memleak on error handling path
  in gr_ep_init() (git-fixes).
- usb: dwc3: pci: add support for the Intel Jasper Lake
  (git-fixes).
- usb: dwc3: pci: add support for the Intel Tiger Lake PCH -H
  variant (git-fixes).
- hwmon: (scmi) Fix potential buffer overflow in
  scmi_hwmon_probe() (git-fixes).
- hwmon: (nct6775) Accept PECI Calibration as temperature source
  for NCT6798D (git-fixes).
- hwmon: (adm1275) Make sure we are reading enough data for
  different chips (git-fixes).
- hwmon: (aspeed-pwm-tacho) Avoid possible buffer overflow
  (git-fixes).
- spi: mediatek: use correct SPI_CFG2_REG MACRO (git-fixes).
- regmap: dev_get_regmap_match(): fix string comparison
  (git-fixes).
- HID: apple: Disable Fn-key key-re-mapping on clone keyboards
  (git-fixes).
- HID: steam: fixes race in handling device list (git-fixes).
- HID: alps: support devices with report id 2 (git-fixes).
- HID: i2c-hid: add Mediacom FlexBook edge13 to descriptor
  override (git-fixes).
- drm/amdgpu: fix preemption unit test (git-fixes).
- drm/amdgpu/gfx10: fix race condition for kiq (git-fixes).
- serial: mxs-auart: add missed iounmap() in probe failure and
  remove (git-fixes).
- dmaengine: ioat setting ioat timeout as module parameter
  (git-fixes).
- dmaengine: fsl-edma: fix wrong tcd endianness for big-endian
  cpu (git-fixes).
- dmaengine: tegra210-adma: Fix runtime PM imbalance on error
  (git-fixes).
- Input: elan_i2c - only increment wakeup count on touch
  (git-fixes).
- Input: synaptics - enable InterTouch for ThinkPad X1E 1st gen
  (git-fixes).
- mac80211: allow rx of mesh eapol frames with default rx key
  (git-fixes).
- pinctrl: amd: fix npins for uart0 in kerncz_groups (git-fixes).
- gpio: arizona: put pm_runtime in case of failure (git-fixes).
- gpio: arizona: handle pm_runtime_get_sync failure case
  (git-fixes).
- drivers/firmware/psci: Fix memory leakage in
  alloc_init_cpu_groups() (git-fixes).
- drm/nouveau/i2c/g94-: increase NV_PMGR_DP_AUXCTL_TRANSACTREQ
  timeout (git-fixes).
- serial: amba-pl011: Make sure we initialize the port.lock
  spinlock (git-fixes).
- serial: 8250_pci: Move Pericom IDs to pci_ids.h (git-fixes).
- commit 5b7d8a8
* Thu Jul 30 2020 hare@suse.de
- nvme: kABI fixes for nvme_ctrl (bsc#1159058).
- commit dc7531f
* Thu Jul 30 2020 ghe@suse.com
- ocfs2: fix panic on nfs server over ocfs2 (bsc#1172963).
- ocfs2: load global_inode_alloc (bsc#1172963).
- ocfs2: avoid inode removal while nfsd is accessing it
  (bsc#1172963).
- commit 1a01c78
* Thu Jul 30 2020 aherrmann@suse.com
- docs: fix memory.low description in cgroup-v2.rst (git-fixes).
  (SLE documentation might refer to cgroup-v2.rst.)
- commit 1c58dff
* Thu Jul 30 2020 aherrmann@suse.com
- net: Fix a documentation bug wrt. ip_unprivileged_port_start (git-fixes).
  (SLES tuning guide refers to ip-sysctl.txt.)
- commit b51f83b
* Thu Jul 30 2020 aherrmann@suse.com
- blacklist.conf: Add dc8d37ed304ee ("cpu/SMT: Fix x86 link error without CONFIG_SYSFS")
- commit 24e5ac8
* Thu Jul 30 2020 aherrmann@suse.com
- blacklist.conf: Add 98919f4c9a342 ("Documentation: debugfs: Document debugfs helper for unsigned long values")
- commit 5a3f2df
* Thu Jul 30 2020 aherrmann@suse.com
- io-mapping: indicate mapping failure (git-fixes).
- commit b3a6154
* Wed Jul 29 2020 dwagner@suse.de
- powerpc/pseries: PCIE PHB reset (bsc#1174689).
- powerpc/eeh: Fix pseries_eeh_configure_bridge() (bsc#1174689).
- commit ba8e81b
* Wed Jul 29 2020 hare@suse.de
- nvme: consolodate io settings (bsc#1159058).
- nvme: revalidate namespace stream parameters (bsc#1159058).
- nvme: consolidate chunk_sectors settings (bsc#1159058).
- nvme: revalidate after verifying identifiers (bsc#1159058).
- nvme-multipath: set bdi capabilities once (bsc#1159058).
- nvme: check namespace head shared property (bsc#1159058).
- nvme: always search for namespace head (bsc#1159058).
- nvme: release namespace head reference on error (bsc#1159058).
- nvme: unlink head after removing last namespace (bsc#1159058).
- nvme: remove the magic 1024 constant in nvme_scan_ns_list
  (bsc#1159058).
- nvme: avoid an Identify Controller command for each namespace
  (bsc#1159058).
- nvme: factor out a nvme_ns_remove_by_nsid helper (bsc#1159058).
- nvme: clean up nvme_scan_work (bsc#1159058).
- nvme: refine the Qemu Identify CNS quirk (bsc#1159058).
- nvme: remove unused parameter (bsc#1159058).
- commit fe17413
* Wed Jul 29 2020 rgoldwyn@suse.com
- Delete patches.suse/apparmor-Fix-memory-leak-of-profile-proxy.patch (bsc#1174627)
- commit dbe0add
* Wed Jul 29 2020 hare@suse.de
- nvme-multipath: do not fall back to __nvme_find_path() for non-optimized paths (bsc#1172108).
- nvme-multipath: fix logic for non-optimized paths (bsc#1172108).
- commit a2fe085
* Wed Jul 29 2020 dwagner@suse.de
- xfrm: fix a warning in xfrm_policy_insert_list (bsc#1174645).
- commit e77828e
* Wed Jul 29 2020 tbogendoerfer@suse.de
- IB/mlx5: Fix DEVX support for MLX5_CMD_OP_INIT2INIT_QP command
  (git-fixes).
- i40iw: fix null pointer dereference on a null wqe pointer
  (git-fixes).
- commit 76175e9
* Wed Jul 29 2020 mbenes@suse.cz
- x86/stacktrace: Fix reliable check for empty user task stacks
  (bsc#1058115).
- commit 4883ff2
* Wed Jul 29 2020 tbogendoerfer@suse.de
- qed: suppress false-positives interrupt error messages on HW
  init (git-fixes).
- qed: suppress "don't support RoCE & iWARP" flooding on HW init
  (git-fixes).
- netdevsim: fix unbalaced locking in nsim_create() (git-fixes).
- net: hns3: fix return value error when query MAC link status
  fail (git-fixes).
- net: hns3: fix error handling for desc filling (git-fixes).
- net: hns3: fix for not calculating TX BD send size correctly
  (git-fixes).
- ionic: use mutex to protect queue operations (bsc#1167773).
- ionic: keep rss hash after fw update (bsc#1167773).
- ionic: update filter id after replay (bsc#1167773).
- ionic: fix up filter locks and debug msgs (bsc#1167773).
- ionic: use offset for ethtool regs data (bsc#1167773).
- mlxsw: core: Fix wrong SFP EEPROM reading for upper pages 1-3
  (bsc#1154488).
- rtnetlink: Fix memory(net_device) leak when ->newlink fails
  (bsc#1154353).
- bnxt_en: Init ethtool link settings after reading updated PHY
  configuration (jsc#SLE-8371 bsc#1153274).
- RDMA/mlx5: Prevent prefetch from racing with implicit
  destruction (jsc#SLE-8446).
- RDMA/core: Fix race in rdma_alloc_commit_uobject() (git-fixes).
- RDMA/mlx5: Use xa_lock_irq when access to SRQ table (git-fixes).
- IB/mlx5: Fix 50G per lane indication (git-fixes).
- RDMA/siw: Fix reporting vendor_part_id (git-fixes).
- IB/sa: Resolv use-after-free in ib_nl_make_request()
  (git-fixes).
- IB/mad: Fix use after free when destroying MAD agent
  (git-fixes).
- RDMA/counter: Query a counter before release (git-fixes).
- RDMA/mad: Fix possible memory leak in ib_mad_post_receive_mads()
  (git-fixes).
- RDMA/cma: Protect bind_list and listen_list while finding
  matching cm id (git-fixes).
- RDMA/qedr: Fix KASAN: use-after-free in ucma_event_handler+0x532
  (git-fixes).
- RDMA/efa: Set maximum pkeys device attribute (git-fixes).
- RDMA/rvt: Fix potential memory leak caused by rvt_alloc_rq
  (git-fixes).
- RDMA/siw: Fix pointer-to-int-cast warning in siw_rx_pbl()
  (git-fixes).
- IB/cma: Fix ports memory leak in cma_configfs (git-fixes).
- RDMA/mlx5: Add init2init as a modify command (git-fixes).
- RDMA/hns: Fix cmdq parameter of querying pf timer resource
  (git-fixes).
- RDMA/hns: Bugfix for querying qkey (git-fixes).
- RDMA/uverbs: Fix create WQ to use the given user handle
  (git-fixes).
- RDMA/mlx5: Verify that QP is created with RQ or SQ (git-fixes).
- RDMA/mlx5: Fix udata response upon SRQ creation (git-fixes).
- RDMA/rxe: Set default vendor ID (git-fixes).
- IB/ipoib: Fix double free of skb in case of multicast traffic
  in CM mode (git-fixes).
- RDMA/core: Fix double destruction of uobject (git-fixes).
- RDMA/pvrdma: Fix missing pci disable in pvrdma_pci_probe()
  (git-fixes).
- IB/qib: Call kobject_put() when kobject_init_and_add() fails
  (git-fixes).
- RDMA/iw_cxgb4: Fix incorrect function parameters (git-fixes).
- RDMA/core: Fix double put of resource (git-fixes).
- IB/core: Fix potential NULL pointer dereference in pkey cache
  (git-fixes).
- IB/mlx4: Test return value of calls to ib_get_cached_pkey
  (git-fixes).
- RDMA/rxe: Always return ERR_PTR from rxe_create_mmap_info()
  (git-fixes).
- i40iw: Fix error handling in i40iw_manage_arp_cache()
  (git-fixes).
- RDMA/core: Fix race between destroy and release FD object
  (git-fixes).
- IB/rdmavt: Always return ERR_PTR from rvt_create_mmap_info()
  (git-fixes).
- RDMA/core: Prevent mixed use of FDs between shared ufiles
  (git-fixes).
- RDMA/mlx5: Set GRH fields in query QP on RoCE (git-fixes).
- RDMA/siw: Fix potential siw_mem refcnt leak in siw_fastreg_mr()
  (git-fixes).
- RDMA/mlx4: Initialize ib_spec on the stack (git-fixes).
- RDMA/cm: Fix an error check in cm_alloc_id_priv() (git-fixes).
- IB/hfi1: Fix memory leaks in sysfs registration and
  unregistration (git-fixes).
- RDMA/rxe: Set sys_image_guid to be aligned with HW IB devices
  (git-fixes).
- RDMA/cm: Update num_paths in cma_resolve_iboe_route error flow
  (git-fixes).
- IB/rdmavt: Delete unused routine (git-fixes).
- i40iw: Report correct firmware version (git-fixes).
- RDMA/cm: Add missing locking around id.state in
  cm_dup_req_handler (git-fixes).
- RDMA/cm: Read id.state under lock when doing pr_debug()
  (git-fixes).
- RDMA/cm: Remove a race freeing timewait_info (git-fixes).
- RDMA/cm: Fix checking for allowed duplicate listens (git-fixes).
- RDMA/cm: Fix ordering of xa_alloc_cyclic() in ib_create_cm_id()
  (git-fixes).
- IB/mlx5: Replace tunnel mpls capability bits for tunnel_offloads
  (git-fixes).
- RDMA/siw: Fix passive connection establishment (git-fixes).
- IB/mlx5: Fix missing congestion control debugfs on rep rdma
  device (git-fixes).
- RDMA/ucma: Put a lock around every call to the rdma_cm layer
  (git-fixes).
- RDMA/siw: Fix setting active_{speed, width} attributes
  (git-fixes).
- RDMA/rxe: Fix configuration of atomic queue pair attributes
  (git-fixes).
- RDMA/siw: Fix setting active_mtu attribute (git-fixes).
- i40iw: Do an RCU lookup in i40iw_add_ipv4_addr (git-fixes).
- RDMA/mlx5: Fix access to wrong pointer while performing flush
  due to error (git-fixes).
- IB/hfi1: Ensure pq is not left on waitlist (git-fixes).
- RDMA/mad: Do not crash if the rdma device does not have a umad
  interface (git-fixes).
- RDMA/core: Fix missing error check on dev_set_name()
  (git-fixes).
- RDMA/mlx5: Fix the number of hwcounters of a dynamic counter
  (git-fixes).
- RDMA/iwcm: Fix iwcm work deallocation (git-fixes).
- RDMA/siw: Fix failure handling during device creation
  (git-fixes).
- RDMA/nldev: Fix crash when set a QP to a new counter but QPN
  is missing (git-fixes).
- RDMA/core: Fix protection fault in ib_mr_pool_destroy
  (git-fixes).
- IB/hfi1, qib: Ensure RCU is locked when accessing list
  (git-fixes).
- RMDA/cm: Fix missing ib_cm_destroy_id() in ib_cm_insert_listen()
  (git-fixes).
- Revert "RDMA/cma: Simplify rdma_resolve_addr() error flow"
  (git-fixes).
- commit 3509d43
* Wed Jul 29 2020 mbenes@suse.cz
- x86/unwind/orc: Fix ORC for newly forked tasks (bsc#1058115).
- commit c9872a0
* Tue Jul 28 2020 tzimmermann@suse.de
- drm/amd/powerplay: fix a crash when overclocking Vega M (bsc#1152472)
- commit e5783e4
* Tue Jul 28 2020 tzimmermann@suse.de
- drm/i915: Move cec_notifier to intel_hdmi_connector_unregister, v2. (bsc#1152489)
  * context changes
- commit 832eb1e
* Tue Jul 28 2020 tzimmermann@suse.de
- drm/i915/gt: Only swap to a random sibling once upon creation (bsc#1152489)
  * context changes
- commit b0d94d8
* Tue Jul 28 2020 tzimmermann@suse.de
- drm/i915/fbc: Fix fence_y_offset handling (bsc#1152489)
  * context changes
- commit c4ded04
* Tue Jul 28 2020 tiwai@suse.de
- rtnetlink: Fix memory(net_device) leak when ->newlink fails
  (git-fixes).
- commit 11a9564
* Tue Jul 28 2020 tiwai@suse.de
- NTB: ntb_test: Fix bug when counting remote files (git-fixes).
- NTB: perf: Fix race condition when run with ntb_test
  (git-fixes).
- NTB: perf: Fix support for hardware that doesn't have port
  numbers (git-fixes).
- NTB: perf: Don't require one more memory window than number
  of peers (git-fixes).
- NTB: ntb_pingpong: Choose doorbells based on port number
  (git-fixes).
- NTB: Fix the default port and peer numbers for legacy drivers
  (git-fixes).
- NTB: Revert the change to use the NTB device dev for DMA
  allocations (git-fixes).
- NTB: ntb_tool: reading the link file should not end in a NULL
  byte (git-fixes).
- ntb_tool: pass correct struct device to dma_alloc_coherent
  (git-fixes).
- ntb_perf: pass correct struct device to dma_alloc_coherent
  (git-fixes).
- ntb: hw: remove the code that sets the DMA mask (git-fixes).
- NTB: Fix static check warning in perf_clear_test (git-fixes).
- habanalabs: increase timeout during reset (git-fixes).
- commit 6d2dc2c
* Tue Jul 28 2020 tiwai@suse.de
- geneve: fix an uninitialized value in geneve_changelink()
  (git-fixes).
- ieee802154: fix one possible memleak in adf7242_probe
  (git-fixes).
- nfc: nci: add missed destroy_workqueue in nci_register_device
  (git-fixes).
- hippi: Fix a size used in a 'pci_free_consistent()' in an
  error handling path (git-fixes).
- i2c: i2c-qcom-geni: Fix DMA transfer race (git-fixes).
- i2c: rcar: always clear ICSAR to avoid side effects (git-fixes).
- Revert "i2c: cadence: Fix the hold bit setting" (git-fixes).
- drm/amd/powerplay: fix a crash when overclocking Vega M
  (git-fixes).
- drm: sun4i: hdmi: Fix inverted HPD result (git-fixes).
- phy: sun4i-usb: fix dereference of pointer phy0 before it is
  null checked (git-fixes).
- commit ce8f443
* Tue Jul 28 2020 tiwai@suse.de
- fpga: dfl: fix bug in port reset handshake (git-fixes).
- staging: comedi: addi_apci_1564: check INSN_CONFIG_DIGITAL_TRIG
  shift (git-fixes).
- staging: comedi: addi_apci_1500: check INSN_CONFIG_DIGITAL_TRIG
  shift (git-fixes).
- staging: comedi: addi_apci_1032: check INSN_CONFIG_DIGITAL_TRIG
  shift (git-fixes).
- staging: comedi: ni_6527: fix INSN_CONFIG_DIGITAL_TRIG support
  (git-fixes).
- usb: tegra: Fix allocation for the FPCI context (git-fixes).
- usb: xhci-mtk: fix the failure of bandwidth allocation
  (git-fixes).
- commit c8a893b
* Tue Jul 28 2020 tiwai@suse.de
- ath9k: Fix regression with Atheros 9271 (git-fixes).
- ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
  (git-fixes).
- commit 86f66b0
* Tue Jul 28 2020 tiwai@suse.de
- blacklist.conf: remove ath9k commit and add phy/realtek commit
- commit d6994a7
* Tue Jul 28 2020 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: Enable overlayfs
  Overlayfs is needed for podman or docker builds when no more specific
  driver can be used (like lvm or btrfs). As the default build fs is ext4
  currently, we need overlayfs kernel modules to be available.
- commit 29474aa
* Tue Jul 28 2020 jslaby@suse.cz
- vgacon: fix out of bounds write to the scrollback buffer
  (bsc#1174205 CVE-2020-14331).
- commit ffe1c3f
* Mon Jul 27 2020 tiwai@suse.de
- tpm_crb: fix fTPM on AMD Zen+ CPUs (bsc#1174362).
- commit 244d11a
* Mon Jul 27 2020 dwagner@suse.de
- scsi: libfc: Skip additional kref updating work event
  (bsc#1173849).
- scsi: libfc: Handling of extra kref (bsc#1173849).
- scsi: libfc: rport state move to PLOGI if all PRLI retry
  exhausted (bsc#1173849).
- scsi: libfc: If PRLI rejected, move rport to PLOGI state
  (bsc#1173849).
- scsi: libfc: free response frame from GPN_ID (bsc#1173849).
- commit e4b0418
* Mon Jul 27 2020 jslaby@suse.cz
- /dev/mem: Add missing memory barriers for devmem_inode
  (git-fixes).
- commit faada70
* Mon Jul 27 2020 mkubecek@suse.cz
- fix paches metadata
- fix Patch-mainline:
  patches.suse/NFS-Fix-interrupted-slots-by-sending-a-solo-SEQUENCE.patch
  patches.suse/sunrpc-Fix-gss_unwrap_resp_integ-again.patch
- commit 8700f50
* Mon Jul 27 2020 jslaby@suse.cz
- /dev/mem: Revoke mappings when a driver claims the region
  (git-fixes).
- commit 12e79d4
* Mon Jul 27 2020 vbabka@suse.cz
- mm/mmap.c: close race between munmap() and
  expand_upwards()/downwards() (bsc#1174527).
- commit 8d322cd
* Mon Jul 27 2020 acho@suse.com
- Bluetooth: Disconnect if E0 is used for Level 4 (bsc#1171988
  CVE-2020-10135).
- Bluetooth: Consolidate encryption handling in hci_encrypt_cfm
  (bsc#1171988 CVE-2020-10135).
- commit 247f41e
* Mon Jul 27 2020 jslaby@suse.cz
- udp: Improve load balancing for SO_REUSEPORT (git-fixes).
- udp: Copy has_conns in reuseport_grow() (git-fixes).
- net/smc: fix restoring of fallback changes (git-fixes).
- ax88172a: fix ax88172a_unbind() failures (git-fixes).
- ovl: inode reference leak in ovl_is_inuse true case (git-fixes).
- commit 8886a83
* Mon Jul 27 2020 tbogendoerfer@suse.de
- IB/hfi1: Fix module use count flaw due to leftover module put
  calls (bsc#1174407).
- IB/hfi1: Fix another case where pq is left on waitlist
  (bsc#1174411).
- commit 4615f3f
* Mon Jul 27 2020 tiwai@suse.de
- PCI/EDR: Log only ACPI_NOTIFY_DISCONNECT_RECOVER events
  (bsc#1174513).
- commit 4124752
* Mon Jul 27 2020 neilb@suse.de
- kabi fix for SUNRPC-dont-update-timeout-value-on-connection-reset.patch
  (bsc1174263).
- commit b2c60a4
* Mon Jul 27 2020 neilb@suse.de
- SUNRPC dont update timeout value on connection reset
  (bsc#1174263).
- NFS: Fix interrupted slots by sending a solo SEQUENCE operation
  (bsc#1174264).
- commit a34253a
* Mon Jul 27 2020 neilb@suse.de
- sunrpc: Fix gss_unwrap_resp_integ() again (bsc#1174116).
- commit 74de0ef
* Mon Jul 27 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and move into sorted section:
  patches.suse/sched-Fix-race-against-ptrace_freeze_trace.patch
- commit d3c68dc
* Sun Jul 26 2020 tiwai@suse.de
- arm64: dts: ls1046ardb: set RGMII interfaces to RGMII_ID mode
  (bsc#1174398).
- arm64: dts: ls1043a-rdb: correct RGMII delay mode to rgmii-id
  (bsc#1174398).
- net: fsl/fman: treat all RGMII modes in memac_adjust_link()
  (bsc#1174398).
- commit 9181d93
* Sun Jul 26 2020 tiwai@suse.de
- net: phy: realtek: add support for configuring the RX delay
  on RTL8211F (bsc#1174398).
- commit f56681f
* Sat Jul 25 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/sched-fair-handle-case-of-task_h_load-returning-0.patch
- commit 48a221d
* Fri Jul 24 2020 mgorman@suse.de
- sched/fair: handle case of task_h_load() returning 0
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit ea548c6
* Fri Jul 24 2020 mgorman@suse.de
- Refresh patches.suse/sched-Fix-loadavg-accounting-race.patch.
- commit 1d3f65b
* Fri Jul 24 2020 tbogendoerfer@suse.de
- IB/hfi1: Do not destroy link_wq when the device is shut down
  (bsc#1174409).
- IB/hfi1: Do not destroy hfi1_wq when the device is shut down
  (bsc#1174409).
- commit 469cd59
* Fri Jul 24 2020 tiwai@suse.de
- Update patch reference tag for cdev security fix (CVE-2020-0305, bsc#1174462)
- commit 589a02e
* Thu Jul 23 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/btrfs-add-assertions-for-tree-inode-io_tree-to-exten.patch
  patches.suse/btrfs-drop-argument-tree-from-btrfs_lock_and_flush_o.patch
  patches.suse/btrfs-use-correct-count-in-btrfs_file_write_iter.patch
- commit 06e9b7f
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix RWF_NOWAIT writes blocking on extent locks and
  waiting for IO (bsc#1174438).
- commit 6283198
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: drop argument tree from
  btrfs_lock_and_flush_ordered_range (bsc#1174438).
- commit fddc7a9
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: add assertions for tree == inode->io_tree to extent IO
  helpers (bsc#1174438).
- commit b6577c1
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix RWF_NOWAIT write not failling when we need to cow
  (bsc#1174438).
- commit 5cd33df
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix failure of RWF_NOWAIT write into prealloc extent
  beyond eof (bsc#1174438).
- commit e8b9f70
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: fix hang on snapshot creation after RWF_NOWAIT write
  (bsc#1174438).
- commit b6d39e5
* Thu Jul 23 2020 fdmanana@suse.com
- btrfs: use correct count in btrfs_file_write_iter()
  (bsc#1174438).
- commit b0f2e4b
* Thu Jul 23 2020 ykaukab@suse.de
- dpaa_eth: Make dpaa_a050385_wa static (bsc#1174396).
- dpaa_eth: FMan erratum A050385 workaround (bsc#1174396).
- commit 28d087a
* Thu Jul 23 2020 ykaukab@suse.de
- fsl/fman: detect FMan erratum A050385 (bsc#1174396)
  Update arm64 config file
- commit f586da0
* Thu Jul 23 2020 ohering@suse.de
- PCI: hv: Add support for protocol 1.3 and support
  PCI_BUS_RELATIONS2 (bsc#1172201).
- commit 901fe3f
* Thu Jul 23 2020 oneukum@suse.com
- media: cec: silence shift wrapping warning in
  __cec_s_log_addrs() (git-fixes).
- commit 78dd0ad
* Thu Jul 23 2020 oneukum@suse.com
- blacklist.conf: for future infrastructure, and will need kABI workarounds in each user, only if we really need it
- commit 5125020
* Thu Jul 23 2020 oneukum@suse.com
- blacklist.conf: cleanup removing unused exported symbols, unavoidable kABI breakage
- commit 5042b86
* Thu Jul 23 2020 tiwai@suse.de
- ALSA: hda/realtek: Fixed ALC298 sound bug by adding quirk for
  Samsung Notebook Pen S (git-fixes).
- ASoC: rt5682: Report the button event in the headset type only
  (git-fixes).
- ASoC: Intel: bytcht_es8316: Add missed put_device() (git-fixes).
- ASoC: rt286: fix unexpected interrupt happens (git-fixes).
- ASoC: wm8974: remove unsupported clock mode (git-fixes).
- ASoC: wm8974: fix Boost Mixer Aux Switch (git-fixes).
- ASoC: topology: fix tlvs in error handling for widget_dmixer
  (git-fixes).
- ASoC: topology: fix kernel oops on route addition error
  (git-fixes).
- ASoc: codecs: max98373: remove Idle_bias_on to let codec suspend
  (git-fixes).
- ASoC: codecs: max98373: Removed superfluous volume control
  from chip default (git-fixes).
- ASoC: rockchip: add format and rate constraints on rk3399
  (git-fixes).
- ASoC: rt5670: Fix dac- and adc- vol-tlv values being off by
  a factor of 10 (git-fixes).
- ASoC: rt5670: Add new gpio1_is_ext_spk_en quirk and enable it
  on the Lenovo Miix 2 10 (git-fixes).
- ASoC: rt5670: Correct RT5670_LDO_SEL_MASK (git-fixes).
- ALSA: info: Drop WARN_ON() from buffer NULL sanity check
  (git-fixes).
- USB: serial: option: add Quectel EG95 LTE modem (git-fixes).
- USB: serial: ch341: add new Product ID for CH340 (git-fixes).
- USB: serial: option: add GosunCn GM500 series (git-fixes).
- USB: serial: cypress_m8: enable Simply Automated UPB PIM
  (git-fixes).
- HID: quirks: Ignore Simply Automated UPB PIM (git-fixes).
- HID: magicmouse: do not set up autorepeat (git-fixes).
- HID: quirks: Always poll Obins Anne Pro 2 keyboard (git-fixes).
- drm/amdgpu/sdma5: fix wptr overwritten in ->get_wptr()
  (git-fixes).
- intel_th: pci: Add Emmitsburg PCH support (git-fixes).
- intel_th: pci: Add Tiger Lake PCH-H support (git-fixes).
- intel_th: pci: Add Jasper Lake CPU support (git-fixes).
- mei: bus: don't clean driver pointer (git-fixes).
- thermal: int3403_thermal: Downgrade error message (git-fixes).
- Input: elan_i2c - add more hardware ID for Lenovo laptops
  (git-fixes).
- Input: i8042 - add Lenovo XiaoXin Air 12 to i8042 nomux list
  (git-fixes).
- i2c: eg20t: Load module automatically if ID matches (git-fixes).
- drm/exynos: fix ref count leak in mic_pre_enable (git-fixes).
- drm/exynos: Properly propagate return value in
  drm_iommu_attach_device() (git-fixes).
- drm/msm/dpu: allow initialization of encoder locks during
  encoder init (git-fixes).
- drm/msm: fix potential memleak in error branch (git-fixes).
- tpm_tis: extra chip->ops check on error path in
  tpm_tis_core_init (git-fixes).
- thermal/drivers: imx: Fix missing of_node_put() at probe time
  (git-fixes).
- ALSA: usb-audio: Add registration quirk for Kingston HyperX
  Cloud Flight S (git-fixes).
- spi: spidev: fix a potential use-after-free in spidev_release()
  (git-fixes).
- spi: spidev: fix a race between spidev_release and spidev_remove
  (git-fixes).
- Input: mms114 - add extra compatible for mms345l (git-fixes).
- ACPI: video: Use native backlight on Acer TravelMate 5735Z
  (git-fixes).
- Input: goodix - fix touch coordinates on Cube I15-TC
  (git-fixes).
- ACPI: video: Use native backlight on Acer Aspire 5783z
  (git-fixes).
- drm/sun4i: tcon: Separate quirks for tcon0 and tcon1 on A20
  (git-fixes).
- HID: quirks: Remove ITE 8595 entry from hid_have_special_driver
  (git-fixes).
- mmc: sdhci: do not enable card detect interrupt for gpio cd type
  (git-fixes).
- commit d00f168
* Thu Jul 23 2020 lduncan@suse.com
- blk-mq: consider non-idle request as "inflight" in
  blk_mq_rq_inflight() (bsc#1165933).
- dm: do not use waitqueue for request-based DM (bsc#1165933).
- commit 07e428e
* Wed Jul 22 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/brcmfmac-Transform-compatible-string-for-FW-loading.patch
- commit 75a973a
* Wed Jul 22 2020 tbogendoerfer@suse.de
- net/mlx5e: Fix CPU mapping after function reload to avoid aRFS
  RX crash (jsc#SLE-8464).
- net/mlx5e: Fix VXLAN configuration restore after function reload
  (jsc#SLE-8464).
- ionic: centralize queue reset code (bsc#1167773).
- net: hns3: check reset pending after FLR prepare (bsc#1154353).
- net: ipv4: Fix wrong type conversion from hint to rt in
  ip_route_use_hint() (bsc#1154353).
- ionic: update the queue count on open (bsc#1167773).
- commit 7491bf6
* Tue Jul 21 2020 tiwai@suse.de
- pci: Revive pci_dev __aer_firmware_first* fields for kABI
  (bsc#1174356).
- commit 4d2fe32
* Tue Jul 21 2020 tiwai@suse.de
- PCI/AER: Remove HEST/FIRMWARE_FIRST parsing for AER ownership
  (bsc#1174356).
- PCI/AER: Use only _OSC to determine AER ownership (bsc#1174356).
- commit 6e69c19
* Tue Jul 21 2020 ykaukab@suse.de
- Refresh
  patches.suse/clk-qoriq-add-cpufreq-platform-device.patch.
- commit 5dec1a6
* Tue Jul 21 2020 ykaukab@suse.de
- Refresh
  patches.suse/cpufreq-qoriq-convert-to-a-platform-driver.patch.
- commit cf18c2c
* Tue Jul 21 2020 ykaukab@suse.de
- Refresh
  patches.suse/gpio-tegra186-export-MODULE_DEVICE_TABLE.patch.
- commit 3a8c8f1
* Tue Jul 21 2020 ykaukab@suse.de
- Refresh
  patches.suse/soc-tegra-pmc-Enable-PMIC-wake-event-on-Tegra186.patch.
- commit d3492b2
* Tue Jul 21 2020 ykaukab@suse.de
- Refresh
  patches.suse/cpufreq-tegra186-add-CPUFREQ_NEED_INITIAL_FREQ_CHECK.patch.
- commit 8dcc9fc
* Tue Jul 21 2020 mgorman@suse.de
- sched: Fix race against ptrace_freeze_trace() (bsc#1174345).
- commit 2138587
* Tue Jul 21 2020 jslaby@suse.cz
- net/mlx5e: Fix repeated XSK usage on one channel
  (networking-stable-20_06_16).
- net/mlx5: Fix fatal error handling during device load
  (networking-stable-20_06_16).
- net/mlx5: drain health workqueue in case of driver load error
  (networking-stable-20_06_16).
- selftests/net: in rxtimestamp getopt_long needs terminating
  null entry (networking-stable-20_06_16).
- dccp: Fix possible memleak in dccp_init and dccp_fini
  (networking-stable-20_06_16).
- mlxsw: core: Use different get_trend() callbacks for different
  thermal zones (networking-stable-20_06_10).
- net_failover: fixed rollback in net_failover_open()
  (networking-stable-20_06_10).
- vxlan: Avoid infinite loop when suppressing NS messages with
  invalid options (networking-stable-20_06_10).
- bridge: Avoid infinite loop when suppressing NS messages with
  invalid options (networking-stable-20_06_10).
- l2tp: add sk_family checks to l2tp_validate_socket
  (networking-stable-20_06_07).
- l2tp: do not use inet_hash()/inet_unhash()
  (networking-stable-20_06_07).
- kABI: reintroduce inet_hashtables.h include to l2tp_ip (kabi).
- devinet: fix memleak in inetdev_init()
  (networking-stable-20_06_07).
- net: be more gentle about silly gso requests coming from user
  (networking-stable-20_06_07).
- vsock: fix timeout in vsock_accept()
  (networking-stable-20_06_07).
- nfp: flower: fix used time of merge flow statistics
  (networking-stable-20_06_07).
- net: usb: qmi_wwan: add Telit LE910C1-EUX composition
  (networking-stable-20_06_07).
- net: check untrusted gso_size at kernel entry
  (networking-stable-20_06_07).
- net: stmmac: enable timestamp snapshot for required PTP packets
  in dwmac v5.10a (networking-stable-20_06_07).
- commit 9e80866
* Tue Jul 21 2020 tiwai@suse.de
- USB: serial: iuu_phoenix: fix memory corruption (git-fixes).
- usb: gadget: function: fix missing spinlock in f_uac1_legacy
  (git-fixes).
- usb: gadget: udc: atmel: fix uninitialized read in debug printk
  (git-fixes).
- usb: gadget: udc: atmel: remove outdated comment in
  usba_ep_disable() (git-fixes).
- usb: dwc2: Fix shutdown callback in platform (git-fixes).
- USB: c67x00: fix use after free in c67x00_giveback_urb
  (git-fixes).
- usb: chipidea: core: add wakeup support for extcon (git-fixes).
- hwmon: (emc2103) fix unable to change fan pwm1_enable attribute
  (git-fixes).
- intel_th: Fix a NULL dereference when hub driver is not loaded
  (git-fixes).
- virt: vbox: Fix guest capabilities mask check (git-fixes).
- virt: vbox: Fix VBGL_IOCTL_VMMDEV_REQUEST_BIG and _LOG req
  numbers to match upstream (git-fixes).
- iio: adc: ad7780: Fix a resource handling path in
  'ad7780_probe()' (git-fixes).
- iio:pressure:ms5611 Fix buffer element alignment (git-fixes).
- iio:humidity:hts221 Fix alignment and data leak issues
  (git-fixes).
- iio:humidity:hdc100x Fix alignment and data leak issues
  (git-fixes).
- iio:magnetometer:ak8974: Fix alignment and data leak issues
  (git-fixes).
- iio: pressure: zpa2326: handle pm_runtime_get_sync failure
  (git-fixes).
- iio: core: add missing IIO_MOD_H2/ETHANOL string identifiers
  (git-fixes).
- iio: magnetometer: ak8974: Fix runtime PM imbalance on error
  (git-fixes).
- iio: mma8452: Add missed iio_device_unregister() call in
  mma8452_probe() (git-fixes).
- iio:health:afe4404 Fix timestamp alignment and prevent data leak
  (git-fixes).
- dmaengine: dmatest: stop completed threads when running without
  set channel (git-fixes).
- dmaengine: fsl-edma-common: correct DSIZE_32BYTE (git-fixes).
- dmaengine: dw: Initialize channel before each transfer
  (git-fixes).
- dmaengine: mcf-edma: Fix NULL pointer exception in
  mcf_edma_tx_handler (git-fixes).
- dmaengine: fsl-edma: Fix NULL pointer exception in
  fsl_edma_tx_handler (git-fixes).
- dmaengine: sh: usb-dmac: set tx_result parameters (git-fixes).
- dmaengine: imx-sdma: Fix: Remove 'always true' comparison
  (git-fixes).
- keys: asymmetric: fix error return code in software_key_query()
  (git-fixes).
- mmc: meson-gx: limit segments to 1 when dram-access-quirk is
  needed (git-fixes).
- usbnet: smsc95xx: Fix use-after-free after removal (git-fixes).
- hwrng: ks-sa - Fix runtime PM imbalance on error (git-fixes).
- drm/amd/display: Use kfree() to free rgb_user in
  calculate_user_regamma_ramp() (git-fixes).
- usb: gadget: Fix issue with config_ep_by_speed function
  (git-fixes).
- ACPICA: Dispatcher: add status checks (git-fixes).
- ACPI/IORT: Fix PMCG node single ID mapping handling (git-fixes).
- commit b0f8c80
* Mon Jul 20 2020 dbueso@suse.de
- percpu: Separate decrypted varaibles anytime encryption can
  be enabled (bsc#1174332).
- selinux: fall back to ref-walk if audit is required
  (bsc#1174333).
- selinux: revert "stop passing MAY_NOT_BLOCK to the AVC upon
  follow_link" (bsc#1174333).
- lib: Reduce user_access_begin() boundaries in
  strncpy_from_user() and strnlen_user() (bsc#1174331).
- commit 444a65c
* Mon Jul 20 2020 msuchanek@suse.de
- powerpc/book3s64/pkeys: Fix pkey_access_permitted() for execute
  disable pkey (bsc#1065729).
- commit c00b49a
* Sat Jul 18 2020 mkubecek@suse.cz
- fix bdev inode reference count disbalance regression (bsc#1174244)
  Update patches.suse/bdev-add-open_finish.patch to adapt to changes
  introduced by patches.suse/block-Fix-use-after-free-in-blkdev_get.patch
  (backport of mainline commit 2d3a8e2dedde).
- commit 7efbe7b
* Sat Jul 18 2020 tiwai@suse.de
- bus: ti-sysc: Do not disable on suspend for no-idle (git-fixes).
- spi: spi-sun6i: sun6i_spi_transfer_one(): fix setting of clock
  rate (git-fixes).
- regmap: debugfs: Don't sleep while atomic for fast_io regmaps
  (git-fixes).
- HID: logitech-hidpp: avoid repeated "multiplier = " log messages
  (git-fixes).
- drm/i915/gt: Ignore irq enabling on the virtual engines
  (git-fixes).
- virtio: virtio_console: add missing MODULE_DEVICE_TABLE()
  for rproc serial (git-fixes).
- soundwire: intel: fix memory leak with devm_kasprintf
  (git-fixes).
- staging: comedi: verify array index is correct before using it
  (git-fixes).
- Revert "thermal: mediatek: fix register index error"
  (git-fixes).
- gpio: pca953x: Fix GPIO resource leak on Intel Galileo Gen 2
  (git-fixes).
- gpio: pca953x: disable regmap locking for automatic address
  incrementing (git-fixes).
- gpio: pca953x: Override IRQ for one of the expanders on Galileo
  Gen 2 (git-fixes).
- drm/amdgpu: don't do soft recovery if gpu_recovery=0
  (git-fixes).
- drm/radeon: fix double free (git-fixes).
- drm/mediatek: Check plane visibility in atomic_update
  (git-fixes).
- drm/amdgpu: use %%u rather than %%d for sclk/mclk (git-fixes).
- drm/amdgpu/atomfirmware: fix vram_info fetching for renoir
  (git-fixes).
- usb: dwc3: pci: Fix reference count leak in dwc3_pci_resume_work
  (git-fixes).
- drm: panel-orientation-quirks: Use generic orientation-data
  for Acer S1003 (git-fixes).
- drm: panel-orientation-quirks: Add quirk for Asus T101HA panel
  (git-fixes).
- drm: mcde: Fix display initialization problem (git-fixes).
- gpu: host1x: Detach driver on unregister (git-fixes).
- drm/tegra: hub: Do not enable orphaned window group (git-fixes).
- regmap: Fix memory leak from regmap_register_patch (git-fixes).
- regmap: fix alignment issue (git-fixes).
- commit c917659
* Sat Jul 18 2020 tiwai@suse.de
- ALSA: hda/realtek - fixup for yet another Intel reference board
  (git-fixes).
- ALSA: hda/realtek - Enable Speaker for ASUS UX563 (git-fixes).
- ALSA: hda/realtek - Enable Speaker for ASUS UX533 and UX534
  (git-fixes).
- ALSA: hda/realtek: Enable headset mic of Acer TravelMate
  B311R-31 with ALC256 (git-fixes).
- ALSA: hda/realtek: enable headset mic of ASUS ROG Zephyrus
  G14(G401) series with ALC289 (git-fixes).
- ALSA: hda/realtek - change to suitable link model for ASUS
  platform (git-fixes).
- ALSA: usb-audio: Fix race against the error recovery URB
  submission (git-fixes).
- ALSA: line6: Sync the pending work cancel at disconnection
  (git-fixes).
- ALSA: line6: Perform sanity check for each URB creation
  (git-fixes).
- commit 9ce2855
* Fri Jul 17 2020 ptesarik@suse.cz
- scsi: zfcp: Fix panic on ERP timeout for previously dismissed
  ERP action (git-fixes).
- s390/qeth: fix error handling for isolation mode cmds
  (git-fixes).
- s390: fix syscall_get_error for compat processes (git-fixes).
- s390/qdio: put thinint indicator after early error (git-fixes).
- s390/qdio: tear down thinint indicator after early error
  (git-fixes).
- s390/qdio: consistently restore the IRQ handler (git-fixes).
- s390/kaslr: add support for R_390_JMP_SLOT relocation type
  (git-fixes).
- s390/pci: Fix s390_mmio_read/write with MIO (git-fixes).
- s390/ism: fix error return code in ism_probe() (git-fixes).
- commit 06ae989
* Fri Jul 17 2020 tiwai@suse.de
- blacklist.conf: Add superfluous stable commit IDs
- commit 89408b6
* Fri Jul 17 2020 mkubecek@suse.cz
- netfilter: ip6tables: Add a .pre_exit hook in all ip6table_foo.c
  (bsc#1171857).
- netfilter: ip6tables: Split ip6t_unregister_table() into
  pre_exit and exit helpers (bsc#1171857).
- netfilter: iptables: Add a .pre_exit hook in all iptable_foo.c
  (bsc#1171857).
- netfilter: iptables: Split ipt_unregister_table() into pre_exit
  and exit helpers (bsc#1171857).
- commit cb31b4c
* Fri Jul 17 2020 glin@suse.com
- bpf: Do not allow btf_ctx_access with __int128 types
  (bsc#1155518).
- commit 60b474b
* Thu Jul 16 2020 msuchanek@suse.de
- powerpc/fadump: fix race between pstore write and fadump crash
  trigger (bsc#1168959 ltc#185010).
- commit 2b958e4
* Thu Jul 16 2020 msuchanek@suse.de
- powerpc/xmon: Reset RCU and soft lockup watchdogs (bsc#1065729).
- commit 6d8c5ea
* Thu Jul 16 2020 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit db10c36
* Thu Jul 16 2020 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section
  patches.suse/revert-zram-convert-remaining-class_attr-to-class_attr_ro
- commit 2caa587
* Thu Jul 16 2020 tiwai@suse.de
- platform/x86: ISST: Increase timeout (bsc#1174185).
- commit 1a0cfdb
* Thu Jul 16 2020 tiwai@suse.de
- Update patch reference tag for ACPI configfs security fix (CVE-2020-15780, bsc#1173573).
- commit 4d52b6d
* Wed Jul 15 2020 tiwai@suse.de
- mfd: intel-lpss: Add Intel Jasper Lake PCI IDs (jsc#SLE-12602).
- commit f068576
* Wed Jul 15 2020 tiwai@suse.de
- pinctrl: intel: Add Intel Jasper Lake pin controller support
  (jsc#SLE-12984).
- Update config files: enable CONFIG_PINCTRL_JASPERLAKE=m
- supported.conf: add pinctrl-jasperlake
- commit 3eef821
* Wed Jul 15 2020 tiwai@suse.de
- pinctrl: intel: Introduce new flag to force GPIO base to be 0
  (jsc#SLE-12984).
- pinctrl: intel: Introduce common flags for GPIO mapping scheme
  (jsc#SLE-12984).
- commit b69818a
* Wed Jul 15 2020 jslaby@suse.cz
- bridge: mcast: Fix MLD2 Report IPv6 payload length check
  (git-fixes).
- tcp: md5: allow changing MD5 keys in all socket states
  (git-fixes).
- nbd: Fix memory leak in nbd_add_socket (git-fixes).
- SMB3: Honor lease disabling for multiuser mounts (git-fixes).
- net: macb: call pm_runtime_put_sync on failure path (git-fixes).
- net: dsa: bcm_sf2: Fix node reference count (git-fixes).
- scsi: ufs-bsg: Fix runtime PM imbalance on error (git-fixes).
- tty: hvc_console, fix crashes on parallel open/close
  (git-fixes).
- workqueue: Remove unnecessary kfree() call in rcu_free_wq()
  (git-fixes).
- powerpc/kasan: Fix issues by lowering KASAN_SHADOW_END
  (git-fixes).
- KVM: nVMX: always update CR3 in VMCS (git-fixes).
- net/tls: free record only on encryption error (git-fixes).
- net/tls: fix encryption error checking (git-fixes).
- commit ed61f4d
* Wed Jul 15 2020 mbrugger@suse.com
- brcmfmac: Transform compatible string for FW loading
  (bsc#1169771).
- commit 6bdc85b
* Tue Jul 14 2020 rgoldwyn@suse.com
- exfat: move setting VOL_DIRTY over exfat_remove_entries()
  (git-fixes).
- exfat: add missing brelse() calls on error paths  (git-fixes).
- fuse: copy_file_range should truncate cache  (git-fixes).
- fuse: fix copy_file_range cache issues  (git-fixes).
- exfat: fix incorrect update of stream entry in
  __exfat_truncate()  (git-fixes).
- exfat: fix memory leak in exfat_parse_param()  (git-fixes).
- apparmor: Fix memory leak of profile proxy  (git-fixes).
- apparmor: fix introspection of of task mode for unconfined tasks
  (git-fixes).
- apparmor: ensure that dfa state tables have entries
  (git-fixes).
- apparmor: remove useless aafs_create_symlink  (git-fixes).
- apparmor: Fix use-after-free in aa_audit_rule_init  (git-fixes).
- commit 094ca51
* Tue Jul 14 2020 jroedel@suse.de
- blacklist.conf: Add 9486727f5981 iommu/vt-d: Make Intel SVM code 64-bit only
- commit 6287dc6
* Tue Jul 14 2020 jroedel@suse.de
- vfio/pci: Fix SR-IOV VF handling with MMIO blocking
  (bsc#1174129).
- iommu/vt-d: Update scalable mode paging structure coherency
  (bsc#1174128).
- iommu/vt-d: Enable PCI ACS for platform opt in hint
  (bsc#1174127).
- iommu/arm-smmu-v3: Don't reserve implementation defined register
  space (bsc#1174126).
- commit 4b65886
* Tue Jul 14 2020 lduncan@suse.com
- Revert "zram: convert remaining CLASS_ATTR() to CLASS_ATTR_RO()"
  (bsc#1173074 CVE-2020-10781).
- commit d59a129
* Tue Jul 14 2020 oneukum@suse.com
- padata: kABI fixup for struct padata_instance splitting nodes
  (git-fixes).
- commit 03321ff
* Tue Jul 14 2020 oneukum@suse.com
- padata: add separate cpuhp node for CPUHP_PADATA_DEAD
  (git-fixes).
- commit 3966f99
* Tue Jul 14 2020 msuchanek@suse.de
- Remove 15 SP2 kABI files.
- commit 1ebbbe1
* Mon Jul 13 2020 mkubecek@suse.cz
- Update kabi files.
- update to first maintenance update submission (commit eabfb0896fac)
- commit 9da6523
* Mon Jul 13 2020 tiwai@suse.de
- watchdog: iTCO: Add support for Cannon Lake PCH iTCO
  (jsc#SLE-13202).
- commit e9c44ca
* Mon Jul 13 2020 tiwai@suse.de
- ALSA: hda: Intel: add missing PCI IDs for ICL-H, TGL-H and EKL
  (jsc#SLE-13261).
- commit 137c3b6
* Mon Jul 13 2020 ykaukab@suse.de
- serial: 8250_tegra: Create Tegra specific 8250 driver (bsc#1173941).
- Update config files.
- commit 3b0dd22
* Mon Jul 13 2020 ykaukab@suse.de
- net: stmmac: don't attach interface until resume finishes
  (bsc#1174072).
- net: stmmac: dwc-qos: avoid clk and reset for acpi device
  (bsc#1174072).
- net: stmmac: dwc-qos: use generic device api (bsc#1174072).
- net: stmmac: platform: fix probe for ACPI devices (bsc#1174072).
- commit 05074b1
* Mon Jul 13 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/net-smc-tolerate-future-smcd-versions
- commit 83f40de
* Mon Jul 13 2020 mkubecek@suse.cz
- Fix
  patches.suse/media-mtk-vpu-avoid-unaligned-access-to-DTCM-buffer.patch
  (fix build without the kabi fix)
- Refresh
  patches.kabi/kABI-fixup-mtk-vpu-avoid-unaligned-access-to-DTCM-buffer.patch
  This commit has no effect on expanded tree but it fixes build without
  patches.kabi/* (so that it will be needed for SLE15-SP3).
- commit 62b468e
* Mon Jul 13 2020 ptesarik@suse.cz
- net/smc: tolerate future SMCD versions (bsc#1172543 LTC#186069).
- commit fd05166
* Mon Jul 13 2020 ohering@suse.de
- hv_netvsc: Fix netvsc_start_xmit's return type (git-fixes).
- commit 5b7bc98
* Mon Jul 13 2020 msuchanek@suse.de
- dm writecache: reject asynchronous pmem devices (bsc#1156395).
- commit 26f82f2
* Fri Jul 10 2020 mkoutny@suse.com
- fork: prevent accidental access to clone3 features
  (bsc#1174018).
- commit 8b81b50
* Fri Jul 10 2020 mkoutny@suse.com
- signal: Avoid corrupting si_pid and si_uid in do_notify_parent
  (bsc#1171529).
- commit eb37c8d
* Fri Jul 10 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/ALSA-usb-audio-Fix-packet-size-calculation.patch
- commit f5de6d1
* Fri Jul 10 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/NFSv4-fix-CLOSE-not-waiting-for-direct-IO-compeletio.patch
  patches.suse/SUNRPC-Properly-set-the-subbuf-parameter-of-xdr_buf_.patch
  patches.suse/libceph-don-t-omit-recovery_deletes-in-target_copy.patch
  patches.suse/nfsd-apply-umask-on-fs-without-ACL-support.patch
  patches.suse/nfsd-fix-nfsdfs-inode-reference-count-leak.patch
  patches.suse/nfsd4-fix-nfsdfs-reference-count-loop.patch
  patches.suse/pNFS-flexfiles-Fix-list-corruption-if-the-mirror-cou.patch
  patches.suse/sunrpc-fixed-rollback-in-rpc_gssd_dummy_populate.patch
  patches.suse/xprtrdma-Fix-handling-of-RDMA_ERROR-replies.patch
- commit ad850c9
* Fri Jul 10 2020 dwagner@suse.de
- net: core: device_rename: Use rwsem instead of a seqcount
  (bsc#1162702).
- commit 7a01d9d
* Fri Jul 10 2020 ohering@suse.de
- kabi: hv: prevent struct device_node to become defined
  (bsc#1172871).
- PCI: hv: Retry PCI bus D0 entry on invalid device state
  (bsc#1172871).
- PCI: hv: Fix the PCI HyperV probe failure path to release
  resource properly (bsc#1172871).
- PCI: hv: Introduce hv_msi_entry (bsc#1172871).
- PCI: hv: Move retarget related structures into tlfs header
  (bsc#1172871).
- PCI: hv: Move hypercall related definitions into tlfs header
  (bsc#1172871).
- PCI: hv: Decouple the func definition in hv_dr_state from VSP
  message (bsc#1172871).
- PCI: hv: Change pci_protocol_version to per-hbus (bsc#1172871).
- PCI: hv: Reorganize the code in preparation of hibernation
  (bsc#1172871).
- commit 35a7d93
* Fri Jul 10 2020 ohering@suse.de
- Drivers: hv: Change flag to write log level in panic msg to
  false (bsc#1170617).
- commit bcd509e
* Thu Jul  9 2020 tiwai@suse.de
- Fix boot crash with MD (bsc#1173860)
  Refresh patches.suse/mdraid-fix-read-write-bytes-accounting.patch
- commit 119f164
* Thu Jul  9 2020 dwagner@suse.de
- scsi: lpfc: Fix less-than-zero comparison of unsigned value
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix interrupt assignments when multiple vectors
  are supported on same CPU (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix inconsistent indenting (bsc#1172687
  bsc#1171530).
- scsi: lpfc: Update lpfc version to 12.8.0.2 (bsc#1172687
  bsc#1171530).
- scsi: lpfc: Add an internal trace log buffer (bsc#1172687
  bsc#1171530).
- scsi: lpfc: Add blk_io_poll support for latency improvment
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Add support to display if adapter dumps are
  available (bsc#1172687 bsc#1171530).
- scsi: lpfc: Allow applications to issue Common Set Features
  mailbox command (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix language in 0373 message to reflect non-error
  message (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix kdump hang on PPC (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix shost refcount mismatch when deleting vport
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix stack trace seen while setting rrq active
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix oops due to overrun when reading SLI3 data
  (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix NVMe rport deregister and registration during
  ADISC (bsc#1172687 bsc#1171530).
- scsi: lpfc: Fix missing MDS functionality (bsc#1172687
  bsc#1171530).
- scsi: lpfc: Fix unused assignment in
  lpfc_sli4_bsg_link_diag_test (bsc#1172687 bsc#1171530).
- commit fa0f156
* Thu Jul  9 2020 dwagner@suse.de
- Refresh metadata of patches.suse/ALSA-usb-audio-Fix-packet-size-calculation.patch
- commit 964e72b
* Thu Jul  9 2020 mgorman@suse.de
- series.conf: cleanup (sort)
- patches.suse/sched-core-Check-cpus_mask-not-cpus_ptr-in-__set_cpus_allowed_ptr-to-fix-mask-corruption.patch
- commit 451a6ea
* Thu Jul  9 2020 mgorman@suse.de
- sched: Fix loadavg accounting race (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- commit 38a840e
* Thu Jul  9 2020 tzimmermann@suse.de
- drm: sun4i: hdmi: Remove extra HPD polling (bsc#1152489)
- commit 9f8314c
* Thu Jul  9 2020 tzimmermann@suse.de
- drm/i915/gvt: Fix two CFL MMIO handling caused by regression. (bsc#1152489)
- commit 5522961
* Thu Jul  9 2020 tzimmermann@suse.de
- drm/msm/dpu: fix error return code in dpu_encoder_init (bsc#1152489)
- commit c65f050
* Thu Jul  9 2020 tiwai@suse.de
- ALSA: usb-audio: Add implicit feedback quirk for RTX6001
  (git-fixes).
- ALSA: usb-audio: add quirk for MacroSilicon MS2109 (git-fixes).
- ALSA: hda/realtek: Enable headset mic of Acer Veriton N4660G
  with ALC269VC (git-fixes).
- ALSA: hda/realtek: Enable headset mic of Acer C20-820 with
  ALC269VC (git-fixes).
- ALSA: hda/realtek - Enable audio jacks of Acer vCopperbox with
  ALC269VC (git-fixes).
- ALSA: hda/realtek - Fix Lenovo Thinkpad X1 Carbon 7th quirk
  subdevice id (git-fixes).
- ALSA: hda/hdmi: improve debug traces for stream lookups
  (git-fixes).
- ALSA: hda/hdmi: fix failures at PCM open on Intel ICL and later
  (git-fixes).
- ALSA: opl3: fix infoleak in opl3 (git-fixes).
- ALSA: usb-audio: Replace s/frame/packet/ where appropriate
  (git-fixes).
- ALSA: hda - let hs_mic be picked ahead of hp_mic (git-fixes).
- commit 6ae71bb
* Thu Jul  9 2020 tiwai@suse.de
- Refresh and move an upstreamed sound fix patch
- commit 7719bb1
* Wed Jul  8 2020 tiwai@suse.de
- regualtor: pfuze100: correct sw1a/sw2 on pfuze3000 (git-fixes).
- remoteproc: qcom_q6v5_mss: map/unmap mpss segments before/after
  use (git-fixes).
- slimbus: ngd: get drvdata from correct device (git-fixes).
- watchdog: da9062: No need to ping manually before setting
  timeout (git-fixes).
- commit 086dd89
* Wed Jul  8 2020 tiwai@suse.de
- drm/amd/display: Only revalidate bandwidth on medium and fast
  updates (git-fixes).
- drm/amdgpu: drop redundant cg/pg ungate on runpm enter
  (git-fixes).
- drm/amdgpu: move kfd suspend after ip_suspend_phase1
  (git-fixes).
- commit 8b89f9a
* Wed Jul  8 2020 tiwai@suse.de
- drm/amdgpu: fix the hw hang during perform system reboot and
  reset (git-fixes).
- commit edc269e
* Wed Jul  8 2020 tiwai@suse.de
- pwm: img: Call pm_runtime_put() in pm_runtime_get_sync()
  failed case (git-fixes).
- PCI: Don't disable decoding when mmio_always_on is set
  (git-fixes).
- PCI: Add Loongson vendor ID (git-fixes).
- PCI: vmd: Add device id for VMD device 8086:9A0B (git-fixes).
- commit c92f65d
* Wed Jul  8 2020 tiwai@suse.de
- media: dvbdev: Fix tuner->demod media controller link
  (git-fixes).
- media: imx: imx7-mipi-csis: Cleanup and fix subdev pad format
  handling (git-fixes).
- media: staging: imgu: do not hold spinlock during freeing mmu
  page table (git-fixes).
- media: ov5640: fix use of destroyed mutex (git-fixes).
- media: staging/intel-ipu3: Implement lock for stream on/off
  operations (git-fixes).
- commit 615fb19
* Wed Jul  8 2020 tiwai@suse.de
- Revert "i2c: tegra: Fix suspending in active runtime PM state"
  (git-fixes).
- gpio: pca953x: fix handling of automatic address incrementing
  (git-fixes).
- ipmi: use vzalloc instead of kmalloc for user creation
  (git-fixes).
- HID: Add quirks for Trust Panora Graphic Tablet (git-fixes).
- iwlwifi: mvm: fix aux station leak (git-fixes).
- commit 667aa89
* Wed Jul  8 2020 tiwai@suse.de
- drm: sun4i: hdmi: Remove extra HPD polling (git-fixes).
- drm/i915/gvt: Fix two CFL MMIO handling caused by regression
  (git-fixes).
- drm/msm/dpu: fix error return code in dpu_encoder_init
  (git-fixes).
- bus: ti-sysc: Ignore clockactivity unless specified as a quirk
  (git-fixes).
- drm/amd: fix potential memleak in err branch (git-fixes).
- drm/amdgpu: add fw release for sdma v5_0 (git-fixes).
- drm/msm/mdp5: Fix mdp5_init error path for failed mdp5_kms
  allocation (git-fixes).
- drm/amd/display: Revalidate bandwidth before commiting DC
  updates (git-fixes).
- drm/nouveau/disp/gm200-: fix NV_PDISP_SOR_HDMI2_CTRL(n)
  selection (git-fixes).
- batman-adv: Revert "disable ethtool link speed detection when
  auto negotiation off" (git-fixes).
- ath10k: fix kernel null pointer dereference (git-fixes).
- ath10k: Fix the race condition in firmware dump work queue
  (git-fixes).
- drm/amd/powerpay: Disable gfxoff when setting manual mode on
  picasso and raven (git-fixes).
- drm/amdgpu: Init data to avoid oops while reading pp_num_states
  (git-fixes).
- cpufreq: Fix up cpufreq_boost_set_sw() (git-fixes).
- cpuidle: Fix three reference count leaks (git-fixes).
- cpufreq: intel_pstate: Only mention the BIOS disabling turbo
  mode once (git-fixes).
- drm/amdgpu: fix gfx hang during suspend with video playback (v2)
  (git-fixes).
- cpufreq: powernv: Fix frame-size-overflow in
  powernv_cpufreq_work_fn (git-fixes).
- commit 8cd5c7d
* Wed Jul  8 2020 tbogendoerfer@suse.de
- bnxt_en: fix firmware message length endianness (bsc#1173894).
- bnxt_en: Fix return code to "flash_device" (bsc#1173894).
- commit 69ae6c0
* Wed Jul  8 2020 tiwai@suse.de
- Revert commit e918e570415c ("tpm_tis: Remove the HID IFX0102")
  (git-fixes).
- commit 8dc0431
* Wed Jul  8 2020 tbogendoerfer@suse.de
- ixgbe: don't check firmware errors (bsc#1170284).
- commit 37dfeb2
* Wed Jul  8 2020 tiwai@suse.de
- usb: usbtest: fix missing kfree(dev->buf) in usbtest_disconnect
  (CVE-2020-15393 bsc#1173514).
- commit 0265130
* Wed Jul  8 2020 tiwai@suse.de
- Update patch reference tag for ACPI lockdown fix (bsc#1173573)
- commit 9a83bf0
* Wed Jul  8 2020 tiwai@suse.de
- media: dvbsky: add support for eyeTV Geniatech T2 lite
  (bsc#1173776).
- media: dvbsky: add support for Mygica T230C v2 (bsc#1173776).
- media: si2168: add support for Mygica T230C v2 (bsc#1173776).
- commit d3b7a06
* Wed Jul  8 2020 oneukum@suse.com
- media: vicodec: Fix error codes in probe function (git-fixes).
- commit b82f6d2
* Wed Jul  8 2020 neilb@suse.de
- nfsd: fix nfsdfs inode reference count leak (git-fixes).
- nfsd4: fix nfsdfs reference count loop (git-fixes).
- nfsd: apply umask on fs without ACL support (git-fixes).
- SUNRPC: Properly set the @subbuf parameter of
  xdr_buf_subsegment() (git-fixes).
- NFSv4 fix CLOSE not waiting for direct IO compeletion
  (git-fixes).
- pNFS/flexfiles: Fix list corruption if the mirror count changes
  (git-fixes).
- sunrpc: fixed rollback in rpc_gssd_dummy_populate() (git-fixes).
- xprtrdma: Fix handling of RDMA_ERROR replies (git-fixes).
- libceph: don't omit recovery_deletes in target_copy()
  (git-fixes).
- commit 04a6d04
* Tue Jul  7 2020 jack@suse.cz
- jbd2: Preserve kABI when adding j_abort_mutex (bsc#1173833).
- commit 60b0b9e
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist 3c597282887f
- commit 4979dd4
* Tue Jul  7 2020 tiwai@suse.de
- Drop ath9k backport patch that leads to a broken WiFi (bko#208251)
  Deleted and blacklisted:
  patches.suse/ath9k-Fix-general-protection-fault-in-ath9k_hif_usb_.patch
- commit 3c2d65b
* Tue Jul  7 2020 oneukum@suse.com
- input: i8042 - Remove special PowerPC handling (git-fixes).
- commit 6f410a4
* Tue Jul  7 2020 tiwai@suse.de
- usb: renesas_usbhs: getting residue from callback_result
  (git-fixes).
- xhci: Poll for U0 after disabling USB2 LPM (git-fixes).
- xhci: Return if xHCI doesn't support LPM (git-fixes).
- usb: host: xhci-mtk: avoid runtime suspend when removing hcd
  (git-fixes).
- xhci: Fix enumeration issue when setting max packet size for
  FS devices (git-fixes).
- xhci: Fix incorrect EP_STATE_MASK (git-fixes).
- USB: ohci-sm501: Add missed iounmap() in remove (git-fixes).
- USB: ehci: reopen solution for Synopsys HC bug (git-fixes).
- usb: add USB_QUIRK_DELAY_INIT for Logitech C922 (git-fixes).
- usb: host: ehci-exynos: Fix error check in exynos_ehci_probe()
  (git-fixes).
- usb/ehci-platform: Set PM runtime as active on resume
  (git-fixes).
- usb/xhci-plat: Set PM runtime as active on resume (git-fixes).
- usb/ohci-platform: Fix a warning when hibernating (git-fixes).
- usblp: poison URBs upon disconnect (git-fixes).
- usb: host: ehci-platform: add a quirk to avoid stuck
  (git-fixes).
- commit 89437cf
* Tue Jul  7 2020 tiwai@suse.de
- ALSA: usb-audio: Fix packet size calculation (bsc#1173847).
- commit 72eb911
* Tue Jul  7 2020 tiwai@suse.de
- ASoC: Intel: bytcr_rt5640: Add quirk for Toshiba Encore WT8-A
  tablet (git-fixes).
- Refresh
  patches.suse/ASoC-Intel-bytcr_rt5640-Add-quirk-for-Toshiba-Encore.patch.
- commit 9af3c7c
* Tue Jul  7 2020 tiwai@suse.de
- spi: dw: Return any value retrieved from the dma_transfer
  callback (git-fixes).
- Refresh
  patches.suse/spi-dw-Add-SPI-Rx-done-wait-method-to-DMA-based-tran.patch.
- Refresh
  patches.suse/spi-dw-Add-SPI-Tx-done-wait-method-to-DMA-based-tran.patch.
- commit 62c15de
* Tue Jul  7 2020 jack@suse.cz
- blacklist.conf: Blacklist 32302085a8d9
- commit 856ff38
* Tue Jul  7 2020 tiwai@suse.de
- i2c: mlxcpld: check correct size of maximum RECV_LEN packet
  (git-fixes).
- i2c: algo-pca: Add 0x78 as SCL stuck low status for PCA9665
  (git-fixes).
- hwmon: (pmbus) fix a typo in Kconfig SENSORS_IR35221 option
  (git-fixes).
- hwmon: (acpi_power_meter) Fix potential memory leak in
  acpi_power_meter_add() (git-fixes).
- hwmon: (max6697) Make sure the OVERT mask is set correctly
  (git-fixes).
- tpm_tis: Remove the HID IFX0102 (git-fixes).
- tpm: Fix TIS locality timeout problems (git-fixes).
- thermal/drivers/rcar_gen3: Fix undefined temperature if negative
  (git-fixes).
- thermal/drivers/mediatek: Fix bank number settings on mt8183
  (git-fixes).
- i2c: core: check returned size of emulated smbus block read
  (git-fixes).
- i2c: fsi: Fix the port number field in status register
  (git-fixes).
- Staging: rtl8723bs: prevent buffer overflow in
  update_sta_support_rate() (git-fixes).
- cdc-acm: Add DISABLE_ECHO quirk for Microchip/SMSC chip
  (git-fixes).
- clk: sifive: allocate sufficient memory for struct __prci_data
  (git-fixes).
- ACPI: sysfs: Fix pm_profile_attr type (git-fixes).
- ACPI: configfs: Disallow loading ACPI tables when locked down
  (git-fixes).
- geneve: allow changing DF behavior after creation (git-fixes).
- ALSA: usb-audio: Fix OOB access of mixer element list
  (git-fixes).
- ALSA: usb-audio: add quirk for Samsung USBC Headset (AKG)
  (git-fixes).
- ASoC: rockchip: Fix a reference count leak (git-fixes).
- ASoC: fsl_ssi: Fix bclk calculation for mono channel
  (git-fixes).
- ASoc: q6afe: add support to get port direction (git-fixes).
- ASoC: q6asm: handle EOS correctly (git-fixes).
- ALSA: hda/realtek: Add mute LED and micmute LED support for
  HP systems (git-fixes).
- ALSA: usb-audio: Fix potential use-after-free of streams
  (git-fixes).
- ALSA: hda/realtek - Add quirk for MSI GE63 laptop (git-fixes).
- ALSA: usb-audio: add quirk for Denon DCD-1500RE (git-fixes).
- ALSA: usb-audio: Add implicit feedback quirk for SSL2+
  (git-fixes).
- ALSA: hda: Add NVIDIA codec IDs 9a & 9d through a0 to patch
  table (git-fixes).
- spi: sprd: switch the sequence of setting WDG_LOAD_LOW and _HIGH
  (git-fixes).
- pinctrl: tegra: Use noirq suspend/resume callbacks (git-fixes).
- ata/libata: Fix usage of page address by page_address in
  ata_scsi_mode_select_xlat function (git-fixes).
- sata_rcar: handle pm_runtime_get_sync failure cases (git-fixes).
- i2c: pxa: clear all master action bits in i2c_pxa_stop_message()
  (git-fixes).
- i2c: pxa: fix i2c_pxa_scream_blue_murder() debug output
  (git-fixes).
- i2c: piix4: Detect secondary SMBus controller on AMD AM4
  chipsets (git-fixes).
- hwmon: (k10temp) Add AMD family 17h model 60h PCI match
  (git-fixes).
- x86/amd_nb: Add AMD family 17h model 60h PCI IDs (git-fixes).
- thermal/drivers/ti-soc-thermal: Avoid dereferencing ERR_PTR
  (git-fixes).
- amdgpu: a NULL ->mm does not mean a thread is a kthread
  (git-fixes).
- ASoC: SOF: nocodec: conditionally set dpcm_capture/dpcm_playback
  flags (git-fixes).
- ASoC: core: only convert non DPCM link to DPCM link (git-fixes).
- crypto: omap-sham - add proper load balancing support for
  multicore (git-fixes).
- clk: qcom: msm8916: Fix the address location of pll->config_reg
  (git-fixes).
- clk: ti: composite: fix memory leak (git-fixes).
- clk: zynqmp: fix memory leak in zynqmp_register_clocks
  (git-fixes).
- clk: samsung: exynos5433: Add IGNORE_UNUSED flag to sclk_i2s1
  (git-fixes).
- geneve: change from tx_error to tx_dropped on missing metadata
  (git-fixes).
- pinctrl: rockchip: fix memleak in rockchip_dt_node_to_map
  (git-fixes).
- drivers: base: Fix NULL pointer exception in
  __platform_driver_probe() if a driver developer is foolish
  (git-fixes).
- iio: bmp280: fix compensation of humidity (git-fixes).
- PCI: pci-bridge-emul: Fix PCIe bit conflicts (git-fixes).
- PCI: dwc: Fix inner MSI IRQ domain registration (git-fixes).
- PCI: aardvark: Don't blindly enable ASPM L0s and don't write
  to read-only register (git-fixes).
- PCI: Add ACS quirk for Intel Root Complex Integrated Endpoints
  (git-fixes).
- PCI: Avoid FLR for AMD Starship USB 3.0 (git-fixes).
- PCI: Avoid FLR for AMD Matisse HD Audio & USB 3.0 (git-fixes).
- PCI/ASPM: Allow ASPM on links to PCIe-to-PCI/PCI-X Bridges
  (git-fixes).
- ASoC: qcom: q6asm-dai: kCFI fix (git-fixes).
- ASoC: fsl_asrc_dma: Fix dma_chan leak when config DMA channel
  failed (git-fixes).
- ASoC: SOF: Do nothing when DSP PM callbacks are not set
  (git-fixes).
- ASoC: ti: omap-mcbsp: Fix an error handling path in
  'asoc_mcbsp_probe()' (git-fixes).
- ASoC: tegra: tegra_wm8903: Support nvidia, headset property
  (git-fixes).
- ASoC: max98373: reorder max98373_reset() in resume (git-fixes).
- ASoC: davinci-mcasp: Fix dma_chan refcnt leak when getting
  dma type (git-fixes).
- ALSA: isa/wavefront: prevent out of bounds write in ioctl
  (git-fixes).
- backlight: lp855x: Ensure regulators are disabled on probe
  failure (git-fixes).
- mfd: wm8994: Fix driver operation if loaded as modules
  (git-fixes).
- media: si2157: Better check for running tuner in init
  (git-fixes).
- Bluetooth: Add SCO fallback for invalid LMP parameters error
  (git-fixes).
- b43_legacy: Fix connection problem with WPA3 (git-fixes).
- b43: Fix connection problem with WPA3 (git-fixes).
- e1000e: Relax condition to trigger reset for ME workaround
  (git-fixes).
- Bluetooth: btbcm: Add 2 missing models to subver tables
  (git-fixes).
- carl9170: remove P2P_GO support (git-fixes).
- Crypto/chcr: fix for ccm(aes) failed test (git-fixes).
- e1000: Distribute switch variables for initialization
  (git-fixes).
- clocksource: dw_apb_timer: Make CPU-affiliation being optional
  (git-fixes).
- drm: bridge: adv7511: Extend list of audio sample rates
  (git-fixes).
- platform/x86: asus_wmi: Reserve more space for struct bias_args
  (git-fixes).
- platform/x86: intel-hid: Add a quirk to support HP Spectre X2
  (2015) (git-fixes).
- platform/x86: hp-wmi: Convert simple_strtoul() to kstrtou32()
  (git-fixes).
- mmc: via-sdmmc: Respect the cmd->busy_timeout from the mmc core
  (git-fixes).
- mmc: sdhci-msm: Set SDHCI_QUIRK_MULTIBLOCK_READ_ACMD12 quirk
  (git-fixes).
- spi: dw: Fix Rx-only DMA transfers (git-fixes).
- spi: dw: Enable interrupts in accordance with DMA xfer mode
  (git-fixes).
- spi: pxa2xx: Apply CS clk quirk to BXT (git-fixes).
- commit 303666a
* Tue Jul  7 2020 jack@suse.cz
- jbd2: avoid leaking transaction credits when unreserving handle
  (bsc#1173845).
- commit 1c291c0
* Tue Jul  7 2020 jack@suse.cz
- mm: fix NUMA node file count error in replace_page_cache()
  (bsc#1173844).
- commit e3f2d50
* Tue Jul  7 2020 jack@suse.cz
- ext4: avoid utf8_strncasecmp() with unstable name (bsc#1173843).
- commit 92563f1
* Tue Jul  7 2020 jack@suse.cz
- ext4: stop overwrite the errcode in ext4_setup_super
  (bsc#1173841).
- commit aaa2254
* Tue Jul  7 2020 jack@suse.cz
- ext4: fix partial cluster initialization when splitting extent
  (bsc#1173839).
- commit 563be96
* Tue Jul  7 2020 jack@suse.cz
- ext4: fix race between ext4_sync_parent() and rename()
  (bsc#1173838).
- commit 722d064
* Tue Jul  7 2020 jack@suse.cz
- ext4: fix error pointer dereference (bsc#1173837).
- commit 70157c5
* Tue Jul  7 2020 jack@suse.cz
- ext4: fix EXT_MAX_EXTENT/INDEX to check for zeroed eh_max
  (bsc#1173836).
- commit a460d9c
* Tue Jul  7 2020 jack@suse.cz
- block: Fix use-after-free in blkdev_get() (bsc#1173834).
- commit 2225310
* Tue Jul  7 2020 jack@suse.cz
- ext4, jbd2: ensure panic by fix a race between jbd2 abort and
  ext4 error handlers (bsc#1173833).
- commit 13dac57
* Tue Jul  7 2020 jack@suse.cz
- io_uring: use kvfree() in io_sqe_buffer_register()
  (bsc#1173832).
- commit 307ffb6
* Tue Jul  7 2020 jack@suse.cz
- fat: don't allow to mount if the FAT length == 0 (bsc#1173831).
- commit b0aa8d0
* Tue Jul  7 2020 jack@suse.cz
- proc: Use new_inode not new_inode_pseudo (bsc#1173830).
- commit 3016fa7
* Tue Jul  7 2020 jack@suse.cz
- aio: fix async fsync creds (bsc#1173828).
- commit 61a9adb
* Tue Jul  7 2020 jack@suse.cz
- ubifs: fix wrong use of crypto_shash_descsize() (bsc#1173827).
- commit bbe5f1d
* Tue Jul  7 2020 jack@suse.cz
- ubifs: remove broken lazytime support (bsc#1173826).
- commit e41be50
* Tue Jul  7 2020 jack@suse.cz
- fix multiplication overflow in copy_fdtable() (bsc#1173825).
- commit 8426c92
* Tue Jul  7 2020 jack@suse.cz
- namei: only return -ECHILD from follow_dotdot_rcu()
  (bsc#1173824).
- commit ff263dd
* Tue Jul  7 2020 jack@suse.cz
- gfs2: fix glock reference problem in gfs2_trans_remove_revoke
  (bsc#1173823).
- commit cfd9533
* Tue Jul  7 2020 jack@suse.cz
- gfs2: Multi-block allocations in gfs2_page_mkwrite
  (bsc#1173822).
- commit 403212e
* Tue Jul  7 2020 jack@suse.cz
- loop: replace kill_bdev with invalidate_bdev (bsc#1173820).
- commit 7ce51fe
* Tue Jul  7 2020 jack@suse.cz
- block: nr_sects_write(): Disable preemption on seqcount write
  (bsc#1173818).
- commit fe385e8
* Tue Jul  7 2020 jack@suse.cz
- block/bio-integrity: don't free 'buf' if
  bio_integrity_add_page() failed (bsc#1173817).
- commit 181e153
* Tue Jul  7 2020 jeyu@suse.de
- README.BRANCH: Update Denis Kirjanov's email.
- commit 97dda27
* Mon Jul  6 2020 tbogendoerfer@suse.de
- debugfs: Check module state before warning in
  {full/open}_proxy_open() (bsc#1173746).
- commit 8445625
* Mon Jul  6 2020 oneukum@suse.com
- kABI fixup mtk-vpu: avoid unaligned access to DTCM buffer
  (git-fixes).
- media: mtk-vpu: avoid unaligned access to DTCM buffer
  (git-fixes).
- commit 347e1e1
* Mon Jul  6 2020 colyli@suse.de
- bcache: fix potential deadlock problem in btree_gc_coalesce
  (bsc#1171732, CVE-2020-12771).
- commit 34f5bd2
* Fri Jul  3 2020 pmladek@suse.com
- bpf: Restrict bpf_trace_printk()'s %%s usage and add %%pks,
  %%pus specifier (bsc#1172344).
- commit df79955
* Thu Jul  2 2020 tbogendoerfer@suse.de
- IB/rdmavt: Free kernel completion queue when done (bsc#1173625).
- commit d6f112e
* Thu Jul  2 2020 mkubecek@suse.cz
- Fix
  patches.suse/0001-video-vt8500lcdfb-fix-fallthrough-warning.patch.
  Fix openSUSE-15.2 build breakage by using a fall through comment instead of
  the "fallthrough" macro which is not defined in SLE15-SP2 and openSUSE-15.2.
- commit 668daf6
* Thu Jul  2 2020 tbogendoerfer@suse.de
- ionic: add pcie_print_link_status (bsc#1167773).
- wil6210: use after free in wil_netif_rx_any() (bsc#1154353).
- commit 23910ad
* Thu Jul  2 2020 tbogendoerfer@suse.de
- wil6210: account for napi_gro_receive never returning GRO_DROP
  (bsc#1154353).
- socionext: account for napi_gro_receive never returning GRO_DROP
  (bsc#1154353).
- ionic: tame the watchdog timer on reconfig (bsc#1167773).
- tg3: driver sleeps indefinitely when EEH errors exceed
  eeh_max_freezes (bsc#1173284).
- ionic: export features for vlans to use (bsc#1167773).
- ionic: no link check while resetting queues (bsc#1167773).
- devmap: Use bpf_map_area_alloc() for allocating hash buckets
  (bsc#1154353).
- RDMA/core: Check that type_attrs is not NULL prior access
  (jsc#SLE-8449).
- mvpp2: remove module bugfix (bsc#1154353).
- bnxt_en: Return from timer if interface is not in open state
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix AER reset logic on 57500 chips (bsc#1171150).
- bnxt_en: Re-enable SRIOV during resume (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Simplify bnxt_resume() (jsc#SLE-8371 bsc#1153274).
- bpf: Fix an error code in check_btf_func() (bsc#1154353).
- net/mlx5: Disable reload while removing the device
  (jsc#SLE-8464).
- net/mlx5: DR, Fix freeing in dr_create_rc_qp() (jsc#SLE-8464).
- ionic: remove support for mgmt device (bsc#1167773).
- ionic: wait on queue start until after IFF_UP (bsc#1167773).
- wil6210: add wil_netif_rx() helper function (bsc#1154353).
- commit fe9e2ce
* Thu Jul  2 2020 dwagner@suse.de
- scsi: qla2xxx: Set NVMe status code for failed NVMe FCP request
  (bsc#1158983).
- commit 3de702e
* Thu Jul  2 2020 glin@suse.com
- bpf: Document optval > PAGE_SIZE behavior for sockopt hooks
  (bsc#1155518).
- selftests/bpf: Make sure optvals > PAGE_SIZE are bypassed
  (bsc#1155518).
- bpf: Don't return EINVAL from {get,set}sockopt when optlen >
  PAGE_SIZE (bsc#1155518).
- bpf, xdp, samples: Fix null pointer dereference in *_user code
  (bsc#1155518).
- commit 525d7c1
* Thu Jul  2 2020 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: do not run klp-symbols for configs with no modules
  Starting with 5.8-rc1, s390x/zfcpdump builds fail because rpm/klp-symbols
  script does not find .tmp_versions directory. This is missing because
  s390x/zfcpdump is built without modules (CONFIG_MODULES disabled).
  As livepatching cannot work without modules, the cleanest solution is
  setting %%klp_symbols to 0 if CONFIG_MODULES is disabled. (We cannot simply
  add another condition to the place where %%klp_symbols is set as it can be
  already set to 1 from prjconf.)
- commit a048c4b
* Wed Jul  1 2020 msuchanek@suse.de
- rpm/config.sh: Update OBS build project.
- commit c470a01
* Wed Jul  1 2020 msuchanek@suse.de
- Update config files with new product.
- commit c9208a9
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/radeon: fix fb_div check in ni_init_smc_spll_table() (bsc#1152472)
- commit f188884
* Wed Jul  1 2020 tzimmermann@suse.de
- drm: rcar-du: Fix build error (bsc#1152472)
- commit 6214328
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/amdgpu: Replace invalid device ID with a valid device ID (bsc#1152472)
- commit 8b94e6d
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/i915/icl+: Fix hotplug interrupt disabling after storm detection (bsc#1152489)
- commit c7ec144
* Wed Jul  1 2020 msuchanek@suse.de
- rpm/config.sh: Update product and build project.
- commit 0b8b835
* Wed Jul  1 2020 msuchanek@suse.de
- README.BRANCH: Update branch name and maintainers.
- commit c6682c1
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/connector: notify userspace on hotplug after register complete (bsc#1152489)
  * context changes
- commit ab4aef3
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/msm: Check for powered down HW in the devfreq callbacks (bsc#1152489)
- commit 8647289
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/i915/gt: Do not schedule normal requests immediately along (bsc#1152489)
- commit 9c3d561
* Wed Jul  1 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Stage the transfer of the virtual breadcrumb'
- commit d2de202
* Wed Jul  1 2020 tzimmermann@suse.de
- drm: amd/display: fix Kconfig help text (bsc#1152489)
  * context changes
- commit 6439719
* Wed Jul  1 2020 tzimmermann@suse.de
- drm/qxl: Use correct notify port address when creating cursor ring (bsc#1152472)
- commit 600c22c
* Wed Jul  1 2020 tzimmermann@suse.de
- video: vt8500lcdfb: fix fallthrough warning (bsc#1152489)
- commit 476a73c
* Wed Jul  1 2020 mhocko@suse.com
- mm/memory_hotplug: refrain from adding memory into an impossible
  node (bsc#1173552).
- commit 65546dc
* Tue Jun 30 2020 oneukum@suse.com
- crypto: algif_skcipher - Cap recv SG list at ctx->used
  (git-fixes).
- commit 63acd01
* Tue Jun 30 2020 oneukum@suse.com
- crypto - Avoid free() namespace collision (git-fixes).
- commit 08a9f27
* Tue Jun 30 2020 jslaby@suse.cz
- dpaa_eth: fix usage as DSA master, try 3
  (networking-stable-20_05_27).
- net/tls: fix race condition causing kernel panic
  (networking-stable-20_05_27).
- net/mlx5: Fix error flow in case of function_setup failure
  (networking-stable-20_05_27).
- net/mlx5e: Update netdev txq on completions during closure
  (networking-stable-20_05_27).
- net/mlx5: Fix memory leak in mlx5_events_init
  (networking-stable-20_05_27).
- net/mlx5e: Fix inner tirs handling (networking-stable-20_05_27).
- net/mlx5e: kTLS, Destroy key object after destroying the TIS
  (networking-stable-20_05_27).
- net/mlx5: Add command entry handling completion
  (networking-stable-20_05_27).
- kABI: protect struct mlx5_cmd_work_ent (kabi).
- net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during
  suspend (networking-stable-20_05_27).
- sctp: Start shutdown on association restart if in SHUTDOWN-SENT
  state and socket is closed (networking-stable-20_05_27).
- tipc: block BH before using dst_cache
  (networking-stable-20_05_27).
- net: mvpp2: fix RX hashing for non-10G ports
  (networking-stable-20_05_27).
- net: don't return invalid table id error when we fall back to
  PF_UNSPEC (networking-stable-20_05_27).
- kABI: protect struct fib_dump_filter (kabi).
- net: ipip: fix wrong address family in init error path
  (networking-stable-20_05_27).
- net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
  (networking-stable-20_05_27).
- net: nlmsg_cancel() if put fails for nhmsg
  (networking-stable-20_05_27).
- sctp: Don't add the shutdown timer if its already been added
  (networking-stable-20_05_27).
- __netif_receive_skb_core: pass skb by reference
  (networking-stable-20_05_27).
- net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
  (networking-stable-20_05_27).
- net sched: fix reporting the first-time use timestamp
  (networking-stable-20_05_27).
- nexthop: Fix attribute checking for groups
  (networking-stable-20_05_27).
- net: dsa: mt7530: fix roaming from DSA user ports
  (networking-stable-20_05_27).
- commit 8e6293e
* Tue Jun 30 2020 jslaby@suse.cz
- dpaa2-eth: properly handle buffer size restrictions
  (networking-stable-20_05_16).
- tcp: fix error recovery in tcp_zerocopy_receive()
  (networking-stable-20_05_16).
- pppoe: only process PADT targeted at local interfaces
  (networking-stable-20_05_16).
- net: stmmac: fix num_por initialization
  (networking-stable-20_05_16).
- net: phy: fix aneg restart in phy_ethtool_set_eee
  (networking-stable-20_05_16).
- tcp: fix SO_RCVLOWAT hangs with fat skbs
  (networking-stable-20_05_16).
- hinic: fix a bug of ndo_stop (networking-stable-20_05_16).
- net: dsa: loop: Add module soft dependency
  (networking-stable-20_05_16).
- netprio_cgroup: Fix unlimited memory leak of v2 cgroups
  (networking-stable-20_05_16).
- dpaa2-eth: prevent array underflow in update_cls_rule()
  (networking-stable-20_05_16).
- nfp: abm: fix error return code in nfp_abm_vnic_alloc()
  (networking-stable-20_05_16).
- net: tcp: fix rx timestamp behavior for tcp_recvmsg
  (networking-stable-20_05_16).
- net: fix a potential recursive NETDEV_FEAT_CHANGE
  (networking-stable-20_05_16).
- Revert "ipv6: add mtu lock check in __ip6_rt_update_pmtu"
  (networking-stable-20_05_16).
- virtio_net: fix lockdep warning on 32 bit
  (networking-stable-20_05_16).
- hinic: fix wrong para of wait_for_completion_timeout
  (networking-stable-20_05_16).
- commit 8a9049d
* Tue Jun 30 2020 jslaby@suse.cz
- net: dsa: Do not leave DSA master with NULL netdev_ops
  (networking-stable-20_05_12).
- net: stricter validation of untrusted gso packets
  (networking-stable-20_05_12).
- net: mvpp2: cls: Prevent buffer overflow in
  mvpp2_ethtool_cls_rule_del() (networking-stable-20_05_12).
- net: mvpp2: prevent buffer overflow in mvpp22_rss_ctx()
  (networking-stable-20_05_12).
- neigh: send protocol value in neighbor create notification
  (networking-stable-20_05_12).
- nfp: abm: fix a memory leak bug (networking-stable-20_05_12).
- net/mlx4_core: Fix use of ENOSPC around mlx4_counter_alloc()
  (networking-stable-20_05_12).
- tipc: fix partial topology connection closure
  (networking-stable-20_05_12).
- net: macb: fix an issue about leak related system resources
  (networking-stable-20_05_12).
- net: usb: qmi_wwan: add support for DW5816e
  (networking-stable-20_05_12).
- net_sched: sch_skbprio: add message validation to
  skbprio_change() (networking-stable-20_05_12).
- devlink: fix return value after hitting end in region read
  (networking-stable-20_05_12).
- mlxsw: spectrum_acl_tcam: Position vchunk in a vregion list
  properly (networking-stable-20_05_12).
- tunnel: Propagate ECT(1) when decapsulating as recommended by
  RFC6040 (networking-stable-20_05_12).
- net: macsec: preserve ingress frame ordering
  (networking-stable-20_05_12).
- net/mlx5: Fix command entry leak in Internal Error State
  (networking-stable-20_05_12).
- net/mlx5: Fix forced completion access non initialized command
  entry (networking-stable-20_05_12).
- net: tc35815: Fix phydev supported/advertising mask
  (networking-stable-20_05_12).
- sch_sfq: validate silly quantum values
  (networking-stable-20_05_12).
- sch_choke: avoid potential panic in choke_reset()
  (networking-stable-20_05_12).
- fq_codel: fix TCA_FQ_CODEL_DROP_BATCH_SIZE sanity checks
  (networking-stable-20_05_12).
- net/tls: Fix sk_psock refcnt leak when in tls_data_ready()
  (networking-stable-20_05_12).
- net/tls: Fix sk_psock refcnt leak in bpf_exec_tx_verdict()
  (networking-stable-20_05_12).
- commit 01407a0
* Mon Jun 29 2020 oneukum@suse.com
- usb: gadget: udc: Potential Oops in error handling code
  (git-fixes).
- commit e68d3a3
* Mon Jun 29 2020 mgorman@suse.de
- Delete
  patches.suse/fs-Do-not-check-if-there-is-a-fsnotify-watcher-on-pseudo-inodes.patch.
  This patch (mainline commit e9c15badbb7b) breaks chromium browser:
  http://lkml.kernel.org/r/7b4aa1e985007c6d582fffe5e8435f8153e28e0f.camel@redhat.com
- commit e23a2e5
* Mon Jun 29 2020 oneukum@suse.com
- usb: typec: tcpci_rt1711h: avoid screaming irq causing boot
  hangs (git-fixes).
- commit 9bf110f
* Mon Jun 29 2020 oneukum@suse.com
- USB: serial: ch341: add basis for quirk detection (git-fixes).
- commit 5fcb9a5
* Mon Jun 29 2020 fvogt@suse.de
- efi/tpm: Verify event log header before parsing (bsc#1173461).
- commit 855e4d4
* Mon Jun 29 2020 mbenes@suse.cz
- blacklist.conf: aadf9dcef9d4 ("rxrpc: Fix trace string")
  Cosmetic change only.
- commit 3492fbc
* Mon Jun 29 2020 mbrugger@suse.com
- brcmfmac: expose RPi firmware config files through modinfo
  (bsc#1169094).
- commit ceefe76
* Mon Jun 29 2020 mbenes@suse.cz
- tracing: Fix event trigger to accept redundant spaces
  (git-fixes).
- commit b441336
* Mon Jun 29 2020 mbenes@suse.cz
- ring-buffer: Zero out time extend if it is nested and not
  absolute (git-fixes).
- commit 4f656dc
* Mon Jun 29 2020 mgorman@suse.de
- sched/core: Fix PI boosting between RT and DEADLINE tasks
  (git fixes (sched)).
- commit 55e2b0c
* Mon Jun 29 2020 mgorman@suse.de
- sched/deadline: Initialize ->dl_boosted (git fixes (sched)).
- commit d7f40dc
* Mon Jun 29 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-cfs-change-initial-value-of-runnable_avg.patch.
- Refresh
  patches.suse/sched-core-Check-cpus_mask-not-cpus_ptr-in-__set_cpus_allowed_ptr-to-fix-mask-corruption.patch.
- Refresh patches.suse/sched-core-Fix-ttwu-race.patch.
- Refresh patches.suse/sched-core-s-WF_ON_RQ-WQ_ON_CPU.patch.
- commit 302ff9b
* Mon Jun 29 2020 ptesarik@suse.cz
- s390/pci: Log new handle in clp_disable_fh() (git-fixes).
- commit 0747f74
* Mon Jun 29 2020 dwagner@suse.de
- sched/core: Fix PI boosting between RT and DEADLINE tasks
  (bsc#1172823).
- sched/deadline: Initialize ->dl_boosted (bsc#1172823).
- commit b64bd29
* Mon Jun 29 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/ibmvnic-continue-to-init-in-CRQ-reset-returns-H_CLOS.patch
- commit 8848a5a
* Mon Jun 29 2020 bp@suse.de
- EDAC/skx: Use the mcmtr register to retrieve
  close_pg/bank_xor_enable (bsc#1152489).
- commit ba796e7
* Sun Jun 28 2020 dbueso@suse.de
- rcu: Use WRITE_ONCE() for assignments to ->pprev for hlist_nulls
  (bsc#1173438).
- commit f9be02d
* Sun Jun 28 2020 dbueso@suse.de
- selftests/timens: handle a case when alarm clocks are not
  supported (bsc#1164648,jsc#SLE-11493).
- eventpoll: fix missing wakeup for ovflist in ep_poll_callback
  (bsc#1159867).
- random: fix data races at timer_rand_state (bsc#1173438).
- timer: Use hlist_unhashed_lockless() in timer_pending()
  (bsc#1173438).
- jbd2: fix data races at struct journal_head (bsc#1173438).
- list: Add hlist_unhashed_lockless() (bsc#1173438).
- rcu: Fix data-race due to atomic_t copy-by-value (bsc#1171828).
- tick/sched: Annotate lockless access to last_jiffies_update
  (bsc#1173438).
- commit ea6eb59
* Fri Jun 26 2020 msuchanek@suse.de
- Refresh metadata of patches.suse/ibmvnic-continue-to-init-in-CRQ-reset-returns-H_CLOS.patch.
- commit 9767e8e
* Fri Jun 26 2020 msuchanek@suse.de
- ibmveth: Fix max MTU limit (bsc#1173428 ltc#186397).
- commit 79145c1
* Fri Jun 26 2020 bp@suse.de
- EDAC/ghes: Setup DIMM label from DMI and use it in error reports
  (bsc#1168779).
- commit a469a1d
* Fri Jun 26 2020 dwagner@suse.de
- wireguard: receive: account for napi_gro_receive never returning
  GRO_DROP (git-fixes).
- wireguard: device: avoid circular netns references (git-fixes).
- wireguard: noise: do not assign initiation time in if condition
  (git-fixes).
- wireguard: send/receive: use explicit unlikely branch instead
  of implicit coalescing (git-fixes).
  Update context:
  patches.suse/wireguard-noise-separate-receive-counter-from-send-c.patch
- wireguard: selftests: initalize ipv6 members to NULL to squelch
  clang warning (git-fixes).
- commit 4d2639d
* Wed Jun 24 2020 mgorman@suse.de
- sched/cfs: change initial value of runnable_avg (bsc#1158765).
- commit daa01a4
* Wed Jun 24 2020 tiwai@suse.de
- spi: dw-pci: Fix Chip Select amount on Intel Elkhart Lake PSE
  SPI (jsc#SLE-12735).
- spi: dw-pci: Add runtime power management support
  (jsc#SLE-12735).
- SPI: designware: pci: Switch over to MSI interrupts
  (jsc#SLE-12735).
- spi: dw-pci: Add MODULE_DEVICE_TABLE (jsc#SLE-12735).
- spi: dw-pci: Add support for Intel Elkhart Lake PSE SPI
  (jsc#SLE-12735).
- commit fb43301
* Wed Jun 24 2020 tiwai@suse.de
- thermal: intel: intel_pch_thermal: Add Comet Lake (CML)
  platform support (jsc#SLE-12668).
- commit fd37b6c
* Wed Jun 24 2020 tiwai@suse.de
- ntb: intel: fix static declaration (jsc#SLE-12710).
- ntb: intel: add hw workaround for NTB BAR alignment
  (jsc#SLE-12710).
- commit 2f0e6e8
* Wed Jun 24 2020 mhocko@suse.com
- mm: adjust vm_committed_as_batch according to vm overcommit
  policy (bnc#1173271).
- mm/util.c: make vm_memory_committed() more accurate
  (bnc#1173271).
- proc/meminfo: avoid open coded reading of vm_committed_as
  (bnc#1173271).
- commit aef113d
* Wed Jun 24 2020 mkubecek@suse.cz
- series.conf: refresh
  No effect on expanded tree.
- commit c2d8ecc
* Wed Jun 24 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/net-revert-net-get-rid-of-an-signed-integer-overflow-in-ip_idents_reserve.patch
- commit b3deae9
* Wed Jun 24 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/nvme-fc-avoid-gcc-10-zero-length-bounds-warning.patch
  patches.suse/scsi-sd_zbc-Fix-sd_zbc_complete.patch
- fix bugzilla reference (bsc1173206 -> bsc#1173206):
  patches.suse/iocost-don-t-let-vrate-run-wild-while-there-s-no-sat.patch
- commit 7891a6f
* Wed Jun 24 2020 mgorman@suse.de
- sched/core: s/WF_ON_RQ/WQ_ON_CPU/ (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- commit dfd878b
* Wed Jun 24 2020 mgorman@suse.de
- sched/core: Fix ttwu() race (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- commit 2e88482
* Wed Jun 24 2020 mgorman@suse.de
- sched/core: Check cpus_mask, not cpus_ptr in
  __set_cpus_allowed_ptr(), to fix mask corruption (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit 1ad19c5
* Wed Jun 24 2020 mgorman@suse.de
- net: revert "net: get rid of an signed integer overflow in
  ip_idents_reserve()" (bnc#1158748 (network regression)).
- commit 1b123ac
* Tue Jun 23 2020 msuchanek@suse.de
- ibmvnic: continue to init in CRQ reset returns H_CLOSED
  (bsc#1173280 ltc#185369).
- commit 39f977e
* Tue Jun 23 2020 jroedel@suse.de
- vfio-pci: Invalidate mmaps and block MMIO access on disabled
  memory (CVE-2020-12888 bsc#1171868).
- vfio-pci: Fault mmaps to enable vma tracking (CVE-2020-12888
  bsc#1171868).
- vfio/type1: Support faulting PFNMAP vmas (CVE-2020-12888
  bsc#1171868).
- commit d737eb2
* Tue Jun 23 2020 tiwai@suse.de
- Fix a regression of AF_ALG crypto interface hang with aes_s390 (bsc#1167651)
  The upstream fix backported via git-fixes seems causing a trouble with
  s390 aes crypto module.  The problem is generic and should be addressed
  in the upstream, but now we drop the patch as a quick resolution.
  The commit ID is added in blacklist, too.
  Deleted:
  patches.suse/0001-crypto-algif_skcipher-Use-chunksize-instead-of-block.patch
- commit 59211f8
* Tue Jun 23 2020 tiwai@suse.de
- i2c: designware-pci: Fix BUG_ON during device removal
  (jsc#SLE-12734).
- commit 7d1f12c
* Tue Jun 23 2020 tiwai@suse.de
- i2c: designware-pci: Add support for Elkhart Lake PSE I2C
  (jsc#SLE-12734).
- i2c: designware-pci: Switch over to MSI interrupts
  (jsc#SLE-12734).
- commit 7f79de2
* Tue Jun 23 2020 tiwai@suse.de
- ntb: intel: Add Icelake (gen4) support for Intel NTB
  (jsc#SLE-12710).
- commit 37883e6
* Mon Jun 22 2020 tiwai@suse.de
- Revert "pinctrl: freescale: imx: Use 'devm_of_iomap()' to avoid
  a resource leak in case of error in 'imx_pinctrl_probe()'"
  (git-fixes).
- crypto: algboss - don't wait during notifier callback
  (git-fixes).
- drm: encoder_slave: fix refcouting error for modules
  (git-fixes).
- drm/i915: work around false-positive maybe-uninitialized warning
  (git-fixes).
- commit 18a77fa
* Mon Jun 22 2020 dwagner@suse.de
- lpfc: Synchronize NVME transport and lpfc driver devloss_tmo
  (bcs#1173060).
- commit 124f086
* Mon Jun 22 2020 tiwai@suse.de
- r8169: Revive default chip version for r8168 (bsc#1173085).
- commit c0956cb
* Mon Jun 22 2020 hare@suse.de
- scsi: megaraid_sas: Replace undefined MFI_BIG_ENDIAN macro
  with __BIG_ENDIAN_BITFIELD macro (bsc#1173206).
- nvme-fc: avoid gcc-10 zero-length-bounds warning (bsc#1173206).
- iocost: don't let vrate run wild while there's no saturation
  signal (bsc1173206).
- blk-iocost: Fix error on iocost_ioc_vrate_adj (bsc#1173206).
- blk-iocost: fix incorrect vtime comparison in iocg_is_idle()
  (bsc#1173206).
- iocost: over-budget forced IOs should schedule async delay
  (bsc#1173206).
- scsi: smartpqi: Update attribute name to `driver_version`
  (bsc#1173206).
- iocost: check active_list of all the ancestors in
  iocg_activate() (bsc#1173206).
- scsi: sd_zbc: Fix sd_zbc_complete() (bsc#1173206).
- commit 7abe8d4
* Mon Jun 22 2020 hare@suse.de
- blacklist.conf: Add commit for git-fixes (bsc#1173206)
- commit 4a864a5
* Mon Jun 22 2020 ykaukab@suse.de
- irqchip/al-fic: Add support for irq retrigger (jsc#SLE-10505).
- commit 8ec37c7
* Mon Jun 22 2020 mgorman@suse.de
- sched/fair: Optimize dequeue_task_fair() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- commit 3b10cba
* Fri Jun 19 2020 tiwai@suse.de
- Update patch reference for intel_th patch (jsc#SLE-12705)
- commit 2f7215f
* Thu Jun 18 2020 ptesarik@suse.cz
- s390/bpf: Maintain 8-byte stack alignment (bsc#1169194,
  LTC#185911).
- commit 58beb12
* Thu Jun 18 2020 tiwai@suse.de
- Update patch reference for s390 security fix (CVE-2020-10773 bsc#1172999)
- commit 7370304
* Thu Jun 18 2020 tiwai@suse.de
- firmware: imx-scu: Support one TX and one RX (git-fixes).
- Refresh
  patches.suse/firmware-imx-scu-Fix-corruption-of-header.patch.
- commit 0e40d23
* Thu Jun 18 2020 tiwai@suse.de
- ACPI: GED: use correct trigger type field in _Exx / _Lxx
  handling (git-fixes).
- commit 510ece6
* Thu Jun 18 2020 tiwai@suse.de
- lib/lzo: fix ambiguous encoding bug in lzo-rle (git-fixes).
- x86/reboot/quirks: Add MacBook6,1 reboot quirk (git-fixes).
- x86/PCI: Mark Intel C620 MROMs as having non-compliant BARs
  (git-fixes).
- ASoC: max9867: fix volume controls (git-fixes).
- ath9k: Fix general protection fault in ath9k_hif_usb_rx_cb
  (git-fixes).
- ath9x: Fix stack-out-of-bounds Write in ath9k_hif_usb_rx_cb
  (git-fixes).
- ath9k: Fix use-after-free Write in ath9k_htc_rx_msg (git-fixes).
- ath9k: Fix use-after-free Read in ath9k_wmi_ctrl_rx (git-fixes).
- ath9k: Fix use-after-free Read in htc_connect_service
  (git-fixes).
- drm/vkms: Hold gem object while still in-use (git-fixes).
- ACPI: GED: add support for _Exx / _Lxx handler methods
  (git-fixes).
- mmc: tmio: Further fixup runtime PM management at remove
  (git-fixes).
- mmc: sdio: Fix several potential memory leaks in
  mmc_sdio_init_card() (git-fixes).
- efi/efivars: Add missing kobject_put() in sysfs entry creation
  error path (git-fixes).
- spi: bcm-qspi: Handle clock probe deferral (git-fixes).
- Input: synaptics - add a second working PNP_ID for Lenovo T470s
  (git-fixes).
- Input: mms114 - fix handling of mms345l (git-fixes).
- firmware: imx: warn on unexpected RX (git-fixes).
- commit c722a2d
* Thu Jun 18 2020 tiwai@suse.de
- pinctrl: tigerlake: Tiger Lake uses _HID enumeration
  (jsc#SLE-12737).
- commit 6831e2b
* Thu Jun 18 2020 tiwai@suse.de
- pinctrl: intel: Add Intel Tiger Lake pin controller support
  (jsc#SLE-12737).
- Update config files: Add CONFIG_PINCTRL_TIGERLAKE=m
- supported.conf: Add pinctrl-tigerlake as supported
- commit 2966fcc
* Thu Jun 18 2020 tiwai@suse.de
- mfd: intel-lpss: Add Intel Tiger Lake PCI IDs (jsc#SLE-12737).
- mtd: spi-nor: intel-spi: Add support for Intel Tiger Lake SPI
  serial flash (jsc#SLE-12737).
- commit c6209c3
* Thu Jun 18 2020 tiwai@suse.de
- Update the patch reference for ish-hid fix (jsc#SLE-12683)
- commit 4a77970
* Thu Jun 18 2020 tiwai@suse.de
- Update patch reference for can driver security fix (CVE-2020-14416 bsc#1162002)
- commit f86a41b
* Wed Jun 17 2020 dwagner@suse.de
- rcutorture: Make kvm-find-errors.sh abort on bad directory
  (bsc#1173068).
- rcutorture: Summarize summary of build and run results
  (bsc#1173068).
- rcutorture: Add 100-CPU configuration (bsc#1173068).
- torture: Make results-directory date format completion-friendly
  (bsc#1173068).
- locktorture: Allow CPU-hotplug to be disabled via --bootargs
  (bsc#1173068).
- torture: Hoist calls to lscpu to higher-level kvm.sh script
  (bsc#1173068).
- torture: Allow "CFLIST" to specify default list of scenarios
  (bsc#1173068).
- rcutorture: Add worst-case call_rcu() forward-progress results
  (bsc#1173068).
- torture: Handle systems lacking the mpstat command
  (bsc#1173068).
- torture: Handle jitter for CPUs that cannot be offlined
  (bsc#1173068).
- rcutorture: Dispense with Dracut for initrd creation
  (bsc#1173068).
- torture: Use gawk instead of awk for systime() function
  (bsc#1173068).
- rcutorture: Remove CONFIG_HOTPLUG_CPU=n from scenarios
  (bsc#1173068).
- rcutorture: Test TREE03 with the threadirqs kernel boot
  parameter (bsc#1173068).
- torture: Expand last_ts variable in kvm-test-1-run.sh
  (bsc#1173068).
- commit 937076b
* Wed Jun 17 2020 msuchanek@suse.de
- ibmvnic: Harden device login requests (bsc#1170011 ltc#183538).
- commit f073312
* Wed Jun 17 2020 duwe@suse.de
- rpm/modules.fips:
  * add aes-ce-ccm and des3_ede-x86_64 (boo#173030)
  * add aes_ti and aes_neon_bs (boo#1172956)
- commit 9492a4d
* Wed Jun 17 2020 mbenes@suse.cz
- objtool: Allow no-op CFI ops in alternatives (bsc#1169514).
- commit b40dd12
* Wed Jun 17 2020 tiwai@suse.de
- firmware: imx: scu: Fix corruption of header (git-fixes).
- commit bd25a67
* Wed Jun 17 2020 tiwai@suse.de
- e1000e: Do not wake up the system via WOL if device wakeup is
  disabled (git-fixes).
- commit 8a4bb5a
* Wed Jun 17 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/NFS-Fix-fscache-super_cookie-index_key-from-changing.patch
  patches.suse/NFSv4-Fix-fscache-cookie-aux_data-to-ensure-change_a.patch
  patches.suse/NFSv4.1-fix-rpc_call_done-assignment-for-BIND_CONN_T.patch
  patches.suse/SUNRPC-Signalled-ASYNC-tasks-need-to-exit.patch
  patches.suse/nfs-fscache-use-timespec64-in-inode-auxdata.patch
  patches.suse/nfs-set-invalid-blocks-after-NFSv4-writes.patch
  patches.suse/nfsd4-make-drc_slab-global-not-per-net.patch
  patches.suse/svcrdma-Fix-leak-of-svc_rdma_recv_ctxt-objects.patch
- commit 91ef650
* Wed Jun 17 2020 mbenes@suse.cz
- objtool: Fix ORC vs alternatives (bsc#1169514).
- commit 0222f6e
* Wed Jun 17 2020 mbenes@suse.cz
- objtool: Uniquely identify alternative instruction groups
  (bsc#1169514).
- commit 862a5a6
* Wed Jun 17 2020 mbenes@suse.cz
- objtool: Remove check preventing branches within alternative
  (bsc#1169514).
- commit c794e66
* Tue Jun 16 2020 mbenes@suse.cz
- objtool: Fix !CFI insn_state propagation (bsc#1169514).
- commit 52c95b4
* Tue Jun 16 2020 mbenes@suse.cz
- objtool: Rename struct cfi_state (bsc#1169514).
- commit faa0120
* Tue Jun 16 2020 lhenriques@suse.com
- ceph: skip checking caps when session reconnecting and releasing
  reqs (bsc#1172990).
- ceph: make sure mdsc->mutex is nested in s->s_mutex to fix
  dead lock (bsc#1172989).
- ceph: don't return -ESTALE if there's still an open file
  (bsc#1171915).
- ceph: allow rename operation under different quota realms
  (bsc#1172988).
- ceph: normalize 'delta' parameter usage in check_quota_exceeded
  (bsc#1172987).
- ceph: ceph_kick_flushing_caps needs the s_mutex (bsc#1172986).
- ceph: request expedited service on session's last cap flush
  (bsc#1172985 bsc#1167104).
- ceph: convert mdsc->cap_dirty to a per-session list (bsc#1172984
  bsc#1167104).
- ceph: reset i_requested_max_size if file write is not wanted
  (bsc#1172983).
- ceph: throw a warning if we destroy session with mutex still
  locked (bsc#1172940).
- ceph: fix potential race in ceph_check_caps (bsc#1172940).
- ceph: document what protects i_dirty_item and i_flushing_item
  (bsc#1172940).
- ceph: don't take i_ceph_lock in handle_cap_import (bsc#1172940).
- ceph: don't release i_ceph_lock in handle_cap_trunc
  (bsc#1172940).
- ceph: add comments for handle_cap_flush_ack logic (bsc#1172940).
- ceph: split up __finish_cap_flush (bsc#1172940).
- ceph: reorganize __send_cap for less spinlock abuse
  (bsc#1172940).
- ceph: flush release queue when handling caps for unknown inode
  (bsc#1172939).
- libceph: ignore pool overlay and cache logic on redirects
  (bsc#1172938).
- commit 14735c0
* Tue Jun 16 2020 tiwai@suse.de
- media: cedrus: Program output format during each run
  (git-fixes).
- clk: renesas: cpg-mssr: Fix STBCR suspend/resume handling
  (git-fixes).
- serial: 8250: Fix max baud limit in generic 8250 port
  (git-fixes).
- drivers: phy: sr-usb: do not use internal fsm for USB2 phy init
  (git-fixes).
- HID: multitouch: enable multi-input as a quirk for some devices
  (git-fixes).
- tun: correct header offsets in napi frags mode (git-fixes).
- r8152: support additional Microsoft Surface Ethernet Adapter
  variant (git-fixes).
- staging: kpc2000: fix error return code in kp2000_pcie_probe()
  (git-fixes).
- irqchip/ti-sci-inta: Fix processing of masked irqs (git-fixes).
- irqchip/versatile-fpga: Apply clear-mask earlier (git-fixes).
- irqchip/versatile-fpga: Handle chained IRQs properly
  (git-fixes).
- ktest: Add timeout for ssh sync testing (git-fixes).
- commit ac894fa
* Tue Jun 16 2020 mgorman@suse.de
- fs: Do not check if there is a fsnotify watcher on pseudo inodes
  (bsc#1158765).
- commit 7b8d90d
* Tue Jun 16 2020 denis.kirjanov@suse.com
- bpf, sockhash: Synchronize_rcu before free'ing map (git-fixes).
- bpf, sockmap: Check update requirements after locking
  (git-fixes).
- rxrpc: Fix call RCU cleanup using non-bh-safe locks (git-fixes).
- netfilter: nft_tunnel: add the missing ERSPAN_VERSION nla_policy
  (git-fixes).
- netfilter: nft_tproxy: Fix port selector on Big Endian
  (git-fixes).
- netfilter: nf_tables_offload: return EOPNOTSUPP if rule
  specifies no actions (git-fixes).
- netfilter: nf_queue: enqueue skbs with NULL dst (git-fixes).
- af_unix: add compat_ioctl support (git-fixes).
- ipvs: Improve robustness to the ipvs sysctl (git-fixes).
- commit 988684c
* Tue Jun 16 2020 glin@suse.com
- bpf: Undo internal BPF_PROBE_MEM in BPF insns dump (bsc#1155518).
- commit 3b9919e
* Tue Jun 16 2020 neilb@suse.de
- blacklist.conf: mark commit with incorrect Fixes line
- commit 0804266
* Tue Jun 16 2020 neilb@suse.de
- nfs: set invalid blocks after NFSv4 writes (git-fixes).
- NFSv4.1 fix rpc_call_done assignment for BIND_CONN_TO_SESSION
  (git-fixes).
- nfsd4: make drc_slab global, not per-net (git-fixes).
- NFSv4: Fix fscache cookie aux_data to ensure change_attr is
  included (git-fixes).
- NFS: Fix fscache super_cookie index_key from changing after
  umount (git-fixes).
- SUNRPC: Signalled ASYNC tasks need to exit (git-fixes).
- svcrdma: Fix leak of svc_rdma_recv_ctxt objects (git-fixes).
- nfs: fscache: use timespec64 in inode auxdata (git-fixes).
- commit a77a576
* Tue Jun 16 2020 neilb@suse.de
- blacklist.conf: add uninteresting commit
- commit 3cb617b
* Mon Jun 15 2020 mkubecek@suse.cz
- genetlink: clean up family attributes allocations (git-fixes).
- commit f616c3b
* Mon Jun 15 2020 jeyu@suse.de
- panic: do not print uninitialized taint_flags (bsc#1172814).
- commit 045c8db
* Mon Jun 15 2020 msuchanek@suse.de
- ibmvnic: Flush existing work items before device removal
  (bsc#1065729).
- commit 3f9ece1
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/fadump: Account for memory_limit while reserving memory
  (jsc#SLE-9099 git-fixes).
- commit 3bdf3b7
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/fadump: consider reserved ranges while reserving memory
  (jsc#SLE-9099 git-fixes).
- powerpc/fadump: use static allocation for reserved memory ranges
  (jsc#SLE-9099 git-fixes).
- commit 5e676b4
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/powernv: Fix a warning message (bsc#1156395).
- commit c1f8cea
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/64s: Save FSCR to init_task.thread.fscr after feature
  init (bsc#1065729).
- powerpc/64s: Don't let DT CPU features set FSCR_DSCR
  (bsc#1065729).
- commit 054bf6b
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/64s/exception: Fix machine check no-loss idle wakeup
  (bsc#1156395).
- commit 81b4c8f
* Mon Jun 15 2020 msuchanek@suse.de
- asm-gemeric/tlb: remove stray function declarations
  (bsc#1156395).
- commit 72eefc6
* Mon Jun 15 2020 msuchanek@suse.de
- include/asm-generic/topology.h: guard cpumask_of_node() macro
  argument (bsc#1148868).
- commit 8cdd828
* Mon Jun 15 2020 msuchanek@suse.de
- powerpc/xive: Clear the page tables for the ESB IO mapping
  (fate#322438 bsc#1085030).
- commit e1d4bd5
* Mon Jun 15 2020 dwagner@suse.de
- nvme-fc: don't call nvme_cleanup_cmd() for AENs (bsc#1171688).
- commit abf08ba
* Mon Jun 15 2020 bp@suse.de
- x86/cpu/amd: Make erratum #1054 a legacy erratum (bsc#1152489).
- commit f243f91
* Mon Jun 15 2020 bp@suse.de
- blacklist.conf: 5214028dd89e x86/boot: Correct relocation destination on old linkers
- commit 741883d
* Mon Jun 15 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-ibmvscsi-Don-t-send-host-info-in-adapter-info-M.patch
  patches.suse/sunrpc-clean-up-properly-in-gss_mech_unregister.patch
  patches.suse/sunrpc-svcauth_gss_register_pseudoflavor-must-reject.patch
- commit 1bb600f
* Mon Jun 15 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/sched-fair-Fix-enqueue_task_fair-warning-some-more.patch
- commit f581127
* Mon Jun 15 2020 neilb@suse.de
- work around mvfs bug (bsc#1162063).
- commit 5a1f922
* Mon Jun 15 2020 mkubecek@suse.cz
- rpm: drop execute permissions on source files
  Sometimes a source file with execute permission appears in upstream
  repository and makes it into our kernel-source packages. This is caught by
  OBS build checks and may even result in build failures.
  Sanitize the source tree by removing execute permissions from all C source
  and header files.
- commit 771e293
* Fri Jun 12 2020 bp@suse.de
- x86/speculation: PR_SPEC_FORCE_DISABLE enforcement for indirect
  branches (bsc#1172783 CVE-2020-10768).
- commit 1ce088f
* Fri Jun 12 2020 tiwai@suse.de
- drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only
  (git-fixes).
- drm/i915: extend audio CDCLK>=2*BCLK constraint to more
  platforms (git-fixes).
- commit 9b79e3a
* Fri Jun 12 2020 mgorman@suse.de
- sched/cpuacct: Fix charge cpuacct.usage_sys (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/pelt: Sync util/runnable_sum with PELT window when
  propagating (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/fair: Optimize enqueue_task_fair() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched: Make newidle_balance() static again (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/fair: find_idlest_group(): Remove unused sd_flag parameter
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Simplify the code of should_we_balance()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Fix enqueue_task_fair() warning some more
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 6d2135e
* Fri Jun 12 2020 bp@suse.de
- x86/speculation: Prevent rogue cross-process SSBD shutdown
  (bsc#1172781 CVE-2020-10766).
- commit 9163040
* Fri Jun 12 2020 tbogendoerfer@suse.de
- RDMA/nl: Do not permit empty devices names during
  RDMA_NLDEV_CMD_NEWLINK/SET (bsc#1172841).
- commit 543b194
* Fri Jun 12 2020 tiwai@suse.de
- crypto: cavium/nitrox - Fix 'nitrox_get_first_device()' when
  ndevlist is fully iterated (git-fixes).
- e1000e: Disable TSO for buffer overrun workaround (git-fixes).
- commit 1f86986
* Fri Jun 12 2020 tbogendoerfer@suse.de
- vmxnet3: allow rx flow hash ops only when rss is enabled
  (bsc#1172484).
- net: vmxnet3: fix possible buffer overflow caused by bad DMA
  value in vmxnet3_get_rss() (bsc#1172484).
- vmxnet3: use correct hdr reference when packet is encapsulated
  (bsc#1172484).
- vmxnet3: update to version 4 (bsc#1172484).
- vmxnet3: add geneve and vxlan tunnel offload support
  (bsc#1172484).
- vmxnet3: add support to get/set rx flow hash (bsc#1172484).
- vmxnet3: prepare for version 4 changes (bsc#1172484).
- commit f2fe4cd
* Fri Jun 12 2020 tbogendoerfer@suse.de
- net: ena: xdp: update napi budget for DROP and ABORTED
  (bsc#1154492).
- net: ena: xdp: XDP_TX: fix memory leak (bsc#1154492).
- genetlink: fix memory leaks in genl_family_rcv_msg_dumpit()
  (bsc#1154353).
- RDMA/core: Move and rename trace_cm_id_create() (jsc#SLE-8449).
- RDMA/srpt: Fix disabling device management (jsc#SLE-8449).
- RDMA/bnxt_re: Remove dead code from rcfw (bsc#1170774).
- RDMA/uverbs: Make the event_queue fds return POLLERR when
  disassociated (jsc#SLE-8449).
- ipv6: fix IPV6_ADDRFORM operation logic (bsc#1171662).
- ice: Fix inability to set channels when down (jsc#SLE-7926).
- bnxt_en: Improve TQM ring context memory sizing formulas
  (jsc#SLE-8371 bsc#1153274).
- ice: Fix error return code in ice_add_prof() (jsc#SLE-7926).
- net/mlx5e: replace EINVAL in mlx5e_flower_parse_meta()
  (jsc#SLE-8464).
- net/mlx5e: Fix stats update for matchall classifier
  (jsc#SLE-8464).
- net/mlx5: Fix crash upon suspend/resume (bsc#1172365).
- net: dsa: declare lockless TX feature for slave ports
  (bsc#1154353).
- RDMA/mlx5: Fix NULL pointer dereference in destroy_prefetch_work
  (jsc#SLE-8446).
- net/mlx5: Fix cleaning unmanaged flow tables (jsc#SLE-8464).
- net: phy: propagate an error back to the callers of
  phy_sfp_probe (bsc#1154353).
- commit 2741342
* Fri Jun 12 2020 tiwai@suse.de
- mailbox: zynqmp-ipi: Fix NULL vs IS_ERR() check in
  zynqmp_ipi_mbox_probe() (git-fixes).
- drm/sun4i: hdmi ddc clk: Fix size of m divider (git-fixes).
- ACPI: PM: Avoid using power resources if there are none for D0
  (git-fixes).
- Input: edt-ft5x06 - fix get_default register write access
  (git-fixes).
- mtd: rawnand: brcmnand: fix CS0 layout (git-fixes).
- mtd: rawnand: xway: Fix the probe error path (git-fixes).
- mtd: rawnand: tmio: Fix the probe error path (git-fixes).
- mtd: rawnand: sunxi: Fix the probe error path (git-fixes).
- mtd: rawnand: socrates: Fix the probe error path (git-fixes).
- mtd: rawnand: sharpsl: Fix the probe error path (git-fixes).
- mtd: rawnand: plat_nand: Fix the probe error path (git-fixes).
- mtd: rawnand: pasemi: Fix the probe error path (git-fixes).
- mtd: rawnand: oxnas: Release all devices in the _remove() path
  (git-fixes).
- mtd: rawnand: oxnas: Keep track of registered devices
  (git-fixes).
- mtd: rawnand: orion: Fix the probe error path (git-fixes).
- mtd: rawnand: mtk: Fix the probe error path (git-fixes).
- mtd: rawnand: ingenic: Fix the probe error path (git-fixes).
- mtd: rawnand: diskonchip: Fix the probe error path (git-fixes).
- mtd: rawnand: Fix nand_gpio_waitrdy() (git-fixes).
- mtd: rawnand: brcmnand: correctly verify erased pages
  (git-fixes).
- mtd: rawnand: brcmnand: fix hamming oob layout (git-fixes).
- mtd: rawnand: onfi: Fix redundancy detection check (git-fixes).
- mtd: rawnand: timings: Fix default tR_max and tCCS_min timings
  (git-fixes).
- mtd: rawnand: marvell: Fix probe error path (git-fixes).
- mtd: rawnand: marvell: Use nand_cleanup() when the device is
  not yet registered (git-fixes).
- mtd: rawnand: marvell: Fix the condition on a return code
  (git-fixes).
- clk: mediatek: assign the initial value to clk_init_data of
  mtk_mux (git-fixes).
- clk: qcom: Add missing msm8998 ufs_unipro_core_clk_src
  (git-fixes).
- clk: clk-flexgen: fix clock-critical handling (git-fixes).
- clk: bcm2835: Remove casting to bcm2835_clk_register
  (git-fixes).
- clk: bcm2835: Fix return type of bcm2835_register_gate
  (git-fixes).
- clk: sprd: return correct type of value for
  _sprd_pll_recalc_rate (git-fixes).
- clk: sunxi: Fix incorrect usage of round_down() (git-fixes).
- clk: samsung: Mark top ISP and CAM clocks on Exynos542x as
  critical (git-fixes).
- clk: meson: meson8b: Don't rely on u-boot to init all GP_PLL
  registers (git-fixes).
- clk: meson: meson8b: Fix the vclk_div{1, 2, 4, 6, 12}_en gate
  bits (git-fixes).
- clk: meson: meson8b: Fix the polarity of the RESET_N lines
  (git-fixes).
- power: supply: smb347-charger: IRQSTAT_D is volatile
  (git-fixes).
- power: supply: lp8788: Fix an error handling path in
  'lp8788_charger_probe()' (git-fixes).
- power: supply: core: fix memory leak in HWMON error path
  (git-fixes).
- power: supply: core: fix HWMON temperature labels (git-fixes).
- power: reset: qcom-pon: reg write mask depends on pon generation
  (git-fixes).
- power: supply: bq24257_charger: Replace depends on REGMAP_I2C
  with select (git-fixes).
- staging: rtl8712: Fix IEEE80211_ADDBA_PARAM_BUF_SIZE_MASK
  (git-fixes).
- USB: serial: option: add Telit LE910C1-EUX compositions
  (git-fixes).
- USB: serial: qcserial: add DW5816e QDL support (git-fixes).
- mmc: fix compilation of user API (git-fixes).
- spi: dt-bindings: spi-controller: Fix #address-cells for slave
  mode (git-fixes).
- spi: dw: use "smp_mb()" to avoid sending spi data error
  (git-fixes).
- commit f18fb8c
* Fri Jun 12 2020 tiwai@suse.de
- ASoC: rt5645: Add platform-data for Asus T101HA (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for Toshiba Encore WT10-A
  tablet (git-fixes).
- ASoC: meson: add missing free_irq() in error path (git-fixes).
- ALSA: hda/realtek - add a pintbl quirk for several Lenovo
  machines (git-fixes).
- ALSA: emu10k1: delete an unnecessary condition (git-fixes).
- commit 509b163
* Fri Jun 12 2020 tiwai@suse.de
- ALSA: pcm: disallow linking stream to itself (git-fixes).
- ALSA: usb-audio: Manage auto-pm of all bundled interfaces
  (git-fixes).
- ALSA: pcm: fix snd_pcm_link() lockdep splat (git-fixes).
- ALSA: usb-audio: Use the new macro for HP Dock rename quirks
  (git-fixes).
- ALSA: usb-audio: Add vendor, product and profile name for HP
  Thunderbolt Dock (git-fixes).
- ALSA: usb-audio: Fix inconsistent card PM state after resume
  (git-fixes).
- ALSA: usb-audio: Add Pioneer DJ DJM-900NXS2 support (git-fixes).
- pcm_native: result of put_user() needs to be checked
  (git-fixes).
- commit ef14fbe
* Thu Jun 11 2020 bp@suse.de
- x86/speculation: Avoid force-disabling IBPB based on STIBP
  and enhanced IBRS (bsc#1172782 CVE-2020-10767).
- commit 6c80e35
* Thu Jun 11 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-Offload-wakee-task-activation-if-it-the-wakee-is-descheduling.patch.
- Refresh
  patches.suse/sched-Optimize-ttwu-spinning-on-p-on_cpu.patch.
- Refresh
  patches.suse/sched-cpuacct-Use-__this_cpu_add-instead-of-this_cpu_ptr.patch.
- Refresh
  patches.suse/sched-fair-Fix-negative-imbalance-in-imbalance-calculation.patch.
- Refresh
  patches.suse/sched-fair-Use-__this_cpu_read-in-wake_wide.patch.
- commit 34c599d
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Make klp_apply_object_relocs static (bsc#1071995).
- commit 293cfbf
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Prevent module-specific KLP rela sections from
  referencing vmlinux symbols (bsc#1071995).
- Refresh
  patches.suse/livepatch-create-and-include-UAPI-headers.patch.
- commit 9ab151a
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Remove .klp.arch (bsc#1071995).
- commit 0d36b79
* Thu Jun 11 2020 jack@suse.cz
- bfq: Fix check detecting whether waker queue should be selected
  (bsc#1168838).
- commit 570a2f2
* Thu Jun 11 2020 mbenes@suse.cz
- livepatch: Apply vmlinux-specific KLP relocations early
  (bsc#1071995).
- Refresh
  patches.suse/livepatch-create-and-include-UAPI-headers.patch.
- commit 28cfe0c
* Thu Jun 11 2020 mgorman@suse.de
- Refresh
  patches.suse/cpufreq-intel_pstate-Allow-unspecified-FADT-profile-to-probe-PPC.patch.
- Refresh
  patches.suse/pcc-cpufreq-Re-introduce-deadband-effect-to-reduce-number-of-frequency-changes.patch.
- Refresh patches.suse/readahead-request-tunables.patch.
- commit e092759
* Wed Jun 10 2020 msuchanek@suse.de
- scsi: ibmvscsi: Don't send host info in adapter info MAD after
  LPM (bsc#1172759 ltc#184814).
- commit 2cb7730
* Wed Jun 10 2020 mbenes@suse.cz
- livepatch: Disallow vmlinux.ko (bsc#1071995).
- commit a7813fd
* Wed Jun 10 2020 tiwai@suse.de
- ASoC: intel: cht_bsw_max98090_ti: Add all Chromebooks that
  need pmc_plt_clk_0 quirk (bsc#1171246).
- commit 912573f
* Wed Jun 10 2020 colyli@suse.de
- blacklist.conf: add Add 78f57ef9d50a75326da73d352d7c27828495229a
- commit 828a354
* Wed Jun 10 2020 ykaukab@suse.de
- config: arm64: enable CONFIG_IOMMU_DEFAULT_PASSTHROUGH
  References: bsc#1172739
- commit 3b77faf
* Wed Jun 10 2020 mgorman@suse.de
- fsnotify: Rearrange fast path to minimise overhead when there
  is no watcher (bsc#1158765).
- sched/fair: fix nohz next idle balance (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- commit 1b0cbfe
* Wed Jun 10 2020 tiwai@suse.de
- vt: keyboard: avoid signed integer overflow in k_ascii
  (CVE-2020-13974 bsc#1172775).
- commit 9b0650e
* Wed Jun 10 2020 tiwai@suse.de
- remoteproc: Fix and restore the parenting hierarchy for vdev
  (git-fixes).
- remoteproc: Fall back to using parent memory pool if no
  dedicated available (git-fixes).
- remoteproc: Add missing '\n' in log messages (git-fixes).
- remoteproc: Fix IDR initialisation in rproc_alloc() (git-fixes).
- drm/i915: Whitelist context-local timestamp in the gen9
  cmdparser (git-fixes).
- drm/i915/gem: Avoid iterating an empty list (git-fixes).
- Revert "drm/amd/display: disable dcn20 abm feature for bring up"
  (git-fixes).
- commit 8d68d47
* Wed Jun 10 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/fanotify-fix-ignore-mask-logic-for-events-on-child-a.patch
- commit bceb814
* Wed Jun 10 2020 mkoutny@suse.com
- Revert "fs/seq_file.c: seq_read(): add info message about buggy .next functions" (bsc#1172751)
  The message floods dmesg and its benefit is marginal in default kernel.
  Delete patches.suse/fs-seq_file.c-seq_read-add-info-message-about-buggy-.patch.
- commit 00aa3d5
* Wed Jun 10 2020 pvorel@suse.cz
- fanotify: fix ignore mask logic for events on child and on dir
  (bsc#1172719).
- commit ce60cdb
* Tue Jun  9 2020 jroedel@suse.de
- blacklist.conf: Add c4e0f3b24004 iommu/msm: Make msm_iommu_lock static
- commit fd75b72
* Tue Jun  9 2020 jroedel@suse.de
- KVM: x86/mmu: Set mmio_value to '0' if reserved #PF can't be
  generated (bsc#1171904).
- KVM: x86: only do L1TF workaround on affected processors
  (bsc#1171904).
- commit d33828d
* Tue Jun  9 2020 dwagner@suse.de
- blacklist: 55e8c8eb2c7b ("posix-cpu-timers: Store a reference to a pid not a task")
  This fixes a historical/theoretical bug which is not worth
  back porting. It depends on tglx's massive posix-cpu-timers
  refactoring. The risk to introduce subtle bugs do not outweigh the
  gain of fixing the bug.
- commit fc0a1e1
* Tue Jun  9 2020 dwagner@suse.de
- netfilter: not mark a spinlock as __read_mostly (git-fixes).
- netfilter: connlabels: prefer static lock initialiser
  (git-fixes).
- commit 2cf2f11
* Tue Jun  9 2020 oneukum@suse.com
- CDC-ACM: heed quirk also in error handling (git-fixes).
- commit a90fe00
* Mon Jun  8 2020 tzimmermann@suse.de
- drm/dp_mst: Increase ACT retry timeout to 3s (bsc#1152472)
  * context changes
- commit 07b82ee
* Mon Jun  8 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: force fbdev into vram'
- commit 0516e8a
* Mon Jun  8 2020 ailiop@suse.com
- xfs: fix duplicate verification from xfs_qm_dqflush()
  (git-fixes).
- commit 51ce4f9
* Mon Jun  8 2020 ailiop@suse.com
- xfs: clean up the error handling in xfs_swap_extents
  (git-fixes).
- commit 7e54c91
* Mon Jun  8 2020 nsaenzjulienne@suse.de
- PCI: brcmstb: Fix window register offset from 4 to 8
  (git-fixes).
- PCI: brcmstb: Assert fundamental reset on initialization
  (git-fixes).
- commit 70db1f0
* Mon Jun  8 2020 nsaenzjulienne@suse.de
- blacklist.conf: Blacklist 3ac395a5b3f3
- commit f86499e
* Mon Jun  8 2020 tiwai@suse.de
- ima: Remove __init annotation from ima_pcrread() (git-fixes).
- commit 438f005
* Mon Jun  8 2020 tiwai@suse.de
- ima: Directly free *entry in ima_alloc_init_template() if
  digests is NULL (bsc#1172223).
- commit 3741933
* Mon Jun  8 2020 tiwai@suse.de
- ima: Call ima_calc_boot_aggregate() in ima_eventdigest_init()
  (bsc#1172223).
- commit 25930ca
* Mon Jun  8 2020 tiwai@suse.de
- Move upstreamed IMA patches into sorted section
- commit 7e9708e
* Mon Jun  8 2020 tiwai@suse.de
- ima: Directly assign the ima_default_policy pointer to ima_rules (bsc#1172223)
  Delete obsoleted downstream fix, too:
  patches.suse/ima-Fix-Oops-at-boot-with-ima_template_fmt-d-boot-op.patch
- commit f1f48b1
* Mon Jun  8 2020 tiwai@suse.de
- evm: Fix a small race in init_desc() (git-fixes).
- commit 391f180
* Mon Jun  8 2020 tiwai@suse.de
- pinctrl: sprd: Fix the incorrect pull-up definition (git-fixes).
- pinctrl: freescale: imx: Use 'devm_of_iomap()' to avoid
  a resource leak in case of error in 'imx_pinctrl_probe()'
  (git-fixes).
- pinctrl: freescale: imx: Fix an error handling path in
  'imx_pinctrl_probe()' (git-fixes).
- pinctrl: imxl: Fix an error handling path in
  'imx1_pinctrl_core_probe()' (git-fixes).
- pinctrl: samsung: Save/restore eint_mask over suspend for
  EINT_TYPE GPIOs (git-fixes).
- pinctrl: samsung: Correct setting of eint wakeup mask on s5pv210
  (git-fixes).
- pinctrl: ocelot: Fix GPIO interrupt decoding on Jaguar2
  (git-fixes).
- pinctrl: rza1: Fix wrong array assignment of rza1l_swio_entries
  (git-fixes).
- pinctrl: stmfx: stmfx_pinconf_set doesn't require to get
  direction anymore (git-fixes).
- rtc: rv3028: Add missed check for devm_regmap_init_i2c()
  (git-fixes).
- rtc: mc13xxx: fix a double-unlock issue (git-fixes).
- extcon: adc-jack: Fix an error handling path in
  'adc_jack_probe()' (git-fixes).
- w1: omap-hdq: cleanup to add missing newline for some dev_dbg
  (git-fixes).
- fpga: dfl: afu: Corrected error handling levels (git-fixes).
- habanalabs: Align protection bits configuration of all TPCs
  (git-fixes).
- misc: fastrpc: fix potential fastrpc_invoke_ctx leak
  (git-fixes).
- slimbus: core: Fix mismatch in of_node_get/put (git-fixes).
- firmware: xilinx: Fix an error handling path in
  'zynqmp_firmware_probe()' (git-fixes).
- iio:chemical:pms7003: Fix timestamp alignment and prevent data
  leak (git-fixes).
- iio:chemical:sps30: Fix timestamp alignment (git-fixes).
- iio: vcnl4000: Fix i2c swapped word reading (git-fixes).
- staging: sm750fb: add missing case while setting FB_VISUAL
  (git-fixes).
- iio: pressure: bmp280: Tolerate IRQ before registering
  (git-fixes).
- iio: buffer: Don't allow buffers without any channels enabled
  to be activated (git-fixes).
- tty: n_gsm: Fix bogus i++ in gsm_data_kick (git-fixes).
- tty: n_gsm: Fix waking up upper tty layer when room available
  (git-fixes).
- tty: n_gsm: Fix SOF skipping (git-fixes).
- USB: serial: usb_wwan: do not resubmit rx urb on fatal errors
  (git-fixes).
- CDC-ACM: heed quirk also in error handling (git-fixes).
- usb: musb: Fix runtime PM imbalance on error (git-fixes).
- usb: musb: start session in resume for host port (git-fixes).
- usb: gadget: fix potential double-free in m66592_probe
  (git-fixes).
- usb: gadget: lpc32xx_udc: don't dereference ep pointer before
  null check (git-fixes).
- USB: gadget: udc: s3c2410_udc: Remove pointless NULL check in
  s3c2410_udc_nuke (git-fixes).
- usb: dwc2: gadget: move gadget resume after the core is in L0
  state (git-fixes).
- usb: dwc3: gadget: Properly handle failed kick_transfer
  (git-fixes).
- usb: dwc3: gadget: Properly handle ClearFeature(halt)
  (git-fixes).
- USB: host: ehci-mxc: Add error handling in ehci_mxc_drv_probe()
  (git-fixes).
- USB: ohci-sm501: fix error return code in
  ohci_hcd_sm501_drv_probe() (git-fixes).
- PCI: vmd: Filter resource type bits from shadow register
  (git-fixes).
- PCI: v3-semi: Fix a memory leak in v3_pci_probe() error handling
  paths (git-fixes).
- PCI: rcar: Fix incorrect programming of OB windows (git-fixes).
- PCI: amlogic: meson: Don't use FAST_LINK_MODE to set up link
  (git-fixes).
- PCI: brcmstb: Fix window register offset from 4 to 8
  (git-fixes).
- PCI: brcmstb: Assert fundamental reset on initialization
  (git-fixes).
- PCI: Allow pci_resize_resource() for devices on root bus
  (git-fixes).
- PCI/PM: Adjust pcie_wait_for_link_delay() for caller delay
  (git-fixes).
- PCI/PM: Call .bridge_d3() hook only if non-NULL (git-fixes).
- PCI/PTM: Inherit Switch Downstream Port PTM settings from
  Upstream Port (git-fixes).
- PCI: Program MPS for RCiEP devices (git-fixes).
- PCI: Fix pci_register_host_bridge() device_register() error
  handling (git-fixes).
- evm: Fix possible memory leak in evm_calc_hmac_or_hash()
  (git-fixes).
- gpio: dwapb: Call acpi_gpiochip_free_interrupts() on GPIO chip
  de-registration (git-fixes).
- gpiolib: Document that GPIO line names are not globally unique
  (git-fixes).
- gpio: dwapb: Append MODULE_ALIAS for platform driver
  (git-fixes).
- vfio/mdev: Fix reference count leak in add_mdev_supported_type
  (git-fixes).
- vfio/pci: fix memory leaks in alloc_perm_bits() (git-fixes).
- HID: i2c-hid: add Schneider SCL142ALM to descriptor override
  (git-fixes).
- mt76: mt76x02u: Add support for newer versions of the XBox
  One wifi adapter (git-fixes).
- p54usb: add AirVasT USB stick device-id (git-fixes).
- drm/edid: Add Oculus Rift S to non-desktop list (git-fixes).
- i2c: altera: Fix race between xfer_msg and isr thread
  (git-fixes).
- evm: Fix RCU list related warnings (git-fixes).
- evm: Check also if *tfm is an error pointer in init_desc()
  (git-fixes).
- drm/i915: fix port checks for MST support on gen >= 11
  (git-fixes).
- ASoC: intel - fix the card names (git-fixes).
- commit 993a2a7
* Mon Jun  8 2020 colyli@suse.de
- raid5: remove gfp flags from scribble_alloc() (bsc#1166985).
- commit d35a2bb
* Mon Jun  8 2020 tiwai@suse.de
- Add cherry-picked ID to the already applied pinctrl patch
- commit b7b9bd6
* Mon Jun  8 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-lpfc-Change-default-queue-allocation-for-reduce.patch
  patches.suse/scsi-lpfc-Fix-MDS-Diagnostic-Enablement-definition.patch
  patches.suse/scsi-lpfc-Fix-lpfc_nodelist-leak-when-processing-uns.patch
  patches.suse/scsi-lpfc-Fix-negation-of-else-clause-in-lpfc_prep_n.patch
  patches.suse/scsi-lpfc-Fix-noderef-and-address-space-warnings.patch
  patches.suse/scsi-lpfc-Maintain-atomic-consistency-of-queue_claim.patch
  patches.suse/scsi-lpfc-Remove-re-binding-of-nvme-rport-during-reg.patch
  patches.suse/scsi-lpfc-Remove-redundant-initialization-to-variabl.patch
  patches.suse/scsi-lpfc-Remove-unnecessary-lockdep_assert_held-cal.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.1.patch
  patches.suse/scsi-lpfc-remove-duplicate-unloading-checks.patch
  patches.suse/scsi-zfcp-Fence-adapter-status-propagation-for-commo.patch
  patches.suse/scsi-zfcp-Fence-early-sysfs-interfaces-for-accesses-.patch
  patches.suse/scsi-zfcp-Fence-fc_host-updates-during-link-down-han.patch
  patches.suse/scsi-zfcp-Move-allocation-of-the-shost-object-to-aft.patch
  patches.suse/scsi-zfcp-Move-fc_host-updates-during-xport-data-han.patch
  patches.suse/scsi-zfcp-Move-p-t-p-port-allocation-to-after-xport-.patch
  patches.suse/scsi-zfcp-Move-shost-modification-after-QDIO-re-open.patch
  patches.suse/scsi-zfcp-Move-shost-updates-during-xconfig-data-han.patch
- commit 9ccb987
* Sun Jun  7 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline and drop Git-repo:
  patches.suse/bpf-Fix-map-permissions-check.patch
  patches.suse/libbpf-Fix-perf_buffer__free-API-for-sparse-allocs.patch
  patches.suse/selftests-bpf-CONFIG_IPV6_SEG6_BPF-required-for-test.patch
  patches.suse/selftests-bpf-CONFIG_LIRC-required-for-test_lirc_mod.patch
  patches.suse/selftests-bpf-Fix-invalid-memory-reads-in-core_relo-.patch
  patches.suse/selftests-bpf-Fix-memory-leak-in-extract_build_id.patch
  patches.suse/selftests-bpf-flow_dissector-Close-TAP-device-FD-aft.patch
- commit fb39453
* Sun Jun  7 2020 colyli@suse.de
- xfrm: fix error in comment (git fixes (block drivers)).
- virtio-blk: handle block_device_operations callbacks after hot unplug (git fixes (block drivers)).
- dm verity fec: fix hash block number in verity_fec_decode (git fixes (block drivers)).
- dm writecache: fix data corruption when reloading the target (git fixes (block drivers)).
- commit b4c0830
* Sat Jun  6 2020 ailiop@suse.com
- xfs: force writes to delalloc regions to unwritten
  (bsc#1158242).
- commit 0735a16
* Sat Jun  6 2020 ailiop@suse.com
- xfs: measure all contiguous previous extents for prealloc size
  (bsc#1158242).
- commit 0724b42
* Sat Jun  6 2020 ailiop@suse.com
- xfs: don't fail unwritten extent conversion on writeback due
  to edquot (bsc#1158242).
- commit 8be9c37
* Fri Jun  5 2020 jeffm@suse.com
- mdraid: fix read/write bytes accounting (bsc#1172537).
- commit 52b03e4
* Fri Jun  5 2020 dwagner@suse.de
- lpfc: Fix return value in __lpfc_nvme_ls_abort (bsc#1171530).
- lpfc: fix axchg pointer reference after free and double frees
  (bsc#1171530).
- lpfc: Fix pointer checks and comments in LS receive refactoring
  (bsc#1171530).
- commit d3a7d02
* Fri Jun  5 2020 dwagner@suse.de
- series: update meta data
  The nmve/nvme-5.8 branch has been merged into mainline, that means no more
  rebases of these patches. Hence move them back to the sorted section.
- commit 4a0d7a9
* Fri Jun  5 2020 tiwai@suse.de
- firmware: imx: scu: Fix possible memory leak in imx_scu_probe()
  (git-fixes).
- firmware: qcom_scm: fix bogous abuse of dma-direct internals
  (git-fixes).
- i2c: fix missing pm_runtime_put_sync in i2c_device_probe
  (git-fixes).
- i2c: acpi: put device when verifying client fails (git-fixes).
- commit d4c4283
* Fri Jun  5 2020 bp@suse.de
- blacklist.conf: 88743470668e x86/dma: Fix max PFN arithmetic overflow on 32 bit systems
- commit efee432
* Fri Jun  5 2020 dwagner@suse.de
- lpfc_debugfs: get rid of pointless access_ok() (bsc#1171530).
- scsi: lpfc: Copyright updates for 12.6.0.4 patches
  (bsc#1171530).
- scsi: lpfc: Make lpfc_defer_acc_rsp static (bsc#1171530).
- scsi: lpfc: Fix incomplete NVME discovery when target
  (bsc#1171530).
- scsi: lpfc: fix spelling mistakes of asynchronous (bsc#1171530).
- scsi: lpfc: fix build failure with DEBUGFS disabled
  (bsc#1171530).
- scsi: lpfc: Fix memory leak on lpfc_bsg_write_ebuf_set func
  (bsc#1171530).
- commit 07d03b5
* Fri Jun  5 2020 hare@suse.de
- nvme: provide num dword helper (bsc#1159058).
- nvme: fix possible hang when ns scanning fails during error (bsc#1159058).
- nvme: prevent double free in nvme_alloc_ns() error handling (bsc#1159058).
- nvme-tcp: fix possible crash in write_zeroes processing
  (bsc#1159058).
- nvme: cleanup namespace identifier reporting in (bsc#1159058).
- nvme: rename __nvme_find_ns_head to nvme_find_ns_head
  (bsc#1159058).
- nvme: refactor nvme_identify_ns_descs error handling
  (bsc#1159058).
- nvme-tcp: Add warning on state change failure at (bsc#1159058).
- nvme-rdma: Add warning on state change failure at (bsc#1159058).
- nvme: Fix controller creation races with teardown flow
  (bsc#1159058).
- nvme: Make nvme_uninit_ctrl symmetric to nvme_init_ctrl
  (bsc#1159058).
- nvme: Fix ctrl use-after-free during sysfs deletion
  (bsc#1159058).
- nvme-pci: Re-order nvme_pci_free_ctrl (bsc#1159058).
- nvme: Remove unused return code from nvme_delete_ctrl_sync
  (bsc#1159058).
- nvme: release ida resources (bsc#1159058).
- nvme: expose hostid via sysfs for fabrics controllers
  (bsc#1159058).
- nvme: expose hostnqn via sysfs for fabrics controllers
  (bsc#1159058).
- commit 377781c
* Fri Jun  5 2020 tiwai@suse.de
- soc: qcom: rpmh: Dirt can only make you dirtier, not cleaner
  (git-fixes).
- commit 9e8f57f
* Fri Jun  5 2020 tiwai@suse.de
- drivers: soc: ti: knav_qmss_queue: Make knav_gp_range_ops static
  (git-fixes).
- soc/tegra: pmc: Select GENERIC_PINCONF (git-fixes).
- soc: qcom: rpmh-rsc: Allow using free WAKE TCS for active
  request (git-fixes).
- soc: qcom: rpmh-rsc: Clear active mode configuration for wake
  TCS (git-fixes).
- soc: qcom: rpmh: Invalidate SLEEP and WAKE TCSes before flushing
  new data (git-fixes).
- soc: qcom: rpmh: Update dirty flag only when data changes
  (git-fixes).
- HID: intel-ish-hid: avoid bogus uninitialized-variable warning
  (git-fixes).
- HID: sony: Fix for broken buttons on DS3 USB dongles
  (git-fixes).
- ASoC: fix incomplete error-handling in img_i2s_in_probe
  (git-fixes).
- ASoC: ux500: mop500: Fix some refcounted resources issues
  (git-fixes).
- ASoC: SOF: core: fix error return code in sof_probe_continue()
  (git-fixes).
- watchdog: imx_sc_wdt: Fix reboot on crash (git-fixes).
- mfd: stmfx: Fix stmfx_irq_init error path (git-fixes).
- mfd: stmfx: Reset chip on resume as supply was disabled
  (git-fixes).
- commit cdc4c92
* Fri Jun  5 2020 tiwai@suse.de
- Refresh and move the upstreamed relay security fix to sorted section
- commit b8d4113
* Fri Jun  5 2020 tiwai@suse.de
- kABI workaround for struct hdac_bus changes (git-fixes).
- commit d370486
* Fri Jun  5 2020 jkosina@suse.cz
- Refresh
  patches.suse/block-floppy-fix-contended-case-in-floppy_queue_rq.patch: update
  upstream reference.
- commit ec891fb
* Fri Jun  5 2020 tiwai@suse.de
- ALSA: es1688: Add the missed snd_card_free() (git-fixes).
- ALSA: hda: add sienna_cichlid audio asic id for sienna_cichlid
  up (git-fixes).
- ALSA: hda: Add ElkhartLake HDMI codec vid (git-fixes).
- ALSA: usb-audio: Fixing usage of plain int instead of NULL
  (git-fixes).
- ALSA: usb-audio: Clean up quirk entries with macros (git-fixes).
- ALSA: hda: Fix potential race in unsol event handler
  (git-fixes).
- ALSA: usb-audio: Add duplex sound support for USB devices
  using implicit feedback (git-fixes).
- ALSA: usb-audio: fixing upper volume limit for RME Babyface
  Pro routing crosspoints (git-fixes).
- ALSA: fireface: fix configuration error for nominal sampling
  transfer frequency (git-fixes).
- ALSA: firewire-lib: fix invalid assignment to union data for
  directional parameter (git-fixes).
- ALSA: hda/tegra: workaround playback failure on Tegra194
  (git-fixes).
- ALSA: hda: add member to store ratio for stripe control
  (git-fixes).
- ALSA: hda/tegra: correct number of SDO lines for Tegra194
  (git-fixes).
- ALSA: hda/realtek - Fix unused variable warning w/o
  CONFIG_LEDS_TRIGGER_AUDIO (git-fixes).
- ALSA: hda/realtek - Add LED class support for micmute LED
  (git-fixes).
- ALSA: hda/realtek - Enable micmute LED on and HP system
  (git-fixes).
- ALSA: hda/realtek - Introduce polarity for micmute LED GPIO
  (git-fixes).
- ALSA: usb-audio: Fix racy list management in output queue
  (git-fixes).
- ALSA: usb-audio: Remove async workaround for Scarlett 2nd gen
  (git-fixes).
- ALSA: usb-audio: Improve frames size computation (git-fixes).
- ALSA: usb-audio: Fix a limit check in
  proc_dump_substream_formats() (git-fixes).
- ALSA: usb-audio: Print more information in stream proc files
  (git-fixes).
- ALSA: usb-audio: RME Babyface Pro mixer patch (git-fixes).
- commit 4609c7f
* Fri Jun  5 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/nfs-add-minor-version-to-nfs_server_key-for-fscache.patch
- commit 5fe8ee1
* Fri Jun  5 2020 mkubecek@suse.cz
- Update upstream reference:
  patches.suse/mm-fix-mremap-not-considering-huge-pmd-devmap.patch
- commit a7fb6a0
* Fri Jun  5 2020 glin@suse.com
- selftests/bpf: CONFIG_LIRC required for test_lirc_mode2.sh
  (bsc#1155518).
- selftests/bpf: CONFIG_IPV6_SEG6_BPF required for
  test_seg6_loop.o (bsc#1155518).
- selftests/bpf: Fix invalid memory reads in core_relo selftest
  (bsc#1155518).
- commit 433235c
* Fri Jun  5 2020 glin@suse.com
- selftests/bpf, flow_dissector: Close TAP device FD after the
  test (bsc#1155518).
- bpf: Fix map permissions check (bsc#1155518).
- libbpf: Fix perf_buffer__free() API for sparse allocs
  (bsc#1155518).
- selftests/bpf: Fix memory leak in extract_build_id()
  (bsc#1155518).
- commit 1e6959e
* Fri Jun  5 2020 glin@suse.com
- Refresh patches.suse/selftests-bpf-Validate-frozen-map-contents-stays-fro.patch.
- commit a23c87d
* Thu Jun  4 2020 ailiop@suse.com
- xfs: preserve default grace interval during quotacheck
  (bsc#1172170).
- commit 6ac0d79
* Thu Jun  4 2020 ailiop@suse.com
- xfs: don't commit sunit/swidth updates to disk if that would
  cause repair failures (bsc#1172169).
- commit 428ff5a
* Thu Jun  4 2020 ailiop@suse.com
- xfs: split the sunit parameter update into two parts
  (bsc#1172169).
- commit ae3fe8d
* Thu Jun  4 2020 ailiop@suse.com
- xfs: refactor agfl length computation function (bsc#1172169).
- commit 59f4128
* Thu Jun  4 2020 jack@suse.cz
- bfq: Use only idle IO periods for think time calculations
  (bsc#1171513).
- bfq: Use 'ttime' local variable (bsc#1171513).
- commit e237c2f
* Thu Jun  4 2020 bp@suse.de
- x86: Fix early boot crash on gcc-10, third try (bsc#1152489).
- commit 4156a32
* Thu Jun  4 2020 tiwai@suse.de
- media: go7007: fix a miss of snd_card_free (CVE-2019-20810
  bsc#1172458).
- commit af15264
* Thu Jun  4 2020 bp@suse.de
- EDAC/amd64: Add PCI device IDs for family 17h, model 70h
  (bsc#1165975).
- Refresh
  patches.suse/edac-amd64-add-family-ops-for-family-19h-models-00h-0fh.patch.
- commit 7847579
* Thu Jun  4 2020 jack@suse.cz
- bfq: Avoid false bfq queue merging (bsc#1171513).
- commit 5742c15
* Thu Jun  4 2020 dwagner@suse.de
- nvme-fc: print proper nvme-fc devloss_tmo value (bsc#1172391).
- commit 3186404
* Thu Jun  4 2020 tiwai@suse.de
- media: staging: ipu3-imgu: Move alignment attribute to field
  (git-fixes).
- media: Revert "staging: imgu: Address a compiler warning on
  alignment" (git-fixes).
- media: staging: ipu3: Fix stale list entries on parameter
  queue failure (git-fixes).
- media: platform: fcp: Set appropriate DMA parameters
  (git-fixes).
- media: dvb: return -EREMOTEIO on i2c transfer failure
  (git-fixes).
- Bluetooth: btmtkuart: Improve exception handling in
  btmtuart_probe() (git-fixes).
- ath10k: Remove ath10k_qmi_register_service_notifier()
  declaration (git-fixes).
- wcn36xx: Fix error handling path in 'wcn36xx_probe()'
  (git-fixes).
- ath10k: Skip handling del_server during driver exit (git-fixes).
- mwifiex: Fix memory corruption in dump_station (git-fixes).
- rtlwifi: Fix a double free in _rtl_usb_tx_urb_setup()
  (git-fixes).
- iwlwifi: avoid debug max amsdu config overwriting itself
  (git-fixes).
- ath9k_htc: Silence undersized packet warnings (git-fixes).
- ath10k: remove the max_sched_scan_reqs value (git-fixes).
- libertas_tf: avoid a null dereference in pointer priv
  (git-fixes).
- mwifiex: avoid -Wstringop-overflow warning (git-fixes).
- rtw88: fix an issue about leak system resources (git-fixes).
- b43legacy: Fix case where channel status is corrupted
  (git-fixes).
- brcmfmac: fix wrong location to get firmware feature
  (git-fixes).
- Bluetooth: hci_bcm: fix freeing not-requested IRQ (git-fixes).
- clocksource: dw_apb_timer_of: Fix missing clockevent timers
  (git-fixes).
- spi: spi-fsl-dspi: Fix 16-bit word order in 32-bit XSPI mode
  (git-fixes).
- commit 4b38228
* Thu Jun  4 2020 neilb@suse.de
- nfs: add minor version to nfs_server_key for fscache
  (bsc#1172467).
- commit b589a40
* Wed Jun  3 2020 tiwai@suse.de
- Update patch reference of a net security fix (CVE-2019-20812 bsc#1172453)
- commit c181788
* Wed Jun  3 2020 mbenes@suse.cz
- objtool: Ignore empty alternatives (bsc#1169514).
- commit 117af93
* Wed Jun  3 2020 mbenes@suse.cz
- objtool: Clean instruction state before each function validation
  (bsc#1169514).
- commit 7737495
* Wed Jun  3 2020 mhocko@suse.com
- mm: Fix mremap not considering huge pmd devmap (bsc#1172317,
  CVE-2020-10757).
- commit 43819f6
* Wed Jun  3 2020 msuchanek@suse.de
- Delete patches.suse/seltests-powerpc-Add-a-selftest-for-memcpy_mcsafe.patch (bsc#1171699).
  This patch adds a symlink which cannot be handled by quilt.
- commit 6407cc2
* Wed Jun  3 2020 tiwai@suse.de
- relay: handle alloc_percpu returning NULL in relay_open
  (CVE-2019-19462 bsc#1158265).
- commit 47f5251
* Wed Jun  3 2020 dwagner@suse.de
- Drop a couple of block layer git-fixes (bsc#1170891 bsc#1173139)
  Upstream changed the partition usage counter check back and forth and
  ended up reverting all changes. Let's drop our the partial backport.
  (cherry picked from commit 70ad1b2fa5955d91e1a09a8027daf210e28fee30)
- Drop a couple of block layer git-fixes
  Upstream changed the partition usage counter check back and forth and
  ended up reverting all changes. Let's drop our the partial backport.
- commit e674b5a
* Wed Jun  3 2020 dwagner@suse.de
- series: Update meta data
  lfpc commits have been merged into the jejb tree.
- commit 557015d
* Wed Jun  3 2020 tiwai@suse.de
- platform/x86: intel-vbtn: Only blacklist SW_TABLET_MODE on
  the 9 / "Laptop" chasis-type (git-fixes).
- commit 19f981c
* Wed Jun  3 2020 tiwai@suse.de
- drm/mcde: dsi: Fix return value check in mcde_dsi_bind()
  (git-fixes).
- video: fbdev: w100fb: Fix a potential double free (git-fixes).
- drm/dp_mst: Reformat drm_dp_check_act_status() a bit
  (git-fixes).
- agp/intel: Reinforce the barrier after GTT updates (git-fixes).
- ACPI: CPPC: Fix reference count leak in
  acpi_cppc_processor_probe() (git-fixes).
- ACPI: sysfs: Fix reference count leak in
  acpi_sysfs_add_hotplug_profile() (git-fixes).
- PM: runtime: clk: Fix clk_pm_runtime_get() error path
  (git-fixes).
- platform/x86: dell-laptop: don't register micmute LED if there
  is no token (git-fixes).
- platform/x86: intel-vbtn: Also handle tablet-mode switch on
  "Detachable" and "Portable" chassis-types (git-fixes).
- platform/x86: intel-vbtn: Do not advertise switches to userspace
  if they are not there (git-fixes).
- platform/x86: intel-vbtn: Split keymap into buttons and switches
  parts (git-fixes).
- platform/x86: intel-vbtn: Use acpi_evaluate_integer()
  (git-fixes).
- mmc: sdhci-msm: Clear tuning done flag while hs400 tuning
  (git-fixes).
- mmc: sdhci-esdhc-imx: fix the mask for tuning start point
  (git-fixes).
- mmc: mmci_sdmmc: fix DMA API warning overlapping mappings
  (git-fixes).
- mmc: uniphier-sd: call devm_request_irq() after
  tmio_mmc_host_probe() (git-fixes).
- mmc: meson-mx-sdio: trigger a soft reset after a timeout or
  CRC error (git-fixes).
- mmc: sdio: Fix potential NULL pointer error in
  mmc_sdio_init_card() (git-fixes).
- mmc: core: Use DEFINE_DEBUGFS_ATTRIBUTE instead of
  DEFINE_SIMPLE_ATTRIBUTE (git-fixes).
- Input: synaptics-rmi4 - fix error return code in
  rmi_driver_probe() (git-fixes).
- Input: i8042 - add ThinkPad S230u to i8042 reset list
  (git-fixes).
- Input: xpad - add custom init packet for Xbox One S controllers
  (git-fixes).
- Input: evdev - call input_flush_device() on release(), not
  flush() (git-fixes).
- Input: usbtouchscreen - add support for BonXeon TP (git-fixes).
- clk: ti: am33xx: fix RTC clock parent (git-fixes).
- usb: gadget: legacy: fix redundant initialization warnings
  (git-fixes).
- usb: dwc3: pci: Enable extcon driver for Intel Merrifield
  (git-fixes).
- drm/amd/powerplay: perform PG ungate prior to CG ungate
  (git-fixes).
- gpio: tegra: mask GPIO IRQs during IRQ shutdown (git-fixes).
- commit 28d8ae3
* Wed Jun  3 2020 ykaukab@suse.de
- fdt: Update CRC check for rng-seed (jsc#SLE-12424).
- commit 4204d16
* Wed Jun  3 2020 wqu@suse.com
- btrfs: reloc: clear DEAD_RELOC_TREE bit for orphan roots  to
  prevent runaway balance (bsc#1171417 bsc#1160947 bsc#1172366).
- commit af6e7de
* Wed Jun  3 2020 wqu@suse.com
- btrfs: reloc: fix reloc root leak and NULL pointer  dereference
  (bsc#1171417 bsc#1160947 bsc#1172366).
- commit 96f60c2
* Wed Jun  3 2020 neilb@suse.de
- nfsd: always check return value of find_any_file (bsc#1172208).
- commit 2c210bd
* Tue Jun  2 2020 tiwai@suse.de
- fs/binfmt_elf.c: allocate initialized memory in
  fill_thread_core_info() (CVE-2020-10732 bsc#1171220).
- commit b52f45b
* Tue Jun  2 2020 tiwai@suse.de
- iwlwifi: pcie: handle QuZ configs with killer NICs as well
  (bsc#1172374).
- commit 21f33d7
* Tue Jun  2 2020 tiwai@suse.de
- crypto: stm32/crc32 - fix multi-instance (git-fixes).
- crypto: stm32/crc32 - fix run-time self test issue (git-fixes).
- crypto: stm32/crc32 - fix ext4 chksum BUG_ON() (git-fixes).
- crypto: drbg - fix error return code in drbg_alloc_state()
  (git-fixes).
- crypto: ccp -- don't "select" CONFIG_DMADEVICES (git-fixes).
- crypto: algapi - Avoid spurious modprobe on LOADED (git-fixes).
- spi: dw: Add SPI Rx-done wait method to DMA-based transfer
  (git-fixes).
- spi: dw: Add SPI Tx-done wait method to DMA-based transfer
  (git-fixes).
- spi: dw: Fix native CS being unset (git-fixes).
- spi: dw: Zero DMA Tx and Rx configurations on stack (git-fixes).
- spi: spi-mem: Fix Dual/Quad modes on Octal-capable devices
  (git-fixes).
- spi: pxa2xx: Fix runtime PM ref imbalance on probe error
  (git-fixes).
- spi: pxa2xx: Fix controller unregister order (git-fixes).
- spi: dw: Fix controller unregister order (git-fixes).
- spi: bcm2835aux: Fix controller unregister order (git-fixes).
- spi: bcm2835: Fix controller unregister order (git-fixes).
- spi: Fix controller unregister order (git-fixes).
- spi: bcm-qspi: when tx/rx buffer is NULL set to 0 (git-fixes).
- spi: Respect DataBitLength field of SpiSerialBusV2() ACPI
  resource (git-fixes).
- NFC: st21nfca: add missed kfree_skb() in an error path
  (git-fixes).
- crypto: chelsio/chtls: properly set tp->lsndtime (git-fixes).
- ieee80211: Fix incorrect mask for default PE duration
  (git-fixes).
- mac80211: mesh: fix discovery timer re-arming issue / crash
  (git-fixes).
- gpio: bcm-kona: Fix return value of bcm_kona_gpio_probe()
  (git-fixes).
- gpio: pxa: Fix return value of pxa_gpio_probe() (git-fixes).
- gpio: exar: Fix bad handling for ida_simple_get error path
  (git-fixes).
- commit c5d8ee8
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- spi: spi-fsl-dspi: Replace interruptible wait queue with a
  simple completion (git-fixes).
- commit eb6dfdf
* Tue Jun  2 2020 ykaukab@suse.de
- kabi: ppc64le: prevent struct dma_map_ops to become defined (jsc#SLE-12424).
- commit ca74359
* Tue Jun  2 2020 jroedel@suse.de
- iommu: Fix reference count leak in iommu_group_alloc
  (bsc#1172394).
- iommu/amd: Fix legacy interrupt remapping for x2APIC-enabled
  system (bsc#1172393).
- commit 7cd78b9
* Tue Jun  2 2020 jslaby@suse.cz
- net: bcmgenet: correct per TX/RX ring statistics
  (networking-stable-20_04_27).
- net/x25: Fix x25_neigh refcnt leak when receiving frame
  (networking-stable-20_04_27).
- cxgb4: fix adapter crash due to wrong MC size
  (networking-stable-20_04_27).
- vxlan: use the correct nlattr array in NL_SET_ERR_MSG_ATTR
  (networking-stable-20_04_27).
- mlxsw: Fix some IS_ERR() vs NULL bugs
  (networking-stable-20_04_27).
- ipv4: Update fib_select_default to handle nexthop objects
  (networking-stable-20_04_27).
- vrf: Fix IPv6 with qdisc and xfrm (networking-stable-20_04_27).
- sched: etf: do not assume all sockets are full blown
  (networking-stable-20_04_27).
- net: dsa: b53: b53_arl_rw_op() needs to select IVL or SVL
  (networking-stable-20_04_27).
- net: dsa: b53: Rework ARL bin logic
  (networking-stable-20_04_27).
- net: dsa: b53: Fix ARL register definitions
  (networking-stable-20_04_27).
- net: dsa: b53: Lookup VID in ARL searches when VLAN is enabled
  (networking-stable-20_04_27).
- vrf: Check skb for XFRM_TRANSFORMED flag
  (networking-stable-20_04_27).
- xfrm: Always set XFRM_TRANSFORMED in xfrm{4,6}_output_finish
  (networking-stable-20_04_27).
- team: fix hang in team_mode_get() (networking-stable-20_04_27).
- cxgb4: fix large delays in PTP synchronization
  (networking-stable-20_04_27).
- net: openvswitch: ovs_ct_exit to be done under ovs_lock
  (networking-stable-20_04_27).
- tcp: cache line align MAX_TCP_HEADER
  (networking-stable-20_04_27).
- net/mlx4_en: avoid indirect call in TX completion
  (networking-stable-20_04_27).
- net: netrom: Fix potential nr_neigh refcnt leak in nr_add_node
  (networking-stable-20_04_27).
- commit 5938694
* Tue Jun  2 2020 nsaenzjulienne@suse.de
- spi: fsl: use platform_get_irq() instead of of_irq_to_resource()
  (git-fixes).
- commit bd042e3
* Tue Jun  2 2020 jslaby@suse.cz
- amd-xgbe: Use __napi_schedule() in BH context
  (networking-stable-20_04_17).
- net: dsa: mt7530: fix tagged frames pass-through in VLAN-unaware
  mode (networking-stable-20_04_17).
- net: tun: record RX queue in skb before do_xdp_generic()
  (networking-stable-20_04_17).
- net: ipv4: devinet: Fix crash when add/del multicast IP with
  autojoin (networking-stable-20_04_17).
- net: qrtr: send msgs from local of same id as broadcast
  (networking-stable-20_04_17).
- net/mlx5e: Fix pfnum in devlink port attribute
  (networking-stable-20_04_17).
- net/mlx5e: Add missing release firmware call
  (networking-stable-20_04_17).
- net/mlx5: Fix frequent ioread PCI access during recovery
  (networking-stable-20_04_17).
- l2tp: Allow management of tunnels and session in user namespace
  (networking-stable-20_04_17).
- hsr: check protocol version in hsr_newlink()
  (networking-stable-20_04_17).
- net: revert default NAPI poll timeout to 2 jiffies
  (networking-stable-20_04_17).
- net: ipv6: do not consider routes via gateways for anycast
  address check (networking-stable-20_04_17).
- commit 1727243
* Tue Jun  2 2020 tiwai@suse.de
- supported.conf: Mark two hwtracing helper modules as externally supported (bsc#1170879)
- commit 504def2
* Tue Jun  2 2020 tbogendoerfer@suse.de
- net: mvpp2: Enable autoneg bypass for 1000BaseX/2500BaseX ports
  (bsc#1162209).
- commit 7789c1f
* Tue Jun  2 2020 neilb@suse.de
- kabi fix for sunrpc-clean-up-properly-in-gss_mech_unregister
  (bsc#1171219, CVE-2020-12656).
- sunrpc: clean up properly in gss_mech_unregister() (bsc#1171219,
  CVE-2020-12656).
- sunrpc: svcauth_gss_register_pseudoflavor must reject duplicate
  registrations (bsc#1171219, CVE-2020-12656).
- commit 6de429c
* Mon Jun  1 2020 mkubecek@suse.cz
- selinux: properly handle multiple messages in
  selinux_netlink_send() (CVE-2020-10751 bsc#1171189).
- commit 7f84ce6
* Mon Jun  1 2020 nsaenzjulienne@suse.de
- spi: spi-fsl-dspi: Don't access reserved fields in SPI_MCR
  (git-fixes).
- pwm: sun4i: Move pwm_calculate() out of spin_lock() (git-fixes).
- spi: fsl: don't map irq during probe (git-fixes).
- spi: spi-fsl-dspi: Change usage pattern of SPI_MCR_* and
  SPI_CTAR_* macros (git-fixes).
- commit b10c30b
* Mon Jun  1 2020 nsaenzjulienne@suse.de
- blacklist.conf: Blacklist 671ffde1752f
- commit 5cf09f7
* Mon Jun  1 2020 mkubecek@suse.cz
- netlabel: cope with NULL catmap (CVE-2020-10711 bsc#1171191).
- commit 5e0d442
* Mon Jun  1 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/btrfs-fix-log-context-list-corruption-after-rename-w.patch
- commit e2decaa
* Mon Jun  1 2020 nsaenzjulienne@suse.de
- blacklist.conf: Blacklist 37b410018064
- commit e4b5a91
* Mon Jun  1 2020 nsaenzjulienne@suse.de
- blacklist.conf: Blacklist 34719de919af
- commit b0e5046
* Mon Jun  1 2020 fdmanana@suse.com
- btrfs: fix partial loss of prealloc extent past i_size after
  fsync (bsc#1172343).
- commit 54a1118
* Mon Jun  1 2020 fdmanana@suse.com
- btrfs: fix log context list corruption after rename whiteout
  error (bsc#1172342).
- commit 4fb9cbe
* Mon Jun  1 2020 msuchanek@suse.de
- drivers/net/ibmvnic: Update VNIC protocol version reporting
  (bsc#1065729).
- commit 141c495
* Mon Jun  1 2020 pmladek@suse.com
- powerpc/bpf: Enable bpf_probe_read{, str}() on powerpc again
  (bsc#1172344).
- Update config files.
- commit 4d25196
* Mon Jun  1 2020 pmladek@suse.com
- bpf: Restrict bpf_probe_read{, str}() only to archs where they
  work (bsc#1172344).
- Update config files.
- commit e0c0f64
* Sat May 30 2020 tiwai@suse.de
- soc: mediatek: cmdq: return send msg error code (git-fixes).
- mmc: block: Fix use-after-free issue for rpmb (git-fixes).
- gpu/drm: Ingenic: Fix opaque pointer casted to wrong type
  (git-fixes).
- drm/amd/display: drop cursor position check in atomic test
  (git-fixes).
- commit a495b53
* Sat May 30 2020 tiwai@suse.de
- Move an upstreamed sound patch into sorted section
- commit 423c7d0
* Sat May 30 2020 tiwai@suse.de
- ALSA: hda/realtek - Add new codec supported for ALC287
  (git-fixes).
- ALSA: usb-audio: Quirks for Gigabyte TRX40 Aorus Master onboard
  audio (git-fixes).
- ALSA: usb-audio: mixer: volume quirk for ESS Technology Asus
  USB DAC (git-fixes).
- ALSA: hwdep: fix a left shifting 1 by 31 UB bug (git-fixes).
- commit eb6c2db
* Fri May 29 2020 bp@suse.de
- x86/mm/cpa: Flush direct map alias during cpa (bsc#1152489).
- commit 9b8006c
* Fri May 29 2020 bp@suse.de
- blacklist.conf: Add arch/x86/um to the blacklist
- commit afdd481
* Fri May 29 2020 tiwai@suse.de
- ima: Fix Oops at boot with ima_template_fmt=d boot option
  (bsc#1172223).
- commit f5ff35f
* Fri May 29 2020 tiwai@suse.de
- Input: synaptics-rmi4 - really fix attn_data use-after-free
  (git-fixes).
- Input: dlink-dir685-touchkeys - fix a typo in driver name
  (git-fixes).
- commit 80c7b8b
* Thu May 28 2020 tiwai@suse.de
- misc: rtsx: Add short delay after exit from ASPM (git-fixes).
- mei: release me_cl object reference (git-fixes).
- iio: adc: stm32-dfsdm: fix device used to request dma
  (git-fixes).
- iio: adc: stm32-adc: fix device used to request dma (git-fixes).
- drm/etnaviv: fix perfmon domain interation (git-fixes).
- component: Silence bind error on -EPROBE_DEFER (git-fixes).
- USB: core: Fix misleading driver bug report (git-fixes).
- drm/amd/display: Prevent dpcd reads with passive dongles
  (git-fixes).
- platform/x86: asus-nb-wmi: Do not load on Asus T100TA and T200TA
  (git-fixes).
- HID: quirks: Add HID_QUIRK_NO_INIT_REPORTS quirk for Dell K12A
  keyboard-dock (git-fixes).
- HID: i2c-hid: reset Synaptics SYNA2393 on resume (git-fixes).
- HID: alps: ALPS_1657 is too specific; use U1_UNICORN_LEGACY
  instead (git-fixes).
- HID: alps: Add AUI1657 device ID (git-fixes).
- HID: multitouch: add eGalaxTouch P80H84 support (git-fixes).
- i2c: dev: Fix the race between the release of i2c_dev and cdev
  (git-fixes).
- iio: adc: stm32-adc: Use dma_request_chan() instead
  dma_request_slave_channel() (git-fixes).
- iio: adc: stm32-dfsdm: Use dma_request_chan() instead
  dma_request_slave_channel() (git-fixes).
- commit 44aca06
* Wed May 27 2020 bp@suse.de
- x86/speculation: Add SRBDS vulnerability and mitigation
  documentation (bsc#1154824 CVE-2020-0543).
- commit 6bcc04c
* Wed May 27 2020 ykaukab@suse.de
- Refresh
  patches.suse/cpufreq-tegra186-add-CPUFREQ_NEED_INITIAL_FREQ_CHECK.patch.
- commit 819998f
* Wed May 27 2020 bp@suse.de
- x86/speculation: Add Special Register Buffer Data Sampling
  (SRBDS) mitigation (bsc#1154824 CVE-2020-0543).
- commit a4ac28e
* Wed May 27 2020 ykaukab@suse.de
- PCI: mobiveil: ls_pcie_g4: fix SError when accessing config space (bsc#1161495).
- PCI: mobiveil: ls_pcie_g4: add Workaround for A-011451 (bsc#1161495).
- PCI: mobiveil: ls_pcie_g4: add Workaround for A-011577 (bsc#1161495).
- PCI: mobiveil: Fix unmet dependency warning for PCIE_MOBIVEIL_PLAT (bsc#1161495).
- PCI: mobiveil: Fix sparse different address space warnings (bsc#1161495).
- PCI: mobiveil: Add PCIe Gen4 RC driver for Layerscape SoCs (bsc#1161495).
- PCI: mobiveil: Add Header Type field check (bsc#1161495).
- PCI: mobiveil: Add 8-bit and 16-bit CSR register accessors (bsc#1161495).
- PCI: mobiveil: Allow mobiveil_host_init() to be used to re-init host (bsc#1161495).
- PCI: mobiveil: Add callback function for link up check (bsc#1161495).
- PCI: mobiveil: Add callback function for interrupt initialization (bsc#1161495).
- PCI: mobiveil: Modularize the Mobiveil PCIe Host Bridge IP driver (bsc#1161495).
- PCI: mobiveil: Collect the interrupt related operations into a function (bsc#1161495).
- PCI: mobiveil: Move the host initialization into a function (bsc#1161495).
- PCI: mobiveil: Introduce a new structure mobiveil_root_port (bsc#1161495).
- commit 84a8a95
* Wed May 27 2020 ykaukab@suse.de
- pcie: mobiveil: remove patchset v9
  Prepare to backport upstream version.
- commit 00b589d
* Wed May 27 2020 bp@suse.de
- x86/cpu: Add 'table' argument to cpu_matches() (bsc#1154824
  CVE-2020-0543).
- commit a0bbf3d
* Wed May 27 2020 dwagner@suse.de
- scsi: lpfc: Fix lpfc_nodelist leak when processing unsolicited
  event (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: remove duplicate unloading checks (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
  Remove hunk in patches.suse/lpfc-Refactor-Send-LS-Response-support.patch
  which is in patches.suse/scsi-lpfc-remove-duplicate-unloading-checks.patch
- scsi: lpfc: Remove redundant initialization to variable rc
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.8.0.1 (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix MDS Diagnostic Enablement definition
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix noderef and address space warnings (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Remove unnecessary lockdep_assert_held calls
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Change default queue allocation for reduced memory
  consumption (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix negation of else clause in
  lpfc_prep_node_fc4type (bsc#1164777 bsc#1164780 bsc#1165211
  jsc#SLE-8654).
- scsi: lpfc: Remove re-binding of nvme rport during registration
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Maintain atomic consistency of queue_claimed flag
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- commit 575ae7a
* Wed May 27 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/s390-kexec_file-fix-initrd-location-for-kdump-kernel.patch
- update upstream reference and move into sorted section:
  patches.suse/x86-microcode-amd-increase-microcode-patch_max_size.patch
- move into sorted section:
  patches.suse/signal-avoid-double-atomic-counter-increments-for-user-accounting.patch
  No effect on expanded tree.
- commit 571cf9a
* Wed May 27 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/cifs-add-SMB2_open-arg-to-return-POSIX-data.patch
  patches.suse/cifs-add-smb2-POSIX-info-level.patch
  patches.suse/cifs-call-wake_up-server-response_q-inside-of-cifs_r.patch
  patches.suse/cifs-do-d_move-in-rename.patch
  patches.suse/cifs-do-not-ignore-the-SYNC-flags-in-getattr.patch
  patches.suse/cifs-handle-prefix-paths-in-reconnect.patch
  patches.suse/cifs-make-use-of-cap_unix-ses-in-cifs_reconnect_tcon.patch
  patches.suse/cifs-plumb-smb2-POSIX-dir-enumeration.patch
  patches.suse/cifs-potential-unintitliazed-error-code-in-cifs_geta.patch
  patches.suse/cifs-rename-posix-create-rsp.patch
  patches.suse/cifs-use-mod_delayed_work-for-server-reconnect-if-al.patch
  patches.suse/smb3-fix-performance-regression-with-setting-mtime.patch
- update to mainline version, rename and move into sorted section:
  patches.suse/cifs-print-warning-once-if-mounting-with-vers-1.0.patch -> patches.suse/cifs-print-warning-mounting-with-vers-1-0.patch
  No relevant effect on expanded tree:
  diff -urN old/fs/cifs/connect.c new/fs/cifs/connect.c
  - -- old/fs/cifs/connect.c	2020-05-27 11:46:54.090968292 +0200
  +++ new/fs/cifs/connect.c	2020-05-27 11:46:54.990971522 +0200
  @@ -1466,8 +1466,8 @@
  cifs_dbg(VFS, "vers=1.0 (cifs) not permitted when mounting with smb3\n");
  return 1;
  }
  - printk_once(KERN_WARNING "Use of the less secure dialect "
  - "vers=1.0 is not recommended unless required for "
  +		cifs_dbg(VFS, "Use of the less secure dialect vers=1.0 "
  +			   "is not recommended unless required for "
  "access to very old servers\n");
  vol->ops = &smb1_operations;
  vol->vals = &smb1_values;
  diff -urN old/fs/cifs/smb2ops.c new/fs/cifs/smb2ops.c
  - -- old/fs/cifs/smb2ops.c	2020-05-27 11:46:54.074968234 +0200
  +++ new/fs/cifs/smb2ops.c	2020-05-27 11:46:54.974971463 +0200
  @@ -3020,7 +3020,7 @@
  oparms.fid = &fid;
  oparms.reconnect = false;
  - rc = SMB2_open(xid, &oparms, utf16_path, &oplock, NULL,NULL, NULL,
  +	rc = SMB2_open(xid, &oparms, utf16_path, &oplock, NULL, NULL, NULL,
  NULL);
  kfree(utf16_path);
  if (!rc) {
  - -
- commit f7dacbf
* Tue May 26 2020 jkosina@suse.cz
- Refresh
  patches.suse/block-floppy-fix-contended-case-in-floppy_queue_rq.patch:
  update upstream references (submitted -> applied).
- commit fce9354
* Tue May 26 2020 jkosina@suse.cz
- block/floppy: fix contended case in floppy_queue_rq()
  (bsc#1171426).
- commit 18ed9ad
* Tue May 26 2020 tiwai@suse.de
- tty: serial: add missing spin_lock_init for SiFive serial
  console (git-fixes).
- vfio/type1: Fix VA->PA translation for PFNMAP VMAs in
  vaddr_get_pfn() (git-fixes).
- vfio: avoid possible overflow in vfio_iommu_type1_pin_pages
  (git-fixes).
- vfio: Ignore -ENODEV when getting MSI cookie (git-fixes).
- commit 250c72c
* Tue May 26 2020 tiwai@suse.de
- Add a GIT commit ID of already cherry-picked x86/platform patch
- commit 6c1b791
* Tue May 26 2020 tiwai@suse.de
- ax25: fix setsockopt(SO_BINDTODEVICE) (git-fixes).
- dmaengine: tegra210-adma: Fix an error handling path in
  'tegra_adma_probe()' (git-fixes).
- dmaengine: dmatest: Restore default for channel (git-fixes).
- dmaengine: owl: Use correct lock in owl_dma_get_pchan()
  (git-fixes).
- mtd: Fix mtd not registered due to nvmem name collision
  (git-fixes).
- mtd: spinand: Propagate ECC information to the MTD structure
  (git-fixes).
- ARM: oxnas: make ox820_boot_secondary static (git-fixes).
- commit eaf4ceb
* Tue May 26 2020 tiwai@suse.de
- ACPICA: Fixes for acpiExec namespace init file (git-fixes).
- commit 36c0ce1
* Tue May 26 2020 msuchanek@suse.de
- powerpc/64s/kuap: Restore AMR in system reset exception
  (bsc#1156395).
- powerpc/kuap: PPC_KUAP_DEBUG should depend on PPC_KUAP
  (bsc#1156395).
- commit bba3032
* Tue May 26 2020 msuchanek@suse.de
- powerpc/setup_64: Set cache-line-size based on cache-block-size
  (bsc#1065729).
- commit 2697326
* Tue May 26 2020 msuchanek@suse.de
- blacklist.conf: Add 9d82973e032e gcc-10 warnings: fix low-hanging fruit
- commit d3df11a
* Tue May 26 2020 msuchanek@suse.de
- scripts/decodecode: fix trapping instruction formatting
  (bsc#1065729).
- commit b83c354
* Tue May 26 2020 msuchanek@suse.de
- tpm: ibmvtpm: retry on H_CLOSED in tpm_ibmvtpm_send()
  (bsc#1065729).
- commit a0d3d55
* Tue May 26 2020 msuchanek@suse.de
- rpm/kernel-source.spec.in: Add obsolete_rebuilds (boo#1172073).
- commit 6524463
* Tue May 26 2020 pmladek@suse.com
- printk: queue wake_up_klogd irq_work only if per-CPU areas
  are ready (bsc#1172095).
- commit 96ce1d2
* Tue May 26 2020 pmladek@suse.com
- vsprintf: don't obfuscate NULL and error pointers (bsc#1172086).
- commit f35dca1
* Tue May 26 2020 tiwai@suse.de
- ALSA: hda/realtek - Add a model for Thinkpad T570 without DAC
  workaround (bsc#1172017).
- commit c7e1c2b
* Tue May 26 2020 jroedel@suse.de
- kabi/severities: Ingnore get_dev_data()
  The function is internal to the AMD IOMMU driver and must
  not be called by any third party.
- commit b897173
* Mon May 25 2020 jroedel@suse.de
- iommu/amd: Fix over-read of ACPI UID from IVRS table
  (bsc#1172064).
- iommu/virtio: Reverse arguments to list_add (bsc#1172068).
- iommu/amd: Do not flush Device Table in iommu_map_page()
  (bsc#1172062).
- iommu/amd: Update Device Table in increase_address_space()
  (bsc#1172066).
- iommu/amd: Call domain_flush_complete() in update_domain()
  (bsc#1172061).
- iommu/amd: Do not loop forever when trying to increase address
  space (bsc#1172063).
- iommu/amd: Fix race in increase_address_space()/fetch_pte()
  (bsc#1172065).
- iommu/qcom: Fix local_base status check (bsc#1172067).
- KVM: Check validity of resolved slot when searching memslots
  (bsc#1172069).
- commit dd49af6
* Mon May 25 2020 mkoutny@suse.com
- mm: memcontrol: fix memory.low proportional distribution
  (bsc#1168230).
- commit 94666fc
* Mon May 25 2020 dwagner@suse.de
- scsi: qla2xxx: Do not log message when reading port speed via
  sysfs (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- scsi: qla2xxx: Delete all sessions before unregister local nvme
  port (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- scsi: qla2xxx: Fix hang when issuing nvme disconnect-all in NPIV
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- commit b6f8c1c
* Mon May 25 2020 dwagner@suse.de
- wireguard: noise: separate receive counter from send counter
  (bsc#1169021 jsc#SLE-12250).
- wireguard: queueing: preserve flow hash across packet scrubbing
  (bsc#1169021 jsc#SLE-12250).
- wireguard: noise: read preshared key while taking lock
  (bsc#1169021 jsc#SLE-12250).
- wireguard: selftests: use newer iproute2 for gcc-10 (bsc#1169021
  jsc#SLE-12250).
- commit 299cebb
* Mon May 25 2020 dwagner@suse.de
- rcu: Avoid data-race in rcu_gp_fqs_check_wake() (bsc#1171828).
- rcu: Use *_ONCE() to protect lockless ->expmask accesses
  (bsc#1171828).
- rcu: Make rcu_read_unlock_special() checks match
  raise_softirq_irqoff() (bsc#1172046).
  Refresh rcu-Use-READ_ONCE-for-expmask-in-rcu_read_unlock_spe.patch
- rcu: Simplify rcu_read_unlock_special() deferred wakeups
  (bsc#1172046).
- commit 14cfc7d
* Mon May 25 2020 mbenes@suse.cz
- x86/unwind/orc: Fix unwind_get_return_address_ptr() for inactive
  tasks (bsc#1058115).
  (cherry picked from commit 5d062fa0c4b96d9f6695e0393114da63299cd52e)
- x86/unwind/orc: Fix unwind_get_return_address_ptr() for inactive
  tasks (bsc#1058115).
- commit d9c0a48
* Mon May 25 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/s390-kexec_file-fix-initrd-location-for-kdump-kernel.patch
- commit 6765b4b
* Mon May 25 2020 tiwai@suse.de
- iio: sca3000: Remove an erroneous 'get_device()' (git-fixes).
- iio: adc: ti-ads8344: Fix channel selection (git-fixes).
- staging: iio: ad2s1210: Fix SPI reading (git-fixes).
- iio: dac: vf610: Fix an error handling path in
  'vf610_dac_probe()' (git-fixes).
- commit f20f881
* Mon May 25 2020 glin@suse.com
- bpf: Prevent mmap()'ing read-only maps as writable
  (bsc#1155518).
- commit db279bd
* Sun May 24 2020 mgorman@suse.de
- sched: Offload wakee task activation if it the wakee is
  descheduling (bnc#1158748, bnc#1159781).
- sched: Optimize ttwu() spinning on p->on_cpu (bnc#1158748,
  bnc#1159781).
- commit 6a690f9
* Fri May 22 2020 tiwai@suse.de
- ALSA: hda/realtek - Add more fixup entries for Clevo machines
  (git-fixes).
- ALSA: iec1712: Initialize STDSP24 properly when using the
  model=staudio option (git-fixes).
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Xtreme (git-fixes).
- ALSA: pcm: fix incorrect hw_base increase (git-fixes).
- commit 1a75995
* Fri May 22 2020 tiwai@suse.de
- Update patch reference for SPI security fix (CVE-2020-12769 bsc#1171983)
- commit bdb2e59
* Fri May 22 2020 tiwai@suse.de
- Update patch reference for USB gadeget security fix (CVE-2020-13143 bsc#1171982)
- commit 2b875ef
* Fri May 22 2020 bp@suse.de
- x86/resctrl: Preserve CDP enable over CPU hotplug (bsc#1152489).
- commit f6b2bde
* Fri May 22 2020 bp@suse.de
- x86/resctrl: Fix invalid attempt at removing the default
  resource group (bsc#1152489).
- commit 960b1f0
* Fri May 22 2020 bp@suse.de
- EDAC/synopsys: Do not dump uninitialized pinf->col
  (bsc#1152489).
- commit 349fab2
* Fri May 22 2020 bp@suse.de
- blacklist.conf: 870b4333a62e x86/ioremap: Fix CONFIG_EFI=n build
- commit c645d02
* Fri May 22 2020 pvorel@suse.cz
- nfs: fix NULL deference in nfs4_get_valid_delegation.
- commit ee8a543
* Fri May 22 2020 tonyj@suse.de
- blacklist.conf:
- commit 1787033
* Wed May 20 2020 mkubecek@suse.cz
- Update kabi files.
- update to "RC3" submission (commit de1e6fb20e9d)
- commit 8f25cbe
* Wed May 20 2020 tiwai@suse.de
- USB: gadget: fix illegal array access in binding with UDC
  (git-fixes).
- USB: usbfs: fix mmap dma mismatch (git-fixes).
- dwc3: Remove check for HWO flag in
  dwc3_gadget_ep_reclaim_trb_sg() (git-fixes).
- drm/amd/display: add basic atomic check for cursor plane
  (git-fixes).
- Make the "Reducing compressed framebufer size" message be
  DRM_INFO_ONCE() (git-fixes).
- usb: usbfs: correct kernel->user page attribute mismatch
  (git-fixes).
- dmaengine: mmp_tdma: Reset channel error on release (git-fixes).
- dmaengine: mmp_tdma: Do not ignore slave config validation
  errors (git-fixes).
- dmaengine: pch_dma.c: Avoid data race between probe and irq
  handler (git-fixes).
- drm/amdgpu: invalidate L2 before SDMA IBs (v2) (git-fixes).
- drm/amd/powerplay: avoid using pm_en before it is initialized
  revised (git-fixes).
- drm/qxl: lost qxl_bo_kunmap_atomic_page in
  qxl_image_init_helper() (git-fixes).
- pnp: Use list_for_each_entry() instead of open coding
  (git-fixes).
- drm/amdgpu: simplify padding calculations (v2) (git-fixes).
- commit eb4042e
* Wed May 20 2020 tiwai@suse.de
- blacklist.conf: Add an entry for non-supported arch/hexagon
- commit 4f664be
* Wed May 20 2020 tiwai@suse.de
- workqueue: Remove the warning in wq_worker_sleeping()
  (git-fixes).
- workqueue: don't use wq_select_unbound_cpu() for bound works
  (git-fixes).
- commit 4686860
* Wed May 20 2020 tiwai@suse.de
- vt: vt_ioctl: fix VT_DISALLOCATE freeing in-use virtual console
  (git-fixes).
- vt: vt_ioctl: remove unnecessary console allocation checks
  (git-fixes).
- commit 3c82977
* Wed May 20 2020 tiwai@suse.de
- usb: core: hub: limit HUB_QUIRK_DISABLE_AUTOSUSPEND to USB5534B
  (git-fixes).
- usb: gadget: udc: atmel: Make some symbols static (git-fixes).
- usb: host: xhci-plat: keep runtime active when removing host
  (git-fixes).
- usb: gadget: legacy: fix error return code in gncm_bind()
  (git-fixes).
- usb: gadget: legacy: fix error return code in cdc_bind()
  (git-fixes).
- usb: gadget: net2272: Fix a memory leak in an error handling
  path in 'net2272_plat_probe()' (git-fixes).
- usb: gadget: audio: Fix a missing error return value in
  audio_bind() (git-fixes).
- commit 8d23cb6
* Wed May 20 2020 tiwai@suse.de
- i2c: mux: demux-pinctrl: Fix an error handling path in
  'i2c_demux_pinctrl_probe()' (git-fixes).
- gpio: pca953x: Fix pca953x_gpio_set_config (git-fixes).
- iwlwifi: mvm: limit maximum queue appropriately (git-fixes).
- mfd: intel-lpss: Use devm_ioremap_uc for MMIO (git-fixes).
- lib: devres: add a helper function for ioremap_uc (git-fixes).
- commit db78707
* Wed May 20 2020 tiwai@suse.de
- drm/i915/gvt: Fix kernel oops for 3-level ppgtt guest
  (git-fixes).
- drm/i915/gvt: Init DPLL/DDI vreg for virtual display instead
  of inheritance (git-fixes).
- drm/i915: Propagate error from completed fences (git-fixes).
- drm/i915: Don't enable WaIncreaseLatencyIPCEnabled when IPC
  is disabled (git-fixes).
- coredump: fix crash when umh is disabled (git-fixes).
- dmaengine: dmatest: Fix process hang when reading 'wait'
  parameter (git-fixes).
- drm/i915: HDCP: fix Ri prime check done during link check
  (git-fixes).
- coredump: fix null pointer dereference on coredump (git-fixes).
- dma-debug: fix displaying of dma allocation type (git-fixes).
- dma-direct: fix data truncation in
  dma_direct_get_required_mask() (git-fixes).
- dma-coherent: fix integer overflow in the reserved-memory dma
  allocation (git-fixes).
- drm/etnaviv: rework perfmon query infrastructure (git-fixes).
- commit 79467c5
* Wed May 20 2020 tonyj@suse.de
- perf/core: fix parent pid/tid in task exit events (git-fixes).
- perf/core: Fix endless multiplex timer (git-fixes).
- commit 9e85c92
* Wed May 20 2020 mkubecek@suse.cz
- netfilter: ctnetlink: netns exit must wait for callbacks
  (bsc#1169795).
- commit 1367464
* Wed May 20 2020 ggherdovich@suse.cz
- Update upstream reference and move to sorted section:
  patches.suse/x86-sched-Don-t-enable-static-key-when-starting-seco.patch.
- commit 286ea13
* Wed May 20 2020 ggherdovich@suse.cz
- Update upstream reference and move to sorted section:
  patches.suse/x86-sched-Account-for-CPUs-with-less-than-4-cores-in.patch.
- commit 806c75b
* Wed May 20 2020 ggherdovich@suse.cz
- Update upstream reference and move to sorted section:
  patches.suse/x86-sched-Bail-out-of-frequency-invariance-if-.patch.
- commit debf0d3
* Wed May 20 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/NFSv3-fix-rpc-receive-buffer-size-for-MOUNT-call.patch
- commit c8d32f9
* Wed May 20 2020 tzimmermann@suse.de
- drm/i915/gvt: Fix kernel oops for 3-level ppgtt guest (bsc#1152489)
- commit 9d0ce16
* Wed May 20 2020 tzimmermann@suse.de
- drm/i915/gvt: Init DPLL/DDI vreg for virtual display instead of (bsc#1152489)
- commit addefe4
* Wed May 20 2020 tzimmermann@suse.de
- drm/amdgpu: force fbdev into vram (bsc#1152472)
  * context changes
- commit 84af19b
* Wed May 20 2020 tzimmermann@suse.de
- drm/i915: Don't enable WaIncreaseLatencyIPCEnabled when IPC is (bsc#1152489)
- commit 2c2843b
* Wed May 20 2020 tzimmermann@suse.de
- sun6i: dsi: fix gcc-4.8 (bsc#1152489)
- commit 7678d54
* Wed May 20 2020 tzimmermann@suse.de
- drm/i915: HDCP: fix Ri prime check done during link check (bsc#1152489)
  * context changes
- commit a3e33d0
* Wed May 20 2020 tzimmermann@suse.de
- drm/i915: Extend WaDisableDARBFClkGating to icl,ehl,tgl (bsc#1152489)
- commit 99f05b3
* Wed May 20 2020 neilb@suse.de
- NFSv3: fix rpc receive buffer size for MOUNT call (bsc#1171849).
- commit 4832c5f
* Tue May 19 2020 lduncan@suse.com
- scsi: mptfusion: Fix double fetch bug in ioctl (bsc#1171218
  CVE-2020-12652).
- commit d61daf3
* Tue May 19 2020 tiwai@suse.de
- Update patch reference for ipv6 security fix (CVE-2020-1749 bsc#1165629)
- commit b65b793
* Tue May 19 2020 jroedel@suse.de
- KVM: SVM: Fix potential memory leak in svm_cpu_init() (bsc#1171736).
- commit 010dbdc
* Tue May 19 2020 dmueller@suse.com
- scripts/dtc: Remove redundant YYLOC global declaration
  (bsc#1160388).
- commit 40e5eca
* Tue May 19 2020 jack@suse.cz
- bdi: Fix up kabi for dev_name addition (bsc#1171844).
- commit 4d83bb4
* Tue May 19 2020 mbenes@suse.cz
- x86/unwind/orc: Fix error handling in __unwind_start()
  (bsc#1058115).
- commit ad0fbff
* Tue May 19 2020 tiwai@suse.de
- platform/x86: ISST: Fix wrong unregister type (bsc#1171810).
- platform/x86: ISST: Allow additional core-power mailbox commands
  (bsc#1171810).
- platform/x86: ISST: Use dev_get_drvdata (bsc#1171810).
- commit 6bfd9ca
* Tue May 19 2020 tiwai@suse.de
- Move two upstreamed IMA patches into sorted section
- commit caf8825
* Tue May 19 2020 glin@suse.com
- bpf: Fix error return code in map_lookup_and_delete_elem()
  (bsc#1155518).
- bpf: Fix sk_psock refcnt leak when receiving message
  (bsc#1155518).
- commit d621e20
* Mon May 18 2020 tonyj@suse.de
- perf/x86/intel/uncore: Add Ice Lake server uncore support
  (jsc#SLE-8898).
- perf/x86/intel/uncore: Factor out __snr_uncore_mmio_init_box
  (jsc#SLE-8898).
- perf/x86/intel/uncore: Add box_offsets for free-running counters
  (jsc#SLE-8898).
- commit 093dafa
* Mon May 18 2020 oneukum@suse.com
- vt: fix unicode console freeing with a common interface
  (git-fixes).
- commit 4d7b8d6
* Mon May 18 2020 msuchanek@suse.de
- s390/kexec_file: fix initrd location for kdump kernel
  (bsc#1166340 ltc#184171).
- commit d2b5550
* Mon May 18 2020 jack@suse.cz
- block: Fix writeback throttling W=1 compiler warnings
  (bsc#1171844).
- blacklist.conf: Remove the commit
- commit 2a895f4
* Mon May 18 2020 jack@suse.cz
- bdi: add a ->dev_name field to struct backing_dev_info
  (bsc#1171844).
- commit 1e675b2
* Mon May 18 2020 jack@suse.cz
- bdi: move bdi_dev_name out of line (bsc#1171844).
- commit 8c98f9b
* Mon May 18 2020 jack@suse.cz
- bdi: use bdi_dev_name() to get device name (bsc#1171844).
- commit 2f2a729
* Mon May 18 2020 jack@suse.cz
- propagate_one(): mnt_set_mountpoint() needs mount_lock
  (bsc#1171843).
- commit d12939e
* Mon May 18 2020 oneukum@suse.com
- vt: don't hardcode the mem allocation upper bound (git-fixes).
- commit cef46bf
* Mon May 18 2020 oneukum@suse.com
- vt: don't use kmalloc() for the unicode screen buffer
  (git-fixes).
- commit 4fd1f99
* Mon May 18 2020 dwagner@suse.de
- rcu: Add *_ONCE() for grace-period progress indicators
  (bsc#1171828).
- rcu: Add READ_ONCE() to rcu_segcblist ->tails (bsc#1171828).
- rcu: Add WRITE_ONCE() to rcu_node ->qsmaskinitnext
  (bsc#1171828).
- rcu: Add WRITE_ONCE() to rcu_state ->gp_req_activity
  (bsc#1171828).
- rcu: Add WRITE_ONCE to rcu_node ->exp_seq_rq store
  (bsc#1171828).
- rcu: Add WRITE_ONCE() to rcu_node ->qsmask update (bsc#1171828).
- rcu: Provide debug symbols and line numbers in KCSAN runs
  (bsc#1171828).
- rcu: Fix exp_funnel_lock()/rcu_exp_wait_wake() datarace
  (bsc#1171828).
- rcu: Use READ_ONCE() for ->expmask in rcu_read_unlock_special()
  (bsc#1171828).
- srcu: Apply *_ONCE() to ->srcu_last_gp_end (bsc#1171828).
- commit a409a59
* Mon May 18 2020 jack@suse.cz
- blacklist.conf: Blacklist c4b4c2a78a9f
- commit 7d1f234
* Mon May 18 2020 jack@suse.cz
- ext4: use non-movable memory for superblock readahead
  (bsc#1171842).
- commit cc13e88
* Mon May 18 2020 jack@suse.cz
- ocfs2: no need try to truncate file beyond i_size (bsc#1171841).
- commit 4ea0462
* Mon May 18 2020 oneukum@suse.com
- USB: uas: add quirk for LaCie 2Big Quadra (git-fixes).
- commit 827d447
* Mon May 18 2020 jack@suse.cz
- io_uring: remove bogus RLIMIT_NOFILE check in file registration
  (bsc#1171840).
- commit 2d64873
* Mon May 18 2020 jack@suse.cz
- io_uring: honor original task RLIMIT_FSIZE (bsc#1171839).
- commit c77337d
* Mon May 18 2020 oneukum@suse.com
- USB: serial: qcserial: Add DW5816e support (git-fixes).
- commit aa6d686
* Mon May 18 2020 rgoldwyn@suse.com
- mm/swapfile.c: move inode_lock out of claim_swapfile (git-fixes, bsc#1171730).
- commit e2fed77
* Mon May 18 2020 oneukum@suse.com
- usb: xhci: Fix NULL pointer dereference when enqueuing trbs
  from urb sg list (git-fixes).
- commit 25bbbc6
* Mon May 18 2020 jack@suse.cz
- blacklist.conf: Blacklist ce623f89872d
- commit 1a198c3
* Mon May 18 2020 jack@suse.cz
- blacklist.conf: Blacklist 02f03c4206c1
- commit 2d8e6ba
* Mon May 18 2020 jack@suse.cz
- ext4: fix a data race at inode->i_blocks (bsc#1171835).
- commit 3a01d10
* Mon May 18 2020 jack@suse.cz
- block, bfq: invoke flush_idle_tree after reparent_active_queues
  in pd_offline (bsc#1171834).
- commit 2f6d8ec
* Mon May 18 2020 jack@suse.cz
- block, bfq: make reparent_leaf_entity actually work only on
  leaf entities (bsc#1171833).
- commit d07ba45
* Mon May 18 2020 jack@suse.cz
- block, bfq: turn put_queue into release_process_ref in
  __bfq_bic_change_cgroup (bsc#1171832).
- commit 8dc34a5
* Mon May 18 2020 msuchanek@suse.de
- libnvdimm/dax: Pick the right alignment default when creating dax
  devices (bsc#1171759).
- powerpc/book3s64: Export has_transparent_hugepage() related
  functions (bsc#1171759).
- Refresh patches.suse/powerpc-hash64-devmap-Use-H_PAGE_THP_HUGE-when-setti.patch.
- commit 01ee8de
* Mon May 18 2020 dwagner@suse.de
- rcu: Remove rcu_swap_protected() (bsc#1171827).
- wireless/mediatek: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1171827).
- fs/afs: Replace rcu_swap_protected() with rcu_replace_pointer()
  (bsc#1171827).
- drivers/scsi: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1171827).
- drm/i915: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1171827).
- x86/kvm/pmu: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1171827).
- mt76: drop rcu read lock in mt76_rx_aggr_stop (bsc#1171827).
- commit a6fb099
* Mon May 18 2020 nsaenzjulienne@suse.de
- blacklist.conf: Append "ARM: dts: bcm283x: Disable dsi0 node"
  It's a device tree change, we don't maintain device trees.
- commit 2f253e6
* Mon May 18 2020 ailiop@suse.com
- blacklist.conf: add 5a57c05b56b6e
- commit a97a544
* Mon May 18 2020 ailiop@suse.com
- blacklist.conf: add 71912e08e06b7
- commit e4cf882
* Mon May 18 2020 nsaenzjulienne@suse.de
- net: broadcom: Select BROADCOM_PHY for BCMGENET (git-fixes).
- commit 45f06fc
* Mon May 18 2020 tbogendoerfer@suse.de
- bpf: Enforce returning 0 for fentry/fexit progs (bsc#1154353).
- bpf: Fix bug in mmap() implementation for BPF array map
  (bsc#1154353).
- ionic: call ionic_port_init after fw-upgrade (bsc#1167773).
- ionic: leave netdev mac alone after fw-upgrade (bsc#1167773).
- RDMA/uverbs: Move IB_EVENT_DEVICE_FATAL to destroy_uobj
  (jsc#SLE-8449).
- RDMA/uverbs: Do not discard the IB_EVENT_DEVICE_FATAL event
  (jsc#SLE-8449).
- ipv6: fix restrict IPV6_ADDRFORM operation (bsc#1171662).
- selftests/bpf: Validate frozen map contents stays frozen
  (bsc#1154353).
- ipv6: restrict IPV6_ADDRFORM operation (bsc#1171662).
- commit b0eba11
* Mon May 18 2020 dwagner@suse.de
- wireguard: send/receive: cond_resched() when processing worker
  ringbuffers (bsc#1169021 jsc#SLE-12250).
- wireguard: socket: remove errant restriction on looping to self
  (bsc#1169021 jsc#SLE-12250).
- wireguard: receive: use tunnel helpers for decapsulating ECN
  markings (bsc#1169021 jsc#SLE-12250).
- wireguard: queueing: cleanup ptr_ring in error path of
  packet_queue_init (bsc#1169021 jsc#SLE-12250).
- commit 3b1c8e3
* Mon May 18 2020 tiwai@suse.de
- clk: rockchip: fix incorrect configuration of rk3228 aclk_gpu*
  clocks (git-fixes).
- clk: Unlink clock if failed to prepare or enable (git-fixes).
- commit 1326aea
* Mon May 18 2020 jslaby@suse.cz
- net: ipv4: really enforce backoff for redirects (git-fixes).
- commit 439f9a6
* Mon May 18 2020 mkubecek@suse.cz
- series.conf: cleanup
- move kabi workaround to the right section:
  patches.kabi/snd-rawmidi-buffer_ref-kABI-workaround.patch
- commit 6394f10
* Mon May 18 2020 tiwai@suse.de
- ima: Set again build_ima_appraise variable (bsc#1171709).
- ima: Remove redundant policy rule set in add_rules()
  (bsc#1171709).
- ima: Fix ima digest hash table key calculation (bsc#1171709).
- ima: Fix return value of ima_write_policy() (bsc#1171709).
- ima: Set file->f_mode instead of file->f_flags in
  ima_calc_file_hash() (bsc#1171709).
- commit 9bfa29c
* Mon May 18 2020 mkubecek@suse.cz
- series.conf: cleanup
  Drop unneeded comment.
- commit c7bd9f9
* Sun May 17 2020 dbueso@suse.de
- ipc/util.c: sysvipc_find_ipc() incorrectly updates position
  index (bsc#1171236).
- kernel/gcov/fs.c: gcov_seq_next() should increase position index
  (bsc#1171236).
- fs/seq_file.c: seq_read(): add info message about buggy .next
  functions (bsc#1171236).
- selinux: sel_avc_get_stat_idx should increase position index
  (bsc#1171236).
- mm/swapfile.c: swap_next should increase position index
  (bsc#1171236).
- commit 02aa5d8
* Sun May 17 2020 tiwai@suse.de
- pinctrl: cherryview: Add missing spinlock usage in
  chv_gpio_irq_handler (git-fixes).
- pinctrl: baytrail: Enable pin configuration setting for GPIO
  chip (git-fixes).
- pinctrl: sunrisepoint: Fix PAD lock register offset for SPT-H
  (git-fixes).
- pinctrl: qcom: fix wrong write in update_dual_edge (git-fixes).
- pinctrl: actions: fix function group name for i2c0_group
  (git-fixes).
- commit 47ce68c
* Sat May 16 2020 lduncan@suse.com
- scsi: sg: add sg_remove_request in sg_common_write
  (bsc#1171790).
- commit 6f665e2
* Sat May 16 2020 lduncan@suse.com
- Blacklist git-fix that uses kABI not present yet in SLE.
  This uses get_unaligned_be24(), which isn't in our kernel yet,
  to clean up debug code, but it does not fix anything.
- commit 0389ede
* Sat May 16 2020 lduncan@suse.com
- scsi: mpt3sas: Fix kernel panic observed on soft HBA unplug
  (bsc#1171783).
- scsi: ufs: Clean up ufshcd_scale_clks() and clock scaling
  error out path (bsc#1171792).
- scsi: aha1740: Fix an errro handling path in aha1740_probe()
  (bsc#1171774).
- scsi: ufs: Fix ufshcd_hold() caused scheduling while atomic
  (bsc#1171795).
- scsi: ufs: fix Auto-Hibern8 error detection (bsc#1171794).
- block/drbd: delete invalid function drbd_md_mark_dirty_
  (bsc#1171773).
- scsi: sd: Fix optimal I/O size for devices that change reported
  values (bsc#1171789).
- scsi: ufs: Fix ufshcd_probe_hba() reture value in case
  ufshcd_scsi_add_wlus() fails (bsc#1171796).
- scsi: csiostor: Adjust indentation in csio_device_reset
  (bsc#1171777).
- scsi: qla4xxx: Adjust indentation in qla4xxx_mem_free
  (bsc#1171784).
- scsi: ufs: Recheck bkops level if bkops is disabled
  (bsc#1171798).
- scsi: fnic: fix invalid stack access (bsc#1171780).
- scsi: sd: Clear sdkp->protection_type if disk is reformatted
  without PI (bsc#1171787).
- scsi: iscsi: Fix a potential deadlock in the timeout handler
  (bsc#1171781).
- scsi: ufs: Disable autohibern8 feature in Cadence UFS
  (bsc#1171793).
- scsi: iscsi: qla4xxx: fix double free in probe (bsc#1171782).
- scsi: ufs: Give an unique ID to each ufs-bsg (bsc#1171797).
- scsi: scsi_transport_sas: Fix memory leak when removing devices
  (bsc#1171786).
- scsi: bnx2i: fix potential use after free (bsc#1171775).
- scsi: qla4xxx: fix double free bug (bsc#1171785).
- scsi: zorro_esp: Limit DMA transfers to 65536 bytes (except
  on Fastlane) (bsc#1171799).
- scsi: tracing: Fix handling of TRANSFER LENGTH == 0 for READ(6)
  and WRITE(6) (bsc#1171791).
- scsi: core: scsi_trace: Use get_unaligned_be*() (bsc#1171776).
- scsi: esas2r: unlock on error in esas2r_nvram_read_direct()
  (bsc#1171779).
- scsi: csiostor: Don't enable IRQs too early (bsc#1171778).
- scsi: sd: enable compat ioctls for sed-opal (bsc#1171788).
- commit f218358
* Sat May 16 2020 tiwai@suse.de
- umh: fix memory leak on execve failure (git-fixes).
- r8169: re-establish support for RTL8401 chip version
  (git-fixes).
- hwmon: (da9052) Synchronize access with mfd (git-fixes).
- commit c93a77b
* Sat May 16 2020 tiwai@suse.de
- kABI workaround for snd_rawmidi buffer_ref field addition
  (git-fixes).
- commit a26b757
* Sat May 16 2020 tiwai@suse.de
- ALSA: hda/realtek - Limit int mic boost for Thinkpad T530
  (git-fixes bsc#1171293).
- ALSA: hda/realtek - Add COEF workaround for ASUS ZenBook UX431DA
  (git-fixes).
- ALSA: hda/realtek: Enable headset mic of ASUS UX581LV with
  ALC295 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of ASUS UX550GE with
  ALC295 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of ASUS GL503VM with
  ALC295 (git-fixes).
- ALSA: hda/realtek: Add quirk for Samsung Notebook (git-fixes).
- ALSA: rawmidi: Fix racy buffer resize under concurrent accesses
  (git-fixes).
- ALSA: usb-audio: add mapping for ASRock TRX40 Creator
  (git-fixes).
- ALSA: hda/realtek - Fix S3 pop noise on Dell Wyse (git-fixes).
- Revert "ALSA: hda/realtek: Fix pop noise on ALC225" (git-fixes).
- ALSA: firewire-lib: fix 'function sizeof not defined' error
  of tracepoints format (git-fixes).
- ALSA: usb-audio: Add control message quirk delay for Kingston
  HyperX headset (git-fixes).
- commit 1c282f0
* Fri May 15 2020 ptesarik@suse.cz
- s390/qeth: refactor buffer pool code (git-fixes).
- s390/qeth: use page pointers to manage RX buffer pool
  (git-fixes).
- commit 78b8e17
* Fri May 15 2020 ptesarik@suse.cz
- s390/qdio: fill SBALEs with absolute addresses (git-fixes).
- commit 3a84ac3
* Fri May 15 2020 ptesarik@suse.cz
- blacklist.conf: Add unimportant S390 fixes.
- commit da76ba0
* Fri May 15 2020 ptesarik@suse.cz
- s390: Keep kABI after adding fields to struct lowcore
  (git-fixes).
- s390: prevent leaking kernel address in BEAR (git-fixes).
- commit 2432c42
* Fri May 15 2020 ptesarik@suse.cz
- Update upstream references and move to sorted section:
  patches.suse/s390-mm-fix-page-table-upgrade-vs-2ndary-address-mode
- commit 5b70b1c
* Fri May 15 2020 ptesarik@suse.cz
- s390/protvirt: fix compilation issue (git-fixes).
- s390/pci: do not set affinity for floating irqs (git-fixes).
- KVM: s390: Fix PV check in deliverable_irqs() (git-fixes).
- s390/cio: generate delayed uevent for vfio-ccw subchannels
  (git-fixes).
- s390/cio: avoid duplicated 'ADD' uevents (git-fixes).
- KVM: s390: vsie: Fix possible race when shadowing region 3
  tables (git-fixes).
- KVM: s390: vsie: Fix region 1 ASCE sanity shadow address checks
  (git-fixes).
- s390/diag: fix display of diagnose call statistics (git-fixes).
- s390/cpuinfo: fix wrong output when CPU0 is offline (git-fixes).
- scsi: zfcp: fix missing erp_lock in port recovery trigger for
  point-to-point (git-fixes).
- s390/gmap: return proper error code on ksm unsharing
  (git-fixes).
- s390/qeth: support net namespaces for L3 devices (git-fixes).
- s390/qeth: implement smarter resizing of the RX buffer pool
  (git-fixes).
- s390/qeth: cancel RX reclaim work earlier (git-fixes).
- s390/qeth: handle error when backing RX buffer (git-fixes).
- s390/qeth: don't reset default_out_queue (git-fixes).
- s390/qeth: fix off-by-one in RX copybreak check (git-fixes).
- s390/qeth: don't warn for napi with 0 budget (git-fixes).
- s390/qeth: vnicc Fix EOPNOTSUPP precedence (git-fixes).
- commit f4042da
* Fri May 15 2020 ptesarik@suse.cz
- s390/uv: Fix handling of length extensions (git-fixes).
- Refresh
  patches.suse/0008-s390-protvirt-introduce-host-side-setup.
- commit b147e1a
* Fri May 15 2020 ptesarik@suse.cz
- s390/qeth: consolidate QDIO queue setup (git-fixes).
- s390/startup: round down "mem" option to page boundary
  (git-fixes).
- commit 1751aa6
* Fri May 15 2020 ptesarik@suse.cz
- s390/cpum_cf: Add new extended counters for IBM z15 (bsc#1169763
  LTC#185290).
- commit 7b5f7a7
* Fri May 15 2020 ptesarik@suse.cz
- s390/ftrace: fix potential crashes when switching tracers
  (bsc#1171242 LTC#185786).
- commit 4872847
* Fri May 15 2020 hare@suse.de
- fnic: to not call 'scsi_done()' for unhandled commands
  (bsc#1168468, bsc#1171675).
- commit ab83c6a
* Fri May 15 2020 tiwai@suse.de
- ima: Use ima_hash_algo for collision detection in the
  measurement list (bsc#1171709).
- ima: Calculate and extend PCR with digests in ima_template_entry
  (bsc#1171709).
- ima: Allocate and initialize tfm for each PCR bank
  (bsc#1171709).
- ima: Switch to dynamically allocated buffer for template digests
  (bsc#1171709).
- ima: Store template digest directly in ima_template_entry
  (bsc#1171709).
- ima: Evaluate error in init_ima() (bsc#1171709).
- ima: Switch to ima_hash_algo for boot aggregate (bsc#1171709).
- commit b14498d
* Fri May 15 2020 tiwai@suse.de
- mmc: sdhci-acpi: Add SDHCI_QUIRK2_BROKEN_64_BIT_DMA for AMDI0040
  (git-fixes).
- mmc: block: Fix request completion in the CQE timeout path
  (git-fixes).
- mmc: core: Fix recursive locking issue in CQE recovery path
  (git-fixes).
- mmc: core: Check request type before completing the request
  (git-fixes).
- mmc: sdhci-pci-gli: Fix can not access GL9750 after reboot
  from Windows 10 (git-fixes).
- mmc: alcor: Fix a resource leak in the error path for ->probe()
  (git-fixes).
- mmc: sdhci-pci-gli: Fix no irq handler from suspend (git-fixes).
- HID: wacom: Report 2nd-gen Intuos Pro S center button status
  over BT (git-fixes).
- commit c8b265a
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Move allocation of the shost object to after xconf-
  and xport-data (bsc#1158050).
- commit 21f0bbc
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Fence early sysfs interfaces for accesses of shost
  objects (bsc#1158050).
- commit 14fe477
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Fence adapter status propagation for common statuses
  (bsc#1158050).
- commit 2239fe3
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Move p-t-p port allocation to after xport data
  (bsc#1158050).
- commit 6523a4a
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Fence fc_host updates during link-down handling
  (bsc#1158050).
- commit e19869e
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Move fc_host updates during xport data handling
  into fenced function (bsc#1158050).
- commit ed1083e
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Move shost updates during xconfig data handling
  into fenced function (bsc#1158050).
- commit 2b1bff7
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: Move shost modification after QDIO (re-)open into
  fenced function (bsc#1158050).
- commit 125f4c2
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: log FC Endpoint Security errors (bsc#1158050).
- commit 917028c
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: enhance handling of FC Endpoint Security errors
  (bsc#1158050).
- commit 36c135f
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: trace FC Endpoint Security of FCP devices and
  connections (bsc#1158050).
- commit 7e76f52
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: log FC Endpoint Security of connections
  (bsc#1158050).
- commit c39b6cd
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: report FC Endpoint Security in sysfs (bsc#1158050).
- commit f23d4ba
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: auto variables for dereferenced structs in open
  port handler (bsc#1158050).
- commit 59d992b
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: fix fc_host attributes that should be unknown on
  local link down (bsc#1158050).
- commit eeef336
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: wire previously driver-specific sysfs attributes
  also to fc_host (bsc#1158050).
- commit 6bad869
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: expose fabric name as common fc_host sysfs attribute
  (bsc#1158050).
- commit ea0cf94
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: fix wrong data and display format of SFP+
  temperature (bsc#1158050).
- commit 90e31fe
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: proper indentation to reduce confusion in
  zfcp_erp_required_act (bsc#1158050).
- commit 4e35fda
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: move maximum age of diagnostic buffers into a
  per-adapter variable (bsc#1158050).
- commit be264de
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: implicitly refresh config-data diagnostics when
  reading sysfs (bsc#1158050).
- commit 20412aa
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: introduce sysfs interface to read the local
  B2B-Credit (bsc#1158050).
- commit 843431c
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: implicitly refresh port-data diagnostics when
  reading sysfs (bsc#1158050).
- commit 161aea6
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: introduce sysfs interface for diagnostics of local
  SFP transceiver (bsc#1158050).
- commit a779192
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: support retrieval of SFP Data via Exchange Port Data
  (bsc#1158050).
- commit 5dc40b1
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: add diagnostics buffer for exchange config data
  (bsc#1158050).
- commit 57cb8ce
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: diagnostics buffer caching and use for exchange
  port data (bsc#1158050).
- commit dd2087b
* Thu May 14 2020 martin.wilck@suse.com
- scsi: zfcp: signal incomplete or error for sync exchange
  config/port data (bsc#1158050).
- commit c1722d3
* Thu May 14 2020 jack@suse.cz
- ext4: do not zeroout extents beyond i_disksize (bsc#1167851).
- commit af137fd
* Thu May 14 2020 bp@suse.de
- x86/smpboot: Remove the last ICPU() macro (bsc#1171644).
- commit 363d04a
* Thu May 14 2020 lhenriques@suse.com
- ceph: demote quotarealm lookup warning to a debug message
  (jsc#SES-1134).
- ceph: fix double unlock in handle_cap_export() (jsc#SES-1134).
- ceph: fix special error code in ceph_try_get_caps()
  (jsc#SES-1134).
- ceph: fix endianness bug when handling MDS session feature bits
  (jsc#SES-1134).
- commit f1fae63
* Thu May 14 2020 bp@suse.de
- ACPI: Convert to new X86 CPU match macros (bsc#1171644).
- ASoC: Intel: Convert to new X86 CPU match macros (bsc#1171644).
- cpufreq: Convert to new X86 CPU match macros (bsc#1171644).
- cpufreq/intel_pstate: Fix wrong macro conversion (bsc#1171644).
- crypto: Convert to new CPU match macros (bsc#1171644).
- EDAC: Convert to new X86 CPU match macros (bsc#1171644).
- extcon: axp288: Convert to new X86 CPU match macros
  (bsc#1171644).
- hwmon: Convert to new X86 CPU match macros (bsc#1171644).
- hwrng: via_rng: Convert to new X86 CPU match macros
  (bsc#1171644).
- intel_idle: Convert to new X86 CPU match macros (bsc#1171644).
- mmc: sdhci-acpi: Convert to new X86 CPU match macros
  (bsc#1171644).
- PCI: intel-mid: Convert to new X86 CPU match macros
  (bsc#1171644).
- platform/x86: Convert to new CPU match macros (bsc#1171644).
- powercap/intel_rapl: Convert to new X86 CPU match macros
  (bsc#1171644).
- thermal: Convert to new X86 CPU match macros (bsc#1171644).
- x86/cpu/bugs: Convert to new matching macros (bsc#1171644).
- x86/cpu: Cleanup the now unused CPU match macros (bsc#1171644).
- x86/intel: Aggregate big core client naming (bsc#1171644).
- x86/intel: Aggregate big core graphics naming (bsc#1171644).
- x86/intel: Aggregate big core mobile naming (bsc#1171644).
- x86/intel: Aggregate microserver naming (bsc#1171644).
- x86/kernel: Convert to new CPU match macros (bsc#1171644).
- x86/kvm: Convert to new CPU match macros (bsc#1171644).
- x86/perf/events: Convert to new CPU match macros (bsc#1171644).
- x86/platform: Convert to new CPU match macros (bsc#1171644).
- Refresh
  patches.suse/edac-i10nm-update-driver-to-support-different-bus-number-config-register-offsets.patch.
- Refresh
  patches.suse/edac-skx-i10nm-make-some-configurations-cpu-model-specific.patch.
- Refresh
  patches.suse/perf-x86-cstate-add-comet-lake-cpu-support.patch.
- Refresh
  patches.suse/perf-x86-cstate-update-c-state-counters-for-ice-lake.patch.
- Refresh
  patches.suse/perf-x86-intel-add-comet-lake-cpu-support.patch.
- Refresh
  patches.suse/perf-x86-msr-add-comet-lake-cpu-support.patch.
- Refresh
  patches.suse/platform-x86-intel_pmc_core-Add-Comet-Lake-CML-platf.patch.
- Refresh
  patches.suse/platform-x86-intel_pmc_core-update-Comet-Lake-platfo.patch.
- Refresh
  patches.suse/powercap-intel_rapl-add-support-for-CometLake-Mobile.
- Refresh
  patches.suse/powercap-intel_rapl-add-support-for-Cometlake-desktop.
- Refresh
  patches.suse/powercap-intel_rapl-add-support-for-TigerLake-Mobile.patch.
- Refresh
  patches.suse/x86-bugs-Add-ITLB_MULTIHIT-bug-infrastructure.patch.
- Refresh
  patches.suse/x86-cpu-Add-Tiger-Lake-to-Intel-family.patch.
- Refresh
  patches.suse/x86-cpu-Add-Tremont-to-the-cpu-vulnerability-whiteli.patch.
- Refresh
  patches.suse/x86-cpu-add-a-steppings-field-to-struct-x86_cpu_id.patch.
- Refresh
  patches.suse/x86-sched-Add-support-for-frequency-invariance.patch.
- commit 424d9a3
* Thu May 14 2020 jroedel@suse.de
- Update
  patches.suse/pci-aer-add-pci_aer_raw_clear_status-to-unconditionally-clear-error-status
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update
  patches.suse/pci-aer-rationalize-error-status-register-clearing
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update
  patches.suse/pci-dpc-add-error-disconnect-recover-edr-support
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update
  patches.suse/pci-dpc-cache-dpc-capabilities-in-pci_init_capabilities
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update
  patches.suse/pci-dpc-expose-dpc_process_error-dpc_reset_link-for-use-by-edr
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update patches.suse/pci-dpc-move-dpc-data-into-struct-pci_dev
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update
  patches.suse/pci-err-remove-service-dependency-in-pcie_do_recovery
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- Update patches.suse/pci-err-return-status-of-pcie_do_recovery
  (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- commit dbc15d0
* Thu May 14 2020 ykaukab@suse.de
- efi: READ_ONCE rng seed size before munmap (jsc#SLE-12424).
- efi/random: Treat EFI_RNG_PROTOCOL output as bootloader randomness (jsc#SLE-12424).
- char/random: Add a newline at the end of the file (jsc#SLE-12424).
- fdt: add support for rng-seed (jsc#SLE-12424).
- arm64: map FDT as RW for early_init_dt_scan() (jsc#SLE-12424).
- commit 14ee05c
* Thu May 14 2020 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore CONFIG_CC_VERSION_TEXT
- commit 8e6b05f
* Wed May 13 2020 mkubecek@suse.cz
- Update kabi files.
- update to "Snapshot 16" submission (commit 2c1dc3e59ade)
- commit 5277b75
* Wed May 13 2020 jack@suse.cz
- fanotify: merge duplicate events on parent and child
  (bsc#1171285).
- commit 31ead62
* Wed May 13 2020 mbenes@suse.cz
- blacklist.conf: 81b67439d147 ("x86/unwind/orc: Fix premature unwind stoppage due to IRET frames")
  Breaks kABI. SLE15-SP3 is the target.
- commit 9871f13
* Wed May 13 2020 mkubecek@suse.cz
- series.conf: whitespace cleanup
  No functional change.
- commit 2c1dc3e
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind/orc: Fix error path for bad ORC entry type
  (bsc#1058115).
- commit 031383f
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind/orc: Prevent unwinding before ORC initialization
  (bsc#1058115).
- commit d558feb
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind/orc: Don't skip the first frame for inactive tasks
  (bsc#1058115).
- commit aa72d5b
* Wed May 13 2020 mbenes@suse.cz
- x86/unwind: Prevent false warnings for non-current tasks
  (bsc#1058115).
- commit 00ea671
* Wed May 13 2020 tbogendoerfer@suse.de
- Dropped jsc#PM and jsc#ECO references.
- Update
  patches.suse/Doc-networking-device_drivers-pensando-fix-ionic.rst.patch
  (bsc#1167773).
- Update
  patches.suse/Documentation-networking-device-drivers-Remove-stray.patch
  (bsc#1167773).
- Update
  patches.suse/dynamic_debug-provide-dynamic_hex_dump-stub.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-RSS-support.patch (bsc#1167773).
- Update
  patches.suse/ionic-Add-Rx-filter-and-rx_mode-ndo-support.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-Tx-and-Rx-handling.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-adminq-action.patch (bsc#1167773).
- Update
  patches.suse/ionic-Add-async-link-status-check-and-basic-stats.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-basic-adminq-support.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-Add-basic-framework-for-IONIC-Network-device-d.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-basic-lif-support.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-coalesce-and-other-features.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-driver-stats.patch (bsc#1167773).
- Update
  patches.suse/ionic-Add-hardware-init-and-device-commands.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-initial-ethtool-support.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-interrupts-and-doorbells.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-management-of-rx-filters.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-netdev-event-handling.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-notifyq-support.patch
  (bsc#1167773).
- Update patches.suse/ionic-Add-port-management-commands.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-Add-the-basic-NDO-callbacks-for-netdev-support.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-Fix-an-error-code-in-ionic_lif_alloc.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-Remove-set-but-not-used-variable-sg_desc.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-Remove-unnecessary-ternary-operator-in-ionic_d.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-Remove-unused-including-linux-version.h.patch
  (bsc#1167773).
- Update patches.suse/ionic-add-Rx-dropped-packet-counter.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-add-a-watchdog-timer-to-monitor-heartbeat.patch
  (bsc#1167773).
- Update patches.suse/ionic-add-decode-for-IONIC_RC_ENOSUPP.patch
  (bsc#1167773).
- Update patches.suse/ionic-add-dynamic_debug-header.patch
  (bsc#1167773).
- Update patches.suse/ionic-add-heartbeat-check.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-add-lif_quiesce-to-wait-for-queue-activity-to-.patch
  (bsc#1167773).
- Update patches.suse/ionic-add-support-for-device-id-0x1004.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-add-timeout-error-checking-for-queue-disable.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-check-for-NULL-structs-on-teardown.patch
  (bsc#1167773).
- Update patches.suse/ionic-check-for-linkup-in-watchdog.patch
  (bsc#1167773).
- Update patches.suse/ionic-check-for-queues-before-deleting.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-clean-irq-affinity-on-queue-deinit.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-clean-tx-queue-of-unfinished-requests.patch
  (bsc#1167773).
- Update patches.suse/ionic-clean-up-bitflag-usage.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-clear-compiler-warning-on-hb-use-before-set.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-decouple-link-message-from-netdev-state.patch
  (bsc#1167773).
- Update patches.suse/ionic-deinit-rss-only-if-selected.patch
  (bsc#1167773).
- Update patches.suse/ionic-disable-the-queues-on-link-down.patch
  (bsc#1167773).
- Update patches.suse/ionic-drop-use-of-subdevice-tags.patch
  (bsc#1167773).
- Update patches.suse/ionic-fix-fw_status-read.patch
  (bsc#1167773).
- Update patches.suse/ionic-fix-rxq-comp-packet-type-mask.patch
  (bsc#1167773).
- Update patches.suse/ionic-fix-stats-memory-dereference.patch
  (bsc#1167773).
- Update patches.suse/ionic-fix-unused-assignment.patch
  (bsc#1167773).
- Update patches.suse/ionic-fix-up-struct-name-comments.patch
  (bsc#1167773).
- Update patches.suse/ionic-fix-vf-op-lock-usage.patch
  (bsc#1167773).
- Update patches.suse/ionic-ignore-eexist-on-rx-filter-add.patch
  (bsc#1167773).
- Update patches.suse/ionic-implement-ethtool-set-fec.patch
  (bsc#1167773).
- Update patches.suse/ionic-implement-support-for-rx-sgl.patch
  (bsc#1167773).
- Update patches.suse/ionic-improve-irq-numa-locality.patch
  (bsc#1167773).
- Update patches.suse/ionic-ionic_if-bits-for-sr-iov-support.patch
  (bsc#1167773).
- Update patches.suse/ionic-keep-ionic-dev-on-lif-init-fail.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-keep-users-rss-hash-across-lif-reset.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-leave-dev-cmd-request-contents-alone-on-FW-tim.patch
  (bsc#1167773).
- Update patches.suse/ionic-make-spdxcheck.py-happy.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-move-debugfs-add-delete-to-match-alloc-free.patch
  (bsc#1167773).
- Update patches.suse/ionic-move-irq-request-to-qcq-alloc.patch
  (bsc#1167773).
- Update patches.suse/ionic-only-save-good-lif-dentry.patch
  (bsc#1167773).
- Update patches.suse/ionic-print-data-for-unknown-xcvr-type.patch
  (bsc#1167773).
- Update patches.suse/ionic-print-pci-bus-lane-info.patch
  (bsc#1167773).
- Update patches.suse/ionic-remove-adminq-napi-instance.patch
  (bsc#1167773).
- Update patches.suse/ionic-remove-lifs-on-fw-reset.patch
  (bsc#1167773).
- Update patches.suse/ionic-remove-pragma-packed.patch
  (bsc#1167773).
- Update patches.suse/ionic-replay-filters-after-fw-upgrade.patch
  (bsc#1167773).
- Update patches.suse/ionic-report-users-coalesce-request.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-restrict-received-packets-to-mtu-size.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-reverse-an-interrupt-coalesce-calculation.patch
  (bsc#1167773).
- Update patches.suse/ionic-select-CONFIG_NET_DEVLINK.patch
  (bsc#1167773).
- Update patches.suse/ionic-set-station-addr-only-if-needed.patch
  (bsc#1167773).
- Update patches.suse/ionic-simplify-returns-in-devlink-info.patch
  (bsc#1167773).
- Update patches.suse/ionic-stop-devlink-warn-on-mgmt-device.patch
  (bsc#1167773).
- Update patches.suse/ionic-support-ethtool-rxhash-disable.patch
  (bsc#1167773).
- Update patches.suse/ionic-support-sr-iov-operations.patch
  (bsc#1167773).
- Update patches.suse/ionic-update-driver-version.patch
  (bsc#1167773).
- Update
  patches.suse/ionic-use-wait_on_bit_lock-rather-than-open-code.patch
  (bsc#1167773).
- Update
  patches.suse/net-ionic-Use-scnprintf-for-avoiding-potential-buffe.patch
  (bsc#1167773).
- commit cd1780f
* Wed May 13 2020 mkubecek@suse.cz
- update metadata of nvme patches and move them out from sorted section
  The nvme-5.8 branch in nvme repository got rebased fourth time in three
  weeks. Update Git-commit tags again and move the patches out of sorted
  section as keeping them there makes more harm than good.
- update upstream reference and move to "almost mainline" section:
  patches.suse/lpfc-Commonize-lpfc_async_xchg_ctx-state-and-flag-de.patch
  patches.suse/lpfc-Refactor-NVME-LS-receive-handling.patch
  patches.suse/lpfc-Refactor-Send-LS-Abort-support.patch
  patches.suse/lpfc-Refactor-Send-LS-Request-support.patch
  patches.suse/lpfc-Refactor-Send-LS-Response-support.patch
  patches.suse/lpfc-Refactor-lpfc-nvme-headers.patch
  patches.suse/lpfc-Refactor-nvmet_rcv_ctx-to-create-lpfc_async_xch.patch
  patches.suse/lpfc-nvme-Add-Receive-LS-Request-and-Send-LS-Respons.patch
  patches.suse/lpfc-nvmet-Add-Send-LS-Request-and-Abort-LS-Request-.patch
  patches.suse/lpfc-nvmet-Add-support-for-NVME-LS-request-hosthandl.patch
  patches.suse/nvme-fc-Add-Disconnect-Association-Rcv-support.patch
  patches.suse/nvme-fc-Ensure-private-pointers-are-NULL-if-no-data.patch
  patches.suse/nvme-fc-Sync-header-to-FC-NVME-2-rev-1.08.patch
  patches.suse/nvme-fc-Update-header-and-host-for-common-definition.patch
  patches.suse/nvme-fc-and-nvmet-fc-revise-LLDD-api-for-LS-receptio.patch
  patches.suse/nvme-fc-convert-assoc_active-flag-to-bit-op.patch
  patches.suse/nvme-fc-nvmet-fc-refactor-for-common-LS-definitions.patch
  patches.suse/nvme-fcloop-add-target-to-host-LS-request-support.patch
  patches.suse/nvme-fcloop-refactor-to-enable-target-to-host-LS.patch
  patches.suse/nvmet-fc-Add-Disconnect-Association-Xmt-support.patch
  patches.suse/nvmet-fc-Better-size-LS-buffers.patch
  patches.suse/nvmet-fc-Update-target-for-common-definitions-for-LS.patch
  patches.suse/nvmet-fc-add-LS-failure-messages.patch
  patches.suse/nvmet-fc-perform-small-cleanups-on-unneeded-checks.patch
  patches.suse/nvmet-fc-rename-ls_list-to-ls_rcv_list.patch
  patches.suse/nvmet-fc-track-hostport-handle-for-associations.patch
- commit 63b19d5
* Tue May 12 2020 ohering@suse.de
- Fix hv_alloc_hyperv_zeroed_page to actually return something (bsc#1171507)
  Refresh patches.suse/suse-hv-kabi.patch.
- commit 2870dc6
* Tue May 12 2020 oneukum@suse.com
- iwlwifi: mvm: fix non-ACPI function (git-fixes).
- commit 676dedd
* Tue May 12 2020 mkoutny@suse.com
- mm: don't prepare anon_vma if vma has VM_WIPEONFORK
  (bsc#1169681).
- Delete
  patches.suse/0002-mm-set-vm_next-and-vm_prev-to-NULL-in-vm_area_dup.patch.
  The added patch is a proactive git-fix, the removed patch is unnecessary
  member of the same series (bsc#1169681).
- commit a316e23
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in rewind_stack_do_exit()
  (bsc#1058115).
- commit 3901d59
* Tue May 12 2020 oneukum@suse.com
- pinctrl: denverton: Update pin names according to v1.08
  (bsc#1171514).
- commit 2f0f43d
* Tue May 12 2020 oneukum@suse.com
- pinctrl: denverton: Provide Interrupt Status register offset
  (bsc#1171514).
- commit 60af7d7
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in __switch_to_asm()
  (bsc#1058115).
- commit 9d0fdcf
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in kernel exit path
  (bsc#1058115).
- commit 5322f7b
* Tue May 12 2020 mbenes@suse.cz
- x86/entry/64: Fix unwind hints in register clearing code
  (bsc#1058115).
- commit 74bcafb
* Tue May 12 2020 mbenes@suse.cz
- objtool: Fix stack offset tracking for indirect CFAs
  (bsc#1169514).
- commit bcaa294
* Tue May 12 2020 jslaby@suse.cz
- blacklist.conf: add one net entry
- commit 8a6918a
* Tue May 12 2020 jslaby@suse.cz
- net: macb: Fix runtime PM refcounting (git-fixes).
- selftests: Fix suppress test in fib_tests.sh (git-fixes).
- commit b936936
* Tue May 12 2020 tbogendoerfer@suse.de
- Refresh
  patches.suse/net-mlx5-Remove-redundant-NULL-initializations.patch.
  Folded in merge commit 95e6ba5133163f8241c9ea2439369cec0452fec6 from Linus:
  [ Did an evil merge to silence a warning introduced by this pull - Linus ]
- commit 6693a9f
* Tue May 12 2020 tbogendoerfer@suse.de
- cxgb4: fix EOTID leak when disabling TC-MQPRIO offload
  (jsc#SLE-8389).
- ionic: refresh devinfo after fw-upgrade (bsc#1167773).
- ionic: no link check until after probe (bsc#1167773).
- net/mlx5e: Fix q counters on uplink representors (jsc#SLE-8464).
- net/mlx5: DR, On creation set CQ's arm_db member to right value
  (jsc#SLE-8464).
- net/mlx5: Expose port speed when possible (bsc#1171117).
- net/mlx5: Expose link speed directly (bsc#1171117).
- commit 0b73846
* Tue May 12 2020 mbenes@suse.cz
- tracing/kprobes: Fix a double initialization typo (git-fixes).
- commit 84310a8
* Tue May 12 2020 mbenes@suse.cz
- tracing: Add a vmalloc_sync_mappings() for safe measure
  (git-fixes).
- commit 2019d7b
* Tue May 12 2020 ohering@suse.de
- clocksource/drivers/hyper-v: Set TSC clocksource as default w/
  InvariantTSC (bsc#1170621).
- x86/hyperv: Allow guests to enable InvariantTSC (bsc#1170621).
- commit 16f337f
* Mon May 11 2020 dbueso@suse.de
- ipc/mqueue.c: change __do_notify() to bypass
  check_kill_permission() (bsc#1159886).
- vdso/datapage: Use correct clock mode name in comment
  (bsc#1164648,jsc#SLE-11493).
- time/namespace: Fix time_for_children symlink
  (bsc#1164648,jsc#SLE-11493).
- ipc/util.c: sysvipc_find_ipc() should increase position index
  (bsc#1171236).
- ipc/shm.c: make compat_ksys_shmctl() static (bsc#1159886).
- ipc/mqueue.c: fix a brace coding style issue (bsc#1159886).
- epoll: fix possible lost wakeup on epoll_ctl() path.
- commit dbaec66
* Mon May 11 2020 tiwai@suse.de
- usb: dwc3: gadget: Properly set maxpacket limit (git-fixes).
- wimax/i2400m: Fix potential urb refcnt leak (git-fixes).
- drm/amdgpu: Correctly initialize thermal controller for GPUs
  with Powerplay table v0 (e.g Hawaii) (git-fixes).
- remoteproc: qcom_q6v5_mss: fix a bug in q6v5_probe()
  (git-fixes).
- drm/amdgpu: Fix oops when pp_funcs is unset in ACPI event
  (git-fixes).
- mac80211: add ieee80211_is_any_nullfunc() (git-fixes).
- platform/x86: GPD pocket fan: Fix error message when temp-limits
  are out of range (git-fixes).
- PM / devfreq: Add missing locking while setting suspend_freq
  (git-fixes).
- remoteproc: Fix wrong rvring index computation (git-fixes).
- commit 4da097b
* Mon May 11 2020 jroedel@suse.de
- PCI/DPC: Add Error Disconnect Recover (EDR) support
  (bsc#1169263).
- Update config files.
- Refresh patches.suse/0001-kABI-more-hooks-for-PCI-changes.patch.
- commit dc2f3a4
* Mon May 11 2020 mfleming@suse.de
- x86/asm/64: Align start of __clear_user() loop to 16-bytes
  (bsc#1168461)
- commit 1bafa6b
* Mon May 11 2020 jroedel@suse.de
- kABI: Fix kABI after EDR backport (bsc#1169263, jsc#SLE-10700, jsc#SLE-9457, jsc#SLE-12300).
- commit 3c954c1
* Mon May 11 2020 oneukum@suse.com
- xhci: Fix handling halted endpoint even if endpoint ring
  appears empty (git-fixes).
- Refresh
  patches.suse/xhci-Don-t-clear-hub-TT-buffer-on-ep0-protocol-stall.patch.
- commit 6ca613f
* Mon May 11 2020 jslaby@suse.cz
- net: dsa: bcm_sf2: Ensure correct sub-node is parsed
  (networking-stable-20_04_09).
- mlxsw: spectrum_flower: Do not stop at FLOW_ACTION_VLAN_MANGLE
  (networking-stable-20_04_09).
- net: dsa: bcm_sf2: Do not register slave MDIO bus with OF
  (networking-stable-20_04_09).
- net_sched: fix a missing refcnt in tcindex_init()
  (networking-stable-20_04_09).
- net: stmmac: dwmac1000: fix out-of-bounds mac address reg
  setting (networking-stable-20_04_09).
- cxgb4: fix MPS index overwrite when setting MAC address
  (networking-stable-20_04_09).
- ipv6: don't auto-add link-local address to lag ports
  (networking-stable-20_04_09).
- net_sched: add a temporary refcnt for struct tcindex_data
  (networking-stable-20_04_09).
- commit 964e915
* Mon May 11 2020 ykaukab@suse.de
- clk: qoriq: add cpufreq platform device (bsc#1165455).
- cpufreq: qoriq: convert to a platform driver (bsc#1165455).
- commit e0e9680
* Mon May 11 2020 msuchanek@suse.de
- asm-generic/tlb: add missing CONFIG symbol (bsc#1156395).
- commit ee4dbba
* Mon May 11 2020 mkubecek@suse.cz
- supported.conf: cleanup
- fix path of wireguard module
- fix sort order
- commit 5ca7d5d
* Mon May 11 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/scsi-ibmvfc-Don-t-send-implicit-logouts-prior-to-NPI.patch
  patches.suse/scsi-ibmvscsi-Fix-WARN_ON-during-event-pool-release.patch
- commit 7f02596
* Mon May 11 2020 mkubecek@suse.cz
- update metadata of nvme patches
  The nvme-5.8 branch in nvme repository got rebased again, update Git-commit
  tags:
  patches.suse/lpfc-Commonize-lpfc_async_xchg_ctx-state-and-flag-de.patch
  patches.suse/lpfc-Refactor-NVME-LS-receive-handling.patch
  patches.suse/lpfc-Refactor-Send-LS-Abort-support.patch
  patches.suse/lpfc-Refactor-Send-LS-Request-support.patch
  patches.suse/lpfc-Refactor-Send-LS-Response-support.patch
  patches.suse/lpfc-Refactor-lpfc-nvme-headers.patch
  patches.suse/lpfc-Refactor-nvmet_rcv_ctx-to-create-lpfc_async_xch.patch
  patches.suse/lpfc-nvme-Add-Receive-LS-Request-and-Send-LS-Respons.patch
  patches.suse/lpfc-nvmet-Add-Send-LS-Request-and-Abort-LS-Request-.patch
  patches.suse/lpfc-nvmet-Add-support-for-NVME-LS-request-hosthandl.patch
  patches.suse/nvme-fc-Add-Disconnect-Association-Rcv-support.patch
  patches.suse/nvme-fc-Ensure-private-pointers-are-NULL-if-no-data.patch
  patches.suse/nvme-fc-Sync-header-to-FC-NVME-2-rev-1.08.patch
  patches.suse/nvme-fc-Update-header-and-host-for-common-definition.patch
  patches.suse/nvme-fc-and-nvmet-fc-revise-LLDD-api-for-LS-receptio.patch
  patches.suse/nvme-fc-convert-assoc_active-flag-to-bit-op.patch
  patches.suse/nvme-fc-nvmet-fc-refactor-for-common-LS-definitions.patch
  patches.suse/nvme-fcloop-add-target-to-host-LS-request-support.patch
  patches.suse/nvme-fcloop-refactor-to-enable-target-to-host-LS.patch
  patches.suse/nvmet-fc-Add-Disconnect-Association-Xmt-support.patch
  patches.suse/nvmet-fc-Better-size-LS-buffers.patch
  patches.suse/nvmet-fc-Update-target-for-common-definitions-for-LS.patch
  patches.suse/nvmet-fc-add-LS-failure-messages.patch
  patches.suse/nvmet-fc-perform-small-cleanups-on-unneeded-checks.patch
  patches.suse/nvmet-fc-rename-ls_list-to-ls_rcv_list.patch
  patches.suse/nvmet-fc-track-hostport-handle-for-associations.patch
- commit 0113fce
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: Work around dead relocation stage loop
  (bsc#1171417).
- commit f418462
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: Check cancel request after each extent  found
  (bsc#1171417).
- commit 9d1084e
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: Check cancel request after each data  page
  read (bsc#1171417).
- commit 6e7cf97
* Mon May 11 2020 wqu@suse.com
- btrfs: relocation: add error injection points for  cancelling
  balance (bsc#1171417).
- commit ef70462
* Sat May  9 2020 tiwai@suse.de
- staging: gasket: Check the return value of
  gasket_get_bar_index() (git-fixes).
- Revert "tty: serial: bcm63xx: fix missing clk_put() in
  bcm63xx_uart" (git-fixes).
- USB: serial: garmin_gps: add sanity checking for data length
  (git-fixes).
- drm: ingenic-drm: add MODULE_DEVICE_TABLE (git-fixes).
- commit e8b3583
* Fri May  8 2020 ykaukab@suse.de
- build tegra186 as a module (bsc#1171156)
- export MODULE_DEVICE_TABLE to allow building as module:
  add patches.suse/gpio-tegra186-export-MODULE_DEVICE_TABLE.patch
- update arm64 configs (GPIO_TEGRA186 y->m)
- add gpio-tegra186 entry to supported.conf
- soc/tegra: pmc: Enable PMIC wake event on Tegra186.
- commit 70ad6b5
* Fri May  8 2020 ykaukab@suse.de
- Update
  patches.suse/net-dsa-felix-Use-PHY_INTERFACE_MODE_INTERNAL-instea.patch
  upstream reference and move to sorted section.
- commit c046bd4
* Fri May  8 2020 ykaukab@suse.de
- Update patches.suse/net-mscc-fix-in-frame-extraction.patch upstream reference and move to sorted section.
- commit 28974d3
* Thu May  7 2020 jzerebecki@suse.com
- kernel-docs: Change Requires on python-Sphinx to earlier than version 3
  References: bsc#1166965
  From 3 on the internal API that the build system uses was rewritten in
  an incompatible way.
  See https://github.com/sphinx-doc/sphinx/issues/7421 and
  https://bugzilla.suse.com/show_bug.cgi?id=1166965#c16 for some details.
- commit cf60b5c
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up nd_region changes (bsc#1162400).
- commit 528df6d
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up struct nvdimm changes (bsc#1171742).
- commit 78df47c
* Thu May  7 2020 lhenriques@suse.com
- ceph: fix potential bad pointer deref in async dirops cb's
  (bsc#1171390).
- rbd: don't mess with a page vector in rbd_notify_op_lock()
  (bsc#1171391).
- rbd: don't test rbd_dev->opts in rbd_dev_image_release()
  (bsc#1171392).
- commit 11ed7ef
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up nvdimm_security_ops changes (bsc#1171742).
- commit 37c125e
* Thu May  7 2020 msuchanek@suse.de
- libnvdimm: cover up nd_pfn_sb changes (bsc#1171759).
- commit 59fc719
* Thu May  7 2020 nsaenzjulienne@suse.de
- Update config files: Build w1 bus on arm64 (jsc#SLE-12203)
- supported.conf: support w1 core and thermometer support
- commit 73998d2
* Thu May  7 2020 tiwai@suse.de
- sched/psi: Fix OOB write when writing 0 bytes to PSI files
  (CVE-2020-0110 bsc#1171374).
- commit 0044c49
* Thu May  7 2020 tiwai@suse.de
- dp83640: reverse arguments to list_add_tail (git-fixes).
- batman-adv: Fix refcnt leak in batadv_v_ogm_process (git-fixes).
- batman-adv: Fix refcnt leak in batadv_store_throughput_override
  (git-fixes).
- batman-adv: Fix refcnt leak in batadv_show_throughput_override
  (git-fixes).
- batman-adv: fix batadv_nc_random_weight_tq (git-fixes).
- crypto: arch/nhpoly1305 - process in explicit 4k chunks
  (git-fixes).
- crypto: arch/lib - limit simd usage to 4k chunks (git-fixes).
- commit fbff5a5
* Thu May  7 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/bnxt_en-Fix-VF-anti-spoof-filter-setup.patch
  patches.suse/bnxt_en-Fix-VLAN-acceleration-handling-in-bnxt_fix_f.patch
  patches.suse/bnxt_en-Improve-AER-slot-reset.patch
  patches.suse/bnxt_en-Reduce-BNXT_MSIX_VEC_MAX-value-to-supported-.patch
  patches.suse/bnxt_en-Return-error-when-allocating-zero-size-conte.patch
  patches.suse/ibmvnic-Skip-fatal-error-reset-after-passive-init.patch
- commit 7b08e5b
* Wed May  6 2020 mkubecek@suse.cz
- add kabi reference files
- import from Public RC2 submission (commit b8c70f8e938e)
- enable kabi checking for -default and -preempt flavors
- commit 297cfce
* Wed May  6 2020 mbrugger@suse.com
- supported.conf: mark cuse as supported (bsc#1171279)
- commit 57d34e1
* Wed May  6 2020 bp@suse.de
- x86/cpu: Add a steppings field to struct x86_cpu_id
  (bsc#1152489).
- commit 0e87eea
* Wed May  6 2020 tiwai@suse.de
- PM: hibernate: Freeze kernel threads in software_resume()
  (git-fixes).
- PM: ACPI: Output correct message on target power state
  (git-fixes).
- dmaengine: dmatest: Fix iteration non-stop logic (git-fixes).
- drm/amd/display: Fix green screen issue after suspend
  (git-fixes).
- drm/edid: Fix off-by-one in DispID DTD pixel clock (git-fixes).
- mmc: sdhci-msm: Enable host capabilities pertains to R1b
  response (git-fixes).
- commit 2128020
* Wed May  6 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/powerplay: using the FCLK DPM table to set the MCLK'
- commit 8f1a5e9
* Wed May  6 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Close race between cacheline_retire and free'
- commit 8f35802
* Wed May  6 2020 tzimmermann@suse.de
- drm/i915/gt: Stage the transfer of the virtual breadcrumb (bsc#1152489)
  * context changes
- commit dd7c1b9
* Wed May  6 2020 tzimmermann@suse.de
- drm/i915: Apply Wa_1406680159:icl,ehl as an engine workaround (bsc#1152489)
  * context changes
- commit 1b9f5c3
* Wed May  6 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gt: Avoid resetting ring->head outside of its timeline mutex'
- commit ce5eb60
* Wed May  6 2020 mbrugger@suse.com
- arm64: blacklist.conf: ignore commit that got reveted later
- commit ea9a578
* Wed May  6 2020 mbrugger@suse.com
- arm64: Update config files. (bsc#1170680)
  Enable CONFIG_KEXEC_SIG and CONFIG_KEXEC_IMAGE_VERIFY_SIG
- commit 83dffa3
* Wed May  6 2020 mbrugger@suse.com
- arm64: kexec_file: Fixed code style (bsc#1170680).
- arm64: kexec_file: add crash dump support (bsc#1170680).
- libfdt: include fdt_addresses.c (bsc#1170680).
- arm64: kexec: remove unnecessary debug prints (bsc#1170680).
- libfdt: define INT32_MAX and UINT32_MAX in libfdt_env.h
  (bsc#1170680).
- commit 3e603a5
* Wed May  6 2020 mbrugger@suse.com
- arm64: Use pr_warn instead of pr_warning (bsc#1170680).
- Refresh
  patches.suse/arm64-smp-fix-smp_send_stop-behaviour.patch.
- commit deabe43
* Wed May  6 2020 mbrugger@suse.com
- arm64: smp: Treat unknown boot failures as being 'stuck in
  kernel' (bsc#1170680).
- arm64: kexec_file: add rng-seed support (bsc#1170680).
- arm64/kexec: Use consistent convention of initializing
  'kxec_buf.mem' with KEXEC_BUF_MEM_UNKNOWN (bsc#1170680).
- commit b8854a2
* Wed May  6 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline tags:
  patches.suse/NFS-Directory-page-cache-pages-need-to-be-locked-whe.patch
  patches.suse/NFS-Fix-a-page-leak-in-nfs_destroy_unlinked_subreque.patch
  patches.suse/NFS-Fix-fix-of-show_nfs_errors.patch
  patches.suse/NFS-Fix-memory-leaks-and-corruption-in-readdir.patch
  patches.suse/NFS-Fix-races-nfs_page_group_destroy-vs-nfs_destroy_.patch
  patches.suse/NFS-Fix-use-after-free-issues-in-nfs_pageio_add_requ.patch
  patches.suse/NFS-Revalidate-the-file-mapping-on-all-fatal-writeba.patch
  patches.suse/NFS-Revalidate-the-file-size-on-a-fatal-write-error.patch
  patches.suse/NFS-alloc_nfs_open_context-must-use-the-file-cred-wh.patch
  patches.suse/NFS-pnfs-Fix-pnfs_generic_prepare_to_resend_writes.patch
  patches.suse/NFSD-fixing-possible-null-pointer-derefering-in-copy.patch
  patches.suse/NFSv2-Fix-a-typo-in-encode_sattr.patch
  patches.suse/NFSv4-pnfs-Return-valid-stateids-in-nfs_layout_find_.patch
  patches.suse/NFSv4-pnfs_roc-must-use-cred_fscmp-to-compare-creds.patch
  patches.suse/NFSv4-try-lease-recovery-on-NFS4ERR_EXPIRED.patch
  patches.suse/NFSv4.0-nfs4_do_fsinfo-should-not-do-implicit-lease-.patch
  patches.suse/NFSv4.1-fix-handling-of-backchannel-binding-in-BIND_.patch
  patches.suse/NFSv4.1-make-cachethis-no-for-writes.patch
  patches.suse/NFSv4.x-Drop-the-slot-if-nfs4_delegreturn_prepare-wa.patch
  patches.suse/NFSv4.x-Handle-bad-dead-sessions-correctly-in-nfs41_.patch
  patches.suse/SUNRPC-Fix-a-potential-buffer-overflow-in-svc_print_.patch
  patches.suse/SUNRPC-Fix-backchannel-RPC-soft-lockups.patch
  patches.suse/SUNRPC-Remove-unreachable-error-condition.patch
  patches.suse/nfs-Fix-potential-posix_acl-refcnt-leak-in-nfs3_set_.patch
  patches.suse/nfsd-Don-t-add-locks-to-closed-or-closing-open-state.patch
  patches.suse/nfsd-Fix-NFSv4-READ-on-RDMA-when-using-readv.patch
  patches.suse/nfsd-Return-the-correct-number-of-bytes-written-to-t.patch
  patches.suse/nfsd-depend-on-CRYPTO_MD5-for-legacy-client-tracking.patch
  patches.suse/nfsd-fix-delay-timer-on-32-bit-architectures.patch
  patches.suse/nfsd-fix-jiffies-time_t-mixup-in-LRU-list.patch
  patches.suse/nfsd-fsnotify-on-rmdir-under-nfsd-clients.patch
  patches.suse/nfsd-memory-corruption-in-nfsd4_lock.patch
  patches.suse/nfsd-remove-nfs4_reset_lease-declarations.patch
  patches.suse/nfsd4-fix-up-replay_matches_cache.patch
  patches.suse/sunrpc-expiry_time-should-be-seconds-not-timeval.patch
  patches.suse/svcrdma-Fix-double-svc_rdma_send_ctxt_put-in-an-erro.patch
  patches.suse/svcrdma-Fix-leak-of-transport-addresses.patch
- commit 913c3fc
* Tue May  5 2020 bp@suse.de
- x86/cpu: Add consistent CPU match macros (bsc#1152489).
- commit a70979e
* Tue May  5 2020 bp@suse.de
- x86/devicetable: Move x86 specific macro out of generic code
  (bsc#1152489).
- commit 9581d95
* Tue May  5 2020 msuchanek@suse.de
- nvdimm: Avoid race between probe and reading device attributes
  (bsc#1170442).
- commit daea9d3
* Tue May  5 2020 ailiop@suse.com
- xfs: add agf freeblocks verify in xfs_agf_verify (bsc#1171217
  CVE-2020-12655).
- commit 08016b2
* Tue May  5 2020 tiwai@suse.de
- xsk: Add missing check on user supplied headroom size
  (CVE-2020-12659 bsc#1171214).
- commit 57877bb
* Tue May  5 2020 tiwai@suse.de
- Update patch reference tags for mwifiex security fixes (CVE-2020-12653 bsc#1171195 CVE-2020-12654 bsc#1171202)
- commit 8da2e42
* Tue May  5 2020 tiwai@suse.de
- Update patch reference tag for a bfq security fix (CVE-2020-12657 bsc#1171205)
- commit a3037e6
* Tue May  5 2020 jslaby@suse.cz
- net: dsa: ksz: Select KSZ protocol tag
  (networking-stable-20_04_02).
- net, ip_tunnel: fix interface lookup with no key
  (networking-stable-20_04_02).
- sctp: fix possibly using a bad saddr with a given dst
  (networking-stable-20_04_02).
- sctp: fix refcount bug in sctp_wfree
  (networking-stable-20_04_02).
- ipv4: fix a RCU-list lock in fib_triestat_seq_show
  (networking-stable-20_04_02).
- commit 841d154
* Tue May  5 2020 tbogendoerfer@suse.de
- bnxt_en: Fix VLAN acceleration handling in bnxt_fix_features()
  (bsc#1171150).
- bnxt_en: Return error when allocating zero size context memory
  (bsc#1171150).
- bnxt_en: Improve AER slot reset (bsc#1171150).
- bnxt_en: Reduce BNXT_MSIX_VEC_MAX value to supported CQs per PF
  (bsc#1171150).
- bnxt_en: Fix VF anti-spoof filter setup (bsc#1171150).
- bnxt_en: Reset rings if ring reservation fails during open()
  (bsc#1171150).
- bnxt_en: Free context memory after disabling PCI in probe
  error path (bsc#1171150).
- bnxt_en: Return error if bnxt_alloc_ctx_mem() fails
  (bsc#1171150).
- bnxt_en: fix memory leaks in bnxt_dcbnl_ieee_getets()
  (bsc#1171150).
- bnxt_en: Fix Priority Bytes and Packets counters in ethtool -S
  (bsc#1171150).
- commit 0a89267
* Tue May  5 2020 mbenes@suse.cz
- xprtrdma: Fix trace point use-after-free race (git-fixes).
- commit 52af41b
* Tue May  5 2020 jslaby@suse.cz
- mlxsw: spectrum_mr: Fix list iteration in error path
  (networking-stable-20_03_28).
- net: dsa: tag_8021q: replace dsa_8021q_remove_header with
  __skb_vlan_pop (networking-stable-20_03_28).
- net: cbs: Fix software cbs to consider packet sending time
  (networking-stable-20_03_28).
- net: dsa: Fix duplicate frames flooded by learning
  (networking-stable-20_03_28).
- bnxt_en: Reset rings if ring reservation fails during open()
  (networking-stable-20_03_28).
- bnxt_en: Free context memory after disabling PCI in probe
  error path (networking-stable-20_03_28).
- bnxt_en: Return error if bnxt_alloc_ctx_mem() fails
  (networking-stable-20_03_28).
- bnxt_en: fix memory leaks in bnxt_dcbnl_ieee_getets()
  (networking-stable-20_03_28).
- bnxt_en: Fix Priority Bytes and Packets counters in ethtool -S
  (networking-stable-20_03_28).
- macsec: restrict to ethernet devices
  (networking-stable-20_03_28).
- ipv4: fix a RCU-list lock in inet_dump_fib()
  (networking-stable-20_03_28).
- tcp: repair: fix TCP_QUEUE_SEQ implementation
  (networking-stable-20_03_28).
- net: phy: dp83867: w/a for fld detect threshold bootstrapping
  issue (networking-stable-20_03_28).
- net: stmmac: dwmac-rk: fix error path in rk_gmac_probe
  (networking-stable-20_03_28).
- hsr: fix general protection fault in hsr_addr_is_self()
  (networking-stable-20_03_28).
- cxgb4: fix Txq restart check during backpressure
  (networking-stable-20_03_28).
- net/sched: act_ct: Fix leak of ct zone template on replace
  (networking-stable-20_03_28).
- net: ip_gre: Accept IFLA_INFO_DATA-less configuration
  (networking-stable-20_03_28).
- net: mvneta: Fix the case where the last poll did not process
  all rx (networking-stable-20_03_28).
- net_sched: cls_route: remove the right filter from hashtable
  (networking-stable-20_03_28).
- hsr: set .netnsok flag (networking-stable-20_03_28).
- hsr: add restart routine into hsr_get_node_list()
  (networking-stable-20_03_28).
- hsr: use rcu_read_lock() in hsr_get_node_{list/status}()
  (networking-stable-20_03_28).
- net/packet: tpacket_rcv: avoid a producer race condition
  (networking-stable-20_03_28).
- net: ip_gre: Separate ERSPAN newlink / changelink callbacks
  (networking-stable-20_03_28).
- net_sched: hold rtnl lock in tcindex_partial_destroy_work()
  (networking-stable-20_03_28).
- commit b6b5945
* Tue May  5 2020 mbenes@suse.cz
- svcrdma: Fix trace point use-after-free race (git-fixes).
- commit 44461e4
* Tue May  5 2020 tiwai@suse.de
- Revert "HID: wacom: generic: read the number of expected
  touches on a per collection basis" (git-fixes).
- HID: wacom: Read HID_DG_CONTACTMAX directly for non-generic
  devices (git-fixes).
- commit 16cdbdb
* Tue May  5 2020 neilb@suse.de
- NFSv4.1: fix handling of backchannel binding in
  BIND_CONN_TO_SESSION (bsc#1170630).
- commit a75f6f6
* Tue May  5 2020 neilb@suse.de
- SUNRPC: Remove unreachable error condition (git-fixes).
- nfs: Fix potential posix_acl refcnt leak in nfs3_set_acl
  (git-fixes).
- SUNRPC: Fix backchannel RPC soft lockups (git-fixes).
- nfsd: memory corruption in nfsd4_lock() (git-fixes).
- NFS: Fix use-after-free issues in nfs_pageio_add_request()
  (git-fixes).
- NFS: Fix races nfs_page_group_destroy() vs
  nfs_destroy_unlinked_subrequests() (git-fixes).
- NFS: Fix a page leak in nfs_destroy_unlinked_subrequests()
  (git-fixes).
- NFSv4/pnfs: Return valid stateids in
  nfs_layout_find_inode_by_stateid() (git-fixes).
- NFS: alloc_nfs_open_context() must use the file cred when
  available (git-fixes).
- svcrdma: Fix leak of transport addresses (git-fixes).
- SUNRPC: Fix a potential buffer overflow in 'svc_print_xprts()'
  (git-fixes).
- nfsd: fsnotify on rmdir under nfsd/clients/ (git-fixes).
- nfsd: Don't add locks to closed or closing open stateids
  (git-fixes).
- svcrdma: Fix double svc_rdma_send_ctxt_put() in an error path
  (git-fixes).
- nfsd: Fix NFSv4 READ on RDMA when using readv (git-fixes).
- NFSv4.1 make cachethis=no for writes (git-fixes).
- sunrpc: expiry_time should be seconds not timeval (git-fixes).
- nfsd: remove nfs4_reset_lease() declarations (git-fixes).
- nfsd: fix jiffies/time_t mixup in LRU list (git-fixes).
- nfsd: fix delay timer on 32-bit architectures (git-fixes).
- nfsd: Return the correct number of bytes written to the file
  (git-fixes).
- NFSv4.0: nfs4_do_fsinfo() should not do implicit lease renewals
  (git-fixes).
- NFSv4: try lease recovery on NFS4ERR_EXPIRED (git-fixes).
- NFS: Directory page cache pages need to be locked when read
  (git-fixes).
- NFS: Fix memory leaks and corruption in readdir (git-fixes).
- NFSv4: pnfs_roc() must use cred_fscmp() to compare creds
  (git-fixes).
- NFS: Fix fix of show_nfs_errors (git-fixes).
- NFS/pnfs: Fix pnfs_generic_prepare_to_resend_writes()
  (git-fixes).
- NFS: Revalidate the file mapping on all fatal writeback errors
  (git-fixes).
- NFS: Revalidate the file size on a fatal write error
  (git-fixes).
- nfsd: depend on CRYPTO_MD5 for legacy client tracking
  (git-fixes).
- NFSD fixing possible null pointer derefering in copy offload
  (git-fixes).
- nfsd4: fix up replay_matches_cache() (git-fixes).
- NFSv4.x: Drop the slot if nfs4_delegreturn_prepare waits for
  layoutreturn (git-fixes).
- NFSv4.x: Handle bad/dead sessions correctly in
  nfs41_sequence_process() (git-fixes).
- NFSv2: Fix a typo in encode_sattr() (git-fixes).
- commit d9c3108
* Mon May  4 2020 ailiop@suse.com
- xfs: acquire superblock freeze protection on eofblocks scans
  (git-fixes).
- commit ae8b96a
* Mon May  4 2020 ailiop@suse.com
- xfs: clear PF_MEMALLOC before exiting xfsaild thread
  (git-fixes).
- commit a472c36
* Mon May  4 2020 tbogendoerfer@suse.de
- RDMA/core: Fix overwriting of uobj in case of error
  (jsc#SLE-8449).
- RDMA/uverbs: Fix a race with disassociate and exit_mmap()
  (jsc#SLE-8449).
- commit fcb09af
* Mon May  4 2020 msuchanek@suse.de
- ibmvnic: Skip fatal error reset after passive init (bsc#1171078
  ltc#184239).
- commit b0e0859
* Mon May  4 2020 mbrugger@suse.com
- arm64: dts: allwinner: a64: Fix display clock register range
  (bsc#1171081).
- arm64: bcm2835: Drop select of nonexistent HAVE_ARM_ARCH_TIMER
  (bsc#1171079).
- ARM: bcm2835-rpi-zero-w: Add missing pinctrl name (bsc#1171075).
- arm64: alternative: fix build with clang integrated assembler
  (bsc#1171076).
- arm64: compat: Fix syscall number of compat_clock_getres
  (bsc#1171080).
- arm64: smp: fix crash_smp_send_stop() behaviour (bsc#1171082).
- arm64: smp: fix smp_send_stop() behaviour (bsc#1171083).
- compat: ARM64: always include asm-generic/compat.h
  (bsc#1171084).
- commit 559d336
* Mon May  4 2020 nsaenzjulienne@suse.de
- Update patches.suse/firmware-raspberrypi-introduce-vl805-init-routine.patch.
- commit 984c0bd
* Mon May  4 2020 jslaby@suse.cz
- blacklist.conf: add aer_inject entry
  It requires the new irq injection infrastructure.
- commit a8523ff
* Mon May  4 2020 jslaby@suse.cz
- Revert "serial: uartps: Fix uartps_major handling" (git-fixes).
- net: stmmac: dwmac-meson8b: Add missing boundary to RGMII TX
  clock array (git-fixes).
- commit 7b95e1e
* Mon May  4 2020 jslaby@suse.cz
- random: always use batched entropy for get_random_u{32,64}
  (git-fixes).
- commit 6e4b6dc
* Sun May  3 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/ALSA-pcm-oss-Place-the-plugin-buffer-overflow-checks.patch
  patches.suse/scsi-qla2xxx-check-UNLOADING-before-posting-async-wo.patch
  patches.suse/scsi-qla2xxx-set-UNLOADING-before-waiting-for-sessio.patch
- commit ed4ef69
* Sun May  3 2020 mkubecek@suse.cz
- update metadata of nvme patches
  The nvme-5.8 branch in nvme repository got rebased again, update Git-commit
  tags:
  patches.suse/lpfc-Commonize-lpfc_async_xchg_ctx-state-and-flag-de.patch
  patches.suse/lpfc-Refactor-NVME-LS-receive-handling.patch
  patches.suse/lpfc-Refactor-Send-LS-Abort-support.patch
  patches.suse/lpfc-Refactor-Send-LS-Request-support.patch
  patches.suse/lpfc-Refactor-Send-LS-Response-support.patch
  patches.suse/lpfc-Refactor-lpfc-nvme-headers.patch
  patches.suse/lpfc-Refactor-nvmet_rcv_ctx-to-create-lpfc_async_xch.patch
  patches.suse/lpfc-nvme-Add-Receive-LS-Request-and-Send-LS-Respons.patch
  patches.suse/lpfc-nvmet-Add-Send-LS-Request-and-Abort-LS-Request-.patch
  patches.suse/lpfc-nvmet-Add-support-for-NVME-LS-request-hosthandl.patch
  patches.suse/nvme-fc-Add-Disconnect-Association-Rcv-support.patch
  patches.suse/nvme-fc-Ensure-private-pointers-are-NULL-if-no-data.patch
  patches.suse/nvme-fc-Sync-header-to-FC-NVME-2-rev-1.08.patch
  patches.suse/nvme-fc-Update-header-and-host-for-common-definition.patch
  patches.suse/nvme-fc-and-nvmet-fc-revise-LLDD-api-for-LS-receptio.patch
  patches.suse/nvme-fc-convert-assoc_active-flag-to-bit-op.patch
  patches.suse/nvme-fc-nvmet-fc-refactor-for-common-LS-definitions.patch
  patches.suse/nvme-fcloop-add-target-to-host-LS-request-support.patch
  patches.suse/nvme-fcloop-refactor-to-enable-target-to-host-LS.patch
  patches.suse/nvmet-fc-Add-Disconnect-Association-Xmt-support.patch
  patches.suse/nvmet-fc-Better-size-LS-buffers.patch
  patches.suse/nvmet-fc-Update-target-for-common-definitions-for-LS.patch
  patches.suse/nvmet-fc-add-LS-failure-messages.patch
  patches.suse/nvmet-fc-perform-small-cleanups-on-unneeded-checks.patch
  patches.suse/nvmet-fc-rename-ls_list-to-ls_rcv_list.patch
  patches.suse/nvmet-fc-track-hostport-handle-for-associations.patch
- commit a859813
* Sat May  2 2020 tiwai@suse.de
- PCI: Add ACS quirk for iProc PAXB (git-fixes).
- Refresh
  patches.suse/PCI-Add-ACS-quirk-for-Amazon-Annapurna-Labs-root-por.patch.
- commit aef108e
* Sat May  2 2020 tiwai@suse.de
- i2c: aspeed: Avoid i2c interrupt status clear race condition
  (git-fixes).
- i2c: amd-mp2-pci: Fix Oops in amd_mp2_pci_init() error handling
  (git-fixes).
- i2c: iproc: generate stop event for slave writes (git-fixes).
- drm/qxl: qxl_release use after free (git-fixes).
- drm/qxl: qxl_release leak in qxl_hw_surface_alloc() (git-fixes).
- drm/qxl: qxl_release leak in qxl_draw_dirty_fb() (git-fixes).
- mmc: sdhci-pci: Fix eMMC driver strength for BYT-based
  controllers (git-fixes).
- mmc: sdhci-xenon: fix annoying 1.8V regulator warning
  (git-fixes).
- mmc: cqhci: Avoid false "cqhci: CQE stuck on" by not open-coding
  timeout loop (git-fixes).
- mmc: meson-mx-sdio: remove the broken ->card_busy() op
  (git-fixes).
- mmc: meson-mx-sdio: Set MMC_CAP_WAIT_WHILE_BUSY (git-fixes).
- PCI: Move Apex Edge TPU class quirk to fix BAR assignment
  (git-fixes).
- hwmon: (jc42) Fix name to have no illegal characters
  (git-fixes).
- mac80211: fix channel switch trigger from unknown mesh peer
  (git-fixes).
- PCI: Add ACS quirk for Zhaoxin Root/Downstream Ports
  (git-fixes).
- PCI: Add ACS quirk for Zhaoxin multi-function devices
  (git-fixes).
- PCI: Add Zhaoxin Vendor ID (git-fixes).
- PCI: Avoid ASMedia XHCI USB PME# from D0 defect (git-fixes).
- PCI: Unify ACS quirk desired vs provided checking (git-fixes).
- PCI: Make ACS quirk implementations more uniform (git-fixes).
- commit 21a860f
* Sat May  2 2020 tiwai@suse.de
- ALSA: usb-audio: Correct a typo of NuPrime DAC-10 USB ID
  (git-fixes).
- ALSA: opti9xx: shut up gcc-10 range warning (git-fixes).
- ALSA: hda/hdmi: fix without unlocked before return (git-fixes).
- ALSA: hda/hdmi: fix race in monitor detection during probe
  (git-fixes).
- ALSA: hda/realtek - Two front mics on a Lenovo ThinkCenter
  (git-fixes).
- ALSA: line6: Fix POD HD500 audio playback (git-fixes).
- ALSA: hda: Match both PCI ID and SSID for driver blacklist
  (git-fixes).
- commit f537abd
* Sat May  2 2020 tiwai@suse.de
- Move the upstreamed sound and scsi patches to the mainline section
- commit f5d1d6a
* Sat May  2 2020 colyli@suse.de
- libnvdimm/region: Fix build error (bsc#1162400).
- libnvdimm/region: Introduce an 'align' attribute (bsc#1162400).
- commit cdf6722
* Sat May  2 2020 colyli@suse.de
- libnvdimm/region: Introduce NDD_LABELING (bsc#1162400).
- libnvdimm/namespace: Enforce memremap_compat_align()
  (bsc#1162400).
- libnvdimm/pfn: Prevent raw mode fallback if pfn-infoblock valid
  (bsc#1171743).
- commit f5c3d9e
* Sat May  2 2020 colyli@suse.de
- mm/memremap_pages: Introduce memremap_compat_align() (bsc#1162400).
- Update configs for the above change.
- Refresh patches.suse/powerpc-bpf-Enable-bpf_probe_read-str-on-powerpc-aga.patch.
- mm/memremap_pages: Kill unused __devm_memremap_pages()
  (bsc#1162400).
- libnvdimm/btt: fix variable 'rc' set but not used
  (bsc#1162400).
- libnvdimm/namsepace: Don't set claim_class on error
  (bsc#1162400).
- commit 312e489
* Sat May  2 2020 colyli@suse.de
- lib: Uplevel the pmem "region" ida to a global allocator
  (bc#1162400).
- Update configs for the above change.
- libnvdimm: Use PAGE_SIZE instead of SZ_4K for align check
  (bsc#1171759).
- libnvdimm/label: Remove the dpa align check (bsc#1171759).
- libnvdimm/pfn_dev: Add page size and struct page size to pfn
  superblock (bsc#1171759).
- commit c578923
* Sat May  2 2020 colyli@suse.de
- libnvdimm/pmem: Advance namespace seed for specific probe errors
  (bsc#1171743).
- libnvdimm/pfn_dev: Add a build check to make sure we notice when
  struct page size change (bsc#1171743).
- Refresh for the above changes,
  patches.suse/libnvdimm-namespace-Differentiate-between-probe-mapp.patch.
- commit 9e70235
* Fri May  1 2020 colyli@suse.de
- libnvdimm/region: Rewrite _probe_success() to _advance_seeds()
  (bsc#1171743).
- commit dd1569b
* Fri May  1 2020 colyli@suse.de
- libnvdimm/security: Introduce a 'frozen' attribute (bsc#1171742).
- Refresh for the above change,
  patches.suse/libnvdimm-prevent-nvdimm-from-requesting-key-when-security.patch.
- commit 307a9c7
* Fri May  1 2020 colyli@suse.de
- libnvdimm/of_pmem: Provide a unique name for bus provider
  (bsc#1171739).
- commit 3aff0cd
* Fri May  1 2020 rgoldwyn@suse.com
- fanotify: fix merging marks masks with FAN_ONDIR  (bsc#1170799).
- commit 5edf4ab
* Fri May  1 2020 tiwai@suse.de
- Revert an ASoC meson backport that is known to to break
  Delete patches.suse/ASoC-meson-axg-card-fix-codec-to-codec-link-setup.patch
  Add the commit to blacklist.conf, too
- commit d6f33c1
* Thu Apr 30 2020 msuchanek@suse.de
- libnvdimm: Out of bounds read in __nd_ioctl() (bsc#1065729).
- mm/memremap: drop unused SECTION_SIZE and SECTION_MASK
  (bsc#1162400 bsc#1170895 ltc#184375 ltc#185686).
- commit ceaa507
* Thu Apr 30 2020 tiwai@suse.de
- Update patch reference for a USB core fix (CVE-2020-12464 bsc#1170901)
- commit c3ba43e
* Thu Apr 30 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline, drop Git-repo and Git-commit:
  patches.suse/net-phy-realtek-fix-handling-of-RTL8105e-integrated-.patch
- commit d71cae8
* Thu Apr 30 2020 oneukum@suse.com
- Update
  patches.suse/mt76-fix-array-overflow-on-receiving-too-many-fragme.patch
  (bsc#1170828 CVE-2020-12465).
  Added bsc and CVE number
- commit 62c98d8
* Thu Apr 30 2020 tiwai@suse.de
- drm/i915: properly sanity check batch_start_offset (git-fixes).
- commit 6a1493c
* Thu Apr 30 2020 tiwai@suse.de
- tty: hvc: fix buffer overflow during hvc_alloc() (git-fixes).
- watchdog: reset last_hw_keepalive time at start (git-fixes).
- Revert "software node: Simplify software_node_release()
  function" (git-fixes).
- intel_th: msu: Fix window switching without windows (git-fixes).
- commit f284d1e
* Thu Apr 30 2020 tiwai@suse.de
- crypto: caam - fix the address of the last entry of S/G
  (git-fixes).
- USB: sisusbvga: Change port variable from signed to unsigned
  (git-fixes).
- usb-storage: Add unusual_devs entry for JMicron JMS566
  (git-fixes).
- xhci: prevent bus suspend if a roothub port detected a
  over-current condition (git-fixes).
- USB: Add USB_QUIRK_DELAY_CTRL_MSG and USB_QUIRK_DELAY_INIT
  for Corsair K70 RGB RAPIDFIRE (git-fixes).
- usb: typec: tcpm: Ignore CC and vbus changes in PORT_RESET
  change (git-fixes).
- cdc-acm: introduce a cool down (git-fixes).
- cdc-acm: close race betrween suspend() and acm_softint
  (git-fixes).
- USB: core: Fix free-while-in-use bug in the USB S-Glibrary
  (git-fixes).
- serial: sh-sci: Make sure status register SCxSR is read in
  correct sequence (git-fixes).
- staging: comedi: dt2815: fix writing hi byte of analog output
  (git-fixes).
- iwlwifi: mvm: fix inactive TID removal return value usage
  (git-fixes).
- iwlwifi: mvm: Do not declare support for ACK Enabled Aggregation
  (git-fixes).
- iwlwifi: mvm: beacon statistics shouldn't go backwards
  (git-fixes).
- drm/amd/display: Calculate scaling ratios on every medium/full
  update (git-fixes).
- drm/amd/display: Update stream adjust in
  dc_stream_adjust_vmin_vmax (git-fixes).
- drm/amd/display: Not doing optimize bandwidth if flip pending
  (git-fixes).
- xhci: Finetune host initiated USB3 rootport link suspend and
  resume (git-fixes).
- xhci: Wait until link state trainsits to U0 after setting
  USB_SS_PORT_LS_U0 (git-fixes).
- xhci: Ensure link state is U3 after setting USB_SS_PORT_LS_U3
  (git-fixes).
- PCI/PM: Add pcie_wait_for_link_delay() (git-fixes).
- PCI/ASPM: Allow re-enabling Clock PM (git-fixes).
- commit 69b68ab
* Thu Apr 30 2020 glin@suse.com
- bpf: Fix handling of XADD on BTF memory (bsc#1155518).
- bpf: Forbid XADD on spilled pointers for unprivileged users
  (bsc#1155518).
- commit 60505c2
* Wed Apr 29 2020 tiwai@suse.de
- net: phy: realtek: fix handling of RTL8105e-integrated PHY
  (git-fixes).
- commit 630c337
* Wed Apr 29 2020 tiwai@suse.de
- USB: hub: Fix handling of connect changes during sleep
  (git-fixes).
- usb: typec: altmode: Fix typec_altmode_get_partner sometimes
  returning an invalid pointer (git-fixes).
- usb: gadget: udc: atmel: Fix vbus disconnect handling
  (git-fixes).
- usb: gadget: udc: bdc: Remove unnecessary NULL checks in
  bdc_req_complete (git-fixes).
- geneve: use the correct nlattr array in NL_SET_ERR_MSG_ATTR
  (git-fixes).
- drivers: soc: xilinx: fix firmware driver Kconfig dependency
  (git-fixes).
- soc: imx: gpc: fix power up sequencing (git-fixes).
- hibernate: Allow uswsusp to write to swap (git-fixes).
- phy: uniphier-usb3ss: Add Pro5 support (git-fixes).
- padata: update documentation file path in MAINTAINERS
  (git-fixes).
- commit b521dd8
* Wed Apr 29 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/0001-btrfs-don-t-pass-system_chunk-into-can_overcommit.patch
  patches.suse/0001-btrfs-fix-force-usage-in-inc_block_group_ro.patch
  patches.suse/0002-btrfs-kill-min_allocable_bytes-in-inc_block_group_ro.patch
  patches.suse/0002-btrfs-take-overcommit-into-account-in-inc_block_grou.patch
  patches.suse/btrfs-check-rw_devices-not-num_devices-for-balance.patch
  patches.suse/btrfs-scrub-Don-t-check-free-space-before-marking-a-.patch
- commit 0c4ef8d
* Wed Apr 29 2020 msuchanek@suse.de
- scsi: ibmvscsi: Fix WARN_ON during event pool release
  (bsc#1170791 ltc#185128).
- commit 235b7cd
* Wed Apr 29 2020 wqu@suse.com
- btrfs: take overcommit into account in inc_block_group_ro
  (bsc#1156898).
- commit b4b780e
* Wed Apr 29 2020 wqu@suse.com
- btrfs: fix force usage in inc_block_group_ro (bsc#1156898).
- commit 9de9dbb
* Wed Apr 29 2020 wqu@suse.com
- btrfs: scrub: Don't check free space before marking a block
  group RO (bsc#1156898).
- Refresh
  patches.suse/0001-btrfs-scrub-Require-mandatory-block-group-RO-for-dev.patch.
- Refresh
  patches.suse/Btrfs-fix-block-group-remaining-RO-forever-after-err.patch.
- commit 0af353d
* Wed Apr 29 2020 wqu@suse.com
- btrfs: kill min_allocable_bytes in inc_block_group_ro
  (bsc#1156898).
- commit d02303e
* Wed Apr 29 2020 wqu@suse.com
- btrfs: don't pass system_chunk into can_overcommit
  (bsc#1156898).
- commit c373e8e
* Wed Apr 29 2020 wqu@suse.com
- btrfs: check rw_devices, not num_devices for balance
  (bsc#1156898).
- commit 1228d44
* Wed Apr 29 2020 tbogendoerfer@suse.de
- RDMA/bnxt_re: make bnxt_re_ib_init static (bsc#1170774).
- RDMA/bnxt_re: Wait for all the CQ events before freeing CQ
  data structures (bsc#1170774).
- RDMA/bnxt_re: Remove unnecessary sched count (bsc#1170774).
- RDMA/bnxt_re: Fix lifetimes in bnxt_re_task (bsc#1170774).
- RDMA/bnxt_re: Use ib_device_try_get() (bsc#1170774).
- RDMA/bnxt_re: Remove a redundant 'memset' (bsc#1170774).
- RDMA/bnxt_re: Remove set but not used variables 'pg' and 'idx'
  (bsc#1170774).
- RDMA/bnxt_re: Remove set but not used variable 'dev_attr'
  (bsc#1170774).
- RDMA/bnxt_re: Remove set but not used variable 'pg_size'
  (bsc#1170774).
- RDMA/bnxt_re: Use driver_unregister and unregistration API
  (bsc#1170774).
- RDMA/bnxt_re: Refactor device add/remove functionalities
  (bsc#1170774).
- RDMA/bnxt_re: Using vmalloc requires including vmalloc.h
  (bsc#1170774).
- RDMA/bnxt_re: use ibdev based message printing functions
  (bsc#1170774).
- RDMA/bnxt_re: Refactor doorbell management functions
  (bsc#1170774).
- RDMA/bnxt_re: Refactor notification queue management code
  (bsc#1170774).
- RDMA/bnxt_re: Refactor command queue management code
  (bsc#1170774).
- RDMA/bnxt_re: Refactor net ring allocation function
  (bsc#1170774).
- RDMA/bnxt_re: Refactor hardware queue memory allocation
  (bsc#1170774).
- RDMA/bnxt_re: Replace chip context structure with pointer
  (bsc#1170774).
- RDMA/bnxt_re: Refactor queue pair creation code (bsc#1170774).
- RDMA/bnxt_re: Use rdma_read_gid_hw_context to retrieve HW gid
  index (bsc#1170774).
- RDMA/core: Add helper function to retrieve driver gid context
  from gid attr (bsc#1170774).
- commit 63c9b07
* Tue Apr 28 2020 ptesarik@suse.cz
- s390/mm: fix page table upgrade vs 2ndary address mode accesses
  (bsc#1170030 CVE-2020-11884).
- commit 0b0d8cd
* Tue Apr 28 2020 bp@suse.de
- EDAC/i10nm: Update driver to support different bus number
  config register offsets (bsc#1159522).
- commit 796bb54
* Tue Apr 28 2020 mhocko@suse.com
- Update patches.suse/x86-mm-split-vmalloc_sync_all.patch
  (bsc#1165741, bsc#1166969).
- commit dc341e6
* Tue Apr 28 2020 bp@suse.de
- EDAC, {skx,i10nm}: Make some configurations CPU model specific
  (bsc#1159522).
- commit 7936538
* Tue Apr 28 2020 msuchanek@suse.de
- Update patches.suse/ibmvfc-don-t-send-implicit-logouts-prior-to-NPIV-log.patch
  to upstream version and rename to patches.suse/scsi-ibmvfc-Don-t-send-implicit-logouts-prior-to-NPI.patch
- commit d04a4dc
* Tue Apr 28 2020 dwagner@suse.de
- wireguard: Kconfig: select parent dependency for crypto
  (bsc#1169021 jsc#SLE-12250).
- commit 41bcd62
* Mon Apr 27 2020 lyan@suse.com
- KVM: s390: Return last valid slot if approx index is
  out-of-bounds (bsc#1133021).
- commit a035552
* Mon Apr 27 2020 dbueso@suse.de
- proc, time/namespace: Show clock symbolic names in
  /proc/pid/timens_offsets (bsc#1164648,jsc#SLE-11493).
- futex: Remove {get,drop}_futex_key_refs() (bsc#1149032).
- futex: Remove pointless mmgrap() + mmdrop() (bsc#1149032).
- locking/rtmutex: rcu: Add WRITE_ONCE() to rt_mutex ->owner
  (bsc#1149032).
- futex: Unbreak futex hashing (bsc#1149032).
- futex: Fix inode life-time issue (bsc#1149032).
- commit 7790db5
* Mon Apr 27 2020 ohering@suse.de
- x86: hyperv: report value of misc_features (git fixes).
- commit e231452
* Mon Apr 27 2020 ohering@suse.de
- x86/Hyper-V: Report crash data in die() when panic_on_oops is
  set (git fixes).
  Refresh patches.suse/suse-hv-kabi.patch
- commit 5afa1b8
* Mon Apr 27 2020 ohering@suse.de
- x86/Hyper-V: Report crash register data when
  sysctl_record_panic_msg is not set (git fixes).
- commit f165c68
* Mon Apr 27 2020 ohering@suse.de
- x86/Hyper-V: Report crash register data or kmsg before running
  crash kernel (git fixes).
- commit b120cb7
* Mon Apr 27 2020 ohering@suse.de
- x86/Hyper-V: Trigger crash enlightenment only once during
  system crash (git fixes).
- commit 1644d6f
* Mon Apr 27 2020 ohering@suse.de
- x86/Hyper-V: Free hv_panic_page when fail to register kmsg dump
  (git fixes).
- commit 918a3d5
* Mon Apr 27 2020 ohering@suse.de
- x86/Hyper-V: Unload vmbus channel in hv panic callback
  (git fixes).
  Refresh patches.suse/suse-hv-kabi.patch
- commit f66b321
* Mon Apr 27 2020 tiwai@suse.de
- drm/exynos: Fix cleanup of IOMMU related objects (git-fixes).
- commit 7669fb1
* Mon Apr 27 2020 tiwai@suse.de
- staging: comedi: Fix comedi_device refcnt leak in comedi_open
  (git-fixes).
- macsec: avoid to set wrong mtu (git-fixes).
- iwlwifi: pcie: actually release queue memory in TVQM
  (git-fixes).
- macvlan: fix null dereference in macvlan_device_event()
  (git-fixes).
- PM: sleep: core: Switch back to async_schedule_dev()
  (git-fixes).
- drm/meson: Delete an error message in meson_dw_hdmi_bind()
  (git-fixes).
- audit: check the length of userspace generated audit records
  (git-fixes).
- tpm/tpm_tis: Free IRQ if probing fails (git-fixes).
- tpm: fix wrong return value in tpm_pcr_extend (git-fixes).
- drm/amdkfd: kfree the wrong pointer (git-fixes).
- drm/nouveau/gr/gp107,gp108: implement workaround for HW hanging
  during init (git-fixes).
- drm/nouveau: workaround runpm fail by disabling PCI power
  management on certain intel bridges (git-fixes).
- drm/nouveau/svm: check for SVM initialized before migrating
  (git-fixes).
- drm/nouveau/svm: fix vma range check for migration (git-fixes).
- fbcon: fix null-ptr-deref in fbcon_switch (git-fixes).
- power: supply: bq27xxx_battery: Silence deferred-probe error
  (git-fixes).
- power: supply: axp288_charger: Add special handling for HP
  Pavilion x2 10 (git-fixes).
- power: supply: axp288_fuel_gauge: Broaden vendor check for
  Intel Compute Sticks (git-fixes).
- clk: tegra: Fix Tegra PMC clock out parents (git-fixes).
- clk: at91: usb: continue if clk_hw_round_rate() return zero
  (git-fixes).
- rtc: 88pm860x: fix possible race condition (git-fixes).
- NTB: ntb_transport: Use scnprintf() for avoiding potential
  buffer overflow (git-fixes).
- ntb_hw_switchtec: Fix ntb_mw_clear_trans error if size == 0
  (git-fixes).
- ntb_tool: Fix printk format (git-fixes).
- NTB: ntb_perf: Fix address err in perf_copy_chunk (git-fixes).
- NTB: Fix an error in get link status (git-fixes).
- cpufreq: imx6q: fix error handling (git-fixes).
- cpufreq: imx6q: Fixes unwanted cpu overclocking on i.MX6ULL
  (git-fixes).
- iio: industrialio-core: Fix debugfs read (git-fixes).
- libfs: fix infoleak in simple_attr_read() (git-fixes).
- drm/amdgpu: fix memory leak during TDR test(v2) (git-fixes).
- Fix built-in early-load Intel microcode alignment (git-fixes).
- cpufreq: s3c64xx: Remove pointless NULL check in
  s3c64xx_cpufreq_driver_init (git-fixes).
- commit d13e57f
* Mon Apr 27 2020 ohering@suse.de
- Drivers: hv: vmbus: Fix crash handler reset of Hyper-V synic
  (git fixes).
  Refresh patches.suse/suse-hv-kabi.patch
- commit 73a1fdb
* Mon Apr 27 2020 ohering@suse.de
- Drivers: hv: vmbus: Remove dependencies on guest page size
  (git fixes).
- commit 0eb9623
* Mon Apr 27 2020 oneukum@suse.com
- UAS: fix deadlock in error handling and PM flushing work
  (git-fixes).
- commit f10ebae
* Mon Apr 27 2020 oneukum@suse.com
- UAS: no use logging any details in case of ENODEV (git-fixes).
- commit 12e8b6e
* Mon Apr 27 2020 oneukum@suse.com
- USB: hub: Revert commit bd0e6c9614b9 ("usb: hub: try old
  enumeration scheme first for high speed devices") (git-fixes).
- commit 63272b5
* Mon Apr 27 2020 oneukum@suse.com
- xhci: Don't clear hub TT buffer on ep0 protocol stall
  (git-fixes).
- commit d0e1439
* Mon Apr 27 2020 oneukum@suse.com
- usb: dwc3: gadget: Fix request completion check (git-fixes).
- commit eb78203
* Mon Apr 27 2020 tzimmermann@suse.de
- drm/sun4i: sun6i_mipi_dsi: Add VCC-DSI regulator support (bsc#1152489)
  * manual patch refresh
- commit 66ebcc7
* Mon Apr 27 2020 oneukum@suse.com
- usb: dwc3: gadget: Do link recovery for SS and SSP (git-fixes).
- commit 87d561b
* Mon Apr 27 2020 oneukum@suse.com
- usb: dwc3: Fix GTXFIFOSIZ.TXFDEP macro name (git-fixes).
- commit 7eb2c31
* Mon Apr 27 2020 oneukum@suse.com
- usb: f_fs: Clear OS Extended descriptor counts to zero in
  ffs_data_reset() (git-fixes).
- commit 1fb0c5f
* Mon Apr 27 2020 oneukum@suse.com
- USB: early: Handle AMD's spec-compliant identifiers, too
  (git-fixes).
- commit 26634ce
* Mon Apr 27 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/cpuidle-menu-Allow-tick-to-be-stopped-if-PM-QoS-is-used.patch
  patches.suse/mm-vmscan.c-clean-code-by-removing-unnecessary-assignment.patch
  patches.suse/rcu-Allow-only-one-expedited-GP-to-run-concurrently-with-wakeups.patch
  patches.suse/rcu-Fix-missed-wakeup-of-exp_wq-waiters.patch
  patches.suse/sched-fair-Align-rq-avg_idle-and-rq-avg_scan_cost.patch
- commit f15a73a
* Mon Apr 27 2020 mgorman@suse.de
- sched/nohz: Avoid disabling the tick for very short durations
  (bnc#754690, bsc#1158748).
- Delete patches.suse/sched-throttle-nohz.patch.
- commit 0628907
* Mon Apr 27 2020 mgorman@suse.de
- sched/cpuacct: Use __this_cpu_add() instead of this_cpu_ptr()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 04cc379
* Mon Apr 27 2020 mgorman@suse.de
- sched/fair: Use __this_cpu_read() in wake_wide() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Align rq->avg_idle and rq->avg_scan_cost
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- mm/vmscan.c: clean code by removing unnecessary assignment
  (git fixes (mm/vmscan)).
- rcu: Allow only one expedited GP to run concurrently with
  wakeups (git fixes (rcu)).
- rcu: Fix missed wakeup of exp_wq waiters (git fixes (rcu)).
- cpuidle: menu: Allow tick to be stopped if PM QoS is used
  (bnc#1158748 (network regression)).
- commit cb72208
* Mon Apr 27 2020 tiwai@suse.de
- tty: rocket, avoid OOB access (git-fixes).
- tty: serial: bcm63xx: fix missing clk_put() in bcm63xx_uart
  (git-fixes).
- tty: serial: owl: add "much needed" clk_prepare_enable()
  (git-fixes).
- staging: vt6656: Fix calling conditions of vnt_set_bss_mode
  (git-fixes).
- staging: vt6656: Fix pairwise key entry save (git-fixes).
- staging: vt6656: Fix drivers TBTT timing counter (git-fixes).
- staging: vt6656: Don't set RCR_MULTICAST or RCR_BROADCAST by
  default (git-fixes).
- iio: core: remove extra semi-colon from
  devm_iio_device_register() macro (git-fixes).
- iio: adc: ti-ads8344: properly byte swap value (git-fixes).
- iio: st_sensors: rely on odr mask to know if odr can be set
  (git-fixes).
- iio: xilinx-xadc: Make sure not exceed maximum samplerate
  (git-fixes).
- iio: xilinx-xadc: Fix sequencer configuration for aux channels
  in simultaneous mode (git-fixes).
- iio: xilinx-xadc: Fix clearing interrupt when enabling trigger
  (git-fixes).
- iio: xilinx-xadc: Fix ADC-B powerdown (git-fixes).
- iio: adc: stm32-adc: fix sleep in atomic context (git-fixes).
- iio:ad7797: Use correct attribute_group (git-fixes).
- staging: gasket: Fix incongruency in handling of sysfs entries
  creation (git-fixes).
- commit 4fa06ba
* Mon Apr 27 2020 lyan@suse.com
- KVM: s390: vsie: Fix delivery of addressing exceptions
  (bsc#1133021).
- commit 2daae50
* Sun Apr 26 2020 tiwai@suse.de
- ALSA: pcm: oss: Place the plugin buffer overflow checks
  correctly (for 5.7) (bsc#1170522).
- commit b4d1953
* Sat Apr 25 2020 tiwai@suse.de
- ALSA: hda: Always use jackpoll helper for jack update after
  resume (git-fixes).
- ALSA: hda/realtek - Add new codec supported for ALC245
  (git-fixes).
- ALSA: usb-audio: Fix usb audio refcnt leak when getting spdif
  (git-fixes).
- ALSA: usb-audio: Add connector notifier delegation (git-fixes).
- ASoC: wm8960: Fix wrong clock after suspend & resume
  (git-fixes).
- ASoC: rsnd: Fix "status check failed" spam for multi-SSI
  (git-fixes).
- ASoC: rsnd: Don't treat master SSI in multi SSI setup as parent
  (git-fixes).
- ASoC: meson: axg-card: fix codec-to-codec link setup
  (git-fixes).
- ASoC: dapm: fixup dapm kcontrol widget (git-fixes).
- ASoC: SOF: Intel: add min/max channels for SSP on
  Baytrail/Broadwell (git-fixes).
- ASoC: rsnd: Fix HDMI channel mapping for multi-SSI mode
  (git-fixes).
- ASoC: rsnd: Fix parent SSI start/stop in multi-SSI mode
  (git-fixes).
- ASoC: codecs: hdac_hdmi: Fix incorrect use of
  list_for_each_entry (git-fixes).
- ASoC: topology: Fix endianness issue (git-fixes).
- ASoC: q6dsp6: q6afe-dai: add missing channels to MI2S DAIs
  (git-fixes).
- ASoC: sgtl5000: Fix VAG power-on handling (git-fixes).
- ASoC: madera: Remove a couple of stray blank lines (git-fixes).
- ASoC: qcom: common: Silence duplicate parse error messages
  (git-fixes).
- soc/stm/stm32_sub_sai: Add missing '\n' in log messages
  (git-fixes).
- ASoC: tas571x: disable regulators on failed probe (git-fixes).
- ASoC: topology: Check return value of soc_tplg_dai_config
  (git-fixes).
- ASoC: topology: Check return value of pcm_new_ver (git-fixes).
- ASoC: topology: Check soc_tplg_add_route return value
  (git-fixes).
- ASoC: topology: Check return value of soc_tplg_*_create
  (git-fixes).
- ASoC: topology: Check return value of soc_tplg_create_tlv
  (git-fixes).
- ALSA: usb-audio: Apply async workaround for Scarlett 2i4 2nd
  gen (git-fixes).
- ALSA: usx2y: Fix potential NULL dereference (git-fixes).
- ALSA: usb-audio: Add quirk for Focusrite Scarlett 2i2
  (git-fixes).
- ALSA: usb-audio: Add static mapping table for ALC1220-VB-based
  mobos (git-fixes).
- ALSA: hda: Remove ASUS ROG Zenith from the blacklist
  (git-fixes).
- ALSA: hda/realtek - Fix unexpected init_amp override
  (git-fixes).
- ALSA: usb-audio: Filter out unsupported sample rates on
  Focusrite devices (git-fixes).
- ALSA: hda/hdmi: Add module option to disable audio component
  binding (git-fixes).
- commit 9aa515f
* Fri Apr 24 2020 msuchanek@suse.de
- Update
  patches.suse/powerpc-pseries-ddw-Extend-upper-limit-for-huge-DMA-.patch
  (FATE#327775 bsc#1142685 bsc#1167867 ltc#179509 ltc#184616).
- commit 54d9eaa
* Thu Apr 23 2020 dwagner@suse.de
- scsi: qla2xxx: check UNLOADING before posting async work
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- scsi: qla2xxx: set UNLOADING before waiting for session deletion
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- scsi: qla2xxx: Fix regression warnings (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- scsi: qla2xxx: Remove non functional code (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- scsi: qla2xxx: add ring buffer for tracing debug logs
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bsc#1157169).
- commit 0ed2831
* Thu Apr 23 2020 dwagner@suse.de
- Fix meta data for FC-NVME-2 patches
  The branch of the maintainer got rebased. Update the commit id accordingly.
- commit e17d7e2
* Thu Apr 23 2020 tzimmermann@suse.de
- Revert "drm/panel: simple: Add support for Sharp LQ150X1LG11 panels" (bsc#1152472)
- commit 5a48ac0
* Thu Apr 23 2020 tzimmermann@suse.de
- drm/sun4i: dsi: Remove incorrect use of runtime PM (bsc#1152472)
  * manual patch refresh
- commit 1f5ded0
* Thu Apr 23 2020 tzimmermann@suse.de
- fbcon: fix null-ptr-deref in fbcon_switch (bsc#1152472)
- commit a5735e6
* Thu Apr 23 2020 shung-hsi.yu@suse.com
- net: fec_ptp: Use platform_get_irq_xxx_optional() to avoid
  error message (bsc#1161695).
- net: fec_main: Use platform_get_irq_byname_optional() to avoid
  error message (bsc#1161695).
- commit 7080d97
* Wed Apr 22 2020 tiwai@suse.de
- irqchip/mbigen: Free msi_desc on device teardown (git-fixes).
- i2c: altera: use proper variable to hold errno (git-fixes).
- i2c: designware: platdrv: Remove DPM_FLAG_SMART_SUSPEND flag
  on BYT and CHT (git-fixes).
- drm/amd/powerplay: force the trim of the mclk dpm_levels if
  OD is enabled (git-fixes).
- watchdog: sp805: fix restart handler (git-fixes).
- mac80211: fix race in ieee80211_register_hw() (git-fixes).
- mac80211_hwsim: Use kstrndup() in place of kasprintf()
  (git-fixes).
- commit 158e556
* Wed Apr 22 2020 tiwai@suse.de
- Revert ACPI EC patch that was reverted in stable tree
  Delete:
  patches.suse/ACPI-EC-Do-not-clear-boot_ec_is_ecdt-in-acpi_ec_add.patch.
- commit 4ca2cd1
* Wed Apr 22 2020 mbenes@suse.cz
- objtool: Make BP scratch register warning more robust
  (bsc#1169514).
- commit 21d4b08
* Wed Apr 22 2020 mbenes@suse.cz
- objtool: Fix switch table detection in .text.unlikely
  (bsc#1169514).
- commit c2b49a3
* Wed Apr 22 2020 tbogendoerfer@suse.de
- ionic: fix unused assignment (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: add dynamic_debug header (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- commit 61e55e9
* Wed Apr 22 2020 tbogendoerfer@suse.de
- net/mlx5e: Fix nest_level for vlan pop action (bsc#1154353).
- ionic: set station addr only if needed (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: replay filters after fw upgrade (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- net: icmp6: do not select saddr from iif when route has prefsrc
  set (bsc#1154353).
- commit da058f0
* Tue Apr 21 2020 oneukum@suse.com
- PCI: endpoint: Fix for concurrent memory allocation in OB
  address region (git-fixes).
- commit efb90c5
* Tue Apr 21 2020 oneukum@suse.com
- mmc: sdhci-of-at91: fix memleak on clk_get failure (git-fixes).
- commit df10885
* Tue Apr 21 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/ext4-Avoid-freeing-inodes-on-dirty-list.patch
  patches.suse/fs-Avoid-leaving-freed-inode-on-dirty-list.patch
  patches.suse/writeback-Export-inode_io_list_del.patch
- commit 9d7a667
* Tue Apr 21 2020 nstange@suse.de
- icmp: allow icmpv6_ndo_send to work with CONFIG_IPV6=n
  (bsc#1169021 jsc#SLE-12250).
- commit 8129fee
* Tue Apr 21 2020 nstange@suse.de
- crypto: arm64/poly1305 - ignore build files (bsc#1169021
  jsc#SLE-12250).
- commit 5860f7d
* Tue Apr 21 2020 tiwai@suse.de
- Update references for ptp security fixes (CVE-2020-10690, bsc#1170056)
- commit 0efc222
* Tue Apr 21 2020 oneukum@suse.com
- padata: always acquire cpu_hotplug_lock before pinst->lock
  (git-fixes).
- commit d5448e4
* Tue Apr 21 2020 oneukum@suse.com
- padata: validate cpumask without removed CPU during offline
  (git-fixes).
- commit e4437ab
* Tue Apr 21 2020 jack@suse.cz
- ext4: Avoid freeing inodes on dirty list (bsc#1168423).
- writeback: Export inode_io_list_del() (bsc#1168423).
- fs: Avoid leaving freed inode on dirty list (bsc#1168423).
- commit 86af897
* Tue Apr 21 2020 jslaby@suse.cz
- PCI: endpoint: Fix for concurrent memory allocation in OB
  address region (git-fixes).
- PCI: endpoint: Cast the page number to phys_addr_t (git-fixes).
- commit 3e58a3a
* Tue Apr 21 2020 mhocko@suse.com
- mm: set vm_next and vm_prev to NULL in vm_area_dup()
  (bnc#1169681).
- Revert "mm/rmap.c: reuse mergeable anon_vma as parent when fork"
  (bnc#1169681).
- commit f7b4d10
* Tue Apr 21 2020 glin@suse.com
- bpf: Prevent re-mmap()'ing BPF map as writable for initially
  r/o mapping (bsc#1155518).
- xsk: Fix out of boundary write in __xsk_rcv_memcpy
  (bsc#1155518).
- kbuild, btf: Fix dependencies for DEBUG_INFO_BTF (bsc#1155518).
- commit ac4792a
* Mon Apr 20 2020 nstange@suse.de
- wireguard: noise: error out precomputed DH during handshake
  rather than config (bsc#1169021 jsc#SLE-12250).
- commit e14e578
* Mon Apr 20 2020 nstange@suse.de
- wireguard: receive: remove dead code from default packet type
  case (bsc#1169021 jsc#SLE-12250).
- commit c43a23b
* Mon Apr 20 2020 nstange@suse.de
- wireguard: queueing: account for skb->protocol==0 (bsc#1169021
  jsc#SLE-12250).
- commit 9e6b83e
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: test using new 64-bit time_t (bsc#1169021
  jsc#SLE-12250).
- commit 60756ac
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: remove duplicated include <sys/types.h>
  (bsc#1169021 jsc#SLE-12250).
- commit b51ae0c
* Mon Apr 20 2020 nstange@suse.de
- wireguard: socket: remove extra call to synchronize_net
  (bsc#1169021 jsc#SLE-12250).
- commit 182535b
* Mon Apr 20 2020 nstange@suse.de
- wireguard: send: account for mtu=0 devices (bsc#1169021
  jsc#SLE-12250).
- commit 2f73731
* Mon Apr 20 2020 nstange@suse.de
- wireguard: receive: reset last_under_load to zero (bsc#1169021
  jsc#SLE-12250).
- commit 5207bec
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: reduce complexity and fix make races
  (bsc#1169021 jsc#SLE-12250).
- commit 9718224
* Mon Apr 20 2020 nstange@suse.de
- wireguard: device: use icmp_ndo_send helper (bsc#1169021
  jsc#SLE-12250).
- commit 76ba369
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: tie socket waiting to target pid
  (bsc#1169021 jsc#SLE-12250).
- commit bf1d7e5
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: cleanup CONFIG_ENABLE_WARN_DEPRECATED
  (bsc#1169021 jsc#SLE-12250).
- commit fe77b94
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: ensure non-addition of peers with failed
  precomputation (bsc#1169021 jsc#SLE-12250).
- commit ad7678e
* Mon Apr 20 2020 nstange@suse.de
- wireguard: noise: reject peers with low order public keys
  (bsc#1169021 jsc#SLE-12250).
- commit 8542988
* Mon Apr 20 2020 nstange@suse.de
- wireguard: allowedips: fix use-after-free in
  root_remove_peer_lists (bsc#1169021 jsc#SLE-12250).
- commit 2be5b62
* Mon Apr 20 2020 nstange@suse.de
- net: introduce skb_list_walk_safe for skb segment walking
  (bsc#1169021 jsc#SLE-12250).
- commit 1ec4578
* Mon Apr 20 2020 nstange@suse.de
- wireguard: socket: mark skbs as not on list when receiving
  via gro (bsc#1169021 jsc#SLE-12250).
- commit a45554a
* Mon Apr 20 2020 nstange@suse.de
- wireguard: queueing: do not account for pfmemalloc when clearing
  skb header (bsc#1169021 jsc#SLE-12250).
- commit dd22191
* Mon Apr 20 2020 nstange@suse.de
- wireguard: selftests: remove ancient kernel compatibility code
  (bsc#1169021 jsc#SLE-12250).
- commit e478c39
* Mon Apr 20 2020 nstange@suse.de
- wireguard: allowedips: use kfree_rcu() instead of call_rcu()
  (bsc#1169021 jsc#SLE-12250).
- commit 8c0e1e0
* Mon Apr 20 2020 nstange@suse.de
- wireguard: main: remove unused include <linux/version.h>
  (bsc#1169021 jsc#SLE-12250).
- commit 3a111bf
* Mon Apr 20 2020 nstange@suse.de
- wireguard: global: fix spelling mistakes in comments
  (bsc#1169021 jsc#SLE-12250).
- commit 79a082d
* Mon Apr 20 2020 mkubecek@suse.cz
- Update
  patches.suse/tcp-dccp-fix-possible-race-__inet_lookup_established.patch
  references (add bsc#1151794).
- commit 0f4b072
* Mon Apr 20 2020 colyli@suse.de
- block: Fix partition support for host aware zoned block devices
  (git fixes (block layer)).
- commit 2826707
* Mon Apr 20 2020 msuchanek@suse.de
- powerpc/sstep: Fix DS operand in ld encoding to appropriate
  value (bsc#1065729).
- commit ffe7728
* Mon Apr 20 2020 colyli@suse.de
- block: fix busy device checking in blk_drop_partitions again
  (git fixes (block layer)).
- scsi: sd_sbc: Fix sd_zbc_report_zones() (git fixes (block
  layer)).
- block: allow partitions on host aware zone devices (git fixes
  (block layer)).
- block: refactor rescan_partitions (bsc#1169493).
- null_blk: Fix zoned command return code (git fixes (block
  layer)).
- commit 2eec3ac
* Mon Apr 20 2020 tabraham@suse.com
- EDAC: skx_common: downgrade message importance on missing PCI
  device (bsc#1165581).
- commit 33acab9
* Mon Apr 20 2020 colyli@suse.de
- rbd: call rbd_dev_unprobe() after unwatching and flushing
  notifies (git fixes (block layer)).
- commit b8a8f93
* Mon Apr 20 2020 colyli@suse.de
- rbd: avoid a deadlock on header_rwsem when flushing notifies
  (git fixes (block layer)).
- commit 39eb136
* Mon Apr 20 2020 colyli@suse.de
- block: fix busy device checking in blk_drop_partitions (git
  fixes (block layer)).
- commit a502c37
* Mon Apr 20 2020 mbenes@suse.cz
- tracing: Fix the race between registering 'snapshot' event
  trigger and triggering 'snapshot' operation (git-fixes).
- commit e9b7241
* Mon Apr 20 2020 colyli@suse.de
- dm writecache: add cond_resched to avoid CPU hangs (git fixes
  (block layer)).
- dm integrity: fix a crash with unusually large tag size (git
  fixes (block layer)).
- dm zoned: remove duplicate nr_rnd_zones increase in
  dmz_init_zone() (git fixes (block layer)).
- commit bae04d0
* Mon Apr 20 2020 colyli@suse.de
- Revert "bcache: ignore pending signals when creating gc and
  allocator thread" (git fixes (block layer)).
- commit 389cb15
* Mon Apr 20 2020 colyli@suse.de
- block: rework zone reporting (git fixes (block layer)).
- Refresh for the above change,
  patches.suse/dm-zoned-reduce-overhead-of-backing-device-checks.patch.
- commit e2e1ac1
* Mon Apr 20 2020 mbenes@suse.cz
- tracing: Disable trace_printk() on post poned tests (git-fixes).
- commit a1f20fd
* Mon Apr 20 2020 colyli@suse.de
- null_blk: clean up report zones (git fixes (block layer)).
- null_blk: clean up the block device operations (git fixes
  (block layer)).
- block: Remove partition support for zoned block devices (git
  fixes (block layer)).
- commit 47f4ca0
* Mon Apr 20 2020 colyli@suse.de
- block: Simplify report zones execution (git fixes (block
  layer)).
- block: cleanup the !zoned case in blk_revalidate_disk_zones
  (git fixes (block layer)).
- block: Enhance blk_revalidate_disk_zones() (git fixes (block
  layer)).
- block: add zone open, close and finish operations (git fixes
  (block layer)).
- commit c73ea39
* Mon Apr 20 2020 colyli@suse.de
- block: Simplify REQ_OP_ZONE_RESET_ALL handling (git fixes
  (block layer)).
- block: Remove REQ_OP_ZONE_RESET plugging (git fixes (block
  layer)).
- commit 1d004e0
* Mon Apr 20 2020 colyli@suse.de
- dm: make dm_table_find_target return NULL (git fixes (block
  layer)).
- null_blk: fix inline misuse (git fixes (block layer)).
- null_blk: create a helper for zoned devices (git fixes
  (block layer)).
- null_blk: move duplicate code to callers (git fixes (block
  layer)).
- commit 9efd841
* Mon Apr 20 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/ibmvfc-don-t-send-implicit-logouts-prior-to-NPIV-log.patch
- commit cb5e73f
* Mon Apr 20 2020 neilb@suse.de
- fs/filesystems.c: downgrade user-reachable WARN_ONCE() to
  pr_warn_once() (bsc#1163463).
- commit 399801b
* Fri Apr 17 2020 tiwai@suse.de
- ALSA: hda: call runtime_allow() for all hda controllers
  (git-fixes).
- ALSA: hda: Explicitly permit using autosuspend if runtime PM
  is supported (git-fixes).
- ALSA: hda: Skip controller resume if not needed (git-fixes).
- ALSA: hda: Keep the controller initialization even if no codecs
  found (git-fixes).
- ALSA: hda: Release resources at error in delayed probe
  (git-fixes).
- ALSA: hda: Honor PM disablement in PM freeze and thaw_noirq ops
  (git-fixes).
- ALSA: hda: Don't release card at firmware loading error
  (git-fixes).
- ALSA: usb-audio: Check mapping at creating connector controls,
  too (git-fixes).
- ALSA: usb-audio: Don't create jack controls for PCM terminals
  (git-fixes).
- ALSA: usb-audio: Don't override ignore_ctl_error value from
  the map (git-fixes).
- ALSA: usb-audio: Filter error from connector kctl ops, too
  (git-fixes).
- ALSA: hda/realtek - Enable the headset mic on Asus FX505DT
  (git-fixes).
- commit 8a08089
* Fri Apr 17 2020 tiwai@suse.de
- arm, bpf: Fix offset overflow for BPF_MEM BPF_DW (git-fixes).
- nl80211: fix NL80211_ATTR_FTM_RESPONDER policy (git-fixes).
- net: phy: micrel: use genphy_read_status for KSZ9131
  (git-fixes).
- arm, bpf: Fix bugs with ALU64 {RSH, ARSH} BPF_K shift by 0
  (git-fixes).
- keys: Fix proc_keys_next to increase position index (git-fixes).
- drm/amdgpu: unify fw_write_wait for new gfx9 asics (git-fixes).
- libata: Return correct status in sata_pmp_eh_recover_pm()
  when ATA_DFLAG_DETACH is set (git-fixes).
- Input: i8042 - add Acer Aspire 5738z to nomux list (git-fixes).
- net: phy: micrel: kszphy_resume(): add delay after
  genphy_resume() before accessing PHY registers (git-fixes).
- vfio: platform: Switch to platform_get_irq_optional()
  (git-fixes).
- PCI: Add boot interrupt quirk mechanism for Xeon chipsets
  (git-fixes).
- ALSA: doc: Document PC Beep Hidden Register on Realtek ALC256
  (git-fixes).
- drm/scheduler: fix rare NULL ptr race (git-fixes).
- drm/dp_mst: Fix clearing payload state on topology disable
  (git-fixes).
- crypto: ccree - dec auth tag size from cryptlen map (git-fixes).
- crypto: ccree - only try to map auth tag if needed (git-fixes).
- crypto: ccree - protect against empty or NULL scatterlists
  (git-fixes).
- irqchip/gic-v4: Provide irq_retrigger to avoid circular locking
  dependency (git-fixes).
- ACPI: EC: Do not clear boot_ec_is_ecdt in acpi_ec_add()
  (git-fixes).
- acpi/x86: ignore unspecified bit positions in the ACPI global
  lock field (git-fixes).
- firmware: fix a double abort case with fw_load_sysfs_fallback
  (git-fixes).
- usb: dwc3: core: add support for disabling SS instances in
  park mode (git-fixes).
- xhci: bail out early if driver can't accress host in resume
  (git-fixes).
- media: venus: firmware: Ignore secure call error on first resume
  (git-fixes).
- media: allegro: fix type of gop_length in channel_create message
  (git-fixes).
- media: i2c: ov5695: Fix power on and off sequences (git-fixes).
- media: ti-vpe: cal: fix disable_irqs to only the intended target
  (git-fixes).
- media: venus: hfi_parser: Ignore HEVC encoding for V1
  (git-fixes).
- pstore/platform: fix potential mem leak if pstore_init_fs failed
  (git-fixes).
- tpm: Don't make log failures fatal (git-fixes).
- i2c: pca-platform: Use platform_irq_get_optional (git-fixes).
- i2c: st: fix missing struct parameter description (git-fixes).
- bus: sunxi-rsb: Return correct data when mixing 16-bit and
  8-bit reads (git-fixes).
- soc: fsl: dpio: register dpio irq handlers after dpio create
  (git-fixes).
- Input: tm2-touchkey - add support for Coreriver TC360 variant
  (git-fixes).
- i2c: jz4780: silence log flood on txabrt (git-fixes).
- mmc: sdhci-of-esdhc: fix esdhc_reset() for different controller
  versions (git-fixes).
- cpufreq: Cancel policy update work scheduled before freeing
  (git-fixes).
- commit e5ee52f
* Fri Apr 17 2020 ailiop@suse.com
- xfs: reflink should force the log out if mounted with wsync
  (git-fixes).
- commit 2e7b82b
* Fri Apr 17 2020 ailiop@suse.com
- xfs: factor out a new xfs_log_force_inode helper (git-fixes).
- commit 9fd128e
* Fri Apr 17 2020 ailiop@suse.com
- xfs: don't write a corrupt unmount record to force summary
  counter recalc (git-fixes).
- commit 6add31e
* Fri Apr 17 2020 ailiop@suse.com
- xfs: don't allow log IO to be throttled (git-fixes).
- commit 925e53f
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove some stale comments from the log code (git-fixes).
- commit b869987
* Fri Apr 17 2020 ailiop@suse.com
- xfs: refactor unmount record writing (git-fixes).
- commit 60c7c2f
* Fri Apr 17 2020 ailiop@suse.com
- xfs: merge xlog_commit_record with xlog_write_done (git-fixes).
- commit 6169e00
* Fri Apr 17 2020 ailiop@suse.com
- xfs: split xlog_ticket_done (git-fixes).
- commit 3540978
* Fri Apr 17 2020 ailiop@suse.com
- xfs: kill XLOG_TIC_INITED (git-fixes).
- commit 1c52baf
* Fri Apr 17 2020 ailiop@suse.com
- xfs: refactor and split xfs_log_done() (git-fixes).
- commit 27f5afa
* Fri Apr 17 2020 ailiop@suse.com
- xfs: re-order initial space accounting checks in xlog_write
  (git-fixes).
- commit d2e492c
* Fri Apr 17 2020 ailiop@suse.com
- xfs: don't try to write a start record into every iclog
  (git-fixes).
- commit 62148c3
* Fri Apr 17 2020 ailiop@suse.com
- xfs: shutdown on failure to add page to log bio (git-fixes).
- commit cb7737c
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove xlog_state_want_sync (git-fixes).
- commit 99f092d
* Fri Apr 17 2020 ailiop@suse.com
- xfs: move the ioerror check out of xlog_state_clean_iclog
  (git-fixes).
- commit f23116d
* Fri Apr 17 2020 ailiop@suse.com
- xfs: refactor xlog_state_clean_iclog (git-fixes).
- commit e43b3ed
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove the aborted parameter to xlog_state_done_syncing
  (git-fixes).
- commit eaff4cc
* Fri Apr 17 2020 ailiop@suse.com
- xfs: simplify log shutdown checking in xfs_log_release_iclog
  (git-fixes).
- commit d486a9f
* Fri Apr 17 2020 ailiop@suse.com
- xfs: simplify the xfs_log_release_iclog calling convention
  (git-fixes).
- commit 5b62921
* Fri Apr 17 2020 ailiop@suse.com
- xfs: factor out a xlog_wait_on_iclog helper (git-fixes).
- commit 371f1e3
* Fri Apr 17 2020 ailiop@suse.com
- xfs: merge xlog_cil_push into xlog_cil_push_work (git-fixes).
- commit 22531f1
* Fri Apr 17 2020 ailiop@suse.com
- xfs: cleanup xfs_log_unmount_write (git-fixes).
- commit 47964dc
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove dead code from xfs_log_unmount_write (git-fixes).
- commit 15d084c
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove the unused return value from xfs_log_unmount_write
  (git-fixes).
- commit 7daf110
* Fri Apr 17 2020 ailiop@suse.com
- xfs: don't ever return a stale pointer from __xfs_dir3_free_read
  (git-fixes).
- commit e98d8e7
* Fri Apr 17 2020 ailiop@suse.com
- xfs: fix buffer corruption reporting when
  xfs_dir3_free_header_check fails (git-fixes).
- commit 0d51de1
* Fri Apr 17 2020 ailiop@suse.com
- xfs: add a function to deal with corrupt buffers post-verifiers
  (git-fixes).
- commit cdad8b5
* Fri Apr 17 2020 ailiop@suse.com
- xfs: fix iclog release error check race with shutdown
  (git-fixes).
- commit 2814941
* Fri Apr 17 2020 ailiop@suse.com
- xfs: don't check for AG deadlock for realtime files in bunmapi
  (git-fixes).
- commit fc993c5
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove the XLOG_STATE_DO_CALLBACK state (git-fixes).
- commit c72277f
* Fri Apr 17 2020 ailiop@suse.com
- xfs: turn ic_state into an enum (git-fixes).
- commit 1f9b2d3
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove the unused XLOG_STATE_ALL and XLOG_STATE_UNUSED
  flags (git-fixes).
- commit 22ec56e
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove dead ifdef XFSERRORDEBUG code (git-fixes).
- commit f73533e
* Fri Apr 17 2020 ailiop@suse.com
- xfs: call xlog_state_release_iclog with l_icloglock held
  (git-fixes).
- commit e2ae7c9
* Fri Apr 17 2020 ailiop@suse.com
- xfs: move the locking from xlog_state_finish_copy to the callers
  (git-fixes).
- commit 4fc8e18
* Fri Apr 17 2020 ailiop@suse.com
- xfs: remove the unused ic_io_size field from xlog_in_core
  (git-fixes).
- commit cc60ace
* Fri Apr 17 2020 ailiop@suse.com
- xfs: pass the correct flag to xlog_write_iclog (git-fixes).
- commit d0ba340
* Thu Apr 16 2020 mbenes@suse.cz
- x86/xen: fix booting 32-bit pv guest (bsc#1071995).
- commit de745ab
* Thu Apr 16 2020 mbenes@suse.cz
- x86/xen: Make the secondary CPU idle tasks reliable
  (bsc#1071995).
- commit b937a33
* Thu Apr 16 2020 mbenes@suse.cz
- x86/xen: Make the boot CPU idle task reliable (bsc#1071995).
- commit 7555345
* Thu Apr 16 2020 oneukum@suse.com
- Update
  patches.suse/media-stv06xx-add-missing-descriptor-sanity-checks.patch
  (bsc#1168854). Pending CVE request, adding bsc so that it is not lost
- commit 3e4aa5f
* Thu Apr 16 2020 oneukum@suse.com
- Update
  patches.suse/media-xirlink_cit-add-missing-descriptor-sanity-chec.patch
  (bsc#1168952). Pending CVE request, adding bsc so this is not lost.
- commit 98ac2ff
* Thu Apr 16 2020 msuchanek@suse.de
- tools/test/nvdimm: Fix out of tree build (bsc#1156395).
- commit bec0a07
* Thu Apr 16 2020 msuchanek@suse.de
- Refresh patches.suse/tools-testing-nvdimm-Fix-compilation-failure-without.patch.
- commit 48bddf2
* Thu Apr 16 2020 msuchanek@suse.de
- ibmvfc: don't send implicit logouts prior to NPIV login
  (bsc#1169625 ltc#184611).
- commit 1026f14
* Thu Apr 16 2020 jslaby@suse.cz
- net: systemport: fix index check to avoid an array out of
  bounds access (networking-stable-20_03_14).
- taprio: Fix sending packets without dequeueing them
  (networking-stable-20_03_14).
- net: memcg: fix lockdep splat in inet_csk_accept()
  (networking-stable-20_03_14).
- net: dsa: Don't instantiate phylink for CPU/DSA ports unless
  needed (networking-stable-20_03_14).
- net/packet: tpacket_rcv: do not increment ring index on drop
  (networking-stable-20_03_14).
- net: fec: validate the new settings in fec_enet_set_coalesce()
  (networking-stable-20_03_14).
- net: macsec: update SCI upon MAC address change
  (networking-stable-20_03_14).
- ipv6/addrconf: call ipv6_mc_up() for non-Ethernet interface
  (networking-stable-20_03_14).
- net: memcg: late association of sock to memcg
  (networking-stable-20_03_14).
- ipvlan: do not use cond_resched_rcu() in
  ipvlan_process_multicast() (networking-stable-20_03_14).
- cgroup, netclassid: periodically release file_lock on classid
  updating (networking-stable-20_03_14).
- ipvlan: add cond_resched_rcu() while processing muticast backlog
  (networking-stable-20_03_14).
- ipvlan: don't deref eth hdr before checking it's set
  (networking-stable-20_03_14).
- sfc: detach from cb_page in efx_copy_channel()
  (networking-stable-20_03_14).
- inet_diag: return classid for all socket types
  (networking-stable-20_03_14).
- net: stmmac: dwmac1000: Disable ACS if enhanced descs are not
  used (networking-stable-20_03_14).
- gre: fix uninit-value in __iptunnel_pull_header
  (networking-stable-20_03_14).
- bonding/alb: make sure arp header is pulled before accessing it
  (networking-stable-20_03_14).
- net: nfc: fix bounds checking bugs on "pipe"
  (networking-stable-20_03_14).
- net: hns3: fix a not link up issue when fibre port supports
  autoneg (networking-stable-20_03_14).
- slip: make slhc_compress() more robust against malicious packets
  (networking-stable-20_03_14).
- net: dsa: fix phylink_start()/phylink_stop() calls
  (networking-stable-20_03_14).
- selftests/net/fib_tests: update addr_metric_test for peer
  route testing (networking-stable-20_03_14).
- net/ipv6: remove the old peer route if change it to a new one
  (networking-stable-20_03_14).
- net/ipv6: need update peer route when modify metric
  (networking-stable-20_03_14).
- net: taprio: add missing attribute validation for txtime delay
  (networking-stable-20_03_14).
- net: fq: add missing attribute validation for orphan mask
  (networking-stable-20_03_14).
- fib: add missing attribute validation for tun_id
  (networking-stable-20_03_14).
- devlink: validate length of region addr/len
  (networking-stable-20_03_14).
- devlink: validate length of param values
  (networking-stable-20_03_14).
- net/ipv6: use configured metric when add peer route
  (networking-stable-20_03_14).
- net: dsa: mv88e6xxx: fix lockup on warm boot
  (networking-stable-20_03_14).
- netlink: Use netlink header as base to calculate bad attribute
  offset (networking-stable-20_03_14).
- r8152: check disconnect status after long sleep
  (networking-stable-20_03_14).
- commit 4f8bc32
* Wed Apr 15 2020 ddiss@suse.de
- patches.suse/0005-scsi-target-use-the-stack-for-XCOPY-passthrough-cmds.patch:
  (bsc#1164514).
- patches.suse/0004-scsi-target-increase-XCOPY-I-O-size.patch:
  (bsc#1164514).
- patches.suse/0003-scsi-target-avoid-per-loop-XCOPY-buffer-allocations.patch:
  (bsc#1164514).
- patches.suse/0002-scsi-target-drop-xcopy-DISK-BLOCK-LENGTH-debug.patch:
  (bsc#1164514).
- patches.suse/0001-scsi-target-use-define-for-xcopy-descriptor-len.patch:
  (bsc#1164514).
- commit 35bd511
* Wed Apr 15 2020 jroedel@suse.de
- PCI/AER: Rationalize error status register clearing
  (bsc#1169263).
- PCI/DPC: Expose dpc_process_error(), dpc_reset_link() for use
  by EDR (bsc#1169263).
- PCI/AER: Add pci_aer_raw_clear_status() to unconditionally
  clear Error Status (bsc#1169263).
- PCI/DPC: Cache DPC capabilities in pci_init_capabilities()
  (bsc#1169263).
- PCI/ERR: Return status of pcie_do_recovery() (bsc#1169263).
- PCI/ERR: Remove service dependency in pcie_do_recovery()
  (bsc#1169263).
- PCI/DPC: Move DPC data into struct pci_dev (bsc#1169263).
- commit 01b5293
* Wed Apr 15 2020 bp@suse.de
- x86/microcode/AMD: Increase microcode PATCH_MAX_SIZE
  (bsc#1169005).
- commit 92271b2
* Wed Apr 15 2020 aaptel@suse.com
- Refresh
  patches.suse/cifs-ignore-cached-share-root-handle-closing-errors.patch.
- commit c6f232e
* Wed Apr 15 2020 ptesarik@suse.cz
- s390/zcrypt: use kvmalloc instead of kmalloc for 256k alloc
  (bsc#1169003 LTC#185029).
- commit efd0cc2
* Wed Apr 15 2020 msuchanek@suse.de
- KVM: PPC: Book3S HV: Fix H_CEDE return code for nested guests
  (bsc#1156395).
- commit 30499af
* Wed Apr 15 2020 mkubecek@suse.cz
- update patches metadata
- update upstream references and resort:
  patches.suse/nvme-fc-Revert-add-module-to-ops-template-to-allow-m.patch
  patches.suse/nvme-fcloop-fix-deallocation-of-working-context.patch
  patches.suse/nvme-fix-deadlock-caused-by-ANA-update-wrong-locking.patch
  patches.suse/nvme-inherit-stable-pages-constraint-in-the-mpath-st.patch
  patches.suse/nvme-rdma-Replace-comma-with-a-semicolon.patch
  patches.suse/nvmet-fc-fix-typo-in-comment.patch
  patches.suse/nvmet-fix-NULL-dereference-when-removing-a-referral.patch
  patches.suse/nvmet-rdma-fix-bonding-failover-possible-NULL-deref.patch
- fix Patch-mainline:
  patches.suse/nvme-Check-for-readiness-more-quickly-to-speed-up-bo.patch
  patches.suse/nvme-code-cleanup-nvme_identify_ns_desc.patch
  patches.suse/nvme-fabrics-Use-scnprintf-for-avoiding-potential-bu.patch
  patches.suse/nvme-log-additional-message-for-controller-status.patch
  patches.suse/nvme-multipath-do-not-reset-on-unknown-status.patch
  patches.suse/nvme-remove-unused-return-code-from-nvme_alloc_ns.patch
  patches.suse/nvme-tcp-Set-SO_PRIORITY-for-all-host-sockets.patch
  patches.suse/nvmet-check-sscanf-value-for-subsys-serial-attr.patch
  patches.suse/nvmet-configfs-code-cleanup.patch
  patches.suse/nvmet-make-ctrl-id-configurable.patch
  patches.suse/nvmet-make-ctrl-model-configurable.patch
  patches.suse/nvmet-tcp-set-SO_PRIORITY-for-accepted-sockets.patch
- commit 66e0350
* Wed Apr 15 2020 yousaf.kaukab@suse.com
- Revert "cpufreq: arm64: prevent module unload (bsc#1168476)."
  This reverts commit 59dc6e32df1940481a3955a2caf2e64f735a0831.
- commit c363644
* Wed Apr 15 2020 msuchanek@suse.de
- rpm/check-for-config-changes: Ignore CONFIG_LD_VERSION
- commit e60242e
* Wed Apr 15 2020 jslaby@suse.cz
- udp: rehash on disconnect (networking-stable-20_03_01).
- net/tls: Fix to avoid gettig invalid tls record
  (networking-stable-20_03_01).
- Revert "net: dev: introduce support for sch BYPASS for lockless
  qdisc" (networking-stable-20_03_01).
- qede: Fix race between rdma destroy workqueue and link change
  event (networking-stable-20_03_01).
- sctp: move the format error check out of __sctp_sf_do_9_1_abort
  (networking-stable-20_03_01).
- net: sched: correct flower port blocking
  (networking-stable-20_03_01).
- net: dsa: b53: Ensure the default VID is untagged
  (networking-stable-20_03_01).
- net: macb: ensure interface is not suspended on at91rm9200
  (networking-stable-20_03_01).
- net: fib_rules: Correctly set table field when table number
  exceeds 8 bits (networking-stable-20_03_01).
- ipv6: Fix nlmsg_flags when splitting a multipath route
  (networking-stable-20_03_01).
- ipv6: Fix route replacement with dev-only route
  (networking-stable-20_03_01).
- commit 7f4f9c7
* Wed Apr 15 2020 ggherdovich@suse.cz
- x86, sched: Don't enable static key when starting secondary CPUs
  (bsc#1169518).
- commit 7e982dc
* Wed Apr 15 2020 yousaf.kaukab@suse.com
- thermal/drivers/cpufreq_cooling: Fix return of
  cpufreq_set_cur_state (bsc#1168476).
- commit 1bb91ae
* Wed Apr 15 2020 bp@suse.de
- EDAC/mce_amd: Make fam_ops static global (jsc#SLE-11833).
- commit a2a7430
* Wed Apr 15 2020 mkoutny@suse.com
- cgroup: cgroup_procs_next should increase position index
  (bsc#1169524).
- commit e8538bb
* Wed Apr 15 2020 mbenes@suse.cz
- btrfs: separate definition of assertion failure handlers
  (bsc#1169514).
- commit 47cc410
* Wed Apr 15 2020 mbenes@suse.cz
- objtool: Add relocation check for alternative sections
  (bsc#1169514).
- commit ddcfb2d
* Wed Apr 15 2020 ggherdovich@suse.cz
- Refresh
  patches.suse/x86-sched-Account-for-CPUs-with-less-than-4-cores-in.patch.
- commit fe74002
* Wed Apr 15 2020 mbenes@suse.cz
- objtool: Add is_static_jump() helper (bsc#1169514).
- commit d3f8210
* Wed Apr 15 2020 jslaby@suse.cz
- selftests/powerpc: Turn off timeout setting for benchmarks,
  dscr, signal, tm (git-fixes).
- selftests/powerpc: Add tlbie_test in .gitignore (git-fixes).
- tools: gpio: Fix out-of-tree build regression (git-fixes).
- commit 32ce8b5
* Wed Apr 15 2020 bp@suse.de
- EDAC/amd64: Drop some family checks for newer systems
  (jsc#SLE-11833).
- commit c3845bc
* Wed Apr 15 2020 yousaf.kaukab@suse.com
- ahci: Add support for Amazon's Annapurna Labs SATA controller
  (bsc#1169013).
- commit 4296517
* Wed Apr 15 2020 jslaby@suse.cz
- blacklist.conf: add three cleanups
- commit cf5b455
* Wed Apr 15 2020 bp@suse.de
- EDAC/amd64: Add family ops for Family 19h Models 00h-0Fh
  (jsc#SLE-11833).
- commit 6188ac8
* Wed Apr 15 2020 jslaby@suse.cz
- PCI: dwc: Fix dw_pcie_ep_raise_msix_irq() to get correct MSI-X
  table address (git-fixes).
- PCI: endpoint: Fix ->set_msix() to take BIR and offset as
  arguments (git-fixes).
- commit c6334e6
* Wed Apr 15 2020 tzimmermann@suse.de
- fbmem: Adjust indentation in fb_prepare_logo and fb_blank (bsc#1152489)
- commit bcb3d94
* Wed Apr 15 2020 mkubecek@suse.cz
- config: refresh
  No functional change, only menu structure comments and one line move.
- commit cbac380
* Wed Apr 15 2020 tbogendoerfer@suse.de
- cxgb4: free MQPRIO resources in shutdown path (jsc#SLE-8389).
- RDMA/hns: Fix a wrong judgment of return value (jsc#SLE-8449).
- RDMA/hns: Fix wrong judgments of udata->outlen (jsc#SLE-8449).
- RDMA/core: Remove the duplicate header file (jsc#SLE-8449).
- IB/mlx5: Optimize u64 division on 32-bit arches (jsc#SLE-8446).
- RDMA/mlx5: Prevent UMR usage with RO only when we have RO caps
  (jsc#SLE-8446).
- net: hns3: fix for fraglist SKB headlen not handling correctly
  (bsc#1154353).
- net: hns3: drop the WQ_MEM_RECLAIM flag when allocating WQ
  (bsc#1154353).
- selftests/bpf: Fix test_progs's parsing of test numbers
  (bsc#1154353).
- bnxt_en: Fix "fw.mgmt" and "fw.nsci" info via devlink info_get
  cb (jsc#SLE-8371 bsc#1153274).
- taprio: do not use BIT() in TCA_TAPRIO_ATTR_FLAG_* definitions
  (bsc#1154353).
- sfc: fix XDP-redirect in this driver (jsc#SLE-8314).
- libbpf: Ignore incompatible types with matching name during
  CO-RE relocation (bsc#1154353).
- sfc: remove unused variable 'efx_default_channel_type'
  (jsc#SLE-8314).
- commit 655c6cc
* Wed Apr 15 2020 tzimmermann@suse.de
- OMAP: DSS2: remove non-zero check on variable r (bsc#1152489)
- commit 82ee31e
* Wed Apr 15 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline ("Queued" is for patches going to get into mainline):
  patches.suse/drm-i915-Fix-ref-mutex-deadlock-in-i915_active_wait.patch
- commit f1086d5
* Wed Apr 15 2020 mkubecek@suse.cz
- supported.conf: cleanup
  Make the comment consistent with the rest of the file.
- commit c905a51
* Wed Apr 15 2020 bp@suse.de
- EDAC/mce_amd: Always load on SMCA systems (jsc#SLE-11833).
- commit f330d60
* Wed Apr 15 2020 mkubecek@suse.cz
- improve patch metadata
- make Patch-mainline more explicit:
  patches.suse/bfq-tune-slice-idle.patch
- commit 6fb07af
* Wed Apr 15 2020 jslaby@suse.cz
- Refresh
  patches.suse/0001-efi-fix-a-race-and-a-buffer-overflow-while-reading-e.patch.
  One more update on an upstreamed patch.
- commit 0bed50c
* Wed Apr 15 2020 jslaby@suse.cz
- Refresh
  patches.suse/KEYS-reaching-the-keys-quotas-correctly.patch.
- Refresh
  patches.suse/PCI-pciehp-Add-DMI-table-for-in-band-presence-detect.patch.
- Refresh
  patches.suse/PCI-pciehp-Disable-in-band-presence-detect-when-poss.patch.
- Refresh
  patches.suse/PCI-pciehp-Wait-for-PDS-if-in-band-presence-is-disab.patch.
- Refresh
  patches.suse/edac-mc-carve-out-error-increment-into-a-separate-function.patch.
- Refresh
  patches.suse/edac-mc-change-mci-device-removal-to-use-put_device.patch.
- Refresh
  patches.suse/edac-mc-determine-mci-pointer-from-the-error-descriptor.patch.
- Refresh
  patches.suse/edac-mc-pass-the-error-descriptor-to-error-reporting-functions.patch.
- Refresh
  patches.suse/edac-mc-remove-detail-string-and-cleanup-error-string-generation.patch.
- Refresh
  patches.suse/edac-mc-remove-enable_per_layer_report-function-argument.patch.
- Refresh patches.suse/edac-mc-remove-per-layer-counters.patch.
- Refresh
  patches.suse/edac-mc-reorder-functions-edac_mc_alloc.patch.
- Refresh
  patches.suse/edac-mc-report-unknown-memory-on-too-many-dimm-labels-found.patch.
- Refresh
  patches.suse/edac-mc-split-edac_mc_alloc-into-smaller-functions.patch.
- Refresh
  patches.suse/edac-store-error-type-in-struct-edac_raw_error_desc.patch.
- Refresh
  patches.suse/efi-x86-add-tpm-related-efi-tables-to-unencrypted-mapping-checks.patch.
- Refresh
  patches.suse/x86-amd_nb-char-amd64-agp-use-amd_nb_num-accessor.patch.
- Refresh
  patches.suse/x86-intel_pstate-Handle-runtime-turbo-disablement-en.patch.
- Refresh
  patches.suse/x86-sched-Add-support-for-frequency-invariance-on-ATOM.patch.
- Refresh
  patches.suse/x86-sched-Add-support-for-frequency-invariance-on-ATOM_GOLDMONT.patch.
- Refresh
  patches.suse/x86-sched-Add-support-for-frequency-invariance-on-SK.patch.
- Refresh
  patches.suse/x86-sched-Add-support-for-frequency-invariance-on-XE.patch.
- Refresh
  patches.suse/x86-sched-Add-support-for-frequency-invariance.patch.
  Update upstream status and sort them all.
- commit 6e97756
* Tue Apr 14 2020 bp@suse.de
- x86/amd_nb: Add Family 19h PCI IDs (jsc#SLE-11833).
- Refresh
  patches.suse/x86-amd_nb-char-amd64-agp-use-amd_nb_num-accessor.patch.
- commit ffdd1b6
* Tue Apr 14 2020 rgoldwyn@suse.com
- exfat: add Kconfig and Makefile (JSC#SLE-9489).
  Also changes config files and supported.conf to incorporate exfat
- exfat: add nls operations (JSC#SLE-9489).
- exfat: add misc operations (JSC#SLE-9489).
- exfat: add exfat cache (JSC#SLE-9489).
- exfat: add bitmap operations (JSC#SLE-9489).
- exfat: add fat entry operations (JSC#SLE-9489).
- exfat: add file operations (JSC#SLE-9489).
- exfat: add directory operations (JSC#SLE-9489).
- exfat: add inode operations (JSC#SLE-9489).
- exfat: add super block operations (JSC#SLE-9489).
- exfat: add in-memory and on-disk structures and headers
  (JSC#SLE-9489).
- vfs: Create fs_context-aware mount_bdev() replacement
  (JSC#SLE-9489).
- commit 3b40335
* Tue Apr 14 2020 lhenriques@suse.com
- ceph: fix snapshot directory timestamps (jsc#SES-1134).
- ceph: wait for async creating inode before requesting new max
  size (jsc#SES-1134).
- ceph: don't skip updating wanted caps when cap is stale
  (jsc#SES-1134).
- ceph: request new max size only when there is auth cap
  (jsc#SES-1134).
- ceph: cleanup return error of try_get_cap_refs() (jsc#SES-1134).
- ceph: return ceph_mdsc_do_request() errors from __get_parent()
  (jsc#SES-1134).
- ceph: check all mds' caps after page writeback (jsc#SES-1134).
- ceph: update i_requested_max_size only when sending cap msg
  to auth mds (jsc#SES-1134).
- ceph: simplify calling of ceph_get_fmode() (jsc#SES-1134).
- ceph: remove delay check logic from ceph_check_caps()
  (jsc#SES-1134).
- ceph: consider inode's last read/write when calculating wanted
  caps (jsc#SES-1134).
- ceph: always renew caps if mds_wanted is insufficient
  (jsc#SES-1134).
- ceph: update dentry lease for async create (jsc#SES-1134).
- ceph: attempt to do async create when possible (jsc#SES-1134).
- ceph: cache layout in parent dir on first sync create
  (jsc#SES-1134).
- ceph: add new MDS req field to hold delegated inode number
  (jsc#SES-1134).
- ceph: decode interval_sets for delegated inos (jsc#SES-1134).
- ceph: make ceph_fill_inode non-static (jsc#SES-1134).
- ceph: perform asynchronous unlink if we have sufficient caps
  (jsc#SES-1134).
- ceph: don't take refs to want mask unless we have all bits
  (jsc#SES-1134).
- ceph: cap tracking for async directory operations
  (jsc#SES-1134).
- ceph: make __take_cap_refs non-static (jsc#SES-1134).
- ceph: add infrastructure for waiting for async create to
  complete (jsc#SES-1134).
- ceph: track primary dentry link (jsc#SES-1134).
- ceph: add flag to designate that a request is asynchronous
  (jsc#SES-1134).
- ceph: more caps.c lockdep assertions (jsc#SES-1134).
- ceph: clean up kick_flushing_inode_caps() (jsc#SES-1134).
- libceph: directly skip to the end of redirect reply
  (jsc#SES-1134).
- libceph: simplify ceph_monc_handle_map() (jsc#SES-1134).
- ceph: return ETIMEDOUT errno to userland when request timed out
  (jsc#SES-1134).
- ceph: re-org copy_file_range and fix some error paths
  (jsc#SES-1134).
- ceph: move to a dedicated slabcache for mds requests
  (jsc#SES-1134).
- ceph: reorganize fields in ceph_mds_request (jsc#SES-1134).
- ceph: replace zero-length array with flexible-array member
  (jsc#SES-1134).
- ceph: check if file lock exists before sending unlock request
  (jsc#SES-1134).
- ceph: move ceph_osdc_{read,write}pages to ceph.ko
  (jsc#SES-1134).
- ceph: don't ClearPageChecked in ceph_invalidatepage()
  (jsc#SES-1134).
- libceph: drop CEPH_DEFINE_SHOW_FUNC (jsc#SES-1134).
- ceph: check inode type for
  CEPH_CAP_FILE_{CACHE,RD,REXTEND,LAZYIO} (jsc#SES-1134).
- ceph: add refcounting for Fx caps (jsc#SES-1134).
- ceph: register MDS request with dir inode from the start
  (jsc#SES-1134).
- commit 5555f78
* Tue Apr 14 2020 jack@suse.cz
- bfq: Tune slice_idle (bsc#1168838).
- commit cd1f013
* Tue Apr 14 2020 oneukum@suse.com
- mt76: mt76x02: fix coverage_class type (git-fixes).
- commit 17e4f02
* Tue Apr 14 2020 oneukum@suse.com
- blacklist.conf: cosmetic change only
- commit c7bf43b
* Tue Apr 14 2020 oneukum@suse.com
- padata: fix uninitialized return value in padata_replace()
  (git-fixes).
- commit 3620d06
* Tue Apr 14 2020 msuchanek@suse.de
- Revert "powerpc/64: irq_work avoid interrupt when called with
  hardware irqs enabled" (bsc#1156395).
- commit 6d41ca5
* Tue Apr 14 2020 tiwai@suse.de
- drm/i915: Fix ref->mutex deadlock in i915_active_wait()
  (stable-5.4.y).
- commit 35b215a
* Tue Apr 14 2020 tiwai@suse.de
- drm/sun4i: dsi: Avoid hotplug race with DRM driver bind
  (git-fixes).
- commit 725ce8a
* Tue Apr 14 2020 tiwai@suse.de
- pwm: pca9685: Fix PWM/GPIO inter-operation (git-fixes).
- pwm: renesas-tpu: Fix late Runtime PM enablement (git-fixes).
- pwm: rcar: Fix late Runtime PM enablement (git-fixes).
- pwm: meson: Fix confusing indentation (git-fixes).
- pwm: bcm2835: Dynamically allocate base (git-fixes).
- ipmi: fix hung processes in __get_guid() (git-fixes).
- drm/i915/gem: Flush all the reloc_gpu batch (git-fixes).
- platform/chrome: cros_ec_rpmsg: Fix race with host event
  (git-fixes).
- acpi/nfit: improve bounds checking for 'func' (git-fixes).
- drm/sun4i: dsi: Allow binding the host without a panel
  (git-fixes).
- drm/sun4i: dsi: Use NULL to signify "no panel" (git-fixes).
- drm/sun4i: dsi: Remove unused drv from driver context
  (git-fixes).
- Bluetooth: RFCOMM: fix ODEBUG bug in rfcomm_dev_ioctl
  (git-fixes).
- commit 3034d25
* Tue Apr 14 2020 kbuild@suse.de
- Delete patches.kabi/* workarounds
- commit 70f1868
* Tue Apr 14 2020 mkubecek@suse.cz
- supported.conf: fix order of entries (sort)
- commit ead7ceb
* Tue Apr 14 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-lpfc-Change-default-SCSI-LUN-QD-to-64.patch
  patches.suse/scsi-lpfc-Fix-crash-after-handling-a-pci-error.patch
  patches.suse/scsi-lpfc-Fix-crash-in-target-side-cable-pulls-hitti.patch
  patches.suse/scsi-lpfc-Fix-erroneous-cpu-limit-of-128-on-I-O-stat.patch
  patches.suse/scsi-lpfc-Fix-kasan-slab-out-of-bounds-error-in-lpfc.patch
  patches.suse/scsi-lpfc-Fix-lockdep-error-register-non-static-key.patch
  patches.suse/scsi-lpfc-Fix-lpfc-overwrite-of-sg_cnt-field-in-nvme.patch
  patches.suse/scsi-lpfc-Fix-scsi-host-template-for-SLI3-vports.patch
  patches.suse/scsi-lpfc-Fix-update-of-wq-consumer-index-in-lpfc_sl.patch
  patches.suse/scsi-lpfc-Make-debugfs-ktime-stats-generic-for-NVME-.patch
  patches.suse/scsi-lpfc-Remove-prototype-FIPS-DSS-options-from-SLI.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.0.patch
- commit 8c32594
* Tue Apr 14 2020 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patch out of sorted section:
  patches.suse/cifs-ignore-cached-share-root-handle-closing-errors.patch
- commit d749c1b
* Tue Apr 14 2020 jgross@suse.com
- xen/blkfront: fix memory allocation flags in
  blkfront_setup_indirect() (bsc#1168486).
- commit 97066fb
* Mon Apr 13 2020 dbueso@suse.de
- time/namespace: Add max_time_namespaces ucount (bsc#1164648,jsc#SLE-11493).
- commit 15be678
* Mon Apr 13 2020 colyli@suse.de
- blacklist.conf: add following commits, disable them temporarily,
  a4a8d286586d4b28c8517a51db8d86954aadc74b
  3918e0667bbac99400b44fa5aef3f8be2eeada4a
  When add them back when dm back port done.
- commit 23511fe
* Mon Apr 13 2020 colyli@suse.de
- lib/raid6/test: fix build on distros whose /bin/sh is not bash
  (git fixes (block layer)).
- Revert "dm: always call blk_queue_split() in dm_process_bio()"
  (git fixes (block layer)).
- coresight: do not use the BIT() macro in the UAPI header
  (git fixes (block layer)).
- pid: Improve the comment about waiting in zap_pid_ns_processes
  (git fixes (block layer)).
- dm verity fec: fix memory leak in verity_fec_dtr (git fixes
  (block layer)).
- null_blk: Fix the null_add_dev() error path (git fixes
  (block layer)).
- blk-mq: Keep set->nr_hw_queues and set->map[].nr_queues in sync
  (git fixes (block layer)).
- dm: fix congested_fn for request-based device (git fixes
  (block layer)).
- dm zoned: Fix reference counter initial value of chunk works
  (git fixes (block layer)).
- dm writecache: verify watermark during resume (git fixes
  (block layer)).
- dm: report suspended device during destroy (git fixes (block
  layer)).
- dm cache: fix a crash due to incorrect work item cancelling
  (git fixes (block layer)).
- dm integrity: fix invalid table returned due to argument count
  mismatch (git fixes (block layer)).
- dm integrity: fix a deadlock due to offloading to an incorrect
  workqueue (git fixes (block layer)).
- dm integrity: fix recalculation when moving from journal mode
  to bitmap mode (git fixes (block layer)).
- lib/stackdepot.c: fix global out-of-bounds in stack_slabs
  (git fixes (block layer)).
- drivers/block/zram/zram_drv.c: fix error return codes not
  being returned in writeback_store (git fixes (block layer)).
- dm: fix potential for q->make_request_fn NULL pointer (git fixes
  (block layer)).
- dm thin metadata: use pool locking at end of
  dm_pool_metadata_close (git fixes (block layer)).
- dm writecache: fix incorrect flush sequence when doing SSD
  mode commit (git fixes (block layer)).
- dm crypt: fix benbi IV constructor crash if used in
  authenticated mode (git fixes (block layer)).
- dm space map common: fix to ensure new block isn't already in
  use (git fixes (block layer)).
- dm zoned: support zone sizes smaller than 128MiB (git fixes
  (block layer)).
- padata: update documentation (git fixes (block layer)).
- block: fix an integer overflow in logical block size (git fixes
  (block layer)).
- compat_ioctl: block: handle Persistent Reservations (git fixes
  (block layer)).
- dm thin: Flush data device before committing metadata (git fixes
  (block layer)).
- dm thin metadata: Add support for a pre-commit callback (git
  fixes (block layer)).
- dm btree: increase rebalance threshold in __rebalance2()
  (git fixes (block layer)).
- dm mpath: remove harmful bio-based optimization (git fixes
  (block layer)).
- block: fix memleak of bio integrity data (git fixes (block
  layer)).
- block: sed-opal: fix sparse warning: convert __be64 data
  (git fixes (block layer)).
- block: sed-opal: fix sparse warning: obsolete array init
  (git fixes (block layer)).
- commit 7a0b356
* Sun Apr 12 2020 mkubecek@suse.cz
- constrants: fix malformed XML
  Closing tag of an element is "</foo>", not "<foo/>".
  Fixes: 8b37de2eb835 ("rpm/constraints.in: Increase memory for kernel-docs")
- commit 4a8ca28
* Sun Apr 12 2020 tiwai@suse.de
- Refresh patches.suse/ALSA-pcm-oss-Fix-regression-by-buffer-overflow-fix-a.patch
  Mark the upstream commit id to be ignored; the chery-picked patch supercedes it
- commit 5705a3a
* Sat Apr 11 2020 tiwai@suse.de
- ASoC: cs4270: pull reset GPIO low then high (git-fixes).
- ASoC: rt5645: Add platform-data for Medion E1239T (git-fixes).
- ASoC: Intel: bytcr_rt5640: Add quirk for MPMAN MPWIN895CL tablet
  (git-fixes).
- ASoC: Intel: atom: Fix uninitialized variable compiler warning
  (git-fixes).
- ASoC: Intel: atom: Check drv->lock is locked in
  sst_fill_and_send_cmd_unlocked (git-fixes).
- ASoC: Intel: atom: Take the drv->lock mutex before calling
  sst_send_slot_map() (git-fixes).
- ASoC: topology: use name_prefix for new kcontrol (git-fixes).
- ASoC: rt5682: Fix build error without CONFIG_I2C (git-fixes).
- ASoC: dpcm: allow start or stop during pause for backend
  (git-fixes).
- ASoC: dapm: connect virtual mux with default value (git-fixes).
- ASoC: Intel: bdw-rt5677: Remove ignore_suspend flag from SSP0
  dai link (git-fixes).
- ASoC: Intel: haswell: Remove ignore_suspend flag from SSP0
  dai link (git-fixes).
- ASoC: Intel: broadwell: Remove ignore_suspend flag from SSP0
  dai link (git-fixes).
- ASoC: fix regwmask (git-fixes).
- ALSA: hda: Add driver blacklist (git-fixes).
- ALSA: usb-audio: Add mixer workaround for TRX40 and co
  (git-fixes).
- ALSA: hda/realtek - Add quirk for MSI GL63 (git-fixes).
- ALSA: ice1724: Fix invalid access for enumerated ctl items
  (git-fixes).
- ALSA: hda: Fix potential access overflow in beep helper
  (git-fixes).
- ALSA: hda/realtek - Add HP new mute led supported for ALC236
  (git-fixes).
- ALSA: hda/realtek - Add supported new mute Led for HP
  (git-fixes).
- ALSA: usb-audio: Add registration quirk for Kingston HyperX
  Cloud Alpha S (git-fixes).
- ALSA: usb-audio: Add Pioneer DJ DJM-250MK2 quirk (git-fixes).
- ALSA: pcm: oss: Fix regression by buffer overflow fix (again)
  (git-fixes).
- ALSA: hda/realtek - Add quirk for Lenovo Carbon X1 8th gen
  (git-fixes).
- commit fa71152
* Thu Apr  9 2020 dwagner@suse.de
- crypto: arm/poly1305 - add artifact to .gitignore files
  (bsc#1169021 jsc#SLE-12250).
- crypto: x86/curve25519 - leave r12 as spare register
  (bsc#1169021 jsc#SLE-12250).
- crypto: x86/curve25519 - replace with formally verified
  implementation (bsc#1169021 jsc#SLE-12250).
- crypto: arm64/chacha - correctly walk through blocks
  (bsc#1169021 jsc#SLE-12250).
- crypto: x86/curve25519 - support assemblers with no adx support
  (bsc#1169021 jsc#SLE-12250).
- crypto: chacha20poly1305 - prevent integer overflow on large
  input (bsc#1169021 jsc#SLE-12250).
- icmp: introduce helper for nat'd source address in network
  device context (bsc#1169021 jsc#SLE-12250).
- crypto: Kconfig - allow tests to be disabled when manager is
  disabled (bsc#1169021 jsc#SLE-12250).
- wireguard: selftests: import harness makefile for test suite
  (bsc#1169021 jsc#SLE-12250).
- net: WireGuard secure network tunnel (bsc#1169021
  jsc#SLE-12250).
- Update config files: enable WIREGUARD on all archs.
- Update supported.conf: mark new drivers/net/wireguard as unsupported.
- crypto: arm/chacha - fix build failured when kernel mode NEON
  is disabled (bsc#1169021 jsc#SLE-12250).
- crypto: x86/poly1305 - emit does base conversion itself
  (bsc#1169021 jsc#SLE-12250).
- crypto: chacha20poly1305 - add back missing test vectors and
  test chunking (bsc#1169021 jsc#SLE-12250).
- crypto: x86/poly1305 - fix .gitignore typo (bsc#1169021
  jsc#SLE-12250).
- crypto: curve25519 - Fix selftest build error (bsc#1169021
  jsc#SLE-12250).
- Update supported.conf: mark new lib/crypto/libcurve25519-generic as
  unsupported.
- crypto: {arm,arm64,mips}/poly1305 - remove redundant
  non-reduction from emit (bsc#1169021 jsc#SLE-12250).
- crypto: x86/poly1305 - wire up faster implementations for kernel
  (bsc#1169021 jsc#SLE-12250).
- Update config files: a value of 11 is now required for
  CRYPTO_LIB_POLY1305_RSIZE on x86_64.
- crypto: x86/poly1305 - import unmodified cryptogams
  implementation (bsc#1169021 jsc#SLE-12250).
- crypto: poly1305 - add new 32 and 64-bit generic versions
  (bsc#1169021 jsc#SLE-12250).
- crypto: lib/curve25519 - re-add selftests (bsc#1169021
  jsc#SLE-12250).
- crypto: chacha - fix warning message in header file (bsc#1169021
  jsc#SLE-12250).
- crypto: arm/curve25519 - add arch-specific key generation
  function (bsc#1169021 jsc#SLE-12250).
- crypto: arch - conditionalize crypto api in arch glue for lib
  code (bsc#1169021 jsc#SLE-12250).
- crypto: lib/chacha20poly1305 - use chacha20_crypt() (bsc#1169021
  jsc#SLE-12250).
- crypto: x86/chacha - only unregister algorithms if registered
  (bsc#1169021 jsc#SLE-12250).
- crypto: chacha_generic - remove unnecessary setkey() functions
  (bsc#1169021 jsc#SLE-12250).
- crypto: lib/chacha20poly1305 - reimplement crypt_from_sg()
  routine (bsc#1169021 jsc#SLE-12250).
- crypto: chacha20poly1305 - import construction and selftest
  from Zinc (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_LIB_CHACHA20POLY1305 on all archs.
- Update supported.conf: mark new lib/crypto/libchacha20poly1305 as
  unsupported.
- crypto: arm/curve25519 - wire up NEON implementation
  (bsc#1169021 jsc#SLE-12250).
- crypto: arm/curve25519 - import Bernstein and Schwabe's
  Curve25519 ARM implementation (bsc#1169021 jsc#SLE-12250).
- crypto: curve25519 - x86_64 library and KPP implementations
  (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_CURVE25519_X86 on x86_64, which in
  turn implies CRYPTO_ARCH_HAVE_LIB_CURVE25519.
- Update supported.conf: mark new arch/x86/crypto/curve25519-x86_64 as
  unsupported.
- crypto: lib/curve25519 - work around Clang stack spilling issue
  (bsc#1169021 jsc#SLE-12250).
- crypto: curve25519 - implement generic KPP driver (bsc#1169021
  jsc#SLE-12250).
- Update config files: enable CRYPTO_CURVE25519 on all archs.
- Update supported.conf: mark new crypto/curve25519-generic as unsupported.
- crypto: curve25519 - add kpp selftest (bsc#1169021
  jsc#SLE-12250).
- crypto: curve25519 - generic C library implementations
  (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_LIB_CURVE25519 on all archs, which in
  turn implies CRYPTO_LIB_CURVE25519_GENERIC.
- Update supported.conf: mark new lib/crypto/libcurve25519 as unsupported.
- crypto: blake2s - x86_64 SIMD implementation (bsc#1169021
  jsc#SLE-12250).
- Update config files: enable CRYPTO_BLAKE2S_X86 on x86_64, which in turn
  implies CRYPTO_ARCH_HAVE_LIB_BLAKE2S.
- Update supported.conf: mark new arch/x86/crypto/blake2s-x86_64 as
  unsupported.
- crypto: blake2s - implement generic shash driver (bsc#1169021
  jsc#SLE-12250).
- Update config files: enable CRYPTO_BLAKE2S on all archs.
- Update supported.conf: mark new crypto/blake2s_generic as unsupported.
- crypto: testmgr - add test cases for Blake2s (bsc#1169021
  jsc#SLE-12250).
- crypto: blake2s - generic C library implementation and selftest
  (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_LIB_BLAKE2S on all archs, which in
  turn implies CRYPTO_LIB_BLAKE2S_GENERIC.
- Update supported.conf: mark new lib/crypto/libblake2s and
  lib/crypto/libblake2s-generic as unsupported.
- crypto: mips/poly1305 - incorporate OpenSSL/CRYPTOGAMS optimized
  implementation (bsc#1169021 jsc#SLE-12250).
- crypto: arm/poly1305 - incorporate OpenSSL/CRYPTOGAMS NEON
  implementation (bsc#1169021 jsc#SLE-12250).
- crypto: arm64/poly1305 - incorporate OpenSSL/CRYPTOGAMS NEON
  implementation (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_POLY1305_NEON on arm64, which in turn
  implies CRYPTO_ARCH_HAVE_LIB_POLY1305;
  a value of 9 is required for the internal CRYPTO_LIB_POLY1305_RSIZE on
  arm64.
- Update supported.conf: mark new arch/arm64/crypto/poly1305-neon as
  unsupported.
- crypto: x86/poly1305 - expose existing driver as poly1305
  library (bsc#1169021 jsc#SLE-12250).
- Update config files: CRYPTO_POLY1305_X86_64 implies
  CRYPTO_ARCH_HAVE_LIB_POLY1305 on x86_64 now;
  a value of 4 is required for the internal CRYPTO_LIB_POLY1305_RSIZE on
  x86_64.
- crypto: x86/poly1305 - depend on generic library not generic
  shash (bsc#1169021 jsc#SLE-12250).
- crypto: poly1305 - expose init/update/final library interface
  (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_LIB_POLY1305 on all archs and set the
  internal CRYPTO_LIB_POLY1305_RSIZE to 1 (the common default value among
  all archs for now).
- crypto: x86/poly1305 - unify Poly1305 state struct with generic
  code (bsc#1169021 jsc#SLE-12250).
- crypto: poly1305 - move core routines into a separate library
  (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_LIB_POLY1305_GENERIC on all archs.
- Update supported.conf: mark new lib/crypto/libpoly1305 as supported.
- crypto: chacha - unexport chacha_generic routines (bsc#1169021
  jsc#SLE-12250).
- crypto: mips/chacha - wire up accelerated 32r2 code from Zinc
  (bsc#1169021 jsc#SLE-12250).
- crypto: mips/chacha - import 32r2 ChaCha code from Zinc
  (bsc#1169021 jsc#SLE-12250).
- crypto: arm/chacha - expose ARM ChaCha routine as library
  function (bsc#1169021 jsc#SLE-12250).
- crypto: arm/chacha - remove dependency on generic ChaCha driver
  (bsc#1169021 jsc#SLE-12250).
- crypto: arm/chacha - import Eric Biggers's scalar accelerated
  ChaCha code (bsc#1169021 jsc#SLE-12250).
- crypto: arm64/chacha - expose arm64 ChaCha routine as library
  function (bsc#1169021 jsc#SLE-12250).
- Update config files: CRYPTO_CHACHA20_NEON implies
  CRYPTO_ARCH_HAVE_LIB_CHACHA on arm64 now.
- crypto: arm64/chacha - depend on generic chacha library instead
  of crypto driver (bsc#1169021 jsc#SLE-12250).
- crypto: x86/chacha - expose SIMD ChaCha routine as library
  function (bsc#1169021 jsc#SLE-12250).
- Update config files: CRYPTO_CHACHA20_X86_64 implies
  CRYPTO_ARCH_HAVE_LIB_CHACHA on x86_64 now.
- crypto: x86/chacha - depend on generic chacha library instead
  of crypto driver (bsc#1169021 jsc#SLE-12250).
- crypto: chacha - move existing library code into lib/crypto
  (bsc#1169021 jsc#SLE-12250).
- Update config files: enable CRYPTO_LIB_CHACHA_GENERIC and
  CRYPTO_LIB_CHACHA on all archs.
- Update supported.conf: mark new lib/crypto/libchacha as unsupported.
- crypto: lib - tidy up lib/crypto Kconfig and Makefile
  (bsc#1169021 jsc#SLE-12250).
- commit 121a35e
* Thu Apr  9 2020 mgorman@suse.de
- cgroup, rstat: Revert "cgroup: Add memory barriers to plug
  cgroup_rstat_updated() race window" (bsc#1158748).
- commit f88fb2e
* Thu Apr  9 2020 oneukum@suse.com
- Refresh patches.suse/0001-kABI-more-hooks-for-PCI-changes.patch.
  (bsc#1168999)
  For some unknown reason (likely a macro), changing
  struct pci_fixup breaks things left and right.
  Removing the padding
- commit bbd0eda
* Thu Apr  9 2020 jwiesner@suse.com
- ipvlan: do not add hardware address of master to its unicast
  filter list (bsc#1137325).
- commit 51a58f4
* Thu Apr  9 2020 aaptel@suse.com
- cifs: ignore cached share root handle closing errors
  (bsc#1166780).
- commit 1f63b4d
* Thu Apr  9 2020 mgorman@suse.de
- Update config files to disable CONFIG_TRACE_IRQFLAGS (bsc#1169078).
- commit 35b5c01
* Thu Apr  9 2020 mkubecek@suse.cz
- kabi: drop kabi reference files (stop checking kabi)
  After the SLE15 SP2 release schedule update, it's too early to enforce
  kabi and there are some upcoming requests which either cannot be
  implemented without kabi change or would require too complicated hacks.
  Drop kabi reference files so that kabi won't be checked until they are
  added back again.
- commit 16aa8e7
* Thu Apr  9 2020 hare@suse.de
- lpfc: nvmet: Add Send LS Request and Abort LS Request support (bsc#1169045).
- lpfc: nvmet: Add support for NVME LS request hosthandle (bsc#1169045).
- lpfc: nvme: Add Receive LS Request and Send LS Response (bsc#1169045).
- lpfc: Refactor Send LS Response support (bsc#1169045).
- lpfc: Refactor Send LS Abort support (bsc#1169045).
- lpfc: Refactor Send LS Request support (bsc#1169045).
- lpfc: Refactor NVME LS receive handling (bsc#1169045).
- lpfc: Commonize lpfc_async_xchg_ctx state and flag (bsc#1169045).
- lpfc: Refactor nvmet_rcv_ctx to create lpfc_async_xchg_ctx (bsc#1169045).
- lpfc: Refactor lpfc nvme headers (bsc#1169045).
- nvme-fcloop: add target to host LS request support (bsc#1169045).
- nvme-fcloop: refactor to enable target to host LS (bsc#1169045).
- nvmet-fc: Add Disconnect Association Xmt support (bsc#1169045).
- nvmet-fc: rename ls_list to ls_rcv_list (bsc#1169045).
- nvmet-fc: track hostport handle for associations (bsc#1169045).
- nvmet-fc: perform small cleanups on unneeded checks (bsc#1169045).
- nvmet-fc: add LS failure messages (bsc#1169045).
- nvme-fc: Add Disconnect Association Rcv support (bsc#1169045).
- nvmet-fc: Update target for common definitions for LS (bsc#1169045).
- nvme-fc: Update header and host for common definitions for LS (bsc#1169045).
- nvme-fc: convert assoc_active flag to bit op (bsc#1169045).
- nvme-fc: Ensure private pointers are NULL if no data (bsc#1169045).
- nvmet-fc: Better size LS buffers (bsc#1169045).
- nvme-fc nvmet-fc: refactor for common LS definitions (bsc#1169045).
- nvme-fc and nvmet-fc: revise LLDD api for LS reception and LS (bsc#1169045).
- nvme-fc: Sync header to FC-NVME-2 rev 1.08 (bsc#1169045).
- nvme-fc: Revert "add module to ops template to allow module (bsc#1169045).
- nvme: fix deadlock caused by ANA update wrong locking (bsc#1169045).
- nvmet-rdma: fix bonding failover possible NULL deref (bsc#1169045).
- nvmet: fix NULL dereference when removing a referral (bsc#1169045).
- nvme: inherit stable pages constraint in the mpath stack (bsc#1169045).
- nvmet-fc: fix typo in comment (bsc#1169045).
- nvme-rdma: Replace comma with a semicolon (bsc#1169045).
- nvme-fcloop: fix deallocation of working context (bsc#1169045).
- commit afa84e7
* Thu Apr  9 2020 hare@suse.de
- scripts/git_sort/git_sort.py: Update nvme repositories
- commit 45cef90
* Thu Apr  9 2020 hare@suse.de
- nvme-fabrics: Use scnprintf() for avoiding potential buffer overflow (bsc#1161930).
- nvme-multipath: do not reset on unknown status (bsc#1161930).
- nvme: Check for readiness more quickly, to speed up boot time (bsc#1161930).
- nvme: log additional message for controller status (bsc#1161930).
- nvme: code cleanup nvme_identify_ns_desc() (bsc#1161930).
- nvmet-tcp: set MSG_MORE only if we actually have more to send (bsc#1161930).
- commit 0215ed6
* Thu Apr  9 2020 msuchanek@suse.de
- rpm/constraints.in: Increase memory for kernel-docs
  References: https://build.opensuse.org/request/show/792664
- commit 8b37de2
* Thu Apr  9 2020 hare@suse.de
- nvmet-tcp: set SO_PRIORITY for accepted sockets (bsc#1169045).
- nvme-tcp: Set SO_PRIORITY for all host sockets (bsc#1169045).
- nvmet: check sscanf value for subsys serial attr (bsc#1169045).
- nvmet: make ctrl model configurable (bsc#1169045).
- nvmet: make ctrl-id configurable (bsc#1169045).
- nvmet: configfs code cleanup (bsc#1169045).
- nvme: remove unused return code from nvme_alloc_ns (bsc#1169045).
- nvme-rdma: Avoid double freeing of async event data (bsc#1169045).
- nvme-pci: Hold cq_poll_lock while completing CQEs (bsc#1169045).
- nvme-multipath: Fix memory leak with ana_log_buf (bsc#1169045).
- nvme: Fix uninitialized-variable warning (bsc#1169045).
- nvme-pci: Use single IRQ vector for old Apple models (bsc#1169045).
- nvme/pci: Add sleep quirk for Samsung and Toshiba drives (bsc#1169045).
- nvme/pci: move cqe check after device shutdown (bsc#1169045).
- nvme: prevent warning triggered by nvme_stop_keep_alive (bsc#1169045).
- nvme/tcp: fix bug on double requeue when send fails (bsc#1169045).
- nvmet: update AEN list and array at one place (bsc#1169045).
- nvmet: Fix controller use after free (bsc#1169045).
- nvmet: Fix error print message at nvmet_install_queue (bsc#1169045).
- nvme-pci: remove nvmeq->tags (bsc#1169045).
- nvmet: fix dsm failure when payload does not match sgl (bsc#1169045).
- nvmet: fix per feat data len for get_feature (bsc#1169045).
- nvme/pci: Fix read queue count (bsc#1169045).
- nvme/pci Limit write queue sizes to possible cpus (bsc#1169045).
- nvme/pci: Fix write and poll queue types (bsc#1169045).
- nvme/pci: Remove last_cq_head (bsc#1169045).
- nvme: Namepace identification descriptor list is optional (bsc#1169045).
- commit 583ef0e
* Thu Apr  9 2020 jroedel@suse.de
- PCI: pciehp: Fix MSI interrupt race (bsc#1159037).
- commit 41635b6
* Thu Apr  9 2020 tiwai@suse.de
- Fix mmc CMD6 timeout spams (bsc#1169056)
  The patch
  patches.suse/mmc-core-Default-to-generic_cmd6_time-as-timeout-in-.patch.
  triggers spamming wrt MMC CMD6 timeout default.  This has been already
  reverted in stable queue, too, so let's kill it.
  This also requires the refresh of
  patches.suse/mmc-core-Allow-host-controllers-to-require-R1B-for-C.patch.
- commit d264c89
* Thu Apr  9 2020 hare@suse.de
- nvme-fc: fix double-free scenarios on hw queues (bsc#1169045).
- nvme: else following return is not needed (bsc#1169045).
- nvme: add error message on mismatching controller ids (bsc#1169045).
- nvme_fc: add module to ops template to allow module (bsc#1169045).
- nvme-fc: Avoid preallocating big SGL for data (bsc#1169045).
- nvme-rdma: Avoid preallocating big SGL for data (bsc#1169045).
- nvme: hwmon: add quirk to avoid changing temperature (bsc#1169045).
- nvme: hwmon: provide temperature min and max values for each (bsc#1169045).
- nvme: Discard workaround for non-conformant devices (bsc#1169045).
- commit ad5c1b6
* Thu Apr  9 2020 hare@suse.de
- nvme: Add hardware monitoring support (bsc#1169045).
- Update config files.
- commit 7065393
* Thu Apr  9 2020 hare@suse.de
- nvmet: Introduce common execute function for get_log_page and identify (bsc#1169045).
- commit 9f41df0
* Thu Apr  9 2020 jroedel@suse.de
- iommu/virtio: Fix freeing of incomplete domains (bsc#1169049).
- iommu/vt-d: Fix mm reference leak (bsc#1169050).
- iommu/amd: Fix the configuration of GCR3 table root pointer
  (bsc#1169048).
- iommu/vt-d: Fix page request descriptor size (bsc#1169051).
- KVM: x86: Fix CPUID range checks for Hypervisor and Centaur
  classes (bsc#1169052).
- KVM: x86: Trace the original requested CPUID function in
  kvm_cpuid() (bsc#1169053).
- commit 02f2b47
* Thu Apr  9 2020 hare@suse.de
- nvmet: stop using bio_set_op_attrs (bsc#1169045).
- nvmet: add plugging for read/write when ns is bdev (bsc#1169045).
- nvmet: clean up command parsing a bit (bsc#1169045).
- nvmet: fill discovery controller sn, fr and mn correctly (bsc#1169045).
- nvmet: Open code nvmet_req_execute() (bsc#1169045).
- nvmet: Remove the data_len field from the nvmet_req struct (bsc#1169045).
- nvmet: Introduce nvmet_dsm_len() helper (bsc#1169045).
- nvmet: Cleanup discovery execute handlers (bsc#1169045).
- nvmet-tcp: Don't set the request's data_len (bsc#1169045).
- nvmet-tcp: Don't check data_len in nvmet_tcp_map_data() (bsc#1169045).
- nvme: Introduce nvme_lba_to_sect() (bsc#1169045).
- nvme: Cleanup and rename nvme_block_nr() (bsc#1169045).
- nvme: move common call to nvme_cleanup_cmd to core layer (bsc#1169045).
- nvme: introduce "Command Aborted By host" status code (bsc#1169045).
- nvmet-rdma: add unlikely check at nvmet_rdma_map_sgl_keyed (bsc#1169045).
- nvmet: add unlikely check at nvmet_req_alloc_sgl (bsc#1169045).
- nvmet: use bio_io_error instead of duplicating it (bsc#1169045).
- nvme: introduce nvme_is_aen_req function (bsc#1169045).
- nvme-fc: ensure association_id is cleared regardless of a Disconnet LS (bsc#1169045).
- nvme-fc: clarify error messages (bsc#1169045).
- nvme-fc: Set new cmd set indicator in nvme-fc cmnd iu (bsc#1169045).
- nvme-fc and nvmet-fc: sync with FC-NVME-2 header changes (bsc#1169045).
- nvme-fc: Sync nvme-fc header to FC-NVME-2 (bsc#1169045).
- commit 2d3a577
* Thu Apr  9 2020 hare@suse.de
- nvme-multipath: remove unused groups_only mode in ana log (bsc#1169045).
- nvme: Wait for reset state when required (bsc#1169045).
- nvme: Prevent resets during paused controller state (bsc#1169045).
- nvme: Restart request timers in resetting state (bsc#1169045).
- nvme: Remove ADMIN_ONLY state (bsc#1169045).
- nvme-pci: Free tagset if no IO queues (bsc#1169045).
- nvme: retain split access workaround for capability reads (bsc#1169045).
- nvme: fix possible deadlock when nvme_update_formats fails (bsc#1169045).
- commit a98e6f9
* Thu Apr  9 2020 dwagner@suse.de
- scsi: core: avoid repetitive logging of device offline messages
  (bsc#1145929).
- commit 4217986
* Thu Apr  9 2020 wqu@suse.com
- btrfs: qgroup: Mark qgroup inconsistent if we're inherting
  snapshot to a new qgroup (bsc#1165823).
- commit f82cb6e
* Thu Apr  9 2020 neilb@suse.de
- SUNRPC: fix krb5p mount to provide large enough buffer in
  rq_rcvsize (bsc#1168236).
- commit 973a971
* Wed Apr  8 2020 mkubecek@suse.cz
- config: refresh
- commit 60a481d
* Wed Apr  8 2020 yousaf.kaukab@suse.com
- cpufreq: arm64: prevent module unload (bsc#1168476).
- commit 59dc6e3
* Wed Apr  8 2020 tiwai@suse.de
- misc: pci_endpoint_test: Fix to support > 10 pci-endpoint-test
  devices (git-fixes).
- pinctrl: sprd: Use the correct pin output configuration
  (git-fixes).
- pxa168fb: fix release function mismatch in probe failure
  (git-fixes).
- mt76: remove variable 'val' set but not used (git-fixes).
- irqchip/bcm2835: Quiesce IRQs left enabled by bootloader
  (git-fixes).
- iio: potentiostat: lmp9100: fix
  iio_triggered_buffer_{predisable,postenable} positions
  (git-fixes).
- iio: si1133: read 24-bit signed integer for measurement
  (git-fixes).
- staging: kpc2000: prevent underflow in cpld_reconfigure()
  (git-fixes).
- pstore: pstore_ftrace_seq_next should increase position index
  (git-fixes).
- libata: Remove extra scsi_host_put() in ata_scsi_add_hosts()
  (git-fixes).
- r8169: fix PHY driver check on platforms w/o module softdeps
  (git-fixes).
- i2c: nvidia-gpu: Handle timeout correctly in
  gpu_i2c_check_status() (git-fixes).
- geneve: move debug check after netdev unregister (git-fixes).
- lib/test_kasan.c: fix memory leak in kmalloc_oob_krealloc_more()
  (git-fixes).
- lib/ubsan: don't serialize UBSAN report (git-fixes).
- commit a79673f
* Wed Apr  8 2020 tiwai@suse.de
- drm/vc4: Fix HDMI mode validation (git-fixes).
- drm: amd/acp: fix broken menu structure (git-fixes).
- drm/v3d: Replace wait_for macros to remove use of msleep
  (git-fixes).
- drm/amd/display: Fix wrongly passed static prefix (git-fixes).
- drm: Remove PageReserved manipulation from drm_pci_alloc
  (git-fixes).
- drm/crc: Actually allow to change the crc source (git-fixes).
- drm/drm_dp_mst:remove set but not used variable 'origlen'
  (git-fixes).
- drm/amdgpu: fix typo for vcn1 idle check (git-fixes).
- drm/amd/display: Add link_rate quirk for Apple 15" MBP 2017
  (git-fixes).
- drm/bochs: downgrade pci_request_region failure from error to
  warning (git-fixes).
- drm/amdgpu: correct ROM_INDEX/DATA offset for VEGA20
  (git-fixes).
- commit 3d01994
* Wed Apr  8 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/slcan-Don-t-transmit-uninitialized-stack-data-in-pad.patch
- commit 26aaf48
* Wed Apr  8 2020 tiwai@suse.de
- thermal: devfreq_cooling: inline all stubs for
  CONFIG_DEVFREQ_THERMAL=n (git-fixes).
- thermal: qoriq: Fix a compiling issue (git-fixes).
- mfd: dln2: Fix sanity checking for endpoints (git-fixes).
- tun: Don't put_page() for all negative return values from XDP
  program (git-fixes).
- PCI/ERR: Update error status after reset_link() (git-fixes).
- PCI/ERR: Combine pci_channel_io_frozen cases (git-fixes).
- mei: me: add cedar fork device ids (git-fixes).
- extcon: axp288: Add wakeup support (git-fixes).
- fbdev: potential information leak in do_fb_ioctl() (git-fixes).
- watchdog: iTCO_wdt: Make ICH_RES_IO_SMI optional (git-fixes).
- watchdog: iTCO_wdt: Export vendorsupport (git-fixes).
- fat: fix uninit-memory access for partial initialized inode
  (git-fixes).
- commit 58be4d2
* Wed Apr  8 2020 ggherdovich@suse.cz
- x86, sched: Account for CPUs with less than 4 cores in
  freq. invariance (boo#1166664).
- commit 949f5c1
* Wed Apr  8 2020 ggherdovich@suse.cz
- x86, sched: Bail out of frequency invariance if base frequency
  is unknown (bsc#1167878).
- commit f094f17
* Tue Apr  7 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-pseries-Fix-MCE-handling-on-pseries.patch.
- commit 901c022
* Tue Apr  7 2020 msuchanek@suse.de
- s390x: zfcpdump: disable CONFIG_RELOCATABLE (bsc#1168847).
- commit 77366c6
* Tue Apr  7 2020 mkubecek@suse.cz
- series.conf: cleanup
- move into sorted section:
  patches.suse/slcan-Don-t-transmit-uninitialized-stack-data-in-pad.patch
- commit 6de7fc6
* Tue Apr  7 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/btrfs-qgroup-ensure-qgroup_rescan_running-is-only-se.patch
- commit 5232dd1
* Tue Apr  7 2020 mgorman@suse.de
- Update config files to disable CONFIG_UCLAMP_TASK (bsc#1168888).
- commit 00c1c4e
* Tue Apr  7 2020 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patches out of sorted section
- commit 362f0b0
* Tue Apr  7 2020 oneukum@suse.com
- Update
  patches.suse/media-ov519-add-missing-endpoint-sanity-checks.patch
  (CVE-2020-11608 bsc#1168829). Added cve number
- commit a2db40e
* Tue Apr  7 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/Documentation-ABI-Add-ABI-documentation-for-sys-kern.patch
  patches.suse/Documentation-ABI-Mark-sys-kernel-fadump_-sysfs-file.patch
  patches.suse/cpufreq-powernv-Fix-unsafe-notifiers.patch
  patches.suse/cpufreq-powernv-Fix-use-after-free.patch
  patches.suse/powerpc-64-Prevent-stack-protection-in-early-boot.patch
  patches.suse/powerpc-64-Setup-a-paca-before-parsing-device-tree-e.patch
  patches.suse/powerpc-64-tm-Don-t-let-userspace-set-regs-trap-via-.patch
  patches.suse/powerpc-64s-Fix-section-mismatch-warnings-from-boot-.patch
  patches.suse/powerpc-book3s64-Fix-error-handling-in-mm_iommu_do_a.patch
  patches.suse/powerpc-drmem-avoid-NULL-pointer-dereference-when-dr.patch
  patches.suse/powerpc-fadump-Reorganize-sys-kernel-fadump_-sysfs-f.patch
  patches.suse/powerpc-fadump-sysfs-for-fadump-memory-reservation.patch
  patches.suse/powerpc-powernv-Move-core-and-fadump_release_opalcor.patch
  patches.suse/powerpc-pseries-Fix-of_read_drc_info_cell-to-point-a.patch
  patches.suse/powerpc-pseries-Handle-UE-event-for-memcpy_mcsafe.patch
  patches.suse/powerpc-smp-Use-nid-as-fallback-for-package_id.patch
  patches.suse/powerpc-vmlinux.lds-Explicitly-retain-.gnu.hash.patch
  patches.suse/powerpc-xive-Use-XIVE_BAD_IRQ-instead-of-zero-to-cat.patch
  patches.suse/sysfs-Wrap-__compat_only_sysfs_link_entry_to_kobj-fu.patch
- commit 895f36d
* Tue Apr  7 2020 pjakobsson@suse.de
- supported.conf: Mark mali-dp as supported
  References: bsc#1168596
  Used on NXP LS1028A devices.
- commit 3682c9a
* Tue Apr  7 2020 glin@suse.com
- bpf: Verifier, do_refine_retval_range may clamp umin to 0
  incorrectly (bsc#1155518).
- bpf: Explicitly memset some bpf info structures declared on
  the stack (bsc#1155518).
- bpf: Explicitly memset the bpf_attr structure (bsc#1155518).
- commit b866c91
* Tue Apr  7 2020 neilb@suse.de
- MM: replace PF_LESS_THROTTLE with PF_LOCAL_THROTTLE
  (bsc#1163403).
- Deprecate NR_UNSTABLE_NFS, use NR_WRITEBACK (bsc#1163403).
- commit 73cedab
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/irq: Use current_stack_pointer in do_IRQ()
  (bsc#1156395).
- powerpc/irq: Use current_stack_pointer in check_stack_overflow()
  (bsc#1156395).
- powerpc: Add current_stack_pointer as a register global
  (bsc#1156395).
- powerpc: Rename current_stack_pointer() to current_stack_frame()
  (bsc#1156395).
- commit dfb328d
* Mon Apr  6 2020 jack@suse.cz
- blacklist.conf: Blacklist 1ac994525b9d
- commit 536164b
* Mon Apr  6 2020 jack@suse.cz
- mm/filemap.c: don't bother dropping mmap_sem for zero size
  readahead (bsc#1168768).
- commit 73bb347
* Mon Apr  6 2020 jack@suse.cz
- blacklist.conf: Blacklist 780f66e59231
- commit f5700fa
* Mon Apr  6 2020 jack@suse.cz
- ext4: fix incorrect group count in ext4_fill_super error message
  (bsc#1168765).
- commit fe1e977
* Mon Apr  6 2020 jack@suse.cz
- ext4: fix incorrect inodes per group in error message
  (bsc#1168764).
- commit 30375fd
* Mon Apr  6 2020 jack@suse.cz
- Move merged patches to sorted section.
- commit cd90775
* Mon Apr  6 2020 jack@suse.cz
  patches.suse/ext4-Avoid-ENOSPC-when-avoiding-to-reuse-recently-de.patch,
  patches.suse/ext4-Unregister-sysfs-path-before-destroying-jbd2-journal.patch,
  patches.suse/ext4-do-not-commit-super-on-read-only-bdev.patch: Update
  tags
- commit 9574818
* Mon Apr  6 2020 jack@suse.cz
- patches.suse/ext4-Check-for-non-zero-journal-inum-in-ext4_calculate_overhead.patches:
  Update patch tags
- commit 2c9a584
* Mon Apr  6 2020 jack@suse.cz
- partitions/efi: Fix partition name parsing in GUID partition
  entry (bsc#1168763).
- commit 0cdb51e
* Mon Apr  6 2020 jack@suse.cz
- block: keep bdi->io_pages in sync with max_sectors_kb for
  stacked devices (bsc#1168762).
- commit bab38c6
* Mon Apr  6 2020 jack@suse.cz
- blacklist.conf: Blacklist f01b411f41f9
- commit a9128f0
* Mon Apr  6 2020 jack@suse.cz
- block/diskstats: more accurate approximation of io_ticks for
  slow disks (bsc#1168761).
- commit fbbe9dc
* Mon Apr  6 2020 jack@suse.cz
- block, bfq: fix use-after-free in bfq_idle_slice_timer_body
  (bsc#1168760).
- commit 1b05c31
* Mon Apr  6 2020 tiwai@suse.de
- ASoC: jz4740-i2s: Fix divider written at incorrect offset in
  register (git-fixes).
- commit 8642419
* Mon Apr  6 2020 tiwai@suse.de
- xarray: Fix early termination of xas_for_each_marked
  (git-fixes).
- XArray: Fix xas_pause for large multi-index entries (git-fixes).
- XArray: Fix xa_find_next for large multi-index entries
  (git-fixes).
- commit b6feec2
* Mon Apr  6 2020 tiwai@suse.de
- media: imx: Propagate quantization and encoding in CSI
  (git-fixes).
- blacklist.conf:
- commit 43a1dba
* Mon Apr  6 2020 tiwai@suse.de
- tty: evh_bytechan: Fix out of bounds accesses (git-fixes).
- rtc: imx-sc: Align imx sc msg structs to 4 (git-fixes).
- rtc: cmos: Use spin_lock_irqsave() in cmos_interrupt()
  (git-fixes).
- rtc: zynqmp: Clear alarm interrupt status before interrupt
  enable (git-fixes).
- gpio: siox: use raw spinlock for irq related locking
  (git-fixes).
- soc: mediatek: knows_txdone needs to be set in Mediatek CMDQ
  helper (git-fixes).
- PCI: qcom: Fix the fixup of PCI_VENDOR_ID_QCOM (git-fixes).
- PCI: endpoint: Fix clearing start entry in configfs (git-fixes).
- PCI: pciehp: Fix indefinite wait on sysfs requests (git-fixes).
- PCI/ASPM: Clear the correct bits when enabling L1 substates
  (git-fixes).
- misc: rtsx: set correct pcr_ops for rts522A (git-fixes).
- PCI/switchtec: Fix init_completion race condition with
  poll_wait() (git-fixes).
- PM / Domains: Allow no domain-idle-states DT property in genpd
  when parsing (git-fixes).
- PM: sleep: wakeup: Skip wakeup_source_sysfs_remove() if device
  is not there (git-fixes).
- phy: ti: gmii-sel: do not fail in case of gmii (git-fixes).
- phy: ti: gmii-sel: fix set of copy-paste errors (git-fixes).
- commit b2ac503
* Mon Apr  6 2020 tiwai@suse.de
- clk: imx: clk-gate2: Pass the device to the register function
  (git-fixes).
- clk: imx8mm: Fix the CLKO1 source select list (git-fixes).
- clk: qcom: clk-rpmh: Wait for completion when enabling clocks
  (git-fixes).
- clk: sprd: fix to get a correct ibias of pll (git-fixes).
- clk: at91: usb: use proper usbs_mask (git-fixes).
- clk: at91: sam9x60: fix usb clock parents (git-fixes).
- clk: at91: sam9x60: Don't use audio PLL (git-fixes).
- clk: ingenic/jz4770: Exit with error if CGU init failed
  (git-fixes).
- clk: sunxi-ng: sun8i-de2: Add rotation core clocks and reset
  for A83T (git-fixes).
- clk: sunxi-ng: sun8i-de2: H6 doesn't have rotate core
  (git-fixes).
- clk: sunxi-ng: sun8i-de2: Add rotation core clocks and reset
  for A64 (git-fixes).
- clk: sunxi-ng: sun8i-de2: Split out H5 definitions (git-fixes).
- clk: ti: Fix dm814x clkctrl for ethernet (git-fixes).
- clk: imx: Align imx sc clock parent msg structs to 4
  (git-fixes).
- clk: imx: Align imx sc clock msg structs to 4 (git-fixes).
- clk: ti: am43xx: Fix clock parent for RTC clock (git-fixes).
- commit 2f7671e
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc: define helpers to get L1 icache sizes (bsc#1156395).
- commit 780726d
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/hash64/devmap: Use H_PAGE_THP_HUGE when setting up
  huge devmap PTE entries (bsc#1156395).
- commit 86ebd4a
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/kprobes: Ignore traps that happened in real mode
  (bsc#1065729).
- commit fc55c00
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/mm: Fix missing KUAP disable in flush_coherent_icache()
  (bsc#1156395).
- powerpc: Convert flush_icache_range & friends to C
  (bsc#1156395).
- powerpc/32: don't use CPU_FTR_COHERENT_ICACHE (bsc#1156395).
- commit 9ea5bb3
* Mon Apr  6 2020 mbenes@suse.cz
- ftrace/kprobe: Show the maxactive number on kprobe_events
  (git-fixes).
- commit 090d00e
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc: Make setjmp/longjmp signature standard (bsc#1156395).
- powerpc: Add attributes for setjmp/longjmp (bsc#1156395).
- commit 918fd5d
* Mon Apr  6 2020 ykaukab@suse.de
- PM / QoS: Redefine FREQ_QOS_MAX_DEFAULT_VALUE to S32_MAX
  (bsc#1168476).
- ACPI: processor: Add QoS requests for all CPUs (bsc#1168476).
- commit d3f0646
* Mon Apr  6 2020 ykaukab@suse.de
- cpufreq: Fix policy initialization for internal governor drivers
  (bsc#1168476).
- cpufreq: Avoid creating excessively large stack frames
  (bsc#1168476).
- cpufreq: Avoid leaving stale IRQ work items during CPU offline
  (bsc#1168476).
- cpufreq: Register drivers only after CPU devices have been
  registered (bsc#1168476).
- cpufreq: Clarify the comment in cpufreq_set_policy()
  (bsc#1168476).
- PM: QoS: Invalidate frequency QoS requests after removal
  (bsc#1168476).
- PM: QoS: Drop frequency QoS types from device PM QoS
  (bsc#1168476).
- cpufreq: Use per-policy frequency QoS (bsc#1168476).
- PM: QoS: Introduce frequency QoS (bsc#1168476).
- ACPI: processor: Avoid NULL pointer dereferences at init time
  (bsc#1168476).
- Documentation: cpufreq: Update policy notifier documentation
  (bsc#1168476).
- cpufreq: Remove CPUFREQ_ADJUST and CPUFREQ_NOTIFY policy
  notifier events (bsc#1168476).
- ACPI: cpufreq: Switch to QoS requests instead of cpufreq
  notifier (bsc#1168476).
- video: pxafb: Remove cpufreq policy notifier (bsc#1168476).
- video: sa1100fb: Remove cpufreq policy notifier (bsc#1168476).
- arch_topology: Use CPUFREQ_CREATE_POLICY instead of
  CPUFREQ_NOTIFY (bsc#1168476).
- cpufreq: powerpc_cbe: Switch to QoS requests for freq limits
  (bsc#1168476).
- cpufreq: powerpc: macintosh: Switch to QoS requests for freq
  limits (bsc#1168476).
- thermal: cpu_cooling: Switch to QoS requests for freq limits
  (bsc#1168476).
- cpufreq: Add policy create/remove notifiers back (bsc#1168476).
- cpufreq: intel_pstate: Implement QoS supported freq constraints
  (bsc#1168476).
- commit 9298b0f
* Mon Apr  6 2020 ptesarik@suse.cz
- s390/pci: Fix unexpected write combine on resource (bsc#1168553
  LTC#184760).
- commit 0e9a5c8
* Mon Apr  6 2020 msuchanek@suse.de
- powerpc/pseries/ddw: Extend upper limit for huge DMA window
  for persistent memory (FATE#327775 bsc#1142685 ltc#179509).
- commit 0b3bfc8
* Mon Apr  6 2020 dwagner@suse.de
- scsi: qla2xxx: Fix I/Os being passed down when FC device is
  being deleted (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- commit a560046
* Mon Apr  6 2020 oneukum@suse.com
- blacklist.conf: already done in 045706bff837ee89c13f1ace173db71922c1c40b
- commit 255a9d4
* Mon Apr  6 2020 oneukum@suse.com
- blacklist.conf: already done in b32196e35bd7bbc8038db1aba1fbf022dc469b6a
- commit c52adb6
* Mon Apr  6 2020 ptesarik@suse.cz
- s390/mm: fix panic in gup_fast on large pud (bsc#1167197
  LTC#184507).
- commit a8ed0dc
* Mon Apr  6 2020 oneukum@suse.com
- blacklist.conf: fixes only logged messages
- commit 8266fdf
* Mon Apr  6 2020 wqu@suse.com
- btrfs: qgroup: ensure qgroup_rescan_running is only set when
  the worker is at least queued (bsc#1168670).
- Delete
  patches.suse/btrfs-qgroups-fix-rescan-worker-running-races.patch.
- commit acca6e8
* Mon Apr  6 2020 pvorel@suse.cz
- nfsd: remove read permission bit for ctl sysctl (git-fixes).
- commit 6b806f6
* Sun Apr  5 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-kvm-s390-disallow-invalid-bits-in-kvm_valid_regs-and-kvm_dirty_regs
  patches.suse/0002-kvm-s390-mark-_insn32_query-as-_always_inline
  patches.suse/0003-kvm-s390-cleanup-kvm_arch_init-error-path
  patches.suse/0004-kvm-s390-cleanup-initial-cpu-reset
  patches.suse/0005-kvm-s390-add-new-reset-vcpu-api
- commit e3cd9b7
* Sun Apr  5 2020 mkubecek@suse.cz
- Update kabi files.
- commit 038f102
* Sat Apr  4 2020 ailiop@suse.com
- xfs: fix use-after-free when aborting corrupt attr inactivation
  (git-fixes).
- commit bef8807
* Fri Apr  3 2020 ptesarik@suse.cz
- KVM: s390: protvirt: Add initial vm and cpu lifecycle handling
  (jsc#SLE-7512 bsc#1165545).
- Update kabi files.
- commit f7edc36
* Fri Apr  3 2020 ptesarik@suse.cz
- KVM: s390: protvirt: Implement interrupt injection (jsc#SLE-7512
  bsc#1165545).
- Update kabi files.
- commit 992821a
* Fri Apr  3 2020 ptesarik@suse.cz
- KVM: s390: protvirt: Instruction emulation (jsc#SLE-7512
  bsc#1165545).
- commit 19e482f
* Fri Apr  3 2020 ptesarik@suse.cz
- mm/gup/writeback: add callbacks for inaccessible pages
  (jsc#SLE-7512 bsc#1165545).
- commit 2700b97
* Fri Apr  3 2020 msuchanek@suse.de
- scsi: ibmvfc: Fix NULL return compiler warning (bsc#1161951
  ltc#183551).
- commit 8a47623
* Fri Apr  3 2020 msuchanek@suse.de
- powerpc/pseries: Fix MCE handling on pseries (bsc#1168575
  ltc#183501).
- commit ef26231
* Fri Apr  3 2020 msuchanek@suse.de
- scsi: lpfc: Change default SCSI LUN QD to 64 (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
  Patch split off
  patches.suse/scsi-lpfc-Fix-erroneous-cpu-limit-of-128-on-I-O-stat.patch
  in upstream repository.
- Refresh patches.suse/scsi-lpfc-Fix-erroneous-cpu-limit-of-128-on-I-O-stat.patch.
- Refresh patches.suse/scsi-lpfc-Make-debugfs-ktime-stats-generic-for-NVME-.patch.
- Refresh patches.suse/scsi-lpfc-Remove-prototype-FIPS-DSS-options-from-SLI.patch.
- Refresh patches.suse/scsi-lpfc-Update-lpfc-version-to-12.8.0.0.patch.
- commit a4a3d20
* Fri Apr  3 2020 yousaf.kaukab@suse.com
- config: arm64: enable cpufreq driver for Jetson Nano and TX1
  References: jsc#SLE-9391
- commit 57d2fdd
* Fri Apr  3 2020 mkubecek@suse.cz
- Update kabi files.
  Update to Snapshot 10 submission (commit c4804773a3be).
- commit 46da16d
* Fri Apr  3 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/pinctrl-bcm2835-add-support-for-all-gpios-on-bcm2711.patch
  patches.suse/pinctrl-bcm2835-drop-unused-define.patch
  patches.suse/pinctrl-bcm2835-refactor-platform-data.patch
  patches.suse/scsi-fc-Update-Descriptor-definition-and-add-RDF-and.patch
  patches.suse/scsi-ibmvfc-Avoid-loss-of-all-paths-during-SVC-node-.patch
  patches.suse/scsi-lpfc-Clean-up-hba-max_lun_queue_depth-checks.patch
  patches.suse/scsi-lpfc-Fix-RQ-buffer-leakage-when-no-IOCBs-availa.patch
  patches.suse/scsi-lpfc-Fix-broken-Credit-Recovery-after-driver-lo.patch
  patches.suse/scsi-lpfc-Fix-compiler-warning-on-frame-size.patch
  patches.suse/scsi-lpfc-Fix-coverity-errors-in-fmdi-attribute-hand.patch
  patches.suse/scsi-lpfc-Fix-lpfc_io_buf-resource-leak-in-lpfc_get_.patch
  patches.suse/scsi-lpfc-Fix-registration-of-ELS-type-support-in-fd.patch
  patches.suse/scsi-lpfc-Fix-release-of-hwq-to-clear-the-eq-relatio.patch
  patches.suse/scsi-lpfc-Remove-handler-for-obsolete-ELS-Read-Port-.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.6.0.4.patch
  patches.suse/scsi-lpfc-add-RDF-registration-and-Link-Integrity-FP.patch
  patches.suse/scsi-lpfc-fix-spelling-mistake-Notication-Notificati.patch
  patches.suse/scsi-qla2xxx-Add-16.0GT-for-PCI-String.patch
  patches.suse/scsi-qla2xxx-Add-beacon-LED-config-sysfs-interface.patch
  patches.suse/scsi-qla2xxx-Add-changes-in-preparation-for-vendor-e.patch
  patches.suse/scsi-qla2xxx-Add-deferred-queue-for-processing-ABTS-.patch
  patches.suse/scsi-qla2xxx-Add-endianizer-macro-calls-to-fc-host-s.patch
  patches.suse/scsi-qla2xxx-Add-fixes-for-mailbox-command.patch
  patches.suse/scsi-qla2xxx-Add-ql2xrdpenable-module-parameter-for-.patch
  patches.suse/scsi-qla2xxx-Add-sysfs-node-for-D-Port-Diagnostics-A.patch
  patches.suse/scsi-qla2xxx-Add-vendor-extended-FDMI-commands.patch
  patches.suse/scsi-qla2xxx-Add-vendor-extended-RDP-additions-and-a.patch
  patches.suse/scsi-qla2xxx-Avoid-setting-firmware-options-twice-in.patch
  patches.suse/scsi-qla2xxx-Check-locking-assumptions-at-runtime-in.patch
  patches.suse/scsi-qla2xxx-Cleanup-ELS-PUREX-iocb-fields.patch
  patches.suse/scsi-qla2xxx-Convert-MAKE_HANDLE-from-a-define-into-.patch
  patches.suse/scsi-qla2xxx-Correction-to-selection-of-loopback-ech.patch
  patches.suse/scsi-qla2xxx-Display-message-for-FCE-enabled.patch
  patches.suse/scsi-qla2xxx-Fix-FCP-SCSI-FC4-flag-passing-error.patch
  patches.suse/scsi-qla2xxx-Fix-NPIV-instantiation-after-FW-dump.patch
  patches.suse/scsi-qla2xxx-Fix-RDP-respond-data-format.patch
  patches.suse/scsi-qla2xxx-Fix-RDP-response-size.patch
  patches.suse/scsi-qla2xxx-Fix-control-flags-for-login-logout-IOCB.patch
  patches.suse/scsi-qla2xxx-Fix-qla2x00_echo_test-based-on-ISP-type.patch
  patches.suse/scsi-qla2xxx-Fix-sparse-warning-reported-by-kbuild-b.patch
  patches.suse/scsi-qla2xxx-Fix-sparse-warnings-triggered-by-the-PC.patch
  patches.suse/scsi-qla2xxx-Force-semaphore-on-flash-validation-fai.patch
  patches.suse/scsi-qla2xxx-Handle-NVME-status-iocb-correctly.patch
  patches.suse/scsi-qla2xxx-Handle-cases-for-limiting-RDP-response-.patch
  patches.suse/scsi-qla2xxx-Improved-secure-flash-support-messages.patch
  patches.suse/scsi-qla2xxx-Move-free-of-fcport-out-of-interrupt-co.patch
  patches.suse/scsi-qla2xxx-Print-portname-for-logging-in-qla24xx_l.patch
  patches.suse/scsi-qla2xxx-Remove-restriction-of-FC-T10-PI-and-FC-.patch
  patches.suse/scsi-qla2xxx-Return-appropriate-failure-through-BSG-.patch
  patches.suse/scsi-qla2xxx-Save-rscn_gen-for-new-fcport.patch
  patches.suse/scsi-qla2xxx-Serialize-fc_port-alloc-in-N2N.patch
  patches.suse/scsi-qla2xxx-Set-Nport-ID-for-N2N.patch
  patches.suse/scsi-qla2xxx-Show-correct-port-speed-capabilities-fo.patch
  patches.suse/scsi-qla2xxx-Simplify-the-code-for-aborting-SCSI-com.patch
  patches.suse/scsi-qla2xxx-Suppress-endianness-complaints-in-qla2x.patch
  patches.suse/scsi-qla2xxx-Update-BPM-enablement-semantics.patch
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.24-k.patch
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.25-k.patch
  patches.suse/scsi-qla2xxx-Use-FC-generic-update-firmware-options-.patch
  patches.suse/scsi-qla2xxx-Use-QLA_FW_STOPPED-macro-to-propagate-f.patch
  patches.suse/scsi-qla2xxx-Use-a-dedicated-interrupt-handler-for-h.patch
  patches.suse/scsi-qla2xxx-Use-correct-ISP28xx-active-FW-region.patch
  patches.suse/scsi-qla2xxx-Use-endian-macros-to-assign-static-fiel.patch
  patches.suse/scsi-qla2xxx-add-more-FW-debug-information.patch
  patches.suse/scsi-qla2xxx-fix-FW-resource-count-values.patch
  patches.suse/scsi-target-convert-boolean-se_dev_attrib-types-to-b.patch
  patches.suse/scsi-target-fix-unmap_zeroes_data-boolean-initialisa.patch
  patches.suse/scsi-target-use-an-enum-to-track-emulate_ua_intlck_c.patch
  patches.suse/scsi-tcm_qla2xxx-Make-qlt_alloc_qfull_cmd-set-cmd-se.patch
- commit e921d75
* Fri Apr  3 2020 tiwai@suse.de
- mtd: spinand: Do not erase the block before writing a bad
  block marker (git-fixes).
- mtd: spinand: Explicitly use MTD_OPS_RAW to write the bad
  block marker to OOB (git-fixes).
- mtd: spinand: Stop using spinand->oobbuf for buffering bad
  block markers (git-fixes).
- mtd: rawnand: free the nand_device object (git-fixes).
- mtd: phram: fix a double free issue in error path (git-fixes).
- mtd: lpddr: Fix a double free in probe() (git-fixes).
- i2c: smbus: remove outdated references to irq level triggers
  (git-fixes).
- ASoC: Intel: mrfld: fix incorrect check on p->sink (git-fixes).
- ASoC: sun8i-codec: Remove unused dev from codec struct
  (git-fixes).
- ASoC: Intel: mrfld: return error codes when an error occurs
  (git-fixes).
- ASoC: stm32: spdifrx: fix regmap status check (git-fixes).
- pinctrl: actions: Fix functions groups names for S700 SoC
  (git-fixes).
- remoteproc: Fix NULL pointer dereference in rproc_virtio_notify
  (git-fixes).
- remoteproc: qcom_q6v5_mss: Reload the mba region on coredump
  (git-fixes).
- remoteproc: qcom_q6v5_mss: Don't reassign mpss region on
  shutdown (git-fixes).
- include/bitmap.h: add missing parameter in docs (git-fixes).
- mac80211: fix authentication with iwlwifi/mvm (git-fixes).
- mac80211: Check port authorization in the ieee80211_tx_dequeue()
  case (git-fixes).
- nl80211: fix NL80211_ATTR_CHANNEL_WIDTH attribute type
  (git-fixes).
- slcan: not call free_netdev before rtnl_unlock in slcan_open
  (git-fixes).
- commit 784cfac
* Fri Apr  3 2020 tiwai@suse.de
- ALSA: pcm.h: add for_each_pcm_streams() (git-fixes).
- commit 03a4da5
* Fri Apr  3 2020 tiwai@suse.de
- ALSA: usb-audio: Fix case when USB MIDI interface has more
  than one extra endpoint descriptor (git-fixes).
- ALSA: hda/realtek - Remove now-unnecessary XPS 13 headphone
  noise fixups (git-fixes).
- ALSA: hda/realtek - Set principled PC Beep configuration for
  ALC256 (git-fixes).
- ALSA: usx2y: use for_each_pcm_streams() macro (git-fixes).
- ALSA: hda: default enable CA0132 DSP support (git-fixes).
- ALSA: usb-audio: Inform devices that need delayed registration
  (git-fixes).
- ALSA: usb-audio: Add delayed_register option (git-fixes).
- ALSA: usb-audio: Rewrite registration quirk handling
  (git-fixes).
- ALSA: core: Add snd_device_get_state() helper (git-fixes).
- ALSA: usb-audio: Create a registration quirk for Kingston
  HyperX Amp (0951:16d8) (git-fixes).
- ALSA: usb-audio: Fix mixer controls' USB interface for Kingston
  HyperX Amp (0951:16d8) (git-fixes).
- ALSA: hda: Use scnprintf() for string truncation (git-fixes).
- ALSA: pcm: Fix superfluous snprintf() usage (git-fixes).
- ALSA: pcm: oss: Simplify plugin frame size calculations
  (git-fixes).
- ALSA: usb-audio: Fix missing braces in some struct inits
  (git-fixes).
- ALSA: usb-audio: Add support for MOTU MicroBook IIc (git-fixes).
- ALSA: korg1212: fix if-statement empty body warnings
  (git-fixes).
- ALSA: usb-audio: Parse source ID of UAC2 effect unit
  (git-fixes).
- usb: audio-v2: Add uac2_effect_unit_descriptor definition
  (git-fixes).
- ALSA: usb-audio: Add support for Presonus Studio 1810c
  (git-fixes).
- ALSA: pcm: oss: Unlock mutex temporarily for sleeping at
  read/write (git-fixes).
- ALSA: usb-audio: Don't create a mixer element with bogus volume
  range (git-fixes).
- ALSA: hda_codec: Replace zero-length array with flexible-array
  member (git-fixes).
- ALSA: hda/ca0132 - Replace zero-length array with flexible-array
  member (git-fixes).
- ALSA: usb-midi: Replace zero-length array with flexible-array
  member (git-fixes).
- ALSA: core: Replace zero-length array with flexible-array member
  (git-fixes).
- ALSA: info: remove redundant assignment to variable c
  (git-fixes).
- ALSA: ali5451: remove redundant variable capture_flag
  (git-fixes).
- ALSA: hda: remove redundant assignment to variable timeout
  (git-fixes).
- ALSA: hdsp: remove redundant assignment to variable err
  (git-fixes).
- ALSA: pcm: Use a macro for parameter masks to reduce the needed
  cast (git-fixes).
- ALSA: pcm: Use standard macros for fixing PCM format cast
  (git-fixes).
- ALSA: usb-audio: Use pcm_for_each_format() macro for PCM format
  iterations (git-fixes).
- ALSA: pcm: More helper macros for reducing snd_pcm_format_t cast
  (git-fixes).
- ALSA: emu10k1: Fix endianness annotations (git-fixes).
- ALSA: via82xx: Fix endianness annotations (git-fixes).
- ALSA: hda/hdmi: Move ELD parse and jack reporting into
  update_eld() (git-fixes).
- ALSA: hda/hdmi: Move runtime PM resume into
  hdmi_present_sense_via_verbs() (git-fixes).
- ALSA: hda/hdmi: Don't use standard hda_jack for generic HDMI
  jacks (git-fixes).
- ALSA: hda/hdmi: Reduce hda_jack_tbl lookup at unsol event
  handling (git-fixes).
- ALSA: hda/realtek - a fake key event is triggered by running
  shutup (git-fixes).
- ALSA: hda/realtek: Enable mute LED on an HP system (git-fixes).
- ALSA: hda/ca0132 - Add Recon3Di quirk to handle integrated
  sound on EVGA X99 Classified motherboard (git-fixes).
- commit f898dc5
* Fri Apr  3 2020 tiwai@suse.de
- slcan: Don't transmit uninitialized stack data in padding
  (CVE-2020-11494 bsc#1168424).
- commit 246f367
* Fri Apr  3 2020 wqu@suse.com
- btrfs: do not zero f_bavail if we have available space
  (bsc#1168081).
- commit 77d5937
* Thu Apr  2 2020 tiwai@suse.de
- USB: cdc-acm: fix close_delay and closing_wait units in
  TIOCSSERIAL (git-fixes).
- Refresh
  patches.suse/USB-cdc-acm-fix-rounding-error-in-TIOCSSERIAL.patch.
- commit 8731e73
* Thu Apr  2 2020 tiwai@suse.de
- USB: cdc-acm: restore capability check order (git-fixes).
- usb: gadget: f_fs: Fix use after free issue as part of queue
  failure (git-fixes).
- USB: serial: io_edgeport: fix slab-out-of-bounds read in
  edge_interrupt_callback (git-fixes).
- USB: serial: option: add Wistron Neweb D19Q1 (git-fixes).
- USB: serial: option: add BroadMobi BM806U (git-fixes).
- USB: serial: option: add support for ASKEY WWHC050 (git-fixes).
- usb: musb: fix crash with highmen PIO and usbmon (git-fixes).
- usb: gadget: composite: Inform controller driver of self-powered
  (git-fixes).
- usb: dwc3: gadget: Wrap around when skip TRBs (git-fixes).
- usb: dwc3: gadget: Don't clear flags before transfer ended
  (git-fixes).
- seccomp: Add missing compat_ioctl for notify (git-fixes).
- tpm: ibmvtpm: Wait for buffer to be set before proceeding
  (git-fixes).
- tpm: tpm2_bios_measurements_next should increase position index
  (git-fixes).
- tpm: tpm1_bios_measurements_next should increase position index
  (git-fixes).
- vti6: Fix memory leak of skb if input policy check fails
  (git-fixes).
- USB: serial: pl2303: add device-id for HP LD381 (git-fixes).
- USB: serial: option: add ME910G1 ECM composition 0x110b
  (git-fixes).
- usb: quirks: add NO_LPM quirk for RTL8153 based ethernet
  adapters (git-fixes).
- usb: host: xhci-plat: add a shutdown (git-fixes).
- USB: Disable LPM on WD19's Realtek Hub (git-fixes).
- usb: xhci: apply XHCI_SUSPEND_DELAY to AMD XHCI controller
  1022:145c (git-fixes).
- tty: fix compat TIOCGSERIAL checking wrong function ptr
  (git-fixes).
- tty: fix compat TIOCGSERIAL leaking uninitialized memory
  (git-fixes).
- seccomp: Check that seccomp_notif is zeroed out by the user
  (git-fixes).
- commit 6e62c53
* Thu Apr  2 2020 tiwai@suse.de
- mmc: core: Respect MMC_CAP_NEED_RSP_BUSY for eMMC sleep command
  (git-fixes).
- mmc: sdhci-tegra: Fix busy detection by enabling
  MMC_CAP_NEED_RSP_BUSY (git-fixes).
- mmc: sdhci-omap: Fix busy detection by enabling
  MMC_CAP_NEED_RSP_BUSY (git-fixes).
- mmc: core: Respect MMC_CAP_NEED_RSP_BUSY for erase/trim/discard
  (git-fixes).
- mmc: core: Allow host controllers to require R1B for CMD6
  (git-fixes).
- mmc: core: Default to generic_cmd6_time as timeout in
  __mmc_switch() (git-fixes).
- commit a7a7a34
* Thu Apr  2 2020 tiwai@suse.de
- media: i2c: video-i2c: fix build errors due to 'imply hwmon'
  (git-fixes).
- media: vivid: fix incorrect PA assignment to HDMI outputs
  (git-fixes).
- media: imx: imx7-media-csi: Fix video field handling
  (git-fixes).
- media: imx: imx7-media-csi: Remove unneeded register read
  (git-fixes).
- media: imx: imx7_mipi_csis: Power off the source when stopping
  streaming (git-fixes).
- media: xirlink_cit: add missing descriptor sanity checks
  (git-fixes).
- media: stv06xx: add missing descriptor sanity checks
  (git-fixes).
- media: ov519: add missing endpoint sanity checks (git-fixes).
- media: v4l2-fwnode: fix v4l2_fwnode_parse_link handling
  (git-fixes).
- media: ti-vpe: cal: fix a kernel oops when unloading module
  (git-fixes).
- media: tda10071: fix unsigned sign extension overflow
  (git-fixes).
- media: v4l2-core: fix entity initialization in
  device_register_subdev (git-fixes).
- media: v4l2-core: fix a use-after-free bug of sd->devnode
  (git-fixes).
- media: vsp1: tidyup VI6_HGT_LBn_H() macro (git-fixes).
- media: staging/imx: Missing assignment in
  imx_media_capture_device_register() (git-fixes).
- media: hantro: Read be32 words starting at every fourth byte
  (git-fixes).
- media: dib0700: fix rc endpoint lookup (git-fixes).
- media: flexcop-usb: fix endpoint sanity check (git-fixes).
- media: usbtv: fix control-message timeouts (git-fixes).
- commit 80da5af
* Thu Apr  2 2020 tbogendoerfer@suse.de
- ionic: print data for unknown xcvr type (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- commit e353704
* Thu Apr  2 2020 tbogendoerfer@suse.de
- ionic: remove lifs on fw reset (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: disable the queues on link down (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: check for queues before deleting (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: clean tx queue of unfinished requests (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: move irq request to qcq alloc (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: move debugfs add/delete to match alloc/free (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: check for linkup in watchdog (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: decouple link message from netdev state (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: check for NULL structs on teardown (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: clean irq affinity on queue deinit (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: ignore eexist on rx filter add (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: only save good lif dentry (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: leave dev cmd request contents alone on FW timeout
  (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: add timeout error checking for queue disable (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: add decode for IONIC_RC_ENOSUPP (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: remove adminq napi instance (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: deinit rss only if selected (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: stop devlink warn on mgmt device (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: add support for device id 0x1004 (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: print pci bus lane info (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: support ethtool rxhash disable (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: clean up bitflag usage (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: improve irq numa locality (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: remove pragma packed (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: keep ionic dev on lif init fail (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ice: add additional E810 device id (jsc#SLE-7966 bsc#1157177).
- ionic: make spdxcheck.py happy (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- net: ionic: Use scnprintf() for avoiding potential buffer
  overflow (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- commit dca9c4d
* Thu Apr  2 2020 oneukum@suse.com
- USB: serial: pl2303: add device-id for HP LD381 (git-fixes).
- commit f358c73
* Thu Apr  2 2020 ptesarik@suse.cz
- KVM: S390: protvirt: Introduce instruction data area bounce
  buffer (jsc#SLE-7512 bsc#1165545).
- Update kabi files.
- commit fb23a46
* Thu Apr  2 2020 oneukum@suse.com
- USB: serial: option: add ME910G1 ECM composition 0x110b
  (git-fixes).
- commit d394d40
* Thu Apr  2 2020 oneukum@suse.com
- usb: quirks: add NO_LPM quirk for RTL8153 based ethernet
  adapters (git-fixes).
- commit 4366db0
* Thu Apr  2 2020 oneukum@suse.com
- usb: host: xhci-plat: add a shutdown (git-fixes).
- commit d6ce28e
* Thu Apr  2 2020 tiwai@suse.de
- staging: wlan-ng: fix use-after-free Read in
  hfa384x_usbin_callback (git-fixes).
- staging: wlan-ng: fix ODEBUG bug in prism2sta_disconnect_usb
  (git-fixes).
- staging: rtl8188eu: Add ASUS USB-N10 Nano B1 to device table
  (git-fixes).
- net: qmi_wwan: add support for ASKEY WWHC050 (git-fixes).
- commit cae14b2
* Thu Apr  2 2020 oneukum@suse.com
- USB: Disable LPM on WD19's Realtek Hub (git-fixes).
- commit 545e2ba
* Thu Apr  2 2020 tiwai@suse.de
- maillbox: bcm-flexrm-mailbox: handle cmpl_pool dma allocation
  failure (git-fixes).
- HID: fix Kconfig word ordering (git-fixes).
- hwrng: imx-rngc - fix an error path (git-fixes).
- mac80211: set IEEE80211_TX_CTRL_PORT_CTRL_PROTO for nl80211 TX
  (git-fixes).
- mac80211: mark station unauthorized before key removal
  (git-fixes).
- mac80211: drop data frames without key on encrypted links
  (git-fixes).
- i2c: hix5hd2: add missed clk_disable_unprepare in remove
  (git-fixes).
- Input: synaptics - enable RMI on HP Envy 13-ad105ng (git-fixes).
- mac80211: Do not send mesh HWMP PREQ if HWMP is disabled
  (git-fixes).
- commit 1a471a8
* Thu Apr  2 2020 oneukum@suse.com
- usb: xhci: apply XHCI_SUSPEND_DELAY to AMD XHCI controller
  1022:145c (git-fixes).
- commit 84b09ec
* Thu Apr  2 2020 tiwai@suse.de
- crypto: caam - update xts sector size for large input length
  (git-fixes).
- crypto: caam/qi2 - fix chacha20 data size error (git-fixes).
- crypto: mxs-dcp - fix scatterlist linearization for hash
  (git-fixes).
- crypto: arm64/sha-ce - implement export/import (git-fixes).
- crypto: tcrypt - fix printed skcipher [a]sync mode (git-fixes).
- crypto: rng - Fix a refcounting bug in crypto_rng_reset()
  (git-fixes).
- ahci: Add Intel Comet Lake H RAID PCI ID (git-fixes).
- commit c24e76c
* Thu Apr  2 2020 oneukum@suse.com
- xhci: Do not open code __print_symbolic() in xhci trace events
  (git-fixes).
- commit fed4fc3
* Thu Apr  2 2020 ptesarik@suse.cz
- KVM: s390: protvirt: Add SCLP interrupt handling (jsc#SLE-7512
  bsc#1165545).
- Update kabi files.
- commit 4f3b7b8
* Thu Apr  2 2020 ptesarik@suse.cz
- s390/mm: provide memory management functions for protected
  KVM guests (jsc#SLE-7512 bsc#1165545).
- Update kabi files.
- commit 9c9391b
* Thu Apr  2 2020 oneukum@suse.com
- blacklist.conf: code cleanup that breaks kABI
- commit 0354bc9
* Thu Apr  2 2020 ptesarik@suse.cz
- KVM: s390: protvirt: Add KVM api documentation (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: introduce and enable KVM_CAP_S390_PROTECTED
  (jsc#SLE-7512 bsc#1165545).
- DOCUMENTATION: Protected virtual machine introduction and IPL
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Add UV cpu reset calls (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: do not inject interrupts after start
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Mask PSW interrupt bits for interception
  104 and 112 (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Support cmd 5 operation state (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: Report CPU state to Ultravisor
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: UV calls in support of diag308 0, 1
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Add program exception injection
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Only sync fmt4 registers (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: Do only reset registers that are accessible
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: disallow one_reg (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: STSI handling (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Write sthyi data to instruction data area
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390/mm: handle guest unpin events (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: handle secure guest prefix pages
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Add new gprs location handling
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Handle spec exception loops (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: Handle SE notification interceptions
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390/mm: Make pages accessible before destroying the guest
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: protvirt: Secure memory is not mergeable
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: add new variants of UV CALL (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: protvirt: Add UV debug trace (jsc#SLE-7512
  bsc#1165545).
- KVM: s390/interrupt: do not pin adapter interrupt pages
  (jsc#SLE-7512 bsc#1165545).
- s390/protvirt: Add sysfs firmware interface for Ultravisor
  information (jsc#SLE-7512 bsc#1165545).
- s390/mm: add (non)secure page access exceptions handlers
  (jsc#SLE-7512 bsc#1165545).
- s390/protvirt: add ultravisor initialization (jsc#SLE-7512
  bsc#1165545).
- s390/protvirt: introduce host side setup (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: Also reset registers in sync regs for initial cpu
  reset (jsc#SLE-7512 bsc#1165545).
- KVM: s390: Add new reset vcpu API (jsc#SLE-7512 bsc#1165545).
- KVM: s390: Cleanup initial cpu reset (jsc#SLE-7512 bsc#1165545).
- KVM: s390: Cleanup kvm_arch_init error path (jsc#SLE-7512
  bsc#1165545).
- KVM: s390: mark __insn32_query() as __always_inline
  (jsc#SLE-7512 bsc#1165545).
- KVM: s390: Disallow invalid bits in kvm_valid_regs and
  kvm_dirty_regs (jsc#SLE-7512 bsc#1165545).
- commit 8e1956a
* Thu Apr  2 2020 jslaby@suse.cz
- char/random: silence a lockdep splat with printk() (git-fixes).
- commit dce5b06
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/vmlinux.lds: Explicitly retain .gnu.hash (bsc#1148868).
- commit 0843abc
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/64/tm: Don't let userspace set regs->trap via sigreturn
  (bsc#1118338 ltc#173734).
- commit 3d1d975
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/pseries: Handle UE event for memcpy_mcsafe (jsc#SLE-7730
  jsc#SLE-8330).
- commit 823260c
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/xive: Use XIVE_BAD_IRQ instead of zero to catch non
  configured IPIs (bsc#1085030).
- commit e5b59c4
* Wed Apr  1 2020 mgorman@suse.de
- Update config files to disable CONFIG_KERNEL_HEADER_TEST (bsc#1168354).
- commit bc323e4
* Wed Apr  1 2020 msuchanek@suse.de
- powerpc/64: Prevent stack protection in early boot
  (bsc#1156395).
- powerpc/64: Setup a paca before parsing device tree etc
  (bsc#1156395).
- commit 196aec2
* Wed Apr  1 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/sched-core-Don-t-skip-remote-tick-for-idle-CPUs.patch
  patches.suse/timers-nohz-Update-NOHZ-load-in-remote-tick.patch
- commit 41bab0e
* Wed Apr  1 2020 mkubecek@suse.cz
- update patch metadata
- update upstream reference:
  patches.suse/net-bpfilter-remove-superfluous-testing-message.patch
- commit 9f9b3f8
* Wed Apr  1 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/media-go7007-Fix-URB-type-for-interrupt-handling.patch
  patches.suse/mmc-sdhci-introduce-sdhci_set_power_and_bus_voltage.patch
  patches.suse/mmc-sdhci-iproc-add-custom-set_power-callback-for-bcm2711.patch
- commit 69e3868
* Wed Apr  1 2020 jack@suse.cz
- ext4: Avoid ENOSPC when avoiding to reuse recently deleted
  inodes (bsc#1165019).
- commit ac99ab8
* Wed Apr  1 2020 tiwai@suse.de
- Delete patches.suse/i2c-i801-Do-not-add-ICH_RES_IO_SMI-for-the-iTCO_wdt-.patch (bsc#1168297)
  The patch caused a regression on DNV board.
- commit e88f35c
* Wed Apr  1 2020 lhenriques@suse.com
- ceph: fix memory leak in ceph_cleanup_snapid_map()
  (jsc#SES-1134).
- libceph: fix alloc_msg_with_page_vector() memory leaks
  (jsc#SES-1134).
- ceph: check POOL_FLAG_FULL/NEARFULL in addition to
  OSDMAP_FULL/NEARFULL (jsc#SES-1134).
- commit c22ae0e
* Wed Apr  1 2020 glin@suse.com
- net/bpfilter: remove superfluous testing message (bsc#1155518).
- commit 8cf8e50
* Wed Apr  1 2020 tbogendoerfer@suse.de
- vti: fix packet tx through bpf_redirect() in XinY cases
  (bsc#1154353).
- RDMA/core: Ensure security pkey modify is not lost
  (jsc#SLE-8449).
- net/mlx5e: Do not recover from a non-fatal syndrome
  (jsc#SLE-8464).
- net/mlx5e: Fix ICOSQ recovery flow with Striding RQ
  (jsc#SLE-8464).
- net/mlx5e: Fix missing reset of SW metadata in Striding RQ reset
  (jsc#SLE-8464).
- net/mlx5e: Enhance ICOSQ WQE info fields (jsc#SLE-8464).
- net/mlx5e: kTLS, Fix TCP seq off-by-1 issue in TX resync flow
  (jsc#SLE-8464).
- net/mlx5: DR, Fix postsend actions write length (jsc#SLE-8464).
- cxgb4: fix throughput drop during Tx backpressure (jsc#SLE-8389
  bnc#1151927 5.3.10).
- mlxsw: pci: Only issue reset when system is ready (bsc#1154488).
- net: ena: fix incorrect setting of the number of msix vectors
  (bsc#1154492).
- cxgb4: fix delete filter entry fail in unload path
  (jsc#SLE-8389).
- net_sched: keep alloc_hash updated after hash allocation
  (bsc#1154353).
- bpf/btf: Fix BTF verification of enum members in struct/union
  (bsc#1154353).
- bpf: Initialize storage pointers to NULL to prevent freeing
  garbage pointer (bsc#1154353).
- commit f057e20
* Wed Apr  1 2020 glin@suse.com
- bpf: Simplify reg_set_min_max_inv handling (bsc#1167722,
  CVE-2020-8835).
- bpf: Fix tnum constraints for 32-bit comparisons (bsc#1167722,
  CVE-2020-8835).
- bpf: Reliably preserve btf_trace_xxx types (bsc#1155518).
- commit 0eb8897
* Wed Apr  1 2020 tiwai@suse.de
- Crypto: chelsio - Fixes a deadlock between rtnl_lock and
  uld_mutex (git-fixes).
- Crypto: chelsio - Fixes a hang issue during driver registration
  (git-fixes).
- ath9k: Handle txpower changes even when TPC is disabled
  (git-fixes).
- mwifiex: set needed_headroom, not hard_header_len (git-fixes).
- brcmfmac: abort and release host after error (git-fixes).
- platform/x86: asus_wmi: Fix return value of fan_boost_mode_store
  (git-fixes).
- platform/x86: pmc_atom: Add Lex 2I385SW to critclk_systems
  DMI table (git-fixes).
- serial: sprd: Fix a dereference warning (git-fixes).
- firmware: arm_sdei: fix possible double-lock on hibernate
  error path (git-fixes).
- firmware: arm_sdei: fix double-lock on hibernate with shared
  events (git-fixes).
- fbdev/g364fb: Fix build failure (git-fixes).
- commit 342cd4b
* Wed Apr  1 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline tag:
  patches.suse/modpost-move-the-namespace-field-in-Module.symvers-last.patch
- commit af8306c
* Wed Apr  1 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/ethtool-Factored-out-similar-ethtool-link-settings-f.patch
  patches.suse/modpost-return-error-if-module-is-missing-ns-imports.patch
  patches.suse/net-ethtool-Introduce-link_ksettings-API-for-virtual.patch
- commit 177866a
* Tue Mar 31 2020 mgorman@suse.de
- kthread: Do not preempt current task if it is going to
  call schedule() (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/fair: Improve spreading of utilization (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched: Avoid scale real weight down to zero (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/core: Distribute tasks within affinity masks (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Fix enqueue_task_fair warning (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/core: Remove duplicate assignment in sched_tick_remote()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- timers/nohz: Update NOHZ load in remote tick (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/core: Don't skip remote tick for idle CPUs (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit 1264b2f
* Tue Mar 31 2020 mgorman@suse.de
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/sched-fair-Fix-kernel-build-warning-in-test_idle_cores-for-SMT-NUMA.patch.
  patches.suse/sched-fair-Fix-reordering-of-enqueue-dequeue_task_fair.patch.
  patches.suse/sched-fair-Fix-runnable_avg-for-throttled-cfs.patch.
  patches.suse/sched-fair-Optimize-select_idle_core.patch.
  patches.suse/sched-fair-Take-into-account-runnable_avg-to-classify-group.patch.
  patches.suse/sched-fair-fix-condition-of-avg_load-calculation.patch.
  patches.suse/sched-fair-fix-statistics-for-find_idlest_group.patch.
  patches.suse/sched-fair-reorder-enqueue-dequeue_task_fair-path.patch.
  patches.suse/sched-numa-Acquire-RCU-lock-for-checking-idle-cores-during-NUMA-balancing.patch.
  patches.suse/sched-numa-Bias-swapping-tasks-based-on-their-preferred-node.patch.
  patches.suse/sched-numa-Distinguish-between-the-different-task_numa_migrate-failure-cases.patch.
  patches.suse/sched-numa-Find-an-alternative-idle-CPU-if-the-CPU-is-part-of-an-active-NUMA-balance.patch.
  patches.suse/sched-numa-Prefer-using-an-idle-cpu-as-a-migration-target-instead-of-comparing-tasks.patch.
  patches.suse/sched-numa-Stop-an-exhastive-search-if-a-reasonable-swap-candidate-or-idle-CPU-is-found.patch.
  patches.suse/sched-numa-Trace-when-no-candidate-CPU-was-found-on-the-preferred-node.patch.
  patches.suse/sched-numa-Use-similar-logic-to-the-load-balancer-for-moving-between-domains-with-spare-capacity.patch.
  patches.suse/sched-numa-replace-runnable_load_avg-by-load_avg.patch.
  patches.suse/sched-pelt-Add-a-new-runnable-average-signal.patch.
  patches.suse/sched-pelt-Remove-unused-runnable-load-average.patch.
  patches.suse/sched-topology-Don-t-enable-EAS-on-SMT-systems.patch.
- commit ecd3b4e
* Tue Mar 31 2020 ohering@suse.de
- clocksource/drivers/hyper-v: Make sched clock return nanoseconds
  correctly (git-fixes).
- commit 5751e50
* Tue Mar 31 2020 tiwai@suse.de
- thermal: Add a sanity check for invalid state at stats update
  (bsc#1166535).
- commit c368806
* Tue Mar 31 2020 glin@suse.com
- bpf: Undo incorrect __reg_bound_offset32 handling (bsc#1167722, CVE-2020-8835).
- commit ef6c245
* Mon Mar 30 2020 nmoreychaisemartin@suse.com
- net/mlx5_core: Set IB capability mask1 to fix ib_srpt connection failure (bsc#1167903)
- commit b92b72c
* Mon Mar 30 2020 ptesarik@suse.cz
- kabi/severities: Exempt IBM z/Architecture internal symbols.
- commit 61f446e
* Mon Mar 30 2020 nstange@suse.de
- kABI: shield fsnotify.h #include in libfs.c from kABI checker
  (bsc#1159198).
- commit c381542
* Mon Mar 30 2020 ptesarik@suse.cz
- s390/dasd: fix data corruption for thin provisioned devices
  (bsc#1167201 LTC#184504).
- Delete
  patches.suse/s390-dasd-disable-ese-support-due-to-possible-data-c.patch.
- commit 5c48dc0
* Mon Mar 30 2020 jeyu@suse.de
- Update patches.suse/modpost-move-the-namespace-field-in-Module.symvers-last.patch.
- update patch metadata/upstream references and move into the sorted section.
- commit 678cbc3
* Mon Mar 30 2020 ykaukab@suse.de
- usb: host: xhci-tegra: Implement basic ELPG support
  (bsc#1167765).
- usb: host: xhci-tegra: Add XUSB controller context
  (bsc#1167765).
- usb: host: xhci-tegra: Add support for XUSB context save/restore
  (bsc#1167765).
- usb: host: xhci-tegra: Enable runtime PM as late as possible
  (bsc#1167765).
- usb: host: xhci-tegra: Reuse stored register base address
  (bsc#1167765).
- usb: host: xhci-tegra: Extract firmware enable helper
  (bsc#1167765).
- usb: host: xhci-tegra: Use CNR as firmware ready indicator
  (bsc#1167765).
- usb: host: xhci-tegra: Avoid a fixed duration sleep
  (bsc#1167765).
- usb: host: xhci-tegra: Separate firmware request and load
  (bsc#1167765).
- usb: host: xhci-tegra: Fix "tega" -> "tegra" typo (bsc#1167765).
- commit da4b20d
* Mon Mar 30 2020 glin@suse.com
- net/bpfilter: fix dprintf usage for /dev/kmsg (bsc#1155518).
- bpf/btf: Fix BTF verification of enum members in struct/union
  (bsc#1155518).
- bpf: Fix cgroup ref leak in cgroup_bpf_inherit on out-of-memory
  (bsc#1155518).
- bpf: Initialize storage pointers to NULL to prevent freeing
  garbage pointer (bsc#1155518).
- commit 0e26614
* Sun Mar 29 2020 msuchanek@suse.de
- Disable hibernation on s390x (bsc#1167650).
- [mkubecek] update s390x kabi reference files (incompatible):
  CONFIG_HIBERNATION y->n, CONFIG_PM y->n
- commit f392251
* Sun Mar 29 2020 mkubecek@suse.cz
- series.conf: whitespace cleanup
- commit 963e602
* Sat Mar 28 2020 tonyj@suse.de
- blacklist.conf: add git-fixes that are in perf userspace package
- commit 4dabd66
* Sat Mar 28 2020 tonyj@suse.de
- perf/x86/amd: Add missing L2 misses event spec to AMD Family
  17h's event map (git-fixes).
- perf/x86/amd: Constrain Large Increment per Cycle events
  (git-fixes).
- perf/x86/intel/uncore: Fix missing marker for
  snr_uncore_imc_freerunning_events (git-fixes).
- perf/x86/intel: Fix PT PMI handling (git-fixes).
- perf/x86/intel/bts: Fix the use of page_private() (git-fixes).
- perf/x86/cstate: Update C-state counters for Ice Lake
  (git-fixes).
- commit c1a8c50
* Fri Mar 27 2020 bp@suse.de
- vhost: Check docket sk_family instead of call getname
  (bsc#1167629 CVE-2020-10942).
- commit b04a498
* Fri Mar 27 2020 msuchanek@suse.de
- powerpc/64s: Fix section mismatch warnings from boot code
  (bsc#1148868).
- commit 74f4898
* Fri Mar 27 2020 jbohac@suse.cz
- net: ena: Add PCI shutdown handler to allow safe kexec
  (bsc#1167421, bsc#1167423).
- commit 9ba04ea
* Fri Mar 27 2020 dwagner@suse.de
- lpfc kABI fixes for 12.8.0.0 (bsc#1164777 bsc#1164780
  bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.8.0.0 (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Remove prototype FIPS/DSS options from SLI-3
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Make debugfs ktime stats generic for NVME and SCSI
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix erroneous cpu limit of 128 on I/O statistics
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix crash in target side cable pulls hitting
  WAIT_FOR_UNREG (bsc#1164777 bsc#1164780 bsc#1165211
  jsc#SLE-8654).
- scsi: lpfc: Fix update of wq consumer index in
  lpfc_sli4_wq_release (bsc#1164777 bsc#1164780 bsc#1165211
  jsc#SLE-8654).
- scsi: lpfc: Fix crash after handling a pci error (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix scsi host template for SLI3 vports (bsc#1164777
  bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix lpfc overwrite of sg_cnt field in
  nvmefc_tgt_fcp_req (bsc#1164777 bsc#1164780 bsc#1165211
  jsc#SLE-8654).
- scsi: lpfc: Fix lockdep error - register non-static key
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: Fix kasan slab-out-of-bounds error in
  lpfc_unreg_login (bsc#1164777 bsc#1164780 bsc#1165211
  jsc#SLE-8654).
- scsi: lpfc: fix spelling mistake "Notication" -> "Notification"
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: lpfc: add RDF registration and Link Integrity FPIN logging
  (bsc#1164777 bsc#1164780 bsc#1165211 jsc#SLE-8654).
- scsi: fc: Update Descriptor definition and add RDF and
  Link Integrity FPINs (bsc#1164777 bsc#1164780 bsc#1165211
  jsc#SLE-8654).
- commit 8ee63af
* Fri Mar 27 2020 dwagner@suse.de
- Refresh series.conf
- patches.suse/scsi-target-convert-boolean-se_dev_attrib-types-to-b.patch
- patches.suse/scsi-target-fix-unmap_zeroes_data-boolean-initialisa.patch
- patches.suse/scsi-target-use-an-enum-to-track-emulate_ua_intlck_c.patch
- commit ee2196b
* Fri Mar 27 2020 tiwai@suse.de
- Input: avoid BIT() macro usage in the serio.h UAPI header
  (git-fixes).
- Input: raydium_i2c_ts - fix error codes in
  raydium_i2c_boot_trigger() (git-fixes).
- commit 6acc495
* Fri Mar 27 2020 dwagner@suse.de
- net/mlx5: Add stub for mlx5_eswitch_mode (jsc#SLE-8464).
- commit 154e4ec
* Fri Mar 27 2020 mgorman@suse.de
- sched/fair: Fix negative imbalance in imbalance calculation
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 4f5edea
* Fri Mar 27 2020 bp@suse.de
- perf/x86/amd: Add support for Large Increment per Cycle Events
  (jsc#SLE-11831).
- commit 43457d3
* Thu Mar 26 2020 ptesarik@suse.cz
- s390/setup: Fix secure ipl message (bsc#1163524 LTC#183960).
- commit dea2aed
* Thu Mar 26 2020 tbogendoerfer@suse.de
- blacklist.conf: bdd68860a044 is a dup of 17df5ae1b3e1
- commit d81f030
* Thu Mar 26 2020 tbogendoerfer@suse.de
- Documentation: networking: device drivers: Remove stray
  asterisks (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- Doc: networking/device_drivers/pensando: fix ionic.rst warnings
  (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: select CONFIG_NET_DEVLINK (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- commit 4199ffe
* Thu Mar 26 2020 tbogendoerfer@suse.de
- ionic: fix vf op lock usage (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: fix fw_status read (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: fix rxq comp packet type mask (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: clear compiler warning on hb use before set (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: restrict received packets to mtu size (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: add Rx dropped packet counter (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: drop use of subdevice tags (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: support sr-iov operations (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: ionic_if bits for sr-iov support (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: keep users rss hash across lif reset (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: Remove set but not used variable 'sg_desc' (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: update driver version (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: implement support for rx sgl (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: add a watchdog timer to monitor heartbeat (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: add heartbeat check (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: reverse an interrupt coalesce calculation (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: fix up struct name comments (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: add lif_quiesce to wait for queue activity to stop
  (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: implement ethtool set-fec (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: report users coalesce request (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: use wait_on_bit_lock() rather than open code (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: simplify returns in devlink info (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- dynamic_debug: provide dynamic_hex_dump stub (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: fix stats memory dereference (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Fix an error code in ionic_lif_alloc() (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: Remove unnecessary ternary operator in
  ionic_debugfs_add_ident (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: Remove unused including <linux/version.h> (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: Add coalesce and other features (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add RSS support (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: Add driver stats (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: Add netdev-event handling (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add Tx and Rx handling (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add initial ethtool support (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add async link status check and basic stats (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: Add Rx filter and rx_mode ndo support (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: Add management of rx filters (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add the basic NDO callbacks for netdev support
  (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: Add notifyq support (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add adminq action (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- ionic: Add basic adminq support (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add interrupts and doorbells (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add basic lif support (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add port management commands (bsc#1167773 jsc#PM-1588
  jsc#ECO-1386).
- ionic: Add hardware init and device commands (bsc#1167773
  jsc#PM-1588 jsc#ECO-1386).
- ionic: Add basic framework for IONIC Network device driver
  (bsc#1167773 jsc#PM-1588 jsc#ECO-1386).
- Update config files.
- supported.conf: mark ionic supported (bsc#1167773 jsc#PM-1588 jsc#ECO-1386)
- commit 7927437
* Thu Mar 26 2020 msuchanek@suse.de
- update patch metadata and move it into sorted section
  Rename patches.suse/powerpc-pseries-fix-of_read_drc_info_cell-to-point-at-next-record.patch
  to patches.suse/powerpc-pseries-Fix-of_read_drc_info_cell-to-point-a.patch,
  update to upstream version, update upstream references and move into sorted section.
- commit 58f6e72
* Thu Mar 26 2020 mbrugger@suse.com
- Revert "net: bcmgenet: use RGMII loopback for MAC reset"
  (bsc#1167769).
- commit b9b9649
* Thu Mar 26 2020 jack@suse.cz
- ext4: Check for non-zero journal inum in ext4_calculate_overhead
  (bsc#1167288).
- commit 4a32d11
* Thu Mar 26 2020 tiwai@suse.de
- r8169: re-enable MSI on RTL8168c (git-fixes).
- net: phy: mdio-bcm-unimac: Fix clock handling (git-fixes).
- NFC: fdp: Fix a signedness bug in fdp_nci_send_patch()
  (git-fixes).
- vxlan: check return value of gro_cells_init() (git-fixes).
- net: phy: mdio-mux-bcm-iproc: check clk_prepare_enable()
  return value (git-fixes).
- iwlwifi: yoyo: don't add TLV offset when reading FIFOs
  (git-fixes).
- iwlwifi: consider HE capability when setting LDPC (git-fixes).
- gpiolib: acpi: Add quirk to ignore EC wakeups on HP x2 10 CHT +
  AXP288 model (git-fixes).
- gpiolib: acpi: Add quirk to ignore EC wakeups on HP x2 10 BYT +
  AXP288 model (git-fixes).
- gpiolib: acpi: Rework honor_wakeup option into an ignore_wake
  option (git-fixes).
- gpiolib: acpi: Correct comment for HP x2 10 honor_wakeup quirk
  (git-fixes).
- gpiolib: Fix irq_disable() semantics (git-fixes).
- intel_th: pci: Add Elkhart Lake CPU support (git-fixes).
- staging: rtl8188eu: Add device id for MERCUSYS MW150US v2
  (git-fixes).
- staging/speakup: fix get_word non-space look-ahead (git-fixes).
- drm/amd/amdgpu: Fix GPR read from debugfs (v2) (git-fixes).
- drm/lease: fix WARNING in idr_destroy (git-fixes).
- mmc: rtsx_pci: Fix support for speed-modes that relies on tuning
  (git-fixes).
- mmc: sdhci-cadence: set SDHCI_QUIRK2_PRESET_VALUE_BROKEN for
  UniPhier (git-fixes).
- altera-stapl: altera_get_note: prevent write beyond end of 'key'
  (git-fixes).
- spi: spi_register_controller(): free bus id on error paths
  (git-fixes).
- spi/zynqmp: remove entry that causes a cs glitch (git-fixes).
- spi: pxa2xx: Add CS control clock quirk (git-fixes).
- spi: qup: call spi_qup_pm_resume_runtime before suspending
  (git-fixes).
- spi: spi-omap2-mcspi: Support probe deferral for DMA channels
  (git-fixes).
- drm/amd/display: fix dcc swath size calculations on dcn1
  (git-fixes).
- drm/amd/display: Clear link settings on MST disable connector
  (git-fixes).
- drm/amdgpu: clean wptr on wb when gpu recovery (git-fixes).
- drm/mediatek: Find the cursor plane instead of hard coding it
  (git-fixes).
- drm/exynos: hdmi: don't leak enable HDMI_EN regulator if probe
  fails (git-fixes).
- drm/exynos: dsi: fix workaround for the legacy clock name
  (git-fixes).
- drm/exynos: dsi: propagate error value and silence meaningless
  warning (git-fixes).
- mmc: sdhci-cadence: use struct_size() helper (git-fixes).
- commit 963c6b7
* Thu Mar 26 2020 mhocko@suse.com
- selftests: vm: drop dependencies on page flags from mlock2 tests
  (bnc#1167384).
- commit 93ec8db
* Thu Mar 26 2020 mkubecek@suse.cz
- Update kabi files.
  Update from RC2 kernel submission (commit 2cc5c6f40e3f).
- commit bc36e97
* Wed Mar 25 2020 jack@suse.cz
- ext4: do not commit super on read-only bdev (bsc#1167288
  bsc#1167338).
- commit 3e272f3
* Wed Mar 25 2020 jack@suse.cz
- ext4: Unregister sysfs path before destroying jbd2 journal
  (bsc#1167338 bsc#1167288).
- commit 536d85c
* Wed Mar 25 2020 tiwai@suse.de
- struct phy_device kABI compatibility workaround (git-fixes).
- commit feeaa43
* Wed Mar 25 2020 tiwai@suse.de
- net: phy: fix MDIO bus PM PHY resuming (git-fixes).
- commit d42c758
* Wed Mar 25 2020 tiwai@suse.de
- net: phy: Avoid multiple suspends (git-fixes).
- commit c95182b
* Wed Mar 25 2020 tiwai@suse.de
- drm/bridge: dw-hdmi: fix AVI frame colorimetry (git-fixes).
- alarmtimer: Make alarmtimer platform device child of RTC device
  (git-fixes).
- commit ba8679d
* Wed Mar 25 2020 tiwai@suse.de
- virtio-blk: improve virtqueue error to BLK_STS (bsc#1167649).
- commit 0db14dd
* Wed Mar 25 2020 vbabka@suse.cz
- mm, slub: prevent kmalloc_node crashes and memory leaks
  (bsc#1167657, VM functionality).
- commit 4697f85
* Wed Mar 25 2020 vbabka@suse.cz
- mm: slub: be more careful about the double cmpxchg of freelist
  (bsc#1167657, VM functionality).
- commit e8bce3b
* Wed Mar 25 2020 vbabka@suse.cz
- mm: slub: add missing TID bump in kmem_cache_alloc_bulk()
  (bsc#1167657, VM functionality).
- commit 0108e02
* Wed Mar 25 2020 mkubecek@suse.cz
- fix patch metadata
- fix wrong Patch-mainline:
  patches.suse/0001-Revert-serial-uartlite-Add-runtime-support.patch
  patches.suse/0001-Revert-serial-uartlite-Do-not-use-static-struct-uart.patch
  patches.suse/0001-Revert-serial-uartlite-Move-the-uart-register.patch
  patches.suse/0001-pinctrl-baytrail-Really-serialize-all-register-acces.patch
- commit a449950
* Wed Mar 25 2020 oneukum@suse.com
- pinctrl: baytrail: Really serialize all register accesses
  (git-fixes).
- Refresh
  patches.suse/pinctrl-baytrail-Do-not-clear-IRQ-flags-on-direct-ir.patch.
- commit 3060b4c
* Wed Mar 25 2020 oneukum@suse.com
- Revert "serial-uartlite: Move the uart register" (git-fixes).
- commit 7d98e39
* Wed Mar 25 2020 oneukum@suse.com
- Revert "serial-uartlite: Do not use static struct uart_driver
  out of probe()" (git-fixes).
- commit 053f110
* Wed Mar 25 2020 oneukum@suse.com
- Revert "serial-uartlite: Add runtime support" (git-fixes).
- commit 869ee8e
* Tue Mar 24 2020 mkubecek@suse.cz
- update patch metadata
- improve Patch-mainline tag:
  patches.suse/rcuwait-Let-rcuwait_wake_up-return-whether-or-not-a-.patch
- commit f21d25e
* Tue Mar 24 2020 dbueso@suse.de
- rcuwait: Let rcuwait_wake_up() return whether or not a task was awoken (bsc#1167594).
- commit e399edf
* Tue Mar 24 2020 ptesarik@suse.cz
- Update config files: Increase NR_CPUS to 768 on arm64 to support the
  extra cores on a Marvell ThunderX3 SoC (jsc#SLE-9971).
- [mkubecek] update kabi reference files (incompatible):
  NR_CPUS raised from 480 to 768 on aarch64
- commit d52fc74
* Tue Mar 24 2020 bp@suse.de
- x86/MCE/AMD, EDAC/mce_amd: Add new Load Store unit McaType
  (jsc#SLE-11833).
- commit a9c59e2
* Tue Mar 24 2020 colyli@suse.de
- md: rename wb stuffs (bsc#1166003).
- Update with kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch.
- Refresh for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit eabced8
* Tue Mar 24 2020 colyli@suse.de
- raid5: remove worker_cnt_per_group argument from
  alloc_thread_groups (bsc#1166003).
- commit ffebcdb
* Tue Mar 24 2020 tiwai@suse.de
- KEYS: reaching the keys quotas correctly (bsc#1167517).
- commit 39a6103
* Tue Mar 24 2020 oneukum@suse.com
- kABI: more hooks for PCI changes (bsc#1141558).
- [mkubecek] update kabi reference files (incompatible):
  SUSE kabi padding added to some PCI related structures
- commit 29f5545
* Tue Mar 24 2020 tbogendoerfer@suse.de
- net: hns3: fix RMW issue for VLAN filter switch (bsc#1154353).
- netfilter: nf_tables: fix infinite loop when expr is not
  available (bsc#1154353).
- bnxt_en: fix error handling when flashing from file (sc#SLE-8371
  bsc#1153274 bsc#1163419).
- bnxt_en: reinitialize IRQs when MTU is modified (sc#SLE-8371
  bsc#1153274 bsc#1163419).
- bnxt_en: add newline to netdev_*() format strings (sc#SLE-8371
  bsc#1153274 bsc#1163419).
- bnxt_en: Issue PCIe FLR in kdump kernel to cleanup pending DMAs
  (sc#SLE-8371 bsc#1153274 bsc#1163419).
- bnxt_en: Improve device shutdown method (sc#SLE-8371 bsc#1153274
  bsc#1163419).
- commit 6ec4eab
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: add enospc debug messages for ticket failure   (bsc#1141456).
- Refresh
  patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- commit b0b4b45
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: do not account global reserve in can_overcommit (bsc#1141456).
- commit cbebbcb
* Tue Mar 24 2020 mbrugger@suse.com
- supported.conf: mark synopsys_edac as supported.
  Used in Xilinx ZynqMP devices.
- commit 8d84988
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: use btrfs_try_granting_tickets in update_global_rsv (bsc#1141456).
- commit 2c7e1da
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: always reserve our entire size for the global reserve (bsc#1141456).
- commit 0ded727
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: change the minimum global reserve size (bsc#1141456).
- commit 20a34ab
* Tue Mar 24 2020 mbenes@suse.cz
- tracing: Add 'hist:' to hist trigger error log error string
  (bsc#1164917).
- commit c0e7e4a
* Tue Mar 24 2020 mbenes@suse.cz
- tracing: Add hist trigger error messages for sort specification
  (bsc#1164917).
- commit 9b80622
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: unexport the temporary exported functions (bsc#1162831).
- commit 795367d
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group cleanup code (bsc#1162831).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- Refresh
  patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- commit b3b0455
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the alloc_profile helpers (bsc#1162831).
- commit d4eb35f
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the chunk allocation code (bsc#1162831).
- commit 2694f31
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group space accounting helpers (bsc#1162831).
- commit cfbc882
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: export block group accounting helpers (bsc#1162831).
- commit 1701266
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the dirty bg writeout code (bsc#1162831).
- commit e9dcb00
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate inc/dec_block_group_ro code (bsc#1162831).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- commit abe1d44
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: temporarily export btrfs_get_restripe_target (bsc#1162831).
- commit dcd4303
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group read/creation code (bsc#1162831).
- Refresh
  patches.suse/0001-btrfs-block-group-Fix-a-memory-leak-due-to-missing-b.patch.
- commit 4cffeef
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group removal code (bsc#1162831).
- commit 313711e
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: temporarily export inc_block_group_ro (bsc#1162831).
- commit 9260ebc
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group caching code (bsc#1162831).
- commit 610d6da
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: make caching_thread use btrfs_find_next_key (bsc#1162831).
- commit 32ee695
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: temporarily export fragment_free_space (bsc#1162831).
- commit b52844f
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: export the caching control helpers (bsc#1162831).
- commit 96ba87a
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: export the excluded extents helpers (bsc#1162831).
- commit 0c5df27
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: export the block group caching helpers (bsc#1162831).
- commit 01de231
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate nocow and reservation helpers (bsc#1162831).
- commit e4a70ac
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group ref counting stuff (bsc#1162831).
- commit 81d13e7
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: migrate the block group lookup code (bsc#1162831).
- commit fe38e12
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: move basic block_group definitions to their own header (bsc#1162831).
- commit a828471
* Tue Mar 24 2020 nborisov@suse.com
- btrfs: move btrfs_add_free_space out of a header file (bsc#1162831).
- commit c5144d6
* Mon Mar 23 2020 tiwai@suse.de
- USB: cdc-acm: fix rounding error in TIOCSSERIAL (git-fixes).
- usb: typec: ucsi: displayport: Fix a potential race during
  registration (git-fixes).
- usb: typec: ucsi: displayport: Fix NULL pointer dereference
  (git-fixes).
- commit 864c13e
* Mon Mar 23 2020 tiwai@suse.de
- rtc: max8907: add missing select REGMAP_IRQ (git-fixes).
- serial: 8250_exar: add support for ACCES cards (git-fixes).
- serial: ar933x_uart: set UART_CS_{RX,TX}_READY_ORIDE
  (git-fixes).
- commit ae8a796
* Mon Mar 23 2020 tiwai@suse.de
- net: phy: bcm63xx: fix OOPS due to missing driver name
  (git-fixes).
- net: phy: avoid clearing PHY interrupts twice in irq handler
  (git-fixes).
- net: phy: mscc: fix firmware paths (git-fixes).
- net: phy: restore mdio regs in the iproc mdio driver
  (git-fixes).
- net: phy: fixed_phy: fix use-after-free when checking link GPIO
  (git-fixes).
- commit 9488907
* Mon Mar 23 2020 tiwai@suse.de
- intel_th: Fix user-visible error codes (git-fixes).
- iio: chemical: sps30: fix missing triggered buffer dependency
  (git-fixes).
- iio: st_sensors: remap SMO8840 to LIS2DH12 (git-fixes).
- iio: light: vcnl4000: update sampling periods for vcnl4040
  (git-fixes).
- iio: light: vcnl4000: update sampling periods for vcnl4200
  (git-fixes).
- iio: accel: adxl372: Set iio_chan BE (git-fixes).
- iio: magnetometer: ak8974: Fix negative raw values in sysfs
  (git-fixes).
- iio: trigger: stm32-timer: disable master mode when stopping
  (git-fixes).
- iio: adc: stm32-dfsdm: fix sleep in atomic context (git-fixes).
- iio: adc: at91-sama5d2_adc: fix differential channels in
  triggered mode (git-fixes).
- mmc: sdhci-of-at91: fix cd-gpios for SAMA5D2 (git-fixes).
- mac80211: rx: avoid RCU list traversal under mutex (git-fixes).
- commit 9bd80d9
* Mon Mar 23 2020 tiwai@suse.de
- HID: add ALWAYS_POLL quirk to lenovo pixart mouse (git-fixes).
- HID: google: add moonball USB id (git-fixes).
- HID: hid-bigbenff: fix race condition for scheduled work during
  removal (git-fixes).
- HID: hid-bigbenff: call hid_hw_stop() in case of error
  (git-fixes).
- HID: hid-bigbenff: fix general protection fault caused by
  double kfree (git-fixes).
- HID: i2c-hid: add Trekstor Surfbook E11B to descriptor override
  (git-fixes).
- HID: apple: Add support for recent firmware on Magic Keyboards
  (git-fixes).
- commit 5f6c3d6
* Mon Mar 23 2020 nborisov@suse.com
- Fix patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch
  Fix earlier refresh.
- commit 479cae8
* Mon Mar 23 2020 lyan@suse.com
- Revert sgi_iodev for kabi break (bsc#1166547).
- commit 1393f42
* Mon Mar 23 2020 ykaukab@suse.de
- apei/ghes: Do not delay GHES polling (bsc#1166982).
- commit b9901b6
* Mon Mar 23 2020 jslaby@suse.cz
- net: dsa: tag_qca: Make sure there is headroom for tag
  (networking-stable-20_02_19).
- net/sched: flower: add missing validation of TCA_FLOWER_FLAGS
  (networking-stable-20_02_19).
- net/sched: matchall: add missing validation of
  TCA_MATCHALL_FLAGS (networking-stable-20_02_19).
- net/smc: fix leak of kernel memory to user space
  (networking-stable-20_02_19).
- core: Don't skip generic XDP program execution for cloned SKBs
  (networking-stable-20_02_19).
- commit f564699
* Mon Mar 23 2020 jroedel@suse.de
- Refresh patches.suse/x86-mm-split-vmalloc_sync_all.patch.
- commit 52f4443
* Mon Mar 23 2020 jroedel@suse.de
- blacklist.conf: Add 02d715b4a818 iommu/vt-d: Fix RCU list debugging warnings
- commit edb9131
* Mon Mar 23 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/signal-avoid-double-atomic-counter-increments-for-user-accounting.patch
- commit 4c51946
* Mon Mar 23 2020 mgorman@suse.de
- sched/fair: Clear SMT siblings after determining the core is
  not idle (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit fafc10a
* Mon Mar 23 2020 mgorman@suse.de
- sched/fair: fix condition of avg_load calculation (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit db78afd
* Mon Mar 23 2020 mgorman@suse.de
- signal: avoid double atomic counter increments for user
  accounting (bnc#1167415 (Kernel core performance backports)).
- commit 6ff4a7e
* Mon Mar 23 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/cgroup-iterate-tasks-that-did-not-finish-do_exit.patch
- commit 5b30728
* Mon Mar 23 2020 bp@suse.de
- EDAC/synopsys: Do not print an error with back-to-back
  snprintf() calls (bsc#1152489).
- commit 3d8b07b
* Mon Mar 23 2020 bp@suse.de
- perf/amd/uncore: Replace manual sampling check with
  CAP_NO_INTERRUPT flag (bsc#1152489).
- commit 509a4ff
* Mon Mar 23 2020 bp@suse.de
- x86/mce: Fix logic and comments around MSR_PPIN_CTL
  (bsc#1152489).
- commit c2e64b7
* Mon Mar 23 2020 bp@suse.de
- x86/pkeys: Manually set X86_FEATURE_OSPKE to preserve existing
  changes (bsc#1152489).
- commit 062e80e
* Mon Mar 23 2020 lyan@suse.com
- KVM: arm/arm64: vgic: Use a single IO device per redistributor
  (bsc#1166547).
- commit 0aaedec
* Sun Mar 22 2020 bp@suse.de
- efi/x86: Add TPM related EFI tables to unencrypted mapping
  checks (bsc#1159816).
- commit 0d7e2e6
* Sat Mar 21 2020 tiwai@suse.de
- ALSA: hda/realtek - Enable the headset of Acer N50-600 with
  ALC662 (git-fixes).
- ALSA: hda/realtek - Enable headset mic of Acer X2660G with
  ALC662 (git-fixes).
- ALSA: seq: oss: Fix running status after receiving sysex
  (git-fixes).
- ALSA: seq: virmidi: Fix running status after receiving sysex
  (git-fixes).
- ALSA: pcm: oss: Remove WARNING from snd_pcm_plug_alloc() checks
  (git-fixes).
- ALSA: hda/realtek: Fix pop noise on ALC225 (git-fixes).
- ALSA: line6: Fix endless MIDI read loop (git-fixes).
- ALSA: pcm: oss: Avoid plugin buffer overflow (git-fixes).
- commit ed262e3
* Fri Mar 20 2020 ptesarik@suse.cz
- s390/pci: Fix possible deadlock in recover_store() (bsc#1165187
  LTC#184105).
- commit 121df27
* Fri Mar 20 2020 ptesarik@suse.cz
- s390/pci: Recover handle in clp_set_pci_fn() (bsc#1165187
  LTC#184105).
- commit 5d2c6ee
* Fri Mar 20 2020 ptesarik@suse.cz
- s390/pkey: fix missing length of protected key on return
  (git-fixes).
- s390/zcrypt: Fix CCA cipher key gen with clear key value
  function (git-fixes).
- commit 6bb7487
* Fri Mar 20 2020 ptesarik@suse.cz
- s390/mm: fix dynamic pagetable upgrade for hugetlbfs
  (bsc#1165181 LTC#184104).
- commit 5c2c836
* Fri Mar 20 2020 jeyu@suse.de
- module: avoid setting info->name early in case we can fall back to
  info->mod->name (git-fixes).
- commit eebf8d1
* Fri Mar 20 2020 jeyu@suse.de
- blacklist.conf: blacklist f6d061d61712
- commit 72a83b2
* Fri Mar 20 2020 mkoutny@suse.com
- cgroup: memcg: net: do not associate sock with unrelated cgroup
  (bsc#1167241).
- commit 844ea7f
* Fri Mar 20 2020 colyli@suse.de
- md: fix a typo s/creat/create (bsc#1166003).
- commit 5717a6b
* Fri Mar 20 2020 colyli@suse.de
- md/raid6: fix algorithm choice under larger PAGE_SIZE
  (bsc#1166003).
- raid6/test: fix a compilation warning (bsc#1166003).
- raid6/test: fix a compilation error (bsc#1166003).
- commit b4c3abd
* Fri Mar 20 2020 colyli@suse.de
- md-bitmap: small cleanups (bsc#1166003).
- md: make sure desc_nr less than MD_SB_DISKS (bsc#1166003).
- md: raid1: check rdev before reference in raid1_sync_request
  func (bsc#1166003).
- drivers/md/raid5.c: use the new spelling of
  RWH_WRITE_LIFE_NOT_SET (bsc#1166003).
- md: avoid invalid memory access for array sb->dev_roles
  (bsc#1166003).
- md/raid1: avoid soft lockup under high load (bsc#1166003).
- commit f5e32ec
* Fri Mar 20 2020 colyli@suse.de
- md: no longer compare spare disk superblock events in super_load
  (bsc#1166003).
- commit ac7ff9d
* Fri Mar 20 2020 colyli@suse.de
- md/bitmap: avoid race window between md_bitmap_resize and
  bitmap_file_clear_bit (bsc#1166003).
- commit 1195535
* Thu Mar 19 2020 mkoutny@suse.com
- cgroup: Iterate tasks that did not finish do_exit()
  (bsc#1167151).
- commit 16348dc
* Thu Mar 19 2020 yousaf.kaukab@suse.com
- arm64: fix config and supported.conf for MTD devices on NXP boards
  References: bsc#1167137
  Get rid of CONFIG_MTD_PHYSMAP_COMPAT and enable CONFIG_MTD_PHYSMAP_OF.
  Compat maps of zero length (CONFIG_MTD_PHYSMAP_LEN=0x0) doesn't make
  sense and driver initialization is bound to fail.
  Update supported.conf to include required modules.
- commit c23c1f0
* Thu Mar 19 2020 jeyu@suse.de
- modpost: return error if module is missing ns imports and
  MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS=n (jsc#SLE-10158).
- Refresh patches.suse/supported-flag.
- Refresh patches.suse/supported-flag-modverdir.
- commit 686d15e
* Thu Mar 19 2020 msuchanek@suse.de
- cpufreq: powernv: Fix unsafe notifiers (bsc#1065729).
- cpufreq: powernv: Fix use-after-free (bsc#1065729).
- powerpc: fix hardware PMU exception bug on PowerVM compatibility
  mode systems (bsc#1056686).
- commit c0f95eb
* Wed Mar 18 2020 nborisov@suse.com
- Btrfs: fix race leading to metadata space leak after task
  received  signal (bsc#1141456).
- Refresh
  patches.suse/btrfs-run-btrfs_try_granting_tickets-if-a-priority-ticket-fails.patch.
- commit 0d2889a
* Wed Mar 18 2020 colyli@suse.de
- raid5: use bio_end_sector in r5_next_bio (bsc#1166003).
- raid5: remove STRIPE_OPS_REQ_PENDING (bsc#1166003).
- md: add feature flag MD_FEATURE_RAID0_LAYOUT (bsc#1166003).
- md/raid5: use bio_end_sector to calculate last_sector (bsc#1166003).
- commit 7e33890
* Wed Mar 18 2020 colyli@suse.de
- md raid0/linear: Mark array as 'broken' and fail BIOs if a member is
  gone (bsc#1166003).
- Refresh for the above change,
  patches.suse/md-raid0-avoid-RAID0-data-corruption-due-to-layout-c.patch.
- commit a563707
* Wed Mar 18 2020 colyli@suse.de
- raid5 improve too many read errors msg by adding limits (bsc#1166003).
- raid1: factor out a common routine to handle the
  completion of sync write (bsc#1166003).
- md: allow last device to be forcibly removed from RAID1/RAID10 (bsc#1166003).
- Update with kabi fix for the above change,
  patches.kabi/md-backport-kabi.patch
- md: Convert to use int_pow() (bsc#1166003).
- commit aa334d3
* Wed Mar 18 2020 hare@suse.de
- nvme: Translate more status codes to blk_status_t (bsc#1156510).
- nvme: Fix parsing of ANA log page (bsc#1166658).
- nvme: resync include/linux/nvme.h with nvmecli (bsc#1156510).
- commit 672f1cb
* Wed Mar 18 2020 colyli@suse.de
- md/raid10: end bio when the device faulty (bsc#1166003).
- Refresh for the above change,
  patches.suse/md-display-timeout-error.patch.
- commit 760aa49
* Wed Mar 18 2020 colyli@suse.de
- raid1: use an int as the return value of raise_barrier() (bsc#1166003).
- commit 5ac4a79
* Wed Mar 18 2020 jack@suse.cz
- ext4: potential crash on allocation error in
  ext4_alloc_flex_bg_array() (bsc#1166940).
- commit a1c176a
* Wed Mar 18 2020 tiwai@suse.de
- ARM: 8961/2: Fix Kbuild issue caused by per-task stack protector
  GCC plugin (git-fixes).
- ARM: 8958/1: rename missed uaccess .fixup section (git-fixes).
- ARM: 8957/1: VDSO: Match ARMv8 timer in cntvct_functional()
  (git-fixes).
- efi: Add a sanity check to efivar_store_raw() (git-fixes).
- drm/i915: be more solid in checking the alignment (git-fixes).
- mt76: fix array overflow on receiving too many fragments for
  a packet (git-fixes).
- ARM: imx: build v7_cpu_resume() unconditionally (git-fixes).
- drm/amd/display: remove duplicated assignment to grph_obj_type
  (git-fixes).
- commit 7fe5a8f
* Wed Mar 18 2020 tiwai@suse.de
- blacklist.conf: Add a reverted amdgpu entry
- commit 916aa15
* Tue Mar 17 2020 jack@suse.cz
- blktrace: fix dereference after null check (bsc#1159285).
- commit df5056f
* Tue Mar 17 2020 jack@suse.cz
- blacklist.conf: Blacklist d87683620489
- commit 87e4a94
* Tue Mar 17 2020 jack@suse.cz
- jbd2: fix ocfs2 corrupt when clearing block group bits
  (bsc#1166878).
- commit 4ccf692
* Tue Mar 17 2020 jack@suse.cz
- io_uring: fix __io_iopoll_check deadlock in io_sq_thread
  (bsc#1166876).
- commit 47c1bb0
* Tue Mar 17 2020 jack@suse.cz
- io_uring: prevent sq_thread from spinning when it should stop
  (bsc#1166875).
- commit 59a5904
* Tue Mar 17 2020 jack@suse.cz
- ecryptfs: replace BUG_ON with error handling code (bsc#1166874).
- commit 7eb7c45
* Tue Mar 17 2020 jack@suse.cz
- ecryptfs: fix a memory leak bug in ecryptfs_init_messaging()
  (bsc#1166872).
- commit 58a8bc1
* Tue Mar 17 2020 jack@suse.cz
- ecryptfs: fix a memory leak bug in parse_tag_1_packet()
  (bsc#1166871).
- commit c7ebfb4
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix race between writepages and enabling EXT4_EXTENTS_FL
  (bsc#1166870).
- commit d4cc10a
* Tue Mar 17 2020 jack@suse.cz
- ext4: rename s_journal_flag_rwsem to s_writepages_rwsem
  (bsc#1166868).
- commit 3fea683
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix potential race between s_flex_groups online resizing
  and access (bsc#1166867).
- commit 8b31558
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix potential race between s_group_info online resizing
  and access (bsc#1166866).
- commit 8fec0cb
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix potential race between online resizing and write
  operations (bsc#1166864).
- commit 8ac7c77
* Tue Mar 17 2020 jack@suse.cz
- ext4: add cond_resched() to __ext4_find_entry() (bsc#1166862).
- commit 098ad12
* Tue Mar 17 2020 jack@suse.cz
- ext4: fix a data race in EXT4_I(inode)->i_disksize
  (bsc#1166861).
- commit ff7b112
* Tue Mar 17 2020 jack@suse.cz
- ext4: don't assume that mmp_nodename/bdevname have NUL
  (bsc#1166860).
- commit 26f5b12
* Tue Mar 17 2020 jack@suse.cz
- block, bfq: get a ref to a group when adding it to a service
  tree (bsc#1166859).
- commit 0cc750a
* Tue Mar 17 2020 jack@suse.cz
- blacklist.conf: Blacklist 4d8340d0d4d9
- commit a9eb92c
* Tue Mar 17 2020 tiwai@suse.de
- i2c: gpio: suppress error on probe defer (git-fixes).
- i2c: i801: Do not add ICH_RES_IO_SMI for the iTCO_wdt device
  (git-fixes).
- iwlwifi: mvm: Do not require PHY_SKU NVM section for 3168
  devices (bsc#1166632).
- crypto: pcrypt - Fix user-after-free on module unload
  (git-fixes).
- iwlwifi: mvm: fix NVM check for 3168 devices (git-fixes).
- ASoC: pcm: update FE/BE trigger order based on the command
  (git-fixes).
- commit 0ca34dd
* Tue Mar 17 2020 bp@suse.de
- x86/amd_nb, char/amd64-agp: Use amd_nb_num() accessor
  (bsc#1152489).
- [mkubecek] update kabi files (incompatible):
  - drop amd_nb_misc_ids symbol (no longer exported so that we can add more
    device ids later)
- commit bb3cbed
* Mon Mar 16 2020 dbueso@suse.de
- sys/sysinfo: Respect boottime inside time namespace
  (bsc#1164648,jsc#SLE-11493).
- commit 695315f
* Mon Mar 16 2020 nborisov@suse.com
- btrfs: run btrfs_try_granting_tickets if a priority ticket fails
  (bsc#1141456).
- btrfs: only check priority tickets for priority flushing
  (bsc#1141456).
- btrfs: Account for trans_block_rsv in may_commit_transaction
  (bsc#1141456).
- btrfs: allow us to use up to 90%% of the global rsv for unlink
  (bsc#1141456).
- btrfs: Improve global reserve stealing logic (bsc#1141456).
- btrfs: force chunk allocation if our global rsv is larger than
  metadata (bsc#1141456).
- commit 0e267e6
* Mon Mar 16 2020 tzimmermann@suse.de
- drm/virtio: module_param_named() requires linux/moduleparam.h (bsc#1152489)
- commit bbc436c
* Mon Mar 16 2020 jroedel@suse.de
- iommu/vt-d: Fix debugfs register reads (bsc#1166769).
- commit acf3bd7
* Mon Mar 16 2020 nborisov@suse.com
- Refresh patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch.
- commit 867843d
* Mon Mar 16 2020 tzimmermann@suse.de
- drm/i915/gt: Close race between cacheline_retire and free (bsc#1152489)
  Additional changes:
  * Added i915_active_acquire_if_busy() to
  drivers/gpu/drm/i915/i915_active.{c,h}. See upstream
  commit b1e3177bd1d8f
- commit 0111275
* Mon Mar 16 2020 tzimmermann@suse.de
- drm/virtio: make resource id workaround runtime switchable. (bsc#1152489)
- commit 370ca9c
* Mon Mar 16 2020 jroedel@suse.de
- x86/ioremap: Map EFI runtime services data as encrypted for SEV
  (bsc#1160508).
- commit 27cbc80
* Mon Mar 16 2020 mkubecek@suse.cz
- Add kabi reference files - import from KotD (commit 49476dcf3399)
  Enable kabi checking for -default and -preempt flavors.
- commit fe7e9d8
* Mon Mar 16 2020 jroedel@suse.de
- iommu/vt-d: Populate debugfs if IOMMUs are detected
  (bsc#1166728).
- iommu/vt-d: Ignore devices with out-of-spec domain number
  (bsc#1166727).
- iommu/vt-d: Fix the wrong printing in RHSA parsing
  (bsc#1166726).
- iommu/vt-d: quirk_ioat_snb_local_iommu: replace WARN_TAINT
  with pr_warn + add_taint (bsc#1166729).
- iommu/vt-d: dmar: replace WARN_TAINT with pr_warn + add_taint
  (bsc#1166723).
- iommu/vt-d: Fix RCU-list bugs in intel_iommu_init()
  (bsc#1166725).
- iommu/dma: Fix MSI reservation allocation (bsc#1166722).
- iommu/vt-d: Fix a bug in intel_iommu_iova_to_phys() for huge
  page (bsc#1166724).
- commit eb2e9ee
* Sun Mar 15 2020 ailiopoulos@suse.com
- xfs: report corruption only as a regular error (bsc#1166687).
- commit abd2d39
* Sun Mar 15 2020 ailiopoulos@suse.com
- xfs: add a XFS_IS_CORRUPT macro (bsc#1166686).
- commit 877ee95
* Sun Mar 15 2020 ailiopoulos@suse.com
- xfs: make the assertion message functions take a mount parameter
  (bsc#1166685).
- commit 7bd7696
* Fri Mar 13 2020 ailiopoulos@suse.com
- xfs: check attribute leaf block structure (bsc#1166153).
- commit 1008e2c
* Fri Mar 13 2020 jslaby@suse.cz
- net: dsa: microchip: enable module autoprobe
  (networking-stable-20_02_09).
- net: dsa: b53: Always use dev->vlan_enabled in
  b53_configure_vlan() (networking-stable-20_02_09).
- net: stmmac: fix a possible endless loop
  (networking-stable-20_02_09).
- net: systemport: Avoid RBUF stuck in Wake-on-LAN mode
  (networking-stable-20_02_09).
- net: mvneta: move rx_dropped and rx_errors in per-cpu stats
  (networking-stable-20_02_09).
- qed: Fix timestamping issue for L2 unicast ptp packets
  (networking-stable-20_02_09).
- net: macb: Limit maximum GEM TX length in TSO
  (networking-stable-20_02_09).
- net: macb: Remove unnecessary alignment check for TSO
  (networking-stable-20_02_09).
- bonding/alb: properly access headers in bond_alb_xmit()
  (networking-stable-20_02_09).
- devlink: report 0 after hitting end in region read
  (networking-stable-20_02_09).
- net_sched: fix a resource leak in tcindex_set_parms()
  (networking-stable-20_02_09).
- commit c82701f
* Fri Mar 13 2020 nsaenzjulienne@suse.de
- mmc: sdhci: iproc: Add custom set_power() callback for bcm2711
  (bsc#1165954).
- mmc: sdhci: Introduce sdhci_set_power_and_bus_voltage()
  (bsc#1165954).
- commit a751850
* Fri Mar 13 2020 ailiopoulos@suse.com
- fs: add generic UNRESVSP and ZERO_RANGE ioctl handlers
  (bsc#1165806, bsc#1165807).
- commit 59a3783
* Fri Mar 13 2020 ailiopoulos@suse.com
- xfs: don't implement XFS_IOC_RESVSP / XFS_IOC_RESVSP64
  (bsc#1165806, bsc#1165807).
- commit 17753e3
* Fri Mar 13 2020 duwe@suse.de
- crypto: arm{,64} neon: memzero_explicit aes-cbc key
  (bsc#1165167, FIPS).
- commit cb788e3
* Fri Mar 13 2020 ptesarik@suse.cz
- Refresh
  patches.suse/scsi-ibmvfc-Avoid-loss-of-all-paths-during-SVC-node-.patch.
- commit bb81764
* Fri Mar 13 2020 tiwai@suse.de
- drm/i915: Defer semaphore priority bumping to a workqueue
  (git-fixes).
- drm/i915/gvt: Fix dma-buf display blur issue on CFL (git-fixes).
- drm/i915/gvt: Fix unnecessary schedule timer when no vGPU exits
  (git-fixes).
- nl80211: add missing attribute validation for channel switch
  (git-fixes).
- nl80211: add missing attribute validation for beacon report
  scanning (git-fixes).
- nl80211: add missing attribute validation for critical protocol
  indication (git-fixes).
- batman-adv: Don't schedule OGM for disabled interface
  (git-fixes).
- macvlan: add cond_resched() during multicast processing
  (git-fixes).
- nfc: add missing attribute validation for vendor subcommand
  (git-fixes).
- nfc: add missing attribute validation for deactivate target
  (git-fixes).
- nfc: add missing attribute validation for SE API (git-fixes).
- tipc: add missing attribute validation for MTU property
  (git-fixes).
- team: add missing attribute validation for array index
  (git-fixes).
- team: add missing attribute validation for port ifindex
  (git-fixes).
- macsec: add missing attribute validation for port (git-fixes).
- can: add missing attribute validation for termination
  (git-fixes).
- nl802154: add missing attribute validation for dev_type
  (git-fixes).
- nl802154: add missing attribute validation (git-fixes).
- firmware: imx: Align imx_sc_msg_req_cpu_start to 4 (git-fixes).
- firmware: imx: scu-pd: Align imx sc msg structs to 4
  (git-fixes).
- firmware: imx: misc: Align imx sc msg structs to 4 (git-fixes).
- firmware: imx: scu: Ensure sequential TX (git-fixes).
- tty:serial:mvebu-uart:fix a wrong return (git-fixes).
- usb: dwc3: gadget: Update chain bit correctly when using sg list
  (git-fixes).
- usb: storage: Add quirk for Samsung Fit flash (git-fixes).
- usb: quirks: add NO_LPM quirk for Logitech Screen Share
  (git-fixes).
- media: hantro: Fix broken media controller links (git-fixes).
- media: mc-entity.c: use & to check pad flags, not ==
  (git-fixes).
- media: v4l2-mem2mem.c: fix broken links (git-fixes).
- dmaengine: tegra-apb: Prevent race conditions of tasklet vs
  free list (git-fixes).
- dmaengine: tegra-apb: Fix use-after-free (git-fixes).
- audit: always check the netlink payload length in
  audit_receive_msg() (git-fixes).
- audit: fix error handling in audit_data_to_entry() (git-fixes).
- watchdog: da9062: do not ping the hw during stop() (git-fixes).
- habanalabs: patched cb equals user cb in device memset
  (git-fixes).
- habanalabs: do not halt CoreSight during hard reset (git-fixes).
- habanalabs: halt the engines before hard-reset (git-fixes).
- usb: gadget: serial: fix Tx stall after buffer overflow
  (git-fixes).
- usb: gadget: ffs: ffs_aio_cancel(): Save/restore IRQ flags
  (git-fixes).
- usb: gadget: composite: Support more than 500mA MaxPower
  (git-fixes).
- drm/modes: Allow DRM_MODE_ROTATE_0 when applying video mode
  parameters (git-fixes).
- drm/modes: Make sure to parse valid rotation value from cmdline
  (git-fixes).
- drm/msm/dsi/pll: call vco set rate explicitly (git-fixes).
- drm/msm/dsi: save pll state before dsi host is powered off
  (git-fixes).
- drm: msm: Fix return type of dsi_mgr_connector_mode_valid for
  kCFI (git-fixes).
- drm/msm/mdp5: rate limit pp done timeout warnings (git-fixes).
- ALSA: hda: do not override bus codec_mask in link_get()
  (git-fixes).
- vfio-ccw: Use the correct style for SPDX License Identifier
  (git-fixes).
- commit d192c28
* Fri Mar 13 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-padata-initialize-pd-cpu-with-effective-cpumask.patch
  patches.suse/0001-padata-pcrypt-take-CPU-hotplug-lock-internally-in-pa.patch
  patches.suse/0001-padata-unbind-parallel-jobs-from-specific-CPUs.patch
  patches.suse/0001-padata-use-separate-workqueues-for-parallel-and-seri.patch
  patches.suse/0001-workqueue-unconfine-alloc-apply-free_workqueue_attrs.patch
- commit c637d96
* Fri Mar 13 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/ibmvnic-Do-not-process-device-remove-during-device-r.patch
- commit aed6449
* Thu Mar 12 2020 tiwai@suse.de
- Move the upstreamed ipmi_si patch into sorted section
- commit ca4ab45
* Thu Mar 12 2020 dbueso@suse.de
- pid: Fix error return value in some cases
  (bsc#1164648,jsc#SLE-11493).
- commit 2c02126
* Thu Mar 12 2020 msuchanek@suse.de
- blacklist.conf: expand wildcards.
- commit 7232917
* Thu Mar 12 2020 tiwai@suse.de
- arm64: dts: qcom: Add Lenovo Yoga C630 (jsc#SLE-9418).
- commit 5c6966e
* Thu Mar 12 2020 tiwai@suse.de
- x86/intel: Disable HPET on Intel Ice Lake platforms (git-fixes).
- x86/intel: Disable HPET on Intel Coffee Lake H platforms
  (git-fixes).
- commit df3778b
* Thu Mar 12 2020 tiwai@suse.de
- pinctrl: core: Remove extra kref_get which blocks hogs being
  freed (git-fixes).
- pinctrl: imx: scu: Align imx sc msg structs to 4 (git-fixes).
- pinctrl: meson-gxl: fix GPIOX sdio pins (git-fixes).
- virtio_balloon: Adjust label in virtballoon_probe (git-fixes).
- virtio_ring: Fix mem leak with vring_new_virtqueue()
  (git-fixes).
- Revert "PM / devfreq: Modify the device name as devfreq(X)
  for sysfs" (git-fixes).
- nfc: pn544: Fix occasional HW initialization failure
  (git-fixes).
- NFC: pn544: Fix a typo in a debug message (git-fixes).
- gpio: xilinx: Fix bug where the wrong GPIO register is written
  to (git-fixes).
- irqchip/gic-v3: Only provision redistributors that are enabled
  in ACPI (git-fixes).
- virtio_balloon: prevent pfn array overflow (git-fixes).
- clk: Use parent node pointer during registration if necessary
  (git-fixes).
- gpu/drm: ingenic: Avoid null pointer deference in plane atomic
  update (git-fixes).
- gpio: gpio-grgpio: fix possible sleep-in-atomic-context bugs
  in grgpio_irq_map/unmap() (git-fixes).
- fore200e: Fix incorrect checks of NULL pointer dereference
  (git-fixes).
- NFC: port100: Convert cpu_to_le16(le16_to_cpu(E1) + E2) to
  use le16_add_cpu() (git-fixes).
- irqchip/mbigen: Set driver .suppress_bind_attrs to avoid remove
  problems (git-fixes).
- ACPICA: Disassembler: create buffer fields in
  ACPI_PARSE_LOAD_PASS1 (git-fixes).
- gpio: add gpiod_toggle_active_low() (git-fixes).
- XArray: Fix xas_find returning too many entries (git-fixes).
- XArray: Fix xa_find_after with multi-index entries (git-fixes).
- XArray: Fix infinite loop with entry at ULONG_MAX (git-fixes).
- XArray: Fix xas_pause at ULONG_MAX (git-fixes).
- commit aac43c5
* Thu Mar 12 2020 yousaf.kaukab@suse.com
- Revert "tick/common: Make tick_periodic() check for missing ticks"
  This reverts commit 4d65090f1171433dc9438813b674f86d4925eb9c.
  Patch causes hard lockup. See [1] for details. Issue is fixed with
  Marvell frimware v7.4.1
  [1]: https://lkml.org/lkml/2020/3/6/1245
- commit be5e348
* Thu Mar 12 2020 ptesarik@suse.cz
- Enable CONFIG_KEXEC_SIG on s390x (jsc#SLE-8923).
- commit 3dbf242
* Wed Mar 11 2020 tiwai@suse.de
- Update patch reference for console security fix (CVE-2020-8647 bsc#1162929 CVE-2020-8649 bsc#1162931)
- commit 3e9c1d2
* Wed Mar 11 2020 oneukum@suse.com
- padata, pcrypt: take CPU hotplug lock internally in
  padata_alloc_possible (git-fixes).
- commit aad348d
* Wed Mar 11 2020 mhocko@suse.com
- x86/mm: Split vmalloc_sync_all() (bsc#1165741).
- commit 6f59f79
* Wed Mar 11 2020 oneukum@suse.com
- workqueue: unconfine alloc/apply/free_workqueue_attrs()
  (git-fixes).
- commit 00cf9ef
* Wed Mar 11 2020 oneukum@suse.com
- crypto: pcrypt - Avoid deadlock by using per-instance padata
  queues (git-fixes).
- commit 2487df7
* Wed Mar 11 2020 oneukum@suse.com
- padata: unbind parallel jobs from specific CPUs (git-fixes).
- Refresh
  patches.suse/0001-padata-Remove-broken-queue-flushing.patch.
- commit f5446c1
* Wed Mar 11 2020 mkubecek@suse.cz
- patch metadata cleanup
- drop duplicate References line:
  patches.suse/sched-fair-fix-statistics-for-find_idlest_group.patch
- commit d4e3168
* Wed Mar 11 2020 mkubecek@suse.cz
- series.conf: tidy up
- "inherited SP1 patches for review" section is emtpy, drop the header
- drop a pointless comment
- commit d5cfa09
* Wed Mar 11 2020 oneukum@suse.com
- padata: use separate workqueues for parallel and serial work
  (git-fixes).
- commit 93a8f87
* Wed Mar 11 2020 nborisov@suse.com
- refresh and enable: patches.suse/btrfs-dump_space_info-when-encountering-total_bytes_pinned-0-at-umount.patch
- commit 0883fb3
* Wed Mar 11 2020 nborisov@suse.com
- refresh and enable: patches.suse/btrfs-8888-add-allow_unsupported-module-parameter.patch
- commit e7ac692
* Wed Mar 11 2020 mgorman@suse.de
- sched/fair: Fix reordering of enqueue/dequeue_task_fair()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Fix runnable_avg for throttled cfs (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/topology: Don't enable EAS on SMT systems (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/numa: Acquire RCU lock for checking idle cores during
  NUMA balancing (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/fair: Fix kernel build warning in test_idle_cores()
  for !SMT NUMA (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- commit 54c1e7e
* Wed Mar 11 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-fix-statistics-for-find_idlest_group.patch.
- commit 19f7ff2
* Wed Mar 11 2020 jslaby@suse.cz
- vt: selection, push sel_lock up (bnc#1162928 CVE-2020-8648).
- vt: selection, push console lock down (bnc#1162928
  CVE-2020-8648).
- commit 826e708
* Wed Mar 11 2020 mkubecek@suse.cz
- supported.conf: cleanup
  Remove entries for modules which are only built into vmlinuz image and no
  longer as a module on any supported architecture.
- commit 442ceef
* Wed Mar 11 2020 tbogendoerfer@suse.de
- net: export netdev_next_lower_dev_rcu() (bsc#1154353).
- commit 50e6fb7
* Wed Mar 11 2020 mkubecek@suse.cz
- supported.conf: proper sort
  While having all modules belonging to internal KMPs (i.e. marked with
  "+foo-kmp" style guards) on top of supported.conf might seem intentional,
  it was in fact only a side effect of a bug in supported-conf-fixup which
  did not expect guards with a dash ('-').
  Sort the file properly now to avoid potential mistakes resulting from wrong
  order of entries.
- commit 26973fc
* Wed Mar 11 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-crypto-pcrypt-remove-padata-cpumask-notifier.patch
  patches.suse/0001-padata-Replace-delayed-timer-with-immediate-workqueu.patch
  patches.suse/0001-padata-allocate-workqueue-internally.patch
  patches.suse/0001-padata-initialize-pd-cpu-with-effective-cpumask.patch
  patches.suse/0001-padata-make-padata_do_parallel-find-alternate-callba.patch
  patches.suse/0001-padata-purge-get_cpu-and-reorder_via_wq-from-padata_.patch
  patches.suse/0001-virtio-blk-fix-hw_queue-stopped-on-arbitrary-error.patch
- commit bc937a8
* Wed Mar 11 2020 msuchanek@suse.de
- ibmvnic: Do not process device remove during device reset
  (bsc#1065729).
- commit cc9dad3
* Tue Mar 10 2020 msuchanek@suse.de
- ibmvnic: Warn unknown speed message only when carrier is present
  (bsc#1065729).
- commit e9a3130
* Tue Mar 10 2020 dbueso@suse.de
- arm64/spinlock: fix a -Wunused-function warning (bsc#1149032).
- locking/rwsem: Fix kernel crash when spinning on
  RWSEM_OWNER_UNKNOWN (bsc#1149032).
- futex: Fix kernel-doc notation warning (bsc#1149032).
- commit 4912275
* Tue Mar 10 2020 dbueso@suse.de
- Revert "ipc,sem: remove uneeded sem_undo_list lock usage in
  exit_sem()" (bsc#1159886).
- powerpc/spinlocks: Fix oops in __spin_yield() on bare metal
  (bsc#1149032).
- powerpc/spinlocks: Rename SPLPAR-only spinlocks (bsc#1149032).
- commit 4b45f4c
* Tue Mar 10 2020 oneukum@suse.com
- padata: initialize pd->cpu with effective cpumask (git-fixes).
- Refresh
  patches.suse/0001-padata-Remove-broken-queue-flushing.patch.
- commit c8738d9
* Tue Mar 10 2020 oneukum@suse.com
- padata: purge get_cpu and reorder_via_wq from padata_do_serial
  (git-fixes).
- commit 32854ac
* Tue Mar 10 2020 oneukum@suse.com
- padata: Replace delayed timer with immediate workqueue in
  padata_reorder (git-fixes).
- Refresh
  patches.suse/0001-padata-Remove-broken-queue-flushing.patch.
- commit ab62460
* Tue Mar 10 2020 oneukum@suse.com
- padata: Remove broken queue flushing (git-fixes).
- commit feb9def
* Tue Mar 10 2020 oneukum@suse.com
- crypto: pcrypt - remove padata cpumask notifier (git-fixes).
- commit 61ed2ae
* Tue Mar 10 2020 oneukum@suse.com
- padata: make padata_do_parallel find alternate callback CPU
  (git-fixes).
- commit 1bf4612
* Tue Mar 10 2020 oneukum@suse.com
- padata: allocate workqueue internally (git-fixes).
- commit c16372d
* Tue Mar 10 2020 tbogendoerfer@suse.de
- RDMA/odp: Ensure the mm is still alive before creating an
  implicit child (jsc#SLE-8449).
- IB/mlx5: Fix implicit ODP race (jsc#SLE-8446).
- RDMA/core: Fix pkey and port assignment in get_new_pps
  (jsc#SLE-8449).
- RDMA/rw: Fix error flow during RDMA context initialization
  (jsc#SLE-8449).
- RDMA/core: Fix use of logical OR in get_new_pps (jsc#SLE-8449).
- commit 76634af
* Tue Mar 10 2020 oneukum@suse.com
- virtio-blk: fix hw_queue stopped on arbitrary error (git-fixes).
- commit 1b95f96
* Tue Mar 10 2020 dwagner@suse.de
- i2c: exynos5: Remove IRQF_ONESHOT (bsc#1162702).
- i2c: hix5hd2: Remove IRQF_ONESHOT (bsc#1162702).
- commit b6d534c
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: constify the buffer pointer arguments to error functions
  (bsc#1166226).
- commit a8f2d26
* Tue Mar 10 2020 jlee@suse.com
- Delete
  patches.suse/0057-acpi-Disable-APEI-error-injection-if-the-kernel-is-l.patch.
  Removed this patch because it was not sent to kernel mainline with other
  kernel lockdown patches. Maintainers didn't reponse for why this patch
  not be sent. So, I removed this patch to align mainline kernel.
- commit cfa2dff
* Tue Mar 10 2020 nsaenzjulienne@suse.de
- mmc: sdhci-pci-gli: Enable MSI interrupt for GL975x (git-fixes).
- commit b05ab91
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/sun4i: Add separate DE3 VI layer formats (bsc#1152472)
- commit 9c87cd6
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/virtio: fix resource id creation race (bsc#1152489)
- commit 875669e
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/radeon: Inline drm_get_pci_dev (bsc#1152472)
- commit 27b152d
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/i915: Update drm/i915 bug filing URL (bsc#1152489)
- commit e0978de
* Tue Mar 10 2020 nsaenzjulienne@suse.de
- Refresh: patches.suse/firmware-raspberrypi-introduce-vl805-init-routine.patch
  There is a missing inline in a function declaration. As this is a bug in
  the upstream submission, a subsequent series will be sent.
- commit 24cdb0d
* Tue Mar 10 2020 jlee@suse.com
- efi: fix a race and a buffer overflow while reading efivars
  via sysfs (bsc#1164893).
- commit 57ac0e8
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/nouveau/kms/gv100-: Re-set LUT after clearing for modesets (bsc#1152472)
- commit 6746148
* Tue Mar 10 2020 tzimmermann@suse.de
- drm/vgem: Close use-after-free race in vgem_gem_create (bsc#1152472)
- commit 65490f2
* Tue Mar 10 2020 tzimmermann@suse.de
- Revert "drm/amd/display: Don't skip link training for empty dongle" (bsc#1152489)
- commit 62bee52
* Tue Mar 10 2020 tzimmermann@suse.de
- vgacon: Fix a UAF in vgacon_invert_region (bsc#1152472)
- commit b9949b5
* Tue Mar 10 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/usercopy-Avoid-soft-lockups-in-test_check_nonzero_us.patch
- commit 1ec8a33
* Tue Mar 10 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-iwlwifi-mvm-remove-d0i3_ap_sta_id.patch
  patches.suse/0001-iwlwifi-mvm-remove-last-leftovers-of-d0i3.patch
  patches.suse/0001-iwlwifi-mvm-remove-the-d0i3-entry-exit-flow.patch
  patches.suse/0001-iwlwifi-mvm-remove-the-tx-defer-for-d0i3.patch
  patches.suse/0001-iwlwifi-mvm-start-to-remove-the-code-for-d0i3.patch
  patches.suse/0001-iwlwifi-remove-all-the-d0i3-references.patch
- commit c0e601f
* Tue Mar 10 2020 mkubecek@suse.cz
- series.conf: cleanup
- move into sorted section
  patches.suse/scsi-target-fix-unmap_zeroes_data-boolean-initialisa.patch
  patches.suse/scsi-target-convert-boolean-se_dev_attrib-types-to-b.patch
  patches.suse/scsi-target-use-an-enum-to-track-emulate_ua_intlck_c.patch
- commit 2ee4b82
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: fix attr leaf header freemap.size underflow (bsc#1166164).
- commit 33188db
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: fix some memory leaks in log recovery (bsc#1166162).
- commit 0fc66f0
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: attach dquots before performing xfs_swap_extents
  (bsc#1166161).
- commit 1da5af8
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: range check ri_cnt when recovering log items (bsc#1166160).
- commit 90b681f
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: always log corruption errors (bsc#1166158).
- commit 4ceca97
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: replace -EIO with -EFSCORRUPTED for corrupt metadata
  (bsc#1166156).
- commit 8aae262
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: namecheck directory entry names before listing them
  (bsc#1166155).
- commit bd61b8e
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: namecheck attribute names before listing them
  (bsc#1166154).
- commit eddc1b8
* Tue Mar 10 2020 ailiopoulos@suse.com
- xfs: cap longest free extent to maximum allocatable
  (bsc#1166152).
- commit 9db4cae
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: Fix deadlock between AGI and AGF when target_ip exists
  in xfs_rename() (bsc#1166149).
- commit 2f06de6
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: check log iovec size to make sure it's plausibly a buffer
  log format (bsc#1166147).
- commit 266b31b
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: convert EIO to EFSCORRUPTED when log contents are invalid
  (bsc#1166145).
- commit 343511d
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: also call xfs_file_iomap_end_delalloc for zeroing
  operations (bsc#1166144).
- commit 5e9fd03
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: fix inode fork extent count overflow (bsc#1166143).
- commit 016eaf4
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: log proper length of superblock (bsc#1166140).
- commit 3caa90e
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: convert inode to extent format after extent merge due to
  shift (bsc#1166136).
- commit d852ad3
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: Use WARN_ON_ONCE for bailout mount-operation (bsc#1166133).
- commit cc00b41
* Mon Mar  9 2020 ailiopoulos@suse.com
- xfs: fix maxicount division by zero error (bsc#1166132).
- commit d8d261a
* Mon Mar  9 2020 jeyu@suse.de
- rpm/kabi.pl: account for namespace field being moved last
  Upstream is moving the namespace field in Module.symvers last in order to
  preserve backwards compatibility with kmod tools (depmod, etc). Fix the kabi.pl
  script to expect the namespace field last. Since split() ignores trailing empty
  fields and delimeters, switch to using tr to count how many fields/tabs are in
  a line. Also, in load_symvers(), pass LIMIT of -1 to split() so it does not
  strip trailing empty fields, as namespace is an optional field.
- commit a3bb253
* Mon Mar  9 2020 dbueso@suse.de
- lib/vdso: Only read hrtimer_res when needed in
  __cvdso_clock_getres() (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Check for right timens offsets after fork
  and exec (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Add a simple perf test for clock_gettime()
  (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Add timer offsets test
  (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Add procfs selftest
  (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Add a test for clock_nanosleep()
  (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Add a test for timerfd
  (bsc#1164648,jsc#SLE-11493).
- selftests/timens: Add Time Namespace test for supported clocks
  (bsc#1164648,jsc#SLE-11493).
- fs/proc: Introduce /proc/pid/timens_offsets
  (bsc#1164648,jsc#SLE-11493).
- x86/vdso: Zap vvar pages when switching to a time namespace
  (bsc#1164648,jsc#SLE-11493).
- x86/vdso: On timens page fault prefault also VVAR page
  (bsc#1164648,jsc#SLE-11493).
- x86/vdso: Handle faults on timens page
  (bsc#1164648,jsc#SLE-11493).
- time: Allocate per-timens vvar page (bsc#1164648,jsc#SLE-11493).
- x86/vdso: Add time napespace page (bsc#1164648,jsc#SLE-11493).
- update x86_64 configs: GENERIC_VDSO_TIME_NS=y, TIME_NS=y
- x86/vdso: Provide vdso_data offset on vvar_page
  (bsc#1164648,jsc#SLE-11493).
- lib/vdso: Prepare for time namespace support
  (bsc#1164648,jsc#SLE-11493).
- refresh config files (drop TIME_NS - no longer available)
- x86/vdso: Restrict splitting VVAR VMA
  (bsc#1164648,jsc#SLE-11493).
- fs/proc: Respect boottime inside time namespace for /proc/uptime
  (bsc#1164648,jsc#SLE-11493).
- posix-timers: Make clock_nanosleep() time namespace aware
  (bsc#1164648,jsc#SLE-11493).
- hrtimers: Prepare hrtimer_nanosleep() for time namespaces
  (bsc#1164648,jsc#SLE-11493).
- alarmtimer: Make nanosleep() time namespace aware
  (bsc#1164648,jsc#SLE-11493).
- posix-timers: Make timer_settime() time namespace aware
  (bsc#1164648,jsc#SLE-11493).
- timerfd: Make timerfd_settime() time namespace aware
  (bsc#1164648,jsc#SLE-11493).
- time: Add do_timens_ktime_to_host() helper
  (bsc#1164648,jsc#SLE-11493).
- posix-clocks: Wire up clock_gettime() with timens offsets
  (bsc#1164648,jsc#SLE-11493).
- posix-timers: Use clock_get_ktime() in common_timer_get()
  (bsc#1164648,jsc#SLE-11493).
- posix-clocks: Introduce clock_get_ktime() callback
  (bsc#1164648,jsc#SLE-11493).
- alarmtimer: Provide get_timespec() callback
  (bsc#1164648,jsc#SLE-11493).
- alarmtimer: Rename gettime() callback to get_ktime()
  (bsc#1164648,jsc#SLE-11493).
- posix-clocks: Rename .clock_get_timespec() callbacks accordingly
  (bsc#1164648,jsc#SLE-11493).
- posix-clocks: Rename the clock_get() callback to
  clock_get_timespec() (bsc#1164648,jsc#SLE-11493).
- time: Add timens_offsets to be used for tasks in time namespace
  (bsc#1164648,jsc#SLE-11493).
- ns: Introduce Time Namespace (bsc#1164648,jsc#SLE-11493).
- update config files: TIME_NS=y (=n in s390x/zfcpdump)
- lib/vdso: Mark do_hres() and do_coarse() as __always_inline
  (bsc#1164648,jsc#SLE-11493).
- lib/vdso: Add unlikely() hint into vdso_read_begin()
  (bsc#1164648,jsc#SLE-11493).
- lib/vdso: Avoid duplication in __cvdso_clock_getres()
  (bsc#1164648,jsc#SLE-11493).
- lib/vdso: Let do_coarse() return 0 to simplify the callsite
  (bsc#1164648,jsc#SLE-11493).
- lib/vdso: Make __cvdso_clock_getres() static
  (bsc#1164648,jsc#SLE-11493).
- clone3: ensure copy_thread_tls is implemented
  (bsc#1163988,bsc#1164648,jsc#SLE-11493).
- ubsan, x86: Annotate and allow
  __ubsan_handle_shift_out_of_bounds() in uaccess regions
  (bsc#1164648,jsc#SLE-11493).
- fork: extend clone3() to support setting a PID
  (bsc#1164648,jsc#SLE-11493).
- clone3: add CLONE_CLEAR_SIGHAND (bsc#1164648,jsc#SLE-11493).
- tools headers UAPI: Sync sched.h with the kernel
  (bsc#1164648,jsc#SLE-11493).
- usercopy: Avoid soft lockups in test_check_nonzero_user()
  (bsc#1164648,jsc#SLE-11493).
- lib: test_user_copy: style cleanup (bsc#1164648,jsc#SLE-11493).
- usercopy: Add parentheses around assignment in
  test_copy_struct_from_user (bsc#1164648,jsc#SLE-11493).
- clone3: switch to copy_struct_from_user()
  (bsc#1164648,jsc#SLE-11493).
- lib: introduce copy_struct_from_user() helper
  (bsc#1164648,jsc#SLE-11493).
- sched: add kernel-doc for struct clone_args
  (bsc#1164648,jsc#SLE-11493).
- commit 992f679
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- kprobes: Fix optimize_kprobe()/unoptimize_kprobe() cancellation
  logic (git-fixes).
- commit d42d5d9
* Mon Mar  9 2020 dbueso@suse.de
- Delete
  patches.suse/clone3-ensure-copy_thread_tls-is-implemented.patch.
- commit 5c13d46
* Mon Mar  9 2020 oneukum@suse.com
- usb: core: port: do error out if usb_autopm_get_interface()
  fails (git-fixes).
- usb: core: hub: do error out if usb_autopm_get_interface()
  fails (git-fixes).
- commit 011bc72
* Mon Mar  9 2020 tiwai@suse.de
- Revert "drm/fbdev: Fallback to non tiled mode if all tiles
  not present" (bsc#1051510).
- commit 07e015b
* Mon Mar  9 2020 jeyu@suse.de
- modpost: move the namespace field in Module.symvers last
  (jsc#SLE-10158).
- Refresh patches.suse/supported-flag.
- commit d026ef9
* Mon Mar  9 2020 oneukum@suse.com
- USB: misc: iowarrior: add support for 2 OEMed devices
  (git-fixes).
- commit e40d2a1
* Mon Mar  9 2020 oneukum@suse.com
- USB: Fix novation SourceControl XL after suspend (git-fixes).
- commit 25b0137
* Mon Mar  9 2020 jroedel@suse.de
- KVM: VMX: check descriptor table exits on instruction emulation
  (bsc#1166091).
- commit bf59879
* Mon Mar  9 2020 tiwai@suse.de
- drm/i915/selftests: Fix return in assert_mmap_offset()
  (git-fixes).
- drm/i915: Program MBUS with rmw during initialization
  (git-fixes).
- drm/sun4i: Fix DE2 VI layer format support (git-fixes).
- drm/sun4i: de2/de3: Remove unsupported VI layer formats
  (git-fixes).
- drm/i915/gvt: Fix orphan vgpu dmabuf_objs' lifetime (git-fixes).
- drm/i915/gvt: Separate display reset from ALL_ENGINES reset
  (git-fixes).
- drm/amdgpu: Drop DRIVER_USE_AGP (git-fixes).
- drm/i915: Wean off drm_pci_alloc/drm_pci_free (git-fixes).
- drm/i915/gt: Protect defer_request() from new waiters
  (git-fixes).
- drm/msm/dpu: fix BGR565 vs RGB565 confusion (git-fixes).
- drm/amdgpu/gfx10: disable gfxoff when reading rlc clock
  (git-fixes).
- drm/amdgpu/gfx9: disable gfxoff when reading rlc clock
  (git-fixes).
- drm/amdgpu/soc15: fix xclk for raven (git-fixes).
- drm/amd/display: Check engine is not NULL before acquiring
  (git-fixes).
- drm/amd/display: Do not set optimized_require to false after
  plane disable (git-fixes).
- drm/msm: Set dma maximum segment size for mdss (git-fixes).
- drm/amdgpu/smu10: fix smu10_get_clock_by_type_with_voltage
  (git-fixes).
- drm/amdgpu/smu10: fix smu10_get_clock_by_type_with_latency
  (git-fixes).
- drm/amdgpu/display: handle multiple numbers of fclks in
  dcn_calcs.c (v2) (git-fixes).
- drm/amdkfd: Fix a bug in SDMA RLC queue counting under HWS mode
  (git-fixes).
- drm/amd/display: do not allocate display_mode_lib unnecessarily
  (git-fixes).
- drm/nouveau/disp/nv50-: prevent oops when no channel method
  map provided (git-fixes).
- drm/nouveau/mmu: fix comptag memory leak (git-fixes).
- drm/amd/display: fixup DML dependencies (git-fixes).
- drm/amd/display: Clear state after exiting fixed active VRR
  state (git-fixes).
- drm/nouveau/fault/gv100-: fix memory leak on module unload
  (git-fixes).
- drm/nouveau/drm/ttm: Remove set but not used variable 'mem'
  (git-fixes).
- drm/nouveau/gr/gk20a,gm200-: add terminators to method lists
  read from fw (git-fixes).
- drm/mediatek: handle events when enabling/disabling crtc
  (git-fixes).
- drm/amdkfd: Fix permissions of hang_hws (git-fixes).
- drm/amdgpu: fix KIQ ring test fail in TDR of SRIOV (git-fixes).
- drm: remove the newline for CRC source name (git-fixes).
- drm/amdgpu: Ensure ret is always initialized when using
  SOC15_WAIT_ON_RREG (git-fixes).
- drm/gma500: Fixup fbdev stolen size usage evaluation
  (git-fixes).
- drm/fbdev: Fallback to non tiled mode if all tiles not present
  (git-fixes).
- commit c42f713
* Mon Mar  9 2020 tiwai@suse.de
- dma-buf: free dmabuf->name in dma_buf_release() (git-fixes).
- dmaengine: imx-sdma: Fix the event id check to include RX
  event for UART6 (git-fixes).
- dmaengine: imx-sdma: fix context cache (git-fixes).
- dmaengine: coh901318: Fix a double lock bug in dma_tc_handle()
  (git-fixes).
- clocksource: davinci: only enable clockevents once tim34 is
  initialized (git-fixes).
- cmd64x: potential buffer overflow in cmd64x_program_timings()
  (git-fixes).
- dmaengine: Store module owner in dma_device struct (git-fixes).
- dmaengine: change alignment of mux_configure32 and
  fsl_edma_chan_mux (git-fixes).
- commit b143f5d
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- net: bcmgenet: Clear ID_MODE_DIS in EXT_RGMII_OOB_CTRL when
  not needed (git-fixes).
- dma-direct: relax addressability checks in dma_direct_supported
  (git-fixes).
- kprobes: Set unoptimized flag after unoptimizing code
  (git-fixes).
- dma-direct: don't check swiotlb=force in dma_direct_map_resource
  (git-fixes).
- Refresh: patches.suse/dma-direct-exclude-dma_direct_map_resource-from-the-min_low_pfn-check.patch
- dma/direct: turn ARCH_ZONE_DMA_BITS into a variable (git-fixes).
- Refresh: patches.suse/dma-direct-avoid-a-forward-declaration-for-phys_to_dma.patch
- Refresh: patches.suse/dma-mapping-treat-dev-bus_dma_mask-as-a-dma-limit.patch
- Refresh: patches.suse/dma-mapping-treat-dev-bus_dma_mask-as-a-dma-limit.patch
- commit ee87f08
* Mon Mar  9 2020 tiwai@suse.de
- blacklist.conf: Add dma/imx-sdma entries that have been reverted
- commit f53a68f
* Mon Mar  9 2020 tiwai@suse.de
- usb: core: hub: fix unhandled return by employing a void
  function (git-fixes).
- commit 9ef677e
* Mon Mar  9 2020 tiwai@suse.de
- usb: core: port: do error out if usb_autopm_get_interface()
  fails (git-fixes).
- usb: core: hub: do error out if usb_autopm_get_interface()
  fails (git-fixes).
- staging: vt6656: fix sign of rx_dbm to bb_pre_ed_rssi
  (git-fixes).
- vt: vt_ioctl: fix race in VT_RESIZEX (git-fixes).
- vt: fix scrollback flushing on background consoles (git-fixes).
- USB: misc: iowarrior: add support for the 100 device
  (git-fixes).
- usb: dwc2: Fix SET/CLEAR_FEATURE and GET_STATUS flows
  (git-fixes).
- usb: dwc2: Fix in ISOC request length checking (git-fixes).
- usb: gadget: composite: Fix bMaxPower for SuperSpeedPlus
  (git-fixes).
- usb: dwc3: gadget: Check for IOC/LST bit in TRB->ctrl fields
  (git-fixes).
- usb: gadget: udc-xilinx: Fix xudc_stop() kernel-doc format
  (git-fixes).
- USB: misc: iowarrior: add support for the 28 and 28L devices
  (git-fixes).
- USB: misc: iowarrior: add support for 2 OEMed devices
  (git-fixes).
- USB: Fix novation SourceControl XL after suspend (git-fixes).
- xhci: Fix memory leak when caching protocol extended capability
  PSI tables - take 2 (git-fixes).
- USB: quirks: blacklist duplicate ep on Sound Devices USBPre2
  (git-fixes).
- USB: core: add endpoint-blacklist quirk (git-fixes).
- usb: dwc3: debug: fix string position formatting mixup with
  ret and len (git-fixes).
- USB: hub: Don't record a connect-change event during
  reset-resume (git-fixes).
- usb: charger: assign specific number for enum value (git-fixes).
- usb: uas: fix a plug & unplug racing (git-fixes).
- USB: hub: Fix the broken detection of USB3 device in SMSC hub
  (git-fixes).
- xhci: apply XHCI_PME_STUCK_QUIRK to Intel Comet Lake platforms
  (git-fixes).
- xhci: fix runtime pm enabling for quirky Intel hosts
  (git-fixes).
- xhci: Force Maximum Packet size for Full-speed bulk devices
  to valid range (git-fixes).
- xprtrdma: Fix DMA scatter-gather list mapping imbalance
  (git-fixes).
- uio: fix a sleep-in-atomic-context bug in
  uio_dmem_genirq_irqcontrol() (git-fixes).
- usb: musb: omap2430: Get rid of musb .set_vbus for omap2430 glue
  (git-fixes).
- usb: gadget: udc: fix possible sleep-in-atomic-context bugs
  in gr_probe() (git-fixes).
- usb: dwc2: Fix IN FIFO allocation (git-fixes).
- usbip: Fix unsafe unaligned pointer usage (git-fixes).
- wan/hdlc_x25: fix skb handling (git-fixes).
- wan: ixp4xx_hss: fix compile-testing on 64-bit (git-fixes).
- watchdog/softlockup: Enforce that timestamp is valid on boot
  (git-fixes).
- usb: dwc3: use proper initializers for property entries
  (git-fixes).
- commit 7d830dc
* Mon Mar  9 2020 tiwai@suse.de
- tty: serial: fsl_lpuart: free IDs allocated by IDA (git-fixes).
- spi: bcm63xx-hsspi: Really keep pll clk enabled (git-fixes).
- spi: atmel-quadspi: fix possible MMIO window size overrun
  (git-fixes).
- spi: spidev: Fix CS polarity if GPIO descriptors are used
  (git-fixes).
- tty: serial: qcom_geni_serial: Fix RX cancel command failure
  (git-fixes).
- tty: serial: imx: setup the correct sg entry for tx dma
  (git-fixes).
- tty/serial: atmel: manage shutdown in case of RS485 or ISO7816
  mode (git-fixes).
- thunderbolt: Prevent crash if non-active NVMem file is read
  (git-fixes).
- tpm: Initialize crypto_id of allocated_banks to HASH_ALGO__LAST
  (git-fixes).
- soc/tegra: fuse: Fix build with Tegra194 configuration
  (git-fixes).
- tty: synclink_gt: Adjust indentation in several functions
  (git-fixes).
- tty: synclinkmp: Adjust indentation in several functions
  (git-fixes).
- commit f7b10ec
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- USB: pci-quirks: Add Raspberry Pi 4 quirk (bsc#1163560).
- soc: bcm2835: Sync xHCI reset firmware property with downstream
  (bsc#1163560).
- PCI: brcmstb: Wait for Raspberry Pi's firmware when present
  (bsc#1163560).
- firmware: raspberrypi: Introduce vl805 init routine
  (bsc#1163560).
- commit e30de5f
* Mon Mar  9 2020 tiwai@suse.de
- regulator: stm32-vrefbuf: fix a possible overshoot when
  re-enabling (git-fixes).
- staging: rtl8723bs: Fix potential overuse of kernel memory
  (git-fixes).
- staging: rtl8188eu: Fix potential overuse of kernel memory
  (git-fixes).
- staging: rtl8723bs: Fix potential security hole (git-fixes).
- staging: rtl8188eu: Fix potential security hole (git-fixes).
- staging: rtl8723bs: fix copy of overlapping memory (git-fixes).
- serial: 8250: Check UPF_IRQ_SHARED in advance (git-fixes).
- serdev: ttyport: restore client ops on deregistration
  (git-fixes).
- reset: uniphier: Add SCSSI reset control for each channel
  (git-fixes).
- remoteproc: Initialize rproc_class before use (git-fixes).
- staging: rtl8188: avoid excessive stack usage (git-fixes).
- rtw88: fix rate mask for 1SS chip (git-fixes).
- rtlwifi: rtl_pci: Fix -Wcast-function-type (git-fixes).
- commit b3aad35
* Mon Mar  9 2020 tiwai@suse.de
- phy: mapphone-mdm6600: Fix timeouts by adding wake-up handling
  (git-fixes).
- phy: mapphone-mdm6600: Fix write timeouts with shorter GPIO
  toggle interval (git-fixes).
- qmi_wwan: unconditionally reject 2 ep interfaces (git-fixes).
- radeon: insert 10ms sleep in dce5_crtc_load_lut (git-fixes).
- pinctrl: baytrail: Do not clear IRQ flags on direct-irq enabled
  pins (git-fixes).
- pinctrl: sh-pfc: sh7269: Fix CAN function GPIOs (git-fixes).
- pinctrl: sh-pfc: sh7264: Fix CAN function GPIOs (git-fixes).
- r8169: check that Realtek PHY driver module is loaded
  (git-fixes).
- commit 1f5e949
* Mon Mar  9 2020 tiwai@suse.de
- PCI: Fix pci_add_dma_alias() bitmask size (git-fixes).
- PCI: Increase D3 delay for AMD Ryzen5/7 XHCI controllers
  (git-fixes).
- PCI: Add generic quirk for increasing D3hot delay (git-fixes).
- PCI: iproc: Apply quirk_paxc_bridge() for module as well as
  built-in (git-fixes).
- commit 124e17e
* Mon Mar  9 2020 tiwai@suse.de
- mac80211: Remove a redundant mutex unlock (git-fixes).
- ipmi:ssif: Handle a possible NULL pointer reference (git-fixes).
- mac80211: fix wrong 160/80+80 MHz setting (git-fixes).
- mac80211: consider more elements in parsing CRC (git-fixes).
- iwlwifi: mvm: Check the sta is not NULL in iwl_mvm_cfg_he_sta()
  (git-fixes).
- iwlwifi: mvm: Fix thermal zone registration (git-fixes).
- media: uvcvideo: Add a quirk to force GEO GC6500 Camera
  bits-per-pixel value (git-fixes).
- media: sti: bdisp: fix a possible sleep-in-atomic-context bug
  in bdisp_device_run() (git-fixes).
- media: i2c: mt9v032: fix enum mbus codes and frame sizes
  (git-fixes).
- media: v4l2-device.h: Explicitly compare grp{id,mask} to zero
  in v4l2_device macros (git-fixes).
- media: cx23885: Add support for AVerMedia CE310B (git-fixes).
- orinoco: avoid assertion in case of NULL pointer (git-fixes).
- iwlegacy: Fix -Wcast-function-type (git-fixes).
- ipw2x00: Fix -Wcast-function-type (git-fixes).
- commit 57f0620
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- PCI: brcmstb: Fix build on 32bit ARM platforms with older
  compilers (jsc#SLE-7772).
- commit ca7a98f
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- delete: patches.suse/linux-log2-h-add-roundup-rounddown_pow_two64-family-of-functions.patch
  Not needed anymore
- commit c7ab3e3
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- update and move into sorted section: patches.suse/pci-brcmstb-add-msi-support.patch
- commit 71e1948
* Mon Mar  9 2020 nsaenzjulienne@suse.de
- refresh and move into sorted section:
  patches.suse/pci-brcmstb-add-broadcom-stb-pcie-host-controller-driver.patch
- commit b774a70
* Mon Mar  9 2020 martin.wilck@suse.com
- drm/i915/execlists: Always force a context reload when rewinding
  RING_TAIL (bsc#1161207).
- commit 8af101c
* Mon Mar  9 2020 vbabka@suse.cz
- Refresh
  patches.suse/mm-hotplug-fix-page-online-with-debug_pagealloc-compiled-but-not-enabled.patch.
- commit went mainline from a non-git maintainer repository, add proper metadata
- commit e59a6b6
* Mon Mar  9 2020 tiwai@suse.de
- blacklist.conf: Add input/rmi4 revert patch that was already blacklisted
- commit 730af68
* Mon Mar  9 2020 tiwai@suse.de
- i2c: altera: Fix potential integer overflow (git-fixes).
- Input: synaptics - remove the LEN0049 dmi id from topbuttonpad
  list (git-fixes).
- Input: synaptics - enable SMBus on ThinkPad L470 (git-fixes).
- Input: synaptics - switch T470s to RMI4 by default (git-fixes).
- Input: edt-ft5x06 - work around first register access error
  (git-fixes).
- ide: serverworks: potential overflow in svwks_set_pio_mode()
  (git-fixes).
- commit 99877db
* Mon Mar  9 2020 tiwai@suse.de
- hwmon: (adt7462) Fix an error return in ADT7462_REG_VOLT()
  (git-fixes).
- HID: alps: Fix an error handling path in
  'alps_input_configured()' (git-fixes).
- HID: hiddev: Fix race in in hiddev_disconnect() (git-fixes).
- HID: core: increase HID report buffer size to 8KiB (git-fixes).
- HID: core: fix off-by-one memset in hid_report_raw_event()
  (git-fixes).
- HID: ite: Only bind to keyboard USB interface on Acer SW5-012
  keyboard dock (git-fixes).
- commit 3cf2320
* Mon Mar  9 2020 tiwai@suse.de
- floppy: check FDC index for errors before assigning it
  (CVE-2020-9383 bsc#1165111).
- commit 47c6d94
* Mon Mar  9 2020 tiwai@suse.de
- crypto: rename sm3-256 to sm3 in hash_algo_name (git-fixes).
- driver core: platform: fix u32 greater or equal to zero
  comparison (git-fixes).
- driver core: Print device when resources present in
  really_probe() (git-fixes).
- driver core: platform: Prevent resouce overflow from causing
  infinite loops (git-fixes).
- crypto: chtls - Fixed memory leak (git-fixes).
- commit 934bfba
* Mon Mar  9 2020 tiwai@suse.de
- bus: ti-sysc: Fix 1-wire reset quirk (git-fixes).
- cfg80211: add missing policy for NL80211_ATTR_STATUS_CODE
  (git-fixes).
- cfg80211: check wiphy driver existence for drvinfo report
  (git-fixes).
- commit 518082f
* Mon Mar  9 2020 tiwai@suse.de
- ACPI: watchdog: Fix gas->access_width usage (git-fixes).
- ACPICA: Introduce ACPI_ACCESS_BYTE_WIDTH() macro (git-fixes).
- b43legacy: Fix -Wcast-function-type (git-fixes).
- ACPI: button: Add DMI quirk for Razer Blade Stealth 13 late
  2019 lid switch (git-fixes).
- commit d4fdd22
* Mon Mar  9 2020 tiwai@suse.de
- amdgpu/gmc_v9: save/restore sdpif regs during S3 (git-fixes).
- ASoC: Intel: sof_rt5682: Ignore the speaker amp when there
  isn't one (git-fixes).
- ASoC: soc-topology: fix endianness issues (git-fixes).
- ASoC: SOF: Intel: hda: Add iDisp4 DAI (git-fixes).
- ASoC: intel: sof_rt5682: Add support for tgl-max98357a-rt5682
  (git-fixes).
- ASoC: intel: sof_rt5682: Add quirk for number of HDMI DAI's
  (git-fixes).
- ASoC: SOF: Intel: hda: Fix SKL dai count (git-fixes).
- commit b3e9ee6
* Mon Mar  9 2020 tiwai@suse.de
- ALSA: ctl: allow TLV read operation for callback type of
  element in locked case (git-fixes).
- ALSA: usx2y: Adjust indentation in snd_usX2Y_hwdep_dsp_status
  (git-fixes).
- commit d5a4d9f
* Mon Mar  9 2020 tiwai@suse.de
- ASoC: wm8741: Fix typo in Kconfig prompt (git-fixes).
- ASoC: SOF: Fix snd_sof_ipc_stream_posn() (git-fixes).
- ASoC: dapm: Correct DAPM handling of active widgets during
  shutdown (git-fixes).
- ASoC: Intel: Skylake: Fix available clock counter incrementation
  (git-fixes).
- ASoC: meson: g12a: add tohdmitx reset (git-fixes).
- ASoC: pcm512x: Fix unbalanced regulator enable call in probe
  error path (git-fixes).
- ASoC: soc-core: fix for_rtd_codec_dai_rollback() macro
  (git-fixes).
- ASoC: topology: Fix memleak in soc_tplg_manifest_load()
  (git-fixes).
- ASoC: topology: Fix memleak in soc_tplg_link_elems_load()
  (git-fixes).
- ASoC: pcm: Fix possible buffer overflow in dpcm state sysfs
  output (git-fixes).
- ASoC: intel: skl: Fix possible buffer overflow in debug outputs
  (git-fixes).
- ASoC: intel: skl: Fix pin debug prints (git-fixes).
- ALSA: hda/realtek - Enable the headset of ASUS B9450FA with
  ALC294 (git-fixes).
- ALSA: hda/realtek - Fix silent output on Gigabyte X570 Aorus
  Master (git-fixes).
- ALSA: hda/realtek - Add Headset Button supported for ThinkPad X1
  (git-fixes).
- ALSA: hda/realtek - Add Headset Mic supported (git-fixes).
- ALSA: hda/realtek - Fix a regression for mute led on Lenovo
  Carbon X1 (git-fixes).
- commit 533eaf3
* Sat Mar  7 2020 msuchanek@suse.de
- powerpc/pseries: fix of_read_drc_info_cell() to point at next
  record (bsc#1165980 ltc#183834).
- commit 1ae6694
* Sat Mar  7 2020 msuchanek@suse.de
- libnvdimm/pfn_dev: Don't clear device memmap area during
  generic namespace probe (bsc#1165929 bsc#1165950 bsc#1166323).
- commit dd773b9
* Fri Mar  6 2020 ailiopoulos@suse.com
- xfs: also remove cached ACLs when removing the underlying attr
  (bsc#1165873).
- commit 8ec3453
* Fri Mar  6 2020 ddiss@suse.de
- patches.suse/scsi-target-use-an-enum-to-track-emulate_ua_intlck_c.patch:
  (bsc#1163617).
- patches.suse/scsi-target-convert-boolean-se_dev_attrib-types-to-b.patch:
  (bsc#1163617).
- patches.suse/scsi-target-fix-unmap_zeroes_data-boolean-initialisa.patch:
  (bsc#1163617).
- commit 182fa83
* Fri Mar  6 2020 dwagner@suse.de
- sched/rt, workqueue: Use PREEMPTION (bsc#1162702).
- sched/core: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, locking: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, mm: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, btrfs: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, fs: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, xen: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, net: Use CONFIG_PREEMPTION.patch (bsc#1162702).
- sched/rt, xtensa: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, sparc: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, sh: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, s390: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, riscv: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, parisc: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, nios2: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, nds32: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, MIPS: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, microblaze: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, ia64: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, hexagon: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, h8300: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, csky: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, c6x: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, ARC: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, powerpc: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, arm64: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/rt, ARM: Use CONFIG_PREEMPTION (bsc#1162702).
- rcu: Use CONFIG_PREEMPTION where appropriate (bsc#1162702).
- m68k/coldfire: Use CONFIG_PREEMPTION (bsc#1162702).
- backlight: Kconfig: jornada720: Use CONFIG_PREEMPTION
  (bsc#1162702).
- drm/i810: Refer to `PREEMPTION' in comment (bsc#1162702).
- media: cec-gpio: Use CONFIG_PREEMPTION (bsc#1162702).
- commit d311e76
* Fri Mar  6 2020 dwagner@suse.de
- x86/kvm: Use CONFIG_PREEMPTION (bsc#1162702).
- x86/dumpstack: Indicate PREEMPT_RT in dumps (bsc#1162702).
- x86: Use CONFIG_PREEMPTION (bsc#1162702).
  Refresh patches.suse/x86-xen-32-Make-xen_iret_crit_fixup-independent-of-f.patch
- kprobes: Use CONFIG_PREEMPTION (bsc#1162702).
- tracing: Use CONFIG_PREEMPTION (bsc#1162702).
- locking/spinlocks: Use CONFIG_PREEMPTION (bsc#1162702).
- rcu: Use CONFIG_PREEMPTION (bsc#1162702).
- sched/preempt: Use CONFIG_PREEMPTION where appropriate
  (bsc#1162702).
  Refresh patches.suse/sched-fair-Rework-load_balance.patch
- commit 6a43532
* Fri Mar  6 2020 jslaby@suse.cz
- selftests: Install settings files to fix TIMEOUT failures
  (git-fixes).
- commit b511dec
* Fri Mar  6 2020 msuchanek@suse.de
- powerpc/smp: Use nid as fallback for package_id (bsc#1165813
  ltc#184091).
- commit 6ff58c9
* Fri Mar  6 2020 msuchanek@suse.de
- update powerpc fadump patches
- update to version in maintainer repository and move into sorted section:
  Refresh patches.suse/powerpc-fadump-sysfs-for-fadump-memory-reservation.patch.
  patches.suse/powerpc-fadump-sysfs-for-fadump-memory-reservation.patch
  patches.suse/Documentation-ABI-add-ABI-documentation-for-sys-kern.patch -> patches.suse/Documentation-ABI-Add-ABI-documentation-for-sys-kern.patch
  patches.suse/Documentation-ABI-mark-sys-kernel-fadump_-sysfs-file.patch -> patches.suse/Documentation-ABI-Mark-sys-kernel-fadump_-sysfs-file.patch
  patches.suse/powerpc-fadump-reorganize-sys-kernel-fadump_-sysfs-f.patch -> patches.suse/powerpc-fadump-Reorganize-sys-kernel-fadump_-sysfs-f.patch
  patches.suse/powerpc-powernv-move-core-and-fadump_release_opalcor.patch -> patches.suse/powerpc-powernv-Move-core-and-fadump_release_opalcor.patch
  patches.suse/sysfs-wrap-__compat_only_sysfs_link_entry_to_kobj-fu.patch -> patches.suse/sysfs-Wrap-__compat_only_sysfs_link_entry_to_kobj-fu.patch
- commit 3b382c0
* Fri Mar  6 2020 msuchanek@suse.de
- treewide: remove redundant IS_ERR() before error code check (bsc#1156395).
- Refresh patches.suse/sysfs-wrap-__compat_only_sysfs_link_entry_to_kobj-fu.patch.
- commit 4eaa7b9
* Fri Mar  6 2020 msuchanek@suse.de
- powerpc/book3s64: Fix error handling in mm_iommu_do_alloc()
  (bsc#1156395).
- commit aca1a7b
* Fri Mar  6 2020 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patches out of sorted section
  No effect on expanded tree.
- commit 6151f14
* Fri Mar  6 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/cifs-Use-define-in-cifs_dbg.patch
  patches.suse/cifs-add-missing-mount-option-to-proc-mounts.patch
  patches.suse/cifs-don-t-leak-EAGAIN-for-stat-during-reconnect.patch
  patches.suse/cifs-fix-potential-mismatch-of-UNC-paths.patch
  patches.suse/cifs-fix-rename-by-ensuring-source-handle-opened-wit.patch
  patches.suse/fs-cifs-Initialize-filesystem-timestamp-ranges.patch
- commit ec2b8cb
* Fri Mar  6 2020 msuchanek@suse.de
- update patches.suse/powerpc-drmem-avoid-NULL-pointer-dereference-when-dr.patch
- update to version from maintainer repository and move into sorted section
- commit 9c11a0c
* Fri Mar  6 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-mac80211-pass-the-vif-to-cancel_remain_on_channel.patch
- commit a0c00c0
* Fri Mar  6 2020 jdelvare@suse.de
- scsi: fnic: do not queue commands during fwreset (bsc#1146539).
- commit c38dde7
* Thu Mar  5 2020 msuchanek@suse.de
- Delete patches which cause regression (bsc#1165527 ltc#184149).
- Delete patches.suse/powerpc-avoid-adjusting-memory_limit-for-capture-ker.patch.
- Delete patches.suse/powerpc-reserve-memory-for-capture-kernel-after-huge.patch.
- commit f7abbd0
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: mvm: fix potential SKB leak on TXQ TX (git-fixes).
- commit 1ac0a4b
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: mvm: remove last leftovers of d0i3 (git-fixes).
- commit dde7e54
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: mvm: remove d0i3_ap_sta_id (git-fixes).
- commit fd2b562
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: mvm: remove the d0i3 entry/exit flow (git-fixes).
- commit 84ff808
* Thu Mar  5 2020 yousaf.kaukab@suse.com
- tick/common: Make tick_periodic() check for missing ticks
  (bsc#1164534).
- commit 4d65090
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: mvm: remove the tx defer for d0i3 (git-fixes).
- commit ec16006
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: remove all the d0i3 references (git-fixes).
- commit beb11dd
* Thu Mar  5 2020 oneukum@suse.com
- iwlwifi: mvm: start to remove the code for d0i3 (git-fixes).
- commit 4ff93db
* Thu Mar  5 2020 oneukum@suse.com
- mac80211: pass the vif to cancel_remain_on_channel (git-fixes).
- commit f9393f5
* Thu Mar  5 2020 jslaby@suse.cz
- rxrpc: Fix service call disconnection (git-fixes).
- commit 4266941
* Thu Mar  5 2020 jack@suse.cz
- blktrace: Protect q->blk_trace with RCU (bsc#1159285
  CVE-2019-19768).
- commit c44e53f
* Thu Mar  5 2020 jslaby@suse.cz
- gtp: use __GFP_NOWARN to avoid memalloc warning
  (networking-stable-20_02_05).
- l2tp: Allow duplicate session creation with UDP
  (networking-stable-20_02_05).
- net: hsr: fix possible NULL deref in hsr_handle_frame()
  (networking-stable-20_02_05).
- net: stmmac: Delete txtimer in suspend()
  (networking-stable-20_02_05).
- rxrpc: Fix NULL pointer deref due to call->conn being cleared
  on disconnect (networking-stable-20_02_05).
- rxrpc: Fix missing active use pinning of rxrpc_local object
  (networking-stable-20_02_05).
- rxrpc: Fix insufficient receive notification generation
  (networking-stable-20_02_05).
- rxrpc: Fix use-after-free in rxrpc_put_local()
  (networking-stable-20_02_05).
- tcp: clear tp->segs_{in|out} in tcp_disconnect()
  (networking-stable-20_02_05).
- tcp: clear tp->data_segs{in|out} in tcp_disconnect()
  (networking-stable-20_02_05).
- tcp: clear tp->delivered in tcp_disconnect()
  (networking-stable-20_02_05).
- tcp: clear tp->total_retrans in tcp_disconnect()
  (networking-stable-20_02_05).
- commit 3758fff
* Thu Mar  5 2020 jslaby@suse.cz
- net: dsa: bcm_sf2: Forcibly configure IMP port for 1Gb/sec
  (git-fixes).
- net: dsa: bcm_sf2: Only 7278 supports 2Gb/sec IMP port
  (git-fixes).
- commit 7361c96
* Thu Mar  5 2020 jslaby@suse.cz
- udp: segment looped gso packets correctly
  (networking-stable-20_01_30).
- rxrpc: Fix use-after-free in rxrpc_receive_data()
  (networking-stable-20_01_30).
- net_sched: ematch: reject invalid TCF_EM_SIMPLE
  (networking-stable-20_01_30).
- net: include struct nhmsg size in nh nlmsg size
  (networking-stable-20_01_30).
- net_sched: walk through all child classes in tc_bind_tclass()
  (networking-stable-20_01_30).
- net_sched: fix ops->bind_class() implementations
  (networking-stable-20_01_30).
- commit a2d67cb
* Thu Mar  5 2020 palcantara@suse.de
- smb3: Fix regression in time handling (bsc#1164565).
- commit 76489e8
* Thu Mar  5 2020 palcantara@suse.de
- fs: cifs: Initialize filesystem timestamp ranges (bsc#1164565).
- commit 4bd8d12
* Wed Mar  4 2020 palcantara@suse.de
- fs: cifs: Fix atime update check vs mtime (bsc#1164565).
- commit 0137273
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/mediatek: disable all the planes in atomic_disable (bsc#1152489)
- commit beb3e57
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/mcde: Some fixes to handling video mode (bsc#1152472)
- commit 29f754d
* Wed Mar  4 2020 tzimmermann@suse.de
- drm: rcar-du: Recognize "renesas,vsps" in addition to "vsps" (bsc#1152489)
- commit 56e3aa3
* Wed Mar  4 2020 jslaby@suse.cz
- net: bcmgenet: Use netif_tx_napi_add() for TX NAPI
  (networking-stable-20_01_27).
- commit 9e56daf
* Wed Mar  4 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/radeon: fix bad DMA from INTERRUPT_CNTL2'
- commit b3a8eb6
* Wed Mar  4 2020 jslaby@suse.cz
- net: systemport: Fixed queue mapping in internal ring map
  (networking-stable-20_01_20).
- net: dsa: bcm_sf2: Configure IMP port for 2Gb/sec
  (networking-stable-20_01_20).
- net: dsa: sja1105: Don't error out on disabled ports with no
  phy-mode (networking-stable-20_01_20).
- net: dsa: tag_qca: fix doubled Tx statistics
  (networking-stable-20_01_20).
- net: dsa: tag_gswip: fix typo in tagger name
  (networking-stable-20_01_20).
- net: ethernet: ave: Avoid lockdep warning
  (networking-stable-20_01_20).
- net/wan/fsl_ucc_hdlc: fix out of bounds write on array utdm_info
  (networking-stable-20_01_20).
- hv_netvsc: Fix memory leak when removing rndis device
  (networking-stable-20_01_20).
- commit 7f37dbf
* Wed Mar  4 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix license on Kconfig and Makefiles'
- commit 5173cd9
* Wed Mar  4 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: add default clocks if not able to fetch them'
- commit 666a2d4
* Wed Mar  4 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix bad DMA from INTERRUPT_CNTL2'
- commit 1874918
* Wed Mar  4 2020 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amdgpu: Set no-retry as default."'
- commit b4576bc
* Wed Mar  4 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/smu: add metrics table lock for arcturus (v2)'
- commit f64b7b2
* Wed Mar  4 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/0001-crypto-atmel-Fix-build-error-of-CRYPTO_AUTHENC.patch
  patches.suse/0001-tools-lib-traceevent-Remove-unneeded-qsort-and-uses-.patch
  patches.suse/0001-usb-host-xhci-update-event-ring-dequeue-pointer-on-p.patch
- commit d776890
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: remove redundant variable r and redundant return (bsc#1152489)
- commit 9635a45
* Wed Mar  4 2020 tbogendoerfer@suse.de
- supported.conf: mark hinic driver supported (bsc#1165618)
- commit d183caf
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: remove ras_reserve_vram in ras injection (bsc#1152489)
- commit e39df99
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu/discovery: reserve discovery data at the top of VRAM (bsc#1152489)
- commit 87c3ae9
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: add invalidate semaphore limit for SRIOV and picasso in (bsc#1152472)
- commit 8bb0283
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: avoid using invalidate semaphore for picasso (bsc#1152472)
- commit 7a93979
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: invalidate mmhub semaphore workaround in gmc9/gmc10 (bsc#1152472)
- commit f513a95
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: initialize vm_inv_eng0_sem for gfxhub and mmhub (bsc#1152472)
- commit cc4b76c
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu/gfx10: re-init clear state buffer after gpu reset (bsc#1152472)
- commit 8c64b3d
* Wed Mar  4 2020 tzimmermann@suse.de
- drm/amdgpu: cleanup creating BOs at fixed location (v2) (bsc#1152489)
- commit 633a2a8
* Wed Mar  4 2020 glin@suse.com
- samples/bpf: Don't try to remove user's homedir on clean
  (bsc#1155518).
- samples/bpf: Xdp_redirect_cpu fix missing tracepoint attach
  (bsc#1155518).
- commit 11d150a
* Wed Mar  4 2020 jslaby@suse.cz
- PCI: pciehp: Add DMI table for in-band presence detection
  disabled (bnc#1162576 jsc#SLE-11112).
- PCI: pciehp: Wait for PDS if in-band presence is disabled
  (bnc#1162576 jsc#SLE-11112).
- PCI: pciehp: Disable in-band presence detect when possible
  (bnc#1162576 jsc#SLE-11112).
- commit 6963c35
* Wed Mar  4 2020 glin@suse.com
- bpf, offload: Replace bitwise AND by logical AND in
  bpf_prog_offload_info_fill (bsc#1155518).
- samples: bpf: Drop doubled variable declaration in xdpsock
  (bsc#1155518).
- samples/bpf: xdpsock: Add option to specify transmit fill
  pattern (bsc#1155518).
- samples/bpf: xdpsock: Add option to specify tx packet size
  (bsc#1155518).
- samples/bpf: xdpsock: Add option to specify number of packets
  to send (bsc#1155518).
- samples/bpf: xdpsock: Add option to specify batch size
  (bsc#1155518).
- samples/bpf: xdpsock: Use common code to handle signal and
  main exit (bsc#1155518).
- samples/bpf: xdpsock: Add duration option to specify how long
  to run (bsc#1155518).
- riscv, bpf: Fix broken BPF tail calls (bsc#1155518).
- samples/bpf: Attach XDP programs in driver mode by default
  (bsc#1155518).
- libbpf: Don't attach perf_buffer to offline/missing CPUs
  (bsc#1155518).
- libbpf: Extract and generalize CPU mask parsing logic
  (bsc#1155518).
- samples/bpf: Add missing option to xdpsock usage (bsc#1155518).
- samples/bpf: Remove duplicate option from xdpsock (bsc#1155518).
- samples/bpf: Use Rx-only and Tx-only sockets in xdpsock
  (bsc#1155518).
- samples/bpf: Add XDP_SHARED_UMEM support to xdpsock
  (bsc#1155518).
- samples: bpf: update map definition to new syntax BTF-defined
  map (bsc#1155518).
- samples/bpf: Trivial - fix spelling mistake in usage
  (bsc#1155518).
- samples/bpf: fix xdpsock l2fwd tx for unaligned mode
  (bsc#1155518).
- samples/bpf: use hugepages in xdpsock app (bsc#1155518).
- samples/bpf: add buffer recycling for unaligned chunks to
  xdpsock (bsc#1155518).
- samples/bpf: add unaligned chunks mode support to xdpsock
  (bsc#1155518).
- samples/bpf: add use of need_wakeup flag in xdpsock
  (bsc#1155518).
- samples/bpf: make xdp_fwd more practically usable via devmap
  lookup (bsc#1155518).
- samples/bpf: xdp_fwd rename devmap name to be xdp_tx_ports
  (bsc#1155518).
- commit ebecd6a
* Tue Mar  3 2020 mkubecek@suse.cz
- supported.conf: fix broken dependencies
  Recently added modules mscc_felix and tag_ocelot are marked as supported
  but depend on unsupported modules dsa_core and mscc_ocelot_common which
  breaks dependencies in aarch64 kernel-default package and therefore also
  aarch64/default and aarch/preempt build.
  Mark dsa_core and mscc_ocelot_common as supported as well.
- commit 102e871
* Tue Mar  3 2020 palcantara@suse.de
- cifs: do d_move in rename (bsc#1164565).
- commit 500b81b
* Tue Mar  3 2020 palcantara@suse.de
- cifs: add SMB2_open() arg to return POSIX data (bsc#1164565).
- commit ee82400
* Tue Mar  3 2020 palcantara@suse.de
- cifs: plumb smb2 POSIX dir enumeration (bsc#1164565).
- commit 3127734
* Tue Mar  3 2020 palcantara@suse.de
- cifs: add smb2 POSIX info level (bsc#1164565).
- commit 0cbf023
* Tue Mar  3 2020 palcantara@suse.de
- cifs: rename posix create rsp (bsc#1164565).
- commit 4b07bca
* Tue Mar  3 2020 palcantara@suse.de
- cifs: print warning once if mounting with vers=1.0
  (bsc#1164565).
- commit a59d8f7
* Tue Mar  3 2020 palcantara@suse.de
- smb3: fix performance regression with setting mtime
  (bsc#1164565).
- commit 4e529a9
* Tue Mar  3 2020 palcantara@suse.de
- cifs: make use of cap_unix(ses) in cifs_reconnect_tcon()
  (bsc#1164565).
- commit 5e21989
* Tue Mar  3 2020 palcantara@suse.de
- cifs: use mod_delayed_work() for &server->reconnect if already
  queued (bsc#1164565).
- commit b9b1327
* Tue Mar  3 2020 palcantara@suse.de
- cifs: call wake_up(&server->response_q) inside of
  cifs_reconnect() (bsc#1164565).
- commit 7684617
* Tue Mar  3 2020 palcantara@suse.de
- cifs: handle prefix paths in reconnect (bsc#1164565).
- commit 62ccc7c
* Tue Mar  3 2020 palcantara@suse.de
- cifs: potential unintitliazed error code in cifs_getattr()
  (bsc#1164565).
- commit a4ddb9f
* Tue Mar  3 2020 palcantara@suse.de
- cifs: do not ignore the SYNC flags in getattr (bsc#1164565).
- commit fc2ab55
* Tue Mar  3 2020 palcantara@suse.de
- cifs: Use #define in cifs_dbg (bsc#1164565).
- commit 12c009d
* Tue Mar  3 2020 palcantara@suse.de
- cifs: fix rename() by ensuring source handle opened with DELETE
  bit (bsc#1164565).
- commit 270fcbb
* Tue Mar  3 2020 palcantara@suse.de
- cifs: add missing mount option to /proc/mounts (bsc#1164565).
- commit 3115514
* Tue Mar  3 2020 dwagner@suse.de
- Drop patches.suse/qla2xxx-Enable-T10-DIF-with-FC-NVMe-enabled.patch
  The driver update to 10.01.00.25-k replaces the dropped patch.
- commit d25382d
* Tue Mar  3 2020 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.25-k
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Set Nport ID for N2N (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Handle NVME status iocb correctly (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove restriction of FC T10-PI and FC-NVMe
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Serialize fc_port alloc in N2N (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix NPIV instantiation after FW dump
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix RDP respond data format (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Force semaphore on flash validation failure
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: add more FW debug information (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Update BPM enablement semantics (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: fix FW resource count values (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use a dedicated interrupt handler for
  'handshake-required' ISPs (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Return appropriate failure through BSG Interface
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Improved secure flash support messages
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix FCP-SCSI FC4 flag passing error (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use FC generic update firmware options routine
  for ISP27xx (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Avoid setting firmware options twice
  in 24xx_update_fw_options (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Add 16.0GT for PCI String (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Convert MAKE_HANDLE() from a define into an
  inline function (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix sparse warnings triggered by the PCI state
  checking code (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Suppress endianness complaints in
  qla2x00_configure_local_loop() (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Simplify the code for aborting SCSI commands
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix sparse warning reported by kbuild bot
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- commit 54d9078
* Tue Mar  3 2020 dwagner@suse.de
- Refresh patches.suse/scsi-ibmvfc-Avoid-loss-of-all-paths-during-SVC-node-.patch.
- commit f3b4108
* Tue Mar  3 2020 palcantara@suse.de
- cifs: fix potential mismatch of UNC paths (bsc#1164565).
- commit 47e9729
* Tue Mar  3 2020 palcantara@suse.de
- cifs: don't leak -EAGAIN for stat() during reconnect
  (bsc#1164565).
- commit 8f37e30
* Tue Mar  3 2020 jack@suse.cz
- tools/testing/nvdimm: Fix compilation failure without
  CONFIG_DEV_DAX_PMEM_COMPAT (bsc#1159523).
- commit 08c88c8
* Tue Mar  3 2020 tbogendoerfer@suse.de
- mlxsw: pci: Wait longer before accessing the device after reset
  (bsc#1154488).
- sched: act: count in the size of action flags bitfield
  (bsc#1154353).
- net: genetlink: return the error code when attribute parsing
  fails (bsc#1154353).
- commit 28120f1
* Tue Mar  3 2020 trenn@suse.com
- powercap/intel_rapl: add support for TigerLake Mobile
  (bsc#1164993, bsc#1165102).
- commit aa3d1d3
* Tue Mar  3 2020 oneukum@suse.com
- usb: host: xhci: update event ring dequeue pointer on purpose
  (git-fixes).
- commit fbca080
* Tue Mar  3 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/acpi-watchdog-allow-disabling-wdat-at-boot.patch
  patches.suse/acpi-watchdog-set-default-timeout-in-probe.patch
- commit b455329
* Mon Mar  2 2020 lyan@suse.com
- KVM: arm64: pmu: Reset sample period on overflow handling
  (bsc#1133021).
- KVM: arm64: pmu: Set the CHAINED attribute before creating
  the in-kernel event (bsc#1133021).
- arm64: KVM: Handle PMCR_EL0.LC as RES1 on pure AArch64 systems
  (bsc#1133021).
- KVM: arm64: pmu: Fix cycle counter truncation (bsc#1133021).
- commit d9abd96
* Mon Mar  2 2020 msuchanek@suse.de
- powerpc/pseries: update device tree before ejecting hotplug
  uevents (bsc#1165404 ltc#183498).
- powerpc/pseries: group lmb operation and memblock's (bsc#1165404
  ltc#183498).
- commit 6d4f5d6
* Mon Mar  2 2020 msuchanek@suse.de
- ibmvfc: Fix NULL return compiler warning (bsc#1161951
  ltc#183551).
- commit 7015eca
* Mon Mar  2 2020 palcantara@suse.de
- cifs: make sure we do not overflow the max EA buffer size
  (bsc#1164565).
- commit 187fa15
* Mon Mar  2 2020 palcantara@suse.de
- cifs: enable change notification for SMB2.1 dialect
  (bsc#1164565).
- commit 18efac6
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix mode output in debugging statements (bsc#1164565).
- commit 921b85b
* Mon Mar  2 2020 palcantara@suse.de
- smb3: Add defines for new information level, FileIdInformation
  (bsc#1164565).
- commit 6421d32
* Mon Mar  2 2020 palcantara@suse.de
-  smb3: print warning once if posix context returned on open
  (bsc#1164565).
- commit 1c772a2
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add one more dynamic tracepoint missing from strict
  fsync path (bsc#1164565).
- commit 756599a
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix mode bits from dir listing when mounted with
  modefromsid (bsc#1164565).
- commit 577afbb
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add SMB3 change notification support (bsc#1164565).
- commit fd3741d
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix soft mounts hanging in the reconnect code
  (bsc#1164565).
- commit bd3733d
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Add tracepoints for errors on flush or fsync
  (bsc#1164565).
- commit c47bf63
* Mon Mar  2 2020 palcantara@suse.de
- cifs: log warning message (once) if out of disk space
  (bsc#1164565).
- commit 0a33490
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fail i/o on soft mounts if sessionsetup errors out
  (bsc#1164565).
- commit 79eff03
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix problem with null cifs super block with previous patch
  (bsc#1164565).
- commit 4f17f73
* Mon Mar  2 2020 palcantara@suse.de
- SMB3: Backup intent flag missing from some more ops
  (bsc#1164565).
- commit cea0ba2
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix soft mounts hanging in the reconnect code
  (bsc#1164565).
- commit 53d1815
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Fix task struct use-after-free on reconnect (bsc#1164565).
- commit d8da619
* Mon Mar  2 2020 palcantara@suse.de
- cifs: use PTR_ERR_OR_ZERO() to simplify code (bsc#1164565).
- commit ae626b0
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add support for fallocate mode 0 for non-sparse files
  (bsc#1164565).
- commit 0bd12eb
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix NULL dereference in match_prepath (bsc#1164565).
- commit 0dec827
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix default permissions on new files when mounting with
  modefromsid (bsc#1164565).
- commit 5854994
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Add support for setting owner info, dos attributes,
  and create time (bsc#1164565).
- commit fc7a4ec
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove set but not used variable 'server' (bsc#1164565).
- commit d7bd290
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix memory allocation in __smb2_handle_cancelled_cmd()
  (bsc#1164565).
- commit 2e77717
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix mount options set in automount (bsc#1164565).
- commit 23cc00f
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix unitialized variable poential problem with network
  I/O cache lock patch (bsc#1164565).
- commit 683e390
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix return value in __update_cache_entry (bsc#1164565).
- commit 0d6d00e
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Avoid doing network I/O while holding cache lock
  (bsc#1164565).
- commit 21b1bb8
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix potential deadlock when updating vol in
  cifs_reconnect() (bsc#1164565).
- commit 7f4c5eb
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Merge is_path_valid() into get_normalized_path()
  (bsc#1164565).
- commit 90e6c2e
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Introduce helpers for finding TCP connection
  (bsc#1164565).
- commit 278b9d9
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Get rid of kstrdup_const()'d paths (bsc#1164565).
- commit 136ec9a
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Clean up DFS referral cache (bsc#1164565).
- commit b1680d8
* Mon Mar  2 2020 palcantara@suse.de
- cifs: set correct max-buffer-size for smb2_ioctl_init()
  (bsc#1164565).
- commit 4203783
* Mon Mar  2 2020 palcantara@suse.de
- cifs: use compounding for open and first query-dir for readdir()
  (bsc#1164565).
- commit e47a329
* Mon Mar  2 2020 palcantara@suse.de
- cifs: create a helper function to parse the query-directory
  response buffer (bsc#1164565).
- commit 0960f35
* Mon Mar  2 2020 palcantara@suse.de
- cifs: prepare SMB2_query_directory to be used with compounding
  (bsc#1164565).
- commit f065422
* Mon Mar  2 2020 palcantara@suse.de
- fs/cifs/cifssmb.c: use true,false for bool variable
  (bsc#1164565).
- commit dd0ed6f
* Mon Mar  2 2020 palcantara@suse.de
- fs/cifs/smb2ops.c: use true,false for bool variable
  (bsc#1164565).
- commit 21e8ec0
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Optimize readdir on reparse points (bsc#1164565).
- commit 1966fae
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Adjust indentation in smb2_open_file (bsc#1164565).
- commit 331c9ed
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Close cached root handle only if it has a lease
  (bsc#1164565).
- commit 47dfff5
* Mon Mar  2 2020 palcantara@suse.de
- SMB3: Fix crash in SMB2_open_init due to uninitialized field
  in compounding path (bsc#1164565).
- commit 4b50b8c
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix refcount underflow warning on unmount when no
  directory leases (bsc#1164565).
- commit 39393bb
* Mon Mar  2 2020 palcantara@suse.de
- smb3: improve check for when we send the security descriptor
  context on create (bsc#1164565).
- commit 4083b73
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix mode passed in on create for modetosid mount option
  (bsc#1164565).
- commit c05fc9d
* Mon Mar  2 2020 palcantara@suse.de
- smb3: query attributes on file close (bsc#1164565).
- commit 6280b64
* Mon Mar  2 2020 palcantara@suse.de
- smb3: remove unused flag passed into close functions
  (bsc#1164565).
- commit 1cc8c7f
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove redundant assignment to pointer pneg_ctxt
  (bsc#1164565).
- commit e68dc80
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: fix a white space issue in cifs_get_inode_info()
  (bsc#1164565).
- commit 10fc15b
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix retrieval of DFS referrals in cifs_mount()
  (bsc#1164565).
- commit 22772da
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix potential softlockups while refreshing DFS cache
  (bsc#1164565).
- commit 694eb6e
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix lookup of root ses in DFS referral cache
  (bsc#1164565).
- commit 2cf9686
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Fix use-after-free bug in cifs_reconnect() (bsc#1164565).
- commit d57d122
* Mon Mar  2 2020 palcantara@suse.de
- smb3: dump in_send and num_waiters stats counters by default
  (bsc#1164565).
- commit e81c291
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Properly process SMB3 lease breaks (bsc#1164565).
- commit 579b98d
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: refactor cifs_get_inode_info() (bsc#1164565).
- commit 0b80dd7
* Mon Mar  2 2020 palcantara@suse.de
- cifs: don't use 'pre:' for MODULE_SOFTDEP (bsc#1164565).
- commit 44b1acc
* Mon Mar  2 2020 palcantara@suse.de
- cifs: smbd: Return -EAGAIN when transport is reconnecting
  (bsc#1164565).
- commit 44743f5
* Mon Mar  2 2020 palcantara@suse.de
- cifs: smbd: Only queue work for error recovery on memory
  registration (bsc#1164565).
- commit 4c66f23
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add debug messages for closing unmatched open
  (bsc#1164565).
- commit 47f85b3
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Do not miss cancelled OPEN responses (bsc#1164565).
- commit 6d9d8e6
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Fix NULL pointer dereference in mid callback
  (bsc#1164565).
- commit 220efe8
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Close open handle after interrupted close (bsc#1164565).
- commit a0e0f78
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Respect O_SYNC and O_DIRECT flags during reconnect
  (bsc#1164565).
- commit 5d00439
* Mon Mar  2 2020 palcantara@suse.de
- smb3: remove confusing dmesg when mounting with encryption
  ("seal") (bsc#1164565).
- commit 26d3f50
* Mon Mar  2 2020 palcantara@suse.de
- cifs: close the shared root handle on tree disconnect
  (bsc#1164565).
- commit 5fba990
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Return directly after a failed build_path_from_dentry()
  in cifs_do_create() (bsc#1164565).
- commit 5bdda87
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Use common error handling code in smb2_ioctl_query_info()
  (bsc#1164565).
- commit 7c9d0d2
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: Use memdup_user() rather than duplicating its
  implementation (bsc#1164565).
- commit ac9ac99
* Mon Mar  2 2020 palcantara@suse.de
- cifs: smbd: Return -ECONNABORTED when trasnport is not in
  connected state (bsc#1164565).
- commit 1d4896f
* Mon Mar  2 2020 palcantara@suse.de
- cifs: smbd: Add messages on RDMA session destroy and
  reconnection (bsc#1164565).
- commit c884cac
* Mon Mar  2 2020 palcantara@suse.de
- cifs: smbd: Return -EINVAL when the number of iovs exceeds
  SMBDIRECT_MAX_SGE (bsc#1164565).
- commit 342a436
* Mon Mar  2 2020 palcantara@suse.de
- cifs: smbd: Invalidate and deregister memory registration on
  re-send for direct I/O (bsc#1164565).
- commit 95bdb07
* Mon Mar  2 2020 palcantara@suse.de
- cifs: Don't display RDMA transport on reconnect (bsc#1164565).
- commit 901256b
* Mon Mar  2 2020 palcantara@suse.de
- CIFS: remove set but not used variables 'cinode' and 'netfid'
  (bsc#1164565).
- commit da66a8f
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add support for flock (bsc#1164565).
- commit 61dc219
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove unused variable 'sid_user' (bsc#1164565).
- commit 5c64672
* Mon Mar  2 2020 palcantara@suse.de
- cifs: rename a variable in SendReceive() (bsc#1164565).
- commit 054c459
* Mon Mar  2 2020 palcantara@suse.de
- fix memory leak in large read decrypt offload (bsc#1164565).
- commit 7880d1c
* Mon Mar  2 2020 msuchanek@suse.de
- Revert "Revert "sign also s390x kernel images (bsc#1163524)""
  This reverts commit 6326fe1a81221fb3ce28ff84532bd48a182f7731.
  pesign should now be able to sign s390 kernels.
- commit e9175e5
* Mon Mar  2 2020 msuchanek@suse.de
- blacklist.conf: Blacklist unsupported ppc platforms.
- commit b290d11
* Mon Mar  2 2020 msuchanek@suse.de
- net/ethtool: Introduce link_ksettings API for virtual network
  devices (bsc#1136157 ltc#177197).
  Delete patches.suse/ibmveth-Update-ethtool-settings-to-reflect-virtual-p.patch.
- ethtool: Factored out similar ethtool link settings for virtual
  devices to core (bsc#1136157 ltc#177197).
- commit 4638559
* Mon Mar  2 2020 jdelvare@suse.de
- Refresh
  patches.suse/acpi-watchdog-allow-disabling-wdat-at-boot.patch.
- Refresh
  patches.suse/acpi-watchdog-set-default-timeout-in-probe.patch.
  Add upstream commit IDs and move to the sorted section.
- commit 678d8e6
* Mon Mar  2 2020 ohering@suse.de
- hv_netvsc: Fix unwanted wakeup in netvsc_attach() (git-fixes).
- commit c3cdac3
* Mon Mar  2 2020 palcantara@suse.de
- smb3: remove noisy debug message and minor cleanup
  (bsc#1164565).
- commit f116adb
* Mon Mar  2 2020 palcantara@suse.de
- smb3: cleanup some recent endian errors spotted by updated
  sparse (bsc#1164565).
- commit b63cc8a
* Mon Mar  2 2020 palcantara@suse.de
- smb3: missing ACL related flags (bsc#1164565).
- commit ddcd4e7
* Mon Mar  2 2020 palcantara@suse.de
- smb3: pass mode bits into create calls (bsc#1164565).
- commit 9e90af4
* Mon Mar  2 2020 palcantara@suse.de
- smb3: Add missing reparse tags (bsc#1164565).
- commit 631f1b0
* Mon Mar  2 2020 palcantara@suse.de
- fs/cifs/sess.c: Remove set but not used variable 'capabilities'
  (bsc#1164565).
- commit e4f316a
* Mon Mar  2 2020 palcantara@suse.de
- fs/cifs/smb2pdu.c: Make SMB2_notify_init static (bsc#1164565).
- commit 1781460
* Mon Mar  2 2020 palcantara@suse.de
- smb3: allow decryption keys to be dumped by admin for debugging
  (bsc#1164565).
- commit 449f80c
* Mon Mar  2 2020 palcantara@suse.de
- cifs: modefromsid: write mode ACE first (bsc#1164565).
- commit 6f29db0
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add missing worker function for SMB3 change notify
  (bsc#1164565).
- commit c88cd2a
* Mon Mar  2 2020 palcantara@suse.de
- cifs: modefromsid: make room for 4 ACE (bsc#1164565).
- commit 41e2c7e
* Mon Mar  2 2020 palcantara@suse.de
- smb3: fix potential null dereference in decrypt offload
  (bsc#1164565).
- commit cc2bebe
* Mon Mar  2 2020 palcantara@suse.de
- smb3: display max smb3 requests in flight at any one time
  (bsc#1164565).
- commit 2b340ea
* Mon Mar  2 2020 palcantara@suse.de
- smb3: only offload decryption of read responses if multiple
  requests (bsc#1164565).
- Refresh
  patches.suse/cifs-move-cifsFileInfo_put-logic-into-a-work-queue.patch.
- commit 8d8b9e0
* Mon Mar  2 2020 palcantara@suse.de
- smb3: enable offload of decryption of large reads via mount
  option (bsc#1164565).
- commit c0c0dd0
* Mon Mar  2 2020 palcantara@suse.de
- smb3: allow parallelizing decryption of reads (bsc#1164565).
- Refresh
  patches.suse/cifs-move-cifsFileInfo_put-logic-into-a-work-queue.patch.
- commit dbfeff1
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add a debug macro that prints \\server\share for errors
  (bsc#1164565).
- commit fd241c6
* Mon Mar  2 2020 palcantara@suse.de
- smb3: allow skipping signature verification for perf sensitive
  configurations (bsc#1164565).
- commit dd9ca23
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add dynamic tracepoints for flush and close (bsc#1164565).
- commit b3d48ee
* Mon Mar  2 2020 palcantara@suse.de
- smb3: log warning if CSC policy conflicts with cache mount
  option (bsc#1164565).
- commit 633ceea
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add mount option to allow RW caching of share accessed
  by only 1 client (bsc#1164565).
- commit 79b4f8c
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add some more descriptive messages about share when
  mounting cache=ro (bsc#1164565).
- commit fc6a23b
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add mount option to allow forced caching of read only
  share (bsc#1164565).
- commit 30b7183
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix dereference on ses before it is null checked
  (bsc#1164565).
- commit 30243d5
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add new debugging macro cifs_server_dbg (bsc#1164565).
- Refresh
  patches.suse/CIFS-Fix-retry-mid-list-corruption-on-reconnects.patch.
- commit 894b13c
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove set but not used variables (bsc#1164565).
- commit 147b525
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove unused variable (bsc#1164565).
- commit b38b168
* Mon Mar  2 2020 palcantara@suse.de
- cifs: remove redundant assignment to variable rc (bsc#1164565).
- commit a3fa732
* Mon Mar  2 2020 palcantara@suse.de
- smb3: add missing flag definitions (bsc#1164565).
- commit 344e8bd
* Mon Mar  2 2020 palcantara@suse.de
- cifs: add passthrough for smb2 setinfo (bsc#1164565).
- commit 046be6b
* Mon Mar  2 2020 palcantara@suse.de
- cifs: allow chmod to set mode bits using special sid
  (bsc#1164565).
- commit fc541ed
* Mon Mar  2 2020 palcantara@suse.de
- cifs: get mode bits from special sid on stat (bsc#1164565).
- commit 5c3507b
* Mon Mar  2 2020 palcantara@suse.de
- fs: cifs: cifsssmb: remove redundant assignment to variable ret
  (bsc#1164565).
- commit 79247fd
* Mon Mar  2 2020 palcantara@suse.de
- cifs: fix a comment for the timeouts when sending echos
  (bsc#1164565).
- commit d69504d
* Sat Feb 29 2020 msuchanek@suse.de
- scsi: ibmvfc: Avoid loss of all paths during SVC node reboot
  (bsc#1161951 ltc#183551).
- commit fd62623
* Fri Feb 28 2020 nsaenzjulienne@suse.de
- pinctrl: bcm2835: Add support for all GPIOs on BCM2711
  (bsc#1164722).
- commit ac59893
* Fri Feb 28 2020 nsaenzjulienne@suse.de
- pinctrl: bcm2835: Refactor platform data (bsc#1164722).
- pinctrl: bcm2835: Drop unused define (bsc#1164722).
- commit 1089640
* Fri Feb 28 2020 nsaenzjulienne@suse.de
- Refresh: patches.suse/thermal-add-bcm2711-thermal-driver.patch
- commit 15ec939
* Fri Feb 28 2020 mkubecek@suse.cz
- supported.conf: sort
  Fix order of entries.
- commit b92122c
* Fri Feb 28 2020 tbogendoerfer@suse.de
- supported.conf: mark GVE supported (jsc#SLE10540, bsc#1165245)
- commit 87b5d1a
* Fri Feb 28 2020 yousaf.kaukab@suse.com
- dmaengine: make mux_configure32 static (jsc#SLE-9263).
- commit b01a9f4
* Fri Feb 28 2020 yousaf.kaukab@suse.com
- net: dsa: felix: use dsa_switch_alloc() (jsc#SLE-9263).
- commit 1190849
* Thu Feb 27 2020 bp@suse.de
- x86/mce/amd: Fix kobject lifetime (bsc#1152489).
- x86/mce/amd: Publish the bank pointer only after setup has
  succeeded (bsc#1152489).
- commit 218de4e
* Thu Feb 27 2020 bp@suse.de
- x86/cpu/amd: Enable the fixed Instructions Retired counter
  IRPERF (bsc#1152489).
- commit a161705
* Thu Feb 27 2020 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.24-k
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use QLA_FW_STOPPED macro to propagate flag
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add fixes for mailbox command (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix control flags for login/logout IOCB
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Save rscn_gen for new fcport (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use correct ISP28xx active FW region
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Print portname for logging in
  qla24xx_logio_entry() (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Fix qla2x00_echo_test() based on ISP type
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Correction to selection of loopback/echo test
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use endian macros to assign static fields in
  fwdump header (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix RDP response size (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Handle cases for limiting RDP response payload
  length (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add deferred queue for processing ABTS and RDP
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Cleanup ELS/PUREX iocb fields (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Show correct port speed capabilities for RDP
  command (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Display message for FCE enabled (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add vendor extended FDMI commands (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add ql2xrdpenable module parameter for RDP
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add vendor extended RDP additions and amendments
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add changes in preparation for vendor extended
  FDMI/RDP (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add endianizer macro calls to fc host stats
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add sysfs node for D-Port Diagnostics AEN data
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Move free of fcport out of interrupt context
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add beacon LED config sysfs interface
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Check locking assumptions at runtime in
  qla2x00_abort_srb() (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- commit d0cdedd
* Thu Feb 27 2020 dwagner@suse.de
- Refresh series.conf
- commit b45c83a
* Thu Feb 27 2020 yousaf.kaukab@suse.com
- gpio: mpc8xxx: ls1088a/ls1028a edge detection mode bug fixs
  (jsc#SLE-9263).
- dmaengine: fsl-edma: Add eDMA support for QorIQ LS1028A platform
  (jsc#SLE-9263).
- dmaengine: fsl-edma: add i.mx7ulp edma2 version support
  (jsc#SLE-9263).
- commit 2aac33b
* Thu Feb 27 2020 jslaby@suse.cz
- net: stmmac: Fixed link does not need MDIO Bus (git-fixes).
- commit c15f5f6
* Thu Feb 27 2020 yousaf.kaukab@suse.com
- clk: ls1028a: fix a dereference of pointer 'parent' before a
  null check (jsc#SLE-9263).
- clk: ls1028a: Fix warning on clamp() usage (jsc#SLE-9263).
- clk: ls1028a: Add clock driver for Display output interface
  (jsc#SLE-9263).
- commit b49745f
* Thu Feb 27 2020 jslaby@suse.cz
- net: stmmac: dwmac-sun8i: Allow all RGMII modes
  (networking-stable-20_01_11).
- net: stmmac: dwmac-sunxi: Allow all RGMII modes
  (networking-stable-20_01_11).
- net: dsa: mv88e6xxx: Preserve priority when setting CPU port
  (networking-stable-20_01_11).
- net: freescale: fec: Fix ethtool -d runtime PM
  (networking-stable-20_01_11).
- commit 292d79c
* Thu Feb 27 2020 mhocko@suse.com
- Update config files.
  turn {arm64,x86_64}/preempt to diff config against default flavor.
- commit 79606c0
* Thu Feb 27 2020 yousaf.kaukab@suse.com
- net: dsa: felix: Use PHY_INTERFACE_MODE_INTERNAL instead of GMII
  (jsc#SLE-9263).
- commit 6cfa413
* Thu Feb 27 2020 jslaby@suse.cz
- net: dsa: sja1105: Reconcile the meaning of TPID and TPID2
  for E/T and P/Q/R/S (networking-stable-20_01_01).
- net: stmmac: dwmac-meson8b: Fix the RGMII TX delay on
  Meson8b/8m2 SoCs (networking-stable-20_01_01).
- net/dst: do not confirm neighbor for vxlan and geneve pmtu
  update (networking-stable-20_01_01).
- sit: do not confirm neighbor when do pmtu update
  (networking-stable-20_01_01).
- vti: do not confirm neighbor when do pmtu update
  (networking-stable-20_01_01).
- tunnel: do not confirm neighbor when do pmtu update
  (networking-stable-20_01_01).
- net/dst: add new function skb_dst_update_pmtu_no_confirm
  (networking-stable-20_01_01).
- gtp: do not confirm neighbor when do pmtu update
  (networking-stable-20_01_01).
- ip6_gre: do not confirm neighbor when do pmtu update
  (networking-stable-20_01_01).
- net: add bool confirm_neigh parameter for dst_ops.update_pmtu
  (networking-stable-20_01_01).
- net: dsa: bcm_sf2: Fix IP fragment location and behavior
  (networking-stable-20_01_01).
- gtp: avoid zero size hashtable (networking-stable-20_01_01).
- gtp: fix an use-after-free in ipv4_pdp_find()
  (networking-stable-20_01_01).
- gtp: fix wrong condition in gtp_genl_dump_pdp()
  (networking-stable-20_01_01).
- gtp: do not allow adding duplicate tid and ms_addr pdp context
  (networking-stable-20_01_01).
- vhost/vsock: accept only packets with the right dst_cid
  (networking-stable-20_01_01).
- commit f17afc0
* Thu Feb 27 2020 jslaby@suse.cz
- net: stmmac: platform: Fix MDIO init for platforms without PHY
  (networking-stable-19_12_28).
- selftests: forwarding: Delete IPv6 address at the end
  (networking-stable-19_12_28).
- sctp: fully initialize v4 addr in some functions
  (networking-stable-19_12_28).
- commit 6abcdbd
* Wed Feb 26 2020 yousaf.kaukab@suse.com
- net: dsa: felix: fix link error (jsc#SLE-9263).
- enetc: Fix inconsistent IS_ERR and PTR_ERR (jsc#SLE-9263).
- commit 77d3fbd
* Wed Feb 26 2020 duwe@suse.de
- enable CRYPTO_TEST on arm64, as it is on all other architectures.
  (bsc#1164254)
- commit a8c6955
* Wed Feb 26 2020 msuchanek@suse.de
- rpm/package-descriptions: garbege collection
  remove old ARM and Xen flavors.
- commit bda0360
* Wed Feb 26 2020 mkubecek@suse.cz
- Revert "sign also s390x kernel images (bsc#1163524)"
  This reverts commit b38b61155f0a2c3ebca06d4bb0c2e11a19a87f1f.
  As further discussion revealed, this change depends on changes in
  pesign-obs-integration package which are not ready yet so that it breaks
  s390x binary builds at the moment.
- commit 6326fe1
* Wed Feb 26 2020 mhocko@suse.com
- Created new preempt kernel flavor
  Configs are cloned from the respective $arch/default configs. All
  changed configs appart from CONFIG_PREEMPT->y are a result of
  dependencies, namely many lock/unlock primitives are no longer
  inlined in the preempt kernel. TREE_RCU has been also changed to
  PREEMPT_RCU which is the default implementation for PREEMPT kernel.
- Created new preempt kernel flavor (jsc#SLE-11309)
  Configs are cloned from the respective $arch/default configs. All
  changed configs appart from CONFIG_PREEMPT->y are a result of
  dependencies, namely many lock/unlock primitives are no longer
  inlined in the preempt kernel. TREE_RCU has been also changed to
  PREEMPT_RCU which is the default implementation for PREEMPT kernel.
- commit ba6a3b0
* Wed Feb 26 2020 bp@suse.de
- EDAC/mc: Fix use-after-free and memleaks during device removal
  (jsc#SLE-9482).
- EDAC/sysfs: Remove csrow objects on errors (jsc#SLE-9482).
- commit 9698f66
* Tue Feb 25 2020 tbogendoerfer@suse.de
- net/mlx5: DR, Handle reformat capability over sw-steering tables
  (jsc#SLE-8464).
- net/mlx5e: Don't clear the whole vf config when switching modes
  (jsc#SLE-8464).
- net/mlx5: DR, Fix matching on vport gvmi (jsc#SLE-8464).
- net/mlx5e: Fix crash in recovery flow without devlink reporter
  (jsc#SLE-8464).
- net/mlx5e: Reset RQ doorbell counter before moving RQ state
  from RST to RDY (jsc#SLE-8464 bsc#1163335).
- bonding: fix lockdep warning in bond_get_stats() (bsc#1154353
  bnc#1151927).
- bonding: add missing netdev_update_lockdep_key() (bsc#1154353).
- net: add strict checks in netdev_name_node_alt_destroy()
  (bsc#1154353).
- net: rtnetlink: fix bugs in rtnl_alt_ifname() (bsc#1154353).
- commit 1a3940e
* Tue Feb 25 2020 yousaf.kaukab@suse.com
- net: mscc: fix in frame extraction (jsc#SLE-9263).
- net: dsa: felix: Allow PHY to AN 10/100/1000 with 2500 serdes link (jsc#SLE-9263).
- net: dsa: felix: Handle PAUSE RX regardless of AN result (jsc#SLE-9263).
- net: dsa: felix: Don't error out on disabled ports with no phy-mode (jsc#SLE-9263).
- net: dsa: felix: Don't restart PCS SGMII AN if not needed (jsc#SLE-9263).
- net: dsa: felix: Set USXGMII link based on BMSR, not LPA (jsc#SLE-9263).
- net: dsa: felix: Add PCS operations for PHYLINK (jsc#SLE-9263).
- net: mscc: ocelot: export ANA, DEV and QSYS registers to include/soc/mscc (jsc#SLE-9263).
- net: mscc: ocelot: make phy_mode a member of the common struct ocelot_port (jsc#SLE-9263).
- enetc: Set MDIO_CFG_HOLD to the recommended value of 2 (jsc#SLE-9263).
- enetc: Make MDIO accessors more generic and export to include/linux/fsl (jsc#SLE-9263).
- net: dsa: Pass pcs_poll flag from driver to PHYLINK (jsc#SLE-9263).
- net: phylink: add support for polling MAC PCS (jsc#SLE-9263).
- net: phylink: make QSGMII a valid PHY mode for in-band AN (jsc#SLE-9263).
- mii: Add helpers for parsing SGMII auto-negotiation (jsc#SLE-9263).
- net: dsa: ocelot: add NET_VENDOR_MICROSEMI dependency (jsc#SLE-9263).
- net: mscc: ocelot: unregister the PTP clock on deinit (jsc#SLE-9263).
- net: mscc: ocelot: use skb queue instead of skbs list (jsc#SLE-9263).
- net: mscc: ocelot: avoid incorrect consuming in skbs list (jsc#SLE-9263).
- net: dsa: ocelot: fix "should it be static?" warnings (jsc#SLE-9263).
- net: dsa: ocelot: add hardware timestamping support for Felix (jsc#SLE-9263).
- net: dsa: ocelot: define PTP registers for felix_vsc9959 (jsc#SLE-9263).
- net: mscc: ocelot: convert to use ocelot_port_add_txtstamp_skb() (jsc#SLE-9263).
- net: mscc: ocelot: convert to use ocelot_get_txtstamp() (jsc#SLE-9263).
- net: mscc: ocelot: export ocelot_hwstamp_get/set functions (jsc#SLE-9263).
- net: dsa: felix: Fix CPU port assignment when not last port (jsc#SLE-9263).
- net: dsa: ocelot: add driver for Felix switch family (jsc#SLE-9263).
- net: dsa: ocelot: add tagger for Ocelot/Felix switches (jsc#SLE-9263).
- net: mscc: ocelot: publish ocelot_sys.h to include/soc/mscc (jsc#SLE-9263).
- net: mscc: ocelot: publish structure definitions to include/soc/mscc/ocelot.h (jsc#SLE-9263).
- net: mscc: ocelot: separate the implementation of switch reset (jsc#SLE-9263).
- net: mscc: ocelot: adjust MTU on the CPU port in NPI mode (jsc#SLE-9263).
- net: mscc: ocelot: export a constant for the tag length in bytes (jsc#SLE-9263).
- net: mscc: ocelot: create a helper for changing the port MTU (jsc#SLE-9263).
- net: mscc: ocelot: move invariant configs out of adjust_link (jsc#SLE-9263).
- net: mscc: ocelot: filter out ocelot SoC specific PCS config from common path (jsc#SLE-9263).
- net: mscc: ocelot: move resource ioremap and regmap init to common code (jsc#SLE-9263).
- net: mscc: ocelot: don't hardcode the number of the CPU port (jsc#SLE-9263).
- net: mscc: ocelot: split assignment of the cpu port into a separate function (jsc#SLE-9263).
- net: mscc: ocelot: refactor adjust_link into a netdev-independent function (jsc#SLE-9263).
- net: mscc: ocelot: initialize list of multicast addresses in common code (jsc#SLE-9263).
- net: mscc: ocelot: separate the common implementation of ndo_open and ndo_stop (jsc#SLE-9263).
- net: mscc: ocelot: move port initialization into separate function (jsc#SLE-9263).
- net: mscc: ocelot: limit vlan ingress filtering to actual number of ports (jsc#SLE-9263).
- net: mscc: ocelot: refactor ethtool callbacks (jsc#SLE-9263).
- net: mscc: ocelot: separate net_device related items out of ocelot_port (jsc#SLE-9263).
- net: mscc: ocelot: refactor struct ocelot_port out of function prototypes (jsc#SLE-9263).
- net: mscc: ocelot: change prototypes of switchdev port attribute handlers (jsc#SLE-9263).
- net: mscc: ocelot: change prototypes of hwtstamping ioctls (jsc#SLE-9263).
- net: mscc: ocelot: break out fdb operations into abstract implementations (jsc#SLE-9263).
- net: mscc: ocelot: break apart vlan operations into ocelot_vlan_{add, del} (jsc#SLE-9263).
- net: mscc: ocelot: break apart ocelot_vlan_port_apply (jsc#SLE-9263).
- net: mscc: PTP Hardware Clock (PHC) support (jsc#SLE-9263).
- net: mscc: remove the frame_info cpuq member (jsc#SLE-9263).
- net: mscc: improve the frame header parsing readability (jsc#SLE-9263).
- net: mscc: describe the PTP register range (jsc#SLE-9263).
- commit 79f7160
* Tue Feb 25 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Take-into-account-runnable_avg-to-classify-group.patch.
- Refresh
  patches.suse/sched-fair-reorder-enqueue-dequeue_task_fair-path.patch.
- Refresh
  patches.suse/sched-numa-Bias-swapping-tasks-based-on-their-preferred-node.patch.
- Refresh
  patches.suse/sched-numa-Distinguish-between-the-different-task_numa_migrate-failure-cases.patch.
- Refresh
  patches.suse/sched-numa-Find-an-alternative-idle-CPU-if-the-CPU-is-part-of-an-active-NUMA-balance.patch.
- sched/numa: Prefer using an idle CPU as a migration target
  instead of comparing tasks (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- Refresh
  patches.suse/sched-numa-Stop-an-exhastive-search-if-a-reasonable-swap-candidate-or-idle-CPU-is-found.patch.
- Refresh
  patches.suse/sched-numa-Trace-when-no-candidate-CPU-was-found-on-the-preferred-node.patch.
- Refresh
  patches.suse/sched-numa-Use-similar-logic-to-the-load-balancer-for-moving-between-domains-with-spare-capacity.patch.
- Refresh
  patches.suse/sched-numa-replace-runnable_load_avg-by-load_avg.patch.
- Refresh
  patches.suse/sched-pelt-Add-a-new-runnable-average-signal.patch.
- Refresh
  patches.suse/sched-pelt-Remove-unused-runnable-load-average.patch.
- commit de86223
* Tue Feb 25 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-reorder-enqueue-dequeue_task_fair-path.patch.
- commit a0aa0f8
* Tue Feb 25 2020 mgorman@suse.de
- sched/numa: Distinguish between the different
  task_numa_migrate() failure cases (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- commit 408baa5
* Tue Feb 25 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-numa-Trace-when-no-candidate-CPU-was-found-on-the-preferred-node.patch.
- commit 7d03e16
* Tue Feb 25 2020 mgorman@suse.de
- sched/fair: Optimize select_idle_core() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- commit f749d53
* Tue Feb 25 2020 mgorman@suse.de
- sched/fair: Allow a per-CPU kthread waking a task to stack on
  the same CPU, to fix XFS performance regression (bsc#1154329).
- sched/fair: Allow a small load imbalance between low utilisation
  SD_NUMA domains (bnc#1160896).
- commit 2ab2039
* Tue Feb 25 2020 meissner@suse.de
- sign also s390x kernel images (bsc#1163524)
- commit b38b611
* Tue Feb 25 2020 vbabka@suse.cz
- mm, hotplug: fix page online with DEBUG_PAGEALLOC compiled
  but not enabled (VM Functionality, bsc#1164436).
- commit 05a4d19
* Tue Feb 25 2020 jslaby@suse.cz
- blacklist.conf: add CONFIG_PROC_FS=n entry
- commit cc29a90
* Tue Feb 25 2020 jslaby@suse.cz
- nbd: add a flush_workqueue in nbd_start_device (git-fixes).
- perf c2c: Fix return type for histogram sorting comparision
  functions (git-fixes).
- x86/cpu: Update cached HLE state on write to
  TSX_CTRL_CPUID_CLEAR (git-fixes).
- commit 6880922
* Tue Feb 25 2020 jroedel@suse.de
- KVM: nVMX: Check IO instruction VM-exit conditions
  (CVE-2020-2732 bsc#1163971).
- KVM: nVMX: Refactor IO bitmap checks into helper function
  (CVE-2020-2732 bsc#1163971).
- KVM: nVMX: Don't emulate instructions in guest mode
  (CVE-2020-2732 bsc#1163971).
- commit f91f45f
* Tue Feb 25 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/vt-selection-close-sel_buffer-race.patch
  patches.suse/vt-selection-handle-pending-signals-in-paste_selecti.patch
- commit 0c9df1b
* Tue Feb 25 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/powerpc-tm-Fix-clearing-MSR-TS-in-current-when-recla.patch
- commit 220f81e
* Mon Feb 24 2020 bp@suse.de
- x86/boot: Handle malformed SRAT tables during early ACPI parsing
  (bsc#1152489).
- commit ce68bc1
* Mon Feb 24 2020 jroedel@suse.de
- iommu/vt-d: Unnecessary to handle default identity domain
  (bsc#1162414).
- iommu/vt-d: Allow devices with RMRRs to use identity domain
  (bsc#1162414).
- commit 048a6f9
* Mon Feb 24 2020 nborisov@suse.com
- btrfs: rename btrfs_space_info_add_old_bytes (bsc#1141456).
- btrfs: remove orig_bytes from reserve_ticket (bsc#1141456).
- btrfs: fix may_commit_transaction to deal with no partial
  filling (bsc#1141456).
- btrfs: rework wake_all_tickets (bsc#1141456).
- btrfs: refactor the ticket wakeup code (bsc#1141456).
- btrfs: stop partially refilling tickets when releasing space
  (bsc#1141456).
- btrfs: add space reservation tracepoint for reserved bytes
  (bsc#1141456).
- btrfs: roll tracepoint into btrfs_space_info_update helper
  (bsc#1141456).
- btrfs: do not allow reservations if we have pending tickets
  (bsc#1141456).
- commit 18cd200
* Mon Feb 24 2020 yousaf.kaukab@suse.com
- Refresh patches.suse/mmc-sdhci-fix-up-CMD12-sending.patch.
- commit b36db25
* Mon Feb 24 2020 oneukum@suse.com
- tools lib traceevent: Remove unneeded qsort and uses memmove
  instead (git-fixes).
- commit 37953f8
* Mon Feb 24 2020 yousaf.kaukab@suse.com
- rtc: fsl-ftm-alarm: move patch to sorted section
- commit 80b90f8
* Mon Feb 24 2020 oneukum@suse.com
- kvm: Reintroduce nopvspin kernel parameter (bsc#1056427).
- commit dcec1fa
* Mon Feb 24 2020 yousaf.kaukab@suse.com
- thermal: qoriq: refresh patches
- Refresh patches.suse/thermal-qoriq-Add-hwmon-support.patch.
- Refresh
  patches.suse/thermal-qoriq-Add-local-struct-device-pointer.patch.
- Refresh
  patches.suse/thermal-qoriq-Add-local-struct-qoriq_sensor-pointer.patch.
- Refresh
  patches.suse/thermal-qoriq-Convert-driver-to-use-regmap-API.patch.
- Refresh
  patches.suse/thermal-qoriq-Do-not-report-invalid-temperature-read.patch.
- Refresh
  patches.suse/thermal-qoriq-Don-t-store-struct-thermal_zone_device.patch.
- Refresh
  patches.suse/thermal-qoriq-Drop-unnecessary-drvdata-cleanup.patch.
- Refresh
  patches.suse/thermal-qoriq-Embed-per-sensor-data-into-struct-qori.patch.
- Refresh
  patches.suse/thermal-qoriq-Enable-all-sensors-before-registering-.patch.
- Refresh
  patches.suse/thermal-qoriq-Pass-data-to-qoriq_tmu_calibration-dir.patch.
- Refresh
  patches.suse/thermal-qoriq-Pass-data-to-qoriq_tmu_register_tmu_zo.patch.
- Refresh
  patches.suse/thermal_hwmon-Add-devres-wrapper-for-thermal_add_hwm.patch.
- commit bd644db
* Mon Feb 24 2020 jslaby@suse.cz
- ttyprintk: fix a potential deadlock in interrupt context issue
  (git-fixes).
- commit dc7ade5
* Mon Feb 24 2020 pmladek@suse.com
- blacklist.conf: bug: cosmetic change; related to a larger code clean up
- commit 43ce447
* Mon Feb 24 2020 ykaukab@suse.de
- dpaa_eth: support all modes with rate adapting PHYs
  (bsc#1159662).
- commit a5b2d56
* Mon Feb 24 2020 pmladek@suse.com
- printk: fix exclusive_console replaying (bsc#1164711).
- commit 466e4dc
* Mon Feb 24 2020 msuchanek@suse.de
- sr_vendor: support Beurer GL50 evo CD-on-a-chip devices
  (boo#1164632).
- commit a186914
* Mon Feb 24 2020 msuchanek@suse.de
- Enable CONFIG_BLK_DEV_SR_VENDOR (boo#1164632).
- commit 1c8f90b
* Mon Feb 24 2020 jack@suse.cz
- patches.suse/ext4-Fix-mount-failure-with-quota-configured-as-modu.patch:
  Update tags.
- commit 713f734
* Mon Feb 24 2020 oneukum@suse.com
- Delete
  patches.suse/0001-kvm-Introduce-nopvspin-kernel-parameter.patch.
  Remove guarded patch as it has been rendered unnecessary by
  9043442b43b1fddf202591b84702863286700c1a
  ("locking/paravirt: Use new static key for controlling call of
  virt_spin_lock()")
  and b2798ba0b876 ("KVM: X86: Choose qspinlock when dedicated physical
  CPUs are available")
- commit 583da5e
* Mon Feb 24 2020 jgross@suse.com
- xen: Enable interrupts when calling _cond_resched()
  (bsc#1065600).
- commit 4f2ecad
* Mon Feb 24 2020 lyan@suse.com
- KVM: arm64: Treat emulated TVAL TimerValue as a signed 32-bit
  integer (bsc#1133021).
- KVM: arm64: pmu: Fix chained SW_INCR counters (bsc#1133021).
- KVM: arm64: pmu: Don't increment SW_INCR if PMCR.E is unset
  (bsc#1133021).
- KVM: arm: Make inject_abt32() inject an external abort instead
  (bsc#1133021).
- KVM: arm: Fix DFSR setting for non-LPAE aarch32 guests
  (bsc#1133021).
- KVM: arm/arm64: Fix young bit from mmu notifier (bsc#1133021).
- KVM: arm/arm64: vgic-its: Fix restoration of unmapped
  collections (bsc#1133021).
- KVM: Clean up __kvm_gfn_to_hva_cache_init() and its callers
  (bsc#1133021).
- KVM: Check for a bad hva before dropping into the ghc slow path
  (bsc#1133021).
- KVM: arm/arm64: Properly handle faulting of device mappings
  (bsc#1133021).
- KVM: arm64: Ensure 'params' is initialised when looking up
  sys register (bsc#1133021).
- KVM: arm/arm64: Get rid of unused arg in cpu_init_hyp_mode()
  (bsc#1133021).
- KVM: fix placement of refcount initialization (bsc#1133021).
- KVM: Fix NULL-ptr deref after kvm_create_vm fails (bsc#1133021).
- kvm: call kvm_arch_destroy_vm if vm creation fails
  (bsc#1133021).
- commit 51a3eef
* Mon Feb 24 2020 lyan@suse.com
- kvm: Allocate memslots and buses before calling kvm_arch_init_vm
  (bsc#1133021).
- Refresh
  patches.suse/kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch.
- commit fc34308
* Mon Feb 24 2020 nborisov@suse.com
- btrfs: only reserve metadata_size for inodes (bsc#1141456).
- btrfs: rename the btrfs_calc_*_metadata_size helpers
  (bsc#1141456).
- commit d6be9ae
* Mon Feb 24 2020 nborisov@suse.com
- btrfs: introduce an evict flushing state (bsc#1141456).
- btrfs: refactor priority_reclaim_metadata_space (bsc#1141456).
- btrfs: factor out the ticket flush handling (bsc#1141456).
- btrfs: unify error handling for ticket flushing (bsc#1141456).
- btrfs: add a flush step for delayed iputs (bsc#1141456).
- commit 21300d0
* Sun Feb 23 2020 colyli@suse.de
- md/raid0: Fix buffer overflow at debug print (bsc#1164051).
- commit c36de2b
* Fri Feb 21 2020 mkubecek@suse.cz
- series.conf: cleanup
  Reorganize the "Storage" section a bit.
  No effect on expanded tree.
- commit 0a80524
* Fri Feb 21 2020 duwe@suse.de
- crypto: allow self-test for ansi_cprng (bsc#1164254).
- commit e75c9ce
* Fri Feb 21 2020 mkubecek@suse.cz
- series.conf: cleanup
  Keep the number of top level sections reasonable.
- commit ff097d4
* Fri Feb 21 2020 duwe@suse.de
- s390 crypto: explicitly memzero stack key material in aes_s390.c
  (bsc#1163459).
- random: move FIPS continuous test to output functions
  (bsc#1163458).
- commit b896cb7
* Fri Feb 21 2020 nstange@suse.de
- kABI: restore debugfs_remove_recursive() (bsc#1159198).
- commit 102712e
* Fri Feb 21 2020 mkubecek@suse.cz
- hwmon: (k10temp) Display up to eight sets of CCD temperatures
  (bsc#1163206).
- hwmon: (k10temp) Don't show temperature limits on Ryzen (Zen)
  CPUs (bsc#1163206).
- hwmon: (k10temp) Show core and SoC current and voltages on
  Ryzen CPUs (bsc#1163206).
- hwmon: (k10temp) Report temperatures per CPU die (bsc#1163206).
- hmon: (k10temp) Convert to use
  devm_hwmon_device_register_with_info (bsc#1163206).
- hwmon: (k10temp) Use bitops (bsc#1163206).
- commit 82bbfc1
* Fri Feb 21 2020 dwagner@suse.de
- arm64: KVM: Invoke compute_layout() before alternatives are
  applied (bsc#1162702).
- percpu-refcount: Use normal instead of RCU-sched" (bsc#1162702).
- drm/i915: Don't disable interrupts independently of the lock
  (bsc#1162702).
- x86/ioapic: Rename misnamed functions (bsc#1162702).
- block: Don't disable interrupts in trigger_softirq()
  (bsc#1162702).
- commit 227d21b
* Fri Feb 21 2020 ailiopoulos@suse.com
- xfs: Fix deadlock between AGI and AGF with RENAME_WHITEOUT
  (bsc#1164482).
- commit 96d108c
* Fri Feb 21 2020 jack@suse.cz
- ext4: Fix mount failure with quota configured as module
  (bsc#1164471).
  Refresh patches.suse/ext4-unsupported-features.patch
- commit 4ccdd26
* Fri Feb 21 2020 hare@suse.de
- Refresh
  patches.suse/sd-always-retry-READ-CAPACITY-for-ALUA-state-transit.patch.
- commit 6221d57
* Fri Feb 21 2020 hare@suse.de
- Delete
  patches.suse/sd-always-scan-VPD-pages-if-thin-provisioning-is-ena.patch.
- commit 7919fbe
* Fri Feb 21 2020 hare@suse.de
- Delete patches.suse/scsi-disable-VPD-page-check-on-error.patch.
- commit e6dd2e4
* Fri Feb 21 2020 hare@suse.de
- ch: review and re-enable refcounting patches
- ch: remove ch_mutex() (bsc#1124235).
- ch: synchronize ch_probe() and ch_open() (bsc#1124235).
- Refresh
  patches.suse/ch-fixup-refcounting-imbalance-for-SCSI-devices.patch.
- Delete
  patches.suse/ch-add-missing-mutex_lock-mutex_unlock-in-ch_release.patch.
- commit 9a39484
* Fri Feb 21 2020 hare@suse.de
- scsi: mpt3sas: Update drive version to 33.100.00.00
  (jsc#SLE-10717).
- scsi: mpt3sas: Remove usage of device_busy counter
  (jsc#SLE-10717).
- scsi: mpt3sas: Print function name in which cmd timed out
  (jsc#SLE-10717).
- scsi: mpt3sas: Optimize mpt3sas driver logging (jsc#SLE-10717).
- scsi: mpt3sas: print in which path firmware fault occurred
  (jsc#SLE-10717).
- scsi: mpt3sas: Handle CoreDump state from watchdog thread
  (jsc#SLE-10717).
- scsi: mpt3sas: Add support IOCs new state named COREDUMP
  (jsc#SLE-10717).
- scsi: mpt3sas: renamed _base_after_reset_handler function
  (jsc#SLE-10717).
- scsi: mpt3sas: Add support for NVMe shutdown (jsc#SLE-10717).
- scsi: mpt3sas: Update MPI Headers to v02.00.57 (jsc#SLE-10717).
- scsi: mpt3sas: Fix double free in attach error handling
  (jsc#SLE-10717).
- scsi: mpt3sas: change allocation option (jsc#SLE-10717).
- scsi: mpt3sas: Clean up some indenting (jsc#SLE-10717).
- commit 916674e
* Fri Feb 21 2020 hare@suse.de
- megaraid_sas-fixup-MSIx-interrupt-setup-during-resume.patch: replace with upstream version
- commit 56ba2a9
* Fri Feb 21 2020 hare@suse.de
- scsi: megaraid_sas: Update driver version to 07.713.01.00-rc1
  (jsc#SLE-10720).
- scsi: megaraid_sas: Use Block layer API to check SCSI device
  in-flight IO requests (jsc#SLE-10720).
- scsi: megaraid_sas: Limit the number of retries for the IOCTLs
  causing firmware fault (jsc#SLE-10720).
- scsi: megaraid_sas: Do not initiate OCR if controller is not
  in ready state (jsc#SLE-10720).
- scsi: megaraid_sas: Re-Define enum DCMD_RETURN_STATUS
  (jsc#SLE-10720).
- scsi: megaraid_sas: Do not set HBA Operational if FW is not
  in operational state (jsc#SLE-10720).
- scsi: megaraid_sas: Do not kill HBA if JBOD Seqence map or
  RAID map is disabled (jsc#SLE-10720).
- scsi: megaraid_sas: Do not kill host bus adapter, if adapter
  is already dead (jsc#SLE-10720).
- scsi: megaraid_sas: Update optimal queue depth for SAS and
  NVMe devices (jsc#SLE-10720).
- scsi: megaraid_sas: Set no_write_same only for Virtual Disk
  (jsc#SLE-10720).
- scsi: megaraid_sas: Reset adapter if FW is not in READY state
  after device resume (jsc#SLE-10720).
- commit 65e16b2
* Fri Feb 21 2020 hare@suse.de
- Disable 'megaraid_sas-fixup-MSIx-interrupt-setup-during-resume'
- commit e492554
* Fri Feb 21 2020 mkubecek@suse.cz
- series.conf: cleanup
  Move patches.suse/suse-hv-kabi.patch into kABI padding section.
- commit fc6dc14
* Fri Feb 21 2020 rgoldwyn@suse.com
- fix up iter on short count in fuse_direct_io() (git-fixes).
- ovl: fix lseek overflow on 32bit (git-fixes).
- ovl: fix wrong WARN_ON() in ovl_cache_update_ino() (git-fixes).
- commit 508fa98
* Fri Feb 21 2020 rgoldwyn@suse.com
- Refresh patches.suse/new-helper-lookup_positive_unlocked.patch.
  Remove compiler warnings because of unused goto label.
- commit 71e012e
* Thu Feb 20 2020 ohering@suse.de
- hyper-v: Untangle stimers and timesync from clocksources (jsc#SLE-8133).
- commit a1b2308
* Thu Feb 20 2020 ohering@suse.de
- hv: kabi placeholders (jsc#SLE-8133).
- commit c3e96e8
* Thu Feb 20 2020 jroedel@suse.de
- KVM: x86/mmu: Add explicit access mask for MMIO SPTEs
  (bsc#1164354).
- Refresh patches.suse/kvm-mmu-ITLB_MULTIHIT-mitigation.patch.
- Refresh
  patches.suse/kvm-svm-override-default-mmio-mask-if-memory-encryption-is-enabled.
- commit 8a15fbd
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: push the grant head when the log head moves forward
  (bsc#1164095).
- commit d1770d3
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: push iclog state cleaning into xlog_state_clean_log
  (bsc#1164095).
- commit d1535a4
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: factor iclog state processing out of
  xlog_state_do_callback() (bsc#1164095).
- commit 3094c67
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: factor callbacks out of xlog_state_do_callback()
  (bsc#1164095).
- commit 901e51d
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: factor debug code out of xlog_state_do_callback()
  (bsc#1164095).
- commit 860c5ae
* Thu Feb 20 2020 jroedel@suse.de
- KVM: x86/mmu: Revert "KVM: x86/mmu: Remove is_obsolete() call"
  (bsc#1164357).
- Refresh
  patches.suse/kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch.
- commit c9e37dc
* Thu Feb 20 2020 jroedel@suse.de
- KVM: x86/mmu: Revert "Revert "KVM: MMU: reclaim the
  zapped-obsolete page first"" (bsc#1164361).
- Refresh
  patches.suse/kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch.
- commit 3193cde
* Thu Feb 20 2020 jroedel@suse.de
- KVM: x86: Unconditionally call x86 ops that are always
  implemented (bsc#1164382).
- Refresh
  patches.suse/kvm-x86-mmu-Recovery-of-shattered-NX-large-pages.patch.
- commit 3095ae2
* Thu Feb 20 2020 mbrugger@suse.com
- ARM: dts: stm32: add missing vdda-supply to adc on
  stm32429i-eval (bsc#1164461).
- commit da5a397
* Thu Feb 20 2020 mbrugger@suse.com
- blacklist.conf: add duplicated commit ID
- commit a626162
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: prevent CIL push holdoff in log recovery (bsc#1164095).
- commit d2cfffa
* Thu Feb 20 2020 mbrugger@suse.com
- blacklist.conf: ignore fix for not supported arch
- commit ca8ddc1
* Thu Feb 20 2020 jroedel@suse.de
- iommu/qcom: Fix bogus detach logic (bsc#1164445).
- iommu/vt-d: Simplify check in identity_mapping() (bsc#1159594).
- iommu/vt-d: Remove deferred_attach_domain() (bsc#1159594).
- iommu/vt-d: Do deferred attachment in iommu_need_mapping()
  (bsc#1159594).
- iommu/vt-d: Move deferred device attachment into helper function
  (bsc#1159594).
- iommu/vt-d: Add attach_deferred() helper (bsc#1159594).
- iommu/vt-d: Fix compile warning from intel-svm.h (bsc#1164446).
- KVM: x86/mmu: Fix struct guest_walker arrays for 5-level paging
  (bsc#1164356).
- KVM: nVMX: Use correct root level for nested EPT shadow page
  tables (bsc#1164330).
- KVM: x86: Mask off reserved bit from #DB exception payload
  (bsc#1164353).
- KVM: Use vcpu-specific gva->hva translation when querying host
  page size (bsc#1164337).
- KVM: x86: Revert "KVM: X86: Fix fpu state crash in kvm guest"
  (bsc#1164381).
- KVM: x86: Ensure guest's FPU state is loaded when accessing
  for emulation (bsc#1164344).
- KVM: x86: Handle TIF_NEED_FPU_LOAD in kvm_{load,put}_guest_fpu()
  (bsc#1164349).
- KVM: x86: Protect pmu_intel.c from Spectre-v1/L1TF attacks
  (bsc#1164374).
- KVM: x86: Protect DR-based index computations from
  Spectre-v1/L1TF attacks (bsc#1164365).
- KVM: x86: Protect exit_reason from being used in Spectre-v1/L1TF
  attacks (bsc#1164366).
- KVM: x86: Protect MSR-based index computations from
  Spectre-v1/L1TF attacks in x86.c (bsc#1164371).
- KVM: x86: Protect MSR-based index computations in pmu.h from
  Spectre-v1/L1TF attacks (bsc#1164373).
- KVM: x86: Protect MSR-based index computations in
  fixed_msr_to_seg_unit() from Spectre-v1/L1TF attacks
  (bsc#1164372).
- KVM: x86: Protect kvm_lapic_reg_write() from Spectre-v1/L1TF
  attacks (bsc#1164370).
- KVM: x86: Protect ioapic_write_indirect() from Spectre-v1/L1TF
  attacks (bsc#1164368).
- KVM: x86: Protect ioapic_read_indirect() from Spectre-v1/L1TF
  attacks (bsc#1164367).
- KVM: x86: Refactor picdev_write() to prevent Spectre-v1/L1TF
  attacks (bsc#1164376).
- KVM: x86: Protect kvm_hv_msr_[get|set]_crash_data() from
  Spectre-v1/L1TF attacks (bsc#1164369).
- KVM: x86: Protect x86_decode_insn from Spectre-v1/L1TF attacks
  (bsc#1164375).
- kvm/svm: PKU not currently supported (bsc#1164335).
- KVM: x86: Remove spurious clearing of async #PF MSR
  (bsc#1164378).
- KVM: x86: Remove spurious kvm_mmu_unload() from vcpu destruction
  path (bsc#1164379).
- KVM: x86: Free wbinvd_dirty_mask if vCPU creation fails
  (bsc#1164348).
- KVM: x86/mmu: Apply max PA check for MMIO sptes to 32-bit KVM
  (bsc#1164355).
- KVM: x86: Fix potential put_fpu() w/o load_fpu() on MPX platform
  (bsc#1164346).
- kvm: nVMX: VMWRITE checks unsupported field before read-only
  field (bsc#1164331).
- kvm: nVMX: VMWRITE checks VMCS-link pointer before VMCS field
  (bsc#1164332).
- kvm: nVMX: Relax guest IA32_FEATURE_CONTROL constraints
  (bsc#1164329).
- KVM: retpolines: x86: eliminate retpoline from vmx.c exit
  handlers (bsc#1164333).
- KVM: VMX: Fix conditions for guest IA32_XSS support
  (bsc#1164340).
- KVM: x86: Introduce vcpu->arch.xsaves_enabled (bsc#1164351).
- KVM: SVM: Guard against DEACTIVATE when performing
  WBINVD/DF_FLUSH (bsc#1164334).
- KVM: SVM: Serialize access to the SEV ASID bitmap (bsc#1164336).
- KVM: VMX: Do not change PID.NDST when loading a blocked vCPU
  (bsc#1164339).
- KVM: VMX: Consider PID.PIR to determine if vCPU has pending
  interrupts (bsc#1164338).
- KVM: nVMX: Don't leak L1 MMIO regions to L2 (bsc#1164328).
- kvm: vmx: Limit guest PMCs to those supported on the host
  (bsc#1164342).
- kvm: x86: Use AMD CPUID semantics for AMD vCPUs (bsc#1164383).
- kvm: x86: Improve emulation of CPUID leaves 0BH and 1FH
  (bsc#1164350).
- kvm: x86: Fix a spurious -E2BIG in __do_cpuid_func
  (bsc#1164345).
- KVM: x86/mmu: Revert "Revert "KVM: MMU: collapse TLB flushes
  when zap all pages"" (bsc#1164360).
- KVM: x86/mmu: Revert "Revert "KVM: MMU: zap pages in batch""
  (bsc#1164363).
- KVM: x86/mmu: Revert "Revert "KVM: MMU: add tracepoint for
  kvm_mmu_invalidate_all_pages"" (bsc#1164359).
- KVM: x86/mmu: Revert "Revert "KVM: MMU: show mmu_valid_gen in
  shadow page related tracepoints"" (bsc#1164362).
- KVM: x86/mmu: Treat invalid shadow pages as obsolete
  (bsc#1164364).
- KVM: x86: Manually flush collapsible SPTEs only when toggling
  flags (bsc#1164352).
- KVM: x86: Return to userspace with internal error on unexpected
  exit reason (bsc#1164380).
- KVM: x86: Add kvm_emulate_{rd,wr}msr() to consolidate VXM/SVM
  code (bsc#1164343).
- KVM: x86: Refactor up kvm_{g,s}et_msr() to simplify callers
  (bsc#1164377).
- KVM: x86: Fix x86_decode_insn() return when fetching insn
  bytes fails (bsc#1164347).
- commit d065de5
* Thu Feb 20 2020 ailiopoulos@suse.com
- xfs: push the AIL in xlog_grant_head_wake (bsc#1164095).
- commit 1bce18c
* Thu Feb 20 2020 mkubecek@suse.cz
- enable patches.suse/lan78xx-Enable-LEDs-and-auto-negotiation.patch
  This is one of inherited SLE15-SP1 non-upstream patches. It doesn't really
  match the bug it references and there has not been any apparent attempt to
  get it into mainline since it was added to SLE15. To avoid regressions,
  keep it in SLE15-SP2 for now but drop with SLE16 unless it gets upstreamed
  or there is at least some serious attempt to upstream it.
  Rename patches.suse/bsc1084332-0003-lan78xx-Enable-LEDs-and-auto-negotiation.patch
  to patches.suse/lan78xx-Enable-LEDs-and-auto-negotiation.patch, refresh it,
  enable and move into NIC driver section.
- commit 627e945
* Thu Feb 20 2020 ohering@suse.de
- hv_balloon: Balloon up according to request page number
  (git-fixes).
- scsi: storvsc: Correctly set number of hardware queues for
  IDE disk (git-fixes).
- hv_netvsc: Fix unwanted rx_table reset (git-fixes).
- hv_netvsc: Fix tx_table init in rndis_set_subchannel()
  (git-fixes).
- Drivers: hv: balloon: Remove dependencies on guest page size
  (git-fixes).
- hv_netvsc: flag software created hash value (git-fixes).
- hv_netvsc: Fix send_table offset in case of a host bug
  (git-fixes).
- hv_netvsc: Fix offset usage in netvsc_send_table() (git-fixes).
- commit 9bdb4de
* Wed Feb 19 2020 msuchanek@suse.de
- powerpc/tm: Fix clearing MSR[TS] in current when reclaiming
  on signal delivery (bsc#1118338 ltc#173734).
- commit 2e0d5f0
* Wed Feb 19 2020 tiwai@suse.de
- ASoC: sun8i-codec: Fix setting DAI data format (git-fixes).
- ASoC: fsl_sai: Fix exiting path on probing failure (git-fixes).
- ALSA: hda: Use scnprintf() for printing texts for sysfs/procfs
  (git-fixes).
- ALSA: hda/realtek - Apply quirk for yet another MSI laptop
  (git-fixes).
- ALSA: hda/realtek - Apply quirk for MSI GP63, too (git-fixes).
- ALSA: rawmidi: Avoid bit fields for state flags (git-fixes).
- ALSA: seq: Fix concurrent access to queue current tick/time
  (git-fixes).
- ALSA: seq: Avoid concurrent access to queue flags (git-fixes).
- commit a23ff90
* Wed Feb 19 2020 mbrugger@suse.com
- ata: ahci: Add shutdown to freeze hardware resources of ahci
  (bsc#1164388).
- commit ce5f6e5
* Wed Feb 19 2020 jroedel@suse.de
- iommu/arm-smmu-v3: Populate VMID field for CMDQ_OP_TLBI_NH_VA (bsc#1164308).
- commit d6eceea
* Wed Feb 19 2020 jroedel@suse.de
- blacklist.conf: Add b06c076ea962 Revert "iommu/arm-smmu: Make arm-smmu explicitly non-modular"
- commit 08f1fd5
* Wed Feb 19 2020 jroedel@suse.de
- blacklist.conf: Add 6e8fa7404c13 Revert "iommu/arm-smmu: Make arm-smmu-v3 explicitly non-modular"
- commit 4c1b45c
* Wed Feb 19 2020 jroedel@suse.de
- perf/x86/intel: Fix inaccurate period in context switch for
  auto-reload (bsc#1164307).
- iommu/vt-d: Avoid sending invalid page response (bsc#1164304).
- iommu/vt-d: Fix off-by-one in PASID allocation (bsc#1164305).
- iommu/vt-d: Match CPU and IOMMU paging mode (bsc#1164306).
- iommu/amd: Only support x2APIC with IVHD type 11h/40h
  (bsc#1164303).
- iommu/amd: Check feature support bit before accessing MSI
  capability registers (bsc#1164302).
- commit ead9f32
* Wed Feb 19 2020 mbenes@suse.cz
- tracing: Fix now invalid var_ref_vals assumption in trace action
  (git-fixes).
- commit 9385a9b
* Wed Feb 19 2020 jack@suse.cz
- block: fix get_max_segment_size() overflow on 32bit arch
  (bsc#1164285).
- commit 88517df
* Wed Feb 19 2020 jack@suse.cz
- ext4: fix support for inode sizes > 1024 bytes (bsc#1164284).
- commit 05b8b1c
* Wed Feb 19 2020 jack@suse.cz
- memcg: fix a crash in wb_workfn when a device disappears
  (bsc#1164276).
- commit b25cbaa
* Wed Feb 19 2020 mbrugger@suse.com
- arm64: dts: agilex/stratix10: fix pmu interrupt numbers
  (bsc#1164272).
- commit 0c677d5
* Wed Feb 19 2020 mbrugger@suse.com
- arm64: KVM: Device mappings should be execute-never
  (bsc#1164268).
- Refresh
  patches.suse/arm64-Ensure-VM_WRITE-VM_SHARED-ptes-are-clean-by-de.patch.
- commit b79bc51
* Wed Feb 19 2020 mkubecek@suse.cz
- fix upstream references
- fix Patch-mainline:
  patches.suse/fix-autofs-regression-caused-by-follow_managed-changes.patch
  patches.suse/fix-dget_parent-fastpath-race.patch
  patches.suse/fsnamei.c-fix-missing-barriers-when-checking-positivity.patch
  patches.suse/fsnamei.c-pull-positivity-check-into-follow_managed.patch
  patches.suse/new-helper-lookup_positive_unlocked.patch
- commit d37656d
* Wed Feb 19 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and resort:
  patches.suse/dma-contiguous-cma-give-precedence-to-cmdline.patch
- commit 1b96e18
* Wed Feb 19 2020 lyan@suse.com
- Replace
  Replace patches.suse/kvm-aarch64-avoid-guest-access-host-pmu-register.patch
  with patches.suse/KVM-arm64-Write-arch.mdcr_el2-changes-since-last-vcp.patch
  upstream id is 4942dec6638b0 (bsc#1161692).
- commit 6264601
* Wed Feb 19 2020 tbogendoerfer@suse.de
- netdevsim: fix ptr_ret.cocci warnings (bsc#1154353).
- commit acfaee7
* Tue Feb 18 2020 rgoldwyn@suse.com
- fix autofs regression caused by follow_managed() changes
  (git-fixes, bsc#1159271).
- commit a954cfa
* Tue Feb 18 2020 rgoldwyn@suse.com
- fs/namei.c: fix missing barriers when checking positivity
  (bsc#1159271).
- fix dget_parent() fastpath race  (bsc#1159271).
- new helper: lookup_positive_unlocked()  (bsc#1159271).
- fs/namei.c: pull positivity check into follow_managed()
  (bsc#1159271).
- commit 15f64cd
* Tue Feb 18 2020 mgorman@suse.de
- sched/fair: fix statistics for find_idlest_group() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit 2db86c8
* Tue Feb 18 2020 mgorman@suse.de
- sched/fair: Fix kernel-doc warning in attach_entity_load_avg()
  (git fixes (sched)).
- commit 366accc
* Tue Feb 18 2020 msuchanek@suse.de
- powerpc/kexec: Move kexec files into a dedicated subdir
  (bsc#1140025 ltc#176086).
  Refresh
  patches.suse/powerpc-Avoid-clang-warnings-around-setjmp-and-longj.patch.
- powerpc/32: Split kexec low level code out of misc_32.S
  (bsc#1140025 ltc#176086).
- commit ea45911
* Tue Feb 18 2020 mbrugger@suse.com
- arm64: dts: fast models: Fix FVP PCI interrupt-map property
  (bsc#1164201).
- arm64: ssbs: Fix context-switch when SSBS is present on all CPUs
  (bsc#1164221).
- arm64: dts: marvell: clearfog-gt-8k: fix switch cpu port node
  (bsc#1164211).
- arm64: acpi: fix DAIF manipulation with pNMI (bsc#1164197).
- arm64: nofpsmid: Handle TIF_FOREIGN_FPSTATE flag cleanly
  (bsc#1164219).
- arm64: ptrace: nofpsimd: Fail FP/SIMD regset operations
  (bsc#1164220).
- arm64: cpufeature: Set the FP/SIMD compat HWCAP bits properly
  (bsc#1164199).
- arm64: cpufeature: Fix the type of no FP/SIMD capability
  (bsc#1164198).
- arm64: kbuild: remove compressed images on 'make ARCH=arm64
  (dist)clean' (bsc#1164218).
- arm64: dts: allwinner: a64: olinuxino: Fix SDIO supply regulator
  (bsc#1164200).
- arm64: dts: imx8mq-librem5-devkit: use correct interrupt for
  the magnetometer (bsc#1164205).
- arm64: dts: imx8mm: Change SDMA1 ahb clock for imx8mm
  (bsc#1164202).
- arm64: dts: ls1028a: fix endian setting for dcfg (bsc#1164208).
- arm64: Implement copy_thread_tls (bsc#1164195).
- update arm64 config files (add HAVE_COPY_THREAD_TLS=y)
- arm64: Move __ARCH_WANT_SYS_CLONE3 definition to uapi headers
  (bsc#1164196).
- arm64: dts: ls1028a: fix reboot node (bsc#1164209).
- Revert "arm64: dts: juno: add dma-ranges property"
  (bsc#1164194).
- arm64: dts: juno: Fix UART frequency (bsc#1164206).
- arm64: dts: meson-gxm-khadas-vim2: fix uart_A bluetooth node
  (bsc#1164216).
- arm64: dts: meson-gxl-s905x-khadas-vim: fix uart_A bluetooth
  node (bsc#1164215).
- arm64: dts: meson-gxl-s905x-khadas-vim: fix gpio-keys-polled
  node (bsc#1164214).
- arm64: dts: meson: odroid-c2: Disable usb_otg bus to avoid
  power failed warning (bsc#1164217).
- arm64: dts: meson: axg: fix audio fifo reg size (bsc#1164212).
- arm64: dts: marvell: Fix CP110 NAND controller node multi-line
  comment alignment (bsc#1164210).
- arm64: dts: imx8mm: Correct OPP table according to latest
  datasheet (bsc#1164203).
- commit 8ffc54a
* Tue Feb 18 2020 msuchanek@suse.de
- powerpc: avoid adjusting memory_limit for capture kernel memory
  reservation (bsc#1140025).
- powerpc: reserve memory for capture kernel after hugepages init
  (bsc#1140025).
- commit 3e6df66
* Tue Feb 18 2020 dwagner@suse.de
- nvme: fix the parameter order for nvme_get_log in
  nvme_get_fw_slot_info (bsc#1163774).
- commit f4930bf
* Tue Feb 18 2020 mbrugger@suse.com
- ARM: npcm: Bring back GPIOLIB support (bsc#1164185).
- commit 3c9a346
* Tue Feb 18 2020 mbrugger@suse.com
- blacklist.conf: blacklist commits with wrong fixes ID
- commit b51d31a
* Tue Feb 18 2020 mbrugger@suse.com
- ARM: dts: am43xx: add support for clkout1 clock (bsc#1164150).
- ARM: dts: meson8b: use the actual frequency for the GPU's
  364MHz OPP (bsc#1164174).
- ARM: dts: meson8: use the actual frequency for the GPU's
  182.1MHz OPP (bsc#1164172).
- ARM: dts: meson8b: fix the clock controller compatible string
  (bsc#1164173).
- ARM: dts: at91: sama5d3: define clock rate range for tcb1
  (bsc#1164156).
- ARM: dts: at91: sama5d3: fix maximum peripheral clock rates
  (bsc#1164157).
- ARM: dts: at91: Reenable UART TX pull-ups (bsc#1164155).
- ARM: dts: stm32: Add power-supply for DSI panel on
  stm32f469-disco (bsc#1164177).
- ARM: dts: imx7: Fix Toradex Colibri iMX7S 256MB NAND flash
  support (bsc#1164167).
- ARM: dts: imx6sll-evk: Remove incorrect power supply assignment
  (bsc#1164164).
- ARM: dts: imx6sl-evk: Remove incorrect power supply assignment
  (bsc#1164163).
- ARM: dts: imx6sx-sdb: Remove incorrect power supply assignment
  (bsc#1164165).
- ARM: dts: imx6qdl-sabresd: Remove incorrect power supply
  assignment (bsc#1164162).
- ARM: dts: imx6q-icore-mipi: Use 1.5 version of i.Core MX6DL
  (bsc#1164161).
- ARM: dts: imx6q-dhcom: Fix SGTL5000 VDDIO regulator connection
  (bsc#1164159).
- ARM: dts: imx7ulp: fix reg of cpu node (bsc#1164168).
- ARM: dts: imx6q-dhcom: fix rtc compatible (bsc#1164160).
- ARM: dts: meson8: fix the size of the PMU registers
  (bsc#1164171).
- ARM: dts: am571x-idk: Fix gpios property to have the correct
  gpio number (bsc#1164151).
- ARM: OMAP2+: Fix ti_sysc_find_one_clockdomain to check for
  to_clk_hw_omap (bsc#1164146).
- ARM: dts: imx6ul: imx6ul-14x14-evk.dtsi: Fix SPI NOR probing
  (bsc#1164166).
- ARM: dts: bcm283x: Fix critical trip point (bsc#1164158).
- ARM: dts: Cygnus: Fix MDIO node address/size cells
  (bsc#1164148).
- ARM: dts: BCM5301X: Fix MDIO node address/size cells
  (bsc#1164147).
- ARM: dts: Fix sgx sysconfig register for omap4 (bsc#1164149).
- ARM: dts: logicpd-torpedo-37xx-devkit-28: Reference new DRM
  panel (bsc#1164170).
- ARM: dts: s3c64xx: Fix init order of clock providers
  (bsc#1164176).
- ARM: dts: stm32: relax qspi pins slew-rate for stm32mp157
  (bsc#1164182).
- ARM: dts: sunxi: Revert phy-names removal for ECHI and OHCI
  (bsc#1164184).
- ARM: omap2plus_defconfig: Enable DRM_TI_TFP410 (bsc#1164186).
- ARM: dts: logicpd-som-lv: Fix i2c2 and i2c3 Pin mux
  (bsc#1164169).
- ARM: dts: aspeed-g5: Fixe gpio-ranges upper limit (bsc#1164152).
- ARM: dts: aspeed: swift: Change power supplies to version 2
  (bsc#1164153).
- ARM: dts: aspeed: swift: Fix FSI GPIOs (bsc#1164154).
- ARM: dts: r8a7779: Use SYSC "always-on" PM Domain for HSCIF
  (bsc#1164175).
- ARM: dts: stm32: add pwm cells to stm32f746 (bsc#1164180).
- ARM: dts: stm32: add pwm cells to stm32f429 (bsc#1164179).
- ARM: dts: stm32: add pwm cells to stm32mp157c (bsc#1164181).
- ARM: dts: stm32: add missing vdda-supply to adc on
  stm32h743i-eval (bsc#1164178).
- ARM: dts: stm32: remove fixed regulator unit address on
  stm32429i-eval (bsc#1164183).
- commit 303d59d
* Tue Feb 18 2020 msuchanek@suse.de
- asm-generic/tlb: avoid potential double flush (bsc#1163776
  ltc#183929).
- commit 3b90a7e
* Tue Feb 18 2020 mbrugger@suse.com
- lib/vdso: Make __arch_update_vdso_data() logic understandable
  (bsc#1164141).
- commit 0a18ce1
* Tue Feb 18 2020 lhenriques@suse.com
- ceph: noacl mount option is effectively ignored (jsc#SES-1134).
- ceph: canonicalize server path in place (jsc#SES-1134).
- ceph: do not execute direct write in parallel if O_APPEND is
  specified (jsc#SES-1134).
- rbd: set the 'device' link in sysfs (jsc#SES-1134).
- ceph: move net/ceph/ceph_fs.c to fs/ceph/util.c (jsc#SES-1134).
- ceph: print name of xattr in __ceph_{get,set}xattr() douts
  (jsc#SES-1134).
- ceph: print r_direct_hash in hex in __choose_mds() dout
  (jsc#SES-1134).
- ceph: use copy-from2 op in copy_file_range (jsc#SES-1134).
- ceph: close holes in structs ceph_mds_session and
  ceph_mds_request (jsc#SES-1134).
- ceph: allocate the correct amount of extra bytes for the
  session features (jsc#SES-1134).
- ceph: rename get_session and switch to use ceph_get_mds_session
  (jsc#SES-1134).
- ceph: remove the extra slashes in the server path
  (jsc#SES-1134).
- ceph: add possible_max_rank and make the code more readable
  (jsc#SES-1134).
- ceph: print dentry offset in hex and fix xattr_version type
  (jsc#SES-1134).
- ceph: only touch the caps which have the subset mask requested
  (jsc#SES-1134).
- ceph: don't clear I_NEW until inode metadata is fully populated
  (jsc#SES-1134).
- ceph: retry the same mds later after the new session is opened
  (jsc#SES-1134).
- ceph: check availability of mds cluster on mount after wait
  timeout (jsc#SES-1134).
- ceph: keep the session state until it is released
  (jsc#SES-1134).
- ceph: add __send_request helper (jsc#SES-1134).
- ceph: ensure we have a new cap before continuing in fill_inode
  (jsc#SES-1134).
- ceph: drop unused ttl_from parameter from fill_inode
  (jsc#SES-1134).
- ceph: fix possible long time wait during umount (jsc#SES-1134).
- ceph: only choose one MDS who is in up:active state without
  laggy (jsc#SES-1134).
- ceph: fix mdsmap cluster available check based on laggy number
  (jsc#SES-1134).
- ceph: remove unnecessary assignment in ceph_pre_init_acls()
  (jsc#SES-1134).
- ceph: delete redundant douts in con_get/put() (jsc#SES-1134).
- commit 7a69ca8
* Tue Feb 18 2020 tbogendoerfer@suse.de
- IB/mlx5: Use div64_u64 for num_var_hw_entries calculation
  (jsc#SLE-8446).
- RDMA/core: Fix protection fault in get_pkey_idx_qp_list
  (jsc#SLE-8449).
- RDMA/rxe: Fix soft lockup problem due to using tasklets in
  softirq (jsc#SLE-8449).
- RDMA/mlx5: Prevent overflow in mmap offset calculations
  (jsc#SLE-8446).
- IB/umad: Fix kernel crash while unloading ib_umad
  (jsc#SLE-8449).
- RDMA/mlx5: Fix async events cleanup flows (jsc#SLE-8446).
- RDMA/core: Add missing list deletion on freeing event queue
  (jsc#SLE-8449).
- RDMA/siw: Remove unwanted WARN_ON in siw_cm_llp_data_ready()
  (jsc#SLE-8381).
- RDMA/iw_cxgb4: initiate CLOSE when entering TERM (jsc#SLE-8392).
- IB/mlx5: Return failure when rts2rts_qp_counters_set_id is
  not supported (jsc#SLE-8446).
- RDMA/core: Fix invalid memory access in spec_filter_size
  (jsc#SLE-8449).
- IB/rdmavt: Reset all QPs when the device is shut down
  (jsc#SLE-8449).
- IB/hfi1: Close window for pq and request coliding
  (jsc#SLE-8449).
- IB/hfi1: Acquire lock to release TID entries when user file
  is closed (jsc#SLE-8449).
- RDMA/hfi1: Fix memory leak in _dev_comp_vect_mappings_create
  (jsc#SLE-8449).
- net: hns3: fix a copying IPv6 address error in
  hclge_fd_get_flow_tuples() (bsc#1154353).
- net: hns3: fix VF bandwidth does not take effect in some case
  (bsc#1154353).
- net: hns3: add management table after IMP reset (bsc#1154353).
- page_pool: refill page when alloc.count of pool is zero
  (bsc#1154353).
- ice: Trivial fixes (jsc#SLE-7926).
- ice: Use correct netif error function (jsc#SLE-7926).
- ice: Cleanup ice_vsi_alloc_q_vectors (jsc#SLE-7926).
- ice: Make print statements more compact (jsc#SLE-7926).
- ice: Use ice_pf_to_dev (jsc#SLE-7926).
- ice: Remove possible null dereference (jsc#SLE-7926).
- ice: update Unit Load Status bitmask to check after reset
  (jsc#SLE-7926).
- ice: fix and consolidate logging of NVM/firmware version
  information (jsc#SLE-7926).
- ice: Modify link message logging (jsc#SLE-7926).
- ice: Remove CONFIG_PCI_IOV wrap in ice_set_pf_caps
  (jsc#SLE-7926).
- ice: Remove ice_dev_onetime_setup() (jsc#SLE-7926).
- ice: Don't allow same value for Rx tail to be written twice
  (jsc#SLE-7926).
- ice: display supported and advertised link modes (jsc#SLE-7926).
- ice: Fix switch between FW and SW LLDP (jsc#SLE-7926).
- ice: Fix DCB rebuild after reset (jsc#SLE-7926).
- net: ena: ena-com.c: prevent NULL pointer dereference
  (bsc#1154492).
- net: ena: ethtool: use correct value for crc32 hash
  (bsc#1154492).
- net: ena: make ena rxfh support ETH_RSS_HASH_NO_CHANGE
  (bsc#1154492).
- net: ena: fix corruption of dev_idx_to_host_tbl (bsc#1154492).
- net: ena: fix incorrectly saving queue numbers when setting
  RSS indirection table (bsc#1154492).
- net: ena: rss: store hash function as values and not bits
  (bsc#1154492).
- net: ena: rss: fix failure to get indirection table
  (bsc#1154492).
- net: ena: rss: do not allocate key when not supported
  (bsc#1154492).
- net: ena: fix incorrect default RSS key (bsc#1154492).
- net: ena: add missing ethtool TX timestamping indication
  (bsc#1154492).
- net: ena: fix uses of round_jiffies() (bsc#1154492).
- net: ena: fix potential crash when rxfh key is NULL
  (bsc#1154492).
- i40e: Fix the conditional for i40e_vc_validate_vqs_bitmaps
  (bsc#1163036).
- bpf: Improve bucket_log calculation logic (bsc#1154353).
- i40e: Relax i40e_xsk_wakeup's return value when PF is busy
  (jsc#SLE-8025).
- mlxsw: spectrum_dpipe: Add missing error path (bsc#1154488).
- mlxsw: core: Add validation of hardware device types for MGPIR
  register (bsc#1154488).
- ipv6/addrconf: fix potential NULL deref in inet6_set_link_af()
  (bsc#1154353).
- taprio: Fix dropping packets when using taprio + ETF offloading
  (bsc#1154353).
- taprio: Use taprio_reset_tc() to reset Traffic Classes
  configuration (bsc#1154353).
- taprio: Add missing policy validation for flags (bsc#1154353).
- taprio: Fix still allowing changing the flags during runtime
  (bsc#1154353).
- taprio: Fix enabling offload with wrong number of traffic
  classes (bsc#1154353).
- net/mlx5: Deprecate usage of generic TLS HW capability bit
  (jsc#SLE-8464).
- net/mlx5e: TX, Error completion is for last WQE in batch
  (jsc#SLE-8464).
- net/mlx5: IPsec, fix memory leak at
  mlx5_fpga_ipsec_delete_sa_ctx (jsc#SLE-8464).
- net/mlx5: IPsec, Fix esp modify function attribute
  (jsc#SLE-8464).
- net/mlx5: Fix deadlock in fs_core (jsc#SLE-8464).
- skbuff: fix a data race in skb_queue_len() (bsc#1154353).
- cxgb4: Added tls stats prints (jsc#SLE-8389).
- net_sched: fix an OOB access in cls_tcindex (bsc#1154353).
- netdevsim: remove unused sdev code (bsc#1154353).
- netdevsim: use __GFP_NOWARN to avoid memalloc warning
  (bsc#1154353).
- netdevsim: use IS_ERR instead of IS_ERR_OR_NULL for debugfs
  (bsc#1154353).
- netdevsim: fix stack-out-of-bounds in nsim_dev_debugfs_init()
  (bsc#1154353).
- netdevsim: fix panic in nsim_dev_take_snapshot_write()
  (bsc#1154353).
- netdevsim: disable devlink reload when resources are being used
  (bsc#1154353).
- netdevsim: fix using uninitialized resources (bsc#1154353).
- bnxt_en: Fix TC queue mapping (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix logic that disables Bus Master during firmware
  reset (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix RDMA driver failure with SRIOV after firmware reset
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor logic to re-enable SRIOV after firmware
  reset detected (jsc#SLE-8371 bsc#1153274).
- cls_rsvp: fix rsvp_policy (bsc#1154353).
- RDMA/core: Make the entire API tree static (jsc#SLE-8449).
- RDMA/efa: Mask access flags with the correct optional range
  (jsc#SLE-5640).
- RDMA/cma: Fix unbalanced cm_id reference count during address
  resolve (jsc#SLE-8449).
- RDMA/umem: Fix ib_umem_find_best_pgsz() (jsc#SLE-8449).
- IB/mlx4: Fix leak in id_map_find_del (jsc#SLE-8461).
- IB/opa_vnic: Spelling correction of 'erorr' to 'error'
  (jsc#SLE-8449).
- IB/hfi1: Fix logical condition in msix_request_irq
  (jsc#SLE-8449).
- RDMA/cm: Use IBA functions for complex structure members
  (jsc#SLE-8449).
- RDMA/cm: Use IBA functions for simple structure members
  (jsc#SLE-8449).
- RDMA/cm: Use IBA functions for swapping get/set acessors
  (jsc#SLE-8449).
- RDMA/cm: Use IBA functions for simple get/set acessors
  (jsc#SLE-8449).
- RDMA/cm: Add SET/GET implementations to hide IBA wire format
  (jsc#SLE-8449).
- RDMA/cm: Add accessors for CM_REQ transport_type (jsc#SLE-8449).
- IB/mlx5: Return the administrative GUID if exists
  (jsc#SLE-8446).
- RDMA/core: Ensure that rdma_user_mmap_entry_remove() is a fence
  (jsc#SLE-8449).
- IB/mlx4: Fix memory leak in add_gid error flow (jsc#SLE-8461).
- IB/mlx5: Expose RoCE accelerator counters (jsc#SLE-8446).
- RDMA/mlx5: Set relaxed ordering when requested (jsc#SLE-8446).
- RDMA/uverbs: Add new relaxed ordering memory region access flag
  (jsc#SLE-8446).
- RDMA/efa: Allow passing of optional access flags for MR
  registration (jsc#SLE-5640).
- RDMA/core: Add optional access flags range (jsc#SLE-8449).
- RDMA/uverbs: Verify MR access flags (jsc#SLE-8449).
- RDMA/uverbs: Add ioctl command to get a device context
  (jsc#SLE-8449).
- RDMA/core: Remove ucontext_lock from the
  uverbs_destry_ufile_hw() path (jsc#SLE-8449).
- RDMA/core: Add UVERBS_METHOD_ASYNC_EVENT_ALLOC (jsc#SLE-8449).
- net/mlx5: Expose relaxed ordering bits (jsc#SLE-8464).
- net/mlx5: Add RoCE accelerator counters (jsc#SLE-8464).
- IB/srp: Never use immediate data if it is disabled by a user
  (jsc#SLE-8449).
- RDMA/rxe: Compute the maximum sges and inline size based on
  the WQE size (jsc#SLE-8449).
- Introduce maximum WQE size to check limits (jsc#SLE-8449).
- RDMA/efa: Remove unused ucontext parameter from
  efa_qp_user_mmap_entries_remove (jsc#SLE-5640).
- RDMA/efa: Remove {} brackets from single statement if
  (jsc#SLE-5640).
- RDMA/efa: Device definitions documentation updates
  (jsc#SLE-5640).
- RDMA/hns: Add support for extended atomic in userspace
  (jsc#SLE-8449).
- RDMA/hns: Get pf capabilities from firmware (jsc#SLE-8449).
- RDMA/hns: Add interfaces to get pf capabilities from firmware
  (jsc#SLE-8449).
- RDMA/hns: Remove some redundant variables related to
  capabilities (jsc#SLE-8449).
- RDMA/core: Use READ_ONCE for ib_ufile.async_file (jsc#SLE-8449).
- RDMA/core: Make ib_uverbs_async_event_file into a uobject
  (jsc#SLE-8449).
- RDMA/core: Remove the ufile arg from rdma_alloc_begin_uobject
  (jsc#SLE-8449).
- RDMA/core: Simplify type usage for ib_uverbs_async_handler()
  (jsc#SLE-8449).
- RDMA/core: Do not erase the type of ib_wq.uobject
  (jsc#SLE-8449).
- RDMA/core: Do not erase the type of ib_srq.uobject
  (jsc#SLE-8449).
- RDMA/core: Do not erase the type of ib_qp.uobject
  (jsc#SLE-8449).
- RDMA/core: Do not erase the type of ib_cq.uobject
  (jsc#SLE-8449).
- RDMA/core: Make ib_ucq_object use ib_uevent_object
  (jsc#SLE-8449).
- RDMA/core: Do not allow alloc_commit to fail (jsc#SLE-8449).
- RDMA/mlx5: Simplify devx async commands (jsc#SLE-8446).
- RDMA/core: Simplify destruction of FD uobjects (jsc#SLE-8449).
- RDMA/mlx5: Use RCU and direct refcounts to keep memory alive
  (jsc#SLE-8446).
- RDMA/uverbs: Remove needs_kfree_rcu from uverbs_obj_type_class
  (jsc#SLE-8449).
- IB/mlx5: Add mmap support for VAR (jsc#SLE-8446).
- IB/mlx5: Introduce VAR object and its alloc/destroy methods
  (jsc#SLE-8446).
- IB/mlx5: Extend caps stage to handle VAR capabilities
  (jsc#SLE-8446).
- RDMA/core: Remove err in iw_query_port (jsc#SLE-8449).
- RDMA/hns: Add support for reporting wc as software mode
  (jsc#SLE-8449).
- RDMA/hns: Bugfix for posting a wqe with sge (jsc#SLE-8449).
- IB/hfi1: Add RcvShortLengthErrCnt to hfi1stats (jsc#SLE-8449).
- IB/hfi1: Add software counter for ctxt0 seq drop (jsc#SLE-8449).
- IB/hfi1: Return void in packet receiving functions
  (jsc#SLE-8449).
- IB/hfi1: Decouple IRQ name from type (jsc#SLE-8449).
- IB/hfi1: Create API for auto activate (jsc#SLE-8449).
- IB/hfi1: IB/hfi1: Add an API to handle special case drop
  (jsc#SLE-8449).
- IB/hfi1: Move common receive IRQ code to function
  (jsc#SLE-8449).
- IB/hfi1: Add fast and slow handlers for receive context
  (jsc#SLE-8449).
- IB/hfi1: Move chip specific functions to chip.c (jsc#SLE-8449).
- RDMA/core: Fix locking in ib_uverbs_event_read (jsc#SLE-8449).
- IB/core: Fix build failure without hugepages (jsc#SLE-8449).
- IB/core: Rename event_handler_lock to qp_open_list_lock
  (jsc#SLE-8449).
- IB/core: Cut down single member ib_cache structure
  (jsc#SLE-8449).
- IB/core: Let IB core distribute cache update events
  (jsc#SLE-8449).
- IB/mlx5: Do reverse sequence during device removal
  (jsc#SLE-8446).
- RDMA/hns: Fix coding style issues (jsc#SLE-8449).
- RDMA/hns: Replace custom macros HNS_ROCE_ALIGN_UP
  (jsc#SLE-8449).
- RDMA/hns: Remove redundant print information (jsc#SLE-8449).
- RDMA/hns: Delete unnessary parameters in hns_roce_v2_qp_modify()
  (jsc#SLE-8449).
- RDMA/hns: Update the value of qp type (jsc#SLE-8449).
- RDMA/hns: Remove unused function hns_roce_init_eq_table()
  (jsc#SLE-8449).
- RDMA/hns: Avoid printing address of mtt page (jsc#SLE-8449).
- RDMA/core: Add trace points to follow MR allocation
  (jsc#SLE-8449).
- RDMA/core: Trace points for diagnosing completion queue issues
  (jsc#SLE-8449).
- RDMA/cma: Add trace points in RDMA Connection Manager
  (jsc#SLE-8449).
- RDMA/cm: Delete unused CM ARP functions (jsc#SLE-8449).
- RDMA/cm: Delete unused CM LAP functions (jsc#SLE-8449).
- RDMA/i40iw: fix a potential NULL pointer dereference
  (jsc#SLE-8449).
- RDMA/rxe: Fix error type of mmap_offset (jsc#SLE-8449).
- RDMA/mlx5: use true,false for bool variable (jsc#SLE-8446).
- RDMA/mlx4: use true,false for bool variable (jsc#SLE-8461).
- IB/iser: use true,false for bool variable (jsc#SLE-8449).
- IB/hfi1: use true,false for bool variable (jsc#SLE-8449).
- RDMA/siw: use true,false for bool variable (jsc#SLE-8381).
- IB/core: Fix ODP with IB_ACCESS_HUGETLB handling (jsc#SLE-8449).
- IB/core: Fix ODP get user pages flow (jsc#SLE-8449).
- IB/mlx5: Unify ODP MR code paths to allow extra flexibility
  (jsc#SLE-8446).
- IB/rdmavt: Correct comments in rdmavt_qp.h header
  (jsc#SLE-8449).
- IB/hfi1: List all receive contexts from debugfs (jsc#SLE-8449).
- IB/hfi1: Add accessor API routines to access context members
  (jsc#SLE-8449).
- RDMA/mlx4: Redo TX checksum offload in line with docs
  (jsc#SLE-8461).
- RDMA/cm: Use RCU synchronization mechanism to protect
  cm_id_private xa_load() (jsc#SLE-8449).
- RDMA/srpt: Remove unnecessary assertion in srpt_queue_response
  (jsc#SLE-8449).
- RDMA/netlink: Do not always generate an ACK for some netlink
  operations (jsc#SLE-8449).
- IB/mlx5: Fix outstanding_pi index for GSI qps (jsc#SLE-8446).
- RDMA/siw: Simplify QP representation (jsc#SLE-8381).
- RDMA/hns: Simplify the calculation and usage of wqe idx for
  post verbs (jsc#SLE-8449).
- RDMA/bnxt_re: Report more number of completion vectors
  (jsc#SLE-8372 bsc#1153275).
- RDMA/qedr: Add kernel capability flags for dpm enabled mode
  (jsc#SLE-8215).
- net/core: Do not clear VF index for node/port GUIDs query
  (bsc#1154353).
- flow_dissector: Fix to use new variables for port ranges in
  bpf hook (bsc#1154353).
- libbpf: Fix realloc usage in bpf_core_find_cands (bsc#1154353).
- sfc: move mcdi filtering code (jsc#SLE-8314).
- sfc: create header for mcdi filtering code (jsc#SLE-8314).
- sfc: rename mcdi filtering functions/structs (jsc#SLE-8314).
- bnxt_en: Add support for devlink info command (jsc#SLE-8371
  bsc#1153274).
- devlink: add macro for "fw.roce" (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Rename switch_id to dsn (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add support to update progress of flash update
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Move devlink_register before registering netdev
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Register devlink irrespective of firmware spec version
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor bnxt_dl_register() (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Disable workaround for lost interrupts on 575XX B0
  and newer chips (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Periodically check and remove aged-out ntuple filters
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Do not accept fragments for aRFS flow steering
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Support UDP RSS hashing on 575XX chips (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Remove the setting of dev_port (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Improve bnxt_probe_phy() (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Improve link up detection (jsc#SLE-8371 bsc#1153274).
- mlxsw: minimal: Fix an error handling path in
  'mlxsw_m_port_create()' (bsc#1154488).
- ice: Bump version (jsc#SLE-7926).
- ice: Implement ethtool get/set rx-flow-hash (jsc#SLE-7926).
- ice: Initilialize VF RSS tables (jsc#SLE-7926).
- ice: Optimize table usage (jsc#SLE-7926).
- ice: Enable writing filtering tables (jsc#SLE-7926).
- ice: Populate TCAM filter software structures (jsc#SLE-7926).
- ice: Allocate flow profile (jsc#SLE-7926).
- ice: Enable writing hardware filtering tables (jsc#SLE-7926).
- net: sched: sch_tbf: Don't overwrite backlog before dumping
  (bsc#1154353).
- devlink: Add health recover notifications on devlink flows
  (bsc#1154353).
- net/mlx5e: Enable all available stats for uplink reps
  (jsc#SLE-8464).
- net/mlx5e: Create q counters on uplink representors
  (jsc#SLE-8464).
- net/mlx5e: Convert rep stats to mlx5e_stats_grp-based infra
  (jsc#SLE-8464).
- net/mlx5e: IPoIB, use separate stats groups (jsc#SLE-8464).
- net/mlx5e: Convert stats groups array to array of group pointers
  (jsc#SLE-8464).
- net/mlx5e: Declare stats groups via macro (jsc#SLE-8464).
- net/mlx5e: Profile specific stats groups (jsc#SLE-8464).
- net/mlx5e: Move uplink rep init/cleanup code into own functions
  (jsc#SLE-8464).
- net/mlx5: DR, Allow connecting flow table to a lower/same
  level table (jsc#SLE-8464).
- net/mlx5: DR, Modify header copy support (jsc#SLE-8464).
- net/mlx5: DR, Modify set action limitation extension
  (jsc#SLE-8464).
- net/mlx5e: Add mlx5e_flower_parse_meta support (jsc#SLE-8464).
- net/mlx5e: allow TSO on VXLAN over VLAN topologies
  (jsc#SLE-8464).
- net/mlx5e: Fix printk format warning (jsc#SLE-8464).
- bpf: Fix trampoline usage in preempt (bsc#1154353).
- net: hns3: cleanup some coding style issue (bsc#1154353).
- net: hns3: remove redundant print on ENOMEM (bsc#1154353).
- net: hns3: delete unnecessary blank line and space for cleanup
  (bsc#1154353).
- net: hns3: rewrite a log in hclge_put_vector() (bsc#1154353).
- net: hns3: refine the input parameter 'size' for snprintf()
  (bsc#1154353).
- net: hns3: move duplicated macro definition into header
  (bsc#1154353).
- net: hns3: set VF's default reset_type to HNAE3_NONE_RESET
  (bsc#1154353).
- net: hns3: do not reuse pfmemalloc pages (bsc#1154353).
- net: hns3: limit the error logging in the hns3_clean_tx_ring()
  (bsc#1154353).
- net: hns3: replace snprintf with scnprintf in
  hns3_update_strings (bsc#1154353).
- net: hns3: replace snprintf with scnprintf in hns3_dbg_cmd_read
  (bsc#1154353).
- RDMA/mlx5: Fix handling of IOVA != user_va in ODP paths
  (jsc#SLE-8446).
- IB/mlx5: Mask out unsupported ODP capabilities for kernel QPs
  (jsc#SLE-8446).
- RDMA/mlx5: Don't fake udata for kernel path (jsc#SLE-8446).
- IB/mlx5: Add ODP WQE handlers for kernel QPs (jsc#SLE-8446).
- IB/core: Add interface to advise_mr for kernel users
  (jsc#SLE-8449).
- IB/core: Introduce ib_reg_user_mr (jsc#SLE-8449).
- net/mlx5: Allow creating autogroups with reserved entries
  (jsc#SLE-8464).
- net/mlx5: Add ignore level support fwd to table rules
  (jsc#SLE-8464).
- net/mlx5: fs_core: Introduce unmanaged flow tables
  (jsc#SLE-8464).
- net/mlx5: Refactor mlx5_create_auto_grouped_flow_table
  (jsc#SLE-8464).
- net/mlx5e: Add discard counters per priority (jsc#SLE-8464).
- net/mlx5e: Expose FEC feilds and related capability bit
  (jsc#SLE-8464).
- net/mlx5: Add mlx5_ifc definitions for connection tracking
  support (jsc#SLE-8464).
- net/mlx5: Add copy header action struct layout (jsc#SLE-8464).
- net/mlx5: Expose resource dump register mapping (jsc#SLE-8464).
- net/mlx5: Add structures and defines for MIRC register
  (jsc#SLE-8464).
- net/mlx5: Read MCAM register groups 1 and 2 (jsc#SLE-8464).
- net/mlx5: Add structures layout for new MCAM access reg groups
  (jsc#SLE-8464).
- net/mlx5: Expose vDPA emulation device capabilities
  (jsc#SLE-8464).
- net/mlx5: Add Virtio Emulation related device capabilities
  (jsc#SLE-8464).
- sfc: remove duplicated include from efx.c (jsc#SLE-8314).
- sfc/ethtool_common: Make some function to static (jsc#SLE-8314).
- net: hns3: refactor the notification scheme of PF reset
  (bsc#1154353).
- net: hns3: modify hclge_func_reset_sync_vf()'s return type to
  void (bsc#1154353).
- net: hns3: enlarge HCLGE_RESET_WAIT_CNT (bsc#1154353).
- net: hns3: refactor the procedure of VF FLR (bsc#1154353).
- net: hns3: refactor the precedure of PF FLR (bsc#1154353).
- net: hns3: split hclgevf_reset() into preparing and rebuilding
  part (bsc#1154353).
- net: hns3: split hclge_reset() into preparing and rebuilding
  part (bsc#1154353).
- sfc: remove set but not used variable 'nic_data' (jsc#SLE-8314).
- sfc: remove duplicated include from ef10.c (jsc#SLE-8314).
- bnxt: Detach page from page pool before sending up the stack
  (jsc#SLE-8371 bsc#1153274).
- devlink: add macro for "fw.psid" (bsc#1154353).
- sfc: move RPS code (jsc#SLE-8314).
- sfc: move yet more functions (jsc#SLE-8314).
- sfc: move RSS code (jsc#SLE-8314).
- sfc: move a couple more functions (jsc#SLE-8314).
- sfc: move some ethtool code (jsc#SLE-8314).
- sfc: move various functions (jsc#SLE-8314).
- sfc: move more rx code (jsc#SLE-8314).
- sfc: move more tx code (jsc#SLE-8314).
- sfc: refactor selftest work init code (jsc#SLE-8314).
- sfc: move MCDI logging device attribute (jsc#SLE-8314).
- sfc: conditioned some functionality (jsc#SLE-8314).
- sfc: move MCDI receive queue management code (jsc#SLE-8314).
- sfc: move MCDI transmit queue management code (jsc#SLE-8314).
- sfc: move MCDI event queue management code (jsc#SLE-8314).
- sfc: move MCDI VI alloc/free code (jsc#SLE-8314).
- sfc: move more MCDI port code (jsc#SLE-8314).
- sfc: move some MCDI port utility functions (jsc#SLE-8314).
- sfc: move some port link state/caps code (jsc#SLE-8314).
- vmxnet3: Remove always false conditional statement
  (bsc#1154353).
- bnxt_en: Call recovery done after reset is successfully done
  (jsc#SLE-8371 bsc#1153274).
- devlink: add devink notification when reporter update health
  state (bsc#1154353).
- devlink: add support for reporter recovery completion
  (bsc#1154353).
- sfc: move common tx code (jsc#SLE-8314).
- sfc: move common rx code (jsc#SLE-8314).
- sfc: move event queue management code (jsc#SLE-8314).
- sfc: move channel interrupt management code (jsc#SLE-8314).
- sfc: move channel alloc/removal code (jsc#SLE-8314).
- sfc: move channel start/stop code (jsc#SLE-8314).
- sfc: move some channel-related code (jsc#SLE-8314).
- sfc: move struct init and fini code (jsc#SLE-8314).
- sfc: move some device reset code (jsc#SLE-8314).
- sfc: move datapath management code (jsc#SLE-8314).
- sfc: move mac configuration and status functions (jsc#SLE-8314).
- sfc: move reset workqueue code (jsc#SLE-8314).
- sfc: further preparation for code split (jsc#SLE-8314).
- sfc: add new headers in preparation for code split
  (jsc#SLE-8314).
- net/mlx5: DR, Create multiple destination action from
  dr_create_fte (jsc#SLE-8464).
- net/mlx5: DR, Add support for multiple destination table action
  (jsc#SLE-8464).
- net/mlx5: DR, Align dest FT action creation to API
  (jsc#SLE-8464).
- net/mlx5: DR, Pass table flags at creation to lower layer
  (jsc#SLE-8464).
- net/mlx5: DR, Create multi-destination table for SW-steering
  use (jsc#SLE-8464).
- net/mlx5: DR, Create FTE entry in the FW from SW-steering
  (jsc#SLE-8464).
- net/mlx5: DR, Use attributes struct for FW flow table creation
  (jsc#SLE-8464).
- net/mlx5: Use async EQ setup cleanup helpers for multiple EQs
  (jsc#SLE-8464).
- net/mlx5: Reduce No CQ found log level from warn to debug
  (jsc#SLE-8464).
- net/mlx5: Increase the max number of channels to 128
  (jsc#SLE-8464).
- net/mlx5e: Support accept action on nic table (jsc#SLE-8464).
- mlx5: work around high stack usage with gcc (jsc#SLE-8464).
- net/mlx5: limit the function in local scope (jsc#SLE-8464).
- mlxsw: spectrum: Disable DIP_LINK_LOCAL check in hardware
  pipeline (bsc#1154488).
- mlxsw: spectrum: Disable SIP_DIP check in hardware pipeline
  (bsc#1154488).
- mlxsw: spectrum: Disable MC_DMAC check in hardware pipeline
  (bsc#1154488).
- mlxsw: spectrum: Disable SIP_CLASS_E check in hardware pipeline
  (bsc#1154488).
- net: hns3: modify an unsuitable reset level for hardware error
  (bsc#1154353).
- net: hns3: replace an unsuitable variable type in
  hclge_inform_reset_assert_to_vf() (bsc#1154353).
- net: hns3: add protection when get SFP speed as 0 (bsc#1154353).
- net: hns3: modify the IRQ name of misc vectors (bsc#1154353).
- net: hns3: modify an unsuitable log in
  hclge_map_ring_to_vector() (bsc#1154353).
- net: hns3: modify the IRQ name of TQP vector (bsc#1154353).
- net: hns3: re-organize vector handle (bsc#1154353).
- net: hns3: add trace event support for HNS3 driver
  (bsc#1154353).
- ice: Suppress Coverity warnings for xdp_rxq_info_reg
  (jsc#SLE-7926).
- ice: Add a boundary check in ice_xsk_umem() (jsc#SLE-7926).
- ice: add extra check for null Rx descriptor (jsc#SLE-7926).
- ice: suppress checked_return error (jsc#SLE-7926).
- ice: Demote MTU change print to debug (jsc#SLE-7926).
- ice: Enable ip link show on the PF to display VF unicast MAC(s)
  (jsc#SLE-7926).
- ice: Fix VF link state when it's IFLA_VF_LINK_STATE_AUTO
  (jsc#SLE-7926).
- ice: Remove Rx flex descriptor programming (jsc#SLE-7926).
- ice: Return error on not supported ethtool -C parameters
  (jsc#SLE-7926).
- ice: Restore interrupt throttle settings after VSI rebuild
  (jsc#SLE-7926).
- ice: Set default value for ITR in alloc function (jsc#SLE-7926).
- ice: Add ice_for_each_vf() macro (jsc#SLE-7926).
- ice: Add code to keep track of current dflt_vsi (jsc#SLE-7926).
- ice: Fix VF spoofchk (jsc#SLE-7926).
- ice: Support UDP segmentation offload (jsc#SLE-7926).
- sfc: Remove unnecessary dependencies on I2C (jsc#SLE-8314).
- mlxsw: spectrum_dcb: Allow setting default port priority
  (bsc#1154488).
- mlxsw: reg: Add QoS Port DSCP to Priority Mapping Register
  (bsc#1154488).
- page_pool: help compiler remove code in case CONFIG_NUMA=n
  (bsc#1154353).
- page_pool: handle page recycle for NUMA_NO_NODE condition
  (bsc#1154353).
- e1000e: Use netdev_info instead of pr_info for link messages
  (jsc#SLE-8100).
- igb: dont drop packets if rx flow control is enabled
  (jsc#SLE-7967 jsc#SLE-8010).
- sfc: avoid duplicate error handling code in
  'efx_ef10_sriov_set_vf_mac()' (jsc#SLE-8314).
- net: ena: remove set but not used variable 'rx_ring'
  (bsc#1154492).
- mlxsw: spectrum_router: Make route creation and destruction
  symmetric (bsc#1154488).
- mlxsw: spectrum_router: Eliminate dead code (bsc#1154488).
- mlxsw: spectrum_router: Remove unnecessary checks (bsc#1154488).
- net: hns3: only print misc interrupt status when handling fails
  (bsc#1154353).
- net: hns3: add a log for getting chain failure in
  hns3_nic_uninit_vector_data() (bsc#1154353).
- net: hns3: add some VF VLAN information for command "ip link
  show" (bsc#1154353).
- net: hns3: implement ndo_features_check ops for hns3 driver
  (bsc#1154353).
- net: hns3: get FD rules location before dump in debugfs
  (bsc#1154353).
- net: hns3: optimization for CMDQ uninitialization (bsc#1154353).
- net: hns3: remove useless mutex vport_cfg_mutex in the struct
  hclge_dev (bsc#1154353).
- net: hns3: check FE bit before calling hns3_add_frag()
  (bsc#1154353).
- mlxsw: spectrum: Rename MLXSW_REG_QEEC_HIERARCY_* enumerators
  (bsc#1154488).
- mlxsw: spectrum_qdisc: Clarify a comment (bsc#1154488).
- net: pkt_cls: Clarify a comment (bsc#1154353).
- sch_cake: drop unused variable tin_quantum_prio (bsc#1154353).
- cxgb4/chtls: fix ULD connection failures due to wrong TID base
  (jsc#SLE-8389).
- cxgb4: fix missed high priority region calculation
  (jsc#SLE-8389).
- net: hns3: do not schedule the periodic task when reset fail
  (bsc#1154353).
- net: hns3: allocate WQ with WQ_MEM_RECLAIM flag (bsc#1154353).
- net: hns3: remove unnecessary work in hclgevf_main
  (bsc#1154353).
- net: hns3: remove mailbox and reset work in hclge_main
  (bsc#1154353).
- net: hns3: schedule hclgevf_service by using delayed workqueue
  (bsc#1154353).
- tcp: Set rcv zerocopy hint correctly if skb last frag is <
  PAGE_SIZE (bsc#1154353).
- Revert "nfp: abm: fix memory leak in nfp_abm_u32_knode_replace"
  (bsc#1154353).
- net: ena: Add first_interrupt field to napi struct
  (bsc#1154492).
- net: ena: Implement XDP_TX action (bsc#1154492).
- net: ena: implement XDP drop support (bsc#1154492).
- rtnetlink: provide permanent hardware address in RTM_NEWLINK
  (bsc#1154353).
- cxgb4: add support for high priority filters (jsc#SLE-8389).
- nfp: add support for TLV device stats (bsc#1154353).
- tcp: Cleanup duplicate initialization of sk->sk_state
  (bsc#1154353).
- qed: remove redundant assignments to rc (jsc#SLE-8401).
- Documentation: nfp: add nfp driver specific notes (bsc#1154353).
- commit 00df886
* Tue Feb 18 2020 mbenes@suse.cz
- ftrace: Protect ftrace_graph_hash with ftrace_sync (git-fixes).
- commit 18b606e
* Tue Feb 18 2020 mbenes@suse.cz
- ftrace: Add comment to why rcu_dereference_sched() is open coded
  (git-fixes).
- commit 3920d17
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Annotate ftrace_graph_notrace_hash pointer with __rcu
  (git-fixes).
- commit dca30ea
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Annotate ftrace_graph_hash pointer with __rcu
  (git-fixes).
- commit 0478306
* Tue Feb 18 2020 jgross@suse.com
- xen/balloon: Support xend-based toolstack take two
  (bsc#1065600).
- commit 97502bd
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Fix sched switch start/stop refcount racy updates
  (git-fixes).
- commit cccfa7b
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Simplify assignment parsing for hist triggers
  (git-fixes).
- commit 4ec91e7
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Fix tracing_stat return values in error handling paths
  (git-fixes).
- commit f3d8551
* Tue Feb 18 2020 mbenes@suse.cz
- tracing: Fix very unlikely race of registering two stat tracers
  (git-fixes).
- commit f65b168
* Tue Feb 18 2020 mbrugger@suse.com
- serial: 8250_dw: Avoid double error messaging when IRQ absent
  (bsc#1164118).
- commit f336e59
* Tue Feb 18 2020 mbrugger@suse.com
- blacklist.conf: ignore duplicated commit ID
- commit 720d999
* Tue Feb 18 2020 mkoutny@suse.com
- powerpc: convert to copy_thread_tls (bsc#1163988).
- Update config files: Add CONFIG_HAVE_COPY_THREAD_TLS=y
- commit f351204
* Tue Feb 18 2020 petr.pavlu@suse.com
- cifs: fix mount option display for sec=krb5i (bsc#1161907).
- commit c56405f
* Tue Feb 18 2020 msuchanek@suse.de
- Delete patches.rpmify/powerpc-boot-Fix-missing-crc32poly.h-when-building-w.patch.
- commit 18a7f4d
* Tue Feb 18 2020 mbrugger@suse.com
- arm64: Revert support for execute-only user mappings
  (bsc#1160218).
- commit 373929f
* Tue Feb 18 2020 mkoutny@suse.com
- memcg: account security cred as well to kmemcg (bsc#1164094).
- commit 28f2006
* Tue Feb 18 2020 jack@suse.cz
- ext4: add cond_resched() to ext4_protect_reserved_inode
  (bsc#1164069 CVE-2020-8992).
- commit e44be93
* Tue Feb 18 2020 nborisov@suse.com
- btrfs: Fix split-brain handling when changing FSID to metadata
  uuid (git-fixes).
- btrfs: Handle another split brain scenario with metadata uuid
  feature (git-fixes).
- btrfs: Factor out metadata_uuid code from find_fsid (git-fixes).
- btrfs: Call find_fsid from find_fsid_inprogress (git-fixes).
- commit d6dd57b
* Tue Feb 18 2020 nborisov@suse.com
- btrfs: Correctly handle empty trees in find_first_clear_extent_bit (git-fixes).
- commit 35b5ead
* Tue Feb 18 2020 colyli@suse.de
- bcache: remove macro nr_to_fifo_front() (bsc#1163762).
- bcache: Revert "bcache: shrink btree node cache after
  bch_btree_check()" (bsc#1163762, bsc#1112504).
- bcache: ignore pending signals when creating gc and allocator
  thread (bsc#1163762, bsc#1112504).
- bcache: check return value of prio_read() (bsc#1163762).
- bcache: fix incorrect data type usage in btree_flush_write()
  (bsc#1163762).
- bcache: add readahead cache policy options via sysfs interface
  (bsc#1163762).
- bcache: explicity type cast in bset_bkey_last() (bsc#1163762).
- bcache: fix memory corruption in bch_cache_accounting_clear()
  (bsc#1163762).
- bcache: reap from tail of c->btree_cache in bch_mca_scan()
  (bsc#1163762).
- bcache: reap c->btree_cache_freeable from the tail in
  bch_mca_scan() (bsc#1163762).
- bcache: remove member accessed from struct btree (bsc#1163762).
- bcache: print written and keys in trace_bcache_btree_write
  (bsc#1163762).
- bcache: avoid unnecessary btree nodes flushing in
  btree_flush_write() (bsc#1163762).
- bcache: add code comments for state->pool in __btree_sort()
  (bsc#1163762).
- lib: crc64: include <linux/crc64.h> for 'crc64_be'
  (bsc#1163762).
- bcache: don't export symbols (bsc#1163762).
- bcache: remove the extra cflags for request.o (bsc#1163762).
- bcache: at least try to shrink 1 node in bch_mca_scan()
  (bsc#1163762).
- bcache: add idle_max_writeback_rate sysfs interface
  (bsc#1163762).
- bcache: add code comments in bch_btree_leaf_dirty()
  (bsc#1163762).
- bcache: fix deadlock in bcache_allocator (bsc#1163762).
- bcache: add code comment bch_keylist_pop() and
  bch_keylist_pop_front() (bsc#1163762).
- bcache: deleted code comments for dead code in
  bch_data_insert_keys() (bsc#1163762).
- bcache: add more accurate error messages in read_super()
  (bsc#1163762).
- bcache: fix static checker warning in bcache_device_free()
  (bsc#1163762).
- bcache: fix a lost wake-up problem caused by
  mca_cannibalize_lock (bsc#1163762).
- bcache: Fix an error code in bch_dump_read() (bsc#1163762).
- bcache: add cond_resched() in __bch_cache_cmp() (bsc#1163762).
- commit fdeab1e
* Mon Feb 17 2020 mkoutny@suse.com
- clone3: ensure copy_thread_tls is implemented (bsc#1163988).
- commit 480a977
* Mon Feb 17 2020 mkoutny@suse.com
- cgroup: Prevent double killing of css when enabling threaded
  cgroup (bsc#1153013).
- commit c46884c
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix kernel oops caused by spurious casefold flag
  (bsc#1163984).
- commit 91a9b4c
* Mon Feb 17 2020 jack@suse.cz
- blacklist.conf: Blacklist 44d282796f81
- commit 13cd15a
* Mon Feb 17 2020 jack@suse.cz
- blacklist.conf: Blacklist 311ae9e159d8
- commit 72fb7d5
* Mon Feb 17 2020 msuchanek@suse.de
- Update
  patches.suse/powerpc-pseries-vio-Fix-iommu_table-use-after-free-r.patch
  (bsc#1065729 bsc#1163838 ltc#183850).
- commit 7b4b6e2
* Mon Feb 17 2020 lyan@suse.com
- KVM: s390: do not clobber registers during guest reset/store
  status (bsc#1133021).
- KVM: s390: ENOTSUPP -> EOPNOTSUPP fixups (bsc#1133021).
- commit 25937f8
* Mon Feb 17 2020 jack@suse.cz
- bdev: Refresh bdev size for disks without partitioning
  (bsc#1163921).
- commit 6da307d
* Mon Feb 17 2020 jack@suse.cz
- bdev: Factor out bdev revalidation into a common helper
  (bsc#1163920).
- commit 7d363e5
* Mon Feb 17 2020 jack@suse.cz
- udf: Allow writing to 'Rewritable' partitions (bsc#1163919).
- commit ae441d0
* Mon Feb 17 2020 jack@suse.cz
- blacklist.conf: Blacklist d9e9866803f7
- commit 53fef3b
* Mon Feb 17 2020 jack@suse.cz
- reiserfs: Fix memory leak of journal device string
  (bsc#1163867).
- commit 56254a8
* Mon Feb 17 2020 jack@suse.cz
- reiserfs: Fix spurious unlock in reiserfs_fill_super() error
  handling (bsc#1163869).
- commit f560b4f
* Mon Feb 17 2020 jack@suse.cz
- aio: prevent potential eventfd recursion on poll (bsc#1163918).
- commit d377261
* Mon Feb 17 2020 jack@suse.cz
- eventfd: track eventfd_signal() recursion depth (bsc#1163917).
- commit 29a8cc7
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix memory leak from c->sup_node (bsc#1163916).
- commit fe0e8a1
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix ino_t format warnings in orphan_delete()
  (bsc#1163915).
- commit 9d44fec
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix deadlock in concurrent bulk-read and writepage
  (bsc#1163856).
- commit d4691a3
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix wrong memory allocation (bsc#1163913).
- commit 08cc8d9
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fix FS_IOC_SETFLAGS unexpectedly clearing encrypt flag
  (bsc#1163855).
- commit 3341be7
* Mon Feb 17 2020 jack@suse.cz
- jbd2: make sure ESHUTDOWN to be recorded in the journal
  superblock (bsc#1163912).
- commit d51c1c8
* Mon Feb 17 2020 jack@suse.cz
- ext4, jbd2: ensure panic when aborting with zero errno
  (bsc#1163853).
- commit f604866
* Mon Feb 17 2020 jack@suse.cz
- jbd2: switch to use jbd2_journal_abort() when failed to submit
  the commit record (bsc#1163852).
- commit c3599a5
* Mon Feb 17 2020 jack@suse.cz
- jbd2_seq_info_next should increase position index (bsc#1163911).
- commit d64397e
* Mon Feb 17 2020 jack@suse.cz
- jbd2: clear JBD2_ABORT flag before journal_reset to update
  log tail info when load journal (bsc#1163910).
- commit 78b7063
* Mon Feb 17 2020 jack@suse.cz
- erofs: fix out-of-bound read for shifted uncompressed block
  (bsc#1163909).
- commit a97e621
* Mon Feb 17 2020 jack@suse.cz
- ubifs: don't trigger assertion on invalid no-key filename
  (bsc#1163850).
- commit 64c82f1
* Mon Feb 17 2020 jack@suse.cz
- readdir: be more conservative with directory entry names
  (bsc#1163907).
- commit 879663d
* Mon Feb 17 2020 jack@suse.cz
- locks: print unsigned ino in /proc/locks (bsc#1163905).
- blacklist.conf: blacklist e39e773ad100
- commit 611e661
* Mon Feb 17 2020 jack@suse.cz
- iomap: fix sub-page uptodate handling (bsc#1163904).
- commit f83b374
* Mon Feb 17 2020 jack@suse.cz
- ubifs: do_kill_orphans: Fix a memory leak bug (bsc#1163902).
- commit 37ace01
* Mon Feb 17 2020 jack@suse.cz
- ubifs: Fixed missed le64_to_cpu() in journal (bsc#1163901).
- commit cc34990
* Mon Feb 17 2020 jack@suse.cz
- fcntl: fix typo in RWH_WRITE_LIFE_NOT_SET r/w hint name
  (bsc#1163843).
- commit bc0e099
* Mon Feb 17 2020 jack@suse.cz
- ext4: improve explanation of a mount failure caused by a
  misconfigured kernel (bsc#1163843).
- commit 900aad6
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix race conditions in ->d_compare() and ->d_hash()
  (bsc#1163899).
- commit cfc289b
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix deadlock allocating crypto bounce page from mempool
  (bsc#1163898).
- commit 21b72aa
* Mon Feb 17 2020 jack@suse.cz
- ext4: validate the debug_want_extra_isize mount option at
  parse time (bsc#1163897).
- commit b0ee42b
* Mon Feb 17 2020 jack@suse.cz
- ext4: unlock on error in ext4_expand_extra_isize()
  (bsc#1163896).
- commit cd7a6d4
* Mon Feb 17 2020 jack@suse.cz
- block, bfq: do not plug I/O for bfq_queues with no proc refs
  (bsc#1163894).
- commit 3c9b27c
* Mon Feb 17 2020 jack@suse.cz
- block: fix splitting segments on boundary masks (bsc#1163893).
- commit 8b3de45
* Mon Feb 17 2020 jack@suse.cz
- compat_ioctl: block: handle BLKGETZONESZ/BLKGETNRZONES
  (bsc#1163892).
- commit c3d2ac2
* Mon Feb 17 2020 jack@suse.cz
- compat_ioctl: block: handle BLKREPORTZONE/BLKRESETZONE
  (bsc#1163891).
- commit bbed8ba
* Mon Feb 17 2020 jack@suse.cz
- jbd2: do not clear the BH_Mapped flag when forgetting a metadata
  buffer (bsc#1163836).
- commit 17af302
* Mon Feb 17 2020 jack@suse.cz
- jbd2: move the clearing of b_modified flag to the
  journal_unmap_buffer() (bsc#1163880).
- commit 2f2419e
* Mon Feb 17 2020 jack@suse.cz
- ext4: fix checksum errors with indexed dirs (bsc#1160979).
- commit b490dab
* Mon Feb 17 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/0001-crypto-sun4i-ss-fix-big-endian-issues.patch
  patches.suse/0001-perf-imx_ddr-Add-MODULE_DEVICE_TABLE.patch
- commit 9d8931e
* Mon Feb 17 2020 mkubecek@suse.cz
- blaklist.conf: improve comments
- "already gone in" is rather cryptic, change the d51224b73d18 entry to
  "duplicate of ac479b51f3f4"
- change the 1340cc631bd0 entry to "duplicate of d79749f7716d"
- commit 580e740
* Mon Feb 17 2020 msuchanek@suse.de
- powerpc/mmu_gather: enable RCU_TABLE_FREE even for !SMP case
  (bsc#1163776 ltc#183929).
- Refresh
  patches.suse/mm-mmu_gather-invalidate-TLB-correctly-on-batch-allo.patch.
- commit b99c448
* Mon Feb 17 2020 mkubecek@suse.cz
- fix patches metadata
- fix Patch-mainline:
  patches.suse/fmc-remove-left-over-ipmi-fru.h-after-fmc-deletion.patch
  patches.suse/mm-thp-don-t-need-care-deferred-split-queue-in-memcg-charge-move-path.patch
  patches.suse/mm-vmscan-protect-shrinker-idr-replace-with-CONFIG_MEMCG.patch
  patches.suse/ptr_ring-add-include-of-linux-mm.h.patch
  patches.suse/taskstats-fix-data-race.patch
- commit b311938
* Mon Feb 17 2020 oneukum@suse.com
- crypto: atmel - Fix build error of CRYPTO_AUTHENC (git-fixes).
- commit 96a9a36
* Mon Feb 17 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-lpfc-Fix-Fabric-hostname-registration-if-system.patch
  patches.suse/scsi-lpfc-Fix-MDS-Latency-Diagnostics-Err-drop-rates.patch
  patches.suse/scsi-lpfc-Fix-Rework-setting-of-fdmi-symbolic-node-n.patch
  patches.suse/scsi-lpfc-Fix-disablement-of-FC-AL-on-lpe35000-model.patch
  patches.suse/scsi-lpfc-Fix-improper-flag-check-for-IO-type.patch
  patches.suse/scsi-lpfc-Fix-missing-check-for-CSF-in-Write-Object-.patch
  patches.suse/scsi-lpfc-Fix-ras_log-via-debugfs.patch
  patches.suse/scsi-lpfc-Fix-unmap-of-dpp-bars-affecting-next-drive.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.6.0.3.patch
  No effect on expanded tree.
- commit b74bc8d
* Mon Feb 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/panfrost: Handle resetting on timeout better'
- commit c1cf6b0
* Mon Feb 17 2020 tzimmermann@suse.de
- drm/mipi_dbi: Fix off-by-one bugs in mipi_dbi_blank() (bsc#1152489)
- commit 5f73109
* Mon Feb 17 2020 mkubecek@suse.cz
- series.conf: cleanup
  Keep ACPI patches in one place.
  No effect on expanded tree.
- commit daba698
* Mon Feb 17 2020 tzimmermann@suse.de
- drm/etnaviv: fix dumping of iommuv2 (bsc#1152472)
- commit f714fd7
* Mon Feb 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/ehl: Define EHL powerwells independently of ICL'
- commit 2edb74e
* Mon Feb 17 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Copy across scheduler behaviour flags across submit fences'
- commit fe75061
* Mon Feb 17 2020 tiwai@suse.de
- hwmon: (pmbus/ltc2978) Fix PMBus polling of MFR_COMMON
  definitions (git-fixes).
- commit f1c1df9
* Mon Feb 17 2020 tiwai@suse.de
- drivers: ipmi: fix off-by-one bounds check that leads to a
  out-of-bounds write (git-fixes).
- commit 901290b
* Mon Feb 17 2020 jslaby@suse.cz
- vt: selection, close sel_buffer race (bnc#1162928
  CVE-2020-8648).
- vt: selection, handle pending signals in paste_selection
  (bnc#1162928 CVE-2020-8648).
- commit c7af915
* Mon Feb 17 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/drivers-ipmi-Modify-max-length-of-IPMB-packet.patch
  patches.suse/drivers-ipmi-Support-raw-i2c-packet-in-IPMB.patch
  No effect on expanded tree.
- commit cb3f6eb
* Mon Feb 17 2020 glin@suse.com
- bpf, sockmap: Don't sleep while holding RCU lock on tear-down
  (bsc#1155518).
- bpftool: Don't crash on missing xlated program instructions
  (bsc#1155518).
- samples: bpf: Allow for -ENETDOWN in xdpsock (bsc#1155518).
- bpf: Fix modifier skipping logic (bsc#1155518).
- commit c617a95
* Mon Feb 17 2020 firo.yang@suse.com
- enic: prevent waking up stopped tx queues over watchdog reset
  (bsc#1133147).
- commit b9b83d8
* Sat Feb 15 2020 mgorman@suse.de
- sched/fair: Take into account runnable_avg to classify group
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 60b875c
* Sat Feb 15 2020 mgorman@suse.de
- sched/pelt: Add a new runnable average signal (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit eb2bc08
* Sat Feb 15 2020 mgorman@suse.de
- sched/pelt: Remove unused runnable load average (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit 99634f9
* Sat Feb 15 2020 tiwai@suse.de
- mwifiex: Fix possible buffer overflows in
  mwifiex_cmd_append_vsie_tlv() (git-fixes).
- mwifiex: Fix possible buffer overflows in
  mwifiex_ret_wmm_get_status() (git-fixes).
- commit 0a55d21
* Sat Feb 15 2020 tiwai@suse.de
- mac80211: fix quiet mode activation in action frames
  (git-fixes).
- qmi_wwan: re-add DW5821e pre-production variant (git-fixes).
- drm/i915/gvt: more locking for ppgtt mm LRU list (git-fixes).
- Revert "drm/sun4i: drv: Allow framebuffer modifiers in mode
  config" (git-fixes).
- commit 8c7a45f
* Sat Feb 15 2020 tiwai@suse.de
- ALSA: usb-audio: Apply sample rate quirk for Audioengine D1
  (git-fixes).
- ALSA: usb-audio: Apply 48kHz fixed rate playback for Jabra
  Evolve 65 headset (git-fixes).
- commit 36550e5
* Sat Feb 15 2020 tiwai@suse.de
- ALSA: pcm: Fix double hw_free calls (git-fixes).
- ALSA: usb-audio: Add clock validity quirk for Denon
  MC7000/MCX8000 (git-fixes).
- ALSA: hda/realtek - Fix silent output on MSI-GL73 (git-fixes).
- ALSA: hda/realtek - Add more codec supported Headset Button
  (git-fixes).
- ALSA: usb-audio: Fix UAC2/3 effect unit parsing (git-fixes).
- ALSA: usb-audio: add quirks for Line6 Helix devices fw>=2.82
  (git-fixes).
- ALSA: usb-audio: add implicit fb quirk for MOTU M Series
  (git-fixes).
- ALSA: usb-audio: unlock on error in probe (git-fixes).
- ALSA: usb-audio: Add boot quirk for MOTU M Series (git-fixes).
- ALSA: usb-audio: Use lower hex numbers for IDs (git-fixes).
- commit 70d0fd1
* Fri Feb 14 2020 mgorman@suse.de
- sched/numa: Stop an exhastive search if a reasonable swap
  candidate or idle CPU is found (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- commit a207d84
* Fri Feb 14 2020 tiwai@suse.de
- Move ipmi_si fix to subsystem sorted section (bsc#1161943)
- commit 53fab48
* Fri Feb 14 2020 mgorman@suse.de
- sched/numa: Bias swapping tasks based on their preferred
  node (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/numa: Find an alternative idle CPU if the CPU is part of
  an active NUMA balance (bnc#1155798 (CPU scheduler functional
  and performance backports)).
- sched/numa: Prefer using an idle cpu as a migration target
  instead of comparing tasks (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/numa: Use similar logic to the load balancer for moving
  between domains with spare capacity (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/numa: replace runnable_load_avg by load_avg (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: reorder enqueue/dequeue_task_fair path (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/numa: Distinguish between the different task_numa_migrate
  failure cases (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/numa: Trace when no candidate CPU was found on the
  preferred node (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- mm: thp: don't need care deferred split queue in memcg charge
  move path (git fixes (mm/memcg)).
- fmc: remove left-over ipmi-fru.h after fmc deletion (git fixes
  (FRU removal)).
- ptr_ring: add include of linux/mm.h (git fixes (mm/includes)).
- taskstats: fix data-race (git fixes (taskstats)).
- mm: vmscan: protect shrinker idr replace with CONFIG_MEMCG
  (git fixes (mm/vmscan)).
- commit a00a8d0
* Fri Feb 14 2020 mgorman@suse.de
- Refresh patches.suse/sched-fair-Optimize-select_idle_core.patch.
- commit 59efedb
* Thu Feb 13 2020 tiwai@suse.de
- Update config files: enable CONFIG_FW_CFG_SYSFS for arm64 (bsc#1163521)
- commit 3795961
* Thu Feb 13 2020 mgorman@suse.de
- Refresh
  patches.suse/sched-fair-Allow-a-small-load-imbalance-between-low-utilisation-SD_NUMA-domains.patch.
- commit d461156
* Wed Feb 12 2020 jdelvare@suse.de
- ACPI / watchdog: Set default timeout in probe (bsc#1162557).
- ACPI: watchdog: Allow disabling WDAT at boot (bsc#1162557).
- commit 54f65f7
* Wed Feb 12 2020 mcgrof@suse.com
- patches.suse/simple_recursive_removal-kernel-side-rm-rf-for-ramfs.patch: (bsc#1159198,CVE-2019-19770).
- commit ae16628
* Wed Feb 12 2020 trenn@suse.com
- cpuidle: use first valid target residency as poll time
  (jsc#SLE-11312).
- commit 4e4e473
* Wed Feb 12 2020 trenn@suse.com
- cpuidle: haltpoll: Take 'idle=' override into account
  (jsc#SLE-11312).
- commit b7ea903
* Wed Feb 12 2020 trenn@suse.com
- cpuidle-haltpoll: Enable kvm guest polling when dedicated
  physical CPUs are available (jsc#SLE-11312).
- commit c957ec1
* Wed Feb 12 2020 trenn@suse.com
- cpuidle-haltpoll: do not set an owner to allow modunload
  (jsc#SLE-11312).
- commit dc19dcc
* Wed Feb 12 2020 trenn@suse.com
- cpuidle-haltpoll: return -ENODEV on modinit failure
  (jsc#SLE-11312).
- commit 5f4abc5
* Wed Feb 12 2020 trenn@suse.com
- cpuidle-haltpoll: set haltpoll as preferred governor
  (jsc#SLE-11312).
- commit f056412
* Wed Feb 12 2020 trenn@suse.com
- cpuidle: allow governor switch on cpuidle_register_driver()
  (jsc#SLE-11312).
- commit a8f3113
* Wed Feb 12 2020 hare@suse.de
- scsi: lpfc: Update lpfc version to 12.6.0.4
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Clean up hba max_lun_queue_depth checks
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Remove handler for obsolete ELS - Read Port
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix coverity errors in fmdi attribute handling
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix compiler warning on frame size
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix release of hwq to clear the eq relationship
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix registration of ELS type support in fdmi
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix broken Credit Recovery after driver load
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix lpfc_io_buf resource leak in
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix RQ buffer leakage when no IOCBs available
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.6.0.3
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix improper flag check for IO type
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix MDS Latency Diagnostics Err-drop rates
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix unmap of dpp bars affecting next driver load
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix disablement of FC-AL on lpe35000 models
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix ras_log via debugfs (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix Fabric hostname registration if system
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix missing check for CSF in Write Object Mbox
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix: Rework setting of fdmi symbolic node name
  registration (bsc#1156632,jsc#SLE-8654).
- commit ad7b473
* Wed Feb 12 2020 tiwai@suse.de
- tools/kvm_stat: Fix kvm_exit filter name (git-fixes).
- tools lib: Fix builds when glibc contains strlcpy() (git-fixes).
- tools/power/acpi: fix compilation error (git-fixes).
- sh_eth: check sh_eth_cpu_data::dual_port when dumping registers
  (git-fixes).
- commit a1660a4
* Wed Feb 12 2020 tiwai@suse.de
- enetc: Don't print from enetc_sched_speed_set when link goes
  down (git-fixes).
- PM / devfreq: Add new name attribute for sysfs (git-fixes).
- PM / devfreq: Don't fail devfreq_dev_release if not in list
  (git-fixes).
- PM / devfreq: Set scaling_max_freq to max on OPP notifier error
  (git-fixes).
- PM / devfreq: Fix devfreq_notifier_call returning errno
  (git-fixes).
- commit 280c62f
* Wed Feb 12 2020 trenn@suse.com
- cpuidle-haltpoll: vcpu hotplug support (jsc#SLE-11312).
- commit be83569
* Wed Feb 12 2020 trenn@suse.com
- cpuidle: header file stubs must be "static inline"
  (jsc#SLE-11312).
- commit 72c5ab4
* Wed Feb 12 2020 tiwai@suse.de
- blacklist.conf: Add already cherry-picked i915 commits
- commit e79e886
* Wed Feb 12 2020 trenn@suse.com
- cpuidle-haltpoll: disable host side polling when kvm virtualized
  (jsc#SLE-11312).
- Update config files.
- commit 7a92459
* Wed Feb 12 2020 tiwai@suse.de
- alarmtimer: Unregister wakeup source when module get fails
  (git-fixes).
- afs: Fix characters allowed into cell names (git-fixes).
- afs: Fix afs_lookup() to not clobber the version on a new dentry
  (git-fixes).
- afs: Fix use-after-loss-of-ref (git-fixes).
- atm: eni: fix uninitialized variable warning (git-fixes).
- staging: axis-fifo: add unspecified HAS_IOMEM dependency
  (git-fixes).
- afs: Fix missing cell comparison in afs_test_super()
  (git-fixes).
- afs: Fix creation calls in the dynamic root to fail with
  EOPNOTSUPP (git-fixes).
- afs: Fix mountpoint parsing (git-fixes).
- afs: Fix SELinux setting security label on /afs (git-fixes).
- afs: Fix afs_find_server lookups for ipv4 peers (git-fixes).
- afs: Remove set but not used variables 'before', 'after'
  (git-fixes).
- affs: fix a memory leak in affs_remount (git-fixes).
- afs: Fix large file support (git-fixes).
- afs: Fix possible assert with callbacks from yfs servers
  (git-fixes).
- afs: Fix missing timeout reset (git-fixes).
- commit 70f7941
* Wed Feb 12 2020 fdmanana@suse.com
- Btrfs: make deduplication with range including the last block
  work (bsc#1163496).
- commit 177be09
* Wed Feb 12 2020 trenn@suse.com
- cpuidle: add haltpoll governor (jsc#SLE-11312).
- Update config files.
- commit 3395a31
* Wed Feb 12 2020 fdmanana@suse.com
- fs: allow deduplication of eof block into the end of the
  destination file (bsc#1163496).
- commit a6f621e
* Wed Feb 12 2020 fdmanana@suse.com
- Btrfs: send, fix emission of invalid clone operations within
  the same file (bsc#1163493).
- commit e5b1bf0
* Wed Feb 12 2020 trenn@suse.com
- governors: unify last_state_idx (jsc#SLE-11312).
- Refresh
  patches.suse/cpuidle-teo-Allow-tick-to-be-stopped-if-PM-QoS-is-us.patch.
- Refresh
  patches.suse/cpuidle-teo-Avoid-using-early-hits-incorrectly.patch.
- commit 5219109
* Wed Feb 12 2020 trenn@suse.com
- cpuidle: add poll_limit_ns to cpuidle_device structure
  (jsc#SLE-11312).
- commit 39e79ea
* Wed Feb 12 2020 fdmanana@suse.com
- Btrfs: fix race between adding and putting tree mod seq elements
  and nodes (bsc#1163384).
- commit 20ba722
* Wed Feb 12 2020 fdmanana@suse.com
- Btrfs: fix infinite loop during fsync after rename operations
  (bsc#1163383).
- commit d4b4993
* Wed Feb 12 2020 fdmanana@suse.com
- Btrfs: fix missing hole after hole punching and fsync when
  using NO_HOLES (bsc#1158749).
- commit 1e49dd1
* Wed Feb 12 2020 trenn@suse.com
- add cpuidle-haltpoll driver (jsc#SLE-11312).
- Update config files.
- supported.conf: add cpuidle-haltpoll as supported
  supported.conf:
  Add newly introduced cpuidle-haltpoll driver
- commit ba1edb5
* Wed Feb 12 2020 mkubecek@suse.cz
- drop obsolete btrfs patches inherited from SLE15-SP1
- drop
  patches.suse/btrfs-prevent-ioctls-from-interfering-with-a-swap-file.patch
    (mainline commit eede2bf34f4f, v5.0-rc1)
  patches.suse/btrfs-rename-and-export-get_chunk_map.patch
    (mainline commit 60ca842e3457, v5.0-rc1)
  patches.suse/btrfs-support-swap-files.patch
    (mainline commit ed46ff3d4237, v5.0-rc1)
- commit 7f19d4b
* Wed Feb 12 2020 tiwai@suse.de
- ASoC: sgtl5000: Fix VDDA and VDDIO comparison (git-fixes).
- commit 75f282a
* Wed Feb 12 2020 tiwai@suse.de
- crypto: ccree - fix pm wrongful error reporting (git-fixes).
- Refresh patches.suse/crypto-ccree-fix-PM-race-condition.patch.
- commit dbcb926
* Wed Feb 12 2020 tiwai@suse.de
- iwlwifi: don't throw error when trying to remove IGTK
  (git-fixes).
- ARM: tegra: Enable PLLP bypass during Tegra124 LP1 (git-fixes).
- drm/amd/dm/mst: Ignore payload update failures (git-fixes).
- clk: tegra: Mark fuse clock as critical (git-fixes).
- mfd: dln2: More sanity checking for endpoints (git-fixes).
- media: rc: ensure lirc is initialized before registering input
  device (git-fixes).
- media: v4l2-core: compat: ignore native command codes
  (git-fixes).
- PM: core: Fix handling of devices deleted during system-wide
  resume (git-fixes).
- media/v4l2-core: set pages dirty upon releasing DMA buffers
  (git-fixes).
- power: supply: ltc2941-battery-gauge: fix use-after-free
  (git-fixes).
- usb: gadget: legacy: set max_speed to super-speed (git-fixes).
- crypto: ccree - fix FDE descriptor sequence (git-fixes).
- crypto: ccree - fix backlog memory leak (git-fixes).
- ACPI: video: Do not export a non working backlight interface
  on MSI MS-7721 boards (git-fixes).
- regulator fix for "regulator: core: Add regulator_is_equal()
  helper" (git-fixes).
- regulator: core: Add regulator_is_equal() helper (git-fixes).
- platform/x86: intel_scu_ipc: Fix interrupt support (git-fixes).
- mmc: spi: Toggle SPI polarity, do not hardcode it (git-fixes).
- mmc: sdhci-pci: Make function amd_sdhci_reset static
  (git-fixes).
- commit 798d10c
* Wed Feb 12 2020 mkubecek@suse.cz
- fix mainline references
- fix Patch-mainline:
  patches.suse/apparmor-Switch-to-GFP_KERNEL-where-possible.patch
  patches.suse/apparmor-Use-a-memory-pool-instead-per-CPU-caches.patch
  patches.suse/apparmor-fix-aa_xattrs_match-may-sleep-while-holding-a-RCU-lock.patch
  patches.suse/apparmor-fix-bind-mounts-aborting-with-ENOMEM.patch
  patches.suse/apparmor-fix-wrong-buffer-allocation-in-aa_new_mount.patch
  patches.suse/apparmor-increase-left-match-history-buffer-size.patch
  patches.suse/apparmor-make-it-so-work-buffers-can-be-allocated-from-atomic-context.patch
  patches.suse/apparmor-only-get-a-label-reference-if-the-fast-path-check-fails.patch
  patches.suse/apparmor-reduce-rcu_read_lock-scope-for-aa_file_perm-mediation.patch
- commit 04ce0c4
* Wed Feb 12 2020 mkubecek@suse.cz
- update patch metadata
- update Git-commit after (likely) maintainer tree rebase:
  patches.suse/scsi-tcm_qla2xxx-Make-qlt_alloc_qfull_cmd-set-cmd-se.patch
- commit 1747315
* Tue Feb 11 2020 dbueso@suse.de
- ipc/msg.c: consolidate all xxxctl_down() functions
  (bsc#1159886).
- ipc/sem.c: document and update memory barriers (bsc#1159886).
- ipc/msg.c: update and document memory barriers (bsc#1159886).
- ipc/mqueue.c: update/document memory barriers (bsc#1159886).
- ipc/mqueue.c: remove duplicated code (bsc#1159886).
- locking/osq: Use optimized spinning loop for arm64
  (bsc#1149032).
- cgroup: Optimize single thread migration (bsc#1163388).
- cgroup/cpuset: Convert cpuset_mutex to percpu_rwsem
  (bsc#1163388).
- commit 95157e6
* Tue Feb 11 2020 tiwai@suse.de
- vfio/spapr/nvlink2: Skip unpinning pages on error exit
  (git-fixes).
- commit 97b7cca
* Tue Feb 11 2020 tiwai@suse.de
- smp_mb__{before,after}_atomic(): update Documentation
  (git-fixes).
- tomoyo: Use atomic_t for statistics counter (git-fixes).
- irqdomain: Fix a memory leak in irq_domain_push_irq()
  (git-fixes).
- commit ab7e36c
* Tue Feb 11 2020 tiwai@suse.de
- irqchip/gic-v3-its: Reference to its_invall_cmd descriptor
  when building INVALL (git-fixes).
- hrtimer: Annotate lockless access to timer->state (git-fixes).
- commit 18567f5
* Tue Feb 11 2020 tiwai@suse.de
- dma-mapping: fix handling of dma-ranges for reserved memory
  (again) (git-fixes).
- commit 854b530
* Tue Feb 11 2020 tiwai@suse.de
- kconfig: fix broken dependency in randconfig-generated .config
  (git-fixes).
- clocksource: Prevent double add_timer_on() for watchdog_timer
  (git-fixes).
- iwlwifi: mvm: avoid use after free for pmsr request (git-fixes).
- drop_monitor: Do not cancel uninitialized work item (git-fixes).
- soc: qcom: rpmhpd: Set 'active_only' for active only power
  domains (git-fixes).
- soc/tegra: fuse: Correct straps' address for older Tegra124
  device trees (git-fixes).
- bus: tegra-aconnect: Remove PM_CLK dependency (git-fixes).
- ARM: at91: pm: use of_device_id array to find the proper shdwc
  node (git-fixes).
- ARM: at91: pm: use SAM9X60 PMC's compatible (git-fixes).
- ARM: dma-api: fix max_pfn off-by-one error in __dma_supported()
  (git-fixes).
- commit 80930f7
* Mon Feb 10 2020 msuchanek@suse.de
- powerpc/kuap: Fix set direction in allow/prevent_user_access()
  (bsc#1156395).
- powerpc/32s: Fix bad_kuap_fault() (bsc#1156395).
- commit ecc6175
* Mon Feb 10 2020 tiwai@suse.de
- ipmi_si: Avoid spurious errors for optional IRQs (bsc#1161943).
- commit 807bbff
* Mon Feb 10 2020 tiwai@suse.de
- media: go7007: Fix URB type for interrupt handling
  (bsc#1162583).
- commit 658c146
* Mon Feb 10 2020 msuchanek@suse.de
- powerpc/futex: Fix incorrect user access blocking (bsc#1156395).
- powerpc/ptdump: Only enable PPC_CHECK_WX with STRICT_KERNEL_RWX
  (bsc#1156395).
- powerpc/ptdump: Fix W+X verification (bsc#1156395).
- powerpc: Define arch_is_kernel_initmem_freed() for lockdep
  (bsc#1156395).
- powerpc/ptdump: get out of note_prot_wx() when
  CONFIG_PPC_DEBUG_WX is not selected (bsc#1156395).
- commit f8eff5c
* Mon Feb 10 2020 mhocko@suse.com
- mm/sparse.c: reset section's mem_map when fully deactivated
  (bnc#1162503).
- commit f068a8c
* Mon Feb 10 2020 msuchanek@suse.de
- powerpc/papr_scm: Fix leaking 'bus_desc.provider_name' in some
  paths (FATE#327775 bsc#1142685 ltc#179509).
- commit 1c49eb1
* Mon Feb 10 2020 mgorman@suse.de
- apparmor: fix aa_xattrs_match() may sleep while holding a RCU
  lock (bnc#1158765).
- apparmor: only get a label reference if the fast path check
  fails (bnc#1158765).
- apparmor: fix bind mounts aborting with -ENOMEM (bnc#1158765).
- apparmor: make it so work buffers can be allocated from atomic
  context (bnc#1158765).
- apparmor: reduce rcu_read_lock scope for aa_file_perm mediation
  (bnc#1158765).
- apparmor: fix wrong buffer allocation in aa_new_mount
  (bnc#1158765).
- apparmor: increase left match history buffer size (bnc#1158765).
- apparmor: Switch to GFP_KERNEL where possible (bnc#1158765).
- apparmor: Use a memory pool instead per-CPU caches
  (bnc#1158765).
- commit db8094b
* Mon Feb 10 2020 tiwai@suse.de
- Move upstreamed wireless fixes into sorted section
  Refreshed:
  patches.suse/libertas-dont-exit-from-lbs_ibss_join_existing-with.patch
  patches.suse/libertas-make-lbs_ibss_join_existing-return-error.patch
  patches.suse/mwifiex-fix-unbalanced-locking-in-mwifiex_process_co.patch
- commit 8dbbd1d
* Mon Feb 10 2020 msuchanek@suse.de
- powerpc/pseries/vio: Fix iommu_table use-after-free refcount
  warning (bsc#1065729).
- powerpc/pseries: Advance pfn if section is not present in
  lmb_is_removable() (bsc#1065729).
- powerpc/pseries: Allow not having ibm,
  hypertas-functions::hcall-multi-tce for DDW (bsc#1065729).
- powerpc/pseries/hotplug-memory: Change rc variable to bool
  (bsc#1065729).
- commit fe5c033
* Mon Feb 10 2020 mkubecek@suse.cz
- tomoyo: Don't use nifty names on sockets (git-fixes).
  Bring the patch again as bsc#1162590 turned out to be bogus.
- commit e6918af
* Mon Feb 10 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-qla2xxx-Fix-unbound-NVME-response-length.patch
- commit f9847d8
* Sat Feb  8 2020 tiwai@suse.de
- drm/amd/display: Retrain dongles when SINK_COUNT becomes
  non-zero (git-fixes).
- clk: qcom: rcg2: Don't crash if our parent can't be found;
  return an error (git-fixes).
- clk: qcom: Don't overwrite 'cfg' in clk_rcg2_dfs_populate_freq()
  (git-fixes).
- watchdog: fix UAF in reboot notifier handling in watchdog core
  code (git-fixes).
- drivers: watchdog: stm32_iwdg: set WDOG_HW_RUNNING at probe
  (git-fixes).
- virtio_balloon: Fix memory leaks on errors in
  virtballoon_probe() (git-fixes).
- virtio-balloon: Fix memory leak when unloading while hinting
  is in progress (git-fixes).
- virtio-pci: check name when counting MSI-X vectors (git-fixes).
- virtio-balloon: initialize all vq callbacks (git-fixes).
- commit 56decc0
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic/x2apic: Implement IPI shorthands support (bsc#1162702).
- commit af57cfd
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic/flat64: Remove the IPI shorthand decision logic (bsc#1162702).
- commit 309c2e1
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Share common IPI helpers (bsc#1162702).
- commit e29e384
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Remove the shorthand decision logic (bsc#1162702).
- commit b931a9c
* Fri Feb  7 2020 dwagner@suse.de
- x86/smp: Enhance native_send_call_func_ipi() (bsc#1162702).
- commit f0857f7
* Fri Feb  7 2020 dwagner@suse.de
- x86/smp: Move smp_function_call implementations into IPI code (bsc#1162702).
- commit 10bcbc5
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Provide and use helper for send_IPI_allbutself() (bsc#1162702).
- commit ee9e660
* Fri Feb  7 2020 mbenes@suse.cz
- livepatch/samples/selftest: Use klp_shadow_alloc() API correctly
  (bsc#1071995).
- commit 00eed06
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Add static key to Control IPI shorthands (bsc#1162702).
- commit 6d35b8a
* Fri Feb  7 2020 mbenes@suse.cz
- livepatch/selftest: Clean up shadow variable names and type
  (bsc#1071995).
- commit e95b82b
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Move no_ipi_broadcast() out of 32bit (bsc#1162702).
- commit 9c72d3f
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Add NMI_VECTOR wait to IPI shorthand (bsc#1162702).
- commit 11f617e
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Remove dest argument from __default_send_IPI_shortcut() (bsc#1162702).
- commit 6e1b483
* Fri Feb  7 2020 dwagner@suse.de
- x86/hotplug: Silence APIC and NMI when CPU is dead (bsc#1162702).
- commit c8f6f01
* Fri Feb  7 2020 dwagner@suse.de
- x86/cpu: Move arch_smt_update() to a neutral place (bsc#1162702).
- Refresh patches.suse/x86-speculation-taa-Add-mitigation-for-TSX-Async-Abo.patch.
- Refresh patches.suse/x86-speculation-taa-Fix-printing-of-TAA_MSG_SMT-on-I.patch.
- commit 1c4fec9
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic/uv: Make x2apic_extra_bits static (bsc#1162702).
- Refresh patches.suse/x86-platform-uv-Add-UV-Hubbed-Hubless-Proc-FS-Files.patch.
- Refresh patches.suse/x86-platform-uv-Return-UV-Hubless-System-Type.patch.
- commit c91a792
* Fri Feb  7 2020 nborisov@suse.com
- btrfs: drop log root for dropped roots (bsc#1166772).
- btrfs: do not delete mismatched root refs (bsc#1166772).
- btrfs: fix invalid removal of root ref (bsc#1166772).
- btrfs: rework arguments of btrfs_unlink_subvol (bsc#1166772).
- btrfs: do not leak reloc root if we fail to read the fs root (bsc#1166772).
- commit 9f44227
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Consolidate the apic local headers (bsc#1162702).
- commit c920fec
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Move apic_flat_64 header into apic directory (bsc#1162702).
- commit 73a08d5
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Move ipi header into apic directory (bsc#1162702).
- commit 06589f2
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Cleanup the include maze (bsc#1162702).
- Refresh patches.suse/x86-platform-uv-Check-EFI-Boot-to-set-reboot-type.patch.
- Refresh patches.suse/x86-platform-uv-Return-UV-Hubless-System-Type.patch.
- Refresh patches.suse/x86-platform-uv-Save-OEM_ID-from-ACPI-MADT-probe.patch.
- commit 327f5f6
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Move IPI inlines into ipi.c (bsc#1162702).
- commit 81a4d6d
* Fri Feb  7 2020 dwagner@suse.de
- x86/apic: Invoke perf_events_lapic_init() after enabling APIC (bsc#1162702).
- Refresh patches.suse/x86-apic-32-Avoid-bogus-LDR-warnings.patch.
- commit b5224ec
* Fri Feb  7 2020 tiwai@suse.de
- uaccess: disallow > INT_MAX copy sizes (git-fixes).
- commit 59e5f9a
* Fri Feb  7 2020 tiwai@suse.de
- thermal: brcmstb_thermal: Do not use DT coefficients
  (git-fixes).
- soc: ti: wkup_m3_ipc: Fix race condition with rproc_boot
  (git-fixes).
- serdev: Don't claim unsupported ACPI serial devices (git-fixes).
- commit ea25f56
* Fri Feb  7 2020 tiwai@suse.de
- rtc: cmos: Stop using shared IRQ (git-fixes).
- rtc: hym8563: Return -EINVAL if the time is known to be invalid
  (git-fixes).
- commit 15ca52d
* Fri Feb  7 2020 tiwai@suse.de
- pxa168fb: Fix the function used to release some memory in an
  error handling path (git-fixes).
- qmi_wwan: Add support for Quectel RM500Q (git-fixes).
- commit b92716e
* Fri Feb  7 2020 tiwai@suse.de
- power: supply: core: Update sysfs-class-power ABI document
  (git-fixes).
- power: supply: sbs-battery: Fix a signedness bug in
  sbs_get_battery_capacity() (git-fixes).
- power: supply: axp20x_ac_power: Fix reporting online status
  (git-fixes).
- power/supply: ingenic-battery: Don't change scale if there's
  only one (git-fixes).
- commit cfd3f61
* Fri Feb  7 2020 tiwai@suse.de
- blacklist.conf: Add already cherry-picked platform drivers
- commit 57ff8bd
* Fri Feb  7 2020 tiwai@suse.de
- mtd: sharpslpart: Fix unsigned comparison to zero (git-fixes).
- mtd: onenand_base: Adjust indentation in onenand_read_ops_nolock
  (git-fixes).
- net: phy: dp83867: Set FORCE_LINK_GOOD to default after reset
  (git-fixes).
- commit 9763e59
* Fri Feb  7 2020 tiwai@suse.de
- mfd: rn5t618: Mark ADC control register volatile (git-fixes).
- mfd: da9062: Fix watchdog compatible string (git-fixes).
- mfd: max77650: Select REGMAP_IRQ in Kconfig (git-fixes).
- mfd: axp20x: Mark AXP20X_VBUS_IPSOUT_MGMT as volatile
  (git-fixes).
- mfd: bd70528: Fix hour register mask (git-fixes).
- leds: pca963x: Fix open-drain initialization (git-fixes).
- lib/scatterlist.c: adjust indentation in __sg_alloc_table
  (git-fixes).
- ide: remove set but not used variable 'hwif' (git-fixes).
- ima: ima/lsm policy rule loading logic bug fixes (git-fixes).
- hwmon: (pmbus/ibm-cffps) Fix LED blink behavior (git-fixes).
- commit e4dc7c5
* Fri Feb  7 2020 tiwai@suse.de
- fbdev: fix numbering of fbcon options (git-fixes).
- habanalabs: remove variable 'val' set but not used (git-fixes).
- habanalabs: rate limit error msg on waiting for CS (git-fixes).
- habanalabs: skip VA block list update in reset flow (git-fixes).
- commit afb5fba
* Fri Feb  7 2020 tiwai@suse.de
- clk: qcom: Add missing msm8998 gcc_bimc_gfx_clk (git-fixes).
- clk: qcom: smd: Add missing bimc clock (git-fixes).
- clk: ti: dra7: fix parent for gmac_clkctrl (git-fixes).
- clk: sunxi-ng: add mux and pll notifiers for A64 CPU clock
  (git-fixes).
- clk: meson: meson8b: make the CCF use the glitch-free mali mux
  (git-fixes).
- clk: meson: pll: Fix by 0 division in __pll_params_to_rate()
  (git-fixes).
- clk: meson: g12a: fix missing uart2 in regmap table (git-fixes).
- clk: renesas: rcar-gen3: Allow changing the RPC[D2] clocks
  (git-fixes).
- clk: imx: imx8mq: fix sys3_pll_out_sels (git-fixes).
- commit edbbc8e
* Fri Feb  7 2020 tiwai@suse.de
- Bluetooth: hci_bcm: Drive RTS only for BCM43438 (git-fixes).
- Bluetooth: hci_bcm: Add device-tree compatible for BCM4329
  (git-fixes).
- Bluetooth: hci_bcm: Disallow set_baudrate for BCM4354
  (git-fixes).
- Bluetooth: btbcm: Add entry for BCM4335A0 UART bluetooth
  (git-fixes).
- Bluetooth: hci_bcm: Add compatible string for BCM43540
  (git-fixes).
- commit f42c6a9
* Fri Feb  7 2020 dwagner@suse.de
- cpumask: Implement cpumask_or_equal() (bsc#1162702).
- commit a130302
* Fri Feb  7 2020 jeyu@suse.de
- Refresh and re-enable
  patches.suse/0005-modsign-print-module-name-along-with-error-message.patch.
- commit e9c76fb
* Fri Feb  7 2020 tiwai@suse.de
- clk: at91: sam9x60: fix programmable clock prescaler
  (git-fixes).
- clk: uniphier: Add SCSSI clock gate for each channel
  (git-fixes).
- clk: actually call the clock init before any other callback
  of the clock (git-fixes).
- media: vp7045: do not read uninitialized values if usb transfer
  fails (git-fixes).
- media: af9005: uninitialized variable printked (git-fixes).
- media: digitv: don't continue if remote control state can't
  be read (git-fixes).
- media: dvb-usb/dvb-usb-urb.c: initialize actlen to 0
  (git-fixes).
- media: gspca: zero usb_buf (git-fixes).
- Bluetooth: Fix race condition in hci_release_sock() (git-fixes).
- r8152: disable DelayPhyPwrChg (git-fixes).
- r8152: avoid the MCU to clear the lanwake (git-fixes).
- r8152: disable test IO for RTL8153B (git-fixes).
- r8152: get default setting of WOL before initializing
  (git-fixes).
- Input: max77650-onkey - add of_match table (git-fixes).
- Input: evdev - convert kzalloc()/vzalloc() to kvzalloc()
  (git-fixes).
- led: max77650: add of_match table (git-fixes).
- wireless: wext: avoid gcc -O3 warning (git-fixes).
- mac80211: Fix TKIP replay protection immediately after key setup
  (git-fixes).
- cfg80211: Fix radar event during another phy CAC (git-fixes).
- wireless: fix enabling channel 12 for custom regulatory domain
  (git-fixes).
- mac80211: mesh: restrict airtime metric to peered established
  plinks (git-fixes).
- clk: mmp2: Fix the order of timer mux parents (git-fixes).
- clk: sunxi-ng: h6-r: Fix AR100/R_APB2 parent order (git-fixes).
- clk: sunxi-ng: sun8i-r: Fix divider on APB0 clock (git-fixes).
- platform/x86: intel_pmc_core: update Comet Lake platform driver
  (git-fixes).
- platform/x86: GPD pocket fan: Allow somewhat lower/higher
  temperature limits (git-fixes).
- commit eff0f28
* Thu Feb  6 2020 tiwai@suse.de
- ALSA: hda: Clear RIRB status before reading WP (git-fixes).
- ALSA: hda/realtek - Fixed one of HP ALC671 platform Headset
  Mic supported (git-fixes).
- ASoC: SOF: trace: fix unconditional free in trace release
  (git-fixes).
- ALSA: hda - Fix DP-MST support for NVIDIA codecs (git-fixes).
- ALSA: dummy: Fix PCM format loop in proc output (git-fixes).
- ALSA: usb-audio: Annotate endianess in Scarlett gen2 quirk
  (git-fixes).
- ALSA: usb-audio: Fix endianess in descriptor validation
  (git-fixes).
- ALSA: hda: Add JasperLake PCI ID and codec vid (git-fixes).
- ALSA: pcm: Fix memory leak at closing a stream without hw_free
  (git-fixes).
- ALSA: hda: Reset stream if DMA RUN bit not cleared (git-fixes).
- ASoC: Intel: Skylake: Explicitly include linux/io.h for
  virt_to_phys() (git-fixes).
- commit 90e1eab
* Thu Feb  6 2020 chrubis@suse.cz
- rpm/kernel-binary.spec.in: Replace Novell with SUSE
- commit 8719d69
* Thu Feb  6 2020 ykaukab@suse.de
- kabi: arm64: reserve space in cpu_hwcaps and cpu_hwcap_keys
  arrays (bsc#1089086).
  Enable and refresh cpu_hwcaps kabi reservation patch.
- commit a2cfe97
* Thu Feb  6 2020 nborisov@suse.com
- btrfs: don't double lock the subvol_sem for rename exchange (bsc#1162943).
- commit 6492de6
* Thu Feb  6 2020 oneukum@suse.com
- blacklist.conf: different IDs in stable and mainline
- commit a8a637a
* Thu Feb  6 2020 wqu@suse.com
- Update
  patches.suse/btrfs-qgroups-fix-rescan-worker-running-races.patch
  (bsc#1091101, bsc#1156919).
  Since the problem is still here and not solved, re-enable it and rebase
  the code.
- commit 5647b0a
* Wed Feb  5 2020 tiwai@suse.de
- pwm: Remove set but not set variable 'pwm' (git-fixes).
- pwm: omap-dmtimer: put_device() after of_find_device_by_node()
  (git-fixes).
- pwm: omap-dmtimer: Simplify error handling (git-fixes).
- pwm: omap-dmtimer: Remove PWM chip in .remove before making
  it unfunctional (git-fixes).
- commit f1507d7
* Wed Feb  5 2020 msuchanek@suse.de
- Refresh patches.suse/powerpc-drmem-avoid-NULL-pointer-dereference-when-dr.patch.
- commit 3c1c79f
* Wed Feb  5 2020 tiwai@suse.de
- PCI: Add DMA alias quirk for Intel VCA NTB (git-fixes).
- Refresh
  patches.suse/0001-PCI-Vulcan-AHCI-PCI-bar-fix-for-Broadcom-Vulcan-earl.patch.
- commit 55d6c4b
* Wed Feb  5 2020 tiwai@suse.de
- mei: me: add comet point (lake) H device ids (git-fixes).
- mei: hdcp: bind only with i915 on the same PCH (git-fixes).
- staging: most: net: fix buffer overflow (git-fixes).
- staging: vt6656: Fix false Tx excessive retries reporting
  (git-fixes).
- staging: vt6656: use NULLFUCTION stack on mac80211 (git-fixes).
- staging: vt6656: correct packet types for CTS protect, mode
  (git-fixes).
- serial: imx: fix a race condition in receive path (git-fixes).
- usb: dwc3: pci: add ID for the Intel Comet Lake -V variant
  (git-fixes).
- ARM: 8955/1: virt: Relax arch timer version check during early
  boot (git-fixes).
- phy: cpcap-usb: Prevent USB line glitches from waking up modem
  (git-fixes).
- phy: qcom-qmp: Increase PHY ready timeout (git-fixes).
- usb: musb: jz4740: Silence error if code is -EPROBE_DEFER
  (git-fixes).
- drm/amd/display: Reduce HDMI pixel encoding if max clock is
  exceeded (git-fixes).
- gpio: max77620: Add missing dependency on GPIOLIB_IRQCHIP
  (git-fixes).
- HID: steam: Fix input device disappearing (git-fixes).
- HID: intel-ish-hid: ipc: Add Tiger Lake PCI device ID
  (git-fixes).
- drivers/hid/hid-multitouch.c: fix a possible null pointer access
  (git-fixes).
- HID: wacom: Recognize new MobileStudio Pro PID (git-fixes).
- HID: intel-ish-hid: ipc: add CMP device id (git-fixes).
- HID: Add quirk for incorrect input length on Lenovo Y720
  (git-fixes).
- HID: asus: Ignore Asus vendor-page usage-code 0xff events
  (git-fixes).
- HID: ite: Add USB id match for Acer SW5-012 keyboard dock
  (git-fixes).
- HID: Add quirk for Xin-Mo Dual Controller (git-fixes).
- HID: multitouch: Add LG MELF0410 I2C touchscreen support
  (git-fixes).
- watchdog: rn5t618_wdt: fix module aliases (git-fixes).
- watchdog: max77620_wdt: fix potential build errors (git-fixes).
- spi: spi-dw: Add lock protect dw_spi rx/tx to prevent concurrent
  calls (git-fixes).
- platform/x86: dell-laptop: disable kbd backlight on Inspiron
  10xx (git-fixes).
- staging: mt7621-pci: add quirks for 'E2' revision using
  'soc_device_attribute' (git-fixes).
- extcon-intel-cht-wc: Don't reset USB data connection at probe
  (git-fixes).
- usb-storage: Disable UAS on JMicron SATA enclosure (git-fixes).
- mmc: sdhci-pci: Add support for Intel JSL (git-fixes).
- mmc: sdhci-pci: Quirk for AMD SDHC Device 0x7906 (git-fixes).
- ASoC: Intel: cht_bsw_rt5645: Add quirk for boards using
  pmc_plt_clk_0 (git-fixes).
- ARM: OMAP2+: SmartReflex: add omap_sr_pdata definition
  (git-fixes).
- Bluetooth: btbcm: Use the BDADDR_PROPERTY quirk (git-fixes).
- Bluetooth: Allow combination of BDADDR_PROPERTY and
  INVALID_BDADDR quirks (git-fixes).
- HID: wacom: add new MobileStudio Pro 13 support (git-fixes).
- commit 2f59d11
* Wed Feb  5 2020 lhenriques@suse.com
- ceph: fix compat_ioctl for ceph_dir_operations (jsc#SES-1134).
- compat_ioctl: add compat_ptr_ioctl() (jsc#SES-1134).
- commit e540507
* Wed Feb  5 2020 oneukum@suse.com
- crypto: sun4i-ss - fix big endian issues (git-fixes).
- commit 0bfb337
* Wed Feb  5 2020 oneukum@suse.com
- blacklist.conf: not needed in our config
- commit a23b2d7
* Wed Feb  5 2020 oneukum@suse.com
- blacklist.conf: upstream has a wrong Fixes
- commit 3b66050
* Wed Feb  5 2020 oneukum@suse.com
- perf/imx_ddr: Add MODULE_DEVICE_TABLE (git-fixes).
- commit f0f1d6b
* Wed Feb  5 2020 dwagner@suse.de
- bitmap.h: fix kernel-doc warning and typo (bsc#1162702).
- commit be235a4
* Wed Feb  5 2020 oneukum@suse.com
- blacklist.conf: duplication
- commit 0224176
* Wed Feb  5 2020 oneukum@suse.com
- iwlwifi: fw: make pos static in iwl_sar_get_ewrd_table() loop
  (git-fixes).
- commit fa51eb6
* Wed Feb  5 2020 oneukum@suse.com
- iwlwifi: mvm: don't send the IWL_MVM_RXQ_NSSN_SYNC notif to
  Rx queues (git-fixes).
- commit 861212e
* Wed Feb  5 2020 jroedel@suse.de
- iommu/vt-d: Refactor find_domain() helper (bsc#1159594).
- commit e9b12d5
* Wed Feb  5 2020 oneukum@suse.com
- blacklist.conf: only cosmetics
- commit 1870278
* Wed Feb  5 2020 oneukum@suse.com
- blacklist.conf: patch is wrong, later reverted
- commit ed8aa8a
* Wed Feb  5 2020 bp@suse.de
- x86/resctrl: Fix a deadlock due to inaccurate reference
  (bsc#1152489).
- x86/resctrl: Fix use-after-free due to inaccurate refcount of
  rdtgroup (bsc#1152489).
- x86/resctrl: Fix use-after-free when deleting resource groups
  (bsc#1152489).
- commit 1107939
* Wed Feb  5 2020 ykaukab@suse.de
- coresight: etm4x: Fix unused function warning (jsc#SLE-9326).
- coresight: replicator: Fix missing spin_lock_init()
  (jsc#SLE-9326).
- coresight: funnel: Fix missing spin_lock_init() (jsc#SLE-9326).
- coresight: etm4x: Fix BMVAL misuse (jsc#SLE-9326).
- coresight: Add explicit architecture dependency (jsc#SLE-9326).
- coresight: etm4x: Add missing single-shot control API to sysfs
  (jsc#SLE-9326).
- coresight: etm4x: Add view comparator settings API to sysfs
  (jsc#SLE-9326).
- coresight: etm4x: Improve usability of sysfs - CID and VMID
  masks (jsc#SLE-9326).
- coresight: etm4x: Improve usability of sysfs - include/exclude
  addr (jsc#SLE-9326).
- coresight: etm4x: Fix issues with start-stop logic
  (jsc#SLE-9326).
- coresight: etm4x: Add missing API to set EL match on address
  filters (jsc#SLE-9326).
- coresight: etm4x: Fixes for ETM v4.4 architecture updates
  (jsc#SLE-9326).
- coresight: etm4x: Add support for ThunderX2 (jsc#SLE-9326).
- coresight: etm4x: Save/restore state across CPU low power states
  (jsc#SLE-9326).
- coresight: tmc-etr: Add barrier packets when moving offset
  forward (jsc#SLE-9326).
- coresight: tmc-etr: Decouple buffer sync and barrier packet
  insertion (jsc#SLE-9326).
- coresight: tmc: Make memory width mask computation into a
  function (jsc#SLE-9326).
- coresight: tmc-etr: Fix updating buffer in not-snapshot mode
  (jsc#SLE-9326).
- coresight: etm4x: improve clarity of etm4_os_unlock comment
  (jsc#SLE-9326).
- coresight: etm4x: use module_param instead of module_param_named
  (jsc#SLE-9326).
- coresight: etm4x: Remove superfluous setting of os_unlock
  (jsc#SLE-9326).
- coresight: acpi: Static funnel support (jsc#SLE-9326).
- coresight: Convert pr_warn to dev_warn for obsolete bindings
  (jsc#SLE-9326).
- coresight: tmc-etr: Check if non-secure access is enabled
  (jsc#SLE-9326).
- coresight: tmc-etr: Handle memory errors (jsc#SLE-9326).
- coresight: etr_buf: Consolidate refcount initialization
  (jsc#SLE-9326).
- coresight: cpu-debug: Add support for Qualcomm Kryo
  (jsc#SLE-9326).
- coresight: etm4x: Add ETM PIDs for SDM845 and MSM8996
  (jsc#SLE-9326).
- coresight: etm4x: Two function calls less (jsc#SLE-9326).
- commit 42abd9d
* Wed Feb  5 2020 mkubecek@suse.cz
- config: refresh
- drop no longer available option
- commit df9bfb1
* Wed Feb  5 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/mm-mmu_gather-invalidate-TLB-correctly-on-batch-allo.patch
- commit 11779f3
* Wed Feb  5 2020 mkubecek@suse.cz
- update patch metadata
- update Git-commit (maintainer repository rebased?):
  patches.suse/scsi-qla2xxx-Fix-unbound-NVME-response-length.patch
- commit 6a6f7db
* Wed Feb  5 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/powerpc-mm-Remove-kvm-radix-prefetch-workaround-for-.patch
  patches.suse/powerpc-papr_scm-Don-t-enable-direct-map-for-a-regio.patch
  patches.suse/powerpc-pseries-lparcfg-Fix-display-of-Maximum-Memor.patch
  patches.suse/powerpc-xmon-don-t-access-ASDR-in-VMs.patch
- commit b278cb1
* Wed Feb  5 2020 mkubecek@suse.cz
- fix patch metadata
- fix Patch-mainline:
  patches.suse/vfs-fix-do_last-regression.patch
- commit d2a495c
* Wed Feb  5 2020 glin@suse.com
- libbpf: Add missing newline in opts validation macro
  (bsc#1155518).
- libbpf: Fix printf compilation warnings on ppc64le arch
  (bsc#1155518).
- commit 413fb24
* Tue Feb  4 2020 msuchanek@suse.de
- powerpc: Do not consider weak unresolved symbol relocations
  as bad (bsc#1148868).
- powerpc: Provide initial documentation for PAPR hcalls
  (bsc#1156395).
- gen_initramfs_list.sh: fix 'bad variable name' error
  (bsc#1148868).
- mkcompile_h: use printf for LINUX_COMPILE_BY (bsc#1148868).
- mkcompile_h: git rid of UTS_TRUNCATE from
  LINUX_COMPILE_{BY,HOST} (bsc#1148868).
- scripts/setlocalversion: clear local variable to make it work
  for sh (bsc#1148868).
- kbuild: add $(BASH) to run scripts with bash-extension
  (bsc#1148868).
- commit 200c822
* Tue Feb  4 2020 dwagner@suse.de
- jbd2: Free journal head outside of locked region (bsc#1162702).
- jbd2: Make state lock a spinlock (bsc#1162702).
- jbd2: Don't call __bforget() unnecessarily (bsc#1162702).
- jbd2: Drop unnecessary branch from jbd2_journal_forget()
  (bsc#1162702).
- jbd2: Move dropping of jh reference out of un/re-filing
  functions (bsc#1162702).
- jbd2: Remove jbd_trylock_bh_state() (bsc#1162702).
- jbd2: Simplify journal_unmap_buffer() (bsc#1162702).
- commit 64d9c8c
* Tue Feb  4 2020 jroedel@suse.de
- KVM: SVM: Override default MMIO mask if memory encryption is
  enabled (bsc#1162684).
- commit 6f8451a
* Tue Feb  4 2020 bp@suse.de
- x86/fpu: Deactivate FPU state after failure during state load
  (bsc#1152489).
- commit fb7702a
* Tue Feb  4 2020 bp@suse.de
- x86/resctrl: Check monitoring static key in the MBM overflow
  handler (bsc#1152489).
- commit 8f4ba2c
* Tue Feb  4 2020 tiwai@suse.de
- Delete patches.suse/tomoyo-Don-t-use-nifty-names-on-sockets.patch (bsc#1162590)
  We've hit mysterious regression and the git bisection points this one.
  As this is no serious fix backport, let's try to revert it at first.
- commit 0ecd623
* Tue Feb  4 2020 ghe@suse.com
- ocfs2: fix oops when writing cloned file (bsc#1160831).
- commit dd0a42c
* Tue Feb  4 2020 nsaenzjulienne@suse.de
- dma-contiguous: CMA: give precedence to cmdline (bsc#1160609).
- commit d7a3b9d
* Tue Feb  4 2020 msuchanek@suse.de
- mm/mmu_gather: invalidate TLB correctly on batch allocation
  failure and flush (bsc#1055186).
- commit c9dade1
* Tue Feb  4 2020 duwe@suse.de
- rpm/modules.fips: add keywrap (bsc#1160561)
- commit 68cc4b8
* Tue Feb  4 2020 lhenriques@suse.com
- ceph: hold extra reference to r_parent over life of request
  (jsc#SES-1134).
- ceph: add more debug info when decoding mdsmap (jsc#SES-1134).
- ceph: switch to global cap helper (jsc#SES-1134).
- ceph: trigger the reclaim work once there has enough pending
  caps (jsc#SES-1134).
- ceph: show tasks waiting on caps in debugfs caps file
  (jsc#SES-1134).
- ceph: convert int fields in ceph_mount_options to unsigned int
  (jsc#SES-1134).
- commit 5bcfbba
* Tue Feb  4 2020 bp@suse.de
- blacklist.conf: 6cd18453b689 EDAC/sifive: Fix return value check in ecc_register()
- commit 267e9ae
* Tue Feb  4 2020 lhenriques@suse.com
- libceph, rbd, ceph: convert to use the new mount API
  (jsc#SES-1134).
- Refresh
  patches.suse/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit dd179b3
* Tue Feb  4 2020 lhenriques@suse.com
- rbd: ask for a weaker incompat mask for read-only mappings
  (jsc#SES-1134).
- commit 1660de5
* Tue Feb  4 2020 lhenriques@suse.com
- rbd: don't query snapshot features (jsc#SES-1134).
- Refresh
  patches.suse/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 578ddcb
* Tue Feb  4 2020 lhenriques@suse.com
- rbd: remove snapshot existence validation code (jsc#SES-1134).
- Refresh
  patches.suse/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 15f7151
* Tue Feb  4 2020 lhenriques@suse.com
- rbd: don't establish watch for read-only mappings
  (jsc#SES-1134).
- rbd: don't acquire exclusive lock for read-only mappings
  (jsc#SES-1134).
- rbd: disallow read-write partitions on images mapped read-only
  (jsc#SES-1134).
- rbd: treat images mapped read-only seriously (jsc#SES-1134).
- commit 3b44169
* Tue Feb  4 2020 lhenriques@suse.com
- rbd: introduce RBD_DEV_FLAG_READONLY (jsc#SES-1134).
- Refresh
  patches.suse/rbd-move-structs-used-by-lio-rbd-to-new-header.patch.
- commit 8848484
* Tue Feb  4 2020 lhenriques@suse.com
- rbd: introduce rbd_is_snap() (jsc#SES-1134).
- ceph: don't leave ino field in ceph_mds_request_head
  uninitialized (jsc#SES-1134).
- ceph: tone down loglevel on ceph_mdsc_build_path warning
  (jsc#SES-1134).
- ceph: fix geting random mds from mdsmap (jsc#SES-1134).
- rbd: fix spelling mistake "requeueing" -> "requeuing"
  (jsc#SES-1134).
- ceph: make several helper accessors take const pointers
  (jsc#SES-1134).
- libceph: drop unnecessary check from dispatch() in mon_client.c
  (jsc#SES-1134).
- commit ea0e3ab
* Tue Feb  4 2020 ggherdovich@suse.cz
- x86/intel_pstate: Handle runtime turbo disablement/enablement
  in frequency invariance (bsc#1155798).
- commit d2ecce1
* Tue Feb  4 2020 ggherdovich@suse.cz
- x86, sched: Add support for frequency invariance on ATOM
  (bsc#1155798).
- commit 5a622ef
* Tue Feb  4 2020 lpechacek@suse.cz
- net: aquantia: add an error handling in
  aq_nic_set_multicast_list (jsc#SLE-10218).
- commit d467792
* Tue Feb  4 2020 ggherdovich@suse.cz
- x86, sched: Add support for frequency invariance on
  ATOM_GOLDMONT* (bsc#1155798).
- commit 6550e7c
* Tue Feb  4 2020 ggherdovich@suse.cz
- x86, sched: Add support for frequency invariance on
  XEON_PHI_KNL/KNM (bsc#1155798).
- commit 708e8cb
* Tue Feb  4 2020 ggherdovich@suse.cz
- x86, sched: Add support for frequency invariance on SKYLAKE_X
  (bsc#1155798).
- commit 0ae5deb
* Tue Feb  4 2020 ggherdovich@suse.cz
- x86, sched: Add support for frequency invariance (bsc#1155798).
- commit 54365d2
* Mon Feb  3 2020 dwagner@suse.de
- scsi: qla2xxx: Fix unbound NVME response length (bsc#1157966
  bsc#1158013 bsc#1157424).
- scsi: tcm_qla2xxx: Make qlt_alloc_qfull_cmd() set
  cmd->se_cmd.map_tag (bsc#1157966 bsc#1158013 bsc#1157424).
- scsi: qla2xxx: Fix a NULL pointer dereference in an error path
  (bsc#1157966 bsc#1158013 bsc#1157424).
- commit 586fcc6
* Mon Feb  3 2020 rgoldwyn@suse.com
- vfs: fix do_last() regression  (bsc#1162109,CVE-2020-8428).
- Update
  patches.suse/do_last-fetch-directory--i_mode-and--i_uid-before-its-too-late.patch
  (bsc#1162109,CVE-2020-8428).
- commit 7adeb03
* Mon Feb  3 2020 msuchanek@suse.de
- KVM: PPC: Book3S PR: Fix -Werror=return-type build failure
  (bsc#1061840).
- KVM: PPC: Book3S PR: Free shared page if mmu initialization
  fails (bsc#1061840).
- KVM: PPC: Book3S HV: Uninit vCPU if vcore creation fails
  (bsc#1061840).
- commit 45012b1
* Mon Feb  3 2020 tzimmermann@suse.de
- Update "drm/amdkfd: fix a potential NULL pointer dereference (v2)"
  We have a bug report and a CVE for this patch. Point references tag there.
- commit db7a4f2
* Mon Feb  3 2020 mbenes@suse.cz
- tracing/kprobes: Have uname use __get_str() in print_fmt
  (git-fixes).
- commit 1cc7e66
* Mon Feb  3 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/0001-x86-kvm-Be-careful-not-to-clear-KVM_VCPU_FLUSH_TLB-b.patch
  patches.suse/0002-x86-kvm-Introduce-kvm_-un-map_gfn.patch
  patches.suse/0003-x86-kvm-Cache-gfn-to-pfn-translation.patch
  patches.suse/0004-x86-KVM-Make-sure-KVM_VCPU_FLUSH_TLB-flag-is-not-mis.patch
  patches.suse/0005-x86-KVM-Clean-up-host-s-steal-time-structure.patch
- commit 488b94c
* Mon Feb  3 2020 mkubecek@suse.cz
- patch whitespace cleanup
- delete whitespace on line separating rfc2822 header and body:
  patches.suse/ocfs2-make-local-header-paths-relative-to-C-files.patch
- commit bbd1cb9
* Sun Feb  2 2020 ghe@suse.com
- ocfs2: make local header paths relative to C files
  (bsc#1159889).
- commit fafd040
* Sat Feb  1 2020 tiwai@suse.de
- PCI: tegra: Fix afi_pex2_ctrl reg offset for Tegra30
  (git-fixes).
- PCI: tegra: Fix return value check of pm_runtime_get_sync()
  (git-fixes).
- PCI: keystone: Fix error handling when "num-viewport" DT
  property is not populated (git-fixes).
- PCI: keystone: Fix outbound region mapping (git-fixes).
- PCI: keystone: Fix link training retries initiation (git-fixes).
- PCI/IOV: Fix memory leak in pci_iov_add_virtfn() (git-fixes).
- PCI/switchtec: Fix vep_vector_number ioread width (git-fixes).
- PCI/switchtec: Use dma_set_mask_and_coherent() (git-fixes).
- PCI: Don't disable bridge BARs when assigning bus resources
  (git-fixes).
- PCI/AER: Initialize aer_fifo (git-fixes).
- media: uvcvideo: Avoid cyclic entity chains due to malformed
  USB descriptors (git-fixes).
- media: iguanair: fix endpoint sanity check (git-fixes).
- media: v4l2-rect.h: fix v4l2_rect_map_inside() top/left
  adjustments (git-fixes).
- media: ov5640: Fix check for PLL1 exceeding max allowed rate
  (git-fixes).
- media: imx7-mipi-csis: remove subdev_notifier (git-fixes).
- media: meson: add missing allocation failure check on new_buf
  (git-fixes).
- media: i2c: adv748x: Fix unsafe macros (git-fixes).
- commit 0778c54
* Sat Feb  1 2020 mbrugger@suse.com
- EDAC/mc: Fix use-after-free and memleaks during device removal
  (jsc#SLE-9482).
- Refresh
  patches.suse/EDAC-mc-Reorder-functions-edac_mc_alloc.patch.
- commit 7999d28
* Fri Jan 31 2020 duwe@suse.de
- Refresh and reenable patches.suse/prepare-arm64-kgraft.
- Delete patches.suse/pstore-backend-autoaction.
  (see commit 62c0377bb94742def)
- commit 2e37144
* Fri Jan 31 2020 hare@suse.de
- s390/dasd: disable ese support due to possible data corruption
  (bsc#1161428).
- commit daa742e
* Fri Jan 31 2020 jroedel@suse.de
- iommu/amd: Fix IOMMU perf counter clobbering during init
  (bsc#1162393).
- iommu/vt-d: Call __dmar_remove_one_dev_info with valid pointer
  (bsc#1159594).
- commit 3146a75
* Fri Jan 31 2020 tiwai@suse.de
- airo: Add missing CAP_NET_ADMIN check in
  AIROOLDIOCTL/SIOCDEVPRIVATE (git-fixes).
- airo: Fix possible info leak in AIROOLDIOCTL/SIOCDEVPRIVATE
  (git-fixes).
- commit 21afd27
* Fri Jan 31 2020 tiwai@suse.de
- crypto: vmx - Avoid weird build failures (git-fixes).
- commit 5668910
* Fri Jan 31 2020 tiwai@suse.de
- drm/vmwgfx: prevent memory leak in vmw_cmdbuf_res_add
  (git-fixes).
- drm: msm: mdp4: Adjust indentation in mdp4_dsi_encoder_enable
  (git-fixes).
- drm/msm/adreno: fix zap vs no-zap handling (git-fixes).
- drm/nouveau: Fix copy-paste error in
  nouveau_fence_wait_uevent_handler (git-fixes).
- drm/nouveau/secboot/gm20b: initialize pointer in
  gm20b_secboot_new() (git-fixes).
- drm/mediatek: Add gamma property according to hardware
  capability (git-fixes).
- drm: atmel-hlcdc: prefer a lower pixel-clock than requested
  (git-fixes).
- drm: atmel-hlcdc: enable clock before configuring timing engine
  (git-fixes).
- drm: atmel-hlcdc: use double rate for pixel clock only if
  supported (git-fixes).
- drm: bridge: dw-hdmi: constify copied structure (git-fixes).
- drm/rockchip: lvds: Fix indentation of a #define (git-fixes).
- drm/amdkfd: remove set but not used variable 'top_dev'
  (git-fixes).
- drm/amd/powerplay: remove set but not used variable 'us_mvdd'
  (git-fixes).
- drm/amdgpu: remove set but not used variable 'invalid'
  (git-fixes).
- drm/amdgpu: remove set but not used variable 'count'
  (git-fixes).
- drm/amdgpu: remove set but not used variable 'amdgpu_connector'
  (git-fixes).
- drm/amdgpu: remove set but not used variable 'mc_shared_chmap'
  from 'gfx_v6_0.c' and 'gfx_v7_0.c' (git-fixes).
- drm/amdgpu: remove set but not used variable 'mc_shared_chmap'
  (git-fixes).
- drm/amdgpu: remove always false comparison in
  'amdgpu_atombios_i2c_process_i2c_ch' (git-fixes).
- drm/amdgpu: remove set but not used variable 'dig' (git-fixes).
- drm/amdgpu: remove set but not used variable 'dig_connector'
  (git-fixes).
- drm/amdgpu: add function parameter description in
  'amdgpu_gart_bind' (git-fixes).
- drm/amdgpu: add function parameter description in
  'amdgpu_device_set_cg_state' (git-fixes).
- drm/amdgpu: remove 4 set but not used variable in
  amdgpu_atombios_get_connector_info_from_object_table
  (git-fixes).
- drm/panel: simple: Add Logic PD Type 28 display support
  (git-fixes).
- drm/qxl: Complete exception handling in qxl_device_init()
  (git-fixes).
- drm/rect: update kerneldoc for drm_rect_clip_scaled()
  (git-fixes).
- drm/rect: Avoid division by zero (git-fixes).
- drm/fourcc: Fill out all block sizes for P210 (git-fixes).
- drm/fourcc: Fill out all block sizes for P10/12/16 (git-fixes).
- drm/ttm: ttm_tt_init_fields() can be static (git-fixes).
- commit 93987eb
* Fri Jan 31 2020 tiwai@suse.de
- PM: hibernate: fix crashes with init_on_free=1 (git-fixes).
- commit 748603f
* Fri Jan 31 2020 tiwai@suse.de
- Add the already cherry-picked id to pinctrl fix patch
- commit fdc0f64
* Fri Jan 31 2020 jroedel@suse.de
- x86/KVM: Clean up host's steal time structure (bsc#1161154,
  CVE-2019-3016).
- x86/KVM: Make sure KVM_VCPU_FLUSH_TLB flag is not missed
  (bsc#1161154, CVE-2019-3016).
- x86/kvm: Cache gfn to pfn translation (bsc#1161154,
  CVE-2019-3016).
- x86/kvm: Introduce kvm_(un)map_gfn() (bsc#1161154,
  CVE-2019-3016).
- x86/kvm: Be careful not to clear KVM_VCPU_FLUSH_TLB bit
  (bsc#1161154, CVE-2019-3016).
- commit b5111ca
* Fri Jan 31 2020 mkubecek@suse.cz
- supported.conf: mark ufshcd_core and ufshcd_pltfrm as supported (bsc#1158776)
  kernel-source commit ba2a8909aec7 marked modules ufs_hisi, ufs_medatek and
  ufs_qcom as supported (with reference to comment 14 here); these depend on
  ufshcd_core and ufshcd_pltfrm which are unsupported so that IBS build
  (aarch64/default) now fails one of the late checks.
  Mark ufshcd_core and ufshcd_pltfrm as supported to avoid unfulfilled
  dependencies in arm64 kernel-default.
- commit e66a364
* Fri Jan 31 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and resort:
  patches.suse/scsi-qla2xxx-Add-D-Port-Diagnostic-reason-explanatio.patch
  patches.suse/scsi-qla2xxx-Add-a-shadow-variable-to-hold-disc_stat.patch
  patches.suse/scsi-qla2xxx-Cleanup-unused-async_logout_done.patch
  patches.suse/scsi-qla2xxx-Consolidate-fabric-scan.patch
  patches.suse/scsi-qla2xxx-Correct-fcport-flags-handling.patch
  patches.suse/scsi-qla2xxx-Fix-RIDA-Format-2.patch
  patches.suse/scsi-qla2xxx-Fix-fabric-scan-hang.patch
  patches.suse/scsi-qla2xxx-Fix-mtcp-dump-collection-failure.patch
  patches.suse/scsi-qla2xxx-Fix-stuck-login-session-using-prli_pend.patch
  patches.suse/scsi-qla2xxx-Fix-stuck-session-in-GNL.patch
  patches.suse/scsi-qla2xxx-Fix-the-endianness-of-the-qla82xx_get_f.patch
  patches.suse/scsi-qla2xxx-Fix-update_fcport-for-current_topology.patch
  patches.suse/scsi-qla2xxx-Improve-readability-of-the-code-that-ha.patch
  patches.suse/scsi-qla2xxx-Remove-defer-flag-to-indicate-immeadiat.patch
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.22-k.patch
  patches.suse/scsi-qla2xxx-Use-common-routine-to-free-fcport-struc.patch
  patches.suse/scsi-qla2xxx-Use-get_unaligned_-instead-of-open-codi.patch
  No effect on expanded tree.
- commit 35cf494
* Thu Jan 30 2020 mbenes@suse.cz
- s390/ftrace: generate traced function stack frame
  (jsc#SLE-11050).
- commit 8abd203
* Thu Jan 30 2020 tiwai@suse.de
- scripts/find-unused-docs: Fix massive false positives
  (git-fixes).
- selftests: settings: tests can be in subsubdirs (git-fixes).
- visorbus: fix uninitialized variable access (git-fixes).
- debugfs: Return -EPERM when locked down (git-fixes).
- driver core: Fix test_async_driver_probe if NUMA is disabled
  (git-fixes).
- component: do not dereference opaque pointer in debugfs
  (git-fixes).
- iio: adc: stm32-dfsdm: fix single conversion (git-fixes).
- iio: st_gyro: Correct data for LSM9DS0 gyro (git-fixes).
- staging: wlan-ng: ensure error return is actually returned
  (git-fixes).
- serial: 8250_bcm2835aux: Fix line mismatch on driver unbind
  (git-fixes).
- USB: serial: ir-usb: fix IrLAP framing (git-fixes).
- USB: serial: ir-usb: fix link-speed handling (git-fixes).
- USB: serial: ir-usb: add missing endpoint sanity check
  (git-fixes).
- usb: typec: wcove: fix "op-sink-microwatt" default that was
  in mW (git-fixes).
- usb: typec: tcpci: mask event interrupts when remove driver
  (git-fixes).
- usb: host: xhci-tegra: set MODULE_FIRMWARE for tegra186
  (git-fixes).
- phy: qualcomm: Adjust indentation in read_poll_timeout
  (git-fixes).
- usb: gadget: f_ecm: Use atomic_t to track in-flight request
  (git-fixes).
- usb: gadget: f_ncm: Use atomic_t to track in-flight request
  (git-fixes).
- usb: dwc3: gadget: Delay starting transfer (git-fixes).
- usb: dwc3: gadget: Check END_TRANSFER completion (git-fixes).
- usb: dwc3: turn off VBUS when leaving host mode (git-fixes).
- usb: gadget: f_fs: set req->num_sgs as 0 for non-sg transfer
  (git-fixes).
- pinctrl: sh-pfc: r8a7778: Fix duplicate SDSELF_B and SD1_CLK_B
  (git-fixes).
- pinctrl: sh-pfc: r8a77965: Fix DU_DOTCLKIN3 drive/bias control
  (git-fixes).
- gpiolib: Set lockdep class for hierarchical irq domains
  (git-fixes).
- commit 28a738b
* Wed Jan 29 2020 rgoldwyn@suse.com
- do_last(): fetch directory ->i_mode and ->i_uid before it's
  too late  (bsc#1152109,CVE-2020-8428).
- commit 6a0a735
* Wed Jan 29 2020 bp@suse.de
- crypto: ccp - Verify access to device registers before
  initializing (bsc#1161073).
- crypto: ccp - Change a message to reflect status instead of
  failure (bsc#1161073).
- commit 9d00d4d
* Wed Jan 29 2020 tiwai@suse.de
- firestream: fix memory leaks (git-fixes).
- net: usb: lan78xx: Add .ndo_features_check (git-fixes).
- PCI: Mark AMD Navi14 GPU rev 0xc5 ATS as broken (git-fixes).
- hwmon: (adt7475) Make volt2reg return same reg as reg2volt input
  (git-fixes).
- media: v4l2-ioctl.c: zero reserved fields for S/TRY_FMT
  (git-fixes).
- commit 0f48df8
* Wed Jan 29 2020 mbrugger@suse.com
- EDAC/mc: Remove per layer counters (jsc#SLE-9482).
- EDAC/mc: Remove detail[] string and cleanup error string
  generation (jsc#SLE-9482).
- EDAC/mc: Pass the error descriptor to error reporting functions
  (jsc#SLE-9482).
- EDAC/mc: Remove enable_per_layer_report function arguments
  (jsc#SLE-9482).
- EDAC/mc: Report "unknown memory" on too many DIMM labels found
  (jsc#SLE-9482).
- EDAC/mc: Create new function edac_inc_csrow() (jsc#SLE-9482).
- EDAC/mc: Determine mci pointer from the error descriptor
  (jsc#SLE-9482).
- EDAC: Store error type in struct edac_raw_error_desc
  (jsc#SLE-9482).
- EDAC/mc: Reorder functions edac_mc_alloc*() (jsc#SLE-9482).
- EDAC/mc: Split edac_mc_alloc() into smaller functions
  (jsc#SLE-9482).
- commit d500698
* Wed Jan 29 2020 vbabka@suse.cz
- mm/hmm: hmm_range_fault() infinite loop (HMM Functionality,
  jsc#SLE-8176).
- commit f666122
* Wed Jan 29 2020 vbabka@suse.cz
- mm/hmm: hmm_range_fault() NULL pointer bug (HMM Functionality,
  jsc#SLE-8176).
- commit 27fd79f
* Wed Jan 29 2020 tiwai@suse.de
- Fix applying via rapidquilt again
  Refresh
  patches.suse/sched-topology-Assert-non-NUMA-topology-masks-don-t-partially-overlap.patch.
  A patch in a patch description is confusing.
- commit 82f83e9
* Wed Jan 29 2020 mkubecek@suse.cz
- update upstream references
- update Patch-mainline:
  patches.suse/sched-Use-fair-prio_changed-instead-of-ad-hoc-implementation.patch
  patches.suse/sched-core-Remove-unused-variable-from-set_user_nice.patch
  patches.suse/sched-fair-Define-sched_idle_cpu-only-for-SMP-configurations.patch
  patches.suse/sched-fair-Fix-sgc-min-max-_capacity-calculation-for-SD_OVERLAP.patch
  patches.suse/sched-topology-Assert-non-NUMA-topology-masks-don-t-partially-overlap.patch
  patches.suse/sched-wait-fix-___wait_var_event-exclusive.patch
  patches.suse/schied-fair-Skip-calculating-contrib-without-load.patch
- commit 1c0fc31
* Wed Jan 29 2020 ptesarik@suse.cz
- config: enable CONFIG_DRM_ETNAVIV on arm64 (jsc#SLE-9263).
- supported.conf: mark etnaviv as supported (jsc#SLE-9263).
- commit ff1abc4
* Wed Jan 29 2020 ptesarik@suse.cz
- supported.conf: Support lima and panfrost (jsc#SLE-8203).
- commit aa64aa2
* Wed Jan 29 2020 msuchanek@suse.de
- powerpc/mm: Remove kvm radix prefetch workaround for Power9
  DD2.2 (bsc#1061840).
- commit 8d2d7a2
* Wed Jan 29 2020 nsaenzjulienne@suse.de
- mmc: host: sdhci-pci: Add Genesys Logic GL975x support
  (bsc#1144168).
- Update config files
- mmc: sdhci: Export sdhci_abort_tuning function symbol
  (bsc#1144168).
- PCI: Add Genesys Logic, Inc. Vendor ID (bsc#1144168).
- mmc: sdhci: Add PLL Enable support to internal clock setup
  (bsc#1144168).
- commit 418d5df
* Wed Jan 29 2020 msuchanek@suse.de
- powerpc/xmon: don't access ASDR in VMs (bsc#1065729).
- commit cc778b6
* Wed Jan 29 2020 msuchanek@suse.de
- powerpc/papr_scm: Don't enable direct map for a region by
  default (bsc#1129551).
- commit 5d46d16
* Wed Jan 29 2020 tiwai@suse.de
- Add already cherry-picked id for mdio_bus fix
- commit e3cd812
* Wed Jan 29 2020 tiwai@suse.de
- opp: Free static OPPs on errors while adding them (git-fixes).
- ptp: free ptp device pin descriptors properly (git-fixes).
- clk: samsung: exynos5420: Keep top G3D clocks enabled
  (git-fixes).
- commit 003f497
* Wed Jan 29 2020 mgorman@suse.de
- sched/fair: Define sched_idle_cpu() only for SMP configurations
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit c8faafc
* Wed Jan 29 2020 mgorman@suse.de
- sched/topology: Assert non-NUMA topology masks don't (partially)
  overlap (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit ffd4102
* Wed Jan 29 2020 mgorman@suse.de
- sched/fair: Fix sgc->{min,max}_capacity calculation for
  SD_OVERLAP (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- commit d5c0168
* Wed Jan 29 2020 mgorman@suse.de
- sched/core: Remove unused variable from set_user_nice()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit d56a5d4
* Wed Jan 29 2020 mgorman@suse.de
- schied/fair: Skip calculating @contrib without load (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit e039f48
* Wed Jan 29 2020 mgorman@suse.de
- sched/wait: fix ___wait_var_event(exclusive) (bnc#1155798
  (CPU scheduler functional and performance backports)).
- commit a75fdb5
* Wed Jan 29 2020 mgorman@suse.de
- sched: Use fair:prio_changed() instead of ad-hoc implementation
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit d945568
* Wed Jan 29 2020 mkubecek@suse.cz
- supported.conf: cleanup
  Drop entries which no longer match any module built.
- commit c5f35cc
* Wed Jan 29 2020 tzimmermann@suse.de
- drm/mgag200: Flag all G200 SE A machines as broken wrt <startadd> (bsc#1152489)
- commit 9c74a8c
* Wed Jan 29 2020 mkubecek@suse.cz
- series.conf: cleanup
- update upstream references and move into sorted section:
  patches.suse/ASoC-fsl_sai-add-IRQF_SHARED.patch
  patches.suse/USB-Fix-Don-t-skip-endpoint-descriptors-with-maxpack.patch
  patches.suse/enetc-add-software-timestamping.patch
  patches.suse/enetc-remove-variable-tc_max_sized_frame-set-but-not.patch
  patches.suse/gpio-mpc8xxx-Add-platform-device-to-gpiochip-parent.patch
  patches.suse/libertas-Fix-two-buffer-overflows-at-parsing-bss-des.patch
  patches.suse/sched-Spare-resched-IPI-when-prio-changes-on-a-single-fair-task.patch
  patches.suse/sched-clock-Use-static_branch_likely-with-sched_clock_running.patch
  patches.suse/sched-fair-Improve-update_sd_pick_busiest-for-spare-capacity-case.patch
  patches.suse/sched-fair-Load-balance-aggressively-for-SCHED_IDLE-CPUs.patch
  patches.suse/sched-fair-Make-sched-idle-CPU-selection-consistent-throughout.patch
  patches.suse/sched-fair-Optimize-select_idle_cpu.patch
  patches.suse/sched-fair-Remove-redundant-call-to-cpufreq_update_util.patch
  patches.suse/sched-fair-calculate-delta-runnable-load-only-when-it-s-needed.patch
  No effect on expanded tree.
- commit 06db07c
* Wed Jan 29 2020 tzimmermann@suse.de
- drm/mgag200: Add workaround for HW that does not support 'startadd' (bsc#1152489)
- commit 8ad9863
* Wed Jan 29 2020 mkubecek@suse.cz
- series.conf: refresh
- update upstream references (mainline now) and resort:
  patches.suse/hwrng-iproc-rng200-add-support-for-bcm2711.patch
  patches.suse/ice-Add-device-ids-for-E822-devices.patch
  patches.suse/igc-Add-64-bit-DMA-access-support.patch
  patches.suse/igc-Add-PHY-power-management-control.patch
  patches.suse/igc-Add-SKU-for-i225-device.patch
  patches.suse/igc-Add-basic-skeleton-for-PTP.patch
  patches.suse/igc-Add-legacy-power-management-support.patch
  patches.suse/igc-Add-scatter-gather-support.patch
  patches.suse/igc-Add-support-for-RX-timestamping.patch
  patches.suse/igc-Add-support-for-TSO.patch
  patches.suse/igc-Add-support-for-TX-timestamping.patch
  patches.suse/igc-Add-support-for-ethtool-GET_TS_INFO-command.patch
  patches.suse/igc-Fix-parameter-descriptions-for-a-several-functio.patch
  patches.suse/igc-Fix-the-parameter-description-for-igc_alloc_rx_b.patch
  patches.suse/igc-Fix-typo-in-a-comment.patch
  patches.suse/igc-Improve-the-DMA-mapping-flow.patch
  patches.suse/igc-Prefer-to-use-the-pci_release_mem_regions-method.patch
  patches.suse/igc-Remove-excess-parameter-description-from-igc_is_.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_alloc_mapp.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_assign_vec.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_clean_tx_r.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_configure.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_configure_.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_free_q_vec-f7bcca5d.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_free_q_vec.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_irq_disabl.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_irq_enable.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_power_down.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_set_defaul.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_set_interr.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_set_rx_mod.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_sw_init.patch
  patches.suse/igc-Remove-no-need-declaration-of-the-igc_write_itr.patch
  patches.suse/igc-Remove-serdes-comments-from-a-description-of-met.patch
  patches.suse/igc-Remove-unused-definition.patch
  patches.suse/igc-Use-Start-of-Packet-signal-from-PHY-for-timestam.patch
- commit a2cb839
* Wed Jan 29 2020 tiwai@suse.de
- crypto: ccree - fix PM race condition (git-fixes).
- crypto: caam/qi2 - fix typo in algorithm's driver name
  (git-fixes).
- crypto: atmel-sha - fix error handling when setting hmac key
  (git-fixes).
- crypto: artpec6 - return correct error code for failed setkey()
  (git-fixes).
- crypto: chelsio - fix writing tfm flags to wrong place
  (git-fixes).
- crypto: api - fix unexpectedly getting generic implementation
  (git-fixes).
- crypto: picoxcell - adjust the position of tasklet_init and
  fix missed tasklet_kill (git-fixes).
- crypto: api - Fix race condition in crypto_spawn_alg
  (git-fixes).
- crypto: api - Check spawn->alg under lock in crypto_drop_spawn
  (git-fixes).
- crypto: af_alg - Use bh_lock_sock in sk_destruct (git-fixes).
- crypto: testmgr - don't try to decrypt uninitialized buffers
  (git-fixes).
- crypto: pcrypt - Do not clear MAY_SLEEP flag in original request
  (git-fixes).
- crypto: arm64/ghash-neon - bump priority to 150 (git-fixes).
- crypto: ccp - set max RSA modulus size for v3 platform devices
  as well (git-fixes).
- commit 57ecf54
* Wed Jan 29 2020 tiwai@suse.de
- ASoC: topology: fix soc_tplg_fe_link_create() - link->dobj
  initialization order (git-fixes).
- ASoC: Intel: skl_hda_dsp_common: Fix global-out-of-bounds bug
  (git-fixes).
- ALSA: hda: Add Clevo W65_67SB the power_save blacklist
  (git-fixes).
- ALSA: hda - Add docking station support for Lenovo Thinkpad
  T420s (git-fixes).
- ALSA: hda/hdmi - add retry logic to parse_intel_hdmi()
  (git-fixes).
- ALSA: hda/realtek - Add Headset Mic supported for HP cPC
  (git-fixes).
- ALSA: hda/analog - Minor optimization for SPDIF mux connections
  (git-fixes).
- ALSA: hda: patch_hdmi: remove warnings with empty body
  (git-fixes).
- ALSA: hda: correct kernel-doc parameter descriptions
  (git-fixes).
- ALSA: hda: Manage concurrent reg access more properly
  (git-fixes).
- ALSA: hda: patch_realtek: fix empty macro usage in if block
  (git-fixes).
- ALSA: hda: Fix a typo in comments (git-fixes).
- ALSA: sh: Fix compile warning wrt const (git-fixes).
- ALSA: hda: More constifications (git-fixes).
- ALSA: hda/realtek - More constifications (git-fixes).
- ALSA: hda/realtek - Apply mic mute LED quirk for Dell E7xx
  laptops, too (git-fixes).
- ALSA: sh: Fix unused variable warnings (git-fixes).
- ALSA: hda - constify and cleanup static NodeID tables
  (git-fixes).
- ALSA: hda: Constify snd_pci_quirk tables (git-fixes).
- ALSA: hda: Constify snd_kcontrol_new items (git-fixes).
- ALSA: hda: constify copied structure (git-fixes).
- ALSA: hda: Comment about snd_hdac_bus_update_rirb() and spinlock
  (git-fixes).
- ALSA: control: remove useless assignment in .info callback of
  PCM chmap element (git-fixes).
- ALSA: hda: Unify get_response handling (git-fixes).
- ALSA: hda: Use waitqueue for RIRB in HDA-core helper, too
  (git-fixes).
- ALSA: hda: Use standard waitqueue for RIRB wakeup (git-fixes).
- ath10k: Correct the DMA direction for management tx buffers
  (git-fixes).
- Revert "ath10k: fix DMA related firmware crashes on multiple
  devices" (git-fixes).
- ath10k: pci: Fix comment on ath10k_pci_dump_memory_sram
  (git-fixes).
- ath10k: pci: Only dump ATH10K_MEM_REGION_TYPE_IOREG when safe
  (git-fixes).
- iwlegacy: ensure loop counter addr does not wrap and cause an
  infinite loop (git-fixes).
- rtw88: fix potential NULL skb access in TX ISR (git-fixes).
- brcmfmac: sdio: Fix OOB interrupt initialization on brcm43362
  (git-fixes).
- mwifiex: drop most magic numbers from
  mwifiex_process_tdls_action_frame() (git-fixes).
- net: socionext: fix xdp_result initialization in
  netsec_process_rx (git-fixes).
- net: socionext: fix possible user-after-free in
  netsec_process_rx (git-fixes).
- ath9k: fix storage endpoint lookup (git-fixes).
- brcmfmac: Fix memory leak in brcmf_usbdev_qinit (git-fixes).
- zd1211rw: fix storage endpoint lookup (git-fixes).
- rsi_91x_usb: fix interface sanity check (git-fixes).
- rtl8xxxu: fix interface sanity check (git-fixes).
- orinoco_usb: fix interface sanity check (git-fixes).
- brcmfmac: fix interface sanity check (git-fixes).
- mwifiex: delete unused mwifiex_get_intf_num() (git-fixes).
- brcmfmac: Fix use after free in brcmf_sdio_readframes()
  (git-fixes).
- rsi: fix non-atomic allocation in completion handler
  (git-fixes).
- rsi: fix memory leak on failed URB submission (git-fixes).
- rsi: fix use-after-free on probe errors (git-fixes).
- rsi: fix use-after-free on failed probe and unbind (git-fixes).
- bcma: remove set but not used variable 'sizel' (git-fixes).
- brcmfmac: Fix memory leak in brcmf_p2p_create_p2pdev()
  (git-fixes).
- wil6210: fix break that is never reached because of zero'ing
  of a retry counter (git-fixes).
- ath10k: Fix qmi init error handling (git-fixes).
- ath10k: correct the tlv len of
  ath10k_wmi_tlv_op_gen_config_pno_start (git-fixes).
- NFC: pn544: Adjust indentation in pn544_hci_check_presence
  (git-fixes).
- ppp: Adjust indentation into ppp_async_input (git-fixes).
- Bluetooth: btusb: fix memory leak on fw (git-fixes).
- Bluetooth: btusb: fix non-atomic allocation in completion
  handler (git-fixes).
- commit b16c1ef
* Wed Jan 29 2020 tiwai@suse.de
- regulator: core: Fix exported symbols to the exported GPL
  version (git-fixes).
- commit b623820
* Wed Jan 29 2020 wqu@suse.com
- btrfs: dev-replace: remove warning for unknown return codes
  when finished (dependency for bsc#1162067).
- commit c6cf4b1
* Wed Jan 29 2020 wqu@suse.com
- btrfs: scrub: Require mandatory block group RO for  dev-replace
  (bsc#1162067).
- commit 1eeede9
* Wed Jan 29 2020 jlee@suse.com
- Update config files. (bsc#1160067)
  The 8379bb84be be backported by Takashi from v5.5-rc7 to SLE15-SP2
  kernel. This patch fixed bsc#1160067. After long run testing, we
  confirmed that the issue be fixed on SLE15-SP2 and also v5.5 mainline
  kernel. So I enable CONFIG_KEYS_REQUEST_CACHE again.
  commit 8379bb84be757d5df2d818509faec5d66adb861d
  Author: David Howells <dhowells@redhat.com>
  Date:   Tue Jan 14 16:06:14 2020 +0000
    keys: Fix request_key() cache
- commit 8e290bd
* Wed Jan 29 2020 mgorman@suse.de
- sched, fair: Allow a per-cpu kthread waking a task to stack
  on the same CPU (bsc#1154329).
- commit 8765a0f
* Wed Jan 29 2020 ptesarik@suse.cz
- config: enable arm-specific UFS modules (bsc#1158776 comment 14).
- supported.conf: mark arm-specific UFS modules as supported.
- commit ba2a890
* Tue Jan 28 2020 ptesarik@suse.cz
- config: enable CONFIG_SCSI_SNIC_DEBUG_FS (bsc#1158776 comment 19).
- commit 1120a0c
* Tue Jan 28 2020 lyan@suse.com
- kvm: aarch64: Avoid guest access host debug/PMU registers
  (bnc#1161692).
- commit 392760e
* Tue Jan 28 2020 ptesarik@suse.cz
- config: enable CONFIG_NVM_PBLK on arm64 (bsc#1158776 comment 18).
- commit 1f58f3e
* Tue Jan 28 2020 ptesarik@suse.cz
- config: disable CONFIG_VIRTIO_BLK_SCSI (bsc#1158776 comment 17).
- commit a547bc2
* Tue Jan 28 2020 msuchanek@suse.de
- powerpc/pseries/lparcfg: Fix display of Maximum Memory
  (bsc#1162028 ltc#181740).
- commit c2573b2
* Tue Jan 28 2020 ptesarik@suse.cz
- config: enable BLK_SED_OPAL on arm64 (bsc#1158776 comment 16).
- commit 5c8c73b
* Tue Jan 28 2020 ptesarik@suse.cz
- config: disable CONFIG_RD_LZ4 in arm64/default and s390x/zfcpdump
  (bsc#1158776 comment 15).
- commit 6466f6e
* Tue Jan 28 2020 ptesarik@suse.cz
- config: adjust block device options on arm64 to match x86_64
  (bsc#1158776 comment 14).
- commit 6b66509
* Tue Jan 28 2020 ptesarik@suse.cz
- config: disable MANDATORY_FILE_LOCKING on arm64. To the best of my
  knowledge this is dead code that no one cares about. (bsc#1158776
  comment 12).
- commit 6b4bc5e
* Tue Jan 28 2020 ptesarik@suse.cz
- config: Disable 842 compression on arm64 (bsc#1158776 comment 11).
- commit 998bea1
* Tue Jan 28 2020 ptesarik@suse.cz
- config: file system options on arm64 (bsc#1158776 comment 10).
- commit b603b82
* Tue Jan 28 2020 ptesarik@suse.cz
- config: USB options on arm64 (bsc#1158776 comment 9).
- commit f06de5d
* Tue Jan 28 2020 ptesarik@suse.cz
- config: update non-x86_64 header (gcc 7.5.0)
- commit a033e88
* Tue Jan 28 2020 mbenes@suse.cz
- blacklist.conf: aeed8aa3874d ("tracing: trigger: Replace unneeded RCU-list traversals")
  Needs 28875945ba98 ("rcu: Add support for consolidated-RCU reader
  checking"), which seems to be too invasive for the potential gain.
- commit d3073ab
* Tue Jan 28 2020 ohering@suse.de
- Update patches.suse/target-add-lio-rbd-to-makefile-Kconfig.patch.
  TCM_RBD depends on BLK_DEV_RBD (rbd_img_request_put)
- commit 804b592
* Tue Jan 28 2020 mkubecek@suse.cz
- config: refresh
- update x86_64/default header (gcc 7.5.0)
- clean up x86_64/kvmsmall
- commit 88fb509
* Tue Jan 28 2020 mkubecek@suse.cz
- patch metadata cleanup
- fix Patch-mainline:
  patches.suse/sched-cfs-fix-spurious-active-migration.patch
  patches.suse/sched-fair-Fix-find_idlest_group-to-handle-CPU-affinity.patch
  patches.suse/sched-fair-Optimize-select_idle_core.patch
- commit 2dd79f3
* Tue Jan 28 2020 ptesarik@suse.cz
- Consistent network-related options (bsc#1158776 comment 7).
- commit 8954e4c
* Tue Jan 28 2020 tiwai@suse.de
- clocksource/drivers/bcm2835_timer: Fix memory leak of timer
  (git-fixes).
- ACPI / battery: Deal better with neither design nor full
  capacity not being reported (git-fixes).
- ACPI / battery: Use design-cap for capacity calculations if
  full-cap is not available (git-fixes).
- ACPI / battery: Deal with design or full capacity being reported
  as -1 (git-fixes).
- regulator: rk808: Lower log level on optional GPIOs being not
  available (git-fixes).
- regulator: vctrl-regulator: Avoid deadlock getting and setting
  the voltage (git-fixes).
- spi: fsl-lpspi: fix only one cs-gpio working (git-fixes).
- spi: spi-fsl-qspi: Ensure width is respected in spi-mem
  operations (git-fixes).
- regmap: fix writes to non incrementing registers (git-fixes).
- dmaengine: fsl-qdma: fix duplicated argument to && (git-fixes).
- dmaengine: axi-dmac: add a check for devm_regmap_init_mmio
  (git-fixes).
- platform/x86: intel_mid_powerbtn: Take a copy of ddata
  (git-fixes).
- commit 9a9e8fa
* Mon Jan 27 2020 fdmanana@suse.com
- Btrfs: always copy scrub arguments back to user space
  (bsc#1161948).
- commit 08b80dc
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: skip log replay on orphaned roots (bsc#1161935).
- commit eeeba1a
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: handle ENOENT in btrfs_uuid_tree_iterate (bsc#1161937).
- commit 2acecda
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: abort transaction after failed inode updates in
  create_subvol (bsc#1161936).
- commit 78f55a1
* Mon Jan 27 2020 fdmanana@suse.com
- btrfs: do not call synchronize_srcu() in inode_tree_del
  (bsc#1161934).
- commit 433b7cb
* Mon Jan 27 2020 fdmanana@suse.com
- Btrfs: make tree checker detect checksum items with overlapping
  ranges (bsc#1161931).
- commit 1bcc04b
* Mon Jan 27 2020 fdmanana@suse.com
- Btrfs: fix missing data checksums after replaying a log tree
  (bsc#1161931).
- commit fe9925a
* Mon Jan 27 2020 mbenes@suse.cz
- tracing: Fix histogram code when expression has same var as
  value (git-fixes).
- commit 70a4335
* Mon Jan 27 2020 mbenes@suse.cz
- tracing: xen: Ordered comparison of function pointers
  (git-fixes).
- commit 1c35b4a
* Mon Jan 27 2020 tiwai@suse.de
- mwifiex: fix unbalanced locking in mwifiex_process_country_ie()
  (CVE-2019-14895 bsc#1157158).
- commit b2eb35f
* Mon Jan 27 2020 tiwai@suse.de
- iwlwifi: mvm: fix SKB leak on invalid queue (git-fixes).
- can, slip: Protect tty->disc_data in write_wakeup and close
  with RCU (git-fixes).
- Input: pm8xxx-vib - fix handling of separate enable register
  (git-fixes).
- Input: keyspan-remote - fix control-message timeouts
  (git-fixes).
- Input: sur40 - fix interface sanity checks (git-fixes).
- Input: gtco - fix endpoint sanity check (git-fixes).
- Input: aiptek - fix endpoint sanity check (git-fixes).
- Input: pegasus_notetaker - fix endpoint sanity check
  (git-fixes).
- Input: sun4i-ts - add a check for
  devm_thermal_zone_of_sensor_register (git-fixes).
- drm/i915: Align engine->uabi_class/instance with i915_drm.h
  (git-fixes).
- drm/i915/userptr: fix size calculation (git-fixes).
- mmc: sdhci: fix minimum clock rate for v3 controller
  (git-fixes).
- mmc: tegra: fix SDR50 tuning override (git-fixes).
- mmc: sdhci_am654: Reset Command and Data line after tuning
  (git-fixes).
- mmc: sdhci_am654: Remove Inverted Write Protect flag
  (git-fixes).
- hwmon: (core) Do not use device managed functions for memory
  allocations (git-fixes).
- hwmon: (nct7802) Fix non-working alarm on voltages (git-fixes).
- hwmon: (nct7802) Fix voltage limits to wrong registers
  (git-fixes).
- batman-adv: Fix DAT candidate selection on little endian systems
  (git-fixes).
- cfg80211: check for set_wiphy_params (git-fixes).
- iio: adc: ad7124: Fix DT channel configuration (git-fixes).
- USB: serial: option: add support for Quectel RM500Q in QDL mode
  (git-fixes).
- USB: serial: option: Add support for Quectel RM500Q (git-fixes).
- USB: serial: simple: Add Motorola Solutions TETRA MTP3xxx and
  MTP85xx (git-fixes).
- usb: core: hub: Improved device recognition on remote wakeup
  (git-fixes).
- macb: Don't unregister clks unconditionally (git-fixes).
- drm/arm/mali: make malidp_mw_connector_helper_funcs static
  (git-fixes).
- tomoyo: Don't use nifty names on sockets (git-fixes).
- drm/i915/gvt: set guest display buffer as readonly (git-fixes).
- rtc: bd70528: fix module alias to autoload module (git-fixes).
- drm/amdgpu: allow direct upload save restore list for raven2
  (git-fixes).
- mt76: fix possible out-of-bound access in
  mt7615_fill_txs/mt7603_fill_txs (git-fixes).
- commit daca0f5
* Mon Jan 27 2020 tbogendoerfer@suse.de
- Update patches.suse/ipv6-fix-a-typo-in-fib6_rule_lookup.patch
  (bnc#1151927 5.3.4 CVE-2019-20422).
  Added CVE reference.
- commit afdb381
* Mon Jan 27 2020 tbogendoerfer@suse.de
- net: Fix skb->csum update in inet_proto_csum_replace16()
  (bsc#1154353).
- netfilter: nf_tables: autoload modules from the abort path
  (bsc#1154353).
- netfilter: nf_tables: add __nft_chain_type_get() (bsc#1154353).
- netfilter: conntrack: sctp: use distinct states for new SCTP
  connections (bsc#1154353).
- netfilter: ipset: use bitmap infrastructure completely
  (bsc#1154353).
- netfilter: nft_osf: add missing check for DREG attribute
  (bsc#1154353).
- net/mlx5e: kTLS, Do not send decrypted-marked SKBs via non-accel
  path (jsc#SLE-8464).
- net/mlx5e: kTLS, Remove redundant posts in TX resync flow
  (jsc#SLE-8464).
- net/mlx5e: kTLS, Fix corner-case checks in TX resync flow
  (jsc#SLE-8464).
- net/mlx5e: Clear VF config when switching modes (jsc#SLE-8464).
- net/mlx5: DR, use non preemptible call to get the current cpu
  number (jsc#SLE-8464).
- net/mlx5: E-Switch, Prevent ingress rate configuration of
  uplink rep (jsc#SLE-8464).
- net/mlx5: DR, Enable counter on non-fwd-dest objects
  (jsc#SLE-8464).
- net/mlx5: Update the list of the PCI supported devices
  (jsc#SLE-8464).
- net/mlx5: Fix lowest FDB pool size (jsc#SLE-8464).
- net: cxgb3_main: Add CAP_NET_ADMIN check to CHELSIO_GET_MEM
  (bsc#1154353).
- ipv6_route_seq_next should increase position index
  (bsc#1154353).
- rt_cpu_seq_next should increase position index (bsc#1154353).
- neigh_stat_seq_next() should increase position index
  (bsc#1154353).
- vcc_seq_next should increase position index (bsc#1154353).
- l2t_seq_next should increase position index (bsc#1154353).
- seq_tab_next() should increase position index (bsc#1154353).
- tcp: do not leave dangling pointers in tp->highest_sack
  (bsc#1154353).
- net/rose: fix spelling mistake "to" -> "too" (bsc#1154353).
- caif_usb: fix spelling mistake "to" -> "too" (bsc#1154353).
- ipvs: fix spelling mistake "to" -> "too" (bsc#1154353).
- i40e: fix spelling mistake "to" -> "too" (jsc#SLE-8025).
- net_sched: fix datalen for ematch (bsc#1154353).
- qlcnic: Fix CPU soft lockup while collecting firmware dump
  (bsc#1154353).
- fou: Fix IPv6 netlink policy (bsc#1154353).
- tun: add mutex_unlock() call and napi.skb clearing in
  tun_get_user() (bsc#1154353).
- mlxsw: spectrum_acl: Fix use-after-free during reload
  (bsc#1154488).
- gtp: make sure only SOCK_DGRAM UDP sockets are accepted
  (bsc#1154353).
- net: rtnetlink: validate IFLA_MTU attribute in
  rtnl_create_link() (bsc#1154353).
- net, ip6_tunnel: fix namespaces move (bsc#1154353).
- net_sched: use validated TCA_KIND attribute in tc_new_tfilter()
  (bsc#1154353).
- Revert "udp: do rmem bulk free even if the rx sk queue is empty"
  (bsc#1154353).
- net: Fix packet reordering caused by GRO and listified RX
  cooperation (bsc#1154353).
- net, sk_msg: Don't check if sock is locked when tearing down
  psock (bsc#1154353).
- net, ip_tunnel: fix namespaces move (bsc#1154353).
- tcp: remove redundant assigment to snd_cwnd (bsc#1154353).
- tcp_bbr: improve arithmetic division in bbr_update_bw()
  (bsc#1154353).
- net-sysfs: Fix reference count leak (bsc#1154353).
- ipv6: sr: remove SKB_GSO_IPXIP6 on End.D* actions (bsc#1154353).
- xfrm: support output_mark for offload ESP packets (bsc#1154353).
- xfrm interface: fix packet tx through bpf_redirect()
  (bsc#1154353).
- vti: fix packet tx through bpf_redirect() (bsc#1154353).
- net: ip6_gre: fix moving ip6gre between namespaces
  (bsc#1154353).
- commit 3508aa7
* Mon Jan 27 2020 bp@suse.de
- x86/MCE/AMD: Do not use rdmsr_safe_on_cpu() in smca_configure()
  (bsc#1152489).
- Refresh
  patches.suse/x86-mce-amd-allow-reserved-types-to-be-overwritten-in-smca_banks.patch.
- commit 0c7e16a
* Mon Jan 27 2020 jslaby@suse.cz
- Input: rmi_f54 - read from FIFO in 32 byte blocks (git-fixes).
- Input: synaptics-rmi4 - simplify data read in rmi_f54_work
  (git-fixes).
- Delete
  patches.suse/Input-synaptics-rmi4-don-t-increment-rmiaddr-for-SMB.patch.
  a284e11c371e was reverted in 8ff771f8c8d5. c15f8ba6dc1f is a proper fix.
- commit 396ae25
* Mon Jan 27 2020 jslaby@suse.cz
- net_sched: use validated TCA_KIND attribute in tc_new_tfilter()
  (git-fixes).
- readdir: make user_access_begin() use the real access range
  (git-fixes).
- commit 4c11de1
* Mon Jan 27 2020 tiwai@suse.de
- Fix off-by-one error in the previous i915 fix (bsc#1161720 bsc#1161785)
- commit 079d24f
* Mon Jan 27 2020 jeyu@suse.de
- rpm/kabi.pl: support new (>=5.4) Module.symvers format (new symbol namespace field)
- commit eecbd97
* Mon Jan 27 2020 msuchanek@suse.de
- powerpc/mm/hash: Fix sharing context ids between kernel &
  userspace (bsc#1156395).
- commit c178acd
* Mon Jan 27 2020 msuchanek@suse.de
- powerpc/xive: Discard ESB load value when interrupt is invalid
  (fate#322438 bsc#1085030).
- commit ee23543
* Mon Jan 27 2020 msuchanek@suse.de
- Update
  patches.suse/powerpc-xive-Implement-get_irqchip_state-method-for-.patch
  (fate#322438 bsc#1085030).
- commit 9781d7d
* Mon Jan 27 2020 jack@suse.cz
- libnvdimm/namespace: Differentiate between probe mapping and
  runtime mapping (bsc#1153535).
- commit 515c670
* Fri Jan 24 2020 tiwai@suse.de
- drm/i915/gt: Detect if we miss WaIdleLiteRestore (bsc#1161720).
  Remove the corresponding blacklist entry, too
- commit 480b94e
* Fri Jan 24 2020 mgorman@suse.de
- sched/fair: Load balance aggressively for SCHED_IDLE CPUs
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Make sched-idle CPU selection consistent throughout
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/clock: Use static_branch_likely() with sched_clock_running
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Remove redundant call to cpufreq_update_util()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: calculate delta runnable load only when it's
  needed (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair : Improve update_sd_pick_busiest for spare capacity
  case (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched: Spare resched IPI when prio changes on a single fair
  task (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Optimize select_idle_core (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/fair: Optimize select_idle_cpu (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/fair: Fix find_idlest_group() to handle CPU affinity
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit aa673a4
* Fri Jan 24 2020 bp@suse.de
- x86/CPU/AMD: Ensure clearing of SME/SEV features is maintained
  (bsc#1161731).
- commit 4ba75bd
* Fri Jan 24 2020 ptesarik@suse.cz
- net/smc: unregister ib devices in reboot_event (jsc#SLE-7395).
- net/smc: remove unused constant (jsc#SLE-7395).
- net/smc: use rcu_barrier() on module unload (jsc#SLE-7395).
- net/smc: guarantee removal of link groups in reboot
  (jsc#SLE-7395).
- net/smc: introduce bookkeeping of SMCR link groups
  (jsc#SLE-7395).
- net/smc: immediate termination for SMCR link groups
  (jsc#SLE-7395).
- net/smc: wait for tx completions before link freeing
  (jsc#SLE-7395).
- net/smc: abnormal termination without orderly flag
  (jsc#SLE-7395).
- net/smc: no WR buffer wait for terminating link group
  (jsc#SLE-7395).
- net/smc: introduce bookkeeping of SMCD link groups
  (jsc#SLE-7395).
- net/smc: abnormal termination of SMCD link groups
  (jsc#SLE-7395).
- net/smc: immediate termination for SMCD link groups
  (jsc#SLE-7395).
- net/smc: fix final cleanup sequence for SMCD devices
  (jsc#SLE-7395).
- net/smc: remove close abort worker (jsc#SLE-7395).
- net/smc: introduce link group termination worker (jsc#SLE-7395).
- net/smc: improve abnormal termination of link groups
  (jsc#SLE-7395).
- net/smc: tell peers about abnormal link group termination
  (jsc#SLE-7395).
- net/smc: improve link group freeing (jsc#SLE-7395).
- net/smc: improve abnormal termination locking (jsc#SLE-7395).
- net/smc: terminate link group without holding lgr lock
  (jsc#SLE-7395).
- net/smc: cancel send and receive for terminated socket
  (jsc#SLE-7395).
- net/smc: improve close of terminated socket (jsc#SLE-7395).
- net/smc: no new connections on disappearing devices
  (jsc#SLE-7395).
- net/smc: increase device refcount for added link group
  (jsc#SLE-7395).
- net/smc: separate locks for SMCD and SMCR link group lists
  (jsc#SLE-7395).
- net/smc: separate SMCD and SMCR link group lists (jsc#SLE-7395).
- commit 57bf8aa
* Thu Jan 23 2020 mbrugger@suse.com
- EDAC: Remove misleading comment in struct edac_raw_error_desc
  (jsc#SLE-9482).
- commit f2fb341
* Thu Jan 23 2020 ailiopoulos@suse.com
- xfs: fix mount failure crash on invalid iclog memory access
  (bsc#1161726).
- commit fbaeaa1
* Thu Jan 23 2020 bp@suse.de
- blacklist.conf:
  df1a7524741b ("x86/entry/32: Remove unused resume_userspace label")
- commit 175a9c1
* Thu Jan 23 2020 bp@suse.de
- x86/ioapic: Prevent inconsistent state when moving an interrupt
  (bsc#1152489).
- commit a9854ec
* Thu Jan 23 2020 mbrugger@suse.com
- EDAC: Unify the mc_event tracepoint call (jsc#SLE-9482).
- EDAC/ghes: Remove intermediate buffer pvt->detail_location
  (jsc#SLE-9482).
- EDAC/ghes: Fix grain calculation (jsc#SLE-9482).
- EDAC/ghes: Use standard kernel macros for page calculations
  (jsc#SLE-9482).
- EDAC/mc: Reduce indentation level in edac_mc_handle_error()
  (jsc#SLE-9482).
- EDAC/mc: Remove needless zero string termination (jsc#SLE-9482).
- EDAC/mc: Do not BUG_ON() in edac_mc_alloc() (jsc#SLE-9482).
- EDAC: Introduce an mci_for_each_dimm() iterator (jsc#SLE-9482).
- EDAC: Remove EDAC_DIMM_OFF() macro (jsc#SLE-9482).
- EDAC: Replace EDAC_DIMM_PTR() macro with edac_get_dimm()
  function (jsc#SLE-9482).
- commit 242a2b2
* Thu Jan 23 2020 mbrugger@suse.com
- EDAC/mc_sysfs: Make debug messages consistent (jsc#SLE-9482).
- EDAC/mc_sysfs: Remove pointless gotos (jsc#SLE-9482).
- EDAC: Prefer 'unsigned int' to bare use of 'unsigned'
  (jsc#SLE-9482).
- commit 919516b
* Thu Jan 23 2020 mbrugger@suse.com
- EDAC/mc: Cleanup _edac_mc_free() code (jsc#SLE-9482).
- commit 0c79b9b
* Thu Jan 23 2020 ptesarik@suse.cz
- s390/qeth: vnicc Fix init to default (jsc#SLE-7474).
- s390/qeth: Fix vnicc_is_in_use if rx_bcast not set
  (jsc#SLE-7474).
- s390/qeth: fix false reporting of VNIC CHAR config failure
  (jsc#SLE-7474).
- s390/qeth: lock the card while changing its hsuid
  (jsc#SLE-7474).
- s390/qeth: fix qdio teardown after early init error
  (jsc#SLE-7474).
- s390/qeth: don't return -ENOTSUPP to userspace (jsc#SLE-7474).
- s390/qeth: fix promiscuous mode after reset (jsc#SLE-7474).
- s390/qeth: handle error due to unsupported transport mode
  (jsc#SLE-7474).
- s390/qeth: ensure linear access to packet headers
  (jsc#SLE-7474).
- s390/qeth: guard against runt packets (jsc#SLE-7474).
- s390/qeth: don't check drvdata in sysfs code (jsc#SLE-7474).
- s390/qeth: replace qeth_l3_get_addr_buffer() (jsc#SLE-7474).
- s390/qeth: remove VLAN tracking for L3 devices (jsc#SLE-7474).
- s390/qeth: consolidate L3 mcast registration code
  (jsc#SLE-7474).
- s390/qeth: remove gratuitious RX modeset (jsc#SLE-7474).
- s390/qeth: fine-tune L3 mcast locking (jsc#SLE-7474).
- s390/qeth: clean up error path in qeth_core_probe_device()
  (jsc#SLE-7474).
- s390/qeth: handle skb allocation error gracefully
  (jsc#SLE-7474).
- s390/qeth: drop unwanted packets earlier in RX path
  (jsc#SLE-7474).
- s390/qeth: support per-frame invalidation (jsc#SLE-7474).
- s390/qeth: gather more detailed RX dropped/error statistics
  (jsc#SLE-7474).
- s390/qeth: don't cache MAC addresses for multicast IPs
  (jsc#SLE-7474).
- s390/qeth: use helpers for IP address hashing (jsc#SLE-7474).
- s390/qeth: don't set card state in qeth_qdio_clear_card()
  (jsc#SLE-7474).
- commit 97e2cae
* Thu Jan 23 2020 ptesarik@suse.cz
- s390/qeth: keep IRQ disabled until NAPI is really done
  (jsc#SLE-7474).
- s390/qeth: use QDIO_BUFNR() (jsc#SLE-7474).
- s390/qdio: move SSQD Sniffer mask definition (jsc#SLE-7474).
- commit 0fcd468
* Thu Jan 23 2020 tbogendoerfer@suse.de
- Update
  patches.suse/net-mlx5-prevent-memory-leak-in-mlx5_fpga_conn_creat.patch
  (jsc#SLE-8464 bnc#1151927 5.3.11 CVE-2019-19045).
  Added CVE reference
- commit 9835bdc
* Thu Jan 23 2020 wqu@suse.com
- btrfs: relocation: fix reloc_root lifespan and access
  (bsc#1159588).
- commit fc30409
* Wed Jan 22 2020 bp@suse.de
- x86/kgbd: Use NMI_VECTOR not APIC_DM_NMI (bsc#1152489).
- commit d1023df
* Wed Jan 22 2020 bp@suse.de
- blacklist.conf:
  7720804a2ae4 ("x86, perf: Fix the dependency of the x86 insn decoder selftest")
- commit b934c08
* Wed Jan 22 2020 msuchanek@suse.de
- Update
  patches.suse/mm-memory_hotplug-don-t-free-usage-map-when-removing-a-re-added-early-section.patch
  (bsc#1160366 ltc#183002 git fixes (mm/hotplug)).
- commit 4057d37
* Wed Jan 22 2020 tiwai@suse.de
- blacklist.conf: Add iwlwifi revert entry that isn't suitable
- commit 8b00a89
* Wed Jan 22 2020 tiwai@suse.de
- bus: ti-sysc: Fix iterating over clocks (git-fixes).
- clk: Don't try to enable critical clocks if prepare failed
  (git-fixes).
- clk: tegra: Fix double-free in tegra_clk_init() (git-fixes).
- commit 7747d41
* Wed Jan 22 2020 tiwai@suse.de
- blacklist.conf: Add drm/virtio entries, insufficent for SLE15-SP2
- commit c1ea031
* Wed Jan 22 2020 bp@suse.de
- x86/resctrl: Fix potential memory leak (bsc#1152489).
- x86/resctrl: Fix an imbalance in domain_remove_cpu()
  (bsc#1152489).
- commit b6bd4fe
* Wed Jan 22 2020 ykaukab@suse.de
- PCI: dwc: Add validation that PCIe core is set to correct mode
  (jsc#SLE-10562).
- commit a4552c1
* Wed Jan 22 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: register gpu instance before fan boost feature enablment'
- commit 6fe4000
* Wed Jan 22 2020 mgorman@suse.de
- sched/cfs: fix spurious active migration (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- commit 8b16f2e
* Wed Jan 22 2020 tzimmermann@suse.de
- drm/amdgpu: fix license on Kconfig and Makefiles (bsc#1152472)
- commit af71d3c
* Wed Jan 22 2020 tzimmermann@suse.de
- drm/amdgpu: Call find_vma under mmap_sem (bsc#1152489)
- commit 45b9c9d
* Wed Jan 22 2020 tzimmermann@suse.de
- drm/amd/powerplay: Fix error handling in smu_init_fb_allocations() (bsc#1152489)
- commit ac2af40
* Wed Jan 22 2020 mkoutny@suse.com
- exit: panic before exit_mm() on global init exit (bsc#1161549).
- commit e6e6d28
* Wed Jan 22 2020 tiwai@suse.de
- rpmsg: char: release allocated memory (CVE-2019-19053
  bsc#1161520).
- commit bdab989
* Wed Jan 22 2020 tiwai@suse.de
- media: rc: prevent memory leak in cx23888_ir_probe
  (CVE-2019-19054 bsc#1161518).
- commit 91d7fee
* Wed Jan 22 2020 tiwai@suse.de
- libertas: make lbs_ibss_join_existing() return error code
  on rates overflow (CVE-2019-14896 bsc#1157157 CVE-2019-14897
  bsc#1157155).
- libertas: don't exit from lbs_ibss_join_existing() with RCU
  read lock held (CVE-2019-14896 bsc#1157157 CVE-2019-14897
  bsc#1157155).
- commit a649646
* Wed Jan 22 2020 jack@suse.cz
- libnvdimm/region: Enable MAP_SYNC for volatile regions
  (bsc#1161291).
- commit 8ecd112
* Tue Jan 21 2020 lpechacek@suse.cz
- powerpc: drmem: avoid NULL pointer dereference when drmem is
  unavailable (bsc#1160659).
- commit 1775954
* Tue Jan 21 2020 tbogendoerfer@suse.de
- igc: Add PHY power management control (bsc#1160632).
- igc: Add support for TSO (bsc#1160634).
- igc: Add SKU for i225 device (bsc#1160634).
- igc: Remove unused definition (bsc#1160634).
- igc: Fix typo in a comment (bsc#1160634).
- igc: Use Start of Packet signal from PHY for timestamping
  (bsc#1160634).
- igc: Add support for ethtool GET_TS_INFO command (bsc#1160634).
- igc: Add support for TX timestamping (bsc#1160634).
- igc: Add support for RX timestamping (bsc#1160634).
- igc: Add basic skeleton for PTP (bsc#1160634).
- igc: Remove no need declaration of the igc_sw_init
  (bsc#1160634).
- igc: Remove no need declaration of the igc_write_itr
  (bsc#1160634).
- igc: Remove no need declaration of the igc_assign_vector
  (bsc#1160634).
- igc: Remove no need declaration of the igc_free_q_vector
  (bsc#1160634).
- igc: Remove no need declaration of the igc_free_q_vectors
  (bsc#1160634).
- igc: Remove no need declaration of the igc_irq_disable
  (bsc#1160634).
- igc: Remove no need declaration of the igc_irq_enable
  (bsc#1160634).
- igc: Remove no need declaration of the igc_configure_msix
  (bsc#1160634).
- igc: Remove no need declaration of the igc_set_rx_mode
  (bsc#1160634).
- igc: Remove no need declaration of the
  igc_set_interrupt_capability (bsc#1160634).
- igc: Remove no need declaration of the igc_alloc_mapped_page
  (bsc#1160634).
- igc: Remove no need declaration of the igc_configure
  (bsc#1160634).
- igc: Remove no need declaration of the
  igc_set_default_mac_filter (bsc#1160634).
- igc: Remove no need declaration of the igc_power_down_link
  (bsc#1160634).
- igc: Remove no need declaration of the igc_clean_tx_ring
  (bsc#1160634).
- igc: Remove serdes comments from a description of methods
  (bsc#1160634).
- igc: Add legacy power management support (bsc#1160634).
- igc: Add 64 bit DMA access support (bsc#1160634).
- igc: Fix parameter descriptions for a several functions
  (bsc#1160634).
- igc: Fix the parameter description for igc_alloc_rx_buffers
  (bsc#1160634).
- igc: Remove excess parameter description from igc_is_non_eop
  (bsc#1160634).
- igc: Prefer to use the pci_release_mem_regions method
  (bsc#1160634).
- igc: Improve the DMA mapping flow (bsc#1160634).
- igc: Add scatter gather support (bsc#1160634).
- cxgb4: reject overlapped queues in TC-MQPRIO offload
  (jsc#SLE-8389).
- cxgb4: fix Tx multi channel port rate limit (jsc#SLE-8389).
- net: sched: act_ctinfo: fix memory leak (bsc#1154353).
- bnxt_en: Do not treat DSN (Digital Serial Number) read failure
  as fatal (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix ipv6 RFS filter matching logic (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Fix NTUPLE firmware command failures (jsc#SLE-8371
  bsc#1153274).
- net: hns: fix soft lockup when there is not enough memory
  (bsc#1154353).
- net: avoid updating qdisc_xmit_lock_key in
  netdev_update_lockdep_key() (bsc#1154353).
- net/sched: act_ife: initalize ife->metalist earlier
  (bsc#1154353).
- netfilter: nat: fix ICMP header corruption on ICMP errors
  (bsc#1154353).
- netfilter: nf_tables: fix flowtable list del corruption
  (bsc#1154353).
- netfilter: nf_tables: remove WARN and add NLA_STRING upper
  limits (bsc#1154353).
- netfilter: nft_tunnel: ERSPAN_VERSION must not be null
  (bsc#1154353).
- netfilter: nft_tunnel: fix null-attribute check (bsc#1154353).
- netfilter: nf_tables: store transaction list locally while
  requesting module (bsc#1154353).
- netfilter: arp_tables: init netns pointer in xt_tgdtor_param
  struct (bsc#1154353).
- netfilter: fix a use-after-free in mtype_destroy()
  (bsc#1154353).
- net: hns3: pad the short frame before sending to the hardware
  (bsc#1154353).
- macvlan: use skb_reset_mac_header() in macvlan_queue_xmit()
  (bsc#1154353).
- tcp: fix marked lost packets not being retransmitted
  (bsc#1154353).
- mlxsw: spectrum_qdisc: Include MC TCs in Qdisc counters
  (bsc#1154488).
- mlxsw: spectrum: Wipe xstats.backlog of down ports
  (bsc#1154488).
- mlxsw: switchx2: Do not modify cloned SKBs during xmit
  (bsc#1154488).
- mlxsw: spectrum: Do not modify cloned SKBs during xmit
  (bsc#1154488).
- mlxsw: spectrum: Do not enforce same firmware version for
  multiple ASICs (bsc#1154488).
- devlink: correct misspelling of snapshot (bsc#1154353).
- devlink: Wait longer before warning about unset port type
  (bsc#1154353).
- ipv4: Detect rollover in specific fib table dump (bsc#1154353).
- net/tls: fix async operation (bsc#1154353).
- net/tls: avoid spurious decryption error with HW resync
  (bsc#1154353).
- e1000e: Revert "e1000e: Make watchdog use delayed work"
  (jsc#SLE-8100).
- i40e: Set PHY Access flag on X722 (jsc#SLE-8025).
- iavf: remove current MAC address filter on VF reset
  (jsc#SLE-7940).
- igb: Fix SGMII SFP module discovery for 100FX/LX (jsc#SLE-7967
  jsc#SLE-8010).
- ixgbe: Fix calculation of queue with VFs and flow director on
  interface flap (jsc#SLE-7979 jsc#SLE-7981).
- ixgbevf: Remove limit of 10 entries for unicast filter list
  (jsc#SLE-7979 jsc#SLE-7981).
- i40e: Fix virtchnl_queue_select bitmap validation
  (jsc#SLE-8025).
- xprtrdma: Fix oops in Receive handler after device removal
  (jsc#SLE-8449).
- xprtrdma: Fix completion wait during device removal
  (jsc#SLE-8449).
- xprtrdma: Fix create_qp crash on device unload (jsc#SLE-8449).
- commit 42c7e2a
* Tue Jan 21 2020 jgross@suse.com
- blacklist.conf: added 1a8211c7d8717b19c1e9fa41d19fe6a55409765e
- commit 302e64e
* Tue Jan 21 2020 jgross@suse.com
- KVM: vmx: Introduce handle_unexpected_vmexit and handle WAITPKG
  vmexit (jsc#SLE-11070).
- commit f99f84d
* Tue Jan 21 2020 jgross@suse.com
- KVM: vmx: Emulate MSR IA32_UMWAIT_CONTROL (jsc#SLE-11070).
- Refresh
  patches.suse/kvm-vmx-implement-msr_ia32_tsx_ctrl-disable-rtm-functionality.
- commit e194189
* Tue Jan 21 2020 jgross@suse.com
- KVM: x86: Add support for user wait instructions
  (jsc#SLE-11070).
- commit dd3d6b5
* Tue Jan 21 2020 mbenes@suse.cz
- perf/x86/cstate: Add Comet Lake CPU support (jsc#SLE-10621).
- commit 344f793
* Tue Jan 21 2020 mbenes@suse.cz
- perf/x86/msr: Add Comet Lake CPU support (jsc#SLE-10621).
- commit ed2c0f6
* Tue Jan 21 2020 mbenes@suse.cz
- perf/x86/intel: Add Comet Lake CPU support (jsc#SLE-10621).
- commit 03d1cee
* Tue Jan 21 2020 ykaukab@suse.de
- PCI: mobiveil: ls_pcie_g4: fix SError when accessing config space (bsc#1161495).
- PCI: mobiveil: ls_pcie_g4: add Workaround for A-011451 (bsc#1161495).
- PCI: mobiveil: ls_pcie_g4: add Workaround for A-011577 (bsc#1161495).
- commit 2049c57
* Tue Jan 21 2020 tiwai@suse.de
- Revert "rsi: fix potential null dereference in rsi_probe()"
  (git-fixes).
- commit 2ef75f1
* Mon Jan 20 2020 msuchanek@suse.de
- blacklist.conf: Add ppc booke fixes.
  3a0990ca1a00 powerpc/booke: Spelling s/date/data/
  71eb40fc5337 powerpc/kasan: Fix boot failure with RELOCATABLE &&
  FSL_BOOKE
- commit 8f24d42
* Mon Jan 20 2020 tiwai@suse.de
- cfg80211: fix page refcount issue in A-MSDU decap (git-fixes).
- cfg80211: fix memory leak in cfg80211_cqm_rssi_update
  (git-fixes).
- cfg80211: fix memory leak in nl80211_probe_mesh_link
  (git-fixes).
- cfg80211: fix deadlocks in autodisconnect work (git-fixes).
- r8152: add missing endpoint sanity check (git-fixes).
- net: usb: lan78xx: limit size of local TSO packets (git-fixes).
- i2c: iop3xx: Fix memory leak in probe error path (git-fixes).
- i2c: tegra: Properly disable runtime PM on driver's probe error
  (git-fixes).
- i2c: tegra: Fix suspending in active runtime PM state
  (git-fixes).
- mtd: rawnand: gpmi: Restore nfc timing setup after
  suspend/resume (git-fixes).
- mtd: rawnand: gpmi: Fix suspend/resume problem (git-fixes).
- drm/i915: Add missing include file <linux/math64.h> (git-fixes).
- efi/earlycon: Fix write-combine mapping on x86 (git-fixes).
- staging: comedi: ni_routes: allow partial routing information
  (git-fixes).
- staging: comedi: ni_routes: fix null dereference in
  ni_find_route_source() (git-fixes).
- iio: light: vcnl4000: Fix scale for vcnl4040 (git-fixes).
- iio: buffer: align the size of scan bytes to size of the
  largest element (git-fixes).
- iio: chemical: pms7003: fix unmet triggered buffer dependency
  (git-fixes).
- iio: imu: st_lsm6dsx: Fix selection of ST_LSM6DS3_ID
  (git-fixes).
- clk: sunxi-ng: r40: Allow setting parent rate for external
  clock outputs (git-fixes).
- clk: qcom: gcc-sdm845: Add missing flag to votable GDSCs
  (git-fixes).
- dmaengine: k3dma: Avoid null pointer traversal (git-fixes).
- drm/amdgpu: enable gfxoff for raven1 refresh (git-fixes).
- net: nfc: nci: fix a possible sleep-in-atomic-context bug in
  nci_uart_tty_receive() (git-fixes).
- net: gemini: Fix memory leak in gmac_setup_txqs (git-fixes).
- rsi: fix potential null dereference in rsi_probe() (git-fixes).
- commit 4cb2bed
* Mon Jan 20 2020 msuchanek@suse.de
- kernel-binary.spec.in: do not recommend firmware for kvmsmall and azure
  flavor (boo#1161360).
- commit dbe7b27
* Mon Jan 20 2020 msuchanek@suse.de
- torture: Remove exporting of internal functions (bsc#1156395).
- commit 3c30cc1
* Mon Jan 20 2020 msuchanek@suse.de
- config/x86_64/kvmsmall: Enable UINPUT (boo#1161305).
- commit 61a4f71
* Mon Jan 20 2020 tiwai@suse.de
- ASoC: msm8916-wcd-digital: Reset RX interpolation path after
  use (git-fixes).
- ASoC: msm8916-wcd-analog: Fix MIC BIAS Internal1 (git-fixes).
- ASoC: sti: fix possible sleep-in-atomic (git-fixes).
- ASoC: msm8916-wcd-analog: Fix selected events for MIC BIAS
  External1 (git-fixes).
- ASoC: hdac_hda: Fix error in driver removal after failed probe
  (git-fixes).
- ASoC: SOF: Intel: fix HDA codec driver probe with multiple
  controllers (git-fixes).
- ASoC: SOF: Intel: lower print level to dbg if we will reinit
  DSP (git-fixes).
- ASoC: stm32: dfsdm: fix 16 bits record (git-fixes).
- ASoC: Intel: bytcht_es8316: Fix Irbis NB41 netbook quirk
  (git-fixes).
- ASoC: rt5640: Fix NULL dereference on module unload (git-fixes).
- ALSA: seq: Fix racy access for queue timer in proc read
  (git-fixes).
- ALSA: usb-audio: fix sync-ep altsetting sanity check
  (git-fixes).
- ALSA: dice: fix fallback from protocol extension into limited
  functionality (git-fixes).
- ALSA: firewire-tascam: fix corruption due to spin lock without
  restoration in SoftIRQ context (git-fixes).
- commit 5af0dd5
* Mon Jan 20 2020 oneukum@suse.com
- NFC: pn533: fix bulk-message timeout (git-fixes).
- commit 442eed3
* Mon Jan 20 2020 oneukum@suse.com
- USB: serial: quatech2: handle unbound ports (git-fixes).
- commit d0020c8
* Mon Jan 20 2020 oneukum@suse.com
- USB: serial: keyspan: handle unbound ports (git-fixes).
- commit 32ba490
* Mon Jan 20 2020 oneukum@suse.com
- USB: serial: io_edgeport: add missing active-port sanity check
  (git-fixes).
- commit 1494e56
* Mon Jan 20 2020 oneukum@suse.com
- USB: serial: io_edgeport: handle unbound ports on URB completion
  (git-fixes).
- commit 6182181
* Mon Jan 20 2020 oneukum@suse.com
- USB: serial: ch341: handle unbound port at reset_resume
  (git-fixes).
- commit 2b59c4a
* Mon Jan 20 2020 oneukum@suse.com
- blacklist.conf: it removes an attribute from sysfs
- commit 3748cd2
* Mon Jan 20 2020 oneukum@suse.com
- USB: serial: opticon: fix control-message timeouts (git-fixes).
- commit 6bc0895
* Mon Jan 20 2020 mgorman@suse.de
- mm: memcg/slab: call flush_memcg_workqueue() only if memcg
  workqueue is valid (git fixes (mm/slab)).
- mm: memcg/slab: fix percpu slab vmstats flushing (git fixes
  (mm/memcg)).
- mm/shmem.c: thp, shmem: fix conflict of above-47bit hint
  address and PMD alignment (git fixes (mm/pgtable)).
- mm/huge_memory.c: thp: fix conflict of above-47bit hint address
  and PMD alignment (git fixes (mm/pgtable)).
- mm/memory_hotplug: don't free usage map when removing a re-added
  early section (git fixes (mm/hotplug)).
- commit 1508be3
* Mon Jan 20 2020 glin@suse.com
- bpf: Sockmap/tls, fix pop data with SK_DROP return code
  (bsc#1155518).
- bpf: Sockmap/tls, skmsg can have wrapped skmsg that needs
  extra chaining (bsc#1155518).
- bpf: Sockmap/tls, tls_sw can create a plaintext buf > encrypt
  buf (bsc#1155518).
- bpf: Sockmap/tls, msg_push_data may leave end mark in place
  (bsc#1155518).
- bpf: Sockmap, skmsg helper overestimates push, pull, and pop
  bounds (bsc#1155518).
- bpf: Sockmap/tls, push write_space updates through ulp updates
  (bsc#1155518).
- bpf: Sockmap, ensure sock lock held during tear down
  (bsc#1155518).
- net: bpf: Don't leak time wait and request sockets
  (bsc#1155518).
- bpf/sockmap: Read psock ingress_msg before sk_receive_queue
  (bsc#1155518).
- commit 8d7a4ba
* Mon Jan 20 2020 glin@suse.com
- bpf: Sockmap/tls, during free we may call tcp_bpf_unhash()
  in loop (bsc#1155518).
- bpf: Fix incorrect verifier simulation of ARSH under ALU32
  (bsc#1155518).
- bpftool: Fix printing incorrect pointer in btf_dump_ptr
  (bsc#1155518).
- commit 67424a0
* Fri Jan 17 2020 ptesarik@suse.cz
- s390/qeth: consolidate some duplicated HW cmd code
  (jsc#SLE-7474).
- Refresh patches.suse/s390-qeth-fix-initialization-on-old-hw.
- commit 00d9aa3
* Fri Jan 17 2020 ptesarik@suse.cz
- s390/qeth: merge qeth_reply struct into qeth_cmd_buffer
  (jsc#SLE-7542).
- Refresh
  patches.suse/s390-qeth-fix-dangling-io-buffers-after-halt-clear.
- commit 9542e64
* Fri Jan 17 2020 ptesarik@suse.cz
- s390/qeth: return proper errno on IO error (jsc#SLE-7542).
- s390/qeth: fix potential deadlock on workqueue flush
  (jsc#SLE-7542).
- s390/qeth: Fix initialization of vnicc cmd masks during set
  online (jsc#SLE-7542).
- s390/qeth: Fix error handling during VNICC initialization
  (jsc#SLE-7542).
- s390/qdio: clarify size of the QIB parm area (jsc#SLE-7542).
- s390/ctcm: Delete unnecessary checks before the macro call
  "dev_kfree_skb" (jsc#SLE-7542).
- s390/lcs: don't use intparm for channel IO (jsc#SLE-7542).
- s390/ctcm: don't use intparm for channel IO (jsc#SLE-7542).
- s390/qeth: streamline control code for promisc mode
  (jsc#SLE-7542).
- s390/qeth: get vnicc sub-cmd type from reply data
  (jsc#SLE-7542).
- s390/qeth: keep cmd alive after IO completion (jsc#SLE-7542).
- s390/qeth: use correct length field in SNMP cmd callback
  (jsc#SLE-7542).
- s390/qeth: propagate length of processed cmd IO data to callback
  (jsc#SLE-7542).
- s390/qeth: use node_descriptor struct (jsc#SLE-7542).
- commit 8223e8d
* Fri Jan 17 2020 jgross@suse.com
- xen/blkfront: Adjust indentation in xlvbd_alloc_gendisk
  (bsc#1065600).
- commit 5b346da
* Fri Jan 17 2020 ddiss@suse.de
- Refresh patches.suse/target-add-lio-rbd-to-makefile-Kconfig.patch:
  (fate#318836).
- supported.conf: relist target_core_rbd (fate#318836)
- re-enable CONFIG_TCM_RBD=m
- Refresh patches.suse/target-add-rbd-backend.patch:
  (fate#318836).
  + use upstream RBD bvecs API and split out compare&write and
    write-same request support
- Refresh patches.suse/rbd-add-lio-specific-data-area.patch:
  (fate#318836).
  + rebased, with lio_cmd_data moved into union with rq/copyup state
- Add patches.suse/rbd-add-img_request-done-callback.patch:
  (fate#318836).
  + this is needed for target_core_rbd SCSI cmd completion following
    7114edac357b ("rbd: new request completion code")
- Refresh
  patches.suse/rbd-move-structs-used-by-lio-rbd-to-new-header.patch:
  (fate#318836).
  + rebase and expose bvecs instead of sgl API for data payload
- Refresh
  patches.suse/rbd-export-some-functions-used-by-lio-rbd-backend.patch:
  (fate#318836).
  + export bvecs API for data payload
- commit d3df489
* Fri Jan 17 2020 ddiss@suse.de
- Deletions for target_core_rbd refactoring
- Drop upstreamed patches
  patches.suse/target-configfs-add-device-vendor_id-attribute.patch
  patches.suse/target-remove-hardcoded-T10-Vendor-ID-in-INQUIRY-res.patch
- Merge with target-add-rbd-backend.patch
  patches.suse/0001-target_core_rbd-use-RCU-in-free_device.patch
  patches.suse/0002-target_core_rbd-break-up-free_device-callback.patch
  patches.suse/target-rbd-don-t-put-snap_context-twice.patch
  patches.suse/target-rbd-handle-zero-length-UNMAP-requests-early.patch
  patches.suse/target-rbd-use-target_configure_unmap_from_queue-hel.patch
- Remove rbd sgl patches following target_core_rbd bvec conversion
  patches.suse/libceph-add-scatterlist-messenger-data-type.patch
  patches.suse/libceph-fix-scatterlist-last_piece-calculation.patch
  patches.suse/rbd-add-support-for-scatterlist-obj_request_type.patch
  patches.suse/rbd-handle-OBJ_REQUEST_SG-types-for-copyup.patch
- Drop compare-and-write support pending bvecs conversion
  patches.suse/0001-rbd-drop-extra-rbd_img_request_get.patch
  patches.suse/libceph-add-support-for-CMPEXT-compare-extent-reques.patch
  patches.suse/rbd-add-num-ops-calculator-helper.patch
  patches.suse/rbd-add-support-for-COMPARE_AND_WRITE-CMPEXT.patch
  patches.suse/rbd-copy-compare-and-write-osd-requests-before-resub.patch
  patches.suse/rbd-don-t-log-miscompare-as-an-error.patch
  patches.suse/rbd-helper-to-copy-compare-and-write-osd-requests.patch
  patches.suse/rbd-truncate-objects-on-cmpext-short-reads.patch
  patches.suse/target-add-COMPARE_AND_WRITE-sg-creation-helper.patch
  patches.suse/target-add-compare-and-write-callback.patch
  patches.suse/target-compare-and-write-backend-driver-sense-handli.patch
  patches.suse/target-rbd-remove-caw_mutex-usage.patch
  patches.suse/rbd-add-write-test-helper.patch
- Drop SCSI Reservation support pending upstream discussion
  patches.suse/0002-rbd-make-sure-pages-are-freed-by-libceph.patch
  patches.suse/ceph-osd_client-add-support-for-CEPH_OSD_OP_GETXATTR.patch
  patches.suse/libceph-fix-pr_fmt-compile-issues.patch
  patches.suse/rbd-add-cmpsetattr-device-attribute-for-debugging.patch
  patches.suse/rbd-add-getxattr-device-attribute-for-debugging.patch
  patches.suse/rbd-add-rbd_dev_cmpsetxattr-helper.patch
  patches.suse/rbd-add-rbd_dev_getxattr-helper.patch
  patches.suse/rbd-add-rbd_dev_setxattr-helper.patch
  patches.suse/rbd-add-setxattr-device-attribute-for-debugging.patch
  patches.suse/rbd-do-away-with-obj_request-in-cmpsetxattr.patch
  patches.suse/rbd-do-away-with-obj_request-in-getxattr.patch
  patches.suse/rbd-do-away-with-obj_request-in-setxattr.patch
  patches.suse/target-fix-tcm_rbd_gen_it_nexus-for-emulated-XCOPY-s.patch
  patches.suse/target-pr-add-backend-API-for-reservation-handling.patch
  patches.suse/target-pr-fix-core_scsi3_pr_seq_non-caller.patch
  patches.suse/target-pr-split-out-and-export-core_scsi3_pr_seq_non.patch
  patches.suse/target-rbd-SCSI3-check-conflict-support.patch
  patches.suse/target-rbd-add-SCSI2-reservation-entry-to-PR-info.patch
  patches.suse/target-rbd-add-pr_clear-support.patch
  patches.suse/target-rbd-add-pr_preempt-support.patch
  patches.suse/target-rbd-add-pr_read_reservation-support.patch
  patches.suse/target-rbd-add-pr_release-support.patch
  patches.suse/target-rbd-add-pr_report_capabilities-support.patch
  patches.suse/target-rbd-add-pr_reserve-support.patch
  patches.suse/target-rbd-add-stubbed-out-pr_read_full_status.patch
  patches.suse/target-rbd-add-stubbed-out-pr_register_and_move.patch
  patches.suse/target-rbd-add-support-for-PR-register-read-keys.patch
  patches.suse/target-rbd-fix-PR-info-memory-leaks.patch
  patches.suse/target-rbd-handle-SCSI2-reservation-release-on-reset.patch
  patches.suse/target-rbd-implement-SCSI2-reservation-handling.patch
- Remove write-same support pending bvecs conversion
  patches.suse/libceph-add-support-for-write-same-requests.patch
  patches.suse/libceph-use-upstream-write-same-opcode.patch
  patches.suse/rbd-add-support-for-writesame-requests.patch
- commit 1277a52
* Thu Jan 16 2020 tiwai@suse.de
- Documentation/ABI: Add missed attribute for mlxreg-io sysfs
  interfaces (git-fixes).
- Documentation/ABI: Fix documentation inconsistency for mlxreg-io
  sysfs interfaces (git-fixes).
- commit 4873021
* Thu Jan 16 2020 tiwai@suse.de
- platform/x86: asus-wmi: Fix keyboard brightness cannot be set
  to 0 (git-fixes).
- platform/x86: GPD pocket fan: Use default values when wrong
  modparams are given (git-fixes).
- platform/mellanox: fix potential deadlock in the tmfifo driver
  (git-fixes).
- commit 0bb7471
* Thu Jan 16 2020 jeyu@suse.de
- Delete patches.suse/x86-cpu_entry_area-Map-also-trace_idt_table.patch.
  The real fixes have been upstream since v4.14.
- commit 46e9a10
* Thu Jan 16 2020 tbogendoerfer@suse.de
- i40iw: Remove setting of VMA private data and use
  rdma_user_mmap_io (jsc#SLE-8449).
- IB/hfi1: Adjust flow PSN with the correct resync_psn
  (jsc#SLE-8449).
- IB/hfi1: Don't cancel unused work item (jsc#SLE-8449).
- RDMA/bnxt_re: Fix Send Work Entry state check while polling
  completions (jsc#SLE-8372 bsc#1153275).
- RDMA/bnxt_re: Avoid freeing MR resources if dereg fails
  (jsc#SLE-8372 bsc#1153275).
- netfilter: conntrack: dccp, sctp: handle null timeout argument
  (bsc#1154353).
- netfilter: arp_tables: init netns pointer in xt_tgchk_param
  struct (bsc#1154353).
- macvlan: do not assume mac_header is set in macvlan_broadcast()
  (bsc#1154353).
- net: sch_prio: When ungrafting, replace with FIFO (bsc#1154353).
- mlxsw: spectrum_qdisc: Ignore grafting of invisible FIFO
  (bsc#1154488).
- gtp: fix bad unlock balance in gtp_encap_enable_socket
  (bsc#1154353).
- pkt_sched: fq: do not accept silly TCA_FQ_QUANTUM (bsc#1154353).
- net/mlx5: DR, Init lists that are used in rule's member
  (jsc#SLE-8464).
- net/mlx5e: Fix hairpin RSS table size (jsc#SLE-8464).
- net/mlx5: DR, No need for atomic refcount for internal SW
  steering resources (jsc#SLE-8464).
- Revert "net/mlx5: Support lockless FTE read lookups"
  (jsc#SLE-8464).
- net/mlx5: Move devlink registration before interfaces load
  (jsc#SLE-8464).
- net/mlx5e: Always print health reporter message to dmesg
  (jsc#SLE-8464).
- net/mlx5e: Avoid duplicating rule destinations (jsc#SLE-8464).
- sctp: free cmd->obj.chunk for the unprocessed SCTP_CMD_REPLY
  (bsc#1154353).
- net: Google gve: Remove dma_wmb() before ringing doorbell
  (bsc#1154353).
- sch_cake: avoid possible divide by zero in cake_enqueue()
  (bsc#1154353).
- tcp: fix "old stuff" D-SACK causing SACK to be treated as D-SACK
  (bsc#1154353).
- commit b1356f9
* Thu Jan 16 2020 wqu@suse.com
- Delete
  patches.suse/btrfs-suspend-qgroups-during-relocation-recovery.patch.
  This patch is no longer needed for v5.3. Since v5.1 we have proper
  qgroup + balance optimization to avoid unnecessary rescan.
- commit b92eedd
* Thu Jan 16 2020 wqu@suse.com
- Delete
  patches.suse/0001-btrfs-qgroup-Make-qgroup-async-transaction-commit-mo.patch.
  This patch is already upstreamed in v5.1, thus already included.
- commit 5b34f2a
* Thu Jan 16 2020 rgoldwyn@suse.com
- overlayfs: pseudo dev obviates treating btrfs as different
  Delete patches.suse/ovl-treat-btrfs-as-different-mount.patch.
- commit e1e67d4
* Wed Jan 15 2020 rgoldwyn@suse.com
- apparmor: Delete apparmor patches not required for v5.3
- Delete
  patches.suse/0001-apparmor-fix-unnecessary-creation-of-net-compat.patch.
- Delete
  patches.suse/0001-apparmor-patch-to-provide-compatibility-with-v2.x-ne.patch.
- Delete
  patches.suse/0003-apparmor-fix-use-after-free-in-sk_peer_label.patch.
- Delete patches.suse/apparmor-compatibility-with-v2.x-net.patch.
- commit faddc27
* Wed Jan 15 2020 mbrugger@suse.com
- supported.conf: mark gpio-mlxbf as supported
- commit 987e308
* Wed Jan 15 2020 tiwai@suse.de
- arm: Implement copy_thread_tls (git-fixes).
- drm/i915: Hold reference to intel_frontbuffer as we track
  activity (git-fixes).
- drm/i915/tgl: Drop Wa#1178 (git-fixes).
- ARM: vexpress: Set-up shared OPP table instead of individual
  for each CPU (git-fixes).
- commit 5a1c660
* Wed Jan 15 2020 tiwai@suse.de
- blacklist.conf: Add cosmetic entry for drivers/reset/Kconfig
- commit 9ca8239
* Wed Jan 15 2020 hare@suse.de
- acpi: disable deprecated warnings (bsc#1160977).
- commit 509dee8
* Wed Jan 15 2020 bp@suse.de
- Delete patches.suse/ras-cec-disable-cec.patch.
  Now we're behaving the same way as upstream.
- commit 9e8f6dc
* Wed Jan 15 2020 mbrugger@suse.com
- drivers: ipmi: Modify max length of IPMB packet (jsc#SLE-10262).
- drivers: ipmi: Support raw i2c packet in IPMB (jsc#SLE-10262).
- commit 856cc09
* Wed Jan 15 2020 mbrugger@suse.com
- supported.conf: mark ipmb_dev_int as supported (jsc#SLE-10262)
  Also mentioned in  bsc#1119861
- commit 995fffc
* Wed Jan 15 2020 mbrugger@suse.com
- ipmi: fix ipmb_poll()'s return type (jsc#SLE-10262).
- commit 96db5f2
* Wed Jan 15 2020 oneukum@suse.com
- Update
  patches.suse/USB-Fix-Don-t-skip-endpoint-descriptors-with-maxpack.patch
  (bsc#1159811 bsc#1152932).
  Added further bug this fixes
- commit 698a1af
* Wed Jan 15 2020 vbabka@suse.cz
- Refresh
  patches.suse/mm-debug_pagealloc-don-t-rely-on-static-keys-too-ear.patch.
- Update to final upstream version and move to sorted section.
- commit 0b6c359
* Wed Jan 15 2020 tiwai@suse.de
- keys: Fix request_key() cache (git-fixes).
- i2c: fix bus recovery stop mode timing (git-fixes).
- usb: musb: Disable pullup at init (git-fixes).
- USB-PD tcpm: bad warning+size, PPS adapters (git-fixes).
- USB: serial: option: add ZLP support for 0x1bc7/0x9010
  (git-fixes).
- phy/rockchip: inno-hdmi: round clock rate down to closest 1000
  Hz (git-fixes).
- phy: mapphone-mdm6600: Fix uninitialized status value regression
  (git-fixes).
- chardev: Avoid potential use-after-free in 'chrdev_open()'
  (git-fixes).
- staging: rtl8188eu: Add device code for TP-Link TL-WN727N v5.21
  (git-fixes).
- staging: vt6656: set usb_set_intfdata on driver fail
  (git-fixes).
- staging: vt6656: remove bool from vnt_radio_power_on ret
  (git-fixes).
- staging: vt6656: limit reg output to block size (git-fixes).
- staging: vt6656: correct return of vnt_init_registers
  (git-fixes).
- staging: vt6656: Fix non zero logical return of, usb_control_msg
  (git-fixes).
- tty: always relink the port (git-fixes).
- drm/i915: Add Wa_1407352427:icl,ehl (git-fixes).
- drm/i915: Add Wa_1408615072 and Wa_1407596294 to icl,ehl
  (git-fixes).
- gpiolib: acpi: Add honor_wakeup module-option + quirk mechanism
  (git-fixes).
- gpiolib: acpi: Turn dmi_system_id table into a generic quirk
  table (git-fixes).
- Input: add safety guards to input_set_keycode() (git-fixes).
- HID: hid-input: clear unmapped usages (git-fixes).
- HID: Fix slab-out-of-bounds read in hid_field_extract
  (git-fixes).
- tty: link tty and port before configuring it as console
  (git-fixes).
- commit cc6ecc7
* Tue Jan 14 2020 tiwai@suse.de
- drm/i915/gen9: Clear residual context state on context switch
  (CVE-2019-14615 bsc#1160195).
- commit d10cf58
* Tue Jan 14 2020 mbrugger@suse.com
- drivers: ipmi: Support for both IPMB Req and Resp
  (jsc#SLE-10262).
- commit a109ac6
* Tue Jan 14 2020 mbrugger@suse.com
- EDAC, mellanox: Add ECC support for BlueField DDR4
  (jsc#SLE-10262).
- Update config files. Build EDAC_BLUEFIELD as module
- supported.conf: Mark bluefield_edac as supported
- commit bda0819
* Tue Jan 14 2020 mbrugger@suse.com
- platform/mellanox: fix the mlx-bootctl sysfs (jsc#SLE-10262).
- commit c5d7bab
* Tue Jan 14 2020 mbrugger@suse.com
- platform/mellanox: Fix Kconfig indentation (jsc#SLE-10262).
- platform/mellanox: Add bootctl driver for Mellanox BlueField
  Soc (jsc#SLE-10262).
- Update config files: build MLXBF_BOOTCTL as module
- supported.conf: add mlxbf-bootctl
- driver core: add dev_groups to all drivers (jsc#SLE-10262).
- commit 619e678
* Tue Jan 14 2020 mgorman@suse.de
- sched, fair: Allow a small load imbalance between low
  utilisation SD_NUMA domains (bnc#1160896).
- commit fef7d8c
* Tue Jan 14 2020 jeyu@suse.de
- blacklist.conf: Blacklist a11391b6f506 ("scripts: package: mkdebian: add missing rsync dependency")
- commit 4a86d94
* Tue Jan 14 2020 nsaenzjulienne@suse.de
- thermal: Add BCM2711 thermal driver (bsc#1160311).
- Update config files.
- supported.conf: Add bcm2711-thermal
- commit 8743e23
* Tue Jan 14 2020 nsaenzjulienne@suse.de
- scripts/git_sort/git_sort.py: Add thermal tree
- commit b511c78
* Tue Jan 14 2020 trenn@suse.com
- Refresh patches.suse/pstore-backend-autoaction.
- commit 62c0377
* Mon Jan 13 2020 msuchanek@suse.de
- powerpc/pmem: Fix kernel crash due to wrong range value usage
  in flush_dcache_range (bsc#1156395).
- commit 252a29d
* Mon Jan 13 2020 mkubecek@suse.cz
- Update references:
  patches.suse/x86-fpu-Don-t-cache-access-to-fpu_fpregs_owner_ctx.patch
  (add bsc#1158887).
- commit b4c1446
* Mon Jan 13 2020 msuchanek@suse.de
- powerpc/mm: Mark get_slice_psize() & slice_addr_is_low()
  as notrace (bsc#1156395).
- powerpc: Fix __clear_user() with KUAP enabled (bsc#1156395).
- powerpc/fixmap: Use __fix_to_virt() instead of fix_to_virt()
  (bsc#1156395).
- powerpc: Chunk calls to flush_dcache_range in arch_*_memory
  (bsc#1156395).
- commit bb8bcdd
* Mon Jan 13 2020 fdmanana@suse.com
- Btrfs: fix infinite loop during nocow writeback due to race
  (bsc#1160804).
- commit ef1dd9a
* Mon Jan 13 2020 fdmanana@suse.com
- Btrfs: fix removal logic of the tree mod log that leads to
  use-after-free issues (bsc#1160803).
- commit d3f68f5
* Mon Jan 13 2020 mbenes@suse.cz
- tracing: Change offset type to s32 in preempt/irq tracepoints
  (bsc#1160794).
- commit 3de9401
* Mon Jan 13 2020 mbenes@suse.cz
- kernel/trace: Fix do not unregister tracepoints when register
  sched_migrate_task fail (bsc#1160787).
- commit 11f6e8d
* Mon Jan 13 2020 mbenes@suse.cz
- ftrace: Avoid potential division by zero in function profiler
  (bsc#1160784).
- commit 55123bf
* Mon Jan 13 2020 mbenes@suse.cz
- blacklist.conf: b8299d362d08 ("tracing: Have stack tracer compile when MCOUNT_INSN_SIZE is not defined")
  We cannot run into the scenario with our codebase and configs.
- commit 1491d6e
* Mon Jan 13 2020 bp@suse.de
- Update
  patches.suse/x86-fpu-Don-t-cache-access-to-fpu_fpregs_owner_ctx.patch
  (bnc#1151927 5.3.15 CVE-2019-19602).
  Add CVE number.
- commit c2d738c
* Mon Jan 13 2020 tiwai@suse.de
- Move upstreamed qlde patches into sorted section
- commit 8ed9cca
* Mon Jan 13 2020 dkirjanov@suse.com
- patches.suse/0010-netfilter-ipset-avoid-null-deref-when-IPSET_ATTR_LIN.patch:
  (git-fixes).
- patches.suse/0011-netfilter-nft_flow_offload-fix-underflow-in-flowtabl.patch:
  (git-fixes).
- patches.suse/0012-netfilter-bridge-make-sure-to-pull-arp-header-in-br_.patch:
  (git-fixes).
- patches.suse/0009-net-phy-broadcom-Fix-RGMII-delays-configuration-for-.patch:
  (git-fixes).
- patches.suse/0008-net-stmmac-Fix-TSO-descriptor-with-Enhanced-Addressi.patch:
  (git-fixes).
- patches.suse/0007-net-stmmac-selftests-Prevent-false-positives-in-filt.patch:
  (git-fixes).
- patches.suse/0006-net-stmmac-selftests-Fix-L2-Hash-Filter-test.patch:
  (git-fixes).
- patches.suse/0005-net-stmmac-gmac4-Not-all-Unicast-addresses-may-be-av.patch:
  (git-fixes).
- patches.suse/0004-net-stmmac-selftests-Check-if-filtering-is-available.patch:
  (git-fixes).
- patches.suse/0003-net-stmmac-xgmac-Disable-the-Timestamp-interrupt-by-.patch:
  (git-fixes).
- net: stmmac: dwmac-meson8b: Fix signedness bug in probe
  (git-fixes).
- patches.suse/0001-netfilter-nf_tables_offload-avoid-excessive-stack-us.patch:
  (git-fixes).
- commit aa9a965
* Mon Jan 13 2020 palcantara@suse.de
- Delete patches.suse/cifs-fix-set-info.patch.
  Applied to v4.12+, not needed anymore.
- commit b070525
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: hide another #warning'
- commit b0c0990
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: revert "disable bulk moves for now"'
- commit 8d0546c
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: Fix KFD-related kernel oops on Hawaii'
- commit c48f714
* Mon Jan 13 2020 tzimmermann@suse.de
- drm/meson: vclk: use the correct G12A frac max value (bsc#1152489)
- commit 7b38ed0
* Mon Jan 13 2020 tzimmermann@suse.de
- drm/mipi-dbi: fix a loop in debugfs code (bsc#1152489)
- commit d510e3b
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix g4x sprite scaling stride check with GTT remapping'
- commit cf03598
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp: Fix dsc bpp calculations, v5.'
- commit 44b95e2
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Mark contents as dirty on a write fault'
- commit fa91ba4
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Bump skl+ max plane width to 5k for linear/x-tiled'
- commit 9d6eb9a
* Mon Jan 13 2020 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Don't mix srcu tag and negative error codes'
- commit e879648
* Mon Jan 13 2020 msuchanek@suse.de
- powerpc/irq: fix stack overflow verification (bsc#1065729).
- commit 3c46adb
* Mon Jan 13 2020 nsaenzjulienne@suse.de
- Delete patches.suse/firmware-arm_sdei-fix-wrong-of_node_put-in-init-function.patch.
  Applied to v5.0, not needed anymore.
- commit a8b4a26
* Mon Jan 13 2020 msuchanek@suse.de
- powerpc/mm: drop #ifdef CONFIG_MMU in is_ioremap_addr()
  (bsc#1065729).
- powerpc/security: Fix debugfs data leak on 32-bit (bsc#1065729).
- powerpc/pkeys: remove unused pkey_allows_readwrite
  (bsc#1065729).
- powerpc/64s/radix: Fix build failure with RADIX_MMU=n
  (bsc#1065729).
- commit 710230e
* Mon Jan 13 2020 tiwai@suse.de
- HID: hidraw, uhid: Always report EPOLLOUT (git-fixes).
- HID: hidraw: Fix returning EPOLLOUT from hidraw_poll
  (git-fixes).
- hidraw: Return EPOLLOUT from hidraw_poll (git-fixes).
- commit be1efe9
* Mon Jan 13 2020 hare@suse.de
- Enable SCSI patches after review
- Refresh patches.suse/fcoe-reduce-max_sectors.
- commit cdd6e89
* Mon Jan 13 2020 hare@suse.de
- Remove disabled NVMe patches after review
- Delete
  patches.suse/nvme-Do-not-remove-namespaces-during-reset.patch.
- Delete
  patches.suse/nvme-flush-scan_work-when-resetting-controller.patch.
- Delete
  patches.suse/nvme-schedule-requeue-whenever-a-LIVE-state-is-enter.patch.
- Delete
  patches.suse/nvme-skip-nvme_update_disk_info-if-the-controller-is.patch.
- commit 0f8d58e
* Mon Jan 13 2020 tiwai@suse.de
- vlan: vlan_changelink() should propagate errors (git-fixes).
- vlan: fix memory leak in vlan_dev_set_egress_priority
  (git-fixes).
- vxlan: fix tos value before xmit (git-fixes).
- commit cb7ad7e
* Mon Jan 13 2020 tiwai@suse.de
- usb: missing parentheses in USE_NEW_SCHEME (git-fixes).
- usb: ohci-da8xx: ensure error return on variable error is set
  (git-fixes).
- usb: musb: fix idling for suspend after disconnect interrupt
  (git-fixes).
- USB: serial: option: add Telit ME910G1 0x110a composition
  (git-fixes).
- usb: chipidea: host: Disable port power only if previously
  enabled (git-fixes).
- usb: dwc3: gadget: Fix request complete check (git-fixes).
- usb: musb: dma: Correct parameter passed to IRQ handler
  (git-fixes).
- USB: core: fix check for duplicate endpoints (git-fixes).
- sbitmap: only queue kyber's wait callback if not already active
  (git-fixes).
- rfkill: Fix incorrect check to avoid NULL pointer dereference
  (git-fixes).
- usb: typec: fusb302: Fix an undefined reference to
  'extcon_get_state' (git-fixes).
- regulator: fix use after free issue (git-fixes).
- spi: spi-ti-qspi: Fix a bug when accessing non default CS
  (git-fixes).
- spi: spi-cavium-thunderx: Add missing pci_release_regions()
  (git-fixes).
- spi: pxa2xx: Add support for Intel Jasper Lake (git-fixes).
- reset: Do not register resource data for missing resets
  (git-fixes).
- USB: dummy-hcd: use usb_urb_dir_in instead of usb_pipein
  (git-fixes).
- commit fb98c64
* Mon Jan 13 2020 tiwai@suse.de
- phy: cpcap-usb: Fix flakey host idling and enumerating of
  devices (git-fixes).
- phy: cpcap-usb: Fix error path when no host driver is loaded
  (git-fixes).
- powercap: intel_rapl: add NULL pointer check to
  rapl_mmio_cpu_online() (git-fixes).
- pstore/ram: Regularize prz label allocation lifetime
  (git-fixes).
- pinctrl: meson: Fix wrong shift value when get drive-strength
  (git-fixes).
- pinctrl: lochnagar: select GPIOLIB (git-fixes).
- net: ethernet: ti: davinci_cpdma: fix warning "device driver
  frees DMA memory with different size" (git-fixes).
- psi: Fix a division error in psi poll() (git-fixes).
- net: ethernet: ti: ale: clean ale tbl on init and intf restart
  (git-fixes).
- net: ethernet: ti: Add dependency for TI_DAVINCI_EMAC
  (git-fixes).
- commit f56a8be
* Mon Jan 13 2020 tiwai@suse.de
- net: usb: lan78xx: fix possible skb leak (git-fixes).
- net: phylink: fix failure to register on x86 systems
  (git-fixes).
- commit dfe6464
* Mon Jan 13 2020 tiwai@suse.de
- i2c: bcm2835: Store pointer to bus clock (git-fixes).
- mtd: onenand: omap2: Pass correct flags for prep_dma_memcpy
  (git-fixes).
- mtd: rawnand: stm32_fmc2: avoid to lock the CPU bus (git-fixes).
- Input: input_event - fix struct padding on sparc64 (git-fixes).
- commit 016c9c2
* Mon Jan 13 2020 tiwai@suse.de
- gpio: zynq: Fix for bug in zynq_gpio_restore_context API
  (git-fixes).
- HID: hiddev: fix mess in hiddev_open() (git-fixes).
- HID: uhid: Fix returning EPOLLOUT from uhid_char_poll
  (git-fixes).
- efi/gop: Fix memory leak in __gop_query32/64() (git-fixes).
- efi/gop: Return EFI_SUCCESS if a usable GOP was found
  (git-fixes).
- efi/gop: Return EFI_NOT_FOUND if there are no usable GOPs
  (git-fixes).
- commit 07644ef
* Mon Jan 13 2020 ptesarik@suse.cz
- Delete patches.suse/s390-sles15-05-01-gmb.patch (unused code).
- commit 396bd69
* Mon Jan 13 2020 tiwai@suse.de
- staging: comedi: adv_pci1710: fix AI channels 16-31 for PCI-1713
  (git-fixes).
- drm/i915/gt: Mark up virtual engine uabi_instance (git-fixes).
- drm/fb-helper: Round up bits_per_pixel if possible (git-fixes).
- drm/sun4i: tcon: Set RGB DCLK min. divider based on hardware
  model (git-fixes).
- drm/dp_mst: correct the shifting in DP_REMOTE_I2C_READ
  (git-fixes).
- cfg80211: fix double-free after changing network namespace
  (git-fixes).
- drm/exynos: gsc: add missed component_del (git-fixes).
- commit 9472262
* Mon Jan 13 2020 tiwai@suse.de
- can: mscan: mscan_rx_poll(): fix rx path lockup when returning
  from polling to irq mode (git-fixes).
- can: gs_usb: gs_usb_probe(): use descriptors of current
  altsetting (git-fixes).
- can: kvaser_usb: fix interface sanity check (git-fixes).
- can: can_dropped_invalid_skb(): ensure an initialized headroom
  in outgoing CAN sk_buffs (git-fixes).
- commit d7cc7b3
* Mon Jan 13 2020 ptesarik@suse.cz
- Delete patches.suse/s390-sles15-bpf-indirect-call.patch (code removed).
- commit 5611b27
* Mon Jan 13 2020 tiwai@suse.de
- ALSA: hda: enable regmap internal locking (git-fixes).
- ALSA: hda/realtek - Add quirk for the bass speaker on Lenovo
  Yoga X1 7th gen (git-fixes).
- ALSA: hda/realtek - Set EAPD control to default for ALC222
  (git-fixes).
- ASoC: topology: Prevent use-after-free in
  snd_soc_get_pcm_runtime() (git-fixes).
- ASoC: fsl_audmix: add missed pm_runtime_disable (git-fixes).
- ASoC: stm32: spdifrx: fix input pin state management
  (git-fixes).
- ASoC: stm32: spdifrx: fix race condition in irq handler
  (git-fixes).
- ASoC: stm32: spdifrx: fix inconsistent lock state (git-fixes).
- ASoC: soc-core: Set dpcm_playback / dpcm_capture (git-fixes).
- ASoC: SOF: fix fault at driver unload after failed probe
  (git-fixes).
- ALSA: usb-audio: Apply the sample rate quirk for Bose Companion
  5 (git-fixes).
- ALSA: hda/realtek - Add new codec supported for ALCS1200A
  (git-fixes).
- commit 2b19b57
* Mon Jan 13 2020 ptesarik@suse.cz
- Delete outdated kmsg patches:
  - patches.suse/s390-sles15sp1-kmsg-update-2019-01-10.patch
  - patches.suse/s390-sles15sp1-kmsg-update-2019-03-08.patch
  - patches.suse/s390-sles15-00-04-04-kmsg-add-VNIC-Characteristics-msg-documentation.patch
- commit 687aa24
* Mon Jan 13 2020 jroedel@suse.de
- iommu/vt-d: Unlink device if failed to add to group
  (bsc#1160752).
- iommu: Remove device link to group on failure (bsc#1160750).
- iommu/vt-d: Fix adding non-PCI devices to Intel IOMMU
  (bsc#1160751).
- commit 0ea0858
* Mon Jan 13 2020 glin@suse.com
- bpf: Fix passing modified ctx to ld/abs/ind instruction
  (bsc#1155518).
- bpf: cgroup: prevent out-of-order release of cgroup bpf
  (bsc#1155518).
- commit 0a9f272
* Mon Jan 13 2020 hare@suse.de
- megaraid_sas: fixup MSIx interrupt setup during resume
  (bsc#1160647).
- commit c59143f
* Mon Jan 13 2020 clin@suse.com
- devpts_pty_kill(): don't bother with d_delete() (jsc#SLE-9943).
- commit 7312898
* Fri Jan 10 2020 ptesarik@suse.cz
- Update config options that were missing on arm64 in commit
  7dd255172f6798f5ec3ab63db55384fbd980125e (bsc#1158776).
- commit 597cc24
* Fri Jan 10 2020 ptesarik@suse.cz
- Set CONFIG_LOG_CPU_MAX_BUF_SHIFT=12 on arm64 (bsc#1158776).
- commit 855731d
* Fri Jan 10 2020 ptesarik@suse.cz
- Enable CONFIG_VMAP_STACK on arm64 (bsc#1158776).
- commit 51f78da
* Fri Jan 10 2020 ptesarik@suse.cz
- Disable CONFIG_PCCARD on arm64 (bsc#1158776).
- commit 04bc6eb
* Fri Jan 10 2020 nsaenzjulienne@suse.de
- supported.conf: Enable mdio-bcm-unimac (bsc#1160310)
  Needed in order for Raspberry Pi 4's ethernet port to work.
- commit 8c2fc6c
* Fri Jan 10 2020 jeyu@suse.de
- export: avoid code duplication in include/linux/export.h
  (jsc#SLE-10158).
- modpost: remove unneeded local variable in contains_namespace()
  (jsc#SLE-10158).
- scripts/nsdeps: support nsdeps for external module builds
  (jsc#SLE-10158).
  Refresh	patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
- modpost: dump missing namespaces into a single modules.nsdeps
  file (jsc#SLE-10158).
  Refresh	patches.suse/supported-flag
- modpost: free ns_deps_buf.p after writing ns_deps files
  (jsc#SLE-10158).
- modpost: do not invoke extra modpost for nsdeps (jsc#SLE-10158).
  Refresh
  patches.suse/supported-flag
  patches.suse/supported-flag-external
- scripts/nsdeps: make sure to pass all module source files to
  spatch (jsc#SLE-10158).
- scripts/nsdeps: use alternative sed delimiter (jsc#SLE-10158).
- symbol namespaces: revert to previous __ksymtab name scheme
  (jsc#SLE-10158).
- modpost: make updating the symbol namespace explicit
  (jsc#SLE-10158).
- modpost: delegate updating namespaces to separate function
  (jsc#SLE-10158).
- doc: move namespaces.rst from kbuild/ to core-api/
  (jsc#SLE-10158).
- nsdeps: make generated patches independent of locale
  (jsc#SLE-10158).
- nsdeps: fix hashbang of scripts/nsdeps (jsc#SLE-10158).
- kbuild: fix build error of 'make nsdeps' in clean tree
  (jsc#SLE-10158).
- module: rename __kstrtab_ns_* to __kstrtabns_* to avoid symbol
  conflict (jsc#SLE-10158).
- modpost: fix broken sym->namespace for external module builds
  (jsc#SLE-10158).
- module: swap the order of symbol.namespace (jsc#SLE-10158).
- scripts: add_namespace: Fix coccicheck failed (jsc#SLE-10158).
- module: Fix link failure due to invalid relocation on namespace
  offset (jsc#SLE-10158).
- usb-storage: export symbols in USB_STORAGE namespace
  (jsc#SLE-10158).
- usb-storage: remove single-use define for debugging
  (jsc#SLE-10158).
- docs: Add documentation for Symbol Namespaces (jsc#SLE-10158).
- scripts: Coccinelle script for namespace dependencies
  (jsc#SLE-10158).
  Refresh
  patches.suse/supported-flag
  patches.suse/supported-flag-external
- modpost: add support for generating namespace dependencies
  (jsc#SLE-10158).
  Refresh	patches.suse/supported-flag
- export: allow definition default namespaces in Makefiles or
  sources (jsc#SLE-10158).
- module: add config option MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS
  (jsc#SLE-10158).
  Refresh configs (add MODULE_ALLOW_MISSING_NAMESPACE_IMPORTS=n).
- modpost: add support for symbol namespaces (jsc#SLE-10158).
  Refresh	patches.suse/livepatch-modpost-ignore-unresolved-symbols.patch
- module: add support for symbol namespaces (jsc#SLE-10158).
- export: explicitly align struct kernel_symbol (jsc#SLE-10158).
- module: support reading multiple values per modinfo tag
  (jsc#SLE-10158).
- commit 4ff553d
* Fri Jan 10 2020 ptesarik@suse.cz
- Enable CONFIG_SECURITY_DMESG_RESTRICT on arm64 (bsc#1158776).
- commit 08863e8
* Fri Jan 10 2020 mkubecek@suse.cz
- supported.conf: fix order of the entries
- commit 8e2c146
* Fri Jan 10 2020 hare@suse.de
- scsi: add 'disable_async_probing' module argument
  (jsc#SLE-11117,bsc#1156954).
- drivers/base: implement dev_enable_async_probe()
  (jsc#SLE-11117,bsc#1156954).
- commit cbc6624
* Fri Jan 10 2020 jlee@suse.com
- Update config files. (bsc#1160067)
  Disable CONFIG_KEYS_REQUEST_CACHE.
  The CONFIG_KEYS_REQUEST_CACHE adds a cache in task_struct for the result
  of request_key(). But it causes kernel NULL pointer dereference problem
  when we run the long-run testing by the request_key03 test case in LTP.
  The issue can be reproduced on v5.3 mainline kernel and later, even on
  v5.5-rc kernel. The CONFIG_KEYS_REQUEST_CACHE be introduced by
  7743c48e54ee9be9c patch since v5.3 kernel:
  commit 7743c48e54ee9be9c799cbf3b8e3e9f2b8d19e72
  Author: David Howells <dhowells@redhat.com>
  Date:   Wed Jun 19 16:10:15 2019 +0100
    keys: Cache result of request_key*() temporarily in task_struct
  Before this issue be fixed on kernel upstream, Let's disable the
  CONFIG_KEYS_REQUEST_CACHE function on SLE15-SP2 on all architecture.
- commit f6f29a6
* Thu Jan  9 2020 lduncan@suse.com
- scsi: libsas: stop discovering if oob mode is disconnected
  (CVE-2019-19965 bsc#1159911).
- commit 0bb4d37
* Thu Jan  9 2020 tiwai@suse.de
- serial: sprd: Add clearing break interrupt operation
  (git-fixes).
- staging/wlan-ng: add CRC32 dependency in Kconfig (git-fixes).
- usb: gadget: fix wrong endpoint desc (git-fixes).
- selftests: breakpoints: Fix a typo of function name (git-fixes).
- commit 1096b35
* Thu Jan  9 2020 tiwai@suse.de
- samples/seccomp: Zero out members based on seccomp_notif_sizes
  (git-fixes).
- rseq/selftests: Fix: Namespace gettid() for compatibility with
  glibc 2.30 (git-fixes).
- samples/trace_printk: Wait for IRQ work to finish (git-fixes).
- samples: pktgen: fix proc_cmd command result check logic
  (git-fixes).
- commit 168e639
* Thu Jan  9 2020 tiwai@suse.de
- rpmsg: glink: Free pending deferred work on remove (git-fixes).
- rpmsg: glink: Don't send pending rx_done during remove
  (git-fixes).
- rpmsg: glink: Fix rpmsg_register_device err handling
  (git-fixes).
- rpmsg: glink: Put an extra reference during cleanup (git-fixes).
- rpmsg: glink: Fix use after free in open_ack TIMEOUT case
  (git-fixes).
- rpmsg: glink: Fix reuse intents memory leak issue (git-fixes).
- rpmsg: glink: Set tail pointer to 0 at end of FIFO (git-fixes).
- commit eefcc8c
* Thu Jan  9 2020 tiwai@suse.de
- ptp: fix the race between the release of ptp_clock and cdev
  (git-fixes).
- phy: renesas: phy-rcar-gen2: Fix the array off by one warning
  (git-fixes).
- PM / hibernate: memory_bm_find_bit(): Tighten node optimisation
  (git-fixes).
- commit 8fdacf8
* Thu Jan  9 2020 ptesarik@suse.cz
- s390/qeth: fix initialization on old HW (bsc#1160228
  LTC#183076).
- commit 4565d24
* Thu Jan  9 2020 tiwai@suse.de
- media: pulse8-cec: fix lost cec_transmit_attempt_done() call
  (git-fixes).
- media: cec: avoid decrementing transmit_queue_sz if it is 0
  (git-fixes).
- media: cec: CEC 2.0-only bcast messages were ignored
  (git-fixes).
- net: phy: aquantia: add suspend / resume ops for AQR105
  (git-fixes).
- gpiolib: fix up emulated open drain outputs (git-fixes).
- net: usb: lan78xx: Fix error message format specifier
  (git-fixes).
- net: usb: lan78xx: Fix suspend/resume PHY register access error
  (git-fixes).
- iio: st_accel: Fix unused variable warning (git-fixes).
- net: phy: dp83867: enable robust auto-mdix (git-fixes).
- commit 9ace80b
* Thu Jan  9 2020 ptesarik@suse.cz
- s390/qeth: fix dangling IO buffers after halt/clear (bsc#1160227
  LTC#183077).
- commit 889634e
* Thu Jan  9 2020 tiwai@suse.de
- drm/amdgpu/smu: add metrics table lock for vega20 (v2)
  (git-fixes).
- drm/amdgpu/smu: add metrics table lock for navi (v2)
  (git-fixes).
- drm/amdgpu/smu: add metrics table lock (git-fixes).
- commit c292740
* Thu Jan  9 2020 tiwai@suse.de
- drm/amd/display: Reset steer fifo before unblanking the stream
  (git-fixes).
- drm/amd/display: Change the delay time before enabling FEC
  (git-fixes).
- drm/amd/display: Fixed kernel panic when booting with DP-to-HDMI
  dongle (git-fixes).
- drm/amdgpu: add cache flush workaround to gfx8 emit_fence
  (git-fixes).
- drm/amdgpu: add check before enabling/disabling broadcast mode
  (git-fixes).
- drm/nouveau/kms/nv50-: fix panel scaling (git-fixes).
- drm/nouveau: Fix drm-core using atomic code-paths on pre-nv50
  hardware (git-fixes).
- drm/nouveau: Move the declaration of struct nouveau_conn_atom
  up a bit (git-fixes).
- drm/i915/execlists: Fix annotation for decoupling virtual
  request (git-fixes).
- ath9k_htc: Discard undersized packets (git-fixes).
- ath9k_htc: Modify byte order for an error message (git-fixes).
- commit bd77fbc
* Thu Jan  9 2020 tiwai@suse.de
- ata: ahci_brcm: Add missing clock management during recovery
  (git-fixes).
- ata: ahci_brcm: BCM7425 AHCI requires AHCI_HFLAG_DELAY_ENGINE
  (git-fixes).
- ata: ahci_brcm: Fix AHCI resources management (git-fixes).
- ata: libahci_platform: Export again
  ahci_platform_<en/dis>able_phys() (git-fixes).
- commit 02d31e9
* Thu Jan  9 2020 mbenes@suse.cz
- s390/ftrace: save traced function caller (jsc#SLE-11050).
- commit df15586
* Thu Jan  9 2020 mbenes@suse.cz
- s390/unwind: stop gracefully at user mode pt_regs in irq stack
  (jsc#SLE-11050).
- commit cb8ad0f
* Thu Jan  9 2020 msuchanek@suse.de
- drivers/base/memory.c: cache blocks in radix tree to accelerate
  lookup (bsc#1159955 ltc#182993).
- commit a6f9349
* Wed Jan  8 2020 ailiopoulos@suse.com
- xfs: fix missed wakeup on l_flush_wait (git-fixes).
- commit b398e15
* Wed Jan  8 2020 ailiopoulos@suse.com
- iomap: iomap that extends beyond EOF should be marked dirty
  (git-fixes).
- commit 1ec5fb2
* Wed Jan  8 2020 ailiopoulos@suse.com
- xfs: use bitops interface for buf log item AIL flag check
  (git-fixes).
- commit 245f9d1
* Wed Jan  8 2020 ailiopoulos@suse.com
- xfs: change the seconds fields in xfs_bulkstat to signed
  (git-fixes).
- commit 225e4fb
* Wed Jan  8 2020 tiwai@suse.de
- tpm: Handle negative priv->response_len in tpm_common_read()
  (git-fixes).
- commit f84106a
* Wed Jan  8 2020 nsaenzjulienne@suse.de
- supported.conf: enable Raspberry Pi cpufreq driver (bsc#1160461).
  These drivers are required in order to enable CPU frequency scaling on
  the Raspberry Pi family of boards.
- commit 248458d
* Wed Jan  8 2020 tiwai@suse.de
- libertas: Fix two buffer overflows at parsing bss descriptor
  (CVE-2019-14896 bsc#1157157 CVE-2019-14897 bsc#1157155).
- commit 7117d1b
* Wed Jan  8 2020 yousaf.kaukab@suse.com
- PCI: mobiveil: Add PCIe Gen4 RC driver for NXP Layerscape SoCs (bsc#1161495).
- dt-bindings: PCI: Add NXP Layerscape SoCs PCIe Gen4 controller (bsc#1161495).
- PCI: mobiveil: Add 8-bit and 16-bit CSR register accessors (bsc#1161495).
- PCI: mobiveil: Make mobiveil_host_init() can be used to re-init host (bsc#1161495).
- PCI: mobiveil: Add callback function for link up check (bsc#1161495).
- PCI: mobiveil: Add callback function for interrupt initialization (bsc#1161495).
- PCI: mobiveil: Modularize the Mobiveil PCIe Host Bridge IP driver (bsc#1161495).
- PCI: mobiveil: Collect the interrupt related operations into a routine (bsc#1161495).
- PCI: mobiveil: Move the host initialization into a routine (bsc#1161495).
- PCI: mobiveil: Re-abstract the private structure (bsc#1161495).
- commit 3a1031d
* Wed Jan  8 2020 yousaf.kaukab@suse.com
- PCI: mobiveil: Fix csr_read()/write() build issue (bsc#1161495).
- commit 201a79d
* Wed Jan  8 2020 yousaf.kaukab@suse.com
- arm64: PCI: mobiveil: remove patchset v8
  References: bsc#1161495
  Prepare to backport patchset v9
- Delete
  patches.suse/PCI-mobiveil-Add-8-bit-and-16-bit-CSR-register-acces.patch.
- Delete
  patches.suse/PCI-mobiveil-Add-PCIe-Gen4-RC-driver-for-NXP-Layersc.patch.
- Delete
  patches.suse/PCI-mobiveil-Make-mobiveil_host_init-can-be-used-to-.patch.
- Delete
  patches.suse/PCI-mobiveil-Refactor-Mobiveil-PCIe-Host-Bridge-IP-d.patch.
- Refresh
  patches.suse/pci-brcmstb-add-broadcom-stb-pcie-host-controller-driver.patch.
- Refresh
  config/arm64/default
- commit 85f695c
* Wed Jan  8 2020 jroedel@suse.de
- iommu: Don't use sme_active() in generic code (bsc#1160320).
- commit c7574c0
* Wed Jan  8 2020 fdmanana@suse.com
- Btrfs: fix block group remaining RO forever after error during
  device replace (bsc#1160442).
- commit 3e5a343
* Wed Jan  8 2020 jroedel@suse.de
- Update patches.suse/iommu-vt-d-fix-dmar-pte-read-access-not-set-error
  (bsc#1160141, bsc#1159594, bsc#1159592).
- commit 0cb2587
* Wed Jan  8 2020 jroedel@suse.de
- Documentation: Update Documentation for iommu.passthrough
  (bsc#1160320).
- iommu: Disable passthrough mode when SME is active
  (bsc#1160320).
- iommu: Set default domain type at runtime (bsc#1160320).
- iommu: Print default domain type on boot (bsc#1160320).
- ia64: Get rid of iommu_pass_through (bsc#1160320).
- x86/dma: Get rid of iommu_pass_through (bsc#1160320).
- iommu/vt-d: Request passthrough mode from IOMMU core
  (bsc#1160320).
- iommu/amd: Request passthrough mode from IOMMU core
  (bsc#1160320).
- iommu: Use Functions to set default domain type in
  iommu_set_def_domain_type() (bsc#1160320).
- iommu: Add helpers to set/get default domain type (bsc#1160320).
- iommu: Remember when default domain type was set on kernel
  command line (bsc#1160320).
- commit fbe5ae4
* Wed Jan  8 2020 mkubecek@suse.cz
- Disable patches.suse/Documentation-ABI-mark-sys-kernel-fadump_-sysfs-file.patch
  For some reason, these changes result in "make htmldocs" stuck indefinitely
  so that kernel-docs fails to build. Whether it's a sphinx bug or some ReST
  formatting problem (or combination of both), more time will be needed to
  find a proper solution. As the offending patch touches only documentation,
  disable it for now so that we do not block Beta2 submission.
- commit ab61608
* Wed Jan  8 2020 tiwai@suse.de
- drm/sun4i: hdmi: Remove duplicate cleanup calls (git-fixes).
- drm/i915/gvt: Pin vgpu dma address before using (git-fixes).
- drm/i915/gvt: use vgpu lock for active state setting
  (git-fixes).
- drm/i915: Fix pid leak with banned clients (git-fixes).
- drm/i915/gem: Keep request alive while attaching fences
  (git-fixes).
- drm/i915: Fix WARN_ON condition for cursor plane ddb allocation
  (git-fixes).
- drm/i915: Set fence_work.ops before dma_fence_init (git-fixes).
- drm/i915/fbc: Disable fbc by default on all glk+ (git-fixes).
- drm/radeon: fix r1xx/r2xx register checker for POT textures
  (git-fixes).
- drm/amd/display: re-enable wait in pipelock, but add timeout
  (git-fixes).
- drm: limit to INT_MAX in create_blob ioctl (git-fixes).
- drm/amdgpu/gfx10: explicitly wait for cp idle after halt/unhalt
  (git-fixes).
- drm/amdgpu: Avoid accidental thread reactivation (git-fixes).
- drm/amdgpu: fix potential double drop fence reference
  (git-fixes).
- drm/amdgpu: disallow direct upload save restore list from gfx
  driver (git-fixes).
- drm/amd/display: correctly populate dpp refclk in fpga
  (git-fixes).
- drm/tegra: sor: Use correct SOR index on Tegra210 (git-fixes).
- drm/nouveau: Don't grab runtime PM refs for HPD IRQs
  (git-fixes).
- drm/gma500: fix memory disclosures due to uninitialized bytes
  (git-fixes).
- drm/bridge: dw-hdmi: Restore audio when setting a mode
  (git-fixes).
- drm/drm_vblank: Change EINVAL by the correct errno (git-fixes).
- drm/amdgpu: fix amdgpu trace event print string format error
  (git-fixes).
- drm/amd/powerplay: avoid disabling ECC if RAS is enabled for
  VEGA20 (git-fixes).
- drm/amd/display: Fix dongle_caps containing stale information
  (git-fixes).
- drm/amd/display: Program DWB watermarks from correct state
  (git-fixes).
- drm/amd/display: wait for set pipe mcp command completion
  (git-fixes).
- drm/amd/display: Properly round nominal frequency for SPD
  (git-fixes).
- drm/amdkfd: Fix MQD size calculation (git-fixes).
- drm/amdgpu: fix uninitialized variable pasid_mapping_needed
  (git-fixes).
- drm/amd/powerplay: A workaround to GPU RESET on APU (git-fixes).
- drm/amdkfd: fix a potential NULL pointer dereference (v2)
  (git-fixes).
- drm/amd/display: Set number of pipes to 1 if the second pipe
  was disabled (git-fixes).
- drm/amd/display: Handle virtual signal type in disable_link()
  (git-fixes).
- drm/amdgpu: grab the id mgr lock while accessing passid_mapping
  (git-fixes).
- drm/amdgpu/sriov: add ring_stop before ring_create in psp v11
  code (git-fixes).
- drm/amd/display: verify stream link before link test
  (git-fixes).
- drm/bridge: dw-hdmi: Refuse DDC/CI transfers on the internal
  I2C controller (git-fixes).
- drm/sun4i: dsi: Fix TCON DRQ set bits (git-fixes).
- drm/komeda: Workaround for broken FLIP_COMPLETE timestamps
  (git-fixes).
- drm/bridge: analogix-anx78xx: silence -EPROBE_DEFER warnings
  (git-fixes).
- drm: exynos: exynos_hdmi: use cec_notifier_conn_(un)register
  (git-fixes).
- drm/vc4/vc4_hdmi: fill in connector info (git-fixes).
- drm/panel: Add missing drm_panel_init() in panel drivers
  (git-fixes).
- commit a4a0b31
* Wed Jan  8 2020 tbogendoerfer@suse.de
- net/sched: add delete_empty() to filters and use it in
  cls_flower (bsc#1154353).
- tcp: Fix highest_sack and highest_sack_seq (bsc#1154353).
- cxgb4/cxgb4vf: fix flow control display for auto negotiation
  (jsc#SLE-8389).
- mlxsw: spectrum: Use dedicated policer for VRRP packets
  (bsc#1154488).
- mlxsw: spectrum_router: Skip loopback RIFs during MAC validation
  (bsc#1154488).
- net/sched: act_mirred: Pull mac prior redir to non
  mac_header_xmit device (bsc#1154353).
- net_sched: sch_fq: properly set sk->sk_pacing_status
  (bsc#1154353).
- bnx2x: Fix accounting of vlan resources among the PFs
  (bsc#1154395).
- bnx2x: Use appropriate define for vlan credit (bsc#1154395).
- net/mlxfw: Fix out-of-memory error in mfa2 flash burning
  (bsc#1154488).
- sctp: fix err handling of stream initialization (bsc#1154353).
- udp: fix integer overflow while computing available space in
  sk_rcvbuf (bsc#1154353).
- sfc: Include XDP packet headroom in buffer step size
  (jsc#SLE-8314).
- sfc: fix channel allocation with brute force (jsc#SLE-8314).
- net: dst: Force 4-byte alignment of dst_metrics (bsc#1154353).
- net: phy: ensure that phy IDs are correctly typed (bsc#1154353).
- qede: Disable hardware gro when xdp prog is installed
  (jsc#SLE-8401).
- net: ena: fix issues in setting interrupt moderation params
  in ethtool (bsc#1154492).
- net: ena: fix default tx interrupt moderation interval
  (bsc#1154492).
- net: hisilicon: Fix a BUG trigered by wrong bytes_compl
  (bsc#1154353).
- cxgb4: fix refcount init for TC-MQPRIO offload (jsc#SLE-8389).
- net/sched: cls_u32: fix refcount leak in the error path of
  u32_change() (bsc#1154353).
- net, sysctl: Fix compiler warning when only cBPF is present
  (bsc#1154353).
- net/ixgbe: Fix concurrency issues between config flow and XSK
  (jsc#SLE-7979 jsc#SLE-7981).
- net/i40e: Fix concurrency issues between config flow and XSK
  (jsc#SLE-8025).
- net/mlx5e: Fix concurrency issues between config flow and XSK
  (jsc#SLE-8464).
- xsk: Add rcu_read_lock around the XSK wakeup (bsc#1154353).
- net-sysfs: Call dev_hold always in rx_queue_add_kobject
  (bsc#1154353).
- nfp: flower: fix stats id allocation (bsc#1154353).
- net: fix kernel-doc warning in <linux/netdevice.h>
  (bsc#1154353).
- net: annotate lockless accesses to sk->sk_pacing_shift
  (bsc#1154353).
- net: qlogic: Fix error paths in ql_alloc_large_buffers()
  (bsc#1154353).
- sctp: fix memleak on err handling of stream initialization
  (bsc#1154353).
- cxgb4: Fix kernel panic while accessing sge_info (jsc#SLE-8389).
- net: phylink: fix interface passed to mac_link_up (bsc#1154353).
- bnx2x: Fix logic to get total no. of PFs per engine
  (bsc#1154395).
- bnx2x: Do not handle requests from VFs after parity
  (bsc#1154395).
- tcp: refine rule to allow EPOLLOUT generation under mem pressure
  (bsc#1154353).
- tcp: refine tcp_write_queue_empty() implementation
  (bsc#1154353).
- tcp: do not send empty skb from tcp_write_xmit() (bsc#1154353).
- tcp/dccp: fix possible race __inet_lookup_established()
  (bsc#1154353).
- ipv6/addrconf: only check invalid header values when
  NETLINK_F_STRICT_CHK is set (bsc#1154353).
- bnxt: apply computed clamp value for coalece parameter
  (jsc#SLE-8371 bsc#1153274).
- qede: Fix multicast mac configuration (jsc#SLE-8401).
- net: ena: fix napi handler misbehavior when the napi budget
  is zero (bsc#1154492).
- bnxt_en: Add missing devlink health reporters for VFs
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix the logic that creates the health reporters
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Remove unnecessary NULL checks for fw_health
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix bp->fw_health allocation and free logic
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Return error if FW returns more data than dump length
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Free context memory in the open path if firmware has
  been reset (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix MSIX request logic for RDMA driver (jsc#SLE-8371
  bsc#1153274).
- af_packet: set defaule value for tmo (bsc#1154353).
- mlxsw: spectrum_router: Remove unlikely user-triggerable warning
  (bsc#1154488).
- bonding: fix bond_neigh_init() (bsc#1154353).
- neighbour: remove neigh_cleanup() method (bsc#1154353).
- IB/mlx5: Fix device memory flows (jsc#SLE-8446).
- IB/core: Introduce rdma_user_mmap_entry_insert_range() API
  (jsc#SLE-8449).
- IB/mlx5: Fix steering rule of drop and count (jsc#SLE-8446).
- IB/mlx4: Follow mirror sequence of device add during device
  removal (jsc#SLE-8461).
- RDMA/counter: Prevent auto-binding a QP which are not tracked
  with res (jsc#SLE-8449).
- rxe: correctly calculate iCRC for unaligned payloads
  (jsc#SLE-8449).
- RDMA/cma: add missed unregister_pernet_subsys in init failure
  (jsc#SLE-8449).
- net: make socket read/write_iter() honor IOCB_NOWAIT
  (bsc#1154353).
- commit ad46b33
* Tue Jan  7 2020 dwagner@suse.de
- scsi: qla2xxx: Use get_unaligned_*() instead of open-coding
  these functions (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix the endianness of the qla82xx_get_fw_size()
  return type (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Improve readability of the code that handles
  qla_flt_header (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Update driver version to 10.01.00.22-k
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix mtcp dump collection failure (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix stuck session in GNL (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix RIDA Format-2 (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Consolidate fabric scan (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Correct fcport flags handling (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix stuck login session using prli_pend_timer
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use common routine to free fcport struct
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add D-Port Diagnostic reason explanation logs
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix update_fcport for current_topology
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Cleanup unused async_logout_done (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add a shadow variable to hold disc_state history
  of fcport (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix fabric scan hang (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Remove defer flag to indicate immeadiate port
  loss (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix qla2x00_request_irqs() for MSI (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: unregister ports after GPN_FT failure
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: fix rports not being mark as lost in sync fabric
  scan (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- commit c04a5b0
* Tue Jan  7 2020 msuchanek@suse.de
- Make lzo the default pstore compression method (bsc#1159986).
  Pstore has compression enabled, pstore is built-in, pstore default
  compression is deflate, deflate is modular -> pstore initialization
  fails on boot. Switch default compression to lzo which is built-in and
  the only built-in method on SLE15.
- commit f26faac
* Tue Jan  7 2020 tiwai@suse.de
- watchdog: tqmx86_wdt: Fix build error (git-fixes).
- watchdog: Fix the race between the release of watchdog_core_data
  and cdev (git-fixes).
- commit 0917c4e
* Tue Jan  7 2020 tiwai@suse.de
- tty/serial: atmel: fix out of range clock divider handling
  (git-fixes).
- tty: serial: msm_serial: Fix lockup for sysrq and oops
  (git-fixes).
- usb: xhci: Fix build warning seen with CONFIG_PM=n (git-fixes).
- usbip: Fix error path of vhci_recv_ret_submit() (git-fixes).
- USB: EHCI: Do not return -EPIPE when hub is disconnected
  (git-fixes).
- xhci-pci: Allow host runtime PM as default also for Intel Ice
  Lake xHCI (git-fixes).
- usb: usbfs: Suppress problematic bind and unbind uevents
  (git-fixes).
- usb: renesas_usbhs: add suspend event support in gadget mode
  (git-fixes).
- commit 5e7bf42
* Tue Jan  7 2020 tiwai@suse.de
- spi: st-ssc4: add missed pm_runtime_disable (git-fixes).
- spi: tegra20-slink: add missed clk_unprepare (git-fixes).
- spi: pxa2xx: Add missed security checks (git-fixes).
- spi: img-spfi: fix potential double release (git-fixes).
- spi: sprd: adi: Add missing lock protection when rebooting
  (git-fixes).
- spi: sifive: disable clk when probe fails and remove
  (git-fixes).
- spi: Add call to spi_slave_abort() function when spidev driver
  is released (git-fixes).
- commit d4280ba
* Tue Jan  7 2020 tiwai@suse.de
- soundwire: intel: fix PDI/stream mapping for Bulk (git-fixes).
- commit befdf94
* Tue Jan  7 2020 tiwai@suse.de
- staging: rtl8188eu: fix possible null dereference (git-fixes).
- staging: rtl8192u: fix multiple memory leaks on error path
  (git-fixes).
- rtlwifi: fix memory leak in rtl92c_set_fw_rsvdpagepkt()
  (git-fixes).
- rtl8xxxu: fix RTL8723BU connection failure issue after warm
  reboot (git-fixes).
- commit 70d7407
* Tue Jan  7 2020 tiwai@suse.de
- regulator: bd70528: Remove .set_ramp_delay for bd70528_ldo_ops
  (git-fixes).
- regulator: axp20x: Fix axp20x_set_ramp_delay (git-fixes).
- regulator: axp20x: Fix AXP22x ELDO2 regulator enable bitmask
  (git-fixes).
- rtc: sun6i: Add support for RTC clocks on R40 (git-fixes).
- riscv: ftrace: correct the condition logic in function graph
  tracer (git-fixes).
- regulator: max8907: Fix the usage of uninitialized variable
  in max8907_regulator_probe() (git-fixes).
- commit d2746d5
* Tue Jan  7 2020 tiwai@suse.de
- qtnfmac: fix invalid channel information output (git-fixes).
- qtnfmac: fix debugfs support for multiple cards (git-fixes).
- qtnfmac: fix using skb after free (git-fixes).
- commit 339b79a
* Tue Jan  7 2020 tiwai@suse.de
- pstore/ram: Write new dumps to start of recycled zones
  (git-fixes).
- pstore/ram: Fix error-path memory leak in persistent_ram_new()
  callers (git-fixes).
- commit a2e4095
* Tue Jan  7 2020 tiwai@suse.de
- platform/x86: pmc_atom: Add Siemens CONNECT X300 to
  critclk_systems DMI table (git-fixes).
- platform/x86: hp-wmi: Make buffer for HPWMI_FEATURE2_QUERY
  128 bytes (git-fixes).
- pinctrl: amd: fix __iomem annotation in amd_gpio_irq_handler()
  (git-fixes).
- pinctrl: sh-pfc: sh7734: Fix duplicate TCLK1_B (git-fixes).
- pinctrl: devicetree: Avoid taking direct reference to device
  name string (git-fixes).
- power: supply: cpcap-battery: Check voltage before
  orderly_poweroff (git-fixes).
- commit d3f5c31
* Tue Jan  7 2020 tiwai@suse.de
- mod_devicetable: fix PHY module format (git-fixes).
- PCI/PM: Always return devices to D0 when thawing (git-fixes).
- parport: load lowlevel driver if ports not found (git-fixes).
- commit 22bfd6f
* Tue Jan  7 2020 tiwai@suse.de
- mmc: sdhci-of-esdhc: re-implement erratum A-009204 workaround
  (git-fixes).
- mmc: sdhci: Add a quirk for broken command queuing (git-fixes).
- mmc: sdhci: Workaround broken command queuing on Intel GLK
  (git-fixes).
- mmc: sdhci-of-esdhc: fix P2020 errata handling (git-fixes).
- mmc: sdhci: Update the tuning failed messages to pr_debug level
  (git-fixes).
- mmc: sdhci-of-esdhc: Revert "mmc: sdhci-of-esdhc: add erratum
  A-009204 support" (git-fixes).
- mmc: mediatek: fix CMD_TA to 2 for MT8173 HS200/HS400 mode
  (git-fixes).
- mmc: sdhci-msm: Correct the offset and value for DDR_CONFIG
  register (git-fixes).
- misc: fastrpc: fix memory leak from miscdev->name (git-fixes).
- mmc: tmio: Add MMC_CAP_ERASE to allow erase/discard/trim
  requests (git-fixes).
- mmc: core: Drop check for mmc_card_is_removable() in
  mmc_rescan() (git-fixes).
- mmc: block: Add CMD13 polling for MMC IOCTLS with R1B response
  (git-fixes).
- mmc: block: Make card_busy_detect() a bit more generic
  (git-fixes).
- commit 028a842
* Tue Jan  7 2020 tiwai@suse.de
- media: cec: check 'transmit_in_progress', not 'transmitting'
  (git-fixes).
- media: vicodec: media_device_cleanup was called too early
  (git-fixes).
- media: vim2m: media_device_cleanup was called too early
  (git-fixes).
- media: v4l2-ctrl: Lock main_hdl on operations of requests_queued
  (git-fixes).
- media: si470x-i2c: add missed operations in remove (git-fixes).
- media: pvrusb2: Fix oops on tear-down when radio support is
  not present (git-fixes).
- media: vivid: media_device_cleanup was called too early
  (git-fixes).
- media: staging/imx: Use a shorter name for driver (git-fixes).
- commit 0e40744
* Tue Jan  7 2020 tiwai@suse.de
- media: v4l2-core: fix touch support in v4l_g_fmt (git-fixes).
- media: smiapp: Register sensor after enabling runtime PM on
  the device (git-fixes).
- media: imx7-mipi-csis: Add a check for devm_regulator_get
  (git-fixes).
- media: st-mipid02: add a check for devm_gpiod_get_optional
  (git-fixes).
- media: ad5820: Define entity function (git-fixes).
- media: ov5640: Make 2592x1944 mode only available at 15 fps
  (git-fixes).
- media: ov6650: Fix stored frame interval not in sync with
  hardware (git-fixes).
- media: aspeed: clear garbage interrupts (git-fixes).
- media: aspeed: set hsync and vsync polarities to normal before
  starting mode detection (git-fixes).
- commit c8cb4cb
* Tue Jan  7 2020 tiwai@suse.de
- media: cedrus: Fix undefined shift with a SHIFT_AND_MASK_BITS
  macro (git-fixes).
- commit 08552bc
* Tue Jan  7 2020 tiwai@suse.de
- media: ti-vpe: vpe: ensure buffers are cleaned up properly in
  abort cases (git-fixes).
- media: ti-vpe: vpe: fix a v4l2-compliance failure about frame
  sequence number (git-fixes).
- media: ti-vpe: vpe: fix a v4l2-compliance failure about invalid
  sizeimage (git-fixes).
- media: ti-vpe: vpe: Make sure YUYV is set as default format
  (git-fixes).
- media: ti-vpe: vpe: fix a v4l2-compliance warning about invalid
  pixel format (git-fixes).
- media: ti-vpe: vpe: fix a v4l2-compliance failure causing a
  kernel panic (git-fixes).
- media: cx88: Fix some error handling path in 'cx8800_initdev()'
  (git-fixes).
- commit b475671
* Tue Jan  7 2020 tiwai@suse.de
- media: cec-funcs.h: add status_req checks (git-fixes).
- media: flexcop-usb: fix NULL-ptr deref in
  flexcop_usb_transfer_init() (git-fixes).
- media: venus: Fix occasionally failures to suspend (git-fixes).
- media: venus: core: Fix msm8996 frequency table (git-fixes).
- media: i2c: ov2659: Fix missing 720p register config
  (git-fixes).
- media: i2c: ov2659: fix s_stream return value (git-fixes).
- media: cedrus: fill in bus_info for media device (git-fixes).
- media: am437x-vpfe: Setting STD to current value is not an error
  (git-fixes).
- media: vimc: Fix gpf in rmmod path when stream is active
  (git-fixes).
- commit 3bdee4e
* Tue Jan  7 2020 tiwai@suse.de
- mac80211: fix TID field in monitor mode transmit (git-fixes).
- mailbox: imx: Clear the right interrupts at shutdown
  (git-fixes).
- mailbox: imx: Fix Tx doorbell shutdown path (git-fixes).
- commit 8428c64
* Tue Jan  7 2020 tiwai@suse.de
- libata: Fix retrieving of active qcs (git-fixes).
- libata: Ensure ata_port probe has completed before detach
  (git-fixes).
- Revert "libata, freezer: avoid block device removal while
  system is frozen" (git-fixes).
- commit aa59034
* Tue Jan  7 2020 tiwai@suse.de
- leds: an30259a: add a check for devm_regmap_init_i2c
  (git-fixes).
- leds: tlc591xx: update the maximum brightness (git-fixes).
- leds: lm3692x: Handle failure to probe the regulator
  (git-fixes).
- iwlwifi: mvm: fix unaligned read of rx_pkt_status (git-fixes).
- commit 03687f9
* Tue Jan  7 2020 tiwai@suse.de
- irqchip: ingenic: Error out if IRQ domain creation failed
  (git-fixes).
- irqchip: Place CONFIG_SIFIVE_PLIC into the menu (git-fixes).
- irqchip/irq-bcm7038-l1: Enable parent IRQ if necessary
  (git-fixes).
- commit b53401c
* Tue Jan  7 2020 tiwai@suse.de
- ipmi: Don't allow device module unload when in use (git-fixes).
- commit 65e80e2
* Tue Jan  7 2020 tiwai@suse.de
- intel_th: Fix freeing IRQs (git-fixes).
- intel_th: pci: Add Elkhart Lake SOC support (git-fixes).
- intel_th: pci: Add Comet Lake PCH-V support (git-fixes).
- commit d2e079e
* Tue Jan  7 2020 tiwai@suse.de
- Input: ili210x - handle errors from input_mt_init_slots()
  (git-fixes).
- Input: st1232 - do not reset the chip too early (git-fixes).
- Input: atmel_mxt_ts - disable IRQ across suspend (git-fixes).
- commit 6ce709b
* Tue Jan  7 2020 tiwai@suse.de
- iio: dac: ad5446: Add support for new AD5600 DAC (git-fixes).
- iio: dln2-adc: fix iio_triggered_buffer_postenable() position
  (git-fixes).
- staging: iio: ad9834: add a check for devm_clk_get (git-fixes).
- iio: adc: max1027: Reset the device at probe time (git-fixes).
- iio: max31856: add missing of_node and parent references to
  iio_dev (git-fixes).
- iio: light: bh1750: Resolve compiler warning and make code
  more readable (git-fixes).
- commit 0b7fbd3
* Tue Jan  7 2020 tiwai@suse.de
- HID: i2c-hid: Send power-on command after reset (git-fixes).
- commit bc0c11b
* Tue Jan  7 2020 tiwai@suse.de
- HID: i2c-hid: Remove runtime power management (git-fixes).
- Refresh
  patches.suse/HID-i2c-hid-Reset-ALPS-touchpads-on-resume.patch.
- commit 8f8c13b
* Tue Jan  7 2020 tiwai@suse.de
- HID: logitech-hidpp: Silence intermittent get_battery_capacity
  errors (git-fixes).
- HID: Improve Windows Precision Touchpad detection (git-fixes).
- HID: rmi: Check that the RMI_STARTED bit is set before
  unregistering the RMI transport device (git-fixes).
- HID: i2c-hid: fix no irq after reset on raydium 3118
  (git-fixes).
- HID: quirks: Add quirk for HP MSU1465 PIXART OEM mouse
  (git-fixes).
- commit 6c8d52d
* Tue Jan  7 2020 tiwai@suse.de
- gpu: host1x: Allocate gather copy for host1x (git-fixes).
- commit fa0dc6d
* Tue Jan  7 2020 tiwai@suse.de
- gpio: xtensa: fix driver build (git-fixes).
- gpio: Fix error message on out-of-range GPIO in lookup table
  (git-fixes).
- gpio: mxc: Only get the second IRQ when there is more than
  one IRQ (git-fixes).
- fsi: core: Fix small accesses and unaligned offsets via sysfs
  (git-fixes).
- commit 40e8be8
* Tue Jan  7 2020 tiwai@suse.de
- fjes: fix missed check in fjes_acpi_add (git-fixes).
- firmware_loader: Fix labels with comma for builtin firmware
  (git-fixes).
- fbtft: Make sure string is NULL terminated (git-fixes).
- extcon: sm5502: Reset registers during initialization
  (git-fixes).
- commit c1f6bcd
* Tue Jan  7 2020 tiwai@suse.de
- dpaa_eth: fix DMA mapping leak (git-fixes).
- dpaa2-ptp: fix double free of the ptp_qoriq IRQ (git-fixes).
- dpaa2-eth: Fix TX FQID values (git-fixes).
- commit 7ad103e
* Tue Jan  7 2020 tiwai@suse.de
- dmaengine: virt-dma: Fix access after free in vchan_complete()
  (git-fixes).
- dmaengine: Fix access to uninitialized dma_slave_caps
  (git-fixes).
- dmaengine: xilinx_dma: Clear desc_pendingcount in
  xilinx_dma_reset (git-fixes).
- dma-debug: add a schedule point in debug_dma_dump_mappings()
  (git-fixes).
- dma-mapping: Add vmap checks to dma_map_single() (git-fixes).
- commit edbb98f
* Tue Jan  7 2020 tiwai@suse.de
- staging: comedi: gsc_hpdi: check dma_alloc_coherent() return
  value (git-fixes).
- counter: stm32-lptimer-cnt: fix a kernel-doc warning
  (git-fixes).
- counter: stm32-timer-cnt: fix a kernel-doc warning (git-fixes).
- commit 5f1dabd
* Tue Jan  7 2020 tiwai@suse.de
- clocksource: riscv: add notrace to riscv_sched_clock
  (git-fixes).
- clk: Move clk_core_reparent_orphans() under CONFIG_OF
  (git-fixes).
- clk: imx: pll14xx: fix clk_pll14xx_wait_lock (git-fixes).
- clk: imx: clk-imx7ulp: Add missing sentinel of ulp_div_table
  (git-fixes).
- clk: imx: clk-composite-8m: add lock to gate/mux (git-fixes).
- clk: walk orphan list on clock provider registration
  (git-fixes).
- clocksource/drivers/asm9260: Add a check for of_clk_get
  (git-fixes).
- clocksource/drivers/timer-of: Use unique device name instead
  of timer (git-fixes).
- clk: clk-gpio: propagate rate change to parent (git-fixes).
- clk: qcom: Allow constant ratio freq tables for rcg (git-fixes).
- commit c3af1c4
* Tue Jan  7 2020 tiwai@suse.de
- can: flexcan: poll MCR_LPM_ACK instead of GPR ACK for stop
  mode acknowledgment (git-fixes).
- can: flexcan: add low power enter/exit acknowledgment helper
  (git-fixes).
- can: flexcan: fix possible deadlock and out-of-order reception
  after wakeup (git-fixes).
- can: xilinx_can: Fix missing Rx can packets on CANFD2.0
  (git-fixes).
- cdrom: respect device capabilities during opening action
  (git-fixes).
- commit 6b25029
* Tue Jan  7 2020 tiwai@suse.de
- brcmfmac: remove monitor interface when detaching (git-fixes).
- Bluetooth: Fix advertising duplicated flags (git-fixes).
- Bluetooth: Workaround directed advertising bug in Broadcom
  controllers (git-fixes).
- Bluetooth: missed cpu_to_le16 conversion in hci_init4_req
  (git-fixes).
- commit b42e335
* Tue Jan  7 2020 tiwai@suse.de
- ath10k: Revert "ath10k: add cleanup in ath10k_sta_state()"
  (git-fixes).
- ath10k: fix get invalid tx rate for Mesh metric (git-fixes).
- ath10k: fix offchannel tx failure when no
  ath10k_mac_tx_frm_has_freq (git-fixes).
- ath10k: fix backtrace on coredump (git-fixes).
- ath10k: add cleanup in ath10k_sta_state() (git-fixes).
- commit bb2872b
* Tue Jan  7 2020 tiwai@suse.de
- ASoC: SOF: enable sync_write in hdac_bus (git-fixes).
- Refresh
  patches.suse/Revert-ASoC-SOF-Force-polling-mode-on-CFL-and-CNL.patch.
- commit 64ac0e6
* Tue Jan  7 2020 tiwai@suse.de
- ARM: tegra: Fix FLOW_CTLR_HALT register clobbering by
  tegra_resume() (git-fixes).
- ASoC: wm5100: add missed pm_runtime_disable (git-fixes).
- ASoC: wm2200: add missed operations in remove and probe failure
  (git-fixes).
- ASoC: Intel: kbl_rt5663_rt5514_max98927: Add dmic format
  constraint (git-fixes).
- ASoC: rt5677: Mark reg RT5677_PWR_ANLG2 as volatile (git-fixes).
- ASoC: Intel: bytcr_rt5640: Update quirk for Acer Switch 10
  SW5-012 2-in-1 (git-fixes).
- ASoC: wm8904: fix regcache handling (git-fixes).
- ASoC: SOF: topology: set trigger order for FE DAI link
  (git-fixes).
- commit 6a5428c
* Tue Jan  7 2020 tiwai@suse.de
- ALSA: hda/realtek - Enable the bass speaker of ASUS UX431FLC
  (git-fixes).
- ALSA: ice1724: Fix sleep-in-atomic in Infrasonic Quartet
  support code (git-fixes).
- ALSA: hda/realtek - Add Bass Speaker and fixed dac for bass
  speaker (git-fixes).
- ALSA: hda - Apply sync-write workaround to old Intel platforms,
  too (git-fixes).
- ALSA: hda/hdmi - fix atpx_present when CLASS is not VGA
  (git-fixes).
- ALSA: usb-audio: fix set_format altsetting sanity check
  (git-fixes).
- ALSA: hda/realtek - Add headset Mic no shutup for ALC283
  (git-fixes).
- ALSA: usb-audio: set the interface format after resume on Dell
  WD19 (git-fixes).
- 6pack,mkiss: fix possible deadlock (git-fixes).
- ALSA: bebob: expand sleep just after breaking connections for
  protocol version 1 (git-fixes).
- ACPI: button: Add DMI quirk for Medion Akoya E2215T (git-fixes).
- commit e88e392
* Tue Jan  7 2020 tbogendoerfer@suse.de
- ice: Add device ids for E822 devices (bsc#1157177).
- commit 0246f5b
* Tue Jan  7 2020 tbogendoerfer@suse.de
- net: marvell: mvpp2: phylink requires the link interrupt
  (bsc#1117016).
- Delete
  patches.suse/net-mvpp2-fix-condition-for-setting-up-link-interrup.patch.
- commit 8787cfd
* Tue Jan  7 2020 mbenes@suse.cz
- blacklist.conf: 1d8f65798240 ("riscv: ftrace: correct the condition logic in function graph tracer")
  RISCV architecture is not supported.
- commit 2dbbf0b
* Tue Jan  7 2020 mbenes@suse.cz
- tracing: Fix endianness bug in histogram trigger (bsc#1160231).
- commit d1849ae
* Tue Jan  7 2020 mbenes@suse.cz
- tracing: Fix lock inversion in trace_event_enable_tgid_record()
  (bsc#1160229).
- commit 4a84dfe
* Tue Jan  7 2020 tiwai@suse.de
- Move the upstreamed mwifiex fix patches into sorted section
  Refresh tags:
  patches.suse/mwifiex-Fix-heap-overflow-in-mmwifiex_process_tdls_a.patch
  patches.suse/mwifiex-fix-possible-heap-overflow-in-mwifiex_proces.patch
- commit 19bf98d
* Tue Jan  7 2020 tiwai@suse.de
- USB: Fix: Don't skip endpoint descriptors with maxpacket=0
  (bsc#1159811).
- commit 0c3dbbc
* Tue Jan  7 2020 tiwai@suse.de
- tpm: Revert "tpm_tis_core: Turn on the TPM before probing IRQ's"
  (bsc#1159152).
- tpm: Revert "tpm_tis_core: Set TPM_CHIP_FLAG_IRQ before probing
  for interrupts" (bsc#1159152).
- tpm: Revert "tpm_tis: reserve chip for duration of
  tpm_tis_core_init" (bsc#1159152).
- commit cd1e368
* Tue Jan  7 2020 mbenes@suse.cz
- tracing: Have the histogram compare functions convert to u64
  first (bsc#1160215).
- commit db2127f
* Tue Jan  7 2020 mbenes@suse.cz
- tracing: Avoid memory leak in process_system_preds()
  (bsc#1160214).
- commit d628f71
* Tue Jan  7 2020 mkubecek@suse.cz
- config: refresh
  Drop EFI_RCI2_TABLE on arm64 (no longer available).
- commit 18cf2ea
* Tue Jan  7 2020 mkubecek@suse.cz
- fix mainline references
  Fix Patch-mainline:
  patches.suse/btrfs-simplify-inode-locking-for-RWF_NOWAIT.patch
  patches.suse/mm-set-S_SWAPFILE-on-blockdev-swap-devices.patch
  patches.suse/vfs-dont-allow-writes-to-swap-files.patch
- commit a590c11
* Tue Jan  7 2020 ghe@suse.com
- ocfs2: fix the crash due to call ocfs2_get_dlm_debug once less
  (bsc#1158632).
- commit 9a7b95a
* Mon Jan  6 2020 rgoldwyn@suse.com
- btrfs: simplify inode locking for RWF_NOWAIT  (git-fixes).
- commit f4e2cf3
* Mon Jan  6 2020 rgoldwyn@suse.com
- vfs: don't allow writes to swap files  (bsc#1158633).
- Refresh patches.suse/vfs-add-super_operations-get_inode_dev.
- commit 4523846
* Mon Jan  6 2020 rgoldwyn@suse.com
- mm: set S_SWAPFILE on blockdev swap devices  (bsc#1158633).
- commit 84b8de8
* Mon Jan  6 2020 jroedel@suse.de
- blacklist.conf: Add da3cc91b8db4 iommu/mediatek: Add a new tlb_lock for tlb_flush
- commit 615be85
* Mon Jan  6 2020 jroedel@suse.de
- iommu/vt-d: Remove incorrect PSI capability check (bsc#1160142).
- iommu/vt-d: Allocate reserved region for ISA with correct
  permission (bsc#1160140).
- iommu: set group default domain before creating direct mappings
  (bsc#1160139).
- iommu/vt-d: Fix dmar pte read access not set error
  (bsc#1160141).
- iommu/vt-d: Set ISA bridge reserved region as relaxable
  (bsc#1160143).
- iommu/iova: Init the struct iova to fix the possible memleak
  (bsc#1160137).
- iommu/arm-smmu: Remove duplicate error message (bsc#1160135).
- iommu/arm-smmu-v3: Don't display an error when IRQ lines are
  missing (bsc#1160136).
- iommu/mediatek: Correct the flush_iotlb_all callback
  (bsc#1160138).
- commit 2cdf724
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/tools: Don't quote $objdump in scripts (bsc#1065729).
- commit 82d4ed4
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/pseries: Drop pointless static qualifier in
  vpa_debugfs_init() (FATE#326394 git-fixes).
- commit 2cd1f04
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/spinlocks: Include correct header for static key
  (bsc#1160010 ltc#183046).
- commit 3e6e518
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/fadump: sysfs for fadump memory reservation (bsc#1160018
  ltc#182902 jsc#SLE-9099).
- Documentation/ABI: mark /sys/kernel/fadump_* sysfs files
  deprecated (bsc#1160018 ltc#182902 jsc#SLE-9099).
- powerpc/powernv: move core and fadump_release_opalcore under
  new kobject (bsc#1160018 ltc#182902 jsc#SLE-9099).
- powerpc/fadump: reorganize /sys/kernel/fadump_* sysfs files
  (bsc#1160018 ltc#182902 jsc#SLE-9099).
- sysfs: wrap __compat_only_sysfs_link_entry_to_kobj function to
  change the symlink name (bsc#1160018 ltc#182902 jsc#SLE-9099).
- Documentation/ABI: add ABI documentation for
  /sys/kernel/fadump_* (bsc#1160018 ltc#182902 jsc#SLE-9099).
- commit 3b5b7c0
* Mon Jan  6 2020 msuchanek@suse.de
- powerpc/shared: Use static key to detect shared processor
  (bsc#1160010 ltc#183046).
- powerpc/vcpu: Assume dedicated processors as non-preempt
  (bsc#1160010 ltc#183046).
- powerpc/spinlocks: Refactor SHARED_PROCESSOR (bsc#1160010
  ltc#183046).
- commit 9083e73
* Mon Jan  6 2020 glin@suse.com
- tools: Sync if_link.h (bsc#1155518).
- commit 2837df4
* Mon Jan  6 2020 glin@suse.com
- Revert patches.suse/samples-bpf-fix-build-by-setting-HAVE_ATTR_TEST-to-z.patch (bsc#1160102)
- commit 3b6da48
* Sun Jan  5 2020 ailiopoulos@suse.com
- xfs: properly serialise fallocate against AIO+DIO (bsc#1158751).
- commit e19caef
* Sun Jan  5 2020 ailiopoulos@suse.com
- xfs: attach dquots and reserve quota blocks during unwritten
  conversion (bsc#1158753).
- commit c997f56
* Fri Jan  3 2020 jslaby@suse.cz
- Update
  patches.suse/vcs-prevent-write-access-to-vcsu-devices.patch
  (git-fixes bnc#1151927 5.3.16 bnc#1157813 CVE-2019-19252).
- commit 8980d90
* Fri Jan  3 2020 glin@suse.com
- bpf: Fix precision tracking for unbounded scalars (bsc#1155518).
- commit ab8945b
* Fri Jan  3 2020 mkubecek@suse.cz
- config: refresh
  Only headers update, reorder and diff config cleanup.
- commit c9453fd
* Fri Jan  3 2020 jslaby@suse.cz
- blacklist.conf: add one
- commit d636a45
* Fri Jan  3 2020 jslaby@suse.cz
- nbd: fix shutdown and recv work deadlock v2 (git-fixes).
- net/smc: add fallback check to connect() (git-fixes).
- selftests: net: tls: remove recv_rcvbuf test (git-fixes).
- bonding: fix active-backup transition after link failure
  (git-fixes).
- Revert "mmc: sdhci: Fix incorrect switch to HS mode"
  (git-fixes).
- usbip: Fix receive error in vhci-hcd when using scatter-gather
  (git-fixes).
- io_uring: use current task creds instead of allocating a new
  one (git-fixes).
- arm64: dts: qcom: msm8998-clamshell: Remove retention idle state
  (git-fixes).
- commit 7a4b790
* Fri Jan  3 2020 jslaby@suse.cz
- cpuidle: teo: Avoid using "early hits" incorrectly (git-fixes).
- commit bcc408a
* Fri Jan  3 2020 jslaby@suse.cz
- Linux 5.3.18 (bnc#1151927 5.3.18).
- net: ethernet: ti: cpsw: fix extra rx interrupt (bnc#1151927
  5.3.18).
- tipc: fix ordering of tipc module init and exit routine
  (bnc#1151927 5.3.18).
- openvswitch: support asymmetric conntrack (bnc#1151927 5.3.18).
- commit c9a9590
* Fri Jan  3 2020 jslaby@suse.cz
- Refresh
  patches.suse/net-thunderx-start-phy-before-starting-autonegoti.patch.
  Update upstream status.
- commit 4ab23ed
* Fri Jan  3 2020 jslaby@suse.cz
- Update
  patches.suse/Fixed-updating-of-ethertype-in-function-skb_mpls_pop.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/gre-refetch-erspan-header-from-skb-data-after-pskb_m.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/hsr-fix-a-NULL-pointer-dereference-in-hsr_dev_xmit.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/inet-protect-against-too-small-mtu-values.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/mqprio-Fix-out-of-bounds-access-in-mqprio_dump.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/net-Fixed-updating-of-ethertype-in-skb_mpls_push.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/net-bridge-deny-dev_set_mac_address-when-unregisteri.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update patches.suse/net-dsa-fix-flow-dissection-on-Tx-path.patch
  (git-fixes bnc#1151927 5.3.18).
- Update
  patches.suse/net-ipv6-add-net-argument-to-ip6_dst_lookup_flow.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/net-ipv6_stub-use-ip6_dst_lookup_flow-instead-of-ip6.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/net-mlx5e-Fix-TXQ-indices-to-be-sequential.patch
  (jsc#SLE-8464 bnc#1151927 5.3.18).
- Update
  patches.suse/net-mlx5e-Query-global-pause-state-before-setting-pr.patch
  (jsc#SLE-8464 bnc#1151927 5.3.18).
- Update
  patches.suse/net-sched-fix-dump-qlen-for-sch_mq-sch_mqprio-with-N.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/net-thunderx-start-phy-before-starting-autonegoti.patch
  (bsc#1158107 bnc#1151927 5.3.18).
- Update
  patches.suse/net-tls-Fix-return-values-to-avoid-ENOTSUPP.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/page_pool-do-not-release-pool-until-inflight-0.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/tcp-Protect-accesses-to-.ts_recent_stamp-with-READ-W.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/tcp-fix-rejected-syncookies-due-to-stale-timestamps.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/tcp-md5-fix-potential-overestimation-of-TCP-option-s.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/tcp-tighten-acceptance-of-ACKs-not-matching-a-child-.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- Update
  patches.suse/xdp-obtain-the-mem_id-mutex-before-trying-to-remove-.patch
  (bsc#1154353 bnc#1151927 5.3.18).
- commit c82b543
* Fri Jan  3 2020 jslaby@suse.cz
- Linux 5.3.17 (bnc#1151927 5.3.17).
- binder: fix incorrect calculation for num_valid (bnc#1151927
  5.3.17).
- lib: raid6: fix awk build warnings (bnc#1151927 5.3.17).
- staging: gigaset: add endpoint-type sanity check (bnc#1151927
  5.3.17).
- staging: gigaset: fix illegal free on probe errors (bnc#1151927
  5.3.17).
- staging: gigaset: fix general protection fault on probe
  (bnc#1151927 5.3.17).
- iio: humidity: hdc100x: fix IIO_HUMIDITYRELATIVE channel
  reporting (bnc#1151927 5.3.17).
- xhci: handle some XHCI_TRUST_TX_LENGTH quirks cases as default
  behaviour (bnc#1151927 5.3.17).
- usb: dwc3: ep0: Clear started flag on completion (bnc#1151927
  5.3.17).
- USB: atm: ueagle-atm: add missing endpoint check (bnc#1151927
  5.3.17).
- usb: core: urb: fix URB structure initialization function
  (bnc#1151927 5.3.17).
- ovl: relax WARN_ON() on rename to self (bnc#1151927 5.3.17).
- ovl: fix corner case of non-unique st_dev;st_ino (bnc#1151927
  5.3.17).
- ovl: fix lookup failure on multi lower squashfs (bnc#1151927
  5.3.17).
- raid5: need to set STRIPE_HANDLE for batch head (bnc#1151927
  5.3.17).
- block: fix "check bi_size overflow before merge" (bnc#1151927
  5.3.17).
- erofs: zero out when listxattr is called with no xattr
  (bnc#1151927 5.3.17).
- ARM: dts: omap3-tao3530: Fix incorrect MMC card detection GPIO
  polarity (bnc#1151927 5.3.17).
- powerpc/perf: Disable trace_imc pmu (bnc#1151927 5.3.17).
- powerpc/xive: Skip ioremap() of ESB pages for LSI interrupts
  (bnc#1151927 5.3.17).
- arm64: dts: allwinner: a64: Re-add PMU node (bnc#1151927
  5.3.17).
- mm: memcg/slab: wait for !root kmem_cache refcnt killing on
  root kmem_cache destruction (bnc#1151927 5.3.17).
- ACPI: bus: Fix NULL pointer check in acpi_bus_get_private_data()
  (bnc#1151927 5.3.17).
- s390/kaslr: store KASLR offset for early dumps (bnc#1151927
  5.3.17).
- s390/smp,vdso: fix ASCE handling (bnc#1151927 5.3.17).
- Revert "scsi: qla2xxx: Fix memory leak when sending I/O fails"
  (bnc#1151927 5.3.17).
- scsi: qla2xxx: Fix memory leak when sending I/O fails
  (bnc#1151927 5.3.17).
- scsi: zfcp: trace channel log even for FCP command responses
  (bnc#1151927 5.3.17).
- firmware: qcom: scm: Ensure 'a0' status code is treated as
  signed (bnc#1151927 5.3.17).
- mm/shmem.c: cast the type of unmap_start to u64 (bnc#1151927
  5.3.17).
- powerpc: Avoid clang warnings around setjmp and longjmp
  (bnc#1151927 5.3.17).
- powerpc: Allow 64bit VDSO __kernel_sync_dicache to work across
  ranges >4GB (bnc#1151927 5.3.17).
- powerpc: Allow flush_icache_range to work across ranges >4GB
  (bnc#1151927 5.3.17).
- ext2: check err when partial != NULL (bnc#1151927 5.3.17).
- quota: Check that quota is not dirty before release (bnc#1151927
  5.3.17).
- quota: fix livelock in dquot_writeback_dquots (bnc#1151927
  5.3.17).
- ext4: fix a bug in ext4_wait_for_tail_page_commit (bnc#1151927
  5.3.17).
- iio: imu: st_lsm6dsx: fix ODR check in st_lsm6dsx_write_raw
  (bnc#1151927 5.3.17).
- intel_th: pci: Add Tiger Lake CPU support (bnc#1151927 5.3.17).
- intel_th: pci: Add Ice Lake CPU support (bnc#1151927 5.3.17).
- USB: documentation: flags on usb-storage versus UAS (bnc#1151927
  5.3.17).
- USB: uas: heed CAPACITY_HEURISTICS (bnc#1151927 5.3.17).
- USB: uas: honor flag to avoid CAPACITY16 (bnc#1151927 5.3.17).
- usb: Allow USB device to be warm reset in suspended state
  (bnc#1151927 5.3.17).
- usb: gadget: pch_udc: fix use after free (bnc#1151927 5.3.17).
- RDMA/core: Fix ib_dma_max_seg_size() (bnc#1151927 5.3.17).
- omap: pdata-quirks: remove openpandora quirks for mmc3 and
  wl1251 (bnc#1151927 5.3.17).
- omap: pdata-quirks: revert pandora specific gpiod additions
  (bnc#1151927 5.3.17).
- ARM: dts: pandora-common: define wl1251 as child node of mmc3
  (bnc#1151927 5.3.17).
- media: cec.h: CEC_OP_REC_FLAG_ values were swapped (bnc#1151927
  5.3.17).
- ASoC: rt5645: Fixed typo for buddy jack support (bnc#1151927
  5.3.17).
- ASoC: Jack: Fix NULL pointer dereference in snd_soc_jack_report
  (bnc#1151927 5.3.17).
- ASoC: rt5645: Fixed buddy jack support (bnc#1151927 5.3.17).
- cpufreq: powernv: fix stack bloat and hard limit on number of
  CPUs (bnc#1151927 5.3.17).
- cpuidle: Do not unset the driver if it is there already
  (bnc#1151927 5.3.17).
- cpuidle: teo: Fix "early hits" handling for disabled idle states
  (bnc#1151927 5.3.17).
- cpuidle: teo: Consider hits and misses metrics of disabled
  states (bnc#1151927 5.3.17).
- cpuidle: teo: Rename local variable in teo_select() (bnc#1151927
  5.3.17).
- cpuidle: teo: Ignore disabled idle states that are too deep
  (bnc#1151927 5.3.17).
- ar5523: check NULL before memcpy() in ar5523_cmd() (bnc#1151927
  5.3.17).
- cgroup: pids: use atomic64_t for pids->limit (bnc#1151927
  5.3.17).
- workqueue: Fix pwq ref leak in rescuer_thread() (bnc#1151927
  5.3.17).
- workqueue: Fix missing kfree(rescuer) in destroy_workqueue()
  (bnc#1151927 5.3.17).
- workqueue: Fix spurious sanity check failures in
  destroy_workqueue() (bnc#1151927 5.3.17).
- s390/mm: properly clear _PAGE_NOEXEC bit when it is not
  supported (bnc#1151927 5.3.17).
- btrfs: record all roots for rename exchange on a subvol
  (bnc#1151927 5.3.17).
- Btrfs: send, skip backreference walking for extents with many
  references (bnc#1151927 5.3.17).
- btrfs: Remove btrfs_bio::flags member (bnc#1151927 5.3.17).
- btrfs: check page->mapping when loading free space cache
  (bnc#1151927 5.3.17).
- Btrfs: fix metadata space leak on fixup worker failure to set
  range as delalloc (bnc#1151927 5.3.17).
- Btrfs: fix negative subv_writers counter and data space leak
  after buffered write (bnc#1151927 5.3.17).
- btrfs: Avoid getting stuck during cyclic writebacks (bnc#1151927
  5.3.17).
- btrfs: use refcount_inc_not_zero in kill_all_nodes (bnc#1151927
  5.3.17).
- dm zoned: reduce overhead of backing device checks (bnc#1151927
  5.3.17).
- dm writecache: handle REQ_FUA (bnc#1151927 5.3.17).
- md: improve handling of bio with REQ_PREFLUSH in
  md_flush_request() (bnc#1151927 5.3.17).
- blk-mq: make sure that line break can be printed (bnc#1151927
  5.3.17).
- blk-mq: avoid sysfs buffer overflow with too many CPU cores
  (bnc#1151927 5.3.17).
- iio: imu: st_lsm6dsx: move odr_table in
  st_lsm6dsx_sensor_settings (bnc#1151927 5.3.17).
- commit 23a1f41
* Fri Jan  3 2020 jslaby@suse.cz
- Refresh
  patches.suse/reiserfs-fix-extended-attributes-on-the-root-directory.patch.
  Update upstream status.
- commit 0480375
* Thu Jan  2 2020 tiwai@suse.de
- can: kvaser_usb: kvaser_usb_leaf: Fix some info-leaks to USB
  devices (CVE-2019-19947 bsc#1159929).
- commit 507c332
* Thu Jan  2 2020 jslaby@suse.cz
- Update
  patches.suse/0001-ppdev-fix-PPGETTIME-PPSETTIME-ioctls.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/0002-video-hdmi-Fix-AVI-bar-unpack.patch
  (bsc#1152489 bnc#1151927 5.3.17).
- Update
  patches.suse/0029-pinctrl-samsung-Fix-device-node-refcount-leaks-in-S3.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ACPI-LPSS-Add-LNXVIDEO-BYT-I2C1-to-lpss_device_links.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ACPI-LPSS-Add-LNXVIDEO-BYT-I2C7-to-lpss_device_links.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ACPI-LPSS-Add-dmi-quirk-for-skipping-_DEP-check-for-.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/ACPI-OSL-only-free-map-once-in-osl.c.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ACPI-PM-Avoid-attaching-ACPI-PM-domain-to-certain-de.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ACPI-hotplug-PCI-Allocate-resources-directly-under-t.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ACPI-utils-Move-acpi_dev_get_first_match_dev-under-C.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ALSA-fireface-fix-return-value-in-error-path-of-isoc.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ALSA-oxfw-fix-return-value-in-error-path-of-isochron.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/ASoC-fsl_audmix-Add-spin-lock-to-protect-tdms.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/PM-devfreq-Lock-devfreq-in-trans_stat_show.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/Revert-nvme-Add-quirk-for-Kingston-NVME-SSD-running-.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/SUNRPC-Fix-another-issue-with-MIC-buffer-space.patch
  (bsc#1154353 bnc#1151927 5.3.17).
- Update patches.suse/USB-adutux-fix-interface-sanity-check.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/USB-idmouse-fix-interface-sanity-checks.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/USB-serial-io_edgeport-fix-epic-endpoint-lookup.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/brcmfmac-disable-PCIe-interrupts-before-bus-reset.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/coresight-Serialize-enabling-disabling-a-link-device.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/edac-altera-use-fast-register-io-for-s10-irqs.patch
  (bsc#1152489 bnc#1151927 5.3.17).
- Update
  patches.suse/edac-ghes-do-not-warn-when-incrementing-refcount-on-0.patch
  (bsc#1152489 bnc#1151927 5.3.17).
- Update
  patches.suse/ext4-Fix-credit-estimate-for-final-inode-freeing.patch
  (bsc#1158380 bnc#1151927 5.3.17).
- Update
  patches.suse/ext4-work-around-deleting-a-file-with-i_nlink-0-safe.patch
  (bsc#1158819 CVE-2019-19447 bnc#1151927 5.3.17).
- Update patches.suse/hwrng-omap-Fix-RNG-wait-loop-timeout.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/iio-ad7949-fix-channels-mixups.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/iio-ad7949-kill-pointless-readback-handling-code.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/iio-adc-ad7124-Enable-internal-reference.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/iio-adc-ad7606-fix-reading-unnecessary-data-from-dev.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/iio-adis16480-Add-debugfs_reg_access-entry.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/iio-adis16480-Fix-scales-factors.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/iio-imu-inv_mpu6050-fix-temperature-reporting-using-.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/intel_th-Fix-a-double-put_device-in-error-path.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/interconnect-qcom-sdm845-Walk-the-list-safely-on-nod.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/iwlwifi-pcie-fix-support-for-transmitting-SKBs-with-.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/media-bdisp-fix-memleak-on-release.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/media-hantro-Fix-s_fmt-for-dynamic-resolution-change.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/media-radio-wl1273-fix-interrupt-masking-on-release.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/media-venus-remove-invalid-compat_ioctl32-handler.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/mfd-rk808-Fix-RK818-ID-template.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/mm-memfd-fix-COW-issue-on-MAP_PRIVATE-and-F_SEAL_FUTURE_WRITE-mappings.patch
  (bnc#1155780 (VM/FS functional and performance backports)
  bnc#1151927 5.3.17).
- Update
  patches.suse/mmc-host-omap_hsmmc-add-code-for-special-init-of-wl1.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/mtd-rawnand-Change-calculating-of-position-page-cont.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/mtd-spear_smi-Fix-Write-Burst-mode.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/net_sched-validate-TCA_KIND-attribute-in-tc_chain_tm.patch
  (bsc#1154353 bnc#1151927 5.3.17).
- Update
  patches.suse/phy-renesas-rcar-gen3-usb2-Fix-sysfs-interface-of-ro.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/pinctrl-armada-37xx-Fix-irq-mask-access-in-armada_37.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/pinctrl-rza2-Fix-gpio-name-typos.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/pinctrl-samsung-Add-of_node_put-before-return-in-err.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/pinctrl-samsung-Fix-device-node-refcount-leaks-in-Ex.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/pinctrl-samsung-Fix-device-node-refcount-leaks-in-in.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/powerpc-Fix-vDSO-clock_getres.patch
  (bsc#1065729 bnc#1151927 5.3.17).
- Update
  patches.suse/powerpc-xive-Prevent-page-fault-issues-in-the-machin.patch
  (bsc#1156882 ltc#182435 bnc#1151927 5.3.17).
- Update
  patches.suse/reiserfs-fix-extended-attributes-on-the-root-directory.patch
  (bsc#1151225 bnc#1151927 5.3.17).
- Update
  patches.suse/rtc-disable-uie-before-setting-time-and-enable-after.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/rtlwifi-rtl8192de-Fix-missing-callback-that-tests-fo.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/rtlwifi-rtl8192de-Fix-missing-code-to-retrieve-RX-bu.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/rtlwifi-rtl8192de-Fix-missing-enable-interrupt-flag.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-lpfc-Fix-bad-ndlp-ptr-in-xri-aborted-handling.patch
  (bsc#1156632,jsc#SLE-8654 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Always-check-the-qla2x00_wait_for_hba_o.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Change-discovery-state-before-PLOGI.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Check-secondary-image-if-reading-the-pr.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Do-command-completion-on-abort-timeout.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update patches.suse/scsi-qla2xxx-Fix-DMA-unmap-leak.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-NVMe-port-discovery-after-a-short-d.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-SRB-leak-on-switch-command-timeout.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update patches.suse/scsi-qla2xxx-Fix-a-dma_pool_free-call.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-a-race-condition-between-aborting-a.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-abort-timeout-race-condition.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-different-size-DMA-Alloc-Unmap.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-double-scsi_done-for-abort-path.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-driver-reload-for-ISP82xx.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update patches.suse/scsi-qla2xxx-Fix-driver-unload-hang.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-flash-read-for-Qlogic-ISPs.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-hang-in-fcport-delete-path.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-message-indicating-vectors-used-by-.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-premature-timer-expiration.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-qla24xx_process_bidir_cmd.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Fix-session-lookup-in-qlt_abort_work.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update patches.suse/scsi-qla2xxx-Fix-stale-session.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update patches.suse/scsi-qla2xxx-Fix-stuck-login-session.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Introduce-the-function-qla2xxx_init_sp.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Make-qla2x00_abort_srb-again-decrease-t.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Make-sure-that-aborted-commands-are-fre.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-Really-fix-qla2xxx_eh_abort.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/scsi-qla2xxx-qla2x00_alloc_fw_dump-set-ha-eft.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.17).
- Update
  patches.suse/seccomp-avoid-overflow-in-implicit-constant-conversi.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/splice-only-read-in-as-much-information-as-there-is-.patch
  (bsc#1158456 bnc#1151927 5.3.17).
- Update
  patches.suse/staging-rtl8188eu-fix-interface-sanity-check.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/staging-rtl8712-fix-interface-sanity-check.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/staging-vchiq-call-unregister_chrdev_region-when-dri.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/stm-class-Lose-the-protocol-driver-when-dropping-its.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/tpm-add-check-after-commands-attribs-tab-allocation.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/usb-dwc3-gadget-Clear-started-flag-for-non-IOC.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/usb-dwc3-gadget-Fix-logical-condition.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/usb-dwc3-pci-add-ID-for-the-Intel-Comet-Lake-H-varia.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/usb-gadget-configfs-Fix-missing-spin_lock_init.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/usb-host-xhci-tegra-Correct-phy-enable-sequence.patch
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608 bnc#1151927 5.3.17).
- Update
  patches.suse/usb-mon-Fix-a-deadlock-in-usbmon-between-mmap-and-re.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/usb-roles-fix-a-potential-use-after-free.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/usb-typec-fix-use-after-free-in-typec_register_port.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/usb-xhci-only-set-D3hot-for-pci-device.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/virt_wifi-fix-use-after-free-in-virt_wifi_newlink.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/virtio-balloon-fix-managed-page-counts-when-migratin.patch
  (git-fixes bnc#1151927 5.3.17).
- Update patches.suse/wil6210-check-len-before-memcpy-calls.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/xhci-Fix-memory-leak-in-xhci_add_in_port.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/xhci-Increase-STS_HALT-timeout-in-xhci_suspend.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/xhci-fix-USB3-device-initiated-resume-race-with-root.patch
  (git-fixes bnc#1151927 5.3.17).
- Update
  patches.suse/xhci-make-sure-interrupts-are-restored-to-correct-st.patch
  (git-fixes bnc#1151927 5.3.17).
- commit eb92594
* Thu Jan  2 2020 tiwai@suse.de
- Add patch reference for sched fair fix (CVE-2019-19922 bsc#1159717)
- commit 480be0b
* Thu Jan  2 2020 jlee@suse.com
- efi: Make CONFIG_EFI_RCI2_TABLE selectable on x86 only
  (jsc#SLE-10289).
- commit 8c1a561
* Thu Jan  2 2020 jlee@suse.com
- efi: Make unexported efi_rci2_sysfs_init() static
  (jsc#SLE-10289).
- commit 0364d1d
* Thu Jan  2 2020 jlee@suse.com
- Refresh
  patches.suse/0011-PM-hibernate-require-hibernate-snapshot-image-to-be-.patch.
  (fate#316350)
- commit d4f6542
* Thu Jan  2 2020 jlee@suse.com
- Update config files. Add
  CONFIG_HIBERNATE_VERIFICATION_FORCE is not set
- Refresh
  patches.suse/0010-PM-hibernate-a-option-to-request-that-snapshot-image.patch.
  (fate#316350)
- commit 7516b3e
* Thu Jan  2 2020 jlee@suse.com
- Refresh
  patches.suse/0009-PM-hibernate-prevent-EFI-secret-key-to-be-regenerate.patch.
  (fate#316350)
- commit 3a74fdb
* Thu Jan  2 2020 jlee@suse.com
- Update config files. Add CONFIG_HIBERNATE_VERIFICATION=y
- Refresh
  patches.suse/0008-PM-hibernate-Generate-and-verify-signature-for-snaps.patch.
  (fate#316350)
- commit 04482de
* Tue Dec 31 2019 tbogendoerfer@suse.de
- r8152: avoid to call napi_disable twice (bsc#1159949).
- r8152: Re-order napi_disable in rtl8152_close (bsc#1159949).
- commit e318a2d
* Tue Dec 31 2019 jlee@suse.com
- Refresh
  patches.suse/0007-PM-hibernate-encrypt-hidden-area.patch.
  (fate#316350)
- commit 2517349
* Tue Dec 31 2019 jlee@suse.com
- Refresh
  patches.suse/0006-efi-allow-user-to-regenerate-secret-key.patch.
  (fate#316350)
- commit 15f6da6
* Tue Dec 31 2019 jlee@suse.com
- Update config files. Add:
  CONFIG_HIDDEN_AREA=y
  CONFIG_EFI_SECRET_KEY=y
- Refresh
  patches.suse/0005-efi-generate-secret-key-in-EFI-boot-environment.patch.
  (fate#316350)
- commit 9f8bf21
* Tue Dec 31 2019 jlee@suse.com
- Refresh
  patches.suse/0003-x86-KASLR-public-the-function-for-getting-random-lon.patch.
  (fate#316350)
- commit 404b8d6
* Tue Dec 31 2019 jlee@suse.com
- Refresh
  patches.suse/0002-hibernate-avoid-the-data-in-hidden-area-to-be-snapsh.patch.
  (fate#316350)
- commit ef04a2a
* Tue Dec 31 2019 jlee@suse.com
- Update config files. Add:
  [#] CONFIG_HIDDEN_AREA is not set
- Refresh
  patches.suse/0001-security-create-hidden-area-to-keep-sensitive-data.patch.
  (fate#316350)
- commit 11a6e5f
* Mon Dec 30 2019 bp@suse.de
- x86/mce: Fix possibly incorrect severity calculation on AMD
  (bsc#1152489).
- commit f55f1be
* Mon Dec 30 2019 bp@suse.de
- x86/MCE/AMD: Allow Reserved types to be overwritten in
  smca_banks (bsc#1152489).
- commit a0ed031
* Mon Dec 30 2019 glin@suse.com
- bpf: Clear skb->tstamp in bpf_redirect when necessary
  (bsc#1155518).
- vfs: Convert bpf to use the new mount API (bsc#1155518).
- commit 7d014d2
* Mon Dec 30 2019 glin@suse.com
- Refresh patches.suse/bpf-Fix-race-in-btf_resolve_helper_id.patch.
  Refresh
  patches.suse/bpf-Compare-BTF-types-of-functions-arguments-with-ac.patch.
- commit 5dec29f
* Mon Dec 30 2019 glin@suse.com
- samples: bpf: fix syscall_tp due to unused syscall
  (bsc#1155518).
- samples: bpf: Replace symbol compare of trace_event
  (bsc#1155518).
- bpftool: Don't crash on missing jited insns or ksyms
  (bsc#1155518).
- bpf, riscv: Limit to 33 tail calls (bsc#1155518).
- libbpf: Make global data internal arrays mmap()-able, if
  possible (bsc#1155518).
- commit 479ef0d
* Sun Dec 29 2019 mkubecek@suse.cz
- config: refresh
  Clean up options which are no longer available.
- commit 64a3f68
* Sun Dec 29 2019 bp@suse.de
- supported.conf: Mark i10nm_edac as supported
  See bsc#1159522.
- commit 442c0cf
* Fri Dec 27 2019 dbueso@suse.de
- fs/epoll: remove unnecessary wakeups of nested epoll
  (bsc#1159867).
- epoll: simplify ep_poll_safewake() for CONFIG_DEBUG_LOCK_ALLOC
  (bsc#1159867).
- commit 42eb012
* Fri Dec 27 2019 dbueso@suse.de
- x86/mm/pat: Fix off-by-one bugs in interval tree search
  (bsc#1159864).
- locking/refcount: Remove unused 'refcount_error_report()'
  function (bsc#1149032).
- locking/refcount: Consolidate implementations of refcount_t
  (bsc#1149032).
- locking/refcount: Consolidate REFCOUNT_{MAX,SATURATED}
  definitions (bsc#1149032).
- locking/refcount: Move saturation warnings out of line
  (bsc#1149032).
- locking/refcount: Improve performance of generic REFCOUNT_FULL
  code (bsc#1149032).
- locking/refcount: Move the bulk of the REFCOUNT_FULL
  implementation into the <linux/refcount.h> header (bsc#1149032).
- locking/refcount: Remove unused refcount_*_checked() variants
  (bsc#1149032).
- locking/refcount: Ensure integer operands are treated as signed
  (bsc#1149032).
- locking/refcount: Define constants for saturation and max
  refcount values (bsc#1149032).
- lib/smp_processor_id: Don't use cpumask_equal() (bsc#1149032).
- x86/mm/pat: Rename pat_rbtree.c to pat_interval.c (bsc#1159864).
- x86/mm/pat: Drop the rbt_ prefix from external memtype calls
  (bsc#1159864).
- x86/mm/pat: Do not pass 'rb_root' down the memtype tree helper
  functions (bsc#1159864).
- x86/mm/pat: Convert the PAT tree to a generic interval tree
  (bsc#1159864).
- augmented rbtree: rework the RB_DECLARE_CALLBACKS macro
  definition (bsc#1159864).
- augmented rbtree: add new RB_DECLARE_CALLBACKS_MAX macro
  (bsc#1159864).
- augmented rbtree: add comments for RB_DECLARE_CALLBACKS macro
  (bsc#1159864).
- rbtree: avoid generating code twice for the cached versions
  (tools copy) (bsc#1159864).
- commit 27d4ced
* Thu Dec 26 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/net-ibmvnic-Fix-typo-in-retry-check.patch
- commit cdfb8b3
* Thu Dec 26 2019 glin@suse.com
- selftests/bpf: Add static to enable_all_controllers()
  (bsc#1155518).
- commit e1a5909
* Thu Dec 26 2019 glin@suse.com
- libbpf: Add support for field size relocations (bsc#1155518).
- libbpf: Add support for relocatable bitfields (bsc#1155518).
- selftests/bpf: Remove too strict field offset relo test cases
  (bsc#1155518).
- commit 50d1087
* Thu Dec 26 2019 glin@suse.com
- libbpf: Fix usage of u32 in userspace code (bsc#1155518).
- libbpf: Fix bpf_object name determination for
  bpf_object__open_file() (bsc#1155518).
- libbpf: Unpin auto-pinned maps if loading fails (bsc#1155518).
- selftests/bpf: Move test_section_names into test_progs and
  fix it (bsc#1155518).
- Refresh
  patches.suse/selftests-bpf-xdping-is-not-meant-to-be-run-standalo.patch.
- selftests/bpf: Fix dependency ordering for attach_probe test
  (bsc#1155518).
- commit d4cc79c
* Thu Dec 26 2019 glin@suse.com
- bpf: Fix record_func_key to perform backtracking on r3
  (bsc#1155518).
- bpf: Fix cgroup local storage prog tracking (bsc#1155518).
- bpf: Fix missing prog untrack in release_maps (bsc#1155518).
- bpf: Fix build in minimal configurations, again (bsc#1155518).
- samples/bpf: Fix broken xdp_rxq_info due to map order
  assumptions (bsc#1155518).
- libbpf: Fix up generation of bpf_helper_defs.h (bsc#1155518).
- libbpf: Fix global variable relocation (bsc#1155518).
- bpf: Introduce BPF_TRACE_x helper for the tracing tests
  (bsc#1155518).
- selftests/bpf: Add BPF trampoline performance test
  (bsc#1155518).
- selftests/bpf: Ensure core_reloc_kernel is reading test_progs's
  data only (bsc#1155518).
- libbpf: Support initialized global variables (bsc#1155518).
- libbpf: Fix various errors and warning reported by checkpatch.pl
  (bsc#1155518).
- libbpf: Refactor relocation handling (bsc#1155518).
- Refresh
  patches.suse/libbpf-fix-sym-st_value-print-on-32-bit-arches.patch.
- selftests/bpf: Integrate verbose verifier log into test_progs
  (bsc#1155518).
- selftests, bpftool: Skip the build test if not in tree
  (bsc#1155518).
- selftests, bpftool: Set EXIT trap after usage function
  (bsc#1155518).
- selftests/bpf: Add BPF_TYPE_MAP_ARRAY mmap() tests
  (bsc#1155518).
- selftests/bpf: Add a test for attaching BPF prog to another
  BPF prog and subprog (bsc#1155518).
- selftests/bpf: Extend test_pkt_access test (bsc#1155518).
- libbpf: Add support for attaching BPF programs to other BPF
  programs (bsc#1155518).
- selftests/bpf: Add stress test for maximum number of progs
  (bsc#1155518).
- selftests/bpf: Add combined fentry/fexit test (bsc#1155518).
- selftests/bpf: Add fexit tests for BPF trampoline (bsc#1155518).
- selftests/bpf: Add test for BPF trampoline (bsc#1155518).
- selftest/bpf: Simple test for fentry/fexit (bsc#1155518).
- libbpf: Add support to attach to fentry/fexit tracing progs
  (bsc#1155518).
- libbpf: Introduce btf__find_by_name_kind() (bsc#1155518).
- libbpf: Add getter for program size (bsc#1155518).
- bpf: Add cb access in kfree_skb test (bsc#1155518).
- selftests/bps: Clean up removed ints relocations negative tests
  (bsc#1155518).
- selftests/bpf: Add field size relocation tests (bsc#1155518).
- selftest/bpf: Add relocatable bitfield reading tests
  (bsc#1155518).
- selftests: Add tests for automatic map pinning (bsc#1155518).
- libbpf: Add auto-pinning of maps when loading BPF objects
  (bsc#1155518).
- libbpf: Move directory creation into _pin() functions
  (bsc#1155518).
- libbpf: Store map pin path and status in struct bpf_map
  (bsc#1155518).
- libbpf: Fix error handling in bpf_map__reuse_fd() (bsc#1155518).
- libbpf: Add support for prog_tracing (bsc#1155518).
- libbpf: Make DECLARE_LIBBPF_OPTS macro strictly a variable
  declaration (bsc#1155518).
- selftest/bpf: Get rid of a bunch of explicit BPF program type
  setting (bsc#1155518).
- selftests/bpf: Make reference_tracking test use subtests
  (bsc#1155518).
- selftests/bpf: Make a copy of subtest name (bsc#1155518).
- libbpf: Teach bpf_object__open to guess program types
  (bsc#1155518).
- libbpf: Add uprobe/uretprobe and tp/raw_tp section suffixes
  (bsc#1155518).
- libbpf: Add bpf_program__get_{type, expected_attach_type) APIs
  (bsc#1155518).
- bpf, libbpf: Add kernel version section parsing back
  (bsc#1155518).
- selftests/bpf: Make CO-RE reloc test impartial to test_progs
  flavor (bsc#1155518).
- selftests/bpf: Add field existence CO-RE relocs tests
  (bsc#1155518).
- libbpf: Add BPF-side definitions of supported field relocation
  kinds (bsc#1155518).
- libbpf: Add support for field existance CO-RE relocation
  (bsc#1155518).
- libbpf: Refactor bpf_object__open APIs to use common opts
  (bsc#1155518).
- libbpf: Update BTF reloc support to latest Clang format
  (bsc#1155518).
- selftests/bpf: Enforce libbpf build before BPF programs are
  built (bsc#1155518).
- libbpf: Generate more efficient BPF_CORE_READ code
  (bsc#1155518).
- selftests/bpf: Add read-only map values propagation tests
  (bsc#1155518).
- scripts/bpf: Fix xdp_md forward declaration typo (bsc#1155518).
- selftests/bpf: Add BPF_CORE_READ and BPF_CORE_READ_STR_INTO
  macro tests (bsc#1155518).
- libbpf: Add BPF_CORE_READ/BPF_CORE_READ_INTO helpers
  (bsc#1155518).
- libbpf: Move bpf_{helpers, helper_defs, endian, tracing}.h
  into libbpf (bsc#1155518).
- selftests/bpf: Split off tracing-only helpers into bpf_tracing.h
  (bsc#1155518).
- selftests/bpf: Adjust CO-RE reloc tests for new bpf_core_read()
  macro (bsc#1155518).
- selftests/bpf: samples/bpf: Split off legacy stuff from
  bpf_helpers.h (bsc#1155518).
- selftests/bpf: Undo GCC-specific bpf_helpers.h changes
  (bsc#1155518).
- bpftool: Fix bpftool build by switching to
  bpf_object__open_file() (bsc#1155518).
- libbpf: auto-generate list of BPF helper definitions
  (bsc#1155518).
- scripts/bpf: teach bpf_helpers_doc.py to dump BPF helper
  definitions (bsc#1155518).
- uapi/bpf: fix helper docs (bsc#1155518).
- libbpf: Add cscope and tags targets to Makefile (bsc#1155518).
- selftests/bpf: switch tests to new bpf_object__open_{file,
  mem}() APIs (bsc#1155518).
- libbpf: fix bpf_object__name() to actually return object name
  (bsc#1155518).
- libbpf: add bpf_object__open_{file, mem} w/ extensible opts
  (bsc#1155518).
- libbpf: stop enforcing kern_version, populate it for users
  (bsc#1155518).
- libbpf: Fix BTF-defined map's __type macro handling of arrays
  (bsc#1155518).
- libbpf: Bump current version to v0.0.6 (bsc#1155518).
- selftests/bpf: add bpf-gcc support (bsc#1155518).
- bpf: sync bpf.h to tools/ (bsc#1155518).
- bpf: clarify when bpf_trace_printk discards lines (bsc#1155518).
- bpf: fix 'struct pt_reg' typo in documentation (bsc#1155518).
- libbpf: relicense bpf_helpers.h and bpf_endian.h (bsc#1155518).
- tools/bpf: fix core_reloc.c compilation error (bsc#1155518).
- selftests/bpf: add CO-RE relocs misc tests (bsc#1155518).
- selftests/bpf: add CO-RE relocs ints tests (bsc#1155518).
- selftests/bpf: add CO-RE relocs ptr-as-array tests
  (bsc#1155518).
- selftests/bpf: add CO-RE relocs modifiers/typedef tests
  (bsc#1155518).
- selftests/bpf: add CO-RE relocs enum/ptr/func_proto tests
  (bsc#1155518).
- selftests/bpf: add CO-RE relocs array tests (bsc#1155518).
- selftests/bpf: add CO-RE relocs nesting tests (bsc#1155518).
- selftests/bpf: add CO-RE relocs struct flavors tests
  (bsc#1155518).
- selftests/bpf: add CO-RE relocs testing setup (bsc#1155518).
- selftests/bpf: add BPF_CORE_READ relocatable read macro
  (bsc#1155518).
- selftests/bpf: bpf_tcp_gen_syncookie->bpf_helpers (bsc#1155518).
- samples/bpf: switch trace_output sample to perf_buffer API
  (bsc#1155518).
- samples/bpf: convert xdp_sample_pkts_user to perf_buffer API
  (bsc#1155518).
- commit d828ab7
* Mon Dec 23 2019 jack@suse.cz
- ext4: check for directory entries too close to block end
  (bsc#1157717 CVE-2019-19037).
- commit 6bf11c6
* Mon Dec 23 2019 jack@suse.cz
- ext4: fix ext4_empty_dir() for directories with holes.
- commit 54aad4a
* Sun Dec 22 2019 dbueso@suse.de
- futex: Prevent exit livelock (bsc#1149032).
- futex: Provide distinct return value when owner is exiting
  (bsc#1149032).
- futex: Add mutex around futex exit (bsc#1149032).
- futex: Provide state handling for exec() as well (bsc#1149032).
- futex: Sanitize exit state handling (bsc#1149032).
- futex: Mark the begin of futex exit explicitly (bsc#1149032).
- futex: Set task::futex_state to DEAD right after handling
  futex exit (bsc#1149032).
- futex: Split futex_mm_release() for exit/exec (bsc#1149032).
- exit/exec: Seperate mm_release() (bsc#1149032).
- futex: Replace PF_EXITPIDONE with a state (bsc#1149032).
- futex: Move futex exit handling into futex code (bsc#1149032).
- commit 069097a
* Fri Dec 20 2019 vbabka@suse.cz
- mm, debug_pagealloc: don't rely on static keys too early
  (VM debuging functionality, bsc#1159455).
- commit 690a965
* Fri Dec 20 2019 jack@suse.cz
- ext4: work around deleting a file with i_nlink == 0 safely
  (bsc#1158819 CVE-2019-19447).
- commit 126e601
* Fri Dec 20 2019 tiwai@suse.de
- drm/i915/gt: Save irqstate around virtual_context_destroy
  (git-fixes).
- commit 0119c98
* Fri Dec 20 2019 tiwai@suse.de
- Mark already cherry-picked commit ids in i915 patches
  Refresh:
  patches.suse/drm-i915-Don-t-oops-in-dumb_create-ioctl-if-we-have-.patch
  patches.suse/drm-i915-userptr-Try-to-acquire-the-page-lock-around.patch
- commit 051ff5d
* Fri Dec 20 2019 tiwai@suse.de
- drm/i915: Protect context while grabbing its name for the
  request (git-fixes).
- drm/i915: Initialise breadcrumb lists on the virtual engine
  (git-fixes).
- commit 248edd0
* Fri Dec 20 2019 tiwai@suse.de
- net: dsa: fix flow dissection on Tx path (git-fixes).
- net: dsa: LAN9303: select REGMAP when LAN9303 enable
  (git-fixes).
- commit a8aec65
* Fri Dec 20 2019 tiwai@suse.de
- KEYS: asymmetric: return ENOMEM if akcipher_request_alloc()
  fails (git-fixes).
- commit 6067783
* Fri Dec 20 2019 tiwai@suse.de
- mmc: dw_mmc: Fix debugfs on 64-bit platforms (git-fixes).
- mmc: atmel-mci: Fix debugfs on 64-bit platforms (git-fixes).
- debugfs: Add debugfs_create_xul() for hexadecimal unsigned long
  (git-fixes).
- commit 3a9e8a9
* Fri Dec 20 2019 tiwai@suse.de
- tpm: fix invalid locking in NONBLOCKING mode (git-fixes).
- tpm_tis: reserve chip for duration of tpm_tis_core_init
  (git-fixes).
- nvmem: core: fix nvmem_cell_write inline function (git-fixes).
- tools/power/cpupower: Fix initializer override in
  hsw_ext_cstates (git-fixes).
- commit 1d5439f
* Fri Dec 20 2019 tiwai@suse.de
- tools/testing/nvdimm: Fix fallthrough warning (bsc#1159523).
- commit c26d308
* Fri Dec 20 2019 tiwai@suse.de
- net: wireless: intel: iwlwifi: fix GRO_NORMAL packet stalling
  (bsc#1159555).
- commit f735353
* Thu Dec 19 2019 mkubecek@suse.cz
- rpm/kernel-subpackage-spec: fix kernel-default-base build
  There were some issues with recent changes to subpackage dependencies handling:
- a typo in %%kernel_base_conflicts macro name
- copy/pasted "Recommends:" instead of "Provides:", "Obsoletes:" and
  "Conflicts:
- missing escaping of backslashes in macro expansions
  Fixes: f3b74b0ae86b ("rpm/kernel-subpackage-spec: Unify dependency handling.")
  Fixes: 3fd22e219f77 ("rpm/kernel-subpackage-spec: Fix empty Recommends tag (bsc#1143959)")
- commit 762fd66
* Thu Dec 19 2019 fdmanana@suse.com
- Btrfs: send, allow clone operations within the same file
  (bsc#1158746).
- commit 65efe90
* Thu Dec 19 2019 fdmanana@suse.com
- Btrfs: fix hole extent items with a zero size after range
  cloning (bsc#1156782).
- commit c0cfb85
* Thu Dec 19 2019 fdmanana@suse.com
- Btrfs: fix cloning range with a hole when using the NO_HOLES
  feature (bsc#1156782).
- commit 990a52a
* Thu Dec 19 2019 tiwai@suse.de
- supported.conf: Mark intel_rapl-* modules as supported (bsc#1159519)
  Those were marked as unsupported incorrectly.
- commit a95f5c6
* Thu Dec 19 2019 yousaf.kaukab@suse.com
- dpaa_eth: register a device link for the qman portal used
  (bsc#1159537).
- soc: fsl: qbman: allow registering a device link for the portal
  user (bsc#1159537).
- dpaa_eth: extend delays in ndo_stop (bsc#1159537).
- dpaa_eth: remove netdev_err() for user errors (bsc#1159537).
- dpaa_eth: add dropped frames to percpu ethtool stats
  (bsc#1159537).
- dpaa_eth: use a page to store the SGT (bsc#1159537).
- dpaa_eth: cleanup skb_to_contig_fd() (bsc#1159537).
- dpaa_eth: use fd information in dpaa_cleanup_tx_fd()
  (bsc#1159537).
- dpaa_eth: simplify variables used in dpaa_cleanup_tx_fd()
  (bsc#1159537).
- dpaa_eth: avoid timestamp read on error paths (bsc#1159537).
- dpaa_eth: perform DMA unmapping before read (bsc#1159537).
- dpaa_eth: use page backed rx buffers (bsc#1159537).
- dpaa_eth: use only one buffer pool per interface (bsc#1159537).
- dpaa_eth: add newline in dev_err() msg (bsc#1159537).
- fsl/fman: remove unused struct member (bsc#1159537).
- dpaa_eth: change DMA device (bsc#1159537).
- fsl/fman: add API to get the device behind a fman port
  (bsc#1159537).
- dpaa_eth: remove redundant code (bsc#1159537).
- dpaa_eth: defer probing after qbman (bsc#1159537).
- fsl/fman: don't touch liodn base regs reserved on non-PAMU SoCs
  (bsc#1159537).
- dpaa_eth: Use refcount_t for refcount (bsc#1159537).
- soc/fsl/qbman: Update device tree with reserved memory
  (bsc#1159535).
- soc/fsl/qbman: Fixup qman_shutdown_fq() (bsc#1159535).
- soc/fsl/qbman: Disable interrupts during portal recovery
  (bsc#1159535).
- soc/fsl/qbman: Fix drain_mr_fqni() (bsc#1159535).
- soc/fsl/qbman: Cleanup QMan queues if device was already
  initialized (bsc#1159535).
- soc/fsl/qbman: Cleanup buffer pools if BMan was initialized
  prior to bootup (bsc#1159535).
- soc/fsl/qbman: Rework QBMan private memory setup (bsc#1159535).
- commit 622fccb
* Thu Dec 19 2019 lyan@suse.com
- KVM: arm/arm64: vgic: Allow more than 256 vcpus for KVM_IRQ_LINE
  (jsc#SLE-9228).
- Refresh
  patches.suse/KVM-Hyper-V-Add-new-KVM-capability-KVM_CAP_HYPERV_DI.patch.
- commit 4054d0e
* Wed Dec 18 2019 tiwai@suse.de
- ASoC: wm8962: fix lambda value (git-fixes).
- ASoC: SOF: Intel: split cht and byt debug window sizes
  (git-fixes).
- ASoC: SOF: loader: fix snd_sof_fw_parse_ext_data (git-fixes).
- ASoC: SOF: loader: snd_sof_fw_parse_ext_data log warning on
  unknown header (git-fixes).
- ASoC: simple-card: Don't create separate link when platform
  is present (git-fixes).
- ASoC: topology: Check return value for soc_tplg_pcm_create()
  (git-fixes).
- ASoC: topology: Check return value for snd_soc_add_dai_link()
  (git-fixes).
- ASoC: Intel: bytcr_rt5640: Update quirk for Teclast X89
  (git-fixes).
- ASoC: Intel: sst: Add missing include <linux/io.h> (git-fixes).
- ASoC: max98090: fix possible race conditions (git-fixes).
- ASoC: max98090: exit workaround earlier if PLL is locked
  (git-fixes).
- ASoC: max98090: remove msleep in PLL unlocked workaround
  (git-fixes).
- ASoC: AMD: Enable clk in startup intead of hw_params
  (git-fixes).
- ASoC: rt5682: fix i2c arbitration lost issue (git-fixes).
- ALSA: hda - Downgrade error message for single-cmd fallback
  (git-fixes).
- ALSA: hda: Fix regression by strip mask fix (git-fixes).
- ALSA: hda/ca0132 - Fix work handling in delayed HP detection
  (git-fixes).
- ALSA: hda/ca0132 - Avoid endless loop (git-fixes).
- ALSA: hda/ca0132 - Keep power on during processing DSP response
  (git-fixes).
- ALSA: pcm: Avoid possible info leaks from PCM stream buffers
  (git-fixes).
- commit 5704af7
* Wed Dec 18 2019 msuchanek@suse.de
- powerpc/archrandom: fix arch_get_random_seed_int()
  (bsc#1065729).
- powerpc: Fix vDSO clock_getres() (bsc#1065729).
- powerpc/powernv: Disable native PCIe port management
  (bsc#1065729).
- commit 1064493
* Wed Dec 18 2019 msuchanek@suse.de
- ibmveth: Detect unsupported packets before sending to the
  hypervisor (bsc#1159484 ltc#182983).
- commit 258fd08
* Wed Dec 18 2019 dwagner@suse.de
- scsi: lpfc: size cpu map by last cpu id set (bsc#1157160).
- scsi: lpfc: use hdwq assigned cpu for allocation (bsc#1157160).
- commit b9fd3db
* Wed Dec 18 2019 tiwai@suse.de
- efi: Don't attempt to map RCI2 config table if it doesn't exist
  (git-fixes).
- efi/earlycon: Remap entire framebuffer after page initialization
  (git-fixes).
- libtraceevent: Fix memory leakage in copy_filter_type
  (git-fixes).
- commit 360da09
* Wed Dec 18 2019 tiwai@suse.de
- mailbox: tegra: Fix superfluous IRQ error message (git-fixes).
- Revert "pinctrl: sh-pfc: r8a77990: Fix MOD_SEL1 bit31 when
  using SIM0_D" (git-fixes).
- Revert "pinctrl: sh-pfc: r8a77990: Fix MOD_SEL1 bit30 when
  using SSI_SCK2 and SSI_WS2" (git-fixes).
- commit aaa30e6
* Wed Dec 18 2019 tiwai@suse.de
- regulator: rn5t618: fix module aliases (git-fixes).
- regulator: core: fix regulator_register() error paths to
  properly release rdev (git-fixes).
- spi: nxp-fspi: Ensure width is respected in spi-mem operations
  (git-fixes).
- spi: sprd: Fix the incorrect SPI register (git-fixes).
- spi: dw: Correct handling of native chipselect (git-fixes).
- spi: cadence: Correct handling of native chipselect (git-fixes).
- reset: Fix {of,devm}_reset_control_array_get kerneldoc return
  types (git-fixes).
- reset: brcmstb: Remove resource checks (git-fixes).
- commit 76e8bc6
* Wed Dec 18 2019 tiwai@suse.de
- Update patch references for io_uring fixes (CVE-2019-19241 bsc#1159441)
- commit a94274a
* Wed Dec 18 2019 tbogendoerfer@suse.de
- bpf: Force .BTF section start to zero when dumping from vmlinux
  (bsc#1154353).
- libbpf: Fix Makefile' libbpf symbol mismatch diagnostic
  (bsc#1154353).
- commit d383cb0
* Wed Dec 18 2019 tbogendoerfer@suse.de
- bpf: Support pre-2.25-binutils objcopy for vmlinux BTF
  (bsc#1154353).
- libbpf: handle symbol versioning properly for libbpf.a
  (bsc#1154353).
- commit 04f1f8c
* Wed Dec 18 2019 tiwai@suse.de
- usb: dwc3: pci: add ID for the Intel Comet Lake -H variant
  (git-fixes).
- xhci: fix USB3 device initiated resume race with roothub
  autosuspend (git-fixes).
- usb: dwc3: gadget: Clear started flag for non-IOC (git-fixes).
- USB: dummy-hcd: increase max number of devices to 32
  (git-fixes).
- commit b4a9fe8
* Wed Dec 18 2019 tiwai@suse.de
- wil6210: check len before memcpy() calls (git-fixes).
- commit b8cef66
* Wed Dec 18 2019 tiwai@suse.de
- iio: ad7949: fix channels mixups (git-fixes).
- iio: ad7949: kill pointless "readback"-handling code
  (git-fixes).
- commit 172e59a
* Wed Dec 18 2019 tiwai@suse.de
- drm/i915/guc: Skip suspend/resume GuC action on platforms w/o
  GuC submission (git-fixes).
- coresight: Serialize enabling/disabling a link device
  (git-fixes).
- coresight: tmc-etr: Fix perf_data check (git-fixes).
- commit ecf0694
* Wed Dec 18 2019 tiwai@suse.de
- bus: ti-sysc: Fix missing reset delay handling (git-fixes).
- blacklist.conf:
- ASoC: SOF: topology: free kcontrol memory on error (git-fixes).
- commit 4b0268c
* Wed Dec 18 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: Unify dependency handling.
- commit f3b74b0
* Wed Dec 18 2019 tiwai@suse.de
- Update patch references for reported CVEs (CVE-2019-18811 bsc#1159374 CVE-2019-19044 bsc#1159370 CVE-2019-19043 bsc#1159375)
- commit 1b9a5c8
* Wed Dec 18 2019 yousaf.kaukab@suse.com
- ASoC: fsl_sai: add IRQF_SHARED (jsc#SLE-9316).
- dmaengine: fsl-qdma: Handle invalid qdma-queue0 IRQ
  (jsc#SLE-9316).
- ASoC: fsl_sai: Fix noise when using EDMA (jsc#SLE-9316).
- dmaengine: fsl-edma: implement .device_synchronize callback
  (jsc#SLE-9316).
- ASoC: fsl_sai: Implement set_bclk_ratio (jsc#SLE-9316).
- ASoC: fsl_sai: Add support for imx8qm (jsc#SLE-9316).
- ASoC: fsl_sai: Add support for imx7ulp/imx8mq (jsc#SLE-9316).
- ASoC: fsl_sai: Add support for SAI new version (jsc#SLE-9316).
- ASoC: fsl_sai: Update Tx/Rx channel enable mask (jsc#SLE-9316).
- ASoC: fsl_sai: Add registers definition for multiple datalines
  (jsc#SLE-9316).
- ASoC: sgtl5000: add ADC mute control (jsc#SLE-9316).
- ASoC: sgtl5000: Fix definition of VAG Ramp Control
  (jsc#SLE-9316).
- ASoC: fsl_sai: mark regmap as fast_io (jsc#SLE-9316).
- ASoC: fsl_sai: derive TX FIFO watermark from FIFO depth
  (jsc#SLE-9316).
- ASoC: fsl_sai: add of_match data (jsc#SLE-9316).
- commit c78e5c0
* Wed Dec 18 2019 tiwai@suse.de
- blacklist.conf: Yet another i915 entries that are already applied
- commit 1d49d40
* Wed Dec 18 2019 mkubecek@suse.cz
- fix mainline reference
- fix Patch-mainline:
  patches.suse/efi-memreserve-Register-reservations-as-reserved-in-.patch
- commit cc91804
* Wed Dec 18 2019 clin@suse.com
- efi/memreserve: Register reservations as 'reserved' in
  /proc/iomem (jsc#SLE-9943).
- commit b90e4d7
* Wed Dec 18 2019 tiwai@suse.de
- drm/hdcp: update content protection property with uevent
  (jsc#SLE-7953).
- drm: uevent for connector status change (jsc#SLE-7953).
- commit 8809d69
* Wed Dec 18 2019 tiwai@suse.de
- blacklist.conf: Yet another couple of i915 entries
- commit 1237ce0
* Wed Dec 18 2019 tiwai@suse.de
- drm/i915/gvt: Fix cmd length check for MI_ATOMIC (jsc#SLE-7953).
- commit da0f534
* Wed Dec 18 2019 tiwai@suse.de
- drm/i915: Reduce nested prepare_remote_context() to a trylock
  (jsc#SLE-7953).
- commit 0f19c08
* Wed Dec 18 2019 tiwai@suse.de
- blacklist.conf: Add a few more i915 entries
- commit b08d57a
* Tue Dec 17 2019 tiwai@suse.de
- blacklist.conf: Add a few more bogus fixes for i915
- commit 63135e3
* Tue Dec 17 2019 tiwai@suse.de
- blacklist.conf: Remove entries that are marked already as No-Fix
- commit f8b19cf
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/query: Align flavour of engine data lookup
  (jsc#SLE-7953).
- commit 066f30e
* Tue Dec 17 2019 tiwai@suse.de
- drm: Fix kerneldoc warns in connector-related docs
  (jsc#SLE-7953).
- blacklist.conf:
- commit 78bad1b
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Fix some NULL vs IS_ERR() conditions (jsc#SLE-7953).
- commit af137f7
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Pull obj->userfault tracking under the ggtt->mutex
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Mark-contents-as-dirty-on-a-write-fault.patch.
- commit 4e3c83d
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Generalise the clflush dma-worker (jsc#SLE-7953).
- commit 6efd408
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Allow sharing the idle-barrier from other kernel
  requests (jsc#SLE-7953).
- drm/i915: Lift timeline into intel_context (jsc#SLE-7953).
- blacklist.conf:
- Refresh
  patches.suse/drm-i915-Defer-final-intel_wakeref_put-to-process-co.patch.
- commit f2b1359
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: extract i915_suspend.h from i915_drv.h (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Remove-Master-tables-from-cmdparser.patch.
- Refresh
  patches.suse/drm-i915-cmdparser-Add-support-for-backward-jumps.patch.
- commit c0ae53a
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: extract i915_perf.h from i915_drv.h (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Remove-Master-tables-from-cmdparser.patch.
- Refresh
  patches.suse/drm-i915-cmdparser-Add-support-for-backward-jumps.patch.
- commit 9d4c2ab
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Defer final intel_wakeref_put to process context
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-gen8-Add-RC6-CTX-corruption-WA.patch.
- commit dd53316
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: split out intel_pch.[ch] from i915_drv.[ch]
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-cml-Add-second-PCH-ID-for-CMP.patch.
- commit 2861115
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Isolate i915_getparam_ioctl() (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Disable-Secure-Batches-for-gen6.patch.
- commit 49cdd5f
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: rename intel_drv.h to display/intel_display_types.h
  (jsc#SLE-7953).
- Refresh
  patches.suse/0001-drm-i915-Preload-LUTs-if-the-hw-isn-t-currently-usin.patch.
- Refresh
  patches.suse/drm-i915-avoid-including-intel_drv.h-via-i915_drv.h-.patch.
- commit d61e385
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gt: Move the [class][inst] lookup for engines onto
  the GT (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Add-support-for-mandatory-cmdparsing.patch.
- commit a00ddad
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gem: Make caps.scheduler static (jsc#SLE-7953).
- commit 9158743
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Replace struct_mutex for batch pool serialisation
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Remove-Master-tables-from-cmdparser.patch.
- Refresh
  patches.suse/drm-i915-Support-ro-ppgtt-mapped-cmdparser-shadow-bu.patch.
- Refresh
  patches.suse/drm-i915-cmdparser-Add-support-for-backward-jumps.patch.
- commit 54224b5
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/tgl: Add and use new DC5 and DC6 residency counter
  registers (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Lower-RM-timeout-to-avoid-DSI-hard-hangs.patch.
- commit f24e88e
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/oa: add content to Makefile (jsc#SLE-7953).
- commit 14f0c49
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/tgl: Update north display hotplug detection to TGL
  connections (jsc#SLE-7953).
- drm/i915/tgl: Add hpd interrupt handling (jsc#SLE-7953).
- commit d733dc7
* Tue Dec 17 2019 tiwai@suse.de
- drm/hdcp: reference for srm file format (jsc#SLE-7953).
- drm/i915: update the hdcp state with uevent (jsc#SLE-7953).
- commit 5409f55
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Attach content type property (jsc#SLE-7953).
- drm: Add Content protection type property (jsc#SLE-7953).
- commit 8c5e79f
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/uc: Update drawing for firmware layout (jsc#SLE-7953).
- commit bf9ef45
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Remove set but not used variable 'src_y'
  (jsc#SLE-7953).
- Refresh
  patches.suse/0004-drm-i915-Fix-g4x-sprite-scaling-stride-check-with-GT.patch.
- commit a67f62a
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Make sure cdclk is high enough for DP audio on VLV/CHV
  (jsc#SLE-7953).
- commit 2113501
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/uc: move GuC and HuC files under gt/uc/ (jsc#SLE-7953).
- commit 75e5ecf
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gt: Use intel_gt as the primary object for handling
  resets (jsc#SLE-7953).
- Refresh
  patches.suse/0001-drm-i915-Don-t-mix-srcu-tag-and-negative-error-codes.patch.
- Refresh
  patches.suse/0001-drm-i915-Fix-and-improve-MCR-selection-logic.patch.
- Refresh
  patches.suse/drm-i915-gen8-Add-RC6-CTX-corruption-WA.patch.
- commit fc382c7
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Drop extern qualifiers from header function prototypes
  (jsc#SLE-7953).
- Refresh
  patches.suse/0001-drm-i915-Fix-and-improve-MCR-selection-logic.patch.
- Refresh
  patches.suse/drm-i915-Remove-Master-tables-from-cmdparser.patch.
- Refresh
  patches.suse/drm-i915-cmdparser-Add-support-for-backward-jumps.patch.
- commit c8d7893
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gtt: Compute the radix for gen8 page table levels
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- commit 55aec54
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gtt: Reorder gen8 ppgtt free/clear/alloc
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- commit a16779b
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gtt: Wrap page_table with page_directory
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- commit 71fa45e
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Add engine name to workaround debug print
  (jsc#SLE-7953).
- drm/i915: Add test for invalid flag bits in whitelist entries
  (jsc#SLE-7953).
- drm/i915: Implement read-only support in whitelist selftest
  (jsc#SLE-7953).
- drm/i915/gtt: Use shallow dma pages for scratch (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- commit ec55c4b
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/userptr: Don't mark readonly objects as dirty
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-userptr-Try-to-acquire-the-page-lock-around.patch.
- commit 848bfd7
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gtt: pde entry encoding is identical (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- commit 5787f30
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Markup potential lock for i915_active (jsc#SLE-7953).
- commit bd27d8c
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gem: Free pages before rcu-freeing the object
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Support-ro-ppgtt-mapped-cmdparser-shadow-bu.patch.
- commit b98ab90
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: whitelist PS_(DEPTH|INVOCATION)_COUNT (jsc#SLE-7953).
- commit d4fc9d3
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/execlists: Refactor CSB state machine (jsc#SLE-7953).
- Refresh
  patches.suse/0003-drm-i915-execlists-Process-interrupted-context-on-re.patch.
- commit c69c050
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Sanitize the TypeC FIA lane configuration decoding
  (jsc#SLE-7953).
- commit 7967d8b
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Factor out common parts from TypeC port handling
  functions (jsc#SLE-7953).
- commit 5386d47
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Move the TypeC port handling code to a separate file
  (jsc#SLE-7953).
- commit 5357220
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Convert most of atomic commit to take more intel state
  (jsc#SLE-7953).
- Refresh
  patches.suse/0001-drm-i915-Preload-LUTs-if-the-hw-isn-t-currently-usin.patch.
- commit 4494372
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Pass intel_crtc_state to needs_modeset()
  (jsc#SLE-7953).
- Refresh
  patches.suse/0001-drm-i915-Preload-LUTs-if-the-hw-isn-t-currently-usin.patch.
- commit 7360b01
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: make intel_uc_fw.h self-contained (jsc#SLE-7953).
- drm/i915: make intel_gvt.h self-contained (jsc#SLE-7953).
- drm/i915: make intel_guc_reg.h self-contained (jsc#SLE-7953).
- drm/i915: make intel_guc_fwif.h self-contained (jsc#SLE-7953).
- drm/i915: make intel_guc_ct.h self-contained (jsc#SLE-7953).
- drm/i915: make i915_vgpu.h self-contained (jsc#SLE-7953).
- drm/i915: make i915_pvinfo.h self-contained (jsc#SLE-7953).
- drm/i915: make i915_globals.h self-contained (jsc#SLE-7953).
- drm/i915: make i915_fixed.h self-contained (jsc#SLE-7953).
- drm/i915: add header search path to subdir Makefiles
  (jsc#SLE-7953).
- drm/i915: prefix header search path with $(srctree)/
  (jsc#SLE-7953).
- drm/i915: Move OA files to separate folder (jsc#SLE-7953).
- commit f862e29
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/icl: Add new supported CD clocks (jsc#SLE-7953).
- commit cc4a25c
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/selftests: Fixup atomic reset checking (jsc#SLE-7953).
- commit 0758444
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Rename intel_wakeref_[is]_active (jsc#SLE-7953).
- commit d288f43
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gt: Pass intel_gt to pm routines (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-Perform-GGTT-restore-much-earlier-during-re.patch.
- Refresh
  patches.suse/drm-i915-gen8-Add-RC6-CTX-corruption-WA.patch.
- commit a064bcc
* Tue Dec 17 2019 yousaf.kaukab@suse.com
- arm64: ls1028a: enable audio support
  References: jsc#SLE-9316
- commit a7cdc29
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Prevent dereference of engine before NULL check in
  error capture (jsc#SLE-7953).
- commit e9d652e
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Rename i915_timeline to intel_timeline and move
  under gt (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-cmdparser-Add-support-for-backward-jumps.patch.
- commit be168f4
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Save trip via top-level i915 in a few more places
  (jsc#SLE-7953).
- commit 0ade10c
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Move i915_gem_chipset_flush to intel_gt
  (jsc#SLE-7953).
- commit cdfa7d6
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Stop using I915_READ/WRITE in intel_wopcm_init_hw
  (jsc#SLE-7953).
- commit 6bfe1a1
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Convert i915_gem_init_hw to intel_gt (jsc#SLE-7953).
- commit 01ae127
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Convert intel_mocs_init_l3cc_table to intel_gt
  (jsc#SLE-7953).
- commit bc875ea
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915: Move intel_gt_pm_init under intel_gt_init_early
  (jsc#SLE-7953).
- commit cd30738
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/execlists: Preempt-to-busy (jsc#SLE-7953).
- Refresh
  patches.suse/0001-drm-i915-execlists-Always-clear-pending-inflight-req.patch.
- Refresh
  patches.suse/0003-drm-i915-execlists-Process-interrupted-context-on-re.patch.
- commit 4d9e5f4
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/gvt: decouple check_vgpu() from uncore_init()
  (jsc#SLE-7953).
- Refresh
  patches.suse/drm-i915-to-make-vgpu-ppgtt-notificaiton-as-atomic-o.patch.
- commit 97898e8
* Tue Dec 17 2019 tiwai@suse.de
- drm/i915/fbdev: Restore physical addresses for fb_mmap()
  (jsc#SLE-7953).
- drm/i915: make pool objects read-only (jsc#SLE-7953).
- drm/i915: Protect request peeking with RCU (jsc#SLE-7953).
- drm/i915/tgl: MOCS table update (jsc#SLE-7953).
- drm/i915/dp: Do not switch aux to TBT mode for non-TC ports
  (jsc#SLE-7953).
- drm/i915/tgl: Fix doc not corresponding to code (jsc#SLE-7953).
- drm/i915: Fixup preempt-to-busy vs resubmission of a virtual
  request (jsc#SLE-7953).
- drm/i915/execlists: Refactor -EIO markup of hung requests
  (jsc#SLE-7953).
- drm/i915/gt: execlists->active is serialised by the tasklet
  (jsc#SLE-7953).
- drm/i915/execlists: Protect peeking at execlists->active
  (jsc#SLE-7953).
- drm/i915: Fixup preempt-to-busy vs reset of a virtual request
  (jsc#SLE-7953).
- drm/i915: Only enqueue already completed requests
  (jsc#SLE-7953).
- drm/i915/execlists: Drop redundant
  list_del_init(&rq->sched.link) (jsc#SLE-7953).
- drm/i915: Prevent bonded requests from overtaking each other
  on preemption (jsc#SLE-7953).
- drm/i915: Verify the engine after acquiring the active.lock
  (jsc#SLE-7953).
- drm/i915/execlists: Remove incorrect BUG_ON for schedule-out
  (jsc#SLE-7953).
- Revert "drm/i915: Fix DP-MST crtc_mask" (jsc#SLE-7953).
- drm/i915: Use NOEVICT for first pass on attemping to pin a
  GGTT mmap (jsc#SLE-7953).
- drm/i915: Flush the existing fence before GGTT read/write
  (jsc#SLE-7953).
- drm/i915: Hold irq-off for the entire fake lock period
  (jsc#SLE-7953).
- drm/i915/gvt: update RING_START reg of vGPU when the context
  is submitted to i915 (jsc#SLE-7953).
- drm/i915: Select DMABUF_SELFTESTS for the default i915.ko
  debug build (jsc#SLE-7953).
- drm/i915: Update DRIVER_DATE to 20190822 (jsc#SLE-7953).
- drm/i915: Replace i915_vma_put_fence() (jsc#SLE-7953).
- drm/i915: Track ggtt fence reservations under its own mutex
  (jsc#SLE-7953).
- drm/i915/selftests: Fixup a couple of missing serialisation
  with vma (jsc#SLE-7953).
- drm/i915/gtt: Add some range asserts (jsc#SLE-7953).
- drm/i915/execlists: Set priority hint prior to submission
  (jsc#SLE-7953).
- drm/i915: Replace PIN_NONFAULT with calls to PIN_NOEVICT
  (jsc#SLE-7953).
- drm/i915/gtt: Include asm/smp.h (jsc#SLE-7953).
- drm/i915/hdmi: make hdcp2_msg_data const (jsc#SLE-7953).
- drm/i915/hdmi: stylistic cleanup around hdcp2_msg_data
  (jsc#SLE-7953).
- drm/i915/dp: make hdcp2_dp_msg_data const (jsc#SLE-7953).
- drm/i915/dp: avoid shadowing variables (jsc#SLE-7953).
- drm/i915/dp: stylistic cleanup around hdcp2_msg_data
  (jsc#SLE-7953).
- drm/i915/gtt: Relax assertion for pt_used (jsc#SLE-7953).
- drm/i915: Fix DP-MST crtc_mask (jsc#SLE-7953).
- drm/i915/tgl: update DMC firmware to 2.04 (jsc#SLE-7953).
- drm/i915/tgl: Move transcoders to pipes' powerwells
  (jsc#SLE-7953).
- drm/i915/tgl: add support for reading the timestamp frequency
  (jsc#SLE-7953).
- drm/i915/tgl: disable DDIC (jsc#SLE-7953).
- drm/i915: Update DRIVER_DATE to 20190820 (jsc#SLE-7953).
- drm/i915/gtt: Relax pd_used assertion (jsc#SLE-7953).
- drm/i915: Dynamically allocate s0ix struct for VLV
  (jsc#SLE-7953).
- drm/i915/tgl: Gen12 render context size (jsc#SLE-7953).
- drm/i915/tgl: Updated Private PAT programming (jsc#SLE-7953).
- drm/i915/tgl: Introduce initial Tiger Lake workarounds
  (jsc#SLE-7953).
- drm/i915/tgl: Gen12 csb support (jsc#SLE-7953).
- drm/i915/tgl: add GEN12_MAX_CONTEXT_HW_ID (jsc#SLE-7953).
- drm/i915/tgl: add Gen12 default indirect ctx offset
  (jsc#SLE-7953).
- drm/i915/tgl: Report valid VDBoxes with SFC capability
  (jsc#SLE-7953).
- drm/i915: Be defensive when starting vma activity
  (jsc#SLE-7953).
- drm/i915: Serialize insertion into the file->mm.request_list
  (jsc#SLE-7953).
- drm/i915: Sanitize PHY state during display core uninit
  (jsc#SLE-7953).
- drm/i915: Assume exclusive access to objects inside resume
  (jsc#SLE-7953).
- drm/i915: Use 0 for the unordered context (jsc#SLE-7953).
- drm/i915: i915_active.retire() is optional (jsc#SLE-7953).
- drm/i915/gen11: Allow usage of all GPIO pins (jsc#SLE-7953).
- drm/i915: Serialize against vma moves (jsc#SLE-7953).
- drm/i915: Only emit the 'send bug report' once for a GPU hang
  (jsc#SLE-7953).
- drm/i915/gt: Mark up the nested engine-pm timeline lock as
  irqsafe (jsc#SLE-7953).
- drm/i915: Always wrap the ring offset before resetting
  (jsc#SLE-7953).
- drm/i915: Propagate fence errors (jsc#SLE-7953).
- drm/i915/uc: Never fail on HuC firmware errors (jsc#SLE-7953).
- drm/i915/uc: Don't always fail on unavailable GuC firmware
  (jsc#SLE-7953).
- drm/i915/guc: Don't open log relay if GuC is not running
  (jsc#SLE-7953).
- drm/i915/uc: Never fail on uC preparation step (jsc#SLE-7953).
- drm/i915/uc: Cleanup fw fetch on every GuC/HuC init failure
  (jsc#SLE-7953).
- drm/i915/uc: Cleanup fw fetch only if it was successful
  (jsc#SLE-7953).
- drm/i915/selftests: Check the context size (jsc#SLE-7953).
- drm/i915/gtt: Fold gen8 insertions into one (jsc#SLE-7953).
- drm/i915/uc: Add explicit DISABLED state for firmware
  (jsc#SLE-7953).
- drm/i915: Wrappers for display register waits (jsc#SLE-7953).
- drm/i915: Move gmbus definitions out of i915_reg.h
  (jsc#SLE-7953).
- drm/i915: Move engine IDs out of i915_reg.h (jsc#SLE-7953).
- drm/i915: Move i915_power_well_id out of i915_reg.h
  (jsc#SLE-7953).
- drm/i915/execlists: Lift process_csb() out of the irq-off
  spinlock (jsc#SLE-7953).
- drm/i915: Markup expected timeline locks for i915_active
  (jsc#SLE-7953).
- drm/i915/gt: Mark context->active_count as protected by
  timeline->mutex (jsc#SLE-7953).
- drm/i915/wopcm: Fix SPDX tag location (jsc#SLE-7953).
- drm/i915/wopcm: Update error messages (jsc#SLE-7953).
- drm/i915/wopcm: Try to use already locked WOPCM layout
  (jsc#SLE-7953).
- drm/i915/wopcm: Check WOPCM layout separately from calculations
  (jsc#SLE-7953).
- drm/i915/uc: Move FW size sanity check back to fetch
  (jsc#SLE-7953).
- drm/i915/buddy: use kmemleak_update_trace (jsc#SLE-7953).
- drm/i915/buddy: tidy up i915_buddy_fini (jsc#SLE-7953).
- drm/i915: Use the associated uncore for the vm (jsc#SLE-7953).
- drm/i915: Extract intel_frontbuffer active tracking
  (jsc#SLE-7953).
- drm/i915: Protect request retirement with timeline->mutex
  (jsc#SLE-7953).
- drm/i915/gt: Guard timeline pinning without relying on
  struct_mutex (jsc#SLE-7953).
- drm/i915/gt: Convert timeline tracking to spinlock
  (jsc#SLE-7953).
- drm/i915/gt: Track timeline activeness in enter/exit
  (jsc#SLE-7953).
- drm/i915: Move tasklet kicking to __i915_request_queue caller
  (jsc#SLE-7953).
- drm/i915/icl: Add gen11 specific render breadcrumbs
  (jsc#SLE-7953).
- drm/i915/icl: Add command cache invalidate (jsc#SLE-7953).
- drm/i915/icl: Implement gen11 flush including tile cache
  (jsc#SLE-7953).
- drm/i915/selftest/buddy: fixup igt_buddy_alloc_range
  (jsc#SLE-7953).
- drm/i915: Convert a few more bland dmesg info to be device
  specific (jsc#SLE-7953).
- drm/i915: Serialise read/write of the barrier's engine
  (jsc#SLE-7953).
- drm/i915: Print CCID for all renderCS (jsc#SLE-7953).
- drm/i915: Disregard drm_mode_config.fb_base (jsc#SLE-7953).
- drm/i915: Include engine->mmio_base in the debug dump
  (jsc#SLE-7953).
- drm/i915/guc: Remove client->submissions (jsc#SLE-7953).
- drm/i915: Update DRIVER_DATE to 20190813 (jsc#SLE-7953).
- drm/i915: Add _TRANS2() (jsc#SLE-7953).
- drm/i915/bdw+: Move misc display IRQ handling to it own function
  (jsc#SLE-7953).
- drm/i915/gvt: Double check batch buffer size after copy
  (jsc#SLE-7953).
- drm/i915/gvt: Add valid length check for MI variable commands
  (jsc#SLE-7953).
- drm/i915/gvt: Add MI command valid length check (jsc#SLE-7953).
- drm/i915/gvt: Utility for valid command length check
  (jsc#SLE-7953).
- drm/i915/gvt: factor out tlb and mocs register offset table
  (jsc#SLE-7953).
- drm/i915/gvt: no need to check return value of debugfs_create
  functions (jsc#SLE-7953).
- drm/i915/gvt: Fix typo of VBLANK_TIMER_PERIOD (jsc#SLE-7953).
- drm/i915/kvmgt: Use struct_size() helper (jsc#SLE-7953).
- drm/i915/gt: Save/restore interrupts around breadcrumb disable
  (jsc#SLE-7953).
- drm/i915: Push the wakeref->count deferral to the backend
  (jsc#SLE-7953).
- drm/i915/tgl: Fix missing parentheses on
  TGL_TRANS_DDI_FUNC_CTL_VAL_TO_PORT (jsc#SLE-7953).
- drm/i915/uc: Log fw status changes only under debug config
  (jsc#SLE-7953).
- drm/i915/guc: Use a local cancel_port_requests (jsc#SLE-7953).
- drm/i915: drop engine_pin/unpin_breadcrumbs_irq (jsc#SLE-7953).
- drm/i915/guc: keep breadcrumb irq always enabled (jsc#SLE-7953).
- drm/i915/overlay: Switch to using i915_active tracking
  (jsc#SLE-7953).
- drm/i915: Forgo last_fence active request tracking
  (jsc#SLE-7953).
- drm/i915: Extract general GT interrupt handlers (jsc#SLE-7953).
- drm/i915: Extract GT powermanagement interrupt handling
  (jsc#SLE-7953).
- drm/i915/gt: Use the local engine wakeref when checking RING
  registers (jsc#SLE-7953).
- drm/i915/selftests: Prevent the timeslice expiring during
  suppression tests (jsc#SLE-7953).
- drm/i915/execlists: Avoid sync calls during park (jsc#SLE-7953).
- drm/i915/uc: Update copyright and license (jsc#SLE-7953).
- drm/i915/tgl: Fixing up list of PG3 power domains
  (jsc#SLE-7953).
- drm/i915/icl: Remove DDI IO power domain from PG3 power domains
  (jsc#SLE-7953).
- drm/i915/uc: Use -EIO code for GuC initialization failures
  (jsc#SLE-7953).
- drm/i915/uc: Update messages from fw upload step (jsc#SLE-7953).
- drm/i915/uc: Include HuC firmware version in summary
  (jsc#SLE-7953).
- drm/i915/uc: Fail early if there is no GuC fw available
  (jsc#SLE-7953).
- drm/i915: Remove unused debugfs/i915_emon_status (jsc#SLE-7953).
- drm/i915: buddy allocator (jsc#SLE-7953).
- drm/i915/blt: support copying objects (jsc#SLE-7953).
- drm/i915/gtt: disable 2M pages for pre-gen11 (jsc#SLE-7953).
- drm/i915/gtt: enable GTT cache by default (jsc#SLE-7953).
- drm/i915/selftests: move gpu-write-dw into utils (jsc#SLE-7953).
- drm/i915/blt: bump the size restriction (jsc#SLE-7953).
- drm/i915/blt: don't assume pinned intel_context (jsc#SLE-7953).
- drm/i915: split out uncore_mmio_debug (jsc#SLE-7953).
- drm/i915: Stop reconfiguring our shmemfs mountpoint
  (jsc#SLE-7953).
- drm/i915: Push the ring creation flags to the backend
  (jsc#SLE-7953).
- drm/i915/gt: Make deferred context allocation explicit
  (jsc#SLE-7953).
- drm/i915: Remove i915_gem_context_create_gvt() (jsc#SLE-7953).
- drm/i915: Drop the fudge warning on ring restart for ctg/elk
  (jsc#SLE-7953).
- drm/i915: Generalise BSD default selection (jsc#SLE-7953).
- drm/i915: Replace global bsd_dispatch_index with random seed
  (jsc#SLE-7953).
- drm/i915: Check for a second VCS engine more carefully
  (jsc#SLE-7953).
- drm/i915/execlists: Backtrack along timeline (jsc#SLE-7953).
- drm/i915: Free the imported shmemfs file for phys objects
  (jsc#SLE-7953).
- drm/i915: extract i915_gem_shrinker.h from i915_drv.h
  (jsc#SLE-7953).
- drm/i915: extract gem/i915_gem_stolen.h from i915_drv.h
  (jsc#SLE-7953).
- drm/i915: extract i915_memcpy.h from i915_drv.h (jsc#SLE-7953).
- drm/i915: extract i915_sysfs.h from i915_drv.h (jsc#SLE-7953).
- drm/i915: move printing and load error inject to i915_utils.[ch]
  (jsc#SLE-7953).
- drm/i915: move I915_STATE_WARN() and _ON() to intel_display.h
  (jsc#SLE-7953).
- drm/i915: move add_taint_for_CI() to i915_utils.h
  (jsc#SLE-7953).
- drm/i915: remove unused dev_priv->no_aux_handshake
  (jsc#SLE-7953).
- drm/i915: Make debugfs/per_file_stats scale better
  (jsc#SLE-7953).
- drm/i915: Only include active engines in the capture state
  (jsc#SLE-7953).
- drm/i915/selftests: Fixup a missing legacy_idx (jsc#SLE-7953).
- drm/i915/tgl: Fix the read of the DDI that transcoder is
  attached to (jsc#SLE-7953).
- drm/i915: Get transcoder power domain before reading its
  register (jsc#SLE-7953).
- drm/i915: Fix up the inverse mapping for default ctx->engines[]
  (jsc#SLE-7953).
- drm/i915: Allocate kernel_contexts directly (jsc#SLE-7953).
- drm/i915/selftests: Pass intel_context to mock_request
  (jsc#SLE-7953).
- drm/i915/tgl/dsi: Enable blanking packets during BLLP for
  video mode (jsc#SLE-7953).
- drm/i915/tgl: Add mipi dsi support for TGL (jsc#SLE-7953).
- drm/i915/tgl/dsi: Gate the ddi clocks after pll mapping
  (jsc#SLE-7953).
- drm/i915/tgl/dsi: Do not override TA_SURE (jsc#SLE-7953).
- drm/i915/tgl/dsi: Set latency PCS_DW1 for tgl (jsc#SLE-7953).
- drm/i915/tgl/dsi: Program TRANS_VBLANK register (jsc#SLE-7953).
- drm/i915/uc: Hardening firmware fetch (jsc#SLE-7953).
- drm/i915/uc: WOPCM programming errors are not always real
  (jsc#SLE-7953).
- drm/i915: Make wopcm_to_i915() private (jsc#SLE-7953).
- drm/i915: Don't try to partition WOPCM without GuC firmware
  (jsc#SLE-7953).
- drm/i915/uc: Don't fetch HuC fw if GuC fw fetch already failed
  (jsc#SLE-7953).
- drm/i915/uc: HuC firmware can't be supported without GuC
  (jsc#SLE-7953).
- drm/i915/uc: Prefer dev_info for reporting options
  (jsc#SLE-7953).
- drm/i915/perf: Refactor oa object to better manage resources
  (jsc#SLE-7953).
- drm/i915: Include the DRIVER_DATE in the error state
  (jsc#SLE-7953).
- drm/i915: Use intel_engine_lookup_user for probing HAS_BSD etc
  (jsc#SLE-7953).
- drm/i915: Rename engines to match their user interface
  (jsc#SLE-7953).
- drm/i915: Drop expectations of VM_IO from our GGTT mmappings
  (jsc#SLE-7953).
- drm/i915: abstract display suspend/resume operations
  (jsc#SLE-7953).
- drm/i915: move property enums to intel_display_types.h
  (jsc#SLE-7953).
- drm/i915: remove unnecessary includes of intel_display_types.h
  header (jsc#SLE-7953).
- drm/i915: avoid including intel_drv.h via
  i915_drv.h->i915_trace.h (jsc#SLE-7953).
- drm/i915/tc: un-inline intel_tc_port_ref_held() (jsc#SLE-7953).
- drm/i915/mst: un-inline intel_dp_mst_encoder_active_links()
  (jsc#SLE-7953).
- drm/i915/bw: make intel_atomic_get_bw_state() static
  (jsc#SLE-7953).
- drm/i915/irq: un-inline functions to avoid i915_drv.h include
  (jsc#SLE-7953).
- drm/i915/sprite: un-inline icl_is_hdr_plane() (jsc#SLE-7953).
- drm/i915: move intel_display.c function declarations
  (jsc#SLE-7953).
- drm/i915/dmc: Load DMC on TGL (jsc#SLE-7953).
- drm/i915: Use drm_i915_private directly from drv_get_drvdata()
  (jsc#SLE-7953).
- drm/i915/gt: Remove stale kerneldoc for internal MOCS functions
  (jsc#SLE-7953).
- drm/i915/uc: Don't fail on HuC early init errors (jsc#SLE-7953).
- drm/i915/uc: Remove redundant GuC support checks (jsc#SLE-7953).
- drm/i915/huc: Prefer intel_huc_is_supported (jsc#SLE-7953).
- drm/i915/guc: Prefer intel_guc_is_submission_supported
  (jsc#SLE-7953).
- drm/i915: Teach execbuffer to take the engine wakeref not GT
  (jsc#SLE-7953).
- drm/i915: Flush the freed object list on file close
  (jsc#SLE-7953).
- drm/i915: Hide unshrinkable context objects from the shrinker
  (jsc#SLE-7953).
- drm/i915/wopcm: Don't fail on WOPCM partitioning failure
  (jsc#SLE-7953).
- drm/i915/uc: Inject probe errors into intel_uc_init_hw
  (jsc#SLE-7953).
- drm/i915/uc: Move GuC error log to uc and release it on fini
  (jsc#SLE-7953).
- drm/i915/uc: Reorder firmware status codes (jsc#SLE-7953).
- drm/i915/uc: Do full sanitize instead of pure reset
  (jsc#SLE-7953).
- drm/i915: Add i915 to i915_inject_probe_failure (jsc#SLE-7953).
- drm/i915: Report resv_obj allocation failure (jsc#SLE-7953).
- drm/i915: Fix documentation for __intel_wait_for_register_fw*
  (jsc#SLE-7953).
- drm/i915/oa: update the generated files (jsc#SLE-7953).
- drm/i915: Flush extra hard after writing relocations through
  the GTT (jsc#SLE-7953).
- drm/i915/pmu: Atomically acquire the gt_pm wakeref
  (jsc#SLE-7953).
- drm/i915/pmu: Make get_rc6 take intel_gt (jsc#SLE-7953).
- drm/i915/pmu: Convert sampling to gt (jsc#SLE-7953).
- drm/i915/pmu: Convert engine sampling to uncore mmio
  (jsc#SLE-7953).
- drm/i915/pmu: Make more struct i915_pmu centric (jsc#SLE-7953).
- drm/i915/tgl: allow the reg_read ioctl to read the RCS TIMESTAMP
  register (jsc#SLE-7953).
- drm/i915/uc: Stop sanitizing enable_guc modparam (jsc#SLE-7953).
- drm/i915/guc: Use dedicated flag to track submission mode
  (jsc#SLE-7953).
- drm/i915/uc: Consider enable_guc modparam during fw selection
  (jsc#SLE-7953).
- drm/i915/uc: Rename intel_uc_is_using* into intel_uc_supports*
  (jsc#SLE-7953).
- drm/i915/gt: Introduce intel_gt_runtime_suspend/resume
  (jsc#SLE-7953).
- drm/i915/uc: Move uC early functions inside the GT ones
  (jsc#SLE-7953).
- drm/i915/gt: Move gt_cleanup_early out of gem_cleanup_early
  (jsc#SLE-7953).
- drm/i915: Remove lrc default desc from GEM context
  (jsc#SLE-7953).
- drm/i915/ehl: Don't forget to handle port C's hotplug interrupts
  (jsc#SLE-7953).
- drm/i915/ehl: Ungate DDIC and DDID (jsc#SLE-7953).
- drm/i915: Move MOCS setup to intel_mocs.c (jsc#SLE-7953).
- drm/i915/tgl: Tigerlake only has global MOCS registers
  (jsc#SLE-7953).
- drm/i915/tgl: Define MOCS entries for Tigerlake (jsc#SLE-7953).
- drm/i915/tgl: stop using ERROR_GEN6 and DONE_REG (jsc#SLE-7953).
- drm/i915/tgl: Move fault registers to their new offset
  (jsc#SLE-7953).
- drm/i915: remove dangling forward declaration (jsc#SLE-7953).
- drm/i915/uc: Move uC WOPCM setup in uc_init_hw (jsc#SLE-7953).
- drm/i915/uc: Don't enable communication twice on resume
  (jsc#SLE-7953).
- drm/i915/selftests: Pass intel_context to igt_spinner
  (jsc#SLE-7953).
- drm/i915: Avoid ce->gem_context->i915 (jsc#SLE-7953).
- drm/i915: make i915_selftest.h self-contained (jsc#SLE-7953).
- drm/i915/tgl: handle DP aux interrupts (jsc#SLE-7953).
- drm/i915: stop using seqcount for fence pruning (jsc#SLE-7953).
- drm/i915: remove irrelevant DRM_UNLOCKED flag (jsc#SLE-7953).
- drm/i915: Update DRIVER_DATE to 20190730 (jsc#SLE-7953).
- drm/i915/gt: Provide a local intel_context.vm (jsc#SLE-7953).
- drm/i915: Move aliasing_ppgtt underneath its i915_ggtt
  (jsc#SLE-7953).
- drm/i915: Inline engine->init_context into its caller
  (jsc#SLE-7953).
- drm/i915: use upstream version of header tests (jsc#SLE-7953).
- drm/i915/uc: Don't fail on HuC firmware failure (jsc#SLE-7953).
- drm/i915: Flush the i915_vm_release before ggtt shutdown
  (jsc#SLE-7953).
- drm/i915/selftests: Careful not to flush hang_fini on error
  setups (jsc#SLE-7953).
- drm/i915/uc: Fixup kerneldoc after params were flipped and
  renamed (jsc#SLE-7953).
- drm/i915/tgl: update ddi/tc clock_off bits (jsc#SLE-7953).
- drm/i915/tgl: select correct bit for port select (jsc#SLE-7953).
- drm/i915/tgl: skip setting PORT_CL_DW12_* on initialization
  (jsc#SLE-7953).
- drm/i915/uc: Remove redundant RSA offset definition
  (jsc#SLE-7953).
- drm/i915/uc: Remove redundant ucode offset definition
  (jsc#SLE-7953).
- drm/i915/uc: Remove redundant header_offset/size definitions
  (jsc#SLE-7953).
- drm/i915/gt: Add to timeline requires the timeline mutex
  (jsc#SLE-7953).
- drm/i915/uc: Don't sanitize guc_log_level modparam
  (jsc#SLE-7953).
- drm/i915: Do not rely on for loop caching the mask
  (jsc#SLE-7953).
- drm/i915/perf: Initialise err to 0 before looping over
  ce->engines (jsc#SLE-7953).
- drm/i915/guc: init submission structures as part of guc_init
  (jsc#SLE-7953).
- drm/i915/uc: Reorder params in intel_uc_fw_fetch (jsc#SLE-7953).
- drm/i915: Capture vma contents outside of spinlock
  (jsc#SLE-7953).
- drm/i915/uc: Move uc firmware layout definitions to dedicated
  file (jsc#SLE-7953).
- drm/i915/uc: Unify uC firmware upload (jsc#SLE-7953).
- drm/i915/uc: Plumb the gt through fw_upload (jsc#SLE-7953).
- drm/i915/huc: Copy huc rsa only once (jsc#SLE-7953).
- drm/i915/uc: Move xfer rsa logic to common function
  (jsc#SLE-7953).
- drm/i915/uc: Unify uc_fw status tracking (jsc#SLE-7953).
- drm/i915/uc: Unify uC FW selection (jsc#SLE-7953).
- drm/i915: Fix handling of non-supported uC (jsc#SLE-7953).
- drm/i915/uc: Unify uC platform check (jsc#SLE-7953).
- drm/i915/guc: Set GuC init params only once (jsc#SLE-7953).
- drm/i915: Use dev_get_drvdata (jsc#SLE-7953).
- drm/i915/huc: fix status check (jsc#SLE-7953).
- drm/i915: Squelch nop wait-for-idle trace (jsc#SLE-7953).
- drm/i915/selftests: Let igt_vma_partial et al breathe
  (jsc#SLE-7953).
- drm/i915/uc: Sanitize uC when GT is sanitized (jsc#SLE-7953).
- drm/i915/uc: Gt-fy uc reset (jsc#SLE-7953).
- drm/i915: Add HDCP capability info to i915_display_info
  (jsc#SLE-7953).
- drm/i915: Rely on spinlock protection for GPU error capture
  (jsc#SLE-7953).
- drm/i915/gt: Hook up intel_context_fini() (jsc#SLE-7953).
- drm/i915: Remove obsolete engine cleanup (jsc#SLE-7953).
- drm/i915/gtt: Fix rounding for 36b (jsc#SLE-7953).
- drm/i915/dsi: remove set but not used variable 'hfront_porch'
  (jsc#SLE-7953).
- drm/i915/gtt: Don't try to clear failed empty pd allocation
  (jsc#SLE-7953).
- drm/i915/gtt: Correct unshifted 'from' for gen8_ppgtt_alloc
  errors (jsc#SLE-7953).
- Revert "drm/i915: Update description of i915.enable_guc
  modparam" (jsc#SLE-7953).
- Revert "drm/i915/guc: Turn on GuC/HuC auto mode" (jsc#SLE-7953).
- drm/i915/icl: Add Wa_1409178092 (jsc#SLE-7953).
- drm/i915/icl: Verify engine workarounds in GEN8_L3SQCREG4
  (jsc#SLE-7953).
- drm/i915: Skip CS verification of L3 bank registers
  (jsc#SLE-7953).
- drm/i915/execlists: Cancel breadcrumb on preempting the virtual
  engine (jsc#SLE-7953).
- drm/i915: Use maximum write flush for pwrite_gtt (jsc#SLE-7953).
- drm/i915: Drop wmb() inside pread_gtt (jsc#SLE-7953).
- drm/i915/ehl: Use an id of 4 while accessing DPLL4's CR0 and
  CR1 (jsc#SLE-7953).
- drm/i915: Add gen8_de_pipe_fault_mask() (jsc#SLE-7953).
- drm/i915/gt: Push engine stopping into reset-prepare
  (jsc#SLE-7953).
- drm/i915: Update description of i915.enable_guc modparam
  (jsc#SLE-7953).
- drm/i915/oa: Reconfigure contexts on the fly (jsc#SLE-7953).
- drm/i915/gtt: Tidy up ppgtt insertion for gen8 (jsc#SLE-7953).
- drm/i915/gtt: Recursive ppgtt alloc for gen8 (jsc#SLE-7953).
- drm/i915/execlists: Disable preemption under GVT (jsc#SLE-7953).
- drm/i915: Enable hotplug retry (jsc#SLE-7953).
- drm/i915: Add support for retrying hotplug (jsc#SLE-7953).
- drm/i915/ehl: Map MCC pins based on PHY, not port
  (jsc#SLE-7953).
- drm/i915/selftests: Ignore self-preemption suppression under
  gvt (jsc#SLE-7953).
- drm/i915/uc: kill <g,h>uc_to_i915 (jsc#SLE-7953).
- drm/i915/guc: prefer intel_gt in guc interrupt functions
  (jsc#SLE-7953).
- drm/i915/uc: prefer intel_gt over i915 in GuC/HuC paths
  (jsc#SLE-7953).
- drm/i915/uc: Move intel functions to intel_uc (jsc#SLE-7953).
- drm/i915/uc: move GuC/HuC inside intel_gt under a new intel_uc
  (jsc#SLE-7953).
- drm/i915/guc: unify guc irq handling (jsc#SLE-7953).
- drm/i915/guc: move guc irq functions to intel_guc parameter
  (jsc#SLE-7953).
- drm/i915/uc: introduce intel_uc_fw_supported (jsc#SLE-7953).
- drm/i915/uc: replace uc init/fini misc (jsc#SLE-7953).
- drm/i915/guc: Use system workqueue for log capture
  (jsc#SLE-7953).
- drm/i915/tgl: add modular FIA to device info (jsc#SLE-7953).
- drm/i915: Add modular FIA (jsc#SLE-7953).
- drm/i915/gtt: Recursive ppgtt clear for gen8 (jsc#SLE-7953).
- drm/i915/gtt: Recursive cleanup for gen8 (jsc#SLE-7953).
- drm/i915/display: Drop kerneldoc for 'intel_atomic_commit'
  (jsc#SLE-7953).
- drm/i915: Skip SINK_COUNT read on CH7511 (jsc#SLE-7953).
- drm/i915/guc: Turn on GuC/HuC auto mode (jsc#SLE-7953).
- drm/i915/guc: Don't enable GuC/HuC in auto mode on pre-Gen11
  (jsc#SLE-7953).
- drm/i915: Propagate "_probe" function name suffix down
  (jsc#SLE-7953).
- drm/i915: Propagate "_remove" function name suffix down
  (jsc#SLE-7953).
- drm/i915: Propagate "_release" function name suffix down
  (jsc#SLE-7953).
- drm/i915: Replace "_load" with "_probe" consequently
  (jsc#SLE-7953).
- drm/i915: Rename "_load"/"_unload" to match PCI entry points
  (jsc#SLE-7953).
- drm/i915/gtt: Use NULL to encode scratch shadow entries
  (jsc#SLE-7953).
- drm/i915/gtt: Convert vm->scratch into an array (jsc#SLE-7953).
- drm/i915/gtt: Markup i915_ppgtt height (jsc#SLE-7953).
- drm/i915/tgl: Update DPLL clock reference register
  (jsc#SLE-7953).
- drm/i915/tgl: Add DPLL registers (jsc#SLE-7953).
- drm/i915/tgl: Add vbt value mapping for DDC Bus pin
  (jsc#SLE-7953).
- drm/i915/tgl: port to ddc pin mapping (jsc#SLE-7953).
- drm/i915/tgl: Add gmbus gpio pin to port mapping (jsc#SLE-7953).
- drm/i915/gen12: MBUS B credit change (jsc#SLE-7953).
- drm/i915/tgl: apply Display WA #1178 to fix type C dongles
  (jsc#SLE-7953).
- drm/i915/tgl: init ddi port A-C for Tiger Lake (jsc#SLE-7953).
- drm/i915/tgl: Add additional PHYs for Tiger Lake (jsc#SLE-7953).
- drm/i915/tgl: Add additional ports for Tiger Lake
  (jsc#SLE-7953).
- drm/i915/tgl: Add pll manager (jsc#SLE-7953).
- drm/i915/tgl: Add new pll ids (jsc#SLE-7953).
- drm/i915/tgl: Add power well to support 4th pipe (jsc#SLE-7953).
- drm/i915/tgl: Add power well support (jsc#SLE-7953).
- drm/i915/tgl: rename TRANSCODER_EDP_VDSC to use on transcoder A
  (jsc#SLE-7953).
- drm/i915/tgl: Check if pipe D is fused (jsc#SLE-7953).
- drm/i915/tgl: Add TGL PCI IDs (jsc#SLE-7953).
- drm/i915/tgl: Add TGL PCH detection in virtualized environment
  (jsc#SLE-7953).
- drm/i915/tgl: Introduce Tiger Lake PCH (jsc#SLE-7953).
- drm/i915/tgl: add initial Tiger Lake definitions (jsc#SLE-7953).
- drm/i915: Add 4th pipe and transcoder (jsc#SLE-7953).
- drm/i915: Don't overestimate 4:2:0 link symbol clock
  (jsc#SLE-7953).
- drm/i915: Copy name string into ring buffer for
  intel_update/disable_plane tracepoints (jsc#SLE-7953).
- drm/i915/guc: Drop redundant ctx param from kerneldoc
  (jsc#SLE-7953).
- drm/i915: Don't pass stack garbage to pcode in the second data
  register (jsc#SLE-7953).
- drm/i915: Use intel_ types in intel_atomic_commit()
  (jsc#SLE-7953).
- drm/i915: Use intel_ types in intel_{lock,modeset}_all_pipes()
  (jsc#SLE-7953).
- drm/i915: Polish intel_atomic_track_fbs() (jsc#SLE-7953).
- drm/i915: Polish intel_shared_dpll_swap_state() (jsc#SLE-7953).
- drm/i915: Simplify modeset_get_crtc_power_domains() arguments
  (jsc#SLE-7953).
- drm/i915: Check crtc_state->wm.need_postvbl_update before
  grabbing wm.mutex (jsc#SLE-7953).
- drm/i915: Use the "display core" power domain in vlv/chv
  set_cdclk() (jsc#SLE-7953).
- drm/i915/selftests: Hold the vma manager lock while modifying
  mmap_offset (jsc#SLE-7953).
- drm/i915/sdvo: Fix handling if zero hbuf size (jsc#SLE-7953).
- drm/i915/guc: Simplify guc client (jsc#SLE-7953).
- drm/i915/guc: Remove preemption support for current fw
  (jsc#SLE-7953).
- drm/i915/selftests: Ensure we don't clamp a random offset to
  32b (jsc#SLE-7953).
- drm/i915/gt: Drop the duplicate icl workaround (jsc#SLE-7953).
- drm/i915/ehl: Enable DDI-D (jsc#SLE-7953).
- drm/i915: Transition port type checks to phy checks
  (jsc#SLE-7953).
- drm/i915/gen11: Convert combo PHY logic to use new 'enum phy'
  namespace (jsc#SLE-7953).
- drm/i915/gen11: Program ICL_DPCLKA_CFGCR0 according to PHY
  (jsc#SLE-7953).
- drm/i915/gen11: Start distinguishing 'phy' from 'port'
  (jsc#SLE-7953).
- drm/i915: move intel_ddi_set_fia_lane_count to intel_tc.c
  (jsc#SLE-7953).
- drm/i915: fix include order in intel_tc.* (jsc#SLE-7953).
- drm/i915: make new intel_tc.c use uncore accessors
  (jsc#SLE-7953).
- drm/i915/icl: Fixed Input CSC Co-efficients for BT601/709
  (jsc#SLE-7953).
- drm/i915/icl: Fix Y pre-offset for Full Range YCbCr
  (jsc#SLE-7953).
- drm/i915/icl: Handle YCbCr to RGB conversion for BT2020 case
  (jsc#SLE-7953).
- drm/i915/execlists: Record preemption for selftests
  (jsc#SLE-7953).
- drm/i915: Remove unused i915_gem_context_lookup_engine
  (jsc#SLE-7953).
- drm/i915: add infrastructure to hold off preemption on a request
  (jsc#SLE-7953).
- drm/i915: enumerate scratch fields (jsc#SLE-7953).
- drm/i915/icl: Clear the shared port PLLs from the new crtc state
  (jsc#SLE-7953).
- drm/i915: Clear the shared PLL from the put_dplls() hook
  (jsc#SLE-7953).
- drm/i915/sdvo: Add helpers to get the cmd/status string
  (jsc#SLE-7953).
- drm/i915/sdvo: Shrink sdvo_cmd_names[] strings (jsc#SLE-7953).
- drm/i915/sdvo: Remove duplicate SET_INPUT_TIMINGS_PART1 cmd
  name string (jsc#SLE-7953).
- drm/i915/sdvo: Use named initializers for the SDVO command names
  (jsc#SLE-7953).
- drm/i915: Add icl mipi dsi properties (jsc#SLE-7953).
- drm/i915/hdcp: debug logs for sink related failures
  (jsc#SLE-7953).
- drm/i915/gt: Remove presumption of RCS0 (jsc#SLE-7953).
- drm/i915/gt: Apply RCS workarounds to the render class
  (jsc#SLE-7953).
- drm/i915/selftests: Fill in a little more of the dummy fence
  (jsc#SLE-7953).
- drm/i915/selftests: Set igt_spinner.gt for early exit
  (jsc#SLE-7953).
- drm/i915: Update DRIVER_DATE to 20190708 (jsc#SLE-7953).
- drm/i915/selftests: Reorder error cleanup for whitelist checking
  (jsc#SLE-7953).
- drm/i915: Explicitly track active fw_domain timers
  (jsc#SLE-7953).
- drm/i915: Pull assert_forcewake_active() underneath the lock
  (jsc#SLE-7953).
- drm/i915/gtt: Introduce release_pd_entry (jsc#SLE-7953).
- drm/i915/gtt: Setup phys pages for 3lvl pdps (jsc#SLE-7953).
- drm/i915/gtt: Tear down setup and cleanup macros for page dma
  (jsc#SLE-7953).
- drm/i915: Remove set but not used variable 'intel_dig_port'
  (jsc#SLE-7953).
- drm/i915: Remove set but not used variable 'encoder'
  (jsc#SLE-7953).
- drm/i915: Order assert forcewake test (jsc#SLE-7953).
- drm/i915/ehl: Add support for DPLL4 (v10) (jsc#SLE-7953).
- drm/i915: Clean up skl vs. icl plane formats (jsc#SLE-7953).
- drm/i915: Cosmetic fix for skl+ plane switch statement
  (jsc#SLE-7953).
- drm/i915: Deal with cpp==8 for g4x watermarks (jsc#SLE-7953).
- drm/i915: Program plane gamma ramps (jsc#SLE-7953).
- drm/i915: Disable sprite gamma on ivb-bdw (jsc#SLE-7953).
- drm/i915: Add windowing for primary planes on gen2/3 and chv
  (jsc#SLE-7953).
- drm/i915: Move dev_priv->pm_i{m, e}r into intel_gt
  (jsc#SLE-7953).
- drm/i915: Remove some legacy mmio accessors from interrupt
  handling (jsc#SLE-7953).
- drm/i915: Rework some interrupt handling functions to take
  intel_gt (jsc#SLE-7953).
- drm/i915: Show instdone for each engine in debugfs
  (jsc#SLE-7953).
- drm/i915/selftests: Be engine agnostic (jsc#SLE-7953).
- drm/i915/overlay: Stash the kernel context on initialisation
  (jsc#SLE-7953).
- drm/i915/hangcheck: Look at instdone for all engines
  (jsc#SLE-7953).
- drm/i915/selftests: Drain the freedlists between exec passes
  (jsc#SLE-7953).
- drm/i915/gt: Pull engine w/a initialisation into common
  (jsc#SLE-7953).
- drm/i915: Dump w/a lists on all engines (jsc#SLE-7953).
- drm/i915/guc: Upgrade to GuC 33.0.0 (jsc#SLE-7953).
- drm/i915/gtt: Handle double alloc failures (jsc#SLE-7953).
- drm/i915: Show support for accurate sw PMU busyness tracking
  (jsc#SLE-7953).
- drm/i915/gem: Defer obj->base.resv fini until RCU callback
  (jsc#SLE-7953).
- drm/i915/gt: Ignore forcewake acquisition for posting_reads
  (jsc#SLE-7953).
- drm/i915/gt: Assume we hold forcewake for execlists resume
  (jsc#SLE-7953).
- drm/i915/gt: Use caller provided forcewake for
  intel_mocs_init_engine (jsc#SLE-7953).
- drm/i915: Check caller held wakerefs in assert_forcewakes_active
  (jsc#SLE-7953).
- drm/i915: Flush the workqueue before draining (jsc#SLE-7953).
- drm/i915: Move the renderstate setup under gt/ (jsc#SLE-7953).
- drm/i915: Add N & CTS values for 10/12 bit deep color
  (jsc#SLE-7953).
- drm/i915: Use port clock to set correct N value (jsc#SLE-7953).
- drm/i915: Mark up vma->active as safe for use inside shrinkers
  (jsc#SLE-7953).
- drm/i915/execlists: Hesitate before slicing (jsc#SLE-7953).
- drm/i915/selftests: Lock the drm_mm while modifying
  (jsc#SLE-7953).
- drm/i915/selftests: Common live setup/teardown (jsc#SLE-7953).
- drm/i915/display: Handle lost primary_port across suspend
  (jsc#SLE-7953).
- drm/i915: synchronize_irq() against the actual irq
  (jsc#SLE-7953).
- drm/i915/gtt: Don't check PPGTT presence on PPGTT-only platforms
  (jsc#SLE-7953).
- Revert "drm/i915: Introduce private PAT management"
  (jsc#SLE-7953).
- drm/i915: Report if i915_active is still busy upon waiting
  (jsc#SLE-7953).
- drm/i915/ehl: Don't program PHY_MISC on EHL PHY C
  (jsc#SLE-7953).
- drm/i915/ehl: Add third combo PHY offset (jsc#SLE-7953).
- drm/i915/icl: Drop port parameter to icl_get_combo_buf_trans()
  (jsc#SLE-7953).
- drm/i915/guc: Avoid reclaim locks during reset (jsc#SLE-7953).
- drm/i915: WARN about invalid lane reversal in TBT-alt/DP-alt
  modes (jsc#SLE-7953).
- drm/i915: Remove unneeded disconnect in TypeC legacy port mode
  (jsc#SLE-7953).
- drm/i915: Add state verification for the TypeC port mode
  (jsc#SLE-7953).
- drm/i915: Keep the TypeC port mode fixed when the port is active
  (jsc#SLE-7953).
- drm/i915/icl: Reserve all required PLLs for TypeC ports
  (jsc#SLE-7953).
- drm/i915/icl: Split getting the DPLLs to port type specific
  functions (jsc#SLE-7953).
- drm/i915: Sanitize the shared DPLL find/reference interface
  (jsc#SLE-7953).
- drm/i915: Sanitize the shared DPLL reserve/release interface
  (jsc#SLE-7953).
- drm/i915: Keep the TypeC port mode fixed for detect/AUX
  transfers (jsc#SLE-7953).
- drm/i915: Fix the TypeC port mode sanitization during
  loading/resume (jsc#SLE-7953).
- drm/i915: Sanitize the TypeC connect/detect sequences
  (jsc#SLE-7953).
- drm/i915: Handle the TCCOLD power-down event (jsc#SLE-7953).
- drm/i915: Wait for TypeC PHY complete flag to clear in safe mode
  (jsc#SLE-7953).
- drm/i915: Unify the TypeC port notation in debug/error messages
  (jsc#SLE-7953).
- drm/i915: Use the correct AUX power domain in TypeC TBT-alt mode
  (jsc#SLE-7953).
- drm/i915: Don't enable the DDI-IO power in the TypeC TBT-alt
  mode (jsc#SLE-7953).
- drm/i915: Sanitize the terminology used for TypeC port modes
  (jsc#SLE-7953).
- drm/i915: Tune down WARNs about TBT AUX power well enabling
  (jsc#SLE-7953).
- drm/i915/icl: Add support to read out the TBT PLL HW state
  (jsc#SLE-7953).
- drm/i915: Use intel state as much as possible in wm code
  (jsc#SLE-7953).
- drm/i915: Pass intel state to plane functions as well
  (jsc#SLE-7953).
- drm/i915: Use intel_crtc_state in sanitize_watermarks() too
  (jsc#SLE-7953).
- drm/i915: Convert hw state verifier to take more intel state,
  v2 (jsc#SLE-7953).
- drm/i915: rework reading pipe disable fuses (jsc#SLE-7953).
- drm/i915: Make i945gm_vblank_work_func static (jsc#SLE-7953).
- drm/i915/ehl: Add voltage level requirement table
  (jsc#SLE-7953).
- drm/i915/ehl: Remove unsupported cd clocks (jsc#SLE-7953).
- drm/i915: Initialize drm_driver vblank funcs at compile time
  (jsc#SLE-7953).
- drm/i915: Nuke drm_driver irq vfuncs (jsc#SLE-7953).
- drm/i915: Switch to per-crtc vblank vfuncs (jsc#SLE-7953).
- drm/i915/selftests: Drop manual request wakerefs around
  hangcheck (jsc#SLE-7953).
- drm/i915/selftests: Serialise nop reset with retirement
  (jsc#SLE-7953).
- drm/i915: Check backlight type while doing eDP backlight
  initializaiton (jsc#SLE-7953).
- drm/i915/icl: Add missing device ID (jsc#SLE-7953).
- drm/i915/gt: Add some debug tracing for context pinning
  (jsc#SLE-7953).
- drm/i915/gt: Always call kref_init for the timeline
  (jsc#SLE-7953).
- drm/i915/gt: Drop stale commentary for timeline density
  (jsc#SLE-7953).
- drm/i915/selftests: Hold ref on request across waits
  (jsc#SLE-7953).
- drm/i915/guc: Add debug capture of GuC exception (jsc#SLE-7953).
- drm/i915/execlists: Convert recursive defer_request() into
  iterative (jsc#SLE-7953).
- drm/i915/ehl: Add missing VECS engine (jsc#SLE-7953).
- drm/i915/ehl: Add one additional PCH ID to MCC (jsc#SLE-7953).
  Refresh patches.suse/drm-i915-cml-Add-second-PCH-ID-for-CMP.patch
- drm/i915/gem: Clear read/write domains for GPU clear
  (jsc#SLE-7953).
- drm/i915/execlists: Always clear ring_pause if we do not submit
  (jsc#SLE-7953).
- drm/i915/blt: Remove recursive vma->lock (jsc#SLE-7953).
- drm/i915: Local debug BUG_ON for intel_wakeref (jsc#SLE-7953).
- drm/i915: Provide an i915_active.acquire callback
  (jsc#SLE-7953).
- drm/i915: Throw away the active object retirement complexity
  (jsc#SLE-7953).
- drm/i915: Track i915_active using debugobjects (jsc#SLE-7953).
- drm/i915: Remove waiting & retiring from shrinker paths
  (jsc#SLE-7953).
- drm/i915/guc: handle GuC messages received with CTB disabled
  (jsc#SLE-7953).
- drm/i915/guc: reorder enable/disable communication steps
  (jsc#SLE-7953).
- drm/i915/gt: Fixup kerneldoc parameters (jsc#SLE-7953).
- drm/i915/gt: Rename i915_gt_timelines (jsc#SLE-7953).
- drm/i915: Eliminate dual personality of i915_scratch_offset
  (jsc#SLE-7953).
- drm/i915: Make timelines gt centric (jsc#SLE-7953).
- drm/i915: Compartmentalize ring buffer creation (jsc#SLE-7953).
- drm/i915: Store ggtt pointer in intel_gt (jsc#SLE-7953).
- drm/i915: Compartmentalize i915_gem_init_ggtt (jsc#SLE-7953).
- drm/i915: Compartmentalize i915_ggtt_cleanup_hw (jsc#SLE-7953).
- drm/i915: Compartmentalize timeline_init/park/fini
  (jsc#SLE-7953).
- drm/i915: Convert i915_gem_flush_ggtt_writes to intel_gt
  (jsc#SLE-7953).
- drm/i915: Compartmentalize i915_gem_suspend/restore_gtt_mappings
  (jsc#SLE-7953).
- drm/i915: Store intel_gt backpointer in vm (jsc#SLE-7953).
- drm/i915: Make ggtt invalidation work on ggtt (jsc#SLE-7953).
- drm/i915: Compartmentalize i915_ggtt_init_hw (jsc#SLE-7953).
- drm/i915: Compartmentalize i915_ggtt_probe_hw (jsc#SLE-7953).
- drm/i915: Consolidate some open coded mmio rmw (jsc#SLE-7953).
- drm/i915: Convert i915_ppgtt_init_hw to intel_gt (jsc#SLE-7953).
- drm/i915: Store backpointer to intel_gt in the engine
  (jsc#SLE-7953).
- drm/i915: Convert gt workarounds to intel_gt (jsc#SLE-7953).
- drm/i915: Convert init_unused_rings to intel_gt (jsc#SLE-7953).
- drm/i915: Use intel_uncore_rmw in intel_gt_init_swizzling
  (jsc#SLE-7953).
- drm/i915: Convert i915_gem_init_swizzling to intel_gt
  (jsc#SLE-7953).
- drm/i915: Make i915_check_and_clear_faults take intel_gt
  (jsc#SLE-7953).
- drm/i915: Store some backpointers in struct intel_gt
  (jsc#SLE-7953).
- drm/i915: Move intel_gt initialization to a separate file
  (jsc#SLE-7953).
- drm/i915: Introduce struct intel_gt as replacement for anonymous
  i915->gt (jsc#SLE-7953).
- drm/i915: Convert intel_vgt_(de)balloon to uncore
  (jsc#SLE-7953).
- drm/i915/execlists: Keep virtual context alive until after we
  kick (jsc#SLE-7953).
- drm/i915/gtt: Defer address space cleanup to an RCU worker
  (jsc#SLE-7953).
- drm/i915/ehl/dsi: Enable AFE over PPI strap (jsc#SLE-7953).
- drm/i915/ehl/dsi: Set lane latency optimization for DW1
  (jsc#SLE-7953).
- drm/i915/selftests: Use request managed wakerefs (jsc#SLE-7953).
- drm/i915: Rings are always flushed (jsc#SLE-7953).
- drm/i915/execlists: Minimalistic timeslicing (jsc#SLE-7953).
- drm/i915: dynamically allocate forcewake domains (jsc#SLE-7953).
- drm/i915: skip forcewake actions on forcewake-less uncore
  (jsc#SLE-7953).
- drm/i915: kill uncore_to_i915 (jsc#SLE-7953).
- drm/i915: kill uncore_sanitize (jsc#SLE-7953).
- drm/i915: use vfuncs for reg_read/write_fw_domains
  (jsc#SLE-7953).
- drm/i915/ehl: Allow combo PHY A to drive a third external
  display (jsc#SLE-7953).
- drm/i915: Flush the execution-callbacks on retiring
  (jsc#SLE-7953).
- drm/i915: Signal fence completion from i915_request_wait
  (jsc#SLE-7953).
- commit 04e08b4
* Tue Dec 17 2019 yousaf.kaukab@suse.com
- PM / wakeup: Unexport wakeup_source_sysfs_{add,remove}()
  (jsc#SLE-9316).
- PM / wakeup: Register wakeup class kobj after device is added
  (jsc#SLE-9316).
- PM / wakeup: Fix sysfs registration error path (jsc#SLE-9316).
- commit 0972359
* Tue Dec 17 2019 yousaf.kaukab@suse.com
- thermal: qoriq: Add hwmon support (jsc#SLE-9316).
- thermal_hwmon: Add devres wrapper for thermal_add_hwmon_sysfs()
  (jsc#SLE-9316).
- thermal: qoriq: Do not report invalid temperature reading
  (jsc#SLE-9316).
- thermal: qoriq: Enable all sensors before registering them
  (jsc#SLE-9316).
- thermal: qoriq: Convert driver to use regmap API (jsc#SLE-9316).
- thermal: qoriq: Drop unnecessary drvdata cleanup (jsc#SLE-9316).
- thermal: qoriq: Pass data to qoriq_tmu_calibration() directly
  (jsc#SLE-9316).
- thermal: qoriq: Pass data to qoriq_tmu_register_tmu_zone()
  directly (jsc#SLE-9316).
- thermal: qoriq: Embed per-sensor data into struct qoriq_tmu_data
  (jsc#SLE-9316).
- thermal: qoriq: Add local struct qoriq_sensor pointer
  (jsc#SLE-9316).
- thermal: qoriq: Don't store struct thermal_zone_device reference
  (jsc#SLE-9316).
- thermal: qoriq: Add local struct device pointer (jsc#SLE-9316).
- thermal: qoriq: add thermal monitor unit version 2 support
  (jsc#SLE-9316).
- thermal: qoriq: Use __maybe_unused instead of #if
  CONFIG_PM_SLEEP (jsc#SLE-9316).
- thermal: qoriq: Use devm_platform_ioremap_resource() instead
  of of_iomap() (jsc#SLE-9316).
- thermal: qoriq: Fix error path of calling
  qoriq_tmu_register_tmu_zone fail (jsc#SLE-9316).
- thermal: qoriq: Add clock operations (jsc#SLE-9316).
- commit 14652c6
* Tue Dec 17 2019 ggherdovich@suse.cz
- Delete
  patches.suse/cpufreq-intel_pstate-use-setpoint-of-10-on-servers.patch.
  Before v4.14 the intel_pstate powersave frequency governor used a
  P.I.D. controller based algorithm to select frequencies, and this patch
  was necessary to tune the "setpoint" parameter to a more aggressive value
  than in mainline kernel.
  From v4.14 onwards said algorithm is replaced by another where the
  frequency is proportional to non-idle time observed in the recent past,
  and this patch tuning pid_params.setpoint is thus obsolete.
- commit 80607d5
* Tue Dec 17 2019 ggherdovich@suse.cz
- cpufreq: intel_pstate: Temporarily boost P-state when exiting
  from idle (bnc#1066110, bnc#1066845).
- commit 0ab1412
* Tue Dec 17 2019 ggherdovich@suse.cz
- cpufreq, intel_pstate: Ramp up frequency faster when utilisation
  reaches setpoint (bsc#1068680).
- commit 741462c
* Tue Dec 17 2019 ggherdovich@suse.cz
- cpufreq: intel_pstate: Revert upstream changes to iowait
  boosting (bsc#1131437).
- commit 08e273b
* Tue Dec 17 2019 yousaf.kaukab@suse.com
- PM / wakeup: Show wakeup sources stats in sysfs (jsc#SLE-9316).
- PM / wakeup: Use wakeup_source_register() in wakelock.c
  (jsc#SLE-9316).
- PM / wakeup: Drop wakeup_source_init(), wakeup_source_prepare()
  (jsc#SLE-9316).
- commit 4d80f94
* Tue Dec 17 2019 yousaf.kaukab@suse.com
- rtc: fsl-ftm-alarm: remove select FSL_RCPM and default y from
  Kconfig (jsc#SLE-9316).
- mmc: sdhci: fix up CMD12 sending (jsc#SLE-9316).
- soc: fsl: add RCPM driver (jsc#SLE-9316).
- PM: wakeup: Add routine to help fetch wakeup source object
  (jsc#SLE-9316).
- mmc: sdhci-of-esdhc: poll ESDHC_FLUSH_ASYNC_FIFO bit until
  completion (jsc#SLE-9316).
- spi: spi-fsl-qspi: Introduce variable to fix different invalid
  master Id (jsc#SLE-9316).
- rtc: fsl-ftm-alarm: add FTM alarm driver (jsc#SLE-9316).
- mtd: spi-nor: Add support for mt35xu02g (jsc#SLE-9316).
- mmc: sdhci-of-esdhc: add erratum A011334 support in ls1028a
  1.0 SoC (jsc#SLE-9316).
- soc: fsl: guts: Add definition for LS1028A (jsc#SLE-9316).
- spi: fsl-qspi: Enhance binding to extend example for flash entry
  (jsc#SLE-9316).
- commit bfef95e
* Tue Dec 17 2019 jlee@suse.com
- Refresh and enable
  patches.suse/0004-MODSIGN-checking-the-blacklisted-hash-before-loading.patch.
  (fate#316531)
- commit d8c86dc
* Tue Dec 17 2019 jlee@suse.com
- Refresh and enable
  patches.suse/0003-MODSIGN-load-blacklist-from-MOKx.patch.
  (fate#316531)
- commit 9e30e45
* Tue Dec 17 2019 yousaf.kaukab@suse.com
- enetc: remove variable 'tc_max_sized_frame' set but not used
  (jsc#SLE-9316).
- enetc: add software timestamping (jsc#SLE-9316).
- enetc: disable EEE autoneg by default (jsc#SLE-9316).
- enetc: add support Credit Based Shaper(CBS) for hardware offload
  (jsc#SLE-9316).
- enetc: make enetc_setup_tc_mqprio static (jsc#SLE-9316).
- enetc: update TSN Qbv PSPEED set according to adjust link speed
  (jsc#SLE-9316).
- enetc: Configure the Time-Aware Scheduler via tc-taprio offload
  (jsc#SLE-9316).
- enetc: fix return value for enetc_ioctl() (jsc#SLE-9316).
- enetc: ethtool: add wake-on-lan callbacks (jsc#SLE-9316).
- enetc: add ioctl() support for PHY-related ops (jsc#SLE-9316).
- commit c54330b
* Mon Dec 16 2019 jack@suse.cz
- Update tags in
  patches.suse/ext4-add-more-paranoia-checking-in-ext4_expand_extra.patch
  (bnc#1151927 bsc#1159297 CVE-2019-19767 5.3.15).
- commit a5d00e3
* Mon Dec 16 2019 jgross@suse.com
- xen/blkback: Avoid unmapping unmapped grant pages (bsc#1065600).
- commit d227d91
* Mon Dec 16 2019 tiwai@suse.de
- staging: vchiq: call unregister_chrdev_region() when driver
  registration fails (git-fixes).
- xhci: make sure interrupts are restored to correct state
  (git-fixes).
- xhci: Increase STS_HALT timeout in xhci_suspend() (git-fixes).
- usb: xhci: only set D3hot for pci device (git-fixes).
- xhci: Fix memory leak in xhci_add_in_port() (git-fixes).
- usb: dwc3: gadget: Fix logical condition (git-fixes).
- USB: adutux: fix interface sanity check (git-fixes).
- USB: idmouse: fix interface sanity checks (git-fixes).
- USB: serial: io_edgeport: fix epic endpoint lookup (git-fixes).
- usb: mon: Fix a deadlock in usbmon between mmap and read
  (git-fixes).
- usb: typec: fix use after free in typec_register_port()
  (git-fixes).
- usb: roles: fix a potential use after free (git-fixes).
- virtio-balloon: fix managed page counts when migrating pages
  between zones (git-fixes).
- vfio/pci: call irq_bypass_unregister_producer() before freeing
  irq (git-fixes).
- tools: PCI: Fix fd leakage (git-fixes).
- stm class: Lose the protocol driver when dropping its reference
  (git-fixes).
- spi: rspi: Use platform_get_irq_byname_optional() for optional
  irqs (git-fixes).
- commit 6f16787
* Mon Dec 16 2019 tiwai@suse.de
- staging: rtl8712: fix interface sanity check (git-fixes).
- staging: rtl8188eu: fix interface sanity check (git-fixes).
- soc: aspeed: Fix snoop_file_poll()'s return type (git-fixes).
- soc: renesas: Add missing check for non-zero product register
  address (git-fixes).
- serial: 8250-mtk: Use platform_get_irq_optional() for optional
  irq (git-fixes).
- phy: qcom-usb-hs: Fix extcon double register after power cycle
  (git-fixes).
- phy: ti: gmii-sel: fix mac tx internal delay for rgmii-rxid
  (git-fixes).
- phy: renesas: rcar-gen3-usb2: Fix sysfs interface of "role"
  (git-fixes).
- rfkill: allocate static minor (git-fixes).
- phy: renesas: rcar-gen3-usb2: Use platform_get_irq_optional()
  for optional irq (git-fixes).
- software node: Get reference to parent swnode in get_parent op
  (git-fixes).
- driver core: platform: Add platform_get_irq_byname_optional()
  (git-fixes).
- commit 3dd636b
* Mon Dec 16 2019 mkubecek@suse.cz
- config: refresh
- only update headers
- commit 308eb35
* Mon Dec 16 2019 ykaukab@suse.de
- PCI: layerscape: Add LS1028a support (jsc#SLE-9316).
- PCI: layerscape: Add CONFIG_PCI_LAYERSCAPE_EP to build EP/RC
  separately (jsc#SLE-9316).
- PCI: dwc: Return directly when num-lanes is not found
  (jsc#SLE-9316).
- commit a994a9b
* Mon Dec 16 2019 tiwai@suse.de
- moduleparam: fix parameter description mismatch (git-fixes).
- net: wireless: ti: remove local VENDOR_ID and DEVICE_ID
  definitions (git-fixes).
- net: wireless: ti: wl1251 use new SDIO_VENDOR_ID_TI_WL1251
  definition (git-fixes).
- mmc: host: omap_hsmmc: add code for special init of wl1251 to
  get rid of pandora_wl1251_init_card (git-fixes).
- net: wireless: ti: wl1251 add device tree support (git-fixes).
- commit 55a0d46
* Mon Dec 16 2019 tiwai@suse.de
- interconnect: qcom: sdm845: Walk the list safely on node removal
  (git-fixes).
- commit dc37ad8
* Mon Dec 16 2019 tiwai@suse.de
- iio: adc: max9611: Fix too short conversion time delay
  (git-fixes).
- iio: imu: inv_mpu6050: fix temperature reporting using bad unit
  (git-fixes).
- iio: adc: ad7124: Enable internal reference (git-fixes).
- iio: adc: ad7606: fix reading unnecessary data from device
  (git-fixes).
- genalloc: Fix a set of docs build warnings (git-fixes).
- commit f2d6240
* Mon Dec 16 2019 tiwai@suse.de
- firmware: arm_scmi: Avoid double free in error flow (git-fixes).
- commit 83c312d
* Mon Dec 16 2019 tiwai@suse.de
- drm/nouveau/kms/nv50-: Limit MST BPC to 8 (git-fixes).
- drm/nouveau/kms/nv50-: Store the bpc we're using in
  nv50_head_atom (git-fixes).
- drm/nouveau/kms/nv50-: Call outp_atomic_check_view() before
  handling PBN (git-fixes).
- drm: meson: venc: cvbs: fix CVBS mode matching (git-fixes).
- drm/mcde: dsi: Fix invalid pointer dereference if panel cannot
  be found (git-fixes).
- drm/dp_mst: Correct the bug in drm_dp_update_payload_part1()
  (git-fixes).
- drm/mgag200: Store flags from PCI driver data in device
  structure (git-fixes).
- drm/mgag200: Extract device type from flags (git-fixes).
- commit 2452bc1
* Mon Dec 16 2019 tiwai@suse.de
- drm/amdgpu/vi: silence an uninitialized variable warning
  (git-fixes).
- commit 45e781e
* Mon Dec 16 2019 tiwai@suse.de
- drm/amd/display: add default clocks if not able to fetch them
  (git-fixes).
- drm/msm: Sanitize the modeset_is_locked checks in dpu
  (git-fixes).
- drm/msm: include linux/sched/task.h (git-fixes).
- drm/amdgpu: fix bad DMA from INTERRUPT_CNTL2 (git-fixes).
- drm/radeon: fix bad DMA from INTERRUPT_CNTL2 (git-fixes).
- drm: msm: a6xx: fix debug bus register configuration
  (git-fixes).
- commit 42a4df1
* Mon Dec 16 2019 tiwai@suse.de
- drm/tegra: Fix ordering of cleanup code (git-fixes).
- drm: Don't free jobs in wait_event_interruptible() (git-fixes).
- drm/rockchip: Round up _before_ giving to the clock framework
  (git-fixes).
- drm/amd/display: fix struct init in update_bounding_box
  (git-fixes).
- drm/amdgpu/mn: fix documentation for amdgpu_mn_read_lock
  (git-fixes).
- Revert "drm/amdgpu/nbio7.4: add hw bug workaround for vega20"
  (git-fixes).
- drm: rcar_lvds: Fix color mismatches on R-Car H2 ES2.0 and later
  (git-fixes).
- drm/mcde: Fix reference to DOC comment (git-fixes).
- Revert "drm/sun4i: dsi: Change the start delay calculation"
  (git-fixes).
- drm: panel-lvds: Potential Oops in probe error handling
  (git-fixes).
- commit 8624fb2
* Mon Dec 16 2019 tiwai@suse.de
- dmaengine: ti: edma: fix missed failure handling (git-fixes).
- drm/v3d: don't leak bin job if v3d_job_init fails (git-fixes).
- drm: mst: Fix query_payload ack reply struct (git-fixes).
- commit 5a5f2fc
* Mon Dec 16 2019 ykaukab@suse.de
- gpio: mpc8xxx: Add platform device to gpiochip->parent
  (jsc#SLE-9316).
- gpio/mpc8xxx: fix qoriq GPIO reading (jsc#SLE-9316).
- gpio/mpc8xxx: change irq handler from chained to normal
  (jsc#SLE-9316).
- gpio: mpc8xxx: add ls1088a platform special function
  (jsc#SLE-9316).
- gpio: mpc8xxx: Add ls1028a device specify function
  (jsc#SLE-9316).
- commit 748b19d
* Mon Dec 16 2019 tiwai@suse.de
- Update patch reference for ALSA timer fix (CVE-2019-19807 bsc#1159281)
- commit fdd89ba
* Mon Dec 16 2019 nsaenzjulienne@suse.de
- PCI: rockchip: Fix IO outbound ATU register number (git-fixes).
- commit fa4971b
* Mon Dec 16 2019 tiwai@suse.de
- rpm/kernel-subpackage-spec: Fix empty Recommends tag (bsc#1143959)
- commit 3fd22e2
* Mon Dec 16 2019 bp@suse.de
- crypto: ccp - Release all allocated memory if sha type is
  invalid (bsc#1156259 CVE-2019-18808).
- commit 9a2a2b6
* Mon Dec 16 2019 jslaby@suse.cz
- Linux 5.3.16 (bnc#1151927 5.3.16).
- Input: Fix memory leak in psxpad_spi_probe (bnc#1151927 5.3.16).
- io_uring: ensure req->submit is copied when req is deferred
  (bnc#1151927 5.3.16).
- CIFS: Fix NULL-pointer dereference in smb2_push_mandatory_locks
  (bnc#1151927 5.3.16).
- Input: synaptics-rmi4 - don't increment rmiaddr for SMBus
  transfers (bnc#1151927 5.3.16).
- Input: goodix - add upside-down quirk for Teclast X89 tablet
  (bnc#1151927 5.3.16).
- nfsd: Ensure CLONE persists data and metadata changes to the
  target file (bnc#1151927 5.3.16).
- nfsd: restore NFSv3 ACL support (bnc#1151927 5.3.16).
- io_uring: transform send/recvmsg() -ERESTARTSYS to -EINTR
  (bnc#1151927 5.3.16).
- fuse: verify nlink (bnc#1151927 5.3.16).
- fuse: verify attributes (bnc#1151927 5.3.16).
- arm64: dts: exynos: Revert "Remove unneeded address space
  mapping for soc node" (bnc#1151927 5.3.16).
- tty: vt: keyboard: reject invalid keycodes (bnc#1151927 5.3.16).
- serial: stm32: fix clearing interrupt error flags (bnc#1151927
  5.3.16).
- serial: serial_core: Perform NULL checks for break_ctl ops
  (bnc#1151927 5.3.16).
- serial: ifx6x60: add missed pm_runtime_disable (bnc#1151927
  5.3.16).
- serial: pl011: Fix DMA ->flush_buffer() (bnc#1151927 5.3.16).
- x86/PCI: Avoid AMD FCH XHCI USB PME# from D0 defect (bnc#1151927
  5.3.16).
- x86/mm/32: Sync only to VMALLOC_END in vmalloc_sync_all()
  (bnc#1151927 5.3.16).
- Input: synaptics - switch another X1 Carbon 6 to RMI/SMbus
  (bnc#1151927 5.3.16).
- sparc64: implement ioremap_uc (bnc#1151927 5.3.16).
- jbd2: Fix possible overflow in jbd2_log_space_left()
  (bnc#1151927 5.3.16).
- drm/msm: fix memleak on release (bnc#1151927 5.3.16).
- drm: damage_helper: Fix race checking plane->state->fb
  (bnc#1151927 5.3.16).
- drm/i810: Prevent underflow in ioctl (bnc#1151927 5.3.16).
- binder: Handle start==NULL in binder_update_page_range()
  (bnc#1151927 5.3.16).
- binder: Prevent repeated use of ->mmap() via NULL mapping
  (bnc#1151927 5.3.16).
- binder: Fix race between mmap() and binder_alloc_print_pages()
  (bnc#1151927 5.3.16).
- lp: fix sparc64 LPSETTIMEOUT ioctl (bnc#1151927 5.3.16).
- blacklist.conf: remove it
- coresight: etm4x: Fix input validation for sysfs (bnc#1151927
  5.3.16).
- usb: gadget: u_serial: add missing port entry locking
  (bnc#1151927 5.3.16).
- cpufreq: imx-cpufreq-dt: Correct i.MX8MN's default speed grade
  value (bnc#1151927 5.3.16).
- perf scripts python: exported-sql-viewer.py: Fix use of TRUE
  with SQLite (bnc#1151927 5.3.16).
- crypto: ccp - fix uninitialized list head (bnc#1151927 5.3.16).
- KVM: PPC: Book3S HV: XIVE: Fix potential page leak on error path
  (bnc#1151927 5.3.16).
- KVM: PPC: Book3S HV: XIVE: Free previous EQ page when setting
  up a new one (bnc#1151927 5.3.16).
- KVM: x86: Grab KVM's srcu lock when setting nested state
  (bnc#1151927 5.3.16).
- KVM: x86: do not modify masked bits of shared MSRs (bnc#1151927
  5.3.16).
- KVM: arm/arm64: vgic: Don't rely on the wrong pending table
  (bnc#1151927 5.3.16).
- KVM: PPC: Book3S HV: XIVE: Set kvm->arch.xive when VPs are
  allocated (bnc#1151927 5.3.16).
- KVM: nVMX: Always write vmcs02.GUEST_CR3 during nested VM-Enter
  (bnc#1151927 5.3.16).
- sched/core: Avoid spurious lock dependencies (bnc#1151927
  5.3.16).
- perf/core: Consistently fail fork on allocation failures
  (bnc#1151927 5.3.16).
- net: ep93xx_eth: fix mismatch of request_mem_region in remove
  (bnc#1151927 5.3.16).
- ravb: implement MTU change while device is up (bnc#1151927
  5.3.16).
- iwlwifi: pcie: don't consider IV len in A-MSDU (bnc#1151927
  5.3.16).
- xfrm: release device reference for invalid state (bnc#1151927
  5.3.16).
- rsxx: add missed destroy_workqueue calls in remove (bnc#1151927
  5.3.16).
- afs: Fix race in commit bulk status fetch (bnc#1151927 5.3.16).
- MIPS: SGI-IP27: fix exception handler replication (bnc#1151927
  5.3.16).
- selftests: kvm: fix build with glibc >= 2.30 (bnc#1151927
  5.3.16).
- drm/sun4i: tcon: Set min division of TCON0_DCLK to 1
  (bnc#1151927 5.3.16).
- audit_get_nd(): don't unlock parent too early (bnc#1151927
  5.3.16).
- Refresh patches.suse/vfs-add-super_operations-get_inode_dev.
- exportfs_decode_fh(): negative pinned may become positive
  without the parent locked (bnc#1151927 5.3.16).
- cgroup: don't put ERR_PTR() into fc->root (bnc#1151927 5.3.16).
- autofs: fix a leak in autofs_expire_indirect() (bnc#1151927
  5.3.16).
- Input: cyttsp4_core - fix use after free bug (bnc#1151927
  5.3.16).
- commit 8b8fa5f
* Mon Dec 16 2019 jslaby@suse.cz
- Update
  patches.suse/0001-crypto-af_alg-cast-ki_complete-ternary-op-to-int.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/0001-crypto-ecdh-fix-big-endian-bug-in-ECC-library.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/0055-rbd-silence-bogus-uninitialized-warning-in-rbd_object_map_update_finish.patch
  (jsc#SES-1134 bnc#1151927 5.3.16).
- Update patches.suse/ALSA-hda-Add-Cometlake-S-PCI-ID.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-Add-mute-led-support-for-HP-ProBook-645-G4.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-Fix-pending-unsol-events-at-shutdown.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-Modify-stream-stripe-mask-only-when-needed.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-hdmi-fix-pin-setup-on-Tigerlake.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-realtek-Dell-headphone-has-noise-on-unmute-.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-realtek-Enable-internal-speaker-of-ASUS-UX4.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-hda-realtek-Enable-the-headset-mic-on-a-Xiaomi-.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-pcm-Fix-stream-lock-usage-in-snd_pcm_period_ela.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ALSA-pcm-oss-Avoid-potential-buffer-overflows.patch
  (git-fixes bnc#1151927 5.3.16).
- Update patches.suse/CIFS-Fix-SMB2-oplock-break-processing.patch
  (bsc#1154355 bnc#1151927 5.3.16).
- Update
  patches.suse/Input-synaptics-rmi4-re-enable-IRQs-in-f34v7_do_refl.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/NFC-nxp-nci-Fix-NULL-pointer-dereference-after-I2C-c.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/RDMA-hns-Correct-the-value-of-HNS_ROCE_HEM_CHUNK_LEN.patch
  (jsc#SLE-8449 bnc#1151927 5.3.16).
- Update
  patches.suse/RDMA-hns-Correct-the-value-of-srq_desc_size.patch
  (jsc#SLE-8449 bnc#1151927 5.3.16).
- Update
  patches.suse/RDMA-qib-Validate-show-store-callbacks-before-callin.patch
  (jsc#SLE-8449 bnc#1151927 5.3.16).
- Update
  patches.suse/SUNRPC-Avoid-RPC-delays-when-exiting-suspend.patch
  (bsc#1154353 bnc#1151927 5.3.16).
- Update
  patches.suse/aio-Fix-io_pgetevents-struct-__compat_aio_sigset-lay.patch
  (bsc#1158373 bnc#1151927 5.3.16).
- Update
  patches.suse/arm64-tegra-Fix-active-low-warning-for-Jetson-TX1-re.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/block-check-bi_size-overflow-before-merge.patch
  (bsc#1158370 bnc#1151927 5.3.16).
- Update
  patches.suse/can-slcan-Fix-use-after-free-Read-in-slcan_open.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/can-ucan-fix-non-atomic-allocation-in-completion-han.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/crypto-atmel-aes-Fix-IV-handling-when-req-nbytes-ivs.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/crypto-crypto4xx-fix-double-free-in-crypto4xx_destro.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/crypto-geode-aes-switch-to-skcipher-for-cbc-aes-fall.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/crypto-user-fix-memory-leak-in-crypto_report.patch
  (CVE-2019-19062 bsc#1157333 git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/crypto-user-fix-memory-leak-in-crypto_reportstat.patch
  (CVE-2019-19050 bsc#1157336 git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/drm-mcde-Fix-an-error-handling-path-in-mcde_probe.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/ecryptfs-fix-unlink-and-rmdir-in-face-of-underlying-.patch
  (bsc#1158374 bnc#1151927 5.3.16).
- Update
  patches.suse/edac-ghes-fix-locking-and-memory-barrier-issues.patch
  (bsc#1152489 bnc#1151927 5.3.16).
- Update
  patches.suse/i2c-core-fix-use-after-free-in-of_i2c_notify.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/iomap-Fix-pipe-page-leakage-during-splicing.patch
  (bsc#1158383 bnc#1151927 5.3.16).
- Update patches.suse/kernfs-fix-ino-wrap-around-detection.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/kselftest-Fix-NULL-INSTALL_PATH-for-TARGETS-runlist.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/kvm-x86-fix-out-of-bounds-write-in-kvm_get_emulated_cpuid-cve-2019-19332
  (CVE-2019-19332 bsc#1158827 bnc#1151927 5.3.16).
- Update
  patches.suse/kvm-x86-fix-presentation-of-tsx-feature-in-arch_capabilities
  (CVE-2019-19338 bsc#1158954 bnc#1151927 5.3.16).
- Update
  patches.suse/kvm-x86-remove-a-spurious-export-of-a-static-function
  (bsc#1158954 bnc#1151927 5.3.16).
- Update
  patches.suse/md-raid0-Fix-an-error-message-in-raid0_make_request.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/media-rc-mark-input-device-as-pointing-stick.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/net-hns3-fix-ETS-bandwidth-validation-bug.patch
  (bsc#1154353 bnc#1151927 5.3.16).
- Update
  patches.suse/net-hns3-reallocate-SSU-buffer-size-when-pfc_en-chan.patch
  (bsc#1154353 bnc#1151927 5.3.16).
- Update
  patches.suse/perf-script-Fix-invalid-LBR-binary-mismatch-error.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/rsi-release-skb-if-rsi_prepare_beacon-fails.patch
  (CVE-2019-19071,bsc#1157067 bnc#1151927 5.3.16).
- Update
  patches.suse/sched-pelt-Fix-update-of-blocked-PELT-ordering.patch
  (bnc#1155798 (CPU scheduler functional and performance
  backports) bnc#1151927 5.3.16).
- Update
  patches.suse/spi-Fix-NULL-pointer-when-setting-SPI_CS_HIGH-for-GP.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/spi-Fix-SPI_CS_HIGH-setting-when-using-native-and-GP.patch
  (git-fixes bnc#1151927 5.3.16).
- Update patches.suse/spi-atmel-Fix-CS-high-support.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/spi-spi-fsl-qspi-Clear-TDH-bits-in-FLSHCR-register.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/spi-stm32-qspi-Fix-kernel-oops-when-unbinding-driver.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/thermal-Fix-deadlock-in-thermal-thermal_zone_device_.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/time-Zero-the-upper-32-bits-in-__kernel_timespec-on-.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/tty-serial-fsl_lpuart-use-the-sg-count-from-dma_map_.patch
  (git-fixes bnc#1151927 5.3.16).
- Update patches.suse/tty-serial-msm_serial-Fix-flow-control.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/vcs-prevent-write-access-to-vcsu-devices.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/watchdog-aspeed-Fix-clock-behaviour-for-ast2600.patch
  (git-fixes bnc#1151927 5.3.16).
- Update
  patches.suse/x86-resctrl-fix-potential-lockdep-warning.patch
  (bsc#1152489 bnc#1151927 5.3.16).
- commit f542645
* Mon Dec 16 2019 jlee@suse.com
- Delete
  patches.suse/0002-MODSIGN-print-appropriate-status-message-when-gettin.patch.
  Be replaced by
  patches.suse/0001-efi-add-a-function-to-convert-the-status-code-to-a-s.patch
  patches.suse/0002-efi-show-error-messages-only-when-loading-certificat.patch
- commit 167e118
* Mon Dec 16 2019 jlee@suse.com
- efi: show error messages only when loading certificates is
  failed (fate#316531, bnc#854875).
- commit 9ff07ee
* Mon Dec 16 2019 jlee@suse.com
- efi: add a function to convert the status code to a string
  (fate#316531, bnc#854875).
- commit cd7aba4
* Mon Dec 16 2019 msuchanek@suse.de
- Refresh patches.suse/ibmvnic-Fix-typo-in-retry-check.patch.
- commit f89f0b0
* Sun Dec 15 2019 mkubecek@suse.cz
- config: refresh
- update headers
- drop options which are no longer accessible
- commit 82ffcd4
* Sun Dec 15 2019 mkubecek@suse.cz
- series.conf: refresh
  update mainline references and resort:
  patches.suse/scsi-qla2xxx-Add-debug-dump-of-LOGO-payload-and-ELS-.patch
  patches.suse/scsi-qla2xxx-Added-support-for-MPI-and-PEP-regions-f.patch
  patches.suse/scsi-qla2xxx-Allow-PLOGI-in-target-mode.patch
  patches.suse/scsi-qla2xxx-Change-discovery-state-before-PLOGI.patch
  patches.suse/scsi-qla2xxx-Configure-local-loop-for-N2N-target.patch
  patches.suse/scsi-qla2xxx-Correctly-retrieve-and-interpret-active.patch
  patches.suse/scsi-qla2xxx-Don-t-call-qlt_async_event-twice.patch
  patches.suse/scsi-qla2xxx-Don-t-defer-relogin-unconditonally.patch
  patches.suse/scsi-qla2xxx-Drop-superfluous-INIT_WORK-of-del_work.patch
  patches.suse/scsi-qla2xxx-Fix-PLOGI-payload-and-ELS-IOCB-dump-len.patch
  patches.suse/scsi-qla2xxx-Fix-incorrect-SFUB-length-used-for-Secu.patch
  patches.suse/scsi-qla2xxx-Ignore-NULL-pointer-in-tcm_qla2xxx_free.patch
  patches.suse/scsi-qla2xxx-Ignore-PORT-UPDATE-after-N2N-PLOGI.patch
  patches.suse/scsi-qla2xxx-Initialize-free_work-before-flushing-it.patch
  patches.suse/scsi-qla2xxx-Send-Notify-ACK-after-N2N-PLOGI.patch
  patches.suse/scsi-qla2xxx-Use-explicit-LOGO-in-target-mode.patch
- commit b803547
* Sat Dec 14 2019 tiwai@suse.de
- ACPI: PM: Avoid attaching ACPI PM domain to certain devices
  (git-fixes).
- ALSA: hda/realtek - Line-out jack doesn't work on a Dell AIO
  (git-fixes).
- ALSA: hda/hdmi - Fix duplicate unref of pci_dev (git-fixes).
- ALSA: fireface: fix return value in error path of isochronous
  resources reservation (git-fixes).
- ALSA: oxfw: fix return value in error path of isochronous
  resources reservation (git-fixes).
- ALSA: echoaudio: simplify get_audio_levels (git-fixes).
- dma-buf: Fix memory leak in sync_file_merge() (git-fixes).
- commit 1ccb9b7
* Fri Dec 13 2019 lduncan@suse.com
- scsi: bfa: release allocated memory in case of error
  (CVE-2019-19066 bsc#1157303).
- commit 8663bfd
* Fri Dec 13 2019 tiwai@suse.de
- spi: Fix NULL pointer when setting SPI_CS_HIGH for GPIO CS
  (git-fixes).
- commit be424a0
* Fri Dec 13 2019 tiwai@suse.de
- vcs: prevent write access to vcsu devices (git-fixes).
- tty: serial: pch_uart: correct usage of dma_unmap_sg
  (git-fixes).
- tty: serial: imx: use the sg count from dma_map_sg (git-fixes).
- tty: serial: fsl_lpuart: use the sg count from dma_map_sg
  (git-fixes).
- tty: serial: msm_serial: Fix flow control (git-fixes).
- tipc: fix wrong timeout input for tipc_wait_for_cond()
  (git-fixes).
- tipc: fix wrong socket reference counter after tipc_sk_timeout()
  returns (git-fixes).
- commit b38c936
* Fri Dec 13 2019 tiwai@suse.de
- tipc: fix potential memory leak in __tipc_sendmsg() (git-fixes).
- spi: atmel: Fix CS high support (git-fixes).
- spi: dw: Fix Designware SPI loopback (git-fixes).
- spi: atmel: fix handling of cs_change set on non-last xfer
  (git-fixes).
- spi: Fix SPI_CS_HIGH setting when using native and GPIO CS
  (git-fixes).
- spi: spi-fsl-qspi: Clear TDH bits in FLSHCR register
  (git-fixes).
- spi: stm32-qspi: Fix kernel oops when unbinding driver
  (git-fixes).
- tipc: update mon's self addr when node addr generated
  (git-fixes).
- tipc: reduce sensitive to retransmit failures (git-fixes).
- commit 03f889b
* Fri Dec 13 2019 tiwai@suse.de
- platform/chrome: wilco_ec: fix use after free issue (git-fixes).
- rtc: pm8xxx: update kerneldoc for struct pm8xxx_rtc (git-fixes).
- rtc: msm6242: Fix reading of 10-hour digit (git-fixes).
- rtc: bd70528: Add MODULE ALIAS to autoload module (git-fixes).
- rtc: brcmstb-waketimer: add missed clk_disable_unprepare
  (git-fixes).
- rtc: disable uie before setting time and enable after
  (git-fixes).
- pstore: Make pstore_choose_compression() static (git-fixes).
- pinctrl: lewisburg: Update pin list according to v1.1v6
  (git-fixes).
- pinctrl: armada-37xx: Fix irq mask access in
  armada_37xx_irq_set_type() (git-fixes).
- pinctrl: samsung: Fix device node refcount leaks in init code
  (git-fixes).
- commit 12b6898
* Fri Dec 13 2019 tiwai@suse.de
- of: unittest: fix memory leak in attach_node_and_children
  (git-fixes).
- of: overlay: add_changeset_property() memory leak (git-fixes).
- pinctrl: samsung: Fix device node refcount leaks in S3C64xx
  wakeup controller init (git-fixes).
- pinctrl: samsung: Fix device node refcount leaks in S3C24xx
  wakeup controller init (git-fixes).
- pinctrl: samsung: Fix device node refcount leaks in Exynos
  wakeup controller init (git-fixes).
- pinctrl: samsung: Add of_node_put() before return in error path
  (git-fixes).
- pinctrl: sh-pfc: Do not use platform_get_irq() to count
  interrupts (git-fixes).
- pinctrl: sh-pfc: Fix PINMUX_IPSR_PHYS() to set GPSR (git-fixes).
- pinctrl: rza2: Fix gpio name typos (git-fixes).
- hwrng: omap3-rom - Fix missing clock by probing with device tree
  (git-fixes).
- commit d48f475
* Fri Dec 13 2019 tiwai@suse.de
- clk: Add clk_hw_unregister_composite helper function definition
  (git-fixes).
- clk: Fix memory leak in clk_unregister() (git-fixes).
- clk: pxa: fix one of the pxa RTC clocks (git-fixes).
- clk: sprd: Use IS_ERR() to validate the return value of
  syscon_regmap_lookup_by_phandle() (git-fixes).
- clk: qcom: smd: Add missing pnoc clock (git-fixes).
- clk: imx7ulp: Correct DDR clock mux options (git-fixes).
- clk: imx7ulp: Correct system clock source option #7 (git-fixes).
- clk: imx: pll14xx: Fix quick switch of S/K parameter
  (git-fixes).
- clk: renesas: r8a77965: Remove superfluous semicolon
  (git-fixes).
- clk: samsung: exynos5420: Preserve CPU clocks configuration
  during suspend/resume (git-fixes).
- commit 10ab36e
* Fri Dec 13 2019 tiwai@suse.de
- arm64: mm: Fix initialisation of DMA zones on non-NUMA systems
  (git-fixes).
- arm64: tegra: Fix 'active-low' warning for Jetson TX1 regulator
  (git-fixes).
- ARM: OMAP2+: Add missing put_device() call in omapdss_init_of()
  (git-fixes).
- apparmor: fix unsigned len comparison with less than zero
  (git-fixes).
- clk: meson: axg-audio: fix regmap last register (git-fixes).
- ARM: 8937/1: spectre-v2: remove Brahma-B53 from hardening
  (git-fixes).
- ARM: 8918/2: only build return_address() if needed (git-fixes).
- ARM: 8928/1: ARM_ERRATA_775420: Spelling s/date/data/
  (git-fixes).
- arm64: Silence clang warning on mismatched value/register sizes
  (git-fixes).
- commit 7811b6b
* Fri Dec 13 2019 tiwai@suse.de
- ARM: dts: Fix vcsi regulator to be always-on for droid4 to
  prevent hangs (git-fixes).
- commit 228f19d
* Fri Dec 13 2019 tiwai@suse.de
- watchdog: sprd: Fix the incorrect pointer getting from driver
  data (git-fixes).
- staging: wilc1000: potential corruption in
  wilc_parse_join_bss_param() (git-fixes).
- virt_wifi: fix use-after-free in virt_wifi_newlink()
  (git-fixes).
- tpm: Switch to platform_get_irq_optional() (git-fixes).
- commit ff1979e
* Fri Dec 13 2019 tiwai@suse.de
- thermal: Fix deadlock in thermal thermal_zone_device_check
  (git-fixes).
- time: Zero the upper 32-bits in __kernel_timespec on 32-bit
  (git-fixes).
- seccomp: avoid overflow in implicit constant conversion
  (git-fixes).
- rtlwifi: rtl8192de: Fix missing enable interrupt flag
  (git-fixes).
- rtlwifi: rtl8192de: Fix missing callback that tests for hw
  release of buffer (git-fixes).
- rtlwifi: rtl8192de: Fix missing code to retrieve RX buffer
  address (git-fixes).
- rtw88: fix error handling when setup efuse info (git-fixes).
- rtw88: fix NSS of hw_cap (git-fixes).
- rtw88: fix beaconing mode rsvd_page memory violation issue
  (git-fixes).
- tpm: add check after commands attribs tab allocation
  (git-fixes).
- commit 05bccb9
* Fri Dec 13 2019 tiwai@suse.de
- power: supply: bd70528: Add MODULE_ALIAS to allow module auto
  loading (git-fixes).
- PM / devfreq: Lock devfreq in trans_stat_show (git-fixes).
- PM / devfreq: Check NULL governor in available_governors_show
  (git-fixes).
- regulator: core: Let boot-on regulators be powered off
  (git-fixes).
- regulator: ab8500: Remove SYSCLKREQ from enum
  ab8505_regulator_id (git-fixes).
- regulator: ab8500: Remove AB8505 USB regulator (git-fixes).
- regulator: core: Release coupled_rdevs on
  regulator_init_coupling() error (git-fixes).
- regulator: bd70528: Add MODULE_ALIAS to allow module auto
  loading (git-fixes).
- rt2800: remove errornous duplicate condition (git-fixes).
- rtlwifi: Remove unnecessary NULL check in rtl_regd_init
  (git-fixes).
- commit c414c52
* Fri Dec 13 2019 tiwai@suse.de
- PCI: rcar: Fix missing MACCTLR register setting in
  initialization sequence (git-fixes).
- PCI: amlogic: Fix probed clock names (git-fixes).
- PCI: dwc: Fix find_next_bit() usage (git-fixes).
- PCI: aardvark: Fix PCI_EXP_RTCTL register configuration
  (git-fixes).
- PCI: aardvark: Use LTSSM state to build link training flag
  (git-fixes).
- PCI: Apply Cavium ACS quirk to ThunderX2 and ThunderX3
  (git-fixes).
- PCI: Fix Intel ACS quirk UPDCR register address (git-fixes).
- PCI/switchtec: Read all 64 bits of part_event_bitmap
  (git-fixes).
- PCI: Do not use bus number zero from EA capability (git-fixes).
- pinctl: ti: iodelay: fix error checking on
  pinctrl_count_index_with_args call (git-fixes).
- commit f1a197e
* Fri Dec 13 2019 tiwai@suse.de
- PCI: Fix missing bridge dma_ranges resource list cleanup
  (git-fixes).
- PCI/PM: Clear PCIe PME Status even for legacy power management
  (git-fixes).
- PCI/PTM: Remove spurious "d" from granularity message
  (git-fixes).
- PCI: pciehp: Do not disable interrupt twice on suspend
  (git-fixes).
- PCI: pciehp: Avoid returning prematurely from sysfs requests
  (git-fixes).
- mtd: rawnand: brcmnand: Fix NULL pointer assignment (git-fixes).
- mtd: rawnand: Change calculating of position page containing
  BBM (git-fixes).
- mtd: spi-nor: fix silent truncation in spi_nor_read_raw()
  (git-fixes).
- mtd: spi-nor: fix silent truncation in spi_nor_read()
  (git-fixes).
- mtd: cfi_cmdset_0002: only check errors when ready in
  cfi_check_err_status() (git-fixes).
- commit a7c6767
* Fri Dec 13 2019 tiwai@suse.de
- mt76: mt76u: fix endpoint definition order (git-fixes).
- Revert "mt76: mt76x0e: don't use hw encryption for MT7630E"
  (git-fixes).
- mt76: mt76u: rely on usb_interface instead of usb_dev
  (git-fixes).
- mt7601u: fix bbp version check in mt7601u_wait_bbp_ready
  (git-fixes).
- mtd: devices: fix mchp23k256 read and write (git-fixes).
- mtd: spear_smi: Fix Write Burst mode (git-fixes).
- commit 4c444cf
* Fri Dec 13 2019 tiwai@suse.de
- mfd: rk808: Fix RK818 ID template (git-fixes).
- mei: fix modalias documentation (git-fixes).
- mmc: core: fix wl1251 sdio quirks (git-fixes).
- mmc: sdio: fix wl1251 vendor id (git-fixes).
- mmc: sdhci-of-esdhc: fix up erratum A-008171 workaround
  (git-fixes).
- media: hantro: Fix s_fmt for dynamic resolution changes
  (git-fixes).
- media: aspeed-video: Fix memory leaks in aspeed_video_probe
  (git-fixes).
- media: flexcop-usb: ensure -EIO is returned on error condition
  (git-fixes).
- media: venus: remove invalid compat_ioctl32 handler (git-fixes).
- commit 973a35e
* Fri Dec 13 2019 tiwai@suse.de
- media: cedrus: Use correct H264 8x8 scaling list (git-fixes).
- media: exynos4-is: fix wrong mdev and v4l2 dev order in error
  path (git-fixes).
- media: fdp1: Fix R-Car M3-N naming in debug message (git-fixes).
- media: coda: fix deadlock between decoder picture run and
  start command (git-fixes).
- media: exynos4-is: Fix recursive locking in isp_video_release()
  (git-fixes).
- media: radio: wl1273: fix interrupt masking on release
  (git-fixes).
- media: bdisp: fix memleak on release (git-fixes).
- media: ti-vpe: vpe: Fix Motion Vector vpdma stride (git-fixes).
- media: v4l: cadence: Fix how unsued lanes are handled in
  'csi2rx_start()' (git-fixes).
- media: rc: mark input device as pointing stick (git-fixes).
- commit 05115b9
* Fri Dec 13 2019 tiwai@suse.de
- media: ov6650: Fix stored crop rectangle not in sync with
  hardware (git-fixes).
- media: ov6650: Fix stored frame format not in sync with hardware
  (git-fixes).
- media: ov6650: Fix default format not applied on device probe
  (git-fixes).
- media: ov6650: Fix .get_fmt() V4L2_SUBDEV_FORMAT_TRY support
  (git-fixes).
- media: ov6650: Fix some format attributes not under control
  (git-fixes).
- media: ov6650: Fix incorrect use of JPEG colorspace (git-fixes).
- media: ov6650: Fix crop rectangle alignment not passed back
  (git-fixes).
- media: ov6650: Fix control handler not freed on init error
  (git-fixes).
- media: ov6650: Fix MODULE_DESCRIPTION (git-fixes).
- media: max2175: Fix build error without CONFIG_REGMAP_I2C
  (git-fixes).
- commit f24d029
* Fri Dec 13 2019 tiwai@suse.de
- leds: trigger: netdev: fix handling on interface rename
  (git-fixes).
- media: rcar-vin: Fix incorrect return statement in
  rvin_try_format() (git-fixes).
- media: vim2m: Fix abort issue (git-fixes).
- media: vim2m: Fix BUG_ON in vim2m_device_release() (git-fixes).
- media: seco-cec: Add a missing 'release_region()' in an error
  handling path (git-fixes).
- iwlwifi: check kasprintf() return value (git-fixes).
- iwlwifi: pcie: fix support for transmitting SKBs with fraglist
  (git-fixes).
- mac80211: consider QoS Null frames for STA_NULLFUNC_ACKED
  (git-fixes).
- iwlwifi: mvm: consider ieee80211 station max amsdu value
  (git-fixes).
- kernfs: fix ino wrap-around detection (git-fixes).
- commit 199f72e
* Fri Dec 13 2019 tiwai@suse.de
- Input: synaptics-rmi4 - re-enable IRQs in f34v7_do_reflash
  (git-fixes).
- i2c: i2c-stm32f7: fix 10-bits check in slave free id search loop
  (git-fixes).
- i2c: stm32f7: report dma error during probe (git-fixes).
- i2c: stm32f7: fix & reorder remove & probe error handling
  (git-fixes).
- i2c: stm32f7: rework slave_id allocation (git-fixes).
- iio: adis16480: Add debugfs_reg_access entry (git-fixes).
- iio: adis16480: Fix scales factors (git-fixes).
- iio: imu: adis: assign value only if return code zero in read
  funcs (git-fixes).
- iio: imu: adis: assign read val in debugfs hook only if op
  successful (git-fixes).
- intel_th: Fix a double put_device() in error path (git-fixes).
- commit a869d19
* Fri Dec 13 2019 tiwai@suse.de
- docs: admin-guide: Remove threads-max auto-tuning (git-fixes).
- docs: admin-guide: Fix min value of threads-max in kernel.rst
  (git-fixes).
- HID: i2c-hid: Reset ALPS touchpads on resume (git-fixes).
- gpio: mpc8xxx: Don't overwrite default irq_set_type callback
  (git-fixes).
- Documentation: Fix warning in drm-kms-helpers.rst (git-fixes).
- Documentation: debugfs: Document debugfs helper for unsigned
  long values (git-fixes).
- iio: imu: adis16480: assign bias value only if operation
  succeeded (git-fixes).
- hwmon: (pmbus/ibm-cffps) Switch LEDs to blocking brightness call
  (git-fixes).
- gpiolib: acpi: Add Terra Pad 1061 to the
  run_edge_events_on_boot_blacklist (git-fixes).
- Documentation: TLS: Add missing counter description (git-fixes).
- commit fc72e99
* Fri Dec 13 2019 tiwai@suse.de
- docs: networking: devlink-trap: Fix reference to other document
  (git-fixes).
- docs: Fix "make help" suggestion for SPHINXDIR (git-fixes).
- docs: Catch up with the new location of get_user_pages_fast()
  (git-fixes).
- cw1200: Fix a signedness bug in cw1200_load_firmware()
  (git-fixes).
- crypto: virtio - deal with unsupported input sizes (git-fixes).
- crypto: virtio - implement missing support for output IVs
  (git-fixes).
- crypto: tgr192 - remove unneeded semicolon (git-fixes).
- crypto: crypto4xx - fix double-free in crypto4xx_destroy_sdr
  (git-fixes).
- crypto: atmel - Fix authenc support when it is set to m
  (git-fixes).
- commit afa1ae2
* Fri Dec 13 2019 tiwai@suse.de
- can: ucan: fix non-atomic allocation in completion handler
  (git-fixes).
- can: slcan: Fix use-after-free Read in slcan_open (git-fixes).
- compat_ioctl: handle SIOCOUTQNSD (git-fixes).
- Bluetooth: Fix memory leak in hci_connect_le_scan (git-fixes).
- Bluetooth: delete a stray unlock (git-fixes).
- brcmfmac: disable PCIe interrupts before bus reset (git-fixes).
- Bluetooth: hci_core: fix init for HCI_USER_CHANNEL (git-fixes).
- crypto: geode-aes - convert to skcipher API and make thread-safe
  (git-fixes).
- crypto: geode-aes - switch to skcipher for cbc(aes) fallback
  (git-fixes).
- crypto: atmel-aes - Fix IV handling when req->nbytes < ivsize
  (git-fixes).
- commit 1788826
* Fri Dec 13 2019 tiwai@suse.de
- ASoC: fsl_audmix: Add spin lock to protect tdms (git-fixes).
- ASoC: rsnd: fix DALIGN register for SSIU (git-fixes).
- ALSA: cs4236: fix error return comparison of an unsigned integer
  (git-fixes).
- ASoC: SOF: Intel: Broadwell: clarify mutual exclusion with
  legacy driver (git-fixes).
- ASoC: soc-pcm: fixup dpcm_prune_paths() loop continue
  (git-fixes).
- Revert "ASoC: SOF: Force polling mode on CFL and CNL"
  (git-fixes).
- ASoC: simple_card_utils.h: Add missing include (git-fixes).
- ALSA: firewire-motu: Correct a typo in the clock proc string
  (git-fixes).
- ath10k: Correct error handling of dma_map_single() (git-fixes).
- ath10k: Check if station exists before forwarding tx airtime
  report (git-fixes).
- commit d2f34ae
* Fri Dec 13 2019 tiwai@suse.de
- ACPI: sysfs: Change ACPI_MASKABLE_GPE_MAX to 0x100 (git-fixes).
- ACPI: OSL: only free map once in osl.c (git-fixes).
- ACPI / hotplug / PCI: Allocate resources directly under the
  non-hotplug bridge (git-fixes).
- ACPI / utils: Move acpi_dev_get_first_match_dev() under
  CONFIG_ACPI (git-fixes).
- ACPI: LPSS: Add dmi quirk for skipping _DEP check for some
  device-links (git-fixes).
- ACPI: LPSS: Add LNXVIDEO -> BYT I2C1 to lpss_device_links
  (git-fixes).
- ACPI: LPSS: Add LNXVIDEO -> BYT I2C7 to lpss_device_links
  (git-fixes).
- commit e0be9a6
* Thu Dec 12 2019 nsaenzjulienne@suse.de
- hwrng: iproc-rng200 - Add support for BCM2711 (jsc#SLE-7772).
- commit 5106a14
* Thu Dec 12 2019 oneukum@suse.com
- USB: fix kABI padding (jsc#SLE-8133).
- commit 2bf99e9
* Thu Dec 12 2019 oneukum@suse.com
- typeC: add kABI padding (jsc#SLE-8133).
- commit e45f332
* Thu Dec 12 2019 msuchanek@suse.de
- powerpc/pseries/mobility: notify network peers after migration
  (bsc#1152631 ltc#181798).
- commit c61f369
* Thu Dec 12 2019 jslaby@suse.cz
- platform/x86: intel_pmc_core: Add Comet Lake (CML) platform
  support to intel_pmc_core driver (jsc#SLE-11113).
- platform/x86: intel_pmc_core: Fix the SoC naming inconsistency
  (jsc#SLE-11113).
- commit 1e10fa5
* Thu Dec 12 2019 jslaby@suse.cz
- x86/platform/uv: Account for UV Hubless in is_uvX_hub Ops
  (jsc#SLE-10790).
- x86/platform/uv: Check EFI Boot to set reboot type
  (jsc#SLE-10790).
- x86/platform/uv: Decode UVsystab Info (jsc#SLE-10790).
- x86/platform/uv: Add UV Hubbed/Hubless Proc FS Files
  (jsc#SLE-10790).
- x86/platform/uv: Setup UV functions for Hubless UV Systems
  (jsc#SLE-10790).
- x86/platform/uv: Add return code to UV BIOS Init function
  (jsc#SLE-10790).
- x86/platform/uv: Return UV Hubless System Type (jsc#SLE-10790).
- x86/platform/uv: Save OEM_ID from ACPI MADT probe
  (jsc#SLE-10790).
- commit a305bf3
* Thu Dec 12 2019 msuchanek@suse.de
- net/ibmvnic: Fix typo in retry check (bsc#1155689 ltc#182047).
- commit 59fccb6
* Wed Dec 11 2019 tbogendoerfer@suse.de
- mm: Implement no-MMU variant of vmalloc_user_node_flags
  (bsc#1154353).
- bpf: Add bpf_jit_blinding_enabled for !CONFIG_BPF_JIT
  (bsc#1154353).
- powerpc: Add const qual to local_read() parameter (bsc#1154353).
- net: sfp: fix sfp_bus_add_upstream() warning (bsc#1154353).
- commit 0920fda
* Wed Dec 11 2019 tbogendoerfer@suse.de
- RDMA/hns: Fix build error again (jsc#SLE-8449).
- Update config files.
- commit 56e934b
* Wed Dec 11 2019 tiwai@suse.de
- Update patch reference for wimax fix (CVE-2019-19051 bsc#1159024)
- commit a70fc76
* Wed Dec 11 2019 ykaukab@suse.de
- arm64: move patches to sorted section
  No code change.
- Refresh
  patches.suse/PCI-tegra-Fix-CLKREQ-dependency-programming.patch.
- Refresh
  patches.suse/ahci-tegra-use-regulator_bulk_set_supply_names.patch.
- Refresh
  patches.suse/arm64-kpti-Add-NVIDIA-s-Carmel-core-to-the-KPTI-whit.patch.
- Refresh
  patches.suse/clk-Add-API-to-get-index-of-the-clock-parent.patch.
- Refresh
  patches.suse/clk-tegra-Add-suspend-and-resume-support-on-Tegra210.patch.
- Refresh
  patches.suse/clk-tegra-Fix-build-error-without-CONFIG_PM_SLEEP.patch.
- Refresh
  patches.suse/clk-tegra-Move-SOR0-implementation-to-Tegra124.patch.
- Refresh
  patches.suse/clk-tegra-Reimplement-SOR-clock-on-Tegra124.patch.
- Refresh
  patches.suse/clk-tegra-Reimplement-SOR-clocks-on-Tegra210.patch.
- Refresh
  patches.suse/clk-tegra-Remove-last-remains-of-TEGRA210_CLK_SOR1_S.patch.
- Refresh
  patches.suse/clk-tegra-Rename-sor0_lvds-to-sor0_out.patch.
- Refresh
  patches.suse/clk-tegra-Share-clk-and-rst-register-defines-with-Te.patch.
- Refresh
  patches.suse/clk-tegra-Support-for-OSC-context-save-and-restore.patch.
- Refresh
  patches.suse/clk-tegra-Use-fence_udelay-during-PLLU-init.patch.
- Refresh
  patches.suse/clk-tegra-clk-dfll-Add-suspend-and-resume-support.patch.
- Refresh
  patches.suse/clk-tegra-clk-super-Add-restore-context-support.patch.
- Refresh
  patches.suse/clk-tegra-clk-super-Fix-to-enable-PLLP-branches-to-C.patch.
- Refresh
  patches.suse/clk-tegra-divider-Save-and-restore-divider-rate.patch.
- Refresh
  patches.suse/clk-tegra-periph-Add-restore_context-support.patch.
- Refresh
  patches.suse/clk-tegra-pll-Save-and-restore-pll-context.patch.
- Refresh
  patches.suse/clk-tegra-pllout-Save-and-restore-pllout-context.patch.
- Refresh
  patches.suse/cpufreq-tegra124-Add-suspend-and-resume-support.patch.
- Refresh
  patches.suse/dt-bindings-clock-tegra-Rename-SOR0_LVDS-to-SOR0_OUT.patch.
- Refresh
  patches.suse/firmware-tegra-Move-BPMP-resume-to-noirq-phase.patch.
- Refresh
  patches.suse/gpio-max77620-Do-not-allocate-IRQs-upfront.patch.
- Refresh patches.suse/gpio-max77620-Fix-interrupt-handling.patch.
- Refresh patches.suse/gpio-tegra186-Add-debounce-support.patch.
- Refresh
  patches.suse/gpio-tegra186-Derive-register-offsets-from-bank-port.patch.
- Refresh
  patches.suse/gpio-tegra186-Implement-wake-event-support.patch.
- Refresh
  patches.suse/gpio-tegra186-Program-interrupt-route-mapping.patch.
- Refresh
  patches.suse/iommu-tegra-smmu-Fix-client-enablement-order.patch.
- Refresh
  patches.suse/iommu-tegra-smmu-Fix-page-tables-in-4-GiB-memory.patch.
- Refresh
  patches.suse/iommu-tegra-smmu-Use-non-secure-register-for-flushin.patch.
- Refresh
  patches.suse/memory-tegra-Set-DMA-mask-based-on-supported-address.patch.
- Refresh
  patches.suse/mfd-max77620-Do-not-allocate-IRQs-upfront.patch.
- Refresh
  patches.suse/net-stmmac-Only-enable-enhanced-addressing-mode-when.patch.
- Refresh
  patches.suse/net-stmmac-Support-enhanced-addressing-mode-for-DWMA.patch.
- Refresh
  patches.suse/phy-tegra-use-regulator_bulk_set_supply_names.patch.
- Refresh
  patches.suse/phy-tegra-xusb-Add-XUSB-dual-mode-support-on-Tegra21.patch.
- Refresh
  patches.suse/phy-tegra-xusb-Add-usb3-port-fake-support-on-Tegra21.patch.
- Refresh
  patches.suse/phy-tegra-xusb-Add-vbus-override-support-on-Tegra186.patch.
- Refresh
  patches.suse/phy-tegra-xusb-Add-vbus-override-support-on-Tegra210.patch.
- Refresh
  patches.suse/soc-tegra-fuse-Add-FUSE-clock-check-in-tegra_fuse_re.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Add-missing-IRQ-callbacks-on-Tegra194.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Add-reset-sources-and-levels-on-Tegra1.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Add-wake-event-support-on-Tegra210.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Configure-core-power-request-polarity.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Configure-deep-sleep-control-settings.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Fix-crashes-for-hierarchical-interrupt.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Support-wake-events-on-more-Tegra-SoCs.patch.
- Refresh
  patches.suse/soc-tegra-pmc-Use-lower-case-for-hexadecimal-literal.patch.
- Refresh
  patches.suse/usb-host-xhci-tegra-Add-Tegra194-XHCI-support.patch.
- Refresh
  patches.suse/usb-host-xhci-tegra-Correct-phy-enable-sequence.patch.
- Refresh
  patches.suse/usb-host-xhci-tegra-use-devm_platform_ioremap_resour.patch.
- Refresh
  patches.suse/usb-host-xhci-tegra-use-regulator_bulk_set_supply_na.patch.
- Refresh
  patches.suse/xhci-tegra-Parameterize-mailbox-register-addresses.patch.
- commit 3cb7073
* Wed Dec 11 2019 tbogendoerfer@suse.de
- net/tls: allow compiling TLS TOE out (bsc#1154353).
- Update config files.
- commit 6230ee0
* Wed Dec 11 2019 ykaukab@suse.de
- drivers/perf: Add CCPI2 PMU support in ThunderX2 UNCORE driver
  (jsc#SLE-10207,jsc#SLE-9619).
- Documentation: perf: Update documentation for ThunderX2 PMU
  uncore driver (jsc#SLE-10207,jsc#SLE-9619).
- commit 1b0c5b1
* Wed Dec 11 2019 tbogendoerfer@suse.de
- bpf: Introduce BPF trampoline (bsc#1154353).
- Refresh
  patches.suse/bpf-Fix-race-in-btf_resolve_helper_id.patch.
- commit f6e150b
* Wed Dec 11 2019 jroedel@suse.de
- KVM: x86: Remove a spurious export of a static function
  (bsc#1158954).
- commit 00bd7c4
* Wed Dec 11 2019 tbogendoerfer@suse.de
- bpf: Track contents of read-only maps as scalars (bsc#1154353).
- Refresh
  patches.suse/bpf-Implement-accurate-raw_tp-context-access-via-BTF.patch.
- commit 188f581
* Wed Dec 11 2019 tbogendoerfer@suse.de
- net: sockmap: use bitmap for copy info (bsc#1154353).
- Refresh
  patches.suse/net-skmsg-fix-TLS-1.3-crash-with-full-sk_msg.patch.
- commit daf1422
* Wed Dec 11 2019 jack@suse.cz
- patches.suse/block-Warn-if-elevator-parameter-is-used.patch: Update tags
- commit ef8c281
* Wed Dec 11 2019 tbogendoerfer@suse.de
- net_sched: validate TCA_KIND attribute in tc_chain_tmplt_add()
  (bsc#1154353).
- inet: protect against too small mtu values (bsc#1154353).
- gre: refetch erspan header from skb->data after pskb_may_pull()
  (bsc#1154353).
- tcp: Protect accesses to .ts_recent_stamp with
  {READ,WRITE}_ONCE() (bsc#1154353).
- tcp: tighten acceptance of ACKs not matching a child socket
  (bsc#1154353).
- tcp: fix rejected syncookies due to stale timestamps
  (bsc#1154353).
- net/mlx5e: E-switch, Fix Ingress ACL groups in switchdev mode
  for prio tag (jsc#SLE-8464).
- net/mlx5e: ethtool, Fix analysis of speed setting
  (jsc#SLE-8464).
- net/mlx5e: Fix translation of link mode into speed
  (jsc#SLE-8464).
- net/mlx5e: Fix free peer_flow when refcount is 0 (jsc#SLE-8464).
- net/mlx5e: Fix freeing flow with kfree() and not kvfree()
  (jsc#SLE-8464).
- net/mlx5e: Fix SFF 8472 eeprom length (jsc#SLE-8464).
- net/mlx5e: Query global pause state before setting prio2buffer
  (jsc#SLE-8464).
- net/mlx5e: Fix TXQ indices to be sequential (jsc#SLE-8464).
- tcp: md5: fix potential overestimation of TCP option space
  (bsc#1154353).
- net-sysfs: Call dev_hold always in netdev_queue_add_kobject
  (bsc#1154353).
- net/tls: Fix return values to avoid ENOTSUPP (bsc#1154353).
- net: avoid an indirect call in ____sys_recvmsg() (bsc#1154353).
- mqprio: Fix out-of-bounds access in mqprio_dump (bsc#1154353).
- bpf: Fix a bug when getting subprog 0 jited image in
  check_attach_btf_id (bsc#1154353).
- net: hns3: fix VF ID issue for setting VF VLAN (bsc#1154353).
- net: hns3: fix a use after free problem in
  hns3_nic_maybe_stop_tx() (bsc#1154353).
- net: hns3: fix for TX queue not restarted problem (bsc#1154353).
- hsr: fix a NULL pointer dereference in hsr_dev_xmit()
  (bsc#1154353).
- net: Fixed updating of ethertype in skb_mpls_push()
  (bsc#1154353).
- net: sfp: fix hwmon (bsc#1154353).
- net: sfp: fix unbind (bsc#1154353).
- xdp: obtain the mem_id mutex before trying to remove an entry
  (bsc#1154353).
- act_ct: support asymmetric conntrack (bsc#1154353).
- net: ipv6_stub: use ip6_dst_lookup_flow instead of
  ip6_dst_lookup (bsc#1154353).
- net: ipv6: add net argument to ip6_dst_lookup_flow
  (bsc#1154353).
- cls_flower: Fix the behavior using port ranges with hw-offload
  (bsc#1154353).
- net: sched: fix dump qlen for sch_mq/sch_mqprio with NOLOCK
  subqueues (bsc#1154353).
- tcp: refactor tcp_retransmit_timer() (bsc#1154353).
- net/core: Populate VF index in struct ifla_vf_guid
  (bsc#1154353).
- net: bridge: deny dev_set_mac_address() when unregistering
  (bsc#1154353).
- net: fix a leak in register_netdevice() (bsc#1154353).
- Fixed updating of ethertype in function skb_mpls_pop
  (bsc#1154353).
- sch_cake: Add missing NLA policy entry TCA_CAKE_SPLIT_GSO
  (bsc#1154353).
- bpf: Fix build in minimal configurations (bsc#1154353).
- bpf: Fix static checker warning (bsc#1154353).
- SUNRPC: Fix backchannel latency metrics (bsc#1154353).
- SUNRPC: Fix svcauth_gss_proxy_init() (bsc#1154353).
- SUNRPC: Trace gssproxy upcall results (bsc#1154353).
- sunrpc: fix crash when cache_head become valid before update
  (bsc#1154353).
- svcrdma: Improve DMA mapping trace points (bsc#1154353).
- SUNRPC: Capture completion of all RPC tasks (bsc#1154353).
- SUNRPC: Fix another issue with MIC buffer space (bsc#1154353).
- xprtrdma: Replace dprintk in xprt_rdma_set_port (bsc#1154353).
- xprtrdma: Replace dprintk() in rpcrdma_update_connect_private()
  (bsc#1154353).
- xprtrdma: Refine trace_xprtrdma_fixup (bsc#1154353).
- xprtrdma: Report the computed connect delay (bsc#1154353).
- xprtrdma: Wake tasks after connect worker fails (bsc#1154353).
- xprtrdma: Pull up sometimes (bsc#1154353).
- xprtrdma: Refactor rpcrdma_prepare_msg_sges() (bsc#1154353).
- xprtrdma: Move the rpcrdma_sendctx::sc_wr field (bsc#1154353).
- xprtrdma: Remove rpcrdma_sendctx::sc_device (bsc#1154353).
- xprtrdma: Remove rpcrdma_sendctx::sc_xprt (bsc#1154353).
- xprtrdma: Ensure ri_id is stable during MR recycling
  (bsc#1154353).
- xprtrdma: Manage MRs in context of a single connection
  (bsc#1154353).
- xprtrdma: Fix MR list handling (bsc#1154353).
- xprtrdma: Close window between waking RPC senders and posting
  Receives (bsc#1154353).
- xprtrdma: Initialize rb_credits in one place (bsc#1154353).
- xprtrdma: Connection becomes unstable after a reconnect
  (bsc#1154353).
- SUNRPC: Add trace points to observe transport congestion control
  (bsc#1154353).
- SUNRPC: Eliminate log noise in call_reserveresult (bsc#1154353).
- SUNRPC: Avoid RPC delays when exiting suspend (bsc#1154353).
- net/mlx5e: Fix build error without IPV6 (jsc#SLE-8464).
- net: inet_is_local_reserved_port() port arg should be unsigned
  short (bsc#1154353).
- IB: mlx5: no need to check return value of debugfs_create
  functions (jsc#SLE-8446).
- RDMA/hns: Delete unnecessary callback functions for cq
  (jsc#SLE-8449).
- RDMA/hns: Rename the functions used inside creating cq
  (jsc#SLE-8449).
- RDMA/hns: Redefine the member of hns_roce_cq struct
  (jsc#SLE-8449).
- RDMA/hns: Redefine interfaces used in creating cq
  (jsc#SLE-8449).
- RDMA/efa: Expose RDMA read related attributes (jsc#SLE-5640).
- RDMA/efa: Support remote read access in MR registration
  (jsc#SLE-5640).
- RDMA/efa: Store network attributes in device attributes
  (jsc#SLE-5640).
- IB/hfi1: remove redundant assignment to variable ret
  (jsc#SLE-8449).
- RDMA/bnxt_re: Fix missing le16_to_cpu (jsc#SLE-8372
  bsc#1153275).
- RDMA/bnxt_re: Fix chip number validation Broadcom's Gen P5
  series (jsc#SLE-8372 bsc#1153275).
- RDMA/bnxt_re: Fix Kconfig indentation (jsc#SLE-8372
  bsc#1153275).
- IB/mlx5: Implement callbacks for getting VFs GUID attributes
  (jsc#SLE-8446).
- IB/ipoib: Add ndo operation for getting VFs GUID attributes
  (jsc#SLE-8449).
- IB/core: Add interfaces to get VF node and port GUIDs
  (jsc#SLE-8449).
- net/core: Add support for getting VF GUIDs (jsc#SLE-8449).
- RDMA/qedr: Fix null-pointer dereference when calling
  rdma_user_mmap_get_offset (jsc#SLE-8215).
- RDMA/cm: Use refcount_t type for refcount variable
  (jsc#SLE-8449).
- IB/mlx5: Support extended number of strides for Striding RQ
  (jsc#SLE-8446).
- IB/mlx4: Update HW GID table while adding vlan GID
  (jsc#SLE-8461).
- RDMA/iw_cgxb4: Fix an error handling path in 'c4iw_connect()'
  (jsc#SLE-8392).
- RDMA/cma: Use ACK timeout for RoCE packetLifeTime
  (jsc#SLE-8449).
- RDMA/efa: Clear the admin command buffer prior to its submission
  (jsc#SLE-5640).
- RDMA/siw: Cleanup unused mmap structures (jsc#SLE-8381).
- RDMA/qedr: Make qedr_iw_load_qp() static (jsc#SLE-8215).
- RDMA/ocrdma: Fix spelling mistake in variable name
  (jsc#SLE-8449).
- RDMA/qib: Validate ->show()/store() callbacks before calling
  them (jsc#SLE-8449).
- RDMA/i40iw: Fix potential use after free (jsc#SLE-8449).
- RDMA/qedr: Fix potential use after free (jsc#SLE-8215).
- RDMA/srpt: Report the SCSI residual to the initiator
  (jsc#SLE-8449).
- IB/mlx5: Support flow counters offset for bulk counters
  (jsc#SLE-8446).
- RDMA: Change MAD processing function to remove extra casting
  and parameter (jsc#SLE-8449).
- RDMA/hfi1: Delete unreachable code (jsc#SLE-8449).
- RDMA/hns: Modify appropriate printings (jsc#SLE-8449).
- RDMA/hns: Fix non-standard error codes (jsc#SLE-8449).
- RDMA/hns: Modify hns_roce_hw_v2_get_cfg to simplify the code
  (jsc#SLE-8449).
- RDMA/hns: Simplify doorbell initialization code (jsc#SLE-8449).
- RDMA/hns: Replace not intuitive function/macro names
  (jsc#SLE-8449).
- RDMA/hns: Modify fields of struct hns_roce_srq (jsc#SLE-8449).
- RDMA/hns: Delete unnecessary uar from hns_roce_cq
  (jsc#SLE-8449).
- RDMA/hns: Remove unnecessary structure hns_roce_sqp
  (jsc#SLE-8449).
- RDMA/hns: Delete unnecessary variable max_post (jsc#SLE-8449).
- RDMA/mlx5: Rewrite MAD processing logic to be readable
  (jsc#SLE-8446).
- RDMA/ocrdma: Simplify process_mad function (jsc#SLE-8449).
- RDMA/mad: Do not check MAD sizes in roce and ib drivers
  (jsc#SLE-8449).
- RDMA/ocrdma: Make ocrdma_pma_counters() return void
  (jsc#SLE-8449).
- RDMA/mad: Allocate zeroed MAD buffer (jsc#SLE-8449).
- RDMA/qib: Delete empty check_cc_key function (jsc#SLE-8449).
- RDMA/qib: Delete extra line (jsc#SLE-8449).
- RDMA/mad: Delete never implemented functions (jsc#SLE-8449).
- Revert "RDMA/srpt: Postpone HCA removal until after configfs
  directory removal" (jsc#SLE-8449).
- RDMA/qedr: Remove unsupported modify_port callback
  (jsc#SLE-8215).
- RDMA/ocrdma: Remove unsupported modify_port callback
  (jsc#SLE-8449).
- RDMA/hns: Remove unsupported modify_port callback
  (jsc#SLE-8449).
- RDMA/core: Fix return code when modify_port isn't supported
  (jsc#SLE-8449).
- RDMA/qedr: Add iWARP doorbell recovery support (jsc#SLE-8215).
- RDMA/qedr: Add doorbell overflow recovery support
  (jsc#SLE-8215).
- RDMA/qedr: Use the common mmap API (jsc#SLE-8215).
- RDMA/siw: Use the common mmap_xa helpers (jsc#SLE-8381).
- RDMA/efa: Use the common mmap_xa helpers (jsc#SLE-5640).
- RDMA: Connect between the mmap entry and the umap_priv structure
  (jsc#SLE-8449).
- RDMA/core: Create mmap database and cookie helper functions
  (jsc#SLE-8449).
- RDMA/core: Move core content from ib_uverbs to ib_core
  (jsc#SLE-8449).
- IB/mlx5: Test write combining support (jsc#SLE-8446).
- RDMA/mlx5: Return proper error value (jsc#SLE-8446).
- RDMA/odp: Remove broken debugging call to invalidate_range
  (jsc#SLE-8449).
- RDMA/mlx5: Do not race with mlx5_ib_invalidate_range during
  create and destroy (jsc#SLE-8446).
- RDMA/mlx5: Do not store implicit children in the odp_mkeys
  xarray (jsc#SLE-8446).
- RDMA/mlx5: Rework implicit ODP destroy (jsc#SLE-8446).
- RDMA/mlx5: Avoid double lookups on the pagefault path
  (jsc#SLE-8446).
- RDMA/mlx5: Reduce locking in implicit_mr_get_data()
  (jsc#SLE-8446).
- RDMA/mlx5: Use an xarray for the children of an implicit ODP
  (jsc#SLE-8446).
- RDMA/mlx5: Split implicit handling from pagefault_mr
  (jsc#SLE-8446).
- RDMA/mlx5: Set the HW IOVA of the child MRs to their place in
  the tree (jsc#SLE-8446).
- RDMA/mlx5: Lift implicit_mr_alloc() into the two routines that
  call it (jsc#SLE-8446).
- RDMA/mlx5: Rework implicit_mr_get_data (jsc#SLE-8446).
- RDMA/mlx5: Delete struct mlx5_priv->mkey_table (jsc#SLE-8446).
- RDMA/mlx5: Use a dedicated mkey xarray for ODP (jsc#SLE-8446).
- RDMA/mlx5: Split sig_err MR data into its own xarray
  (jsc#SLE-8446).
- RDMA/mlx5: Use SRCU properly in ODP prefetch (jsc#SLE-8446).
- RDMA/vmw_pvrdma: Use resource ids from physical device if
  available (jsc#SLE-8449).
- RDMA/core: Set DMA parameters correctly (jsc#SLE-8449).
- RDMA/siw: Increase DMA max_segment_size parameter
  (jsc#SLE-8381).
- RDMA/rxe: Increase DMA max_segment_size parameter
  (jsc#SLE-8449).
- RDMA/siw: Fix post_recv QP state locking (jsc#SLE-8381).
- RDMA/iw_cxgb4: Report correct port speed/width (jsc#SLE-8392).
- RDMA/qedr: Fix memory leak in user qp and mr (jsc#SLE-8215).
- RDMA/qedr: Fix synchronization methods and memory leaks in qedr
  (jsc#SLE-8215).
- RDMA/qedr: Fix qpids xarray api used (jsc#SLE-8215).
- RDMA/qedr: Fix srqs xarray initialization (jsc#SLE-8215).
- RDMA/hns: Fix memory leak on 'context' on error return path
  (jsc#SLE-8449).
- RDMA/hns: Bugfix for qpc/cqc timer configuration (jsc#SLE-8449).
- RDMA/hns: Fix to support 64K page for srq (jsc#SLE-8449).
- RDMA/srpt: Fix TPG creation (jsc#SLE-8449).
- RDMA/hns: Delete BITS_PER_BYTE redefinition (jsc#SLE-8449).
- RDMA/hns: Prevent undefined behavior in
  hns_roce_set_user_sq_size() (jsc#SLE-8449).
- RDMA/cm: Update copyright together with SPDX tag (jsc#SLE-8449).
- RDMA/cm: Use specific keyword to check define (jsc#SLE-8449).
- RDMA/cm: Delete unused cm_is_active_peer function
  (jsc#SLE-8449).
- RDMA/rxe: Remove useless rxe_init_device_param assignments
  (jsc#SLE-8449).
- RDMA/core: Check that process is still alive before sending
  it to the users (jsc#SLE-8449).
- RDMA/restrack: Remove PID namespace support (jsc#SLE-8449).
- IB/core: Do not notify GID change event of an unregistered
  device (jsc#SLE-8449).
- IB/mlx5: Align usage of QP1 create flags with rest of mlx5
  defines (jsc#SLE-8446).
- IB/mlx5: Remove dead code (jsc#SLE-8446).
- RDMA/uverbs: Add a check for uverbs_attr_get to
  uverbs_copy_to_struct_or_zero (jsc#SLE-8449).
- IB/cma: Honor traffic class from lower netdevice for RoCE
  (jsc#SLE-8449).
- RDMA/nldev: Provide MR statistics (jsc#SLE-8449).
- RDMA/mlx5: Return ODP type per MR (jsc#SLE-8446).
- RDMA/nldev: Allow different fill function per resource
  (jsc#SLE-8449).
- IB/mlx5: Introduce ODP diagnostic counters (jsc#SLE-8446).
- infiniband: fix sw/rdmavt/ kernel-doc notation (jsc#SLE-8449).
- infiniband: fix core/ kernel-doc notation (jsc#SLE-8449).
- infiniband: fix ulp/iser/iser_initiator.c kernel-doc warnings
  (jsc#SLE-8449).
- infiniband: fix ulp/iser/iser_verbs.c kernel-doc notation
  (jsc#SLE-8449).
- infiniband: fix core/verbs.c kernel-doc notation (jsc#SLE-8449).
- infiniband: fix ulp/srpt/ib_srpt.h kernel-doc notation
  (jsc#SLE-8449).
- infiniband: fix ulp/opa_vnic/opa_vnic_internal.h kernel-doc
  notation (jsc#SLE-8449).
- infiniband: fix ulp/iser/iscsi_iser.h kernel-doc warnings
  (jsc#SLE-8449).
- infiniband: fix core/ipwm_util.h kernel-doc warnings
  (jsc#SLE-8449).
- infiniband: fix ulp/iser/iscsi_iser. kernel-doc notation
  (jsc#SLE-8449).
- RDMA/mlx5: Add capability for max sge to get optimized
  performance (jsc#SLE-8446).
- RDMA/rw: Support threshold for registration vs scattering to
  local pages (jsc#SLE-8449).
- RDMA/siw: Fix SQ/RQ drain logic (jsc#SLE-8381).
- ib/srp: Add missing new line after displaying fast_io_fail_tmo
  param (jsc#SLE-8449).
- RDMA/hns: Release qp resources when failed to destroy qp
  (jsc#SLE-8449).
- RDMA/hns: Fix a spelling mistake in a macro (jsc#SLE-8449).
- RDMA/hns: Modify return value of restrack functions
  (jsc#SLE-8449).
- RDMA/hns: Modify variable/field name from vlan to vlan_id
  (jsc#SLE-8449).
- RDMA/hns: Fix wrong parameters when initial mtt of srq->idx_que
  (jsc#SLE-8449).
- RDMA/hns: remove a redundant le16_to_cpu (jsc#SLE-8449).
- IB/mlx5: Introduce and use mkey context setting helper routine
  (jsc#SLE-8446).
- RDMA/iser: Use iser_err instead of pr_err for logging
  (jsc#SLE-8449).
- RDMA/bnxt_re: Enable SRIOV VF support on Broadcom's 57500
  adapter series (jsc#SLE-8372 bsc#1153275).
- RDMA/srp: Calculate max_it_iu_size if remote max_it_iu length
  available (jsc#SLE-8449).
- RDMA/srp: Add parse function for maximum initiator to target
  IU size (jsc#SLE-8449).
- IB/cm: Use container_of() instead of typecast (jsc#SLE-8449).
- IB/mlx5: Remove unnecessary else statement (jsc#SLE-8446).
- IB/mlx5: Remove unnecessary return statement (jsc#SLE-8446).
- RDMA/mlx5: Group boolean parameters to take less space
  (jsc#SLE-8446).
- RDMA/srpt: Postpone HCA removal until after configfs directory
  removal (jsc#SLE-8449).
- RDMA/srpt: Make the code for handling port identities more
  systematic (jsc#SLE-8449).
- RDMA/srpt: Rework the code that waits until an RDMA port is
  no longer in use (jsc#SLE-8449).
- RDMA/srpt: Rework the approach for closing an RDMA channel
  (jsc#SLE-8449).
- RDMA/srpt: Improve a debug message (jsc#SLE-8449).
- RDMA/srpt: Fix handling of iWARP logins (jsc#SLE-8449).
- RDMA/srpt: Fix handling of SR-IOV and iWARP ports
  (jsc#SLE-8449).
- RDMA/srp: Make route resolving error messages more informative
  (jsc#SLE-8449).
- RDMA/srp: Honor the max_send_sge device attribute
  (jsc#SLE-8449).
- RDMA/srp: Remove two casts (jsc#SLE-8449).
- RDMA/siw: Make node GUIDs valid EUI-64 identifiers
  (jsc#SLE-8381).
- RDMA/rxe: Verify modify_device mask (jsc#SLE-8449).
- RDMA/bnxt_re: Remove unsupported modify_device callback
  (jsc#SLE-8372 bsc#1153275).
- RDMA/core: Fix return code when modify_device isn't supported
  (jsc#SLE-8449).
- RDMA/siw: Fix port number endianness in a debug message
  (jsc#SLE-8381).
- RDMA/siw: Simplify several debug messages (jsc#SLE-8381).
- IB/iser: remove redundant macro definitions (jsc#SLE-8449).
- IB/iser: bound protection_sg size by data_sg size
  (jsc#SLE-8449).
- IB/iser: add unlikely checks in the fast path (jsc#SLE-8449).
- RDMA/counter: Prevent QP counter manual binding in auto mode
  (jsc#SLE-8449).
- net/sched: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1154353).
- net/netfilter: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1154353).
- net/core: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1154353).
- bpf/cgroup: Replace rcu_swap_protected() with
  rcu_replace_pointer() (bsc#1154353).
- rcu: Upgrade rcu_swap_protected() to rcu_replace_pointer()
  (bsc#1154353).
- net: phy: add helpers phy_(un)lock_mdio_bus (bsc#1154353).
- bpf: Simplify __bpf_arch_text_poke poke type handling
  (bsc#1154353).
- bpf, x86: Emit patchable direct jump as tail call (bsc#1154353).
- bpf: Constant map key tracking for prog array pokes
  (bsc#1154353).
- bpf: Add poke dependency tracking for prog array maps
  (bsc#1154353).
- bpf: Add initial poke descriptor table for jit images
  (bsc#1154353).
- bpf: Move owner type, jited info into array auxiliary data
  (bsc#1154353).
- bpf: Move bpf_free_used_maps into sleepable section
  (bsc#1154353).
- bpf, x86: Generalize and extend bpf_arch_text_poke for direct
  jumps (bsc#1154353).
- bpf: Provide better register bounds after jmp32 instructions
  (bsc#1154353).
- xsk: Fix xsk_poll()'s return type (bsc#1154353).
- mlxsw: spectrum_router: Fix use of uninitialized adjacency index
  (bsc#1154488).
- mlxsw: spectrum_router: After underlay moves, demote conflicting
  tunnels (bsc#1154488).
- bnxt_en: Add support for flashing the device via devlink
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Allow PHY settings on multi-function or NPAR PFs if
  allowed by FW (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add async. event logic for PHY configuration changes
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor the initialization of the ethtool link
  settings (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Skip disabling autoneg before PHY loopback when
  appropriate (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Assign more RSS context resources to the VFs
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Initialize context memory to the value specified by
  firmware (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix suspend/resume path on 57500 chips (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Send FUNC_RESOURCE_QCAPS command in bnxt_resume()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Combine 2 functions calling the same HWRM_DRV_RGTR
  fw command (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Do driver unregister cleanup in bnxt_init_one()
  failure path (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Disable/enable Bus master during suspend/resume
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add chip IDs for 57452 and 57454 chips (jsc#SLE-8371
  bsc#1153274).
- sfc: fix build without CONFIG_RFS_ACCEL (jsc#SLE-8314).
- net: gro: use vlan API instead of accessing directly
  (bsc#1154353).
- net/mlx5e: Remove redundant pointer check (jsc#SLE-8464).
- net/mlx5e: TC, Stub out ipv6 tun create header function
  (jsc#SLE-8464).
- net/mlx5: DR, Add support for Geneve packets SW steering
  (jsc#SLE-8464).
- net/mlx5: DR, Add HW bits and definitions for Geneve flex parser
  (jsc#SLE-8464).
- net/mlx5: DR, Refactor VXLAN GPE flex parser tunnel code for
  SW steering (jsc#SLE-8464).
- net/mlx5: Don't write read-only fields in
  MODIFY_HCA_VPORT_CONTEXT command (jsc#SLE-8464).
- net: use rhashtable_lookup() instead of rhashtable_lookup_fast()
  (bsc#1154353).
- net: phy: initialise phydev speed and duplex sanely
  (bsc#1154353).
- net: phy: remove phy_ethtool_sset() (bsc#1154353).
- sfc: do ARFS expiry work occasionally even without NAPI poll
  (jsc#SLE-8314).
- sfc: add statistics for ARFS (jsc#SLE-8314).
- sfc: suppress MCDI errors from ARFS (jsc#SLE-8314).
- sfc: change ARFS expiry mechanism (jsc#SLE-8314).
- ice: Update FW API minor version (jsc#SLE-7926).
- ice: remove pointless NULL check of port_info (jsc#SLE-7926).
- ice: Implement ethtool ops for channels (jsc#SLE-7926).
- ice: implement VF stats NDO (jsc#SLE-7926).
- ice: add helpers for virtchnl (jsc#SLE-7926).
- ice: Add ice_pf_to_dev(pf) macro (jsc#SLE-7926).
- ice: Do not use devm* functions for local uses (jsc#SLE-7926).
- ice: Refactor removal of VLAN promiscuous rules (jsc#SLE-7926).
- ice: Fix setting coalesce to handle DCB configuration
  (jsc#SLE-7926).
- ice: Only disable VF state when freeing each VF resources
  (jsc#SLE-7926).
- ice: fix stack leakage (jsc#SLE-7926).
- ice: Don't modify stripping for add/del VLANs on VF
  (jsc#SLE-7926).
- ice: Disallow VF VLAN opcodes if VLAN offloads disabled
  (jsc#SLE-7926).
- ice: Correct capabilities reporting of max TCs (jsc#SLE-7926).
- ice: Store number of functions for the device (jsc#SLE-7926).
- net: inet_is_local_reserved_port() should return bool not int
  (bsc#1154353).
- cxgb4: add stats for MQPRIO QoS offload Tx path (jsc#SLE-8389).
- cxgb4: add UDP segmentation offload support (jsc#SLE-8389).
- cxgb4/chcr: update SGL DMA unmap for USO (jsc#SLE-8389).
- seg6: allow local packet processing for SRv6 End.DT6 behavior
  (bsc#1154353).
- ipv4: use dst hint for ipv4 list receive (bsc#1154353).
- ipv4: move fib4_has_custom_rules() helper to public header
  (bsc#1154353).
- ipv6: introduce and uses route look hints for list input
  (bsc#1154353).
- ipv6: keep track of routes using src (bsc#1154353).
- ipv6: add fib6_has_custom_rules() helper (bsc#1154353).
- bpf: skmsg, fix potential psock NULL pointer dereference
  (bsc#1154353).
- lwtunnel: check erspan options before allocating tun_info
  (bsc#1154353).
- lwtunnel: be STRICT to validate the new LWTUNNEL_IP(6)_OPTS
  (bsc#1154353).
- net: remove the unnecessary strict_start_type in some policies
  (bsc#1154353).
- net: sched: allow flower to match erspan options (bsc#1154353).
- net: sched: allow flower to match vxlan options (bsc#1154353).
- net: sched: add erspan option support to act_tunnel_key
  (bsc#1154353).
- net: sched: add vxlan option support to act_tunnel_key
  (bsc#1154353).
- net: sfp: soft status and control support (bsc#1154353).
- net: sfp: add some quirks for GPON modules (bsc#1154353).
- net: sfp: add support for module quirks (bsc#1154353).
- tcp: warn if offset reach the maxlen limit when using snprintf
  (bsc#1154353).
- ip_gre: Make none-tun-dst gre tunnel store tunnel info as
  metadat_dst in recv (bsc#1154353).
- bpf: Switch bpf_map_{area_alloc,area_mmapable_alloc}() to u64
  size (bsc#1154353).
- bpf: Make array_map_mmap static (bsc#1154353).
- bpf: Fix memory leak on object 'data' (bsc#1154353).
- bpf: Add mmap() support for BPF_MAP_TYPE_ARRAY (bsc#1154353).
- bpf: Convert bpf_prog refcnt to atomic64_t (bsc#1154353).
- bpf: Switch bpf_map ref counter to atomic64_t so bpf_map_inc()
  never fails (bsc#1154353).
- bpf: Support attaching tracing BPF program to other BPF programs
  (bsc#1154353).
- bpf: Compare BTF types of functions arguments with actual types
  (bsc#1154353).
- bpf: Annotate context types (bsc#1154353).
- bpf: Reserve space for BPF trampoline in BPF programs
  (bsc#1154353).
- bpf: Add kernel test functions for fentry testing (bsc#1154353).
- bpf: Add bpf_arch_text_poke() helper (bsc#1154353).
- bpf: Refactor x86 JIT into helpers (bsc#1154353).
- bpf: Support doubleword alignment in bpf_jit_binary_alloc
  (bsc#1154353).
- bpf: Add array support to btf_struct_access (bsc#1154353).
- net: ipconfig: Wait for deferred device probes (bsc#1154353).
- net: page_pool: add the possibility to sync DMA memory for
  device (bsc#1154353).
- net: sched: pie: enable timestamp based delay calculation
  (bsc#1154353).
- cxgb4: add TC-MATCHALL classifier ingress offload
  (jsc#SLE-8389).
- cxgb4: check rule prio conflicts before offload (jsc#SLE-8389).
- cxgb4: add TC-MATCHALL classifier egress offload (jsc#SLE-8389).
- net/mlx5e: Rx, Update page pool numa node when changed
  (jsc#SLE-8464).
- page_pool: Don't recycle non-reusable pages (bsc#1154353).
- page_pool: Add API to update numa node (bsc#1154353).
- lwtunnel: add support for multiple geneve opts (bsc#1154353).
- cxgb4: remove unneeded semicolon for switch block
  (jsc#SLE-8389).
- lwtunnel: change to use nla_put_u8 for
  LWTUNNEL_IP_OPT_ERSPAN_VER (bsc#1154353).
- bnxt_en: Abort waiting for firmware response if there is no
  heartbeat (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add a warning message for driver initiated reset
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Return proper error code for non-existent NVM variable
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Report health status update after reset is done
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Set MASTER flag during driver registration
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Extend ETHTOOL_RESET to hot reset driver (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Increase firmware response timeout for coredump
  commands (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Improve RX buffer error handling (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Update firmware interface spec to 1.10.1.12
  (jsc#SLE-8371 bsc#1153274).
- page_pool: add destroy attempts counter and rename tracepoint
  (bsc#1154353).
- xdp: remove memory poison on free for struct xdp_mem_allocator
  (bsc#1154353).
- net: phy: avoid matching all-ones clause 45 PHY IDs
  (bsc#1154353).
- net: phy: marvell10g: add SFP+ support (bsc#1154353).
- net: phy: add core phylib sfp support (bsc#1154353).
- net: phylink: update to use phy_support_asym_pause()
  (bsc#1154353).
- bonding: symmetric ICMP transmit (bsc#1154353).
- net: core: allow fast GRO for skbs with Ethernet header in head
  (bsc#1154353).
- bnx2x: Remove hw_reset_t function casts (bsc#1154395).
- bnx2x: Remove format_fw_ver_t function casts (bsc#1154395).
- bnx2x: Remove config_init_t function casts (bsc#1154395).
- bnx2x: Remove read_status_t function casts (bsc#1154395).
- bnx2x: Drop redundant callback function casts (bsc#1154395).
- page_pool: do not release pool until inflight == 0
  (bsc#1154353).
- tun: fix data-race in gro_normal_list() (bsc#1154353).
- mlxsw: spectrum_router: Allocate discard adjacency entry when
  needed (bsc#1154488).
- net/tls: Fix unused function warning (bsc#1154353).
- net/mlx5: Add devlink reload (jsc#SLE-8464).
- net/mlx5e: Set netdev name space on creation (jsc#SLE-8464).
- net/mlx5: Remove redundant NULL initializations (jsc#SLE-8464).
- net/mlx5: Read num_vfs before disabling SR-IOV (jsc#SLE-8464).
- net/mlx5: DR, Fix matcher builders select check (jsc#SLE-8464).
- net/mlx5: Add new chain for netfilter flow table offload
  (jsc#SLE-8464).
- net/mlx5: Refactor creating fast path prio chains
  (jsc#SLE-8464).
- net/mlx5: Accumulate levels for chains prio namespaces
  (jsc#SLE-8464).
- net/mlx5: Define fdb tc levels per prio (jsc#SLE-8464).
- net/mlx5: Rename FDB_* tc related defines to FDB_TC_* defines
  (jsc#SLE-8464).
- net/mlx5: Simplify fdb chain and prio eswitch defines
  (jsc#SLE-8464).
- IB/mlx5: Load profile according to RoCE enablement state
  (jsc#SLE-8446).
- IB/mlx5: Rename profile and init methods (jsc#SLE-8446).
- net/mlx5: Handle "enable_roce" devlink param (jsc#SLE-8464).
- net/mlx5: Document flow_steering_mode devlink param
  (jsc#SLE-8464).
- devlink: Add new "enable_roce" generic device param
  (bsc#1154353).
- net/mlx5: fix spelling mistake "metdata" -> "metadata"
  (jsc#SLE-8464).
- net/mlx5: fix kvfree of uninitialized pointer spec
  (jsc#SLE-8464).
- IB/mlx5: Introduce and use mlx5_core_is_vf() (jsc#SLE-8446).
- net/mlx5: E-switch, Enable metadata on own vport (jsc#SLE-8464).
- net/mlx5: Refactor ingress acl configuration (jsc#SLE-8464).
- net/mlx5: Restrict metadata disablement to offloads mode
  (jsc#SLE-8464).
- net/mlx5: E-switch, Offloads shift ACL programming during
  enable/disable vport (jsc#SLE-8464).
- net/mlx5: E-switch, Offloads introduce and use per vport acl
  tables APIs (jsc#SLE-8464).
- net/mlx5: Move ACL drop counters life cycle close to ACL
  lifecycle (jsc#SLE-8464).
- net/mlx5: E-switch, Legacy introduce and use per vport acl
  tables APIs (jsc#SLE-8464).
- net/mlx5: E-switch, Prepare code to handle vport enable error
  (jsc#SLE-8464).
- net/mlx5: Tide up state_lock and vport enabled flag usage
  (jsc#SLE-8464).
- net/mlx5: Move legacy drop counter and rule under legacy
  structure (jsc#SLE-8464).
- net/mlx5: Move metdata fields under offloads structure
  (jsc#SLE-8464).
- net/mlx5: Correct comment for legacy fields (jsc#SLE-8464).
- net/mlx5: Introduce and use mlx5_esw_is_manager_vport()
  (jsc#SLE-8464).
- net/mlx5: E-switch, Introduce and use vlan rule config helper
  (jsc#SLE-8464).
- net/mlx5: E-Switch, Rename ingress acl config in offloads mode
  (jsc#SLE-8464).
- net/mlx5: E-Switch, Rename egress config to generic name
  (jsc#SLE-8464).
- net/mlx5: Fixed a typo in a comment in esw_del_uc_addr()
  (jsc#SLE-8464).
- net/mlx5: Expose optimal performance scatter entries capability
  (jsc#SLE-8446).
- cxgb4: Fix an error code in cxgb4_mqprio_alloc_hw_resources()
  (jsc#SLE-8389).
- bnxt_en: Fix array overrun in bnxt_fill_l2_rewrite_fields()
  (jsc#SLE-8371 bsc#1153274).
- net: sfp: fix spelling mistake "requies" -> "requires"
  (bsc#1154353).
- bridge: implement get_link_ksettings ethtool method
  (bsc#1154353).
- vxlan: implement get_link_ksettings ethtool method
  (bsc#1154353).
- sfc: trace_xdp_exception on XDP failure (jsc#SLE-8314).
- net/sched: actions: remove unused 'order' (bsc#1154353).
- netdevsim: Update dummy reporter's devlink binary interface
  (bsc#1154353).
- net/mlx5: Dump of fw_fatal use updated devlink binary interface
  (jsc#SLE-8464).
- devlink: Allow large formatted message of binary output
  (bsc#1154353).
- cxgb4: make function 'cxgb4_mqprio_free_hw_resources' static
  (jsc#SLE-8389).
- mlxsw: spectrum: Enable EMAD string TLV (bsc#1154488).
- mlxsw: core: Add support for using EMAD string TLV
  (bsc#1154488).
- mlxsw: core: Extend EMAD information reported to devlink hwerr
  (bsc#1154488).
- mlxsw: core: Add support for EMAD string TLV parsing
  (bsc#1154488).
- mlxsw: core: Add EMAD string TLV (bsc#1154488).
- mlxsw: emad: Remove deprecated EMAD TLVs (bsc#1154488).
- mlxsw: core: Parse TLVs' offsets of incoming EMADs
  (bsc#1154488).
- cxgb4: remove redundant assignment to hdr_len (jsc#SLE-8389).
- mlxsw: core: Enable devlink reload only on probe (bsc#1154488).
- net: sfp: allow modules with slow diagnostics to probe
  (bsc#1154353).
- net: sfp: allow sfp to probe slow to initialise GPON modules
  (bsc#1154353).
- net: sfp: move module insert reporting out of probe
  (bsc#1154353).
- net: sfp: split power mode switching from probe (bsc#1154353).
- net: sfp: track upstream's attachment state in state machine
  (bsc#1154353).
- net: sfp: ensure TX_FAULT has deasserted before probing the PHY
  (bsc#1154353).
- net: sfp: allow fault processing to transition to other states
  (bsc#1154353).
- net: sfp: eliminate mdelay() from PHY probe (bsc#1154353).
- net: sfp: split the PHY probe from sfp_sm_mod_init()
  (bsc#1154353).
- net: sfp: control TX_DISABLE and phy only from main state
  machine (bsc#1154353).
- net: sfp: avoid power switch on address-change modules
  (bsc#1154353).
- net: sfp: parse SFP power requirement earlier (bsc#1154353).
- net: sfp: rename T_PROBE_WAIT to T_SERIAL (bsc#1154353).
- net: sfp: handle module remove outside state machine
  (bsc#1154353).
- net: sfp: rename sfp_sm_ins_next() as sfp_sm_mod_next()
  (bsc#1154353).
- net: sfp: move tx disable on device down to main state machine
  (bsc#1154353).
- net: sfp: move sfp sub-state machines into separate functions
  (bsc#1154353).
- net: sfp: fix sfp_bus_put() kernel documentation (bsc#1154353).
- lwtunnel: ignore any TUNNEL_OPTIONS_PRESENT flags set by users
  (bsc#1154353).
- lwtunnel: get nlsize for erspan options properly (bsc#1154353).
- lwtunnel: change to use nla_parse_nested on new options
  (bsc#1154353).
- net: sfp: rework upstream interface (bsc#1154353).
- devlink: disallow reload operation during device cleanup
  (bsc#1154353).
- packet: fix data-race in fanout_flow_is_huge() (bsc#1154353).
- ice: print opcode when printing controlq errors (jsc#SLE-7926).
- ice: use more accurate ICE_DBG mask types (jsc#SLE-7926).
- ice: Introduce and use ice_vsi_type_str (jsc#SLE-7926).
- ice: remove unnecessary conditional check (jsc#SLE-7926).
- ice: Update enum ice_flg64_bits to current specification
  (jsc#SLE-7926).
- ice: delay less (jsc#SLE-7926).
- ice: use pkg_dwnld_status instead of sq_last_status
  (jsc#SLE-7926).
- ice: Change max MSI-x vector_id check in cfg_irq_map
  (jsc#SLE-7926).
- ice: Check if VF is disabled for Opcode and other operations
  (jsc#SLE-7926).
- ice: configure software LLDP in ice_init_pf_dcb (jsc#SLE-7926).
- ice: Fix to change Rx/Tx ring descriptor size via ethtool with
  DCBx (jsc#SLE-7926).
- ice: avoid setting features during reset (jsc#SLE-7926).
- ice: Implement DCBNL support (jsc#SLE-7926).
- ice: Add NDO callback to set the maximum per-queue bitrate
  (jsc#SLE-7926).
- ice: Use ice_ena_vsi and ice_dis_vsi in DCB configuration flow
  (jsc#SLE-7926).
- net: icmp: fix data-race in cmp_global_allow() (bsc#1154353).
- cxgb4: fix 64-bit division on i386 (jsc#SLE-8389).
- cxgb4: Use match_string() helper to simplify the code
  (jsc#SLE-8389).
- net: add a READ_ONCE() in skb_peek_tail() (bsc#1154353).
- net: add annotations on hh->hh_len lockless accesses
  (bsc#1154353).
- net: use u64_stats_t in struct pcpu_lstats (bsc#1154353).
- tun: switch to u64_stats_t (bsc#1154353).
- u64_stats: provide u64_stats_t type (bsc#1154353).
- net: dummy: use standard dev_lstats_add() and dev_lstats_read()
  (bsc#1154353).
- vsockmon: use standard dev_lstats_add() and dev_lstats_read()
  (bsc#1154353).
- veth: use standard dev_lstats_add() and dev_lstats_read()
  (bsc#1154353).
- net: nlmon: use standard dev_lstats_add() and dev_lstats_read()
  (bsc#1154353).
- net: provide dev_lstats_add() helper (bsc#1154353).
- net: provide dev_lstats_read() helper (bsc#1154353).
- net: ethernet: intel: Demote MTU change prints to debug
  (jsc#SLE-7966).
- mlxsw: Add layer 3 devlink-trap exceptions support
  (bsc#1154488).
- mlxsw: Add specific trap for packets routed via invalid nexthops
  (bsc#1154488).
- mlxsw: Add new FIB entry type for reject routes (bsc#1154488).
- devlink: Add layer 3 generic packet exception traps
  (bsc#1154353).
- mlxsw: Add layer 3 devlink-trap support (bsc#1154488).
- devlink: Add layer 3 generic packet traps (bsc#1154353).
- tcp: Remove one extra ktime_get_ns() from cookie_init_timestamp
  (bsc#1154353).
- inetpeer: fix data-race in inet_putpeer / inet_putpeer
  (bsc#1154353).
- mlxsw: spectrum: Fix error return code in
  mlxsw_sp_port_module_info_init() (bsc#1154488).
- cxgb4: add FLOWC based QoS offload (jsc#SLE-8389).
- cxgb4: add Tx and Rx path for ETHOFLD traffic (jsc#SLE-8389).
- cxgb4: add ETHOFLD hardware queue support (jsc#SLE-8389).
- cxgb4: parse and configure TC-MQPRIO offload (jsc#SLE-8389).
- cxgb4: rework queue config and MSI-X allocation (jsc#SLE-8389).
- cxgb4: query firmware for QoS offload resources (jsc#SLE-8389).
- net_sched: gen_estimator: extend packet counter to 64bit
  (bsc#1154353).
- ice: Fix return value when SR-IOV is not supported
  (jsc#SLE-7926).
- ice: Rename VF function ice_vc_dis_vf to match its behavior
  (jsc#SLE-7926).
- ice: Get rid of ice_cleanup_header (jsc#SLE-7926).
- ice: print PCI link speed and width (jsc#SLE-7926).
- ice: print unsupported module message (jsc#SLE-7926).
- ice: write register with correct offset (jsc#SLE-7926).
- ice: Check for null pointer dereference when setting rings
  (jsc#SLE-7926).
- ice: save PCI state in probe (jsc#SLE-7926).
- ice: Adjust DCB INIT for SW mode (jsc#SLE-7926).
- ice: fix driver unload flow (jsc#SLE-7926).
- ice: handle DCBx non-contiguous TC request (jsc#SLE-7926).
- ice: Update Boot Configuration Section read of NVM
  (jsc#SLE-7926).
- ice: add ethtool -m support for reading i2c eeprom modules
  (jsc#SLE-7926).
- tcp: fix data-race in tcp_recvmsg() (bsc#1154353).
- net: silence data-races on sk_backlog.tail (bsc#1154353).
- lwtunnel: add options setting and dumping for erspan
  (bsc#1154353).
- lwtunnel: add options setting and dumping for vxlan
  (bsc#1154353).
- lwtunnel: add options setting and dumping for geneve
  (bsc#1154353).
- lwtunnel: add options process for cmp_encap (bsc#1154353).
- lwtunnel: add options process for arp request (bsc#1154353).
- net: annotate lockless accesses to sk->sk_max_ack_backlog
  (bsc#1154353).
- net: annotate lockless accesses to sk->sk_ack_backlog
  (bsc#1154353).
- net: use helpers to change sk_ack_backlog (bsc#1154353).
- net: avoid potential false sharing in neighbor related code
  (bsc#1154353).
- inet_diag: use jiffies_delta_to_msecs() (bsc#1154353).
- net: neigh: use long type to store jiffies delta (bsc#1154353).
- netdevsim: drop code duplicated by a merge (bsc#1154353).
- cxgb4: Add pci reset handler (jsc#SLE-8389).
- cnic: Set fp_hsi_ver as part of CLIENT_SETUP ramrod
  (bsc#1154395).
- bnx2x: Fix PF-VF communication over multi-cos queues
  (bsc#1154395).
- bnx2x: Enable Multi-Cos feature (bsc#1154395).
- bnx2x: Utilize FW 7.13.15.0 (bsc#1154395).
- net_sched: add TCA_STATS_PKT64 attribute (bsc#1154353).
- net_sched: extend packet counter to 64bit (bsc#1154353).
- net_sched: do not export gnet_stats_basic_packed to uapi
  (bsc#1154353).
- net: hns3: remove unused macros (bsc#1154353).
- vsock: Simplify '__vsock_release()' (bsc#1154353).
- icmp: remove duplicate code (bsc#1154353).
- icmp: add helpers to recognize ICMP error packets (bsc#1154353).
- ice: allow 3k MTU for XDP (jsc#SLE-7926).
- ice: add build_skb() support (jsc#SLE-7926).
- ice: introduce frame padding computation logic (jsc#SLE-7926).
- ice: introduce legacy Rx flag (jsc#SLE-7926).
- ice: Add support for AF_XDP (jsc#SLE-7926).
- ice: Move common functions to ice_txrx_lib.c (jsc#SLE-7926).
- ice: Add support for XDP (jsc#SLE-7926).
- ice: get rid of per-tc flow in Tx queue configuration routines
  (jsc#SLE-7926).
- ice: Introduce ice_base.c (jsc#SLE-7926).
- i40e: implement VF stats NDO (jsc#SLE-8025).
- i40e: enable X710 support (jsc#SLE-8025).
- ixgbe: protect TX timestamping from API misuse (jsc#SLE-7979
  jsc#SLE-7981).
- fm10k: update driver version to match out-of-tree
  (jsc#SLE-8009).
- ixgbe: Make use of cpumask_local_spread to improve RSS locality
  (jsc#SLE-7979 jsc#SLE-7981).
- fm10k: add support for ndo_get_vf_stats operation
  (jsc#SLE-8009).
- fm10k: add missing field initializers to TLV attributes)
  (jsc#SLE-8009).
- ipv6: use jhash2() in rt6_exception_hash() (bsc#1154353).
- net: bridge: fdb: eliminate extra port state tests from
  fast-path (bsc#1154353).
- net/mlx5: DR, Support IPv4 and IPv6 mixed matcher
  (jsc#SLE-8464).
- net/mlx5: LAG, Use affinity type enumerators (jsc#SLE-8464).
- net/mlx5: LAG, Use port enumerators (jsc#SLE-8464).
- net/mlx5: rate limit alloc_ent error messages (jsc#SLE-8464).
- net/mlx5e: Add ToS (DSCP) header rewrite support (jsc#SLE-8464).
- net/mlx5e: Bit sized fields rewrite support (jsc#SLE-8464).
- net/mlx5: WQ, Move short getters into header file
  (jsc#SLE-8464).
- net/mlx5e: TX, Dump WQs wqe descriptors on CQE with error events
  (jsc#SLE-8464).
- net/mlx5: Support lockless FTE read lookups (jsc#SLE-8464).
- net/mlx5: Do not hold group lock while allocating FTE in
  software (jsc#SLE-8464).
- net/mlx5e: Verify that rule has at least one fwd/drop action
  (jsc#SLE-8464).
- net/mlx5: Clear VF's configuration on disabling SRIOV
  (jsc#SLE-8464).
- net/mlx5: Remove unneeded variable in mlx5_unload_one
  (jsc#SLE-8464).
- net/mlx5: FPGA, support network cards with standalone FPGA
  (jsc#SLE-8464).
- net/mlx5: DR, Replace CRC32 implementation to use kernel lib
  (jsc#SLE-8464).
- net: icmp6: provide input address for traceroute6 (bsc#1154353).
- net: icmp: use input address in traceroute (bsc#1154353).
- xsk: Restructure/inline XSKMAP lookup/redirect/flush
  (bsc#1154353).
- bpf: Implement map_gen_lookup() callback for XSKMAP
  (bsc#1154353).
- xsk: Store struct xdp_sock as a flexible array member of the
  XSKMAP (bsc#1154353).
- bpf: Replace prog_raw_tp+btf_id with prog_tracing (bsc#1154353).
- bpf: Enforce 'return 0' in BTF-enabled raw_tp programs
  (bsc#1154353).
- net: bridge: fdb: restore unlikely() when taking over externally
  added entries (bsc#1154353).
- net: bridge: fdb: avoid two atomic bitops in
  br_fdb_external_learn_add() (bsc#1154353).
- net: bridge: fdb: br_fdb_update can take flags directly
  (bsc#1154353).
- bnxt_en: Call bnxt_ulp_stop()/bnxt_ulp_start() during
  suspend/resume (jsc#SLE-8372 bsc#1153275).
- bnxt_en: Call bnxt_ulp_stop()/bnxt_ulp_start() during error
  recovery (jsc#SLE-8372 bsc#1153275).
- bnxt_en: Improve bnxt_ulp_stop()/bnxt_ulp_start() call sequence
  (jsc#SLE-8372 bsc#1153275).
- bnxt_en: flow_offload: offload tunnel decap rules via indirect
  callbacks (jsc#SLE-8372 bsc#1153275).
- bnxt_en: Add support for NAT(L3/L4 rewrite) (jsc#SLE-8372
  bsc#1153275).
- bnxt: Avoid logging an unnecessary message when a flow can't
  be offloaded (jsc#SLE-8372 bsc#1153275).
- bnxt_en: Add support for L2 rewrite (jsc#SLE-8372 bsc#1153275).
- sfc: add XDP counters to ethtool stats (jsc#SLE-8314).
- sfc: handle XDP_TX outcomes of XDP eBPF programs (jsc#SLE-8314).
- sfc: allocate channels for XDP tx queues (jsc#SLE-8314).
- sfc: Enable setting of xdp_prog (jsc#SLE-8314).
- sfc: perform XDP processing on received packets (jsc#SLE-8314).
- sfc: support encapsulation of xdp_frames in efx_tx_buffer
  (jsc#SLE-8314).
- mlxsw: Fix 64-bit division in mlxsw_sp_sb_prs_init
  (bsc#1154488).
- net: hns3: cleanup byte order issues when printed (bsc#1154353).
- net: hns3: cleanup some print format warning (bsc#1154353).
- net: hns3: add or modify some comments (bsc#1154353).
- net: hns3: optimize local variable initialization (bsc#1154353).
- net: hns3: cleanup a format-truncation warning (bsc#1154353).
- net: hns3: cleanup some coding style issues (bsc#1154353).
- net: hns3: cleanup some magic numbers (bsc#1154353).
- net: hns3: add struct netdev_queue debug info for TX timeout
  (bsc#1154353).
- net: hns3: dump some debug information when reset fail
  (bsc#1154353).
- bnxt_en: Add support to collect crash dump via ethtool
  (jsc#SLE-8372 bsc#1153275).
- bnxt_en: Add support to invoke OP-TEE API to reset firmware
  (jsc#SLE-8372 bsc#1153275).
- mlxsw: spectrum: Generalize split count check (bsc#1154488).
- mlxsw: spectrum: Iterate over all ports in gap during unsplit
  create (bsc#1154488).
- mlxsw: spectrum: Fix base port get for split count 4 and 8
  (bsc#1154488).
- mlxsw: spectrum: Use port_module_max_width to compute base
  port index (bsc#1154488).
- mlxsw: spectrum: Remember split base local port and use it in
  unsplit (bsc#1154488).
- mlxsw: spectrum: Introduce resource for getting offset of 4
  lanes split port (bsc#1154488).
- mlxsw: spectrum: Push getting offsets of split ports into a
  helper (bsc#1154488).
- mlxsw: spectrum: Add sanity checks into module info get
  (bsc#1154488).
- mlxsw: spectrum: Pass mapping values in port mapping structure
  (bsc#1154488).
- mlxsw: spectrum: Use mapping of port being split for creating
  split ports (bsc#1154488).
- mlxsw: spectrum: Replace port_to_module array with array of
  structs (bsc#1154488).
- mlxsw: spectrum: Distinguish between unsplittable and split port
  (bsc#1154488).
- mlxsw: spectrum: Move max_width check up before count check
  (bsc#1154488).
- mlxsw: spectrum: Use PMTM register to get max module width
  (bsc#1154488).
- mlxsw: reg: Add Port Module Type Mapping Register (bsc#1154488).
- mlxsw: reg: Extend PMLP tx/rx lane value size to 4 bits
  (bsc#1154488).
- cxgb4/l2t: Simplify 't4_l2e_free()' and '_t4_l2e_free()'
  (jsc#SLE-8389).
- net: sched: update action implementations to support flags
  (bsc#1154353).
- net: sched: extend TCA_ACT space with TCA_ACT_FLAGS
  (bsc#1154353).
- net: sched: modify stats helper functions to support regular
  stats (bsc#1154353).
- net: sched: don't expose action qstats to skb_tc_reinsert()
  (bsc#1154353).
- net: sched: extract qstats update code into functions
  (bsc#1154353).
- net: sched: extract bstats update code into function
  (bsc#1154353).
- net: sched: extract common action counters update code into
  function (bsc#1154353).
- e1000e: Fix compiler warning when CONFIG_PM_SLEEP is not set
  (jsc#SLE-8100).
- e1000e: Add support for Tiger Lake (jsc#SLE-8100).
- i40e: Add UDP segmentation offload support (jsc#SLE-8025).
- ixgbe: Add UDP segmentation offload support (jsc#SLE-7979
  jsc#SLE-7981).
- igb: Add UDP segmentation offload support (jsc#SLE-7967
  jsc#SLE-8010).
- e1000e: Drop unnecessary __E1000_DOWN bit twiddling
  (jsc#SLE-8100).
- e1000e: Use rtnl_lock to prevent race conditions between net
  and pci/pm (jsc#SLE-8100).
- e1000e: Add support for Comet Lake (jsc#SLE-8100).
- vxlan: drop "vxlan" parameter in vxlan_fdb_alloc()
  (bsc#1154353).
- net: phy: marvell: add downshift support for 88E1145
  (bsc#1154353).
- bonding: balance ICMP echoes in layer3+4 mode (bsc#1154353).
- flow_dissector: extract more ICMP information (bsc#1154353).
- flow_dissector: skip the ICMP dissector for non ICMP packets
  (bsc#1154353).
- flow_dissector: add meaningful comments (bsc#1154353).
- mlxsw: Enforce firmware version for Spectrum-2 (bsc#1154488).
- mlxsw: Bump firmware version to 13.2000.2308 (bsc#1154488).
- mlxsw: pci: Increase PCI reset timeout for SN3800 systems
  (bsc#1154488).
- mlxsw: reg: Increase size of MPAR register (bsc#1154488).
- net: bridge: fdb: set flags directly in fdb_create
  (bsc#1154353).
- net: bridge: fdb: convert offloaded to use bitops (bsc#1154353).
- net: bridge: fdb: convert added_by_external_learn to use bitops
  (bsc#1154353).
- net: bridge: fdb: convert added_by_user to bitops (bsc#1154353).
- net: bridge: fdb: convert is_sticky to bitops (bsc#1154353).
- net: bridge: fdb: convert is_static to bitops (bsc#1154353).
- net: bridge: fdb: convert is_local to bitops (bsc#1154353).
- inet: do not call sublist_rcv on empty list (bsc#1154353).
- broadcom: bnxt: Fix use true/false for bool (bsc#1154353).
- cavium: thunder: Fix use true/false for bool type (bsc#1154353).
- net: phy: marvell: add PHY tunable support for more PHY versions
  (bsc#1154353).
- net: phy: marvell: add downshift support for M88E1111
  (bsc#1154353).
- net: phy: marvell: fix downshift function naming (bsc#1154353).
- net: phy: marvell: fix typo in constant
  MII_M1011_PHY_SRC_DOWNSHIFT_MASK (bsc#1154353).
- i40e: prevent memory leak in i40e_setup_macvlans (jsc#SLE-8025).
- i40e: Refactoring VF MAC filters counting to make more reliable
  (jsc#SLE-8025).
- i40e: Fix LED blinking flow for X710T*L devices (jsc#SLE-8025).
- i40e: allow ethtool to report SW and FW versions in recovery
  mode (jsc#SLE-8025).
- i40e: initialize ITRN registers with correct values
  (jsc#SLE-8025).
- i40e: Extend PHY access with page change flag (jsc#SLE-8025).
- i40e: Extract detection of HW flags into a function
  (jsc#SLE-8025).
- i40e: Wrong 'Advertised FEC modes' after set FEC to AUTO
  (jsc#SLE-8025).
- i40e: Fix for persistent lldp support (jsc#SLE-8025).
- sock: remove unneeded semicolon (bsc#1154353).
- mlxsw: spectrum_buffers: remove unneeded semicolon
  (bsc#1154488).
- mvpp2: prefetch frame header (bsc#1154353).
- mvpp2: sync only the received frame (bsc#1154353).
- mvpp2: refactor frame drop routine (bsc#1154353).
- net: Fix various misspellings of "connect" (bsc#1154353).
- net: Fix misspellings of "configure" and "configuration"
  (bsc#1154353).
- bpf: Prepare btf_ctx_access for non raw_tp use case
  (bsc#1154353).
- bpf: Allow __sk_buff tstamp in BPF_PROG_TEST_RUN (bsc#1154353).
- ipvs: batch __ip_vs_dev_cleanup (bsc#1154353).
- ipvs: batch __ip_vs_cleanup (bsc#1154353).
- ipvs: no need to update skb route entry for local destination
  packets (bsc#1154353).
- tcp: add TCP_INFO status for failed client TFO (bsc#1154353).
- mlxsw: spectrum_buffers: Calculate the size of the main pool
  (bsc#1154488).
- mlxsw: spectrum: Use guaranteed buffer size as pool size limit
  (bsc#1154488).
- net: phy: add support for clause 37 auto-negotiation
  (bsc#1154353).
- net: phy: modify assignment to OR for dev_flags in
  phy_attach_direct (bsc#1154353).
- fq_codel: do not include <linux/jhash.h> (bsc#1154353).
- mlxsw: core: Extend QSFP EEPROM size for ethtool (bsc#1154488).
- mlxsw: reg: Add macro for getting QSFP module EEPROM page number
  (bsc#1154488).
- igc: Clean up unused shadow_vfta pointer (jsc#SLE-7966).
- igc: Add Rx checksum support (jsc#SLE-7966).
- igc: Add set_rx_mode support (jsc#SLE-7966).
- e1000e: Add support for S0ix (jsc#SLE-8100).
- igc: Add SCTP CRC checksumming functionality (jsc#SLE-7966).
- net/sched: act_police: re-use tcf_tm_dump() (bsc#1154353).
- net: phy: marvell: remove superseded function
  marvell_set_downshift (bsc#1154353).
- net: phy: marvell: support downshift as PHY tunable
  (bsc#1154353).
- net: hns3: log and clear hardware error after reset complete
  (bsc#1154353).
- net: hns3: do not allocate linear data for fraglist skb
  (bsc#1154353).
- net: hns3: minor cleanup for hns3_handle_rx_bd() (bsc#1154353).
- net: hns3: make struct hns3_enet_ring cacheline aligned
  (bsc#1154353).
- net: hns3: introduce ring_to_netdev() in enet module
  (bsc#1154353).
- net: hns3: minor optimization for barrier in IO path
  (bsc#1154353).
- net: hns3: optimized MAC address in management table
  (bsc#1154353).
- net: hns3: remove struct hns3_nic_ring_data in hns3_enet module
  (bsc#1154353).
- mlxsw: spectrum: Register switched port analyzers (SPAN)
  as resource (bsc#1154488).
- net: phy: avoid NPE if read_page/write_page callbacks are not
  available (bsc#1154353).
- net: sched: Avoid using yield() in a busy waiting loop
  (bsc#1154353).
- pktgen: remove unnecessary assignment in pktgen_xmit()
  (bsc#1154353).
- net: sfp: move fwnode parsing into sfp-bus layer (bsc#1154353).
- net: phylink: use more linkmode_* (bsc#1154353).
- net_sched: sch_fq: remove one obsolete check in fq_dequeue()
  (bsc#1154353).
- net: core: use listified Rx for GRO_NORMAL in napi_gro_receive()
  (bsc#1154353).
- mlxsw: spectrum: Add support for 400Gbps (50Gbps per lane)
  link modes (bsc#1154488).
- ethtool: Add support for 400Gbps (50Gbps per lane) link modes
  (bsc#1154353).
- xdp: Trivial, fix spelling in function description
  (bsc#1154353).
- bpf: Fix cast to pointer from integer of different size warning
  (bsc#1154353).
- flow_dissector: Allow updating the flow dissector program
  atomically (bsc#1154353).
- bpf: Align struct bpf_prog_stats (bsc#1154353).
- bpf/flow_dissector: add mode to enforce global BPF flow
  dissector (bsc#1154353).
- genetlink: do not parse attributes for families with zero
  maxattr (bsc#1154353).
- tcp: improve recv_skip_hint for tcp_zerocopy_receive
  (bsc#1154353).
- netdevsim: implement couple of testing devlink health reporters
  (bsc#1154353).
- devlink: propagate extack down to health reporter ops
  (bsc#1154353).
- devlink: don't do reporter recovery if the state is healthy
  (bsc#1154353).
- sock_get_timeout: drop unnecessary return variable
  (bsc#1154353).
- af_unix: __unix_find_socket_byname() cleanup (bsc#1154353).
- ipvlan: consolidate TSO flags using NETIF_F_ALL_TSO
  (bsc#1154353).
- team: call RCU read lock when walking the port_list
  (bsc#1154353).
- Revert "tun: call dev_get_valid_name() before
  register_netdevice()" (bsc#1154353).
- net: tipc: prepare attrs in __tipc_nl_compat_dumpit()
  (bsc#1154353).
- net: genetlink: always allocate separate attrs for dumpit ops
  (bsc#1154353).
- net: hns3: support tx-scatter-gather-fraglist feature
  (bsc#1154353).
- net: hns3: add support for configuring VF MAC from the host
  (bsc#1154353).
- net: hns3: add support for configuring bandwidth of VF on the
  host (bsc#1154353).
- net: hns3: add support for setting VF trust (bsc#1154353).
- net: hns3: add support for spoof check setting (bsc#1154353).
- net: hns3: add support for setting VF link status on the host
  (bsc#1154353).
- tun: fix memory leak in error path (bsc#1154353).
- netdevsim: fix spelling mistake "forbidded" -> "forbid"
  (bsc#1154353).
- nfp: bpf: make array exp_mask static, makes object smaller
  (bsc#1154353).
- net: hns3: make array tick_array static, makes object smaller
  (bsc#1154353).
- net: hns: make arrays static, makes object smaller
  (bsc#1154353).
- net/tls: store decrypted on a single bit (bsc#1154353).
- net/tls: store async_capable on a single bit (bsc#1154353).
- net/tls: pass context to tls_device_decrypted() (bsc#1154353).
- net/tls: make allocation failure unlikely (bsc#1154353).
- net/tls: mark sk->err being set as unlikely (bsc#1154353).
- net: core: use helper skb_ensure_writable in more places
  (bsc#1154353).
- ipv6: Make ipv6_mc_may_pull() return bool (bsc#1154353).
- net: core: change return type of pskb_may_pull to bool
  (bsc#1154353).
- net: ena: ethtool: support set_channels callback (bsc#1154492).
- net: ena: remove redundant print of number of queues
  (bsc#1154492).
- net: ena: make ethtool -l show correct max number of queues
  (bsc#1154492).
- net: ena: ethtool: get_channels: use combined only
  (bsc#1154492).
- net: ena: multiple queue creation related cleanups
  (bsc#1154492).
- net: ena: change num_queues to num_io_queues for clarity and
  consistency (bsc#1154492).
- netdevsim: implement devlink dev_info op (bsc#1154353).
- net: devlink: fix reporter dump dumpit (bsc#1154353).
- mlxsw: minimal: Add validation for FW version (bsc#1154488).
- mlxsw: core: Push minor/subminor fw version check into helper
  (bsc#1154488).
- mlxsw: thermal: Provide optimization for QSFP modules number
  detection (bsc#1154488).
- mlxsw: hwmon: Provide optimization for QSFP modules number
  detection (bsc#1154488).
- mlxsw: reg: Extend MGPIR register with new field exposing the
  number of QSFP modules (bsc#1154488).
- netdevsim: add couple of debugfs bools to debug devlink reload
  (bsc#1154353).
- devlink: have genetlink code to parse the attrs during dumpit
  (bsc#1154353).
- net: tipc: allocate attrs locally instead of using
  genl_family_attrbuf in compat_dumpit() (bsc#1154353).
- net: tipc: have genetlink code to parse the attrs during dumpit
  (bsc#1154353).
- net: nfc: have genetlink code to parse the attrs during dumpit
  (bsc#1154353).
- net: ieee802154: have genetlink code to parse the attrs during
  dumpit (bsc#1154353).
- net: genetlink: parse attrs and store in contect info struct
  during dumpit (bsc#1154353).
- net: genetlink: push attrbuf allocation and parsing to a
  separate function (bsc#1154353).
- net: genetlink: introduce dump info struct to be available
  during dumpit op (bsc#1154353).
- net: genetlink: push doit/dumpit code from genl_family_rcv_msg
  (bsc#1154353).
- netdevsim: create devlink and netdev instances in namespace
  (bsc#1154353).
- net: devlink: export devlink net setter (bsc#1154353).
- net/tls: add TlsDeviceRxResync statistic (bsc#1154353).
- net/tls: add TlsDecryptError stat (bsc#1154353).
- net/tls: add statistics for installed sessions (bsc#1154353).
- net/tls: add skeleton of MIB statistics (bsc#1154353).
- net/tls: add device decrypted trace point (bsc#1154353).
- net/tls: add tracing for device/offload events (bsc#1154353).
- net: devlink: don't ignore errors during dumpit (bsc#1154353).
- igmp: uninline ip_mc_validate_checksum() (bsc#1154353).
- net: spread "enum sock_flags" (bsc#1154353).
- net/tls: rename tls_hw_* functions tls_toe_* (bsc#1154353).
- net/tls: move TOE-related code to a separate file (bsc#1154353).
- net/tls: move tls_build_proto() on init path (bsc#1154353).
- net/tls: rename tls_device to tls_toe_device (bsc#1154353).
- net/tls: move TOE-related structures to a separate header
  (bsc#1154353).
- net: devlink: allow to change namespaces during reload
  (bsc#1154353).
- netdevsim: take devlink net instead of init_net (bsc#1154353).
- netdevsim: register port netdevices into net of device
  (bsc#1154353).
- netdevsim: implement proper devlink reload (bsc#1154353).
- netdevsim: add all ports in nsim_dev_create() and del them in
  destroy() (bsc#1154353).
- mlxsw: Propagate extack down to register_fib_notifier()
  (bsc#1154488).
- mlxsw: Register port netdevices into net of core (bsc#1154488).
- mlxsw: spectrum: Take devlink net instead of init_net
  (bsc#1154488).
- net: devlink: export devlink net getter (bsc#1154353).
- net: fib_notifier: propagate extack down to the notifier block
  callback (bsc#1154353).
- mlxsw: spectrum_router: Don't rely on missing extack to
  symbolize dump (bsc#1154488).
- net: fib_notifier: propagate possible error during fib notifier
  registration (bsc#1154353).
- net: fib_notifier: make FIB notifier per-netns (bsc#1154353).
- netdevsim: change fib accounting and limitations to be
  per-device (bsc#1154353).
- net: propagate errors correctly in register_netdevice()
  (bsc#1154353).
- mvpp2: remove misleading comment (bsc#1154353).
- net_sched: remove need_resched() from qdisc_run() (bsc#1154353).
- net: introduce per-netns netdevice notifiers (bsc#1154353).
- net: push loops and nb calls into helper functions
  (bsc#1154353).
- ipv6: minor code reorg in inet6_fill_ifla6_attrs()
  (bsc#1154353).
- net: rtnetlink: add possibility to use alternative names as
  message handle (bsc#1154353).
- net: rtnetlink: introduce helper to get net_device instance
  by ifname (bsc#1154353).
- net: rtnetlink: unify the code in __rtnl_newlink get dev with
  the rest (bsc#1154353).
- net: rtnetlink: put alternative names to getlink message
  (bsc#1154353).
- net: rtnetlink: add linkprop commands to add and delete
  alternative ifnames (bsc#1154353).
- net: introduce name_node struct to be used in hashlist
  (bsc#1154353).
- net: procfs: use index hashlist instead of name hashlist
  (bsc#1154353).
- tcp: add ipv6_addr_v4mapped_loopback() helper (bsc#1154353).
- net: core: dev: replace state xoff flag comparison by
  netif_xmit_stopped method (bsc#1154353).
- ipv6: add priority parameter to ip6_xmit() (bsc#1154353).
- rocker: add missing init_net check in FIB notifier
  (bsc#1154353).
- commit 113b872
* Wed Dec 11 2019 tiwai@suse.de
- spi: pxa2xx: Add support for Intel Comet Lake-H (jsc#SLE-7946).
- mtd: spi-nor: intel-spi: Add support for Intel Comet Lake-H
  SPI serial flash (jsc#SLE-7946).
- commit 66b146b
* Wed Dec 11 2019 tiwai@suse.de
- mfd: intel-lpss: Add Intel Comet Lake PCH-H PCI IDs
  (jsc#SLE-7946).
- mfd: intel-lpss: Add default I2C device properties for Gemini
  Lake (jsc#SLE-7946).
- commit a741dd5
* Wed Dec 11 2019 tiwai@suse.de
- i2c: i801: Correct Intel Jasper Lake SOC naming (jsc#SLE-7946).
- i2c: i801: Add support for Intel Comet Lake PCH-H
  (jsc#SLE-7946).
- commit b378292
* Wed Dec 11 2019 tiwai@suse.de
- i2c: i801: Add support for Intel Jasper Lake (jsc#SLE-7946).
- commit a0fd0de
* Wed Dec 11 2019 tiwai@suse.de
- i2c: i801: Bring back Block Process Call support for certain
  platforms (jsc#SLE-7946).
- i2c: i801: Use iTCO version 6 in Cannon Lake PCH and beyond
  (jsc#SLE-7946).
- commit 7cc4af0
* Wed Dec 11 2019 jroedel@suse.de
- KVM: vmx: use MSR_IA32_TSX_CTRL to hard-disable TSX on guest
  that lack it (CVE-2019-19338 bsc#1158954).
- KVM: vmx: implement MSR_IA32_TSX_CTRL disable RTM functionality
  (CVE-2019-19338 bsc#1158954).
- KVM: x86: fix presentation of TSX feature in ARCH_CAPABILITIES
  (CVE-2019-19338 bsc#1158954).
- commit 431ce6a
* Wed Dec 11 2019 jroedel@suse.de
- KVM: x86: fix out-of-bounds write in KVM_GET_EMULATED_CPUID
  (CVE-2019-19332) (CVE-2019-19332 bsc#1158827).
- commit ed2bb4d
* Wed Dec 11 2019 tonyj@suse.de
- libbpf: Fix sym->st_value print on 32-bit arches (bsc#1158962).
- commit ff62fd7
* Tue Dec 10 2019 bp@suse.de
- EDAC/altera: Use fast register IO for S10 IRQs (bsc#1152489).
- commit 48045b4
* Tue Dec 10 2019 dwagner@suse.de
- scsi: qla2xxx: Add debug dump of LOGO payload and ELS IOCB
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Ignore PORT UPDATE after N2N PLOGI (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Don't defer relogin unconditonally (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Send Notify ACK after N2N PLOGI (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Configure local loop for N2N target (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix PLOGI payload and ELS IOCB dump length
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Don't call qlt_async_event twice (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Allow PLOGI in target mode (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Change discovery state before PLOGI (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Drop superfluous INIT_WORK of del_work
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Initialize free_work before flushing it
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use explicit LOGO in target mode (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Ignore NULL pointer in tcm_qla2xxx_free_mcmd
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix incorrect SFUB length used for Secure Flash
  Update MB Cmd (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Added support for MPI and PEP regions for ISP28XX
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Correctly retrieve and interpret active flash
  region (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- commit b9f4605
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Remove logical HW ID'
- commit c366de4
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix g4x sprite scaling stride check with GTT remapping'
- commit ed52fa1
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp: Fix dsc bpp calculations, v5.'
- commit 4e094fc
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Mark contents as dirty on a write fault'
- commit f55151a
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Bump skl+ max plane width to 5k for linear/x-tiled'
- commit 69b4952
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Don't mix srcu tag and negative error codes'
- commit 6d16d9a
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Restore relaxed padding (OCL_OOB_SUPPRES_ENABLE) for skl+'
- commit cd7484b
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Limit MST to <= 8bpc once again'
- commit ead6b3f
* Tue Dec 10 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/dp: Fix DSC enable code to use cpu_transcoder instead of encoder->type'
- commit d2a961c
* Tue Dec 10 2019 tiwai@suse.de
- Update patch reference for nfc fix (CVE-2019-19526 bsc#1158893)
- commit 9e59e81
* Tue Dec 10 2019 tzimmermann@suse.de
- drm/i915: Preload LUTs if the hw isn't currently using them (bsc#1152489)
- commit 7d0ea8f
* Tue Dec 10 2019 tzimmermann@suse.de
- video/hdmi: Fix AVI bar unpack (bsc#1152489)
- commit 0ac3f29
* Tue Dec 10 2019 tzimmermann@suse.de
- fbdev/sa1100fb: Remove even more dead code (bsc#1152489)
- commit 896a116
* Tue Dec 10 2019 mkubecek@suse.cz
- update mainline references
  update Patch-mainline tags:
  patches.suse/hugetlb-region_chg-provides-only-cache-entry.patch
  patches.suse/hugetlb-remove-duplicated-code.patch
  patches.suse/hugetlbfs-hugetlb_fault_mutex_hash-cleanup.patch
  patches.suse/hugetlbfs-take-read_lock-on-i_mmap-for-PMD-sharing.patch
  patches.suse/include-linux-memcontrol.h-fix-comments-based-on-per-node-memcg.patch
  patches.suse/mm-clean-up-and-clarify-lruvec-lookup-procedure.patch
  patches.suse/mm-drop-mmap_sem-before-calling-balance_dirty_pages-in-write-fault.patch
  patches.suse/mm-emit-tracepoint-when-RSS-changes.patch
  patches.suse/mm-filemap.c-remove-redundant-cache-invalidation-after-async-direct-io-write.patch
  patches.suse/mm-filemap.c-warn-if-stale-pagecache-is-left-after-direct-write.patch
  patches.suse/mm-hugetlb-avoid-looping-to-the-same-hugepage-if-pages-and-vmas.patch
  patches.suse/mm-introduce-compound_nr.patch
  patches.suse/mm-introduce-page_shift.patch
  patches.suse/mm-introduce-page_size.patch
  patches.suse/mm-madvise.c-replace-with-page_size-in-madvise_inject_error.patch
  patches.suse/mm-memcg-clean-up-reclaim-iter-array.patch
  patches.suse/mm-memcg-make-memory.emin-the-baseline-for-utilisation-determination.patch
  patches.suse/mm-memcg-make-scan-aggression-always-exclude-protection.patch
  patches.suse/mm-memcg-proportional-memory.-low-min-reclaim.patch
  patches.suse/mm-memcontrol-remove-dead-code-from-memory_max_write.patch
  patches.suse/mm-memfd-fix-COW-issue-on-MAP_PRIVATE-and-F_SEAL_FUTURE_WRITE-mappings.patch
  patches.suse/mm-memory-failure.c-clean-up-around-tk-pre-allocation.patch
  patches.suse/mm-migrate.c-handle-freed-page-at-the-first-place.patch
  patches.suse/mm-mmap.c-__vma_unlink_prev-is-not-necessary-now.patch
  patches.suse/mm-mmap.c-extract-__vma_unlink_list-as-counterpart-for-__vma_link_list.patch
  patches.suse/mm-mmap.c-prev-could-be-retrieved-from-vma-vm_prev.patch
  patches.suse/mm-mmap.c-rb_parent-is-not-necessary-in-__vma_link_list.patch
  patches.suse/mm-mmap.c-remove-a-never-triggered-warning-in-__vma_adjust.patch
  patches.suse/mm-mmap.c-use-IS_ERR_VALUE-to-check-return-value-of-get_unmapped_area.patch
  patches.suse/mm-page_io.c-annotate-refault-stalls-from-swap_readpage.patch
  patches.suse/mm-rmap.c-don-t-reuse-anon_vma-if-we-just-want-a-copy.patch
  patches.suse/mm-rmap.c-fix-outdated-comment-in-page_get_anon_vma.patch
  patches.suse/mm-rmap.c-reuse-mergeable-anon_vma-as-parent-when-fork.patch
  patches.suse/mm-rmap.c-use-VM_BUG_ON_PAGE-in-__page_check_anon_rmap.patch
  patches.suse/mm-shmem-use-proper-gfp-flags-for-shmem_writepage.patch
  patches.suse/mm-slab-make-kmalloc_info-contain-all-types-of-names.patch
  patches.suse/mm-slab-remove-unused-kmalloc_size.patch
  patches.suse/mm-slab_common-use-enum-kmalloc_cache_type-to-iterate-over-kmalloc-caches.patch
  patches.suse/mm-slub-print-the-offset-of-fault-addresses.patch
  patches.suse/mm-slub.c-clean-up-validate_slab.patch
  patches.suse/mm-slub.c-update-comments.patch
  patches.suse/mm-soft-offline-convert-parameter-to-pfn.patch
  patches.suse/mm-swap.c-piggyback-lru_add_drain_all-calls.patch
  patches.suse/mm-swap.c-trivial-mark_page_accessed-cleanup.patch
  patches.suse/mm-thp-do-not-queue-fully-unmapped-pages-for-deferred-split.patch
  patches.suse/mm-vmalloc-add-more-comments-to-the-adjust_va_to_fit_type.patch
  patches.suse/mm-vmalloc-do-not-keep-unpurged-areas-in-the-busy-tree.patch
  patches.suse/mm-vmalloc-modify-struct-vmap_area-to-reduce-its-size.patch
  patches.suse/mm-vmalloc-remove-preempt_disable-enable-when-doing-preloading.patch
  patches.suse/mm-vmalloc-respect-passed-gfp_mask-when-doing-preloading.patch
  patches.suse/mm-vmalloc-rework-vmap_area_lock.patch
  patches.suse/mm-vmalloc.c-move-area-pages-after-if-statement.patch
  patches.suse/mm-vmalloc.c-remove-unnecessary-highmem_mask-from-parameter-of-gfpflags_allow_blocking.patch
  patches.suse/mm-vmscan-detect-file-thrashing-at-the-reclaim-root.patch
  patches.suse/mm-vmscan-enforce-inactive-active-ratio-at-the-reclaim-root.patch
  patches.suse/mm-vmscan-harmonize-writeback-congestion-tracking-for-nodes-memcgs.patch
  patches.suse/mm-vmscan-memcontrol-remove-mem_cgroup_select_victim_node.patch
  patches.suse/mm-vmscan-move-file-exhaustion-detection-to-the-node-level.patch
  patches.suse/mm-vmscan-move-inactive_list_is_low-swap-check-to-the-caller.patch
  patches.suse/mm-vmscan-naming-fixes-global_reclaim-and-sane_reclaim.patch
  patches.suse/mm-vmscan-remove-unused-lru_pages-argument.patch
  patches.suse/mm-vmscan-replace-shrink_node-loop-with-a-retry-jump.patch
  patches.suse/mm-vmscan-simplify-lruvec_lru_size.patch
  patches.suse/mm-vmscan-split-shrink_node-into-node-part-and-memcgs-part.patch
  patches.suse/mm-vmscan-turn-shrink_node_memcg-into-shrink_lruvec.patch
  patches.suse/mm-vmscan.c-fix-typo-in-comment.patch
  patches.suse/mm-vmscan.c-remove-unused-scan_control-parameter-from-pageout.patch
  patches.suse/rss_stat-add-support-to-detect-RSS-updates-of-external-mm.patch
  patches.suse/shmem-pin-the-file-in-shmem_fault-if-mmap_sem-is-dropped.patch
  patches.suse/vmalloc-lift-the-arm-flag-for-coherent-mappings-to-common-code.patch
- commit fdd2a26
* Mon Dec  9 2019 bp@suse.de
- EDAC/ghes: Do not warn when incrementing refcount on 0
  (bsc#1152489).
- commit b152db6
* Mon Dec  9 2019 tiwai@suse.de
- Update patch reference for a media driver fix (CVE-2019-19533 bsc#1158834)
- commit 035b8ec
* Mon Dec  9 2019 tiwai@suse.de
- Update patch references for USB and HID fixes (CVE-2019-19532 bsc#1158824 CVE-2019-19523)
- commit b7c3995
* Mon Dec  9 2019 mbenes@suse.cz
- xprtrdma: Add unique trace points for posting Local Invalidate
  WRs (bsc#1158811).
- commit 0045bd6
* Mon Dec  9 2019 lhenriques@suse.com
- rbd: silence bogus uninitialized warning in
  rbd_object_map_update_finish() (jsc#SES-1134).
- ceph: increment/decrement dio counter on async requests
  (jsc#SES-1134).
- ceph: take the inode lock before acquiring cap refs
  (jsc#SES-1134).
- rbd: cancel lock_dwork if the wait is interrupted
  (jsc#SES-1134).
- ceph: call ceph_mdsc_destroy from destroy_fs_client
  (jsc#SES-1134).
- libceph: use ceph_kvmalloc() for osdmap arrays (jsc#SES-1134).
- libceph: avoid a __vmalloc() deadlock in ceph_kvmalloc()
  (jsc#SES-1134).
- commit 6eea6f4
* Mon Dec  9 2019 lhenriques@suse.com
- ceph: allow object copies across different filesystems in the
  same cluster (jsc#SES-1134).
- Refresh
  patches.suse/ceph-don-t-allow-copy_file_range-when-stripe_count-1.patch.
- commit 8a618ea
* Mon Dec  9 2019 lhenriques@suse.com
- ceph: include ceph_debug.h in cache.c (jsc#SES-1134).
- ceph: move static keyword to the front of declarations
  (jsc#SES-1134).
- rbd: pull rbd_img_request_create() dout out into the callers
  (jsc#SES-1134).
- libceph: drop unused con parameter of calc_target()
  (jsc#SES-1134).
- ceph: use release_pages() directly (jsc#SES-1134).
- rbd: fix response length parameter for encoded strings
  (jsc#SES-1134).
- ceph: allow arbitrary security.* xattrs (jsc#SES-1134).
- ceph: only set CEPH_I_SEC_INITED if we got a MAC label
  (jsc#SES-1134).
- ceph: turn ceph_security_invalidate_secctx into static inline
  (jsc#SES-1134).
- ceph: add buffered/direct exclusionary locking for reads and
  writes (jsc#SES-1134).
- libceph: handle OSD op ceph_pagelist_append() errors
  (jsc#SES-1134).
- ceph: don't return a value from void function (jsc#SES-1134).
- ceph: don't freeze during write page faults (jsc#SES-1134).
- ceph: update the mtime when truncating up (jsc#SES-1134).
- ceph: fix indentation in __get_snap_name() (jsc#SES-1134).
- ceph: remove incorrect comment above __send_cap (jsc#SES-1134).
- ceph: remove CEPH_I_NOFLUSH (jsc#SES-1134).
- ceph: remove unneeded test in try_flush_caps (jsc#SES-1134).
- ceph: have __mark_caps_flushing return flush_tid (jsc#SES-1134).
- ceph: fix comments over ceph_add_cap (jsc#SES-1134).
- ceph: eliminate session->s_trim_caps (jsc#SES-1134).
- ceph: remove ceph_get_cap_mds and __ceph_get_cap_mds
  (jsc#SES-1134).
- ceph: don't SetPageError on writepage errors (jsc#SES-1134).
- commit 3a5a01d
* Mon Dec  9 2019 lhenriques@suse.com
- ceph: auto reconnect after blacklisted (jsc#SES-1134).
- Refresh
  patches.suse/ceph-return-EINVAL-if-given-fsc-mount-option-on-kern.patch.
- commit a6819c7
* Mon Dec  9 2019 lhenriques@suse.com
- ceph: invalidate all write mode filp after reconnect
  (jsc#SES-1134).
- ceph: return -EIO if read/write against filp that lost file
  locks (jsc#SES-1134).
- ceph: add helper function that forcibly reconnects to ceph
  cluster (jsc#SES-1134).
- ceph: pass filp to ceph_get_caps() (jsc#SES-1134).
- ceph: track and report error of async metadata operation
  (jsc#SES-1134).
- ceph: allow closing session in restarting/reconnect state
  (jsc#SES-1134).
- libceph: add function that clears osd client's abort_err
  (jsc#SES-1134).
- libceph: add function that reset client's entity addr
  (jsc#SES-1134).
- ceph: don't list vxattrs in listxattr() (jsc#SES-1134).
- ceph: allow copy_file_range when src and dst inode are same
  (jsc#SES-1134).
- commit d6afa0a
* Mon Dec  9 2019 bp@suse.de
- EDAC/ghes: Fix locking and memory barrier issues (bsc#1152489).
- commit 7d2325a
* Mon Dec  9 2019 lhenriques@suse.com
- kabi/severities: whitelist libceph, rbd, and ceph (jsc#SES-1134).
- commit 1f1a9d5
* Mon Dec  9 2019 jeyu@suse.de
- kernel/module.c: wakeup processes in module_wq on module unload (git-fixes).
- commit 311cb05
* Mon Dec  9 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Preload LUTs if the hw isn't currently using them'
- commit 7964f08
* Sun Dec  8 2019 tiwai@suse.de
- ALSA: pcm: oss: Avoid potential buffer overflows (git-fixes).
- ALSA: hda: hdmi - Keep old slot assignment behavior for Intel
  platforms (git-fixes).
- ALSA: hda: Modify stream stripe mask only when needed
  (git-fixes).
- ALSA: hda - fixup for the bass speaker on Lenovo Carbon X1
  7th gen (git-fixes).
- ALSA: hda: hdmi - preserve non-MST PCM routing for Intel
  platforms (git-fixes).
- ALSA: hda: hdmi - fix kernel oops caused by invalid PCM idx
  (git-fixes).
- ALSA: hda/realtek - Fix inverted bass GPIO pin on Acer 8951G
  (git-fixes).
- ALSA: hda/realtek - Dell headphone has noise on unmute for
  ALC236 (git-fixes).
- ALSA: hda: hdmi - fix regression in connect list handling
  (git-fixes).
- ALSA: hda/hdmi - enable automatic runtime pm for AMD HDMI
  codecs by default (git-fixes).
- ALSA: hda/hdmi - enable runtime pm for newer AMD display audio
  (git-fixes).
- ALSA: hda/hdmi - Add new pci ids for AMD GPU display audio
  (git-fixes).
- ALSA: hda/hdmi - fix vgaswitcheroo detection for AMD
  (git-fixes).
- commit 4b98432
* Fri Dec  6 2019 jslaby@suse.cz
- Linux 5.3.15 (bnc#1151927 5.3.15).
- openvswitch: remove another BUG_ON() (bnc#1151927 5.3.15).
- openvswitch: drop unneeded BUG_ON() in ovs_flow_cmd_build_info()
  (bnc#1151927 5.3.15).
- net: sched: fix `tc -s class show` no bstats on class with
  nolock subqueues (bnc#1151927 5.3.15).
- selftests: pmtu: use -oneline for ip route list cache
  (bnc#1151927 5.3.15).
- net: macb: add missed tasklet_kill (bnc#1151927 5.3.15).
- selftests: bpf: correct perror strings (bnc#1151927 5.3.15).
- selftests: bpf: test_sockmap: handle file creation failures
  gracefully (bnc#1151927 5.3.15).
- net/tls: use sg_next() to walk sg entries (bnc#1151927 5.3.15).
- net/tls: remove the dead inplace_crypto code (bnc#1151927
  5.3.15).
- selftests/tls: add a test for fragmented messages (bnc#1151927
  5.3.15).
- net: skmsg: fix TLS 1.3 crash with full sk_msg (bnc#1151927
  5.3.15).
- net/tls: free the record on encryption error (bnc#1151927
  5.3.15).
- net/tls: take into account that bpf_exec_tx_verdict() may free
  the record (bnc#1151927 5.3.15).
- x86/fpu: Don't cache access to fpu_fpregs_owner_ctx (bnc#1151927
  5.3.15).
- platform/x86: hp-wmi: Fix ACPI errors caused by passing 0 as
  input size (bnc#1151927 5.3.15).
- platform/x86: hp-wmi: Fix ACPI errors caused by too small buffer
  (bnc#1151927 5.3.15).
- HID: core: check whether Usage Page item is after Usage ID items
  (bnc#1151927 5.3.15).
- ext4: add more paranoia checking in ext4_expand_extra_isize
  handling (bnc#1151927 5.3.15).
- net: disallow ancillary data for __sys_{send,recv}msg_file()
  (bnc#1151927 5.3.15).
- net: separate out the msghdr copy from ___sys_{send,recv}msg()
  (bnc#1151927 5.3.15).
- io_uring: async workers should inherit the user creds
  (bnc#1151927 5.3.15).
- gve: Fix the queue page list allocated pages count (bnc#1151927
  5.3.15).
- openvswitch: fix flow command message size (bnc#1151927 5.3.15).
- net: psample: fix skb_over_panic (bnc#1151927 5.3.15).
- tipc: fix link name length check (bnc#1151927 5.3.15).
- staging: rtl8723bs: Drop ACPI device ids (bnc#1151927 5.3.15).
- staging: rtl8723bs: Add 024c:0525 to the list of SDIO device-ids
  (bnc#1151927 5.3.15).
- staging: wilc1000: fix illegal memory access in
  wilc_parse_join_bss_param() (bnc#1151927 5.3.15).
- staging: rtl8192e: fix potential use after free (bnc#1151927
  5.3.15).
- thunderbolt: Power cycle the router if NVM authentication fails
  (bnc#1151927 5.3.15).
- mei: me: add comet point V device id (bnc#1151927 5.3.15).
- mei: bus: prefix device names on bus with the bus name
  (bnc#1151927 5.3.15).
- usb: dwc2: use a longer core rest timeout in dwc2_core_reset()
  (bnc#1151927 5.3.15).
- USB: serial: ftdi_sio: add device IDs for U-Blox C099-F9P
  (bnc#1151927 5.3.15).
- net: dsa: sja1105: fix sja1105_parse_rgmii_delays() (bnc#1151927
  5.3.15).
- macvlan: schedule bc_work even if error (bnc#1151927 5.3.15).
- mdio_bus: don't use managed reset-controller (bnc#1151927
  5.3.15).
- sctp: cache netns in sctp_ep_common (bnc#1151927 5.3.15).
- sctp: Fix memory leak in sctp_sf_do_5_2_4_dupcook (bnc#1151927
  5.3.15).
- net: fec: fix clock count mis-match (bnc#1151927 5.3.15).
- xfrm: Fix memleak on xfrm state destroy (bnc#1151927 5.3.15).
- ARM: dts: stm32: Fix CAN RAM mapping on stm32mp157c (bnc#1151927
  5.3.15).
- arm64: dts: zii-ultra: fix ARM regulator GPIO handle
  (bnc#1151927 5.3.15).
- ARM: dts: sun8i-a83t-tbs-a711: Fix WiFi resume from suspend
  (bnc#1151927 5.3.15).
- arm64: dts: imx8mm: fix compatible string for sdma (bnc#1151927
  5.3.15).
- ARM: dts: imx6qdl-sabreauto: Fix storm of accelerometer
  interrupts (bnc#1151927 5.3.15).
- arm64: dts: ls1028a: fix a compatible issue (bnc#1151927
  5.3.15).
- reset: fix reset_control_ops kerneldoc comment (bnc#1151927
  5.3.15).
- soundwire: intel: fix intel_register_dai PDI offsets and numbers
  (bnc#1151927 5.3.15).
- thunderbolt: Read DP IN adapter first two dwords in one go
  (bnc#1151927 5.3.15).
- x86/tsc: Respect tsc command line paraemeter for
  clocksource_tsc_early (bnc#1151927 5.3.15).
- perf scripting engines: Iterate on tep event arrays directly
  (bnc#1151927 5.3.15).
- watchdog: pm8916_wdt: fix pretimeout registration flow
  (bnc#1151927 5.3.15).
- mac80211: fix station inactive_time shortly after boot
  (bnc#1151927 5.3.15).
- net/fq_impl: Switch to kvmalloc() for memory allocation
  (bnc#1151927 5.3.15).
- net: stmmac: xgmac: Disable Flow Control when 1 or more queues
  are in AV (bnc#1151927 5.3.15).
- net: stmmac: xgmac: Fix TSA selection (bnc#1151927 5.3.15).
- net: stmmac: xgmac: bitrev32 returns u32 (bnc#1151927 5.3.15).
- net: stmmac: gmac4: bitrev32 returns u32 (bnc#1151927 5.3.15).
- netfilter: ipset: Fix nla_policies to fully support
  NL_VALIDATE_STRICT (bnc#1151927 5.3.15).
- netfilter: nf_tables_offload: skip EBUSY on chain update
  (bnc#1151927 5.3.15).
- netfilter: nf_tables: bogus EOPNOTSUPP on basechain update
  (bnc#1151927 5.3.15).
- net: mscc: ocelot: fix __ocelot_rmw_ix prototype (bnc#1151927
  5.3.15).
- samples/bpf: fix build by setting HAVE_ATTR_TEST to zero
  (bnc#1151927 5.3.15).
- can: mcp251x: mcp251x_restart_work_handler(): Fix potential
  force_quit race condition (bnc#1151927 5.3.15).
- can: flexcan: increase error counters if skb enqueueing via
  can_rx_offload_queue_sorted() fails (bnc#1151927 5.3.15).
- can: rx-offload: can_rx_offload_irq_offload_fifo(): continue
  on error (bnc#1151927 5.3.15).
- can: rx-offload: can_rx_offload_irq_offload_timestamp():
  continue on error (bnc#1151927 5.3.15).
- can: rx-offload: can_rx_offload_offload_one(): use ERR_PTR()
  to propagate error value in case of errors (bnc#1151927 5.3.15).
- can: rx-offload: can_rx_offload_offload_one(): increment
  rx_fifo_errors on queue overflow or OOM (bnc#1151927 5.3.15).
- can: c_can: D_CAN: c_can_chip_config(): perform a sofware
  reset on open (bnc#1151927 5.3.15).
- can: peak_usb: report bus recovery as well (bnc#1151927 5.3.15).
- net: fec: add missed clk_disable_unprepare in remove
  (bnc#1151927 5.3.15).
- block: drbd: remove a stray unlock in __drbd_send_protocol()
  (bnc#1151927 5.3.15).
- nvme-multipath: fix crash in nvme_mpath_clear_ctrl_paths
  (bnc#1151927 5.3.15).
- nvme-rdma: fix a segmentation fault during module unload
  (bnc#1151927 5.3.15).
- ceph: return -EINVAL if given fsc mount option on kernel w/o
  support (bnc#1151927 5.3.15).
- idr: Fix idr_alloc_u32 on 32-bit systems (bnc#1151927 5.3.15).
- idr: Fix integer overflow in idr_for_each_entry (bnc#1151927
  5.3.15).
- XArray: Fix xas_next() with a single entry at 0 (bnc#1151927
  5.3.15).
- ASoC: stm32: sai: add restriction on mmap support (bnc#1151927
  5.3.15).
- ASoC: hdac_hda: fix race in device removal (bnc#1151927 5.3.15).
- ASoC: rockchip: rockchip_max98090: Enable SHDN to fix headset
  detection (bnc#1151927 5.3.15).
- ASoC: compress: fix unsigned integer overflow check (bnc#1151927
  5.3.15).
- drm/amdgpu: add warning for GRBM 1-cycle delay issue in gfx9
  (bnc#1151927 5.3.15).
- drm/amd/swSMU: fix smu workload bit map error (bnc#1151927
  5.3.15).
- drm/amdgpu: dont schedule jobs while in reset (bnc#1151927
  5.3.15).
- clk: ti: dra7-atl-clock: Remove ti_clk_add_alias call
  (bnc#1151927 5.3.15).
- clk: meson: gxbb: let sar_adc_clk_div set the parent clock rate
  (bnc#1151927 5.3.15).
- scripts/gdb: fix debugging modules compiled with hot/cold
  partitioning (bnc#1151927 5.3.15).
- mm/gup_benchmark: fix MAP_HUGETLB case (bnc#1151927 5.3.15).
- commit de8adb7
* Fri Dec  6 2019 jslaby@suse.cz
- Update patches.suse/ALSA-hda-hdmi-add-Tigerlake-support.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/ASoC-SOF-ipc-Fix-memory-leak-in-sof_set_get_large_ct.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/ASoC-SOF-topology-Fix-bytes-control-size-checks.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/ASoC-kirkwood-fix-device-remove-ordering.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/ASoC-kirkwood-fix-external-clock-probe-defer.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/ASoC-msm8916-wcd-analog-Fix-RX1-selection-in-RDAC2-M.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/ASoC-ti-sdma-pcm-Add-back-the-flags-parameter-for-no.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/bpf-Allow-narrow-loads-of-bpf_sysctl-fields-with-off.patch
  (bsc#1155518 bnc#1151927 5.3.15).
- Update
  patches.suse/bpf-Change-size-to-u64-for-bpf_map_-area_alloc-charg.patch
  (bsc#1155518 bnc#1151927 5.3.15).
- Update
  patches.suse/bridge-ebtables-don-t-crash-when-using-dnat-target-i.patch
  (bsc#1154353 bnc#1151927 5.3.15).
- Update
  patches.suse/can-rx-offload-can_rx_offload_offload_one-do-not-inc.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/can-rx-offload-can_rx_offload_queue_tail-fix-error-h.patch
  (git-fixes bnc#1151927 5.3.15).
- Update patches.suse/clk-at91-avoid-sleeping-early.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-at91-fix-update-bit-maps-on-CFG_MOR-write.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-at91-sam9x60-fix-programmable-clock.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-samsung-exynos5420-Preserve-PLL-configuration-du.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-samsung-exynos542x-Move-G3D-subsystem-clocks-to-.patch
  (git-fixes bnc#1151927 5.3.15).
- Update patches.suse/clk-samsung-exynos5433-Fix-error-paths.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-sunxi-Fix-operator-precedence-in-sunxi_divs_clk_.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-sunxi-ng-a80-fix-the-zero-ing-of-bits-16-and-18.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clk-ti-clkctrl-Fix-failed-to-enable-error-with-doubl.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/clocksource-drivers-mediatek-Fix-error-handling.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/drm-amdgpu-register-gpu-instance-before-fan-boost-fe.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/fbdev-c2p-Fix-link-failure-on-non-inlining.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/i40e-Fix-for-ethtool-m-issue-on-X722-NIC.patch
  (jsc#SLE-8025 bnc#1151927 5.3.15).
- Update
  patches.suse/iavf-initialize-ITRN-registers-with-correct-values.patch
  (jsc#SLE-7940 bnc#1151927 5.3.15).
- Update
  patches.suse/ice-fix-potential-infinite-loop-because-loop-counter.patch
  (jsc#SLE-7926 bnc#1151927 5.3.15).
- Update
  patches.suse/idr-Fix-idr_get_next_ul-race-with-idr_remove.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/mac80211-fix-ieee80211_txq_setup_flows-failure-path.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/net-bcmgenet-reapply-manual-settings-to-the-PHY.patch
  (jsc#SLE-7772 bnc#1151927 5.3.15).
- Update
  patches.suse/net-bcmgenet-use-RGMII-loopback-for-MAC-reset.patch
  (jsc#SLE-7772 bnc#1151927 5.3.15).
- Update
  patches.suse/net-mlx5e-Fix-eswitch-debug-print-of-max-fdb-flow.patch
  (jsc#SLE-8464 bnc#1151927 5.3.15).
- Update
  patches.suse/net-mlx5e-Use-correct-enum-to-determine-uplink-port.patch
  (jsc#SLE-8464 bnc#1151927 5.3.15).
- Update
  patches.suse/pinctrl-cherryview-Allocate-IRQ-chip-dynamic.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/powerpc-bpf-Fix-tail-call-implementation.patch
  (bsc#1157698 bnc#1151927 5.3.15).
- Update
  patches.suse/pwm-bcm-iproc-Prevent-unloading-the-driver-module-wh.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/reset-Fix-memory-leak-in-reset_control_array_put.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/slip-Fix-use-after-free-Read-in-slip_open.patch
  (git-fixes bnc#1151927 5.3.15).
- Update patches.suse/soc-imx-gpc-fix-initialiser-format.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/stacktrace-Don-t-skip-first-entry-on-noncurrent-task.patch
  (bnc#1154866 bnc#1151927 5.3.15).
- Update
  patches.suse/thunderbolt-Fix-lockdep-circular-locking-depedency-w.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/watchdog-bd70528-Add-MODULE_ALIAS-to-allow-module-au.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/watchdog-imx_sc_wdt-Pretimeout-should-follow-SCU-fir.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/watchdog-meson-Fix-the-wrong-value-of-left-time.patch
  (git-fixes bnc#1151927 5.3.15).
- Update
  patches.suse/x86-resctrl-prevent-null-pointer-dereference-when-reading-mondata.patch
  (bsc#1152489 bnc#1151927 5.3.15).
- commit ac8515c
* Fri Dec  6 2019 jlee@suse.com
- Refresh and enable
  patches.suse/0001-MODSIGN-do-not-load-mok-when-secure-boot-disabled.patch.
  (fate#316531)
- commit 44cbe3a
* Thu Dec  5 2019 nsaenzjulienne@suse.de
- supported.conf: Support Broadcom's Genet Ethernet driver (bsc#158563)
- commit 9ba4eec
* Thu Dec  5 2019 ykaukab@suse.de
- net: thunderx: start phy before starting autonegotiation
  (bsc#1158107).
- commit 7049617
* Thu Dec  5 2019 mbenes@suse.cz
- s390/livepatch: Implement reliable stack tracing for the
  consistency model (jsc#SLE-11050).
- Update config files.
- commit 069014a
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: add stack pointer alignment sanity checks
  (jsc#SLE-11050).
- commit 1bb4634
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: filter out unreliable bogus %%r14 (jsc#SLE-11050).
- commit 2756f26
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: start unwinding from reliable state
  (jsc#SLE-11050).
- commit f610667
* Thu Dec  5 2019 mbenes@suse.cz
- s390/test_unwind: print verbose unwinding results
  (jsc#SLE-11050).
- commit 0357290
* Thu Dec  5 2019 mbenes@suse.cz
- s390: fix register clobbering in CALL_ON_STACK (jsc#SLE-11050).
- commit 0d20bdc
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: always inline get_stack_pointer (jsc#SLE-11050).
- commit b82cd7f
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: stop gracefully at task pt_regs (jsc#SLE-11050).
- commit 02b1171
* Thu Dec  5 2019 mbenes@suse.cz
- s390/head64: correct init_task stack setup (jsc#SLE-11050).
- commit bb6645d
* Thu Dec  5 2019 jack@suse.cz
- blacklist.conf: Add 9163e0184bd7 and 91cbf01178c3
- commit 7e1a7fc
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: make reuse_sp default when unwinding pt_regs
  (jsc#SLE-11050).
- commit d6b50c9
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: report an error if pt_regs are not on stack
  (jsc#SLE-11050).
- commit 13143f4
* Thu Dec  5 2019 mbenes@suse.cz
- s390: avoid misusing CALL_ON_STACK for task stack setup
  (jsc#SLE-11050).
- commit 49822da
* Thu Dec  5 2019 mbenes@suse.cz
- s390: correct CALL_ON_STACK back_chain saving (jsc#SLE-11050).
- commit d1292ec
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: unify task is current checks (jsc#SLE-11050).
- commit f37218c
* Thu Dec  5 2019 mbenes@suse.cz
- s390: disable preemption when switching to nodat stack with
  CALL_ON_STACK (jsc#SLE-11050).
- commit 2b3e23a
* Thu Dec  5 2019 mbenes@suse.cz
- s390: always inline disabled_wait (jsc#SLE-11050).
- commit e18f4f8
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: drop unnecessary code around calling
  ftrace_graph_ret_addr() (jsc#SLE-11050).
- commit f07dfe2
* Thu Dec  5 2019 mbenes@suse.cz
- s390: always inline current_stack_pointer() (jsc#SLE-11050).
- commit b8e1cdf
* Thu Dec  5 2019 mbenes@suse.cz
- s390/process: avoid custom stack unwinding in get_wchan
  (jsc#SLE-11050).
- commit 83d7f05
* Thu Dec  5 2019 mbenes@suse.cz
- s390/unwind: fix get_stack_pointer(NULL, NULL) (jsc#SLE-11050).
- commit cf38773
* Thu Dec  5 2019 mbenes@suse.cz
- s390/stacktrace: use common arch_stack_walk infrastructure
  (jsc#SLE-11050).
- Update config files.
- commit c353280
* Wed Dec  4 2019 jack@suse.cz
- xfs: Sanity check flags of Q_XQUOTARM call (bsc#1158460).
- commit 57267ac
* Wed Dec  4 2019 jack@suse.cz
- fix compat handling of FICLONERANGE, FIDEDUPERANGE and
  FS_IOC_FIEMAP (bsc#1158459).
- commit d29bae9
* Wed Dec  4 2019 jack@suse.cz
- gfs2: add compat_ioctl support (bsc#1158458).
- commit fa0941a
* Wed Dec  4 2019 jack@suse.cz
- ocfs2: fix passing zero to 'PTR_ERR' warning (bsc#1158457).
- commit b1e2fe5
* Wed Dec  4 2019 jack@suse.cz
- splice: only read in as much information as there is pipe
  buffer space (bsc#1158456).
- commit 0d75db3
* Wed Dec  4 2019 jack@suse.cz
- ext4: update direct I/O read lock pattern for IOCB_NOWAIT
  (bsc#1158454).
- iomap: fix return value of iomap_dio_bio_actor on 32bit systems
  (bsc#1158455).
- loop: fix no-unmap write-zeroes request behavior (bsc#1158389).
- commit c9b89d4
* Wed Dec  4 2019 nsaenzjulienne@suse.de
- supported.conf: support gpio-regulator used by Raspberry Pi 4
  (bsc#1158451)
- commit 83d8e7e
* Wed Dec  4 2019 bp@suse.de
- EDAC/amd64: Set grain per DIMM (bsc#1152489).
- commit f4d7468
* Wed Dec  4 2019 mbenes@suse.cz
- ftrace: Introduce PERMANENT ftrace_ops flag (bsc#1120853).
- commit c038bf4
* Wed Dec  4 2019 tiwai@suse.de
- Update patch reference for ieee802154 fix (CVE-2019-19525 bsc#1158417)
- commit 0ca3a8c
* Wed Dec  4 2019 tiwai@suse.de
- Update patch references for input and USB fixes (CVE-2019-19524 bsc#1158413 CVE-2019-19528 bsc#1158407 CVE-2019-19534 bsc#1158398)
- commit 61129d2
* Wed Dec  4 2019 mgorman@suse.de
- mm/page_io.c: annotate refault stalls from swap_readpage
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: shmem: use proper gfp flags for shmem_writepage()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/madvise.c: replace with page_size() in madvise_inject_error()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, thp: do not queue fully unmapped pages for deferred split
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/migrate.c: handle freed page at the first place (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/hugetlb: avoid looping to the same hugepage if !pages
  and !vmas (bnc#1155780 (VM/FS functional and performance
  backports)).
- hugetlb: remove duplicated code (bnc#1155780 (VM/FS functional
  and performance backports)).
- hugetlb: region_chg provides only cache entry (bnc#1155780
  (VM/FS functional and performance backports)).
- hugetlbfs: take read_lock on i_mmap for PMD sharing (bnc#1155780
  (VM/FS functional and performance backports)).
- hugetlbfs: hugetlb_fault_mutex_hash() cleanup (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/vmscan.c: fix typo in comment (bnc#1155780 (VM/FS functional
  and performance backports)).
- mm: vmscan: enforce inactive:active ratio at the reclaim root
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: detect file thrashing at the reclaim root
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: move file exhaustion detection to the node level
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: harmonize writeback congestion tracking for
  nodes & memcgs (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm: vmscan: split shrink_node() into node part and memcgs part
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: turn shrink_node_memcg() into shrink_lruvec()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: replace shrink_node() loop with a retry jump
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: naming fixes: global_reclaim() and sane_reclaim()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: vmscan: move inactive_list_is_low() swap check to the caller
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: clean up and clarify lruvec lookup procedure (bnc#1155780
  (VM/FS functional and performance backports)).
- mm: vmscan: simplify lruvec_lru_size() (bnc#1155780 (VM/FS
  functional and performance backports)).
- mm/vmscan.c: remove unused scan_control parameter from pageout()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/vmscan: remove unused lru_pages argument (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/vmalloc: rework vmap_area_lock (bnc#1155780 (VM/FS functional
  and performance backports)).
- mm/vmalloc: add more comments to the adjust_va_to_fit_type()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/vmalloc: respect passed gfp_mask when doing preloading
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/vmalloc: remove preempt_disable/enable when doing preloading
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/vmalloc.c: remove unnecessary highmem_mask from parameter
  of gfpflags_allow_blocking() (bnc#1155780 (VM/FS functional
  and performance backports)).
- mm, soft-offline: convert parameter to pfn (bnc#1155780 (VM/FS
  functional and performance backports)).
- mm/memory-failure.c clean up around tk pre-allocation
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, memfd: fix COW issue on MAP_PRIVATE and F_SEAL_FUTURE_WRITE
  mappings (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm/rmap.c: use VM_BUG_ON_PAGE() in __page_check_anon_rmap()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/rmap.c: fix outdated comment in page_get_anon_vma()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/mmap.c: use IS_ERR_VALUE to check return value
  of get_unmapped_area (bnc#1155780 (VM/FS functional and
  performance backports)).
- mm/rmap.c: reuse mergeable anon_vma as parent when fork
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/rmap.c: don't reuse anon_vma if we just want a copy
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/mmap.c: rb_parent is not necessary in __vma_link_list()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/mmap.c: extract __vma_unlink_list() as counterpart for
  __vma_link_list() (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm/mmap.c: __vma_unlink_prev() is not necessary now (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/mmap.c: prev could be retrieved from vma->vm_prev
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/swap.c: piggyback lru_add_drain_all() calls (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/mmap.c: remove a never-triggered warning in __vma_adjust()
  (bnc#1155780 (VM/FS functional and performance backports)).
- rss_stat: add support to detect RSS updates of external mm
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: emit tracepoint when RSS changes (bnc#1155780 (VM/FS
  functional and performance backports)).
- shmem: pin the file in shmem_fault() if mmap_sem is dropped
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: drop mmap_sem before calling balance_dirty_pages() in
  write fault (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm: vmscan: memcontrol: remove mem_cgroup_select_victim_node()
  (bnc#1155780 (VM/FS functional and performance backports)).
- include/linux/memcontrol.h: fix comments based on per-node memcg
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: memcontrol: remove dead code from memory_max_write()
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, memcg: clean up reclaim iter array (bnc#1155780 (VM/FS
  functional and performance backports)).
- mm/swap.c: trivial mark_page_accessed() cleanup (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/filemap.c: warn if stale pagecache is left after direct write
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/filemap.c: remove redundant cache invalidation after async
  direct-io write (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm/slub.c: clean up validate_slab() (bnc#1155780 (VM/FS
  functional and performance backports)).
- mm/slub.c: update comments (bnc#1155780 (VM/FS functional and
  performance backports)).
- mm: slub: print the offset of fault addresses (bnc#1155780
  (VM/FS functional and performance backports)).
- mm, slab_common: use enum kmalloc_cache_type to iterate over
  kmalloc caches (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm, slab: remove unused kmalloc_size() (bnc#1155780 (VM/FS
  functional and performance backports)).
- mm, slab: make kmalloc_info[] contain all types of names
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, memcg: make scan aggression always exclude protection
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, memcg: make memory.emin the baseline for utilisation
  determination (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm, memcg: proportional memory.{low,min} reclaim (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/vmalloc.c: move 'area->pages' after if statement (bnc#1155780
  (VM/FS functional and performance backports)).
- mm/vmalloc: modify struct vmap_area to reduce its size
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/vmalloc: do not keep unpurged areas in the busy tree
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm: introduce compound_nr() (bnc#1155780 (VM/FS functional
  and performance backports)).
- mm: introduce page_shift() (bnc#1155780 (VM/FS functional and
  performance backports)).
- mm: introduce page_size() (bnc#1155780 (VM/FS functional and
  performance backports)).
- vmalloc: lift the arm flag for coherent mappings to common code
  (bnc#1155780 (VM/FS functional and performance backports)).
- commit d67e35b
* Wed Dec  4 2019 glin@suse.com
- bpf, testing: Convert prog tests to probe_read_{user, kernel}{,
  _str} helper (bsc#1155518).
- bpf, samples: Use bpf_probe_read_user where appropriate
  (bsc#1155518).
- commit e02b4fe
* Wed Dec  4 2019 tiwai@suse.de
- Update patch reference for USB can security fix (CVE-2019-19529 bsc#1158381)
- commit a96958b
* Wed Dec  4 2019 jack@suse.cz
- iomap: Fix pipe page leakage during splicing (bsc#1158383).
- commit b73f21b
* Wed Dec  4 2019 jack@suse.cz
- ext4: Fix credit estimate for final inode freeing (bsc#1158380).
- commit 99e5121
* Wed Dec  4 2019 jack@suse.cz
- ubifs: Fix memory leak in __ubifs_node_verify_hmac error path
  (bsc#1158378).
- commit 7babaf3
* Wed Dec  4 2019 jack@suse.cz
- ubifs: Fix memory leak in read_znode() error path (bsc#1158376).
- commit b3fc39e
* Wed Dec  4 2019 jack@suse.cz
- ecryptfs: fix unlink and rmdir in face of underlying fs
  modifications (bsc#1158374).
- commit 9fe5fae
* Wed Dec  4 2019 jack@suse.cz
- aio: Fix io_pgetevents() struct __compat_aio_sigset layout
  (bsc#1158373).
- commit 569924c
* Wed Dec  4 2019 glin@suse.com
- xdp: Fix cleanup on map free for devmap_hash map type
  (bsc#1155518).
- libbpf: Fix call relocation offset calculation bug
  (bsc#1155518).
- selftests, bpf: Fix test_tc_tunnel hanging (bsc#1155518).
- selftests, bpf: xdping is not meant to be run standalone
  (bsc#1155518).
- bpf: Fix race in btf_resolve_helper_id() (bsc#1155518).
- libbpf: Improve handling of corrupted ELF during map
  initialization (bsc#1155518).
- libbpf: Make btf__resolve_size logic always check size error
  condition (bsc#1155518).
- libbpf: Fix another potential overflow issue in bpf_prog_linfo
  (bsc#1155518).
- libbpf: Fix potential overflow issue (bsc#1155518).
- libbpf: Fix memory leak/double free issue (bsc#1155518).
- libbpf: Fix negative FD close() in xsk_setup_xdp_prog()
  (bsc#1155518).
- bpf: Account for insn->off when doing bpf_probe_read_kernel
  (bsc#1155518).
- bpf: Switch BPF probe insns to bpf_probe_read_kernel
  (bsc#1155518).
- bpf: Add probe_read_{user, kernel} and probe_read_{user,
  kernel}_str helpers (bsc#1155518).
- bpf: Make use of probe_user_write in probe write helper
  (bsc#1155518).
- uaccess: Add strict non-pagefault kernel-space read function
  (bsc#1155518).
- uaccess: Add non-pagefault user-space write function
  (bsc#1155518).
- bpf: Fix bpf jit kallsym access (bsc#1155518).
- libbpf: Don't use kernel-side u32 type in xsk.c (bsc#1155518).
- libbpf: Fix off-by-one error in ELF sanity check (bsc#1155518).
- libbpf: Fix compatibility for kernels without need_wakeup
  (bsc#1155518).
- libbpf: Fix strncat bounds error in libbpf_prog_type_by_name
  (bsc#1155518).
- bpf: Fix build error without CONFIG_NET (bsc#1155518).
- bpf: Fix bpf_attr.attach_btf_id check (bsc#1155518).
- selftests/bpf: Add kfree_skb raw_tp test (bsc#1155518).
- bpf: Check types of arguments passed into helpers (bsc#1155518).
- bpf: Add support for BTF pointers to x86 JIT (bsc#1155518).
- bpf: Add support for BTF pointers to interpreter (bsc#1155518).
- bpf: Attach raw_tp program with BTF via type name (bsc#1155518).
- bpf: Implement accurate raw_tp context access via BTF
  (bsc#1155518).
- libbpf: Auto-detect btf_id of BTF-based raw_tracepoints
  (bsc#1155518).
- bpf: Add attach_btf_id attribute to program load (bsc#1155518).
- bpf: Process in-kernel BTF (bsc#1155518).
- bpf: Add typecast to bpf helpers to help BTF generation
  (bsc#1155518).
- bpf: Add typecast to raw_tracepoints to help BTF generation
  (bsc#1155518).
- bpf/stackmap: Fix deadlock with rq_lock in bpf_get_stack()
  (bsc#1155518).
- libbpf: Fix passing uninitialized bytes to setsockopt
  (bsc#1155518).
- selftests/bpf: Fix btf_dump padding test case (bsc#1155518).
- selftests/bpf: test_progs: add missing \n to CHECK_FAIL
  (bsc#1155518).
- selftests/bpf: test_progs: fix verbose mode garbage
  (bsc#1155518).
- selftests/bpf: test_progs: remove unused ret (bsc#1155518).
- selftests/bpf: test_progs: remove asserts from subtests
  (bsc#1155518).
- selftests/bpf: test_progs: remove global fail/success counts
  (bsc#1155518).
- selftests/bpf: test_progs: test__skip (bsc#1155518).
- selftests/bpf: test_progs: drop extra trailing tab
  (bsc#1155518).
- selftests/bpf: test_progs: test__printf -> printf (bsc#1155518).
- selftests/bpf: test_progs: switch to open_memstream
  (bsc#1155518).
- commit b4301c5
* Wed Dec  4 2019 jack@suse.cz
- blacklist.conf: Add fs/f2fs to blacklist
  We don't care about F2FS as we don't even compile it.
- commit d73a3d9
* Wed Dec  4 2019 jack@suse.cz
- ext4: set error return correctly when ext4_htree_store_dirent
  fails (bsc#1158371).
- commit 7f15da5
* Wed Dec  4 2019 jslaby@suse.cz
- Revert "nvme: Add quirk for Kingston NVME SSD running FW
  E8FK11.T" (git-fixes).
- PCI/MSI: Fix incorrect MSI-X masking on resume (git-fixes).
- commit e6e544b
* Wed Dec  4 2019 jack@suse.cz
- block: check bi_size overflow before merge (bsc#1158370).
- commit b8ddf8c
* Wed Dec  4 2019 mkubecek@suse.cz
- series.conf: cleanup
  update mainline references, refresh and move into sorted section:
  patches.suse/mm-pcp-Share-common-code-between-memory-hotplug-and-percpu-sysctl-handler.patch
  patches.suse/mm-pcpu-Make-zone-pcp-updates-and-reset-internal-to-the-mm.patch
  patches.suse/autonuma-fix-watermark-checking-in-migrate_balanced_pgdat.patch
  patches.suse/autonuma-reduce-cache-footprint-when-scanning-page-tables.patch
  patches.suse/CIFS-Fix-SMB2-oplock-break-processing.patch
  patches.suse/cifs-move-cifsFileInfo_put-logic-into-a-work-queue.patch
- commit f9fc458
* Wed Dec  4 2019 mkubecek@suse.cz
- series.conf: refresh
  update mainline references and resort:
  patches.suse/pci-aardvark-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-altera-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-dwc-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-export-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-faraday-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-ftpci100-use-inbound-resources-for-setup.patch
  patches.suse/pci-iproc-use-inbound-resources-for-setup.patch
  patches.suse/pci-iproc-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-mediatek-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-mobiveil-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-of-add-inbound-resource-parsing-to-helpers.patch
  patches.suse/pci-rcar-use-inbound-resources-for-setup.patch
  patches.suse/pci-rockchip-drop-storing-driver-private-outbound-resource-data.patch
  patches.suse/pci-rockchip-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-v3-semi-use-inbound-resources-for-setup.patch
  patches.suse/pci-v3-semi-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-versatile-enable-compile_test.patch
  patches.suse/pci-versatile-remove-usage-of-phys_offset.patch
  patches.suse/pci-versatile-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-xgene-use-inbound-resources-for-setup.patch
  patches.suse/pci-xgene-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-xilinx-nwl-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/pci-xilinx-use-pci_parse_request_of_pci_ranges.patch
  patches.suse/resource-add-a-resource_list_first_type-helper.patch
- commit 14fed6d
* Tue Dec  3 2019 mkubecek@suse.cz
- fix mainline references
  fix Patch-mainline:
  patches.suse/powercap-intel_rapl-add-support-for-CometLake-Mobile
  patches.suse/powercap-intel_rapl-add-support-for-Cometlake-desktop
- commit 68d56a7
* Tue Dec  3 2019 trenn@suse.com
- powercap/intel_rapl: add support for Cometlake desktop
  (jsc#SLE-8184).
- powercap/intel_rapl: add support for CometLake Mobile
  (jsc#SLE-8184).
- commit f7448e7
* Tue Dec  3 2019 mkubecek@suse.cz
- config: refresh
  Only update headers.
- commit 908f91e
* Tue Dec  3 2019 msuchanek@suse.de
- powerpc/pseries: Enable support for ibm,drc-info property
  (bsc#1157480 ltc#181028).
- PCI: rpaphp: Correctly match ibm, my-drc-index to drc-name
  when using drc-info (bsc#1157480 ltc#181028).
- PCI: rpaphp: Annotate and correctly byte swap DRC properties
  (bsc#1157480 ltc#181028).
- PCI: rpaphp: Add drc-info support for hotplug slot registration
  (bsc#1157480 ltc#181028).
- PCI: rpaphp: Don't rely on firmware feature to imply drc-info
  support (bsc#1157480 ltc#181028).
- PCI: rpaphp: Fix up pointer to first drc-info entry (bsc#1157480
  ltc#181028).
- powerpc/pseries: Add cpu DLPAR support for drc-info property
  (bsc#1157480 ltc#181028).
- powerpc/pseries: Fix drc-info mappings of logical cpus to
  drc-index (bsc#1157480 ltc#181028).
- powerpc/pseries: Fix bad drc_index_start value parsing of
  drc-info entry (bsc#1157480 ltc#181028).
- commit 557da83
* Tue Dec  3 2019 mbrugger@suse.com
- arm64: Update config files. (jsc#SLE-9943 bsc#1158193)
  Bump CONFIG_NODES_SHIFT from 2 to 6
- commit 0cfadc1
* Tue Dec  3 2019 tiwai@suse.de
- rpm/kernel-subpackage-spec: Exclude kernel-firmware recommends (bsc#1143959)
  For reducing the dependency on kernel-firmware in sub packages
- commit d950271
* Tue Dec  3 2019 tiwai@suse.de
- mwifiex: Fix heap overflow in
  mmwifiex_process_tdls_action_frame()
  (CVE-2019-14901,bsc#1157042).
- commit 7889fe2
* Tue Dec  3 2019 nmoreychaisemartin@suse.com
- mlx5: add parameter to disable enhanced IPoIB (bsc#1142095)
- commit 4ea5d32
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Selftests of the API for tracking system state
  changes (bsc#1071995 fate#323487).
- supported.conf:
- commit 4fff100
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Allow to distinguish different version of system
  state changes (bsc#1071995 fate#323487).
- commit 1b157ca
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Basic API to track system state changes (bsc#1071995
  fate#323487).
- Refresh
  patches.suse/livepatch-create-and-include-UAPI-headers.patch.
- commit d8150c3
* Tue Dec  3 2019 mbenes@suse.cz
- livepatch: Keep replaced patches until post_patch callback is
  called (bsc#1071995 fate#323487).
- commit 3c51995
* Tue Dec  3 2019 mbenes@suse.cz
- tracing/kprobe: Check whether the non-suffixed symbol is notrace
  (bsc#1158279).
- commit 8be1214
* Tue Dec  3 2019 jslaby@suse.cz
- Linux 5.3.14 (bnc#1151927 5.3.14).
- staging: comedi: usbduxfast: usbduxfast_ai_cmdtest rounding
  error (bnc#1151927 5.3.14).
- usb-serial: cp201x: support Mark-10 digital force gauge
  (bnc#1151927 5.3.14).
- USB: serial: option: add support for Foxconn T77W968 LTE modules
  (bnc#1151927 5.3.14).
- USB: serial: option: add support for DW5821e with eSIM support
  (bnc#1151927 5.3.14).
- USB: serial: mos7840: add USB ID to support Moxa UPort 2210
  (bnc#1151927 5.3.14).
- USBIP: add config dependency for SGL_ALLOC (bnc#1151927 5.3.14).
- USB: chaoskey: fix error case of a timeout (bnc#1151927 5.3.14).
- usbip: tools: fix fd leakage in the function of
  read_attr_usbip_status (bnc#1151927 5.3.14).
- appledisplay: fix error handling in the scheduled work
  (bnc#1151927 5.3.14).
- media: imon: invalid dereference in imon_touch_event
  (bnc#1151927 5.3.14).
- media: uvcvideo: Fix error path in control parsing failure
  (bnc#1151927 5.3.14).
- media: cxusb: detect cxusb_ctrl_msg error in query (bnc#1151927
  5.3.14).
- media: usbvision: Fix races among open, close, and disconnect
  (bnc#1151927 5.3.14).
- media: usbvision: Fix invalid accesses after device disconnect
  (bnc#1151927 5.3.14).
- media: mceusb: fix out of bounds read in MCE receiver buffer
  (bnc#1151927 5.3.14).
- media: vivid: Set vid_cap_streaming and vid_out_streaming to
  true (bnc#1151927 5.3.14).
- cpufreq: Add NULL checks to show() and store() methods of
  cpufreq (bnc#1151927 5.3.14).
- futex: Prevent robust futex exit race (bnc#1151927 5.3.14).
- x86/entry/32: Fix FIXUP_ESPFIX_STACK with user CR3 (bnc#1151927
  5.3.14).
- x86/pti/32: Calculate the various PTI cpu_entry_area sizes
  correctly, make the CPU_ENTRY_AREA_PAGES assert precise
  (bnc#1151927 5.3.14).
- selftests/x86/sigreturn/32: Invalidate DS and ES when abusing
  the kernel (bnc#1151927 5.3.14).
- selftests/x86/mov_ss_trap: Fix the SYSENTER test (bnc#1151927
  5.3.14).
- x86/entry/32: Fix NMI vs ESPFIX (bnc#1151927 5.3.14).
- x86/entry/32: Unwind the ESPFIX stack earlier on exception entry
  (bnc#1151927 5.3.14).
- x86/entry/32: Move FIXUP_FRAME after pushing %%fs in SAVE_ALL
  (bnc#1151927 5.3.14).
- x86/entry/32: Use %%ss segment where required (bnc#1151927
  5.3.14).
- x86/entry/32: Fix IRET exception (bnc#1151927 5.3.14).
- x86/cpu_entry_area: Add guard page for entry stack on 32bit
  (bnc#1151927 5.3.14).
- x86/pti/32: Size initial_page_table correctly (bnc#1151927
  5.3.14).
- x86/doublefault/32: Fix stack canaries in the double fault
  handler (bnc#1151927 5.3.14).
- x86/xen/32: Simplify ring check in xen_iret_crit_fixup()
  (bnc#1151927 5.3.14).
- x86/xen/32: Make xen_iret_crit_fixup() independent of frame
  layout (bnc#1151927 5.3.14).
- x86/stackframe/32: Repair 32-bit Xen PV (bnc#1151927 5.3.14).
- x86/speculation: Fix redundant MDS mitigation message
  (bnc#1151927 5.3.14).
- x86/speculation: Fix incorrect MDS/TAA mitigation status
  (bnc#1151927 5.3.14).
- x86/insn: Fix awk regexp warnings (bnc#1151927 5.3.14).
- Bluetooth: Fix invalid-free in bcsp_close() (bnc#1151927
  5.3.14).
- ath10k: restore QCA9880-AR1A (v1) detection (bnc#1151927
  5.3.14).
- ath9k_hw: fix uninitialized variable data (bnc#1151927 5.3.14).
- ath10k: Fix HOST capability QMI incompatibility (bnc#1151927
  5.3.14).
- Revert "dm crypt: use WQ_HIGHPRI for the IO and crypt
  workqueues" (bnc#1151927 5.3.14).
- nbd: prevent memory leak (bnc#1151927 5.3.14).
- md/raid10: prevent access of uninitialized resync_pages offset
  (bnc#1151927 5.3.14).
- net: rtnetlink: prevent underflows in do_setvfinfo()
  (bnc#1151927 5.3.14).
- nfc: port100: handle command failure cleanly (bnc#1151927
  5.3.14).
- net/ipv4: fix sysctl max for fib_multipath_hash_policy
  (bnc#1151927 5.3.14).
- drm/i915/pmu: "Frequency" is reported as accumulated cycles
  (bnc#1151927 5.3.14).
- drm/i915: Don't oops in dumb_create ioctl if we have no crtcs
  (bnc#1151927 5.3.14).
- drm/amdgpu: disable gfxoff on original raven (bnc#1151927
  5.3.14).
- drm/amdgpu: disable gfxoff when using register read interface
  (bnc#1151927 5.3.14).
- drm/amd/powerplay: issue no PPSMC_MSG_GetCurrPkgPwr on
  unsupported ASICs (bnc#1151927 5.3.14).
- tools: gpio: Correctly add make dependencies for gpio_utils
  (bnc#1151927 5.3.14).
- fork: fix pidfd_poll()'s return type (bnc#1151927 5.3.14).
- ARM: 8904/1: skip nomap memblocks while finding the
  lowmem/highmem boundary (bnc#1151927 5.3.14).
- vhost/vsock: split packets to send using multiple buffers
  (bnc#1151927 5.3.14).
- commit c30f7a5
* Tue Dec  3 2019 jslaby@suse.cz
- Update
  patches.suse/0001-Revert-Bluetooth-hci_ll-set-operational-frequency-ea.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/0001-USB-serial-mos7720-fix-remote-wakeup.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/0001-USB-serial-mos7840-fix-remote-wakeup.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/0001-b2c2-flexcop-usb-add-sanity-checking.patch
  (bsc#1146540 CVE-2019-15291 bnc#1151927 5.3.14).
- Update patches.suse/0001-virtio_balloon-fix-shrinker-count.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/0001-virtio_console-allocate-inbufs-in-add_port-only-if-i.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/0001-virtio_ring-fix-return-code-on-DMA-mapping-fails.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/ALSA-usb-audio-Fix-NULL-dereference-at-parsing-BADD.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/KVM-PPC-Book3S-HV-Flush-link-stack-on-guest-exit-to-.patch
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612 bnc#1151927
  5.3.14).
- Update
  patches.suse/Revert-fs-ocfs2-fix-possible-null-pointer-dereferenc.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/drm-i915-userptr-Try-to-acquire-the-page-lock-around.patch
  (bnc#1156537 bnc#1151927 5.3.14).
- Update
  patches.suse/gpio-bd70528-Use-correct-unit-for-debounce-times.patch
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608 bnc#1151927 5.3.14).
- Update patches.suse/gpio-max77620-Fixup-debounce-delays.patch
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608 bnc#1151927 5.3.14).
- Update
  patches.suse/gve-fix-dma-sync-bug-where-not-all-pages-synced.patch
  (bsc#1154353 bnc#1151927 5.3.14).
- Update
  patches.suse/ipv6-route-return-if-there-is-no-fib_nh_gw_family.patch
  (bsc#1154353 bnc#1151927 5.3.14).
- Update
  patches.suse/mdio_bus-Fix-init-if-CONFIG_RESET_CONTROLLER-n.patch
  (git-fixes bnc#1151927 5.3.14).
- Update
  patches.suse/media-vivid-Fix-wrong-locking-that-causes-race-condi.patch
  (CVE-2019-18683,bsc#1155897 bnc#1151927 5.3.14).
- Update
  patches.suse/mlxsw-spectrum_router-Fix-determining-underlay-for-a.patch
  (bsc#1154488 bnc#1151927 5.3.14).
- Update
  patches.suse/mm-ksm.c-don-t-WARN-if-page-is-still-mapped-in-remove_stable_node.patch
  (git fixes (mm/ksm bnc#1151927 5.3.14).
- Update
  patches.suse/mm-memory_hotplug-don-t-access-uninitialized-memmaps-in-shrink_zone_span.patch
  (git fixes (mm/hotplug) bnc#1151927 5.3.14).
- Update
  patches.suse/mm-slub.c-init_on_free-1-should-wipe-freelist-ptr-for-bulk-allocations.patch
  (git fixes (mm/slub) bnc#1151927 5.3.14).
- Update patches.suse/nbd-fix-memory-leak-in-nbd_get_socket.patch
  (git-fixes bnc#1151927 5.3.14).
- Update patches.suse/net-ath10k-Fix-a-NULL-ptr-deref-bug.patch
  (CVE-2019-15099,bsc#1146368 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx4_en-Fix-wrong-limitation-for-number-of-TX-ri.patch
  (jsc#SLE-8460 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx4_en-fix-mlx4-ethtool-N-insertion.patch
  (jsc#SLE-8460 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx5-Fix-auto-group-size-calculation.patch
  (jsc#SLE-8464 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx5-Update-the-list-of-the-PCI-supported-device.patch
  (jsc#SLE-8464 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx5e-Do-not-use-non-EXT-link-modes-in-EXT-mode.patch
  (jsc#SLE-8464 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx5e-Fix-error-flow-cleanup-in-mlx5e_tc_tun_cre.patch
  (jsc#SLE-8464 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlx5e-Fix-set-vf-link-state-error-flow.patch
  (jsc#SLE-8464 bnc#1151927 5.3.14).
- Update
  patches.suse/net-mlxfw-Verify-FSM-error-code-translation-doesn-t-.patch
  (jsc#SLE-8464 bnc#1151927 5.3.14).
- Update
  patches.suse/net-sched-act_pedit-fix-WARN-in-the-traffic-path.patch
  (bsc#1154353 bnc#1151927 5.3.14).
- Update
  patches.suse/net-sched-ensure-opts_len-IP_TUNNEL_OPTS_MAX-in-act_.patch
  (bsc#1154353 bnc#1151927 5.3.14).
- Update
  patches.suse/net-tls-enable-sk_msg-redirect-to-tls-socket-egress.patch
  (bsc#1154353 bnc#1151927 5.3.14).
- Update
  patches.suse/powerpc-64s-support-nospectre_v2-cmdline-option.patch
  (bsc#1131107 bnc#1151927 5.3.14).
- Update
  patches.suse/powerpc-book3s64-Fix-link-stack-flush-on-context-swi.patch
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612 bnc#1151927
  5.3.14).
- Update
  patches.suse/sfc-Only-cancel-the-PPS-workqueue-if-it-exists.patch
  (jsc#SLE-8314 bnc#1151927 5.3.14).
- Update
  patches.suse/taprio-don-t-reject-same-mqprio-settings.patch
  (bsc#1154353 bnc#1151927 5.3.14).
- Update
  patches.suse/usbip-Fix-uninitialized-symbol-nents-in-stub_recv_cm.patch
  (git-fixes bnc#1151927 5.3.14).
- commit 53302d0
* Tue Dec  3 2019 mbenes@suse.cz
- blacklist.conf: 1d200e9d6f63 ("block: Fix writeback throttling W=1 compiler warnings")
- commit e82481b
* Tue Dec  3 2019 jslaby@suse.cz
- hwrng: omap - Fix RNG wait loop timeout (git-fixes).
- commit 76a15d1
* Tue Dec  3 2019 mkubecek@suse.cz
- fix mainline references
- fix mainline references:
  patches.suse/0001-Revert-Bluetooth-hci_ll-set-operational-frequency-ea.patch
  patches.suse/0001-Revert-mfd-syscon-Set-name-of-regmap_config.patch
  patches.suse/0001-USB-serial-mos7720-fix-remote-wakeup.patch
  patches.suse/0001-USB-serial-mos7840-fix-remote-wakeup.patch
  patches.suse/0001-ppdev-fix-PPGETTIME-PPSETTIME-ioctls.patch
- commit d4e2479
* Tue Dec  3 2019 mkubecek@suse.cz
- series.conf: refresh
- update mainline references and resort:
  patches.suse/of-address-fix-of_pci_range_parser_one-translation-of-dma-addresses.patch
  patches.suse/of-address-follow-dma-parent-for-dma-coherent.patch
  patches.suse/of-address-introduce-of_get_next_dma_parent-helper.patch
  patches.suse/of-address-translate-dma-ranges-for-parent-nodes-missing-dma-ranges.patch
  patches.suse/of-factor-out-addr-size-cells-parsing.patch
  patches.suse/of-make-of_dma_get_range-work-on-bus-nodes.patch
  patches.suse/powerpc-book3s64-hash-Use-secondary-hash-for-bolted-.patch
  patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch
  patches.suse/powerpc-papr_scm-Fix-an-off-by-one-check-in-papr_scm.patch
  patches.suse/powerpc-pseries-Don-t-fail-hash-page-table-insert-fo.patch
  patches.suse/powerpc-pseries-Don-t-opencode-HPTE_V_BOLTED.patch
  patches.suse/powerpc-pseries-address-checkpatch-warnings-in-dlpar.patch
  patches.suse/powerpc-pseries-safely-roll-back-failed-DLPAR-cpu-ad.patch
  patches.suse/powerpc-security-Fix-wrong-message-when-RFI-Flush-is.patch
  patches.suse/powerpc-security-book3s64-Report-L1TF-status-in-sysf.patch
  patches.suse/powerpc-xive-Prevent-page-fault-issues-in-the-machin.patch
  patches.suse/scsi-lpfc-Add-FA-WWN-Async-Event-reporting.patch
  patches.suse/scsi-lpfc-Add-FC-AL-support-to-lpe32000-models.patch
  patches.suse/scsi-lpfc-Add-additional-discovery-log-messages.patch
  patches.suse/scsi-lpfc-Add-enablement-of-multiple-adapter-dumps.patch
  patches.suse/scsi-lpfc-Add-log-macros-to-allow-print-by-serverity.patch
  patches.suse/scsi-lpfc-Add-registration-for-CPU-Offline-Online-ev.patch
  patches.suse/scsi-lpfc-Change-default-IRQ-model-on-AMD-architectu.patch
  patches.suse/scsi-lpfc-Clarify-FAWNN-error-message.patch
  patches.suse/scsi-lpfc-Complete-removal-of-FCoE-T10-PI-support-on.patch
  patches.suse/scsi-lpfc-Fix-GPF-on-scsi-command-completion.patch
  patches.suse/scsi-lpfc-Fix-NULL-check-before-mempool_destroy-is-n.patch
  patches.suse/scsi-lpfc-Fix-NVME-io-abort-failures-causing-hangs.patch
  patches.suse/scsi-lpfc-Fix-NVMe-ABTS-in-response-to-receiving-an-.patch
  patches.suse/scsi-lpfc-Fix-SLI3-hba-in-loop-mode-not-discovering-.patch
  patches.suse/scsi-lpfc-Fix-a-kernel-warning-triggered-by-lpfc_get.patch
  patches.suse/scsi-lpfc-Fix-a-kernel-warning-triggered-by-lpfc_sli.patch
  patches.suse/scsi-lpfc-Fix-bad-ndlp-ptr-in-xri-aborted-handling.patch
  patches.suse/scsi-lpfc-Fix-configuration-of-BB-credit-recovery-in.patch
  patches.suse/scsi-lpfc-Fix-coverity-errors-on-NULL-pointer-checks.patch
  patches.suse/scsi-lpfc-Fix-device-recovery-errors-after-PLOGI-fai.patch
  patches.suse/scsi-lpfc-Fix-discovery-failures-when-target-device-.patch
  patches.suse/scsi-lpfc-Fix-duplicate-unreg_rpi-error-in-port-offl.patch
  patches.suse/scsi-lpfc-Fix-dynamic-fw-log-enablement-check.patch
  patches.suse/scsi-lpfc-Fix-hardlockup-in-lpfc_abort_handler.patch
  patches.suse/scsi-lpfc-Fix-hdwq-sgl-locks-and-irq-handling.patch
  patches.suse/scsi-lpfc-Fix-host-hang-at-boot-or-slow-boot.patch
  patches.suse/scsi-lpfc-Fix-kernel-crash-at-lpfc_nvme_info_show-du.patch
  patches.suse/scsi-lpfc-Fix-list-corruption-detected-in-lpfc_put_s.patch
  patches.suse/scsi-lpfc-Fix-list-corruption-in-lpfc_sli_get_iocbq.patch
  patches.suse/scsi-lpfc-Fix-lockdep-errors-in-sli_ringtx_put.patch
  patches.suse/scsi-lpfc-Fix-locking-on-mailbox-command-completion.patch
  patches.suse/scsi-lpfc-Fix-lpfc_cpumask_of_node_init.patch
  patches.suse/scsi-lpfc-Fix-miss-of-register-read-failure-check.patch
  patches.suse/scsi-lpfc-Fix-premature-re-enabling-of-interrupts-in.patch
  patches.suse/scsi-lpfc-Fix-pt2pt-discovery-on-SLI3-HBAs.patch
  patches.suse/scsi-lpfc-Fix-reporting-of-read-only-fw-error-errors.patch
  patches.suse/scsi-lpfc-Fix-rpi-release-when-deleting-vport.patch
  patches.suse/scsi-lpfc-Fix-spinlock_irq-issues-in-lpfc_els_flush_.patch
  patches.suse/scsi-lpfc-Fix-unexpected-error-messages-during-RSCN-.patch
  patches.suse/scsi-lpfc-Initialize-cpu_map-for-not-present-cpus.patch
  patches.suse/scsi-lpfc-Make-FW-logging-dynamically-configurable.patch
  patches.suse/scsi-lpfc-Make-function-lpfc_defer_pt2pt_acc-static.patch
  patches.suse/scsi-lpfc-Make-lpfc_debugfs_ras_log_data-static.patch
  patches.suse/scsi-lpfc-Remove-lock-contention-target-write-path.patch
  patches.suse/scsi-lpfc-Revise-interrupt-coalescing-for-missing-sc.patch
  patches.suse/scsi-lpfc-Slight-fast-path-performance-optimizations.patch
  patches.suse/scsi-lpfc-Sync-with-FC-NVMe-2-SLER-change-to-require.patch
  patches.suse/scsi-lpfc-Update-async-event-logging.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.4.0.1.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.6.0.0.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.6.0.1.patch
  patches.suse/scsi-lpfc-Update-lpfc-version-to-12.6.0.2.patch
  patches.suse/scsi-lpfc-cleanup-remove-unused-fcp_txcmlpq_cnt.patch
  patches.suse/scsi-lpfc-fix-Coverity-lpfc_cmpl_els_rsp-Null-pointe.patch
  patches.suse/scsi-lpfc-fix-Coverity-lpfc_get_scsi_buf_s3-Null-poi.patch
  patches.suse/scsi-lpfc-fix-build-error-of-lpfc_debugfs.c-for-vfre.patch
  patches.suse/scsi-lpfc-fix-coverity-error-of-dereference-after-nu.patch
  patches.suse/scsi-lpfc-fix-inlining-of-lpfc_sli4_cleanup_poll_lis.patch
  patches.suse/scsi-lpfc-fix-lpfc_nvmet_mrq-to-be-bound-by-hdw-queu.patch
  patches.suse/scsi-lpfc-fix-spelling-error-in-MAGIC_NUMER_xxx.patch
  patches.suse/scsi-lpfc-lpfc_attr-Fix-Use-plain-integer-as-NULL-po.patch
  patches.suse/scsi-lpfc-lpfc_nvmet-Fix-Use-plain-integer-as-NULL-p.patch
  patches.suse/scsi-lpfc-revise-nvme-max-queues-to-be-hdwq-count.patch
  patches.suse/scsi-megaraid_sas-Unique-names-for-MSI-X-vectors.patch
  patches.suse/scsi-megaraid_sas-remove-unused-variables-debugBlk-f.patch
  patches.suse/scsi-mpt3sas-Add-app-owned-flag-support-for-diag-buf.patch
  patches.suse/scsi-mpt3sas-Bump-mpt3sas-driver-version-to-32.100.0.patch
  patches.suse/scsi-mpt3sas-Display-message-before-releasing-diag-b.patch
  patches.suse/scsi-mpt3sas-Fail-release-cmnd-if-diag-buffer-is-rel.patch
  patches.suse/scsi-mpt3sas-Fix-clear-pending-bit-in-ioctl-status.patch
  patches.suse/scsi-mpt3sas-Fix-module-parameter-max_msix_vectors.patch
  patches.suse/scsi-mpt3sas-Free-diag-buffer-without-any-status-che.patch
  patches.suse/scsi-mpt3sas-Maintain-owner-of-buffer-through-Unique.patch
  patches.suse/scsi-mpt3sas-Register-trace-buffer-based-on-NVDATA-s.patch
  patches.suse/scsi-mpt3sas-Reject-NVMe-Encap-cmnds-to-unsupported-.patch
  patches.suse/scsi-mpt3sas-Reuse-diag-buffer-allocated-at-load-tim.patch
  patches.suse/scsi-mpt3sas-Use-Component-img-header-to-get-Package.patch
  patches.suse/scsi-mpt3sas-clear-release-bit-when-buffer-reregiste.patch
  patches.suse/scsi-qedf-Add-port_id-getter.patch
  patches.suse/scsi-qla2xxx-Add-error-handling-for-PLOGI-ELS-passth.patch
  patches.suse/scsi-qla2xxx-Capture-FW-dump-on-MPI-heartbeat-stop-e.patch
  patches.suse/scsi-qla2xxx-Check-for-MB-timeout-while-capturing-IS.patch
  patches.suse/scsi-qla2xxx-Do-command-completion-on-abort-timeout.patch
  patches.suse/scsi-qla2xxx-Dual-FCP-NVMe-target-port-support.patch
  patches.suse/scsi-qla2xxx-Fix-SRB-leak-on-switch-command-timeout.patch
  patches.suse/scsi-qla2xxx-Fix-a-dma_pool_free-call.patch
  patches.suse/scsi-qla2xxx-Fix-device-connect-issues-in-P2P-config.patch
  patches.suse/scsi-qla2xxx-Fix-double-scsi_done-for-abort-path.patch
  patches.suse/scsi-qla2xxx-Fix-driver-unload-hang.patch
  patches.suse/scsi-qla2xxx-Improve-logging-for-scan-thread.patch
  patches.suse/scsi-qla2xxx-Remove-an-include-directive.patch
  patches.suse/scsi-qla2xxx-Retry-PLOGI-on-FC-NVMe-PRLI-failure.patch
  patches.suse/scsi-qla2xxx-Set-remove-flag-for-all-VP.patch
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.20-k.patch
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.21-k.patch
  patches.suse/scsi-qla2xxx-don-t-use-zero-for-FC4_PRIORITY_NVME.patch
  patches.suse/scsi-qla2xxx-initialize-fc4_type_priority.patch
  patches.suse/scsi-qla2xxx-remove-redundant-assignment-to-pointer-.patch
  patches.suse/scsi-smartpqi-Align-driver-syntax-with-oob.patch
  patches.suse/scsi-smartpqi-add-inquiry-timeouts.patch
  patches.suse/scsi-smartpqi-bump-version-to-1.2.10-025.patch
  patches.suse/scsi-smartpqi-change-TMF-timeout-from-60-to-30-secon.patch
  patches.suse/scsi-smartpqi-clean-up-indentation-of-a-statement.patch
  patches.suse/scsi-smartpqi-correct-syntax-issue.patch
  patches.suse/scsi-smartpqi-fix-LUN-reset-when-fw-bkgnd-thread-is-.patch
  patches.suse/scsi-smartpqi-fix-call-trace-in-device-discovery.patch
  patches.suse/scsi-smartpqi-fix-controller-lockup-observed-during-.patch
  patches.suse/scsi-smartpqi-fix-problem-with-unique-ID-for-physica.patch
  patches.suse/scsi-smartpqi-remove-set-but-not-used-variable-ctrl_.patch
  patches.suse/scsi-smartpqi-remove-unused-manifest-constants.patch
  patches.suse/scsi-target-compare-full-CHAP_A-Algorithm-strings.patch
  patches.suse/scsi-target-fix-SendTargets-All-string-compares.patch
  patches.suse/scsi-target-iscsi-CHAP-add-support-for-SHA1-SHA256-a.patch
  patches.suse/scsi-target-iscsi-rename-some-variables-to-avoid-con.patch
  patches.suse/scsi-target-iscsi-tie-the-challenge-length-to-the-ha.patch
  patches.suse/scsi-target-remove-unused-extension-parameters.patch
  No effect on expanded tree.
- commit 1cb26c8
* Tue Dec  3 2019 mkubecek@suse.cz
- fix mainline references
  Fix patch-mainline tag:
  patches.suse/btrfs-fix-memory-leaks-in-the-test-test_find_first_c.patch
  patches.suse/btrfs-make-test_find_first_clear_extent_bit-fail-on-.patch
- commit 5794053
* Tue Dec  3 2019 neilb@suse.de
- NFSv4.1 - backchannel request should hold ref on xprt
  (bsc#1152624).
- commit 1203c55
* Mon Dec  2 2019 fdmanana@suse.com
- Btrfs: make test_find_first_clear_extent_bit fail on incorrect
  results (bsc#1158210).
- commit e7e7b18
* Mon Dec  2 2019 fdmanana@suse.com
- Btrfs: fix memory leaks in the test
  test_find_first_clear_extent_bit (bsc#1158210).
- commit 04b8200
* Mon Dec  2 2019 oneukum@suse.com
- Revert "mfd: syscon: Set name of regmap_config" (git-fixes).
- commit da59436
* Mon Dec  2 2019 oneukum@suse.com
- blacklist.conf: specific to SPARC64
- commit 6880b65
* Mon Dec  2 2019 oneukum@suse.com
- ppdev: fix PPGETTIME/PPSETTIME ioctls (git-fixes).
- commit 71fc6dc
* Mon Dec  2 2019 oneukum@suse.com
- USB: serial: mos7840: fix remote wakeup (git-fixes).
- commit 6ebc1fd
* Mon Dec  2 2019 oneukum@suse.com
- USB: serial: mos7720: fix remote wakeup (git-fixes).
- commit aeee58e
* Mon Dec  2 2019 oneukum@suse.com
- Revert "Bluetooth: hci_ll: set operational frequency earlier"
  (git-fixes).
- commit 8b8f5bf
* Mon Dec  2 2019 jslaby@suse.cz
- perf script: Fix invalid LBR/binary mismatch error (git-fixes).
- watchdog: aspeed: Fix clock behaviour for ast2600 (git-fixes).
- slip: Fix use-after-free Read in slip_open (git-fixes).
- net/sched: annotate lockless accesses to qdisc->empty
  (git-fixes).
- kselftest: Fix NULL INSTALL_PATH for TARGETS runlist
  (git-fixes).
- md/raid0: Fix an error message in raid0_make_request()
  (git-fixes).
- io_uring: Fix mm_fault with READ/WRITE_FIXED (git-fixes).
- Revert "fs: ocfs2: fix possible null-pointer dereferences in
  ocfs2_xa_prepare_entry()" (git-fixes).
- nbd:fix memory leak in nbd_get_socket() (git-fixes).
- KVM: x86/mmu: Take slots_lock when using kvm_mmu_zap_all_fast()
  (git-fixes).
- ARM: dts: stm32: remove OV5640 pinctrl definition on
  stm32mp157c-ev1 (git-fixes).
- Refresh
  patches.suse/ARM-dts-stm32-change-joystick-pinctrl-definition-on-.patch.
- commit c09426f
* Mon Dec  2 2019 jthumshirn@suse.de
- libnvdimm: Export the target_node attribute for regions and
  namespaces (bsc#1158071).
- commit 9d24c0f
* Mon Dec  2 2019 jslaby@suse.cz
- blacklist.conf: add four more entries
- commit 49fe688
* Mon Dec  2 2019 jslaby@suse.cz
- drm/mcde: Fix an error handling path in 'mcde_probe()'
  (git-fixes).
- usb: gadget: configfs: Fix missing spin_lock_init() (git-fixes).
- usbip: Fix uninitialized symbol 'nents' in
  stub_recv_cmd_submit() (git-fixes).
- commit 53a444b
* Fri Nov 29 2019 ggherdovich@suse.cz
- platform/x86: ISST: Allow additional TRL MSRs (jsc#SLE-10687).
- commit 435b3fb
* Fri Nov 29 2019 mkubecek@suse.cz
- supported.conf: sort
- commit ac3011b
* Fri Nov 29 2019 msuchanek@suse.de
- Update config files.
  ppc64 is lats architecture without PRINTK_TIME. Align with the rest.
- commit 4fb63b6
* Fri Nov 29 2019 ptesarik@suse.cz
- s390: vfio-ap: fix warning reset not completed (jsc#SLE-7524
  LTC#178970).
- commit fd793bf
* Fri Nov 29 2019 ptesarik@suse.cz
- Update config files (bsc#1158055 LTC#182629).
- commit 1b24df4
* Fri Nov 29 2019 tiwai@suse.de
- Move upstreamed patches into sorted section
  Refresh:
  patches.suse/0001-b2c2-flexcop-usb-add-sanity-checking.patch
  patches.suse/driver-core-simplify-definitions-of-platform_get_irq.patch
  patches.suse/drm-amdgpu-Add-DC-feature-mask-to-disable-fractional.patch
- commit 71f50c8
* Fri Nov 29 2019 tiwai@suse.de
- mwifiex: fix possible heap overflow in
  mwifiex_process_country_ie() (CVE-2019-14895 bsc#1157158).
- commit d8b66ee
* Fri Nov 29 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference and resort:
  patches.suse/RDMA-bnxt_re-Fix-stat-push-into-dma-buffer-on-gen-p5-devices.patch
  No effect on expanded tree.
- commit b878e91
* Fri Nov 29 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort
  patches.suse/dma-direct-avoid-a-forward-declaration-for-phys_to_dma.patch
  patches.suse/dma-direct-check-for-overflows-on-32-bit-dma-addresses.patch
  patches.suse/dma-direct-exclude-dma_direct_map_resource-from-the-min_low_pfn-check.patch
  patches.suse/dma-direct-unify-the-dma_capable-definitions.patch
  patches.suse/dma-mapping-treat-dev-bus_dma_mask-as-a-dma-limit.patch
  patches.suse/x86-pci-sta2x11-use-default-dma-address-translation.patch
- commit 3b7773d
* Thu Nov 28 2019 oneukum@suse.com
- virtio_balloon: fix shrinker count (git-fixes).
- commit 923948e
* Thu Nov 28 2019 oneukum@suse.com
- virtio_balloon: fix shrinker scan number of pages (gif-fixes).
- commit 217c80e
* Thu Nov 28 2019 oneukum@suse.com
- virtio_ring: fix return code on DMA mapping fails (git-fixes).
- commit d775d67
* Thu Nov 28 2019 yousaf.kaukab@suse.com
- regulator: core: make regulator_register() EPROBE_DEFER aware
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- regulator: core: Add label to collate of_node_put() statements
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- regulator: core: Add of_node_put() before return
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- commit 48eb6c5
* Thu Nov 28 2019 ptesarik@suse.cz
- net/smc: receive pending data after RCV_SHUTDOWN (jsc#SLE-7521
  LTC#178954).
- net/smc: receive returns without data (jsc#SLE-7521 LTC#178954).
- net/smc: fix SMCD link group creation with VLAN id (jsc#SLE-7521
  LTC#178954).
- commit 83dcb05
* Thu Nov 28 2019 ptesarik@suse.cz
- s390: add support for IBM z15 machines (bsc#1156538 LTC#182406).
- Update config files.
- commit c53f40a
* Thu Nov 28 2019 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-Fix-goto-target-to-release-the-allocated-memory.patch
  (jsc#SLE-8449 bsc#1157171 CVE-2019-19077).
- commit e1bdb30
* Thu Nov 28 2019 tbogendoerfer@suse.de
- Update
  patches.suse/nfp-flower-fix-memory-leak-in-nfp_flower_spawn_vnic_.patch
  (bnc#1151927 5.3.4 bsc#1157045 CVE-2019-19081).
- commit e720525
* Thu Nov 28 2019 tbogendoerfer@suse.de
- Update
  patches.suse/nfp-flower-prevent-memory-leak-in-nfp_flower_spawn_p.patch
  (bnc#1151927 5.3.4 bsc#1157044 CVE-2019-19080).
- commit 8b64c31
* Thu Nov 28 2019 tbogendoerfer@suse.de
- Update
  patches.suse/RDMA-hfi1-Prevent-memory-leak-in-sdma_init.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9 bsc#1157191 CVE-2019-19065).
- commit 29b1120
* Thu Nov 28 2019 yousaf.kaukab@suse.com
- gpio: stubs in headers should be inline
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- commit d6eb08d
* Thu Nov 28 2019 ptesarik@suse.cz
- s390/cpumsf: Check for CPU Measurement sampling
  (bsc#1156561 LTC#182407).
- commit 02c88d4
* Thu Nov 28 2019 yousaf.kaukab@suse.com
- regulator: add missing 'static inline' to a helper's stub
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- commit a58ac0e
* Thu Nov 28 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/ibmvnic-Bound-waits-for-device-queries.patch
  patches.suse/ibmvnic-Fix-completion-structure-initialization-again.patch
  patches.suse/ibmvnic-Serialize-device-queries.patch
  patches.suse/ibmvnic-Terminate-waiting-device-threads-after-loss-.patch
- commit 223cb4b
* Thu Nov 28 2019 mkubecek@suse.cz
- series.conf: cleanup
- move unsortable patches out of sorted section
  patches.suse/CIFS-Fix-SMB2-oplock-break-processing.patch
  patches.suse/cifs-move-cifsFileInfo_put-logic-into-a-work-queue.patch
- update Patch-mainline tag
  patches.suse/smb3-fix-leak-in-open-on-server-perf-counter.patch
- commit 4594952
* Thu Nov 28 2019 msuchanek@suse.de
- powerpc: add link stack flush mitigation in debugfs
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612).
- KVM: PPC: Book3S HV: Flush link stack on guest exit to host
  kernel (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612).
- powerpc/book3s64: Fix link stack flush on context switch
  (CVE-2019-18660 bsc#1157038 bsc#1157923 ltc#182612).
- commit 538ee5a
* Wed Nov 27 2019 msuchanek@suse.de
- net/ibmvnic: Ignore H_FUNCTION return from H_EOI to tolerate
  XIVE mode (bsc#1089644, ltc#166495, ltc#165544, git-fixes).
- Delete patches.suse/net-ibmvnic-Fix-EOI-when-running-in-XIVE-mode.patch - reverted upstream
- blacklist.conf: Add the removed patch and revert.
- commit e63bc30
* Wed Nov 27 2019 tiwai@suse.de
- PCI: Fix missing inline for pci_pr3_present() (git-fixes).
- PCI: Add a helper to check Power Resource Requirements _PR3
  existence (git-fixes).
- commit 071c077
* Wed Nov 27 2019 yousaf.kaukab@suse.com
- regulator: provide regulator_bulk_set_supply_names()
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- commit ef060bf
* Wed Nov 27 2019 oneukum@suse.com
- blacklist.conf: no need to watch for android fixes
- commit 4abf123
* Wed Nov 27 2019 ptesarik@suse.cz
- s390/pkey: fix memory leak within _copy_apqns_from_user()
  (jsc#SLE-7533 LTC#178844).
- commit 3fe4d6e
* Wed Nov 27 2019 ptesarik@suse.cz
- s390/crypto: Fix unsigned variable compared with zero
  (jsc#SLE-7545 LTC#179078).
- commit d517803
* Wed Nov 27 2019 ptesarik@suse.cz
- s390/crypto: Support for SHA3 via CPACF (MSA6) (jsc#SLE-7545
  LTC#179078).
- Update config files.
- supported.conf: Add sha3_256_s390 and sha3_512_s390.
- commit 39adadf
* Wed Nov 27 2019 mkubecek@suse.cz
- update upstream references
- move into sorted section:
  patches.suse/sched-pelt-Fix-update-of-blocked-PELT-ordering.patch
- update upstream reference and move into sorted section:
  patches.suse/sched-cpufreq-Move-the-cfs_rq_util_change-call-to-cpufreq_update_util.patch
- update Patch-mainline:
  patches.suse/sched-core-Further-clarify-sched_class-set_next_task.patch
  patches.suse/sched-core-Make-pick_next_task_idle-more-consistent.patch
  patches.suse/sched-core-Optimize-pick_next_task.patch
  patches.suse/sched-core-Simplify-sched_class-pick_next_task.patch
  patches.suse/sched-fair-Add-comments-for-group_type-and-balancing-at-SD_NUMA-level.patch
  patches.suse/sched-fair-Better-document-newidle_balance.patch
  patches.suse/sched-fair-Clean-up-asym-packing.patch
  patches.suse/sched-fair-Fix-rework-of-find_idlest_group.patch
  patches.suse/sched-fair-Optimize-find_idlest_group.patch
  patches.suse/sched-fair-Remove-meaningless-imbalance-calculation.patch
  patches.suse/sched-fair-Rename-sg_lb_stats-sum_nr_running-to-sum_h_nr_running.patch
  patches.suse/sched-fair-Rework-find_idlest_group.patch
  patches.suse/sched-fair-Rework-load_balance.patch
  patches.suse/sched-fair-Spread-out-tasks-evenly-when-not-overloaded.patch
  patches.suse/sched-fair-Use-load-instead-of-runnable-load-in-load_balance.patch
  patches.suse/sched-fair-Use-load-instead-of-runnable-load-in-wakeup-path.patch
  patches.suse/sched-fair-Use-mul_u32_u32.patch
  patches.suse/sched-fair-Use-rq-nr_running-when-balancing-load.patch
  patches.suse/sched-fair-Use-utilization-to-select-misfit-task.patch
  patches.suse/sched-fair-util_est-Implement-faster-ramp-up-EWMA-on-utilization-increases.patch
  patches.suse/sched-pelt-Fix-update-of-blocked-PELT-ordering.patch
  patches.suse/sched-topology-Don-t-set-SD_BALANCE_WAKE-on-cpuset-domain-relax.patch
- commit d845674
* Wed Nov 27 2019 yousaf.kaukab@suse.com
- soc/tegra: pmc: Add reset sources and levels on Tegra194
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Add missing IRQ callbacks on Tegra194
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Use lower-case for hexadecimal literals
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- usb: host: xhci-tegra: Correct phy enable sequence
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: tegra186: Add debounce support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: tegra186: Program interrupt route mapping
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: tegra186: Derive register offsets from bank/port
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- memory: tegra: Set DMA mask based on supported address bits
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Fix build error without CONFIG_PM_SLEEP
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Add suspend and resume support on Tegra210
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Share clk and rst register defines with Tegra
  clock driver (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: clk-super: Fix to enable PLLP branches to CPU
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: clk-dfll: Add suspend and resume support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Use fence_udelay() during PLLU init
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: clk-super: Add restore-context support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: periph: Add restore_context support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Support for OSC context save and restore
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: pll: Save and restore pll context
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: pllout: Save and restore pllout context
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: divider: Save and restore divider rate
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Reimplement SOR clocks on Tegra210
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Reimplement SOR clock on Tegra124
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Rename sor0_lvds to sor0_out
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Move SOR0 implementation to Tegra124
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: tegra: Remove last remains of TEGRA210_CLK_SOR1_SRC
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- clk: Add API to get index of the clock parent
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- dt-bindings: clock: tegra: Rename SOR0_LVDS to SOR0_OUT
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- mfd: max77620: Do not allocate IRQs upfront
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- arm64: kpti: Add NVIDIA's Carmel core to the KPTI whitelist
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Configure deep sleep control settings
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Configure core power request polarity
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Add wake event support on Tegra210
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Support wake events on more Tegra SoCs
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- cpufreq: tegra124: Add suspend and resume support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- ahci: tegra: use regulator_bulk_set_supply_names()
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- phy: tegra: use regulator_bulk_set_supply_names()
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- phy: tegra: xusb: Add vbus override support on Tegra210
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- phy: tegra: xusb: Add vbus override support on Tegra186
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- phy: tegra: xusb: Add usb3 port fake support on Tegra210
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- phy: tegra: xusb: Add XUSB dual mode support on Tegra210
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- iommu/tegra-smmu: Use non-secure register for flushing
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- iommu/tegra-smmu: Fix page tables in > 4 GiB memory
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- iommu/tegra-smmu: Fix client enablement order
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: tegra: Fix CLKREQ dependency programming
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- usb: host: xhci-tegra: Add Tegra194 XHCI support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- xhci: tegra: Parameterize mailbox register addresses
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: tegra186: Implement wake event support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: max77620: Fix interrupt handling
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: max77620: Do not allocate IRQs upfront
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- usb: host: xhci-tegra: use regulator_bulk_set_supply_names()
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- usb: host: xhci-tegra: use devm_platform_ioremap_resource()
  to simplify code (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- net: stmmac: Support enhanced addressing mode for DWMAC 4.10
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- net: stmmac: Only enable enhanced addressing mode when needed
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: pmc: Fix crashes for hierarchical interrupts
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- soc/tegra: fuse: Add FUSE clock check in tegra_fuse_readl()
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- firmware: tegra: Move BPMP resume to noirq phase
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: bd70528: Use correct unit for debounce times
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: max77620: Fixup debounce delays
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- thermal: tegra: Fix a typo
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- i2c: tegra: Compile PM functions unconditionally
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- arm64: tegra: Add PCIe slot supply information in p2972-0000
  platform (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: tegra: Add support to enable slot regulators
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: tegra: Add support to configure sideband pins
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: tegra: Add Tegra194 PCIe support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- phy: tegra: Add PCIe PIPE2UPHY support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: dwc: Add support to enable CDM register check
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: dwc: Export dw_pcie_wait_for_link() API
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: dwc: Add extended configuration space capability search
  API (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: dwc: Move config space capability search API
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: dwc: Group DBI registers writes requiring unlocking
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: Disable MSI for Tegra root ports
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- PCI: Add #defines for some of PCIe spec r4.0 features
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- pinctrl: tegra: Flush pinctrl writes during resume
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- pinctrl: tegra210: Add Tegra210 pinctrl pm ops
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- pinctrl: tegra: Add suspend and resume support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- net: stmmac: Do not request stmmaceth clock
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- net: stmmac: Make MDIO bus reset optional
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: Add PIO mode support
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: report clk rate errors
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: add support to adjust baud rate
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: DT for Adjusted baud rates
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: add support to use 8 bytes trigger
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: set maximum num of uart ports to 8
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: check for FIFO mode enabled status
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: report error to upper tty layer
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: flush the RX fifo on frame error
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: avoid reg access when clk disabled
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: add support to ignore read
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: protect IER against LCR.DLAB
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- serial: tegra: add internal loopback functionality
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- dmaengine: tegra210-adma: Don't program FIFO threshold
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- dmaengine: tegra-apb: Support per-burst residue granularity
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: pca953x: Drop %%s for constant string literals
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: pca953x: Remove explicit comparison with 0
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: pca953x: Use GENMASK() consistently
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: pca953x: Switch to use device_get_match_data()
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- gpio: Add support for hierarchical IRQ domains
  (jsc#SLE-9391,jsc#SLE-9388,jsc#SLE-10608).
- commit e2e7db7
* Wed Nov 27 2019 ptesarik@suse.cz
- s390/qeth: use IQD Multi-Write (jsc#SLE-7795 LTC#179220).
- s390/qdio: implement IQD Multi-Write (jsc#SLE-7795 LTC#179220).
- s390/qeth: add xmit_more support for IQD devices (jsc#SLE-7795
  LTC#179220).
- s390/qeth: add BQL support for IQD devices (jsc#SLE-7795
  LTC#179220).
- s390/qeth: when in TX NAPI mode, use napi_consume_skb()
  (jsc#SLE-7795 LTC#179220).
- s390/qeth: add TX NAPI support for IQD devices (jsc#SLE-7795
  LTC#179220).
- s390/qeth: collect accurate TX statistics (jsc#SLE-7795
  LTC#179220).
- s390/qdio: let drivers opt-out from Output Queue scanning
  (jsc#SLE-7795 LTC#179220).
- s390/qdio: enable drivers to poll for Output completions
  (jsc#SLE-7795 LTC#179220).
- commit a827279
* Wed Nov 27 2019 ptesarik@suse.cz
- s390/pkey: Add sysfs attributes to emit AES CIPHER key blobs
  (jsc#SLE-7533 LTC#178844).
- s390/zcrypt: fix wrong handling of cca cipher keygenflags
  (jsc#SLE-7533 LTC#178844).
- s390/paes: Prepare paes functions for large key blobs
  (jsc#SLE-7533 LTC#178844).
- s390/pkey: add CCA AES cipher key support (jsc#SLE-7533
  LTC#178844).
- s390/zcrypt: Add low level functions for CCA AES cipher keys
  (jsc#SLE-7533 LTC#178844).
- s390/zcrypt: extend cca_findcard function and helper
  (jsc#SLE-7533 LTC#178844).
- s390/pkey: pkey cleanup: narrow in-kernel API, fix some variable
  types (jsc#SLE-7533 LTC#178844).
- commit 5c983d1
* Wed Nov 27 2019 nsaenzjulienne@suse.de
- of: Make of_dma_get_range() work on bus nodes (jsc#SLE-7772).
- of/address: Fix of_pci_range_parser_one translation of DMA
  addresses (jsc#SLE-7772).
- of/address: Translate 'dma-ranges' for parent nodes missing
  'dma-ranges' (jsc#SLE-7772).
- of: Factor out #{addr,size}-cells parsing (jsc#SLE-7772).
- of: address: Follow DMA parent for "dma-coherent"
  (jsc#SLE-7772).
- of/address: Introduce of_get_next_dma_parent() helper
  (jsc#SLE-7772).
- commit 6061577
* Wed Nov 27 2019 msuchanek@suse.de
- ibmvnic: Serialize device queries (bsc#1155689 ltc#182047).
- ibmvnic: Bound waits for device queries (bsc#1155689
  ltc#182047).
- ibmvnic: Terminate waiting device threads after loss of service
  (bsc#1155689 ltc#182047).
- ibmvnic: Fix completion structure initialization (bsc#1155689
  ltc#182047).
- commit 0ff402a
* Wed Nov 27 2019 mkubecek@suse.cz
- config: refresh
- drop SOUNDWIRE from ppc64le/kvmsmall (no longer visible)
- update headers
- commit 1859c8f
* Wed Nov 27 2019 mgorman@suse.de
- Refresh
  patches.suse/sched-core-Further-clarify-sched_class-set_next_task.patch.
- Refresh
  patches.suse/sched-core-Make-pick_next_task_idle-more-consistent.patch.
- Refresh patches.suse/sched-core-Optimize-pick_next_task.patch.
- Refresh
  patches.suse/sched-core-Simplify-sched_class-pick_next_task.patch.
- Refresh
  patches.suse/sched-fair-Add-comments-for-group_type-and-balancing-at-SD_NUMA-level.patch.
- Refresh
  patches.suse/sched-fair-Better-document-newidle_balance.patch.
- Refresh patches.suse/sched-fair-Clean-up-asym-packing.patch.
- Refresh
  patches.suse/sched-fair-Fix-rework-of-find_idlest_group.patch.
- Refresh
  patches.suse/sched-fair-Optimize-find_idlest_group.patch.
- Refresh
  patches.suse/sched-fair-Remove-meaningless-imbalance-calculation.patch.
- Refresh
  patches.suse/sched-fair-Rename-sg_lb_stats-sum_nr_running-to-sum_h_nr_running.patch.
- Refresh patches.suse/sched-fair-Rework-find_idlest_group.patch.
- Refresh patches.suse/sched-fair-Rework-load_balance.patch.
- Refresh
  patches.suse/sched-fair-Spread-out-tasks-evenly-when-not-overloaded.patch.
- Refresh
  patches.suse/sched-fair-Use-load-instead-of-runnable-load-in-load_balance.patch.
- Refresh
  patches.suse/sched-fair-Use-load-instead-of-runnable-load-in-wakeup-path.patch.
- Refresh patches.suse/sched-fair-Use-mul_u32_u32.patch.
- Refresh
  patches.suse/sched-fair-Use-rq-nr_running-when-balancing-load.patch.
- Refresh
  patches.suse/sched-fair-Use-utilization-to-select-misfit-task.patch.
- Refresh
  patches.suse/sched-fair-util_est-Implement-faster-ramp-up-EWMA-on-utilization-increases.patch.
- Refresh
  patches.suse/sched-topology-Don-t-set-SD_BALANCE_WAKE-on-cpuset-domain-relax.patch.
- commit 20b4948
* Wed Nov 27 2019 mkubecek@suse.cz
- fix Patch-mainline tags
  fix Patch-mainline:
  patches.suse/0001-Bluetooth-btusb-fix-PM-leak-in-error-case-of-setup.patch
  patches.suse/0001-crypto-af_alg-cast-ki_complete-ternary-op-to-int.patch
  patches.suse/0001-crypto-algif_skcipher-Use-chunksize-instead-of-block.patch
  patches.suse/0001-crypto-ecdh-fix-big-endian-bug-in-ECC-library.patch
  patches.suse/0001-crypto-user-fix-memory-leak-in-crypto_report.patch
  patches.suse/0001-crypto-user-fix-memory-leak-in-crypto_reportstat.patch
  patches.suse/0001-libbpf-Fix-struct-end-padding-in-btf_dump.patch
- commit 03de6a8
* Wed Nov 27 2019 mkubecek@suse.cz
- series.conf: cleanup
  Keep the number of top level section reasonable.
- commit b91f28d
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: usb-audio: Fix Focusrite Scarlett 6i6 gen1 - input
  handling (git-fixes).
- ALSA: usb-audio: Fix NULL dereference at parsing BADD
  (git-fixes).
- ALSA: usb-audio: Fix Scarlett 6i6 Gen 2 port data (git-fixes).
- ALSA: usb-audio: Add skip_validation option (git-fixes).
- ALSA: 6fire: Drop the dead code (git-fixes).
- ALSA: usb-audio: sound: usb: usb true/false for bool return type
  (git-fixes).
- commit f395c96
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: docs: Update about the new PCM sync_stop ops (git-fixes).
- ALSA: pcm: Add card sync_irq field (git-fixes).
- ALSA: pcm: Add the support for sync-stop operation (git-fixes).
- ALSA: pcm: Move PCM_RUNTIME_CHECK() macro into local header
  (git-fixes).
- ALSA: docs: Update document about the default PCM ioctl ops
  (git-fixes).
- ALSA: pcm: Allow NULL ioctl ops (git-fixes).
- ALSA: docs: Update for managed buffer allocation mode
  (git-fixes).
- ALSA: pcm: Introduce managed buffer allocation mode (git-fixes).
- ALSA: timer: Fix the breakage of slave link open (git-fixes).
- ALSA: pcm: Yet another missing check of non-cached buffer type
  (git-fixes).
- ALSA: timer: Fix possible race at assigning a timer instance
  (git-fixes).
- ALSA: timer: Make snd_timer_close() returning void (git-fixes).
- ALSA: timer: Unify master/slave linking code (git-fixes).
- ALSA: timer: Limit max amount of slave instances (git-fixes).
- ALSA: docs: Remove snd_dma_pci_data() usage in documentation
  (git-fixes).
- ALSA: pcm: Create proc files only for non-empty preallocations
  (git-fixes).
- ALSA: pcm: Warn if doubly preallocated (git-fixes).
- ALSA: docs: Update documentation about SG- and vmalloc-buffers
  (git-fixes).
- ALSA: pcm: Handle special page mapping in the default mmap
  handler (git-fixes).
- ALSA: memalloc: Add vmalloc buffer allocation support
  (git-fixes).
- ALSA: memalloc: Allow NULL device for SNDRV_DMA_TYPE_CONTINUOUS
  type (git-fixes).
- commit a9f5790
* Wed Nov 27 2019 tiwai@suse.de
- ALSA: hda/realtek - Enable internal speaker of ASUS UX431FLC
  (git-fixes).
- ALSA: hda/hdmi - Clear codec->relaxed_resume flag at unbinding
  (git-fixes).
- ALSA: hda - Disable audio component for legacy Nvidia HDMI
  codecs (git-fixes).
- ALSA: hda/realtek - Enable the headset-mic on a Xiaomi's laptop
  (git-fixes).
- ALSA: hda/realtek - Move some alc236 pintbls to fallback table
  (git-fixes).
- ALSA: hda/realtek - Move some alc256 pintbls to fallback table
  (git-fixes).
- ALSA: hda - Add mute led support for HP ProBook 645 G4
  (git-fixes).
- ALSA: hda - Add DP-MST support for NVIDIA codecs (git-fixes).
- ALSA: hda - Add DP-MST support for non-acomp codecs (git-fixes).
- ALSA: hda - Add DP-MST jack support (git-fixes).
- ALSA: hda - Rename snd_hda_pin_sense to snd_hda_jack_pin_sense
  (git-fixes).
- ALSA: hda - remove forced polling workaround for CFL and CNL
  (git-fixes).
- ALSA: hda: hdmi - remove redundant code comments (git-fixes).
- ALSA: hda: hdmi - fix port numbering for ICL and TGL platforms
  (git-fixes).
- ALSA: hda/hdmi - Clean up Intel platform-specific fixup checks
  (git-fixes).
- ALSA: hda/hdmi - implement mst_no_extra_pcms flag (git-fixes).
- ALSA: hda: Disable regmap internal locking (git-fixes).
- ALSA: hda - Fix pending unsol events at shutdown (git-fixes).
- ALSA: hda: Allow HDA to be runtime suspended when dGPU is not
  bound to a driver (git-fixes).
- commit 81f6f50
* Wed Nov 27 2019 tiwai@suse.de
- media: vivid: Fix wrong locking that causes race conditions
  on streaming stop (CVE-2019-18683,bsc#1155897).
- media: rcar_drif: fix a memory disclosure
  (CVE-2019-18786,bsc#1156043).
- media: usb: fix memory leak in af9005_identify_state
  (CVE-2019-18809,bsc#1156258).
- commit 5b09130
* Wed Nov 27 2019 jgross@suse.com
- xen/gntdev: Use select for DMA_SHARED_BUFFER (bsc#1065600).
- commit 97a6782
* Wed Nov 27 2019 mgorman@suse.de
- sched/cpufreq: Move the cfs_rq_util_change() call to
  cpufreq_update_util() (bnc#1155798 (CPU scheduler functional
  and performance backports)).
- sched/pelt: Fix update of blocked PELT ordering (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Add comments for group_type and balancing at
  SD_NUMA level (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/fair: Fix rework of find_idlest_group() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/core: Further clarify sched_class::set_next_task()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Use mul_u32_u32() (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/core: Simplify sched_class::pick_next_task() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/core: Optimize pick_next_task() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/core: Make pick_next_task_idle() more consistent
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Better document newidle_balance() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair/util_est: Implement faster ramp-up EWMA on
  utilization increases (bnc#1155798 (CPU scheduler functional
  and performance backports)).
- sched/fair: Rework find_idlest_group() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/fair: Optimize find_idlest_group() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/fair: Use load instead of runnable load in wakeup
  path (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Use utilization to select misfit task (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Spread out tasks evenly when not overloaded
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Use load instead of runnable load in load_balance()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Use rq->nr_running when balancing load (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Rework load_balance() (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/fair: Remove meaningless imbalance calculation
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Rename sg_lb_stats::sum_nr_running to
  sum_h_nr_running (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/fair: Clean up asym packing (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched/topology: Don't set SD_BALANCE_WAKE on cpuset domain
  relax (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 0c439b5
* Tue Nov 26 2019 nsaenzjulienne@suse.de
- arm64: mm: reserve CMA and crashkernel in ZONE_DMA32
  (jsc#SLE-7772).
- commit 8dd0df2
* Tue Nov 26 2019 aaptel@suse.com
- cifs: move cifsFileInfo_put logic into a work-queue
  (bsc#1154355).
- commit 3fc1ff0
* Tue Nov 26 2019 aaptel@suse.com
- CIFS: Fix SMB2 oplock break processing (bsc#1154355).
- commit 6ea244c
* Tue Nov 26 2019 aaptel@suse.com
- cifs: add a helper to find an existing readable handle to a file
  (bsc#1154355).
- commit 86876f3
* Tue Nov 26 2019 aaptel@suse.com
- smb3: fix signing verification of large reads (bsc#1154355).
- commit 151844a
* Tue Nov 26 2019 aaptel@suse.com
- cifs: use existing handle for compound_op(OP_SET_INFO) when
  possible (bsc#1154355).
- commit bbed94e
* Tue Nov 26 2019 aaptel@suse.com
- cifs: create a helper to find a writeable handle by path name
  (bsc#1154355).
- Refresh
  patches.suse/smb3-improve-handling-of-share-deleted-and-share-recreated-.patch.
- commit b4e2014
* Tue Nov 26 2019 aaptel@suse.com
- smb3: Incorrect size for netname negotiate context
  (bsc#1154355).
- commit 2e876d6
* Tue Nov 26 2019 aaptel@suse.com
- cifs: prepare SMB2_Flush to be usable in compounds
  (bsc#1154355).
- commit 94efab3
* Tue Nov 26 2019 oneukum@suse.com
- libbpf: Fix struct end padding in btf_dump (git-fixes).
- commit 3ff85da
* Tue Nov 26 2019 oneukum@suse.com
- crypto: ecdh - fix big endian bug in ECC library (git-fixes).
- commit 3ed4e6a
* Tue Nov 26 2019 oneukum@suse.com
- crypto: user - fix memory leak in crypto_reportstat (git-fixes).
- commit 11b554d
* Tue Nov 26 2019 oneukum@suse.com
- crypto: user - fix memory leak in crypto_report (git-fixes).
- commit 905d0c3
* Tue Nov 26 2019 oneukum@suse.com
- crypto: af_alg - cast ki_complete ternary op to int (git-fixes).
- commit 62b6457
* Tue Nov 26 2019 oneukum@suse.com
- crypto: algif_skcipher - Use chunksize instead of blocksize
  (git-fixes).
- commit 638ebae
* Tue Nov 26 2019 aaptel@suse.com
- smb3: improve handling of share deleted (and share recreated)
  (bsc#1154355).
- Refresh
  patches.suse/smb3-fix-leak-in-open-on-server-perf-counter.patch.
- commit b021da1
* Tue Nov 26 2019 nsaenzjulienne@suse.de
- PCI: brcmstb: add MSI capability (jsc#SLE-7772).
- PCI: brcmstb: add Broadcom STB PCIe host controller driver
  (jsc#SLE-7772).
- config: arm64: enable RPi4 PCIe controller
- supported.conf: add pcie-brcmstb RPi4's PCIe controller
- linux/log2.h: Add roundup/rounddown_pow_two64() family of
  functions (jsc#SLE-7772).
- commit b2ce31d
* Tue Nov 26 2019 nsaenzjulienne@suse.de
- dma-mapping: treat dev->bus_dma_mask as a DMA limit
  (jsc#SLE-7772).
- dma-direct: exclude dma_direct_map_resource from the min_low_pfn
  check (jsc#SLE-7772).
- dma-direct: avoid a forward declaration for phys_to_dma
  (jsc#SLE-7772).
- dma-direct: unify the dma_capable definitions (jsc#SLE-7772).
- x86/PCI: sta2x11: use default DMA address translation
  (jsc#SLE-7772).
- dma-direct: check for overflows on 32 bit DMA addresses
  (jsc#SLE-7772).
- commit 94cc441
* Tue Nov 26 2019 msuchanek@suse.de
- powerpc/book3s64/hash: Use secondary hash for bolted mapping
  if the primary is full (bsc#1157778 ltc#182520).
- powerpc/pseries: Don't fail hash page table insert for bolted
  mapping (bsc#1157778 ltc#182520).
- powerpc/pseries: Don't opencode HPTE_V_BOLTED (bsc#1157778
  ltc#182520).
- commit b6eca43
* Tue Nov 26 2019 msuchanek@suse.de
- seltests/powerpc: Add a selftest for memcpy_mcsafe (bsc#1157774
  ltc#182579).
- powerpc/memcpy: Fix stack corruption for smaller sizes
  (bsc#1157774 ltc#182579).
- commit 34c7004
* Tue Nov 26 2019 msuchanek@suse.de
- Delete patches.suse/soundwire-depend-on-ACPI-OF.patch.
- Update config files.
- blacklist
- commit b6ee2ab
* Tue Nov 26 2019 nsaenzjulienne@suse.de
- PCI: rcar: Use inbound resources for setup (jsc#SLE-7772).
- PCI: iproc: Use inbound resources for setup (jsc#SLE-7772).
- PCI: xgene: Use inbound resources for setup (jsc#SLE-7772).
- PCI: v3-semi: Use inbound resources for setup (jsc#SLE-7772).
- PCI: ftpci100: Use inbound resources for setup (jsc#SLE-7772).
- PCI: of: Add inbound resource parsing to helpers (jsc#SLE-7772).
- Refresh: patches.suse/PCI-mobiveil-Make-mobiveil_host_init-can-be-used-to-.patch
- Refresh: patches.suse/PCI-mobiveil-Refactor-Mobiveil-PCIe-Host-Bridge-IP-d.patch
- PCI: versatile: Enable COMPILE_TEST (jsc#SLE-7772).
- PCI: versatile: Remove usage of PHYS_OFFSET (jsc#SLE-7772).
- PCI: versatile: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: xilinx-nwl: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: xilinx: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: xgene: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: v3-semi: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: rockchip: Drop storing driver private outbound resource
  data (jsc#SLE-7772).
- PCI: rockchip: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: mobiveil: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- Refresh patches.suse/PCI-mobiveil-Refactor-Mobiveil-PCIe-Host-Bridge-IP-d.patch.
- Refresh: patches.suse/PCI-mobiveil-Make-mobiveil_host_init-can-be-used-to-.patch
- PCI: mediatek: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: iproc: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: faraday: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: dwc: Use pci_parse_request_of_pci_ranges() (jsc#SLE-7772).
- PCI: altera: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: aardvark: Use pci_parse_request_of_pci_ranges()
  (jsc#SLE-7772).
- PCI: Export pci_parse_request_of_pci_ranges() (jsc#SLE-7772).
- resource: Add a resource_list_first_type helper (jsc#SLE-7772).
- commit 89f0599
* Tue Nov 26 2019 oneukum@suse.com
- Bluetooth: btusb: fix PM leak in error case of setup
  (git-fixes).
- virtio_console: allocate inbufs in add_port() only if it is
  needed (git-fixes).
- commit 74ff161
* Tue Nov 26 2019 yousaf.kaukab@suse.com
- config: arm64: enable options for nvidia jetson tx1
  References: jsc#SLE-9391
- commit 380d090
* Tue Nov 26 2019 nsaenzjulienne@suse.de
- arm64: mm: Fix unused variable warning in zone_sizes_init
  (jsc#SLE-7772).
- commit 6fb4438
* Tue Nov 26 2019 jlee@suse.com
- Delete
  patches.suse/0041-efi-Lock-down-the-kernel-if-booted-in-secure-boot-mo.patch.
  (jsc#SLE-9870)
  This patch be replaced by
  patches.suse/0003-efi-Lock-down-the-kernel-if-booted-in-secure-boot-mode.patch
- commit 736d395
* Tue Nov 26 2019 jlee@suse.com
- Delete patches.suse/0039-efi-Add-EFI_SECURE_BOOT-bit.patch.
  (jsc#SLE-9870)
  This patch be replaced by
  patches.suse/0002-efi-Add-an-EFI_SECURE_BOOT-flag-to-indicate-secure-boot-mode.patch
- commit 06804cf
* Tue Nov 26 2019 nmoreychaisemartin@suse.com
- RDMA/bnxt_re: Fix stat push into dma buffer on gen p5 devices (bsc#1157115)
- commit fc79fc5
* Tue Nov 26 2019 tiwai@suse.de
- ipmi: Fix memory leak in __ipmi_bmc_register
  (CVE-2019-19046,bsc#1157304).
- spi: lpspi: fix memory leak in fsl_lpspi_probe
  (CVE-2019-19064,bsc#1157300).
- spi: gpio: prevent memory leak in spi_gpio_probe
  (CVE-2019-19070,bsc#1157294).
- mwifiex: pcie: Fix memory leak in mwifiex_pcie_init_evt_ring
  (CVE-2019-19057,bsc#1157193).
- mwifiex: pcie: Fix memory leak in mwifiex_pcie_alloc_cmdrsp_buf
  (CVE-2019-19056,bsc#1157197).
- ath10k: fix memory leak (CVE-2019-19078,bsc#1157032).
- rtl8xxxu: prevent leaking urb (CVE-2019-19068,bsc#1157307).
- rtlwifi: prevent memory leak in rtl_usb_probe
  (CVE-2019-19063,bsc#1157298).
- rsi: release skb if rsi_prepare_beacon fails
  (CVE-2019-19071,bsc#1157067).
- crypto: user - fix memory leak in crypto_reportstat
  (CVE-2019-19050,bsc#1157336).
- crypto: user - fix memory leak in crypto_report
  (CVE-2019-19062,bsc#1157333).
- commit f284309
* Tue Nov 26 2019 jlee@suse.com
- efi: Lock down the kernel at the integrity level if booted in
  secure boot mode (jsc#SLE-9870).
- commit d022ad5
* Tue Nov 26 2019 mkubecek@suse.cz
- series.conf: cleanup
- rename patches.suse/scsi-qla2xxx-fix-wait-condition-in-loop.patch
  to patches.suse/scsi-qla2xxx-fix-NPIV-tear-down-process.patch
  (to match mainline commit subject)
- update upstream references and move into sorted section:
  patches.suse/arm64-Fake-the-IminLine-size-on-systems-affected-by-.patch
  patches.suse/arm64-compat-Workaround-Neoverse-N1-1542419-for-comp.patch
  patches.suse/arm64-errata-Hide-CTR_EL0.DIC-on-systems-affected-by.patch
  patches.suse/libertas-fix-a-potential-NULL-pointer-dereference.patch
  patches.suse/net-ath10k-Fix-a-NULL-ptr-deref-bug.patch
  patches.suse/scsi-qla2xxx-fix-NPIV-tear-down-process.patch
- move out of "almost mainline" section (the patch has been effectively
  rejected in this form):
  patches.suse/ibmveth-Update-ethtool-settings-to-reflect-virtual-p.patch
  No effect on expanded tree.
- commit ab5c717
* Tue Nov 26 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and resort:
  patches.suse/0001-arm64-mm-use-arm64_dma_phys_limit-instead-of-calling.patch
  patches.suse/0002-arm64-rename-variables-used-to-calculate-ZONE_DMA32-.patch
  patches.suse/0003-arm64-use-both-ZONE_DMA-and-ZONE_DMA32.patch
  patches.suse/0004-mm-refresh-ZONE_DMA-and-ZONE_DMA32-comments-in-enum-.patch
  patches.suse/Bluetooth-hci_bcm-Fix-RTS-handling-during-startup.patch
  patches.suse/net-bcmgenet-Add-BCM2711-support.patch
  patches.suse/net-bcmgenet-Add-RGMII_RXID-support.patch
  patches.suse/net-bcmgenet-Add-a-shutdown-callback.patch
  patches.suse/net-bcmgenet-Avoid-touching-non-existent-interrupt.patch
  patches.suse/net-bcmgenet-Fix-error-handling-on-IRQ-retrieval.patch
  patches.suse/net-bcmgenet-Generate-a-random-MAC-if-none-is-valid.patch
  patches.suse/net-bcmgenet-Refactor-register-access-in-bcmgenet_mi.patch
  No effect on expanded tree.
- commit 6d8a72c
* Tue Nov 26 2019 jlee@suse.com
- efi: Lock down the kernel if booted in secure boot mode
  (jsc#SLE-9870).
- Update config files. (jsc#SLE-9870)
- commit 7f8d57d
* Tue Nov 26 2019 jlee@suse.com
- efi: Add an EFI_SECURE_BOOT flag to indicate secure boot mode
  (jsc#SLE-9870).
- commit 4d3145f
* Tue Nov 26 2019 jlee@suse.com
- security: lockdown: expose a hook to lock the kernel down
  (jsc#SLE-9870).
- commit d2adcd5
* Mon Nov 25 2019 tonyj@suse.de
- perf/x86/intel: Support PEBS output to PT (jsc#SLE-8896).
- perf: Allow normal events to output AUX data (jsc#SLE-8896).
- commit bac2bbc
* Mon Nov 25 2019 mkubecek@suse.cz
- update patch references
  Update Patch-mainline:
  patches.suse/bdi-Add-bdi-id.patch
  patches.suse/fs-fs-writeback.c-fix-kernel-doc-warning.patch
  patches.suse/memcg-only-record-foreign-writebacks-with-dirty-pages-when-memcg-is-not-disabled.patch
  patches.suse/mm-debug.c-PageAnon-is-true-for-PageKsm-pages.patch
  patches.suse/mm-debug.c-__dump_page-prints-an-extra-line.patch
  patches.suse/mm-hmm-fix-hmm_range_fault-s-handling-of-swapped-out-pages.patch
  patches.suse/mm-memcontrol-update-lruvec-counters-in-mem_cgroup_move_account.patch
  patches.suse/mm-memory_hotplug-don-t-access-uninitialized-memmaps-in-shrink_pgdat_span.patch
  patches.suse/mm-memory_hotplug-fix-updating-the-node-span.patch
  patches.suse/mm-move-mem_cgroup_uncharge-out-of-__page_cache_release.patch
  patches.suse/mm-shrinker-make-shrinker-not-depend-on-memcg-kmem.patch
  patches.suse/mm-slab.c-fix-kernel-doc-warning-for-__ksize.patch
  patches.suse/mm-thp-extract-split_queue_-into-a-struct.patch
  patches.suse/mm-thp-make-deferred-split-shrinker-memcg-aware.patch
  patches.suse/writeback-Generalize-and-expose-wb_completion.patch
  patches.suse/writeback-Separate-out-wb_get_lookup-from-wb_get_create.patch
  patches.suse/writeback-fix-use-after-free-in-finish_writeback_work.patch
  patches.suse/writeback-memcg-Implement-cgroup_writeback_by_id.patch
  patches.suse/writeback-memcg-Implement-foreign-dirty-flushing.patch
- commit c99b532
* Mon Nov 25 2019 tiwai@suse.de
- Update patch reference for mlx5 driver fix (CVE-2019-19047 bsc#1157715)
- commit 9e3d31d
* Mon Nov 25 2019 tiwai@suse.de
- Update patch reference for vbox driver fix (CVE-2019-19048 bsc#1157720)
- commit a46881b
* Mon Nov 25 2019 mgorman@suse.de
- mm/memory_hotplug: fix updating the node span (git fixes
  (mm/memcontrol)).
- fs/fs-writeback.c: fix kernel-doc warning (git fixes
  (mm/memcontrol)).
- memcg: only record foreign writebacks with dirty pages when
  memcg is not disabled (git fixes (mm/memcontrol)).
- writeback: fix use-after-free in finish_writeback_work()
  (git fixes (mm/memcontrol)).
- commit cdafbd8
* Mon Nov 25 2019 msuchanek@suse.de
- powerpc/bpf: Fix tail call implementation (bsc#1157698).
- commit 68da2db
* Mon Nov 25 2019 mgorman@suse.de
- writeback, memcg: Implement cgroup_writeback_by_id() (git fixes
  (mm/memcontrol)).
- writeback: Separate out wb_get_lookup() from wb_get_create()
  (git fixes (mm/memcontrol)).
- bdi: Add bdi->id (git fixes (mm/memcontrol)).
- writeback: Generalize and expose wb_completion (git fixes
  (mm/memcontrol)).
- commit 14fbce3
* Mon Nov 25 2019 mgorman@suse.de
- mm/ksm.c: don't WARN if page is still mapped in
  remove_stable_node() (git fixes (mm/ksm).
- commit 89108e1
* Mon Nov 25 2019 mgorman@suse.de
- mm/memory_hotplug: don't access uninitialized memmaps in
  shrink_zone_span() (git fixes (mm/hotplug)).
- commit 990c666
* Mon Nov 25 2019 mgorman@suse.de
- mm/debug.c: PageAnon() is true for PageKsm() pages (git fixes
  (mm/debug)).
- mm/debug.c: __dump_page() prints an extra line (git fixes
  (mm/debug)).
- commit c8d910e
* Mon Nov 25 2019 mgorman@suse.de
- mm/memcontrol: update lruvec counters in mem_cgroup_move_account
  (git fixes (mm/memcontrol)).
- mm: thp: make deferred split shrinker memcg aware (git fixes
  (mm/memcontrol)).
- mm: shrinker: make shrinker not depend on memcg kmem (git fixes
  (mm/memcontrol)).
- mm: move mem_cgroup_uncharge out of __page_cache_release()
  (git fixes (mm/memcontrol)).
- mm: thp: extract split_queue_* into a struct (git fixes
  (mm/memcontrol)).
- writeback, memcg: Implement foreign dirty flushing (git fixes
  (mm/memcontrol)).
- commit 0f63fa2
* Mon Nov 25 2019 mgorman@suse.de
- mm/memory_hotplug: don't access uninitialized memmaps in
  shrink_pgdat_span() (git fixes (mm/hotplug)).
- commit 3e5e1ed
* Mon Nov 25 2019 mgorman@suse.de
- mm/slab.c: fix kernel-doc warning for __ksize() (git fixes
  (mm/slab)).
- commit 5cc4ee9
* Mon Nov 25 2019 mgorman@suse.de
- mm/hmm: fix hmm_range_fault()'s handling of swapped out pages
  (git fixes (mm/hmm)).
- commit c8ec9ab
* Mon Nov 25 2019 jslaby@suse.cz
- drm/i915/userptr: Try to acquire the page lock around
  set_page_dirty() (bnc#1156537).
- commit 60d22de
* Mon Nov 25 2019 tbogendoerfer@suse.de
- net-ipv6: IPV6_TRANSPARENT - check NET_RAW prior to NET_ADMIN
  (bsc#1154353).
- sfc: Only cancel the PPS workqueue if it exists (jsc#SLE-8314).
- net-sysfs: fix netdev_queue_add_kobject() breakage
  (bsc#1154353).
- net/mlxfw: Verify FSM error code translation doesn't exceed
  array size (jsc#SLE-8464).
- net/mlx5: Update the list of the PCI supported devices
  (jsc#SLE-8464).
- net/mlx5: Fix auto group size calculation (jsc#SLE-8464).
- net/mlx5e: Add missing capability bit check for IP-in-IP
  (jsc#SLE-8464).
- net/mlx5e: Do not use non-EXT link modes in EXT mode
  (jsc#SLE-8464).
- net/mlx5e: Fix set vf link state error flow (jsc#SLE-8464).
- net/mlx5: DR, Limit STE hash table enlarge based on bytemask
  (jsc#SLE-8464).
- net/mlx5: DR, Skip rehash for tables with byte mask zero
  (jsc#SLE-8464).
- net/mlx5: DR, Fix invalid EQ vector number on CQ creation
  (jsc#SLE-8464).
- net/mlx5e: Reorder mirrer action parsing to check for encap
  first (jsc#SLE-8464).
- net/mlx5e: Fix ingress rate configuration for representors
  (jsc#SLE-8464).
- net/mlx5e: Fix error flow cleanup in
  mlx5e_tc_tun_create_header_ipv4/6 (jsc#SLE-8464).
- ipv6/route: return if there is no fib_nh_gw_family
  (bsc#1154353).
- net-sysfs: Fix reference count leak in
  rx|netdev_queue_add_kobject (bsc#1154353).
- net: hns3: fix a wrong reset interrupt status mask
  (bsc#1154353).
- net/sched: act_pedit: fix WARN() in the traffic path
  (bsc#1154353).
- net: phylink: fix link mode modification in PHY mode
  (bsc#1154353).
- net: phylink: update documentation on create and destroy
  (bsc#1154353).
- taprio: don't reject same mqprio settings (bsc#1154353).
- net/tls: enable sk_msg redirect to tls socket egress
  (bsc#1154353).
- gve: fix dma sync bug where not all pages synced (bsc#1154353).
- net/mlx4_en: Fix wrong limitation for number of TX rings
  (jsc#SLE-8460).
- net: sched: ensure opts_len <= IP_TUNNEL_OPTS_MAX in
  act_tunnel_key (bsc#1154353).
- mlxsw: spectrum_router: Fix determining underlay for a GRE
  tunnel (bsc#1154488).
- net/mlx4_en: fix mlx4 ethtool -N insertion (jsc#SLE-8460).
- net: hns3: cleanup of stray struct hns3_link_mode_mapping
  (bsc#1154353).
- net: hns3: fix ETS bandwidth validation bug (bsc#1154353).
- net: hns3: reallocate SSU' buffer size when pfc_en changes
  (bsc#1154353).
- net: hns3: add compatible handling for MAC VLAN switch parameter
  configuration (bsc#1154353).
- RDMA/hns: Correct the value of srq_desc_size (jsc#SLE-8449).
- RDMA/hns: Correct the value of HNS_ROCE_HEM_CHUNK_LEN
  (jsc#SLE-8449).
- ixgbe: need_wakeup flag might not be set for Tx (jsc#SLE-7979
  jsc#SLE-7981).
- i40e: need_wakeup flag might not be set for Tx (jsc#SLE-8025).
- igb/igc: use ktime accessors for skb->tstamp (jsc#SLE-7967
  jsc#SLE-8010 jsc#SLE-7966).
- i40e: Fix for ethtool -m issue on X722 NIC (jsc#SLE-8025).
- iavf: initialize ITRN registers with correct values
  (jsc#SLE-7940).
- ice: fix potential infinite loop because loop counter being
  too small (jsc#SLE-7926).
- net: hns3: add compatible handling for command
  HCLGE_OPC_PF_RST_DONE (bsc#1154353).
- net/mlx5e: Use correct enum to determine uplink port
  (jsc#SLE-8464).
- net/mlx5: DR, Fix memory leak during rule creation
  (jsc#SLE-8464).
- net/mlx5: DR, Fix memory leak in modify action destroy
  (jsc#SLE-8464).
- net/mlx5e: Fix eswitch debug print of max fdb flow
  (jsc#SLE-8464).
- bridge: ebtables: don't crash when using dnat target in output
  chains (bsc#1154353).
- mlx4_core: fix wrong comment about the reason of subtract one
  from the max_cqes (jsc#SLE-8460).
- net: hns3: Use the correct style for SPDX License Identifier
  (bsc#1154353).
- taprio: fix panic while hw offload sched list swap
  (bsc#1154353).
- net: sched: taprio: fix -Wmissing-prototypes warnings
  (bsc#1154353).
- net: update net_dim documentation after rename (bsc#1154353).
- net: taprio: Fix returning EINVAL when configuring without flags
  (bsc#1154353).
- taprio: Add support for hardware offloading (bsc#1154353).
- taprio: remove unused variable 'entry_list_policy'
  (bsc#1154353).
- commit 3090b61
* Mon Nov 25 2019 jslaby@suse.cz
- Linux 5.3.13 (bnc#1151927 5.3.13).
- arm64: uaccess: Ensure PAN is re-enabled after unhandled
  uaccess fault (bnc#1151927 5.3.13).
- net: cdc_ncm: Signedness bug in cdc_ncm_set_dgram_size()
  (bnc#1151927 5.3.13).
- block, bfq: deschedule empty bfq_queues not referred by any
  process (bnc#1151927 5.3.13).
- mm/memory_hotplug: fix updating the node span (bnc#1151927
  5.3.13).
- mm/memory_hotplug: don't access uninitialized memmaps in
  shrink_pgdat_span() (bnc#1151927 5.3.13).
- fbdev: Ditch fb_edid_add_monspecs (bnc#1151927 5.3.13).
- commit 0c2740a
* Mon Nov 25 2019 mbrugger@suse.com
- driver core: simplify definitions of platform_get_irq*
  (jsc#SLE-7772).
- mm: refresh ZONE_DMA and ZONE_DMA32 comments in 'enum zone_type'
  (jsc#SLE-7772).
- arm64: use both ZONE_DMA and ZONE_DMA32 (jsc#SLE-7772).
  Enable CONFIG_ZONE_DMA and CONFIG_BOUNCE
- arm64: rename variables used to calculate ZONE_DMA32's size
  (jsc#SLE-7772).
- arm64: mm: use arm64_dma_phys_limit instead of calling
  max_zone_dma_phys() (jsc#SLE-7772).
- net: bcmgenet: Add RGMII_RXID support (jsc#SLE-7772).
- net: bcmgenet: Refactor register access in bcmgenet_mii_config
  (jsc#SLE-7772).
- net: bcmgenet: Add BCM2711 support (jsc#SLE-7772).
- net: bcmgenet: Fix error handling on IRQ retrieval
  (jsc#SLE-7772).
- net: bcmgenet: Avoid touching non-existent interrupt
  (jsc#SLE-7772).
- Bluetooth: hci_bcm: Fix RTS handling during startup
  (jsc#SLE-7772).
- net: bcmgenet: Add a shutdown callback (jsc#SLE-7772).
- net: bcmgenet: Generate a random MAC if none is valid
  (jsc#SLE-7772).
- clocksource/drivers/sh_mtu2: Do not loop using
  platform_get_irq_by_name() (jsc#SLE-7772).
- net: bcmgenet: reapply manual settings to the PHY
  (jsc#SLE-7772).
- Revert "net: bcmgenet: soft reset 40nm EPHYs before MAC init"
  (jsc#SLE-7772).
- net: bcmgenet: use RGMII loopback for MAC reset (jsc#SLE-7772).
- iommu/ipmmu-vmsa: Only call platform_get_irq() when interrupt
  is mandatory (jsc#SLE-7772).
- iommu/rockchip: Don't use platform_get_irq to implicitly count
  irqs (jsc#SLE-7772).
- mmc: sdhci-iproc: fix spurious interrupts on Multiblock reads
  with bcm2711 (jsc#SLE-7772).
- mmc: sh_mmcif: Use platform_get_irq_optional() for optional
  interrupt (jsc#SLE-7772).
- mmc: renesas_sdhi: Do not use platform_get_irq() to count
  interrupts (jsc#SLE-7772).
- platform/x86: intel_punit_ipc: Avoid error message when
  retrieving IRQ (jsc#SLE-7772).
- tty: serial: imx: Use platform_get_irq_optional() for optional
  IRQs (jsc#SLE-7772).
- serial: sh-sci: Use platform_get_irq_optional() for optional
  interrupts (jsc#SLE-7772).
- clk: bcm2835: Mark PLLD_PER as CRITICAL (jsc#SLE-7772).
- clk: bcm2835: Add BCM2711_CLOCK_EMMC2 support (jsc#SLE-7772).
- clk: bcm2835: Introduce SoC specific clock registration
  (jsc#SLE-7772).
- dt-bindings: bcm2835-cprman: Add bcm2711 support (jsc#SLE-7772).
- pinctrl: bcm2835: Pass irqchip when adding gpiochip
  (jsc#SLE-7772).
- pinctrl: bcm2835: Add support for BCM2711 pull-up functionality
  (jsc#SLE-7772).
- bluetooth: hci_bcm: Give more time to come out of reset
  (jsc#SLE-7772).
- bluetooth: bcm: Add support for loading firmware for BCM4345C5
  (jsc#SLE-7772).
- Bluetooth: hci_bcm: Fix -Wunused-const-variable warnings
  (jsc#SLE-7772).
- net: bcmgenet: use devm_platform_ioremap_resource() to simplify
  code (jsc#SLE-7772).
- driver core: platform: Export platform_get_irq_optional()
  (jsc#SLE-7772).
- driver core: platform: Introduce platform_get_irq_optional()
  (jsc#SLE-7772).
- driver core: platform: Add an error message to
  platform_get_irq*() (jsc#SLE-7772).
- mmc: bcm2835: Take SWIOTLB memory size limitation into account
  (jsc#SLE-7772).
- mmc: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-7772).
- mmc: sdhci-iproc: Add support for emmc2 of the BCM2711
  (jsc#SLE-7772).
- commit 24df065
* Mon Nov 25 2019 glin@suse.com
- bpf, offload: Unlock on error in bpf_offload_dev_create()
  (bsc#1155518).
- commit dc0b929
* Fri Nov 22 2019 mkubecek@suse.cz
- config: refresh
  Just unify the headers.
- commit f54dfa4
* Fri Nov 22 2019 jslaby@suse.cz
- Refresh
  patches.suse/btrfs-fix-log-context-list-corruption-after-rename-e.patch.
  Update upstream status.
- commit 9923f87
* Fri Nov 22 2019 jslaby@suse.cz
- Linux 5.3.12 (bnc#1151927 5.3.12).
- iommu/vt-d: Fix QI_DEV_IOTLB_PFSID and QI_DEV_EIOTLB_PFSID
  macros (bnc#1151927 5.3.12).
- i2c: acpi: Force bus speed to 400KHz if a Silead touchscreen
  is present (bnc#1151927 5.3.12).
- x86/quirks: Disable HPET on Intel Coffe Lake platforms
  (bnc#1151927 5.3.12).
- net/smc: fix fastopen for non-blocking connect() (bnc#1151927
  5.3.12).
- net: gemini: add missed free_netdev (bnc#1151927 5.3.12).
- ax88172a: fix information leak on short answers (bnc#1151927
  5.3.12).
- slcan: Fix memory leak in error path (bnc#1151927 5.3.12).
- slip: Fix memory leak in slip_open error path (bnc#1151927
  5.3.12).
- net: usb: qmi_wwan: add support for Foxconn T77W968 LTE modules
  (bnc#1151927 5.3.12).
- dpaa2-eth: free already allocated channels on probe defer
  (bnc#1151927 5.3.12).
- net/smc: fix refcount non-blocking connect() -part 2
  (bnc#1151927 5.3.12).
- mlxsw: core: Enable devlink reload only on probe (bnc#1151927
  5.3.12).
- devlink: Add method for time-stamp on reporter's dump
  (bnc#1151927 5.3.12).
- tcp: remove redundant new line from tcp_event_sk_skb
  (bnc#1151927 5.3.12).
- devlink: disallow reload operation during device cleanup
  (bnc#1151927 5.3.12).
- mm/page_io.c: do not free shared swap slots (bnc#1151927
  5.3.12).
- mm/memory_hotplug: fix try_offline_node() (bnc#1151927 5.3.12).
- mm: slub: really fix slab walking for init_on_free (bnc#1151927
  5.3.12).
- mm: hugetlb: switch to css_tryget() in
  hugetlb_cgroup_charge_cgroup() (bnc#1151927 5.3.12).
- mm: memcg: switch to css_tryget() in get_mem_cgroup_from_mm()
  (bnc#1151927 5.3.12).
- mm: mempolicy: fix the wrong return value and potential pages
  leak of mbind (bnc#1151927 5.3.12).
- Input: synaptics-rmi4 - destroy F54 poller workqueue when
  removing (bnc#1151927 5.3.12).
- Input: ff-memless - kill timer in destroy() (bnc#1151927
  5.3.12).
- io_uring: ensure registered buffer import returns the IO length
  (bnc#1151927 5.3.12).
- drm/i915: update rawclk also on resume (bnc#1151927 5.3.12).
- ecryptfs_lookup_interpose(): lower_dentry->d_parent is not
  stable either (bnc#1151927 5.3.12).
- ecryptfs_lookup_interpose(): lower_dentry->d_inode is not stable
  (bnc#1151927 5.3.12).
- IB/hfi1: TID RDMA WRITE should not return
  IB_WC_RNR_RETRY_EXC_ERR (bnc#1151927 5.3.12).
- IB/hfi1: Calculate flow weight based on QP MTU for TID RDMA
  (bnc#1151927 5.3.12).
- IB/hfi1: Ensure r_tid_ack is valid before building TID RDMA
  ACK packet (bnc#1151927 5.3.12).
- IB/hfi1: Ensure full Gen3 speed in a Gen4 system (bnc#1151927
  5.3.12).
- Input: synaptics-rmi4 - clear IRQ enables for F54 (bnc#1151927
  5.3.12).
- Input: synaptics-rmi4 - do not consume more data than we have
  (F11, F12) (bnc#1151927 5.3.12).
- Input: synaptics-rmi4 - disable the relative position IRQ in
  the F12 driver (bnc#1151927 5.3.12).
- KVM: MMU: Do not treat ZONE_DEVICE pages as being reserved
  (bnc#1151927 5.3.12).
- cgroup: freezer: call cgroup_enter_frozen() with preemption
  disabled in ptrace_stop() (bnc#1151927 5.3.12).
- scsi: core: Handle drivers which set sg_tablesize to zero
  (bnc#1151927 5.3.12).
- commit 5f76c3b
* Fri Nov 22 2019 jslaby@suse.cz
- Update
  patches.suse/0003-Revert-drm-i915-ehl-Update-MOCS-table-for-EHL.patch
  (bsc#1152489 bnc#1151927 5.3.12).
- Update
  patches.suse/ALSA-usb-audio-Fix-incorrect-NULL-check-in-create_ya.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/ALSA-usb-audio-Fix-incorrect-size-check-for-processi.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/ALSA-usb-audio-Fix-missing-error-check-at-mixer-reso.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/ALSA-usb-audio-not-submit-urb-for-stopped-endpoint.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/IB-hfi1-Use-a-common-pad-buffer-for-9B-and-16B-packe.patch
  (jsc#SLE-8449 bnc#1151927 5.3.12).
- Update
  patches.suse/Input-synaptics-rmi4-fix-video-buffer-size.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/btrfs-fix-log-context-list-corruption-after-rename-e.patch
  (bsc#1156494 bnc#1151927 5.3.12).
- Update
  patches.suse/ipmr-Fix-skb-headroom-in-ipmr_get_route.patch
  (git-fixes bnc#1151927 5.3.12).
- Update patches.suse/mmc-sdhci-of-at91-fix-quirk2-overwrite.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/net-ethernet-dwmac-sun8i-Use-the-correct-function-in.patch
  (git-fixes bnc#1151927 5.3.12).
- Update
  patches.suse/ntp-y2038-Remove-incorrect-time_t-truncation.patch
  (git-fixes bnc#1151927 5.3.12).
- commit 4df5d22
* Thu Nov 21 2019 lpechacek@suse.com
- Add crypto modules required by tcrypt (FIPS)
  References: bsc#1153192
- commit 465a0e6
* Wed Nov 20 2019 msuchanek@suse.de
- Refresh patches.suse/scsi-sr-wait-for-the-medium-to-become-ready.patch.
  Fix refleak on -ENXIO.
- commit c02819b
* Wed Nov 20 2019 tiwai@suse.de
- mdio_bus: Fix init if CONFIG_RESET_CONTROLLER=n (git-fixes).
- opp: Reinitialize the list_kref before adding the static OPPs
  again (git-fixes).
- commit 61e3e2f
* Wed Nov 20 2019 tiwai@suse.de
- lib: Remove select of inexistant GENERIC_IO (git-fixes).
- opp: Don't decrement uninitialized list_kref (git-fixes).
- opp: Not all power-domains are scalable (git-fixes).
- commit 85c2a10
* Wed Nov 20 2019 tiwai@suse.de
- software node: Initialize the return value in
  software_node_to_swnode() (git-fixes).
- commit e35cf03
* Wed Nov 20 2019 tiwai@suse.de
- selftests: mlxsw: Adjust test to recent changes (git-fixes).
- selftests: bpf: Skip write only files in debugfs (git-fixes).
- selftests/bpf: fix race in flow dissector tests (git-fixes).
- commit 7648c5c
* Wed Nov 20 2019 tiwai@suse.de
- riscv: fp: add missing __user pointer annotations (git-fixes).
- riscv: init: merge split string literals in preprocessor
  directive (git-fixes).
- riscv: tlbflush: remove confusing comment on
  local_flush_tlb_all() (git-fixes).
- commit d38ab66
* Wed Nov 20 2019 tiwai@suse.de
- ntp/y2038: Remove incorrect time_t truncation (git-fixes).
- NFC: nxp-nci: Fix NULL pointer dereference after I2C
  communication error (git-fixes).
- commit 0b6da77
* Wed Nov 20 2019 tiwai@suse.de
- ipmr: Fix skb headroom in ipmr_get_route() (git-fixes).
- mdio_bus: Fix PTR_ERR applied after initialization to constant
  (git-fixes).
- net: ethernet: dwmac-sun8i: Use the correct function in exit
  path (git-fixes).
- idr: Fix idr_get_next_ul race with idr_remove (git-fixes).
- commit b4c1f6c
* Wed Nov 20 2019 tiwai@suse.de
- i2c: core: fix use after free in of_i2c_notify (git-fixes).
- commit d2cbfd2
* Wed Nov 20 2019 tiwai@suse.de
- arm64: hibernate: check pgd table allocation (git-fixes).
- arm64: cpufeature: Treat ID_AA64ZFR0_EL1 as RAZ when SVE is
  not enabled (git-fixes).
- ARM: aspeed: ast2500 is ARMv6K (git-fixes).
- ARM: 8896/1: VDSO: Don't leak kernel addresses (git-fixes).
- ARM: ux500: add missing of_node_put() (git-fixes).
- commit cb4b4ca
* Wed Nov 20 2019 tiwai@suse.de
- Update patch reference for nl80211 fix (CVE-2019-19055 bsc#1157319)
- commit f616ca4
* Wed Nov 20 2019 tiwai@suse.de
- Update patch reference for can driver fix (CVE-2019-19052 bsc#1157324)
- commit 02e7eba
* Wed Nov 20 2019 bp@suse.de
- x86/resctrl: Fix potential lockdep warning (bsc#1152489).
- x86/resctrl: Prevent NULL pointer dereference when reading
  mondata (bsc#1152489).
- commit c754fb9
* Tue Nov 19 2019 tiwai@suse.de
- Update patch reference for another iio driver fix (CVE-2019-19061 bsc#1157192)
- commit 75969fc
* Tue Nov 19 2019 tiwai@suse.de
- Update s390 patch reference for cpu idle time calculation (bsc#1156773)
- commit 71d745b
* Tue Nov 19 2019 tiwai@suse.de
- Update patch reference for amdgpu fix (CVE-2019-19067 bsc#1157180)
- commit 294533e
* Tue Nov 19 2019 tiwai@suse.de
- Update patch reference for iio driver fix (CVE-2019-19060 bsc#1157178)
- commit 572806f
* Tue Nov 19 2019 tiwai@suse.de
- Update patch reference for of-unittest fix (CVE-2019-19049 bsc#1157173)
- commit 6bfcd8f
* Tue Nov 19 2019 tiwai@suse.de
- Update patch reference for ieee802154 security fix (CVE-2019-19075 bsc#1157162)
- commit 0855aff
* Tue Nov 19 2019 pmladek@suse.com
- tracing: Have error path in predicate_parse() free its allocated
  memory (bsc#1157069 CVE-2019-19072).
- commit 387f713
* Tue Nov 19 2019 tiwai@suse.de
- iwlwifi: dbg_ini: fix memory leak in alloc_sgtable
  (CVE-2019-19058,bsc#1157145).
- commit cb8333d
* Tue Nov 19 2019 tiwai@suse.de
- ath9k: release allocated buffer if timed out
  (CVE-2019-19074,bsc#1157143).
- commit 98c32c1
* Tue Nov 19 2019 tzimmermann@suse.de
- Revert "drm/etnaviv: fix dumping of iommuv2 (bsc#1152472)"
  This reverts commit 48b3bfdd21261e7df15f5aebe2ccb1cc61521bd0.
  ATM the backported patch doesn't build on arm64.
- commit c35e5f9
* Tue Nov 19 2019 dwagner@suse.de
- Drop scsi-qla2xxx-Fix-memory-leak-when-sending-I-O-fails.patch
  This patch has introduces an double free. Upstream has dropped it from
  the scsi-queue before it hit mainline. So let's drop it as well.
- commit 44fa42b
* Mon Nov 18 2019 tiwai@suse.de
- ath9k_htc: release allocated buffer if timed out
  (CVE-2019-19073,bsc#1157070).
- commit 08bd2bd
* Mon Nov 18 2019 tiwai@suse.de
- Update patch reference for fastrpc bug fix (CVE-2019-19069 bsc#1157064)
- commit 69da730
* Mon Nov 18 2019 tiwai@suse.de
- Update patch reference for amdgpu security fix (CVE-2019-19083 bsc#1157049)
- commit 7f52050
* Mon Nov 18 2019 tiwai@suse.de
- drm/amd/display: prevent memory leak
  (CVE-2019-19082,bsc#1157046).
- commit fca18a5
* Mon Nov 18 2019 tzimmermann@suse.de
- Revert "drm/i915/ehl: Update MOCS table for EHL" (bsc#1152489)
- commit 76a5ebd
* Mon Nov 18 2019 tzimmermann@suse.de
- drm/i915/gvt: fix dropping obj reference twice (bsc#1152489)
- commit 4f5c644
* Mon Nov 18 2019 tzimmermann@suse.de
- drm/etnaviv: fix dumping of iommuv2 (bsc#1152472)
- commit 48b3bfd
* Sat Nov 16 2019 tiwai@suse.de
- mmc: sdhci-of-at91: fix quirk2 overwrite (git-fixes).
- Input: synaptics-rmi4 - fix video buffer size (git-fixes).
- commit 22c351b
* Fri Nov 15 2019 tiwai@suse.de
- ALSA: usb-audio: Fix incorrect size check for
  processing/extension units (git-fixes).
- ALSA: usb-audio: Fix incorrect NULL check in
  create_yamaha_midi_quirk() (git-fixes).
- ALSA: pcm: Fix stream lock usage in snd_pcm_period_elapsed()
  (git-fixes).
- ALSA: usb-audio: not submit urb for stopped endpoint
  (git-fixes).
- ALSA: hda: hdmi - fix pin setup on Tigerlake (git-fixes).
- ALSA: hda: Add Cometlake-S PCI ID (git-fixes).
- ALSA: usb-audio: Fix missing error check at mixer resolution
  test (git-fixes).
- commit 8e17c40
* Fri Nov 15 2019 msuchanek@suse.de
- powerpc/xive: Prevent page fault issues in the machine crash
  handler (bsc#1156882 ltc#182435).
- commit 7d95bd5
* Thu Nov 14 2019 msuchanek@suse.de
- Refresh patches.suse/bdev-add-open_finish.patch.
- commit 687caa9
* Thu Nov 14 2019 mkubecek@suse.cz
- supported.conf: drop dax_pmem_compat
  This module is no longer built (jsc#SLE-10690).
- commit 359a9f7
* Thu Nov 14 2019 fdmanana@suse.com
- Btrfs: remove unnecessary condition in btrfs_clone() to avoid
  too much nesting (bsc#1156782).
- commit 4154585
* Thu Nov 14 2019 fdmanana@suse.com
- Btrfs: fix ENOSPC errors, leading to transaction aborts,
  when cloning extents (bsc#1156782).
- commit 6466273
* Thu Nov 14 2019 fdmanana@suse.com
- Btrfs: factor out extent dropping code from hole punch handler
  (bsc#1156782).
- commit 037e1c6
* Thu Nov 14 2019 hare@suse.de
- scsi: virtio_scsi: unplug LUNs when events missed
  (bsc#1156419,jsc#SLE-8281).
- scsi: fcoe: fix null-ptr-deref Read in fc_release_transport
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs-hisi: use devm_platform_ioremap_resource() to
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufshcd: use devm_platform_ioremap_resource() to
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: use devm_platform_ioremap_resource() to
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Use kmemdup in ufshcd_read_string_desc()
  (bsc#1156419,jsc#SLE-8281).
- scsi: arm64: dts: qcom: sdm845: Specify UFS device-reset GPIO
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs-qcom: Implement device_reset vops
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Introduce vops for resetting device
  (bsc#1156419,jsc#SLE-8281).
- scsi: sd: Improve unaligned completion resid message
  (bsc#1156419,jsc#SLE-8281).
- scsi: fnic: fix msix interrupt allocation
  (bsc#1156419,jsc#SLE-8281).
- scsi: fnic: print port speed only at driver init or speed
  (bsc#1156419,jsc#SLE-8281).
- commit fdbb6dd
* Thu Nov 14 2019 hare@suse.de
- scsi: core: fix dh and multipathing for SCSI hosts without
  request batching (bsc#1156419,jsc#SLE-8281).
- scsi: core: fix missing .cleanup_rq for SCSI hosts without
  request batching (bsc#1156419,jsc#SLE-8281).
- commit add131d
* Thu Nov 14 2019 hare@suse.de
- scsi: ufs: remove set but not used variable 'val'
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: remove set but not used variable 'irq_value'
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: fix broken hba->outstanding_tasks
  (bsc#1156419,jsc#SLE-8281).
- scsi: fcoe: remove redundant call to skb_transport_header
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Disable local LCC in .link_startup_notify() in
  Cadence UFS (bsc#1156419,jsc#SLE-8281).
- scsi: bfa: remove redundant assignment to variable error
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs-qcom: Make structure ufs_hba_qcom_vops constant
  (bsc#1156419,jsc#SLE-8281).
- scsi: fnic: remove redundant assignment of variable rc
  (bsc#1156419,jsc#SLE-8281).
- scsi: use __u{8,16,32,64} instead of uint{8,16,32,64}_t in
  uapi headers (bsc#1156419,jsc#SLE-8281).
- scsi: esas2r: Prefer pcie_capability_read_word()
  (bsc#1156419,jsc#SLE-8281).
- scsi: sym53c8xx_2: remove redundant assignment to retv
  (bsc#1156419,jsc#SLE-8281).
- scsi: pmcraid: Fix a typo - pcmraid --> pmcraid
  (bsc#1156419,jsc#SLE-8281).
- commit 6f40ae3
* Thu Nov 14 2019 hare@suse.de
- Update config files: disable CONFIG_DEV_DAX_PMEM_COMPAT (jsc#SLE-10690)
- commit 56d1ae7
* Thu Nov 14 2019 hare@suse.de
- scsi: lpfc: Update lpfc version to 12.6.0.2
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: revise nvme max queues to be hdwq count
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Initialize cpu_map for not present cpus
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix inlining of lpfc_sli4_cleanup_poll_list()
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix: Coverity: lpfc_cmpl_els_rsp(): Null pointer
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix: Coverity: lpfc_get_scsi_buf_s3(): Null
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix lpfc_cpumask_of_node_init()
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix a kernel warning triggered by
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.6.0.1
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Add enablement of multiple adapter dumps
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Change default IRQ model on AMD architectures
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Add registration for CPU Offline/Online events
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Clarify FAWNN error message
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Sync with FC-NVMe-2 SLER change to require Conf
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix dynamic fw log enablement check
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix unexpected error messages during RSCN
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix kernel crash at lpfc_nvme_info_show during
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix configuration of BB credit recovery in
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix duplicate unreg_rpi error in port offline
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Make lpfc_debugfs_ras_log_data static
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix NULL check before mempool_destroy is not
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix spelling error in MAGIC_NUMER_xxx
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix build error of lpfc_debugfs.c for
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: lpfc_nvmet: Fix Use plain integer as NULL pointer
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: lpfc_attr: Fix Use plain integer as NULL pointer
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.6.0.0
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Add additional discovery log messages
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Add FC-AL support to lpe32000 models
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Add FA-WWN Async Event reporting
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Add log macros to allow print by serverity or
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Make FW logging dynamically configurable
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Revise interrupt coalescing for missing scenarios
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Remove lock contention target write path
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Slight fast-path performance optimizations
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix coverity error of dereference after null
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix hardlockup in lpfc_abort_handler
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix bad ndlp ptr in xri aborted handling
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix SLI3 hba in loop mode not discovering devices
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix lockdep errors in sli_ringtx_put
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: Fix reporting of read-only fw error errors
  (bsc#1156632,jsc#SLE-8654).
- scsi: lpfc: fix lpfc_nvmet_mrq to be bound by hdw queue count
  (bsc#1156632,jsc#SLE-8654).
- scsi: megaraid_sas: remove unused variables 'debugBlk','fusion'
  (bsc#1156632,jsc#SLE-10720).
- scsi: megaraid_sas: Unique names for MSI-X vectors
  (bsc#1156632,jsc#SLE-10720).
- scsi: smartpqi: bump version to 1.2.10-025
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: Align driver syntax with oob
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: remove unused manifest constants
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: fix problem with unique ID for physical
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: correct syntax issue (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: change TMF timeout from 60 to 30 seconds
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: fix LUN reset when fw bkgnd thread is hung
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add inquiry timeouts (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: fix call trace in device discovery
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: fix controller lockup observed during force
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: remove set but not used variable 'ctrl_info'
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: clean up indentation of a statement
  (bsc#1156632,jsc#SLE-8633).
- scsi: mpt3sas: Bump mpt3sas driver version to 32.100.00.00
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Fix module parameter max_msix_vectors
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Reject NVMe Encap cmnds to unsupported HBA
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Use Component img header to get Package ver
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Fail release cmnd if diag buffer is released
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Add app owned flag support for diag buffer
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Reuse diag buffer allocated at load time
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: clear release bit when buffer reregistered
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Maintain owner of buffer through UniqueID
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Free diag buffer without any status check
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Fix clear pending bit in ioctl status
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Display message before releasing diag buffer
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Register trace buffer based on NVDATA settings
  (bsc#1156632,jsc#SLE-10717).
- scsi: bnx2fc: Handle scope bits when array returns BUSY or
  (jsc#SLE-9696).
- scsi: bnx2fc: remove set but not used variables (jsc#SLE-9696).
- scsi: bnx2fc: remove set but not used variable 'fh'
  (jsc#SLE-9696).
- scsi: smartpqi: bump version to 1.2.8-026
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: update copyright (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add new pci ids (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: correct REGNEWD return status
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add gigabyte controller
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: correct hang when deleting 32 lds
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add bay identifier (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add sysfs entries (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add module param to hide vsep
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add pci ids for fiberhome controller
  (bsc#1156632,jsc#SLE-8633).
- scsi: smartpqi: add module param for exposure order
  (bsc#1156632,jsc#SLE-8633).
- scsi: mpt3sas: Introduce module parameter to override queue
  depth (bsc#1156632,jsc#SLE-10717).
- scsi: csiostor: Prefer pcie_capability_read_word()
  (jsc#SLE-9687).
- scsi: megaraid_sas: Introduce module parameter for default
  queue depth (bsc#1156632,jsc#SLE-10720).
- scsi: mpt3sas: Update driver version to 31.100.00.00
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Run SAS DEVICE STATUS CHANGE EVENT from ISR
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Reduce the performance drop
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Handle fault during HBA initialization
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Add sysfs to know supported features
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Support MEMORY MOVE Tool box command
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Allow ioctls to blocked access status NVMe
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Enumerate SES of a managed PCIe switch
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Update MPI headers to 2.6.8 spec
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Gracefully handle online firmware update
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: memset request frame before reusing
  (bsc#1156632,jsc#SLE-10717).
- scsi: mpt3sas: Add support for PCIe Lane margin
  (bsc#1156632,jsc#SLE-10717).
- scsi: pm80xx: remove redundant assignments to variable rc
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Consolidate internal abort calls in LU reset
  operation (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: replace "%%p" with "%%pK"
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Remove some unnecessary code
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Modify return type of debugfs functions
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Drop free_irq() when devm_request_irq() failed
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Drop SMP resp frame DMA mapping
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Drop kmap_atomic() in SMP command completion
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Make slot buf minimum allocation of PAGE_SIZE
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Don't bother clearing status buffer IU in task
  prep (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Fix out of bound at debug_I_T_nexus_reset()
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Snapshot AXI and RAS register at debugfs
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Snapshot HW cache of IOST and ITCT at debugfs
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Fix pointer usage error in show debugfs
  IOST/ITCT (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Drop hisi_sas_hw.get_free_slot
  (bsc#1156419,jsc#SLE-8281).
- scsi: hisi_sas: Make max IPTT count equal for all hw revisions
  (bsc#1156419,jsc#SLE-8281).
- scsi: ncr53c8xx: Mark expected switch fall-through
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Configure clock in .hce_enable_notify() in Cadence
  UFS (bsc#1156419,jsc#SLE-8281).
- scsi: core: Complain if scsi_target_block() fails
  (bsc#1156419,jsc#SLE-8281).
- scsi: core: Make scsi_internal_device_unblock_nowait() reject
  invalid new_state (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: revamp string descriptor reading
  (bsc#1156419,jsc#SLE-8281).
- scsi: wd33c93: Mark expected switch fall-through
  (bsc#1156419,jsc#SLE-8281).
- scsi: sun3_scsi: Mark expected switch fall-throughs
  (bsc#1156419,jsc#SLE-8281).
- scsi: qlogicpti: Mark expected switch fall-throughs
  (bsc#1156419,jsc#SLE-8281).
- scsi: ibmvfc: Mark expected switch fall-throughs
  (bsc#1156419,jsc#SLE-8281).
- scsi: megaraid_sas: Fix a compilation warning
  (bsc#1156419,jsc#SLE-8281).
- scsi: megaraid_sas: Make a bunch of functions static
  (bsc#1156419,jsc#SLE-8281).
- scsi: mpt3sas: support target smid for [abort|query] task
  (bsc#1156419,jsc#SLE-8281).
- scsi: ibmvscsi_tgt: Mark expected switch fall-throughs
  (bsc#1156419,jsc#SLE-8281).
- scsi: mpt3sas: clean up a couple sizeof() uses
  (bsc#1156419,jsc#SLE-8281).
- scsi: scsi_debugfs: Use for_each_set_bit to simplify code
  (bsc#1156419,jsc#SLE-8281).
- scsi: fdomain_isa: use CFG1_IRQ_MASK (bsc#1156419,jsc#SLE-8281).
- scsi: fdomain: use BSTAT_{MSG|CMD|IO} in fdomain_work()
  (bsc#1156419,jsc#SLE-8281).
- scsi: fdomain: use BCTL_RST in fdomain_reset()
  (bsc#1156419,jsc#SLE-8281).
- scsi: aic94xx: Remove unnecessary null check
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: change msleep to usleep_range
  (bsc#1156419,jsc#SLE-8281).
- scsi: virtio_scsi: implement request batching
  (bsc#1156419,jsc#SLE-8281).
- scsi: core: add support for request batching
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Add history of fatal events
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Do not reset error history during host reset
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Add fatal and auto-hibern8 error history
  (bsc#1156419,jsc#SLE-8281).
- scsi: ufs: Change names related to error history
  (bsc#1156419,jsc#SLE-8281).
- commit 9419833
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/security/book3s64: Report L1TF status in sysfs
  (bsc#1091041).
- commit 4c13792
* Thu Nov 14 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch.
  Add upstream metadata.
- commit eb3a775
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/security: Fix wrong message when RFI Flush is disable
  (bsc#1131107).
- commit f4d03f9
* Thu Nov 14 2019 msuchanek@suse.de
- powerpc/pseries: safely roll back failed DLPAR cpu add
  (bsc#1156700 ltc#182459).
- powerpc/pseries: address checkpatch warnings in
  dlpar_offline_cpu (bsc#1156700 ltc#182459).
- commit ce23e84
* Thu Nov 14 2019 mkubecek@suse.cz
- series.conf: cleanup
  Move queued patches into "almost mainline" section.
- commit b0c29ce
* Wed Nov 13 2019 yousaf.kaukab@suse.com
- arm64: compat: Workaround Neoverse-N1 #1542419 for compat
  user-space (jsc#SLE-10259).
- arm64: Fake the IminLine size on systems affected by Neoverse-N1
  [#1542419] (jsc#SLE-10259).
- arm64: errata: Hide CTR_EL0.DIC on systems affected by
  Neoverse-N1 #1542419 (jsc#SLE-10259).
  Update arm64 configs (eneable ARM64_ERRATUM_1542419).
- commit ecac0a4
* Wed Nov 13 2019 dwagner@suse.de
- scsi: qla2xxx: don't use zero for FC4_PRIORITY_NVME
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: initialize fc4_type_priority (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix a dma_pool_free() call (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove an include directive (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Update driver version to 10.01.00.21-k
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix device connect issues in P2P configuration
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix memory leak when sending I/O fails
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix double scsi_done for abort path (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix driver unload hang (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix SRB leak on switch command timeout
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Do command completion on abort timeout
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Retry PLOGI on FC-NVMe PRLI failure (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- commit e0be784
* Wed Nov 13 2019 dwagner@suse.de
- Refresh series.conf
- commit 043b271
* Wed Nov 13 2019 ohering@suse.de
- hv_netvsc: Fix error handling in netvsc_set_features()
  (fate#323887).
- commit 2074f53
* Wed Nov 13 2019 mkubecek@suse.cz
- config: leave TSX enabled by default
  This is to preserve the behaviour of previous SLE versions. Users who
  wnat to disable TSX can use "tsx=off" on command line.
- commit f1407d4
* Wed Nov 13 2019 tiwai@suse.de
- Update patch references for i915 security fixes (CVE-2019-0154 bsc#1135966 CVE-2019-0155 bsc#1135967)
- commit 697e88e
* Wed Nov 13 2019 jslaby@suse.cz
- Linux 5.3.11 (bnc#1151927 5.3.11).
- x86/speculation/taa: Fix printing of TAA_MSG_SMT on IBRS_ALL
  CPUs (bnc#1151927 5.3.11).
- Documentation: Add ITLB_MULTIHIT documentation (bnc#1151927
  5.3.11).
- kvm: x86: mmu: Recovery of shattered NX large pages (bnc#1151927
  5.3.11).
- kvm: Add helper function for creating VM worker threads
  (bnc#1151927 5.3.11).
- kvm: mmu: ITLB_MULTIHIT mitigation (bnc#1151927 5.3.11).
- cpu/speculation: Uninline and export CPU mitigations helpers
  (bnc#1151927 5.3.11).
- x86/cpu: Add Tremont to the cpu vulnerability whitelist
  (bnc#1151927 5.3.11).
- x86/bugs: Add ITLB_MULTIHIT bug infrastructure (bnc#1151927
  5.3.11).
- x86/tsx: Add config options to set tsx=on|off|auto (bnc#1151927
  5.3.11).
- Update config files.
  Set CONFIG_X86_INTEL_TSX_MODE_OFF=y (the default).
- x86/speculation/taa: Add documentation for TSX Async Abort
  (bnc#1151927 5.3.11).
- x86/tsx: Add "auto" option to the tsx= cmdline parameter
  (bnc#1151927 5.3.11).
- kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
  (bnc#1151927 5.3.11).
- x86/speculation/taa: Add sysfs reporting for TSX Async Abort
  (bnc#1151927 5.3.11).
- x86/speculation/taa: Add mitigation for TSX Async Abort
  (bnc#1151927 5.3.11).
- x86/cpu: Add a "tsx=" cmdline option with TSX disabled by
  default (bnc#1151927 5.3.11).
- x86/cpu: Add a helper function x86_read_arch_cap_msr()
  (bnc#1151927 5.3.11).
- x86/msr: Add the IA32_TSX_CTRL MSR (bnc#1151927 5.3.11).
- drm/i915/cmdparser: Fix jump whitelist clearing (bnc#1151927
  5.3.11).
- drm/i915/gen8+: Add RC6 CTX corruption WA (bnc#1151927 5.3.11).
- drm/i915: Lower RM timeout to avoid DSI hard hangs (bnc#1151927
  5.3.11).
- drm/i915/cmdparser: Ignore Length operands during command
  matching (bnc#1151927 5.3.11).
- drm/i915/cmdparser: Add support for backward jumps (bnc#1151927
  5.3.11).
- drm/i915/cmdparser: Use explicit goto for error paths
  (bnc#1151927 5.3.11).
- drm/i915: Add gen9 BCS cmdparsing (bnc#1151927 5.3.11).
- drm/i915: Allow parsing of unsized batches (bnc#1151927 5.3.11).
- drm/i915: Support ro ppgtt mapped cmdparser shadow buffers
  (bnc#1151927 5.3.11).
- drm/i915: Add support for mandatory cmdparsing (bnc#1151927
  5.3.11).
- drm/i915: Remove Master tables from cmdparser (bnc#1151927
  5.3.11).
- drm/i915: Disable Secure Batches for gen6+ (bnc#1151927 5.3.11).
- drm/i915: Rename gen7 cmdparser tables (bnc#1151927 5.3.11).
- ARM: dts: stm32: change joystick pinctrl definition on
  stm32mp157c-ev1 (bnc#1151927 5.3.11).
- ARM: sunxi: Fix CPU powerdown on A83T (bnc#1151927 5.3.11).
- ARM: dts: imx6-logicpd: Re-enable SNVS power key (bnc#1151927
  5.3.11).
- iio: srf04: fix wrong limitation in distance measuring
  (bnc#1151927 5.3.11).
- intel_th: pci: Add Jasper Lake PCH support (bnc#1151927 5.3.11).
- intel_th: pci: Add Comet Lake PCH support (bnc#1151927 5.3.11).
- x86/dumpstack/64: Don't evaluate exception stacks before setup
  (bnc#1151927 5.3.11).
- x86/apic/32: Avoid bogus LDR warnings (bnc#1151927 5.3.11).
- timekeeping/vsyscall: Update VDSO data unconditionally
  (bnc#1151927 5.3.11).
- perf tools: Fix time sorting (bnc#1151927 5.3.11).
- SMB3: Fix persistent handles reconnect (bnc#1151927 5.3.11).
- btrfs: save i_size to avoid double evaluation of i_size_read
  in compress_file_range (bnc#1151927 5.3.11).
- btrfs: tree-checker: Fix wrong check on max devid (bnc#1151927
  5.3.11).
- btrfs: Consider system chunk array size for new SYSTEM chunks
  (bnc#1151927 5.3.11).
- qede: fix NULL pointer deref in __qede_remove() (bnc#1151927
  5.3.11).
- net: fix data-race in neigh_event_send() (bnc#1151927 5.3.11).
- vsock/virtio: fix sock refcnt holding during the shutdown
  (bnc#1151927 5.3.11).
- net: ethernet: octeon_mgmt: Account for second possible VLAN
  header (bnc#1151927 5.3.11).
- ipv4: Fix table id reference in fib_sync_down_addr (bnc#1151927
  5.3.11).
- ipv6: fixes rt6_probe() and fib6_nh->last_probe init
  (bnc#1151927 5.3.11).
- net: hns: Fix the stray netpoll locks causing deadlock in NAPI
  path (bnc#1151927 5.3.11).
- net: usb: qmi_wwan: add support for DW5821e with eSIM support
  (bnc#1151927 5.3.11).
- CDC-NCM: handle incomplete transfer of MTU (bnc#1151927 5.3.11).
- NFC: st21nfca: fix double free (bnc#1151927 5.3.11).
- netfilter: ipset: Copy the right MAC address in hash:ip,mac
  IPv6 sets (bnc#1151927 5.3.11).
- netfilter: ipset: Fix an error code in ip_set_sockfn_get()
  (bnc#1151927 5.3.11).
- netfilter: nf_tables: Align nft_expr private data to 64-bit
  (bnc#1151927 5.3.11).
- net/smc: fix ethernet interface refcounting (bnc#1151927
  5.3.11).
- selftests/tls: add test for concurrent recv and send
  (bnc#1151927 5.3.11).
- net/tls: add a TX lock (bnc#1151927 5.3.11).
- net/tls: don't pay attention to sk_write_pending when pushing
  partial records (bnc#1151927 5.3.11).
- net: mscc: ocelot: fix NULL pointer on LAG slave removal
  (bnc#1151927 5.3.11).
- net: mscc: ocelot: don't handle netdev events for other netdevs
  (bnc#1151927 5.3.11).
- NFC: fdp: fix incorrect free object (bnc#1151927 5.3.11).
- net: prevent load/store tearing on sk->sk_stamp (bnc#1151927
  5.3.11).
- net: qualcomm: rmnet: Fix potential UAF when unregistering
  (bnc#1151927 5.3.11).
- net/tls: fix sk_msg trim on fallback to copy mode (bnc#1151927
  5.3.11).
- net: sched: prevent duplicate flower rules from tcf_proto
  destroy race (bnc#1151927 5.3.11).
- bonding: fix state transition issue in link monitoring
  (bnc#1151927 5.3.11).
- cgroup,writeback: don't switch wbs immediately on dead wbs if
  the memcg is dead (bnc#1151927 5.3.11).
- blkcg: make blkcg_print_stat() print stats only for online blkgs
  (bnc#1151927 5.3.11).
- ceph: don't allow copy_file_range when stripe_count != 1
  (bnc#1151927 5.3.11).
- ceph: don't try to handle hashed dentries in non-O_CREAT
  atomic_open (bnc#1151927 5.3.11).
- ceph: add missing check in d_revalidate snapdir handling
  (bnc#1151927 5.3.11).
- ceph: fix RCU case handling in ceph_d_revalidate() (bnc#1151927
  5.3.11).
- ceph: fix use-after-free in __ceph_remove_cap() (bnc#1151927
  5.3.11).
- arm64: Do not mask out PTE_RDONLY in pte_same() (bnc#1151927
  5.3.11).
- cpufreq: intel_pstate: Fix invalid EPB setting (bnc#1151927
  5.3.11).
- drm/radeon: fix si_enable_smc_cac() failed issue (bnc#1151927
  5.3.11).
- clk: imx8m: Use SYS_PLL1_800M as intermediate parent of CLK_ARM
  (bnc#1151927 5.3.11).
- mm: memcontrol: fix network errors from failing __GFP_ATOMIC
  charges (bnc#1151927 5.3.11).
- mm: slab: make page_cgroup_ino() to recognize non-compound
  slab pages properly (bnc#1151927 5.3.11).
- dump_stack: avoid the livelock of the dump_lock (bnc#1151927
  5.3.11).
- mm/khugepaged: fix might_sleep() warn with CONFIG_HIGHPTE=y
  (bnc#1151927 5.3.11).
- mm, vmstat: hide /proc/pagetypeinfo from normal users
  (bnc#1151927 5.3.11).
- ocfs2: protect extent tree in ocfs2_prepare_inode_for_write()
  (bnc#1151927 5.3.11).
- mm: thp: handle page cache THP correctly in PageTransCompoundMap
  (bnc#1151927 5.3.11).
- mm: memcontrol: fix NULL-ptr deref in percpu stats flush
  (bnc#1151927 5.3.11).
- clone3: validate stack arguments (bnc#1151927 5.3.11).
- tools: gpio: Use !building_out_of_srctree to determine srctree
  (bnc#1151927 5.3.11).
- usbip: Fix free of unallocated memory in vhci tx (bnc#1151927
  5.3.11).
- usbip: tools: Fix read_usb_vudc_device() error path handling
  (bnc#1151927 5.3.11).
- USB: ldusb: use unsigned size format specifiers (bnc#1151927
  5.3.11).
- USB: Skip endpoints with 0 maxpacket length (bnc#1151927
  5.3.11).
- usb: dwc3: remove the call trace of USBx_GFLADJ (bnc#1151927
  5.3.11).
- usb: gadget: configfs: fix concurrent issue between composite
  APIs (bnc#1151927 5.3.11).
- usb: gadget: composite: Fix possible double free memory bug
  (bnc#1151927 5.3.11).
- usb: fsl: Check memory resource before releasing it (bnc#1151927
  5.3.11).
- scsi: sd: define variable dif as unsigned int instead of bool
  (bnc#1151927 5.3.11).
- scsi: lpfc: Honor module parameter lpfc_use_adisc (bnc#1151927
  5.3.11).
- scsi: ufs-bsg: Wake the device before sending raw upiu commands
  (bnc#1151927 5.3.11).
- powerpc/32s: fix allow/prevent_user_access() when crossing
  segment boundaries (bnc#1151927 5.3.11).
- gve: Fixes DMA synchronization (bnc#1151927 5.3.11).
- iwlwifi: pcie: 0x2720 is qu and 0x30DC is not (bnc#1151927
  5.3.11).
- iwlwifi: pcie: fix all 9460 entries for qnj (bnc#1151927
  5.3.11).
- iwlwifi: pcie: fix PCI ID 0x2720 configs that should be soc
  (bnc#1151927 5.3.11).
- net: ethernet: arc: add the missed clk_disable_unprepare
  (bnc#1151927 5.3.11).
- hv_netvsc: Fix error handling in netvsc_attach() (bnc#1151927
  5.3.11).
- net: mscc: ocelot: refuse to overwrite the port's native vlan
  (bnc#1151927 5.3.11).
- net: mscc: ocelot: fix vlan_filtering when enslaving to bridge
  before link is up (bnc#1151927 5.3.11).
- selftests/bpf: More compatible nc options in test_tc_edt
  (bnc#1151927 5.3.11).
- net: phy: smsc: LAN8740: add PHY_RST_AFTER_CLK_EN flag
  (bnc#1151927 5.3.11).
- net: stmmac: Fix the problem of tso_xmit (bnc#1151927 5.3.11).
- NFSv4: Don't allow a cached open with a revoked delegation
  (bnc#1151927 5.3.11).
- nvme-multipath: fix possible io hang after ctrl reconnect
  (bnc#1151927 5.3.11).
- sched/topology: Allow sched_asym_cpucapacity to be disabled
  (bnc#1151927 5.3.11).
- sched/topology: Don't try to build empty sched domains
  (bnc#1151927 5.3.11).
- perf/x86/uncore: Fix event group support (bnc#1151927 5.3.11).
- perf/x86/amd/ibs: Handle erratum #420 only on the affected
  CPU family (10h) (bnc#1151927 5.3.11).
- perf/x86/amd/ibs: Fix reading of the IBS OpData register and
  thus precise RIP validity (bnc#1151927 5.3.11).
- x86, efi: Never relocate kernel below lowest acceptable address
  (bnc#1151927 5.3.11).
- efi: libstub/arm: Account for firmware reserved memory at the
  base of RAM (bnc#1151927 5.3.11).
- arm64: apply ARM64_ERRATUM_843419 workaround for Brahma-B53 core
  (bnc#1151927 5.3.11).
- arm64: Brahma-B53 is SSB and spectre v2 safe (bnc#1151927
  5.3.11).
- arm64: apply ARM64_ERRATUM_845719 workaround for Brahma-B53 core
  (bnc#1151927 5.3.11).
- arm64: cpufeature: Enable Qualcomm Falkor errata 1009 for Kryo
  (bnc#1151927 5.3.11).
- dc.c:use kzalloc without test (bnc#1151927 5.3.11).
- drm/amd/display: Passive DP->HDMI dongle detection fix
  (bnc#1151927 5.3.11).
- drm/amd/display: add 50us buffer as WA for pstate switch in
  active (bnc#1151927 5.3.11).
- drm/amd/display: do not synchronize "drr" displays (bnc#1151927
  5.3.11).
- drm/amdgpu: If amdgpu_ib_schedule fails return back the error
  (bnc#1151927 5.3.11).
- drm/sched: Set error to s_fence if HW job submission failed
  (bnc#1151927 5.3.11).
- drm/amdgpu/sdma5: do not execute 0-sized IBs (v2) (bnc#1151927
  5.3.11).
- dmaengine: xilinx_dma: Fix control reg update in
  vdma_channel_set_config (bnc#1151927 5.3.11).
- dmaengine: xilinx_dma: Fix 64-bit simple AXIDMA transfer
  (bnc#1151927 5.3.11).
- iommu/amd: Apply the same IVRS IOAPIC workaround to Acer Aspire
  A315-41 (bnc#1151927 5.3.11).
- ARC:: Enable on-board SPI NOR flash IC (bnc#1151927 5.3.11).
- HID: intel-ish-hid: fix wrong error handling in
  ishtp_cl_alloc_tx_ring() (bnc#1151927 5.3.11).
- HID: google: add magnemite/masterball USB ids (bnc#1151927
  5.3.11).
- arm64: errata: Update stale comment (bnc#1151927 5.3.11).
- soundwire: bus: set initial value to port_status (bnc#1151927
  5.3.11).
- configfs: fix a deadlock in configfs_symlink() (bnc#1151927
  5.3.11).
- usbip: Implement SG support to vhci-hcd and stub driver
  (bnc#1151927 5.3.11).
- perf map: Use zalloc for map_groups (bnc#1151927 5.3.11).
- commit 8a2e23a
* Wed Nov 13 2019 jslaby@suse.cz
- mm, meminit: recalculate pcpu batch and high limits after init
  completes (bnc#1155628).
  Update to upstream version (and update metadata).
- commit 8d03909
* Wed Nov 13 2019 jslaby@suse.cz
- Update
  patches.suse/ALSA-bebob-fix-to-detect-configured-source-of-sampli.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-hda-ca0132-Fix-possible-workqueue-stall.patch
  (bsc#1155836 bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-timer-Fix-incorrectly-assigned-timer-instance.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-Clean-up-check_input_term.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-Fix-copy-paste-error-in-the-validator.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-Fix-possible-NULL-dereference-at-crea.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-More-validations-of-descriptor-units.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-Remove-superfluous-bLength-checks.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-Simplify-parse_audio_unit.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ALSA-usb-audio-Unify-the-release-of-usb_mixer_elem_i.patch
  (git-fixes bnc#1151927 5.3.11).
- Update patches.suse/ALSA-usb-audio-remove-some-dead-code.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ASoC-SOF-Intel-hda-stream-fix-the-CONFIG_-prefix-mis.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ASoC-rsnd-dma-fix-SSI9-4-5-6-7-busif-dma-address.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/HID-wacom-generic-Treat-serial-number-and-related-fi.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/IB-core-Use-rdma_read_gid_l2_fields-to-compare-GID-L.patch
  (jsc#SLE-8449 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-hns-Prevent-memory-leaks-of-eq-buf_list.patch
  (jsc#SLE-8449 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-iw_cxgb4-Avoid-freeing-skb-twice-in-arp-failure.patch
  (jsc#SLE-8392 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-mlx5-Clear-old-rate-limit-when-closing-QP.patch
  (jsc#SLE-8446 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-nldev-Skip-counter-if-port-doesn-t-match.patch
  (jsc#SLE-8449 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-qedr-Fix-reported-firmware-version.patch
  (jsc#SLE-8215 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-siw-free-siw_base_qp-in-kref-release-routine.patch
  (jsc#SLE-8381 bnc#1151927 5.3.11).
- Update
  patches.suse/RDMA-uverbs-Prevent-potential-underflow.patch
  (jsc#SLE-8449 bnc#1151927 5.3.11).
- Update
  patches.suse/SUNRPC-Destroy-the-back-channel-when-we-destroy-the-.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/SUNRPC-The-RDMA-back-channel-mustn-t-disappear-while.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/SUNRPC-The-TCP-back-channel-mustn-t-disappear-while-.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/bonding-fix-unexpected-IFF_BONDING-bit-unset.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/bonding-fix-using-uninitialized-mode_lock.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/bonding-use-dynamic-lockdep-key-instead-of-subclass.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/bpf-Fix-use-after-free-in-bpf_get_prog_name.patch
  (bsc#1155518 bnc#1151927 5.3.11).
- Update
  patches.suse/bpf-Fix-use-after-free-in-subprog-s-jited-symbol-rem.patch
  (bsc#1155518 bnc#1151927 5.3.11).
- Update
  patches.suse/bpf-lwtunnel-Fix-reroute-supplying-invalid-dst.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/can-c_can-c_can_poll-only-read-status-register-after.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-dev-add-missing-of_node_put-after-calling-of_get.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-flexcan-disable-completely-the-ECC-mechanism.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-gs_usb-gs_can_open-prevent-memory-leak.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-mcba_usb-fix-use-after-free-on-disconnect.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-peak_usb-fix-a-potential-out-of-sync-while-decod.patch
  (git-fixes bnc#1151927 5.3.11).
- Update patches.suse/can-peak_usb-fix-slab-info-leak.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-rx-offload-can_rx_offload_queue_sorted-fix-error.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/can-usb_8dev-fix-use-after-free-on-disconnect.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/dmaengine-sprd-Fix-the-link-list-pointer-register-co.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/dmaengine-sprd-Fix-the-possible-memory-leak-issue.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/drm-v3d-Fix-memory-leak-in-v3d_submit_cl_ioctl.patch
  (git-fixes bnc#1151927 5.3.11).
- Update patches.suse/e1000-fix-memory-leaks.patch (jsc#SLE-8100
  bnc#1151927 5.3.11).
- Update
  patches.suse/efi-tpm-Return-EINVAL-when-determining-tpm-final-eve.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/fjes-Handle-workqueue-allocation-failure.patch
  (CVE-2019-16231,bsc#1150466 bnc#1151927 5.3.11).
- Update patches.suse/hwmon-ina3221-Fix-read-timeout-issue.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/igb-Fix-constant-media-auto-sense-switching-when-no-.patch
  (jsc#SLE-7967 jsc#SLE-8010 bnc#1151927 5.3.11).
- Update patches.suse/iio-adc-stm32-adc-fix-stopping-dma.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/iio-imu-adis16480-make-sure-provided-frequency-is-po.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/iio-imu-inv_mpu6050-fix-no-data-on-MPU6050.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/intel_th-gth-Fix-the-window-switching-sequence.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/ipvs-don-t-ignore-errors-in-case-refcounting-ip_vs-m.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/ipvs-move-old_secure_tcp-into-struct-netns_ipvs.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/iw_cxgb4-fix-ECN-check-on-the-passive-accept.patch
  (jsc#SLE-8392 bnc#1151927 5.3.11).
- Update
  patches.suse/kvm-x86-powerpc-do-not-allow-clearing-largepages-debugfs-entry
  (bsc#1117665 bnc#1151927 5.3.11).
- Update
  patches.suse/macsec-fix-refcnt-leak-in-module-exit-routine.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/mm-filemap.c-don-t-initiate-writeback-if-mapping-has-no-dirty-pages.patch
  (bnc#1155780 (VM/FS functional and performance backports)
  bnc#1151927 5.3.11).
- Update
  patches.suse/mm-meminit-Recalculate-pcpu-batch-and-high-limits-after-init-completes.patch
  (bnc#1155628 bnc#1151927 5.3.11).
- Update
  patches.suse/mt76-dma-fix-buffer-unmap-with-non-linear-skbs.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/net-hisilicon-Fix-Trying-to-free-already-free-IRQ.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/net-ibmvnic-unlock-rtnl_lock-in-reset-so-linkwatch_e.patch
  (bsc#1152457 ltc#174432 bnc#1151927 5.3.11).
- Update
  patches.suse/net-mlx5-fix-memory-leak-in-mlx5_fw_fatal_reporter_d.patch
  (jsc#SLE-8464 bnc#1151927 5.3.11).
- Update
  patches.suse/net-mlx5-prevent-memory-leak-in-mlx5_fpga_conn_creat.patch
  (jsc#SLE-8464 bnc#1151927 5.3.11).
- Update
  patches.suse/net-mlx5e-TX-Fix-consumer-index-of-error-cqe-dump.patch
  (jsc#SLE-8464 bnc#1151927 5.3.11).
- Update
  patches.suse/net-mlx5e-Tx-Fix-assumption-of-single-WQEBB-of-NOP-i.patch
  (jsc#SLE-8464 bnc#1151927 5.3.11).
- Update
  patches.suse/net-mlx5e-kTLS-Release-reference-on-DUMPed-fragments.patch
  (jsc#SLE-8464 bnc#1151927 5.3.11).
- Update
  patches.suse/net-openvswitch-free-vport-unless-register_netdevice.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/netfilter-nf_flow_table-set-timeout-before-insertion.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/netfilter-nft_payload-fix-missing-check-for-matching.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- Update
  patches.suse/nfc-netlink-fix-double-device-reference-drop.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/pinctrl-cherryview-Fix-irq_valid_mask-calculation.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/pinctrl-intel-Avoid-potential-glitches-if-pin-is-in-.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/r8169-fix-page-read-in-r8168g_mdio_read.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/scsi-lpfc-Check-queue-pointer-before-use.patch
  (bsc#1154242 bnc#1151927 5.3.11).
- Update
  patches.suse/scsi-qla2xxx-Initialized-mailbox-to-prevent-driver-l.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.11).
- Update
  patches.suse/scsi-qla2xxx-fixup-incorrect-usage-of-host_byte.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.11).
- Update
  patches.suse/scsi-qla2xxx-stop-timer-in-shutdown-path.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.11).
- Update patches.suse/soundwire-depend-on-ACPI-OF.patch
  (bsc#1148868 bnc#1151927 5.3.11).
- Update patches.suse/soundwire-depend-on-ACPI.patch (bsc#1148868
  bnc#1151927 5.3.11).
- Update
  patches.suse/usb-dwc3-gadget-fix-race-when-disabling-ep-with-canc.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/usb-dwc3-pci-prevent-memory-leak-in-dwc3_pci_probe.patch
  (git-fixes, CVE-2019-18813, bsc#1156278 bnc#1151927 5.3.11).
- Update patches.suse/usb-dwc3-select-CONFIG_REGMAP_MMIO.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/usb-gadget-udc-atmel-Fix-interrupt-storm-in-FIFO-mod.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/virt_wifi-fix-refcnt-leak-in-module-exit-routine.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/wimax-i2400-Fix-memory-leak-in-i2400m_op_rfkill_sw_t.patch
  (git-fixes bnc#1151927 5.3.11).
- Update
  patches.suse/xsk-Fix-registration-of-Rx-only-sockets.patch
  (bsc#1154353 bnc#1151927 5.3.11).
- commit 334001e
* Wed Nov 13 2019 jslaby@suse.cz
- Linux 5.3.10 (bnc#1151927 5.3.10).
- selftests: net: reuseport_dualstack: fix uninitalized parameter
  (bnc#1151927 5.3.10).
- rxrpc: Fix handling of last subpacket of jumbo packet
  (bnc#1151927 5.3.10).
- net/mlx5: Fix flow counter list auto bits struct (bnc#1151927
  5.3.10).
- net/smc: fix refcounting for non-blocking connect() (bnc#1151927
  5.3.10).
- net: usb: lan78xx: Disable interrupts before calling
  generic_handle_irq() (bnc#1151927 5.3.10).
- net: ethernet: ftgmac100: Fix DMA coherency issue with SW
  checksum (bnc#1151927 5.3.10).
- selftests: fib_tests: add more tests for metric update
  (bnc#1151927 5.3.10).
- net/smc: keep vlan_id for SMC-R in smc_listen_work()
  (bnc#1151927 5.3.10).
- net/smc: fix closing of fallback SMC sockets (bnc#1151927
  5.3.10).
- perf kmem: Fix memory leak in compact_gfp_flags() (bnc#1151927
  5.3.10).
- perf c2c: Fix memory leak in build_cl_output() (bnc#1151927
  5.3.10).
- perf tools: Fix resource leak of closedir() on the error paths
  (bnc#1151927 5.3.10).
- irqchip/sifive-plic: Skip contexts except supervisor in
  plic_init() (bnc#1151927 5.3.10).
- irqchip/gic-v3-its: Use the exact ITSList for VMOVP (bnc#1151927
  5.3.10).
- cifs: Fix cifsInodeInfo lock_sem deadlock when reconnect occurs
  (bnc#1151927 5.3.10).
- CIFS: Fix retry mid list corruption on reconnects (bnc#1151927
  5.3.10).
- MIPS: bmips: mark exception vectors as char arrays (bnc#1151927
  5.3.10).
- nbd: handle racing with error'ed out commands (bnc#1151927
  5.3.10).
- nbd: protect cmd->status with cmd->lock (bnc#1151927 5.3.10).
- scsi: hpsa: add missing hunks in reset-patch (bnc#1151927
  5.3.10).
- scsi: target: core: Do not overwrite CDB byte 1 (bnc#1151927
  5.3.10).
- scsi: fix kconfig dependency warning related to 53C700_LE_ON_BE
  (bnc#1151927 5.3.10).
- scsi: sni_53c710: fix compilation error (bnc#1151927 5.3.10).
- scsi: scsi_dh_alua: handle RTPG sense code correctly during
  state transitions (bnc#1151927 5.3.10).
- arm64: dts: allwinner: a64: sopine-baseboard: Add PHY regulator
  delay (bnc#1151927 5.3.10).
- arm64: dts: allwinner: a64: Drop PMU node (bnc#1151927 5.3.10).
- arm64: dts: allwinner: a64: pine64-plus: Add PHY regulator delay
  (bnc#1151927 5.3.10).
- ARM: dts: bcm2837-rpi-cm3: Avoid leds-gpio probing issue
  (bnc#1151927 5.3.10).
- ARM: davinci: dm365: Fix McBSP dma_slave_map entry (bnc#1151927
  5.3.10).
- arm64: dts: rockchip: Fix usb-c on Hugsun X99 TV Box
  (bnc#1151927 5.3.10).
- arm64: dts: rockchip: fix RockPro64 sdmmc settings (bnc#1151927
  5.3.10).
- arm64: dts: rockchip: fix RockPro64 sdhci settings (bnc#1151927
  5.3.10).
- arm64: dts: rockchip: fix RockPro64 vdd-log regulator settings
  (bnc#1151927 5.3.10).
- arm64: dts: rockchip: fix Rockpro64 RK808 interrupt line
  (bnc#1151927 5.3.10).
- arm64: dts: imx8mm: Use correct clock for usdhc's ipg clk
  (bnc#1151927 5.3.10).
- arm64: dts: imx8mq: Use correct clock for usdhc's ipg clk
  (bnc#1151927 5.3.10).
- ARM: dts: imx7s: Correct GPT's ipg clock source (bnc#1151927
  5.3.10).
- ARM: dts: vf610-zii-scu4-aib: Specify 'i2c-mux-idle-disconnect'
  (bnc#1151927 5.3.10).
- ARM: dts: imx6q-logicpd: Re-Enable SNVS power key (bnc#1151927
  5.3.10).
- arm64: dts: lx2160a: Correct CPU core idle state name
  (bnc#1151927 5.3.10).
- arm64: dts: zii-ultra: fix ARM regulator states (bnc#1151927
  5.3.10).
- ARM: dts: Use level interrupt for omap4 & 5 wlcore (bnc#1151927
  5.3.10).
- ARM: dts: am3874-iceboard: Fix 'i2c-mux-idle-disconnect' usage
  (bnc#1151927 5.3.10).
- ARM: dts: logicpd-torpedo-som: Remove twl_keypad (bnc#1151927
  5.3.10).
- arm64: dts: Fix gpio to pinmux mapping (bnc#1151927 5.3.10).
- selftests: kvm: fix sync_regs_test with newer gccs (bnc#1151927
  5.3.10).
- selftests: kvm: vmx_set_nested_state_test: don't check for
  VMX support twice (bnc#1151927 5.3.10).
- of: unittest: fix memory leak in unittest_data_add (bnc#1151927
  5.3.10).
- tracing: Fix "gfp_t" format for synthetic events (bnc#1151927
  5.3.10).
- ARM: 8926/1: v7m: remove register save to stack before svc
  (bnc#1151927 5.3.10).
- ARM: 8914/1: NOMMU: Fix exc_ret for XIP (bnc#1151927 5.3.10).
- ARM: 8908/1: add __always_inline to functions called from
  __get_user_check() (bnc#1151927 5.3.10).
- ARM: mm: fix alignment handler faults under memory pressure
  (bnc#1151927 5.3.10).
- selftests/powerpc: Fix compile error on tlbie_test due to
  newer gcc (bnc#1151927 5.3.10).
- selftests/powerpc: Add test case for tlbie vs mtpidr ordering
  issue (bnc#1151927 5.3.10).
- arm64: dts: ti: k3-am65-main: Fix gic-its node unit-address
  (bnc#1151927 5.3.10).
- commit c4dc2d2
* Wed Nov 13 2019 jslaby@suse.cz
- Update
  patches.suse/8250-men-mcb-fix-error-checking-when-get_num_ports-r.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ALSA-hda-Add-Tigerlake-Jasperlake-PCI-ID.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-Intel-sof-rt5682-add-a-check-for-devm_clk_get.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-SOF-Intel-hda-Disable-DMI-L1-entry-during-captu.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-SOF-Intel-hda-fix-warnings-during-FW-load.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-SOF-Intel-initialise-and-verify-FW-crash-dump-d.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-SOF-control-return-true-when-kcontrol-values-ch.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-SOF-loader-fix-kernel-oops-on-firmware-boot-fai.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-SOF-topology-fix-parse-fail-issue-for-byte-bool.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-intel-bytcr_rt5651-add-null-check-to-support_bu.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-intel-sof_rt5682-add-remove-function-to-disable.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-msm8916-wcd-digital-add-missing-MIX2-path-for-R.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-pcm3168a-The-codec-does-not-support-S32_LE.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-rt5682-add-NULL-handler-to-set_jack-function.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-samsung-arndale-Add-missing-OF-node-dereferenci.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-simple_card_utils.h-Fix-potential-multiple-rede.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-topology-Fix-a-signedness-bug-in-soc_tplg_dapm_.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-wm8994-Do-not-register-inapplicable-controls-fo.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/ASoC-wm_adsp-Don-t-generate-kcontrols-without-READ-f.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/ASoc-rockchip-i2s-Fix-RPM-imbalance.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/cxgb4-fix-panic-when-attaching-to-ULD-fail.patch
  (jsc#SLE-8389 bnc#1151927 5.3.10).
- Update
  patches.suse/cxgb4-request-the-TX-CIDX-updates-to-status-page.patch
  (jsc#SLE-8389 bnc#1151927 5.3.10).
- Update patches.suse/dccp-do-not-leak-jiffies-on-the-wire.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/drm-amdgpu-fix-error-handling-in-amdgpu_bo_list_crea.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/drm-amdgpu-fix-potential-VM-faults.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/drm-komeda-Don-t-flush-inactive-pipes.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/erspan-fix-the-tun_info-options_len-check-for-erspan.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/i2c-aspeed-fix-master-pending-state-handling.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/i2c-mt65xx-fix-NULL-ptr-dereference.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/i2c-stm32f7-fix-a-race-in-slave-mode-with-arbitratio.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/i2c-stm32f7-fix-first-byte-to-send-in-slave-mode.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/i2c-stm32f7-remove-warning-when-compiling-with-W-1.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/inet-stop-leaking-jiffies-on-the-wire.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/ipv4-fix-IPSKB_FRAG_PMTU-handling-with-fragmentation.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update patches.suse/ipv4-fix-route-update-on-metric-change.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update patches.suse/keys-Fix-memory-leak-in-copy_net_ns.patch
  (bsc#1154353 git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/mlxsw-core-Unpublish-devlink-parameters-during-reloa.patch
  (bsc#1154488 bnc#1151927 5.3.10).
- Update
  patches.suse/net-Zeroing-the-structure-ethtool_wolinfo-in-ethtool.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-add-READ_ONCE-annotation-in-__skb_wait_for_more_.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update patches.suse/net-add-skb_queue_empty_lockless.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-annotate-accesses-to-sk-sk_incoming_cpu.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-annotate-lockless-accesses-to-sk-sk_napi_id.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-bcmgenet-don-t-set-phydev-link-from-MAC.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/net-bcmgenet-reset-40nm-EPHY-on-energy-detect.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/net-dsa-b53-Do-not-clear-existing-mirrored-port-mask.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/net-dsa-bcm_sf2-Fix-IMP-setup-for-port-different-tha.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/net-dsa-fix-switch-tree-list.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/net-ensure-correct-skb-tstamp-in-various-fragmenters.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-fix-sk_page_frag-recursion-from-memory-reclaim.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update patches.suse/net-flow_dissector-switch-to-siphash.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-hisilicon-Fix-ping-latency-when-deal-with-high-t.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-hns3-fix-mis-counting-IRQ-vector-numbers-issue.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-mlx4_core-Dynamically-set-guaranteed-amount-of-c.patch
  (jsc#SLE-8460 bnc#1151927 5.3.10).
- Update patches.suse/net-mlx5-Fix-rtable-reference-leak.patch
  (jsc#SLE-8464 bnc#1151927 5.3.10).
- Update
  patches.suse/net-mlx5e-Determine-source-port-properly-for-vlan-pu.patch
  (jsc#SLE-8464 bnc#1151927 5.3.10).
- Update
  patches.suse/net-mlx5e-Fix-ethtool-self-test-link-speed.patch
  (jsc#SLE-8464 bnc#1151927 5.3.10).
- Update
  patches.suse/net-mlx5e-Fix-handling-of-compressed-CQEs-in-case-of.patch
  (jsc#SLE-8464 bnc#1151927 5.3.10).
- Update
  patches.suse/net-mlx5e-Initialize-on-stack-link-modes-bitmap.patch
  (jsc#SLE-8464 bnc#1151927 5.3.10).
- Update
  patches.suse/net-mlx5e-Remove-incorrect-match-criteria-assignment.patch
  (jsc#SLE-8464 bnc#1151927 5.3.10).
- Update
  patches.suse/net-netem-correct-the-parent-s-backlog-when-corrupte.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-netem-fix-error-path-for-corrupted-GSO-frames.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-phy-bcm7xxx-define-soft_reset-for-40nm-EPHY.patch
  (git-fixes bnc#1151927 5.3.10).
- Update patches.suse/net-phylink-Fix-phylink_dbg-macro.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-reorder-struct-net-fields-to-avoid-false-sharing.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update patches.suse/net-rtnetlink-fix-a-typo-fbd-fdb.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-usb-lan78xx-Connect-PHY-before-registering-MAC.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/net-use-skb_queue_empty_lockless-in-busy-poll-contex.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/net-use-skb_queue_empty_lockless-in-poll-handlers.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/netns-fix-GFP-flags-in-rtnl_net_notifyid.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/pinctrl-intel-Allocate-IRQ-chip-dynamic.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/pinctrl-ns2-Fix-off-by-one-bugs-in-ns2_pinmux_enable.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/pinctrl-stmfx-fix-null-pointer-on-remove.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/platform-x86-pmc_atom-Add-Siemens-SIMATIC-IPC227E-to.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/r8152-add-device-id-for-Lenovo-ThinkPad-USB-C-Dock-G.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/r8169-fix-wrong-PHY-ID-issue-with-RTL8168dp.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/regulator-da9062-fix-suspend_enable-disable-preparat.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/regulator-of-fix-suspend-min-max-voltage-parsing.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/regulator-pfuze100-regulator-Variable-val-in-pfuze10.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/regulator-ti-abb-Fix-timeout-in-ti_abb_wait_txdone-t.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/scsi-qla2xxx-fix-a-potential-NULL-pointer-dereferenc.patch
  (bsc#1150457 CVE-2019-16233 bnc#1151927 5.3.10).
- Update
  patches.suse/udp-fix-data-race-in-udp_set_dev_scratch.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update patches.suse/udp-use-skb_queue_empty_lockless.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- Update
  patches.suse/usb-gadget-udc-core-Fix-segfault-if-udc_bind_to_driv.patch
  (git-fixes bnc#1151927 5.3.10).
- Update
  patches.suse/vxlan-check-tun_info-options_len-properly.patch
  (bsc#1154353 bnc#1151927 5.3.10).
- commit db35794
* Wed Nov 13 2019 mkubecek@suse.cz
- refresh config files
- commit 18453ef
* Wed Nov 13 2019 mkubecek@suse.cz
- series.conf: cleanup
- move submitted and accepted patch into "almost mainline" section
- commit 8e9e103
* Tue Nov 12 2019 fdmanana@suse.com
- Btrfs: fix log context list corruption after rename exchange
  operation (bsc#1156494).
- commit 73bdb1d
* Tue Nov 12 2019 jslaby@suse.cz
- Linux 5.3.9 (bnc#1151927 5.3.9).
- Revert "nvme: allow 64-bit results in passthru commands"
  (bnc#1151927 5.3.9).
- scsi: target: cxgbit: Fix cxgbit_fw4_ack() (bnc#1151927 5.3.9).
- s390/idle: fix cpu idle time calculation (bnc#1151927 5.3.9).
- s390/unwind: fix mixing regs and sp (bnc#1151927 5.3.9).
- s390/cmm: fix information leak in cmm_timeout_handler()
  (bnc#1151927 5.3.9).
- NFS: Fix an RCU lock leak in nfs4_refresh_delegation_stateid()
  (bnc#1151927 5.3.9).
- io_uring: ensure we clear io_kiocb->result before each issue
  (bnc#1151927 5.3.9).
- um-ubd: Entrust re-queue to the upper layers (bnc#1151927
  5.3.9).
- arm64: cpufeature: Enable Qualcomm Falkor/Kryo errata 1003
  (bnc#1151927 5.3.9).
- arm64: Ensure VM_WRITE|VM_SHARED ptes are clean by default
  (bnc#1151927 5.3.9).
- KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging
  is active (bnc#1151927 5.3.9).
- drm/amdgpu: Fix SDMA hang when performing VKexample test
  (bnc#1151927 5.3.9).
- iommu/vt-d: Fix panic after kexec -p for kdump (bnc#1151927
  5.3.9).
- fuse: truncate pending writes on O_TRUNC (bnc#1151927 5.3.9).
- fuse: flush dirty data/metadata before non-truncate setattr
  (bnc#1151927 5.3.9).
- ARC: perf: Accommodate big-endian CPU (bnc#1151927 5.3.9).
- perf/aux: Fix tracking of auxiliary trace buffer allocation
  (bnc#1151927 5.3.9).
- perf annotate: Fix multiple memory and file descriptor leaks
  (bnc#1151927 5.3.9).
- net: usb: sr9800: fix uninitialized local variable (bnc#1151927
  5.3.9).
- io_uring: fix up O_NONBLOCK handling for sockets (bnc#1151927
  5.3.9).
- dm snapshot: rework COW throttling to fix deadlock (bnc#1151927
  5.3.9).
- dm snapshot: introduce account_start_copy() and
  account_end_copy() (bnc#1151927 5.3.9).
- serial/sifive: select SERIAL_EARLYCON (bnc#1151927 5.3.9).
- perf/x86/amd: Change/fix NMI latency mitigation to use a
  timestamp (bnc#1151927 5.3.9).
- perf/core: Fix corner case in perf_rotate_context() (bnc#1151927
  5.3.9).
- perf/core: Rework memory accounting in perf_mmap() (bnc#1151927
  5.3.9).
- perf annotate: Don't return -1 for error when doing BPF
  disassembly (bnc#1151927 5.3.9).
- perf annotate: Return appropriate error code for allocation
  failures (bnc#1151927 5.3.9).
- perf annotate: Fix arch specific ->init() failure errors
  (bnc#1151927 5.3.9).
- perf annotate: Propagate the symbol__annotate() error return
  (bnc#1151927 5.3.9).
- perf annotate: Fix the signedness of failure returns
  (bnc#1151927 5.3.9).
- perf annotate: Propagate perf_env__arch() error (bnc#1151927
  5.3.9).
- perf tools: Propagate get_cpuid() error (bnc#1151927 5.3.9).
- perf jevents: Fix period for Intel fixed counters (bnc#1151927
  5.3.9).
- perf script brstackinsn: Fix recovery from LBR/binary mismatch
  (bnc#1151927 5.3.9).
- perf map: Fix overlapped map handling (bnc#1151927 5.3.9).
- perf tests: Avoid raising SEGV using an obvious NULL dereference
  (bnc#1151927 5.3.9).
- libsubcmd: Make _FORTIFY_SOURCE defines dependent on the feature
  (bnc#1151927 5.3.9).
- efi/x86: Do not clean dummy variable in kexec path (bnc#1151927
  5.3.9).
- efi/cper: Fix endianness of PCIe class code (bnc#1151927 5.3.9).
- riscv: Correct the handling of unexpected ebreak in
  do_trap_break() (bnc#1151927 5.3.9).
- riscv: avoid sending a SIGTRAP to a user thread trapped in
  WARN() (bnc#1151927 5.3.9).
- riscv: avoid kernel hangs when trapped in BUG() (bnc#1151927
  5.3.9).
- MIPS: fw: sni: Fix out of bounds init of o32 stack (bnc#1151927
  5.3.9).
- MIPS: include: Mark __xchg as __always_inline (bnc#1151927
  5.3.9).
- MIPS: include: Mark __cmpxchg as __always_inline (bnc#1151927
  5.3.9).
- x86/xen: Return from panic notifier (bnc#1151927 5.3.9).
- s390/uaccess: avoid (false positive) compiler warnings
  (bnc#1151927 5.3.9).
- s390/cio: fix virtio-ccw DMA without PV (bnc#1151927 5.3.9).
- NFSv4: Fix leak of clp->cl_acceptor string (bnc#1151927 5.3.9).
- nfs: Fix nfsi->nrequests count error on nfs_inode_remove_request
  (bnc#1151927 5.3.9).
- fs: cifs: mute -Wunused-const-variable message (bnc#1151927
  5.3.9).
- nbd: fix possible sysfs duplicate warning (bnc#1151927 5.3.9).
- btrfs: silence maybe-uninitialized warning in clone_range
  (bnc#1151927 5.3.9).
- arm64: armv8_deprecated: Checking return value for memory
  allocation (bnc#1151927 5.3.9).
- arm64: vdso32: Don't use KBUILD_CPPFLAGS unconditionally
  (bnc#1151927 5.3.9).
- arm64: Default to building compat vDSO with clang when
  CONFIG_CC_IS_CLANG (bnc#1151927 5.3.9).
- arm64: vdso32: Detect binutils support for dmb ishld
  (bnc#1151927 5.3.9).
- arm64: vdso32: Fix broken compat vDSO build warnings
  (bnc#1151927 5.3.9).
- arm64: ftrace: Ensure synchronisation in PLT setup for
  Neoverse-N1 #1542419 (bnc#1151927 5.3.9).
- arm64: Fix incorrect irqflag restore for priority masking for
  compat (bnc#1151927 5.3.9).
- arm64: cpufeature: Effectively expose FRINT capability to
  userspace (bnc#1151927 5.3.9).
- selftests/kselftest/runner.sh: Add 45 second timeout per test
  (bnc#1151927 5.3.9).
- kselftest: exclude failed TARGETS from runlist (bnc#1151927
  5.3.9).
- fs: ocfs2: fix a possible null-pointer dereference in
  ocfs2_info_scan_inode_alloc() (bnc#1151927 5.3.9).
- fs: ocfs2: fix possible null-pointer dereferences in
  ocfs2_xa_prepare_entry() (bnc#1151927 5.3.9).
- ocfs2: clear zero in unaligned direct IO (bnc#1151927 5.3.9).
- Btrfs: fix inode cache block reserve leak on failure to allocate
  data space (bnc#1151927 5.3.9).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- s390/pci: fix MSI message data (bnc#1151927 5.3.9).
- arm64: dts: qcom: Add Asus NovaGo TP370QL (bnc#1151927 5.3.9).
- arm64: dts: qcom: Add HP Envy x2 (bnc#1151927 5.3.9).
- arm64: dts: qcom: Add Lenovo Miix 630 (bnc#1151927 5.3.9).
- commit 613af05
* Tue Nov 12 2019 jslaby@suse.cz
- Update
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch
  (bsc#1155179 bnc#1151927 5.3.9).
- Update
  patches.suse/0001-thunderbolt-Correct-path-indices-for-PCIe-tunnel.patch
  (jsc#SLE-8714 bnc#1151927 5.3.9).
- Update
  patches.suse/0001-thunderbolt-Use-32-bit-writes-when-writing-ring-prod.patch
  (jsc#SLE-8714 bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-bebob-Fix-prototype-of-helper-function-to-retur.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-hda-realtek-Add-support-for-ALC623.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-hda-realtek-Fix-2-front-mics-of-codec-0x623.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-timer-Fix-mutex-deadlock-at-releasing-card.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-usb-audio-Add-DSD-support-for-Gustard-U16-X26-U.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-usb-audio-DSD-auto-detection-for-Playback-Desig.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/ALSA-usb-audio-Update-DSD-support-quirks-for-Oppo-an.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/HID-Fix-assumption-that-devices-have-inputs.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/HID-fix-error-message-in-hid_open_report.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/HID-i2c-hid-add-Trekstor-Primebook-C11B-to-descripto.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/HID-logitech-hidpp-do-all-FF-cleanup-in-hidpp_ff_des.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/HID-logitech-hidpp-rework-device-validation.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/HID-logitech-hidpp-split-g920_get_config.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/IB-hfi1-Avoid-excessive-retry-for-TID-RDMA-READ-requ.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9).
- Update
  patches.suse/NFC-pn533-fix-use-after-free-and-memleaks.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-cm-Fix-memory-leak-in-cm_add-remove_one.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-core-Fix-an-error-handling-path-in-res_get_comm.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-hfi1-Prevent-memory-leak-in-sdma_init.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-iw_cxgb4-fix-SRQ-access-from-dump_qp.patch
  (jsc#SLE-8392 bnc#1151927 5.3.9).
- Update patches.suse/RDMA-iwcm-Fix-a-lock-inversion-issue.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-mlx5-Add-missing-synchronize_srcu-for-MW-cases.patch
  (jsc#SLE-8446 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-mlx5-Do-not-allow-rereg-of-a-ODP-MR.patch
  (jsc#SLE-8446 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-mlx5-Order-num_pending_prefetch-properly-with-s.patch
  (jsc#SLE-8446 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-mlx5-Use-irq-xarray-locking-for-mkey_table.patch
  (jsc#SLE-8446 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-nldev-Reshuffle-the-code-to-avoid-need-to-rebin.patch
  (jsc#SLE-8449 bnc#1151927 5.3.9).
- Update
  patches.suse/RDMA-siw-Fix-serialization-issue-in-write_space.patch
  (jsc#SLE-8381 bnc#1151927 5.3.9).
- Update
  patches.suse/Revert-ALSA-hda-Flush-interrupts-on-disabling.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/SUNRPC-fix-race-to-sk_err-after-xs_error_report.patch
  (bsc#1154353 bnc#1151927 5.3.9).
- Update
  patches.suse/UAS-Revert-commit-3ae62a42090f-UAS-fix-alignment-of-.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/USB-gadget-Reject-endpoints-with-0-maxpacket-value.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/USB-ldusb-fix-control-message-timeout.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/USB-ldusb-fix-ring-buffer-locking.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/USB-legousbtower-fix-a-signedness-bug-in-tower_probe.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/USB-serial-whiteheat-fix-line-speed-endianness.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/USB-serial-whiteheat-fix-potential-slab-corruption.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/ath10k-fix-latency-issue-for-QCA988x.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/batman-adv-Avoid-free-alloc-race-when-handling-OGM-b.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/bonding-fix-potential-NULL-deref-in-bond_update_slav.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/dmaengine-cppi41-Fix-cppi41_dma_prep_slave_sg-when-i.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/dmaengine-imx-sdma-fix-size-check-for-sdma-script_nu.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/dmaengine-qcom-bam_dma-Fix-resource-leak.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/dmaengine-tegra210-adma-fix-transfer-failure.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/drm-amdgpu-fix-memory-leak.patch (git-fixes
  bnc#1151927 5.3.9).
- Update
  patches.suse/drm-amdgpu-gfx10-update-gfx-golden-settings.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/drm-amdgpu-gmc10-properly-set-BANK_SELECT-and-FRAGME.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/drm-amdgpu-powerplay-vega10-allow-undervolting-in-p7.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/drm-i915-Fix-PCH-reference-clock-for-FDI-on-HSW-BDW.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/gpio-max77620-Use-correct-unit-for-debounce-times.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/iio-adc-meson_saradc-Fix-memory-allocation-order.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/iio-fix-center-temperature-of-bmc150-accel-core.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/iio-imu-adis16400-fix-memory-leak.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/iio-imu-adis16400-release-allocated-memory-on-failur.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/iio-imu-st_lsm6dsx-fix-waitime-for-st_lsm6dsx-i2c-co.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/iwlwifi-exclude-GEO-SAR-support-for-3168.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/llc-fix-sk_buff-leak-in-llc_conn_service.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/llc-fix-sk_buff-leak-in-llc_sap_state_process.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/misc-fastrpc-prevent-memory-leak-in-fastrpc_dma_buf_.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/msft-hv-1953-HID-hyperv-Use-in-place-iterator-API-in-the-channel-.patch
  (fate#323887 bnc#1151927 5.3.9).
- Update
  patches.suse/nbd-verify-socket-is-supported-during-setup.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/net-ath6kl-Fix-a-NULL-ptr-deref-bug.patch
  (CVE-2019-15098,bsc#1146378,CVE-2019-15290,bsc#1146543
  bnc#1151927 5.3.9).
- Update
  patches.suse/net-sched-sch_sfb-don-t-call-qdisc_put-while-holding.patch
  (bsc#1154353 bnc#1151927 5.3.9).
- Update
  patches.suse/netfilter-conntrack-avoid-possible-false-sharing.patch
  (bsc#1154353 bnc#1151927 5.3.9).
- Update
  patches.suse/nl80211-fix-validation-of-mesh-path-nexthop.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/powerpc-powernv-Fix-CPU-idle-to-be-called-with-IRQs-.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/rtlwifi-Fix-potential-overflow-on-P2P-code.patch
  (bsc#1154372 CVE-2019-17666 bnc#1151927 5.3.9).
- Update
  patches.suse/rtlwifi-rtl_pci-Fix-problem-of-too-small-skb-len.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/rtw88-Fix-misuse-of-GENMASK-macro.patch
  (git-fixes bnc#1151927 5.3.9).
- Update patches.suse/rxrpc-Fix-call-ref-leak.patch (bsc#1154353
  bnc#1151927 5.3.9).
- Update
  patches.suse/rxrpc-Fix-trace-after-put-looking-at-the-put-peer-re.patch
  (bsc#1154353 bnc#1151927 5.3.9).
- Update
  patches.suse/rxrpc-rxrpc_peer-needs-to-hold-a-ref-on-the-rxrpc_lo.patch
  (bsc#1154353 bnc#1151927 5.3.9).
- Update
  patches.suse/sch_netem-fix-rcu-splat-in-netem_enqueue.patch
  (bsc#1154353 bnc#1151927 5.3.9).
- Update
  patches.suse/sched-fair-Fix-Wunused-but-set-variable-warnings.patch
  (bnc#1155798 (CPU scheduler functional and performance
  backports) bnc#1151927 5.3.9).
- Update
  patches.suse/sched-fair-Fix-low-cpu-usage-with-high-throttling-by-removing-expiration-of-cpu-local-slices.patch
  (bnc#1155798 (CPU scheduler functional and performance
  backports) bnc#1151927 5.3.9).
- Update
  patches.suse/sched-fair-Scale-bandwidth-quota-and-period-without-losing-quota-period-ratio-precision.patch
  (git fixes (sched) bnc#1151927 5.3.9).
- Update
  patches.suse/sched-vtime-Fix-guest-system-mis-accounting-on-task-switch.patch
  (git fixes (cputime accounting) bnc#1151927 5.3.9).
- Update
  patches.suse/scsi-qla2xxx-Fix-partial-flash-write-of-MBI.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.9).
- Update
  patches.suse/serial-8250_omap-Fix-gpio-check-for-auto-RTS-CTS.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/serial-mctrl_gpio-Check-for-NULL-pointer.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/staging-rtl8188eu-fix-null-dereference-when-kzalloc-.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/tracing-Initialize-iter-seq-after-zeroing-in-tracing.patch
  (bsc#1151508 bnc#1151927 5.3.9).
- Update patches.suse/tty-n_hdlc-fix-build-on-SPARC.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/tty-serial-owl-Fix-the-link-time-qualifier-of-owl_ua.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/tty-serial-rda-Fix-the-link-time-qualifier-of-rda_ua.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/usb-storage-Revert-commit-747668dbc061-usb-storage-S.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/usb-xhci-fix-Immediate-Data-Transfer-endianness.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/usb-xhci-fix-__le32-__le64-accessors-in-debugfs-code.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/virt-vbox-fix-memory-leak-in-hgcm_call_preprocess_li.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/virtio_ring-fix-stalls-for-packed-rings.patch
  (git-fixes bnc#1151927 5.3.9).
- Update
  patches.suse/x86-cpu-add-comet-lake-to-the-intel-cpu-models-header.patch
  (jsc#SLE-7935 bnc#1151927 5.3.9).
- Update
  patches.suse/xhci-Fix-use-after-free-regression-in-xhci-clear-hub.patch
  (git-fixes bnc#1151927 5.3.9).
- commit d0f752b
* Tue Nov 12 2019 hare@suse.de
- nvme: Move ctrl sqsize to generic space
  (bsc#1156419,jsc#SLE-8281).
- nvme: Add ctrl attributes for queue_count and sqsize
  (bsc#1156419,jsc#SLE-8281).
- commit 20e4a40
* Tue Nov 12 2019 hare@suse.de
- nvmet-tcp: remove superflous check on request sgl
  (bsc#1156419,jsc#SLE-8281).
- commit 19797e4
* Tue Nov 12 2019 hare@suse.de
- nvmet: change ppl to lpp (bsc#1156419,jsc#SLE-8281).
- commit 00bb531
* Tue Nov 12 2019 hare@suse.de
- blk-mq: apply normal plugging for HDD
  (bsc#1156419,jsc#SLE-8281).
- commit 1007f9a
* Tue Nov 12 2019 hare@suse.de
- iocost: bump up default latency targets for hard disks
  (bsc#1156419,jsc#SLE-8281).
- iocost: improve nr_lagging handling (bsc#1156419,jsc#SLE-8281).
- iocost: better trace vrate changes (bsc#1156419,jsc#SLE-8281).
- commit 6d144e8
* Tue Nov 12 2019 hare@suse.de
- block: t10-pi: fix -Wswitch warning (bsc#1156419,jsc#SLE-8281).
- block, bfq: increase update frequency of inject limit
  (bsc#1156419,jsc#SLE-8281).
- block, bfq: reduce upper bound for inject limit to
  max_rq_in_driver+1 (bsc#1156419,jsc#SLE-8281).
- block, bfq: update inject limit only after injection occurred
  (bsc#1156419,jsc#SLE-8281).
- commit 11db1c7
* Tue Nov 12 2019 hare@suse.de
- mmc: queue: Fix bigger segments usage
  (bsc#1156419,jsc#SLE-8281).
- dma-mapping: fix filename references (bsc#1156419,jsc#SLE-8281).
- iommu/dma: add a new dma_map_ops of get_merge_boundary()
  (bsc#1156419,jsc#SLE-8281).
- dma-mapping: introduce dma_get_merge_boundary()
  (bsc#1156419,jsc#SLE-8281).
- mmc: queue: use bigger segments if DMA MAP layer can merge
  the segments (bsc#1156419,jsc#SLE-8281).
- block: add a helper function to merge the segments
  (bsc#1156419,jsc#SLE-8281).
- commit 0574516
* Tue Nov 12 2019 hare@suse.de
- nvmet: fix a wrong error status returned in error log page
  (bsc#1156419,jsc#SLE-8281).
- nvme: send discovery log page change events to userspace
  (bsc#1156419,jsc#SLE-8281).
- nvme: add uevent variables for controller devices
  (bsc#1156419,jsc#SLE-8281).
- nvme: enable aen regardless of the presence of I/O queues
  (bsc#1156419,jsc#SLE-8281).
- nvme-fabrics: allow discovery subsystems accept a kato
  (bsc#1156419,jsc#SLE-8281).
- nvmet: Use PTR_ERR_OR_ZERO() in nvmet_init_discovery()
  (bsc#1156419,jsc#SLE-8281).
- nvme: Remove redundant assignment of cq vector
  (bsc#1156419,jsc#SLE-8281).
- nvme: Assign subsys instance from first ctrl
  (bsc#1156419,jsc#SLE-8281).
- nvme: tcp: remove redundant assignment to variable ret
  (bsc#1156419,jsc#SLE-8281).
- nvme: include admin_q sync with nvme_sync_queues
  (bsc#1156419,jsc#SLE-8281).
- nvme: Treat discovery subsystems as unique subsystems
  (bsc#1156419,jsc#SLE-8281).
- nvme: fix ns removal hang when failing to revalidate due to
  a transient error (bsc#1156419,jsc#SLE-8281).
- nvme: make nvme_report_ns_ids propagate error back
  (bsc#1156419,jsc#SLE-8281).
- nvme: make nvme_identify_ns propagate errors back
  (bsc#1156419,jsc#SLE-8281).
- nvme: pass status to nvme_error_status
  (bsc#1156419,jsc#SLE-8281).
- nvme-fc: Fail transport errors with NVME_SC_HOST_PATH
  (bsc#1156419,jsc#SLE-8281).
- nvme-tcp: fail command with NVME_SC_HOST_PATH_ERROR send failed
  (bsc#1156419,jsc#SLE-8281).
- nvme: fail cancelled commands with NVME_SC_HOST_PATH_ERROR
  (bsc#1156419,jsc#SLE-8281).
- commit b7d6f8e
* Tue Nov 12 2019 hare@suse.de
- block: also check RQF_STATS in blk_mq_need_time_stamp()
  (bsc#1156419,jsc#SLE-8281).
- commit 8e18ffe
* Tue Nov 12 2019 hare@suse.de
- bfq: Fix bfq linkage error (bsc#1156419,jsc#SLE-8281).
- block: bypass blk_set_runtime_active for uninitialized q->dev
  (bsc#1156419,jsc#SLE-8281).
- commit c4398cc
* Tue Nov 12 2019 hare@suse.de
- iocost_monitor: Report debt (bsc#1156419,jsc#SLE-8281).
- iocost_monitor: Report more info with higher accuracy
  (bsc#1156419,jsc#SLE-8281).
- iocost_monitor: Always use strings for json values
  (bsc#1156419,jsc#SLE-8281).
- commit 5643f67
* Tue Nov 12 2019 hare@suse.de
- blk-iocost: Don't let merges push vtime into the future
  (bsc#1156419,jsc#SLE-8281).
- blk-iocost: Account force-charged overage in absolute vtime
  (bsc#1156419,jsc#SLE-8281).
- commit 5e399b3
* Tue Nov 12 2019 hare@suse.de
- bfq: Add per-device weight (bsc#1156419,jsc#SLE-8281).
- bfq: Extract bfq_group_set_weight from bfq_io_set_weight_legacy
  (bsc#1156419,jsc#SLE-8281).
- bfq: Fix the missing barrier in __bfq_entity_update_weight_prio
  (bsc#1156419,jsc#SLE-8281).
- commit c8fb944
* Tue Nov 12 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream references and move:
  patches.suse/soundwire-depend-on-ACPI-OF.patch
  patches.suse/soundwire-depend-on-ACPI.patch
- commit db2a325
* Tue Nov 12 2019 mkubecek@suse.cz
- update upstream references
- update Patch-mainline:
  patches.suse/mm-gup-fix-a-misnamed-write-argument-and-a-related-bug.patch
  patches.suse/sched-Fix-pick_next_task-vs-change-pattern-race.patch
- commit f1c7235
* Tue Nov 12 2019 mkubecek@suse.cz
- move patches.suse/stacktrace-Don-t-skip-first-entry-on-noncurrent-task.patch into sorted section
- commit 2b73785
* Mon Nov 11 2019 mbrugger@suse.com
- arm64: Update config files. (bsc#1156466)
  Enable HW_RANDOM_OMAP used by machiattobin
  and mark omap-rng as supported
- commit 97cc63c
* Mon Nov 11 2019 hare@suse.de
- block: fix elevator_get_by_features()
  (bsc#1156419,jsc#SLE-8281).
- commit 178e768
* Mon Nov 11 2019 hare@suse.de
- iocost: don't nest spin_lock_irq in ioc_weight_write()
  (bsc#1156419,jsc#SLE-8281).
- nvme-tcp: Initialize sk->sk_ll_usec only with NET_RX_BUSY_POLL
  (bsc#1156419,jsc#SLE-8281).
- blkcg: Fix multiple bugs in blkcg_activate_policy()
  (bsc#1156419,jsc#SLE-8281).
- block: don't release queue's sysfs lock during switching
  elevator (bsc#1156419,jsc#SLE-8281).
- block: fix race between switching elevator and removing queues
  (bsc#1156419,jsc#SLE-8281).
- blk-iocost: Fix incorrect operation order during iocg free
  (bsc#1156419,jsc#SLE-8281).
- commit e443933
* Mon Nov 11 2019 hare@suse.de
- sd: Set ELEVATOR_F_ZBD_SEQ_WRITE for ZBC disks
  (bsc#1156419,jsc#SLE-8281).
- block: Set ELEVATOR_F_ZBD_SEQ_WRITE for nullblk zoned disks
  (bsc#1156419,jsc#SLE-8281).
- block: Delay default elevator initializatio
  (bsc#1156419,jsc#SLE-8281).
- commit 71cd228
* Mon Nov 11 2019 hare@suse.de
- block: Improve default elevator selection
  (bsc#1156419,jsc#SLE-8281).
- block: Introduce elevator features (bsc#1156419,jsc#SLE-8281).
- block: Change elevator_init_mq() to always succeed
  (bsc#1156419,jsc#SLE-8281).
- commit 2d709aa
* Mon Nov 11 2019 hare@suse.de
- block: Cleanup elevator_init_mq() use
  (bsc#1156419,jsc#SLE-8281).
- commit f9e5dd5
* Mon Nov 11 2019 hare@suse.de
- Documentation:kernel-per-CPU-kthreads.txt: Remove reference
  to elevator= (bsc#1156419,jsc#SLE-8281).
- Documenation: switching-sched: Remove notes about elevator
  argument (bsc#1156419,jsc#SLE-8281).
- block: elevator.c: Remove now unused elevator= argument
  (bsc#1156419,jsc#SLE-8281).
- commit 4c19565
* Mon Nov 11 2019 hare@suse.de
- nvme-rdma: Use rq_dma_dir macro (bsc#1156419,jsc#SLE-8281).
- nvme-fc: Use rq_dma_dir macro (bsc#1156419,jsc#SLE-8281).
- nvme-pci: Tidy up nvme_unmap_data (bsc#1156419,jsc#SLE-8281).
- commit f389b9a
* Mon Nov 11 2019 hare@suse.de
- nvme: make fabrics command run on a separate request queue
  (bsc#1156419,jsc#SLE-8281).
- Update
  patches.suse/nvme-rdma-Fix-max_hw_sectors-calculation.patch
  (bsc#1156419,jsc#SLE-8281).
- commit 6ad508a
* Mon Nov 11 2019 hare@suse.de
- nvme-pci: Support shared tags across queues for Apple 2018
  controllers (bsc#1156419,jsc#SLE-8281).
- nvme-pci: Add support for Apple 2018+ models
  (bsc#1156419,jsc#SLE-8281).
- nvme-pci: Add support for variable IO SQ element size
  (bsc#1156419,jsc#SLE-8281).
- nvme-pci: Pass the queue to SQ_SIZE/CQ_SIZE macros
  (bsc#1156419,jsc#SLE-8281).
- nvme: trace bio completion (bsc#1156419,jsc#SLE-8281).
- commit ab59099
* Mon Nov 11 2019 hare@suse.de
- nvmet-tcp: Add TOS for tcp transport (bsc#1156419,jsc#SLE-8281).
- nvme-tcp: Add TOS for tcp transport (bsc#1156419,jsc#SLE-8281).
- nvme-tcp: Use struct nvme_ctrl directly
  (bsc#1156419,jsc#SLE-8281).
- nvme-rdma: Add TOS for rdma transport
  (bsc#1156419,jsc#SLE-8281).
- nvme-fabrics: Add type of service (TOS) configuration
  (bsc#1156419,jsc#SLE-8281).
- nvmet-tcp: fix possible memory leak (bsc#1156419,jsc#SLE-8281).
- nvmet-tcp: fix possible NULL deref (bsc#1156419,jsc#SLE-8281).
- nvmet: trace: parse Get LBA Status command in detail
  (bsc#1156419,jsc#SLE-8281).
- nvme: trace: parse Get LBA Status command in detail
  (bsc#1156419,jsc#SLE-8281).
- nvme: trace: support for Get LBA Status opcode parsed
  (bsc#1156419,jsc#SLE-8281).
- nvme: add Get LBA Status command opcode
  (bsc#1156419,jsc#SLE-8281).
- commit 51901f2
* Mon Nov 11 2019 hare@suse.de
- nvme-tcp: support simple polling (bsc#1156419,jsc#SLE-8281).
- nvme: tcp: selects CRYPTO_CRC32C for nvme-tcp
  (bsc#1156419,jsc#SLE-8281).
- nvme: don't pass cap to nvme_disable_ctrl
  (bsc#1156419,jsc#SLE-8281).
- nvme: move sqsize setting to the core
  (bsc#1156419,jsc#SLE-8281).
- nvme-pci: set ctrl sqsize to the device q_depth
  (bsc#1156419,jsc#SLE-8281).
- nvme: have nvme_init_identify set ctrl->cap
  (bsc#1156419,jsc#SLE-8281).
- nvme-tcp: Use protocol specific operations while reading socket
  (bsc#1156419,jsc#SLE-8281).
- nvme-tcp: cleanup nvme_tcp_recv_pdu (bsc#1156419,jsc#SLE-8281).
- commit bda85fb
* Mon Nov 11 2019 hare@suse.de
- block: centralize PI remapping logic to the block layer
  (bsc#1156419,jsc#SLE-8281).
- block: use symbolic constants for t10_pi type
  (bsc#1156419,jsc#SLE-8281).
- commit e299de5
* Mon Nov 11 2019 jack@suse.cz
- block: elevator.c: Remove now unused elevator= argument
  (bsc#1156055).
- commit 95954cd
* Mon Nov 11 2019 hare@suse.de
- blkcg: add missing NULL check in ioc_cpd_alloc()
  (bsc#1156419,jsc#SLE-8281).
- blkcg: fix missing free on error path of blk_iocost_init()
  (bsc#1156419,jsc#SLE-8281).
- blkcg: blk-iocost: predeclare used structs
  (bsc#1156419,jsc#SLE-8281).
- blkcg: add tools/cgroup/iocost_coef_gen.py
  (bsc#1156419,jsc#SLE-8281).
- blkcg: add tools/cgroup/iocost_monitor.py
  (bsc#1156419,jsc#SLE-8281).
- blkcg: implement blk-iocost (bsc#1156419,jsc#SLE-8281).
- update config files (add BLK_CGROUP_IOCOST=y, BLK_RQ_ALLOC_TIME=y)
- blk-mq: add optional request->alloc_time_ns
  (bsc#1156419,jsc#SLE-8281).
- blkcg: s/RQ_QOS_CGROUP/RQ_QOS_LATENCY/
  (bsc#1156419,jsc#SLE-8281).
- block/rq_qos: implement rq_qos_ops->queue_depth_changed()
  (bsc#1156419,jsc#SLE-8281).
- block/rq_qos: add rq_qos_merge() (bsc#1156419,jsc#SLE-8281).
- blkcg: separate blkcg_conf_get_disk() out of blkg_conf_prep()
  (bsc#1156419,jsc#SLE-8281).
- blkcg: make ->cpd_init_fn() optional (bsc#1156419,jsc#SLE-8281).
- blkcg: pass @q and @blkcg into blkcg_pol_alloc_pd_fn()
  (bsc#1156419,jsc#SLE-8281).
- block: split .sysfs_lock into two locks
  (bsc#1156419,jsc#SLE-8281).
- block: add helper for checking if queue is registered
  (bsc#1156419,jsc#SLE-8281).
- blk-mq: don't hold q->sysfs_lock in blk_mq_map_swqueue
  (bsc#1156419,jsc#SLE-8281).
- block: don't hold q->sysfs_lock in elevator_init_mq
  (bsc#1156419,jsc#SLE-8281).
- block: Remove blk_mq_register_dev() (bsc#1156419,jsc#SLE-8281).
- block: move same page handling from __bio_add_pc_page to the
  callers (bsc#1156419,jsc#SLE-8281).
- block: create a bio_try_merge_pc_page helper
  (bsc#1156419,jsc#SLE-8281).
- block: improve the gap check in __bio_add_pc_page
  (bsc#1156419,jsc#SLE-8281).
- block: sed-opal: Removed duplicate OPAL_METHOD_LENGTH definition
  (bsc#1156419,jsc#SLE-8281).
- block: sed-opal: Remove always false conditional statement
  (bsc#1156419,jsc#SLE-8281).
- block: sed-opal: Add/remove spaces (bsc#1156419,jsc#SLE-8281).
- block: remove struct request_queue queue_head
  (bsc#1156419,jsc#SLE-8281).
- block: annotate refault stalls from IO submission
  (bsc#1156419,jsc#SLE-8281).
- block: stop exporting bio_map_kern (bsc#1156419,jsc#SLE-8281).
- lightnvm: pblk: use kvmalloc for metadata
  (bsc#1156419,jsc#SLE-8281).
- lightnvm: move metadata mapping to lower level driver
  (bsc#1156419,jsc#SLE-8281).
- lightnvm: remove nvm_submit_io_sync_fn
  (bsc#1156419,jsc#SLE-8281).
- commit e17d5ba
* Mon Nov 11 2019 tiwai@suse.de
- Update patch reference for ASoC SOF fix (CVE-2019-18812, bsc#1156277)
- commit 34489e1
* Mon Nov 11 2019 tiwai@suse.de
- ASoC: SOF: Intel: hda-stream: fix the CONFIG_ prefix missing
  (git-fixes).
- commit 0996041
* Mon Nov 11 2019 hare@suse.de
- blk-mq: balance mapping between present CPUs and queues
  (bsc#1156419,jsc#SLE-8281).
- null_blk: implement REQ_OP_ZONE_RESET_ALL
  (bsc#1156419,jsc#SLE-8281).
- scsi: implement REQ_OP_ZONE_RESET_ALL
  (bsc#1156419,jsc#SLE-8281).
- blk-zoned: implement REQ_OP_ZONE_RESET_ALL
  (bsc#1156419,jsc#SLE-8281).
- block: add req op to reset all zones and flag
  (bsc#1156419,jsc#SLE-8281).
- block: Fix a comment in blk_cleanup_queue()
  (bsc#1156419,jsc#SLE-8281).
- block: Fix spelling in the header above blkg_lookup()
  (bsc#1156419,jsc#SLE-8281).
- block: Improve physical block alignment of split bios
  (bsc#1156419,jsc#SLE-8281).
- block: Simplify blk_bio_segment_split()
  (bsc#1156419,jsc#SLE-8281).
- block: Simplify bvec_split_segs() (bsc#1156419,jsc#SLE-8281).
- block: Document the bio splitting functions
  (bsc#1156419,jsc#SLE-8281).
- block: Declare several function pointer arguments 'const'
  (bsc#1156419,jsc#SLE-8281).
- blk-mq: remove blk_mq_complete_request_sync
  (bsc#1156419,jsc#SLE-8281).
- nvme: wait until all completed request's complete fn is called
  (bsc#1156419,jsc#SLE-8281).
- nvme: don't abort completed request in nvme_cancel_request
  (bsc#1156419,jsc#SLE-8281).
- blk-mq: introduce blk_mq_tagset_wait_completed_request()
  (bsc#1156419,jsc#SLE-8281).
- blk-mq: introduce blk_mq_request_completed()
  (bsc#1156419,jsc#SLE-8281).
- commit 0d15be1
* Mon Nov 11 2019 tiwai@suse.de
- soc: imx: gpc: fix initialiser format (git-fixes).
- reset: fix reset_control_get_exclusive kerneldoc comment
  (git-fixes).
- reset: fix reset_control_lookup kerneldoc comment (git-fixes).
- reset: fix of_reset_control_get_count kerneldoc comment
  (git-fixes).
- reset: fix of_reset_simple_xlate kerneldoc comment (git-fixes).
- reset: Fix memory leak in reset_control_array_put() (git-fixes).
- iio: adc: stm32-adc: fix stopping dma (git-fixes).
- iio: imu: inv_mpu6050: fix no data on MPU6050 (git-fixes).
- iio: imu: adis16480: make sure provided frequency is positive
  (git-fixes).
- intel_th: gth: Fix the window switching sequence (git-fixes).
- thunderbolt: Drop unnecessary read when writing LC command in
  Ice Lake (git-fixes).
- thunderbolt: Fix lockdep circular locking depedency warning
  (git-fixes).
- clocksource/drivers/mediatek: Fix error handling (git-fixes).
- pinctrl: cherryview: Allocate IRQ chip dynamic (git-fixes).
- pinctrl: cherryview: Fix irq_valid_mask calculation (git-fixes).
- pinctrl: intel: Avoid potential glitches if pin is in GPIO mode
  (git-fixes).
- watchdog: bd70528: Add MODULE_ALIAS to allow module auto loading
  (git-fixes).
- watchdog: imx_sc_wdt: Pretimeout should follow SCU firmware
  format (git-fixes).
- watchdog: meson: Fix the wrong value of left time (git-fixes).
- mac80211: fix ieee80211_txq_setup_flows() failure path
  (git-fixes).
- nfc: netlink: fix double device reference drop (git-fixes).
- r8169: fix page read in r8168g_mdio_read (git-fixes).
- can: rx-offload: can_rx_offload_offload_one(): do not increase
  the skb_queue beyond skb_queue_len_max (git-fixes).
- can: rx-offload: can_rx_offload_queue_tail(): fix error
  handling, avoid skb mem leak (git-fixes).
- can: rx-offload: can_rx_offload_queue_sorted(): fix error
  handling, avoid skb mem leak (git-fixes).
- can: c_can: c_can_poll(): only read status register after
  status IRQ (git-fixes).
- can: peak_usb: fix slab info leak (git-fixes).
- can: peak_usb: fix a potential out-of-sync while decoding
  packets (git-fixes).
- can: flexcan: disable completely the ECC mechanism (git-fixes).
- can: usb_8dev: fix use-after-free on disconnect (git-fixes).
- can: mcba_usb: fix use-after-free on disconnect (git-fixes).
- can: gs_usb: gs_can_open(): prevent memory leak (git-fixes).
- can: dev: add missing of_node_put() after calling
  of_get_child_by_name() (git-fixes).
- dccp: do not leak jiffies on the wire (git-fixes).
- pwm: bcm-iproc: Prevent unloading the driver module while in
  use (git-fixes).
- drm/amdgpu: register gpu instance before fan boost feature
  enablment (git-fixes).
- drm/i915: Avoid HPD poll detect triggering a new detect cycle
  (git-fixes).
- fbdev: c2p: Fix link failure on non-inlining (git-fixes).
- clk: samsung: exynos5420: Preserve PLL configuration during
  suspend/resume (git-fixes).
- clk: samsung: exynos542x: Move G3D subsystem clocks to its
  sub-CMU (git-fixes).
- clk: samsung: exynos5433: Fix error paths (git-fixes).
- clk: sunxi-ng: a80: fix the zero'ing of bits 16 and 18
  (git-fixes).
- clk: sunxi: Fix operator precedence in sunxi_divs_clk_setup
  (git-fixes).
- clk: ti: clkctrl: Fix failed to enable error with double udelay
  timeout (git-fixes).
- clk: at91: avoid sleeping early (git-fixes).
- clk: at91: sam9x60: fix programmable clock (git-fixes).
- r8152: add device id for Lenovo ThinkPad USB-C Dock Gen 2
  (git-fixes).
- dmaengine: cppi41: Fix cppi41_dma_prep_slave_sg() when idle
  (git-fixes).
- dmaengine: qcom: bam_dma: Fix resource leak (git-fixes).
- dmaengine: sprd: Fix the possible memory leak issue (git-fixes).
- dmaengine: imx-sdma: fix size check for sdma script_number
  (git-fixes).
- dmaengine: tegra210-adma: fix transfer failure (git-fixes).
- dmaengine: sprd: Fix the link-list pointer register
  configuration issue (git-fixes).
- drm/amdgpu: fix error handling in amdgpu_bo_list_create
  (git-fixes).
- drm/amdgpu: fix potential VM faults (git-fixes).
- drm/komeda: Don't flush inactive pipes (git-fixes).
- regulator: pfuze100-regulator: Variable "val" in
  pfuze100_regulator_probe() could be uninitialized (git-fixes).
- regulator: ti-abb: Fix timeout in
  ti_abb_wait_txdone/ti_abb_clear_all_txdone (git-fixes).
- usb: gadget: udc: core: Fix segfault if udc_bind_to_driver()
  for pending driver fails (git-fixes).
- commit d6c29b6
* Mon Nov 11 2019 jack@suse.cz
- block: Warn if elevator= parameter is used (bsc#1156055).
- commit 87814cc
* Mon Nov 11 2019 mgorman@suse.de
- sched: Fix pick_next_task() vs 'change' pattern race (git fixes
  (sched)).
- commit 75aac31
* Mon Nov 11 2019 tiwai@suse.de
- ASoC: SOF: topology: Fix bytes control size checks (git-fixes).
- ASoC: ti: sdma-pcm: Add back the flags parameter for non
  standard dma names (git-fixes).
- ASoC: SOF: ipc: Fix memory leak in sof_set_get_large_ctrl_data
  (git-fixes).
- ASoC: SOF: Fix memory leak in sof_dfsentry_write (git-fixes).
- ASoC: kirkwood: fix device remove ordering (git-fixes).
- ASoC: rsnd: dma: fix SSI9 4/5/6/7 busif dma address (git-fixes).
- ASoC: hdmi-codec: drop mutex locking again (git-fixes).
- ASoC: kirkwood: fix external clock probe defer (git-fixes).
- ASoC: msm8916-wcd-analog: Fix RX1 selection in RDAC2 MUX
  (git-fixes).
- ASoC: SOF: control: return true when kcontrol values change
  (git-fixes).
- ASoC: Intel: sof-rt5682: add a check for devm_clk_get
  (git-fixes).
- ASoC: msm8916-wcd-digital: add missing MIX2 path for RX1/2
  (git-fixes).
- ASoC: wm_adsp: Don't generate kcontrols without READ flags
  (git-fixes).
- ASoC: intel: bytcr_rt5651: add null check to
  support_button_press (git-fixes).
- ASoC: intel: sof_rt5682: add remove function to disable jack
  (git-fixes).
- ASoC: rt5682: add NULL handler to set_jack function (git-fixes).
- ASoC: SOF: Intel: hda: Disable DMI L1 entry during capture
  (git-fixes).
- update config files (add SND_SOC_SOF_HDA_ALWAYS_ENABLE_DMI_L1=y on x86_64)
- ASoC: SOF: Intel: initialise and verify FW crash dump data
  (git-fixes).
- ASoC: SOF: Intel: hda: fix warnings during FW load (git-fixes).
- ASoC: SOF: topology: fix parse fail issue for byte/bool tuple
  types (git-fixes).
- ASoC: SOF: loader: fix kernel oops on firmware boot failure
  (git-fixes).
- ASoC: wm8994: Do not register inapplicable controls for WM1811
  (git-fixes).
- ASoC: samsung: arndale: Add missing OF node dereferencing
  (git-fixes).
- ASoC: pcm3168a: The codec does not support S32_LE (git-fixes).
- commit 6ff8cc0
* Mon Nov 11 2019 jslaby@suse.cz
- Refresh
  patches.suse/stacktrace-Don-t-skip-first-entry-on-noncurrent-task.patch.
  Update upstream status.
- commit fac489f
* Mon Nov 11 2019 mgorman@suse.de
- mm/gup: fix a misnamed "write" argument, and a related bug
  (git fixes (mm/gup)).
- commit d17d319
* Mon Nov 11 2019 mgorman@suse.de
- blacklist.conf: Blacklist change in THP allocation behaviour
- commit e194e08
* Mon Nov 11 2019 mgorman@suse.de
- blacklist.conf: Blacklist change in THP allocation behaviour
- commit 7e51886
* Mon Nov 11 2019 msuchanek@suse.de
- powerpc/mm/mce: Keep irqs disabled during lockless page table
  walk (bsc#1156395).
- commit 9275ddd
* Mon Nov 11 2019 glin@suse.com
- bpf: Change size to u64 for bpf_map_{area_alloc, charge_init}()
  (bsc#1155518).
- commit 04b6b83
* Mon Nov 11 2019 glin@suse.com
- bpf: Allow narrow loads of bpf_sysctl fields with offset > 0
  (bsc#1155518).
- commit 1c48ac9
* Fri Nov  8 2019 tiwai@suse.de
- Move upstreamed CA0132 patch into sorted section
- commit 04d225f
* Fri Nov  8 2019 tiwai@suse.de
- ALSA: timer: Fix incorrectly assigned timer instance
  (git-fixes).
- ALSA: hda: hdmi - add Tigerlake support (git-fixes).
- ALSA: bebob: fix to detect configured source of sampling clock
  for Focusrite Saffire Pro i/o series (git-fixes).
- commit b69261d
* Fri Nov  8 2019 tiwai@suse.de
- HID: Fix assumption that devices have inputs (git-fixes).
- Refresh
  patches.suse/HID-logitech-hidpp-split-g920_get_config.patch.
- commit 313ea5d
* Fri Nov  8 2019 tiwai@suse.de
- HID: wacom: generic: Treat serial number and related fields
  as unsigned (git-fixes).
- USB: serial: whiteheat: fix line-speed endianness (git-fixes).
- USB: gadget: Reject endpoints with 0 maxpacket value
  (git-fixes).
- usb: xhci: fix __le32/__le64 accessors in debugfs code
  (git-fixes).
- net: dsa: bcm_sf2: Fix IMP setup for port different than 8
  (git-fixes).
- rtlwifi: rtl_pci: Fix problem of too small skb->len (git-fixes).
- batman-adv: Avoid free/alloc race when handling OGM buffer
  (git-fixes).
- net: openvswitch: free vport unless register_netdevice()
  succeeds (git-fixes).
- drm/amdgpu/gmc10: properly set BANK_SELECT and FRAGMENT_SIZE
  (git-fixes).
- drm/amdgpu/powerplay/vega10: allow undervolting in p7
  (git-fixes).
- drm/amdgpu/gfx10: update gfx golden settings (git-fixes).
- HID: i2c-hid: add Trekstor Primebook C11B to descriptor override
  (git-fixes).
- misc: fastrpc: prevent memory leak in fastrpc_dma_buf_attach
  (git-fixes).
- iio: imu: adis16400: fix memory leak (git-fixes).
- iio: imu: adis16400: release allocated memory on failure
  (git-fixes).
- iio: fix center temperature of bmc150-accel-core (git-fixes).
- staging: rtl8188eu: fix null dereference when kzalloc fails
  (git-fixes).
- serial: 8250_omap: Fix gpio check for auto RTS/CTS (git-fixes).
- serial: mctrl_gpio: Check for NULL pointer (git-fixes).
- drm/amdgpu: fix memory leak (git-fixes).
- gpio: max77620: Use correct unit for debounce times (git-fixes).
- rtw88: Fix misuse of GENMASK macro (git-fixes).
- commit 7396a58
* Fri Nov  8 2019 tiwai@suse.de
- fjes: Handle workqueue allocation failure
  (CVE-2019-16231,bsc#1150466).
- commit 026d312
* Fri Nov  8 2019 tiwai@suse.de
- Update patch reference tag for dwc3 security fix (CVE-2019-18813, bsc#1156278)
- commit 2c755c4
* Fri Nov  8 2019 mkubecek@suse.cz
- series.conf: move sortable patches into sorted section
- move into sorted section:
  patches.suse/scsi-target-compare-full-CHAP_A-Algorithm-strings.patch
  patches.suse/scsi-target-fix-SendTargets-All-string-compares.patch
  patches.suse/scsi-target-remove-unused-extension-parameters.patch
  patches.suse/scsi-target-iscsi-CHAP-add-support-for-SHA1-SHA256-a.patch
  patches.suse/scsi-target-iscsi-tie-the-challenge-length-to-the-ha.patch
  patches.suse/scsi-target-iscsi-rename-some-variables-to-avoid-con.patch
- commit 80f0994
* Thu Nov  7 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch.
- commit 035dc7c
* Thu Nov  7 2019 ddiss@suse.de
- patches.suse/scsi-target-iscsi-rename-some-variables-to-avoid-con.patch:
  (jsc#SES-1080).
- patches.suse/scsi-target-iscsi-tie-the-challenge-length-to-the-ha.patch:
  (jsc#SES-1080).
- patches.suse/scsi-target-iscsi-CHAP-add-support-for-SHA1-SHA256-a.patch:
  (jsc#SES-1080).
- patches.suse/scsi-target-remove-unused-extension-parameters.patch:
  (jsc#SES-1080).
- patches.suse/scsi-target-fix-SendTargets-All-string-compares.patch:
  (jsc#SES-1080).
- patches.suse/scsi-target-compare-full-CHAP_A-Algorithm-strings.patch:
  (jsc#SES-1080).
- commit d620bcd
* Thu Nov  7 2019 oneukum@suse.com
- media: Revert "media: vimc: propagate pixel format in the
  stream" (git-fixes).
- commit 34b5c83
* Thu Nov  7 2019 oneukum@suse.com
- media: vimc: stream: fix style of argument description
  (git-fixes).
- commit b398d8c
* Thu Nov  7 2019 oneukum@suse.com
- media: vimc: stream: remove obsolete function doc (git-fixes).
- commit eb41435
* Thu Nov  7 2019 oneukum@suse.com
- media: Revert "media: vimc: Remove or modify stream checks"
  (git-fixes).
- commit 249cb6d
* Thu Nov  7 2019 mkubecek@suse.cz
- supported.conf: cleanup
- drop modules built into vmlinux now:
  crypto/crc32
  drivers/video/macmodes
  fs/autofs4/autofs4
- drop extension
  drivers/hwmon/ina3221
- commit 6d1628e
* Thu Nov  7 2019 mkubecek@suse.cz
- update upstream references
- update Patch-mainline:
  patches.suse/cpusets-Rebuild-root-domain-deadline-accounting-information.patch
  patches.suse/membarrier-Fix-RCU-locking-bug-caused-by-faulty-merge.patch
  patches.suse/sched-Add-task_struct-pointer-to-sched_class-set_curr_task.patch
  patches.suse/sched-Allow-put_prev_task-to-drop-rq-lock.patch
  patches.suse/sched-Rework-CPU-hotplug-task-selection.patch
  patches.suse/sched-Rework-pick_next_task-slow-path.patch
  patches.suse/sched-core-Streamle-calls-to-task_rq_unlock.patch
  patches.suse/sched-fair-Avoid-redundant-EAS-calculation.patch
  patches.suse/sched-fair-Change-task_numa_work-storage-to-static.patch
  patches.suse/sched-fair-Expose-newidle_balance.patch
  patches.suse/sched-fair-Fall-back-to-sched-idle-CPU-if-idle-CPU-isn-t-found.patch
  patches.suse/sched-fair-Fix-Wunused-but-set-variable-warnings.patch
  patches.suse/sched-fair-Fix-low-cpu-usage-with-high-throttling-by-removing-expiration-of-cpu-local-slices.patch
  patches.suse/sched-fair-Introduce-fits_capacity.patch
  patches.suse/sched-fair-Move-init_numa_balancing-below-task_numa_work.patch
  patches.suse/sched-fair-Move-task_numa_work-init-to-init_numa_balancing.patch
  patches.suse/sched-fair-Speed-up-energy-aware-wake-ups.patch
  patches.suse/sched-fair-Start-tracking-SCHED_IDLE-tasks-count-in-cfs_rq.patch
  patches.suse/sched-isolation-Prefer-housekeeping-CPU-in-local-node.patch
  patches.suse/sched-membarrier-Fix-p-mm-membarrier_state-racy-load.patch
  patches.suse/sched-membarrier-Remove-redundant-check.patch
  patches.suse/sched-membarrier-Return-ENOMEM-to-userspace-on-memory-allocation-failure.patch
  patches.suse/sched-membarrier-Skip-IPIs-when-mm-mm_users-1.patch
  patches.suse/sched-rt-deadline-Fix-set_next_task-vs-pick_next_task.patch
  patches.suse/sched-stats-Fix-unlikely-use-of-sched_info_on.patch
  patches.suse/sched-topology-Add-partition_sched_domains_locked.patch
  patches.suse/stop_machine-Fix-stop_cpus_in_progress-ordering.patch
- commit 7497999
* Thu Nov  7 2019 mgorman@suse.de
- membarrier: Fix RCU locking bug caused by faulty merge
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit 49ddad8
* Wed Nov  6 2019 mgorman@suse.de
- sched/fair: Avoid redundant EAS calculation (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Fix -Wunused-but-set-variable warnings (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/membarrier: Return -ENOMEM to userspace on memory
  allocation failure (bnc#1155798 (CPU scheduler functional and
  performance backports)).
- sched/membarrier: Skip IPIs when mm->mm_users == 1 (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/membarrier: Fix p->mm->membarrier_state racy load
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/membarrier: Remove redundant check (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/fair: Speed-up energy-aware wake-ups (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched: Rework pick_next_task() slow-path (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched: Allow put_prev_task() to drop rq->lock (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Expose newidle_balance() (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- sched: Add task_struct pointer to sched_class::set_curr_task
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched: Rework CPU hotplug task selection (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/{rt,deadline}: Fix set_next_task vs pick_next_task
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- stop_machine: Fix stop_cpus_in_progress ordering (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Fix low cpu usage with high throttling by removing
  expiration of cpu-local slices (bnc#1155798 (CPU scheduler
  functional and performance backports)).
- cpusets: Rebuild root domain deadline accounting information
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/core: Streamle calls to task_rq_unlock() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/topology: Add partition_sched_domains_locked()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Introduce fits_capacity() (bnc#1155798 (CPU
  scheduler functional and performance backports)).
- sched/isolation: Prefer housekeeping CPU in local node
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/stats: Fix unlikely() use of sched_info_on() (bnc#1155798
  (CPU scheduler functional and performance backports)).
- sched/fair: Fall back to sched-idle CPU if idle CPU isn't
  found (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Start tracking SCHED_IDLE tasks count in cfs_rq
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Change task_numa_work() storage to static
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Move task_numa_work() init to init_numa_balancing()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- sched/fair: Move init_numa_balancing() below task_numa_work()
  (bnc#1155798 (CPU scheduler functional and performance
  backports)).
- commit daa1350
* Wed Nov  6 2019 oneukum@suse.com
- blacklist.conf: rendered moot by subsequent removal of the driver
  (which we didn't compile in SLE15 in the first place)
- commit 4972748
* Wed Nov  6 2019 yousaf.kaukab@suse.com
- enetc: Add mdio bus driver for the PCIe MDIO endpoint
  (jsc#SLE-9316).
- enetc: Clean up makefile (jsc#SLE-9316).
- commit 2f5843d
* Wed Nov  6 2019 yousaf.kaukab@suse.com
- config: arm64: enable nxp ls1028a (jsc#SLE-9263)
  Update supported.conf accordingly
- commit 3c653ff
* Wed Nov  6 2019 mkubecek@suse.cz
- series.conf: cleanup
- update upstream reference and move into sorted section:
  patches.suse/rtlwifi-Fix-potential-overflow-on-P2P-code.patch
- whitespace cleanup
  No effect on expanded tree.
- commit 913dbd6
* Wed Nov  6 2019 tiwai@suse.de
- rpm/kernel-source.spec.in: Fix dependency of kernel-devel (bsc#1154043)
- commit ceb9273
* Wed Nov  6 2019 jslaby@suse.cz
- rpm/kernel-binary.spec.in: add COMPRESS_VMLINUX (bnc#1155921)
  Let COMPRESS_VMLINUX determine the compression used for vmlinux. By
  default (historically), it is gz.
- commit c8b2d9f
* Wed Nov  6 2019 glin@suse.com
- selftests/bpf: More compatible nc options in test_lwt_ip_encap
  (bsc#1155518).
- selftests/bpf: Set rp_filter in test_flow_dissector
  (bsc#1155518).
- selftests/bpf: fix endianness issues in test_sysctl
  (bsc#1155518).
- selftests/bpf: improve unexpected success reporting in
  test_syctl (bsc#1155518).
- selftests/bpf: fix "ctx:write sysctl:write read ok" on s390
  (bsc#1155518).
- selftests/bpf: introduce bpf_cpu_to_be64 and bpf_be64_to_cpu
  (bsc#1155518).
- selftests/bpf: fix race in test_tcp_rtt test (bsc#1155518).
- tools: bpftool: move "__printf()" attributes to header file
  (bsc#1155518).
- tools: bpftool: fix format string for p_err() in
  detect_common_prefix() (bsc#1155518).
- tools: bpftool: fix format string for p_err() in
  query_flow_dissector() (bsc#1155518).
- tools: bpftool: fix argument for p_err() in BTF do_dump()
  (bsc#1155518).
- tools: bpftool: fix format strings and arguments for
  jsonw_printf() (bsc#1155518).
- tools: bpftool: fix arguments for p_err() in do_event_pipe()
  (bsc#1155518).
- commit 19d2eb7
* Wed Nov  6 2019 mgorman@suse.de
- series_sort: Move AMD-specific load balancing patch to sorted patch section
- commit c65ad73
* Tue Nov  5 2019 mkubecek@suse.cz
- Update upstream references:
  patches.suse/hugetlbfs-don-t-retry-when-pool-page-allocations-start-to-fail.patch
  patches.suse/mm-compaction-raise-compaction-priority-after-it-withdrawns.patch
  patches.suse/mm-compaction.c-remove-unnecessary-zone-parameter-in-isolate_migratepages.patch
  patches.suse/mm-filemap.c-don-t-initiate-writeback-if-mapping-has-no-dirty-pages.patch
  patches.suse/mm-filemap.c-rewrite-mapping_needs_writeback-in-less-fancy-manner.patch
  patches.suse/mm-mempolicy.c-remove-unnecessary-nodemask-check-in-kernel_migrate_pages.patch
  patches.suse/mm-reclaim-cleanup-should_continue_reclaim.patch
  patches.suse/mm-reclaim-make-should_continue_reclaim-perform-dryrun-detection.patch
  patches.suse/mm-replace-list_move_tail-with-add_page_to_lru_list_tail.patch
  patches.suse/mm-sl-aou-b-guarantee-natural-alignment-for-kmalloc-power-of-two.patch
  patches.suse/mm-sl-ou-b-improve-memory-accounting.patch
  patches.suse/mm-vmscan-do-not-share-cgroup-iteration-between-reclaimers.patch
  patches.suse/sched-topology-Improve-load-balancing-on-AMD-EPYC.patch
- commit 471d837
* Tue Nov  5 2019 tiwai@suse.de
- ALSA: hda/ca0132 - Fix possible workqueue stall (bsc#1155836).
- commit a383566
* Tue Nov  5 2019 tbogendoerfer@suse.de
- supported.conf: mark efa and siw as supported
- commit 6c0057f
* Tue Nov  5 2019 tbogendoerfer@suse.de
- net: fix installing orphaned programs (bsc#1154353).
- net: cls_bpf: fix NULL deref on offload filter removal
  (bsc#1154353).
- net: phylink: Fix phylink_dbg() macro (bsc#1154353).
- inet: stop leaking jiffies on the wire (bsc#1154353).
- ixgbe: Remove duplicate clear_bit() call (jsc#SLE-7979
  jsc#SLE-7981).
- e1000: fix memory leaks (jsc#SLE-8100).
- i40e: Fix receive buffer starvation for AF_XDP (jsc#SLE-8025).
- igb: Fix constant media auto sense switching when no cable is
  connected (jsc#SLE-7967 jsc#SLE-8010).
- igb: Enable media autosense for the i350 (jsc#SLE-7967
  jsc#SLE-8010).
- igb/igc: Don't warn on fatal read failures when the device is
  removed (jsc#SLE-7967 jsc#SLE-8010).
- tcp: increase tcp_max_syn_backlog max value (bsc#1154353).
- netdevsim: Fix use-after-free during device dismantle
  (bsc#1154353).
- cxgb4: fix panic when attaching to ULD fail (jsc#SLE-8389).
- net: annotate lockless accesses to sk->sk_napi_id (bsc#1154353).
- net: annotate accesses to sk->sk_incoming_cpu (bsc#1154353).
- mlxsw: core: Unpublish devlink parameters during reload
  (bsc#1154488).
- qed: Optimize execution time for nvm attributes configuration
  (jsc#SLE-8401).
- vxlan: fix unexpected failure of vxlan_changelink()
  (bsc#1154353).
- qed: fix spelling mistake "queuess" -> "queues" (jsc#SLE-8401).
- net/mlx5e: Initialize on stack link modes bitmap (jsc#SLE-8464).
- net/mlx5e: Fix ethtool self test: link speed (jsc#SLE-8464).
- net/mlx5e: Fix handling of compressed CQEs in case of low NAPI
  budget (jsc#SLE-8464).
- net/mlx5e: Don't store direct pointer to action's tunnel info
  (jsc#SLE-8464).
- net/mlx5: Fix NULL pointer dereference in extended destination
  (jsc#SLE-8464).
- net/mlx5: Fix rtable reference leak (jsc#SLE-8464).
- net/mlx5e: Only skip encap flows update when encap init failed
  (jsc#SLE-8464).
- net/mlx5e: Replace kfree with kvfree when free vhca stats
  (jsc#SLE-8464).
- net/mlx5e: Remove incorrect match criteria assignment line
  (jsc#SLE-8464).
- net/mlx5e: Determine source port properly for vlan push action
  (jsc#SLE-8464).
- net: rtnetlink: fix a typo fbd -> fdb (bsc#1154353).
- bonding: fix using uninitialized mode_lock (bsc#1154353).
- vxlan: check tun_info options_len properly (bsc#1154353).
- erspan: fix the tun_info options_len check for erspan
  (bsc#1154353).
- net: hisilicon: Fix ping latency when deal with high throughput
  (bsc#1154353).
- net/mlx4_core: Dynamically set guaranteed amount of counters
  per VF (jsc#SLE-8460).
- net: hisilicon: Fix "Trying to free already-free IRQ"
  (bsc#1154353).
- net: fix sk_page_frag() recursion from memory reclaim
  (bsc#1154353).
- udp: fix data-race in udp_set_dev_scratch() (bsc#1154353).
- net: add READ_ONCE() annotation in __skb_wait_for_more_packets()
  (bsc#1154353).
- net: use skb_queue_empty_lockless() in busy poll contexts
  (bsc#1154353).
- net: use skb_queue_empty_lockless() in poll() handlers
  (bsc#1154353).
- udp: use skb_queue_empty_lockless() (bsc#1154353).
- net: add skb_queue_empty_lockless() (bsc#1154353).
- ipvs: move old_secure_tcp into struct netns_ipvs (bsc#1154353).
- ipvs: don't ignore errors in case refcounting ip_vs module fails
  (bsc#1154353).
- netfilter: nft_payload: fix missing check for matching length
  in offloads (bsc#1154353).
- netfilter: nf_flow_table: set timeout before insertion into
  hashes (bsc#1154353).
- xsk: Fix registration of Rx-only sockets (bsc#1154353).
- xdp: Handle device unregister for devmap_hash map type
  (bsc#1154353).
- xdp: Prevent overflow in devmap_hash cost calculation for
  32-bit builds (bsc#1154353).
- bpf: lwtunnel: Fix reroute supplying invalid dst (bsc#1154353).
- ipv4: fix route update on metric change (bsc#1154353).
- net: Zeroing the structure ethtool_wolinfo in ethtool_get_wol()
  (bsc#1154353).
- cxgb4: request the TX CIDX updates to status page
  (jsc#SLE-8389).
- netns: fix GFP flags in rtnl_net_notifyid() (bsc#1154353).
- net: sch_generic: Use pfifo_fast as fallback scheduler for
  CAN hardware (bsc#1154353).
- net: remove unnecessary variables and callback (bsc#1154353).
- vxlan: add adjacent link to limit depth level (bsc#1154353).
- net: core: add ignore flag to netdev_adjacent structure
  (bsc#1154353).
- team: fix nested locking lockdep warning (bsc#1154353).
- bonding: use dynamic lockdep key instead of subclass
  (bsc#1154353).
- bonding: fix unexpected IFF_BONDING bit unset (bsc#1154353).
- net: core: add generic lockdep keys (bsc#1154353).
- net: core: limit nested device depth (bsc#1154353).
- keys: Fix memory leak in copy_net_ns (bsc#1154353).
- net/flow_dissector: switch to siphash (bsc#1154353).
- ipv6: include <net/addrconf.h> for missing declarations
  (bsc#1154353).
- bnxt_en: Avoid disabling pci device in bnxt_remove_one()
  for already disabled device (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Minor formatting changes in FW devlink_health_reporter
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Adjust the time to wait before polling firmware
  readiness (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix devlink NVRAM related byte order related issues
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Fix the size of devlink MSIX parameters (jsc#SLE-8371
  bsc#1153274).
- ipv4: fix IPSKB_FRAG_PMTU handling with fragmentation
  (bsc#1154353).
- net/mlx5: fix memory leak in mlx5_fw_fatal_reporter_dump
  (jsc#SLE-8464).
- net/mlx5: prevent memory leak in mlx5_fpga_conn_create_cq
  (jsc#SLE-8464).
- net/mlx5e: TX, Fix consumer index of error cqe dump
  (jsc#SLE-8464).
- net/mlx5e: kTLS, Enhance TX resync flow (jsc#SLE-8464).
- net/mlx5e: kTLS, Save a copy of the crypto info (jsc#SLE-8464).
- net/mlx5e: kTLS, Remove unneeded cipher type checks
  (jsc#SLE-8464).
- net/mlx5e: kTLS, Limit DUMP wqe size (jsc#SLE-8464).
- net/mlx5e: kTLS, Fix missing SQ edge fill (jsc#SLE-8464).
- net/mlx5e: kTLS, Fix page refcnt leak in TX resync error flow
  (jsc#SLE-8464).
- net/mlx5e: kTLS, Save by-value copy of the record frags
  (jsc#SLE-8464).
- net/mlx5e: kTLS, Save only the frag page to release at
  completion (jsc#SLE-8464).
- net/mlx5e: kTLS, Size of a Dump WQE is fixed (jsc#SLE-8464).
- net/mlx5e: kTLS, Release reference on DUMPed fragments in
  shutdown flow (jsc#SLE-8464).
- net/mlx5e: Tx, Zero-memset WQE info struct upon update
  (jsc#SLE-8464).
- net/mlx5e: Tx, Fix assumption of single WQEBB of NOP in cleanup
  flow (jsc#SLE-8464).
- SUNRPC: Destroy the back channel when we destroy the host
  transport (bsc#1154353).
- SUNRPC: The RDMA back channel mustn't disappear while requests
  are outstanding (bsc#1154353).
- SUNRPC: The TCP back channel mustn't disappear while requests
  are outstanding (bsc#1154353).
- RDMA/hns: Prevent memory leaks of eq->buf_list (jsc#SLE-8449).
- RDMA/iw_cxgb4: Avoid freeing skb twice in arp failure case
  (jsc#SLE-8392).
- RDMA/mlx5: Use irq xarray locking for mkey_table (jsc#SLE-8446).
- IB/core: Avoid deadlock during netlink message handling
  (jsc#SLE-8449).
- RDMA/nldev: Skip counter if port doesn't match (jsc#SLE-8449).
- RDMA/uverbs: Prevent potential underflow (jsc#SLE-8449).
- IB/core: Use rdma_read_gid_l2_fields to compare GID L2 fields
  (jsc#SLE-8449).
- RDMA/qedr: Fix reported firmware version (jsc#SLE-8215).
- RDMA/siw: free siw_base_qp in kref release routine
  (jsc#SLE-8381).
- RDMA/iwcm: move iw_rem_ref() calls out of spinlock
  (jsc#SLE-8449).
- iw_cxgb4: fix ECN check on the passive accept (jsc#SLE-8392).
- IB/hfi1: Use a common pad buffer for 9B and 16B packets
  (jsc#SLE-8449).
- IB/hfi1: Avoid excessive retry for TID RDMA READ request
  (jsc#SLE-8449).
- RDMA/mlx5: Clear old rate limit when closing QP (jsc#SLE-8446).
- net: reorder 'struct net' fields to avoid false sharing
  (bsc#1154353).
- net: netem: correct the parent's backlog when corrupted packet
  was dropped (bsc#1154353).
- net: netem: fix error path for corrupted GSO frames
  (bsc#1154353).
- net: hns3: fix mis-counting IRQ vector numbers issue
  (bsc#1154353).
- mlxsw: spectrum_trap: Push Ethernet header before reporting trap
  (bsc#1154488).
- net: ensure correct skb->tstamp in various fragmenters
  (bsc#1154353).
- tcp: fix a possible lockdep splat in tcp_done() (bsc#1154353).
- net: cavium: Use the correct style for SPDX License Identifier
  (bsc#1154353).
- tcp: annotate sk->sk_wmem_queued lockless reads (bsc#1154353).
- tcp: annotate sk->sk_sndbuf lockless reads (bsc#1154353).
- tcp: annotate sk->sk_rcvbuf lockless reads (bsc#1154353).
- tcp: annotate tp->urg_seq lockless reads (bsc#1154353).
- tcp: annotate tp->snd_nxt lockless reads (bsc#1154353).
- tcp: annotate tp->write_seq lockless reads (bsc#1154353).
- tcp: annotate tp->copied_seq lockless reads (bsc#1154353).
- tcp: annotate tp->rcv_nxt lockless reads (bsc#1154353).
- tcp: add rcu protection around tp->fastopen_rsk (bsc#1154353).
- net: silence KCSAN warnings about sk->sk_backlog.len reads
  (bsc#1154353).
- net: annotate sk->sk_rcvlowat lockless reads (bsc#1154353).
- net: silence KCSAN warnings around sk_add_backlog() calls
  (bsc#1154353).
- tcp: annotate lockless access to tcp_memory_pressure
  (bsc#1154353).
- net: add {READ|WRITE}_ONCE() annotations on ->rskq_accept_head
  (bsc#1154353).
- net: avoid possible false sharing in sk_leave_memory_pressure()
  (bsc#1154353).
- netfilter: conntrack: avoid possible false sharing
  (bsc#1154353).
- netns: fix NLM_F_ECHO mechanism for RTM_NEWNSID (bsc#1154353).
- sctp: add chunks to sk_backlog when the newsk sk_socket is
  not set (bsc#1154353).
- ip6erspan: remove the incorrect mtu limit for ip6erspan
  (bsc#1154353).
- net/mlx5: DR, Allow insertion of duplicate rules (jsc#SLE-8464).
- rxrpc: rxrpc_peer needs to hold a ref on the rxrpc_local record
  (bsc#1154353).
- rxrpc: Fix trace-after-put looking at the put call record
  (bsc#1154353).
- rxrpc: Fix trace-after-put looking at the put connection record
  (bsc#1154353).
- rxrpc: Fix trace-after-put looking at the put peer record
  (bsc#1154353).
- rxrpc: Fix call ref leak (bsc#1154353).
- commit ccf9a99
* Tue Nov  5 2019 mbrugger@suse.com
- rpm/mkspec-dtb: add mt76 based dtb package
- commit 8ff92d0
* Tue Nov  5 2019 tiwai@suse.de
- usb: dwc3: gadget: fix race when disabling ep with cancelled
  xfers (git-fixes).
- USB: serial: whiteheat: fix potential slab corruption
  (git-fixes).
- UAS: Revert commit 3ae62a42090f ("UAS: fix alignment of
  scatter/gather segments") (git-fixes).
- usb-storage: Revert commit 747668dbc061 ("usb-storage: Set
  virt_boundary_mask to avoid SG overflows") (git-fixes).
- usb: xhci: fix Immediate Data Transfer endianness (git-fixes).
- xhci: Fix use-after-free regression in xhci clear hub TT
  implementation (git-fixes).
- USB: ldusb: fix control-message timeout (git-fixes).
- USB: ldusb: fix ring-buffer locking (git-fixes).
- usb: dwc3: pci: prevent memory leak in dwc3_pci_probe
  (git-fixes).
- usb: gadget: udc: atmel: Fix interrupt storm in FIFO mode
  (git-fixes).
- usb: dwc3: select CONFIG_REGMAP_MMIO (git-fixes).
- hwmon: (ina3221) Fix read timeout issue (git-fixes).
- r8169: fix wrong PHY ID issue with RTL8168dp (git-fixes).
- mt76: dma: fix buffer unmap with non-linear skbs (git-fixes).
- nl80211: fix validation of mesh path nexthop (git-fixes).
- wimax: i2400: Fix memory leak in i2400m_op_rfkill_sw_toggle
  (git-fixes).
- virt_wifi: fix refcnt leak in module exit routine (git-fixes).
- macsec: fix refcnt leak in module exit routine (git-fixes).
- keys: Fix memory leak in copy_net_ns (git-fixes).
- drm/i915: Fix PCH reference clock for FDI on HSW/BDW
  (git-fixes).
- drm/v3d: Fix memory leak in v3d_submit_cl_ioctl (git-fixes).
- commit 7b0a0d1
* Tue Nov  5 2019 mgorman@suse.de
- mm, sl[aou]b: guarantee natural alignment for
  kmalloc(power-of-two) (bnc#1155780 (VM/FS functional and
  performance backports)).
- mm, sl[ou]b: improve memory accounting (bnc#1155780 (VM/FS
  functional and performance backports)).
- hugetlbfs: don't retry when pool page allocations start to fail
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, compaction: raise compaction priority after it withdrawns
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm, reclaim: cleanup should_continue_reclaim() (bnc#1155780
  (VM/FS functional and performance backports)).
- mm, reclaim: make should_continue_reclaim perform dryrun
  detection (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm/mempolicy.c: remove unnecessary nodemask check in
  kernel_migrate_pages() (bnc#1155780 (VM/FS functional and
  performance backports)).
- mm/compaction.c: remove unnecessary zone parameter in
  isolate_migratepages() (bnc#1155780 (VM/FS functional and
  performance backports)).
- mm: vmscan: do not share cgroup iteration between reclaimers
  (bnc#1155780 (VM/FS functional and performance backports)).
- mm/filemap.c: rewrite mapping_needs_writeback in less
  fancy manner (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm/filemap.c: don't initiate writeback if mapping has no
  dirty pages (bnc#1155780 (VM/FS functional and performance
  backports)).
- mm: replace list_move_tail() with add_page_to_lru_list_tail()
  (bnc#1155780 (VM/FS functional and performance backports)).
- commit d426df6
* Tue Nov  5 2019 jslaby@suse.cz
- stacktrace: Don't skip first entry on noncurrent tasks
  (bnc#1154866).
- commit cc9ff55
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0056-acpi-Disable-ACPI-table-override-if-the-kernel-is-lo.patch.
  This patch be replaced by 6ea0e815fc in v5.4-rc1. (jsc#SLE-9870)
- commit 76eea73
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0055-acpi-Ignore-acpi_rsdp-kernel-param-when-the-kernel-h.patch.
  This patch be replaced by 41fa1ee9c6 in v5.4-rc1. (jsc#SLE-9870)
- commit a511e8c
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0054-ACPI-Limit-access-to-custom_method-when-the-kernel-i.patch.
  This patch be replaced by f474e1486 in v5.4-rc1. (jsc#SLE-9870)
- commit 881b574
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0053-asus-wmi-Restrict-debugfs-interface-when-the-kernel-.patch.
  This patch be replaced by 5496197f9b in v5.4-rc1. (jsc#SLE-9870)
- commit 26e7156
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0052-x86-Restrict-MSR-access-when-the-kernel-is-locked-do.patch.
  This patch be replaced by 95f5e95f41 in v5.4-rc1. (jsc#SLE-9870)
- commit d5a4f81
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0051-x86-Lock-down-IO-port-access-when-the-kernel-is-lock.patch.
  This patch be replaced by 9b9d8dda1e in v5.4-rc1. (jsc#SLE-9870)
- commit a338a65
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0050-PCI-Lock-down-BAR-access-when-the-kernel-is-locked-d.patch.
  This patch be replaced by eb627e1772 in v5.4-rc1. (jsc#SLE-9870)
- commit 35fdce5
* Tue Nov  5 2019 jlee@suse.com
- Delete
  patches.suse/0048-hibernate-Disable-when-the-kernel-is-locked-down.patch.
  This patch be replaced by 38bd94b8a in v5.4-rc1. (jsc#SLE-9870)
- commit a36f246
* Tue Nov  5 2019 mkubecek@suse.cz
- update upstream references
- move to "almost mainline" section:
  patches.suse/autonuma-fix-watermark-checking-in-migrate_balanced_pgdat.patch
  patches.suse/autonuma-reduce-cache-footprint-when-scanning-page-tables.patch
- update patch-mainline:
  patches.suse/mm-slub.c-init_on_free-1-should-wipe-freelist-ptr-for-bulk-allocations.patch
  patches.suse/sched-fair-Scale-bandwidth-quota-and-period-without-losing-quota-period-ratio-precision.patch
  patches.suse/sched-vtime-Fix-guest-system-mis-accounting-on-task-switch.patch
  No effect on expanded tree.
- commit 509d57a
* Mon Nov  4 2019 mgorman@suse.de
- Refresh
  patches.suse/sched-topology-Improve-load-balancing-on-AMD-EPYC.patch.
- commit d1f7e6e
* Mon Nov  4 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: Mention debuginfo in the subpackage
  description (bsc#1149119).
- commit 525ec92
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0047-kexec_file-restrict-if-the-kernel-is-locked-down.patch.
  This patch be replaced by 155bdd30a in v5.4-rc1. (jsc#SLE-9870)
- commit 539b083
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0047-kexec_file-split-KEXEC_VERIFY_SIG.patch.
  This patch be replaced by 99d5cadfd in v5.4-rc1. (jsc#SLE-9870)
- commit b4392d9
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0046-Copy-secure_boot-flag-in-boot-params-across-kexec-re.patch.
  This patch be replaced by fef5dad987 in v5.4-rc1. (jsc#SLE-9870)
- commit 2ac33a1
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0045-kexec-Disable-at-runtime-if-the-kernel-is-locked-dow.patch.
  This patch be replaced by 7d31f4602f in v5.4-rc1. (jsc#SLE-9870)
- commit 6378a1f
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0043-Restrict-dev-mem-and-dev-kmem-when-the-kernel-is-loc.patch.
  This patch be replaced by 9b9d8dda1e in v5.4-rc1. (jsc#SLE-9870)
- commit 471bb54
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0042-Enforce-module-signatures-if-the-kernel-is-locked-do.patch.
  This patch be replaced by 49fcf732bd in v5.4-rc1. (jsc#SLE-9870)
- commit 0f1ab5f
* Mon Nov  4 2019 jlee@suse.com
- Delete
  patches.suse/0040-Add-the-ability-to-lock-down-access-to-the-running-k.patch.
  This patch be replaced by 9e47d31d6a and 000d388ed3 in v5.4-rc1. (jsc#SLE-9870)
- commit a3aff83
* Mon Nov  4 2019 jslaby@suse.cz
- powerpc/powernv: Fix CPU idle to be called with IRQs disabled
  (git-fixes).
- efi/tpm: Return -EINVAL when determining tpm final events log
  size fails (git-fixes).
- commit 0afb81a
* Mon Nov  4 2019 mgorman@suse.de
- autonuma: Reduce cache footprint when scanning page tables
  (bnc#1155756).
- autonuma: fix watermark checking in migrate_balanced_pgdat()
  (bnc#1155756).
- commit 92ab99b
* Mon Nov  4 2019 glin@suse.com
- bpf: Fix use after free in bpf_get_prog_name (bsc#1155518).
- bpf: Fix use after free in subprog's jited symbol removal
  (bsc#1155518).
- commit 0ffd4be
* Sun Nov  3 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream reference:
  patches.suse/scsi-lpfc-Check-queue-pointer-before-use.patch
  patches.suse/scsi-qla2xxx-Fix-partial-flash-write-of-MBI.patch
  patches.suse/scsi-qla2xxx-Initialized-mailbox-to-prevent-driver-l.patch
  patches.suse/scsi-qla2xxx-fixup-incorrect-usage-of-host_byte.patch
  patches.suse/scsi-qla2xxx-stop-timer-in-shutdown-path.patch
- no effect on expanded tree
- commit 37e310e
* Fri Nov  1 2019 tiwai@suse.de
- ALSA: timer: Fix mutex deadlock at releasing card (git-fixes).
- ALSA: hda - Fix mutex deadlock in HDMI codec driver (git-fixes).
- Revert "ALSA: hda: Flush interrupts on disabling" (git-fixes).
- ALSA: bebob: Fix prototype of helper function to return negative
  value (git-fixes).
- ALSA: hda/realtek - Fix 2 front mics of codec 0x623 (git-fixes).
- ALSA: hda/realtek - Add support for ALC623 (git-fixes).
- ALSA: usb-audio: Add DSD support for Gustard U16/X26 USB
  Interface (git-fixes).
- commit ed66481
* Fri Nov  1 2019 mkubecek@suse.cz
- Update upstream references:
  patches.suse/mm-meminit-Recalculate-pcpu-batch-and-high-limits-after-init-completes.patch.
  patches.suse/mm-pcp-Share-common-code-between-memory-hotplug-and-percpu-sysctl-handler.patch.
  patches.suse/mm-pcpu-Make-zone-pcp-updates-and-reset-internal-to-the-mm.patch.
- move these patches to "soon to be mainline" section
- commit 8b0a210
* Fri Nov  1 2019 mgorman@suse.de
- sched/vtime: Fix guest/system mis-accounting on task switch
  (git fixes (cputime accounting)).
- sched/fair: Scale bandwidth quota and period without losing
  quota/period ratio precision (git fixes (sched)).
- commit dc7f4dd
* Fri Nov  1 2019 mgorman@suse.de
- mm/slub.c: init_on_free=1 should wipe freelist ptr for bulk
  allocations (git fixes (mm/slub)).
- commit 1fe1553
* Fri Nov  1 2019 mgorman@suse.de
- mm, pcpu: Make zone pcp updates and reset internal to the mm
  (bnc#1155628).
- mm, pcp: Share common code between memory hotplug and percpu
  sysctl handler (bnc#1155628).
- mm, meminit: Recalculate pcpu batch and high limits after init
  completes (bnc#1155628).
- commit ca89c1c
* Thu Oct 31 2019 mkubecek@suse.cz
- refresh config files
  No functional change.
- commit b484ff3
* Thu Oct 31 2019 mkoutny@suse.com
- Update config files: Disable CONFIG_RT_GROUP_SCHED (jsc#SLE-10427)
- commit db9fda6
* Thu Oct 31 2019 jlee@suse.com
- MODSIGN: make new include file self contained (jsc#SLE-9870).
- commit 9916222
* Thu Oct 31 2019 glin@suse.com
- bpf: fix BTF limits (bsc#1155518).
- commit 97d5e03
* Thu Oct 31 2019 jlee@suse.com
- MODSIGN: Export module signature definitions (jsc#SLE-9870).
- Update config files.
- Refresh
  patches.suse/KEYS-Make-use-of-platform-keyring-for-module-signatu.patch.
- commit 10961d4
* Thu Oct 31 2019 mkubecek@suse.cz
- Update references (add CVE-2019-10220 bsc#1144903 bso#14072):
  patches.suse/Make-filldir-64-verify-the-directory-entry-filename-.patch
  patches.suse/filldir-64-remove-WARN_ON_ONCE-for-bad-directory-ent.patch
- commit e4c1e0f
* Wed Oct 30 2019 dwagner@suse.de
- scsi: qla2xxx: stop timer in shutdown path (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix partial flash write of MBI (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Initialized mailbox to prevent driver load
  failure (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: fixup incorrect usage of host_byte (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- commit 1cb635f
* Wed Oct 30 2019 dwagner@suse.de
- Refresh patches.suse/scsi-lpfc-Check-queue-pointer-before-use.patch
- commit 56420bc
* Wed Oct 30 2019 jslaby@suse.cz
- nbd: verify socket is supported during setup (git-fixes).
- commit 85aab98
* Wed Oct 30 2019 jlee@suse.com
- x86/boot/acpi: Move get_cmdline_acpi_rsdp() under #ifdef guard
  (jsc#SLE-9870).
- tracefs: Revert ccbd54ff54e8 ("tracefs: Restrict tracefs when
  the kernel is locked down") (jsc#SLE-9870).
- kexec: Fix file verification on S390 (jsc#SLE-9870).
- security: constify some arrays in lockdown LSM (jsc#SLE-9870).
- lockdown: Print current->comm in restriction messages
  (jsc#SLE-9870).
- efi: Restrict efivar_ssdt_load when the kernel is locked down
  (jsc#SLE-9870).
- tracefs: Restrict tracefs when the kernel is locked down
  (jsc#SLE-9870).
- debugfs: Restrict debugfs when the kernel is locked down
  (jsc#SLE-9870).
- kexec: Allow kexec_file() with appropriate IMA policy when
  locked down (jsc#SLE-9870).
- lockdown: Lock down perf when in confidentiality mode
  (jsc#SLE-9870).
- bpf: Restrict bpf when kernel lockdown is in confidentiality
  mode (jsc#SLE-9870).
- lockdown: Lock down tracing and perf kprobes when in
  confidentiality mode (jsc#SLE-9870).
- lockdown: Lock down /proc/kcore (jsc#SLE-9870).
- x86/mmiotrace: Lock down the testmmiotrace module
  (jsc#SLE-9870).
- lockdown: Lock down module params that specify hardware
  parameters (eg. ioport) (jsc#SLE-9870).
- lockdown: Lock down TIOCSSERIAL (jsc#SLE-9870).
- lockdown: Prohibit PCMCIA CIS storage when the kernel is locked
  down (jsc#SLE-9870).
- acpi: Disable ACPI table override if the kernel is locked down
  (jsc#SLE-9870).
- acpi: Ignore acpi_rsdp kernel param when the kernel has been
  locked down (jsc#SLE-9870).
- ACPI: Limit access to custom_method when the kernel is locked
  down (jsc#SLE-9870).
- x86/msr: Restrict MSR access when the kernel is locked down
  (jsc#SLE-9870).
- x86: Lock down IO port access when the kernel is locked down
  (jsc#SLE-9870).
- PCI: Lock down BAR access when the kernel is locked down
  (jsc#SLE-9870).
- hibernate: Disable when the kernel is locked down
  (jsc#SLE-9870).
- kexec_file: Restrict at runtime if the kernel is locked down
  (jsc#SLE-9870).
- kexec_file: split KEXEC_VERIFY_SIG into KEXEC_SIG and
  KEXEC_SIG_FORCE (jsc#SLE-9870).
- Update config files. (jsc#SLE-9870)
- lockdown: Copy secure_boot flag in boot params across kexec
  reboot (jsc#SLE-9870).
- kexec_load: Disable at runtime if the kernel is locked down
  (jsc#SLE-9870).
- lockdown: Restrict /dev/{mem,kmem,port} when the kernel is
  locked down (jsc#SLE-9870).
- lockdown: Enforce module signatures if the kernel is locked down
  (jsc#SLE-9870).
- security: Add a static lockdown policy LSM (jsc#SLE-9870).
- Update config files. (jsc#SLE-9870)
- security: Add a "locked down" LSM hook (jsc#SLE-9870).
- security: Support early LSMs (jsc#SLE-9870).
- commit f827a66
* Tue Oct 29 2019 dbueso@suse.de
- tasks, sched/core: RCUify the assignment of rq->curr
  (bsc#1155364).
- tasks, sched/core: With a grace period after
  finish_task_switch(), remove unnecessary code (bsc#1155364).
- tasks, sched/core: Ensure tasks are available for a grace
  period after leaving the runqueue (bsc#1155364).
- tasks: Add a count of task RCU users (bsc#1155364).
- commit 270b1d3
* Tue Oct 29 2019 tiwai@suse.de
- net: dsa: fix switch tree list (git-fixes).
- net: dsa: b53: Do not clear existing mirrored port mask
  (git-fixes).
- net: dsa: rtl8366rb: add missing of_node_put after calling
  of_get_child_by_name (git-fixes).
- net: dsa: qca8k: Use up to 7 ports for all operations
  (git-fixes).
- net: dsa: mv88e6xxx: fix SMI bit checking (git-fixes).
- commit 0fcc138
* Tue Oct 29 2019 tiwai@suse.de
- lib/vdso: Make clock_getres() POSIX compliant again (git-fixes).
- commit 88590ee
* Tue Oct 29 2019 tiwai@suse.de
- net: phy: bcm7xxx: define soft_reset for 40nm EPHY (git-fixes).
- net: phy: micrel: Discern KSZ8051 and KSZ8795 PHYs (git-fixes).
- net: phy: fix write to mii-ctrl1000 register (git-fixes).
- commit 904870e
* Tue Oct 29 2019 tiwai@suse.de
- dmaengine: iop-adma.c: fix printk format warning (git-fixes).
- commit bb35c8c
* Tue Oct 29 2019 tiwai@suse.de
- ASoC: core: use list_del_init and move it back to
  soc_cleanup_component (git-fixes).
- ASoC: core: delete component->card_list in soc_remove_component
  only (git-fixes).
- commit bb8cb13
* Tue Oct 29 2019 tiwai@suse.de
- Refresh patches.suse/ASoC-es8328-Fix-copy-paste-error-in-es8328_right_lin.patch
  Add a cherry-picked commit to ignore, too
- commit 758f004
* Tue Oct 29 2019 jslaby@suse.cz
- Linux 5.3.8 (bnc#1151927 5.3.8).
- lib/vdso: Make clock_getres() POSIX compliant again (bnc#1151927
  5.3.8).
- perf/aux: Fix AUX output stopping (bnc#1151927 5.3.8).
- CIFS: Fix use after free of file info structures (bnc#1151927
  5.3.8).
- cifs: Fix missed free operations (bnc#1151927 5.3.8).
- CIFS: avoid using MID 0xFFFF (bnc#1151927 5.3.8).
- MIPS: tlbex: Fix build_restore_pagemask KScratch restore
  (bnc#1151927 5.3.8).
- binder: Don't modify VMA bounds in ->mmap handler (bnc#1151927
  5.3.8).
- io_uring: fix bad inflight accounting for
  SETUP_IOPOLL|SETUP_SQTHREAD (bnc#1151927 5.3.8).
- io_uring: used cached copies of sq->dropped and cq->overflow
  (bnc#1151927 5.3.8).
- io_uring: Fix race for sqes with userspace (bnc#1151927 5.3.8).
- io_uring: Fix broken links with offloading (bnc#1151927 5.3.8).
- io_uring: Fix corrupted user_data (bnc#1151927 5.3.8).
- s390/kaslr: add support for R_390_GLOB_DAT relocation type
  (bnc#1151927 5.3.8).
- s390/zcrypt: fix memleak at release (bnc#1151927 5.3.8).
- fs/dax: Fix pmd vs pte conflict detection (bnc#1151927 5.3.8).
- scsi: core: try to get module before removing device
  (bnc#1151927 5.3.8).
- scsi: ch: Make it possible to open a ch device multiple times
  again (bnc#1151927 5.3.8).
- KVM: PPC: Book3S HV: XIVE: Ensure VP isn't already in use
  (bnc#1151927 5.3.8).
- drm/amdgpu/vce: fix allocation size in enc ring test
  (bnc#1151927 5.3.8).
- drm/amdgpu: user pages array memory leak fix (bnc#1151927
  5.3.8).
- drm/amdgpu/vcn: fix allocation size in enc ring test
  (bnc#1151927 5.3.8).
- drm/amdgpu/uvd7: fix allocation size in enc ring test (v2)
  (bnc#1151927 5.3.8).
- drm/amdgpu/uvd6: fix allocation size in enc ring test (v2)
  (bnc#1151927 5.3.8).
- mmc: cqhci: Commit descriptors before setting the doorbell
  (bnc#1151927 5.3.8).
- of: reserved_mem: add missing of_node_put() for proper
  ref-counting (bnc#1151927 5.3.8).
- opp: of: drop incorrect lockdep_assert_held() (bnc#1151927
  5.3.8).
- tracing: Fix race in perf_trace_buf initialization (bnc#1151927
  5.3.8).
- EDAC/ghes: Fix Use after free in ghes_edac remove path
  (bnc#1151927 5.3.8).
- Btrfs: fix qgroup double free after failure to reserve metadata
  for delalloc (bnc#1151927 5.3.8).
- btrfs: don't needlessly create extent-refs kernel thread
  (bnc#1151927 5.3.8).
- Btrfs: add missing extents release on file extent cluster
  relocation error (bnc#1151927 5.3.8).
- Refresh
  patches.suse/0001-btrfs-qgroup-Always-free-PREALLOC-META-reserve-in-bt.patch.
- x86/apic/x2apic: Fix a NULL pointer deref when handling a
  dying cpu (bnc#1151927 5.3.8).
- irqchip/sifive-plic: Switch to fasteoi flow (bnc#1151927 5.3.8).
- xen/netback: fix error path of xenvif_connect_data()
  (bnc#1151927 5.3.8).
- ipv4: fix race condition between route lookup and invalidation
  (bnc#1151927 5.3.8).
- ipv4: Return -ENETUNREACH if we can't create route but saddr
  is valid (bnc#1151927 5.3.8).
- net: phy: micrel: Update KSZ87xx PHY name (bnc#1151927 5.3.8).
- net: phy: micrel: Discern KSZ8051 and KSZ8795 PHYs (bnc#1151927
  5.3.8).
- net: stmmac: disable/enable ptp_ref_clk in suspend/resume flow
  (bnc#1151927 5.3.8).
- net: phy: Fix "link partner" information disappear issue
  (bnc#1151927 5.3.8).
- rxrpc: use rcu protection while reading sk->sk_user_data
  (bnc#1151927 5.3.8).
- net: i82596: fix dma_alloc_attr for sni_82596 (bnc#1151927
  5.3.8).
- sctp: change sctp_prot .no_autobind with true (bnc#1151927
  5.3.8).
- sched: etf: Fix ordering of packets with same txtime
  (bnc#1151927 5.3.8).
- net: avoid potential infinite loop in tc_ctl_action()
  (bnc#1151927 5.3.8).
- net/sched: fix corrupted L2 header with MPLS 'push' and 'pop'
  actions (bnc#1151927 5.3.8).
- net: avoid errors when trying to pop MLPS header on non-MPLS
  packets (bnc#1151927 5.3.8).
- iwlwifi: pcie: change qu with jf devices to use qu configuration
  (bnc#1151927 5.3.8).
- netdevsim: Fix error handling in nsim_fib_init and nsim_fib_exit
  (bnc#1151927 5.3.8).
- rxrpc: Fix possible NULL pointer access in ICMP handling
  (bnc#1151927 5.3.8).
- mac80211: Reject malformed SSID elements (bnc#1151927 5.3.8).
- net_sched: fix backward compatibility for TCA_ACT_KIND
  (bnc#1151927 5.3.8).
- net_sched: fix backward compatibility for TCA_KIND (bnc#1151927
  5.3.8).
- zram: fix race between backing_dev_show and backing_dev_store
  (bnc#1151927 5.3.8).
- ocfs2: fix panic due to ocfs2_wq is null (bnc#1151927 5.3.8).
- hugetlbfs: don't access uninitialized memmaps in
  pfn_range_valid_gigantic() (bnc#1151927 5.3.8).
- mm: memblock: do not enforce current limit for memblock_phys*
  family (bnc#1151927 5.3.8).
- mm: memcg: get number of pages on the LRU list in memcgroup
  base on lru_zone_size (bnc#1151927 5.3.8).
- mm: memcg/slab: fix panic in __free_slab() caused by premature
  memcg pointer release (bnc#1151927 5.3.8).
- mm/memunmap: don't access uninitialized memmap in
  memunmap_pages() (bnc#1151927 5.3.8).
- mm/page_owner: don't access uninitialized memmaps when reading
  /proc/pagetypeinfo (bnc#1151927 5.3.8).
- mm/memory-failure.c: don't access uninitialized memmaps in
  memory_failure() (bnc#1151927 5.3.8).
- fs/proc/page.c: don't access uninitialized memmaps in
  fs/proc/page.c (bnc#1151927 5.3.8).
- drivers/base/memory.c: don't access uninitialized memmaps in
  soft_offline_page_store() (bnc#1151927 5.3.8).
- nvme-pci: Set the prp2 correctly when using more than 4k page
  (bnc#1151927 5.3.8).
- blk-rq-qos: fix first node deletion of rq_qos_del() (bnc#1151927
  5.3.8).
- filldir: remove WARN_ON_ONCE() for bad directory entries
  (bnc#1151927 5.3.8).
- ceph: just skip unrecognized info in ceph_reply_info_extra
  (bnc#1151927 5.3.8).
- dm cache: fix bugs when a GFP_NOWAIT allocation fails
  (bnc#1151927 5.3.8).
- cpufreq: Avoid cpufreq_suspend() deadlock on system shutdown
  (bnc#1151927 5.3.8).
- arm64: Allow CAVIUM_TX2_ERRATUM_219 to be selected (bnc#1151927
  5.3.8).
- Update config files.
  CAVIUM_TX2_ERRATUM_219=y (the default)
- arm64: Avoid Cavium TX2 erratum 219 when switching TTBR
  (bnc#1151927 5.3.8).
- arm64: Enable workaround for Cavium TX2 erratum 219 when
  running SMT (bnc#1151927 5.3.8).
- arm64: KVM: Trap VM ops when ARM64_WORKAROUND_CAVIUM_TX2_219_TVM
  is set (bnc#1151927 5.3.8).
- xtensa: fix change_bit in exclusive access option (bnc#1151927
  5.3.8).
- xtensa: drop EXPORT_SYMBOL for outs*/ins* (bnc#1151927 5.3.8).
- drm/edid: Add 6 bpc quirk for SDC panel in Lenovo G50
  (bnc#1151927 5.3.8).
- drm/amdgpu/sdma5: fix mask value of POLL_REGMEM packet for
  pipe sync (bnc#1151927 5.3.8).
- drm/amdgpu: Bail earlier when amdgpu.cik_/si_support is not
  set to 1 (bnc#1151927 5.3.8).
- drm/i915/userptr: Never allow userptr into the mappable GGTT
  (bnc#1151927 5.3.8).
- Input: synaptics-rmi4 - avoid processing unknown IRQs
  (bnc#1151927 5.3.8).
- scsi: zfcp: fix reaction on bit error threshold notification
  (bnc#1151927 5.3.8).
- scsi: core: save/restore command resid for error handling
  (bnc#1151927 5.3.8).
- scsi: sd: Ignore a failure to sync cache due to lack of
  authorization (bnc#1151927 5.3.8).
- parisc: Fix vmap memory leak in ioremap()/iounmap() (bnc#1151927
  5.3.8).
- mm/memory-failure: poison read receives SIGKILL instead of
  SIGBUS if mmaped more than once (bnc#1151927 5.3.8).
- mm/slub: fix a deadlock in show_slab_objects() (bnc#1151927
  5.3.8).
- uaccess: implement a proper unsafe_copy_to_user() and switch
  filldir over to it (bnc#1151927 5.3.8).
- elf: don't use MAP_FIXED_NOREPLACE for elf executable mappings
  (bnc#1151927 5.3.8).
- ARM: dts: am4372: Set memory bandwidth limit for DISPC
  (bnc#1151927 5.3.8).
- ARM: OMAP2+: Fix warnings with broken omap2_set_init_voltage()
  (bnc#1151927 5.3.8).
- ARM: OMAP2+: Add missing LCDC midlemode for am335x (bnc#1151927
  5.3.8).
- ARM: OMAP2+: Fix missing reset done flag for am3 and am43
  (bnc#1151927 5.3.8).
- ARM: dts: Fix gpio0 flags for am335x-icev2 (bnc#1151927 5.3.8).
- ARM: dts: Fix wrong clocks for dra7 mcasp (bnc#1151927 5.3.8).
- namespace: fix namespace.pl script to support relative paths
  (bnc#1151927 5.3.8).
- scsi: megaraid: disable device when probe failed after enabled
  device (bnc#1151927 5.3.8).
- scsi: ufs: skip shutdown if hba is not powered (bnc#1151927
  5.3.8).
- Make filldir() verify the directory entry filename is valid
  (bnc#1151927 5.3.8).
- Convert filldir() from __put_user() to unsafe_put_user()
  (bnc#1151927 5.3.8).
- net: phy: fix write to mii-ctrl1000 register (bnc#1151927
  5.3.8).
- net: phy: allow for reset line to be tied to a sleepy GPIO
  controller (bnc#1151927 5.3.8).
- r8152: Set macpassthru in reset_resume callback (bnc#1151927
  5.3.8).
- netfilter: nft_connlimit: disable bh on garbage collection
  (bnc#1151927 5.3.8).
- net: ag71xx: fix mdio subnode support (bnc#1151927 5.3.8).
- net: stmmac: Do not stop PHY if WoL is enabled (bnc#1151927
  5.3.8).
- Refresh
  patches.suse/net-stmmac-Avoid-deadlock-on-suspend-resume.patch.
- net: stmmac: Correctly take timestamp for PTPv2 (bnc#1151927
  5.3.8).
- net: stmmac: dwmac4: Always update the MAC Hash Filter
  (bnc#1151927 5.3.8).
- net: stmmac: xgmac: Not all Unicast addresses may be available
  (bnc#1151927 5.3.8).
- net: dsa: rtl8366rb: add missing of_node_put after calling
  of_get_child_by_name (bnc#1151927 5.3.8).
- mac80211: fix txq null pointer dereference (bnc#1151927 5.3.8).
- nl80211: fix null pointer dereference (bnc#1151927 5.3.8).
- ieee802154: ca8210: prevent memory leak (bnc#1151927 5.3.8).
- net: dsa: qca8k: Use up to 7 ports for all operations
  (bnc#1151927 5.3.8).
- s390/mm: fix -Wunused-but-set-variable warnings (bnc#1151927
  5.3.8).
- mips: Loongson: Fix the link time qualifier of 'serial_exit()'
  (bnc#1151927 5.3.8).
- MIPS: dts: ar9331: fix interrupt-controller size (bnc#1151927
  5.3.8).
- riscv: Fix memblock reservation for device tree blob
  (bnc#1151927 5.3.8).
- RISC-V: Clear load reservations while restoring hart contexts
  (bnc#1151927 5.3.8).
- selftests: kvm: Fix libkvm build error (bnc#1151927 5.3.8).
- xen/efi: Set nonblocking callbacks (bnc#1151927 5.3.8).
- drm/komeda: prevent memory leak in komeda_wb_connector_add
  (bnc#1151927 5.3.8).
- drm: Clear the fence pointer when writeback job signaled
  (bnc#1151927 5.3.8).
- drm: Free the writeback_job when it with an empty fb
  (bnc#1151927 5.3.8).
- drm/amd/display: memory leak (bnc#1151927 5.3.8).
- drm/amdgpu: fix multiple memory leaks in acp_hw_init
  (bnc#1151927 5.3.8).
- loop: change queue block size to match when using DIO
  (bnc#1151927 5.3.8).
- nvme-rdma: fix possible use-after-free in connect timeout
  (bnc#1151927 5.3.8).
- nvme: allow 64-bit results in passthru commands (bnc#1151927
  5.3.8).
- nvme: Add quirk for Kingston NVME SSD running FW E8FK11.T
  (bnc#1151927 5.3.8).
- Added QUIRKs for ADATA XPG SX8200 Pro 512GB (bnc#1151927 5.3.8).
- nvme-rdma: Fix max_hw_sectors calculation (bnc#1151927 5.3.8).
- nvme: fix an error code in nvme_init_subsystem() (bnc#1151927
  5.3.8).
- nvme-pci: Save PCI state before putting drive into deepest state
  (bnc#1151927 5.3.8).
- nvme-tcp: fix wrong stop condition in io_work (bnc#1151927
  5.3.8).
- nvme-pci: Fix a race in controller removal (bnc#1151927 5.3.8).
- blk-mq: honor IO scheduler for multiqueue devices (bnc#1151927
  5.3.8).
- LSM: SafeSetID: Stop releasing uninitialized ruleset
  (bnc#1151927 5.3.8).
- commit 22f2089
* Tue Oct 29 2019 tiwai@suse.de
- blacklist.conf: Add an already cherry-picked i915 entry
- commit 43dfee5
* Tue Oct 29 2019 jslaby@suse.cz
- Update
  patches.suse/0001-btrfs-block-group-Fix-a-memory-leak-due-to-missing-b.patch
  (bsc#1155178 bnc#1151927 5.3.8).
- Update
  patches.suse/0001-btrfs-tracepoints-Fix-bad-entry-members-of-qgroup-ev.patch
  (bsc#1155186 bnc#1151927 5.3.8).
- Update
  patches.suse/0001-btrfs-tracepoints-Fix-wrong-parameter-order-for-qgro.patch
  (bsc#1155184 bnc#1151927 5.3.8).
- Update
  patches.suse/ACPI-CPPC-Set-pcc_data-pcc_ss_id-to-NULL-in-acpi_cpp.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/ACPI-NFIT-Fix-unlock-on-error-in-scrub_show.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/ALSA-hda-Force-runtime-PM-on-Nvidia-HDMI-codecs.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/ALSA-hda-realtek-Add-support-for-ALC711.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/ALSA-hda-realtek-Enable-headset-mic-on-Asus-MJ401TA.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/ALSA-usb-audio-Disable-quirks-for-BOSS-Katana-amplif.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/ASoC-rsnd-Reinitialize-bit-clock-inversion-flag-for-.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/Btrfs-check-for-the-full-sync-flag-while-holding-the.patch
  (bsc#1153713 bnc#1151927 5.3.8).
- Update
  patches.suse/Input-da9063-fix-capability-and-drop-KEY_SLEEP.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/Input-st1232-fix-reporting-multitouch-coordinates.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/PCI-PM-Fix-pci_power_up.patch (git-fixes
  bnc#1151927 5.3.8).
- Update
  patches.suse/RDMA-cxgb4-Do-not-dma-memory-off-of-the-stack.patch
  (jsc#SLE-8392 bnc#1151927 5.3.8).
- Update
  patches.suse/Revert-Input-elantech-enable-SMBus-on-new-2018-syste.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/Revert-drm-radeon-Fix-EEH-during-kexec.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/USB-ldusb-fix-memleak-on-disconnect.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/USB-ldusb-fix-read-info-leaks.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/USB-legousbtower-fix-memleak-on-disconnect.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/USB-serial-ti_usb_3410_5052-fix-port-close-races.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/USB-usblp-fix-use-after-free-on-disconnect.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/cfg80211-wext-avoid-copying-malformed-SSIDs.patch
  (bsc#1153158 CVE-2019-17133 bnc#1151927 5.3.8).
- Update patches.suse/clk-ti-dra7-Fix-mcasp8-clock-bits.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/drm-i915-Favor-last-VBT-child-device-with-conflictin.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/drm-panfrost-Handle-resetting-on-timeout-better.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/drm-ttm-Restore-ttm-prefaulting.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/lib-textsearch-fix-escapes-in-example-code.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/libata-ahci-Fix-PCS-quirk-application.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/md-raid0-fix-warning-message-for-parameter-default_l.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/memstick-jmb38x_ms-Fix-an-error-handling-path-in-jmb.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/mm-compaction-fix-wrong-pfn-handling-in-_reset_isolation_pfn.patch
  (git-fixes (mm/compaction) bnc#1151927 5.3.8).
- Update
  patches.suse/mmc-mxs-fix-flags-passed-to-dmaengine_prep_slave_sg.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/mmc-sdhci-omap-Fix-Tuning-procedure-for-temperatures.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/msft-hv-1955-x86-hyperv-Make-vapic-support-x2apic-mode.patch
  (fate#323887 bnc#1151927 5.3.8).
- Update
  patches.suse/net-aquantia-correctly-handle-macvlan-and-multicast-.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-aquantia-do-not-pass-lro-session-with-invalid-tc.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/net-aquantia-temperature-retrieval-fix.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-aquantia-when-cleaning-hw-cache-it-should-be-tog.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-bcmgenet-Fix-RGMII_MODE_EN-value-for-GENET-v1-2-.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-bcmgenet-Set-phydev-dev_flags-only-for-internal-.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-ethernet-broadcom-have-drivers-select-DIMLIB-as-.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-hisilicon-Fix-usage-of-uninitialized-variable-in.patch
  (bsc#1154353 bnc#1151927 5.3.8).
- Update
  patches.suse/net-ibmvnic-Fix-EOI-when-running-in-XIVE-mode.patch
  (bsc#1089644, ltc#166495, ltc#165544, git-fixes bnc#1151927
  5.3.8).
- Update
  patches.suse/net-ipv6-fix-listify-ip6_rcv_finish-in-case-of-forwa.patch
  (bsc#1154353 bnc#1151927 5.3.8).
- Update
  patches.suse/net-mscc-ocelot-add-missing-of_node_put-after-callin.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/net-stmmac-Avoid-deadlock-on-suspend-resume.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/pinctrl-armada-37xx-fix-control-of-pins-32-and-up.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/pinctrl-armada-37xx-swap-polarity-on-LED-group.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/pinctrl-cherryview-restore-Strago-DMI-workaround-for.patch
  (git-fixes bnc#1151927 5.3.8).
- Update patches.suse/scsi-qla2xxx-Fix-N2N-link-reset.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.8).
- Update patches.suse/scsi-qla2xxx-Fix-N2N-link-up-fail.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.8).
- Update
  patches.suse/scsi-qla2xxx-Fix-stale-mem-access-on-driver-unload.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.8).
- Update
  patches.suse/scsi-qla2xxx-Fix-unbound-sleep-in-fcport-delete-path.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.8).
- Update
  patches.suse/scsi-qla2xxx-Silence-fwdump-template-message.patch
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334 bnc#1151927 5.3.8).
- Update
  patches.suse/staging-wlan-ng-fix-exit-return-when-sme-key_idx-NUM.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/usb-udc-lpc32xx-fix-bad-bit-shift-operation.patch
  (git-fixes bnc#1151927 5.3.8).
- Update
  patches.suse/x86-boot-64-Make-level2_kernel_pgt-pages-invalid-out.patch
  (bnc#1153969 bnc#1151927 5.3.8).
- commit dd1ea62
* Tue Oct 29 2019 jslaby@suse.cz
- x86/boot/64: Round memory hole size up to next PMD page
  (bnc#1153969).
- x86/boot/64: Make level2_kernel_pgt pages invalid outside
  kernel area (bnc#1153969).
- commit ec4e0e8
* Tue Oct 29 2019 mkubecek@suse.cz
- series.conf: refresh
  Update upstream references:
  patches.suse/scsi-lpfc-remove-left-over-BUILD_NVME-defines.patch
- commit b3990ad
* Mon Oct 28 2019 tiwai@suse.de
- HID: logitech-hidpp: do all FF cleanup in hidpp_ff_destroy()
  (git-fixes).
- HID: logitech-hidpp: rework device validation (git-fixes).
- HID: logitech-hidpp: split g920_get_config() (git-fixes).
- HID: fix error message in hid_open_report() (git-fixes).
- virtio_ring: fix stalls for packed rings (git-fixes).
- commit 211812f
* Mon Oct 28 2019 fdmanana@suse.com
- Refresh
  patches.suse/Btrfs-check-for-the-full-sync-flag-while-holding-the.patch.
- commit bee8076
* Mon Oct 28 2019 tiwai@suse.de
- 8250-men-mcb: fix error checking when get_num_ports returns
  - ENODEV (git-fixes).
- drm/komeda: Fix typos in komeda_splitter_validate (git-fixes).
- ACPI: NFIT: Fix unlock on error in scrub_show() (git-fixes).
- vfio/spapr_tce: Fix incorrect tce_iommu_group memory free
  (git-fixes).
- commit 707ac5a
* Mon Oct 28 2019 tiwai@suse.de
- drm/amdgpu: Add DC feature mask to disable fractional pwm
  (bsc#1154010).
- commit 619cd14
* Mon Oct 28 2019 dwagner@suse.de
- scsi: qla2xxx: fix a potential NULL pointer dereference
  (bsc#1150457 CVE-2019-16233).
- commit 0c213e5
* Mon Oct 28 2019 dwagner@suse.de
- Refresh series.conf
  Move patches.suse/scsi-lpfc-remove-left-over-BUILD_NVME-defines.patch
- commit c0faefe
* Mon Oct 28 2019 wqu@suse.com
- btrfs: tracepoints: Fix bad entry members of qgroup events
  (bsc#1155186).
- commit 442159a
* Mon Oct 28 2019 wqu@suse.com
- btrfs: tracepoints: Fix wrong parameter order for qgroup  events
  (bsc#1155184).
- commit 941375b
* Mon Oct 28 2019 wqu@suse.com
- btrfs: qgroup: Always free PREALLOC META reserve in
  btrfs_delalloc_release_extents() (bsc#1155179).
- commit 6d16367
* Mon Oct 28 2019 wqu@suse.com
- btrfs: block-group: Fix a memory leak due to missing
  btrfs_put_block_group() (bsc#1155178).
- commit c8620c7
* Mon Oct 28 2019 tiwai@suse.de
- staging: wlan-ng: fix exit return when sme->key_idx >=
  NUM_WEPKEYS (git-fixes).
- USB: ldusb: fix read info leaks (git-fixes).
- USB: serial: ti_usb_3410_5052: fix port-close races (git-fixes).
- USB: usblp: fix use-after-free on disconnect (git-fixes).
- usb: udc: lpc32xx: fix bad bit shift operation (git-fixes).
- USB: legousbtower: fix a signedness bug in tower_probe()
  (git-fixes).
- USB: legousbtower: fix memleak on disconnect (git-fixes).
- USB: ldusb: fix memleak on disconnect (git-fixes).
- i2c: stm32f7: remove warning when compiling with W=1
  (git-fixes).
- i2c: stm32f7: fix a race in slave mode with arbitration loss
  irq (git-fixes).
- i2c: stm32f7: fix first byte to send in slave mode (git-fixes).
- i2c: mt65xx: fix NULL ptr dereference (git-fixes).
- i2c: aspeed: fix master pending state handling (git-fixes).
- Input: st1232 - fix reporting multitouch coordinates
  (git-fixes).
- mmc: mxs: fix flags passed to dmaengine_prep_slave_sg
  (git-fixes).
- mmc: sdhci-omap: Fix Tuning procedure for temperatures < -20C
  (git-fixes).
- regulator: da9062: fix suspend_enable/disable preparation
  (git-fixes).
- regulator: of: fix suspend-min/max-voltage parsing (git-fixes).
- commit 8eae40b
* Mon Oct 28 2019 jlee@suse.com
- efi: Export Runtime Configuration Interface table to sysfs
  (jsc#SLE-7702).
- Update config files.
- commit da35ab6
* Mon Oct 28 2019 jlee@suse.com
- efi: x86: move efi_is_table_address() into arch/x86
  (jsc#SLE-7702).
- commit 7c42f38
* Fri Oct 25 2019 dbueso@suse.de
- x86/mm: Avoid redundant interrupt disable in load_mm_cr4() (bsc#1154772).
- commit a9a3f29
* Fri Oct 25 2019 jlee@suse.com
- ima: Fix use after free in ima_read_modsig() (jsc#SLE-9870).
- ima: Store the measurement again when appraising a modsig
  (jsc#SLE-9870).
- ima: Define ima-modsig template (jsc#SLE-9870).
- ima: Collect modsig (jsc#SLE-9870).
- ima: Implement support for module-style appended signatures
  (jsc#SLE-9870).
- ima: Factor xattr_verify() out of ima_appraise_measurement()
  (jsc#SLE-9870).
- commit 947fbd9
* Fri Oct 25 2019 jlee@suse.com
- ima: Add modsig appraise_type option for module-style appended
  signatures (jsc#SLE-9870).
- Update config files.
- commit 4fa2098
* Fri Oct 25 2019 jlee@suse.com
- integrity: Select CONFIG_KEYS instead of depending on it
  (jsc#SLE-9870).
- PKCS#7: Introduce pkcs7_get_digest() (jsc#SLE-9870).
- PKCS#7: Refactor verify_pkcs7_signature() (jsc#SLE-9870).
- commit 610313d
* Thu Oct 24 2019 jeffm@suse.com
- Delete patches.suse/btrfs-use-spinlock-to-protect--caching_block_groups-list.patch.
  Qgroup rescan now uses the commit root and skips locking, so the deadlock
  this patch was intended to fix no longer exists.
- commit dc168d3
* Thu Oct 24 2019 msuchanek@suse.de
- Update cdrom autoclose to v4.
- cdrom: export autoclose logic as a separate function
  (bsc#1048585).
- scsi: blacklist: add VMware ESXi cdrom - broken tray emulation
  (bsc#1048585 bsc#1080813).
- Refresh patches.suse/cdrom-factor-out-common-open_for_-code.patch.
- Refresh patches.suse/cdrom-wait-for-the-tray-to-close.patch.
- Refresh patches.suse/scsi-sr-wait-for-the-medium-to-become-ready.patch.
- Delete patches.suse/cdrom-separate-autoclose-into-an-IOCTL.patch.
- Delete patches.suse/docs-cdrom-Add-autoclose-IOCTL.patch.
- Delete patches.suse/scsi-sr-workaround-VMware-ESXi-cdrom-emulation-bug.patch.
- commit 9bf0726
* Thu Oct 24 2019 jeffm@suse.com
- procfs: update and re-enable patch for /proc/sys/fs/procfs-drop-fd-dentries
  Refresh
  patches.suse/procfs-add-tunable-for-fd-fdinfo-dentry-retention.patch.
- commit 3f88bb6
* Thu Oct 24 2019 jeffm@suse.com
- Delete patches.suse/revert-btrfs-qgroup-move-half-of-the-qgroup-accounting-time-out-of-commit-trans.patch.
  It was replaced by setting the flag to skip locking while traversing the
  commit root.
- commit 304f8d0
* Thu Oct 24 2019 jeffm@suse.com
- reiserfs: fix extended attributes on the root directory
  (bsc#1151225).
- commit 90c4321
* Thu Oct 24 2019 jeffm@suse.com
- reiserfs: re-enable reiserfs patches
  Refresh
  patches.suse/reiserfs-mark-read-write-mode-unsupported.patch.
- commit ac1361a
* Thu Oct 24 2019 ggherdovich@suse.cz
- ACPI: acpi_pad: Do not launch acpi_pad threads on idle cpus
  (bsc#1113399).
- commit 1724b68
* Thu Oct 24 2019 tzimmermann@suse.de
- drm/i915/execlists: Always clear pending&inflight requests on reset (bsc#1152489)
- commit 21a0694
* Thu Oct 24 2019 tiwai@suse.de
- ALSA: hda: Add Tigerlake/Jasperlake PCI ID (git-fixes).
- ALSA: usb-audio: Fix copy&paste error in the validator
  (git-fixes).
- ASoC: rsnd: Reinitialize bit clock inversion flag for every
  format setting (git-fixes).
- ASoC: simple_card_utils.h: Fix potential multiple redefinition
  error (git-fixes).
- ASoc: rockchip: i2s: Fix RPM imbalance (git-fixes).
- ASoC: topology: Fix a signedness bug in
  soc_tplg_dapm_widget_create() (git-fixes).
- ALSA: hda/realtek - Add support for ALC711 (git-fixes).
- commit 4dad920
* Thu Oct 24 2019 tiwai@suse.de
- Add CVE reference to FIB security fix patch (CVE-2019-18198, bsc#1154617).
- commit 2b47bbd
* Thu Oct 24 2019 tiwai@suse.de
- net: usb: lan78xx: Connect PHY before registering MAC
  (git-fixes).
- net: ethernet: broadcom: have drivers select DIMLIB as needed
  (git-fixes).
- net: mscc: ocelot: add missing of_node_put after calling
  of_get_child_by_name (git-fixes).
- net: ethernet: stmmac: Fix signedness bug in
  ipq806x_gmac_of_parse() (git-fixes).
- net: nixge: Fix a signedness bug in nixge_probe() (git-fixes).
- net: axienet: fix a signedness bug in probe (git-fixes).
- net: socionext: Fix a signedness bug in ave_probe() (git-fixes).
- net: netsec: Fix signedness bug in netsec_probe() (git-fixes).
- net: broadcom/bcmsysport: Fix signedness in bcm_sysport_probe()
  (git-fixes).
- commit 242e8f9
* Thu Oct 24 2019 tiwai@suse.de
- net: bcmgenet: reset 40nm EPHY on energy detect (git-fixes).
- net: bcmgenet: soft reset 40nm EPHYs before MAC init
  (git-fixes).
- net: bcmgenet: don't set phydev->link from MAC (git-fixes).
- net: bcmgenet: Fix RGMII_MODE_EN value for GENET v1/2/3
  (git-fixes).
- net: bcmgenet: Set phydev->dev_flags only for internal PHYs
  (git-fixes).
- md/raid0: fix warning message for parameter default_layout
  (git-fixes).
- commit 87f7ca5
* Thu Oct 24 2019 tiwai@suse.de
- net: aquantia: correctly handle macvlan and multicast
  coexistence (git-fixes).
- net: aquantia: do not pass lro session with invalid tcp checksum
  (git-fixes).
- net: aquantia: when cleaning hw cache it should be toggled
  (git-fixes).
- net: aquantia: temperature retrieval fix (git-fixes).
- net: aquantia: Fix aq_vec_isr_legacy() return value (git-fixes).
- commit f106659
* Thu Oct 24 2019 tiwai@suse.de
- bus: ti-sysc: Remove unpaired sysc_clkdm_deny_idle()
  (git-fixes).
- commit 6fbfebc
* Thu Oct 24 2019 tiwai@suse.de
- ASoC: sun4i: Revert A83t description (git-fixes).
- ASoC: sunxi: Revert initial A83t support (git-fixes).
- ASoC: sun4i-i2s: Add support for DSP formats (git-fixes).
- ASoC: sun4i-i2s: Replace call to params_width by local variable
  (git-fixes).
- ASoC: sun4i-i2s: Use the actual format width instead of an
  hardcoded one (git-fixes).
- ASoC: sun4i-i2s: Use the physical / slot width for the clocks
  (git-fixes).
- ASoC: sun4i-i2s: Add support for TDM slots (git-fixes).
- ASoC: sun4i-i2s: Support more channels (git-fixes).
- ASoC: sun4i-i2s: Pass the channels number as an argument
  (git-fixes).
- ASoC: sun4i-i2s: Remove duplicated quirks structure (git-fixes).
- ASoC: sun4i-i2s: Register regmap and PCM before our component
  (git-fixes).
- commit 0c68de2
* Thu Oct 24 2019 tiwai@suse.de
- ASoC: sun4i-i2s: Rework MCLK divider calculation (git-fixes).
- Refresh
  patches.suse/ASoC-sun4i-i2s-Fix-the-MCLK-and-BCLK-dividers-on-new.patch.
- commit 65ed49e
* Thu Oct 24 2019 tiwai@suse.de
- ASoC: sun4i-i2s: Fix the LRCK period on A83t (git-fixes).
- ASoC: sun4i-i2s: Fix MCLK Enable bit offset on A83t (git-fixes).
- ASoC: sun4i-i2s: Fix WSS and SR fields for the A83t (git-fixes).
- ASoC: sun4i-i2s: Fix the LRCK polarity (git-fixes).
- ASoC: sun4i-i2s: Fix LRCK and BCLK polarity offsets on newer
  SoCs (git-fixes).
- ASoC: sun4i-i2s: RX and TX counter registers are swapped
  (git-fixes).
- ASoC: sun4i-i2s: Fix the MCLK and BCLK dividers on newer SoCs
  (git-fixes).
- ASoC: sun4i-i2s: Use module clock as BCLK parent on newer SoCs
  (git-fixes).
- ASoC: sun4i-i2s: Move the format configuration to a callback
  (git-fixes).
- ASoC: sun4i-i2s: Move the channel configuration to a callback
  (git-fixes).
- commit fd35f56
* Thu Oct 24 2019 tiwai@suse.de
- ASoC: imx-audmix: register the card on a proper dev (git-fixes).
- ASoC: wm8988: fix typo in wm8988_right_line_controls
  (git-fixes).
- ASoC: sunxi: fix a sound binding broken reference (git-fixes).
- ASoC: ams-delta: Take control over audio mute GPIO pins
  (git-fixes).
- ASoC: Intel: Baytrail: Fix implicit fallthrough warning
  (git-fixes).
- ASoC: meson: g12a-tohdmitx: require regmap mmio (git-fixes).
- ASoC: meson: axg-tdm-formatter: free reset on device removal
  (git-fixes).
- ASoC: wm8737: Fix copy-paste error in wm8737_snd_controls
  (git-fixes).
- ASoC: es8328: Fix copy-paste error in es8328_right_line_controls
  (git-fixes).
- commit d53947e
* Thu Oct 24 2019 tiwai@suse.de
- blacklist.conf: Add path entries for unsupported architectures
- commit cf0a6f3
* Thu Oct 24 2019 tiwai@suse.de
- scripts: setlocalversion: fix a bashism (git-fixes).
- xsk: Fix crash in poll when device does not support
  ndo_xsk_wakeup (git-fixes).
- NTB: fix IDT Kconfig typos/spellos (git-fixes).
- tools/power/x86/intel-speed-select: Fix a read overflow in
  isst_set_tdp_level_msr() (git-fixes).
- commit 9b4c74d
* Thu Oct 24 2019 tiwai@suse.de
- media: MAINTAINERS: hantro: Fix typo in a filepath (git-fixes).
- commit cd10c19
* Thu Oct 24 2019 tiwai@suse.de
- bonding: fix potential NULL deref in bond_update_slave_arr
  (git-fixes).
- llc: fix sk_buff refcounting in llc_conn_state_process()
  (git-fixes).
- llc: fix another potential sk_buff leak in llc_ui_sendmsg()
  (git-fixes).
- llc: fix sk_buff leak in llc_conn_service() (git-fixes).
- llc: fix sk_buff leak in llc_sap_state_process() (git-fixes).
- staging/fbtft: Remove fbtft_device (git-fixes).
- enetc: Fix a signedness bug in enetc_of_get_phy() (git-fixes).
- enetc: Clean up local mdio bus allocation (git-fixes).
- ACPI / property: Fix acpi_graph_get_remote_endpoint() name in
  kerneldoc (git-fixes).
- clocksource/drivers/npcm: Fix GENMASK and timer operation
  (git-fixes).
- commit b262b78
* Thu Oct 24 2019 tiwai@suse.de
- clk: ti: dra7: Fix mcasp8 clock bits (git-fixes).
- bus: ti-sysc: Fix handling of invalid clocks (git-fixes).
- bus: ti-sysc: Fix clock handling for no-idle quirks (git-fixes).
- checkpatch.pl: warn on invalid commit id (git-fixes).
- clk: at91: fix update bit maps on CFG_MOR write (git-fixes).
- clk: actions: Fix factor clk struct member access (git-fixes).
- clk: Evict unregistered clks from parent caches (git-fixes).
- clk: fix devm_platform_ioremap_resource.cocci warnings
  (git-fixes).
- clk: sunxi-ng: v3s: add the missing PLL_DDR1 (git-fixes).
- clk: imx: imx8mm: fix pll mux bit (git-fixes).
- clk: imx8mm: Fix incorrect parents (git-fixes).
- clk: imx8mq: Fix sys3 pll references (git-fixes).
- clk: imx8mm: GPT1 clock mux option #5 should be sys_pll1_80m
  (git-fixes).
- clk: imx8mm: Fix typo of pwm3 clock's mux option #4 (git-fixes).
- clk: qcom: fix QCS404 TuringCC regmap (git-fixes).
- clk: meson: g12a: fix hifi typo in mali parent_names
  (git-fixes).
- commit 989e4b0
* Thu Oct 24 2019 mkubecek@suse.cz
- supported.conf: drop gpio-tegra186 module
  It is built into vmlinux now, not a module.
- commit cc0ff86
* Wed Oct 23 2019 tiwai@suse.de
- mmc: sdhci-pci: Add another Id for Intel CML (jsc#SLE-7946).
- commit 06e352d
* Wed Oct 23 2019 tiwai@suse.de
- drm/i915/cml: Add Missing PCI IDs (jsc#SLE-7930, jsc#SLE-7953).
- commit 9b2cd64
* Wed Oct 23 2019 msuchanek@suse.de
- scsi: sr: wait for the medium to become ready (bsc#1048585).
- scsi: sr: workaround VMware ESXi cdrom emulation bug
  (bsc#1048585 bsc#1080813).
- bdev: add open_finish (bsc#1048585).
- docs: cdrom: Add autoclose IOCTL (bsc#1048585).
- cdrom: separate autoclose into an IOCTL (bsc#1048585).
- cdrom: wait for the tray to close (bsc#1048585).
- cdrom: factor out common open_for_* code (bsc#1048585).
- cdrom: add poll_event_interruptible (bsc#1048585).
- commit 79a9241
* Wed Oct 23 2019 ykaukab@suse.de
- arm64: config: statically link gpio-tegra186
  Driver doesn't load automatically. gpio-tegra already set to same.
- commit 8ae3edf
* Wed Oct 23 2019 ykaukab@suse.de
- cpufreq: tegra186: add CPUFREQ_NEED_INITIAL_FREQ_CHECK flag
  (bsc#1154776).
- commit e492e69
* Wed Oct 23 2019 msuchanek@suse.de
- Remove old cdrom autoclose patches.
- Refresh patches.suse/cdrom-turn-off-autoclose-by-default.patch.
- Delete patches.suse/cdrom-factor-out-common-open_for_-code.patch.
- Delete patches.suse/cdrom-wait-for-tray-to-close.patch.
- Delete patches.suse/delay-add-poll_event_interruptible.patch.
- Delete patches.suse/scsi-sr-wait-for-the-medium-to-become-ready.patch.
- Delete patches.suse/scsi-sr-workaround-VMware-ESXi-cdrom-emulation-bug.patch.
- commit 355491c
* Wed Oct 23 2019 tzimmermann@suse.de
- drm/i915: Don't mix srcu tag and negative error codes (bsc#1152489)
- commit 3b706cc
* Wed Oct 23 2019 tzimmermann@suse.de
- drm/i915/execlists: Process interrupted context on reset (bsc#1152489)
- commit 6dbca2a
* Wed Oct 23 2019 tiwai@suse.de
- fs/libfs.c: fix kernel-doc warning (git-fixes).
- fs/direct-io.c: fix kernel-doc warning (git-fixes).
- Documentation/infiniband: update name of some functions
  (git-fixes).
- docs: kbuild: remove cc-ldoption from document again
  (git-fixes).
- docs: kbuild: fix invalid ReST syntax (git-fixes).
- dmaengine: dw: platform: Switch to
  acpi_dma_controller_register() (git-fixes).
- Documentation: virt: Fix broken reference to virt tree's index
  (git-fixes).
- docs: packing: move it to core-api book and adjust markups
  (git-fixes).
- docs: ipmb: place it at driver-api and convert to ReST
  (git-fixes).
- docs: cgroup-v1/blkio-controller.rst: remove a CFQ left over
  (git-fixes).
- hwmon: (shtc1) fix shtc1 and shtw1 id mask (git-fixes).
- hwmon: (lm75) Fix write operations for negative temperatures
  (git-fixes).
- commit cf25ad9
* Wed Oct 23 2019 tiwai@suse.de
- tun: remove possible false sharing in tun_flow_update()
  (git-fixes).
- vhost/test: stop device before reset (git-fixes).
- xarray.h: fix kernel-doc warning (git-fixes).
- USB: usb-skeleton: fix use-after-free after driver unbind
  (git-fixes).
- usbip: vhci_hcd indicate failed message (git-fixes).
- watchdog: jz4740: Fix unused variable warning in
  jz4740_wdt_probe (git-fixes).
- wcn36xx: use dynamic allocation for large variables (git-fixes).
- mic: avoid statically declaring a 'struct device' (git-fixes).
- commit 03e4263
* Wed Oct 23 2019 tiwai@suse.de
- tty: n_hdlc: fix build on SPARC (git-fixes).
- tty: serial: rda: Fix the link time qualifier of
  'rda_uart_exit()' (git-fixes).
- tty: serial: owl: Fix the link time qualifier of
  'owl_uart_exit()' (git-fixes).
- tty: max310x: fix off-by-one buffer access when storing overrun
  (git-fixes).
- tty: serial: fsl_lpuart: Use appropriate lpuart32_* I/O funcs
  (git-fixes).
- commit 79097ee
* Wed Oct 23 2019 tiwai@suse.de
- serial: fix kernel-doc warning in comments (git-fixes).
- serial: stm32: Use __maybe_unused instead of #if CONFIG_PM_SLEEP
  (git-fixes).
- soc: amlogic: meson-gx-socinfo: Add of_node_put() before return
  (git-fixes).
- soc: renesas: rcar-sysc: Add goto to of_node_put() before return
  (git-fixes).
- spi: bcm-qspi: Fix BSPI QUAD and DUAL mode support when using
  flex mode (git-fixes).
- commit 6cf7966
* Wed Oct 23 2019 tiwai@suse.de
- pinctrl: berlin: as370: fix a typo s/spififib/spdifib
  (git-fixes).
- pinctrl: cherryview: restore Strago DMI workaround for all
  versions (git-fixes).
- pinctrl: intel: Allocate IRQ chip dynamic (git-fixes).
- pinctrl: armada-37xx: swap polarity on LED group (git-fixes).
- pinctrl: stmfx: fix null pointer on remove (git-fixes).
- pinctrl: ns2: Fix off by one bugs in ns2_pinmux_enable()
  (git-fixes).
- pinctrl: armada-37xx: fix control of pins 32 and up (git-fixes).
- commit 9b31ee5
* Wed Oct 23 2019 tiwai@suse.de
- iio: imu: st_lsm6dsx: fix waitime for st_lsm6dsx i2c controller
  (git-fixes).
- iio: adc: meson_saradc: Fix memory allocation order (git-fixes).
- kbuild: correct formatting of header in kbuild module docs
  (git-fixes).
- lib: textsearch: fix escapes in example code (git-fixes).
- lib: dimlib: fix help text typos (git-fixes).
- mtd: spi-nor: fix a memory leak bug (git-fixes).
- mtd: spi-nor: Fix an error code in spi_nor_read_raw()
  (git-fixes).
- mtd: spi-nor: Fix Cadence QSPI RCU Schedule Stall (git-fixes).
- mtd: rawnand: brcmnand: Fix ecc chunk calculation for erased
  page bitfips (git-fixes).
- mtd: rawnand: ingenic: fix devm_platform_ioremap_resource.cocci
  warnings (git-fixes).
- Revert "mwifiex: fix system hang problem after resume"
  (git-fixes).
- iio: dac: ad5380: fix incorrect assignment to val (git-fixes).
- iio: tsl2772: Use devm_add_action_or_reset for tsl2772_chip_off
  (git-fixes).
- media: MAINTAINERS: Remove zoran driver (git-fixes).
- gpio/aspeed: Fix incorrect number of banks (git-fixes).
- gpio: ftgpio: Fix an error handling path in
  'ftgpio_gpio_probe()' (git-fixes).
- gpio: Move gpiochip_lock/unlock_as_irq to gpio/driver.h
  (git-fixes).
- commit e950311
* Wed Oct 23 2019 tiwai@suse.de
- drm/panfrost: Handle resetting on timeout better (git-fixes).
- drm/ttm: Restore ttm prefaulting (git-fixes).
- drm/msm/dsi: Implement reset correctly (git-fixes).
- Revert "drm/radeon: Fix EEH during kexec" (git-fixes).
- drm/i915: Favor last VBT child device with conflicting AUX
  ch/DDC pin (git-fixes).
- drm/i915/cml: Add second PCH ID for CMP (git-fixes).
- drm/i915: Extend Haswell GT1 PSMI workaround to all (git-fixes).
- commit 28cf2c7
* Wed Oct 23 2019 bp@suse.de
- Update
  patches.suse/x86-cpu-add-comet-lake-to-the-intel-cpu-models-header.patch
  (jsc#SLE-7935).
- commit a71e408
* Wed Oct 23 2019 mkubecek@suse.cz
- config: refresh
- commit 3d308bb
* Wed Oct 23 2019 mkubecek@suse.cz
- series.conf: cleanup
  Move two submitted wireless patches to "on the way to mainline" section.
  No effect on expanded tree.
- commit 4d1b347
* Tue Oct 22 2019 tiwai@suse.de
- phylink: fix kernel-doc warnings (git-fixes).
- power: supply: ab8500: remove set but not used variables
  'vbup33_vrtcn' and 'bup_vch_range' (git-fixes).
- power: reset: gpio-restart: Fix typo when gpio reset is not
  found (git-fixes).
- power: supply: Init device wakeup after device_add()
  (git-fixes).
- remoteproc: qcom: q6v5-mss: fixup q6v5_pds_enable error handling
  (git-fixes).
- r8169: fix DMA issue on MIPS platform (git-fixes).
- PM: sleep: Fix possible overflow in pm_system_cancel_wakeup()
  (git-fixes).
- commit ed8c5e4
* Tue Oct 22 2019 tiwai@suse.de
- rt2x00: initialize last_reset (git-fixes).
- virt: vbox: fix memory leak in hgcm_call_preprocess_linaddr
  (git-fixes).
- staging: bcm2835-audio: Fix draining behavior regression
  (git-fixes).
- rtc: pcf2127: bugfix: read rtc disables watchdog (git-fixes).
- rtc: rv3029: revert error handling patch to
  rv3029_eeprom_write() (git-fixes).
- video: of: display_timing: Add of_node_put() in
  of_get_display_timing() (git-fixes).
- ath10k: adjust skb length in ath10k_sdio_mbox_rx_packet
  (git-fixes).
- rtw88: fix wrong rx power calculation (git-fixes).
- rtlwifi: Fix file release memory leak (git-fixes).
- rtw88: fix seq_file memory leak (git-fixes).
- rtlwifi: rtl8821ae: Fix incorrect returned values (git-fixes).
- rtlwifi: rtl8192cu: Fix value set in descriptor (git-fixes).
- rtw88: debug: dump tx power indexes in use (git-fixes).
- regulator: da9211: fix obtaining "enable" GPIO (git-fixes).
- regulator: max77686: fix obtaining "maxim,ena" GPIO (git-fixes).
- commit 39d4733
* Tue Oct 22 2019 tiwai@suse.de
- platform/x86: i2c-multi-instantiate: Fail the probe if no IRQ
  provided (git-fixes).
- platform/x86: classmate-laptop: remove unused variable
  (git-fixes).
- platform/x86: pmc_atom: Add Siemens SIMATIC IPC277E to
  critclk_systems DMI table (git-fixes).
- platform/x86: pmc_atom: Add Siemens SIMATIC IPC227E to
  critclk_systems DMI table (git-fixes).
- commit fb32f25
* Tue Oct 22 2019 tiwai@suse.de
- pinctrl: iproc-gpio: Fix incorrect pinconf configurations
  (git-fixes).
- pinctrl: qcom: sdm845: Fix UFS_RESET pin (git-fixes).
- pinctrl: intel: remap the pin number to gpio offset for irq
  enabled pin (git-fixes).
- commit 9e6b97e
* Tue Oct 22 2019 tiwai@suse.de
- nl80211: fix memory leak in nl80211_get_ftm_responder_stats
  (git-fixes).
- NFC: pn533: fix use-after-free and memleaks (git-fixes).
- PCI: PM: Fix pci_power_up() (git-fixes).
- of: mdio: Fix a signedness bug in of_phy_get_and_connect()
  (git-fixes).
- PCI: Correct pci=resource_alignment parameter example
  (git-fixes).
- phy: ti: am654-serdes: fix an use-after-free in
  serdes_am654_clk_register() (git-fixes).
- paride/pcd: need to set queue to NULL before put_disk
  (git-fixes).
- paride/pf: need to set queue to NULL before put_disk
  (git-fixes).
- commit 6c4192e
* Tue Oct 22 2019 tiwai@suse.de
- mt76: stop rx aggregation on station removal (git-fixes).
- mt76: mt7603: fix watchdog rescheduling in mt7603_set_channel
  (git-fixes).
- mt76: mt7615: fix MT7615_WATCHDOG_TIME definition (git-fixes).
- mt76: usb: fix endian in mt76u_copy (git-fixes).
- mt76: mt76u: fix typo in mt76u_fill_rx_sg (git-fixes).
- mt76: mt7615: fix sparse warnings: warning: restricted __le16
  degrades to integer (git-fixes).
- commit 36419e2
* Tue Oct 22 2019 tiwai@suse.de
- memstick: jmb38x_ms: Fix an error handling path in
  'jmb38x_ms_probe()' (git-fixes).
- staging: most: sound: Fix error path of audio_init (git-fixes).
- media: em28xx: Fix exception handling in em28xx_alloc_urbs()
  (git-fixes).
- media: atmel: atmel-isi: fix timeout value for stop streaming
  (git-fixes).
- media: ov8856: Check reading clock frequency succeeded
  (git-fixes).
- media: imx7.rst: Fix the references to the CSI multiplexer
  (git-fixes).
- media: marvell-ccic: mmp: add MODULE_DEVICE_TABLE (git-fixes).
- media: rcar-vin: Clean up correct notifier in error path
  (git-fixes).
- media: staging/imx: Fix NULL deref in find_pipeline_entity()
  (git-fixes).
- media: vivid: fix potential integer overflow on left shift
  (git-fixes).
- commit 67df550
* Tue Oct 22 2019 tiwai@suse.de
- mailbox: qcom-apcs: fix max_register value (git-fixes).
- commit b903159
* Tue Oct 22 2019 tiwai@suse.de
- mac80211: accept deauth frames in IBSS mode (git-fixes).
- mac80211: don't check if key is NULL in ieee80211_key_link()
  (git-fixes).
- mac80211: vht: add support VHT EXT NSS BW in parsing VHT
  (git-fixes).
- mac80211: minstrel_ht: fix per-group max throughput rate
  initialization (git-fixes).
- commit 53cbd53
* Tue Oct 22 2019 tiwai@suse.de
- leds: lm3532: Fix brightness control for i2c mode (git-fixes).
- Refresh
  patches.suse/leds-lm3532-Fixes-for-the-driver-for-stability.patch.
- commit 2348f20
* Tue Oct 22 2019 tiwai@suse.de
- libata/ahci: Fix PCS quirk application (git-fixes).
- libertas_tf: Use correct channel range in lbtf_geo_init
  (git-fixes).
- led: triggers: Fix dereferencing of null pointer (git-fixes).
- leds: trigger: gpio: GPIO 0 is valid (git-fixes).
- leds: ti-lmu-common: Fix coccinelle issue in TI LMU (git-fixes).
- commit 59a3bf5
* Tue Oct 22 2019 tiwai@suse.de
- iwlwifi: exclude GEO SAR support for 3168 (git-fixes).
- iwlwifi: pcie: fix memory leaks in iwl_pcie_ctxt_info_gen3_init
  (git-fixes).
- iwlwifi: mvm: fix race in sync rx queue notification
  (git-fixes).
- Revert "Input: elantech - enable SMBus on new (2018+) systems"
  (git-fixes).
- Input: da9063 - fix capability and drop KEY_SLEEP (git-fixes).
- ima: initialize the "template" field with the default template
  (git-fixes).
- Input: cros_ec_keyb - add back missing mask for event_type
  (git-fixes).
- iwlwifi: dbg_ini: remove periphery phy and aux regions handling
  (git-fixes).
- commit 5ba2a59
* Tue Oct 22 2019 tiwai@suse.de
- i2c: designware: assert reset when error happen at ->probe()
  (git-fixes).
- crypto: hisilicon - Matching the dma address for dma_pool_free()
  (git-fixes).
- dma-buf: fix stack corruption in dma_fence_chain_release
  (git-fixes).
- brcmfmac: get chip's default RAM info during PCIe setup
  (git-fixes).
- can: xilinx_can: xcan_probe(): skip error message on deferred
  probe (git-fixes).
- can: xilinx_can: xcan_chip_start(): fix failure with invalid
  bus (git-fixes).
- crypto: mediatek - fix uninitialized value of gctx->textlen
  (git-fixes).
- crypto: caam/qi - use print_hex_dump_debug function to print
  debug messages (git-fixes).
- crypto: caam/qi - execute library only on DPAA 1.x (git-fixes).
- crypto: caam - unregister algorithm only if the registration
  succeeded (git-fixes).
- crypto: caam - execute module exit point only if necessary
  (git-fixes).
- crypto: caam - free resources in case caam_rng registration
  failed (git-fixes).
- crypto: ccp - Clean up and exit correctly on allocation failure
  (git-fixes).
- crypto: ccp - Reduce maximum stack usage (git-fixes).
- commit 44f9d1d
* Tue Oct 22 2019 tiwai@suse.de
- ath10k: fix latency issue for QCA988x (git-fixes).
- ath9k: dynack: fix possible deadlock in ath_dynack_node_{de}init
  (git-fixes).
- Bluetooth: hidp: Fix assumptions on the return value of
  hidp_send_message (git-fixes).
- bcma: fix incorrect update of BCMA_CORE_PCI_MDIO_DATA
  (git-fixes).
- ASoC: SOF: Intel: hda: Initialize HDA controller after i915 init
  (git-fixes).
- ALSA: aoa: onyx: always initialize register read value
  (git-fixes).
- ahci: Do not export local variable ahci_em_messages (git-fixes).
- commit 2bdf3d5
* Tue Oct 22 2019 tiwai@suse.de
- act_mirred: Fix mirred_init_module error handling (git-fixes).
- commit 251206c
* Tue Oct 22 2019 tiwai@suse.de
- ACPI: CPPC: Set pcc_data[pcc_ss_id] to NULL in
  acpi_cppc_processor_exit() (git-fixes).
- commit e7cfc10
* Tue Oct 22 2019 tiwai@suse.de
- ALSA: usb-audio: Disable quirks for BOSS Katana amplifiers
  (git-fixes).
- commit 043c45c
* Tue Oct 22 2019 tiwai@suse.de
- ALSA: usb-audio: Update DSD support quirks for Oppo and Rotel
  (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-Add-DSD-support-for-EVGA-NU-Audio.patch.
- Refresh
  patches.suse/ALSA-usb-audio-Add-Hiby-device-family-to-quirks-for-.patch.
- commit 468bbcd
* Tue Oct 22 2019 tiwai@suse.de
- ALSA: usb-audio: DSD auto-detection for Playback Designs
  (git-fixes).
- Refresh
  patches.suse/ALSA-usb-audio-Add-DSD-support-for-EVGA-NU-Audio.patch.
- Refresh
  patches.suse/ALSA-usb-audio-Add-Hiby-device-family-to-quirks-for-.patch.
- commit 81fa71f
* Tue Oct 22 2019 tiwai@suse.de
- ALSA: hda - Force runtime PM on Nvidia HDMI codecs (git-fixes).
- ALSA: hda/realtek - Enable headset mic on Asus MJ401TA
  (git-fixes).
- ALSA: hdac: clear link output stream mapping (git-fixes).
- ALSA: hda/realtek: Reduce the Headphone static noise on XPS
  9350/9360 (git-fixes).
- ALSA: hda/realtek - Fix alienware headset mic (git-fixes).
- Add Acer Aspire Ethos 8951G model quirk (git-fixes).
- ALSA: hda/hdmi: remove redundant assignment to variable pcm_idx
  (git-fixes).
- ALSA: hda - Allow runtime PM for controller if component
  notifier is used (git-fixes).
- ALSA: usb-audio: remove some dead code (git-fixes).
- ALSA: usb-audio: Fix possible NULL dereference at
  create_yamaha_midi_quirk() (git-fixes).
- ALSA: usb-audio: Clean up check_input_term() (git-fixes).
- ALSA: usb-audio: Remove superfluous bLength checks (git-fixes).
- ALSA: usb-audio: Unify the release of usb_mixer_elem_info
  objects (git-fixes).
- ALSA: usb-audio: Simplify parse_audio_unit() (git-fixes).
- ALSA: usb-audio: More validations of descriptor units
  (git-fixes).
- ALSA: hda/realtek - Check beep whitelist before assigning in
  all codecs (git-fixes).
- ALSA: hda - Define a fallback_pin_fixup_tbl for alc269 family
  (git-fixes).
- ALSA: hda - Expand pin_match function to match upcoming new tbls
  (git-fixes).
- ALSA: hda/sigmatel - remove unused variable 'stac9200_core_init'
  (git-fixes).
- ALSA: hda: Set fifo_size for both playback and capture streams
  (git-fixes).
- ALSA: hda - Inform too slow responses (git-fixes).
- ALSA: usb-audio: Add Pioneer DDJ-SX3 PCM quirck (git-fixes).
- ALSA: usb-audio: fix PCM device order (git-fixes).
- ALSA: usb-audio: Unify audioformat release code (git-fixes).
- ALSA: hda: Add support of Zhaoxin controller (git-fixes).
- ALSA: usb-audio: Scarlett Gen 2 mixer interface (git-fixes).
- ALSA: line6: sizeof (byte) is always 1, use that fact
  (git-fixes).
- ALSA: hda/hdmi - Allow audio component for AMD/ATI and Nvidia
  HDMI (git-fixes).
- commit 34822c0
* Tue Oct 22 2019 jslaby@suse.cz
- Linux 5.3.7 (bnc#1151927 5.3.7).
- tracing/hwlat: Don't ignore outer-loop duration when calculating
  max_latency (bnc#1151927 5.3.7).
- tracing/hwlat: Report total time spent in all NMIs during the
  sample (bnc#1151927 5.3.7).
- tracing: Get trace_array reference for available_tracers files
  (bnc#1151927 5.3.7).
- ftrace: Get a reference counter for the trace_array on filter
  files (bnc#1151927 5.3.7).
- hwmon: Fix HWMON_P_MIN_ALARM mask (bnc#1151927 5.3.7).
- mtd: rawnand: au1550nd: Fix au_read_buf16() prototype
  (bnc#1151927 5.3.7).
- firmware: google: increment VPD key_len properly (bnc#1151927
  5.3.7).
- mei: avoid FW version request on Ibex Peak and earlier
  (bnc#1151927 5.3.7).
- mei: me: add comet point (lake) LP device ids (bnc#1151927
  5.3.7).
- iio: light: opt3001: fix mutex unlock race (bnc#1151927 5.3.7).
- iio: adc: ad799x: fix probe error handling (bnc#1151927 5.3.7).
- iio: light: add missing vcnl4040 of_compatible (bnc#1151927
  5.3.7).
- iio: light: fix vcnl4000 devicetree hooks (bnc#1151927 5.3.7).
- iio: adc: axp288: Override TS pin bias current for some models
  (bnc#1151927 5.3.7).
- iio: adc: stm32-adc: fix a race when using several adcs with
  dma and irq (bnc#1151927 5.3.7).
- iio: adc: stm32-adc: move registers definitions (bnc#1151927
  5.3.7).
- iio: accel: adxl372: Perform a reset at start up (bnc#1151927
  5.3.7).
- iio: accel: adxl372: Fix push to buffers lost samples
  (bnc#1151927 5.3.7).
- iio: accel: adxl372: Fix/remove limitation for FIFO samples
  (bnc#1151927 5.3.7).
- iio: adc: hx711: fix bug in sampling of data (bnc#1151927
  5.3.7).
- staging: vt6655: Fix memory leak in vt6655_probe (bnc#1151927
  5.3.7).
- Staging: fbtft: fix memory leak in fbtft_framebuffer_alloc
  (bnc#1151927 5.3.7).
- staging: rtl8188eu: fix HighestRate check in
  odm_ARFBRefresh_8188E() (bnc#1151927 5.3.7).
- staging: bcm2835-audio: Fix draining behavior regression
  (bnc#1151927 5.3.7).
- staging/fbtft: Depend on OF (bnc#1151927 5.3.7).
- serial: uartps: Fix uartps_major handling (bnc#1151927 5.3.7).
- serial: uartlite: fix exit path null pointer (bnc#1151927
  5.3.7).
- USB: yurex: fix NULL-derefs on disconnect (bnc#1151927 5.3.7).
- USB: iowarrior: fix use-after-free after driver unbind
  (bnc#1151927 5.3.7).
- USB: iowarrior: fix use-after-free on release (bnc#1151927
  5.3.7).
- USB: iowarrior: fix use-after-free on disconnect (bnc#1151927
  5.3.7).
- USB: chaoskey: fix use-after-free on release (bnc#1151927
  5.3.7).
- USB: adutux: fix use-after-free on release (bnc#1151927 5.3.7).
- USB: ldusb: fix NULL-derefs on driver unbind (bnc#1151927
  5.3.7).
- USB: legousbtower: fix use-after-free on release (bnc#1151927
  5.3.7).
- USB: usb-skeleton: fix NULL-deref on disconnect (bnc#1151927
  5.3.7).
- USB: serial: keyspan: fix NULL-derefs on open() and write()
  (bnc#1151927 5.3.7).
- USB: serial: option: add support for Cinterion CLS8 devices
  (bnc#1151927 5.3.7).
- USB: serial: option: add Telit FN980 compositions (bnc#1151927
  5.3.7).
- USB: serial: ftdi_sio: add device IDs for Sienna and Echelon
  PL-20 (bnc#1151927 5.3.7).
- media: stkwebcam: fix runtime PM after driver unbind
  (bnc#1151927 5.3.7).
- USB: serial: fix runtime PM after driver unbind (bnc#1151927
  5.3.7).
- USB: usblp: fix runtime PM after driver unbind (bnc#1151927
  5.3.7).
- USB: usb-skeleton: fix runtime PM after driver unbind
  (bnc#1151927 5.3.7).
- usb: renesas_usbhs: gadget: Fix usb_ep_set_{halt,wedge}()
  behavior (bnc#1151927 5.3.7).
- usb: renesas_usbhs: gadget: Do not discard queues in
  usb_ep_set_{halt,wedge}() (bnc#1151927 5.3.7).
- xhci: Fix NULL pointer dereference in
  xhci_clear_tt_buffer_complete() (bnc#1151927 5.3.7).
- xhci: Increase STS_SAVE timeout in xhci_suspend() (bnc#1151927
  5.3.7).
- xhci: Prevent deadlock when xhci adapter breaks during init
  (bnc#1151927 5.3.7).
- usb: xhci: wait for CNR controller not ready bit in xhci resume
  (bnc#1151927 5.3.7).
- xhci: Fix USB 3.1 capability detection on early xHCI 1.1 spec
  based hosts (bnc#1151927 5.3.7).
- xhci: Check all endpoints for LPM timeout (bnc#1151927 5.3.7).
- xhci: Prevent device initiated U1/U2 link pm if exit latency
  is too long (bnc#1151927 5.3.7).
- xhci: Fix false warning message about wrong bounce buffer
  write length (bnc#1151927 5.3.7).
- USB: legousbtower: fix open after failed reset request
  (bnc#1151927 5.3.7).
- USB: legousbtower: fix potential NULL-deref on disconnect
  (bnc#1151927 5.3.7).
- USB: legousbtower: fix deadlock on disconnect (bnc#1151927
  5.3.7).
- USB: legousbtower: fix slab info leak at probe (bnc#1151927
  5.3.7).
- usb: typec: ucsi: displayport: Fix for the mode entering routine
  (bnc#1151927 5.3.7).
- usb: typec: ucsi: ccg: Remove run_isr flag (bnc#1151927 5.3.7).
- USB: usblcd: fix I/O after disconnect (bnc#1151927 5.3.7).
- usb: typec: tcpm: usb: typec: tcpm: Fix a signedness bug in
  tcpm_fw_get_caps() (bnc#1151927 5.3.7).
- USB: dummy-hcd: fix power budget for SuperSpeed mode
  (bnc#1151927 5.3.7).
- USB: yurex: Don't retry on unexpected errors (bnc#1151927
  5.3.7).
- USB: adutux: fix NULL-derefs on disconnect (bnc#1151927 5.3.7).
- USB: adutux: fix use-after-free on disconnect (bnc#1151927
  5.3.7).
- USB: microtek: fix info-leak at probe (bnc#1151927 5.3.7).
- USB: rio500: Remove Rio 500 kernel driver (bnc#1151927 5.3.7).
- perf inject jit: Fix JIT_CODE_MOVE filename (bnc#1151927 5.3.7).
- perf llvm: Don't access out-of-scope array (bnc#1151927 5.3.7).
- efi/tpm: Fix sanity check of unsigned tbl_size being less than
  zero (bnc#1151927 5.3.7).
- efi/tpm: Only set 'efi_tpm_final_log_size' after successful
  event log parsing (bnc#1151927 5.3.7).
- efi/tpm: Don't traverse an event log with no events (bnc#1151927
  5.3.7).
- efi/tpm: Don't access event->count when it isn't mapped
  (bnc#1151927 5.3.7).
- efivar/ssdt: Don't iterate over EFI vars if no SSDT override
  was specified (bnc#1151927 5.3.7).
- x86/asm: Fix MWAITX C-state hint value (bnc#1151927 5.3.7).
- MIPS: Disable Loongson MMI instructions for kernel build
  (bnc#1151927 5.3.7).
- MIPS: elf_hwcap: Export userspace ASEs (bnc#1151927 5.3.7).
- NFS: Fix O_DIRECT accounting of number of bytes read/written
  (bnc#1151927 5.3.7).
- CIFS: Force reval dentry if LOOKUP_REVAL flag is set
  (bnc#1151927 5.3.7).
- CIFS: Force revalidate inode when dentry is stale (bnc#1151927
  5.3.7).
- CIFS: Gracefully handle QueryInfo errors during open
  (bnc#1151927 5.3.7).
- cifs: use cifsInodeInfo->open_file_lock while iterating to
  avoid a panic (bnc#1151927 5.3.7).
- drm/i915: Mark contents as dirty on a write fault (bnc#1151927
  5.3.7).
- drm/i915: Bump skl+ max plane width to 5k for linear/x-tiled
  (bnc#1151927 5.3.7).
- drm/i915: Whitelist COMMON_SLICE_CHICKEN2 (bnc#1151927 5.3.7).
- drm/i915: Perform GGTT restore much earlier during resume
  (bnc#1151927 5.3.7).
- io_uring: only flush workqueues on fileset removal (bnc#1151927
  5.3.7).
- btrfs: fix uninitialized ret in ref-verify (bnc#1151927 5.3.7).
- btrfs: allocate new inode in NOFS context (bnc#1151927 5.3.7).
- btrfs: fix balance convert to single on 32-bit host CPUs
  (bnc#1151927 5.3.7).
- btrfs: fix incorrect updating of log root tree (bnc#1151927
  5.3.7).
- Btrfs: fix memory leak due to concurrent append writes with
  fiemap (bnc#1151927 5.3.7).
- Fix the locking in dcache_readdir() and friends (bnc#1151927
  5.3.7).
- arm64/sve: Fix wrong free for task->thread.sve_state
  (bnc#1151927 5.3.7).
- gpio: eic: sprd: Fix the incorrect EIC offset when toggling
  (bnc#1151927 5.3.7).
- gpio: fix getting nonexclusive gpiods from DT (bnc#1151927
  5.3.7).
- gpiolib: don't clear FLAG_IS_OUT when emulating
  open-drain/open-source (bnc#1151927 5.3.7).
- selinux: fix context string corruption in convert_context()
  (bnc#1151927 5.3.7).
- mm/vmpressure.c: fix a signedness bug in
  vmpressure_register_event() (bnc#1151927 5.3.7).
- mm/page_alloc.c: fix a crash in free_pages_prepare()
  (bnc#1151927 5.3.7).
- mm/z3fold.c: claim page in the beginning of free (bnc#1151927
  5.3.7).
- panic: ensure preemption is disabled during panic() (bnc#1151927
  5.3.7).
- commit fe06c63
* Tue Oct 22 2019 jslaby@suse.cz
- Update
  patches.suse/0001-btrfs-relocation-fix-use-after-free-on-dead-relocati.patch
  (bsc#1152972 bnc#1151927 5.3.7).
- Update
  patches.suse/0001-kernel-sysctl.c-do-not-override-max_threads-provided.patch
  (bnc#1150875 bnc#1151927 5.3.7).
- Update
  patches.suse/0002-drm-msm-Use-the-correct-dma_sync-calls-harder.patch
  (bsc#1152472 bnc#1151927 5.3.7).
- Update
  patches.suse/ACPI-PPTT-Add-support-for-ACPI-6.3-thread-flag.patch
  (jsc#SLE-10146 bnc#1151927 5.3.7).
- Update patches.suse/IB-core-Fix-wrong-iterating-on-ports.patch
  (jsc#SLE-8449 bnc#1151927 5.3.7).
- Update patches.suse/RDMA-vmw_pvrdma-Free-SRQ-only-once.patch
  (jsc#SLE-8449 bnc#1151927 5.3.7).
- Update
  patches.suse/arm64-topology-Use-PPTT-to-determine-if-PE-is-a-thre.patch
  (jsc#SLE-10146 bnc#1151927 5.3.7).
- Update
  patches.suse/blk-wbt-fix-performance-regression-in-wbt-scale_up-scale_down.patch
  (bsc#1152489 bnc#1151927 5.3.7).
- commit 942d26b
* Tue Oct 22 2019 msuchanek@suse.de
- kernel-binary.spec.in: Fix build of non-modular kernels (boo#1154578).
- commit 7f1e881
* Tue Oct 22 2019 jroedel@suse.de
- iommu/vt-d: Add Scalable Mode fault information (jsc#SLE-8032).
- iommu/vt-d: Add trace events for device dma map/unmap
  (jsc#SLE-8014).
- commit e17e39f
* Tue Oct 22 2019 acho@suse.com
- rtlwifi: Fix potential overflow on P2P code (bsc#1154372
  CVE-2019-17666).
- commit 6cf6227
* Tue Oct 22 2019 mkubecek@suse.cz
- series.conf: cleanup
  Update upstream references and move into sorted section:
  patches.suse/net-ath6kl-Fix-a-NULL-ptr-deref-bug.patch
  Move into "on the way" section:
  patches.suse/libertas-fix-a-potential-NULL-pointer-dereference.patch
- commit 5ebd03f
* Tue Oct 22 2019 mkubecek@suse.cz
- Fix Patch-mainline tag
  patches.suse/firmware-dmi-fix-unlikely-out-of-bounds-read.patch.
- commit a48c406
* Mon Oct 21 2019 tiwai@suse.de
- libertas: fix a potential NULL pointer dereference
  (CVE-2019-16232,bsc#1150465).
- commit 9f9e4f7
* Mon Oct 21 2019 tiwai@suse.de
- iwlwifi: pcie: fix rb_allocator workqueue allocation
  (CVE-2019-16234,bsc#1150452).
- commit 88957ce
* Mon Oct 21 2019 msuchanek@suse.de
- kernel-binary.spec.in: Obsolete kgraft packages only when not building
  them.
- commit 25f7690
* Mon Oct 21 2019 msuchanek@suse.de
- kernel-subpackage-build: create zero size ghost for uncompressed vmlinux
  (bsc#1154354).
  It is not strictly necessary to uncompress it so maybe the ghost file
  can be 0 size in this case.
- commit 4bf73c8
* Mon Oct 21 2019 jroedel@suse.de
- iommu/amd: Check PM_LEVEL_SIZE() condition in locked section
  (bsc#1154625).
- iommu/amd: Fix incorrect PASID decoding from event log
  (bsc#1154626).
- iommu/io-pgtable-arm: Support all Mali configurations
  (bsc#1154637).
- iommu/io-pgtable-arm: Correct Mali attributes (bsc#1154636).
- iommu/amd: Lock code paths traversing
  protection_domain->dev_list (bsc#1154629).
- iommu/amd: Lock dev_data in attach/detach code paths
  (bsc#1154630).
- iommu/amd: Check for busy devices earlier in attach_device()
  (bsc#1154624).
- iommu/amd: Take domain->lock for complete attach/detach path
  (bsc#1154633).
- iommu/amd: Remove amd_iommu_devtable_lock (bsc#1154631).
- iommu/amd: Remove domain->updated (bsc#1154632).
- iommu/amd: Wait for completion of IOTLB flush in attach_device
  (bsc#1154635).
- iommu/amd: Unmap all L7 PTEs when downgrading page-sizes
  (bsc#1154634).
- iommu/amd: Introduce first_pte_l7() helper (bsc#1154628).
- iommu/amd: Fix pages leak in free_pagetable() (bsc#1154627).
- commit 41aabfd
* Mon Oct 21 2019 pmladek@suse.com
- vsprintf: Prevent crash when dereferencing invalid pointers
  for %%pD (bsc#1154619).
- commit dffedfe
* Mon Oct 21 2019 dwagner@suse.de
- scsi: lpfc: Check queue pointer before use (bsc#1154242).
- commit 7553622
* Mon Oct 21 2019 ohering@suse.de
- x86/hyperv: Set pv_info.name to "Hyper-V" (fate#323887).
- x86/hyperv: Make vapic support x2apic mode (fate#323887).
- Drivers: hv: vmbus: Fix harmless building warnings without
  CONFIG_PM_SLEEP (fate#323887).
- HID: hyperv: Use in-place iterator API in the channel callback
  (fate#323887).
- commit bcf7984
* Mon Oct 21 2019 dwagner@suse.de
- Move patch to upstream section
  Refresh
  patches.suse/scsi-lpfc-remove-left-over-BUILD_NVME-defines.patch.
- commit 4bf6dec
* Mon Oct 21 2019 jdelvare@suse.de
- firmware: dmi: Fix unlikely out-of-bounds read in
  save_mem_devices (git-fixes).
- commit cf1b81f
* Mon Oct 21 2019 mkubecek@suse.cz
- series.conf: refresh
- update upstream references:
  patches.suse/cfg80211-wext-avoid-copying-malformed-SSIDs.patch.
  patches.suse/net-ibmvnic-Fix-EOI-when-running-in-XIVE-mode.patch.
- commit 863654c
* Mon Oct 21 2019 dbueso@suse.de
- hrtimer/treewide: Use hrtimer_sleeper_start_expires()
  (bsc#1149032).
- hrtimer: Provide hrtimer_sleeper_start_expires() (bsc#1149032).
- hrtimer: Consolidate hrtimer_init() +  hrtimer_init_sleeper()
  calls (bsc#1149032).
- hrtimer: Remove task argument from hrtimer_init_sleeper()
  (bsc#1149032).
- lib/timerqueue: Rely on rbtree semantics for next timer
  (bsc#1154536).
- x86/math64: Provide a sane mul_u64_u32_div() implementation
  for x86_64 (bsc#1149032).
- sched: Clean up active_mm reference counting (bsc#1149032).
- sched/core: Convert get_task_struct() to return the task
  (bsc#1149032).
- mutex: Fix up mutex_waiter usage (bsc#1149032).
- locking/mutex: Use mutex flags macro instead of hard code
  (bsc#1149032).
- locking/mutex: Make __mutex_owner static to mutex.c
  (bsc#1149032).
- locking/qspinlock,x86: Clarify virt_spin_lock_key (bsc#1149032).
- locking/rwsem: Check for operations on an uninitialized rwsem
  (bsc#1149032).
- locking/rwsem: Make handoff writer optimistically spin on owner
  (bsc#1149032).
- commit 2a492dc
* Sat Oct 19 2019 mkubecek@suse.cz
- Fix Patch-mainline:
  patches.suse/s390-zcrypt-add-base-code-for-cca-crypto-card-info-support
  patches.suse/s390-zcrypt-cex7s-exploitation-support
  patches.suse/s390-zcrypt-move-cca-misc-functions-to-new-code-file
  patches.suse/s390-zcrypt-new-sysfs-attributes-serialnr-and-mkvps
- commit 7dfd2cf
* Fri Oct 18 2019 tbogendoerfer@suse.de
- netdevsim: implement support for devlink region and snapshots
  (bsc#1154353).
- Refresh patches.suse/net-devlink-split-reload-op-into-two.patch.
- commit 8316be1
* Fri Oct 18 2019 tbogendoerfer@suse.de
- netdevsim: register couple of devlink params (bsc#1154353).
- Refresh patches.suse/net-devlink-split-reload-op-into-two.patch.
- commit f83adc1
* Fri Oct 18 2019 tbogendoerfer@suse.de
- SUNRPC: fix race to sk_err after xs_error_report (bsc#1154353).
- commit cf2c098
* Fri Oct 18 2019 tbogendoerfer@suse.de
- netdevsim: Add devlink-trap support (bsc#1154353).
- Refresh patches.suse/net-devlink-split-reload-op-into-two.patch.
- commit bd989c4
* Fri Oct 18 2019 tbogendoerfer@suse.de
- net: hisilicon: Fix usage of uninitialized variable in function
  mdio_sc_cfg_reg_write() (bsc#1154353).
- mlxsw: spectrum: Clear VLAN filters during port initialization
  (bsc#1154488).
- net: ena: clean up indentation issue (bsc#1154492).
- net: hisilicon: Fix signedness bug in hix5hd2_dev_probe()
  (bsc#1154353).
- net: ena: Select DIMLIB for ENA_ETHERNET (bsc#1154492).
- sunrpc: clean up indentation issue (bsc#1154353).
- sunrpc: add a new cache_detail operation for when a cache is
  flushed (bsc#1154353).
- svcrdma: Use llist for managing cache of recv_ctxts
  (jsc#SLE-8449).
- svcrdma: Remove svc_rdma_wq (jsc#SLE-8449).
- SUNRPC: Track writers of the 'channel' file to improve
  cache_listeners_exist (bsc#1154353).
- SUNRPC: Fix congestion window race with disconnect
  (bsc#1154353).
- SUNRPC: Rename xdr_buf_read_netobj to xdr_buf_read_mic
  (bsc#1154353).
- SUNRPC: Don't receive TCP data into a request buffer that has
  been reset (bsc#1154353).
- xprtrdma: Clear xprt->reestablish_timeout on close
  (jsc#SLE-8449).
- xprtrdma: Recycle MRs after disconnect (jsc#SLE-8449).
- xprtrdma: Optimize rpcrdma_post_recvs() (jsc#SLE-8449).
- xprtrdma: Inline XDR chunk encoder functions (jsc#SLE-8449).
- xprtrdma: Fix bc_max_slots return value (jsc#SLE-8449).
- xprtrdma: Clean up xprt_rdma_set_connect_timeout()
  (jsc#SLE-8449).
- xprtrdma: Use an llist to manage free rpcrdma_reps
  (jsc#SLE-8449).
- xprtrdma: Remove rpcrdma_buffer::rb_mrlock (jsc#SLE-8449).
- xprtrdma: Cache free MRs in each rpcrdma_req (jsc#SLE-8449).
- xprtrdma: Ensure creating an MR does not trigger FS writeback
  (jsc#SLE-8449).
- xprtrdma: Move rpcrdma_mr_get out of frwr_map (jsc#SLE-8449).
- xprtrdma: Combine rpcrdma_mr_put and rpcrdma_mr_unmap_and_put
  (jsc#SLE-8449).
- xprtrdma: Simplify rpcrdma_mr_pop (jsc#SLE-8449).
- xprtrdma: Rename rpcrdma_buffer::rb_all (jsc#SLE-8449).
- xprtrdma: Rename CQE field in Receive trace points
  (jsc#SLE-8449).
- xprtrdma: Boost maximum transport header size (jsc#SLE-8449).
- xprtrdma: Fix calculation of ri_max_segs again (jsc#SLE-8449).
- xprtrdma: Update obsolete comment (jsc#SLE-8449).
- xprtrdma: Refresh the documenting comment in frwr_ops.c
  (jsc#SLE-8449).
- SUNRPC: Inline xdr_commit_encode (bsc#1154353).
- SUNRPC: Remove rpc_wake_up_queued_task_on_wq() (bsc#1154353).
- RDMA/hns: Package operations of rq inline buffer into separate
  functions (jsc#SLE-8449).
- RDMA/hns: Optimize cmd init and mode selection for hip08
  (jsc#SLE-8449).
- RDMA/hns: Use devm_platform_ioremap_resource() to simplify code
  (jsc#SLE-8449).
- RDMA/hns: Fix wrong assignment of qp_access_flags
  (jsc#SLE-8449).
- RDMA/hns: Delete the not-used lines (jsc#SLE-8449).
- RDMA/hns: Remove if-else judgment statements for creating srq
  (jsc#SLE-8449).
- RDMA/hns: Add reset process for function-clear (jsc#SLE-8449).
- RDMA/hns: Fix cast from or to restricted __le32 for driver
  (jsc#SLE-8449).
- RDMA/hns: Remove the some magic number (jsc#SLE-8449).
- RDMA/hns: Modify the data structure of hns_roce_av
  (jsc#SLE-8449).
- RDMA/hns: Fix some white space check_mtu_validate()
  (jsc#SLE-8449).
- RDMA/hns: Remove unuseful member (jsc#SLE-8449).
- RDMA/hns: bugfix for slab-out-of-bounds when loading hip08
  driver (jsc#SLE-8449).
- RDMA/hns: Bugfix for slab-out-of-bounds when unloading hip08
  driver (jsc#SLE-8449).
- RDMA/hns: Modify pi vlaue when cq overflows (jsc#SLE-8449).
- RDMA/hns: Bugfix for creating qp attached to srq (jsc#SLE-8449).
- RDMA/hns: Logic optimization of wc_flags (jsc#SLE-8449).
- RDMA/hns: Use the new APIs for printing log (jsc#SLE-8449).
- RDMA/hns: Disable alw_lcl_lpbk of SSU (jsc#SLE-8449).
- RDMA/hns: Remove redundant print in hns_roce_v2_ceq_int()
  (jsc#SLE-8449).
- RDMA/hns: Refactor hns_roce_v2_set_hem for hip08 (jsc#SLE-8449).
- RDMA/hns: Remove unnecessary kzalloc (jsc#SLE-8449).
- RDMA/hns: Refactor irq request code (jsc#SLE-8449).
- RDMA/hns: Split bool statement and assign statement
  (jsc#SLE-8449).
- RDMA/hns: Handling the error return value of hem function
  (jsc#SLE-8449).
- RDMA/hns: Update some comments style (jsc#SLE-8449).
- RDMA/hns: Clean up unnecessary initial assignment
  (jsc#SLE-8449).
- RDMA/hns: Remove unnessary init for cmq reg (jsc#SLE-8449).
- RDMA/hns: Update the prompt message for creating and destroy qp
  (jsc#SLE-8449).
- RDMA/hns: Optimize hns_roce_modify_qp function (jsc#SLE-8449).
- RDMA/hns: Encapsulate some lines for setting sq size in user
  mode (jsc#SLE-8449).
- RDMA/hns: remove obsolete Kconfig comment (jsc#SLE-8449).
- RDMA/hns: Remove not used UAR assignment (jsc#SLE-8449).
- RDMA/hns: remove set but not used variable 'irq_num'
  (jsc#SLE-8449).
- RDMA/hns: Refactor eq table init for hip08 (jsc#SLE-8449).
- RDMA/hns: Refactor hem table mhop check and calculation
  (jsc#SLE-8449).
- RDMA/hns: Package for hns_roce_rereg_user_mr function
  (jsc#SLE-8449).
- RDMA/hns: Optimize hns_roce_mhop_alloc function (jsc#SLE-8449).
- RDMA/hns: optimize the duplicated code for qpc setting flow
  (jsc#SLE-8449).
- RDMA/hns: Use a separated function for setting extend sge
  paramters (jsc#SLE-8449).
- RDMA/hns: Refactor for hns_roce_v2_modify_qp function
  (jsc#SLE-8449).
- RDMA/hns: Refactor the code of creating srq (jsc#SLE-8449).
- RDMA/hns: Package the flow of creating cq (jsc#SLE-8449).
- net: ena: don't wake up tx queue when down (bsc#1154492).
- mlxsw: spectrum_buffers: Add the ability to query the CPU
  port's shared buffer (bsc#1154488).
- mlxsw: spectrum: Register CPU port with devlink (bsc#1154488).
- mlxsw: spectrum_buffers: Prevent changing CPU port's
  configuration (bsc#1154488).
- net: ena: fix incorrect update of intr_delay_resolution
  (bsc#1154492).
- net: ena: fix retrieval of nonadaptive interrupt moderation
  intervals (bsc#1154492).
- net: ena: fix update of interrupt moderation register
  (bsc#1154492).
- net: ena: remove all old adaptive rx interrupt moderation code
  from ena_com (bsc#1154492).
- net: ena: remove ena_restore_ethtool_params() and relevant
  fields (bsc#1154492).
- net: ena: remove old adaptive interrupt moderation code from
  ena_netdev (bsc#1154492).
- net: ena: remove code duplication in
  ena_com_update_nonadaptive_moderation_interval _*()
  (bsc#1154492).
- net: ena: enable the interrupt_moderation in
  driver_supported_features (bsc#1154492).
- net: ena: reimplement set/get_coalesce() (bsc#1154492).
- net: ena: switch to dim algorithm for rx adaptive interrupt
  moderation (bsc#1154492).
- net: ena: add intr_moder_rx_interval to struct ena_com_dev
  and use it (bsc#1154492).
- netdevsim: Set offsets to various protocol layers (bsc#1154353).
- net: hns3: add some DFX info for reset issue (bsc#1154353).
- net: hns3: check NULL pointer before use (bsc#1154353).
- net: hns3: modify some logs format (bsc#1154353).
- net: hns3: fix port setting handle for fibre port (bsc#1154353).
- net: hns3: fix shaper parameter algorithm (bsc#1154353).
- net: hns3: revert to old channel when setting new channel num
  fail (bsc#1154353).
- net: hns3: add ethtool_ops.set_channels support for HNS3 VF
  driver (bsc#1154353).
- net: hns3: make array spec_opcode static const, makes object
  smaller (bsc#1154353).
- net: hns3: make hclge_dbg_get_m7_stats_info static
  (bsc#1154353).
- net: hns3: disable loopback setting in hclge_mac_init
  (bsc#1154353).
- net: hns3: remove explicit conversion to bool (bsc#1154353).
- net: hns3: add client node validity judgment (bsc#1154353).
- net: hns3: fix mis-assignment to hdev->reset_level in
  hclge_reset (bsc#1154353).
- net: hns3: fix double free bug when setting ringparam
  (bsc#1154353).
- net: hns3: fix error VF index when setting VLAN offload
  (bsc#1154353).
- net: hns: Move static keyword to the front of declaration
  (bsc#1154353).
- sunrpc: Use kzfree rather than its implementation (bsc#1154353).
- mvpp2: percpu buffers (bsc#1154353).
- mvpp2: refactor BM pool functions (bsc#1154353).
- net: hns3: remove set but not used variable 'qos' (bsc#1154353).
- net: hns3: remove redundant assignment to pointer reg_info
  (bsc#1154353).
- net: bridge: Populate the pvid flag in br_vlan_get_info
  (bsc#1154353).
- net: hns3: not allow SSU loopback while execute ethtool -t dev
  (bsc#1154353).
- net: hns3: check reset interrupt status when reset fails
  (bsc#1154353).
- net: hns3: add phy selftest function (bsc#1154353).
- net: hns3: implement .process_hw_error for hns3 client
  (bsc#1154353).
- net: hns3: optimize waiting time for TQP reset (bsc#1154353).
- net: hns3: fix incorrect type in assignment (bsc#1154353).
- net: hns3: make some reusable codes into a function
  (bsc#1154353).
- net: hns3: optimize some log printings (bsc#1154353).
- net: hns3: reduce the parameters of some functions
  (bsc#1154353).
- net: hns3: modify base parameter of kstrtouint in
  hclge_dbg_dump_tm_map (bsc#1154353).
- net: hns3: use macro instead of magic number (bsc#1154353).
- net: hns3: code optimization for debugfs related to "dump reg"
  (bsc#1154353).
- mlxsw: spectrum_ptp: Add counters for GC events (bsc#1154488).
- mlxsw: Bump firmware version to 13.2000.1886 (bsc#1154488).
- mlxsw: spectrum: Prevent auto negotiation on number of lanes
  (bsc#1154488).
- mlxsw: Remove 56G speed support (bsc#1154488).
- net: hns3: Fix -Wunused-const-variable warning (bsc#1154353).
- selftests: mlxsw: Add a test case for devlink-trap
  (bsc#1154488).
- selftests: mlxsw: Add test cases for devlink-trap L2 drops
  (bsc#1154488).
- mlxsw: spectrum: Add devlink-trap support (bsc#1154488).
- mlxsw: Add trap group for layer 2 discards (bsc#1154488).
- mlxsw: Add layer 2 discard trap IDs (bsc#1154488).
- mlxsw: reg: Add new trap actions (bsc#1154488).
- mlxsw: core: Add API to set trap action (bsc#1154488).
- netdevsim: Fix build error without CONFIG_INET (bsc#1154353).
- net: hns: add phy_attached_info() to the hns driver
  (bsc#1154353).
- net: hns3: add phy_attached_info() to the hns3 driver
  (bsc#1154353).
- net: hns3: prevent unnecessary MAC TNL interrupt (bsc#1154353).
- net: hns3: change print level of RAS error log from warning
  to error (bsc#1154353).
- net: hns3: fix error and incorrect format (bsc#1154353).
- net: hns3: modify redundant initialization of variable
  (bsc#1154353).
- net: hns3: add or modify comments (bsc#1154353).
- Documentation: Add description of netdevsim traps (bsc#1154353).
- net: bridge: mdb: allow add/delete for host-joined groups
  (bsc#1154353).
- net: bridge: mdb: dump host-joined entries as well
  (bsc#1154353).
- net: bridge: mdb: factor out mdb filling (bsc#1154353).
- net: bridge: mdb: move vlan comments (bsc#1154353).
- net/mvpp2: Replace tasklet with softirq hrtimer (bsc#1154353).
- net: hns3: Make hclge_func_reset_sync_vf static (bsc#1154353).
- mvpp2: no need to check return value of debugfs_create functions
  (bsc#1154353).
- hns3: no need to check return value of debugfs_create functions
  (bsc#1154353).
- net: hns3: refine some macro definitions (bsc#1154353).
- net: hns3: add handshake with VF for PF reset (bsc#1154353).
- net: hns3: refine MAC pause statistics querying function
  (bsc#1154353).
- net: hns3: add function display NCL_CONFIG info (bsc#1154353).
- net: hns3: add check for max TX BD num for tso and non-tso case
  (bsc#1154353).
- net: hns3: add some statitics info to tx process (bsc#1154353).
- net: hns3: add DFX registers information for ethtool -d
  (bsc#1154353).
- net: hns3: modify how pause options is displayed (bsc#1154353).
- net: hns3: add input length check for debugfs write function
  (bsc#1154353).
- net: hns3: clean up for vlan handling in hns3_fill_desc_vtags
  (bsc#1154353).
- net: hns3: fix interrupt clearing error for VF (bsc#1154353).
- net: hns3: fix GFP flag error in hclge_mac_update_stats()
  (bsc#1154353).
- mlxsw: spectrum: Extend to support Spectrum-3 ASIC
  (bsc#1154488).
- net: hns3: activate reset timer when calling reset_event
  (bsc#1154353).
- net: hns3: clear reset interrupt status in hclge_irq_handle()
  (bsc#1154353).
- net: hns3: fix some reset handshake issue (bsc#1154353).
- net: hns3: rename a member in struct
  hclge_mac_ethertype_idx_rd_cmd (bsc#1154353).
- net: hns3: simplify hclge_cmd_query_error() (bsc#1154353).
- net: hns3: minior error handling change for
  hclge_tm_schd_info_init (bsc#1154353).
- net: hns3: minor cleanup in hns3_clean_rx_ring (bsc#1154353).
- net: hns3: remove unnecessary variable in
  hclge_get_mac_vlan_cmd_status() (bsc#1154353).
- net: hns3: refine for set ring parameters (bsc#1154353).
- net: hns3: do not query unsupported commands in debugfs
  (bsc#1154353).
- net: hns3: add handler for NCSI error mailbox (bsc#1154353).
- net: hns3: add link change event report (bsc#1154353).
- net: phy: xgene: use devm_platform_ioremap_resource() to
  simplify code (bsc#1154353).
- mvpp2: use devm_platform_ioremap_resource() to simplify code
  (bsc#1154353).
- net: bridge: mcast: add delete due to fast-leave mdb flag
  (bsc#1154353).
- selftests: mlxsw: Add a test for leftover DSCP rule
  (bsc#1154488).
- selftests: mlxsw: Fix local variable declarations in DSCP tests
  (bsc#1154488).
- net: Remove dev_err() usage after platform_get_irq()
  (bsc#1154353).
- net: hns3: use dev_info() instead of pr_info() (bsc#1154353).
- net: hns3: Add support for using order 1 pages with a 4K buffer
  (bsc#1154353).
- net: hns3: add interrupt affinity support for misc interrupt
  (bsc#1154353).
- net: hns3: make hclge_service use delayed workqueue
  (bsc#1154353).
- net: hns3: add debug messages to identify eth down cause
  (bsc#1154353).
- net: hns3: modify firmware version display format (bsc#1154353).
- net: hns3: change GFP flag during lock period (bsc#1154353).
- net: hns3: remove upgrade reset level when reset fail
  (bsc#1154353).
- net: hns3: add a check for get_reset_level (bsc#1154353).
- net: hns3: add reset checking before set channels (bsc#1154353).
- mlxsw: spectrum_flower: Forbid to offload match on reserved
  TCP flags bits (bsc#1154488).
- mlxsw: spectrum_acl: Track rules that forbid egress block bind
  (bsc#1154488).
- mlxsw: spectrum_flower: Forbid to offload mirred redirect on
  egress (bsc#1154488).
- drivers: net: xgene: Move status variable declaration into
  CONFIG_ACPI block (bsc#1154353).
- mlxsw: spectrum_router: Increase scale of IPv6 nexthop groups
  (bsc#1154488).
- mlxsw: spectrum: Expose KVD size for Spectrum-2 (bsc#1154488).
- drivers: net: xgene: Remove acpi_has_method() calls
  (bsc#1154353).
- platform/mellanox: mlxreg-hotplug: Remove dev_err() usage
  after platform_get_irq() (bsc#1154488).
- commit 25127c6
* Fri Oct 18 2019 ptesarik@suse.cz
- s390/zcrypt: new sysfs attributes serialnr and mkvps
  (jsc#SLE-9582 jsc#IBM-505 LTC#181532).
- Refresh patches.suse/s390-zcrypt-cex7s-exploitation-support.
- commit e3c6694
* Fri Oct 18 2019 ptesarik@suse.cz
- s390/zcrypt: add base code for cca crypto card info support
  (jsc#SLE-9582 jsc#IBM-505 LTC#181532).
- s390/zcrypt: move cca misc functions to new code file
  (jsc#SLE-9582 jsc#IBM-505 LTC#181532).
- commit ade3003
* Fri Oct 18 2019 ptesarik@suse.cz
- Update references in
  patches.suse/Revert-s390-dasd-Add-discard-support-for-ESE-volumes.patch
  (bnc#1151927 5.3.6 jsc#SLE-7885 jsc#IBM-463 LTC#178852).
- Update references in
  patches.suse/s390-dasd-Fix-error-handling-during-online-processin.patch
  (bnc#1151927 5.3.6 jsc#SLE-7885 jsc#IBM-463 LTC#178852).
- commit fae0452
* Fri Oct 18 2019 ptesarik@suse.cz
- s390/zcrypt: CEX7S exploitation support (jsc#SLE-7506
  jsc#IBM-458 LTC#178859).
- commit 99477f1
* Fri Oct 18 2019 tbogendoerfer@suse.de
- selftests/bpf: fix clearing buffered output between
  tests/subtests (bsc#1154353).
- commit 5178748
* Fri Oct 18 2019 tbogendoerfer@suse.de
- libbpf: convert libbpf code to use new btf helpers
  (bsc#1154353).
- Refresh
  patches.suse/libbpf-fix-false-uninitialized-variable-warning.patch.
- commit 234ecb1
* Fri Oct 18 2019 tbogendoerfer@suse.de
- Documentation: Clarify trap's description (bsc#1154353).
- libbpf: Teach btf_dumper to emit stand-alone anonymous enum
  definitions (bsc#1154353).
- libbpf: Remove getsockopt() check for XDP_OPTIONS (bsc#1154353).
- kcm: disable preemption in kcm_parse_func_strparser()
  (bsc#1154353).
- IB/mlx5: Use the original address for the page during free_pages
  (jsc#SLE-8446).
- RDMA/cma: Fix false error message (jsc#SLE-8449).
- kbuild: replace BASH-specific ${@:2} with shift and ${@}
  (bsc#1154353).
- libbpf: add flags to umem config (bsc#1154353).
- tools: bpftool: do not link twice against libbpf.a in Makefile
  (bsc#1154353).
- tools: bpf: account for generated feature/ and libbpf/
  directories (bsc#1154353).
- tools: bpftool: improve and check builds for different make
  invocations (bsc#1154353).
- tools: bpftool: ignore make built-in rules for getting kernel
  version (bsc#1154353).
- tools/bpf: sync bpf.h (bsc#1154353).
- btf: do not use CONFIG_OUTPUT_FORMAT (bsc#1154353).
- libbpf: use LFS (_FILE_OFFSET_BITS) instead of direct mmap2
  syscall (bsc#1154353).
- libbpf: add bpf_btf_get_next_id() to cycle through BTF objects
  (bsc#1154353).
- libbpf: refactor bpf_*_get_next_id() functions (bsc#1154353).
- tools: bpf: synchronise BPF UAPI header with tools
  (bsc#1154353).
- bpf: sync bpf.h to tools/ (bsc#1154353).
- libbpf: add support for need_wakeup flag in AF_XDP part
  (bsc#1154353).
- libbpf: make libbpf.map source of truth for libbpf version
  (bsc#1154353).
- tools: bpftool: compile with $(EXTRA_WARNINGS) (bsc#1154353).
- libbpf: attempt to load kernel BTF from sysfs first
  (bsc#1154353).
- tools: bpftool: add feature check for zlib (bsc#1154353).
- tools: bpftool: fix reading from /proc/config.gz (bsc#1154353).
- libbpf: implement BPF CO-RE offset relocation algorithm
  (bsc#1154353).
- libbpf: add .BTF.ext offset relocation section loading
  (bsc#1154353).
- libbpf: add helpers for working with BTF types (bsc#1154353).
- bpf: sync bpf.h to tools/ (bsc#1154353).
- tools: Add definitions for devmap_hash map type (bsc#1154353).
- tools/libbpf_probes: Add new devmap_hash type (bsc#1154353).
- tools/include/uapi: Add devmap_hash BPF map type (bsc#1154353).
- selftests/bpf: convert send_signal.c to use subtests
  (bsc#1154353).
- selftests/bpf: convert bpf_verif_scale.c to sub-tests API
  (bsc#1154353).
- selftests/bpf: add sub-tests support for test_progs
  (bsc#1154353).
- selftests/bpf: abstract away test log output (bsc#1154353).
- selftest/bpf: centralize libbpf logging management for
  test_progs (bsc#1154353).
- libbpf: return previous print callback from libbpf_set_print
  (bsc#1154353).
- selftests/bpf: add test selectors by number and name to
  test_progs (bsc#1154353).
- selftests/bpf: revamp test_progs to allow more control
  (bsc#1154353).
- selftests/bpf: prevent headers to be compiled as C code
  (bsc#1154353).
- selftests/bpf: support BPF_FLOW_DISSECTOR_F_STOP_AT_ENCAP
  (bsc#1154353).
- libbpf: provide more helpful message on uninitialized global
  var (bsc#1154353).
- tools headers: Grab copy of linux/const.h, needed by
  linux/bits.h (bsc#1154353).
- commit 0d4cc4a
* Fri Oct 18 2019 hare@suse.de
- scsi: lpfc: remove left-over BUILD_NVME defines (bsc#1154268).
- commit bde7b0f
* Fri Oct 18 2019 mkubecek@suse.cz
- series.conf: move unsortable patch out of sorted section
  Move patches.suse/Btrfs-check-for-the-full-sync-flag-while-holding-the.patch
  out of sorted section; it does not have Git-commit tag (yet) so that it
  cannot be sorted without manual update anyway.
- commit dab15c2
* Fri Oct 18 2019 mkubecek@suse.cz
- series.conf: move queued patch into sorted section
  Update patches.suse/cfg80211-wext-avoid-copying-malformed-SSIDs.patch
  Git-repo tag and move it into sorted section.
- commit 9c78ce4
* Thu Oct 17 2019 tbogendoerfer@suse.de
- RDMA/mlx5: Add missing synchronize_srcu() for MW cases
  (jsc#SLE-8446).
- RDMA/mlx5: Put live in the correct place for ODP MRs
  (jsc#SLE-8446).
- RDMA/mlx5: Order num_pending_prefetch properly with
  synchronize_srcu (jsc#SLE-8446).
- RDMA/odp: Lift umem_mutex out of ib_umem_odp_unmap_dma_pages()
  (jsc#SLE-8449).
- RDMA/mlx5: Fix a race with mlx5_ib_update_xlt on an implicit MR
  (jsc#SLE-8446).
- RDMA/mlx5: Do not allow rereg of a ODP MR (jsc#SLE-8446).
- IB/core: Fix wrong iterating on ports (jsc#SLE-8449).
- RDMA/nldev: Reshuffle the code to avoid need to rebind QP in
  error path (jsc#SLE-8449).
- RDMA/cxgb4: Do not dma memory off of the stack (jsc#SLE-8392).
- RDMA/cm: Fix memory leak in cm_add/remove_one (jsc#SLE-8449).
- RDMA/core: Fix an error handling path in 'res_get_common_doit()'
  (jsc#SLE-8449).
- RDMA/i40iw: Associate ibdev to netdev before IB device
  registration (jsc#SLE-8449).
- RDMA/iwcm: Fix a lock inversion issue (jsc#SLE-8449).
- RDMA/iw_cxgb4: fix SRQ access from dump_qp() (jsc#SLE-8392).
- RDMA/hfi1: Prevent memory leak in sdma_init (jsc#SLE-8449).
- RDMA/core: Fix use after free and refcnt leak on ndev in_device
  in iwarp_query_port (jsc#SLE-8449).
- RDMA/siw: Fix serialization issue in write_space()
  (jsc#SLE-8381).
- RDMA/vmw_pvrdma: Free SRQ only once (jsc#SLE-8449).
- mlx5: avoid 64-bit division in dr_icm_pool_mr_create()
  (jsc#SLE-8464).
- devlink: Fix error handling in param and info_get dumpit cb
  (bsc#1154353).
- sk_buff: drop all skb extensions on free and skb scrubbing
  (bsc#1154353).
- bpf: Clean up indentation issue in BTF kflag processing
  (bsc#1154353).
- xsk: relax UMEM headroom alignment (bsc#1154353).
- bpf: fix BTF verification of enums (bsc#1154353).
- net: sched: sch_sfb: don't call qdisc_put() while holding tree
  lock (bsc#1154353).
- net: sched: multiq: don't call qdisc_put() while holding tree
  lock (bsc#1154353).
- net: sched: sch_htb: don't call qdisc_put() while holding tree
  lock (bsc#1154353).
- sch_netem: fix rcu splat in netem_enqueue() (bsc#1154353).
- cxgb4: Signedness bug in init_one() (jsc#SLE-8389).
- net/mlx5: DR, Allow matching on vport based on vhca_id
  (jsc#SLE-8464).
- net/mlx5: DR, Fix getting incorrect prev node in ste_free
  (jsc#SLE-8464).
- net/mlx5: DR, Remove redundant vport number from action
  (jsc#SLE-8464).
- net/mlx5: DR, Fix SW steering HW bits and definitions
  (jsc#SLE-8464).
- qede: qede_fp: simplify a bit 'qede_rx_build_skb()'
  (jsc#SLE-8401).
- IB/hfi1: remove unlikely() from IS_ERR*() condition
  (jsc#SLE-8449).
- mm/gup: add make_dirty arg to put_user_pages_dirty_lock()
  (jsc#SLE-8449).
- PCI/P2PDMA: Update pci_p2pdma_distance_many() documentation
  (jsc#SLE-8449).
- PCI/P2PDMA: Allow IOMMU for host bridge whitelist
  (jsc#SLE-8449).
- PCI/P2PDMA: dma_map() requests that traverse the host bridge
  (jsc#SLE-8449).
- PCI/P2PDMA: Store mapping method in an xarray (jsc#SLE-8449).
- PCI/P2PDMA: Factor out __pci_p2pdma_map_sg() (jsc#SLE-8449).
- PCI/P2PDMA: Introduce pci_p2pdma_unmap_sg() (jsc#SLE-8449).
- PCI/P2PDMA: Add attrs argument to pci_p2pdma_map_sg()
  (jsc#SLE-8449).
- PCI/P2PDMA: Whitelist some Intel host bridges (jsc#SLE-8449).
- PCI/P2PDMA: Factor out host_bridge_whitelist() (jsc#SLE-8449).
- PCI/P2PDMA: Apply host bridge whitelist for ACS (jsc#SLE-8449).
- PCI/P2PDMA: Factor out __upstream_bridge_distance()
  (jsc#SLE-8449).
- PCI/P2PDMA: Add constants for map type results to
  upstream_bridge_distance() (jsc#SLE-8449).
- PCI/P2PDMA: Add provider's pci_dev to pci_p2pdma_pagemap struct
  (jsc#SLE-8449).
- PCI/P2PDMA: Introduce private pagemap structure (jsc#SLE-8449).
- RDMA/efa: Fix incorrect error print (jsc#SLE-5640).
- RDMA/bnxt_re: Fix spelling mistake "missin_resp" ->
  "missing_resp" (jsc#SLE-8372 bsc#1153275).
- IB/{rdmavt, hfi1, qib}: Add a counter for credit waits
  (jsc#SLE-8449).
- IB/hfi1: Add traces for TID RDMA READ (jsc#SLE-8449).
- RDMA/siw: Relax from kmap_atomic() use in TX path
  (jsc#SLE-8381).
- IB/iser: Support up to 16MB data transfer in a single command
  (jsc#SLE-8449).
- RDMA/siw: Fix page address mapping in TX path (jsc#SLE-8381).
- RDMA: Fix goto target to release the allocated memory
  (jsc#SLE-8449).
- RDMA/usnic: Avoid overly large buffers on stack (jsc#SLE-8449).
- RDMA/odp: Add missing cast for 32 bit (jsc#SLE-8449).
- IB/mlx5: Add page fault handler for DC initiator WQE
  (jsc#SLE-8446).
- IB/mlx5: Remove check of FW capabilities in ODP page fault
  handling (jsc#SLE-8446).
- RDMA/iwpm: Delete unnecessary checks before the macro call
  "dev_kfree_skb" (jsc#SLE-8449).
- RDMA/efa: Use existing FIELD_SIZEOF macro (jsc#SLE-5640).
- RDMA/efa: Remove umem check on dereg MR flow (jsc#SLE-5640).
- RDMA/mlx5: RDMA_RX flow type support for user applications
  (jsc#SLE-8446).
- RDMA: Delete DEBUG code (jsc#SLE-8449).
- RDMA/mlx5: Annotate lock dependency in bind/unbind slave port
  (jsc#SLE-8446).
- IB/mlx5: Expose XRQ legacy commands over the DEVX interface
  (jsc#SLE-8446).
- IB/mlx5: Add legacy events to DEVX list (jsc#SLE-8446).
- RDMA/{cxgb3, cxgb4, i40iw}: Remove common code (jsc#SLE-8449).
- RDMA/core: Add common iWARP query port (jsc#SLE-8449).
- RDMA/cxgb3: Use ib_device_set_netdev() (jsc#SLE-8449).
- RDMA: Introduce ib_port_phys_state enum (jsc#SLE-8449).
- RDMA/efa: Rate limit admin queue error prints (jsc#SLE-5640).
- RDMA/core: Introduce ratelimited ibdev printk functions
  (jsc#SLE-8449).
- rdma: Enable ib_alloc_cq to spread work over a device's
  comp_vectors (jsc#SLE-8449).
- mlx5: Fix formats with line continuation whitespace
  (jsc#SLE-8464).
- RDMA/mlx5: Remove DEBUG ODP code (jsc#SLE-8446).
- RDMA/core: fix spelling mistake "Nelink" -> "Netlink"
  (jsc#SLE-8449).
- infiniband: Remove dev_err() usage after platform_get_irq()
  (jsc#SLE-8449).
- RDMA/efa: Expose device statistics (jsc#SLE-5640).
- IB/bnxt_re: Do not notifify GID change event (jsc#SLE-8372
  bsc#1153275).
- IB/mlx5: Support per device q counters in switchdev mode
  (jsc#SLE-8446).
- IB/mlx5: Refactor code for counters allocation (jsc#SLE-8446).
- qed*: Change dpi_addr to be denoted with __iomem (jsc#SLE-8401).
- IB/mlx5: Add CREATE_PSV/DESTROY_PSV for devx interface
  (jsc#SLE-8446).
- RDMA/core: Support netlink commands in non init_net net
  namespaces (jsc#SLE-8449).
- RDMA/mlx4: Annotate boolean arguments as bool and not int
  (jsc#SLE-8461).
- RDMA/mlx4: Separate creation of RWQ and QP (jsc#SLE-8461).
- IB/usnic: Use dev_get_drvdata (jsc#SLE-8449).
- RDMA/qedr: Remove Unneeded variable rc (jsc#SLE-8215).
- RDMA/qib: Unneeded variable ret (jsc#SLE-8449).
- IB/mlx5: Avoid unnecessary typecast (jsc#SLE-8446).
- RDMA/core: Annotate destroy of mutex to ensure that it is
  released as unlocked (jsc#SLE-8449).
- RDMA/hns: Fix comparison of unsigned long variable 'end'
  with less than zero (jsc#SLE-8449).
- RDMA/mlx4: Untag user pointers in mlx4_get_umem_mr
  (jsc#SLE-8461).
- IB/hfi1: Remove unused define (jsc#SLE-8449).
- RDMA/odp: remove ib_ucontext from ib_umem (jsc#SLE-8449).
- RDMA/odp: use mmu_notifier_get/put for 'struct
  ib_ucontext_per_mm' (jsc#SLE-8449).
- RDMA/mlx5: Use odp instead of mr->umem in pagefault_mr
  (jsc#SLE-8446).
- RDMA/mlx5: Use ib_umem_start instead of umem.address
  (jsc#SLE-8446).
- RDMA/core: Make invalidate_range a device operation
  (jsc#SLE-8449).
- RDMA/odp: Use kvcalloc for the dma_list and page_list
  (jsc#SLE-8449).
- RDMA/odp: Check for overflow when computing the umem_odp end
  (jsc#SLE-8449).
- RDMA/odp: Provide ib_umem_odp_release() to undo the allocs
  (jsc#SLE-8449).
- RDMA/odp: Split creating a umem_odp from ib_umem_get
  (jsc#SLE-8449).
- RDMA/odp: Make the three ways to create a umem_odp clear
  (jsc#SLE-8449).
- RMDA/odp: Consolidate umem_odp initialization (jsc#SLE-8449).
- RDMA/odp: Make it clearer when a umem is an implicit ODP umem
  (jsc#SLE-8449).
- RDMA/odp: Iterate over the whole rbtree directly (jsc#SLE-8449).
- RDMA/odp: Use the common interval tree library instead of
  generic (jsc#SLE-8449).
- refresh configs (INTERVAL_TREE=y on s390x)
- mm/mmu_notifiers: add a get/put scheme for the registration
  (jsc#SLE-8449).
- mm/mmu_notifiers: do not speculatively allocate a
  mmu_notifier_mm (jsc#SLE-8449).
- mm/mmu_notifiers: hoist do_mmu_notifier_register down_write
  to the caller (jsc#SLE-8449).
- infiniband: don't bother with d_delete() (jsc#SLE-8449).
- ethtool: implement Energy Detect Powerdown support via
  phy-tunable (bsc#1154353).
- drop_monitor: Better sanitize notified packets (bsc#1154353).
- tcp: Add snd_wnd to TCP_INFO (bsc#1154353).
- tcp: Add TCP_INFO counter for packets received out-of-order
  (bsc#1154353).
- bpf: fix accessing bpf_sysctl.file_pos on s390 (bsc#1154353).
- xdp: Fix race in dev_map_hash_update_elem() when replacing
  element (bsc#1154353).
- kcm: use BPF_PROG_RUN (bsc#1154353).
- net: sched: use get_dev() action API in flow_action infra
  (bsc#1154353).
- net: sched: take reference to psample group in flow_action infra
  (bsc#1154353).
- net: sched: extend flow_action_entry with destructor
  (bsc#1154353).
- qed: fix spelling mistake "fullill" -> "fulfill" (jsc#SLE-8401).
- net: devlink: move reload fail indication to devlink core and
  expose to user (bsc#1154353).
- net: devlink: split reload op into two (bsc#1154353).
- mlx4: Split restart_one into two functions (jsc#SLE-8460).
- cxgb4: Fix spelling typos (jsc#SLE-8389).
- nfp: read chip model from the PluDevice register (bsc#1154353).
- qed: Fix Config attribute frame format (jsc#SLE-8401).
- qed*: Fix size of config attribute dump (jsc#SLE-8401).
- nfp: devlink: set unknown fw_load_policy (bsc#1154353).
- devlink: add unknown 'fw_load_policy' value (bsc#1154353).
- net/mlx5: FWTrace, Reduce stack usage (jsc#SLE-8464).
- net/mlx5: Fix addr's type in mlx5dr_icm_dm (jsc#SLE-8464).
- net/mlx5: Fix rt's type in dr_action_create_reformat_action
  (jsc#SLE-8464).
- kdoc: fix nfp_fw_load documentation (bsc#1154353).
- nfp: devlink: add 'reset_dev_on_drv_probe' support
  (bsc#1154353).
- nfp: devlink: add 'fw_load_policy' support (bsc#1154353).
- nfp: add devlink param infrastructure (bsc#1154353).
- nfp: honor FW reset and loading policies (bsc#1154353).
- nfp: nsp: add support for hwinfo set operation (bsc#1154353).
- nfp: nsp: add support for optional hwinfo lookup (bsc#1154353).
- nfp: nsp: add support for fw_loaded command (bsc#1154353).
- devlink: add 'reset_dev_on_drv_probe' param (bsc#1154353).
- devlink: extend 'fw_load_policy' values (bsc#1154353).
- net/mlx4_en: ethtool: make array modes static const, makes
  object smaller (jsc#SLE-8460).
- net/tls: align non temporal copy to cache lines (bsc#1154353).
- net/tls: remove the record tail optimization (bsc#1154353).
- net/tls: use RCU for the adder to the offload record list
  (bsc#1154353).
- net/tls: unref frags in order (bsc#1154353).
- be2net: make two arrays static const, makes object smaller
  (jsc#SLE-8375).
- net/mlx5e: Add port buffer's congestion counters (jsc#SLE-8464).
- net/mlx5: Expose HW capability bits for port buffer per priority
  congestion counters (jsc#SLE-8464).
- net/mlx5: DR, Remove redundant dev_name print from err log
  (jsc#SLE-8464).
- net/mlx5: DR, Fix error return code in
  dr_domain_init_resources() (jsc#SLE-8464).
- net/mlx5: DR, Remove useless set memory to zero use memset()
  (jsc#SLE-8464).
- net/mlx5e: Remove unnecessary clear_bit()s (jsc#SLE-8464).
- net/mlx5e: kTLS, Remove unused function parameter
  (jsc#SLE-8464).
- net/mlx5: Use PTR_ERR_OR_ZERO rather than its implementation
  (jsc#SLE-8464).
- net/mlx5: fix missing assignment of variable err (jsc#SLE-8464).
- net/mlx5: fix spelling mistake "offlaods" -> "offloads"
  (jsc#SLE-8464).
- net/mlx5e: Remove leftover declaration (jsc#SLE-8464).
- net/mlx5e: Use ipv6_stub to avoid dependency with ipv6 being
  a module (jsc#SLE-8464).
- net/mlx5: Kconfig: Fix MLX5_CORE dependency with
  PCI_HYPERV_INTERFACE (jsc#SLE-8464).
- net/mlx5e: Fix static checker warning of potential pointer
  math issue (jsc#SLE-8464).
- tcp: ulp: fix possible crash in tcp_diag_get_aux_size()
  (bsc#1154353).
- net: fib_notifier: move fib_notifier_ops from struct net into
  per-net struct (bsc#1154353).
- xsk: lock the control mutex in sock_diag interface
  (bsc#1154353).
- xsk: avoid store-tearing when assigning umem (bsc#1154353).
- xsk: avoid store-tearing when assigning queues (bsc#1154353).
- net/mlx5e: Allow XSK frames smaller than a page (jsc#SLE-8464).
- mlx5e: modify driver for handling offsets (jsc#SLE-8464).
- bpf: fix error check in bpf_tcp_gen_syncookie (bsc#1154353).
- nfp: bpf: add simple map op cache (bsc#1154353).
- nfp: bpf: rework MTU checking (bsc#1154353).
- bpf: introduce verifier internal test flag (bsc#1154353).
- xdp: xdp_umem: replace kmap on vmap for umem map (bsc#1154353).
- bpf: add new BPF_BTF_GET_NEXT_ID syscall command (bsc#1154353).
- bpf: add BTF ids in procfs for file descriptors to BTF objects
  (bsc#1154353).
- bpf: Use PTR_ERR_OR_ZERO in xsk_map_inc() (bsc#1154353).
- xsk: support BPF_EXIST and BPF_NOEXIST flags in XSKMAP
  (bsc#1154353).
- bpf: support cloning sk storage on accept() (bsc#1154353).
- bpf: export bpf_map_inc_not_zero (bsc#1154353).
- net: Don't call XDP_SETUP_PROG when nothing is changed
  (bsc#1154353).
- net/mlx5e: Add AF_XDP need_wakeup support (jsc#SLE-8464).
- net/mlx5e: Move the SW XSK code from NAPI poll to a separate
  function (jsc#SLE-8464).
- btf: fix return value check in btf_vmlinux_init() (bsc#1154353).
- net_sched: act_police: add 2 new attributes to support police
  64bit rate and peakrate (bsc#1154353).
- nfp: Drop unnecessary continue in nfp_net_pf_alloc_vnics
  (bsc#1154353).
- net: qed: Move static keyword to the front of declaration
  (jsc#SLE-8401).
- net/tls: dedup the record cleanup (bsc#1154353).
- net/tls: clean up the number of #ifdefs for CONFIG_TLS_DEVICE
  (bsc#1154353).
- net/tls: narrow down the critical area of device_offload_lock
  (bsc#1154353).
- net/tls: don't jump to return (bsc#1154353).
- net/tls: use the full sk_proto pointer (bsc#1154353).
- net/sched: cbs: remove redundant assignment to variable
  port_rate (bsc#1154353).
- devlink: Add new info version tags for ASIC and FW
  (bsc#1154353).
- net/mlx5: Add devlink flow_steering_mode parameter
  (jsc#SLE-8464).
- net/mlx5: Add support to use SMFS in switchdev mode
  (jsc#SLE-8464).
- net/mlx5: Add API to set the namespace steering mode
  (jsc#SLE-8464).
- net/mlx5: Add direct rule fs_cmd implementation (jsc#SLE-8464).
- net/mlx5: DR, Add CONFIG_MLX5_SW_STEERING for software steering
  support (jsc#SLE-8464).
- update configs (MLX5_SW_STEERING=y)
- net/mlx5: DR, Expose APIs for direct rule managing
  (jsc#SLE-8464).
- net/mlx5: DR, Add required FW steering functionality
  (jsc#SLE-8464).
- net/mlx5: DR, Expose steering rule functionality (jsc#SLE-8464).
- net/mlx5: DR, Expose steering action functionality
  (jsc#SLE-8464).
- net/mlx5: DR, Expose steering matcher functionality
  (jsc#SLE-8464).
- net/mlx5: DR, Expose steering table functionality
  (jsc#SLE-8464).
- net/mlx5: DR, Expose steering domain functionality
  (jsc#SLE-8464).
- net/mlx5: DR, Add Steering entry (STE) utilities (jsc#SLE-8464).
- net/mlx5: DR, Expose an internal API to issue RDMA operations
  (jsc#SLE-8464).
- net/mlx5: DR, ICM pool memory allocator (jsc#SLE-8464).
- net/mlx5: DR, Add direct rule command utilities (jsc#SLE-8464).
- net/mlx5: DR, Add the internal direct rule types definitions
  (jsc#SLE-8464).
- net/mlx5: Add flow steering actions to fs_cmd shim layer
  (jsc#SLE-8464).
- net/mlx5: Set only stag for match untagged packets
  (jsc#SLE-8464).
- net/mlx5: Avoid disabling RoCE when uninitialized
  (jsc#SLE-8464).
- net/mlx5: Add HW bits and definitions required for SW steering
  (jsc#SLE-8464).
- net/mlx5: Move device memory management to mlx5_core
  (jsc#SLE-8464).
- mlx5: Add missing init_net check in FIB notifier (jsc#SLE-8464).
- devlink: Use switch-case instead of if-else (bsc#1154353).
- devlink: Make port index data type as unsigned int
  (bsc#1154353).
- net: tls: export protocol version, cipher, tx_conf/rx_conf to
  socket diag (bsc#1154353).
- tcp: ulp: add functions to dump ulp-specific information
  (bsc#1154353).
- net/tls: use RCU protection on icsk->icsk_ulp_data
  (bsc#1154353).
- qede: Add support for dumping the grc data (jsc#SLE-8401).
- qed: Add APIs for configuring grc dump config flags
  (jsc#SLE-8401).
- qede: Add support for reading the config id attributes
  (jsc#SLE-8401).
- qed: Add APIs for reading config id attributes (jsc#SLE-8401).
- udp: Remove unlikely() from IS_ERR*() condition (bsc#1154353).
- net/mlx5e: Remove unlikely() from WARN*() condition
  (jsc#SLE-8464).
- net/mlx5e: Move local var definition into ifdef block
  (jsc#SLE-8464).
- net: sched: cls_matchall: cleanup flow_action before
  deallocating (bsc#1154353).
- sched: act_vlan: implement stats_update callback (bsc#1154353).
- net/mlx5e: Support TSO and TX checksum offloads for IP-in-IP
  tunnels (jsc#SLE-8464).
- net/mlx5e: Improve stateless offload capability check
  (jsc#SLE-8464).
- net/mlx5e: Support RSS for IP-in-IP and IPv6 tunneled packets
  (jsc#SLE-8464).
- net/mlx5e: Change function's position to a more fitting file
  (jsc#SLE-8464).
- net/mlx5e: Add device out of buffer counter (jsc#SLE-8464).
- net/mlx5e: Support LAG TX port affinity distribution
  (jsc#SLE-8464).
- net/mlx5e: Expose new function for TIS destroy loop
  (jsc#SLE-8464).
- net/mlx5e: ethtool, Fix a typo in WOL function names
  (jsc#SLE-8464).
- net/mlx5: Set ODP capabilities for DC transport to max
  (jsc#SLE-8464).
- net/mlx5: fix a -Wstringop-truncation warning (jsc#SLE-8464).
- net/mlx5: Create bypass and loopback flow steering namespaces
  for RDMA RX (jsc#SLE-8464).
- net/mlx5: Add per-namespace flow table default miss action
  support (jsc#SLE-8464).
- net/mlx5: Add lag_tx_port_affinity capability bit
  (jsc#SLE-8464).
- net/mlx5: Expose IP-in-IP capability bit (jsc#SLE-8464).
- net/mlx5: Add support for VNIC_ENV internal rq counter
  (jsc#SLE-8464).
- net/mlx5: Improve functions documentation (jsc#SLE-8464).
- net/mlx5: Add missing include file to lib/crypto.c
  (jsc#SLE-8464).
- net/mlx5: Add XRQ legacy commands opcodes (jsc#SLE-8464).
- net/mlx5: Use debug message instead of warn (jsc#SLE-8464).
- mlx5: Use refcount_t for refcount (jsc#SLE-8464).
- net/mlx5: remove self-assignment on esw->dev (jsc#SLE-8464).
- IB/mlx5: Support MLX5_CMD_OP_QUERY_LAG as a DEVX general command
  (jsc#SLE-8446).
- net/mlx5: Fix mlx5_ifc_query_lag_out_bits (jsc#SLE-8464).
- nfp: add AMDA0058 boards to firmware list (bsc#1154353).
- net: sched: flower: don't take rtnl lock for cls hw offloads
  API (bsc#1154353).
- net: sched: copy tunnel info when setting flow_action
  entry->tunnel (bsc#1154353).
- net: sched: take reference to action dev before calling offloads
  (bsc#1154353).
- net: sched: take rtnl lock in tc_setup_flow_action()
  (bsc#1154353).
- net: sched: conditionally obtain rtnl lock in cls hw offloads
  API (bsc#1154353).
- net: sched: add API for registering unlocked offload block
  callbacks (bsc#1154353).
- net: sched: notify classifier on successful offload add/delete
  (bsc#1154353).
- net: sched: refactor block offloads counter usage (bsc#1154353).
- net: sched: change tcf block offload counter type to atomic_t
  (bsc#1154353).
- net: sched: protect block offload-related fields with
  rw_semaphore (bsc#1154353).
- =?UTF-8?q?net/core/skmsg:=20Delete=20an=20unnecessary=20c?=
  =?UTF-8?q?heck=20before=20the=20function=20call=20=E2=80=9Cconsume=5Fskb?=
  =?UTF-8?q?=E2=80=9D?= (bsc#1154353).
- net: use unlikely for dql_avail case (bsc#1154353).
- drop_monitor: Make timestamps y2038 safe (bsc#1154353).
- net/mlx5: Fix return code in case of hyperv wrong size read
  (jsc#SLE-8464).
- net: ipv6: fix listify ip6_rcv_finish in case of forwarding
  (bsc#1154353).
- net/mlx5e: Add mlx5e HV VHCA stats agent (jsc#SLE-8464).
- net/mlx5: Add HV VHCA control agent (jsc#SLE-8464).
- net/mlx5: Add HV VHCA infrastructure (jsc#SLE-8464).
- net/mlx5: Add wrappers for HyperV PCIe operations
  (jsc#SLE-8464).
- net/mlx5e: Add trace point for neigh update (jsc#SLE-8464).
- net/mlx5e: Add trace point for neigh used value update
  (jsc#SLE-8464).
- net/mlx5e: Add tc flower tracepoints (jsc#SLE-8464).
- net/mlx5e: Only access fully initialized flows in neigh update
  (jsc#SLE-8464).
- net/mlx5e: Refactor neigh update for concurrent execution
  (jsc#SLE-8464).
- net/mlx5e: Refactor neigh used value update for concurrent
  execution (jsc#SLE-8464).
- net/mlx5e: Protect neigh hash encap list with spinlock and rcu
  (jsc#SLE-8464).
- net/mlx5e: Refactor mlx5e_neigh_update_table->encap_lock
  (jsc#SLE-8464).
- net/mlx5e: Extend neigh hash entry with rcu (jsc#SLE-8464).
- net/mlx5e: Always take reference to neigh entry (jsc#SLE-8464).
- net/mlx5e: Extract code that queues neigh update work into
  function (jsc#SLE-8464).
- net/mlx5: Fix the order of fc_stats cleanup (jsc#SLE-8464).
- net/mlx5e: Fix deallocation of non-fully init encap entries
  (jsc#SLE-8464).
- net/mlx5e: Report and recover from CQE with error on RQ
  (jsc#SLE-8464).
- net/mlx5e: RX, Handle CQE with error at the earliest stage
  (jsc#SLE-8464).
- net/mlx5e: Report and recover from rx timeout (jsc#SLE-8464).
- net/mlx5e: Report and recover from CQE error on ICOSQ
  (jsc#SLE-8464).
- net/mlx5e: Split open/close ICOSQ into stages (jsc#SLE-8464).
- net/mlx5e: Add support to rx reporter diagnose (jsc#SLE-8464).
- net/mlx5e: Add helper functions for reporter's basics
  (jsc#SLE-8464).
- net/mlx5e: Add cq info to tx reporter diagnose (jsc#SLE-8464).
- net/mlx5e: Extend tx reporter diagnostics output (jsc#SLE-8464).
- net/mlx5e: Extend tx diagnose function (jsc#SLE-8464).
- net/mlx5e: Generalize tx reporter's functionality
  (jsc#SLE-8464).
- net/mlx5e: Change naming convention for reporter's functions
  (jsc#SLE-8464).
- net/mlx5e: Rename reporter header file (jsc#SLE-8464).
- net: flow_offload: convert block_ing_cb_list to regular list
  type (bsc#1154353).
- be2net: eliminate enable field from be_aic_obj (jsc#SLE-8375).
- Documentation: Add devlink-trap documentation (bsc#1154353).
- devlink: Add generic packet traps and groups (bsc#1154353).
- devlink: Add packet trap infrastructure (bsc#1154353).
- refresh configs
- drop_monitor: Allow user to start monitoring hardware drops
  (bsc#1154353).
- drop_monitor: Add support for summary alert mode for hardware
  drops (bsc#1154353).
- drop_monitor: Add support for packet alert mode for hardware
  drops (bsc#1154353).
- drop_monitor: Consider all monitoring states before performing
  configuration (bsc#1154353).
- drop_monitor: Add basic infrastructure for hardware drops
  (bsc#1154353).
- drop_monitor: Initialize hardware per-CPU data (bsc#1154353).
- drop_monitor: Move per-CPU data init/fini to separate functions
  (bsc#1154353).
- qed: Add driver API for flashing the config attributes
  (jsc#SLE-8401).
- qed: Add API for configuring NVM attributes (jsc#SLE-8401).
- page_pool: fix logic in __page_pool_get_cached (bsc#1154353).
- page_pool: remove unnecessary variable init (bsc#1154353).
- net: devlink: remove redundant rtnl lock assert (bsc#1154353).
- btf: rename /sys/kernel/btf/kernel into /sys/kernel/btf/vmlinux
  (bsc#1154353).
- btf: expose BTF info through sysfs (bsc#1154353).
- xdp: xdp_umem: fix umem pages mapping for 32bits systems
  (bsc#1154353).
- bpf: always allocate at least 16 bytes for setsockopt hook
  (bsc#1154353).
- bpf: add bpf_tcp_gen_syncookie helper (bsc#1154353).
- tcp: add skb-less helpers to retrieve SYN cookie (bsc#1154353).
- tcp: tcp_syn_flood_action read port from socket (bsc#1154353).
- xdp: Add devmap_hash map type for looking up devices by hashed
  index (bsc#1154353).
- xdp: Refactor devmap allocation code for reuse (bsc#1154353).
- include/bpf.h: Remove map_insert_ctx() stubs (bsc#1154353).
- bpf/flow_dissector: support ipv6 flow_label and
  BPF_FLOW_DISSECTOR_F_STOP_AT_FLOW_LABEL (bsc#1154353).
- selftests/bpf: support BPF_FLOW_DISSECTOR_F_PARSE_1ST_FRAG
  (bsc#1154353).
- tools/bpf: sync bpf_flow_keys flags (bsc#1154353).
- bpf/flow_dissector: support flags in BPF_PROG_TEST_RUN
  (bsc#1154353).
- bpf/flow_dissector: pass input flags to BPF flow dissector
  program (bsc#1154353).
- selftests/bpf: Add selftests for bpf_perf_event_output
  (bsc#1154353).
- bpf: Allow bpf_skb_event_output for a few prog types
  (bsc#1154353).
- selftests/bpf: remove perf buffer helpers (bsc#1154353).
- selftests/bpf: switch test_tcpnotify to perf_buffer API
  (bsc#1154353).
- selftests/bpf: convert test_get_stack_raw_tp to perf_buffer API
  (bsc#1154353).
- devlink: send notifications for deleted snapshots on region
  destroy (bsc#1154353).
- drop_monitor: Expose tail drop counter (bsc#1154353).
- drop_monitor: Make drop queue length configurable (bsc#1154353).
- drop_monitor: Add a command to query current configuration
  (bsc#1154353).
- drop_monitor: Allow truncation of dropped packets (bsc#1154353).
- drop_monitor: Add packet alert mode (bsc#1154353).
- drop_monitor: Add alert mode operations (bsc#1154353).
- drop_monitor: Require CAP_NET_ADMIN for drop monitor
  configuration (bsc#1154353).
- drop_monitor: Reset per-CPU data before starting to trace
  (bsc#1154353).
- drop_monitor: Initialize timer and work item upon tracing enable
  (bsc#1154353).
- drop_monitor: Split tracing enable / disable to different
  functions (bsc#1154353).
- nfp: no need to check return value of debugfs_create functions
  (bsc#1154353).
- cxgb4: no need to check return value of debugfs_create functions
  (jsc#SLE-8389).
- mlx5: no need to check return value of debugfs_create functions
  (jsc#SLE-8464).
- net/mlx5e: Use refcount_t for refcount (jsc#SLE-8464).
- net/mlx5e: Use vhca_id in generating representor port_index
  (jsc#SLE-8464).
- net/mlx5e: Simplify querying port representor parent id
  (jsc#SLE-8464).
- net/mlx5: E-switch, Removed unused hwid (jsc#SLE-8464).
- net/mlx5e: Allow concurrent creation of encap entries
  (jsc#SLE-8464).
- net/mlx5e: Protect encap hash table with mutex (jsc#SLE-8464).
- net/mlx5e: Extend encap entry with reference counter
  (jsc#SLE-8464).
- net/mlx5e: Allow concurrent creation of mod_hdr entries
  (jsc#SLE-8464).
- net/mlx5e: Protect mod_hdr hash table with mutex (jsc#SLE-8464).
- net/mlx5e: Protect mod header entry flows list with spinlock
  (jsc#SLE-8464).
- net/mlx5e: Extend mod header entry with reference counter
  (jsc#SLE-8464).
- net/mlx5e: Allow concurrent creation of hairpin entries
  (jsc#SLE-8464).
- net/mlx5e: Protect hairpin hash table with mutex (jsc#SLE-8464).
- net/mlx5e: Protect hairpin entry flows list with spinlock
  (jsc#SLE-8464).
- net/mlx5e: Extend hairpin entry with reference counter
  (jsc#SLE-8464).
- devlink: remove pointless data_len arg from region snapshot
  create (jsc#SLE-8460).
- fq_codel: remove set but not used variables 'prev_ecn_mark'
  and 'prev_drop_count' (bsc#1154353).
- flow_offload: support get multi-subsystem block (bsc#1154353).
- flow_offload: move tc indirect block to flow offload
  (bsc#1154353).
- cls_api: add flow_indr_block_call function (bsc#1154353).
- cls_api: remove the tcf_block cache (bsc#1154353).
- cls_api: modify the tc_indr_block_ing_cmd parameters
  (bsc#1154353).
- net: use listified RX for handling GRO_NORMAL skbs
  (bsc#1154353).
- sfc: falcon: don't score irq moderation points for GRO
  (jsc#SLE-8314).
- sfc: don't score irq moderation points for GRO (jsc#SLE-8314).
- qed: Add new ethtool supported port types based on media
  (jsc#SLE-8401).
- cxgb4: smt: Use normal int for refcount (jsc#SLE-8389).
- cxgb4: smt: Add lock for atomic_dec_and_test (jsc#SLE-8389).
- nfp: flower: encode mac indexes with pre-tunnel rule check
  (bsc#1154353).
- nfp: flower: remove offloaded MACs when reprs are applied to
  OvS bridges (bsc#1154353).
- nfp: flower: offload pre-tunnel rules (bsc#1154353).
- nfp: flower: verify pre-tunnel rules (bsc#1154353).
- nfp: flower: detect potential pre-tunnel rules (bsc#1154353).
- nfp: flower: push vlan after tunnel in merge (bsc#1154353).
- net: sched: add ingress mirred action to hardware IR
  (bsc#1154353).
- net: tc_act: add helpers to detect ingress mirred actions
  (bsc#1154353).
- net: sched: add skbedit of ptype action to hardware IR
  (bsc#1154353).
- net: tc_act: add skbedit_ptype helper functions (bsc#1154353).
- fq_codel: Kill useless per-flow dropped statistic (bsc#1154353).
- Increase fq_codel count in the bulk dropper (bsc#1154353).
- drop_monitor: Use pre_doit / post_doit hooks (bsc#1154353).
- drop_monitor: Add extack support (bsc#1154353).
- drop_monitor: Avoid multiple blank lines (bsc#1154353).
- drop_monitor: Document scope of spinlock (bsc#1154353).
- drop_monitor: Rename and document scope of mutex (bsc#1154353).
- drop_monitor: Use correct error code (bsc#1154353).
- net/mlx5e: Allow dropping specific tunnel packets
  (jsc#SLE-8464).
- net/mlx5e: TX reporter cleanup (jsc#SLE-8464).
- net/mlx5e: Set tx reporter only on successful creation
  (jsc#SLE-8464).
- net/mlx5e: Fix mlx5e_tx_reporter_create return value
  (jsc#SLE-8464).
- net/mlx5e: Rx, checksum handling refactoring (jsc#SLE-8464).
- net/mlx5e: Tx, Soften inline mode VLAN dependencies
  (jsc#SLE-8464).
- net/mlx5e: XDP, Slight enhancement for WQE fetch function
  (jsc#SLE-8464).
- net/mlx5e: XDP, Close TX MPWQE session when no room for inline
  packet left (jsc#SLE-8464).
- net/mlx5e: Tx, Strict the room needed for SQ edge NOPs
  (jsc#SLE-8464).
- net/mlx5: Add flow counter pool (jsc#SLE-8464).
- net/mlx5: Add flow counter bulk infrastructure (jsc#SLE-8464).
- net/mlx5: E-Switch, add ingress rate support (jsc#SLE-8464).
- net/mlx5: E-switch, Tide up eswitch config sequence
  (jsc#SLE-8464).
- net/mlx5: E-Switch, Remove redundant mc_promisc NULL check
  (jsc#SLE-8464).
- net/mlx5: E-Switch, remove redundant error handling
  (jsc#SLE-8464).
- net/mlx5: E-switch, Introduce helper function to enable/disable
  vports (jsc#SLE-8464).
- net/mlx5: E-switch, Initialize TSAR Qos hardware block before
  its user vports (jsc#SLE-8464).
- net/mlx5: E-switch, Combine metadata enable/disable
  functionality (jsc#SLE-8464).
- net/mlx5: E-Switch, Verify support QoS element type
  (jsc#SLE-8464).
- net/mlx5: Make load_one() and unload_one() symmetric
  (jsc#SLE-8464).
- net/mlx5: Fix offset of tisc bits reserved field (jsc#SLE-8464).
- net/mlx5: Add flow counter bulk allocation hardware bits and
  command (jsc#SLE-8464).
- net/mlx5: Refactor and optimize flow counter bulk query
  (jsc#SLE-8464).
- net/mlx5: fix -Wtype-limits compilation warnings (jsc#SLE-8464).
- net/mlx5e: Protect tc flow table with mutex (jsc#SLE-8464).
- net/mlx5e: Rely on rcu instead of rtnl lock when getting upper
  dev (jsc#SLE-8464).
- net/mlx5e: Eswitch, use state_lock to synchronize vlan change
  (jsc#SLE-8464).
- net/mlx5e: Eswitch, change offloads num_flows type to atomic64
  (jsc#SLE-8464).
- net/mlx5e: Protect unready flows with dedicated lock
  (jsc#SLE-8464).
- net/mlx5e: Protect tc flows hashtable with rcu (jsc#SLE-8464).
- net/mlx5e: Change flow flags type to unsigned long
  (jsc#SLE-8464).
- net/mlx5e: Extend tc flow struct with reference counter
  (jsc#SLE-8464).
- net/mlx5e: Simplify get_route_and_out_devs helper function
  (jsc#SLE-8464).
- net/mlx5e: Fix unnecessary flow_block_cb_is_busy call
  (jsc#SLE-8464).
- net/mlx5e: Improve ethtool rxnfc callback structure
  (jsc#SLE-8464).
- net/mlx5e: Avoid warning print when not required (jsc#SLE-8464).
- net/mlx5e: Print a warning when LRO feature is dropped or not
  allowed (jsc#SLE-8464).
- linux: Remove bvec page_offset, use bv_offset (bsc#1154353).
- mlx4/en_netdev: allow offloading VXLAN over VLAN (jsc#SLE-8460).
- net: neigh: remove redundant assignment to variable bucket
  (bsc#1154353).
- net: sfc: falcon: convert to i2c_new_dummy_device
  (jsc#SLE-8314).
- mlx4: avoid large stack usage in mlx4_init_hca() (jsc#SLE-8460).
- qed: reduce maximum stack frame size (jsc#SLE-8401).
- sfc-falcon: Use dev_get_drvdata where possible (jsc#SLE-8314).
- sfc: Use dev_get_drvdata where possible (jsc#SLE-8314).
- nfp: flower: offload MPLS set action (bsc#1154353).
- nfp: flower: offload MPLS pop action (bsc#1154353).
- nfp: flower: offload MPLS push action (bsc#1154353).
- net: sched: include mpls actions in hardware intermediate
  representation (bsc#1154353).
- net/mlx5e: xsk: dynamically allocate mlx5e_channel_param
  (jsc#SLE-8464).
- drivers: Introduce device lookup variants by fwnode
  (jsc#SLE-8449).
- drivers: Introduce device lookup variants by of_node
  (jsc#SLE-8449).
- drivers: Introduce device lookup variants by name
  (jsc#SLE-8449).
- commit 1851aa6
* Thu Oct 17 2019 yousaf.kaukab@suse.com
- ipmi_ssif: avoid registering duplicate ssif interface
  (jsc#SLE-10031).
- commit a68b3cc
* Thu Oct 17 2019 tbogendoerfer@suse.de
- tcp: fix slab-out-of-bounds in tcp_zerocopy_receive()
  (jsc#SLE-7979 jsc#SLE-7981).
- bpf/xskmap: Return ERR_PTR for failure case instead of NULL
  (jsc#SLE-8025).
- xsk: use state member for socket synchronization (jsc#SLE-8025).
- staging: octeon: Fix build failure due to typo (jsc#SLE-7979
  jsc#SLE-7981).
- ftgmac100: Fix build (jsc#SLE-7979 jsc#SLE-7981).
- commit 01068a7
* Thu Oct 17 2019 fdmanana@suse.com
- Btrfs: check for the full sync flag while holding the inode
  lock during fsync (bsc#1153713).
- commit 3467605
* Thu Oct 17 2019 acho@suse.com
- cfg80211: wext: avoid copying malformed SSIDs (bsc#1153158
  CVE-2019-17133).
- commit 3ac14b4
* Wed Oct 16 2019 tbogendoerfer@suse.de
- bnxt_en: Add a new BNXT_FW_RESET_STATE_POLL_FW_DOWN state
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Update firmware interface spec. to 1.10.0.100
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Increase timeout for HWRM_DBG_COREDUMP_XX commands
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Don't proceed in .ndo_set_rx_mode() when device is
  not in open state (jsc#SLE-8371 bsc#1153274).
- ixgbe: fix xdp handle calculations (jsc#SLE-7979 jsc#SLE-7981).
- i40e: fix xdp handle calculations (jsc#SLE-8025).
- ice: Bump version (jsc#SLE-7926).
- ice: Enable DDP package download (jsc#SLE-7926).
- ice: Initialize DDP package structures (jsc#SLE-7926).
- ice: Implement Dynamic Device Personalization (DDP) download
  (jsc#SLE-7926).
- ice: Fix FW version formatting in dmesg (jsc#SLE-7926).
- ice: send driver version to firmware (jsc#SLE-7926).
- i40e: fix potential RX buffer starvation for AF_XDP
  (jsc#SLE-8025).
- net/ixgbevf: make array api static const, makes object smaller
  (jsc#SLE-7979 jsc#SLE-7981).
- iavf: fix MAC address setting for VFs when filter is rejected
  (jsc#SLE-7940).
- i40e: clear __I40E_VIRTCHNL_OP_PENDING on invalid min Tx rate
  (jsc#SLE-8025).
- i40e: use BIT macro to specify the cloud filter field flags
  (jsc#SLE-8025).
- i40e: Fix message for other card without FEC (jsc#SLE-8025).
- i40e: fix missed "Negotiated" string in
  i40e_print_link_message() (jsc#SLE-8025).
- i40e: mark additional missing bits as reserved (jsc#SLE-8025).
- i40e: remove I40E_AQC_ADD_CLOUD_FILTER_OIP (jsc#SLE-8025).
- i40e: use ktime_get_real_ts64 instead of ktime_to_timespec64
  (jsc#SLE-8025).
- ixgbe: use skb_get_queue_mapping in tx path (jsc#SLE-7979
  jsc#SLE-7981).
- ixgbe: fix memory leaks (jsc#SLE-7979 jsc#SLE-7981).
- i40e: Add support for X710 device (jsc#SLE-8025).
- igc: Add tx_csum offload functionality (jsc#SLE-7966).
- ixgbe: sync the first fragment unconditionally (jsc#SLE-7979
  jsc#SLE-7981).
- i40e: Remove EMPR traces from debugfs facility (jsc#SLE-8025).
- i40e: Implement debug macro hw_dbg using dev_dbg (jsc#SLE-8025).
- i40e: fix hw_dbg usage in i40e_hmc_get_object_va (jsc#SLE-8025).
- igc: Remove unneeded PCI bus defines (jsc#SLE-7966).
- iavf: allow permanent MAC address to change (jsc#SLE-7940).
- igc: Add NVM checksum validation (jsc#SLE-7966).
- fm10k: use a local variable for the frag pointer (jsc#SLE-8009).
- igc: Remove useless forward declaration (jsc#SLE-7966).
- e1000e: Make speed detection on hotplugging cable more reliable
  (jsc#SLE-8100).
- ixgbevf: Link lost in VM on ixgbevf when restoring from freeze
  or suspend (jsc#SLE-7979 jsc#SLE-7981).
- iavf: remove unused debug function iavf_debug_d (jsc#SLE-7940).
- ice: Rework around device/function capabilities (jsc#SLE-7926).
- ice: change default number of receive descriptors
  (jsc#SLE-7926).
- ice: Minor refactor in queue management (jsc#SLE-7926).
- ice: Allow for delayed LLDP MIB change registration
  (jsc#SLE-7926).
- ice: update Tx context struct (jsc#SLE-7926).
- ice: Report VF link status with opcode to get resources
  (jsc#SLE-7926).
- ice: Check for DCB capability before initializing DCB
  (jsc#SLE-7926).
- ice: report link down for VF when PF's queues are not enabled
  (jsc#SLE-7926).
- ice: Reliably reset VFs (jsc#SLE-7926).
- ice: change work limit to a constant (jsc#SLE-7926).
- ice: small efficiency fixes (jsc#SLE-7926).
- ice: move code closer together (jsc#SLE-7926).
- ice: clean up arguments (jsc#SLE-7926).
- ice: Check root pointer for validity (jsc#SLE-7926).
- ice: Add ice_get_main_vsi to get PF/main VSI (jsc#SLE-7926).
- ice: Update fields in ice_vsi_set_num_qs when reconfiguring
  (jsc#SLE-7926).
- ixgbe: fix xdp handle calculations (jsc#SLE-7979 jsc#SLE-7981).
- i40e: fix xdp handle calculations (jsc#SLE-8025).
- ixgbe: modify driver for handling offsets (jsc#SLE-7979
  jsc#SLE-7981).
- i40e: modify driver for handling offsets (jsc#SLE-8025).
- xsk: add support to allow unaligned chunk placement
  (jsc#SLE-8025).
- ixgbe: simplify Rx buffer recycle (jsc#SLE-7979 jsc#SLE-7981).
- i40e: simplify Rx buffer recycle (jsc#SLE-8025).
- xsk: remove AF_XDP socket from map when the socket is released
  (jsc#SLE-8025).
- ixgbe: add support for AF_XDP need_wakeup feature (jsc#SLE-7979
  jsc#SLE-7981).
- i40e: add support for AF_XDP need_wakeup feature (jsc#SLE-8025).
- xsk: add support for need_wakeup flag in AF_XDP rings
  (jsc#SLE-8025).
- xsk: replace ndo_xsk_async_xmit with ndo_xsk_wakeup
  (jsc#SLE-7979 jsc#SLE-7981).
- ixgbe: Use kzfree() rather than its implementation (jsc#SLE-7979
  jsc#SLE-7981).
- ice: Only disable VLAN pruning for the VF when all VLANs are
  removed (jsc#SLE-7926).
- ice: Remove enable DCB when SW LLDP is activated (jsc#SLE-7926).
- ice: Report stats when VSI is down (jsc#SLE-7926).
- ice: Always notify FW of VF reset (jsc#SLE-7926).
- ice: Correctly handle return values for init DCB (jsc#SLE-7926).
- ice: Limit Max TCs on devices with more than 4 ports
  (jsc#SLE-7926).
- ice: Cleanup defines in ice_type.h (jsc#SLE-7926).
- ice: print extra message if topology issue (jsc#SLE-7926).
- ice: add print of autoneg state to link message (jsc#SLE-7926).
- ice: update driver unloading field for Queue Shutdown AQ command
  (jsc#SLE-7926).
- ice: add needed PFR during driver unload (jsc#SLE-7926).
- ice: Deduce TSA value from the priority value in the CEE mode
  (jsc#SLE-7926).
- ice: Report what the user set for coalesce [tx|rx]-usecs
  (jsc#SLE-7926).
- ice: Fix resource leak in ice_remove_rule_internal()
  (jsc#SLE-7926).
- ice: Fix EMP reset handling (jsc#SLE-7926).
- bnxt_en: Fix compile error regression with CONFIG_BNXT_SRIOV
  not set (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add FW fatal devlink_health_reporter (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Add bnxt_fw_exception() to handle fatal firmware errors
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add RESET_FW state logic to bnxt_fw_reset_task()
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Do not send firmware messages if firmware is in error
  state (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Retain user settings on a VF after RESET_NOTIFY event
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add devlink health reset reporter (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Handle firmware reset (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Handle RESET_NOTIFY async event from firmware
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add new FW devlink_health_reporter (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Add BNXT_STATE_IN_FW_RESET state (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Enable health monitoring (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Pre-map the firmware health monitoring registers
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Discover firmware error recovery capabilities
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Handle firmware reset status during IF_UP (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Register buffers for VFs before reserving resources
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor bnxt_sriov_enable() (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Prepare bnxt_init_one() to be called multiple times
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Suppress all error messages in hwrm_do_send_msg()
  in silent mode (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Simplify error checking in the SR-IOV message
  forwarding functions (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Convert error code in firmware message response to
  standard code (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Remove the -1 error return code from
  bnxt_hwrm_do_send_msg() (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Use a common function to print the same ethtool -f
  error message (jsc#SLE-8371 bsc#1153274).
- ice: fix adminq calls during remove (jsc#SLE-7926).
- ice: Rework ice_ena_msix_range (jsc#SLE-7926).
- ice: Fix VF configuration issues due to reset (jsc#SLE-7926).
- ice: Alloc queue management bitmaps and arrays dynamically
  (jsc#SLE-7926).
- ice: add support for virtchnl_queue_select.[tx|rx]_queues bitmap
  (jsc#SLE-7926).
- ice: add support for enabling/disabling single queues
  (jsc#SLE-7926).
- ice: fix potential infinite loop (jsc#SLE-7926).
- ice: fix ice_is_tc_ena (jsc#SLE-7926).
- ice: add validation in OP_CONFIG_VSI_QUEUES VF message
  (jsc#SLE-7926).
- ice: Don't clog kernel debug log with VF MDD events errors
  (jsc#SLE-7926).
- ice: Introduce a local variable for a VSI in the rebuild path
  (jsc#SLE-7926).
- ice: shorten local and add debug prints (jsc#SLE-7926).
- ice: Sanitize ice_ena_vsi and ice_dis_vsi (jsc#SLE-7926).
- ice: added sibling head to parse nodes (jsc#SLE-7926).
- ice: Fix ethtool port and PFC stats for 4x25G cards
  (jsc#SLE-7926).
- ice: Don't allow VSI to remove unassociated ucast filter
  (jsc#SLE-7926).
- ice: Fix issues updating VSI MAC filters (jsc#SLE-7926).
- ice: update ethtool stats on-demand (jsc#SLE-7926).
- ice: Add input handlers for virtual channel handlers
  (jsc#SLE-7926).
- ice: Don't clear auto_fec bit in ice_cfg_phy_fec()
  (jsc#SLE-7926).
- ice: Fix flag used for module query (jsc#SLE-7926).
- ice: silence some bogus error messages (jsc#SLE-7926).
- ice: Rename ethtool private flag for lldp (jsc#SLE-7926).
- ice: reject VF attempts to enable head writeback (jsc#SLE-7926).
- ice: Copy dcbx configuration only if mode is correct
  (jsc#SLE-7926).
- ice: Treat DCBx state NOT_STARTED as valid (jsc#SLE-7926).
- ice: Don't call synchronize_irq() for VF's from the host
  (jsc#SLE-7926).
- ice: Account for all states of FW DCBx and LLDP (jsc#SLE-7926).
- ice: Allow egress control packets from PF_VSI (jsc#SLE-7926).
- bnxt_en: Fix allocation of zero statistics block size regression
  (jsc#SLE-8371 bsc#1153274).
- =?UTF-8?q?ethernet:=20Delete=20unnecessary=20checks=20bef?=
  =?UTF-8?q?ore=20the=20macro=20call=20=E2=80=9Cdev=5Fkfree=5Fskb=E2=80=9D?=
  (jsc#SLE-7966).
- i40e: fix retrying in i40e_aq_get_phy_capabilities
  (jsc#SLE-8025).
- i40e: Persistent LLDP support (jsc#SLE-8025).
- i40e: allow reset in recovery mode (jsc#SLE-8025).
- i40e: Remove function i40e_update_dcb_config() (jsc#SLE-8025).
- i40e: Fix crash caused by stress setting of VF MAC addresses
  (jsc#SLE-8025).
- i40e: reset veb.tc_stats when resetting veb.stats
  (jsc#SLE-8025).
- i40e: Update FW API version to 1.9 (jsc#SLE-8025).
- i40e: check_recovery_mode had wrong if statement (jsc#SLE-8025).
- i40e: Add drop mode parameter to set mac config (jsc#SLE-8025).
- i40e: fix shifts of signed values (jsc#SLE-8025).
- i40e: add check on i40e_configure_tx_ring() return value
  (jsc#SLE-8025).
- i40e: Check if transceiver implements DDM before access
  (jsc#SLE-8025).
- i40e: reduce stack usage in i40e_set_fc (jsc#SLE-8025).
- ice: improve print for VF's when adding/deleting MAC filters
  (jsc#SLE-7926).
- ice: Change type for queue counts (jsc#SLE-7926).
- ice: Move VF resources definition to SR-IOV specific file
  (jsc#SLE-7926).
- ice: Increase size of Mailbox receive queue for many VFs
  (jsc#SLE-7926).
- ice: Reduce wait times during VF bringup/reset (jsc#SLE-7926).
- ice: update GLINT_DYN_CTL and GLINT_VECT2FUNC register access
  (jsc#SLE-7926).
- ice: Do not always bring up PF VSI in ice_ena_vsi()
  (jsc#SLE-7926).
- ice: allow empty Rx descriptors (jsc#SLE-7926).
- ice: Fix kernel hang with DCB reset in CEE mode (jsc#SLE-7926).
- ice: Set WB_ON_ITR when we don't re-enable interrupts
  (jsc#SLE-7926).
- ice: fix set pause param autoneg check (jsc#SLE-7926).
- ice: Restructure VFs initialization flows (jsc#SLE-7926).
- ice: Assume that more than one Rx queue is rare in ice_napi_poll
  (jsc#SLE-7926).
- ice: Use the software based tail when checking for hung Tx ring
  (jsc#SLE-7926).
- ixgbe: no need to check return value of debugfs_create functions
  (jsc#SLE-7979 jsc#SLE-7981).
- i40e: no need to check return value of debugfs_create functions
  (jsc#SLE-8025).
- fm10k: no need to check return value of debugfs_create functions
  (jsc#SLE-8009).
- bnxt: no need to check return value of debugfs_create functions
  (jsc#SLE-8371 bsc#1153274).
- i40e: Remove unicast log when VF is leaving multicast mode
  (jsc#SLE-8025).
- i40e: verify string count matches even on early return
  (jsc#SLE-8025).
- i40e: Log info when PF is entering and leaving Allmulti mode
  (jsc#SLE-8025).
- i40e: Update visual effect for advertised FEC mode
  (jsc#SLE-8025).
- i40e: fix code comments (jsc#SLE-8025).
- i40e: don't report link up for a VF who hasn't enabled queues
  (jsc#SLE-8025).
- i40e: Log disable-fw-lldp flag change by ethtool (jsc#SLE-8025).
- i40e: fix incorrect ethtool statistics veb and veb.tc_
  (jsc#SLE-8025).
- fm10k: fix fm10k_get_fault_pf to read correct address
  (jsc#SLE-8009).
- fm10k: convert NON_Q_VECTORS(hw) into NON_Q_VECTORS
  (jsc#SLE-8009).
- fm10k: mark unused parameters with __always_unused
  (jsc#SLE-8009).
- fm10k: cast page_addr to u8 * when incrementing it
  (jsc#SLE-8009).
- fm10k: explicitly return 0 on success path in function
  (jsc#SLE-8009).
- fm10k: remove needless initialization of size local variable
  (jsc#SLE-8009).
- fm10k: remove needless assignment of err local variable
  (jsc#SLE-8009).
- fm10k: remove unnecessary variable initializer (jsc#SLE-8009).
- fm10k: reduce scope of the ring variable (jsc#SLE-8009).
- fm10k: reduce the scope of the result local variable
  (jsc#SLE-8009).
- fm10k: reduce the scope of the local msg variable
  (jsc#SLE-8009).
- fm10k: reduce the scope of the local i variable (jsc#SLE-8009).
- fm10k: reduce the scope of the err variable (jsc#SLE-8009).
- fm10k: reduce the scope of the tx_buffer variable
  (jsc#SLE-8009).
- fm10k: reduce the scope of the q_idx local variable
  (jsc#SLE-8009).
- fm10k: reduce the scope of local err variable (jsc#SLE-8009).
- fm10k: reduce the scope of qv local variable (jsc#SLE-8009).
- fm10k: reduce scope of *p local variable (jsc#SLE-8009).
- fm10k: reduce scope of the err variable (jsc#SLE-8009).
- ice: Bump version number (jsc#SLE-7926).
- ice: Remove flag to track VF interrupt status (jsc#SLE-7926).
- ice: Remove unnecessary flag ICE_FLAG_MSIX_ENA (jsc#SLE-7926).
- ice: Don't return error for disabling LAN Tx queue that does
  exist (jsc#SLE-7926).
- ice: Remove duplicate code in ice_alloc_rx_bufs (jsc#SLE-7926).
- ice: Add stats for Rx drops at the port level (jsc#SLE-7926).
- ice: Update number of VF queue before setting VSI resources
  (jsc#SLE-7926).
- ice: Set up Tx scheduling tree based on alloc VSI Tx queues
  (jsc#SLE-7926).
- ice: Only bump Rx tail and release buffers once per napi_poll
  (jsc#SLE-7926).
- ice: Disable VFs until reset is completed (jsc#SLE-7926).
- ice: Do not configure port with no media (jsc#SLE-7926).
- ice: separate out control queue lock creation (jsc#SLE-7926).
- ice: Always set prefena when configuring an Rx queue
  (jsc#SLE-7926).
- ice: Move vector base setup to PF VSI (jsc#SLE-7926).
- ice: track hardware stat registers past rollover (jsc#SLE-7926).
- ice: add lp_advertising flow control support (jsc#SLE-7926).
- net: Use skb_frag_off accessors (jsc#SLE-7979 jsc#SLE-7981).
- linux: Add skb_frag_t page_offset accessors (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Add PCI IDs for 57500 series NPAR devices (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Support all variants of the 5750X chip family
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor bnxt_init_one() and turn on TPA support on
  57500 chips (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Support TPA counters on 57500 chips (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Allocate the larger per-ring statistics block for
  57500 chips (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor ethtool ring statistics logic (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Add hardware GRO setup function for 57500 chips
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add TPA ID mapping logic for 57500 chips (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Add fast path logic for TPA on 57500 chips
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Set TPA GRO mode flags on 57500 chips properly
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor tunneled hardware GRO logic (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Handle standalone RX_AGG completions (jsc#SLE-8371
  bsc#1153274).
- bnxt_en: Expand bnxt_tpa_info struct to support 57500 chips
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Refactor TPA logic (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Add TPA structure definitions for BCM57500 chips
  (jsc#SLE-8371 bsc#1153274).
- bnxt_en: Update firmware interface spec. to 1.10.0.89
  (jsc#SLE-8371 bsc#1153274).
- igc: Add more SKUs for i225 device (jsc#SLE-7966).
- igc: Update the MAC reset flow (jsc#SLE-7966).
- igc: Remove the unused field from a device specification
  structure (jsc#SLE-7966).
- igc: Remove the polarity field from a PHY information structure
  (jsc#SLE-7966).
- net/ixgbevf: fix a compilation error of skb_frag_t (jsc#SLE-7979
  jsc#SLE-7981).
- Build fixes for skb_frag_size conversion (jsc#SLE-7979
  jsc#SLE-7981).
- igb: Use dev_get_drvdata where possible (jsc#SLE-7967).
- i40e: Use dev_get_drvdata (jsc#SLE-8025).
- fm10k: Use dev_get_drvdata (jsc#SLE-8009).
- e1000e: Use dev_get_drvdata where possible (jsc#SLE-8100).
- net: broadcom: Use dev_get_drvdata (jsc#SLE-8371 bsc#1153274).
- net: Convert skb_frag_t to bio_vec (jsc#SLE-7979 jsc#SLE-7981).
- net: Rename skb_frag_t size to bv_len (jsc#SLE-7979
  jsc#SLE-7981).
- net: Rename skb_frag page to bv_page (jsc#SLE-7979
  jsc#SLE-7981).
- net: Reorder the contents of skb_frag_t (jsc#SLE-7979
  jsc#SLE-7981).
- net: Increase the size of skb_frag_t (jsc#SLE-7979
  jsc#SLE-7981).
- net: Use skb accessors in network core (jsc#SLE-7979
  jsc#SLE-7981).
- net: Use skb accessors in network drivers (jsc#SLE-8371
  bsc#1153274).
- commit b79d16a
* Wed Oct 16 2019 yousaf.kaukab@suse.com
- arm64: topology: Use PPTT to determine if PE is a thread
  (jsc#SLE-10146).
- ACPI/PPTT: Add support for ACPI 6.3 thread flag (jsc#SLE-10146).
- commit 72dbea4
* Wed Oct 16 2019 yousaf.kaukab@suse.com
- arm64: synquacer: enable spi driver
  References: jsc#SLE-9968
- commit 6756790
* Wed Oct 16 2019 jthumshirn@suse.de
- blk-wbt: fix performance regression in wbt scale_up/scale_down
  (bsc#1152489).
- commit 214a4b1
* Wed Oct 16 2019 mkubecek@suse.cz
- Update patches.suse/supported-flag references (add bsc#974406).
- commit 6b909a8
* Wed Oct 16 2019 pmladek@suse.com
- tracing: Initialize iter->seq after zeroing in
  tracing_read_pipe() (bsc#1151508).
- commit b84a6ef
* Wed Oct 16 2019 jroedel@suse.de
- kvm: x86, powerpc: do not allow clearing largepages debugfs
  entry (bsc#1117665).
- commit 8126faf
* Wed Oct 16 2019 ykaukab@suse.de
- pinctrl: rockchip: Mark expected switch fall-through
  (bsc#1154208).
- commit 284f3c9
* Wed Oct 16 2019 lpechacek@suse.com
- Refresh patches.suse/supported-flag.
- Delete
  patches.suse/module-Inform-user-when-loading-externally-supported.patch.
  Squash module-Inform-user-when-loading-externally-supported.patch (bsc#974406)
  into supported-flag.
- commit 5be4f6e
* Wed Oct 16 2019 dwagner@suse.de
- scsi: lpfc: Make function lpfc_defer_pt2pt_acc static
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.4.0.1 (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: cleanup: remove unused fcp_txcmlpq_cnt (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Complete removal of FCoE T10 PI support on SLI-4
  adapters (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Update async event logging (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix list corruption detected in
  lpfc_put_sgl_per_hdwq (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix hdwq sgl locks and irq handling (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix spinlock_irq issues in lpfc_els_flush_cmd()
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix list corruption in lpfc_sli_get_iocbq
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix host hang at boot or slow boot (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix coverity errors on NULL pointer checks
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix NVMe ABTS in response to receiving an ABTS
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix discovery failures when target device
  connectivity bounces (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix GPF on scsi command completion (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix locking on mailbox command completion
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix device recovery errors after PLOGI failures
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix rpi release when deleting vport (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix NVME io abort failures causing hangs
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix miss of register read failure check
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix premature re-enabling of interrupts in
  lpfc_sli_host_down (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix pt2pt discovery on SLI3 HBAs (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix reset recovery paths that are not recovering
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Convert existing %%pf users to %%ps (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: fix 12.4.0.0 GPF at boot (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Remove bg debugfs buffers (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Resolve checker warning for lpfc_new_io_buf()
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Update lpfc version to 12.4.0.0 (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Merge per-protocol WQ/CQ pairs into single per-cpu
  pair (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Add NVMe sequence level error recovery support
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Support dynamic unbounded SGL lists on G7 hardware
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Add MDS driver loopback diagnostics support
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Add first and second level hardware revisions to
  sysfs reporting (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Migrate to %%px and %%pf in kernel print calls
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Add simple unlikely optimizations to reduce NVME
  latency (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix coverity warnings (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix nvme first burst module parameter description
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix BlockGuard enablement on FCoE adapters
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix reported physical link speed on a disabled
  trunked link (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix Max Frame Size value shown in fdmishow output
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix upcall to bsg done in non-success cases
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix sli4 adapter initialization with MSI
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix nvme sg_seg_cnt display if HBA does not support
  NVME (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix nvme target mode ABTSing a received ABTS
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix hang when downloading fw on port enabled for
  nvme (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix too many sg segments spamming in kernel log
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix crash due to port reset racing vs adapter
  error handling (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix deadlock on host_lock during cable pulls
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix error in remote port address change
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix driver nvme rescan logging (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix sg_seg_cnt for HBAs that don't support NVME
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix propagation of devloss_tmo setting to nvme
  transport (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix loss of remote port after devloss due to lack
  of RPIs (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix devices that don't return after devloss followed
  by rediscovery (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix null ptr oops updating lpfc_devloss_tmo via
  sysfs attribute (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix FLOGI handling across multiple link up/down
  conditions (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix oops when fewer hdwqs than cpus (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix irq raising in lpfc_sli_hba_down (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix Oops in nvme_register with target logout/login
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix issuing init_vpi mbox on SLI-3 card
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix ADISC reception terminating login state if a
  NVME target (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix discovery when target has no GID_FT information
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix port relogin failure due to GID_FT interaction
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix leak of ELS completions on adapter reset
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix failure to clear non-zero eq_delay after io
  rate reduction (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Fix crash on driver unload in wq free (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix ELS field alignments (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: Fix PLOGI failure with high remoteport count
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Limit xri count for kdump environment (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: remove NULL check before some freeing functions
  (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: use spin_lock_irqsave in IRQ context (jsc#SLE-8284
  jsc#SLE-8654).
- scsi: lpfc: remove redundant code (jsc#SLE-8284 jsc#SLE-8654).
- scsi: lpfc: Remove unnecessary null check before kfree
  (jsc#SLE-8284 jsc#SLE-8654).
- commit d8bfc1f
* Wed Oct 16 2019 dwagner@suse.de
- series.conf: Update qla2xxx patches
  The qla2xxx patches have been added to jebj's queue.
- commit 1b97787
* Wed Oct 16 2019 mkubecek@suse.cz
- Fix Patch-mainline tags:
  patches.suse/0001-ACPI-property-Add-two-new-Thunderbolt-property-GUIDs.patch
  patches.suse/0001-thunderbolt-Add-support-for-Intel-Ice-Lake.patch
  patches.suse/0001-thunderbolt-Correct-path-indices-for-PCIe-tunnel.patch
  patches.suse/0001-thunderbolt-Do-not-fail-adding-switch-if-some-port-i.patch
  patches.suse/0001-thunderbolt-Expose-active-parts-of-NVM-even-if-upgra.patch
  patches.suse/0001-thunderbolt-Hide-switch-attributes-that-are-not-set.patch
  patches.suse/0001-thunderbolt-Move-NVM-upgrade-support-flag-to-struct-.patch
  patches.suse/0001-thunderbolt-Show-key-using-pE-not-pEp.patch
  patches.suse/0001-thunderbolt-Switch-to-use-device_property_count_uXX.patch
  patches.suse/0001-thunderbolt-Use-32-bit-writes-when-writing-ring-prod.patch
- commit 1318e50
* Wed Oct 16 2019 mkubecek@suse.cz
- config: refresh after dependency changes
- commit 4237191
* Wed Oct 16 2019 mkubecek@suse.cz
- series.conf: cleanup
  Update upstream references and resort:
  patches.suse/scsi-qla2xxx-Remove-WARN_ON_ONCE-in-qla2x00_status_c.patch
  Move unsortable
  patches.suse/scsi-qla2xxx-fix-wait-condition-in-loop.patch
  out of sorted section.
- commit 0133508
* Tue Oct 15 2019 dwagner@suse.de
- scsi: qedf: Add port_id getter (jsc#SLE-9711).
- scsi: qedf: Remove always false 'tmp_prio < 0' statement
  (jsc#SLE-9711).
- scsi: qedf: Update the version to 8.42.3.0 (jsc#SLE-9711).
- scsi: qedf: Fix race betwen fipvlan request and response path
  (jsc#SLE-9711).
- scsi: qedf: Use discovery list to traverse rports
  (jsc#SLE-9711).
- scsi: qedf: Decrease the LL2 MTU size to 2500 (jsc#SLE-9711).
- scsi: qedf: Check for module unloading bit before processing
  link update AEN (jsc#SLE-9711).
- scsi: qedf: Initiator fails to re-login to switch after link
  down (jsc#SLE-9711).
- scsi: qedf: Add debug information for unsolicited processing
  (jsc#SLE-9711).
- scsi: qedf: Add support for 20 Gbps speed (jsc#SLE-9711).
- scsi: qedf: Interpret supported caps value correctly
  (jsc#SLE-9711).
- scsi: qedf: Add shutdown callback handler (jsc#SLE-9711).
- scsi: qedf: Update module description string (jsc#SLE-9711).
- scsi: qedf: Fix crash during sg_reset (jsc#SLE-9711).
- scsi: qedf: Stop sending fipvlan request on unload
  (jsc#SLE-9711).
- scsi: qedf: Print message during bailout conditions
  (jsc#SLE-9711).
- commit 723fe3b
* Tue Oct 15 2019 bp@suse.de
- x86/cpu: Add Comet Lake to the Intel CPU models header
  (jsc#SLE-7946).
- commit e9d5845
* Tue Oct 15 2019 msuchanek@suse.de
- soundwire: depend on ACPI || OF (bsc#1148868).
- soundwire: depend on ACPI (bsc#1148868).
- commit 4ebb907
* Tue Oct 15 2019 nborisov@suse.com
- btrfs: Remove metadata_uuid patches
  They are already in upstream 5.0.
- Delete patches.suse/0001-btrfs-Introduce-support-for-FSID-change-without-meta.patch.
- Delete patches.suse/0002-btrfs-Remove-fsid-metadata_fsid-fields-from-btrfs_in.patch.
- Delete patches.suse/0003-btrfs-Add-handling-for-disk-split-brain-scenario-dur.patch.
- Delete patches.suse/0004-btrfs-Introduce-2-more-members-to-struct-btrfs_fs_de.patch.
- Delete patches.suse/0005-btrfs-Handle-one-more-split-brain-scenario-during-fs.patch.
- Delete patches.suse/0006-btrfs-Handle-final-split-brain-possibility-during-fs.patch.
- Delete patches.suse/btrfs-add-sysfs-support-for-metadata_uuid-feature.patch.
- commit 1a7c8f7
* Tue Oct 15 2019 jslaby@suse.cz
- Update
  patches.suse/sched-core-Fix-CPU-controller-for-RT_GROUP_SCHED.patch
  (bnc#1151927 5.3.4 bnc#1135646).
  Add a bnc reference.
- commit 05f45df
* Tue Oct 15 2019 ptesarik@suse.cz
- Delete patches.suse/0201-merge-tag-exynos-drm-fixes-for-v4-12.
- Delete
  patches.suse/0586-merge-branch-drm-next-4-13-into-drm-next.
- Delete
  patches.suse/0680-merge-tag-drm-for-v4-13-of-git-people-freedesktop-org-airlied-linux.
- Delete
  patches.suse/1312-merge-tag-drm-msm-next-2017-08-22-into-drm-next.
- Delete
  patches.suse/3619-merge-airlied-drm-next-into-drm-misc-next.
- Delete
  patches.suse/3625-merge-drm-misc-next-2017-11-30-into-drm-next.
- Delete
  patches.suse/3631-merge-tag-drm-intel-next-2017-11-17-1-into-drm-next.
- Delete
  patches.suse/4330-merge-drm-armada-devel-4-15-into-drm-next.
- Delete patches.suse/5994-backmerge-tag-v4-16-rc7-into-drm-next.
- Delete
  patches.suse/7627-merge-drm-upstream-drm-next-into-drm-misc-next.
- commit 1a3d42d
* Tue Oct 15 2019 vbabka@suse.cz
- Delete patches.suse/x86-mm-fix-fast-gup-paravirt.patch.
  (The problem was solved differently upstream between 4.12 and 5.3)
- commit 0329020
* Tue Oct 15 2019 yousaf.kaukab@suse.com
- arm64: cn99xx: enable patches for silicon revision Ax erratum
  References: PM-1408
  Systems with Ax silicon still in use.
- commit 012b115
* Tue Oct 15 2019 vbabka@suse.cz
- mm, page_owner: rename flag indicating that page is allocated
  (jsc#SLE-8959, bsc#1144653, VM Debug Functionality).
- commit 1a8c019
* Tue Oct 15 2019 vbabka@suse.cz
- mm, page_owner: decouple freeing stack trace from
  debug_pagealloc (jsc#SLE-8959, bsc#1144653, VM Debug Functionality).
- commit 0458b8c
* Tue Oct 15 2019 vbabka@suse.cz
- mm, page_owner: fix off-by-one error in
  __set_page_owner_handle() (jsc#SLE-8959, bsc#1144653, VM
  Debug Functionality).
- commit d9d2cb5
* Tue Oct 15 2019 vbabka@suse.cz
- mm, page_owner, debug_pagealloc: save and dump freeing stack
  trace (jsc#SLE-8959, bsc#1144653, VM Debug Functionality).
- commit 88a816e
* Tue Oct 15 2019 vbabka@suse.cz
- mm, page_owner: keep owner info when freeing the page (jsc#SLE-8959,
  bsc#1144653, VM Debug Functionality).
- commit 59689b6
* Tue Oct 15 2019 vbabka@suse.cz
- mm, page_owner: record page owner for each subpage (jsc#SLE-8959,
  bsc#1144653, VM Debug Functionality).
- commit 6920f27
* Tue Oct 15 2019 dwagner@suse.de
- qla2xxx: Enable T10-DIF with FC-NVMe enabled (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- commit f8cfc4e
* Tue Oct 15 2019 dwagner@suse.de
- scsi: qla2xxx: Fix wait condition in loop (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- commit 39bb1be
* Tue Oct 15 2019 dwagner@suse.de
- scsi: qla2xxx: Update driver version to 10.01.00.20-k
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Improve logging for scan thread (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Capture FW dump on MPI heartbeat stop event
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Check for MB timeout while capturing ISP27/28xx
  FW dump (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Set remove flag for all VP (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Add error handling for PLOGI ELS passthrough
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Dual FCP-NVMe target port support (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: remove redundant assignment to pointer host
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove WARN_ON_ONCE in
  qla2x00_status_cont_entry() (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Fix Nport ID display value (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix N2N link up fail (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Fix N2N link reset (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Optimize NPIV tear down process (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix stale mem access on driver unload
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix unbound sleep in fcport delete path
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Silence fwdump template message (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Update driver version to 10.01.00.19-k
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix stale session (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Fix stuck login session (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix driver reload for ISP82xx (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix flash read for Qlogic ISPs (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix message indicating vectors used by driver
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: fix spelling mistake "initializatin" ->
  "initialization" (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix a recently introduced kernel warning
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: cleanup trace buffer initialization (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: qla2x00_alloc_fw_dump: set ha->eft (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix a NULL pointer dereference (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Simplify qla24xx_async_abort_cmd() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove two superfluous if-tests (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Introduce qla2x00_els_dcmd2_free() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Inline the qla2x00_fcport_event_handler()
  function (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Report invalid mailbox status codes (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove superfluous sts_entry_* casts
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Let the compiler check the type of the
  SCSI command context pointer (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Complain if sp->done() is not called from the
  completion path (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Make sure that aborted commands are freed
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Introduce qla2xxx_get_next_handle() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Modify NVMe include directives (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Make qlt_handle_abts_completion() more robust
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix a race condition between aborting and
  completing a SCSI command (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Introduce the function qla2xxx_init_sp()
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Enable type checking for the SRB free and done
  callback functions (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Rework key encoding in qlt_find_host_by_d_id()
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Set the responder mode if appropriate for ELS
  pass-through IOCBs (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Make it explicit that ELS pass-through IOCBs
  use little endian (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Check secondary image if reading the primary
  image fails (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Change the return type of
  qla24xx_read_flash_data() (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Introduce the be_id_t and le_id_t data types
  for FC src/dst IDs (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Complain if a soft reset fails (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use memcpy() and strlcpy() instead of strcpy()
  and strncpy() (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Check the PCI info string output buffer size
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Complain if waiting for pending commands times
  out (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Declare fourth qla2x00_set_model_info() argument
  const (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Always check the qla2x00_wait_for_hba_online()
  return value (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Suppress multiple Coverity complaint
  about out-of-bounds accesses (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Suppress a Coveritiy complaint about integer
  overflow (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove unreachable code from qla83xx_idc_lock()
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix qla24xx_process_bidir_cmd() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Simplify a debug statement (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove dead code (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Complain if parsing the version string fails
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Complain if a mailbox command times out
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use strlcpy() instead of strncpy() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Do not corrupt vha->plogi_ack_list (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Report the firmware status code if a mailbox
  command fails (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Fix session lookup in qlt_abort_work()
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Simplify qla24xx_abort_sp_done() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove two superfluous tests (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove a superfluous pointer check (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Simplify qlt_lport_dump() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Reduce the number of casts in GID list code
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Verify locking assumptions at runtime
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Change data_dsd into an array (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Declare qla_tgt_cmd.cdb const (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Reduce the scope of three local variables
  in qla2xxx_queuecommand() (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- scsi: qla2xxx: Change the return type of
  qla2x00_update_ms_fdmi_iocb() into void (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Declare the fourth ql_dump_buffer() argument
  const (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove a superfluous forward declaration
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Remove an include directive from qla_mr.c
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Include the <asm/unaligned.h> header file from
  qla_dsd.h (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Use tabs instead of spaces for indentation
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Improve Linux kernel coding style conformance
  (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Really fix qla2xxx_eh_abort() (jsc#SLE-9714
  jsc#SLE-10327 jsc#SLE-10334).
- scsi: qla2xxx: Make qla2x00_abort_srb() again decrease the sp
  reference count (jsc#SLE-9714 jsc#SLE-10327 jsc#SLE-10334).
- qla2xxx: remove SGI SN2 support (jsc#SLE-9714 jsc#SLE-10327
  jsc#SLE-10334).
- commit 2a36545
* Tue Oct 15 2019 oneukum@suse.com
- ACPI / property: Add two new Thunderbolt property GUIDs to
  the list (jsc#SLE-8714).
- commit 11dee44
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Add support for Intel Ice Lake (jsc#SLE-8714).
- commit 815b577
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Expose active parts of NVM even if upgrade is
  not supported (jsc#SLE-8714).
- commit badef1c
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Hide switch attributes that are not set
  (jsc#SLE-8714).
- commit 5b9d6f9
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Do not fail adding switch if some port is not
  implemented (jsc#SLE-8714).
- commit d0e61eb
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Use 32-bit writes when writing ring
  producer/consumer (jsc#SLE-8714).
- commit df92f6a
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Move NVM upgrade support flag to struct icm
  (jsc#SLE-8714).
- commit 476237e
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Correct path indices for PCIe tunnel
  (jsc#SLE-8714).
- commit 0d8a0ac
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Show key using %%*pE not %%*pEp (jsc#SLE-8714).
- commit 2388d46
* Tue Oct 15 2019 oneukum@suse.com
- thunderbolt: Switch to use device_property_count_uXX()
  (jsc#SLE-8714).
- commit 51e1030
* Tue Oct 15 2019 dwagner@suse.de
- scsi: qla2xxx: Refresh patches ported from SLE15-SP1
- Refresh
  patches.suse/scsi-qla2xxx-Allow-NVMe-IO-to-resume-with-short-cabl.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Correct-error-handling-during-initializ.patch.
- Refresh patches.suse/scsi-qla2xxx-Fix-DMA-unmap-leak.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-NVMe-port-discovery-after-a-short-d.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-abort-timeout-race-condition.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-different-size-DMA-Alloc-Unmap.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-hang-in-fcport-delete-path.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Fix-premature-timer-expiration.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Reject-EH_-abort-device_reset-target_re.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Remove-unnecessary-null-check.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Replace-vmalloc-memset-with-vzalloc.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Retry-fabric-Scan-on-IOCB-queue-full.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Skip-FW-dump-on-LOOP-initialization-err.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Update-driver-version-to-10.01.00.18-k.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-Correct-index-for-Q-Pair-array.patch.
- Refresh
  patches.suse/scsi-qla2xxx-Use-common-update-firmware-options-rout.patch.
- commit 44af015
* Tue Oct 15 2019 jslaby@suse.cz
- Linux 5.3.6 (bnc#1151927 5.3.6).
- DTS: ARM: gta04: introduce legacy spi-cs-high to make display
  work again (bnc#1151927 5.3.6).
- mac80211: keep BHs disabled while calling drv_tx_wake_queue()
  (bnc#1151927 5.3.6).
- cfg80211: initialize on-stack chandefs (bnc#1151927 5.3.6).
- cfg80211: validate SSID/MBSSID element ordering assumption
  (bnc#1151927 5.3.6).
- nl80211: validate beacon head (bnc#1151927 5.3.6).
- ieee802154: atusb: fix use-after-free at disconnect (bnc#1151927
  5.3.6).
- KVM: s390: fix __insn32_query() inline assembly (bnc#1151927
  5.3.6).
- KVM: nVMX: Fix consistency check on injected exception error
  code (bnc#1151927 5.3.6).
- KVM: X86: Fix userspace set invalid CR4 (bnc#1151927 5.3.6).
- xen/xenbus: fix self-deadlock after killing user process
  (bnc#1151927 5.3.6).
- xen/balloon: Set pages PageOffline() in balloon_add_region()
  (bnc#1151927 5.3.6).
- selftests: pidfd: Fix undefined reference to pthread_create()
  (bnc#1151927 5.3.6).
- sched: Add __ASSEMBLY__ guards around struct clone_args
  (bnc#1151927 5.3.6).
- drm/omap: fix max fclk divider for omap36xx (bnc#1151927 5.3.6).
- drm/amd/powerplay: change metrics update period from 1ms to
  100ms (bnc#1151927 5.3.6).
- Revert "s390/dasd: Add discard support for ESE volumes"
  (bnc#1151927 5.3.6).
- s390/dasd: Fix error handling during online processing
  (bnc#1151927 5.3.6).
- vfs: Fix EOVERFLOW testing in put_compat_statfs64 (bnc#1151927
  5.3.6).
- tick: broadcast-hrtimer: Fix a race in bc_set_next (bnc#1151927
  5.3.6).
- Btrfs: fix selftests failure due to uninitialized i_mode in
  test inodes (bnc#1151927 5.3.6).
- mmc: tegra: Implement ->set_dma_mask() (bnc#1151927 5.3.6).
- mmc: sdhci: Let drivers define their DMA mask (bnc#1151927
  5.3.6).
- mmc: sdhci-of-esdhc: set DMA snooping based on DMA coherence
  (bnc#1151927 5.3.6).
- mmc: sdhci: improve ADMA error reporting (bnc#1151927 5.3.6).
- libnvdimm: prevent nvdimm from requesting key when security
  is disabled (bnc#1151927 5.3.6).
- libnvdimm/region: Initialize bad block for volatile namespaces
  (bnc#1151927 5.3.6).
- libnvdimm/nfit_test: Fix acpi_handle redefinition (bnc#1151927
  5.3.6).
- =?UTF-8?q?libnvdimm:=20Fix=20endian=20conversion=20issues=C2=A0?=
  (bnc#1151927 5.3.6).
- i2c: qcom-geni: Disable DMA processing on the Lenovo Yoga C630
  (bnc#1151927 5.3.6).
- iommu/amd: Fix downgrading default page-sizes in alloc_pte()
  (bnc#1151927 5.3.6).
- nfp: abm: fix memory leak in nfp_abm_u32_knode_replace
  (bnc#1151927 5.3.6).
- mlxsw: spectrum_flower: Fail in case user specifies multiple
  mirror actions (bnc#1151927 5.3.6).
- net: dsa: microchip: Always set regmap stride to 1 (bnc#1151927
  5.3.6).
- netfilter: nf_tables: allow lookups in dynamic sets (bnc#1151927
  5.3.6).
- bpf: Fix bpf_event_output re-entry issue (bnc#1151927 5.3.6).
- selftests/bpf: adjust strobemeta loop to satisfy latest clang
  (bnc#1151927 5.3.6).
- libbpf: fix false uninitialized variable warning (bnc#1151927
  5.3.6).
- powerpc/mm: Fix an Oops in kasan_mmu_init() (bnc#1151927 5.3.6).
- powerpc/mm: Add a helper to select PAGE_KERNEL_RO or
  PAGE_READONLY (bnc#1151927 5.3.6).
- x86/purgatory: Disable the stackleak GCC plugin for the
  purgatory (bnc#1151927 5.3.6).
- sched/core: Fix migration to invalid CPU in
  __set_cpus_allowed_ptr() (bnc#1151927 5.3.6).
- sched/membarrier: Call sync_core only before usermode for same
  mm (bnc#1151927 5.3.6).
- sched/membarrier: Fix private expedited registration check
  (bnc#1151927 5.3.6).
- ima: fix freeing ongoing ahash_request (bnc#1151927 5.3.6).
- ima: always return negative code for error (bnc#1151927 5.3.6).
- 9p: Transport error uninitialized (bnc#1151927 5.3.6).
- 9p: avoid attaching writeback_fid on mmap with type PRIVATE
  (bnc#1151927 5.3.6).
- riscv: Avoid interrupts being erroneously enabled in
  handle_exception() (bnc#1151927 5.3.6).
- Revert "locking/pvqspinlock: Don't wait if vCPU is preempted"
  (bnc#1151927 5.3.6).
- pwm: stm32-lp: Add check in case requested period cannot be
  achieved (bnc#1151927 5.3.6).
- blk-mq: move lockdep_assert_held() into elevator_exit
  (bnc#1151927 5.3.6).
- drivers: thermal: qcom: tsens: Fix memory leak from qfprom read
  (bnc#1151927 5.3.6).
- thermal: Fix use-after-free when unregistering thermal zone
  device (bnc#1151927 5.3.6).
- thermal_hwmon: Sanitize thermal_zone type (bnc#1151927 5.3.6).
- watchdog: aspeed: Add support for AST2600 (bnc#1151927 5.3.6).
- watchdog: imx2_wdt: fix min() calculation in
  imx2_wdt_set_timeout (bnc#1151927 5.3.6).
- drm/amdgpu: Check for valid number of registers to read
  (bnc#1151927 5.3.6).
- drm/radeon: Bail earlier when radeon.cik_/si_support=0 is passed
  (bnc#1151927 5.3.6).
- drm/atomic: Reject FLIP_ASYNC unconditionally (bnc#1151927
  5.3.6).
- drm/atomic: Take the atomic toys away from X (bnc#1151927
  5.3.6).
- ntb: point to right memory window index (bnc#1151927 5.3.6).
- timer: Read jiffies once when forwarding base clk (bnc#1151927
  5.3.6).
- perf unwind: Fix libunwind build failure on i386 systems
  (bnc#1151927 5.3.6).
- perf build: Add detection of java-11-openjdk-devel package
  (bnc#1151927 5.3.6).
- perf probe: Fix to clear tev->nargs in clear_probe_trace_event()
  (bnc#1151927 5.3.6).
- perf tools: Fix segfault in cpu_cache_level__read() (bnc#1151927
  5.3.6).
- perf stat: Fix a segmentation fault when using repeat forever
  (bnc#1151927 5.3.6).
- perf stat: Reset previous counts on repeat with interval
  (bnc#1151927 5.3.6).
- usercopy: Avoid HIGHMEM pfn warning (bnc#1151927 5.3.6).
- selftests/seccomp: fix build on older kernels (bnc#1151927
  5.3.6).
- pNFS: Ensure we do clear the return-on-close layout stateid
  on fatal errors (bnc#1151927 5.3.6).
- SUNRPC: Don't try to parse incomplete RPC messages (bnc#1151927
  5.3.6).
- SUNRPC: RPC level errors should always set task->tk_rpc_status
  (bnc#1151927 5.3.6).
- xprtrdma: Send Queue size grows after a reconnect (bnc#1151927
  5.3.6).
- xprtrdma: Toggle XPRT_CONGESTED in xprtrdma's slot methods
  (bnc#1151927 5.3.6).
- fs: nfs: Fix possible null-pointer dereferences in
  encode_attrs() (bnc#1151927 5.3.6).
- s390/cio: exclude subchannels with no parent from pseudo check
  (bnc#1151927 5.3.6).
- s390/cio: avoid calling strlen on null pointer (bnc#1151927
  5.3.6).
- s390/topology: avoid firing events before kobjs are created
  (bnc#1151927 5.3.6).
- xen/pci: reserve MCFG areas earlier (bnc#1151927 5.3.6).
- include/trace/events/writeback.h: fix -Wstringop-truncation
  warnings (bnc#1151927 5.3.6).
- kernel/elfcore.c: include proper prototypes (bnc#1151927 5.3.6).
- ceph: reconnect connection if session hang in opening state
  (bnc#1151927 5.3.6).
- ceph: fetch cap_gen under spinlock in ceph_add_cap (bnc#1151927
  5.3.6).
- ceph: fix directories inode i_blkbits initialization
  (bnc#1151927 5.3.6).
- fuse: fix memleak in cuse_channel_open (bnc#1151927 5.3.6).
- fuse: fix request limit (bnc#1151927 5.3.6).
- selftests/tpm2: Add the missing TEST_FILES assignment
  (bnc#1151927 5.3.6).
- power: supply: sbs-battery: only return health when battery
  present (bnc#1151927 5.3.6).
- power: supply: sbs-battery: use correct flags field (bnc#1151927
  5.3.6).
- MIPS: Treat Loongson Extensions as ASEs (bnc#1151927 5.3.6).
- powerpc/603: Fix handling of the DIRTY flag (bnc#1151927 5.3.6).
- powerpc/32s: Fix boot failure with DEBUG_PAGEALLOC without KASAN
  (bnc#1151927 5.3.6).
- powerpc/kasan: Fix shadow area set up for modules (bnc#1151927
  5.3.6).
- powerpc/kasan: Fix parallel loading of modules (bnc#1151927
  5.3.6).
- powerpc/ptdump: Fix addresses display on PPC32 (bnc#1151927
  5.3.6).
- tracing: Make sure variable reference alias has correct
  var_ref_idx (bnc#1151927 5.3.6).
- drm/nouveau/kms/nv50-: Don't create MSTMs for eDP connectors
  (bnc#1151927 5.3.6).
- drm/i915: to make vgpu ppgtt notificaiton as atomic operation
  (bnc#1151927 5.3.6).
- drm/i915/gvt: update vgpu workload head pointer correctly
  (bnc#1151927 5.3.6).
- can: mcp251x: mcp251x_hw_reset(): allow more time after a reset
  (bnc#1151927 5.3.6).
- crypto: cavium/zip - Add missing single_release() (bnc#1151927
  5.3.6).
- crypto: skcipher - Unmap pages after an external error
  (bnc#1151927 5.3.6).
- crypto: caam/qi - fix error handling in ERN handler (bnc#1151927
  5.3.6).
- crypto: caam - fix concurrency issue in givencrypt descriptor
  (bnc#1151927 5.3.6).
- crypto: ccree - use the full crypt length value (bnc#1151927
  5.3.6).
- crypto: qat - Silence smp_processor_id() warning (bnc#1151927
  5.3.6).
- crypto: ccree - account for TEE not ready to report (bnc#1151927
  5.3.6).
- coresight: etm4x: Use explicit barriers on enable/disable
  (bnc#1151927 5.3.6).
- staging: erofs: detect potential multiref due to corrupted
  images (bnc#1151927 5.3.6).
- staging: erofs: avoid endless loop of invalid lookback distance
  0 (bnc#1151927 5.3.6).
- staging: erofs: add two missing erofs_workgroup_put for
  corrupted images (bnc#1151927 5.3.6).
- staging: erofs: some compressed cluster should be submitted
  for corrupted images (bnc#1151927 5.3.6).
- staging: erofs: fix an error handling in erofs_readdir()
  (bnc#1151927 5.3.6).
- KVM: s390: Test for bad access register and size at the start
  of S390_MEM_OP (bnc#1151927 5.3.6).
- PM / devfreq: tegra: Fix kHz to Hz conversion (bnc#1151927
  5.3.6).
- ASoC: sgtl5000: Improve VAG power and mute control (bnc#1151927
  5.3.6).
- ASoC: Define a set of DAPM pre/post-up events (bnc#1151927
  5.3.6).
- nbd: fix max number of supported devs (bnc#1151927 5.3.6).
- s390/sclp: Fix bit checked for has_sipl (bnc#1151927 5.3.6).
- s390/process: avoid potential reading of freed stack
  (bnc#1151927 5.3.6).
- tools lib traceevent: Do not free tep->cmdlines in
  add_new_comm() on failure (bnc#1151927 5.3.6).
- tools lib traceevent: Fix "robust" test of
  do_generate_dynamic_list_file (bnc#1151927 5.3.6).
- commit 09e8239
* Tue Oct 15 2019 vbabka@suse.cz
- mm, compaction: fix wrong pfn handling in
  __reset_isolation_pfn() (git-fixes (mm/compaction)).
- commit b7593ee
* Tue Oct 15 2019 jslaby@suse.cz
- Update
  patches.suse/0001-drm-msm-dsi-Fix-return-value-check-for-clk_get_paren.patch
  (bsc#1152472 bnc#1151927 5.3.6).
- Update
  patches.suse/0002-drm-mali-dp-Mark-expected-switch-fall-through.patch
  (bsc#1152472 bnc#1151927 5.3.6).
- Update
  patches.suse/0003-drm-i915-dp-Fix-dsc-bpp-calculations-v5.patch
  (bsc#1152472 bnc#1151927 5.3.6).
- Update
  patches.suse/0004-drm-amdgpu-Fix-KFD-related-kernel-oops-on-Hawaii.patch
  (bsc#1152472 bnc#1151927 5.3.6).
- Update
  patches.suse/KVM-PPC-Book3S-Enable-XIVE-native-capability-only-if.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/KVM-PPC-Book3S-HV-Check-for-MMU-ready-on-piggybacked.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/KVM-PPC-Book3S-HV-Don-t-lose-pending-doorbell-reques.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/KVM-PPC-Book3S-HV-Don-t-push-XIVE-context-when-not-u.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/KVM-PPC-Book3S-HV-Fix-race-in-re-enabling-XIVE-escal.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/KVM-PPC-Book3S-HV-XIVE-Free-escalation-interrupts-be.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/PCI-Restore-Resizable-BAR-size-bits-correctly-for-1M.patch
  (bsc#1143841 bnc#1151927 5.3.6).
- Update
  patches.suse/PCI-vmd-Fix-config-addressing-when-using-bus-offsets.patch
  (git-fixes bnc#1151927 5.3.6).
- Update
  patches.suse/PCI-vmd-Fix-shadow-offsets-to-reflect-spec-changes.patch
  (git-fixes bnc#1151927 5.3.6).
- Update
  patches.suse/libnvdimm-altmap-track-namespace-boundaries-in-altmap.patch
  (bsc#1150305 bnc#1151927 5.3.6).
- Update
  patches.suse/msft-hv-1911-PCI-hv-Avoid-use-of-hv_pci_dev-pci_slot-after-freein.patch
  (bsc#1142701 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-book3s64-mm-Don-t-do-tlbie-fixup-for-some-ha.patch
  (bsc#1152161 ltc#181664 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-book3s64-radix-Rename-CPU_FTR_P9_TLBIE_BUG-f.patch
  (bsc#1152161 ltc#181664 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-mce-Fix-MCE-handling-for-huge-pages.patch
  (jsc#SLE-7730 jsc#SLE-8330 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-mce-Schedule-work-from-irq_work.patch
  (jsc#SLE-7730 jsc#SLE-8330 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-mm-Fixup-tlbie-vs-mtpidr-mtlpidr-ordering-is.patch
  (bsc#1152161 ltc#181664 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-powernv-Restrict-OPAL-symbol-map-to-only-be-.patch
  (bsc#1152885 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-powernv-ioda-Fix-race-in-TCE-level-allocatio.patch
  (bsc#1061840 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-pseries-Fix-cpu_hotplug_lock-acquisition-in-.patch
  (bsc#1065729 bnc#1151927 5.3.6).
- Update
  patches.suse/powerpc-xive-Implement-get_irqchip_state-method-for-.patch
  (bsc#1065729 bnc#1151927 5.3.6).
- commit e5cdb69
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: move local to extent inode logging into bmap helper
  (bsc#1153965).
- commit f0be3ee
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: remove broken error handling on failed attr sf to leaf
  change (bsc#1153964).
- commit 82cbfae
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: log the inode on directory sf to block format change
  (bsc#1153963).
- commit 09a957a
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: get allocation alignment from the buftarg (bsc#1153962).
- commit a48cb33
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: assure zeroed memory buffers for certain kmem allocations
  (bsc#1153957).
- commit 077c951
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: add kmem_alloc_io() (bsc#1153956).
- commit ef9a9c2
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: add kmem allocation trace points (bsc#1153955).
- commit 2ee9365
* Mon Oct 14 2019 ailiopoulos@suse.com
- fs: xfs: Remove KM_NOSLEEP and KM_SLEEP (bsc#1153954).
- commit 5c16078
* Mon Oct 14 2019 msuchanek@suse.de
- KVM: PPC: Book3S HV: use smp_mb() when setting/clearing host_ipi
  flag (bsc#1061840).
- commit 5c3f332
* Mon Oct 14 2019 msuchanek@suse.de
- net/ibmvnic: Fix EOI when running in XIVE mode (bsc#1089644,
  ltc#166495, ltc#165544, git-fixes).
- commit 7298d5a
* Mon Oct 14 2019 ailiopoulos@suse.com
- xfs: Fix tail rounding in xfs_alloc_file_space() (bsc#1153917).
- commit 9a4ea01
* Mon Oct 14 2019 mkubecek@suse.cz
- series.conf: refresh sorted section
  Update upstream reference:
  patches.suse/powerpc-pseries-Remove-confusing-warning-message.patch
- commit dcc4e8b
* Sat Oct 12 2019 msuchanek@suse.de
- Refresh patches.suse/powerpc-papr_scm-Fix-an-off-by-one-check-in-papr_scm.patch
- commit 2e48c74
* Fri Oct 11 2019 msuchanek@suse.de
- powerpc/pseries: Remove confusing warning message (bsc#1109158).
- commit 1ec9a94
* Thu Oct 10 2019 mkubecek@suse.cz
- supported.conf: sort
  No functional change, fix order only.
- commit 624292b
* Wed Oct  9 2019 jack@suse.cz
- patches.suse/jbd2-flush_descriptor-Do-not-decrease-buffer-head-s-ref-count.patch:
  Update tags.
- commit 7a9890d
* Wed Oct  9 2019 yousaf.kaukab@suse.com
- arm64: enable Nvidia Jetson TX2
  References: SLE-9388
- commit 4c4ee96
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/amd/display: support "dummy pstate" (bsc#1152472)
- commit f26d6de
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/i915: Trust programmed MCR in read_subslice_reg (bsc#1152472)
- commit ceae560
* Wed Oct  9 2019 jslaby@suse.cz
- net: stmmac: Avoid deadlock on suspend/resume (git-fixes).
- commit 9c4865d
* Wed Oct  9 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: hide another #warning'
- commit 57d5b16
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/amdgpu: revert "disable bulk moves for now" (bsc#1152472)
- commit 0df34be
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/amd/display: Embed DCN2 SOC bounding box (bsc#1152472)
- commit 095c537
* Wed Oct  9 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Allow sharing the idle-barrier from other kernel requests'
- commit fdee26c
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/i915: Fix g4x sprite scaling stride check with GTT remapping (bsc#1152472)
- commit 2cb06d6
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/i915/dp: Fix dsc bpp calculations, v5. (bsc#1152472)
- commit def17f6
* Wed Oct  9 2019 tzimmermann@suse.de
- drm/i915: Fix and improve MCR selection logic (bsc#1152472)
- commit f2d1229
* Wed Oct  9 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm: Fix kerneldoc warns in connector-related docs'
- commit a7d220e
* Wed Oct  9 2019 jslaby@suse.cz
- PCI: vmd: Fix shadow offsets to reflect spec changes
  (git-fixes).
- PCI: vmd: Fix config addressing when using bus offsets
  (git-fixes).
- commit d1eff9d
* Wed Oct  9 2019 jslaby@suse.cz
- Refresh
  patches.suse/PCI-Restore-Resizable-BAR-size-bits-correctly-for-1M.patch.
  Update upstream status and sort.
- commit 586dc90
* Wed Oct  9 2019 jslaby@suse.cz
- blacklist.conf: add 0df3e42167ca
- commit eb1317e
* Wed Oct  9 2019 mkubecek@suse.cz
- config: refresh configs
- commit 26e5ee3
* Wed Oct  9 2019 mkubecek@suse.cz
- Fix references (v5.4-rc2 -> v5.4-rc3)
  patches.suse/0001-kernel-sysctl.c-do-not-override-max_threads-provided.patch.
- Update references and move into sorted section
  patches.suse/PCI-mobiveil-Fix-the-CPU-base-address-setup-in-inbou.patch.
  patches.suse/scsi-qla2xxx-Fix-Relogin-to-prevent-modifying-scan_s.patch.
- commit 6fdd32d
* Tue Oct  8 2019 hare@suse.de
- config: enable CONFIG_PCIE_BW (jsc#SLE-9858)
- commit 4f573d4
* Tue Oct  8 2019 jslaby@suse.cz
- blacklist.conf: add a91bcc2b6537
- commit 4ff0ba8
* Tue Oct  8 2019 jslaby@suse.cz
- Linux 5.3.5 (bnc#1151927 5.3.5).
- net: qlogic: Fix memory leak in ql_alloc_large_buffers
  (bnc#1151927 5.3.5).
- nfc: fix memory leak in llcp_sock_bind() (bnc#1151927 5.3.5).
- sch_dsmark: fix potential NULL deref in dsmark_init()
  (bnc#1151927 5.3.5).
- ipv6: Handle missing host route in __ipv6_ifa_notify
  (bnc#1151927 5.3.5).
- net: ipv4: avoid mixed n_redirects and rate_tokens usage
  (bnc#1151927 5.3.5).
- cxgb4:Fix out-of-bounds MSI-X info array access (bnc#1151927
  5.3.5).
- rxrpc: Fix rxrpc_recvmsg tracepoint (bnc#1151927 5.3.5).
- qmi_wwan: add support for Cinterion CLS8 devices (bnc#1151927
  5.3.5).
- udp: only do GSO if # of segs > 1 (bnc#1151927 5.3.5).
- udp: fix gso_segs calculations (bnc#1151927 5.3.5).
- ipv6: drop incoming packets having a v4mapped source address
  (bnc#1151927 5.3.5).
- ptp_qoriq: Initialize the registers' spinlock before calling
  ptp_qoriq_settime (bnc#1151927 5.3.5).
- net: dsa: sja1105: Fix sleeping while atomic in
  .port_hwtstamp_set (bnc#1151927 5.3.5).
- net: dsa: sja1105: Initialize the meta_lock (bnc#1151927 5.3.5).
- net/rds: Fix error handling in rds_ib_add_one() (bnc#1151927
  5.3.5).
- net: dsa: rtl8366: Check VLAN ID and not ports (bnc#1151927
  5.3.5).
- tipc: fix unlimited bundling of small messages (bnc#1151927
  5.3.5).
- xen-netfront: do not use ~0U as error return value for
  xennet_fill_frags() (bnc#1151927 5.3.5).
- tcp: adjust rto_base in retransmits_timed_out() (bnc#1151927
  5.3.5).
- vsock: Fix a lockdep warning in __vsock_release() (bnc#1151927
  5.3.5).
- hso: fix NULL-deref on tty open (bnc#1151927 5.3.5).
- net: sched: cbs: Avoid division by zero when calculating the
  port rate (bnc#1151927 5.3.5).
- net: sched: taprio: Avoid division by zero on invalid link speed
  (bnc#1151927 5.3.5).
- net: socionext: netsec: always grab descriptor lock (bnc#1151927
  5.3.5).
- net: sched: taprio: Fix potential integer overflow in
  taprio_set_picos_per_byte (bnc#1151927 5.3.5).
- net: dsa: sja1105: Prevent leaking memory (bnc#1151927 5.3.5).
- net: dsa: sja1105: Ensure PTP time for rxtstamp reconstruction
  is not in the past (bnc#1151927 5.3.5).
- net: Unpublish sk from sk_reuseport_cb before call_rcu
  (bnc#1151927 5.3.5).
- erspan: remove the incorrect mtu limit for erspan (bnc#1151927
  5.3.5).
- sch_cbq: validate TCA_CBQ_WRROPT to avoid crash (bnc#1151927
  5.3.5).
- 9p/cache.c: Fix memory leak in v9fs_cache_session_get_cookie
  (bnc#1151927 5.3.5).
- kexec: bail out upon SIGKILL when allocating memory (bnc#1151927
  5.3.5).
- i2c: tegra: Move suspend handling to NOIRQ phase (bnc#1151927
  5.3.5).
- i2c-cht-wc: Fix lockdep warning (bnc#1151927 5.3.5).
- pktcdvd: remove warning on attempting to register
  non-passthrough dev (bnc#1151927 5.3.5).
- block, bfq: push up injection only after setting service time
  (bnc#1151927 5.3.5).
- mips: properly account for stack randomization and stack guard
  gap (bnc#1151927 5.3.5).
- arm: use STACK_TOP when computing mmap base address (bnc#1151927
  5.3.5).
- arm: properly account for stack randomization and stack guard
  gap (bnc#1151927 5.3.5).
- arm64: consider stack randomization for mmap base only when
  necessary (bnc#1151927 5.3.5).
- kmemleak: increase DEBUG_KMEMLEAK_EARLY_LOG_SIZE default to 16K
  (bnc#1151927 5.3.5).
- ocfs2: wait for recovering done after direct unlock request
  (bnc#1151927 5.3.5).
- kbuild: clean compressed initramfs image (bnc#1151927 5.3.5).
- mm: add dummy can_do_mlock() helper (bnc#1151927 5.3.5).
- fat: work around race with userspace's read via blockdev while
  mounting (bnc#1151927 5.3.5).
- tools/power/x86/intel-speed-select: Fix high priority core
  mask over count (bnc#1151927 5.3.5).
- hypfs: Fix error number left in struct pointer member
  (bnc#1151927 5.3.5).
- mfd: intel-lpss: Remove D3cold delay (bnc#1151927 5.3.5).
- PCI: tegra: Fix OF node reference leak (bnc#1151927 5.3.5).
- PCI: histb: Propagate errors for optional regulators
  (bnc#1151927 5.3.5).
- PCI: imx6: Propagate errors for optional regulators (bnc#1151927
  5.3.5).
- PCI: exynos: Propagate errors for optional PHYs (bnc#1151927
  5.3.5).
- PCI: rockchip: Propagate errors for optional regulators
  (bnc#1151927 5.3.5).
- PCI: layerscape: Add the bar_fixed_64bit property to the
  endpoint driver (bnc#1151927 5.3.5).
- PCI: pci-hyperv: Fix build errors on non-SYSFS config
  (bnc#1151927 5.3.5).
- PCI: Use static const struct, not const static struct
  (bnc#1151927 5.3.5).
- PCI: Add pci_info_ratelimited() to ratelimit PCI separately
  (bnc#1151927 5.3.5).
- smack: use GFP_NOFS while holding inode_smack::smk_lock
  (bnc#1151927 5.3.5).
- security: smack: Fix possible null-pointer dereferences in
  smack_socket_sock_rcv_skb() (bnc#1151927 5.3.5).
- Smack: Don't ignore other bprm->unsafe flags if
  LSM_UNSAFE_PTRACE is set (bnc#1151927 5.3.5).
- HID: wacom: Fix several minor compiler warnings (bnc#1151927
  5.3.5).
- HID: apple: Fix stuck function keys when using FN (bnc#1151927
  5.3.5).
- selinux: fix residual uses of current_security() for the
  SELinux blob (bnc#1151927 5.3.5).
- crypto: hisilicon - Fix double free in sec_free_hw_sgl()
  (bnc#1151927 5.3.5).
- power: supply: register HWMON devices with valid names
  (bnc#1151927 5.3.5).
- rtc: pcf85363/pcf85263: fix regmap error in set_time
  (bnc#1151927 5.3.5).
- rtc: snvs: fix possible race condition (bnc#1151927 5.3.5).
- rtc: bd70528: fix driver dependencies (bnc#1151927 5.3.5).
- soundwire: intel: fix channel number reported by hardware
  (bnc#1151927 5.3.5).
- ARM: 8905/1: Emit __gnu_mcount_nc when using Clang 10.0.0 or
  newer (bnc#1151927 5.3.5).
- ARM: 8903/1: ensure that usable memory in bank 0 starts from
  a PMD-aligned address (bnc#1151927 5.3.5).
- ARM: 8898/1: mm: Don't treat faults reported from cache
  maintenance as writes (bnc#1151927 5.3.5).
- ARM: 8875/1: Kconfig: default to AEABI w/ Clang (bnc#1151927
  5.3.5).
- mips/atomic: Fix smp_mb__{before,after}_atomic() (bnc#1151927
  5.3.5).
- mips/atomic: Fix loongson_llsc_mb() wreckage (bnc#1151927
  5.3.5).
- MIPS: tlbex: Explicitly cast _PAGE_NO_EXEC to a boolean
  (bnc#1151927 5.3.5).
- MIPS: Don't use bc_false uninitialized in __mm_isBranchInstr
  (bnc#1151927 5.3.5).
- MIPS: Ingenic: Disable broken BTB lookup optimization
  (bnc#1151927 5.3.5).
- f2fs: fix to drop meta/node pages during umount (bnc#1151927
  5.3.5).
- ext4: fix potential use after free after remounting with
  noblock_validity (bnc#1151927 5.3.5).
- scsi: core: Reduce memory required for SCSI logging (bnc#1151927
  5.3.5).
- dm raid: fix updating of max_discard_sectors limit (bnc#1151927
  5.3.5).
- dm zoned: fix invalid memory access (bnc#1151927 5.3.5).
- ARM: dts: dir685: Drop spi-cpol from the display (bnc#1151927
  5.3.5).
- clk: sprd: add missing kfree (bnc#1151927 5.3.5).
- clk: at91: select parent if main oscillator or bypass is enabled
  (bnc#1151927 5.3.5).
- clk: Make clk_bulk_get_all() return a valid "id" (bnc#1151927
  5.3.5).
- clk: renesas: cpg-mssr: Set GENPD_FLAG_ALWAYS_ON for clock
  domain (bnc#1151927 5.3.5).
- clk: renesas: mstp: Set GENPD_FLAG_ALWAYS_ON for clock domain
  (bnc#1151927 5.3.5).
- clk: sunxi-ng: v3s: add missing clock slices for MMC2 module
  clocks (bnc#1151927 5.3.5).
- clk: imx: clk-pll14xx: unbypass PLL by default (bnc#1151927
  5.3.5).
- clk: imx: pll14xx: avoid glitch when set rate (bnc#1151927
  5.3.5).
- clk: imx8mq: Mark AHB clock as critical (bnc#1151927 5.3.5).
- clk: sunxi: Don't call clk_hw_get_name() on a hw that isn't
  registered (bnc#1151927 5.3.5).
- clk: zx296718: Don't reference clk_init_data after registration
  (bnc#1151927 5.3.5).
- clk: sprd: Don't reference clk_init_data after registration
  (bnc#1151927 5.3.5).
- clk: sirf: Don't reference clk_init_data after registration
  (bnc#1151927 5.3.5).
- clk: meson: axg-audio: Don't reference clk_init_data after
  registration (bnc#1151927 5.3.5).
- clk: actions: Don't reference clk_init_data after registration
  (bnc#1151927 5.3.5).
- clk: ingenic/jz4740: Fix "pll half" divider not read/written
  properly (bnc#1151927 5.3.5).
- clk: qcom: gcc-sdm845: Use floor ops for sdcc clks (bnc#1151927
  5.3.5).
- clk: qoriq: Fix -Wunused-const-variable (bnc#1151927 5.3.5).
- vfio_pci: Restore original state on release (bnc#1151927 5.3.5).
- powerpc/eeh: Clean up EEH PEs after recovery finishes
  (bnc#1151927 5.3.5).
- selftests/powerpc: Retry on host facility unavailable
  (bnc#1151927 5.3.5).
- powerpc/eeh: Clear stale EEH_DEV_NO_HANDLER flag (bnc#1151927
  5.3.5).
- powerpc/perf: fix imc allocation failure handling (bnc#1151927
  5.3.5).
- powerpc/futex: Fix warning: 'oldval' may be used uninitialized
  in this function (bnc#1151927 5.3.5).
- powerpc/ptdump: fix walk_pagetables() address mismatch
  (bnc#1151927 5.3.5).
- PCI: rpaphp: Avoid a sometimes-uninitialized warning
  (bnc#1151927 5.3.5).
- arm64: fix unreachable code issue with cmpxchg (bnc#1151927
  5.3.5).
- kbuild: Do not enable -Wimplicit-fallthrough for clang for now
  (bnc#1151927 5.3.5).
- drm/amdgpu/si: fix ASIC tests (bnc#1151927 5.3.5).
- drm/amd/display: fix trigger not generated for freesync
  (bnc#1151927 5.3.5).
- drm/amd/display: support spdif (bnc#1151927 5.3.5).
- drm/amd/display: fix MPO HUBP underflow with Scatter Gather
  (bnc#1151927 5.3.5).
- drm/amd/powerpaly: fix navi series custom peak level value error
  (bnc#1151927 5.3.5).
- drm/amdgpu/sdma5: fix number of sdma5 trap irq types for navi1x
  (bnc#1151927 5.3.5).
- drm/amd/display: Register VUPDATE_NO_LOCK interrupts for DCN2
  (bnc#1151927 5.3.5).
- drm/amd/display: reprogram VM config when system resume
  (bnc#1151927 5.3.5).
- drm/amd/display: Fix frames_to_insert math (bnc#1151927 5.3.5).
- drm/amd/display: fix issue where 252-255 values are clipped
  (bnc#1151927 5.3.5).
- drm/nouveau/volt: Fix for some cards having 0 maximum voltage
  (bnc#1151927 5.3.5).
- drm/nouveau/kms/tu102-: disable input lut when input is already
  FP16 (bnc#1151927 5.3.5).
- dma-buf/sw_sync: Synchronize signal vs syncpt free (bnc#1151927
  5.3.5).
- gpu: drm: radeon: Fix a possible null-pointer dereference in
  radeon_connector_set_property() (bnc#1151927 5.3.5).
- drm/radeon: Fix EEH during kexec (bnc#1151927 5.3.5).
- drm/amdgpu: Fix hard hang for S/G display BOs (bnc#1151927
  5.3.5).
- drm/amd/display: Copy GSL groups when committing a new context
  (bnc#1151927 5.3.5).
- drm/amd/display: Clear FEC_READY shadow register if DPCD write
  fails (bnc#1151927 5.3.5).
- drm/amd/display: fix not calling ppsmu to trigger PME
  (bnc#1151927 5.3.5).
- drm/amd/display: Power-gate all DSCs at driver init time
  (bnc#1151927 5.3.5).
- drm/amd/display: add monitor patch to add T7 delay (bnc#1151927
  5.3.5).
- drm/rockchip: Check for fast link training before enabling psr
  (bnc#1151927 5.3.5).
- drm/panel: check failure cases in the probe func (bnc#1151927
  5.3.5).
- drm/stm: attach gem fence to atomic state (bnc#1151927 5.3.5).
- drm/tinydrm/Kconfig: drivers: Select BACKLIGHT_CLASS_DEVICE
  (bnc#1151927 5.3.5).
- drm/panel: simple: fix AUO g185han01 horizontal blanking
  (bnc#1151927 5.3.5).
- drm/vkms: Avoid assigning 0 for possible_crtc (bnc#1151927
  5.3.5).
- drm/bridge: tc358767: Increase AUX transfer length limit
  (bnc#1151927 5.3.5).
- drm/vkms: Fix crc worker races (bnc#1151927 5.3.5).
- drm/mcde: Fix uninitialized variable (bnc#1151927 5.3.5).
- pinctrl: meson-gxbb: Fix wrong pinning definition for uart_c
  (bnc#1151927 5.3.5).
- pinctrl: amd: disable spurious-firing GPIO IRQs (bnc#1151927
  5.3.5).
- pinctrl: tegra: Fix write barrier placement in pmx_writel
  (bnc#1151927 5.3.5).
- pinctrl: stmfx: update pinconf settings (bnc#1151927 5.3.5).
- ipmi_si: Only schedule continuously in the thread in maintenance
  mode (bnc#1151927 5.3.5).
- mbox: qcom: add APCS child device for QCS404 (bnc#1151927
  5.3.5).
- mailbox: mediatek: cmdq: clear the event in cmdq initial flow
  (bnc#1151927 5.3.5).
- pstore: fs superblock limits (bnc#1151927 5.3.5).
- vfs: set fs_context::user_ns for reconfigure (bnc#1151927
  5.3.5).
- NFC: fix attrs checks in netlink interface (bnc#1151927 5.3.5).
- commit 3f4d1b8
* Tue Oct  8 2019 jslaby@suse.cz
- Update
  patches.suse/0001-video-ssd1307fb-Start-page-range-at-page_offset.patch
  (bsc#1152472 bnc#1151927 5.3.5).
- Update
  patches.suse/0003-drm-amd-display-Use-proper-enum-conversion-functions.patch
  (bsc#1152472 bnc#1151927 5.3.5).
- Update
  patches.suse/0005-drm-bridge-sii902x-fix-missing-reference-to-mclk-clo.patch
  (bsc#1152472 bnc#1151927 5.3.5).
- Update
  patches.suse/PCI-mobiveil-Fix-the-CPU-base-address-setup-in-inbou.patch
  (fate#326572 bnc#1151927 5.3.5).
- Update
  patches.suse/livepatch-nullify-obj-mod-in-klp_module_coming-s-error-path.patch
  (bsc#1071995 fate#323487 bnc#1151927 5.3.5).
- Update
  patches.suse/msft-hv-1950-KVM-hyperv-Fix-Direct-Synthetic-timers-assert-an-int.patch
  (fate#323887 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-64s-exception-machine-check-use-correct-cfar.patch
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-64s-radix-Fix-memory-hotplug-section-page-ta.patch
  (bsc#1065729 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-dump-kernel-log-before-carrying-out-fadump-o.patch
  (bsc#1149940 ltc#179958 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-powernv-ioda2-Allocate-TCE-table-levels-on-d.patch
  (bsc#1061840 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-pseries-correctly-track-irq-state-in-default.patch
  (bsc#1150727 ltc#178925 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-pseries-mobility-use-cond_resched-when-updat.patch
  (bsc#1153112 ltc#181778 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-rtas-use-device-model-APIs-and-serialization.patch
  (bsc#1144123 ltc#178840 bnc#1151927 5.3.5).
- Update
  patches.suse/powerpc-xmon-Check-for-HV-mode-when-dumping-XIVE-inf.patch
  (bsc#1142019 bnc#1151927 5.3.5).
- commit 37e2aaf
* Tue Oct  8 2019 jslaby@suse.cz
- Update
  patches.suse/0001-btrfs-Fix-a-regression-which-we-can-t-convert-to-SIN.patch
  (bsc#1152973 bnc#1151927 5.3.4).
- Update
  patches.suse/0001-btrfs-qgroup-Fix-the-wrong-target-io_tree-when-freei.patch
  (bsc#1152974 bnc#1151927 5.3.4).
- Update
  patches.suse/0001-ipmi-move-message-error-checking-to-avoid-deadlock.patch
  (bsc#1152489 bnc#1151927 5.3.4).
- Update
  patches.suse/0002-btrfs-qgroup-Fix-reserved-data-space-leak-if-we-have.patch
  (bsc#1152975 bnc#1151927 5.3.4).
- Update
  patches.suse/0002-drm-fix-module-name-in-edid_firmware-log-message.patch
  (bsc#1152472 bnc#1151927 5.3.4).
- Update
  patches.suse/alarmtimer-Use-EOPNOTSUPP-instead-of-ENOTSUPP.patch
  (bsc#1151680 bnc#1151927 5.3.4).
- Update
  patches.suse/edac-amd64-decode-syndrome-before-translating-address.patch
  (bsc#1152489 bnc#1151927 5.3.4).
- Update
  patches.suse/edac-amd64-recognize-dram-device-type-ecc-capability.patch
  (bsc#1152489 bnc#1151927 5.3.4).
- Update
  patches.suse/hwmon-k10temp-Add-support-for-AMD-family-17h-model-7.patch
  (bsc#1153137 bnc#1151927 5.3.4).
- Update
  patches.suse/iommu-iova-avoid-false-sharing-on-fq_timer_on
  (bsc#1151675 bnc#1151927 5.3.4).
- Update
  patches.suse/iommu-vt-d-fix-wrong-analysis-whether-devices-share-the-same-bus
  (bsc#1151679 bnc#1151927 5.3.4).
- Update
  patches.suse/scsi-qla2xxx-Fix-Relogin-to-prevent-modifying-scan_s.patch
  (bsc#1082635 bsc#1141340 bsc#1143706 bnc#1151927 5.3.4).
- Update
  patches.suse/scsi-scsi_dh_rdac-zero-cdb-in-send_mode_select.patch
  (bsc#1149313 bnc#1151927 5.3.4).
- Update
  patches.suse/tpm_tis_core-Set-TPM_CHIP_FLAG_IRQ-before-probing-fo.patch
  (bsc#1082555 bnc#1151927 5.3.4).
- Update
  patches.suse/x86-amd_nb-Add-PCI-device-IDs-for-family-17h-model-7.patch
  (bsc#1153137 bnc#1151927 5.3.4).
- commit 78212b5
* Tue Oct  8 2019 jslaby@suse.cz
- Linux 5.3.4 (bnc#1151927 5.3.4).
- Btrfs: fix race setting up and completing qgroup rescan workers
  (bnc#1151927 5.3.4).
- btrfs: adjust dirty_metadata_bytes after writeback failure of
  extent buffer (bnc#1151927 5.3.4).
- ARM: dts: am3517-evm: Fix missing video (bnc#1151927 5.3.4).
- ARM: dts: logicpd-torpedo-baseboard: Fix missing video
  (bnc#1151927 5.3.4).
- ARM: omap2plus_defconfig: Fix missing video (bnc#1151927 5.3.4).
- CIFS: Fix oplock handling for SMB 2.1+ protocols (bnc#1151927
  5.3.4).
- CIFS: fix max ea value size (bnc#1151927 5.3.4).
- smb3: fix leak in "open on server" perf counter (bnc#1151927
  5.3.4).
- i2c: riic: Clear NACK in tend isr (bnc#1151927 5.3.4).
- tcp: better handle TCP_USER_TIMEOUT in SYN_SENT state
  (bnc#1151927 5.3.4).
- tcp_bbr: fix quantization code to not raise cwnd if not probing
  bandwidth (bnc#1151927 5.3.4).
- net: phy: micrel: add Asym Pause workaround for KSZ9021
  (bnc#1151927 5.3.4).
- nfp: flower: fix memory leak in nfp_flower_spawn_vnic_reprs
  (bnc#1151927 5.3.4).
- nfp: flower: prevent memory leak in nfp_flower_spawn_phy_reprs
  (bnc#1151927 5.3.4).
- vrf: Do not attempt to create IPv6 mcast rule if IPv6 is
  disabled (bnc#1151927 5.3.4).
- net/rds: Check laddr_check before calling it (bnc#1151927
  5.3.4).
- iwlwifi: fw: don't send GEO_TX_POWER_LIMIT command to FW
  version 36 (bnc#1151927 5.3.4).
- mt76: mt7615: fix mt7615 firmware path definitions (bnc#1151927
  5.3.4).
- ipv6: do not free rt if FIB_LOOKUP_NOREF is set on suppress rule
  (bnc#1151927 5.3.4).
- openvswitch: change type of UPCALL_PID attribute to NLA_UNSPEC
  (bnc#1151927 5.3.4).
- net: stmmac: Fix page pool size (bnc#1151927 5.3.4).
- macsec: drop skb sk before calling gro_cells_receive
  (bnc#1151927 5.3.4).
- net/mlx5e: Fix matching on tunnel addresses type (bnc#1151927
  5.3.4).
- net/mlx5e: Fix traffic duplication in ethtool steering
  (bnc#1151927 5.3.4).
- net/mlx5: Add device ID of upcoming BlueField-2 (bnc#1151927
  5.3.4).
- net/sched: cbs: Fix not adding cbs instance to list (bnc#1151927
  5.3.4).
- ppp: Fix memory leak in ppp_write (bnc#1151927 5.3.4).
- skge: fix checksum byte order (bnc#1151927 5.3.4).
- arcnet: provide a buffer big enough to actually receive packets
  (bnc#1151927 5.3.4).
- nfc: enforce CAP_NET_RAW for raw sockets (bnc#1151927 5.3.4).
- ieee802154: enforce CAP_NET_RAW for raw sockets (bnc#1151927
  5.3.4).
- ax25: enforce CAP_NET_RAW for raw sockets (bnc#1151927 5.3.4).
- appletalk: enforce CAP_NET_RAW for raw sockets (bnc#1151927
  5.3.4).
- mISDN: enforce CAP_NET_RAW for raw sockets (bnc#1151927 5.3.4).
- net: sched: fix possible crash in tcf_action_destroy()
  (bnc#1151927 5.3.4).
- net_sched: add policy validation for action attributes
  (bnc#1151927 5.3.4).
- net_sched: add max len check for TCA_KIND (bnc#1151927 5.3.4).
- net: qrtr: Stop rx_worker before freeing node (bnc#1151927
  5.3.4).
- net/phy: fix DP83865 10 Mbps HDX loopback disable function
  (bnc#1151927 5.3.4).
- usbnet: ignore endpoints with invalid wMaxPacketSize
  (bnc#1151927 5.3.4).
- cdc_ncm: fix divide-by-zero caused by invalid wMaxPacketSize
  (bnc#1151927 5.3.4).
- ipv6: fix a typo in fib6_rule_lookup() (bnc#1151927 5.3.4).
- sch_netem: fix a divide by zero in tabledist() (bnc#1151927
  5.3.4).
- ipv4: Revert removal of rt_uses_gateway (bnc#1151927 5.3.4).
- selftests: Update fib_nexthop_multiprefix to handle missing
  ping6 (bnc#1151927 5.3.4).
- selftests: Update fib_tests to handle missing ping6 (bnc#1151927
  5.3.4).
- net/sched: act_sample: don't push mac header on ip6gre ingress
  (bnc#1151927 5.3.4).
- usbnet: sanity checking of packet sizes and device mtu
  (bnc#1151927 5.3.4).
- kvm: x86: Add "significant index" flag to a few CPUID leaves
  (bnc#1151927 5.3.4).
- KVM: x86/mmu: Use fast invalidate mechanism to zap MMIO sptes
  (bnc#1151927 5.3.4).
- block: fix null pointer dereference in blk_mq_rq_timed_out()
  (bnc#1151927 5.3.4).
- drm/amdgpu/display: fix 64 bit divide (bnc#1151927 5.3.4).
- drm/amd/display: Restore backlight brightness after system
  resume (bnc#1151927 5.3.4).
- drm/amd/display: Add missing HBM support and raise Vega20's uclk
  (bnc#1151927 5.3.4).
- drm/amd/display: dce11.x /dce12 update formula input
  (bnc#1151927 5.3.4).
- SUNRPC: Fix buffer handling of GSS MIC without slack
  (bnc#1151927 5.3.4).
- SUNRPC: Dequeue the request from the receive queue while we're
  re-encoding (bnc#1151927 5.3.4).
- binfmt_elf: Do not move brk for INTERP-less ET_EXEC (bnc#1151927
  5.3.4).
- lib/lzo/lzo1x_compress.c: fix alignment bug in lzo-rle
  (bnc#1151927 5.3.4).
- memcg, kmem: do not fail __GFP_NOFAIL charges (bnc#1151927
  5.3.4).
- fuse: fix beyond-end-of-page access in fuse_parse_cache()
  (bnc#1151927 5.3.4).
- fuse: fix missing unlock_page in fuse_writepage() (bnc#1151927
  5.3.4).
- fuse: fix deadlock with aio poll and fuse_iqueue::waitq.lock
  (bnc#1151927 5.3.4).
- tpm: Wrap the buffer from the caller to tpm_buf in tpm_send()
  (bnc#1151927 5.3.4).
- KEYS: trusted: correctly initialize digests and fix locking
  issue (bnc#1151927 5.3.4).
- ALSA: hda/realtek - PCI quirk for Medion E4254 (bnc#1151927
  5.3.4).
- memcg, oom: don't require __GFP_FS when invoking memcg OOM
  killer (bnc#1151927 5.3.4).
- mm/compaction.c: clear total_{migrate,free}_scanned before
  scanning a new zone (bnc#1151927 5.3.4).
- z3fold: fix memory leak in kmem cache (bnc#1151927 5.3.4).
- z3fold: fix retry mechanism in page reclaim (bnc#1151927 5.3.4).
- hwrng: core - don't wait on add_early_randomness() (bnc#1151927
  5.3.4).
- gfs2: clear buf_in_tr when ending a transaction in
  sweep_bh_for_rgrps (bnc#1151927 5.3.4).
- quota: fix wrong condition in is_quota_modification()
  (bnc#1151927 5.3.4).
- ext4: fix punch hole for inline_data file systems (bnc#1151927
  5.3.4).
- ext4: fix warning inside ext4_convert_unwritten_extents_endio
  (bnc#1151927 5.3.4).
- mtd: rawnand: stm32_fmc2: avoid warnings when building with
  W=1 option (bnc#1151927 5.3.4).
- RDMA: Fix double-free in srq creation error flow (bnc#1151927
  5.3.4).
- IB/mlx5: Free mpi in mp_slave mode (bnc#1151927 5.3.4).
- IB/hfi1: Define variables as unsigned long to fix KASAN warning
  (bnc#1151927 5.3.4).
- IB/hfi1: Do not update hcrc for a KDETH packet during fault
  injection (bnc#1151927 5.3.4).
- randstruct: Check member structs in is_pure_ops_struct()
  (bnc#1151927 5.3.4).
- printk: Do not lose last line in kmsg buffer dump (bnc#1151927
  5.3.4).
- ARM: samsung: Fix system restart on S3C6410 (bnc#1151927 5.3.4).
- powerpc/imc: Dont create debugfs files for cpu-less nodes
  (bnc#1151927 5.3.4).
- drm/amd/powerplay/smu7: enforce minimal VBITimeout (v2)
  (bnc#1151927 5.3.4).
- efifb: BGRT: Improve efifb_bgrt_sanity_check (bnc#1151927
  5.3.4).
- platform/chrome: cros_ec_rpmsg: Fix race with host command
  when probe failed (bnc#1151927 5.3.4).
- smb3: fix unmount hang in open_shroot (bnc#1151927 5.3.4).
- smb3: allow disabling requesting leases (bnc#1151927 5.3.4).
- xfs: Fix stale data exposure when readahead races with hole
  punch (bnc#1151927 5.3.4).
- fs: Export generic_fadvise() (bnc#1151927 5.3.4).
- mm: Handle MADV_WILLNEED through vfs_fadvise() (bnc#1151927
  5.3.4).
- ovl: filter of trusted xattr results in audit (bnc#1151927
  5.3.4).
- ovl: Fix dereferencing possible ERR_PTR() (bnc#1151927 5.3.4).
- btrfs: Relinquish CPUs in btrfs_compare_trees (bnc#1151927
  5.3.4).
- btrfs: fix allocation of free space cache v1 bitmap pages
  (bnc#1151927 5.3.4).
- btrfs: Detect unbalanced tree with empty leaf before crashing
  btree operations (bnc#1151927 5.3.4).
- Btrfs: fix use-after-free when using the tree modification log
  (bnc#1151927 5.3.4).
- btrfs: tree-checker: Add ROOT_ITEM check (bnc#1151927 5.3.4).
- btrfs: extent-tree: Make sure we only allocate extents from
  block groups with the same type (bnc#1151927 5.3.4).
- btrfs: delayed-inode: Kill the BUG_ON() in
  btrfs_delete_delayed_dir_index() (bnc#1151927 5.3.4).
- ath10k: fix channel info parsing for non tlv target (bnc#1151927
  5.3.4).
- i40e: check __I40E_VF_DISABLE bit in i40e_sync_filters_subtask
  (bnc#1151927 5.3.4).
- cfg80211: Purge frame registrations on iftype change
  (bnc#1151927 5.3.4).
- mt76: mt7615: always release sem in mt7615_load_patch
  (bnc#1151927 5.3.4).
- mt76: round up length on mt76_wr_copy (bnc#1151927 5.3.4).
- zd1211rw: remove false assertion from zd_mac_clear()
  (bnc#1151927 5.3.4).
- rtw88: pci: Use DMA sync instead of remapping in RX ISR
  (bnc#1151927 5.3.4).
- rtw88: pci: Rearrange the memory usage for skb in RX ISR
  (bnc#1151927 5.3.4).
- libertas: Add missing sentinel at end of if_usb.c fw_table
  (bnc#1151927 5.3.4).
- e1000e: add workaround for possible stalled packet (bnc#1151927
  5.3.4).
- /dev/mem: Bail out upon SIGKILL (bnc#1151927 5.3.4).
- staging: erofs: cannot set EROFS_V_Z_INITED_BIT if
  fill_inode_lazy fails (bnc#1151927 5.3.4).
- kvm: Nested KVM MMUs need PAE root too (bnc#1151927 5.3.4).
- KVM: x86: set ctxt->have_exception in x86_decode_insn()
  (bnc#1151927 5.3.4).
- KVM: x86: always stop emulation on page fault (bnc#1151927
  5.3.4).
- KVM: x86: Manually calculate reserved bits when loading PDPTRS
  (bnc#1151927 5.3.4).
- KVM: x86: Disable posted interrupts for non-standard IRQs
  delivery modes (bnc#1151927 5.3.4).
- ACPI / LPSS: Save/restore LPSS private registers also on
  Lynxpoint (bnc#1151927 5.3.4).
- ACPI / PCI: fix acpi_pci_irq_enable() memory leak (bnc#1151927
  5.3.4).
- ACPI: custom_method: fix memory leaks (bnc#1151927 5.3.4).
- ACPI / processor: don't print errors for processorIDs == 0xff
  (bnc#1151927 5.3.4).
- ACPI / APEI: Release resources if gen_pool_add() fails
  (bnc#1151927 5.3.4).
- ACPI / CPPC: do not require the _PSD method (bnc#1151927 5.3.4).
- PM / devfreq: passive: fix compiler warning (bnc#1151927 5.3.4).
- PM / devfreq: passive: Use non-devm notifiers (bnc#1151927
  5.3.4).
- PM / devfreq: exynos-bus: Correct clock enable sequence
  (bnc#1151927 5.3.4).
- PM / devfreq: Fix kernel oops on governor module load
  (bnc#1151927 5.3.4).
- cpufreq: imx-cpufreq-dt: Add i.MX8MN support (bnc#1151927
  5.3.4).
- cpufreq: ap806: Add NULL check after kcalloc (bnc#1151927
  5.3.4).
- sched/cpufreq: Align trace event behavior of fast switching
  (bnc#1151927 5.3.4).
- cpuidle: teo: Allow tick to be stopped if PM QoS is used
  (bnc#1151927 5.3.4).
- dmaengine: ti: edma: Do not reset reserved paRAM slots
  (bnc#1151927 5.3.4).
- dmaengine: bcm2835: Print error in case setting DMA mask fails
  (bnc#1151927 5.3.4).
- leds: lm3532: Fixes for the driver for stability (bnc#1151927
  5.3.4).
- led: triggers: Fix a memory leak bug (bnc#1151927 5.3.4).
- leds: leds-lp5562 allow firmware files up to the maximum length
  (bnc#1151927 5.3.4).
- media: videobuf-core.c: poll_wait needs a non-NULL buf pointer
  (bnc#1151927 5.3.4).
- media: ov9650: add a sanity check (bnc#1151927 5.3.4).
- media: aspeed-video: address a protential usage of an
  unitialized var (bnc#1151927 5.3.4).
- media: saa7134: fix terminology around
  saa7134_i2c_eeprom_md7134_gate() (bnc#1151927 5.3.4).
- media: sn9c20x: Add MSI MS-1039 laptop to flip_dmi_table
  (bnc#1151927 5.3.4).
- media: saa7146: add cleanup in hexium_attach() (bnc#1151927
  5.3.4).
- media: cpia2_usb: fix memory leaks (bnc#1151927 5.3.4).
- media: cec-notifier: clear cec_adap in cec_notifier_unregister
  (bnc#1151927 5.3.4).
- media: ttusb-dec: Fix info-leak in ttusb_dec_send_command()
  (bnc#1151927 5.3.4).
- media: dvb-core: fix a memory leak bug (bnc#1151927 5.3.4).
- media: mceusb: fix (eliminate) TX IR signal length limit
  (bnc#1151927 5.3.4).
- media: dvb-frontends: use ida for pll number (bnc#1151927
  5.3.4).
- media: gspca: zero usb_buf on error (bnc#1151927 5.3.4).
- media: hdpvr: add terminating 0 at end of string (bnc#1151927
  5.3.4).
- media: radio/si470x: kill urb on error (bnc#1151927 5.3.4).
- media: imx: mipi csi-2: Don't fail if initial state times-out
  (bnc#1151927 5.3.4).
- media: i2c: ov5645: Fix power sequence (bnc#1151927 5.3.4).
- media: omap3isp: Don't set streaming state on random subdevs
  (bnc#1151927 5.3.4).
- media: omap3isp: Set device on omap3isp subdevs (bnc#1151927
  5.3.4).
- media: vsp1: fix memory leak of dl on error return path
  (bnc#1151927 5.3.4).
- media: rc: imon: Allow iMON RC protocol for ffdc 7e device
  (bnc#1151927 5.3.4).
- media: em28xx: modules workqueue not inited for 2nd device
  (bnc#1151927 5.3.4).
- media: fdp1: Reduce FCP not found message level to debug
  (bnc#1151927 5.3.4).
- media: i2c: tda1997x: prevent potential NULL pointer access
  (bnc#1151927 5.3.4).
- media: mtk-mdp: fix reference count on old device tree
  (bnc#1151927 5.3.4).
- media: media/platform: fsl-viu.c: fix build for MICROBLAZE
  (bnc#1151927 5.3.4).
- media: staging: tegra-vde: Fix build error (bnc#1151927 5.3.4).
- media: iguanair: add sanity checks (bnc#1151927 5.3.4).
- media: don't drop front-end reference count for ->detach
  (bnc#1151927 5.3.4).
- media: hantro: Set DMA max segment size (bnc#1151927 5.3.4).
- media: i2c: ov5640: Check for devm_gpiod_get_optional() error
  (bnc#1151927 5.3.4).
- media: vivid: fix device init when no_error_inj=1 and fb
  disabled (bnc#1151927 5.3.4).
- media: hdpvr: Add device num check and handling (bnc#1151927
  5.3.4).
- media: exynos4-is: fix leaked of_node references (bnc#1151927
  5.3.4).
- media: vivid: work around high stack usage with clang
  (bnc#1151927 5.3.4).
- media: vivid:add sanity check to avoid divide error and set
  value to 1 if 0 (bnc#1151927 5.3.4).
- media: vb2: reorder checks in vb2_poll() (bnc#1151927 5.3.4).
- media: dib0700: fix link error for dibx000_i2c_set_speed
  (bnc#1151927 5.3.4).
- media: mtk-cir: lower de-glitch counter for rc-mm protocol
  (bnc#1151927 5.3.4).
- ASoC: dt-bindings: sun4i-spdif: Fix dma-names warning
  (bnc#1151927 5.3.4).
- ASoC: Intel: Haswell: Adjust machine device private context
  (bnc#1151927 5.3.4).
- ASoC: sun4i-i2s: Don't use the oversample to calculate BCLK
  (bnc#1151927 5.3.4).
- ASoC: SOF: reset DMA state in prepare (bnc#1151927 5.3.4).
- ASoC: SOF: pci: mark last_busy value at runtime PM init
  (bnc#1151927 5.3.4).
- ASoC: sgtl5000: Fix charge pump source assignment (bnc#1151927
  5.3.4).
- ASoC: sgtl5000: Fix of unmute outputs on probe (bnc#1151927
  5.3.4).
- ASoC: tlv320aic31xx: suppress error message for EPROBE_DEFER
  (bnc#1151927 5.3.4).
- ASoC: SOF: Intel: hda: Make hdac_device device-managed
  (bnc#1151927 5.3.4).
- ASoC: dmaengine: Make the pcm->name equal to pcm->id if the
  name is not set (bnc#1151927 5.3.4).
- ASoC: fsl_ssi: Fix clock control issue in master mode
  (bnc#1151927 5.3.4).
- ASoC: es8316: fix headphone mixer volume table (bnc#1151927
  5.3.4).
- ASoC: Intel: NHLT: Fix debug print format (bnc#1151927 5.3.4).
- ASoC: Intel: Fix use of potentially uninitialized variable
  (bnc#1151927 5.3.4).
- ASoC: Intel: Skylake: Use correct function to access iomem space
  (bnc#1151927 5.3.4).
- ASoC: mchp-i2s-mcc: Wait for RX/TX RDY only if controller is
  running (bnc#1151927 5.3.4).
- ASoC: mchp-i2s-mcc: Fix unprepare of GCLK (bnc#1151927 5.3.4).
- ASoC: uniphier: Fix double reset assersion when transitioning
  to suspend state (bnc#1151927 5.3.4).
- ASoC: hdac_hda: fix page fault issue by removing race
  (bnc#1151927 5.3.4).
- ASoC: rsnd: don't call clk_get_rate() under atomic context
  (bnc#1151927 5.3.4).
- ALSA: firewire-motu: add support for MOTU 4pre (bnc#1151927
  5.3.4).
- ALSA: hda/realtek - Blacklist PC beep for Lenovo ThinkCentre
  M73/93 (bnc#1151927 5.3.4).
- ALSA: hda - Drop unsol event handler for Intel HDMI codecs
  (bnc#1151927 5.3.4).
- ALSA: hda - Add a quirk model for fixing Huawei Matebook X
  right speaker (bnc#1151927 5.3.4).
- ALSA: usb-audio: Skip bSynchAddress endpoint check if it is
  invalid (bnc#1151927 5.3.4).
- ALSA: i2c: ak4xxx-adda: Fix a possible null pointer dereference
  in build_adc_controls() (bnc#1151927 5.3.4).
- ALSA: hda - Show the fatal CORB/RIRB error more clearly
  (bnc#1151927 5.3.4).
- ALSA: hda/hdmi - Don't report spurious jack state changes
  (bnc#1151927 5.3.4).
- ALSA: hda: Flush interrupts on disabling (bnc#1151927 5.3.4).
- ALSA: firewire-tascam: check intermediate state of clock status
  and retry (bnc#1151927 5.3.4).
- ALSA: firewire-tascam: handle error code when getting current
  source of clock (bnc#1151927 5.3.4).
- mmc: core: Clarify sdio_irq_pending flag for
  MMC_CAP2_SDIO_IRQ_NOTHREAD (bnc#1151927 5.3.4).
- mmc: mtk-sd: Re-store SDIO IRQs mask at system resume
  (bnc#1151927 5.3.4).
- mmc: dw_mmc: Re-store SDIO IRQs mask at system resume
  (bnc#1151927 5.3.4).
- mmc: core: Add helper function to indicate if SDIO IRQs is
  enabled (bnc#1151927 5.3.4).
- mmc: sdhci: Fix incorrect switch to HS mode (bnc#1151927 5.3.4).
- block: make rq sector size accessible for block stats
  (bnc#1151927 5.3.4).
- md/raid0: avoid RAID0 data corruption due to layout confusion
  (bnc#1151927 5.3.4).
- raid5: don't set STRIPE_HANDLE to stripe which is in batch list
  (bnc#1151927 5.3.4).
- raid5: don't increment read_errors on EILSEQ return (bnc#1151927
  5.3.4).
- md/raid1: fail run raid1 array when active disk less than one
  (bnc#1151927 5.3.4).
- closures: fix a race on wakeup from closure_sync (bnc#1151927
  5.3.4).
- block: mq-deadline: Fix queue restart handling (bnc#1151927
  5.3.4).
- nvme-multipath: fix ana log nsid lookup when nsid is not found
  (bnc#1151927 5.3.4).
- nvmet: fix data units read and written counters in SMART log
  (bnc#1151927 5.3.4).
- md: don't report active array_state until after
  revalidate_disk() completes (bnc#1151927 5.3.4).
- md: only call set_in_sync() when it is expected to succeed
  (bnc#1151927 5.3.4).
- nbd: add missing config put (bnc#1151927 5.3.4).
- blk-mq: Fix memory leak in blk_mq_init_allocated_queue error
  handling (bnc#1151927 5.3.4).
- loop: Add LOOP_SET_DIRECT_IO to compat ioctl (bnc#1151927
  5.3.4).
- md: don't call spare_active in md_reap_sync_thread if all
  member devices can't work (bnc#1151927 5.3.4).
- md: don't set In_sync if array is frozen (bnc#1151927 5.3.4).
- md/raid1: end bio when the device faulty (bnc#1151927 5.3.4).
- md/raid6: Set R5_ReadError when there is read failure on parity
  disk (bnc#1151927 5.3.4).
- scsi: implement .cleanup_rq callback (bnc#1151927 5.3.4).
- blk-mq: add callback of .cleanup_rq (bnc#1151927 5.3.4).
- libata/ahci: Drop PCS quirk for Denverton and beyond
  (bnc#1151927 5.3.4).
- io_uring: fix wrong sequence setting logic (bnc#1151927 5.3.4).
- s390/crypto: xts-aes-s390 fix extra run-time crypto self tests
  finding (bnc#1151927 5.3.4).
- s390/kasan: provide uninstrumented __strlen (bnc#1151927 5.3.4).
- posix-cpu-timers: Sanitize bogus WARNONS (bnc#1151927 5.3.4).
- x86/apic/vector: Warn when vector space exhaustion breaks
  affinity (bnc#1151927 5.3.4).
- x86/apic: Make apic_pending_intr_clear() more robust
  (bnc#1151927 5.3.4).
- x86/apic: Soft disable APIC before initializing it (bnc#1151927
  5.3.4).
- x86/reboot: Always use NMI fallback when shutdown via reboot
  vector IPI fails (bnc#1151927 5.3.4).
- irqchip/gic-v3-its: Fix LPI release for Multi-MSI devices
  (bnc#1151927 5.3.4).
- x86/mm/pti: Do not invoke PTI functions when PTI is disabled
  (bnc#1151927 5.3.4).
- x86/mm/pti: Handle unaligned address gracefully in
  pti_clone_pagetable() (bnc#1151927 5.3.4).
- tools/power/x86/intel-speed-select: Fix memory leak (bnc#1151927
  5.3.4).
- platform/x86: intel_int0002_vgpio: Fix wakeups not working on
  Cherry Trail (bnc#1151927 5.3.4).
- platform/x86: intel_pmc_core_pltdrv: Module removal warning fix
  (bnc#1151927 5.3.4).
- platform/x86: intel_pmc_core: Do not ioremap RAM (bnc#1151927
  5.3.4).
- x86/platform/intel/iosf_mbi Rewrite locking (bnc#1151927 5.3.4).
- x86/mm: Fix cpumask_of_node() error condition (bnc#1151927
  5.3.4).
- x86/cpu: Add Tiger Lake to Intel family (bnc#1151927 5.3.4).
- sched/psi: Correct overly pessimistic size calculation
  (bnc#1151927 5.3.4).
- sched/fair: Use rq_lock/unlock in online_fair_sched_group
  (bnc#1151927 5.3.4).
- rcu/tree: Fix SCHED_FIFO params (bnc#1151927 5.3.4).
- sched/core: Fix CPU controller for !RT_GROUP_SCHED (bnc#1151927
  5.3.4).
- rcu/tree: Call setschedule() gp ktread to SCHED_FIFO outside
  of atomic region (bnc#1151927 5.3.4).
- sched/deadline: Fix bandwidth accounting at all levels after
  offline migration (bnc#1151927 5.3.4).
- time/tick-broadcast: Fix tick_broadcast_offline() lockdep
  complaint (bnc#1151927 5.3.4).
- sched/fair: Fix imbalance due to CPU affinity (bnc#1151927
  5.3.4).
- kprobes: Prohibit probing on BUG() and WARN() address
  (bnc#1151927 5.3.4).
- libtraceevent: Change users plugin directory (bnc#1151927
  5.3.4).
- perf evlist: Use unshare(CLONE_FS) in sb threads to let
  setns(CLONE_NEWNS) work (bnc#1151927 5.3.4).
- perf script: Fix memory leaks in list_scripts() (bnc#1151927
  5.3.4).
- perf report: Fix --ns time sort key output (bnc#1151927 5.3.4).
- perf trace beauty ioctl: Fix off-by-one error in cmd->string
  table (bnc#1151927 5.3.4).
- libperf: Fix alignment trap with xyarray contents in 'perf stat'
  (bnc#1151927 5.3.4).
- tools headers: Fixup bitsperlong per arch includes (bnc#1151927
  5.3.4).
- perf unwind: Fix libunwind when tid != pid (bnc#1151927 5.3.4).
- perf record: Support aarch64 random socket_id assignment
  (bnc#1151927 5.3.4).
- perf tools: Fix paths in include statements (bnc#1151927 5.3.4).
- perf test vfs_getname: Disable ~/.perfconfig to get default
  output (bnc#1151927 5.3.4).
- perf config: Honour $PERF_CONFIG env var to specify alternate
  .perfconfig (bnc#1151927 5.3.4).
- efi: cper: print AER info of PCIe fatal error (bnc#1151927
  5.3.4).
- idle: Prevent late-arriving interrupts from disrupting offline
  (bnc#1151927 5.3.4).
- rcu: Add destroy_work_on_stack() to match INIT_WORK_ONSTACK()
  (bnc#1151927 5.3.4).
- arm64: dts: rockchip: limit clock rate of MMC controllers for
  RK3328 (bnc#1151927 5.3.4).
- ARM: dts: exynos: Mark LDO10 as always-on on Peach Pit/Pi
  Chromebooks (bnc#1151927 5.3.4).
- arm64: dts: qcom: qcs404-evb: Mark WCSS clocks protected
  (bnc#1151927 5.3.4).
- arm64: dts: meson: fix boards regulators states format
  (bnc#1151927 5.3.4).
- arm64: dts: imx8mq: Correct OPP table according to latest
  datasheet (bnc#1151927 5.3.4).
- ARM: dts: imx7-colibri: disable HS400 (bnc#1151927 5.3.4).
- ARM: dts: imx7d: cl-som-imx7: make ethernet work again
  (bnc#1151927 5.3.4).
- base: soc: Export soc_device_register/unregister APIs
  (bnc#1151927 5.3.4).
- firmware: qcom_scm: Use proper types for dma mappings
  (bnc#1151927 5.3.4).
- soc: amlogic: meson-clk-measure: protect measure with a mutex
  (bnc#1151927 5.3.4).
- soc: renesas: Enable ARM_ERRATA_754322 for affected Cortex-A9
  (bnc#1151927 5.3.4).
- soc: renesas: rmobile-sysc: Set GENPD_FLAG_ALWAYS_ON for
  always-on domain (bnc#1151927 5.3.4).
- firmware: arm_scmi: Check if platform has released shmem before
  using (bnc#1151927 5.3.4).
- ARM: zynq: Use memcpy_toio instead of memcpy on smp bring-up
  (bnc#1151927 5.3.4).
- ARM: OMAP2+: move platform-specific asm-offset.h to
  arch/arm/mach-omap2 (bnc#1151927 5.3.4).
- ARM: at91: move platform-specific asm-offset.h to
  arch/arm/mach-at91 (bnc#1151927 5.3.4).
- net: lpc-enet: fix printk format strings (bnc#1151927 5.3.4).
- ARM: xscale: fix multi-cpu compilation (bnc#1151927 5.3.4).
- dmaengine: iop-adma: use correct printk format strings
  (bnc#1151927 5.3.4).
- parisc: Disable HP HSC-PCI Cards to prevent kernel crash
  (bnc#1151927 5.3.4).
- ia64:unwind: fix double free for mod->arch.init_unw_table
  (bnc#1151927 5.3.4).
- irqchip/sifive-plic: set max threshold for ignored handlers
  (bnc#1151927 5.3.4).
- m68k: Prevent some compiler warnings in Coldfire builds
  (bnc#1151927 5.3.4).
- arm64: Use correct ll/sc atomic constraints (bnc#1151927 5.3.4).
- jump_label: Don't warn on __exit jump entries (bnc#1151927
  5.3.4).
- arm64: tlb: Ensure we execute an ISB following walk cache
  invalidation (bnc#1151927 5.3.4).
- kasan/arm64: fix CONFIG_KASAN_SW_TAGS && KASAN_INLINE
  (bnc#1151927 5.3.4).
- arm64: kpti: ensure patched kernel text is fetched from PoU
  (bnc#1151927 5.3.4).
- arm64: entry: Move ct_user_exit before any other exception
  (bnc#1151927 5.3.4).
- powerpc/Makefile: Always pass --synthetic to nm if supported
  (bnc#1151927 5.3.4).
- arm64/efi: Move variable assignments after SECTIONS (bnc#1151927
  5.3.4).
- arm64/prefetch: fix a -Wtype-limits warning (bnc#1151927 5.3.4).
- arm64: mm: free the initrd reserved memblock in a aligned manner
  (bnc#1151927 5.3.4).
- iommu/amd: Silence warnings under memory pressure (bnc#1151927
  5.3.4).
- iommu/amd: Override wrong IVRS IOAPIC on Raven Ridge systems
  (bnc#1151927 5.3.4).
- iommu/arm-smmu-v3: Disable detection of ATS and PRI (bnc#1151927
  5.3.4).
- gpio: madera: Add support for Cirrus Logic CS47L92 (bnc#1151927
  5.3.4).
- gpio: madera: Add support for Cirrus Logic CS47L15 (bnc#1151927
  5.3.4).
- spi: ep93xx: Repair SPI CS lookup tables (bnc#1151927 5.3.4).
- spi: dw-mmio: Clock should be shut when error occurs
  (bnc#1151927 5.3.4).
- spi: bcm2835: Work around DONE bit erratum (bnc#1151927 5.3.4).
- spi: spi-fsl-dspi: Exit the ISR with IRQ_NONE when it's not ours
  (bnc#1151927 5.3.4).
- regulator: Defer init completion for a while after late_initcall
  (bnc#1151927 5.3.4).
- regulator: lm363x: Fix n_voltages setting for lm36274
  (bnc#1151927 5.3.4).
- regulator: lm363x: Fix off-by-one n_voltages for lm3632
  ldo_vpos/ldo_vneg (bnc#1151927 5.3.4).
- hwmon: (acpi_power_meter) Change log level for 'unsafe software
  power cap' (bnc#1151927 5.3.4).
- RAS: Build debugfs.o only when enabled in Kconfig (bnc#1151927
  5.3.4).
- EDAC/amd64: Support more than two controllers for chip selects
  handling (bnc#1151927 5.3.4).
- EDAC, pnd2: Fix ioremap() size in dnv_rd_reg() (bnc#1151927
  5.3.4).
- EDAC/altera: Use the proper type for the IRQ status bits
  (bnc#1151927 5.3.4).
- EDAC/mc: Fix grain_bits calculation (bnc#1151927 5.3.4).
- tpm_tis_core: Turn on the TPM before probing IRQ's (bnc#1151927
  5.3.4).
- Update patches.suse/tpm_tis_core-Set-TPM_CHIP_FLAG_IRQ-before-probing-fo.patch
- commit 44d74c4
* Tue Oct  8 2019 mhocko@suse.com
- kernel/sysctl.c: do not override max_threads provided by
  userspace (bnc#1150875).
- commit c8680bd
* Mon Oct  7 2019 msuchanek@suse.de
- powerpc/pseries/mobility: use cond_resched when updating device
  tree (bsc#1153112 ltc#181778).
- powerpc/rtas: allow rescheduling while changing cpu states
  (bsc#1153112 ltc#181778).
- commit 6d0719a
* Mon Oct  7 2019 msuchanek@suse.de
- powerpc/64s/pseries: radix flush translations before MMU is
  enabled at boot (bsc#1055186).
- commit 90a9436
* Mon Oct  7 2019 martin.wilck@suse.com
- block: drop device references in bsg_queue_rq() (bsc#1153217).
- commit b02e448
* Mon Oct  7 2019 tbogendoerfer@suse.de
- Re-activated still not upstream mvpp2 patch (bsc#1117016)
- commit 6e10d56
* Mon Oct  7 2019 tbogendoerfer@suse.de
- Delete
  patches.suse/lustre-Simplify-ib_post_-send-recv-srq_recv-calls.patch.
  No longer needed.
- commit 8d0fb6b
* Mon Oct  7 2019 jthumshirn@suse.de
- libnvdimm/altmap: Track namespace boundaries in altmap
  (bsc#1150305).
- commit 458a137
* Mon Oct  7 2019 jslaby@suse.cz
- Linux 5.3.3 (bnc#1151927 5.3.3).
- commit d0d68ea
* Mon Oct  7 2019 pvorel@suse.cz
- alarmtimer: Use EOPNOTSUPP instead of ENOTSUPP (bsc#1151680).
- commit 87f78af
* Mon Oct  7 2019 ohering@suse.de
- scsi: storvsc: setup 1:1 mapping between hardware queue and
  CPU queue (fate#323887).
- commit 96ad9b0
* Sun Oct  6 2019 mkubecek@suse.cz
- hwmon: (k10temp) Add support for AMD family 17h, model 70h CPUs
  (bsc#1153137).
- x86/amd_nb: Add PCI device IDs for family 17h, model 70h
  (bsc#1153137).
- commit 6e407a5
* Fri Oct  4 2019 msuchanek@suse.de
- powerpc/64s/radix: tidy up TLB flushing code (bsc#1152885).
- powerpc/64s: remove register_process_table callback
  (bsc#1152885).
- commit 33f6003
* Fri Oct  4 2019 mkubecek@suse.cz
- Linux 5.3.2 (bnc#1151927 5.3.2).
- ALSA: usb-audio: Add DSD support for EVGA NU Audio (bnc#1151927
  5.3.2).
- ALSA: hda - Add laptop imic fixup for ASUS M9V laptop
  (bnc#1151927 5.3.2).
- ALSA: hda - Apply AMD controller workaround for Raven platform
  (bnc#1151927 5.3.2).
- ALSA: usb-audio: Add Hiby device family to quirks for native
  DSD support (bnc#1151927 5.3.2).
- ALSA: dice: fix wrong packet parameter for Alesis iO26
  (bnc#1151927 5.3.2).
- Revert "mm/z3fold.c: fix race between migration and destruction"
  (bnc#1151927 5.3.2).
- platform/x86: i2c-multi-instantiate: Derive the device name
  from parent (bnc#1151927 5.3.2).
- HID: Add quirk for HP X500 PIXART OEM mouse (bnc#1151927 5.3.2).
- HID: prodikeys: Fix general protection fault during probe
  (bnc#1151927 5.3.2).
- HID: sony: Fix memory corruption issue on cleanup (bnc#1151927
  5.3.2).
- HID: logitech-dj: Fix crash when initial
  logi_dj_recv_query_paired_devices fails (bnc#1151927 5.3.2).
- HID: logitech: Fix general protection fault caused by Logitech
  driver (bnc#1151927 5.3.2).
- HID: hidraw: Fix invalid read in hidraw_ioctl (bnc#1151927
  5.3.2).
- crypto: talitos - fix missing break in switch statement
  (bnc#1151927 5.3.2).
- mtd: cfi_cmdset_0002: Use chip_good() to retry in
  do_write_oneword() (bnc#1151927 5.3.2).
- clk: imx: imx8mm: fix audio pll setting (bnc#1151927 5.3.2).
- drm/amd/display: Don't replace the dc_state for fast updates
  (bnc#1151927 5.3.2).
- drm/amd/display: Skip determining update type for async updates
  (bnc#1151927 5.3.2).
- drm/amd/display: Allow cursor async updates for framebuffer
  swaps (bnc#1151927 5.3.2).
- drm/amd/display: readd -msse2 to prevent Clang from emitting
  libcalls to undefined SW FP routines (bnc#1151927 5.3.2).
- netfilter: add missing IS_ENABLED(CONFIG_NF_TABLES) check to
  header-file (bnc#1151927 5.3.2).
- clocksource/drivers: Do not warn on probe defer (bnc#1151927
  5.3.2).
- clocksource/drivers/timer-of: Do not warn on deferred probe
  (bnc#1151927 5.3.2).
- objtool: Clobber user CFLAGS variable (bnc#1151927 5.3.2).
- commit 8866153
* Fri Oct  4 2019 mkubecek@suse.cz
- Update references (add bnc#1151927 5.3.2) and refresh
  patches.suse/powerpc-xive-Fix-bogus-error-code-returned-by-OPAL.patch
- commit cf3b8a7
* Fri Oct  4 2019 wqu@suse.com
- btrfs: qgroup: Fix reserved data space leak if we have  multiple
  reserve calls (bsc#1152975).
- commit 453d0eb
* Fri Oct  4 2019 wqu@suse.com
- btrfs: qgroup: Fix the wrong target io_tree when freeing
  reserved data space (bsc#1152974).
- commit f48e436
* Fri Oct  4 2019 wqu@suse.com
- btrfs: Fix a regression which we can't convert to SINGLE
  profile (bsc#1152973).
- commit eee41e6
* Fri Oct  4 2019 wqu@suse.com
- btrfs: relocation: fix use-after-free on dead relocation  roots
  (bsc#1152972).
- commit 39b83a8
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc: add machine check safe copy_to_user (jsc#SLE-7730
  jsc#SLE-8330).
  Update config files.
- powerpc/memcpy: Add memcpy_mcsafe for pmem (jsc#SLE-7730
  jsc#SLE-8330).
- powerpc/mce: Handle UE event for memcpy_mcsafe (jsc#SLE-7730
  jsc#SLE-8330).
- extable: Add function to search only kernel exception table
  (jsc#SLE-7730 jsc#SLE-8330).
- powerpc/mce: Make machine_check_ue_event() static (jsc#SLE-7730
  jsc#SLE-8330).
- powerpc/mce: Fix MCE handling for huge pages (jsc#SLE-7730
  jsc#SLE-8330).
- powerpc/mce: Schedule work from irq_work (jsc#SLE-7730
  jsc#SLE-8330).
- commit 12b3809
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc/powernv: Restrict OPAL symbol map to only be readable
  by root (bsc#1152885).
- powerpc/rtas: Unexport rtas_online_cpus_mask,
  rtas_offline_cpus_mask (bsc#1152885).
- commit a002009
* Thu Oct  3 2019 msuchanek@suse.de
- KVM: PPC: Book3S: Enable XIVE native capability only if OPAL
  has required functions (bsc#1061840).
- commit c8b5967
* Thu Oct  3 2019 msuchanek@suse.de
- dma-mapping: explicitly wire up ->mmap and ->get_sgtable
  (bsc#1152879).
- commit 4e5b600
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc/powernv/ioda2: Allocate TCE table levels on demand
  for default DMA window (bsc#1061840).
- commit af7925a
* Thu Oct  3 2019 msuchanek@suse.de
- powerpc/pseries: Call H_BLOCK_REMOVE when supported
  (bsc#1109158).
- powerpc/pseries: Read TLB Block Invalidate Characteristics
  (bsc#1109158).
- commit 4883057
* Thu Oct  3 2019 mkubecek@suse.cz
- config: refresh configs
- commit b8eafb3
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/xive: Fix bogus error code returned by OPAL
  (bsc#1065729).
- commit 9e22168
* Wed Oct  2 2019 msuchanek@suse.de
- blacklist.conf: Add duplicate commit id.
- commit f9863f0
* Wed Oct  2 2019 msuchanek@suse.de
- powerpc/papr_scm: Fix an off-by-one check in papr_scm_meta_{get,
  set} (bsc#1152243 ltc#181472).
- net/ibmvnic: prevent more than one thread from running in reset
  (bsc#1152457 ltc#174432).
- net/ibmvnic: unlock rtnl_lock in reset so linkwatch_event can
  run (bsc#1152457 ltc#174432).
- powerpc/mm: Fixup tlbie vs mtpidr/mtlpidr ordering issue on
  POWER9 (bsc#1152161 ltc#181664).
- powerpc/book3s64/radix: Rename CPU_FTR_P9_TLBIE_BUG feature flag
  (bsc#1152161 ltc#181664).
- powerpc/book3s64/mm: Don't do tlbie fixup for some hardware
  revisions (bsc#1152161 ltc#181664).
- commit 4d9184c
* Wed Oct  2 2019 ohering@suse.de
- irqdomain: Add the missing assignment of domain->fwnode for
  named fwnode (fate#323887).
- commit e4b9c3f
* Wed Oct  2 2019 ohering@suse.de
- KVM: vmx: fix build warnings in hv_enable_direct_tlbflush()
  on i386 (fate#323887).
- KVM: x86: announce KVM_CAP_HYPERV_ENLIGHTENED_VMCS support
  only when it is available (fate#323887).
- KVM/Hyper-V: Add new KVM capability
  KVM_CAP_HYPERV_DIRECT_TLBFLUSH (fate#323887).
- commit 68b44d1
* Wed Oct  2 2019 ohering@suse.de
- cpu/SMT: create and export cpu_smt_possible() (fate#323887).
- smp/hotplug: Track booted once CPUs in a cpumask (fate#323887).
- commit 48d9519
* Wed Oct  2 2019 ohering@suse.de
- KVM: x86: hyper-v: set NoNonArchitecturalCoreSharing CPUID
  bit when SMT is impossible (fate#323887).
- commit 231241b
* Wed Oct  2 2019 ohering@suse.de
- KVM: hyperv: Fix Direct Synthetic timers assert an interrupt
  w/o lapic_in_kernel (fate#323887).
- commit 8f924d6
* Wed Oct  2 2019 ohering@suse.de
- KVM/Hyper-V/VMX: Add direct tlb flush support (fate#323887).
- commit ef750e3
* Wed Oct  2 2019 ohering@suse.de
- x86/Hyper-V: Fix definition of struct hv_vp_assist_page
  (fate#323887).
- commit 1239e74
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Resume after fixing up old primary channels
  (fate#323887).
- commit 9e12e34
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Suspend after cleaning up hv_sock and sub
  channels (fate#323887).
- commit 36c8dd5
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Clean up hv_sock channels by force upon
  suspend (fate#323887).
- commit 9f06b05
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Suspend/resume the vmbus itself for
  hibernation (fate#323887).
- commit 4bd7f09
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Ignore the offers when resuming from
  hibernation (fate#323887).
- commit fe8f660
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Implement suspend/resume for VSC drivers
  for hibernation (fate#323887).
- commit 344d3ff
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Add a helper function is_sub_channel()
  (fate#323887).
- commit 3b1ed7d
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Suspend/resume the synic for hibernation
  (fate#323887).
- commit 121172c
* Wed Oct  2 2019 ohering@suse.de
- Drivers: hv: vmbus: Break out synic enable and disable
  operations (fate#323887).
- commit 561f047
* Wed Oct  2 2019 ohering@suse.de
- HID: hv: Remove dependencies on PAGE_SIZE for ring buffer
  (fate#323887).
- commit 60e6c9f
* Wed Oct  2 2019 ohering@suse.de
- Tools: hv: move to tools buildsystem (fate#323887).
- commit a3f0abd
* Wed Oct  2 2019 ohering@suse.de
- hv_balloon: Reorganize the probe function (fate#323887).
- commit 8480408
* Wed Oct  2 2019 ohering@suse.de
- hv_balloon: Use a static page for the balloon_up send buffer
  (fate#323887).
- commit 9e12837
* Wed Oct  2 2019 ohering@suse.de
- PCI: hv: Use bytes 4 and 5 from instance ID as the PCI domain
  numbers (fate#323887).
- commit 113e837
* Wed Oct  2 2019 ohering@suse.de
- PCI: hv: Detect and fix Hyper-V PCI domain number collision
  (fate#323887, bsc#1150423).
- commit a0e547e
* Wed Oct  2 2019 ohering@suse.de
- hv_netvsc: Sync offloading features to VF NIC (fate#323887).
- commit 392e859
* Wed Oct  2 2019 ohering@suse.de
- hv_netvsc: Allow scatter-gather feature to be tunable
  (fate#323887).
- commit 0aa9a52
* Wed Oct  2 2019 ohering@suse.de
- PCI: hv: Add a Hyper-V PCI interface driver for software
  backchannel interface (fate#323887).
- commit 381f060
* Wed Oct  2 2019 ohering@suse.de
- PCI: hv: Add a paravirtual backchannel in software
  (fate#323887).
- commit 9b88ba8
* Wed Oct  2 2019 ohering@suse.de
- x86/hyperv: Hide pv_ops access for CONFIG_PARAVIRT=n
  (fate#323887).
- commit 334c380
* Wed Oct  2 2019 ohering@suse.de
- clocksource/drivers/hyperv: Enable TSC page clocksource on 32bit
  (fate#323887).
- commit ddf471b
* Wed Oct  2 2019 ohering@suse.de
- clocksource/drivers/hyperv: Add Hyper-V specific sched clock
  function (fate#323887).
- commit 0442bbf
* Wed Oct  2 2019 ohering@suse.de
- clocksource/drivers/hyperv: Allocate Hyper-V TSC page statically
  (fate#323887).
- commit 8fc74ac
* Wed Oct  2 2019 ohering@suse.de
- PCI: hv: Allocate a named fwnode instead of an address-based
  one (fate#323887).
- commit 38fe080
* Wed Oct  2 2019 ohering@suse.de
- drivers: hv: vmbus: Replace page definition with Hyper-V
  specific one (fate#323887).
- commit a1e5f69
* Wed Oct  2 2019 ohering@suse.de
- x86/hyperv: Add functions to allocate/deallocate page for
  Hyper-V (fate#323887).
- commit 357181d
* Wed Oct  2 2019 ohering@suse.de
- x86/hyperv: Create and use Hyper-V page definitions
  (fate#323887).
- commit 0a58e81
* Wed Oct  2 2019 ohering@suse.de
- add mainline tag to a hyperv patch
- commit 994aada
* Wed Oct  2 2019 mkubecek@suse.cz
- series.conf: cleanup
  Move unsortable patch out of sorted section.
- commit 636b696
* Tue Oct  1 2019 mwilck@suse.com
- scsi: scsi_dh_rdac: zero cdb in send_mode_select()
  (bsc#1149313).
- commit e7cd81e
* Tue Oct  1 2019 lduncan@suse.com
- Removed guarded st driver patch: already upstream
- commit b34f3cb
* Tue Oct  1 2019 yousaf.kaukab@suse.com
- arm64: mmc: remove patches already applied to v5.3
  Both patches landed in v5.0
- commit 075db4d
* Tue Oct  1 2019 yousaf.kaukab@suse.com
- arm64: remove 0001-irqchip-gic-v3-its-fix-build-warnings.patch
  Not required on v5.3
- commit db9714b
* Tue Oct  1 2019 yousaf.kaukab@suse.com
- config: arm64: lx2160: enable mobiveil pcie controller driver
- commit 21c2539
* Tue Oct  1 2019 yousaf.kaukab@suse.com
- PCI: mobiveil: Add PCIe Gen4 RC driver for NXP Layerscape SoCs
  (fate#326572).
- PCI: mobiveil: Add 8-bit and 16-bit CSR register accessors
  (fate#326572).
- PCI: mobiveil: Make mobiveil_host_init() can be used to re-init
  host (fate#326572).
- PCI: mobiveil: Refactor Mobiveil PCIe Host Bridge IP driver
  (fate#326572).
- PCI: mobiveil: Fix the CPU base address setup in inbound window
  (fate#326572).
- commit 1e982e0
* Tue Oct  1 2019 ykaukab@suse.de
- arm64: lx2160: remove mobiveil PCIe driver v5
  Preparing to bring in v8. Most of the patches are already included in
  v5.3.
- commit 136f3e5
* Tue Oct  1 2019 ykaukab@suse.de
- PCI: Add quirk to disable MSI-X support for Amazon's Annapurna
  Labs Root Port (bsc#1152187,bsc#1152525).
- PCI/VPD: Prevent VPD access for Amazon's Annapurna Labs Root
  Port (bsc#1152187,bsc#1152525).
- PCI: Add ACS quirk for Amazon Annapurna Labs root ports
  (bsc#1152187,bsc#1152525).
- PCI: Add Amazon's Annapurna Labs vendor ID
  (bsc#1152187,bsc#1152525).
- commit cb75ccf
* Tue Oct  1 2019 oneukum@suse.com
- usb: typec: tps6598x: Fix build error without CONFIG_REGMAP_I2C
  (bsc#1152489).
- commit 50acd22
* Tue Oct  1 2019 oneukum@suse.com
- usb: dwc3: meson-g12a: fix suspend resume regulator unbalanced
  disables (bsc#1152489).
- commit f417fe7
* Tue Oct  1 2019 oneukum@suse.com
- b2c2-flexcop-usb: add sanity checking (bsc#1146540
  CVE-2019-15291).
- commit 300993f
* Tue Oct  1 2019 oneukum@suse.com
- ipmi: move message error checking to avoid deadlock
  (bsc#1152489).
- commit 78528fd
* Tue Oct  1 2019 bp@suse.de
- x86/cpufeatures: Enable a new AVX512 CPU feature (jsc#SLE-7925).
- commit 400d642
* Tue Oct  1 2019 jslaby@suse.cz
- Update config files.
  Enable CONFIG_X86_5LEVEL (jsc#SLE-9308).
- commit fad1d7e
* Tue Oct  1 2019 tzimmermann@suse.de
- drm/mgag200: Don't unpin the current cursor image's buffer. (bsc#1152472)
- commit 6389bb6
* Tue Oct  1 2019 tzimmermann@suse.de
- drm/mgag200: Set cursor scanout address to correct BO (bsc#1152472)
- commit fba11f2
* Tue Oct  1 2019 tzimmermann@suse.de
- drm/mgag200: Pin displayed cursor BO to video memory (bsc#1152472)
- commit 1cd88ec
* Tue Oct  1 2019 tzimmermann@suse.de
- drm/mgag200: add in missing { } around if block (bsc#1152472)
- commit 5ad6864
* Tue Oct  1 2019 mkubecek@suse.cz
- series.conf: cleanup
  Let's keep the number of top level sections reasonable.
  Update tags (do not use "Patch-mainline: no"):
  patches.suse/printk-console-Correctly-mark-console-that-is-used-w.patch
  patches.suse/printk-panic-Avoid-deadlock-in-printk-after-stopping-CPUs-by-NMI.patch
- commit 9121df0
* Mon Sep 30 2019 bp@suse.de
- EDAC/amd64: Recognize DRAM device type ECC capability
  (bsc#1152489).
- commit abc7ef1
* Mon Sep 30 2019 bp@suse.de
- EDAC/amd64: Decode syndrome before translating address
  (bsc#1152489).
- commit 3c4a52a
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/amdgpu: Fix KFD-related kernel oops on Hawaii (bsc#1152472)
- commit 3c6a999
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/amdkfd: fix a use after free race with mmu_notifer unregister (bsc#1152472)
- commit 792d1c5
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/mcde: Fix DSI transfers (bsc#1152472)
- commit a87cce0
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/msm: Use the correct dma_sync calls harder (bsc#1152472)
- commit 33411e0
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/msm/dsi: Fix return value check for clk_get_parent (bsc#1152472)
- commit b591595
* Mon Sep 30 2019 pmladek@suse.com
- Refresh
  patches.suse/printk-console-Correctly-mark-console-that-is-used-w.patch
- commit d007d29
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu: fix GFXOFF on Picasso and Raven2'
- commit 0b48ba5
* Mon Sep 30 2019 tzimmermann@suse.de
- Revert "drm/amdgpu: free up the first paging queue v2" (bsc#1152472)
- commit beca648
* Mon Sep 30 2019 tzimmermann@suse.de
- Revert "drm/amd/display: Fix underscan not using proper scaling" (bsc#1152472)
- commit 6bc7400
* Mon Sep 30 2019 tzimmermann@suse.de
- Revert "drm/amd/display: add global master update lock for DCN2" (bsc#1152472)
- commit 13bba8c
* Mon Sep 30 2019 tzimmermann@suse.de
- Revert "drm/amd/display: navi10 bring up skip dsc encoder config" (bsc#1152472)
- commit f5b512e
* Mon Sep 30 2019 tzimmermann@suse.de
- Revert "drm/amd/display: skip dsc config for navi10 bring up" (bsc#1152472)
- commit e06dd1d
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amd/display: Calculate bpc based on max_requested_bpc'
- commit ba7e6fb
* Mon Sep 30 2019 vbabka@suse.cz
- Update config files. Enable CONFIG_DEBUG_PAGEALLOC.
- commit c9d1113
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/amdgpu/gfx9: update pg_flags after determining if gfx off is possible'
- commit 1687748
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'Revert "drm/amdgpu: fix transform feedback GDS hang on gfx10 (v2)"'
- commit 1b720a9
* Mon Sep 30 2019 tzimmermann@suse.de
- drm: fix module name in edid_firmware log message (bsc#1152472)
- commit b1ccfe7
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/imx: Drop unused imx-ipuv3-crtc.o build (bsc#1152472)
- commit c76be29
* Mon Sep 30 2019 vbabka@suse.cz
- x86/kconfig: Remove X86_DIRECT_GBPAGES dependency on
  !DEBUG_PAGEALLOC (PM-1168, bsc#1144653, VM Debug Functionality).
- commit bebf778
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Do not create a new max_bpc prop for MST connectors'
- commit 2f54da8
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix HW readout for crtc_clock in HDMI mode'
- commit d17d39c
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix wrong escape clock divisor init for GLK'
- commit de225fb
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: fix possible memory leak in intel_hdcp_auth_downstream()'
- commit 81e8a9e
* Mon Sep 30 2019 tzimmermann@suse.de
- drm: rcar-du: lvds: Fix bridge_to_rcar_lvds (bsc#1152472)
- commit 7243441
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/amd/display: Use proper enum conversion functions (bsc#1152472)
- commit 8362493
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/amd/display: Support uclk switching for DCN2 (bsc#1152472)
- commit 4b2f15b
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/rockchip: fix VOP_WIN_GET macro (bsc#1152472)
- commit 6dccec7
* Mon Sep 30 2019 tzimmermann@suse.de
- drm: mali-dp: Mark expected switch fall-through (bsc#1152472)
- commit d5b02fc
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/syncobj: fix leaking dma_fence in drm_syncobj_query_ioctl (bsc#1152472)
- commit f87cd1c
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/connector: Fix warning in debug message'
- commit 99fb862
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/bridge: sii902x: fix missing reference to mclk clock (bsc#1152472)
- commit 33a37f2
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/panel: make drm_panel.h self-contained (bsc#1152472)
- commit 24e6b1f
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/lima: Reduce the amount of logs on deferred probe (bsc#1152472)
- commit 7fc211d
* Mon Sep 30 2019 tzimmermann@suse.de
- drm/lima: Mark 64-bit number as ULL (bsc#1152472)
- commit a47d898
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix GEN8_MCR_SELECTOR programming'
- commit 7f9b12e
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/vbt: Fix VBT parsing for the PSR section'
- commit d8eb2fd
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Lock the engine while dumping the active request'
- commit eaa408b
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/perf: add missing delay for OA muxes configuration'
- commit 3e3bf58
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/perf: ensure we keep a reference on the driver'
- commit 2030c79
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gtt: Mark the freed page table entries with scratch'
- commit 1cbd1c3
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/gtt: Defer the free for alloc error paths'
- commit 68741a8
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Deal with machines that expose less than three QGV points'
- commit 984d843
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix memleak in runtime wakeref tracking'
- commit e990311
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: fix whitelist selftests with readonly registers'
- commit 8c63a7c
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix the TBT AUX power well enabling'
- commit e962027
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Lift intel_engines_resume() to callers'
- commit b42e83a
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Only recover active engines'
- commit 562ba01
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Fix various tracepoints for gen2'
- commit 53b1384
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915/perf: fix ICL perf register offsets'
- commit f94a6d1
* Mon Sep 30 2019 tzimmermann@suse.de
- blacklist.conf: Append 'drm/i915: Keep rings pinned while the context is active'
- commit ddd1ccc
* Mon Sep 30 2019 tzimmermann@suse.de
- video: backlight: Drop default m for {LCD,BACKLIGHT_CLASS_DEVICE} (bsc#1152472)
- commit 85cda2a
* Mon Sep 30 2019 tzimmermann@suse.de
- video: ssd1307fb: Start page range at page_offset (bsc#1152472)
- commit 8809ebe
* Mon Sep 30 2019 pmladek@suse.com
- printk/panic: Avoid deadlock in printk() after stopping CPUs
  by NMI (bsc#1148712).
- commit dd62e61
* Mon Sep 30 2019 pvorel@suse.cz
- blacklist.conf: blacklist 34cd83bb8a46
- commit e519fc0
* Mon Sep 30 2019 mkubecek@suse.cz
- series.conf: cleanup
- commit 56e35ef
* Mon Sep 30 2019 jlee@suse.com
- KEYS: Make use of platform keyring for module signature verify
  (FATE#314508, FATE#316531).
- commit 0722d07
* Fri Sep 27 2019 mbenes@suse.cz
- livepatch: Nullify obj->mod in klp_module_coming()'s error path
  (bsc#1071995 fate#323487).
- commit a28c007
* Thu Sep 26 2019 jlee@suse.com
- Delete
  patches.suse/0006-modsign-Use-secondary-trust-keyring-for-module-signi.patch.
  This patch be replaced by e84cd7ee63 in v5.0-rc1.
- commit e937c06
* Thu Sep 26 2019 jlee@suse.com
- Delete
  patches.suse/0001-KEYS-Allow-unrestricted-boot-time-addition-of-keys-t.patch.
  This patch be replaced by 60740accf78 in v5.0-rc1. The UEFI keys will be add
  to platform keyring instead of secondary certificates keyring.
- commit bc249e1
* Thu Sep 26 2019 jlee@suse.com
- Delete
  patches.suse/0005-MODSIGN-Allow-the-db-UEFI-variable-to-be-suppressed.patch.
  This patch be replaced by 386b49f51dc in v5.0-rc1
- commit 58a4a2d
* Thu Sep 26 2019 jlee@suse.com
- Delete
  patches.suse/0003-efi-Add-an-EFI-signature-blob-parser.patch.
  This patch be replaced by 0bc9ae395b in v5.0-rc1.
- commit 1c1cc93
* Thu Sep 26 2019 jlee@suse.com
- Delete patches.suse/0002-efi-Add-EFI-signature-data-types.patch.
  This patch be replaced by 5c126ba22f in v5.0-rc1.
- commit 3868a56
* Wed Sep 25 2019 ailiopoulos@suse.com
- Delete patches.suse/squashfs-3.4.patch.
  Deprecate squashfs-3.4 legacy fs format support (jsc#SLE-9416)
- commit e1d0aab
* Wed Sep 25 2019 jlee@suse.com
- Delete
  patches.suse/0004-MODSIGN-Import-certificates-from-UEFI-Secure-Boot.patch.
  This patch be replaced by 15ea0e1e3e in v5.0-rc1.
- commit d558f60
* Wed Sep 25 2019 mkubecek@suse.cz
- supported.conf: cleanup
- drop obsolete mask sound/oss/*
- drop removed module nf_conntrack_slp
- commit 30def80
* Wed Sep 25 2019 jslaby@suse.cz
- config.conf: disable vanilla flavour
  As was discussed on the labs conf 2019, vanilla flavour is barely
  used. Given we are not going to use stable patches when building
  kernel-vanilla, it becomes a yet bit more useless. So disable it for
  now only. If nobody cares, we can drop also the configs later.
- commit 4223115
* Wed Sep 25 2019 jslaby@suse.cz
- Linux 5.3.1 (bnc#1151927 5.3.1).
- ovl: fix regression caused by overlapping layers detection
  (bnc#1151927 5.3.1).
- xen-netfront: do not assume sk_buff_head list is empty in
  error handling (bnc#1151927 5.3.1).
- net: stmmac: Hold rtnl lock in suspend/resume callbacks
  (bnc#1151927 5.3.1).
- ip6_gre: fix a dst leak in ip6erspan_tunnel_xmit (bnc#1151927
  5.3.1).
- udp: correct reuseport selection with connected sockets
  (bnc#1151927 5.3.1).
- net_sched: let qdisc_put() accept NULL pointer (bnc#1151927
  5.3.1).
- net: dsa: Fix load order between DSA drivers and taggers
  (bnc#1151927 5.3.1).
- net/sched: fix race between deactivation and dequeue for NOLOCK
  qdisc (bnc#1151927 5.3.1).
- nl80211: Fix possible Spectre-v1 for CQM RSSI thresholds
  (bnc#1151927 5.3.1).
- firmware: google: check if size is valid when decoding VPD data
  (bnc#1151927 5.3.1).
- phy: qcom-qmp: Correct ready status, again (bnc#1151927 5.3.1).
- phy: renesas: rcar-gen3-usb2: Disable clearing VBUS in
  over-current (bnc#1151927 5.3.1).
- serial: sprd: correct the wrong sequence of arguments
  (bnc#1151927 5.3.1).
- tty/serial: atmel: reschedule TX after RX was started
  (bnc#1151927 5.3.1).
- USB: usbcore: Fix slab-out-of-bounds bug during device reset
  (bnc#1151927 5.3.1).
- KVM: coalesced_mmio: add bounds checking (bnc#1151927 5.3.1).
- media: tm6000: double free if usb disconnect while streaming
  (bnc#1151927 5.3.1).
- media: technisat-usb2: break out of loop at end of buffer
  (bnc#1151927 5.3.1).
- floppy: fix usercopy direction (bnc#1151927 5.3.1).
- Documentation: sphinx: Add missing comma to list of strings
  (bnc#1151927 5.3.1).
- Revert "arm64: Remove unnecessary ISBs from set_{pte,pmd,pud}"
  (bnc#1151927 5.3.1).
- commit af71771
* Tue Sep 24 2019 msuchanek@suse.de
- enable VFIO-CCW and CCW IOMMU (bsc#1151192 jsc#SLE-6138)
- config changes (s390x only)
  - VFIO_CCW=m
  - S390_CCW_IOMMU=y
- supported.conf: add vfio_ccw as externally supported (by IBM)
  supported.conf: Add vfio_ccw (bsc#1151192 jsc#SLE-6138).
- commit bbfc15f
* Tue Sep 24 2019 hare@suse.de
- Compile nvme.ko as module (bsc#1150846, bsc#1150850, bsc#1161889)
- commit 12cab35
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/64s/radix: Fix memory hotplug section page table
  creation (bsc#1065729).
- commit 431bc28
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/pseries: Fix cpu_hotplug_lock acquisition in
  resize_hpt() (bsc#1065729).
- commit e574522
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/xive: Implement get_irqchip_state method for XIVE to
  fix shutdown race (bsc#1065729).
- commit a9647b9
* Mon Sep 23 2019 msuchanek@suse.de
- tpm_tis_core: Set TPM_CHIP_FLAG_IRQ before probing for
  interrupts (bsc#1082555).
- commit d3b1602
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/64s/radix: Fix memory hot-unplug page table split
  (bsc#1065729).
- powerpc/powernv/ioda: Fix race in TCE level allocation
  (bsc#1061840).
- KVM: PPC: Book3S HV: Don't lose pending doorbell request on
  migration on P9 (bsc#1061840).
- KVM: PPC: Book3S HV: Check for MMU ready on piggybacked virtual
  cores (bsc#1061840).
- KVM: PPC: Book3S HV: Don't push XIVE context when not using
  XIVE device (bsc#1061840).
- KVM: PPC: Book3S HV: Fix race in re-enabling XIVE escalation
  interrupts (bsc#1061840).
- KVM: PPC: Book3S HV: XIVE: Free escalation interrupts before
  disabling the VP (bsc#1061840).
- commit 3411cdc
* Mon Sep 23 2019 jroedel@suse.de
- iommu/dma: Fix for dereferencing before null checking
  (bsc#1151674).
- iommu/iova: Avoid false sharing on fq_timer_on (bsc#1151675).
- iommu/vt-d: Fix wrong analysis whether devices share the same
  bus (bsc#1151679).
- iommu/ipmmu-vmsa: Move IMTTBCR_SL0_TWOBIT_* to restore sort
  order (bsc#1151676).
- iommu/mediatek: Fix VLD_PA_RNG register backup when suspend
  (bsc#1151678).
- iommu/mediatek: Fix iova_to_phys PA start for 4GB mode
  (bsc#1151677).
- commit 6809156
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/64s/exception: reduce page fault unnecessary loads
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Remove pointless KVM handler name
  bifurcation (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: program check handler do not branch
  into a macro (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: move interrupt entry code above the
  common handler (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: INT_COMMON add DAR, DSISR, reconcile
  options (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Expand EXCEPTION_PROLOG_COMMON_1 and
  2 into caller (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Expand EXCEPTION_COMMON macro into caller
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Add INT_COMMON gas macro to generate
  common exception code (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Merge EXCEPTION_PROLOG_COMMON_2/3
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: KVM_HANDLER reorder arguments to match
  other macros (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Add INT_KVM_HANDLER gas macro
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: INT_HANDLER support HDAR/HDSISR and
  use it in HDSI (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Add the virt variant of the denorm
  interrupt handler (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: remove EXCEPTION_PROLOG_0/1, rename _2
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exceptions: Use keyword params to shorten arg lists
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Replace PROLOG macros and EXC helpers
  with a gas macro (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: remove 0xb00 handler (jsc#PM-1334
  jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Fix performance monitor virt handler
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Add EXC_HV_OR_STD, which selects HSRR
  if HVMODE (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: move head-64.h exception code to
  exception-64s.S (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: Fix DAR load for handle_page_fault
  error case (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check improve labels and comments
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: untangle early machine check handler
  branch (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check move unrecoverable handling
  out of line (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: simplify machine check early path
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check move tramp code
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check restructure to reuse
  common macros (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check pseries should skip
  the late handler for kernel MCEs (jsc#PM-1334 jsc#SLE-9246
  jsc#SLE-9251).
- powerpc/64s/pseries: machine check convert to use common event
  code (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/powernv: machine check dump SLB contents
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check use correct cfar for late
  handler (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check remove
  machine_check_pSeries_0 branch (jsc#PM-1334 jsc#SLE-9246
  jsc#SLE-9251).
- powerpc/64s/exception: machine check pseries should always
  run the early handler (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check adjust RFI target
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check fix KVM guest test
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check remove bitrotted comment
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- powerpc/64s/exception: machine check fwnmi remove HV case
  (jsc#PM-1334 jsc#SLE-9246 jsc#SLE-9251).
- commit 0e08ffb
* Mon Sep 23 2019 msuchanek@suse.de
- kexec_elf: support 32 bit ELF files (jsc#PM-1333 jsc#SLE-9255
  jsc#SLE-9527).
- kexec_elf: remove unused variable in kexec_elf_load()
  (jsc#PM-1333 jsc#SLE-9255 jsc#SLE-9527).
- kexec_elf: remove Elf_Rel macro (jsc#PM-1333 jsc#SLE-9255
  jsc#SLE-9527).
- kexec_elf: remove PURGATORY_STACK_SIZE (jsc#PM-1333 jsc#SLE-9255
  jsc#SLE-9527).
- kexec_elf: remove parsing of section headers (jsc#PM-1333
  jsc#SLE-9255 jsc#SLE-9527).
- kexec_elf: change order of elf_*_to_cpu() functions (jsc#PM-1333
  jsc#SLE-9255 jsc#SLE-9527).
- kexec: add KEXEC_ELF (jsc#PM-1333 jsc#SLE-9255 jsc#SLE-9527).
- new config options:
  - KEXEC_ELF=y (ppc64le only, autoselected)
- commit 2985288
* Mon Sep 23 2019 msuchanek@suse.de
- powerpc/fadump: support holes in kernel boot memory area
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: remove RMA_START and RMA_END macros (jsc#PM-1318
  jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: update documentation about option to release
  opalcore (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: consider f/w load area (jsc#PM-1318 jsc#SLE-9099
  jsc#SLE-9176).
- powerpc/opalcore: provide an option to invalidate
  /sys/firmware/opal/core file (jsc#PM-1318 jsc#SLE-9099
  jsc#SLE-9176).
- powerpc/opalcore: export /sys/firmware/opal/core for analysing
  opal crashes (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- new config options:
  - OPAL_CORE=n (ppc64le only)
- powerpc/fadump: update documentation about
  CONFIG_PRESERVE_FA_DUMP (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: add support to preserve crash data on FADUMP
  disabled kernel (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: improve how crashed kernel's memory is reserved
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: consider reserved ranges while releasing memory
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: make crash memory ranges array allocation
  generic (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: process architected register state data provided
  by firmware (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: make use of memblock's bottom up allocation mode
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: Update documentation about OPAL platform support
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: handle invalidation of crashdump and
  re-registraion (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: Warn before processing partial crashdump
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: process the crashdump by exporting it as
  /proc/vmcore (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: support copying multiple kernel boot memory
  regions (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: define OPAL register/un-register callback
  functions (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: reset metadata address during clean up
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: register kernel metadata address with opal
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: improve fadump_reserve_mem() (jsc#PM-1318
  jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: add fadump support on powernv (jsc#PM-1318
  jsc#SLE-9099 jsc#SLE-9176).
- powerpc/opal: add MPIPL interface definitions (jsc#PM-1318
  jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: use FADump instead of fadump for how it is
  pronounced (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- pseries/fadump: move out platform specific support from generic
  code (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- Refresh patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch.
- powerpc/fadump: release all the memory above boot memory size
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: add source info while displaying region contents
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- pseries/fadump: define RTAS register/un-register callback
  functions (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- Refresh patches.suse/powerpc-fadump-when-fadump-is-supported-register-the.patch.
- powerpc/fadump: introduce callbacks for platform specific
  operations (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: move rtas specific definitions to platform code
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: use helper functions to reserve/release cpu
  notes buffer (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: Improve fadump documentation (jsc#PM-1318
  jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: declare helper functions in internal header file
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- powerpc/fadump: add helper functions (jsc#PM-1318 jsc#SLE-9099
  jsc#SLE-9176).
- powerpc/fadump: move internal macros/definitions to a new header
  (jsc#PM-1318 jsc#SLE-9099 jsc#SLE-9176).
- commit deefc64
* Mon Sep 23 2019 msuchanek@suse.de
- Refresh sorted section.
- Refresh patches.suse/powerpc-dump-kernel-log-before-carrying-out-fadump-o.patch with upstream status.
- commit 9991920
* Wed Sep 18 2019 jroedel@suse.de
- Update config files.
  Disable CONFIG_ARM_SMMU_DISABLE_BYPASS_BY_DEFAULT. Not all drivers are
  ready for this yet, so enabling this config option causes regressions.
  See bsc#1150577 for an example.
- commit 76ac02e
* Mon Sep 16 2019 jroedel@suse.de
- Delete patches.suse/0001-iommu-vt-d-Fix-race-condition-in-add_unmap.patch.
- commit b0363d2
* Mon Sep 16 2019 mkubecek@suse.cz
- Update to 5.3 final
- Eliminated 3 patches
- Refresh configs
  - NF_CONNTRACK_SLP is gone
- commit 6baef36
* Fri Sep 13 2019 tonyj@suse.de
- Move guarded patch into it's own out of tree section
- commit 081b55b
* Fri Sep 13 2019 msuchanek@suse.de
- powerpc/pseries: correctly track irq state in default idle
  (bsc#1150727 ltc#178925).
- commit 97a4665
* Wed Sep 11 2019 mgorman@suse.de
- series.conf: Add note on why pcc-cpufreq patch is being held for evaluation
- commit a514b48
* Tue Sep 10 2019 mkubecek@suse.cz
- Delete patches.suse/netfilter-ip_conntrack_slp.patch (FATE#324143 jsc#SLE-8944 bsc#1127886).
  This veteran out of tree patch is no longer needed since the userspace
  conntrack helper (in conntrack-tools / conntrackd) has reached Factory.
- commit d6f0b71
* Tue Sep 10 2019 mkubecek@suse.cz
- Update and reenable
  patches.suse/Revert-netfilter-conntrack-remove-helper-hook-again.patch
  (FATE#324143 jsc#SLE-8944 bsc#1127886).
- commit 029452e
* Tue Sep 10 2019 msuchanek@suse.de
- powerpc: dump kernel log before carrying out fadump or kdump
  (bsc#1149940 ltc#179958).
- commit 4b365d2
* Tue Sep 10 2019 msuchanek@suse.de
- Refresh patches.suse/net-ibmvnic-Fix-missing-in-__ibmvnic_reset.patch.
- commit 0ebba63
* Tue Sep 10 2019 mkubecek@suse.cz
- series.conf: update sorted section banner
  Make the commit above sorted section less ambiguous. In particular, state
  clearly that patches without Git-commit which cannot be handled by git-sort
  do not belong in it.
- commit 1506bb8
* Tue Sep 10 2019 mkubecek@suse.cz
- series.conf: move unsortable patch out of sorted section
  Patch without Git-commit cannot be sorted so that there is no point having
  it into the sorted section.
- commit f18376e
* Mon Sep  9 2019 msuchanek@suse.de
- net/ibmvnic: Fix missing { in __ibmvnic_reset (bsc#1149652
  ltc#179635).
- commit a3cd2bf
* Mon Sep  9 2019 msuchanek@suse.de
- net/ibmvnic: free reset work of removed device from queue
  (bsc#1149652 ltc#179635).
- commit e64984b
* Mon Sep  9 2019 ailiopoulos@suse.com
- Refresh
  patches.suse/xfs-repair-malformed-inode-items-during-log-recovery.patch.
- commit cbb6da0
* Mon Sep  9 2019 mgorman@suse.de
- config: enable SLAB_FREELIST_HARDENED (bsc#1127808)
  Enable SLAB_FREELIST_HARDENED on all architectures. This obscures the
  free object pointer on a per-cache basis making it more difficult to
  locate kernel objects via exploits probing the cache metadata.
  This change was requested by the upstream openSUSE community to make
  the kernel more resistent to slab freelist attacks. Tests conducted
  by the kernel performance teams confirmed that the performance impact
  is detectable but negligible.
- commit 39e9013
* Mon Sep  9 2019 guillaume.gardet@arm.com
- rpm/constraints.in: lower disk space required for ARM
  With a requirement of 35GB, only 2 slow workers are usable for ARM.
  Current aarch64 build requires 27G and armv6/7 requires 14G.
  Set requirements respectively to 30GB and 20GB.
- commit f84c163
* Mon Sep  9 2019 mkubecek@suse.cz
- Update to 5.3-rc8
- refresh armv6hl configs (IXP4xx drivers no longer visible)
- commit 3dea797
* Mon Sep  9 2019 mkubecek@suse.cz
- config: enable STACKPROTECTOR_STRONG also on armv6hl
  Recently reenabled armv6hl architecture has STACKPROTECTOR_STRONG disabled,
  enable it here as well.
- commit 8c0677d
* Fri Sep  6 2019 msuchanek@suse.de
- powerpc/tm: Fix restoring FP/VMX facility incorrectly on
  interrupts (CVE-2019-15031 bsc#1149713).
- powerpc/tm: Fix FP/VMX unavailable exceptions inside a
  transaction (CVE-2019-15030 bsc#1149713).
- commit ca72e89
* Fri Sep  6 2019 mkubecek@suse.cz
- series.conf: move unsortable patch out of sorted section
- commit 8a360b5
* Thu Sep  5 2019 msuchanek@suse.de
- powerpc/xmon: Add a dump of all XIVE interrupts (bsc#1142019).
- powerpc/xive: Fix dump of XIVE interrupt under pseries
  (bsc#1142019).
- powerpc/xmon: Check for HV mode when dumping XIVE info from OPAL
  (bsc#1142019).
- commit 68e4d5a
* Wed Sep  4 2019 mbenes@suse.cz
- Enable klp-convert patches
  Enable patches.suse/livepatch-create-and-include-UAPI-headers.patch
  Enable and refresh patches.suse/livepatch-modpost-ignore-unresolved-symbols.patch
  Still not in upstream. Submitted though. It seems the final upstream
  version will be a bit different, but we need these two patches for our
  use case.
- commit f385ff2
* Wed Sep  4 2019 mbenes@suse.cz
- Enable patches.suse/livepatch-mark-the-kernel-unsupported-when-disabling.patch
  Still SUSE-specific and still needed.
- commit cd16e71
* Tue Sep  3 2019 msuchanek@suse.de
- powerpc/fadump: when fadump is supported register the fadump
  sysfs files (bsc#1146352).
- commit da248a6
* Tue Sep  3 2019 mkubecek@suse.cz
- config: enable STACKPROTECTOR_STRONG (jsc#SLE-9120 bsc#1130365)
  Enable CONFIG_STACKPROTECTOR_STRONG on all architectures except s390x
  (where the feature is not available). This extends the number of functions
  which are protected by "stack canary" check to catch functions writing past
  their stack frame.
  This change was requested by SUSE security to make our kernels more
  resistant to some types of stack overflow attacks. Tests performed by
  kernel performance teams confirmed that performance impact is acceptable.
- commit 4c43fab
* Tue Sep  3 2019 neilb@suse.com
- Refresh
  patches.suse/0001-NFS-flush-out-dirty-data-on-file-fput.patch.
- Refresh
  patches.suse/0001-NFSv4-don-t-let-hanging-mounts-block-other-mounts.patch.
- NFS: Allow multiple connections to NFSv4.0 servers
  (fate#322786).
- Refresh patches.suse/nfs-set-acl-perm.patch.
- Delete
  patches.suse/0001-NFSv4-handle-EINVAL-from-EXCHANGE_ID-better.patch.
- Delete
  patches.suse/0001-SUNRPC-Allow-creation-of-RPC-clients-with-multiple-c.patch.
- Delete
  patches.suse/0001-sunrpc-include-sup-groups-in-hash.patch.
- Delete
  patches.suse/0002-NFS-Add-a-mount-option-to-specify-number-of-TCP-conn.patch.
- Delete
  patches.suse/0003-NFSv4-Allow-multiple-connections-to-NFSv4.x-x-0-serv.patch.
- Delete
  patches.suse/0004-pNFS-Allow-multiple-connections-to-the-DS.patch.
- Delete
  patches.suse/0005-NFS-Display-the-nconnect-mount-option-if-it-is-set.patch.
- Delete
  patches.suse/0007-SUNRPC-Mask-XIDs-to-prevent-replay-cache-collision.patch.
- Delete patches.suse/NFS-optional-NFSv4_2-fix.patch.
- Delete patches.suse/NFS-optional-NFSv4_2.patch.
- Delete patches.suse/d-lookup-fairness.fix.
- Delete
  patches.suse/getcwd-close-race-with-d_move-called-by-lustre.patch.
- Delete
  patches.suse/sunrpc-cache-handle-missing-listeners-better.patch.
- Delete
  patches.suse/vfs-use-synchronize_rcu_expedited-in-namespace_unlock.patch.
- commit 4685373
* Mon Sep  2 2019 mkubecek@suse.cz
- Update to 5.3-rc7
- Refresh configs
  - IXP4xx SoC drivers not visible
  - gcc 9.2.1
- commit 9bff5f9
* Sun Sep  1 2019 mkubecek@suse.cz
- config: armv7hl: Enable cadence watchdog
  CONFIG_CADENCE_WATCHDOG is required for Zynq-7000 based MIYR Zturn board.
- commit c4cbe5e
* Fri Aug 30 2019 jthumshirn@suse.de
- Delete patches.suse/nvdimm-testing-provide-SZ_4G.patch.
  The patch was SLE15{,-SP1} specific to provide a constant already
  contained in kernel 5.3.
- commit 4ea3f92
* Fri Aug 30 2019 dmueller@suse.com
- config.conf: Update ARMv6 config files
- commit c17167d
* Fri Aug 30 2019 dmueller@suse.com
- config.conf: Reenable ARMv7 config for Kernel 5.3
  All modules plus errata's enabled. Reused other
  values from x86_64 update.
- commit b1c627e
* Fri Aug 30 2019 tzimmermann@suse.de
- Add "drm/ttm: Remove warning about inconsistent mapping information"
  This patch removes a warning that causes bug reports unnecessarily.
- commit 4a7bc21
* Fri Aug 30 2019 tzimmermann@suse.de
- Add "Reserve 64MiB of CMA for RPi3's VC4"
  Taking this patch from SLE15-SP1 with updates for v5.3. Enables display
  when booting RPi3 installer.
- commit 9fab830
* Fri Aug 30 2019 tzimmermann@suse.de
- Remove "drm/msm: fix address space warning"
  The respective code was removed in v4.20.
- commit 3d7e3d1
* Fri Aug 30 2019 jslaby@suse.cz
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
  Add more placeholders to device.h. In particular, to structs bus_type,
  device_driver, class, and device.
- commit c4220a5
* Thu Aug 29 2019 msuchanek@suse.de
- scsi: cxlflash: Mark expected switch fall-throughs
  (bsc#1148868).
- commit ea514bf
* Wed Aug 28 2019 tiwai@suse.de
- mwifiex: Fix three heap overflow at
  parsing element in cfg80211_ap_settings
  (CVE-2019-14814,bsc#1146512,CVE-2019-14815,bsc#1146514,CVE-2019-14816,bsc#1146516).
- commit 528fd68
* Wed Aug 28 2019 mkubecek@suse.cz
- supported.conf: drop obsolete entries
  Drop supported.conf entries not matching any module built on any
  supported architecture. This commit mostly drops entries for modules
  built in master branch but not SLE15-SP2. Moved and no longer existing
  modules were handled in previous commits in master branch.
- commit 97fd102
* Wed Aug 28 2019 mkubecek@suse.cz
- supported.conf: mark more core networking modules supported
  Two more netfilter modules and one more *_diag should be supported too.
- commit bee2dd8
* Wed Aug 28 2019 mkubecek@suse.cz
- supported.conf: update status of some networking core modules
  This marks new networking modules which should be supported as such; it is
  mostly netfilter and traffic control modules which have been following the
  "support all of them" policy for some time.
- commit 65e1131
* Wed Aug 28 2019 mkubecek@suse.cz
- supported.conf: obsolete paths cleanup
  Update paths for existing modules which were moved, clean up duplicate
  entries and drop entries for modules which no longer exist (either not
  built any more or built into the image now).
- commit 3bb142a
* Wed Aug 28 2019 msuchanek@suse.de
- powerpc/64s: support nospectre_v2 cmdline option (bsc#1131107).
- commit 9cef94b
* Tue Aug 27 2019 mkubecek@suse.cz
- series.conf: add section for SUSE kabi padding patches
  Leave "kABI consistency patches" only for patches.kabi/*
- commit 81c3a75
* Tue Aug 27 2019 mkubecek@suse.cz
- series.conf: move unguarded patches from review section
- commit 6de2b58
* Tue Aug 27 2019 mkubecek@suse.cz
- rpm: raise required disk space for binary packages
  Current disk space constraints (10 GB on s390x, 25 GB on other
  architectures) no longer suffice for 5.3 kernel builds. The statistics
  show ~30 GB of disk consumption on x86_64 and ~11 GB on s390x so raise
  the constraints to 35 GB in general and 14 GB on s390x.
- commit 527cb66
* Tue Aug 27 2019 mhocko@suse.com
- enable and refresh
  patches.suse/memcg-deprecate-memory.force_empty-knob.patch.
- enable patches.suse/mm-inform-about-enabling-mirrored-memory.patch
  both patches are minimal and still useful to identify future
  supportability problems.
- commit 93500e8
* Tue Aug 27 2019 jack@suse.cz
- Update patches.suse/ext4-unsupported-features.patch
  (fate#317919, SLE-8615).
- commit 3b1bc66
* Tue Aug 27 2019 jack@suse.cz
- Refresh and enable valid patches from SLE15-SP1:
- Refresh patches.suse/ext4-dont-warn-when-enabling-DAX.patch.
- Refresh patches.suse/ext4-unsupported-features.patch.
- Refresh patches.suse/unsupported-features.patch.
- commit 9ef1a75
* Tue Aug 27 2019 jack@suse.cz
- Remove patches obsoleted by upstream changes:
- Delete
  patches.suse/arch-powerpc-dax-Add-MAP_SYNC-mmap-flag.patch.
- Delete
  patches.suse/block-Don-t-revalidate-bdev-of-hidden-gendisk.patch.
- Delete patches.suse/fs-speedup-clean-bdev-aliases.patch.
- Delete
  patches.suse/mm-migrate-Fix-reference-check-race-between-__find_get_block-and-migration.patch.
- Delete patches.suse/powerpc-Add-pmem.h.patch.
- commit 21008fb
* Tue Aug 27 2019 bpoirier@suse.com
- Refresh patches.suse/qlge-Deduplicate-lbq_buf_size.patch.
- Refresh
  patches.suse/qlge-Deduplicate-rx-buffer-queue-management.patch.
- Refresh patches.suse/qlge-Remove-bq_desc.maplen.patch.
- Refresh
  patches.suse/qlge-Remove-useless-dma-synchronization-calls.patch.
  Reenable qlge patch series for bsc#1106061
- commit b2971c6
* Mon Aug 26 2019 mgorman@suse.de
- sched: Further improve spurious CPU_IDLE active migrations
  (bnc# 986383).
- Update
  patches.suse/cpufreq-ondemand-set-default-up_threshold-to-30-on-multi-core-systems.patch
  (bnc#464461,bnc#981838,bnc#1064414,bnc#1144943).
- Refresh
  patches.suse/mm-Warn-users-of-node-memory-hot-remove-if-the-memory-ratio-is-a-high-risk.patch.
- Update
  patches.suse/sched-Fix-up-proc-sched_debug-to-print-only-runnable-tasks-again.patch
  (none, should be posted upstream).
- Update
  patches.suse/sched-fair-Enable-SIS_AVG_CPU-by-default.patch
  (bsc#1061593,bsc#1148030).
- Refresh
  patches.suse/sched-topology-Improve-load-balancing-on-AMD-EPYC.patch.
- Delete
  patches.suse/0001-Revert-mm-vmacache-optimize-overflow-system-wide-flu.patch.
- Delete
  patches.suse/0001-sched-wake_q-Reduce-reference-counting-for-special-u.patch.
- Delete
  patches.suse/cpufreq-intel_pstate-Ramp-up-frequency-faster-when-utilisation-reaches-setpoint.patch.
- Delete
  patches.suse/cpufreq-intel_pstate-Temporarily-boost-P-state-when-exiting-from-idle.patch.
- Delete
  patches.suse/cpufreq-intel_pstate-Update-setpoint-for-unspecified-ACPI-profile.patch.
- Delete
  patches.suse/cpufreq-intel_pstate-Use-load-based-policy-by-default-but-allow-PID-to-be-used.patch.
- Delete
  patches.suse/mm-Adjust-watermark-boost-factor-tunable.patch.
- Delete
  patches.suse/mm-migrate-Fix-reference-check-race-between-__find_get_block-and-migration.patch.
- Delete
  patches.suse/mm-page_alloc.c-use-a-single-function-to-free-page.patch.
- commit 9de058d
* Mon Aug 26 2019 jgross@suse.com
- usb: Introduce Xen pvUSB frontend (xen hcd) (fate#315712).
- Update config files.
- usb: Add Xen pvUSB protocol description (fate#315712).
- commit b32b2bd
* Mon Aug 26 2019 mhocko@suse.com
- Delete
  patches.suse/mm-sparse-do-not-swamp-log-with-huge-vmemmap-allocat-fix.patch.
  not applicable as explained in the patch description.
- commit fbed5c2
* Mon Aug 26 2019 mhocko@suse.com
- Delete
  patches.suse/mm-__init_single_page-do-not-zero-core-struct-pages.patch.
  Not applicable because it was a fallout of a partial backport as noted
  in the changelog.
- commit 1e8b220
* Mon Aug 26 2019 mhocko@suse.com
- Delete
  patches.suse/0001-memory_hotplug-add-missing-newlines-to-debugging-out.patch.
  merged as 1ecc07fd0a6d350bbf4dc176e0d654661b304a30 in 5.0
- commit 5aa2923
* Mon Aug 26 2019 mhocko@suse.com
- Delete
  patches.suse/0001-x86-speculation-Prepare-entry-code-for-Spectre-v1-sw.patch.
- Delete
  patches.suse/0002-x86-speculation-Enable-Spectre-v1-swapgs-mitigations.patch.
- Delete
  patches.suse/x86-speculation-swapgs-exclude-ATOMs-from-speculating-through-SWAPGS.patch.
  swapgs fixes have been merged in 5.3-rc3.
- commit 24d8d43
* Mon Aug 26 2019 oneukum@suse.com
- Delete
  patches.suse/0049-commit-833689044e13a3fb8c6c03ad868375670d97010b.patch.
  No longer needed in SP2
- commit 13a1350
* Mon Aug 26 2019 oneukum@suse.com
- Refresh
  patches.suse/0002-Add-a-void-suse_kabi_padding-placeholder-to-some-USB.patch.
  Shifted kABI placeholders back where they belong
- commit 2d913e0
* Mon Aug 26 2019 tiwai@suse.de
- Update reference for ath6kl fix (CVE-2019-15290,bsc#1146543).
- commit b08d3d5
* Mon Aug 26 2019 tiwai@suse.de
- Fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe
  (CVE-2019-15098,bsc#1146378).
- Fix a NULL-ptr-deref bug in ath10k_usb_alloc_urb_from_pipe
  (CVE-2019-15099,bsc#1146368).
- commit 758e216
* Mon Aug 26 2019 jslaby@suse.cz
- Delete patches.suse/tty-make-R3964-line-discipline-fail.patch.
  We no longer build (and support) R3964.
- commit 85b2e98
* Mon Aug 26 2019 jslaby@suse.cz
- Delete
  patches.suse/mlxsw-spectrum-Forbid-linking-to-devices-fix.patch.
  This was a fix for a bad commit in 4.12.* stable.
- commit e8f9b29
* Mon Aug 26 2019 jslaby@suse.cz
- Refresh
  patches.suse/0003-kabi-Add-placeholders-to-a-couple-of-important-struc.patch.
  Enable it and add one more placeholder to mm_context_t.
- commit 00e7e80
* Mon Aug 26 2019 jslaby@suse.cz
- Delete
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Delete
  patches.suse/0002-x86-speculation-Add-inlines-to-control-Indirect-Bran.patch.
- Delete
  patches.suse/0003-x86-idle-Control-Indirect-Branch-Speculation-in-idle.patch.
- Delete
  patches.suse/0004-x86-enter-Create-macros-to-restrict-unrestrict-Indir.patch.
- Delete
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
- Delete patches.suse/IBRS-forbid-shooting-in-foot.patch.
- Delete patches.suse/do-not-default-to-ibrs-on-skl.patch.
  Drop IBRS as we disabled it later anyway.
- commit c03b8fa
* Mon Aug 26 2019 bpoirier@suse.com
- Fix a double free bug in rsi_91x_deinit (bnc#1147116
  CVE-2019-15504).
- commit 8ae43d1
* Sun Aug 25 2019 mkubecek@suse.cz
- Update to 5.3-rc6
- commit 2831011
* Sun Aug 25 2019 ailiopoulos@suse.com
- Delete
  patches.suse/0001-module-warn-if-module-init-probe-takes-long.patch.
- commit f81e033
* Sun Aug 25 2019 ailiopoulos@suse.com
- Delete
  patches.suse/xfs-add-option-to-mount-with-barrier-0-or-barrier-1.patch.
  Since v4.10-rc1 xfs has deprecated all options that explicitly control
  barriers with commit 4cf4573d899c ("xfs: deprecate barrier/nobarrier
  mount option").
  Drop backwards-compat patch for parsing the obsolete barrier=[0|1]
  syntax of the option, since supporting this causes more confusion and
  gives the false impression that disabling barriers is still a
  possibility.
- commit 0ac0c38
* Sun Aug 25 2019 ailiopoulos@suse.com
- xfs: remove experimental tag for dax support (FATE#324503).
- commit f13a4a4
* Sun Aug 25 2019 ailiopoulos@suse.com
- Delete patches.suse/xfs-unsupported-features.patch.
  Drop unsupported features patch which was marking reflink and rmap
  as unsupported. The experimental tags were dropped for both features
  and thus marked stable upstream on v4.16-rc1, with the two following
  commits:
  commit 1e369b0e199b ("xfs: remove experimental tag for reflinks")
  commit 76883f7988e6 ("xfs: remove experimental tag for reverse mapping")
  While we follow upstream here, SLE15.2 xfsprogs/mkfs.xfs will not be
  switching on reflink/rmap by default for newly created filesystems.
  Regarding dax, contrary to upstream we have been supporting it for a
  while and removing the experimental tag, and we will continue doing so.
  The related patch for DAX will be posted as a separate commit for
  clarity.
- commit f84ab02
* Fri Aug 23 2019 ohering@suse.de
- remove stale SLE15-SP1 patches, keep a pci-hyperv patch (bsc#1142701)
- commit b0bbc9a
* Fri Aug 23 2019 msuchanek@suse.de
- Fix livepatch build.
- commit b7e78e8
* Fri Aug 23 2019 tiwai@suse.de
- Move a PCI fix patch to the-stairway-to-heaven section
- commit 3c94e42
* Fri Aug 23 2019 tiwai@suse.de
- Drop downstream DRM mgag200 patches
  Some of them are no longer applicable, some are invalid, and the rest
  won't be taken by upstream.  Let's rip them off.
- commit 1108d1d
* Fri Aug 23 2019 mbrugger@suse.com
- Delete patches.suse/irq-stub-affinity.patch.
- commit f5fe3d1
* Fri Aug 23 2019 mkubecek@suse.cz
- series.conf: move submitted patch out of sorted section
  Move
  patches.suse/ibmveth-Update-ethtool-settings-to-reflect-virtual-p.patch
  from sorted section to "soon to be mainline" section.
  For SLE15-SP2, we only want patches which git_sort can do something with in
  sorted section. Moreover, upstream discussion suggests that this patch is
  unlikely to be accepted in this form.
- commit 46df5db
* Fri Aug 23 2019 msuchanek@suse.de
- Remove obsolete build fix.
  Delete patches.suse/Fix-build-error-in-drmem.c.patch.
- commit 39eb823
* Fri Aug 23 2019 msuchanek@suse.de
- Restore ibmveth patch.
  Refresh patches.suse/ibmveth-Update-ethtool-settings-to-reflect-virtual-p.patch.
- commit d129c25
* Fri Aug 23 2019 msuchanek@suse.de
- Remove obsolete kABI padding in paca.
  Delete patches.suse/powerpc-KABI-add-aux_ptr-to-hole-in-paca_struct-to-e.patch.
- commit ae6527d
* Fri Aug 23 2019 msuchanek@suse.de
- Restore s390 crash KMP export.
- commit 2850611
* Fri Aug 23 2019 msuchanek@suse.de
- Delete obsolete pkey and bcm2835 patches.
- commit 7f76e58
* Fri Aug 23 2019 hare@suse.de
- Delete
  patches.suse/qla2xxx-Enable-T10-DIF-with-FC-NVMe-enabled.patch.
- Delete patches.suse/s390-sles15-03-01-rwlock.patch.
- Delete
  patches.suse/scsi-qla2xxx-do-not-crash-on-uninitialized-pool-list.patch.
- Delete
  patches.suse/scsi-qla2xxx-qla2x00_alloc_fw_dump-set-ha-eft.patch.
- commit 9c5d24e
* Fri Aug 23 2019 hare@suse.de
- Refresh patches.suse/md-display-timeout-error.patch.
- commit 83d69fe
* Fri Aug 23 2019 hare@suse.de
- Delete patches.suse/nvme-multipath-round-robin-I-O-policy.patch.
- commit cb248a3
* Fri Aug 23 2019 hare@suse.de
- Delete patches.suse/qla2xxx-always-allocate-qla_tgt_wq.patch.
- commit 7005228
* Fri Aug 23 2019 hare@suse.de
- Delete
  patches.suse/block-Fix-a-NULL-pointer-dereference-in-generic_make.patch.
- commit 5284ba5
* Fri Aug 23 2019 hare@suse.de
- Delete
  patches.suse/dasd_fba-Display-00000000-for-zero-page-when-dumping.patch.
- Delete patches.suse/s390-sles15-message-catalog.patch.
- commit 6885922
* Fri Aug 23 2019 tiwai@suse.de
- Revive some downstream DRM patches and delete obsoleted patches
  Refreshed for 5.3:
  patches.suse/drm-i915-Disable-tv-output-on-i9x5gm
  patches.suse/drm-mgag200-Implement-basic-PM-support
  Deleted, as no longer needed for 5.3:
  patches.suse/HID-quirks-fix-support-for-Apple-Magic-Keyboards.patch
  patches.suse/Input-synaptics-Add-intertouch-blacklist-for-Thinkpa.patch
  patches.suse/drm-i915-CVE-2018-20669-access-check.patch
  patches.suse/kernel-Export-mm_access.patch
  patches.suse/mmc-version-check-printk-downgrade
  patches.suse/tpm-Downgrade-error-level
  patches.suse/tty-Don-t-return-EAGAIN-in-blocking-read.patch
- commit d9bc0ec
* Fri Aug 23 2019 mkubecek@suse.cz
- Delete
  patches.suse/irda-Fix-memory-leak-caused-by-repeated-binds-of-ird.patch
  patches.suse/irda-Only-insert-new-objects-into-the-global-databas.patch
  These are CVE fixes for a driver dropped in mainline 4.17.
- commit 2f68f7e
* Fri Aug 23 2019 mkubecek@suse.cz
- import non-mainline SLE15-SP1 patches
  Import all SLE15-SP1 (kernel-source commit 0181a93c80e7) patches which are
  not in mainline yet (as of commit 59c36bc8d377). All patches are added at
  the end of series.conf with a guard indicating who is/was responsible for
  them (using first of From:, Signed-off-by:, Acked-by:, Reviewed-by: and
  commiter with address containing '@suse.' or '@novell.').
  Some of non-mainline patches in SLE15-SP1 branch match existing SLE15-SP2
  patches. For these, SLE15-SP2 version (inherited from master branch) is
  preserved.
  This commit has no effect on expanded tree.
- commit ec8941d
* Fri Aug 23 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Fix kernel-livepatch description typo.
- commit 36acf91
* Thu Aug 22 2019 msuchanek@suse.de
- Pull packaging cleanup from mkubecek.
- Parametrize kgraft vs livepatch.
- commit 16f6816
* Thu Aug 22 2019 msuchanek@suse.de
- rpm/config.sh: Enable livepatch.
- commit e001776
* Thu Aug 22 2019 mkubecek@suse.cz
- config: restore correct PHYSICAL_START and PHYSICAL_ALIGN on x86_64
  These were already fixed in master by kernel-source commit baa2434a5ab6 but
  old (and wrong) values were restored by merge of SLE15-SP1 config. Fix them
  also in SLE15-SP2 now.
- commit 9b6f95a
* Thu Aug 22 2019 mkubecek@suse.cz
- config: update from SLE15-SP2
  In general, we want features and drivers from SLE also in openSUSE unless
  we have a good reason not to. Enable most config options which were
  disabled in master but enabled in SLE15-SP2 (inherited from SLE15-SP1).
- commit 769684a
* Wed Aug 21 2019 msuchanek@suse.de
- powerpc/rtas: use device model APIs and serialization during
  LPM (bsc#1144123 ltc#178840).
- commit 9f79b99
* Wed Aug 21 2019 mkubecek@suse.cz
- series.conf: reorganize sections
  With ~40 patches in master branch, we have accumulated way too many
  sections in series.conf, some of them being very specific. While new SLE
  and Leap branches are going to have more patches, vast majority of them is
  going to end up in the sorted section (e.g. less than 1%% of SLE15-SP1
  patches are neither sorted nor stable baskports right now - and that
  includes quite a few which would actually belong into the sorted section
  but are left outside for historical reasons).
  After the reorganization, series.conf is ordered like this:
  - stable backports (patches.kernel.org/*)
  - tweaks applied to vanilla (patches.rpmify/*)
  - sorted section (not in master)
  - unsorted patches expected to get into mainline soon
  - permanent and longterm non-upstream patches
  - kabi hacks (not in master)
  This commit has no effect on expanded tree.
- commit 8ac1895
* Wed Aug 21 2019 mkubecek@suse.cz
- series.conf: cleanup
  Only whitespace and comments, no efect on expanded tree.
- commit bf21808
* Tue Aug 20 2019 mkubecek@suse.cz
- config: import SLE15-SP1 configs
  Replace configs inherited from master branch by proper SLE ones. With few
  obvious exceptions, the initial SLE15-SP2 configs were created using these
  rules (for each option, use first rule which applies):
  - use value explicitly changed with reference to a feature or a bug
  - use value from SLE15-SP1 if the option exists there
  - use value from master if the option exists there
  - use upstream default
  The configs will need review by people responsible for specific kernel
  subsystems and architectures.
  Also update supported.conf with new modules:
  - add intel_pmc_core_pltdrv as unsupported
  - fix cfb{copyarea,fillrect,imgblt} path and mark "+base" as virtio-gpu
    depends on them
- commit dded633
* Mon Aug 19 2019 bp@suse.de
- Update config files.
  As per https://jira.suse.com/browse/SLE-7041
  Factory first!
- commit 126cef1
* Mon Aug 19 2019 mkubecek@suse.cz
- Update README.BRANCH
- drop Jeff Mahoney (inherited from master)
- add Miroslav Benes as comaintainer
- drop misleading paragraph left from master branch
- commit 4300e4e
* Mon Aug 19 2019 mkubecek@suse.cz
- Update to 5.3-rc5
- Refresh configs
  - RDMA_SIW available on i386 (=m)
  - clean up unavailable options
- commit cadbe00
* Sun Aug 18 2019 afaerber@suse.de
- config: arm64: Enable I2C_IMX (boo#1146026)
  Needed for Google Coral board.
- commit 8803b04
* Thu Aug 15 2019 msuchanek@suse.de
- Revert "Workaround gcc regression on ppc64 (bko#204125)."
  This reverts commit 8b84d1d46ff90146bb6ba5b760a54ddd87a1a680.
  Works for me 5.3-rc4-65-g329120423947
- commit d8f9e6c
* Mon Aug 12 2019 msuchanek@suse.de
- config.conf: syms should not depend on kernel-zfcpdump
  Kernel-zfcpdump is not modular so kernel-zfcpdump-devel does not make
  sense and is not built. kernel-syms cannot depend on it.
- commit 473ac28
* Mon Aug 12 2019 msuchanek@suse.de
- rpm/mkspec: Correct tarball URL for rc kernels.
- commit c4ef18d
* Sun Aug 11 2019 mkubecek@suse.cz
- config: refresh with gcc7
  Unlike master branch, SLE15-SP2 is supposed to be built with gcc7. At
  the moment, this only makes a significant difference on aarch64 (which
  we already refreshed with gcc 7.4.0 for this reason) but let's refresh
  all configs to make it more visible.
- commit 67e1879
* Sun Aug 11 2019 mkubecek@suse.cz
- Update to 5.3-rc4
- Refresh
  - patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
- commit 5402233
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/config.sh: Enable building DTBs.
- commit 7de292a
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/mkspec: Make building DTBs optional.
- commit 7c057c8
* Fri Aug  9 2019 mkubecek@suse.cz
- supported.conf: fix supported modules depending on unsupported on non-x86_64 architectures
  Some more "unsupported module needed by supported one" errors were reported
  on aarch64 and ppc64le.
- commit 6b609de
* Fri Aug  9 2019 mkubecek@suse.cz
- supported.conf: drop obsolete entry for hyperv_fb
  The module moved to a different directory, the obsolete entry causes
  file conflict betwen kernel-default and kernel-default-extra.
- commit 6b112e5
* Fri Aug  9 2019 msuchanek@suse.de
- rpm/modflist: Simplify compression support.
- commit fd135a6
* Fri Aug  9 2019 mkubecek@suse.cz
- supported.conf: close with respect to dependencies
  Modules which some supported module depends on must be supported as well.
  Also drop obsolete entries for rtsx_pci and rtsx_usb which were moved
  between 4.12 and 5.3.
- commit b781c36
* Fri Aug  9 2019 mkubecek@suse.cz
- rpm: support compressed modules
  Some of our scripts and scriptlets in rpm/ do not expect module files not
  ending with ".ko" which currently leads to failure in preuninstall
  scriptlet of cluster-md-kmp-default (and probably also other subpackages).
  Let those which could be run on compressed module files recognize ".ko.xz"
  in addition to ".ko".
- commit 18fcdff
* Fri Aug  9 2019 msuchanek@suse.de
- Bring back MODVERDIR to Makefile.modpost (bsc#1066369).
- commit 6cc69f5
* Fri Aug  9 2019 mkubecek@suse.cz
- supported.conf: sort again
  Make the order compatible with scripts/supported-conf-fixup (LC_ALL=C).
- commit 4a4b5dd
* Fri Aug  9 2019 msuchanek@suse.de
- supported.conf: Sort alphabetically, align comments.
- commit 5189766
* Fri Aug  9 2019 mkubecek@suse.cz
- series.conf: cleanup
  Move patches.suse/0001-oracleasm-4.0-compat-changes.patch
  to more appropriate place.
- commit 2080902
* Fri Aug  9 2019 mkubecek@suse.cz
- supported.conf: drop extensions
  To make things more consistent, drop all ".ko" extensions.
- commit 398461b
* Fri Aug  9 2019 mkubecek@suse.cz
- Update patches.suse/supported-flag.
  Fix ReST table.
- commit 0692bf4
* Thu Aug  8 2019 msuchanek@suse.de
- Use upstream TAINT_AUX for TAINT_EXTERNAL_SUPPORT.
  Refresh patches.suse/supported-flag.
- commit a4999e0
* Thu Aug  8 2019 dmueller@suse.com
- rpm/kernel-obs-build.spec.in: add dm-crypt for building with cryptsetup
  Co-Authored-By: Adam Spiers <aspiers@suse.com>
- commit 7cf5b9e
* Thu Aug  8 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Enable supported.conf check.
- commit 96adf4d
* Thu Aug  8 2019 msuchanek@suse.de
- Update arm64 config files.
- commit 1e7a157
* Thu Aug  8 2019 mkubecek@suse.cz
- supported.conf: add missing entries for all architectures
  As list of built modules depends on architecture, we must also add entries
  for modules which are not built (or do not even exist) on x86_64 but are
  built on other architectures (aarch64, ppc64le, s390x).
- commit 8f74082
* Thu Aug  8 2019 mkubecek@suse.cz
- supported.conf: add missing entries
  Add all modules currently built but not listed in supported.conf.
  Another update will be necessary once we replace configs inherited from
  master with true SLE15-SP2 configs. This is also why entries for modules
  not built are left in the file for now.
- commit 0f5033c
* Thu Aug  8 2019 mkubecek@suse.cz
- supported.conf: sort
  Also remove one commented out line.
- commit b539157
* Thu Aug  8 2019 mkubecek@suse.cz
- supported.conf: cleanup
  Remove duplicate and shadowed entries.
- commit 25e91ec
* Thu Aug  8 2019 mkubecek@suse.cz
- supported.conf: update from SLE15-SP1
  Differences from current SLE15-SP1 supported.conf:
  - f71808e_wdt and it87_wdt supported (jdelvare)
  - bpfilter marked +base (tiwai, bsc#1106751)
  - unified indentation
- commit 02162e4
* Wed Aug  7 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: support partial rt debug config.
- commit af37821
* Wed Aug  7 2019 msuchanek@suse.de
- rpm/config.sh: Update OBS build project to 15 SP1.
- commit 03e63ed
* Wed Aug  7 2019 afaerber@suse.de
- config: arm64: Update to 5.3-rc3
- commit f1f49f3
* Wed Aug  7 2019 mkubecek@suse.cz
- config: disable preemption
  Full update to configs based on SLE15-SP1 will follow later.
- commit 84c63fb
* Wed Aug  7 2019 afaerber@suse.de
- config: Enable SENSORS_GPIO_FAN for all of Arm (boo#1144723)
  We already had it for armv6hl but were lacking it on arm64.
  Add it on armv7hl for consistency while at it.
- commit 607ebeb
* Wed Aug  7 2019 mkubecek@suse.cz
- series.conf: add sorted section
  Also mark kabi section on top explicitly as intended only for kabi patches
  related to stable backports and add kabi section for the rest at the end of
  the file (so that these can be dropped easily).
- commit 3df2daa
* Wed Aug  7 2019 msuchanek@suse.de
- README.BRANCH: Change branch name to 15 SP2
- commit 5135437
* Wed Aug  7 2019 msuchanek@suse.de
- config.conf: Remove non-SLE configs.
- Update config files with SLE product number.
- commit f002b36
* Wed Aug  7 2019 msuchanek@suse.de
- rpm/config.sh: Update to 15 SP2
  - update IBS project
  - update bugzilla product
  - sort series
- commit 41fafbc
* Mon Aug  5 2019 mkubecek@suse.cz
- Update to 5.3-rc3
- Eliminated 1 patch
- Refresh
  - patches.suse/supported-flag
  - patches.suse/supported-flag-external
- Refresh configs
- commit 571863b
* Fri Aug  2 2019 bwiedemann@suse.de
- kernel-binary: Drop .kernel-binary.spec.buildenv (boo#1154578).
  Without this patch,
  /usr/src/linux-@VERSION@-@RELEASE_SHORT@-obj/x86_64/vanilla/.kernel-binary.spec.buildenv
  contained rpm %%_smp_mflags in a line like
  export MAKE_ARGS=" --output-sync -j4"
  This made it hard to produce bit-identical builds.
- commit 789d131
* Thu Aug  1 2019 mkubecek@suse.cz
- config: refresh x86_64/default
  With HBMC_AM654 disabled, nothing selects MULTIPLEXER any more.
- commit 07a1a73
* Wed Jul 31 2019 jdelvare@suse.de
- Update config files: CONFIG_HBMC_AM654=n
  The TI AM654 is an ARM64 SoC, so disable the driver on all other
  architectures.
- commit 042f63f
* Tue Jul 30 2019 schwab@suse.de
- packaging: add support for riscv64
- commit c2885ea
* Sun Jul 28 2019 mkubecek@suse.cz
- Update to 5.3-rc2
- Eliminated 1 patch
  - patches.suse/dma-mapping-use-dma_get_mask-in-dma_addressing_limit.patch
- Refresh
  - patches.suse/netfilter-ip_conntrack_slp.patch
- Config changes
  - NF_TABLES_BRIDGE=m (was =y)
- commit fc5ebf3
* Sat Jul 27 2019 msuchanek@suse.de
- rpm/macros.kernel-source: KMPs should depend on kmod-compat to build.
  kmod-compat links are used in find-provides.ksyms, find-requires.ksyms,
  and find-supplements.ksyms in rpm-config-SUSE.
- commit f97ca49
* Sat Jul 27 2019 msuchanek@suse.de
- scripts/run_oldconfig.sh: Fix update-vanilla
  When CC is set we want to use it for native only. Cross-compilation
  still needs the crosscompilers.
- commit 3b9fcdb
* Wed Jul 24 2019 msuchanek@suse.de
- dma-mapping: use dma_get_mask in dma_addressing_limited
  (https://lore.kernel.org/lkml/cda1952f-0265-e055-a3ce-237c59069a3f@suse.com/T/#u).
- commit c584343
* Wed Jul 24 2019 msuchanek@suse.de
- scripts/arch-symbols: add missing link.
- commit ee7c635
* Tue Jul 23 2019 tiwai@suse.de
- rpm/config.sh: enable kernel module compression (bsc#1135854)
- commit b333e24
* Tue Jul 23 2019 tiwai@suse.de
- Add kernel module compression support (bsc#1135854)
  For enabling the kernel module compress, add the item COMPRESS_MODULES="xz"
  in config.sh, then mkspec will pass it to the spec file.
- commit cdf5806
* Tue Jul 23 2019 msuchanek@suse.de
- Workaround gcc regression on ppc64 (bko#204125).
- commit 8b84d1d
* Tue Jul 23 2019 msuchanek@suse.de
- config.conf: Add ppc64 kvmsmall config (bsc#1137361).
- Remove superfluous i2c drivers from ppc64 config
  - CONFIG_I2C_ALGOPCA=m
  - CONFIG_I2C_AMD8111=m
  - CONFIG_I2C_CBUS_GPIO=m
  - CONFIG_I2C_DESIGNWARE_CORE=y
  - CONFIG_I2C_DESIGNWARE_PLATFORM=y
  - CONFIG_I2C_DESIGNWARE_PCI=m
  - CONFIG_I2C_OCORES=m
  - CONFIG_I2C_PCA_PLATFORM=m
  Can't get rid of i2c in kvmsmall anyway but at least the DW i2c is gone.
- commit 3d0102c
* Tue Jul 23 2019 jeffm@suse.com
- config: enable PPPoE for kvmsmall (bsc#1133945).
- commit 39d218a
* Mon Jul 22 2019 jeffm@suse.com
- config: remove unnecessary drivers from kvmsmall
  The initial merge was incomplete and needed revisiting, which didn't really
  happen.  Since then, new options have been added and not removed from
  kvmsmall, leading to grow in size.
  This commit uses the following blacklist:
  _(BT|CHARGER|CHROMEOS|CROS|DVB|DW|EDAC|FPGA|GPIO|GNSS|HID|INFINIBAND|IR|JOYSTICK|LEDS|MFD|PINCTRL|REGULATOR|RTC|SENSORS|SND_SOC|STAGING|TOUCHSCREEN|VIDEO|XEN|XILINX)[_=]
  ... along with some manual removal of NET_VENDORs with no relevant drivers.
- commit e850d85
* Mon Jul 22 2019 mkubecek@suse.cz
- rpm/klp-symbols: update to work with kernel >= 5.3
  Since mainline commit b7dca6dd1e59 ("kbuild: create *.mod with full
  directory path and remove MODVERDIR") in v5.3-rc1, *.mod files are created
  in the build tree rather than in a single directory .tmp_versions
  ($MODVERDIR). They also do not provide path to the *.ko module file on
  their first line as the path is the same (except for the suffix).
  Update klp-symbols script to handle this new layout and format of *.mod
  files to fix build of 5.3-rc1 and newer kernel.
  Note: this is a quick band-aid to fix master branch build without risk of
  breaking any other branch. A more proper cleanup will follow.
- commit c32f8e7
* Mon Jul 22 2019 mkubecek@suse.cz
- Update to 5.3-rc1
- Eliminated 89 patches (83 stable, 6 other)
- ARM configs need update
- Refresh
  patches.suse/btrfs-8447-serialize-subvolume-mounts-with-potentially-mi.patch
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/netfilter-ip_conntrack_slp.patch
  patches.suse/rpm-kernel-config
  patches.suse/supported-flag
  patches.suse/vfs-add-super_operations-get_inode_dev
- replace patches.rpmify/BPF-UMH-do-not-detect-if-compiler-can-link-userspace.patch
  with patches.rpmify/Kconfig-make-CONFIG_CC_CAN_LINK-always-true.patch
- New config options:
  - General setup
  - HEADER_TEST=y
  - KERNEL_HEADER_TEST=y
  - PREEMPT_LL=n
  - UCLAMP_TASK=y
  - UCLAMP_BUCKETS_COUNT=5
  - Processor type and features
  - ACRN_GUEST=y
  - LEGACY_VSYSCALL_XONLY=y
  - IO Schedulers
  - BFQ_CGROUP_DEBUG=n (=y in */debug)
  - Networking
  - NFT_SYNPROXY=m
  - NFT_BRIDGE_META=m
  - NF_CONNTRACK_BRIDGE=m
  - NET_ACT_MPLS=m
  - NET_ACT_CTINFO=m
  - NET_ACT_CT=m
  - BT_HCIBTUSB_MTK=y
  - GVE=m
  - MLX5_FPGA_IPSEC=y
  - MLX5_FPGA_TLS=y
  - MLX5_TLS=y
  - STMMAC_SELFTESTS=n
  - XILINX_AXI_EMAC=m
  - SFP=m
  - NXP_TJA11XX_PHY=m
  - PHY_MIXEL_MIPI_DPHY=m
  - File systems
  - UBIFS_FS_ZSTD=y
  - SUNRPC_DISABLE_INSECURE_ENCTYPES=n
  - CEPH_FS_SECURITY_LABEL=y
  - Generic driver options
  - FW_LOADER_COMPRESS=y
  - Storage
  - SCSI_FDOMAIN_PCI=m
  - SCSI_FDOMAIN_ISA=n
  - PCMCIA_FDOMAIN=n
  - Input
  - KEYBOARD_APPLESPI=m
  - Power supply and hardware monitoring
  - POWER_SUPPLY_HWMON=y
  - CHARGER_WILCO=m
  - SENSORS_IRPS5401=m
  - SENSORS_PXE1610=m
  - REGULATOR_ARIZONA_LDO1=m
  - REGULATOR_ARIZONA_MICSUPP=m
  - REGULATOR_SLG51000=m
  - Multimedia
  - DVB_USB_CXUSB_ANALOG=y
  - VIDEO_TDA1997X=m
  - VIDEO_TLV320AIC23B=m
  - VIDEO_ADV7180=m
  - VIDEO_ADV7183=m
  - VIDEO_ADV7604=m
  - VIDEO_ADV7604_CEC=y
  - VIDEO_ADV7842=m
  - VIDEO_ADV7842_CEC=y
  - VIDEO_BT819=m
  - VIDEO_BT856=m
  - VIDEO_BT866=m
  - VIDEO_KS0127=m
  - VIDEO_ML86V7667=m
  - VIDEO_SAA7110=m
  - VIDEO_TC358743=m
  - VIDEO_TC358743_CEC=y
  - VIDEO_TVP514X=m
  - VIDEO_TVP7002=m
  - VIDEO_TW9910=m
  - VIDEO_VPX3220=m
  - VIDEO_SAA7185=m
  - VIDEO_ADV7170=m
  - VIDEO_ADV7175=m
  - VIDEO_ADV7343=m
  - VIDEO_ADV7393=m
  - VIDEO_ADV7511=m
  - VIDEO_ADV7511_CEC=y
  - VIDEO_AD9389B=m
  - VIDEO_AK881X=m
  - VIDEO_THS8200=m
  - VIDEO_IMX214=m
  - VIDEO_IMX258=m
  - VIDEO_IMX274=m
  - VIDEO_IMX319=m
  - VIDEO_IMX355=m
  - VIDEO_OV2659=m
  - VIDEO_OV2680=m
  - VIDEO_OV2685=m
  - VIDEO_OV5647=m
  - VIDEO_OV6650=m
  - VIDEO_OV5670=m
  - VIDEO_OV5695=m
  - VIDEO_OV7251=m
  - VIDEO_OV772X=m
  - VIDEO_OV7740=m
  - VIDEO_OV8856=m
  - VIDEO_OV9640=m
  - VIDEO_OV9650=m
  - VIDEO_OV13858=m
  - VIDEO_VS6624=m
  - VIDEO_MT9M001=m
  - VIDEO_MT9M032=m
  - VIDEO_MT9M111=m
  - VIDEO_MT9P031=m
  - VIDEO_MT9T001=m
  - VIDEO_MT9T112=m
  - VIDEO_MT9V032=m
  - VIDEO_MT9V111=m
  - VIDEO_SR030PC30=m
  - VIDEO_NOON010PC30=m
  - VIDEO_M5MOLS=m
  - VIDEO_RJ54N1=m
  - VIDEO_S5K6AA=m
  - VIDEO_S5K6A3=m
  - VIDEO_S5K4ECGX=m
  - VIDEO_S5K5BAF=m
  - VIDEO_SMIAPP=m
  - VIDEO_ET8EK8=m
  - VIDEO_S5C73M3=m
  - VIDEO_AD5820=m
  - VIDEO_AK7375=m
  - VIDEO_DW9714=m
  - VIDEO_DW9807_VCM=m
  - VIDEO_ADP1653=m
  - VIDEO_LM3560=m
  - VIDEO_LM3646=m
  - SDR_MAX2175=m
  - VIDEO_THS7303=m
  - VIDEO_I2C=m
  - VIDEO_ST_MIPID02=n
  - VIDEO_GS1662=m
  - DVB_S5H1432=m
  - DVB_DIB9000=m
  - DVB_CXD2880=m
  - DVB_MN88443X=m
  - DVB_LNBH29=m
  - DVB_LGS8GL5=m
  - Graphics
  - DRM_AMD_DC_DCN2_0=y
  - DRM_AMD_DC_DSC_SUPPORT=y
  - DRM_I915_FORCE_PROBE=""
  - DRM_I915_DEBUG_MMIO=n
  - DRM_I915_USERFAULT_AUTOSUSPEND=250
  - DRM_I915_SPIN_REQUEST=5
  - DRM_PANEL_OSD_OSD101T2587_53TS=m
  - DRM_PANEL_SAMSUNG_S6E63M0=m
  - Sound
  - SND_SOC_INTEL_CML_H=m
  - SND_SOC_INTEL_CML_LP=m
  - SND_SOC_INTEL_BYT_CHT_CX2072X_MACH=m
  - SND_SOC_SOF_COMETLAKE_LP_SUPPORT=y
  - SND_SOC_SOF_COMETLAKE_H_SUPPORT=y
  - SND_SOC_CX2072X=m
  - InfiniBand
  - RDMA_SIW=m
  - Platform specific drivers
  - XIAOMI_WMI=m
  - ACPI_CMPC=m
  - SAMSUNG_Q10=m
  - INTEL_SPEED_SELECT_INTERFACE=m
  - CROS_EC_ISHTP=m
  - WILCO_EC_EVENTS=m
  - WILCO_EC_TELEMETRY=m
  - Industrial I/O
  - XILINX_XADC=n
  - ADF4371=n
  - DPS310=n
  - LEDs
  - LEDS_SPI_BYTE=m
  - LEDS_TI_LMU_COMMON=m
  - LEDS_LM3697=m
  - LEDS_LM36274=m
  - Other drivers
  - MTD_HYPERBUS=m
  - HBMC_AM654=m
  - XILINX_SDFEC=n
  - GPIO_XILINX=m
  - WATCHDOG_OPEN_TIMEOUT=0
  - MFD_CS47L15=y
  - MFD_CS47L92=y
  - MFD_ROHM_BD70528=n
  - RTC_DRV_BD70528=m
  - DW_EDMA=m
  - DW_EDMA_PCIE=m
  - COMMON_CLK_SI5341=m
  - EXTCON_FSA9480=m
  - NTB_MSI=y
  - NTB_MSI_TEST=n
  - RAS_CEC_DEBUG=n
  - AL_FIC=n
  - Virtualization
  - VIRTIO_PMEM=m
  - Security options
  - KEYS_REQUEST_CACHE=y
  - Kernel hardening options
  - INIT_ON_ALLOC_DEFAULT_ON=n
  - INIT_ON_FREE_DEFAULT_ON=n
  - Cryptographic API
  - CRYPTO_XXHASH=n
  - CRYPTO_DEV_ATMEL_ECC=m
  - CRYPTO_DEV_ATMEL_SHA204A=m
  - Kernel hacking
  - HEADERS_INSTALL=n
  - REED_SOLOMON_TEST=n
  - TEST_BLACKHOLE_DEV=n
  - TEST_MEMINIT=n
- commit 0a6d0d9
* Sun Jul 21 2019 mkubecek@suse.cz
- Revert "netfilter: conntrack: remove helper hook again"
  (http://lkml.kernel.org/r/20190718092128.zbw4qappq6jsb4ja@breakpoint.cc).
- commit 8e9a006
* Sun Jul 21 2019 jslaby@suse.cz
- Linux 5.2.2 (bnc#1012628).
- x86/entry/32: Fix ENDPROC of common_spurious (bnc#1012628).
- crypto/NX: Set receive window credits to max number of CRBs
  in RxFIFO (bnc#1012628).
- crypto: talitos - fix hash on SEC1 (bnc#1012628).
- crypto: talitos - move struct talitos_edesc into talitos.h
  (bnc#1012628).
- s390/qdio: don't touch the dsci in tiqdio_add_input_queues()
  (bnc#1012628).
- s390/qdio: (re-)initialize tiqdio list entries (bnc#1012628).
- s390: fix stfle zero padding (bnc#1012628).
- s390/ipl: Fix detection of has_secure attribute (bnc#1012628).
- ARC: hide unused function unw_hdr_alloc (bnc#1012628).
- x86/irq: Seperate unused system vectors from spurious entry
  again (bnc#1012628).
- x86/irq: Handle spurious interrupt after shutdown gracefully
  (bnc#1012628).
- x86/ioapic: Implement irq_get_irqchip_state() callback
  (bnc#1012628).
- genirq: Add optional hardware synchronization for shutdown
  (bnc#1012628).
- genirq: Fix misleading synchronize_irq() documentation
  (bnc#1012628).
- genirq: Delay deactivation in free_irq() (bnc#1012628).
- firmware: improve LSM/IMA security behaviour (bnc#1012628).
- drivers: base: cacheinfo: Ensure cpu hotplug work is done
  before Intel RDT (bnc#1012628).
- nilfs2: do not use unexported cpu_to_le32()/le32_to_cpu()
  in uapi header (bnc#1012628).
- Input: synaptics - enable SMBUS on T480 thinkpad trackpad
  (bnc#1012628).
- e1000e: start network tx queue only when link is up
  (bnc#1012628).
- Revert "e1000e: fix cyclic resets at link up with active tx"
  (bnc#1012628).
- commit 93f0a54
* Tue Jul 16 2019 lpechacek@suse.com
- rpm/kernel-binary.spec.in: build kernel-*-kgraft only for default SLE kernel
  RT and Azure variants are excluded for the moment. (bsc#1141600)
- commit 620816f
* Sun Jul 14 2019 jslaby@suse.cz
- Linux 5.2.1 (bnc#1012628).
- staging: rtl8712: reduce stack usage, again (bnc#1012628).
- staging: bcm2835-camera: Handle empty EOS buffers whilst
  streaming (bnc#1012628).
- staging: bcm2835-camera: Remove check of the number of buffers
  supplied (bnc#1012628).
- staging: bcm2835-camera: Ensure all buffers are returned on
  disable (bnc#1012628).
- staging: bcm2835-camera: Replace spinlock protecting context_map
  with mutex (bnc#1012628).
- staging: fsl-dpaa2/ethsw: fix memory leak of switchdev_work
  (bnc#1012628).
- staging: vchiq: revert "switch to wait_for_completion_killable"
  (bnc#1012628).
- staging: vchiq: make wait events interruptible (bnc#1012628).
- staging: vchiq_2835_arm: revert "quit using custom
  down_interruptible()" (bnc#1012628).
- VMCI: Fix integer overflow in VMCI handle arrays (bnc#1012628).
- Revert "x86/build: Move _etext to actual end of .text"
  (bnc#1012628).
- carl9170: fix misuse of device driver API (bnc#1012628).
- coresight: tmc-etf: Do not call smp_processor_id from
  preemptible (bnc#1012628).
- coresight: tmc-etr: alloc_perf_buf: Do not call smp_processor_id
  from preemptible (bnc#1012628).
- coresight: tmc-etr: Do not call smp_processor_id() from
  preemptible (bnc#1012628).
- coresight: etb10: Do not call smp_processor_id from preemptible
  (bnc#1012628).
- coresight: Potential uninitialized variable in probe()
  (bnc#1012628).
- iio: adc: stm32-adc: add missing vdda-supply (bnc#1012628).
- binder: return errors from buffer copy functions (bnc#1012628).
- binder: fix memory leak in error path (bnc#1012628).
- lkdtm: support llvm-objcopy (bnc#1012628).
- HID: Add another Primax PIXART OEM mouse quirk (bnc#1012628).
- staging: mt7621-pci: fix PCIE_FTS_NUM_LO macro (bnc#1012628).
- staging: comedi: amplc_pci230: fix null pointer deref on
  interrupt (bnc#1012628).
- staging: bcm2835-camera: Restore return behavior of
  ctrl_set_bitrate() (bnc#1012628).
- staging: wilc1000: fix error path cleanup in
  wilc_wlan_initialize() (bnc#1012628).
- staging: comedi: dt282x: fix a null pointer deref on interrupt
  (bnc#1012628).
- p54: fix crash during initialization (bnc#1012628).
- drivers/usb/typec/tps6598x.c: fix 4CC cmd write (bnc#1012628).
- drivers/usb/typec/tps6598x.c: fix portinfo width (bnc#1012628).
- usb: renesas_usbhs: add a workaround for a race condition of
  workqueue (bnc#1012628).
- usb: dwc2: use a longer AHB idle timeout in dwc2_core_reset()
  (bnc#1012628).
- usb: gadget: ether: Fix race between gether_disconnect and
  rx_submit (bnc#1012628).
- usb: gadget: f_fs: data_len used before properly set
  (bnc#1012628).
- p54usb: Fix race between disconnect and firmware loading
  (bnc#1012628).
- Revert "serial: 8250: Don't service RX FIFO if interrupts are
  disabled" (bnc#1012628).
- USB: serial: option: add support for GosunCn ME3630 RNDIS mode
  (bnc#1012628).
- USB: serial: ftdi_sio: add ID for isodebug v1 (bnc#1012628).
- mwifiex: Don't abort on small, spec-compliant vendor IEs
  (bnc#1012628).
- Documentation/admin: Remove the vsyscall=native documentation
  (bnc#1012628).
- Documentation: Add section about CPU vulnerabilities for Spectre
  (bnc#1012628).
- x86/tls: Fix possible spectre-v1 in do_get_thread_area()
  (bnc#1012628).
- x86/ptrace: Fix possible spectre-v1 in ptrace_get_debugreg()
  (bnc#1012628).
- perf header: Assign proper ff->ph in
  perf_event__synthesize_features() (bnc#1012628).
- perf thread-stack: Fix thread stack return from kernel for
  kernel-only case (bnc#1012628).
- perf pmu: Fix uncore PMU alias list for ARM64 (bnc#1012628).
- perf intel-pt: Fix itrace defaults for perf script intel-pt
  documentation (bnc#1012628).
- perf auxtrace: Fix itrace defaults for perf script
  (bnc#1012628).
- perf intel-pt: Fix itrace defaults for perf script
  (bnc#1012628).
- block, bfq: NULL out the bic when it's no longer valid
  (bnc#1012628).
- block: fix .bi_size overflow (bnc#1012628).
- tpm: Fix TPM 1.2 Shutdown sequence to prevent future TPM
  operations (bnc#1012628).
- tpm: Actually fail on TPM errors during "get random"
  (bnc#1012628).
- ALSA: hda/realtek - Headphone Mic can't record after S3
  (bnc#1012628).
- ALSA: usb-audio: Fix parse of UAC2 Extension Units
  (bnc#1012628).
- media: stv0297: fix frequency range limit (bnc#1012628).
- udf: Fix incorrect final NOT_ALLOCATED (hole) extent length
  (bnc#1012628).
- fscrypt: don't set policy for a dead directory (bnc#1012628).
- crypto: talitos - rename alternative AEAD algos (bnc#1012628).
- crypto: lrw - use correct alignmask (bnc#1012628).
- commit 51ca500
* Thu Jul 11 2019 glin@suse.com
- net: bpfilter: print umh messages to /dev/kmsg (bsc#1140221).
- commit 139acc9
* Wed Jul 10 2019 jslaby@suse.cz
- rpm/kernel-binary.spec.in: handle modules.builtin.modinfo
  It was added in 5.2.
- commit eb88df3
* Tue Jul  9 2019 rgoldwyn@suse.com
- Disable CONFIG_OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW in config (bsc#1140494)
- commit 8d950e4
* Mon Jul  8 2019 mkubecek@suse.cz
- Update to 5.2 final
- Eliminated 1 patch
- commit b36439f
* Sun Jul  7 2019 msuchanek@suse.de
- Refresh tpm: tpm_ibm_vtpm: Fix unallocated banks (boo#1139244).
- commit 99f9469
* Fri Jul  5 2019 tiwai@suse.de
- config: align CONFIG_PHYSICAL_START and CONFIG_PHYSICAL_ALIGN to default values
  As suggested in bsc#1067593, our kconfig keeps the old default values
  while the upstream took different (actually swapped) values for x86
  CONFIG_PHYSICAL_START and CONFIG_PHYSICAL_ALIGN.   Let's follow the
  upstream default now.
- commit baa2434
* Fri Jul  5 2019 mkubecek@suse.cz
- Rename patches.suse/[PATCH]_tpm:_fixes_uninitialized_allocated_banks_for_IBM_vtpm_driver
  to patches.suse/tpm-fixes-uninitialized-allocated-banks-for-IBM-vtpm-driver.patch
  Let's not risk some tool somewhere does not handle special characters correctly.
- commit 8a3fff9
* Thu Jul  4 2019 msuchanek@suse.de
- tpm: fixes uninitialized allocated banks for IBM vtpm driver
  (boo#1139244).
- Delete patches.suse/Revert-tpm-pass-an-array-of-tpm_extend_digest-struct.patch.
- commit 43ec0a5
* Wed Jul  3 2019 msuchanek@suse.de
- crypto: user - prevent operating on larval algorithms
  (bsc#1133401).
- Delete patches.suse/crypto-algapi-guard-against-uninitialized-spawn-list.patch.
- commit 90eea5d
* Wed Jul  3 2019 schwab@suse.de
- rpm/dtb.spec.in.in: don't make dtb directory inaccessible
  There is no reason to lock down the dtb directory for ordinary users.
- commit a69437a
* Wed Jul  3 2019 jslaby@suse.cz
- Update config files.
  Set CONFIG_SCSI_SCAN_ASYNC=y (bnc#1137686).
- commit a156b11
* Wed Jul  3 2019 mkubecek@suse.cz
- config: switch to SLUB allocator (Jira:PM-1158)
- new config options:
  - SLUB=y
  - SLUB_DEBUG=y
  - SLUB_MEMCG_SYSFS_ON=y
  - SLAB_FREELIST_HARDENED=n
  - SLUB_CPU_PARTIAL=y
  - SLUB_DEBUG_ON=n
  - SLUB_STATS=n
- commit 0ab8cfd
* Sun Jun 30 2019 mkubecek@suse.cz
- Update to 5.2-rc7
- Refresh configs
- commit 2d405cc
* Sun Jun 30 2019 msuchanek@suse.de
- Delete patches.rpmify/BPF-UMH-do-not-detect-if-compiler-can-link-userspace.patch.
  Obsoleted by the gcc9 cross-compilers with libc.
- commit 0e0679b
* Sun Jun 30 2019 msuchanek@suse.de
- Revert "tpm: pass an array of tpm_extend_digest structures to
  tpm_pcr_extend()" (boo#1139244).
- commit b09a129
* Fri Jun 28 2019 msuchanek@suse.de
- Refresh patches.suse/supported-flag.
  Supported kernel does not build with the patch in master so imported
  patch from SLE15.
- commit 10d9b2c
* Thu Jun 27 2019 msuchanek@suse.de
- Update config files
  - Add core options from SLE15 which are not enabled on master for no
  obvious reason
  - Add core option from x86 which are not enabled on non-x86 for no
  obvious reason
  - Enable fadump
  Changes:
  Scheduling:
    +CONFIG_CONTEXT_TRACKING=y
  - CONFIG_TICK_CPU_ACCOUNTING=y
    +CONFIG_VIRT_CPU_ACCOUNTING_GEN=y
    +CONFIG_VIRT_CPU_ACCOUNTING=y
    +CONFIG_IRQ_TIME_ACCOUNTING=y
    +CONFIG_TASKS_RCU=y
    +CONFIG_RT_GROUP_SCHED=y
  mm:
    +# CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS is not set
    +CONFIG_TRANSPARENT_HUGEPAGE_MADVISE=y
    +CONFIG_FRONTSWAP=y
    +CONFIG_ZSWAP=y
  arc/ppc:
    +CONFIG_FA_DUMP=y
  fs:
    +CONFIG_9P_FSCACHE=y
  net:
    +CONFIG_TIPC=m
    +CONFIG_TIPC_DIAG=m
    +CONFIG_TIPC_MEDIA_UDP=y
  misc:
  - CONFIG_SERIAL_SIFIVE=m
    +CONFIG_SYSCTL_SYSCALL=y
  debug&test:
    +CONFIG_PAGE_EXTENSION=y
    +CONFIG_PAGE_OWNER=y
    +CONFIG_DEBUG_MISC=y
    +CONFIG_RCU_TRACE=y
    +CONFIG_KGDB_SERIAL_CONSOLE=y
    +CONFIG_SCOM_DEBUGFS=y
    +CONFIG_CRYPTO_TEST=m
    +CONFIG_RCU_TORTURE_TEST=m
    +CONFIG_TEST_FIRMWARE=m
    +CONFIG_TEST_LIVEPATCH=m
    +CONFIG_TEST_LKM=m
    +CONFIG_TEST_SYSCTL=m
    +CONFIG_TORTURE_TEST=m
- commit ce08519
* Mon Jun 24 2019 msuchanek@suse.de
- crypto: algapi - guard against uninitialized spawn list in
  crypto_remove_spawns (bsc#1133401).
- commit 543f67d
* Mon Jun 24 2019 tiwai@suse.de
- fonts: Prefer a bigger font for high resolution screens
  (bsc#1138496).
- fonts: Use BUILD_BUG_ON() for checking empty font table
  (bsc#1138496).
- fonts: Fix coding style (bsc#1138496).
- commit f99f70b
* Sun Jun 23 2019 mkubecek@suse.cz
- Update to 5.2-rc6
- Eliminated 5 patches
  - patches.suse/net-phy-rename-Asix-Electronics-PHY-driver.patch
  - patches.suse/tcp-limit-payload-size-of-sacked-skbs.patch
  - patches.suse/tcp-tcp_fragment-should-apply-sane-memory-limits.patch
  - patches.suse/tcp-add-tcp_min_snd_mss-sysctl.patch
  - patches.suse/tcp-enforce-tcp_min_snd_mss-in-tcp_mtu_probing.patch
- Refresh
  - patches.suse/apparmor-compatibility-with-v2.x-net.patch
- commit 75acedc
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: rpm does not support multiline condition
- commit aceae50
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: Use -c grep option in klp project detection.
- commit 5def2a2
* Thu Jun 20 2019 msuchanek@suse.de
- kernel-binary: fix missing \
- commit 8325214
* Wed Jun 19 2019 mkubecek@suse.cz
- config: refresh i386/default
- commit a562f5a
* Wed Jun 19 2019 jslaby@suse.cz
- Update config files.
  Enable SECURITY_YAMA to allow protection against ptrace attacks
  (bnc#1128245).
- commit f841e66
* Tue Jun 18 2019 jslaby@suse.cz
- Update config files.
  Set HARDENED_USERCOPY=y (bnc#1127808). This can be disabled on the
  commandline using hardened_usercopy=n.
- commit 3b85d22
* Tue Jun 18 2019 tiwai@suse.de
- config: enable CONFIG_FONT_TER16x32 for HiDPI monitors (boo#1138496)
- commit 073136d
* Mon Jun 17 2019 mkubecek@suse.cz
- tcp: enforce tcp_min_snd_mss in tcp_mtu_probing()
  (CVE-2019-11479 bsc#1137586).
- tcp: add tcp_min_snd_mss sysctl (CVE-2019-11479 bsc#1137586).
- tcp: tcp_fragment() should apply sane memory limits
  (CVE-2019-11478 bsc#1137586).
- tcp: limit payload size of sacked skbs (CVE-2019-11477
  bsc#1137586).
- commit ab45ff3
* Sun Jun 16 2019 mkubecek@suse.cz
- Update to 5.2-rc5
- Config changes:
  - Sound:
  - SND_SOC_SOF_NOCODEC_SUPPORT=n on x86, =y on ARM
  - Storage:
  - MQ_IOSCHED_DEADLINE m -> y on arm64
- commit b5857f8
* Thu Jun 13 2019 msuchanek@suse.de
- Build klp-symbols in kernel devel projects.
- commit ffd0ed9
* Thu Jun 13 2019 jdelvare@suse.de
- supported.conf: Enable it87_wdt and f71808e_wdt
  Both drivers are for watchdog devices included in Super-I/O chipsets
  which are popular on x86 PC mainboards. Code is clean and simple,
  so supporting them isn't a problem.
- commit b818771
* Mon Jun 10 2019 lduncan@suse.com
- scsi: mpt3sas_ctl: fix double-fetch bug in _ctl_ioctl_main()
  (bsc#1136922 cve-2019-12456).
- commit 42064d5
* Mon Jun 10 2019 mkubecek@suse.cz
- Update to 5.2-rc4
- Eliminated 1 patch
  - patches.rpmify/mlx5-avoid-64-bit-division.patch
- Refresh configs
  - IKHEADERS_PROC -> IKHEADERS
- commit c8bdb02
* Fri Jun  7 2019 mvedovati@suse.com
- rpm/post.sh: correct typo in err msg (bsc#1137625)
- commit 9fe85cc
* Thu Jun  6 2019 jslaby@suse.cz
- s390: drop meaningless 'targets' from tools Makefile (s390
  kmp build fix).
- commit b4eda05
* Wed Jun  5 2019 mvedovati@suse.com
- Enhance kvmsmall configuration (bsc#1137361)
  Add a minimal set of modules to  kvmsmall, to make this config usable
  to set up guest VMs interacting with the host.
- commit 34c4eab
* Wed Jun  5 2019 mkubecek@suse.cz
- config: refresh configs
  No functional change.
- commit cbc8b7e
* Tue Jun  4 2019 jslaby@suse.cz
- Update config files.
  Enable CRASH_DUMP and RELOCATABLE on ppc64le to be on par with the
  other archs and to allow for kdump (bnc#1135217).
- commit a6a9f0e
* Mon Jun  3 2019 mkubecek@suse.cz
- Update to 5.2-rc3
- Eliminated 1 patch
  - patches.suse/kvm-memunmap-also-needs-HAS_IOMEM.patch
- commit 038ee83
* Wed May 29 2019 mkubecek@suse.cz
- config: refresh vanilla configs
- commit cbe6c1c
* Wed May 29 2019 mkubecek@suse.cz
- reenable ARM architectures
- commit 194828b
* Wed May 29 2019 mkubecek@suse.cz
- refresh configs after Tumbleweed switch to gcc9 as default
- commit 3b7ae7e
* Wed May 29 2019 yousaf.kaukab@suse.com
- config: armv7hl: lpae: Update to v5.2.0-rc2
- commit 38ac345
* Wed May 29 2019 yousaf.kaukab@suse.com
- config: armv7hl: Update to v5.2.0-rc2
- commit 737b08e
* Wed May 29 2019 yousaf.kaukab@suse.com
- config: armv6hl: Update to v5.2.0-rc2
- commit c7bc712
* Tue May 28 2019 yousaf.kaukab@suse.com
- config: arm64: Update to v5.2.0-rc2
- commit 18d0586
* Mon May 27 2019 mkubecek@suse.cz
- Update to 5.2-rc2
- Eliminated 4 patches
  - patches.suse/dm-make-sure-to-obey-max_io_len_target_boundary.patch
  - patches.suse/kvm-make-kvm_vcpu_-un-map-dependency-on-CONFIG_HAS_I.patch
  - patches.suse/vfio_pci-Add-local-source-directory-as-include.patch
  - patches.suse/x86-kvm-pmu-Set-AMD-s-virt-PMU-version-to-1.patch
- add s390x/zfcpdump build fix
  - patches.suse/kvm-memunmap-also-needs-HAS_IOMEM.patch
- commit b02c459
* Wed May 22 2019 msuchanek@suse.de
- Delete patches.suse/Revert-Bluetooth-btusb-driver-to-enable-the-usb-wake.patch (boo#1130448).
  Should be fixed in 5.1-rc5
  commit 771acc7e4a6e5dba779cb1a7fd851a164bc81033
  Author: Brian Norris <briannorris@chromium.org>
  Date:   Tue Apr 9 11:49:17 2019 -0700
    Bluetooth: btusb: request wake pin with NOAUTOEN
- commit b225e5a
* Wed May 22 2019 jslaby@suse.cz
- dm: make sure to obey max_io_len_target_boundary (bnc#1135868).
- commit dbeb07c
* Mon May 20 2019 mkubecek@suse.cz
- kvm: make kvm_vcpu_(un)map dependency on CONFIG_HAS_IOMEM
  explicit.
  Fixes build of s390x/zfcpdump.
- commit b33dbfc
* Mon May 20 2019 mkubecek@suse.cz
- config: refresh vanilla configs
- commit 4c41263
* Mon May 20 2019 mkubecek@suse.cz
- net: phy: rename Asix Electronics PHY driver.
  Fix duplicate module name asix by renaming phy driver to ax88796b.
- Update config files.
- commit df18320
* Mon May 20 2019 mkubecek@suse.cz
- mlx5: avoid 64-bit division.
  Fix i386 build.
- commit 89c5a47
* Mon May 20 2019 mkubecek@suse.cz
- Update to 5.2-rc1
- Eliminated 106 patches (105 stable, 1 other)
- ARM configs need update
- Refresh
  patches.rpmify/scripts-mkmakefile-honor-second-argument.patch
  patches.suse/dm-mpath-leastpending-path-update
  patches.suse/supported-flag
  patches.suse/supported-flag-external
  patches.suse/vfs-add-super_operations-get_inode_dev
- New config options:
  - General setup
  - IKHEADERS_PROC=n
  - SHUFFLE_PAGE_ALLOCATOR=y
  - Security
  - SECURITY_TOMOYO_INSECURE_BUILTIN_SETTING=n
  - Filesystems
  - UNICODE=y
  - UNICODE_NORMALIZATION_SELFTEST=n
  - Crypto
  - CRYPTO_ECRDSA=m
  - Networking
  - BATMAN_ADV_SYSFS=y
  - BT_MTKSDIO=m
  - XILINX_LL_TEMAC=m
  - MT7615E=m
  - RTW88=m
  - RTW88_8822BE=y
  - RTW88_8822CE=y
  - RTW88_DEBUG=n
  - RTW88_DEBUGFS=n
  - INFINIBAND_EFA=m
  - Storage
  - DM_DUST=m
  - MTD drivers
  - MTD_RAW_NAND=m
  - MTD_NAND_ECC_SW_BCH=y
  - MTD_NAND_ECC_SW_HAMMING_SMC=n
  - Input
  - KEYBOARD_QT1050=m
  - TOUCHSCREEN_IQS5XX=m
  - INPUT_GPIO_VIBRA=n
  - INPUT_REGULATOR_HAPTIC=m
  - HID_MACALLY=m
  - HID_U2FZERO=m
  - INPUT_MAX77650_ONKEY=m
  - Serial
  - NULL_TTY=m
  - SERIAL_SIFIVE=m
  - Power management
  - CHARGER_MANAGER=y
  - CHARGER_LT3651=m
  - CHARGER_UCS1002=m
  - SENSORS_IR38064=m
  - SENSORS_ISL68137=m
  - SENSORS_LTC2978_REGULATOR=y
  - THERMAL_MMIO=m
  - MFD_MAX77650=m
  - MFD_STMFX=m
  - REGULATOR_DEBUG=n
  - REGULATOR_FIXED_VOLTAGE=m
  - REGULATOR_VIRTUAL_CONSUMER=m
  - REGULATOR_USERSPACE_CONSUMER=m
  - REGULATOR_88PG86X=m
  - REGULATOR_ACT8865=m
  - REGULATOR_AD5398=m
  - REGULATOR_AXP20X=m
  - REGULATOR_DA9062=m
  - REGULATOR_DA9210=m
  - REGULATOR_DA9211=m
  - REGULATOR_FAN53555=m
  - REGULATOR_GPIO=m
  - REGULATOR_ISL9305=m
  - REGULATOR_ISL6271A=m
  - REGULATOR_LM363X=m
  - REGULATOR_LP3971=m
  - REGULATOR_LP3972=m
  - REGULATOR_LP872X=m
  - REGULATOR_LP8755=m
  - REGULATOR_LTC3589=m
  - REGULATOR_LTC3676=m
  - REGULATOR_MAX1586=m
  - REGULATOR_MAX77650=m
  - REGULATOR_MAX8649=m
  - REGULATOR_MAX8660=m
  - REGULATOR_MAX8907=m
  - REGULATOR_MAX8952=m
  - REGULATOR_MAX8973=m
  - REGULATOR_MCP16502=m
  - REGULATOR_MT6311=m
  - REGULATOR_PFUZE100=m
  - REGULATOR_PV88060=m
  - REGULATOR_PV88080=m
  - REGULATOR_PV88090=m
  - REGULATOR_PWM=m
  - REGULATOR_QCOM_SPMI=m
  - REGULATOR_SY8106A=m
  - REGULATOR_TPS51632=m
  - REGULATOR_TPS62360=m
  - REGULATOR_TPS65023=m
  - REGULATOR_TPS6507X=m
  - REGULATOR_TPS65132=m
  - REGULATOR_TPS6524X=m
  - REGULATOR_VCTRL=m
  - CHARGER_MAX77650=m
  - Media
  - MEDIA_CONTROLLER_REQUEST_API=y
  - VIDEO_V4L2_SUBDEV_API=y
  - V4L2_FLASH_LED_CLASS=m
  - VIDEO_COBALT=n
  - VIDEO_IPU3_CIO2=m
  - VIDEO_CADENCE_CSI2RX=m
  - VIDEO_CADENCE_CSI2TX=m
  - VIDEO_MUX=m
  - VIDEO_XILINX=m
  - VIDEO_XILINX_TPG=m
  - VIDEO_VIMC=m
  - VIDEO_IPU3_IMGU=m
  - DRM
  - NOUVEAU_LEGACY_CTX_SUPPORT=n
  - DRM_PANEL_FEIYANG_FY07024DI26A30D=n
  - DRM_PANEL_ROCKTECH_JH057N00900=n
  - DRM_PANEL_RONBO_RB070D30=n
  - Sound
  - SND_SOC_FSL_AUDMIX=n
  - SND_SOC_SOF_TOPLEVEL=y
  - SND_SOC_SOF_PCI=m
  - SND_SOC_SOF_ACPI=m
  - SND_SOC_SOF_NOCODEC=n
  - SND_SOC_SOF_STRICT_ABI_CHECKS=n
  - SND_SOC_SOF_DEBUG=n
  - SND_SOC_SOF_INTEL_TOPLEVEL=y
  - SND_SOC_SOF_BAYTRAIL_SUPPORT=y
  - SND_SOC_SOF_BROADWELL_SUPPORT=y
  - SND_SOC_SOF_MERRIFIELD_SUPPORT=y
  - SND_SOC_SOF_APOLLOLAKE_SUPPORT=y
  - SND_SOC_SOF_GEMINILAKE_SUPPORT=y
  - SND_SOC_SOF_CANNONLAKE_SUPPORT=y
  - SND_SOC_SOF_COFFEELAKE_SUPPORT=y
  - SND_SOC_SOF_ICELAKE_SUPPORT=y
  - SND_SOC_SOF_HDA_LINK=y
  - SND_SOC_SOF_HDA_AUDIO_CODEC=y
  - SND_SOC_INTEL_SOF_RT5682_MACH=m
  - USB
  - TYPEC_NVIDIA_ALTMODE=m
  - LEDS
  - LEDS_LM3532=m
  - LEDS_REGULATOR=m
  - LEDS_MAX77650=m
  - Platform
  - CROS_EC_RPMSG=m
  - CROS_USBPD_LOGGER=m
  - CLK_SIFIVE=n
  - IXP4XX_QMGR=n
  - IXP4XX_NPE=m
  - IIO
  - CC10001_ADC=n
  - TI_ADS8344=n
  - FXAS21002C=n
  - MB1232=n
  - MAX31856=m
  - Misc drivers
  - I2C_AMD_MP2=m
  - PINCTRL_STMFX=n
  - FIELDBUS_DEV=n
  - KPC2000=n
  - NVMEM_SYSFS=y
  - COUNTER=n
  - GPIO_MAX77650=m
  - Library
  - PACKING=n
  - Debugging and testing
  - DEBUG_INFO_BTF=n
  - DEBUG_MISC=n
  - DEBUG_PLIST=n
  - TEST_STRSCPY=n
  - x86
  - ACPI_HMAT=y
  - INTEL_CHT_INT33FE=m
  - INTEL_ISH_FIRMWARE_DOWNLOADER=m
  - i386
  - MEMORY_HOTPLUG=y
  - MEMORY_HOTPLUG_DEFAULT_ONLINE=n
  - MEMORY_HOTREMOVE
  - XEN_BALLOON_MEMORY_HOTPLUG=y
  - XEN_BALLOON_MEMORY_HOTPLUG_LIMIT=4
  - DEV_DAX_KMEM=m
  - MEMORY_NOTIFIER_ERROR_INJECT=m
  - ACPI_HOTPLUG_MEMORY=y
  - ppc64 / ppc64le
  - PPC_KUEP=y
  - PPC_KUAP=y
  - PPC_KUAP_DEBUG=n
  - MTD_NAND_DENALI_PCI=m
  - MTD_NAND_CAFE=m
  - MTD_NAND_GPIO=m
  - MTD_NAND_PLATFORM=m
  - MTD_NAND_NANDSIM=m
  - MTD_NAND_RICOH=m
  - MTD_NAND_DISKONCHIP=m
  - MTD_NAND_DISKONCHIP_PROBE_ADVANCED=n
  - MTD_NAND_DISKONCHIP_BBTWRITE=n
  - INTEGRITY_PLATFORM_KEYRING=y
  - OPTIMIZE_INLINING=y
  - XMON_DEFAULT_RO_MODE=y
  - s390x
  - KEXEC_VERIFY_SIG=n
  - RELOCATABLE=y
  - RANDOMIZE_BASE=y
  - PROTECTED_VIRTUALIZATION_GUEST=y
  - LCD_CLASS_DEVICE=n
  - BACKLIGHT_CLASS_DEVICE=n
  - INTEGRITY_PLATFORM_KEYRING=y
  - OPTIMIZE_INLINING=n
- commit c8b1101
* Fri May 17 2019 jslaby@suse.cz
- Revert "selinux: do not report error on connect(AF_UNSPEC)"
  (git-fixes).
- Revert "Don't jump to compute_result state from check_result
  state" (git-fixes).
- commit 3d34296
* Fri May 17 2019 jslaby@suse.cz
- Linux 5.1.3 (bnc#1012628).
- f2fs: Fix use of number of devices (bnc#1012628).
- PCI: hv: Add pci_destroy_slot() in pci_devices_present_work(),
  if necessary (bnc#1012628).
- PCI: hv: Add hv_pci_remove_slots() when we unload the driver
  (bnc#1012628).
- PCI: hv: Fix a memory leak in hv_eject_device_work()
  (bnc#1012628).
- virtio_ring: Fix potential mem leak in
  virtqueue_add_indirect_packed (bnc#1012628).
- powerpc/booke64: set RI in default MSR (bnc#1012628).
- powerpc/powernv/idle: Restore IAMR after idle (bnc#1012628).
- powerpc/book3s/64: check for NULL pointer in pgd_alloc()
  (bnc#1012628).
- drivers/virt/fsl_hypervisor.c: prevent integer overflow in ioctl
  (bnc#1012628).
- drivers/virt/fsl_hypervisor.c: dereferencing error pointers
  in ioctl (bnc#1012628).
- isdn: bas_gigaset: use usb_fill_int_urb() properly
  (bnc#1012628).
- flow_dissector: disable preemption around BPF calls
  (bnc#1012628).
- net: phy: fix phy_validate_pause (bnc#1012628).
- tuntap: synchronize through tfiles array instead of
  tun->numqueues (bnc#1012628).
- tuntap: fix dividing by zero in ebpf queue selection
  (bnc#1012628).
- vrf: sit mtu should not be updated when vrf netdev is the link
  (bnc#1012628).
- vlan: disable SIOCSHWTSTAMP in container (bnc#1012628).
- tipc: fix hanging clients using poll with EPOLLOUT flag
  (bnc#1012628).
- selinux: do not report error on connect(AF_UNSPEC)
  (bnc#1012628).
- packet: Fix error path in packet_init (bnc#1012628).
- net: ucc_geth - fix Oops when changing number of buffers in
  the ring (bnc#1012628).
- net: seeq: fix crash caused by not set dev.parent (bnc#1012628).
- net: macb: Change interrupt and napi enable order in open
  (bnc#1012628).
- net: ethernet: stmmac: dwmac-sun8i: enable support of unicast
  filtering (bnc#1012628).
- net: dsa: Fix error cleanup path in dsa_init_module
  (bnc#1012628).
- ipv4: Fix raw socket lookup for local traffic (bnc#1012628).
- fib_rules: return 0 directly if an exactly same rule exists
  when NLM_F_EXCL not supplied (bnc#1012628).
- dpaa_eth: fix SG frame cleanup (bnc#1012628).
- bridge: Fix error path for kobject_init_and_add() (bnc#1012628).
- bonding: fix arp_validate toggling in active-backup mode
  (bnc#1012628).
- Don't jump to compute_result state from check_result state
  (bnc#1012628).
- rtlwifi: rtl8723ae: Fix missing break in switch statement
  (bnc#1012628).
- mwl8k: Fix rate_idx underflow (bnc#1012628).
- USB: serial: fix unthrottle races (bnc#1012628).
- virt: vbox: Sanity-check parameter types for hgcm-calls coming
  from userspace (bnc#1012628).
- kernfs: fix barrier usage in __kernfs_new_node() (bnc#1012628).
- i2c: core: ratelimit 'transfer when suspended' errors
  (bnc#1012628).
- selftests/seccomp: Handle namespace failures gracefully
  (bnc#1012628).
- hwmon: (occ) Fix extended status bits (bnc#1012628).
- hwmon: (pwm-fan) Disable PWM if fetching cooling data fails
  (bnc#1012628).
- platform/x86: dell-laptop: fix rfkill functionality
  (bnc#1012628).
- platform/x86: thinkpad_acpi: Disable Bluetooth for some machines
  (bnc#1012628).
- platform/x86: sony-laptop: Fix unintentional fall-through
  (bnc#1012628).
- commit 073196d
* Thu May 16 2019 mwilck@suse.com
- Update config files: disable CONFIG_IDE for ppc64/ppc64le (bsc#1135333)
- commit 012b7ed
* Wed May 15 2019 mkubecek@suse.cz
- x86/kvm/pmu: Set AMD's virt PMU version to 1
  (https://patchwork.kernel.org/patch/10936271/).
- commit d737fc7
* Tue May 14 2019 jslaby@suse.cz
- Linux 5.1.2 (bnc#1012628).
- x86/speculation/mds: Fix documentation typo (bnc#1012628).
- Documentation: Correct the possible MDS sysfs values
  (bnc#1012628).
- x86/mds: Add MDSUM variant to the MDS documentation
  (bnc#1012628).
- x86/speculation/mds: Add 'mitigations=' support for MDS
  (bnc#1012628).
- s390/speculation: Support 'mitigations=' cmdline option
  (bnc#1012628).
- powerpc/speculation: Support 'mitigations=' cmdline option
  (bnc#1012628).
- x86/speculation: Support 'mitigations=' cmdline option
  (bnc#1012628).
- cpu/speculation: Add 'mitigations=' cmdline option
  (bnc#1012628).
- x86/speculation/mds: Print SMT vulnerable on MSBDS with
  mitigations off (bnc#1012628).
- x86/speculation/mds: Fix comment (bnc#1012628).
- x86/speculation/mds: Add SMT warning message (bnc#1012628).
- x86/speculation: Move arch_smt_update() call to after mitigation
  decisions (bnc#1012628).
- x86/speculation/mds: Add mds=full,nosmt cmdline option
  (bnc#1012628).
- Documentation: Add MDS vulnerability documentation
  (bnc#1012628).
- Documentation: Move L1TF to separate directory (bnc#1012628).
- x86/speculation/mds: Add mitigation mode VMWERV (bnc#1012628).
- x86/speculation/mds: Add sysfs reporting for MDS (bnc#1012628).
- x86/speculation/mds: Add mitigation control for MDS
  (bnc#1012628).
- x86/speculation/mds: Conditionally clear CPU buffers on idle
  entry (bnc#1012628).
- x86/kvm/vmx: Add MDS protection when L1D Flush is not active
  (bnc#1012628).
- x86/speculation/mds: Clear CPU buffers on exit to user
  (bnc#1012628).
- x86/speculation/mds: Add mds_clear_cpu_buffers() (bnc#1012628).
- x86/kvm: Expose X86_FEATURE_MD_CLEAR to guests (bnc#1012628).
- x86/speculation/mds: Add BUG_MSBDS_ONLY (bnc#1012628).
- x86/speculation/mds: Add basic bug infrastructure for MDS
  (bnc#1012628).
- x86/speculation: Consolidate CPU whitelists (bnc#1012628).
- x86/msr-index: Cleanup bit defines (bnc#1012628).
- commit 5a8c05f
* Tue May 14 2019 mkubecek@suse.cz
- config: keep LSM empty in s390x/zfcpdump
  This config doesn't really build AppArmor and always had
  DEFAULT_SECURITY_DAC so it seems more consistent to keep LSM list empty.
- commit 3073856
* Tue May 14 2019 mkubecek@suse.cz
- config: enable AppArmor by default again (bsc#1134906)
  AppArmor used to be enabled in kernel by default by after the recent
  introduction of CONFIG_LSM, we disabled all LSM modules. Enable AppArmor
  again.
- commit 953db35
* Tue May 14 2019 mkubecek@suse.cz
- Update upstream reference:
  patches.suse/efifb-Omit-memory-map-check-on-legacy-boot.patch
- commit 133a780
* Sat May 11 2019 jslaby@suse.cz
- Linux 5.1.1 (bnc#1012628).
- arm64: futex: Bound number of LDXR/STXR loops in FUTEX_WAKE_OP
  (bnc#1012628).
- locking/futex: Allow low-level atomic operations to return
  - EAGAIN (bnc#1012628).
- i3c: Fix a shift wrap bug in i3c_bus_set_addr_slot_status()
  (bnc#1012628).
- ASoC: Intel: avoid Oops if DMA setup fails (bnc#1012628).
- UAS: fix alignment of scatter/gather segments (bnc#1012628).
- Bluetooth: hci_bcm: Fix empty regulator supplies for Intel Macs
  (bnc#1012628).
- Bluetooth: Fix not initializing L2CAP tx_credits (bnc#1012628).
- Bluetooth: Align minimum encryption key size for LE and BR/EDR
  connections (bnc#1012628).
- Bluetooth: hidp: fix buffer overflow (bnc#1012628).
- scsi: qla2xxx: Fix device staying in blocked state
  (bnc#1012628).
- scsi: qla2xxx: Set remote port devloss timeout to 0
  (bnc#1012628).
- scsi: qla2xxx: Fix incorrect region-size setting in optrom
  SYSFS routines (bnc#1012628).
- scsi: lpfc: change snprintf to scnprintf for possible overflow
  (bnc#1012628).
- soc: sunxi: Fix missing dependency on REGMAP_MMIO (bnc#1012628).
- ACPI / LPSS: Use acpi_lpss_* instead of acpi_subsys_* functions
  for hibernate (bnc#1012628).
- cpufreq: armada-37xx: fix frequency calculation for opp
  (bnc#1012628).
- iio: adc: qcom-spmi-adc5: Fix of-based module autoloading
  (bnc#1012628).
- intel_th: pci: Add Comet Lake support (bnc#1012628).
- genirq: Prevent use-after-free and work list corruption
  (bnc#1012628).
- usb-storage: Set virt_boundary_mask to avoid SG overflows
  (bnc#1012628).
- USB: cdc-acm: fix unthrottle races (bnc#1012628).
- USB: serial: f81232: fix interrupt worker not stop
  (bnc#1012628).
- usb: dwc3: Fix default lpm_nyet_threshold value (bnc#1012628).
- usb: dwc3: Allow building USB_DWC3_QCOM without EXTCON
  (bnc#1012628).
- staging: most: sound: pass correct device when creating a
  sound card (bnc#1012628).
- staging: most: cdev: fix chrdev_region leak in mod_exit
  (bnc#1012628).
- staging: wilc1000: Avoid GFP_KERNEL allocation from atomic
  context (bnc#1012628).
- staging: greybus: power_supply: fix prop-descriptor request size
  (bnc#1012628).
- ubsan: Fix nasty -Wbuiltin-declaration-mismatch GCC-9 warnings
  (bnc#1012628).
- Drivers: hv: vmbus: Remove the undesired put_cpu_ptr() in
  hv_synic_cleanup() (bnc#1012628).
- commit 8e0a089
* Thu May  9 2019 guillaume.gardet@free.fr
- Sign non-x86 kernels when possible (boo#1134303)
- commit bac621c
* Mon May  6 2019 mkubecek@suse.cz
- Update to 5.1 final
- Eliminated 1 patch
- New config options:
  - PCI:
  - PCIE_BW=n (recommended default)
- commit a974d8b
* Tue Apr 30 2019 mkubecek@suse.cz
- rdma: fix build errors on s390 and MIPS due to bad ZERO_PAGE use
  (http://lkml.kernel.org/r/20190429052136.GA21672@unicorn.suse.cz).
- Delete
  patches.suse/rdma-fix-argument-of-ZERO_PAGE-in-rdma_umap_fault.patch.
- commit a764394
* Mon Apr 29 2019 mkubecek@suse.cz
- Update to 5.1-rc7
- add patches.suse/rdma-fix-argument-of-ZERO_PAGE-in-rdma_umap_fault.patch
  (tentative s390x build fix)
- New config options:
  - ARM:
  - KEYBOARD_SNVS_PWRKEY=m
  - armv7hl:
  - FRAME_POINTER=y
  - UNWINDER_FRAME_POINTER=y
- commit 04c1966
* Sun Apr 21 2019 mkubecek@suse.cz
- Update to v5.1-rc6
- New config options:
  - IIO:
  - SENSIRION_SGP30=n
- commit ab97af0
* Tue Apr 16 2019 mkubecek@suse.cz
- series.conf: cleanup
  patches.suse/ext2-fsync-err was deleted in 2011 but its (commented out)
  line in series.conf was left behind.
- commit d2aebe3
* Mon Apr 15 2019 jkosina@suse.cz
- Delete
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Delete
  patches.suse/0002-x86-speculation-Add-inlines-to-control-Indirect-Bran.patch.
- Delete
  patches.suse/0003-x86-idle-Control-Indirect-Branch-Speculation-in-idle.patch.
- Delete
  patches.suse/0004-x86-enter-Create-macros-to-restrict-unrestrict-Indir.patch.
- Delete
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
  Drop SUSE-specific IBRS-on-SKL implementation. Please refer to
  page 16 of [1]
  [1] https://software.intel.com/security-software-guidance/api-app/sites/default/files/Retpoline-A-Branch-Target-Injection-Mitigation.pdf
- commit 5e8da3a
* Mon Apr 15 2019 mkubecek@suse.cz
- Update to 5.1-rc5
- commit 2fd333d
* Thu Apr 11 2019 msuchanek@suse.de
- Do not provide kernel-default from kernel-default-base (boo#1132154, bsc#1106751).
- commit 0e54e61
* Thu Apr 11 2019 msuchanek@suse.de
- rpm/kernel-subpackage-spec: only provide firmware actually present in
  subpackage.
- commit 839debd
* Wed Apr 10 2019 msuchanek@suse.de
- kernel-subpackage-spec: Add dummy package to ensure subpackages are
  rebuilt with kernel update (bsc#1106751).
  In factory packages are not rebuilt automatically so a dependency is
  needed on the old kernel to get a rebuild with the new kernel. THe
  subpackage itself cannot depend on the kernel so add another empty
  pacakge that does depend on it.
- commit 6d14837
* Tue Apr  9 2019 jdelvare@suse.de
- Disable CONFIG_SERIO_OLPC_APSP on all but armv7
  This driver is only used by ARMv7-based OLPC laptops.
- commit 7b1b640
* Tue Apr  9 2019 jdelvare@suse.de
- Disable CONFIG_SENSORS_OCC_*
  These drivers are running on the BMC of PowerPC servers. The BMC runs
  OpenBMC and is not a target for SUSE distributions.
- commit a82eb87
* Mon Apr  8 2019 mkubecek@suse.cz
- config: disable DEVKMEM (bsc#1128045)
- commit 1478096
* Mon Apr  8 2019 mkubecek@suse.cz
- Update to 5.1-rc4
- Refresh configs
- commit e334e4f
* Mon Apr  1 2019 tiwai@suse.de
- efifb: Omit memory map check on legacy boot (bsc#1127339).
- commit 8a60576
* Mon Apr  1 2019 mkubecek@suse.cz
- Update to 5.1-rc3
- Eliminated 1 patch
- Config changes:
  - SECURITY_DEFAULT_* are back
  - enable CONFIG_OF in i386/pae and copy dependent options from default
- commit 7474ec2
* Thu Mar 28 2019 yousaf.kaukab@suse.com
- config: arm64: enable CPPC support
- commit c97748e
* Tue Mar 26 2019 msuchanek@suse.de
- Revert "Bluetooth: btusb: driver to enable the usb-wakeup
  feature" (boo#1130448).
  System still wakes up when connected BT device is powered off.
- Revert "Bluetooth: btusb: driver to enable the usb-wakeup
  feature" (boo#1130448).
- commit 1172cb0
* Tue Mar 26 2019 mkubecek@suse.cz
- Revert "parport: daisy: use new parport device model"
  (http://lkml.kernel.org/r/20190313064557.GA14531@unicorn.suse.cz).
- Delete
  patches.suse/parport-daisy-do-not-try-to-load-lowlevel-driver.patch.
- commit 7da01f5
* Tue Mar 26 2019 jbeulich@suse.com
- patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch:
  Fix re-basing mistake - IBRS enabling should not be skipped for PV Xen.
- commit 177c0f8
* Tue Mar 26 2019 mkubecek@suse.cz
- parport: daisy: do not try to load lowlevel driver
  (http://lkml.kernel.org/r/20190313064557.GA14531@unicorn.suse.cz).
- commit 4f8876e
* Mon Mar 25 2019 mkubecek@suse.cz
- Update to 5.1-rc2
- New config options:
  - CHARLCD_BL_FLASH=y
  - PARPORT_PANEL=m (renamed from PANEL)
  - PANEL=m
- commit ede8a59
* Fri Mar 22 2019 msuchanek@suse.de
- Do not provide kernel-default-srchash from kernel-default-base.
- commit d6c71ce
* Thu Mar 21 2019 mkubecek@suse.cz
- config: apply recent changes to ARM configs
- CONFIG_PREEMPT_VOLUNTARY=y
- disable CONFIG_IMA_ARCH_POLICY
- enable CONFIG_IMA_APPRAISE_BOOTPARAM
- CONFIG_LSM=""
- commit fd95045
* Wed Mar 20 2019 yousaf.kaukab@suse.com
- config: arm64: Update to v5.1-rc1
- commit 590226b
* Wed Mar 20 2019 msuchanek@suse.de
- rpm/kernel-subpackage-build: handle arm kernel zImage.
- commit 81a63c3
* Wed Mar 20 2019 jslaby@suse.cz
- config: disable IMA_ARCH_POLICY for now
  When IMA_ARCH_POLICY was enabled during the 5.0-rc* stage, IMA causes
  kdump load to fail:
  kexec_file_load failed: Permission denied
  ima: impossible to appraise a kernel image without a file descriptor; try using kexec_file_load syscall.
  We have to fix kexec tooling before enabling IMA for everyone.
  BTW IMA_APPRAISE_BOOTPARAM was disabled by IMA_ARCH_POLICY=y. So
  restore the original state (and functionality).
- commit f738bd5
* Wed Mar 20 2019 yousaf.kaukab@suse.com
- config: armv6hl: Update to v5.1-rc1
  CONFIG_BPFILTER_UMH is disabled due to bsc#1127188
- commit 608f8e5
* Wed Mar 20 2019 tiwai@suse.de
- rpm/kernel-source.changes.old: Really drop old changelogs (bsc#1098995)
- commit 93056b5
* Tue Mar 19 2019 yousaf.kaukab@suse.com
- config: armv7hl: Update to v5.1-rc1
  CONFIG_BPFILTER_UMH is disabled due to bsc#1127188
- commit 0042582
* Mon Mar 18 2019 mkubecek@suse.cz
- Update to 5.1-rc1
- Eliminated 74 patches (73 stable, 1 other)
- ARM configs need update
- Refresh
  patches.suse/btrfs-btrfs-use-the-new-VFS-super_block_dev.patch
  patches.suse/btrfs-fs-super.c-add-new-super-block-devices-super_block_d.patch
  patches.suse/genksyms-add-override-flag.diff
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch
  patches.suse/readahead-request-tunables.patch
  patches.suse/supported-flag
  patches.suse/vfs-add-super_operations-get_inode_dev
- New config options:
  - General:
  - IO_URING=y
  - PRINTK_CALLER=n
  - File systems:
  - CONFIG_SUNRPC_DISABLE_INSECURE_ENCTYPES=n
  - VALIDATE_FS_PARSER=n
  - Networking:
  - NET_DEVLINK=y
  - XDP_SOCKETS_DIAG=m
  - MT7603E=m
  - TI_CPSW_PHY_SEL=n
  - Power management:
  - CPU_IDLE_GOV_TEO=y
  - DAX:
  - DEV_DAX_KMEM=m
  - DEV_DAX_PMEM_COMPAT=m
  - USB:
  - USB_AUTOSUSPEND_DELAY=2
  - USB_EHCI_FSL=m
  - Graphics:
  - DRM_ETNAVIV=n
  - DRM_NOUVEAU_SVM=n
  - VIDEO_FB_IVTV_FORCE_PAT=n
  - Sound:
  - SND_SOC_CROS_EC_CODEC=m
  - SND_SOC_CS35L36=m
  - SND_SOC_CS4341=m
  - SND_SOC_FSL_MICFIL=n
  - SND_SOC_MAX98373=m
  - SND_SOC_MT6358=n
  - SND_SOC_MTK_BTCVSD=m
  - SND_SOC_RK3328=n
  - SND_SOC_WM8904=n
  - SND_SOC_XILINX_AUDIO_FORMATTER=n
  - SND_SOC_XILINX_SPDIF=n
  - Input:
  - HID_MALTRON=m
  - HID_VIEWSONIC=m
  - TTY:
  - LDISC_AUTOLOAD=y
  - RTC:
  - RTC_DRV_ABEOZ9=m
  - RTC_DRV_RV3028=m
  - RTC_DRV_SD3078=m
  - RTC_DRV_WILCO_EC=m
  - Industrial IO:
  - AD7606_IFACE_PARALLEL=n
  - AD7606_IFACE_SPI=n
  - AD7768_1=n
  - MAX44009=m
  - PMS7003=n
  - SPS30=n
  - TI_DAC7612=n
  - Misc drivers:
  - ALTERA_FREEZE_BRIDGE=m
  - EDAC_I10NM=m
  - EXTCON_PTN5150=m
  - GNSS_MTK_SERIAL=m
  - GPIO_AMD_FCH=m
  - GPIO_TQMX86=m
  - HABANA_AI=m
  - INPUT_MSM_VIBRATOR=n
  - INTEL_MEI_HDCP=m
  - INTERCONNECT=m
  - IR_RCMM_DECODER=m
  - MFD_TQMX86=m
  - MLX_WDT=m
  - SPI_MTK_QUADSPI=m
  - SPI_NXP_FLEXSPI=n
  - SPI_SIFIVE=n
  - WILCO_EC=m
  - WILCO_EC_DEBUGFS=n
  - Virtualization:
  - HYPERV_IOMMU=y
  - Security:
  - LSM=""
  - SECURITY_SAFESETID=n
  - Testing:
  - TEST_LIVEPATCH=n
  - TEST_STACKINIT=n
  - TEST_VMALLOC=n
  - x86:
  - PCENGINES_APU2=m
  - ppc64/ppc64le:
  - NVRAM=m
  - KCOV=n
  - s390x:
  UID16=y
  DMA_FENCE_TRACE=n
  SCSI_GDTH=n
  UDMABUF=y
  - */debug:
  - PRINTK_CALLER=n
- commit b493de0
* Mon Mar 18 2019 msuchanek@suse.de
- Trim build dependencies of sample subpackage spec file (FATE#326579,
  jsc#SLE-4117, jsc#SLE-3853, bsc#1128910).
- commit 2eae420
* Sun Mar 17 2019 mkubecek@suse.cz
- Drop stale disabled patches
  As discussed in
  http://mailman.suse.de/mlarch/SuSE/kernel/2019/kernel.2019.02/msg00118.html
  http://mailman.suse.de/mlarch/SuSE/kernel/2019/kernel.2019.03/msg00016.html
  some of our patches have been disabled for quite long and attempts to get
  them reviewed failed. Let's drop them now:
  patches.suse/0036-arm-Add-BTB-invalidation-on-switch_mm-for-Cortex-A9-.patch
  patches.suse/0037-arm-Invalidate-BTB-on-prefetch-abort-outside-of-user.patch
  patches.suse/0038-arm-KVM-Invalidate-BTB-on-guest-exit.patch
  patches.suse/0039-arm-Add-icache-invalidation-on-switch_mm-for-Cortex-.patch
  patches.suse/0040-arm-Invalidate-icache-on-prefetch-abort-outside-of-u.patch
  patches.suse/0041-arm-KVM-Invalidate-icache-on-guest-exit-for-Cortex-A.patch
  patches.suse/binutils2_26.patch
  patches.suse/dm-mpath-accept-failed-paths
  patches.suse/pstore-backend-autoaction
- commit 55d6d1e
* Sun Mar 17 2019 mkubecek@suse.cz
- config: enable RANDOM_TRUST_CPU
  The outcome from mailing list discussion when this config option
  appeared was that it makes more sense to enable it by default and let
  those who do not trust their CPU override it on command line; but then
  I forgot to actually change the value.
- commit 138b5df
* Fri Mar 15 2019 tiwai@suse.de
- Update config files: disable CONFIG_FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER (bsc#1127552)
  The deferred fbcon takeover makes little sense with the current openSUSE
  boot setup, and it's harmful (more glitches, etc).  Disable it for now.
- commit 14fa903
* Fri Mar 15 2019 msuchanek@suse.de
- Remove the previous subpackage infrastructure.
  This partially reverts commit 9b3ca32c11854156b2f950ff5e26131377d8445e
  ("Add kernel-subpackage-build.spec (FATE#326579).")
- commit a5ee24e
* Fri Mar 15 2019 msuchanek@suse.de
- Add sample kernel-default-base spec file (FATE#326579, jsc#SLE-4117,
  jsc#SLE-3853, bsc#1128910).
- commit 35c4a52
* Thu Mar 14 2019 msuchanek@suse.de
- Install extra rpm scripts for kernel subpackaging (FATE#326579,
  jsc#SLE-4117, jsc#SLE-3853, bsc#1128910).
- commit ad7c227
* Thu Mar 14 2019 jslaby@suse.cz
- Linux 5.0.2 (bnc#1012628).
- perf/x86/intel: Implement support for TSX Force Abort
  (bnc#1012628).
- x86: Add TSX Force Abort CPUID/MSR (bnc#1012628).
- perf/x86/intel: Generalize dynamic constraint creation
  (bnc#1012628).
- perf/x86/intel: Make cpuc allocations consistent (bnc#1012628).
- ath9k: Avoid OF no-EEPROM quirks without qca,no-eeprom
  (bnc#1012628).
- scripts/gdb: replace flags (MS_xyz -> SB_xyz) (bnc#1012628).
- staging: erofs: compressed_pages should not be accessed again
  after freed (bnc#1012628).
- staging: erofs: keep corrupted fs from crashing kernel in
  erofs_namei() (bnc#1012628).
- gfs2: Fix missed wakeups in find_insert_glock (bnc#1012628).
- bpf: Stop the psock parser before canceling its work
  (bnc#1012628).
- Revert "PCI/PME: Implement runtime PM callbacks" (bnc#1012628).
- media: Revert "media: rc: some events are dropped by userspace"
  (bnc#1012628).
- drm: disable uncached DMA optimization for ARM and arm64
  (bnc#1012628).
- ARM: dts: exynos: Fix max voltage for buck8 regulator on Odroid
  XU3/XU4 (bnc#1012628).
- ARM: dts: exynos: Add minimal clkout parameters to Exynos3250
  PMU (bnc#1012628).
- ARM: dts: exynos: Fix pinctrl definition for eMMC RTSN line
  on Odroid X2/U3 (bnc#1012628).
- arm64: dts: hikey: Revert "Enable HS200 mode on eMMC"
  (bnc#1012628).
- arm64: dts: hikey: Give wifi some time after power-on
  (bnc#1012628).
- arm64: dts: zcu100-revC: Give wifi some time after power-on
  (bnc#1012628).
- x86/PCI: Fixup RTIT_BAR of Intel Denverton Trace Hub
  (bnc#1012628).
- scsi: aacraid: Fix missing break in switch statement
  (bnc#1012628).
- iscsi_ibft: Fix missing break in switch statement (bnc#1012628).
- Input: elan_i2c - add id for touchpad found in Lenovo s21e-20
  (bnc#1012628).
- Input: wacom_serial4 - add support for Wacom ArtPad II tablet
  (bnc#1012628).
- media: uvcvideo: Fix 'type' check leading to overflow
  (bnc#1012628).
- commit 815c1bc
* Mon Mar 11 2019 mkubecek@suse.cz
- Update patches.suse/0001-media-usb-pwc-Don-t-use-coherent-DMA-buffers-for-ISO.patch
  upstream reference.
- commit ff7c8cd
* Sun Mar 10 2019 jslaby@suse.cz
- Linux 5.0.1 (bnc#1012628).
- exec: Fix mem leak in kernel_read_file (bnc#1012628).
- Bluetooth: Fix locking in bt_accept_enqueue() for BH context
  (bnc#1012628).
- Bluetooth: btrtl: Restore old logic to assume firmware is
  already loaded (bnc#1012628).
- selftests: firmware: fix verify_reqs() return value
  (bnc#1012628).
- Revert "selftests: firmware: remove use of non-standard diff
  - Z option" (bnc#1012628).
- Revert "selftests: firmware: add
  CONFIG_FW_LOADER_USER_HELPER_FALLBACK to config" (bnc#1012628).
- USB: serial: cp210x: fix GPIO in autosuspend (bnc#1012628).
- gnss: sirf: fix premature wakeup interrupt enable (bnc#1012628).
- xtensa: fix get_wchan (bnc#1012628).
- aio: Fix locking in aio_poll() (bnc#1012628).
- MIPS: irq: Allocate accurate order pages for irq stack
  (bnc#1012628).
- alpha: wire up io_pgetevents system call (bnc#1012628).
- applicom: Fix potential Spectre v1 vulnerabilities
  (bnc#1012628).
- usb: xhci: Fix for Enabling USB ROLE SWITCH QUIRK on
  INTEL_SUNRISEPOINT_LP_XHCI (bnc#1012628).
- xhci: tegra: Prevent error pointer dereference (bnc#1012628).
- tracing: Fix event filters and triggers to handle negative
  numbers (bnc#1012628).
- x86/boot/compressed/64: Do not read legacy ROM on EFI system
  (bnc#1012628).
- x86/CPU/AMD: Set the CPB bit unconditionally on F17h
  (bnc#1012628).
- tipc: fix RDM/DGRAM connect() regression (bnc#1012628).
- team: Free BPF filter when unregistering netdev (bnc#1012628).
- sky2: Disable MSI on Dell Inspiron 1545 and Gateway P-79
  (bnc#1012628).
- sctp: call iov_iter_revert() after sending ABORT (bnc#1012628).
- qmi_wwan: Add support for Quectel EG12/EM12 (bnc#1012628).
- net-sysfs: Fix mem leak in netdev_register_kobject
  (bnc#1012628).
- net: sched: put back q.qlen into a single location
  (bnc#1012628).
- net: mscc: Enable all ports in QSGMII (bnc#1012628).
- net: dsa: mv8e6xxx: fix number of internal PHYs for 88E6x90
  family (bnc#1012628).
- net: dsa: mv88e6xxx: handle unknown duplex modes gracefully
  in mv88e6xxx_port_set_duplex (bnc#1012628).
- net: dsa: mv88e6xxx: add call to mv88e6xxx_ports_cmode_init
  to probe for new DSA framework (bnc#1012628).
- ip6mr: Do not call __IP6_INC_STATS() from preemptible context
  (bnc#1012628).
- staging: android: ashmem: Avoid range_alloc() allocation with
  ashmem_mutex held (bnc#1012628).
- staging: android: ashmem: Don't call fallocate() with
  ashmem_mutex held (bnc#1012628).
- staging: android: ion: fix sys heap pool's gfp_flags
  (bnc#1012628).
- staging: wilc1000: fix to set correct value for 'vif_num'
  (bnc#1012628).
- staging: comedi: ni_660x: fix missing break in switch statement
  (bnc#1012628).
- staging: erofs: fix illegal address access under memory pressure
  (bnc#1012628).
- staging: erofs: fix race of initializing xattrs of a inode at
  the same time (bnc#1012628).
- staging: erofs: fix memleak of inode's shared xattr array
  (bnc#1012628).
- staging: erofs: fix fast symlink w/o xattr when fs xattr is on
  (bnc#1012628).
- driver core: Postpone DMA tear-down until after devres release
  (bnc#1012628).
- USB: serial: ftdi_sio: add ID for Hjelmslund Electronics USB485
  (bnc#1012628).
- USB: serial: cp210x: add ID for Ingenico 3070 (bnc#1012628).
- USB: serial: option: add Telit ME910 ECM composition
  (bnc#1012628).
- binder: create node flag to request sender's security context
  (bnc#1012628).
- staging: erofs: fix mis-acted TAIL merging behavior
  (bnc#1012628).
- cpufreq: Use struct kobj_attribute instead of struct global_attr
  (bnc#1012628).
- commit 47a2a02
* Thu Mar  7 2019 msuchanek@suse.de
- KMPs: provide and conflict a kernel version specific KMP name
  (bsc#1127155, bsc#1109137).
- commit 5568093
* Wed Mar  6 2019 msuchanek@suse.de
- Revert "Drop multiversion(kernel) from the KMP template (fate#323189)"
  (bsc#1109137).
  This reverts commit 71504d805c1340f68715ad41958e5ef35da2c351.
- commit adade9f
* Tue Mar  5 2019 mkubecek@suse.cz
- config: disable BPFILTER_UMH on non-x86 architectures (bsc#1127188)
  CONFIG_BPFILTER_UMH depends on ability to compile and link a userspace
  binary so that it currently doesn't work in our kbuild check setups using
  a cross compiler. Disable the option on architectures where cross compiler
  is used (i.e. all except x86_64 and i386).
- commit cfb8371
* Mon Mar  4 2019 msuchanek@suse.de
- KMPs: obsolete older KMPs of the same flavour (bsc#1127155, bsc#1109137).
- commit 821419f
* Mon Mar  4 2019 mkubecek@suse.cz
- Update to 5.0 final
- Refresh configs
- commit 8f71df2
* Wed Feb 27 2019 msuchanek@suse.de
- BPF: UMH: do not detect if compiler can link userspace program
  (boo#1127188).
- commit 784e336
* Mon Feb 25 2019 mkubecek@suse.cz
- Update to 5.0-rc8
- Eliminated 1 patch
- commit 4ddf057
* Fri Feb 22 2019 mkubecek@suse.cz
- net: crypto set sk to NULL when af_alg_release (CVE-2019-8912
  bsc#1125907).
- commit 3aed52e
* Fri Feb 22 2019 mkubecek@suse.cz
- config: enable PREEMPT_VOLUNTARY (bsc#1125004)
  Switch to PREEMPT_VOLUNTARY everywhere except s390x/zfcpdump.
- commit f62cec7
* Tue Feb 19 2019 mbenes@suse.cz
- rpm/klp-symbols: Remove the second column in Symbols.list
  Symbols.list file contains also a symbol type next to its name.
  klp-convert cannot handle it well and it is superfluous anyway.
- commit 62a0a00
* Mon Feb 18 2019 msuchanek@suse.de
- powerpc/tm: Flip the HTM switch default to disabled
  (bsc#1125580, jsc#SLE-16056).
- commit e5be95e
* Mon Feb 18 2019 mkubecek@suse.cz
- Update to 5.0-rc7
- commit b094e66
* Mon Feb 11 2019 mkubecek@suse.cz
- Update to 5.0-rc6
- commit eb4b248
* Fri Feb  8 2019 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Build livepatch support in SUSE release
  projects (bsc#1124167).
- commit 7519080
* Mon Feb  4 2019 mkubecek@suse.cz
- Update to 5.0-rc5
- Config changes:
  - x86:
  - X86_RESCTRL renamed to X86_CPU_RESCTRL
- commit a42dcc6
* Wed Jan 30 2019 mwilck@suse.com
- rpm/kernel-binary.spec.in: fix initrd permissions (bsc#1123697)
  dracut has been using permissions 0600 for the initrd for a long
  time. On SLE15 or higher, that leads to a permission mismatch
  reported by "rpm -V". Set the permissions correctly for our
  ghost file.
- commit 9e5e2a5
* Mon Jan 28 2019 tiwai@suse.de
- doc/README.SUSE: Correct description for building a kernel (bsc#1123348)
  The obsoleted make cloneconfig is corrected.  Also the order of make
  scripts and make prepare are corrected as well.
- commit 17a2073
* Mon Jan 28 2019 tiwai@suse.de
- rpm/release-projects: Add SUSE:Maintenance:* for MU kernels (bsc#1123317)
- commit c784b79
* Mon Jan 28 2019 mkubecek@suse.cz
- Update to 5.0-rc4
- commit 8e6abff
* Thu Jan 24 2019 ptesarik@suse.cz
- Add product identifying information to VMCOREINFO (bsc#1123015).
- commit 68ca35e
* Thu Jan 24 2019 msuchanek@suse.de
- rpm/kernel-*.spec.in: replace update srchash dependencies (FATE#325312).
  Due to some limitations version cannot be matched so move the hash into
  the provide name.
- commit 219bcec
* Tue Jan 22 2019 oneukum@suse.com
- media: usb: pwc: Don't use coherent DMA buffers for ISO transfer
  (bsc#1054610).
- commit 59d243a
* Mon Jan 21 2019 mkubecek@suse.cz
- Update to 5.0-rc3
- Config changes:
  - ARM64:
  - HSA_AMD=y
- commit 05bf5c0
* Mon Jan 14 2019 mkubecek@suse.cz
- Update to 5.0-rc2
- Config changes:
  - x86:
  - RESCTRL renamed to X86_RESCTRL
- commit 879eb5c
* Fri Jan 11 2019 afaerber@suse.de
- config: arm64: Update to 5.0-rc1
- commit 88c2434
* Mon Jan  7 2019 mkubecek@suse.cz
- config: restore accidentally lost BPFILTER_UMH (ppc64, ppc64le, s390x)
- commit a56baa9
* Mon Jan  7 2019 mkubecek@suse.cz
- vfio_pci: Add local source directory as include.
- commit ea6d6e3
* Mon Jan  7 2019 mkubecek@suse.cz
- Update to 5.0-rc1
- Eliminated 1 patch
- ARM configs need update
- Config changes:
  - PM:
  - ENERGY_MODEL=y
  - Networking:
  - CAN_FLEXCAN=m
  - USB_NET_AQC111=m
  - QTNFMAC_PCIE=m
  - VIRT_WIFI=m
  - PCI:
  - PCI_MESON=n
  - SCSI:
  - SCSI_UFS_CDNS_PLATFORM=m
  - NVME:
  - NVME_TCP=m
  - NVME_TARGET_TCP=m
  - Graphics:
  - DRM_PANEL_OLIMEX_LCD_OLINUXINO=n
  - DRM_PANEL_SAMSUNG_S6D16D0=n
  - DRM_PANEL_TRULY_NT35597_WQXGA=n
  - TINYDRM_HX8357D=n
  - Sound:
  - SND_SOC_AMD_ACP3x=n
  - SND_SOC_INTEL_KBL_RT5660_MACH=m
  - SND_SOC_XILINX_I2S=n
  - SND_SOC_AK4118=n
  - Multimedia:
  - VIDEO_ASPEED=m
  - VIDEO_SECO_CEC=m
  - VIDEO_SECO_RC=y
  - I3C:
  - I3C=m
  - CDNS_I3C_MASTER=m
  - DW_I3C_MASTER=m
  - IIO:
  - AD7124=n
  - AD7949=n
  - TI_DAC7311=n
  - VCNL4035=n
  - SENSORS_RM3100_I2C=n
  - SENSORS_RM3100_SPI=n
  - MCP41010=m
  - PHY:
  - PHY_CADENCE_SIERRA=m
  - PHY_FSL_IMX8MQ_USB=m
  - misc drivers:
  - MTD_PHYSMAP_GPIO_ADDR=y
  - SPI_MXIC=n
  - MISC_ALCOR_PCI=m
  - RC_XBOX_DVD=m
  - PINCTRL_OCELOT=n
  - GPIO_CADENCE=m
  - SENSORS_OCC_P8_I2C=m
  - TQMX86_WDT=m
  - MMC_ALCOR=m
  - MMC_SDHCI_AM654=m
  - LEDS_TRIGGER_AUDIO=m
  - SERIO_OLPC_APSP=m
  - Security:
  - INTEGRITY_PLATFORM_KEYRING=y
  - IMA_ARCH_POLICY=y
  - Crypto:
  - CRYPTO_ADIANTUM=m
  - CRYPTO_STREEBOG=m
  - CRYPTO_STATS=n
  - Library:
  - RAID6_PQ_BENCHMARK=y (preserve current behaviour)
  - Testing:
  - TEST_OBJAGG=n
  - x86:
  - RESCTRL=y
  - HUAWEI_WMI=m
  - i386:
  - PVH=y
  - MTD_PHYSMAP_OF=m
  - ppc*:
  - PVPANIC=m
  - FB_LOGO_CENTER=n
  - FSI_OCC=m
  - DEBUG_VIRTUAL=n
  - SENSORS_OCC_P9_SBE=m
  - s390x:
  - PCCARD=n
  - RAPIDIO
  - other RapidIO options copy other architectures
  - DMADEVICES related options copy other architectures
  - */debug:
  - CRYPTO_STATS=y
  - TTY_PRINTK_LEVEL=6
- commit 6a4ceaa
* Mon Dec 24 2018 mkubecek@suse.cz
- Update to 4.20 final
- Eliminated 1 patch
- Refresh configs
- commit ba5c149
* Fri Dec 21 2018 mkubecek@suse.cz
- rtlwifi: Fix leak of skb when processing C2H_BT_INFO
  (bsc#1116448).
- commit 9d82d20
* Mon Dec 17 2018 mkubecek@suse.cz
- Update to 4.20-rc7
- Config changes:
  - ARM:
  - MEDIA_CONTROLLER_REQUEST_API=y
- commit 4731528
* Mon Dec 10 2018 afaerber@suse.de
- config: arm: Enable EFI support (boo#1104833)
- commit 7050650
* Mon Dec 10 2018 afaerber@suse.de
- config: armv7hl: Update to 4.20-rc5
- commit f01387b
* Mon Dec 10 2018 jslaby@suse.cz
- Delete
  patches.suse/blk-mq-fix-corruption-with-direct-issue.patch.
  It is in 4.20-rc6 as ffe81d45322c but was partially reverted by
  c616cbee97ae, so this patch still applies cleanly, but is unwanted.
  Drop it.
- commit 7670339
* Mon Dec 10 2018 mkubecek@suse.cz
- Update to 4.20-rc6
- Eliminated 1 patch
- Refresh configs
- commit 93f10c3
* Sat Dec  8 2018 msuchanek@suse.de
- Include modules.fips in kernel-binary as well as kernel-binary-base
  (FATE#323247).
- commit e42315d
* Fri Dec  7 2018 jslaby@suse.cz
- x86/build: Fix compiler support check for CONFIG_RETPOLINE
  (KMP build).
- commit fb5fd39
* Wed Dec  5 2018 mkubecek@suse.cz
- blk-mq: fix corruption with direct issue (bko#201685).
- commit 8970eff
* Tue Dec  4 2018 jroedel@suse.de
- blacklist.conf: Blacklist MAINTAINERS file
- commit c4b3c90
* Mon Dec  3 2018 afaerber@suse.de
- config: armv6hl: Update to 4.20-rc5
- commit c85b385
* Mon Dec  3 2018 guillaume.gardet@free.fr
- config: armv7hl: Build some options as modules (boo#1104833)
  Enable HISI_THERMAL=m while at it.
- commit c9b9dd6
* Mon Dec  3 2018 mkubecek@suse.cz
- Update to 4.20-rc5
- Config changes:
  - General:
  - PSI_DEFAULT_DISABLED=y
  - Sound:
  - SND_SOC_INTEL_SKYLAKE_HDAUDIO_CODEC=y
  - ARM:
  - ARM64_ERRATUM_1286807=y
- commit 2ccaf30
* Mon Nov 26 2018 mkubecek@suse.cz
- Update to 4.20-rc4
- Config changes:
  - Networking:
  - MT76_LEDS=y (split from MT76_CORE)
- commit 1ac69b7
* Fri Nov 23 2018 msuchanek@suse.de
- Build ppc64le for POWER8+ (FATE#325617).
- commit f6da51b
* Fri Nov 23 2018 msuchanek@suse.de
- Revert "Remove Cell/PS3 support from ppc64 kernel (boo#1114846)"
  This reverts commit fd6aaf7f98693355e7dcc5e4e1926fb1664d803b.
  Fixed upstream in 43c6494fa149 ("powerpc/io: Fix the IO workarounds code
  to work with Radix")
- commit 4f86993
* Tue Nov 20 2018 rgoldwyn@suse.com
- apparmor: fix unnecessary creation of net-compat (bsc#1116724).
- commit f5cf767
* Mon Nov 19 2018 mkubecek@suse.cz
- Update to 4.20-rc3
- Refresh configs
- commit 81d20d2
* Tue Nov 13 2018 msuchanek@suse.de
- Add kernel-subpackage-build.spec (FATE#326579).
  - add kernel-subpackage-build.spec.in and support scripts
  - hook it in mkspec
  - extend the mechanism that copies dependencies inside
  kernel-binary.spec.in from kernel-%%build_flavor to
  kernel-%%build_flavor-base to also handle
  kernel-subpackage-build.spec.in using BINARY DEPS marker.
  - expand %%name in kernel-%%build_flavor so the dependencies are expanded
  correctly in kernel-subpackage-build.spec.in
- commit 9b3ca32
* Mon Nov 12 2018 mkubecek@suse.cz
- Update to 4.20-rc2
- Eliminated 1 patch
- Config changes:
  - I2C:
    I2C_NVIDIA_GPU=m
  - USB:
    UCSI_CCG=m
- commit 1c08d7f
* Sun Nov 11 2018 afaerber@suse.de
- config: arm64: Update to 4.20-rc1
- commit 2d02cd8
* Thu Nov  8 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: Add patches.drm for moved DRM patches
- commit 8592674
* Thu Nov  8 2018 jslaby@suse.cz
- doc/README.SUSE: correct GIT url
  No more gitorious, github we use.
- commit 31864f3
* Tue Nov  6 2018 mkubecek@suse.cz
- config: reenable BPFILTER_UMH on ppc64
- commit 46cb36e
* Tue Nov  6 2018 agraf@suse.de
- Remove Cell/PS3 support from ppc64 kernel (boo#1114846)
- commit fd6aaf7
* Mon Nov  5 2018 mkubecek@suse.cz
- scripts/mkmakefile: honor second argument.
- commit 78325a6
* Mon Nov  5 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: add macros.s into kernel-*-devel
  Starting with 4.20-rc1, file arch/*/kernel/macros.s is needed to build out
  of tree modules. Add it to kernel-${flavor}-devel packages if it exists.
- commit 09d14c8
* Mon Nov  5 2018 mkubecek@suse.cz
- series.conf: delete an obsolete comment
- commit c3bd57d
* Mon Nov  5 2018 jslaby@suse.cz
- Refresh
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
  Adapt to 4.20.
- commit dcaec93
* Mon Nov  5 2018 mkubecek@suse.cz
- Update to 4.20-rc1
- ARM configs need updating
- disabled (needs refresh):
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch
- Config changes:
  - General:
  - PSI=y
  - Networking:
  - NFT_XFRM=m
  - NET_SCH_TAPRIO=m
  - BATMAN_ADV_TRACING=n
  - NCSI_OEM_CMD_GET_MAC=y
  - EEPROM_EE1004=m
  - SCSI_UFS_BSG=y
  - SCSI_MYRB=m
  - SCSI_MYRS=m
  - IXGBE_IPSEC=y
  - IXGBEVF_IPSEC=y
  - IGC=m
  - NI_XGE_MANAGEMENT_ENET=m
  - MT76x0E=m
  - File systems:
  - EROFS_FS_IO_MAX_RETRIES=5 (default)
  - AFS_DEBUG_CURSOR=n
  - CONFIG_UBIFS_FS_AUTHENTICATION=y
  - Crypto:
  - CRYPTO_OFB=m
  - CRYPTO_STATS=n
  - ASYMMETRIC_TPM_KEY_SUBTYPE=m
  - PKCS8_PRIVATE_KEY_PARSER=m
  - TPM_KEY_PARSER=m
  - Graphics:
  - VIDEO_VICODEC=m
  - DRM_FBDEV_LEAK_PHYS_SMEM=n
  - DRM_I915_DEBUG_RUNTIME_PM=n
  - DRM_TOSHIBA_TC358764=n
  - DRM_TI_SN65DSI86=n
  - Sound:
  - SND_SOC_INTEL_KBL_DA7219_MAX98927_MACH=m
  - SND_SOC_INTEL_SKL_HDA_DSP_GENERIC_MACH=m
  - SND_SOC_MAX98088=n
  - SND_SOC_PCM3060_I2C=n
  - SND_SOC_PCM3060_SPI=n
  - SND_SOC_NAU8822=n
  - Input devices:
  - HID_BIGBEN_FF=m
  - Platform:
  - LG_LAPTOP=m
  - INTEL_ATOMISP2_PM=m
  - IIO:
  - ADXL372_SPI=n
  - ADXL372_I2C=n
  - MCP3911=n
  - QCOM_SPMI_ADC5=n
  - LTC1660=n
  - VL53L0X_I2C=m
  - Misc drivers:
  - UDMABUF=y
  - MFD_AT91_USART=n
  - LEDS_AN30259A=n
  - LEDS_TRIGGER_PATTERN=m
  - PHY_CADENCE_DP=m
  - STM_PROTO_BASIC=m
  - STM_PROTO_SYS_T=m
  - Testing:
  - TEST_XARRAY=n
  - TEST_MEMCAT_P=n
  - x86:
  - X86_CPA_STATISTICS=n (y for -debug)
  - i386:
  - MSCC_OCELOT_SWITCH_OCELOT=m
  - ppc64, ppc64le:
  - PAPR_SCM=m
  - PCI_P2PDMA=y
  - STACKPROTECTOR=y
  - STACKPROTECTOR_STRONG=n
  - BLK_DEV_PMEM=m
  - ND_BLK=m
  - BTT=y
  - NVDIMM_PFN=y
  - NVDIMM_DAX=y
  - OF_PMEM=m
  - DEV_DAX_PMEM=m
  - FAIL_FUNCTION=n
  - ENA_ETHERNET=m
  - s390:
  - VMAP_STACK=y
  - S390_AP_IOMMU=n
  - ZCRYPT_MULTIDEVNODES=y
  - KASAN=n
  - */debug:
  - INTEL_IOMMU_DEBUGFS=y
  - BPF_KPROBE_OVERRIDE=y
  - CONFIG_X86_CPA_STATISTICS=y
  - CONFIG_CRYPTO_STATS=y
- commit f29310b
* Sun Nov  4 2018 mkubecek@suse.cz
- rpm: use syncconfig instead of silentoldconfig where available
  Since mainline commit 0085b4191f3e ("kconfig: remove silentoldconfig
  target"), "make silentoldconfig" can be no longer used. Use "make
  syncconfig" instead if available.
- commit a239c6e
* Fri Nov  2 2018 mkubecek@suse.cz
- series.conf: more descriptive name for network driver section
  We have two networking sections in series.conf: one for networking core and
  one for network drivers. The latter is among other driver related sections
  but it may not be obvious that it is not intended for core networking
  patches. Change the label to "Network drivers" to make its purpose more
  apparent.
- commit 7968e32
* Fri Nov  2 2018 mkubecek@suse.cz
- config: enable SCSI_AACRAID on ppc64le and ppc64 (bsc#1114523)
- commit 5f3762b
* Tue Oct 30 2018 jslaby@suse.cz
- Refresh
  patches.suse/netfilter-bridge-define-INT_MIN-INT_MAX-in-userspace.patch.
  Update upstream status.
- commit 37417fa
* Tue Oct 30 2018 jmoreira@suse.de
- Add version information to KLP_SYMBOLS file
- commit f77f8d2
* Thu Oct 25 2018 mwilck@suse.com
- rpm/kernel-binary.spec.in: allow unsupported modules for -extra
  (bsc#1111183). SLE-15 and later only.
- commit 0d585a8
* Wed Oct 24 2018 mkubecek@suse.cz
- series.conf: move patches.suse/netfilter-bridge-define-INT_MIN-INT_MAX-in-userspace.patch to netfilter section
- commit 7656685
* Wed Oct 24 2018 jslaby@suse.cz
- netfilter: bridge: define INT_MIN & INT_MAX in userspace
  (4.19 fixes).
- commit e7213f6
* Mon Oct 22 2018 mkubecek@suse.cz
- Update to 4.19 final
- Refresh configs
- commit b4c35bb
* Mon Oct 15 2018 mkubecek@suse.cz
- Update to 4.19-rc8
- commit 2e61ca8
* Fri Oct 12 2018 tzimmermann@suse.de
- README: Clean-up trailing whitespace
- commit 06542f9
* Thu Oct 11 2018 tzimmermann@suse.de
- README: Update documentation wrt. Patch-mainline
  Common practice is to set Patch-mainline to a Linux release tag. More
  than 95%% of all patches follow this convention. The remaining 5%% have
  been fixed accordingly in SLE15.
  The README file is inconsistent wrt. to the content of Patch-mainline.
  In some places it refers to a release tag, in others it refers to a version
  number. With this cleanup, it refers to release tags everywhere.
  This change is a follow-up for commit 1d81d2699cd3.
- commit 57326f5
* Tue Oct  9 2018 msuchanek@suse.de
- Revert "Limit kernel-source build to architectures for which we build binaries"
  This reverts commit d6435125446d740016904abe30a60611549ae812.
- commit 48b03c4
* Mon Oct  8 2018 mkubecek@suse.cz
- Update to 4.19-rc7
- commit 63b130b
* Thu Oct  4 2018 mbrugger@suse.com
- arm64: Update config files. (bsc#1110716)
  Enable ST LPS25H pressure sensor.
- commit 9882f33
* Tue Oct  2 2018 nborisov@suse.com
- Update config files. (boo##1109665)
- commit 76516eb
* Mon Oct  1 2018 msuchanek@suse.de
- rpm/mkspec: fix ppc64 kernel-source build.
- commit 85c9272
* Sun Sep 30 2018 mkubecek@suse.cz
- Update to 4.19-rc6
- Eliminated 2 patches
- commit 80aa112
* Sat Sep 29 2018 lduncan@suse.com
- Added CVE numbers for two patches (bsc#1107829)
- commit e3ac2a8
* Fri Sep 28 2018 lduncan@suse.com
- scsi: target: iscsi: Use bin2hex instead of a re-implementation
  (bsc#1107829).
- scsi: target: iscsi: Use hex2bin instead of a re-implementation
  (bsc#1107829).
- commit 8791706
* Thu Sep 27 2018 msuchanek@suse.de
- rpm/mkspec: build dtbs for architectures marked -!needs_updating
- commit 2d47640
* Thu Sep 27 2018 msuchanek@suse.de
- Limit kernel-source build to architectures for which we build binaries
  (bsc#1108281).
- commit d643512
* Tue Sep 25 2018 mbrugger@suse.com
- arm64: Update config files.
  Increase NR_CPUS to 480 (fate#325592)
- commit d5464c0
* Mon Sep 24 2018 mkubecek@suse.cz
- Update to 4.19-rc5
- commit b44d7bc
* Mon Sep 17 2018 mkubecek@suse.cz
- Update to 4.19-rc4
- Eliminated 1 patch
- Config changes:
  - Filesystems:
  - EROFS_FS=m
  - EROFS_FS_DEBUG=n
  - EROFS_FS_XATTR=y
  - EROFS_FS_POSIX_ACL=y
  - EROFS_FS_SECURITY=y
  - EROFS_FS_USE_VM_MAP_RAM=n
  - EROFS_FAULT_INJECTION=n
  - EROFS_FS_ZIP=n
- commit 625b101
* Fri Sep 14 2018 mkubecek@suse.cz
- ip: frags: fix crash in ip_do_fragment() (bsc#1108533).
- commit ba41502
* Fri Sep 14 2018 msuchanek@suse.de
- doc/README.SUSE: Remove mentions of cloneconfig (bsc#1103636).
- commit 3371adc
* Thu Sep 13 2018 jbohac@suse.cz
- Delete patches.suse/x86_64-hpet-64bit-timer.patch.
  We removed the patch from SLE15 in commit
  20efbd0c034fea7c97243120a025587d0dbac1c2
  and we don't need it in future versions of SLE.
- commit aa4eb67
* Mon Sep 10 2018 msuchanek@suse.de
- macros.kernel-source: pass -b properly in kernel module package
  (bsc#1107870).
- commit 66709cd
* Mon Sep 10 2018 mkubecek@suse.cz
- Update to 4.19-rc3
- refresh configs
- commit d3995d7
* Fri Sep  7 2018 jeffm@suse.com
- config: disable HFS_FS
  It has no maintainer and has been a source of fuzzer bugs.  hfsplus handles
  the HFS+ file system that became the default on MacOS in 1998.
- commit 0d9481c
* Fri Sep  7 2018 tiwai@suse.de
- supported.conf: Add bpfilter to kernel-default-base (bsc#1106751)
- commit 8f1f1b6
* Mon Sep  3 2018 jslaby@suse.cz
- rpm/kernel-binary.spec.in: fix call of split-modules
  split-modules is called with some parameters depending on config
  options. But since we do not use backslash consistelny, the call to
  split-modules might be evaluated so that also the following cat
  command is appended. Avoid this behaviour by using backslashes
  everywhere and add %%nil to the end.
  This perhaps never happens, but stay on the safe side.
- commit 32df888
* Mon Sep  3 2018 mkubecek@suse.cz
- Update to 4.19-rc2
- refresh configs
- commit a9462db
* Sat Sep  1 2018 afaerber@suse.de
- config: arm64: Increase SERIAL_8250_RUNTIME_UARTS to 32 (boo#1073193)
  (cherry picked from commit 0dbc49ba128ef0931ca04cf22ec5c638534f5b23)
- commit 6aae50e
* Sat Sep  1 2018 afaerber@suse.de
- config: Enable SERIAL_SC16IS7XX_SPI on arm and x86 (bsc#1105672, fate#326668)
  (cherry picked from commit cdc9eced6d892ff77abbeef5f0d5eb38c114602c)
- commit 22a4d36
* Sat Sep  1 2018 afaerber@suse.de
- config: Consistently increase SERIAL_8250_NR_UARTS to 32 (boo#1073193)
  (cherry picked from commit acb36abf212a3a7428d958798d678d82351f4658)
- commit 090b553
* Sat Sep  1 2018 afaerber@suse.de
- config: armv7hl: Update to 4.19-rc1
- commit d1f42dc
* Sat Sep  1 2018 afaerber@suse.de
- config: armv7hl: Update to 4.18.5 (bsc#1012628)
  (cherry picked from commit fa0ebc5508eedec2c9108cafdf854a8c53a28a83)
  [AF: Don't re-enable the configs yet]
- commit f2722e4
* Sat Sep  1 2018 afaerber@suse.de
- config: armv6hl: Update to 4.19-rc1
- commit 2f56919
* Fri Aug 31 2018 afaerber@suse.de
- config: armv6hl: Update to 4.18.5 (bsc#1012628)
  (cherry picked from commit e9071067714392290f6b0d525c77c8abfa8cf075)
  [AF: Don't re-enable configs yet]
- commit d01db43
* Fri Aug 31 2018 afaerber@suse.de
- config: arm64: Update to 4.19-rc1
- commit a6a88d1
* Wed Aug 29 2018 mkubecek@suse.cz
- powerpc/boot: Fix missing crc32poly.h when building with
  KERNEL_XZ.
- Delete
  patches.rpmify/Revert-lib-Use-existing-define-with-polynomial.patch.
- commit cba84f7
* Wed Aug 29 2018 mkubecek@suse.cz
- kernel-binary: check also bzImage on s390/s390x
  Starting with 4.19-rc1, uncompressed image is no longer built on s390x.
  If file "image" is not found in arch/s390/boot after the build, try bzImage
  instead.
  For now, install bzImage under the name image-* until we know grub2 and our
  grub2 scripts can handle correct name.
- commit 92b52c6
* Tue Aug 28 2018 jbeulich@suse.com
- Refresh patches.suse/supported-flag after upstream commit b2c5cdcfd4.
- Refresh
  patches.suse/kernel-add-product-identifying-information-to-kernel-build.patch.
- commit 8b0e2e5
* Mon Aug 27 2018 mkubecek@suse.cz
- Revert "lib: Use existing define with polynomial".
- commit 1dc6366
* Mon Aug 27 2018 mkubecek@suse.cz
- Update to 4.19-rc1
- Eliminated 179 patches (167 stable, 12 other)
- ARM configs need updating
- Config changes:
  - Block:
  - BLK_CGROUP_IOLATENCY=y
  - Networking:
  - XFRM_INTERFACE=m
  - NETFILTER_NETLINK_OSF=m
  - NFT_TUNNEL=m
  - NFT_OSF=m
  - NFT_TPROXY=m
  - NET_SCH_ETF=m
  - NET_SCH_SKBPRIO=m
  - NET_SCH_CAKE=m
  - CAN_UCAN=m
  - BT_HCIUART_RTL=y
  - BT_MTKUART=m
  - BCMGENET=m
  - SYSTEMPORT=m
  - BNXT_HWMON=y
  - NET_VENDOR_CADENCE=y	(rename)
  - BE2NET_BE2=y
  - BE2NET_BE3=y
  - BE2NET_LANCER=y
  - BE2NET_SKYHAWK=y
  - MLX5_EN_ARFS=y
  - MLX5_EN_RXNFC=y
  - NET_VENDOR_NETERION=y
  - NET_VENDOR_PACKET_ENGINES=y
  - MT76x0U=m
  - MT76x2U=m
  - IEEE802154_HWSIM=m
  - File systems:
  - OVERLAY_FS_METACOPY=n
  - UBIFS_FS_XATTR=y
  - PSTORE_ZSTD_COMPRESS=y
  - CIFS_ALLOW_INSECURE_LEGACY=y
  - Security:
  - RANDOM_TRUST_CPU=n
  - IMA_APPRAISE_BUILD_POLICY=n
  - Hacking:
  - CONSOLE_LOGLEVEL_QUIET=4
  - KPROBE_EVENTS_ON_NOTRACE=n
  - TEST_BITFIELD=n
  - TEST_IDA=n
  - Library:
  - CRC64=m
  - Graphics:
  - VIDEO_CROS_EC_CEC=m
  - DRM_DP_CEC=y
  - DRM_VKMS=m
  - TINYDRM_ILI9341=n
  - FRAMEBUFFER_CONSOLE_DEFERRED_TAKEOVER=y
  - Sound:
  - SND_SOC_INTEL_GLK_RT5682_MAX98357A_MACH=m
  - SND_SOC_ES7241=n
  - SND_SOC_SIMPLE_AMPLIFIER=n
  - Input:
  - TOUCHSCREEN_ADC=m
  - TOUCHSCREEN_BU21029=m
  - HID_COUGAR=m
  - USB:
  - TYPEC_DP_ALTMODE=m
  - Multifunction:
  - MFD_MADERA=m
  - MFD_MADERA_I2C=m
  - MFD_MADERA_SPI=m
  - GPIO_MADERA=m
  - MFD_CS47L35=y
  - MFD_CS47L85=y
  - MFD_CS47L90=y
  - IIO:
  - BME680=m
  - AD5758=n
  - SI1133=n
  - ISL29501=m
  - FPGA:
  - FPGA_DFL=m
  - FPGA_DFL_FME=m
  - FPGA_DFL_FME_MGR=m
  - FPGA_DFL_FME_BRIDGE=m
  - FPGA_DFL_FME_REGION=m
  - FPGA_DFL_AFU=m
  - FPGA_DFL_PCI=m
  - XILINX_PR_DECOUPLER=m
  - Power management:
  - IDLE_INJECT=y
  - CHARGER_ADP5061=m
  - CHARGER_CROS_USBPD=m
  - SENSORS_MLXREG_FAN=m
  - SENSORS_NPCM7XX=m
  - Misc drivers:
  - GNSS=m
  - GNSS_SERIAL=m
  - GNSS_SIRF_SERIAL=m
  - GNSS_UBX_SERIAL=m
  - MTD_SPI_NAND=m
  - NVM_PBLK_DEBUG=n
  - PINCTRL_ICELAKE=m
  - COMMON_CLK_MAX9485=n
  - IOMMU_DEFAULT_PASSTHROUGH=n
  - XEN:
  - XEN_GRANT_DMA_ALLOC=y
  - XEN_GNTDEV_DMABUF=y
  - x86:
  - STAGING_GASKET_FRAMEWORK=m
  - STAGING_APEX_DRIVER=m
  - XIL_AXIS_FIFO=m
  - TOUCHSCREEN_DMI=y
  - I2C_MULTI_INSTANTIATE=m
  - CROS_EC_I2C=m
  - CROS_EC_SPI=m
  - MLXREG_IO=m
  - i386:
  - PCIE_XILINX=y
  - MFD_ROHM_BD718XX=n
  - DRM_PANEL_ILITEK_ILI9881C=n
  - MMC_SDHCI_OF_DWCMSHC=n
  - PAGE_TABLE_ISOLATION=y
  - PowerPC:
  - I2C_MUX_PINCTRL=m
  - I2C_DEMUX_PINCTRL=m
  - I2C_FSI=m
  - DEBUG_PINCTRL=n
  - PINCTRL_AMD=m
  - PINCTRL_MCP23S08=n
  - PINCTRL_SINGLE=n
  - PINCTRL_SX150X=n
  - LEDS_AAT1290=n
  - FSI_NEW_DEV_NODE=n
  - FSI_SBEFIFO=m
  - S/390:
  - KERNEL_GZIP=y
  - S2IO=m
  - VXGE=m
  - VXGE_DEBUG_TRACE_ALL=n
  - HAMACHI=m
  - YELLOWFIN=m
  - MDIO_BCM_UNIMAC=m
  - ISM=m
  - */debug:
  - NVM_PBLK_DEBUG=y
  - IOMMU_DEBUGFS=y
  - PREEMPTIRQ_DELAY_TEST=m
- commit a3b9cac
* Fri Aug 24 2018 jslaby@suse.cz
- Linux 4.18.5 (bnc#1012628).
- reiserfs: fix broken xattr handling (heap corruption, bad
  retval) (bnc#1012628).
- i2c: imx: Fix race condition in dma read (bnc#1012628).
- i2c: core: ACPI: Properly set status byte to 0 for multi-byte
  writes (bnc#1012628).
- PCI: pciehp: Fix unprotected list iteration in IRQ handler
  (bnc#1012628).
- PCI: pciehp: Fix use-after-free on unplug (bnc#1012628).
- PCI: Skip MPS logic for Virtual Functions (VFs) (bnc#1012628).
- PCI: aardvark: Size bridges before resources allocation
  (bnc#1012628).
- PCI: hotplug: Don't leak pci_slot on registration failure
  (bnc#1012628).
- PCI / ACPI / PM: Resume all bridges on suspend-to-RAM
  (bnc#1012628).
- PCI: Restore resized BAR state on resume (bnc#1012628).
- parisc: Remove ordered stores from syscall.S (bnc#1012628).
- parisc: Remove unnecessary barriers from spinlock.h
  (bnc#1012628).
- drm/amdgpu/pm: Fix potential Spectre v1 (bnc#1012628).
- drm/i915/kvmgt: Fix potential Spectre v1 (bnc#1012628).
- ext4: fix spectre gadget in ext4_mb_regular_allocator()
  (bnc#1012628).
- powerpc64s: Show ori31 availability in spectre_v1 sysfs file
  not v2 (bnc#1012628).
- x86/mm/init: Remove freed kernel image areas from alias mapping
  (bnc#1012628).
- x86/mm/init: Add helper for freeing kernel image pages
  (bnc#1012628).
- x86/mm/init: Pass unconverted symbol addresses to
  free_init_pages() (bnc#1012628).
- mm: Allow non-direct-map arguments to free_reserved_area()
  (bnc#1012628).
- pty: fix O_CLOEXEC for TIOCGPTPEER (bnc#1012628).
- EDAC: Add missing MEM_LRDDR4 entry in edac_mem_types[]
  (bnc#1012628).
- commit d918293
* Fri Aug 24 2018 vbabka@suse.cz
- x86/speculation/l1tf: Suggest what to do on systems with too
  much RAM (bsc#1105536).
- x86/speculation/l1tf: Fix off-by-one error when warning that
  system has too much RAM (bsc#1105536).
- x86/speculation/l1tf: Fix overflow in l1tf_pfn_limit() on 32bit
  (OBS failures reported on IRC).
- commit f3b24ad
* Fri Aug 24 2018 jslaby@suse.cz
- Update config files.
- Delete
  patches.suse/revert-mm-relax-deferred-struct-page-requirements.patch.
  We actually do not this non-upstream revert. We only need the config
  change. That is: leave DEFERRED_STRUCT_PAGE_INIT=n for i386 as it was
  before 4.16.
- commit 161b8ee
* Wed Aug 22 2018 jslaby@suse.cz
- Linux 4.18.4 (bnc#1012628).
- l2tp: use sk_dst_check() to avoid race on sk->sk_dst_cache
  (bnc#1012628).
- net_sched: fix NULL pointer dereference when delete tcindex
  filter (bnc#1012628).
- net_sched: Fix missing res info when create new tc_index filter
  (bnc#1012628).
- r8169: don't use MSI-X on RTL8168g (bnc#1012628).
- ALSA: hda - Sleep for 10ms after entering D3 on Conexant codecs
  (bnc#1012628).
- ALSA: hda - Turn CX8200 into D3 as well upon reboot
  (bnc#1012628).
- ALSA: vx222: Fix invalid endian conversions (bnc#1012628).
- ALSA: virmidi: Fix too long output trigger loop (bnc#1012628).
- ALSA: cs5535audio: Fix invalid endian conversion (bnc#1012628).
- ALSA: dice: fix wrong copy to rx parameters for Alesis iO26
  (bnc#1012628).
- ALSA: hda: Correct Asrock B85M-ITX power_save blacklist entry
  (bnc#1012628).
- ALSA: memalloc: Don't exceed over the requested size
  (bnc#1012628).
- ALSA: vxpocket: Fix invalid endian conversions (bnc#1012628).
- ALSA: seq: Fix poll() error return (bnc#1012628).
- media: gl861: fix probe of dvb_usb_gl861 (bnc#1012628).
- USB: serial: sierra: fix potential deadlock at close
  (bnc#1012628).
- USB: serial: pl2303: add a new device id for ATEN (bnc#1012628).
- USB: option: add support for DW5821e (bnc#1012628).
- ACPI / PM: save NVS memory for ASUS 1025C laptop (bnc#1012628).
- tty: serial: 8250: Revert NXP SC16C2552 workaround
  (bnc#1012628).
- serial: 8250_exar: Read INT0 from slave device, too
  (bnc#1012628).
- serial: 8250_dw: always set baud rate in dw8250_set_termios
  (bnc#1012628).
- serial: 8250_dw: Add ACPI support for uart on Broadcom SoC
  (bnc#1012628).
- uio: fix wrong return value from uio_mmap() (bnc#1012628).
- misc: sram: fix resource leaks in probe error path
  (bnc#1012628).
- Revert "uio: use request_threaded_irq instead" (bnc#1012628).
- Bluetooth: avoid killing an already killed socket (bnc#1012628).
- isdn: Disable IIOCDBGVAR (bnc#1012628).
- net: sock_diag: Fix spectre v1 gadget in __sock_diag_cmd()
  (bnc#1012628).
- r8169: don't use MSI-X on RTL8106e (bnc#1012628).
- ip_vti: fix a null pointer deferrence when create vti fallback
  tunnel (bnc#1012628).
- net: ethernet: mvneta: Fix napi structure mixup on armada 3700
  (bnc#1012628).
- net: mvneta: fix mvneta_config_rss on armada 3700 (bnc#1012628).
- cls_matchall: fix tcf_unbind_filter missing (bnc#1012628).
- commit a7b92e4
* Wed Aug 22 2018 jslaby@suse.cz
- Linux 4.18.3 (bnc#1012628).
- x86/speculation/l1tf: Exempt zeroed PTEs from inversion
  (bnc#1012628).
- commit a14f6a3
* Wed Aug 22 2018 jslaby@suse.cz
- Linux 4.18.2 (bnc#1012628).
- x86/mm: Add TLB purge to free pmd/pte page interfaces
  (bnc#1012628).
- ioremap: Update pgtable free interfaces with addr (bnc#1012628).
- Bluetooth: hidp: buffer overflow in hidp_process_report
  (bnc#1012628).
- crypto: skcipher - fix crash flushing dcache in error path
  (bnc#1012628).
- crypto: skcipher - fix aligning block size in skcipher_copy_iv()
  (bnc#1012628).
- crypto: ablkcipher - fix crash flushing dcache in error path
  (bnc#1012628).
- crypto: blkcipher - fix crash flushing dcache in error path
  (bnc#1012628).
- crypto: vmac - separate tfm and request context (bnc#1012628).
- crypto: vmac - require a block cipher with 128-bit block size
  (bnc#1012628).
- crypto: x86/sha256-mb - fix digest copy in
  sha256_mb_mgr_get_comp_job_avx2() (bnc#1012628).
- crypto: ccp - Fix command completion detection race
  (bnc#1012628).
- crypto: ccp - Check for NULL PSP pointer at module unload
  (bnc#1012628).
- crypto: ccree - fix iv handling (bnc#1012628).
- crypto: ccree - fix finup (bnc#1012628).
- kbuild: verify that $DEPMOD is installed (bnc#1012628).
- x86/mm: Disable ioremap free page handling on x86-PAE
  (bnc#1012628).
- xen/pv: Call get_cpu_address_sizes to set x86_virt/phys_bits
  (bnc#1012628).
- x86/mm/pti: Clear Global bit more aggressively (bnc#1012628).
- x86/platform/UV: Mark memblock related init code and data
  correctly (bnc#1012628).
- x86/hyper-v: Check for VP_INVAL in hyperv_flush_tlb_others()
  (bnc#1012628).
- x86: i8259: Add missing include file (bnc#1012628).
- x86/l1tf: Fix build error seen if CONFIG_KVM_INTEL is disabled
  (bnc#1012628).
- commit 51ef786
* Wed Aug 22 2018 jslaby@suse.cz
- Linux 4.18.1 (bnc#1012628).
- x86/init: fix build with CONFIG_SWAP=n (bnc#1012628).
- cpu/hotplug: Non-SMP machines do not make use of booted_once
  (bnc#1012628).
- x86/smp: fix non-SMP broken build due to redefinition of
  apic_id_is_primary_thread (bnc#1012628).
- commit 7e40689
* Tue Aug 21 2018 msuchanek@suse.de
- ACPICA: Clear status of all events when entering sleep states
  (boo#1104529).
- commit 5d7a9a7
* Tue Aug 21 2018 msuchanek@suse.de
- Delete patches.suse/Revert-ACPICA-Events-Stop-unconditionally-clearing-A.patch.
- commit fb1dc2b
* Fri Aug 17 2018 mkubecek@suse.cz
- rpm/constraints.in: raise memory constraints
  Build statistics show that most architectures already need more than 2 GB.
  Require 4 GB except s390x where the memory usage is much lower and we might
  have trouble finding any compliant worker.
- commit 71aefb3
* Thu Aug 16 2018 msuchanek@suse.de
- Revert "ACPICA: Events: Stop unconditionally clearing ACPI
  IRQs during suspend/resume" (boo#1104529, bko#196249).
- commit 5dac824
* Wed Aug 15 2018 mkubecek@suse.cz
- Update config files.
- commit 07db4aa
* Wed Aug 15 2018 jslaby@suse.cz
- Linux 4.18.1-rc1
  It contains the L1TF fixes, so push the rc1 for now.
- x86/paravirt: Fix spectre-v2 mitigations for paravirt guests
  (bnc#1012628).
- x86/speculation: Protect against userspace-userspace spectreRSB
  (bnc#1012628).
- kprobes/x86: Fix %%p uses in error messages (bnc#1012628).
- x86/irqflags: Provide a declaration for native_save_fl
  (bnc#1012628).
- x86/speculation/l1tf: Increase 32bit PAE __PHYSICAL_PAGE_SHIFT
  (bnc#1012628).
- x86/speculation/l1tf: Change order of offset/type in swap entry
  (bnc#1012628).
- x86/speculation/l1tf: Protect swap entries against L1TF
  (bnc#1012628).
- x86/speculation/l1tf: Protect PROT_NONE PTEs against speculation
  (bnc#1012628).
- x86/speculation/l1tf: Make sure the first page is always
  reserved (bnc#1012628).
- x86/speculation/l1tf: Add sysfs reporting for l1tf
  (bnc#1012628).
- x86/speculation/l1tf: Disallow non privileged high MMIO
  PROT_NONE mappings (bnc#1012628).
- x86/speculation/l1tf: Limit swap file size to MAX_PA/2
  (bnc#1012628).
- x86/bugs: Move the l1tf function and define pr_fmt properly
  (bnc#1012628).
- sched/smt: Update sched_smt_present at runtime (bnc#1012628).
- x86/smp: Provide topology_is_primary_thread() (bnc#1012628).
- x86/topology: Provide topology_smt_supported() (bnc#1012628).
- cpu/hotplug: Make bringup/teardown of smp threads symmetric
  (bnc#1012628).
- cpu/hotplug: Split do_cpu_down() (bnc#1012628).
- cpu/hotplug: Provide knobs to control SMT (bnc#1012628).
- x86/cpu: Remove the pointless CPU printout (bnc#1012628).
- x86/cpu/AMD: Remove the pointless detect_ht() call
  (bnc#1012628).
- x86/cpu/common: Provide detect_ht_early() (bnc#1012628).
- x86/cpu/topology: Provide detect_extended_topology_early()
  (bnc#1012628).
- x86/cpu/intel: Evaluate smp_num_siblings early (bnc#1012628).
- x86/CPU/AMD: Do not check CPUID max ext level before parsing
  SMP info (bnc#1012628).
- x86/cpu/AMD: Evaluate smp_num_siblings early (bnc#1012628).
- x86/apic: Ignore secondary threads if nosmt=force (bnc#1012628).
- x86/speculation/l1tf: Extend 64bit swap file size limit
  (bnc#1012628).
- x86/cpufeatures: Add detection of L1D cache flush support
  (bnc#1012628).
- x86/CPU/AMD: Move TOPOEXT reenablement before reading
  smp_num_siblings (bnc#1012628).
- x86/speculation/l1tf: Protect PAE swap entries against L1TF
  (bnc#1012628).
- x86/speculation/l1tf: Fix up pte->pfn conversion for PAE
  (bnc#1012628).
- Revert "x86/apic: Ignore secondary threads if nosmt=force"
  (bnc#1012628).
- cpu/hotplug: Boot HT siblings at least once (bnc#1012628).
- x86/KVM: Warn user if KVM is loaded SMT and L1TF CPU bug being
  present (bnc#1012628).
- x86/KVM/VMX: Add module argument for L1TF mitigation
  (bnc#1012628).
- x86/KVM/VMX: Add L1D flush algorithm (bnc#1012628).
- x86/KVM/VMX: Add L1D MSR based flush (bnc#1012628).
- x86/KVM/VMX: Add L1D flush logic (bnc#1012628).
- x86/KVM/VMX: Split the VMX MSR LOAD structures to have an
  host/guest numbers (bnc#1012628).
- x86/KVM/VMX: Add find_msr() helper function (bnc#1012628).
- x86/KVM/VMX: Separate the VMX AUTOLOAD guest/host number
  accounting (bnc#1012628).
- x86/KVM/VMX: Extend add_atomic_switch_msr() to allow VMENTER
  only MSRs (bnc#1012628).
- x86/KVM/VMX: Use MSR save list for IA32_FLUSH_CMD if required
  (bnc#1012628).
- cpu/hotplug: Online siblings when SMT control is turned on
  (bnc#1012628).
- x86/litf: Introduce vmx status variable (bnc#1012628).
- x86/kvm: Drop L1TF MSR list approach (bnc#1012628).
- x86/l1tf: Handle EPT disabled state proper (bnc#1012628).
- x86/kvm: Move l1tf setup function (bnc#1012628).
- x86/kvm: Add static key for flush always (bnc#1012628).
- x86/kvm: Serialize L1D flush parameter setter (bnc#1012628).
- x86/kvm: Allow runtime control of L1D flush (bnc#1012628).
- cpu/hotplug: Expose SMT control init function (bnc#1012628).
- cpu/hotplug: Set CPU_SMT_NOT_SUPPORTED early (bnc#1012628).
- x86/bugs, kvm: Introduce boot-time control of L1TF mitigations
  (bnc#1012628).
- Documentation: Add section about CPU vulnerabilities
  (bnc#1012628).
- x86/speculation/l1tf: Unbreak !__HAVE_ARCH_PFN_MODIFY_ALLOWED
  architectures (bnc#1012628).
- x86/KVM/VMX: Initialize the vmx_l1d_flush_pages' content
  (bnc#1012628).
- Documentation/l1tf: Fix typos (bnc#1012628).
- cpu/hotplug: detect SMT disabled by BIOS (bnc#1012628).
- x86/KVM/VMX: Don't set l1tf_flush_l1d to true from
  vmx_l1d_flush() (bnc#1012628).
- x86/KVM/VMX: Replace 'vmx_l1d_flush_always' with
  'vmx_l1d_flush_cond' (bnc#1012628).
- x86/KVM/VMX: Move the l1tf_flush_l1d test to vmx_l1d_flush()
  (bnc#1012628).
- x86/irq: Demote irq_cpustat_t::__softirq_pending to u16
  (bnc#1012628).
- x86/KVM/VMX: Introduce per-host-cpu analogue of l1tf_flush_l1d
  (bnc#1012628).
- x86: Don't include linux/irq.h from asm/hardirq.h (bnc#1012628).
- x86/irq: Let interrupt handlers set kvm_cpu_l1tf_flush_l1d
  (bnc#1012628).
- x86/KVM/VMX: Don't set l1tf_flush_l1d from
  vmx_handle_external_intr() (bnc#1012628).
- Documentation/l1tf: Remove Yonah processors from not vulnerable
  list (bnc#1012628).
- x86/speculation: Simplify sysfs report of VMX L1TF vulnerability
  (bnc#1012628).
- x86/speculation: Use ARCH_CAPABILITIES to skip L1D flush on
  vmentry (bnc#1012628).
- KVM: VMX: Tell the nested hypervisor to skip L1D flush on
  vmentry (bnc#1012628).
- cpu/hotplug: Fix SMT supported evaluation (bnc#1012628).
- x86/speculation/l1tf: Invert all not present mappings
  (bnc#1012628).
- x86/speculation/l1tf: Make pmd/pud_mknotpresent() invert
  (bnc#1012628).
- x86/mm/pat: Make set_memory_np() L1TF safe (bnc#1012628).
- x86/mm/kmmio: Make the tracer robust against L1TF (bnc#1012628).
- tools headers: Synchronise x86 cpufeatures.h for L1TF additions
  (bnc#1012628).
- x86/microcode: Allow late microcode loading with SMT disabled
  (bnc#1012628).
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Update config files.
- commit a23e15c
* Tue Aug 14 2018 mkubecek@suse.cz
- Update upstream reference:
  patches.suse/hv-netvsc-Fix-NULL-dereference-at-single-queue-mode-.patch.
- commit 0425184
* Tue Aug 14 2018 tiwai@suse.de
- hv/netvsc: Fix NULL dereference at single queue mode fallback
  (bsc#1104708).
- commit a0cb9f6
* Mon Aug 13 2018 jslaby@suse.cz
- Refresh
  patches.suse/platform-x86-ideapad-laptop-Apply-no_hw_rfkill-to-Y2.
  Update upstream info.
- commit 799dc2a
* Mon Aug 13 2018 mkubecek@suse.cz
- Update to 4.18-final.
- Refresh configs
- commit 06ab9b3
* Tue Aug  7 2018 mkubecek@suse.cz
- config: refresh s390x/vanilla
  Add new option CONFIG_SYSTEM_DATA_VERIFICATION=n
- commit 3ee2023
* Mon Aug  6 2018 mkubecek@suse.cz
- Update to 4.18-rc8
- commit 9928e10
* Mon Jul 30 2018 mkubecek@suse.cz
- Update to 4.18-rc7
- commit 68c9705
* Tue Jul 24 2018 dmueller@suse.com
- Reenable v8.1/v8.2 aarch64 extensions
  These were enabled already in SLE15 and we want to default to the
  upstream defaults, which enable these features.
  Config changes:
  - aarch64:
    HW_AFDBM=y
    PAN=y
    LSE_ATOMICS=y
    VHE=y
    UAO=y
    SVE=y
- commit 7fdc027
* Mon Jul 23 2018 msuchanek@suse.de
- Update config files.
- commit 8efadc7
* Mon Jul 23 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: Add more stuff to Recommends
  ... and move bc to Recommends as well.  All these packages are needed for
  building a kernel manually from scratch with kernel-source files.
- commit 6fcec9a
* Mon Jul 23 2018 mkubecek@suse.cz
- Update to 4.18-rc6
- Config changes:
  - NF_TABLES_SET=m (replaces NFT_SET_{RBTREE,HASH,BITMAP})
- commit 31ad2a8
* Sun Jul 22 2018 tiwai@suse.de
- rpm/kernel-source.spec.in: require bc for kernel-source
  This is needed for building include/generated/timeconst.h from
  kernel/time/timeconst.bc.
- commit d725e3b
* Tue Jul 17 2018 tiwai@suse.de
- Update config files: enable CONFIG_I2C_PXA for arm64 (bsc#1101465)
- commit d02f285
* Mon Jul 16 2018 rgoldwyn@suse.com
- apparmor: patch to provide compatibility with v2.x net rules (bsc#1100944).
- Delete patches.suse/0001-AppArmor-basic-networking-rules.patch.
- Delete
  patches.suse/0002-apparmor-update-apparmor-basic-networking-rules-for-.patch.
- Delete
  patches.suse/0003-apparmor-Fix-quieting-of-audit-messages-for-network-.patch.
- Delete patches.suse/apparmor-check-all-net-profiles.patch.
- commit 1947b35
* Mon Jul 16 2018 msuchanek@suse.de
- Pass x86 as architecture on x86_64 and i386 (bsc#1093118).
- commit 5f24fb0
* Mon Jul 16 2018 msuchanek@suse.de
- Revert "kconfig: only write '# CONFIG_FOO is not set' for
  visible symbols" (bsc#1093118).
- commit 2b9e26a
* Mon Jul 16 2018 mkubecek@suse.cz
- Update to 4.18-rc5
- commit b3f752f
* Mon Jul  9 2018 tiwai@suse.de
- alarmtimer: Prevent overflow for relative nanosleep
  (CVE-2018-13053 bsc#1099924).
- commit e98ba10
* Mon Jul  9 2018 mkubecek@suse.cz
- Update to 4.18-rc4
- Eliminated 1 patch
- Config changes:
  - s390x:
  - RSEQ=y
  - DEBUG_REQ=n
- commit 36e98dd
* Wed Jul  4 2018 dsterba@suse.com
- Update patches.suse/btrfs-8447-serialize-subvolume-mounts-with-potentially-mi.patch (bsc#951844 bsc#1024015 bsc#1099745).
  Refresh and update for Tumbleweed. No better patch version yet.
- commit dd5896f
* Mon Jul  2 2018 mkubecek@suse.cz
- Update to 4.18-rc3
- Eliminated 6 patches
- Config changes:
  - Input:
  - INPUT_SC27XX_VIBRA=m (aarch64 only)
- commit d44a642
* Fri Jun 29 2018 jslaby@suse.cz
- Refresh
  patches.suse/input-psmouse-fix-button-reporting-for-basic-protoco.patch.
  Update upstream status.
- commit 1e6a85a
* Wed Jun 27 2018 mkubecek@suse.cz
- bpf: enforce correct alignment for instructions (bsc#1099078).
- commit 55e3263
* Tue Jun 26 2018 tiwai@suse.de
- platform/x86: ideapad-laptop: Apply no_hw_rfkill to Y20-15IKBM,
  too (bsc#1098626).
- commit 0d1073f
* Mon Jun 25 2018 jslaby@suse.cz
- Input: psmouse - fix button reporting for basic protocols
  (bnc#1098392).
- commit faf690b
* Mon Jun 25 2018 msuchanek@suse.de
- rpm/kernel-source.changes.old: Add pre-SLE15 history (bsc#1098995).
- commit 631659e
* Mon Jun 25 2018 msuchanek@suse.de
- Refresh patches.suse/s390-fix-random-crashes-illegal-operation-0001-ilc-1.patch.
- commit ff0a7a4
* Sun Jun 24 2018 mkubecek@suse.cz
- Update to 4.18-rc2
- Eliminated 1 patch
- Config changes:
  - aarch64: reenable DWMAC_SOCFPGA (=m)
- commit cc9e91e
* Sun Jun 24 2018 afaerber@suse.de
- config: arm64: Update to 4.18-rc1
- commit b301d60
* Sat Jun 23 2018 mkubecek@suse.cz
- proc: fix missing final NUL in get_mm_cmdline() rewrite
  (https://www.mail-archive.com/linux-kernel@vger.kernel.org/msg1715032.html).
- commit f348790
* Sat Jun 23 2018 mkubecek@suse.cz
- Documentation: e1000: Fix docs build error.
- Documentation: e100: Fix docs build error.
- Documentation: e1000: Use correct heading adornment.
- Documentation: e100: Use correct heading adornment.
- commit 95284f7
* Sat Jun 23 2018 jslaby@suse.cz
- x86/stacktrace: Do not unwind after user regs (bnc#1058115).
- x86/stacktrace: Remove STACKTRACE_DUMP_ONCE (bnc#1058115).
- x86/stacktrace: Clarify the reliable success paths
  (bnc#1058115).
- x86/stacktrace: Do not fail for ORC with regs on stack
  (bnc#1058115).
- x86/unwind/orc: Detect the end of the stack (bnc#1058115).
- x86/stacktrace: Enable HAVE_RELIABLE_STACKTRACE for the ORC
  unwinder (bnc#1058115).
- Delete
  patches.suse/0001-x86-stacktrace-do-now-unwind-after-user-regs.patch.
- Delete
  patches.suse/0002-x86-stacktrace-make-clear-the-success-paths.patch.
- Delete
  patches.suse/0003-x86-stacktrace-remove-STACKTRACE_DUMP_ONCE-from-__sa.patch.
- Delete
  patches.suse/0004-x86-stacktrace-do-not-fail-for-ORC-with-regs-on-stac.patch.
- Delete
  patches.suse/0005-x86-stacktrace-orc-mark-it-as-reliable.patch.
  Replace the ORC patches by the upstream patches. Finally...
- commit c19d75b
* Thu Jun 21 2018 msuchanek@suse.de
- s390: Correct register corruption in critical section cleanup
  (boo#1095717).
- commit 62d3537
* Mon Jun 18 2018 msuchanek@suse.de
- macros.kernel-source: define linux_arch for KMPs (boo#1098050).
  CONFIG_64BIT is no longer defined so KMP spec files need to include
  %%{?linux_make_arch} in any make call to build modules or descent into
  the kernel directory for any reason.
- commit 5dc40af
* Mon Jun 18 2018 mkubecek@suse.cz
- config: update ppc64le configs
- commit fa9e020
* Mon Jun 18 2018 mkubecek@suse.cz
- config: enable NETDEVSIM (as module)
- commit e218eff
* Mon Jun 18 2018 mkubecek@suse.cz
- Update to 4.18-rc1.
- Eliminated 66 patches (62 stable, 4 other).
- ARM configs need updating.
- Config changes:
  - General:
  - RSEQ=y
  - i386:
  - BPF_JIT=y
  - BPF_JIT_ALWAYS_ON=y
  - powerpc:
  - LD_DEAD_CODE_DATA_ELIMINATION=n (experimental)
  - s390:
  - FW_LOADER_USER_HELPER=y
  - PCI:
  - PCI_HOST_GENERIC=y
  - Network:
  - TLS_DEVICE=y
  - XDP_SOCKETS=y
  - NFT_CONNLIMIT=m
  - NFT_SOCKET=m
  - IP_VS_MH=m
  - IP_VS_MH_TAB_INDEX=12 (default)
  - NF_TPROXY_IPV4=m
  - NF_TPROXY_IPV6=m
  - BPFILTER=y
  - BPFILTER_UMH=m
  - FAILOVER=m
  - MLX5_EN_TLS=y
  - NET_VENDOR_MICROSEMI=y
  - MSCC_OCELOT_SWITCH=m
  - MSCC_OCELOT_SWITCH_OCELOT=m
  - NFP_APP_ABM_NIC=y
  - MDIO_MSCC_MIIM=m
  - ASIX_PHY=m
  - DP83TC811_PHY=m
  - MICROCHIP_T1_PHY=m
  - NET_FAILOVER=m
  - Block:
  - DM_WRITECACHE=m
  - Input:
  - MOUSE_PS2_ELANTECH_SMBUS=y
  - TOUCHSCREEN_CHIPONE_ICN8505=m
  - HID_STEAM=m
  - Misc:
  - SPI_MEM=y
  - GPIOLIB_FASTPATH_LIMIT=512 (default)
  - VIDEO_CADENCE=y
  - LCD_OTM3225A=n
  - CHROMEOS_TBMC=m
  - FPGA_MGR_MACHXO2_SPI=m
  - Graphics:
  - DRM_I2C_NXP_TDA9950=m
  - DRM_I915_DEBUG_GUC=n
  - DRM_CDNS_DSI=n
  - DRM_THINE_THC63LVD1024=n
  - DRM_XEN=y
  - DRM_XEN_FRONTEND=m
  - Sound:
  - SND_SOC_SSM2305=n
  - SND_SOC_TSCS454=n
  - SND_SOC_WM8782=n
  - SND_SOC_MT6351=n
  - SND_XEN_FRONTEND=m
  - LED:
  - LEDS_CR0014114=m
  - LEDS_LM3601X=m
  - USB:
  - TYPEC_RT1711H=m
  - IIO:
  - AD5686_SPI=n
  - AD5696_I2C=n
  - TI_DAC5571=n
  - TSL2772=n
  - IIO_RESCALE=n
  - Filesystems:
  - PROC_VMCORE_DEVICE_DUMP=y
  - EVM_ADD_XATTRS=y
  - Testing:
  - TEST_OVERFLOW=n
  - Crypto:
  - CRYPTO_AEGIS128=m
  - CRYPTO_AEGIS128L=m
  - CRYPTO_AEGIS256=m
  - CRYPTO_AEGIS128_AESNI_SSE2=m
  - CRYPTO_AEGIS128L_AESNI_SSE2=m
  - CRYPTO_AEGIS256_AESNI_SSE2=m
  - CRYPTO_MORUS640=m
  - CRYPTO_MORUS640_SSE2=m
  - CRYPTO_MORUS1280=m
  - CRYPTO_MORUS1280_SSE2=m
  - CRYPTO_MORUS1280_AVX2=m
  - CRYPTO_ZSTD=m
- commit 549a5bb
* Mon Jun 18 2018 mkubecek@suse.cz
- rpm: ignore CONFIG_GCC_VERSION when checking for oldconfig changes
  Since 4.18-rc1, "make oldconfig" writes gcc version and capabilities into
  generated .config. Thus whenever we build the package or run checks with
  different gcc version than used to update config/*/*, check for "outdated
  configs" fails.
  As a quick band-aid, omit the lines with CONFIG_GCC_VERSION from both
  configs before comparing them. This way, the check won't fail unless run
  with newer gcc which would add new capabilities. More robust solution will
  require a wider discussion.
- commit 546ef32
* Sat Jun 16 2018 jslaby@suse.cz
- Revert "mm: relax deferred struct page requirements"
  (bnc#1092466).
- Update config files.
- commit 802b05f
* Sat Jun 16 2018 jslaby@suse.cz
- Linux 4.17.2 (bnc#1012628).
- crypto: omap-sham - fix memleak (bnc#1012628).
- crypto: vmx - Remove overly verbose printk from AES XTS init
  (bnc#1012628).
- crypto: vmx - Remove overly verbose printk from AES init
  routines (bnc#1012628).
- crypto: cavium - Limit result reading attempts (bnc#1012628).
- crypto: cavium - Fix fallout from CONFIG_VMAP_STACK
  (bnc#1012628).
- crypto: caam - fix size of RSA prime factor q (bnc#1012628).
- crypto: caam/qi - fix IV DMA mapping and updating (bnc#1012628).
- crypto: caam - fix IV DMA mapping and updating (bnc#1012628).
- crypto: caam - fix DMA mapping dir for generated IV
  (bnc#1012628).
- crypto: caam - strip input zeros from RSA input buffer
  (bnc#1012628).
- Input: elan_i2c - add ELAN0612 (Lenovo v330 14IKB) ACPI ID
  (bnc#1012628).
- Input: goodix - add new ACPI id for GPD Win 2 touch screen
  (bnc#1012628).
- crypto: ccree - correct host regs offset (bnc#1012628).
- tty: pl011: Avoid spuriously stuck-off interrupts (bnc#1012628).
- arm64: defconfig: Enable CONFIG_PINCTRL_MT7622 by default
  (bnc#1012628).
- doc: fix sysfs ABI documentation (bnc#1012628).
- vmw_balloon: fixing double free when batching mode is off
  (bnc#1012628).
- serial: 8250: omap: Fix idling of clocks for unused uarts
  (bnc#1012628).
- serial: samsung: fix maxburst parameter for DMA transactions
  (bnc#1012628).
- tty/serial: atmel: use port->name as name in request_irq()
  (bnc#1012628).
- serial: sh-sci: Stop using printk format %%pCr (bnc#1012628).
- usb: gadget: udc: renesas_usb3: disable the controller's irqs
  for reconnecting (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should fail if devm_phy_get()
  returns error (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should call devm_phy_get()
  before add udc (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should call pm_runtime_enable()
  before add udc (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should remove debugfs
  (bnc#1012628).
- usb: gadget: udc: renesas_usb3: fix double phy_put()
  (bnc#1012628).
- usb: gadget: function: printer: avoid wrong list handling in
  printer_write() (bnc#1012628).
- usb: typec: wcove: Remove dependency on HW FSM (bnc#1012628).
- usb: core: message: remove extra endianness conversion in
  usb_set_isoch_delay (bnc#1012628).
- phy: qcom-qusb2: Fix crash if nvmem cell not specified
  (bnc#1012628).
- Input: xpad - add GPD Win 2 Controller USB IDs (bnc#1012628).
- usb-storage: Add compatibility quirk flags for G-Technologies
  G-Drive (bnc#1012628).
- usb-storage: Add support for FL_ALWAYS_SYNC flag in the UAS
  driver (bnc#1012628).
- usbip: vhci_sysfs: fix potential Spectre v1 (bnc#1012628).
- NFC: pn533: don't send USB data off of the stack (bnc#1012628).
- staging: android: ion: Switch to pr_warn_once in
  ion_buffer_destroy (bnc#1012628).
- kvm: x86: use correct privilege level for
  sgdt/sidt/fxsave/fxrstor access (bnc#1012628).
- KVM: x86: pass kvm_vcpu to kvm_read_guest_virt and
  kvm_write_guest_virt_system (bnc#1012628).
- kvm: nVMX: Enforce cpl=0 for VMX instructions (bnc#1012628).
- kvm: fix typo in flag name (bnc#1012628).
- KVM: x86: introduce linear_{read,write}_system (bnc#1012628).
- KVM: X86: Fix reserved bits check for MOV to CR3 (bnc#1012628).
- blkdev_report_zones_ioctl(): Use vmalloc() to allocate large
  buffers (bnc#1012628).
- crypto: chelsio - request to HW should wrap (bnc#1012628).
- commit 202985c
* Thu Jun 14 2018 mkubecek@suse.cz
- socket: close race condition between sock_close() and
  sockfs_setattr() (CVE-2018-12232 bsc#1097593).
- commit 94bf968
* Thu Jun 14 2018 jslaby@suse.cz
- config.conf: disable syzkaller
  I doubt anybody else (other than me) uses the flavor, so save a lot of
  build resources by this. Leaving syzkaller configs and stuff in place
  so people still can build it if they want.
  The build is currently broken, so this "fixes" it too:
  ERROR: "__sanitizer_cov_trace_cmpd" [drivers/gpu/drm/amd/amdgpu/amdgpu.ko] undefined!
  ERROR: "__sanitizer_cov_trace_cmpf" [drivers/gpu/drm/amd/amdgpu/amdgpu.ko] undefined!
- commit bdee95f
* Tue Jun 12 2018 jslaby@suse.cz
- Linux 4.17.1 (bnc#1012628).
- netfilter: nf_flow_table: attach dst to skbs (bnc#1012628).
- bnx2x: use the right constant (bnc#1012628).
- ip6mr: only set ip6mr_table from setsockopt when ip6mr_new_table
  succeeds (bnc#1012628).
- ipv6: omit traffic class when calculating flow hash (bnc#1012628
  bsc#1095042).
- l2tp: fix refcount leakage on PPPoL2TP sockets (bnc#1012628).
- netdev-FAQ: clarify DaveM's position for stable backports
  (bnc#1012628).
- net: metrics: add proper netlink validation (bnc#1012628).
- net/packet: refine check for priv area size (bnc#1012628).
- rtnetlink: validate attributes in do_setlink() (bnc#1012628).
- sctp: not allow transport timeout value less than HZ/5 for
  hb_timer (bnc#1012628).
- team: use netdev_features_t instead of u32 (bnc#1012628).
- vrf: check the original netdevice for generating redirect
  (bnc#1012628).
- net: dsa: b53: Fix for brcm tag issue in Cygnus SoC
  (bnc#1012628).
- ipmr: fix error path when ipmr_new_table fails (bnc#1012628).
- PCI: hv: Do not wait forever on a device that has disappeared
  (bnc#1012628).
- Delete
  patches.suse/ipv6-omit-traffic-class-when-calculating-flow-hash.patch.
- commit 17c8abe
* Fri Jun  8 2018 tiwai@suse.de
- mtd: spi-nor: intel-spi: Fix atomic sequence handling
  (bsc#1073836).
- commit c31c53d
* Fri Jun  8 2018 mkubecek@suse.cz
- ipv6: omit traffic class when calculating flow hash
  (bsc#1095042).
- commit 1307c29
* Fri Jun  8 2018 tiwai@suse.de
- Delete patches.suse/iwlwifi-expose-default-fallback-ucode-api.
  The workaround is no longer needed as the upstream driver code catches
  up the actual firmware version
- commit d6e069d
* Fri Jun  8 2018 tiwai@suse.de
- Update patch tag of the upstreamed btusb fix
- commit f531f64
* Mon Jun  4 2018 mkubecek@suse.cz
- config: enable preemption in i386/debug
- commit b181e22
* Mon Jun  4 2018 mkubecek@suse.cz
- Update to 4.17-final
- commit fb45ad0
* Mon May 28 2018 mkubecek@suse.cz
- Update to 4.17-rc7
- Eliminated 1 patch
- Config changes:
  - reenable SSB_DRIVER_PCICORE and dependencies after revert of
    commit 882164a4a928
- commit c78299c
* Thu May 24 2018 tiwai@suse.de
- Bluetooth: Apply QCA Rome patches for some ATH3012 models
  (bsc#1082504).
- commit e2f793c
* Wed May 23 2018 msuchanek@suse.de
- mkspec: only build docs for default variant kernel.
- commit 045f5ac
* Mon May 21 2018 mkubecek@suse.cz
- Makefile: disable PIE before testing asm goto (bsc#1092456).
- commit 67bdb0d
* Mon May 21 2018 mkubecek@suse.cz
- Update to 4.17-rc6
- commit 6912f6b
* Thu May 17 2018 msuchanek@suse.de
- kernel-{binary,docs}.spec sort dependencies.
- commit d2ab971
* Thu May 17 2018 mgalbraith@suse.de
- Fix config/x86_64/debug, turn PREEMPT_NONE off, and PREEMPT_DEBUG on.
- commit 3ec7274
* Wed May 16 2018 msuchanek@suse.de
- macros.kernel-source: Fix building non-x86 KMPs
- commit 8631d05
* Tue May 15 2018 jeffm@suse.com
- reiserfs: package in separate KMP (FATE#323394).
- commit d14f152
* Mon May 14 2018 msuchanek@suse.de
- macros.kernel-source: ignore errors when using make to print kernel release
  There is no way to handle the errors anyway and including the error into
  package version does not give good results.
- commit 282e9a6
* Mon May 14 2018 mkubecek@suse.cz
- Update to 4.17-rc5
- commit 80e3a99
* Fri May 11 2018 msuchanek@suse.de
- Revert "kernel-binary: do not package extract-cert when not signing modules"
  This reverts commit 10a8bc496a553b8069d490a8ae7508bdb19f58d9.
- commit 1f7acca
* Mon May  7 2018 mkubecek@suse.cz
- Update to 4.17-rc4
- Eliminated 2 patches
- Update to 4.17-rc3
- Eliminated 2 patches
- commit a993a00
* Wed May  2 2018 msuchanek@suse.de
- kernel-binary: also default klp_symbols to 0 here.
- commit e35f14a
* Wed May  2 2018 msuchanek@suse.de
- klp_symbols: make --klp-symbols argument semantic sane
  It selects build of klp symbols and defaults to off
- commit 0e53042
* Wed May  2 2018 jslaby@suse.cz
- tools: power/acpi, revert to LD = gcc (build fix).
- Delete
  patches.suse/revert-tools-fix-cross-compile-var-clobbering.patch.
  Replace by the upstream commit.
- commit c7b3cf9
* Mon Apr 30 2018 mkubecek@suse.cz
- Update to 4.17-rc3
- Eliminated 1 patch
- Config changes:
  - x86_64 and i386
  - SND_SST_ATOM_HIFI2_PLATFORM_ACPI=m
  - armv7hl
  - CONFIG_NFT_REDIR_IPV4=m (sync with other configs)
  - CONFIG_NFT_REDIR_IPV6=m (sync with other configs)
- commit 088acbb
* Sun Apr 29 2018 afaerber@suse.de
- config: armv7hl: Update to 4.17-rc2
- commit e76ffdc
* Sun Apr 29 2018 afaerber@suse.de
- config: armv6hl: Update to 4.17-rc2
- commit 7ac1254
* Sun Apr 29 2018 afaerber@suse.de
- config: arm64: Update to 4.17-rc2
- commit 8535e20
* Fri Apr 27 2018 msuchanek@suse.de
- kernel-binary: only install modules.fips on modular kernels.
- commit 2cb2bec
* Tue Apr 24 2018 msuchanek@suse.de
- split-modules: use MAKE_ARGS
- commit d8fe174
* Tue Apr 24 2018 mcgrof@suse.com
- xfs: set format back to extents if xfs_bmap_extents_to_btree
  (bsc#1090717, CVE-2018-10323).
- commit 41ecb40
* Tue Apr 24 2018 msuchanek@suse.de
- kernel-binary: pass MAKE_ARGS to install script as well.
- commit ce62ae7
* Tue Apr 24 2018 mkubecek@suse.cz
- Update config files.
- commit becf16d
* Tue Apr 24 2018 msuchanek@suse.de
- kernel-binary: pass ARCH= to kernel build
  Recent kernel does not save CONFIG_64BIT so it has to be specified by
  arch.
- commit fb21b73
* Tue Apr 24 2018 mkubecek@suse.cz
- config: fix i386 configs
  Since mainline commit f467c5640c29 ("kconfig: only write '# CONFIG_FOO is
  not set' for visible symbols"), make silentoldconfig (or make syncconfig as
  it is called now) doesn't add CONFIG_64BIT line into i386 configs if called
  with ARCH=i386.
  During the build, it's called without ARCH=i386 so that it requests this
  option to be entered manually and the build fails. Long term solution would
  probably be passing ARCH=%%{cpu_arch} to all make commands; for now, just
  add CONFIG_64BIT line to i386/pae to fix the build as is.
- commit d9a33ad
* Tue Apr 24 2018 mkubecek@suse.cz
- Documentation: typec.rst: Use literal-block element with
  ascii art.
- commit 1aebada
* Mon Apr 23 2018 jeffm@suse.com
- README.BRANCH: Added Michal Kubecek as co-maintainer.
- commit 53ecad7
* Mon Apr 23 2018 mkubecek@suse.cz
- Update to 4.17-rc2
- Eliminated 2 patches
- Config changes:
  - s390x:
  - KEXEC_FILE=y
- commit 8aad964
* Fri Apr 20 2018 mkubecek@suse.cz
- Update to 4.17-rc1.
- Eliminated 55 patches (51 stable 4.16.x)
- ARM configs need updating.
- Config changes:
  - x86:
  - ACPI_TAD=m
  - s390:
  - EXPOLINE_FULL=y
  - VT=y
  - CONSOLE_TRANSLATIONS=y
  - VT_CONSOLE=y
  - VT_HW_CONSOLE_BINDING=n
  - DUMMY_CONSOLE_COLUMNS=80
  - DUMMY_CONSOLE_ROWS=25
  - SPEAKUP=n
  - Network:
  - NF_TABLES_INET=y
  - NF_TABLES_NETDEV=y
  - NF_TABLES_ARP=y
  - NF_TABLES_BRIDGE=y
  - NET_EMATCH_IPT=m
  - ICE=m
  - RSI_COEX=y
  - IEEE802154_MCR20A=m
  - INFINIBAND_EXP_LEGACY_VERBS_NEW_UAPI=n
  - Filesystems:
  - OVERLAY_FS_XINO_AUTO=n
  - PSTORE_DEFLATE_COMPRESS=m
  - PSTORE_LZ4HC_COMPRESS=m
  - PSTORE_842_COMPRESS=n
  - PSTORE_DEFLATE_COMPRESS_DEFAULT=deflate
  - Crypto:
  - CRYPTO_CFB=m
  - CRYPTO_SM4=m
  - CRYPTO_SPECK=m
  - CRYPTO_DEV_CHELSIO_TLS=m
  - Input:
  - JOYSTICK_PXRC=m
  - HID_ELAN=m
  - HID_GOOGLE_HAMMER=m
  - Sound:
  - SND_SOC_INTEL_CHT_BSW_NAU8824_MACH=m
  - SND_SOC_INTEL_KBL_DA7219_MAX98357A_MACH=m
  - SND_SOC_AK4458=n
  - SND_SOC_AK5558=n
  - SND_SOC_BD28623=n
  - SND_SOC_MAX9867=n
  - SND_SOC_PCM1789_I2C=n
  - SND_SOC_TDA7419=m
  - SND_SOC_MAX9759=n
  - USB:
  - TYPEC_MUX_PI3USB30532=m
  - USB_ROLES_INTEL_XHCI=m
  - GPIO:
  - GPIO_104_DIO_48E=m
  - GPIO_104_IDIO_16=m
  - GPIO_104_IDI_48=m
  - GPIO_GPIO_MM=m
  - GPIO_WINBOND=m
  - GPIO_WS16C48=m
  - Media:
  - CEC_PIN_ERROR_INJ=n
  - CXD2880_SPI_DRV=m
  - MTK_MMC=n
  - IIO:
  - 104_QUAD_8=m
  - CIO_DAC=n
  - AD5272=m
  - MCP4018=m
  - MLX90632=m
  - Other:
  - THERMAL_STATISTICS=y
  - EBC_C384_WDT=m
  - LEDS_MLXREG=m
  - COMMON_CLK_SI544=n
  - STX104=n
  - LV0104CS=n
  - Remote controlers:
  - IR_IMON_DECODER=m
  - IR_IMON_RAW=m
  - INTEL_TH_ACPI=m
  - Debugging:
  - DEBUG_RWSEMS=n
- commit 4e61ecf
* Fri Apr 20 2018 mkubecek@suse.cz
- config: enable TCP_MD5SIG (bsc#1090162)
- commit 1cfc938
* Fri Apr 20 2018 mkubecek@suse.cz
- x86/power/64: Fix page-table setup for temporary text mapping
  (https://patchwork.kernel.org/patch/10342491/).
- x86/ldt: Fix support_pte_mask filtering in map_ldt_struct()
  (https://patchwork.kernel.org/patch/10342491/).
- commit 3c56473
* Fri Apr 20 2018 msuchanek@suse.de
- HID: redragon: Fix modifier keys for Redragon Asura Keyboard
  (https://build.opensuse.org/request/show/597583).
  Update config files.
- commit e9bd8ea
* Thu Apr 19 2018 jslaby@suse.cz
- Linux 4.16.3 (bnc#1012628).
- cdc_ether: flag the Cinterion AHS8 modem by gemalto as WWAN
  (bnc#1012628).
- rds: MP-RDS may use an invalid c_path (bnc#1012628).
- slip: Check if rstate is initialized before uncompressing
  (bnc#1012628).
- vhost: fix vhost_vq_access_ok() log check (bnc#1012628).
- l2tp: fix races in tunnel creation (bnc#1012628).
- l2tp: fix race in duplicate tunnel detection (bnc#1012628).
- ip_gre: clear feature flags when incompatible o_flags are set
  (bnc#1012628).
- vhost: Fix vhost_copy_to_user() (bnc#1012628).
- lan78xx: Correctly indicate invalid OTP (bnc#1012628).
- sparc64: Properly range check DAX completion index
  (bnc#1012628).
- media: v4l2-compat-ioctl32: don't oops on overlay (bnc#1012628).
- media: v4l: vsp1: Fix header display list status check in
  continuous mode (bnc#1012628).
- ipmi: Fix some error cleanup issues (bnc#1012628).
- parisc: Fix out of array access in match_pci_device()
  (bnc#1012628).
- parisc: Fix HPMC handler by increasing size to multiple of 16
  bytes (bnc#1012628).
- iwlwifi: add a bunch of new 9000 PCI IDs (bnc#1012628).
- Drivers: hv: vmbus: do not mark HV_PCIE as perf_device
  (bnc#1012628).
- PCI: hv: Serialize the present and eject work items
  (bnc#1012628).
- PCI: hv: Fix 2 hang issues in hv_compose_msi_msg()
  (bnc#1012628).
- KVM: PPC: Book3S HV: trace_tlbie must not be called in realmode
  (bnc#1012628).
- perf intel-pt: Fix overlap detection to identify consecutive
  buffers correctly (bnc#1012628).
- perf intel-pt: Fix sync_switch (bnc#1012628).
- perf intel-pt: Fix error recovery from missing TIP packet
  (bnc#1012628).
- perf intel-pt: Fix timestamp following overflow (bnc#1012628).
- perf/core: Fix use-after-free in uprobe_perf_close()
  (bnc#1012628).
- radeon: hide pointless #warning when compile testing
  (bnc#1012628).
- x86/mce/AMD: Pass the bank number to smca_get_bank_type()
  (bnc#1012628).
- x86/mce/AMD, EDAC/mce_amd: Enumerate Reserved SMCA bank type
  (bnc#1012628).
- x86/mce/AMD: Get address from already initialized block
  (bnc#1012628).
- ath9k: Protect queue draining by rcu_read_lock() (bnc#1012628).
- x86/uapi: Fix asm/bootparam.h userspace compilation errors
  (bnc#1012628).
- x86/apic: Fix signedness bug in APIC ID validity checks
  (bnc#1012628).
- sunrpc: remove incorrect HMAC request initialization
  (bnc#1012628).
- f2fs: fix heap mode to reset it back (bnc#1012628).
- block: Change a rcu_read_{lock,unlock}_sched() pair into
  rcu_read_{lock,unlock}() (bnc#1012628).
- nvme: Skip checking heads without namespaces (bnc#1012628).
- lib: fix stall in __bitmap_parselist() (bnc#1012628).
- zboot: fix stack protector in compressed boot phase
  (bnc#1012628).
- blk-mq: Directly schedule q->timeout_work when aborting a
  request (bnc#1012628).
- blk-mq: order getting budget and driver tag (bnc#1012628).
- blk-mq: make sure that correct hctx->next_cpu is set
  (bnc#1012628).
- blk-mq: don't keep offline CPUs mapped to hctx 0 (bnc#1012628).
- ovl: Set d->last properly during lookup (bnc#1012628).
- ovl: fix lookup with middle layer opaque dir and absolute path
  redirects (bnc#1012628).
- ovl: set i_ino to the value of st_ino for NFS export
  (bnc#1012628).
- ovl: set lower layer st_dev only if setting lower st_ino
  (bnc#1012628).
- xen: xenbus_dev_frontend: Fix XS_TRANSACTION_END handling
  (bnc#1012628).
- hugetlbfs: fix bug in pgoff overflow checking (bnc#1012628).
- nfsd: fix incorrect umasks (bnc#1012628).
- scsi: scsi_dh: Don't look for NULL devices handlers by name
  (bnc#1012628).
- scsi: qla2xxx: Fix small memory leak in qla2x00_probe_one on
  probe failure (bnc#1012628).
- Revert "scsi: core: return BLK_STS_OK for DID_OK in
  __scsi_error_from_host_byte()" (bnc#1012628).
- apparmor: fix logging of the existence test for signals
  (bnc#1012628).
- apparmor: fix display of .ns_name for containers (bnc#1012628).
- apparmor: fix resource audit messages when auditing peer
  (bnc#1012628).
- block/loop: fix deadlock after loop_set_status (bnc#1012628).
- nfit: fix region registration vs block-data-window ranges
  (bnc#1012628).
- s390/qdio: don't retry EQBS after CCQ 96 (bnc#1012628).
- s390/qdio: don't merge ERROR output buffers (bnc#1012628).
- s390/ipl: ensure loadparm valid flag is set (bnc#1012628).
- s390/compat: fix setup_frame32 (bnc#1012628).
- get_user_pages_fast(): return -EFAULT on access_ok failure
  (bnc#1012628).
- mm/gup_benchmark: handle gup failures (bnc#1012628).
- getname_kernel() needs to make sure that ->name != ->iname in
  long case (bnc#1012628).
- Bluetooth: Fix connection if directed advertising and privacy
  is used (bnc#1012628).
- Bluetooth: hci_bcm: Treat Interrupt ACPI resources as always
  being active-low (bnc#1012628).
- rtl8187: Fix NULL pointer dereference in priv->conf_mutex
  (bnc#1012628).
- Refresh patches.suse/0001-AppArmor-basic-networking-rules.patch.
- commit 771261a
* Thu Apr 19 2018 msuchanek@suse.de
- objtool, perf: Fix GCC 8 -Wrestrict error (bsc#1084620).
- commit 0c6114f
* Wed Apr 18 2018 msuchanek@suse.de
- supported.conf: update from openSUSE-15.0
- commit 4ef3f17
* Mon Apr 16 2018 mbrugger@suse.com
- arm64: Update config files. (bsc#1089764)
  Increase NR_CPUS to 384
- commit 6f06d9e
* Thu Apr 12 2018 jslaby@suse.cz
- Linux 4.16.2 (bnc#1012628).
- nfp: use full 40 bits of the NSP buffer address (bnc#1012628).
- net_sched: fix a missing idr_remove() in u32_delete_key()
  (bnc#1012628).
- vti6: better validate user provided tunnel names (bnc#1012628).
- ip6_tunnel: better validate user provided tunnel names
  (bnc#1012628).
- ip6_gre: better validate user provided tunnel names
  (bnc#1012628).
- ipv6: sit: better validate user provided tunnel names
  (bnc#1012628).
- ip_tunnel: better validate user provided tunnel names
  (bnc#1012628).
- net: fool proof dev_valid_name() (bnc#1012628).
- vlan: also check phy_driver ts_info for vlan's real device
  (bnc#1012628).
- sky2: Increase D3 delay to sky2 stops working after suspend
  (bnc#1012628).
- sctp: sctp_sockaddr_af must check minimal addr length for
  AF_INET6 (bnc#1012628).
- sctp: do not leak kernel memory to user space (bnc#1012628).
- pptp: remove a buggy dst release in pptp_connect()
  (bnc#1012628).
- net/sched: fix NULL dereference in the error path of
  tcf_bpf_init() (bnc#1012628).
- net/ipv6: Increment OUTxxx counters after netfilter hook
  (bnc#1012628).
- net: dsa: Discard frames from unused ports (bnc#1012628).
- arp: fix arp_filter on l3slave devices (bnc#1012628).
- sparc64: Oracle DAX driver depends on SPARC64 (bnc#1012628).
- commit 8ea896b
* Wed Apr 11 2018 jslaby@suse.cz
- Update config files.
  s390x/vanilla fails to build without this.
- commit e8d83e8
* Tue Apr 10 2018 msuchanek@suse.de
- rpm/package-descriptions: fix typo in kernel-azure
- Add azure kernel description.
- commit af0f13e
* Mon Apr  9 2018 tiwai@suse.de
- media: v4l2-core: fix size of devnode_nums[] bitarray
  (bsc#1088640).
- commit 6fcb3b5
* Mon Apr  9 2018 jslaby@suse.cz
- Linux 4.16.1 (bnc#1012628).
- signal: Correct the offset of si_pkey and si_lower in struct
  siginfo on m68k (bnc#1012628).
- Fix slab name "biovec-(1<<(21-12))" (bnc#1012628).
- vt: change SGR 21 to follow the standards (bnc#1012628).
- Input: i8042 - enable MUX on Sony VAIO VGN-CS series to fix
  touchpad (bnc#1012628).
- Input: i8042 - add Lenovo ThinkPad L460 to i8042 reset list
  (bnc#1012628).
- Input: ALPS - fix TrackStick detection on Thinkpad L570 and
  Latitude 7370 (bnc#1012628).
- Revert "base: arch_topology: fix section mismatch build
  warnings" (bnc#1012628).
- staging: comedi: ni_mio_common: ack ai fifo error interrupts
  (bnc#1012628).
- siox: fix possible buffer overflow in device_add_store
  (bnc#1012628).
- Btrfs: fix unexpected cow in run_delalloc_nocow (bnc#1012628).
- Bluetooth: hci_bcm: Add 6 new ACPI HIDs (bnc#1012628).
- crypto: x86/cast5-avx - fix ECB encryption when long sg follows
  short one (bnc#1012628).
- crypto: arm,arm64 - Fix random regeneration of S_shipped
  (bnc#1012628).
- crypto: ccp - return an actual key size from RSA max_size
  callback (bnc#1012628).
- crypto: caam - Fix null dereference at error path (bnc#1012628).
- crypto: ahash - Fix early termination in hash walk
  (bnc#1012628).
- crypto: talitos - fix IPsec cipher in length (bnc#1012628).
- crypto: testmgr - Fix incorrect values in PKCS#1 test vector
  (bnc#1012628).
- crypto: inside-secure - fix clock management (bnc#1012628).
- crypto: talitos - don't persistently map req_ctx->hw_context
  and req_ctx->buf (bnc#1012628).
- crypto: ccp - Fill the result buffer only on digest, finup,
  and final ops (bnc#1012628).
- crypto: lrw - Free rctx->ext with kzfree (bnc#1012628).
- parport_pc: Add support for WCH CH382L PCI-E single parallel
  port card (bnc#1012628).
- media: usbtv: prevent double free in error case (bnc#1012628).
- /dev/mem: Avoid overwriting "err" in read_mem() (bnc#1012628).
- mei: remove dev_err message on an unsupported ioctl
  (bnc#1012628).
- serial: 8250: Add Nuvoton NPCM UART (bnc#1012628).
- USB: serial: cp210x: add ELDAT Easywave RX09 id (bnc#1012628).
- USB: serial: ftdi_sio: add support for Harman
  FirmwareHubEmulator (bnc#1012628).
- USB: serial: ftdi_sio: add RT Systems VX-8 cable (bnc#1012628).
- bitmap: fix memset optimization on big-endian systems
  (bnc#1012628).
- commit 4bf9d1e
* Fri Apr  6 2018 agraf@suse.de
- armv6hl: Disable uacces with memcpy (boo#1080435)
- commit 5eeeb1b
* Thu Apr  5 2018 rgoldwyn@suse.com
- apparmor: Check all profiles attached to the label (bsc#1085996).
- commit b249c9e
* Wed Apr  4 2018 jslaby@suse.cz
- Revert "tools: fix cross-compile var clobbering" (build fix).
- commit 590ff92
* Mon Apr  2 2018 jeffm@suse.com
- Update to 4.16-final.
- commit 1b10c5b
* Mon Mar 26 2018 tiwai@suse.de
- brcmsmac: allocate ucode with GFP_KERNEL (bsc#1085174).
- commit 2971d91
* Mon Mar 26 2018 jeffm@suse.com
- Update to 4.16-rc7.
- Eliminated 1 patch.
- commit 7a36f2f
* Fri Mar 23 2018 agraf@suse.de
- armv7hl: Disable uacces with memcpy (boo#1080435)
- commit b8a701a
* Mon Mar 19 2018 msuchanek@suse.de
- kernel-*.spec: remove remaining occurences of %%release from dependencies
  There is a mix of %%release and %%source_rel in manually added
  dependencies and the %%release dependencies tend to fail due to rebuild
  sync issues. So get rid of them.
- commit b4ec514
* Mon Mar 19 2018 jeffm@suse.com
- Update to 4.16-rc6.
- commit a98eb00
* Mon Mar 19 2018 jeffm@suse.com
- Refresh patches.suse/kernel-add-release-status-to-kernel-build.patch.
- commit cf5ff13
* Thu Mar 15 2018 tiwai@suse.de
- Bluebooth: btusb: Fix quirk for Atheros 1525/QCA6174
  (bsc#1082504).
- commit 8413b00
* Wed Mar 14 2018 jeffm@suse.com
- config: sync i386/default
  Some options had been removed completely.
- commit 95f48d7
* Wed Mar 14 2018 jeffm@suse.com
- rpm/kernel-source.spec.in: Add check-module-license to Sources
  The package builds in the build service but the script won't make it
  into the SRPM if it's not in the Sources list.
- commit 031ed9e
* Tue Mar 13 2018 msuchanek@suse.de
- mkspec: fix perl warning
- commit f15670f
* Mon Mar 12 2018 jeffm@suse.com
- Update to 4.16-rc5.
- Eliminated 1 patch.
- commit 0dfffad
* Sun Mar 11 2018 afaerber@suse.de
- config: armv7hl: Update to 4.16-rc4
- commit ad451a4
* Sun Mar 11 2018 afaerber@suse.de
- config: armv6hl: Update to 4.16-rc4
- commit 6c846e1
* Sat Mar 10 2018 tiwai@suse.de
- Refresh to upstream patch (bsc#1083694)
  patches.suse/Documentation-sphinx-Fix-Directive-import-error.patch
- commit 2d62679
* Sat Mar 10 2018 jeffm@suse.com
- kernel: add release status to kernel build (bsc#FATE#325281).
- commit c51605f
* Sat Mar 10 2018 jeffm@suse.com
- rpm: use %%_sourcedir prefix for release-projects
- rpm: set SUSE_KERNEL_RELEASED based on project name
  Set SUSE_KERNEL_RELEASED in the config only if the project name matches
  a list of projects that are part of official release channels.  This
  list of projects is maintained per-branch.
- commit a391a5b
* Fri Mar  9 2018 jeffm@suse.com
- config: added new 'kvmsmall' flavor
  This flavor is an unreleased internal configuration intended for kernel
  developers to use in simple virtual machines.  It contains only the
  device drivers necessary to use a KVM virtual machine *without* device
  passthrough enabled.  Common local and network file systems are enabled.
  All device mapper targets are enabled.  Only the network and graphics
  drivers for devices that qemu emulates are enabled.  Many subsystems
  enabled in the default kernel are entirely disabled.  This kernel is
  meant to be small and to build very quickly.  There will be no kABI
  stability and its configuration may be changed arbitrarily.
- commit 088f1da
* Fri Mar  9 2018 jeffm@suse.com
- config: convert kvmsmall to fragment config
- commit 7a5941a
* Fri Mar  9 2018 jeffm@suse.com
- config: disabled some more options for kvmsmall
  Disable CAN, BT, rare partition types, unused mouse protocols, UIO,
  STM, and others.
- commit 4707d44
* Fri Mar  9 2018 jeffm@suse.com
- config: added new 'kvmsmall' flavor
  This flavor is intended for kernel developers to use in simple virtual
  machines.  It contains only the device drivers necessary to use a
  KVM virtual machine *without* device passthrough enabled.  Common
  local and network file systems are enabled.  All device mapper targets
  are enabled.  Only the network and graphics drivers for devices that qemu
  emulates are enabled.  Many subsystems enabled in the default kernel
  are entirely disabled.  This kernel is meant to be small and to build
  very quickly.
- commit 3c99d1f
* Thu Mar  8 2018 msuchanek@suse.de
- mkspec: do not build dtbs for architectures with no kernel.
- commit 8394abf
* Thu Mar  8 2018 jeffm@suse.com
- kconfig: move SUSE options from init/Kconfig to init/Kconfig.suse
- commit b7f69ff
* Wed Mar  7 2018 afaerber@suse.de
- config: arm64: Update to 4.16-rc4
- commit 0bb9ed4
* Wed Mar  7 2018 tiwai@suse.de
- rpm/kernel-binary.spec.in: Check module licenses (bsc#1083215,bsc#1083527)
- commit e41de0c
* Tue Mar  6 2018 jslaby@suse.cz
- Update config files.
  Enable module signing (bnc#1082905):
  * CONFIG_MODULE_SIG=y
  * # CONFIG_MODULE_SIG_FORCE is not set
  * # CONFIG_MODULE_SIG_ALL is not set
  * # CONFIG_MODULE_SIG_SHA1 is not set
  * # CONFIG_MODULE_SIG_SHA224 is not set
  * CONFIG_MODULE_SIG_SHA256=y
  * # CONFIG_MODULE_SIG_SHA384 is not set
  * # CONFIG_MODULE_SIG_SHA512 is not set
  * CONFIG_MODULE_SIG_HASH="sha256"
  * CONFIG_MODULE_SIG_KEY="certs/signing_key.pem"
  * CONFIG_SECONDARY_TRUSTED_KEYRING=y
  * CONFIG_SYSTEM_BLACKLIST_KEYRING=y
  * CONFIG_SYSTEM_BLACKLIST_HASH_LIST=""
  This commit synchronizes these options with SLE15.
  We do not add patches for loading keys from the shim layer (as in
  SLE15) for the time being. They were rejected multiple times in
  upstream and we do not want to forward-port them infinitely. This only
  means that loading KMPs with none/invalid signatures generates this:
  <module_name>: loading out-of-tree module taints kernel.
  <module_name>: module verification failed: signature and/or required key missing - tainting kernel
  But the modules load fine after that as we have MODULE_SIG_FORCE set
  to 'n'.
  Tested in qemu+OVMF and bare metal and everything looks fine.
- commit 2539ea5
* Mon Mar  5 2018 msuchanek@suse.de
- rpm: provide %%name%%-srchash = <kernel-source commit hash> (FATE#325312).
  - Also use for kernel-obs-build dependency.
- commit b6fccdf
* Mon Mar  5 2018 jeffm@suse.com
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Refresh
  patches.suse/0002-x86-speculation-Add-inlines-to-control-Indirect-Bran.patch.
- Refresh
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
- commit 1ba5305
* Mon Mar  5 2018 jeffm@suse.com
- Update to 4.16-rc4.
- IBRS patches need review.
- commit 061459a
* Sun Mar  4 2018 msuchanek@suse.de
- arch-symbols: use bash as interpreter since the script uses bashism.
- commit 4cdfb23
* Fri Mar  2 2018 msuchanek@suse.de
- kernel-binary: do not BuildIgnore m4.
  It is actually needed for regenerating zconf when it is not up-to-date
  due to merge.
- commit 967b28b
* Fri Mar  2 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: add build requirement for flex
  In addition to bison, we also need flex for "make oldconfig".
- commit 83d831c
* Fri Mar  2 2018 mkubecek@suse.cz
- rpm/kernel-binary.spec.in: remove m4 from BuildIgnore list
  As bison depends on m4, we cannot set !BuildIgnore for it any more.
- commit d7695e1
* Fri Mar  2 2018 tiwai@suse.de
- Documentation/sphinx: Fix Directive import error (bsc#1083694).
- commit 7f94eb1
* Wed Feb 28 2018 msuchanek@suse.de
- bs-upload-kernel: do not set %%opensuse_bs
  Since SLE15 it is not set in the distribution project so do not set it
  for kernel projects either.
- commit d696aa0
* Wed Feb 28 2018 jslaby@suse.cz
- Linux 4.15.7 (bnc#1012628).
- microblaze: fix endian handling (bnc#1012628).
- drm/i915/breadcrumbs: Ignore unsubmitted signalers
  (bnc#1012628).
- arm64: __show_regs: Only resolve kernel symbols when running
  at EL1 (bnc#1012628).
- drm/amdgpu: add new device to use atpx quirk (bnc#1012628).
- drm/amdgpu: Avoid leaking PM domain on driver unbind (v2)
  (bnc#1012628).
- drm/amdgpu: add atpx quirk handling (v2) (bnc#1012628).
- drm/amdgpu: only check mmBIF_IOV_FUNC_IDENTIFIER on tonga/fiji
  (bnc#1012628).
- drm/amdgpu: Add dpm quirk for Jet PRO (v2) (bnc#1012628).
- drm/amdgpu: fix VA hole handling on Vega10 v3 (bnc#1012628).
- drm/amdgpu: disable MMHUB power gating on raven (bnc#1012628).
- drm: Handle unexpected holes in color-eviction (bnc#1012628).
- drm/atomic: Fix memleak on ERESTARTSYS during non-blocking
  commits (bnc#1012628).
- drm/cirrus: Load lut in crtc_commit (bnc#1012628).
- usb: renesas_usbhs: missed the "running" flag in usb_dmac with
  rx path (bnc#1012628).
- usb: gadget: f_fs: Use config_ep_by_speed() (bnc#1012628).
- usb: gadget: f_fs: Process all descriptors during bind
  (bnc#1012628).
- Revert "usb: musb: host: don't start next rx urb if current
  one failed" (bnc#1012628).
- usb: ldusb: add PIDs for new CASSY devices supported by this
  driver (bnc#1012628).
- usb: phy: mxs: Fix NULL pointer dereference on i.MX23/28
  (bnc#1012628).
- usb: dwc3: ep0: Reset TRB counter for ep0 IN (bnc#1012628).
- usb: dwc3: gadget: Set maxpacket size for ep0 IN (bnc#1012628).
- usb: host: ehci: use correct device pointer for dma ops
  (bnc#1012628).
- drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA
  (bnc#1012628).
- Add delay-init quirk for Corsair K70 RGB keyboards
  (bnc#1012628).
- arm64: cpufeature: Fix CTR_EL0 field definitions (bnc#1012628).
- arm64: Disable unhandled signal log messages by default
  (bnc#1012628).
- arm64: Remove unimplemented syscall log message (bnc#1012628).
- usb: ohci: Proper handling of ed_rm_list to handle race
  condition between usb_kill_urb() and finish_unlinks()
  (bnc#1012628).
- ohci-hcd: Fix race condition caused by ohci_urb_enqueue()
  and io_watchdog_func() (bnc#1012628).
- net: thunderbolt: Run disconnect flow asynchronously when
  logout is received (bnc#1012628).
- net: thunderbolt: Tear down connection properly on suspend
  (bnc#1012628).
- PCI/cxgb4: Extend T3 PCI quirk to T4+ devices (bnc#1012628).
- irqchip/mips-gic: Avoid spuriously handling masked interrupts
  (bnc#1012628).
- irqchip/gic-v3: Use wmb() instead of smb_wmb() in
  gic_raise_softirq() (bnc#1012628).
- uapi/if_ether.h: move __UAPI_DEF_ETHHDR libc define
  (bnc#1012628).
- mm: don't defer struct page initialization for Xen pv guests
  (bnc#1012628).
- mm, swap, frontswap: fix THP swap if frontswap enabled
  (bnc#1012628).
- x86/oprofile: Fix bogus GCC-8 warning in nmi_setup()
  (bnc#1012628).
- x86/apic/vector: Handle vector release on CPU unplug correctly
  (bnc#1012628).
- Kbuild: always define endianess in kconfig.h (bnc#1012628).
- iio: adis_lib: Initialize trigger before requesting interrupt
  (bnc#1012628).
- iio: buffer: check if a buffer has been set up when poll is
  called (bnc#1012628).
- iio: srf08: fix link error "devm_iio_triggered_buffer_setup"
  undefined (bnc#1012628).
- iio: adc: stm32: fix stm32h7_adc_enable error handling
  (bnc#1012628).
- RDMA/uverbs: Sanitize user entered port numbers prior to access
  it (bnc#1012628).
- RDMA/uverbs: Fix circular locking dependency (bnc#1012628).
- RDMA/uverbs: Fix bad unlock balance in ib_uverbs_close_xrcd
  (bnc#1012628).
- RDMA/uverbs: Protect from command mask overflow (bnc#1012628).
- RDMA/uverbs: Protect from races between lookup and destroy of
  uobjects (bnc#1012628).
- genirq/matrix: Handle CPU offlining proper (bnc#1012628).
- extcon: int3496: process id-pin first so that we start with
  the right status (bnc#1012628).
- PKCS#7: fix certificate blacklisting (bnc#1012628).
- PKCS#7: fix certificate chain verification (bnc#1012628).
- X.509: fix NULL dereference when restricting key with
  unsupported_sig (bnc#1012628).
- X.509: fix BUG_ON() when hash algorithm is unsupported
  (bnc#1012628).
- i2c: bcm2835: Set up the rising/falling edge delays
  (bnc#1012628).
- i2c: designware: must wait for enable (bnc#1012628).
- cfg80211: fix cfg80211_beacon_dup (bnc#1012628).
- MIPS: Drop spurious __unused in struct compat_flock
  (bnc#1012628).
- scsi: ibmvfc: fix misdefined reserved field in
  ibmvfc_fcp_rsp_info (bnc#1012628).
- xtensa: fix high memory/reserved memory collision (bnc#1012628).
- MIPS: boot: Define __ASSEMBLY__ for its.S build (bnc#1012628).
- kconfig.h: Include compiler types to avoid missed struct
  attributes (bnc#1012628).
- arm64: mm: don't write garbage into TTBR1_EL1 register
  (bnc#1012628).
- netfilter: drop outermost socket lock in getsockopt()
  (bnc#1012628).
- commit 48cfb35
* Wed Feb 28 2018 jeffm@suse.com
- kernel: add product-identifying information to kernel build (FATE#325281).
- commit 450b8db
* Tue Feb 27 2018 msuchanek@suse.de
- Revert "rpm/kernel-binary.spec.in: Also require m4 for build."
  This reverts commit 0d7b4b3f948c2efb67b7d1b95b5e1dcae225991c.
- commit f5686d2
* Tue Feb 27 2018 tiwai@suse.de
- kernel-binary: do not package extract-cert when not signing modules
  (boo#1080250).
- commit 10a8bc4
* Tue Feb 27 2018 jeffm@suse.com
- Update to 4.16-rc3.
- Eliminated 2 patches.
- commit a1d0a5c
* Tue Feb 27 2018 jeffm@suse.com
- Update to 4.16-rc2.
- Eliminated 1 patch.
- Config changes:
  - i386:
  - X86_MINIMUM_CPU_FAMILY (set automatically by oldconfig).
- commit 70f217f
* Tue Feb 27 2018 jeffm@suse.com
- Update to 4.16-rc1.
- Eliminated 624 patches (mostly 4.15.x).
- ARM configs need updating.
- Config changes:
  - General:
  - CC_STACKPROTECTOR_REGULAR=y
  - x86:
  - ACPI_SPCR_TABLE=y
  - ACER_WIRELESS=m
  - GPD_POCKET_FAN=m
  - INTEL_CHTDC_TI_PWRBTN=m
  - MELLANOX_PLATFORM=y
  - MLXREG_HOTPLUG=m
  - JAILHOUSE_GUEST=y
  - i386:
  - MLX_PLATFORM=m
  - DEFERRED_STRUCT_PAGE_INIT=y
  - powerpc:
  - PPC_MEM_KEYS=y
  - OCXL=m
  - PPC_IRQ_SOFT_MASK_DEBUG=n
  - s390:
  - KERNEL_NOBP=y
  - EXPOLINE=y
  - EXPOLINE_FULL=y
  - PCI:
  - PCIE_CADENCE_HOST=y
  - PCIE_CADENCE_EP=y
  - Network:
  - NF_FLOW_TABLE=m
  - NF_FLOW_TABLE_IPV4=m
  - NF_FLOW_TABLE_IPV6=m
  - IP6_NF_MATCH_SRH=m
  - BT_HCIBTUSB_AUTOSUSPEND=y
  - NET_VENDOR_CORTINA=y
  - GEMINI_ETHERNET=m
  - NET_VENDOR_SOCIONEXT=y
  - NETDEVSIM=n
  - NFT_FLOW_OFFLOAD=m
  - NF_FLOW_TABLE_INET=m
  - Block:
  - BLK_DEV_NULL_BLK_FAULT_INJECTION=n
  - SATA_MOBILE_LPM_POLICY=0
  - DM_UNSTRIPED=m
  - MMC_SDHCI_F_SDH30=n
  - Misc:
  - MISC_RTSX_PCI=m
  - MISC_RTSX_USB=m
  - HW_RANDOM_TPM=y (from m)
  - I2C_GPIO_FAULT_INJECTOR=n
  - PINCTRL_AXP209=m
  - GPIO_WINBOND=m
  - GPIO_PCIE_IDIO_24=m
  - SENSORS_W83773G=m
  - MFD_CROS_EC_CHARDEV=n
  - RAVE_SP_CORE=n
  CAVIUM_PTP=m
  - Graphics:
  - DRM_PANEL_ILITEK_IL9322=n
  - TINYDRM_ILI9225=n
  - TINYDRM_ST7735R=n
  - Sound:
  - SND_SOC_INTEL_SST_TOPLEVEL=y
  - SND_SST_ATOM_HIFI2_PLATFORM_PCI=m
  - SND_SOC_INTEL_BYT_MAX98090_MACH=m
  - SND_SOC_INTEL_BYT_RT5640_MACH=m
  - SND_SOC_MAX98373=n
  - SND_SOC_PCM186X_I2C=n
  - SND_SOC_PCM186X_SPI=n
  - SND_SOC_TAS6424=n
  - SND_SOC_TLV320AIC32X4_I2C=n
  - SND_SOC_TLV320AIC32X4_SPI=n
  - SND_SOC_TSCS42XX=n
  - SOUNDWIRE=y
  - SOUNDWIRE_INTEL=m
  - Input:
  - HID_JABRA=n
  - USB:
  - USB_XHCI_DBGCAP=n
  - LEDS:
  - LEDS_LM3692X=n
  - LEDS_TRIGGER_NETDEV=m
  - LEDS_LP8860=n
  - RTC:
  - RTC_DRV_CROS_EC=n
  - VIRT:
  - VBOXGUEST=m
  - VIRTIO_MENU=y
  - KVM_AMD_SEV=y
  - Filesystems:
  - CIFS_SMB_DIRECT=n (still experimental)
  - Other:
  - UNISYSSPAR=n
  - XILINX_VCU=n
  - IIO_BUFFER_HW_CONSUMER=n
  - SD_ADC_MODULATOR=n
  - OF_FPGA_REGION=n
  - SIOX=n
  - SLIMBUS=n
  - BPF_KPROBE_OVERRIDE=n
  - FPGA_BRIDGE=n
  - Sensors:
  - ST_UVIS25=n
  - ZOPT2201=n
  - Media:
  - MT76x2E=m
  - LIRC=y
  - DVB_MMAP=n (still experimental)
  - DVB_ULE_DEBUG=n
  - Testing:
  - FAIL_FUNCTION=n
  - RUNTIME_TESTING_MENU=y
  - FIND_BIT_BENCHMARK=n
  - Crypto:
  - CHELSIO_IPSEC_INLINE=n
  - CRYPTO_DEV_SP_PSP=y
- commit 955d7ce
* Sun Feb 25 2018 jslaby@suse.cz
- bpf: cpumap: use GFP_KERNEL instead of GFP_ATOMIC in
  __cpu_map_entry_alloc() (git-fixes).
- commit b050949
* Sun Feb 25 2018 jslaby@suse.cz
- ptr_ring: prevent integer overflow when calculating size
  (git-fixes).
- commit f95a8d4
* Sun Feb 25 2018 jslaby@suse.cz
- Linux 4.15.6 (bnc#1012628).
- vmalloc: fix __GFP_HIGHMEM usage for vmalloc_32 on 32b systems
  (bnc#1012628).
- mei: me: add cannon point device ids for 4th device
  (bnc#1012628).
- mei: me: add cannon point device ids (bnc#1012628).
- crypto: s5p-sss - Fix kernel Oops in AES-ECB mode (bnc#1012628).
- usbip: keep usbip_device sockfd state in sync with tcp_socket
  (bnc#1012628).
- xhci: fix xhci debugfs errors in xhci_stop (bnc#1012628).
- xhci: xhci debugfs device nodes weren't removed after device
  plugged out (bnc#1012628).
- xhci: Fix xhci debugfs devices node disappearance after
  hibernation (bnc#1012628).
- xhci: Fix NULL pointer in xhci debugfs (bnc#1012628).
- staging: iio: ad5933: switch buffer mode to software
  (bnc#1012628).
- staging: iio: adc: ad7192: fix external frequency setting
  (bnc#1012628).
- staging: fsl-mc: fix build testing on x86 (bnc#1012628).
- binder: replace "%%p" with "%%pK" (bnc#1012628).
- binder: check for binder_thread allocation failure in
  binder_poll() (bnc#1012628).
- staging: android: ashmem: Fix a race condition in pin ioctls
  (bnc#1012628).
- ANDROID: binder: synchronize_rcu() when using POLLFREE
  (bnc#1012628).
- ANDROID: binder: remove WARN() for redundant txn error
  (bnc#1012628).
- dn_getsockoptdecnet: move nf_{get/set}sockopt outside sock lock
  (bnc#1012628).
- arm64: dts: add #cooling-cells to CPU nodes (bnc#1012628).
- ARM: 8743/1: bL_switcher: add MODULE_LICENSE tag (bnc#1012628).
- video: fbdev/mmp: add MODULE_LICENSE (bnc#1012628).
- ASoC: ux500: add MODULE_LICENSE tag (bnc#1012628).
- soc: qcom: rmtfs_mem: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012628).
- net_sched: gen_estimator: fix lockdep splat (bnc#1012628).
- net: avoid skb_warn_bad_offload on IS_ERR (bnc#1012628).
- rds: tcp: atomically purge entries from rds_tcp_conn_list
  during netns delete (bnc#1012628).
- rds: tcp: correctly sequence cleanup on netns deletion
  (bnc#1012628).
- netfilter: xt_RATEEST: acquire xt_rateest_mutex for hash insert
  (bnc#1012628).
- netfilter: xt_cgroup: initialize info->priv in
  cgroup_mt_check_v1() (bnc#1012628).
- netfilter: on sockopt() acquire sock lock only in the required
  scope (bnc#1012628).
- netfilter: ipt_CLUSTERIP: fix out-of-bounds accesses in
  clusterip_tg_check() (bnc#1012628).
- netfilter: x_tables: avoid out-of-bounds reads in
  xt_request_find_{match|target} (bnc#1012628).
- netfilter: x_tables: fix int overflow in xt_alloc_table_info()
  (bnc#1012628).
- kcov: detect double association with a single task
  (bnc#1012628).
- KVM: x86: fix escape of guest dr6 to the host (bnc#1012628).
- blk_rq_map_user_iov: fix error override (bnc#1012628).
- staging: android: ion: Switch from WARN to pr_warn
  (bnc#1012628).
- staging: android: ion: Add __GFP_NOWARN for system contig heap
  (bnc#1012628).
- crypto: x86/twofish-3way - Fix %%rbp usage (bnc#1012628).
- media: pvrusb2: properly check endpoint types (bnc#1012628).
- selinux: skip bounded transition processing if the policy
  isn't loaded (bnc#1012628).
- selinux: ensure the context is NUL terminated in
  security_context_to_sid_core() (bnc#1012628).
- ptr_ring: try vmalloc() when kmalloc() fails (bnc#1012628).
- ptr_ring: fail early if queue occupies more than
  KMALLOC_MAX_SIZE (bnc#1012628).
- tun: fix tun_napi_alloc_frags() frag allocator (bnc#1012628).
- commit 71fd692
* Thu Feb 22 2018 jslaby@suse.cz
- powerpc/pseries: Add empty update_numa_cpu_lookup_table()
  for NUMA=n (git-fixes).
- commit 4a82466
* Thu Feb 22 2018 jslaby@suse.cz
- Linux 4.15.5 (bnc#1012628).
- scsi: smartpqi: allow static build ("built-in") (bnc#1012628).
- IB/umad: Fix use of unprotected device pointer (bnc#1012628).
- IB/qib: Fix comparison error with qperf compare/swap test
  (bnc#1012628).
- IB/mlx4: Fix incorrectly releasing steerable UD QPs when have
  only ETH ports (bnc#1012628).
- IB/core: Fix two kernel warnings triggered by rxe registration
  (bnc#1012628).
- IB/core: Fix ib_wc structure size to remain in 64 bytes boundary
  (bnc#1012628).
- IB/core: Avoid a potential OOPs for an unused optional parameter
  (bnc#1012628).
- selftests: seccomp: fix compile error seccomp_bpf (bnc#1012628).
- kselftest: fix OOM in memory compaction test (bnc#1012628).
- RDMA/rxe: Fix a race condition related to the QP error state
  (bnc#1012628).
- RDMA/rxe: Fix a race condition in rxe_requester() (bnc#1012628).
- RDMA/rxe: Fix rxe_qp_cleanup() (bnc#1012628).
- cpufreq: powernv: Dont assume distinct pstate values for
  nominal and pmin (bnc#1012628).
- swiotlb: suppress warning when __GFP_NOWARN is set
  (bnc#1012628).
- PM / devfreq: Propagate error from devfreq_add_device()
  (bnc#1012628).
- mwifiex: resolve reset vs. remove()/shutdown() deadlocks
  (bnc#1012628).
- ocfs2: try a blocking lock before return AOP_TRUNCATED_PAGE
  (bnc#1012628).
- trace_uprobe: Display correct offset in uprobe_events
  (bnc#1012628).
- powerpc/radix: Remove trace_tlbie call from radix__flush_tlb_all
  (bnc#1012628).
- powerpc/kernel: Block interrupts when updating TIDR
  (bnc#1012628).
- powerpc/vas: Don't set uses_vas for kernel windows
  (bnc#1012628).
- powerpc/numa: Invalidate numa_cpu_lookup_table on cpu remove
  (bnc#1012628).
- powerpc/mm: Flush radix process translations when setting MMU
  type (bnc#1012628).
- powerpc/xive: Use hw CPU ids when configuring the CPU queues
  (bnc#1012628).
- dma-buf: fix reservation_object_wait_timeout_rcu once more v2
  (bnc#1012628).
- s390: fix handling of -1 in set{,fs}[gu]id16 syscalls
  (bnc#1012628).
- arm64: dts: msm8916: Correct ipc references for smsm
  (bnc#1012628).
- ARM: lpc3250: fix uda1380 gpio numbers (bnc#1012628).
- ARM: dts: STi: Add gpio polarity for "hdmi,hpd-gpio" property
  (bnc#1012628).
- ARM: dts: nomadik: add interrupt-parent for clcd (bnc#1012628).
- arm: dts: mt7623: fix card detection issue on bananapi-r2
  (bnc#1012628).
- arm: spear600: Add missing interrupt-parent of rtc
  (bnc#1012628).
- arm: spear13xx: Fix dmas cells (bnc#1012628).
- arm: spear13xx: Fix spics gpio controller's warning
  (bnc#1012628).
- x86/gpu: add CFL to early quirks (bnc#1012628).
- x86/kexec: Make kexec (mostly) work in 5-level paging mode
  (bnc#1012628).
- x86/xen: init %%gs very early to avoid page faults with stack
  protector (bnc#1012628).
- x86: PM: Make APM idle driver initialize polling state
  (bnc#1012628).
- mm, memory_hotplug: fix memmap initialization (bnc#1012628).
- x86/entry/64: Clear extra registers beyond syscall arguments,
  to reduce speculation attack surface (bnc#1012628).
- x86/entry/64/compat: Clear registers for compat syscalls,
  to reduce speculation attack surface (bnc#1012628).
- compiler-gcc.h: Introduce __optimize function attribute
  (bnc#1012628).
- compiler-gcc.h: __nostackprotector needs gcc-4.4 and up
  (bnc#1012628).
- crypto: sun4i_ss_prng - fix return value of
  sun4i_ss_prng_generate (bnc#1012628).
- crypto: sun4i_ss_prng - convert lock to _bh in
  sun4i_ss_prng_generate (bnc#1012628).
- powerpc/mm/radix: Split linear mapping on hot-unplug
  (bnc#1012628).
- x86/mm/pti: Fix PTI comment in entry_SYSCALL_64() (bnc#1012628).
- x86/speculation: Update Speculation Control microcode blacklist
  (bnc#1012628).
- x86/speculation: Correct Speculation Control microcode blacklist
  again (bnc#1012628).
- Revert "x86/speculation: Simplify
  indirect_branch_prediction_barrier()" (bnc#1012628).
- KVM/x86: Reduce retpoline performance impact in
  slot_handle_level_range(), by always inlining iterator helper
  methods (bnc#1012628).
- X86/nVMX: Properly set spec_ctrl and pred_cmd before merging
  MSRs (bnc#1012628).
- KVM/nVMX: Set the CPU_BASED_USE_MSR_BITMAPS if we have a valid
  L02 MSR bitmap (bnc#1012628).
- x86/speculation: Clean up various Spectre related details
  (bnc#1012628).
- PM / runtime: Update links_count also if !CONFIG_SRCU
  (bnc#1012628).
- PM: cpuidle: Fix cpuidle_poll_state_init() prototype
  (bnc#1012628).
- platform/x86: wmi: fix off-by-one write in wmi_dev_probe()
  (bnc#1012628).
- x86/entry/64: Clear registers for exceptions/interrupts,
  to reduce speculation attack surface (bnc#1012628).
- x86/entry/64: Merge SAVE_C_REGS and SAVE_EXTRA_REGS, remove
  unused extensions (bnc#1012628).
- x86/entry/64: Merge the POP_C_REGS and POP_EXTRA_REGS macros
  into a single POP_REGS macro (bnc#1012628).
- x86/entry/64: Interleave XOR register clearing with PUSH
  instructions (bnc#1012628).
- x86/entry/64: Introduce the PUSH_AND_CLEAN_REGS macro
  (bnc#1012628).
- x86/entry/64: Use PUSH_AND_CLEAN_REGS in more cases
  (bnc#1012628).
- x86/entry/64: Get rid of the ALLOC_PT_GPREGS_ON_STACK and
  SAVE_AND_CLEAR_REGS macros (bnc#1012628).
- x86/entry/64: Indent PUSH_AND_CLEAR_REGS and POP_REGS properly
  (bnc#1012628).
- x86/entry/64: Fix paranoid_entry() frame pointer warning
  (bnc#1012628).
- x86/entry/64: Remove the unused 'icebp' macro (bnc#1012628).
- selftests/x86: Fix vDSO selftest segfault for vsyscall=none
  (bnc#1012628).
- selftests/x86: Clean up and document sscanf() usage
  (bnc#1012628).
- selftests/x86/pkeys: Remove unused functions (bnc#1012628).
- selftests/x86: Fix build bug caused by the 5lvl test which
  has been moved to the VM directory (bnc#1012628).
- selftests/x86: Do not rely on "int $0x80" in test_mremap_vdso.c
  (bnc#1012628).
- gfs2: Fixes to "Implement iomap for block_map" (bnc#1012628).
- selftests/x86: Do not rely on "int $0x80" in
  single_step_syscall.c (bnc#1012628).
- selftests/x86: Disable tests requiring 32-bit support on pure
  64-bit systems (bnc#1012628).
- objtool: Fix segfault in ignore_unreachable_insn()
  (bnc#1012628).
- x86/debug, objtool: Annotate WARN()-related UD2 as reachable
  (bnc#1012628).
- x86/debug: Use UD2 for WARN() (bnc#1012628).
- x86/speculation: Fix up array_index_nospec_mask() asm constraint
  (bnc#1012628).
- nospec: Move array_index_nospec() parameter checking into
  separate macro (bnc#1012628).
- x86/speculation: Add <asm/msr-index.h> dependency (bnc#1012628).
- x86/mm: Rename flush_tlb_single() and flush_tlb_one() to
  __flush_tlb_one_[user|kernel]() (bnc#1012628).
- selftests/x86/mpx: Fix incorrect bounds with old _sigfault
  (bnc#1012628).
- x86/cpu: Rename cpu_data.x86_mask to cpu_data.x86_stepping
  (bnc#1012628).
- x86/spectre: Fix an error message (bnc#1012628).
- x86/cpu: Change type of x86_cache_size variable to unsigned int
  (bnc#1012628).
- x86/entry/64: Fix CR3 restore in paranoid_exit() (bnc#1012628).
- drm/ttm: Don't add swapped BOs to swap-LRU list (bnc#1012628).
- drm/ttm: Fix 'buf' pointer update in ttm_bo_vm_access_kmap()
  (v2) (bnc#1012628).
- drm/qxl: unref cursor bo when finished with it (bnc#1012628).
- drm/qxl: reapply cursor after resetting primary (bnc#1012628).
- drm/amd/powerplay: Fix smu_table_entry.handle type
  (bnc#1012628).
- drm/ast: Load lut in crtc_commit (bnc#1012628).
- drm: Check for lessee in DROP_MASTER ioctl (bnc#1012628).
- arm64: Add missing Falkor part number for branch predictor
  hardening (bnc#1012628).
- drm/radeon: Add dpm quirk for Jet PRO (v2) (bnc#1012628).
- drm/radeon: adjust tested variable (bnc#1012628).
- x86/smpboot: Fix uncore_pci_remove() indexing bug when
  hot-removing a physical CPU (bnc#1012628).
- rtc-opal: Fix handling of firmware error codes, prevent busy
  loops (bnc#1012628).
- mbcache: initialize entry->e_referenced in
  mb_cache_entry_create() (bnc#1012628).
- mmc: sdhci: Implement an SDHCI-specific bounce buffer
  (bnc#1012628).
- mmc: bcm2835: Don't overwrite max frequency unconditionally
  (bnc#1012628).
- Revert "mmc: meson-gx: include tx phase in the tuning process"
  (bnc#1012628).
- mlx5: fix mlx5_get_vector_affinity to start from completion
  vector 0 (bnc#1012628).
- Revert "apple-gmux: lock iGP IO to protect from vgaarb changes"
  (bnc#1012628).
- jbd2: fix sphinx kernel-doc build warnings (bnc#1012628).
- ext4: fix a race in the ext4 shutdown path (bnc#1012628).
- ext4: save error to disk in __ext4_grp_locked_error()
  (bnc#1012628).
- ext4: correct documentation for grpid mount option
  (bnc#1012628).
- mm: hide a #warning for COMPILE_TEST (bnc#1012628).
- mm: Fix memory size alignment in devm_memremap_pages_release()
  (bnc#1012628).
- MIPS: Fix typo BIG_ENDIAN to CPU_BIG_ENDIAN (bnc#1012628).
- MIPS: CPS: Fix MIPS_ISA_LEVEL_RAW fallout (bnc#1012628).
- MIPS: Fix incorrect mem=X@Y handling (bnc#1012628).
- PCI: Disable MSI for HiSilicon Hip06/Hip07 only in Root Port
  mode (bnc#1012628).
- PCI: iproc: Fix NULL pointer dereference for BCMA (bnc#1012628).
- PCI: pciehp: Assume NoCompl+ for Thunderbolt ports
  (bnc#1012628).
- PCI: keystone: Fix interrupt-controller-node lookup
  (bnc#1012628).
- video: fbdev: atmel_lcdfb: fix display-timings lookup
  (bnc#1012628).
- console/dummy: leave .con_font_get set to NULL (bnc#1012628).
- rbd: whitelist RBD_FEATURE_OPERATIONS feature bit (bnc#1012628).
- xen: Fix {set,clear}_foreign_p2m_mapping on autotranslating
  guests (bnc#1012628).
- xenbus: track caller request id (bnc#1012628).
- seq_file: fix incomplete reset on read from zero offset
  (bnc#1012628).
- tracing: Fix parsing of globs with a wildcard at the beginning
  (bnc#1012628).
- mpls, nospec: Sanitize array index in mpls_label_ok()
  (bnc#1012628).
- rtlwifi: rtl8821ae: Fix connection lost problem correctly
  (bnc#1012628).
- arm64: proc: Set PTE_NG for table entries to avoid traversing
  them twice (bnc#1012628).
- xprtrdma: Fix calculation of ri_max_send_sges (bnc#1012628).
- xprtrdma: Fix BUG after a device removal (bnc#1012628).
- blk-wbt: account flush requests correctly (bnc#1012628).
- target/iscsi: avoid NULL dereference in CHAP auth error path
  (bnc#1012628).
- iscsi-target: make sure to wake up sleeping login worker
  (bnc#1012628).
- dm: correctly handle chained bios in dec_pending()
  (bnc#1012628).
- Btrfs: fix deadlock in run_delalloc_nocow (bnc#1012628).
- Btrfs: fix crash due to not cleaning up tree log block's dirty
  bits (bnc#1012628).
- Btrfs: fix extent state leak from tree log (bnc#1012628).
- Btrfs: fix use-after-free on root->orphan_block_rsv
  (bnc#1012628).
- Btrfs: fix unexpected -EEXIST when creating new inode
  (bnc#1012628).
- 9p/trans_virtio: discard zero-length reply (bnc#1012628).
- mtd: nand: vf610: set correct ooblayout (bnc#1012628).
- ALSA: hda - Fix headset mic detection problem for two Dell
  machines (bnc#1012628).
- ALSA: usb-audio: Fix UAC2 get_ctl request with a RANGE attribute
  (bnc#1012628).
- ALSA: hda/realtek - Add headset mode support for Dell laptop
  (bnc#1012628).
- ALSA: hda/realtek - Enable Thinkpad Dock device for ALC298
  platform (bnc#1012628).
- ALSA: hda/realtek: PCI quirk for Fujitsu U7x7 (bnc#1012628).
- ALSA: usb-audio: add implicit fb quirk for Behringer UFX1204
  (bnc#1012628).
- ALSA: usb: add more device quirks for USB DSD devices
  (bnc#1012628).
- ALSA: seq: Fix racy pool initializations (bnc#1012628).
- mvpp2: fix multicast address filter (bnc#1012628).
- usb: Move USB_UHCI_BIG_ENDIAN_* out of USB_SUPPORT
  (bnc#1012628).
- x86/mm, mm/hwpoison: Don't unconditionally unmap kernel 1:1
  pages (bnc#1012628).
- ARM: dts: exynos: fix RTC interrupt for exynos5410
  (bnc#1012628).
- ARM: pxa/tosa-bt: add MODULE_LICENSE tag (bnc#1012628).
- arm64: dts: msm8916: Add missing #phy-cells (bnc#1012628).
- ARM: dts: s5pv210: add interrupt-parent for ohci (bnc#1012628).
- arm: dts: mt7623: Update ethsys binding (bnc#1012628).
- arm: dts: mt2701: Add reset-cells (bnc#1012628).
- ARM: dts: Delete bogus reference to the charlcd (bnc#1012628).
- media: r820t: fix r820t_write_reg for KASAN (bnc#1012628).
- mmc: sdhci-of-esdhc: fix eMMC couldn't work after kexec
  (bnc#1012628).
- mmc: sdhci-of-esdhc: fix the mmc error after sleep on ls1046ardb
  (bnc#1012628).
- Refresh
  patches.suse/0001-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Refresh
  patches.suse/0002-x86-speculation-Add-inlines-to-control-Indirect-Bran.patch.
- Refresh
  patches.suse/0005-x86-enter-Use-IBRS-on-syscall-and-interrupts.patch.
- commit 078aac5
* Thu Feb 22 2018 lpechacek@suse.com
- rpm/kernel-spec-macros: Try harder to detect Build Service environment (bsc#1078788)
- commit a5f1a4a
* Wed Feb 21 2018 msuchanek@suse.de
- kernel-binary undefine unique_debug_names
  Some tools do not understand names like
  usr/lib/debug/boot/vmlinux-4.12.14-11.10-default-4.12.14-11.10.ppc64le.debug
- commit 2b90c1e
* Tue Feb 20 2018 jeffm@suse.com
- config: enable IMA and EVM
- commit 8c97198
* Sun Feb 18 2018 afaerber@suse.de
- config: arm64: Enable MAX77620 for Nvidia Jetson TX1 (boo#1081473)
- commit 5cbffaf
* Sat Feb 17 2018 jslaby@suse.cz
- Linux 4.15.4 (bnc#1012628).
- watchdog: indydog: Add dependency on SGI_HAS_INDYDOG
  (bnc#1012628).
- cifs: Fix missing put_xid in cifs_file_strict_mmap
  (bnc#1012628).
- cifs: Fix autonegotiate security settings mismatch
  (bnc#1012628).
- CIFS: zero sensitive data when freeing (bnc#1012628).
- cpufreq: mediatek: add mediatek related projects into blacklist
  (bnc#1012628).
- dmaengine: dmatest: fix container_of member in dmatest_callback
  (bnc#1012628).
- ssb: Do not disable PCI host on non-Mips (bnc#1012628).
- watchdog: gpio_wdt: set WDOG_HW_RUNNING in gpio_wdt_stop
  (bnc#1012628).
- Revert "drm/i915: mark all device info struct with __initconst"
  (bnc#1012628).
- sched/rt: Use container_of() to get root domain in
  rto_push_irq_work_func() (bnc#1012628).
- sched/rt: Up the root domain ref count when passing it around
  via IPIs (bnc#1012628).
- media: dvb-usb-v2: lmedm04: Improve logic checking of warm start
  (bnc#1012628).
- media: dvb-usb-v2: lmedm04: move ts2020 attach to
  dm04_lme2510_tuner (bnc#1012628).
- media: hdpvr: Fix an error handling path in hdpvr_probe()
  (bnc#1012628).
- arm64: cpu_errata: Add Kryo to Falkor 1003 errata (bnc#1012628).
- arm64: kpti: Make use of nG dependent on
  arm64_kernel_unmapped_at_el0() (bnc#1012628).
- arm64: mm: Permit transitioning from Global to Non-Global
  without BBM (bnc#1012628).
- arm64: kpti: Add ->enable callback to remap swapper using nG
  mappings (bnc#1012628).
- arm64: Force KPTI to be disabled on Cavium ThunderX
  (bnc#1012628).
- arm64: entry: Reword comment about post_ttbr_update_workaround
  (bnc#1012628).
- arm64: idmap: Use "awx" flags for .idmap.text .pushsection
  directives (bnc#1012628).
- arm64: barrier: Add CSDB macros to control data-value prediction
  (bnc#1012628).
- arm64: Implement array_index_mask_nospec() (bnc#1012628).
- arm64: Make USER_DS an inclusive limit (bnc#1012628).
- arm64: Use pointer masking to limit uaccess speculation
  (bnc#1012628).
- arm64: entry: Ensure branch through syscall table is bounded
  under speculation (bnc#1012628).
- arm64: uaccess: Prevent speculative use of the current
  addr_limit (bnc#1012628).
- arm64: uaccess: Don't bother eliding access_ok checks in __{get,
  put}_user (bnc#1012628).
- arm64: uaccess: Mask __user pointers for __arch_{clear,
  copy_*}_user (bnc#1012628).
- arm64: futex: Mask __user pointers prior to dereference
  (bnc#1012628).
- arm64: cpufeature: __this_cpu_has_cap() shouldn't stop early
  (bnc#1012628).
- arm64: entry: Apply BP hardening for high-priority synchronous
  exceptions (bnc#1012628).
- arm64: entry: Apply BP hardening for suspicious interrupts
  from EL0 (bnc#1012628).
- arm64: KVM: Increment PC after handling an SMC trap
  (bnc#1012628).
- arm/arm64: KVM: Consolidate the PSCI include files
  (bnc#1012628).
- arm/arm64: KVM: Add PSCI_VERSION helper (bnc#1012628).
- arm/arm64: KVM: Add smccc accessors to PSCI code (bnc#1012628).
- arm/arm64: KVM: Implement PSCI 1.0 support (bnc#1012628).
- arm/arm64: KVM: Advertise SMCCC v1.1 (bnc#1012628).
- arm/arm64: KVM: Turn kvm_psci_version into a static inline
  (bnc#1012628).
- arm64: KVM: Report SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bnc#1012628).
- arm64: KVM: Add SMCCC_ARCH_WORKAROUND_1 fast handling
  (bnc#1012628).
- firmware/psci: Expose PSCI conduit (bnc#1012628).
- firmware/psci: Expose SMCCC version through psci_ops
  (bnc#1012628).
- arm/arm64: smccc: Make function identifiers an unsigned quantity
  (bnc#1012628).
- arm/arm64: smccc: Implement SMCCC v1.1 inline primitive
  (bnc#1012628).
- arm64: Add ARM_SMCCC_ARCH_WORKAROUND_1 BP hardening support
  (bnc#1012628).
- arm64: Kill PSCI_GET_VERSION as a variant-2 workaround
  (bnc#1012628).
- mtd: cfi: convert inline functions to macros (bnc#1012628).
- mtd: nand: brcmnand: Disable prefetch by default (bnc#1012628).
- mtd: nand: Fix nand_do_read_oob() return value (bnc#1012628).
- mtd: nand: sunxi: Fix ECC strength choice (bnc#1012628).
- ubi: Fix race condition between ubi volume creation and udev
  (bnc#1012628).
- ubi: fastmap: Erase outdated anchor PEBs during attach
  (bnc#1012628).
- ubi: block: Fix locking for idr_alloc/idr_remove (bnc#1012628).
- ubifs: free the encrypted symlink target (bnc#1012628).
- nfs/pnfs: fix nfs_direct_req ref leak when i/o falls back to
  the mds (bnc#1012628).
- nfs41: do not return ENOMEM on LAYOUTUNAVAILABLE (bnc#1012628).
- NFS: Add a cond_resched() to nfs_commit_release_pages()
  (bnc#1012628).
- NFS: Fix nfsstat breakage due to LOOKUPP (bnc#1012628).
- NFS: commit direct writes even if they fail partially
  (bnc#1012628).
- NFS: reject request for id_legacy key without auxdata
  (bnc#1012628).
- NFS: Fix a race between mmap() and O_DIRECT (bnc#1012628).
- nfsd: Detect unhashed stids in nfsd4_verify_open_stid()
  (bnc#1012628).
- kernfs: fix regression in kernfs_fop_write caused by wrong type
  (bnc#1012628).
- ahci: Annotate PCI ids for mobile Intel chipsets as such
  (bnc#1012628).
- ahci: Add PCI ids for Intel Bay Trail, Cherry Trail and Apollo
  Lake AHCI (bnc#1012628).
- ahci: Add Intel Cannon Lake PCH-H PCI ID (bnc#1012628).
- crypto: hash - introduce crypto_hash_alg_has_setkey()
  (bnc#1012628).
- crypto: cryptd - pass through absence of ->setkey()
  (bnc#1012628).
- crypto: mcryptd - pass through absence of ->setkey()
  (bnc#1012628).
- crypto: poly1305 - remove ->setkey() method (bnc#1012628).
- crypto: hash - annotate algorithms taking optional key
  (bnc#1012628).
- crypto: hash - prevent using keyed hashes without setting key
  (bnc#1012628).
- media: v4l2-ioctl.c: use check_fmt for enum/g/s/try_fmt
  (bnc#1012628).
- media: v4l2-ioctl.c: don't copy back the result for -ENOTTY
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: add missing VIDIOC_PREPARE_BUF
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: fix the indentation (bnc#1012628).
- media: v4l2-compat-ioctl32.c: move 'helper' functions to
  __get/put_v4l2_format32 (bnc#1012628).
- media: v4l2-compat-ioctl32.c: avoid sizeof(type) (bnc#1012628).
- media: v4l2-compat-ioctl32.c: copy m.userptr in put_v4l2_plane32
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: fix ctrl_is_pointer (bnc#1012628).
- media: v4l2-compat-ioctl32.c: copy clip list in
  put_v4l2_window32 (bnc#1012628).
- media: v4l2-compat-ioctl32.c: drop pr_info for unknown buffer
  type (bnc#1012628).
- media: v4l2-compat-ioctl32.c: don't copy back the result for
  certain errors (bnc#1012628).
- media: v4l2-compat-ioctl32.c: refactor compat ioctl32 logic
  (bnc#1012628).
- media: v4l2-compat-ioctl32.c: make ctrl_is_pointer work for
  subdevs (bnc#1012628).
- crypto: caam - fix endless loop when DECO acquire fails
  (bnc#1012628).
- crypto: sha512-mb - initialize pending lengths correctly
  (bnc#1012628).
- crypto: talitos - fix Kernel Oops on hashing an empty file
  (bnc#1012628).
- arm: KVM: Fix SMCCC handling of unimplemented SMC/HVC calls
  (bnc#1012628).
- KVM: nVMX: Fix races when sending nested PI while dest
  enters/leaves L2 (bnc#1012628).
- KVM: nVMX: Fix bug of injecting L2 exception into L1
  (bnc#1012628).
- KVM: PPC: Book3S HV: Make sure we don't re-enter guest without
  XIVE loaded (bnc#1012628).
- KVM: PPC: Book3S HV: Drop locks before reading guest memory
  (bnc#1012628).
- KVM: arm/arm64: Handle CPU_PM_ENTER_FAILED (bnc#1012628).
- KVM: PPC: Book3S PR: Fix broken select due to misspelling
  (bnc#1012628).
- ASoC: acpi: fix machine driver selection based on quirk
  (bnc#1012628).
- ASoC: rockchip: i2s: fix playback after runtime resume
  (bnc#1012628).
- ASoC: skl: Fix kernel warning due to zero NHTL entry
  (bnc#1012628).
- ASoC: compress: Correct handling of copy callback (bnc#1012628).
- watchdog: imx2_wdt: restore previous timeout after
  suspend+resume (bnc#1012628).
- afs: Add missing afs_put_cell() (bnc#1012628).
- afs: Need to clear responded flag in addr cursor (bnc#1012628).
- afs: Fix missing cursor clearance (bnc#1012628).
- afs: Fix server list handling (bnc#1012628).
- btrfs: Handle btrfs_set_extent_delalloc failure in fixup worker
  (bnc#1012628).
- Btrfs: raid56: iterate raid56 internal bio with
  bio_for_each_segment_all (bnc#1012628).
- kasan: don't emit builtin calls when sanitization is off
  (bnc#1012628).
- kasan: rework Kconfig settings (bnc#1012628).
- media: dvb_frontend: be sure to init dvb_frontend_handle_ioctl()
  return code (bnc#1012628).
- media: dvb-frontends: fix i2c access helpers for KASAN
  (bnc#1012628).
- media: dt-bindings/media/cec-gpio.txt: mention the CEC/HPD
  max voltages (bnc#1012628).
- media: ts2020: avoid integer overflows on 32 bit machines
  (bnc#1012628).
- media: vivid: fix module load error when enabling fb and
  no_error_inj=1 (bnc#1012628).
- media: cxusb, dib0700: ignore XC2028_I2C_FLUSH (bnc#1012628).
- fs/proc/kcore.c: use probe_kernel_read() instead of memcpy()
  (bnc#1012628).
- kernel/async.c: revert "async: simplify lowest_in_progress()"
  (bnc#1012628).
- kernel/relay.c: revert "kernel/relay.c: fix potential memory
  leak" (bnc#1012628).
- pipe: actually allow root to exceed the pipe buffer limits
  (bnc#1012628).
- pipe: fix off-by-one error when checking buffer limits
  (bnc#1012628).
- HID: quirks: Fix keyboard + touchpad on Toshiba Click Mini
  not working (bnc#1012628).
- Bluetooth: btsdio: Do not bind to non-removable BCM43341
  (bnc#1012628).
- Revert "Bluetooth: btusb: fix QCA Rome suspend/resume"
  (bnc#1012628).
- Bluetooth: btusb: Restore QCA Rome suspend/resume fix with a
  "rewritten" version (bnc#1012628).
- ipmi: use dynamic memory for DMI driver override (bnc#1012628).
- signal/openrisc: Fix do_unaligned_access to send the proper
  signal (bnc#1012628).
- signal/sh: Ensure si_signo is initialized in do_divide_error
  (bnc#1012628).
- alpha: fix crash if pthread_create races with signal delivery
  (bnc#1012628).
- alpha: osf_sys.c: fix put_tv32 regression (bnc#1012628).
- alpha: Fix mixed up args in EXC macro in futex operations
  (bnc#1012628).
- alpha: fix reboot on Avanti platform (bnc#1012628).
- alpha: fix formating of stack content (bnc#1012628).
- xtensa: fix futex_atomic_cmpxchg_inatomic (bnc#1012628).
- EDAC, octeon: Fix an uninitialized variable warning
  (bnc#1012628).
- genirq: Make legacy autoprobing work again (bnc#1012628).
- pinctrl: intel: Initialize GPIO properly when used through
  irqchip (bnc#1012628).
- pinctrl: mcp23s08: fix irq setup order (bnc#1012628).
- pinctrl: sx150x: Unregister the pinctrl on release
  (bnc#1012628).
- pinctrl: sx150x: Register pinctrl before adding the gpiochip
  (bnc#1012628).
- pinctrl: sx150x: Add a static gpio/pinctrl pin range mapping
  (bnc#1012628).
- pktcdvd: Fix pkt_setup_dev() error path (bnc#1012628).
- pktcdvd: Fix a recently introduced NULL pointer dereference
  (bnc#1012628).
- blk-mq: quiesce queue before freeing queue (bnc#1012628).
- clocksource/drivers/stm32: Fix kernel panic with multiple timers
  (bnc#1012628).
- lib/ubsan.c: s/missaligned/misaligned/ (bnc#1012628).
- lib/ubsan: add type mismatch handler for new GCC/Clang
  (bnc#1012628).
- objtool: Fix switch-table detection (bnc#1012628).
- arm64: dts: marvell: add Ethernet aliases (bnc#1012628).
- drm/i915: Avoid PPS HW/SW state mismatch due to rounding
  (bnc#1012628).
- ACPI: sbshc: remove raw pointer from printk() message
  (bnc#1012628).
- acpi, nfit: fix register dimm error handling (bnc#1012628).
- ovl: force r/o mount when index dir creation fails
  (bnc#1012628).
- ovl: fix failure to fsync lower dir (bnc#1012628).
- ovl: take mnt_want_write() for work/index dir setup
  (bnc#1012628).
- ovl: take mnt_want_write() for removing impure xattr
  (bnc#1012628).
- ovl: hash directory inodes for fsnotify (bnc#1012628).
- mn10300/misalignment: Use SIGSEGV SEGV_MAPERR to report a
  failed user copy (bnc#1012628).
- devpts: fix error handling in devpts_mntget() (bnc#1012628).
- ftrace: Remove incorrect setting of glob search field
  (bnc#1012628).
- scsi: core: Ensure that the SCSI error handler gets woken up
  (bnc#1012628).
- scsi: lpfc: Fix crash after bad bar setup on driver attachment
  (bnc#1012628).
- scsi: cxlflash: Reset command ioasc (bnc#1012628).
- rcu: Export init_rcu_head() and destroy_rcu_head() to GPL
  modules (bnc#1012628).
- media: dvb_frontend: fix return error code (git-fixes).
- mtd: ubi: wl: Fix error return code in ubi_wl_init()
  (git-fixes).
- Update config files.
- commit 4d42c34
* Thu Feb 15 2018 jmoreira@suse.de
- Add kernel livepatch-devel package
  Resolving non-exported static symbols in kernel livepatches cannot
  be done implicitly. For such, the relocations of these symbols must
  follow a specially crafted format in the respective elf file. Willing
  to make the task of converting the elf into the right format, a tool
  named klp-convert was proposed. Through a file that maps all kernel
  symbols into their respective kernel object, this tool infers which
  non-exported symbol is relative to a livepatch relocation and
  automatically formats the final elf file.
  Add support to the generation of a map file right after the kernel
  compilation.
  Add the package kernel-<flavour>-livepatch-devel that brings
  the map file.
- commit 0b1b4d3
* Tue Feb 13 2018 jslaby@suse.cz
- Linux 4.15.3 (bnc#1012628).
- crypto: tcrypt - fix S/G table for test_aead_speed()
  (bnc#1012628).
- gpio: uniphier: fix mismatch between license text and
  MODULE_LICENSE (bnc#1012628).
- media: tegra-cec: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bnc#1012628).
- media: soc_camera: soc_scale_crop: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012628).
- media: mtk-vcodec: add missing MODULE_LICENSE/DESCRIPTION
  (bnc#1012628).
- net: sched: fix use-after-free in tcf_block_put_ext
  (bnc#1012628).
- net_sched: get rid of rcu_barrier() in tcf_block_put_ext()
  (bnc#1012628).
- soreuseport: fix mem leak in reuseport_add_sock() (bnc#1012628).
- ipv6: Fix SO_REUSEPORT UDP socket with implicit sk_ipv6only
  (bnc#1012628).
- cls_u32: add missing RCU annotation (bnc#1012628).
- tcp_bbr: fix pacing_gain to always be unity when using lt_bw
  (bnc#1012628).
- rocker: fix possible null pointer dereference in
  rocker_router_fib_event_work (bnc#1012628).
- net: ipv6: send unsolicited NA after DAD (bnc#1012628).
- Revert "defer call to mem_cgroup_sk_alloc()" (bnc#1012628).
- ipv6: change route cache aging logic (bnc#1012628).
- ipv6: addrconf: break critical section in addrconf_verify_rtnl()
  (bnc#1012628).
- vhost_net: stop device during reset owner (bnc#1012628).
- tcp: release sk_frag.page in tcp_disconnect (bnc#1012628).
- r8169: fix RTL8168EP take too long to complete driver
  initialization (bnc#1012628).
- qmi_wwan: Add support for Quectel EP06 (bnc#1012628).
- qlcnic: fix deadlock bug (bnc#1012628).
- net: igmp: add a missing rcu locking section (bnc#1012628).
- ip6mr: fix stale iterator (bnc#1012628).
- commit e7bb737
* Tue Feb 13 2018 jslaby@suse.cz
- ext4: llseek, do not crop offset on 32bit (bsc#1079747).
- commit c6ab9c6
* Sun Feb 11 2018 afaerber@suse.de
- config: arm64: Enable Hi6421 PMU (bsc#1080449)
- commit 77a784c
* Fri Feb  9 2018 jslaby@suse.cz
- Update i386 config files.
  Switch from almost unusable UNWINDER_GUESS to UNWINDER_FRAME_POINTER
  (which enables FRAME_POINTERs). It will slow down the kernel a bit,
  but improves the stack traces by the order of magnitude. Sad is that
  we have no ORCs on i386...
- commit 1d39996
* Fri Feb  9 2018 jslaby@suse.cz
- Update config files.
  Sync vanilla configs to 4.15.
- commit 85c7881
* Thu Feb  8 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: Also require m4 for build.
- commit 0d7b4b3
* Thu Feb  8 2018 jslaby@suse.cz
- Linux 4.15.2 (bnc#1012628).
- KVM: x86: Make indirect calls in emulator speculation safe
  (bnc#1012628).
- KVM: VMX: Make indirect call speculation safe (bnc#1012628).
- x86/alternative: Print unadorned pointers (bnc#1012628).
- auxdisplay: img-ascii-lcd: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012628).
- iio: adc/accel: Fix up module licenses (bnc#1012628).
- pinctrl: pxa: pxa2xx: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012628).
- ASoC: pcm512x: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bnc#1012628).
- KVM: nVMX: Eliminate vmcs02 pool (bnc#1012628).
- KVM: VMX: introduce alloc_loaded_vmcs (bnc#1012628).
- objtool: Improve retpoline alternative handling (bnc#1012628).
- objtool: Add support for alternatives at the end of a section
  (bnc#1012628).
- objtool: Warn on stripped section symbol (bnc#1012628).
- x86/mm: Fix overlap of i386 CPU_ENTRY_AREA with FIX_BTMAP
  (bnc#1012628).
- x86/entry/64: Remove the SYSCALL64 fast path (bnc#1012628).
- x86/entry/64: Push extra regs right away (bnc#1012628).
- x86/asm: Move 'status' from thread_struct to thread_info
  (bnc#1012628).
- x86/spectre: Fix spelling mistake: "vunerable"-> "vulnerable"
  (bnc#1012628).
- x86/paravirt: Remove 'noreplace-paravirt' cmdline option
  (bnc#1012628).
- KVM: VMX: make MSR bitmaps per-VCPU (bnc#1012628).
- x86/kvm: Update spectre-v1 mitigation (bnc#1012628).
- x86/retpoline: Avoid retpolines for built-in __init functions
  (bnc#1012628).
- x86/speculation: Fix typo IBRS_ATT, which should be IBRS_ALL
  (bnc#1012628).
- KVM/x86: Update the reverse_cpuid list to include CPUID_7_EDX
  (bnc#1012628).
- KVM/x86: Add IBPB support (bnc#1012628).
- KVM/VMX: Emulate MSR_IA32_ARCH_CAPABILITIES (bnc#1012628).
- KVM/VMX: Allow direct access to MSR_IA32_SPEC_CTRL
  (bnc#1012628).
- KVM/SVM: Allow direct access to MSR_IA32_SPEC_CTRL
  (bnc#1012628).
- serial: core: mark port as initialized after successful IRQ
  change (bnc#1012628).
- fpga: region: release of_parse_phandle nodes after use
  (bnc#1012628).
- commit 54903ae
* Wed Feb  7 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: install ksym-provides tool (bsc#1077692).
- commit 679f5c5
* Wed Feb  7 2018 msuchanek@suse.de
- rpm/kernel-binary.spec.in: require bison for build.
  linux-next tends to have outdated generated files so it needs bison to
  regenerate them.
- commit 4ad1ede
* Wed Feb  7 2018 msuchanek@suse.de
- Add ksym-provides tool (bsc#1077692).
- commit 9cd1e1e
* Mon Feb  5 2018 jslaby@suse.cz
- x86/pti: Mark constant arrays as __initconst (bsc#1068032
  CVE-2017-5753).
- x86/cpuid: Fix up "virtual" IBRS/IBPB/STIBP feature bits on
  Intel (bsc#1068032 CVE-2017-5753).
- commit 7d4f257
* Mon Feb  5 2018 jslaby@suse.cz
- x86/speculation: Add basic IBRS support infrastructure
  (bsc#1068032 CVE-2017-5753).
- x86/pti: Do not enable PTI on CPUs which are not vulnerable
  to Meltdown (bsc#1068032 CVE-2017-5753).
- x86/cpufeature: Blacklist SPEC_CTRL/PRED_CMD on early Spectre
  v2 microcodes (bsc#1068032 CVE-2017-5753).
- x86/nospec: Fix header guards names (bsc#1068032 CVE-2017-5753).
- x86/bugs: Drop one "mitigation" from dmesg (bsc#1068032
  CVE-2017-5753).
- x86/cpu/bugs: Make retpoline module warning conditional
  (bsc#1068032 CVE-2017-5753).
- x86/cpufeatures: Clean up Spectre v2 related CPUID flags
  (bsc#1068032 CVE-2017-5753).
- x86/retpoline: Simplify vmexit_fill_RSB() (bsc#1068032
  CVE-2017-5753).
- x86/speculation: Simplify indirect_branch_prediction_barrier()
  (bsc#1068032 CVE-2017-5753).
- module/retpoline: Warn about missing retpoline in module
  (bsc#1068032 CVE-2017-5753).
- x86/spectre: Check CONFIG_RETPOLINE in command line parser
  (bsc#1068032 CVE-2017-5753).
- x86/speculation: Use Indirect Branch Prediction Barrier in
  context switch (bsc#1068032 CVE-2017-5753).
- Refresh
  patches.suse/0001-x86-cpufeatures-Add-CPUID_7_EDX-CPUID-leaf.patch.
- Refresh
  patches.suse/0002-x86-cpufeatures-Add-Intel-feature-bits-for-Speculati.patch.
- Refresh
  patches.suse/0003-x86-cpufeatures-Add-AMD-feature-bits-for-Speculation.patch.
- Refresh
  patches.suse/0004-x86-msr-Add-definitions-for-new-speculation-control-.patch.
- Refresh
  patches.suse/0007-x86-speculation-Add-basic-IBPB-Indirect-Branch-Predi.patch.
- Refresh patches.suse/supported-flag.
- Delete
  patches.suse/0005-x86-pti-Do-not-enable-PTI-on-processors-which-are-no.patch.
- Delete
  patches.suse/0006-x86-cpufeature-Blacklist-SPEC_CTRL-on-early-Spectre-.patch.
- Delete patches.suse/0008-x86-kvm-Add-IBPB-support.patch.
- Delete
  patches.suse/0009-x86-speculation-Use-Indirect-Branch-Prediction-Barri.patch.
- Delete
  patches.suse/0010-x86-mm-Only-flush-indirect-branches-when-switching-i.patch.
- Delete
  patches.suse/0011-x86-speculation-Add-basic-IBRS-support-infrastructur.patch.
- Delete
  patches.suse/0017-x86-ibrs-Add-new-helper-macros-to-save-restore-MSR_I-fix.patch.
- Delete
  patches.suse/0017-x86-ibrs-Add-new-helper-macros-to-save-restore-MSR_I.patch.
- Delete
  patches.suse/0018-x86-vmx-Direct-access-to-MSR_IA32_SPEC_CTRL.patch.
  Update to the patches from 4.16-rc1 and the updated IBRS patches from
  the dwmw's repo.
- commit cd20d46
* Mon Feb  5 2018 jslaby@suse.cz
- Documentation: Document array_index_nospec (bsc#1068032
  CVE-2017-5715).
- array_index_nospec: Sanitize speculative array de-references
  (bsc#1068032 CVE-2017-5715).
- x86: Implement array_index_mask_nospec (bsc#1068032
  CVE-2017-5715).
- x86: Introduce barrier_nospec (bsc#1068032 CVE-2017-5715).
- x86: Introduce __uaccess_begin_nospec() and uaccess_try_nospec
  (bsc#1068032 CVE-2017-5715).
- x86/usercopy: Replace open coded stac/clac with
  __uaccess_{begin, end} (bsc#1068032 CVE-2017-5715).
- x86/syscall: Sanitize syscall table de-references under
  speculation (bsc#1068032 CVE-2017-5715).
- nl80211: Sanitize array index in parse_txq_params (bsc#1068032
  CVE-2017-5715).
- x86/spectre: Report get_user mitigation for spectre_v1
  (bsc#1068032 CVE-2017-5715).
- Delete patches.suse/0001-Documentation-document-array_ptr.patch.
- Delete
  patches.suse/0002-asm-nospec-array_ptr-sanitize-speculative-array-de-r.patch.
- Delete patches.suse/0003-x86-implement-array_ptr_mask.patch.
- Delete
  patches.suse/0004-x86-introduce-__uaccess_begin_nospec-and-ifence.patch.
- Delete
  patches.suse/0007-x86-narrow-out-of-bounds-syscalls-to-sys_read-under-.patch.
- Delete
  patches.suse/0009-kvm-x86-update-spectre-v1-mitigation.patch.
- Delete
  patches.suse/0010-nl80211-sanitize-array-index-in-parse_txq_params.patch.
  Replace by the patches from 4.16-rc1.
- commit 8343cab
* Mon Feb  5 2018 jslaby@suse.cz
- scsi: aacraid: remove redundant setting of variable c
  (git-fixes).
- commit 143e25c
* Sun Feb  4 2018 jslaby@suse.cz
- Linux 4.15.1 (bnc#1012628).
- x86/efi: Clarify that reset attack mitigation needs appropriate
  userspace (bnc#1012628).
- Input: synaptics-rmi4 - do not delete interrupt memory too early
  (bnc#1012628).
- Input: synaptics-rmi4 - unmask F03 interrupts when port is
  opened (bnc#1012628).
- test_firmware: fix missing unlock on error in
  config_num_requests_store() (bnc#1012628).
- iio: chemical: ccs811: Fix output of IIO_CONCENTRATION channels
  (bnc#1012628).
- iio: adc: stm32: fix scan of multiple channels with DMA
  (bnc#1012628).
- spi: imx: do not access registers while clocks disabled
  (bnc#1012628).
- serial: imx: Only wakeup via RTSDEN bit if the system has
  RTS/CTS (bnc#1012628).
- serial: 8250_dw: Revert "Improve clock rate setting"
  (bnc#1012628).
- serial: 8250_uniphier: fix error return code in
  uniphier_uart_probe() (bnc#1012628).
- serial: 8250_of: fix return code when probe function fails to
  get reset (bnc#1012628).
- mei: me: allow runtime pm for platform with D0i3 (bnc#1012628).
- android: binder: use VM_ALLOC to get vm area (bnc#1012628).
- ANDROID: binder: remove waitqueue when thread exits
  (bnc#1012628).
- usb/gadget: Fix "high bandwidth" check in
  usb_gadget_ep_match_desc() (bnc#1012628).
- usb: uas: unconditionally bring back host after reset
  (bnc#1012628).
- usb: f_fs: Prevent gadget unbind if it is already unbound
  (bnc#1012628).
- USB: serial: simple: add Motorola Tetra driver (bnc#1012628).
- usbip: list: don't list devices attached to vhci_hcd
  (bnc#1012628).
- usbip: prevent bind loops on devices attached to vhci_hcd
  (bnc#1012628).
- USB: serial: io_edgeport: fix possible sleep-in-atomic
  (bnc#1012628).
- CDC-ACM: apply quirk for card reader (bnc#1012628).
- USB: cdc-acm: Do not log urb submission errors on disconnect
  (bnc#1012628).
- USB: serial: pl2303: new device id for Chilitag (bnc#1012628).
- usb: option: Add support for FS040U modem (bnc#1012628).
- tty: fix data race between tty_init_dev and flush of buf
  (bnc#1012628).
- staging: ccree: fix fips event irq handling build (bnc#1012628).
- staging: ccree: NULLify backup_info when unused (bnc#1012628).
- staging: lustre: separate a connection destroy from free struct
  kib_conn (bnc#1012628).
- scsi: storvsc: missing error code in storvsc_probe()
  (bnc#1012628).
- scsi: aacraid: Fix hang in kdump (bnc#1012628).
- scsi: aacraid: Fix udev inquiry race condition (bnc#1012628).
- ima/policy: fix parsing of fsuuid (bnc#1012628).
- igb: Free IRQs when device is hotplugged (bnc#1012628).
- mtd: nand: denali_pci: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012628).
- gpio: ath79: add missing MODULE_DESCRIPTION/LICENSE
  (bnc#1012628).
- gpio: iop: add missing MODULE_DESCRIPTION/AUTHOR/LICENSE
  (bnc#1012628).
- power: reset: zx-reboot: add missing
  MODULE_DESCRIPTION/AUTHOR/LICENSE (bnc#1012628).
- HID: wacom: Fix reporting of touch toggle
  (WACOM_HID_WD_MUTE_DEVICE) events (bnc#1012628).
- HID: wacom: EKR: ensure devres groups at higher indexes are
  released (bnc#1012628).
- crypto: af_alg - whitelist mask and type (bnc#1012628).
- crypto: sha3-generic - fixes for alignment and big endian
  operation (bnc#1012628).
- crypto: inside-secure - avoid unmapping DMA memory that was
  not mapped (bnc#1012628).
- crypto: inside-secure - fix hash when length is a multiple of
  a block (bnc#1012628).
- crypto: aesni - Fix out-of-bounds access of the AAD buffer in
  generic-gcm-aesni (bnc#1012628).
- crypto: aesni - Fix out-of-bounds access of the data buffer
  in generic-gcm-aesni (bnc#1012628).
- crypto: aesni - add wrapper for generic gcm(aes) (bnc#1012628).
- crypto: aesni - fix typo in generic_gcmaes_decrypt
  (bnc#1012628).
- crypto: aesni - handle zero length dst buffer (bnc#1012628).
- crypto: ecdh - fix typo in KPP dependency of CRYPTO_ECDH
  (bnc#1012628).
- ALSA: hda - Reduce the suspend time consumption for ALC256
  (bnc#1012628).
- gpio: Fix kernel stack leak to userspace (bnc#1012628).
- gpio: stmpe: i2c transfer are forbiden in atomic context
  (bnc#1012628).
- tools/gpio: Fix build error with musl libc (bnc#1012628).
- Bluetooth: hci_serdev: Init hci_uart proto_lock to avoid oops
  (bnc#1012628).
- commit 671bf29
* Thu Feb  1 2018 matwey.kornilov@gmail.com
- config: arm64: Enable RockChip 8xx
  We need RockChip RK-808 support to run openSUSE on Rock64 board (RK3328).
  Currently, even voltage regulator is missed.
- commit a348749
* Mon Jan 29 2018 jeffm@suse.com
- Update to 4.15-final.
- Eliminated 5 patches.
- commit 36830f7
* Mon Jan 29 2018 jeffm@suse.com
- btrfs: fix btrfs_evict_inode to handle abnormal inodes correctly (bsc#1078019).
- commit d3f1d2c
* Fri Jan 26 2018 yousaf.kaukab@suse.com
- config: arm64: enable UNMAP_KERNEL_AT_EL0 and HARDEN_BRANCH_PREDICTOR
- commit c41900c
* Fri Jan 26 2018 yousaf.kaukab@suse.com
- arm64: Turn on KPTI only on CPUs that need it (bsc#1068032).
- arm64: Branch predictor hardening for Cavium ThunderX2
  (bsc#1068032).
- arm64: Run enable method for errata work arounds on late CPUs
  (bsc#1068032).
- arm64: Move BP hardening to check_and_switch_context
  (bsc#1068032).
- arm: KVM: Invalidate icache on guest exit for Cortex-A15
  (bsc#1068032).
- arm: Invalidate icache on prefetch abort outside of user
  mapping on Cortex-A15 (bsc#1068032).
- arm: Add icache invalidation on switch_mm for Cortex-A15
  (bsc#1068032).
- arm: KVM: Invalidate BTB on guest exit (bsc#1068032).
- arm: Invalidate BTB on prefetch abort outside of user mapping
  on Cortex A8, A9, A12 and A17 (bsc#1068032).
- arm: Add BTB invalidation on switch_mm for Cortex-A9, A12 and
  A17 (bsc#1068032).
- arm64: cputype: Add MIDR values for Cavium ThunderX2 CPUs
  (bsc#1068032).
- arm64: Implement branch predictor hardening for Falkor
  (bsc#1068032).
- arm64: Implement branch predictor hardening for affected
  Cortex-A CPUs (bsc#1068032).
- arm64: cputype: Add missing MIDR values for Cortex-A72 and
  Cortex-A75 (bsc#1068032).
- arm64: KVM: Make PSCI_VERSION a fast path (bsc#1068032).
- arm64: KVM: Use per-CPU vector when BP hardening is enabled
  (bsc#1068032).
- arm64: Add skeleton to harden the branch predictor against
  aliasing attacks (bsc#1068032).
- arm64: Move post_ttbr_update_workaround to C code (bsc#1068032).
- drivers/firmware: Expose psci_get_version through psci_ops
  structure (bsc#1068032).
- arm64: Take into account ID_AA64PFR0_EL1.CSV3 (bsc#1068032).
- arm64: Kconfig: Reword UNMAP_KERNEL_AT_EL0 kconfig entry
  (bsc#1068032).
- arm64: use RET instruction for exiting the trampoline
  (bsc#1068032).
- arm64: capabilities: Handle duplicate entries for a capability
  (bsc#1068032).
- arm64: cpufeature: Pass capability structure to ->enable
  callback (bsc#1068032).
- arm64: kpti: Fix the interaction between ASID switching and
  software PAN (bsc#1068032).
- arm64: kaslr: Put kernel vectors address in separate data page
  (bsc#1068032).
- arm64: mm: Introduce TTBR_ASID_MASK for getting at the ASID
  in the TTBR (bsc#1068032).
- perf: arm_spe: Fail device probe when
  arm64_kernel_unmapped_at_el0() (bsc#1068032).
- arm64: Kconfig: Add CONFIG_UNMAP_KERNEL_AT_EL0 (bsc#1068032).
- arm64: entry: Add fake CPU feature for unmapping the kernel
  at EL0 (bsc#1068032).
- arm64: tls: Avoid unconditional zeroing of tpidrro_el0 for
  native tasks (bsc#1068032).
- arm64: erratum: Work around Falkor erratum #E1003 in trampoline
  code (bsc#1068032).
- arm64: entry: Hook up entry trampoline to exception vectors
  (bsc#1068032).
- arm64: entry: Explicitly pass exception level to kernel_ventry
  macro (bsc#1068032).
- arm64: mm: Map entry trampoline into trampoline and kernel
  page tables (bsc#1068032).
- arm64: entry: Add exception trampoline page for exceptions
  from EL0 (bsc#1068032).
- arm64: mm: Invalidate both kernel and user ASIDs when performing
  TLBI (bsc#1068032).
- arm64: mm: Add arm64_kernel_unmapped_at_el0 helper
  (bsc#1068032).
- arm64: mm: Allocate ASIDs in pairs (bsc#1068032).
- arm64: mm: Fix and re-enable ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: mm: Rename post_ttbr0_update_workaround (bsc#1068032).
- arm64: mm: Remove pre_ttbr0_update_workaround for Falkor
  erratum #E1003 (bsc#1068032).
- arm64: mm: Move ASID from TTBR0 to TTBR1 (bsc#1068032).
- arm64: mm: Temporarily disable ARM64_SW_TTBR0_PAN (bsc#1068032).
- arm64: mm: Use non-global mappings for kernel space
  (bsc#1068032).
- commit cdf2ded
* Fri Jan 26 2018 yousaf.kaukab@suse.com
- config: arm64: enable rk3399 missing drivers
  These drivers are required for Rockchip RK3399 Sapphire board
- commit 94b8551
* Fri Jan 26 2018 jslaby@suse.cz
- x86/ibrs: Add new helper macros to save/restore
  MSR_IA32_SPEC_CTRL fix (bsc#1068032 CVE-2017-5753).
- commit 13295d4
* Thu Jan 25 2018 jslaby@suse.cz
- x86/cpufeature: Move processor tracing out of scattered features
  (bsc#1068032 CVE-2017-5753).
- Refresh
  patches.suse/0001-x86-cpufeatures-Add-CPUID_7_EDX-CPUID-leaf.patch.
- Refresh
  patches.suse/0007-x86-speculation-Add-basic-IBPB-Indirect-Branch-Predi.patch.
- commit 8d8b718
* Wed Jan 24 2018 jslaby@suse.cz
- x86/retpoline: Add LFENCE to the retpoline/RSB filling RSB
  macros (bsc#1068032 CVE-2017-5753).
- commit 8dc7c71
* Wed Jan 24 2018 jslaby@suse.cz
- x86/vmx: Direct access to MSR_IA32_SPEC_CTRL (bsc#1068032
  CVE-2017-5753).
- x86/ibrs: Add new helper macros to save/restore
  MSR_IA32_SPEC_CTRL (bsc#1068032 CVE-2017-5753).
- x86/enter: Use IBRS on syscall and interrupts (bsc#1068032
  CVE-2017-5753).
- x86/enter: Create macros to restrict/unrestrict Indirect Branch
  Speculation (bsc#1068032 CVE-2017-5753).
- x86/idle: Control Indirect Branch Speculation in idle
  (bsc#1068032 CVE-2017-5753).
- x86: Simplify spectre_v2 command line parsing (bsc#1068032
  CVE-2017-5753).
- x86/speculation: Add inlines to control Indirect Branch
  Speculation (bsc#1068032 CVE-2017-5753).
- x86/speculation: Add basic IBRS support infrastructure
  (bsc#1068032 CVE-2017-5753).
- x86/mm: Only flush indirect branches when switching into non
  dumpable process (bsc#1068032 CVE-2017-5753).
- x86/speculation: Use Indirect Branch Prediction Barrier in
  context switch (bsc#1068032 CVE-2017-5753).
- x86/kvm: Add IBPB support (bsc#1068032 CVE-2017-5753).
- x86/speculation: Add basic IBPB (Indirect Branch Prediction
  Barrier) support (bsc#1068032 CVE-2017-5753).
- x86/cpufeature: Blacklist SPEC_CTRL on early Spectre v2
  microcodes (bsc#1068032 CVE-2017-5753).
- x86/pti: Do not enable PTI on processors which are not
  vulnerable to Meltdown (bsc#1068032 CVE-2017-5753).
- x86/msr: Add definitions for new speculation control MSRs
  (bsc#1068032 CVE-2017-5753).
- x86/cpufeatures: Add AMD feature bits for Speculation Control
  (bsc#1068032 CVE-2017-5753).
- x86/cpufeatures: Add Intel feature bits for Speculation Control
  (bsc#1068032 CVE-2017-5753).
- x86/cpufeatures: Add CPUID_7_EDX CPUID leaf (bsc#1068032
  CVE-2017-5753).
- x86/retpoline: Optimize inline assembler for vmexit_fill_RSB
  (bsc#1068032 CVE-2017-5753).
- x86/retpoline: Fill RSB on context switch for affected CPUs
  (bsc#1068032 CVE-2017-5753).
- commit e36ab4f
* Wed Jan 24 2018 jslaby@suse.cz
- Documentation: document array_ptr (bsc#1068032 CVE-2017-5715).
- asm/nospec, array_ptr: sanitize speculative array de-references
  (bsc#1068032 CVE-2017-5715).
- x86: implement array_ptr_mask() (bsc#1068032 CVE-2017-5715).
- x86: introduce __uaccess_begin_nospec and ifence (bsc#1068032
  CVE-2017-5715).
- x86, __get_user: use __uaccess_begin_nospec (bsc#1068032
  CVE-2017-5715).
- x86, get_user: use pointer masking to limit speculation
  (bsc#1068032 CVE-2017-5715).
- x86: narrow out of bounds syscalls to sys_read under speculation
  (bsc#1068032 CVE-2017-5715).
- vfs, fdtable: prevent bounds-check bypass via speculative
  execution (bsc#1068032 CVE-2017-5715).
- kvm, x86: update spectre-v1 mitigation (bsc#1068032
  CVE-2017-5715).
- nl80211: sanitize array index in parse_txq_params (bsc#1068032
  CVE-2017-5715).
- Delete
  patches.suse/0003-locking-barriers-introduce-new-observable-speculatio.patch.
- Delete
  patches.suse/0004-bpf-prevent-speculative-execution-in-eBPF-interprete.patch.
- Delete
  patches.suse/0005-x86-bpf-jit-prevent-speculative-execution-when-JIT-i.patch.
- Delete
  patches.suse/0006-uvcvideo-prevent-speculative-execution.patch.
- Delete
  patches.suse/0007-carl9170-prevent-speculative-execution.patch.
- Delete
  patches.suse/0008-p54-prevent-speculative-execution.patch.
- Delete
  patches.suse/0009-qla2xxx-prevent-speculative-execution.patch.
- Delete
  patches.suse/0010-cw1200-prevent-speculative-execution.patch.
- Delete
  patches.suse/0011-Thermal-int340x-prevent-speculative-execution.patch.
- Delete
  patches.suse/0012-ipv4-prevent-speculative-execution.patch.
- Delete
  patches.suse/0013-ipv6-prevent-speculative-execution.patch.
- Delete patches.suse/0014-fs-prevent-speculative-execution.patch.
- Delete
  patches.suse/0015-net-mpls-prevent-speculative-execution.patch.
- Delete
  patches.suse/0016-udf-prevent-speculative-execution.patch.
- Delete
  patches.suse/0017-userns-prevent-speculative-execution.patch.
  Replace by the potential upstream solution.
- commit 804f8a1
* Mon Jan 22 2018 msuchanek@suse.de
- rpm/mkspec-dtb: Remove COPYING file (bsc#1076905).
  It conflicts between different versions of dtb package.
- commit 0e5fcf9
* Thu Jan 18 2018 jslaby@suse.cz
- Update config files (bsc#1068032 CVE-2017-5715).
  Enable RETPOLINE -- the compiler is capable of them already.
- commit 5d5345e
* Wed Jan 17 2018 rjschwei@suse.com
- kernel-obs-build.spec.in: enable xfs module
  This allows the public cloud team to build images with XFS
  as root filesystem
- commit 95a2d6f
* Wed Jan 17 2018 msuchanek@suse.de
- macros.kernel-source: pass -f properly in module subpackage (boo#1076393).
- commit 66bd9b8
* Mon Jan 15 2018 jeffm@suse.com
- Update to 4.15-rc8.
- Eliminated 3 patches.
- Config changes:
  - Security:
  - BPF_JIT_ALWAYS_ON=y
  - RETPOLINE=n (depends on gcc with -mindirect-branch=thunk-extern)
- commit 05e4405
* Fri Jan 12 2018 jslaby@suse.cz
- bpf, array: fix overflow in max_entries and undefined behavior
  in index_mask (bsc#1068032 CVE-2017-5753).
- commit 5fdfc1a
* Fri Jan 12 2018 jslaby@suse.cz
- bpf: prevent out-of-bounds speculation (bsc#1068032
  CVE-2017-5753).
- commit 0eca303
* Thu Jan 11 2018 matwey.kornilov@gmail.com
- config: arm64: Enable Aardvark PCIe controller
  Aardvark PCIe controller is a part of Marvel Armada 3700 SoC.
  This option is required to support PCIe for JeOS-espressobin.
- commit b0bb655
* Thu Jan 11 2018 lpechacek@suse.com
- rpm/kernel-binary.spec.in: more specific kGraft Provides: (fate#323682)
  Follow openSUSE packaging practices described at
  https://en.opensuse.org/openSUSE:Package_dependencies#Renaming_a_package.
- commit 050081b
* Wed Jan 10 2018 jslaby@suse.cz
- x86/cpu/AMD: Make LFENCE a serializing instruction (bsc#1068032
  CVE-2017-5754).
- x86/cpu/AMD: Use LFENCE_RDTSC in preference to MFENCE_RDTSC
  (bsc#1068032 CVE-2017-5754).
- Delete
  patches.suse/0001-x86-cpu-AMD-Make-the-LFENCE-instruction-serialized.patch.
- Delete
  patches.suse/0002-x86-cpu-AMD-Remove-now-unused-definition-of-MFENCE_R.patch.
  Use the variants from upstream (tip tree).
- commit 33b16eb
* Mon Jan  8 2018 msuchanek@suse.de
- kernel-obs-build.spec.in: add --no-hostonly-cmdline to dracut invocation (boo#1062303).
  call dracut with --no-hostonly-cmdline to avoid the random rootfs UUID
  being added into the initrd's /etc/cmdline.d/95root-dev.conf
- commit da5186f
* Mon Jan  8 2018 jeffm@suse.com
- Update to 4.15-rc7.
- Eliminated 1 patch.
- commit b07c570
* Sat Jan  6 2018 jslaby@suse.cz
- rpm/constraints.in: lower kernel-syzkaller's mem requirements
  OBS now reports that it needs only around 2G, so lower the limit to
  8G, so that more compliant workers can be used.
- commit a73399a
* Wed Jan  3 2018 jeffm@suse.com
- config: x86, PAGE_TABLE_ISOLATION=y (bsc#1068032).
- commit 4343d87
* Tue Jan  2 2018 jslaby@suse.cz
- userns: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- udf: prevent speculative execution (bnc#1068032 CVE-2017-5753).
- net: mpls: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- fs: prevent speculative execution (bnc#1068032 CVE-2017-5753).
- ipv6: prevent speculative execution (bnc#1068032 CVE-2017-5753).
- ipv4: prevent speculative execution (bnc#1068032 CVE-2017-5753).
- Thermal/int340x: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- cw1200: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- qla2xxx: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- p54: prevent speculative execution (bnc#1068032 CVE-2017-5753).
- carl9170: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- uvcvideo: prevent speculative execution (bnc#1068032
  CVE-2017-5753).
- x86, bpf, jit: prevent speculative execution when JIT is enabled
  (bnc#1068032 CVE-2017-5753).
- bpf: prevent speculative execution in eBPF interpreter
  (bnc#1068032 CVE-2017-5753).
- locking/barriers: introduce new observable speculation barrier
  (bnc#1068032 CVE-2017-5753).
- x86/cpu/AMD: Remove now unused definition of MFENCE_RDTSC
  feature (bnc#1068032 CVE-2017-5753).
- x86/cpu/AMD: Make the LFENCE instruction serialized (bnc#1068032
  CVE-2017-5753).
- commit ee4aa62
* Tue Jan  2 2018 jeffm@suse.com
- Update to 4.15-rc6.
- Config changes:
  - x86: PAGE_TABLE_ISOLATION=n (default, performance)
- commit cd70bd8
* Mon Dec 25 2017 jeffm@suse.com
- config: disable BUG_ON_DATA_CORRUPTION
  On its face this option makes sense but it brings along with it
  DEBUG_LIST, which is very expensive and obvious on benchmarks.
- commit 9fcc9f1
* Mon Dec 25 2017 jeffm@suse.com
- config: refresh i386/default
  Commit 4735d41aeeb added a disabled CONFIG_SPI_INTEL_SPI_PLATFORM option
  that doesn't exist on i386/default (at least in 4.15-rc5).
- commit 84167ae
* Sun Dec 24 2017 jeffm@suse.com
- Update to 4.15-rc5.
- Config changes:
  - i386: NR_CPUS 128->64
  - 7bbcbd3d1cd (x86/Kconfig: Limit NR_CPUS on 32-bit to a sane amount)
- commit 9e8deb3
* Thu Dec 21 2017 msuchanek@suse.de
- kernel-obs-build: use pae and lpae kernels where available
  (bsc#1073579).
- commit 1ac1946
* Thu Dec 21 2017 tiwai@suse.de
- Disable CONFIG_SPI_INTEL_SPI_PCI as well (bsc#1073836)
- commit ddb33b2
* Thu Dec 21 2017 tiwai@suse.de
- Disable CONFIG_SPI_INTEL_SPI_PLATFORM for BIOS breakge on Lenovo laptops
  (bsc#1073836)
- commit 4735d41
* Tue Dec 19 2017 jeffm@suse.com
- Update to 4.15-rc4.
- Eliminated 1 patch.
- Config changes:
  - ARM:
  - QCOM_FALKOR_ERRATUM_E1041=y
  - Overlayfs:
  - OVERLAY_FS_REDIRECT_ALWAYS_FOLLOW=y (preserves existing behavior)
- commit ff8819c
* Fri Dec 15 2017 jslaby@suse.cz
- x86/stacktrace: make clear the success paths (bnc#1058115).
- Refresh
  patches.suse/0003-x86-stacktrace-remove-STACKTRACE_DUMP_ONCE-from-__sa.patch.
- Refresh
  patches.suse/0004-x86-stacktrace-do-not-fail-for-ORC-with-regs-on-stac.patch.
- Delete
  patches.suse/0002-x86-stacktrace-remove-unwind_state-error.patch.
  Fix livepatch to succeed also for kthreads and idle tasks.
- commit 5292470
* Wed Dec 13 2017 msuchanek@suse.de
- s390/sclp: disable FORTIFY_SOURCE for early sclp code (-).
- commit 62412b6
* Mon Dec 11 2017 jeffm@suse.com
- Update to 4.15-rc3.
- Eliminated 1 patch.
- commit 383d72f
* Sat Dec  9 2017 afaerber@suse.de
- config: armv7hl: Enable SUN4I_A10_CCU for Allwinner A20 (boo#1072032)
- commit 170d177
* Fri Dec  8 2017 msuchanek@suse.de
- Add undefine _unique_build_ids (bsc#964063)
- commit 47e91a1
* Tue Dec  5 2017 jslaby@suse.cz
- x86/stacktrace: do now unwind after user regs (bnc#1058115).
- x86/stacktrace: remove unwind_state->error (bnc#1058115).
- x86/stacktrace: remove STACKTRACE_DUMP_ONCE from
  __save_stack_trace_reliable (bnc#1058115).
- x86/stacktrace: do not fail for ORC with regs on stack
  (bnc#1058115).
  More make-ORC-reliable patches.
- commit ef715eb
* Mon Dec  4 2017 jeffm@suse.com
- Update to 4.15-rc2.
- Eliminated 2 patches.
- commit 68549b6
* Thu Nov 30 2017 jslaby@suse.cz
- Refresh
  patches.suse/apparmor-fix-oops-in-audit_signal_cb-hook.patch.
  Update upstream status.
- commit ee861fd
* Thu Nov 30 2017 jslaby@suse.cz
- mmc: sdhci: Avoid swiotlb buffer being full (bnc#1068877).
- commit 2659efd
* Wed Nov 29 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: fix incorrectly moved comment
  While moving # END COMMON DEPS moved following comment with it.
- commit 858b7e7
* Tue Nov 28 2017 afaerber@suse.de
- config: armv7hl: Update to 4.15-rc1
- commit b4c7f19
* Tue Nov 28 2017 afaerber@suse.de
- config: armv6hl: Update to 4.15-rc1
- commit edcdf48
* Tue Nov 28 2017 afaerber@suse.de
- config: arm64: Update to 4.15-rc1
- commit 3278861
* Mon Nov 27 2017 jeffm@suse.com
- Update to 4.15-rc1.
- Eliminated 74 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - CPU_ISOLATION=y
  - GUP_BENCHMARK=n
  - x86:
  - X86_INTEL_UMIP=y
  - PINCTRL_CEDARFORK=m
  - INTEL_SOC_PMIC_CHTDC_TI=m
  - INTEL_WMI_THUNDERBOLT=m
  - DELL_SMBIOS_WMI=m
  - DELL_SMBIOS_SMM=m
  - CHT_DC_TI_PMIC_OPREGION=y
  - RPMSG_CHAR=m
  - i386:
  - IR_SPI=m
  - IR_GPIO_CIR=m
  - IR_GPIO_TX=m
  - IR_PWM_TX=m
  - powerpc:
  - PPC_RADIX_MMU_DEFAULT=y (default)
  - MEM_SOFT_DIRTY=n (needs arch expert review)
  - PINCTRL=n
  - PPC_FAST_ENDIAN_SWITCH=n (default)
  - s390:
  - GCC_PLUGINS=n
  - MEM_SOFT_DIRTY=(needs arch expert review)
  - PINCTRL=n
  - FORTIFY_SOURCE=y
  - s390/zfcpdump:
  - BPF_STREAM_PARSER=n
  - MTD=n
  - Network:
  - NET_SCH_CBS=m
  - VSOCKETS_DIAG=m
  - DP83822_PHY=m
  - RENESAS_PHY=m
  - THUNDERBOLT_NET=m
  - Input:
  - TOUCHSCREEN_EXC3000=m
  - TOUCHSCREEN_HIDEEP=m
  - TOUCHSCREEN_S6SY761=m
  - DRM_I2C_ADV7511_CEC=y
  - Misc:
  - IPMI_PROC_INTERFACE=y
  - GPIO_MAX3191X=m
  - MANAGER_SBS=m
  - W1_SLAVE_DS28E17=m
  - SENSORS_MAX6621=m
  - SENSORS_MAX31785=m
  - CEC_GPIO=m
  - TYPEC_TPS6598X=m
  - RPMSG_VIRTIO=m
  - IIO_CROS_EC_ACCEL_LEGACY=m
  - RFD77402=m
  - NTB_SWITCHTEC=m
  - MMC_SDHCI_OMAP=m
  - Filesystems:
  - XFS_ONLINE_SCRUB=n (still experimental)
  - BTRFS_FS_REF_VERIFY=n
  - CRAMFS_BLOCKDEV=y
  - CRAMFS_MTD=y
  - INTEGRITY_TRUSTED_KEYRING=y
  - Crypto:
  - CRYPTO_SM3=m
  - SIGNED_PE_FILE_VERIFICATION=y
  - SYSTEM_TRUSTED_KEYS (empty)
  - SYSTEM_EXTRA_CERTIFICATE=n
  - SECONDARY_TRUSTED_KEYRING=n
  - LEDS:
  - LEDS_APU=m
  - LEDS_TRIGGER_ACTIVITY=m
  - RTC:
  - RTC_DRV_PCF85363=m
  - Xen:
  - XEN_PVCALLS_FRONTEND=n
  - Graphics:
  - DRM_AMD_DC=y
  - DRM_AMD_DC_PRE_VEGA=y
  - DRM_AMD_DC_FBC=y ?
  - DRM_AMD_DC_DCN1_0=y
  - DEBUG_KERNEL_DC=n
  - NOUVEAU_DEBUG_MMU=n
  - Storage:
  - NVME_MULTIPATH=y
  - IB:
  - MLX4_CORE_GEN2=y
  - Sound:
  - SND_SOC_INTEL_SST_TOPLEVEL=m
  - SND_SOC_INTEL_BAYTRAIL=m
  - Testing:
  - KCOV_ENABLE_COMPARISONS=y (syzkaller)
  - BOOTPARAM_LOCKDEP_CROSSRELEASE_FULLSTACK=n
  - PREEMPTIRQ_EVENTS=y
  - TEST_FIND_BIT=n
  - PKCS7_TEST_KEY=n
  - CHASH_SELFTEST=n
  - CHASH_STATS=n
- commit bc47c49
* Sun Nov 26 2017 afaerber@suse.de
- config: armv6hl: Enable 8250 irq sharing for RPi Zero W (boo#1069828)
- commit 01942c4
* Sat Nov 25 2017 afaerber@suse.de
- config: armv6hl: Enable brcmfmac for RPi Zero W (boo#1069830)
- commit 56423d9
* Sat Nov 25 2017 afaerber@suse.de
- config: armv6hl: Enable 8250 serial console for RPi Zero W (boo#1069828)
- commit 3a3001a
* Fri Nov 24 2017 bp@suse.de
- dvb_frontend: don't use-after-free the frontend struct
  (bsc#1067087 CVE-2017-16648).
- media: dvb-core: always call invoke_release() in fe_free()
  (bsc#1067087).
- commit 2a04ad0
* Fri Nov 24 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Correct supplements for recent SLE products (bsc#1067494)
- commit 8f05b9f
* Fri Nov 24 2017 jbeulich@suse.com
- supported:conf: Remove stale Xen driver entries.
- commit c46464b
* Fri Nov 24 2017 jslaby@suse.cz
- ipmi_si: fix memory leak on new_smi (git-fixes).
- commit 4ca3b35
* Fri Nov 24 2017 jslaby@suse.cz
- Linux 4.14.2 (bnc#1012628).
- af_netlink: ensure that NLMSG_DONE never fails in dumps
  (bnc#1012628).
- vxlan: fix the issue that neigh proxy blocks all icmpv6 packets
  (bnc#1012628).
- net: cdc_ncm: GetNtbFormat endian fix (bnc#1012628).
- fealnx: Fix building error on MIPS (bnc#1012628).
- net/sctp: Always set scope_id in sctp_inet6_skb_msgname
  (bnc#1012628).
- ima: do not update security.ima if appraisal status is not
  INTEGRITY_PASS (bnc#1012628).
- serial: omap: Fix EFR write on RTS deassertion (bnc#1012628).
- serial: 8250_fintek: Fix finding base_port with activated
  SuperIO (bnc#1012628).
- tpm-dev-common: Reject too short writes (bnc#1012628).
- rcu: Fix up pending cbs check in rcu_prepare_for_idle
  (bnc#1012628).
- mm/pagewalk.c: report holes in hugetlb ranges (bnc#1012628).
- ocfs2: fix cluster hang after a node dies (bnc#1012628).
- ocfs2: should wait dio before inode lock in ocfs2_setattr()
  (bnc#1012628).
- ipmi: fix unsigned long underflow (bnc#1012628).
- mm/page_alloc.c: broken deferred calculation (bnc#1012628).
- mm/page_ext.c: check if page_ext is not prepared (bnc#1012628).
- coda: fix 'kernel memory exposure attempt' in fsync
  (bnc#1012628).
- ipmi: Prefer ACPI system interfaces over SMBIOS ones
  (bnc#1012628).
- commit 295c90a
* Thu Nov 23 2017 jslaby@suse.cz
- apparmor: fix oops in audit_signal_cb hook (bnc#1069562).
- Refresh patches.suse/0001-AppArmor-basic-networking-rules.patch.
- commit d091ad8
* Thu Nov 23 2017 jslaby@suse.cz
- bio: ensure __bio_clone_fast copies bi_partno (bnc#1069605).
- commit 59c6ade
* Tue Nov 21 2017 jslaby@suse.cz
- Update config files.
  After renaming the UNWINDER config options, vanilla has the old names
  and they need to be in configs. For example, x86_64 default config
  has CONFIG_UNWINDER_ORC=y, vanilla has CONFIG_ORC_UNWINDER=y.
- commit d0dab46
* Tue Nov 21 2017 jslaby@suse.cz
- objtool: Print top level commands on incorrect usage
  (bnc#1058115).
- commit 6603336
* Tue Nov 21 2017 jslaby@suse.cz
- x86/unwind: Make CONFIG_UNWINDER_ORC=y the default in kconfig
  for 64-bit (bnc#1058115).
- Update config files.
- x86/unwind: Rename unwinder config options to
  'CONFIG_UNWINDER_*' (bnc#1058115).
- Refresh patches.suse/0001-orc-mark-it-as-reliable.patch.
- Update config files.
- x86/unwinder: Make CONFIG_UNWINDER_ORC=y the default in the
  64-bit defconfig (bnc#1058115).
- commit c81ce89
* Tue Nov 21 2017 jslaby@suse.cz
- x86/stacktrace: Avoid recording save_stack_trace() wrappers
  (bnc#1058115).
- commit fa72e96
* Tue Nov 21 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-objtool-Don-t-report-end-of-section-error-after-an-e.patch.
- Refresh
  patches.suse/0002-x86-head-Remove-confusing-comment.patch.
- Refresh
  patches.suse/0003-x86-head-Remove-unused-bad_address-code.patch.
- Refresh
  patches.suse/0004-x86-head-Fix-head-ELF-function-annotations.patch.
- Refresh
  patches.suse/0005-x86-boot-Annotate-verify_cpu-as-a-callable-function.patch.
- Refresh
  patches.suse/0006-x86-xen-Fix-xen-head-ELF-annotations.patch.
- Refresh
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-head-Add-unwind-hint-annotations.patch.
  Update upstream status.
- commit f655f80
* Tue Nov 21 2017 jslaby@suse.cz
- move all patches to patches.suse/
- commit 6fafae6
* Tue Nov 21 2017 jslaby@suse.cz
- Linux 4.14.1 (bnc#1012628).
- EDAC, sb_edac: Don't create a second memory controller if HA1
  is not present (bnc#1012628).
- dmaengine: dmatest: warn user when dma test times out
  (bnc#1012628).
- crypto: dh - Fix double free of ctx->p (bnc#1012628).
- crypto: dh - Don't permit 'p' to be 0 (bnc#1012628).
- crypto: dh - Don't permit 'key' or 'g' size longer than 'p'
  (bnc#1012628).
- crypto: brcm - Explicity ACK mailbox message (bnc#1012628).
- USB: early: Use new USB product ID and strings for DbC device
  (bnc#1012628).
- USB: usbfs: compute urb->actual_length for isochronous
  (bnc#1012628).
- USB: Add delay-init quirk for Corsair K70 LUX keyboards
  (bnc#1012628).
- usb: gadget: f_fs: Fix use-after-free in ffs_free_inst
  (bnc#1012628).
- USB: serial: metro-usb: stop I/O after failed open
  (bnc#1012628).
- USB: serial: Change DbC debug device binding ID (bnc#1012628).
- USB: serial: qcserial: add pid/vid for Sierra Wireless EM7355
  fw update (bnc#1012628).
- USB: serial: garmin_gps: fix I/O after failed probe and remove
  (bnc#1012628).
- USB: serial: garmin_gps: fix memory leak on probe errors
  (bnc#1012628).
- selftests/x86/protection_keys: Fix syscall NR redefinition
  warnings (bnc#1012628).
- x86/MCE/AMD: Always give panic severity for UC errors in kernel
  context (bnc#1012628).
- platform/x86: peaq-wmi: Add DMI check before binding to the
  WMI interface (bnc#1012628 bsc#1059807).
- platform/x86: peaq_wmi: Fix missing terminating entry for
  peaq_dmi_table (bnc#1012628).
- HID: cp2112: add HIDRAW dependency (bnc#1012628).
- HID: wacom: generic: Recognize WACOM_HID_WD_PEN as a type of
  pen collection (bnc#1012628).
- rpmsg: glink: Add missing MODULE_LICENSE (bnc#1012628).
- staging: wilc1000: Fix bssid buffer offset in Txq (bnc#1012628).
- staging: sm750fb: Fix parameter mistake in poke32 (bnc#1012628).
- staging: ccree: fix 64 bit scatter/gather DMA ops (bnc#1012628).
- staging: greybus: spilib: fix use-after-free after
  deregistration (bnc#1012628).
- staging: vboxvideo: Fix reporting invalid
  suggested-offset-properties (bnc#1012628).
- staging: rtl8188eu: Revert 4 commits breaking ARP (bnc#1012628).
- spi: fix use-after-free at controller deregistration
  (bnc#1012628).
- sparc32: Add cmpxchg64() (bnc#1012628).
- sparc64: mmu_context: Add missing include files (bnc#1012628).
- sparc64: Fix page table walk for PUD hugepages (bnc#1012628).
- commit b1ba0c0
* Wed Nov 15 2017 rgoldwyn@suse.com
- apparmor: Fix quieting of audit messages for network mediation
  (FATE#300516, boo#1065536).
- apparmor: update apparmor-basic-networking-rules for 4.11-rc1
  (FATE#300516, boo#1065536).
- AppArmor: basic networking rules (FATE#300516, boo#1065536).
- commit fca1de8
* Wed Nov 15 2017 rgoldwyn@suse.com
- VFS: Handle lazytime in do_mount() (boo#1068256).
- commit 0f12060
* Mon Nov 13 2017 jeffm@suse.com
- Update to 4.14-final.
- commit c152297
* Thu Nov  9 2017 lpechacek@suse.com
- rpm/kernel-binary.spec.in: rename kGraft to KLP (fate#323682)
- commit 0ed191d
* Wed Nov  8 2017 tiwai@suse.de
- media: dib0700: fix invalid dvb_detach argument (CVE-2017-16646
  bsc#1067105).
- commit c6cd519
* Mon Nov  6 2017 jeffm@suse.com
- Update to 4.14-rc8.
- commit 0fbdeee
* Mon Nov  6 2017 tiwai@suse.de
- media: imon: Fix null-ptr-deref in imon_probe (CVE-2017-16537
  bsc#1066573).
- [media] cx231xx-cards: fix NULL-deref on missing association
  descriptor (CVE-2017-16536 bsc#1066606).
- commit 0cd38c2
* Mon Nov  6 2017 jkosina@suse.cz
- rpm/kernel-binary.spec.in: add explicit dependency of kernel-*-devel on
  libelf-devel.
  Otherwise warning that got turned into error by upstream 3dd40cb3 ("objtool:
  Upgrade libelf-devel warning to error...") would trigger and cause any
  packages being built against kernel-*-devel (such as KMPs, crash) not to have
  the libelf dependency included, and fail to build.
- rpm/kernel-binary.spec.in: add explicit dependency of kernel-*-devel on
  libelf-devel. Otherwise warning that got turned into error by e683952999
  ("objtool: Upgrade libelf-devel warning to error...") would trigger and
  cause any packages being built against kernel-*-devel (such as KMPs,
  crash) not to have the libelf dependency included, and fail to build.
- commit f6c0f80
* Mon Oct 30 2017 neilb@suse.com
- REVERT:  md/bitmap: copy correct data for bitmap super
  (bsc#1062597).
- commit 9382440
* Mon Oct 30 2017 jeffm@suse.com
- Update to 4.14-rc7.
- commit dbf3e9b
* Fri Oct 27 2017 jslaby@suse.cz
- futex: futex_wake_op, fix sign_extend32 sign bits (bnc#1064590).
- commit a6d946f
* Thu Oct 26 2017 neilb@suse.com
- VFS: expedite unmount (bsc#1024412).
- commit 10c4365
* Mon Oct 23 2017 jeffm@suse.com
- Update to 4.14-rc6.
- Eliminated 2 patches.
- commit 8b364ca
* Wed Oct 18 2017 mcgrof@suse.com
- mac80211: accept key reinstall without changing anything (CVE-2017-13080 bsc#1063667).
- commit 19d19fc
* Mon Oct 16 2017 jeffm@suse.com
- Update to 4.14-rc5.
- commit 39eecab
* Fri Oct 13 2017 msuchanek@suse.de
- Revert "rpm/constraints.in: Lower default disk space requirement from 25G to 24G"
  This reverts commit 406abda1467c038842febffe264faae1fa2e3c1d.
  ok, did not wait long enough to see the failure.
- commit ed99981
* Fri Oct 13 2017 msuchanek@suse.de
- rpm/constraints.in: Lower default disk space requirement from 25G to 24G
  25G is rejected by the build service on ARM.
- commit 406abda
* Mon Oct  9 2017 jeffm@suse.com
- Update to 4.14-rc4.
- commit 879f297
* Fri Oct  6 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: add the kernel-binary dependencies to
  kernel-binary-base (bsc#1060333).
- commit 955681c
* Fri Oct  6 2017 pmladek@suse.com
- Delete
  patches.suse/ftrace-x86-xen-use-kernel-identity-mapping-only-when.patch.
  The change is not longer needed with PVOPS Xen (bsc#873195).
- commit 8366b6a
* Thu Oct  5 2017 jeffm@suse.com
- Delete patches.rpmify/cloneconfig.diff.
- commit 437d08e
* Thu Oct  5 2017 jeffm@suse.com
- Only use patches.suse for patches.
  This eliminates patches.arch, patches.drivers, and patches.fixes, and moves
  the patches contained in them to patches.suse.
  Also update feedback for Patch-mainline tags.
- commit 343996e
* Wed Oct  4 2017 jeffm@suse.com
- Delete patches.suse/suse-hv-storvsc-sg_tablesize.patch.
  Per Olaf Hering, this is no longer needed.
- commit 83b19a6
* Wed Oct  4 2017 jslaby@suse.cz
- orc: mark it as reliable (bnc#1058115).
- Update config files.
- commit 3c7d429
* Wed Oct  4 2017 hare@suse.de
- Delete patches.fixes/sd_liberal_28_sense_invalid.diff.
- Delete patches.suse/dm-emulate-blkrrpart-ioctl.
- Delete patches.suse/scsi-netlink-ml.
- commit b8f0083
* Wed Oct  4 2017 agraf@suse.de
- Delete patches.arch/arm-OMAP-Fix-missing-usb.h-include.patch.
  (no longer needed)
- Delete patches.arch/arm-arndale-usb.patch. (no longer needed)
- Delete
  patches.arch/arm64-0006-arm64-Select-reboot-driver-for-X-Gene-platform.patch.
  (not needed, our config already includes the driver)
- Delete patches.arch/ppc64le-build-vmlinux.patch. (no longer needed)
- commit 2b9d327
* Tue Oct  3 2017 jeffm@suse.com
- Disable patches.suse/binutils2_26.patch for testing.
  The issue addressed by this patch should be handled via upstream
  commit 6d92bc9d483 (x86/build: Build compressed x86 kernels as PIE).
- commit f27997b
* Tue Oct  3 2017 neilb@suse.com
- Delete
  patches.fixes/0001-Revert-SUNRPC-xs_sock_mark_closed-does-not-need-to-t.patch.
  Not needed, bug was fixed some other way since that patch
  was created.
- commit d55ee70
* Tue Oct  3 2017 mgorman@suse.de
- Delete patches.suse/connector-read-mostly.
- commit 8ae100a
* Tue Oct  3 2017 jeffm@suse.com
- series.conf: remove commented out lines for removed patches
- commit 7ea9bcc
* Tue Oct  3 2017 jeffm@suse.com
- Delete patches.arch/arm-refresh-mach-types.diff.
  It was marked for refresh in 12/2016 and hasn't been updated.
- commit 8e357d7
* Mon Oct  2 2017 jeffm@suse.com
- Remove s390 message catalog patches.
- Delete patches.arch/kmsg-fix-parameter-limitations.
- Delete patches.arch/s390-message-catalog.diff.
- commit 865e88d
* Mon Oct  2 2017 jeffm@suse.com
- Refresh patches.suse/dm-mpath-accept-failed-paths.
- commit 04a0a7a
* Mon Oct  2 2017 jeffm@suse.com
- Moved powerpc-Blacklist-GCC-5.4-6.1-and-6.2.patch to patches.rpmify.
  It's a compiler blacklist addition and should be applied to vanilla too.
- commit e34eae8
* Mon Oct  2 2017 jeffm@suse.com
- Update to 4.14-rc3.
- Eliminated 2 patches.
- Config changes:
  - Crypto:
  - Crypto changes brought by Kconfig changes:
  - CONFIG_CRYPTO_GHASH=y (Kconfig dependency change)
  - CONFIG_CRYPTO_GCM=y (Kconfig dependency change)
  - armv7hl:
  - DRM_SUN4I_HDMI_CEC=y
  - CONFIG_CEC_PIN=y (dependency)
  - s390x/zfcpdump:
  - Crypto changes brought by Kconfig changes, consistent with other configs:
  - CRYPTO_MANAGER_DISABLE_TESTS=n
  - CRYPTO_DRBG_HASH=y
  - CRYPTO_DRBG_CTR=y
  - Lots of dependencies
- commit 37f329b
* Mon Oct  2 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-objtool-Don-t-report-end-of-section-error-after-an-e.patch.
- Refresh
  patches.suse/0002-x86-head-Remove-confusing-comment.patch.
- Refresh
  patches.suse/0003-x86-head-Remove-unused-bad_address-code.patch.
- Refresh
  patches.suse/0004-x86-head-Fix-head-ELF-function-annotations.patch.
- Refresh
  patches.suse/0005-x86-boot-Annotate-verify_cpu-as-a-callable-function.patch.
- Refresh
  patches.suse/0006-x86-xen-Fix-xen-head-ELF-annotations.patch.
- Refresh
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-head-Add-unwind-hint-annotations.patch.
- Delete
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
  Update upstream status and drop the dwarf remainder.
- commit 8d5b116
* Thu Sep 28 2017 jeffm@suse.com
- Update to 4.14-rc2.
- Eliminated 21 patches.
- commit b61ed0c
* Mon Sep 25 2017 jslaby@suse.cz
- x86/asm: Fix inline asm call constraints for Clang
  (bnc#1058115).
- objtool: Handle another GCC stack pointer adjustment bug
  (bnc#1058115).
- commit 7544781
* Sun Sep 24 2017 msuchanek@suse.de
- rpm/kernel-binary.spec.in: only rewrite modules.dep if non-zero in size
  (bsc#1056979).
- commit 75691fd
* Fri Sep 22 2017 jslaby@suse.cz
- crypto: x86/blowfish - Fix RBP usage (bnc#1058115).
- crypto: x86/camellia - Fix RBP usage (bnc#1058115).
- crypto: x86/cast5 - Fix RBP usage (bnc#1058115).
- crypto: x86/cast6 - Fix RBP usage (bnc#1058115).
- crypto: x86/des3_ede - Fix RBP usage (bnc#1058115).
- crypto: x86/sha1-avx2 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha1-ssse3 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha256-avx - Fix RBP usage (bnc#1058115).
- crypto: x86/sha256-avx2 - Fix RBP usage (bnc#1058115).
- crypto: x86/sha256-ssse3 - Fix RBP usage (bnc#1058115).
- crypto: sha512-avx2 - Fix RBP usage (bnc#1058115).
- crypto: x86/twofish - Fix RBP usage (bnc#1058115).
  Update upstream status.
- commit 6627c5a
* Thu Sep 21 2017 jeffm@suse.com
- drm/tegra: trace: Fix path to include (build fix).
- commit aecd9be
* Wed Sep 20 2017 afaerber@suse.de
- config: armv7hl: Update to 4.14-rc1
- commit 9d284f8
* Wed Sep 20 2017 afaerber@suse.de
- config: armv6hl: Update to 4.14-rc1
- commit 0c2764f
* Wed Sep 20 2017 afaerber@suse.de
- config: arm64: Update to 4.14-rc1
- commit d6909a3
* Wed Sep 20 2017 jeffm@suse.com
- Revert "KVM: Don't accept obviously wrong gsi values via
  KVM_IRQFD" (build fix).
- commit f436aa0
* Wed Sep 20 2017 mcgrof@suse.com
- nl80211: check for the required netlink attributes presence
  (bsc#1058410 CVE-2017-12153).
- commit 6d93561
* Wed Sep 20 2017 lduncan@suse.com
- Fix incorrect backport of compatibility patch (bsc#1053501)
  This fixes commit fe56e414dcf9, which incorrectly placed
  the back-ported macros in libc-compat.h in the wrong place.
  It is important for __UAPI_DEF_IOVEC to be defined
  correctly with and without GLIBC being defined.
- commit 102e6e3
* Tue Sep 19 2017 jslaby@suse.cz
- objtool: Fix object file corruption (bnc#1058115).
- objtool: Do not retrieve data from empty sections (bnc#1058115).
- objtool: Fix memory leak in elf_create_rela_section()
  (bnc#1058115).
- commit 7fb990b
* Tue Sep 19 2017 jslaby@suse.cz
- x86/crypto: Fix RBP usage in twofish-avx-x86_64-asm_64.S
  (bnc#1058115).
- x86/crypto: Fix RBP usage in sha512-avx2-asm.S (bnc#1058115).
- x86/crypto: Fix RBP usage in sha256-ssse3-asm.S (bnc#1058115).
- x86/crypto: Fix RBP usage in sha256-avx2-asm.S (bnc#1058115).
- x86/crypto: Fix RBP usage in sha256-avx-asm.S (bnc#1058115).
- x86/crypto: Fix RBP usage in sha1_ssse3_asm.S (bnc#1058115).
- x86/crypto: Fix RBP usage in sha1_avx2_x86_64_asm.S
  (bnc#1058115).
- x86/crypto: Fix RBP usage in des3_ede-asm_64.S (bnc#1058115).
- x86/crypto: Fix RBP usage in cast6-avx-x86_64-asm_64.S
  (bnc#1058115).
- x86/crypto: Fix RBP usage in cast5-avx-x86_64-asm_64.S
  (bnc#1058115).
- x86/crypto: Fix RBP usage in camellia-x86_64-asm_64.S
  (bnc#1058115).
- x86/crypto: Fix RBP usage in blowfish-x86_64-asm_64.S
  (bnc#1058115).
- commit cb96cd5
* Tue Sep 19 2017 jeffm@suse.com
- Update to 4.14-rc1.
- Eliminated 17 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - HMM_MIRROR=n
  - DEVICE_PRIVATE=n
  - DEVICE_PUBLIC=n
  - SQUASHFS_ZSTD=y
  - ZRAM_WRITEBACK=y
  - x86:
  - INTEL_RDT=y (renamed option)
  - XEN_PVCALLS_BACKEND=y
  - X86_5LEVEL=n (will only boot on systems that support it)
  - AMD_MEM_ENCRYPT=y
  - AMD_MEM_ENCRYPT_ACTIVE_BY_DEFAULT=n
  - ppc:
  - PPC_MEMTRACE=y
  - PPC_VAS=y
  - s390:
  - CMA_DEBUG=n
  - CMA_DEBUGFS=n
  - CMA_AREAS=7 (default)
  - DMA_CMA=n
  - VMCP_CMA_SIZE=4 (default)
  - Netfilter:
  - NFT_FIB_NETDEV
  - Hyperv:
  - HYPERV_VSOCKETS
  - Network:
  - NET_NSH
  - BPF_STREAM_PARSER=y (build fix)
  - BNXT_FLOWER_OFFLOAD=y
  - HINIC
  - MLX5_MPFS=y
  - MLX5_ESWITCH=y
  - RMNET=n
  - ROCKCHIP_PHY
  - WIL6210_DEBUGFS=n
  - ATH10K_USB
  - Bluetooth:
  - BT_LEGACY_IOCTL=y (default)
  - SPI:
  - SPI_INTEL_SPI_PCI
  - Misc:
  - INPUT_PWM_VIBRA=m
  - SERIO_GPIO_PS2=m
  - PINCTRL_DENVERTON
  - PINCTRL_LEWISBURG
  - W1_SLAVE_DS2805
  - BATTERY_BQ27XXX_HDQ=m
  - BATTERY_MAX1721X
  - SENSORS_IBM_CFFPS
  - SENSORS_TPS53679
  - CLOCK_THERMAL=y
  - DEVFREQ_THERMAL=y
  - MFD_BD9571MWV=n
  - INTEL_SOC_PMIC_CHTWC=y
  - MFD_TPS68470=n
  - IR_GPIO_TX=n
  - IR_PWM_TX=n
  - DVB_DDBRIDGE
  - DVB_DDBRIDGE_MSIENABLE=n
  - TINYDRM_REPAPER=n
  - TINYDRM_ST7586=n
  - SND_SOC_CS43130=n
  - SND_SOC_WM8524=n
  - MMC_SPI
  - LEDS_AS3645A=n
  - LEDS_PCA955X_GPIO=y
  - INFINIBAND_EXP_USER_ACCESS=y [?]
  - CONFIG_ALTERA_MSGDMA
  - R8822BE
  - PI433=n
  - CLK_HSDK=n
  - EXTCON_USBC_CROS_EC
  - DLN2_ADC=m
  - LTC2471=n
  - CCS811=n
  - RESET_HSDK_V1=n
  - FPGA_MGR_ALTERA_CVP=m
  - FPGA_MGR_ALTERA_PS_SPI=m
  - CRYPTO_DEV_SP_CCP=y
  - I2C_CHT_WC=m
  - RESET_ATTACK_MITIGATION=y
- commit 08ca987
* Tue Sep 19 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-objtool-Don-t-report-end-of-section-error-after-an-e.patch.
- Refresh
  patches.suse/0002-x86-head-Remove-confusing-comment.patch.
- Refresh
  patches.suse/0003-x86-head-Remove-unused-bad_address-code.patch.
- Refresh
  patches.suse/0004-x86-head-Fix-head-ELF-function-annotations.patch.
- Refresh
  patches.suse/0005-x86-boot-Annotate-verify_cpu-as-a-callable-function.patch.
- Refresh
  patches.suse/0006-x86-xen-Fix-xen-head-ELF-annotations.patch.
- Refresh
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-head-Add-unwind-hint-annotations.patch.
- Delete
  patches.suse/0007-x86-xen-Add-unwind-hint-annotations-fix.patch.
  Update to the submitted v2.
- commit 27de3c0
* Sun Sep 17 2017 jdelvare@suse.de
- drm/amdgpu: revert tile table update for oland (boo#1027378,
  boo#1039806, bko#194761).
- Delete
  patches.fixes/drm-amdgpu-revert-update-tile-table-for-oland-hainan.patch.
- commit 51745cf
* Thu Sep 14 2017 jslaby@suse.cz
- Linux 4.13.2 (bnc#1012628 bsc#1055826).
- Delete
  patches.drivers/rt2800-fix-TX_PIN_CFG-setting-for-non-MT7620-chips.
- Delete
  patches.fixes/Bluetooth-validate-output-buffer-length-for-config-r.patch.
- commit 96d9efa
* Wed Sep 13 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix a thinko for xmlto buildreq condition
- commit 0ef59d3
* Wed Sep 13 2017 jslaby@suse.cz
- Bluetooth: validate output buffer length for config requests
  and responses (bnc#1057389 CVE-2017-1000251).
- commit c0b7e1f
* Tue Sep 12 2017 jslaby@suse.cz
- fix annotations of xen-head.S (bnc#1058115).
- commit d4c88a5
* Tue Sep 12 2017 msuchanek@suse.de
- rpm/kernel-docs.spec.in: make unpack scripts executable
- commit 1ba3766
* Tue Sep 12 2017 jslaby@suse.cz
- x86/head: Add unwind hint annotations (bnc#1058115).
- x86/xen: Add unwind hint annotations (bnc#1058115).
- x86/xen: Fix xen head ELF annotations (bnc#1058115).
- x86/boot: Annotate verify_cpu() as a callable function
  (bnc#1058115).
- x86/head: Fix head ELF function annotations (bnc#1058115).
- x86/head: Remove unused 'bad_address' code (bnc#1058115).
- x86/head: Remove confusing comment (bnc#1058115).
- objtool: Don't report end of section error after an empty
  unwind hint (bnc#1058115).
- commit 53af152
* Tue Sep 12 2017 jslaby@suse.cz
- objtool: Assume unannotated UD2 instructions are dead ends
  (bnc#1058115).
- objtool: Fix gcov check for older versions of GCC (bnc#1058115).
- objtool: Fix objtool fallthrough detection with function padding
  (bnc#1058115).
- objtool: Fix validate_branch() return codes (bnc#1058115).
- objtool: Handle GCC stack pointer adjustment bug (bnc#1058115).
- x86/asm: Add ASM_UNREACHABLE (bnc#1058115).
- x86/asm: Fix UNWIND_HINT_REGS macro for older binutils
  (bnc#1058115).
- x86/asm: Make objtool unreachable macros independent from GCC
  version (bnc#1058115).
- objtool: Skip unreachable warnings for 'alt' instructions
  (bnc#1058115).
- objtool: Track DRAP separately from callee-saved registers
  (bnc#1058115).
- Refresh patches.suse/0001-x86-unwind-Add-the-ORC-unwinder.patch.
  Take all ORC upstream patches. This will go to stable & SLE15 too.
- commit 831ca01
* Mon Sep 11 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- Refresh patches.suse/0001-x86-unwind-Add-the-ORC-unwinder.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
- Refresh
  patches.suse/0002-x86-kconfig-Make-it-easier-to-switch-to-the-new-ORC-.patch.
- Refresh
  patches.suse/0003-x86-dumpstack-Fix-occasionally-missing-registers.patch.
- Refresh
  patches.suse/0003-x86-kconfig-Consolidate-unwinders-into-multiple-choi.patch.
- Refresh
  patches.suse/0004-x86-dumpstack-Fix-interrupt-and-exception-stack-boun.patch.
- Refresh
  patches.suse/0005-objtool-Add-ORC-unwind-table-generation.patch.
- Refresh
  patches.suse/0006-objtool-x86-Add-facility-for-asm-code-to-provide-unw.patch.
- Refresh
  patches.suse/0007-x86-entry-64-Add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-asm-Add-unwind-hint-annotations-to-sync_core.patch.
- Delete
  patches.suse/0001-linkage-new-macros-for-assembler-symbols.patch.
- Delete
  patches.suse/0003-DWARF-EH-frame-based-stack-unwinding.patch.
- Delete patches.suse/stack-unwind-disable-kasan.patch.
  Update upstream status of ORC and drop already-disabled DWARF unwinder.
- commit 2e9b944
* Mon Sep 11 2017 jslaby@suse.cz
- rpm/constraints.in: build ARM on at least 2 cpus
- commit b7edeaf
* Mon Sep 11 2017 jslaby@suse.cz
- rpm/constraints.in: increase memory for kernel-syzkaller
  And see if it helps. If so, push it to packaging...
- commit 7193e65
* Sun Sep 10 2017 afaerber@suse.de
- config: arm64: Enable legacy instruction emulation (boo#1029158)
  Needed for execution of older e.g. ARMv6 code.
- commit a4e05e8
* Sun Sep 10 2017 afaerber@suse.de
- config: arm64: Enable ACPI_DOCK for consistency
- commit cec354f
* Sun Sep 10 2017 afaerber@suse.de
- config: arm64: Enable some network options
- Marvell Armada 7K/8K Ethernet driver
- Microchip ENC28J60 and related SPI Ethernet drivers
- Micrel KS8851 SPI Ethernet driver
- MMIO MDIO mux driver
- commit cf926f4
* Sun Sep 10 2017 jslaby@suse.cz
- Linux 4.13.1 (bnc#1012628).
- commit 8740849
* Fri Sep  8 2017 jslaby@suse.cz
- rpm/kernel-binary.spec.in: package ftrace-mod.o on arm64
  It is needed for building modules since 4.13:
  CC [M]  /suse/jslaby/a/aaa.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /suse/jslaby/a/aaa.mod.o
  LD [M]  /suse/jslaby/a/aaa.ko
  ld: cannot find ./arch/arm64/kernel/ftrace-mod.o: No such file or directory
  ...
- commit 07da115
* Thu Sep  7 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Expand kernel tree directly from sources (bsc#1057199)
- commit a61b4d9
* Wed Sep  6 2017 mcgrof@suse.com
- supported.conf: add test_syctl to new kselftests-kmp package FATE#323821
  As per FATE#323821 we will require new FATE requests per each
  new selftest driver. We don't want to support these module on
  production runs but we do want to support them for QA / testing
  uses. The compromise is to package them into its own package,
  this will be the kselftests-kmp package.
  Selftests can also be used as proof of concept vehicle for issues
  by customers or ourselves.
  Vanilla kernels do not get test_sysctl given that driver was
  using built-in defaults, this also means we cannot run sefltests
  on config/s390x/zfcpdump which does not enable modules.
  Likeweise, since we had to *change* the kernel for test_syctl, it
  it also means we can't test test_syctl with vanilla kernels. It
  should be possible with other selftests drivers if they are
  present in vanilla kernels though.
- commit ae8069f
* Wed Sep  6 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Re-add xmlto buildreq conditionally for SLE15 & co
- commit 259b49e
* Wed Sep  6 2017 mchandras@suse.de
- rpm/group-source-files.pl: Add arch/*/tools/* files to the devel package
  Commit b71c9ffb1405 ("powerpc: Add arch/powerpc/tools directory")
  introduced in v4.12-rc1 release, moved the scripts into the tools
  directory. However, this location is not considered for the kernel devel
  package and the following error occurs when building a kmp for powerpc
  make[2]: /usr/src/linux-4.12.9-1/arch/powerpc/tools/gcc-check-mprofile-kernel.sh: Command not found
- commit 5f1ff53
* Tue Sep  5 2017 jeffm@suse.com
- Update to 4.13-final.
- commit 3fdcb17
* Thu Aug 31 2017 tiwai@suse.de
- rt2800: fix TX_PIN_CFG setting for non MT7620 chips
  (bsc#1055826).
- commit 8116757
* Thu Aug 31 2017 jeffm@suse.com
- Update to 4.13-rc7.
- Eliminate 2 patches.
- commit dd00417
* Thu Aug 31 2017 jthumshirn@suse.de
- scsi: qla2xxx: Fix an integer overflow in sysfs code
  (bsc#1056588, CVE-2017-14051).
- commit aacb454
* Tue Aug 29 2017 tiwai@suse.de
- Update config files: enable CONFIG_SPI_PXA2XX for MacBook (bsc#1055817)
- commit 3ce18e9
* Mon Aug 28 2017 tiwai@suse.de
- rpm/kernel-binary.spec.in: Update drm-kmp obsolete for SLE12-SP3/Leap-42.3
- commit 77ccbd0
* Mon Aug 28 2017 tiwai@suse.de
- Refresh patch tags of patches.fixes/Input-ALPS-Fix-Alps-Touchpad-two-finger-scroll-does-
- commit 0b3ef4c
* Mon Aug 28 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Disable PDF build again
  ... due to the breakage with the recent TeXLive 2017.
  Also add the missing dependency on texlive-varwidth.
- commit 9f682b5
* Wed Aug 23 2017 tiwai@suse.de
- ALSA: hda - Add stereo mic quirk for Lenovo G50-70 (17aa:3978)
  (bsc#1020657).
- commit 3f6a0b2
* Tue Aug 22 2017 tiwai@suse.de
- ALSA: ice1712: Add support for STAudio ADCIII (bsc#1048934).
- commit 99a99ef
* Tue Aug 22 2017 tiwai@suse.de
- ALSA: hda - Implement mic-mute LED mode enum (bsc#1055013).
- commit a3c362f
* Mon Aug 21 2017 jeffm@suse.com
- Update to 4.13-rc6.
- commit ee50b89
* Fri Aug 18 2017 msuchanek@suse.de
- Do not ship firmware (bsc#1054239).
  Pull firmware from kernel-firmware instead.
- commit 0b0b5c9
* Thu Aug 17 2017 jeffm@suse.com
- supported.conf: clear mistaken external support flag for cifs.ko (bsc#1053802).
- commit 75e287e
* Thu Aug 17 2017 jeffm@suse.com
- supported.conf: mark reiserfs unsupported (FATE#323394).
  ReiserFS is not supported in SLE15.  ReiserFS file systems must be
  transferred or converted before installing.
- commit 8a547c5
* Thu Aug 17 2017 jeffm@suse.com
- Update to 4.13-rc5.
- commit c3fb699
* Tue Aug 15 2017 hare@suse.de
- Delete patches.fixes/scsi-dh-queuedata-accessors.
- commit ee998ab
* Tue Aug 15 2017 hare@suse.de
- Delete patches.suse/dm-mpath-detach-existing-hardware-handler.
- commit a8291cd
* Tue Aug 15 2017 hare@suse.de
- Delete patches.suse/no-partition-scan (FATE#323406)
- commit e1cccca
* Sat Aug 12 2017 lduncan@suse.com
- uapi: add a compatibility layer between linux/uio.h and glibc
  (bsc#1053501).
- commit fe56e41
* Thu Aug 10 2017 msuchanek@suse.de
- Refresh vanilla config.
- commit ae18928
* Thu Aug 10 2017 msuchanek@suse.de
- rpm/modules.fips include module list from dracut
- commit f70bab5
* Wed Aug  9 2017 ohering@suse.de
- Delete stale patches.fixes/scsi-ibmvscsi-module_alias.patch.
- Delete stale patches.suse/suse-ppc64-branding.
- commit 1c8934b
* Tue Aug  8 2017 jeffm@suse.com
- Update to 4.13-rc4.
- commit 94b098f
* Wed Aug  2 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix package list and enable building PDFs
  Finally it works!  Added some missing pieces (ImageMagick, some texlive
  subpkgs) in addition to use explicitly python3-Sphinx stuff.
- commit c117a0c
* Tue Aug  1 2017 agraf@suse.de
- Clean up upstreamed patches list. Annotate the remaining ones
  with their current status.
- Delete patches.arch/arm-exynos-dwmmc-modalias.patch.
- Delete
  patches.arch/arm64-Relocate-screen_info.lfb_base-on-PCI-BAR-alloc.patch.
- commit 3f654d5
* Mon Jul 31 2017 jeffm@suse.com
- Update to 4.13-rc3.
- commit 4ef483a
* Thu Jul 27 2017 jslaby@suse.cz
- x86/kconfig: Make it easier to switch to the new ORC unwinder
  (bnc#1018348).
- x86/kconfig: Consolidate unwinders into multiple choice
  selection (bnc#1018348).
- Update config files.
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- Refresh
  patches.suse/0002-dwarf-do-not-throw-away-unwind-info.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
  Update to version from -tip. ORC is in -tip completely. So make sure
  we use the upstream version.
- commit 903e200
* Wed Jul 26 2017 jeffm@suse.com
- Update to 4.13-rc2.
- Eliminated 1 patch.
- Config changes:
  - DRM_VBOXVIDEO=m
- commit b545b87
* Wed Jul 26 2017 tiwai@suse.de
- Input: ALPS - Fix Alps Touchpad two finger scroll does not
  work on right side (bsc#1050582).
- commit 474729b
* Sun Jul 23 2017 stefan.bruens@rwth-aachen.de
- config: arm64: Enable RTC and SPI on Allwinner A64/H5
  A64 and H5 share the RTC and SPI functional blocks with older SoCs,
  enable the corresponding drivers.
- commit b5bf58a
* Wed Jul 19 2017 mmarek@suse.cz
- rpm/kernel-binary.spec.in: find-debuginfo.sh should not touch build-id
  This needs rpm-4.14+ (bsc#964063).
- commit f622d60
* Tue Jul 18 2017 afaerber@suse.de
- config: armv7hl: Update to v4.13-rc1
- commit 1d72b01
* Tue Jul 18 2017 afaerber@suse.de
- config: armv6hl: Update to v4.13-rc1
- commit 5ede81f
* Tue Jul 18 2017 afaerber@suse.de
- config: arm64: Update to v4.13-rc1
- commit 7d005f8
* Tue Jul 18 2017 jslaby@suse.cz
- Refresh
  patches.suse/0001-x86-entry-64-Refactor-IRQ-stacks-and-make-them-NMI-s.patch.
- Refresh
  patches.suse/0002-x86-entry-64-Initialize-the-top-of-the-IRQ-stack-bef.patch.
- Refresh
  patches.suse/0003-x86-dumpstack-fix-occasionally-missing-registers.patch.
- Refresh
  patches.suse/0004-x86-dumpstack-fix-interrupt-and-exception-stack-boun.patch.
- Refresh
  patches.suse/0005-objtool-add-ORC-unwind-table-generation.patch.
- Refresh
  patches.suse/0006-objtool-x86-add-facility-for-asm-code-to-provide-unw.patch.
- Refresh
  patches.suse/0007-x86-entry-64-add-unwind-hint-annotations.patch.
- Refresh
  patches.suse/0008-x86-asm-add-unwind-hint-annotations-to-sync_core.patch.
  Update upstream information.
- commit ff15779
* Tue Jul 18 2017 tiwai@suse.de
- Delete patches.fixes/drm-i915-Fix-S4-resume-breakage.
  The workaround wasn't merged to upstream, and it seems becoming
  superfluous with the recent i915 driver, so let's drop this one.
- commit f6f228c
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Drop unnecessary xmlto for 4.13+
- commit e47dc84
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Correct kernel-docs package summary/description
- commit 697b763
* Tue Jul 18 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: refresh dependencies for PDF build (bsc#1048129)
  But it still doesn't work with Tex Live 2017, thus disabled yet.
  Also add texlive-anyfontsize for HTML math handling.
- commit ead44a1
* Tue Jul 18 2017 jslaby@suse.cz
- Delete patches.rpmify/drm-i915-disable-KASAN-for-handlers.patch.
  It was never accepted, is under discussion. But we disabled
  CONFIG_DRM_I915_WERROR in commit 5fc7b327348b, so we are safe anyway.
- commit e2957b5
* Tue Jul 18 2017 jslaby@suse.cz
- Delete patches.rpmify/get_builtin_firmware-gcc-7.patch.
  This was never accepted. Instead this seems to be fixed in gcc.
- commit c048497
* Mon Jul 17 2017 jeffm@suse.com
- Updated to 4.13-rc1.
- Eliminated 13 patches.
- ARM configs need updating.
- Config changes:
  - General:
  - SLAB_MERGE_DEFAULT=y (current behavior)
  - REFCOUNT_FULL=n (current behavior)
  - PERCPU_STATS=n (default)
  - FORTIFY_SOURCE=n (needs performance analysis)
  - WARN_ALL_UNSEEDED_RANDOM=n
  - TRACE_EVAL_MAP_FILE=n
  - TEST_SYSCTL=n
  - TEST_KMOD=n
  - Storage:
  - DM_ZONED=m
  - IB:
  - Options for MLX5:
  - MLX5_FPGA
  - MLX5_EN_IPSEC=y
  - MLXFW=m
  - SECURITY_INFINIBAND=y
  - Network:
  - Options for NFP:
  - NFP_APP_FLOWER=y
  - CORTINA_PHY=n (intended for embedded apps)
  - ATH10K_SDIO=m
  - QTNFMAC_PEARL_PCIE=m
  - DRM:
  - DRM_I915_SW_FENCE_CHECK_DAG=n
  - Sound:
  - SND_SOC_INTEL_BYT_CHT_ES8316_MACH=m
  - SND_SOC_INTEL_KBL_RT5663_MAX98927_MACH=m
  - SND_SOC_INTEL_KBL_RT5663_RT5514_MAX98927_MACH=m
  - SND_SOC_ZX_AUD96P22=n
  - HID:
  - HID_ITE=n
  - HID_RETRODE=m
  - USB:
  - TYPEC_UCSI=m
  - UCSI_ACPI=m
  - Misc:
  - RTC_NVMEM=y
  - RTC_DRV_DS3232_HWMON=y
  - WMI_BMOF=m
  - PEAQ_WMI=m
  - INTEL_INT0002_VGPIO=m
  - CROS_EC_LPC_MEC=y
  - EXTCON_INTEL_CHT_WC=m
  - NTB_IDT=m
  - MULTIPLEXER=m
  - KEYBOARD_DLINK_DIR685=n
  - TOUCHSCREEN_STMFTS=n
  - I2C_DESIGNWARE_SLAVE=n
  - SPI_SLAVE=n
  - PINCTRL_MCP23S08=n
  - PINCTRL_CANNONLAKE=m
  - GPIO_XRA1403=n
  - BATTERY_BQ27XXX_DT_UPDATES_NVM=n
  - CHARGER_LTC3651=n
  - SENSORS_IR35221=n
  - WATCHDOG_HANDLE_BOOT_ENABLED=y (default)
  - File Systems:
  - OVERLAY_FS_INDEX=n (mounting on an older kernel read-write will cause unexpected results)
  - CIFS_DEBUG_DUMP_KEYS=n
  - Crypto:
  - CRC4=m
  - X86:
  - INTEL_SOC_PMIC_CHTWC=m
  - CHT_WC_PMIC_OPREGION=y
  - ppc64/ppc64le:
  - CONFIG_IRQ_TIME_ACCOUNTING=n
  - CONFIG_LD_HEAD_STUB_CATCH=n
  - ZONE_DEVICE=y
  - ppc64le:
  - STRICT_KERNEL_RWX=y
  - s390x:
  - CRYPTO_PAES_S390=m
- commit d418532
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.drivers/ppc64-adb.
  This hardware was discontinued in 2006 and the patch was never accepted
  upstream.
- commit 995698b
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.arch/ppc-prom-nodisplay.patch.
  We no longer support 32-bit ppc and this hardware only existed with a
  32-bit CPU.
- commit d94ed1e
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.arch/ppc-pegasos-console-autodetection.patch.
  We no longer support 32-bit ppc and this hardware only existed with a
  32-bit CPU.
- commit b42ddc6
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.suse/ppc-powerbook-usb-fn-key-default.patch.
  We no longer support 32-bit ppc and there were no 64-bit powerbooks.
- commit 9e9a512
* Mon Jul 17 2017 jeffm@suse.com
- Disable patches.suse/pstore-backend-autoaction.
  It needs updating and there now exists a mount option instead of a module
  parameter.
- commit 87a5ab7
* Mon Jul 17 2017 jeffm@suse.com
- Delete patches.fixes/block-copy-bi_vcnt-in-_bio_clone_fast.
  This was obsoleted by 764f612c6c3c ("blk-merge: don't compute
  bi_phys_segments from bi_vcnt for cloned bio").
- commit f0c2642
* Mon Jul 17 2017 jslaby@suse.cz
- netfilter: expect: fix crash when putting uninited expectation
  (bnc#1048935).
- commit cc9efac
* Mon Jul 17 2017 mmarek@suse.cz
- Drop multiversion(kernel) from the KMP template (fate#323189)
- commit 71504d8
* Tue Jul 11 2017 tiwai@suse.de
- rpm/kernel-docs.spec.in: Fix and cleanup for 4.13 doc build (bsc#1048129)
  The whole DocBook stuff has been deleted.  The PDF build still non-working
  thus the sub-packaging disabled so far.
- commit 8e7de10
* Fri Jun  2 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Fix new include path
  Commit 89de3db69113d58cdab14d2c777de6080eac49dc ("rpm/dtb.spec.in.in:
  Update include path for dt-bindings") introduced an additional include
  path for 4.12. The commit message had it correct, but the spec file
  template lacked a path component, breaking the aarch64 build while
  succeeding on armv7hl. Fix that.
- commit c8d853a
* Wed May 31 2017 afaerber@suse.de
- rpm/dtb.spec.in.in: Update include path for dt-bindings
  Kernels before 4.12 had arch/{arm,arm64}/boot/dts/include/ directories
  with a symlink to include/dt-bindings/.
  In 4.12 those include/ directories were dropped.
  Therefore use include/ directly.
  Additionally some cross-architecture .dtsi reuse was introduced, which
  requires scripts/dtc/include-prefixes/ that didn't exist on older kernels.
- commit 466f108
* Fri Jan  6 2017 afaerber@suse.de
- rpm: Add arm64 dtb-zte subpackage
  4.9 added arch/arm64/boot/dts/zte/.
- commit 073d831
* Fri Jan  6 2017 afaerber@suse.de
- rpm: Add arm64 dtb-allwinner subpackage
  4.10 added arch/arm64/boot/dts/allwinner/.
- commit dfeb94a
* Tue Dec 20 2016 xxxxxmichl@googlemail.com
- added De0-Nanos-SoC board support (and others based on Altera SOC).
- commit 9278339
* Tue Apr 26 2016 mmarek@suse.cz
- Drop sysctl files for dropped archs, add ppc64le and arm (bsc#1178838).
  Also correct the page size on ppc64.
- commit 7ec816c
* Wed Feb 17 2016 mmarek@suse.com
- oracleasm: 4.0 compat changes (bsc#962720, bsc#1144700).
- commit bad1828
* Tue Mar 31 2009 jeffm@suse.de
- doc/README.KSYMS: Add to repo.
- commit 04ec451
